(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[   8530560,     218231]*)
(*NotebookOutlinePosition[   8551642,     218697]*)
(*  CellTagsIndexPosition[   8550585,     218668]*)
(*WindowFrame->Normal*)



Notebook[{

Cell[CellGroupData[{
Cell["Lens Characterization", "Subtitle",
  CellTags->{
  "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
    "ModulationTransferFunction", "Seidel aberrations"}],

Cell[CellGroupData[{

Cell["FindLensParameters", "Section",
  CellTags->"FindLensParameters"],

Cell[CellGroupData[{

Cell["\<\
sys = 
\t{WedgeOfRays[10, NumberOfRays -> 5], 
\tMove[PlanoConvexLens[{f1,100}, 50, 9, CurvatureDirection -> Back],90.5],
\tMove[ApertureStop[50,30],100],
\tMove[PlanoConvexLens[{f2,100}, 50, 9], 100.5],
    Boundary[208, GraphicDesign -> Off]};

AnalyzeSystem[sys,PlotType->TopView];

FindLensParameters[sys]\
\>", "Input",
  CellTags->"FindLensParameters"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .26519 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00457875 0.144409 0.00457875 [
[.50458 .00631 -6 -4.5 ]
[.50458 .00631 6 4.5 ]
[.45879 .00631 -6 -4.5 ]
[.45879 .00631 6 4.5 ]
[.48168 .00631 -3 -4.5 ]
[.48168 .00631 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .26519 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.43819 .02994 m
.44999 .02994 L
.4668 .0681 L
.43819 .0681 L
.43819 .02994 L
F
.43819 .0681 m
.4668 .0681 L
.47631 .10625 L
.43819 .10625 L
.43819 .0681 L
F
.43819 .10625 m
.47631 .10625 L
.4794 .14441 L
.43819 .14441 L
.43819 .10625 L
F
.43819 .14441 m
.4794 .14441 L
.47631 .18257 L
.43819 .18257 L
.43819 .14441 L
F
.43819 .18257 m
.47631 .18257 L
.4668 .22072 L
.43819 .22072 L
.43819 .18257 L
F
.43819 .22072 m
.4668 .22072 L
.44999 .25888 L
.43819 .25888 L
.43819 .22072 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.43819 .02994 m
.43819 .0681 L
.43819 .10625 L
.43819 .14441 L
.43819 .18257 L
.43819 .22072 L
.43819 .25888 L
.44999 .25888 L
.4668 .22072 L
.47631 .18257 L
.4794 .14441 L
.47631 .10625 L
.4668 .0681 L
.44999 .02994 L
.43819 .02994 L
s
.5 g
.43819 .14441 m
.44999 .14441 L
.4668 .14441 L
.43819 .14441 L
.43819 .14441 L
F
.43819 .14441 m
.4668 .14441 L
.47631 .14441 L
.43819 .14441 L
.43819 .14441 L
F
.43819 .14441 m
.47631 .14441 L
.4794 .14441 L
.43819 .14441 L
.43819 .14441 L
F
.43819 .14441 m
.4794 .14441 L
.47631 .14441 L
.43819 .14441 L
.43819 .14441 L
F
.43819 .14441 m
.47631 .14441 L
.4668 .14441 L
.43819 .14441 L
.43819 .14441 L
F
.43819 .14441 m
.4668 .14441 L
.44999 .14441 L
.43819 .14441 L
.43819 .14441 L
F
0 g
.43819 .14441 m
.43819 .14441 L
.43819 .14441 L
.43819 .14441 L
.43819 .14441 L
.43819 .14441 L
.43819 .14441 L
.44999 .14441 L
.4668 .14441 L
.47631 .14441 L
.4794 .14441 L
.47631 .14441 L
.4668 .14441 L
.44999 .14441 L
.43819 .14441 L
s
.43819 .25888 m
.44999 .25888 L
.44999 .25498 L
.43819 .25498 L
.43819 .25888 L
s
.43819 .25498 m
.44999 .25498 L
.44999 .24354 L
.43819 .24354 L
.43819 .25498 L
s
.43819 .24354 m
.44999 .24354 L
.44999 .22535 L
.43819 .22535 L
.43819 .24354 L
s
.43819 .22535 m
.44999 .22535 L
.44999 .20164 L
.43819 .20164 L
.43819 .22535 L
s
.43819 .20164 m
.44999 .20164 L
.44999 .17404 L
.43819 .17404 L
.43819 .20164 L
s
.43819 .17404 m
.44999 .17404 L
.44999 .14441 L
.43819 .14441 L
.43819 .17404 L
s
.43819 .14441 m
.44999 .14441 L
.44999 .11478 L
.43819 .11478 L
.43819 .14441 L
s
.43819 .11478 m
.44999 .11478 L
.44999 .08717 L
.43819 .08717 L
.43819 .11478 L
s
.43819 .08717 m
.44999 .08717 L
.44999 .06347 L
.43819 .06347 L
.43819 .08717 L
s
.43819 .06347 m
.44999 .06347 L
.44999 .04528 L
.43819 .04528 L
.43819 .06347 L
s
.43819 .04528 m
.44999 .04528 L
.44999 .03384 L
.43819 .03384 L
.43819 .04528 L
s
.43819 .03384 m
.44999 .03384 L
.44999 .02994 L
.43819 .02994 L
.43819 .03384 L
s
.43819 .02994 m
.44999 .02994 L
.44999 .03384 L
.43819 .03384 L
.43819 .02994 L
s
.43819 .03384 m
.44999 .03384 L
.44999 .04528 L
.43819 .04528 L
.43819 .03384 L
s
.43819 .04528 m
.44999 .04528 L
.44999 .06347 L
.43819 .06347 L
.43819 .04528 L
s
.43819 .06347 m
.44999 .06347 L
.44999 .08717 L
.43819 .08717 L
.43819 .06347 L
s
.43819 .08717 m
.44999 .08717 L
.44999 .11478 L
.43819 .11478 L
.43819 .08717 L
s
.43819 .11478 m
.44999 .11478 L
.44999 .14441 L
.43819 .14441 L
.43819 .11478 L
s
.43819 .14441 m
.44999 .14441 L
.44999 .17404 L
.43819 .17404 L
.43819 .14441 L
s
.43819 .17404 m
.44999 .17404 L
.44999 .20164 L
.43819 .20164 L
.43819 .17404 L
s
.43819 .20164 m
.44999 .20164 L
.44999 .22535 L
.43819 .22535 L
.43819 .20164 L
s
.43819 .22535 m
.44999 .22535 L
.44999 .24354 L
.43819 .24354 L
.43819 .22535 L
s
.43819 .24354 m
.44999 .24354 L
.44999 .25498 L
.43819 .25498 L
.43819 .24354 L
s
.43819 .25498 m
.44999 .25498 L
.44999 .25888 L
.43819 .25888 L
.43819 .25498 L
s
.5 g
.48168 .21309 m
.48168 .22835 L
.48168 .22549 L
.48168 .21075 L
.48168 .21309 L
F
.48168 .21075 m
.48168 .22549 L
.48168 .21711 L
.48168 .20389 L
.48168 .21075 L
F
.48168 .20389 m
.48168 .21711 L
.48168 .20377 L
.48168 .19297 L
.48168 .20389 L
F
.48168 .19297 m
.48168 .20377 L
.48168 .18638 L
.48168 .17875 L
.48168 .19297 L
F
.48168 .17875 m
.48168 .18638 L
.48168 .16614 L
.48168 .16219 L
.48168 .17875 L
F
.48168 .16219 m
.48168 .16614 L
.48168 .14441 L
.48168 .14441 L
.48168 .16219 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .12268 L
.48168 .12663 L
.48168 .14441 L
F
.48168 .12663 m
.48168 .12268 L
.48168 .10244 L
.48168 .11007 L
.48168 .12663 L
F
.48168 .11007 m
.48168 .10244 L
.48168 .08505 L
.48168 .09584 L
.48168 .11007 L
F
.48168 .09584 m
.48168 .08505 L
.48168 .07171 L
.48168 .08493 L
.48168 .09584 L
F
.48168 .08493 m
.48168 .07171 L
.48168 .06333 L
.48168 .07807 L
.48168 .08493 L
F
.48168 .07807 m
.48168 .06333 L
.48168 .06047 L
.48168 .07573 L
.48168 .07807 L
F
.48168 .07573 m
.48168 .06047 L
.48168 .06333 L
.48168 .07807 L
.48168 .07573 L
F
.48168 .07807 m
.48168 .06333 L
.48168 .07171 L
.48168 .08493 L
.48168 .07807 L
F
.48168 .08493 m
.48168 .07171 L
.48168 .08505 L
.48168 .09584 L
.48168 .08493 L
F
.48168 .09584 m
.48168 .08505 L
.48168 .10244 L
.48168 .11007 L
.48168 .09584 L
F
.48168 .11007 m
.48168 .10244 L
.48168 .12268 L
.48168 .12663 L
.48168 .11007 L
F
.48168 .12663 m
.48168 .12268 L
.48168 .14441 L
.48168 .14441 L
.48168 .12663 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .16614 L
.48168 .16219 L
.48168 .14441 L
F
.48168 .16219 m
.48168 .16614 L
.48168 .18638 L
.48168 .17875 L
.48168 .16219 L
F
.48168 .17875 m
.48168 .18638 L
.48168 .20377 L
.48168 .19297 L
.48168 .17875 L
F
.48168 .19297 m
.48168 .20377 L
.48168 .21711 L
.48168 .20389 L
.48168 .19297 L
F
.48168 .20389 m
.48168 .21711 L
.48168 .22549 L
.48168 .21075 L
.48168 .20389 L
F
.48168 .21075 m
.48168 .22549 L
.48168 .22835 L
.48168 .21309 L
.48168 .21075 L
F
.48168 .22835 m
.48168 .24362 L
.48168 .24024 L
.48168 .22549 L
.48168 .22835 L
F
.48168 .22549 m
.48168 .24024 L
.48168 .23032 L
.48168 .21711 L
.48168 .22549 L
F
.48168 .21711 m
.48168 .23032 L
.48168 .21456 L
.48168 .20377 L
.48168 .21711 L
F
.48168 .20377 m
.48168 .21456 L
.48168 .19401 L
.48168 .18638 L
.48168 .20377 L
F
.48168 .18638 m
.48168 .19401 L
.48168 .17009 L
.48168 .16614 L
.48168 .18638 L
F
.48168 .16614 m
.48168 .17009 L
.48168 .14441 L
.48168 .14441 L
.48168 .16614 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .11873 L
.48168 .12268 L
.48168 .14441 L
F
.48168 .12268 m
.48168 .11873 L
.48168 .09481 L
.48168 .10244 L
.48168 .12268 L
F
.48168 .10244 m
.48168 .09481 L
.48168 .07426 L
.48168 .08505 L
.48168 .10244 L
F
.48168 .08505 m
.48168 .07426 L
.48168 .05849 L
.48168 .07171 L
.48168 .08505 L
F
.48168 .07171 m
.48168 .05849 L
.48168 .04858 L
.48168 .06333 L
.48168 .07171 L
F
.48168 .06333 m
.48168 .04858 L
.48168 .0452 L
.48168 .06047 L
.48168 .06333 L
F
.48168 .06047 m
.48168 .0452 L
.48168 .04858 L
.48168 .06333 L
.48168 .06047 L
F
.48168 .06333 m
.48168 .04858 L
.48168 .05849 L
.48168 .07171 L
.48168 .06333 L
F
.48168 .07171 m
.48168 .05849 L
.48168 .07426 L
.48168 .08505 L
.48168 .07171 L
F
.48168 .08505 m
.48168 .07426 L
.48168 .09481 L
.48168 .10244 L
.48168 .08505 L
F
.48168 .10244 m
.48168 .09481 L
.48168 .11873 L
.48168 .12268 L
.48168 .10244 L
F
.48168 .12268 m
.48168 .11873 L
.48168 .14441 L
.48168 .14441 L
.48168 .12268 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .17009 L
.48168 .16614 L
.48168 .14441 L
F
.48168 .16614 m
.48168 .17009 L
.48168 .19401 L
.48168 .18638 L
.48168 .16614 L
F
.48168 .18638 m
.48168 .19401 L
.48168 .21456 L
.48168 .20377 L
.48168 .18638 L
F
.48168 .20377 m
.48168 .21456 L
.48168 .23032 L
.48168 .21711 L
.48168 .20377 L
F
.48168 .21711 m
.48168 .23032 L
.48168 .24024 L
.48168 .22549 L
.48168 .21711 L
F
.48168 .22549 m
.48168 .24024 L
.48168 .24362 L
.48168 .22835 L
.48168 .22549 L
F
.48168 .24362 m
.48168 .25888 L
.48168 .25498 L
.48168 .24024 L
.48168 .24362 L
F
.48168 .24024 m
.48168 .25498 L
.48168 .24354 L
.48168 .23032 L
.48168 .24024 L
F
.48168 .23032 m
.48168 .24354 L
.48168 .22535 L
.48168 .21456 L
.48168 .23032 L
F
.48168 .21456 m
.48168 .22535 L
.48168 .20164 L
.48168 .19401 L
.48168 .21456 L
F
.48168 .19401 m
.48168 .20164 L
.48168 .17404 L
.48168 .17009 L
.48168 .19401 L
F
.48168 .17009 m
.48168 .17404 L
.48168 .14441 L
.48168 .14441 L
.48168 .17009 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .11478 L
.48168 .11873 L
.48168 .14441 L
F
.48168 .11873 m
.48168 .11478 L
.48168 .08717 L
.48168 .09481 L
.48168 .11873 L
F
.48168 .09481 m
.48168 .08717 L
.48168 .06347 L
.48168 .07426 L
.48168 .09481 L
F
.48168 .07426 m
.48168 .06347 L
.48168 .04528 L
.48168 .05849 L
.48168 .07426 L
F
.48168 .05849 m
.48168 .04528 L
.48168 .03384 L
.48168 .04858 L
.48168 .05849 L
F
.48168 .04858 m
.48168 .03384 L
.48168 .02994 L
.48168 .0452 L
.48168 .04858 L
F
.48168 .0452 m
.48168 .02994 L
.48168 .03384 L
.48168 .04858 L
.48168 .0452 L
F
.48168 .04858 m
.48168 .03384 L
.48168 .04528 L
.48168 .05849 L
.48168 .04858 L
F
.48168 .05849 m
.48168 .04528 L
.48168 .06347 L
.48168 .07426 L
.48168 .05849 L
F
.48168 .07426 m
.48168 .06347 L
.48168 .08717 L
.48168 .09481 L
.48168 .07426 L
F
.48168 .09481 m
.48168 .08717 L
.48168 .11478 L
.48168 .11873 L
.48168 .09481 L
F
.48168 .11873 m
.48168 .11478 L
.48168 .14441 L
.48168 .14441 L
.48168 .11873 L
F
.48168 .14441 m
.48168 .14441 L
.48168 .17404 L
.48168 .17009 L
.48168 .14441 L
F
.48168 .17009 m
.48168 .17404 L
.48168 .20164 L
.48168 .19401 L
.48168 .17009 L
F
.48168 .19401 m
.48168 .20164 L
.48168 .22535 L
.48168 .21456 L
.48168 .19401 L
F
.48168 .21456 m
.48168 .22535 L
.48168 .24354 L
.48168 .23032 L
.48168 .21456 L
F
.48168 .23032 m
.48168 .24354 L
.48168 .25498 L
.48168 .24024 L
.48168 .23032 L
F
.48168 .24024 m
.48168 .25498 L
.48168 .25888 L
.48168 .24362 L
.48168 .24024 L
F
0 g
.48168 .21309 m
.48168 .21075 L
.48168 .20389 L
.48168 .19297 L
.48168 .17875 L
.48168 .16219 L
.48168 .14441 L
.48168 .12663 L
.48168 .11007 L
.48168 .09584 L
.48168 .08493 L
.48168 .07807 L
.48168 .07573 L
.48168 .07807 L
.48168 .08493 L
.48168 .09584 L
.48168 .11007 L
.48168 .12663 L
.48168 .14441 L
.48168 .16219 L
.48168 .17875 L
.48168 .19297 L
.48168 .20389 L
.48168 .21075 L
.48168 .21309 L
s
.48168 .25888 m
.48168 .25498 L
.48168 .24354 L
.48168 .22535 L
.48168 .20164 L
.48168 .17404 L
.48168 .14441 L
.48168 .11478 L
.48168 .08717 L
.48168 .06347 L
.48168 .04528 L
.48168 .03384 L
.48168 .02994 L
.48168 .03384 L
.48168 .04528 L
.48168 .06347 L
.48168 .08717 L
.48168 .11478 L
.48168 .14441 L
.48168 .17404 L
.48168 .20164 L
.48168 .22535 L
.48168 .24354 L
.48168 .25498 L
.48168 .25888 L
s
.5 g
.51338 .02994 m
.52518 .02994 L
.52518 .0681 L
.49657 .0681 L
.51338 .02994 L
F
.49657 .0681 m
.52518 .0681 L
.52518 .10625 L
.48706 .10625 L
.49657 .0681 L
F
.48706 .10625 m
.52518 .10625 L
.52518 .14441 L
.48397 .14441 L
.48706 .10625 L
F
.48397 .14441 m
.52518 .14441 L
.52518 .18257 L
.48706 .18257 L
.48397 .14441 L
F
.48706 .18257 m
.52518 .18257 L
.52518 .22072 L
.49657 .22072 L
.48706 .18257 L
F
.49657 .22072 m
.52518 .22072 L
.52518 .25888 L
.51338 .25888 L
.49657 .22072 L
F
0 g
.51338 .02994 m
.49657 .0681 L
.48706 .10625 L
.48397 .14441 L
.48706 .18257 L
.49657 .22072 L
.51338 .25888 L
.52518 .25888 L
.52518 .22072 L
.52518 .18257 L
.52518 .14441 L
.52518 .10625 L
.52518 .0681 L
.52518 .02994 L
.51338 .02994 L
s
.5 g
.51338 .14441 m
.52518 .14441 L
.52518 .14441 L
.49657 .14441 L
.51338 .14441 L
F
.49657 .14441 m
.52518 .14441 L
.52518 .14441 L
.48706 .14441 L
.49657 .14441 L
F
.48706 .14441 m
.52518 .14441 L
.52518 .14441 L
.48397 .14441 L
.48706 .14441 L
F
.48397 .14441 m
.52518 .14441 L
.52518 .14441 L
.48706 .14441 L
.48397 .14441 L
F
.48706 .14441 m
.52518 .14441 L
.52518 .14441 L
.49657 .14441 L
.48706 .14441 L
F
.49657 .14441 m
.52518 .14441 L
.52518 .14441 L
.51338 .14441 L
.49657 .14441 L
F
0 g
.51338 .14441 m
.49657 .14441 L
.48706 .14441 L
.48397 .14441 L
.48706 .14441 L
.49657 .14441 L
.51338 .14441 L
.52518 .14441 L
.52518 .14441 L
.52518 .14441 L
.52518 .14441 L
.52518 .14441 L
.52518 .14441 L
.52518 .14441 L
.51338 .14441 L
s
.51338 .25888 m
.52518 .25888 L
.52518 .25498 L
.51338 .25498 L
.51338 .25888 L
s
.51338 .25498 m
.52518 .25498 L
.52518 .24354 L
.51338 .24354 L
.51338 .25498 L
s
.51338 .24354 m
.52518 .24354 L
.52518 .22535 L
.51338 .22535 L
.51338 .24354 L
s
.51338 .22535 m
.52518 .22535 L
.52518 .20164 L
.51338 .20164 L
.51338 .22535 L
s
.51338 .20164 m
.52518 .20164 L
.52518 .17404 L
.51338 .17404 L
.51338 .20164 L
s
.51338 .17404 m
.52518 .17404 L
.52518 .14441 L
.51338 .14441 L
.51338 .17404 L
s
.51338 .14441 m
.52518 .14441 L
.52518 .11478 L
.51338 .11478 L
.51338 .14441 L
s
.51338 .11478 m
.52518 .11478 L
.52518 .08717 L
.51338 .08717 L
.51338 .11478 L
s
.51338 .08717 m
.52518 .08717 L
.52518 .06347 L
.51338 .06347 L
.51338 .08717 L
s
.51338 .06347 m
.52518 .06347 L
.52518 .04528 L
.51338 .04528 L
.51338 .06347 L
s
.51338 .04528 m
.52518 .04528 L
.52518 .03384 L
.51338 .03384 L
.51338 .04528 L
s
.51338 .03384 m
.52518 .03384 L
.52518 .02994 L
.51338 .02994 L
.51338 .03384 L
s
.51338 .02994 m
.52518 .02994 L
.52518 .03384 L
.51338 .03384 L
.51338 .02994 L
s
.51338 .03384 m
.52518 .03384 L
.52518 .04528 L
.51338 .04528 L
.51338 .03384 L
s
.51338 .04528 m
.52518 .04528 L
.52518 .06347 L
.51338 .06347 L
.51338 .04528 L
s
.51338 .06347 m
.52518 .06347 L
.52518 .08717 L
.51338 .08717 L
.51338 .06347 L
s
.51338 .08717 m
.52518 .08717 L
.52518 .11478 L
.51338 .11478 L
.51338 .08717 L
s
.51338 .11478 m
.52518 .11478 L
.52518 .14441 L
.51338 .14441 L
.51338 .11478 L
s
.51338 .14441 m
.52518 .14441 L
.52518 .17404 L
.51338 .17404 L
.51338 .14441 L
s
.51338 .17404 m
.52518 .17404 L
.52518 .20164 L
.51338 .20164 L
.51338 .17404 L
s
.51338 .20164 m
.52518 .20164 L
.52518 .22535 L
.51338 .22535 L
.51338 .20164 L
s
.51338 .22535 m
.52518 .22535 L
.52518 .24354 L
.51338 .24354 L
.51338 .22535 L
s
.51338 .24354 m
.52518 .24354 L
.52518 .25498 L
.51338 .25498 L
.51338 .24354 L
s
.51338 .25498 m
.52518 .25498 L
.52518 .25888 L
.51338 .25888 L
.51338 .25498 L
s
.039 .916 .04 r
.02381 .14441 m
.43819 .10816 L
s
% Start of user PostScript
0 0 90.5 -7.91772 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43819 .10816 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .14441 m
.43819 .12632 L
s
% Start of user PostScript
0 0 90.5 -3.95132 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43819 .12632 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .14441 m
.43819 .14441 L
s
% Start of user PostScript
0 0 90.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43819 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .14441 m
.43819 .1625 L
s
% Start of user PostScript
0 0 90.5 3.95132 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43819 .1625 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .14441 m
.43819 .18066 L
s
% Start of user PostScript
0 0 90.5 7.91772 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43819 .18066 Mdot
.039 .916 .04 r
.5 Mabswid
.43819 .10816 m
.47626 .10597 L
s
% Start of user PostScript
90.5 -7.91772 98.8161 -8.39551 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47626 .10597 Mdot
.039 .916 .04 r
.5 Mabswid
.43819 .12632 m
.47861 .12516 L
s
% Start of user PostScript
90.5 -3.95132 99.3293 -4.20488 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47861 .12516 Mdot
.039 .916 .04 r
.5 Mabswid
.43819 .14441 m
.4794 .14441 L
s
% Start of user PostScript
90.5 0 99.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.4794 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.43819 .1625 m
.47861 .16366 L
s
% Start of user PostScript
90.5 3.95132 99.3293 4.20488 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47861 .16366 Mdot
.039 .916 .04 r
.5 Mabswid
.43819 .18066 m
.47626 .18285 L
s
% Start of user PostScript
90.5 7.91772 98.8161 8.39551 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47626 .18285 Mdot
.039 .916 .04 r
.5 Mabswid
.47626 .10597 m
.48168 .10596 L
s
% Start of user PostScript
98.8161 -8.39551 100. -8.39832 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48168 .10596 Mdot
.039 .916 .04 r
.5 Mabswid
.47861 .12516 m
.48168 .12515 L
s
% Start of user PostScript
99.3293 -4.20488 100. -4.20583 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48168 .12515 Mdot
.039 .916 .04 r
.5 Mabswid
.4794 .14441 m
.48168 .14441 L
s
% Start of user PostScript
99.5 0 100. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48168 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.47861 .16366 m
.48168 .16367 L
s
% Start of user PostScript
99.3293 4.20488 100. 4.20583 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48168 .16367 Mdot
.039 .916 .04 r
.5 Mabswid
.47626 .18285 m
.48168 .18286 L
s
% Start of user PostScript
98.8161 8.39551 100. 8.39832 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48168 .18286 Mdot
.039 .916 .04 r
.5 Mabswid
.48168 .10596 m
.48711 .10594 L
s
% Start of user PostScript
100. -8.39832 101.185 -8.40112 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48711 .10594 Mdot
.039 .916 .04 r
.5 Mabswid
.48168 .12515 m
.48476 .12515 L
s
% Start of user PostScript
100. -4.20583 100.671 -4.20679 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48476 .12515 Mdot
.039 .916 .04 r
.5 Mabswid
.48168 .14441 m
.48397 .14441 L
s
% Start of user PostScript
100. 0 100.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48397 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.48168 .16367 m
.48476 .16367 L
s
% Start of user PostScript
100. 4.20583 100.671 4.20679 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48476 .16367 Mdot
.039 .916 .04 r
.5 Mabswid
.48168 .18286 m
.48711 .18288 L
s
% Start of user PostScript
100. 8.39832 101.185 8.40112 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48711 .18288 Mdot
.039 .916 .04 r
.5 Mabswid
.48711 .10594 m
.52518 .10801 L
s
% Start of user PostScript
101.185 -8.40112 109.5 -7.94884 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52518 .10801 Mdot
.039 .916 .04 r
.5 Mabswid
.48476 .12515 m
.52518 .12623 L
s
% Start of user PostScript
100.671 -4.20679 109.5 -3.96962 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52518 .12623 Mdot
.039 .916 .04 r
.5 Mabswid
.48397 .14441 m
.52518 .14441 L
s
% Start of user PostScript
100.5 0 109.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52518 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.48476 .16367 m
.52518 .16259 L
s
% Start of user PostScript
100.671 4.20679 109.5 3.96962 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52518 .16259 Mdot
.039 .916 .04 r
.5 Mabswid
.48711 .18288 m
.52518 .18081 L
s
% Start of user PostScript
101.185 8.40112 109.5 7.94884 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52518 .18081 Mdot
.039 .916 .04 r
.5 Mabswid
.52518 .10801 m
.97619 .14536 L
s
% Start of user PostScript
109.5 -7.94884 208. 0.207758 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .14536 Mdot
.039 .916 .04 r
.5 Mabswid
.52518 .12623 m
.97619 .14465 L
s
% Start of user PostScript
109.5 -3.96962 208. 0.0527507 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .14465 Mdot
.039 .916 .04 r
.5 Mabswid
.52518 .14441 m
.97619 .14441 L
s
% Start of user PostScript
109.5 0 208. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .14441 Mdot
.039 .916 .04 r
.5 Mabswid
.52518 .16259 m
.97619 .14417 L
s
% Start of user PostScript
109.5 3.96962 208. -0.0527507 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .14417 Mdot
.039 .916 .04 r
.5 Mabswid
.52518 .18081 m
.97619 .14346 L
s
% Start of user PostScript
109.5 7.94884 208. -0.207758 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .14346 Mdot
[(L2)] .50458 .00631 0 0 Mshowa
[(L1)] .45879 .00631 0 0 Mshowa
[(A)] .48168 .00631 0 0 Mshowa
0 0 m
1 0 L
1 .26519 L
0 .26519 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{679, 179.812},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000:W0000/b000`400?l00000o`00003oo`3ooooo
0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0oooo<P3oool500000080oooo0`0000080?ooo`<0
000000@0oooo00000000000000001P3oool5000000030?ooo`000000000000800000o`3ooom>0?oo
o`00o`3ooolc0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0203oool01@00
0000oooo0?ooo`3oool0000000P0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool0oooo0?l0ooooC03oool00?l0oooo<`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00P0oooo1@0000080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0o`3o
oom>0?ooo`00o`3ooolc0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo000000090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0o`3ooom=
0?ooo`00o`3ooolc0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo000000090?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0o`3ooom<0?oo
o`00o`3ooolc0?ooo`030000003oool0oooo00<0oooo0P00000<0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00003o0?ooodh0oooo003o0?oooc80
oooo0`0000050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01`3oool3000000@0
oooo0P00003o0?ooodl0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo
0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo0?ooojT0oooo
003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo0?ooojT0oooo003o0?ooool0
ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooolZ0?ooo`T00000503oool00`000000oooo0?oo
o`0C0?ooo`P00000o`3ooom40?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<00000
0?ooo`3oool04P3oool00`000000oooo0?ooo`0C0?ooo`030000001oOgl0Ogmo00@0Ogmo00<00000
0?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo0P00000C0?oo
o`030000003oool0oooo0180oooo0P00000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0
oooo:P3oool:000001<0oooo00<000000?ooo`3oool04P3oool900000?l0ooooA03oool00?l0oooo
:P3oool00`000000Ogmo07moO`0507moO`8000004`3oool00`000000oooo0?ooo`0A0?ooo`030000
001oOgl0000000H0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001o
Ogl0Ogmo00D0Ogmo00<0000007moO`0000004P3oool00`000000oooo0?ooo`0A0?ooo`030000001o
Ogl0000000H0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0
Ogmo00D0Ogmo00<0000007moO`0000004P3oool00`000000oooo0?ooo`0@0?ooo`040000001oOgl0
Ogmo000000H0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0
Ogmo00D0Ogmo00@0000007moO`1oOgl000004@3oool00`000000oooo0?ooo`0@0?ooo`040000001o
Ogl0Ogmo000000H0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001o
Ogl0Ogmo00D0Ogmo00@0000007moO`1oOgl000004@3oool00`000000oooo0?ooo`0@0?ooo`040000
001oOgl0Ogmo000000H0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000
001oOgl0Ogmo00D0Ogmo00D0000007moO`1oOgl0Ogmo0000000@0?ooo`030000003oool0oooo00l0
oooo00D0000007moO`1oOgl0Ogmo0000000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0
oooo:P3oool9000000<0Ogmo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`04
0000001oOgl0Ogmo07moO`P00000o`3ooom40?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0
Ogmo00D0000007moO`1oOgl0Ogmo0000000@0?ooo`030000003oool0oooo00h0oooo00<0000007mo
O`1oOgl00P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0
oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3o
ool03@3oool00`000000oooo0?ooo`0>0?ooo`030000001oOgl0Ogmo0080Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl0
1@1oOgl00`000000Ogmo07moO`0207moO`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
3@3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0
o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl00`1o
Ogl00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<0000007moO`1oOgl00`1o
Ogl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool0
0`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00<0Ogmo00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl0
0`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`00
0000Ogmo07moO`0407moO`030000003oool0oooo00/0oooo00<000000?ooo`3oool0303oool00`00
0000Ogmo07moO`0407moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?oo
o`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0101oOgl00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00<0000007moO`1oOgl01@1oOgl00`000000
Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo
07moO`0507moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`0;0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo
0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07mo
O`0507moO`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000Ogmo07mo
O`0607moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ
0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl01@1oOgl00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00X0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`04
07moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0:0?oo
o`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oo
od80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0607moO`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000Ogmo07moO`0707moO`03
0000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`T00000
2@1oOgl00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<0000007moO`1oOgl0
1`1oOgl800000?l0ooooA03oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001o
Ogl0Ogmo00L0Ogmo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000001o
Ogl0Ogmo00P0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o
0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0707moO`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0203oool00`000000Ogmo07moO`0807moO`030000001oOgl0
Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo
00D0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00L0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo
0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00P0
Ogmo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000001oOgl0Ogmo00T0
Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo
00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo00L0oooo
00<000000?ooo`3oool01`3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo00@0Ogmo
00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0
000007moO`1oOgl02@1oOgl00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3o
ool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00T0Ogmo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000001oOgl0Ogmo00X0Ogmo00<00000
07moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007mo
O`1oOgl01@1oOgl00`000000Ogmo07moO`0907moO`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01P3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?oo
o`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1o
Ogl02P1oOgl00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<0000007moO`1o
Ogl02P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo
:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00X0Ogmo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`050?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0
101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1o
Ogl00`000000Ogmo07moO`0:07moO`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3o
oom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl02P1oOgl0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0000007moO`1oOgl02`1oOgl0
0`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`00
0000Ogmo07moO`0507moO`030000001oOgl0Ogmo00/0Ogmo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`050?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0101oOgl00`00
0000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000
Ogmo07moO`0;07moO`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
Ogmo07moO`0<07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00
o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl02`1oOgl00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo
07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool9000000h0Ogmo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000001oOgl0Ogmo00`0Ogmo2000
003o0?oood@0oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0<
07moO`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000Ogmo07moO`0<
07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?oo
o`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00@0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0407mo
O`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`03
0000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`03
0000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80
oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0=07moO`030000
003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000Ogmo07moO`0=07moO`030000
001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001o
Ogl0Ogmo00D0Ogmo00<0000007moO`1oOgl03@1oOgl00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00<0oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0407moO`030000003o
ool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo00d0Ogmo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000001oOgl0
Ogmo00d0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?oo
obX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0=07moO`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo
00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0
Ogmo00<0000007moO`1oOgl03P1oOgl01@000000oooo0?ooo`3oool0000000@0oooo00<0000007mo
O`1oOgl03P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0
oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00h0Ogmo00D000000?ooo`3o
ool0oooo000000040?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0101oOgl00`00
0000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000
Ogmo07moO`0:07moO`<02NX:00H0Ogmo00WZ2P09jPX02NX:0?ooo`0000040?ooo`030000001oOgl0
Ogmo00h0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?oo
obX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0607moO`l02NX:00<0oooo0000
001oOgl0401oOgl200WZ2PD0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`03
0000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0201oOgl=00WZ2P0300000009jPX02NX:00D0
2NX:2`1oOgl500WZ2P80Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolR0?ooo`D02NX:
0P3oool2000000H0Ogmo6009jPX00`3oool000000000000607moOa802NX:0P00003o0?oood<0oooo
003o0?ooob@0oooo1@09jPX00`0000002NX:00WZ2P0500WZ2P0307moO`000000Ogmo00T0Ogmo1009
jPX207moO`802NX:0P3oool01@000000oooo0?ooo`3oool000000140Ogmo3P09jP[o0?oooch0oooo
003o0?oooaT0oooo3`09jPX20?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl01`1o
Ogl00`09jPX0Ogmo07moO`0507moO`040000003oool0oooo000000<0oooo00<0000007moO`1oOgl0
3P1oOgl400WZ2P@0Ogmo00<000000?ooo`3oool0103oool<00WZ2_l0oooo<P3oool00?l0oooo3@3o
ool<00WZ2PT0oooo0P09jPX60?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl03`1o
Ogl010000000oooo0?ooo`0000030?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0
101oOgl00`000000oooo0?ooo`0@0?ooo``02NX:o`3ooolV0?ooo`00o`3oool10?ooo``02NX:7@3o
ool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00l0Ogmo00@000000?ooo`3oool00000
0`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0
703oool=00WZ2_l0oooo6@3oool00?D0oooo2`09jPXY0?ooo`T000004@1oOgl010000000oooo0?oo
o`0000030?ooo`030000001oOgl0Ogmo00l0Ogmo2000000[0?ooo``02NX:o`3oool=0?ooo`00j@3o
ool<00WZ2S@0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0@07moO`030000003o
ool000000080oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0407moO`030000003o
ool0oooo03D0oooo3009jP[o0?ooo`40oooo003M0?ooo``02NX:@03oool00`000000Ogmo07moO`05
07moO`030000001oOgl0Ogmo0100Ogmo00<000000?ooo`0000000P3oool00`000000Ogmo07moO`0@
07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0@@3oool<00WZ2_@0oooo003B0?oo
o`/02NX:C03oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0100Ogmo00<000000?oo
o`0000000P3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?oo
o`3oool0C@3oool<00WZ2^P0oooo00360?ooo``02NX:E`3oool00`000000Ogmo07moO`0507moO`03
0000001oOgl0Ogmo0100Ogmo00<000000?ooo`0000000P3oool00`000000Ogmo07moO`0@07moO`03
0000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0F@3oool<00WZ2]`0oooo002k0?ooo`/02NX:
H`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00P0Ogmo1`09jPX0101oOgl00000
0?ooo`0000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl00`000000
oooo0?ooo`1U0?ooo`d02NX:c`3oool00:l0oooo3009jPYV0?ooo`<02NX:1@3oool00`000000Ogmo
07moO`0507moO`030000001oOgl0Ogmo00T0Ogmo2P09jPX20?ooo`030000001oOgl0Ogmo00l0Ogmo
0`09jPX507moO`030000003oool0oooo0780oooo3009jP[30?ooo`00X`3oool<00WZ2W<0oooo1P09
jPX2000000L0Ogmo00<0000007moO`1oOgl00`1oOglP00WZ2PD0Ogmo1P09jPX00`1oOgl000000000
001o0?ooo``02NX:]`3oool009P0oooo2`09jPYj0?ooo`/02NX:00<0000000WZ2P09jPX03009jPX6
07moO`T02NX:1000000=07moOaX02NX:O`3oool<00WZ2Z/0oooo002<0?ooo``02NX:KP3ooolG00WZ
2PD0oooo1@09jPX20?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0201oOgl600WZ
2P80Ogmo00<000000?ooo`0000000P3oool00`000000Ogmo07moO`0@07moO`D02NX:0P1oOgl00`00
0000oooo0?ooo`0;0?oooaT02NX:LP3oool<00WZ2Yl0oooo00200?ooo``02NX:H`3ooolG00WZ2Q/0
oooo0P09jPX60?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl00`000000
oooo000000020?ooo`030000001oOgl0Ogmo00l0Ogmo0P09jPX607moO`030000003oool0oooo02@0
oooo6@09jPYU0?ooo``02NX:T`3oool007D0oooo2`09jPYH0?oooaL02NX:>P3oool00`000000Ogmo
07moO`0507moO`030000001oOgl0Ogmo0100Ogmo00<000000?ooo`0000000P3oool00`000000Ogmo
07moO`0@07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0?@3ooolJ00WZ2UL0oooo
3009jPZ70?ooo`00J@3oool<00WZ2T/0oooo6009jPYA0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0
000007moO`1oOgl0401oOgl00`000000oooo000000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0
000007moO`1oOgl0101oOgl00`000000oooo0?ooo`1G0?oooaT02NX:BP3oool=00WZ2WX0oooo001N
0?ooo`/02NX:@03ooolG00WZ2VT0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0@
07moO`030000003oool000000080oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`04
07moO`030000003oool0oooo0700oooo6@09jPXn0?ooo``02NX:KP3oool00580oooo3009jPXd0?oo
oaL02NX:P03oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0140Ogmo0P0000000`3o
ool0000007moO`0B07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0R@3ooolJ00WZ
2S00oooo3009jPYR0?ooo`00AP3oool<00WZ2RT0oooo5`09jPZG0?ooo`030000001oOgl0Ogmo00D0
Ogmo00<0000007moO`1oOgl04@1oOgl2000000030?ooo`000000Ogmo0180Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`2S0?oooaT02NX:8`3oool<00WZ2UH0oooo000k0?ooo`/02NX:
7@3ooolH00WZ2Zh0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0A07moO`800000
00<0oooo0000001oOgl04P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0;`0oooo
6@09jPXF0?ooo``02NX:BP3oool002l0oooo3009jPXA0?oooaL02NX:aP3oool00`000000Ogmo07mo
O`0507moO`030000001oOgl0Ogmo0140Ogmo0P0000000`3oool0000007moO`0B07moO`030000001o
Ogl0Ogmo00@0Ogmo00<000000?ooo`3oool0e@3ooolJ00WZ2PP0oooo3009jPXn0?ooo`008`3oool<
00WZ2PH0oooo5`09jP[E0?ooo`<02NX:1@3oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo00T0Ogmo1P09jPX207moO`80000000<0oooo0000001oOgl04@1oOgl300WZ2PD0Ogmo00<00000
0?ooo`3oool0k`3ooolQ00WZ2QD0oooo0`09jPXI0?ooo`00603ooolM00WZ2^d0oooo1P09jPX00`3o
ool0000007moO`0607moO`030000001oOgl0Ogmo00X0Ogmo2@09jPX00`3oool0000007moO`0B07mo
O`H02NX:00<0Ogmo0000003oool0o`3oool:0?oooaT02NX:1@3oool600WZ2P030?ooo`0000000000
0180oooo000B0?ooool02NX:5`09jPX00`0000002NX:00WZ2P0L00WZ2P0300000009jPX02NX:0?l0
2NX:BP09jPX200000180oooo000I0?oooad02NX:k03oool500WZ2P030?ooo`000000000000L0Ogmo
00<0000007moO`1oOgl02P1oOgl800WZ2P<000004`1oOgl500WZ2P80Ogmo0P00003o0?ooo`T0oooo
9P09jPX200000180oooo000T0?ooo`/02NX:1`3ooolG00WZ2]@0oooo0P09jPX60?ooo`030000001o
Ogl0Ogmo00D0Ogmo00<0000007moO`1oOgl02@1oOgl500WZ2P<0Ogmo0P0000000`3oool0000007mo
O`0A07moO`802NX:1P1oOgl00`000000oooo0?ooo`3^0?oooaT02NX:203oool<00WZ2PX0oooo1009
jPXH0?ooo`00;`3oool;00WZ2Q<0oooo5`09jP[50?ooo`030000001oOgl0Ogmo00D0Ogmo00<00000
07moO`1oOgl04@1oOgl2000000030?ooo`000000Ogmo0180Ogmo00<0000007moO`1oOgl0101oOgl0
0`000000oooo0?ooo`3D0?oooaX02NX:503oool=00WZ2S80oooo000j0?ooo`/02NX:7`3ooolH00WZ
2Zd0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0A07moO`80000000<0oooo0000
001oOgl04P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0;/0oooo6@09jPXR0?oo
o``02NX:?`3oool004D0oooo2`09jPX/0?oooaL02NX:UP3oool00`000000Ogmo07moO`0507moO`03
0000001oOgl0Ogmo0140Ogmo0P0000000`3oool0000007moO`0B07moO`030000001oOgl0Ogmo00@0
Ogmo00<000000?ooo`3oool0XP3ooolI00WZ2Rl0oooo3009jPY;0?ooo`00D03oool<00WZ2SL0oooo
5`09jPYo0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl04@1oOgl2000000030?oo
o`000000Ogmo0180Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`280?oooaX02NX:
?03oool<00WZ2UL0oooo001L0?ooo`/02NX:@`3ooolG00WZ2VP0oooo00<0000007moO`1oOgl01@1o
Ogl00`000000Ogmo07moO`0@07moO`030000003oool000000080oooo00<0000007moO`1oOgl0401o
Ogl00`000000Ogmo07moO`0407moO`030000003oool0oooo06l0oooo6@09jPY:0?ooo``02NX:H`3o
ool006L0oooo2`09jPY?0?oooaP02NX:D03oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo0100Ogmo00<000000?ooo`0000000P3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0
Ogmo00@0Ogmo00<000000?ooo`3oool0EP3ooolI00WZ2UL0oooo3009jPY_0?ooo`00LP3oool;00WZ
2U`0oooo5`09jPXi0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl00`00
0000oooo000000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl00`00
0000oooo0?ooo`0l0?oooaX02NX:H`3oool=00WZ2W/0oooo001m0?ooo`/02NX:J03ooolG00WZ2QX0
oooo0`09jPX50?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl00`000000
oooo000000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl00`000000
oooo0?ooo`0S0?oooaT02NX:L@3oool<00WZ2XP0oooo00280?ooo`/02NX:M03ooolG00WZ2P@0oooo
1P09jPX00`3oool0000007moO`0607moO`030000001oOgl0Ogmo00P0Ogmo1`09jPX0101oOgl00000
0?ooo`0000020?ooo`030000001oOgl0Ogmo00l0Ogmo1@09jPX307moO`030000003oool0oooo00X0
oooo6@09jPYn0?ooo``02NX:U03oool009<0oooo3009jPYo0?ooo`X02NX:00<0000000WZ2P09jPX0
3@09jPX507moO`X02NX:0P3oool00`000000Ogmo07moO`0:07moOaX02NX:R`3oool<00WZ2Z00oooo
002O0?ooo`/02NX:N03oool500WZ2P030?ooo`000000000000L0Ogmo00<0000007moO`1oOgl0101o
OglN00WZ2PH0Ogmo00<0000000WZ2P09jPX00`09jPX00`1oOgl000000000002:0?ooo``02NX:[03o
ool00:X0oooo2`09jPY/0?ooo`802NX:1P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo00T0Ogmo2@09jPX400000180Ogmo0`09jPX407moO`030000003oool0oooo07d0oooo3009jPZh
0?ooo`00]@3oool;00WZ2VT0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0807mo
O`H02NX:0P1oOgl00`000000oooo000000020?ooo`030000001oOgl0Ogmo00l0Ogmo00<02NX:0000
001oOgl01@1oOgl00`000000oooo0?ooo`1a0?ooo``02NX:a03oool00<00oooo2`09jPYN0?ooo`03
0000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl00`000000oooo000000020?ooo`03
0000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`1T0?ooo`d0
2NX:d03oool00</0oooo2`09jPYC0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0
401oOgl00`000000oooo000000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0
101oOgl00`000000oooo0?ooo`1H0?ooo``02NX:g@3oool00=H0oooo2`09jPY80?ooo`030000001o
Ogl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl00`000000oooo000000020?ooo`030000001o
Ogl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`1<0?ooo``02NX:j@3o
ool00>40oooo3009jPXl0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0401oOgl0
0`000000oooo000000020?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0101oOgl0
0`000000oooo0?ooo`100?ooo``02NX:m@3oool00>d0oooo2`09jPXa0?ooo`T000004@1oOgl01000
0000oooo0?ooo`0000030?ooo`030000001oOgl0Ogmo00l0Ogmo2000000f0?ooo``02NX:o`3oool2
0?ooo`00n03oool;00WZ2RH0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0?07mo
O`040000003oool0oooo000000<0oooo00<0000007moO`1oOgl03`1oOgl00`000000Ogmo07moO`04
07moO`030000003oool0oooo02P0oooo3009jP[o0?ooo`h0oooo003o0?ooo`@0oooo2`09jPXC0?oo
o`802NX:1P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00l0Ogmo00@000000?oo
o`3oool000000`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00@0Ogmo00<00000
0?ooo`3oool06`3oool=00WZ2_l0oooo6P3oool00?l0oooo3`3oool;00WZ2PT0oooo1009jPX30?oo
o`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl03`1oOgl010000000oooo0?ooo`000003
0?ooo`030000001oOgl0Ogmo00h0Ogmo0`09jPX507moO`030000003oool0oooo00l0oooo3009jP[o
0?ooobL0oooo003o0?oooaX0oooo3`09jPX2000000L0Ogmo00<0000007moO`1oOgl01`1oOgl600WZ
2P0607moO`09jPX02NX:00WZ2P3oool000000`3oool00`000000Ogmo07moO`0?07moO`H02NX:00<0
Ogmo000000000000103oool<00WZ2_l0oooo<`3oool00?l0oooo8`3oool600WZ2P0300000009jPX0
2NX:00`02NX:1@1oOgl=00WZ2P030?ooo`000000Ogmo00/0Ogmo4P09jP[o0?ooocl0oooo003o0?oo
ob80oooo1009jPX40?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl00`1oOglB00WZ
2P0300000009jPX02NX:00/02NX:1@1oOgl00`0000002NX:00WZ2P0200WZ2P80Ogmo00<000000?oo
o`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1o
Ogl01`1oOgl=00WZ2P030?ooo`00000000000140Ogmo0P09jPX507moO`030000003oool0oooo0?l0
oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00H0Ogmo
0P09jPX207moO`802NX:0P1oOgl200WZ2P80oooo00D000000?ooo`3oool0oooo0000000A07moO`03
0000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000
001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl03P1oOgl01@000000oooo0?ooo`3oool0000000@0
oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0
oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00h0Ogmo
00D000000?ooo`3oool0oooo000000040?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl0
1@1oOgl00`000000Ogmo07moO`0>07moO`050000003oool0oooo0?ooo`000000103oool00`000000
Ogmo07moO`0>07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00
o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl03P1oOgl01@000000oooo
0?ooo`3oool0000000@0oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0407moO`03
0000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000
001oOgl0Ogmo00d0Ogmo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo
003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0=07moO`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000Ogmo07moO`0=07moO`030000001o
Ogl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0
Ogmo00D0Ogmo00<0000007moO`1oOgl03@1oOgl00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00<0oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0407moO`030000003oool0
oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo
00`0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`030000001oOgl0Ogmo
00d0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0
oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00@0
Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo
00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo
00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo
@P3oool00?l0oooo:P3oool9000000h0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`040?ooo`030000001oOgl0Ogmo00`0Ogmo2000003o0?oood@0oooo003o0?ooobX0oooo00<00000
07moO`1oOgl01@1oOgl00`000000Ogmo07moO`0;07moO`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000Ogmo07moO`0<07moO`030000001oOgl0Ogmo00@0Ogmo00<00000
0?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007mo
O`1oOgl02`1oOgl00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0000007mo
O`1oOgl0301oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0
oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00/0Ogmo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`050?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl0
1@1oOgl00`000000Ogmo07moO`0;07moO`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
1@3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0
o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl02P1o
Ogl00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0000007moO`1oOgl02`1o
Ogl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool0
0`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00X0Ogmo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`050?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0101oOgl0
0`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`00
0000Ogmo07moO`0:07moO`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`00
0000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?oo
o`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl02@1oOgl00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0000007moO`1oOgl02P1oOgl00`000000
Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo
07moO`0507moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`060?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo
0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07mo
O`0907moO`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000Ogmo07mo
O`0:07moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ
0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl02@1oOgl00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`04
07moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507mo
O`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?oo
o`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oo
od80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0807moO`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000Ogmo07moO`0907moO`03
0000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000
001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00L0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0407moO`030000
003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001o
Ogl0Ogmo00L0Ogmo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000001o
Ogl0Ogmo00P0Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o
0?ooobX0oooo2@00000907moO`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool0
0`000000Ogmo07moO`0807moO`P00000o`3ooom40?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo
00D0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00T0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo
0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000001oOgl0Ogmo00L0
Ogmo00<0000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo
00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo00T0oooo
00<000000?ooo`3oool02P3oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00@0Ogmo
00<000000?ooo`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0
000007moO`1oOgl01@1oOgl00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<0
000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3o
ool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00D0Ogmo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`0;0?ooo`030000001oOgl0Ogmo00D0Ogmo00<00000
07moO`1oOgl0101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007mo
O`1oOgl01@1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo00/0oooo00<000000?oo
o`3oool02`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00@0Ogmo00<000000?oo
o`3oool0o`3ooom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00`0oooo00<0000007moO`1o
Ogl0101oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo
:P3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00<0Ogmo00<000000?ooo`3oool0
303oool00`000000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0
101oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1oOgl01@1o
Ogl00`000000Ogmo07moO`0307moO`030000003oool0oooo00`0oooo00<000000?ooo`3oool03@3o
ool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0o`3o
oom20?ooo`00o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl00P1oOgl0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00d0oooo00<0000007moO`1oOgl00`1oOgl0
0`000000Ogmo07moO`0407moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`00
0000Ogmo07moO`0507moO`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`0=0?ooo`030000001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0101oOgl00`00
0000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo2@00000407moO`030000003oool0oooo00d0
oooo00<000000?ooo`3oool03P3oool00`000000Ogmo07moO`0207moO`P00000o`3ooom40?ooo`00
o`3ooolZ0?ooo`030000001oOgl0Ogmo00D0Ogmo00D0000007moO`1oOgl0Ogmo0000000@0?ooo`03
0000003oool0oooo00h0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0407moO`03
0000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`000000Ogmo07moO`0507moO`050000
001oOgl0Ogmo07moO`000000403oool00`000000oooo0?ooo`0?0?ooo`050000001oOgl0Ogmo07mo
O`0000001P1oOgl00`000000oooo0?ooo`3o0?oood80oooo003o0?ooobX0oooo00<0000007moO`1o
Ogl01@1oOgl010000000Ogmo07moO`00000A0?ooo`030000003oool0oooo00l0oooo00D0000007mo
O`1oOgl0Ogmo0000000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`00
0000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000140oooo00<000000?ooo`3oool0403oool0
10000000Ogmo07moO`00000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool0
0`000000Ogmo07moO`0507moO`030000001oOgl000000180oooo00<000000?ooo`3oool0403oool0
10000000Ogmo07moO`00000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool0
0`000000Ogmo07moO`0507moO`030000001oOgl000000180oooo00<000000?ooo`3oool04@3oool0
0`000000Ogmo0000000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool00`00
0000Ogmo07moO`0507moO`030000001oOgl000000180oooo00<000000?ooo`3oool04@3oool00`00
0000Ogmo0000000607moO`030000003oool0oooo0?l0oooo@P3oool00?l0oooo:P3oool:000001<0
oooo00<000000?ooo`3oool04P3oool900000?l0ooooA03oool00?l0oooo:P3oool00`000000Ogmo
07moO`0507moO`8000004`3oool00`000000oooo0?ooo`0B0?ooo`8000001P1oOgl00`000000oooo
0?ooo`3o0?oood80oooo003o0?ooobX0oooo2@00000D0?ooo`030000003oool0oooo01<0oooo2000
003o0?oood@0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo0?ooojT0
oooo003o0?ooool0ooooZ@3oool00001\
\>"],
  ImageRangeCache->{{{0, 678}, {178.812, 0}} -> {-5.95795, -31.6208, 0.32436, \
0.32436}},
  CellTags->"FindLensParameters"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(AngularMagnification \[Rule] \(-0.9316024822911542`\)\), 
        ",", \(BackFocalLength \[Rule] 43.75324264754414`\), 
        ",", \(BackFocalPoint \[Rule] {153.25324264754414`, 0, 0}\), 
        ",", \(EntrancePupilBoundary \[Rule] {\(-30.150973449000684`\), \
\(-30.150973449000684`\)}\), 
        ",", \(EntrancePupilDistance \[Rule] \(-6.425624670937384`\)\), 
        ",", \(EntrancePupilOffset \[Rule] {0, 0}\), 
        ",", \(EntrancePupilPosition \[Rule] {96.92562467093738`, 0, 0}\), 
        ",", \(EntrancePupilRotationMatrix \[Rule] {{\(-1.`\), 0, 
              0}, {0, \(-1.`\), 0}, {0, 0, 1}}\), 
        ",", \(ExitPupilBoundary \[Rule] {\(-30.150973449000706`\), \
\(-30.150973449000706`\)}\), 
        ",", \(ExitPupilDistance \[Rule] \(-6.425624670937404`\)\), 
        ",", \(ExitPupilOffset \[Rule] {0, 0}\), 
        ",", \(ExitPupilPosition \[Rule] {103.07437532906259`, 0, 0}\), 
        ",", \(ExitPupilRotationMatrix \[Rule] {{1, 0, 0}, {0, 1, 0}, {0, 0, 
              1}}\), ",", \(FieldStopPosition \[Rule] 3\), 
        ",", \(FieldStopSurface \[Rule] {IntersectionNumber \[Rule] 3, 
            SurfaceNumber \[Rule] 1, ComponentNumber \[Rule] 2}\), 
        ",", \(FocalLength \[Rule] 50.17886731848154`\), 
        ",", \(FrontFocalLength \[Rule] 43.753242647544134`\), 
        ",", \(FrontFocalPoint \[Rule] {46.746757352455866`, 0, 0}\), 
        ",", \(ImagePlaneTilt \[Rule] {1.`, 0, 0}\), 
        ",", \(ImagePoint \[Rule] {208.`, 0.`, 0.`}\), ",", 
        RowBox[{"ImagingOptics", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{
              
              TagBox[\(Move[
                  PlanoConvexLens[{f1, 100}, 50, 
                    9, {CurvatureDirection \[Rule] Back}], 90.5`]\),
                HoldForm], ",", 
              TagBox[\(Move[ApertureStop[50, 30], 100.`]\),
                HoldForm], ",", 
              TagBox[\(Move[PlanoConvexLens[{f2, 100}, 50, 9], 100.5`]\),
                HoldForm], ",", 
              
              TagBox[\(Boundary[{0, \(-104\), \(-104\)}, {208, 104, 
                    104}, {GraphicDesign \[Rule] Off}]\),
                HoldForm]}], "}"}]}], 
        ",", \(LensABCDMatrix \[Rule] {{0.8719456015187742`, 
              12.028419839771795`}, {\(-0.019928708108396996`\), 
              0.8719456015187739`}}\), ",", 
        RowBox[{"ObjectSource", "\[Rule]", 
          TagBox[\(WedgeOfRays[10, NumberOfRays \[Rule] 5]\),
            HoldForm]}], ",", \(OpticalMedium \[Rule] Vacuum\), 
        ",", "\<\"-Options-\"\>", 
        ",", \(PrinciplePoints \[Rule] {{96.9256246709374`, 0, 
              0}, {103.0743753290626`, 0, 0}}\), 
        ",", \(PrinciplePointSeparation \[Rule] 6.148750658125209`\), 
        ",", \(SourceID \[Rule] 90206\), 
        ",", \(SystemABCDMatrix \[Rule] {{\(-1.0910321471583293`\), \
\(-0.8233477284578328`\)}, {\(-0.019928708108396996`\), \
\(-0.9316024822911542`\)}}\), 
        ",", \(TransverseMagnification \[Rule] \(-1.0910321471583293`\)\), 
        ",", \(WaveFrontID \[Rule] 1\), ",", \(WaveLength \[Rule] 0.532`\)}], 
      "}"}]], "Output",
  CellTags->"FindLensParameters"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Pupil Function", "Section",
  CellTags->"PupilFunction"],

Cell[CellGroupData[{

Cell["\<\
sys3D = 
\t{PointOfRays[{10,10}, NumberOfRays -> 5], 
\tMove[PlanoConvexLens[{f1,100}, 50, 9, CurvatureDirection -> Back], 90.5],
\tMove[ApertureStop[50,30],100],
\tMove[PlanoConvexLens[{f2,100}, 50, 9], 100.5],
    Boundary[208, GraphicDesign -> Off]};

AnalyzeSystem[sys3D];\
\>", "Input",
  CellTags->{
  "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
    "Seidel aberrations"}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .593 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
-0.0322525 1.03225 -0.201548 1.03225 [
[ 0 0 0 0 ]
[ 1 .593 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .593 L
0 .593 L
closepath
clip
newpath
.039 .916 .04 r
.5 Mabswid
[ ] 0 setdash
.09295 .43973 m
.44768 .37849 L
s
.09295 .43973 m
.43907 .36949 L
s
.09295 .43973 m
.42171 .35134 L
s
.09295 .43973 m
.4129 .34213 L
s
.09295 .43973 m
.44779 .36404 L
s
.09295 .43973 m
.43921 .35501 L
s
.09295 .43973 m
.42191 .33681 L
s
.09295 .43973 m
.44802 .33551 L
s
.09295 .43973 m
.44813 .32132 L
s
.09295 .43973 m
.43962 .31222 L
s
.09295 .43973 m
.42249 .29387 L
s
0 g
.47711 .33616 m
.4689 .30906 L
s
.4689 .30906 m
.47873 .3059 L
s
.4689 .30906 m
.45815 .28341 L
s
.48227 .36302 m
.47711 .33616 L
s
.47711 .33616 m
.48695 .33303 L
s
.47873 .3059 m
.48695 .33303 L
s
.46798 .28021 m
.47873 .3059 L
s
.48695 .33303 m
.49214 .35992 L
s
.45815 .28341 m
.46798 .28021 L
s
.45815 .28341 m
.44552 .26083 L
s
.48227 .36302 m
.49214 .35992 L
s
.45538 .25759 m
.46798 .28021 L
s
.49108 .27783 m .50525 .29737 L .50042 .30026 L .966 .687 .456 r
F
.49108 .27783 m .49452 .27158 L .50525 .29737 L F
.50042 .30026 m .50525 .29737 L .51352 .32459 L F
.50761 .32395 m .51352 .32459 L .51879 .35156 L F
.50042 .30026 m .51352 .32459 L .50761 .32395 L F
0 g
.50525 .29737 m
.51352 .32459 L
s
.44552 .26083 m
.45538 .25759 L
s
.48015 .25808 m .49452 .27158 L .49108 .27783 L .966 .687 .456 r
F
.48015 .25808 m .48196 .24885 L .49452 .27158 L F
0 g
.49452 .27158 m
.50525 .29737 L
s
.46655 .36947 m .49395 .38489 L .48403 .38797 L .656 .751 .92 r
F
0 g
.48225 .4094 m
.48403 .38797 L
s
.48227 .36302 m
.4834 .37895 L
s
.51219 .34741 m .51879 .35156 L .52072 .37658 L .966 .687 .456 r
F
.50761 .32395 m .51879 .35156 L .51219 .34741 L F
0 g
.51352 .32459 m
.51879 .35156 L
s
.46655 .36947 m .49078 .36187 L .49395 .38489 L .656 .751 .92 r
F
0 g
.49223 .40633 m
.49395 .38489 L
s
.49214 .35992 m
.49395 .38489 L
s
.48403 .38797 m
.49395 .38489 L
s
.54027 .3161 m
.53197 .28878 L
s
.53197 .28878 m
.54196 .28557 L
s
.53197 .28878 m
.52124 .26289 L
s
.54562 .34314 m
.54027 .3161 L
s
.54027 .3161 m
.55028 .31292 L
s
.49556 .30318 m .50042 .30026 L .50761 .32395 L .966 .687 .456 r
F
.48761 .28413 m .50042 .30026 L .49556 .30318 L F
.48761 .28413 m .49108 .27783 L .50042 .30026 L F
.50166 .3233 m .50761 .32395 L .51219 .34741 L F
.49556 .30318 m .50761 .32395 L .50166 .3233 L F
0 g
.54196 .28557 m
.55028 .31292 L
s
.53124 .25963 m
.54196 .28557 L
s
.55028 .31292 m
.55566 .33999 L
s
.52124 .26289 m
.53124 .25963 L
s
.52124 .26289 m
.50874 .24004 L
s
.46833 .2423 m .48196 .24885 L .48015 .25808 L .966 .687 .456 r
F
.46833 .2423 m .46837 .23064 L .48196 .24885 L F
0 g
.48196 .24885 m
.49452 .27158 L
s
.47832 .26738 m .49108 .27783 L .48761 .28413 L .966 .687 .456 r
F
.47832 .26738 m .48015 .25808 L .49108 .27783 L F
.43179 .24278 m .45563 .26406 L .43145 .27199 L .544 .324 .532 r
F
.43179 .24278 m .44168 .23949 L .45563 .26406 L F
0 g
.44168 .23949 m
.45538 .25759 L
s
.43179 .24278 m
.44168 .23949 L
s
.41783 .23047 m
.43179 .24278 L
s
.54562 .34314 m
.55566 .33999 L
s
.51219 .34741 m .52072 .37658 L .51384 .36914 L .966 .687 .456 r
F
.50553 .34322 m .51219 .34741 L .51384 .36914 L F
.50166 .3233 m .51219 .34741 L .50553 .34322 L F
0 g
.51876 .23675 m
.53124 .25963 L
s
.51384 .36914 m .52072 .37658 L .51914 .39804 L .966 .687 .456 r
F
0 g
.51879 .35156 m
.52072 .37658 L
s
.42777 .22715 m
.44168 .23949 L
s
.47697 .42586 m
.48225 .4094 L
s
.48225 .4094 m
.49223 .40633 L
s
.49065 .30612 m .49556 .30318 L .50166 .3233 L .966 .687 .456 r
F
.48412 .29047 m .49556 .30318 L .49065 .30612 L F
.48412 .29047 m .48761 .28413 L .49556 .30318 L F
.49566 .32265 m .50166 .3233 L .50553 .34322 L F
.49065 .30612 m .50166 .3233 L .49566 .32265 L F
.46829 .25403 m .48015 .25808 L .47832 .26738 L F
.46829 .25403 m .46833 .2423 L .48015 .25808 L F
0 g
.50874 .24004 m
.51876 .23675 L
s
.49223 .40633 m
.48701 .42279 L
s
.47649 .27674 m .48761 .28413 L .48412 .29047 L .966 .687 .456 r
F
.47649 .27674 m .47832 .26738 L .48761 .28413 L F
.4488 .35068 m .49078 .36187 L .46655 .36947 L .656 .751 .92 r
F
0 g
.46655 .36947 m
.48403 .38797 L
s
.50553 .34322 m .51384 .36914 L .50692 .36166 L .966 .687 .456 r
F
.51384 .36914 m .51914 .39804 L .51244 .38775 L F
.50692 .36166 m .51384 .36914 L .51244 .38775 L F
.49883 .33901 m .50553 .34322 L .50692 .36166 L F
.49566 .32265 m .50553 .34322 L .49883 .33901 L F
.51614 .35391 m .55776 .36508 L .54767 .36821 L .656 .751 .92 r
F
0 g
.54625 .3897 m
.54767 .36821 L
s
.54562 .34314 m
.54718 .36224 L
s
.45636 .23157 m .46837 .23064 L .46833 .2423 L .966 .687 .456 r
F
.45636 .23157 m .45458 .21819 L .46837 .23064 L F
0 g
.46837 .23064 m
.48196 .24885 L
s
.51614 .35391 m .54069 .34622 L .55776 .36508 L .656 .751 .92 r
F
0 g
.55639 .38658 m
.55776 .36508 L
s
.55566 .33999 m
.55776 .36508 L
s
.54767 .36821 m
.55776 .36508 L
s
.039 .916 .04 r
.44813 .32132 m
.47867 .31127 L
s
.46825 .26582 m .47832 .26738 L .47649 .27674 L .966 .687 .456 r
F
.46825 .26582 m .46829 .25403 L .47832 .26738 L F
0 g
.49065 .30612 m
.49566 .32265 L
s
.48412 .29047 m
.49065 .30612 L
s
.43145 .27199 m .46356 .29107 L .43111 .30159 L .544 .324 .532 r
F
.43145 .27199 m .45563 .26406 L .46356 .29107 L F
0 g
.43145 .27199 m
.43179 .24278 L
s
.44168 .23949 m
.45563 .26406 L
s
.41783 .23047 m
.42777 .22715 L
s
.41783 .23047 m
.40454 .22484 L
s
.51244 .38775 m .51914 .39804 L .5141 .4145 L .966 .687 .456 r
F
0 g
.51914 .39804 m
.52072 .37658 L
s
.4488 .35068 m .48129 .34038 L .49078 .36187 L .656 .751 .92 r
F
0 g
.49078 .36187 m
.49395 .38489 L
s
.49883 .33901 m .50692 .36166 L .49995 .35413 L .966 .687 .456 r
F
0 g
.49566 .32265 m
.49883 .33901 L
s
.50692 .36166 m .51244 .38775 L .5057 .37741 L .966 .687 .456 r
F
.49995 .35413 m .50692 .36166 L .5057 .37741 L F
0 g
.47649 .27674 m
.48412 .29047 L
s
.45814 .24499 m .46833 .2423 L .46829 .25403 L .966 .687 .456 r
F
.45814 .24499 m .45636 .23157 L .46833 .2423 L F
0 g
.41454 .22149 m
.42777 .22715 L
s
.49524 .22172 m .50544 .24772 L .48094 .25576 L .544 .324 .532 r
F
.49524 .22172 m .5053 .21838 L .50544 .24772 L F
0 g
.50538 .23548 m
.50874 .24004 L
s
.5053 .21838 m
.51876 .23675 L
s
.49524 .22172 m
.5053 .21838 L
s
.48159 .20917 m
.49524 .22172 L
s
.46848 .43616 m
.47697 .42586 L
s
.47697 .42586 m
.48701 .42279 L
s
.039 .916 .04 r
.47867 .31127 m
.48593 .30894 L
s
.51244 .38775 m .5141 .4145 L .50802 .40197 L .966 .687 .456 r
F
.5057 .37741 m .51244 .38775 L .50802 .40197 L F
0 g
.4917 .20579 m
.5053 .21838 L
s
.039 .916 .04 r
.48593 .30894 m
.49322 .3066 L
s
.45993 .25846 m .46829 .25403 L .46825 .26582 L .966 .687 .456 r
F
0 g
.46825 .26582 m
.47649 .27674 L
s
.45993 .25846 m .45814 .24499 L .46829 .25403 L .966 .687 .456 r
F
0 g
.54138 .40616 m
.54625 .3897 L
s
.54625 .3897 m
.55639 .38658 L
s
.49995 .35413 m .5057 .37741 L .49893 .36702 L .966 .687 .456 r
F
0 g
.49883 .33901 m
.49995 .35413 L
s
.48701 .42279 m
.47858 .43307 L
s
.4905 .33746 m .54069 .34622 L .51614 .35391 L .656 .751 .92 r
F
0 g
.51614 .35391 m
.54767 .36821 L
s
.039 .916 .04 r
.49322 .3066 m
.52228 .29752 L
s
.5057 .37741 m .50802 .40197 L .50192 .3894 L .966 .687 .456 r
F
.49893 .36702 m .5057 .37741 L .50192 .3894 L F
.44504 .22667 m .45458 .21819 L .45636 .23157 L F
.44504 .22667 m .44151 .21244 L .45458 .21819 L F
0 g
.45458 .21819 m
.46837 .23064 L
s
.55639 .38658 m
.55159 .40304 L
s
.43076 .33158 m .48129 .34038 L .4488 .35068 L .656 .751 .92 r
F
.039 .916 .04 r
.44995 .33493 m
.4807 .32564 L
s
0 g
.4488 .35068 m
.46655 .36947 L
s
.039 .916 .04 r
.09295 .43973 m
.43949 .32643 L
s
.09295 .43973 m
.43935 .34067 L
s
.09295 .43973 m
.4479 .34973 L
s
.4479 .34973 m
.48138 .34054 L
s
.4807 .32564 m
.486 .32395 L
s
.48094 .25576 m .50558 .27745 L .47277 .28809 L .544 .324 .532 r
F
.48094 .25576 m .50544 .24772 L .50558 .27745 L F
0 g
.48094 .25576 m
.49524 .22172 L
s
.5053 .21838 m
.50544 .24772 L
s
.43111 .30159 m .46609 .32027 L .43076 .33158 L .544 .324 .532 r
F
.039 .916 .04 r
.09295 .43973 m
.43109 .30308 L
s
.43111 .30159 m .46356 .29107 L .46609 .32027 L .544 .324 .532 r
F
0 g
.43111 .30159 m
.43145 .27199 L
s
.039 .916 .04 r
.46463 .30341 m
.47181 .30088 L
s
.46588 .31786 m
.47381 .31528 L
s
0 g
.45563 .26406 m
.46356 .29107 L
s
.039 .916 .04 r
.47181 .30088 m
.4771 .29916 L
s
.486 .32395 m
.49131 .32227 L
s
.44856 .24092 m .45636 .23157 L .45814 .24499 L .966 .687 .456 r
F
.44856 .24092 m .44504 .22667 L .45636 .23157 L F
.039 .916 .04 r
.43109 .30308 m
.46353 .29086 L
s
.4905 .33746 m .52335 .32705 L .54069 .34622 L .656 .751 .92 r
F
0 g
.54069 .34622 m
.55776 .36508 L
s
.49893 .36702 m .50192 .3894 L .4958 .3768 L .966 .687 .456 r
F
0 g
.49893 .36702 m
.49995 .35413 L
s
.50802 .40197 m .5141 .4145 L .50586 .42476 L .966 .687 .456 r
F
0 g
.5141 .4145 m
.51914 .39804 L
s
.039 .916 .04 r
.4771 .29916 m
.4824 .29745 L
s
0 g
.40454 .22484 m
.41454 .22149 L
s
.40454 .22484 m
.39283 .22642 L
s
.4521 .25519 m .45814 .24499 L .45993 .25846 L .966 .687 .456 r
F
0 g
.45993 .25846 m
.46825 .26582 L
s
.4521 .25519 m .44856 .24092 L .45814 .24499 L .966 .687 .456 r
F
0 g
.48159 .20917 m
.4917 .20579 L
s
.48159 .20917 m
.46868 .20333 L
s
.039 .916 .04 r
.44779 .36404 m
.48068 .35591 L
s
.50802 .40197 m .50586 .42476 L .50083 .41078 L .966 .687 .456 r
F
.50192 .3894 m .50802 .40197 L .50083 .41078 L F
.039 .916 .04 r
.52228 .29752 m
.91898 .1755 L
s
0 0 0 r
2 Mabswid
.52228 .29752 Mdot
0 g
.5 Mabswid
.40289 .22304 m
.41454 .22149 L
s
.039 .916 .04 r
.48138 .34054 m
.48603 .33907 L
s
.43076 .33158 m .46609 .32027 L .48129 .34038 L .656 .751 .92 r
F
0 g
.48129 .34038 m
.49078 .36187 L
s
.039 .916 .04 r
.09295 .43973 m
.43092 .31731 L
s
0 g
.47885 .19992 m
.4917 .20579 L
s
.039 .916 .04 r
.48603 .33907 m
.49068 .3376 L
s
.50192 .3894 m .50083 .41078 L .4958 .39679 L .966 .687 .456 r
F
.4958 .3768 m .50192 .3894 L .4958 .39679 L F
.039 .916 .04 r
.47381 .31528 m
.47711 .31422 L
s
0 g
.45726 .43946 m
.46848 .43616 L
s
.46848 .43616 m
.47858 .43307 L
s
.039 .916 .04 r
.42249 .29387 m
.45385 .28127 L
s
.47711 .31422 m
.48041 .31316 L
s
.47003 .31901 m .52335 .32705 L .4905 .33746 L .656 .751 .92 r
F
0 g
.4905 .33746 m
.51614 .35391 L
s
.039 .916 .04 r
.46353 .29086 m
.46816 .28935 L
s
0 g
.53332 .41639 m
.54138 .40616 L
s
.54138 .40616 m
.55159 .40304 L
s
.039 .916 .04 r
.46816 .28935 m
.47281 .28783 L
s
.4958 .3768 m .4958 .39679 L .49076 .38278 L .966 .687 .456 r
F
0 g
.4958 .3768 m
.49893 .36702 L
s
.47858 .43307 m
.46743 .43635 L
s
.039 .916 .04 r
.44768 .37849 m
.4786 .3717 L
s
.47277 .28809 m .50573 .30758 L .47003 .31901 L .544 .324 .532 r
F
.039 .916 .04 r
.4914 .32223 m
.52241 .31182 L
s
.47277 .28809 m .50558 .27745 L .50573 .30758 L .544 .324 .532 r
F
0 g
.47277 .28809 m
.48094 .25576 L
s
.039 .916 .04 r
.50565 .29063 m
.51396 .2882 L
s
.50572 .30516 m
.51406 .30252 L
s
.47281 .28783 m
.50559 .27884 L
s
0 g
.50544 .24772 m
.50558 .27745 L
s
0 0 0 r
2 Mabswid
.52241 .31182 Mdot
0 g
.5 Mabswid
.55159 .40304 m
.54361 .41325 L
s
.039 .916 .04 r
.48068 .35591 m
.48601 .35424 L
s
.43513 .22806 m .44151 .21244 L .44504 .22667 L .966 .687 .456 r
F
.43513 .22806 m .43005 .21393 L .44151 .21244 L F
0 g
.44151 .21244 m
.45458 .21819 L
s
.039 .916 .04 r
.51396 .2882 m
.91935 .1757 L
s
0 0 0 r
2 Mabswid
.51396 .2882 Mdot
.43076 .33158 m .46329 .35158 L .4304 .36198 L .544 .324 .532 r
F
.039 .916 .04 r
.5 Mabswid
.09295 .43973 m
.43059 .34594 L
s
.09295 .43973 m
.43042 .36045 L
s
.43076 .33158 m .46609 .32027 L .46329 .35158 L .544 .324 .532 r
F
.039 .916 .04 r
.46357 .34845 m
.47374 .34572 L
s
.41243 .31219 m .46609 .32027 L .43076 .33158 L .656 .751 .92 r
F
.039 .916 .04 r
.46494 .33307 m
.47445 .33025 L
s
.09295 .43973 m
.43076 .33158 L
s
0 g
.43095 .31498 m
.43111 .30159 L
s
.039 .916 .04 r
.43561 .31568 m
.46547 .30527 L
s
.09295 .43973 m
.4138 .28456 L
s
.09295 .43973 m
.41357 .29884 L
s
.09295 .43973 m
.4223 .30813 L
s
.09295 .43973 m
.42211 .32242 L
s
.09295 .43973 m
.41313 .32757 L
s
.48601 .35424 m
.49136 .35258 L
s
.4402 .24218 m .44504 .22667 L .44856 .24092 L .966 .687 .456 r
F
.4402 .24218 m .43513 .22806 L .44504 .22667 L F
.039 .916 .04 r
.47445 .33025 m
.47709 .32941 L
s
.47709 .32941 m
.47974 .32857 L
s
.44528 .25628 m .44856 .24092 L .4521 .25519 L .966 .687 .456 r
F
0 g
.4521 .25519 m
.45993 .25846 L
s
.44528 .25628 m .4402 .24218 L .44856 .24092 L .966 .687 .456 r
F
.039 .916 .04 r
.46547 .30527 m
.46811 .30442 L
s
.4138 .28456 m
.44278 .27215 L
s
.45385 .28127 m
.45916 .27953 L
s
.46811 .30442 m
.47075 .30357 L
s
.47003 .31901 m .50573 .30758 L .52335 .32705 L .656 .751 .92 r
F
.039 .916 .04 r
.90662 .17923 m
.91908 .17493 L
s
.52241 .31182 m
.90662 .17923 L
s
0 g
.52335 .32705 m
.54069 .34622 L
s
.039 .916 .04 r
.49068 .3376 m
.52254 .32616 L
s
.50083 .41078 m .50586 .42476 L .49489 .42799 L .966 .687 .456 r
F
0 g
.50586 .42476 m
.5141 .4145 L
s
.039 .916 .04 r
.45916 .27953 m
.46448 .27778 L
s
.52254 .32616 m
.9191 .17457 L
s
0 0 0 r
2 Mabswid
.52254 .32616 Mdot
.50083 .41078 m .49489 .42799 L .49129 .41347 L .966 .687 .456 r
F
.4958 .39679 m .50083 .41078 L .49129 .41347 L F
.039 .916 .04 r
.5 Mabswid
.4786 .3717 m
.48596 .36942 L
s
0 0 0 r
2 Mabswid
.4786 .3717 Mdot
0 g
.5 Mabswid
.39283 .22642 m
.38354 .23527 L
s
.40289 .22304 m
.39283 .22642 L
s
.4958 .39679 m .49129 .41347 L .48771 .39898 L .966 .687 .456 r
F
.49076 .38278 m .4958 .39679 L .48771 .39898 L F
.039 .916 .04 r
.51406 .30252 m
.91938 .17519 L
s
0 0 0 r
2 Mabswid
.51406 .30252 Mdot
.039 .916 .04 r
.5 Mabswid
.46448 .27778 m
.49716 .26942 L
s
.43059 .34594 m
.46535 .33581 L
s
0 g
.46868 .20333 m
.47885 .19992 L
s
.46868 .20333 m
.4574 .20474 L
s
.49076 .38278 m .48771 .39898 L .48412 .38451 L .966 .687 .456 r
F
0 g
.49076 .38278 m
.4958 .3768 L
s
.039 .916 .04 r
.50559 .27884 m
.91956 .17589 L
s
0 0 0 r
2 Mabswid
.50559 .27884 Mdot
.039 .916 .04 r
.5 Mabswid
.48596 .36942 m
.49334 .36713 L
s
0 0 0 r
2 Mabswid
.42211 .32242 Mdot
.039 .916 .04 r
.5 Mabswid
.47374 .34572 m
.47706 .34468 L
s
0 g
.39367 .23188 m
.40289 .22304 L
s
.039 .916 .04 r
.47706 .34468 m
.48039 .34363 L
s
0 g
.46763 .20131 m
.47885 .19992 L
s
.039 .916 .04 r
.49334 .36713 m
.52277 .35513 L
s
.41243 .31219 m .44529 .30156 L .46609 .32027 L .656 .751 .92 r
F
0 0 0 r
2 Mabswid
.46609 .32027 Mdot
.039 .916 .04 r
.5 Mabswid
.46609 .32027 m
.46806 .31964 L
s
0 g
.46609 .32027 m
.48129 .34038 L
s
.039 .916 .04 r
.4223 .30813 m
.45573 .29565 L
s
.09295 .43973 m
.41335 .31316 L
s
.43076 .33158 m
.46609 .32027 L
s
0 g
.46356 .29107 m
.46609 .32027 L
s
0 0 0 r
2 Mabswid
.46806 .31964 Mdot
.039 .916 .04 r
.5 Mabswid
.45573 .29565 m
.45904 .29457 L
s
.47003 .31901 m .50587 .33811 L .47262 .34863 L .544 .324 .532 r
F
.039 .916 .04 r
.49136 .35258 m
.52266 .34059 L
s
.47003 .31901 m .50573 .30758 L .50587 .33811 L .544 .324 .532 r
F
.039 .916 .04 r
.50579 .31973 m
.51416 .3169 L
s
.50586 .3344 m
.51425 .33136 L
s
.4546 .29854 m .50573 .30758 L .47003 .31901 L .656 .751 .92 r
F
0 0 0 r
2 Mabswid
.47003 .31901 Mdot
.039 .916 .04 r
.5 Mabswid
.46806 .31964 m
.47003 .31901 L
s
0 g
.47158 .30154 m
.47277 .28809 L
s
.039 .916 .04 r
.47532 .30221 m
.50566 .29318 L
s
.44278 .27215 m
.45011 .26973 L
s
0 0 0 r
2 Mabswid
.44278 .27215 Mdot
0 g
.5 Mabswid
.44403 .43536 m
.45726 .43946 L
s
.45726 .43946 m
.46743 .43635 L
s
.039 .916 .04 r
.52266 .34059 m
.90662 .17923 L
s
.90662 .17923 m
.91899 .17403 L
s
0 0 0 r
2 Mabswid
.52266 .34059 Mdot
.039 .916 .04 r
.5 Mabswid
.45904 .29457 m
.46236 .29349 L
s
0 g
.52254 .41956 m
.53332 .41639 L
s
.53332 .41639 m
.54361 .41325 L
s
.039 .916 .04 r
.51416 .3169 m
.91938 .17498 L
s
0 0 0 r
2 Mabswid
.51416 .3169 Mdot
.039 .916 .04 r
.5 Mabswid
.45011 .26973 m
.45747 .2673 L
s
0 0 0 r
2 Mabswid
.43042 .36045 Mdot
.43995 .26174 m .4402 .24218 L .44528 .25628 L .966 .687 .456 r
F
0 g
.5 Mabswid
.44528 .25628 m
.4521 .25519 L
s
.46743 .43635 m
.45427 .43223 L
s
.4304 .36198 m .45487 .38503 L .43005 .39277 L .544 .324 .532 r
F
.4304 .36198 m .46329 .35158 L .45487 .38503 L F
0 g
.4304 .36198 m
.43076 .33158 L
s
.039 .916 .04 r
.46006 .36443 m
.47164 .36164 L
s
.43042 .36045 m
.46325 .35182 L
s
0 g
.46329 .35158 m
.46609 .32027 L
s
0 0 0 r
2 Mabswid
.50566 .29318 Mdot
.039 .916 .04 r
.5 Mabswid
.47164 .36164 m
.47701 .35997 L
s
0 0 0 r
2 Mabswid
.47164 .36164 Mdot
.039 .916 .04 r
.5 Mabswid
.42191 .33681 m
.45554 .32621 L
s
0 0 0 r
2 Mabswid
.42191 .33681 Mdot
.43366 .24877 m .43513 .22806 L .4402 .24218 L .966 .687 .456 r
F
.43995 .26174 m .43366 .24877 L .4402 .24218 L F
0 g
.5 Mabswid
.54361 .41325 m
.53289 .4164 L
s
.039 .916 .04 r
.45747 .2673 m
.48864 .25992 L
s
.49716 .26942 m
.91979 .17633 L
s
0 0 0 r
2 Mabswid
.49716 .26942 Mdot
.42735 .23576 m .43005 .21393 L .43513 .22806 L .966 .687 .456 r
F
.43366 .24877 m .42735 .23576 L .43513 .22806 L F
0 0 0 r
.41335 .31316 Mdot
.039 .916 .04 r
.5 Mabswid
.47701 .35997 m
.48238 .3583 L
s
.42735 .23576 m .42101 .22272 L .43005 .21393 L .966 .687 .456 r
F
0 g
.43005 .21393 m
.44151 .21244 L
s
.039 .916 .04 r
.46535 .33581 m
.46801 .33497 L
s
0 0 0 r
2 Mabswid
.46535 .33581 Mdot
.39381 .29247 m .44529 .30156 L .41243 .31219 L .656 .751 .92 r
F
.039 .916 .04 r
.5 Mabswid
.42211 .32242 m
.4563 .31065 L
s
0 g
.41243 .31219 m
.43076 .33158 L
s
.039 .916 .04 r
.41858 .29684 m
.44459 .28647 L
s
.48412 .38451 m .47817 .39574 L .47631 .38179 L .966 .687 .456 r
F
.48412 .38451 m .48771 .39898 L .47817 .39574 L F
0 g
.48412 .38451 m
.49076 .38278 L
s
.039 .916 .04 r
.46801 .33497 m
.47066 .33412 L
s
0 0 0 r
2 Mabswid
.46801 .33497 Mdot
.039 .916 .04 r
.5 Mabswid
.52277 .35513 m
.90137 .18092 L
s
.90137 .18092 m
.91872 .17293 L
s
0 0 0 r
2 Mabswid
.52277 .35513 Mdot
.039 .916 .04 r
.5 Mabswid
.4563 .31065 m
.45895 .30979 L
s
0 0 0 r
2 Mabswid
.4563 .31065 Mdot
.039 .916 .04 r
.5 Mabswid
.47066 .33412 m
.5058 .32208 L
s
0 0 0 r
2 Mabswid
.47066 .33412 Mdot
.48771 .39898 m .48002 .40974 L .47817 .39574 L .966 .687 .456 r
F
.48771 .39898 m .49129 .41347 L .48002 .40974 L F
.039 .916 .04 r
.5 Mabswid
.44459 .28647 m
.44993 .28471 L
s
0 0 0 r
2 Mabswid
.44459 .28647 Mdot
.039 .916 .04 r
.5 Mabswid
.45895 .30979 m
.4616 .30894 L
s
0 0 0 r
2 Mabswid
.45895 .30979 Mdot
.039 .916 .04 r
.5 Mabswid
.51425 .33136 m
.91197 .17752 L
s
.91197 .17752 m
.91933 .17468 L
s
0 0 0 r
2 Mabswid
.51425 .33136 Mdot
.4616 .30894 Mdot
.49129 .41347 m .48189 .42378 L .48002 .40974 L .966 .687 .456 r
F
.49129 .41347 m .49489 .42799 L .48189 .42378 L F
0 g
.5 Mabswid
.49489 .42799 m
.50586 .42476 L
s
.039 .916 .04 r
.44993 .28471 m
.45529 .28296 L
s
.4546 .29854 m .48782 .2878 L .50573 .30758 L .656 .751 .92 r
F
0 0 0 r
2 Mabswid
.50573 .30758 Mdot
.039 .916 .04 r
.5 Mabswid
.50573 .30758 m
.91948 .17512 L
s
.91376 .17695 m
.9195 .17531 L
s
.50566 .29318 m
.91376 .17695 L
s
.46236 .29349 m
.49719 .28378 L
s
0 g
.50573 .30758 m
.52335 .32705 L
s
.039 .916 .04 r
.47003 .31901 m
.50573 .30758 L
s
0 g
.50558 .27745 m
.50573 .30758 L
s
.039 .916 .04 r
.42171 .35134 m
.45344 .34227 L
s
0 0 0 r
2 Mabswid
.42171 .35134 Mdot
.039 .916 .04 r
.5 Mabswid
.49719 .28378 m
.91963 .17556 L
s
0 0 0 r
2 Mabswid
.49719 .28378 Mdot
.039 .916 .04 r
.5 Mabswid
.41313 .32757 m
.44433 .31696 L
s
0 0 0 r
2 Mabswid
.41313 .32757 Mdot
0 g
.5 Mabswid
.38354 .23527 m
.39367 .23188 L
s
.38354 .23527 m
.37739 .25094 L
s
.039 .916 .04 r
.46325 .35182 m
.46795 .35034 L
s
0 0 0 r
2 Mabswid
.46325 .35182 Mdot
.039 .916 .04 r
.5 Mabswid
.48864 .25992 m
.92024 .1773 L
s
0 0 0 r
2 Mabswid
.48864 .25992 Mdot
0 g
.5 Mabswid
.4574 .20474 m
.44855 .21349 L
s
.46763 .20131 m
.4574 .20474 L
s
.43652 .27123 m .43366 .24877 L .43995 .26174 L .966 .687 .456 r
F
0 g
.43995 .26174 m
.44528 .25628 L
s
0 0 0 r
2 Mabswid
.46795 .35034 Mdot
.039 .916 .04 r
.5 Mabswid
.45554 .32621 m
.45888 .32514 L
s
0 0 0 r
2 Mabswid
.45554 .32621 Mdot
0 g
.5 Mabswid
.38759 .24754 m
.39367 .23188 L
s
.47262 .34863 m .50602 .36906 L .48087 .37691 L .544 .324 .532 r
F
.47262 .34863 m .50587 .33811 L .50602 .36906 L F
0 g
.47003 .31901 m
.47262 .34863 L
s
.039 .916 .04 r
.50593 .3492 m
.51434 .34594 L
s
.46795 .35034 m
.47266 .34886 L
s
0 g
.50573 .30758 m
.50587 .33811 L
s
.039 .916 .04 r
.47266 .34886 m
.50587 .3367 L
s
0 0 0 r
2 Mabswid
.47266 .34886 Mdot
.39381 .29247 m .41858 .28438 L .44529 .30156 L .656 .751 .92 r
F
0 g
.5 Mabswid
.44529 .30156 m
.46609 .32027 L
s
.039 .916 .04 r
.41335 .31316 m
.44511 .30142 L
s
.45888 .32514 m
.46222 .32407 L
s
0 0 0 r
2 Mabswid
.45888 .32514 Mdot
.039 .916 .04 r
.5 Mabswid
.44511 .30142 m
.4498 .2999 L
s
0 0 0 r
2 Mabswid
.44511 .30142 Mdot
.039 .916 .04 r
.5 Mabswid
.51434 .34594 m
.91917 .1739 L
s
0 0 0 r
2 Mabswid
.51434 .34594 Mdot
0 g
.5 Mabswid
.45886 .21004 m
.46763 .20131 L
s
.039 .916 .04 r
.46222 .32407 m
.49728 .31271 L
s
0 0 0 r
2 Mabswid
.46222 .32407 Mdot
.47631 .38179 m .46782 .3872 L .46787 .37477 L .966 .687 .456 r
F
.47631 .38179 m .47817 .39574 L .46782 .3872 L F
0 g
.5 Mabswid
.47631 .38179 m
.48412 .38451 L
s
.42941 .26033 m .42735 .23576 L .43366 .24877 L .966 .687 .456 r
F
.43652 .27123 m .42941 .26033 L .43366 .24877 L F
0 0 0 r
2 Mabswid
.4498 .2999 Mdot
.039 .916 .04 r
.5 Mabswid
.5058 .32208 m
.91946 .17492 L
s
0 0 0 r
2 Mabswid
.5058 .32208 Mdot
0 g
.5 Mabswid
.44403 .43536 m
.45427 .43223 L
s
.43005 .39277 m .43997 .42082 L .42968 .42399 L .544 .324 .532 r
F
0 g
.42968 .42399 m
.44403 .43536 L
s
.43005 .39277 m .45487 .38503 L .43997 .42082 L .544 .324 .532 r
F
0 g
.43005 .39277 m
.4304 .36198 L
s
.42968 .42399 m
.43005 .39277 L
s
.45487 .38503 m
.46329 .35158 L
s
.44452 .2759 m .48782 .2878 L .4546 .29854 L .656 .751 .92 r
F
.039 .916 .04 r
.4498 .2999 m
.4545 .29837 L
s
.46296 .28096 m
.48864 .27428 L
s
0 g
.4546 .29854 m
.47003 .31901 L
s
.039 .916 .04 r
.4616 .30894 m
.49723 .2982 L
s
.4545 .29837 m
.48866 .28872 L
s
0 0 0 r
2 Mabswid
.4545 .29837 Mdot
.039 .916 .04 r
.5 Mabswid
.49723 .2982 m
.91958 .17526 L
s
0 0 0 r
2 Mabswid
.49723 .2982 Mdot
0 g
.5 Mabswid
.50972 .41527 m
.52254 .41956 L
s
.52254 .41956 m
.53289 .4164 L
s
.039 .916 .04 r
.4129 .34213 m
.44222 .33303 L
s
0 0 0 r
2 Mabswid
.4129 .34213 Mdot
.42228 .24938 m .42101 .22272 L .42735 .23576 L .966 .687 .456 r
F
.42941 .26033 m .42228 .24938 L .42735 .23576 L F
.039 .916 .04 r
.5 Mabswid
.48864 .27428 m
.91997 .1762 L
s
0 0 0 r
2 Mabswid
.48864 .27428 Mdot
0 g
.5 Mabswid
.43997 .42082 m
.45427 .43223 L
s
.47817 .39574 m .46778 .3997 L .46782 .3872 L .966 .687 .456 r
F
.47817 .39574 m .48002 .40974 L .46778 .3997 L F
.039 .916 .04 r
.45344 .34227 m
.45882 .34056 L
s
0 0 0 r
2 Mabswid
.45344 .34227 Mdot
0 g
.5 Mabswid
.53289 .4164 m
.52013 .41208 L
s
.039 .916 .04 r
.44433 .31696 m
.4497 .31523 L
s
0 0 0 r
2 Mabswid
.44433 .31696 Mdot
.039 .916 .04 r
.5 Mabswid
.45882 .34056 m
.46422 .33885 L
s
0 0 0 r
2 Mabswid
.45882 .34056 Mdot
.42228 .24938 m .41511 .23837 L .42101 .22272 L .966 .687 .456 r
F
0 g
.5 Mabswid
.42101 .22272 m
.43005 .21393 L
s
.43523 .28415 m .42941 .26033 L .43652 .27123 L .966 .687 .456 r
F
0 g
.43652 .27123 m
.43995 .26174 L
s
.37488 .27244 m .41858 .28438 L .39381 .29247 L .656 .751 .92 r
F
0 g
.39381 .29247 m
.41243 .31219 L
s
.039 .916 .04 r
.50587 .3367 m
.9194 .17434 L
s
0 0 0 r
2 Mabswid
.50587 .3367 Mdot
.48002 .40974 m .46774 .41227 L .46778 .3997 L .966 .687 .456 r
F
.48002 .40974 m .48189 .42378 L .46774 .41227 L F
0 g
.5 Mabswid
.48189 .42378 m
.49489 .42799 L
s
.039 .916 .04 r
.4497 .31523 m
.4551 .31349 L
s
0 0 0 r
2 Mabswid
.4497 .31523 Mdot
.039 .916 .04 r
.5 Mabswid
.46422 .33885 m
.49733 .32737 L
s
0 0 0 r
2 Mabswid
.46422 .33885 Mdot
0 g
.5 Mabswid
.43997 .42082 m
.45487 .38503 L
s
.039 .916 .04 r
.49728 .31271 m
.91197 .17752 L
s
.91197 .17752 m
.91958 .17504 L
s
0 0 0 r
2 Mabswid
.49728 .31271 Mdot
.46787 .37477 m .4574 .37389 L .45937 .36388 L .966 .687 .456 r
F
.46787 .37477 m .46782 .3872 L .4574 .37389 L F
0 g
.5 Mabswid
.46787 .37477 m
.47631 .38179 L
s
.039 .916 .04 r
.4551 .31349 m
.48868 .30325 L
s
0 0 0 r
2 Mabswid
.4551 .31349 Mdot
.039 .916 .04 r
.5 Mabswid
.48866 .28872 m
.91986 .17566 L
s
0 0 0 r
2 Mabswid
.48866 .28872 Mdot
.44452 .2759 m .46963 .26769 L .48782 .2878 L .656 .751 .92 r
F
0 g
.5 Mabswid
.48782 .2878 m
.50573 .30758 L
s
.38759 .24754 m
.37739 .25094 L
s
.42781 .27612 m .42228 .24938 L .42941 .26033 L .966 .687 .456 r
F
.43523 .28415 m .42781 .27612 L .42941 .26033 L F
.039 .916 .04 r
.44222 .33303 m
.44965 .33066 L
s
.37488 .27244 m .38514 .26905 L .41858 .28438 L .656 .751 .92 r
F
0 g
.38514 .26905 m
.41858 .28438 L
s
.37488 .27244 m
.37739 .25094 L
s
.41858 .28438 m
.44529 .30156 L
s
.37488 .27244 m
.39381 .29247 L
s
.44855 .21349 m
.45886 .21004 L
s
.44855 .21349 m
.44282 .22914 L
s
.43622 .29961 m .42781 .27612 L .43523 .28415 L .966 .687 .456 r
F
0 g
.43523 .28415 m
.43652 .27123 L
s
.38514 .26905 m
.38759 .24754 L
s
.46782 .3872 m .45542 .38398 L .4574 .37389 L .966 .687 .456 r
F
.46782 .3872 m .46778 .3997 L .45542 .38398 L F
.039 .916 .04 r
.44965 .33066 m
.45711 .32828 L
s
0 0 0 r
2 Mabswid
.44965 .33066 Mdot
.48087 .37691 m .50617 .40043 L .49571 .40366 L .544 .324 .532 r
F
.48087 .37691 m .50602 .36906 L .50617 .40043 L F
0 g
.5 Mabswid
.47262 .34863 m
.48087 .37691 L
s
.48087 .37691 m
.49571 .40366 L
s
.50587 .33811 m
.50602 .36906 L
s
.42968 .42399 m
.43997 .42082 L
s
.41523 .40601 m
.42968 .42399 L
s
.039 .916 .04 r
.49733 .32737 m
.91961 .17453 L
s
0 0 0 r
2 Mabswid
.49733 .32737 Mdot
.45937 .36388 m .44765 .35671 L .45143 .34985 L .966 .687 .456 r
F
.45937 .36388 m .4574 .37389 L .44765 .35671 L F
0 g
.5 Mabswid
.45937 .36388 m
.46787 .37477 L
s
.42034 .26804 m .41511 .23837 L .42228 .24938 L .966 .687 .456 r
F
.42781 .27612 m .42034 .26804 L .42228 .24938 L F
.039 .916 .04 r
.45711 .32828 m
.4887 .31792 L
s
0 0 0 r
2 Mabswid
.45711 .32828 Mdot
0 g
.5 Mabswid
.4532 .22568 m
.45886 .21004 L
s
.039 .916 .04 r
.48868 .30325 m
.91988 .1753 L
s
0 0 0 r
2 Mabswid
.48868 .30325 Mdot
0 g
.5 Mabswid
.42556 .4028 m
.43997 .42082 L
s
.49571 .40366 m
.50972 .41527 L
s
.50972 .41527 m
.52013 .41208 L
s
.43622 .29961 m .42899 .29506 L .42781 .27612 L .966 .687 .456 r
F
.43942 .31652 m .42899 .29506 L .43622 .29961 L F
0 g
.43523 .28415 m
.43622 .29961 L
s
.46778 .3997 m .45343 .39414 L .45542 .38398 L .966 .687 .456 r
F
.46778 .3997 m .46774 .41227 L .45343 .39414 L F
0 g
.46774 .41227 m
.48189 .42378 L
s
.45143 .34985 m .43928 .33687 L .44461 .33368 L .966 .687 .456 r
F
.45143 .34985 m .44765 .35671 L .43928 .33687 L F
0 g
.45143 .34985 m
.45937 .36388 L
s
.42899 .29506 m .42034 .26804 L .42781 .27612 L .966 .687 .456 r
F
.4407 .2507 m .46963 .26769 L .44452 .2759 L .656 .751 .92 r
F
0 g
.44452 .2759 m
.4546 .29854 L
s
.42034 .26804 m .41282 .25991 L .41511 .23837 L .966 .687 .456 r
F
0 g
.41511 .23837 m
.42101 .22272 L
s
.50617 .40043 m
.52013 .41208 L
s
.50602 .36906 m
.50617 .40043 L
s
.43942 .31652 m .43291 .31581 L .42899 .29506 L .966 .687 .456 r
F
.44461 .33368 m .43291 .31581 L .43942 .31652 L F
0 g
.43622 .29961 m
.43942 .31652 L
s
.44461 .33368 m .43928 .33687 L .43291 .31581 L .966 .687 .456 r
F
0 g
.44461 .33368 m
.45143 .34985 L
s
.43942 .31652 m
.44461 .33368 L
s
.4574 .37389 m .44384 .36363 L .44765 .35671 L .966 .687 .456 r
F
.4574 .37389 m .45542 .38398 L .44384 .36363 L F
.039 .916 .04 r
.4887 .31792 m
.91998 .17474 L
s
0 0 0 r
2 Mabswid
.4887 .31792 Mdot
0 g
.5 Mabswid
.37488 .27244 m
.38514 .26905 L
s
.37488 .27244 m
.37627 .29832 L
s
.38514 .26905 m
.38657 .29496 L
s
.40173 .38264 m
.41523 .40601 L
s
.41523 .40601 m
.42556 .4028 L
s
.42899 .29506 m .42171 .29048 L .42034 .26804 L .966 .687 .456 r
F
.43291 .31581 m .42171 .29048 L .42899 .29506 L F
.42171 .29048 m .41282 .25991 L .42034 .26804 L F
.4407 .2507 m .45113 .24725 L .46963 .26769 L .656 .751 .92 r
F
0 g
.45113 .24725 m
.46963 .26769 L
s
.46963 .26769 m
.48782 .2878 L
s
.4407 .2507 m
.44452 .2759 L
s
.44765 .35671 m .4339 .34009 L .43928 .33687 L .966 .687 .456 r
F
.44765 .35671 m .44384 .36363 L .4339 .34009 L F
0 g
.4407 .2507 m
.44282 .22914 L
s
.4532 .22568 m
.44282 .22914 L
s
.42556 .4028 m
.41208 .37938 L
s
.45542 .38398 m .44 .3706 L .44384 .36363 L .966 .687 .456 r
F
.45542 .38398 m .45343 .39414 L .44 .3706 L F
0 g
.45343 .39414 m
.46774 .41227 L
s
.43291 .31581 m .42634 .3151 L .42171 .29048 L .966 .687 .456 r
F
.43928 .33687 m .42634 .3151 L .43291 .31581 L F
.43928 .33687 m .4339 .34009 L .42634 .3151 L F
0 g
.45113 .24725 m
.4532 .22568 L
s
.37627 .29832 m
.38657 .29496 L
s
.37627 .29832 m
.38149 .32672 L
s
.49571 .40366 m
.50617 .40043 L
s
.4815 .38541 m
.49571 .40366 L
s
.42171 .29048 m .41437 .28587 L .41282 .25991 L .966 .687 .456 r
F
0 g
.41282 .25991 m
.41511 .23837 L
s
.39019 .35554 m
.40173 .38264 L
s
.40173 .38264 m
.41208 .37938 L
s
.42634 .3151 m .41437 .28587 L .42171 .29048 L .966 .687 .456 r
F
0 g
.39182 .32339 m
.38657 .29496 L
s
.49201 .38214 m
.50617 .40043 L
s
.44384 .36363 m .42848 .34334 L .4339 .34009 L .966 .687 .456 r
F
.44384 .36363 m .44 .3706 L .42848 .34334 L F
0 g
.44 .3706 m
.45343 .39414 L
s
.41208 .37938 m
.40054 .35225 L
s
.38149 .32672 m
.39182 .32339 L
s
.38149 .32672 m
.39019 .35554 L
s
.39019 .35554 m
.40054 .35225 L
s
.4339 .34009 m .41972 .31438 L .42634 .3151 L .966 .687 .456 r
F
.42634 .3151 m .41972 .31438 L .41437 .28587 L F
0 g
.41282 .25991 m
.41437 .28587 L
s
.4339 .34009 m .42848 .34334 L .41972 .31438 L .966 .687 .456 r
F
0 g
.40054 .35225 m
.39182 .32339 L
s
.4407 .2507 m
.45113 .24725 L
s
.4407 .2507 m
.44239 .27671 L
s
.41437 .28587 m
.41972 .31438 L
s
.45113 .24725 m
.45287 .27328 L
s
.46814 .36175 m
.4815 .38541 L
s
.4815 .38541 m
.49201 .38214 L
s
.42848 .34334 m
.44 .3706 L
s
.49201 .38214 m
.47867 .35843 L
s
.41972 .31438 m
.42848 .34334 L
s
.44239 .27671 m
.45287 .27328 L
s
.44239 .27671 m
.44782 .3053 L
s
.45662 .33437 m
.46814 .36175 L
s
.46814 .36175 m
.47867 .35843 L
s
.45834 .30191 m
.45287 .27328 L
s
.47867 .35843 m
.46716 .33102 L
s
.44782 .3053 m
.45834 .30191 L
s
.44782 .3053 m
.45662 .33437 L
s
.45662 .33437 m
.46716 .33102 L
s
.46716 .33102 m
.45834 .30191 L
s
0 0 0 r
2 Mabswid
.91998 .17474 Mdot
.91988 .1753 Mdot
.91961 .17453 Mdot
.91986 .17566 Mdot
.9194 .17434 Mdot
.91997 .1762 Mdot
.91958 .17504 Mdot
.91917 .1739 Mdot
.92024 .1773 Mdot
.91958 .17526 Mdot
.91946 .17492 Mdot
.91963 .17556 Mdot
.91948 .17512 Mdot
.91933 .17468 Mdot
.9195 .17531 Mdot
.91938 .17498 Mdot
.91872 .17293 Mdot
.91979 .17633 Mdot
.91938 .17519 Mdot
.91899 .17403 Mdot
.91956 .17589 Mdot
.9191 .17457 Mdot
.91935 .1757 Mdot
.91908 .17493 Mdot
.91898 .1755 Mdot
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{534, 197.812},
  ImageMargins->{{36, 0}, {0, 0}},
  ImageRegion->{{-0.082397, 1.05431}, {-0.444866, 1.37409}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008F0000aB000`400?l00000o`00003oo`3ooooo
0?oooaP0oooo003o0?ooool0oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo
003o0?ooool0oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0
oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo603oool0
0?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo603oool00?l0ooooo`3o
oolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo0@3oool3000001@0oooo003o0?ooooh0
oooo0P09jPX3000001@0oooo003o0?oooo/0oooo1P09jPX2000001@0oooo003o0?ooooT0oooo2009
jPX2000001@0oooo003o0?ooooL0oooo2009jPXH0?ooo`00o`3oooob0?ooo`P02NX:7@3oool00?l0
ooookP3oool900WZ2R00oooo003o0?ooonT0oooo2`09jPXS0?ooo`00o`3ooooU0?ooo`d02NX:9@3o
ool00?l0ooooh03oool?00WZ2RP0oooo003o0?ooom/0oooo4P09jPXZ0?ooo`00o`3ooooF0?oooaD0
2NX:;03oool00?l0ooood03ooolH00WZ2Rl0oooo003o0?oool/0oooo6`09jPXa0?ooo`00o`3oooo6
0?oooah02NX:<`3oool00?l0oooo`@3ooolP00WZ2SH0oooo003o0?oook`0oooo8`09jPXh0?ooo`00
kP3oool:00000;d0oooo9`09jPXj0?ooo`00k03oool2000000040?ooo`000000oooo0?ooo`<00000
0`3oool300000;D0oooo1@09jPX20?oooal02NX:00@0oooo00WZ2P09jPX02NX:?03oool00>X0oooo
0P0000000`3oool0000000000003000000T0oooo0P00002^0?ooo`D02NX:0P3ooolV00WZ2Sh0oooo
003X0?ooo`H00000103oool3000000L0oooo0`00002W0?ooo`D02NX:0`3ooolS00WZ2P030?ooo`09
jPX02NX:00802NX:@03oool00>L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`06
0?ooo`8000000P3oool3000000<0oooo00<000000?ooo`3oool0WP3oool600WZ2P<0oooo:`09jPY2
0?ooo`00iP3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo0P0000070?oo
o`030000003oool0oooo09P0oooo1@09jPX50?ooo`L02NX:00<0oooo00WZ2P09jPX07@09jPX00`3o
ool02NX:00WZ2P0200WZ2TD0oooo003U0?ooo`030000003oool0oooo00<000003P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo0980oooo1@09jPX50?ooo`P02NX:00<0oooo00WZ2P09
jPX01`09jPX00`3oool02NX:00WZ2P0D00WZ2P80oooo1009jPY70?ooo`00g03oool5000000<0oooo
100000020?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`2<0?ooo`D02NX:1P3oool700WZ2P80oooo2@09jPX00`3oool02NX:00WZ2P0F00WZ2P030?oo
o`09jPX02NX:00<02NX:B@3oool00=P0oooo100000050?N_M0@00000103oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0QP3oool500WZ2PH0oooo2009
jPX20?ooob<02NX:0P3oool500WZ2T/0oooo003G0?ooo`030000003g[g@0mjmd00T0mjmd0P000004
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1o
0?ooo`H02NX:1`3oool800WZ2P80oooo2P09jPX00`3oool02NX:00WZ2P0H00WZ2P80oooo0P09jPX0
0`3oool02NX:00WZ2P1=0?ooo`00eP3oool00`000000mjmd0?N_M0090?N_M0030000003g[g@0mjmd
0080000000<0oooo0000003oool04`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
07T0oooo1@09jPX80?ooo`P02NX:0`3oool:00WZ2P030?ooo`09jPX02NX:01T02NX:0P3oool600WZ
2Tl0oooo003E0?ooo`030000003g[g@0mjmd00X0mjmd00<000000?N_M03g[g@00P3g[g@2000001D0
oooo00<000000?ooo`3oool0103oool2000007D0oooo1@09jPX90?ooo`P02NX:0`3oool:00WZ2P80
oooo7009jPX20?ooo`D02NX:DP3oool00=@0oooo00<000000?N_M03g[g@02`3g[g@00`000000mjmd
0?N_M0030?N_M08000005@3oool00`000000oooo0?ooo`030000000308]BR0000000oooo06l0oooo
1@09jPX90?ooo`T02NX:0`3oool:00WZ2P80oooo7@09jPX20?ooo`<02NX:00<0oooo00WZ2P09jPX0
E03oool00<`0oooo1@0000020?ooo`030000003g[g@0mjmd00/0mjmd00<000000?N_M03g[g@00`3g
[g@010000000mjmd0?N_M000000E0?ooo`800000102;DXP2000006T0oooo1P09jPX:0?ooo`P02NX:
103oool:00WZ2P80oooo7P09jPX30?ooo`<02NX:00<0oooo00WZ2P09jPX0EP3oool00<L0oooo1`00
00030?ooo`<000003@3g[g@00`000000mjmd0?N_M0030?N_M0050000003g[g@0mjmd0?N_M0000000
503oool00`000000Re:808]BR00308]BR0030000003oool0000006<0oooo1@09jPX<0?ooo`P02NX:
103oool;00WZ2P80oooo7`09jPX30?ooo`<02NX:00<0oooo00WZ2P09jPX0F03oool00<@0oooo1`00
00070?ooo`030000003g[g@0mjmd00`0mjmd00@000000?N_M03g[g@0mjmd0P0000050?N_M0030000
003oool0oooo0100oooo00<0000008]BR02;DXP0102;DXP010000000oooo0?ooo`00001M0?ooo`D0
2NX:303oool900WZ2P@0oooo2`09jPX20?oooa/02NX:00<0oooo00WZ2P09jPX00P09jPX30?ooo`<0
2NX:0P3oool200WZ2UX0oooo00310?ooo`D000001@3oool3000000@0oooo00<000000?N_M03g[g@0
2`3g[g@00`000000mjmd00000002000000030?N_M0000000mjmd00D0mjmd00<000000?ooo`3oool0
3`3oool00`000000Re:808]BR00408]BR0040000003oool0oooo000005P0oooo1@09jPX=0?ooo`P0
2NX:1@3oool;00WZ2P<0oooo6`09jPX00`3oool02NX:00WZ2P0300WZ2P<0oooo0`09jPX0103oool0
2NX:00WZ2P09jPYL0?ooo`00`03oool01@000000oooo0?ooo`3oool0000000T0oooo0`0000000`3o
ool000000?N_M00<0?N_M0800000103g[g@00`000000mjmd0?N_M0050?N_M0030000003oool0oooo
00d0oooo00<0000008]BR02;DXP01@2;DXP01@000000oooo0?ooo`3oool000000580oooo1@09jPX=
0?ooo`T02NX:1@3oool;00WZ2P<0oooo2`09jPX00`3oool02NX:00WZ2P0?00WZ2P030?ooo`09jPX0
2NX:00802NX:0`3oool300WZ2P80oooo0P09jPYO0?ooo`00_`3oool01@000000oooo0?ooo`3oool0
000000d0oooo00<000000?N_M03g[g@0303g[g@00`000000mjmd0?N_M0030?N_M0030000003g[g@0
mjmd00H0mjmd00<000000?ooo`3oool0303oool00`000000Re:808]BR00508]BR0030000003oool0
oooo0080oooo00<000000?ooo`3oool0B@3oool600WZ2Ph0oooo2@09jPX50?ooo`/02NX:0`3ooolN
00WZ2P030?ooo`09jPX02NX:00<02NX:0`3oool300WZ2P80oooo0P09jPYQ0?ooo`00_P3oool00`00
0000oooo0?ooo`02000000h0oooo00<000000?N_M03g[g@0303g[g@00`000000mjmd0?N_M0030?N_
M0030000003g[g@0mjmd00H0mjmd00<000000?ooo`3oool0303oool00`000000Re:808]BR00508]B
R0030000003oool0oooo0080oooo00<000000?ooo`3oool0A03oool500WZ2Pl0oooo2@09jPX60?oo
o`/02NX:103oool;00WZ2P030?ooo`09jPX02NX:01002NX:00<0oooo00WZ2P09jPX00`09jPX40?oo
o`<02NX:0P3oool200WZ2V<0oooo002m0?ooo`@0000000<0oooo0000003oool0303oool00`000000
mjmd0?N_M00=0?N_M0030000003g[g@0mjmd00<0mjmd00<000000?N_M03g[g@01`3g[g@00`000000
oooo0?ooo`0:0?ooo`030000002;DXP0Re:800H0Re:800<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0n0?ooo`D02NX:403oool400WZ2P030?ooo`09jPX02NX:00802NX:1P3oool<00WZ2P<0
oooo3009jPX00`3oool02NX:00WZ2P0@00WZ2P80oooo1009jPX40?ooo`<02NX:0`3oool200WZ2VD0
oooo002l0?ooo`8000000`3oool00`000000oooo0?ooo`0<0?ooo`030000003g[g@0mjmd00d0mjmd
00<000000?N_M03g[g@00`3g[g@00`000000mjmd0?N_M0080?N_M0030000003oool0oooo00T0oooo
00<0000008]BR02;DXP01P2;DXP00`000000oooo0?ooo`040?ooo`030000003oool0oooo03P0oooo
1@09jPX@0?ooo`X02NX:1P3oool<00WZ2P<0oooo3@09jPX00`3oool02NX:00WZ2P0800WZ2P030?oo
o`09jPX02NX:00D02NX:0P3oool500WZ2P@0oooo0`09jPX30?ooo`802NX:I`3oool00;`0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0<0?ooo`030000003g[g@0mjmd00d0mjmd00<0
00000?N_M03g[g@00P3g[g@00`000000mjmd0?N_M00:0?N_M0030000003oool0oooo00L0oooo00<0
000008]BR02;DXP01`2;DXP00`000000oooo0?ooo`040?ooo`800000<`3oool600WZ2Q40oooo1009
jPX00`3oool02NX:00WZ2P0200WZ2PL0oooo3009jPX40?ooo``02NX:00<0oooo00WZ2P09jPX02@09
jPX00`3oool02NX:00WZ2P0500WZ2P<0oooo1009jPX50?ooo`<02NX:0P3oool300WZ2VT0oooo002k
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0303oool00`000000mjmd0?N_M00>
0?N_M0030000003g[g@0mjmd0080mjmd00<000000?N_M03g[g@02`3g[g@00`000000oooo0?ooo`06
0?ooo`030000002;DXP0Re:800L0Re:80P0000020?ooo`<0000000<0oooo0000003oool0;@3oool5
00WZ2Q80oooo1@09jPX00`3oool02NX:00WZ2P0200WZ2PL0oooo3009jPX40?ooo`d02NX:00<0oooo
00WZ2P09jPX02@09jPX00`3oool02NX:00WZ2P0600WZ2P80oooo1@09jPX40?ooo`<02NX:0`3oool2
00WZ2V`0oooo002k0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0303oool00`00
0000mjmd0?N_M00=0?N_M0030000003g[g@0mjmd00<0mjmd00<000000?N_M03g[g@0303g[g@00`00
0000oooo0?ooo`040?ooo`030000002;DXP0Re:800P0Re:800@000000?ooo`00000000001@3oool0
0`000000oooo0?ooo`0V0?ooo`D02NX:4`3oool400WZ2P030?ooo`09jPX02NX:00<02NX:1`3oool<
00WZ2PD0oooo3009jPX20?ooo`/02NX:00<0oooo00WZ2P09jPX01P09jPX20?ooo`D02NX:1@3oool3
00WZ2P<0oooo0P09jPY^0?ooo`00^`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00`0oooo00<000000?N_M03g[g@03@3g[g@00`000000mjmd0?N_M0030?N_M0030000003g[g@0mjmd
00`0mjmd00<000000?ooo`3oool0103oool00`000000Re:808]BR00808]BR0030000003oool00000
00H0oooo00<000000?ooo`3oool08@3oool500WZ2Q<0oooo1@09jPX00`3oool02NX:00WZ2P0200WZ
2PP0oooo2009jPX0103oool02NX:00WZ2P09jPX50?ooo`d02NX:0P3oool;00WZ2P030?ooo`09jPX0
2NX:00H02NX:0`3oool500WZ2P@0oooo1009jPX30?ooo`802NX:L03oool00;X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0=0?ooo`030000003g[g@0mjmd00d0mjmd00<000000?N_
M03g[g@00`3g[g@00`000000mjmd0?N_M00=0?N_M0030000003oool0oooo0080oooo00<0000008]B
R02;DXP02@2;DXP010000000oooo0?ooo`0000060?ooo`030000003oool0oooo01/0oooo1@09jPXD
0?ooo`@02NX:00<0oooo00WZ2P09jPX00`09jPX80?ooo`P02NX:00<0oooo00WZ2P09jPX00P09jPX4
0?ooo`h02NX:00<0oooo00WZ2P09jPX02P09jPX00`3oool02NX:00WZ2P0600WZ2P<0oooo1@09jPX5
0?ooo`<02NX:103oool200WZ2W80oooo002j0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool03@3oool00`000000mjmd0?N_M00=0?N_M0030000003g[g@0mjmd00<0mjmd00<000000?N_
M03g[g@03P3g[g@01@000000oooo0?ooo`3oool0000000/0Re:800@000000?ooo`3oool000001P3o
ool00`000000oooo0?ooo`0E0?ooo`H02NX:503oool500WZ2P030?ooo`09jPX02NX:00802NX:2@3o
ool800WZ2P030?ooo`09jPX02NX:00802NX:1@3oool300WZ2P030?ooo`09jPX02NX:00L02NX:0P3o
ool<00WZ2P030?ooo`09jPX02NX:00<02NX:00<0oooo00WZ2P09jPX0103oool500WZ2PD0oooo0`09
jPX40?ooo`802NX:M03oool00;T0oooo00@000000?ooo`3oool0oooo0P00000@0?ooo`030000003g
[g@0mjmd00d0mjmd00<000000?N_M03g[g@00P3g[g@200000140mjmd00<000000?ooo`000000302;
DXP01@000000oooo0?ooo`3oool0000000H0oooo00<000000?ooo`3oool03`3oool500WZ2QH0oooo
1009jPX20?ooo`@02NX:2@3oool800WZ2P030?ooo`09jPX02NX:00802NX:1@3oool>00WZ2P80oooo
3009jPX00`3oool02NX:00WZ2P0300WZ2P040?ooo`09jPX02NX:00WZ2P<0oooo1@09jPX50?ooo`@0
2NX:103oool200WZ2WH0oooo002i0?ooo`060000003oool000000000003oool00000403oool00`00
0000mjmd0?N_M00=0?N_M0030000003g[g@000000080000000<0Yl3[0000003g[g@04@3g[g@20000
00`0Re:800D000000?ooo`3oool0oooo000000060?ooo`030000003oool0oooo00X0oooo1@09jPXF
0?ooo`D02NX:00<0oooo00WZ2P09jPX00`09jPX90?ooo`P02NX:00<0oooo00WZ2P09jPX00P09jPX6
0?ooo`<02NX:00<0oooo00WZ2P09jPX02009jPX20?ooo``02NX:00<0oooo00WZ2P09jPX01`09jPX3
0?ooo`D02NX:1P3oool300WZ2P@0oooo0`09jPYh0?ooo`00^@3oool2000000<0oooo00<000000?oo
o`3oool03@3oool00`000000mjmd0?N_M00>0?N_M0800000102W`>/200000140mjmd0P00000<08]B
R0030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`D02NX:5`3oool400WZ2P80oooo1009jPX:0?ooo`P02NX:00<0oooo00WZ2P09jPX00P09jPX60?oo
o`h02NX:0P3oool=00WZ2P030?ooo`09jPX02NX:00L02NX:103oool500WZ2PH0oooo0`09jPX40?oo
o`802NX:N`3oool00;P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`03
0000003g[g@0mjmd00h0mjmd00<000000:O0j`2W`>/00`2W`>/00`000000Yl3[0000000@0?N_M003
0000002;DXP0Re:800/0Re:800<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`03
00000009jPX02NX:00@02NX:5`3oool500WZ2P80oooo1009jPX90?ooo`D02NX:00@0oooo00WZ2P09
jPX02NX:0P3oool300WZ2PH0oooo3`09jPX20?ooo`d02NX:00<0oooo00WZ2P09jPX01`09jPX40?oo
o`D02NX:1P3oool300WZ2PD0oooo0P09jPYm0?ooo`00^03oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00d0oooo00<000000?N_M03g[g@03P3g[g@00`000000Yl3[0:O0j`030:O0j`04
0000002W`>/0Yl3[000000l0mjmd00<0000008]BR02;DXP02`2;DXP00`000000oooo0?ooo`030?oo
o`030000003oool02NX:00@02NX:00<000000?ooo`3oool05P3oool400WZ2P80oooo1@09jPX90?oo
o`@02NX:0P3oool400WZ2P030?ooo`09jPX02NX:00802NX:1P3oool300WZ2P030?ooo`09jPX02NX:
00P02NX:0`3oool=00WZ2P030?ooo`09jPX02NX:00@02NX:00@0oooo00WZ2P09jPX02NX:0`3oool6
00WZ2PH0oooo0`09jPX50?ooo`802NX:O`3oool00;P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0=0?ooo`030000003g[g@0mjmd00h0mjmd00<000000:O0j`2W`>/00`2W`>/01@00
0000Yl3[0:O0j`2W`>/0000000d0mjmd00<0000008]BR02;DXP0302;DXP00`000000oooo0?ooo`05
00WZ2PD0oooo00<000000?ooo`3oool04@3oool500WZ2P80oooo1009jPX:0?ooo`@02NX:0P3oool4
00WZ2P030?ooo`09jPX02NX:00802NX:1P3oool;00WZ2P040?ooo`09jPX02NX:00WZ2P<0oooo3@09
jPX20?ooo`D02NX:00@0oooo00WZ2P09jPX02NX:103oool500WZ2PH0oooo1009jPX50?ooo`802NX:
P@3oool00;P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`030000003g
[g@0mjmd00h0mjmd00<000000:O0j`2W`>/00`2W`>/00`000000Yl3[0:O0j`020:O0j`030000003g
[g@0mjmd00X0mjmd00<0000008]BR02;DXP02P2;DXP500WZ2P@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`0<0?ooo`@02NX:0`3oool400WZ2PX0oooo1009jPX20?ooo`@02NX:00<0
oooo00WZ2P09jPX00P09jPX70?ooo`<02NX:00<0oooo00WZ2P09jPX02@09jPX20?ooo`h02NX:0P3o
ool500WZ2P040?ooo`09jPX02NX:00WZ2P@0oooo1P09jPX60?ooo`<02NX:1P3oool200WZ2X<0oooo
002h0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool00`000000mjmd0?N_
M00>0?N_M0800000102W`>/00`000000Yl3[0:O0j`030:O0j`030000003g[g@0mjmd00T0mjmd00@0
000008]BR02;DXP0Re:80P00000208]BR0D02NX:0P2;DXP00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool500WZ2P80oooo1@09jPX:0?ooo`@02NX:
0P3oool400WZ2P030?ooo`09jPX02NX:00802NX:1`3oool;00WZ2P040?ooo`09jPX02NX:00WZ2P<0
oooo3P09jPX20?ooo`D02NX:00<0oooo00WZ2P09jPX00P09jPX40?ooo`D02NX:1`3oool300WZ2PD0
oooo0`09jPZ50?ooo`00^03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00h0oooo
00<000000?N_M03g[g@03P3g[g@2000000@0Yl3[00<000000:O0j`2W`>/00`2W`>/00`000000mjmd
0?N_M0080?N_M0050000002;DXP0Re:808]BR009jPX00P00000200WZ2PL0Re:800<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`030?ooo`800000103oool400WZ2P<0oooo1009jPX;0?ooo`@0
2NX:0P3oool400WZ2P030?ooo`09jPX02NX:00802NX:1`3oool400WZ2P050?ooo`09jPX02NX:00WZ
2P3oool01`09jPX30?ooo`h02NX:0P3oool500WZ2P030?ooo`09jPX02NX:00802NX:103oool600WZ
2PH0oooo1009jPX50?ooo`802NX:R03oool00;P0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0>0?ooo`030000003g[g@0mjmd00d0mjmd0`0000050:O0j`030000002W`>/0Yl3[00<0
Yl3[00<000000?N_M03g[g@01P3g[g@500WZ2P`0Re:800<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`03000000030?ooo`09jPX02NX:00<02NX:0`3oool400WZ2P/0oooo1009jPX20?ooo`@0
2NX:00<0oooo00WZ2P09jPX00P09jPX80?ooo`<02NX:00<0oooo00WZ2P09jPX02@09jPX40?ooo`h0
2NX:0P3oool600WZ2P040?ooo`09jPX02NX:00WZ2P@0oooo1P09jPX70?ooo`<02NX:1P3oool200WZ
2XX0oooo002g0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool00`000000
mjmd0?N_M00=0?N_M0<000001@2W`>/00`000000Yl3[0:O0j`040:O0j`030000003g[g@0mjmd00D0
2NX:00<0mjmd0000002;DXP03P2;DXP00`000000oooo0?ooo`060?ooo`8000001009jPX00`3oool0
00000?ooo`0500WZ2P/0oooo1009jPX20?ooo`@02NX:0P3oool300WZ2PP0oooo1009jPX01@3oool0
2NX:00WZ2P09jPX0oooo00<02NX:00@0oooo00WZ2P09jPX02NX:0`3oool?00WZ2P80oooo1P09jPX0
103oool02NX:00WZ2P09jPX50?ooo`H02NX:1`3oool300WZ2PH0oooo0P09jPZ<0?ooo`00]`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?N_M03g[g@0303g[g@0
10000000Re:808]BR00000050:O0j`030000002W`>/0Yl3[00D0Yl3[00<0000000WZ2P3g[g@01@3g
[g@00`000000Re:808]BR00=08]BR0030000003oool0oooo00<0oooo1@09jPX30?ooo`@02NX:303o
ool400WZ2P80oooo1009jPX20?ooo`@02NX:203oool300WZ2P030?ooo`09jPX02NX:00X02NX:0`3o
ool300WZ2P030?ooo`09jPX02NX:00T02NX:0P3oool600WZ2P030?ooo`09jPX02NX:00802NX:103o
ool600WZ2PL0oooo1009jPX60?ooo`802NX:SP3oool00;L0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0>0?ooo`030000003g[g@0mjmd00`0mjmd00@0000008]BR02;DXP000001@2W
`>/00`000000Yl3[0:O0j`060:O0j`030000003g[g@0mjmd00<0mjmd00<0000008]BR02;DXP03P2;
DXP00`000000oooo00WZ2P0300WZ2P@0oooo1009jPX30?ooo`030000003oool0oooo00H0oooo1009
jPX20?ooo`@02NX:0P3oool400WZ2PP0oooo1009jPX01@3oool02NX:00WZ2P09jPX0oooo00<02NX:
00@0oooo00WZ2P09jPX02NX:103oool?00WZ2P80oooo1P09jPX00`3oool02NX:00WZ2P0200WZ2PD0
oooo1@09jPX80?ooo`<02NX:1`3oool200WZ2Y00oooo002g0?ooo`030000003oool0oooo0080oooo
0`00000?0?ooo`030000003g[g@0mjmd00`0mjmd00@0000008]BR02;DXP000001@2W`>/00`000000
Yl3[0:O0j`070:O0j`030000003g[g@0mjmd0080mjmd00<0000008]BR02;DXP0202;DXP200000003
08]BR009jPX02NX:00<02NX:0`3oool500WZ2P030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00P3oool400WZ2P80oooo1009jPX20?ooo`@02NX:203oool400WZ2P030?ooo`09jPX02NX:00X0
2NX:103oool?00WZ2P80oooo1P09jPX00`3oool02NX:00WZ2P0200WZ2PD0oooo1P09jPX70?ooo`@0
2NX:1P3oool300WZ2Y80oooo002g0?ooo`030000003oool0oooo0080000000<0Yl3[0000002W`>/0
0P00000=0?ooo`030000003g[g@0mjmd00/0mjmd00D0000008]BR02;DXP0Re:8000000050:O0j`03
0000002W`>/0Yl3[00L0Yl3[00<000000?N_M03g[g@00P3g[g@00`000000Re:808]BR00708]BR004
00WZ2P000000000000WZ2P<0Re:800<0000000WZ2P09jPX00P09jPX60?ooo`030000003oool0oooo
00@0oooo1009jPX20?ooo`@02NX:0P3oool400WZ2PT0oooo0`09jPX20?ooo`<02NX:00D0oooo00WZ
2P09jPX02NX:0?ooo`0300WZ2PD0oooo3`09jPX20?ooo`H02NX:00<0oooo00WZ2P09jPX00P09jPX5
0?ooo`H02NX:203oool400WZ2PH0oooo0P09jPZE0?ooo`00]`3oool3000000<0Yl3[00@000000:O0
j`2W`>/0Yl3[0P00000;0?ooo`030000003g[g@0mjmd00/0mjmd00<0000008]BR02;DXP00`000004
0:O0j`030000002W`>/0Yl3[00P0Yl3[00D000000?N_M03g[g@0mjmd0000000508]BR0@02NX:102;
DXP400WZ2PX0oooo00<000000?ooo`3oool01009jPX00`000000oooo00WZ2P0300WZ2P80oooo1009
jPX90?ooo`@02NX:00<0oooo00WZ2P09jPX01P09jPX0103oool02NX:00WZ2P09jPX40?oooa002NX:
0P3oool600WZ2P80oooo1009jPX50?ooo`H02NX:203oool300WZ2PL0oooo0P09jPZG0?ooo`00]`3o
ool00`000000Yl3[0:O0j`030:O0j`030000002W`>/0Yl3[00<0Yl3[0P0000090?ooo`030000003g
[g@0mjmd00/0mjmd00<0000000WZ2P09jPX00`0000030:O0j`8000002`2W`>/00`000000mjmd0000
000208]BR0@02NX:0P0000000`2;DXP02NX:00WZ2P0300WZ2P<0Re:800<000000?ooo`3oool01`3o
ool400WZ2P<0oooo0`09jPX30?ooo`<02NX:2P3oool300WZ2P80oooo0`09jPX01@3oool02NX:00WZ
2P09jPX0oooo00@02NX:103oool300WZ2P030?ooo`09jPX02NX:00X02NX:0`3oool500WZ2P80oooo
1009jPX50?ooo`H02NX:203oool400WZ2PL0oooo0P09jPZI0?ooo`00]`3oool00`000000Yl3[0:O0
j`030:O0j`030000002W`>/0Yl3[00D0Yl3[0P0000080?ooo`030000003g[g@0mjmd00X0mjmd00@0
000008]BR02;DXP0Re:81@0000000`2W`>/000000:O0j`0;0:O0j`0400000009jPX02NX:00WZ2P<0
Re:800@02NX:0000000000002NX:202;DXP00`000000oooo0?ooo`030?ooo`@02NX:0P3oool00`00
00002NX:00WZ2P0200WZ2P80oooo1009jPX90?ooo`@02NX:00<0oooo00WZ2P09jPX00P09jPX01@3o
ool02NX:00WZ2P09jPX0oooo00<02NX:1@3oool@00WZ2P<0oooo1@09jPX20?ooo`@02NX:1P3oool6
00WZ2PP0oooo0`09jPX80?ooo`802NX:V`3oool00;L0oooo0P0000040:O0j`030000002W`>/0Yl3[
00L0Yl3[0P0000060?ooo`030000003g[g@0mjmd00X0mjmd00@0000008]BR02;DXP0Re:80P000004
0:O0j`030000002W`>/0Yl3[00/0Yl3[00<0000008]BR009jPX00`09jPX<08]BR0030000003oool0
2NX:00<02NX:0`3oool400WZ2P030000003oool02NX:00<02NX:00<000000?ooo`3oool01P3oool4
00WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2P040?ooo`09jPX02NX:00WZ2PD0oooo1P09
jPX00`3oool02NX:00WZ2P0700WZ2P<0oooo1P09jPX00`3oool02NX:00WZ2P0200WZ2PH0oooo1P09
jPX90?ooo`<02NX:203oool200WZ2Yd0oooo002g0?ooo`030000003oool0000000<0Yl3[00<00000
0:O0j`2W`>/02@2W`>/2000000@0oooo00<000000?N_M03g[g@02P3g[g@010000000Re:808]BR02;
DXP2000000@0Yl3[00<000000:O0j`2W`>/0302W`>/00`000000Re:808]BR00<08]BR00400WZ2P00
0000000000WZ2P<0oooo1009jPX20?ooo`@02NX:1@3oool00`000000oooo0?ooo`020?ooo`<02NX:
0P3oool400WZ2P050?ooo`09jPX02NX:00WZ2P3oool01009jPX40?ooo`L02NX:00<0oooo00WZ2P09
jPX01`09jPX30?ooo`H02NX:00<0oooo00WZ2P09jPX00`09jPX50?ooo`L02NX:203oool400WZ2PL0
oooo0`09jPZO0?ooo`00]`3oool010000000oooo0?ooo`0000020:O0j`030000002W`>/0Yl3[00/0
Yl3[0P0000020?ooo`030000003g[g@0mjmd00T0mjmd00<0000008]BR02;DXP00P2;DXP00`000000
Re:8000000040:O0j`030000002W`>/0Yl3[00`0Yl3[00<0000008]BR02;DXP0202;DXP300WZ2P03
08]BR0000000000000@02NX:0P3oool400WZ2P80oooo00<000000?ooo`3oool0103oool00`000000
2NX:00WZ2P0200WZ2P030?ooo`09jPX02NX:00802NX:00<0oooo00WZ2P09jPX00P09jPX0103oool0
2NX:00WZ2P09jPX50?ooo`<02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0900WZ2P<0oooo1P09jPX2
0?ooo`@02NX:1P3oool600WZ2PT0oooo0`09jPX80?ooo`802NX:XP3oool00;L0oooo00L000000?oo
o`3oool0oooo0000002W`>/0000000l0Yl3[0`00000;0?N_M0030000002;DXP0Re:80080Re:800<0
000008]BR0000000102W`>/00`000000Yl3[0:O0j`0=0:O0j`030000002;DXP0Re:800@0Re:80`09
jPX208]BR0@02NX:0P3oool400WZ2PL0oooo00@000000?ooo`3oool0oooo0`09jPX00`000000oooo
00WZ2P0200WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2PD0oooo0`09jPX00`3oool02NX:
00WZ2P0;00WZ2P<0oooo1P09jPX20?ooo`@02NX:1P3oool600WZ2PT0oooo1009jPX80?ooo`802NX:
Y03oool00;L0oooo00<000000?ooo`3oool00P3oool00`000000Yl3[0000000@0:O0j`030000003g
[g@0mjmd00T0mjmd00<0000008]BR02;DXP00`2;DXP00`000000Re:8000000030:O0j`030000002W
`>/0Yl3[00h0Yl3[00<0000008]BR009jPX00`09jPX01@2;DXP02NX:0000000000002NX:00<0Re:8
0`09jPX;0?ooo`@02NX:00<0oooo00WZ2P09jPX00P09jPX00`3oool02NX:00WZ2P0200WZ2P040?oo
o`09jPX02NX:00WZ2PH0oooo0`09jPX00`3oool02NX:00WZ2P0400WZ2P030?ooo`09jPX02NX:00@0
2NX:0`3oool600WZ2P80oooo1009jPX70?ooo`H02NX:2@3oool400WZ2PP0oooo0P09jPZV0?ooo`00
]`3oool00`000000oooo0?ooo`030?ooo`800000402W`>/00`000000mjmd0?N_M0090?N_M0030000
002;DXP0Re:800<0Re:800<0000000WZ2P0000000`2W`>/00`000000Yl3[0:O0j`0?0:O0j`030000
002;DXP0Re:800<02NX:00<0Re:80000000000001009jPX00`000000oooo0?ooo`070?ooo`@02NX:
00<0oooo00000009jPX00P09jPX20?ooo`<02NX:0P3oool300WZ2PD0oooo2`09jPX00`3oool02NX:
00WZ2P0400WZ2P<0oooo1P09jPX20?ooo`D02NX:1P3oool600WZ2PX0oooo0`09jPX90?ooo`802NX:
Z03oool00;P0oooo00<000000?ooo`3oool00`3oool00`000000Yl3[0:O0j`0>0:O0j`030000003g
[g@0mjmd00T0mjmd00D0000008]BR02;DXP0Re:800WZ2P020000000300WZ2P2;DXP000000080Yl3[
00<000000:O0j`2W`>/0402W`>/0100000002NX:08]BR02;DXP400WZ2P@0Re:800<000000?ooo`3o
ool0103oool300WZ2P80oooo1009jPX00`3oool02NX:00WZ2P0200WZ2P030?ooo`09jPX02NX:0080
2NX:1@3oool300WZ2P050?ooo`09jPX02NX:00WZ2P3oool02P09jPX30?ooo`H02NX:0P3oool500WZ
2PH0oooo1`09jPX90?ooo`@02NX:2@3oool200WZ2ZX0oooo002h0?ooo`030000003oool0oooo00<0
oooo0P00000?0:O0j`030000003g[g@0mjmd00T0mjmd00<0000000WZ2P09jPX00P09jPX200000080
Re:800D000000:O0j`2W`>/0Yl3[0000000B0:O0j`80000000<02NX:08]BR02;DXP01P2;DXP01000
0000oooo0?ooo`3oool20000000300WZ2P3oool0oooo00<02NX:0P3oool300WZ2P030000003oool0
2NX:00802NX:00<000000?ooo`3oool00`3oool300WZ2P050?ooo`09jPX02NX:00WZ2P3oool01P09
jPX0103oool02NX:00WZ2P09jPX30?ooo`<02NX:00<0oooo00WZ2P09jPX00`3oool400WZ2PL0oooo
1P09jPX:0?ooo`@02NX:203oool300WZ2Z`0oooo002h0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`0000003P2W`>/00`000000mjmd0?N_M0090?N_M00300000009jPX0Re:800<0Re:800@0
000008]BR02;DXP000000`2W`>/00`000000Yl3[0:O0j`0<0:O0j`<02NX:00<0Yl3[000000000000
2@2;DXP01@0000002NX:00WZ2P09jPX0000000@02NX:0P3oool300WZ2P030?ooo`09jPX02NX:0080
2NX:103oool00`000000oooo00WZ2P0200WZ2P050?ooo`09jPX02NX:00WZ2P3oool01P09jPX0103o
ool02NX:00WZ2P09jPX30?ooo`<02NX:00@0oooo00WZ2P09jPX02NX:0P3oool400WZ2PL0oooo1`09
jPX:0?ooo`<02NX:2@3oool200WZ2Zl0oooo002h0?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool000003@2W`>/00`000000mjmd0?N_M0090?N_M0030000002;DXP0Re:800@0Re:800@0
000008]BR02;DXP000000P2W`>/00`000000Yl3[0:O0j`080:O0j`@02NX:1@2W`>/00`000000Re:8
08]BR00708]BR0030000003oool02NX:00802NX:0P3oool400WZ2P060?ooo`09jPX02NX:00WZ2P3o
ool00000103oool400WZ2P050?ooo`09jPX02NX:00WZ2P3oool01P09jPX0103oool02NX:00WZ2P09
jPX30?ooo`<02NX:00@0oooo00WZ2P09jPX02NX:0P3oool500WZ2PH0oooo1`09jPX:0?ooo`@02NX:
2@3oool200WZ2[40oooo002h0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo
0000000=0:O0j`030000003g[g@0mjmd00T0mjmd00<0000008]BR02;DXP00`2;DXP010000000Re:8
08]BR00000020:O0j`030000002W`>/0Yl3[00D0Yl3[0`09jPX:0:O0j`030000002;DXP0Re:800D0
Re:80P0000000`09jPX0oooo0?ooo`0300WZ2P80oooo0`09jPX50?ooo`0500000009jPX02NX:00WZ
2P3oool01009jPX00`3oool02NX:00WZ2P0400WZ2P040?ooo`09jPX02NX:00WZ2P@0oooo0P09jPX0
103oool02NX:00WZ2P09jPX20?ooo`D02NX:1`3oool700WZ2PX0oooo1009jPX90?ooo`802NX:/`3o
ool00;P0oooo00<000000?ooo`3oool00P3oool200000080oooo0P09jPX00`000000Yl3[0:O0j`0:
0:O0j`030000003g[g@0mjmd00T0mjmd00<0000008]BR02;DXP00`2;DXP01`000000Re:808]BR009
jPX000000:O0j`0000000`2W`>/400WZ2Ph0Yl3[00@0000008]BR02;DXP0Re:80`09jPX00`000000
2NX:00WZ2P0200WZ2P030?ooo`09jPX02NX:00802NX:1P3oool300WZ2P050?ooo`09jPX02NX:00WZ
2P3oool01`09jPX0103oool02NX:00WZ2P09jPX40?ooo`H02NX:0P3oool500WZ2PL0oooo1`09jPX:
0?ooo`@02NX:2P3oool200WZ2[D0oooo002h0?ooo`030000003oool000000080000000@0oooo0000
0009jPX02NX:0`3oool00`000000Yl3[0:O0j`090:O0j`030000003g[g@0mjmd00T0mjmd0P000004
08]BR00700000009jPX02NX:08]BR0000000Yl3[0000000300WZ2Q<0Yl3[00@0000000WZ2P09jPX0
Re:80`09jPX00`000000oooo00WZ2P0200WZ2P@0oooo0P0000001@3oool02NX:00WZ2P09jPX0oooo
00<02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0300WZ2P040?ooo`09jPX02NX:00WZ2P@0oooo1P09
jPX30?ooo`@02NX:203oool600WZ2P/0oooo1009jPX:0?ooo`802NX:]`3oool00;P0oooo0P000002
0?ooo`802NX:00<000000?ooo`3oool0103oool00`000000Yl3[0:O0j`080:O0j`030000003g[g@0
mjmd00T0mjmd00@000000:O0j`00000000000P09jPX010000000Re:800WZ2P09jPX20000000300WZ
2P000000Yl3[01@0Yl3[00D02NX:0000000000002NX:08]BR00400WZ2PH0oooo00D02NX:00000000
00002NX:0?ooo`0300WZ2P050?ooo`09jPX02NX:00WZ2P3oool00`09jPX0100000002NX:00WZ2P09
jPX40?ooo`H02NX:0`3oool500WZ2PL0oooo1`09jPX;0?ooo`<02NX:2`3oool200WZ2[T0oooo002h
0?ooo`040000003oool02NX:00WZ2P80oooo00<000000?ooo`3oool01@3oool00`000000Yl3[0:O0
j`070:O0j`030000003g[g@0mjmd00T0mjmd00L000000:O0j`2W`>/0Yl3[00000009jPX0000000<0
2NX:0P0000000`2W`>/000000:O0j`0A0:O0j`<02NX:00<0Yl3[00000009jPX00P09jPX208]BR003
0000003oool0oooo0080oooo0`09jPX20?ooo`<02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0300WZ
2P050?ooo`09jPX02NX:00WZ2P0000000`3oool600WZ2P<0oooo1@09jPX70?ooo`L02NX:2`3oool4
00WZ2PX0oooo0`09jPZk0?ooo`00^03oool00`0000002NX:0?ooo`040?ooo`030000003oool0oooo
00D0oooo00<000000:O0j`2W`>/01`2W`>/00`000000mjmd0?N_M0080?N_M0050000002W`>/0Yl3[
0:O0j`09jPX01@00000208]BR08000003`2W`>/300WZ2P80Yl3[0`09jPX00`2W`>/0000008]BR002
08]BR00300000009jPX02NX:00802NX:0P00000300WZ2P050?ooo`09jPX02NX:00WZ2P3oool00`09
jPX0100000002NX:00WZ2P09jPX30?ooo`0300000009jPX02NX:00@02NX:0`3oool500WZ2PP0oooo
1`09jPX;0?ooo`@02NX:2P3oool200WZ2[h0oooo002f0?ooo`802NX:00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`050?ooo`0300WZ2P000000Yl3[00L0Yl3[00<000000?N_M03g[g@0203g
[g@01@0000002NX:00WZ2P09jPX0Yl3[00<0000000H0Re:8000000000000000008]BR000000:0:O0
j`0300WZ2P2W`>/02NX:00802NX:00D0Yl3[00WZ2P000000000000WZ2P050:O0j`030000002;DXP0
Re:80080000000<0oooo00WZ2P09jPX00P0000001@3oool02NX:00WZ2P09jPX0oooo00<02NX:00D0
oooo00WZ2P09jPX02NX:000000030?ooo`<02NX:00<0oooo00WZ2P09jPX00`3oool500WZ2PP0oooo
1`09jPX;0?ooo`@02NX:2`3oool200WZ2/00oooo002d0?ooo`802NX:0`3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00<0oooo0`09jPX00`3oool000000:O0j`060:O0j`030000003g
[g@0mjmd00T0mjmd00<000000:O0j`2W`>/00`2W`>/2000000@0Re:80P0000080:O0j`<02NX:00D0
Yl3[00WZ2P09jPX02NX:0:O0j`02000000L0Yl3[00<0000008]BR00000000P09jPX20?ooo`<02NX:
00D0oooo00WZ2P09jPX02NX:0?ooo`0300WZ2P<0oooo00D0000000WZ2P09jPX02NX:0?ooo`0300WZ
2P80oooo1P09jPX80?ooo`L02NX:2`3oool400WZ2P/0oooo0P09jP[20?ooo`00/P3oool200WZ2PD0
oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool300WZ2P@0oooo00<000000:O0
j`2W`>/0102W`>/00`000000mjmd0?N_M0090?N_M0030000002W`>/0Yl3[00<0Yl3[00<000000:O0
j`000000102;DXP00`000000Yl3[0:O0j`030:O0j`L02NX:3P2W`>/3000000<02NX:00D0oooo00WZ
2P09jPX02NX:0?ooo`0300WZ2P@0oooo0`09jPX0103oool02NX:00WZ2P09jPX20?ooo`0300000009
jPX02NX:00<02NX:203oool700WZ2P`0oooo1009jPX;0?ooo`802NX:a03oool00;00oooo0P09jPX7
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`09jPX00P09jPX70?ooo`030000002W`>/0
Yl3[00<0Yl3[00<000000?N_M03g[g@02@3g[g@00`000000Yl3[0:O0j`030:O0j`050000002W`>/0
Yl3[0000002;DXP00P09jPX3000000H02NX:4@2W`>/200WZ2P0300000009jPX0000000<02NX:00@0
oooo00WZ2P09jPX02NX:103oool300WZ2P040?ooo`09jPX02NX:00WZ2P<0oooo1@09jPX80?ooo`P0
2NX:2`3oool400WZ2P`0oooo0P09jP[60?ooo`00[P3oool200WZ2PT0oooo00<000000?ooo`3oool0
0P3oool200WZ2P030000003oool0oooo00T0oooo00<000000:O0j`2W`>/00P2W`>/00`000000mjmd
0?N_M0090?N_M0030000002W`>/0Yl3[00@0Yl3[00<000000:O0j`2W`>/01@00000400WZ2Q40Yl3[
0`09jPX208]BR0<02NX:00@0oooo00WZ2P09jPX02NX:103oool300WZ2P040?ooo`09jPX02NX:00WZ
2P80oooo00<0000000WZ2P09jPX01009jPX80?ooo`L02NX:303oool400WZ2P/0oooo0`09jP[80?oo
o`00[03oool200WZ2P/0oooo00<000000?ooo`3oool00`09jPX00`3oool000000?ooo`090?ooo`80
2NX:00<000000:O0j`09jPX00P09jPX00`000000mjmd0?N_M0080?N_M0030000002W`>/0Yl3[00@0
Yl3[00D000000:O0j`2W`>/02NX:0000000200WZ2P8000004@2W`>/200WZ2P80000000D0Re:800WZ
2P09jPX02NX:0000000300WZ2PD0oooo0P09jPX0100000002NX:00WZ2P09jPX30?ooo`H02NX:0`3o
ool00`000000oooo0?ooo`020?ooo`P02NX:303oool400WZ2P/0oooo0P09jP[;0?ooo`00ZP3oool2
00WZ2Ph0oooo00<0000000WZ2P09jPX00`3oool00`000000oooo0?ooo`060?ooo`D02NX:0P000002
0:O0j`030000003g[g@0mjmd00T0mjmd00<000000:O0j`2W`>/00`2W`>/00`0000002NX:00WZ2P02
000000050:O0j`000000000008]BR00000003@2W`>/300WZ2P80Re:80P0000000`09jPX0Re:800WZ
2P0200WZ2P030:O0j`00000000000080oooo1P09jPX30?ooo`H02NX:1@3oool200000080oooo1`09
jPX<0?ooo`@02NX:303oool200WZ2/d0oooo002X0?ooo`802NX:3P3oool200WZ2P030000003oool0
oooo00<0oooo00<000000?ooo`3oool00`3oool700WZ2P030?ooo`00000000000080Yl3[00<00000
0?N_M03g[g@02@3g[g@00`000000Yl3[0:O0j`0300WZ2P80000000<0Yl3[0000000000000P2W`>/2
0000000308]BR0000000Yl3[00P0Yl3[0`09jPX208]BR0<02NX:00@0Re:800WZ2P09jPX02NX:0P2;
DXP010000000Yl3[0:O0j`00000500WZ2P@0oooo0P09jPX00`3oool02NX:00WZ2P030?ooo`030000
003oool000000080000000<0oooo00WZ2P09jPX01@09jPX=0?ooo`@02NX:303oool200WZ2/l0oooo
002V0?ooo`802NX:3@3oool300WZ2P80oooo00<000000?ooo`3oool00`3oool010000000oooo0?oo
o`3oool600WZ2PH0oooo00<000000:O0j`0000002`3g[g@01P0000002NX:0000000000002NX:0:O0
j`8000001P2W`>/00`000000Re:8000000060:O0j`<02NX:0P2;DXP300WZ2P0408]BR009jPX02NX:
00WZ2PD0Re:800@000000:O0j`2W`>/0Yl3[0`0000030?ooo`H02NX:1@3oool2000000030?ooo`09
jPX02NX:00H02NX:303oool500WZ2P`0oooo0P09jP[A0?ooo`00Y03oool200WZ2Pd0oooo0`09jPX4
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`09jPX01@09jPX90?ooo`8000002`3g[g@0
100000002NX:0000000000030:O0j`030000002W`>/0Yl3[00@0Yl3[1P00000300WZ2P80Re:81009
jPX20000000300WZ2P2;DXP0Re:800H0Re:800D0000000WZ2P09jPX02NX:0:O0j`02000000H02NX:
203oool00`0000002NX:00WZ2P0500WZ2Pd0oooo1009jPX=0?ooo`802NX:d`3oool00:80oooo0P09
jPX=0?ooo`<02NX:1P3oool00`000000oooo0?ooo`020?ooo`802NX:00@0000000WZ2P09jPX02NX:
3@3oool2000000X0mjmd00<000000:O0j`2W`>/0102W`>/00`000000Yl3[0:O0j`050:O0j`800000
00<02NX:00000009jPX00P2;DXP600WZ2P0308]BR0000000000000T0Re:800@000000:O0j`2W`>/0
Yl3[1P09jPX90?ooo`P02NX:00<0oooo0000003oool02P3oool400WZ2P`0oooo0`09jP[E0?ooo`00
X03oool200WZ2P`0oooo0`09jPX90?ooo`030000003oool0oooo00@02NX:00<0000000WZ2P3oool0
2`3oool400WZ2P030000003g[g@0mjmd00T0mjmd00<000000:O0j`2W`>/0102W`>/010000000Yl3[
0:O0j`2W`>/300WZ2P@000001P09jPX?08]BR08000000P09jPX0102W`>/02NX:00WZ2P0000090?oo
o`L02NX:103oool00`000000oooo0?ooo`060?ooo`D02NX:303oool200WZ2]P0oooo002M0?ooo`<0
2NX:303oool300WZ2P/0oooo00<02NX:00000009jPX00`09jPX2000000X0oooo1`09jPX00`000000
mjmd0?N_M0090?N_M0030000002W`>/0Yl3[00@0Yl3[00D0000000WZ2P09jPX02NX:08]BR0030000
00H02NX:4@2;DXP00`09jPX000000000000300WZ2P<0Yl3[00<000000?ooo`3oool00`3oool800WZ
2P030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool400WZ2Pd0oooo0P09jP[J0?oo
o`00V`3oool200WZ2Pd0oooo0`09jPX;0?ooo`<02NX:00<0000000WZ2P0000000P0000000`3oool0
00000?ooo`070?ooo`802NX:00<0oooo00WZ2P09jPX01@09jPX00`000000mjmd0?N_M0080?N_M003
0000002W`>/0Yl3[0080Yl3[0P09jPX00`000000Re:808]BR0040000000400WZ2P0000002NX:00WZ
2Q40Re:81P09jPX70:O0j`030000003oool02NX:00L02NX:0`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0080oooo1009jPX=0?ooo`802NX:g03oool009T0oooo0P09jPX=0?ooo`<0
2NX:2P3oool600WZ2P800000103oool00`000000oooo0?ooo`030?ooo`H02NX:0P00000300WZ2P80
oooo00<000000?N_M03g[g@02@3g[g@0100000002NX:00WZ2P09jPX208]BR0D000000`09jPX00`00
0000Yl3[0000000>08]BR00300WZ2P000000000000<02NX:00<0Re:80000002W`>/01`2W`>/00`09
jPX0000000WZ2P0500WZ2PD0oooo00<000000?ooo`3oool00`3oool00`000000oooo00WZ2P0300WZ
2Ph0oooo0P09jP[N0?ooo`00U`3oool200WZ2P`0oooo0`09jPX;0?ooo`H02NX:0P3oool00`000000
oooo0?ooo`040?ooo`030000003oool02NX:00L02NX:00<0oooo0000000000001@3oool00`000000
mjmd0?N_M0090?N_M0030000002;DXP0Re:800<02NX:00D0Re:8000000000000000000WZ2P0308]B
R0040000002W`>/0Yl3[000000X0Re:80`09jPX00`2;DXP000000000000408]BR0030000002W`>/0
Yl3[00<0Yl3[2009jPX80?ooo`030000003oool0oooo00<0oooo1009jPX>0?ooo`802NX:h03oool0
09D0oooo0P09jPX<0?ooo`<02NX:2P3oool600WZ2PD0oooo00<000000?ooo`3oool00`3oool00`09
jPX0000000WZ2P0500WZ2P040?ooo`09jPX02NX:00WZ2PH0oooo0P09jPX00`000000mjmd0?N_M008
0?N_M00400000009jPX02NX:08]BR080000000@02NX:00000000000000000`2;DXP01@000000Yl3[
0000002W`>/0000000L0Re:80`09jPX0102;DXP02NX:00WZ2P09jPX608]BR0030000002W`>/0Yl3[
00P02NX:00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0500WZ2Pd0oooo0`09jP[R0?oo
o`00T`3oool200WZ2P`0oooo0`09jPX:0?ooo`H02NX:203oool00`000000oooo0?ooo`0300WZ2P05
00000009jPX02NX:00WZ2P3oool00`09jPX60?ooo`D02NX:00<000000?N_M03g[g@0203g[g@01000
0000Re:800WZ2P09jPX20000000308]BR0000000Re:800@0Re:80`0000000`09jPX0000008]BR003
08]BR0<02NX:00@0Re:800WZ2P09jPX02NX:2@2;DXP01P0000002NX:00WZ2P2W`>/02NX:000000<0
2NX:0`2W`>/00`000000oooo0?ooo`080?ooo`@02NX:0P3oool00`000000oooo0?ooo`090?ooo`80
2NX:i@3oool00940oooo0P09jPX<0?ooo`802NX:2P3oool600WZ2P/0oooo00<0000000WZ2P09jPX0
1009jPX0100000002NX:00WZ2P09jPX60?ooo`H02NX:00<0oooo00WZ2P0000002`3g[g@00`000000
Re:808]BR00408]BR0030000002;DXP0000000<0000000D02NX:000000000000000008]BR00300WZ
2P0408]BR009jPX02NX:00WZ2P`0Re:800<0000000WZ2P09jPX00`09jPX00`000000Yl3[0:O0j`04
0:O0j`030000003oool0oooo00D0oooo1009jPX40?ooo`030000003oool0oooo00L0oooo0P09jP[W
0?ooo`00S`3oool200WZ2P/0oooo0`09jPX:0?ooo`H02NX:2P3oool300WZ2P0300000009jPX02NX:
00@02NX:00<000000?ooo`3oool0103oool600WZ2P060?ooo`09jPX02NX:00WZ2P3oool000002`3g
[g@00`000000Re:808]BR00408]BR08000000`2;DXP50000000300WZ2P2;DXP02NX:00802NX:3`2;
DXP0100000002NX:00WZ2P09jPX:0:O0j`040000003oool0oooo0?ooo`D02NX:00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`050?ooo`802NX:j@3oool008d0oooo0P09jPX;0?ooo`<02NX:
2@3oool600WZ2PX0oooo1`09jPX0100000002NX:00WZ2P09jPX20?ooo`040000003oool0oooo0?oo
o`H02NX:00<0oooo00WZ2P09jPX00`09jPX2000000030?ooo`000000mjmd00T0mjmd00<0000008]B
R02;DXP0102;DXP01@000000Re:808]BR02;DXP02NX:00@000000`09jPXA08]BR00300WZ2P000000
000000d0Yl3[00<0000000WZ2P09jPX00P09jPX30?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool00P3oool200WZ2^/0oooo002;0?ooo`802NX:2`3oool300WZ2PT0oooo1@09jPX;0?oo
o`T02NX:00<000000?ooo`3oool00`3oool00`0000002NX:00WZ2P0400WZ2P030?ooo`09jPX02NX:
00@02NX:0P3oool2000000030?ooo`000000mjmd00X0mjmd00<0000008]BR02;DXP0102;DXP00`00
00002NX:00WZ2P02000000802NX:0P00000@08]BR0<02NX:00<0Re:8000000000000302W`>/400WZ
2PD0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0200WZ2^d0oooo00290?ooo`80
2NX:2P3oool300WZ2PT0oooo1P09jPX:0?ooo`L02NX:00<0oooo00WZ2P09jPX00P3oool010000000
oooo0?ooo`3oool300WZ2P0400000009jPX02NX:0?ooo`H02NX:1@3oool300WZ2P030000003g[g@0
mjmd00T0mjmd00<0000008]BR02;DXP01009jPX20000000308]BR0000000000000<0Yl3[00<00000
08]BR02;DXP0302;DXP200WZ2P@0Re:800<000000:O0j`2W`>/01`2W`>/2000000@02NX:00<0Yl3[
0000003oool01@3oool00`000000oooo0?ooo`020?ooo`8000000P09jP[_0?ooo`00Q`3oool200WZ
2PX0oooo0`09jPX90?ooo`D02NX:2P3oool;00WZ2P@0oooo00<0000000WZ2P09jPX01009jPX00`00
00002NX:00WZ2P0400WZ2P80oooo0P000000103oool02NX:00WZ2P09jPX40?ooo`030000003g[g@0
mjmd00T0mjmd00<0000000WZ2P2;DXP00P0000001P09jPX0000000000009jPX0Re:8000000<0Yl3[
00<0000008]BR02;DXP02@2;DXP300WZ2PH0Re:800<000000:O0j`2W`>/01P2W`>/01009jPX00000
00WZ2P09jPX50:O0j`030000003oool0oooo00<0oooo00@000000?ooo`00000000000`09jP[a0?oo
o`00Q@3oool200WZ2PX0oooo0`09jPX80?ooo`H02NX:2P3oool:00WZ2PD0oooo0`09jPX010000000
2NX:00WZ2P3oool200WZ2P0400000009jPX02NX:00WZ2P@0oooo00@02NX:0000000000002NX:103o
ool300WZ2P030000003g[g@0mjmd00T0mjmd00<0000000WZ2P09jPX00P00000208]BR0040000002;
DXP0Re:8000000<0Yl3[00<02NX:0000002;DXP01`2;DXP200WZ2PT0Re:800<000000:O0j`2W`>/0
0`2W`>/500WZ2PP0Yl3[00<000000?ooo`3oool00P3oool2000000802NX:0P3oool00`000000oooo
0?ooo`3_0?ooo`00P`3oool200WZ2PX0oooo0`09jPX80?ooo`D02NX:2P3oool:00WZ2PD0oooo1P09
jPX00`0000002NX:00WZ2P0300WZ2P030000003oool0oooo0080oooo0`09jPX40?ooo`@02NX:00@0
oooo00WZ2P09jPX000002`3g[g@00`000000Re:808]BR00408]BR0030000002;DXP0000000@02NX:
00<0Yl3[0000002;DXP0102;DXP300WZ2P/0Re:800<000000:O0j`2W`>/01P09jPX;0:O0j`040000
003oool0oooo0?ooo`802NX:103oool00`000000oooo0?ooo`3_0?ooo`00P@3oool200WZ2PT0oooo
0`09jPX90?ooo`D02NX:2@3oool:00WZ2PD0oooo2@09jPX0100000002NX:00WZ2P09jPX30?ooo`04
00000009jPX02NX:00WZ2P@0oooo0`09jPX20?ooo`<02NX:0P3oool00`09jPX000000?N_M00:0?N_
M0030000002;DXP0Re:800@0Re:80P0000040:O0j`0300WZ2P00000000000080Re:80P09jPX>08]B
R00500000009jPX02NX:0:O0j`09jPX00P00000>0:O0j`0400000009jPX02NX:000000D0oooo00<0
00000?ooo`3oool0k`3oool007l0oooo0P09jPX90?ooo`<02NX:203oool500WZ2PT0oooo2P09jPX5
0?ooo``02NX:00@000000?ooo`3oool0oooo0`09jPX010000000oooo0?ooo`3oool400WZ2P030?oo
o`09jPX02NX:00802NX:0P3oool300WZ2P030?ooo`000000mjmd00X0mjmd00<0000008]BR02;DXP0
102;DXP2000000040:O0j`09jPX02NX:00WZ2P<000000P09jPX@08]BR00500000009jPX02NX:00WZ
2P2W`>/00P00000=0:O0j`802NX:0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
0>l0oooo001l0?ooo`<02NX:2@3oool300WZ2PP0oooo1@09jPX90?ooo`T02NX:1@3oool<00WZ2P@0
oooo00<0000000WZ2P09jPX00`3oool0100000002NX:00WZ2P09jPX20?ooo`<02NX:0P3oool400WZ
2P050?ooo`09jPX02NX:00WZ2P000000303g[g@00`000000Re:808]BR00408]BR00300000009jPX0
Yl3[00D000004P2;DXP00`000000mjmd0000000?0:O0j`802NX:0P2W`>/00`000000oooo00000005
0?ooo`030000003oool0oooo0>l0oooo001j0?ooo`802NX:2P3oool200WZ2PP0oooo1@09jPX90?oo
o`T02NX:1@3oool<00WZ2P@0oooo0`09jPX010000000oooo0?ooo`3oool300WZ2P0300000009jPX0
2NX:00802NX:00<0oooo00WZ2P09jPX00P09jPX00`3oool02NX:00WZ2P02000000<0oooo0P00000;
0?N_M0030000002;DXP0Re:800@0Re:80P00000300WZ2P040:O0j`000000Re:800000140Re:800<0
00000?N_M03g[g@00P00000:0:O0j`<02NX:1@2W`>/2000000D0oooo00<000000?ooo`3oool0k`3o
ool007P0oooo0P09jPX90?ooo`<02NX:203oool500WZ2PP0oooo2P09jPX40?ooo``02NX:103oool3
00WZ2P<0oooo00H0000000WZ2P09jPX02NX:0?ooo`09jPX200000080oooo0`09jPX00`3oool02NX:
00WZ2P0200WZ2P80oooo0P0000030?ooo`800000303g[g@010000000Re:808]BR02;DXP200WZ2P80
0000102W`>/00`000000Re:80000000A08]BR0030000003g[g@0mjmd0080mjmd00<000000:O0j`2W
`>/01@2W`>/200WZ2PT0Yl3[00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3_0?ooo`00
MP3oool200WZ2PT0oooo0`09jPX70?ooo`D02NX:203oool:00WZ2P@0oooo3009jPX30?ooo`@02NX:
0`3oool300WZ2P030?ooo`0000002NX:00<0000000D02NX:00000009jPX02NX:0?ooo`0300WZ2PP0
oooo0`09jPX00`000000Re:80000000;0?N_M00400000009jPX02NX:00WZ2P80Re:80P0000050:O0
j`030000002;DXP000000100Re:800<000000?N_M03g[g@00`3g[g@200000080Yl3[0P0000000`09
jPX0Yl3[0:O0j`0:0:O0j`030000003oool0oooo00<0oooo00<000000?ooo`3oool0kP3oool007@0
oooo0P09jPX90?ooo`<02NX:1`3oool500WZ2PP0oooo2@09jPX40?ooo``02NX:0`3oool300WZ2P<0
oooo1009jPX0103oool02NX:00WZ2P09jPX2000000<02NX:00<0oooo00WZ2P0000000P09jPX70?oo
o`@02NX:0`3oool00`000000Re:80000000<0?N_M0070000002;DXP0Re:808]BR0000000Yl3[0000
00050:O0j`030000002;DXP000000100Re:800<000000?N_M03g[g@01@3g[g@0100000002NX:0000
0000000>0:O0j`030000003oool0oooo0080oooo00<000000?ooo`3oool0kP3oool00780oooo0P09
jPX80?ooo`<02NX:1`3oool500WZ2PP0oooo2@09jPX40?ooo``02NX:0`3oool300WZ2P<0oooo0`09
jPX00`3oool02NX:00WZ2P0200WZ2P040?ooo`09jPX02NX:000000D02NX:00<0oooo0000003oool0
103oool400WZ2P<0oooo1009jPX010000000Re:808]BR000000<0?N_M0040000002;DXP0Re:80000
0080Yl3[00<000000:O0j`2W`>/00P09jPX00`000000Re:80000000@08]BR0030000003g[g@0mjmd
00<0mjmd0`09jPX20?ooo`8000003@2W`>/00`000000oooo0?ooo`020?ooo`030000003oool0oooo
0>h0oooo001`0?ooo`802NX:203oool300WZ2PL0oooo1@09jPX70?ooo`T02NX:103oool;00WZ2P<0
oooo1009jPX30?ooo`<02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0400WZ2P040?ooo`09jPX02NX:
000000H0oooo00<000000?ooo`09jPX00P09jPX30?ooo`@02NX:103oool20000000300WZ2P000000
mjmd00/0mjmd00L0000008]BR02;DXP000000:O0j`09jPX0000000802NX:0`2W`>/3000000l0Re:8
00@000000?N_M03g[g@0mjmd0P09jPX20?N_M0030000003oool0oooo0080oooo0P00000<0:O0j`05
0000003oool0oooo0?ooo`000000l03oool006h0oooo0P09jPX80?ooo`<02NX:1P3oool500WZ2PP0
oooo2009jPX40?ooo`/02NX:0`3oool300WZ2P<0oooo2009jPX01@3oool02NX:00WZ2P09jPX0oooo
00@02NX:0P3oool00`000000oooo0?ooo`020?ooo`802NX:00@0000000WZ2P3oool0oooo1009jPX6
0?ooo`@02NX:00<0Re:80000003g[g@0303g[g@01P000000Re:800000009jPX0Yl3[00000080Yl3[
100000000`2;DXP0000008]BR00>08]BR00400000009jPX02NX:00WZ2P@0mjmd00<000000?ooo`3o
ool0103oool3000000X0Yl3[00@000000?ooo`3oool00000l03oool006`0oooo0P09jPX80?ooo`80
2NX:1`3oool500WZ2PL0oooo2@09jPX30?ooo`/02NX:0`3oool300WZ2P<0oooo0`09jPX01@3oool0
2NX:00WZ2P09jPX0oooo00P02NX:1`3oool0100000002NX:00WZ2P09jPX20?ooo`0400000009jPX0
2NX:00WZ2PH0oooo1009jPX20?ooo`050000002;DXP0Re:808]BR0000000303g[g@2000000<0Yl3[
00<02NX:0000000000000P0000001@2W`>/0000008]BR02;DXP0000000h0Re:800<000000?N_M03g
[g@01@3g[g@00`000000oooo0?ooo`070?ooo`8000002@2W`>/00`000000oooo0000003`0?ooo`00
JP3oool200WZ2PL0oooo0`09jPX60?ooo`D02NX:1`3oool900WZ2P<0oooo2`09jPX30?ooo`<02NX:
0P3oool800WZ2P050?ooo`09jPX02NX:00WZ2P3oool00`09jPX70?ooo`@02NX:00<000000?ooo`09
jPX00`09jPX00`3oool000000?ooo`020?ooo`D02NX:1P3oool01@000000Re:808]BR02;DXP00000
00d0mjmd00H0000000WZ2P09jPX02NX:0:O0j`0000050:O0j`030000002;DXP0000000h0Re:800<0
00000?N_M03g[g@01@3g[g@00`000000oooo0?ooo`090?ooo`800000202W`>/200000?00oooo001X
0?ooo`802NX:1`3oool300WZ2PH0oooo1@09jPX60?ooo`T02NX:0`3oool;00WZ2P80oooo1009jPX2
0?ooo`<02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0800WZ2PH0oooo1009jPX20?ooo`802NX:00<0
000000WZ2P3oool0103oool0100000002NX:00WZ2P09jPX;0?ooo`030000002;DXP0Re:80080Re:8
00<000000?N_M03g[g@02P3g[g@00`000000oooo000000030:O0j`030000002W`>/0Yl3[0080Yl3[
00@0000008]BR02;DXP000003@2;DXP00`000000mjmd0?N_M0060?N_M0030000003oool0oooo00X0
oooo0`0000030:O0j`@00000l03oool006H0oooo0P09jPX70?ooo`<02NX:1@3oool500WZ2PL0oooo
2009jPX30?ooo`/02NX:0P3oool300WZ2P80oooo4009jPX60?ooo`@02NX:0P3oool400WZ2P<0oooo
00<000000?ooo`09jPX00`09jPX00`3oool000000?ooo`0;0?ooo`0300WZ2P000000Re:800<0Re:8
00<000000?N_M03g[g@02`3g[g@00`000000oooo000000020:O0j`030000002W`>/0Yl3[0080Yl3[
00D0000008]BR02;DXP0Re:80000000<08]BR0030000003g[g@0mjmd00H0mjmd00<000000?ooo`3o
ool03@3oool3000000<0oooo00<000000?ooo`3oool0kP3oool006@0oooo0P09jPX70?ooo`802NX:
1P3oool500WZ2PH0oooo2009jPX30?ooo`X02NX:0`3oool300WZ2P80oooo0`09jPX01@3oool02NX:
00WZ2P09jPX0oooo00<02NX:00@0oooo00WZ2P09jPX02NX:1P3oool400WZ2P80oooo1009jPX50?oo
o`802NX:00<0000000WZ2P3oool0103oool00`000000oooo0?ooo`060?ooo`@02NX:00<0oooo0000
002;DXP00`2;DXP00`000000mjmd0?N_M00<0?N_M0030000003oool000000080Yl3[00D000000:O0
j`2W`>/0Yl3[0000000308]BR0030000002;DXP0Re:800X0Re:800<000000?N_M03g[g@01P3g[g@0
0`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0kP3oool0
0680oooo0P09jPX60?ooo`<02NX:1@3oool500WZ2PH0oooo2009jPX30?ooo`X02NX:0P3oool400WZ
2P80oooo3`09jPX50?ooo`@02NX:0P3oool400WZ2P@0oooo1@09jPX30?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool01@09jPX40?ooo`0300WZ2P000000Re:800@0Re:800<000000?N_
M03g[g@0303g[g@00`000000oooo000000020:O0j`030000002W`>/0Yl3[008000000`2;DXP00`00
0000Re:808]BR00908]BR0030000003g[g@0mjmd00H0mjmd00<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0>h0oooo001P0?ooo`802NX:1P3oool300WZ2PD0
oooo1@09jPX50?ooo`P02NX:0`3oool:00WZ2P80oooo0`09jPX20?ooo`L02NX:00<0oooo00WZ2P09
jPX01@09jPX50?ooo`@02NX:0P3oool400WZ2P@0oooo1009jPX80?ooo`030000003oool0oooo0080
oooo0P09jPX00`0000002NX:00WZ2P040?ooo`D02NX:00<0oooo0000002;DXP0102;DXP00`000000
mjmd0?N_M00=0?N_M0070000003oool000000:O0j`000000Yl3[00WZ2P02000000<0Re:800<00000
08]BR02;DXP02@2;DXP00`000000mjmd0?N_M0060?N_M0030000003oool0oooo00d0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`3^0?ooo`00GP3oool200WZ2PH0oooo0P09jPX60?oo
o`@02NX:1P3oool800WZ2P80oooo2P09jPX20?ooo`<02NX:0P3oool>00WZ2PD0oooo1009jPX20?oo
o`@02NX:103oool400WZ2Pd0oooo00@0000000WZ2P09jPX02NX:0P3oool00`000000oooo00WZ2P04
00WZ2PH0oooo00<0000008]BR02;DXP0102;DXP00`000000mjmd0?N_M00=0?N_M00500000009jPX0
2NX:00WZ2P0000000P2W`>/00`000000Re:808]BR00208]BR0030000002;DXP0Re:800P0Re:800<0
00000?N_M03g[g@01P3g[g@00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0kP3oool005/0oooo0`09jPX50?ooo`<02NX:1@3oool500WZ2PD0oooo2009jPX2
0?ooo`X02NX:0P3oool300WZ2P030?ooo`09jPX02NX:00d02NX:103oool400WZ2P030?ooo`09jPX0
2NX:00<02NX:103oool400WZ2P`0oooo1@09jPX00`000000oooo0?ooo`0400WZ2P030000003oool0
oooo00T0oooo00<0000008]BR02;DXP0102;DXP00`000000mjmd0?N_M00>0?N_M0040000003oool0
0000000000<0Yl3[00D0000008]BR02;DXP0Re:80000000:08]BR0030000003g[g@0mjmd00H0mjmd
00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0>h0oooo
001I0?ooo`802NX:1P3oool300WZ2PD0oooo1009jPX50?ooo`P02NX:0P3oool:00WZ2P030?ooo`09
jPX02NX:00802NX:00<0oooo00WZ2P09jPX03009jPX50?ooo`<02NX:00<0oooo00WZ2P09jPX00P09
jPX40?ooo`D02NX:2`3oool500WZ2P<0oooo0P09jPX00`0000002NX:00WZ2P040?ooo`030000003o
ool0oooo00T0oooo00<0000008]BR02;DXP01@2;DXP00`000000mjmd0?N_M00>0?N_M0040000003o
ool0000000000080Yl3[00<0000008]BR02;DXP00P2;DXP00`000000Re:808]BR00708]BR0030000
003g[g@0mjmd00H0mjmd00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo0>h0oooo001G0?ooo`802NX:1P3oool300WZ2P@0oooo1009jPX60?ooo`L02NX:0P3o
ool900WZ2P80oooo0`09jPX20?ooo`d02NX:1@3oool800WZ2P@0oooo1009jPX<0?ooo`@02NX:0`3o
ool500WZ2P<0oooo00<000000?ooo`3oool00`3oool2000000X0oooo00<0000008]BR02;DXP01P2;
DXP00`000000mjmd0?N_M00>0?N_M0030000003oool000000080Yl3[00<0000008]BR02;DXP00`2;
DXP00`000000Re:808]BR00608]BR0030000003g[g@0mjmd00H0mjmd00<000000?ooo`3oool0303o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0>h0oooo001E0?ooo`802NX:1P3oool2
00WZ2PD0oooo1009jPX50?ooo`L02NX:0P3oool900WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P0<
00WZ2P@0oooo2009jPX40?ooo`@02NX:2`3oool500WZ2P80oooo1@09jPX80?ooo`030000003oool0
oooo00<0000000<0oooo0000003oool02@3oool00`000000Re:808]BR00608]BR0030000003g[g@0
mjmd00l0mjmd00<000000?ooo`0000000P2W`>/00`000000Re:808]BR00208]BR0030000002;DXP0
Re:800H0Re:800<000000?N_M03g[g@01P3g[g@00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0kP3oool005<0oooo0P09jPX50?ooo`<02NX:103oool400WZ
2PD0oooo1`09jPX20?ooo`T02NX:00<0oooo00WZ2P09jPX00P09jPX00`3oool02NX:00WZ2P0;00WZ
2P@0oooo2009jPX40?ooo`@02NX:2P3oool500WZ2P80oooo1@09jPX>0?ooo`8000001@3oool00`00
0000oooo0?ooo`030?ooo`@02NX:00<0000008]BR02;DXP01`2;DXP00`000000mjmd0?N_M00?0?N_
M0D000000`2;DXP3000000L0Re:800<000000?N_M03g[g@01P3g[g@00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0kP3oool00540oooo0P09jPX50?ooo`<0
2NX:103oool400WZ2P@0oooo1`09jPX20?ooo`T02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0=00WZ
2P@0oooo2009jPX30?ooo`D02NX:2P3oool400WZ2P<0oooo1009jPXC0?ooo`030000003oool0oooo
00@0oooo00<0000000WZ2P09jPX00`09jPX40?ooo`030000002;DXP0Re:800L0Re:800<000000?N_
M03g[g@04@3g[g@00`000000mjmd0000000300000080Re:800<0000008]BR02;DXP01@2;DXP00`00
0000mjmd0?N_M0060?N_M0030000003oool0oooo00`0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`3^0?ooo`00C`3oool200WZ2PD0oooo0P09jPX40?ooo`@02NX:1@3oool700WZ2P03
0?ooo`09jPX02NX:00L02NX:00D0oooo00WZ2P09jPX02NX:0?ooo`0<00WZ2P@0oooo2009jPX30?oo
o`@02NX:2P3oool500WZ2P80oooo1@09jPXH0?ooo`0300000009jPX02NX:00@02NX:00<000000?oo
o`3oool01P3oool00`000000Re:808]BR00808]BR0030000003g[g@0mjmd0140mjmd0P0000000`3g
[g@0000008]BR00308]BR0030000002;DXP0Re:800@0Re:800<000000?N_M03g[g@01P3g[g@00`00
0000oooo0?ooo`0<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0kP3oool004d0
oooo0P09jPX50?ooo`802NX:103oool400WZ2P@0oooo1`09jPX00`3oool02NX:00WZ2P0700WZ2P03
0?ooo`09jPX02NX:00h02NX:0`3oool800WZ2P<0oooo1009jPX90?ooo`D02NX:0P3oool500WZ2QP0
oooo1@09jPX00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<0000008]BR02;
DXP0202;DXP00`000000mjmd0?N_M00A0?N_M0040000003g[g@0mjmd000000D0Re:800<0000008]B
R02;DXP00`2;DXP00`000000mjmd0?N_M0060?N_M0030000003oool0oooo00`0oooo00@000000?oo
o`3oool0oooo1000003`0?ooo`00B`3oool200WZ2P@0oooo0`09jPX30?ooo`@02NX:103oool700WZ
2P030?ooo`09jPX02NX:00H02NX:00<0oooo00WZ2P09jPX03P09jPX30?ooo`P02NX:0`3oool400WZ
2PT0oooo1009jPX20?ooo`D02NX:5`3oool600WZ2PH0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`050?ooo`030000002;DXP0Re:800T0Re:800<000000?N_M03g[g@04@3g[g@01000
0000mjmd0?N_M000000508]BR0030000002;DXP0Re:80080Re:800<000000?N_M03g[g@01@3g[g@0
0`000000oooo0?ooo`0=0?ooo`@000000`3oool00`000000oooo0?ooo`3^0?ooo`00B@3oool200WZ
2P@0oooo0`09jPX30?ooo`@02NX:0`3oool700WZ2P030?ooo`09jPX02NX:00H02NX:00D0oooo00WZ
2P09jPX02NX:0?ooo`0;00WZ2P<0oooo2009jPX20?ooo`D02NX:203oool500WZ2P030?ooo`09jPX0
2NX:00<02NX:5P3oool600WZ2Pd0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`04
0?ooo`030000002;DXP0Re:800X0Re:800<000000?N_M03g[g@04@3g[g@00`000000mjmd00000005
08]BR0030000002;DXP0Re:80080Re:800<000000?N_M03g[g@01@3g[g@00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0kP3oool004L0oooo0P09jPX40?oo
o`802NX:0`3oool400WZ2P@0oooo1P09jPX00`3oool02NX:00WZ2P0600WZ2P030?ooo`09jPX02NX:
00d02NX:0P3oool800WZ2P80oooo1009jPX80?ooo`D02NX:00<0oooo00WZ2P09jPX00`09jPXF0?oo
o`D02NX:4`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0000008]B
R02;DXP02P2;DXP00`000000mjmd0?N_M00B0?N_M0030000003g[g@0000000D0Re:800D0000008]B
R02;DXP0Re:8000000070?N_M0030000003oool0oooo00d0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`3_0?ooo`00A@3oool200WZ2P<0oooo0`09jPX30?ooo`@02NX:0`3oool600WZ
2P030?ooo`09jPX02NX:01D02NX:0P3oool800WZ2P80oooo1009jPX80?ooo`@02NX:00<0oooo00WZ
2P09jPX00`09jPXE0?ooo`H02NX:6@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00<0oooo00<0000008]BR02;DXP02P2;DXP2000001@0mjmd0P00000608]BR0040000002;DXP0Re:8
000000L0mjmd00<000000?ooo`3oool0303oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0>l0oooo00130?ooo`802NX:0`3oool300WZ2P80oooo1009jPX30?ooo`H02NX:00<0oooo00WZ
2P09jPX05009jPX30?ooo`L02NX:0P3oool400WZ2PL0oooo2P09jPXD0?ooo`H02NX:7`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<0000008]BR02;DXP02P2;DXP20000
01D0mjmd0P00000508]BR0040000002;DXP0Re:8000000L0mjmd00<000000?ooo`3oool0303oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0>l0oooo00110?ooo`802NX:0`3oool200WZ
2P<0oooo1009jPX30?oooa`02NX:0P3oool700WZ2P030?ooo`09jPX02NX:00<02NX:1P3oool500WZ
2P030?ooo`09jPX02NX:00802NX:4`3oool600WZ2RH0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`020?ooo`030000002;DXP0Re:800T0Re:800@000000?ooo`3oool00000503g[g@2
000000H0Re:800<0000008]BR00000001`3g[g@00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0l03oool003l0oooo0P09jPX30?ooo`802NX:0`3oool300WZ
2P<0oooo6`09jPX20?ooo`L02NX:00<0oooo00WZ2P09jPX00P09jPX70?ooo`@02NX:00<0oooo00WZ
2P09jPX00`09jPXA0?ooo`H02NX:;03oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo
0?ooo`0000002`2;DXP01@000000oooo0?ooo`3oool0000001@0mjmd0P00000608]BR08000001`3g
[g@00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0l03o
ool003`0oooo0`09jPX20?ooo`<02NX:0P3oool400WZ2P80oooo6P09jPX20?ooo`L02NX:00<0oooo
00WZ2P09jPX00P09jPX60?ooo`X02NX:4@3oool500WZ2S<0oooo00<000000?ooo`3oool0103oool0
1@000000oooo0?ooo`3oool0000000X0Re:800<000000?ooo`3oool00`3oool00`000000mjmd0?N_
M00B0?N_M08000001@2;DXP3000000H0mjmd00<000000?ooo`3oool0303oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo0?00oooo000j0?ooo`802NX:0`3oool300WZ2P80oooo0`09jPX2
0?oooaX02NX:00<0oooo00WZ2P09jPX01@09jPX00`3oool02NX:00WZ2P0200WZ2PD0oooo2P09jPX@
0?ooo`H02NX:>@3oool00`000000oooo0?ooo`030?ooo`8000000P3oool00`000000Re:808]BR008
08]BR0030000003oool0oooo00@0oooo00<000000?N_M03g[g@04P3g[g@00`000000Re:808]BR003
000000<0mjmd00<000000?N_M03g[g@00P3g[g@00`000000oooo0?ooo`0<0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0l@3oool003P0oooo0P09jPX30?ooo`802NX:0P3oool400WZ
2P80oooo6009jPX00`3oool02NX:00WZ2P0:00WZ2P@0oooo2P09jPX?0?ooo`H02NX:?`3oool00`00
0000oooo0?ooo`03000000050?ooo`000000oooo0?ooo`0000002@2;DXP00`000000oooo0?ooo`06
0?ooo`030000003g[g@0mjmd0180mjmd0P0000070?N_M0050000003g[g@0mjmd0?N_M00000003P3o
ool00`000000oooo0?ooo`0400000?<0oooo000f0?ooo`802NX:0`3oool200WZ2P80oooo0`09jPX2
0?oooaL02NX:00<0oooo00WZ2P09jPX02@09jPX50?ooo`T02NX:3P3oool600WZ2TH0oooo0P000005
0?ooo`030000003oool0000000T0Re:800<000000?ooo`3oool01P3oool00`000000mjmd0?N_M00D
0?N_M0030000003g[g@0mjmd00D0mjmd0P0000000`3g[g@000000?ooo`0=0?ooo`<000000`3oool0
0`000000oooo0?ooo`3a0?ooo`00=03oool200WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P0200WZ
2P030?ooo`09jPX02NX:02002NX:103oool900WZ2Pd0oooo1P09jPY<0?ooo`030000003oool0oooo
00D0oooo0P00000908]BR0030000003oool0oooo00L0oooo00<000000?N_M03g[g@0503g[g@00`00
0000mjmd0?N_M0060?N_M0030000003oool0oooo00d0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`3b0?ooo`00<P3oool200WZ2P80oooo0`09jPX01@3oool02NX:00WZ2P09jPX0oooo
02402NX:0`3oool900WZ2P`0oooo1P09jPYC0?ooo`030000003oool0oooo00D0oooo00<0000008]B
R02;DXP01P2;DXP00`000000oooo0?ooo`090?ooo`030000003g[g@0mjmd01@0mjmd00<000000?N_
M03g[g@01@3g[g@2000000d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`3c0?oo
o`00<03oool200WZ2P80oooo0P09jPX00`3oool02NX:00WZ2P0200WZ2P030?ooo`09jPX02NX:01d0
2NX:0`3oool800WZ2P`0oooo1@09jPYJ0?ooo`030000003oool0oooo00@0oooo0P00000708]BR003
0000003oool0oooo00X0oooo00<000000?N_M03g[g@0503g[g@00`000000mjmd0?N_M0040?N_M003
0000003oool0000000/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`3d0?ooo`00
;P3oool200WZ2P050?ooo`09jPX02NX:00WZ2P3oool00`09jPX00`3oool02NX:00WZ2P0K00WZ2P<0
oooo2009jPX;0?ooo`H02NX:H03oool00`000000oooo0?ooo`030?ooo`030000002;DXP0000000D0
Re:800<000000?ooo`3oool0303oool2000001D0mjmd00<000000?N_M03g[g@00P3g[g@00`000000
oooo00000003000000P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`3e0?ooo`00
;03oool200WZ2P030?ooo`09jPX02NX:02402NX:0P3oool900WZ2PT0oooo1P09jPYW0?ooo`030000
003oool0oooo0080oooo00<0000008]BR00000001@2;DXP00`000000oooo0?ooo`0>0?ooo`030000
003g[g@0mjmd01<0mjmd00<000000?N_M03g[g@00`0000040?ooo`<000001@3oool00`000000oooo
0000000200000?P0oooo000Z0?ooo`802NX:00@0oooo00WZ2P09jPX0oooo0`09jPX00`3oool02NX:
00WZ2P0H00WZ2P80oooo2009jPX80?ooo`H02NX:KP3oool01@000000oooo0?ooo`3oool000000080
Re:800D0000008]BR02;DXP0Re:80000000B0?ooo`030000003g[g@0mjmd01<0mjmd0P0000000`3g
[g@000000?ooo`070?ooo`8000000P3oool400000?X0oooo000X0?ooo`802NX:00<0oooo00WZ2P09
jPX07@09jPX00`3oool02NX:00WZ2P0600WZ2PL0oooo1P09jPYd0?ooo`050000003oool0oooo0?oo
o`0000000`2;DXP010000000Re:808]BR000000C0?ooo`8000005@3g[g@3000000P0oooo1000003m
0?ooo`009P3ooolO00WZ2P030?ooo`09jPX02NX:00H02NX:1`3oool500WZ2W/0oooo00@000000?oo
o`3oool00000102;DXP00`000000Re:80000000E0?ooo`030000003g[g@0mjmd0140mjmd00@00000
0?ooo`3oool0oooo0`0000020?ooo`<00000o`3oool20?ooo`00903ooolM00WZ2P030?ooo`09jPX0
2NX:00D02NX:1P3oool600WZ2X40oooo00<000000?ooo`000000102;DXP3000001H0oooo00<00000
0?N_M03g[g@03`3g[g@00`000000oooo0?ooo`050?ooo`800000o`3oool50?ooo`008P3ooolR00WZ
2PD0oooo1P09jPZ80?ooo`80000000@0Re:800000000000000000`3oool00`000000oooo0?ooo`0C
0?ooo`800000403g[g@00`000000oooo0?ooo`3o0?ooo``0oooo000P0?oooal02NX:103oool600WZ
2Xl0oooo0P0000070?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool00P00000=0?N_
M0030000003oool0oooo0?l0oooo3@3oool001h0oooo7009jPX30?ooo`H02NX:U`3oool00`000000
oooo0?ooo`050?ooo`8000004@3oool300000080oooo0`0000070?N_M0<00000o`3oool@0?ooo`00
6`3ooolK00WZ2P80oooo1@09jPZN0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo008000000P3g[g@300000?l0oooo
4`3oool001T0oooo6009jPX00`3oool02NX:00WZ2P0400WZ2Z@0oooo0P0000070?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`800000o`3o
oolF0?ooo`005`3ooolK00WZ2Z`0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0o`3ooolL0?ooo`005@3ooolG00WZ
2[<0oooo00<000000?ooo`3oool0103oool3000000T0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`3o0?oooad0oooo000C0?oooa<02NX:^P3oool00`000000oooo0?ooo`03000000<0
oooo0`0000050?ooo`030000003oool0oooo00<00000o`3ooolP0?ooo`004@3oool?00WZ2/40oooo
0P0000090?ooo`<0000000<0oooo0000000000000P00003o0?ooob<0oooo000?0?ooo``02NX:b03o
ool3000000P0oooo0`00003o0?ooobH0oooo000=0?ooo`P02NX:d@3oool300000080oooo0`00003o
0?ooobT0oooo000<0?ooo`<02NX:fP3oool200000?l0oooo;03oool00?l0ooooo`3ooolH0?ooo`00
o`3ooooo0?oooaP0oooo003o0?ooool0oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oo
oaP0oooo003o0?ooool0oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o
0?ooool0oooo603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo
603oool00?l0ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo603oool00?l0
ooooo`3ooolH0?ooo`00o`3ooooo0?oooaP0oooo003o0?ooool0oooo603oool00001\
\>"],
  ImageRangeCache->{{{-44, 562}, {284.812, -74}} -> {0.10095, 0.0767701, \
0.00160106, 0.00160106}},
  CellTags->{
  "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
    "ModulationTransferFunction"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["pupfun = PupilFunction[sys3D,Plot2D->False];", "Input",
  CellTags->"PupilFunction"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
1.66533e-16 1.04977 -0.0679587 1.04977 [
[.5 .82364 -111 0 ]
[.5 .82364 111 9 ]
[.14863 .19854 -11.913 -9 ]
[.14863 .19854 .08697 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.53436 .04684 -5.21689 -9 ]
[.53436 .04684 .78311 0 ]
[.76879 .09909 0 -6.15987 ]
[.76879 .09909 12 2.84013 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 6 2.96873 ]
[.93374 .35168 0 -5.92116 ]
[.93374 .35168 6 3.07884 ]
[.02467 .26162 -18 -2.73937 ]
[.02467 .26162 0 6.26063 ]
[.0132 .33353 -18 -2.8002 ]
[.0132 .33353 0 6.1998 ]
[.00117 .40889 -18 -2.86424 ]
[.00117 .40889 0 6.13576 ]
[-0.01144 .48795 -6 -2.93176 ]
[-0.01144 .48795 0 6.06824 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
[(Optical Path Difference \\(wavelengths\\))] .5 .82364 0 -1 Mshowa
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.15784 .20788 m
.16245 .21255 L
s
[(-5)] .14863 .19854 .98551 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.54215 .0574 m
.54605 .06267 L
s
[(5)] .53436 .04684 .73896 1 Mshowa
.125 Mabswid
.19385 .19378 m
.19658 .19662 L
s
.23036 .17949 m
.23305 .18236 L
s
.26739 .16498 m
.27005 .16789 L
s
.30496 .15028 m
.30757 .15322 L
s
.38172 .12022 m
.38425 .12323 L
s
.42095 .10486 m
.42343 .10791 L
s
.46076 .08927 m
.46319 .09236 L
s
.50115 .07345 m
.50354 .07658 L
s
.12234 .22178 m
.12513 .22455 L
s
.08732 .2355 m
.09015 .23823 L
s
.05278 .24902 m
.05564 .25172 L
s
.58378 .0411 m
.58606 .0443 L
s
.62603 .02455 m
.62826 .0278 L
s
.66893 .00776 m
.67111 .01103 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.75648 .10363 m
.75033 .1059 L
s
[(-5)] .76879 .09909 -1 .36886 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(0)] .8565 .23339 -1 .34028 Mshowa
.92123 .35563 m
.91497 .3576 L
s
[(5)] .93374 .35168 -1 .31581 Mshowa
.125 Mabswid
.77494 .13186 m
.77124 .1332 L
s
.7929 .15934 m
.7892 .16066 L
s
.81041 .18611 m
.80669 .18742 L
s
.82746 .21219 m
.82374 .21348 L
s
.86028 .2624 m
.85654 .26365 L
s
.87608 .28657 m
.87234 .2878 L
s
.8915 .31015 m
.88775 .31137 L
s
.90654 .33316 m
.90279 .33437 L
s
.73752 .07463 m
.73384 .07601 L
s
.71804 .04482 m
.71436 .04622 L
s
.698 .01417 m
.69433 .01559 L
s
.93557 .37756 m
.93181 .37873 L
s
.94957 .39899 m
.94581 .40014 L
s
.96325 .41992 m
.95949 .42106 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03689 .25684 m
.043 .25445 L
s
[(-30)] .02467 .26162 1 -0.39125 Mshowa
.02547 .3289 m
.03161 .32658 L
s
[(-20)] .0132 .33353 1 -0.37773 Mshowa
.0135 .40441 m
.01967 .40217 L
s
[(-10)] .00117 .40889 1 -0.3635 Mshowa
.00095 .48363 m
.00715 .48147 L
s
[(0)] -0.01144 .48795 1 -0.3485 Mshowa
.125 Mabswid
.03465 .27098 m
.03832 .26956 L
s
.03239 .28526 m
.03606 .28384 L
s
.0301 .29967 m
.03378 .29826 L
s
.0278 .31422 m
.03148 .31282 L
s
.02312 .34372 m
.02681 .34233 L
s
.02075 .35867 m
.02444 .3573 L
s
.01836 .37377 m
.02205 .37241 L
s
.01594 .38902 m
.01964 .38766 L
s
.01104 .41995 m
.01475 .41861 L
s
.00856 .43564 m
.01226 .43431 L
s
.00605 .45148 m
.00976 .45016 L
s
.00351 .46748 m
.00722 .46617 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
0 .121 .21 r
.3945 .61459 .40512 .60371 .42106 .61881 .41056 .62885 Metetra
0 .271 .291 r
.41056 .62885 .42106 .61881 .43734 .63181 .42697 .64104 Metetra
0 .364 .275 r
.42697 .64104 .43734 .63181 .45395 .64285 .4437 .6513 Metetra
0 .427 .206 r
.4437 .6513 .45395 .64285 .47084 .65206 .46073 .65977 Metetra
0 .482 .117 r
.46073 .65977 .47084 .65206 .488 .65958 .47802 .66658 Metetra
0 .53 .019 r
.47802 .66658 .488 .65958 .50541 .66551 .49555 .67185 Metetra
.083 .572 0 r
.49555 .67185 .50541 .66551 .52304 .66998 .51331 .67572 Metetra
.181 .607 0 r
.51331 .67572 .52304 .66998 .54087 .6731 .53127 .67828 Metetra
.273 .637 0 r
.53127 .67828 .54087 .6731 .55889 .67496 .54942 .67965 Metetra
.356 .662 0 r
.54942 .67965 .55889 .67496 .57708 .67565 .56775 .6799 Metetra
.427 .683 0 r
.56775 .6799 .57708 .67565 .59543 .67523 .58623 .67911 Metetra
.487 .699 0 r
.58623 .67911 .59543 .67523 .61393 .67379 .60486 .67736 Metetra
.534 .712 0 r
.60486 .67736 .61393 .67379 .63256 .67136 .62363 .67468 Metetra
.567 .72 0 r
.62363 .67468 .63256 .67136 .6513 .66798 .64252 .67113 Metetra
.588 .725 0 r
.64252 .67113 .6513 .66798 .67015 .66368 .66153 .66672 Metetra
.594 .727 0 r
.66153 .66672 .67015 .66368 .6891 .65847 .68063 .66146 Metetra
.588 .725 0 r
.68063 .66146 .6891 .65847 .70813 .65233 .69983 .65535 Metetra
.567 .72 0 r
.69983 .65535 .70813 .65233 .72722 .64525 .7191 .64837 Metetra
.534 .712 0 r
.7191 .64837 .72722 .64525 .74637 .6372 .73843 .64048 Metetra
.487 .699 0 r
.73843 .64048 .74637 .6372 .76554 .62813 .7578 .63164 Metetra
.427 .683 0 r
.7578 .63164 .76554 .62813 .78473 .61797 .7772 .62178 Metetra
.356 .662 0 r
.7772 .62178 .78473 .61797 .8039 .60665 .79659 .61083 Metetra
.273 .637 0 r
.79659 .61083 .8039 .60665 .82303 .59409 .81597 .59869 Metetra
.181 .607 0 r
.81597 .59869 .82303 .59409 .84209 .58017 .83528 .58526 Metetra
.083 .572 0 r
.83528 .58526 .84209 .58017 .86105 .56478 .85451 .57042 Metetra
0 .53 .019 r
.85451 .57042 .86105 .56478 .87986 .54781 .87361 .55405 Metetra
0 .482 .117 r
.87361 .55405 .87986 .54781 .89848 .52912 .89254 .536 Metetra
0 .427 .206 r
.89254 .536 .89848 .52912 .91686 .50856 .91125 .51614 Metetra
0 .364 .275 r
.91125 .51614 .91686 .50856 .93496 .486 .92969 .49431 Metetra
0 .271 .291 r
.92969 .49431 .93496 .486 .9527 .46127 .9478 .47035 Metetra
0 .121 .21 r
.9478 .47035 .9527 .46127 .97003 .43424 .96552 .4441 Metetra
0 .271 .291 r
.38372 .62336 .3945 .61459 .41056 .62885 .3999 .6368 Metetra
0 .369 .271 r
.3999 .6368 .41056 .62885 .42697 .64104 .41644 .64821 Metetra
0 .437 .192 r
.41644 .64821 .42697 .64104 .4437 .6513 .43329 .65771 Metetra
0 .496 .091 r
.43329 .65771 .4437 .6513 .46073 .65977 .45044 .66546 Metetra
.023 .548 0 r
.45044 .66546 .46073 .65977 .47802 .66658 .46785 .67159 Metetra
.14 .593 0 r
.46785 .67159 .47802 .66658 .49555 .67185 .48551 .67623 Metetra
.254 .631 0 r
.48551 .67623 .49555 .67185 .51331 .67572 .50339 .67951 Metetra
.362 .664 0 r
.50339 .67951 .51331 .67572 .53127 .67828 .52147 .68154 Metetra
.46 .692 0 r
.52147 .68154 .53127 .67828 .54942 .67965 .53975 .68242 Metetra
.547 .715 0 r
.53975 .68242 .54942 .67965 .56775 .6799 .5582 .68225 Metetra
.621 .734 0 r
.5582 .68225 .56775 .6799 .58623 .67911 .57681 .6811 Metetra
.682 .749 0 r
.57681 .6811 .58623 .67911 .60486 .67736 .59557 .67905 Metetra
.73 .76 0 r
.59557 .67905 .60486 .67736 .62363 .67468 .61448 .67613 Metetra
.764 .768 0 r
.61448 .67613 .62363 .67468 .64252 .67113 .63351 .6724 Metetra
.773 .761 0 r
.63351 .6724 .64252 .67113 .66153 .66672 .65265 .66788 Metetra
.774 .757 0 r
.65265 .66788 .66153 .66672 .68063 .66146 .67191 .66258 Metetra
.773 .761 0 r
.67191 .66258 .68063 .66146 .69983 .65535 .69126 .65649 Metetra
.764 .768 0 r
.69126 .65649 .69983 .65535 .7191 .64837 .7107 .64959 Metetra
.73 .76 0 r
.7107 .64959 .7191 .64837 .73843 .64048 .73021 .64186 Metetra
.682 .749 0 r
.73021 .64186 .73843 .64048 .7578 .63164 .74977 .63323 Metetra
.621 .734 0 r
.74977 .63323 .7578 .63164 .7772 .62178 .76936 .62365 Metetra
.547 .715 0 r
.76936 .62365 .7772 .62178 .79659 .61083 .78897 .61304 Metetra
.46 .692 0 r
.78897 .61304 .79659 .61083 .81597 .59869 .80857 .6013 Metetra
.362 .664 0 r
.80857 .6013 .81597 .59869 .83528 .58526 .82813 .58833 Metetra
.254 .631 0 r
.82813 .58833 .83528 .58526 .85451 .57042 .84762 .57401 Metetra
.14 .593 0 r
.84762 .57401 .85451 .57042 .87361 .55405 .86699 .5582 Metetra
.023 .548 0 r
.86699 .5582 .87361 .55405 .89254 .536 .88622 .54078 Metetra
0 .496 .091 r
.88622 .54078 .89254 .536 .91125 .51614 .90524 .52157 Metetra
0 .437 .192 r
.90524 .52157 .91125 .51614 .92969 .49431 .92401 .50044 Metetra
0 .369 .271 r
.92401 .50044 .92969 .49431 .9478 .47035 .94248 .47721 Metetra
0 .271 .291 r
.94248 .47721 .9478 .47035 .96552 .4441 .96056 .45173 Metetra
0 .364 .276 r
.37279 .63014 .38372 .62336 .3999 .6368 .3891 .6428 Metetra
0 .437 .193 r
.3891 .6428 .3999 .6368 .41644 .64821 .40575 .65345 Metetra
0 .501 .082 r
.40575 .65345 .41644 .64821 .43329 .65771 .42272 .66222 Metetra
.044 .557 0 r
.42272 .66222 .43329 .65771 .45044 .66546 .43998 .66928 Metetra
.175 .605 0 r
.43998 .66928 .45044 .66546 .46785 .67159 .45751 .67476 Metetra
.304 .647 0 r
.45751 .67476 .46785 .67159 .48551 .67623 .47529 .6788 Metetra
.427 .683 0 r
.47529 .6788 .48551 .67623 .50339 .67951 .49329 .68151 Metetra
.54 .713 0 r
.49329 .68151 .50339 .67951 .52147 .68154 .51149 .68303 Metetra
.642 .739 0 r
.51149 .68303 .52147 .68154 .53975 .68242 .52989 .68345 Metetra
.73 .76 0 r
.52989 .68345 .53975 .68242 .5582 .68225 .54846 .68288 Metetra
.777 .75 0 r
.54846 .68288 .5582 .68225 .57681 .6811 .56719 .68138 Metetra
.791 .716 0 r
.56719 .68138 .57681 .6811 .59557 .67905 .58608 .67903 Metetra
.801 .69 0 r
.58608 .67903 .59557 .67905 .61448 .67613 .60511 .67588 Metetra
.809 .671 0 r
.60511 .67588 .61448 .67613 .63351 .6724 .62427 .67198 Metetra
.813 .659 0 r
.62427 .67198 .63351 .6724 .65265 .66788 .64356 .66735 Metetra
.814 .655 0 r
.64356 .66735 .65265 .66788 .67191 .66258 .66296 .662 Metetra
.813 .659 0 r
.66296 .662 .67191 .66258 .69126 .65649 .68246 .65592 Metetra
.809 .671 0 r
.68246 .65592 .69126 .65649 .7107 .64959 .70205 .6491 Metetra
.801 .69 0 r
.70205 .6491 .7107 .64959 .73021 .64186 .72173 .6415 Metetra
.791 .716 0 r
.72173 .6415 .73021 .64186 .74977 .63323 .74146 .63307 Metetra
.777 .75 0 r
.74146 .63307 .74977 .63323 .76936 .62365 .76125 .62374 Metetra
.73 .76 0 r
.76125 .62374 .76936 .62365 .78897 .61304 .78106 .61345 Metetra
.642 .739 0 r
.78106 .61345 .78897 .61304 .80857 .6013 .80087 .60208 Metetra
.54 .713 0 r
.80087 .60208 .80857 .6013 .82813 .58833 .82066 .58954 Metetra
.427 .683 0 r
.82066 .58954 .82813 .58833 .84762 .57401 .84039 .57571 Metetra
.304 .647 0 r
.84039 .57571 .84762 .57401 .86699 .5582 .86003 .56044 Metetra
.175 .605 0 r
.86003 .56044 .86699 .5582 .88622 .54078 .87953 .54359 Metetra
.044 .557 0 r
.87953 .54359 .88622 .54078 .90524 .52157 .89886 .52501 Metetra
0 .501 .082 r
.89886 .52501 .90524 .52157 .92401 .50044 .91794 .50454 Metetra
0 .437 .193 r
.91794 .50454 .92401 .50044 .94248 .47721 .93674 .48201 Metetra
0 .364 .276 r
.93674 .48201 .94248 .47721 .96056 .45173 .95518 .45724 Metetra
0 .427 .206 r
.36173 .63505 .37279 .63014 .3891 .6428 .37815 .64697 Metetra
0 .496 .091 r
.37815 .64697 .3891 .6428 .40575 .65345 .39491 .6569 Metetra
.044 .557 0 r
.39491 .6569 .40575 .65345 .42272 .66222 .41199 .66498 Metetra
.187 .609 0 r
.41199 .66498 .42272 .66222 .43998 .66928 .42937 .67138 Metetra
.33 .655 0 r
.42937 .67138 .43998 .66928 .45751 .67476 .44701 .67624 Metetra
.467 .694 0 r
.44701 .67624 .45751 .67476 .47529 .6788 .4649 .6797 Metetra
.594 .727 0 r
.4649 .6797 .47529 .6788 .49329 .68151 .48301 .68188 Metetra
.709 .755 0 r
.48301 .68188 .49329 .68151 .51149 .68303 .50133 .68291 Metetra
.779 .746 0 r
.50133 .68291 .51149 .68303 .52989 .68345 .51984 .68289 Metetra
.798 .698 0 r
.51984 .68289 .52989 .68345 .54846 .68288 .53853 .68193 Metetra
.814 .656 0 r
.53853 .68193 .54846 .68288 .56719 .68138 .55738 .6801 Metetra
.827 .621 0 r
.55738 .6801 .56719 .68138 .58608 .67903 .57639 .67747 Metetra
.836 .594 0 r
.57639 .67747 .58608 .67903 .60511 .67588 .59554 .6741 Metetra
.843 .574 0 r
.59554 .6741 .60511 .67588 .62427 .67198 .61483 .67003 Metetra
.847 .563 0 r
.61483 .67003 .62427 .67198 .64356 .66735 .63425 .66528 Metetra
.848 .559 0 r
.63425 .66528 .64356 .66735 .66296 .662 .65378 .65988 Metetra
.847 .563 0 r
.65378 .65988 .66296 .662 .68246 .65592 .67343 .6538 Metetra
.843 .574 0 r
.67343 .6538 .68246 .65592 .70205 .6491 .69317 .64704 Metetra
.836 .594 0 r
.69317 .64704 .70205 .6491 .72173 .6415 .713 .63956 Metetra
.827 .621 0 r
.713 .63956 .72173 .6415 .74146 .63307 .73291 .63131 Metetra
.814 .656 0 r
.73291 .63131 .74146 .63307 .76125 .62374 .75287 .62222 Metetra
.798 .698 0 r
.75287 .62222 .76125 .62374 .78106 .61345 .77287 .61222 Metetra
.779 .746 0 r
.77287 .61222 .78106 .61345 .80087 .60208 .79289 .6012 Metetra
.709 .755 0 r
.79289 .6012 .80087 .60208 .82066 .58954 .81289 .58906 Metetra
.594 .727 0 r
.81289 .58906 .82066 .58954 .84039 .57571 .83286 .57567 Metetra
.467 .694 0 r
.83286 .57567 .84039 .57571 .86003 .56044 .85274 .56089 Metetra
.33 .655 0 r
.85274 .56089 .86003 .56044 .87953 .54359 .87251 .54459 Metetra
.187 .609 0 r
.87251 .54459 .87953 .54359 .89886 .52501 .89212 .52659 Metetra
.044 .557 0 r
.89212 .52659 .89886 .52501 .91794 .50454 .91151 .50674 Metetra
0 .496 .091 r
.91151 .50674 .91794 .50454 .93674 .48201 .93062 .48486 Metetra
0 .427 .206 r
.93062 .48486 .93674 .48201 .95518 .45724 .9494 .46077 Metetra
0 .482 .118 r
.35054 .63821 .36173 .63505 .37815 .64697 .36706 .64943 Metetra
.022 .548 0 r
.36706 .64943 .37815 .64697 .39491 .6569 .38393 .65868 Metetra
.175 .605 0 r
.38393 .65868 .39491 .6569 .41199 .66498 .40112 .66612 Metetra
.329 .655 0 r
.40112 .66612 .41199 .66498 .42937 .67138 .41861 .6719 Metetra
.48 .697 0 r
.41861 .6719 .42937 .67138 .44701 .67624 .43636 .67617 Metetra
.621 .734 0 r
.43636 .67617 .44701 .67624 .4649 .6797 .45436 .67908 Metetra
.75 .765 0 r
.45436 .67908 .4649 .6797 .48301 .68188 .47258 .68076 Metetra
.791 .717 0 r
.47258 .68076 .48301 .68188 .50133 .68291 .49101 .68133 Metetra
.813 .659 0 r
.49101 .68133 .50133 .68291 .51984 .68289 .50963 .6809 Metetra
.831 .609 0 r
.50963 .6809 .51984 .68289 .53853 .68193 .52842 .67956 Metetra
.845 .567 0 r
.52842 .67956 .53853 .68193 .55738 .6801 .54739 .67741 Metetra
.857 .532 0 r
.54739 .67741 .55738 .6801 .57639 .67747 .56651 .67452 Metetra
.865 .505 0 r
.56651 .67452 .57639 .67747 .59554 .6741 .58578 .67093 Metetra
.871 .486 0 r
.58578 .67093 .59554 .6741 .61483 .67003 .60519 .6667 Metetra
.875 .475 0 r
.60519 .6667 .61483 .67003 .63425 .66528 .62473 .66184 Metetra
.876 .471 0 r
.62473 .66184 .63425 .66528 .65378 .65988 .6444 .65638 Metetra
.875 .475 0 r
.6444 .65638 .65378 .65988 .67343 .6538 .66418 .6503 Metetra
.871 .486 0 r
.66418 .6503 .67343 .6538 .69317 .64704 .68407 .64359 Metetra
.865 .505 0 r
.68407 .64359 .69317 .64704 .713 .63956 .70405 .63621 Metetra
.857 .532 0 r
.70405 .63621 .713 .63956 .73291 .63131 .72412 .62812 Metetra
.845 .567 0 r
.72412 .62812 .73291 .63131 .75287 .62222 .74425 .61924 Metetra
.831 .609 0 r
.74425 .61924 .75287 .62222 .77287 .61222 .76443 .6095 Metetra
.813 .659 0 r
.76443 .6095 .77287 .61222 .79289 .6012 .78464 .59879 Metetra
.791 .717 0 r
.78464 .59879 .79289 .6012 .81289 .58906 .80485 .58701 Metetra
.75 .765 0 r
.80485 .58701 .81289 .58906 .83286 .57567 .82503 .57403 Metetra
.621 .734 0 r
.82503 .57403 .83286 .57567 .85274 .56089 .84516 .55971 Metetra
.48 .697 0 r
.84516 .55971 .85274 .56089 .87251 .54459 .86518 .54391 Metetra
.329 .655 0 r
.86518 .54391 .87251 .54459 .89212 .52659 .88505 .52645 Metetra
.175 .605 0 r
.88505 .52645 .89212 .52659 .91151 .50674 .90472 .50717 Metetra
.022 .548 0 r
.90472 .50717 .91151 .50674 .93062 .48486 .92414 .48589 Metetra
0 .482 .118 r
.92414 .48589 .93062 .48486 .9494 .46077 .94324 .46242 Metetra
0 .53 .019 r
.33922 .63975 .35054 .63821 .36706 .64943 .35584 .65031 Metetra
.139 .593 0 r
.35584 .65031 .36706 .64943 .38393 .65868 .37281 .65892 Metetra
.304 .647 0 r
.37281 .65892 .38393 .65868 .40112 .66612 .39011 .66575 Metetra
.466 .694 0 r
.39011 .66575 .40112 .66612 .41861 .6719 .4077 .67095 Metetra
.621 .734 0 r
.4077 .67095 .41861 .6719 .43636 .67617 .42555 .67468 Metetra
.763 .768 0 r
.42555 .67468 .43636 .67617 .45436 .67908 .44366 .67708 Metetra
.797 .701 0 r
.44366 .67708 .45436 .67908 .47258 .68076 .46198 .67829 Metetra
.821 .636 0 r
.46198 .67829 .47258 .68076 .49101 .68133 .48052 .67843 Metetra
.841 .578 0 r
.48052 .67843 .49101 .68133 .50963 .6809 .49924 .67761 Metetra
.858 .528 0 r
.49924 .67761 .50963 .6809 .52842 .67956 .51815 .67593 Metetra
.871 .486 0 r
.51815 .67593 .52842 .67956 .54739 .67741 .53722 .67348 Metetra
.882 .452 0 r
.53722 .67348 .54739 .67741 .56651 .67452 .55646 .67033 Metetra
.889 .426 0 r
.55646 .67033 .56651 .67452 .58578 .67093 .57584 .66653 Metetra
.895 .408 0 r
.57584 .66653 .58578 .67093 .60519 .6667 .59537 .66214 Metetra
.898 .397 0 r
.59537 .66214 .60519 .6667 .62473 .66184 .61503 .65717 Metetra
.899 .393 0 r
.61503 .65717 .62473 .66184 .6444 .65638 .63482 .65165 Metetra
.898 .397 0 r
.63482 .65165 .6444 .65638 .66418 .6503 .65473 .64556 Metetra
.895 .408 0 r
.65473 .64556 .66418 .6503 .68407 .64359 .67476 .63889 Metetra
.889 .426 0 r
.67476 .63889 .68407 .64359 .70405 .63621 .69488 .6316 Metetra
.882 .452 0 r
.69488 .6316 .70405 .63621 .72412 .62812 .7151 .62364 Metetra
.871 .486 0 r
.7151 .62364 .72412 .62812 .74425 .61924 .7354 .61495 Metetra
.858 .528 0 r
.7354 .61495 .74425 .61924 .76443 .6095 .75575 .60544 Metetra
.841 .578 0 r
.75575 .60544 .76443 .6095 .78464 .59879 .77614 .59501 Metetra
.821 .636 0 r
.77614 .59501 .78464 .59879 .80485 .58701 .79655 .58356 Metetra
.797 .701 0 r
.79655 .58356 .80485 .58701 .82503 .57403 .81694 .57095 Metetra
.763 .768 0 r
.81694 .57095 .82503 .57403 .84516 .55971 .83729 .55704 Metetra
.621 .734 0 r
.83729 .55704 .84516 .55971 .86518 .54391 .85754 .54168 Metetra
.466 .694 0 r
.85754 .54168 .86518 .54391 .88505 .52645 .87767 .52471 Metetra
.304 .647 0 r
.87767 .52471 .88505 .52645 .90472 .50717 .89761 .50595 Metetra
.139 .593 0 r
.89761 .50595 .90472 .50717 .92414 .48589 .91732 .48522 Metetra
0 .53 .019 r
.91732 .48522 .92414 .48589 .94324 .46242 .93672 .46233 Metetra
.082 .572 0 r
.32778 .63975 .33922 .63975 .35584 .65031 .34449 .64971 Metetra
.254 .631 0 r
.34449 .64971 .35584 .65031 .37281 .65892 .36156 .65774 Metetra
.427 .683 0 r
.36156 .65774 .37281 .65892 .39011 .66575 .37896 .66401 Metetra
.594 .727 0 r
.37896 .66401 .39011 .66575 .4077 .67095 .39664 .66868 Metetra
.75 .765 0 r
.39664 .66868 .4077 .67095 .42555 .67468 .4146 .6719 Metetra
.797 .702 0 r
.4146 .6719 .42555 .67468 .44366 .67708 .4328 .67383 Metetra
.824 .629 0 r
.4328 .67383 .44366 .67708 .46198 .67829 .45123 .6746 Metetra
.846 .563 0 r
.45123 .6746 .46198 .67829 .48052 .67843 .46987 .67434 Metetra
.865 .505 0 r
.46987 .67434 .48052 .67843 .49924 .67761 .4887 .67315 Metetra
.88 .456 0 r
.4887 .67315 .49924 .67761 .51815 .67593 .50771 .67115 Metetra
.893 .415 0 r
.50771 .67115 .51815 .67593 .53722 .67348 .52689 .66842 Metetra
.902 .382 0 r
.52689 .66842 .53722 .67348 .55646 .67033 .54623 .66503 Metetra
.909 .357 0 r
.54623 .66503 .55646 .67033 .57584 .66653 .56573 .66104 Metetra
.914 .339 0 r
.56573 .66104 .57584 .66653 .59537 .66214 .58537 .65649 Metetra
.917 .329 0 r
.58537 .65649 .59537 .66214 .61503 .65717 .60515 .65142 Metetra
.918 .326 0 r
.60515 .65142 .61503 .65717 .63482 .65165 .62506 .64583 Metetra
.917 .329 0 r
.62506 .64583 .63482 .65165 .65473 .64556 .64509 .63972 Metetra
.914 .339 0 r
.64509 .63972 .65473 .64556 .67476 .63889 .66525 .63308 Metetra
.909 .357 0 r
.66525 .63308 .67476 .63889 .69488 .6316 .68552 .62586 Metetra
.902 .382 0 r
.68552 .62586 .69488 .6316 .7151 .62364 .70588 .61802 Metetra
.893 .415 0 r
.70588 .61802 .7151 .62364 .7354 .61495 .72633 .60948 Metetra
.88 .456 0 r
.72633 .60948 .7354 .61495 .75575 .60544 .74684 .60017 Metetra
.865 .505 0 r
.74684 .60017 .75575 .60544 .77614 .59501 .76741 .58999 Metetra
.846 .563 0 r
.76741 .58999 .77614 .59501 .79655 .58356 .78801 .57883 Metetra
.824 .629 0 r
.78801 .57883 .79655 .58356 .81694 .57095 .8086 .56654 Metetra
.797 .702 0 r
.8086 .56654 .81694 .57095 .83729 .55704 .82915 .553 Metetra
.75 .765 0 r
.82915 .553 .83729 .55704 .85754 .54168 .84964 .53804 Metetra
.594 .727 0 r
.84964 .53804 .85754 .54168 .87767 .52471 .87 .52151 Metetra
.427 .683 0 r
.87 .52151 .87767 .52471 .89761 .50595 .8902 .50321 Metetra
.254 .631 0 r
.8902 .50321 .89761 .50595 .91732 .48522 .91017 .48297 Metetra
.082 .572 0 r
.91017 .48297 .91732 .48522 .93672 .46233 .92986 .46059 Metetra
.18 .607 0 r
.31622 .63833 .32778 .63975 .34449 .64971 .33302 .64774 Metetra
.361 .664 0 r
.33302 .64774 .34449 .64971 .36156 .65774 .35018 .65524 Metetra
.54 .713 0 r
.35018 .65524 .36156 .65774 .37896 .66401 .36767 .661 Metetra
.709 .755 0 r
.36767 .661 .37896 .66401 .39664 .66868 .38545 .66518 Metetra
.791 .717 0 r
.38545 .66518 .39664 .66868 .4146 .6719 .40351 .66794 Metetra
.821 .637 0 r
.40351 .66794 .4146 .6719 .4328 .67383 .42181 .66944 Metetra
.846 .563 0 r
.42181 .66944 .4328 .67383 .45123 .6746 .44033 .66981 Metetra
.868 .498 0 r
.44033 .66981 .45123 .6746 .46987 .67434 .45907 .66917 Metetra
.885 .441 0 r
.45907 .66917 .46987 .67434 .4887 .67315 .478 .66766 Metetra
.899 .393 0 r
.478 .66766 .4887 .67315 .50771 .67115 .49712 .66536 Metetra
.91 .354 0 r
.49712 .66536 .50771 .67115 .52689 .66842 .5164 .66237 Metetra
.919 .322 0 r
.5164 .66237 .52689 .66842 .54623 .66503 .53584 .65875 Metetra
.926 .298 0 r
.53584 .65875 .54623 .66503 .56573 .66104 .55545 .65458 Metetra
.93 .282 0 r
.55545 .65458 .56573 .66104 .58537 .65649 .57519 .64988 Metetra
.933 .272 0 r
.57519 .64988 .58537 .65649 .60515 .65142 .59509 .6447 Metetra
.934 .268 0 r
.59509 .6447 .60515 .65142 .62506 .64583 .61512 .63905 Metetra
.933 .272 0 r
.61512 .63905 .62506 .64583 .64509 .63972 .63527 .63291 Metetra
.93 .282 0 r
.63527 .63291 .64509 .63972 .66525 .63308 .65556 .62628 Metetra
.926 .298 0 r
.65556 .62628 .66525 .63308 .68552 .62586 .67596 .61912 Metetra
.919 .322 0 r
.67596 .61912 .68552 .62586 .70588 .61802 .69646 .61137 Metetra
.91 .354 0 r
.69646 .61137 .70588 .61802 .72633 .60948 .71706 .60296 Metetra
.899 .393 0 r
.71706 .60296 .72633 .60948 .74684 .60017 .73773 .59383 Metetra
.885 .441 0 r
.73773 .59383 .74684 .60017 .76741 .58999 .75846 .58386 Metetra
.868 .498 0 r
.75846 .58386 .76741 .58999 .78801 .57883 .77923 .57293 Metetra
.846 .563 0 r
.77923 .57293 .78801 .57883 .8086 .56654 .80001 .56093 Metetra
.821 .637 0 r
.80001 .56093 .8086 .56654 .82915 .553 .82077 .54771 Metetra
.791 .717 0 r
.82077 .54771 .82915 .553 .84964 .53804 .84146 .5331 Metetra
.709 .755 0 r
.84146 .5331 .84964 .53804 .87 .52151 .86206 .51694 Metetra
.54 .713 0 r
.86206 .51694 .87 .52151 .8902 .50321 .8825 .49905 Metetra
.361 .664 0 r
.8825 .49905 .8902 .50321 .91017 .48297 .90273 .47924 Metetra
.18 .607 0 r
.90273 .47924 .91017 .48297 .92986 .46059 .92269 .45731 Metetra
.272 .637 0 r
.30455 .63558 .31622 .63833 .33302 .64774 .32143 .6445 Metetra
.459 .692 0 r
.32143 .6445 .33302 .64774 .35018 .65524 .33868 .65152 Metetra
.641 .739 0 r
.33868 .65152 .35018 .65524 .36767 .661 .35625 .65681 Metetra
.779 .747 0 r
.35625 .65681 .36767 .661 .38545 .66518 .37412 .66056 Metetra
.813 .66 0 r
.37412 .66056 .38545 .66518 .40351 .66794 .39227 .66291 Metetra
.841 .579 0 r
.39227 .66291 .40351 .66794 .42181 .66944 .41067 .66401 Metetra
.865 .506 0 r
.41067 .66401 .42181 .66944 .44033 .66981 .42929 .66402 Metetra
.885 .441 0 r
.42929 .66402 .44033 .66981 .45907 .66917 .44812 .66305 Metetra
.901 .386 0 r
.44812 .66305 .45907 .66917 .478 .66766 .46715 .66123 Metetra
.914 .34 0 r
.46715 .66123 .478 .66766 .49712 .66536 .48636 .65866 Metetra
.925 .302 0 r
.48636 .65866 .49712 .66536 .5164 .66237 .50575 .65543 Metetra
.933 .272 0 r
.50575 .65543 .5164 .66237 .53584 .65875 .5253 .65161 Metetra
.939 .249 0 r
.5253 .65161 .53584 .65875 .55545 .65458 .545 .64726 Metetra
.943 .233 0 r
.545 .64726 .55545 .65458 .57519 .64988 .56486 .64243 Metetra
.945 .224 0 r
.56486 .64243 .57519 .64988 .59509 .6447 .58486 .63714 Metetra
.946 .221 0 r
.58486 .63714 .59509 .6447 .61512 .63905 .605 .63142 Metetra
.945 .224 0 r
.605 .63142 .61512 .63905 .63527 .63291 .62528 .62525 Metetra
.943 .233 0 r
.62528 .62525 .63527 .63291 .65556 .62628 .64569 .61861 Metetra
.939 .249 0 r
.64569 .61861 .65556 .62628 .67596 .61912 .66621 .61148 Metetra
.933 .272 0 r
.66621 .61148 .67596 .61912 .69646 .61137 .68685 .6038 Metetra
.925 .302 0 r
.68685 .6038 .69646 .61137 .71706 .60296 .70759 .59551 Metetra
.914 .34 0 r
.70759 .59551 .71706 .60296 .73773 .59383 .72841 .58651 Metetra
.901 .386 0 r
.72841 .58651 .73773 .59383 .75846 .58386 .7493 .57671 Metetra
.885 .441 0 r
.7493 .57671 .75846 .58386 .77923 .57293 .77024 .566 Metetra
.865 .506 0 r
.77024 .566 .77923 .57293 .80001 .56093 .7912 .55423 Metetra
.841 .579 0 r
.7912 .55423 .80001 .56093 .82077 .54771 .81215 .54127 Metetra
.813 .66 0 r
.81215 .54127 .82077 .54771 .84146 .5331 .83305 .52696 Metetra
.779 .747 0 r
.83305 .52696 .84146 .5331 .86206 .51694 .85386 .51112 Metetra
.641 .739 0 r
.85386 .51112 .86206 .51694 .8825 .49905 .87452 .49357 Metetra
.459 .692 0 r
.87452 .49357 .8825 .49905 .90273 .47924 .895 .47413 Metetra
.272 .637 0 r
.895 .47413 .90273 .47924 .92269 .45731 .91521 .45258 Metetra
.355 .662 0 r
.29277 .63157 .30455 .63558 .32143 .6445 .30972 .64006 Metetra
.546 .715 0 r
.30972 .64006 .32143 .6445 .33868 .65152 .32705 .64666 Metetra
.729 .76 0 r
.32705 .64666 .33868 .65152 .35625 .65681 .3447 .65155 Metetra
.798 .698 0 r
.3447 .65155 .35625 .65681 .37412 .66056 .36266 .65491 Metetra
.831 .61 0 r
.36266 .65491 .37412 .66056 .39227 .66291 .3809 .65689 Metetra
.858 .529 0 r
.3809 .65689 .39227 .66291 .41067 .66401 .39938 .65765 Metetra
.88 .456 0 r
.39938 .65765 .41067 .66401 .42929 .66402 .4181 .65733 Metetra
.899 .393 0 r
.4181 .65733 .42929 .66402 .44812 .66305 .43702 .65607 Metetra
.914 .34 0 r
.43702 .65607 .44812 .66305 .46715 .66123 .45615 .65398 Metetra
.927 .295 0 r
.45615 .65398 .46715 .66123 .48636 .65866 .47546 .65116 Metetra
.936 .259 0 r
.47546 .65116 .48636 .65866 .50575 .65543 .49494 .64771 Metetra
.944 .23 0 r
.49494 .64771 .50575 .65543 .5253 .65161 .51459 .6437 Metetra
.949 .209 0 r
.51459 .6437 .5253 .65161 .545 .64726 .5344 .63919 Metetra
.953 .194 0 r
.5344 .63919 .545 .64726 .56486 .64243 .55436 .63422 Metetra
.955 .186 0 r
.55436 .63422 .56486 .64243 .58486 .63714 .57447 .62883 Metetra
.956 .183 0 r
.57447 .62883 .58486 .63714 .605 .63142 .59472 .62304 Metetra
.955 .186 0 r
.59472 .62304 .605 .63142 .62528 .62525 .61512 .61682 Metetra
.953 .194 0 r
.61512 .61682 .62528 .62525 .64569 .61861 .63564 .61018 Metetra
.949 .209 0 r
.63564 .61018 .64569 .61861 .66621 .61148 .65629 .60307 Metetra
.944 .23 0 r
.65629 .60307 .66621 .61148 .68685 .6038 .67706 .59543 Metetra
.936 .259 0 r
.67706 .59543 .68685 .6038 .70759 .59551 .69794 .58721 Metetra
.927 .295 0 r
.69794 .58721 .70759 .59551 .72841 .58651 .7189 .57832 Metetra
.914 .34 0 r
.7189 .57832 .72841 .58651 .7493 .57671 .73995 .56866 Metetra
.899 .393 0 r
.73995 .56866 .7493 .57671 .77024 .566 .76105 .55811 Metetra
.88 .456 0 r
.76105 .55811 .77024 .566 .7912 .55423 .78218 .54653 Metetra
.858 .529 0 r
.78218 .54653 .7912 .55423 .81215 .54127 .80331 .53379 Metetra
.831 .61 0 r
.80331 .53379 .81215 .54127 .83305 .52696 .8244 .51971 Metetra
.798 .698 0 r
.8244 .51971 .83305 .52696 .85386 .51112 .84541 .50414 Metetra
.729 .76 0 r
.84541 .50414 .85386 .51112 .87452 .49357 .86629 .48687 Metetra
.546 .715 0 r
.86629 .48687 .87452 .49357 .895 .47413 .88699 .46772 Metetra
.355 .662 0 r
.88699 .46772 .895 .47413 .91521 .45258 .90744 .44649 Metetra
.426 .683 0 r
.28087 .62638 .29277 .63157 .30972 .64006 .2979 .63449 Metetra
.62 .734 0 r
.2979 .63449 .30972 .64006 .32705 .64666 .31529 .64073 Metetra
.777 .75 0 r
.31529 .64073 .32705 .64666 .3447 .65155 .33303 .64528 Metetra
.814 .656 0 r
.33303 .64528 .3447 .65155 .36266 .65491 .35107 .6483 Metetra
.845 .567 0 r
.35107 .6483 .36266 .65491 .3809 .65689 .36939 .64997 Metetra
.871 .487 0 r
.36939 .64997 .3809 .65689 .39938 .65765 .38796 .65043 Metetra
.893 .415 0 r
.38796 .65043 .39938 .65765 .4181 .65733 .40676 .64983 Metetra
.91 .354 0 r
.40676 .64983 .4181 .65733 .43702 .65607 .42578 .6483 Metetra
.925 .302 0 r
.42578 .6483 .43702 .65607 .45615 .65398 .445 .64597 Metetra
.936 .259 0 r
.445 .64597 .45615 .65398 .47546 .65116 .4644 .64293 Metetra
.945 .224 0 r
.4644 .64293 .47546 .65116 .49494 .64771 .48398 .63929 Metetra
.952 .197 0 r
.48398 .63929 .49494 .64771 .51459 .6437 .50373 .6351 Metetra
.957 .177 0 r
.50373 .6351 .51459 .6437 .5344 .63919 .52364 .63044 Metetra
.961 .163 0 r
.52364 .63044 .5344 .63919 .55436 .63422 .5437 .62536 Metetra
.963 .155 0 r
.5437 .62536 .55436 .63422 .57447 .62883 .56392 .61987 Metetra
.964 .152 0 r
.56392 .61987 .57447 .62883 .59472 .62304 .58428 .61399 Metetra
.963 .155 0 r
.58428 .61399 .59472 .62304 .61512 .61682 .60479 .60773 Metetra
.961 .163 0 r
.60479 .60773 .61512 .61682 .63564 .61018 .62543 .60106 Metetra
.957 .177 0 r
.62543 .60106 .63564 .61018 .65629 .60307 .6462 .59395 Metetra
.952 .197 0 r
.6462 .59395 .65629 .60307 .67706 .59543 .6671 .58634 Metetra
.945 .224 0 r
.6671 .58634 .67706 .59543 .69794 .58721 .6881 .57817 Metetra
.936 .259 0 r
.6881 .57817 .69794 .58721 .7189 .57832 .70921 .56935 Metetra
.925 .302 0 r
.70921 .56935 .7189 .57832 .73995 .56866 .7304 .55978 Metetra
.91 .354 0 r
.7304 .55978 .73995 .56866 .76105 .55811 .75166 .54935 Metetra
.893 .415 0 r
.75166 .54935 .76105 .55811 .78218 .54653 .77295 .53791 Metetra
.871 .487 0 r
.77295 .53791 .78218 .54653 .80331 .53379 .79425 .52533 Metetra
.845 .567 0 r
.79425 .52533 .80331 .53379 .8244 .51971 .81552 .51144 Metetra
.814 .656 0 r
.81552 .51144 .8244 .51971 .84541 .50414 .83672 .49606 Metetra
.777 .75 0 r
.83672 .49606 .84541 .50414 .86629 .48687 .85781 .47901 Metetra
.62 .734 0 r
.85781 .47901 .86629 .48687 .88699 .46772 .87872 .46009 Metetra
.426 .683 0 r
.87872 .46009 .88699 .46772 .90744 .44649 .8994 .4391 Metetra
.486 .699 0 r
.26887 .62005 .28087 .62638 .2979 .63449 .28596 .62786 Metetra
.681 .749 0 r
.28596 .62786 .2979 .63449 .31529 .64073 .30342 .63381 Metetra
.791 .717 0 r
.30342 .63381 .31529 .64073 .33303 .64528 .32123 .63806 Metetra
.827 .621 0 r
.32123 .63806 .33303 .64528 .35107 .6483 .33934 .64081 Metetra
.857 .532 0 r
.33934 .64081 .35107 .6483 .36939 .64997 .35774 .6422 Metetra
.882 .453 0 r
.35774 .6422 .36939 .64997 .38796 .65043 .37639 .64241 Metetra
.902 .382 0 r
.37639 .64241 .38796 .65043 .40676 .64983 .39528 .64157 Metetra
.919 .322 0 r
.39528 .64157 .40676 .64983 .42578 .6483 .41439 .63983 Metetra
.933 .272 0 r
.41439 .63983 .42578 .6483 .445 .64597 .4337 .63729 Metetra
.944 .23 0 r
.4337 .63729 .445 .64597 .4644 .64293 .45319 .63406 Metetra
.952 .197 0 r
.45319 .63406 .4644 .64293 .48398 .63929 .47287 .63024 Metetra
.959 .171 0 r
.47287 .63024 .48398 .63929 .50373 .6351 .49271 .6259 Metetra
.964 .152 0 r
.49271 .6259 .50373 .6351 .52364 .63044 .51272 .62111 Metetra
.967 .139 0 r
.51272 .62111 .52364 .63044 .5437 .62536 .53289 .6159 Metetra
.969 .131 0 r
.53289 .6159 .5437 .62536 .56392 .61987 .55321 .61032 Metetra
.969 .129 0 r
.55321 .61032 .56392 .61987 .58428 .61399 .57368 .60436 Metetra
.969 .131 0 r
.57368 .60436 .58428 .61399 .60479 .60773 .59429 .59804 Metetra
.967 .139 0 r
.59429 .59804 .60479 .60773 .62543 .60106 .61505 .59133 Metetra
.964 .152 0 r
.61505 .59133 .62543 .60106 .6462 .59395 .63594 .5842 Metetra
.959 .171 0 r
.63594 .5842 .6462 .59395 .6671 .58634 .65696 .57659 Metetra
.952 .197 0 r
.65696 .57659 .6671 .58634 .6881 .57817 .6781 .56844 Metetra
.944 .23 0 r
.6781 .56844 .6881 .57817 .70921 .56935 .69934 .55966 Metetra
.933 .272 0 r
.69934 .55966 .70921 .56935 .7304 .55978 .72067 .55015 Metetra
.919 .322 0 r
.72067 .55015 .7304 .55978 .75166 .54935 .74207 .53979 Metetra
.902 .382 0 r
.74207 .53979 .75166 .54935 .77295 .53791 .76352 .52845 Metetra
.882 .453 0 r
.76352 .52845 .77295 .53791 .79425 .52533 .78499 .51598 Metetra
.857 .532 0 r
.78499 .51598 .79425 .52533 .81552 .51144 .80643 .50221 Metetra
.827 .621 0 r
.80643 .50221 .81552 .51144 .83672 .49606 .82782 .48696 Metetra
.791 .717 0 r
.82782 .48696 .83672 .49606 .85781 .47901 .84909 .47006 Metetra
.681 .749 0 r
.84909 .47006 .85781 .47901 .87872 .46009 .87021 .4513 Metetra
.486 .699 0 r
.87021 .4513 .87872 .46009 .8994 .4391 .8911 .43048 Metetra
.533 .711 0 r
.25677 .61264 .26887 .62005 .28596 .62786 .27391 .62022 Metetra
.729 .76 0 r
.27391 .62022 .28596 .62786 .30342 .63381 .29143 .62593 Metetra
.801 .69 0 r
.29143 .62593 .30342 .63381 .32123 .63806 .3093 .62995 Metetra
.836 .594 0 r
.3093 .62995 .32123 .63806 .33934 .64081 .32749 .63247 Metetra
.865 .506 0 r
.32749 .63247 .33934 .64081 .35774 .6422 .34596 .63366 Metetra
.889 .426 0 r
.34596 .63366 .35774 .6422 .37639 .64241 .36469 .63366 Metetra
.909 .357 0 r
.36469 .63366 .37639 .64241 .39528 .64157 .38366 .63262 Metetra
.926 .298 0 r
.38366 .63262 .39528 .64157 .41439 .63983 .40285 .63069 Metetra
.939 .249 0 r
.40285 .63069 .41439 .63983 .4337 .63729 .42225 .62798 Metetra
.949 .209 0 r
.42225 .62798 .4337 .63729 .45319 .63406 .44184 .62459 Metetra
.957 .177 0 r
.44184 .62459 .45319 .63406 .47287 .63024 .4616 .62062 Metetra
.964 .152 0 r
.4616 .62062 .47287 .63024 .49271 .6259 .48154 .61614 Metetra
.968 .134 0 r
.48154 .61614 .49271 .6259 .51272 .62111 .50165 .61123 Metetra
.971 .121 0 r
.50165 .61123 .51272 .62111 .53289 .6159 .52192 .60591 Metetra
.973 .114 0 r
.52192 .60591 .53289 .6159 .55321 .61032 .54234 .60023 Metetra
.974 .112 0 r
.54234 .60023 .55321 .61032 .57368 .60436 .56292 .5942 Metetra
.973 .114 0 r
.56292 .5942 .57368 .60436 .59429 .59804 .58364 .58781 Metetra
.971 .121 0 r
.58364 .58781 .59429 .59804 .61505 .59133 .60451 .58105 Metetra
.968 .134 0 r
.60451 .58105 .61505 .59133 .63594 .5842 .62552 .57388 Metetra
.964 .152 0 r
.62552 .57388 .63594 .5842 .65696 .57659 .64666 .56625 Metetra
.957 .177 0 r
.64666 .56625 .65696 .57659 .6781 .56844 .66792 .55809 Metetra
.949 .209 0 r
.66792 .55809 .6781 .56844 .69934 .55966 .6893 .54932 Metetra
.939 .249 0 r
.6893 .54932 .69934 .55966 .72067 .55015 .71076 .53982 Metetra
.926 .298 0 r
.71076 .53982 .72067 .55015 .74207 .53979 .73231 .52949 Metetra
.909 .357 0 r
.73231 .52949 .74207 .53979 .76352 .52845 .75391 .51819 Metetra
.889 .426 0 r
.75391 .51819 .76352 .52845 .78499 .51598 .77553 .50577 Metetra
.865 .506 0 r
.77553 .50577 .78499 .51598 .80643 .50221 .79713 .49206 Metetra
.836 .594 0 r
.79713 .49206 .80643 .50221 .82782 .48696 .81869 .47689 Metetra
.801 .69 0 r
.81869 .47689 .82782 .48696 .84909 .47006 .84015 .46007 Metetra
.729 .76 0 r
.84015 .46007 .84909 .47006 .87021 .4513 .86145 .4414 Metetra
.533 .711 0 r
.86145 .4414 .87021 .4513 .8911 .43048 .88254 .42066 Metetra
.566 .72 0 r
.24458 .60418 .25677 .61264 .27391 .62022 .26175 .61158 Metetra
.763 .768 0 r
.26175 .61158 .27391 .62022 .29143 .62593 .27932 .61712 Metetra
.808 .671 0 r
.27932 .61712 .29143 .62593 .3093 .62995 .29725 .62098 Metetra
.843 .575 0 r
.29725 .62098 .3093 .62995 .32749 .63247 .3155 .62334 Metetra
.871 .487 0 r
.3155 .62334 .32749 .63247 .34596 .63366 .33404 .62436 Metetra
.895 .408 0 r
.33404 .62436 .34596 .63366 .36469 .63366 .35285 .6242 Metetra
.914 .34 0 r
.35285 .6242 .36469 .63366 .38366 .63262 .3719 .62302 Metetra
.93 .282 0 r
.3719 .62302 .38366 .63262 .40285 .63069 .39117 .62094 Metetra
.943 .234 0 r
.39117 .62094 .40285 .63069 .42225 .62798 .41065 .61808 Metetra
.953 .194 0 r
.41065 .61808 .42225 .62798 .44184 .62459 .43033 .61456 Metetra
.961 .163 0 r
.43033 .61456 .44184 .62459 .4616 .62062 .45019 .61047 Metetra
.967 .139 0 r
.45019 .61047 .4616 .62062 .48154 .61614 .47022 .60587 Metetra
.971 .121 0 r
.47022 .60587 .48154 .61614 .50165 .61123 .49043 .60085 Metetra
.974 .109 0 r
.49043 .60085 .50165 .61123 .52192 .60591 .51079 .59543 Metetra
.976 .102 0 r
.51079 .59543 .52192 .60591 .54234 .60023 .53132 .58966 Metetra
.976 .1 0 r
.53132 .58966 .54234 .60023 .56292 .5942 .552 .58355 Metetra
.976 .102 0 r
.552 .58355 .56292 .5942 .58364 .58781 .57283 .57709 Metetra
.974 .109 0 r
.57283 .57709 .58364 .58781 .60451 .58105 .59381 .57026 Metetra
.971 .121 0 r
.59381 .57026 .60451 .58105 .62552 .57388 .61494 .56304 Metetra
.967 .139 0 r
.61494 .56304 .62552 .57388 .64666 .56625 .63619 .55536 Metetra
.961 .163 0 r
.63619 .55536 .64666 .56625 .66792 .55809 .65758 .54716 Metetra
.953 .194 0 r
.65758 .54716 .66792 .55809 .6893 .54932 .67908 .53835 Metetra
.943 .234 0 r
.67908 .53835 .6893 .54932 .71076 .53982 .70068 .52884 Metetra
.93 .282 0 r
.70068 .52884 .71076 .53982 .73231 .52949 .72236 .51849 Metetra
.914 .34 0 r
.72236 .51849 .73231 .52949 .75391 .51819 .7441 .50718 Metetra
.895 .408 0 r
.7441 .50718 .75391 .51819 .77553 .50577 .76587 .49476 Metetra
.871 .487 0 r
.76587 .49476 .77553 .50577 .79713 .49206 .78764 .48105 Metetra
.843 .575 0 r
.78764 .48105 .79713 .49206 .81869 .47689 .80936 .46589 Metetra
.808 .671 0 r
.80936 .46589 .81869 .47689 .84015 .46007 .83098 .44907 Metetra
.763 .768 0 r
.83098 .44907 .84015 .46007 .86145 .4414 .85247 .43041 Metetra
.566 .72 0 r
.85247 .43041 .86145 .4414 .88254 .42066 .87374 .40969 Metetra
.586 .725 0 r
.23229 .59468 .24458 .60418 .26175 .61158 .2495 .60198 Metetra
.772 .762 0 r
.2495 .60198 .26175 .61158 .27932 .61712 .26711 .60742 Metetra
.813 .66 0 r
.26711 .60742 .27932 .61712 .29725 .62098 .28509 .61117 Metetra
.846 .563 0 r
.28509 .61117 .29725 .62098 .3155 .62334 .30339 .61342 Metetra
.875 .475 0 r
.30339 .61342 .3155 .62334 .33404 .62436 .322 .61433 Metetra
.898 .397 0 r
.322 .61433 .33404 .62436 .35285 .6242 .34087 .61407 Metetra
.917 .329 0 r
.34087 .61407 .35285 .6242 .3719 .62302 .35999 .61278 Metetra
.933 .272 0 r
.35999 .61278 .3719 .62302 .39117 .62094 .37935 .61059 Metetra
.945 .224 0 r
.37935 .61059 .39117 .62094 .41065 .61808 .39891 .60763 Metetra
.955 .186 0 r
.39891 .60763 .41065 .61808 .43033 .61456 .41867 .604 Metetra
.963 .155 0 r
.41867 .604 .43033 .61456 .45019 .61047 .43862 .59981 Metetra
.969 .131 0 r
.43862 .59981 .45019 .61047 .47022 .60587 .45875 .59512 Metetra
.973 .114 0 r
.45875 .59512 .47022 .60587 .49043 .60085 .47905 .59 Metetra
.976 .102 0 r
.47905 .59 .49043 .60085 .51079 .59543 .49951 .58449 Metetra
.977 .095 0 r
.49951 .58449 .51079 .59543 .53132 .58966 .52014 .57863 Metetra
.978 .093 0 r
.52014 .57863 .53132 .58966 .552 .58355 .54092 .57243 Metetra
.977 .095 0 r
.54092 .57243 .552 .58355 .57283 .57709 .56186 .56589 Metetra
.976 .102 0 r
.56186 .56589 .57283 .57709 .59381 .57026 .58295 .55899 Metetra
.973 .114 0 r
.58295 .55899 .59381 .57026 .61494 .56304 .60419 .55169 Metetra
.969 .131 0 r
.60419 .55169 .61494 .56304 .63619 .55536 .62556 .54394 Metetra
.963 .155 0 r
.62556 .54394 .63619 .55536 .65758 .54716 .64707 .53567 Metetra
.955 .186 0 r
.64707 .53567 .65758 .54716 .67908 .53835 .66869 .5268 Metetra
.945 .224 0 r
.66869 .5268 .67908 .53835 .70068 .52884 .69042 .51722 Metetra
.933 .272 0 r
.69042 .51722 .70068 .52884 .72236 .51849 .71224 .50681 Metetra
.917 .329 0 r
.71224 .50681 .72236 .51849 .7441 .50718 .73411 .49544 Metetra
.898 .397 0 r
.73411 .49544 .7441 .50718 .76587 .49476 .75603 .48295 Metetra
.875 .475 0 r
.75603 .48295 .76587 .49476 .78764 .48105 .77794 .46919 Metetra
.846 .563 0 r
.77794 .46919 .78764 .48105 .80936 .46589 .79981 .45396 Metetra
.813 .66 0 r
.79981 .45396 .80936 .46589 .83098 .44907 .8216 .43709 Metetra
.772 .762 0 r
.8216 .43709 .83098 .44907 .85247 .43041 .84325 .41836 Metetra
.586 .725 0 r
.84325 .41836 .85247 .43041 .87374 .40969 .86469 .39757 Metetra
.593 .727 0 r
.21991 .58415 .23229 .59468 .2495 .60198 .23714 .59142 Metetra
.774 .758 0 r
.23714 .59142 .2495 .60198 .26711 .60742 .25479 .59682 Metetra
.814 .656 0 r
.25479 .59682 .26711 .60742 .28509 .61117 .27281 .60053 Metetra
.848 .559 0 r
.27281 .60053 .28509 .61117 .30339 .61342 .29116 .60273 Metetra
.876 .471 0 r
.29116 .60273 .30339 .61342 .322 .61433 .30982 .60359 Metetra
.899 .393 0 r
.30982 .60359 .322 .61433 .34087 .61407 .32876 .60326 Metetra
.918 .326 0 r
.32876 .60326 .34087 .61407 .35999 .61278 .34795 .60191 Metetra
.934 .269 0 r
.34795 .60191 .35999 .61278 .37935 .61059 .36738 .59965 Metetra
.946 .221 0 r
.36738 .59965 .37935 .61059 .39891 .60763 .38702 .59662 Metetra
.956 .183 0 r
.38702 .59662 .39891 .60763 .41867 .604 .40686 .59293 Metetra
.964 .152 0 r
.40686 .59293 .41867 .604 .43862 .59981 .4269 .58865 Metetra
.969 .129 0 r
.4269 .58865 .43862 .59981 .45875 .59512 .44712 .58389 Metetra
.974 .112 0 r
.44712 .58389 .45875 .59512 .47905 .59 .46751 .57868 Metetra
.976 .1 0 r
.46751 .57868 .47905 .59 .49951 .58449 .48807 .57309 Metetra
.978 .093 0 r
.48807 .57309 .49951 .58449 .52014 .57863 .5088 .56715 Metetra
.979 .091 0 r
.5088 .56715 .52014 .57863 .54092 .57243 .52969 .56086 Metetra
.978 .093 0 r
.52969 .56086 .54092 .57243 .56186 .56589 .55073 .55423 Metetra
.976 .1 0 r
.55073 .55423 .56186 .56589 .58295 .55899 .57193 .54724 Metetra
.974 .112 0 r
.57193 .54724 .58295 .55899 .60419 .55169 .59328 .53984 Metetra
.969 .129 0 r
.59328 .53984 .60419 .55169 .62556 .54394 .61477 .532 Metetra
.964 .152 0 r
.61477 .532 .62556 .54394 .64707 .53567 .63639 .52363 Metetra
.956 .183 0 r
.63639 .52363 .64707 .53567 .66869 .5268 .65814 .51465 Metetra
.946 .221 0 r
.65814 .51465 .66869 .5268 .69042 .51722 .67999 .50497 Metetra
.934 .269 0 r
.67999 .50497 .69042 .51722 .71224 .50681 .70194 .49445 Metetra
.918 .326 0 r
.70194 .49445 .71224 .50681 .73411 .49544 .72395 .48297 Metetra
.899 .393 0 r
.72395 .48297 .73411 .49544 .75603 .48295 .746 .47036 Metetra
.876 .471 0 r
.746 .47036 .75603 .48295 .77794 .46919 .76805 .45648 Metetra
.848 .559 0 r
.76805 .45648 .77794 .46919 .79981 .45396 .79007 .44112 Metetra
.814 .656 0 r
.79007 .44112 .79981 .45396 .8216 .43709 .81201 .42411 Metetra
.774 .758 0 r
.81201 .42411 .8216 .43709 .84325 .41836 .83381 .40524 Metetra
.593 .727 0 r
.83381 .40524 .84325 .41836 .86469 .39757 .85541 .38431 Metetra
.586 .725 0 r
.20746 .57256 .21991 .58415 .23714 .59142 .2247 .57988 Metetra
.772 .762 0 r
.2247 .57988 .23714 .59142 .25479 .59682 .24237 .58531 Metetra
.813 .66 0 r
.24237 .58531 .25479 .59682 .27281 .60053 .26042 .58904 Metetra
.846 .563 0 r
.26042 .58904 .27281 .60053 .29116 .60273 .27881 .59125 Metetra
.875 .475 0 r
.27881 .59125 .29116 .60273 .30982 .60359 .29752 .59211 Metetra
.898 .397 0 r
.29752 .59211 .30982 .60359 .32876 .60326 .31651 .59178 Metetra
.917 .329 0 r
.31651 .59178 .32876 .60326 .34795 .60191 .33577 .5904 Metetra
.933 .272 0 r
.33577 .5904 .34795 .60191 .36738 .59965 .35527 .58812 Metetra
.945 .224 0 r
.35527 .58812 .36738 .59965 .38702 .59662 .37498 .58506 Metetra
.955 .186 0 r
.37498 .58506 .38702 .59662 .40686 .59293 .39491 .58132 Metetra
.963 .155 0 r
.39491 .58132 .40686 .59293 .4269 .58865 .41503 .577 Metetra
.969 .131 0 r
.41503 .577 .4269 .58865 .44712 .58389 .43534 .57217 Metetra
.973 .114 0 r
.43534 .57217 .44712 .58389 .46751 .57868 .45582 .5669 Metetra
.976 .102 0 r
.45582 .5669 .46751 .57868 .48807 .57309 .47648 .56124 Metetra
.977 .095 0 r
.47648 .56124 .48807 .57309 .5088 .56715 .4973 .55521 Metetra
.978 .093 0 r
.4973 .55521 .5088 .56715 .52969 .56086 .51829 .54883 Metetra
.977 .095 0 r
.51829 .54883 .52969 .56086 .55073 .55423 .53944 .5421 Metetra
.976 .102 0 r
.53944 .5421 .55073 .55423 .57193 .54724 .56075 .535 Metetra
.973 .114 0 r
.56075 .535 .57193 .54724 .59328 .53984 .58221 .5275 Metetra
.969 .131 0 r
.58221 .5275 .59328 .53984 .61477 .532 .60381 .51953 Metetra
.963 .155 0 r
.60381 .51953 .61477 .532 .63639 .52363 .62555 .51103 Metetra
.955 .186 0 r
.62555 .51103 .63639 .52363 .65814 .51465 .64742 .50192 Metetra
.945 .224 0 r
.64742 .50192 .65814 .51465 .67999 .50497 .66939 .49209 Metetra
.933 .272 0 r
.66939 .49209 .67999 .50497 .70194 .49445 .69146 .48141 Metetra
.917 .329 0 r
.69146 .48141 .70194 .49445 .72395 .48297 .7136 .46976 Metetra
.898 .397 0 r
.7136 .46976 .72395 .48297 .746 .47036 .73578 .45698 Metetra
.875 .475 0 r
.73578 .45698 .746 .47036 .76805 .45648 .75797 .44291 Metetra
.846 .563 0 r
.75797 .44291 .76805 .45648 .79007 .44112 .78012 .42736 Metetra
.813 .66 0 r
.78012 .42736 .79007 .44112 .81201 .42411 .8022 .41014 Metetra
.772 .762 0 r
.8022 .41014 .81201 .42411 .83381 .40524 .82415 .39106 Metetra
.586 .725 0 r
.82415 .39106 .83381 .40524 .85541 .38431 .8459 .36989 Metetra
.566 .72 0 r
.19495 .55991 .20746 .57256 .2247 .57988 .21218 .56733 Metetra
.763 .768 0 r
.21218 .56733 .2247 .57988 .24237 .58531 .22985 .57286 Metetra
.808 .671 0 r
.22985 .57286 .24237 .58531 .26042 .58904 .24792 .57668 Metetra
.843 .575 0 r
.24792 .57668 .26042 .58904 .27881 .59125 .26635 .57896 Metetra
.871 .487 0 r
.26635 .57896 .27881 .59125 .29752 .59211 .2851 .57988 Metetra
.895 .408 0 r
.2851 .57988 .29752 .59211 .31651 .59178 .30414 .57959 Metetra
.914 .34 0 r
.30414 .57959 .31651 .59178 .33577 .5904 .32345 .57824 Metetra
.93 .282 0 r
.32345 .57824 .33577 .5904 .35527 .58812 .34301 .57598 Metetra
.943 .234 0 r
.34301 .57598 .35527 .58812 .37498 .58506 .3628 .57291 Metetra
.953 .194 0 r
.3628 .57291 .37498 .58506 .39491 .58132 .3828 .56916 Metetra
.961 .163 0 r
.3828 .56916 .39491 .58132 .41503 .577 .40301 .56481 Metetra
.967 .139 0 r
.40301 .56481 .41503 .577 .43534 .57217 .4234 .55994 Metetra
.971 .121 0 r
.4234 .55994 .43534 .57217 .45582 .5669 .44398 .55462 Metetra
.974 .109 0 r
.44398 .55462 .45582 .5669 .47648 .56124 .46473 .54889 Metetra
.976 .102 0 r
.46473 .54889 .47648 .56124 .4973 .55521 .48565 .54279 Metetra
.976 .1 0 r
.48565 .54279 .4973 .55521 .51829 .54883 .50674 .53632 Metetra
.976 .102 0 r
.50674 .53632 .51829 .54883 .53944 .5421 .528 .52948 Metetra
.974 .109 0 r
.528 .52948 .53944 .5421 .56075 .535 .54941 .52226 Metetra
.971 .121 0 r
.54941 .52226 .56075 .535 .58221 .5275 .57098 .51462 Metetra
.967 .139 0 r
.57098 .51462 .58221 .5275 .60381 .51953 .59269 .50651 Metetra
.961 .163 0 r
.59269 .50651 .60381 .51953 .62555 .51103 .61454 .49785 Metetra
.953 .194 0 r
.61454 .49785 .62555 .51103 .64742 .50192 .63653 .48857 Metetra
.943 .234 0 r
.63653 .48857 .64742 .50192 .66939 .49209 .65862 .47854 Metetra
.93 .282 0 r
.65862 .47854 .66939 .49209 .69146 .48141 .68081 .46767 Metetra
.914 .34 0 r
.68081 .46767 .69146 .48141 .7136 .46976 .70307 .4558 Metetra
.895 .408 0 r
.70307 .4558 .7136 .46976 .73578 .45698 .72538 .44278 Metetra
.871 .487 0 r
.72538 .44278 .73578 .45698 .75797 .44291 .74769 .42846 Metetra
.843 .575 0 r
.74769 .42846 .75797 .44291 .78012 .42736 .76998 .41265 Metetra
.808 .671 0 r
.76998 .41265 .78012 .42736 .8022 .41014 .79219 .39515 Metetra
.763 .768 0 r
.79219 .39515 .8022 .41014 .82415 .39106 .81427 .37577 Metetra
.566 .72 0 r
.81427 .37577 .82415 .39106 .8459 .36989 .83616 .35429 Metetra
.533 .711 0 r
.18237 .54614 .19495 .55991 .21218 .56733 .19959 .55375 Metetra
.729 .76 0 r
.19959 .55375 .21218 .56733 .22985 .57286 .21726 .55944 Metetra
.801 .69 0 r
.21726 .55944 .22985 .57286 .24792 .57668 .23534 .56341 Metetra
.836 .594 0 r
.23534 .56341 .24792 .57668 .26635 .57896 .25378 .56582 Metetra
.865 .506 0 r
.25378 .56582 .26635 .57896 .2851 .57988 .27256 .56685 Metetra
.889 .426 0 r
.27256 .56685 .2851 .57988 .30414 .57959 .29165 .56665 Metetra
.909 .357 0 r
.29165 .56665 .30414 .57959 .32345 .57824 .31101 .56538 Metetra
.926 .298 0 r
.31101 .56538 .32345 .57824 .34301 .57598 .33063 .56317 Metetra
.939 .249 0 r
.33063 .56317 .34301 .57598 .3628 .57291 .35048 .56014 Metetra
.949 .209 0 r
.35048 .56014 .3628 .57291 .3828 .56916 .37056 .55641 Metetra
.957 .177 0 r
.37056 .55641 .3828 .56916 .40301 .56481 .39084 .55206 Metetra
.964 .152 0 r
.39084 .55206 .40301 .56481 .4234 .55994 .41131 .54717 Metetra
.968 .134 0 r
.41131 .54717 .4234 .55994 .44398 .55462 .43198 .54181 Metetra
.971 .121 0 r
.43198 .54181 .44398 .55462 .46473 .54889 .45282 .53603 Metetra
.973 .114 0 r
.45282 .53603 .46473 .54889 .48565 .54279 .47384 .52984 Metetra
.974 .112 0 r
.47384 .52984 .48565 .54279 .50674 .53632 .49503 .52328 Metetra
.973 .114 0 r
.49503 .52328 .50674 .53632 .528 .52948 .51639 .51633 Metetra
.971 .121 0 r
.51639 .51633 .528 .52948 .54941 .52226 .53791 .50898 Metetra
.968 .134 0 r
.53791 .50898 .54941 .52226 .57098 .51462 .55958 .50119 Metetra
.964 .152 0 r
.55958 .50119 .57098 .51462 .59269 .50651 .58141 .4929 Metetra
.957 .177 0 r
.58141 .4929 .59269 .50651 .61454 .49785 .60337 .48405 Metetra
.949 .209 0 r
.60337 .48405 .61454 .49785 .63653 .48857 .62547 .47455 Metetra
.939 .249 0 r
.62547 .47455 .63653 .48857 .65862 .47854 .64768 .4643 Metetra
.926 .298 0 r
.64768 .4643 .65862 .47854 .68081 .46767 .66998 .45317 Metetra
.909 .357 0 r
.66998 .45317 .68081 .46767 .70307 .4558 .69236 .44103 Metetra
.889 .426 0 r
.69236 .44103 .70307 .4558 .72538 .44278 .71479 .42772 Metetra
.865 .506 0 r
.71479 .42772 .72538 .44278 .74769 .42846 .73723 .41308 Metetra
.836 .594 0 r
.73723 .41308 .74769 .42846 .76998 .41265 .75964 .39694 Metetra
.801 .69 0 r
.75964 .39694 .76998 .41265 .79219 .39515 .78197 .37909 Metetra
.729 .76 0 r
.78197 .37909 .79219 .39515 .81427 .37577 .80417 .35933 Metetra
.533 .711 0 r
.80417 .35933 .81427 .37577 .83616 .35429 .82618 .33747 Metetra
.486 .699 0 r
.16976 .5312 .18237 .54614 .19959 .55375 .18695 .53906 Metetra
.681 .749 0 r
.18695 .53906 .19959 .55375 .21726 .55944 .2046 .54499 Metetra
.791 .717 0 r
.2046 .54499 .21726 .55944 .23534 .56341 .22267 .54917 Metetra
.827 .621 0 r
.22267 .54917 .23534 .56341 .25378 .56582 .24112 .55177 Metetra
.857 .532 0 r
.24112 .55177 .25378 .56582 .27256 .56685 .25992 .55296 Metetra
.882 .453 0 r
.25992 .55296 .27256 .56685 .29165 .56665 .27904 .55291 Metetra
.902 .382 0 r
.27904 .55291 .29165 .56665 .31101 .56538 .29845 .55176 Metetra
.919 .322 0 r
.29845 .55176 .31101 .56538 .33063 .56317 .31811 .54965 Metetra
.933 .272 0 r
.31811 .54965 .33063 .56317 .35048 .56014 .33803 .5467 Metetra
.944 .23 0 r
.33803 .5467 .35048 .56014 .37056 .55641 .35817 .54301 Metetra
.952 .197 0 r
.35817 .54301 .37056 .55641 .39084 .55206 .37852 .53868 Metetra
.959 .171 0 r
.37852 .53868 .39084 .55206 .41131 .54717 .39908 .5338 Metetra
.964 .152 0 r
.39908 .5338 .41131 .54717 .43198 .54181 .41983 .52841 Metetra
.967 .139 0 r
.41983 .52841 .43198 .54181 .45282 .53603 .44076 .52258 Metetra
.969 .131 0 r
.44076 .52258 .45282 .53603 .47384 .52984 .46188 .51632 Metetra
.969 .129 0 r
.46188 .51632 .47384 .52984 .49503 .52328 .48316 .50966 Metetra
.969 .131 0 r
.48316 .50966 .49503 .52328 .51639 .51633 .50462 .50259 Metetra
.967 .139 0 r
.50462 .50259 .51639 .51633 .53791 .50898 .52624 .49509 Metetra
.964 .152 0 r
.52624 .49509 .53791 .50898 .55958 .50119 .54802 .48712 Metetra
.959 .171 0 r
.54802 .48712 .55958 .50119 .58141 .4929 .56996 .47864 Metetra
.952 .197 0 r
.56996 .47864 .58141 .4929 .60337 .48405 .59203 .46957 Metetra
.944 .23 0 r
.59203 .46957 .60337 .48405 .62547 .47455 .61424 .45982 Metetra
.933 .272 0 r
.61424 .45982 .62547 .47455 .64768 .4643 .63656 .44929 Metetra
.919 .322 0 r
.63656 .44929 .64768 .4643 .66998 .45317 .65898 .43786 Metetra
.902 .382 0 r
.65898 .43786 .66998 .45317 .69236 .44103 .68148 .4254 Metetra
.882 .453 0 r
.68148 .4254 .69236 .44103 .71479 .42772 .70402 .41174 Metetra
.857 .532 0 r
.70402 .41174 .71479 .42772 .73723 .41308 .72657 .39672 Metetra
.827 .621 0 r
.72657 .39672 .73723 .41308 .75964 .39694 .74909 .38017 Metetra
.791 .717 0 r
.74909 .38017 .75964 .39694 .78197 .37909 .77154 .36189 Metetra
.681 .749 0 r
.77154 .36189 .78197 .37909 .80417 .35933 .79386 .34169 Metetra
.486 .699 0 r
.79386 .34169 .80417 .35933 .82618 .33747 .81598 .31936 Metetra
.426 .683 0 r
.15713 .51502 .16976 .5312 .18695 .53906 .17426 .5232 Metetra
.62 .734 0 r
.17426 .5232 .18695 .53906 .2046 .54499 .19188 .52943 Metetra
.777 .75 0 r
.19188 .52943 .2046 .54499 .22267 .54917 .20993 .53388 Metetra
.814 .656 0 r
.20993 .53388 .22267 .54917 .24112 .55177 .22838 .53673 Metetra
.845 .567 0 r
.22838 .53673 .24112 .55177 .25992 .55296 .24719 .53815 Metetra
.871 .487 0 r
.24719 .53815 .25992 .55296 .27904 .55291 .26633 .5383 Metetra
.893 .415 0 r
.26633 .5383 .27904 .55291 .29845 .55176 .28577 .53731 Metetra
.91 .354 0 r
.28577 .53731 .29845 .55176 .31811 .54965 .30548 .53534 Metetra
.925 .302 0 r
.30548 .53534 .31811 .54965 .33803 .5467 .32545 .53249 Metetra
.936 .259 0 r
.32545 .53249 .33803 .5467 .35817 .54301 .34565 .52888 Metetra
.945 .224 0 r
.34565 .52888 .35817 .54301 .37852 .53868 .36607 .52461 Metetra
.952 .197 0 r
.36607 .52461 .37852 .53868 .39908 .5338 .3867 .51974 Metetra
.957 .177 0 r
.3867 .51974 .39908 .5338 .41983 .52841 .40753 .51435 Metetra
.961 .163 0 r
.40753 .51435 .41983 .52841 .44076 .52258 .42855 .50847 Metetra
.963 .155 0 r
.42855 .50847 .44076 .52258 .46188 .51632 .44976 .50214 Metetra
.964 .152 0 r
.44976 .50214 .46188 .51632 .48316 .50966 .47114 .49538 Metetra
.963 .155 0 r
.47114 .49538 .48316 .50966 .50462 .50259 .4927 .48818 Metetra
.961 .163 0 r
.4927 .48818 .50462 .50259 .52624 .49509 .51442 .48052 Metetra
.957 .177 0 r
.51442 .48052 .52624 .49509 .54802 .48712 .53631 .47236 Metetra
.952 .197 0 r
.53631 .47236 .54802 .48712 .56996 .47864 .55834 .46366 Metetra
.945 .224 0 r
.55834 .46366 .56996 .47864 .59203 .46957 .58053 .45433 Metetra
.936 .259 0 r
.58053 .45433 .59203 .46957 .61424 .45982 .60284 .44429 Metetra
.925 .302 0 r
.60284 .44429 .61424 .45982 .63656 .44929 .62527 .43345 Metetra
.91 .354 0 r
.62527 .43345 .63656 .44929 .65898 .43786 .6478 .42167 Metetra
.893 .415 0 r
.6478 .42167 .65898 .43786 .68148 .4254 .67041 .40882 Metetra
.871 .487 0 r
.67041 .40882 .68148 .4254 .70402 .41174 .69306 .39475 Metetra
.845 .567 0 r
.69306 .39475 .70402 .41174 .72657 .39672 .71572 .37929 Metetra
.814 .656 0 r
.71572 .37929 .72657 .39672 .74909 .38017 .73835 .36227 Metetra
.777 .75 0 r
.73835 .36227 .74909 .38017 .77154 .36189 .7609 .3435 Metetra
.62 .734 0 r
.7609 .3435 .77154 .36189 .79386 .34169 .78332 .32277 Metetra
.426 .683 0 r
.78332 .32277 .79386 .34169 .81598 .31936 .80555 .29989 Metetra
.355 .662 0 r
.1445 .49751 .15713 .51502 .17426 .5232 .16156 .50609 Metetra
.546 .715 0 r
.16156 .50609 .17426 .5232 .19188 .52943 .17912 .51268 Metetra
.729 .76 0 r
.17912 .51268 .19188 .52943 .20993 .53388 .19714 .51747 Metetra
.798 .698 0 r
.19714 .51747 .20993 .53388 .22838 .53673 .21557 .52063 Metetra
.831 .61 0 r
.21557 .52063 .22838 .53673 .24719 .53815 .23438 .52233 Metetra
.858 .529 0 r
.23438 .52233 .24719 .53815 .26633 .5383 .25353 .52271 Metetra
.88 .456 0 r
.25353 .52271 .26633 .5383 .28577 .53731 .27299 .52194 Metetra
.899 .393 0 r
.27299 .52194 .28577 .53731 .30548 .53534 .29273 .52014 Metetra
.914 .34 0 r
.29273 .52014 .30548 .53534 .32545 .53249 .31274 .51744 Metetra
.927 .295 0 r
.31274 .51744 .32545 .53249 .34565 .52888 .333 .51394 Metetra
.936 .259 0 r
.333 .51394 .34565 .52888 .36607 .52461 .35348 .50974 Metetra
.944 .23 0 r
.35348 .50974 .36607 .52461 .3867 .51974 .37419 .50491 Metetra
.949 .209 0 r
.37419 .50491 .3867 .51974 .40753 .51435 .39509 .49952 Metetra
.953 .194 0 r
.39509 .49952 .40753 .51435 .42855 .50847 .4162 .49361 Metetra
.955 .186 0 r
.4162 .49361 .42855 .50847 .44976 .50214 .43749 .48722 Metetra
.956 .183 0 r
.43749 .48722 .44976 .50214 .47114 .49538 .45896 .48035 Metetra
.955 .186 0 r
.45896 .48035 .47114 .49538 .4927 .48818 .48062 .47301 Metetra
.953 .194 0 r
.48062 .47301 .4927 .48818 .51442 .48052 .50244 .46518 Metetra
.949 .209 0 r
.50244 .46518 .51442 .48052 .53631 .47236 .52443 .45681 Metetra
.944 .23 0 r
.52443 .45681 .53631 .47236 .55834 .46366 .54657 .44785 Metetra
.936 .259 0 r
.54657 .44785 .55834 .46366 .58053 .45433 .56886 .43824 Metetra
.927 .295 0 r
.56886 .43824 .58053 .45433 .60284 .44429 .59128 .42788 Metetra
.914 .34 0 r
.59128 .42788 .60284 .44429 .62527 .43345 .61382 .41667 Metetra
.899 .393 0 r
.61382 .41667 .62527 .43345 .6478 .42167 .63645 .40449 Metetra
.88 .456 0 r
.63645 .40449 .6478 .42167 .67041 .40882 .65916 .39121 Metetra
.858 .529 0 r
.65916 .39121 .67041 .40882 .69306 .39475 .68192 .37667 Metetra
.831 .61 0 r
.68192 .37667 .69306 .39475 .71572 .37929 .70468 .36071 Metetra
.798 .698 0 r
.70468 .36071 .71572 .37929 .73835 .36227 .72741 .34315 Metetra
.729 .76 0 r
.72741 .34315 .73835 .36227 .7609 .3435 .75006 .32381 Metetra
.546 .715 0 r
.75006 .32381 .7609 .3435 .78332 .32277 .77257 .30248 Metetra
.355 .662 0 r
.77257 .30248 .78332 .32277 .80555 .29989 .79489 .27897 Metetra
.272 .637 0 r
.13189 .47858 .1445 .49751 .16156 .50609 .14887 .48761 Metetra
.459 .692 0 r
.14887 .48761 .16156 .50609 .17912 .51268 .16636 .49463 Metetra
.641 .739 0 r
.16636 .49463 .17912 .51268 .19714 .51747 .18432 .49982 Metetra
.779 .747 0 r
.18432 .49982 .19714 .51747 .21557 .52063 .20272 .50335 Metetra
.813 .66 0 r
.20272 .50335 .21557 .52063 .23438 .52233 .2215 .50537 Metetra
.841 .579 0 r
.2215 .50537 .23438 .52233 .25353 .52271 .24065 .50606 Metetra
.865 .506 0 r
.24065 .50606 .25353 .52271 .27299 .52194 .26012 .50554 Metetra
.885 .441 0 r
.26012 .50554 .27299 .52194 .29273 .52014 .27989 .50396 Metetra
.901 .386 0 r
.27989 .50396 .29273 .52014 .31274 .51744 .29994 .50144 Metetra
.914 .34 0 r
.29994 .50144 .31274 .51744 .333 .51394 .32024 .49808 Metetra
.925 .302 0 r
.32024 .49808 .333 .51394 .35348 .50974 .34078 .49398 Metetra
.933 .272 0 r
.34078 .49398 .35348 .50974 .37419 .50491 .36154 .48921 Metetra
.939 .249 0 r
.36154 .48921 .37419 .50491 .39509 .49952 .38252 .48383 Metetra
.943 .233 0 r
.38252 .48383 .39509 .49952 .4162 .49361 .4037 .4779 Metetra
.945 .224 0 r
.4037 .4779 .4162 .49361 .43749 .48722 .42508 .47144 Metetra
.946 .221 0 r
.42508 .47144 .43749 .48722 .45896 .48035 .44664 .46447 Metetra
.945 .224 0 r
.44664 .46447 .45896 .48035 .48062 .47301 .46839 .45698 Metetra
.943 .233 0 r
.46839 .45698 .48062 .47301 .50244 .46518 .49031 .44895 Metetra
.939 .249 0 r
.49031 .44895 .50244 .46518 .52443 .45681 .51239 .44034 Metetra
.933 .272 0 r
.51239 .44034 .52443 .45681 .54657 .44785 .53464 .43111 Metetra
.925 .302 0 r
.53464 .43111 .54657 .44785 .56886 .43824 .55703 .42118 Metetra
.914 .34 0 r
.55703 .42118 .56886 .43824 .59128 .42788 .57955 .41046 Metetra
.901 .386 0 r
.57955 .41046 .59128 .42788 .61382 .41667 .60219 .39885 Metetra
.885 .441 0 r
.60219 .39885 .61382 .41667 .63645 .40449 .62493 .38623 Metetra
.865 .506 0 r
.62493 .38623 .63645 .40449 .65916 .39121 .64774 .37246 Metetra
.841 .579 0 r
.64774 .37246 .65916 .39121 .68192 .37667 .67059 .35739 Metetra
.813 .66 0 r
.67059 .35739 .68192 .37667 .70468 .36071 .69345 .34086 Metetra
.779 .747 0 r
.69345 .34086 .70468 .36071 .72741 .34315 .71627 .3227 Metetra
.641 .739 0 r
.71627 .3227 .72741 .34315 .75006 .32381 .73901 .30271 Metetra
.459 .692 0 r
.73901 .30271 .75006 .32381 .77257 .30248 .7616 .28071 Metetra
.272 .637 0 r
.7616 .28071 .77257 .30248 .79489 .27897 .784 .2565 Metetra
.18 .607 0 r
.11934 .45811 .13189 .47858 .14887 .48761 .1362 .46766 Metetra
.361 .664 0 r
.1362 .46766 .14887 .48761 .16636 .49463 .1536 .47518 Metetra
.54 .713 0 r
.1536 .47518 .16636 .49463 .18432 .49982 .17149 .48082 Metetra
.709 .755 0 r
.17149 .48082 .18432 .49982 .20272 .50335 .18984 .48477 Metetra
.791 .717 0 r
.18984 .48477 .20272 .50335 .2215 .50537 .20859 .48718 Metetra
.821 .637 0 r
.20859 .48718 .2215 .50537 .24065 .50606 .22772 .4882 Metetra
.846 .563 0 r
.22772 .4882 .24065 .50606 .26012 .50554 .24719 .48799 Metetra
.868 .498 0 r
.24719 .48799 .26012 .50554 .27989 .50396 .26697 .48667 Metetra
.885 .441 0 r
.26697 .48667 .27989 .50396 .29994 .50144 .28704 .48436 Metetra
.899 .393 0 r
.28704 .48436 .29994 .50144 .32024 .49808 .30737 .48116 Metetra
.91 .354 0 r
.30737 .48116 .32024 .49808 .34078 .49398 .32796 .47718 Metetra
.919 .322 0 r
.32796 .47718 .34078 .49398 .36154 .48921 .34878 .47249 Metetra
.926 .298 0 r
.34878 .47249 .36154 .48921 .38252 .48383 .36983 .46715 Metetra
.93 .282 0 r
.36983 .46715 .38252 .48383 .4037 .4779 .39108 .4612 Metetra
.933 .272 0 r
.39108 .4612 .4037 .4779 .42508 .47144 .41254 .45468 Metetra
.934 .268 0 r
.41254 .45468 .42508 .47144 .44664 .46447 .43418 .44759 Metetra
.933 .272 0 r
.43418 .44759 .44664 .46447 .46839 .45698 .45602 .43994 Metetra
.93 .282 0 r
.45602 .43994 .46839 .45698 .49031 .44895 .47803 .43171 Metetra
.926 .298 0 r
.47803 .43171 .49031 .44895 .51239 .44034 .50021 .42285 Metetra
.919 .322 0 r
.50021 .42285 .51239 .44034 .53464 .43111 .52255 .41331 Metetra
.91 .354 0 r
.52255 .41331 .53464 .43111 .55703 .42118 .54504 .40303 Metetra
.899 .393 0 r
.54504 .40303 .55703 .42118 .57955 .41046 .56766 .39191 Metetra
.885 .441 0 r
.56766 .39191 .57955 .41046 .60219 .39885 .5904 .37986 Metetra
.868 .498 0 r
.5904 .37986 .60219 .39885 .62493 .38623 .61323 .36674 Metetra
.846 .563 0 r
.61323 .36674 .62493 .38623 .64774 .37246 .63614 .35243 Metetra
.821 .637 0 r
.63614 .35243 .64774 .37246 .67059 .35739 .65908 .33678 Metetra
.791 .717 0 r
.65908 .33678 .67059 .35739 .69345 .34086 .68203 .31962 Metetra
.709 .755 0 r
.68203 .31962 .69345 .34086 .71627 .3227 .70493 .30079 Metetra
.54 .713 0 r
.70493 .30079 .71627 .3227 .73901 .30271 .72775 .2801 Metetra
.361 .664 0 r
.72775 .2801 .73901 .30271 .7616 .28071 .75042 .25735 Metetra
.18 .607 0 r
.75042 .25735 .7616 .28071 .784 .2565 .77288 .23237 Metetra
.082 .572 0 r
.10687 .43598 .11934 .45811 .1362 .46766 .1236 .44612 Metetra
.254 .631 0 r
.1236 .44612 .1362 .46766 .1536 .47518 .14089 .45418 Metetra
.427 .683 0 r
.14089 .45418 .1536 .47518 .17149 .48082 .15869 .46034 Metetra
.594 .727 0 r
.15869 .46034 .17149 .48082 .18984 .48477 .17696 .46476 Metetra
.75 .765 0 r
.17696 .46476 .18984 .48477 .20859 .48718 .19566 .4676 Metetra
.797 .702 0 r
.19566 .4676 .20859 .48718 .22772 .4882 .21475 .46901 Metetra
.824 .629 0 r
.21475 .46901 .22772 .4882 .24719 .48799 .2342 .46914 Metetra
.846 .563 0 r
.2342 .46914 .24719 .48799 .26697 .48667 .25398 .46812 Metetra
.865 .505 0 r
.25398 .46812 .26697 .48667 .28704 .48436 .27407 .46605 Metetra
.88 .456 0 r
.27407 .46605 .28704 .48436 .30737 .48116 .29443 .46306 Metetra
.893 .415 0 r
.29443 .46306 .30737 .48116 .32796 .47718 .31505 .45922 Metetra
.902 .382 0 r
.31505 .45922 .32796 .47718 .34878 .47249 .33592 .45463 Metetra
.909 .357 0 r
.33592 .45463 .34878 .47249 .36983 .46715 .35702 .44933 Metetra
.914 .339 0 r
.35702 .44933 .36983 .46715 .39108 .4612 .37834 .44337 Metetra
.917 .329 0 r
.37834 .44337 .39108 .4612 .41254 .45468 .39987 .43679 Metetra
.918 .326 0 r
.39987 .43679 .41254 .45468 .43418 .44759 .4216 .42959 Metetra
.917 .329 0 r
.4216 .42959 .43418 .44759 .45602 .43994 .44352 .42177 Metetra
.914 .339 0 r
.44352 .42177 .45602 .43994 .47803 .43171 .46561 .41331 Metetra
.909 .357 0 r
.46561 .41331 .47803 .43171 .50021 .42285 .48789 .40418 Metetra
.902 .382 0 r
.48789 .40418 .50021 .42285 .52255 .41331 .51032 .39431 Metetra
.893 .415 0 r
.51032 .39431 .52255 .41331 .54504 .40303 .5329 .38365 Metetra
.88 .456 0 r
.5329 .38365 .54504 .40303 .56766 .39191 .55562 .3721 Metetra
.865 .505 0 r
.55562 .3721 .56766 .39191 .5904 .37986 .57845 .35955 Metetra
.846 .563 0 r
.57845 .35955 .5904 .37986 .61323 .36674 .60137 .34589 Metetra
.824 .629 0 r
.60137 .34589 .61323 .36674 .63614 .35243 .62437 .33099 Metetra
.797 .702 0 r
.62437 .33099 .63614 .35243 .65908 .33678 .64739 .3147 Metetra
.75 .765 0 r
.64739 .3147 .65908 .33678 .68203 .31962 .67042 .29686 Metetra
.594 .727 0 r
.67042 .29686 .68203 .31962 .70493 .30079 .6934 .27729 Metetra
.427 .683 0 r
.6934 .27729 .70493 .30079 .72775 .2801 .71629 .25583 Metetra
.254 .631 0 r
.71629 .25583 .72775 .2801 .75042 .25735 .73902 .23227 Metetra
.082 .572 0 r
.73902 .23227 .75042 .25735 .77288 .23237 .76153 .20645 Metetra
0 .53 .019 r
.09453 .41206 .10687 .43598 .1236 .44612 .1111 .42283 Metetra
.139 .593 0 r
.1111 .42283 .1236 .44612 .14089 .45418 .12825 .4315 Metetra
.304 .647 0 r
.12825 .4315 .14089 .45418 .15869 .46034 .14594 .43822 Metetra
.466 .694 0 r
.14594 .43822 .15869 .46034 .17696 .46476 .16412 .44317 Metetra
.621 .734 0 r
.16412 .44317 .17696 .46476 .19566 .4676 .18275 .44649 Metetra
.763 .768 0 r
.18275 .44649 .19566 .4676 .21475 .46901 .20179 .44834 Metetra
.797 .701 0 r
.20179 .44834 .21475 .46901 .2342 .46914 .2212 .44885 Metetra
.821 .636 0 r
.2212 .44885 .2342 .46914 .25398 .46812 .24097 .44816 Metetra
.841 .578 0 r
.24097 .44816 .25398 .46812 .27407 .46605 .26105 .44637 Metetra
.858 .528 0 r
.26105 .44637 .27407 .46605 .29443 .46306 .28142 .4436 Metetra
.871 .486 0 r
.28142 .4436 .29443 .46306 .31505 .45922 .30207 .43994 Metetra
.882 .452 0 r
.30207 .43994 .31505 .45922 .33592 .45463 .32298 .43545 Metetra
.889 .426 0 r
.32298 .43545 .33592 .45463 .35702 .44933 .34413 .43021 Metetra
.895 .408 0 r
.34413 .43021 .35702 .44933 .37834 .44337 .36551 .42425 Metetra
.898 .397 0 r
.36551 .42425 .37834 .44337 .39987 .43679 .3871 .4176 Metetra
.899 .393 0 r
.3871 .4176 .39987 .43679 .4216 .42959 .4089 .41029 Metetra
.898 .397 0 r
.4089 .41029 .4216 .42959 .44352 .42177 .43089 .40229 Metetra
.895 .408 0 r
.43089 .40229 .44352 .42177 .46561 .41331 .45307 .3936 Metetra
.889 .426 0 r
.45307 .3936 .46561 .41331 .48789 .40418 .47543 .38417 Metetra
.882 .452 0 r
.47543 .38417 .48789 .40418 .51032 .39431 .49795 .37395 Metetra
.871 .486 0 r
.49795 .37395 .51032 .39431 .5329 .38365 .52062 .36287 Metetra
.858 .528 0 r
.52062 .36287 .5329 .38365 .55562 .3721 .54342 .35084 Metetra
.841 .578 0 r
.54342 .35084 .55562 .3721 .57845 .35955 .56634 .33777 Metetra
.821 .636 0 r
.56634 .33777 .57845 .35955 .60137 .34589 .58935 .32353 Metetra
.797 .701 0 r
.58935 .32353 .60137 .34589 .62437 .33099 .61243 .30799 Metetra
.763 .768 0 r
.61243 .30799 .62437 .33099 .64739 .3147 .63553 .291 Metetra
.621 .734 0 r
.63553 .291 .64739 .3147 .67042 .29686 .65863 .27241 Metetra
.466 .694 0 r
.65863 .27241 .67042 .29686 .6934 .27729 .68168 .25206 Metetra
.304 .647 0 r
.68168 .25206 .6934 .27729 .71629 .25583 .70462 .22976 Metetra
.139 .593 0 r
.70462 .22976 .71629 .25583 .73902 .23227 .72741 .20533 Metetra
0 .53 .019 r
.72741 .20533 .73902 .23227 .76153 .20645 .74996 .17861 Metetra
0 .482 .118 r
.08236 .3862 .09453 .41206 .1111 .42283 .09874 .39766 Metetra
.022 .548 0 r
.09874 .39766 .1111 .42283 .12825 .4315 .11573 .40698 Metetra
.175 .605 0 r
.11573 .40698 .12825 .4315 .14594 .43822 .13328 .41433 Metetra
.329 .655 0 r
.13328 .41433 .14594 .43822 .16412 .44317 .15134 .41984 Metetra
.48 .697 0 r
.15134 .41984 .16412 .44317 .18275 .44649 .16988 .42369 Metetra
.621 .734 0 r
.16988 .42369 .18275 .44649 .20179 .44834 .18885 .42601 Metetra
.75 .765 0 r
.18885 .42601 .20179 .44834 .2212 .44885 .20821 .42695 Metetra
.791 .717 0 r
.20821 .42695 .2212 .44885 .24097 .44816 .22794 .42662 Metetra
.813 .659 0 r
.22794 .42662 .24097 .44816 .26105 .44637 .24801 .42515 Metetra
.831 .609 0 r
.24801 .42515 .26105 .44637 .28142 .4436 .26838 .42263 Metetra
.845 .567 0 r
.26838 .42263 .28142 .4436 .30207 .43994 .28905 .41915 Metetra
.857 .532 0 r
.28905 .41915 .30207 .43994 .32298 .43545 .30998 .41479 Metetra
.865 .505 0 r
.30998 .41479 .32298 .43545 .34413 .43021 .33117 .40962 Metetra
.871 .486 0 r
.33117 .40962 .34413 .43021 .36551 .42425 .35259 .40366 Metetra
.875 .475 0 r
.35259 .40366 .36551 .42425 .3871 .4176 .37424 .39696 Metetra
.876 .471 0 r
.37424 .39696 .3871 .4176 .4089 .41029 .3961 .38952 Metetra
.875 .475 0 r
.3961 .38952 .4089 .41029 .43089 .40229 .41817 .38133 Metetra
.871 .486 0 r
.41817 .38133 .43089 .40229 .45307 .3936 .44042 .37239 Metetra
.865 .505 0 r
.44042 .37239 .45307 .3936 .47543 .38417 .46286 .36264 Metetra
.857 .532 0 r
.46286 .36264 .47543 .38417 .49795 .37395 .48546 .35204 Metetra
.845 .567 0 r
.48546 .35204 .49795 .37395 .52062 .36287 .50821 .34052 Metetra
.831 .609 0 r
.50821 .34052 .52062 .36287 .54342 .35084 .5311 .32799 Metetra
.813 .659 0 r
.5311 .32799 .54342 .35084 .56634 .33777 .5541 .31434 Metetra
.791 .717 0 r
.5541 .31434 .56634 .33777 .58935 .32353 .57718 .29947 Metetra
.75 .765 0 r
.57718 .29947 .58935 .32353 .61243 .30799 .60033 .28324 Metetra
.621 .734 0 r
.60033 .28324 .61243 .30799 .63553 .291 .62351 .26551 Metetra
.48 .697 0 r
.62351 .26551 .63553 .291 .65863 .27241 .64667 .24612 Metetra
.329 .655 0 r
.64667 .24612 .65863 .27241 .68168 .25206 .66977 .22492 Metetra
.175 .605 0 r
.66977 .22492 .68168 .25206 .70462 .22976 .69277 .20173 Metetra
.022 .548 0 r
.69277 .20173 .70462 .22976 .72741 .20533 .71559 .17638 Metetra
0 .482 .118 r
.71559 .17638 .72741 .20533 .74996 .17861 .73818 .14869 Metetra
0 .427 .206 r
.0704 .35825 .08236 .3862 .09874 .39766 .08656 .37045 Metetra
0 .496 .091 r
.08656 .37045 .09874 .39766 .11573 .40698 .10336 .38047 Metetra
.044 .557 0 r
.10336 .38047 .11573 .40698 .13328 .41433 .12075 .38848 Metetra
.187 .609 0 r
.12075 .38848 .13328 .41433 .15134 .41984 .13868 .39461 Metetra
.33 .655 0 r
.13868 .39461 .15134 .41984 .16988 .42369 .1571 .39903 Metetra
.467 .694 0 r
.1571 .39903 .16988 .42369 .18885 .42601 .17598 .40186 Metetra
.594 .727 0 r
.17598 .40186 .18885 .42601 .20821 .42695 .19527 .40325 Metetra
.709 .755 0 r
.19527 .40325 .20821 .42695 .22794 .42662 .21495 .40332 Metetra
.779 .746 0 r
.21495 .40332 .22794 .42662 .24801 .42515 .23498 .40219 Metetra
.798 .698 0 r
.23498 .40219 .24801 .42515 .26838 .42263 .25534 .39994 Metetra
.814 .656 0 r
.25534 .39994 .26838 .42263 .28905 .41915 .276 .39668 Metetra
.827 .621 0 r
.276 .39668 .28905 .41915 .30998 .41479 .29695 .39246 Metetra
.836 .594 0 r
.29695 .39246 .30998 .41479 .33117 .40962 .31816 .38736 Metetra
.843 .574 0 r
.31816 .38736 .33117 .40962 .35259 .40366 .33962 .38142 Metetra
.847 .563 0 r
.33962 .38142 .35259 .40366 .37424 .39696 .36132 .37465 Metetra
.848 .559 0 r
.36132 .37465 .37424 .39696 .3961 .38952 .38323 .36708 Metetra
.847 .563 0 r
.38323 .36708 .3961 .38952 .41817 .38133 .40536 .3587 Metetra
.843 .574 0 r
.40536 .3587 .41817 .38133 .44042 .37239 .42768 .34949 Metetra
.836 .594 0 r
.42768 .34949 .44042 .37239 .46286 .36264 .45019 .33941 Metetra
.827 .621 0 r
.45019 .33941 .46286 .36264 .48546 .35204 .47286 .32841 Metetra
.814 .656 0 r
.47286 .32841 .48546 .35204 .50821 .34052 .49569 .31641 Metetra
.798 .698 0 r
.49569 .31641 .50821 .34052 .5311 .32799 .51865 .30334 Metetra
.779 .746 0 r
.51865 .30334 .5311 .32799 .5541 .31434 .54172 .28908 Metetra
.709 .755 0 r
.54172 .28908 .5541 .31434 .57718 .29947 .56488 .27354 Metetra
.594 .727 0 r
.56488 .27354 .57718 .29947 .60033 .28324 .58809 .25658 Metetra
.467 .694 0 r
.58809 .25658 .60033 .28324 .62351 .26551 .61133 .23806 Metetra
.33 .655 0 r
.61133 .23806 .62351 .26551 .64667 .24612 .63454 .21782 Metetra
.187 .609 0 r
.63454 .21782 .64667 .24612 .66977 .22492 .65769 .19572 Metetra
.044 .557 0 r
.65769 .19572 .66977 .22492 .69277 .20173 .68073 .17159 Metetra
0 .496 .091 r
.68073 .17159 .69277 .20173 .71559 .17638 .70358 .14526 Metetra
0 .427 .206 r
.70358 .14526 .71559 .17638 .73818 .14869 .72618 .11656 Metetra
0 .364 .276 r
.0587 .32806 .0704 .35825 .08656 .37045 .07462 .34103 Metetra
0 .437 .193 r
.07462 .34103 .08656 .37045 .10336 .38047 .09121 .3518 Metetra
0 .501 .082 r
.09121 .3518 .10336 .38047 .12075 .38848 .10841 .3605 Metetra
.044 .557 0 r
.10841 .3605 .12075 .38848 .13868 .39461 .12618 .36729 Metetra
.175 .605 0 r
.12618 .36729 .13868 .39461 .1571 .39903 .14446 .37231 Metetra
.304 .647 0 r
.14446 .37231 .1571 .39903 .17598 .40186 .16322 .37569 Metetra
.427 .683 0 r
.16322 .37569 .17598 .40186 .19527 .40325 .18242 .37757 Metetra
.54 .713 0 r
.18242 .37757 .19527 .40325 .21495 .40332 .20203 .37807 Metetra
.642 .739 0 r
.20203 .37807 .21495 .40332 .23498 .40219 .22201 .3773 Metetra
.73 .76 0 r
.22201 .3773 .23498 .40219 .25534 .39994 .24233 .37535 Metetra
.777 .75 0 r
.24233 .37535 .25534 .39994 .276 .39668 .26298 .37232 Metetra
.791 .716 0 r
.26298 .37232 .276 .39668 .29695 .39246 .28392 .36826 Metetra
.801 .69 0 r
.28392 .36826 .29695 .39246 .31816 .38736 .30514 .36325 Metetra
.809 .671 0 r
.30514 .36325 .31816 .38736 .33962 .38142 .32663 .35731 Metetra
.813 .659 0 r
.32663 .35731 .33962 .38142 .36132 .37465 .34836 .35049 Metetra
.814 .655 0 r
.34836 .35049 .36132 .37465 .38323 .36708 .37032 .34279 Metetra
.813 .659 0 r
.37032 .34279 .38323 .36708 .40536 .3587 .3925 .3342 Metetra
.809 .671 0 r
.3925 .3342 .40536 .3587 .42768 .34949 .41487 .32471 Metetra
.801 .69 0 r
.41487 .32471 .42768 .34949 .45019 .33941 .43744 .31427 Metetra
.791 .716 0 r
.43744 .31427 .45019 .33941 .47286 .32841 .46018 .30284 Metetra
.777 .75 0 r
.46018 .30284 .47286 .32841 .49569 .31641 .48307 .29034 Metetra
.73 .76 0 r
.48307 .29034 .49569 .31641 .51865 .30334 .5061 .27669 Metetra
.642 .739 0 r
.5061 .27669 .51865 .30334 .54172 .28908 .52923 .2618 Metetra
.54 .713 0 r
.52923 .2618 .54172 .28908 .56488 .27354 .55245 .24555 Metetra
.427 .683 0 r
.55245 .24555 .56488 .27354 .58809 .25658 .57572 .22781 Metetra
.304 .647 0 r
.57572 .22781 .58809 .25658 .61133 .23806 .59901 .20846 Metetra
.175 .605 0 r
.59901 .20846 .61133 .23806 .63454 .21782 .62227 .18733 Metetra
.044 .557 0 r
.62227 .18733 .63454 .21782 .65769 .19572 .64545 .16429 Metetra
0 .501 .082 r
.64545 .16429 .65769 .19572 .68073 .17159 .66851 .13917 Metetra
0 .437 .193 r
.66851 .13917 .68073 .17159 .70358 .14526 .69138 .11182 Metetra
0 .364 .276 r
.69138 .11182 .70358 .14526 .72618 .11656 .71398 .08207 Metetra
0 .271 .291 r
.04733 .29548 .0587 .32806 .07462 .34103 .06298 .30925 Metetra
0 .369 .271 r
.06298 .30925 .07462 .34103 .09121 .3518 .07932 .32079 Metetra
0 .437 .192 r
.07932 .32079 .09121 .3518 .10841 .3605 .09631 .33022 Metetra
0 .496 .091 r
.09631 .33022 .10841 .3605 .12618 .36729 .11388 .3377 Metetra
.023 .548 0 r
.11388 .3377 .12618 .36729 .14446 .37231 .132 .34335 Metetra
.14 .593 0 r
.132 .34335 .14446 .37231 .16322 .37569 .15062 .34732 Metetra
.254 .631 0 r
.15062 .34732 .16322 .37569 .18242 .37757 .16971 .34972 Metetra
.362 .664 0 r
.16971 .34972 .18242 .37757 .20203 .37807 .18922 .35067 Metetra
.46 .692 0 r
.18922 .35067 .20203 .37807 .22201 .3773 .20912 .35028 Metetra
.547 .715 0 r
.20912 .35028 .22201 .3773 .24233 .37535 .2294 .34865 Metetra
.621 .734 0 r
.2294 .34865 .24233 .37535 .26298 .37232 .25001 .34586 Metetra
.682 .749 0 r
.25001 .34586 .26298 .37232 .28392 .36826 .27093 .34197 Metetra
.73 .76 0 r
.27093 .34197 .28392 .36826 .30514 .36325 .29215 .33705 Metetra
.764 .768 0 r
.29215 .33705 .30514 .36325 .32663 .35731 .31365 .33114 Metetra
.773 .761 0 r
.31365 .33114 .32663 .35731 .34836 .35049 .3354 .32425 Metetra
.774 .757 0 r
.3354 .32425 .34836 .35049 .37032 .34279 .35739 .31641 Metetra
.773 .761 0 r
.35739 .31641 .37032 .34279 .3925 .3342 .3796 .30761 Metetra
.764 .768 0 r
.3796 .30761 .3925 .3342 .41487 .32471 .40203 .29782 Metetra
.73 .76 0 r
.40203 .29782 .41487 .32471 .43744 .31427 .42465 .28701 Metetra
.682 .749 0 r
.42465 .28701 .43744 .31427 .46018 .30284 .44744 .27513 Metetra
.621 .734 0 r
.44744 .27513 .46018 .30284 .48307 .29034 .47038 .2621 Metetra
.547 .715 0 r
.47038 .2621 .48307 .29034 .5061 .27669 .49346 .24786 Metetra
.46 .692 0 r
.49346 .24786 .5061 .27669 .52923 .2618 .51665 .23229 Metetra
.362 .664 0 r
.51665 .23229 .52923 .2618 .55245 .24555 .53992 .21529 Metetra
.254 .631 0 r
.53992 .21529 .55245 .24555 .57572 .22781 .56324 .19675 Metetra
.14 .593 0 r
.56324 .19675 .57572 .22781 .59901 .20846 .58656 .17652 Metetra
.023 .548 0 r
.58656 .17652 .59901 .20846 .62227 .18733 .60986 .15447 Metetra
0 .496 .091 r
.60986 .15447 .62227 .18733 .64545 .16429 .63306 .13044 Metetra
0 .437 .192 r
.63306 .13044 .64545 .16429 .66851 .13917 .65613 .1043 Metetra
0 .369 .271 r
.65613 .1043 .66851 .13917 .69138 .11182 .679 .07589 Metetra
0 .271 .291 r
.679 .07589 .69138 .11182 .71398 .08207 .7016 .04506 Metetra
0 .121 .21 r
.03634 .26033 .04733 .29548 .06298 .30925 .05169 .27494 Metetra
0 .271 .291 r
.05169 .27494 .06298 .30925 .07932 .32079 .06776 .28727 Metetra
0 .364 .275 r
.06776 .28727 .07932 .32079 .09631 .33022 .0845 .29746 Metetra
0 .427 .206 r
.0845 .29746 .09631 .33022 .11388 .3377 .10185 .30565 Metetra
0 .482 .117 r
.10185 .30565 .11388 .3377 .132 .34335 .11978 .31197 Metetra
0 .53 .019 r
.11978 .31197 .132 .34335 .15062 .34732 .13824 .31653 Metetra
.083 .572 0 r
.13824 .31653 .15062 .34732 .16971 .34972 .15718 .31948 Metetra
.181 .607 0 r
.15718 .31948 .16971 .34972 .18922 .35067 .17658 .3209 Metetra
.273 .637 0 r
.17658 .3209 .18922 .35067 .20912 .35028 .19639 .32092 Metetra
.356 .662 0 r
.19639 .32092 .20912 .35028 .2294 .34865 .21659 .31962 Metetra
.427 .683 0 r
.21659 .31962 .2294 .34865 .25001 .34586 .23714 .31709 Metetra
.487 .699 0 r
.23714 .31709 .25001 .34586 .27093 .34197 .25803 .31338 Metetra
.534 .712 0 r
.25803 .31338 .27093 .34197 .29215 .33705 .27923 .30856 Metetra
.567 .72 0 r
.27923 .30856 .29215 .33705 .31365 .33114 .30071 .30267 Metetra
.588 .725 0 r
.30071 .30267 .31365 .33114 .3354 .32425 .32247 .29572 Metetra
.594 .727 0 r
.32247 .29572 .3354 .32425 .35739 .31641 .34448 .28774 Metetra
.588 .725 0 r
.34448 .28774 .35739 .31641 .3796 .30761 .36672 .27871 Metetra
.567 .72 0 r
.36672 .27871 .3796 .30761 .40203 .29782 .38918 .26861 Metetra
.534 .712 0 r
.38918 .26861 .40203 .29782 .42465 .28701 .41183 .25741 Metetra
.487 .699 0 r
.41183 .25741 .42465 .28701 .44744 .27513 .43466 .24506 Metetra
.427 .683 0 r
.43466 .24506 .44744 .27513 .47038 .2621 .45765 .23148 Metetra
.356 .662 0 r
.45765 .23148 .47038 .2621 .49346 .24786 .48078 .21661 Metetra
.273 .637 0 r
.48078 .21661 .49346 .24786 .51665 .23229 .50401 .20034 Metetra
.181 .607 0 r
.50401 .20034 .51665 .23229 .53992 .21529 .52732 .18257 Metetra
.083 .572 0 r
.52732 .18257 .53992 .21529 .56324 .19675 .55067 .16318 Metetra
0 .53 .019 r
.55067 .16318 .56324 .19675 .58656 .17652 .57402 .14205 Metetra
0 .482 .117 r
.57402 .14205 .58656 .17652 .60986 .15447 .59733 .11904 Metetra
0 .427 .206 r
.59733 .11904 .60986 .15447 .63306 .13044 .62055 .09401 Metetra
0 .364 .275 r
.62055 .09401 .63306 .13044 .65613 .1043 .64362 .06682 Metetra
0 .271 .291 r
.64362 .06682 .65613 .1043 .679 .07589 .66647 .03732 Metetra
0 .121 .21 r
.66647 .03732 .679 .07589 .7016 .04506 .68905 .00539 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.15784 .20788 m
.16245 .21255 L
s
[(-5)] .14863 .19854 .98551 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.54215 .0574 m
.54605 .06267 L
s
[(5)] .53436 .04684 .73896 1 Mshowa
.125 Mabswid
.19385 .19378 m
.19658 .19662 L
s
.23036 .17949 m
.23305 .18236 L
s
.26739 .16498 m
.27005 .16789 L
s
.30496 .15028 m
.30757 .15322 L
s
.38172 .12022 m
.38425 .12323 L
s
.42095 .10486 m
.42343 .10791 L
s
.46076 .08927 m
.46319 .09236 L
s
.50115 .07345 m
.50354 .07658 L
s
.12234 .22178 m
.12513 .22455 L
s
.08732 .2355 m
.09015 .23823 L
s
.05278 .24902 m
.05564 .25172 L
s
.58378 .0411 m
.58606 .0443 L
s
.62603 .02455 m
.62826 .0278 L
s
.66893 .00776 m
.67111 .01103 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[161]:=",
  ImageSize->{288, 233.562},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003ooooooolQ
ooooo`00b_ooool2o`0005Cooooo0037ooooo`?o000000?oooooo`000?ooool0Doooool00<Gooooo
0_l00004ooooo`;o0000Doooool00<;ooooo0ol000000ooooooo0000ooooo`02ooooo`;o000000?o
ooooo`000?ooool0DOooool009gooooo0ol0000Pooooo`;o00001oooool00ol0003o01heo`000002
o`0005;ooooo002Looooo`05o`000?ooooooooooooooool000007?ooool3o`0000Wooooo00Ko0000
o`0N=Ol0003o0000ooooool0001Aooooo`00X?ooool00ol0003oooooooooo`0Gooooo`?o00002ooo
ool00ol0003o01heo`0N=@02o`0000;ooooo00?o0000ooooooooool0C_ooool00:3ooooo00?o0000
ooooooooool05Oooool3o`0000cooooo00Wo0000o`0N=Ol07SGo01heo`000?l07SGo0000ooooool0
0000D?ooool009cooooo1?l0000Eooooo`?o00003oooool01ol0003o01heo`0N=Ol07SGo0000o`0N
=Ol000000_ooool00ol0003oooooooooo`1=ooooo`00W?ooool00ol0003oooooooooo`0Dooooo`;o
00004Oooool00ol0003o01heo`0N=@03o`0N=@;o00000oooool00ol0003oooooooooo`1<ooooo`00
W?ooool5o`0000oooooo0ol0000Booooo`03o`000?l07SGo01he00Co01he0_l00003ooooo`03o`00
0?oooooooooo04cooooo002^ooooo`;o00005Oooool00ol0003o01heo`0N=@04o`0N=@03o`000?l0
7SGo000000?ooooo00?o0000ooooooooool0Boooool00:_ooooo0ol000000ooooooo0000ooooo`0C
ooooo`;o00001_l07SD00ol0003o01heo`000003ooooo`;o0000C?ooool00:Wooooo0_l0000Hoooo
o`04o`000?l0AD[o04E:o`0000Go01he00?o0000o`0N=Ol000001?ooool00ol0003oooooooooo`1:
ooooo`00Y_ooool3o`0001Wooooo00Go0000o`15B_l0AD[o04E:o`000005o`0N=@?o00001Oooool0
0ol0003oooooooooo`19ooooo`00Xoooool3o`0001cooooo00Go0000o`15B_l0AD[o04E:o`000005
o`0N=@04o`000?l0AD[o04E:o`0000Cooooo00?o0000ooooooooool0BOooool00:7ooooo0ol0000M
ooooo`03o`000?l0AD[o04E:00?o04E:00Co0000o`0N=Ol07SGo01he0_l00002o`15BP03o`000?oo
oooooooo00?ooooo00?o0000ooooooooool0B?ooool009kooooo0ol00003ooooo`03o`000?oooooo
oooo01Wooooo00?o0000o`15B_l0ADX01?l0ADX01?l0003o01heo`0N=Ol07SD2o`0000;o04E:00?o
0000ooooooooool01?ooool00ol0003oooooooooo`17ooooo`00W?ooool2o`00027ooooo00?o0000
o`15B_l0ADX01Ol0ADX01_l0003o01heo`0N=Ol0003o04E:o`0000?o04E:00?o0000ooooooooool0
0oooool00ol0003oooooooooo`17ooooo`00VOooool3o`0002;ooooo0_l00008o`15BP;o00000_l0
ADX01Ol0003o04E:o`15B_l0AD[o000000Kooooo00?o0000ooooooooool0A_ooool009Oooooo0ol0
000Sooooo`03o`000?l0GDKo000000So04E:00Go0000o`15B_l0AD[o04E:o`000003o`15BP03o`00
0?oooooooooo00Cooooo0_l00017ooooo`00U?ooool3o`0002Gooooo00Go0000o`1MA_l0GDKo05e6
o`000007o`15BP05o`000?l0AD[o04E:o`15B_l000001?l0ADX00ol0003oooooooooo`04ooooo`03
o`000?oooooooooo04Gooooo002Booooo`;o00009oooool00ol0003o05e6o`1MAP02o`1MAP03o`00
0?l0AD[o04E:00Co04E:0_l00003o`15BP03o`000?l0AD[o04E:00;o04E:00?o0000ooooooooool0
1Oooool00ol0003oooooooooo`0;ooooo`?o0000=_ooool008oooooo0ol0000Xooooo`03o`000?l0
GDKo05e600?o05e600?o0000o`15B_l0ADX00ol0ADX01?l0003o05i5o`1NAOl00002o`15BP03o`00
0?l0AD[o04E:00;o04E:00?o0000ooooooooool01_ooool00ol0003oooooooooo`09ooooo`05o`00
0?ooooooooooooooool00000=Oooool008gooooo0_l0000Zooooo`03o`000?l0GDKo05e600Go05e6
00Go0000o`15B_l0AD[o04E:o`000003o`1NA@04o`000?l0AD[o04E:o`0000?o04E:00?o0000o`1M
A_l000001oooool00ol0003oooooooooo`03ooooo`Go00001Oooool00ol0003oooooooooo`0coooo
o`00R_ooool3o`000003ooooool0003ooooo02Sooooo00?o0000o`1MA_l0GDH01_l0GDH01Ol0003o
04E:o`15B_l0AD[o000000?o05i500Co0000o`15B_l0AD[o00000_l0ADX01?l0003o05e6o`1MA_l0
0008ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool0<oooool006Sooooo0_l0000M
ooooo`?o0000;_ooool00ol0003o05e6o`1MAP06o`1MAP04o`000?l0AD[o04E:o`0000Go05i500?o
0000o`15B_l0ADX00_l00004o`1MAP03o`000?oooooooooo00Kooooo00?o0000ooooooooool01ooo
ool4o`0003Kooooo001Wooooo`04o`000?ooooooooooo`0001[ooooo0_l0000`ooooo`03o`000?l0
KCCo000000So05e60_l00006o`1NA@03o`000?l0AD[o04E:00;o00001?l0GDH00ol0003ooooooooo
o`06ooooo`03o`000?oooooooooo00Oooooo00?o0000ooooooooool0=oooool006Oooooo00Co0000
oooooooooooo00005oooool3o`00037ooooo00Co0000o`1]=?l0KCCo00002?l0GDH00ol0003o05i5
o`1NA@05o`1NA@04o`000?l0AD[o04E:o`0000Go05e600?o0000ooooooooool01Oooool3o`0000So
oooo1Ol0000eooooo`00Ioooool01?l0003oooooooooool0000Eooooo`;o000000?oooooo`000?oo
ool0<?ooool01Ol0003o06ddo`1]=?l0KCCo000000So05e600?o0000o`1NAOl0GTD01_l0GTD3o`00
00Ko05e600?o0000ooooooooool01oooool00ol0003oooooooooo`0oooooo`00Ioooool01?l0003o
ooooooooool0000Booooo`?o0000=?ooool00ol0003o06ddo`1]=003o`1]=003o`000?l0GDKo05e6
00Co05e600?o0000o`1_<Ol000001ol0GTD00ol0003o05e6o`000006o`1MAP03o`000?oooooooooo
00Oooooo00?o0000ooooooooool0?oooool006Oooooo00Co0000oooooooooooo00004?ooool2o`00
03Kooooo00?o0000o`1]=?l0KC@01?l0KC@00ol0003o05e6o`1MAP03o`1MAP04o`000?l0Kc7o06la
o`0000Oo05i500?o0000o`1MA_l000001ol0GDH00ol0003oooooooooo`07ooooo`03o`000?oooooo
oooo03kooooo001Xooooo`;o00003_ooool3o`0003Oooooo00?o0000o`1]=?l0KC@01_l0KC@01Ol0
003o05e6o`1MA_l0GDKo000000?o06la00?o0000o`1NAOl0GTD01?l0GTD01?l0003o06lao`000?l0
0007o`1MAP03o`000?oooooooooo00Sooooo00?o0000ooooooooool0?Oooool007Kooooo0_l00000
0ooooooo0000ooooo`0fooooo`;o00002?l0KC@01?l0003o05e6o`1MA_l00005o`1_<@03o`000?l0
GTGo05i500;o05i500?o0000o`1_<Ol0Kc400_l00006o`1MAP03o`000?l0KCCo000000Wooooo00?o
0000ooooooooool0?Oooool007?ooooo0ol0000jooooo`04o`000?l0Nago07/Mo`0000Oo06dd00?o
0000o`1MA_l000001_l0Kc401Ol0003o05i5o`1NAOl0GTGo000000Co06la00?o0000o`1MA_l0GDH0
0ol0GDH01?l0003o06ddo`1]=?l0000:ooooo`03o`000?oooooooooo03cooooo001`ooooo`?o0000
??ooool01Ol0003o07/Mo`1k7Ol0Nago000000Oo06dd0_l00007o`1_<@04o`000?l0GTGo05i5o`00
00Go06la00?o0000o`1MA_l0GDH00_l0GDH01Ol0003o06ddo`1]=?l0KCCo000000_ooooo00?o0000
ooooooooool0>oooool006kooooo0_l0000nooooo`03o`000?l0Nago07/M00;o07/M00?o0000o`1]
=?l0KC@01?l0KC@00ol0003o07hGo`000008o`1_<@;o00001_l0Kc400ol0003o05e6o`1MAP02o`1M
AP03o`000?l0KCCo06dd00;o06dd00?o0000ooooooooool01oooool2o`0003gooooo001[ooooo`Co
0000?_ooool00ol0003o07/Mo`1k7@04o`1k7@03o`000?l0KCCo06dd00;o06dd00Go0000o`1n5ol0
OQOo07hGo`000007o`1_<@03o`000?l0Kc7o06la00Go06la0_l00002o`1MAP03o`000?l0KCCo06dd
00?o06dd00?o0000ooooooooool02Oooool00ol0003oooooooooo`0jooooo`00JOooool2o`0000Co
oooo00?o0000ooooooooool0>Oooool2o`0000Oo07/M00Go0000o`1]=?l0KCCo06ddo`000004o`1n
5`03o`000?l0Kc7o06la00Go06la00?o0000o`1_<Ol0Kc401Ol0Kc42o`000003o`1MA_l0003o06dd
00Go06dd00?o0000ooooooooool02Oooool00ol0003oooooooooo`0jooooo`00I_ooool3o`00047o
oooo00?o0000o`271?l000001ol0Nad01?l0003o06ddo`1]=?l00005o`1n5`03o`000?l0Kc7o06la
00Co06la00?o0000o`205?l000001_l0Kc400ol0003o06lao`000008o`1]=003o`000?oooooooooo
00Wooooo00?o0000ooooooooool0>Oooool006?ooooo0ol00013ooooo`05o`000?l0Q`Co08L4o`27
1?l000001ol0Nad2o`0000Oo07hG00?o0000o`1_<Ol0Kc400_l0Kc401?l0003o080Do`205?l00006
o`1_<@03o`000?l0Kc7o000000So06dd00?o0000ooooooooool02_ooool00ol0003oooooooooo`0h
ooooo`00HOooool4o`0004?ooooo00?o0000o`271?l0Q`@00_l0Q`@00ol0003o07/Mo`1k7@05o`1k
7@03o`000?l0OQOo07hG00Ko07hG00Go0000o`1_<Ol0Kc7o06lao`000004o`205003o`000?l0Kc7o
06la00?o06la0_l000000ol0OQOo0000o`1]=006o`1]=003o`000?oooooooooo00[ooooo00?o0000
ooooooooool0>?ooool005oooooo0_l00016ooooo`03o`000?l0Q`Co08L400?o08L400?o0000o`1k
7Ol0Nad01?l0Nad2o`0000So07hG00Co0000o`1_<Ol0Kc7o00001Ol0P1@00ol0003o06lao`1_<@03
o`1_<@;o000000?o07hGo`000?l0KC@01Ol0KC@00ol0003o07/No`00000<ooooo`03o`000?oooooo
oooo03Oooooo001Looooo`?o0000Aoooool00ol0003o08L4o`271005o`271003o`000?l0Nago07/M
00;o07/M00Co0000o`F<0?l5S03o00002?l0OQL2o`0000Ko080D00?o0000o`1_<Ol0Kc400_l0Kc40
1Ol0003o07hGo`000?l0OQOo000000Go06dd00Co0000o`1k7_l0Nako00003?ooool2o`0003Sooooo
001Iooooo`?o0000B?ooool2o`0000So08L400Go0000o`1k7Ol0Nago07/Mo`000003o`F<0003o`00
0?l0OQOo07hG00Ko07hG00?o0000o`205?l0P1@01_l0P1@01?l0003o06lao`1_<Ol00002o`1n5`04
o`000?l0OQOo07hGo`0000?o06dd00Go0000o`1k7_l0Nako07/No`00000=ooooo`03o`000?oooooo
oooo03Kooooo000dooooo`?o00008?ooool2o`000003ooooool0003ooooo04Oooooo00?o0000oaFB
0?l000002?l0Q`@01?l0003o07/Mo`1k7Ol00005o`F<0003o`000?l0OQOo07hG00Co07hG0_l00008
o`205003o`000?l0Kc7o000000?o07hG00Co0000o`1n5ol0OQOo00000_l0KC@00ol0003o07/No`1k
7P03o`1k7P03o`000?oooooooooo00_ooooo00?o0000ooooooooool0=Oooool003?ooooo00Go0000
ooooooooooooooooo`00000Looooo`?o0000Boooool01Ol0003o5I80oaFB0?lETP3o000000So08L4
0_l00006o`F<0003o`000?l0OQOo07hG00?o07hG00Co0000o`^>0?l;SP3o00002?l0P1@00ol0003o
07hGo`1n5`02o`1n5`06o`000?l0OQOo07hGo`000?l0KCCo00001_l0Nah00ol0003oooooooooo`0<
ooooo`03o`000?oooooooooo03Cooooo000]ooooo`Go00001Oooool00ol0003oooooooooo`0Hoooo
o`;o0000COooool00ol0003o5I80oaFB0002oaFB0003o`000?l0Q`Co08L400Ko08L400?o0000o`F<
0?l5S0001Ol5S0000ol0003o07hGo`1n5`02o`1n5`05o`000?l;SP3o2hh0o`^>0?l000001ol0P1@2
o`0000Co07hG00Go0000o`1n5ol0OQOo07hGo`000007o`1k7P03o`000?oooooooooo00cooooo00?o
0000ooooooooool0=?ooool003Oooooo00?o0000ooooooooool05Oooool3o`0004kooooo00?o0000
oaFB0?lETP001?lETP000ol0003o08L4o`271004o`2710;o00002?l5S0001?l0003o07hGo`1n5ol0
0004o`^>0003o`000?l0P1Co080D00Co080D00Co0000o`^>0?l;SP3o00000ol0OQL01Ol0003o07hG
o`1n5ol0OQOo000000So07/N00?o0000ooooooooool03?ooool00ol0003oooooooooo`0cooooo`00
<oooool4o`0001Kooooo0_l000000ooooooo0000ooooo`1<ooooo`;o00001olETP000ol0003o08L4
o`271003o`271004o`000?lSU`3o8iL0o`0000Oo1H`000?o0000o`1n5ol000001_l;SP000ol0003o
080Do`205002o`205005o`000?l;SP3o2hh0o`^>0?l000000ol0OQL01_l0003o07hGo`1n5ol0003o
1H`0o`0000Oo07/N00?o0000ooooooooool03Oooool00ol0003oooooooooo`0booooo`00<oooool0
0ol0003oooooooooo`0Dooooo`?o0000D?ooool00ol0003o;Y/0o`000007oaFB0003o`000?l0Q`Co
08L400;o08L400Go0000ob>G0?lSU`3o8iL0o`000008o`F<0003o`000?l;SP3o2hh000Go2hh000Go
0000o`205?l0P1Co080Do`000004o`^>0007o`000?l0OQOo07hGo`1n5ol0003o07hGo`000002o`F<
0003o`000?l0Nako07/N00Co07/N00?o0000o`271?l000003Oooool2o`0003Cooooo000cooooo`Go
00004?ooool2o`0005;ooooo00Go0000objK0?l^V`3o;Y/0o`000007oaFB0004o`000?l0Q`Co08L4
o`0000Go8iL000?o0000o`F<0?l5S0001?l5S002o`0000Oo2hh000Co0000o`205?l0P1Co00001_l;
SP000ol0003o07hGo`1n5`02o`0000?o1H`000?o0000o`1k7_l0Nah00ol0Nah01?l0003o08L4o`27
1?l0000?ooooo`03o`000?oooooooooo037ooooo0015ooooo`?o0000Doooool00ol0003o;Y/0objK
0002objK0003o`000?lETP3o5I8000Go5I8000?o0000o`271?l000001_lSU`000ol0003o1H`0o`F<
0003o`F<0004o`000?l/VP3o;9X0o`0000Oo2hh00_l00007o`^>0004o`000?l0OQOo07hGo`0000Go
1H`000Go0000o`1k7_l0Nako07/No`000004o`271003o`000?oooooooooo00gooooo00?o0000oooo
ooooool0<?ooool004?ooooo0_l000000ooooooo0000ooooo`1Booooo`03o`000?l^V`3o;Y/000Co
;Y/000?o0000oaFB0?lETP001?lETP02o`0000Oo8iL000?o0000o`F<0?l5S0000_l5S0001Ol0003o
;9X0obbJ0?l/VP3o000000Ko2hh00_l00008o`^>0004o`000?l0OQOo0000o`0000Go1H`000Co0000
o`1k7_l0Nako00001Ol0Q`@00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo033ooooo0010
ooooo`?o0000EOooool2o`0000Oo;Y/000?o0000oaFB0?lETP000olETP000ol0003o@J40o`000008
ob>G0004o`000?l5S03o1H`0o`0000Co;9X000?o0000o`^>0?l;SP000ol;SP000ol0003o;i/0o`00
0009o`^>0003o`000?l5S03o000000Go1H`000?o0000o`1k7_l000001_l0Q`@00ol0003ooooooooo
o`0>ooooo`03o`000?oooooooooo02oooooo000mooooo`?o0000Eoooool00ol0003oAJ<0o`000007
objK0003o`000?lETP3o5I8000;o5I8000Go0000od6Q0?m1X@3o@J40o`000007ob>G0003o`000?l5
S03o000000Ko;9X000Go0000o`^>0?l;SP3o2hh0o`000003obnK0003o`000?l;SP3o2hh000Go2hh0
0_l000000ol5S03o0000o`F<0005o`F<0003o`000?l0Q`Co08L400Ko08L400?o0000ooooooooool0
3_ooool00ol0003oooooooooo`0^ooooo`00>oooool2o`0005Sooooo0_l00003odFS0003o`000?l^
V`3o;Y/000Go;Y/000Co0000oaFB0?lETP3o00001?m1X@000ol0003o8iL0ob>G0005ob>G00;o0000
1ol/VP001?l0003o2hh0o`^>0?l00004obnK0003o`000?l;SP3o2hh000Co2hh000?o0000obbJ0?l/
VP000_l00006o`F<0003o`000?l0Q`Co08L400Ko08L400?o0000ooooooooool03_ooool00ol0003o
ooooooooo`0^ooooo`00>?ooool3o`0000;ooooo00?o0000ooooooooool0E?ooool00ol0003oAJ<0
odFS0003odFS0003o`000?l^V`3o;Y/000Go;Y/000?o0000oaFB0?l000001Om1X@000ol0003o8iL0
ob>G0004ob>G0003o`000?m=Y@3o000000Oo;9X000?o0000o`^>0?l000001_l_V`000ol0003o2hh0
o`^>0002o`^>0004o`000?l/VP3o;9X0obbJ00;o00001Ol5S0000ol0003o8iL0o`000006o`271003
o`000?lDTP3o000000oooooo0_l0000_ooooo`00=_ooool2o`0005[ooooo0_l00006odFS0003o`00
0?l^V`3o;Y/000Go;Y/00_l00007od6Q0004o`000?lSU`3o8iL0ob>G00;o00000om=Y@000ol0003o
;9X0obbJ0005obbJ0003o`000?l_V`3o;i/000Ko;i/000Co0000o`^>0?l;SP3o00001?l/VP02o`00
00Co1H`000Co0000ob>G0?lSU`3o00001Ol0Q`@01?l0003o5980oaBB0?l0000Aooooo`03o`000?oo
oooooooo00Kooooo0_l0000Tooooo`00<oooool3o`0005[ooooo0_l000000omKZ@3o0000odFS0006
odFS0003o`000?l^V`3o;Y/000;o;Y/00_l000000omLZ@3o0000od6Q0006od6Q0004o`000?lSU`3o
8iL0o`0000GoCJD000?o0000obbJ0?l/VP001?l/VP02o`0000So;i/000?o0000o`^>0?l000001_l/
VP02o`0000;o1H`000?o0000ob>G0?lSU`000_lSU`001Ol0003o08L4o`271?l0Q`Co000000Co5980
00?o0000ooooooooool03_ooool00ol0003oooooooooo`05ooooo`04o`000?ooooooooooo`0002?o
oooo000aooooo`?o0000Foooool00ol0003oFjT0oe^Y0002oe^Y0003o`000?m5X`3oAJ<000CoAJ<0
00Go0000objK0?l^V`3o;Y/0o`000004oebY0003o`000?m1X@3o@J4000Co@J4000?o0000ob>G0?l0
00001_m=Y@000ol0003o;9X0obbJ0003obbJ0004o`000?mDY`3oE:L0o`0000Oo;i/00_l00007obbJ
00;o000000?o1H`0o`000?lSU`001?lSU`001?l0003o08L4o`271?l00005oaBB0003o`000?oooooo
oooo00oooooo00?o0000ooooooooool01?ooool01?l0003oooooooooool0000Sooooo`00;_ooool3
o`0005cooooo0_l00005oe^Y0003o`000?m5X`3oAJ<000CoAJ<000Co0000objK0?l0003o00001OmL
Z@000ol0003o@J40od6Q0004od6Q00;o00002?m=Y@001Ol0003o;9X0obbJ0?l/VP3o000000?oE:L0
00?o0000obnK0?l_V`001?l_V`000ol0003oE:L0o`000007obbJ00?o00001_lSU`000ol0003o08L4
o`000006oaBB0003o`000?oooooooooo00oooooo00?o0000ooooooooool01?ooool01?l0003ooooo
ooooool0000Sooooo`00;?ooool2o`0005gooooo0_l00007oe^Y0003o`000?m5X`3oAJ<000CoAJ<0
0_l00007oebY0003o`000?m1X@3o@J4000?o@J4000?o0000off^0?l000002?m=Y@001?l0003o;9X0
obbJ0?l00004oeBW0003o`000?l_V`3o;i/000?o;i/000Go0000oeBW0?mDY`3oE:L0o`000007obbJ
0003o`000?lSU`3o8iL000Ko8iL000?o0000oaBB0?lDTP001_lDTP000ol0003oooooooooo`0?oooo
o`03o`000?oooooooooo00?ooooo00Co0000oooooooooooo00008oooool002Wooooo0ol0001Noooo
o`03o`000?m][P3o000000SoFjT000?o0000odFS0?m5X`000_m5X`000ol0003oMK40o`000008oebY
0005o`000?m1X@3o@J40od6Q0?l000000om][P000ol0003oCJD0odfU0005odfU0003o`000?l/VP3o
000000KoE:L000Go0000obnK0?l_V`3o;i/0o`000004oeBW0003o`000?l/VP3o;9X000Co;9X00_l0
0008ob>G0003o`000?lDTP3o598000Ko598000?o0000ooooooooool04?ooool00ol0003ooooooooo
o`02ooooo`04o`000?ooooooooooo`0002?ooooo000Vooooo`Co0000G_ooool2o`0000?oKJh000?o
0000oe^Y0?mKZ@001OmKZ@001Ol0003oAJ<0odFS0?m5X`3o000000?oMK4000?o0000oebY0?mLZ@00
1OmLZ@001?l0003o@J40od6Q0?l00004off^0003o`000?m=Y@3oCJD000GoCJD00_l00007oeBW0004
o`000?l_V`3o;i/0o`0000GoE:L000?o0000obbJ0?l/VP000ol/VP001?l0003oCJD0o`000?l00006
ob>G0003o`000?m1X@3o000000Ko598000?o0000objK0?l000004?ooool3o`0000Cooooo0_l0000T
ooooo`009?ooool2o`00067ooooo00?o0000off^0?m][P000om][P000ol0003oFjT0oe^Y0005oe^Y
0004o`000?m5X`3oAJ<0o`0000CoMK4000?o0000oebY0?mLZ@001OmLZ@000ol0003o@J40o`000006
off^0003o`000?m=Y@3oCJD000?oCJD000?o0000ogNa0?l000001omDY`000ol0003o;i/0o`000007
oeBW0005o`000?l/VP3o;9X0obbJ0?l000000_m=Y@02o`0000Go8iL000Co0000od6Q0?m1X@3o0000
1OlDTP001?l0003o;Y/0objK0?l0000Booooo`03o`000?oooooooooo02Sooooo000Qooooo`?o0000
HOooool2o`0000OoKJh000?o0000oe^Y0?mKZ@001OmKZ@02o`0000KoMK4000?o0000oebY0?mLZ@00
1?mLZ@02o`0000OoKJh000?o0000odfU0?m=Y@000_m=Y@001Ol0003oMk40ogNa0?mg/@3o000000Ko
E:L00_l00008oeBW0004o`000?l/VP3o;9X0o`0000;oCJD00_l000000om=Y@3o0000ob>G0002ob>G
0003o`000?m1X@3o@J4000;o@J4000Go0000oaBB0?lDTP3o5980o`000004objK0003o`000?oooooo
oooo013ooooo00?o0000ooooooooool09oooool001oooooo0_l0001Rooooo`;o000000?oO;80o`00
0?m][P001_m][P000ol0003oFjT0oe^Y0004oe^Y00;o00001ome/@000ol0003oG:T0oebY0003oebY
0003o`000?n:]P3o000000SoKJh000Co0000odfU0?m=Y@3o00001?mg/@000ol0003oE:L0oeBW0003
oeBW0003o`000?mj/P3o000000SoE:L000?o0000obbJ0?l000000ol000001?m=Y@3o0000odfU0?l0
0002ob>G0003o`000?m1X@3o@J4000?o@J4000Co0000oaBB0?lDTP3o00001Ol^V`000ol0003ooooo
ooooo`0@ooooo`03o`000?oooooooooo02Oooooo000Looooo`?o000000?oooooo`000?ooool0Gooo
ool2o`0000CoO;8000?o0000off^0?m][P001Om][P001?l0003oFjT0oe^Y0?mKZ@02o`000003ohbg
0?l0003oMK4000OoMK4000?o0000oebY0?mLZ@000_l00003ohZf0003o`000?m][P3oKJh000GoKJh0
00?o0000odfU0?l000001_mg/@001Ol0003oE:L0oeBW0?mDY`3o000000?oN[8000?o0000oeBW0?mD
Y`001OmDY`03o`0000GoCJD00_l000000olSU`3o0000od6Q0005od6Q0003o`000?lDTP3o000000Ko
;Y/000?o0000ooooooooool04Oooool00ol0003oooooooooo`0Vooooo`006oooool2o`0006;ooooo
0_l00006ogbb0003o`000?m][P3oKJh000GoKJh000Co0000oe^Y0?l0003o00001?n<]`000ol0003o
MK40ogFa0005ogFa0003o`000?mLZ@3o000000GoR[H000?o0000off^0?m][P001Om][P02o`0000Oo
Mk4000Co0000oeBW0?mDY`3o00001?mj/P000ol0003oE:L0oeBW0002oeBW00?o000000?oMk40o`00
0?m=Y@001_m=Y@02o`0000So@J4000?o0000objK0?l^V`001_l^V`000ol0003oooooooooo`0Aoooo
o`03o`000?oooooooooo02Gooooo000=ooooo`?o00001?ooool2o`0000Gooooo00?o0000ooooool0
0000Goooool2o`000003ohRf0?l0003oO;8000KoO;8000?o0000off^0?m][P001?m][P02o`0000Ko
S;L000?o0000ogFa0?me/@001Ome/@02o`0000OoR[H000?o0000off^0?m][P000_m][P02o`000003
oiRj0?l0003oMk4000KoMk4000?o0000oeBW0?l000001_mj/P04o`000003oeBW0?l0003oMk4000;o
Mk4000?o0000odfU0?m=Y@000om=Y@000ol0003oKJh0o`000007od6Q00;o00001ol^V`02o`0001?o
oooo0_l0000Vooooo`003?ooool01Ol0003ooooooooooooooooo000000;ooooo00Co0000oooooooo
oooo00001?ooool2o`000003ooooool0003ooooo05_ooooo0_l00004ohRf0003o`000?ml/P3oO;80
00CoO;8000?o0000off^0?m][P000om][P000ol0003oW[/0o`000007ohbg0003o`000?me/@3oMK40
00;oMK400_l000000onT_@3o0000ohZf0006ohZf0005o`000?m][P3oKJh0off^0?l000001?nH^P00
0ol0003oMk40ogNa0004ogNa00;o00001Omj/P04o`0000;oE:L000?o0000ogNa0?mg/@000_mg/@00
0ol0003oCJD0odfU0002odfU0003o`000?m][P3oKJh000;o00001Om1X@001?l0003oG:T0oebY0?l0
0005objK0004o`000?m5X`3oAJ<0o`0001;ooooo0_l0000Vooooo`001_ooool5o`0000Gooooo00Co
0000oooooooooooo00000_ooool00ol0003oooooooooo`02ooooo`?o000000?oooooo`000?ooool0
F?ooool2o`0000KoR;H000?o0000ogbb0?ml/P001Oml/P000ol0003oKJh0off^0002o`0000?oW[/0
00?o0000ohbg0?n<]`001?n<]`001Ol0003oMK40ogFa0?me/@3o000000CoY;d000?o0000ohZf0?n:
]P001?n:]P001?l0003oKJh0o`000?l00005oiRj0003o`000?mg/@3oMk4000?oMk4000?o0000oijk
0?l000000_mj/P03o`0000?oN[8000?o0000oeBW0?l000001_mg/@001?l0003oCJD0odfU0?l00004
off^0003o`000?m1X@3o@J4000;o@J4000Go0000oebY0?mLZ@3oG:T0o`000004objK0005o`000?m5
X`3oAJ<0odFS0?l000005?ooool00ol0003oooooooooo`0Sooooo`003_ooool2o`0000?ooooo00Co
0000oooooooooooo00000oooool3o`000004o`0N=Ol0003oooooo`0005Kooooo0_l000000onA^03o
0000ohRf0006ohRf0003o`000?ml/P3oO;8000CoO;8000?o0000off^0?l000001OnN^`000ol0003o
S;L0ohbg0004ohbg0004o`000?me/@3o0000o`0000GoY;d000?o0000ohZf0?n:]P001?n:]P02o`00
00SoV;X000Go0000ogNa0?mg/@3oMk40o`000002oijk00?o00001_mj/P02o`0000OoMk4000?o0000
odfU0?l000001_m][P001?l0003o@J40od6Q0?l00005oebY0004o`000?l^V`3o;Y/0o`0000GoAJ<0
00?o0000ooooooooool04Oooool00ol0003oooooooooo`0Sooooo`004?ooool01?l0003ooooooooo
ool00002ooooo`07o`000?ooooooooooooooool0003oooooo`000002o`0N=@?o0000Doooool2o`00
00CoTKP000?o0000ohRf0?n8]P001?n8]P000ol0003oO;80ogbb0004ogbb00;o00001_nN^`000ol0
003oS;L0ohbg0004ohbg00;o00001onT_@000ol0003oR[H0ohZf0003ohZf0003o`000?ne`@3o0000
00SoV;X000Go0000ogNa0?mg/@3o0000oijk0002o`000003oijk0?l0003oN[8000GoN[8000?o0000
oijk0?l000002?mg/@000ol0003oKJh0off^0005off^0003o`000?m1X@3o000000KoG:T000?o0000
objK0?l000001_m5X`000ol0003oooooooooo`0Booooo`03o`000?oooooooooo02;ooooo000<oooo
o`05o`000?ooooooooooooooool000000_ooool01?l0003oooooooooool00003ooooo`07o`000?oo
ooooooooo`000?l07SGo0000o`15BP02o`00053ooooo0_l00006oi6h0003o`000?n8]P3oR;H000Go
R;H000Co0000ogbb0?ml/P3oO;800_l000000on^_`3o0000oijk0006oijk0003o`000?n<]`3oS;L0
00;oS;L000?o0000ok[20?l000002?nT_@001Ol0003oR[H0ohZf0?n:]P3o000000?o]L4000?o0000
oiRj0?nH^P001OnH^P000ol0003oMk40o`000002o`0000CoW[/000Co0000ogZb0?mj/P3oN[800_l0
0003oijk0003o`000?mg/@3oMk4000CoMk400_l00008off^0003o`000?mLZ@3oG:T000KoG:T000?o
0000odFS0?m5X`001_m5X`000ol0003oooooooooo`0Booooo`03o`000?oooooooooo027ooooo000=
ooooo`?o00001?ooool2o`0000Cooooo0_l000001_oooooo0000o`0N=Ol07SGo0000o`15BP;o0000
C?ooool3o`000003oiJi0?l0003oTKP000GoTKP000?o0000ohRf0?n8]P001On8]P001?l0003oO;80
o`000?l00004ojjo0003o`000?nN^`3oW[/000CoW[/000?o0000ohbg0?n<]`000_l00003ok[20003
o`000?nT_@3oY;d000GoY;d000Co0000ohZf0?n:]P3o00001?ne`@000ol0003oV;X0oiRj0004oiRj
00?o00001onN^`001?l0003oN[80ogZb0?l00005oijk0003o`000?mg/@3oMk4000?oMk4000Co0000
oiRj0?nH^P3o00001_m][P03o`0000KoG:T00_l00007odFS00;o00005?ooool00ol0003ooooooooo
o`0Qooooo`006_ooool01?l0003oooooooooool00002o`0N=@03o`000?l0AD[o04E:00;o0000B?oo
ool3o`0000GoU[T000?o0000oi6h0?nA^0001?nA^0000ol0003oR;H0ohRf0004ohRf00;o00001_n^
_`000ol0003oW[/0oijk0004oijk0003o`000?n<]`3o000000Go^/8000?o0000ojBm0?nT_@001OnT
_@000ol0003oR[H0o`000006okG10003o`000?nH^P3oV;X000Co000000?o_l<0o`000?nN^`001_nN
^`000ol0003oN[80o`000007oijk0005o`000?mg/@3oMk40ogNa0?l000000onH^P000ol0003oKJh0
off^0003off^0003o`000?n:]P3oR[H000;o00001?mLZ@001?l0003oMK40ogFa0?l00005odFS0004
o`000?mJZ@3oFZT0o`0001?ooooo0_l0000Rooooo`006_ooool01ol0003ooooooooooooooooo0000
o`0N=Ol000000_l0ADX01?l0003o05e6o`000?l00013ooooo`?o000000?oV;X0o`000?nF^@001OnF
^@000ol0003oTKP0oi6h0004oi6h0004o`000?n8]P3oR;H0ohRf00?o000000?o^/80o`000?n^_`00
1_n^_`000ol0003oW[/0oijk0003oijk00;o00001onj`P000ol0003oY;d0ojBm0004ojBm00;o0000
1one`@03o`000003oiRj0?l0003o000000?o_l<000?o0000oijk0?nN^`001?nN^`02o`0000SoW[/0
00Co0000ogNa0?mg/@3o00001OnH^P001Ol0003oKJh0off^0?m][P3o000000?oR[H00_l00003oebY
0005o`000?me/@3oMK40ogFa0?l000001?m5X`001Ol0003oFZT0oeZY0?mJZ@3o000001Gooooo00?o
0000ooooooooool07oooool001Wooooo00?o0000ooooooooool00_ooool01?l0003o01heo`0N=Ol0
0002o`15BP04o`000?l0GDKo05e6o`0003oooooo0ol00005oiRj0003o`000?nF^@3oU[T000?oU[T0
00?o0000oi6h0?nA^0001?nA^0001?l0003oR;H0o`000?l00005ok[20003o`000?n^_`3o[[l000Co
[[l000Co0000oijk0?nN^`3oW[/00_l000000oo6_`3o0000ok[20006ok[20003o`000?nT_@3oY;d0
00?oY;d000?o0000olNn0?l000001?ne`@03o`000004okG10?l0003oV;X0o`0000Go_l<000?o0000
oijk0?nN^`000onN^`000ol0003o`l@0o`000008oijk0003o`000?mg/@3o000000KoV;X000Co0000
off^0?m][P3o00001On:]P02o`000003oebY0?l0003oMK4000CoMK4000Co0000odFS0?m5X`3o0000
1OmJZ@000ol0003oooooooooo`0Booooo`03o`000?oooooooooo01oooooo000Iooooo`;o00000ooo
ool2o`000005o`0N=Ol0003o04E:o`15B_l000000ol0GDH2o`0003[ooooo0ol000000onF^@3o0000
oiRj0005oiRj0003o`000?nF^@3oU[T000CoU[T000?o0000oi6h0?nA^0000onA^002o`0000Oo^/80
00?o0000ojjo0?n^_`001?n^_`001?l0003oW[/0o`000?l00004olJo0003o`000?nj`P3o^/8000Go
^/8000?o0000ojBm0?nT_@000_l00003olNn00Co00001?ne`@02o`0000Oo_l<000Go0000oijk0?nN
^`3oW[/0o`000003ol?40003o`000?nN^`3oW[/000GoW[/00_l00007oiRj0003o`000?m][P3o0000
00KoR[H000?o0000oebY0?l000001_me/@000ol0003oAJ<0o`000006oeZY0003o`000?oooooooooo
01?ooooo00?o0000ooooooooool07_ooool001Wooooo00?o0000ooooooooool00oooool3o`0000?o
04E:00Go0000o`1MA_l0GDKo0000o`1]=003o`0003Cooooo0ol00005oiJi0003o`000?nH^P3oV;X0
00?oV;X000?o0000oiJi0?nF^@001?nF^@001?l0003oTKP0oi6h0?nA^002o`000003ol?40?l0003o
^/8000Oo^/8000?o0000ojjo0?n^_`000on^_`02o`0000Koa[l000?o0000ok[20?nj`P001Onj`P00
0ol0003oY;d0o`000003olNn00?o00001One`@02o`000003olZg0?l0003o_l<000Ko_l<000Co0000
oijk0?nN^`3o00001?o3a0000ol0003oW[/0oijk0004oijk0003o`000?no``3o000000OoV;X00_l0
0008ohZf0003o`000?me/@3o000000KoMK4000?o0000oeZY0?mJZ@001_mJZ@000ol0003ooooooooo
o`0Cooooo`03o`000?oooooooooo01gooooo000Iooooo`03o`000?oooooooooo00?ooooo00Co0000
o`15B_l0003o00000_l0ADX01Ol0003o05e6o`1MA_l0GDKo000000?o06dd0_l0000_ooooo`?o0000
00?oTKP0o`000?nF^@001OnF^@000ol0003oV;X0oiRj0004oiRj0003o`000?nF^@3oU[T000?oU[T0
00Co0000oi6h0?l0003o00001?o3a0000ol0003o^/80ok[20005ok[20004o`000?n^_`3o[[l0ojjo
00;o000000?ob[L0o`000?o6_`001_o6_`000ol0003o^/80ok[20004ok[200;o000000Coakh0o`00
0?l0003o00000oo7_P001Ol0003o]L40okG10?ne`@3o000000Cob[L000?o0000oko30?no``001?no
``000ol0003oW[/0o`000006ol?40003o`000?nN^`3oW[/000;oW[/000Go0000oko30?no``3o_l<0
o`000005oiRj0003o`000?ne`@3o000000OoR[H00_l000000ome/@3o0000ogFa0004ogFa00;o0000
1omJZ@02o`0001Gooooo00?o0000ooooooooool07Oooool001Wooooo00?o0000ooooooooool00ooo
ool00ol0003o04E:o`15BP02o`000003o`15B_l0003o05e600;o05e600Ko0000o`1]=?l0KCCo06dd
o`000?l0Nad2o`0002Wooooo1?l00005oi6h0003o`000?nF^@3oU[T000CoU[T000?o0000oiRj0?nH
^P000onH^P000ol0003oU[T0oiJi0003oiJi00;o00001_o3a0000ol0003o^/80ok[20005ok[20004
o`000?n^_`3o0000o`0000Cob[L000?o0000olJo0?o6_`001Oo6_`001?l0003o^/80ok[20?nj`P02
o`000003olbb0?l0003o000000Koakh000Co0000okG10?l0003o00001Oo:]`000ol0003o_l<0oko3
0004oko300;o00002?o3a0001?l0003oW[/0oijk0?l00004oko30003o`000?nH^P3oV;X000;oV;X0
00Go0000okG10?ne`@3o]L40o`000005ohZf0006o`000?nT_@3oY;d0o`000?me/@3o00000ome/@00
1?l0003oRkL0oh^g0?l00005oeZY0004o`000?m][P3oKJh0o`0001Gooooo00?o0000ooooooooool0
7?ooool001Wooooo0_l00005ooooo`04o`000?l0AD[o0000o`1NA@?o00000_l0GDH00ol0003o06dd
o`1]=002o`1]=003o`000?l0Nago07/M00Co00007oooool6o`0000;oR;H000?o0000oi6h0?nA^000
1?nA^0000ol0003oU[T0oiJi0004oiJi0003o`000?nH^P3oV;X000?oV;X000?o0000oiJi0?nF^@00
0ol000000oo5`P3o0000ol?40006ol?40003o`000?nj`P3o^/8000Co^/800_l00006olZg0003o`00
0?o6_`3oa[l000Goa[l000?o0000ok[20?l000001?l000000oo</P3o0000olNn0005olNn00;o0000
2?o:]`000ol0003o_l<0oko30002oko30003o`000?o</`3o000000So`l@000?o0000oijk0?l00000
1_no``001?l0003oV;X0oiRj0?l00004okG10003o`000?n:]P3oR[H000;oR[H000Go0000ojBm0?nT
_@3oY;d0o`000002ogFa0003o`000?me/@3o000000?oRkL000?o0000oeZY0?mJZ@000_mJZ@000ol0
003oKJh0off^0002off^0003o`000?oooooooooo017ooooo0_l0000Nooooo`006Oooool00ol0003o
ooooooooo`04ooooo`04o`000?l0AD[o04E:o`0000;o05i500Go0000o`1MA_l0GDKo05e6o`000003
o`1]=004o`000?l0Nago07/Mo`0000?o08L41Ol0000Eooooo`Go00000oml/P000ol0003oR;H0ohRf
0003ohRf0003o`000?nA^03oTKP000CoTKP000?o0000oiJi0?nF^@001?nF^@000ol0003oV;X0oiRj
0002oiRj00?o00001Oo5`P000ol0003o`l@0ol?40005ol?40004o`000?nj`P3o^/80ok[200;o0000
00?ocK00o`000?o:]`001_o:]`000ol0003oa[l0olJo0004olJo00Co00001?o</P000ol0003oakh0
olNn0003olNn0003o`000?o@Z03o000000Sob[L000?o0000oko30?no``000_l00003olbc0003o`00
0?o3a03o`l@000Go`l@00_l00007oko30003o`000?nH^P3o000000Ko]L4000Co0000ohZf0?n:]P3o
00001OnT_@001?l0003oMK40o`000?l00005oh^g0004o`000?mJZ@3oFZT0o`0000GoKJh000?o0000
ooooooooool04oooool00ol0003oooooooooo`0Kooooo`006?ooool00ol0003oooooooooo`05oooo
o`04o`000?l0AD[o04E:o`0000?o05i50_l000000ol0GDKo0000o`1]=002o`1]=005o`000?l0Nago
07/Mo`1k7Ol000000ol0Q`@01?l0003o5I80oaFB0?lETP0Eo`0000;oKJh000?o0000ogbb0?ml/P00
1?ml/P000ol0003oR;H0ohRf0002ohRf0003o`000?nA^03oTKP000CoTKP000?o0000oiJi0?nF^@00
1?nF^@000ol0003oV;X0o`000002o`000003olK10?l0003oaL8000GoaL8000?o0000ol?40?o3a000
1Oo3a0001?l0003o^/80o`000?l00004olf`0003o`000?o:]`3ob[L000Gob[L000Co0000olJo0?o6
_`3oa[l01?l00007olbb0003o`000?o7_P3oakh000;o00000oo@Z0000ol0003ob[L0olZg0005olZg
0003o`000?no``3o000000Goc;<000?o0000ol?40?o3a0000oo3a002o`000003olbc0?l0003o_l<0
00Ko_l<00_l00007okG10003o`000?n:]P3o000000KoY;d000Co0000ogFa0?l0003o00001On;]`00
0ol0003oFZT0o`000007off^0003o`000?oooooooooo01?ooooo00?o0000ooooooooool06_ooool0
01Sooooo00?o0000ooooooooool01_ooool00ol0003o04E:o`000003o`1NA@04o`000?l0Kc7o0000
o`0000Co06dd00Co0000o`1k7Ol0Nago00001?l0Q`@00ol0003o5I80oaFB0002oaFB0003o`000?l^
V`3o;Y/000;o;Y/000?o0000odFS0?m5X`000_m5X`000ol0003oFjT0oe^Y0003oe^Y0003o`000?m]
[P3oKJh000?oKJh000?o0000ogbb0?ml/P000oml/P000ol0003oR;H0ohRf0003ohRf0003o`000?nA
^03oTKP000CoTKP000?o0000oiJi0?nF^@000onF^@02o`0000Goa/4000?o0000olG20?o5`P001?o5
`P000ol0003o`l@0ol?40004ol?400;o00001_o=/0000ol0003ob[L0olZg0005olZg00Co00001?o@
Y`000ol0003oc;80olbb0004olbb0003o`000?o7_P3o000000God:P000?o0000olZg0?o:]`001Oo:
]`02o`0000Ooc;<000Go0000ol?40?o3a03o`l@0o`000004olbc0003o`000?no``3o_l<000?o_l<0
00?o0000olZg0?l000001one`@02o`0000OoY;d00_l00002oh^g0003o`000?n;]`3oRkL000;oRkL0
0_l00007off^00;o00005Oooool00ol0003oooooooooo`0Jooooo`006?ooool3o`0000Kooooo00Co
0000o`15B_l0AD[o00000ol0GTD01?l0003o06lao`000?l00003o`1]=005o`000?l0Nago07/Mo`1k
7Ol000000ol0Q`@00ol0003o5I80oaFB0003oaFB0003o`000?l^V`3o;Y/000;o;Y/000?o0000odFS
0?m5X`000_m5X`000ol0003oFjT0oe^Y0003oe^Y0003o`000?m][P3oKJh000;oKJh000?o0000ogbb
0?ml/P000oml/P000ol0003oR;H0ohRf0003ohRf0003o`000?nA^03oTKP000CoTKP000?o0000oiJi
0?nF^@000ol000000oo5`P3o0000olK10004olK10003o`000?o5`P3oaL8000GoaL8000Co0000ol?4
0?o3a03o`l@00_l000000oo?Z`3o0000olf`0006olf`0003o`000?o:]`3ob[L000;ob[L01?l00006
om2W0003o`000?o</P3oc;8000Coc;800_l00007om2X0003o`000?o:]`3ob[L000?ob[L000?o0000
om:R0?l000001oo</`001?l0003o`l@0o`000?l00005olbc0003o`000?no``3o_l<000;o_l<000Go
0000olZg0?o:]`3ob[L0o`000005okG10003o`000?o7_`3o000000KoY;d000?o0000ok[20?l00000
0on;]`001_l0003oRkL0oh^g0?l0003oW[/0o`0000KoKJh000Co0000ogbb0?ml/P3o00005Oooool0
0ol0003oooooooooo`0Iooooo`002Oooool5o`0000?ooooo0_l00005ooooo`03o`000?oooooooooo
00Kooooo0_l000000ol0AD[o0000o`1NA@02o`1NA@03o`000?l0Kc7o06la00;o00000_l0KC@01Ol0
003o07/Mo`1k7Ol0Nago000000Co08L400?o0000oaFB0?lETP000_lETP000ol0003o;Y/0objK0002
objK0003o`000?m5X`3oAJ<000;oAJ<000?o0000oe^Y0?mKZ@000omKZ@000ol0003oKJh0off^0003
off^0003o`000?ml/P3oO;8000?oO;8000?o0000ohRf0?n8]P000on8]P000ol0003oTKP0oi6h0003
oi6h00?o00001Oo5`P000ol0003oa/40olK10003olK10003o`000?o5`P3oaL8000CoaL8000Co0000
ol?40?l0003o00001?o?Z`000ol0003ocK00olf`0004olf`0003o`000?o:]`3o000000Co000000?o
dih0o`000?o@Y`001_o@Y`000ol0003oc;80olbb0002olbb0003o`000?oDV`3o000000Sod:P000?o
0000olZg0?o:]`000_l00003om:R0003o`000?o</`3oc;<000Coc;<00_l00008olbc0004o`000?no
``3o_l<0o`0000Cob[L000?o0000okG10?ne`@000_ne`@001Ol0003oakl0olNo0?o7_`3o000000Co
Y;d000Go0000ok[20?nj`P3o^/80o`000002oh^g0003o`000?n;]`3o000000?oW[/000?o0000off^
0?m][P000_m][P000ol0003oO;80ogbb0002ogbb0003o`000?oooooooooo01?ooooo00?o0000oooo
ooooool06?ooool000[ooooo00Co0000oooooooooooo00000_ooool01?l0003oooooooooool00004
ooooo`03o`000?oooooooooo00Oooooo0ol00003o`1NA@05o`000?l0Kc7o06lao`000?l0OQL01?l0
0003o`1k7@05o`000?l0Q`Co08L4o`271?l000001?lETP000ol0003o;Y/0objK0002objK0003o`00
0?m5X`3oAJ<000?oAJ<000?o0000oe^Y0?mKZ@000_mKZ@000ol0003oKJh0off^0003off^0003o`00
0?ml/P3oO;8000?oO;8000?o0000ohRf0?n8]P000on8]P000ol0003oTKP0oi6h0003o`000003ol?4
0?l0003oaL8000GoaL8000?o0000olK10?o6`@001?o6`@000ol0003oaL80olG20003olG200;o0000
1_o?Z`000ol0003ocK00olf`0003olf`00Go00001OoCWP000ol0003od:L0om2W0004om2W0003o`00
0?o</P3oc;8000;o00000ooDV`000ol0003od:P0om2X0005om2X0003o`000?o:]`3o000000GodZ80
00?o0000olbc0?o</`000oo</`000ol0003odZ40o`000008olbc0003o`000?no``3o000000Kob[L0
00Co0000okG10?ne`@3o00001Oo7_`001?l0003oY;d0ojBm0?l00005ok[20004o`000?n;]`3oRkL0
o`0000GoW[/000Co0000off^0?m][P3o00001Oml/P000ol0003oooooooooo`0Booooo`;o00002?oo
ool3o`0000oooooo0003ooooo`Go00000oooool00ol0003oooooooooo`02ooooo`04o`000?oooooo
ooooo`0000Cooooo00?o0000ooooooooool01oooool01?l0003o05e6o`000?l00003o`1NA@04o`00
0?l0Kc7o06lao`0000?o07hG1Ol00004o`271003o`000?lETP3o5I8000;o5I8000?o0000objK0?l^
V`000_l^V`000ol0003oAJ<0odFS0002odFS0003o`000?mKZ@3oFjT000?oFjT000?o0000off^0?m]
[P000om][P000ol0003oO;80ogbb0002ogbb0004o`000?n8]P3oR;H0ohRf00Go00001Oo3a0000ol0
003oaL80olG20004olG20003o`000?o6`@3oa/4000?oa/4000?o0000olG20?o5`P000ol000000oo@
Z03o0000oln[0006oln[0003o`000?o=/03ocK0000;o000000?ocK00o`000?l000001ooCWP000ol0
003od:L0om2W0004om2W0003o`000?o</P3o000000Koe9/000?o0000om2X0?o@Z0001?o@Z002o`00
00OodZ8000?o0000olbc0?o</`000_l00003om:Q0003o`000?o</`3oc;<000Goc;<00_l00007olZg
0003o`000?ne`@3o000000Koakl000?o0000ojBm0?l000001_nj`P001Ol0003oRkL0o`000?nN^`3o
000000CoW[/000?o0000off^0?l000001oml/P000ol0003oooooooooo`0Cooooo`03o`000?oooooo
oooo00Cooooo00Go0000ooooooooooooooooo`00000>ooooo`003?ooool01Ol0003ooooooooooooo
oooo000000;ooooo00Co0000oooooooooooooooo0_l00009ooooo`03o`000?l0GDKo05e600;o0000
0_l0GTD01?l0003o06lao`1_<Ol00003o`1n5`04o`000?l5S03o1H`0o`F<00Ko00001?lETP000ol0
003o;Y/0objK0002objK0003o`000?m5X`3oAJ<000?oAJ<000?o0000oe^Y0?mKZ@000_mKZ@000ol0
003oKJh0off^0003off^0004o`000?ml/P3oO;80ogbb00Go00000onj`P000ol0003o`l@0ol?40004
ol?40003o`000?o5`P3oaL8000CoaL8000?o0000olK10?o6`@000oo6`@03o`0000God:P000?o0000
oln[0?o?Z`001?o?Z`03o`000005olf`0?l0003o0000omJH0?l000002?oCWP000ol0003od:L0om2W
0003om2W00;o00001ooDV`000ol0003od:P0om2X0002om2X00;o000000?oei<0o`000?oBXP001_oB
XP000ol0003oc;<0o`000006om:Q0003o`000?o</`3oc;<000?oc;<000?o0000om:S0?l000001oo:
]`02o`0000Ooakl00_l00007ok[200;o00000onN^`001?l0003oW[/0oijk0?nN^`02o`0000OoO;80
0_l0000Fooooo`03o`000?oooooooooo00Oooooo00?o0000ooooooooool03?ooool000Wooooo00Go
0000ooooooooooooooooo`000002ooooo`04o`000?ooooooooooo`0000?ooooo00?o0000oooooooo
ool02Oooool01?l0003o05e6o`000?l0Kc43o`0000;o06la00?o0000o`1n5ol0OQL00_l0OQL01Ol0
003o1H`0o`F<0?l5S03o000000?o8iL01_l00004objK0003o`000?m5X`3oAJ<000?oAJ<000?o0000
oe^Y0?mKZ@000_mKZ@001?l0003oKJh0off^0?m][P06o`0000;o[[l000?o0000ok[20?nj`P001?nj
`P000ol0003o`l@0ol?40004ol?40003o`000?o5`P3oaL8000?oaL8000?o0000olK10?o6`@000ol0
00000oo@Y`3o0000om2X0005om2X0004o`000?o?Z`3ocj/0oln[00Co000000?ocK00o`000?l00000
1?oFV0000ol0003odih0om>N0005om>N0004o`000?o@Y`3od:L0om2W00;o000000?of940o`000?oD
V`001ooDV`001?l0003od:P0o`000?l00004omNC0003o`000?oBXP3odZ8000CodZ800_l00007om:Q
0004o`000?o</`3oc;<0olbc00;o00000ooBX`000ol0003ob[L0olZg0003olZg0003o`000?o@Z03o
000000Koakl000?o0000olbb0?l000001_nj`P000ol0003oa[l0o`000003oijk0006o`000?nN^`3o
W[/0o`000?n^_`3o00001_ml/P001?l0003oR;H0ohRf0?l0000Eooooo`03o`000?oooooooooo00Oo
oooo00?o0000ooooooooool03?ooool000Wooooo00Go0000ooooooooooooooooo`000002ooooo`04
o`000?ooooooooooo`0000?ooooo00?o0000ooooooooool02Oooool01?l0003o05e6o`1MA_l00002
o`1_<@;o00000_l0Kc401Ol0003o07hGo`1n5ol0OQOo000000Co1H`000Go0000ob>G0?lSU`3o8iL0
o`000003od6Q01Co00000onN^`000ol0003o[[l0ojjo0003ojjo0003o`000?nj`P3o^/8000?o^/80
00?o0000ol?40?o3a0001?o3a0000ol0003oaL80olG20003olG200?o00001Oo@Y`000ol0003od:P0
om2X0004om2X00?o00000oo?Z`02o`0000OoeYP000?o0000om>N0?oCWP001?oCWP001?l0003od:L0
o`000?l00004omRA0003o`000?oDV`3oe9/000Goe9/00_l00006omNC0003o`000?oBXP3odZ8000?o
dZ8000?o0000omR@0?l000002?oBX@000ol0003oc;<0o`000006om:S0003o`000?o:]`3ob[L000;o
00000oo@Z0000ol0003oakl0olNo0002olNo0005o`000?o</P3oc;80olbb0?l000001?nj`P001Ol0
003oa[l0olJo0?o6_`3o000000?oW[/00_l00003ojjo0003o`000?ml/P3oO;8000;oO;8000Go0000
ohRf0?n8]P3oR;H0o`00000Fooooo`03o`000?oooooooooo00;ooooo1?l0000?ooooo`002_ooool3
o`0000Cooooo0_l00004ooooo`03o`000?oooooooooo00Wooooo00Co0000o`1MA_l0GDKo00000ol0
Kc42o`000003o`1_<Ol0003o07hG00;o07hG00?o0000o`F<0?l5S0000_l5S0000ol0003o8iL0ob>G
0002ob>G0005o`000?m1X@3o@J40od6Q0?l000001?mLZ@000ol0003oMK40ogFa0003ogFa0003o`00
0?n<]`3oS;L000;oS;L000?o0000oijk0?nN^`001?nN^`000ol0003o[[l0ojjo0002ojjo0003o`00
0?nj`P3o^/8000Co^/8000?o0000ol?40?o3a0000oo3a0000ol0003oaL80olG20003o`000003om2X
0?l0003od:L000God:L000Co0000om2X0?o@Z03od:P01?l00002oln[00?o000000?oei80o`000?oF
V0001_oFV0000ol0003odih0om>N0004om>N00;o00001_oHT@000ol0003oe9/0omBK0003omBK00;o
000000?ofhL0o`000?oGT`001_oGT`000ol0003odZ80om:R0002o`0000?of90000?o0000om:Q0?oB
X@001OoBX@02o`0000OodZ<000?o0000olZg0?l000001_o@Z0001?l0003oakl0olNo0?l00005olbb
0004o`000?nj`P3o^/80o`0000Goa[l000?o0000oijk0?nN^`000_l00004ojjo0004o`000?ml/P3o
O;80o`0000GoR;H000?o0000ooooooooool05?ooool01Ol0003ooooooooooooooooo000001;ooooo
000Gooooo`;o00002oooool00ol0003o05e6o`000003o`1_<@04o`000?l0P1Co0000o`0000Co07hG
00Go0000o`F<0?l5S03o1H`0o`000004ob>G0003o`000?m1X@3o@J4000;o@J4000?o0000oebY0?mL
Z@000_mLZ@000ol0003oMK40ogFa0003ogFa0003o`000?n<]`3oS;L000;oS;L000?o0000oijk0?nN
^`000onN^`000ol0003o[[l0ojjo0003ojjo0003o`000?nj`P3o^/8000?o^/8000?o0000ol?40?o3
a0000oo3a003o`0000God:P000?o0000om2W0?o@Y`001?o@Y`03o`0000?od:P00ol00005omNB0003
o`000?oFV03oeYP000GoeYP000?o0000om>N0?oCWP000ol000000ooKR03o0000omRA0006omRA0005
o`000?oDV`3oe9/0omBK0?l000001?oKQ`000ol0003oei<0omNC0004omNC0003o`000?oBXP3o0000
00Gof90000?o0000om:Q0?oBX@000ooBX@02o`000003omR@0?l0003odZ<000KodZ<00_l00007om2X
0003o`000?o7_`3o000000Koc;8000?o0000ok[20?l000001_o6_`001Ol0003oW[/0o`000?n^_`3o
000000Co[[l000?o0000ogbb0?l000001On8]P02o`0001Gooooo0_l00003ooooo`Go00003_ooool0
01Oooooo00?o0000ooooooooool02_ooool2o`000003o`1MA_l0003o06la00;o06la00?o0000o`20
5?l0P1@00_l00002o`1n5`03o`000?l5S03o1H`000;o1H`000Go0000ob>G0?lSU`3o8iL0o`000004
od6Q0003o`000?mLZ@3oG:T000;oG:T000?o0000ogFa0?me/@000ome/@000ol0003oS;L0ohbg0002
ohbg0003o`000?nN^`3oW[/000CoW[/000?o0000ojjo0?n^_`000on^_`000ol0003o^/80ok[20002
ok[20003o`000?o3a03o`l@000?o000000?ocj/0o`000?o@Z0001Oo@Z0001?l0003od:L0om2W0?o@
Y`04o`0000?od:P00_l000000ooHT03o0000omNB0006omNB0003o`000?oFV03oeYP000CoeYP00ol0
0005om^80003o`000?oHT@3of94000Cof94000Co0000omBK0?l0003o00001OoKQ`000ol0003oei<0
omNC0004omNC00;o00001ooHT0001Ol0003odZ40om:Q0?oBX@3o000000Cof90000?o0000om:S0?oB
X`000ooBX`000ol0003oei@0o`000007om2X00;o00001oo</P02o`0000Ooa[l00_l00003ojjo0004
o`000?n^_`3o[[l0ojjo00;o00001On8]P001?l0003oT;P0oi2h0?l0000Fooooo`03o`000?oooooo
oooo01?ooooo000Fooooo`03o`000?oooooooooo00cooooo0ol00003o`1_<@05o`000?l0P1Co080D
o`000?l;SP000ol00004o`F<0003o`000?lSU`3o8iL000;o8iL000?o0000od6Q0?m1X@000_m1X@00
0ol0003oG:T0oebY0002oebY0003o`000?me/@3oMK4000?oMK4000?o0000ohbg0?n<]`000_n<]`00
0ol0003oW[/0oijk0003oijk0003o`000?n^_`3o[[l000?o[[l000Co0000ok[20?nj`P3o^/801?l0
0005oln[0003o`000?o@Z03od:P000Cod:P00ol00003om2W0004o`000?o@Z03o0000o`0000Cof900
00?o0000omNB0?oGTP001?oGTP000ol0003oeYP0omJH0002omJH00;o000000?ogH40o`000?oKR000
1OoKR0000ol0003of940omRA0004omRA00;o00002?oKQ`001?l0003oei<0omNC0?oGT`02o`000003
omf10?l0003of90000Kof90000Co0000om:Q0?l0003o00001_oHT0000ol0003odZ<0om:S0002o`00
00?oei@000?o0000om2X0?o@Z0000oo@Z0000ol0003oe9`0o`000006olbb0003o`000?o@Y`3o0000
00Koa[l000?o0000olZg0?l000001?n^_`001Ol0003o[[l0o`000?nj`P3o000000CoR;H000?o0000
oi2h0?n@^0000_n@^0000ol0003oooooooooo`0Dooooo`03o`000?oooooooooo01;ooooo000Foooo
o`03o`000?oooooooooo00cooooo00?o0000o`1]=?l000001?l0Kc401?l0003o080Do`205?l00003
o`^>00Go00001?lSU`000ol0003o@J40od6Q0002od6Q0003o`000?mLZ@3oG:T000;oG:T000?o0000
ogFa0?me/@000ome/@000ol0003oS;L0ohbg0002ohbg0003o`000?nN^`3oW[/000?oW[/000Co0000
ojjo0?n^_`3o[[l01_l00002olf`0003o`000?o?Z`3ocj/000Cocj/000?o0000om2X0?o@Z0000_o@
Z003o`0000God:L00_l00006omR@0003o`000?oGTP3oei8000Goei8000Co0000omJH0?l0003o0000
1?oMP@000ol0003ofhP0om^80004om^80004o`000?oHT@3of940omRA00;o000000?ogW`0o`000?oK
Q`001ooKQ`001?l0003oei<0o`000?l00004omf10003o`000?oHT03of90000Cof9000_l00008omR@
0003o`000?oBX`3o000000Koei@000?o0000om2X0?o@Z0000_l00003omBL0003o`000?o</P3oc;80
00;oc;8000Go0000om2W0?o@Y`3od:L0o`000004olJo0005o`000?o:]`3ob[L0olZg0?l000001?n^
_`001Ol0003o^/80ok[20?nj`P3o000000;oR;H000?o0000oi2h0?n@^0001?n@^0000ol0003ooooo
ooooo`0Cooooo`03o`000?oooooooooo01;ooooo000Fooooo`;o00003Oooool00ol0003o06ddo`1]
=002o`0000;o06la00Co0000o`205?l0P1Co00000ol;SP001?l0003o;9X0obbJ0?l/VP06o`0000Co
@J4000?o0000oebY0?mLZ@000omLZ@000ol0003oMK40ogFa0002ogFa0003o`000?n<]`3oS;L000;o
S;L000Co0000oijk0?nN^`3oW[/01_l00003olZg0003o`000?o=/03ocK0000?ocK0000?o0000oln[
0?o?Z`001?o?Z`04o`0000;od:P000?o0000om2W0?o@Y`000ol000000ooIS`3o0000omR@0006omR@
0003o`000?oGTP3oei8000Coei800_l00006omf10003o`000?oKR03ofhP000CofhP000Co0000omRA
0?l0003o00001?oNO0000ol0003ofhL0om^70005om^700;o00001ooMP@001?l0003of900omR@0?oH
T002o`000003omio0?l0003of90000Oof9000_l00007omND0003o`000?o@Z03o000000Koe9`000Co
0000olbb0?o</P3o00001Oo@Y`001?l0003oa[l0olJo0?l00005olZg0003o`000?n^_`3o[[l000;o
00000onj`P000ol0003oR;H0o`000006oi2h00;o00005_ooool00ol0003oooooooooo`0Aooooo`00
5_ooool00ol0003oooooooooo`0=ooooo`04o`000?l0KCCo0000o`1n5`?o00000ol0P1@01Ol0003o
2hh0o`^>0?l;SP3o000000?o;9X000Co0000odfU0?m=Y@3oCJD02_l000000omLZ@3o0000ogFa0002
ogFa00[o00000oo6_`000ol0003ob[L0olZg0004olZg0003o`000?o=/03ocK0000?ocK0000Co0000
oln[0?o?Z`3ocj/01?l00004om2X00?o00001OoIS`000ol0003of900omR@0005omR@0004o`000?oG
TP3oei80omNB00;o000000?ogW`0o`000?oMP@001_oMP@000ol0003ofhP0om^80003om^800;o0000
1ooNO0000ol0003ofhL0om^70002om^700;o000000?ohG@0o`000?oMP@001_oMP@001?l0003of900
o`000?l00004omio0003o`000?oHT03of90000?of9000_l000000ooMP@3o0000omND0006omND00;o
00001ooDW0000ol0003oc;80o`000006om2W0003o`000?o6_`3o000000Kob[L000?o0000ojjo0?l0
00000_nj`P001Ol0003o^/80ok[20?nj`P3o000000KoT;P000Co0000oiJi0?nF^@3o00005_ooool0
0ol0003oooooooooo`0@ooooo`005_ooool00ol0003oooooooooo`0=ooooo`04o`000?l0KCCo06dd
o`0000?o07hG0_l00002o`205004o`000?l;SP3o2hh0o`0000Co;9X000Go0000odfU0?m=Y@3oCJD0
o`000004off^0004o`000?n:]P3oR[H0ohZf00Go00000_nT_@000ol0003o^/80ok[20002ok[20003
o`000?o6_`3oa[l000Coa[l000?o0000olZg0?o:]`000oo:]`000ol0003ocK00olf`0003olf`00Co
00000oo?Z`000ol0003od:P0o`000002o`000003omR@0?l0003ofHl000KofHl000?o0000omR@0?oH
T0001?oHT0001?l0003oei80o`000?l00004omil0003o`000?oMP@3ogH4000CogH4000?o0000om^8
0?oKR0000ol000000ooQL`3o0000omil0007omil0004o`000?oKQ`3o0000o`0000CohG@000?o0000
omf10?oMP@001?oMP@02o`0000OogWl000Go0000omR@0?oHT03of900o`000004omf10003o`000?oG
U03oei@000?oei@000?o0000om^70?l000001ooDW002o`0000Ood:L00_l00007olZg00;o00001?nj
`P001?l0003o^/80o`000?l00005oi2h0003o`000?nF^@3oU[T000;oU[T000?o0000ooooooooool0
4_ooool2o`0001;ooooo000Fooooo`03o`000?oooooooooo00gooooo00Co0000o`1]=?l0KCCo0000
0ol0OQL00ol0003o2hh0o`000002o`0000?o2hh000Go0000obbJ0?l/VP3o;9X0o`000004odfU0003
o`000?m][P3oKJh000;oKJh000?o0000ohZf0?n:]P000_n:]P000ol0003oY;d0ojBm0003ojBm0003
o`000?nj`P3o^/8000;o^/8000?o0000olJo0?o6_`000oo6_`000ol0003ob[L0olZg0004olZg0003
o`000?o=/03ocK0000Co00000oo?Z`04o`0000Gof90000?o0000omV?0?oIS`001?oIS`000ol0003o
f900omR@0004omR@00;o00001_oNO0000ol0003ogH40omf10004omf100?o00001OoQL`000ol0003o
gW`0omil0005omil00;o00001ooQM0001?l0003ogH40omf10?oMP@02o`000003on9`0?l0003ogWl0
00KogWl000Co0000omR@0?l0003o00001_oMP@000ol0003oei@0omND0002o`0000?ofhL000?o0000
omBL0?oDW0000ooDW0000ol0003of940o`000006om2W0003o`000?oCWP3o000000Kob[L000?o0000
olf`0?l000001Onj`P001?l0003o`l@0ol?40?l00003oi2h0003o`000?nF^@3oU[T000CoU[T000?o
0000ooooooooool04oooool00ol0003oooooooooo`0?ooooo`005_ooool00ol0003oooooooooo`0>
ooooo`;o000000?o06ddo`000?l0OQL00_l0OQL01?l0003o2hh0o`^>0?l;SP02o`0000;o2hh000Go
0000obbJ0?l/VP3o;9X0o`000003odfU0003o`000?m][P3oKJh000;oKJh000?o0000ohZf0?n:]P00
0on:]P000ol0003oY;d0ojBm0002ojBm0003o`000?nj`P3o^/8000;o^/8000?o0000olJo0?o6_`00
1?o6_`000ol0003ob[L0olZg0003olZg00?o00000oo=/004o`0000?oei8000?o0000omR@0?oHT000
1?oHT0000ol0003ofHl0omV?0004omV?0003o`000?oHT03of90000?o000000?oggT0o`000?oNO000
1_oNO0001?l0003ogH40omf10?oMP@02o`000003on=]0?l0003ohG<000KohG<000?o0000omil0?oN
O0000_oNO002o`000003onAZ0?l0003ohG@000KohG@000Co0000omf10?l0003o00001?oRL0000ol0
003ogWl0omio0004omio00;o00002?oMP@000ol0003oei@0o`000006om^70003o`000?oDW03oe9`0
00;o00000ooHT@000ol0003od:L0om2W0002om2W0005o`000?oCWP3odih0om>N0?l000001?o:]`00
1Ol0003ocK00olf`0?o=/03o000000?o^/800_l00003ol?40003o`000?n@^03o000000KoU[T00_l0
000Fooooo`03o`000?oooooooooo00kooooo000Eooooo`03o`000?oooooooooo00oooooo00?o0000
o`1k7_l000000_l00002o`1n5`06o`000?l;SP3o2hh0o`^>0?l0003o;i/00ol00003obbJ0003o`00
0?m=Y@3oCJD000;oCJD000?o0000off^0?m][P000_m][P000ol0003oR[H0ohZf0002ohZf0003o`00
0?nT_@3oY;d000?oY;d000?o0000ok[20?nj`P000_nj`P000ol0003oa[l0olJo0004olJo0003o`00
0?o:]`3o000000?o00000_o=/003o`000003omJH0?l0003oei8000Goei8000?o0000omR@0?oHT000
0ooHT0000ol0003ofHl0omV?0004omV?00?o00001OoON@000ol0003ogW`0omil0004omil0004o`00
0?oMP@3o0000o`0000Cohfd000?o0000on5c0?oQL`001OoQL`001?l0003ogW`0o`000?l00004onAZ
0003o`000?oQM03ohG@000CohG@00_l00007on9`0004o`000?oNO`3ogWl0omio00;o000000?ohW00
o`000?oMP@001ooMP@02o`0000OofhL000?o0000omBL0?l000001_oHT@001?l0003od:L0om2W0?l0
0005om>N0004o`000?o:]`3ob[L0o`0000GocK0000?o0000ok[20?l000000_o3a0000ol0003o`l@0
ol?40002o`0000KoU[T000Co0000oiNj0?nG^P3o00005Oooool00ol0003oooooooooo`0>ooooo`00
5Oooool00ol0003oooooooooo`0@ooooo`04o`000?l0Nako07/No`0000?o07hG00Go0000o`^>0?l;
SP3o2hh0o`000003obnK00Co00001Om=Y@000ol0003oKJh0off^0002off^0003o`000?n:]P3oR[H0
00;oR[H000?o0000ojBm0?nT_@000_nT_@000ol0003o^/80ok[20003ok[20003o`000?o6_`3oa[l0
00;oa[l00ol00002olZg00Co00001OoFV0000ol0003oei80omNB0003omNB0003o`000?oHT03of900
00Cof90000?o0000omV?0?oIS`000ol000000ooPN03o0000ommi0006ommi0003o`000?oNO03ogW`0
00?ogW`00_l00007on=]0003o`000?oQL`3ohG<000CohG<00_l00007onAZ0004o`000?oQM03ohG@0
on5d00;o000000?oiV@0o`000?oRL0001_oRL0001?l0003ogWl0o`000?l00004on9`0003o`000?oM
P@3ogH4000CogH4000?o0000on5d0?l000001ooKQ`02o`0000Oof94000?o0000om2W0?l000001_oC
WP000ol0003ob[L0o`000006olf`00;o00001?o3a002o`000003olG30?l0003oU[T000CoU[T000Go
0000oiNj0?nG^P3oUkX0o`00000Fooooo`03o`000?oooooooooo00gooooo000Eooooo`03o`000?oo
oooooooo013ooooo00Co0000o`1k7_l0Nako07/N0_l000000ol0OQOo0000o`^>0002o`^>0005o`00
0?l_V`3o;i/0obnK0?l000000_mDY`05o`000003odfU0?l0003oKJh000?oKJh000?o0000ohZf0?n:
]P000_n:]P000ol0003oY;d0ojBm0002ojBm0003o`000?nj`P3o^/8000?o^/8000?o0000olJo0?o6
_`001ol00002om>N0003o`000?oFV03oeYP000CoeYP000?o0000omNB0?oGTP001?oGTP000ol0003o
f900omR@0003omR@00?o00001OoPN0000ol0003oggT0ommi0004ommi0003o`000?oNO03ogW`000?o
000000?oiFP0o`000?oSK@001_oSK@000ol0003ohG<0on5c0002on5c00;o000000?oiV40o`000?oT
JP001_oTJP001?l0003ohG@0o`000?l00004onIT0003o`000?oRL03ohW0000CohW000_l00007on9`
0004o`000?oMP@3ogH40omf100;o00000ooQM0000ol0003ofhL0om^70003om^70003o`000?oNO03o
000000Oof9400_l00007om>N00;o00001_o=/0000ol0003ocZ/0o`000004ol?40005o`000?o5``3o
aL<0olG30?l000000onF^@000ol0003oUkX0oiNj0002oiNj00;o00005Oooool2o`0000kooooo000E
ooooo`;o00004_ooool01Ol0003o07/No`1k7_l0003o1H`000;o00001?l;SP001Ol0003o;i/0obnK
0?l_V`3o000000;oE:L000Co0000ogNa0?mg/@3oMk406_l00003om2W0003o`000?oCWP3odih000?o
dih000?o0000omJH0?oFV0001?oFV0000ol0003oei80omNB0003omNB0003o`000?oHT03of90000?o
000000?oggT0o`000?oPN0001_oPN0000ol0003oggT0ommi0003ommi00?o00001OoUJ0000ol0003o
hfd0on=]0005on=]0004o`000?oQL`3o0000o`0000CoiV4000?o0000onAZ0?oTJP001?oTJP02o`00
00OoiV@000Co0000on9`0?oRL03ohW000_l000000ooVHP3o0000on9`0007on9`0003o`000?oMP@3o
000000KohG@000?o0000om^70?oKQ`000_l00003omil0003o`000?oHT@3of94000?of94000?o0000
om^80?l000001_oCWP000ol0003oeYP0o`000005olf`0005o`000?o>Z`3ocZ/0olj[0?l000000_o3
a0000ol0003oaL<0o`000003olG30003o`000?nF^@3o000000CoUkX000?o0000oiJi0?l000005Ooo
ool2o`0000kooooo0007ooooo`?o00001?ooool2o`0000Gooooo00?o0000ooooooooool04_ooool0
1?l0003o07/No`1k7_l00002o`F<00;o00000_l;SP001Ol0003o;i/0obnK0?l_V`3o000000?oE:L0
00?o0000ogNa0?mg/@000_mg/@000ol0003oV;X0oiRj0002oiRj0003o`000?ne`@3o]L4000;o]L40
00?o0000olNn0?o7_P000_o7_P000ol0003oc;80o`000002o`000003olbb0?l0003od:L000God:L0
00?o0000om>N0?oCWP000ooCWP000ol0003oeYP0omJH0003omJH0004o`000?oGTP3oei80omNB00Go
00001OoON@000ol0003oh7P0on1h0004on1h0003o`000?oON@3oggT000?o000000?oiFD0o`000?oU
J0001_oUJ0000ol0003ohfd0on=]0004on=]00;o00001ooVH@001?l0003oi6X0onAZ0?oTJP02o`00
0003onQJ0?l0003oiV@000KoiV@000Co0000on9`0?l0003o00001?oVHP000ol0003ohW00on9`0005
on9`00;o00001ooQM0000ol0003ofhL0o`000006omil0003o`000?oHT@3of94000;o00000ooKR000
1?l0003odih0om>N0?oCWP02o`0000?oeYP000Go0000olf`0?o=/03ocK00o`000004olj[0003o`00
0?o3a03o000000?oaL<000?o0000olG30?o5``000_l00004oiNj0005o`000?nF^@3oU[T0oiJi0?l0
00005_ooool00ol0003oooooooooo`0;ooooo`002?ooool00ol0003oooooooooo`02ooooo`04o`00
0?ooooooooooo`0000Cooooo00?o0000ooooooooool04_ooool01?l0003o07/No`1k7_l00002o`F<
0003o`000?l/VP3o000000;o00001?l_V`001?l0003oE:L0oeBW0?l00005ogNa0003o`000?nH^P3o
V;X000;oV;X000?o0000okG10?ne`@000_ne`@000ol0003oakh0olNn0003o`0000Goc;8000?o0000
om2W0?o@Y`000oo@Y`000ol0003odih0om>N0003om>N0003o`000?oFV03oeYP000?oeYP01?l00003
omil0003o`000?oON@3oggT000GoggT000?o0000on1h0?oPN0000ooPN003o`0000GoiFD000?o0000
onEX0?oUJ0001OoUJ0000ol0003ohfd0on=]0003o`000003onQK0?l0003oiV4000KoiV4000Co0000
onAZ0?l0003o00001?oXFP000ol0003oiV@0onIT0004onIT00;o00001ooVHP001?l0003ohW00on9`
0?oRL003o`000003onIT0?l0003ohG@000KohG@00_l00007omil0003o`000?oHT@3o000000KofhP0
00?o0000om>N0?l000001_oFV0000ol0003ocK00o`000005olj[00;o00001Oo5``02o`000003olK2
0?l0003oUkX000;oUkX000?o0000oiJi0?nF^@000onF^@000ol0003oooooooooo`0Cooooo`03o`00
0?oooooooooo00_ooooo0005o`0000?ooooo00?o0000ooooooooool00_ooool01?l0003ooooooooo
ool00003ooooo`03o`000?oooooooooo01Cooooo0_l000001Ol0Nako0000o`F<0?l5S03o000000?o
;9X00_l00002obnK0005o`000?mDY`3oE:L0oeBW0?l000001?mg/@000ol0003oV;X0oiRj0002oiRj
0003o`000?ne`@3o]L4000;o]L400ol00003olNn0003o`000?o</P3oc;8000;oc;8000?o0000om2W
0?o@Y`001?o@Y`000ol0003odih0om>N0003om>N0003o`000?oFV03o000000;o000000?ogH40o`00
0?oNO0001OoNO0000ol0003oggT0ommi0004ommi0003o`000?oPN03oh7P000?o000000?oiV@0o`00
0?oUI@001_oUI@000ol0003oiFP0onEX0004onEX00?o00001OoXF`000ol0003oiV40onIQ0004onIQ
00;o00001ooXFP001?l0003oiV@0onIT0?oVI002o`000003onUG0?l0003oiV8000KoiV8000Co0000
on9`0?l0003o00001OoVI0000ol0003ohG@0on5d0002on5d00;o000000?oi6X0o`000?oNO0001_oN
O002o`0000OofhP00_l00007omJH00;o00001Oo>Z`000ol0003od:P0o`000005olG30007o`000?o6
`P3oa/80olK20?l0003oUkX0o`000006oiJi00;o00005Oooool00ol0003oooooooooo`0:ooooo`00
2?ooool00ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000?ooooo00?o0000oooooooo
ool05?ooool01?l0003o08L4o`000?l00002o`F<0006o`000?l/VP3o;9X0obbJ0?l0003oE:L00ol0
0004oeBW0003o`000?mg/@3oMk4000;oMk4000?o0000oiRj0?nH^P000_nH^P04o`000003okG10?l0
003oakh000?oakh000?o0000olbb0?o</P000oo</P000ol0003od:L0om2W0003om2W0004o`000?oC
WP3odih0om>N00Co00001OoMP@000ol0003ogW`0omil0004omil0003o`000?oON@3oggT000?oggT0
0ol00005onIT0003o`000?oUI@3oiFD000GoiFD000?o0000onEX0?oUJ0000ol000000ooYEP3o0000
onQK0006onQK0004o`000?oVH@3oiV40onIQ00;o000000?oje80o`000?oXFP001_oXFP001?l0003o
iV@0o`000?l00004onUG0003o`000?oVHP3oiV8000CoiV800_l00008onIT0004o`000?oQM03o0000
o`0000Coi6X000?o0000omil0?oNO0000_oNO002o`000003on5c0?l0003ofhP000GofhP000?o0000
omf10?l000001_oFV0000ol0003oei<0o`000004olj[0005o`000?o@Z03od:P0om2X0?l000000oo5
``000ol0003oa/80o`000003olK20003o`000?nF^@3oU[T000CoU[T000Co0000oi2h0?n@^03o0000
5Oooool00ol0003oooooooooo`09ooooo`002?ooool00ol0003oooooooooo`02ooooo`04o`000?oo
ooooooooo`0000?ooooo0_l0000Fooooo`03o`000?l0Q`Co000000?o1H`000Go0000obbJ0?l/VP3o
;9X0o`000003oeBW00Go00001?mg/@000ol0003oV;X0oiRj0003o`0000Go]L4000?o0000olNn0?o7
_P000_o7_P000ol0003oc;80olbb0002olbb0004o`000?o@Y`3od:L0om2W00Ko00000ooKR0000ol0
003ogH40omf10004omf10003o`000?oNO03ogW`000CogW`000?o0000ommi0?l000000_l000000ooU
I@3o0000onIT0006onIT0003o`000?oUI@3oiFD000CoiFD00ol00005onUF0003o`000?oXF`3oj5/0
00Coj5/000Co0000onIQ0?l0003o00001?o[DP000ol0003oj5X0onQJ0004onQJ00;o00001ooYE`00
1?l0003oiV80onIR0?oVHP02o`000003onUG0?l0003oiV@000OoiV@00_l00007onAZ0004o`000?oN
O03o0000o`0000CohG<000Co0000om^80?oKR03ofhP00_l00003omf10004o`000?oFV03oeYP0omJH
00;o00000ooGT`001?l0003ocZ/0olj[0?l00005om2X0003o`000?o5``3o000000?oa/8000Co0000
olK20?l0003o00001OnF^@000ol0003oT;P0oi2h0002oi2h0003o`000?oooooooooo01;ooooo0_l0
000:ooooo`001oooool2o`0000Cooooo00Co0000oooooooooooo00000oooool00ol0003ooooooooo
o`0Eooooo`03o`000?l0Q`Co08L400;o00000_l5S0001?l0003o;9X0obbJ0?l00003oeBW0004o`00
0?mj/P3oN[80ogZb00So00000_nH^P000ol0003o]L40okG10003okG10004o`000?o7_P3oakh0olNn
00[o00000ooHT@000ol0003ofhP0om^80004om^80003o`000?oMP@3ogH4000?ogH4000?o0000omil
0?oNO0001?oNO002o`0000GoiFD000?o0000onIT0?oVI0001?oVI0000ol0003oiFD0onEU0002onEU
00;o000000?ojU@0o`000?oYEP001_oYEP000ol0003oj5/0onQK0003onQK00;o00001oo[DP001?l0
003oj5X0onQJ0?oXFP02o`000003ona=0?l0003ojEL000KojEL000Co0000onIR0?l0003o00001?oY
E`000ol0003oiV@0onIT0004onIT0003o`000?oXFP3o000000Ooi6X00_l00007on5c0003o`000?oK
R03o000000KogH4000?o0000omJH0?l000001OoGT`000ol0003ocZ/0o`000006om2X00;o00001Oo6
`P001?l0003oaL<0olG30?l00003oiJi0003o`000?n@^03oT;P000;oT;P00_l0000Eooooo`03o`00
0?oooooooooo00Sooooo0008ooooo`03o`000?oooooooooo00?ooooo0_l00004ooooo`03o`000?oo
oooooooo01Kooooo00Co0000o`271?l0003o8iL00ol00003obbJ0005o`000?mDY`3oE:L0oeBW0?l0
00000omj/P0Co`0000;od:P000?o0000omBK0?oDV`000_oDV`000ol0003of940omRA0004omRA0003
o`000?oKR03ofhP000CofhP000?o0000omf10?oMP@000ooMP@000ol0003ogW`0omil0003o`000003
onEX0?l0003oiFD000GoiFD000?o0000onIT0?oVI0001?oVI0001?l0003oiFD0o`000?l00004onYD
0003o`000?oYEP3ojEH000CojEH000?o0000onQK0?oXF`000ol000000oo]C03o0000on]B0006on]B
0004o`000?oXFP3o0000o`0000Cok4d000?o0000onUG0?oYE`001?oYE`02o`0000OojEL000Co0000
onIT0?oVI03oiV@00_l00003onQJ0003o`000?oTJP3oi6X000?oi6X000?o0000onIQ0?l000001ooQ
L`02o`0000OogH400_l00006omNC00;o00001_o@Z0000ol0003od:L0o`000004olK200;o00000oo5
``000ol0003oU[T0o`000004oi2h0004o`000?n8]P3oR;H0o`0001?ooooo0ol00009ooooo`005?oo
ool00ol0003oooooooooo`0Fooooo`04o`000?l0Q`Co08L4o`0000?o8iL00_l000000ol/VP3o0000
oeBW0002oeBW0003o`000?mj/P3oN[8000?o00000onN^`000ol0003o_l<0oko30002oko30003o`00
0?o:]`3ob[L000?ob[L000?o0000om2X0?o@Z0000oo@Z0000ol0003oe9/0omBK0002omBK0003o`00
0?oHT@3of94000Cof94000?o0000om^80?oKR0000ooKR0001?l0003ogH40omf10?oMP@05o`0000Go
iFP000?o0000onEU0?oUI@001?oUI@001?l0003oiV@0onIT0?oVI004o`0000OojU@000?o0000onUF
0?oYEP000ooYEP03o`0000GokD`000?o0000on]B0?o[DP001?o[DP02o`0000Ook4d000Co0000onUG
0?oYE`3ojEL00_l00002one;0003o`000?oYE`3ojEL000GojEL000?o0000onIT0?l000001_oXFP00
0ol0003oi6X0onAZ0002o`0000?oiV4000?o0000on5c0?oQL`000ooQL`000ol0003ohfd0o`000006
omf10003o`000?oNO03o000000Goei<000?o0000omR@0?l000001Oo@Z0001Ol0003od:L0om2W0?o@
Y`3o000000;oa/8000Co0000olG30?o5``3o00000_o5``02o`0000CoT;P000?o0000ohRf0?n8]P00
0_n8]P000ol0003oooooooooo`0=ooooo`?o00000_ooool00ol0003oooooooooo`07ooooo`004ooo
ool2o`0001Wooooo0ol00003ob>G0004o`000?m=Y@3o0000o`0000?oE:L00ol00002ogZb0003o`00
0?nN^`3oW[/000;oW[/000?o0000oko30?no``000_no``000ol0003ob[L0olZg0003olZg0003o`00
0?o@Z03od:P000;od:P000?o0000omBK0?oDV`000ooDV`000ol0003of940omRA0004omRA0004o`00
0?oKR03ofhP0om^800Go00000ooSK@000ol0003oiFP0onEX0005onEX0003o`000?oUI@3oiFD000?o
iFD01?l00003on]C0003o`000?oZE03ojU@000GojU@000?o0000onUF0?oYEP000ol000000oo^B03o
0000one<0006one<0003o`000?o[DP3oje8000?o000000?okTD0o`000?o/C@001_o/C@001?l0003o
jEL0o`000?l00005one;0003o`000?oYE`3ojEL000CojEL00_l00007onQJ0003o`000?oTJP3o0000
00KoiV4000?o0000on5c0?oQL`000_l00003on=]0004o`000?oMP@3ogH40omf100;o00000ooNO000
0ol0003oei<0omNC0002o`0000?of90000Go0000om2X0?o@Z03od:P0o`000004om2W0003o`000?o6
`P3o000000CoaL<00_l000000oo3a03o0000oi2h0002oi2h0003o`000?n8]P3oR;H000;oR;H000?o
0000ogbb0?l000002oooool3o`0000Gooooo00?o0000ooooooooool01oooool001?ooooo00?o0000
ooooooooool06?ooool01?l0003o5980o`000?l00003ob>G0003o`000?m=Y@3oCJD000Go00001?mj
/P000ol0003oW[/0oijk0002oijk0003o`000?no``3o_l<000;o_l<000?o0000olZg0?o:]`000_o:
]`000ol0003od:P0om2X0003om2X0003o`000?oDV`3oe9/000?oe9/000Co0000omRA0?oHT@3of940
1_l00002on5c0003o`000?oSK@3ohfd000Cohfd000?o0000onEX0?oUJ0001?oUJ0000ol0003oiFD0
onEU0003o`000003onYD0?l0003oje<000Goje<000?o0000onYD0?oZE0001?oZE003o`0000GokTP0
00?o0000one<0?o]C0001?o]C003o`0000GokTD000?o0000ona=0?o/C@001?o/C@02o`0000SokD/0
00?o0000onUG0?oYE`000ol000000oo/C@3o0000onQJ0006onQJ00;o00001ooVH@000ol0003ohG<0
o`000006on=]0003o`000?oMP@3o000000GogW`000?o0000omNC0?l000001_oHT0000ol0003od:P0
o`000005om2W00;o00001Oo5``001ol0003o`l@0ol?40?o3a03o0000oi2h0?l000001?n8]P001?l0
003oO;80ogbb0?ml/P02o`0000Gooooo1?l00008ooooo`03o`000?oooooooooo00Oooooo000Coooo
o`03o`000?oooooooooo01Wooooo00?o0000oaBB0?l000000olSU`04o`0000?oMk401_l00004oijk
0003o`000?no``3o_l<000;o_l<000?o0000olZg0?o:]`000oo:]`000ol0003od:P0om2X0002om2X
0004o`000?oDV`3oe9/0omBK00Ko00000ooNO0000ol0003ohG<0on5c0003on5c0003o`000?oSK@3o
hfd000Cohfd000?o0000onEX0?oUJ0000ooUJ003o`0000GojU@000?o0000on]C0?o[D`001?o[D`00
0ol0003ojU@0onYD0003o`000003oni50?l0003okTP000KokTP000Co0000one<0?o]C03okD`00_l0
00000oo`?`3o0000oni50006oni50003o`000?o/C@3ok4d000?o00000_o_@P000ol0003okD/0one;
0005one;00?o00001Oo/C@000ol0003oj5X0onQJ0002onQJ00;o000000?oje80o`000?oVH@001_oV
H@02o`0000Oohfd00_l00006omil00;o00001ooHT002o`0000God:L000Co0000om2X0?o@Z03o0000
0oo5``000ol0003o`l@0o`000002ol?400?o00000on8]P000ol0003oO;80ogbb0002ogbb0004o`00
0?m][P3o0000ooooo`?o00002oooool00ol0003oooooo`000008ooooo`004oooool00ol0003ooooo
ooooo`0Iooooo`03o`000?lDTP3o598000?o000000Go8iL0o`000?m=Y@3oCJD0o`000003ogNa0004
o`000?nN^`3oW[/0oijk00Go000000?oW[/0o`000?no``000ono``000ol0003ob[L0olZg0002olZg
0004o`000?o@Z03od:P0om2X00Go00000ooKQ`000ol0003ogW`0omil0004omil0003o`000?oQL`3o
hG<000?ohG<000?o0000on=]0?oSK@000ooSK@000ol0003oiFP0onEX0003o`000003onUF0?l0003o
jU@000KojU@000?o0000on]C0?o[D`000oo[D`03o`0000GokTD000?o0000oni80?o^B0001?o^B000
1?l0003okD`0o`000?l00004oo0o0003o`000?o^A@3okTD000CokTD00ol00006onm20003o`000?o]
B`3okD/000;okD/00_l000000oo_@P3o0000ona=0006ona=0004o`000?oXFP3o0000o`0000Coje80
00?o0000onIQ0?oVH@000_oVH@02o`000003onQK0?l0003ohfd000Gohfd000?o0000onEX0?l00000
1OoNO0000ol0003oggT0o`000006omR@0004o`000?oIS`3ofHl0o`0000?od:L000?o0000om2X0?o@
Z0000_o@Z0000ol0003oaL<0o`000003ol?400;o00000onj`P000ol0003oR;H0o`000004ogbb0005
o`000?m][P3oKJh0off^0?l000003_ooool00ol0003oooooo`000008ooooo`004oooool2o`0001[o
oooo1?l000001?m1X@3o0000o`000?l00003odfU0005o`000?mg/@3oMk40ogNa0?l000000onN^`00
1?l0003o`l@0ol?40?o3a00?o`0000;oei<000?o0000om^70?oKQ`001?oKQ`000ol0003ogW`0omil
0004omil0003o`000?oQL`3ohG<000?ohG<000Co0000on=]0?oSK@3ohfd01?l00005onUF0003o`00
0?oZE03ojU@000CojU@000?o0000on]C0?o[D`000ol000000oo_A03o0000oni50006oni50003o`00
0?o^B03okTP000?okTP00_l00007oo0o0004o`000?o^A@3okTD0oni500;o000000?olCX0o`000?o_
@P001oo_@P001?l0003okD/0o`000?l00004onm20003o`000?o/C@3ok4d000Cok4d00_l00007on]B
0004o`000?oVH@3o0000o`0000Coj5/000Co0000on=]0?oSK@3ohfd00_l00003onEX0003o`000?oN
O03ogW`000;o00000ooON@001?l0003of900omR@0?oHT002o`0000CofHl000?o0000om2W0?l00000
1Oo@Z002o`0000Co`l@00_l00003ok[200;o00001?ml/P001ol0003oKJh0off^0?m][P3o0000oeZY
0?l000003?ooool01?l0003oooooooooool00008ooooo`004oooool00ol0003oooooooooo`0Foooo
o`?o000000Goooooo`000?lDTP3o5980o`000003od6Q00;o000000?oCJD0o`000?mg/@000omg/@00
1Ol0003oW[/0oijk0?nN^`3o000000Co`l@000?o0000olbc0?o</`000_o</`000ol0003odZ80om:R
0002om:R0003o`000?oGT`3oei<000?oei<000?o0000om^70?oKQ`000ooKQ`000ol0003ogW`0omil
0004omil0004o`000?oQL`3ohG<0on5c00Ko00000_oXF`000ol0003ojEH0onUF0005onUF0003o`00
0?oZE03ojU@000?ojU@00ol00005onm40003o`000?o^A@3okTD000CokTD000?o0000oni80?o^B000
0ol00002oo4k0003o`000?o`?`3ol3l000Col3l000Co0000oni50?l0003o00001?oa>P000ol0003o
kd80onm20005onm200;o00001oo_@P001?l0003ok4d0ona=0?o/C@02o`000003oni50?l0003oje80
00Koje800_l00007onQK0003o`000?oSK@3o000000GoiFP000?o0000omil0?l000001_oON@000ol0
003of900o`000006omV?00;o00001Oo@Z0000ol0003ocZ/0o`000003ol?40003o`000?nj`P3o0000
00;o^/8000?o0000ojjo0?l000000oml/P001Ol0003oKJh0off^0?m][P3o000000;oFZT00ol00009
ooooo`;o00000_ooool00ol0003oooooooooo`06ooooo`004oooool00ol0003oooooooooo`0Coooo
o`?o00001Oooool2o`000006oaBB0?l0003o@J40od6Q0?l0003oKJh00ol00003ogNa0003o`000?nN
^`3oW[/000;oW[/000?o0000ol?40?o3a0000_o3a0000ol0003oc;<0olbc0002olbc0003o`000?oB
XP3odZ8000;odZ8000?o0000omNC0?oGT`000ooGT`000ol0003ofhL0om^70003om^70003o`000?oN
O03ogW`000?ogW`01?l00003onIQ0003o`000?oXF`3oj5/000?oj5/000?o0000onUF0?oYEP001OoY
EP000ol0003ojU@0o`000002o`000003oni50?l0003okd@000Kokd@000?o0000oni50?o^A@000oo^
A@03o`0000KolC/000?o0000oo0o0?o`?`000oo`?`02o`0000OolCX000?o0000onm20?o_@P000_o_
@P02o`000003oo4i0?l0003okd8000Kokd8000Co0000ona=0?l0003o00001?o^A@000ol0003oje80
on]B0002on]B00;o000000?okD`0o`000?oXF`001_oXF`02o`0000KoiFP00_l00007ommi00;o0000
1_oIS`000ol0003of900o`000003om2X00;o00000oo>Z`000ol0003o`l@0o`000003ok[200;o0000
0on^_`000ol0003oO;80o`000003off^0004o`000?mJZ@3oFZT0o`0000?oAJ<00_l00006ooooo`;o
00000oooool00ol0003oooooooooo`06ooooo`004_ooool00ol0003oooooooooo`0Booooo`;o0000
2?ooool01?l0003o;Y/0o`000?l00003od6Q0004o`000?m][P3oKJh0off^00Go00000onN^`000ol0
003o`l@0ol?40003ol?40003o`000?o</`3oc;<000;oc;<000?o0000om:R0?oBXP000_oBXP000ol0
003oei<0omNC0003omNC0003o`000?oKQ`3ofhL000;ofhL000?o0000omil0?oNO0000ol000000ooT
JP3o0000onIQ0005onIQ0003o`000?oXF`3oj5/000?oj5/000?o0000onUF0?oYEP001?oYEP02o`00
00GokTD000?o0000onm40?o_A0001?o_A0000ol0003okTD0oni50003o`0000;olCT000?o0000oo4k
0?oa>`001Ooa>`000ol0003ol3l0o`000002o`0000;olSD000?o0000oo4j0?oa>P001Ooa>P001?l0
003okd80o`000?l00004oo4i0003o`000?o_@P3okd8000Cokd800_l00007oni50004o`000?o[DP3o
0000o`0000CokD`000?o0000onQK0?oXF`000_oXF`02o`000003onUG0?l0003oiFP000?oiFP00_l0
0002onEU0003o`000?oON@3oggT000;oggT00_l00002on1h0004o`000?oIS`3ofHl0omV?00;o0000
0ooHT0000ol0003od:P0o`000005olj[00?o00000onj`P02o`0000?o[[l00_l00003off^0004o`00
0?mJZ@3oFZT0o`0000?oAJ<000?o0000objK0?l^V`001ol00004ooooo`03o`000?oooooooooo00Ko
oooo000Booooo`;o00004?ooool3o`0000_ooooo00Co0000objK0?l^V`3o00000om1X@001?l0003o
KJh0off^0?l00003oiRj00Ko00001?o3a0000ol0003oc;<0olbc0002olbc0003o`000?oBXP3odZ80
00?odZ8000Co0000omNC0?oGT`3oei<02Ol00005onAZ0003o`000?oVH@3oiV4000CoiV4000?o0000
onQK0?oXF`000ooXF`000ol0003ojEH0onUF0003o`000003oni80?l0003okTD000GokTD000?o0000
onm40?o_A0000oo_A003o`0000KolCT000?o0000oo4k0?oa>`001?oa>`02o`0000KolSD000?o0000
oo4j0?oa>P001?oa>P02o`0000OolCT000?o0000onm20?o_@P000ol000000ooa>P3o0000oni50006
oni500;o00001oo]C0001?l0003oj5/0o`000?l00004onUG0004o`000?oUJ03o0000o`0000GoiFD0
00Co0000ommi0?l0003o00001OoPN0000ol0003ofHl0o`000005omR@00;o00001Oo>Z`001ol0003o
cK00olf`0?o=/03o0000ok[20?l000000_n^_`000ol0003o[[l0o`000002oijk0003o`000?m][P3o
000000;oFZT000Go0000odFS0?m5X`3oAJ<0o`000002objK0006o`000?lDTP3o0000o`271?l0003o
07/N0_l00004ooooo`03o`000?oooooooooo00Kooooo000Booooo`03o`000?oooooooooo00cooooo
0ol0000?ooooo`03o`000?l^V`3o;Y/000;o000000?o@J40o`000?m][P000_m][P001Ol0003oV;X0
oiRj0?nH^P3o000000?o_l<05?l00002omf10003o`000?oQM03ohG@000?ohG@000?o0000onAZ0?oT
JP001?oTJP000ol0003oiV40onIQ0003onIQ0004o`000?oXF`3oj5/0onQK00Go00001Oo^B0000ol0
003okTD0oni50004oni50003o`000?o_A03o000000;o00000_ob>0000ol0003olCT0oo4i0005oo4i
0003o`000?oa>`3olC/000?o000000?olc40o`000?ob=@001_ob=@000ol0003olCX0oo4j0003o`00
0003oo<b0?l0003olCT000KolCT00ol00005oo4j0003o`000?o^A@3okTD000;okTD00_l000000oo`
?`3o0000one<0006one<00;o00001_oYE`02o`0000OoiFD00_l00007on1h00;o00001OoHT0001?l0
003oei<0omNC0?l00003olj[0003o`000?o=/03ocK0000;ocK000_l00003ojjo00;o00000onN^`03
o`000003oeZY0?l0003oAJ<000;oAJ<000Wo0000objK0?l^V`3o0000oaBB0?l0003o08L4o`000?l0
Nah00_l00006ooooo`03o`000?oooooooooo00Gooooo000Booooo`03o`000?oooooooooo00Wooooo
0ol0000Booooo`05o`000?l^V`3o;Y/0o`000?mLZ@000ol00003off^0005o`000?nH^P3oV;X0oiRj
0?l000000ono``000ol0003oc;<0olbc0002olbc0003o`000?oBX@3odZ4000;odZ4000?o0000omR@
0?oHT0000ooHT0000ol0003ogH40omf10003omf10003o`000?oQM03ohG@000?ohG@000?o0000onAZ
0?oTJP001?oTJP001?l0003oiV40onIQ0?oVH@05o`0000?okD`000?o0000oni80?o^B0001Oo^B000
0ol0003okTD0oni50003oni500;o00001_ob>0000ol0003olCT0oo4i0004oo4i00?o00001Ooc<@00
0ol0003olSD0oo8e0004oo8e00?o00001Ooc<P000ol0003olCT0oo4i0002oo4i00;o000000?olc80
o`000?oa>P001_oa>P001?l0003okTD0o`000?l00004oo0o0003o`000?o]C03okD`000;okD`00_l0
00000oo^B03o0000onUG0003onUG00;o000000?ojU@0o`000?oUI@001OoUI@000ol0003oiV@0o`00
0006on1h0003o`000?oON@3o000000?of9000_l00004omNC0003o`000?o>Z`3o000000CocK0000?o
0000olZg0?l000000on^_`02o`0000;oW[/000Go0000oh^g0?n;]`3oRkL0o`000003odFS0009o`00
0?l^V`3o;Y/0o`000?lDTP3o0000o`271?l0003o07/N00;o00001oooool00ol0003oooooooooo`05
ooooo`004_ooool00ol0003oooooooooo`06ooooo`?o00005_ooool01?l0003o;Y/0objK0?l00003
oebY00Co00001?nH^P001Ol0003o_l<0oko30?no``3o000000Coc;<000?o0000om:Q0?oBX@000_oB
X@000ol0003of900omR@0003omR@0003o`000?oMP@3ogH4000?ogH4000?o0000on5d0?oQM0000ooQ
M0001?l0003oi6X0onAZ0?oTJP06o`0000;oje8000?o0000one<0?o]C0001?o]C0000ol0003okTP0
oni80004oni80003o`000?o^A@3okTD000?o000000?olCT0o`000?ob>0001_ob>0000ol0003olCT0
oo4i0003o`000003oo@_0?l0003olc4000Kolc4000?o0000oo8e0?ob=@000ol000000ood;@3o0000
oo<b0006oo<b0004o`000?oa>@3o0000o`0000Colc8000?o0000oo4j0?oa>P001?oa>P02o`0000Oo
l3l000Co0000one<0?l0003o00001?o^B0001?l0003ojEL0o`000?l00004onYD0004o`000?oUI@3o
iFD0onEU00;o00000ooVI0001?l0003oh7P0on1h0?oPN002o`0000?oggT000?o0000omR@0?l00000
1_oGT`02o`0000CocK0000Oo0000olZg0?o:]`3ob[L0o`000?n^_`3o000000;oW[/00_l00004oh^g
00;o000000[oAJ<0o`000?l^V`3o;Y/0o`000?lDTP3o0000o`271?l0003o07/N0_l00008ooooo`03
o`000?oooooooooo00Gooooo000Booooo`;o00001?ooool3o`0001[ooooo0_l000001Ol^V`3o0000
oebY0?mLZ@3o000000;oR[H01_l00004oko30003o`000?o</`3oc;<000;oc;<000?o0000om:Q0?oB
X@000_oBX@000ol0003of900omR@0003omR@0003o`000?oMP@3ogH4000;ogH4000Co0000on5d0?oQ
M03ohG@01_l00003onQJ0003o`000?o[DP3oje8000?oje8000?o0000one<0?o]C0001?o]C0001?l0
003okTP0oni80?o^B005o`0000GolCT000?o0000oo8h0?ob>0001?ob>003o`0000Gom2l000?o0000
oo<a0?oc<@001?oc<@03o`0000Gom2d000?o0000oo<b0?oc<P001?oc<P02o`0000Oolc8000?o0000
oo4j0?oa>P000ol00002oo8e0003o`000?o`?`3ol3l000Col3l00_l00006oni800;o00001ooZE000
0ol0003oiFD0o`000006onIT0003o`000?oPN03o000000GoggT00_l00006omNC0003o`000?oFV03o
000000?ocK0000?o0000olZg0?o:]`000_o:]`02o`0000?oW[/000?o0000oh^g0?n;]`000_n;]`00
0ol0003oMK40ogFa0002o`000004objK0?l0003o5980o`0000;o08L41?l00008ooooo`03o`000?oo
oooooooo00Gooooo000Aooooo`04o`000?ooooooooooooooo`?o00007Oooool01?l0003oAJ<0o`00
0?l00003oebY0004o`000?n:]P3oR[H0o`0000?o]L401_l00005olbc0003o`000?oBX@3odZ4000;o
dZ4000?o0000omR@0?oHT0000_oHT0001?l0003ogH40omf10?oMP@05o`0000?oiV@000?o0000onQJ
0?oXFP001?oXFP000ol0003oje80on]B0003on]B0003o`000?o]C03okD`000?okD`01?l00003oo4k
0003o`000?oa>@3olCT000GolCT000?o0000oo8h0?ob>0000ol000000ood;P3o0000oo@_0006oo@_
0003o`000?oc<@3olc4000?o000000?omRT0o`000?od;@001_od;@000ol0003olc80oo<b0003o`00
0003ooD[0?l0003olc8000Kolc800ol00006oo8e0003o`000?o`?`3ol3l000?o000000?olC/0o`00
0?o^B0000oo^B002o`000003oni50?l0003ojU@000KojU@00_l00007onIT00;o00001OoON@001?l0
003ogW`0omil0?l00003omNC00;o00000ooFV0000ol0003ocK00o`000004olZg0008o`000?o6_`3o
a[l0o`000?nN^`3o0000oh^g0?l00002oh^g0004o`000?me/@3oMK40o`0000;oG:T01?l000000ol0
Q`Co0000o`000002o`0000Wooooo00?o0000ooooooooool01Oooool000[ooooo0_l00005ooooo`Co
00008Oooool00ol0003oAJ<0odFS0002o`0000;oG:T000Co0000ohZf0?n:]P3o00000one`@001?l0
003ob[L0olZg0?o:]`0Do`0000;ohW0000?o0000onIT0?oVI0001?oVI0000ol0003oj5X0onQJ0004
onQJ0003o`000?o[DP3oje8000?oje8000?o0000one<0?l000000_l00002oo0o0003o`000?oa>`3o
lC/000?olC/000?o0000oo4i0?oa>@001?oa>@03o`0000Gom2h000?o0000oo@_0?od;`001?od;`03
o`0000GomRT000?o0000oo@]0?od;@001?od;@03o`0000GomB/000?o0000oo<b0?oc<P000_oc<P02
o`000003oo@]0?l0003olSD000KolSD00ol00005oo4k0004o`000?o^B03o0000o`0000CokTD000?o
0000onYD0?oZE0000_oZE002o`0000;oje<000?o0000onIT0?oVI0000_oVI002o`000003onEU0?l0
003oggT000;oggT00_l00004omil0003o`000?oGT`3o000000GoeYP00ol00003olZg0003o`000?o6
_`3oa[l000;oa[l00_l00002oh^g00;o00000_me/@001?l0003oG:T0oebY0?l00002od6Q0004o`00
0?lSU`3o0000o`F<00;o00002_ooool00ol0003oooooooooo`05ooooo`002Oooool01?l0003ooooo
ooooool00004ooooo`;o00009?ooool01?l0003oAJ<0o`000?me/@03o`0000?oR[H000Go0000okG1
0?ne`@3o]L40o`000003olZg0003o`000?oBX`3odZ<000?odZ<000?o0000omR@0?oHT0000_oHT000
0ol0003ogWl0omio0002omio0003o`000?oRL03ohW0000?ohW0000?o0000onIT0?oVI0001?oVI000
0ol0003oj5X0onQJ0003onQJ0004o`000?o[DP3oje80on]B00Co00001_o`?`000ol0003olC/0oo4k
0003oo4k0003o`000?oa>@3olCT000?o000000?om2l0o`000?od;P001_od;P000ol0003om2l0oo@_
0003o`000003ooHW0?l0003omRT000KomRT000?o0000oo@]0?od;@000ol000000oof9P3o0000ooD[
0006ooD[0004o`000?oc<P3o0000o`0000Com2d000?o0000oo8e0?ob=@000_ob=@02o`000003oo<a
0?l0003olC/000GolC/00_l00007oni50004o`000?oZE03o0000o`0000Goje<000Co0000onIT0?l0
003o00001?oUI@000ol0003oggT0o`000006omil00;o00001OoFV0001ol0003odih0om>N0?oCWP3o
0000olZg0?l000001?o6_`001Ol0003o^/80ok[20?l0003oRkL000;o000000GoMK40o`000?mLZ@3o
G:T0o`000002od6Q0004o`000?lSU`3o0000o`F<00?o00002_ooool00ol0003oooooooooo`05oooo
o`002Oooool01?l0003oooooooooool00006ooooo`03o`000?oooooooooo027ooooo00Co0000odFS
0?m5X`3o00000ome/@05o`0000?o]L4000Go0000olZg0?o:]`3ob[L0o`000005om:S0003o`000?oH
T03of90000;of90000?o0000omio0?oNO`000_oNO`000ol0003ohW00on9`0003on9`0003o`000?oV
I03oiV@000?oiV@000Co0000onQJ0?oXFP3oj5X01_l00003oni50003o`000?o`?`3ol3l000Gol3l0
00Co0000oo4k0?oa>`3olC/01?l00005oo@_0003o`000?od;P3om2h000Com2h00ol00005ooHW0003
o`000?of:@3omRT000ComRT00ol00005ooHV0003o`000?oe:`3omB/000ComB/00_l00007oo@]0004
o`000?ob=@3o0000o`0000Colc4000Co0000oo4k0?oa>`3olC/00_l000000ooa>@3o0000oni50006
oni500;o00001oo[D`02o`0000KoiFD00_l00006omil0003o`000?oMP@3o000000?oeYP00_l00004
om>N00;o00001?o6_`001?l0003o^/80ok[20?nj`P05o`0000;oG:T000Oo0000od6Q0?m1X@3o0000
ob>G0?l0003o1H`000?o00003?ooool00ol0003oooooooooo`04ooooo`002Oooool01?l0003ooooo
ooooool00007ooooo`03o`000?oooooooooo027ooooo0_l000001Om5X`3o0000ogFa0?me/@3o0000
00?oY;d01_l00003olZg0003o`000?oBX`3odZ<000?odZ<000?o0000omR@0?oHT0000_oHT0000ol0
003ogWl0omio0002omio0003o`000?oRL03ohW0000?ohW0000Co0000onIT0?oVI03oiV@01Ol00003
ona=0003o`000?o^A@3okTD000CokTD000?o0000oo0o0?o`?`001?o`?`04o`0000?olc4000?o0000
oo@_0?od;`001?od;`000ol0003om2h0oo@^0003o`000003ooHV0?l0003omRL000KomRL000?o0000
ooHY0?of:@000ol000000oog8`3o0000ooHV0006ooHV0003o`000?oe:`3omB/000?o00000_of9P00
0ol0003om2d0oo@]0004oo@]00;o00001ooc<@000ol0003olC/0o`000004oo4i0003o`000?o^A@3o
kTD000;okTD00_l00002onm40003o`000?o[D`3oje<000;oje<00_l00002onYD0004o`000?oUI@3o
iFD0onEU00;o00000_oUJ0001?l0003ogW`0omil0?oNO002o`0000?ogH4000?o0000omJH0?l00000
1OoCWP000ol0003od:L0o`000003olJo0005o`000?nj`P3o^/80ok[20?l000000_nT_@03o`000008
oebY0?l0003o@J40od6Q0?l0003o8iL0o`000?l5S004o`0000cooooo00?o0000ooooooooool01?oo
ool000Wooooo00Co0000oooooooooooo00002?ooool00ol0003oooooooooo`0Pooooo`03o`000?mJ
Z@3o000000;o00000_me/@001Ol0003oY;d0ojBm0?nT_@3o000000?oakl01_l00004om:S0003o`00
0?oHT03of90000;of90000?o0000omio0?oNO`000ooNO`001?l0003ohW00on9`0?oRL005o`0000?o
jEL000?o0000ona=0?o/C@000oo/C@000ol0003okTD0oni50004oni50003o`000?o`?`3ol3l000?o
000000?olSD0o`000?oc<@001Ooc<@000ol0003om2l0oo@_0003oo@_00?o00001Oof9P000ol0003o
mRL0ooHW0004ooHW00?o00001Oog8`000ol0003omRH0ooHV0004ooHV00?o00001_of9P000ol0003o
m2d0oo@]0003o`0000;omRT000?o0000oo<a0?oc<@001?oc<@02o`0000KolCT000Co0000oni50?l0
003o00001Oo_A0001?l0003oje<0o`000?l00005onYD0003o`000?oUI@3o000000GoiFP000?o0000
omil0?l000001OoMP@02o`0000Godih000Oo0000om2W0?o@Y`3od:L0o`000?o6_`3o000000;o^/80
0_l00002ojBm0003o`000?n:]P3oR[H000?o000000Go@J40o`000?lSU`3o0000o`F<0004o`0000go
oooo00?o0000ooooooooool01?ooool000Wooooo00Co0000oooooooooooo00002Oooool2o`00027o
oooo00Co0000oeZY0?mJZ@3oFZT00_l000000ome/@3o0000ojBm0002ojBm0005o`000?o7_`3oakl0
olNo0?l000000oo@Z00Do`0000;oiV8000?o0000onUG0?oYE`001?oYE`000ol0003ok4d0ona=0003
ona=0004o`000?o^A@3okTD0oni500Go00001Oob=@000ol0003olc40oo<a0004oo<a0003o`000?od
;`3o000000;o00000_of9`000ol0003omRH0ooHV0004ooHV0003o`000?of9`3omRL000?o000000?o
n240o`000?og8`001_og8`000ol0003omRH0ooHV0003o`0000;omb8000?o0000ooHV0?of9P001?of
9P03o`0000KomRT000?o0000oo<a0?oc<@000ol000000ood;`3o0000oo4i0005oo4i00;o00001oo_
A002o`0000OojU@00_l00006onEX00;o00001OoMP@001?l0003ofhP0om^80?l00003om>N0003o`00
0?o@Y`3od:L000;od:L00ol000000onj`P3o0000ojBm0002ojBm0004o`000?n:]P3oR[H0o`0000;o
KJh02Ol0000>ooooo`03o`000?oooooooooo00Cooooo000:ooooo`;o00003?ooool00ol0003ooooo
ooooo`0Oooooo`05o`000?mJZ@3oFZT0o`000?n;]`000_l00004ojBm0005o`000?o7_`3oakl0olNo
0?l000000oo@Z0000ol0003oei@0omND0002omND0003o`000?oMP@3ogH4000?ogH4000?o0000on9`
0?oRL0000_oRL0000ol0003oiV80onIR0003onIR0003o`000?oYE`3ojEL000CojEL000Co0000ona=
0?o/C@3ok4d01Ol00003oo4j0003o`000?ob=@3olSD000GolSD000Co0000oo<a0?oc<@3olc401?l0
0006ooHW0003o`000?of9P3omRH000?omRH00ol00005ooPQ0003o`000?og8`3omb<000Comb<00ol0
0006ooLR0003o`000?of9P3omRH000?o000000?omb<0o`000?of:@001_of:@03o`0000Gom2l000?o
0000oo4i0?oa>@000ol00002oo8h0003o`000?o_A03okd@000;okd@00_l00002oni50003o`000?oZ
E03ojU@000;ojU@00_l000000ooYE`3o0000onEX0003onEX00;o00000_oSK@001Ol0003ogH40omf1
0?oMP@3o000000CofhP000?o0000om>N0?l000001?o@Y`001Ol0003oc;80olbb0?o</P3o000000?o
Y;d000Co0000ohZf0?n:]P3o00000om][P000ol0003oCJD0odfU0005o`0000oooooo00?o0000oooo
ooooool01?ooool001Wooooo00?o0000ooooooooool07oooool01?l0003oFZT0oeZY0?l00002oh^g
00Go00001?o7_`001Ol0003od:P0om2X0?o@Z03o000000Coei@000?o0000omf10?oMP@000ooMP@00
0ol0003ohW00on9`0002on9`0003o`000?oVHP3oiV8000?oiV8000Co0000onUG0?oYE`3ojEL01_l0
0003onm20003o`000?oa>P3olCX000?olCX000?o0000oo8e0?ob=@001?ob=@04o`0000?omRT000?o
0000ooHW0?of9`001Oof9`000ol0003omRH0o`000002o`0000;on24000?o0000ooPQ0?oh8@001?oh
8@000ol0003omb<0ooLS0003o`0000;on1h000?o0000ooLR0?og8P001?og8P03o`0000Gomb<000?o
0000ooHY0?of:@000_of:@02o`000003ooHW0?l0003om2l000Gom2l00ol00006oo8h0004o`000?o_
A03o0000o`0000GokTD000Co0000onYD0?l0003o00001?oYE`001?l0003oiFP0o`000?l00005on=]
0003o`000?oMP@3o000000GofhP00_l00003om2W00;o00000oo</P001Ol0003oakl0o`000?nT_@3o
000000;oR[H000Ko0000off^0?m][P3oKJh0o`000?m=Y@06o`00013ooooo00?o0000ooooooooool0
1?ooool001[ooooo00?o0000ooooooooool07oooool2o`000005oeZY0?l0003oRkL0oh^g0?l00000
0_nj`P06o`0000Cod:P000?o0000omND0?oGU0000_oGU0000ol0003ogH40omf10003omf10003o`00
0?oRL03ohW0000;ohW0000Co0000onIR0?oVHP3oiV801Ol00003one;0003o`000?o_@P3okd8000Co
kd8000?o0000oo4j0?oa>P000ooa>P000ol0003olSD0oo8e0003o`000003oo@]0?l0003omRT000Go
mRT000?o0000ooHW0?of9`001?of9`02o`0000Kon24000?o0000ooPQ0?oh8@000ooh8@03o`0000Ko
n1h000?o0000ooLR0?og8P000ol000000ooh7P3o0000ooLS0006ooLS0004o`000?of:@3o0000o`00
00ComRL000Co0000oo@_0?od;`3om2l00_l000000ood;P3o0000oo8h0006oo8h00;o00001oo^A@02
o`0000KojEL00_l00007on=]00;o00001?oKR002o`0000;of94000?o0000om2W0?l000001?o</P00
0ol0003oakl0olNo0003o`000003ohZf0?l0003oKJh000;oKJh000?o0000odfU0?m=Y@001Ol0000A
ooooo`03o`000?oooooooooo00Cooooo000Kooooo`;o00007oooool01?l0003oKJh0o`000?l00003
oh^g0004o`000?nj`P3o^/80o`0000?oc;802ol00003omf100_o00000ooYE`000ol0003okD/0one;
0003one;0003o`000?o_@P3okd8000Cokd8000Co0000oo4j0?oa>P3olCX01?l00005oo@]0003o`00
0?of:@3omRT000ComRT000?o0000ooHW0?of9`000ol000000ooh8@3o0000ooPQ0006ooPQ0003o`00
0?oh8@3o000000;o00000_oi7@000ol0003on1h0ooPN0004ooPN00?o00001Ooh7P000ol0003omb<0
ooLS0004ooLS00;o00001oof9`000ol0003om2l0o`000004oo@^0003o`000?ob>03olSP000;olSP0
0_l00002oo4i0003o`000?o^A@3okTD000;okTD00_l000000oo^B03o0000onUG0003onUG00;o0000
0_oXF`000ol0003ohfd0on=]0002on=]00;o00000_oQL`001?l0003ofhP0o`000?l00004omRA00?o
00000oo</P001?l0003oakl0olNo0?l00003okG100?o000000CoKJh0o`000?m=Y@3oCJD01Ol0000C
ooooo`03o`000?oooooooooo00?ooooo000Mooooo`03o`000?oooooooooo01gooooo00?o0000off^
0?m][P001Ol00002ok[20003o`000?o</P3oc;8000;oc;8000Go0000omBL0?oDW03oe9`0o`000003
om^700Co00000ooQM0000ol0003oiV@0onIT0002onIT0003o`000?oYE`3ojEL000CojEL000?o0000
one;0?o]B`000oo]B`001?l0003okd80onm20?o_@P06o`0000?olc8000?o0000oo@]0?od;@001?od
;@001?l0003omRT0ooHY0?of:@05o`0000Gon24000?o0000ooPQ0?oh8@001?oh8@02o`0000KonAd0
00?o0000ooPN0?oh7P000ol000000ooi6`3o0000ooPN0006ooPN0003o`000?og8`3omb<000?o0000
0_oh8@000ol0003omRL0ooHW0004ooHW00;o00001_od;P001?l0003olSP0o`000?l00005oo4i0004
o`000?o^A@3o0000o`0000CokTP000Co0000onUG0?l0003o00001OoXF`001?l0003ohfd0o`000?l0
0004on5c00;o00001OoHT@001ol0003oe9`0omBL0?oDW03o0000olbb0?l000000_o7_`001Ol0003o
]L40okG10?ne`@3o000000;oV;X00ol000000om=Y@3o0000o`000003o`0001Cooooo00?o0000oooo
ooooool00oooool001kooooo00?o0000ooooooooool07Oooool01?l0003oKJh0off^0?l00002oijk
00?o000000?o^/80o`000?o</P000oo</P001Ol0003oe9`0omBL0?oDW03o000000CofhL000?o0000
on5d0?oQM0000ooQM0000ol0003oiV@0onIT0002onIT0003o`000?oYE`3ojEL000CojEL000Co0000
one;0?o]B`3okD/01Ol00003oo4i0003o`000?oc<P3olc8000Colc8000?o0000oo@]0?od;@000ood
;@04o`0000Comb<000?o0000ooPQ0?oh8@001?oh8@000ol0003on240ooPQ0003o`0000;onA`000?o
0000ooTM0?oi7@000ooi7@03o`0000GonA/000?o0000ooPN0?oh7P001?oh7P03o`0000Kon24000?o
0000ooHW0?of9`000ol000000oof9P3o0000oo@^0005oo@^00;o00001ooa>@02o`0000KokTP00_l0
0007onQK00;o00001OoQL`001?l0003ogW`0omil0?l00003omRA0003o`000?oDW03oe9`000;oe9`0
0ol000000oo7_`3o0000okG10002okG10004o`000?nH^P3oV;X0o`0000;oMk401_l000000ooooooo
0000ooooo`0Booooo`03o`000?oooooooooo00?ooooo000Oooooo`03o`000?oooooooooo01gooooo
0_l000001_m][P3o0000oijk0?nN^`3o0000olJo00?o00001?o</P001Ol0003oe9`0omBL0?oDW03o
000000CofhL000?o0000on5d0?oQM0000ooQM0000ol0003oiV@0onIT0002onIT0004o`000?oYE`3o
jEL0onUG00Ko00000oo_@P000ol0003olCT0oo4i0003oo4i0003o`000?oc<P3olc8000Colc8000?o
0000oo@]0?l000000_l00002ooHV0003o`000?og8`3omb<000Comb<000Co0000ooPQ0?oh8@3on240
1Ol00006ooTL0003o`000?oi7@3o000000;o000000?onAX0o`000?oi6`001_oi6`000ol0003on1h0
ooPN0003o`0000;onAd000?o0000ooPQ0?oh8@001?oh8@03o`0000GomRH000?o0000oo@^0?od;P00
0ol00002oo@_0003o`000?oa>@3olCT000;olCT00_l00002oo4k0004o`000?o^B03okTP0oni800;o
00000_o]C0000ol0003oj5/0onQK0002onQK00;o000000?oiV40o`000?oQL`000_oQL`02o`0000Co
gW`000?o0000omRA0?l000001?oDW0000ol0003od:P0om2X0002o`0000?o]L4000Co0000oiRj0?nH
^P3o00000_mg/@02o`000004obnK0?l0003o0000o`0000?ooooo00?o0000ooooooooool04?ooool0
0ol0003oooooooooo`03ooooo`008?ooool2o`0001gooooo00?o0000ogbb0?l000000_l00002oijk
0004o`000?o6_`3oa[l0olJo00[o00001?oKQ`000ol0003ohG@0on5d0002on5d0004o`000?oVI03o
iV@0onIT00Go00000oo/C@000ol0003okd80onm20004onm20003o`000?oa>@3olCT000?olCT000Co
0000oo<b0?oc<P3olc801?l00006ooHV0003o`000?og8`3omb<000?omb<01?l00004ooTM0003o`00
0?oi703onA`000ConA`00_l00005ooTJ0003o`000?oi6`3onA/000ConA/00ol00006ooTM0003o`00
0?oh8@3on24000?o00000_oh8@000ol0003omRH0ooHV0003ooHV00?o00001_od;`001?l0003olCT0
o`000?l00005oo4k0003o`000?o^B03o000000GokD`000Co0000onQK0?l0003o00001?oVH@000ol0
003ohG<0o`000006omil00;o00000ooDW002o`0000;od:P000Ko0000olZg0?o:]`3o0000okG10?l0
0002oiRj0003o`000?mg/@3o000000;o000000Co;i/0o`000?l0003o00001?ooool00ol0003ooooo
ooooo`0@ooooo`03o`000?oooooooooo00?ooooo000Rooooo`03o`000?oooooooooo01_ooooo00Co
0000ogbb0?ml/P3oO;800_l000001OnN^`3o0000olJo0?o6_`3o000000Cod:L000Co0000omRA0?oH
T@3of9403_l00003onQJ0003o`000?o/C@3ok4d000?ok4d000?o0000onm20?o_@P001?o_@P001?l0
003olCT0oo4i0?oa>@05o`0000ComB/000?o0000ooHV0?of9P001?of9P000ol0003omb<0o`000002
o`000003ooPN0?l0003onAd000KonAd000?o0000ooTL0?oi70000ol000000ooi6@3o0000ooTJ0005
ooTJ0003o`000?oi6`3onA/000?o00000_oi6P000ol0003onAd0ooTM0004ooTM00?o00001_oh8@00
0ol0003omRH0o`000002o`0000;omRL000?o0000oo@_0?od;`001?od;`02o`0000OolC/00_l00006
one<00;o00001_oVH@03o`0000CogW`00_l00002om^70003o`000?oDW03o000000;od:P00_l00003
olZg00?o000000OoV;X0o`000?mg/@3o0000oeBW0?l0003o;i/000;o00001oooool00ol0003ooooo
ooooo`0?ooooo`03o`000?oooooooooo00?ooooo000Sooooo`03o`000?oooooooooo01_ooooo00Go
0000ogbb0?ml/P3o0000ojjo0002o`0000?oa[l000?o0000om2W0?o@Y`000_o@Y`001Ol0003of940
omRA0?oHT@3o000000CogW`000?o0000onAZ0?oTJP001?oTJP000ol0003oj5X0onQJ0002onQJ0003
o`000?o/C@3ok4d000?ok4d000Co0000onm20?o_@P3okd801_l00003oo<b0003o`000?oe:`3omB/0
00ComB/000Co0000ooHV0?of9P3omRH01?l00005ooPN0003o`000?oi7@3onAd000ConAd00ol00005
ooTI0003o`000?oi6P3onAX000?onAX00ol00006ooTJ0003o`000?oi7@3onAd000?o00000_oi7000
0ol0003on240ooPQ0004ooPQ00;o00001_of9`000ol0003om2l0oo@_0003o`0000;olc4000?o0000
oo4k0?oa>`000_oa>`02o`000003oo0o0?l0003okD`000?okD`00_l00002on]B0004o`000?oVH@3o
iV40onIQ00;o00000ooTJP001?l0003ogW`0o`000?l00004om^700?o000000?od:P0o`000?o:]`00
0oo:]`000ol0003o_l<0oko30009o`0000Wooooo00?o0000ooooooooool03oooool00ol0003ooooo
ooooo`02ooooo`009?ooool00ol0003oooooooooo`0Kooooo`;o000000CoO;80o`000?n^_`3o[[l0
1Ol00004om2W0005o`000?oHT@3of940omRA0?l000001?oNO0000ol0003oi6X0onAZ0004onAZ0003
o`000?oXFP3oj5X000;oj5X000Co0000ona=0?o/C@3ok4d01Ol00003oo4j0003o`000?oc<P3olc80
00Colc8000Co0000ooD[0?oe:`3omB/01_l00004ooLR0003o`000?oh7P3on1h000?on1h000?o0000
ooTM0?oi7@000ol00002ooTJ0003o`000?oi6@3onAT000ConAT000?o0000ooTJ0?l000000_l00003
ooXH0003o`000?oi6P3onAX000?onAX00ol00006ooTL0003o`000?oh8@3on24000?o00000_oh8@00
0ol0003omRL0ooHW0003ooHW00?o00001_oc<@001?l0003olC/0o`000?l00004oo0o0004o`000?o]
C03o0000o`0000Goje8000?o0000onIQ0?l000001OoTJP02o`0000CofhL00_l00002omND00;o0000
0oo:]`02o`0000;o_l<000Oo0000oijk0?nN^`3o0000ogZb0?l0003oE:L000;o00002oooool00ol0
003oooooooooo`0>ooooo`03o`000?oooooooooo00;ooooo000Uooooo`;o00007?ooool4o`0000?o
[[l000?o0000olZg0?l000002_l00004omil0004o`000?oTJP3oi6X0onAZ00_o00000oo^A@000ol0
003olCX0oo4j0003oo4j0003o`000?oc<P3olc8000?olc801?l00003ooHV0003o`000?og8P3omb80
00Gomb8000Co0000ooPN0?oh7P3on1h01?l00006ooTJ0004o`000?oi6@3onAT0ooTI00Co00001ooj
60000ol0003onAX0o`000002o`0000;onAT000?o0000ooTL0?oi70001?oi7003o`0000Kon24000?o
0000ooHW0?l000000_l00002ooHY0003o`000?oc<@3olc4000Colc400_l00006oo0o00;o00001oo[
DP02o`0000Coi6X00_l00002on5d0004o`000?oKQ`3o0000o`0000?oei@000Ko0000om:S0?oBX`3o
0000olZg0?l00003oko30007o`000?nN^`3oW[/0o`000?mj/P3o0000oeBW0002o`0000cooooo00?o
0000ooooooooool03_ooool00ol0003oooooooooo`02ooooo`009oooool00ol0003oooooooooo`0J
ooooo`03o`000?n8]P3oR;H000Go00000_o:]`000ol0003odih0om>N0002om>N0003o`000?oKR03o
fhP000Wo00000ooVH@000ol0003oje80on]B0003on]B0003o`000?o^A@3okTD000?okTD000?o0000
oo4j0?oa>P000ooa>P000ol0003olc80o`000002o`0000;om2d000?o0000ooHV0?of9P000oof9P00
0ol0003omb80ooLR0004ooLR00Co00001?oi6`000ol0003onAX0ooTJ0003ooTJ00Co00001?oj5`00
0ol0003onQP0ooXH0004ooXH00;o00001_oi6@000ol0003onA`0ooTL0003o`0000;onAd000?o0000
ooPQ0?oh8@001?oh8@02o`0000KomRT000?o0000oo<a0?oc<@000ol00002oo8e0004o`000?o`?`3o
l3l0oo0o00;o00000_o^A@000ol0003oje80on]B0002on]B00;o00000_oXFP001?l0003oi6X0o`00
0?l00004on5d00?o00000ooGU0001?l0003odZ<0om:S0?oBX`04o`000008oko30?l0003oW[/0oijk
0?l0003oN[80o`000?mDY`02o`0000kooooo00?o0000ooooooooool03Oooool00ol0003ooooooooo
o`02ooooo`00:?ooool00ol0003oooooooooo`0Jooooo`03o`000?n8]P3o000000?o^/800ol00000
0oo:]`3o0000om>N0003om>N0003o`000?oKR03ofhP000;ofhP000?o0000on5c0?oQL`000_oQL`00
0ol0003oiV40onIQ0002onIQ0003o`000?o[DP3oje8000?oje8000?o0000oni50?o^A@000oo^A@00
1?l0003olCX0oo4j0?oa>P03o`0000Kom2d000?o0000ooHV0?of9P000oof9P000ol0003omb80ooLR
0003o`0000;on1h000?o0000ooTK0?oi6`001?oi6`000ol0003onAX0o`000002o`000003ooXH0?l0
003onQL000KonQL000?o0000ooXH0?oj60000ol00002ooXG0003o`000?oi6@3onAT000?onAT00ol0
0006ooTM0003o`000?oh8@3on24000?o000000?omb<0o`000?of:@001Oof:@03o`0000KolSD000?o
0000oo0o0?l000001Oo^A@001?l0003oje80o`000?l00004onQJ00?o00000ooQM002o`0000?ogH40
00?o0000omND0?l000000_oBX`02o`0000?oc;<00ol000001OnN^`3o0000ogZb0?l0003oE:L000;o
00004?ooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00;ooooo000Yooooo`03o`00
0?oooooooooo01[ooooo0ol00003ok[20003o`000?o=/03o000000;o00001?oCWP000ol0003ofhP0
om^80002om^80003o`000?oQL`3ohG<000;ohG<000?o0000onIQ0?oVH@000_oVH@001?l0003oje80
on]B0?o[DP0;o`0000?olSD000?o0000oo@]0?od;@001?od;@001?l0003omRH0ooHV0?of9P04o`00
00Kon1h000Co0000ooTK0?oi6`3onA/01?l00005ooXH0003o`000?oj5`3onQL000ConQL00ol00006
ooXG0003o`000?oi6@3o000000;o00000_oi6P000ol0003onAd0ooTM0004ooTM00?o00001Oog8`00
0ol0003omRT0ooHY0003o`0000;om2d000?o0000oo8e0?ob=@001?ob=@02o`0000KokTD00_l00004
onQJ00;o00000ooVI0000ol0003ohG@0o`000005omf100?o000000?odZ<0o`000?o</`000oo</`00
0ol0003o`l@0ol?40007o`00017ooooo00?o0000ooooooooool03?ooool00ol0003oooooooooo`02
ooooo`00:_ooool2o`0001_ooooo0ol00003ok[20004o`000?o=/03ocK00olf`01Oo00000oo]C000
0ol0003ol3l0oo0o0003oo0o0003o`000?ob=@3olSD000?olSD000Co0000oo@]0?od;@3om2d01_l0
0003ooLS0003o`000?oh7P3on1h000Con1h01?l00004ooTJ0003o`000?oj603onQP000?onQP000?o
0000ooXG0?oj5`000ol00002ooXG0003o`000?oj5`3onQL000ConQL00_l00006ooTJ0003o`000?oi
7@3onAd000?o00000_oh7P000ol0003omb<0ooLS0003ooLS00?o00001_od;@000ol0003olSD0oo8e
0003o`0000;olCX000?o0000oni50?o^A@000ol00002ona=0004o`000?oXFP3o0000o`0000GoiV@0
0_l00004omf100;o00000_oHT002o`0000?oc;<00_l000001_o3a03o0000o`000?nN^`3o0000ogNa
00?o00004oooool00ol0003oooooooooo`0;ooooo`03o`000?oooooooooo00;ooooo000/ooooo`03
o`000?oooooooooo01Wooooo00?o0000oi2h0?l000001?l00003olf`0005o`000?oFV03oeYP0omJH
0?l000001?oMP@000ol0003ohfd0on=]0002on=]0003o`000?oXF`3oj5/000;oj5/000?o0000one<
0?o]C0001?o]C0000ol0003ol3l0oo0o0003oo0o0004o`000?ob=@3olSD0oo8e00Go00001?of:@00
0ol0003omb<0ooLS0003ooLS0003o`000?oh7P3on1h000?o000000?onAd0o`000?oi6P001_oi6P00
1?l0003onQP0ooXH0?oj6004o`0000KonQL000?o0000ooXG0?oj5`000ol000000ooj603o0000ooTJ
0005ooTJ00?o00001_oh7P000ol0003omb<0o`000002o`0000;omRH000?o0000oo@]0?od;@001?od
;@03o`0000GolCX00ol00005ona=00?o00001?oVI002o`0000;ohW0000Co0000omf10?l0003o0000
0ooHT0001ol0003odZ40om:Q0?l0003oc;<0o`000?o3a0000_l000001?nN^`3o0000o`000?mg/@02
o`0001Kooooo00?o0000ooooooooool02oooool00ol0003oooooooooo`01ooooo`00;Oooool00ol0
003oooooooooo`0Iooooo`;o000000?oT;P0o`000?o3a0001_l00003omJH0003o`000?oMP@3ogH40
00;ogH4000?o0000on=]0?oSK@000_oSK@000ol0003oj5/0onQK0002onQK0003o`000?o]C03okD`0
00CokD`000Co0000oo0o0?o`?`3ol3l01Ol00004oo<a0003o`000?of:@3omRT000?omRT000Co0000
ooLS0?og8`3omb<01?l00005ooTM0003o`000?oi6P3onAX000ConAX01?l00003ooXG0003o`000?oj
5`3onQL000ConQL00ol00005ooXH0003o`000?oi6P3onAX000?o00000_oi6`000ol0003on1h0ooPN
0004ooPN00;o00001_of9P000ol0003om2d0oo@]0003o`0000;olc8000Co0000oo4j0?oa>P3olCX0
0_l00002onm20004o`000?o/C@3ok4d0ona=00;o00000ooYE`001?l0003oiV@0o`000?l00004on9`
00;o00000ooHT002o`0000?odZ401Ol000001?nN^`3o0000ogNa0?mg/@02o`0001Sooooo00?o0000
ooooooooool02_ooool00ol0003oooooooooo`01ooooo`00;_ooool00ol0003oooooooooo`0Ioooo
o`Co00000_o3a0000ol0003ocZ/0olj[0006o`0000CogH4000?o0000on=]0?oSK@000_oSK@000ol0
003oj5/0onQK0002onQK0004o`000?o]C03okD`0one<00Ko00000ooa>`000ol0003olc40oo<a0004
oo<a0004o`000?of:@3omRT0ooHY00Go00001?oh8@000ol0003onAd0ooTM0003ooTM0003o`000?oi
6P3onAX000?o00000_oi6@000ol0003onQL0ooXG0003ooXG0003o`000?oj5`3onQL000?o00000_oj
5`000ol0003onQP0ooXH0003ooXH00?o00001_oi6`000ol0003on1h0ooPN0003o`000003ooLR0?l0
003omRH000GomRH00ol00006oo<b0003o`000?oa>P3o000000Gokd8000?o0000ona=0?l000001OoY
E`02o`0000CohW000_l00002omio0003o`000?oHT03o000000?odZ400_l000001?o</`3o0000oko3
0?no``06o`0001Wooooo00?o0000ooooooooool02_ooool00ol0003oooooooooo`01ooooo`00;ooo
ool00ol0003oooooooooo`0Iooooo`03o`000?nF^@3oU[T000Co00000oo>Z`000ol0003oei<0omNC
000Co`0000CokTP000?o0000oo4k0?oa>`000ooa>`001?l0003olc40oo<a0?oc<@06o`0000?omRL0
00?o0000ooPQ0?oh8@001?oh8@001?l0003onAd0ooTM0?oi7@04o`0000KonAT000Co0000ooXG0?oj
5`3onQL01?l00006ooXG0003o`000?oj603o000000;o00000_oi6P000ol0003onA/0ooTK0004ooTK
00?o00001Oog8P000ol0003omRH0ooHV0003o`0000;omB/000?o0000oo<b0?oc<P001?oc<P02o`00
00Kokd800_l00004onUG00;o00000_oVHP001?l0003ohW00o`000?l00004omio00Co000000KodZ40
o`000?o</`3oc;<0o`000?no``02o`0000;oV;X00ol0000Kooooo`03o`000?oooooooooo00Wooooo
00?o0000ooooooooool00Oooool0033ooooo0_l0000Jooooo`;o000000?oU[T0o`000?o5``001_l0
0003omNC0003o`000?oNO03ogW`000;ogW`000?o0000onEX0?oUJ0000_oUJ0000ol0003ojEL0onUG
0003onUG0003o`000?o^B03okTP000?okTP000Co0000oo4k0?oa>`3olC/01Ol00004oo@_0003o`00
0?of9`3omRL000?omRL000Co0000ooPQ0?oh8@3on2401_l00003ooTL0003o`000?oi6@3onAT000Co
nAT01?l00003ooXH0003o`000?oj5`3onQL000ConQL00_l00006ooTJ0003o`000?oi6`3onA/000?o
00000_oh7P000ol0003omb80ooLR0003ooLR00?o00001_oe:`000ol0003olc80oo<b0003o`0000;o
lCT000?o0000onm20?o_@P000ol00002one;0004o`000?oYE`3o0000o`0000CoiV800ol00003omio
00;o00000ooHT003o`000004olbc0?l0003o_l<0o`0000;oV;X00ol0000Nooooo`03o`000?oooooo
oooo00Sooooo00?o0000ooooooooool00Oooool003;ooooo00?o0000ooooooooool06Oooool3o`00
00;oaL<000?o0000om2X0?o@Z0001_l00004omil0003o`000?oUJ03oiFP000;oiFP000?o0000onUG
0?oYE`000ooYE`001?l0003okTP0oni80?o^B005o`0000?olCT000?o0000oo@_0?od;`001?od;`00
1?l0003omRL0ooHW0?of9`05o`0000Con24000?o0000ooTL0?oi70000ooi70000ol0003onAT0ooTI
0003o`0000;onAX000?o0000ooXH0?oj60000ooj60000ol0003onQL0ooXG0003o`0000;onAT000?o
0000ooTJ0?oi6P000ooi6P03o`0000Kon1h000?o0000ooLR0?l000000_l00002ooHV0003o`000?oe
:`3omB/000ComB/00ol00005oo4i00?o00001Oo]B`03o`0000?oiV800_l00003on9`0003o`000?oN
O`3o000000?of9000_l00002om:R00Go000000CoV;X0o`000?l0003o00008?ooool00ol0003ooooo
ooooo`07ooooo`03o`000?oooooooooo007ooooo000cooooo`03o`000?oooooooooo01Wooooo00Ko
0000oiNj0?l0003o0000olG30?l00003om2X0003o`000?oHT03of90001Co00000oo^A@000ol0003o
lCT0oo4i0003oo4i0004o`000?od;`3om2l0oo@_00Ko00000oof9P000ol0003on240ooPQ0004ooPQ
0004o`000?oi703onA`0ooTL00Co00001_oi6P001?l0003onQP0ooXH0?oj6004o`0000KonAT000?o
0000ooTJ0?l000000_l00002ooTM0003o`000?oh7P3on1h000Con1h00_l00006ooHV0003o`000?oe
:`3omB/000?o00000ooc<P000ol0003olCT0o`000002o`0000?okd8000?o0000one;0?l000000_l0
0003onUG0003o`000?oVHP3o000000GohW000ol000000ooHT03o0000o`000002om:R00;o000000Co
b[L0o`000?ne`@3o]L401?l0000Qooooo`03o`000?oooooooooo00Oooooo00?o0000ooooooooool0
0Oooool003Cooooo00?o0000ooooooooool06Oooool6o`0000?od:P000?o0000omR@0?oHT0000_oH
T0000ol0003oggT0ommi0002ommi0003o`000?oUI@3oiFD000;oiFD000?o0000onYD0?oZE0000_oZ
E0000ol0003okTD0oni50003oni50004o`000?oa>@3olCT0oo4i00Go00001?od;P000ol0003omRH0
ooHV0003ooHV0004o`000?oh8@3on240ooPQ00Ko00000ooi7@000ol0003onAX0ooTJ0004ooTJ00Co
00001?oi6P001?l0003onAT0ooTI0?oi6@04o`0000KonAd000?o0000ooPN0?oh7P000ol00002ooLS
0003o`000?of9P3omRH000?omRH00ol00006oo<b00;o00001_o_@P02o`0000KojEL00ol00002on9`
00?o00000_oMP@04o`000006om:R0?l0003ob[L0olZg0?l0003o]L401Ol0000Sooooo`03o`000?oo
oooooooo00Oooooo0Ol00001ooooo`7ooooo000eooooo`;o00006_ooool3o`0000;oa/801Ol00004
omR@0003o`000?oON@3oggT000;oggT000?o0000onEU0?oUI@000_oUI@000ol0003ojU@0onYD0002
onYD0004o`000?o^A@3okTD0oni500Go00001?ob>0000ol0003om2h0oo@^0003oo@^0004o`000?of
9P3omRH0ooHV00Go00001?oh8@000ol0003onAd0ooTM0003ooTM0003o`000?oi6P3onAX000?o0000
0_oi6`000ol0003onAX0ooTJ0003ooTJ00Co00001?oi70000ol0003onAd0ooTM0003ooTM00?o0000
1_og8`000ol0003omRH0o`000002o`0000?om2d000?o0000oo<b0?oc<P000ol00002oo4j0003o`00
0?o_@P3okd8000?o00000_o/C@000ol0003ojEL0onUG0003o`0000;oiV@00ol00003omf100;o0000
0ooGT`03o`000005olZg0?l0003o]L40o`000?n:]P000_l0000Vooooo`03o`000?oooooooooo00Ko
oooo0Ol00001ooooo`7ooooo000gooooo`03o`000?oooooooooo01Sooooo00?o0000oiJi0?l00000
1?l000000oo@Y`3o0000o`00000Fo`0000?okd@000?o0000oo8h0?ob>0001?ob>0001?l0003om2h0
oo@^0?od;P05o`0000?omRL000?o0000ooPQ0?oh8@001?oh8@001?l0003onAd0ooTM0?oi7@04o`00
00KonA/000?o0000ooTJ0?l000000_l00002ooTM0003o`000?oi703onA`000ConA`000?o0000ooTM
0?l000000_l00003ooPQ0004o`000?og8`3omb<0ooLS00Co00001_od;@03o`0000GolCX00ol00005
ona=00?o00000ooVI002o`0000?ohG@000?o0000omf10?l000000ooGT`02o`0000;od:P01_l0000X
ooooo`03o`000?oooooooooo00Kooooo0Ol00001ooooo`7ooooo000hooooo`03o`000?oooooooooo
01Sooooo0_l000000onF^@3o0000olG30006o`0000?ofHl000?o0000on1h0?oPN0000_oPN0000ol0
003oiV@0onIT0002onIT0003o`000?o[D`3oje<000;oje<000?o0000onm40?o_A0000oo_A0001?l0
003olSP0oo8h0?ob>006o`0000?om2l000?o0000ooHW0?of9`000oof9`001?l0003on240ooPQ0?oh
8@06o`0000Con1h000Co0000ooTK0?oi6`3onA/01?l00006ooTM0004o`000?oi703onA`0ooTL00Go
00001Ooh8@04o`0000ComRT000?o0000oo@]0?od;@000ol00003oo8e0003o`000?oa>P3o000000;o
00000oo^A@000ol0003ok4d0o`000002o`0000?oj5X000?o0000onIT0?l000001OoQM003o`000003
omNC0?l0003o000000;od:P01ol0000Zooooo`03o`000?oooooooooo00Gooooo0Ol00001ooooo`7o
oooo000iooooo`03o`000?oooooooooo01Wooooo0ol00002olG30003o`000?o@Z03od:P000Ko0000
1?oPN0000ol0003oiV@0onIT0002onIT0003o`000?o[D`3oje<000;oje<000Co0000onm40?o_A03o
kd@01Ol00004oo4i0003o`000?od;`3om2l000?om2l000Co0000ooHW0?of9`3omRL01Ol00004ooLS
0003o`000?oh7P3on1h000?on1h01?l00004ooPN0003o`000?oi7@3onAd000?onAd01?l00005ooPQ
0003o`000?oh8@3o000000;o00000_of9`000ol0003omRT0ooHY0003ooHY00?o00001_ob=@02o`00
00KokTD00_l00006onQJ00?o00000_oQM003o`0000;ofhL00ol000001_o@Z03o0000o`000?o7_P3o
0000ojBm00;o0000;Oooool00ol0003oooooooooo`04ooooo`7o00000Oooool1ooooo`00>_ooool2
o`0001[ooooo1_l00003om2X0003o`000?oHT03of90001?o00001?o^A@000ol0003olCT0oo4i0003
oo4i0004o`000?od;`3om2l0oo@_00Go00001?of:@000ol0003omb<0ooLS0003ooLS0003o`000?oh
7P3o000000;o00000_og8P000ol0003on1h0ooPN0004ooPN0003o`000?oi7@3o000000;o00000_oh
8@000ol0003on240ooPQ0004ooPQ00;o00001_of9`000ol0003omRT0o`000002o`0000?olc4000?o
0000oo8e0?ob=@000ol000000oo`?`3o0000oni50003oni500;o00000_o[DP000ol0003oj5X0onQJ
0003o`0000;oi6X00ol00003om^700;o00000_oDV`07o`00033ooooo00?o0000ooooooooool00ooo
ool1o`00007ooooo0Oooool003cooooo00?o0000ooooooooool06Oooool9o`0000?of90000?o0000
ommi0?oON@000_oON@000ol0003oiFD0onEU0002onEU0003o`000?oZE03ojU@000;ojU@000?o0000
oni50?o^A@001?o^A@001?l0003olCT0oo4i0?oa>@05o`0000?olc4000?o0000ooHY0?of:@001?of
:@001?l0003omb<0ooLS0?og8`04o`0000Gomb8000Co0000ooPN0?oh7P3on1h01Ol00005ooPQ0003
o`000?oh8@3on24000?o000000?omRH0o`000?of9`001Oof9`03o`0000Golc400ol00005oo0o0004
o`000?o^A@3o0000o`0000Coje800ol00003onAZ00;o00000ooNO0001?l0003ofhL0o`000?oDV`03
o`000003olbb0?l0003o000000?o0000<Oooool00ol0003oooooooooo`03ooooo`7o00000Oooool1
ooooo`00?Oooool00ol0003oooooooooo`0Jooooo`co00001?oON@000ol0003oiFD0onEU0002onEU
0003o`000?oZE03ojU@000;ojU@000Co0000oni50?o^A@3okTD01_l00003oo4k0003o`000?oc<@3o
lc4000?olc4000Co0000ooHY0?of:@3omRT01_l00004ooHV0004o`000?og8P3omb80ooLR00Go0000
1Oog8`001?l0003on240ooPQ0?oh8@04o`0000GomRH000?o0000ooHW0?of9`000ol00003oo@_0003
o`000?oc<@3o000000;o00000ooa>`001?l0003ol3l0oo0o0?o`?`05o`000004on]B0?l0003o0000
o`0000?oiV4000?o0000onAZ0?l000001OoNO005o`000003olbb0?l0003o000000?o0000=?ooool0
0ol0003oooooooooo`03ooooo`7o00000Oooool003kooooo00?o0000ooooooooool06oooool2o`00
0003ok[20?l0003o000000?o000000?oei<0o`000?l000004Ol00004oni80003o`000?oa>`3olC/0
00?olC/000Co0000oo<a0?oc<@3olc401Ol00004oo@]0003o`000?of9P3omRH000?omRH01?l00003
ooHV0003o`000?og8`3omb<000Comb<01?l00004ooHW0004o`000?of9P3omRH0ooHV00Co00001_od
;`02o`0000KolC/01?l00004one<00;o00001_oVH@03o`0000;ogW`01Ol00002om2W00Go0000=ooo
ool00ol0003oooooooooo`02ooooo`7o00000Oooool003oooooo0_l0000Looooo`?o000000?o^/80
o`000?o=/0001_l00004omil0003o`000?oUJ03oiFP000;oiFP000?o0000onUG0?oYE`000_oYE`02
o`0000CokTP000Co0000oo4k0?oa>`3olC/01Ol00003oo8e0003o`000?od;@3om2d000Com2d000?o
0000ooHV0?l000000_l00002ooD[0003o`000?of9P3omRH000?omRH000?o0000ooLS0?og8`000ol0
00000oof:@3o0000ooHW0005ooHW00Co00001?od;P000ol0003om2l0oo@_0003o`0000;olCT000?o
0000oo4k0?oa>`000ol00002oni80003o`000?o]C03okD`000?o00000_oXF`000ol0003oiV40onIQ
0003o`0000;ohG<01?l000000ooHT@3o0000om2W0006o`0003[ooooo00Go0000oooooooooooooooo
o`000001ooooo`00@Oooool00ol0003oooooooooo`0Kooooo`Co00000oo=/0000ol0003oeYP0o`00
000Ho`0000Col3l000?o0000oo8e0?ob=@000_ob=@001?l0003om2d0oo@]0?od;@05o`0000GomB/0
00Co0000ooHV0?of9P3omRH01?l00005ooHY0003o`000?of9`3omRL000?o00000ood;`001?l0003o
m2h0oo@^0?od;P04o`0000GolCT00ol00005oni800?o00001OoXF`04o`000004on5c0?l0003o0000
o`0000?ofhP02?l0000looooo`05o`000?ooooooooooooooool000000Oooool004;ooooo00?o0000
ooooooooool07?ooool7o`0000?oeYP00_l00003omf10003o`000?oSK@3ohfd000;ohfd000?o0000
onQK0?oXF`000_oXF`000ol0003okD`0one<0003one<0004o`000?o`?`3ol3l0oo0o00[o00001Ooc
<P001?l0003omB/0ooD[0?oe:`05o`0000Com2d000Co0000ooHY0?of:@3omRT01?l00006oo@_00Co
00001?ob>0000ol0003olCT0o`000002o`0000?okTD000?o0000oni80?l000000_l00003onUF0003
o`000?oXF`3o000000;o00000ooSK@03o`0000;ofhP02Ol0000oooooo`04o`000?ooooooooooo`00
007ooooo0013ooooo`03o`000?oooooooooo01kooooo3_l00004on=]0003o`000?oXF`3oj5/000;o
j5/000Co0000one<0?o]C03okD`01Ol00003oni50003o`000?oa>P3olCX000?olCX000Co0000oo<b
0?oc<P3olc801_l00004oo<b0004o`000?od;@3om2d0oo@]00Go00001?oc<@000ol0003om2l0oo@_
0003o`0000;olCT000Co0000oo8h0?ob>03olSP01Ol00005oni500?o00001OoYEP03o`0000;ohfd0
0ol00002omf100Co000000?odih0o`000?o:]`000_l00013ooooo`03o`000?oooooo0000007ooooo
0014ooooo`;o00008Oooool4o`0000Codih000?o0000om^80?l000003Ol00004on]B0003o`000?o^
A@3okTD000;okTD000Co0000oo4j0?oa>P3olCX01Ol00004oo4i0004o`000?oc<P3olc80oo<b00Ko
00001?ob=@001?l0003olc40oo<a0?oc<@04o`0000GolCT01?l00005onm40003o`000?o^A@3o0000
00;o00000ooZE0000ol0003ojEH0o`000002o`0000;oiFP01?l000001?oMP@3o0000o`000?l00003
omJH00Co0000AOooool00ol0003oooooo`000001ooooo`00A_ooool00ol0003oooooooooo`0Poooo
o`co00001?oQL`000ol0003oiV40onIQ0002onIQ0004o`000?o[DP3oje80on]B00[o00001?o_@P00
1?l0003olCT0oo4i0?oa>@05o`0000GolCX000Co0000oo8e0?ob=@3olSD01Ol00004oo4k0003o`00
0?oa>@3o000000;o00000oo^A@001?l0003okd@0onm40?o_A005o`0000?ojU@01Ol000001?oUJ03o
0000o`000?l00003omil00?o00000_oFV006o`0004Oooooo0Ol00001ooooo`7o00000017ooooo`03
o`000?oooooooooo02;ooooo1ol000000ooHT@3o0000o`00000<o`0000Coj5X000?o0000ona=0?o/
C@000_o/C@001?l0003okd80onm20?o_@P05o`0000Cokd8000Co0000oo4j0?oa>P3olCX01_l00004
oo0o0004o`000?oa>`3olC/0oo4k00Co00001Oo^A@04o`0000Coje<01?l00004onEU00Co000000Go
gW`0o`000?l0003o0000omNB0007o`0004_ooooo0_l0000004Sooooo00?o0000ooooooooool08ooo
ool3o`000003olbb0?l0003o000000Co00001?oNO0000ol0003oi6X0onAZ0002onAZ0004o`000?oX
FP3oj5X0onQJ00[o00001?o]B`001?l0003okd80onm20?o_@P05o`0000CokTD000Co0000oo0o0?o`
?`3ol3l01_l00004oni80003o`000?o^A@3o000000;o00000ooZE0000ol0003oje<0o`000002o`00
00?oiV@000?o0000onEU0?l000000_l00003ommi00Ko000000Cocj/0o`000?l0003o0000COooool3
o`000000BOooool2o`0002Kooooo1Ol000000ooDW03o0000o`00000<o`0000CoiV@000?o0000onUG
0?oYE`000_oYE`001?l0003okD/0one;0?o]B`05o`0000Cok4d000Co0000oni50?o^A@3okTD01Ol0
0005one<0004o`000?o^B03okTP0oni800Go00000ooZE004o`0000?oiV@01Ol00002ommi00Go0000
00?od:P0o`000?l000000_l0001<ooooo`Co00000oooool004_ooooo00?o0000ooooooooool09_oo
ool<o`0000CohG@000Co0000onIT0?oVI03oiV@02_l00004onUG0004o`000?o/C@3ok4d0ona=00Go
00001?o[DP001?l0003okD`0one<0?o]C006o`0000;ojEH01_l00002onEU00Go00000ooPN00;o`00
04_ooooo1?l00007ooooo`00C?ooool00ol0003oooooooooo`0Xooooo`Oo000000?oei@0o`000?l0
00001ol00004on9`0003o`000?oVHP3oiV8000;oiV8000Co0000onUG0?oYE`3ojEL01Ol00004onQJ
0004o`000?o[DP3oje80on]B00Go00000ooXF`05o`0000?oiFP01Ol00003ommi00Go000000?ofHl0
o`000?l000001Ol0001:ooooo`Co00002oooool004gooooo00?o0000ooooooooool0:ooooolJo`00
00CoiV@000Co0000onQJ0?oXFP3oj5X01Ol00003onIQ00Go00000ooSK@05o`0000?ogW`01Ol00002
omR@00So0000B_ooool3o`0000oooooo001>ooooo`;o0000;Oooool00ol0003oooooo`00000Mo`00
00?oi6X01Ol00003on5c00Go00000_oMP@06o`0000;oei802Ol0001:ooooo`Co00004_ooool0053o
oooo00?o0000ooooooooool0:_ooool00ol0003oooooooooo`03oooooa3o00000ooMP@0:o`0000;o
gW`01_l00002om^800Go00000ooFV00:o`0004[ooooo1?l0000Fooooo`00DOooool00ol0003ooooo
ooooo`0Yooooo`03o`000?oooooooooo00_ooooo:_l0001=ooooo`Co00006_ooool005;ooooo00?o
0000ooooooooool0:?ooool00ol0003oooooooooo`0GoooooaCo0000Doooool4o`0001kooooo001C
ooooo`;o0000:?ooool00ol0003oooooooooo`1jooooo`Co00008_ooool005Gooooo00?o0000oooo
ooooool09Oooool00ol0003oooooooooo`1fooooo`Co00009_ooool005Kooooo00?o0000oooooooo
ool09?ooool00ol0003oooooooooo`1booooo`Co0000:_ooool005Oooooo00?o0000ooooooooool0
8oooool00ol0003oooooooooo`1^ooooo`Co0000;_ooool005Sooooo0_l0000Sooooo`03o`000?oo
oooooooo06_ooooo0ol0000booooo`00F_ooool00ol0003oooooooooo`0Pooooo`03o`000?oooooo
oooo06Oooooo1?l0000eooooo`00Foooool00ol0003oooooooooo`0Oooooo`03o`000?oooooooooo
06?ooooo1?l0000iooooo`00G?ooool00ol0003oooooooooo`0Nooooo`03o`000?oooooooooo05oo
oooo1?l0000mooooo`00GOooool2o`0001kooooo00?o0000ooooooooool0Foooool4o`00047ooooo
001Oooooo`03o`000?oooooooooo01_ooooo00?o0000ooooooooool0Eoooool4o`0004Gooooo001P
ooooo`03o`000?oooooooooo01[ooooo00?o0000ooooooooool0Doooool4o`0004Wooooo001Qoooo
o`03o`000?oooooooooo01Wooooo00?o0000ooooooooool0Coooool4o`0004gooooo001Rooooo`03
o`000?oooooooooo01Sooooo00?o0000ooooooooool0C?ooool3o`00057ooooo001Sooooo`;o0000
6?ooool00ol0003oooooooooo`18ooooo`Co0000E?ooool006Gooooo00?o0000ooooooooool05Ooo
ool00ol0003oooooooooo`14ooooo`Co0000F?ooool006Kooooo00?o0000ooooooooool05?ooool0
0ol0003oooooooooo`10ooooo`Co0000G?ooool006Oooooo00?o0000ooooooooool04oooool00ol0
003oooooooooo`0looooo`Co0000H?ooool006Sooooo0_l0000Cooooo`03o`000?oooooooooo03So
oooo1?l0001Tooooo`00J_ooool00ol0003oooooooooo`0@ooooo`03o`000?oooooooooo03Cooooo
1?l0001Xooooo`00Joooool00ol0003oooooooooo`0?ooooo`03o`000?oooooooooo033ooooo1?l0
001/ooooo`00K?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo02kooooo0ol0001`
ooooo`00KOooool2o`0000gooooo00?o0000ooooooooool0:_ooool4o`0007?ooooo001_ooooo`03
o`000?oooooooooo00[ooooo00?o0000ooooooooool09_ooool4o`0007Oooooo001`ooooo`03o`00
0?oooooooooo00Wooooo00?o0000ooooooooool08_ooool4o`0007_ooooo001aooooo`03o`000?oo
oooooooo00Sooooo00?o0000ooooooooool07_ooool4o`0007oooooo001booooo`;o00002?ooool0
0ol0003oooooooooo`0Jooooo`Co0000Poooool007Cooooo00?o0000ooooooooool01Oooool00ol0
003oooooooooo`0Fooooo`Co0000Qoooool007Gooooo00?o0000ooooooooool01?ooool00ol0003o
ooooooooo`0Booooo`Co0000Roooool007Kooooo00?o0000ooooooooool00oooool00ol0003ooooo
ooooo`0>ooooo`Co0000Soooool007Oooooo0_l00003ooooo`03o`000?oooooooooo00_ooooo0ol0
002Cooooo`00NOooool01?l0003oooooooooool00009ooooo`Co0000U_ooool007[ooooo00?o0000
ooooool000001Oooool4o`0009[ooooo001kooooo`;o000000?oooooo`000?l000000_l0002Noooo
o`00O?ooool2o`000:;ooooo003oooooob7ooooo003oooooob7ooooo003oooooob7ooooo003ooooo
ob7ooooo000_ooooo`?o0000R_ooool00ol0003oooooooooo`0[ooooo`?o00005Oooool00ol0003o
ooooooooo`0Kooooo`00<?ooool00ol0003oooooooooo`28ooooo`03o`000?oooooooooo02oooooo
00?o0000ooooooooool04oooool00ol0003oooooooooo`0Jooooo`00:_ooool3o`0000?ooooo0ol0
0004ooooo`;o00000_ooool5o`0000;ooooo0ol00003ooooo`Co000000?oooooo`000?l000000ol0
0007ooooo`?o00001?ooool4o`0000?ooooo0_l00002ooooo`Ko00001_ooool4o`0000;ooooo1Ol0
00000ooooooo0000o`000003o`000003ooooool0003o000000?o00000_ooool3o`0000;ooooo0ol0
0004ooooo`?o00000_ooool3o`000004ooooool0003o0000ooooo`?o00000oooool3o`0000Wooooo
00?o0000ooooooooool00oooool00ol0003oooooo`000003ooooo`Co00000oooool00ol0003ooooo
ooooo`02ooooo`?o00000_ooool5o`0000;ooooo0ol00002ooooo`?o000000Coooooo`000?l0003o
oooo1?l00003ooooo`;o00000_ooool:o`0000Gooooo00?o0000ooooooooool06Oooool002Wooooo
00Go0000ooooooooooooooooo`000002ooooo`04o`000?ooooooooooo`0000;ooooo00Co0000oooo
oooooooo00000oooool01Ol0003ooooooooooooooooo000000?ooooo00?o0000ooooool000000_oo
ool00ol0003oooooooooo`02ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool00_oo
ool01?l0003oooooooooool00003ooooo`04o`000?ooooooooooo`0000;ooooo00Co0000oooooooo
oooo00002?ooool01?l0003oooooooooool00003ooooo`03o`000?oooooooooo00?ooooo00?o0000
ooooooooool00oooool01Ol0003ooooooooooooooooo000000Kooooo00?o0000ooooooooool00_oo
ool00ol0003oooooooooo`04ooooo`06o`000?ooooooooooo`000?oooooo00000oooool00ol0003o
ooooo`00000<ooooo`03o`000?oooooooooo00?ooooo00?o0000ooooool000000_ooool01?l0003o
ooooooooool00004ooooo`05o`000?ooooooooooooooool000001oooool01Ol0003ooooooooooooo
oooo000000Kooooo00Ko0000oooooooooooo0000ooooool00003ooooo`04o`000?ooooooooooo`00
00;ooooo00Co0000oooooooooooo00000_ooool00ol0003oooooooooo`03ooooo`03o`000?oooooo
oooo00;ooooo00?o0000ooooooooool06Oooool002Wooooo00Go0000ooooooooooooooooo`000002
ooooo`04o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool01?ooool01Ol0003ooooooooo
oooooooo000000Kooooo0ol00004ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool0
0oooool3o`0000?ooooo00?o0000ooooooooool00oooool01?l0003oooooooooool00008ooooo`04
o`000?ooooooooooo`0000?ooooo00?o0000ooooooooool00oooool00ol0003oooooooooo`03oooo
o`04o`000?ooooooooooooooo`Go00000_ooool00ol0003oooooooooo`02ooooo`Go00000_ooool0
1_l0003oooooooooool0003oooooo`0000Gooooo1Ol00008ooooo`03o`000?oooooooooo00;ooooo
00Go0000ooooool0003oooooo`000002ooooo`?o00000oooool00ol0003oooooo`000002ooooo`Go
00000oooool01?l0003oooooooooooooool5o`0000;ooooo00Ko0000oooooooooooo0000ooooool0
0003ooooo`04o`000?ooooooooooo`0000Gooooo00Co0000oooooooooooo00000_ooool3o`0000Go
oooo00?o0000ooooooooool06Oooool002Wooooo00Go0000ooooooooooooooooo`000002ooooo`04
o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool01?ooool01Ol0003ooooooooooooooooo
000000?ooooo00?o0000ooooool000000_ooool00ol0003oooooooooo`02ooooo`03o`000?oooooo
oooo00Sooooo0ol00002ooooo`04o`000?ooooooooooo`0000?ooooo00?o0000ooooooooool00ooo
ool01?l0003oooooooooool00008ooooo`04o`000?ooooooooooo`0000?ooooo00?o0000oooooooo
ool00oooool00ol0003oooooooooo`03ooooo`05o`000?ooooooooooooooool000000oooool00ol0
003oooooooooo`02o`0000?ooooo00Go0000ooooooooooooooooo`000002ooooo`06o`000?oooooo
ooooo`000?oooooo00000oooool00ol0003oooooo`000003ooooo`03o`000?oooooooooo00Kooooo
00?o0000ooooooooool00_ooool01ol0003oooooo`000?oooooo0000ooooool000000_ooool01ol0
003ooooooooooooooooo0000ooooool000000_ooool01Ol0003ooooooooooooooooo000000?ooooo
00Go0000ooooooooooooooooo`000003ooooo`04o`000?ooooooooooo`0000;ooooo00?o0000oooo
ool000000oooool01?l0003oooooooooool00005ooooo`06o`000?ooooooooooo`000?oooooo0000
2?ooool00ol0003oooooooooo`0Iooooo`00:Oooool01_l0003ooooooooooooooooo0000ooooo`Co
00000_ooool4o`0000;ooooo0ol00004ooooo`?o00000oooool2o`0000Gooooo00?o0000oooooooo
ool02?ooool01?l0003oooooooooool00002ooooo`;o00000oooool4o`0000?ooooo0ol00009oooo
o`05o`000?ooooooooooo`000?ooool00ol00004ooooo`Co00000_ooool4o`0000;ooooo0ol00002
ooooo`;o000000?oooooo`000?l000000_ooool3o`0000;ooooo1?l00003ooooo`?o00000oooool3
o`0000Wooooo00?o0000ooooooooool00_ooool6o`000003ooooool0003o000000?ooooo0_l00000
0ooooooo0000o`000002ooooo`?o00001?ooool00ol0003oooooooooo`02ooooo`?o00000_ooool4
o`0000?ooooo2Ol00003ooooo`?o00000oooool4o`0000Cooooo00?o0000ooooooooool06Oooool0
02Wooooo00Go0000ooooooooooooooooo`000008ooooo`03o`000?oooooooooo01Kooooo00?o0000
ooooooooool02?ooool01?l0003oooooooooool00008ooooo`03o`000?oooooooooo00?ooooo00?o
0000ooooooooool02Oooool01?l0003oooooooooool00009ooooo`03o`000?oooooooooo00?ooooo
00?o0000ooooooooool0;Oooool00ol0003oooooooooo`0Kooooo`03o`000?oooooooooo01Cooooo
00?o0000ooooooooool00oooool00ol0003oooooooooo`0:ooooo`03o`000?oooooooooo01[ooooo
000Zooooo`?o00002Oooool00ol0003oooooooooo`04ooooo`03o`000?oooooooooo00gooooo0ol0
0009ooooo`Co00002Oooool00ol0003oooooooooo`02ooooo`;o00002_ooool4o`0000Cooooo00?o
0000ooooooooool01?ooool2o`0000Cooooo0_l0000^ooooo`03o`000?oooooooooo01Sooooo0ol0
000Fooooo`03o`000?oooooooooo00;ooooo0_l0000;ooooo`03o`000?oooooooooo01_ooooo0000
\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0625583, 0.0616488, \
0.00353712, 0.00353712}},
  CellTags->{"WUG0.", "WUG5.", "WUG5.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Point Spread Function", "Section",
  CellTags->"PointSpreadFunction"],

Cell[CellGroupData[{

Cell["PSF[pupfun,NumberOfPoints->128];", "Input",
  CellTags->"PointSpreadFunction"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 7.54678 0.00942752 0.00042193 [
[.04719 -0.00307 -15 -9 ]
[.04719 -0.00307 15 0 ]
[.19813 -0.00307 -15 -9 ]
[.19813 -0.00307 15 0 ]
[.34906 -0.00307 -15 -9 ]
[.34906 -0.00307 15 0 ]
[.5 -0.00307 -3 -9 ]
[.5 -0.00307 3 0 ]
[.65094 -0.00307 -12 -9 ]
[.65094 -0.00307 12 0 ]
[.80187 -0.00307 -12 -9 ]
[.80187 -0.00307 12 0 ]
[.95281 -0.00307 -12 -9 ]
[.95281 -0.00307 12 0 ]
[.01131 .09381 -18 -4.5 ]
[.01131 .09381 0 4.5 ]
[.01131 .1782 -18 -4.5 ]
[.01131 .1782 0 4.5 ]
[.01131 .26259 -18 -4.5 ]
[.01131 .26259 0 4.5 ]
[.01131 .34697 -18 -4.5 ]
[.01131 .34697 0 4.5 ]
[.01131 .43136 -24 -4.5 ]
[.01131 .43136 0 4.5 ]
[.01131 .51574 -24 -4.5 ]
[.01131 .51574 0 4.5 ]
[.01131 .60013 -24 -4.5 ]
[.01131 .60013 0 4.5 ]
[.5 .63053 -93 0 ]
[.5 .63053 93 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.04719 .00943 m
.04719 .01568 L
s
[(-0.06)] .04719 -0.00307 0 1 Mshowa
.19813 .00943 m
.19813 .01568 L
s
[(-0.04)] .19813 -0.00307 0 1 Mshowa
.34906 .00943 m
.34906 .01568 L
s
[(-0.02)] .34906 -0.00307 0 1 Mshowa
.5 .00943 m
.5 .01568 L
s
[(0)] .5 -0.00307 0 1 Mshowa
.65094 .00943 m
.65094 .01568 L
s
[(0.02)] .65094 -0.00307 0 1 Mshowa
.80187 .00943 m
.80187 .01568 L
s
[(0.04)] .80187 -0.00307 0 1 Mshowa
.95281 .00943 m
.95281 .01568 L
s
[(0.06)] .95281 -0.00307 0 1 Mshowa
.125 Mabswid
.08493 .00943 m
.08493 .01318 L
s
.12266 .00943 m
.12266 .01318 L
s
.16039 .00943 m
.16039 .01318 L
s
.23586 .00943 m
.23586 .01318 L
s
.2736 .00943 m
.2736 .01318 L
s
.31133 .00943 m
.31133 .01318 L
s
.3868 .00943 m
.3868 .01318 L
s
.42453 .00943 m
.42453 .01318 L
s
.46227 .00943 m
.46227 .01318 L
s
.53773 .00943 m
.53773 .01318 L
s
.57547 .00943 m
.57547 .01318 L
s
.6132 .00943 m
.6132 .01318 L
s
.68867 .00943 m
.68867 .01318 L
s
.7264 .00943 m
.7264 .01318 L
s
.76414 .00943 m
.76414 .01318 L
s
.83961 .00943 m
.83961 .01318 L
s
.87734 .00943 m
.87734 .01318 L
s
.91507 .00943 m
.91507 .01318 L
s
.00946 .00943 m
.00946 .01318 L
s
.99054 .00943 m
.99054 .01318 L
s
.25 Mabswid
0 .00943 m
1 .00943 L
s
.02381 .09381 m
.03006 .09381 L
s
[(200)] .01131 .09381 1 0 Mshowa
.02381 .1782 m
.03006 .1782 L
s
[(400)] .01131 .1782 1 0 Mshowa
.02381 .26259 m
.03006 .26259 L
s
[(600)] .01131 .26259 1 0 Mshowa
.02381 .34697 m
.03006 .34697 L
s
[(800)] .01131 .34697 1 0 Mshowa
.02381 .43136 m
.03006 .43136 L
s
[(1000)] .01131 .43136 1 0 Mshowa
.02381 .51574 m
.03006 .51574 L
s
[(1200)] .01131 .51574 1 0 Mshowa
.02381 .60013 m
.03006 .60013 L
s
[(1400)] .01131 .60013 1 0 Mshowa
.125 Mabswid
.02381 .03052 m
.02756 .03052 L
s
.02381 .05162 m
.02756 .05162 L
s
.02381 .07272 m
.02756 .07272 L
s
.02381 .11491 m
.02756 .11491 L
s
.02381 .13601 m
.02756 .13601 L
s
.02381 .1571 m
.02756 .1571 L
s
.02381 .1993 m
.02756 .1993 L
s
.02381 .22039 m
.02756 .22039 L
s
.02381 .24149 m
.02756 .24149 L
s
.02381 .28368 m
.02756 .28368 L
s
.02381 .30478 m
.02756 .30478 L
s
.02381 .32587 m
.02756 .32587 L
s
.02381 .36807 m
.02756 .36807 L
s
.02381 .38916 m
.02756 .38916 L
s
.02381 .41026 m
.02756 .41026 L
s
.02381 .45245 m
.02756 .45245 L
s
.02381 .47355 m
.02756 .47355 L
s
.02381 .49465 m
.02756 .49465 L
s
.02381 .53684 m
.02756 .53684 L
s
.02381 .55794 m
.02756 .55794 L
s
.02381 .57903 m
.02756 .57903 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(Point Spread Intensity Function)] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .01472 m
.02723 .0148 L
.03097 .01489 L
.03286 .01493 L
.0339 .01496 L
.03488 .01498 L
.0358 .015 L
.03605 .01501 L
.03632 .01502 L
.03679 .01507 L
.03853 .01526 L
.04221 .01568 L
.04617 .01612 L
.04733 .01625 L
.0479 .01632 L
.04843 .01638 L
.04891 .01643 L
.04918 .01642 L
.04943 .01642 L
.05051 .01641 L
.05458 .01636 L
.05644 .01634 L
.0584 .01632 L
.06007 .0163 L
.06053 .0163 L
.06102 .01629 L
.06149 .01629 L
.06191 .01633 L
.06603 .01667 L
.06984 .01698 L
.07166 .01713 L
.07255 .0172 L
.07337 .01727 L
.07379 .0173 L
.07422 .0173 L
.07467 .01727 L
.07515 .01725 L
.07711 .01713 L
.08126 .0169 L
.08502 .01668 L
.08592 .01663 L
.08637 .01661 L
.08687 .0166 L
.08712 .0166 L
.0874 .0166 L
.08791 .01659 L
.08886 .01659 L
.09249 .01656 L
.09463 .01655 L
.09666 .01654 L
Mistroke
.09755 .01653 L
.09849 .01653 L
.09876 .01652 L
.09903 .01652 L
.09952 .0165 L
.10047 .01646 L
.11518 .01582 L
.11912 .01561 L
.12104 .01551 L
.12279 .01541 L
.12325 .01539 L
.12374 .01536 L
.12421 .01535 L
.12464 .01537 L
.12662 .01545 L
.13082 .01563 L
.13259 .0157 L
.1345 .01578 L
.13537 .01582 L
.13585 .01584 L
.1363 .01586 L
.13668 .01587 L
.13708 .01586 L
.13794 .01584 L
.14203 .01573 L
.1458 .01564 L
.1477 .01559 L
.14816 .01558 L
.14866 .01557 L
.14894 .01556 L
.1492 .01556 L
.14946 .0156 L
.14971 .01563 L
.15395 .01617 L
.15767 .01665 L
.15971 .01691 L
.16071 .01704 L
.16115 .0171 L
.16163 .01716 L
.16206 .01718 L
.16247 .0172 L
.16336 .01725 L
.16523 .01734 L
.1692 .01753 L
.17259 .0177 L
.17306 .01772 L
.17357 .01775 L
.17405 .01777 L
.17449 .01781 L
.17622 .01804 L
Mistroke
.18396 .01904 L
.19121 .01992 L
.19478 .02034 L
.19653 .02054 L
.19816 .02073 L
.19863 .02078 L
.19907 .02083 L
.19931 .02085 L
.19957 .02086 L
.20003 .02086 L
.20207 .02087 L
.20564 .02088 L
.20926 .0209 L
.21025 .0209 L
.2108 .02091 L
.21107 .02091 L
.21132 .02091 L
.2118 .02091 L
.21205 .02094 L
.21232 .02097 L
.21324 .02106 L
.2171 .02145 L
.21913 .02165 L
.22126 .02187 L
.22311 .02205 L
.22362 .0221 L
.2239 .02213 L
.22416 .02216 L
.22441 .02216 L
.22467 .02214 L
.22514 .0221 L
.22869 .02177 L
.23229 .02144 L
.23405 .02128 L
.23565 .02114 L
.23608 .0211 L
.23655 .02105 L
.23698 .02103 L
.23739 .02105 L
.23926 .02111 L
.24323 .02124 L
.24522 .0213 L
.24736 .02137 L
.24835 .02141 L
.24889 .02142 L
.24939 .02144 L
.24982 .02144 L
.25028 .02144 L
.25125 .02144 L
.25535 .02143 L
Mistroke
.25714 .02142 L
.25909 .02142 L
.26001 .02142 L
.26098 .02142 L
.26138 .02142 L
.26182 .02141 L
.26229 .02142 L
.26273 .02143 L
.26618 .02148 L
.27003 .02153 L
.27206 .02156 L
.27318 .02158 L
.27373 .02159 L
.27397 .02159 L
.27423 .02159 L
.27472 .02165 L
.27498 .0217 L
.27523 .02175 L
.27631 .02196 L
.2782 .02233 L
.28188 .02305 L
.28379 .02342 L
.28586 .02382 L
.28635 .02392 L
.28681 .02401 L
.28729 .02407 L
.28754 .02409 L
.28782 .02411 L
.28963 .02427 L
.29329 .02458 L
.2967 .02487 L
.29846 .02502 L
.29897 .02506 L
.29945 .0251 L
.29988 .02522 L
.30034 .02535 L
.30433 .0265 L
.31237 .02879 L
.32795 .03211 L
.34296 .03486 L
.35738 .03687 L
.35935 .03692 L
.36039 .03694 L
.36096 .03696 L
.3615 .03697 L
.36175 .03698 L
.36201 .03698 L
.3623 .03701 L
.36257 .03706 L
.36353 .03725 L
Mistroke
.36541 .03762 L
.36921 .03836 L
.37275 .03904 L
.37615 .03994 L
.3798 .04121 L
.38753 .04388 L
.39509 .04547 L
.39716 .04591 L
.3983 .04615 L
.39885 .04627 L
.39936 .04637 L
.3998 .04649 L
.40026 .04676 L
.40124 .04733 L
.4033 .04855 L
.40711 .0508 L
.40921 .05203 L
.41118 .0532 L
.41302 .05458 L
.41502 .05654 L
.4185 .05996 L
.42218 .06357 L
.42403 .06539 L
.42454 .06589 L
.42482 .06618 L
.42508 .06681 L
.42606 .0692 L
.43303 .08612 L
.43486 .09056 L
.43586 .09299 L
.43635 .09418 L
.4368 .09527 L
.43719 .09622 L
.4376 .09808 L
.43846 .10312 L
.44029 .11384 L
.44819 .16011 L
.4557 .22242 L
.46269 .28591 L
.47755 .44534 L
.48513 .52321 L
.4862 .53423 L
.4872 .54455 L
.48746 .5472 L
.4877 .54838 L
.48799 .54966 L
.48825 .55084 L
.4894 .55606 L
.49334 .57394 L
.49687 .5899 L
Mistroke
.49788 .5945 L
.49883 .59882 L
.49925 .60071 L
.49969 .60271 L
.50017 .60332 L
.50062 .60131 L
.50474 .58264 L
.50856 .56532 L
.51041 .55691 L
.51133 .55278 L
.51217 .54895 L
.51264 .54619 L
.51314 .54105 L
.5142 .5302 L
.51604 .51122 L
.52303 .43939 L
.53741 .28477 L
.5454 .21247 L
.55273 .15471 L
.55991 .11267 L
.56166 .10245 L
.56212 .09975 L
.56262 .09683 L
.56309 .09555 L
.56352 .09449 L
.56459 .09189 L
.56557 .08953 L
.56747 .0849 L
.57121 .07582 L
.57327 .07082 L
.57429 .06835 L
.57478 .06715 L
.57523 .06612 L
.57568 .06568 L
.57611 .06526 L
.57704 .06434 L
.57902 .0624 L
.58248 .05899 L
.58612 .05542 L
.58951 .05279 L
.59304 .05071 L
.59692 .04842 L
.59882 .0473 L
.59976 .04675 L
.60017 .0465 L
.60062 .04638 L
.6011 .04628 L
.60162 .04617 L
.6027 .04594 L
.60459 .04554 L
Mistroke
.6082 .04478 L
.61163 .04406 L
.61347 .04357 L
.61548 .04287 L
.61902 .04163 L
.62318 .04017 L
.62414 .03983 L
.62466 .03965 L
.62515 .03948 L
.62557 .03937 L
.62602 .03928 L
.62697 .0391 L
.62882 .03874 L
.63082 .03835 L
.63445 .03764 L
.63548 .03744 L
.6366 .03723 L
.63711 .03713 L
.63739 .03707 L
.63765 .03702 L
.63812 .03698 L
.63836 .03697 L
.63863 .03697 L
.64244 .03688 L
.64639 .03678 L
.64832 .03674 L
.64916 .03672 L
.6496 .03671 L
.65007 .0367 L
.65056 .03664 L
.65102 .03651 L
.65192 .03627 L
.6539 .03572 L
.6581 .03457 L
.66169 .03358 L
.66219 .03345 L
.66245 .03338 L
.66273 .0333 L
.663 .03324 L
.66324 .03321 L
.66371 .03315 L
.66555 .03292 L
.67253 .03205 L
.67439 .03182 L
.67484 .03176 L
.67532 .0317 L
.6756 .03165 L
.67586 .03159 L
.67635 .03147 L
.67987 .03064 L
Mistroke
.6878 .02875 L
.69569 .02649 L
.69916 .02549 L
.70011 .02522 L
.70038 .02514 L
.70065 .02509 L
.70114 .02505 L
.70299 .02489 L
.71008 .02429 L
.71182 .02414 L
.71232 .0241 L
.71279 .02406 L
.71321 .02401 L
.71367 .02392 L
.71571 .02352 L
.7176 .02315 L
.72152 .02238 L
.72344 .02201 L
.72427 .02185 L
.72518 .02167 L
.72567 .02159 L
.72613 .02159 L
.72703 .02157 L
.729 .02155 L
.7332 .02149 L
.73515 .02146 L
.73617 .02144 L
.73724 .02143 L
.7377 .02142 L
.73819 .02141 L
.73847 .02142 L
.73873 .02142 L
.73922 .02142 L
.74104 .02142 L
.74449 .02143 L
.74814 .02144 L
.74901 .02144 L
.74994 .02144 L
.75022 .02144 L
.75048 .02144 L
.75097 .02143 L
.75143 .02141 L
.75193 .0214 L
.75543 .02128 L
.75958 .02115 L
.76054 .02111 L
.76154 .02108 L
.7624 .02105 L
.76289 .02104 L
.76335 .02105 L
Mistroke
.76382 .02109 L
.76424 .02113 L
.7652 .02121 L
.76721 .0214 L
.77084 .02173 L
.77281 .02191 L
.77384 .022 L
.77441 .02206 L
.77494 .02211 L
.77541 .02215 L
.7759 .02215 L
.77617 .02212 L
.77646 .0221 L
.77696 .02205 L
.77883 .02186 L
.78247 .02149 L
.78446 .02129 L
.78635 .0211 L
.7872 .02101 L
.78767 .02097 L
.78811 .02092 L
.78858 .02091 L
.78883 .02091 L
.7891 .02091 L
.79002 .0209 L
.79335 .02089 L
.79721 .02087 L
.79826 .02087 L
.79939 .02086 L
.79994 .02086 L
.8002 .02086 L
.80045 .02086 L
.80091 .02084 L
.80141 .02078 L
.80907 .01989 L
.81686 .01894 L
.82067 .01844 L
.82413 .01799 L
.82497 .01789 L
.82542 .01783 L
.82585 .01777 L
.82632 .01775 L
.82683 .01773 L
.82772 .01768 L
.83112 .01752 L
.8347 .01734 L
.83673 .01724 L
.83724 .01722 L
.83772 .0172 L
.83815 .01717 L
Mistroke
.83861 .01713 L
.84043 .0169 L
.84237 .01665 L
.84632 .01614 L
.8481 .01591 L
.84908 .01579 L
.84999 .01567 L
.85039 .01562 L
.85077 .01557 L
.8512 .01556 L
.8516 .01557 L
.85337 .01562 L
.85704 .01571 L
.85905 .01576 L
.86094 .01581 L
.86255 .01585 L
.86299 .01586 L
.86345 .01587 L
.86384 .01585 L
.86428 .01583 L
.86796 .01568 L
.87179 .01552 L
.87368 .01544 L
.87451 .0154 L
.87542 .01536 L
.87592 .01534 L
.87639 .01537 L
.87742 .01542 L
.8796 .01554 L
.8834 .01575 L
.89046 .0161 L
.89817 .01641 L
.90019 .01649 L
.90047 .0165 L
.90078 .01651 L
.90106 .01652 L
.90132 .01652 L
.90235 .01653 L
.90623 .01656 L
.90814 .01657 L
.91019 .01658 L
.91118 .01659 L
.91212 .01659 L
.91296 .0166 L
.91344 .0166 L
.91388 .01662 L
.92106 .01703 L
.92303 .01714 L
.92488 .01725 L
.92533 .01727 L
Mistroke
.9258 .0173 L
.92605 .01731 L
.92633 .01729 L
.9268 .01725 L
.92893 .01708 L
.93278 .01676 L
.93641 .01647 L
.93738 .01639 L
.93791 .01634 L
.93841 .0163 L
.93867 .01629 L
.93895 .01629 L
.93955 .0163 L
.94059 .01631 L
.94439 .01635 L
.94825 .0164 L
.94931 .01641 L
.94989 .01641 L
.95043 .01642 L
.95068 .01642 L
.95095 .01643 L
.95123 .01642 L
.9515 .01639 L
.95246 .01628 L
.95616 .01586 L
.96012 .01542 L
.96214 .01519 L
.96262 .01513 L
.96313 .01508 L
.96356 .01503 L
.96404 .01501 L
.96447 .015 L
.96493 .01499 L
.96576 .01497 L
.96762 .01492 L
.97461 .01475 L
.97619 .01472 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{541, 334.25},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008M0001CR000`400?l00000o`00003oo`3ooooo
0?oooal0oooo000^0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool30000
03L0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`<00000=`3oool20000
00@0oooo00<000000?ooo`3oool00`3oool200000080oooo1@00000l0?ooo`800000@03oool20000
00@0oooo00<000000?ooo`3oool00`3oool200000080oooo1@00000f0?ooo`800000103oool00`00
0000oooo0?ooo`030?ooo`800000103oool3000003H0oooo0P0000040?ooo`030000003oool0oooo
00<0oooo0P0000030?ooo`<000006`3oool002d0oooo00@000000?ooo`3oool00000203oool01P00
0000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0<`3oool010000000oooo0?oo
o`0000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0=@3oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000>`3o
ool010000000oooo0?ooo`00000n0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`00000e0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo0?ooo`0d0?ooo`040000003oool0oooo000000P0
oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo01P0oooo000V0?oo
o`D000000P3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0/0?ooo`D000000P3oool010000000oooo0?ooo`0000080?ooo`05
0000003oool0oooo0000003oool01@00000_0?ooo`D000000P3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0>`3oool010000000oooo0?oo
o`00000n0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`0e0?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3oool000000?oo
o`05000003D0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo0000
00<0oooo00<000000?ooo`3oool0603oool002d0oooo00@000000?ooo`3oool00000203oool01@00
0000oooo0?ooo`000000oooo00@00000=P3oool010000000oooo0?ooo`0000080?ooo`060000003o
ool0oooo0000003oool000000P3oool00`000000oooo0?ooo`0e0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0j0?ooo`040000003oool0
oooo000003h0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0oooo03@0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`3oool0=03oool010000000oooo0?ooo`0000080?ooo`050000
003oool0oooo0000003oool01000000K0?ooo`00;@3oool010000000oooo0?ooo`0000080?ooo`06
0000003oool0oooo0000003oool00000>@3oool010000000oooo0?ooo`0000080?ooo`040000003o
ool0oooo00000080oooo00<000000?ooo`000000=`3oool010000000oooo0?ooo`0000080?ooo`06
0000003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`0i0?ooo`040000003oool0
oooo000003h0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo0000
00<0oooo00<000000?ooo`3oool0<`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`000000=P3oool010000000oooo0?ooo`0000080?ooo`060000
003oool0oooo0000003oool000007P3oool002d0oooo00@000000?ooo`3oool00000203oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo03H0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000030?ooo`800000=`3oool010000000oooo0?ooo`0000080?ooo`06
0000003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`0i0?ooo`040000003oool0
oooo000003h0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo0000
00<0oooo00<000000?ooo`3oool0<`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo000000<0oooo0P00000f0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`0K0?ooo`00;P3oool2000000X0oooo0P0000040?ooo`800000
=`3oool2000000X0oooo0P0000050?ooo`030000003oool0oooo03H0oooo0P00000:0?ooo`800000
0`3oool3000003d0oooo0P0000100?ooo`8000002P3oool2000000<0oooo0`00000g0?ooo`800000
2P3oool2000000D0oooo00<000000?ooo`3oool0=@3oool2000000X0oooo0P0000040?ooo`800000
6`3oool00?l0ooooo`3ooolO0?ooo`00o`3ooooo0?oooal0oooo003o0?ooool0oooo7`3oool002X0
oooo00<000000?ooo`3oool0o`3ooooa0?ooo`00:P3oool00`000000oooo0?ooo`3o0?oooo40oooo
000Z0?ooo`030000003oool0oooo0?l0ooool@3oool002X0oooo00<000000?ooo`3oool0o`3ooooa
0?ooo`007P3ooooo00000?<000003@3oool002<0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403oool00`000000
oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool03`3oool002<0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0100oooo
00<000000?ooo`3oool03`3oool002X0oooo2@0000020?ooo`030000003oool0oooo0280oooo1@00
000Q0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?oo
o`180?ooo`030000003oool0oooo04P0oooo00<000000?ooo`3oool07`3oool5000002@0oooo00<0
00000?ooo`3oool02P00000H0?ooo`00:P3oool00`000000oooo0?ooo`060?ooobL000001@3ooolE
000000`0oooo00<000000?ooo`3oool0B@3oool00`000000oooo0?ooo`180?ooo`030000003oool0
oooo04P0oooo00<000000?ooo`3oool0B03oool00`000000oooo0?ooo`0;0?oooa@000001@3ooolW
00000280oooo000Z0?ooo`030000003oool0oooo04L0oooo2000003o0?ooocL0oooo2@00001R0?oo
o`00:P3oool00`000000oooo0?ooo`1?0?ooo`l000001P3ooolD00000>@0oooo500000050?oooa00
0000J`3oool002X0oooo00<000000?ooo`3oool0GP3oool6000001@0oooo1`00003F0?ooo`L00000
503oool5000007/0oooo000Z0?ooo`030000003oool0oooo07l0oooo2@0000340?ooo`T00000V`3o
ool002X0oooo00<000000?ooo`3oool0R03oool300000;h0oooo0`00002T0?ooo`00:P3oool00`00
0000oooo0?ooo`2;0?ooo`@00000]P3oool400000:L0oooo000Z0?ooo`<00000S`3oool400000:h0
oooo1000002[0?ooo`00:P3oool00`000000oooo0?ooo`2C0?ooo`H00000X03oool900000:h0oooo
000Z0?ooo`030000003oool0oooo09T0oooo2000002F0?ooo`800000]`3oool002X0oooo00<00000
0?ooo`3oool0X@3oool8000008@0oooo2P00002i0?ooo`00:P3oool00`000000oooo0?ooo`2Y0?oo
o`<00000O03oool600000<80oooo000Z0?ooo`030000003oool0oooo0:`0oooo1000001d0?ooo`D0
0000a`3oool002X0oooo00<000000?ooo`3oool0/03oool200000700oooo0P00003<0?ooo`00:P3o
ool00`000000oooo0?ooo`2b0?ooo`D00000I`3oool400000<h0oooo000Z0?ooo`030000003oool0
oooo0;L0oooo0`00001Q0?ooo`<00000dP3oool002X0oooo00<000000?ooo`3oool0^P3oool00`00
0000oooo0?ooo`1L0?ooo`800000e@3oool002X0oooo0`00002k0?ooo`800000FP3oool200000=L0
oooo000Z0?ooo`030000003oool0oooo0;d0oooo00<000000?ooo`3oool0EP3oool00`000000oooo
0?ooo`3G0?ooo`00:P3oool00`000000oooo0?ooo`2n0?ooo`030000003oool0oooo05@0oooo00<0
00000?ooo`3oool0f03oool002X0oooo00<000000?ooo`3oool0_`3oool00`000000oooo0?ooo`1B
0?ooo`030000003oool0oooo0=T0oooo000Z0?ooo`030000003oool0oooo0<00oooo00<000000?oo
o`3oool0D03oool00`000000oooo0?ooo`3J0?ooo`00:P3oool00`000000oooo0?ooo`310?ooo`80
0000C`3oool00`000000oooo0?ooo`3K0?ooo`00:P3oool00`000000oooo0?ooo`330?ooo`030000
003oool0oooo04/0oooo00<000000?ooo`3oool0g03oool002X0oooo00<000000?ooo`3oool0a03o
ool00`000000oooo0?ooo`180?ooo`800000g`3oool002X0oooo00<000000?ooo`3oool0a03oool0
0`000000oooo0?ooo`180?ooo`030000003oool0oooo0=h0oooo000Z0?ooo`030000003oool0oooo
0<D0oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`3N0?ooo`00:P3oool00`000000
oooo0?ooo`350?ooo`030000003oool0oooo04H0oooo00<000000?ooo`3oool0g`3oool002X0oooo
0`0000360?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0g`3oool002X0oooo00<0
00000?ooo`3oool0aP3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo0>00oooo000Z
0?ooo`030000003oool0oooo0<H0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`3P
0?ooo`00:P3oool00`000000oooo0?ooo`370?ooo`030000003oool0oooo04<0oooo00<000000?oo
o`3oool0h03oool002X0oooo00<000000?ooo`3oool0a`3oool00`000000oooo0?ooo`120?ooo`03
0000003oool0oooo0>40oooo000Z0?ooo`030000003oool0oooo0<L0oooo00<000000?ooo`3oool0
@P3oool00`000000oooo0?ooo`3Q0?ooo`00:P3oool00`000000oooo0?ooo`380?ooo`030000003o
ool0oooo0400oooo00<000000?ooo`3oool0hP3oool002X0oooo00<000000?ooo`3oool0b03oool0
0`000000oooo0?ooo`100?ooo`030000003oool0oooo0>80oooo000B0?ooo`D000000`3oool20000
00@0oooo0P0000080?ooo`030000003oool0oooo0<P0oooo00<000000?ooo`3oool0?`3oool00`00
0000oooo0?ooo`3S0?ooo`004`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`390?ooo`030000003o
ool0oooo03h0oooo00<000000?ooo`3oool0h`3oool001@0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo100000390?ooo`030000
003oool0oooo03d0oooo00<000000?ooo`3oool0h`3oool001D0oooo00D000000?ooo`3oool0oooo
000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`3:0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0i03oool00180oooo
00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000001`3oool00`000000oooo0?ooo`3:0?ooo`030000003oool0oooo03`0oooo00<00000
0?ooo`3oool0i03oool00180oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`3;0?ooo`030000
003oool0oooo03/0oooo00<000000?ooo`3oool0i03oool001<0oooo0`0000040?ooo`800000103o
ool2000000P0oooo00<000000?ooo`3oool0b`3oool00`000000oooo0?ooo`0k0?ooo`030000003o
ool0oooo0>@0oooo000Z0?ooo`030000003oool0oooo0</0oooo00<000000?ooo`3oool0>P3oool0
0`000000oooo0?ooo`3U0?ooo`00:P3oool00`000000oooo0?ooo`3;0?ooo`030000003oool0oooo
03X0oooo00<000000?ooo`3oool0i@3oool002X0oooo00<000000?ooo`3oool0b`3oool00`000000
oooo0?ooo`0j0?ooo`030000003oool0oooo0>D0oooo000Z0?ooo`030000003oool0oooo0<`0oooo
00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`3V0?ooo`00:P3oool00`000000oooo0?oo
o`3<0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0iP3oool002X0oooo00<00000
0?ooo`3oool0c03oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo0>H0oooo000Z0?oo
o`<00000c03oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo0>H0oooo000Z0?ooo`03
0000003oool0oooo0<`0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`3V0?ooo`00
:P3oool00`000000oooo0?ooo`3<0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0
iP3oool002X0oooo00<000000?ooo`3oool0c@3oool00`000000oooo0?ooo`0f0?ooo`030000003o
ool0oooo0>L0oooo000Z0?ooo`030000003oool0oooo0<d0oooo00<000000?ooo`3oool0=P3oool0
0`000000oooo0?ooo`3W0?ooo`00:P3oool00`000000oooo0?ooo`3=0?ooo`030000003oool0oooo
03H0oooo00<000000?ooo`3oool0i`3oool002X0oooo00<000000?ooo`3oool0c@3oool00`000000
oooo0?ooo`0f0?ooo`030000003oool0oooo0>L0oooo000Z0?ooo`030000003oool0oooo0<d0oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`3W0?ooo`00:P3oool00`000000oooo0?oo
o`3=0?ooo`030000003oool0oooo03H0oooo00<000000?ooo`3oool0i`3oool002X0oooo00<00000
0?ooo`3oool0cP3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo0>L0oooo000Z0?oo
o`<00000cP3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo0>P0oooo000Z0?ooo`03
0000003oool0oooo0<h0oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`3X0?ooo`00
:P3oool00`000000oooo0?ooo`3>0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0
j03oool002X0oooo00<000000?ooo`3oool0cP3oool00`000000oooo0?ooo`0d0?ooo`030000003o
ool0oooo0>P0oooo000Z0?ooo`030000003oool0oooo0<l0oooo00<000000?ooo`3oool0<`3oool0
0`000000oooo0?ooo`3X0?ooo`00:P3oool00`000000oooo0?ooo`3?0?ooo`030000003oool0oooo
03<0oooo00<000000?ooo`3oool0j03oool002X0oooo00<000000?ooo`3oool0c`3oool00`000000
oooo0?ooo`0c0?ooo`030000003oool0oooo0>P0oooo000Z0?ooo`030000003oool0oooo0<l0oooo
00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`3Y0?ooo`00:P3oool00`000000oooo0?oo
o`3?0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0j@3oool002X0oooo00<00000
0?ooo`3oool0c`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo0>T0oooo000Z0?oo
o`030000003oool0oooo0=00oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`3Y0?oo
o`00:P3oool300000=00oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`3Y0?ooo`00
:P3oool00`000000oooo0?ooo`3@0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0
j@3oool002X0oooo00<000000?ooo`3oool0d03oool00`000000oooo0?ooo`0a0?ooo`030000003o
ool0oooo0>T0oooo000Z0?ooo`030000003oool0oooo0=00oooo00<000000?ooo`3oool0<03oool0
0`000000oooo0?ooo`3Z0?ooo`00:P3oool00`000000oooo0?ooo`3@0?ooo`030000003oool0oooo
0300oooo00<000000?ooo`3oool0jP3oool002X0oooo00<000000?ooo`3oool0d03oool00`000000
oooo0?ooo`0`0?ooo`030000003oool0oooo0>X0oooo000Z0?ooo`030000003oool0oooo0=40oooo
00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`3Z0?ooo`00:P3oool00`000000oooo0?oo
o`3A0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0jP3oool001@0oooo0`000003
0?ooo`800000103oool2000000P0oooo00<000000?ooo`3oool0d@3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo0>X0oooo000E0?ooo`050000003oool0oooo0?ooo`0000000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0d@3o
ool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0>X0oooo000B0?ooo`D000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo1000003@0?ooo`030000
003oool0oooo02h0oooo00<000000?ooo`3oool0j`3oool00180oooo00@000000?ooo`3oool00000
0`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo00<000000?oo
o`3oool0d@3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0>/0oooo000C0?ooo`03
0000003oool0000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000007
0?ooo`030000003oool0oooo0=40oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`3[
0?ooo`00503oool2000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00070?ooo`030000003oool0oooo0=40oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?oo
o`3[0?ooo`005@3oool00`000000oooo0?ooo`020?ooo`800000103oool2000000P0oooo00<00000
0?ooo`3oool0dP3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0oooo0>/0oooo000Z0?oo
o`030000003oool0oooo0=80oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`3[0?oo
o`00:P3oool00`000000oooo0?ooo`3B0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0j`3oool002X0oooo00<000000?ooo`3oool0dP3oool00`000000oooo0?ooo`0/0?ooo`030000
003oool0oooo0>`0oooo000Z0?ooo`030000003oool0oooo0=80oooo00<000000?ooo`3oool0;03o
ool00`000000oooo0?ooo`3/0?ooo`00:P3oool00`000000oooo0?ooo`3B0?ooo`030000003oool0
oooo02`0oooo00<000000?ooo`3oool0k03oool002X0oooo00<000000?ooo`3oool0dP3oool00`00
0000oooo0?ooo`0/0?ooo`030000003oool0oooo0>`0oooo000Z0?ooo`<00000d`3oool00`000000
oooo0?ooo`0[0?ooo`030000003oool0oooo0>`0oooo000Z0?ooo`030000003oool0oooo0=<0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`3/0?ooo`00:P3oool00`000000oooo0?oo
o`3C0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0k03oool002X0oooo00<00000
0?ooo`3oool0d`3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo0>d0oooo000Z0?oo
o`030000003oool0oooo0=<0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`3]0?oo
o`00:P3oool00`000000oooo0?ooo`3C0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3o
ool0k@3oool002X0oooo00<000000?ooo`3oool0d`3oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo0>d0oooo000Z0?ooo`030000003oool0oooo0=<0oooo00<000000?ooo`3oool0:P3o
ool00`000000oooo0?ooo`3]0?ooo`00:P3oool00`000000oooo0?ooo`3D0?ooo`030000003oool0
oooo02T0oooo00<000000?ooo`3oool0k@3oool002X0oooo00<000000?ooo`3oool0e03oool00`00
0000oooo0?ooo`0Y0?ooo`030000003oool0oooo0>d0oooo000Z0?ooo`<00000e03oool00`000000
oooo0?ooo`0Y0?ooo`030000003oool0oooo0>d0oooo000Z0?ooo`030000003oool0oooo0=@0oooo
00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`3^0?ooo`00:P3oool00`000000oooo0?oo
o`3D0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool0kP3oool002X0oooo00<00000
0?ooo`3oool0e03oool00`000000oooo0?ooo`0X0?ooo`030000003oool0oooo0>h0oooo000Z0?oo
o`030000003oool0oooo0=@0oooo00<000000?ooo`3oool0:03oool00`000000oooo0?ooo`3^0?oo
o`00:P3oool00`000000oooo0?ooo`3D0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3o
ool0kP3oool002X0oooo00<000000?ooo`3oool0e03oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo0>h0oooo000Z0?ooo`030000003oool0oooo0=D0oooo00<000000?ooo`3oool09`3o
ool00`000000oooo0?ooo`3^0?ooo`00:P3oool00`000000oooo0?ooo`3E0?ooo`030000003oool0
oooo02L0oooo00<000000?ooo`3oool0kP3oool002X0oooo00<000000?ooo`3oool0e@3oool00`00
0000oooo0?ooo`0W0?ooo`030000003oool0oooo0>h0oooo000Z0?ooo`030000003oool0oooo0=D0
oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3_0?ooo`00:P3oool300000=D0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3_0?ooo`00:P3oool00`000000oooo0?oo
o`3E0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0k`3oool002X0oooo00<00000
0?ooo`3oool0e@3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo0>l0oooo000Z0?oo
o`030000003oool0oooo0=D0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`3_0?oo
o`00:P3oool00`000000oooo0?ooo`3E0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3o
ool0k`3oool002X0oooo00<000000?ooo`3oool0e@3oool00`000000oooo0?ooo`0V0?ooo`030000
003oool0oooo0>l0oooo000Z0?ooo`030000003oool0oooo0=D0oooo00<000000?ooo`3oool09P3o
ool00`000000oooo0?ooo`3_0?ooo`00:P3oool00`000000oooo0?ooo`3F0?ooo`030000003oool0
oooo02D0oooo00<000000?ooo`3oool0k`3oool001<0oooo0`0000040?ooo`800000103oool20000
00P0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo
0?00oooo000B0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0eP3oool00`000000oooo0?oo
o`0T0?ooo`030000003oool0oooo0?00oooo000B0?ooo`050000003oool0oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo1000003E0?ooo`03
0000003oool0oooo02@0oooo00<000000?ooo`3oool0l03oool00180oooo100000030?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`3F0?oo
o`030000003oool0oooo02@0oooo00<000000?ooo`3oool0l03oool00180oooo00<000000?ooo`3o
ool0103oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo00<00000
0?ooo`3oool0eP3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0?00oooo000C0?oo
o`030000003oool0oooo00<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00070?ooo`030000003oool0oooo0=H0oooo00<000000?ooo`3oool0903oool00`000000oooo0?oo
o`3`0?ooo`00503oool2000000@0oooo0P0000040?ooo`800000203oool00`000000oooo0?ooo`3F
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0l03oool002X0oooo00<000000?oo
o`3oool0eP3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo0?00oooo000Z0?ooo`03
0000003oool0oooo0=H0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`3`0?ooo`00
:P3oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0
l@3oool002X0oooo00<000000?ooo`3oool0e`3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0?40oooo000Z0?ooo`030000003oool0oooo0=L0oooo00<000000?ooo`3oool08P3oool0
0`000000oooo0?ooo`3a0?ooo`00:P3oool00`000000oooo0?ooo`3G0?ooo`030000003oool0oooo
0280oooo00<000000?ooo`3oool0l@3oool002X0oooo0`00003G0?ooo`030000003oool0oooo0280
oooo00<000000?ooo`3oool0l@3oool002X0oooo00<000000?ooo`3oool0e`3oool00`000000oooo
0?ooo`0R0?ooo`030000003oool0oooo0?40oooo000Z0?ooo`030000003oool0oooo0=L0oooo00<0
00000?ooo`3oool08P3oool00`000000oooo0?ooo`3a0?ooo`00:P3oool00`000000oooo0?ooo`3G
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0l@3oool002X0oooo00<000000?oo
o`3oool0e`3oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0?40oooo000Z0?ooo`03
0000003oool0oooo0=L0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`3a0?ooo`00
:P3oool00`000000oooo0?ooo`3G0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool0
lP3oool002X0oooo00<000000?ooo`3oool0f03oool00`000000oooo0?ooo`0P0?ooo`030000003o
ool0oooo0?80oooo000Z0?ooo`030000003oool0oooo0=P0oooo00<000000?ooo`3oool0803oool0
0`000000oooo0?ooo`3b0?ooo`00:P3oool00`000000oooo0?ooo`3H0?ooo`030000003oool0oooo
0200oooo00<000000?ooo`3oool0lP3oool002X0oooo0`00003H0?ooo`030000003oool0oooo0200
oooo00<000000?ooo`3oool0lP3oool002X0oooo00<000000?ooo`3oool0f03oool00`000000oooo
0?ooo`0P0?ooo`030000003oool0oooo0?80oooo000Z0?ooo`030000003oool0oooo0=P0oooo00<0
00000?ooo`3oool0803oool00`000000oooo0?ooo`3b0?ooo`00:P3oool00`000000oooo0?ooo`3H
0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0lP3oool002X0oooo00<000000?oo
o`3oool0f03oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo0?80oooo000Z0?ooo`03
0000003oool0oooo0=P0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`3b0?ooo`00
:P3oool00`000000oooo0?ooo`3H0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool0
lP3oool002X0oooo00<000000?ooo`3oool0f@3oool00`000000oooo0?ooo`0N0?ooo`030000003o
ool0oooo0?<0oooo000Z0?ooo`030000003oool0oooo0=T0oooo00<000000?ooo`3oool07P3oool0
0`000000oooo0?ooo`3c0?ooo`00:P3oool00`000000oooo0?ooo`3I0?ooo`030000003oool0oooo
01h0oooo00<000000?ooo`3oool0l`3oool002X0oooo00<000000?ooo`3oool0f@3oool00`000000
oooo0?ooo`0N0?ooo`030000003oool0oooo0?<0oooo000Z0?ooo`<00000f@3oool00`000000oooo
0?ooo`0N0?ooo`030000003oool0oooo0?<0oooo000Z0?ooo`030000003oool0oooo0=T0oooo00<0
00000?ooo`3oool07P3oool00`000000oooo0?ooo`3c0?ooo`00:P3oool00`000000oooo0?ooo`3I
0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0l`3oool002X0oooo00<000000?oo
o`3oool0f@3oool00`000000oooo0?ooo`0N0?ooo`030000003oool0oooo0?<0oooo000Z0?ooo`03
0000003oool0oooo0=T0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`3c0?ooo`00
:P3oool00`000000oooo0?ooo`3I0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0
l`3oool002X0oooo00<000000?ooo`3oool0fP3oool00`000000oooo0?ooo`0M0?ooo`030000003o
ool0oooo0?<0oooo000Z0?ooo`030000003oool0oooo0=X0oooo00<000000?ooo`3oool0703oool0
0`000000oooo0?ooo`3d0?ooo`004`3oool3000000@0oooo0P0000040?ooo`800000203oool00`00
0000oooo0?ooo`3J0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0m03oool00180
oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000001`3oool00`000000oooo0?ooo`3J0?ooo`030000003oool0oooo01`0oooo00<0
00000?ooo`3oool0m03oool00180oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000001`3oool400000=T0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`3d0?ooo`004`3oool3000000<0oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo0=X0oooo00<000000?oo
o`3oool0703oool00`000000oooo0?ooo`3d0?ooo`004P3oool01@000000oooo0?ooo`3oool00000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003o
ool0oooo0=X0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`3d0?ooo`004P3oool0
1@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000070?ooo`030000003oool0oooo0=X0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`3d0?ooo`004`3oool3000000@0oooo0P0000040?ooo`800000203oool00`000000oooo
0?ooo`3J0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0m03oool002X0oooo00<0
00000?ooo`3oool0fP3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo0?@0oooo000Z
0?ooo`030000003oool0oooo0=/0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`3d
0?ooo`00:P3oool00`000000oooo0?ooo`3K0?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool0m03oool002X0oooo00<000000?ooo`3oool0f`3oool00`000000oooo0?ooo`0J0?ooo`03
0000003oool0oooo0?D0oooo000Z0?ooo`030000003oool0oooo0=/0oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`3e0?ooo`00:P3oool00`000000oooo0?ooo`3K0?ooo`030000003o
ool0oooo01X0oooo00<000000?ooo`3oool0m@3oool002X0oooo0`00003K0?ooo`030000003oool0
oooo01X0oooo00<000000?ooo`3oool0m@3oool002X0oooo00<000000?ooo`3oool0f`3oool00`00
0000oooo0?ooo`0J0?ooo`030000003oool0oooo0?D0oooo000Z0?ooo`030000003oool0oooo0=/0
oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`3e0?ooo`00:P3oool00`000000oooo
0?ooo`3K0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0m@3oool002X0oooo00<0
00000?ooo`3oool0g03oool00`000000oooo0?ooo`0I0?ooo`030000003oool0oooo0?D0oooo000Z
0?ooo`030000003oool0oooo0=`0oooo00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`3e
0?ooo`00:P3oool00`000000oooo0?ooo`3L0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool0m@3oool002X0oooo00<000000?ooo`3oool0g03oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo0?D0oooo000Z0?ooo`030000003oool0oooo0=`0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`3f0?ooo`00:P3oool00`000000oooo0?ooo`3L0?ooo`030000003o
ool0oooo01P0oooo00<000000?ooo`3oool0mP3oool002X0oooo0`00003L0?ooo`030000003oool0
oooo01P0oooo00<000000?ooo`3oool0mP3oool002X0oooo00<000000?ooo`3oool0g03oool00`00
0000oooo0?ooo`0H0?ooo`030000003oool0oooo0?H0oooo000Z0?ooo`030000003oool0oooo0=`0
oooo00<000000?ooo`3oool0603oool00`000000oooo0?ooo`3f0?ooo`00:P3oool00`000000oooo
0?ooo`3L0?ooo`030000003oool0oooo01P0oooo00<000000?ooo`3oool0mP3oool002X0oooo00<0
00000?ooo`3oool0g@3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0?H0oooo000Z
0?ooo`030000003oool0oooo0=d0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`3f
0?ooo`00:P3oool00`000000oooo0?ooo`3M0?ooo`030000003oool0oooo01L0oooo00<000000?oo
o`3oool0mP3oool002X0oooo00<000000?ooo`3oool0g@3oool00`000000oooo0?ooo`0G0?ooo`03
0000003oool0oooo0?H0oooo000Z0?ooo`030000003oool0oooo0=d0oooo00<000000?ooo`3oool0
5`3oool00`000000oooo0?ooo`3f0?ooo`00:P3oool00`000000oooo0?ooo`3M0?ooo`030000003o
ool0oooo01H0oooo00<000000?ooo`3oool0m`3oool002X0oooo00<000000?ooo`3oool0g@3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0?L0oooo000Z0?ooo`<00000g@3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo0?L0oooo000Z0?ooo`030000003oool0oooo0=d0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`3g0?ooo`00:P3oool00`000000oooo
0?ooo`3M0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0m`3oool002X0oooo00<0
00000?ooo`3oool0gP3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0?L0oooo000Z
0?ooo`030000003oool0oooo0=h0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`3g
0?ooo`00:P3oool00`000000oooo0?ooo`3N0?ooo`030000003oool0oooo01D0oooo00<000000?oo
o`3oool0m`3oool002X0oooo00<000000?ooo`3oool0gP3oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo0?L0oooo000Z0?ooo`030000003oool0oooo0=h0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`3g0?ooo`003@3oool3000000@0oooo0P0000040?ooo`800000103o
ool2000000P0oooo00<000000?ooo`3oool0gP3oool00`000000oooo0?ooo`0E0?ooo`030000003o
ool0oooo0?L0oooo000>0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3o
ool0gP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo0?P0oooo000>0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000000L0oooo1000003M0?ooo`030000003oool0oooo01@0oooo00<00000
0?ooo`3oool0n03oool000h0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo
0?ooo`3N0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0n03oool000h0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`3N0?ooo`030000003oool0oooo
01@0oooo00<000000?ooo`3oool0n03oool000d0oooo0P0000040?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003o
ool0oooo0=l0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`3h0?ooo`003P3oool0
0`000000oooo0?ooo`030?ooo`800000103oool2000000@0oooo0P0000080?ooo`030000003oool0
oooo0=l0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`3h0?ooo`00:P3oool00`00
0000oooo0?ooo`3O0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0n03oool002X0
oooo00<000000?ooo`3oool0g`3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo0?P0
oooo000Z0?ooo`030000003oool0oooo0=l0oooo00<000000?ooo`3oool04`3oool00`000000oooo
0?ooo`3h0?ooo`00:P3oool00`000000oooo0?ooo`3O0?ooo`030000003oool0oooo01<0oooo00<0
00000?ooo`3oool0n03oool002X0oooo00<000000?ooo`3oool0g`3oool00`000000oooo0?ooo`0C
0?ooo`030000003oool0oooo0?P0oooo000Z0?ooo`030000003oool0oooo0=l0oooo00<000000?oo
o`3oool04`3oool00`000000oooo0?ooo`3h0?ooo`00:P3oool300000=l0oooo00<000000?ooo`3o
ool04P3oool00`000000oooo0?ooo`3i0?ooo`00:P3oool00`000000oooo0?ooo`3O0?ooo`030000
003oool0oooo0180oooo00<000000?ooo`3oool0n@3oool002X0oooo00<000000?ooo`3oool0g`3o
ool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0?T0oooo000Z0?ooo`030000003oool0
oooo0>00oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`3i0?ooo`00:P3oool00`00
0000oooo0?ooo`3P0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0n@3oool002X0
oooo00<000000?ooo`3oool0h03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0?T0
oooo000Z0?ooo`030000003oool0oooo0>00oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`3i0?ooo`00:P3oool00`000000oooo0?ooo`3P0?ooo`030000003oool0oooo0140oooo00<0
00000?ooo`3oool0n@3oool002X0oooo00<000000?ooo`3oool0h03oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0?T0oooo000Z0?ooo`030000003oool0oooo0>00oooo00<000000?oo
o`3oool04@3oool00`000000oooo0?ooo`3i0?ooo`00:P3oool300000>00oooo00<000000?ooo`3o
ool04@3oool00`000000oooo0?ooo`3i0?ooo`00:P3oool00`000000oooo0?ooo`3P0?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0n@3oool002X0oooo00<000000?ooo`3oool0h03o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0?X0oooo000Z0?ooo`030000003oool0
oooo0>00oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`3j0?ooo`00:P3oool00`00
0000oooo0?ooo`3P0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0nP3oool002X0
oooo00<000000?ooo`3oool0h03oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0?X0
oooo000Z0?ooo`030000003oool0oooo0>40oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`3j0?ooo`00:P3oool00`000000oooo0?ooo`3Q0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool0nP3oool002X0oooo00<000000?ooo`3oool0h@3oool00`000000oooo0?ooo`0?
0?ooo`030000003oool0oooo0?X0oooo000Z0?ooo`030000003oool0oooo0>40oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`3j0?ooo`00:P3oool00`000000oooo0?ooo`3Q0?ooo`03
0000003oool0oooo00l0oooo00<000000?ooo`3oool0nP3oool002X0oooo0`00003Q0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool0nP3oool002X0oooo00<000000?ooo`3oool0h@3o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0?X0oooo000Z0?ooo`030000003oool0
oooo0>40oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`3j0?ooo`00:P3oool00`00
0000oooo0?ooo`3Q0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0n`3oool002X0
oooo00<000000?ooo`3oool0h@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0?/0
oooo000Z0?ooo`030000003oool0oooo0>40oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`3k0?ooo`00:P3oool00`000000oooo0?ooo`3Q0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool0n`3oool002X0oooo00<000000?ooo`3oool0h@3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo0?/0oooo000=0?ooo`<000000P3oool5000000<0oooo0P0000040?oo
o`800000203oool00`000000oooo0?ooo`3R0?ooo`030000003oool0oooo00d0oooo00<000000?oo
o`3oool0n`3oool000h0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?oo
o`3R0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0n`3oool000h0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool000001`3oool400000>40oooo00<000000?ooo`3oool03@3oool00`000000oooo
0?ooo`3k0?ooo`003P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`000000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0hP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?/0oooo000>0?ooo`050000
003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`3R0?ooo`030000003oool0
oooo00d0oooo00<000000?ooo`3oool0n`3oool000d0oooo0P0000030?ooo`050000003oool0oooo
0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo
00<000000?ooo`3oool0hP3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0?/0oooo
000>0?ooo`030000003oool0oooo0080oooo0`0000040?ooo`800000103oool2000000P0oooo00<0
00000?ooo`3oool0hP3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0?`0oooo000Z
0?ooo`030000003oool0oooo0>80oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`3l
0?ooo`00:P3oool00`000000oooo0?ooo`3R0?ooo`030000003oool0oooo00`0oooo00<000000?oo
o`3oool0o03oool002X0oooo00<000000?ooo`3oool0hP3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0oooo0?`0oooo000Z0?ooo`030000003oool0oooo0><0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`3l0?ooo`00:P3oool00`000000oooo0?ooo`3S0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0o03oool002X0oooo00<000000?ooo`3oool0h`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0?`0oooo000Z0?ooo`<00000h`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0?d0oooo000Z0?ooo`030000003oool0oooo0><0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3m0?ooo`00:P3oool00`000000oooo
0?ooo`3S0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0o@3oool002X0oooo00<0
00000?ooo`3oool0h`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0?d0oooo000Z
0?ooo`030000003oool0oooo0><0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`3m
0?ooo`00:P3oool00`000000oooo0?ooo`3S0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0o@3oool002X0oooo00<000000?ooo`3oool0i03oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo0?d0oooo000Z0?ooo`030000003oool0oooo0>@0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`3m0?ooo`00:P3oool00`000000oooo0?ooo`3T0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0oP3oool002X0oooo00<000000?ooo`3oool0i03oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo0?h0oooo000Z0?ooo`<00000i03oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0?h0oooo000Z0?ooo`030000003oool0oooo0>@0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`3n0?ooo`00:P3oool00`000000oooo
0?ooo`3U0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0oP3oool002X0oooo00<0
00000?ooo`3oool0i@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0?l0oooo000Z
0?ooo`030000003oool0oooo0>D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`3o
0?ooo`00:P3oool00`000000oooo0?ooo`3U0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0o`3oool002X0oooo00<000000?ooo`3oool0i@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo0?l0oooo000Z0?ooo`030000003oool0oooo0>H0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`3o0?ooo`40oooo000Z0?ooo`030000003oool0oooo0>H0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooo`40oooo000Z0?ooo`030000003oool0
oooo0>H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooo`40oooo000Z0?oo
o`030000003oool0oooo0>H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oo
o`40oooo000Z0?ooo`<00000i`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0?l0
oooo0@3oool002X0oooo00<000000?ooo`3oool0i`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0?l0oooo0P3oool002X0oooo00<000000?ooo`3oool0i`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo0?l0oooo0P3oool002X0oooo00<000000?ooo`3oool0i`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo0?l0oooo0P3oool002X0oooo00<000000?oo
o`3oool0j03oool01@000000oooo0?ooo`3oool000000?l0oooo103oool002X0oooo00<000000?oo
o`3oool0j03oool010000000oooo0?ooo`00003o0?ooo`D0oooo000Z0?ooo`030000003oool0oooo
0>P0oooo00@000000?ooo`3oool00000o`3oool50?ooo`00:P3oool00`000000oooo0?ooo`3Y0?oo
o`030000003oool000000?l0oooo1@3oool000d0oooo0`0000040?ooo`<000000`3oool2000000@0
oooo0P0000080?ooo`030000003oool0oooo0>T0oooo00<000000?ooo`000000o`3oool50?ooo`00
3P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0j@3oool00`00
0000oooo0000003o0?ooo`D0oooo000>0?ooo`040000003oool0oooo0?ooo`D000000P3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo1000003X0?ooo`800000o`3o
ool60?ooo`003P3oool01@000000oooo0?ooo`3oool000000080oooo00D000000?ooo`3oool0oooo
000000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`3Y0?ooo`800000o`3oool60?ooo`003P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?oo
o`030000003oool0oooo0>X0oooo00<000000?ooo`3oool0o`3oool40?ooo`003@3oool2000000D0
oooo0P0000030?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool0
0`000000oooo0?ooo`3o0?oooo40oooo000>0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool00P3oool2000000@0oooo0P0000080?ooo`030000003oool0oooo0?l0ooool@3oool002X0
oooo00<000000?ooo`3oool0o`3ooooa0?ooo`00:P3oool00`000000oooo0?ooo`3o0?oooo40oooo
000Z0?ooo`030000003oool0oooo0?l0ooool@3oool002X0oooo00<000000?ooo`3oool0o`3ooooa
0?ooo`00:P3oool00`000000oooo0?ooo`3o0?oooo40oooo003o0?ooool0oooo7`3oool00?l0oooo
o`3ooolO0?ooo`00o`3ooooo0?oooal0oooo003o0?ooool0oooo7`3oool00?l0ooooo`3ooolO0?oo
o`00o`3ooooo0?oooal0oooo003T0?ooo`<00000D@3oool300000>80oooo003U0?ooo`030000003o
ool0oooo0540oooo00<000000?ooo`3oool0h@3oool00;X0oooo0`0000040?ooo`<000000P3oool5
000000050?ooo`00000000000000003oool00P0000020?ooo`8000002@3oool3000000<0oooo0`00
00020?ooo`<00000103oool3000000<0oooo100000020?ooo`@000001`3oool5000000050?ooo`00
000000000000003oool00P0000020?ooo`8000000`3oool300000080oooo0`0000000`3oool00000
0000000400000080oooo1@0000030?ooo`800000103oool00`000000oooo0?ooo`070?ooo`<00000
1@3oool2000000030?ooo`00000000000080000000@0oooo000000000000oooo0`0000040?ooo`80
00000P3oool500000080oooo0`0000020?ooo`<0000000<0oooo000000000000Z@3oool00;/0oooo
00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
00X0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`060000003oool0
oooo0000003oool000001P3oool010000000oooo0?ooo`0000050?ooo`050000003oool0oooo0?oo
o`000000103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool0
00000`3oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`0000000`3oool0
1@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000ZP3oool00;/0oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000040?ooo`D000000P3oool300000080oooo00@00000
0?ooo`3oool000002P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool00P3oool500000080oooo00@000000?ooo`3oool000000P3oool3000000@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000T0
oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo
0000003oool000001P3oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`000000
0`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0:P0oooo002k0?ooo`<00000
0P3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo00X0oooo0P0000030?ooo`040000003oool0oooo
00000080oooo0P0000030?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0
00000080oooo00H000000?ooo`3oool000000?ooo`0000070?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool00`3oool00`000000oooo000000090?ooo`<000000`3oool010000000oooo
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`00
00060?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo0:P0oooo002k0?ooo`040000003oool0oooo00000080oooo0`0000020?ooo`<0
00000`3oool400000080oooo100000090?ooo`030000003oool0oooo0080oooo100000020?ooo`80
000000<0oooo0000000000000P3oool3000000<0oooo0P0000040?ooo`<000002P3oool010000000
oooo0?ooo`3oool400000080oooo100000030?ooo`<000000P3oool4000000<0oooo10000000103o
ool000000000000000030?ooo`@000000P3oool2000000030?ooo`000000000000P0oooo00<00000
0?ooo`3oool00P3oool2000000040?ooo`00000000000?ooo`@000000`3oool300000080oooo1000
00020?ooo`<00000103oool300000080oooo1000002[0?ooo`00^`3oool010000000oooo0?ooo`00
000D0?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool00000703oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool06`3oool00`000000oooo
0?ooo`0?0?ooo`040000003oool0oooo000001@0oooo00<000000?ooo`3oool0_@3oool00;X0oooo
1000000:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool3000001/0oooo
0P0000080?ooo`D00000203oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool03P3oool5000001@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`2f0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 540}, {333.25, 0}} -> {-0.0743527, -72.4987, \
0.000266319, 4.76348}},
  CellTags->"PointSpreadFunction"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Modulation Transfer Function", "Section",
  CellTags->"ModulationTransferFunction"],

Cell[CellGroupData[{

Cell["\<\
ModulationTransferFunction[sys3D, FindImagePoint->True, \
FocalFraction->0, NumberOfPoints->128];\
\>", "Input",
  CellTags->"ModulationTransferFunction"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0564045 0.0147152 0.115805 [
[.07697 .00222 -12 -9 ]
[.07697 .00222 12 0 ]
[.21798 .00222 -6 -9 ]
[.21798 .00222 6 0 ]
[.35899 .00222 -12 -9 ]
[.35899 .00222 12 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.64101 .00222 -9 -9 ]
[.64101 .00222 9 0 ]
[.78202 .00222 -3 -9 ]
[.78202 .00222 3 0 ]
[.92303 .00222 -9 -9 ]
[.92303 .00222 9 0 ]
[.77419 .13052 -6 -4.5 ]
[.77419 .13052 0 4.5 ]
[.77419 .24632 -6 -4.5 ]
[.77419 .24632 0 4.5 ]
[.77419 .36213 -6 -4.5 ]
[.77419 .36213 0 4.5 ]
[.77419 .47793 -6 -4.5 ]
[.77419 .47793 0 4.5 ]
[.77419 .59374 -6 -4.5 ]
[.77419 .59374 0 4.5 ]
[.5 .63053 -111 0 ]
[.5 .63053 111 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07697 .01472 m
.07697 .02097 L
s
[(-7.5)] .07697 .00222 0 1 Mshowa
.21798 .01472 m
.21798 .02097 L
s
[(-5)] .21798 .00222 0 1 Mshowa
.35899 .01472 m
.35899 .02097 L
s
[(-2.5)] .35899 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(0)] .5 .00222 0 1 Mshowa
.64101 .01472 m
.64101 .02097 L
s
[(2.5)] .64101 .00222 0 1 Mshowa
.78202 .01472 m
.78202 .02097 L
s
[(5)] .78202 .00222 0 1 Mshowa
.92303 .01472 m
.92303 .02097 L
s
[(7.5)] .92303 .00222 0 1 Mshowa
.125 Mabswid
.10517 .01472 m
.10517 .01847 L
s
.13337 .01472 m
.13337 .01847 L
s
.16157 .01472 m
.16157 .01847 L
s
.18978 .01472 m
.18978 .01847 L
s
.24618 .01472 m
.24618 .01847 L
s
.27438 .01472 m
.27438 .01847 L
s
.30258 .01472 m
.30258 .01847 L
s
.33079 .01472 m
.33079 .01847 L
s
.38719 .01472 m
.38719 .01847 L
s
.41539 .01472 m
.41539 .01847 L
s
.4436 .01472 m
.4436 .01847 L
s
.4718 .01472 m
.4718 .01847 L
s
.5282 .01472 m
.5282 .01847 L
s
.5564 .01472 m
.5564 .01847 L
s
.58461 .01472 m
.58461 .01847 L
s
.61281 .01472 m
.61281 .01847 L
s
.66921 .01472 m
.66921 .01847 L
s
.69742 .01472 m
.69742 .01847 L
s
.72562 .01472 m
.72562 .01847 L
s
.75382 .01472 m
.75382 .01847 L
s
.81022 .01472 m
.81022 .01847 L
s
.83843 .01472 m
.83843 .01847 L
s
.86663 .01472 m
.86663 .01847 L
s
.89483 .01472 m
.89483 .01847 L
s
.04876 .01472 m
.04876 .01847 L
s
.02056 .01472 m
.02056 .01847 L
s
.95124 .01472 m
.95124 .01847 L
s
.97944 .01472 m
.97944 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.78669 .13052 m
.79294 .13052 L
s
[(1)] .77419 .13052 1 0 Mshowa
.78669 .24632 m
.79294 .24632 L
s
[(2)] .77419 .24632 1 0 Mshowa
.78669 .36213 m
.79294 .36213 L
s
[(3)] .77419 .36213 1 0 Mshowa
.78669 .47793 m
.79294 .47793 L
s
[(4)] .77419 .47793 1 0 Mshowa
.78669 .59374 m
.79294 .59374 L
s
[(5)] .77419 .59374 1 0 Mshowa
.125 Mabswid
.78669 .03788 m
.79044 .03788 L
s
.78669 .06104 m
.79044 .06104 L
s
.78669 .0842 m
.79044 .0842 L
s
.78669 .10736 m
.79044 .10736 L
s
.78669 .15368 m
.79044 .15368 L
s
.78669 .17684 m
.79044 .17684 L
s
.78669 .2 m
.79044 .2 L
s
.78669 .22316 m
.79044 .22316 L
s
.78669 .26949 m
.79044 .26949 L
s
.78669 .29265 m
.79044 .29265 L
s
.78669 .31581 m
.79044 .31581 L
s
.78669 .33897 m
.79044 .33897 L
s
.78669 .38529 m
.79044 .38529 L
s
.78669 .40845 m
.79044 .40845 L
s
.78669 .43161 m
.79044 .43161 L
s
.78669 .45477 m
.79044 .45477 L
s
.78669 .5011 m
.79044 .5011 L
s
.78669 .52426 m
.79044 .52426 L
s
.78669 .54742 m
.79044 .54742 L
s
.78669 .57058 m
.79044 .57058 L
s
.78669 .6169 m
.79044 .6169 L
s
.25 Mabswid
.78669 0 m
.78669 .61803 L
s
[(Optical Path Difference \\(wavelengths\\))] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .60332 m
.03853 .53351 L
.05458 .46469 L
.06965 .40654 L
.08415 .35614 L
.09958 .30802 L
.11444 .26671 L
.13023 .22776 L
.14544 .1947 L
.16007 .16669 L
.17564 .14063 L
.19063 .11885 L
.20504 .10071 L
.22039 .08411 L
.23516 .07054 L
.25087 .0584 L
.26599 .04869 L
.28054 .04098 L
.29603 .03429 L
.31093 .02915 L
.32678 .02488 L
.34204 .02173 L
.35672 .01945 L
.36417 .01854 L
.37234 .01769 L
.38739 .01651 L
.39482 .01608 L
.40279 .01571 L
.41088 .01541 L
.41854 .0152 L
.42613 .01504 L
.43315 .01493 L
.44026 .01485 L
.4443 .01482 L
.4481 .01479 L
.45185 .01477 L
.45579 .01475 L
.45916 .01474 L
.46284 .01473 L
.46486 .01473 L
.46676 .01473 L
.47031 .01472 L
.47231 .01472 L
.47414 .01472 L
.47616 .01472 L
.47829 .01472 L
.48017 .01472 L
.48189 .01472 L
.48284 .01472 L
.48387 .01472 L
Mistroke
.48485 .01472 L
.48575 .01472 L
.48619 .01472 L
.48666 .01472 L
.48708 .01472 L
.48752 .01472 L
.48792 .01472 L
.48836 .01472 L
.48876 .01472 L
.48913 .01472 L
.4896 .01472 L
.49004 .01472 L
.49044 .01472 L
.49087 .01472 L
.49134 .01472 L
.49183 .01472 L
.49273 .01472 L
.49447 .01472 L
.49631 .01472 L
.49727 .01472 L
.49778 .01472 L
.49832 .01472 L
.49882 .01472 L
.49927 .01472 L
.49973 .01472 L
.50016 .01472 L
.50056 .01472 L
.50101 .01472 L
.50147 .01472 L
.5019 .01472 L
.50268 .01472 L
.50351 .01472 L
.50713 .01472 L
.5081 .01472 L
.50859 .01472 L
.50888 .01472 L
.50914 .01472 L
.5096 .01472 L
.5101 .01472 L
.51054 .01472 L
.511 .01472 L
.5115 .01472 L
.51178 .01472 L
.51204 .01472 L
.51254 .01472 L
.51301 .01472 L
.51406 .01472 L
.51466 .01472 L
.51521 .01472 L
.51698 .01472 L
Mistroke
.51799 .01472 L
.51893 .01472 L
.52083 .01472 L
.52287 .01472 L
.52487 .01472 L
.52673 .01472 L
.52876 .01472 L
.53093 .01472 L
.53495 .01473 L
.53858 .01474 L
.54241 .01475 L
.54592 .01476 L
.54978 .01478 L
.55386 .0148 L
.55747 .01483 L
.56134 .01487 L
.56833 .01495 L
.57643 .01509 L
.58409 .01527 L
.59168 .0155 L
.5987 .01577 L
.60642 .01615 L
.61367 .01658 L
.62806 .01773 L
.6428 .01939 L
.65848 .02182 L
.67359 .02496 L
.68811 .02886 L
.70357 .03414 L
.71845 .0405 L
.73427 .04884 L
.74951 .05866 L
.76417 .06997 L
.77976 .08427 L
.79478 .10051 L
.80922 .11865 L
.8246 .141 L
.8394 .16574 L
.85513 .19586 L
.87028 .22895 L
.88486 .26487 L
.90037 .30789 L
.91531 .35435 L
.93117 .40958 L
.94646 .46894 L
.96118 .53218 L
.97619 .60332 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00803oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0`00000K0?oo
o`<000006@3oool5000000<0oooo00<000000?ooo`3oool00P3oool3000001T0oooo0P00000J0?oo
o`D000000`3oool00`000000oooo0?ooo`020?ooo`<000006P3oool3000001`0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`020?ooo`<000007`3oool00200oooo00<000000?ooo`3o
ool01`3oool01@000000oooo0?ooo`3oool0000001T0oooo00D000000?ooo`3oool0oooo0000000I
0?ooo`040000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo0000000G0?ooo`040000
003oool0oooo000001X0oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0
000001P0oooo00D000000?ooo`3oool0oooo0000000K0?ooo`030000003oool0oooo00L0oooo00D0
00000?ooo`3oool0oooo0000000N0?ooo`00603oool5000000@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0A0?ooo`D000001@3oool00`000000oooo0?ooo`0@0?ooo`D000000`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01D0oooo00@000000?ooo`3oool00000
6`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0
6P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo01`0oooo000Q0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0I0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`00000L0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0703oool00280oooo00<000000?ooo`3oool01@3o
ool4000001X0oooo1000000I0?ooo`050000003oool0oooo0?ooo`0000001`3oool4000001P0oooo
00@000000?ooo`3oool000006@3oool01@000000oooo0?ooo`3oool0000000L0oooo1000000I0?oo
o`@000007P3oool00`000000oooo0?ooo`050?ooo`@000007`3oool001h0oooo00D000000?ooo`3o
ool0oooo000000070?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool06P3oool01@00
0000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool06@3oool010000000oooo0?ooo`00
000I0?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`0J0?ooo`030000
003oool0oooo01/0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo0200
oooo000N0?ooo`D000001`3oool5000001T0oooo1@00000I0?ooo`<00000203oool5000001P0oooo
0P00000K0?ooo`<00000203oool5000001P0oooo1@00000I0?ooo`D000001`3oool5000001h0oooo
003H0?ooo`030000003oool0oooo04D0oooo003H0?ooo`030000003oool0oooo04D0oooo003H0?oo
o`030000003oool0oooo04D0oooo003H0?ooo`030000003oool0oooo04D0oooo000A0?ooood00000
4P3oool001H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`X00000103o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3o
ool4000000@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo000000040?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01D0oooo001Q0?ooo`@00000D@3oool8000001X0oooo00<000000?ooo`3oool0A@3oool0
05h0oooo0`00001M0?ooo`<000005`3oool00`000000oooo0?ooo`150?ooo`00G03oool2000006<0
oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`150?ooo`00F@3oool3000006H0oooo
0`00000C0?ooo`030000003oool0oooo04D0oooo001F0?ooo`<00000K03oool300000100oooo00<0
00000?ooo`3oool0A@3oool005D0oooo00<000000?ooo`3oool0L03oool2000000h0oooo00<00000
0?ooo`3oool0A@3oool005<0oooo0P00001e0?ooo`800000303oool00`000000oooo0?ooo`150?oo
o`00DP3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0A@3oool00540oooo00<000000?ooo`3oool0N@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo04D0oooo001?0?ooo`800000O@3oool2000000P0oooo00<000000?ooo`3oool0A@3o
ool004h0oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo04D0oooo001=0?ooo`030000003oool0oooo0840oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`150?ooo`00B`3oool2000008D0oooo0P0000040?ooo`030000003oool0oooo04D0
oooo001:0?ooo`030000003oool0oooo08L0oooo00D000000?ooo`3oool0oooo000000170?ooo`00
B@3oool00`000000oooo0?ooo`290?ooo`040000003oool0oooo000004L0oooo00180?ooo`030000
003oool0oooo08/0oooo00<000000?ooo`000000A`3oool004L0oooo00<000000?ooo`3oool0S@3o
ool2000004L0oooo00160?ooo`030000003oool0oooo08l0oooo00<000000?ooo`3oool0A@3oool0
04D0oooo00<000000?ooo`3oool0T03oool2000004H0oooo00140?ooo`030000003oool0oooo0940
oooo00<000000?ooo`000000A@3oool004@0oooo00<000000?ooo`3oool0T@3oool00`000000oooo
000000150?ooo`00@`3oool00`000000oooo0?ooo`2B0?ooo`040000003oool0oooo000004@0oooo
00120?ooo`030000003oool0oooo09<0oooo00D000000?ooo`3oool0oooo000000130?ooo`00@P3o
ool00`000000oooo0?ooo`2C0?ooo`050000003oool0oooo0?ooo`000000@`3oool00440oooo00<0
00000?ooo`3oool0U03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0400oooo0011
0?ooo`030000003oool0oooo08/0oooo0`0000060?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0@03oool00400oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0?`3oool003l0oooo00<000000?ooo`3o
ool0SP3oool00`000000oooo0?ooo`050?ooo`8000001@3oool00`000000oooo0?ooo`0n0?ooo`00
?`3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0n0?ooo`00?P3oool00`000000oooo0?ooo`2?0?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0m0?ooo`00?@3oool0
0`000000oooo0?ooo`2?0?ooo`8000001`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo03`0oooo000m0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo03`0oooo000l0?ooo`030000003oool0oooo09T0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0k0?ooo`00>`3oool00`000000oooo
0?ooo`2J0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0>P3oool003/0oooo00<0
00000?ooo`3oool0VP3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03X0oooo000j
0?ooo`030000003oool0oooo09/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0i
0?ooo`00>@3oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool0>03oool003T0oooo00<000000?ooo`3oool0W03oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo03P0oooo000h0?ooo`030000003oool0oooo09d0oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`0g0?ooo`00>03oool00`000000oooo0?ooo`2M0?ooo`030000003o
ool0oooo00/0oooo00<000000?ooo`3oool0=`3oool003L0oooo00<000000?ooo`3oool0WP3oool0
0`000000oooo0?ooo`0<0?ooo`030000003oool0oooo03H0oooo000f0?ooo`030000003oool0oooo
09l0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0f0?ooo`00=P3oool00`000000
oooo0?ooo`2O0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0=@3oool003D0oooo
00<000000?ooo`3oool0X03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo03D0oooo
000e0?ooo`030000003oool0oooo0:00oooo00<000000?ooo`3oool03P3oool00`000000oooo0?oo
o`0d0?ooo`00=03oool00`000000oooo0?ooo`2Q0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool0=03oool003@0oooo00<000000?ooo`3oool0X@3oool00`000000oooo0?ooo`0?0?oo
o`030000003oool0oooo03<0oooo000c0?ooo`030000003oool0oooo0:80oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0c0?ooo`00<`3oool00`000000oooo0?ooo`2R0?ooo`030000
003oool0oooo0100oooo00<000000?ooo`3oool0<P3oool003<0oooo00<000000?ooo`3oool0XP3o
ool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0380oooo000b0?ooo`030000003oool0
oooo0:<0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0a0?ooo`00<P3oool00`00
0000oooo0?ooo`2S0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0<@3oool00340
oooo00<000000?ooo`3oool0Y03oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo0300
oooo000a0?ooo`030000003oool0oooo0:@0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`0`0?ooo`00<03oool00`000000oooo0?ooo`2K0?ooo`D000001@3oool00`000000oooo0?oo
o`0C0?ooo`030000003oool0oooo02l0oooo000`0?ooo`030000003oool0oooo09`0oooo00@00000
0?ooo`3oool000001@3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo02l0oooo000_
0?ooo`030000003oool0oooo09h0oooo00<000000?ooo`3oool01@3oool2000001@0oooo00<00000
0?ooo`3oool0;`3oool002l0oooo00<000000?ooo`3oool0W`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo01@0oooo00<000000?ooo`3oool0;P3oool002l0oooo00<000000?ooo`3o
ool0W03oool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool0503oool00`00
0000oooo0?ooo`0^0?ooo`00;P3oool00`000000oooo0?ooo`2M0?ooo`050000003oool0oooo0?oo
o`0000001@3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo02h0oooo000^0?ooo`03
0000003oool0oooo09h0oooo0`0000060?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0;@3oool002d0oooo00<000000?ooo`3oool0Z03oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo02d0oooo000]0?ooo`030000003oool0oooo0:P0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0]0?ooo`00;@3oool00`000000oooo0?ooo`2X0?ooo`030000003oool0
oooo01H0oooo00<000000?ooo`3oool0;03oool002`0oooo00<000000?ooo`3oool0Z@3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo02`0oooo000/0?ooo`030000003oool0oooo0:T0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`0/0?ooo`00;03oool00`000000oooo
0?ooo`2Y0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0:`3oool002/0oooo00<0
00000?ooo`3oool0ZP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo02/0oooo000[
0?ooo`030000003oool0oooo0:X0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`0[
0?ooo`00:`3oool00`000000oooo0?ooo`2Z0?ooo`030000003oool0oooo01P0oooo00<000000?oo
o`3oool0:P3oool002/0oooo00<000000?ooo`3oool0ZP3oool00`000000oooo0?ooo`0H0?ooo`03
0000003oool0oooo02X0oooo000Z0?ooo`030000003oool0oooo0:/0oooo00<000000?ooo`3oool0
603oool00`000000oooo0?ooo`0Z0?ooo`00:P3oool00`000000oooo0?ooo`2[0?ooo`030000003o
ool0oooo01T0oooo00<000000?ooo`3oool0:@3oool002X0oooo00<000000?ooo`3oool0Z`3oool0
0`000000oooo0?ooo`0I0?ooo`030000003oool0oooo02T0oooo000Y0?ooo`030000003oool0oooo
0:`0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`0X0?ooo`00:@3oool00`000000
oooo0?ooo`2/0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool0:03oool002T0oooo
00<000000?ooo`3oool0[03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo02P0oooo
000X0?ooo`030000003oool0oooo0:d0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`0W0?ooo`00:03oool00`000000oooo0?ooo`2]0?ooo`030000003oool0oooo01/0oooo00<00000
0?ooo`3oool09`3oool002P0oooo00<000000?ooo`3oool0[@3oool00`000000oooo0?ooo`0K0?oo
o`030000003oool0oooo02L0oooo000W0?ooo`030000003oool0oooo0:h0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0V0?ooo`009`3oool00`000000oooo0?ooo`2^0?ooo`030000
003oool0oooo01`0oooo00<000000?ooo`3oool09P3oool002L0oooo00<000000?ooo`3oool0[P3o
ool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo02H0oooo000V0?ooo`030000003oool0
oooo0:H0oooo0`0000060?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool09@3oool0
02H0oooo00<000000?ooo`3oool0Y@3oool01@000000oooo0?ooo`3oool0000000D0oooo00<00000
0?ooo`3oool07@3oool00`000000oooo0?ooo`0U0?ooo`009P3oool00`000000oooo0?ooo`2Y0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0U0?oo
o`009P3oool00`000000oooo0?ooo`2W0?ooo`8000001P3oool2000001h0oooo00<000000?ooo`3o
ool09@3oool002D0oooo00<000000?ooo`3oool0ZP3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool0903oool002D0oooo00<000000?ooo`3oool0YP3o
ool01@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0T0?ooo`009@3oool00`000000oooo0?ooo`2W0?ooo`<000001P3oool00`000000oooo0?oo
o`0N0?ooo`030000003oool0oooo02@0oooo000T0?ooo`030000003oool0oooo0;40oooo00<00000
0?ooo`3oool07`3oool00`000000oooo0?ooo`0S0?ooo`00903oool00`000000oooo0?ooo`2a0?oo
o`030000003oool0oooo01l0oooo00<000000?ooo`3oool08`3oool002@0oooo00<000000?ooo`3o
ool0/@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo02<0oooo000S0?ooo`030000
003oool0oooo0;80oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0S0?ooo`008`3o
ool00`000000oooo0?ooo`2b0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool08P3o
ool002<0oooo00<000000?ooo`3oool0/P3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0
oooo0280oooo000R0?ooo`030000003oool0oooo0;<0oooo00<000000?ooo`3oool0803oool00`00
0000oooo0?ooo`0R0?ooo`008P3oool00`000000oooo0?ooo`2c0?ooo`030000003oool0oooo0240
oooo00<000000?ooo`3oool08@3oool00280oooo00<000000?ooo`3oool0/`3oool00`000000oooo
0?ooo`0Q0?ooo`030000003oool0oooo0240oooo000R0?ooo`030000003oool0oooo0;<0oooo00<0
00000?ooo`3oool08@3oool00`000000oooo0?ooo`0Q0?ooo`008@3oool00`000000oooo0?ooo`2d
0?ooo`030000003oool0oooo0240oooo00<000000?ooo`3oool08@3oool00240oooo00<000000?oo
o`3oool0]03oool00`000000oooo0?ooo`0R0?ooo`030000003oool0oooo0200oooo000Q0?ooo`03
0000003oool0oooo0;@0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0P0?ooo`00
8@3oool00`000000oooo0?ooo`2d0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool0
803oool00200oooo00<000000?ooo`3oool0]@3oool00`000000oooo0?ooo`0R0?ooo`030000003o
ool0oooo0200oooo000P0?ooo`030000003oool0oooo0;D0oooo00<000000?ooo`3oool08`3oool0
0`000000oooo0?ooo`0O0?ooo`00803oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo
02<0oooo00<000000?ooo`3oool07`3oool001l0oooo00<000000?ooo`3oool0]P3oool00`000000
oooo0?ooo`0S0?ooo`030000003oool0oooo01l0oooo000O0?ooo`030000003oool0oooo0;H0oooo
00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0N0?ooo`007`3oool00`000000oooo0?oo
o`2f0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool07P3oool001l0oooo00<00000
0?ooo`3oool0]P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo01h0oooo000N0?oo
o`030000003oool0oooo0;L0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`0N0?oo
o`007P3oool00`000000oooo0?ooo`2_0?ooo`<000001@3oool00`000000oooo0?ooo`0U0?ooo`03
0000003oool0oooo01d0oooo000N0?ooo`030000003oool0oooo0;00oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo01d0oooo000N0?ooo`030000003o
ool0oooo0:d0oooo1@0000050?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool07@3o
ool001d0oooo00<000000?ooo`3oool0[P3oool010000000oooo0?ooo`0000060?ooo`8000009P3o
ool00`000000oooo0?ooo`0M0?ooo`007@3oool00`000000oooo0?ooo`2_0?ooo`030000003oool0
000000H0oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0L0?ooo`007@3oool00`00
0000oooo0?ooo`2`0?ooo`8000001P3oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo
01`0oooo000M0?ooo`030000003oool0oooo0;40oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0V0?ooo`030000003oool0oooo01`0oooo000L0?ooo`030000003oool0oooo0;T0oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`0L0?ooo`00703oool00`000000oooo0?oo
o`2i0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool06`3oool001`0oooo00<00000
0?ooo`3oool0^@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo01/0oooo000L0?oo
o`030000003oool0oooo0;T0oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0K0?oo
o`00703oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3o
ool06`3oool001/0oooo00<000000?ooo`3oool0^P3oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo01X0oooo000K0?ooo`030000003oool0oooo0;X0oooo00<000000?ooo`3oool0:03o
ool00`000000oooo0?ooo`0J0?ooo`006`3oool00`000000oooo0?ooo`2j0?ooo`030000003oool0
oooo02P0oooo00<000000?ooo`3oool06P3oool001/0oooo00<000000?ooo`3oool0^P3oool00`00
0000oooo0?ooo`0X0?ooo`030000003oool0oooo01X0oooo000J0?ooo`030000003oool0oooo0;/0
oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0I0?ooo`006P3oool00`000000oooo
0?ooo`2k0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool06@3oool001X0oooo00<0
00000?ooo`3oool0^`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo01T0oooo000J
0?ooo`030000003oool0oooo0;/0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`0I
0?ooo`006P3oool00`000000oooo0?ooo`2k0?ooo`030000003oool0oooo02T0oooo00<000000?oo
o`3oool06@3oool001T0oooo00<000000?ooo`3oool0_03oool00`000000oooo0?ooo`0Z0?ooo`03
0000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo0;`0oooo00<000000?ooo`3oool0
:P3oool00`000000oooo0?ooo`0H0?ooo`006@3oool00`000000oooo0?ooo`2l0?ooo`030000003o
ool0oooo02X0oooo00<000000?ooo`3oool0603oool001T0oooo00<000000?ooo`3oool0_03oool0
0`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo01P0oooo000I0?ooo`030000003oool0oooo
0;`0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`0H0?ooo`006@3oool00`000000
oooo0?ooo`2l0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0603oool001P0oooo
00<000000?ooo`3oool0_@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo01L0oooo
000H0?ooo`030000003oool0oooo0;d0oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?oo
o`0G0?ooo`00603oool00`000000oooo0?ooo`2m0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool05`3oool001P0oooo00<000000?ooo`3oool0]03oool3000000H0oooo00<000000?oo
o`3oool0:`3oool00`000000oooo0?ooo`0G0?ooo`00603oool00`000000oooo0?ooo`2c0?ooo`05
0000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?ooo`0[0?ooo`030000003oool0oooo
01L0oooo000H0?ooo`030000003oool0oooo0;L0oooo00<000000?ooo`3oool00`3oool2000002`0
oooo00<000000?ooo`3oool05`3oool001L0oooo00<000000?ooo`3oool0^03oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool05P3oool001L0oooo00<0
00000?ooo`3oool0]03oool4000000H0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?oo
o`0F0?ooo`005`3oool00`000000oooo0?ooo`2d0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0;03oool00`000000oooo0?ooo`0F0?ooo`00cP3oool5000000D0oooo00<000000?oo
o`3oool0A@3oool00=P0oooo00<000000?ooo`3oool0A@3oool00=P0oooo00<000000?ooo`3oool0
A@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool002H0oooo0`00002:0?ooo`03
0000003oool0oooo02/0oooo0`00000E0?ooo`030000003oool0oooo02@0oooo000W0?ooo`030000
003oool0oooo08P0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0C0?ooo`030000
003oool0oooo02<0oooo000Q0?ooo`<000000`3oool3000000@0oooo0P0000020?ooo`D000000P3o
ool3000000<0oooo100000000`3oool0000000000003000000L0oooo0`0000040?ooo`@000000`3o
ool200000080oooo1P0000060?ooo`@000000P3oool5000000030?ooo`000000000000<0000000<0
oooo0000000000000`0000020?ooo`<000000P3oool3000000@0oooo0`0000020?ooo`<0000000@0
oooo000000000000oooo0`0000030?ooo`<000002@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0000000<0oooo100000030?ooo`030000003oool0oooo0080oooo0`0000020?ooo`D00000
0P3oool300000080oooo0`000000103oool000000000003oool4000000<0oooo0P0000020?ooo`X0
00001@3oool00`000000oooo0?ooo`0R0?ooo`00803oool01@000000oooo0?ooo`3oool000000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000<0oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo
000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`050000003oool0
oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo00H0
00000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0000000`0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo000000020?ooo`040000003oool0oooo000000@0oooo00D000000?oo
o`3oool0oooo000000070?ooo`050000003oool0oooo0?ooo`0000001P3oool01P000000oooo0?oo
o`000000oooo000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0R
0?ooo`00803oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000001P3oool3000000@0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`<000000`3oool00`000000oooo
0?ooo`030?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool0oooo1@000002
0?ooo`030000003oool0oooo0080oooo1@0000020?ooo`060000003oool0oooo0000003oool00000
1@3oool5000000P0oooo00<000000?ooo`3oool00P3oool01@000000oooo0000003oool000000080
oooo0`0000030?ooo`030000003oool000000080oooo1@0000030?ooo`040000003oool0oooo0?oo
o`D000000P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00@000000?ooo`3oool00000
1@3oool010000000oooo0?ooo`0000020?ooo`<000001@3oool00`000000oooo0?ooo`0R0?ooo`00
803oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo00000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool300000080oooo00@00000
0?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000P0oooo
00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo008000000`3oool01@00
0000oooo0?ooo`3oool000000080oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000
003oool0000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`070000
003oool000000?ooo`000000oooo000000020?ooo`070000003oool0oooo0?ooo`000000oooo0000
00020?ooo`050000003oool0oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool0000000<0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo000000030?ooo`040000003oool0oooo
000000D0oooo00H000000?ooo`3oool000000?ooo`0000080?ooo`030000003oool0oooo0280oooo
000P0?ooo`060000003oool0oooo0?ooo`000000oooo100000020?ooo`@000000P3oool3000000@0
oooo0`0000030?ooo`8000001@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo0000
0080oooo0P0000030?ooo`@000000`3oool3000000T0oooo00D000000?ooo`3oool000000?ooo`03
000000@0oooo100000020?ooo`@000000P3oool300000080oooo0P0000000`3oool0000000000002
0?ooo`<000000P3oool4000000<0oooo0`0000030?ooo`<000002@3oool00`000000oooo0?ooo`02
0?ooo`H0000000<0oooo0000000000000`3oool2000000030?ooo`00000000000080oooo0`000004
0?ooo`030000003oool0oooo0080oooo0`0000020?ooo`@000000`3oool9000000<0oooo0`000003
0?ooo`@00000103oool00`000000oooo0?ooo`0R0?ooo`00803oool01@000000oooo0?ooo`3oool0
000000P0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`080?ooo`040000003oool0
oooo000000P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0]0?ooo`030000
003oool0oooo01/0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool08`3oool00240oooo0`0000090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool03@3oool3000000T0oooo100000090?ooo`030000003o
ool0oooo0080oooo0P00000:0?ooo`@00000103oool00`000000oooo0?ooo`040?ooo`800000103o
ool2000002h0oooo00<000000?ooo`3oool0603oool3000001H0oooo00<000000?ooo`3oool00P3o
ool2000000/0oooo00<000000?ooo`3oool0903oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-10.0575, -0.415158, \
0.0700871, 0.0341369}},
  CellTags->"ModulationTransferFunction"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 7.54678 0.0147151 0.589387 [
[.04719 .00222 -15 -9 ]
[.04719 .00222 15 0 ]
[.19813 .00222 -15 -9 ]
[.19813 .00222 15 0 ]
[.34906 .00222 -15 -9 ]
[.34906 .00222 15 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.65094 .00222 -12 -9 ]
[.65094 .00222 12 0 ]
[.80187 .00222 -12 -9 ]
[.80187 .00222 12 0 ]
[.95281 .00222 -12 -9 ]
[.95281 .00222 12 0 ]
[.01131 .13259 -18 -4.5 ]
[.01131 .13259 0 4.5 ]
[.01131 .25047 -18 -4.5 ]
[.01131 .25047 0 4.5 ]
[.01131 .36835 -18 -4.5 ]
[.01131 .36835 0 4.5 ]
[.01131 .48622 -18 -4.5 ]
[.01131 .48622 0 4.5 ]
[.01131 .6041 -6 -4.5 ]
[.01131 .6041 0 4.5 ]
[.5 .63053 -93 0 ]
[.5 .63053 93 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.04719 .01472 m
.04719 .02097 L
s
[(-0.06)] .04719 .00222 0 1 Mshowa
.19813 .01472 m
.19813 .02097 L
s
[(-0.04)] .19813 .00222 0 1 Mshowa
.34906 .01472 m
.34906 .02097 L
s
[(-0.02)] .34906 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(0)] .5 .00222 0 1 Mshowa
.65094 .01472 m
.65094 .02097 L
s
[(0.02)] .65094 .00222 0 1 Mshowa
.80187 .01472 m
.80187 .02097 L
s
[(0.04)] .80187 .00222 0 1 Mshowa
.95281 .01472 m
.95281 .02097 L
s
[(0.06)] .95281 .00222 0 1 Mshowa
.125 Mabswid
.08493 .01472 m
.08493 .01847 L
s
.12266 .01472 m
.12266 .01847 L
s
.16039 .01472 m
.16039 .01847 L
s
.23586 .01472 m
.23586 .01847 L
s
.2736 .01472 m
.2736 .01847 L
s
.31133 .01472 m
.31133 .01847 L
s
.3868 .01472 m
.3868 .01847 L
s
.42453 .01472 m
.42453 .01847 L
s
.46227 .01472 m
.46227 .01847 L
s
.53773 .01472 m
.53773 .01847 L
s
.57547 .01472 m
.57547 .01847 L
s
.6132 .01472 m
.6132 .01847 L
s
.68867 .01472 m
.68867 .01847 L
s
.7264 .01472 m
.7264 .01847 L
s
.76414 .01472 m
.76414 .01847 L
s
.83961 .01472 m
.83961 .01847 L
s
.87734 .01472 m
.87734 .01847 L
s
.91507 .01472 m
.91507 .01847 L
s
.00946 .01472 m
.00946 .01847 L
s
.99054 .01472 m
.99054 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
.02381 .13259 m
.03006 .13259 L
s
[(0.2)] .01131 .13259 1 0 Mshowa
.02381 .25047 m
.03006 .25047 L
s
[(0.4)] .01131 .25047 1 0 Mshowa
.02381 .36835 m
.03006 .36835 L
s
[(0.6)] .01131 .36835 1 0 Mshowa
.02381 .48622 m
.03006 .48622 L
s
[(0.8)] .01131 .48622 1 0 Mshowa
.02381 .6041 m
.03006 .6041 L
s
[(1)] .01131 .6041 1 0 Mshowa
.125 Mabswid
.02381 .04418 m
.02756 .04418 L
s
.02381 .07365 m
.02756 .07365 L
s
.02381 .10312 m
.02756 .10312 L
s
.02381 .16206 m
.02756 .16206 L
s
.02381 .19153 m
.02756 .19153 L
s
.02381 .221 m
.02756 .221 L
s
.02381 .27994 m
.02756 .27994 L
s
.02381 .30941 m
.02756 .30941 L
s
.02381 .33888 m
.02756 .33888 L
s
.02381 .39782 m
.02756 .39782 L
s
.02381 .42729 m
.02756 .42729 L
s
.02381 .45676 m
.02756 .45676 L
s
.02381 .51569 m
.02756 .51569 L
s
.02381 .54516 m
.02756 .54516 L
s
.02381 .57463 m
.02756 .57463 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(Point Spread Intensity Function)] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .01996 m
.02723 .02004 L
.03097 .02013 L
.03286 .02017 L
.0339 .0202 L
.03488 .02022 L
.0358 .02024 L
.03605 .02025 L
.03632 .02025 L
.03679 .02031 L
.03853 .0205 L
.04221 .02091 L
.04617 .02135 L
.04733 .02148 L
.0479 .02155 L
.04843 .0216 L
.04891 .02165 L
.04918 .02165 L
.04943 .02165 L
.05051 .02163 L
.05458 .02159 L
.05644 .02157 L
.0584 .02155 L
.06007 .02153 L
.06053 .02152 L
.06102 .02152 L
.06149 .02152 L
.06191 .02155 L
.06603 .02189 L
.06984 .0222 L
.07166 .02235 L
.07255 .02242 L
.07337 .02249 L
.07379 .02252 L
.07422 .02252 L
.07467 .02249 L
.07515 .02246 L
.07711 .02235 L
.08126 .02212 L
.08502 .02191 L
.08592 .02186 L
.08637 .02183 L
.08687 .02182 L
.08712 .02182 L
.0874 .02182 L
.08791 .02182 L
.08886 .02181 L
.09249 .02179 L
.09463 .02177 L
.09666 .02176 L
Mistroke
.09755 .02176 L
.09849 .02175 L
.09876 .02175 L
.09903 .02175 L
.09952 .02173 L
.10047 .02169 L
.11518 .02106 L
.11912 .02084 L
.12104 .02074 L
.12279 .02065 L
.12325 .02062 L
.12374 .0206 L
.12421 .02058 L
.12464 .0206 L
.12662 .02068 L
.13082 .02086 L
.13259 .02093 L
.1345 .02101 L
.13537 .02105 L
.13585 .02107 L
.1363 .02109 L
.13668 .0211 L
.13708 .02109 L
.13794 .02107 L
.14203 .02096 L
.1458 .02087 L
.1477 .02082 L
.14816 .02081 L
.14866 .0208 L
.14894 .02079 L
.1492 .0208 L
.14946 .02083 L
.14971 .02086 L
.15395 .0214 L
.15767 .02188 L
.15971 .02214 L
.16071 .02226 L
.16115 .02232 L
.16163 .02238 L
.16206 .0224 L
.16247 .02242 L
.16336 .02247 L
.16523 .02256 L
.1692 .02275 L
.17259 .02291 L
.17306 .02293 L
.17357 .02296 L
.17405 .02298 L
.17449 .02303 L
.17622 .02325 L
Mistroke
.18396 .02424 L
.19121 .02512 L
.19478 .02553 L
.19653 .02573 L
.19816 .02591 L
.19863 .02597 L
.19907 .02602 L
.19931 .02604 L
.19957 .02604 L
.20003 .02604 L
.20207 .02605 L
.20564 .02607 L
.20926 .02609 L
.21025 .02609 L
.2108 .02609 L
.21107 .02609 L
.21132 .0261 L
.2118 .0261 L
.21205 .02612 L
.21232 .02615 L
.21324 .02624 L
.2171 .02663 L
.21913 .02683 L
.22126 .02704 L
.22311 .02723 L
.22362 .02728 L
.2239 .02731 L
.22416 .02733 L
.22441 .02734 L
.22467 .02731 L
.22514 .02727 L
.22869 .02695 L
.23229 .02662 L
.23405 .02647 L
.23565 .02632 L
.23608 .02628 L
.23655 .02624 L
.23698 .02622 L
.23739 .02623 L
.23926 .02629 L
.24323 .02642 L
.24522 .02649 L
.24736 .02656 L
.24835 .02659 L
.24889 .02661 L
.24939 .02662 L
.24982 .02662 L
.25028 .02662 L
.25125 .02662 L
.25535 .02661 L
Mistroke
.25714 .02661 L
.25909 .0266 L
.26001 .0266 L
.26098 .0266 L
.26138 .0266 L
.26182 .0266 L
.26229 .0266 L
.26273 .02661 L
.26618 .02666 L
.27003 .02671 L
.27206 .02674 L
.27318 .02676 L
.27373 .02676 L
.27397 .02677 L
.27423 .02677 L
.27472 .02683 L
.27498 .02688 L
.27523 .02693 L
.27631 .02714 L
.2782 .0275 L
.28188 .02821 L
.28379 .02858 L
.28586 .02898 L
.28635 .02908 L
.28681 .02917 L
.28729 .02923 L
.28754 .02925 L
.28782 .02927 L
.28963 .02942 L
.29329 .02973 L
.2967 .03002 L
.29846 .03017 L
.29897 .03021 L
.29945 .03025 L
.29988 .03036 L
.30034 .03049 L
.30433 .03163 L
.31237 .0339 L
.32795 .0372 L
.34296 .03992 L
.35738 .04192 L
.35935 .04196 L
.36039 .04199 L
.36096 .042 L
.3615 .04201 L
.36175 .04202 L
.36201 .04202 L
.3623 .04205 L
.36257 .04211 L
.36353 .04229 L
Mistroke
.36541 .04265 L
.36921 .04339 L
.37275 .04407 L
.37615 .04495 L
.3798 .04622 L
.38753 .04886 L
.39509 .05044 L
.39716 .05087 L
.3983 .05111 L
.39885 .05123 L
.39936 .05133 L
.3998 .05144 L
.40026 .05171 L
.40124 .05228 L
.4033 .05349 L
.40711 .05572 L
.40921 .05694 L
.41118 .0581 L
.41302 .05946 L
.41502 .0614 L
.4185 .0648 L
.42218 .06838 L
.42403 .07018 L
.42454 .07068 L
.42482 .07096 L
.42508 .07159 L
.42606 .07396 L
.43303 .09073 L
.43486 .09512 L
.43586 .09753 L
.43635 .09871 L
.4368 .0998 L
.43719 .10073 L
.4376 .10258 L
.43846 .10757 L
.44029 .1182 L
.44819 .16406 L
.4557 .22581 L
.46269 .28873 L
.47755 .44674 L
.48513 .52392 L
.4862 .53484 L
.4872 .54507 L
.48746 .5477 L
.4877 .54887 L
.48799 .55014 L
.48825 .5513 L
.4894 .55648 L
.49334 .5742 L
.49687 .59002 L
Mistroke
.49788 .59457 L
.49883 .59886 L
.49925 .60074 L
.49969 .60272 L
.50017 .60332 L
.50062 .60132 L
.50474 .58283 L
.50856 .56566 L
.51041 .55733 L
.51133 .55323 L
.51217 .54943 L
.51264 .5467 L
.51314 .54161 L
.5142 .53085 L
.51604 .51204 L
.52303 .44085 L
.53741 .28761 L
.5454 .21595 L
.55273 .1587 L
.55991 .11704 L
.56166 .10691 L
.56212 .10424 L
.56262 .10134 L
.56309 .10007 L
.56352 .09902 L
.56459 .09644 L
.56557 .0941 L
.56747 .08952 L
.57121 .08052 L
.57327 .07556 L
.57429 .07312 L
.57478 .07193 L
.57523 .07091 L
.57568 .07047 L
.57611 .07005 L
.57704 .06914 L
.57902 .06721 L
.58248 .06384 L
.58612 .0603 L
.58951 .05769 L
.59304 .05563 L
.59692 .05336 L
.59882 .05225 L
.59976 .0517 L
.60017 .05146 L
.60062 .05134 L
.6011 .05123 L
.60162 .05113 L
.6027 .0509 L
.60459 .05051 L
Mistroke
.6082 .04975 L
.61163 .04904 L
.61347 .04856 L
.61548 .04786 L
.61902 .04663 L
.62318 .04518 L
.62414 .04485 L
.62466 .04467 L
.62515 .0445 L
.62557 .04439 L
.62602 .04431 L
.62697 .04412 L
.62882 .04377 L
.63082 .04338 L
.63445 .04268 L
.63548 .04248 L
.6366 .04227 L
.63711 .04217 L
.63739 .04211 L
.63765 .04206 L
.63812 .04202 L
.63836 .04201 L
.63863 .04201 L
.64244 .04192 L
.64639 .04183 L
.64832 .04178 L
.64916 .04176 L
.6496 .04175 L
.65007 .04174 L
.65056 .04168 L
.65102 .04156 L
.65192 .04131 L
.6539 .04078 L
.6581 .03963 L
.66169 .03866 L
.66219 .03852 L
.66245 .03845 L
.66273 .03838 L
.663 .03832 L
.66324 .03829 L
.66371 .03823 L
.66555 .038 L
.67253 .03714 L
.67439 .03691 L
.67484 .03685 L
.67532 .03679 L
.6756 .03674 L
.67586 .03668 L
.67635 .03656 L
.67987 .03573 L
Mistroke
.6878 .03386 L
.69569 .03162 L
.69916 .03064 L
.70011 .03036 L
.70038 .03029 L
.70065 .03024 L
.70114 .0302 L
.70299 .03004 L
.71008 .02945 L
.71182 .0293 L
.71232 .02926 L
.71279 .02922 L
.71321 .02916 L
.71367 .02907 L
.71571 .02868 L
.7176 .02831 L
.72152 .02756 L
.72344 .02719 L
.72427 .02702 L
.72518 .02685 L
.72567 .02677 L
.72613 .02677 L
.72703 .02675 L
.729 .02673 L
.7332 .02667 L
.73515 .02664 L
.73617 .02662 L
.73724 .02661 L
.7377 .0266 L
.73819 .0266 L
.73847 .0266 L
.73873 .0266 L
.73922 .0266 L
.74104 .0266 L
.74449 .02661 L
.74814 .02662 L
.74901 .02662 L
.74994 .02662 L
.75022 .02662 L
.75048 .02662 L
.75097 .02661 L
.75143 .0266 L
.75193 .02658 L
.75543 .02646 L
.75958 .02633 L
.76054 .0263 L
.76154 .02626 L
.7624 .02624 L
.76289 .02622 L
.76335 .02623 L
Mistroke
.76382 .02627 L
.76424 .02631 L
.7652 .0264 L
.76721 .02658 L
.77084 .02691 L
.77281 .02709 L
.77384 .02718 L
.77441 .02723 L
.77494 .02728 L
.77541 .02732 L
.7759 .02733 L
.77617 .0273 L
.77646 .02727 L
.77696 .02722 L
.77883 .02703 L
.78247 .02667 L
.78446 .02647 L
.78635 .02628 L
.7872 .0262 L
.78767 .02615 L
.78811 .02611 L
.78858 .0261 L
.78883 .02609 L
.7891 .02609 L
.79002 .02609 L
.79335 .02607 L
.79721 .02606 L
.79826 .02605 L
.79939 .02605 L
.79994 .02604 L
.8002 .02604 L
.80045 .02604 L
.80091 .02602 L
.80141 .02596 L
.80907 .02508 L
.81686 .02414 L
.82067 .02365 L
.82413 .02321 L
.82497 .0231 L
.82542 .02304 L
.82585 .02299 L
.82632 .02296 L
.82683 .02294 L
.82772 .0229 L
.83112 .02273 L
.8347 .02256 L
.83673 .02246 L
.83724 .02244 L
.83772 .02241 L
.83815 .02239 L
Mistroke
.83861 .02235 L
.84043 .02212 L
.84237 .02187 L
.84632 .02137 L
.8481 .02114 L
.84908 .02102 L
.84999 .0209 L
.85039 .02085 L
.85077 .0208 L
.8512 .0208 L
.8516 .02081 L
.85337 .02085 L
.85704 .02094 L
.85905 .02099 L
.86094 .02104 L
.86255 .02108 L
.86299 .02109 L
.86345 .0211 L
.86384 .02108 L
.86428 .02107 L
.86796 .02091 L
.87179 .02075 L
.87368 .02067 L
.87451 .02064 L
.87542 .0206 L
.87592 .02058 L
.87639 .0206 L
.87742 .02066 L
.8796 .02077 L
.8834 .02098 L
.89046 .02133 L
.89817 .02163 L
.90019 .02171 L
.90047 .02173 L
.90078 .02174 L
.90106 .02175 L
.90132 .02175 L
.90235 .02175 L
.90623 .02178 L
.90814 .02179 L
.91019 .0218 L
.91118 .02181 L
.91212 .02182 L
.91296 .02182 L
.91344 .02183 L
.91388 .02185 L
.92106 .02225 L
.92303 .02236 L
.92488 .02247 L
.92533 .02249 L
Mistroke
.9258 .02252 L
.92605 .02253 L
.92633 .02251 L
.9268 .02247 L
.92893 .0223 L
.93278 .02199 L
.93641 .02169 L
.93738 .02161 L
.93791 .02157 L
.93841 .02153 L
.93867 .02151 L
.93895 .02152 L
.93955 .02152 L
.94059 .02154 L
.94439 .02158 L
.94825 .02162 L
.94931 .02163 L
.94989 .02164 L
.95043 .02165 L
.95068 .02165 L
.95095 .02165 L
.95123 .02164 L
.9515 .02161 L
.95246 .0215 L
.95616 .02109 L
.96012 .02065 L
.96214 .02042 L
.96262 .02037 L
.96313 .02031 L
.96356 .02027 L
.96404 .02025 L
.96447 .02024 L
.96493 .02022 L
.96576 .0202 L
.96762 .02016 L
.97461 .01999 L
.97619 .01996 L
Mfstroke
1 0 0 r
.02381 .01472 m
.02723 .01477 L
.03097 .01482 L
.03286 .01485 L
.0339 .01487 L
.03488 .01488 L
.0358 .01489 L
.03605 .0149 L
.03632 .0149 L
.03679 .0149 L
.03853 .01487 L
.04221 .01481 L
.04617 .01476 L
.04733 .01474 L
.0479 .01473 L
.04843 .01472 L
.04891 .01472 L
.04918 .01472 L
.04943 .01472 L
.05051 .01474 L
.05458 .01481 L
.05814 .01487 L
.05908 .01488 L
.06009 .0149 L
.06058 .01491 L
.06104 .01492 L
.06146 .01492 L
.06191 .01491 L
.06388 .01488 L
.06604 .01485 L
.06984 .01478 L
.07157 .01475 L
.07247 .01474 L
.07342 .01472 L
.07367 .01472 L
.07393 .01472 L
.07422 .01472 L
.07449 .01473 L
.07546 .01474 L
.07738 .01478 L
.08154 .01486 L
.08337 .01489 L
.08441 .01491 L
.08538 .01493 L
.08585 .01494 L
.08629 .01494 L
.08654 .01495 L
.08681 .01494 L
.08727 .01493 L
.08928 .01489 L
Mistroke
.09351 .01482 L
.09544 .01478 L
.0965 .01476 L
.09749 .01474 L
.09843 .01473 L
.09868 .01472 L
.09895 .01472 L
.09943 .01472 L
.10119 .01476 L
.10481 .01484 L
.1068 .01488 L
.10868 .01492 L
.11044 .01495 L
.11092 .01496 L
.11118 .01497 L
.11143 .01497 L
.11186 .01497 L
.11234 .01496 L
.11567 .01489 L
.11943 .01481 L
.12147 .01477 L
.12247 .01475 L
.12291 .01474 L
.12338 .01473 L
.12381 .01472 L
.12422 .01472 L
.1246 .01473 L
.12501 .01474 L
.12675 .01478 L
.13043 .01487 L
.13404 .01495 L
.13507 .01498 L
.13558 .01499 L
.13606 .015 L
.13649 .01501 L
.13694 .015 L
.1374 .01499 L
.1379 .01498 L
.14488 .01482 L
.14675 .01477 L
.14777 .01475 L
.14827 .01474 L
.14872 .01472 L
.14914 .01472 L
.14954 .01473 L
.1504 .01475 L
.15224 .0148 L
.1561 .0149 L
.15821 .01496 L
.15924 .01499 L
Mistroke
.16019 .01502 L
.16062 .01503 L
.16108 .01504 L
.16152 .01505 L
.16193 .01505 L
.16241 .01503 L
.16284 .01502 L
.16381 .015 L
.1678 .01489 L
.17122 .0148 L
.17294 .01475 L
.17341 .01474 L
.17367 .01473 L
.17392 .01472 L
.17439 .01472 L
.17483 .01474 L
.17865 .01486 L
.18217 .01497 L
.18401 .01502 L
.18502 .01506 L
.18597 .01509 L
.18646 .0151 L
.18673 .01511 L
.18699 .0151 L
.18811 .01507 L
.1901 .015 L
.19359 .01489 L
.19731 .01478 L
.19784 .01476 L
.19842 .01474 L
.19868 .01473 L
.19896 .01472 L
.19946 .01472 L
.19993 .01474 L
.20038 .01476 L
.2014 .01479 L
.2052 .01494 L
.2071 .01501 L
.20917 .01508 L
.21012 .01512 L
.21064 .01514 L
.21112 .01515 L
.21158 .01517 L
.21208 .01517 L
.21252 .01515 L
.21294 .01514 L
.22 .01487 L
.2218 .01481 L
.22279 .01477 L
.22327 .01475 L
Mistroke
.22372 .01474 L
.22414 .01472 L
.22459 .01473 L
.22504 .01475 L
.22554 .01477 L
.22719 .01484 L
.2313 .01502 L
.23507 .01519 L
.23595 .01523 L
.23643 .01525 L
.23688 .01527 L
.23714 .01526 L
.23742 .01524 L
.23791 .01522 L
.23886 .01518 L
.24246 .01502 L
.24625 .01485 L
.24729 .01481 L
.2484 .01476 L
.24866 .01475 L
.24894 .01473 L
.24921 .01472 L
.24945 .01472 L
.24992 .01474 L
.25041 .01477 L
.25801 .01518 L
.25984 .01528 L
.2608 .01533 L
.26133 .01536 L
.26182 .01538 L
.26208 .01538 L
.26236 .01536 L
.26295 .01533 L
.26399 .01528 L
.26603 .01517 L
.26993 .01496 L
.27198 .01485 L
.27311 .01479 L
.27365 .01476 L
.27416 .01473 L
.27463 .01473 L
.27507 .01476 L
.27606 .01482 L
.27815 .01496 L
.28183 .01521 L
.28372 .01534 L
.28549 .01545 L
.28647 .01552 L
.28674 .01554 L
.28703 .01555 L
Mistroke
.28727 .01553 L
.28754 .01552 L
.28939 .01539 L
.29299 .01515 L
.2964 .01492 L
.29826 .0148 L
.29878 .01476 L
.29906 .01474 L
.29932 .01473 L
.29978 .01474 L
.30003 .01476 L
.30029 .01478 L
.30384 .01509 L
.30765 .01541 L
.30966 .01559 L
.31077 .01568 L
.31131 .01573 L
.31181 .01577 L
.3123 .01577 L
.31254 .01575 L
.31281 .01572 L
.31389 .01563 L
.31577 .01547 L
.31946 .01515 L
.32146 .01498 L
.32257 .01489 L
.32361 .0148 L
.32409 .01476 L
.32459 .01472 L
.32485 .01475 L
.32514 .01478 L
.32565 .01484 L
.3275 .01505 L
.33108 .01546 L
.33486 .01589 L
.33581 .01599 L
.33634 .01605 L
.33683 .01611 L
.33712 .01614 L
.33742 .0161 L
.33795 .01604 L
.339 .01592 L
.3428 .01549 L
.34468 .01528 L
.3467 .01505 L
.34768 .01494 L
.34861 .01483 L
.34902 .01478 L
.34945 .01474 L
.34992 .01476 L
Mistroke
.35036 .01483 L
.35417 .01544 L
.35837 .0161 L
.36028 .0164 L
.36132 .01657 L
.36158 .01661 L
.36183 .01665 L
.36229 .01668 L
.36253 .01664 L
.3628 .0166 L
.36334 .01651 L
.3645 .01633 L
.36653 .01601 L
.37018 .01543 L
.37212 .01512 L
.37314 .01496 L
.3737 .01487 L
.37421 .01479 L
.37468 .01472 L
.37518 .01483 L
.37624 .01508 L
.3781 .01552 L
.38175 .01638 L
.38391 .01689 L
.38497 .01714 L
.38594 .01737 L
.38683 .01758 L
.38728 .01766 L
.38777 .01755 L
.38975 .01708 L
.39355 .01618 L
.39716 .01533 L
.39813 .0151 L
.39915 .01486 L
.39946 .01478 L
.39974 .01472 L
.4 .01481 L
.40028 .01492 L
.40132 .01533 L
.40512 .01681 L
.40906 .01835 L
.41005 .01873 L
.41098 .0191 L
.41182 .01942 L
.4123 .0196 L
.41274 .01942 L
.41459 .0187 L
.41657 .01793 L
.42077 .01629 L
.42254 .0156 L
Mistroke
.42351 .01522 L
.424 .01503 L
.42444 .01486 L
.42486 .01475 L
.4253 .01509 L
.42624 .01581 L
.42789 .01707 L
.43198 .02019 L
.43378 .02156 L
.4348 .02234 L
.43575 .02306 L
.43666 .02376 L
.43693 .02397 L
.43718 .02416 L
.43765 .02405 L
.43815 .02367 L
.43861 .02331 L
.43966 .02251 L
.4439 .01928 L
.44762 .01644 L
.44852 .01575 L
.449 .01538 L
.4495 .015 L
.44977 .0148 L
.45006 .01511 L
.45033 .01567 L
.45057 .01619 L
.45158 .01833 L
.45558 .02681 L
.45936 .03482 L
.46101 .03832 L
.46184 .04008 L
.46232 .04108 L
.46276 .04052 L
.46324 .0395 L
.46368 .03856 L
.46468 .03646 L
.46644 .03271 L
.46995 .02528 L
.47187 .02121 L
.47368 .01737 L
.47419 .01631 L
.47446 .01573 L
.47472 .01518 L
.47499 .01579 L
.4753 .02159 L
.47583 .03179 L
.47778 .06891 L
.48158 .14136 L
.48869 .28771 L
Mistroke
.49641 .5038 L
.49846 .56089 L
.49949 .58972 L
.49977 .59761 L
.50007 .60208 L
.50036 .59405 L
.50062 .58669 L
.50451 .47786 L
.50849 .36672 L
.51218 .2634 L
.51567 .19374 L
.5194 .12271 L
.52153 .08215 L
.52353 .04389 L
.52441 .0272 L
.52485 .01879 L
.52533 .01529 L
.52559 .01583 L
.52586 .0164 L
.52635 .01744 L
.52729 .01943 L
.53115 .02762 L
.53319 .03194 L
.53536 .03654 L
.53644 .03882 L
.53696 .03993 L
.53745 .04096 L
.53789 .04064 L
.53836 .03965 L
.53934 .03757 L
.54302 .02977 L
.54665 .02209 L
.54864 .01786 L
.54912 .01685 L
.54962 .01578 L
.55005 .01487 L
.55053 .01502 L
.55096 .01535 L
.55143 .01571 L
.55228 .01636 L
.55419 .01782 L
.55752 .02036 L
.55938 .02178 L
.56137 .0233 L
.56195 .02375 L
.56224 .02397 L
.56251 .02417 L
.56301 .02402 L
.56327 .02382 L
.56354 .0236 L
Mistroke
.56557 .02206 L
.56926 .01924 L
.57129 .01769 L
.57322 .01622 L
.57413 .01552 L
.57463 .01514 L
.57509 .01479 L
.5756 .01487 L
.57586 .01498 L
.57615 .01509 L
.57713 .01547 L
.5807 .01686 L
.58432 .01828 L
.58608 .01896 L
.58685 .01926 L
.58725 .01942 L
.58768 .01959 L
.58816 .01943 L
.58859 .01926 L
.58945 .01893 L
.59133 .01819 L
.59532 .01664 L
.59716 .01592 L
.59914 .01515 L
.59973 .01492 L
.60001 .01481 L
.60028 .01472 L
.60078 .01484 L
.60132 .01497 L
.60335 .01545 L
.60739 .0164 L
.60937 .01687 L
.61119 .0173 L
.61204 .0175 L
.61246 .0176 L
.61284 .01766 L
.61325 .01757 L
.61368 .01746 L
.6146 .01725 L
.61828 .01638 L
.62181 .01554 L
.62375 .01509 L
.62421 .01498 L
.62469 .01486 L
.62511 .01476 L
.62556 .01475 L
.62605 .01483 L
.6265 .0149 L
.62752 .01506 L
.62968 .01541 L
Mistroke
.63348 .01601 L
.63541 .01631 L
.63642 .01648 L
.63698 .01656 L
.63725 .01661 L
.63749 .01665 L
.63795 .01668 L
.63843 .01661 L
.63947 .01644 L
.64128 .01616 L
.64472 .01561 L
.64837 .01503 L
.64923 .0149 L
.64968 .01483 L
.65016 .01475 L
.65041 .01472 L
.65069 .01475 L
.65118 .01481 L
.65214 .01492 L
.65563 .01531 L
.65776 .01555 L
.65977 .01578 L
.66157 .01599 L
.66207 .01605 L
.66234 .01608 L
.66259 .0161 L
.66304 .01613 L
.66353 .01607 L
.67099 .01522 L
.67296 .015 L
.67394 .01489 L
.67484 .01478 L
.67534 .01473 L
.67562 .01473 L
.67587 .01475 L
.677 .01485 L
.67897 .01502 L
.68254 .01532 L
.68449 .01549 L
.68631 .01565 L
.68726 .01573 L
.68753 .01575 L
.68779 .01577 L
.68828 .01576 L
.68854 .01574 L
.68882 .01572 L
.68931 .01567 L
.69044 .01558 L
.69424 .01525 L
.69781 .01495 L
Mistroke
.69879 .01486 L
.69933 .01482 L
.69982 .01477 L
.70025 .01474 L
.7007 .01473 L
.7012 .01476 L
.70166 .01479 L
.70863 .01526 L
.71048 .01538 L
.71149 .01545 L
.71198 .01548 L
.71243 .01551 L
.71285 .01554 L
.71324 .01554 L
.71365 .01551 L
.7141 .01548 L
.71594 .01536 L
.7201 .01508 L
.72386 .01483 L
.72477 .01477 L
.72523 .01474 L
.72573 .01472 L
.72599 .01474 L
.72627 .01475 L
.72677 .01478 L
.72774 .01483 L
.73138 .01503 L
.73353 .01514 L
.73556 .01525 L
.73645 .0153 L
.73739 .01535 L
.73788 .01538 L
.73816 .01539 L
.73842 .01537 L
.73937 .01532 L
.74332 .01511 L
.74708 .01491 L
.74871 .01482 L
.74961 .01477 L
.75005 .01475 L
.75045 .01472 L
.75094 .01473 L
.75119 .01474 L
.75146 .01475 L
.75236 .01479 L
.75414 .01487 L
.75775 .01503 L
.75973 .01512 L
.76161 .0152 L
.76246 .01524 L
Mistroke
.76289 .01526 L
.76336 .01526 L
.76361 .01525 L
.76387 .01524 L
.76435 .01522 L
.76527 .01518 L
.7686 .01503 L
.77255 .01485 L
.77354 .01481 L
.77448 .01477 L
.77488 .01475 L
.77532 .01473 L
.77579 .01472 L
.77623 .01473 L
.77808 .0148 L
.78006 .01488 L
.78426 .01503 L
.7861 .0151 L
.78701 .01513 L
.78745 .01515 L
.78785 .01517 L
.78832 .01518 L
.78882 .01516 L
.78987 .01512 L
.79171 .01505 L
.79511 .01492 L
.79869 .01479 L
.79957 .01476 L
.80006 .01474 L
.80051 .01472 L
.80077 .01472 L
.80106 .01472 L
.80155 .01474 L
.80251 .01477 L
.80603 .01488 L
.8098 .015 L
.81084 .01503 L
.81195 .01507 L
.81246 .01508 L
.81274 .01509 L
.813 .0151 L
.81346 .0151 L
.81397 .01509 L
.82151 .01485 L
.8235 .01479 L
.82448 .01476 L
.82538 .01473 L
.82564 .01472 L
.82589 .01472 L
.82614 .01472 L
Mistroke
.82642 .01473 L
.82755 .01476 L
.82952 .01482 L
.83349 .01492 L
.83544 .01498 L
.8363 .015 L
.83725 .01503 L
.83766 .01504 L
.8381 .01505 L
.83851 .01505 L
.83889 .01504 L
.84064 .01499 L
.84432 .01489 L
.8478 .0148 L
.8488 .01477 L
.84974 .01475 L
.85016 .01473 L
.85059 .01472 L
.85107 .01472 L
.85151 .01473 L
.85559 .01483 L
.8594 .01492 L
.86123 .01496 L
.86214 .01498 L
.86298 .015 L
.86345 .01501 L
.86394 .015 L
.865 .01497 L
.86684 .01493 L
.87047 .01484 L
.87381 .01477 L
.8748 .01474 L
.87528 .01473 L
.87572 .01472 L
.87618 .01472 L
.87668 .01473 L
.87773 .01475 L
.88197 .01484 L
.88386 .01488 L
.88591 .01492 L
.88686 .01494 L
.88737 .01495 L
.88786 .01496 L
.88827 .01497 L
.88871 .01497 L
.8892 .01496 L
.88965 .01495 L
.89686 .0148 L
.89884 .01476 L
.89992 .01474 L
Mistroke
.90046 .01473 L
.90095 .01472 L
.90141 .01472 L
.9019 .01473 L
.90294 .01475 L
.90475 .01478 L
.90834 .01485 L
.91032 .01489 L
.9113 .01491 L
.91221 .01492 L
.91305 .01494 L
.91352 .01495 L
.91395 .01494 L
.91585 .0149 L
.91918 .01484 L
.92276 .01478 L
.9237 .01476 L
.92471 .01474 L
.9252 .01473 L
.92566 .01472 L
.92608 .01472 L
.92653 .01472 L
.9285 .01476 L
.93067 .01479 L
.93447 .01485 L
.9362 .01488 L
.9371 .0149 L
.93806 .01491 L
.9383 .01492 L
.93857 .01492 L
.93886 .01492 L
.93912 .01491 L
.9401 .0149 L
.94202 .01487 L
.94618 .0148 L
.94801 .01477 L
.94905 .01475 L
.95002 .01473 L
.95049 .01473 L
.95094 .01472 L
.95119 .01472 L
.95146 .01472 L
.95193 .01473 L
.95394 .01476 L
.95817 .01482 L
.9601 .01485 L
.96216 .01488 L
.963 .01489 L
.96348 .0149 L
.96391 .0149 L
Mistroke
.9644 .01489 L
.96491 .01488 L
.96585 .01487 L
.97619 .01472 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`007@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`00000B0?oo
o`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool300000140oooo0P0000040?oo
o`030000003oool0oooo00<0oooo0P0000020?ooo`D00000603oool2000001/0oooo0P0000040?oo
o`030000003oool0oooo00<0oooo0P0000020?ooo`D000004@3oool2000000@0oooo00<000000?oo
o`3oool00`3oool2000000@0oooo0`00000A0?ooo`800000103oool00`000000oooo0?ooo`030?oo
o`8000000`3oool3000000d0oooo000L0?ooo`040000003oool0oooo000000P0oooo00H000000?oo
o`3oool000000?ooo`0000030?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo00l0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000001L0oooo00@0
00000?ooo`3oool000006@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool00000403oool010000000oooo0?ooo`0000080?ooo`040000003o
ool0oooo000000@0oooo00<000000?ooo`3oool03`3oool010000000oooo0?ooo`0000080?ooo`06
0000003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`0:0?ooo`005@3oool50000
0080oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo000000<0oooo
00<000000?ooo`3oool01`3oool500000080oooo00@000000?ooo`3oool00000203oool01@000000
oooo0?ooo`000000oooo00D000002@3oool500000080oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000030?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool00000
6@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`3oool0403oool010000000oooo0?ooo`0000080?ooo`050000003oool0oooo0000003oool01@00
000@0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?oo
o`030000003oool0oooo00X0oooo000L0?ooo`040000003oool0oooo000000P0oooo00D000000?oo
o`3oool000000?ooo`0400000140oooo00@000000?ooo`3oool00000203oool01P000000oooo0?oo
o`000000oooo00000080oooo00<000000?ooo`3oool03`3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool05P3oool010000000oooo0?ooo`00
000I0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool00`000000
oooo0?ooo`0?0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`030000003oool0oooo00l0oooo00@000000?ooo`3oool00000203oool01@000000oooo
0?ooo`000000oooo00@000003@3oool001`0oooo00@000000?ooo`3oool00000203oool01P000000
oooo0?ooo`000000oooo000001@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000020?ooo`030000003oool000000140oooo00@000000?ooo`3oool00000203oool01P000000
oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`00
000I0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?oo
o`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00020?ooo`030000003oool000000140oooo00@000000?ooo`3oool00000203oool01P000000oooo
0?ooo`000000oooo00000100oooo000L0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`0A0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000`3oool200000140oooo00@000000?ooo`3oool00000203oool01P000000
oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`00
000I0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?oo
o`030000003oool0oooo00h0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`00
00030?ooo`8000004@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080
oooo00<000000?ooo`3oool03@3oool001d0oooo0P00000:0?ooo`800000103oool200000180oooo
0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`0@0?ooo`8000002P3oool2000000<0oooo
0`00000I0?ooo`8000006`3oool2000000X0oooo0P0000030?ooo`<000004P3oool2000000X0oooo
0P0000050?ooo`030000003oool0oooo0100oooo0P00000:0?ooo`800000103oool2000000d0oooo
000N0?ooo`030000003oool0oooo0?l0oooo000N0?ooo`030000003oool0oooo0?l0oooo000N0?oo
o`030000003oool0oooo0?l0oooo000N0?ooo`030000003oool0oooo0?l0oooo000H0?ooo`H00000
HP3o0002000000<0o`00100000020?l000D0000000<0o`000000000000002P0000000`3o00000000
0000000300000080o`00100000030?l000<00000H@3o0006000000X0oooo000J0?ooo`040000003o
ool0oooo0?ooo`/000001@3oool00`000000oooo0?ooo`0?000000030?ooo`000000oooo00L0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00<0oooo
0P3o00000`3oool000000?ooo`020?l000040?ooo`3o0000oooo0?l00080oooo00@000000?ooo`3o
0000o`001P3oool00`000000oooo0?ooo`030?ooo`040?l0003oool0oooo00000080oooo0`3o0002
0?ooo`040?l0003oool000000?ooo`<0o`00103oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0000000>000000<0oooo00<0
00000?ooo`3oool00P3oool;000000<0oooo00<000000?ooo`3oool02P3oool001h0oooo00<00000
0?ooo`3oool0203oool9000000h0oooo2P00000l0?ooo`80o`000P3oool00`3o0000oooo0?ooo`02
0?ooo`80o`00303oool00`3o0000oooo0?ooo`020?ooo`040?l0003oool0oooo0?ooo`80o`00?03o
ool:000000h0oooo2@00000K0?ooo`007P3oool00`000000oooo0?ooo`0Y0?oooaP00000:@3oool0
103o0000oooo0?ooo`3oool20?l000`0oooo0P3o00030?ooo`030?l0003oool0oooo02H0oooo6@00
000l0?ooo`007P3oool00`000000oooo0?ooo`110?ooo`D00000903oool01P3o0000oooo0?ooo`3o
0000oooo0?l000`0oooo00D0o`000?ooo`3o0000oooo0?l0000U0?ooo`@00000E@3oool001h0oooo
00<000000?ooo`3oool0AP3oool7000001h0oooo00D0o`000?ooo`3o0000oooo0?l0000<0?ooo`05
0?l0003oool0o`000?ooo`3o00007`3oool6000005T0oooo000N0?ooo`030000003oool0oooo04d0
oooo1000000K0?ooo`040?l0003oool0oooo0?l000/0oooo00D0o`000?ooo`3oool0oooo0?l0000L
0?ooo`@00000G`3oool001h0oooo0P00001B0?ooo`H00000603oool00`3o0000oooo0?ooo`090?oo
o`030?l0003oool0oooo01L0oooo2000001R0?ooo`007P3oool00`000000oooo0?ooo`1G0?ooo`@0
0000503oool00`3o0000oooo0?ooo`090?ooo`030?l0003oool0oooo01@0oooo0`00001Z0?ooo`00
7P3oool00`000000oooo0?ooo`1K0?ooo`<000004P3oool00`3o0000oooo0?ooo`080?ooo`030?l0
003oool0oooo0100oooo1000001]0?ooo`007P3oool00`000000oooo0?ooo`1M0?ooo`<00000403o
ool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00l0oooo00<000000?ooo`3oool0K`3o
ool001h0oooo00<000000?ooo`3oool0G`3oool2000000l0oooo00<0o`000?ooo`3oool0203oool0
0`3o0000oooo0?ooo`0=0?ooo`800000LP3oool001h0oooo00<000000?ooo`3oool0H03oool20000
00h0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0<0?ooo`030000003oool0oooo
0780oooo000N0?ooo`030000003oool0oooo0680oooo00<000000?ooo`3oool02`3oool00`3o0000
oooo0?ooo`080?ooo`030?l0003oool0oooo00/0oooo0P00001d0?ooo`007P3oool00`000000oooo
0?ooo`1R0?ooo`800000303oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00X0oooo
0P00001e0?ooo`007P3oool2000006@0oooo00<000000?ooo`3oool02P3oool00`3o0000oooo0?oo
o`080?ooo`030?l0003oool0oooo00X0oooo00<000000?ooo`3oool0M03oool001h0oooo00<00000
0?ooo`3oool0H`3oool00`000000oooo0?ooo`0:0?ooo`030?l0003oool0oooo00P0oooo00<0o`00
0?ooo`3oool02P3oool00`000000oooo0?ooo`1d0?ooo`007P3oool00`000000oooo0?ooo`1T0?oo
o`030000003oool0oooo00T0oooo00<0o`000?ooo`3oool0203oool00`3o0000oooo0?ooo`0:0?oo
o`030000003oool0oooo07@0oooo000N0?ooo`030000003oool0oooo06@0oooo00<000000?ooo`3o
ool02@3oool00`3o0000oooo0?ooo`080?ooo`030?l0003oool0oooo00T0oooo00<000000?ooo`3o
ool0M@3oool001h0oooo00<000000?ooo`3oool0I@3oool00`000000oooo0?ooo`080?ooo`030?l0
003oool0oooo00P0oooo00<0o`000?ooo`3oool02@3oool00`000000oooo0?ooo`1e0?ooo`007P3o
ool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo00P0oooo00<0o`000?ooo`3oool0203o
ool00`3o0000oooo0?ooo`080?ooo`030000003oool0oooo07H0oooo000N0?ooo`030000003oool0
oooo06D0oooo0P0000090?ooo`030?l0003oool0oooo00P0oooo00<0o`000?ooo`3oool01`3oool2
000007P0oooo000N0?ooo`800000I`3oool00`000000oooo0?ooo`070?ooo`030?l0003oool0oooo
00P0oooo00<0o`000?ooo`3oool01`3oool00`000000oooo0?ooo`1g0?ooo`007P3oool00`000000
oooo0?ooo`1V0?ooo`030000003oool0oooo00P0oooo00<0o`000?ooo`3oool01P3oool00`3o0000
oooo0?ooo`080?ooo`030000003oool0oooo07L0oooo000N0?ooo`030000003oool0oooo06H0oooo
00<000000?ooo`3oool0203oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00P0oooo
00<000000?ooo`3oool0M`3oool001h0oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?oo
o`080?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0203oool00`000000oooo0?oo
o`1g0?ooo`007P3oool00`000000oooo0?ooo`1V0?ooo`030000003oool0oooo00P0oooo00<0o`00
0?ooo`3oool01P3oool00`3o0000oooo0?ooo`080?ooo`030000003oool0oooo07L0oooo000;0?oo
o`800000103oool010000000oooo0?ooo`3oool5000000@0oooo00<000000?ooo`3oool0IP3oool0
0`000000oooo0?ooo`080?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool0203oool0
0`000000oooo0?ooo`1g0?ooo`002P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`080?ooo`030?l0003o
ool0oooo00H0oooo00<0o`000?ooo`3oool0203oool00`000000oooo0?ooo`1g0?ooo`002P3oool0
10000000oooo0?ooo`0000090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0IP3o
ool00`000000oooo0?ooo`080?ooo`030?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01`3o
ool00`000000oooo0?ooo`1h0?ooo`002P3oool010000000oooo0?ooo`00000:0?ooo`030000003o
ool0oooo00<0oooo0`00001W0?ooo`030000003oool0oooo00L0oooo00<0o`000?ooo`3oool01P3o
ool00`3o0000oooo0?ooo`070?ooo`030000003oool0oooo07P0oooo000:0?ooo`040000003oool0
oooo000000L0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo06L0oooo
00<000000?ooo`3oool01`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00L0oooo
00<000000?ooo`3oool0N03oool000X0oooo00@000000?ooo`3oool000001`3oool01@000000oooo
0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`070?ooo`03
0?l0003oool0oooo00H0oooo00<0o`000?ooo`3oool01`3oool00`000000oooo0?ooo`1h0?ooo`00
2`3oool2000000T0oooo0`0000050?ooo`030000003oool0oooo06L0oooo00<000000?ooo`3oool0
1`3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00L0oooo00<000000?ooo`3oool0
N03oool001h0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`070?ooo`030?l0003o
ool0oooo00H0oooo00<0o`000?ooo`3oool01P3oool00`000000oooo0?ooo`1i0?ooo`007P3oool0
0`000000oooo0?ooo`1W0?ooo`030000003oool0oooo00L0oooo00<0o`000?ooo`3oool01P3oool0
0`3o0000oooo0?ooo`060?ooo`030000003oool0oooo07T0oooo000N0?ooo`030000003oool0oooo
06P0oooo00<000000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo
00H0oooo00<000000?ooo`3oool0N@3oool001h0oooo0P00001Y0?ooo`030000003oool0oooo00H0
oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030000003oool0oooo07T0
oooo000N0?ooo`030000003oool0oooo06P0oooo00<000000?ooo`3oool01P3oool00`3o0000oooo
0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<000000?ooo`3oool0N@3oool001h0oooo00<0
00000?ooo`3oool0J03oool00`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00H0oooo00<0
o`000?ooo`3oool01P3oool00`000000oooo0?ooo`1i0?ooo`007P3oool00`000000oooo0?ooo`1X
0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool01P3oool00`3o0000oooo0?ooo`06
0?ooo`030000003oool0oooo07T0oooo000N0?ooo`030000003oool0oooo06P0oooo00<000000?oo
o`3oool01P3oool00`3o0000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0oooo00<000000?oo
o`3oool0NP3oool001h0oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`070?ooo`03
0?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`000000oooo0?ooo`1j0?ooo`00
7P3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool0
1@3oool00`3o0000oooo0?ooo`050?ooo`030000003oool0oooo07X0oooo000N0?ooo`800000JP3o
ool00`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3o
ool00`000000oooo0?ooo`1j0?ooo`007P3oool00`000000oooo0?ooo`1Y0?ooo`030000003oool0
oooo00H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`050?ooo`030000003oool0
oooo07X0oooo000N0?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool01P3oool00`3o
0000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<000000?ooo`3oool0NP3oool001h0
oooo00<000000?ooo`3oool0J@3oool00`000000oooo0?ooo`060?ooo`030?l0003oool0oooo00D0
oooo00<0o`000?ooo`3oool01@3oool00`000000oooo0?ooo`1j0?ooo`007P3oool00`000000oooo
0?ooo`1Y0?ooo`030000003oool0oooo00H0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo
0?ooo`040?ooo`030000003oool0oooo07/0oooo000N0?ooo`030000003oool0oooo06T0oooo00<0
00000?ooo`3oool01P3oool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00@0oooo00<0
00000?ooo`3oool0N`3oool001h0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`05
0?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`000000oooo0?ooo`1k
0?ooo`007P3oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo00D0oooo00<0o`000?oo
o`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030000003oool0oooo07/0oooo000N0?ooo`80
0000J`3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0oooo00D0oooo00<0o`000?ooo`3o
ool0103oool00`000000oooo0?ooo`1k0?ooo`007P3oool00`000000oooo0?ooo`1Z0?ooo`030000
003oool0oooo00D0oooo00<0o`000?ooo`3oool01@3oool00`3o0000oooo0?ooo`040?ooo`030000
003oool0oooo07/0oooo000N0?ooo`030000003oool0oooo06X0oooo00<000000?ooo`3oool01@3o
ool00`3o0000oooo0?ooo`050?ooo`030?l0003oool0oooo00@0oooo00<000000?ooo`3oool0N`3o
ool001h0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0
oooo00@0oooo00<0o`000?ooo`3oool01@3oool00`000000oooo0?ooo`1k0?ooo`007P3oool00`00
0000oooo0?ooo`1Z0?ooo`030000003oool0oooo00D0oooo00<0o`000?ooo`3oool0103oool00`3o
0000oooo0?ooo`040?ooo`030000003oool0oooo07`0oooo000;0?ooo`800000103oool00`000000
oooo0?ooo`030?ooo`<00000103oool00`000000oooo0?ooo`1Z0?ooo`030000003oool0oooo00D0
oooo00<0o`000?ooo`3oool0103oool00`3o0000oooo0?ooo`040?ooo`030000003oool0oooo07`0
oooo000:0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`1[0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool0103oool00`3o0000
oooo0?ooo`040?ooo`030000003oool0oooo07`0oooo000:0?ooo`040000003oool0oooo000000L0
oooo1@0000040?ooo`<00000J`3oool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00@0
oooo00<0o`000?ooo`3oool0103oool00`000000oooo0?ooo`1l0?ooo`002P3oool010000000oooo
0?ooo`0000070?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0J`3oool00`00
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00@0oooo00<0o`000?ooo`3oool0103oool00`00
0000oooo0?ooo`1l0?ooo`002P3oool010000000oooo0?ooo`0000080?ooo`030000003oool00000
00D0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`050?ooo`030?l0003oool0oooo
00<0oooo00<0o`000?ooo`3oool0103oool00`000000oooo0?ooo`1l0?ooo`002P3oool010000000
oooo0?ooo`0000090?ooo`8000001@3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo
00D0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`040?ooo`030000003oool0oooo
07`0oooo000;0?ooo`8000002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo06/0
oooo00<000000?ooo`3oool01@3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00@0
oooo00<000000?ooo`3oool0O03oool001h0oooo00<000000?ooo`3oool0J`3oool00`000000oooo
0?ooo`050?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool0103oool00`000000oooo
0?ooo`1l0?ooo`007P3oool00`000000oooo0?ooo`1[0?ooo`030000003oool0oooo00D0oooo00<0
o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030000003oool0oooo07d0oooo000N
0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`03
0?ooo`030?l0003oool0oooo00<0oooo00<000000?ooo`3oool0O@3oool001h0oooo0P00001]0?oo
o`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?oo
o`030000003oool0oooo07d0oooo000N0?ooo`030000003oool0oooo06`0oooo00<000000?ooo`3o
ool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo00<0oooo00<000000?ooo`3o
ool0O@3oool001h0oooo00<000000?ooo`3oool0K03oool00`000000oooo0?ooo`040?ooo`030?l0
003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`000000oooo0?ooo`1m0?ooo`007P3o
ool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo00@0oooo00<0o`000?ooo`3oool00`3o
ool00`3o0000oooo0?ooo`030?ooo`030000003oool0oooo07d0oooo000N0?ooo`030000003oool0
oooo06`0oooo00<000000?ooo`3oool0103oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0
oooo00<0oooo00<000000?ooo`3oool0O@3oool001h0oooo00<000000?ooo`3oool0K03oool00`00
0000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`00
0000oooo0?ooo`1m0?ooo`007P3oool00`000000oooo0?ooo`1/0?ooo`030000003oool0oooo00@0
oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030000003oool0oooo07d0
oooo000N0?ooo`800000K@3oool00`000000oooo0?ooo`040?ooo`030?l0003oool0oooo00<0oooo
00<0o`000?ooo`3oool00`3oool00`000000oooo0?ooo`1m0?ooo`007P3oool00`000000oooo0?oo
o`1]0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3oool00`3oool00`3o0000oooo0?oo
o`020?ooo`030000003oool0oooo07h0oooo000N0?ooo`030000003oool0oooo06d0oooo00<00000
0?ooo`3oool00`3oool00`3o0000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<00000
0?ooo`3oool0OP3oool001h0oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`030?oo
o`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3oool00`000000oooo0?ooo`1n0?oo
o`007P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0oooo00<0oooo00<0o`000?ooo`3o
ool00P3oool00`3o0000oooo0?ooo`030?ooo`030000003oool0oooo07h0oooo000N0?ooo`030000
003oool0oooo06d0oooo00<000000?ooo`3oool00`3oool00`3o0000oooo0?ooo`020?ooo`030?l0
003oool0oooo00<0oooo00<000000?ooo`3oool0OP3oool001h0oooo00<000000?ooo`3oool0K@3o
ool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo0080oooo00<0o`000?ooo`3oool00`3o
ool00`000000oooo0?ooo`1n0?ooo`007P3oool00`000000oooo0?ooo`1]0?ooo`030000003oool0
oooo00<0oooo00<0o`000?ooo`3oool00P3oool00`3o0000oooo0?ooo`030?ooo`030000003oool0
oooo07h0oooo000N0?ooo`800000KP3oool00`000000oooo0?ooo`030?ooo`030?l0003oool0oooo
0080oooo00<0o`000?ooo`3oool00`3oool00`000000oooo0?ooo`1n0?ooo`007P3oool00`000000
oooo0?ooo`1]0?ooo`030000003oool0oooo00@0oooo00D0o`000?ooo`3oool0oooo0?l000050?oo
o`030000003oool0oooo07h0oooo000N0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3o
ool0103oool01@3o0000oooo0?ooo`3oool0o`0000D0oooo00<000000?ooo`3oool0OP3oool001h0
oooo00<000000?ooo`3oool0KP3oool00`000000oooo0?ooo`030?ooo`050?l0003oool0oooo0?oo
o`3o0000103oool00`000000oooo0?ooo`1o0?ooo`007P3oool00`000000oooo0?ooo`1^0?ooo`03
0000003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`030000003oool0oooo
07l0oooo000;0?ooo`800000103oool00`000000oooo0?ooo`020?ooo`<000001@3oool00`000000
oooo0?ooo`1^0?ooo`030000003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?oo
o`030000003oool0oooo07l0oooo000:0?ooo`040000003oool0oooo000000L0oooo00D000000?oo
o`3oool0oooo000000040?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool00`3oool0
1@3o0000oooo0?ooo`3oool0o`0000@0oooo00<000000?ooo`3oool0O`3oool000X0oooo00@00000
0?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000@0oooo0`00001^0?ooo`030000
003oool0oooo00<0oooo00D0o`000?ooo`3oool0oooo0?l000040?ooo`030000003oool0oooo07l0
oooo000:0?ooo`040000003oool0oooo000000L0oooo100000050?ooo`030000003oool0oooo06h0
oooo00<000000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0000@0oooo00<000000?oo
o`3oool0O`3oool000X0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo06h0oooo00<000000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0
o`0000@0oooo00<000000?ooo`3oool0O`3oool000X0oooo00@000000?ooo`3oool00000203oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo06h0oooo00<000000?ooo`3oool00`3oool0
1@3o0000oooo0?ooo`3oool0o`0000@0oooo00<000000?ooo`3oool0O`3oool000/0oooo0P00000:
0?ooo`8000001@3oool00`000000oooo0?ooo`1^0?ooo`030000003oool0oooo00<0oooo00D0o`00
0?ooo`3oool0oooo0?l000040?ooo`030000003oool0oooo07l0oooo000N0?ooo`030000003oool0
oooo06h0oooo00<000000?ooo`3oool00`3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<0
00000?ooo`3oool0P03oool001h0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`02
0?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool00`000000oooo0?ooo`200?ooo`007P3oool0
0`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0
00030?ooo`030000003oool0oooo0800oooo000N0?ooo`800000L03oool00`000000oooo0?ooo`02
0?ooo`050?l0003oool0oooo0?ooo`3o00000`3oool00`000000oooo0?ooo`200?ooo`007P3oool0
0`000000oooo0?ooo`1_0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l0
00030?ooo`030000003oool0oooo0800oooo000N0?ooo`030000003oool0oooo06l0oooo00<00000
0?ooo`3oool00P3oool01@3o0000oooo0?ooo`3oool0o`0000<0oooo00<000000?ooo`3oool0P03o
ool001h0oooo00<000000?ooo`3oool0K`3oool00`000000oooo0?ooo`020?ooo`050?l0003oool0
oooo0?ooo`3o00000`3oool00`000000oooo0?ooo`200?ooo`007P3oool00`000000oooo0?ooo`1_
0?ooo`030000003oool0oooo0080oooo00D0o`000?ooo`3oool0oooo0?l000030?ooo`030000003o
ool0oooo0800oooo000N0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool00P3oool0
1@3o0000oooo0?ooo`3oool0o`0000<0oooo00<000000?ooo`3oool0P03oool001h0oooo00<00000
0?ooo`3oool0K`3oool00`000000oooo0?ooo`020?ooo`050?l0003oool0oooo0?ooo`3o00000`3o
ool00`000000oooo0?ooo`200?ooo`007P3oool200000700oooo00<000000?ooo`3oool00P3oool0
103o0000oooo0?ooo`3o00030?ooo`030000003oool0oooo0840oooo000N0?ooo`030000003oool0
oooo0700oooo00D000000?ooo`3oool0oooo0?l000020?ooo`050?l0003oool0oooo0?ooo`000000
P`3oool001h0oooo00<000000?ooo`3oool0L03oool01@000000oooo0?ooo`3oool0o`000080oooo
00D0o`000?ooo`3oool0oooo000000230?ooo`007P3oool00`000000oooo0?ooo`1`0?ooo`050000
003oool0oooo0?ooo`3o00000P3oool01@3o0000oooo0?ooo`3oool0000008<0oooo000N0?ooo`03
0000003oool0oooo0700oooo00D000000?ooo`3oool0oooo0?l000020?ooo`050?l0003oool0oooo
0?ooo`000000P`3oool001h0oooo00<000000?ooo`3oool0L03oool01@000000oooo0?ooo`3oool0
o`000080oooo00D0o`000?ooo`3oool0oooo000000230?ooo`007P3oool00`000000oooo0?ooo`1`
0?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3o00000`3oool00`000000oooo0?ooo`21
0?ooo`007P3oool00`000000oooo0?ooo`1`0?ooo`030000003oool0oooo0080oooo00<0o`000?oo
o`3o00000`3oool00`000000oooo0?ooo`210?ooo`007P3oool200000740oooo00<000000?ooo`3o
ool00P3oool00`3o0000oooo0?l000030?ooo`030000003oool0oooo0840oooo000N0?ooo`030000
003oool0oooo0700oooo00<000000?ooo`3oool00P3oool00`3o0000oooo0?l000030?ooo`030000
003oool0oooo0840oooo000N0?ooo`030000003oool0oooo0700oooo00<000000?ooo`3oool00P3o
ool00`3o0000oooo0?l000030?ooo`030000003oool0oooo0840oooo000N0?ooo`030000003oool0
oooo0740oooo00L000000?ooo`3oool0oooo0?l0003oool0o`0000<0oooo00<000000?ooo`3oool0
P@3oool000/0oooo0P0000040?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000003o
ool0oooo0740oooo00L000000?ooo`3oool0oooo0?l0003oool0o`0000<0oooo00<000000?ooo`3o
ool0P@3oool000X0oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool00000
00@0oooo00<000000?ooo`3oool0L@3oool01`000000oooo0?ooo`3oool0o`000?ooo`3o00000`3o
ool00`000000oooo0?ooo`210?ooo`002P3oool010000000oooo0?ooo`0000070?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0?ooo`1a0?ooo`070000003oool0oooo0?ooo`3o
0000oooo0?l000020?ooo`030000003oool0oooo0880oooo000:0?ooo`040000003oool0oooo0000
00P0oooo0`0000050?ooo`<00000L@3oool01`000000oooo0?ooo`3oool0o`000?ooo`3o00000P3o
ool00`000000oooo0?ooo`220?ooo`002P3oool010000000oooo0?ooo`0000070?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0?ooo`1a0?ooo`070000003oool0oooo0?ooo`3o
0000oooo0?l000020?ooo`030000003oool0oooo0880oooo000:0?ooo`040000003oool0oooo0000
00L0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo0740oooo00L00000
0?ooo`3oool0oooo0?l0003oool0o`000080oooo00<000000?ooo`3oool0PP3oool000/0oooo0P00
00090?ooo`<000001@3oool00`000000oooo0?ooo`1a0?ooo`070000003oool0oooo0?ooo`3o0000
oooo0?l000020?ooo`030000003oool0oooo0880oooo000N0?ooo`030000003oool0oooo0740oooo
00L000000?ooo`3oool0oooo0?l0003oool0o`000080oooo00<000000?ooo`3oool0PP3oool001h0
oooo00<000000?ooo`3oool0L@3oool01`000000oooo0?ooo`3oool0o`000?ooo`3o00000P3oool0
0`000000oooo0?ooo`220?ooo`007P3oool00`000000oooo0?ooo`1b0?ooo`060000003oool0oooo
0?l0003oool0o`000P3oool00`000000oooo0?ooo`220?ooo`007P3oool2000007<0oooo00H00000
0?ooo`3oool0o`000?ooo`3o00020?ooo`030000003oool0oooo0880oooo000N0?ooo`030000003o
ool0oooo0780oooo00H000000?ooo`3oool0o`000?ooo`3o00020?ooo`030000003oool0oooo0880
oooo000N0?ooo`030000003oool0oooo0780oooo00H000000?ooo`3oool0o`000?ooo`3o00020?oo
o`030000003oool0oooo0880oooo000N0?ooo`030000003oool0oooo0780oooo00P000000?ooo`3o
ool0o`000?ooo`3o0000oooo000008D0oooo000N0?ooo`030000003oool0oooo0780oooo00P00000
0?ooo`3oool0o`000?ooo`3o0000oooo000008D0oooo000N0?ooo`030000003oool0oooo0780oooo
00<000000?ooo`3oool00P3o00020?ooo`030000003oool0oooo08<0oooo000N0?ooo`030000003o
ool0oooo0780oooo00<000000?ooo`3oool00P3o00020?ooo`030000003oool0oooo08<0oooo000N
0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool00P3o00020?ooo`030000003oool0
oooo08<0oooo000N0?ooo`800000L`3oool00`000000oooo0?ooo`020?l00080oooo00<000000?oo
o`3oool0P`3oool001h0oooo00<000000?ooo`3oool0LP3oool2000000030?ooo`3o0000o`000080
oooo00<000000?ooo`3oool0P`3oool001h0oooo00<000000?ooo`3oool0L`3oool01P000000oooo
0?l0003o0000oooo000008H0oooo000N0?ooo`030000003oool0oooo07<0oooo00H000000?ooo`3o
0000o`000?ooo`0000260?ooo`007P3oool00`000000oooo0?ooo`1c0?ooo`060000003oool0o`00
0?l0003oool00000QP3oool001h0oooo00<000000?ooo`3oool0L`3oool01P000000oooo0?l0003o
0000oooo000008H0oooo000N0?ooo`030000003oool0oooo07@0oooo00D000000?l0003o0000oooo
000000260?ooo`007P3oool2000007D0oooo00D000000?l0003o0000oooo000000260?ooo`007P3o
ool00`000000oooo0?ooo`1d0?ooo`040000003o0000o`00000008L0oooo000N0?ooo`030000003o
ool0oooo07@0oooo00@000000?l0003o00000000Q`3oool001h0oooo00<000000?ooo`3oool0M@3o
ool20?l000030000003oool0oooo08D0oooo000N0?ooo`030000003oool0oooo07D0oooo0P3o0000
0`000000oooo0?ooo`250?ooo`005P3oool3000000D0oooo00<000000?ooo`3oool0M@3oool20?l0
08P0oooo000G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0M@3oool20?l008P0
oooo000G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0M@3oool00`000000o`00
0?ooo`270?ooo`005`3oool00`000000oooo0?ooo`040?ooo`<00000MP3oool00`000000oooo0?oo
o`260?ooo`005`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0oooo000F0?oo
o`8000001P3oool00`000000oooo0?ooo`3o0?ooo`005`3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0?l0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo001T0?oo
o`<00000D@3oool3000006D0oooo001U0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool0I03oool003X0oooo0`0000040?ooo`<000000P3oool5000000050?ooo`00000000000000003o
ool00P0000020?ooo`8000002@3oool3000000<0oooo0`0000020?ooo`<00000103oool3000000<0
oooo100000020?ooo`@000001`3oool5000000050?ooo`00000000000000003oool00P0000020?oo
o`8000000`3oool300000080oooo0`0000000`3oool000000000000400000080oooo1@0000030?oo
o`800000103oool00`000000oooo0?ooo`070?ooo`<000001@3oool2000000030?ooo`0000000000
0080000000@0oooo000000000000oooo0`0000040?ooo`8000000P3oool500000080oooo0`000002
0?ooo`<0000000<0oooo000000000000;03oool003/0oooo00<000000?ooo`3oool00P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000001P3oool01000
0000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`00
00020?ooo`050000003oool0oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080
oooo00@000000?ooo`3oool00000;@3oool003/0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000040?ooo`D000000P3oool300000080oooo00@000000?ooo`3oool000002P3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool50000
0080oooo00@000000?ooo`3oool000000P3oool3000000@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool00`3oool0
10000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000001P3oool00`000000
oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo02/0oooo000k0?ooo`<000000P3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo00X0oooo0P0000030?ooo`040000003oool0oooo00000080oooo0P0000030?ooo`070000
003oool0oooo0?ooo`000000oooo000000020?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo000000090?ooo`<000000`3oool010000000oooo0?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000`3oool010000000oooo0?ooo`0000060?ooo`050000003oool0oooo0?oo
o`0000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo02/0oooo000k0?oo
o`040000003oool0oooo00000080oooo0`0000020?ooo`<000000`3oool400000080oooo10000009
0?ooo`030000003oool0oooo0080oooo100000020?ooo`80000000<0oooo0000000000000P3oool3
000000<0oooo0P0000040?ooo`<000002P3oool010000000oooo0?ooo`3oool400000080oooo1000
00030?ooo`<000000P3oool4000000<0oooo10000000103oool000000000000000030?ooo`@00000
0P3oool2000000030?ooo`000000000000P0oooo00<000000?ooo`3oool00P3oool2000000040?oo
o`00000000000?ooo`@000000`3oool300000080oooo100000020?ooo`<00000103oool300000080
oooo1000000^0?ooo`00>`3oool010000000oooo0?ooo`00000D0?ooo`030000003oool0oooo00T0
oooo00@000000?ooo`3oool00000703oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0?0?ooo`040000003oool0oooo
000001@0oooo00<000000?ooo`3oool0@03oool003X0oooo1000000:0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool02P3oool3000001/0oooo0P0000080?ooo`D00000203oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool50000
01@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0i0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.0791182, -0.0815717, \
0.00052383, 0.00670736}},
  CellTags->"ModulationTransferFunction"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00313225 0.0280925 0.561849 [
[.02381 -0.0125 -3 -9 ]
[.02381 -0.0125 3 0 ]
[.18042 -0.0125 -6 -9 ]
[.18042 -0.0125 6 0 ]
[.33703 -0.0125 -9 -9 ]
[.33703 -0.0125 9 0 ]
[.49365 -0.0125 -9 -9 ]
[.49365 -0.0125 9 0 ]
[.65026 -0.0125 -9 -9 ]
[.65026 -0.0125 9 0 ]
[.80687 -0.0125 -9 -9 ]
[.80687 -0.0125 9 0 ]
[.96348 -0.0125 -9 -9 ]
[.96348 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .02809 -6 -4.5 ]
[-0.0125 .02809 0 4.5 ]
[-0.0125 .14046 -18 -4.5 ]
[-0.0125 .14046 0 4.5 ]
[-0.0125 .25283 -18 -4.5 ]
[-0.0125 .25283 0 4.5 ]
[-0.0125 .3652 -18 -4.5 ]
[-0.0125 .3652 0 4.5 ]
[-0.0125 .47757 -18 -4.5 ]
[-0.0125 .47757 0 4.5 ]
[-0.0125 .58994 -6 -4.5 ]
[-0.0125 .58994 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[.5 .63053 -84 0 ]
[.5 .63053 84 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
[(0)] .02381 -0.0125 0 1 Mshowa
.18042 0 m
.18042 .00625 L
s
[(50)] .18042 -0.0125 0 1 Mshowa
.33703 0 m
.33703 .00625 L
s
[(100)] .33703 -0.0125 0 1 Mshowa
.49365 0 m
.49365 .00625 L
s
[(150)] .49365 -0.0125 0 1 Mshowa
.65026 0 m
.65026 .00625 L
s
[(200)] .65026 -0.0125 0 1 Mshowa
.80687 0 m
.80687 .00625 L
s
[(250)] .80687 -0.0125 0 1 Mshowa
.96348 0 m
.96348 .00625 L
s
[(300)] .96348 -0.0125 0 1 Mshowa
.125 Mabswid
.05513 0 m
.05513 .00375 L
s
.08645 0 m
.08645 .00375 L
s
.11778 0 m
.11778 .00375 L
s
.1491 0 m
.1491 .00375 L
s
.21174 0 m
.21174 .00375 L
s
.24307 0 m
.24307 .00375 L
s
.27439 0 m
.27439 .00375 L
s
.30571 0 m
.30571 .00375 L
s
.36836 0 m
.36836 .00375 L
s
.39968 0 m
.39968 .00375 L
s
.431 0 m
.431 .00375 L
s
.46232 0 m
.46232 .00375 L
s
.52497 0 m
.52497 .00375 L
s
.55629 0 m
.55629 .00375 L
s
.58761 0 m
.58761 .00375 L
s
.61894 0 m
.61894 .00375 L
s
.68158 0 m
.68158 .00375 L
s
.7129 0 m
.7129 .00375 L
s
.74423 0 m
.74423 .00375 L
s
.77555 0 m
.77555 .00375 L
s
.83819 0 m
.83819 .00375 L
s
.86952 0 m
.86952 .00375 L
s
.90084 0 m
.90084 .00375 L
s
.93216 0 m
.93216 .00375 L
s
.99481 0 m
.99481 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .02809 m
.00625 .02809 L
s
[(0)] -0.0125 .02809 1 0 Mshowa
0 .14046 m
.00625 .14046 L
s
[(0.2)] -0.0125 .14046 1 0 Mshowa
0 .25283 m
.00625 .25283 L
s
[(0.4)] -0.0125 .25283 1 0 Mshowa
0 .3652 m
.00625 .3652 L
s
[(0.6)] -0.0125 .3652 1 0 Mshowa
0 .47757 m
.00625 .47757 L
s
[(0.8)] -0.0125 .47757 1 0 Mshowa
0 .58994 m
.00625 .58994 L
s
[(1)] -0.0125 .58994 1 0 Mshowa
.125 Mabswid
0 .05618 m
.00375 .05618 L
s
0 .08428 m
.00375 .08428 L
s
0 .11237 m
.00375 .11237 L
s
0 .16855 m
.00375 .16855 L
s
0 .19665 m
.00375 .19665 L
s
0 .22474 m
.00375 .22474 L
s
0 .28092 m
.00375 .28092 L
s
0 .30902 m
.00375 .30902 L
s
0 .33711 m
.00375 .33711 L
s
0 .39329 m
.00375 .39329 L
s
0 .42139 m
.00375 .42139 L
s
0 .44948 m
.00375 .44948 L
s
0 .50566 m
.00375 .50566 L
s
0 .53376 m
.00375 .53376 L
s
0 .56185 m
.00375 .56185 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
.02381 .61178 m
.02381 .61803 L
s
.18042 .61178 m
.18042 .61803 L
s
.33703 .61178 m
.33703 .61803 L
s
.49365 .61178 m
.49365 .61803 L
s
.65026 .61178 m
.65026 .61803 L
s
.80687 .61178 m
.80687 .61803 L
s
.96348 .61178 m
.96348 .61803 L
s
.125 Mabswid
.05513 .61428 m
.05513 .61803 L
s
.08645 .61428 m
.08645 .61803 L
s
.11778 .61428 m
.11778 .61803 L
s
.1491 .61428 m
.1491 .61803 L
s
.21174 .61428 m
.21174 .61803 L
s
.24307 .61428 m
.24307 .61803 L
s
.27439 .61428 m
.27439 .61803 L
s
.30571 .61428 m
.30571 .61803 L
s
.36836 .61428 m
.36836 .61803 L
s
.39968 .61428 m
.39968 .61803 L
s
.431 .61428 m
.431 .61803 L
s
.46232 .61428 m
.46232 .61803 L
s
.52497 .61428 m
.52497 .61803 L
s
.55629 .61428 m
.55629 .61803 L
s
.58761 .61428 m
.58761 .61803 L
s
.61894 .61428 m
.61894 .61803 L
s
.68158 .61428 m
.68158 .61803 L
s
.7129 .61428 m
.7129 .61803 L
s
.74423 .61428 m
.74423 .61803 L
s
.77555 .61428 m
.77555 .61803 L
s
.83819 .61428 m
.83819 .61803 L
s
.86952 .61428 m
.86952 .61803 L
s
.90084 .61428 m
.90084 .61803 L
s
.93216 .61428 m
.93216 .61803 L
s
.99481 .61428 m
.99481 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
.99375 .02809 m
1 .02809 L
s
.99375 .14046 m
1 .14046 L
s
.99375 .25283 m
1 .25283 L
s
.99375 .3652 m
1 .3652 L
s
.99375 .47757 m
1 .47757 L
s
.99375 .58994 m
1 .58994 L
s
.125 Mabswid
.99625 .05618 m
1 .05618 L
s
.99625 .08428 m
1 .08428 L
s
.99625 .11237 m
1 .11237 L
s
.99625 .16855 m
1 .16855 L
s
.99625 .19665 m
1 .19665 L
s
.99625 .22474 m
1 .22474 L
s
.99625 .28092 m
1 .28092 L
s
.99625 .30902 m
1 .30902 L
s
.99625 .33711 m
1 .33711 L
s
.99625 .39329 m
1 .39329 L
s
.99625 .42139 m
1 .42139 L
s
.99625 .44948 m
1 .44948 L
s
.99625 .50566 m
1 .50566 L
s
.99625 .53376 m
1 .53376 L
s
.99625 .56185 m
1 .56185 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
[(Modulation Transfer Function)] .5 .63053 0 -1 Mshowa
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.5 Mabswid
.02381 .58994 m
.02723 .54346 L
.02919 .5168 L
.03005 .50517 L
.03097 .49255 L
.03122 .48922 L
.03148 .48357 L
.03195 .47147 L
.03286 .44765 L
.03488 .3952 L
.03679 .34583 L
.03762 .32424 L
.03853 .30066 L
.03877 .29432 L
.03903 .29016 L
.0395 .28341 L
.04043 .27008 L
.04247 .24066 L
.04425 .21511 L
.04518 .20167 L
.04569 .19433 L
.04617 .18747 L
.04644 .18546 L
.04673 .18549 L
.04735 .18554 L
.04844 .18564 L
.05058 .18584 L
.05165 .18594 L
.05267 .18603 L
.05311 .18607 L
.05359 .18612 L
.05383 .18615 L
.0541 .18625 L
.05458 .18644 L
.05645 .18719 L
.05842 .18797 L
.06011 .18863 L
.06057 .18882 L
.06106 .18901 L
.06153 .18791 L
.06195 .18563 L
.06608 .16336 L
.06989 .14436 L
.07344 .13025 L
.07523 .12314 L
.07572 .12119 L
.076 .12011 L
.07625 .11909 L
.07675 .11944 L
.0772 .12 L
Mistroke
.08104 .12474 L
.08315 .12735 L
.08513 .12917 L
.08703 .13062 L
.08909 .13219 L
.09 .13288 L
.0905 .13326 L
.09097 .13361 L
.09136 .13368 L
.09179 .13238 L
.09269 .12962 L
.0997 .10873 L
.10358 .09941 L
.10465 .09686 L
.10523 .09546 L
.10578 .09415 L
.10624 .09303 L
.10674 .09341 L
.10701 .09373 L
.10729 .09406 L
.1078 .09466 L
.11151 .09902 L
.11547 .10336 L
.11751 .10538 L
.11942 .10729 L
.12026 .10812 L
.12072 .10857 L
.12114 .10899 L
.12161 .10853 L
.12185 .10804 L
.12211 .10752 L
.12301 .10573 L
.13001 .09177 L
.13388 .08407 L
.13494 .08196 L
.13552 .0808 L
.1358 .08024 L
.13607 .07972 L
.13653 .07938 L
.13703 .07964 L
.13809 .08019 L
.14206 .08225 L
.14575 .08451 L
.14923 .08691 L
.15024 .08761 L
.15073 .08795 L
.15118 .08826 L
.15159 .08796 L
.15203 .08741 L
.15295 .08625 L
Mistroke
.15675 .08148 L
.16084 .07648 L
.16283 .0741 L
.16473 .07184 L
.16555 .07086 L
.166 .07032 L
.16643 .07006 L
.16667 .0702 L
.16693 .07036 L
.16739 .07063 L
.16828 .07115 L
.17526 .07513 L
.17888 .07692 L
.17987 .07741 L
.18042 .07768 L
.18069 .07781 L
.18094 .07794 L
.18142 .07795 L
.18167 .07764 L
.18194 .07731 L
.18286 .07619 L
.18672 .07147 L
.19089 .06645 L
.19277 .06421 L
.19476 .06184 L
.19558 .06087 L
.19603 .06033 L
.19645 .06008 L
.19696 .06025 L
.19741 .06041 L
.19831 .06071 L
.20527 .06313 L
.20898 .0645 L
.20988 .06483 L
.21038 .06501 L
.21085 .06519 L
.21112 .06529 L
.2114 .06523 L
.21167 .06497 L
.21191 .06473 L
.2129 .06374 L
.21994 .05679 L
.22188 .05496 L
.22398 .05298 L
.22494 .05208 L
.22547 .05158 L
.22596 .05112 L
.22637 .05084 L
.22682 .051 L
.22777 .05134 L
Mistroke
.23487 .05391 L
.23876 .05547 L
.23982 .0559 L
.24041 .05614 L
.24069 .05625 L
.24095 .05636 L
.24142 .05638 L
.24192 .056 L
.24298 .05518 L
.24696 .05211 L
.25065 .04928 L
.25415 .04662 L
.25516 .04586 L
.25565 .04548 L
.25611 .04514 L
.25652 .04508 L
.25696 .04521 L
.25788 .04548 L
.26169 .04661 L
.26578 .04788 L
.26778 .04854 L
.26969 .04916 L
.27051 .04943 L
.27093 .04956 L
.27139 .0496 L
.27189 .04925 L
.27236 .04893 L
.27325 .04832 L
.28024 .04358 L
.28398 .04115 L
.28489 .04056 L
.28539 .04023 L
.28586 .03992 L
.28613 .03975 L
.28642 .03969 L
.28668 .03976 L
.28693 .03982 L
.28792 .04008 L
.29497 .04197 L
.29841 .04299 L
.29941 .04329 L
.30035 .04356 L
.30076 .04369 L
.30119 .04382 L
.30167 .0436 L
.30211 .04333 L
.30618 .04088 L
.30998 .03864 L
.3139 .03644 L
.31498 .03583 L
Mistroke
.31556 .0355 L
.31585 .03534 L
.31611 .0352 L
.31658 .03517 L
.31708 .03528 L
.31814 .03551 L
.32214 .03636 L
.32583 .03727 L
.32936 .03823 L
.33022 .03847 L
.33067 .03859 L
.33115 .03872 L
.3314 .03868 L
.33168 .03854 L
.33216 .03828 L
.33311 .03779 L
.33726 .03561 L
.34103 .03385 L
.34287 .03306 L
.34385 .03264 L
.34488 .0322 L
.34578 .03181 L
.34602 .0317 L
.34629 .0316 L
.34677 .0317 L
.34851 .03204 L
.35649 .0339 L
.35837 .03445 L
.35939 .03476 L
.36036 .03504 L
.36086 .03519 L
.36114 .03527 L
.3614 .03525 L
.36167 .03514 L
.36196 .03501 L
.36255 .03475 L
.36457 .03386 L
.36663 .03296 L
.36765 .03252 L
.36809 .03232 L
.36858 .03211 L
.36902 .03196 L
.36943 .03185 L
.37033 .0316 L
.37223 .03109 L
.37408 .0306 L
.37498 .03036 L
.37583 .03013 L
.37629 .03001 L
.37679 .03007 L
Mistroke
.37784 .0302 L
.37969 .03041 L
.38185 .03066 L
.3829 .03079 L
.38337 .03084 L
.38361 .03087 L
.38387 .03092 L
.38433 .03106 L
.38476 .03119 L
.3857 .03147 L
.38767 .03205 L
.38955 .03261 L
.3905 .0329 L
.39076 .03297 L
.39104 .03306 L
.3913 .03311 L
.39154 .03302 L
.39374 .03216 L
.39576 .03137 L
.3967 .03101 L
.3977 .03062 L
.39818 .03043 L
.39864 .03025 L
.39905 .03019 L
.3995 .03017 L
.40137 .03008 L
.40343 .02998 L
.40734 .0298 L
.411 .02961 L
.41195 .02956 L
.41284 .02952 L
.41334 .02949 L
.41362 .02948 L
.41388 .02951 L
.41433 .02965 L
.41482 .0298 L
.41701 .03047 L
.41902 .03109 L
.42001 .0314 L
.42049 .03155 L
.42093 .03168 L
.4214 .03174 L
.42189 .03156 L
.42295 .0312 L
.42498 .03049 L
.42606 .03012 L
.42719 .02972 L
.42817 .02938 L
.42844 .02929 L
.42873 .02919 L
Mistroke
.429 .02921 L
.42925 .02924 L
.43114 .02947 L
.4331 .02971 L
.43488 .02993 L
.43533 .02998 L
.43581 .03004 L
.43627 .0301 L
.43669 .03002 L
.43863 .0297 L
.44211 .02911 L
.44299 .02896 L
.44348 .02887 L
.44394 .02888 L
.44419 .02896 L
.44447 .02905 L
.44497 .02921 L
.44594 .02951 L
.44804 .03016 L
.44906 .03048 L
.45 .03078 L
.45084 .03104 L
.45126 .03117 L
.45172 .03102 L
.45358 .03043 L
.45564 .02978 L
.45753 .02918 L
.45802 .02903 L
.45828 .02895 L
.45856 .02886 L
.4588 .0288 L
.45906 .02885 L
.45953 .02893 L
.46167 .02932 L
.46351 .02965 L
.46456 .02983 L
.46507 .02993 L
.46553 .03001 L
.46602 .0301 L
.46649 .03009 L
.46698 .02999 L
.46751 .02989 L
.46939 .02951 L
.47108 .02917 L
.47197 .02899 L
.47293 .0288 L
.47321 .02874 L
.47347 .02869 L
.47397 .0287 L
.47444 .02884 L
Mistroke
.47494 .02899 L
.47707 .02964 L
.47904 .03023 L
.48 .03052 L
.48042 .03065 L
.48088 .03079 L
.48132 .03088 L
.48173 .03076 L
.48261 .0305 L
.48447 .02995 L
.48654 .02934 L
.48752 .02906 L
.48795 .02893 L
.48843 .02879 L
.48889 .02872 L
.48938 .02881 L
.49042 .029 L
.4923 .02935 L
.49442 .02974 L
.49492 .02983 L
.49546 .02993 L
.49572 .02998 L
.49597 .03003 L
.49643 .03004 L
.4969 .02995 L
.49732 .02987 L
.49829 .02967 L
.50031 .02927 L
.50214 .02891 L
.50303 .02873 L
.50342 .02865 L
.50385 .02862 L
.50431 .02875 L
.50474 .02887 L
.5057 .02915 L
.50772 .02973 L
.50874 .03002 L
.50983 .03033 L
.51036 .03048 L
.51086 .03063 L
.51132 .03072 L
.51181 .03058 L
.5154 .02959 L
.51647 .02929 L
.51748 .02901 L
.51792 .02889 L
.51839 .02876 L
.51863 .02869 L
.5189 .02869 L
.51936 .02877 L
Mistroke
.52137 .02913 L
.52352 .02952 L
.52448 .02969 L
.52501 .02979 L
.52551 .02988 L
.52598 .02996 L
.52624 .03001 L
.52649 .02997 L
.52738 .02979 L
.5308 .02913 L
.53173 .02895 L
.53272 .02876 L
.53313 .02868 L
.53356 .0286 L
.53404 .02864 L
.53448 .02876 L
.5366 .02934 L
.53853 .02986 L
.53947 .03012 L
.53996 .03025 L
.54049 .03039 L
.54094 .03052 L
.54145 .03054 L
.5419 .03042 L
.54233 .03031 L
.54423 .02981 L
.5463 .02927 L
.54724 .02902 L
.54776 .02888 L
.54825 .02876 L
.54871 .02864 L
.5492 .02871 L
.55006 .02886 L
.55182 .02917 L
.55371 .02951 L
.55463 .02967 L
.5555 .02983 L
.55587 .02989 L
.55627 .02995 L
.55671 .02987 L
.55712 .02979 L
.56075 .02911 L
.56264 .02875 L
.56316 .02865 L
.56343 .0286 L
.56372 .02854 L
.56397 .0286 L
.56425 .02867 L
.56473 .0288 L
.56674 .02932 L
Mistroke
.56889 .02988 L
.56993 .03015 L
.57045 .03028 L
.57092 .0304 L
.57135 .03046 L
.5718 .03035 L
.57276 .03011 L
.57636 .02922 L
.5774 .02897 L
.57791 .02884 L
.57838 .02872 L
.57881 .02865 L
.57927 .02872 L
.58023 .02888 L
.582 .02918 L
.58387 .02949 L
.58546 .02976 L
.5859 .02983 L
.58637 .02987 L
.58681 .02979 L
.58721 .02973 L
.59077 .02912 L
.59172 .02896 L
.59275 .02879 L
.59322 .02871 L
.59372 .02862 L
.59415 .02872 L
.59462 .02884 L
.59819 .02972 L
.59904 .02993 L
.59994 .03015 L
.60039 .03026 L
.6008 .03036 L
.60117 .03046 L
.60158 .0304 L
.60205 .03029 L
.60254 .03018 L
.60343 .02998 L
.60544 .02953 L
.60715 .02915 L
.6076 .02905 L
.60809 .02894 L
.60855 .02883 L
.60898 .02882 L
.60947 .02889 L
.61 .02896 L
.61094 .02909 L
.61277 .02934 L
.61475 .02961 L
.61529 .02968 L
Mistroke
.61557 .02972 L
.61587 .02976 L
.61614 .0298 L
.61643 .02978 L
.61669 .02975 L
.61693 .02972 L
.61886 .02946 L
.62094 .02918 L
.6219 .02906 L
.62291 .02892 L
.62333 .02887 L
.62378 .02882 L
.62427 .02893 L
.62473 .02903 L
.62651 .02944 L
.6284 .02986 L
.62933 .03007 L
.63019 .03026 L
.63057 .03035 L
.63097 .03044 L
.63141 .03046 L
.63181 .03038 L
.63567 .02955 L
.63768 .02912 L
.63823 .02901 L
.63853 .02894 L
.63882 .02891 L
.63909 .02894 L
.63938 .02898 L
.63988 .02904 L
.64181 .02927 L
.64386 .02951 L
.64471 .02961 L
.64561 .02972 L
.64588 .02975 L
.64613 .02978 L
.64661 .02974 L
.64705 .02968 L
.64754 .02961 L
.64956 .02933 L
.65147 .02907 L
.6523 .02895 L
.65318 .02883 L
.65364 .02877 L
.6539 .02879 L
.65414 .02884 L
.65503 .02903 L
.65889 .02984 L
.65999 .03008 L
.66054 .03019 L
Mistroke
.66078 .03025 L
.66105 .0303 L
.6615 .03028 L
.66199 .03018 L
.66302 .02997 L
.66489 .02959 L
.66686 .02919 L
.66767 .02902 L
.66812 .02893 L
.66854 .02884 L
.66904 .02884 L
.6695 .0289 L
.67038 .02902 L
.67419 .02952 L
.67524 .02966 L
.67551 .02969 L
.67581 .02973 L
.67609 .02977 L
.67634 .02977 L
.67683 .02971 L
.67729 .02966 L
.67833 .02953 L
.68021 .02929 L
.68199 .02907 L
.68297 .02895 L
.68324 .02891 L
.68352 .02888 L
.68376 .02886 L
.68403 .02892 L
.68588 .0293 L
.68763 .02966 L
.68951 .03004 L
.69042 .03023 L
.69087 .03032 L
.69128 .03038 L
.69165 .03031 L
.69205 .03024 L
.69289 .03009 L
.69647 .02943 L
.69745 .02926 L
.69798 .02916 L
.69848 .02907 L
.6989 .02904 L
.69936 .02909 L
.70032 .02919 L
.7022 .02938 L
.70397 .02957 L
.70474 .02965 L
.70556 .02973 L
.70599 .02978 L
Mistroke
.70646 .02977 L
.70689 .02971 L
.70729 .02966 L
.70919 .0294 L
.71126 .02913 L
.7122 .029 L
.71272 .02893 L
.71321 .02887 L
.71363 .02881 L
.71407 .02886 L
.71457 .02895 L
.71502 .02904 L
.71844 .02966 L
.71942 .02984 L
.72035 .03001 L
.72075 .03009 L
.72118 .03017 L
.72165 .03009 L
.72209 .03 L
.72581 .02924 L
.72749 .02891 L
.72797 .02881 L
.72843 .02872 L
.72884 .02867 L
.72928 .02874 L
.73122 .02904 L
.73303 .02931 L
.73407 .02947 L
.73518 .02963 L
.73571 .02972 L
.73598 .02976 L
.73622 .02979 L
.73667 .0297 L
.73716 .0296 L
.74063 .02887 L
.74162 .02867 L
.74257 .02847 L
.74298 .02838 L
.74342 .02829 L
.74389 .02827 L
.74434 .02836 L
.74627 .02878 L
.74841 .02924 L
.74935 .02945 L
.75037 .02967 L
.75084 .02977 L
.75133 .02982 L
.75175 .02973 L
.75221 .02963 L
.75405 .02922 L
Mistroke
.75605 .02878 L
.75697 .02858 L
.75794 .02837 L
.75834 .02828 L
.75877 .02821 L
.75924 .02832 L
.75968 .02842 L
.76187 .02894 L
.76386 .02941 L
.76479 .02963 L
.76529 .02974 L
.76556 .02981 L
.76581 .02987 L
.76632 .02995 L
.76677 .02989 L
.76766 .02976 L
.77139 .02923 L
.7723 .0291 L
.7728 .02903 L
.77327 .02897 L
.77354 .02893 L
.77383 .02892 L
.77409 .02895 L
.77433 .02899 L
.77533 .02912 L
.77874 .02958 L
.77957 .02969 L
.78047 .02981 L
.78072 .02985 L
.78098 .02988 L
.78145 .02988 L
.78189 .02982 L
.78237 .02976 L
.78439 .0295 L
.78629 .02925 L
.78712 .02914 L
.788 .02902 L
.78846 .02896 L
.78872 .02893 L
.78897 .02896 L
.78985 .02909 L
.79371 .02963 L
.79482 .02978 L
.79536 .02986 L
.7956 .02989 L
.79587 .02993 L
.79633 .02996 L
.79681 .02986 L
.79784 .02965 L
.79971 .02926 L
Mistroke
.80168 .02886 L
.80249 .02869 L
.80294 .0286 L
.80336 .02852 L
.80386 .02847 L
.80432 .02855 L
.8052 .02871 L
.80901 .0294 L
.81006 .02959 L
.81063 .02969 L
.81091 .02974 L
.81116 .02978 L
.81162 .02973 L
.81211 .02964 L
.81315 .02947 L
.81496 .02917 L
.8169 .02884 L
.81784 .02869 L
.8183 .02861 L
.81873 .02855 L
.81912 .02862 L
.81952 .0287 L
.82038 .02886 L
.82415 .02957 L
.82518 .02977 L
.82575 .02988 L
.82603 .02993 L
.82629 .02995 L
.82679 .02989 L
.82733 .02983 L
.82828 .02971 L
.83005 .0295 L
.83195 .02927 L
.83283 .02917 L
.83331 .02911 L
.83375 .02907 L
.83413 .02911 L
.83454 .02915 L
.8354 .02925 L
.83752 .02948 L
.83951 .02969 L
.84038 .02979 L
.84082 .02984 L
.84131 .02986 L
.84156 .0298 L
.84183 .02975 L
.84232 .02964 L
.84325 .02944 L
.84512 .02905 L
.84711 .02863 L
Mistroke
.8477 .0285 L
.84826 .02838 L
.84876 .0283 L
.84904 .02836 L
.8493 .02842 L
.85132 .02887 L
.85325 .0293 L
.85505 .02969 L
.85552 .0298 L
.85596 .0299 L
.8562 .02995 L
.85646 .02992 L
.85693 .02986 L
.85898 .02962 L
.86071 .02941 L
.86258 .02919 L
.86312 .02912 L
.86339 .02909 L
.86364 .02906 L
.86411 .0291 L
.86462 .02915 L
.86654 .02937 L
.86853 .02959 L
.86951 .0297 L
.87041 .0298 L
.87092 .02986 L
.87117 .02989 L
.87145 .02984 L
.87258 .02965 L
.87455 .02931 L
.87654 .02896 L
.87752 .02879 L
.87796 .02871 L
.87843 .02863 L
.87886 .02861 L
.87926 .0287 L
.88013 .0289 L
.88198 .02931 L
.88384 .02972 L
.88486 .02995 L
.88536 .03006 L
.88581 .03016 L
.88631 .03023 L
.88658 .03017 L
.88684 .03011 L
.88797 .02988 L
.88994 .02947 L
.89186 .02907 L
.89279 .02887 L
.8932 .02879 L
Mistroke
.89364 .02869 L
.89411 .02876 L
.89454 .02884 L
.89551 .02902 L
.89756 .02939 L
.89933 .02972 L
.9003 .0299 L
.90077 .02998 L
.90121 .03006 L
.90163 .03001 L
.90206 .02996 L
.90299 .02986 L
.90459 .02968 L
.90645 .02946 L
.90737 .02936 L
.90821 .02926 L
.90868 .02921 L
.90918 .02925 L
.91024 .02934 L
.91209 .02949 L
.91369 .02963 L
.91453 .0297 L
.91541 .02977 L
.91588 .02981 L
.91615 .02983 L
.9164 .02982 L
.91683 .02978 L
.9173 .02974 L
.91907 .02958 L
.92098 .02941 L
.92201 .02932 L
.92299 .02923 L
.92325 .02921 L
.92349 .02918 L
.92378 .02917 L
.92404 .02919 L
.92519 .02929 L
.92722 .02946 L
.929 .02961 L
.92998 .02969 L
.93046 .02973 L
.9309 .02976 L
.93137 .02977 L
.93162 .02974 L
.93188 .02971 L
.93297 .02959 L
.9349 .02937 L
.93677 .02915 L
.93768 .02905 L
.93808 .029 L
Mistroke
.93853 .02895 L
.939 .02897 L
.9395 .02902 L
.94056 .02914 L
.94241 .02936 L
.94415 .02955 L
.94511 .02966 L
.94558 .02972 L
.94602 .02977 L
.94643 .02976 L
.94686 .0297 L
.94779 .02957 L
.9494 .02935 L
.95131 .02909 L
.95235 .02895 L
.95286 .02888 L
.95332 .02881 L
.95358 .02878 L
.95383 .02878 L
.95409 .02882 L
.95437 .02886 L
.95553 .02902 L
.95756 .0293 L
.9595 .02957 L
.96047 .02971 L
.96074 .02975 L
.96103 .02979 L
.9613 .02979 L
.96155 .02976 L
.96525 .02926 L
.96656 .02909 L
.96728 .02899 L
.96795 .0289 L
.96826 .02886 L
.96859 .02881 L
.96895 .02884 L
.96927 .02889 L
.97047 .02907 L
.97619 .02994 L
Mfstroke
1 0 0 r
.02381 .58994 m
.03853 .58293 L
.05458 .57325 L
.06965 .56445 L
.08415 .55592 L
.09958 .54688 L
.11444 .53816 L
.13023 .52888 L
.14544 .51999 L
.16007 .51137 L
.17564 .50226 L
.19063 .49344 L
.20504 .485 L
.22039 .47598 L
.23516 .46733 L
.25087 .45809 L
.26599 .44924 L
.28054 .44068 L
.29603 .43162 L
.31093 .42285 L
.32678 .41358 L
.34204 .40459 L
.35672 .39601 L
.37234 .38681 L
.38739 .37802 L
.40185 .36949 L
.41725 .36049 L
.43208 .35176 L
.44783 .34255 L
.46301 .3336 L
.47761 .32507 L
.49315 .31592 L
.50811 .30718 L
.52249 .2987 L
.5378 .28975 L
.55254 .28107 L
.56821 .27191 L
.58331 .26301 L
.59783 .25453 L
.61328 .24542 L
.62815 .23674 L
.64396 .22742 L
.65919 .21853 L
.67385 .20988 L
.68943 .20079 L
.70445 .19192 L
.71888 .18351 L
.73425 .17443 L
.74904 .16582 L
.76476 .15652 L
Mistroke
.77991 .14772 L
.79448 .13907 L
.80998 .13008 L
.82491 .12121 L
.84077 .11203 L
.85605 .10291 L
.87076 .09445 L
.8864 .08508 L
.90146 .07647 L
.91595 .0677 L
.93137 .05898 L
.94621 .04982 L
.96198 .04117 L
.97619 .03169 L
Mfstroke
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`008`3oool200000200oooo0`0000040?ooo`8000006`3oool3000000@0oooo0P0000040?oo
o`800000603oool3000000<0oooo0`0000040?ooo`8000005`3oool5000000<0oooo0P0000040?oo
o`8000005P3oool500000080oooo0`0000040?ooo`800000603oool3000000@0oooo0P0000040?oo
o`8000003@3oool00280oooo00@000000?ooo`3oool000007P3oool01@000000oooo0?ooo`3oool0
00000080oooo00@000000?ooo`3oool000006`3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000603oool01@000000oooo0?ooo`3oool00000
00<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0E0?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000F0?ooo`06
0000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo01@0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool00000303oool00280oooo00@000000?ooo`3oool000008P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000001P0oooo00<000000?ooo`3oool0
1@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000001L0oooo00<00000
0?ooo`3oool01@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01P0oooo00@0
00000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00X0
oooo000R0?ooo`040000003oool0oooo00000280oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`00000H0?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool00000
0P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo01H0oooo0P0000030?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool00000303oool00280oooo00@000000?ooo`3oool00000
7P3oool4000000<0oooo00@000000?ooo`3oool000006`3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool00000603oool010000000oooo0?ooo`3o
ool4000000<0oooo00@000000?ooo`3oool000005P3oool01@000000oooo0?ooo`3oool000000080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000E0?ooo`060000003oool0
oooo0?ooo`000000oooo100000030?ooo`040000003oool0oooo000001X0oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00X0oooo000R0?oo
o`040000003oool0oooo000001h0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00
000J0?ooo`800000103oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000001L0
oooo0P0000030?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool000005P3oool01@00
0000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`00000E0?ooo`070000003oool0oooo0?ooo`000000oooo000000060?ooo`040000003oool0oooo
000001H0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool00000303oool002<0oooo0P00000O0?ooo`D000000`3oool2000001`0oooo
00<000000?ooo`3oool00`3oool2000000@0oooo0P00000I0?ooo`040000003oool0oooo0?ooo`D0
00000`3oool2000001P0oooo0`0000040?ooo`800000103oool2000001L0oooo0`0000020?ooo`D0
00000`3oool2000001P0oooo0`0000040?ooo`800000103oool2000000d0oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo000N0?ooooP000002P3oool001h0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`8000002P3oool001h0oooo00<0
00000?ooo`3oool0m03oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`3d
0?ooo`030000003oool0oooo00P0oooo000G0?ooo`8000001@3oool00`000000oooo0?ooo`3d0?oo
o`030000003oool0oooo00P0oooo000F0?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool0m03oool00`000000oooo0?ooo`080?ooo`005P3oool010000000oooo0?ooo`0000040?oo
o`030000003oool0oooo0?@0oooo00<000000?ooo`3oool0203oool001H0oooo00@000000?ooo`3o
ool00000103oool2000005<0oooo0P0000040?ooo`D000000P3ooon?000000030?l0003oool0oooo
0080oooo0P00000:0?ooo`005P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
04/0oooo0P0000030?ooo`T00000103oool2000008h0oooo00<0o`000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`005P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
04@0oooo00<000000?ooo`3oool00`3oool2000000040?ooo`0000000000000009`0oooo00<0o`00
0?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`005`3oool2000000D0oooo00<000000?oo
o`3oool0@P3oool800000:00oooo0P3o00080?ooo`030000003oool0oooo00P0oooo000N0?ooo`03
0000003oool0oooo03`0oooo100000000`3oool000000?ooo`2U0?ooo`80o`002P3oool00`000000
oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`0e0?ooo`800000103oool010000000oooo
0?ooo`3oool200000:D0oooo0P3o000<0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000
003oool0oooo03@0oooo00<000000?ooo`3oool01000002Y0?ooo`80o`003P3oool00`000000oooo
0?ooo`080?ooo`007P3oool2000003@0oooo00<000000?ooo`3oool00P3oool200000:P0oooo0P3o
000?0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool0;@3oool4000000030?ooo`000000
oooo0:`0oooo0P3o000B0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo
02`0oooo0P0000030?ooo`030000003oool0oooo0:/0oooo00<0o`000?ooo`3oool04P3oool00`00
0000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`0V0?ooo`8000000`3oool00`000000
oooo0?ooo`2`0?ooo`030?l0003oool0oooo01<0oooo00<000000?ooo`3oool0203oool001h0oooo
00<000000?ooo`3oool09@3oool01P000000oooo0?ooo`000000oooo00000;80oooo00<0o`000?oo
o`3oool0503oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`0N0?ooo`80
00001@3oool010000000oooo0?ooo`3oool200000;00oooo0P3o000G0?ooo`030000003oool0oooo
00P0oooo000N0?ooo`8000007`3oool00`000000oooo000000030?ooo`030000003oool0oooo0;80
oooo0P3o000H0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0300000;<0oooo0P3o000K0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0]@3oool20?l001d0oooo00<000000?ooo`3oool0203o
ool001h0oooo00<000000?ooo`3oool05`3oool2000000@0oooo00<000000?ooo`3oool0/`3oool2
0?l001l0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool05`3oool20000
00<0oooo00<000000?ooo`3oool0/P3oool20?l00240oooo00<000000?ooo`3oool0203oool001h0
oooo00<000000?ooo`3oool05`3oool00`000000oooo000000020?ooo`030000003oool0oooo0;00
oooo0P3o000S0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo01H0oooo
00@000000?ooo`3oool0oooo0P00002b0?ooo`030?l0003oool0oooo02<0oooo00<000000?ooo`3o
ool0203oool001h0oooo0P00000G0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
[P3oool20?l002D0oooo0P00000:0?ooo`007P3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo0;80oooo00<0o`000?ooo`3oool09P3oool00`000000oooo0?ooo`080?ooo`007P3oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0/P3oool0
0`3o0000oooo0?ooo`0W0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo
00l0oooo0`0000030?ooo`030000003oool0oooo0;00oooo0P3o000Z0?ooo`030000003oool0oooo
00P0oooo000N0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`2^0?ooo`80o`00;03oool00`000000oooo0?ooo`080?ooo`002`3oool2000000@0oooo
00@000000?ooo`3oool0oooo1@0000040?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool00`00002_0?ooo`80o`00;P3oool00`000000oooo0?ooo`080?ooo`002P3oool010000000oooo
0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool03`3oool01@00
0000oooo0?ooo`3oool000000:h0oooo0P3o000`0?ooo`030000003oool0oooo00P0oooo000:0?oo
o`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0103oool2000000l0oooo00<00000
0?ooo`3oool0[`3oool20?l00340oooo0P00000:0?ooo`002P3oool010000000oooo0?ooo`00000:
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`2^
0?ooo`030?l0003oool0oooo0380oooo00<000000?ooo`3oool0203oool000X0oooo00@000000?oo
o`3oool000001`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`2/0?ooo`80o`00=@3oool00`000000oooo0?ooo`080?ooo`002P3oool0
10000000oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo
0?ooo`0>0?ooo`030000003oool0oooo0:X0oooo0P3o000g0?ooo`030000003oool0oooo00P0oooo
000;0?ooo`8000002@3oool3000000D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`2Y0?ooo`80o`00>@3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`0=
0?ooo`030000003oool0oooo0:P0oooo00<0o`000?ooo`3oool0>@3oool00`000000oooo0?ooo`08
0?ooo`007P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0:L0oooo00<0o`000?oo
o`3oool0>P3oool00`000000oooo0?ooo`080?ooo`007P3oool2000000h0oooo00<000000?ooo`3o
ool0Y@3oool20?l003`0oooo0P00000:0?ooo`007P3oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo0:<0oooo0P3o000o0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003o
ool0oooo00d0oooo00<000000?ooo`3oool0X@3oool20?l00440oooo00<000000?ooo`3oool0203o
ool001h0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`2Q0?ooo`030?l0003oool0
oooo0440oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool0203oool01@00
0000oooo0?ooo`3oool000000:40oooo0P3o00140?ooo`030000003oool0oooo00P0oooo000N0?oo
o`030000003oool0oooo00P0oooo1@00002O0?ooo`80o`00AP3oool00`000000oooo0?ooo`080?oo
o`007P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo09l0oooo0P3o00180?ooo`03
0000003oool0oooo00P0oooo000N0?ooo`8000002@3oool00`000000oooo0?ooo`2M0?ooo`80o`00
B@3oool2000000X0oooo000N0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0V`3o
ool20?l004`0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`2J0?ooo`030?l0003oool0oooo04`0oooo00<000000?ooo`3oool0203oool0
01h0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2I0?ooo`030?l0003oool0oooo
04d0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`2G0?ooo`80o`00D03oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo09H0oooo00<0o`000?ooo`3oool0D03oool00`000000oooo
0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo09@0oooo0P3o
001C0?ooo`030000003oool0oooo00P0oooo000N0?ooo`8000002@3oool00`000000oooo0?ooo`2B
0?ooo`80o`00E03oool2000000X0oooo000N0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0T03oool20?l005L0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`2?0?ooo`80o`00F@3oool00`000000oooo0?ooo`080?ooo`00
7P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo08d0oooo0P3o001K0?ooo`030000
003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0R`3o
ool20?l005d0oooo00<000000?ooo`3oool0203oool000/0oooo0P0000040?ooo`030000003oool0
oooo00<0oooo0`0000040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0RP3oool0
0`3o0000oooo0?ooo`1M0?ooo`030000003oool0oooo00P0oooo000:0?ooo`040000003oool0oooo
000000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo08T0oooo00<0o`000?ooo`3oool0GP3oool00`000000oooo0?ooo`080?ooo`002P3oool01000
0000oooo0?ooo`0000070?ooo`D00000103oool2000000P0oooo00<000000?ooo`3oool0R03oool0
0`3o0000oooo0?ooo`1N0?ooo`8000002P3oool000X0oooo00@000000?ooo`3oool000001`3oool0
10000000oooo0?ooo`0000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0QP3o
ool20?l00680oooo00<000000?ooo`3oool0203oool000X0oooo00@000000?ooo`3oool00000203o
ool00`000000oooo000000050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0Q03o
ool20?l006@0oooo00<000000?ooo`3oool0203oool000X0oooo00@000000?ooo`3oool000002@3o
ool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`220?ooo`80o`00IP3o
ool00`000000oooo0?ooo`080?ooo`002`3oool2000000/0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0800oooo0P3o001X0?ooo`030000003oool0
oooo00P0oooo000N0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0OP3oool20?l0
06X0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`1l0?ooo`80o`00K03oool00`000000oooo0?ooo`080?ooo`007P3oool2000000P0oooo
00<000000?ooo`3oool0NP3oool20?l006d0oooo0P00000:0?ooo`007P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo07T0oooo00<0o`000?ooo`3oool0KP3oool00`000000oooo0?oo
o`080?ooo`007P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo07L0oooo0P3o001a
0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0MP3oool20?l007<0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`1d0?ooo`80o`00M@3oool00`000000oooo0?ooo`080?ooo`00
7P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo07<0oooo00<0o`000?ooo`3oool0
M@3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo0780oooo00<0o`000?ooo`3oool0MP3oool00`000000oooo0?ooo`080?ooo`007P3oool2
000000L0oooo00<000000?ooo`3oool0L03oool20?l007P0oooo0P00000:0?ooo`007P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo06l0oooo00<0o`000?ooo`3oool0N@3oool00`00
0000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo06d0
oooo0P3o001l0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0J`3oool20?l007h0oooo00<000000?ooo`3oool0203oool001h0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`1Y0?ooo`80o`00P03oool00`000000oooo0?oo
o`080?ooo`007P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo06L0oooo0P3o0022
0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0I@3oool20?l008@0oooo00<000000?ooo`3oool0203oool001h0oooo0P0000070?ooo`03
0000003oool0oooo06@0oooo00<0o`000?ooo`3oool0P`3oool2000000X0oooo000N0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0HP3oool20?l008L0oooo00<000000?ooo`3oool0
203oool001h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1Q0?ooo`030?l0003o
ool0oooo08L0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`1P0?ooo`030?l0003oool0oooo08P0oooo00<000000?ooo`3oool0203oool0
00/0oooo0P0000040?ooo`030000003oool0oooo0080oooo0`0000050?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0GP3oool20?l008/0oooo00<000000?ooo`3oool0203oool000X0
oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`1L0?ooo`80o`00S@3oool00`000000oooo0?ooo`08
0?ooo`002P3oool010000000oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`000000103o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05X0oooo0P3o002?0?ooo`030000003o
ool0oooo00P0oooo000:0?ooo`040000003oool0oooo000000L0oooo100000050?ooo`8000001`3o
ool00`000000oooo0?ooo`1H0?ooo`80o`00T03oool2000000X0oooo000:0?ooo`040000003oool0
oooo000000L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo05H0oooo0P3o002C0?ooo`030000003oool0oooo00P0oooo000:0?ooo`040000003oool0
oooo000000P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo05D0oooo00<0o`000?ooo`3oool0T`3oool00`000000oooo0?ooo`080?ooo`002`3oool2
000000X0oooo0P0000050?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0D`3oool2
0?l009H0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`1A0?ooo`80o`00V03oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo04l0oooo0P3o002J0?ooo`030000003oool0oooo00P0
oooo000N0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0CP3oool00`3o0000oooo
0?ooo`2J0?ooo`030000003oool0oooo00P0oooo000N0?ooo`8000001`3oool00`000000oooo0?oo
o`1=0?ooo`030?l0003oool0oooo09X0oooo0P00000:0?ooo`007P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo04/0oooo0P3o002N0?ooo`030000003oool0oooo00P0oooo000N0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0B@3oool20?l00:00oooo00<000000?oo
o`3oool0203oool001h0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`170?ooo`80
o`00XP3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo04H0oooo00<0o`000?ooo`3oool0XP3oool00`000000oooo0?ooo`080?ooo`007P3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo04@0oooo0P3o002U0?ooo`030000003o
ool0oooo00P0oooo000N0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0@P3oool2
0?l00:L0oooo00<000000?ooo`3oool0203oool001h0oooo0P0000060?ooo`030000003oool0oooo
0440oooo0P3o002X0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`0o0?ooo`80o`00Z`3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo03d0oooo0P3o002]0?ooo`030000003oool0oooo00P0oooo
000N0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0?03oool00`3o0000oooo0?oo
o`2]0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0>`3oool00`3o0000oooo0?ooo`2^0?ooo`030000003oool0oooo00P0oooo000N0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0>@3oool20?l00;40oooo00<000000?oo
o`3oool0203oool001h0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0h0?ooo`03
0?l0003oool0oooo0;40oooo00<000000?ooo`3oool0203oool001h0oooo0P0000060?ooo`030000
003oool0oooo03H0oooo0P3o002c0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`0d0?ooo`80o`00]P3oool00`000000oooo0?ooo`080?ooo`007P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0380oooo0P3o002h0?ooo`030000003oool0
oooo00P0oooo000N0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0<03oool20?l0
0;X0oooo00<000000?ooo`3oool0203oool000/0oooo0P0000040?ooo`030000003oool0oooo0080
oooo0`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0;P3oool20?l00;`0
oooo00<000000?ooo`3oool0203oool000X0oooo00@000000?ooo`3oool000001`3oool01@000000
oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0/0?oo
o`80o`00_P3oool00`000000oooo0?ooo`080?ooo`002P3oool010000000oooo0?ooo`0000070?oo
o`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo02/0oooo00<0o`000?ooo`3oool0_P3oool00`000000oooo0?ooo`080?ooo`002P3oool01000
0000oooo0?ooo`0000080?ooo`<000001@3oool2000000H0oooo00<000000?ooo`3oool0:P3oool0
0`3o0000oooo0?ooo`2n0?ooo`8000002P3oool000X0oooo00@000000?ooo`3oool000001`3oool0
1@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0Y0?ooo`030?l0003oool0oooo0<00oooo00<000000?ooo`3oool0203oool000X0oooo00@00000
0?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0W0?ooo`80o`00``3oool00`000000oooo0?ooo`080?ooo`002`3o
ool2000000T0oooo0`0000050?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool09@3o
ool20?l00<D0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0S0?ooo`80o`00a`3oool00`000000oooo0?ooo`080?ooo`007P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0240oooo0P3o00390?ooo`030000003oool0oooo
00P0oooo000N0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0803oool20?l00</0
oooo00<000000?ooo`3oool0203oool001h0oooo0P0000050?ooo`030000003oool0oooo01h0oooo
0P3o003<0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0L0?ooo`80o`00c`3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo01/0oooo00<0o`000?ooo`3oool0c`3oool00`000000oooo0?ooo`08
0?ooo`007P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01T0oooo0P3o003B0?oo
o`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool05`3oool20?l00=@0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0E0?ooo`80o`00eP3oool00`000000oooo0?ooo`080?ooo`007P3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo01@0oooo00<0o`000?ooo`3oool0eP3o
ool00`000000oooo0?ooo`080?ooo`007P3oool2000000D0oooo00<000000?ooo`3oool04`3oool0
0`3o0000oooo0?ooo`3F0?ooo`8000002P3oool001h0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0A0?ooo`80o`00fP3oool00`000000oooo0?ooo`080?ooo`007P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0100oooo00<0o`000?ooo`3oool0fP3oool00`000000
oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00h0oooo
0P3o003M0?ooo`030000003oool0oooo00P0oooo000N0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0303oool20?l00=l0oooo00<000000?ooo`3oool0203oool001h0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`80o`00h@3oool00`000000oooo0?ooo`08
0?ooo`007P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo0P3o003S0?oo
o`030000003oool0oooo00P0oooo000N0?ooo`8000001@3oool00`000000oooo0?ooo`060?ooo`80
o`00i03oool2000000X0oooo000N0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
1@3oool20?l00>L0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`030?ooo`80o`00j@3oool00`000000oooo0?ooo`080?ooo`007P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo00<0o`000?ooo`3oool0j@3oool0
0`000000oooo0?ooo`080?ooo`005P3oool3000000D0oooo00<000000?ooo`3oool00`3oool01@00
0000oooo0?ooo`3oool0o`000>`0oooo00<000000?ooo`3oool0203oool001L0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`040000003oool0o`000?l00>d0oooo00<00000
0?ooo`3oool0203oool001L0oooo00<000000?ooo`3oool0103oool2000000@0oooo0P3o003^0?oo
o`8000002P3oool001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3d0?ooo`03
0000003oool0oooo00P0oooo000G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
m03oool00`000000oooo0?ooo`080?ooo`005P3oool2000000H0oooo00<000000?ooo`3oool0m03o
ool00`000000oooo0?ooo`080?ooo`005`3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo0?@0oooo00<000000?ooo`3oool0203oool001h0oooo00<000000?ooo`3oool0m03oool00`00
0000oooo0?ooo`080?ooo`007P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo0P00000:0?ooo`007P3ooooh000000X0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?oo
ob40oooo003o0?ooob40oooo003o0?ooob40oooo00150?ooo`80000000D0oooo0000000000000000
0?ooo`03000000<0oooo100000030?ooo`80000000<0oooo000000000000100000020?ooo`@00000
0`3oool200000080oooo1@0000020?ooo`<000000P3oool3000000030?ooo`000000000000L0oooo
0`0000020?ooo`<00000103oool4000000050?ooo`00000000000000003oool01P0000020?ooo`D0
00000P3oool300000080oooo0`0000090?ooo`<000001@3oool2000000030?ooo`00000000000080
000000@0oooo000000000000oooo0`0000040?ooo`8000000P3oool500000080oooo0`0000020?oo
o`<0000000<0oooo000000000000<`3oool004D0oooo00L000000?ooo`3oool0oooo0000003oool0
000000<0oooo00<000000?ooo`0000000P3oool01@000000oooo0?ooo`3oool000000080oooo00D0
00000?ooo`3oool0oooo000000030?ooo`040000003oool0oooo000000<0oooo00@000000?ooo`3o
ool000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000030?ooo`040000003oool0oooo000000D0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000030?ooo`040000003oool0oooo00000080oooo00D000000?ooo`3oool0oooo000000030?oo
o`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`00000d0?ooo`00A@3oool0
1`000000oooo0?ooo`3oool000000?ooo`0000000`3oool00`000000oooo000000020?ooo`050000
003oool0oooo0?ooo`0000000P3oool01@000000oooo0?ooo`3oool0000000@0oooo0`0000030?oo
o`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000030?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00<0oooo0`0000030?ooo`040000003oool0oooo00000080oooo0`0000040?ooo`040000
003oool0oooo0?ooo`D000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo000000H0oooo00<0
00000?ooo`3oool0103oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`0b0?ooo`00A@3oool01`000000oooo0?ooo`3oool000000?oo
o`0000000`3oool00`000000oooo000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000`3oool00`000000oooo
0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool2000000<0oooo00@000000?oo
o`3oool000000`3oool01P000000oooo0?ooo`000000oooo000000L0oooo00D000000?ooo`3oool0
oooo000000030?ooo`030000003oool0oooo008000002P3oool3000000<0oooo00@000000?ooo`3o
ool000000P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00@000000?ooo`3oool00000
1P3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0b0?ooo`00A@3oool01@000000oooo0000003oool000000080oooo0`0000030?oo
o`<000000P3oool2000000030?ooo`000000000000<0oooo00<000000?ooo`3oool00P3oool20000
00<0oooo100000020?ooo`<00000103oool300000080oooo100000080?ooo`060000003oool00000
0?ooo`000000oooo0P0000000`3oool00000000000020?ooo`8000000`3oool4000000<0oooo1000
00020?ooo`@000000P3oool300000080oooo0P0000000`3oool00000000000080?ooo`030000003o
ool0oooo0080oooo0P000000103oool000000000003oool4000000<0oooo0`0000020?ooo`@00000
0P3oool3000000@0oooo0`0000020?ooo`@00000=@3oool004D0oooo0P0000000`3oool000000000
000:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0J0?ooo`050000003oool000000?ooo`0000006`3oool00`000000oooo0?ooo`0D0?ooo`040000
003oool0oooo000001@0oooo00<000000?ooo`3oool0A`3oool004D0oooo00@000000?ooo`3oool0
oooo0P0000080?ooo`800000203oool3000000X0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0C0?ooo`D00000703oool2000001<0oooo1@00000D0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0@03oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-46.8666, -0.137062, \
1.29167, 0.00720095}},
  CellTags->"ModulationTransferFunction"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Seidel Aberrations", "Section",
  CellTags->"Seidel aberrations"],

Cell["\<\
Seidel aberrations are included in the same calculations that \
determine the pupil function of an imaging system. These are based on Zernike \
polynomials.\
\>", "Text",
  CellTags->"Seidel aberrations"],

Cell[CellGroupData[{

Cell["PupilFunction[sys3D]", "Input",
  CellTags->"Seidel aberrations"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0564024 0.0147151 0.0559525 [
[.07698 .00222 -12 -9 ]
[.07698 .00222 12 0 ]
[.21799 .00222 -6 -9 ]
[.21799 .00222 6 0 ]
[.35899 .00222 -12 -9 ]
[.35899 .00222 12 0 ]
[.5 .00222 -3 -9 ]
[.5 .00222 3 0 ]
[.64101 .00222 -9 -9 ]
[.64101 .00222 9 0 ]
[.78201 .00222 -3 -9 ]
[.78201 .00222 3 0 ]
[.92302 .00222 -9 -9 ]
[.92302 .00222 9 0 ]
[1.08084 .12662 -6 -4.5 ]
[1.08084 .12662 0 4.5 ]
[1.08084 .23853 -6 -4.5 ]
[1.08084 .23853 0 4.5 ]
[1.08084 .35043 -6 -4.5 ]
[1.08084 .35043 0 4.5 ]
[1.08084 .46234 -6 -4.5 ]
[1.08084 .46234 0 4.5 ]
[1.08084 .57424 -12 -4.5 ]
[1.08084 .57424 0 4.5 ]
[.5 .63053 -111 0 ]
[.5 .63053 111 9 ]
[ 0 0 0 0 ]
[ 1.09959 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.07698 .01472 m
.07698 .02097 L
s
[(-7.5)] .07698 .00222 0 1 Mshowa
.21799 .01472 m
.21799 .02097 L
s
[(-5)] .21799 .00222 0 1 Mshowa
.35899 .01472 m
.35899 .02097 L
s
[(-2.5)] .35899 .00222 0 1 Mshowa
.5 .01472 m
.5 .02097 L
s
[(0)] .5 .00222 0 1 Mshowa
.64101 .01472 m
.64101 .02097 L
s
[(2.5)] .64101 .00222 0 1 Mshowa
.78201 .01472 m
.78201 .02097 L
s
[(5)] .78201 .00222 0 1 Mshowa
.92302 .01472 m
.92302 .02097 L
s
[(7.5)] .92302 .00222 0 1 Mshowa
.125 Mabswid
.10518 .01472 m
.10518 .01847 L
s
.13338 .01472 m
.13338 .01847 L
s
.16159 .01472 m
.16159 .01847 L
s
.18979 .01472 m
.18979 .01847 L
s
.24619 .01472 m
.24619 .01847 L
s
.27439 .01472 m
.27439 .01847 L
s
.30259 .01472 m
.30259 .01847 L
s
.33079 .01472 m
.33079 .01847 L
s
.3872 .01472 m
.3872 .01847 L
s
.4154 .01472 m
.4154 .01847 L
s
.4436 .01472 m
.4436 .01847 L
s
.4718 .01472 m
.4718 .01847 L
s
.5282 .01472 m
.5282 .01847 L
s
.5564 .01472 m
.5564 .01847 L
s
.5846 .01472 m
.5846 .01847 L
s
.6128 .01472 m
.6128 .01847 L
s
.66921 .01472 m
.66921 .01847 L
s
.69741 .01472 m
.69741 .01847 L
s
.72561 .01472 m
.72561 .01847 L
s
.75381 .01472 m
.75381 .01847 L
s
.81021 .01472 m
.81021 .01847 L
s
.83841 .01472 m
.83841 .01847 L
s
.86662 .01472 m
.86662 .01847 L
s
.89482 .01472 m
.89482 .01847 L
s
.04878 .01472 m
.04878 .01847 L
s
.02058 .01472 m
.02058 .01847 L
s
.95122 .01472 m
.95122 .01847 L
s
.97942 .01472 m
.97942 .01847 L
s
.25 Mabswid
0 .01472 m
1 .01472 L
s
1.09334 .12662 m
1.09959 .12662 L
s
[(2)] 1.08084 .12662 1 0 Mshowa
1.09334 .23853 m
1.09959 .23853 L
s
[(4)] 1.08084 .23853 1 0 Mshowa
1.09334 .35043 m
1.09959 .35043 L
s
[(6)] 1.08084 .35043 1 0 Mshowa
1.09334 .46234 m
1.09959 .46234 L
s
[(8)] 1.08084 .46234 1 0 Mshowa
1.09334 .57424 m
1.09959 .57424 L
s
[(10)] 1.08084 .57424 1 0 Mshowa
.125 Mabswid
1.09334 .04269 m
1.09709 .04269 L
s
1.09334 .07067 m
1.09709 .07067 L
s
1.09334 .09864 m
1.09709 .09864 L
s
1.09334 .1546 m
1.09709 .1546 L
s
1.09334 .18257 m
1.09709 .18257 L
s
1.09334 .21055 m
1.09709 .21055 L
s
1.09334 .2665 m
1.09709 .2665 L
s
1.09334 .29448 m
1.09709 .29448 L
s
1.09334 .32245 m
1.09709 .32245 L
s
1.09334 .37841 m
1.09709 .37841 L
s
1.09334 .40638 m
1.09709 .40638 L
s
1.09334 .43436 m
1.09709 .43436 L
s
1.09334 .49031 m
1.09709 .49031 L
s
1.09334 .51829 m
1.09709 .51829 L
s
1.09334 .54626 m
1.09709 .54626 L
s
1.09334 .60222 m
1.09709 .60222 L
s
.25 Mabswid
1.09334 0 m
1.09334 .61803 L
s
[(Optical Path Difference \\(wavelengths\\))] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .60332 m
.05372 .50096 L
.08634 .40569 L
.11698 .32999 L
.14644 .26828 L
.1778 .21309 L
.20799 .1689 L
.24008 .13027 L
.27099 .10004 L
.30073 .07653 L
.33237 .05666 L
.36283 .04184 L
.39213 .03103 L
.40841 .02633 L
.42332 .02277 L
.43888 .01979 L
.45333 .01766 L
.46803 .01609 L
.4758 .0155 L
.48011 .01525 L
.48408 .01505 L
.48795 .01491 L
.48992 .01485 L
.49204 .0148 L
.49315 .01478 L
.49416 .01476 L
.49519 .01475 L
.49614 .01473 L
.49725 .01473 L
.49784 .01472 L
.49846 .01472 L
.499 .01472 L
.4995 .01472 L
.50006 .01472 L
.50065 .01472 L
.50163 .01472 L
.50255 .01472 L
.50355 .01473 L
.50462 .01474 L
.50681 .01478 L
.5088 .01482 L
.51264 .01493 L
.51627 .01507 L
.52379 .01547 L
.53176 .01607 L
.54605 .01758 L
.5612 .01981 L
.57538 .0225 L
.60544 .03027 L
.63739 .04194 L
Mistroke
.66818 .05696 L
.69779 .07549 L
.72929 .10029 L
.75963 .12995 L
.79186 .16871 L
.82292 .21425 L
.85281 .26683 L
.88459 .33357 L
.9152 .40985 L
.94464 .49578 L
.97598 .60254 L
.97619 .60332 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`004`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0`00000K0?oo
o`<000006P3oool5000000<0oooo00<000000?ooo`3oool00P3oool3000001P0oooo0P00000J0?oo
o`D000000`3oool00`000000oooo0?ooo`020?ooo`<000006`3oool3000001/0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`020?ooo`<00000;03oool001<0oooo00<000000?ooo`3o
ool01`3oool01@000000oooo0?ooo`3oool0000001T0oooo00D000000?ooo`3oool0oooo0000000J
0?ooo`040000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo0000000F0?ooo`040000
003oool0oooo000001X0oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0
000001T0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0oooo00L0oooo00D0
00000?ooo`3oool0oooo0000000[0?ooo`002`3oool5000000@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0A0?ooo`D000001@3oool00`000000oooo0?ooo`0A0?ooo`D000000`3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01@0oooo00@000000?ooo`3oool00000
6`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0
6@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02T0oooo000D0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0J0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0503oool010000000oooo0?ooo`00000L0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0:@3oool001D0oooo00<000000?ooo`3oool01@3o
ool4000001X0oooo1000000J0?ooo`050000003oool0oooo0?ooo`0000001`3oool4000001L0oooo
00@000000?ooo`3oool000006@3oool01@000000oooo0?ooo`3oool0000000L0oooo1000000J0?oo
o`@000007@3oool00`000000oooo0?ooo`050?ooo`@00000;03oool00140oooo00D000000?ooo`3o
ool0oooo000000070?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool06`3oool01@00
0000oooo0?ooo`3oool0000000L0oooo00<000000?ooo`3oool0603oool010000000oooo0?ooo`00
000I0?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`0K0?ooo`030000
003oool0oooo01X0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo02d0
oooo000A0?ooo`D000001`3oool5000001T0oooo1@00000J0?ooo`<00000203oool5000001L0oooo
0P00000K0?ooo`<00000203oool5000001T0oooo1@00000H0?ooo`D000001`3oool5000002/0oooo
003o0?oooaT0oooo00<000000?ooo`3oool01@3oool00?l0oooo6@3oool00`000000oooo0?ooo`05
0?ooo`00o`3ooolI0?ooo`030000003oool0oooo00D0oooo003o0?oooaT0oooo00<000000?ooo`3o
ool01@3oool000@0oooooP00000F0?ooo`030000003oool0oooo00D0oooo00090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`3oool4000000H0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo
100000030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0I0?ooo`030000003oool0oooo00D0oooo001]0?ooo`@00000903oool300000800oooo00<0
00000?ooo`3oool01@3oool006T0oooo1000000[0?ooo`@00000O03oool00`000000oooo0?ooo`05
0?ooo`00IP3oool3000003<0oooo0`00001i0?ooo`030000003oool0oooo00D0oooo001S0?ooo`<0
0000>@3oool3000007H0oooo00<000000?ooo`3oool01@3oool00640oooo0P00000o0?ooo`<00000
L`3oool00`000000oooo0?ooo`050?ooo`00G`3oool2000004@0oooo0P00001a0?ooo`8000001P3o
ool005`0oooo0`0000180?ooo`<00000KP3oool00`000000oooo0?ooo`050?ooo`00F@3oool30000
04h0oooo0`00001[0?ooo`030000003oool0oooo00D0oooo001G0?ooo`800000E03oool2000006T0
oooo00<000000?ooo`3oool01@3oool005H0oooo00<000000?ooo`3oool0EP3oool00`000000oooo
0?ooo`1V0?ooo`030000003oool0oooo00D0oooo001D0?ooo`800000FP3oool2000006H0oooo00<0
00000?ooo`3oool01@3oool00580oooo0P00001N0?ooo`030000003oool0oooo06<0oooo00<00000
0?ooo`3oool01@3oool00540oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`1R0?oo
o`8000001P3oool004l0oooo0P00001S0?ooo`800000HP3oool00`000000oooo0?ooo`050?ooo`00
CP3oool00`000000oooo0?ooo`1U0?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3oool0
1@3oool004d0oooo00<000000?ooo`3oool0I`3oool00`000000oooo0?ooo`1N0?ooo`030000003o
ool0oooo00D0oooo001;0?ooo`800000J`3oool2000005h0oooo00<000000?ooo`3oool01@3oool0
04X0oooo00<000000?ooo`3oool0K@3oool00`000000oooo0?ooo`1K0?ooo`030000003oool0oooo
00D0oooo00190?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0FP3oool00`000000
oooo0?ooo`050?ooo`00B03oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo05T0oooo
0P0000060?ooo`00B03oool00`000000oooo0?ooo`1b0?ooo`030000003oool0oooo05P0oooo00<0
00000?ooo`3oool01@3oool004L0oooo00<000000?ooo`3oool0M03oool00`000000oooo0?ooo`1G
0?ooo`030000003oool0oooo00D0oooo00160?ooo`030000003oool0oooo07H0oooo00<000000?oo
o`3oool0EP3oool00`000000oooo0?ooo`050?ooo`00A@3oool00`000000oooo0?ooo`1h0?ooo`03
0000003oool0oooo05D0oooo00<000000?ooo`3oool01@3oool004@0oooo00<000000?ooo`3oool0
NP3oool00`000000oooo0?ooo`1;0?ooo`D00000103oool00`000000oooo0?ooo`050?ooo`00@`3o
ool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo04/0oooo00@000000?ooo`3oool00000
103oool00`000000oooo0?ooo`050?ooo`00@P3oool00`000000oooo0?ooo`1n0?ooo`030000003o
ool0oooo04/0oooo00<000000?ooo`3oool0103oool3000000D0oooo00110?ooo`030000003oool0
oooo0800oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00D0oooo00110?ooo`030000003oool0oooo0800oooo00<000000?ooo`3oool0B03oool01@00
0000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01@3oool00400oooo00<000000?oo
o`3oool0PP3oool00`000000oooo0?ooo`170?ooo`050000003oool0oooo0?ooo`000000103oool0
0`000000oooo0?ooo`050?ooo`00?`3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo
04L0oooo0`0000050?ooo`030000003oool0oooo00D0oooo000n0?ooo`030000003oool0oooo08H0
oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`050?ooo`00?@3oool00`000000oooo
0?ooo`280?ooo`030000003oool0oooo04d0oooo00<000000?ooo`3oool01@3oool003d0oooo00<0
00000?ooo`3oool0R03oool00`000000oooo0?ooo`1=0?ooo`8000001P3oool003`0oooo00<00000
0?ooo`3oool0RP3oool00`000000oooo0?ooo`1<0?ooo`030000003oool0oooo00D0oooo000k0?oo
o`030000003oool0oooo08`0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`050?oo
o`00>P3oool00`000000oooo0?ooo`2>0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3o
ool01@3oool003T0oooo00<000000?ooo`3oool0T03oool00`000000oooo0?ooo`190?ooo`030000
003oool0oooo00D0oooo000i0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool0B@3o
ool00`000000oooo0?ooo`050?ooo`00>03oool00`000000oooo0?ooo`2B0?ooo`030000003oool0
oooo04P0oooo00<000000?ooo`3oool01@3oool003L0oooo00<000000?ooo`3oool0U03oool00`00
0000oooo0?ooo`170?ooo`8000001P3oool003H0oooo00<000000?ooo`3oool0UP3oool00`000000
oooo0?ooo`160?ooo`030000003oool0oooo00D0oooo000f0?ooo`030000003oool0oooo09H0oooo
00<000000?ooo`3oool0AP3oool00`000000oooo0?ooo`050?ooo`00=@3oool00`000000oooo0?oo
o`2H0?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool01@3oool003@0oooo00<00000
0?ooo`3oool0VP3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo00D0oooo000d0?oo
o`030000003oool0oooo09X0oooo00<000000?ooo`3oool0A03oool00`000000oooo0?ooo`050?oo
o`00<`3oool00`000000oooo0?ooo`2L0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3o
ool01@3oool00380oooo00<000000?ooo`3oool0WP3oool00`000000oooo0?ooo`120?ooo`800000
1P3oool00340oooo00<000000?ooo`3oool0X03oool00`000000oooo0?ooo`110?ooo`030000003o
ool0oooo00D0oooo000a0?ooo`030000003oool0oooo0:00oooo00<000000?ooo`3oool0@@3oool0
0`000000oooo0?ooo`050?ooo`00<03oool00`000000oooo0?ooo`2R0?ooo`030000003oool0oooo
0400oooo00<000000?ooo`3oool01@3oool00300oooo00<000000?ooo`3oool0X`3oool00`000000
oooo0?ooo`0o0?ooo`030000003oool0oooo00D0oooo000_0?ooo`030000003oool0oooo0:@0oooo
00<000000?ooo`3oool0>03oool3000000@0oooo00<000000?ooo`3oool01@3oool002h0oooo00<0
00000?ooo`3oool0YP3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01@3oool002h0oooo00<000000?ooo`3oool0YP3oool00`000000oooo0?ooo`0e
0?ooo`D00000103oool3000000D0oooo000]0?ooo`030000003oool0oooo0:P0oooo00<000000?oo
o`3oool0=03oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo000]0?oo
o`030000003oool0oooo0:T0oooo00<000000?ooo`3oool0=03oool00`000000oooo000000050?oo
o`030000003oool0oooo00D0oooo000/0?ooo`030000003oool0oooo0:X0oooo00<000000?ooo`3o
ool0=@3oool2000000D0oooo00<000000?ooo`3oool01@3oool002`0oooo00<000000?ooo`3oool0
Z`3oool00`000000oooo0?ooo`0e0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
1@3oool002/0oooo00<000000?ooo`3oool0[03oool00`000000oooo0?ooo`0k0?ooo`030000003o
ool0oooo00D0oooo000Z0?ooo`030000003oool0oooo0:h0oooo00<000000?ooo`3oool0>P3oool0
0`000000oooo0?ooo`050?ooo`00:P3oool00`000000oooo0?ooo`2_0?ooo`030000003oool0oooo
03T0oooo0P0000060?ooo`00:@3oool00`000000oooo0?ooo`2`0?ooo`030000003oool0oooo03T0
oooo00<000000?ooo`3oool01@3oool002T0oooo00<000000?ooo`3oool0/@3oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo00D0oooo000X0?ooo`030000003oool0oooo0;80oooo00<0
00000?ooo`3oool0>03oool00`000000oooo0?ooo`050?ooo`00:03oool00`000000oooo0?ooo`2c
0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool01@3oool002L0oooo00<000000?oo
o`3oool0]03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo00D0oooo000W0?ooo`03
0000003oool0oooo0;D0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`050?ooo`00
9P3oool00`000000oooo0?ooo`2f0?ooo`030000003oool0oooo03H0oooo0P0000060?ooo`009P3o
ool00`000000oooo0?ooo`2g0?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool01@3o
ool002D0oooo00<000000?ooo`3oool0^03oool00`000000oooo0?ooo`0e0?ooo`030000003oool0
oooo00D0oooo000U0?ooo`030000003oool0oooo0;P0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`050?ooo`009@3oool00`000000oooo0?ooo`2i0?ooo`030000003oool0oooo03@0
oooo00<000000?ooo`3oool01@3oool002@0oooo00<000000?ooo`3oool0^P3oool00`000000oooo
0?ooo`0d0?ooo`030000003oool0oooo00D0oooo000T0?ooo`030000003oool0oooo0;/0oooo00<0
00000?ooo`3oool0<`3oool00`000000oooo0?ooo`050?ooo`008`3oool00`000000oooo0?ooo`2l
0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool01@3oool002<0oooo00<000000?oo
o`3oool0_@3oool00`000000oooo0?ooo`0b0?ooo`8000001P3oool00280oooo00<000000?ooo`3o
ool0_P3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00D0oooo000R0?ooo`030000
003oool0oooo0;l0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`050?ooo`008@3o
ool00`000000oooo0?ooo`300?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool01@3o
ool00240oooo00<000000?ooo`3oool0`@3oool00`000000oooo0?ooo`0X0?ooo`<000001@3oool0
0`000000oooo0?ooo`050?ooo`008@3oool00`000000oooo0?ooo`310?ooo`030000003oool0oooo
02L0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00D0oooo000P0?oo
o`030000003oool0oooo0<80oooo00<000000?ooo`3oool09`3oool01@000000oooo0?ooo`3oool0
000000@0oooo00<000000?ooo`3oool01@3oool00200oooo00<000000?ooo`3oool0``3oool00`00
0000oooo0?ooo`0V0?ooo`@000001@3oool3000000D0oooo000O0?ooo`030000003oool0oooo0<@0
oooo00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0
oooo000O0?ooo`030000003oool0oooo0<@0oooo00<000000?ooo`3oool09`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00D0oooo000O0?ooo`030000003oool0oooo0<D0oooo00<0
00000?ooo`3oool09`3oool2000000D0oooo00<000000?ooo`3oool01@3oool001h0oooo00<00000
0?ooo`3oool0aP3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo00D0oooo000N0?oo
o`030000003oool0oooo0<H0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`050?oo
o`007@3oool00`000000oooo0?ooo`380?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool01@3oool001d0oooo00<000000?ooo`3oool0b03oool00`000000oooo0?ooo`0]0?ooo`800000
1P3oool001d0oooo00<000000?ooo`3oool0b03oool00`000000oooo0?ooo`0]0?ooo`030000003o
ool0oooo00D0oooo000L0?ooo`030000003oool0oooo0<X0oooo00<000000?ooo`3oool0;03oool0
0`000000oooo0?ooo`050?ooo`00703oool00`000000oooo0?ooo`3:0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool01@3oool001/0oooo00<000000?ooo`3oool0b`3oool00`000000
oooo0?ooo`0/0?ooo`030000003oool0oooo00D0oooo000K0?ooo`030000003oool0oooo0<`0oooo
00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`050?ooo`006`3oool00`000000oooo0?oo
o`3<0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool01@3oool001X0oooo00<00000
0?ooo`3oool0c@3oool00`000000oooo0?ooo`0[0?ooo`8000001P3oool001X0oooo00<000000?oo
o`3oool0cP3oool00`000000oooo0?ooo`0Z0?ooo`030000003oool0oooo00D0oooo000I0?ooo`03
0000003oool0oooo0<l0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`050?ooo`00
6@3oool00`000000oooo0?ooo`3@0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0
1@3oool001T0oooo00<000000?ooo`3oool0d03oool00`000000oooo0?ooo`0Y0?ooo`030000003o
ool0oooo00D0oooo000H0?ooo`030000003oool0oooo0=40oooo00<000000?ooo`3oool0:@3oool0
0`000000oooo0?ooo`050?ooo`00603oool00`000000oooo0?ooo`3B0?ooo`030000003oool0oooo
02P0oooo00<000000?ooo`3oool01@3oool001P0oooo00<000000?ooo`3oool0dP3oool00`000000
oooo0?ooo`0X0?ooo`8000001P3oool001L0oooo00<000000?ooo`3oool0d`3oool00`000000oooo
0?ooo`0X0?ooo`030000003oool0oooo00D0oooo000G0?ooo`030000003oool0oooo0=@0oooo00<0
00000?ooo`3oool09`3oool00`000000oooo0?ooo`050?ooo`005`3oool00`000000oooo0?ooo`3D
0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool01@3oool001H0oooo00<000000?oo
o`3oool0eP3oool00`000000oooo0?ooo`0N0?ooo`<000001@3oool00`000000oooo0?ooo`050?oo
o`005P3oool00`000000oooo0?ooo`3F0?ooo`030000003oool0oooo01d0oooo00D000000?ooo`3o
ool0oooo000000040?ooo`030000003oool0oooo00D0oooo000F0?ooo`030000003oool0oooo0=H0
oooo00<000000?ooo`3oool07@3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?oo
o`3oool01@3oool001D0oooo00<000000?ooo`3oool0f03oool00`000000oooo0?ooo`0M0?ooo`<0
00001@3oool3000000D0oooo000E0?ooo`030000003oool0oooo0=P0oooo00<000000?ooo`3oool0
703oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool01@3oool001D0oooo
00<000000?ooo`3oool0f@3oool00`000000oooo0?ooo`0K0?ooo`050000003oool0oooo0?ooo`00
0000103oool00`000000oooo0?ooo`050?ooo`00503oool00`000000oooo0?ooo`3J0?ooo`030000
003oool0oooo01`0oooo0`0000050?ooo`030000003oool0oooo00D0oooo000D0?ooo`030000003o
ool0oooo0=X0oooo00<000000?ooo`3oool0903oool00`000000oooo0?ooo`050?ooo`00503oool0
0`000000oooo0?ooo`3K0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool01@3oool0
01<0oooo00<000000?ooo`3oool0g03oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo
00D0oooo000C0?ooo`030000003oool0oooo0=`0oooo00<000000?ooo`3oool08`3oool2000000H0
oooo000C0?ooo`030000003oool0oooo0=d0oooo00<000000?ooo`3oool08P3oool00`000000oooo
0?ooo`050?ooo`004P3oool00`000000oooo0?ooo`3N0?ooo`030000003oool0oooo0280oooo00<0
00000?ooo`3oool01@3oool00180oooo00<000000?ooo`3oool0gP3oool00`000000oooo0?ooo`0R
0?ooo`030000003oool0oooo00D0oooo000B0?ooo`030000003oool0oooo0=l0oooo00<000000?oo
o`3oool08@3oool00`000000oooo0?ooo`050?ooo`004P3oool00`000000oooo0?ooo`3O0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool01@3oool00140oooo00<000000?ooo`3oool0
h03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00D0oooo000A0?ooo`030000003o
ool0oooo0>40oooo00<000000?ooo`3oool0803oool2000000H0oooo000A0?ooo`030000003oool0
oooo0>40oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`050?ooo`00403oool00`00
0000oooo0?ooo`3R0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool01@3oool00100
oooo00<000000?ooo`3oool0h`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo00D0
oooo000@0?ooo`030000003oool0oooo0><0oooo00<000000?ooo`3oool07`3oool00`000000oooo
0?ooo`050?ooo`003`3oool00`000000oooo0?ooo`3T0?ooo`030000003oool0oooo01l0oooo00<0
00000?ooo`3oool01@3oool000l0oooo00<000000?ooo`3oool0i03oool00`000000oooo0?ooo`0O
0?ooo`030000003oool0oooo00D0oooo000?0?ooo`030000003oool0oooo0>D0oooo00<000000?oo
o`3oool07P3oool2000000H0oooo000>0?ooo`030000003oool0oooo0>H0oooo00<000000?ooo`3o
ool07P3oool00`000000oooo0?ooo`050?ooo`003P3oool00`000000oooo0?ooo`3V0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool01@3oool000h0oooo00<000000?ooo`3oool0i`3o
ool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00D0oooo000>0?ooo`030000003oool0
oooo0>L0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`050?ooo`003@3oool00`00
0000oooo0?ooo`3X0?ooo`030000003oool0oooo00l0oooo0`0000040?ooo`8000001@3oool00`00
0000oooo0?ooo`050?ooo`003@3oool00`000000oooo0?ooo`3X0?ooo`030000003oool0oooo0100
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
00D0oooo000=0?ooo`030000003oool0oooo0>T0oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo0`0000050?ooo`00303oool00`000000
oooo0?ooo`3Z0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo00D0oooo000<0?ooo`030000003oool0oooo0>X0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool01@3oool000`0oooo00<000000?ooo`3oool0j`3oool00`000000
oooo0?ooo`0=0?ooo`800000103oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
00D0oooo000;0?ooo`030000003oool0oooo0>`0oooo00<000000?ooo`3oool03P3oool00`000000
oooo0?ooo`030?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`002`3oool00`000000oooo
0?ooo`3/0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool01@3oool000/0oooo00<0
00000?ooo`3oool0k@3oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00D0oooo000:
0?ooo`030000003oool0oooo0>h0oooo00<000000?ooo`3oool06P3oool2000000H0oooo000:0?oo
o`030000003oool0oooo0>h0oooo00<000000?ooo`3oool06P3oool00`000000oooo0?ooo`050?oo
o`00o`3ooolI0?ooo`030000003oool0oooo00D0oooo003o0?oooaT0oooo00<000000?ooo`3oool0
1@3oool00?l0oooo6@3oool00`000000oooo0?ooo`050?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`006@3oool3000008X0oooo00<000000?ooo`3oool0:`3oool3000001D0oooo
00<000000?ooo`3oool0<@3oool001X0oooo00<000000?ooo`3oool0R03oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3oool0<03oool001@0oooo0`000003
0?ooo`<00000103oool200000080oooo1@0000020?ooo`<000000`3oool4000000030?ooo`000000
000000<000001`3oool3000000@0oooo100000030?ooo`8000000P3oool6000000H0oooo10000002
0?ooo`D0000000<0oooo0000000000000`0000000`3oool000000000000300000080oooo0`000002
0?ooo`<00000103oool300000080oooo0`000000103oool000000000003oool3000000<0oooo0`00
00090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool4000000<0oooo00<0
00000?ooo`3oool00P3oool300000080oooo1@0000020?ooo`<000000P3oool3000000040?ooo`00
000000000?ooo`@000000`3oool200000080oooo2P0000050?ooo`030000003oool0oooo02l0oooo
000C0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo000000<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0
00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000060?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool0103oool01P000000oooo0?ooo`000000oooo000000<0oooo
00<000000?ooo`000000303oool00`000000oooo0?ooo`030?ooo`030000003oool000000080oooo
00@000000?ooo`3oool00000103oool01@000000oooo0?ooo`3oool0000000L0oooo00D000000?oo
o`3oool0oooo000000060?ooo`060000003oool0oooo0000003oool000000`3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo02l0oooo000C0?ooo`050000003oool0oooo0?oo
o`0000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00D00000
0?ooo`3oool0oooo000000060?ooo`<00000103oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00<0oooo0`0000030?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`3oool500000080oooo00<000000?ooo`3oool00P3oool50000
0080oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`D00000203oool00`000000oooo0?oo
o`020?ooo`050000003oool000000?ooo`0000000P3oool3000000<0oooo00<000000?ooo`000000
0P3oool5000000<0oooo00@000000?ooo`3oool0oooo1@0000020?ooo`060000003oool0oooo0000
003oool000000`3oool010000000oooo0?ooo`0000050?ooo`040000003oool0oooo00000080oooo
0`0000050?ooo`030000003oool0oooo02l0oooo000C0?ooo`050000003oool0oooo0?ooo`000000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool000000080oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`080?ooo`<000000P3oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo00<0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000<0
oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`0000000P3oool01P00
0000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`0000000`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0080oooo00L000000?ooo`000000oooo0000003oool000000080
oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00D000000?ooo`3oool0oooo0000
00030?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0000000<0oooo00@000000?ooo`3oool000001@3oool01P000000oooo0?ooo`000000
oooo000000P0oooo00<000000?ooo`3oool0;`3oool001<0oooo00H000000?ooo`3oool0oooo0000
003oool400000080oooo100000020?ooo`<00000103oool3000000<0oooo0P0000050?ooo`030000
003oool0oooo00P0oooo00@000000?ooo`3oool000000P3oool2000000<0oooo100000030?ooo`<0
00002@3oool01@000000oooo0?ooo`000000oooo00<00000103oool400000080oooo100000020?oo
o`<000000P3oool2000000030?ooo`00000000000080oooo0`0000020?ooo`@000000`3oool30000
00<0oooo0`0000090?ooo`030000003oool0oooo0080oooo1P0000000`3oool00000000000030?oo
o`80000000<0oooo0000000000000P3oool3000000@0oooo00<000000?ooo`3oool00P3oool30000
0080oooo100000030?ooo`T000000`3oool3000000<0oooo100000040?ooo`030000003oool0oooo
02l0oooo000C0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`0`0?ooo`00503oool3000000T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=
0?ooo`<000002@3oool4000000T0oooo00<000000?ooo`3oool00P3oool2000000X0oooo10000004
0?ooo`030000003oool0oooo00@0oooo0P0000040?ooo`800000;P3oool00`000000oooo0?ooo`0H
0?ooo`<000005P3oool00`000000oooo0?ooo`020?ooo`8000002`3oool00`000000oooo0?ooo`0a
0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-9.17502, -0.859252, \
0.0700897, 0.0706533}},
  CellTags->"Seidel aberrations"],

Cell[BoxData[
    RowBox[{"{", 
      RowBox[{\(AngularMagnification \[Rule] \(-0.9316024822911542`\)\), 
        ",", \(BackFocalLength \[Rule] 43.75324264754414`\), 
        ",", \(BackFocalPoint \[Rule] {153.25324264754414`, 0, 0}\), 
        ",", \(EntrancePupilBoundary \[Rule] {\(-30.150973449000684`\), \
\(-30.150973449000684`\)}\), 
        ",", \(EntrancePupilDistance \[Rule] \(-6.425624670937384`\)\), 
        ",", \(EntrancePupilOffset \[Rule] {0, 0}\), 
        ",", \(EntrancePupilPosition \[Rule] {96.92562467093738`, 0, 0}\), 
        ",", \(EntrancePupilRotationMatrix \[Rule] {{\(-1.`\), 0, 
              0}, {0, \(-1.`\), 0}, {0, 0, 1}}\), 
        ",", \(ExitPupilBoundary \[Rule] {\(-30.150973449000706`\), \
\(-30.150973449000706`\)}\), 
        ",", \(ExitPupilDistance \[Rule] \(-6.425624670937404`\)\), 
        ",", \(ExitPupilOffset \[Rule] {0, 0}\), 
        ",", \(ExitPupilPosition \[Rule] {103.07437532906259`, 0, 0}\), 
        ",", \(ExitPupilRotationMatrix \[Rule] {{1, 0, 0}, {0, 1, 0}, {0, 0, 
              1}}\), ",", \(FieldStopPosition \[Rule] 3\), 
        ",", \(FieldStopSurface \[Rule] {IntersectionNumber \[Rule] 3, 
            SurfaceNumber \[Rule] 1, ComponentNumber \[Rule] 2}\), 
        ",", \(FocalLength \[Rule] 50.17886731848154`\), 
        ",", \(FrontFocalLength \[Rule] 43.753242647544134`\), 
        ",", \(FrontFocalPoint \[Rule] {46.746757352455866`, 0, 0}\), 
        ",", \(ImagePlaneTilt \[Rule] {1.`, 0, 0}\), 
        ",", \(ImagePoint \[Rule] {208.`, 0.`, 0.`}\), ",", 
        RowBox[{"ImagingOptics", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{
              
              TagBox[\(Move[
                  PlanoConvexLens[{f1, 100}, 50, 
                    9, {CurvatureDirection \[Rule] Back}], 90.5`]\),
                HoldForm], ",", 
              TagBox[\(Move[ApertureStop[50, 30], 100.`]\),
                HoldForm], ",", 
              TagBox[\(Move[PlanoConvexLens[{f2, 100}, 50, 9], 100.5`]\),
                HoldForm], ",", 
              
              TagBox[\(Boundary[{0, \(-104\), \(-104\)}, {208, 104, 
                    104}, {GraphicDesign \[Rule] Off}]\),
                HoldForm]}], "}"}]}], 
        ",", \(LensABCDMatrix \[Rule] {{0.8719456015187742`, 
              12.028419839771795`}, {\(-0.019928708108396996`\), 
              0.8719456015187739`}}\), ",", 
        RowBox[{"ObjectSource", "\[Rule]", 
          TagBox[\(PointOfRays[{10, 10}, NumberOfRays \[Rule] 5]\),
            HoldForm]}], ",", \(OpticalMedium \[Rule] Vacuum\), ",", 
        RowBox[{"OpticalPathDifference", "\[Rule]", 
          
          TagBox[\(CompiledFunction[
              If[#1 == 0 && #2 == 0, 
                0, \(\(12.297456985290394`\)\(\[InvisibleSpace]\)\) - 
                  1.932497937424766`*^-10\ Cos[
                      4\ ArcTan[#1, #2]]\ \((#1\^2 + #2\^2)\)\^2 + 
                  15.758670268220222`\ \((\(-1\) + 
                        0.01399629150688974`\ \((#1\^2 + #2\^2)\))\) + 
                  1.922643109503498`*^-10\ Cos[
                      2\ ArcTan[#1, #2]]\ \((\(-0.02099443726033461`\)\ \((#1\
\^2 + #2\^2)\) + 0.00019589617594583387`\ \((#1\^2 + #2\^2)\)\^2)\) + 
                  3.4819219451585908`\ \((1 - 
                        0.04198887452066922`\ \((#1\^2 + #2\^2)\) + 
                        0.0002938442639187508`\ \((#1\^2 + #2\^2)\)\^2)\) - 
                  4.233631720107577`*^-6\ Cos[
                      4\ ArcTan[#1, #2]]\ \((\(-0.0002448702199322923`\)\ \
\((#1\^2 + #2\^2)\)\^2 + 2.0563649877171392`*^-6\ \((#1\^2 + #2\^2)\)\^3)\) + 
                  1.2285871438755562`*^-10\ Cos[
                      2\ ArcTan[#1, #2]]\ \((0.04198887452066922`\ \((#1\^2 + \
#2\^2)\) - 0.0009794808797291693`\ \((#1\^2 + #2\^2)\)\^2 + 
                        5.1409124692928485`*^-6\ \((#1\^2 + #2\^2)\)\^3)\) + 
                  0.020913937913597507`\ \((\(-1\) + 
                        0.08397774904133844`\ \((#1\^2 + #2\^2)\) - 
                        0.001469221319593754`\ \((#1\^2 + #2\^2)\)\^2 + 
                        6.854549959057131`*^-6\ \((#1\^2 + #2\^2)\)\^3)\) - 
                  3.1586477228540123`*^-6\ Cos[
                      4\ ArcTan[#1, #2]]\ \((0.000734610659796877`\ \((#1\^2 \
+ #2\^2)\)\^2 - 0.000014394554914019976`\ \((#1\^2 + #2\^2)\)\^3 + 
                        6.715679556285193`*^-8\ \((#1\^2 + #2\^2)\)\^4)\) + 
                  0.0002052756850686396`\ \((1 - 
                        0.1399629150688974`\ \((#1\^2 + #2\^2)\) + 
                        0.004407663958781262`\ \((#1\^2 + #2\^2)\)\^2 - 
                        0.000047981849713399916`\ \((#1\^2 + #2\^2)\)\^3 + 
                        1.6789198890712982`*^-7\ \((#1\^2 + #2\^2)\)\^4)\)], 
              "-CompiledCode-"]\),
            False,
            Editable->False]}], ",", "\<\"-Options-\"\>", ",", 
        RowBox[{"OutputGraphics", "\[Rule]", 
          RowBox[{"{", 
            RowBox[{"OpticalPathDifference", "\[Rule]", 
              RowBox[{"(", 
                
                TagBox[\(\[SkeletonIndicator]  
                    Graphics  \[SkeletonIndicator]\),
                  False,
                  Editable->False], ")"}]}], "}"}]}], 
        ",", \(PrinciplePoints \[Rule] {{96.9256246709374`, 0, 
              0}, {103.0743753290626`, 0, 0}}\), 
        ",", \(PrinciplePointSeparation \[Rule] 6.148750658125209`\), 
        ",", \(RayBoundary \[Rule] {{\(-8.442739591268813`\), 
              8.442739591268813`}, {\(-8.442739591268815`\), 
              8.442739591268815`}}\), 
        ",", \(ResidualFitError \[Rule] 7.272682474775642`*^-7\), 
        ",", \(SeidelAberrations \[Rule] {SphericalAberration \[Rule] \
\(-83.02155876150931`\), Asigmatism \[Rule] 1.2171779758525566`*^-11, 
            FieldCurvature \[Rule] \(-21.496711731008574`\), 
            Distortion \[Rule] 9.982636021744263`*^-13, 
            Coma \[Rule] 7.476008047250723`*^-13}\), 
        ",", \(SourceID \[Rule] 89791\), 
        ",", \(SystemABCDMatrix \[Rule] {{\(-1.0910321471583293`\), \
\(-0.8233477284578328`\)}, {\(-0.019928708108396996`\), \
\(-0.9316024822911542`\)}}\), 
        ",", \(TransverseMagnification \[Rule] \(-1.0910321471583293`\)\), 
        ",", \(WaveFrontID \[Rule] 1\), ",", 
        RowBox[{"WaveFrontIntensity", "\[Rule]", 
          
          TagBox[\(InterpolatingFunction[{{\(-8.442739591268813`\), 
                  8.442739591268813`}, {\(-8.442739591268815`\), 
                  8.442739591268815`}}, "<>"]\),
            False,
            Editable->False]}], ",", \(WaveLength \[Rule] 0.532`\)}], 
      "}"}]], "Output",
  CellTags->"Seidel aberrations"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Interference", "Subtitle",
  CellTags->{
  "Optical Flat", "Fabry Perot Interferometer", "Michelson Interferometer", 
    "More Elaborate Interference Example", "FindGratingFunction"}],

Cell[CellGroupData[{

Cell["Optical Flat", "Section",
  CellTags->"Optical Flat"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .54739 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.200373 0.00353126 0.168413 0.00353126 [
[.2039 .10467 -6 -4.5 ]
[.2039 .10467 6 4.5 ]
[.67091 .08701 -6 -4.5 ]
[.67091 .08701 6 4.5 ]
[.86502 .01303 -6 -4.5 ]
[.86502 .01303 6 4.5 ]
[.90033 .01303 -3 -4.5 ]
[.90033 .01303 3 4.5 ]
[.86502 .01303 -6 -4.5 ]
[.86502 .01303 6 4.5 ]
[.50589 .53435 -3 -4.5 ]
[.50589 .53435 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .54739 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.20037 .1331 m
.22028 .1331 L
.21273 .14487 L
.20037 .14487 L
.20037 .1331 L
F
.20037 .14487 m
.21273 .14487 L
.20871 .15664 L
.20037 .15664 L
.20037 .14487 L
F
.20037 .15664 m
.20871 .15664 L
.20744 .16841 L
.20037 .16841 L
.20037 .15664 L
F
.20037 .16841 m
.20744 .16841 L
.20871 .18018 L
.20037 .18018 L
.20037 .16841 L
F
.20037 .18018 m
.20871 .18018 L
.21273 .19195 L
.20037 .19195 L
.20037 .18018 L
F
.20037 .19195 m
.21273 .19195 L
.22028 .20373 L
.20037 .20373 L
.20037 .19195 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.20037 .1331 m
.20037 .14487 L
.20037 .15664 L
.20037 .16841 L
.20037 .18018 L
.20037 .19195 L
.20037 .20373 L
.22028 .20373 L
.21273 .19195 L
.20871 .18018 L
.20744 .16841 L
.20871 .15664 L
.21273 .14487 L
.22028 .1331 L
.20037 .1331 L
s
.5 g
.20037 .16841 m
.22028 .16841 L
.21273 .16841 L
.20037 .16841 L
.20037 .16841 L
F
.20037 .16841 m
.21273 .16841 L
.20871 .16841 L
.20037 .16841 L
.20037 .16841 L
F
.20037 .16841 m
.20871 .16841 L
.20744 .16841 L
.20037 .16841 L
.20037 .16841 L
F
.20037 .16841 m
.20744 .16841 L
.20871 .16841 L
.20037 .16841 L
.20037 .16841 L
F
.20037 .16841 m
.20871 .16841 L
.21273 .16841 L
.20037 .16841 L
.20037 .16841 L
F
.20037 .16841 m
.21273 .16841 L
.22028 .16841 L
.20037 .16841 L
.20037 .16841 L
F
0 g
.20037 .16841 m
.20037 .16841 L
.20037 .16841 L
.20037 .16841 L
.20037 .16841 L
.20037 .16841 L
.20037 .16841 L
.22028 .16841 L
.21273 .16841 L
.20871 .16841 L
.20744 .16841 L
.20871 .16841 L
.21273 .16841 L
.22028 .16841 L
.20037 .16841 L
s
.20037 .20373 m
.22028 .20373 L
.22028 .20252 L
.20037 .20252 L
.20037 .20373 L
s
.20037 .20252 m
.22028 .20252 L
.22028 .19899 L
.20037 .19899 L
.20037 .20252 L
s
.20037 .19899 m
.22028 .19899 L
.22028 .19338 L
.20037 .19338 L
.20037 .19899 L
s
.20037 .19338 m
.22028 .19338 L
.22028 .18607 L
.20037 .18607 L
.20037 .19338 L
s
.20037 .18607 m
.22028 .18607 L
.22028 .17755 L
.20037 .17755 L
.20037 .18607 L
s
.20037 .17755 m
.22028 .17755 L
.22028 .16841 L
.20037 .16841 L
.20037 .17755 L
s
.20037 .16841 m
.22028 .16841 L
.22028 .15927 L
.20037 .15927 L
.20037 .16841 L
s
.20037 .15927 m
.22028 .15927 L
.22028 .15076 L
.20037 .15076 L
.20037 .15927 L
s
.20037 .15076 m
.22028 .15076 L
.22028 .14344 L
.20037 .14344 L
.20037 .15076 L
s
.20037 .14344 m
.22028 .14344 L
.22028 .13783 L
.20037 .13783 L
.20037 .14344 L
s
.20037 .13783 m
.22028 .13783 L
.22028 .1343 L
.20037 .1343 L
.20037 .13783 L
s
.20037 .1343 m
.22028 .1343 L
.22028 .1331 L
.20037 .1331 L
.20037 .1343 L
s
.20037 .1331 m
.22028 .1331 L
.22028 .1343 L
.20037 .1343 L
.20037 .1331 L
s
.20037 .1343 m
.22028 .1343 L
.22028 .13783 L
.20037 .13783 L
.20037 .1343 L
s
.20037 .13783 m
.22028 .13783 L
.22028 .14344 L
.20037 .14344 L
.20037 .13783 L
s
.20037 .14344 m
.22028 .14344 L
.22028 .15076 L
.20037 .15076 L
.20037 .14344 L
s
.20037 .15076 m
.22028 .15076 L
.22028 .15927 L
.20037 .15927 L
.20037 .15076 L
s
.20037 .15927 m
.22028 .15927 L
.22028 .16841 L
.20037 .16841 L
.20037 .15927 L
s
.20037 .16841 m
.22028 .16841 L
.22028 .17755 L
.20037 .17755 L
.20037 .16841 L
s
.20037 .17755 m
.22028 .17755 L
.22028 .18607 L
.20037 .18607 L
.20037 .17755 L
s
.20037 .18607 m
.22028 .18607 L
.22028 .19338 L
.20037 .19338 L
.20037 .18607 L
s
.20037 .19338 m
.22028 .19338 L
.22028 .19899 L
.20037 .19899 L
.20037 .19338 L
s
.20037 .19899 m
.22028 .19899 L
.22028 .20252 L
.20037 .20252 L
.20037 .19899 L
s
.20037 .20252 m
.22028 .20252 L
.22028 .20373 L
.20037 .20373 L
.20037 .20252 L
s
.5 g
.66426 .11544 m
.68239 .11544 L
.68239 .1331 L
.66157 .1331 L
.66426 .11544 L
F
.66157 .1331 m
.68239 .1331 L
.68239 .15076 L
.65997 .15076 L
.66157 .1331 L
F
.65997 .15076 m
.68239 .15076 L
.68239 .16841 L
.65944 .16841 L
.65997 .15076 L
F
.65944 .16841 m
.68239 .16841 L
.68239 .18607 L
.65997 .18607 L
.65944 .16841 L
F
.65997 .18607 m
.68239 .18607 L
.68239 .20373 L
.66157 .20373 L
.65997 .18607 L
F
.66157 .20373 m
.68239 .20373 L
.68239 .22138 L
.66426 .22138 L
.66157 .20373 L
F
0 g
.66426 .11544 m
.66157 .1331 L
.65997 .15076 L
.65944 .16841 L
.65997 .18607 L
.66157 .20373 L
.66426 .22138 L
.68239 .22138 L
.68239 .20373 L
.68239 .18607 L
.68239 .16841 L
.68239 .15076 L
.68239 .1331 L
.68239 .11544 L
.66426 .11544 L
s
.5 g
.66426 .16841 m
.68239 .16841 L
.68239 .16841 L
.66157 .16841 L
.66426 .16841 L
F
.66157 .16841 m
.68239 .16841 L
.68239 .16841 L
.65997 .16841 L
.66157 .16841 L
F
.65997 .16841 m
.68239 .16841 L
.68239 .16841 L
.65944 .16841 L
.65997 .16841 L
F
.65944 .16841 m
.68239 .16841 L
.68239 .16841 L
.65997 .16841 L
.65944 .16841 L
F
.65997 .16841 m
.68239 .16841 L
.68239 .16841 L
.66157 .16841 L
.65997 .16841 L
F
.66157 .16841 m
.68239 .16841 L
.68239 .16841 L
.66426 .16841 L
.66157 .16841 L
F
0 g
.66426 .16841 m
.66157 .16841 L
.65997 .16841 L
.65944 .16841 L
.65997 .16841 L
.66157 .16841 L
.66426 .16841 L
.68239 .16841 L
.68239 .16841 L
.68239 .16841 L
.68239 .16841 L
.68239 .16841 L
.68239 .16841 L
.68239 .16841 L
.66426 .16841 L
s
.66426 .22138 m
.68239 .22138 L
.68239 .21958 L
.66426 .21958 L
.66426 .22138 L
s
.66426 .21958 m
.68239 .21958 L
.68239 .21429 L
.66426 .21429 L
.66426 .21958 L
s
.66426 .21429 m
.68239 .21429 L
.68239 .20587 L
.66426 .20587 L
.66426 .21429 L
s
.66426 .20587 m
.68239 .20587 L
.68239 .1949 L
.66426 .1949 L
.66426 .20587 L
s
.66426 .1949 m
.68239 .1949 L
.68239 .18212 L
.66426 .18212 L
.66426 .1949 L
s
.66426 .18212 m
.68239 .18212 L
.68239 .16841 L
.66426 .16841 L
.66426 .18212 L
s
.66426 .16841 m
.68239 .16841 L
.68239 .1547 L
.66426 .1547 L
.66426 .16841 L
s
.66426 .1547 m
.68239 .1547 L
.68239 .14193 L
.66426 .14193 L
.66426 .1547 L
s
.66426 .14193 m
.68239 .14193 L
.68239 .13096 L
.66426 .13096 L
.66426 .14193 L
s
.66426 .13096 m
.68239 .13096 L
.68239 .12254 L
.66426 .12254 L
.66426 .13096 L
s
.66426 .12254 m
.68239 .12254 L
.68239 .11725 L
.66426 .11725 L
.66426 .12254 L
s
.66426 .11725 m
.68239 .11725 L
.68239 .11544 L
.66426 .11544 L
.66426 .11725 L
s
.66426 .11544 m
.68239 .11544 L
.68239 .11725 L
.66426 .11725 L
.66426 .11544 L
s
.66426 .11725 m
.68239 .11725 L
.68239 .12254 L
.66426 .12254 L
.66426 .11725 L
s
.66426 .12254 m
.68239 .12254 L
.68239 .13096 L
.66426 .13096 L
.66426 .12254 L
s
.66426 .13096 m
.68239 .13096 L
.68239 .14193 L
.66426 .14193 L
.66426 .13096 L
s
.66426 .14193 m
.68239 .14193 L
.68239 .1547 L
.66426 .1547 L
.66426 .14193 L
s
.66426 .1547 m
.68239 .1547 L
.68239 .16841 L
.66426 .16841 L
.66426 .1547 L
s
.66426 .16841 m
.68239 .16841 L
.68239 .18212 L
.66426 .18212 L
.66426 .16841 L
s
.66426 .18212 m
.68239 .18212 L
.68239 .1949 L
.66426 .1949 L
.66426 .18212 L
s
.66426 .1949 m
.68239 .1949 L
.68239 .20587 L
.66426 .20587 L
.66426 .1949 L
s
.66426 .20587 m
.68239 .20587 L
.68239 .21429 L
.66426 .21429 L
.66426 .20587 L
s
.66426 .21429 m
.68239 .21429 L
.68239 .21958 L
.66426 .21958 L
.66426 .21429 L
s
.66426 .21958 m
.68239 .21958 L
.68239 .22138 L
.66426 .22138 L
.66426 .21958 L
s
.87237 .0405 m
.88379 .08314 L
.89521 .12577 L
.90662 .16841 L
.91804 .21105 L
.92946 .25369 L
.94088 .29633 L
.94088 .29633 L
.92946 .25369 L
.91804 .21105 L
.90662 .16841 L
.89521 .12577 L
.88379 .08314 L
.87237 .0405 L
.87237 .0405 L
s
.90662 .16841 m
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
s
.94088 .29633 m
.93971 .29197 L
.93629 .27919 L
.93085 .25886 L
.92375 .23237 L
.91549 .20152 L
.90662 .16841 L
.89776 .13531 L
.8895 .10446 L
.8824 .07796 L
.87696 .05764 L
.87354 .04486 L
.87237 .0405 L
.87354 .04486 L
.87696 .05764 L
.8824 .07796 L
.8895 .10446 L
.89776 .13531 L
.90662 .16841 L
.91549 .20152 L
.92375 .23237 L
.93085 .25886 L
.93629 .27919 L
.93971 .29197 L
.94088 .29633 L
s
.5 g
.90768 .0405 m
.90768 .0405 L
.9191 .08314 L
.9191 .08314 L
.90768 .0405 L
F
.9191 .08314 m
.9191 .08314 L
.93052 .12577 L
.93052 .12577 L
.9191 .08314 L
F
.93052 .12577 m
.93052 .12577 L
.94194 .16841 L
.94194 .16841 L
.93052 .12577 L
F
.94194 .16841 m
.94194 .16841 L
.95336 .21105 L
.95336 .21105 L
.94194 .16841 L
F
.95336 .21105 m
.95336 .21105 L
.96477 .25369 L
.96477 .25369 L
.95336 .21105 L
F
.96477 .25369 m
.96477 .25369 L
.97619 .29633 L
.97619 .29633 L
.96477 .25369 L
F
0 g
.90768 .0405 m
.9191 .08314 L
.93052 .12577 L
.94194 .16841 L
.95336 .21105 L
.96477 .25369 L
.97619 .29633 L
.97619 .29633 L
.96477 .25369 L
.95336 .21105 L
.94194 .16841 L
.93052 .12577 L
.9191 .08314 L
.90768 .0405 L
.90768 .0405 L
s
.5 g
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
0 g
.94194 .16841 m
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
s
.5 g
.94194 .16841 m
.95336 .21105 L
.95297 .2096 L
.94194 .16841 L
.94194 .16841 L
F
.95336 .21105 m
.96477 .25369 L
.96399 .25078 L
.95297 .2096 L
.95336 .21105 L
F
.96477 .25369 m
.97619 .29633 L
.97502 .29197 L
.96399 .25078 L
.96477 .25369 L
F
.94194 .16841 m
.95297 .2096 L
.95183 .20534 L
.94194 .16841 L
.94194 .16841 L
F
.95297 .2096 m
.96399 .25078 L
.96171 .24227 L
.95183 .20534 L
.95297 .2096 L
F
.96399 .25078 m
.97502 .29197 L
.9716 .27919 L
.96171 .24227 L
.96399 .25078 L
F
.94194 .16841 m
.95183 .20534 L
.95001 .19856 L
.94194 .16841 L
.94194 .16841 L
F
.95183 .20534 m
.96171 .24227 L
.95808 .22871 L
.95001 .19856 L
.95183 .20534 L
F
.96171 .24227 m
.9716 .27919 L
.96616 .25886 L
.95808 .22871 L
.96171 .24227 L
F
.94194 .16841 m
.95001 .19856 L
.94765 .18973 L
.94194 .16841 L
.94194 .16841 L
F
.95001 .19856 m
.95808 .22871 L
.95336 .21105 L
.94765 .18973 L
.95001 .19856 L
F
.95808 .22871 m
.96616 .25886 L
.95906 .23237 L
.95336 .21105 L
.95808 .22871 L
F
.94194 .16841 m
.94765 .18973 L
.94489 .17945 L
.94194 .16841 L
.94194 .16841 L
F
.94765 .18973 m
.95336 .21105 L
.94785 .19048 L
.94489 .17945 L
.94765 .18973 L
F
.95336 .21105 m
.95906 .23237 L
.9508 .20152 L
.94785 .19048 L
.95336 .21105 L
F
.94194 .16841 m
.94489 .17945 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.94489 .17945 m
.94785 .19048 L
.94194 .16841 L
.94194 .16841 L
.94489 .17945 L
F
.94785 .19048 m
.9508 .20152 L
.94194 .16841 L
.94194 .16841 L
.94785 .19048 L
F
.94194 .16841 m
.94194 .16841 L
.93898 .15738 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.93603 .14634 L
.93898 .15738 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.93307 .13531 L
.93603 .14634 L
.94194 .16841 L
F
.94194 .16841 m
.93898 .15738 L
.93623 .14709 L
.94194 .16841 L
.94194 .16841 L
F
.93898 .15738 m
.93603 .14634 L
.93052 .12577 L
.93623 .14709 L
.93898 .15738 L
F
.93603 .14634 m
.93307 .13531 L
.92481 .10446 L
.93052 .12577 L
.93603 .14634 L
F
.94194 .16841 m
.93623 .14709 L
.93386 .13826 L
.94194 .16841 L
.94194 .16841 L
F
.93623 .14709 m
.93052 .12577 L
.92579 .10811 L
.93386 .13826 L
.93623 .14709 L
F
.93052 .12577 m
.92481 .10446 L
.91772 .07796 L
.92579 .10811 L
.93052 .12577 L
F
.94194 .16841 m
.93386 .13826 L
.93205 .13149 L
.94194 .16841 L
.94194 .16841 L
F
.93386 .13826 m
.92579 .10811 L
.92216 .09456 L
.93205 .13149 L
.93386 .13826 L
F
.92579 .10811 m
.91772 .07796 L
.91227 .05764 L
.92216 .09456 L
.92579 .10811 L
F
.94194 .16841 m
.93205 .13149 L
.93091 .12723 L
.94194 .16841 L
.94194 .16841 L
F
.93205 .13149 m
.92216 .09456 L
.91988 .08604 L
.93091 .12723 L
.93205 .13149 L
F
.92216 .09456 m
.91227 .05764 L
.90885 .04486 L
.91988 .08604 L
.92216 .09456 L
F
.94194 .16841 m
.93091 .12723 L
.93052 .12577 L
.94194 .16841 L
.94194 .16841 L
F
.93091 .12723 m
.91988 .08604 L
.9191 .08314 L
.93052 .12577 L
.93091 .12723 L
F
.91988 .08604 m
.90885 .04486 L
.90768 .0405 L
.9191 .08314 L
.91988 .08604 L
F
.94194 .16841 m
.93052 .12577 L
.93091 .12723 L
.94194 .16841 L
.94194 .16841 L
F
.93052 .12577 m
.9191 .08314 L
.91988 .08604 L
.93091 .12723 L
.93052 .12577 L
F
.9191 .08314 m
.90768 .0405 L
.90885 .04486 L
.91988 .08604 L
.9191 .08314 L
F
.94194 .16841 m
.93091 .12723 L
.93205 .13149 L
.94194 .16841 L
.94194 .16841 L
F
.93091 .12723 m
.91988 .08604 L
.92216 .09456 L
.93205 .13149 L
.93091 .12723 L
F
.91988 .08604 m
.90885 .04486 L
.91227 .05764 L
.92216 .09456 L
.91988 .08604 L
F
.94194 .16841 m
.93205 .13149 L
.93386 .13826 L
.94194 .16841 L
.94194 .16841 L
F
.93205 .13149 m
.92216 .09456 L
.92579 .10811 L
.93386 .13826 L
.93205 .13149 L
F
.92216 .09456 m
.91227 .05764 L
.91772 .07796 L
.92579 .10811 L
.92216 .09456 L
F
.94194 .16841 m
.93386 .13826 L
.93623 .14709 L
.94194 .16841 L
.94194 .16841 L
F
.93386 .13826 m
.92579 .10811 L
.93052 .12577 L
.93623 .14709 L
.93386 .13826 L
F
.92579 .10811 m
.91772 .07796 L
.92481 .10446 L
.93052 .12577 L
.92579 .10811 L
F
.94194 .16841 m
.93623 .14709 L
.93898 .15738 L
.94194 .16841 L
.94194 .16841 L
F
.93623 .14709 m
.93052 .12577 L
.93603 .14634 L
.93898 .15738 L
.93623 .14709 L
F
.93052 .12577 m
.92481 .10446 L
.93307 .13531 L
.93603 .14634 L
.93052 .12577 L
F
.94194 .16841 m
.93898 .15738 L
.94194 .16841 L
.94194 .16841 L
.94194 .16841 L
F
.93898 .15738 m
.93603 .14634 L
.94194 .16841 L
.94194 .16841 L
.93898 .15738 L
F
.93603 .14634 m
.93307 .13531 L
.94194 .16841 L
.94194 .16841 L
.93603 .14634 L
F
.94194 .16841 m
.94194 .16841 L
.94489 .17945 L
.94194 .16841 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.94785 .19048 L
.94489 .17945 L
.94194 .16841 L
F
.94194 .16841 m
.94194 .16841 L
.9508 .20152 L
.94785 .19048 L
.94194 .16841 L
F
.94194 .16841 m
.94489 .17945 L
.94765 .18973 L
.94194 .16841 L
.94194 .16841 L
F
.94489 .17945 m
.94785 .19048 L
.95336 .21105 L
.94765 .18973 L
.94489 .17945 L
F
.94785 .19048 m
.9508 .20152 L
.95906 .23237 L
.95336 .21105 L
.94785 .19048 L
F
.94194 .16841 m
.94765 .18973 L
.95001 .19856 L
.94194 .16841 L
.94194 .16841 L
F
.94765 .18973 m
.95336 .21105 L
.95808 .22871 L
.95001 .19856 L
.94765 .18973 L
F
.95336 .21105 m
.95906 .23237 L
.96616 .25886 L
.95808 .22871 L
.95336 .21105 L
F
.94194 .16841 m
.95001 .19856 L
.95183 .20534 L
.94194 .16841 L
.94194 .16841 L
F
.95001 .19856 m
.95808 .22871 L
.96171 .24227 L
.95183 .20534 L
.95001 .19856 L
F
.95808 .22871 m
.96616 .25886 L
.9716 .27919 L
.96171 .24227 L
.95808 .22871 L
F
.94194 .16841 m
.95183 .20534 L
.95297 .2096 L
.94194 .16841 L
.94194 .16841 L
F
.95183 .20534 m
.96171 .24227 L
.96399 .25078 L
.95297 .2096 L
.95183 .20534 L
F
.96171 .24227 m
.9716 .27919 L
.97502 .29197 L
.96399 .25078 L
.96171 .24227 L
F
.94194 .16841 m
.95297 .2096 L
.95336 .21105 L
.94194 .16841 L
.94194 .16841 L
F
.95297 .2096 m
.96399 .25078 L
.96477 .25369 L
.95336 .21105 L
.95297 .2096 L
F
.96399 .25078 m
.97502 .29197 L
.97619 .29633 L
.96477 .25369 L
.96399 .25078 L
F
0 g
.97619 .29633 m
.97502 .29197 L
.9716 .27919 L
.96616 .25886 L
.95906 .23237 L
.9508 .20152 L
.94194 .16841 L
.93307 .13531 L
.92481 .10446 L
.91772 .07796 L
.91227 .05764 L
.90885 .04486 L
.90768 .0405 L
.90885 .04486 L
.91227 .05764 L
.91772 .07796 L
.92481 .10446 L
.93307 .13531 L
.94194 .16841 L
.9508 .20152 L
.95906 .23237 L
.96616 .25886 L
.9716 .27919 L
.97502 .29197 L
.97619 .29633 L
s
.87237 .0405 m
.88379 .08314 L
.89521 .12577 L
.90662 .16841 L
.91804 .21105 L
.92946 .25369 L
.94088 .29633 L
.94088 .29633 L
.92946 .25369 L
.91804 .21105 L
.90662 .16841 L
.89521 .12577 L
.88379 .08314 L
.87237 .0405 L
.87237 .0405 L
s
.90662 .16841 m
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
.90662 .16841 L
s
.94088 .29633 m
.93971 .29197 L
.93629 .27919 L
.93085 .25886 L
.92375 .23237 L
.91549 .20152 L
.90662 .16841 L
.89776 .13531 L
.8895 .10446 L
.8824 .07796 L
.87696 .05764 L
.87354 .04486 L
.87237 .0405 L
.87354 .04486 L
.87696 .05764 L
.8824 .07796 L
.8895 .10446 L
.89776 .13531 L
.90662 .16841 L
.91549 .20152 L
.92375 .23237 L
.93085 .25886 L
.93629 .27919 L
.93971 .29197 L
.94088 .29633 L
s
.49168 .50973 m
.47697 .48424 L
.46227 .45875 L
.44756 .43326 L
.43286 .40777 L
.41815 .38228 L
.40344 .35679 L
.40344 .35679 L
.41815 .38228 L
.43286 .40777 L
.44756 .43326 L
.46227 .45875 L
.47697 .48424 L
.49168 .50973 L
.49168 .50973 L
s
.44756 .43326 m
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
.44756 .43326 L
s
.40344 .35679 m
.40495 .3594 L
.40936 .36703 L
.41637 .37919 L
.4255 .39502 L
.43614 .41347 L
.44756 .43326 L
.45898 .45305 L
.46962 .47149 L
.47876 .48733 L
.48577 .49948 L
.49017 .50712 L
.49168 .50973 L
.49017 .50712 L
.48577 .49948 L
.47876 .48733 L
.46962 .47149 L
.45898 .45305 L
.44756 .43326 L
.43614 .41347 L
.4255 .39502 L
.41637 .37919 L
.40936 .36703 L
.40495 .3594 L
.40344 .35679 L
s
.039 .916 .04 r
.02381 .16312 m
.20037 .16312 L
s
% Start of user PostScript
-50. -1.5 0 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16841 m
.20037 .16841 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .17371 m
.20037 .17371 L
s
% Start of user PostScript
-50. 1.5 0 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16312 m
.20037 .16312 L
s
% Start of user PostScript
-50. -1.5 0 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16841 m
.20037 .16841 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .17371 m
.20037 .17371 L
s
% Start of user PostScript
-50. 1.5 0 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16312 m
.20037 .16312 L
s
% Start of user PostScript
-50. -1.5 0 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16841 m
.20037 .16841 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .17371 m
.20037 .17371 L
s
% Start of user PostScript
-50. 1.5 0 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20037 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16312 m
.20795 .16312 L
s
% Start of user PostScript
0 -1.5 2.14526 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20795 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16841 m
.20769 .16841 L
s
% Start of user PostScript
0 0 2.07246 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20769 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .17371 m
.20795 .17371 L
s
% Start of user PostScript
0 1.5 2.14526 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20795 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16312 m
.20769 .16312 L
s
% Start of user PostScript
0 -1.5 2.07246 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20769 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16841 m
.20744 .16841 L
s
% Start of user PostScript
0 0 2. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20744 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .17371 m
.20769 .17371 L
s
% Start of user PostScript
0 1.5 2.07246 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20769 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16312 m
.20795 .16312 L
s
% Start of user PostScript
0 -1.5 2.14526 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20795 .16312 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .16841 m
.20769 .16841 L
s
% Start of user PostScript
0 0 2.07246 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20769 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20037 .17371 m
.20795 .17371 L
s
% Start of user PostScript
0 1.5 2.14526 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.20795 .17371 Mdot
.039 .916 .04 r
.5 Mabswid
.20795 .16312 m
.66221 .13998 L
s
% Start of user PostScript
2.14526 -1.5 130.785 -8.05126 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66221 .13998 Mdot
.039 .916 .04 r
.5 Mabswid
.20769 .16841 m
.66079 .16841 L
s
% Start of user PostScript
2.07246 0 130.384 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66079 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20795 .17371 m
.66221 .19684 L
s
% Start of user PostScript
2.14526 1.5 130.785 8.05126 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66221 .19684 Mdot
.039 .916 .04 r
.5 Mabswid
.20769 .16312 m
.66079 .14024 L
s
% Start of user PostScript
2.07246 -1.5 130.384 -7.97901 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66079 .14024 Mdot
.039 .916 .04 r
.5 Mabswid
.20744 .16841 m
.65944 .16841 L
s
% Start of user PostScript
2. 0 130. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.65944 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20769 .17371 m
.66079 .19659 L
s
% Start of user PostScript
2.07246 1.5 130.384 7.97901 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66079 .19659 Mdot
.039 .916 .04 r
.5 Mabswid
.20795 .16312 m
.66221 .13998 L
s
% Start of user PostScript
2.14526 -1.5 130.785 -8.05126 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66221 .13998 Mdot
.039 .916 .04 r
.5 Mabswid
.20769 .16841 m
.66079 .16841 L
s
% Start of user PostScript
2.07246 0 130.384 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66079 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.20795 .17371 m
.66221 .19684 L
s
% Start of user PostScript
2.14526 1.5 130.785 8.05126 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.66221 .19684 Mdot
.039 .916 .04 r
.5 Mabswid
.66221 .13998 m
.68239 .13999 L
s
% Start of user PostScript
130.785 -8.05126 136.5 -8.05001 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .13999 Mdot
.039 .916 .04 r
.5 Mabswid
.66079 .16841 m
.68239 .16841 L
s
% Start of user PostScript
130.384 0 136.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.66221 .19684 m
.68239 .19684 L
s
% Start of user PostScript
130.785 8.05126 136.5 8.05001 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .19684 Mdot
.039 .916 .04 r
.5 Mabswid
.66079 .14024 m
.68239 .14024 L
s
% Start of user PostScript
130.384 -7.97901 136.5 -7.97955 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .14024 Mdot
.039 .916 .04 r
.5 Mabswid
.65944 .16841 m
.68239 .16841 L
s
% Start of user PostScript
130. 0 136.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.66079 .19659 m
.68239 .19659 L
s
% Start of user PostScript
130.384 7.97901 136.5 7.97955 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .19659 Mdot
.039 .916 .04 r
.5 Mabswid
.66221 .13998 m
.68239 .13999 L
s
% Start of user PostScript
130.785 -8.05126 136.5 -8.05001 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .13999 Mdot
.039 .916 .04 r
.5 Mabswid
.66079 .16841 m
.68239 .16841 L
s
% Start of user PostScript
130.384 0 136.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.66221 .19684 m
.68239 .19684 L
s
% Start of user PostScript
130.785 8.05126 136.5 8.05001 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68239 .19684 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .13999 m
.89903 .14006 L
s
% Start of user PostScript
136.5 -8.05001 197.85 -8.02966 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.89903 .14006 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .16841 m
.90662 .16841 L
s
% Start of user PostScript
136.5 0 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90662 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .19684 m
.91422 .19676 L
s
% Start of user PostScript
136.5 8.05001 202.15 8.02824 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91422 .19676 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .14024 m
.89907 .14021 L
s
% Start of user PostScript
136.5 -7.97955 197.861 -7.98774 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.89907 .14021 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .16841 m
.90662 .16841 L
s
% Start of user PostScript
136.5 0 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90662 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .19659 m
.91418 .19662 L
s
% Start of user PostScript
136.5 7.97955 202.139 7.98832 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91418 .19662 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .13999 m
.89903 .14006 L
s
% Start of user PostScript
136.5 -8.05001 197.85 -8.02966 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.89903 .14006 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .16841 m
.90662 .16841 L
s
% Start of user PostScript
136.5 0 200. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90662 .16841 Mdot
.039 .916 .04 r
.5 Mabswid
.68239 .19684 m
.91422 .19676 L
s
% Start of user PostScript
136.5 8.05001 202.15 8.02824 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91422 .19676 Mdot
.039 .916 .04 r
.5 Mabswid
.89903 .14006 m
.93351 .13693 L
s
% Start of user PostScript
197.85 -8.02966 207.613 -8.91426 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.93351 .13693 Mdot
.039 .916 .04 r
.5 Mabswid
.90662 .16841 m
.9411 .16528 L
s
% Start of user PostScript
200. 0 209.763 -0.886652 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.9411 .16528 Mdot
.039 .916 .04 r
.5 Mabswid
.91422 .19676 m
.94869 .19362 L
s
% Start of user PostScript
202.15 8.02824 211.912 7.13953 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.94869 .19362 Mdot
.039 .916 .04 r
.5 Mabswid
.89907 .14021 m
.93355 .13707 L
s
% Start of user PostScript
197.861 -7.98774 207.623 -8.87522 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.93355 .13707 Mdot
.039 .916 .04 r
.5 Mabswid
.90662 .16841 m
.9411 .16528 L
s
% Start of user PostScript
200. 0 209.763 -0.886652 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.9411 .16528 Mdot
.039 .916 .04 r
.5 Mabswid
.91418 .19662 m
.94865 .19349 L
s
% Start of user PostScript
202.139 7.98832 211.902 7.10249 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.94865 .19349 Mdot
.039 .916 .04 r
.5 Mabswid
.89903 .14006 m
.93351 .13693 L
s
% Start of user PostScript
197.85 -8.02966 207.613 -8.91426 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.93351 .13693 Mdot
.039 .916 .04 r
.5 Mabswid
.90662 .16841 m
.9411 .16528 L
s
% Start of user PostScript
200. 0 209.763 -0.886652 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.9411 .16528 Mdot
.039 .916 .04 r
.5 Mabswid
.91422 .19676 m
.94869 .19362 L
s
% Start of user PostScript
202.15 8.02824 211.912 7.13953 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.94869 .19362 Mdot
.039 .916 .04 r
.5 Mabswid
.93351 .13693 m
.90208 .15146 L
s
% Start of user PostScript
207.613 -8.91426 198.714 -4.80163 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90208 .15146 Mdot
.039 .916 .04 r
.5 Mabswid
.9411 .16528 m
.90967 .1798 L
s
% Start of user PostScript
209.763 -0.886652 200.863 3.22392 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90967 .1798 Mdot
.039 .916 .04 r
.5 Mabswid
.94869 .19362 m
.91726 .20813 L
s
% Start of user PostScript
211.912 7.13953 203.012 11.248 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91726 .20813 Mdot
.039 .916 .04 r
.5 Mabswid
.93355 .13707 m
.90212 .15159 L
s
% Start of user PostScript
207.623 -8.87522 198.724 -4.76548 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90212 .15159 Mdot
.039 .916 .04 r
.5 Mabswid
.9411 .16528 m
.90967 .1798 L
s
% Start of user PostScript
209.763 -0.886652 200.863 3.22392 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90967 .1798 Mdot
.039 .916 .04 r
.5 Mabswid
.94865 .19349 m
.91723 .20801 L
s
% Start of user PostScript
211.902 7.10249 203.003 11.2139 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91723 .20801 Mdot
.039 .916 .04 r
.5 Mabswid
.93351 .13693 m
.90208 .15146 L
s
% Start of user PostScript
207.613 -8.91426 198.714 -4.80163 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90208 .15146 Mdot
.039 .916 .04 r
.5 Mabswid
.9411 .16528 m
.90967 .1798 L
s
% Start of user PostScript
209.763 -0.886652 200.863 3.22392 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90967 .1798 Mdot
.039 .916 .04 r
.5 Mabswid
.94869 .19362 m
.91726 .20813 L
s
% Start of user PostScript
211.912 7.13953 203.012 11.248 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91726 .20813 Mdot
.039 .916 .04 r
.5 Mabswid
.90208 .15146 m
.43918 .41872 L
s
% Start of user PostScript
198.714 -4.80163 67.6256 70.8844 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43918 .41872 Mdot
.039 .916 .04 r
.5 Mabswid
.90967 .1798 m
.45325 .44312 L
s
% Start of user PostScript
200.863 3.22392 71.6111 77.7925 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.45325 .44312 Mdot
.039 .916 .04 r
.5 Mabswid
.91726 .20813 m
.46732 .46751 L
s
% Start of user PostScript
203.012 11.248 75.5965 84.7006 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.46732 .46751 Mdot
.039 .916 .04 r
.5 Mabswid
.90212 .15159 m
.43912 .41862 L
s
% Start of user PostScript
198.724 -4.76548 67.6085 70.8547 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43912 .41862 Mdot
.039 .916 .04 r
.5 Mabswid
.90967 .1798 m
.45325 .44312 L
s
% Start of user PostScript
200.863 3.22392 71.6111 77.7925 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.45325 .44312 Mdot
.039 .916 .04 r
.5 Mabswid
.91723 .20801 m
.46738 .46762 L
s
% Start of user PostScript
203.003 11.2139 75.6136 84.7303 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.46738 .46762 Mdot
.039 .916 .04 r
.5 Mabswid
.90208 .15146 m
.43918 .41872 L
s
% Start of user PostScript
198.714 -4.80163 67.6256 70.8844 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.43918 .41872 Mdot
.039 .916 .04 r
.5 Mabswid
.90967 .1798 m
.45325 .44312 L
s
% Start of user PostScript
200.863 3.22392 71.6111 77.7925 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.45325 .44312 Mdot
.039 .916 .04 r
.5 Mabswid
.91726 .20813 m
.46732 .46751 L
s
% Start of user PostScript
203.012 11.248 75.5965 84.7006 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.46732 .46751 Mdot
[(L1)] .2039 .10467 0 0 Mshowa
[(L2)] .67091 .08701 0 0 Mshowa
[(L1)] .86502 .01303 0 0 Mshowa
[(M)] .90033 .01303 0 0 Mshowa
[(L2)] .86502 .01303 0 0 Mshowa
[(S)] .50589 .53435 0 0 Mshowa
0 0 m
1 0 L
1 .54739 L
0 .54739 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{498, 272.5},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007b000142000`400?l00000o`00003oo`3ooooc
0?ooo`00o`3ooooc0?ooo`00o`3ooooc0?ooo`00o`3ooooc0?ooo`00o`3ooonY0?ooo`D0000000<0
oooo0000000000000P0000080?ooo`<000000`3oool3000002l0oooo003o0?ooojX0oooo00L00000
0?ooo`3oool000000?ooo`000000oooo008000002@3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo02h0oooo003o0?ooojX0oooo00<000000?ooo`3oool00`3oool2000000X0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0^0?ooo`00o`3ooonZ0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0203oool01`000000oooo0000003oool000000?oo
o`000000<03oool00?l0ooooZP3oool00`000000oooo0?ooo`040?ooo`8000002@3oool01`000000
oooo0000003oool000000?ooo`000000<03oool00?l0ooooZP3oool00`000000oooo0?ooo`020?oo
o`@000002@3oool2000000<0oooo0P00000`0?ooo`00o`3ooonY0?ooo`<00000103oool2000000T0
oooo0`0000030?ooo`<00000;`3oool00?l0ooool`3oool00?l0ooool`3oool00?l0ooool`3oool0
0?l0ooool`3oool00?l0ooool`3oool00?l0ooool`3oool00?l0ooool`3oool00?l0ooool`3oool0
0?l0ooool`3oool00?l0oooo/P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02d0
oooo003o0?oook80oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0]0?ooo`00o`3o
oonb0?ooo`030000003oool0oooo00h0oooo00<0Ogmo0000003oool0;@3oool00?l0oooo/P3oool2
00000100oooo00<000000?ooo`3oool0;03oool00?l0oooo/P3oool200000100oooo00<000000?oo
o`3oool0;03oool00?l0oooo/`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo02`0
oooo003o0?oook<0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0[0?ooo`00o`3o
oonc0?ooo`800000403oool00`000000oooo0?ooo`0[0?ooo`00o`3ooond0?ooo`030000003oool0
oooo00h0oooo00<000000?ooo`3oool0:`3oool00?l0oooo]03oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo02/0oooo003o0?oook@0oooo00<000000?ooo`3oool03P3oool2000002`0
oooo003o0?oook@0oooo0P00000?0?ooo`800000;03oool00?l0oooo]@3oool00`000000oooo0?oo
o`0>0?ooo`030000003oool0oooo02X0oooo003o0?oookD0oooo00<000000?ooo`3oool03P3oool2
000002/0oooo003o0?oookD0oooo00<000000?ooo`3oool03P3oool2000002/0oooo003o0?oookD0
oooo0P00000@0?ooo`030000003oool0oooo02T0oooo003o0?oookH0oooo00<000000?ooo`3oool0
3P3oool00`000000oooo0?ooo`0Y0?ooo`00o`3ooonf0?ooo`030000003oool0oooo00h0oooo0P00
000Z0?ooo`00o`3ooonf0?ooo`8000003`3oool00`1oOgl000000?ooo`0Y0?ooo`00o`3ooonf0?oo
o`800000403oool00`000000oooo0?ooo`0X0?ooo`00o`3ooong0?ooo`030000003oool0oooo00h0
oooo0P00000Y0?ooo`00o`3ooom80?ooo`D0000000<0oooo0000000000000P00001U0?ooo`030000
003oool0oooo00h0oooo0P00000Y0?ooo`00o`3ooom90?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`1S0?ooo`8000003`3oool00`1oOgl000000?ooo`0X0?ooo`00
o`3ooom90?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0I@3oool200000100oooo
00<000000?ooo`3oool09`3oool00?l0ooooB@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo06D0oooo00<000000?ooo`3oool03P3oool2000002P0oooo003o0?ooodT0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`1T0?ooo`030000003oool0oooo00h0oooo00<0Ogmo
0000003oool09`3oool00?l0ooooB@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo
000006H0oooo0P00000@0?ooo`030000003oool0oooo02H0oooo003o0?ooodP0oooo0`0000040?oo
o`800000J03oool00`000000oooo0?ooo`0>0?ooo`8000009`3oool00?l0oooo^@3oool00`000000
oooo0?ooo`0>0?ooo`0307moO`000000oooo02H0oooo001P0?ooo`D000000P3oool300000?l0oooo
C`3oool00`000000oooo0?ooo`0>0?ooo`0307moO`000000oooo02H0oooo001Q0?ooo`040000003o
ool0oooo000000<0oooo00<000000?ooo`3oool0o`3ooom>0?ooo`030000003oool0oooo00l0oooo
00<000000?ooo`3oool09@3oool00640oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`3o0?ooodl0oooo00<000000?ooo`3oool03P3oool00`1oOgl000000?ooo`0U0?ooo`00H@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooC`3oool00`000000oooo0?ooo`0>
0?ooo`0307moO`000000oooo02D0oooo001Q0?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0o`3ooom?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool0903oool00640
oooo00<000000?ooo`3oool00`3oool200000?l0ooooD@3oool200000100oooo0P00000U0?ooo`00
H03oool3000000D0oooo00<000000?ooo`3oool0o`3ooom@0?ooo`030000003oool0oooo00h0oooo
00<0Ogmo0000003oool0903oool00?l0oooo^`3oool00`000000oooo0?ooo`0>0?ooo`0307moO`00
0000oooo02@0oooo003o0?ooodX0oooo2P00001W0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool08`3oool00?l0ooooBP3oool:000006L0oooo0P00000@0?ooo`800000903oool00?l0
ooooBP3oool00`000000Ogmo07moO`0607moO`030000003oool0oooo06H0oooo00<000000?ooo`3o
ool03P3oool00`1oOgl000000?ooo`0S0?ooo`00o`3ooom:0?ooo`030000001oOgl0Ogmo00H0Ogmo
00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`0>0?ooo`0307moO`000000oooo02<0oooo
003o0?ooodX0oooo2P00001X0?ooo`800000403oool2000002<0oooo003o0?ooodT0oooo0P000008
07moO`030000003oool0oooo06L0oooo00<000000?ooo`3oool03P3oool00`1oOgl000000?ooo`0R
0?ooo`00o`3ooom90?ooo`800000201oOgl00`000000oooo0?ooo`1W0?ooo`030000003oool0oooo
00h0oooo00<0Ogmo0000003oool08P3oool00?l0ooooB@3oool2000000P0Ogmo00<000000?ooo`3o
ool0I`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0240oooo003o0?ooodT0oooo
2`00001Y0?ooo`800000403oool200000280oooo001S0?ooo`/00000fP3oool2000000P0Ogmo00<0
00000?ooo`3oool0J03oool00`000000oooo0?ooo`0>0?ooo`0307moO`000000oooo0240oooo001S
0?ooo`/00000fP3oool2000000<02NX:1@1oOgl00`000000oooo0?ooo`1Q0?ooo`<02NX:103oool0
0`000000oooo0?ooo`070?ooo`D02NX:0P3oool00`1oOgl000000000000Q0?ooo`00H`3oool;0000
0=80oooo1@09jPX30?ooo`8000001`09jPX00`1oOgl000000?ooo`1R0?ooo`L02NX:0P0000080?oo
o`T02NX:00<000000?ooo`3oool07`3oool006<0oooo00<0000007moO`1oOgl01P1oOgl200000=40
ooooOP09jPX00`0000002NX:00WZ2P0>00WZ2P030?ooo`000000oooo0240oooo001S0?ooo`030000
001oOgl0Ogmo00D0Ogmo00<000000?ooo`000000_P3ooolK00WZ2P0300000009jPX02NX:07<02NX:
00<0000000WZ2P09jPX00P09jPX30?ooo`802NX:00<0oooo00WZ2P09jPX00P09jPX30?ooo`0307mo
O`000000oooo0200oooo001S0?ooo`/00000Z`3ooolU00WZ2P<0oooo1@09jPX0103oool0000007mo
O`00000600WZ2P80Ogmo00<000000?ooo`3oool0H@3oool600WZ2P80oooo00<000000?ooo`3oool0
0`3oool500WZ2PH0oooo00<0Ogmo0000003oool0803oool006<0oooo00<0000007moO`1oOgl0101o
Ogl010000000oooo0?ooo`00002H0?ooob<02NX:5`3oool200WZ2PD0oooo00<0000007moO`000000
0P09jPX607moO`030000003oool0oooo0640oooo0P09jPX60?ooo`8000000P3oool500WZ2PT0oooo
00<000000?ooo`3oool07`3oool006<0oooo00<0000007moO`1oOgl0101oOgl010000000oooo0?oo
o`0000260?ooob402NX:<P3oool00`000000Ogmo0000000807moO`030000003oool0oooo06X0oooo
00<000000?ooo`09jPX01P09jPX80?ooo`030000003oool0oooo01l0oooo001S0?ooo`030000001o
Ogl0Ogmo00<0Ogmo00D000000?ooo`3oool0oooo0000001c0?oooal02NX:A`3oool00`000000Ogmo
0000000807moO`030000003oool0oooo06X0oooo00<0000000WZ2P09jPX01`09jPX70?ooo`0307mo
O`000000oooo01l0oooo001S0?ooo`/00000H03ooolN00WZ2U/0oooo00<0000007moO`000000201o
Ogl00`000000oooo0?ooo`1Y0?ooo`802NX:00@0000000WZ2P09jPX02NX:303oool00`1oOgl00000
0?ooo`0O0?ooo`00H`3oool00`000000Ogmo07moO`0307moO`050000003oool0oooo0?ooo`000000
C@3ooolL00WZ2W00oooo00<0000007moO`000000201oOgl00`000000oooo0?ooo`1W0?ooo`802NX:
00<0oooo000000000000403oool00`000000oooo0?ooo`0N0?ooo`00H`3oool00`000000Ogmo07mo
O`0207moO`030000003oool0oooo0080oooo00<000000?ooo`3oool0>@3ooolJ00WZ2X@0oooo00<0
000007moO`0000002@00001X0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`0N0?ooo`00H`3oool00`000000Ogmo07moO`0207moO`030000003oool0
oooo0080oooo00<000000?ooo`3oool09P3ooolI00WZ2YP0oooo00<0000007moO`000000201oOgl0
0`000000oooo0?ooo`1T0?ooo`802NX:1@3oool00`000000oooo0?ooo`0>0?ooo`8000007`3oool0
05/0oooo0`09jPX01@3oool02NX:00WZ2P09jPX0oooo00/000005@3ooolG00WZ2Zd0oooo00<00000
07moO`000000201oOgl00`000000oooo0?ooo`1R0?ooo`802NX:1`3oool200000100oooo00<00000
0?ooo`3oool07@3oool005`0oooo2P09jPX00`1oOgl00000000000040?ooo`030000003oool0oooo
01H02NX:`@3oool00`000000Ogmo0000000807moO`030000003oool0oooo0640oooo00<02NX:0?oo
o`3oool0203oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo01d0oooo000<0?ooofD0
2NX:eP3oool00`000000Ogmo0000000807moO`030000003oool0oooo05l0oooo0P09jPX;0?ooo`03
0000003oool0oooo00L0oooo1@09jPX20?ooo`8000007P3oool005/0oooo2P09jPX207moO`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0c`3oool400WZ2P@0oooo00<0000007moO`000000
0`09jPX507moO`030000003oool0oooo05d0oooo0P09jPX60?ooo`<02NX:103oool00`000000oooo
0?ooo`080?ooo`P02NX:7P3oool005/0oooo2`09jPX3000000@0oooo00<000000?ooo`3oool0d03o
ool700WZ2P<0000000<0Ogmo00WZ2P09jPX01009jPX00`1oOgl000000000001L0?ooo`802NX:2@3o
ool600WZ2P8000000`3oool<00WZ2P030?ooo`000000oooo01d0oooo000<0?ooool02NX:]P09jPX0
0`0000002NX:00WZ2P0200WZ2P<0oooo0P09jPX00`3oool02NX:00WZ2P0200WZ2P<0oooo00<00000
0?ooo`3oool0703oool005`0oooo2P09jPX00`1oOgl000000?ooo`040?ooo`030000003oool0oooo
0=00oooo1P09jPX01@3oool0000007moO`000000Ogmo00D02NX:0P1oOgl00`000000oooo0?ooo`1H
0?ooo`802NX:303oool500WZ2P80oooo00<000000?ooo`3oool00`3oool500WZ2PH0oooo00<00000
0?ooo`3oool0703oool000`0ooooI@09jP[>0?ooo`<02NX:1@3oool00`000000Ogmo0000000200WZ
2PH0Ogmo00<000000?ooo`3oool0EP3oool200WZ2Pd0oooo0P09jPX60?ooo`040000003oool0oooo
0?ooo`D02NX:203oool00`000000oooo0?ooo`0L0?ooo`00G03oool900WZ2P80Ogmo0P0000040?oo
o`040000003oool0oooo0?oooa<02NX:``3oool00`000000Ogmo0000000807moO`030000003oool0
oooo05@0oooo0P09jPXH0?ooo`030000003oool02NX:00D02NX:2@3oool00`000000oooo0?ooo`0K
0?ooo`00F`3oool200WZ2P80oooo0P09jPX20?ooo`/000005P3ooolC00WZ2[00oooo00<0000007mo
O`000000201oOgl00`000000oooo0?ooo`1C0?ooo`0300WZ2P3oool0oooo01P0oooo00<0000000WZ
2P09jPX01P09jPX80?ooo`030000003oool0oooo01/0oooo001S0?ooo`030000001oOgl0Ogmo0080
Ogmo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0W0?oooa<02NX:W@3oool00`000000
Ogmo0000000807moO`030000003oool0oooo0540oooo0P09jPXJ0?ooo`802NX:00<0000000WZ2P09
jPX03@3oool00`000000oooo0?ooo`0K0?ooo`00H`3oool00`000000Ogmo07moO`0207moO`030000
003oool0oooo0080oooo00<000000?ooo`3oool0>P3ooolB00WZ2X/0oooo00<0000007moO`000000
2@00001A0?ooo`802NX:6P3oool200WZ2P030?ooo`00000000000100oooo00<000000?ooo`3oool0
6P3oool006<0oooo00<0000007moO`1oOgl00`1oOgl01@000000oooo0?ooo`3oool0000004h0oooo
4`09jPYh0?ooo`030000001oOgl0000000P0Ogmo00<000000?ooo`3oool0CP3oool00`09jPX0oooo
0?ooo`0I0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool03P3oool00`000000oooo
0?ooo`0J0?ooo`00H`3oool;00000640oooo4`09jPYU0?ooo`030000001oOgl0000000P0Ogmo00<0
00000?ooo`3oool0C03oool200WZ2QX0oooo0P09jPX50?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool06P3oool006<0oooo00<0000007moO`1oOgl00`1oOgl01@000000oooo0?ooo`3o
ool0000007@0oooo4`09jPYB0?ooo`030000001oOgl0000000P0Ogmo00<000000?ooo`3oool0BP3o
ool200WZ2QX0oooo0P09jPX70?ooo`030000003oool0oooo00h0oooo00<0Ogmo0000003oool06P3o
ool006<0oooo00<0000007moO`1oOgl0101oOgl010000000oooo0?ooo`0000270?oooa802NX:@03o
ool00`000000Ogmo0000000807moO`030000003oool0oooo04P0oooo0P09jPXK0?ooo`0300WZ2P3o
ool0oooo00L0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0I0?ooo`00H`3oool0
0`000000Ogmo07moO`0407moO`040000003oool0oooo000009T0oooo4`09jPXV0?ooo`<02NX:103o
ool00`000000Ogmo0000000807moO`030000003oool0oooo04L0oooo00<02NX:0?ooo`3oool06@3o
ool200WZ2P/0oooo00<000000?ooo`3oool01P3oool600WZ2P80oooo0P00000J0?ooo`00H`3oool;
00000:`0oooo4`09jPXD0?ooo`D02NX:00@0oooo0000001oOgl000000`09jPX507moO`030000003o
ool0oooo04D0oooo0P09jPXJ0?ooo`802NX:1@3oool300WZ2PD0oooo00<000000?ooo`3oool0203o
ool800WZ2QX0oooo001S0?ooo`030000001oOgl0Ogmo00D0Ogmo00<000000?ooo`000000_`3ooolC
00WZ2P80oooo1P09jPX3000000H02NX:0`0000140?ooo`802NX:6P3oool200WZ2PP0oooo1P09jPX0
0`3oool00000000000030?ooo``02NX:0P00000J0?ooo`00H`3oool00`000000Ogmo07moO`0507mo
O`030000003oool000000=80ooooRP09jPX20?ooo`802NX:0P3oool400WZ2P<0oooo00<000000?oo
o`3oool0603oool006<0oooo2`00003B0?ooo`@02NX:103oool20000000307moO`09jPX02NX:00<0
2NX:0P1oOgl00`000000oooo0?ooo`100?ooo`802NX:6P3oool200WZ2P/0oooo1@09jPX20?ooo`80
0000103oool300WZ2P030?ooo`09jPX02NX:00H0oooo00<0Ogmo0000003oool0603oool006<0oooo
2`00003J0?ooo`8000000P09jPX607moO`030000003oool0oooo03h0oooo0P09jPXJ0?ooo`802NX:
303oool200WZ2PL0oooo00@000000?ooo`3oool0oooo1@09jPX80?ooo`0307moO`000000oooo01P0
oooo001S0?ooo`/00000fP3oool2000000P0Ogmo00<000000?ooo`3oool0?03oool200WZ2QX0oooo
0P09jPXG0?ooo`030000003oool0oooo00H02NX:2@3oool00`000000oooo0?ooo`0G0?ooo`00o`3o
oom90?ooo`/00000?@3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo01L0oooo00<0
00000?ooo`09jPX01`09jPX80?ooo`030000003oool0oooo01L0oooo003o0?ooodT0oooo0P000008
07moO`030000003oool0oooo03T0oooo0P09jPXJ0?ooo`802NX:6P3oool500WZ2Pd0oooo00<0Ogmo
0000003oool05`3oool00?l0ooooB@3oool2000000P0Ogmo00<000000?ooo`3oool0=`3oool200WZ
2QX0oooo0P09jPXJ0?ooo`802NX:0P00000@0?ooo`0307moO`000000oooo01L0oooo003o0?ooodT0
oooo0P00000807moO`030000003oool0oooo03D0oooo0P09jPXK0?ooo`0300WZ2P3oool0oooo01T0
oooo00D02NX:0?ooo`3oool0oooo0000000A0?ooo`030000003oool0oooo01H0oooo003o0?ooodX0
oooo2P00000f0?ooo`0300WZ2P3oool0oooo01T0oooo0P09jPXJ0?ooo`802NX:103oool00`000000
oooo0?ooo`0?0?ooo`030000003oool0oooo01H0oooo003o0?ooodX0oooo00<0000007moO`1oOgl0
1P1oOgl00`000000oooo0?ooo`0b0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPX60?ooo`800000
403oool00`1oOgl000000?ooo`0F0?ooo`00o`3ooom:0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0
00000?ooo`3oool0<03oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:2@3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo01D0oooo003o0?ooodX0oooo2P00000a0?ooo`0300WZ2P3oool0
oooo01T0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`090?ooo`030000003oool0
oooo00l0oooo00<000000?ooo`3oool05@3oool00?l0ooooBP3oool:000002l0oooo0P09jPXJ0?oo
o`802NX:6P3oool200WZ2P`0oooo0P00000@0?ooo`0307moO`000000oooo01D0oooo003o0?oooh40
oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2Pl0oooo00<000000?ooo`3oool03P3oool00`1oOgl0
00000?ooo`0E0?ooo`00o`3ooomo0?ooo`802NX:6P3oool200WZ2Q/0oooo00<02NX:0?ooo`3oool0
3`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01@0oooo003o0?ooogh0oooo00<0
2NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`0I0?ooo`802NX:4P3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo01@0oooo003o0?ooog`0oooo0P09jPXJ0?ooo`802NX:6P3oool2
00WZ2Q@0oooo0P00000@0?ooo`0307moO`000000oooo01@0oooo003o0?ooogX0oooo0P09jPXJ0?oo
o`802NX:6P3oool200WZ2QL0oooo00<000000?ooo`3oool03P3oool00`1oOgl000000?ooo`0D0?oo
o`00o`3ooomi0?ooo`0300WZ2P3oool0oooo01T0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0
oooo0?ooo`0G0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04`3oool00?l0oooo
M`3oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:6P3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo01<0oooo003o0?ooogD0oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2Qd0oooo00<0
00000?ooo`3oool03P3oool00`1oOgl000000?ooo`0C0?ooo`00o`3ooomc0?ooo`802NX:6P3oool2
00WZ2QX0oooo0P09jPXO0?ooo`030000003oool0oooo00h0oooo00<0Ogmo0000003oool04`3oool0
0?l0ooooLP3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo01T0oooo00<02NX:0?oo
o`3oool07`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0180oooo003o0?ooog00
oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2R80oooo0P00000@0?ooo`030000003oool0oooo0180
oooo003o0?ooofh0oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2RD0oooo00<000000?ooo`3oool0
3P3oool00`1oOgl000000?ooo`0B0?ooo`00o`3ooom/0?ooo`802NX:6P3oool200WZ2Q/0oooo00<0
2NX:0?ooo`3oool09@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0140oooo003o
0?ooof/0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`0I0?ooo`802NX::03oool2
00000100oooo00<000000?ooo`3oool04@3oool00?l0ooooJ@3oool200WZ2QX0oooo0P09jPXJ0?oo
o`802NX::`3oool00`000000oooo0?ooo`0>0?ooo`8000004P3oool00?l0ooooI`3oool200WZ2QX0
oooo0P09jPXJ0?ooo`802NX:;@3oool00`000000oooo0?ooo`0>0?ooo`8000004P3oool00?l0oooo
IP3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo01T0oooo00<02NX:0?ooo`3oool0
;@3oool200000100oooo00<000000?ooo`3oool0403oool00?l0ooooI03oool200WZ2QX0oooo0P09
jPXJ0?ooo`802NX:<03oool200000100oooo00<000000?ooo`3oool0403oool00?l0ooooHP3oool2
00WZ2QX0oooo0P09jPXJ0?ooo`802NX:<`3oool00`000000oooo0?ooo`0>0?ooo`8000004@3oool0
0?l0ooooH03oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:=@3oool00`000000oooo0?ooo`0>0?oo
o`8000004@3oool00?l0ooooG`3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo01T0
oooo00<02NX:0?ooo`3oool0=@3oool200000100oooo00<000000?ooo`3oool03`3oool00?l0oooo
G@3oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:>@3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00l0oooo003o0?oooe/0oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2S/0oooo00<0
00000?ooo`3oool03P3oool200000100oooo003o0?oooeX0oooo00<02NX:0?ooo`3oool06@3oool0
0`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo03/0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0>0?ooo`00o`3ooomH0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPXn0?oo
o`030000003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool00?l0ooooEP3oool200WZ2QX0
oooo0P09jPXJ0?ooo`802NX:@@3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0
oooo003o0?oooe@0oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2T<0oooo00<000000?ooo`3oool0
3`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooomC0?ooo`0300WZ2P3oool0oooo01T0oooo00<0
2NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`130?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool03@3oool00?l0ooooD@3oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:AP3oool2
00000100oooo00<000000?ooo`3oool03@3oool00?l0ooooC`3oool200WZ2QX0oooo0P09jPXJ0?oo
o`802NX:B03oool200000100oooo00<000000?ooo`3oool03@3oool00?l0ooooC@3oool200WZ2QX0
oooo0P09jPXJ0?ooo`802NX:B`3oool00`000000oooo0?ooo`0>0?ooo`0307moO`000000oooo00d0
oooo003o0?oood`0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ
2P3oool0oooo04/0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0<0?ooo`00o`3o
oom:0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPY>0?ooo`800000403oool00`000000oooo0?oo
o`0<0?ooo`00o`3ooom80?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPYA0?ooo`030000003oool0
oooo00h0oooo00<0Ogmo0000003oool0303oool00?l0ooooA`3oool00`09jPX0oooo0?ooo`0I0?oo
o`0300WZ2P3oool0oooo01T0oooo00<02NX:0?ooo`3oool0D@3oool00`000000oooo0?ooo`0>0?oo
o`0307moO`000000oooo00`0oooo003o0?ooodD0oooo0P09jPXJ0?ooo`802NX:6P3oool200WZ2U@0
oooo0P00000@0?ooo`030000003oool0oooo00/0oooo003o0?oood<0oooo0P09jPXJ0?ooo`802NX:
6P3oool200WZ2UL0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0;0?ooo`00o`3o
oom10?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPYh0?ooo`00o`3ooom00?ooo`0300WZ2P3oool0
oooo01T0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`1h0?ooo`00o`3oooln0?oo
o`802NX:6P3oool200WZ2QX0oooo0P09jPYk0?ooo`00o`3oooll0?ooo`802NX:6P3oool200WZ2QX0
oooo0P09jPYm0?ooo`00o`3ooolk0?ooo`0300WZ2P3oool0oooo01P0oooo0P09jPXJ0?ooo`802NX:
O`3oool00?l0oooo>@3oool200WZ2QX0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?oo
o`1o0?ooo`00o`3ooolg0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZ20?ooo`00o`3ooole0?oo
o`802NX:6P3oool200WZ2QX0oooo0P09jPZ40?ooo`00o`3ooold0?ooo`0300WZ2P3oool0oooo01T0
oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`240?ooo`00o`3ooolb0?ooo`802NX:
6P3oool200WZ2QX0oooo0P09jPZ70?ooo`00o`3oool`0?ooo`802NX:6P3oool200WZ2QX0oooo0P09
jPZ90?ooo`00o`3oool_0?ooo`0300WZ2P3oool0oooo01P0oooo0P09jPXJ0?ooo`802NX:R`3oool0
0?l0oooo;@3oool200WZ2QX0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`2;0?oo
o`00o`3oool[0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZ>0?ooo`00o`3ooolY0?ooo`802NX:
6P3oool200WZ2QX0oooo0P09jPZ@0?ooo`00o`3ooolX0?ooo`0300WZ2P3oool0oooo01P0oooo0P09
jPXJ0?ooo`802NX:TP3oool00?l0oooo9P3oool200WZ2QX0oooo00<02NX:0?ooo`3oool06@3oool0
0`09jPX0oooo0?ooo`2B0?ooo`00o`3ooolT0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZE0?oo
o`00o`3ooolR0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZG0?ooo`00o`3ooolQ0?ooo`0300WZ
2P3oool0oooo01T0oooo00<02NX:0?ooo`3oool0603oool200WZ2YT0oooo003o0?oooal0oooo0P09
jPXJ0?ooo`802NX:6P3oool00`09jPX0oooo0?ooo`2I0?ooo`00o`3ooolM0?ooo`802NX:6P3oool2
00WZ2QX0oooo0P09jPZL0?ooo`00o`3ooolL0?ooo`0300WZ2P3oool0oooo01P0oooo0P09jPXJ0?oo
o`802NX:WP3oool00?l0oooo6P3oool200WZ2QX0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0
oooo0?ooo`2N0?ooo`00o`3ooolH0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZQ0?ooo`00o`3o
oolF0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jPZS0?ooo`00o`3ooolE0?ooo`0300WZ2P3oool0
oooo01P0oooo0P09jPXJ0?ooo`802NX:Y@3oool00?l0oooo4`3oool200WZ2QX0oooo00<02NX:0?oo
o`3oool06@3oool00`09jPX0oooo0?ooo`2U0?ooo`00o`3ooolA0?ooo`802NX:6P3oool200WZ2QX0
oooo0P09jPZX0?ooo`00b03oool00`000000oooo0?ooo`140?ooo`0300WZ2P3oool0oooo01P0oooo
0P09jPXJ0?ooo`802NX:ZP3oool00<P0oooo0P0000130?ooo`802NX:6P3oool00`09jPX0oooo0?oo
o`0H0?ooo`802NX:[03oool00<T0oooo00<000000?ooo`3oool0?`3oool200WZ2QX0oooo0P09jPXJ
0?ooo`0300WZ2P3oool0oooo0:`0oooo00390?ooo`800000?P3oool200WZ2QX0oooo0P09jPXJ0?oo
o`802NX:[`3oool00<X0oooo00<000000?ooo`3oool0>`3oool00`09jPX0oooo0?ooo`0H0?ooo`80
2NX:6P3oool200WZ2[40oooo003:0?ooo`800000>P3oool200WZ2QX0oooo00<02NX:0?ooo`3oool0
6@3oool00`09jPX0oooo0?ooo`2a0?ooo`00b`3oool00`000000oooo0?ooo`0f0?ooo`802NX:6P3o
ool200WZ2QX0oooo0P09jPZd0?ooo`00c03oool00`000000oooo0?ooo`0c0?ooo`802NX:6P3oool2
00WZ2QX0oooo0P09jPZf0?ooo`00c03oool2000003<0oooo00<02NX:0?ooo`3oool06@3oool00`09
jPX0oooo0?ooo`0H0?ooo`802NX:^03oool00<d0oooo00<000000?ooo`3oool0;`3oool200WZ2QX0
oooo0P09jPXJ0?ooo`0300WZ2P3oool0oooo0;P0oooo003=0?ooo`800000;P3oool200WZ2QX0oooo
0P09jPXJ0?ooo`802NX:^`3oool00<h0oooo0P00000/0?ooo`0300WZ2P3oool0oooo01P0oooo0P09
jPXJ0?ooo`802NX:_@3oool00<h0oooo0P00000Z0?ooo`802NX:6P3oool00`09jPX0oooo0?ooo`0H
0?ooo`802NX:_`3oool00<l0oooo0P00000W0?ooo`802NX:6P3oool200WZ2QX0oooo00<02NX:0?oo
o`3oool0_`3oool00<l0oooo0P00000U0?ooo`802NX:6P3oool200WZ2QX0oooo0P09jP[20?ooo`00
d03oool2000002<0oooo00<02NX:0?ooo`3oool0603oool200WZ2QX0oooo0P09jP[40?ooo`00d@3o
ool00`000000oooo0?ooo`0O0?ooo`802NX:6P3oool00`09jPX0oooo0?ooo`0I0?ooo`0300WZ2P3o
ool0oooo0<@0oooo003A0?ooo`8000007P3oool200WZ2QX0oooo0P09jPXJ0?ooo`802NX:a`3oool0
0=80oooo00<000000?ooo`3oool06`3oool00`09jPX0oooo0?ooo`0H0?ooo`802NX:6P3oool200WZ
2/T0oooo003C0?ooo`030000003oool0oooo01P0oooo0P09jPXJ0?ooo`0300WZ2P3oool0oooo01P0
oooo0P09jP[;0?ooo`00d`3oool00`000000oooo0?ooo`0F0?ooo`802NX:6P3oool200WZ2QX0oooo
00<02NX:0?ooo`3oool0b`3oool00=@0oooo00<000000?ooo`3oool04`3oool200WZ2QX0oooo0P09
jPXJ0?ooo`802NX:cP3oool00=@0oooo0P00000C0?ooo`0300WZ2P3oool0oooo01P0oooo0P09jPXJ
0?ooo`802NX:d03oool00=D0oooo00<000000?ooo`3oool03`3oool200WZ2QX0oooo00<02NX:0?oo
o`3oool0603oool200WZ2]80oooo003F0?ooo`030000003oool0oooo00`0oooo0P09jPXJ0?ooo`80
2NX:6P3oool00`09jPX0oooo0?ooo`3B0?ooo`00eP3oool2000000P0oooo00<02NX:0?ooo`3oool0
0P09jPXJ0?ooo`802NX:6P3oool200WZ2]D0oooo003G0?ooo`030000003oool0oooo00D0oooo0P09
jPX00`3oool02NX:0?ooo`0I0?ooo`802NX:6P3oool200WZ2]L0oooo003G0?ooo`8000001@3oool4
00WZ2QX0oooo00<02NX:0?ooo`3oool06@3oool00`09jPX0oooo0?ooo`3G0?ooo`00f03oool00`00
0000oooo0?ooo`020?ooo`H02NX:5`3oool200WZ2QX0oooo0P09jP[J0?ooo`00f03oool200000080
oooo1@09jPXG0?ooo`802NX:6P3oool200WZ2]`0oooo003I0?ooo`8000000`09jPXI0?ooo`0300WZ
2P3oool0oooo01P0oooo0P09jP[N0?ooo`00f@3oool2000001X0oooo0P09jPXJ0?ooo`0300WZ2P3o
ool0oooo0=h0oooo003J0?ooo`8000005`3oool200WZ2QX0oooo0P09jP[Q0?ooo`00f`3oool00`00
0000oooo0?ooo`0C0?ooo`802NX:6P3oool200WZ2^<0oooo003K0?ooo`8000004`3oool00`09jPX0
oooo0?ooo`0H0?ooo`802NX:i@3oool00=`0oooo00<000000?ooo`3oool03`3oool200WZ2QX0oooo
00<02NX:0?ooo`3oool0i@3oool00=d0oooo00<000000?ooo`3oool0303oool200WZ2QX0oooo0P09
jP[X0?ooo`00g@3oool00`000000oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00802NX:6P3oool2
00WZ2^X0oooo003N0?ooo`030000003oool0oooo00D0oooo0P09jPX00`3oool02NX:0?ooo`0J0?oo
o`0300WZ2P3oool0oooo0>X0oooo003N0?ooo`030000003oool0oooo00@0oooo1009jPXJ0?ooo`80
2NX:k@3oool00=l0oooo00<000000?ooo`3oool00P3oool500WZ2QP0oooo0P09jP[_0?ooo`00g`3o
ool200000080oooo1`09jPXE0?ooo`802NX:l@3oool00>00oooo0P00000500WZ2QL0oooo00<02NX:
0?ooo`3oool0l@3oool00>00oooo0P0000000`09jPX0oooo0?ooo`0G0?ooo`802NX:m03oool00>40
oooo00<000000?ooo`3oool05P3oool200WZ2_H0oooo003R0?ooo`030000003oool0oooo01<0oooo
0P09jP[h0?ooo`00hP3oool2000001<0oooo00<02NX:0?ooo`3oool0n03oool00><0oooo00<00000
0?ooo`3oool03`3oool200WZ2_/0oooo003S0?ooo`8000003P3oool200WZ2_d0oooo003T0?ooo`03
0000003oool0oooo00L0oooo00D02NX:0?ooo`3oool0oooo00WZ2P3o0?ooo`00i03oool2000000L0
oooo0P09jPX00`3oool02NX:00WZ2P3o0?ooo`40oooo003U0?ooo`030000003oool0oooo00@0oooo
1009jP[o0?ooo`<0oooo003U0?ooo`800000103oool500WZ2_l0oooo0`3oool00>H0oooo0P000002
0?ooo`L02NX:o`3oool20?ooo`00i`3oool2000000D02NX:o`3oool50?ooo`00i`3oool200000003
00WZ2P3oool0oooo0?l0oooo1`3oool00>P0oooo00<000000?ooo`3oool0o`3oool80?ooo`00j@3o
ool00`000000oooo0?ooo`3o0?ooo`L0oooo003Y0?ooo`030000003oool0oooo0?l0oooo1`3oool0
0>X0oooo00<000000?ooo`3oool0o`3oool60?ooo`00jP3oool200000?l0oooo1`3oool00>/0oooo
00<000000?ooo`3oool0o`3oool50?ooo`00j`3oool200000?l0oooo1P3oool00>`0oooo0P00003o
0?ooo`D0oooo003/0?ooo`800000o`3oool50?ooo`00k@3oool200000?l0oooo103oool00>d0oooo
0P00003o0?ooo`@0oooo003^0?ooo`800000o`3oool30?ooo`00k`3oool00`000000oooo0?ooo`3o
0?ooo`40oooo003_0?ooo`800000o`3oool20?ooo`00l03oool200000?l0oooo0@3oool00?40oooo
00<000000?ooo`3oool0oP3oool00?40oooo0P00003o0?ooo`00lP3oool00`000000oooo0?ooo`3m
0?ooo`00lP3oool200000?h0oooo003c0?ooo`030000003oool0oooo0?`0oooo003d0?ooo`030000
003oool0oooo0?/0oooo003o0?oooo<0oooo003o0?oooo<0oooo003o0?oooo<0oooo003o0?oooo<0
oooo003o0?oooo<0oooo003o0?oooo<0oooo003o0?oooo<0oooo003o0?oooo<0oooo003o0?oooo<0
oooo003h0?ooo`040000003oool0000000000?H0oooo003h0?ooo`8000000P3oool00`000000oooo
0?ooo`3c0?ooo`00n03oool00`000000oooo0?ooo`0200000?D0oooo003i0?ooo`<00000mP3oool0
0?P0oooo0P0000020?ooo`030000003oool0oooo0?<0oooo003h0?ooo`030000003oool0oooo0080
0000m@3oool00?T0oooo0P0000000`3oool000000?ooo`3d0?ooo`00o`3ooooc0?ooo`00o`3ooooc
0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 497}, {271.5, 0}} -> {-57.0324, -47.6928, 0.570955, \
0.570955}},
  CellTags->"Optical Flat"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.62108 0.0751373 0.5 0.0600211 [
[.01998 -0.0125 -6 -9 ]
[.01998 -0.0125 6 0 ]
[.17026 -0.0125 -6 -9 ]
[.17026 -0.0125 6 0 ]
[.32053 -0.0125 -6 -9 ]
[.32053 -0.0125 6 0 ]
[.47081 -0.0125 -6 -9 ]
[.47081 -0.0125 6 0 ]
[.62108 -0.0125 -3 -9 ]
[.62108 -0.0125 3 0 ]
[.77135 -0.0125 -3 -9 ]
[.77135 -0.0125 3 0 ]
[.92163 -0.0125 -3 -9 ]
[.92163 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .04984 -24 -4.5 ]
[-0.0125 .04984 0 4.5 ]
[-0.0125 .19989 -12 -4.5 ]
[-0.0125 .19989 0 4.5 ]
[-0.0125 .34995 -24 -4.5 ]
[-0.0125 .34995 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .65005 -18 -4.5 ]
[-0.0125 .65005 0 4.5 ]
[-0.0125 .80011 -6 -4.5 ]
[-0.0125 .80011 0 4.5 ]
[-0.0125 .95016 -18 -4.5 ]
[-0.0125 .95016 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -66 0 ]
[.5 1.0125 66 9 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01998 0 m
.01998 .00625 L
s
[(-8)] .01998 -0.0125 0 1 Mshowa
.17026 0 m
.17026 .00625 L
s
[(-6)] .17026 -0.0125 0 1 Mshowa
.32053 0 m
.32053 .00625 L
s
[(-4)] .32053 -0.0125 0 1 Mshowa
.47081 0 m
.47081 .00625 L
s
[(-2)] .47081 -0.0125 0 1 Mshowa
.62108 0 m
.62108 .00625 L
s
[(0)] .62108 -0.0125 0 1 Mshowa
.77135 0 m
.77135 .00625 L
s
[(2)] .77135 -0.0125 0 1 Mshowa
.92163 0 m
.92163 .00625 L
s
[(4)] .92163 -0.0125 0 1 Mshowa
.125 Mabswid
.05755 0 m
.05755 .00375 L
s
.09512 0 m
.09512 .00375 L
s
.13269 0 m
.13269 .00375 L
s
.20783 0 m
.20783 .00375 L
s
.24539 0 m
.24539 .00375 L
s
.28296 0 m
.28296 .00375 L
s
.3581 0 m
.3581 .00375 L
s
.39567 0 m
.39567 .00375 L
s
.43324 0 m
.43324 .00375 L
s
.50837 0 m
.50837 .00375 L
s
.54594 0 m
.54594 .00375 L
s
.58351 0 m
.58351 .00375 L
s
.65865 0 m
.65865 .00375 L
s
.69622 0 m
.69622 .00375 L
s
.73379 0 m
.73379 .00375 L
s
.80892 0 m
.80892 .00375 L
s
.84649 0 m
.84649 .00375 L
s
.88406 0 m
.88406 .00375 L
s
.9592 0 m
.9592 .00375 L
s
.99677 0 m
.99677 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .04984 m
.00625 .04984 L
s
[(-7.5)] -0.0125 .04984 1 0 Mshowa
0 .19989 m
.00625 .19989 L
s
[(-5)] -0.0125 .19989 1 0 Mshowa
0 .34995 m
.00625 .34995 L
s
[(-2.5)] -0.0125 .34995 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .65005 m
.00625 .65005 L
s
[(2.5)] -0.0125 .65005 1 0 Mshowa
0 .80011 m
.00625 .80011 L
s
[(5)] -0.0125 .80011 1 0 Mshowa
0 .95016 m
.00625 .95016 L
s
[(7.5)] -0.0125 .95016 1 0 Mshowa
.125 Mabswid
0 .07985 m
.00375 .07985 L
s
0 .10986 m
.00375 .10986 L
s
0 .13987 m
.00375 .13987 L
s
0 .16988 m
.00375 .16988 L
s
0 .2299 m
.00375 .2299 L
s
0 .25992 m
.00375 .25992 L
s
0 .28993 m
.00375 .28993 L
s
0 .31994 m
.00375 .31994 L
s
0 .37996 m
.00375 .37996 L
s
0 .40997 m
.00375 .40997 L
s
0 .43998 m
.00375 .43998 L
s
0 .46999 m
.00375 .46999 L
s
0 .53001 m
.00375 .53001 L
s
0 .56002 m
.00375 .56002 L
s
0 .59003 m
.00375 .59003 L
s
0 .62004 m
.00375 .62004 L
s
0 .68006 m
.00375 .68006 L
s
0 .71007 m
.00375 .71007 L
s
0 .74008 m
.00375 .74008 L
s
0 .7701 m
.00375 .7701 L
s
0 .83012 m
.00375 .83012 L
s
0 .86013 m
.00375 .86013 L
s
0 .89014 m
.00375 .89014 L
s
0 .92015 m
.00375 .92015 L
s
0 .01983 m
.00375 .01983 L
s
0 .98017 m
.00375 .98017 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01998 .99375 m
.01998 1 L
s
.17026 .99375 m
.17026 1 L
s
.32053 .99375 m
.32053 1 L
s
.47081 .99375 m
.47081 1 L
s
.62108 .99375 m
.62108 1 L
s
.77135 .99375 m
.77135 1 L
s
.92163 .99375 m
.92163 1 L
s
.125 Mabswid
.05755 .99625 m
.05755 1 L
s
.09512 .99625 m
.09512 1 L
s
.13269 .99625 m
.13269 1 L
s
.20783 .99625 m
.20783 1 L
s
.24539 .99625 m
.24539 1 L
s
.28296 .99625 m
.28296 1 L
s
.3581 .99625 m
.3581 1 L
s
.39567 .99625 m
.39567 1 L
s
.43324 .99625 m
.43324 1 L
s
.50837 .99625 m
.50837 1 L
s
.54594 .99625 m
.54594 1 L
s
.58351 .99625 m
.58351 1 L
s
.65865 .99625 m
.65865 1 L
s
.69622 .99625 m
.69622 1 L
s
.73379 .99625 m
.73379 1 L
s
.80892 .99625 m
.80892 1 L
s
.84649 .99625 m
.84649 1 L
s
.88406 .99625 m
.88406 1 L
s
.9592 .99625 m
.9592 1 L
s
.99677 .99625 m
.99677 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .04984 m
1 .04984 L
s
.99375 .19989 m
1 .19989 L
s
.99375 .34995 m
1 .34995 L
s
.99375 .5 m
1 .5 L
s
.99375 .65005 m
1 .65005 L
s
.99375 .80011 m
1 .80011 L
s
.99375 .95016 m
1 .95016 L
s
.125 Mabswid
.99625 .07985 m
1 .07985 L
s
.99625 .10986 m
1 .10986 L
s
.99625 .13987 m
1 .13987 L
s
.99625 .16988 m
1 .16988 L
s
.99625 .2299 m
1 .2299 L
s
.99625 .25992 m
1 .25992 L
s
.99625 .28993 m
1 .28993 L
s
.99625 .31994 m
1 .31994 L
s
.99625 .37996 m
1 .37996 L
s
.99625 .40997 m
1 .40997 L
s
.99625 .43998 m
1 .43998 L
s
.99625 .46999 m
1 .46999 L
s
.99625 .53001 m
1 .53001 L
s
.99625 .56002 m
1 .56002 L
s
.99625 .59003 m
1 .59003 L
s
.99625 .62004 m
1 .62004 L
s
.99625 .68006 m
1 .68006 L
s
.99625 .71007 m
1 .71007 L
s
.99625 .74008 m
1 .74008 L
s
.99625 .7701 m
1 .7701 L
s
.99625 .83012 m
1 .83012 L
s
.99625 .86013 m
1 .86013 L
s
.99625 .89014 m
1 .89014 L
s
.99625 .92015 m
1 .92015 L
s
.99625 .01983 m
1 .01983 L
s
.99625 .98017 m
1 .98017 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
s
0 0 m
0 1 L
s
[(Interference Intensity)] .5 1.0125 0 -1 Mshowa
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.01923 .01923 translate
.96154 .96154 scale
384 string
128 128 8 [128 0 0 128 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
00762700673C00554B003643001A32000B2500041C00021900031B00072100112B002137
00394400524D006043006E33007A2000840B098D001D95002F9B003DA00048A40050A600
56A80059A9005AA9005AA90058A80056A80054A70051A6004FA6004DA5004BA4004AA400
49A40048A40048A40049A4004AA4004BA5004DA5004FA60051A60053A70056A80057A800
59A9005AA9005BA9005BA9005BA90059A90057A80053A7004FA60049A40043A2003CA000
349D002B9A002297001893000E8F00048B0000870500830E007E18007A2000752800702F
006C3600673B006340005F44005B4800574A00534C00504E004B4D00454A003F47003A45
003743003342003140002F3F002E3F002D3E002D3E002E3E002F3F003140003342003744
003C46004249004A4C00504E00554B005A4800604300663D006D34007429007C1B00840B
068C001A94002E9B0040A1004FA60057A80057A8004DA500399F001D9500008803007725
00643F00504D002B3D00132C00072000021A00031B000A24
00673C00534C002F3F00152E00082200031B00021A00051E000D28001D3500384400544C
00643F00742900830E0F90002D9B0049A40061AB0074B00082B4008BB60090B80092B800
91B8008DB70089B60083B4007EB30078B10073B0006EAF006AAE0067AD0065AC0063AC00
63AB0063AC0064AC0066AC0069AD006CAE0070AF0074B00079B2007DB30082B40086B500
8AB6008EB70091B80092B80093B80092B80090B8008DB70088B60081B40079B2006FAF00
64AC0058A8004BA4003EA000309C00229700149100068C00008706008112007B1D007627
007030006A3700653E006043005B4700564B00524D004D4E00444A003D46003743003140
002D3E00293C00263A002439002237002137002036002036002036002137002238002539
00283B002C3D003140003844004048004B4D00524D00594900604300683B00702F007920
00830E088D002297003EA0005AA90073B00085B5008FB7008BB6007AB2005AA9002F9B00
018A00007627006043004349001D34000A2500031B00031A
00504E00293C00112B00061F00021A00031B00092300173000314000534C00663D007922
018A0029990053A70079B20099BA00B2C000C3C400C7BF00C7BD00C7BE00C6C100C4C400
BAC200AFBF00A5BD009ABA0091B80088B60081B4007BB20076B10073B00071AF0070AF00
71AF0073B00076B1007AB20080B30086B5008DB70094B9009CBB00A5BD00ADBF00B5C100
BDC300C4C400C6C100C7BF00C7BD00C8BD00C7BD00C7BF00C6C200C1C400B7C100ABBE00
9DBB008DB7007BB20069AD0056A80043A200309C001E95000C8F00008803008112007A1F
00732B006D3400663D006043005A4800554C004F4E00454A003C46003442002D3E00273B
002238001F35001B3300193100173000152F00142E00142D00142D00142D00142E00162F
001730001A32001D3400213700263A002D3E003643004249004F4E00574A005F44006939
00732B007E17018A0020960044A20069AD008EB700AFBF00C5C400C6C000C3C400A2BC00
71AF00379E0000880200703000564B002C3E00102A00051E
002338000D2700041D00031A00051E00102A00263A004E4E00643F007A200C8E0040A100
75B100A8BE00C8BC00CFA900D49C00D69600D79400D69700D49D00D1A600CDAF00C9B900
C5C300B7C100A7BD0099BA008DB70083B4007BB20075B10071AF006EAF006EAF006FAF00
72B00076B1007CB20083B4008CB70096B900A1BC00ADBF00BAC200C5C300C8BC00CBB400
CEAD00D0A600D3A000D49B00D69700D79400D79400D69500D59800D49D00D1A400CEAD00
CAB700C5C200B3C0009BBA0082B40068AD004FA600379E002096000B8E00008607007E18
007626006E3300673C005F4400584900524D00494C003D46003341002A3D002338001E35
00193100152F00122C00102A000E29000D27000C26000B25000B25000B25000B25000B25
000C26000D27000E2900102A00132D001730001C34002439002D3E003945004A4C00554B
005F44006B3700772500840B1692003FA1006EAF00A0BC00C7BF00D0A800D49B00D49C00
CEAC00BEC3007AB2002F9B00008014006340004048001831
000A2400041C00031B000923001931003945005B4700732B028A003FA1007FB300BCC300
CEAC00D79300DD8200DF7A00DF7A00DD7F00DA8900D69600D1A400CCB200C6C000B5C100
A0BC008DB7007DB3006FAF0063AC005AA90054A7004FA6004DA5004CA5004DA50050A600
55A7005CA90064AC006EAF007AB20087B50096B900A6BD00B7C100C6C200CAB800CEAD00
D2A300D59900D89000DB8700DD8100DF7C00DF7900E07900DF7B00DD8000DB8800D89200
D39E00CEAC00C9BA00BAC2009DBB007EB30061AB0044A200299900109000008705007E18
007528006C3500643F005C4700544C004B4D003D4600314000273B001F3600193200142E
00102A000D28000B2500092300082200072000061F00061F00051E00051E00051E00051E
00051E00051F00061F000720000822000A24000C26000F2900142D001A32002338002F3F
00404800524D005D45006A3800792200880325980057A80090B800C6C100D2A200D98D00
DC8500D98D00D0A800B2C00058A800078C00006E3200514D
00041C00051E000D28002439004F4E00683A0082112B9A0074B000C0C300D2A200DC8500
E27000E56500E66400E46B00DF7900DA8B00D39E00CDB000C5C200ABBE0090B80078B100
63AC0052A70044A200389E002F9B002899002497002197002196002297002598002A9A00
309C00399F0043A2004FA6005EAA006EAF0080B30093B800A8BE00BFC300C8BB00CEAE00
D3A000D79300DB8600DF7A00E27000E46800E66300E76100E66200E56600E36E00DF7900
DB8700D69700CFA900C8BB00B3C00090B8006EAF004DA5002E9B00129100008706007D1B
00732C00693900604300574A004F4E003F4700314000263A001D3400162F00112B000D27
000A2400082200062000051E00041D00041C00031B00031A00031A00021A00021A00021A
00021A00021A00031A00031A00031B00041C00041D00051F000721000A24000E2800132D
001B3300283B00394400504E005D46006B37007B1D078D00389F0075B100B7C100CFA900
DA8A00E07700E07600DA8B00CAB8007EB300239700007823
00072100142D003241005A480075281090005AA900ACBF00D1A500DF7B00E75F00EB5000
EC4F00E95700E56700DE7D00D69600CEAE00C5C400A1BC0080B30063AB004AA400359D00
2498001793000C8E00048B00008901008705008608008608008607008705008900048B00
0C8F001592002196002E9B003EA00050A60065AC007BB20094B900AFBF00C6C100CCB100
D2A000D88F00DE7F00E26F00E76100EA5600EC4D00ED4800EE4800ED4B00EB5300E75F00
E36E00DD8100D69500CFAB00C6C100A3BC007BB20056A800339D00149100008607007B1D
00702F00663D005C4700524D00444A00344200273A001D3400152E000F2A000B25000822
00061F00051D00041C00031B00021A00021900021900021900021900021900021900021A
00021A00021A00021900021900021900021900021900021900031A00031B00041D000620
000924000E2900162F002238003542004F4E005D45006E3300801419940055A8009ABA00
CBB300D98C00E36E00E66200E07800D2A200A3BC0040A100
001B33004249006440008113369E008CB700CCB200DD8200E95A00F03E00F23800EF4100
EA5500E36F00DA8B00CFA900C5C40099BA0071B00050A600339D001C9400098D00008705
008111007D1A00792100762600742900732B00732B00732B007529007626007921007C1B
00801400850A008A000E8F001E9600329C0048A30060AB007CB2009ABA00BAC200CAB700
D1A300D98F00DF7A00E56600EA5400EF4400F23700F42F00F52C00F42E00F23600EF4200
EA5300E46800DD8000D59A00CBB400B6C10089B6005EAA00379E00159200008608007920
006E3300624100584A004D4E003944002A3C001E3500152E000F29000A2400072100051E
00041C00031A00021900021900021900021A00031A00031B00031C00041C00041D00051D
00051E00051E00051E00051D00041D00041C00031B00031B00021A00021900021900021A
00031B00041D000721000C2600132D00203600344200504E00604300732B008803339D00
7AB200C6C100D79300E46A00E85D00E46900D88F00C5C400
00504E006C3600890051A600B5C100D59A00E36C00ED4A00F23800F23700ED4A00E56700
DB8800CFA900BFC3008CB70060AB003A9F001B9400028A00008211007A2000732B006D33
00693A00653E006241006043005F44005F44005F4400604300624100643F00673B006B37
007030007528007B1E0081120088030F90002498003DA0005AA90079B2009CBB00C2C400
CDB000D59900DD8100E46A00EA5300F04000F43000F72400F81E00F81E00F72500F33100
EF4300E95A00E17400D89000CEAC00BEC3008DB7005FAA00359D0010900000830D007626
006A38005E4500534D004148002E3F00203700162F000F29000A2400072000041D00031B
00021A00021900021900021A00031B00041C00051E00061F000721000923000A24000B25
000C26000C27000C27000C27000C26000B25000A2400082200072000051E00041D00031B
00021A00021900021A00031B00051F000A2400112B001F3500354200524D00653E007920
0F900052A600A4BD00D1A600DE7E00E56700E46900DB8800
00722D0E8F0063AC00C5C300DA8A00E66100ED4900EF4200EC4C00E66200DC8500CFAA00
B7C10080B40050A600279900068C00008112007725006E3300663D005F44005A4800554B
00514D004E4E004A4D00474B00464B00474B00494C004C4D00504E00524D00564B005A48
005F4400653E006B3700722D007920008210028B001A9400359D0055A70079B200A0BC00
C6C200CFA900D88F00E17500E85C00EE4400F43100F72200F91900FA1700F91C00F62700
F13A00EB5100E36D00DA8B00CFA900C0C3008CB7005BA900309C000A8E0000801400722D
00653E005949004C4D00354300253900193100102A000A2400072000041D00031B000219
00021900021A00031B00041D00061F000821000A24000D27000F2900122C00152E001830
001A32001B33001C34001C34001C33001B3300193100162F00132D00102A000D27000A24
00072000051E00031B00021A00021900031A00051D00092300112B002036003A4500574A
006B370082112A9A0079B200C6C200D59800DF7A00E17400
19940071AF00C7BD00DA8900E85D00EC4E00EB5200E56600DC8300D1A600BAC2007CB200
47A3001B9400008606007920006E33006440005B4800534C004A4D003F47003643003040
002B3D00283B00263A00253900253900263A00283B002B3D002F3F003542003C4600464B
00504E00554B005C47006340006B36007429007D19008704159200339D0057A8007EB300
AABE00C9BA00D39E00DD8200E56500ED4A00F33300F82100FB1500FC1000FB1300F81E00
F43000ED4800E56600DB8600D0A600C2C4008BB60058A8002A9A00038B00007C1B006E33
00604300544C004048002C3D001D3400122C000B2600072100041D00031A000219000219
00031A00041C00051E000822000B25000F2900132D001831001D3400233800283B002D3E
003241003643003844003A45003A45003944003643003241002D3E00283B002237001B33
00152E00102A000B2500072100041D00031A00021900021A00041D00092300132C002539
00444A005E45007429098D004CA5009BBB00CDB000D98E00
78B100C8BC00D98D00E46A00E95800E56600DD8200D1A400BFC30081B40046A300169200
00830E00742900673B005C4700524D004349003442002A3C002237001C3400183000152E
00132D00122C00112B00112B00112B00122C00142E00162F001A32001E35002338002A3D
003442003F48004E4E00564B005E4500673C00712F007B1D008606159200379E005FAA00
8BB600BCC200CEAD00D98F00E26F00EB5100F23600F82000FB1100FD0900FD0A00FB1400
F62600F04000E75E00DD8000D1A300C4C4008AB60054A700259800008802007921006A38
005C46004F4E00364300233800162F000E2800082200051E00031B00021900021900031A
00041D000620000A24000E2800132D001A32002237002A3D003342003D4600464B004F4E
00524D00554B00574A00584900594900594900584900564A00544C00514D004A4D004048
003542002A3C002036001730000F2900092400051F00031B00021900021A00051D000A25
001730002E3F00524D00683A00801427990073B000C2C400
C6C000D69700DE7C00E17400DE7F00D39F00C5C40085B50049A40017930000821100712E
00634000564B00474B00344200263A001C3400152E00102A000D27000B25000923000822
000721000721000720000721000721000822000923000B25000D27000F2A00132D001831
001F3600283B00334100424900514D005A4800643F006F31007B1E0087051A940040A100
6CAE009DBB00C8BD00D39E00DE7C00E85C00F03D00F72400FB1100FE0700FE0500FC0E00
F82000F13900E95900DE7D00D2A200C3C40087B5004FA6001F960000850800752700663D
00584A00454A002D3E001C3400112B000A2400061F00031B00021900021900031A00041D
000721000B2500102A001830002137002B3D00374400454A00504E00564B005C47006142
00653E00693A006C36006E33006F31007030006F31006E32006C3500693900653E006043
005B4800544C004B4D003A45002B3D001E3500132D000B2600061F00031B00021900031A
00061F000E28001E35003E47005C4700742A088D004EA500
D0A600D79300D79200D2A200C8BD0090B80050A6001A940000821000712E00614200534C
003D47002A3C001D3400142D000E28000A2400072100061F00041D00041C00031B00031B
00031B00031A00031A00031B00031B00031C00041C00051E00061F000821000A24000D27
00112B001830002036002B3D003A45004E4E005849006340006F31007C1C008900229700
4DA5007EB300B4C000CDAE00D98C00E46900EE4800F52B00FA1500FE0800FE0400FD0B00
F91C00F23600E95700DE7C00D2A200C0C30082B40049A40017930000820F00722D006241
00534C003B4600253A001730000D2700072100041C00021A00021900031A00041D000721
000B2600122C001A3200253A00334100434900514D00594900604300673C006D3300732B
007822007D1A00811300840D00860800870500870500870600850900830F007F16007B1E
007528006F3200673B005F4400564B004A4C00354200233800162F000C2600061F00031B
00021900031B00082200142D002B3D00514D00693A008210
CFAA00CDAE00C6C10099BA0061AB0025980000850A00722C00614200524D003945002539
001730000F29000A2400062000041D00031B00031A000219000219000219000219000219
00021900021900021900021900021900021900021900021A00031B00041C00051E000720
000923000D2800132D001B3300273B003743004B4D00584900643F00712E007F16098D00
319C0060AB0096B900C7BE00D49B00E07600EB5300F33300F91A00FD0900FF0300FD0900
F91900F33300EA5500DF7B00D2A300BEC3007DB30043A200119000007F16006E33005E45
004F4E003341001F3500122C000A2400051E00031B00021900021A00041C000620000B25
00122C001C3300283B003844004C4D00564B005F4400683A00702F007822008015008607
068C001391001F9600299900309C00369E00399F00399F00369E00319C002999001E9500
119000028A0000830D007B1D00722D00683B005D4600514D003B4500263A00162F000B25
00051E00021A00021900051E000D27001E35004148005F44
C0C3009BBA0068AD00339D00028B0000772500643F00534C00394500233800152E000C27
00072100051D00031B00021A00021900021900021A00031B00031B00041C00041D00041D
00041D00041D00041C00041C00031B00031A00021A00021900021900021900031A00031C
00051E000721000B2500112B001931002539003643004D4E005A4800673C00752800840C
17930045A3007AB200B6C100CFA900DC8400E75E00F13B00F81F00FD0B00FF0300FE0700
FA1600F43000EB5200DF7A00D2A300BBC20078B1003DA0000A8E00007C1C006A38005A48
00464B002B3D001932000E2800072100041C00021A00021900031B00061F000A2400112B
001B3300293C003B45004F4E005A4800643F006E33007823008112008A00149200289900
3B9F004DA5005DAA006BAE0077B10080B30085B50088B60087B50082B4007BB2006FAF00
61AB004FA6003B9F002598000E8F00008509007A1F006E3300614200544C003C46002439
00132D00092300041C00021900031B00082200162F003241
70AF0040A1000E8F00007D1A006A3800584A003F4700253900152E000C2600062000041C
00021A00021900021900031B00041C00051E000620000822000923000A24000B25000B25
000B25000A2400092300082200072100061F00051E00041C00031B00021A000219000219
00031A00041C000620000A2400102A00193100263A00384400504E005D46006B37007A1F
018A002C9A0060AB009CBB00CAB700D89100E46900EF4400F72500FC0E00FF0300FE0500
FB1300F42D00EB5000DF7900D1A300B8C10074B000379E00048B0000792200673C00564B
003E4700253900152E000B2500061F00031B00021900031A00041D000822000F29001931
00273B003A4500504E005B4700673C00722D007D1A0088041491002D9B0047A30061AB00
79B20090B800A4BD00B6C100C5C400C7BE00C9B900CAB600CAB600CAB700C9BA00C6C000
BFC300ADBF0098BA007FB30063AC0045A200259800068C00007F1600712E00624100534C
003743001F35000F2900062000031A00021A00061F00102A
1E960000840C00712F005E45004A4D002B3D001830000C2700062000031B000219000219
00031A00041D00061F000922000B26000F2900122B00142E001730001831001931001931
00183100173000152E00122C00102A000D27000A2400082100061F00041C00031B000219
00021900021A00041C00061F000A2400102A001A3200283B003E4700544C00624100712E
00811116920048A30082B400C4C400D39E00E17500EC4E00F52B00FB1200FE0500FE0400
FB1200F52B00EC4F00E07900D1A400B5C1006FAF00319C0000890100762700634000524D
003643001F3600112B00082200041D00021A00021900031B000620000C2600152F002338
003743004F4E005B4700683B00742A008013068C0023970041A10061AB0081B4009FBC00
BCC200C8BB00CEAD00D2A200D69700D88F00DA8900DC8400DD8200DD8200DC8400DA8900
D89000D59900D1A500CCB300C5C200A8BE0083B4005DAA00359E0010900000811200702F
005F44004E4E002D3E001730000A2400041C00021A00041D
00792100663D00544C003643001E35000F2900072100041C00021900021900031B00051E
000822000D2700122C001730001D3400233800293C002D3E003040003241003341003241
003040002D3E00293C002439001E3500193100142D000F29000B2500082200051E00041C
00031A00021900021A00031B00061F000A2400112B001C34002E3E00474B00594900683A
007921028A00319C006BAE00ACBF00CFAB00DD8100E95700F33200FA1600FE0600FE0400
FC1000F52900EC4D00E07800D1A500B1C0006AAD002B9A0000860600732B006043004F4E
003040001A32000E2800072000031B00021900031A00051D00092300112B001E35003040
004A4C00594900673C00742A0081110B8E002C9A0050A60075B1009ABA00BEC300CBB500
D2A300D79200DC8300E17500E46A00E76100E95900EA5400EB5100EB5000EB5000EA5300
E95800E76000E46A00E07700DB8600D59900CEAD00C5C40099BA006BAE003CA0000E8F00
007E18006C36005949003F47002036000E2800061F00031A
005D4500474B00283B00142E000A2400041D00021A00021900031B00061F000A2400102A
001830002137002B3D003543003F4800484C004F4E00524D00534C00544C00544C00534C
00514D004F4E00484B003F47003643002D3E002439001C3400152E000F29000A24000720
00041D00031A00021900021A00031C00061F000B2500142D00213700364300514D006043
00712E00830E1D950054A70096B900CAB700D98C00E76100F13A00F91B00FE0800FF0400
FC0F00F62800EC4C00E07800D1A500AEBF0065AC0026980000840C007030005D4600484C
002A3C00162F000B2500051E00031A00021900031B000620000D2700183000293C004048
00564B00643F00722D0080130C8E00309C0058A80082B400ACBF00C8BB00D1A500D89000
DF7C00E46A00E95A00EC4C00EF4100F23800F43100F52C00F62800F62600F62600F62700
F52A00F42F00F23600F03F00ED4C00E85C00E26F00DB8600D39F00C9BA00A2BC006AAD00
349D00038B0000782400643F004F4E002B3D00132D000821
003944001E35000E2900072000031B00021900031B00061F000B2500122C001C3400293C
00374400474B00524D005849005D4500624100653E00673B00693A00693A00683A00673C
00643F006142005D4600584A00524D004A4C003C46002F3F002439001A3200122C000C26
00072100041D00031A00021900021A00041C000721000D2800183100293C004349005849
006939007B1D0A8E0040A10080B400C5C200D69700E46B00EF4100F81F00FD0A00FF0400
FC0D00F62600ED4B00E07700D0A600ABBE0061AB00219600008211006D34005A48004148
00243900132D00092300041D00021900021A00041D00092300122B00203600364300504D
005F44006E32007E19078D002E9B005AA90087B500B6C100CCB300D59A00DD8100E46B00
EA5700EE4500F23600F52A00F82000FA1900FB1300FC0F00FC0C00FD0B00FD0A00FD0A00
FD0B00FC0D00FB1100FA1600F81E00F62900F23700ED4A00E76000DF7B00D59900C8BB00
98BA005BA90021970000820F006C3500574A003643001931
001830000B2500051E00031A00031A00051E000A2400112B001D34002D3E00404800514D
005A48006341006A38007030007528007921007C1C007E18007F17007E17007D1A007B1E
00782300742A006F31006939006340005C4700544C004A4D003945002A3D001E3500142D
000D2700082100041D00031A00021900031A00051D00092300112B001F3500344200514D
00624100742A0087052D9B006CAE00B4C100D2A200E17400ED4900F72400FD0C00FF0400
FD0C00F72400ED4900E07700D0A700A8BE005CAA001C9500007F15006A3700574A003B45
00203600102A00072100031B00021900031A00061F000C26001730002A3C00454A005949
00693900792100890027990055A70086B500B9C200CDAF00D79300E07800E75F00ED4900
F23600F62700F91B00FB1100FD0B00FE0600FF0300FF0200FF0100FF0000FF0000FF0000
FF0000FF0000FF0000FF0100FF0400FD0800FC1000F91C00F52B00F04000E95A00DF7C00
D3A000C4C40081B40040A100038B0000742A005D46004048
00092300041D00031A00041C000721000F29001B33002C3E00434900554B006043006A38
00732B007B1D00830F008802098D001191001893001B94001C95001A94001592000E8F00
058C00008705008111007B1E00742A006C3500643F005B4700524D004148002F3F002036
00152E000D2700072100041C00021A00021900031B00061F000C2600173000293C00454A
005B48006D340080131B940059A800A1BC00CEAD00DE7E00EB5000F52900FC0F00FE0400
FD0B00F72300ED4800E07700D0A800A5BD0058A800179300007D1A00683B00544C003542
001C33000D2800061F00031A00021900031C00082100102A001F3500364300524D006241
00732C00840D1A94004AA4007EB300B4C100CDAF00D89100E17300E95800F04000F52D00
F91D00FB1100FD0900FE0400FF0200FF0100FF0200FF0300FE0500FE0600FE0700FE0800
FE0800FE0600FE0500FF0300FF0100FF0000FF0100FF0400FD0A00FA1500F62700EF4200
E66200DB8700CDAF00A4BD0057A800149100007A1F006241
00041C00031B00051E000B2500152F00263A003D4700544C006142006E3300792100830D
078C001B94002E9B003EA0004BA40055A7005BA9005EAA005DAA0059A80051A60046A300
399F002A9A00199400088D00008509007C1B00732B006939005F4400554B00454A003140
00203600142E000C2600062000031B00021900021A00041C00082200112B001F36003844
00544C00663D007A200C8E0047A3008EB700CAB700DB8700E95800F42F00FB1200FE0500
FD0A00F72100EE4700E07600D0A800A2BC0054A700139100007B1E00653E00514D003040
001831000B2500051E00021A00021A00041D000A2400152E00273B004349005A48006B37
007C1B0A8E00399F006FAF00A8BE00CBB400D79300E17300EA5600F13C00F62700FA1700
FD0C00FE0500FF0200FF0200FE0500FD0900FC0E00FB1300FA1800F91C00F81F00F82000
F82100F81F00F91D00FA1900FB1300FC0E00FD0900FE0500FF0200FF0300FD0A00F91A00
F43100EC4E00E17200D49B00BAC2006AAD00229700007F16
00041D000721000F29001D34003341004F4E005E45006C35007A1F008704179300339D00
4DA50066AC007CB2008DB7009ABA00A3BD00A8BE00A9BE00A7BD00A0BC0095B90088B600
77B10064AC004EA500379E001F9600088D0000830E007822006D3400624100564B00464B
003040001E3500122C000A2400051E00031A00021900031B00061F000C26001831002D3E
004D4E00604300742A008901369E007DB300C6C000D89000E75F00F33400FB1400FE0500
FD0900F82000EE4600E07600CFA900A0BC0050A6000E8F00007922006340004F4E002B3D
00152F00092300041C00021900031A00061F000D27001B3200314000504E00624200742A
0086072598005BA90096B900C8BC00D59A00E07700E95700F13C00F72500FB1400FD0900
FF0300FF0200FE0500FD0B00FB1300F91C00F72500F42E00F23600F13C00EF4100EE4500
EE4600EE4600EF4300F03E00F23700F42F00F62600F91D00FB1300FD0B00FE0700FD0B00
FA1500F62600F04000E66200D79200C6C20077B1002C9A00
000A2400132D002439003F4700584A00673B0077250086071A94003FA10062AB0083B400
A0BC00BBC200C7BD00CBB400CEAD00CFA900D0A700D0A700CFAA00CDAF00CAB600C7BF00
BAC200A3BC0089B6006EAF0050A600339D00169200008704007B1D006F3100634100564B
004349002C3E001B33000F2900082200041C00021A00021900041C00092300122C002439
004048005A48006E3300830E2799006CAE00BCC300D59900E56700F13900FA1700FE0600
FD0900F81F00EE4500E07600CFAA009DBB004DA5000A8E00007725006142004A4C00273B
00132C00082200031B00021900031B00072100102A002137003D4600574A006939007C1B
0E8F0042A2007EB300BDC300D1A400DD8000E85D00F03F00F62600FB1400FD0800FF0300
FF0400FD0900FB1200F81D00F52A00F23700EF4400EB5000E85B00E66400E46B00E27000
E17300E17300E27100E36D00E56600E85D00EB5200EE4600F23800F62900F91C00FA1500
FB1300FA1600F72200F23700E76000D98E00C8BD0080B300
001730002B3D004B4D005E45007030008013109000399F0065AC0092B800B9C200C9B800
D0A700D59900D98C00DC8300DE7D00DF7A00E07900DF7A00DE7E00DC8400D98D00D59800
D1A400CCB300C5C300A8BE0087B50064AC0041A1001F9600008900007D1B006F31006142
00544C003E4700273A00162F000C2600061F00031B00021900031B000620000E28001C34
00354300544C00683B007D191993005CAA00ACBF00D2A100E36E00F03F00F91A00FE0700
FD0800F81E00EF4400E17500CFAA009ABA0049A400068C00007528005E4500444A002338
00102A00072000031A00021900041C00092300152E00293C00494C005E4500712E008509
26980061AB00A2BC00CCB300D98C00E56700EE4500F52A00FA1500FD0900FF0300FE0500
FD0C00FA1800F62600F23700EE4800E95800E46800E07700DC8300D98E00D69600D49C00
D2A000D2A200D2A100D39E00D59800D89000DC8500E07800E46800EA5700EE4500F23600
F62900F82000F91D00F72300F03E00E66200D98D00C8BB00
00314000514D00634000762700880228990057A80088B600BAC200CDB000D59900DB8600
E17500E56700E85C00EA5400EB5000EC4D00EC4D00EB5000EA5400E85B00E66400E27000
DE7E00D98E00D39F00CCB300C0C30099BA0071AF0049A400239700008A00007C1C006D34
005E4400504E00354300203600112B00092300041D00021900021A00051D000A2500162F
002C3E004F4E0062410078230C8F004EA5009DBB00CFA900E17500EF4400F81E00FD0800
FE0800F91C00EF4300E17500CFAB0098BA0045A300038B0000732B005C46004048002036
000E2800061F00021A00021900051E000C2600193200324100524D00653E007921098D00
40A10080B400C5C400D49C00E17500EB5000F43100F91900FD0A00FE0400FE0500FC0E00
F91B00F52D00F04000EA5500E46900DE7D00D98E00D39E00CEAB00CAB700C7BF00C2C400
B9C200B5C100B5C100B8C200C0C400C6C000CAB700CEAB00D49D00DA8B00E07800E66500
EB5100F03F00F43000F62700F33300ED4800E46800D89000
00544C00663C007A20088D003DA00071AF00A7BD00CAB700D59A00DE7E00E56800EA5600
EE4800F13C00F33300F52D00F52A00F52900F52A00F52C00F43100F23700F04000ED4B00
E95900E46900DF7C00D89100D0A700C7BF00A3BD0077B1004BA400219700008803007922
006939005A4800474B002C3D001931000D2700061F00031A00021900031B00082200122B
00243900444A005D4500732B008A0040A1008FB700CCB100DE7C00ED4900F82100FD0A00
FE0800F91B00EF4200E17500CEAB0095B90042A20000890000712E005A48003B45001D34
000C2700051E00021900031A00061F000E29001F36003C46005849006C350081121E9500
5CA900A1BC00CDB000DB8700E75E00F13B00F82000FC0E00FE0500FE0500FC0E00F91C00
F43000EE4600E75E00E17500D98C00D2A100CCB300C5C200B0C0009BBA008AB6007DB300
74B0006EAF006CAE006EAF0074B0007DB3008BB6009DBB00B4C100C7BE00CEAC00D59900
DC8300E36C00EA5600EF4200F03F00EE4500EA5500E27100
00693A007C1B10900047A30087B500C0C300D0A800DA8900E46C00EB5000F03E00F43000
F72500F91C00FA1600FB1200FC1000FC1000FB1100FB1300FA1700F91C00F72300F52D00
F13900ED4800E95A00E26F00DB8700D3A000C9BA00A6BD0076B10046A3001A940000840B
00742900643F00544C003A4500213700122C00082200041C00021900031A00061F000E28
001E35003A45005849006E33008509339D0081B400C9B900DC8300EC4F00F72400FD0B00
FE0700F91A00EF4100E17500CEAC0093B8003FA100008803006F31005849003743001A32
000B2500041D00021900031B00072100112B00253A00464B005E4500732B008802359D00
78B100C1C400D49C00E27100ED4A00F52A00FB1300FE0700FE0500FD0C00F91B00F43000
ED4800E66300DE7D00D69600CEAE00C6C200A8BE008BB70073B0005EAA004EA50041A100
379E00319C002E9B002F9B00329C00399F0043A20052A60065AC007DB3009ABA00BAC200
CAB600D39F00DB8600E36C00E85E00EA5600E95700E66400
007D191491004DA5008EB700C8BC00D49C00DE7D00E75F00EE4500F42E00F82000FA1700
FC1000FD0B00FE0600FE0400FE0400FE0400FE0400FE0500FE0700FD0A00FC0F00FA1600
F82000F52C00F13D00EB5000E56700DD8100D39D00C9BA00A2BC006EAF003CA0000F9000
007F16006E33005D46004B4D002C3E001831000C2600051E00021A00021900041D000B25
00183100324100544C00693900811327990074B000C6C000DA8A00EA5400F62700FD0C00
FE0700F91A00F04000E17400CEAD0091B8003CA000008606006D3300564B003341001830
000A2400041C00021900031B00092300152E002C3E00504E00643F007A200F90004CA500
94B900CBB500DB8800E85E00F23800F91C00FD0B00FE0500FD0900FA1700F52D00EE4700
E66300DD8000D49C00CAB600B6C10091B80071AF0055A7003DA0002A9A001B94000F9000
068C00008A00008802008803008901028B00098E00149200239700369E004DA50069AD00
8AB600B0C000CAB800D49D00DB8800E07700E46B00E46900
1391004CA5008EB700C8BC00D79400E17500E95900F04000F52B00F91A00FB1100FC0D00
FD0A00FD0800FE0600FE0500FE0500FE0500FF0400FF0300FF0200FF0300FE0500FD0800
FC0E00FA1800F72500F23600ED4B00E66400DD8100D39F00C7BE0097BA0060AB002C9A00
00890000782300663D00554B00394500203600102A00072100031B00021900031C000822
00142D002A3D004F4E00653E007C1B1C950068AD00C1C400D89000E95900F52B00FC0E00
FE0700FA1900F03F00E17400CEAD008EB700399F00008509006C3600544C00304000152F
00082200031B00021900041C000B2500193100344200554B006A3800801321970065AC00
B1C000D2A300E17500ED4B00F62900FB1100FE0600FE0700FB1200F62700EF4100E75F00
DE7F00D49D00C9B900ABBF0082B4005EAA0040A100269800119000008A0000840C007F16
007B1E007823007626007527007627007724007A20007D1900820F0088020F9000259800
40A10061AB0089B600B7C100CAB600D2A000D98D00DE7F00
47A30088B600C6C000D59A00E27200E95700EF4100F42F00F82100FA1500FB1300FB1300
FB1300FB1300FB1300FB1300FB1200FB1100FC0F00FD0C00FD0800FE0600FF0400FF0300
FE0500FD0A00FB1300F82000F33300ED4A00E56500DC8400D1A500C1C40086B5004DA500
199400008111006F31005D4600484C00293C00152E000A2400041C00021900031A000720
00102A00243900474B0060430078231291005CA900B5C100D69600E75E00F42E00FC0F00
FE0700FA1800F03F00E17400CEAE008CB700369E0000840C006A3800524D002C3E00132D
00072100031A00021900051E000D27001E35003C46005A48007030008705359D007DB300
C6C000D89100E66400F13B00F91D00FD0A00FE0500FC0D00F81F00F23900E95800DF7900
D59A00C9B900A8BE007BB20054A700329C00169200008900008112007A1F00742A006E32
006A3800673C00653E00643F00643F00653E00673C006A38006E3200742A007B1E00830F
058C001F960040A10068AD008FB800B9C200CBB400D39F00
7DB300BFC300D2A200DE7D00E95A00EE4700F23800F42D00F62600F82000F72200F62600
F62900F52A00F52B00F52A00F52900F62700F72300F81D00FA1700FB1100FD0B00FE0700
FE0400FE0400FD0800FB1100F81F00F33300EC4C00E46B00D98C00CDAF00ACBF006EAF00
359D00038B0000782300653E00534C003442001B33000D2700051E00021A00021A00051E
000D27001F35003E47005C4600742A088D0051A600AABE00D49C00E66300F33100FC1000
FE0700FA1700F03E00E17400CDAE008AB600339D0000820F00693A00514D00293C00122C
00072000031A00021A00061F000F2900223800454A005F44007627088D0049A40096B900
CDB000DD8000EB5300F52D00FB1300FE0600FE0800FA1600F42E00EC4D00E27000D79300
CBB400ACBF007BB20050A6002B9A000D8F0000840B007B1E00732C006B3700653E005F44
005B4700584A00554B00544C00544C00544C00564B005849005C4600614200673B006E32
007725008112058C0025980048A30070AF009ABA00C5C400
AEBF00CEAE00DA8B00E46B00EC4F00EF4400F03D00F13900F23800F23700F13C00EF4200
EE4700ED4900ED4A00ED4900EE4800EF4400F03E00F23600F42D00F72400F91A00FB1100
FD0A00FE0500FE0400FE0800FB1100F82100F23700EB5300E17400D59800C8BD0091B800
52A7001B9400008112006D34005A4800404800223800102A00072000031B00021900041D
000B25001A3200374300584900703000890046A3009FBC00D2A200E56800F33500FB1200
FE0700FA1600F03D00E17300CDAF0088B600309C0000811200673C004F4E00273A00102A
00061F00021A00031A00072000112B00283B004E4E00643F007B1D1893005EAA00AFBF00
D2A100E27000EF4400F72100FD0C00FE0600FC0E00F72200F03F00E66200DB8700CFAB00
B7C10082B40052A7002A9A00098D00008211007725006D3400653E005D4500574A00524D
004C4D00444A003F47003C46003A45003B45003D4700424900484C00504E00554B005C47
006340006D3500772400830D0D8F002F9B0057A80082B400
C8BB00D49B00DE7E00E56500EB5100EC4E00EC4E00EB5000EA5300EA5600E75E00E56500
E46A00E36D00E36D00E36C00E46A00E66400E85D00EA5400ED4800F13C00F42F00F72200
FA1700FC0D00FE0600FE0400FD0800FB1300F72500F03E00E85D00DD8100D0A800B4C100
71AF00339D00008900007528006142004E4E002B3D00152E00092300041C00021900031B
00092300162F00314000554B006C350086073DA00095B900D0A800E36D00F23800FB1300
FE0700FA1600F13C00E17300CDAF0086B5002E9B0000801400663D004D4E002439000F29
00051E00021900031B00082100142E002D3E00524D00693900811228990073B000C5C300
D79200E76100F23600FA1800FE0800FE0800FA1600F43000EB5200E07800D39E00C6C200
8FB7005BA9002E9B000A8E00008112007528006A3800614200584900514D00464B003B45
003241002C3E00283B00253A00243900243900253900283B002C3D003241003B4500474B
00524D005A4800643F006F31007B1E0087041C950044A200
CEAC00D89100DF7C00E46B00E75F00E66200E56800E36F00E17500DF7A00DC8300DA8B00
D89000D79200D79200D89000D98D00DB8600DE7E00E17300E56600E95800ED4800F23800
F62800F91A00FC0E00FE0700FE0500FD0A00FA1700F52C00ED4900E36C00D79300C9BB00
90B8004EA500139100007D1A00683A00544C003442001A32000B2600041D00021900031A
00072100132D002B3D00514D00693900830F349D008BB600CEAD00E27100F13B00FA1500
FE0700FA1500F13C00E17300CDB00084B5002B9A00007F1600643F00494C002237000D28
00051D00021900031B00092300173000334200574A006E33008607389E0087B500CAB600
DC8300EB5300F52B00FC1000FE0600FD0C00F82000F04000E56500D98D00CBB400A3BC00
6AAD00389E000F9000008210007528006939005E4400554B004A4D003B4600304000273B
002037001C3300193100162F00152F00152E00152F001730001932001D34002338002A3D
00354300444A00524D005D4600683B0074290081110E8F00
D1A400D89100DC8300DF7A00E17500DE7E00DB8700D89100D59900D3A000D0A800CDAF00
CBB300CBB500CBB500CCB200CDAE00D0A700D39E00D79300DC8500E17500E66300EB5100
F03D00F52B00F91A00FC0E00FE0600FE0600FC0D00F81E00F23700E95800DE7E00D0A800
AFBF0069AD0029990000840B006F31005A48003E47002036000E2800061F00021A00021A
00061F00102A00263A004E4E00663D007F152B9A0082B400CCB200E07600F03E00FA1700
FE0800FB1500F13B00E17300CDB00082B400299900007E1800634000464B002036000C27
00041D00021900041C000A24001A32003A45005B4800722C048B0049A4009CBB00CFA900
E17500EE4600F82100FD0B00FE0700FB1300F52D00EB5000E07900D2A200BEC30080B300
48A4001A9400008509007725006A38005E4500544C00454A00354200293C002036001931
00142E00112B000F29000D27000C26000C26000C26000D27000E2800102A00132D001831
001F3600293C003643004A4C00564A006241006F31007D1A
D1A500D59900D79200D89000D89100D49D00D0A800CCB300C8BB00C5C200BAC200AFBF00
A8BE00A6BD00A8BE00ADBF00B5C100C2C400C8BD00CCB100D2A300D79200DE7F00E46B00
EA5500F03F00F52A00FA1900FD0C00FE0600FE0700FB1300F62800EE4600E46B00D69500
C7BF0084B5003FA100058C00007627006143004A4C00273A00122B00072100031A000219
00051E000E2800213700474B006241007C1B23970079B200CAB700DF7A00EF4100FA1800
FE0800FB1400F13B00E17300CCB10081B400279900007D1A006241004349001E35000B25
00041C00021900041C000C26001E35004048005E4400772510900059A900B0C000D49D00
E46800F13A00FA1900FD0800FD0900F91B00F13A00E66100D98C00CBB5009CBB005FAA00
2B9A00018A00007B1E006C35005F4400544C00444A003241002539001B3300152E00102A
000C27000A24000822000721000720000620000620000720000721000923000A25000D27
00112B001730002036002D3E003E4700524D005E45006B36
CEAC00D0A700D0A600CFA900CDAF00C8BC00BEC300ABBE009BBA008EB70082B40078B100
72B00071AF0073B00079B20082B40090B800A1BC00B6C100C7BE00CEAE00D59A00DC8500
E36D00EA5500F03D00F62700FA1500FD0900FE0600FD0B00F91B00F23600E95900DC8300
CDAF009FBC0056A800169300007C1B00673C00524D002E3F00152F00092300031B000219
00041D000C26001E35004048005F440079211C950071AF00C8BB00DE7E00EF4400F91A00
FE0800FB1400F13A00E17300CCB1007FB300259800007C1C006043004048001C34000A25
00031C00021900051D000D2700213700474B006241007B1D1D95006AAE00C4C400D89000
E85C00F43000FB1200FE0700FC0E00F72500ED4800E17200D39E00C0C3007DB30042A100
11910000801300712F00634000564B00464B00324100233800193200122C000D27000A24
00072100061F00051E00041D00041C00041C00041C00041C00041C00051D00061F000720
000923000D2700122C001A3200263A003643004E4E005B47
C9B900C9B900C7BD00C5C400B7C1009EBB0088B60075B00066AC005AA9004FA60047A300
43A20042A20045A3004BA50055A70062AB0073B00089B600A2BC00C0C300CBB400D39E00
DB8600E36C00EB5100F23800F72100FC1000FE0700FE0700FB1200F62900ED4900E27200
D39E00BAC2006EAE0029990000830E006C3500574A003643001A32000A2500041C000219
00041C000A24001A32003B45005C4600772515920069AD00C7BF00DD8200EE4700F91B00
FD0800FB1300F13900E17200CCB1007DB300239700007B1E005F44003E47001A32000A24
00031B00021900051E000F29002539004E4E00663D0080152999007BB200C9BA00DC8400
EB5100F62700FC0E00FE0700FB1400F43000E95700DC8300CDB000A1BC0060AB00289900
00880400772500683B005A48004C4D00354200243900193100112B000C2600082200061F
00051D00041C00031B00031A00021A00021A00021A00021A00021A00031A00031B00041C
00051E000720000A24000E2900162F002137003241004A4C
BCC300B4C100A6BD0095B90084B5006BAE0056A80045A200379E002D9B002497001D9500
1A94001B94001E95002498002D9B003A9F004AA4005FAA0078B10096B900B8C200CAB600
D39D00DC8300E56600ED4A00F43000F91A00FD0B00FE0600FD0C00F81E00F13B00E66200
D98E00C8BC0085B5003CA00000890000722D005C47003E47001E35000D2700051D000219
00031B000923001730003643005A4800742A0E8F0061AB00C5C300DB8600ED4A00F91D00
FD0900FB1300F13900E17200CCB2007CB200219600007A20005E45003B46001931000923
00031B00021900061F00112B00293C00514D006A3900840C369E008BB600CDB000DF7900
EE4600F81F00FD0A00FD0900F91B00F13B00E56600D79400C7BF0085B50045A300119100
007F16006E32005F4400514D003A4500273B001A3200112B000B2600082100051E00041C
00031B00021A00021900021900021900021900021900021900021900021900021900021A
00031A00041C00051E000822000C2600132D001E35002F3F
9BBA008CB7007BB20068AD0055A8003EA0002B9A001C9500109000088D00008A00008803
008705008705008901038B000C8E001893002799003B9F0053A7006FAF0091B800B8C200
CBB400D59900DF7B00E85D00F03F00F62600FB1200FE0700FE0800FA1500F42E00EB5300
DE7F00CEAE009CBB004FA6000D8F0000782400614200474B002338000F2900061F00021A
00031A00082100152E00314000574A00712E098D005AA900BFC300DA8A00EC4D00F81E00
FD0900FB1200F23800E27200CCB2007AB2001F9600007922005D46003944001830000822
00031A00021A00062000122C002D3E00544C006D3400870442A2009ABA00D0A600E36F00
F03D00F91900FD0800FD0C00F72300EE4700E17400D1A300B2C0006BAE002E9B00008901
00772500663D00574A00444A002D3E001D3400132C000C2600082100051E00031C00031A
00021900021900021900021900021A00031A00031A00031A00031A00021A000219000219
00021900021A00031B00041D000720000B2500122C001D35
78B10066AC0052A7003EA0002C9A00189300078D0000870500830E007F15007D1A007B1E
007A1F007B1E007C1B007F1600830E008804098D001B9400329C004DA5006DAE0093B900
BFC300CEAD00D89000E27000EB5000F33300F91B00FD0B00FE0700FC0F00F72400EE4600
E27100D3A000B2C00062AB001B9400007D1A00653E004F4E00293C00122B00072000021A
00021A00072000132C002D3E00554B006F31038B0054A700B9C200D98D00EC4F00F82000
FD0900FB1200F23800E27200CCB30079B2001D9500007823005C4600374300162F000821
00031A00021A00072100142E00314000574A00702F048B004EA500AABE00D49D00E56500
F33500FB1400FE0800FC1000F52B00EA5300DD8200CCB10099BA0053A7001A9400008112
006F31005F4400504E00364300223800162F000D2800082200051E00031B00021A000219
00021900021A00031A00031B00041C00041C00041D00041D00041D00041C00031B00031A
00021A00021900021900031A00041C00061F000A2500122C
56A80042A1002D9B001A94000A8E00008607008015007A1F00762600732B00702F006F32
006E32006F3100712E00742A007823007D1A00830E018A001592002F9B004DA50072B000
9DBB00C6C000D2A300DC8300E76100EF4100F72500FB1100FE0700FD0A00F91B00F13A00
E66300D79300C5C30075B0002A9A00008210006A3800534C002E3F00142E00082100031A
00021A00061F00112B002A3C00534D006D350089014EA500B2C000D89000EB5200F82100
FD0A00FB1200F23800E27200CCB30078B1001C9400007724005B4700354200152F000721
00021A00031A00082100162F003542005A4800742A0C8F005BA900B8C200D79300E85C00
F42D00FC1000FE0800FA1500F33400E75F00D89000C7BF0082B4003EA000088D00007A20
00683B00584A004349002A3D001A3200102A00092400061F00041C00021A000219000219
00031A00031B00041C00051E00061F00062000072000072000072000062000051F00051D
00041C00031B00021A00021900021A00041C00061F000B25
369E002197000E8F00008803008111007A2000732A006E32006A3800673B00653E00643F
00634000643F00663C006939006D3300732C007921008014008901159200319C0054A700
7DB300ADBF00CBB500D79400E27200EB4F00F43000FA1800FD0900FE0800FB1500F43000
E95700DB8600CAB70087B500399F00008706006E3200574A00344200173000092300031B
00021900051E000F2900263A00504D006A3700870648A300ACBF00D79300EA5400F72200
FD0A00FB1100F23700E27200CBB30076B1001A9400007626005A4800334200142E000720
00021A00031A000822001831003944005C4600772515920066AC00C5C300DA8B00EA5300
F62700FC0D00FD0900F91B00F03D00E46B00D49D00B8C2006CAE002B9A0000860700732B
00614200514D00364300213700142E000C2600072000041C00031A00021900021900031A
00031C00051D00061F000721000923000A24000A25000B25000B25000A24000923000721
00061F00051D00031B00031A00021900021A00041C000620
199400058C0000840C007C1B007627006E3200683A006340005F44005D46005B48005948
005948005B48005D4600604300643F006939006F31007725007F150089001994003A9F00
61AB008FB800C4C400D1A500DD8200E75E00F13C00F82000FC0D00FE0700FC0F00F62700
EC4C00DF7A00CEAC0099BA0048A300048B0000732C005B47003A45001A32000A2400041C
00021900051D000E28002439004E4E00683A00850A42A200A7BD00D69600EA5600F72400
FD0A00FB1100F23700E27200CBB40075B10019930000762700594800324100132D000620
00021A00031B000923001A32003D47005F44007A201D950072B000C8BC00DD8200ED4B00
F72100FD0B00FD0B00F82100EE4700E07700CFA900A3BD0058A8001A9400008014006D35
005B4700474B002C3E001A32000F2900092300051E00031B00021900021900031A00041C
00051E000720000923000B25000D27000E2900102A00102A00102A000F29000E28000C26
000A2400072100051E00041C00031A00021900031A00041C
008A0000811100792100722D006B3700643F005E4500594900554B00534C00514D00504E
00504D00524D00544C00574A005B4700604300673C006E32007725008113048B00239700
48A30075B000A8BE00CBB500D89200E36D00ED4800F62900FB1200FE0800FD0C00F81F00
EF4200E26F00D2A200AABE0056A8000F9000007725005E44004048001E35000C2600041C
00021900041C000C27002137004A4D00673C00830E3DA000A2BC00D59900E95900F72500
FD0B00FB1100F23600E27200CBB40074B00017930000752800594900304000132C00061F
00021900031B000A24001C34004148006142007C1B2598007DB300CBB500DF7A00EF4400
F91C00FD0900FC0D00F62700EB5000DD8200CBB40090B80047A3000B8E00007A2000673C
00554B003C4600243900152E000C2600062000041C00021A00021900021A00031B00051E
000721000A24000D27000F2A00122C00152E00162F00173000173000162F00142E00122C
000F29000C2600092300061F00041C00031A00021A00031A
008014007724006F3100683B006142005A4800544C00504E004B4D00464A004249004148
00414800444A00494C004F4E00534C005949005F4400663C006F3100792100840C0F9000
329C005DAA008FB700C5C300D3A000DF7A00EA5500F33200FA1800FD0900FD0900F91900
F13900E56500D69800BAC20064AC00199400007B1E00624100464B002137000D2700041D
00021900041C000B25001F3500474B00653E008111399F009DBB00D49C00E85B00F62600
FD0B00FB1100F23600E27200CBB40073B00016920000742900584A002F3F00122C00061F
00021900031B000B25001E3500454A006440007F162D9B0087B500CDAE00E17300F03E00
FA1800FD0800FC1000F42D00E95900D98C00C7BE007EB300379E00008901007429006142
00504E003341001E3500112B00092300051E00031B00021900021900031B00051D000720
000A24000D2800112B00152E001931001C34001F35002036002036001F36001D34001932
00162F00112B000D2700092300062000041C00031A00021A
007724006E3200663D005E4500584A00514D00494C004048003A45003643003341003241
003341003643003A45004148004A4C00514D00584A005F4400683B00722D007D1B008901
1E960047A30078B100B0C000CEAD00DB8800E76100F13C00F81E00FD0C00FE0800FB1400
F33100E85C00D98E00C6C10072B000249700007E1800653E004D4E002439000F2900051E
00021900031B000A24001D34004349006340008014359D0098BA00D39E00E85D00F62700
FD0B00FC1100F23600E27200CBB40072B00015920000742A00574A002D3E00112B00051E
00021900041C000B2600203600494C00663D008111359D0091B800D0A800E36C00F23800
FA1500FD0800FB1400F33400E66200D69600BFC3006EAF0028990000840C006F31005C46
00484B002B3D001831000D2700072100041C00021A00021900031A00041C000620000923
000D2700122C001730001C3400213700253900283B002A3C002B3D00293C00273B002338
001E3500183100132D000E2800092300061F00041C00031A
006F3200663D005D4500564B00504E00444A003945003241002D3E002A3C00283B00273B
00283B002A3D002E3F003442003C4600474B00514D005949006142006B37007626008210
0E8F00349D0063AC009BBA00C9BA00D79400E36C00EE4600F62500FC0F00FE0800FC1100
F52B00EA5300DC8500C9B9007EB3002E9B0000811100683A00504E00283B00102A00061F
00021900031B000924001B33004048006242007E17319C0094B900D2A000E75E00F62800
FD0C00FC1000F23600E27100CBB50071AF0014910000732B00574A002C3E00102A00051E
00021900041C000C26002237004D4E00683B00840C3CA0009BBA00D2A200E56600F33300
FB1200FD0900FA1700F13A00E46A00D39F00AFBF005FAA001C9500007F16006B3700584A
003F4700243900142E000B2500061F00031B00021900021900031B00051E000822000C26
00112B001730001D35002439002A3C002F3F003341003643003743003543003341002E3F
00283B002137001A3200142D000E2800092300061F00041C
00673C005E4500564B004F4E004148003643002D3E00273B002338002036001F35001E35
001F36002137002539002A3C003140003B4500484B00534C005B4700653E007030007C1C
00890024970051A60087B500C4C400D39F00E07700EC4F00F52C00FB1300FE0800FC0E00
F72500ED4B00DE7D00CCB2008BB600379E0000850A006B3700534D002B3D00122B00061F
00021A00031B000923001932003D47006043007D1A2D9B0090B800D2A300E76000F62900
FD0C00FC1000F23500E27100CBB50070AF0013910000732C00564B002B3D00102A00051E
00021900041C000D27002439004F4E006A3900860843A200A3BD00D49C00E76100F42F00
FC1000FD0900F91B00F04000E27200D0A700A1BC0051A600119000007B1E00663D00544C
003743001F3600112B00092300041D00031A00021900031A00041D000720000A2500102A
00162F001D34002539002C3E003442003A45003F4700424900444A004349004048003A45
003342002B3D002338001B3300132D000D2700082200051E
00604300574A004F4E004048003442002B3D002439001F35001B33001932001831001831
001931001B33001E3500223800283C003140003D46004C4D00564B005F44006A38007626
00840C15920041A10075B100B2C000CFAA00DD8100E95800F33300FA1700FD0900FD0B00
F82000EE4500E17500CFAB0096B90041A100008704006E3300554B002E3F00132D000720
00021A00031A000822001831003B45005F44007C1C2A9A008CB700D1A400E66200F52A00
FD0C00FC1000F23500E27100CBB5006FAF0012910000722D00554B002A3D000F2900051D
00021900041D000E2800253A00514D006B360088034AA400ACBF00D69700E85B00F52B00
FC0E00FD0A00F81F00EE4600DF7900CDAF0094B90045A300078C0000772500624100504E
003040001B33000E2800072100041C00021900021900031B00051E000822000D2700132D
001B33002338002D3E003643003E4700464B004C4D004F4E00504E004F4E004E4E00484B
004048003743002D3E00233800193200112B000B25000720
00594800514D004249003542002A3D002238001C3400183100152F00142D00132D00132D
00142D00152F001831001C3400223700293C00344200424900514D005A4800653E00712E
007F16098D00329D0066AC00A2BC00CBB300DA8A00E76100F13A00F91C00FD0A00FD0A00
F91C00F03F00E36F00D1A400A0BC0049A400018A0000703000574A00314100152E000721
00031A00031A000821001730003944005E45007A1F27990089B600D0A600E66300F52B00
FC0C00FC1000F33500E27100CBB5006FAF0011900000722D00554B00293C000F2900051D
00021900041D000E2900273B00524D006D34008A0050A600B3C000D79200E95700F62700
FC0D00FD0B00F72200EC4C00DD8000CBB60088B6003B9F0000890100732B005F44004A4D
002B3D001730000C2600061F00031B00021900021A00041C000620000A2400102A001730
002036002A3D003542003F4800494C00504E00534C00554B00564B00554B00544C00514D
004D4E004349003744002C3D002036001730000F29000923
00544C00484B003844002C3D002338001C3300173000132D00112B00102A000F29000F29
00102A00112B00142D001730001C34002338002C3E003945004B4D00564B006142006D34
007A1F00890126980058A80093B800C8BB00D79300E46800F04000F82000FD0C00FD0900
FA1800F13A00E46800D39E00AABE0051A600078D0000722C00594900344200162F000821
00031A00021A00072100162F003743005D4600792024980086B500D0A800E66400F52C00
FC0D00FC1000F33500E27100CBB5006EAF0010900000712E00544C00293C000E2900041D
00021900051D000F2900293C00534C006E32048B0056A800BAC200D98E00EB5300F72400
FD0C00FC0D00F62600EB5100DB8600C8BC007DB300329C00008608007030005C4700444A
00263A00142E000A2400051E00031A00021900031A00041D000821000C2700132D001C33
00263A003140003D4700494C00514D00554B005849005A48005B47005B47005A4800574A
00534C004F4E00434900354300283B001C3400132D000C26
004F4E003D47002F3F002439001D3400173000132C00102A000E28000D27000C27000C27
000D27000E2900102B00142D001831001E3500273A00324100424900524D005D46006939
00762600850A1B94004CA50086B500C5C300D49B00E27000EE4600F72400FC0E00FD0800
FA1600F23500E66300D59900B3C00059A8000C8F00007429005B48003744001730000822
00031A00021A00072000152E003542005C4700782222970083B400CFA900E56600F52C00
FC0D00FC1000F33400E27100CBB6006EAE000F900000712E00544C00283B000E2800041D
00021900051E00102A002A3C00544C007030078D005BA900C0C300DA8A00EC4F00F72200
FD0B00FC0E00F62900EA5600D98C00C6C10074B00029990000830E006D34005949003E47
00233800122C00092300041D00021A00021900031B00051E000923000F2900162F002036
002B3D00384400464A00504E00554B005A48005D46005F44006043006043005F44005C46
00594900544C004E4E003F48003040002338001830000F29
00464B00354200283B001F3500183100132D000F29000D27000B26000B25000A24000A24
000B25000C26000E2800112B00152E001A32002238002D3E003C46004F4E00594800653E
00732C00811112910041A1007AB200BCC200D2A100E07600EC4C00F62800FC1000FD0800
FB1300F33100E75E00D79400BBC2005FAA00119100007626005C46003A45001931000923
00031B00021A00072000142E003342005B4700782420960081B400CFAA00E56700F52D00
FC0D00FC1000F33400E27100CAB6006DAE000F900000712F00544C00273B000E2800041D
00021900051E00102A002B3D00554B00712E0B8E005FAA00C5C400DB8700EC4C00F81F00
FD0A00FC0F00F52C00E85B00D89100C2C4006BAE00229700008014006A3800564B003A45
00203600102A00082200041C00021900021900031B00061F000A2400112B001932002439
003140003F47004E4E00544C005948005E4500614200634000653E00653E00643F006142
005D4500594900534C00494C00384400293C001C3400122C
003E47002F3F002338001B3200142E00102A000D27000B25000A24000923000923000923
000923000A24000C26000E2900122C001730001E3500283B00364300494C00564A006241
007030007E170B8E00389E0070AF00B2C000D0A700DF7C00EB5100F52C00FB1200FD0800
FB1200F42E00E95A00D89000C1C40065AC00169200007823005E45003C46001A32000923
00031B00021900062000132D003241005A480077251E95007FB300CEAC00E56800F42E00
FC0D00FC1000F33400E27100CAB6006DAE000E8F0000702F00534C00273B000E2800041C
00021900051E00112B002D3E00564B00722D0D8F0064AC00C6C100DC8400ED4900F81E00
FD0A00FC1000F42F00E75E00D69500BAC20064AC001C9500007E1800683A00544C003643
001D34000F2900072100031C00021900021A00041C000720000C2600132D001C3400283B
00364300454A00514D00584A005D4600614200653E00673B00693A00693900683B00653E
006242005D4600574A00504E004048002F3F00213700162F
003844002A3C001F3600173000122C000E28000B25000923000822000821000721000821
000822000923000A25000D2700102A00152E001B3300253900324100444A00544C006043
006D34007C1C048B00319C0068AD00A9BE00CEAC00DD8100EA5500F42F00FB1400FD0800
FC1000F52B00E95700D98C00C5C3006AAE001A9400007921005F44003E47001B33000A24
00031B00021900061F00132C0031400059480076261C95007DB300CEAD00E46800F42E00
FC0D00FC0F00F33400E27100CAB6006CAE000E8F0000703000534C00263A000D2800041C
00021900051E00112B002E3E00574A00732B10900067AD00C7BF00DD8100EE4700F91C00
FD0900FB1200F33100E66200D59900B4C1005EAA00179300007C1C00663D00524D003341
001B33000E2800062000031B00021900021A00041D000821000D2700152E001F36002C3E
003B45004B4D00544C005A4800604300653E00683A006B37006C35006C35006B36006939
00653E006043005B4800544C00484B00354300263A001931
00334200263A001C3300152E00102A000C26000A24000822000721000720000720000720
000721000822000923000B26000E2900132C001931002237002E3F003F4800524D005E45
006B370079200089002B9A0061AB00A2BC00CDB000DC8500E95900F33200FA1500FD0900
FC0F00F62900EA5400DA8900C6C0006EAF001D9500007A1F006043004048001C33000A24
00031B00021900061F00122C0030400059490076271B94007CB200CEAD00E46900F42E00
FC0D00FC0F00F33400E27100CAB6006CAE000D8F0000703000534C00263A000D2700041C
00021900051E00112B002E3F00584A00742A1291006AAD00C8BD00DE7F00EE4500F91B00
FD0900FB1300F33300E66500D49C00AFBF0059A900139100007A1F00653E00514D003040
001932000D2700061F00031B00021900031A00051D000822000E28001730002237002F3F
003F48004F4E00564A005D4600634000673B006B37006E33006F31007030006F32006C35
00683A006440005E4500574A004E4E003B45002A3C001C34
003040002338001A3200132D000E28000B2500092300072100072000061F00061F00061F
000620000721000922000A25000D2800112B001730002036002C3D003C4600504E005C47
0069390078230088042698005CA9009CBB00CBB400DB8800E85C00F33400FA1700FD0900
FC0E00F62700EB5200DB8700C7BE0072B0001F9600007B1D006142004148001C34000A24
00031B00021900061F00122C002F3F0058490075271A94007BB200CDAE00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006CAE000D8F0000703000534D00263A000D2700041C
00021900051F00122C002F3F0058490074291492006CAE00C8BB00DE7D00EF4300F91A00
FD0900FB1300F23500E56700D39F00AABE0055A80010900000792100634000504E002E3F
001831000C2600061F00031A00021900031A00051E000923000F29001831002439003241
00434900514D005849005F4400653E006A38006D3400703000722D00722D00712E006F32
006B3700663D00604300594900514D003F48002D3E001F35
002D3E00213700183100122C000D28000A2400082200072000061F00061F00061F00061F
00061F000720000822000A24000C2700102A00162F001E35002A3C003A45004F4E005B48
00683B00762600860723970058A80098BA00CAB600DA8B00E75E00F23600FA1800FD0900
FC0E00F62600EB5000DC8500C8BC0074B000219700007C1C006142004249001D34000A25
00031B00021900061F00122C002F3F0058490075281994007AB200CDAE00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F0000703000524D00253A000D2700041C
00021900061F00122C0030400058490075291592006EAF00C9BA00DF7C00EF4200F91900
FD0900FB1400F23600E46900D2A000A7BD0052A7000E8F00007823006241004F4E002D3E
001730000B2600051E00031A00021900031A00051E00092300102A00193200263A003442
00464A00524D005A4800614300663C006B36006F3100722D00732B00742A00732B00702F
006D3400683B006241005B4700524D004349003040002137
002B3D001F3600173000112B000D27000A2400082200072000061F00051E00051E00051E
00061F000620000821000923000C2600102A00152F001D3400283C003844004E4E005A48
00673C00762700850820960055A80095B900CAB800D98C00E75F00F23700FA1800FD0900
FC0D00F62500EC4F00DC8400C8BB0076B100239700007C1B006241004349001D34000B25
00031B00021900061F00122B002E3F00584900752819930079B200CDAF00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F0000703000524D00253A000D2700041C
00021900061F00122C0030400059490075281692006FAF00C9B900DF7B00EF4100FA1900
FD0900FB1500F23700E46A00D2A200A5BD0050A6000C8F00007724006241004E4E002C3D
001730000B2500051E00031A00021900031B00051E000A2400102A001A3200273A003643
00474B00534C005B4700624200673B006C3500702F00732B00752900752800742900722D
006E33006939006340005C4600544C00454A003241002238
002B3D001F3500162F00102A000C2700092400082100062000061F00051E00051E00051E
00061F000620000721000923000C26000F2A00152E001D3400283B003844004D4E005948
00673C0075280085091F960054A70093B900C9B800D98D00E76000F23700FA1900FD0900
FC0D00F72500EC4E00DC8300C8BB0077B100239700007C1B006241004349001E35000B25
00031B00021900051F00112B002E3F00584A00752819930079B200CDAF00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F00006F3100524D00253A000D2700041C
00021900061F00122C00304000594900752816920070AF00C9B900DF7B00EF4100FA1900
FD0900FA1500F23800E46A00D2A200A4BD004FA6000B8E00007724006142004D4E002B3D
00162F000B2500051E00031A00021900031B00051E000A2400112B001B3200273B003743
00484C00544C005B4700624100683A006D3400712F00742A00752800762700752800722C
006F32006A3800643F005D4600544C00474B003342002338
002B3D001F3500162F00102A000C2700092400082100062000061F00051E00051E00051E
00061F000620000721000923000C26000F2A00152E001D3400283B003844004D4E005948
00673C0075280085091F960054A70093B900C9B800D98D00E76000F23700FA1900FD0900
FC0D00F72500EC4E00DC8300C8BB0077B100239700007C1B006241004349001E35000B25
00031B00021900051F00112B002E3F00584A00752819930079B200CDAF00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F00006F3100524D00253A000D2700041C
00021900061F00122C00304000594900752816920070AF00C9B900DF7B00EF4100FA1900
FD0900FA1500F23800E46A00D2A200A4BD004FA6000B8E00007724006142004D4E002B3D
00162F000B2500051E00031A00021900031B00051E000A2400112B001B3200273B003743
00484C00544C005B4700624100683A006D3400712F00742A00752800762700752800722C
006F32006A3800643F005D4600544C00474B003342002338
002B3D001F3600173000112B000D27000A2400082200072000061F00051E00051E00051E
00061F000620000821000923000C2600102A00152F001D3400283C003844004E4E005A48
00673C00762700850820960055A80095B900CAB800D98C00E75F00F23700FA1800FD0900
FC0D00F62500EC4F00DC8400C8BB0076B100239700007C1B006241004349001D34000B25
00031B00021900061F00122B002E3F00584900752819930079B200CDAF00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F0000703000524D00253A000D2700041C
00021900061F00122C0030400059490075281692006FAF00C9B900DF7B00EF4100FA1900
FD0900FB1500F23700E46A00D2A200A5BD0050A6000C8E00007724006241004E4E002C3D
001730000B2500051E00031A00021900031B00051E000A2400102A001A3200273A003643
00474B00534C005B4700624200673B006C3500702F00732B00752900752800742900722D
006E33006939006340005C4600544C00454A003241002238
002D3E00213700183100122C000D28000A2400082200072000061F00061F00061F00061F
00061F000720000822000A24000C2700102A00162F001E35002A3C003A45004F4E005B48
00683B00762600860723970058A80097BA00CAB600DA8B00E75E00F23600FA1800FD0900
FC0E00F62600EB5000DC8500C8BC0074B000219700007C1C006142004249001D34000A25
00031B00021900061F00122C002F3F0058490075281994007AB200CDAE00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F0000703000524D00253A000D2700041C
00021900061F00122C0030400058490075291592006EAF00C9BA00DF7C00EF4200F91900
FD0900FB1400F23700E46900D2A000A7BD0052A7000E8F00007823006241004F4E002D3E
001730000B2600051E00031A00021900031A00051E00092300102A00193200263A003442
00464A00524D005A4800614300663C006B36006F3100722D00732B00742A00732B00702F
006D3400683B006241005B4700524D004349003040002137
003040002338001A3200132D000E28000B2500092300072100072000061F00061F00061F
000620000721000922000A25000D2800112B001730002036002C3D003C4600504E005C47
0069390078230088042698005CA9009CBB00CBB400DB8800E85C00F33400FA1700FD0900
FC0E00F62700EB5200DB8700C7BE0072B0001F9600007B1D006142004148001C34000A24
00031B00021900061F00122C002F3F0058490075271A94007BB200CDAE00E46A00F42F00
FC0E00FC0F00F33400E27100CAB6006BAE000D8F0000703000534D00263A000D2700041C
00021900051F00122C002F3F0058490074291492006CAE00C8BB00DE7D00EF4300F91A00
FD0900FB1300F23500E56700D39F00AABE0055A70010900000792100634000504E002E3F
001831000C2600061F00031A00021900031A00051E000923000F29001831002439003241
00434900514D005849005F4400653E006A38006D3400703000722D00722D00712E006F32
006B3700663D00604300594900514D003F48002D3E001F35
00334200263A001C3300152E00102A000C26000A24000822000721000720000720000720
000721000822000923000B26000E2900132C001931002237002E3F003F4800524D005E45
006B370079200089002B9A0061AB00A2BC00CDB000DC8500E95900F33200FA1500FD0900
FC0F00F62900EA5400DA8900C6C0006EAF001D9500007A1F006043004048001C33000A24
00031B00021900061F00122C0030400059490076271B94007CB200CEAD00E46900F42F00
FC0E00FC1000F33400E27100CAB6006CAE000D8F0000703000534C00263A000D2700041C
00021900051E00112B002E3F00584A00742A1291006AAD00C8BD00DE7F00EE4500F91B00
FD0900FB1300F33400E66500D49C00AEBF0059A900139100007A1F00653E00514D003040
001932000D2700061F00031B00021900031A00051D000822000E28001730002237002F3F
003F48004F4E00564A005D4600634000673B006B37006E33006F31007030006F32006C35
00683A006440005E4500574A004E4E003B45002A3C001C34
003844002A3C001F3600173000122C000E28000B25000923000822000821000721000821
000822000923000A25000D2700102A00152E001B3300253900324100444A00544C006043
006D34007C1C048B00319C0068AD00A9BE00CEAC00DD8100EA5500F42F00FB1400FD0800
FC1000F52B00E95700D98C00C5C3006AAE00199400007921005F44003E47001B33000A24
00031B00021900061F00132C0031400059480076261C95007DB300CEAD00E46900F42E00
FC0D00FC1000F33400E27100CAB6006CAE000E8F0000703000534C00263A000D2800041C
00021900051E00112B002E3E00574A00732B10900067AD00C7BF00DD8100EE4700F91C00
FD0A00FB1200F33100E66200D59900B4C1005EAA00179300007C1C00663D00524D003341
001B33000E2800062000031B00021900021A00041D000821000D2700152E001F36002C3E
003B45004B4D00544C005A4800604300653E00683A006B37006C35006C35006B36006939
00653E006043005B4800544C00484B00354300263A001931
003E47002F3F002338001B3200142E00102A000D27000B25000A24000923000923000923
000923000A24000C26000E2900122C001730001E3500283B00364300494C00564A006241
007030007E170B8E00389E0070AF00B1C000D0A700DF7C00EB5100F52C00FB1200FD0800
FB1200F42E00E85A00D89000C1C40065AC00169200007824005E45003C46001A32000923
00031B00021900062000132D003241005A480077251E95007FB300CEAC00E56800F42E00
FC0D00FC1000F33400E27100CAB6006CAE000E8F0000702F00534C00273B000E2800041C
00021900051E00112B002D3E00564B00722D0D8F0063AC00C6C100DC8400ED4900F81E00
FD0A00FC1000F42F00E75F00D69500BAC20064AC001C9500007E1800683A00544C003643
001D34000F2900072100031C00021900021A00041C000720000C2600132D001C3400283B
00364300454A00514D00584A005D4600614200653E00673B00693A00693900683B00653E
006242005D4600574A00504E004048002F3F00213700162F
00464B00354200283B001F3500183100132D000F29000D27000B26000B25000A24000A24
000B25000C26000E2800112B00152E001A32002237002D3E003C46004F4E00594800653E
00732C00811112910041A1007AB200BCC200D2A100E07600EC4C00F62800FC1000FD0800
FB1300F33100E75E00D79400BBC2005FAA00119100007626005C46003A45001931000923
00031B00021A00072000142E003342005B4700782420960081B400CFAB00E56700F42D00
FC0D00FC1000F33400E27100CAB6006DAE000F900000712F00544C00273B000E2800041D
00021900051E00102A002B3D00554B00712E0B8E005FAA00C5C400DB8700EC4C00F82000
FD0A00FC0F00F52C00E85B00D89100C2C4006BAE00229700008014006A3800564B003A45
00203600102A00082200041C00021900021900031B00061F000A2400112B001932002439
003140003F47004E4E00544C005948005E4500614200634000653E00653E00643F006142
005D4500594900534C00494C00384400293C001C3400122C
004F4E003D47002F3F002439001D3400173000132C00102A000E28000D27000C27000C27
000D27000E2900102B00142D001831001E3500273A00324100424900524D005D46006939
00762600850A1B94004CA50086B500C5C300D49B00E27000EE4600F72400FC0E00FD0800
FA1600F23500E66300D59900B3C00058A8000C8F00007429005B48003744001730000822
00031A00021A00072000152E003542005C4700782222970083B400CFA900E56600F52D00
FC0D00FC1000F33500E27100CAB6006DAE000F900000712E00544C00283B000E2800041D
00021900051E00102A002A3C00544C007030078D005BA900C0C300DA8A00EC4F00F72200
FD0B00FC0E00F52900EA5600D98C00C6C10074B00029990000830E006D34005949003E47
00233800122C00092300041D00021A00021900031B00051E000923000F2900162F002036
002B3D00384400464A00504E00554B005A48005D46005F44006043006043005F44005C46
00594900544C004E4E003F48003040002338001830000F29
00544C00484B003844002C3D002338001C3300173000132D00112B00102A000F29000F29
00102A00112B00142D001730001C34002338002C3E003945004B4D00564B006142006D34
007A1F00890126980058A80093B800C8BB00D79300E46900F04000F82000FD0C00FD0900
FA1800F13A00E46900D39E00AABE0051A600078D0000722C00594900344200162F000821
00031A00021A00072100162F003743005D4600792024980086B500D0A800E66500F52C00
FC0D00FC1000F33500E27100CBB5006EAF0010900000712E00544C00293C000E2900041D
00021900051D000F2900293C00534C006E32048B0056A800BAC200D98E00EB5300F72400
FD0C00FC0D00F62600EB5100DB8700C8BC007DB300319C00008608007030005C4700444A
00263A00142E000A2400051E00031A00021900031A00041D000821000C2700132D001C33
00263A003140003D4700494C00514D00554B005849005A48005B47005B47005A4800574A
00534C004F4E00434900354300283B001C3400132D000C26
00594800514D004249003542002A3D002238001C3400183100152F00142D00132D00132D
00142D00152F001831001C3400223700293C00344200424900514D005A4800653E00712E
007F16098D00329D0066AC00A1BC00CBB300DA8B00E76100F13A00F91C00FD0A00FD0A00
F91C00F03F00E36F00D1A400A0BC0049A400018A0000703000574A00314100152E000721
00031A00031A000821001730003844005E45007A1F27990089B600D0A600E66300F52B00
FC0D00FC1000F23500E27100CBB5006FAF0011900000722D00554B00293C000F2900051D
00021900041D000E2900273B00524D006D34008A0050A600B3C000D79200E95700F62700
FC0D00FD0B00F72200EC4C00DD8000CBB60088B6003B9F0000890100732B005F44004A4D
002B3D001730000C2600061F00031B00021900021A00041C000620000A2400102A001730
002036002A3D003542003F4800494C00504E00534C00554B00564B00554B00544C00514D
004D4E004349003744002C3D002036001730000F29000923
00604300574A004F4E004048003442002B3D002439001F35001B33001932001831001831
001931001B33001E3500223800283C003140003D46004C4D00564B005F44006A38007626
00840C15920041A10075B100B2C000CFAA00DD8100E95800F33300FA1700FD0900FD0C00
F82000EE4500E17600CFAB0096B90040A100008704006E3300554B002E3F00132D000720
00021A00031A000822001831003B45005F44007C1C2A9A008CB700D1A500E66200F52A00
FD0C00FC1000F23500E27100CBB5006FAF0012910000722D00554B002A3D000F2900051D
00021900041D000E2800253A00514D006B360088034AA400ACBF00D69700E85C00F52B00
FC0E00FD0A00F81F00EE4700DF7A00CDAF0093B90045A300078C0000772500624100504E
003040001B33000E2800072100041C00021900021900031B00051E000822000D2700132D
001B33002338002D3E003643003E4700464B004C4D004F4E00504E004F4E004E4E00484B
004048003743002D3E00233800193200112B000B25000720
00673C005E4500564B004F4E004148003543002D3E00273B002338002036001F35001E35
001F36002137002539002A3C003140003B4500484B00534C005B4700653E007030007C1C
00890024970051A60087B500C4C400D39F00E07700EC4F00F52C00FB1300FD0800FC0E00
F72500ED4C00DE7D00CCB2008AB600379E0000850A006B3700534D002B3D00122B00061F
00021A00031B000923001932003D47006043007D1A2D9B0090B800D2A300E76000F52900
FD0C00FC1000F23500E27200CBB50070AF0013910000732C00564B002B3D00102A00051E
00021900041C000D27002439004F4E006A3900860843A200A3BD00D49C00E76100F42F00
FC1000FD0900F91B00EF4100E17200D0A700A1BC0051A600109000007B1E00663D00544C
003743001F3600112B00092300041D00031A00021900031A00041D000720000A2500102A
00162F001D34002539002C3E003442003A45003F4700424900444A004349004048003A45
003342002B3D002338001B3300132D000D2700082200051E
006F3200663D005D4500564B00504E004449003945003241002D3E002A3C00283B00273B
00283B002A3D002E3F003442003C4600474B00514D005949006142006B37007626008210
0E8F00349D0063AC009ABA00C9BA00D79400E36C00EE4600F62500FC0F00FE0800FB1100
F52B00EA5300DC8500C9BA007EB3002E9B0000811100683A00504E00283B00102A00061F
00021900031B000924001B33004048006242007E17319C0094B900D2A100E75F00F62800
FD0C00FC1100F23600E27200CBB50071AF0014910000732B00564A002C3E00102A00051E
00021900041C000C26002237004D4E00683B00840C3CA0009BBA00D2A200E56600F33300
FB1200FD0900FA1700F13A00E46A00D39F00AFBF005FAA001C9400007F16006B3700584A
003F4700243900142E000B2500061F00031B00021900021900031B00051E000822000C26
00112B001730001D34002439002A3C002F3F003341003643003643003543003341002E3F
00283B002137001A3200142D000E2800092300061F00041C
007724006E3200663D005E4500584A00514D00494C004048003A45003643003341003241
003341003643003A45004148004A4C00514D00584A005F4400683B00722D007D1B008901
1E950047A30078B100B0C000CEAE00DB8800E76100F13C00F81F00FD0C00FD0800FB1500
F33100E85C00D98E00C6C20071B000249700007E1800653E004D4E002439000F2900051E
00021900031B000A24001D34004349006340008015359D0098BA00D39E00E85D00F62700
FD0B00FB1100F23600E27200CBB40072B00015920000742A00574A002D3E00112B00051E
00021900041C000B2600203600494C00663D008111359D0091B800D0A800E36D00F23800
FA1500FD0900FB1400F33400E66200D69600BFC3006DAE0028990000840C006F31005C46
00484B002B3D001831000D2700072100041C00021A00021900031A00041C000620000923
000D2700122C001730001C3400213700253900283B002A3C002B3D00293C00273B002338
001E3500183100132D000E2800092300061F00041C00031A
008014007724006F3100683B006142005A4800544C00504E004B4D00454A004249004148
00414800444A00494C004F4E00534C005949005F4400663C006F3100792100840C0F9000
329C005DAA008FB700C5C300D2A000DF7B00EA5500F33300FA1800FD0A00FD0900F91A00
F13900E56500D59800BAC20064AC00199400007B1E00624100464B002137000D2700041D
00021900041C000B25001F3500474B00653E008111399F009DBB00D49C00E85B00F62600
FD0B00FB1100F23600E27200CBB40073B00016920000742900584A002F3F00122C00061F
00021900031B000B25001E3500454A006440007F162D9B0087B500CDAE00E17300F03E00
FA1800FD0900FB1100F42E00E95900D98C00C7BE007EB300369E00008901007429006142
00504E003341001E3500112B00092300051E00031B00021900021900031B00051D000720
000A24000D2800112B00152E001931001C34001F35002036002036001F36001D34001932
00162F00112B000D2700092300062000041C00031A00021A
008A0000811100792100722D006B3700643F005E4500594900554B00534C00514D00504E
00504D00524D00544C00574A005B4700604300673C006E32007725008113048B00239700
48A30075B000A8BE00CBB500D79200E36D00ED4900F52900FB1200FE0800FD0C00F82000
EF4200E26F00D2A200AABE0056A8000F9000007725005E44004048001E35000C2600041C
00021900041C000C27002137004A4D00663C00830E3DA000A1BC00D59900E95900F72500
FD0B00FB1100F23700E27200CBB40074B00017930000752800594900304000132C00061F
00021900031B000A24001C34004148006142007C1B2598007DB300CBB500DF7B00EE4400
F91D00FD0900FC0E00F62700EB5000DD8200CBB40090B80046A3000B8E00007A2000673C
00554B003C4600243900152E000C2600062000041C00021A00021900021A00031B00051E
000721000A24000D27000F2A00122C00152E00162F00173000173000162F00142E00122C
000F29000C2600092300061F00041C00031A00021A00031A
199400058C0000840C007C1B007627006E3200683A006340005F44005D46005B48005948
005948005B48005D4600604300643F006939006F31007725007F150089001994003A9F00
61AB008FB800C3C400D1A500DD8200E75E00F13C00F82000FC0E00FE0700FC1000F62700
EC4C00DF7A00CEAC0099BA0048A300048B0000732C005B47003A45001A32000A2400041C
00021900051D000E28002439004E4E00683A00850A42A200A7BD00D69700E95700F72400
FD0B00FB1100F23700E27200CBB40075B10018930000762700594800324100132D000620
00021A00031B000923001A32003D46005F44007A201D950072B000C8BC00DC8200ED4C00
F72100FD0B00FD0B00F82100EE4700E07700CFA900A3BC0058A8001A9400008014006D35
005B4700474B002C3E001A32000F2900092300051E00031B00021900021900031A00041C
00051E000720000923000B25000D27000E2900102A00102A00102A000F29000E28000C26
000A2400072100051E00041C00031A00021900031A00041C
369E002196000E8F00008803008111007A2000732A006E32006A3800673B00653E00643F
00634000643F00663C006939006D3300732C007922008014008801159200319C0054A700
7DB300ADBF00CBB500D79500E27200EB5000F43100FA1800FD0A00FD0800FA1500F43000
E95700DB8600CAB80087B500399F00008706006E3200574A00344200173000092300031B
00021900051E000F2900263A00504D006A3700870648A300ACBF00D79400EA5400F72300
FD0A00FB1200F23700E27200CBB30076B1001A9400007626005A4800334100142E000720
00021A00031A000822001831003944005C4600772515920066AC00C5C400DA8B00EA5300
F62700FC0D00FD0900F91B00F03E00E46C00D49D00B8C2006CAE002B9A0000860700732B
00614200514D00364300213700142E000C2600072000041C00031A00021900021900031A
00031C00051D00061F000721000923000A24000A25000B25000B25000A24000923000721
00061F00051D00031B00031A00021900021A00041C000620
56A80042A1002D9B001A94000A8E00008607008015007A1F00762600732B00702F006F32
006E32006F3100712E00742A007823007D1A00830E018A001592002F9B004DA50072B000
9CBB00C6C000D2A300DC8300E66100EF4100F62500FB1100FE0700FD0B00F91C00F13A00
E66300D79300C5C30074B0002A9A00008210006A3800534C002E3F00142E00082100031A
00021900061F00112B002A3C00534D006D350089014DA500B2C000D89100EB5200F72100
FD0A00FB1200F23800E27200CCB30077B1001B9400007724005B4700354200152F000721
00021A00031A00082100162F003542005A4800742A0C8F005AA900B8C200D79400E85C00
F42D00FC1000FD0800FA1500F33400E76000D89000C7BF0081B4003EA000078D00007A20
00683B00584A004349002A3D001A3200102A00092300061F00041C00021A000219000219
00031A00031B00041C00051E00061F00062000072000072000072000062000051F00051D
00041C00031B00021A00021900021A00041C00061F000B25
78B10066AC0052A6003EA0002C9A00189300078D0000870500830E007F15007D1B007B1E
007A1F007B1E007C1B007F1600830E008804098D001B9400319C004DA5006DAE0093B900
BEC300CEAD00D89000E27000EB5000F33300F91B00FD0C00FE0700FC0F00F72400EE4600
E27100D2A000B2C00062AB001B9400007D1A00653E004F4E00293C00122B00072000021A
00021A00072000132C002D3E00554B006F31038B0054A700B9C200D98D00EB5000F82000
FD0A00FB1200F23800E17200CCB30079B2001D9500007823005C4600374300162F000821
00031A00021A00072100142E00314000574A00702F048B004EA500A9BE00D49D00E56500
F33500FB1400FE0800FC1000F52B00EA5400DC8300CCB20099BA0053A700199400008112
006F31005F4400504E00364300223800162F000D2800082200051E00031B00021A000219
00021900021A00031A00031B00041C00041C00041D00041D00041D00041C00031B00031A
00021A00021900021900031A00041C00061F000A2500122C
9BBA008CB7007BB20068AD0055A8003EA0002B9A001C9400109000088D00008A00008804
008706008705008901038B000C8E001893002799003A9F0052A7006FAF0091B800B8C100
CBB400D59900DF7B00E85D00F04000F62600FB1200FE0800FD0800FA1500F42F00EA5300
DE7F00CDAE009BBB004EA5000D8F0000782400614200474B002338000F2900061F00021A
00031A00082100152E00314000574A00712E088D005AA900BFC300DA8A00EC4D00F81E00
FD0900FB1300F23900E17200CCB2007AB2001F9600007922005D46003944001830000822
00031A00021A00062000122C002D3E00544C006D3400870442A2009ABA00D0A600E36F00
F03D00F91900FD0900FC0C00F72300EE4800E17400D1A300B2C0006BAE002E9B00008802
00772500663D00574A00444A002D3E001D3400132C000C2600082100051E00031C00031A
00021900021900021900021900021A00031A00031A00031A00031A00021A000219000219
00021900021A00031B00041D000720000B2500122C001D35
BCC300B4C000A6BD0095B90084B5006BAE0056A80045A200379E002D9B002497001D9500
1A94001A94001E95002497002D9B003A9F004AA4005FAA0078B10096B900B8C200CAB600
D39E00DC8300E56600ED4A00F43000F91A00FD0C00FE0600FD0C00F81E00F13B00E66200
D98E00C8BC0084B5003B9F0000890000722D005C47003E47001E35000D2700051D000219
00031B000923001730003643005A4800742A0E8F0061AB00C5C300DB8600ED4A00F91D00
FD0900FB1300F13900E17300CCB2007CB200219600007A20005E45003B46001931000923
00031B00021900061F00112B00293C00514D006A3900830D359E008AB600CDB000DF7900
EE4700F82000FD0B00FD0900F91B00F13C00E56600D79400C6C00085B50045A300119000
007F16006E32005F4400514D003A4500273B001A3200112B000B2600082100051E00041C
00031B00021A00021900021900021900021900021900021900021900021900021900021A
00031A00041C00051E000822000C2600132D001E35002F3F
C9B900C9B900C7BD00C5C400B7C1009EBB0087B50075B00065AC005AA9004FA60047A300
43A20042A20045A3004BA40054A70062AB0073B00088B600A2BC00C0C300CBB400D39E00
DB8600E36C00EB5200F23800F72200FB1100FE0700FE0800FB1300F62900ED4900E27200
D39E00BAC2006DAE0029990000830E006C3500574A003643001A32000A2500041C000219
00041C000A24001A32003B45005C4600762615920069AD00C7BF00DC8200EE4700F91C00
FD0900FB1400F13A00E17300CCB2007DB300239700007B1E005F44003E47001A32000A24
00031B00021900051E000F29002539004E4E00663D007F152999007AB200C8BB00DC8500
EB5100F62700FC0E00FE0800FB1400F43000E95700DC8400CDB000A1BC005FAA00289900
00870400772500683B005A48004C4D00354200243900193100112B000C2600082200061F
00051D00041C00031B00031A00021A00021A00021A00021A00021A00031A00031B00041C
00051E000720000A24000E2900162F002137003241004A4C
CEAC00D0A700D0A600CFAA00CDAF00C8BC00BEC300AABE009ABA008EB70081B40078B100
72B00071AF0073B00079B20082B4008FB800A1BC00B6C100C7BE00CEAE00D49B00DC8500
E36E00EA5500F03D00F62800FA1600FD0A00FE0600FD0C00F91C00F23600E95A00DC8300
CDAF009FBB0056A800169200007C1B00663C00524D002E3F00152F00092300031B000219
00041D000C26001E35004048005F440079211C940070AF00C8BB00DE7F00EE4500F91A00
FD0800FB1400F13A00E17300CCB1007FB300259800007C1C006043004048001C34000A25
00031C00021900051D000D2700213700474B006241007B1D1C95006AAD00C3C400D89100
E85C00F43000FB1300FE0700FC0E00F62500ED4900E17300D39F00C0C3007CB30041A100
11900000801400712F00634000564B00464B00324100233800193200122C000D27000A24
00072100061F00051E00041D00041C00041C00041C00041C00041C00051D00061F000720
000923000D2700122C001A3200253A003643004E4E005B47
D1A500D59900D79200D89000D89100D49D00D0A800CCB300C8BC00C5C200BAC200AFBF00
A8BE00A6BD00A8BE00ADBF00B5C100C2C400C8BD00CCB100D2A300D79200DD7F00E46B00
EA5500F03F00F52B00F91900FC0C00FE0600FE0800FB1300F62800EE4600E46B00D69500
C7BF0084B5003FA100058B00007627006043004A4C00273A00122B00072100031A000219
00051E000E2800213700474B006241007C1B23970079B200CAB700DF7A00EF4200FA1900
FD0800FB1500F13B00E17300CCB10080B400279800007D1B006241004349001E35000B25
00041C00021900041C000C26001E35004048005E4400772510900059A900B0C000D49D00
E46900F13B00F91900FD0900FD0A00F91C00F13A00E66200D98C00CBB5009CBB005FAA00
2B9A00018A00007B1E006C35005F4400544C00444A003241002539001B3300152E00102A
000C27000A24000822000721000720000620000620000720000721000923000A25000D27
00112B001730002036002D3E003E4700524D005E45006B36
D1A400D89100DC8300DF7A00E17500DE7E00DB8700D89100D59900D3A000D0A800CDAF00
CBB400CBB500CBB500CCB300CDAE00D0A800D39F00D79300DC8500E17500E66400EB5100
F03E00F52B00F91B00FC0E00FE0700FE0600FC0E00F81E00F23700E95800DE7F00D0A800
AFBF0068AD0029990000840B006F31005A48003E47002036000E2800061F00021A00021A
00061F00102A00263A004E4E00663D007F152B9A0082B400CCB200E07600F03F00FA1700
FE0800FA1500F13C00E17300CDB00082B400299900007E1900634000464B002036000C27
00041D00021900041C000A24001A32003A45005A4800722C048B0049A4009CBB00CFA900
E07600EE4600F72100FD0C00FE0700FB1300F52D00EB5100DF7900D2A200BEC3007FB300
48A4001A9400008509007725006A38005E4500534C00454A00354200293C002036001931
00142E00112B000F29000D27000C26000C26000C26000D27000E2800102A00132D001831
001F3600293C003643004A4C00564A006241006F31007D1A
CEAC00D89100DF7C00E46B00E75F00E66200E46800E36F00E17500DF7B00DC8300DA8B00
D89000D79200D79200D89000D98D00DB8700DE7E00E17300E56700E95800ED4900F23800
F62900F91A00FC0F00FE0700FE0500FD0A00FA1700F52C00ED4900E36C00D79300C8BB00
90B8004DA500139100007D1A00683A00544C003442001A32000B2600041D00021900031A
00072100132D002B3D00514D00693900830F339D008BB600CEAD00E27200F13B00FA1500
FE0800FA1600F13C00E17300CDB00084B5002B9A00007F1600643F00494C002237000D28
00051D00021900031B00092300173000334200564A006E33008607389E0087B500CAB600
DC8400EB5300F52B00FB1100FE0700FC0D00F82100F04000E56600D98E00CBB400A3BC00
6AAD00389E000F9000008210007528006939005E4500554B004A4D003B4500304000273B
002037001C3300193100162F00152F00152E00152F001730001932001D34002338002A3D
00354200444A00524D005D4600683B0074290081110E8F00
C8BB00D49B00DE7E00E56600EB5200EC4E00EC4E00EB5000EA5400E95700E75E00E56600
E46B00E36D00E36E00E36D00E46A00E66500E85D00EA5400ED4900F13D00F43000F72300
FA1700FC0D00FE0700FE0500FD0900FB1300F62500F03E00E85E00DD8200D0A800B4C000
71AF00339D00008900007528006142004E4E002B3D00152E00092300041C00021900031B
00092300162F00304000554B006C350086073CA00095B900D0A800E36D00F23800FB1400
FE0800FA1600F03D00E17400CDAF0086B5002E9B0000801400663D004C4D002439000F29
00051E00021900031B00082100142E002D3E00524D00693900811228990072B000C5C300
D79200E76100F23700FA1800FD0800FD0800FA1600F43000EB5200E07800D39F00C5C200
8FB7005AA9002E9B00098D00008112007528006A3800614200584900514D00464A003B45
003241002C3E00283B00253A00243900243900253900283B002C3D003241003B4500474B
00524D005A4800643F006F31007B1E0087041C950043A200
AEBF00CDAE00DA8C00E36C00EB4F00EF4400F03D00F13A00F23800F23700F13D00EF4300
EE4700ED4A00ED4A00ED4A00EE4800EF4400F03E00F23700F42E00F72400F91B00FB1200
FD0B00FE0600FE0500FD0800FB1100F82100F23700EA5300E17400D59800C8BD0091B800
52A7001A9400008113006D34005A4800404800223800102A00072000031B00021900041D
000B25001A3200374300584900703000890046A3009FBB00D2A200E46800F23500FB1200
FE0800FA1700F03E00E17400CDAF0088B600309C0000811200673C004F4E00273A00102A
00061F00021A00031A00072000112B00283B004E4E00643F007B1D1893005EAA00AEBF00
D2A100E27000EF4400F72200FC0D00FE0600FC0E00F72200F04000E66300DB8800CEAB00
B7C10081B40052A6002A9900098D00008211007725006D3400653E005D4500574A00524D
004C4D00444A003F47003C46003A45003B45003D4600414900484C00504E00554B005C47
006340006D3500772400830D0D8F002F9B0056A80082B400
7DB300BFC300D2A200DE7E00E85A00EE4700F23800F42E00F62600F82000F72200F62600
F62900F52B00F52B00F52B00F52A00F62700F72300F81E00FA1800FB1200FD0C00FE0700
FE0400FE0500FD0900FB1100F82000F33300EC4D00E46B00D98D00CDB000ACBF006EAF00
359D00038B0000782300653E00534C003442001B33000D2700051E00021A00021A00051E
000D27001F35003E47005C4600742A088D0051A600AABE00D49D00E66400F33200FB1100
FE0800FA1800F03E00E17400CDAE008AB600339D0000820F00693A00514D00293C00122C
00072000031A00021A00061F000F2900223800454A005F44007627088D0049A40096B900
CCB100DD8100EA5300F42E00FB1300FE0700FD0800FA1600F42E00EC4D00E27000D79300
CBB400ACBF007BB2004FA6002B9A000C8F0000840B007B1E00722C006B3700653E005F44
005B4700584A00554B00544C00544C00544C00564B005849005C4600614200673C006E32
007725008113058C0025980048A3006FAF009ABA00C5C400
47A30088B600C6C000D59A00E27200E95800EF4200F43000F72100FA1600FB1300FB1300
FB1400FB1400FB1300FB1300FB1300FB1200FC0F00FD0C00FD0900FE0600FE0400FF0400
FE0600FD0B00FB1300F82100F33300ED4A00E56600DC8500D1A600C1C40085B5004CA500
199300008111006F31005D4600484C00293C00152E000A2400041C00021900031A000720
00102A00243900474B0060430078231291005CA900B5C100D69700E75F00F42F00FC1000
FE0800FA1800F03F00E17400CDAE008CB700369E0000840C006A3800524D002C3E00132D
00072100031A00021900051E000D27001D35003C46005A48007030008705359D007DB300
C6C000D79200E66400F13C00F81D00FD0B00FE0600FC0D00F81F00F13900E95800DF7A00
D59A00C9B900A8BE007BB20053A700329C00169200008900008112007A2000742A006E32
006A3800673C00653E00643F00643F00653E00673C006A38006E3200742A007B1E00830F
058B001F960040A10068AD008FB700B9C200CBB400D3A000
1391004CA5008EB700C8BD00D79500E17500E95900EF4100F52C00F91A00FB1200FC0E00
FD0B00FD0900FE0700FE0600FE0600FE0500FE0400FF0300FF0300FF0300FE0500FD0900
FC0F00FA1800F72500F23600ED4B00E66500DD8100D3A000C7BF0097B90060AB002C9A00
00890000782300663D00554B00394500203600102A00072100031B00021900031C000822
00142D002A3D004F4E00653E007C1B1C950067AD00C1C400D89100E95A00F52B00FC0E00
FE0800F91900F04000E17400CEAD008EB700389E0000850A006C3600544C002F3F00152F
00082200031B00021900041C000B2500193100344200554B006A3800801321970064AC00
B1C000D1A300E07600EC4C00F52A00FB1200FE0700FE0700FB1300F62700EF4200E76000
DE7F00D39E00C9BA00ABBE0082B4005EAA003FA10026980011900000890000840C007F17
007B1E007823007626007528007627007725007A20007D1900820F0088020F9000249800
40A10061AB0089B600B6C100CAB600D2A100D98D00DE7F00
007D191491004CA5008DB700C8BD00D49C00DE7D00E76000EE4500F42E00F82000FA1700
FC1000FD0B00FE0700FE0500FE0500FE0500FE0500FE0600FE0700FD0B00FC1000FA1700
F82000F52D00F03D00EB5100E56800DD8200D39E00C9BB00A2BC006DAE003CA0000F9000
007F16006E33005D46004B4D002C3E001831000C2600051E00021A00021900041D000B25
00183100324100544C00693900801327990074B000C6C000DA8A00EA5400F62800FC0D00
FE0800F91A00EF4100E17500CEAD0090B8003B9F00008607006D3400564B003341001830
000A2400041C00021900031B00092300152E002C3E00504E00643F007A200F90004CA500
94B900CBB500DA8900E75E00F13900F91D00FD0B00FE0500FD0A00FA1800F52D00EE4700
E66400DD8100D49C00CAB600B6C10091B80070AF0055A7003DA0002A9A001B94000F9000
068C00008A00008802008803008901028A00098D00149200229700359D004DA50068AD00
8AB600B0C000CAB800D49D00DB8900E07700E46C00E46900
00683A007C1B10900047A30087B500C0C300D0A800DA8900E36C00EB5100F03E00F43000
F62500F91D00FA1600FB1200FB1100FB1100FB1200FB1400FA1700F91C00F72400F42D00
F13A00ED4900E85B00E27000DB8700D2A000C9BB00A6BD0075B10046A3001A940000840B
00742900643F00544C003A4500213700122B00082200041C00021900031A00061F000E28
001E35003A45005849006E33008509339D0081B400C9B900DC8300EC4F00F72500FD0B00
FE0800F91B00EF4200E17500CEAC0093B8003EA000008803006F31005849003743001A32
000B2500041D00021900031B00072100112B00253A00464B005E4500732B008802359D00
77B100C1C400D49C00E27200ED4B00F52B00FB1400FE0700FE0500FC0D00F91C00F43000
ED4900E66300DE7E00D69700CEAE00C5C200A8BE008BB60073B0005EAA004DA50041A100
379E00319C002E9B002E9B00329C00399F0043A20052A60065AC007DB3009ABA00B9C200
CAB700D3A000DB8600E36C00E75E00EA5600E95700E66400
00544C00663C007A20088D003DA00071AF00A7BD00CAB800D59A00DE7E00E56800E95700
ED4800F13D00F33300F42E00F52B00F52A00F52A00F52D00F33100F23800EF4100EC4C00
E95900E46A00DE7C00D89100D0A700C7BF00A3BC0076B1004AA400219600008803007922
006939005A4800474B002C3D001931000D2700061F00031A00021900031B00082200122B
00243900444A005D4600732C008A0040A1008EB700CCB100DE7D00ED4A00F72100FD0A00
FD0800F91C00EF4200E17500CEAC0095B90042A10000890000712E005A48003B45001D34
000C2700051E00021900031A00061F000E29001F36003C46005849006C350081121E9500
5BA900A0BC00CDB000DB8700E75F00F13C00F82100FC0E00FE0500FE0600FC0E00F91D00
F43000EE4700E75E00E07600D98C00D2A100CCB300C5C300AFBF009BBA008AB6007DB300
73B0006EAF006CAE006EAF0073B0007DB3008BB6009DBB00B4C000C7BE00CEAC00D59900
DC8400E36D00EA5600EF4200F03F00EE4500EA5600E27100
00314000514D00634000752700880227990056A80088B600BAC200CDB000D59900DB8600
E07600E56800E85C00EA5400EB5000EC4E00EC4E00EB5000EA5500E85C00E56500E27000
DE7E00D98E00D3A000CBB300BFC30098BA0070AF0049A400239700008A00007C1D006D34
005E4400504E00354300203600112B00092300041D00021900021A00051D000A2500162F
002C3E004F4E0062410078230C8E004DA5009DBB00CFAA00E07600EE4500F81E00FD0900
FD0900F81D00EF4300E17500CFAB0097BA0045A300028B0000732C005C46003F48002036
000E2800061F00021A00021900051E000C2600193200324100524D00653E007921098D00
40A10080B400C5C400D49D00E17500EB5000F33100F91A00FD0B00FE0500FE0600FC0E00
F91C00F42D00EF4100EA5500E46A00DE7D00D98F00D39E00CEAC00CAB700C6C000C1C400
B9C200B5C100B4C100B8C200C0C300C6C000CAB700CEAC00D49D00DA8C00E07800E56500
EB5200F03F00F43000F62800F33300ED4900E46800D89100
001730002B3D004B4D005E45007030008013109000399F0065AC0092B800B8C200C9B900
D0A800D59900D98C00DC8300DE7D00DF7A00DF7900DF7B00DE7E00DC8500D98D00D59800
D1A500CBB300C5C300A8BE0086B50064AC0041A1001F9600008900007C1B006F31006142
00544C003D4700273A00162F000C2600061F00031B00021900031B000620000E28001C34
00354300544C00683B007D191993005CA900ACBF00D2A200E36E00F03F00F91B00FE0800
FD0900F81E00EE4400E07600CFAA009ABA0049A400068C00007529005E4500444A002338
00102A00072000031A00021900041C00092300152E00293C00494C005E4500712E00850A
26980060AB00A1BC00CCB300D98D00E56700EE4600F52A00FA1600FD0900FE0400FE0600
FC0D00FA1800F62700F23700ED4800E95900E46900E07700DC8400D98E00D69700D49D00
D2A100D2A200D2A100D39E00D59800D89000DC8500E07800E46900E95700EE4500F23600
F52900F82000F81D00F72300F03E00E66200D98D00C8BB00
000A2400132D002439003F4700584A00673B0077250086081A94003FA10062AB0082B400
A0BC00BAC200C7BE00CBB400CEAE00CFA900D0A700D0A800CFAB00CDB000CAB700C6C000
B9C200A2BC0089B6006DAE0050A600339D00169200008704007B1D006F3100624100564B
004349002C3E001B33000F2900082200041C00021A00021900041C00092300122C002439
004048005A48006E3300830E2798006CAE00BCC200D59900E56700F13A00FA1800FE0700
FD0A00F81F00EE4500E07600CFAA009CBB004CA5000A8E00007725006143004A4C00273B
00132C00082200031B00021900031B00072100102A002137003C4600574A006939007C1B
0E8F0042A1007DB300BDC300D1A500DD8000E85E00F03F00F62600FB1400FD0900FF0400
FE0400FD0A00FB1300F81E00F52B00F23800EE4500EB5100E85B00E66400E46B00E27000
E17300E17400E27200E36D00E56600E85D00EB5300EE4600F23800F52A00F91D00FA1600
FB1300FA1700F72200F23700E76000D98E00C8BD007FB300
00041D000721000F29001D34003341004F4E005E45006C35007A1F008704179300329C00
4DA50065AC007BB2008DB7009ABA00A3BC00A8BE00A9BE00A6BD009FBC0095B90087B500
77B10063AC004EA500379E001F9600088D0000830E007822006D3400624100564B00464B
003040001E3500122C000A2400051E00031A00021900031B00061F000C26001831002D3E
004D4E00604300742A008802369E007CB300C6C000D89100E76000F33500FA1500FE0600
FD0A00F82100EE4700E07600CFA9009FBC0050A6000E8F00007922006340004F4E002B3D
00152E00092300041C00021900031A00061F000D27001A3200314000504E00624200742A
0086072598005AA90095B900C8BD00D59A00E07800E95800F13C00F62600FA1500FD0A00
FE0400FF0300FE0600FD0C00FB1300F91C00F62500F42E00F23600F03D00EF4200EE4500
EE4700EE4600EF4300F03F00F23800F43000F62700F81D00FB1400FD0C00FE0800FD0B00
FA1500F62700F04000E66200D79200C6C20077B1002C9A00
00041C00031B00051E000B2500152F00263A003D4700544C006142006E3300792100830D
078C001B94002E9B003EA0004BA40055A7005BA9005DAA005DAA0058A80051A60046A300
399F002A9A00199400078D00008509007C1B00732B006939005F4400554B00454A003140
00203600142E000C2600062000031B00021900021A00041C00082200112B001F36003844
00544C00663D007A200B8E0046A3008EB700CAB700DB8800E95800F42F00FB1200FE0500
FD0B00F72200EE4800E07700CFA900A2BC0054A700129100007B1E00653E00514D003040
001831000B2500051E00021A00021A00041D000A2400152E00273B004349005A48006B37
007C1B0A8E00399F006FAF00A8BE00CBB400D79400E17400EA5600F13D00F62800FA1800
FC0C00FE0600FF0300FF0300FE0500FD0900FC0E00FB1300FA1800F91C00F81F00F82100
F72100F82000F81D00F91900FB1400FC0F00FD0A00FE0500FF0300FE0400FD0B00F91B00
F33100EC4F00E17300D49B00BAC20069AD00229700007F16
00092300041D00031A00041C000721000F29001B33002C3E00424900554B006043006A38
00732B007B1D00820F008802088D001191001793001B94001C95001A94001592000E8F00
048B00008705008111007B1E00742A006C35006440005B4800514D004148002F3F002036
00152E000D2700072100041C00021A00021900031B00061F000C2600173000293C00454A
005B48006D340080131B940058A800A0BC00CEAD00DE7E00EB5100F52A00FC1000FE0500
FD0C00F72300ED4900E07700D0A800A5BD0058A800179300007D1A00683B00544C003542
001C33000D2800061F00031A00021900031C00082100102A001F3500364300524D006241
00732C00830D1A940049A4007DB300B4C000CDB000D89100E17400E95900EF4100F42D00
F81E00FB1200FD0A00FE0500FF0200FF0200FF0300FE0400FE0600FE0700FD0800FD0900
FD0800FE0700FE0600FF0300FF0100FF0000FF0100FE0500FD0B00FA1600F62800EF4300
E66300DB8800CDAF00A4BD0057A800139100007A1F006241
001830000B2500051E00031A00031A00051E000A2400112B001D34002D3E00404800514D
005A48006241006A38007030007528007921007C1C007E18007F17007E17007D1A007B1E
00782300742A006F32006939006340005C4700544C004A4D003945002A3D001E3500142D
000D2700082100041D00031A00021900031A00051D00092300112B001F3500344200514D
00624100742A0087052C9A006BAE00B3C000D2A300E17500ED4900F72500FC0D00FE0500
FC0D00F72500ED4A00E07700D0A700A8BE005CAA001C9400007F15006A3700574A003B45
00203600102A00072100031B00021900031A00061F000C26001730002A3C00454A005949
00693900792100890126980054A70086B500B8C200CDAF00D79300E07800E76000ED4A00
F23700F62800F91B00FB1200FD0C00FE0700FE0400FF0200FF0100FF0100FF0100FF0000
FF0000FF0000FF0100FF0200FE0500FD0900FB1100F91C00F52C00F04000E85B00DE7C00
D2A000C4C40080B40040A100038B0000742A005D46004048
003944001E35000E2900072000031B00021900031B00061F000B2500122C001C3400293C
00374400474B00524D005849005D4500624100653E00673B00683A00693A00683A00663C
00643F006142005D4600584A00524D004A4C003C46002F3F002439001A3200122C000C26
00072100041D00031A00021900021A00041C000721000D2800183100293C004349005849
006939007B1D0A8E003FA10080B300C5C300D59800E46B00EF4200F82000FD0B00FE0400
FC0E00F62700ED4B00E07800D0A700ABBE0060AB00209600008111006D34005A48004148
00243900132C00092300041D00021900021A00041D00092300122B00203600354300504D
005F44006E32007E19078D002E9B0059A90087B500B6C100CBB300D59A00DD8200E46B00
E95700EE4600F23700F52B00F72100F91A00FB1400FC1000FC0D00FD0B00FD0B00FD0B00
FD0C00FC0E00FB1200FA1700F81F00F52900F23800ED4A00E76100DF7B00D59900C8BB00
98BA005AA90021960000820F006C3500574A003543001931
005D4500474B00283B00142E000A2400041D00021A00021900031B00061F000A2400102A
001830002137002B3D003543003F4700484C004F4E00524D00534C00544C00544C00534C
00514D004F4E00474B003F47003643002D3E002439001C3400152E000F29000A24000720
00041D00031A00021900021A00031C00061F000B2500142D00213700364300514D006043
00712F00830F1C950054A70095B900CAB700D98D00E66200F13A00F91B00FD0900FE0400
FC0F00F62800EC4D00E07800D0A600AEBF0065AC0026980000840C007030005D4600484C
002A3C00162F000B2500051E00031A00021900031B000620000D2700183000283C004048
00564B00643F00722D0080130B8E00309C0058A80081B400ACBF00C8BC00D1A500D89000
DE7C00E46A00E85A00EC4D00EF4200F23900F33100F52C00F62900F62700F62600F62700
F52A00F42F00F23600F04000EC4C00E85C00E27000DB8600D3A000C8BB00A2BC0069AD00
339D00038B0000782400643F004F4E002B3D00132D000821
00792100663D00544C003643001D35000F2900072100041C00021900021900031B00051E
000822000D2700122C001730001D3400233800293C002D3E003040003241003341003241
003040002D3E00293C002439001E3500193100142D000F29000B2500082200051E00041C
00031A00021900021A00031B00061F000A2400112B001C34002E3E00474B00594900683A
007921028A00319C006AAE00ACBF00CFAB00DD8100E95800F33300FA1700FE0700FE0500
FB1100F52A00EC4E00E07900D1A500B1C0006AAD002B9A0000860700732C006043004F4E
002F3F001A32000E2800072000031B00021900031A00051D00092300112B001E35003040
00494C00594900663C00742A0081110B8E002C9A0050A60075B0009ABA00BEC300CBB500
D1A300D79300DC8300E07600E46B00E76100E95A00EA5500EB5100EB5000EB5100EA5400
E95900E76000E46A00E07700DB8700D59900CEAE00C4C40099BA006AAE003CA0000E8F00
007E18006C36005949003F47002036000E2800061F00031A
1E960000840C00712F005E45004A4D002B3D001830000C2700062000031B000219000219
00031A00041D00061F000922000B26000F2900122B00142E001730001831001931001931
00183100173000152E00122C00102A000D27000A2400082100061F00041C00031B000219
00021900021A00041C00061F000A2400102A001A3200283B003E4700534C00624100712E
00811115920047A30082B400C3C400D39E00E17600EC4E00F52C00FB1300FE0500FE0500
FB1200F52C00EB4F00DF7900D1A400B4C1006EAF00319C0000890100762700634000524D
003643001F3600112B00082200041D00021A00021900031B000620000C2600152F002338
003643004F4E005B4700683B00742A008014058C0022970041A10061AB0080B4009FBB00
BBC200C8BB00CEAE00D2A200D59800D88F00DA8900DC8500DC8300DC8300DC8500DA8900
D89000D59900D1A500CCB300C5C300A7BD0083B4005CAA00359D000F900000811200702F
005F44004E4E002D3E001730000A2400041C00021A00041D
71AF0040A1000E8F00007D1A006A3800584A003F4700253900152E000C2600062000041C
00021A00021900021900031B00041C00051E000620000822000923000A24000B25000B25
000B25000A2400092300082200072100061F00051E00041C00031B00021A000219000219
00031A00041C000620000A2400102A00193100263A00384400504E005D46006B37007A1F
018A002C9A0060AB009BBB00CAB800D89100E46A00EE4500F62500FC0F00FE0400FE0600
FB1400F42E00EB5100DF7900D1A400B7C10073B000369E00048B0000792200673C00564B
003E4700253900152E000B2500051F00031B00021900031A00041D000822000F29001931
00273B003A4500504E005B4700673C00722D007D1A0088041391002D9B0047A30060AB00
79B2008FB800A4BD00B5C100C4C400C7BE00C9B900CAB700CAB600CAB700C9BB00C6C000
BFC300ADBF0097BA007FB30063AB0044A200259800068C00007F1600712E00624100534C
003743001F35000F2900062000031A00021A00061F00102A
C0C3009BBB0069AD00339D00028B0000772500643F00534C00394500233800152E000C27
00072100051D00031B00021A00021900021900021A00031B00031B00041C00041D00041D
00041D00041D00041C00041C00031B00031A00021A00021900021900021900031A00031C
00051E000721000B2500112B001931002539003643004D4E005A4800673C00752800840C
17930045A3007AB200B6C100CFA900DC8400E75E00F13B00F81F00FD0C00FF0300FE0700
FA1600F43000EB5200DF7A00D2A300BBC20078B1003DA0000A8E00007C1C006A38005A48
00464B002B3D001932000E2800072100041C00021A00021900031B00061F000A2400112B
001B3300293C003B45004F4E005A4800643F006E33007823008112008A00149200289900
3B9F004DA5005DAA006BAE0077B1007FB30085B50088B60087B50082B4007AB2006FAF00
61AB004FA6003B9F002598000E8F00008509007A1F006E3300614200544C003C46002439
00132D00092300041C00021900031B00082200162F003241
CFA900CEAE00C6C0009ABA0061AB0025980000850A00722C00614200524D003945002539
001730000F29000A2400062000041D00031B00031A000219000219000219000219000219
00021900021900021900021900021900021900021900021A00031B00041C00051E000720
000923000D2800132D001B3300273B003743004B4D00584900643F00712E007F16098D00
319C0060AB0097B900C7BD00D59A00E07600EB5200F33200F91900FD0900FF0300FE0800
FA1800F33300EA5400DF7B00D2A200BEC3007DB30043A200119000007F16006E33005E45
004F4E003341001F3500122C000A2400051E00031B00021900021A00041C000620000B25
00122C001C3300283C003944004C4D00564A005F4400683A00702F007822008015008607
068C001391001F9600299900319C00369E00399F00399F00379E00319C002999001E9500
119000028A0000830D007B1D00722D00683B005D4600514D003B4500263A00162F000B25
00051E00031A00021900051E000D27001E35004148005F44
D1A500D79200D89100D2A100C8BC0091B80051A6001A940000821000712E00614200534C
003D47002A3C001D3400142D000E28000A2400072100061F00041D00041C00031B00031B
00031B00031A00031A00031B00031B00041C00041C00051E00061F000821000A24000D27
00112B001830002036002B3D003A45004E4E005849006340006F31007C1C008900239700
4DA5007EB300B5C100CEAD00DA8B00E56800EE4700F52A00FB1400FE0600FF0300FD0A00
F91B00F23500EA5600DF7B00D2A200C1C40083B40049A40018930000820F00722D006241
00534C003B4600263A001730000D2700072100041C00021A00021900031A00041D000721
000B2600122C001A3200263A00334100434900514D00594900604300673C006E3300732B
007922007D1A00811200840C00860800870500870400870600850900830E007F15007B1E
007528006F3200673B005F4400564B004A4C00354200233800162F000C2600061F00031B
00021900031B00082200142D002B3D00514D00693900820F
C7BE00D69600DF7A00E17200DE7D00D39E00C5C30086B5004AA40018930000821000722D
00634000564B00474B00344200263A001C3400152E00102A000D27000B25000923000822
000721000721000720000721000721000822000923000B25000D27000F2A00132D001831
001F3600283B00334200424900514D005A4800643F006F31007B1E0087041A940041A100
6DAE009EBB00C8BC00D49C00DF7B00E95A00F13C00F72200FC0F00FE0400FF0300FD0C00
F81E00F23800E95800DF7C00D2A100C5C40088B60050A6001F960000860800762700663D
00584A00454A002D3E001C3400112B000A2400061F00031B00021900021900031A00041D
000721000B2500102A001830002137002B3D00384400454A00504D00564A005C47006142
00653E006939006C36006E33006F31007030007030006E32006C3500693900653E006043
005B4700544C004B4D003B45002B3D001E3500132D000B2600062000031B00021900031A
00061F000E28001E35003E47005C46007429098D0050A600
7CB200C9B900DA8900E56500EA5400E66200DE7E00D2A100C3C40084B50049A400189300
00830D00752800683B005C4600524D00444A003542002A3C002238001C3400183100152E
00132D00122C00112B00112B00122B00132C00142E001730001A32001E35002439002B3D
003442004048004E4E00564B005E4500673B00712E007C1C008705179300399F0061AB00
8EB700BFC300CFAA00DA8B00E36C00EC4D00F33200F91C00FD0C00FE0400FE0500FC0F00
F72200F13B00E85B00DE7D00D2A100C5C3008DB70057A800279800008900007A20006B37
005C46004F4E00374300243900162F000E2800082200051E00031B00021900021900031A
00041D000620000A24000E2800142D001A32002238002B3D003442003D4700474B004F4E
00524D00554B00574A005949005A4800594800594900574A00544C00514D004B4D004048
003543002A3D002036001730000F2A000A2400061F00031B00021900021A00051E000B25
001730002E3F00524D00693A00811229990076B100C5C300
1D950077B100C9B800DD8200EA5400EE4500ED4900E85D00DE7C00D3A000C2C40083B400
4CA5001F9600008804007B1E006F3200643F005B4700544C004C4D004048003743003040
002C3D00283B00263A00253A00253A00263A00293C002C3D003040003643003D4700474B
00504E00564B005D4600643F006C35007528007F17008901189300389E005CA90085B500
B1C000CBB500D59800DF7B00E85D00EF4200F52A00FA1700FD0A00FE0600FD0900FB1400
F62700F04000E75E00DE7F00D2A100C6C20091B8005DAA002E9B00068C00007D19006F31
00614200544C004148002C3E001D3400132C000C2600072100041D00031A000219000219
00031A00041C00051F000822000B25000F2900132D001831001E3500233800293C002E3F
003341003643003945003B45003B45003A45003743003341002E3F00283B002238001C33
00152F00102A000B2500072100041D00031A00021900021A00041D00092300132D00253A
00454A005E440075270C8E0051A600A3BC00CFAB00DB8700
00732B1391006DAE00C8BC00DD8000EA5500F13B00F33400F03E00EA5600DF7B00D2A100
C4C4008AB60058A8002D9B000B8E0000830F007823006F3100673C006043005B4800564B
00524D004F4E004C4D00494C00484C00494C004B4D004E4E00504D00534C00574A005B47
00604300663D006C3500732B007B1D00830D078C001F96003CA0005DAA0082B400AABE00
C8BB00D2A100DB8600E46A00EB5000F23700F72300FB1300FD0A00FE0800FC0D00FA1900
F52C00EE4500E66200DD8100D2A100C6C00096B90063AC00369E000E8F0000811100742A
00663D005A48004E4E00374300263A00193100102A000A2500072000041D00031B000219
00021900021A00031B00041D00061F000822000A24000D2700102A00132C00152F001831
001A32001C33001D34001D34001D34001B3300193200173000132D00102A000D27000A24
00072100051E00031B00021A00021900031A00051D00092300122B002137003C4600584A
006C3500830D309C0083B400C9BA00D98E00E36F00E56800
00514D006D33058C005CA900C5C400D98D00E85C00F23800F72500F72300F23800E95700
DF7A00D39E00C7BE009ABA006BAE0043A200229700088D0000840C007C1C007528006F31
006B3700673C00643F00624100614200604300604300624200634000663D006939006D34
00722E007725007D1A00830D028A001592002C9A0047A30064AC0086B500ABBE00C7BD00
D0A600D98D00E17400E85A00EF4300F42E00F91D00FC1100FD0A00FD0A00FB1100F81E00
F33100ED4900E56500DC8300D2A200C7BF009BBA006AAE003EA000179300008508007823
006B36005F4400544C004349003040002137001730000F29000A2400072000041D00031B
00021A00021900021900021A00031B00041C00051E000620000821000923000A24000B25
000C26000D27000D27000D27000C26000B25000A2400082200072000051E00041D00031B
00021A00021900021A00031B00061F000A2400122C00203600374300544C00673C007C1C
1692005DAA00B3C000D59A00E26F00EA5600E95900DF7900
001D3400464B00663D00840B44A200A1BC00D2A200E36D00F04000F72200F91B00F62500
F13B00E95800E07700D59800CAB600AEBF0084B5005FAA0040A100279900129100028A00
00850A008014007C1B007920007724007626007627007626007724007920007C1C007F15
00830D008803098D001893002A9A003EA00056A80071AF008FB700AFBF00C7BD00CFA900
D79300DF7C00E56500EC4F00F13B00F52900F91C00FB1300FC1000FB1200F91A00F62800
F13B00EB5200E36C00DB8800D1A400C6C0009CBB006FAF0044A2001F9600008900007D1B
00702F00653E005A48004F4E003C46002C3D001F3600162F000F29000B2500072100051E
00041C00031A00021A00021900021900021A00031A00031B00031C00041C00041D00051E
00051E00051E00051E00051E00041D00041C00031B00031B00021A00021900021900021A
00031B00041D000721000C2600142E00213700364300524D006340007626048B0041A100
8EB700CCB300DD7F00EB5200EF4300EB5100DF7A00CAB600
00072100152E003643005D46007A1F20960075B000C7BD00DB8800E95700F23600F62600
F72400F42E00EF4100E85A00E07700D79300CEAD00C4C4009FBC007EB30062AB004BA400
389E002899001C95001291000C8E00078C00048B00048B00058C00088D000C8F00139100
1C9500279800339D0043A20055A70069AD0080B4009ABA00B5C100C8BC00CFAB00D59800
DC8400E27000E85D00ED4B00F13B00F42D00F72400F81E00F81D00F72100F52A00F23800
ED4A00E75F00E07700D89100CFAB00C5C40099BA006FAF0048A300249800058C00008014
007528006A38005F4400554B00494C003844002A3C001F3500162F00102A000C26000923
00062000051D00041C00031B00021A00021900021900021900021900021900021900021A
00021A00021A00021900021900021900021900021900021900031A00031B00051D000720
000A24000F2A00183100253900394400524D00614200722C0086082B9A0070AF00BEC300
D59900E46B00EE4800F13A00EA5300DC8500C5C30057A800
00041C00051E000F2900283B00534C006E3300890048A4009FBB00D0A700DF7900EA5400
F13A00F42D00F52C00F23500EE4700E85C00E17400DA8B00D2A200CAB600BFC300A3BC00
8BB60076B10065AC0057A8004CA50044A2003FA1003CA0003B9F003DA00040A10046A300
4EA50058A80064AC0072B00083B40096B900ABBE00C2C400CAB800CFA900D59900DA8900
E07800E56700E95700ED4900F13D00F33300F52D00F52A00F52B00F43100F13A00EE4800
E95900E36D00DC8300D59A00CCB100BFC30096B9006FAF004BA4002999000C8F0000840C
007921006F3200653E005B4700534C00464B003643002A3C00203600183100132C000E28
000B2500082200072000051E00041D00041C00031B00031B00031A00031A00021A00021A
00021A00021A00031A00031A00031B00041C00051D00061F000821000A25000F2900152E
001E35002C3D003F4800544C00614200712E00820F1D950058A800A0BC00CEAD00DD8100
E85A00EF4300EF4200E85B00D79400ABBE003EA000007F16
000B2500041C00031B000A24001C33004249006142007C1C1E95006BAE00BBC200D39F00
E07800E95800EF4100F23600F23600F03E00ED4B00E85C00E36F00DD8200D79400D1A500
CBB400C6C100B7C100A5BD0097BA008CB70083B4007EB3007AB2007AB2007BB2007FB300
85B5008DB70098BA00A4BD00B3C000C3C400C8BB00CDB000D1A400D69700DA8A00DF7C00
E36E00E76100EA5400ED4A00EF4100F13A00F23700F23700F13A00F04000ED4A00E95700
E56700DF7A00D98D00D2A200CAB700B8C10093B8006FAF004EA5002F9B00139100008704
007D1900742A006B3700624100594800524D00464A003844002D3E002439001C34001730
00122C000F29000C26000A2400092300072100072000061F00061F00051E00051E00051E
00051F00061F000620000721000923000B25000D2700112B00162F001E3500283B003643
004A4C00574A00643F00722D0082101693004AA40089B600C7BE00D79400E46B00EC4F00
EF4400EC4F00E27200D0A6008BB60024980000762600564B
00293C000F2900051D00031A00061F00122C002D3E00544C006D34008608339D0078B100
BFC300D2A200DD7F00E66500EB5300ED4900EE4700ED4B00EA5400E76000E36E00DE7C00
DA8A00D69800D1A300CDAE00CAB700C7BE00C5C400BDC300B8C100B5C100B4C100B5C100
B9C200BEC300C5C400C7BE00C9B800CCB100CFA900D3A000D69600DA8C00DD8100E07600
E36C00E66200E95A00EB5200EC4D00ED4900ED4800ED4A00EC4E00EA5500E75F00E46C00
DF7A00DA8A00D49C00CEAE00C6C000ACBF008BB6006BAE004DA500319C00179300018A00
00811200782300703000683B00604300594900524D00484C003C4600324100293C002338
001D3400193100152E00122C00102A000F29000D28000D27000C26000C26000C26000C27
000D28000F2900102A00132D00162F001B33002137002A3C00354300444A00534D005C46
00683B00742900820F13910041A10077B100B5C100D0A800DC8300E66300EB5000EB5100
E56800D89100C5C40063AC00078D00006C35004C4D001C33
00594900334100142D00062000021A00041C000B25001C34003D47005C4600732C008802
319C006CAE00A8BE00CAB700D49D00DB8800E07900E27000E36C00E36D00E27200E07900
DD8100DA8A00D79300D49C00D1A400CFAB00CCB100CAB600C9BA00C8BC00C7BE00C7BE00
C7BE00C8BC00C9BA00CAB700CCB200CEAD00D0A800D2A200D49B00D79400D98D00DB8600
DD7F00DF7900E17400E27000E36E00E36D00E36E00E27000E17500DF7C00DC8500D88F00
D49B00D0A800CAB600C5C400AABE008FB70074B00059A90040A100299900139100008900
008111007A2000722C006B3600643F005E4500584A00524D004B4D004148003844003140
002B3D00263A002237001E35001C33001A32001931001831001830001831001931001A32
001C34001F3600233800283C002F3F00394400444A00504D005849006142006B37007627
0082100C8F00329C005FAA0092B800C5C300D1A500DA8A00E07600E36F00E07800D79500
C8BD0080B3002C9A00007E1800604300374400132D00051E
007725005F44003F47001B3300092300031B00021A00061F00102B00263A004A4D006043
00742900870428990058A80088B600B3C000C9BA00CFA900D49C00D79400D88F00D98E00
D98F00D79200D69600D49B00D2A000D1A500CFAA00CDAE00CCB200CBB500CAB700C9B800
C9B900C9B800CAB700CAB600CBB300CCB100CEAD00CFAA00D1A600D2A100D49D00D59900
D69600D79200D89000D98E00D98E00D98E00D89000D79400D59800D39E00D1A600CDAE00
CAB800C5C200B5C1009FBC008AB60073B0005DAA0048A300339D002096000E8F00008802
008211007B1E007429006E3200683A006340005D4500584900544C00504E00494C004148
003B45003643003241002E3F002C3E002A3D00293C00293C002A3C002B3D002D3E003040
003442003A45004148004B4D00524D00574A005E4500663D006E3200782300820F098D00
2899004CA50076B100A2BC00C7BF00CFA900D59800D89000D79300D2A300C7BE008CB700
42A200008900006E3200534C00263A000D2700041C00031A
0C8E00007C1C00653E004D4E002439000E2800051D00021900031B00092300162F002E3F
00504E00614200732B00840C1893003EA00064AC0088B600A6BD00C0C300C8BC00CBB500
CDAF00CEAC00CEAB00CEAC00CEAD00CDAF00CCB200CBB400CAB600C9B900C9BA00C8BC00
C8BD00C8BD00C8BD00C8BC00C8BC00C9BA00C9B900CAB700CBB500CCB300CCB100CDAF00
CEAD00CEAC00CEAB00CFAB00CEAC00CEAD00CDB000CBB300CAB700C8BD00C5C300BBC200
ADBF009EBB008EB7007DB3006BAE0059A90048A300379E00269800169200078D00008705
008112007B1D00762600712F006C3600673C006241005E45005A4800574A00534C00514D
004E4E00494C00454A00434900414800404800404800414800424900454A00494C004F4E
00524D00554B005A48005F4400643F006B3700722C007A1F00830E078C002096003EA000
5FAA0083B400A6BD00C5C400CBB500CEAD00CEAD00CAB700BAC20088B6004DA5000F9000
007823005F44003E4700193200082200031A00031C000D27
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[29]:=",
  ImageSize->{440, 440},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006h0001^2000`400?l00000o`00003oooooooni
ooooo`00ooooooniooooo`009_ooool3o`0003[ooooo0ol0000looooo`?o0000>Oooool5o`0003Oo
oooo0_l0000jooooo`Go0000>_ooool3o`00023ooooo000Uooooo`05o`000?ooooooooooooooool0
0000>?ooool01Ol0003ooooooooooooooooo000003cooooo00?o0000ooooooooool0>Oooool01?l0
003oooooooooool0000fooooo`04o`000?ooooooooooo`0003[ooooo00Co0000oooooooooooo0000
>oooool00ol0003oooooooooo`0Oooooo`007oooool5o`000003ooooool0003ooooo00;ooooo00?o
0000ooooooooool0<?ooool5o`000003ooooool0003ooooo00;ooooo00?o0000ooooooooool0<Ooo
ool5o`000003ooooool0003o000000?o0000<oooool5o`0000?ooooo00?o0000ooooooooool0=_oo
ool01?l0003oooooooooool0000kooooo`03o`000?oooooooooo03Sooooo1Ol0000Pooooo`009_oo
ool3o`0003Wooooo1?l0000jooooo`04o`000?ooooooooooo`0003gooooo00?o0000ooooooooool0
=Oooool01?l0003oooooooooool0000looooo`03o`000?oooooooooo03Oooooo00Co0000oooooooo
oooo00008Oooool002Gooooo00Go0000ooooooooooooooooo`00000hooooo`03o`000?oooooooooo
03cooooo00?o0000ooooool00000>_ooool01Ol0003ooooooooooooooooo000003Kooooo00Co0000
oooooooooooo0000>Oooool01Ol0003ooooooooooooooooo000003Wooooo00?o0000ooooool00000
8Oooool002Gooooo00Go0000ooooooooooooooooo`00000iooooo`03o`000?oooooooooo03cooooo
0_l0000jooooo`05o`000?ooooooooooooooool00000=_ooool01?l0003oooooooooool0000ioooo
o`05o`000?ooooooooooooooool00000>_ooool2o`00027ooooo000Vooooo`?o0000>oooool2o`00
03gooooo00?o0000ooooooooool0>Oooool3o`0003Sooooo0_l0000kooooo`?o0000??ooool00ol0
003oooooooooo`0Oooooo`00ooooooniooooo`00ooooooniooooo`00ooooooniooooo`00ooooooni
ooooo`00ooooooniooooo`00ooooooniooooo`007Oooooooo`0009_o00000Oooool001gooooo00?o
0000ooooooooool01Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o
0000ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o
0000ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o
0000ooooooooool03?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo00cooooo0_l0
0001ooooo`007Oooool00ol0003oooooooooo`05ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000
ooooooooool03?ooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000
ooooooooool03?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03?ooool00ol0003oooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000
ooooooooool03Oooool00ol0003oooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000
ooooooooool03?ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo00?o0000oooo
ooooool0>_ooool00ol0003oooooooooo`0kooooo`03o`000?oooooooooo03_ooooo00?o0000oooo
ooooool0>_ooool00ol0003oooooooooo`0kooooo`03o`000?oooooooooo03[ooooo00?o0000oooo
ooooool07Oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo0?ooooooUoooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo0?ooooooUoooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo0?ooooooUoooool1o`00007ooooo000Mooooo`03o`000?oooooooooo0?ooooooUoooool1
o`00007ooooo000Mooooo`;o0000oooooonGooooo`;o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3o`1f9`?o06Ll0ol0ED/3o`0f@`?o01Xb0ol02bD3o`0470?o008I0ol00a/3o`078@?o
014[1?l08CL3o`0iA0?o059=0ol0H4<3o`1^<`?o07XP0ol0Q0/3o`V=00?o7ID00ol_V`03ocfP00?o
B:@01?m@YP03oeJX00?oFJT01_mJZ@03oeRX00?oEZP00omDY`03oe6V00?oCjH00om=Y@03od^T00Co
BZ@00om9Y006odRT00?oBJ@00om:Y003od^U00?oCJD00om?YP03oe6V00?oDjL01?mFZ003oeNX00?o
FJT00omJZ@09oe^Y00?oFJT00omGZ003oe>W00?oCjH00om9Y004od>R00?o?:000oldW@03ob^J00?o
8YL00olHT`03o`j?00?o18/00ol0Q`D3o`233P?o07hH0ol0NR04o`1e:0?o070_0ol0K3H3o`1W>`?o
06=00ol0Gd@3o`1KB0?o05M:0ol0Dd`3o`1@CP?o04]=1?l0ADX3o`0oA`?o03Y50ol0=d<3o`0c@P?o
03500ol0;cl3o`0^?`Ko02dn0ol0;Sh3o`0_?`Co03500ol0<d83o`0gA0?o03a60ol0@TT3o`1:C0?o
051>0ol0ED/3o`1JB0?o06130ol0ISd3o`1]=0Co07@Y0ol0O1/3o`242`?o1X`00olJU003objK00?o
@:400om?YP06oeNX00?oCJD00oliW`04oafE00?o08P30ol0MbD3o`1T?`?o051=0ol0:cd3o`0C;0?o
00LP0ol00QX3o`036`?o00XT1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0ol0MRL3o`1W?0?o05E;0ol0=T<3o`0J<P?o00/U0ol011`3o`026@?o00<K0ol01b43o`0A:`Co024g
0ol0>D@3o`1BC@?o06130ol0KS<3o`1j80?o08@;0ol9S@03oafE00?o;i/00olmX003odRT00CoD:H0
0omFZ003oeVY00KoFZT00omHZ003oeJX00?oE:L00omAYP03odnV00?oCJD00om;Y004odZT00?oBJ@0
1_m8Y003odVT00?oBZ@00om;Y@03odfU00?oCjH00omAYP03oe>W00CoEZP00omGZ003oeVY00?oFZT0
2OmKZ@03oeVY00?oEjP00omCY`03odnV00?oBJ@01?m3XP03ocbP00?o=9d00ol[VP03ob:G00?o69<0
0ol>S`03o`B;00?o08L50ol0P`h3o`1n60?o07XP1?l0MBP3o`1`;`?o06`f0ol0Ic/3o`1S@0?o05m4
0ol0FdP3o`1GBP?o05=<0ol0D4h3o`1;C@Co04E:0ol0?dL3o`0jA@?o03M30ol0<d83o`0a@0?o02lo
0ol0;Sl6o`0]?P?o02hn0ol0;cl4o`0a@0?o03=20ol0=d@3o`0lAP?o04990ol0BT`3o`1@CP?o05E;
0ol0FTP3o`1P@`?o06Hm0ol0KC@4o`1d:@?o07`K0ol0Q0/3o`J<00?o6Y@00ol^V`03od2Q00?oCjH0
1_mGZ003odfU00?o>Il01?lMU@03o`280`?o07LU0ol0I3l3o`1@C@?o02/m0ol04b`3o`0780?o008J
0ol00a/3o`0:90Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o07HW0ol0
Ic`3o`1EB`?o03I30ol06S83o`0;9@?o00@L0ol00QT3o`036`?o00LQ0ol04B/4o`0Q=`?o03U40ol0
DTd3o`1P@`?o06hc0ol0NR03o`242`?o2Hd00olMU@03obnK00?o?J000om8Y004oe2V00?oEZP00omI
Z@06oeZY00?oF:P00omFZ003oeBW00?oDJH00om?YP03odfU00?oBj@01?m:Y003odVT00KoB:@00om9
Y003odZT00?oBjD00om=Y@03odnV00?oDJH00omCY`04oeJX00?oEjP00omIZ@03oeZY00WoFjT00omI
Z@03oeNX00?oDjL00om?YP03odVT00Co@j800ollX003ocBM00?o:iX00olRU`03oaRC00?o3Xl00ol4
R`03o`271@?o08<>0ol0OQP3o`1j80Co07DX0ol0L2l3o`1/=P?o06Lk0ol0Hd03o`1OA0?o05]80ol0
EdX3o`1CC0?o051>0ol0Bdd4o`15BP?o03m70ol0>TD3o`0g@`?o03=20ol0<D03o`0_?`?o02ho1_l0
;Ch3o`0^?P?o02lo1?l0<D03o`0c@P?o03M40ol0?4H3o`12B@?o04Y<0ol0D4h3o`1EB`?o05Y80ol0
H4<3o`1V?@?o06dd1?l0M2T3o`1l6`?o08@;0ol6S003oaZD00?o;Y/00om0X@03odnV00KoEjP00om=
Y@03ocVO00Co7ID00ol0R0<3o`1g9@?o06@o0ol0D4d3o`0[?@?o01</0ol01b03o`026P?o00<K0ol0
2R@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1W?0?o05=<0ol0;cl3
o`0E;P?o00PR0ol00a/3o`026P?o00DN0ol03BP3o`0M=@?o03Q41?l0E4`3o`1T?`?o07@Y0ol0P`h3
o`n@00?o;I/00om9Y003of6[00?oM;000on2]003oh^f00?oT;P01?nB^003oi6h00?oSKL00on9]P03
oh>d00?oO[<00omh/@03og>`00?oKZl00omZ[P03ofN]00?oIJ`01?mS[003of>[00?oHj`00omT[003
ofJ/00?oJJd00om/[P03og2_00?oM;000omi/P03ogfc00CoP[@00on6]@03ohZf00?oS[L00onA^003
oi:h00?oTkP00onB^003oi2h00?oSKL00on8]P03oh6d00CoNK800om_[`03ofB/00?oF:P00om;Y003
ocjP00?o<9`00olRU`03oaBA00?o1X`00ol0Q`H3o`214PCo07/M0ol0MRL3o`1`<0?o06Xg0ol0ICh3
o`1P@`?o05]70ol0ET/3o`1BC@?o04e>0ol0A4X4o`0mAP?o03M30ol0<D03o`0]?P?o02Tl0ol09SX3
o`0T>@?o028g0ol08CL9o`0P=PCo024g0ol08SP3o`0U>@?o02Pk0ol0;3d3o`0a@0?o03Q40ol0@4P3
o`1;C@?o059=0ol0FDT3o`1P@`Co06Pk0ol0L2l3o`1i80?o08<>0ol8S@03ob:G00?o?Z000omJZ@03
og>`00?oQKD00on?]`03oh^f00CoN[800omJZ@03obnK00?o0HX00ol0MRL3o`1P@`?o04=90ol07C@3
o`0:9@?o00<K0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1W
?0?o05=<0ol0;cl3o`0E;P?o00PR0ol00a/3o`026P?o00DN0ol03BP3o`0M=@?o03Q41?l0E4`3o`1T
?`?o07@Y0ol0P`h3o`n@00?o;I/00om9Y003of6[00?oM;000on2]003oh^f00?oT;P01?nB^003oi6h
00?oSKL00on9]P03oh>d00?oO[<00omh/@03og>`00?oKZl00omZ[P03ofN]00?oIJ`01?mS[003of>[
00?oHj`00omT[003ofJ/00?oJJd00om/[P03og2_00?oM;000omi/P03ogfc00CoP[@00on6]@03ohZf
00?oS[L00onA^003oi:h00?oTkP00onB^003oi2h00?oSKL00on8]P03oh6d00CoNK800om_[`03ofB/
00?oF:P00om;Y003ocjP00?o<9`00olRU`03oaBA00?o1X`00ol0Q`H3o`214PCo07/M0ol0MRL3o`1`
<0?o06Xg0ol0ICh3o`1P@`?o05]70ol0ET/3o`1BC@?o04e>0ol0A4X4o`0mAP?o03M30ol0<D03o`0]
?P?o02Tl0ol09SX3o`0T>@?o028g0ol08CL9o`0P=PCo024g0ol08SP3o`0U>@?o02Pk0ol0;3d3o`0a
@0?o03Q40ol0@4P3o`1;C@?o059=0ol0FDT3o`1P@`Co06Pk0ol0L2l3o`1i80?o08<>0ol8S@03ob:G
00?o?Z000omJZ@03og>`00?oQKD00on?]`03oh^f00CoN[800omJZ@03obnK00?o0HX00ol0MRL3o`1P
@`?o04=90ol07C@3o`0:9@?o00<K0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3o`1W?0?o05=<0ol0;cl3o`0E;P?o00PR0ol00a/3o`026P?o00DN0ol03BP3o`0M=@?o
03Q41?l0E4`3o`1T?`?o07@Y0ol0P`h3o`n@00?o;I/00om9Y003of6[00?oM;000on2]003oh^f00?o
T;P01?nB^003oi6h00?oSKL00on9]P03oh>d00?oO[<00omh/@03og>`00?oKZl00omZ[P03ofN]00?o
IJ`01?mS[003of>[00?oHj`00omT[003ofJ/00?oJJd00om/[P03og2_00?oM;000omi/P03ogfc00Co
P[@00on6]@03ohZf00?oS[L00onA^003oi:h00?oTkP00onB^003oi2h00?oSKL00on8]P03oh6d00Co
NK800om_[`03ofB/00?oF:P00om;Y003ocjP00?o<9`00olRU`03oaBA00?o1X`00ol0Q`H3o`214PCo
07/M0ol0MRL3o`1`<0?o06Xg0ol0ICh3o`1P@`?o05]70ol0ET/3o`1BC@?o04e>0ol0A4X4o`0mAP?o
03M30ol0<D03o`0]?P?o02Tl0ol09SX3o`0T>@?o028g0ol08CL9o`0P=PCo024g0ol08SP3o`0U>@?o
02Pk0ol0;3d3o`0a@0?o03Q40ol0@4P3o`1;C@?o059=0ol0FDT3o`1P@`Co06Pk0ol0L2l3o`1i80?o
08<>0ol8S@03ob:G00?o?Z000omJZ@03og>`00?oQKD00on?]`03oh^f00CoN[800omJZ@03obnK00?o
0HX00ol0MRL3o`1P@`?o04=90ol07C@3o`0:9@?o00<K0ol00aX7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3o`1@CP?o02Tl0ol04B/3o`067`?o008J0ol00a/3o`098`?o01L`
0ol0<D03o`1CC0?o06Hm1?l0NB83o`6:00?o:IT00omCY`03ogVb00?oVKX00onb`003ol?400?oakl0
0oo7_@03olNn00?oa/401?o4a003ok[200?o[kl00onU_@03oiZj00?oTKP00on8]P03oh6d00?oNk80
0omf/@03og>`00?oLJl01?m`[`03og6_00?oLk000omf/@03ogZb00?oP;<00on6]@03ohfg00?oU;T0
0onL^`03ojFm00Co[Kl00one`@03okg300?oa<@00oo6`@03olNo00?oakd00oo8_@03olNm00?oakl0
0oo6`P03ol7400Co]l400on[_P03oifk00?oSKL00omk/P03ofV]00?oEZP00om3XP03oc2L00?o7YD0
0ol<S`03o`280`Co084B0ol0NQl3o`1c:`?o06dd0ol0ISd3o`1P@`?o05Y80ol0ED`3o`1?CP?o04E:
0ol0?4H4o`0d@P?o02dn0ol09c/3o`0R>0?o01le0ol06c<3o`0I<@?o01L`0ol05Bl3o`0D;P[o01@]
0ol052h3o`0F;`?o01L`0ol06S83o`0M=0?o024g0ol09SX3o`0]?P?o03I30ol0@TT3o`1?CPCo05M:
0ol0Gd@3o`1Y>@?o07<[0ol0OQL3o`6:00?o89H00om4XP03ofV]00?oS[L00on__`03olG400Coa/00
0oo3a003oj:l00?oLJl00olgWP03o`280P?o070`0ol0ET/3o`0/?P?o010Z0ol01Ah7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3o`1@CP?o02Tl0ol04B/3o`067`?o008J0ol0
0a/3o`098`?o01L`0ol0<D03o`1CC0?o06Hm1?l0NB83o`6:00?o:IT00omCY`03ogVb00?oVKX00onb
`003ol?400?oakl00oo7_@03olNn00?oa/401?o4a003ok[200?o[kl00onU_@03oiZj00?oTKP00on8
]P03oh6d00?oNk800omf/@03og>`00?oLJl01?m`[`03og6_00?oLk000omf/@03ogZb00?oP;<00on6
]@03ohfg00?oU;T00onL^`03ojFm00Co[Kl00one`@03okg300?oa<@00oo6`@03olNo00?oakd00oo8
_@03olNm00?oakl00oo6`P03ol7400Co]l400on[_P03oifk00?oSKL00omk/P03ofV]00?oEZP00om3
XP03oc2L00?o7YD00ol<S`03o`280`Co084B0ol0NQl3o`1c:`?o06dd0ol0ISd3o`1P@`?o05Y80ol0
ED`3o`1?CP?o04E:0ol0?4H4o`0d@P?o02dn0ol09c/3o`0R>0?o01le0ol06c<3o`0I<@?o01L`0ol0
5Bl3o`0D;P[o01@]0ol052h3o`0F;`?o01L`0ol06S83o`0M=0?o024g0ol09SX3o`0]?P?o03I30ol0
@TT3o`1?CPCo05M:0ol0Gd@3o`1Y>@?o07<[0ol0OQL3o`6:00?o89H00om4XP03ofV]00?oS[L00on_
_`03olG400Coa/000oo3a003oj:l00?oLJl00olgWP03o`280P?o070`0ol0ET/3o`0/?P?o010Z0ol0
1Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1@CP?o02Tl0ol04B/3
o`067`?o008J0ol00a/3o`098`?o01L`0ol0<D03o`1CC0?o06Hm1?l0NB83o`6:00?o:IT00omCY`03
ogVb00?oVKX00onb`003ol?400?oakl00oo7_@03olNn00?oa/401?o4a003ok[200?o[kl00onU_@03
oiZj00?oTKP00on8]P03oh6d00?oNk800omf/@03og>`00?oLJl01?m`[`03og6_00?oLk000omf/@03
ogZb00?oP;<00on6]@03ohfg00?oU;T00onL^`03ojFm00Co[Kl00one`@03okg300?oa<@00oo6`@03
olNo00?oakd00oo8_@03olNm00?oakl00oo6`P03ol7400Co]l400on[_P03oifk00?oSKL00omk/P03
ofV]00?oEZP00om3XP03oc2L00?o7YD00ol<S`03o`280`Co084B0ol0NQl3o`1c:`?o06dd0ol0ISd3
o`1P@`?o05Y80ol0ED`3o`1?CP?o04E:0ol0?4H4o`0d@P?o02dn0ol09c/3o`0R>0?o01le0ol06c<3
o`0I<@?o01L`0ol05Bl3o`0D;P[o01@]0ol052h3o`0F;`?o01L`0ol06S83o`0M=0?o024g0ol09SX3
o`0]?P?o03I30ol0@TT3o`1?CPCo05M:0ol0Gd@3o`1Y>@?o07<[0ol0OQL3o`6:00?o89H00om4XP03
ofV]00?oS[L00on__`03olG400Coa/000oo3a003oj:l00?oLJl00olgWP03o`280P?o070`0ol0ET/3
o`0/?P?o010Z0ol01Ah7ooooo`7o00000Oooool000Sooooo00?o0000ooooooooool00oooool00ol0
003oooooooooo`02ooooo`?o00001oooool00ol0003oooooooooo`05ooooo`?o02<h0ol03BL3o`04
7@?o00<J0ol01Ah3o`0@:P?o02Hj0ol0CTh3o`1T?`?o07XP0ol<SP04od2Q00?oMK400onX_P03olRl
00?ocjT00ooDW003omJF00?oei@00ooFU`03omBM00?odJH00oo=[`04olVi00?oaL<00ong`@03ojNm
00?oVKX00on=]`03oh>d00?oNk800ome/@03og6_00KoKZl01?m_[`03og:`00?oM[400oml/P03oh>d
00?oS;L00onF^@03oj6l00?o[Kl00onj`P03olG300Cob;`00oo;]003olj]00?od:H00ooCX003omBK
00?oeYL01_oGU003omJE00?oeIP00ooDW@04om6T00?ocZd00oo:]`03olG200?o/l000onK^P03oh:d
00?oJ:d00om?YP03ocNN00?o89H00ol;SP04o`261`?o07hH0ol0MRH3o`1^<`?o06Ll0ol0Gd@3o`1H
B@?o059=0ol0BD`3o`0mAP?o03=11?l0:Sd3o`0S>0?o01he0ol06C43o`0E;`?o018/0ol042X3o`0>
:@?o00dW0ol032H@o`0;9@?o00`V0ol03BL3o`0>:@?o010Z0ol04bd3o`0G<0?o01`d0ol093T3o`0]
?PCo03U50ol0BT`3o`1EB`?o05m40ol0JcL3o`1g9@?o08@;0olFTP03ocnQ00?oKZl00onP_003olNo
00Cod:P00ooDV`03omBL00?ocZ`00onn``03ogZb00?o;i/00ol0P1@3o`1S@0?o04180ol06347oooo
o`7o00000Oooool000Sooooo00?o0000ooooooooool01oooool01Ol0003ooooooooooooooooo0000
00Kooooo00?o0000ooooooooool01Oooool3o`0S>0?o00dW0ol011d3o`036P?o00DN0ol042X3o`0V
>P?o04i>0ol0I3l3o`1j80?o38h01?m0X@03ogFa00?oZ;h00oo8_003olnY00?oe9`00ooFUP03omND
00?oeYL00ooDW@03om6V00?ocJl01?o9^@03olG300?o]l400onW_@03oiVj00?oSKL00on3]003og^b
00?oMK400oma[`06ofj_00CoKjl00omb/003ogJa00?oO;800on3]003ohbg00?oU[T00onQ_003ojfo
00?o^/800oo5``04olRl00?obk@00oo>[@03om2V00?odj000ooDV`03omJG00Koei@00ooFU@03omFH
00?oe9d01?oAY003olj]00?ob[L00oo5`P03ok?000?oVkX00on2]003ofR]00?oCjH00olgWP03ob2F
00?o2hh01?l0QPL3o`1n60?o07HV0ol0KS<3o`1W?0?o05m40ol0F4T3o`1BC@?o04U<0ol0?DH3o`0c
@@Co02Xm0ol08cP3o`0N=@?o01Ta0ol05Bl3o`0B;0?o010Z0ol03RT3o`0=9`?o00`V4?l02bD3o`0<
9P?o00dW0ol03RT3o`0@:P?o01<]0ol05c03o`0L=0?o02@i0ol0;Ch4o`0iA@?o04Y<0ol0ED/3o`1O
A0?o06/g0ol0MbD3o`242`?o5Y800oloX@03ofj_00?oX;`00oo7_`04om2X00?oe9/00ooDW003olj/
00?o_/<00omj/P03obnK00?o080D0ol0Hd03o`10B0?o01Pa1oooool1o`00007ooooo0005o`0000Co
oooo00?o0000ooooooooool02_ooool00ol0003oooooooooo`04ooooo`03o`000?oooooooooo00Go
oooo0ol08cP3o`0=9`?o00@M0ol00aX3o`057P?o010Z0ol09SX3o`1>CP?o06@o0ol0NR03o`b>00Co
@:400ome/@03ojRn00?ob;`00oo?Z@03omBL00?oeYH00ooGU003omJG00?oe9d00ooAYP03olf_00Co
bKT00oo5``03okO100?oYkd00onI^P03ohfg00?oPk@00omk/P03ogFa00?oLJl01_m^[`04ofn_00?o
L[000omf/@03ogbb00?oPk@00on<]`03oiJi00?oXK`00on]_`03ok[200?oaL<01?o8_003ol^d00?o
cZd00oo@YP03om>P00?oe9/00ooFU`06omND00?oeYD00ooEV003omBM00CodJ@00oo>[@03olZg00?o
aL800onc`003oi^j00?oP[@00omX[@03odnV00?o=ih00olPUP03o`^>00Co08H70ol0OQP3o`1f9P?o
06hc0ol0Ic`3o`1OA0?o05Q90ol0DTd3o`19C0?o03e60ol0<d44o`0Z?@?o02<h0ol07SD3o`0I<@?o
01D_0ol04R`3o`0@:P?o00hY0ol03BL3o`0<9Q3o00/U0ol032H3o`0=9`?o00hY0ol042X3o`0C;@?o
01L`0ol073@3o`0T>@?o02dn1?l0>DD3o`1:C0?o05E;0ol0Gd@3o`1[=`?o07LU0ol0Q0/3oaJB00?o
?j400om^[`03oj2l00?oakl01?o@Z003omBK00?oe9`00oo>[003okk300?oN[800ol_V`03o`2050?o
06=00ol0@4P3o`0H<@Oooooo0Ol00001ooooo`002Oooool00ol0003oooooooooo`0:ooooo`03o`00
0?oooooooooo00Cooooo0ol00005ooooo`?o00XT0ol011`3o`036`?o00TS0ol06C43o`0iA@?o05]7
0ol0Lb/3o`::00?o?j400omo/`04okc300?ocZ`00ooGT`03omf200KoggX00ooMO`03omZ900?oeYH0
0ooAY003olbb00?oa/001?ne`@03oj2l00?oSKL00omm/`03ofn_00?oHj`00omJZ@03oeBW00?oCjH0
0om=Y@03odbU00?oCJD01?m@YP03oeFW00?oG:T00omT[003ofj_00?oN[800on7]@03oiJi00?oY[d0
0ong`@03olK200Cob[P00oo>[@03om:S00?oeIT00ooHT003om^700?ogH400ooOO003ommi00?oh7T0
0ooON`03omf000CofhP00ooHTP03om>N00?ocZ`00oo9^P03ok[200?oWK/00omn/`03of6[00?oA:80
0olYV@03oa2@00Co08L50ol0OQP3o`1e:0?o06`e0ol0I3l3o`1LA`?o05A<0ol0Bdd3o`0mAP?o0350
0ol09c/4o`0O=P?o01Tb0ol052h3o`0@:P?o00dX0ol02bD3o`098`?o00PR0ol01b06o`067a3o00DN
0ol01Al3o`067`?o00LP0ol02283o`0:90?o00`V0ol03bT3o`0D;@Co01Xb0ol08cP3o`0_?`?o0418
0ol0DTd3o`1MA@?o06Xh0ol0NB83o`280`?o9IP00omGZ003oi2h00Coa/400ooBXP03omV=00?og8D0
0ooIS@03om2X00?o//000omHZ003o`N<00?o06hb0ol0DDd5ooooo`?o00000Oooool000[ooooo00?o
0000ooooooooool01Oooool4o`0000Oooooo00?o0000ooooooooool01Oooool3o`0:90?o00@L0ol0
0a/3o`098`?o01Ta0ol0>DD3o`1KA`?o07<[0ol2RP03ocnQ00?oOk<01?nl``03olj/00?oei<00ooM
PP06ommj00?ogGl00ooJR@03omJF00?odJ@00oo</P03olK000Co]L400onP_003ohfg00?oOK<00om_
[`03of>/00?oFZT00omDY`03odnV00?oCJD00om<Y@03odfU00CoD:H00omEY`03oebY00?oI:`00om^
[`03ogZb00?oQkD00onF^@03ojJm00?o]l400oo6`P04olZh00?ocZd00ooBX`03omFI00?of9000ooK
Q`03omf100?ogg`00ooON@03on1i00?ogg/00ooMP004om^800?of9800ooCWP03olj/00?obKX00onj
`P03oifk00?oO[<00omQZ`03odBR00?o:IT00ol@T004o`271@?o07hH0ol0MBP3o`1/=@?o06@o0ol0
G4L3o`1DC0?o04]=0ol0?DH3o`0a@0?o02Lk1?l07cH3o`0I<P?o01@^0ol042X3o`0=:0?o00/U0ol0
2B<3o`088P?o00LP1_l01Ql@o`057P?o00DO0ol01Ql3o`0780?o00PR0ol02R@3o`0<9P?o00lY0ol0
52d4o`0J<P?o02<h0ol0;cl3o`10B0?o059=0ol0GDD3o`1Z>0?o07TR0ol0R0<3obFH00?oEjP00on@
^004olK100?odZ800ooIS@03omb500?ofHd00oo@Z003ok;000?oF:P00ol7S003o`1^<P?o055=1ooo
ool1o`00007ooooo0006ooooo`05o`000?ooooooooooooooool000001oooool00ol0003ooooooooo
o`08ooooo`03o`000?oooooooooo00Gooooo0ol02R@3o`0470?o00<K0ol02B<3o`0I<@?o03U50ol0
FdL3o`1c:`?o0XX00oloX@03ognc00Co_<<00oo>[003omNC00?ogH801_oONP03omeo00?ofXT00ooF
UP03om6T00?oc;800oo6`004okG100?oX;`00on=]`03ogfc00?oKjl00omS[003oeZY00?oE:L00om?
YP03odfU00?oC:D00om=Y@04oe2V00?oEJL00omLZ@03ofB/00?oKZl00omj/P03ohNe00?oU[T00onV
_@03okO100?oa/801?o:^003olj]00?odZ<00ooEV@03omR@00?ofhL00ooMP@03omml00?oggT00ooP
N@03ommk00?ogH001?oKR003omRB00?odih00oo>[003olVj00?o^/800onM^`03ogjc00?oHJ/00om4
XP03obVI00?o49001?l0Q`D3o`1n60?o07DX0ol0K3D3o`1T?`?o05a70ol0E4`3o`1;C@?o03e60ol0
<D03o`0W>`Co01lf0ol06C83o`0D;P?o010Z0ol03BP3o`0;9@?o00TS0ol02283o`0780Ko00HO4?l0
1Ah3o`057`?o00HO0ol01b03o`088P?o00XT0ol032H3o`0?:@?o01@]1?l06S83o`0S>0?o02lo0ol0
@4P3o`1BC@?o05e50ol0JSP3o`1i8P?o08P30olUV003oeNX00?oT;P01?o6`@03om:R00?ofHd00ooL
Q@03omV=00?od:P00onb`003oeRX00?o1h`00ol0KS83o`1AC@Oooooo0Ol00001ooooo`001_ooool5
o`0000Oooooo1Ol00006ooooo`03o`000?oooooooooo00Gooooo0ol011`3o`057P?o00dX0ol093T3
o`1?CP?o06Pj0ol0PQ43ob^J00?oM;000oo0``03om:R00Cog8D00ooRL003onEU00?oiV@00ooTJ`03
ommi00?ofX/00ooCWP03olf`00?oaL800on[_P03oi2h00CoN;400omS[003oe:W00?oA:800olhWP03
obnK00?o:9T00olTU`03ob6G00?o8IH00olRU`03obFH00Co:YX00ol`W003ocVO00?o@j800om?YP03
oejZ00?oKZl00on0/`03oi>h00?oZ;h00ono``04olRk00?ocZh00ooCX003omNC00?ofhH00ooONP03
on9`00?oi6P00ooVH`03onMQ00?oiV800ooUIP04on=^00?oggT00ooKQ`03omJG00?ocjT00oo8^`03
ok?000?oT;P00om^[`03odfU00?o;Y/00olBT@04o`271P?o07dK0ol0Lb`3o`1Y>@?o06130ol0EdX3
o`1?CP?o03m70ol0<D03o`0V>P?o01dd1?l05Rl3o`0A:`?o00dW0ol02R@3o`088P?o00HP0ol01Ah3
o`047@?o00@L0ol00a/6o`036Q3o008J1_l00aX3o`036`?o00@L0ol011d3o`057`?o00LQ1?l02R@3
o`0>:0?o01<]0ol06c<3o`0X>`?o03U40ol0D4h3o`1MAP?o06/g0ol0Nad3o`N=00?o>9l01?me/@03
okO100?ocjT00ooJRP03on1g00?oh7H00ooJR`03olZh00?oO[<00olSU`03o`1h8`Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00@L0ol01Ah3o`0=:0?o02@i0ol0Cdh3o`1X
>P?o088A0ol[VP03ogB`00?o`<<00ooBXP04omb500?ohW000ooUI@03onIT00?oi6/00ooON@03omZ;
00?odih00oo=/003olG200?oZkh00on@^004ogRa00?oHj`00omBY`03odBR00?o>9h00ol_V`03obRI
00?o99L00olQU`03ob6F00?o8YL00olUV004obZJ00?o<9`00oliW`03od>R00?oCjH00omNZP03ofj_
00?oP;<00onC^003ojRn00?o_l<01?o8^`03olj^00?odj000ooGT`03om^600?oggX00ooRL003onAX
00?oiV<00ooWH@03onIR00?oiFH01?oSKP03ommi00?ofhL00ooFU`03olnY00?ob;/00onc`003oi2h
00?oKZl00om=Y@03objK00?o4Y401?l0Q`H3o`1m6`?o07</0ol0JCT3o`1P@`?o05M:0ol0Cdh3o`0o
A`?o03500ol09SX3o`0M=0Co01H_0ol04B/3o`0=9`?o00XT0ol02283o`0680?o00DN0ol011d3o`04
70?o00<K1_l00aX@o`026PKo00<J0ol00a/3o`0470?o00@M0ol01Al3o`078@Co00XT0ol03RP3o`0C
;@?o01/c0ol0:3/3o`0iA0?o051>0ol0GDH3o`1[=`?o07/M0ol7S@03ocRO00CoMK400ong`@03olnY
00?ofXX00ooPM`03on1f00?ofX/00oo:^003ogjc00?o8iL00ol0N2<7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`0470?o00DN0ol03BP3o`0T>@?o04m>0ol0J3X3o`224@?o
:iX00omd/003ol3300?odZ801?oLQ@03on9`00?oiFD00ooVI003onA[00?oggT00ooJR`03om>N00?o
cK000oo5`P03oj^n00?oT;P01?mh/@03of>/00?oDZL00om4XP03ocRN00?o;i/00olXV@03obBG00?o
8IL00olQUP03ob:G00?o9IP01?lZVP03oc2L00?o>Il00om3XP03odnV00?oGZX00om^[`03oh2c00?o
TkP00onX_P03oko300Cob;/00oo>[P03om>P00?oei<00ooKQP03ommj00?ohW000ooTJ003onIS00?o
if400ooVHP03onEV00Cohfh00ooON@03om^700?oeYL00oo?Z@03olRk00?o/l000on@^003ofj_00?o
CJD00ol^V`03oa:A00Co08L60ol0OA/3o`1c;0?o06Ti0ol0H4<3o`1GBP?o04m>0ol0?dL3o`0a@0?o
02Hj0ol07C@4o`0F;`?o014[0ol03BL3o`0:90?o00PR0ol01R03o`057P?o00@M0ol011`3o`036`Ko
00<J4?l00QX6o`036P?o00<K0ol011`3o`047@?o00DO0ol01b44o`0:90?o00hX0ol04bd3o`0K<`?o
02Pk0ol0>D@3o`1@CP?o05e60ol0JcL3o`1k7@?o1hd00olhW`04ogFa00?o]l400oo?Z@03omZ:00?o
h7L00ooPMP03omZ;00?ob[P00omn/`03ob>G00?o07PS1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ol01b43o`0D;@?o03910ol0FTP3o`1e:0?o49000omJZ@03ojbo00?odJD0
0ooON`03onMO00Coje000oo/C`03onUG00?oiFL00ooNO@03omJF00?ocZh00oo5a003oj6l00?oP;<0
0omSZ`03odZT00Co=Id00olTV003oaNC00?o38h00ol4R`03o`290@?o08L51_l0QPP3o`261`?o08L5
0ol0R@04o`B;00?o38l00olETP03ob6F00?o;Y/00olnX003oe2V00?oIJ`00omk/P03oiBi00?o[kl0
1?o6`@03olba00?odZ000ooHS`03omio00?ohVl00ooWH@03onYF00?ok4d00oo]B003oni800?okD/0
1?o[D`03onMO00?ohfh00ooMP@03omJE00?ocj/00oo6`@03oj>l00?oNk800omFZ003oc>M00?o5940
1?l0QPL3o`1k7@?o070_0ol0ISd3o`1LA`?o059=0ol0A4X3o`0d@P?o02Lj0ol07C@3o`0E;PCo00lZ
0ol02bD3o`088P?o00HO0ol01Ad3o`0470?o00<K0ol00QXCo`026@Wo008J4_l00QT3o`036PCo00<K
0ol011d3o`0680?o00TT0ol03RT3o`0F;`?o028h0ol0=D83o`1?CP?o05e50ol0KS<3o`2050Co6I@0
0omEZ003oiZj00?obk<00ooIS003on=^00?oiV800ooPN003om:R00?oXk`00om0X@07ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3o`078@?o01@]0ol0<T43o`1JB0?o07DX0ol@
T003oeZY00?o[;l00ooAY@03ommk00?oiel01?o[D003ona?00?ojEL00ooUI`03omim00?oeYH00oo>
[P03olG400?oXK`00on0/`03of>[00?oBZ@01?leW@03obBH00?o5i<00ol<SP03o`B;00?o08T10ol0
Q`D6o`2620?o08H70ol0Q`D3o`2900Co18/00ol<S`03oaFB00?o8IH00ol^V`03ocjP00?oD:H00omU
[003og^b00?oU;T00on__`04olK100?oc;400ooBX003omR?00?ogWl00ooRK`03onMQ00?ojUH00oo/
C@03one800?okTP00oo]B`04on]C00?oiel00ooSKP03omf100?oeYD00oo?Z`03olK100?oXk`00omk
/P03oeJX00?o<id00olDT@04o`261`?o07/M0ol0L2l3o`1V?@?o05a70ol0DTd3o`14BP?o03A20ol0
9cX3o`0M=0?o01D^1?l03bX3o`0;9@?o00PR0ol01Ql3o`057@?o00@L0ol00a/3o`026Q?o008I2Ol0
0QXBo`026@?o00<J1?l00a/3o`047@?o00HP0ol02B@3o`0>:@?o01H_0ol08SP3o`0e@P?o04m>0ol0
GDD3o`1^<`?o080D1?lIU003oeFX00?oV[X00oo;/`03omV<00?ohfh00ooVHP03on1h00?odZ800onS
_003od2Q00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00LQ0ol052d3
o`0b@@?o05Y80ol0MBP3oa2@00?oFZT00on/_`03om6U00?ogg/00ooWG`04on]@00?ok4l00ooYE`03
onEW00?ogWd00ooFUP03olj^00?oaL@00onQ_003oh2c00?oHj/00om:Y004ocFM00?o99P00olGT`03
o`b>00?o18/00ol0R@43o`271@Ko08H80ol0QPL3o`271@?o08T01?l4R`03o`b?00?o5I800olQUP03
objK00?o?Z000om@YP03ofF/00?oNk800onD^@03ojno00Coa/400oo</@03om:P00?of8l00ooNO`03
on9_00?oif400ooZEP03ona=00?okDP00oo^B003one;00Coje<00ooWG`03on=^00?ogH400ooFU@03
oln[00?oa/400onS_003og^b00?oEZP00olcW@03oaBA00Co08H70ol0Nad3o`1`;`?o06Hm0ol0G4L3
o`1BC@?o04A:0ol0=483o`0W>P?o01dd0ol05Bh4o`0?:P?o00/U0ol02283o`067`?o00DM0ol011`3
o`036`?o008J4ol00QT9o`026Q;o008I0ol00aX4o`036`?o00@M0ol01R03o`0990?o00hY0ol05Rl3
o`0R>0?o03E20ol0Cdh3o`1MA@?o06hc0ol0P1@4oaVD00?oEJP00onJ^P03ol^c00?ofH`00ooSKP03
onIR00?oh7P00ooBXP03oj>l00?o@:401oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0ol01b43o`0D;@?o03910ol0FTP3o`1e:0?o49000omJZ@03ojbo00?odJD00ooON`03onMO
00Coje000oo/C`03onUG00?oiFL00ooNO@03omJF00?ocZh00oo5a003oj6l00?oP;<00omSZ`03odZT
00Co=Id00olTV003oaNC00?o38h00ol4R`03o`290@?o08L51_l0QPP3o`261`?o08L50ol0R@04o`B;
00?o38l00olETP03ob6F00?o;Y/00olnX003oe2V00?oIJ`00omk/P03oiBi00?o[kl01?o6`@03olba
00?odZ000ooHS`03omio00?ohVl00ooWH@03onYF00?ok4d00oo]B003oni800?okD/01?o[D`03onMO
00?ohfh00ooMP@03omJE00?ocj/00oo6`@03oj>l00?oNk800omFZ003oc>M00?o59401?l0QPL3o`1k
7@?o070_0ol0ISd3o`1LA`?o059=0ol0A4X3o`0d@P?o02Lj0ol07C@3o`0E;PCo00lZ0ol02bD3o`08
8P?o00HO0ol01Ad3o`0470?o00<K0ol00QXCo`026@Wo008J4_l00QT3o`036PCo00<K0ol011d3o`06
80?o00TT0ol03RT3o`0F;`?o028h0ol0=D83o`1?CP?o05e50ol0KS<3o`2050Co6I@00omEZ003oiZj
00?obk<00ooIS003on=^00?oiV800ooPN003om:R00?oXk`00om0X@07ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`0K<`?o04990ol0I403o`214`?o=Yh00on<]`03olbb00?o
gH800ooYFP03oo0n00?olSP01?o_@@03onYE00?ohfl00ooJR`03olnY00?oaL@00onI^P03og6`00?o
D:H00olcW@03oabD00?o2Hd01?l0Q`D3o`214@?o07dJ0ol0NB43o`1f9P?o07@Y2Ol0Lb/3o`1e:@?o
07HV0ol0NB44o`1l6`?o080D0ol0Q@X3o`2:00?o3Xl00olNUP03oc:L00?oB:<00omPZ`03ogbb00?o
V[X01?nj`P03olZg00?odJ<00ooIS`03ommj00?oiFH00ooZE003onm400?olSL00ood;`03ooD/00?o
m2h01?ob=P03onm200?ojU<00ooTJ003omf000?oeIX00oo;]003okK100?oRKH00omNZP03ocNN00?o
5I801?l0QPP3o`1i80?o06hc0ol0HT43o`1HBP?o04e>0ol0>D@3o`0Z?0?o01he0ol05Bh3o`0?:@Co
00XT0ol01b43o`057P?o00@L0ol00aX9o`026@?o008J0ol00aX3o`036`?o00<L1?l011`3o`047@?o
00DM2Ol01Ah3o`057@?o00@M0ol011`6o`036`?o008J1ol00QT3o`026P?o00<K0ol011d3o`078@?o
00`V0ol04bd3o`0P=P?o03A20ol0D4h3o`1P@`Co07<[0ol0R0<3oc>M00?oN[800oo6`@03omNC00?o
i6X00ooXG@03onAY00?of8l00oo5a007ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`0K<`?o04990ol0I403o`214`?o=Yh00on<]`03olbb00?ogH800ooYFP03oo0n00?olSP0
1?o_@@03onYE00?ohfl00ooJR`03olnY00?oaL@00onI^P03og6`00?oD:H00olcW@03oabD00?o2Hd0
1?l0Q`D3o`214@?o07dJ0ol0NB43o`1f9P?o07@Y2Ol0Lb/3o`1e:@?o07HV0ol0NB44o`1l6`?o080D
0ol0Q@X3o`2:00?o3Xl00olNUP03oc:L00?oB:<00omPZ`03ogbb00?oV[X01?nj`P03olZg00?odJ<0
0ooIS`03ommj00?oiFH00ooZE003onm400?olSL00ood;`03ooD/00?om2h01?ob=P03onm200?ojU<0
0ooTJ003omf000?oeIX00oo;]003okK100?oRKH00omNZP03ocNN00?o5I801?l0QPP3o`1i80?o06hc
0ol0HT43o`1HBP?o04e>0ol0>D@3o`0Z?0?o01he0ol05Bh3o`0?:@Co00XT0ol01b43o`057P?o00@L
0ol00aX9o`026@?o008J0ol00aX3o`036`?o00<L1?l011`3o`047@?o00DM2Ol01Ah3o`057@?o00@M
0ol011`6o`036`?o008J1ol00QT3o`026P?o00<K0ol011d3o`078@?o00`V0ol04bd3o`0P=P?o03A2
0ol0D4h3o`1P@`Co07<[0ol0R0<3oc>M00?oN[800oo6`@03omNC00?oi6X00ooXG@03onAY00?of8l0
0oo5a007ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o01/c0ol0@TT3o`1T@0?o084C0olf
WP03ohbg00?oc;800ooMPP03onUJ00?ol3h00oob>004onm100?ojUD00ooSK`03omZ;00?ocjT00oo5
a003oiVj00?oLK000om@YP03oc>M00?o79@00ol9S@04o`271@?o084A0ol0OAX3o`1i8@?o07HV0ol0
M2T9o`1c:`?o07DY0ol0MRH3o`1i8@Co07`K0ol0P1@3o`252P?o08X00ol>S`03oajF00?o<Y`00om8
X`03of2[00?oO;800onJ^P04ok[200?ob[L00ooAX`03omV?00?oggX00ooUIP03onYD00?okd@00oob
=`03oo@_00?omB`00ood;P04oo8f00?okd800ooZD`03onAX00?ogH000ooEVP03ol^d00?o]/400on9
]P03oejZ00?o=ih00olETP04o`2620?o07TP0ol0KS<3o`1R@@?o05Q:0ol0CDh3o`0iA0?o02Xl0ol0
7SD3o`0E;P?o00lY1?l02R@3o`078@?o00DN0ol011`3o`036PWo008I0ol00QX3o`036P?o00<K0ol0
0a`4o`0470?o00@M0ol01Ad9o`057P?o00DM0ol011d3o`0470Ko00<K0ol00QX7o`026@?o008J0ol0
0a/3o`047@?o00LQ0ol032H3o`0C;@?o020f0ol0=483o`1@CP?o06131?l0Lb/3o`280`?o<id00omj
/P03olK100?oei<00ooTJP03onQM00?oi6T00ooHS`03olG400Kooooo0_l00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?o051>0ol0K3H3o`2900?oDJH00one`@03omFJ00?ohf`00oo]BP03
oo8h00?olSL00oo]BP04onEW00?ofhP00oo?Z@03oko300?oS;L00omPZ`03ocZO00?o6i@00ol2RP03
o`224@?o07XP0ol0Lb/4o`1]<`?o06Tj0ol0ICh3o`1R@@?o06132Ol0Gd@3o`1P@`?o06910ol0I3l3
o`1W>`Co06/g0ol0L303o`1e:0?o07/N0ol0PA83o`280`?o3i000olTV003ocfP00?oFZT00omi/P04
oibk00?o`/@00oo=/003omFI00?ogH400ooTJP03onYC00?ol4000ood<003ooLT00Kon1h01?og9@03
oo<a00?okd<00ooYFP03on5d00?of9000oo>[003okk300?oSKL00omOZP03ocFM00?o49001?l0P`d3
o`1f9P?o06Xh0ol0GTD3o`1CC@?o04580ol0;Sl3o`0P=`?o01H_0ol03bT3o`0:90Co00LP0ol011d3
o`036`?o008J1_l00QT3o`026P?o00<K0ol011`3o`057P?o00HO0ol01b44o`098`?o00XT0ol02bD3
o`0<9PWo00`W0ol032H3o`0;9@?o00XT0ol02283o`0780Co00DN0ol011d3o`036`?o008J0ol00QT3
o`026P?o00<K0ol01Al3o`0:90?o014[0ol07cD3o`0e@PCo059=0ol0ICh3o`1i80?o3i000omBYP03
ojBm00?odJH00ooNOP03onEW00?oi6T00ooKR007ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`1@CP?o06`f0ol0R@03oe6V00?o]L400ooEVP03on=/00?okDX00oob>003oo8g
00?okDX01?oUI`03om^800?ocjT00ono``03ohbg00?oH:/00oljW`03oa^D00?o0XX00ol0PQ43o`1j
80?o07<[1?l0KC<3o`1Y>P?o06Dn0ol0HT43o`1P@`Wo05m40ol0H4<3o`1R@@?o06@o0ol0Ic/4o`1[
=`?o070`0ol0MBP3o`1k7P?o084B0ol0R0<3o`n@00?o99P00olmX003oeZY00?oNK801?nL^`03ol;4
00?ocK000ooEV@03omf100?oi6X00ooZD`03oo1000?om3000oog9006ooPN00CombD00ooc<@03onm3
00?ojEX00ooQM003omR@00?ocZ`00onn``03ohfg00?oGjX00oleW@03oa2@00Co08<=0ol0MRH3o`1Z
>0?o05i50ol0Ddd3o`11B0?o02ho0ol083L3o`0F;`?o00lY0ol02R@4o`0780?o00@M0ol00a/3o`02
6PKo008I0ol00QX3o`036`?o00@L0ol01Ah3o`067`?o00LQ1?l02B<3o`0:90?o00/U0ol032H9o`0<
9`?o00`V0ol02bD3o`0:90?o00PR0ol01b04o`057P?o00@M0ol00a/3o`026P?o008I0ol00QX3o`03
6`?o00DO0ol02R@3o`0A:`?o01le0ol0=D84o`1BC@?o06Dn0ol0NB03o`n@00?oDZH00onT_@03om6V
00?ogWh00ooUI`03onAY00?ofhP01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0ol0D4h3o`1/=P?o08T00omAYP03okG100?oeIX00ooSK003one:00?olSP00oob=`03one:00Co
iFL00ooKR003olnY00?o_l<00on<]`03of2[00?o>Yl00olKU003o`::00?o088A0ol0NR03o`1c:`Co
06dc0ol0JCX3o`1U?P?o06910ol0H4<9o`1OA0?o06130ol0HT43o`1T?`?o06Lk1?l0JcL3o`1`<0?o
07DX0ol0Nah3o`214P?o08P30ol?T003obBH00?o?J000omJZ@03ogVb00CoW;/00oo2a003olf`00?o
eIT00ooMP@03onAZ00?ojU<00oo`@003oo@`00?omb@01_oh7P04ooLU00?olc400oo_@`03onUJ00?o
hG@00ooHT003olj/00?o_/<00on=]`03oenZ00?o=Id00ol@T004o`233@?o07HV0ol0JSP3o`1NA@?o
05==0ol0@DP3o`0^?`?o020g0ol05Rl3o`0?:@?o00XT1?l01b03o`047@?o00<K0ol00QX6o`026@?o
008J0ol00a/3o`0470?o00DN0ol01Ql3o`078@Co00TS0ol02R@3o`0;9@?o00`V2Ol032L3o`0<9P?o
00/U0ol02R@3o`088P?o00LP1?l01Ah3o`047@?o00<K0ol00QX3o`026@?o008J0ol00a/3o`057`?o
00XT0ol04B/3o`0O=@?o03E21?l0DTd3o`1U?P?o07TP0ol?T003oe:V00?oY;d00ooAYP03omin00?o
iFL00ooTJ@03om^800Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o078]
0ol>S`03of>/00?oaL<00ooJRP03onIQ00?okDT00oo_@P03ona<00?oiV800ooLQ@04olnZ00?o]l40
0on0]003oe2V00?o9iT00ol6S003o`214P?o07LU0ol0KS<3o`1V?@?o05m40ol0FTP4o`1EB`?o055=
0ol0CTh3o`1:C@?o04M;0ol0AT/3o`17B`?o04U<0ol0C4d3o`1@CP?o059=0ol0ET/4o`1JB0?o05m4
0ol0ICh3o`1[=`?o078]0ol0NB03o`2240?o0X/00olJU003ocFM00?oEJL01?mi/P03oj2l00?oa/80
0oo?Z@03omR?00?ohGD00ooXG003oni400?om3400oog8P03ooTI00?onQL01?oi7003ooHW00?olCX0
0oo[D@03on=]00?ofX/00oo?Z@03ol3300?oS;L00omKZ@03oc2L00?o2Xh01?l0P1@3o`1b;@?o06Dn
0ol0FDT3o`1<C@?o03E30ol09CT3o`0I<@?o010Z0ol02R@3o`0780Co00@M0ol00a/6o`026@?o008J
0ol00a/3o`047@?o00HO0ol02243o`0:90?o00dW0ol03bT4o`0B;0?o01D^0ol06303o`0J<P?o01/c
1_l073@3o`0L<`?o01/c0ol06C43o`0F;`?o01<]1?l042X3o`0=9`?o00XT0ol01b03o`057P?o00<K
0ol00QX3o`026@?o00<J0ol01Ad3o`098`?o014[1?l083H3o`0jA@?o05M:0ol0JcL3o`224@?o:YX0
0omi/P03olK200?oeIP00ooONP03on5d00Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o078]0ol>S`03of>/00?oaL<00ooJRP03onIQ00?okDT00oo_@P03ona<00?oiV800ooL
Q@04olnZ00?o]l400on0]003oe2V00?o9iT00ol6S003o`214P?o07LU0ol0KS<3o`1V?@?o05m40ol0
FTP4o`1EB`?o055=0ol0CTh3o`1:C@?o04M;0ol0AT/3o`17B`?o04U<0ol0C4d3o`1@CP?o059=0ol0
ET/4o`1JB0?o05m40ol0ICh3o`1[=`?o078]0ol0NB03o`2240?o0X/00olJU003ocFM00?oEJL01?mi
/P03oj2l00?oa/800oo?Z@03omR?00?ohGD00ooXG003oni400?om3400oog8P03ooTI00?onQL01?oi
7003ooHW00?olCX00oo[D@03on=]00?ofX/00oo?Z@03ol3300?oS;L00omKZ@03oc2L00?o2Xh01?l0
P1@3o`1b;@?o06Dn0ol0FDT3o`1<C@?o03E30ol09CT3o`0I<@?o010Z0ol02R@3o`0780Co00@M0ol0
0a/6o`026@?o008J0ol00a/3o`047@?o00HO0ol02243o`0:90?o00dW0ol03bT4o`0B;0?o01D^0ol0
6303o`0J<P?o01/c1_l073@3o`0L<`?o01/c0ol06C43o`0F;`?o01<]1?l042X3o`0=9`?o00XT0ol0
1b03o`057P?o00<K0ol00QX3o`026@?o00<J0ol01Ad3o`098`?o014[1?l083H3o`0jA@?o05M:0ol0
JcL3o`224@?o:YX00omi/P03olK200?oeIP00ooONP03on5d00Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?o078]0ol>S`03of>/00?oaL<00ooJRP03onIQ00?okDT00oo_@P03
ona<00?oiV800ooLQ@04olnZ00?o]l400on0]003oe2V00?o9iT00ol6S003o`214P?o07LU0ol0KS<3
o`1V?@?o05m40ol0FTP4o`1EB`?o055=0ol0CTh3o`1:C@?o04M;0ol0AT/3o`17B`?o04U<0ol0C4d3
o`1@CP?o059=0ol0ET/4o`1JB0?o05m40ol0ICh3o`1[=`?o078]0ol0NB03o`2240?o0X/00olJU003
ocFM00?oEJL01?mi/P03oj2l00?oa/800oo?Z@03omR?00?ohGD00ooXG003oni400?om3400oog8P03
ooTI00?onQL01?oi7003ooHW00?olCX00oo[D@03on=]00?ofX/00oo?Z@03ol3300?oS;L00omKZ@03
oc2L00?o2Xh01?l0P1@3o`1b;@?o06Dn0ol0FDT3o`1<C@?o03E30ol09CT3o`0I<@?o010Z0ol02R@3
o`0780Co00@M0ol00a/6o`026@?o008J0ol00a/3o`047@?o00HO0ol02243o`0:90?o00dW0ol03bT4
o`0B;0?o01D^0ol06303o`0J<P?o01/c1_l073@3o`0L<`?o01/c0ol06C43o`0F;`?o01<]1?l042X3
o`0=9`?o00XT0ol01b03o`057P?o00<K0ol00QX3o`026@?o00<J0ol01Ad3o`098`?o014[1?l083H3
o`0jA@?o05M:0ol0JcL3o`224@?o:YX00omi/P03olK200?oeIP00ooONP03on5d00Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o6I@00oma[`03olNm00?ofXT00ooXG@03ona>
00?oje800ooUIP03omb300?odJH00onj`P04ogbb00?oAj<00olKU003o`261P?o07TP0ol0KS<3o`1T
@0?o05]80ol0Dd`3o`1:C@?o03m70ol0=T<4o`0`@0?o02/m0ol0:3/3o`0V>PKo02Di0ol09SX3o`0X
>`?o02/m0ol0;cl3o`0e@P?o03a61?l0AT/3o`1@CP?o05E;0ol0G4L3o`1S@0?o06/f0ol0M2T3o`1m
6@?o08L40olETP03oc>M00CoEjP00omn/`03ojZn00?obKX00ooCWP03omf200?oiFD00oo]BP03oo<c
00?on2400ook5@03oo`@00Cona<00ooh7P03oo@`00?okDP00ooUIP03om^600?od:H00oo2a003oh^f
00?oF:P00olZVP03o`>;00Co07`K0ol0KS<3o`1P@`?o05A<0ol0@4P3o`0/?@?o01dd0ol04R`3o`0;
9P?o00LQ0ol011d4o`036PKo008I0ol00aX3o`0470?o00DN0ol02283o`0;9@?o00lY0ol04bd3o`0H
<@?o01dd1?l08cP3o`0X>`?o02dn0ol0<T43o`0f@`?o03Q41_l0>TD3o`0iA0?o03I30ol0<T43o`0]
?PCo02Pk0ol08SL3o`0K<`?o01D^0ol042X3o`0;9@?o00LQ0ol011d3o`036P?o008I0ol00QX3o`04
7@Co00TS0ol04b`3o`0U>@?o04A:0ol0GTD3o`1d:@?o2Hd00om<Y@03oi^k00?ocK000ooISP07oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oaVD00?oLJl00oo7_@03omZ900?o
j5d00oo/CP03on]B00?oiFH00ooLP`03om6V00?o^/801?ml/P03odNS00?o6i@00ol0QPH3o`1i80?o
06hc0ol0I403o`1KB0?o05=<0ol0BTd3o`0oA`?o03I31?l0<403o`0[?@?o02Pk0ol09SX6o`0U>@?o
02Hj0ol0:3/3o`0[?@?o02lo0ol0=D83o`0lAPCo04I;0ol0D4h3o`1EB`?o05a70ol0Hd03o`1[=P?o
07@Y0ol0OAT3o`2710?o5I800olcW@04oeNX00?oO[<00onZ_P03olVj00?odih00ooMPP03onEU00?o
kDX00ooc<`03ooPQ00?onaD00ool4004oo/C00?on1h00ood<003one800?oiFH00ooKQP03om2V00?o
`/@00on;]P03oeRX00?o:YX00ol3R`04o`1l6`?o06hc0ol0H4<3o`1DC0?o04180ol0;3d3o`0M=0?o
018/0ol02bH3o`078@?o00@M1?l00aX6o`026@?o00<J0ol011`3o`057P?o00PR0ol02bD3o`0?:@?o
01<]0ol06343o`0M=0Co02<h0ol0:3/3o`0]?P?o03910ol0=T<3o`0hA0Ko03Y50ol0>D@3o`0f@`?o
03910ol0;Ch4o`0X>`?o028g0ol06c<3o`0E;P?o010Z0ol02bD3o`078@?o00@M0ol00aX3o`026@?o
008J0ol011d4o`098`?o01</0ol09CT3o`14BP?o05i50ol0M2T3o`V=00?oC:D00onK^`03olf`00?o
fHh01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0olIU003og6_00?oakd0
0ooJR@03onQM00?ok4h00oo[DP03onEV00?og8<00ooAYP03ok[200CoO;800om7X`03oa^D00?o08H6
0ol0NB03o`1^<`?o06A00ol0FdP3o`1CC0?o04Y=0ol0?dL3o`0f@`Co03100ol0:cd3o`0X>`?o02Hj
1_l09CT3o`0V>P?o02Pk0ol0:cd3o`0_?`?o03E20ol0?4H4o`16B`?o051>0ol0ED/3o`1LA`?o06=0
0ol0JcH3o`1d:@?o07dI0ol0Q`@3oaFB00?o<id01?mGZ003ogjc00?oZ[h00oo9^P03om>N00?ogH80
0ooUI@03one:00?olc<00ooh8@03oo/E00?oo1001?ok4`03ooPN00?om3000oo]B003onEV00?ofhH0
0oo@YP03ol;400?oRkH00omHZ003obZJ00?o0h/01?l0O1/3o`1^<`?o06130ol0E4`3o`10B0?o02`m
0ol07C@3o`0B;0?o00/V0ol01b43o`047@Co00<J1_l00QT3o`036P?o00@L0ol01Ah3o`088P?o00/U
0ol03bT3o`0C;@?o01Pa0ol07C@4o`0S>0?o02Pk0ol0;Ch3o`0b@@?o03I30ol0>4@6o`0jA@?o03U4
0ol0=T<3o`0b@@?o02dn1?l0:3/3o`0R=`?o01/c0ol05Bh3o`0@:P?o00/U0ol01b43o`047@?o00<J
0ol00QT3o`026P?o00@M1?l02B<3o`0C;0?o02Di0ol0A4X3o`1NA@?o07@Y0ol9S@03odbU00?oVk/0
0oo=/003omV>00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?oN;400oo8
_003omV=00?oi6X00ooYF003onEV00?ogH800ooAY003oko300?oPK@00om6X`04oaJB00?o08<>0ol0
M2T3o`1W>`?o05a70ol0DTd3o`13B@?o03A20ol0:S`3o`0R=`?o01`d0ol06304o`0E;P?o01<]0ol0
4R`9o`0A:`?o018/0ol052h3o`0F;`?o01Xb0ol07SD3o`0S>0Co02Xm0ol0=483o`0oB0?o04i>0ol0
ET/3o`1NA@?o06Ll0ol0LBl3o`1k7@?o08H60olETP04ocNN00?oGjX00on;]P03okc200?ocZd00ooI
S`03on9_00?oje400oob=P03ooPP00?ona400oom2@04ood:00?ona@00oof9P03oo1000?oieh00ooM
P003om6S00?oa<@00on:]P03oeBW00?o9IP00ol0R084o`1i8@?o06Xh0ol0G4H3o`1?CP?o03I30ol0
8cP3o`0F;`?o00hX0ol02283o`057P?o00<K1ol00QT3o`036P?o00@M0ol01R03o`0:90?o00hX0ol0
4bd3o`0J<P?o028g0ol0:Sd3o`0c@PCo03e60ol0AT/3o`1?CP?o059=0ol0ED/3o`1GBP?o05Q91_l0
FDT3o`1HB@?o05I:0ol0E4`4o`1AC@?o04Y=0ol0@4P3o`0e@P?o02Xl0ol083H3o`0G<0?o00lY0ol0
2B@3o`057`?o00<K0ol00QT4o`026P?o00DM0ol02RD3o`0G<0?o02ho0ol0DTd3o`1X>P?o080D0olW
V@03og>`00?o`/@01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0omh/@03
olRl00?ofHd00ooTJP03onUH00?oiFH00ooMPP03om6T00?o_l<00on1]003odJS00Co5Y800ol0P`h3
o`1d:@?o06Lk0ol0G4L3o`1BC@?o04=90ol0=483o`0Z?0?o028g0ol073@3o`0H<0Co01D^0ol04bd3
o`0B;0Wo014[0ol04R`3o`0D;P?o01H_0ol06S83o`0N=@?o02<h1?l0:Sd3o`0d@P?o03m80ol0CTh3
o`1FB`?o05i50ol0Ic`3o`1a;`?o07/M0ol0QPH3oaFB00Co=ih00omOZP03oh^f00?o_<800oo>[@03
omV?00?ohVl00oo[D@03oo8f00?on2000ook4@03ood900Coo@X00ook5003ooHV00?ol4000ooWGP03
omf000?odJ<00oo4a003ohZf00?oE:L00olUV003o`280PCo07TQ0ol0JSP3o`1LAP?o04m>0ol0=T<3
o`0S>0?o01H_0ol03RP3o`088P?o00DN0ol00a/7o`026@?o00<J0ol011d3o`0680?o00XT0ol03RP3
o`0C;@?o01Xb0ol08SL3o`0Z?@?o03=21?l0?DH3o`16B`?o04m>0ol0DTd3o`1EB`?o05M:0ol0F4T6
o`1IB@?o05Q90ol0ETX3o`1DC0Co055=0ol0BTd3o`10B0?o03E20ol0:S`3o`0P=P?o01L`0ol03bT3
o`0990?o00DO0ol00a/3o`026@Co008J0ol01Ad3o`0:9@?o01L`0ol0;Sl3o`1BC@?o06Pj0ol0P1@3
obNI00?oLk000oo2a007ooooo`7o00000Oooool001gooooo0_l00006ooooo`?oN;400oo8_003omV=
00?oi6X00ooYF003onEV00?ogH800ooAY003oko300?oPK@00om6X`04oaJB00?o08<>0ol0M2T3o`1W
>`?o05a70ol0DTd3o`13B@?o03A20ol0:S`3o`0R=`?o01`d0ol06304o`0E;P?o01<]0ol04R`9o`0A
:`?o018/0ol052h3o`0F;`?o01Xb0ol07SD3o`0S>0Co02Xm0ol0=483o`0oB0?o04i>0ol0ET/3o`1N
A@?o06Ll0ol0LBl3o`1k7@?o08H60olETP04ocNN00?oGjX00on;]P03okc200?ocZd00ooIS`03on9_
00?oje400oob=P03ooPP00?ona400oom2@04ood:00?ona@00oof9P03oo1000?oieh00ooMP003om6S
00?oa<@00on:]P03oeBW00?o9IP00ol0R084o`1i8@?o06Xh0ol0G4H3o`1?CP?o03I30ol08cP3o`0F
;`?o00hX0ol02283o`057P?o00<K1ol00QT3o`036P?o00@M0ol01R03o`0:90?o00hX0ol04bd3o`0J
<P?o028g0ol0:Sd3o`0c@PCo03e60ol0AT/3o`1?CP?o059=0ol0ED/3o`1GBP?o05Q91_l0FDT3o`1H
B@?o05I:0ol0E4`4o`1AC@?o04Y=0ol0@4P3o`0e@P?o02Xl0ol083H3o`0G<0?o00lY0ol02B@3o`05
7`?o00<K0ol00QT4o`026P?o00DM0ol02RD3o`0G<0?o02ho0ol0DTd3o`1X>P?o080D0olWV@03og>`
00?o`/@01_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0oo6`003omJG00?o
gW`00ooQM003omio00?odil00oo5a003ohFe00?oBJ@00olGT`03o`224@Co074^0ol0Hd03o`1FB`?o
04M;0ol0=483o`0V>P?o01`d0ol05Bh3o`0@:P?o00dW0ol02bD3o`098`Co00PR1_l01b43o`0780Ko
00LQ0ol02283o`098`?o00/U0ol03BL3o`0?:P?o01<]1?l06343o`0O=P?o02Pk0ol0<d43o`12B@?o
055=0ol0FTP3o`1T?`?o06la0ol0Nah3o`271@Co6Y@00om0X@03ofb^00?oWK/00oo8_@03om>N00?o
gW`00ooXG003oo0m00?omb@00ook4@03ooh700CooPD00ool3P03ooPP00?olCT00ooYF@03omim00?o
dZ800oo3a003ohNe00?oCjH00olOUP03o`2520Co07DW0ol0ISd3o`1HBP?o04E:0ol0;Ch3o`0L=0?o
014[0ol02R@3o`067`?o00<K1ol00QT3o`036P?o00@M0ol01b43o`0;9@?o010Z0ol06303o`0Q=`?o
02/m0ol0=d@3o`15BP?o051>1?l0ET/3o`1LA`?o06520ol0ICh3o`1Y>P?o06`f0ol0KS<3o`1_<@?o
070`0ol0Kc43o`1^<P?o06`e1?l0JCT3o`1U?P?o06130ol0FdP3o`1DC0?o04]=0ol0>TD3o`0[?@?o
01he0ol04bd3o`0;9P?o00HO1?l00a/3o`026@?o00<J0ol01Ql3o`0>:0?o01he0ol0?TL3o`1LA`?o
07@Z0ol8S@03odjU00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?oa/00
0ooFU`03omil00?ohG@00ooNO`03om>O00?oaL@00on5]@03odVT00?o5i<00ol0PQ44o`1a;P?o06=0
0ol0ET/3o`17B`?o03A20ol09SX3o`0L=0?o01D^0ol042X3o`0=9`?o00/U0ol02B<4o`088PKo00LQ
0ol01b06o`078@?o00PR0ol02B<3o`0;9@?o00dW0ol03bX3o`0C;@Co01Pa0ol07cH3o`0X>`?o03=1
0ol0@TT3o`1AC@?o05Y80ol0I3l3o`1_<@?o07/N0ol0Q`D4oaZD00?o@:400om/[P03oifk00?ob;d0
0ooCWP03omil00?oj5`00oo`?@03ooLT00?ona400oon1`04ooh500?oo0h00ooh8003oo4i00?ojET0
0ooNO@03om:R00?o`l@00on7]@03odnV00?o7iH00ol0Q@P4o`1e9`?o06Hm0ol0F4X3o`15BP?o02dn
0ol073@3o`0A:`?o00XT0ol01Ql3o`036`Oo008I0ol00aX3o`047@?o00LQ0ol02bD3o`0@:P?o01P`
0ol08CL3o`0[?@?o03M40ol0ADX3o`1@CPCo05I;0ol0G4L3o`1Q@P?o06Dn0ol0JCX3o`1/=P?o06hc
0ol0Kc43o`1`<0?o06la0ol0KS83o`1/=@Co06Ti0ol0ICh3o`1P@`?o05]80ol0E4`3o`1;C@?o03Y5
0ol0:cd3o`0N=@?o01<]0ol02bH3o`067`Co00<K0ol00QT3o`036P?o00HO0ol03RP3o`0N=@?o03i7
0ol0G4L3o`1d:P?o28d00om>Y@07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3olK000?oeYL00ooNO003on5d00?ogWl00ooCW`03olG400?oQKD00om9Y003oaNC00?o088A1?l0
LBh3o`1S@0?o05I;0ol0Ad/3o`0d@P?o02Hj0ol073@3o`0E;P?o010Z0ol03BL3o`0;9@?o00TS1?l0
2286o`078@?o00LP1_l01b43o`088P?o00TS0ol02bD3o`0=9`?o00lZ0ol04bd4o`0H<@?o01lf0ol0
:3/3o`0c@@?o04990ol0DDd3o`1JB0?o06@o0ol0Kc43o`1k7P?o08L51?lJU003od2Q00?oK:h00onM
^`03olRm00?odih00ooNO003onQL00?ol3d00oog9003oo/A00?ooPL01?on1@03oo`>00?on2000ooa
>@03onUI00?ogWd00ooBXP03ol?400?oQkD00om?YP03oanF00?o08D81?l0MBL3o`1V?@?o05Q:0ol0
ADX3o`0]?P?o01`d0ol04B/3o`0:90?o00HO0ol00a/7o`026@?o00<J0ol011d3o`078@?o00/U0ol0
42X3o`0H<0?o024g0ol0:cd3o`0gA0?o04E:0ol0D4h4o`1FB`?o05a70ol0HD83o`1U?P?o06Tj0ol0
K3H3o`1^<`?o06la0ol0L303o`1_<@?o06hb0ol0K3D4o`1Y>@?o06Dn0ol0H4<3o`1KB0?o05A<0ol0
Bdd3o`0jA@?o02/m0ol07SD3o`0C;@?o00/V0ol01Ql4o`036`?o008I0ol00aX3o`067`?o00hX0ol0
7SD3o`0nA`?o05a70ol0M2X3o`R=00?oCZD01oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Gooooo0oo@YP03omNC00?oei800ooBXP03olRm00?oT;P00om@YP03oaZD00?o088@0ol0LBh3
o`1Q@PCo05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:
o`036`Ko00<J1_l00a/3o`0370?o00@L0ol01Ah3o`067`?o00PQ0ol02R@4o`0=9`?o014[0ol06303
o`0P=P?o02/m0ol0>TD3o`1>CP?o05Q90ol0Hd03o`1_<@?o07`L1?l0R@03ob:G00?oCJD00omn/`03
okC000?ocJh00ooIS003onAY00?okTP00ooe:`03ooXE00?ooPP01?on1003ood;00?onA`00oob=P03
onUG00?ogW`00ooBXP03ol3300?oP[@00om9Y003oaNC00?o088?1?l0LRd3o`1R@@?o05=<0ol0>dH3
o`0U>P?o01L`0ol03BL3o`078@?o00@L0ol00QX3o`026@Co00<J0ol011d3o`078@?o00/V0ol04R`3
o`0J<P?o02Dj0ol0<d43o`13B@?o055=0ol0FDT3o`1P@`Co06Ll0ol0KC<3o`1c:`?o07PR0ol0OAX3
o`214`?o08@=0ol0QPP6o`271@?o08L60ol0Q@T4o`233`?o07lF0ol0Nah3o`1e:0?o06lb0ol0Ic/3
o`1OA0?o05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283
o`0D;@?o02/m0ol0DDd3o`1Y>P?o088@1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0oo@YP03omNC00?oei800ooBXP03olRm00?oT;P00om@YP03oaZD00?o088@0ol0LBh3o`1Q
@PCo05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:o`03
6`Ko00<J1_l00a/3o`0370?o00@L0ol01Ah3o`067`?o00PQ0ol02R@4o`0=9`?o014[0ol06303o`0P
=P?o02/m0ol0>TD3o`1>CP?o05Q90ol0Hd03o`1_<@?o07`L1?l0R@03ob:G00?oCJD00omn/`03okC0
00?ocJh00ooIS003onAY00?okTP00ooe:`03ooXE00?ooPP01?on1003ood;00?onA`00oob=P03onUG
00?ogW`00ooBXP03ol3300?oP[@00om9Y003oaNC00?o088?1?l0LRd3o`1R@@?o05=<0ol0>dH3o`0U
>P?o01L`0ol03BL3o`078@?o00@L0ol00QX3o`026@Co00<J0ol011d3o`078@?o00/V0ol04R`3o`0J
<P?o02Dj0ol0<d43o`13B@?o055=0ol0FDT3o`1P@`Co06Ll0ol0KC<3o`1c:`?o07PR0ol0OAX3o`21
4`?o08@=0ol0QPP6o`271@?o08L60ol0Q@T4o`233`?o07lF0ol0Nah3o`1e:0?o06lb0ol0Ic/3o`1O
A0?o05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283o`0D
;@?o02/m0ol0DDd3o`1Y>P?o088@1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0oo@YP03omNC00?oei800ooBXP03olRm00?oT;P00om@YP03oaZD00?o088@0ol0LBh3o`1Q@PCo
05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:o`036`Ko
00<J1_l00a/3o`0370?o00@L0ol01Ah3o`067`?o00PQ0ol02R@4o`0=9`?o014[0ol06303o`0P=P?o
02/m0ol0>TD3o`1>CP?o05Q90ol0Hd03o`1_<@?o07`L1?l0R@03ob:G00?oCJD00omn/`03okC000?o
cJh00ooIS003onAY00?okTP00ooe:`03ooXE00?ooPP01?on1003ood;00?onA`00oob=P03onUG00?o
gW`00ooBXP03ol3300?oP[@00om9Y003oaNC00?o088?1?l0LRd3o`1R@@?o05=<0ol0>dH3o`0U>P?o
01L`0ol03BL3o`078@?o00@L0ol00QX3o`026@Co00<J0ol011d3o`078@?o00/V0ol04R`3o`0J<P?o
02Dj0ol0<d43o`13B@?o055=0ol0FDT3o`1P@`Co06Ll0ol0KC<3o`1c:`?o07PR0ol0OAX3o`214`?o
08@=0ol0QPP6o`271@?o08L60ol0Q@T4o`233`?o07lF0ol0Nah3o`1e:0?o06lb0ol0Ic/3o`1OA0?o
05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283o`0D;@?o
02/m0ol0DDd3o`1Y>P?o088@1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0oo?ZP03olf^00?oa/400onI^P03of6[00?o9IP00ol0Q@X3o`1b;0?o06520ol0DTd3o`0iA@Co02Di
0ol05c03o`0?:@?o00XT0ol01R03o`047@?o00<K0ol00aXUo`026@?o008J0ol00a/3o`0470?o00DN
1?l01b03o`098`?o00dX0ol04bd3o`0K<`?o02Lk0ol0=d<3o`1;C@?o05Q90ol0I3l3o`1a;PCo07lF
0ol9S@03oc6L00?oH:/00onF^@03olNn00?oe9/00ooPMP03on]C00?olc<00ooi6P03ood900Coo`<0
0oom2@03ooTI00?olc<00ooZE@03ommk00?odZ<00onn``03ogfc00?o@j800olAT003o`1o5PCo06hc
0ol0GTD3o`1?CP?o03=10ol07cD3o`0B;0?o00XT0ol01Ah3o`036`?o008I0ol00QX4o`0470?o00HP
0ol02bD3o`0B;0?o01`c0ol0:3/3o`0hA0?o04a=0ol0ET/3o`1OA0?o06Pj0ol0L2l4o`1h8P?o080E
0ol0QPL3o`J<00?o4i400olOUP03obVI00?o<9`00olfWP06ocVO00?o=Yh01?laW003obVI00?o7YD0
0olAT003o`::00?o08<=0ol0Nad3o`1b;@?o06Pk0ol0GDH3o`1AC@?o03]51?l09SX3o`0F;`?o00/U
0ol01Ah3o`026P?o008I0ol01Ah3o`0=9`?o01he0ol0@DP3o`1OA0Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?ocjX00oo=[P03olK100?oVKX00omQZ`03obFH00?o08D:0ol0
LR`3o`1Q@P?o059=0ol0>DD4o`0U>@?o01L`0ol03bT3o`0:90?o00HP0ol011d3o`036`?o00<J9Ol0
0QT3o`026P?o00<K0ol011`3o`057PCo00LP0ol02B<3o`0=:0?o01<]0ol06c<3o`0W>`?o03M30ol0
Bdd3o`1HB@?o06@o0ol0LBh4o`1o5P?o2Hd00olaW003of2[00?oU[T00oo7_P03omBK00?oh7H00oo[
D`03oo<c00?onAX00oom2@04ool300?oo@T00ooi6@03oo<c00?ojUD00ooON`03om:S00?o_/<00omm
/`03od>R00?o4I000ol0OaH4o`1^<`?o05i50ol0Cdh3o`0c@@?o01le0ol04R`3o`0:90?o00DN0ol0
0a/3o`026@?o008J1?l011`3o`0680?o00/U0ol04R`3o`0L<`?o02Pk0ol0>4@3o`1<C@?o05I;0ol0
Gd@3o`1X>P?o070_1?l0N283o`205@?o08H70ol6S003oa>A00?o7iH00olYV@03oc2L00?o=Yh01_li
W`03ocJN00Co<I`00olYV@03oajE00?o4I000ol2RP03o`233@?o07/M0ol0LRd3o`1X>`?o05e60ol0
DDd3o`0kA@Co02Hj0ol05Rl3o`0;9@?o00DN0ol00QX3o`026@?o00DN0ol03BL3o`0N=@?o04580ol0
Gd@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3olnZ00?ocJh00oo6`@03
oiVj00?oHJ/00olUV003o`252P?o078/0ol0HD83o`1BC@?o03U51?l09CT3o`0G<0?o00lY0ol02R@3
o`0680?o00@M0ol00a/3o`036RGo008I0ol00QX3o`036`?o00@L0ol01Ah4o`0780?o00TS0ol03BP3
o`0C;@?o01/c0ol09c/3o`0g@`?o04]=0ol0F4T3o`1T?`?o074^1?l0OaH3o`V=00?o<I`00omPZ`03
oiJi00?oakh00ooDV`03on1f00?oje<00ooc<`03ooTJ00?oo@T01?oo0`03ood900?onAT00ooc<`03
onYE00?ogg/00ooBX`03okk300?oOK<00om3XP03oa6@00?o07lF1?l0KS<3o`1NA@?o04m>0ol0<d43
o`0O=@?o018/0ol02R@3o`057P?o00<K0ol00QT3o`026PCo00@L0ol01R03o`0;9@?o018/0ol073<3
o`0X>`?o03Q40ol0C4d3o`1FB`?o05m40ol0J3X3o`1`;`Co07PR0ol0P1D3o`261`?o1X`00olCT@03
oanF00?o:IT00ol`W003ocJN00Ko>Il00olfWP04oc6L00?o:IT00olNU@03oa6@00?o0XX00ol0P`d3
o`1k7@?o078]0ol0J3/3o`1MAP?o055=0ol0>dD4o`0V>P?o01H_0ol02bD3o`057P?o008J0ol00QT3
o`057P?o00dW0ol07SD3o`11B0?o05m41oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0oo0``03oi^j00?oJ:d00olcW@03o`:;00?o07LU0ol0I3l3o`1CC0?o03U50ol08cP3o`0E
;PCo00`W0ol01b43o`057@?o00<K0ol00QX6o`026@?o008J1_l00a/3o`0470go00@M1_l011`3o`03
6`?o00<J0ol00QX9o`026@?o00<J1?l00a`3o`057P?o00LQ0ol02bD3o`0A:`?o01Ta0ol09CT3o`0f
@`?o04e>0ol0FTP3o`1W?0Co07DX0ol0Q0`3oaNC00?oAJ<00omj/P03okK100?ocjT00ooLQ003onMN
00?olC/00ooh7`03ood;00Coo`<00oon1`03ooXF00?om3000oo[DP03ommj00?odZ<00onk`P03ogRa
00?o?J000ol:SP03o`1l70Co06Xh0ol0FTP3o`16B`?o02/m0ol06C83o`0>:0?o00LQ0ol011`3o`02
6P?o008I0ol00a/4o`067`?o00XT0ol04B/3o`0K<`?o02Tl0ol0>dD3o`1?CP?o05Y80ol0I3l3o`1^
<`?o07PS0ol0PA84o`2:00?o59800olXV@03oc^O00?oCJD00omMZP03of^^00?oMk400on0/`03ohFe
00?oR;H00on7]@04oh:d00?oNk800om_[`03of6[00?oCjH00olkW`03obFH00?o3Xl00ol0Q@T3o`1j
7`?o06hc0ol0HD84o`1DC0?o03a60ol093T3o`0C;@?o00TS0ol011`3o`026@?o00<K0ol02283o`0F
;`?o03911oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0oo0``03oi^j00?o
J:d00olcW@03o`:;00?o07LU0ol0I3l3o`1CC0?o03U50ol08cP3o`0E;PCo00`W0ol01b43o`057@?o
00<K0ol00QX6o`026@?o008J1_l00a/3o`0470go00@M1_l011`3o`036`?o00<J0ol00QX9o`026@?o
00<J1?l00a`3o`057P?o00LQ0ol02bD3o`0A:`?o01Ta0ol09CT3o`0f@`?o04e>0ol0FTP3o`1W?0Co
07DX0ol0Q0`3oaNC00?oAJ<00omj/P03okK100?ocjT00ooLQ003onMN00?olC/00ooh7`03ood;00Co
o`<00oon1`03ooXF00?om3000oo[DP03ommj00?odZ<00onk`P03ogRa00?o?J000ol:SP03o`1l70Co
06Xh0ol0FTP3o`16B`?o02/m0ol06C83o`0>:0?o00LQ0ol011`3o`026P?o008I0ol00a/4o`067`?o
00XT0ol04B/3o`0K<`?o02Tl0ol0>dD3o`1?CP?o05Y80ol0I3l3o`1^<`?o07PS0ol0PA84o`2:00?o
59800olXV@03oc^O00?oCJD00omMZP03of^^00?oMk400on0/`03ohFe00?oR;H00on7]@04oh:d00?o
Nk800om_[`03of6[00?oCjH00olkW`03obFH00?o3Xl00ol0Q@T3o`1j7`?o06hc0ol0HD84o`1DC0?o
03a60ol093T3o`0C;@?o00TS0ol011`3o`026@?o00<K0ol02283o`0F;`?o03911oooool1o`00007o
oooo000Mooooo`;o00001_ooool3ol3300?oVkX00omX[@03oc>M00?o0X/00ol0MbD3o`1T?`?o05=<
0ol0>DD3o`0S>0?o01D^1?l032L3o`078@?o00DM0ol00a/3o`026PKo008I0ol00QX6o`036`?o00@L
3Ol011d6o`0470?o00<K0ol00aX3o`026PWo008I0ol00aX4o`0370?o00DN0ol01b43o`0;9@?o014[
0ol06C43o`0U>@?o03I30ol0CDh3o`1JB0?o06Ll1?l0MBP3o`2430?o5i<00om5X`03ogZb00?o]/40
0oo?Z@03omb400?oieh00ooa>`03ooPO00?oo@/01?oo0`03ooh700?onQH00ood<003on]B00?oggX0
0ooBX`03ok_200?oN;400olmX003o`Z>00?o07`L1?l0JSP3o`1JB0?o04I;0ol0:cd3o`0I<P?o00hX
0ol01b43o`0470?o008J0ol00QT3o`036`Co00HO0ol02R@3o`0A:`?o01/c0ol0:C`3o`0kA@?o04m>
0ol0FTP3o`1T?`?o06hc0ol0N2<3o`214PCo08X00olDTP03obRI00?o>il00om=Y@03oefZ00?oJjh0
0omg/@03oh2c00?oQKD00on8]P03ohNe00CoP[@00omk/P03ofn_00?oHJ/00om?YP03oc^O00?o9IP0
0ol>S`03o`252@?o07XO0ol0KS<3o`1Q@PCo05A<0ol0?4H3o`0T>@?o01<]0ol02B<3o`0470?o008I
0ol00a/3o`088P?o01H_0ol0<T46ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3og2_00?o@:400ol>S`03o`1m6P?o06Xh0ol0F4X3o`0oA`?o02Di0ol05Bh3o`0<9P?o00HP1?l0
11`3o`026PKo008I0ol00a/3o`0470?o00DN0ol01R03o`088P?o00TS0ol02R@:o`0;9@?o00XT0ol0
2B<3o`088P?o00LQ0ol01Ql3o`057P?o00@L0ol00a/3o`026POo008I0ol00aX3o`0470?o00HP0ol0
2R@3o`0@:P?o01Ta0ol09SX3o`0hA0?o051>0ol0GDH4o`1[=`?o07XO0ol1RP03obbJ00?oH:/00onL
^`03olZg00?of9400ooTJ@03onm400?ombD00ool3P04ool300?ooPD00ook4`03oo@]00?oje000ooO
N@03om6S00?o^<400omd/003ocNN00?o18/00ol0NB84o`1W?0?o05I;0ol0?TL3o`0U>@?o01D^0ol0
2bD3o`067`?o00<K0ol00QT3o`036P?o00@M1?l02283o`0?:@?o01Ta0ol09c/3o`0jA@?o051>0ol0
FdL3o`1W?0?o078]0ol0OAX3o`2810?o59401?l]V`03odNS00?oHJ/00omi/P03oi2h00?oY;d00onf
`@03olG400?oakh00oo9^@06olZf00Cob[L00oo9^P03olK000?o_l<00on]_`03oiRj00?oOk<00omS
[003odFR00?o9IP00ol6S003o`1o5PCo074^0ol0HT43o`1CC0?o03M30ol07cD3o`0?:@?o00HP0ol0
0aX3o`026P?o00HO0ol042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
og2_00?o@:400ol>S`03o`1m6P?o06Xh0ol0F4X3o`0oA`?o02Di0ol05Bh3o`0<9P?o00HP1?l011`3
o`026PKo008I0ol00a/3o`0470?o00DN0ol01R03o`088P?o00TS0ol02R@:o`0;9@?o00XT0ol02B<3
o`088P?o00LQ0ol01Ql3o`057P?o00@L0ol00a/3o`026POo008I0ol00aX3o`0470?o00HP0ol02R@3
o`0@:P?o01Ta0ol09SX3o`0hA0?o051>0ol0GDH4o`1[=`?o07XO0ol1RP03obbJ00?oH:/00onL^`03
olZg00?of9400ooTJ@03onm400?ombD00ool3P04ool300?ooPD00ook4`03oo@]00?oje000ooON@03
om6S00?o^<400omd/003ocNN00?o18/00ol0NB84o`1W?0?o05I;0ol0?TL3o`0U>@?o01D^0ol02bD3
o`067`?o00<K0ol00QT3o`036P?o00@M1?l02283o`0?:@?o01Ta0ol09c/3o`0jA@?o051>0ol0FdL3
o`1W?0?o078]0ol0OAX3o`2810?o59401?l]V`03odNS00?oHJ/00omi/P03oi2h00?oY;d00onf`@03
olG400?oakh00oo9^@06olZf00Cob[L00oo9^P03olK000?o_l<00on]_`03oiRj00?oOk<00omS[003
odFR00?o9IP00ol6S003o`1o5PCo074^0ol0HT43o`1CC0?o03M30ol07cD3o`0?:@?o00HP0ol00aX3
o`026P?o00HO0ol042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3og2_
00?o@:400ol>S`03o`1m6P?o06Xh0ol0F4X3o`0oA`?o02Di0ol05Bh3o`0<9P?o00HP1?l011`3o`02
6PKo008I0ol00a/3o`0470?o00DN0ol01R03o`088P?o00TS0ol02R@:o`0;9@?o00XT0ol02B<3o`08
8P?o00LQ0ol01Ql3o`057P?o00@L0ol00a/3o`026POo008I0ol00aX3o`0470?o00HP0ol02R@3o`0@
:P?o01Ta0ol09SX3o`0hA0?o051>0ol0GDH4o`1[=`?o07XO0ol1RP03obbJ00?oH:/00onL^`03olZg
00?of9400ooTJ@03onm400?ombD00ool3P04ool300?ooPD00ook4`03oo@]00?oje000ooON@03om6S
00?o^<400omd/003ocNN00?o18/00ol0NB84o`1W?0?o05I;0ol0?TL3o`0U>@?o01D^0ol02bD3o`06
7`?o00<K0ol00QT3o`036P?o00@M1?l02283o`0?:@?o01Ta0ol09c/3o`0jA@?o051>0ol0FdL3o`1W
?0?o078]0ol0OAX3o`2810?o59401?l]V`03odNS00?oHJ/00omi/P03oi2h00?oY;d00onf`@03olG4
00?oakh00oo9^@06olZf00Cob[L00oo9^P03olK000?o_l<00on]_`03oiRj00?oOk<00omS[003odFR
00?o9IP00ol6S003o`1o5PCo074^0ol0HT43o`1CC0?o03M30ol07cD3o`0?:@?o00HP0ol00aX3o`02
6P?o00HO0ol042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oajF00?o
08@<0ol0LBl3o`1NA@?o04Y=0ol0:cd3o`0H<0?o00`W0ol01R03o`036`Oo008I0ol00aX3o`047@?o
00HO0ol02B83o`0;9P?o00lY0ol04R/3o`0D;P?o01L`0ol06347o`0I<@?o01Pa0ol05c03o`0E;P?o
018/0ol042X3o`0=9`?o00XT0ol02243o`067`?o00@L0ol00a/7o`026@?o008J0ol011`3o`067`?o
00XT0ol042X3o`0J<P?o02Pk0ol0?TL3o`1DC0Co06910ol0LBh3o`214@?o5Y800om8X`03oh:d00?o
a<@00ooCWP03on5e00?ok4h00ooe:`03oo/B00CooPD00oon1003oo/B00?omB/00oo/C`03on1i00?o
dJ@00one`@03ofn_00?o<I`00ol0R@43o`1f9`Co06=00ol0DTd3o`0f@`?o01lf0ol04B/3o`088P?o
00@M0ol00QX3o`026@?o00<K0ol01R04o`0<9P?o01D_0ol08cP3o`0g@`?o04m>0ol0FdL3o`1X>`?o
07@Z0ol0P1<3o`J<00?o8iL00om1X@04of6[00?oPK@00onO_003okc200?ob;/00oo>[@03om:R00?o
eYL00ooHS`03omZ900?og8@01ooMPP03omb400?ofXT00ooHT003omFI00?odJD00oo</`03olG200?o
Z;h00on3]003oefZ00?o=Ih01?l@T003o`214P?o070_0ol0Gd@3o`1>CP?o02dn0ol05c03o`0:90?o
00@L0ol00QX3o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o7YH0
0ol0Q0`3o`1a;`?o05i50ol0BTd3o`0[?@?o01P`0ol032L3o`0680?o00<K1ol00QT3o`036P?o00@M
0ol01Ql3o`098P?o00/V0ol03bT3o`0B:`?o01@^0ol05c03o`0H<@Oo01Ta0ol06343o`0G<0?o01D^
0ol04R`3o`0@:P?o00dW0ol02R@3o`088@?o00HO0ol011`3o`036`Oo008I0ol00QX3o`0470?o00HO
0ol02R@3o`0@:P?o01Xb0ol0:3/3o`0nA`?o05A<1?l0HT43o`1a;P?o084A0olFTP03odRS00?oP[@0
0oo4a003om>N00?ohGD00oo/CP03ooD[00?ona801?on1@03ooh400?ona800ooe:`03ona?00?oh7T0
0ooAY003okG100?oKjl00olaW003o`290@?o07HW1?l0Hd03o`1BC@?o03I30ol07cH3o`0A:`?o00PR
0ol011d3o`026P?o008I0ol00a/3o`0680Co00`V0ol05Bl3o`0S>0?o03M30ol0Cdh3o`1KA`?o06Pk
0ol0M2X3o`204`?o1X`00olSU`03od6Q00CoHJ/00on1]003oinl00?o_<800oo8^`03olj]00?odZ80
0ooFU`03omR?00?ofXT00ooLQ007omf200?og8@00ooJR@03omR@00?oeIT00ooAY@03olbc00?oaL80
0onX_P03oh>d00?oGJX00oleWP04oa2@00?o084B0ol0L2l3o`1OA0?o04i>0ol0;Ch3o`0G<0?o00XT
0ol011`3o`026P?o00@M1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0olN
UP03o`2430?o074_0ol0GTD3o`1:C@?o02/m0ol06303o`0<9`?o00HP0ol00a/7o`026@?o00<J0ol0
11d3o`067`?o00TR0ol02bH3o`0?:@?o018[0ol052h3o`0G<0?o01Pa1ol06C43o`0H<@?o01L`0ol0
5Bh3o`0B;0?o010Z0ol03BL3o`0:90?o00PQ0ol01Ql3o`0470?o00<K1ol00QT3o`026P?o00@L0ol0
1Ql3o`0:90?o010Z0ol06S83o`0X>`?o03i70ol0E4`4o`1R@@?o074^0ol0PA43oaJB00?oB:<00on2
]003olC400?odih00ooQM@03ona>00?omB/00ook4P04ooh500?ooP@00ook4P03ooD[00?ok4l00ooP
N@03om6T00?o]L400om_[`03oc6L00?o08T10ol0MRL4o`1S@0?o059=0ol0=T<3o`0O=P?o014[0ol0
2283o`047@?o008J0ol00QT3o`036`?o00HP1?l032H3o`0E;`?o02<h0ol0=d<3o`1?CP?o05]70ol0
J3/3o`1d:P?o080C0ol6S003ob>G00?o@J401?mQZ`03oh6d00?oWk`00onl`P03olRk00?ocZd00ooB
XP03omJG00?of8l00ooJR@03omb400OogH800ooLQ003omZ900?of9000ooEV@03om6U00?oc;<00oo5
`P03ojRn00?oPk@00omMZP03ocFN00Co49000ol0PA83o`1`;`?o05m40ol0CTh3o`0]?P?o01L`0ol0
2R@3o`0470?o008J0ol011d7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
o`1i8@?o06Hm0ol0E4`3o`0f@`?o01he0ol03bT3o`078@?o00@L1_l00QT3o`036`Co00DN0ol02283
o`0=9`?o018/0ol05c03o`0M=0?o02<h0ol0:C`3o`0]?P?o03100ol0<T43o`0c@@Co03910ol0<403
o`0]?P?o02Tl0ol093T3o`0N=@?o01Ta0ol052d3o`0?:@?o00/U0ol02283o`057PCo00@L0ol00aX3
o`026@?o008J0ol00a/3o`067`?o00XT0ol04B/3o`0L=0?o02hn0ol0Ad/4o`1IB@?o06Pj0ol0NB43
o`::00?o<I`00om[[P03ojbo00?ocj/00ooMP@03onUG00?olc800ooj5P04ooh600?ooP@00ool4003
ooDY00?ok4d00ooPN003om6U00?o/L000omZ[@03ob^J00?o08H60ol0Lb/4o`1P@`?o04m>0ol0<403
o`0J<P?o00hX0ol01b03o`036`?o008I0ol00aX3o`057@?o00TS1?l04B/3o`0N=@?o03100ol0BT`3
o`1IB@?o06Ll0ol0M2X3o`214@?o2hh00ol/VP03oe2V00?oMK401?nJ^P03okk300?obkD00ooBX`03
omNB00?og8<00ooQM@03onAZ00?oif400ooYF@03onYD00?oje401oo[D003onYC00?ojEP00ooWH003
onAZ00?oh7L00ooKQP03omFI00?ocZd00oo5a003oiVj00CoJjh00ollX003o`j?00?o07hH0ol0K3H3
o`1IB@?o03m70ol083H3o`0>:0?o00HO0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`1i8@?o06Hm0ol0E4`3o`0f@`?o01he0ol03bT3o`078@?o00@L1_l00QT3o`03
6`Co00DN0ol02283o`0=9`?o018/0ol05c03o`0M=0?o02<h0ol0:C`3o`0]?P?o03100ol0<T43o`0c
@@Co03910ol0<403o`0]?P?o02Tl0ol093T3o`0N=@?o01Ta0ol052d3o`0?:@?o00/U0ol02283o`05
7PCo00@L0ol00aX3o`026@?o008J0ol00a/3o`067`?o00XT0ol04B/3o`0L=0?o02hn0ol0Ad/4o`1I
B@?o06Pj0ol0NB43o`::00?o<I`00om[[P03ojbo00?ocj/00ooMP@03onUG00?olc800ooj5P04ooh6
00?ooP@00ool4003ooDY00?ok4d00ooPN003om6U00?o/L000omZ[@03ob^J00?o08H60ol0Lb/4o`1P
@`?o04m>0ol0<403o`0J<P?o00hX0ol01b03o`036`?o008I0ol00aX3o`057@?o00TS1?l04B/3o`0N
=@?o03100ol0BT`3o`1IB@?o06Ll0ol0M2X3o`214@?o2hh00ol/VP03oe2V00?oMK401?nJ^P03okk3
00?obkD00ooBX`03omNB00?og8<00ooQM@03onAZ00?oif400ooYF@03onYD00?oje401oo[D003onYC
00?ojEP00ooWH003onAZ00?oh7L00ooKQP03omFI00?ocZd00oo5a003oiVj00CoJjh00ollX003o`j?
00?o07hH0ol0K3H3o`1IB@?o03m70ol083H3o`0>:0?o00HO0ol00aX7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`1i8@?o06Hm0ol0E4`3o`0f@`?o01he0ol03bT3o`078@?o
00@L1_l00QT3o`036`Co00DN0ol02283o`0=9`?o018/0ol05c03o`0M=0?o02<h0ol0:C`3o`0]?P?o
03100ol0<T43o`0c@@Co03910ol0<403o`0]?P?o02Tl0ol093T3o`0N=@?o01Ta0ol052d3o`0?:@?o
00/U0ol02283o`057PCo00@L0ol00aX3o`026@?o008J0ol00a/3o`067`?o00XT0ol04B/3o`0L=0?o
02hn0ol0Ad/4o`1IB@?o06Pj0ol0NB43o`::00?o<I`00om[[P03ojbo00?ocj/00ooMP@03onUG00?o
lc800ooj5P04ooh600?ooP@00ool4003ooDY00?ok4d00ooPN003om6U00?o/L000omZ[@03ob^J00?o
08H60ol0Lb/4o`1P@`?o04m>0ol0<403o`0J<P?o00hX0ol01b03o`036`?o008I0ol00aX3o`057@?o
00TS1?l04B/3o`0N=@?o03100ol0BT`3o`1IB@?o06Ll0ol0M2X3o`214@?o2hh00ol/VP03oe2V00?o
MK401?nJ^P03okk300?obkD00ooBX`03omNB00?og8<00ooQM@03onAZ00?oif400ooYF@03onYD00?o
je401oo[D003onYC00?ojEP00ooWH003onAZ00?oh7L00ooKQP03omFI00?ocZd00oo5a003oiVj00Co
Jjh00ollX003o`j?00?o07hH0ol0K3H3o`1IB@?o03m70ol083H3o`0>:0?o00HO0ol00aX7ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1MA@?o04M;0ol0:3/3o`0D;P?o00XT
0ol011d3o`026P?o008I0ol00a/3o`067`?o00XT1?l042X3o`0H<0?o024g0ol0:cd3o`0e@`?o03m8
0ol0B4`3o`1?CP?o059=0ol0Dd`6o`1DC0Co05=<0ol0DDd3o`1?CP?o04Q;0ol0?dL3o`0f@`?o02dn
0ol093T3o`0L=0?o01D^0ol03bT3o`0:90Co00LP0ol011d3o`036P?o008I0ol00QX3o`0370?o00HO
0ol02bD3o`0D;@?o024g0ol0=T<4o`1AC@?o06130ol0LBh3o`233P?o7ID00omDY`03oiJi00?ob[L0
0ooIS003onMQ00?olCX00ooi6`04ooh800?oo`@00ool3`03ooHX00?ok4`00ooPN003om6U00?o[[l0
0omU[003obJH00?o08@<0ol0L304o`1MAP?o04Q<0ol0:S`3o`0F;`?o00/U0ol01Ah3o`036P?o008I
0ol00a/3o`0680?o00dW1?l06303o`0Y?0?o04180ol0ET/3o`1T?`?o078]0ol0P1<3o`b>00?o<9`0
0omHZ003oh:d00?o[;l01?o8^`03om6U00?of9000ooOO003onAZ00?ojEX00oo/C003onm100?olSP0
0ood<@03ooD/00?omRP01oof9P03ooHW00?omBX00ood;`03oo8f00?ol3l00oo]C003onQL00?ohVl0
0ooKQP03om>O00CobKX00onR_003ofZ]00?o=9d00ol3R`03o`1h90?o06@o0ol0Cdh3o`0[?@?o01<]
0ol02247ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1MA@?o04M;0ol0
:3/3o`0D;P?o00XT0ol011d3o`026P?o008I0ol00a/3o`067`?o00XT1?l042X3o`0H<0?o024g0ol0
:cd3o`0e@`?o03m80ol0B4`3o`1?CP?o059=0ol0Dd`6o`1DC0Co05=<0ol0DDd3o`1?CP?o04Q;0ol0
?dL3o`0f@`?o02dn0ol093T3o`0L=0?o01D^0ol03bT3o`0:90Co00LP0ol011d3o`036P?o008I0ol0
0QX3o`0370?o00HO0ol02bD3o`0D;@?o024g0ol0=T<4o`1AC@?o06130ol0LBh3o`233P?o7ID00omD
Y`03oiJi00?ob[L00ooIS003onMQ00?olCX00ooi6`04ooh800?oo`@00ool3`03ooHX00?ok4`00ooP
N003om6U00?o[[l00omU[003obJH00?o08@<0ol0L304o`1MAP?o04Q<0ol0:S`3o`0F;`?o00/U0ol0
1Ah3o`036P?o008I0ol00a/3o`0680?o00dW1?l06303o`0Y?0?o04180ol0ET/3o`1T?`?o078]0ol0
P1<3o`b>00?o<9`00omHZ003oh:d00?o[;l01?o8^`03om6U00?of9000ooOO003onAZ00?ojEX00oo/
C003onm100?olSP00ood<@03ooD/00?omRP01oof9P03ooHW00?omBX00ood;`03oo8f00?ol3l00oo]
C003onQL00?ohVl00ooKQP03om>O00CobKX00onR_003ofZ]00?o=9d00ol3R`03o`1h90?o06@o0ol0
Cdh3o`0[?@?o01<]0ol02247ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
o`1MA@?o04M;0ol0:3/3o`0D;P?o00XT0ol011d3o`026P?o008I0ol00a/3o`067`?o00XT1?l042X3
o`0H<0?o024g0ol0:cd3o`0e@`?o03m80ol0B4`3o`1?CP?o059=0ol0Dd`6o`1DC0Co05=<0ol0DDd3
o`1?CP?o04Q;0ol0?dL3o`0f@`?o02dn0ol093T3o`0L=0?o01D^0ol03bT3o`0:90Co00LP0ol011d3
o`036P?o008I0ol00QX3o`0370?o00HO0ol02bD3o`0D;@?o024g0ol0=T<4o`1AC@?o06130ol0LBh3
o`233P?o7ID00omDY`03oiJi00?ob[L00ooIS003onMQ00?olCX00ooi6`04ooh800?oo`@00ool3`03
ooHX00?ok4`00ooPN003om6U00?o[[l00omU[003obJH00?o08@<0ol0L304o`1MAP?o04Q<0ol0:S`3
o`0F;`?o00/U0ol01Ah3o`036P?o008I0ol00a/3o`0680?o00dW1?l06303o`0Y?0?o04180ol0ET/3
o`1T?`?o078]0ol0P1<3o`b>00?o<9`00omHZ003oh:d00?o[;l01?o8^`03om6U00?of9000ooOO003
onAZ00?ojEX00oo/C003onm100?olSP00ood<@03ooD/00?omRP01oof9P03ooHW00?omBX00ood;`03
oo8f00?ol3l00oo]C003onQL00?ohVl00ooKQP03om>O00CobKX00onR_003ofZ]00?o=9d00ol3R`03
o`1h90?o06@o0ol0Cdh3o`0[?@?o01<]0ol02247ooooo`7o00000Oooool001gooooo0_l00006oooo
o`?o03U40ol07SD3o`0>:@?o00LP0ol00a/3o`026@?o00<K0ol01Ql3o`0;9@?o018/0ol073@4o`0Y
?0?o03M40ol0Ad/3o`1BC@?o05Q90ol0GDD3o`1R@@?o06Dn0ol0Ic/6o`1Y>P?o06Pj1?l0Ic`3o`1T
?`?o06520ol0GDH3o`1HBP?o059=0ol0BT`3o`0lAP?o02lo0ol093T3o`0J<P?o018/1?l032H3o`07
8@?o00@M0ol00aX3o`026@?o008J0ol011`3o`078@?o00dX0ol06343o`0Y?0Co04=90ol0F4T3o`1Y
>@?o07/M0ol:SP03od2Q00?oP;@00oo5`P03omJG00?oi6/00oo_@@03ooPO00Coo@X00ooo1003oo`=
00?omRH00oo]B`03on1g00?od:H00on[_P03of6[00?o8IH00ol0PQ43o`1]=0Co05Y80ol0@DP3o`0T
>@?o01<]0ol02B<3o`047@?o008I0ol00QX3o`047@?o00TS0ol04R/4o`0P=P?o03I30ol0D4d3o`1O
A0?o06hb0ol0OQT3o`N=00?o;Y/00omJZ@03ohNe00?o]/400oo</`04omFJ00?ogH400ooTJ`03onYG
00?okTD00oob=P03ooDZ00?on2000ooj6@03oo/C00?oo0l00ool3004ood;00Koo@X00oom2`03oo`=
00?ona400ooj5P03ooPN00?omRT00oob=`03one:00?oif001?oON`03omFI00?ob;/00onH^P03oe^Y
00?o8IL00ol0PPl3o`1/=@?o05M:0ol0=T<3o`0I<@Kooooo0_l00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`?o03U40ol07SD3o`0>:@?o00LP0ol00a/3o`026@?o00<K0ol01Ql3o`0;9@?o
018/0ol073@4o`0Y?0?o03M40ol0Ad/3o`1BC@?o05Q90ol0GDD3o`1R@@?o06Dn0ol0Ic/6o`1Y>P?o
06Pj1?l0Ic`3o`1T?`?o06520ol0GDH3o`1HBP?o059=0ol0BT`3o`0lAP?o02lo0ol093T3o`0J<P?o
018/1?l032H3o`078@?o00@M0ol00aX3o`026@?o008J0ol011`3o`078@?o00dX0ol06343o`0Y?0Co
04=90ol0F4T3o`1Y>@?o07/M0ol:SP03od2Q00?oP;@00oo5`P03omJG00?oi6/00oo_@@03ooPO00Co
o@X00ooo1003oo`=00?omRH00oo]B`03on1g00?od:H00on[_P03of6[00?o8IH00ol0PQ43o`1]=0Co
05Y80ol0@DP3o`0T>@?o01<]0ol02B<3o`047@?o008I0ol00QX3o`047@?o00TS0ol04R/4o`0P=P?o
03I30ol0D4d3o`1OA0?o06hb0ol0OQT3o`N=00?o;Y/00omJZ@03ohNe00?o]/400oo</`04omFJ00?o
gH400ooTJ`03onYG00?okTD00oob=P03ooDZ00?on2000ooj6@03oo/C00?oo0l00ool3004ood;00Ko
o@X00oom2`03oo`=00?ona400ooj5P03ooPN00?omRT00oob=`03one:00?oif001?oON`03omFI00?o
b;/00onH^P03oe^Y00?o8IL00ol0PPl3o`1/=@?o05M:0ol0=T<3o`0I<@Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`05ooooo`?o03U40ol07SD3o`0>:@?o00LP0ol00a/3o`026@?o00<K
0ol01Ql3o`0;9@?o018/0ol073@4o`0Y?0?o03M40ol0Ad/3o`1BC@?o05Q90ol0GDD3o`1R@@?o06Dn
0ol0Ic/6o`1Y>P?o06Pj1?l0Ic`3o`1T?`?o06520ol0GDH3o`1HBP?o059=0ol0BT`3o`0lAP?o02lo
0ol093T3o`0J<P?o018/1?l032H3o`078@?o00@M0ol00aX3o`026@?o008J0ol011`3o`078@?o00dX
0ol06343o`0Y?0Co04=90ol0F4T3o`1Y>@?o07/M0ol:SP03od2Q00?oP;@00oo5`P03omJG00?oi6/0
0oo_@@03ooPO00Coo@X00ooo1003oo`=00?omRH00oo]B`03on1g00?od:H00on[_P03of6[00?o8IH0
0ol0PQ43o`1]=0Co05Y80ol0@DP3o`0T>@?o01<]0ol02B<3o`047@?o008I0ol00QX3o`047@?o00TS
0ol04R/4o`0P=P?o03I30ol0D4d3o`1OA0?o06hb0ol0OQT3o`N=00?o;Y/00omJZ@03ohNe00?o]/40
0oo</`04omFJ00?ogH400ooTJ`03onYG00?okTD00oob=P03ooDZ00?on2000ooj6@03oo/C00?oo0l0
0ool3004ood;00Koo@X00oom2`03oo`=00?ona400ooj5P03ooPN00?omRT00oob=`03one:00?oif00
1?oON`03omFI00?ob;/00onH^P03oe^Y00?o8IL00ol0PPl3o`1/=@?o05M:0ol0=T<3o`0I<@Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o03U40ol07SD3o`0>:@?o00LP0ol0
0a/3o`026@?o00<K0ol01Ql3o`0;9@?o018/0ol073@4o`0Y?0?o03M40ol0Ad/3o`1BC@?o05Q90ol0
GDD3o`1R@@?o06Dn0ol0Ic/6o`1Y>P?o06Pj1?l0Ic`3o`1T?`?o06520ol0GDH3o`1HBP?o059=0ol0
BT`3o`0lAP?o02lo0ol093T3o`0J<P?o018/1?l032H3o`078@?o00@M0ol00aX3o`026@?o008J0ol0
11`3o`078@?o00dX0ol06343o`0Y?0Co04=90ol0F4T3o`1Y>@?o07/M0ol:SP03od2Q00?oP;@00oo5
`P03omJG00?oi6/00oo_@@03ooPO00Coo@X00ooo1003oo`=00?omRH00oo]B`03on1g00?od:H00on[
_P03of6[00?o8IH00ol0PQ43o`1]=0Co05Y80ol0@DP3o`0T>@?o01<]0ol02B<3o`047@?o008I0ol0
0QX3o`047@?o00TS0ol04R/4o`0P=P?o03I30ol0D4d3o`1OA0?o06hb0ol0OQT3o`N=00?o;Y/00omJ
Z@03ohNe00?o]/400oo</`04omFJ00?ogH400ooTJ`03onYG00?okTD00oob=P03ooDZ00?on2000ooj
6@03oo/C00?oo0l00ool3004ood;00Koo@X00oom2`03oo`=00?ona400ooj5P03ooPN00?omRT00oob
=`03one:00?oif001?oON`03omFI00?ob;/00onH^P03oe^Y00?o8IL00ol0PPl3o`1/=@?o05M:0ol0
=T<3o`0I<@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o01P`0ol02bD3
o`057PKo00<J0ol01Ah3o`0:90?o014[0ol07C@3o`0]?P?o04181?l0DDd3o`1JB0?o06=10ol0JSP3
o`1`<0?o07DX0ol0NB43o`1l70?o07hH0ol0OaL3o`1n5`?o07dJ1?l0Nah3o`1h8`?o07@Z0ol0Kc43
o`1Y>@?o06=00ol0G4L3o`1DC0?o04Y=0ol0>DD3o`0Z?@?o01he1?l052d3o`0=9`?o00PQ0ol011d3
o`036P?o008I0ol00aX3o`057@?o00TS0ol04B/3o`0O=@Co03A20ol0DDd3o`1R@@?o07@Z0ol0Q`D3
obfK00?oK:h00ond`@03om:R00?ohG@00oo]B@03ooLT00Coo@`00ooo1003ood<00?omb@00oo]B@03
on1g00?od:L00onX_P03oebZ00?o79D00ol0OaD3o`1Z=`Co05M:0ol0>dD3o`0P=P?o010Z0ol01b43
o`036`?o008I0ol00aX3o`067`?o00`V0ol05c04o`0Z?0?o04E:0ol0FDT3o`1Y>@?o07TQ0ol0R@03
obNI00?oEJL00on6]@03okW200?ocJl00ooGT`04on1h00?oiel00oo]B@03oo8f00?omRL00ooi6`03
oo/A00?oo@/00oon1P03ool300?oo`800ooo0@0Cool000?oo`400ooo1003ood800?oo1000ooi7003
ooD[00Col4000ooYFP03omml00?odj000oo4a003oh6d00?o@:400ol3R`03o`1d:P?o05e60ol0@4P7
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0H<0?o00/U0ol01Ah6o`03
6P?o00DN0ol02R@3o`0A:`?o01dd0ol0;Ch3o`10B0Co055=0ol0FTP3o`1S@@?o06Xh0ol0L303o`1e
:0?o07TQ0ol0O1`3o`1n60?o07lG0ol0OQL3o`1m6PCo07/N0ol0N2<3o`1d:P?o06la0ol0JCT3o`1S
@0?o05a70ol0E4`3o`1:C@?o03U50ol0:Sd3o`0N=@Co01@]0ol03BL3o`088@?o00@M0ol00aX3o`02
6@?o00<J0ol01Ad3o`098`?o014[0ol07cD4o`0d@P?o055=0ol0HT43o`1d:P?o08L50ol]V`03ofb^
00?o]<400ooBXP03on5d00?okDT00oog9004ood<00?oo`@00oom3003ooLT00?okDT00ooPM`03om2W
00?oZ;h00omLZP03oabE00?o07lE0ol0JSL4o`1GBP?o03]50ol083H3o`0@:P?o00LQ0ol00a/3o`02
6@?o00<J0ol01Ql3o`0<9P?o01L`1?l0:S`3o`15BP?o05U90ol0JCT3o`1i8@?o08T00olWV@03oeFW
00?oQ[D00oni`P03olf_00?oei<01?oPN003onMO00?okDT00oob=P03ooHW00?onA/00ook4@03ood;
00?ooPH00ooo0`03ool200?oo`404ooo0003ool100?oo`@00oom2003oo`@00?onA`00ooe:`04oo10
00?ojEX00ooOO003om>P00?oa<@00on1]003od2Q00?o0h/00ol0M2X3o`1MAP?o04181oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol06303o`0;9@?o00DN1_l00aX3o`057P?o
00XT0ol04B/3o`0M=0?o02dn0ol0@4P4o`1AC@?o05Y80ol0Hd43o`1Z>0?o070`0ol0MBP3o`1i8@?o
07`L0ol0OQP3o`1o5`?o07hG0ol0OAX4o`1k7P?o07PS0ol0M2X3o`1_<@?o06Ti0ol0Hd03o`1LA`?o
05A<0ol0BTd3o`0iA@?o02Xm0ol07SD4o`0D;@?o00dW0ol02243o`047@?o00<J0ol00QT3o`036P?o
00DM0ol02B<3o`0A:`?o01le1?l0=483o`1AC@?o06910ol0M2X3o`271@?o;I/00om/[P03okC100?o
dZ800ooQM003one900?omb@01?om3003ool400?oo@`00oog9003one900?oh7L00oo@Y`03ojRn00?o
G:X00olLU@03o`1o5@?o06Xg1?l0EdX3o`0kA@?o020f0ol042X3o`078@?o00<K0ol00QT3o`036P?o
00HO0ol032H3o`0G<0Co02Xl0ol0ADX3o`1IB@?o06Ti0ol0NB43o`2900?o9iT00omEY`03ohJe00?o
^L800oo=[`03omNC00Coh7P00ooWG`03one900?olSH00oof9`03ooTK00?ona400oom2`03ooh600?o
o`<00ooo0P03ool101?oo`000ooo0@03ool400?oo@P00ool4003ooTL00?omB/01?o`@003onUJ00?o
gg`00ooCX003olC400?oPK@00om0X@03o`>;00?o07@Z0ol0GDH3o`10B0Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`05ooooo`?o00TS0ol011d3o`036P?o00@L0ol01b43o`0?:@?o01/c
0ol0;3h3o`13B@?o05E;0ol0H4<4o`1Z>0?o07<[0ol0Nad3o`233`?o08P20ol9S@03oa6A00?o69<0
0olKU003oabE00?o6Y@00olETP04o`j?00?o1H`00ol0Q`D3o`214@?o07/N0ol0M2X3o`1/=@?o06@o
0ol0FdL3o`1BC@?o04580ol0;cl4o`0P=P?o01D^0ol03BL3o`078@?o00@L0ol00QX3o`026@?o00<K
0ol01Ql3o`0<9P?o01L`1?l0:C`3o`15BP?o05]80ol0KC@3o`204`?o6i@00omIZ003oj6l00?ocZd0
0ooNOP03on]@00?omBT01?ol3`03ooh400?oo@/00oog8`03one800?oh7L00oo@Z003ojFm00?oF:P0
0olGT`03o`1m6P?o06Pk1?l0E4`3o`0e@P?o01`c0ol03BP3o`067`?o00<J0ol00QT3o`0370?o00PQ
0ol042X3o`0O=@Co03I30ol0DTd3o`1R@@?o07</0ol0Q0d3oaZD00?oBZ@00omn/`03okC100?ocJl0
0ooHT@03on5c00CojEP00oo`@003ooD]00?onAd00ook4@03ood900?ooP@00ooo0P03ool100?oo`80
0ooo0`03ooh500CooPH00oon1`06ooh800?ooPH00oon1@03ool300?oo`400ooo0003ool100?oo`@0
0oom2P04ooXE00?omRL00oo_@P03onIR00?ofhL00oo=[`03ojBm00?oEjP00olDT@03o`1j7`?o0691
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol02B<3o`047@?o00<J0ol0
11`3o`078@?o00lY0ol06c<3o`0/?P?o04=90ol0ED/3o`1P@`Co06Xh0ol0Lb/3o`1k7@?o08<?0ol0
R083o`V=00?o4I400olHT`03oa^D00?o79D00olJU003oaFB00Co3Xl00ol5S003o`271@?o084A0ol0
Nah3o`1d:P?o06`e0ol0I3l3o`1KA`?o059=0ol0@DP3o`0_?`Co020f0ol05Bh3o`0=9`?o00LQ0ol0
11`3o`026P?o008I0ol00a/3o`067`?o00`V0ol05c04o`0Y?0?o04E:0ol0FdP3o`1]=0?o080C0olK
U003oeVX00?oXK`00oo>[@03omin00?oje000ooe:@04oo`?00?ooP@00oom2`03ooLS00?okDP00ooP
M`03om2X00?oYKd00omHZ003oaNC00?o07dJ0ol0J3/4o`1DC0?o03E20ol073<3o`0=:0?o00HO0ol0
0aX3o`026@?o00<L0ol02243o`0@:P?o01le1?l0=T<3o`1BC@?o06910ol0Lb`3o`243@?o6Y@00om:
Y003ogjc00?o]<400oo=[`03omRA00?ohG<01?oYF003oo1000?omBd00ooi7@03oo/A00?oo@T00oon
1003ool200?oo`400ooo0P03ool300?ooPD01?on1P03ooh700KooPP00oon1P03ooh500?oo`<00ooo
0@03ool000?oo`400ooo1003ood:00ConQD00oof9`03onm200?oiV800ooKQ`03olf_00?oY;d00omG
Z003oaBA00?o07XO0ol0HT47ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
o`098`?o00@M0ol00aX3o`0470?o00LQ0ol03bT3o`0K<`?o02`n0ol0@dT3o`1EB`?o06131?l0JSP3
o`1c:`?o07/M0ol0P`l3o`280P?o2Hd00olAT@03oaRC00?o6i@00olLU@03oaZD00?o5I801?l>S`03
o`F<00?o08L50ol0PA43o`1k7P?o07@Z0ol0K3D3o`1T?`?o05]70ol0DTd3o`11B0?o02lo1?l083H3
o`0E;P?o00dW0ol01b43o`0470?o008J0ol00QT3o`036`?o00HO0ol032H3o`0G<0Co02Tl0ol0ADX3
o`1KB0?o06dd0ol0P1<3oa^D00?oFJP00onQ_003olj]00?ogWh00oo[D003ooDY00Coo0l00oon1003
ood;00?omb<00oo]B003on1g00?od:P00onU_@03oeRX00?o5i<00ol0OAX3o`1X>`Co05A<0ol0=D83
o`0L<`?o00dX0ol01Ql3o`036P?o008I0ol00a`3o`088@?o010Z0ol07cD4o`0f@`?o059=0ol0HT43
o`1c;0?o08@=0olJU003odZT00?oO[<00ond`@03olf_00?of9400ooQL`04onUH00?ol4000ooe;@03
ooTM00?ona400oom2@03ooh400?oo`800ooo0@03ool200?oo`<00oon1@04ooh600?ooPL01_on2003
ooh600?ooPD00ooo0`03ool100?oo`000ooo0@03ool400?oo@X01?oj5@03ooHW00?okd800ooVHP03
om^700?ocJl00onT_@03oeNX00?o59400ol0NQl3o`1R@@Oooooo0Ol00001ooooo`004oooool3o`00
00Oooooo00?o0000ooooooooool01Oooool3o`0470?o00<K0ol01Ah3o`0;9@?o01D_0ol09SX3o`0m
A`?o05A<0ol0HD83o`1^<`?o07TQ1?l0P`d3o`N<00?o6i@00ol^V`03ocjP00?oBj@00omEY`03oe^Y
00?oGZX00omMZP03oeVX00?oDJH01?m6X`03ocVO00?o:YX00olIU003o`R=00?o08D90ol0O1/3o`1c
:`?o06Ti0ol0Gd@3o`1EB`?o04E:1?l0<D03o`0P=P?o01@^0ol032H3o`0680?o00<K0ol00QT3o`02
6P?o00@L0ol02283o`0A:`Co01lf0ol0>4@3o`1DC0?o06Hm0ol0NR03o`b>00?oAj<00on>]`03olZg
00?ofhL00ooYF003oo@_00Cona800oon1@03ood:00?omb400oo^A`03on1f00?od:P00onR_003oeBW
00?o4i400ol0Nah3o`1U?PCo055=0ol0<403o`0H<@?o00/U0ol01Ah6o`026P?o00@M0ol02R@3o`0E
;P?o02Lk1?l0@dT3o`1JB0?o06/g0ol0O1/3o`Z>00?o>Il00om_[`03ojRn00?obk@00ooGT`03on5c
00?ojUH01?oa?003ooHW00?onQL00oom3003ooh500Koo`800oon1@03ood900?oo0h00ook4`03ooXH
00ConA`00ooh7`03ooPP00?on2400ooh7`03ooTM00?onQT00ook4`03oo`>00?oo@T00oon1@03ool2
00Coo`<00oom2P03ooTJ00?om3400oo/CP03on5b00?oe9/00onj`P03ofZ]00?o8YL00ol0OaH7oooo
o`7o00000Oooool001;ooooo00Go0000ooooooooooooooooo`000006ooooo`03o`000?oooooooooo
00Gooooo0ol011`3o`036`?o00DN0ol02bD3o`0E;`?o02Hj0ol0?DL3o`1DC0?o06520ol0KS<3o`1i
8@Co08<=0ol7S003oa^D00?o;Y/00olnX003od^T00?oEJL00omKZ@03oejZ00?oGJX00omIZ003oe6V
00CoAZ<00oliW`03obZJ00?o6I@00ol8S@03o`252@?o07`K0ol0Lb/3o`1Y>@?o05m40ol0ED/3o`15
BPCo03500ol083H3o`0D;P?o00`V0ol01R03o`036`?o008I0ol00QX3o`0470?o00PR0ol04B/4o`0O
=P?o03Q40ol0E4`3o`1V?@?o07XP0ol<SP03odNS00?oS[L00oo:]`03om^700?ojEP00ood;`04oo/B
00?ooPD00oom2P03ooLQ00?okTL00ooPMP03om2X00?oX[`00omDY`03oa>A00?o07/N0ol0ICh4o`1A
C@?o03100ol06343o`0;9@?o00DN1_l00QX3o`047@?o00XT0ol05Bh3o`0W>`Co04=90ol0FTP3o`1[
=`?o07`K0ol:SP03ocVO00?oKjl00onX_P03ol^d00?oei<00ooQL`03onYF00ColC`00oof9`03ooXG
00?oo@`00oon1@06ool200?ooPD00oom2@03oo`>00?ona<00ooj6004ooTL00?on1l00ooh8003ooPQ
00?on1l00ooi7@03ooXI00?ona<00ool3P03ood900?ooPD00ooo0P04ool300?oo@X00ooi6P03oo@a
00?ok4h00ooQLP03omBK00?o^/800omZ[@03ob:G00?o07lF1oooool1o`00007ooooo000<ooooo`Go
00001Oooool00ol0003oooooooooo`04ooooo`?o00001Oooool3o`0470?o00<K0ol01Ah3o`0;9@?o
01D_0ol09SX3o`0mA`?o05A<0ol0HD83o`1^<`?o07TQ1?l0P`d3o`N<00?o6i@00ol^V`03ocjP00?o
Bj@00omEY`03oe^Y00?oGZX00omMZP03oeVX00?oDJH01?m6X`03ocVO00?o:YX00olIU003o`R=00?o
08D90ol0O1/3o`1c:`?o06Ti0ol0Gd@3o`1EB`?o04E:1?l0<D03o`0P=P?o01@^0ol032H3o`0680?o
00<K0ol00QT3o`026P?o00@L0ol02283o`0A:`Co01lf0ol0>4@3o`1DC0?o06Hm0ol0NR03o`b>00?o
Aj<00on>]`03olZg00?ofhL00ooYF003oo@_00Cona800oon1@03ood:00?omb400oo^A`03on1f00?o
d:P00onR_003oeBW00?o4i400ol0Nah3o`1U?PCo055=0ol0<403o`0H<@?o00/U0ol01Ah6o`026P?o
00@M0ol02R@3o`0E;P?o02Lk1?l0@dT3o`1JB0?o06/g0ol0O1/3o`Z>00?o>Il00om_[`03ojRn00?o
bk@00ooGT`03on5c00?ojUH01?oa?003ooHW00?onQL00oom3003ooh500Koo`800oon1@03ood900?o
o0h00ook4`03ooXH00ConA`00ooh7`03ooPP00?on2400ooh7`03ooTM00?onQT00ook4`03oo`>00?o
o@T00oon1@03ool200Coo`<00oom2P03ooTJ00?om3400oo/CP03on5b00?oe9/00onj`P03ofZ]00?o
8YL00ol0OaH5ooooo`?o00000Oooool001Kooooo00?o0000ooooooooool01?ooool00ol0003ooooo
ooooo`05ooooo`?o00@M0ol01b43o`0?:@?o01dd0ol0<d43o`1?CP?o05i50ol0K3D3o`1j7`?o08L4
0olGT`04oc>M00?oCJD00omV[003ogbb00?oSKL00onJ^P03oj>m00?oZ;h00onY_P03ojNm00?oX;`0
0onE^@04ohRf00?oMk400omT[003odjU00?o=ih00olOUP03o`R=00?o08<>0ol0N283o`1]=0?o0691
0ol0ET/4o`16B`?o03100ol07SD3o`0B;0?o00XT0ol01Ah3o`036P?o008I0ol00a/3o`067`?o00`V
1?l06343o`0]?P?o04e>0ol0H4<3o`1d:P?o08T10olfWP03ogfc00?oa/000ooHT003onMO00?olc@0
1?ok5003ooh500?oo@T00ooh8003oni600?oh7H00oo?Z@03oj2l00?oD:H00ol>S`03o`1i8P?o06=0
1?l0Cdh3o`0[?@?o01D_0ol02B<3o`0470?o008I0ol00aX3o`067`?o00dW0ol06c83o`0a@0Co051>
0ol0HT83o`1d:P?o08H70olUV003oe^Y00?oU[T00oo8_003omFJ00?oh7L00ooYE`03oo4l00CombD0
0ook5003ood900?oo`<00ooo0P03ooh500?oo@/00ook4`03ooTL00?ombD00ood;P03oo8f00ColC`0
0oo_@@03oni500KokTH00oo_@`03oo0n00?olSL00ood;`03ooHV00?onAd00ook4`04ood;00?ooPL0
0oom2`03ooXE00?omRH00oo`@003onIR00?oei800oo6`P03ogNa00?o;9X01oooool1o`00007ooooo
000Booooo`Co00001oooool00ol0003oooooooooo`05ooooo`?o00@M0ol01b43o`0?:@?o01dd0ol0
<d43o`1?CP?o05i50ol0K3D3o`1j7`?o08L40olGT`04oc>M00?oCJD00omV[003ogbb00?oSKL00onJ
^P03oj>m00?oZ;h00onY_P03ojNm00?oX;`00onE^@04ohRf00?oMk400omT[003odjU00?o=ih00olO
UP03o`R=00?o08<>0ol0N283o`1]=0?o06910ol0ET/4o`16B`?o03100ol07SD3o`0B;0?o00XT0ol0
1Ah3o`036P?o008I0ol00a/3o`067`?o00`V1?l06343o`0]?P?o04e>0ol0H4<3o`1d:P?o08T10olf
WP03ogfc00?oa/000ooHT003onMO00?olc@01?ok5003ooh500?oo@T00ooh8003oni600?oh7H00oo?
Z@03oj2l00?oD:H00ol>S`03o`1i8P?o06=01?l0Cdh3o`0[?@?o01D_0ol02B<3o`0470?o008I0ol0
0aX3o`067`?o00dW0ol06c83o`0a@0Co051>0ol0HT83o`1d:P?o08H70olUV003oe^Y00?oU[T00oo8
_003omFJ00?oh7L00ooYE`03oo4l00CombD00ook5003ood900?oo`<00ooo0P03ooh500?oo@/00ook
4`03ooTL00?ombD00ood;P03oo8f00ColC`00oo_@@03oni500KokTH00oo_@`03oo0n00?olSL00ood
;`03ooHV00?onAd00ook4`04ood;00?ooPL00oom2`03ooXE00?omRH00oo`@003onIR00?oei800oo6
`P03ogNa00?o;9X01oooool1o`00007ooooo000Booooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool01Oooool3o`047@?o00LQ0ol03bT3o`0M=0?o03=10ol0Cdh3o`1NA@?o06`e0ol0NQl3
o`2710?o5i<01?lcW@03odfU00?oIZ`00oml/P03ohfg00?oV[X00onS_@03ojRn00?oZKh00onW_@03
oj2l00?oUKT01?n8]P03ogNa00?oI:`00om>Y@03ocNN00?o7iH00ol8S@03o`233P?o07PR0ol0KC@3
o`1R@@?o05I;1?l0AT/3o`0`@0?o01he0ol04R`3o`0:90?o00DN0ol00aX3o`026@?o00<K0ol01Ql3
o`0<9PCo01Pa0ol0;Ch3o`1=CP?o06130ol0M2X3o`290@?o=Yh00omm/`03olK000?of9000ooWG`03
oo<d00Cona@00oon1@03ood900?on2000oo^AP03on1f00?ocjT00onP_003oe2V00?o3Xl00ol0NB83
o`1S@0Co04m>0ol0:cd3o`0E;`?o00TS0ol011`3o`026@?o00<J0ol01Ql3o`0=9`?o01/b0ol0<D04
o`1@CP?o06920ol0M2X3o`261`?o9IP00omKZ@03oiJi00?ob;`00ooEVP03on1g00?ojEL00ooa?004
ooLU00?ona@00oom2@03ool300?oo`800oon1@03ood;00?ona<00ooi7003ooLU00?om2h00oob=P04
oo4l00?okd400oo^A@06oni600?okd<00oo`?P03oo8g00?om2l00oof9P03ooTM00?ona<01?om2`03
ooh700?oo@/00ooj5@03ooHV00?ol4000ooVHP03omNB00?oa/800omg/@03obbJ00Oooooo0Ol00001
ooooo`004_ooool5o`0000Kooooo00?o0000ooooooooool01Oooool3o`0:90?o01<]0ol093T3o`0o
A`?o05Q:0ol0Ic/3o`1g9@?o08H70olJU003ocnQ00?oHZ/01?n3]003oj2l00?o^l800oo7_@03ol^d
00?ocZd00oo?Z@06om2W00?ocjX00oo=[`03olZf00Coakl00onj`P03oj>l00?oRKH00om^[`03oe2V
00?o<id00olFTP03o`2710?o07/M0ol0Kc43o`1S@@Co05I;0ol0@dT3o`0/?P?o01/c0ol03bT3o`08
8P?o00@L0ol00QX3o`026@?o00@L0ol02B<4o`0B;0?o02@i0ol0@4P3o`1JB0?o06hc0ol0P`h3obNI
00?oK:h00onl``03omFI00?oiFL00ooa>@04ooXG00?ooPH00oom2@03ooPO00?okTD00ooPMP03olnZ
00?oWK/00om=Y@03o`Z>00?o07LU0ol0HD84o`1:C0?o02Lk0ol04b`3o`088P?o00<K0ol00QT3o`03
6`?o00LQ0ol042X3o`0Q=`?o03e61?l0EdX3o`1Y>@?o07`K0ol>S`03od:R00?oO[<00onm``03om6T
00?ogH000ooXG@03oo0o00?omRH01?ok5003ood800?oo`<00ooo1003ood900?ona800ooh7@03ooDZ
00?olSL00oo_A003on]@00?oj5/01?oVI003onA[00?ohW001_oQL`03on9a00?ohfd00ooUIP03onQM
00?oje800oo^AP03oo8h00ComRT00ooi7003ooXE00?ona<00ooj5P03ooLR00?olSL00ooWH003omV>
00?ob;d00on0/`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0:90?o
01<]0ol093T3o`0oA`?o05Q:0ol0Ic/3o`1g9@?o08H70olJU003ocnQ00?oHZ/01?n3]003oj2l00?o
^l800oo7_@03ol^d00?ocZd00oo?Z@06om2W00?ocjX00oo=[`03olZf00Coakl00onj`P03oj>l00?o
RKH00om^[`03oe2V00?o<id00olFTP03o`2710?o07/M0ol0Kc43o`1S@@Co05I;0ol0@dT3o`0/?P?o
01/c0ol03bT3o`088P?o00@L0ol00QX3o`026@?o00@L0ol02B<4o`0B;0?o02@i0ol0@4P3o`1JB0?o
06hc0ol0P`h3obNI00?oK:h00onl``03omFI00?oiFL00ooa>@04ooXG00?ooPH00oom2@03ooPO00?o
kTD00ooPMP03olnZ00?oWK/00om=Y@03o`Z>00?o07LU0ol0HD84o`1:C0?o02Lk0ol04b`3o`088P?o
00<K0ol00QT3o`036`?o00LQ0ol042X3o`0Q=`?o03e61?l0EdX3o`1Y>@?o07`K0ol>S`03od:R00?o
O[<00onm``03om6T00?ogH000ooXG@03oo0o00?omRH01?ok5003ood800?oo`<00ooo1003ood900?o
na800ooh7@03ooDZ00?olSL00oo_A003on]@00?oj5/01?oVI003onA[00?ohW001_oQL`03on9a00?o
hfd00ooUIP03onQM00?oje800oo^AP03oo8h00ComRT00ooi7003ooXE00?ona<00ooj5P03ooLR00?o
lSL00ooWH003omV>00?ob;d00on0/`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`0:90?o01<]0ol093T3o`0oA`?o05Q:0ol0Ic/3o`1g9@?o08H70olJU003ocnQ00?oHZ/0
1?n3]003oj2l00?o^l800oo7_@03ol^d00?ocZd00oo?Z@06om2W00?ocjX00oo=[`03olZf00Coakl0
0onj`P03oj>l00?oRKH00om^[`03oe2V00?o<id00olFTP03o`2710?o07/M0ol0Kc43o`1S@@Co05I;
0ol0@dT3o`0/?P?o01/c0ol03bT3o`088P?o00@L0ol00QX3o`026@?o00@L0ol02B<4o`0B;0?o02@i
0ol0@4P3o`1JB0?o06hc0ol0P`h3obNI00?oK:h00onl``03omFI00?oiFL00ooa>@04ooXG00?ooPH0
0oom2@03ooPO00?okTD00ooPMP03olnZ00?oWK/00om=Y@03o`Z>00?o07LU0ol0HD84o`1:C0?o02Lk
0ol04b`3o`088P?o00<K0ol00QT3o`036`?o00LQ0ol042X3o`0Q=`?o03e61?l0EdX3o`1Y>@?o07`K
0ol>S`03od:R00?oO[<00onm``03om6T00?ogH000ooXG@03oo0o00?omRH01?ok5003ood800?oo`<0
0ooo1003ood900?ona800ooh7@03ooDZ00?olSL00oo_A003on]@00?oj5/01?oVI003onA[00?ohW00
1_oQL`03on9a00?ohfd00ooUIP03onQM00?oje800oo^AP03oo8h00ComRT00ooi7003ooXE00?ona<0
0ooj5P03ooLR00?olSL00ooWH003omV>00?ob;d00on0/`07ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01Oooool3o`0G<0?o02/m0ol0Bdd3o`1NA@?o070`0ol0P1<3oa2@00?o>Il00omU
[003oi:h00?o^L801?o9^003om2W00?oeIT00ooIS003omb300?ogWd00ooONP03on1i00?oggX00ooN
OP03omb400?ofHd01?oEV003om6T00?oc;<00oo5``03ojRn00?oQkD00omT[003od6Q00?o7iH00ol0
R@03o`1m6`?o06la1?l0HD83o`1DC0?o03i70ol09cX3o`0F;`?o00`V0ol01Ql3o`036`?o008I0ol0
0a/3o`0680Co00hX0ol073@3o`0e@`?o05A<0ol0J3/3o`1m6@?o6I<00omLZP03ojbo00?odZ400ooS
KP03oo0o00ConAX00oon1`03ood800?on1h00oo_A003on5e00?ocjX00onJ^P03odVT00?o1X`00ol0
MBP3o`1NA@Co04A:0ol08cP3o`0@:P?o00LP0ol00aX3o`026@?o00@L0ol02B<3o`0E;P?o02Tl0ol0
BD`4o`1NA@?o074^0ol0Q@T3obJH00?oHJ/00onR_003olbc00?ofH`00ooUI`03oni500?omBX00ooj
5@04ood900?oo`<00oon1@03ood<00?onQP00oof9P03oo8g00?okTP00ooYF003onAX00?oh7L00ooL
P`04omV>00?oeYH00ooDW003om:P00?odZ800ooBX@03om>N00?oeIP00ooHT003omb500?oh7P00ooT
J004onYG00?okTD00oob=P03ooHY00?on2000ooi7@03ooLS00?ol3h00ooVHP03omV=00?ob;/01ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol05c03o`0[?@?o04]=0ol0GTD3
o`1`<0?o080C0ol@T003ocVO00?oIJ`00onB^003okW200CobKP00oo@Y`03omFI00?ofH`00ooLP`03
omim00?oggX00ooPN@03ommj00?ogWh00ooLQ003omV=00CoeIP00ooAY003olbc00?oaL<00onX_P03
ohNe00?oI:`00om1X@03oanF00?o08T00ol0OA/3o`1_<@Co06520ol0E4`3o`0nA`?o02Lj0ol05Rl3
o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol01R04o`0>:0?o01`d0ol0=D<3o`1DC0?o06Pk0ol0OAT3
oaVC00?oG:X00on/_`03om:Q00?ohfh00oo`?`04ooTJ00?ooPL00oom2003ooPN00?okd@00ooQM@03
olnZ00?oV[X00om9Y003o`J<00?o07DX0ol0GTD4o`14BP?o02<h0ol042X3o`0780?o00<J0ol00QT3
o`0470?o00TS0ol05Bh3o`0Y?0?o04U<1?l0GTD3o`1a;P?o08D90olVV003of6[00?oX[`00oo</`03
omV<00?oiFL00oo^A@03ooDZ00?onQD01?om2@03ool300?ooPD00oom3003ooXH00?omRH00oob=`03
oni800?ojEP00ooTJ003on1g00?og8<01?oISP03omJF00?oe9`00ooBX003om:R00?odZ400ooCWP03
omFH00?of9000ooLQ@03on1h00?oi6P01?oZE`03oni500?olSH00oof:@03ooPP00?onAd00oog8`03
oo0n00?oiV800ooIS@03olRk00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05oooo
o`?o01L`0ol0:cd3o`1;C@?o05i50ol0L303o`204`?o49000oliW`03ofF/00?oT[P00oni`P04olVh
00?od:L00ooEV@03omV<00?og8<00ooNO@03ommj00?oh7T00ooONP03omin00?og8@00ooIS@04omFH
00?odJ@00oo</`03olG300?oZ;h00on7]@03ofB/00?o@J400olOUP03o`2900?o07dK0ol0Kc44o`1Q
@P?o05A<0ol0?TL3o`0W>P?o01H_0ol032H3o`067`?o00<K0ol00QT3o`036`?o00HP1?l03RP3o`0L
=0?o03E30ol0E4`3o`1X>`?o07dI0olIT`03oebZ00?o[;l00ooBX@03on=^00?ol3l01?oi6P03ooh7
00?oo@P00ooh7P03onm400?ohGD00oo?ZP03oiZj00?oBJ@00ol6S003o`1e:0?o05i51?l0A4X3o`0S
>0?o010Z0ol01b03o`036P?o008I0ol011`3o`098`?o01D^0ol0:C`3o`19C0Co05i50ol0LBh3o`25
2@?o9YP00omQZ`03oj:l00?oc;<00ooIS003onEW00?okTD00ooe:P03ooXE00Coo@T00ooo0`03ooh5
00?oo@`00ooj6003ooHV00?olSL00oo^B003onUH00?oi6P00ooPM`03omb300CofHh00ooFUP03omBL
00?odZ000ooBXP03om:Q00?odih00ooEV003omR@00?og8D00ooPN003onAX00CojUL00oo^A@03oo8f
00?omRT00ooh8003ooTM00?omb<00oo`?P03onIR00?ofHd00oo8^`07ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`0a@0?o055=0ol0Hd03o`1f9`?o08P20olXV@03oeNX00?o
R;H00onj`P03olf`00?oeIT01?oKQP03on5e00?oiFL00ooXG003onYD00?oje001_o/C@03on]@00?o
jU@00ooXF`03onIT00CohW000ooNOP03omV>00?odil00oo</`03ol3300?oVKX00oma[`03odVT00?o
8iL00ol0RP03o`1l70Co06dd0ol0GT@3o`1@CP?o03E30ol083H3o`0A:`?o00TS0ol011d3o`026@?o
008J0ol01Ad4o`0:9@?o01H_0ol0;3h3o`1?CP?o06910ol0N2<3o`b?00?oCZD00onM^`03olnY00?o
hGD00oo_A004ooPN00?oo@P00oon2003ooTL00?okd<00ooQM@03oln[00?oV;X00om5X`03o`>;00?o
07<[0ol0G4H4o`10B0?o020f0ol03RP3o`067`?o008J0ol00QT3o`057P?o00`V0ol06C83o`0b@@?o
059=1?l0ICh3o`1i8@?o2Hd00om0X@03oh2d00?oaL@00ooDW003on5e00?oje000ood<@03ooTI00?o
o@X01?on1003ooh500?oo0h00ooi6`03ooD]00?ol4000ooZE@03onAY00?ogWd00ooISP03om>N00?o
cZ/01?o:]`03olNo00?o`/@00oni`P06okG100?o^<800oo0a003olK000?ob[L00oo>Z`03omBM00Co
fX/00ooPN003onIU00?oje400oo`?`03oo@`00?omRL00ooc<`03one800?oi6P00ooHT007ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0a@0?o055=0ol0Hd03o`1f9`?o08P2
0olXV@03oeNX00?oR;H00onj`P03olf`00?oeIT01?oKQP03on5e00?oiFL00ooXG003onYD00?oje00
1_o/C@03on]@00?ojU@00ooXF`03onIT00CohW000ooNOP03omV>00?odil00oo</`03ol3300?oVKX0
0oma[`03odVT00?o8iL00ol0RP03o`1l70Co06dd0ol0GT@3o`1@CP?o03E30ol083H3o`0A:`?o00TS
0ol011d3o`026@?o008J0ol01Ad4o`0:9@?o01H_0ol0;3h3o`1?CP?o06910ol0N2<3o`b?00?oCZD0
0onM^`03olnY00?ohGD00oo_A004ooPN00?oo@P00oon2003ooTL00?okd<00ooQM@03oln[00?oV;X0
0om5X`03o`>;00?o07<[0ol0G4H4o`10B0?o020f0ol03RP3o`067`?o008J0ol00QT3o`057P?o00`V
0ol06C83o`0b@@?o059=1?l0ICh3o`1i8@?o2Hd00om0X@03oh2d00?oaL@00ooDW003on5e00?oje00
0ood<@03ooTI00?oo@X01?on1003ooh500?oo0h00ooi6`03ooD]00?ol4000ooZE@03onAY00?ogWd0
0ooISP03om>N00?ocZ/01?o:]`03olNo00?o`/@00oni`P06okG100?o^<800oo0a003olK000?ob[L0
0oo>Z`03omBM00CofX/00ooPN003onIU00?oje400oo`?`03oo@`00?omRL00ooc<`03one800?oi6P0
0ooHT007ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o03500ol0DDd3o`1S@0?o07HW0ol0
R083obRI00?oEjP00on8]P03ok[200?ocK000ooEV@04om^600?ohGD00ooUI`03onQL00?ojU@00oo[
D006ona=00?oje000ooZE003onQK00?oiV@01?oRL003omin00?ofHh00ooCW`03olbc00?o`<<00onI
^P03og6_00?oBJ@00olSU`03o`2:00?o07`L1?l0KC@3o`1NA0?o051>0ol0=D<3o`0P=P?o014[0ol0
2B<3o`047@?o008I0ol00QX3o`057@Co00XU0ol05Rl3o`0/?P?o04m>0ol0HT43o`1h8`?o38l00om>
Y@03oifk00?ocjT00ooQM@03onm400Con1h00oom2003ooh800?onA`00oo_@`03on5e00?ocj/00onH
^P03odFS00?o0h/00ol0Lb/3o`1LAPCo04180ol083H3o`0>:0?o00HO0ol00QX3o`026@?o00DN0ol0
32H3o`0I<P?o03910ol0DTd4o`1U?P?o07TQ0ol9S@03od2Q00?oP;@00oo5a003omBL00?ohGD00oo[
D003oo@a00?onAT00oom2P04ooh400?ooPD00ool3P03ooTK00?omBd00oo`@003onYE00?oi6T00ooN
O@03omV>00?odih00oo>Z`04olZg00?oakl00oo2a003okW200Ko]L400onh`P03ol3400?oa/000oo:
]`03olj[00?oe9d01?oJR`03on1h00?oiVD00oo[D@03oo0o00?om3000oof9`03oo<c00?okDP00ooT
J003omR@00Kooooo0_l00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o05A<0ol0IS`3
o`1j80?o28d00olmX003og6_00?oYkd00oo:]`03omFJ00?ogWh00ooUJ004onYF00?okTP00ooa?003
oo<c00?omBd00ooe:P03ooDY00?omBX00ooe;003oo@a00?olSL00oo`@004one;00?ojET00ooTJ@03
omml00?of9400oo@Y`03olNo00?oXkd00omg/@03od^T00?o8IL00ol0R0<4o`1i8P?o06Ti0ol0FTP3
o`17B`?o02`m0ol06C43o`0=9`?o00HO0ol00aX3o`026@?o00<K1?l02283o`0B:`?o02@i0ol0A4X3
o`1MA@?o07<[0ol0RP03od2Q00?oSkL00oo</@03omil00?okDT01?oh8@03ood:00?ooPP00ooi6`03
onm200?ohGD00oo>Z`03oiFi00?o@Z800ol0R@03o`1a;P?o05Y81?l0>dD3o`0M=0?o00`W0ol01Ah3
o`026@?o00<J0ol01Ql3o`0>:@?o01lf0ol0?4H3o`1HB@Co06`e0ol0PA83oajE00?oG:T00onQ_003
olf`00?ofhL00ooWGP03oo4k00?on2000ool3P07ooh500?oo0h00ooi7003oo@`00?okTH00ooWGP03
on5e00?ofH`00ooBX@03olbc00?oaL800on``004oi^j00?oR[H00omm/`03ogB`00?oKZl00om/[P03
ofj_00?oM;000omm/`03oh^f00?oWK/00ond`@04olNn00?ocZ`00ooEV@03omb300?ohf`00ooZEP03
onm200?ol3l00oo^A@03onYE00?ohW401oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0ol0E4`3o`1V?0?o07XP0ol8S@03ocfP00?oLJl00onW_@03olZg00?oeIX00ooNOP03onEX
00CojUH00oo^B003oo4l00?olc<00ooe;@03ooDZ00?omBT00ooe:P03ooD/00?om3400oob=`03oo10
00CokD/00ooYF@03onAY00?ogg`00ooHT@03om2W00?oakl00onS_@03ogNa00?oBj@00olQU`03o`28
0`Co07TR0ol0JCT3o`1JB0?o04M;0ol0;3d3o`0I<@?o00dW0ol01Ql3o`036P?o008I0ol00a/4o`08
8P?o018[0ol093T3o`14BP?o05e50ol0Lb/3o`2:00?o@:400on?]`03olba00?ogW`00oo]B@04ooPQ
00?oo@X00oon2003ooTK00?okd800ooQM@03olj[00?oUKT00om2XP03o`2900?o074^0ol0FTP4o`0k
A@?o01dd0ol032L3o`057P?o008I0ol00aX3o`067`?o00hY0ol07cH3o`0lAP?o05Q91?l0K3D3o`21
4P?o7YD00omLZ@03oj6l00?ocK000ooKQ`03onMN00?olC/00ooh8003oo`>00OooPD00ool3P03ooTL
00?om3000oo^AP03onMN00?ohGD00ooIS003om:Q00?oc;<00oo5`P03ok3000CoVkX00on:]P03ogfc
00?oM;000om^[`03ofb^00?oKZl00omd/003ogfc00?oRkH00onM^`03okC100Coakh00oo>[003omFI
00?og8<00ooSK003onYF00?okd800oo`?`03oni500?ojUD00ooRL@07ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`1DC0?o06Hl0ol0NR03o`R=00?o?J000oma[`03ojNm00?o
b[L00ooEVP03omin00?oiFP01?oZEP03oni800?olC`00ooc<`03ooD]00?omBX00ooe:@03ooDZ00?o
mB`00ood<@03oo8g00?ol4001?o]B`03onUI00?oi6T00ooOO003omRA00?od:L00oo7_`03oj>m00?o
Mk400om;Y003ob6G00?o08P31?l0NB83o`1Y>@?o05Y80ol0Ad/3o`0/?@?o01Ta0ol03BL3o`067`?o
00<J0ol00QT3o`036`Co00PR0ol04R/3o`0T>@?o04A:0ol0GDD3o`1c:`?o08X00om0X@03ohng00?o
c;400ooNO003one900Con2400oom2P03ooh800?onA/00oo_@P03on5e00?ocZ/00onE^@03od:R00?o
08T00ol0LBh3o`1JB0Co03]50ol07C@3o`0<9`?o00DN0ol00QT3o`036P?o00HO0ol03RT3o`0O=P?o
03a60ol0F4T4o`1/=@?o084B0olNU@03oebY00?oXK`00oo=/003om^700?oieh00ooa>`03ooPP00?o
o0h01oon1@03oo`>00?onA`00ood<003oni600?oieh00ooQM@03omV<00?odZ400oo</`03olG200?o
/<001?nK^P03ohZf00?oOK<00omd/003ofj_00?oK:h00om^[`03ogB`00?oOK<00on;]P03oifk00?o
]<401?o7_P03olj/00?oeIT00ooLP`03on=/00?ojUH00oo_@P03oo0o00?okTD00ooZE@03on9a00Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o06Tj0ol0O1/3oa2@00?oAj<0
0on7]@03ol3300?od:P00ooJR@03onA/00?oje000oo`?P04oo@`00?ombD00ooi7003ooXF00?ona80
1_ol4003oo/A00?ona<00ooj5`03ooTL00?omb<01?oe;@03oo4i00?okDP00ooYFP03on9_00?ofhL0
0ooCX003olVj00?oY[d00omf/@03odJS00?o6Y@01?l0Q0/3o`1d:@?o06@o0ol0E4`3o`0jA@?o024g
0ol04R`3o`088P?o00@L0ol00QT3o`036PCo00HO0ol03RP3o`0N=@?o03Y50ol0F4T3o`1^<`?o08D9
0olcW@03oh6d00?obKT00ooLP`03ona?00Comb@00oom2`03ooh700?onAX00oo_@@03on5e00?ocZ`0
0onC^003ocnQ00?o08P30ol0Kc43o`1HB@Co03M30ol06S83o`0;9@?o00@M0ol00QT3o`036`?o00LQ
0ol04B/3o`0U>P?o04I;0ol0GTD4o`1c:`?o08P20oleW@03ogRa00?o`L@00ooDW003on9a00?okDX0
0ooe:P03oo/C00?ooPL00oon1@04ood<00?onA/00ood<003one800?oiV<00ooNO@03omJF00?ocZh0
0oo6`P03ojRn00?oRkL00omc/004oejZ00?oCZD00om1X@03ocNN00?o<I`00ol^V`03obnK00?o<Y`0
0oliW`03od>R00?oDZH00omU[004ogfc00?oV[X00onj`P03olZf00?odil00ooKQP03on=/00?oj5h0
0ooZEP03onUG00?oiV@01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0
JCX3o`1l6`?o49000om7X`03ohNe00?o`<<00oo@Z003omZ900?oi6`00oo[D003oo0n00Com3000oog
9@03ooTL00?onQH00ook4P06oo`@00?ona400ook4`03ooXG00?onA`00oog8`04ooD]00?olCT00oo]
B003onUJ00?ohVl00ooKQ`03om>P00?obKX00onV_@03ogJa00?oAZ<00olJU004o`242`?o07@Y0ol0
I3l3o`1DC0?o03Y50ol08CL3o`0B;0?o00PR0ol011`3o`026@?o00<J1?l01Ql3o`0>:0?o01he0ol0
>TD3o`1HB@?o06hc0ol0Q@T3oc>M00?oPK@00oo9^@03omb300?ok4l01?og9003ood;00?ooPL00ooi
6P03onm100?ohGD00oo>[003oi>h00?o?j400ol0R0<3o`1_<@?o05Q91?l0=d<3o`0J<P?o00/U0ol0
11d3o`026@?o00<K0ol01b43o`0A:`?o02Dj0ol0AT/3o`1NA@Co07<[0ol0R083ocFM00?oN;400oo1
a003omBL00?ohW400oo]BP03ooDZ00?ona<00oon1`03ooh500Coo@`00ooi6`03oo@`00?okDP00ooV
H`03omim00?oeYH00oo>[P03olK200?oZ;h00on;]`03og>`00CoGZX00om>Y@03od6Q00?o=ih00ola
W003objK00?o;i/00olbW003ocVO00?o@j800omBYP03ofF/00CoOK<00onJ^P03ok[200?ob[H00ooC
W`03om^600?ohf`00ooXGP03onYF00?ojEL00ooVI007ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`1Y>P?o07`K0ol@T003odNS00?oQkD00oo0``03om2X00?ofXT00ooTK003
on]@00?ol3h01?od<003ooLU00?onA`00ooj5P03oo/B00Koo1000ook4@03oo/C00?onQL00ooi7003
ooLS00ComBd00ooa>@03one800?ojEX00ooRK`03om^700?odj000oo9^P03ojJm00?oM[400om6X`03
oaZD00Co08@;0ol0M2T3o`1T?`?o05A<0ol0>TD3o`0Q=`?o018/0ol02283o`0470?o008I0ol00aX4
o`067`?o00hX0ol07SD3o`0jA@?o05Q90ol0KS<3o`252@?o<id00on1]003olVi00?og8<00oo/C`04
ooLT00?oo@/00oon1`03ooTJ00?okd400ooQM@03olj/00?oTkP00oloX@03o`280`?o06la0ol0F4T4
o`0g@`?o01Xb0ol02bD3o`047@?o008I0ol00a/3o`078@?o014[0ol09CX3o`16B`?o05i51?l0Lb/3
o`280P?o=Id00omh/@03ol7400?oe9`00ooRL@03one:00?omBX00ook4`03ooh700?ooPD01?om3003
ooTK00?om3000oo]B003onIS00?ogWd00ooFUP03olj^00?oa/800onX_P03oh^g00?oLk001?mNZP03
odjU00?o@J400olgWP03oc6L00?o;Y/00ol_V`03oc:L00?o>Il00om3XP03oe:V00?oIJ`01?mm/`03
oiZj00?o^/800oo:]P03om>O00?ofhH00ooSK003onQN00?ojUH00ooYE`03onIT00Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o07dI0olDT@03odfU00?oS[L00oo8_003omBL
00?ogWd00ooWG`03oni500?om2h00ooh8004ooXG00?oo1000oom2`03ooh600cooP@00oon1@03ooh7
00?oo@X00ool3`04ooXF00?on2000ooe;003oo4m00?oje000ooUI`03omf100?odid00oo9^P03oj:l
00?oKZl00ollX004o`n@00?o07lF0ol0KS<3o`1MAP?o04]=0ol0;3h3o`0H<@?o00`V0ol01Ah3o`02
6P?o008I1?l011d3o`0;9@?o01Pa0ol0<T43o`1DC0?o06Ti0ol0PA<3obNI00?oM;000oo6`003omZ:
00?ojU@01?of9`03ood<00?ooPL00ooi6P03oo1000?ohG@00oo>[@03oi6h00?o?:000ol0QPH3o`1]
<`?o05I;1?l0<d43o`0H<0?o00XT0ol011`3o`026@?o00<K0ol02B<3o`0E;P?o02`n0ol0D4h3o`1T
?`Co07XP0ol?T003odbU00?oU;T00oo;]@03om^800?oj5h00oob>003ooTL00?oo@/00oon1@03ood9
00ConQL00ooe;@03oni700?oiV<00ooMP003omBL00?ob[H00onf`@03oi6h00?oLJl00omEY`03ocfP
00Co:YX00olKU003o`n@00?o1X`00ol0RP03o`280P?o08P30ol0R@43o`:;00?o2Hh00olDTP03ob>G
00Co=Yh00om=Y@03ofV]00?oR[H00on``003olZh00?oe9d00ooKR003on1g00?oi6/00ooTJ@07oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1m6@?o59400om=Y@03ohjg00?o
b;`00ooDW003omim00?oiel00oo^A@03oo@^00?on2001?oj5`03oo`@00?oo@/00oon1P0<ooh400?o
oPD00oon1`03ood:00?oo0l01?oj5P03ooPP00?omB`00ooa?@03on]@00?oiFL00ooMP@03om>M00?o
bKX00onR_003ofj_00?o?:001?l?T003o`1o5P?o06hc0ol0GDH3o`1;C@?o02`n0ol06343o`0<9P?o
00DN0ol00QX3o`026@Co00@M0ol02bD3o`0H<@?o03910ol0E4`3o`1Y>@?o084C0olWV@03ogB`00?o
a/000ooJRP03onYD00ComRL00oom3003ooh700?onAX00oo`@003on5d00?ocZd00onA^003ocbP00?o
08H60ol0KC<3o`1FB`Co03=10ol06303o`0:90?o00@L0ol00QT3o`036`?o00TS0ol05Bh3o`0/?P?o
051>0ol0I3l4o`1j80?o3i000om<Y@03oiBi00?obkD00ooKR003onQN00?olSP00ooi7003ood;00?o
oPD00oom2@04ooXG00?omBd00oo^A`03onIS00?ogH000ooDW003olZf00?o]/400onA^003og6_00?o
EJL00olmX004obZJ00?o6i@00ol?T003o`J<00?o08X00ol0R083o`280`?o08T10ol2R`03o`V>00?o
59800olSU`04ocJN00?oCJD00omY[@03ohZf00?o/<000oo:^003omBM00?ofhP00ooPM`03onA[00?o
i6T01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0OAT3oaBA00?oCJD0
0on>]`03olRl00?oe9`00ooNO@03onMO00?okTD00ood;P03ooPP00ConQL00ool4003ood;00?ooPH0
3?on1003ooh500?ooPL00oom2P03oo`?00ConQH00ooh8003ooD/00?olCd00oo[D003onEW00?ogH40
0ooCW@03olVj00?oX[`00om^[`03ocbP00Co3i000ol0OaH3o`1^<`?o05e60ol0Bdd3o`0/?P?o01Pa
0ol032H3o`057P?o008J0ol00QT4o`047@?o00/U0ol06343o`0b@@?o05A<0ol0JCT3o`214`?o9iT0
0omd/003olK000?ofXX00ooZE004ooHW00?oo@`00oon1`03ooTJ00?ol4000ooQM003olj]00?oTKP0
0ollX003o`261P?o06dc0ol0ET/4o`0c@@?o01P`0ol02R@3o`0470?o008I0ol00a/3o`098`?o01D^
0ol0;3h3o`1@CP?o06@o1?l0NR03o`n@00?oC:D00onD^@03ol^e00?ofhP00ooXGP03oo8h00?onA`0
0oom2`03ooh500?oo@T01?oj5`03ooD]00?okTL00ooVH`03omf000?oe9`00oo:]P03okK100?oTKP0
0oma[`03oeFW00?o?J001?lZVP03oa^D00?o3i000ol6S003o`2:00?o08P20ol0R0<3o`290@?o0X/0
0ol9SP03oaBB00?o8iL01?lfWP03odfU00?oJJd00on:]P03ok3000?ob[P00ooDW@03om^800?oh7L0
0ooTJ`03onAY00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o4i400om<
Y@03ohjg00?ob;`00ooGU003on5e00?ojET00oo`@003ooD[00?onAX00ook4@04oo`=00?oo@X00oom
2003ooh600WooPD00ooo1003ool300?oo`800ooo0`03ooh500Coo@P00ool3P03ooXH00?ombD00oob
=P03one;00?oiV@00ooMP@03om>O00?oakh00onG^P03of2[00Co;9X00ol0R@03o`1h8`?o06Hm0ol0
ED/3o`0iA@?o020f0ol042X3o`078@?o00<K0ol00QT4o`0370?o00PR0ol052d3o`0Z?@?o04m>0ol0
ICh3o`1l6`?o79D00omX[@03ol7400?of9000ooYF@04ooD[00?oo0h00oon1`03ooXI00?ol3l00ooQ
M003olj]00?oS[L00oliW`03o`252@?o06`f0ol0E4`4o`0`@0?o01D_0ol02283o`036`?o008I0ol0
11`3o`0;9@?o01Ta0ol0=483o`1EB`?o06Xh1?l0P1<3ob6G00?oIJ`00ona`003om:S00?ohGD00oo]
B`03ooHY00?ona400oon1P03ooh700?ona801?of9`03onm100?oiel00ooNO`03omBM00?obKT00on[
_`03oh:d00?oGZX00om0X@03obJH00?o4I001?l0RP03o`2430?o07lF0ol0Nah3o`1h8`?o07HV0ol0
MBL3o`1f9`?o07LT0ol0NR03o`1m6@?o088?1?l0R083o`n@00?o9IP00om0X@03of6[00?oRKH00ong
`@03olZf00?odZ000ooIS@03omio00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05
ooooo`?o4i400om<Y@03ohjg00?ob;`00ooGU003on5e00?ojET00oo`@003ooD[00?onAX00ook4@04
oo`=00?oo@X00oom2003ooh600WooPD00ooo1003ool300?oo`800ooo0`03ooh500Coo@P00ool3P03
ooXH00?ombD00oob=P03one;00?oiV@00ooMP@03om>O00?oakh00onG^P03of2[00Co;9X00ol0R@03
o`1h8`?o06Hm0ol0ED/3o`0iA@?o020f0ol042X3o`078@?o00<K0ol00QT4o`0370?o00PR0ol052d3
o`0Z?@?o04m>0ol0ICh3o`1l6`?o79D00omX[@03ol7400?of9000ooYF@04ooD[00?oo0h00oon1`03
ooXI00?ol3l00ooQM003olj]00?oS[L00oliW`03o`252@?o06`f0ol0E4`4o`0`@0?o01D_0ol02283
o`036`?o008I0ol011`3o`0;9@?o01Ta0ol0=483o`1EB`?o06Xh1?l0P1<3ob6G00?oIJ`00ona`003
om:S00?ohGD00oo]B`03ooHY00?ona400oon1P03ooh700?ona801?of9`03onm100?oiel00ooNO`03
omBM00?obKT00on[_`03oh:d00?oGZX00om0X@03obJH00?o4I001?l0RP03o`2430?o07lF0ol0Nah3
o`1h8`?o07HV0ol0MBL3o`1f9`?o07LT0ol0NR03o`1m6@?o088?1?l0R083o`n@00?o9IP00om0X@03
of6[00?oRKH00ong`@03olZf00?odZ000ooIS@03omio00Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`05ooooo`?o4i400om<Y@03ohjg00?ob;`00ooGU003on5e00?ojET00oo`@003ooD[
00?onAX00ook4@04oo`=00?oo@X00oom2003ooh600WooPD00ooo1003ool300?oo`800ooo0`03ooh5
00Coo@P00ool3P03ooXH00?ombD00oob=P03one;00?oiV@00ooMP@03om>O00?oakh00onG^P03of2[
00Co;9X00ol0R@03o`1h8`?o06Hm0ol0ED/3o`0iA@?o020f0ol042X3o`078@?o00<K0ol00QT4o`03
70?o00PR0ol052d3o`0Z?@?o04m>0ol0ICh3o`1l6`?o79D00omX[@03ol7400?of9000ooYF@04ooD[
00?oo0h00oon1`03ooXI00?ol3l00ooQM003olj]00?oS[L00oliW`03o`252@?o06`f0ol0E4`4o`0`
@0?o01D_0ol02283o`036`?o008I0ol011`3o`0;9@?o01Ta0ol0=483o`1EB`?o06Xh1?l0P1<3ob6G
00?oIJ`00ona`003om:S00?ohGD00oo]B`03ooHY00?ona400oon1P03ooh700?ona801?of9`03onm1
00?oiel00ooNO`03omBM00?obKT00on[_`03oh:d00?oGZX00om0X@03obJH00?o4I001?l0RP03o`24
30?o07lF0ol0Nah3o`1h8`?o07HV0ol0MBL3o`1f9`?o07LT0ol0NR03o`1m6@?o088?1?l0R083o`n@
00?o9IP00om0X@03of6[00?oRKH00ong`@03olZf00?odZ000ooIS@03omio00Oooooo0Ol00001oooo
o`007Oooool2o`0000Kooooo0om7X`03ohRf00?oa/000ooEVP03on9b00?ojEL00oo_@@03oo@_00?o
n2400ooj5@0Coo/C00?ona800ook4@03oo`?00?oo@`00oom2003ooh600?oo`@01?oo0`03ooh500?o
o@X00ook4`03ooPP00?olc<00oo]BP03onEU00?og8@00ooAY@03ol7400?oQ[D01?m=Y@03oaVD00?o
084A0ol0Kc43o`1MAP?o04Q<0ol0:C`3o`0E;P?o00XT0ol011`3o`026@Co00<J0ol01b03o`0@:P?o
02@i0ol0Ad/3o`1P@`?o07PS0olBT@03oebY00?o]L400ooFUP03onMN00Com2h00ool3`03ooh700?o
nQP00oo`?`03on5d00?ocZh00on<]`03ocJN00?o08@<0ol0JSP3o`1BC@Co02`n0ol04bd3o`078@?o
00<J0ol00QT3o`057P?o00dW0ol07SD3o`0lAP?o05Y80ol0L304o`271@?o=Id00omm/`03olK000?o
f9400ooVI003oo4k00?onAd00oom2P03ooh500?oo0d00ooh7`04oo8i00?ojEP00ooON@03omFJ00?o
bKT00onX_P03og^b00?oE:L00olbW003oaJB00?o08T00ol0PA84o`1j7`?o07@Z0ol0KS83o`1Z>0?o
06Ll0ol0ICh6o`1T?`?o06Dn0ol0Ic`3o`1Z>0?o06hb1?l0M2X3o`1k7P?o08<?0ol5S003oanF00?o
@:400omX[@03ohnh00?o^L800oo;]003om>O00Kooooo0_l00001ooooo`007Oooool00ol0003ooooo
ooooo`05ooooo`?oAj<00on8]P03olK000?oeIX00ooRLP03onUG00?okd400ood;`03ooPQ00?onQD0
4ook4`03oo/B00?ona400ool3`03ood<00?oo@P00oon1P03ool400Coo`<00oon1@03ood:00?ona<0
0ooh8003oo<c00?okDX00ooUI@03omb400?odJD00oo1a003ohJe00CoCJD00olIU003o`214@?o06la
0ol0GDH3o`18C0?o02Tl0ol05Bh3o`0:90?o00@L0ol00QT4o`036P?o00LP0ol042X3o`0T>@?o04M;
0ol0H4<3o`1h8`?o4Y400omLZ@03okG100?oeYH00ooWGP04oo@^00?oo0l00oon1`03ooXH00?ol3l0
0ooQM003olj^00?oS;L00olfWP03o`2430?o06Xh0ol0DTd4o`0/?P?o01<]0ol01b43o`036P?o008I
0ol01Ah3o`0=9`?o01he0ol0?4H3o`1JB0?o070`1?l0Q`D3ocFM00?oOK<00oo6`003omRA00?oiV@0
0ooa>`03ooTM00?oo@X00oon1@03oo`=00?on1l01?ob>@03onUH00?oggT00ooEVP03olVi00?oZ;h0
0omk/P03oeBW00?o<Y`00olFTP03o`2900?o084B1?l0NQl3o`1d:P?o06hb0ol0JSP3o`1W?0?o06Dn
1_l0I3l3o`1U?P?o06Ll0ol0JSP3o`1^<PCo07@Z0ol0Nah3o`233`?o1H`00olOUP03od2Q00?oJ:d0
0on?^003okW200?obk@00ooCW`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3odNS00?oR;H00oo6`003omFJ00?ohW800ooYE`03onm100?om2l00ooh8@03ooXE01?ona<00ook
4P03oo/A00?oo0l00oom3003ood800?ooPH00ooo1004ool300?ooPD00oom2P03oo/C00?on2000ooc
<`03one:00?oiFD00ooLQ003om6U00?o`L@00on6]@04odfU00?o6I@00ol0PA43o`1_<@?o05e60ol0
B4`3o`0Y?0?o01D^0ol02R@3o`0470?o008I1?l00aX3o`0780?o010Z0ol093T3o`17B`?o06130ol0
N2<3oa:A00?oG:T00one`@03omJF00?oieh01?od;P03oo`?00?ooPL00ooj6003oo0o00?ohG@00oo>
[P03ohbg00?o=Yh00ol0Q0`3o`1Z>0?o059=1?l0;3h3o`0C;@?o00LQ0ol00aX3o`026@?o00DN0ol0
3BL3o`0N=@?o03a60ol0FTP3o`1`<0Co08L50oleW@03ogfc00?oa/000ooHT@03onIT00?olC/00ooi
7@03ood:00?ooPD00ool3@03ooPO00ColST00ooYF003ommi00?oeIX00oo9^@03ojRn00?oNk800omD
Y`03oc:L00?o5Y800ol0R@03o`214PCo07XO0ol0M2X3o`1^<P?o06Xh0ol0Ic`3o`1U?PKo06@o0ol0
ICh3o`1W?0?o06Xh0ol0KS84o`1d:P?o07/N0ol0P`l3o`F<00?o7iH00om0X@03ofR]00?oSkP00oni
`P03ol^d00?odil01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0omm/`03
oko300?odZ800ooNO@03onUJ00?okTL00oob>003oo@]00?omRH00ooh8003ooLR00ComRH00oof:@03
ooDZ00?omB/00ooe:P03ooDY00?omRL00oog8`03ooPM00?onQL00ook4@03ood;00CooPL01_on1003
ood800?ona400ooh7`03oo<c00?ok4`00ooTJ`03omV<00?ocJl00on/_`04ofj_00?o=Id00ol3R`03
o`1h8`?o06Dn0ol0Dd`3o`0d@P?o01/c0ol03BL3o`057POo008J0ol01Ah3o`0=9`?o01le0ol0?TL3
o`1LAP?o07@Z0ol8S@03oe6V00?oZ[h00ooDW003onIS00Colc400ool4003ooh700?onQL00oo`?P03
on5d00?ocJh00on:]P03oc>M00?o088?0ol0JCX3o`1AC@Co02Tl0ol04R`3o`0780?o00<J0ol00QX3
o`067`?o00lY0ol08SP3o`15BP?o05m40ol0MRL4o`R=00?oBJ@00onF^@03olf`00?ogH000oo[D`03
ooD]00?ona<00oon1P03ooh800?onQH00ood;P04ona=00?ohW000ooGT`03ol^d00?o[;l00omk/P03
oe2V00?o:iX00ol=S`03o`242`?o07/N0ol0Lb`4o`1[=`?o06Dn0ol0Gd@3o`1KA`?o05Q:0ol0ED/9
o`1DC0?o05I;0ol0F4T3o`1LAPCo06520ol0Ic/3o`1^<P?o07LU0ol0PA83o`F<00?o9IP00om8X`03
og2_00?oV[X00oo5a007ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3ogfc
00?o_l<00ooBXP03omim00?ojEX00oo^A`03oo8h00?om2d00oof9P03ooPP00?omb801?of9P03ooHY
00?omBX00ooe:`03ooDZ00?omBT00oof9`03ooLS00?on1d00ooj5`03oo/A00?oo@/01?on1`06ooh4
00?oo@P00ook4@03ooPO00?olc<00oo/C003onA[00?ofH`00oo=[`03ojbo00CoKZl00oleW@03o`>;
00?o07PS0ol0ICh3o`1CC0?o03A20ol06c<3o`0=9`?o00DN1ol00QX3o`057P?o00dW0ol07cD3o`0n
A`?o05a60ol0M2X3o`R=00?oDJH00onZ_P03omBL00?oiV<01?oc<@03oo`@00?ooPL00ooj5`03oo0n
00?ohG@00oo=[P03ohZf00?o<id00ol0PPl3o`1Y>P?o055=1?l0:C`3o`0B;0?o00LP0ol00aX3o`02
6P?o00HO0ol03bT3o`0R>0?o04E:0ol0Gd@3o`1f9`Co28d00om9Y003oiJi00?ocK000ooMP003on]C
00?omBd00ook4`03ooh600?ooPP00ooj5P03oo@^00Cok4d00ooRL003omNC00?obk@00on/_`03og^b
00?oD:H00ol[VP03o`f?00?o08@;0ol0Nah3o`1c;0Co06/g0ol0ICh3o`1OA0?o05]70ol0F4X3o`1E
B`Wo05A<0ol0ET/3o`1HB@?o05a61?l0HD83o`1W>`?o06hb0ol0MbD3o`214P?o1H`00olUV003odRS
00?oL:l00onJ^P03olG400Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
OK<00ono``03om:R00?ogWd00ooYFP03oni700?olSP00ood;@03ooHV00?on2000oog8P04ooHV00?o
mRT00ooe:P03ooD[00?omBX00ooe:@03ooHW00?omb<00ooh7@03ooXG00?ona400oom2`04ooh700Ko
oP@00oom2003oo/A00?on1l00ooc<`03ona<00?oi6/00ooIS003olf_00?o[;l01?m^[`03ocFM00?o
0h/00ol0N2<3o`1U?P?o05=<0ol0=483o`0K<`?o00dW0ol01Ah7o`026P?o00DN0ol03BL3o`0O=@?o
03i70ol0G4H3o`1d:P?o28d00omAYP03ojZn00?oe9`00ooVH`04oo<a00?oo1000oon1`03ooXG00?o
l3h00ooQM003olf^00?oR[H00olcW@03o`223`?o06Tj0ol0DDd4o`0Y?0?o018/0ol01b03o`036P?o
008J0ol01Ql3o`0?:@?o028h0ol0ADX3o`1OA0?o07HW1?l8S@03odVT00?oU[T00oo=/003omf000?o
je<00ooe;@03oo/C00?ooPH00oon2003ooXF00?om2h01?o/C@03on9`00?oei<00oo;]003ojbo00?o
Nk800om@YP03ob^J00?o3Hl00ol0Q0/3o`1k7P?o07</1?l0JcL3o`1U?P?o05m40ol0FdL3o`1HBP?o
05E;2Ol0E4`3o`1FB`?o05Q90ol0G4H4o`1Q@P?o06Lk0ol0KS83o`1g9@?o084B0ol5S003obFH00?o
B:<00om`[`03oiZj00?oaL@01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0on^_`03olj^00?ofX/00ooTJ`03ona?00?okd@00oo`?@03oo4i00?olSP00oob=`03oo4l00Cokd80
0oo^A`03one900?okDX00oo]B@03oni800?okd@00oo`?P03oo8f00?om2d00oog9003ooTJ00Cona40
0oom2P03ooh500?ooP@00oon2003oo/A00?on2400oob=`03on]C00?ohG@00ooEV003olRm00CoTKP0
0omBY`03oa^D00?o084B0ol0KC@3o`1JB0?o04180ol08SP3o`0@:P?o00LP0ol00a/4o`026@?o00@M
0ol02bD3o`0J<P?o03M30ol0F4T3o`1`<0?o08T00om6X`03oinl00?odZ800ooUJ004oo<e00?ona80
0oon1`03ooXF00?ol3d00ooQL`03olf_00?oR;H00ol`W003o`214P?o06Ll0ol0Cdh4o`0W>P?o010Z
0ol01Ql3o`026P?o00<J0ol01b03o`0A:`?o02Pk0ol0CTh3o`1T?`?o07/M1?lHT`03oejZ00?o[kl0
0ooBX@03on9`00?okd@00oog8@03ood<00?ooPH00ool3P03ooLR00?ol3l01?oVHP03om^700?ocj/0
0ong`@03oh:d00?oDZL00olZVP03o`V=00?o088A0ol0MbD3o`1]=0?o06Dn1?l0GDD3o`1GBP?o059=
0ol0C4d3o`14BP?o03m70ol0?4H3o`0jA@?o03]50ol0?DL3o`12B@?o04Q<1?l0D4h3o`1EB`?o05a7
0ol0Hd03o`1]=@?o07LT0ol0P`d3o`f?00?o;i/00omGZ003oh:d00Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?o[[l00oo>[P03omZ;00?oi6/00oo/C`03onm400?ol3d00ooa
>@03oo8h00?olSL00ooa?004onm200?okTL00oo]B@03one:00?okDT00oo^B003onm400?ol3h00oob
=P03oo@]00?omb@00ooi6P04oo/A00?oo@X00oon1@03ooh400?ooPP00ook4@03ooPQ00?olSL00oo[
D`03on5d00?oeIP00oo8_@04oi6h00?oDZL00olKU003o`214P?o06dd0ol0FTP3o`10B0?o028h0ol0
42X3o`0780?o00<K1?l00QT3o`047@?o00/U0ol06S83o`0g@`?o05Q90ol0L303o`2900?oAZ<00onO
_003om:R00?oiFP01?oc=@03oo/B00?ooPL00ooj5P03oo0m00?ohG<00oo=[`03ohRf00?o<9`00ol0
PA83o`1W?0?o04m>1?l09cX3o`0@:P?o00HO0ol00QX3o`036P?o00LP0ol04B/3o`0X>`?o04i>0ol0
I3l3o`1k7@Co69<00omNZP03ojno00?odZ400ooRL003onm400?omb400oom3003ooh600?oo0h00oog
8P03oo0o00CoiV800ooKQ`03oln[00?o]l400on2]003oe:W00?o:YX00ol9S@03o`224@?o07LU0ol0
KC@3o`1U?PCo05e50ol0EdX3o`1BC@?o04a=0ol0A4X3o`0oA`?o03a60ol0>TD3o`0kA@?o03e70ol0
@TT3o`18C0Co051>0ol0ED/3o`1LA`?o06=00ol0KCD3o`1g90?o08<=0ol=S`03obnK00?oEjP00on2
]007ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3ojjo00?ocZh00ooJR`03
onA[00?ok4l00oo_A003oo0m00?olCT00oob>003oo8g00?olC`01?o_@P03oni700?okDT00oo]BP03
one900?okTP00oo_A003oo0n00?olSH00ood;@03ooLT00?onAX01?ok4@03ood:00?ooPD00oon1003
ooh800?ona400ooh8@03oo8g00?oje<00ooQM003omFH00?ob;d01?nA^003oe:W00?o6i@00ol0PA83
o`1]=0?o05Y80ol0@4P3o`0R>0?o010Z0ol01b03o`036`Co008I0ol011d3o`0;9@?o01Xb0ol0=d<3
o`1HB@?o070`0ol0R@03odJS00?oWk`00ooBXP03onEX00ColcD00ook4P03ooh700?onQH00oo`?@03
on5c00?ocJl00on8]P03oc2L00?o084B0ol0Ic`3o`1?CPCo02Lj0ol042X3o`067`?o008J0ol00aX3
o`0780?o014[0ol0:3/3o`1>CP?o06@o0ol0Nad4oaRC00?oGZX00on__`03om:Q00?ohW000oo_A003
ooLQ00?oo@`00oon1P03oo`>00?omb800oo`?`04onIR00?ofhL00oo?Z`03okO100?oP[@00omBY`03
obZJ00?o2Hd00ol0PQ43o`1g9@?o06dd0ol0ICh4o`1MA@?o05M:0ol0DTd3o`1<C@?o04A:0ol0?dL3
o`0lAP?o03Y50ol0>dD3o`0mA`?o04990ol0B4`4o`1@CP?o05E;0ol0G4L3o`1S@0?o06de0ol0Mb@3
o`233@?o3Hl00ol_V`03oeNX00?oP[@01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0on^_`03olj^00?ofX/00ooTJ`03ona?00?okd@00oo`?@03oo4i00?olSP00oob=`03oo4l
00Cokd800oo^A`03one900?okDX00oo]B@03oni800?okd@00oo`?P03oo8f00?om2d00oog9003ooTJ
00Cona400oom2P03ooh500?ooP@00oon2003oo/A00?on2400oob=`03on]C00?ohG@00ooEV003olRm
00CoTKP00omBY`03oa^D00?o084B0ol0KC@3o`1JB0?o04180ol08SP3o`0@:P?o00LP0ol00a/4o`02
6@?o00@M0ol02bD3o`0J<P?o03M30ol0F4T3o`1`<0?o08T00om6X`03oinl00?odZ800ooUJ004oo<e
00?ona800oon1`03ooXF00?ol3d00ooQL`03olf_00?oR;H00ol`W003o`214P?o06Ll0ol0Cdh4o`0W
>P?o010Z0ol01Ql3o`026P?o00<J0ol01b03o`0A:`?o02Pk0ol0CTh3o`1T?`?o07/M1?lHT`03oejZ
00?o[kl00ooBX@03on9`00?okd@00oog8@03ood<00?ooPH00ool3P03ooLR00?ol3l01?oVHP03om^7
00?ocj/00ong`@03oh:d00?oDZL00olZVP03o`V=00?o088A0ol0MbD3o`1]=0?o06Dn1?l0GDD3o`1G
BP?o059=0ol0C4d3o`14BP?o03m70ol0?4H3o`0jA@?o03]50ol0?DL3o`12B@?o04Q<1?l0D4h3o`1E
B`?o05a70ol0Hd03o`1]=@?o07LT0ol0P`d3o`f?00?o;i/00omGZ003oh:d00Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?ob;/00ooDV`03omin00?oiFD00oo[D@06ona>00?o
je000ooZD`03onYF00?oieh01?oUI@03onAZ00Kohfd00ooSK003onAZ00?oiV@00ooXG@03onYD00?o
kDP00ooa?003oo@_00Comb800ooj5`03oo`=00?ooPH00oon1003ood800?ona<00oog9@03oo0n00?o
j5d00ooMP@03om2X00Co]<400oma[`03oc>M00?o08T00ol0MBP3o`1Q@P?o04i>0ol0:cd3o`0E;P?o
00TS0ol011`4o`026@?o00<K0ol02B<3o`0F;`?o03500ol0ED/3o`1/=@?o08H70olmX003oiFi00?o
d:P00ooSK@04oo8h00?ona<00oon1`03ooXF00?olC`00ooQL`03olf_00?oQ[D00ol^V`03o`2050?o
06Hm0ol0CDh4o`0T>@?o00lY0ol01Ah3o`026@?o00<K0ol02243o`0D;P?o02dn0ol0DTd3o`1Y>@?o
084B1?lXV@03og>`00?oaL<00ooGTP03onMQ00?olSH00ooj6006ooh800?onQH00ood<003on]B00Co
h7P00ooCWP03olK200?oSkL00omKZ@03objK00?o2Xh00ol0PA83o`1e:0?o06Xh0ol0HD83o`1HB@Co
055=0ol0AT/3o`0kA@?o03910ol0;3h3o`0X>`?o02Dj1_l093T3o`0U>@?o02Pk0ol0;3d4o`0b@@?o
03]50ol0Ad/3o`1BC@?o05Y80ol0I3l3o`1_<@?o07/N0ol0Q`@3oabE00?oA:801oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Gooooo0oo8^`03omBK00?ogWh00ooUI@03on]A00Kok4h0
0oo[D003onYC00?ojUH00ooWGP04onEU00?oi6X01_oSK@03on=/00?oi6X00ooVI003onQM00?ojU@0
0oo]B003oo4l00?om2l01?og8P03ooXG00?oo0d00oon1P03ooh400?oo@P00ook4`03ooLU00?ol3h0
0ooXG@03omf100?od:P01?nd`@03og6_00?o<id00ol0R@03o`1e:0?o06520ol0CTh3o`0[?@?o01D^
0ol02B<3o`0470Co008I0ol00a/3o`098`?o01H_0ol0<D03o`1EB`?o06`e0ol0QPL3ocfP00?oUKT0
0oo@Z003on=]00ColSP00ook4`03ooh700?onQH00ooa?003on5c00?ocJl00on6]@03objK00?o080D
0ol0ISd3o`1=CPCo02@i0ol03bT3o`057P?o008I0ol00a/3o`088@?o01@^0ol0;Ch3o`1BC@?o06Ti
0ol0PA84obRI00?oLk000oo5``03omNB00?oif400oob=P03ooXH00KooPP00ooj5P03oo@`00?oje80
1?oPN003om>N00?oa/800on?]`03oe^Y00?o;Y/00ol:SP03o`214P?o07DX0ol0JSP3o`1Q@P?o05Q9
1?l0DDd3o`16B`?o03]50ol0<T43o`0/?P?o02Pk0ol09CX6o`0T>@?o02Di0ol0:3/3o`0/?@Co0391
0ol0>dD3o`17B`?o059=0ol0FTP3o`1T?`?o06la0ol0Nah3o`2710?o79D00om4XP07ooooo`7o0000
0Oooool001gooooo0_l00006ooooo`?ob;/00ooDV`03omin00?oiFD00oo[D@06ona>00?oje000ooZ
D`03onYF00?oieh01?oUI@03onAZ00Kohfd00ooSK003onAZ00?oiV@00ooXG@03onYD00?okDP00ooa
?003oo@_00Comb800ooj5`03oo`=00?ooPH00oon1003ood800?ona<00oog9@03oo0n00?oj5d00ooM
P@03om2X00Co]<400oma[`03oc>M00?o08T00ol0MBP3o`1Q@P?o04i>0ol0:cd3o`0E;P?o00TS0ol0
11`4o`026@?o00<K0ol02B<3o`0F;`?o03500ol0ED/3o`1/=@?o08H70olmX003oiFi00?od:P00ooS
K@04oo8h00?ona<00oon1`03ooXF00?olC`00ooQL`03olf_00?oQ[D00ol^V`03o`2050?o06Hm0ol0
CDh4o`0T>@?o00lY0ol01Ah3o`026@?o00<K0ol02243o`0D;P?o02dn0ol0DTd3o`1Y>@?o084B1?lX
V@03og>`00?oaL<00ooGTP03onMQ00?olSH00ooj6006ooh800?onQH00ood<003on]B00Coh7P00ooC
WP03olK200?oSkL00omKZ@03objK00?o2Xh00ol0PA83o`1e:0?o06Xh0ol0HD83o`1HB@Co055=0ol0
AT/3o`0kA@?o03910ol0;3h3o`0X>`?o02Dj1_l093T3o`0U>@?o02Pk0ol0;3d4o`0b@@?o03]50ol0
Ad/3o`1BC@?o05Y80ol0I3l3o`1_<@?o07/N0ol0Q`@3oabE00?oA:801_ooool2o`00007ooooo000M
ooooo`03o`000?oooooooooo00Gooooo0oo>[003omRA00?ogg`00ooTJ`03onMO00?oiV800ooUJ003
on=_00?ohGD00ooONP03omb300CofX/00ooHT006omNB00?of9000ooIS@03om^600?ogWh00ooQL`03
onEV00?ojEP00oo]B004oo8h00?omRP00ooi6P03oo`>00?ooPL00oon1@03ood:00?onQL00ooe;003
one900?ohf`00ooGT`04olVk00?oT;P00om>Y@03oa>A00?o07dJ0ol0J3X3o`1DC0?o03A20ol06S83
o`0;9P?o00@M1?l00QT3o`036P?o00LQ0ol04bd3o`0[?@?o055=0ol0JCT3o`233`?o=9d00on;]P03
olj]00?ohW401?oa>`03ooXE00?ooPL00ooj5@03oo4l00?ohG<00oo=/003ohBe00?o:iX00ol0OaH3
o`1T?`?o04U<1?l08SL3o`0=:0?o00DM0ol00QT3o`036`?o00TS0ol05c03o`0c@P?o05M:0ol0KS<3
o`261`Co>9h00on7]@03olZf00?og8<00oo[D`03ooD[00?oo1000oon1P03ood<00?on2000oo`@003
onEU00CofHd00oo;]003oj>l00?oJZd00olhWP03o`n@00?o088@0ol0MBP3o`1Y>@?o05i40ol0ED/3
o`1:C@Co03]60ol0<403o`0W>`?o020g0ol073<3o`0I<@?o01H_0ol05Bl3o`0E;P?o01D_0ol05c03
o`0I<PCo01dd0ol08cP3o`0Z?@?o03E30ol0A4X3o`1BC@?o05e60ol0J3/3o`1d:@?o084A0ol>S`07
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3olj/00?of9400ooOO003onA[
00?oiel00ooVHP03onEX00?ohfl00ooQM@03ommj00?og8<01?oJR`03omR@00Koei800ooHT003omV=
00?ofhH00ooNOP03on5c00?oiFH00ooYF003one800ColSP00oof:003ooTJ00?oo0h00oon1`03ooh5
00?oo@X00ooj5`03ooD/00?okDT00ooSK003omNC00CobK/00on@^003odjU00?o4i400ol0OAX3o`1X
>P?o05A<0ol0=483o`0J<P?o00/V0ol011d4o`026@?o00<J0ol01b43o`0C;@?o02/m0ol0DDd3o`1Y
>@?o08<?0oldW@03oh^f00?ocZd00ooRL@04oo4k00?onQD00oon1`03ooXE00?olC`00ooQL`03olf`
00?oQ;D00ol[VP03o`1o5P?o06@o0ol0BD`4o`0R=`?o00dX0ol01Ad3o`026@?o00<K0ol02B<3o`0G
<0?o03=20ol0EdX3o`1^<`?o08H71?lhWP03ohNe00?ob[H00ooLP`03on]C00?omB/00ool4003ooh6
00?oo@`00ooh8003oo1000?oiFD01?oIS@03ol^d00?oXk`00omZ[@03ocRN00?o3i000ol0PQ03o`1e
:0?o06Ti0ol0GT@3o`1EB`?o04Y=1?l0>dH3o`0`@0?o02Lk0ol083L3o`0L<`?o01Ta0ol05Rl3o`0E
;`?o01D^0ol05Bl3o`0G<0?o01Tb1?l07C@3o`0S>0?o02Xm0ol0=D<3o`14BP?o059=0ol0GDH3o`1X
>`?o07@Y0ol0PA43o`j?00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
cZ`00ooHT@03omml00?oi6/00ooWG`03onIR00?oiFP00ooSK`03on5e00?oggX00ooLP`04omZ;00?o
f9001_oGTP03omR@00?ofHd00ooKQP03omin00?ohG<00ooUIP03onUH00?okDP01?ob>003ooHX00?o
nAX00ool3P03ooh700?ooPD00oom2P03ooXG00?omB`00oo]B@03on=/00?oei<01?o9^`03oi2h00?o
CZD00olCT@03o`1m6P?o06Pj0ol0E4`3o`0d@P?o01Xb0ol02bH3o`047@Co008I0ol00aX3o`078@?o
01<]0ol0:cd3o`1AC@?o06Ti0ol0P`l3ocBM00?oRkH00oo>[@03on9a00ColC/00ooj5@03ooh700?o
nQD00ooa?003on5c00?ocK000on4]@03ob^J00?o07lF0ol0I3l3o`19C0Co028g0ol03BP3o`057@?o
008I0ol00a/3o`098`?o01L`0ol0<d83o`1GBP?o06hc0ol0QPL4ocRN00?oQkD00oo:]P03omb300?o
je<00ooe:`03oo`@00?ooPH00oom3003ooPP00?ol4000ooUI@04omV=00?obk@00onS_003ofZ]00?o
>9h00ol?T003o`2240?o07DX0ol0JCT3o`1NA0?o05E;0ol0BTd4o`0kAP?o03100ol09c/3o`0P=`?o
01`c0ol06C43o`0F;`?o01D_0ol05Bh3o`0E;`?o01L`0ol06C84o`0M=0?o02<h0ol0:Sd3o`0e@`?o
04A:0ol0DTd3o`1MAP?o06Pk0ol0M2T3o`214@?o3Xl01oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ooAY003omRA00?og8<00ooONP03on5e00?ogWh00ooKQ`03omRA00?oeIT0
0ooCX003om2X00CocJl00oo;/`06ol^e00?oc;800oo=[P03om2W00?odih00ooGT`03omb500?ohGD0
0ooVH`04on]A00?ol3d00ooe:`03ooTJ00?oo0h01_on1P03oo`=00?on1h00oob=`03onUH00?ogWh0
1?o@Z003ojno00?oJJd00olYV@03o`242`?o06la0ol0FTP3o`0nA`?o020f0ol03RP3o`067`Oo008J
0ol01Ql3o`0@:P?o02Hj0ol0CTh3o`1V?@?o07lE0ol[VP03oh:d00?oc;800ooPMP04oo0n00?onQL0
0oon2003oo/E00?olC/00ooQL`03olf`00?oP[@00olYV@03o`1n60?o06=00ol0AT/4o`0P=P?o00`W
0ol011d3o`026@?o00@L0ol02R@3o`0J<P?o03Y50ol0FdP3o`1b;0?o18/01?m9Y003oibk00?ocjT0
0ooQM@03oni600?on2400oom2`03ooh700?ona<00ooe;@03on]@00?oh7T01?oBXP03okk300?oP;<0
0om8Y003oaZD00?o08D90ol0MbD3o`1Z>0?o05i50ol0E4`3o`15BP?o03E21?l0:C`3o`0P=P?o01Ta
0ol052h3o`0A:`?o00lY0ol03BL9o`0<9P?o00dW0ol03RP4o`0@:P?o01<]0ol06343o`0O=P?o02Tl
0ol0=T<3o`1:C0?o05I:0ol0HT43o`1_<@?o07dJ1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Gooooo0ooAY003omRA00?og8<00ooONP03on5e00?ogWh00ooKQ`03omRA00?oeIT00ooC
X003om2X00CocJl00oo;/`06ol^e00?oc;800oo=[P03om2W00?odih00ooGT`03omb500?ohGD00ooV
H`04on]A00?ol3d00ooe:`03ooTJ00?oo0h01_on1P03oo`=00?on1h00oob=`03onUH00?ogWh01?o@
Z003ojno00?oJJd00olYV@03o`242`?o06la0ol0FTP3o`0nA`?o020f0ol03RP3o`067`Oo008J0ol0
1Ql3o`0@:P?o02Hj0ol0CTh3o`1V?@?o07lE0ol[VP03oh:d00?oc;800ooPMP04oo0n00?onQL00oon
2003oo/E00?olC/00ooQL`03olf`00?oP[@00olYV@03o`1n60?o06=00ol0AT/4o`0P=P?o00`W0ol0
11d3o`026@?o00@L0ol02R@3o`0J<P?o03Y50ol0FdP3o`1b;0?o18/01?m9Y003oibk00?ocjT00ooQ
M@03oni600?on2400oom2`03ooh700?ona<00ooe;@03on]@00?oh7T01?oBXP03okk300?oP;<00om8
Y003oaZD00?o08D90ol0MbD3o`1Z>0?o05i50ol0E4`3o`15BP?o03E21?l0:C`3o`0P=P?o01Ta0ol0
52h3o`0A:`?o00lY0ol03BL9o`0<9P?o00dW0ol03RP4o`0@:P?o01<]0ol06343o`0O=P?o02Tl0ol0
=T<3o`1:C0?o05I:0ol0HT43o`1_<@?o07dJ1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Gooooo0ooAY003omRA00?og8<00ooONP03on5e00?ogWh00ooKQ`03omRA00?oeIT00ooCX003
om2X00CocJl00oo;/`06ol^e00?oc;800oo=[P03om2W00?odih00ooGT`03omb500?ohGD00ooVH`04
on]A00?ol3d00ooe:`03ooTJ00?oo0h01_on1P03oo`=00?on1h00oob=`03onUH00?ogWh01?o@Z003
ojno00?oJJd00olYV@03o`242`?o06la0ol0FTP3o`0nA`?o020f0ol03RP3o`067`Oo008J0ol01Ql3
o`0@:P?o02Hj0ol0CTh3o`1V?@?o07lE0ol[VP03oh:d00?oc;800ooPMP04oo0n00?onQL00oon2003
oo/E00?olC/00ooQL`03olf`00?oP[@00olYV@03o`1n60?o06=00ol0AT/4o`0P=P?o00`W0ol011d3
o`026@?o00@L0ol02R@3o`0J<P?o03Y50ol0FdP3o`1b;0?o18/01?m9Y003oibk00?ocjT00ooQM@03
oni600?on2400oom2`03ooh700?ona<00ooe;@03on]@00?oh7T01?oBXP03okk300?oP;<00om8Y003
oaZD00?o08D90ol0MbD3o`1Z>0?o05i50ol0E4`3o`15BP?o03E21?l0:C`3o`0P=P?o01Ta0ol052h3
o`0A:`?o00lY0ol03BL9o`0<9P?o00dW0ol03RP4o`0@:P?o01<]0ol06343o`0O=P?o02Tl0ol0=T<3
o`1:C0?o05I:0ol0HT43o`1_<@?o07dJ1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0ooAY@03omFI00?oei800ooHT003omRA00?oe9d00oo@Z003olbc00?ob;/00oo5`P03ok[2
00Co[kl00onX_P03ojJm00?oZ;h00on]_`03okG100?o`/@00oo8_@03olba00?odZ<00ooGTP03omio
00Coi6/00ooZE@03oo0o00?omBX00ooj6@03ood<00?ooPH00oon1`03oo/C00?omRP00oo^AP03onA[
00CoeYD00oo7_`03ohBe00?o?j400ol5S003o`1f9`?o06530ol0BT`3o`0W>P?o018[0ol01b44o`03
6P?o008I0ol01Ah3o`0>:0?o024g0ol0Ad/3o`1R@@?o07`K0olSU`03ogVb00?ob[L00ooONP04onm1
00?onQP00oon2003oo/D00?olC/00ooQL`03olba00?oPK@00olWV@03o`1m6P?o06910ol0@dT4o`0N
=@?o00/U0ol011`3o`026@?o00@L0ol032H3o`0N=@?o04180ol0GT@3o`1g9@?o49001?mIZ@03ok30
00?oe9d00ooTJ003oo4j00?onQT00oom2003ood900?onA/00ooa>P03onIQ00?ofH`01?o;]@03oibk
00?oGjX00ol[VP03o`6:00?o07/N0ol0K3D3o`1OA0?o05A<0ol0A4X3o`0b@@?o02Di1?l06c<3o`0E
;P?o010Z0ol032L3o`0:90?o00PR0ol01b43o`0780Ko00HP0ol01b03o`078@Co00TS0ol02RD3o`0=
9`?o014[0ol05c03o`0P=P?o02dn0ol0?TL3o`1BC@?o05i50ol0JcH7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3om6U00?oeIT00ooGTP03omR@00?of9400ooDW@03om2X00?o
c;<00oo8^`03olG200?o^/801?n__`03ojRn00?oY[d00onX_P03ojfo00?o]L400oo2a003olRm00?o
c;400ooBX`03omNB00?ogWl01?oTJ`03onYE00?ol3l00ooe:P03ooXI00?oo@`00oon1P03ooh700?o
na<00oof:003oni600?oi6/01?oFU@03olNo00?oQ;D00oloX@03o`F<00?o07HW0ol0HD<3o`1:C0?o
02Lj0ol04R/3o`078@Co00<J0ol00QT3o`057P?o00hX0ol08CL3o`17B`?o06910ol0O1/3ob>G00?o
NK800oo:]`03ommj00Cokd400ooj6003ooh800?ona@00ooa>`03on5c00?oc;400on1]003obNI00?o
07dJ0ol0HT43o`13B@Co01he0ol02bD3o`0470?o008I0ol011`3o`0<9P?o01he0ol0@4P3o`1NA0?o
07LU0ol@T004oeVY00?o/<000ooDW@03onAX00?olCX00ooj6@03ood800?oo@T00ooi6`03oo4j00?o
iV400ooIS004ol^e00?oW;/00omOZP03ob^J00?o0HX00ol0Nah3o`1/=@?o05m40ol0E4`3o`14BP?o
03910ol09CT4o`0K<`?o01D^0ol042X3o`0<9`?o00XT0ol02283o`078@?o00LP1_l01R03o`0780?o
00LQ1?l02B<3o`0:9@?o00dW0ol04B/3o`0G<0?o020f0ol0;Ch3o`0nA`?o059=0ol0GTD3o`1[=POo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?odJD00ooEV@03omNB00?of900
0ooHT@03omBM00?od:P00oo</`03olRk00?oaL800onj`P04ojno00?oZ;h00onV_@03ojRn00?o[Kl0
0one`@03ol;400?ob;d00oo</@03om:S00?oei800ooNO`04onA[00?ojUD00oo`?`03ooDZ00?onQT0
0oom3003ooh600?ooPL00ook4`03ooHX00?okTH00ooTJ`04omJE00?oakl00on4]@03ocnQ00?o1H`0
0ol0MRL3o`1Q@`?o04Y<0ol09cX3o`0B:`?o00LQ1?l00aX3o`026@?o00DN0ol03RP3o`0Q=`?o04M;
0ol0HT43o`1l6`?o8iL00omi/P03olZg00?oggX01?o_@@03ooXH00?ooPP00ook5003oo4k00?ohG<0
0oo</@03oh6d00?o9iT00ol0OAX3o`1R@@?o04=91?l07SD3o`0;9@?o00@L0ol00QT3o`0470?o00`V
0ol07SD3o`10B0?o05i40ol0MbD3oa2@00CoFJT00on``003omBM00?oi6P00ooa>P03ooXI00?oo@P0
0oom2@03ooTK00?olCX00ooVH@03omV<00CobkD00onL^`03oenZ00?o:iX00ol1RP03o`1k7P?o06`e
0ol0Gd@3o`1DC0?o04A:0ol0<T43o`0U>@Co01/c0ol05Bh3o`0@:P?o00`W0ol02R@3o`088P?o00LQ
0ol01b06o`0680?o00LP0ol01b44o`098`?o00XU0ol03BL3o`0A:`?o01L`0ol083H3o`0]?P?o03i7
0ol0DTd3o`1NA@?o06/f1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0oo>
[003om2W00?od:H00oo?Z@03olf_00?ob;`00onn``03oj^n00?oVkX00on>]`03oh:d00CoN;400omb
/003og6_00?oLk000omi/P03oh:d00?oT;P00onQ_003okK100?oakh00oo>[P03omFJ00Cog8D00ooS
K@03onYE00?ol3d00oof9`03ooXE00?oo@T00oon1P03ood;00?onA/00oob=P03onUI00Cog8<00oo=
[`03oinl00?oEZP00olFT`03o`1l6`?o06Ll0ol0DTd3o`0^?`?o01D_0ol02B<4o`036`?o008I0ol0
11d3o`0<9P?o01he0ol0@4P3o`1OA0?o07TQ0olLU@03og6_00?ob;/00ooNOP04onm400?onAX00oon
2003oo/D00?olCX00ooQL`03olba00?oOk<00olUV003o`1l70?o06130ol0@4P4o`0L=0?o00XU0ol0
0a`3o`026@?o00DM0ol03BL3o`0Q=`?o04M;0ol0HT43o`1k7@?o7ID01?mZ[P03olC400?of9000ooX
G003oo@`00?ona800oon1`03oo`>00?ombD00oo]B003on5b00?odih01?o0``03ogfc00?o@Z400olA
T@03o`204`?o074_0ol0Hd03o`1FB`?o04I;0ol0<T43o`0S>0?o01Tb1?l04R`3o`0=9`?o00XT0ol0
1b43o`067`?o00DN0ol011d?o`0470Co00DM0ol01Ql3o`0780?o00TS0ol03BL3o`0B;0?o01Xb0ol0
9SX3o`0f@`?o04i>0ol0FdL7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
olj/00?od:L00oo@YP03olnY00?ocJl00oo8_003okk300?oZkh00onK^P03ohjg00?oP[@01?mh/@03
og:`00?oLJl00omc/003ogVb00?oP[@00on@^003oj6l00?o]/400oo7_P03olj^00?oeIX01?oLQ@03
on=]00?ojUD00oo`?@03ooHW00?onQD00oom2@03ooh600?oo@/00ooi6`03oo8f00?ojET01?oLP`03
olf_00?oWk`00omFZ003oaJC00?o07`K0ol0Ic`3o`1BC@?o02ho0ol05Bl3o`098`Co00<K0ol00QT3
o`047@?o00`V0ol07SD3o`10B0?o05m40ol0NB43oabE00?oLJl00oo8^`03omin00Cokd@00ooi6P03
ooh800?ona@00ooa>P03on5c00?oc;400omo/`03obFH00?o07`L0ol0H4<3o`10B0Co01`d0ol02RD3
o`0370?o008I0ol01Ad3o`0=9`?o024g0ol0Ad/3o`1R@@?o07/M0olMU@04ofZ^00?oa<@00ooHT003
onQL00?om3000ook4P03ooh700?oo0h00oog9@03one800?ohG800ooCWP04ol3300?oOK<00om2X@03
oa6A00?o080C0ol0LBl3o`1S@0?o05I;0ol0AT/3o`0b@@?o02<h0ol06C84o`0B;0?o00dW0ol02R@3
o`078@?o00HO0ol01Ah3o`047@oo00@L1?l01Ad3o`067`?o00LP0ol02B<3o`0=9`?o018/0ol06S83
o`0V>P?o03I30ol0CTh3o`1KA`Oooooo0Ol00001ooooo`007Oooool2o`0000Kooooo0oo>[003om2W
00?od:H00oo?Z@03olf_00?ob;`00onn``03oj^n00?oVkX00on>]`03oh:d00CoN;400omb/003og6_
00?oLk000omi/P03oh:d00?oT;P00onQ_003okK100?oakh00oo>[P03omFJ00Cog8D00ooSK@03onYE
00?ol3d00oof9`03ooXE00?oo@T00oon1P03ood;00?onA/00oob=P03onUI00Cog8<00oo=[`03oinl
00?oEZP00olFT`03o`1l6`?o06Ll0ol0DTd3o`0^?`?o01D_0ol02B<4o`036`?o008I0ol011d3o`0<
9P?o01he0ol0@4P3o`1OA0?o07TQ0olLU@03og6_00?ob;/00ooNOP04onm400?onAX00oon2003oo/D
00?olCX00ooQL`03olba00?oOk<00olUV003o`1l70?o06130ol0@4P4o`0L=0?o00XU0ol00a`3o`02
6@?o00DM0ol03BL3o`0Q=`?o04M;0ol0HT43o`1k7@?o7ID01?mZ[P03olC400?of9000ooXG003oo@`
00?ona800oon1`03oo`>00?ombD00oo]B003on5b00?odih01?o0``03ogfc00?o@Z400olAT@03o`20
4`?o074_0ol0Hd03o`1FB`?o04I;0ol0<T43o`0S>0?o01Tb1?l04R`3o`0=9`?o00XT0ol01b43o`06
7`?o00DN0ol011d?o`0470Co00DM0ol01Ql3o`0780?o00TS0ol03BL3o`0B;0?o01Xb0ol09SX3o`0f
@`?o04i>0ol0FdL6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01Oooool6olVi00?o
akd00oo5a003okO100?oW[/00on8]P03ogF`00?oIZ`00omJZ@03odnV00CoAj<00om3XP03od:R00?o
AJ<00om;Y@03oeFW00?oHZ/00omc/003ohVf00?oX[`00oo0``03ol^d00Codih00ooKQP03on=/00?o
je400oob>003ooLQ00?oo1001_on1`03oo/B00?omRT00oo]B@04on9b00?odih00onj`P03ofj^00?o
:IT00ol0P`h3o`1/=@?o05M:0ol0=T<3o`0J<P?o00XU1?l011`3o`026@?o00@L0ol02R@3o`0J<P?o
03]50ol0G4H3o`1g9@?o5I800omY[@03olNo00?ogH801?o^A`03ooTK00?oo@P00ook4`03oo4i00?o
hG800oo</@03ogfc00?o8iL00ol0Nah3o`1OA0?o03i71?l06S83o`0:90?o00<K0ol00QT3o`057P?o
00lY0ol09CT3o`1>CP?o06Hm0ol0P1D3obVI00CoNk800oo9^P03omb400?oje400oof9`03oo`>00?o
oPL00ook5003oo@`00?ojEL00ooLP`03olf`00CoXK`00omPZ`03obRI00?o08P40ol0MbD3o`1X>`?o
05Y80ol0C4d3o`0e@P?o02@i0ol06C43o`0A:`Co00`V0ol02283o`067`?o00DM0ol011`3o`036`?o
00<J3ol00QX4o`036P?o00<K0ol011`3o`057P?o00LP0ol02R@3o`0>:@?o01H_0ol08CL3o`0b@@?o
04Y<1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo1_o9^@03olNm00?oaL@0
0ong`@03oijk00?oR;H00ome/003ofJ/00?oFZT00om?YP04odNS00?o@j800om2XP03odFS00?oBjD0
0omEY`03of:[00?oLk000on9]P03oj:l00?o`<<00oo;]004om>N00?ofhH00ooSK003on]A00?olSP0
0oog8@03oo`@00KooPL00ook4P03ooHY00?okDT01?oRLP03om>N00?o^/800om^[P03obVI00?o08<>
0ol0K3D3o`1GBP?o03I30ol06S83o`0:9@Co00@L0ol00QT3o`0470?o00XT0ol06S83o`0kA@?o05a6
0ol0MbD3oaFB00?oJJd00oo7_`03omf200CokTL00ooi6`03ood800?ona<00ooa>@03on5b00?oc;40
0omm/`03ob>G00?o07/N0ol0Gd@3o`0nA`Co01Xb0ol02R@3o`036`?o008I0ol01Ah3o`0?:@?o02Di
0ol0CTh3o`1V?@?o080E0olYV@04og^b00?obKX00ooLQ003on]A00?omRL00ool3P03ooh700?ona@0
0ood<003onUG00?og8<00oo=/004oj6l00?oH:/00olXV@03o`2810?o07LU0ol0J3/3o`1JB0?o04a=
0ol0=D83o`0T>@?o01Ta0ol04B/4o`0<9P?o00PR0ol01Ql3o`057@?o00@L0ol00a/3o`036Poo008J
1?l00aX3o`036`?o00@L0ol01Ah3o`0780?o00XT0ol03RT3o`0F;`?o024g0ol0<T43o`1:C0Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`KobKT00oo7_@03olG400?o]l400onN
^`03ohRf00?oMK000omV[003oeZY00?oCjH01?m7X`03od>R00?o@Z800om5X`03od^U00?oEJL00omR
Z`03og>`00?oRKH00onR_003ol3300?obk@01?oCWP03om^600?ohf`00oo[D@03oo8h00?omb400ool
4006ooh700?ona800oof:@03one900CohW800ooCWP03ok[200?oKZh00olYV@03o`233P?o06`e0ol0
EdX3o`0f@`?o01Xb0ol02RD4o`0470?o008I0ol011`3o`0:90?o01Xb0ol0>dD3o`1LAP?o07LU0olE
TP03ofV]00?oakl00ooMPP04oni700?onA/00oom2003oo/C00?olCT00ooQLP03olba00?oOK<00olS
U`03o`1k7P?o05m40ol0?TL4o`0J<P?o00XT0ol00a/3o`026@?o00DN0ol03bT3o`0U>@?o04i>0ol0
ISd3o`205@?o:IT01?mk/P03olVj00?og8@00oo[D@03ooHW00?oo0h00oon1`03oo/D00?om3000ooY
E`03omb300?ocK001?nQ_003of2[00?o:9T00ol0R0@3o`1g9@?o06Pk0ol0FTP3o`1<C@?o03E20ol0
93T3o`0I<@?o014[1?l032H3o`088P?o00HO0ol01Ad3o`0470?o00<K0ol00aX?o`026PCo00<J0ol0
0a/3o`0470?o00DN0ol01b03o`0:90?o00hY0ol05Rl3o`0Q=`?o03910ol0BT`7ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01Oooool3okc300?o]<400onV_@03oiFi00?oQ;D00om[[P03
oeJX00?oAJ800olgWP03obfK00?o99L01?lMU@03oaZD00?o6i@00olNU@03obBH00?o;I/00oljW`03
odZT00?oGjX00omh/@03oiJi00?o^<801?o:]P03om>M00?og8<00ooUIP03one:00?om3000ooi6P03
ood;00?ooPH00oom3003ooPN00?olC/01?oVHP03omV>00?ob;`00on5]@03ocbP00?o08T00ol0LRd3
o`1LA`?o03i70ol07SD3o`0=9`Co00DM0ol00QT3o`036`?o00TS0ol05c03o`0f@`?o05Y80ol0M2X3
o`j?00?oHJ/00oo5``03om^600CokDX00ooi7@03ood900?ona<00ooa>@03on5b00?oc;800oml/P03
ob6F00?o07XP0ol0GTD3o`0kAPCo01Ta0ol02B<3o`036`?o008I0ol01Ql3o`0A:`?o02Tl0ol0DDd3
o`1Z>@?o08@<0olfWP04oh^f00?ocK000ooON@03oni600?on1l00oom2P03ood900?onA/00ooa>`03
onEV00?oei@00oo7_`04ohFe00?oAJ<00olAT@03o`1o5P?o06hb0ol0Gd@3o`1AC@?o03Y50ol09c/3
o`0J<P?o014[0ol02bH4o`088@?o00DN0ol011`3o`036`?o008J7?l00QT3o`026P?o00<J0ol011`3
o`057P?o00PR0ol032H3o`0C;@?o01he0ol0;cl7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3okc300?o]<400onV_@03oiFi00?oQ;D00om[[P03oeJX00?oAJ800olgWP03obfK
00?o99L01?lMU@03oaZD00?o6i@00olNU@03obBH00?o;I/00oljW`03odZT00?oGjX00omh/@03oiJi
00?o^<801?o:]P03om>M00?og8<00ooUIP03one:00?om3000ooi6P03ood;00?ooPH00oom3003ooPN
00?olC/01?oVHP03omV>00?ob;`00on5]@03ocbP00?o08T00ol0LRd3o`1LA`?o03i70ol07SD3o`0=
9`Co00DM0ol00QT3o`036`?o00TS0ol05c03o`0f@`?o05Y80ol0M2X3o`j?00?oHJ/00oo5``03om^6
00CokDX00ooi7@03ood900?ona<00ooa>@03on5b00?oc;800oml/P03ob6F00?o07XP0ol0GTD3o`0k
APCo01Ta0ol02B<3o`036`?o008I0ol01Ql3o`0A:`?o02Tl0ol0DDd3o`1Z>@?o08@<0olfWP04oh^f
00?ocK000ooON@03oni600?on1l00oom2P03ood900?onA/00ooa>`03onEV00?oei@00oo7_`04ohFe
00?oAJ<00olAT@03o`1o5P?o06hb0ol0Gd@3o`1AC@?o03Y50ol09c/3o`0J<P?o014[0ol02bH4o`08
8@?o00DN0ol011`3o`036`?o008J7?l00QT3o`026P?o00<J0ol011`3o`057P?o00PR0ol032H3o`0C
;@?o01he0ol0;cl7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3okc300?o
]<400onV_@03oiFi00?oQ;D00om[[P03oeJX00?oAJ800olgWP03obfK00?o99L01?lMU@03oaZD00?o
6i@00olNU@03obBH00?o;I/00oljW`03odZT00?oGjX00omh/@03oiJi00?o^<801?o:]P03om>M00?o
g8<00ooUIP03one:00?om3000ooi6P03ood;00?ooPH00oom3003ooPN00?olC/01?oVHP03omV>00?o
b;`00on5]@03ocbP00?o08T00ol0LRd3o`1LA`?o03i70ol07SD3o`0=9`Co00DM0ol00QT3o`036`?o
00TS0ol05c03o`0f@`?o05Y80ol0M2X3o`j?00?oHJ/00oo5``03om^600CokDX00ooi7@03ood900?o
na<00ooa>@03on5b00?oc;800oml/P03ob6F00?o07XP0ol0GTD3o`0kAPCo01Ta0ol02B<3o`036`?o
008I0ol01Ql3o`0A:`?o02Tl0ol0DDd3o`1Z>@?o08@<0olfWP04oh^f00?ocK000ooON@03oni600?o
n1l00oom2P03ood900?onA/00ooa>`03onEV00?oei@00oo7_`04ohFe00?oAJ<00olAT@03o`1o5P?o
06hb0ol0Gd@3o`1AC@?o03Y50ol09c/3o`0J<P?o014[0ol02bH4o`088@?o00DN0ol011`3o`036`?o
008J7?l00QT3o`026P?o00<J0ol011`3o`057P?o00PR0ol032H3o`0C;@?o01he0ol0;cl7ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01Oooool3oi^j00?oS;L00omk/P03ofR]00?oEJP0
0olnX003ob^J00?o79D00ol@T003o`R=00?o08X01?l0R0<6o`271@?o08T10ol3R`03o`b>00?o69<0
0olWV@03oc^O00?oDjL00om_[`03oi6h00Co^<800oo;]003omFI00?ogg/00ooXG@03oo0o00?omRH0
0ook4P03ooh700?ooPP00ooj5@03oo@^00Coje<00ooNO`03olj^00?oW;/00om?YP03o`f?00?o07PT
0ol0HD83o`17B`?o02<h0ol03bT4o`067`?o008J0ol00aX3o`088@?o01D^0ol0<D03o`1GBP?o074^
0ol9S@03oeZY00?o_l<00ooJRP04ona=00?on1h00oom2@03oo/B00?olSP00ooRLP03olbb00?oN[80
0olOUP03o`1i8P?o05e60ol0>D@4o`0H<0?o00PR0ol00aX3o`026P?o00HP0ol04R`3o`0]?P?o05A<
0ol0KC@3o`2710?o@Z801?nJ^P03om2V00?ohfl00oo`?@03ooTI00?oo@P00oom3003ooLS00?okTL0
0ooQM003om6S00?o//001?m[[P03objK00?o08T10ol0MbD3o`1V?@?o05M:0ol0A4X3o`0]?P?o01dd
0ol04b`3o`0<9P?o00PQ1?l01Ah3o`0370?o00<J3?l00QT3o`026Pco00<J1?l00QX9o`026@?o008J
0ol00a/3o`047@?o00LP0ol02bD3o`0B;0?o01de1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Gooooo0onK^P03ohbg00?oNk800omX[@03oeFX00?o?Z000ol[VP03oabE00?o49000ol8
S@03o`2:00Co08P31_l0Q`D3o`290@?o0h/00ol<SP03oaRC00?o9iT00olkW`03oe>W00?oKjl00onA
^004okS200?obk@00ooEV@03ommk00?oj5d00oo`?`03ooHV00?ona800oon1`03ooh800?onQD00ood
;P04on]C00?ogWl00oo>[P03oibk00?oCjH00ol=S`03o`1h90?o06520ol0Ad/3o`0S>0?o00lY1?l0
1Ql3o`026P?o00<J0ol02243o`0E;P?o03500ol0EdX3o`1a;P?o2Hd00omJZ@03oko300?ofXX01?o/
C@03ooPN00?oo@T00ook4P03oo8h00?ohW800oo</P03ogZb00?o7iH00ol0NB83o`1MAP?o03U41?l0
6303o`088P?o00<J0ol00QX3o`0680?o018/0ol0;Ch3o`1DC0?o06dd0ol0Q`@3od:R00CoV[X00oo@
YP03on=_00?ol3d00ooi6@03ood800?oo@`00oog8`03oni700?ohG@00ooAX`03ok;000CoJjh00ol^
V`03o`290@?o07LU0ol0ISd3o`1GBP?o04A:0ol0;Ch3o`0M=0?o01</0ol032H3o`088@Co00DN0ol0
0a`3o`036Pco008I0ol00QX<o`036PCo008J2Ol00QT3o`026P?o00<K0ol011d3o`0780?o00/U0ol0
4R`3o`0M=@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?oVkX00on<]`03
og^b00?oJ:d00omEZ003ocjP00?o:iX00olLU@03oa2@00?o28d00ol0RP04o`280`Ko08L50ol0R@43
o`>;00?o38h00olHT`03obNI00?o>il00omCY`03ofn_00?oTKP01?nh`P03ol^d00?oeIT00ooON`03
onQM00?ol3l00oof9P03oo/B00?ooPL00oon2003ooXE00?om2h01?o[D`03omio00?ocZh00onL^`03
odnV00?o3Hl00ol0N2@3o`1Q@P?o04M;0ol08cP3o`0?:@Co00HO0ol00QX3o`036P?o00PQ0ol05Bh3
o`0a@0?o05M:0ol0LBh3o`V=00?oFZT00ono``03omZ:00Cok4d00ooh7P03ood900?ona800oob>003
on9b00?oc;800omj/P03oanF00?o07TR0ol0GDH3o`0iA0Co01P`0ol02283o`036P?o008J0ol01R03
o`0B;0?o02dn0ol0E4`3o`1]=0?o08L40om2XP04oiZj00?od:H00ooSK`03oo0m00?onAT00oom2003
ood<00?omb<00oo^A`03on5d00?odJ<00onb`004of^^00?o;Y/00ol0R@43o`1g9@?o06Hm0ol0EdX3
o`14BP?o02dn0ol07C@3o`0C;0?o00`V0ol02244o`057P?o00<L0ol00aX<o`026@?o008J3?l00aX4
o`026PWo008I0ol00QX3o`036`?o00@M0ol01b03o`0;9@?o018/0ol07CD7ooooo`7o00000Oooool0
00Kooooo1Ol00003ooooo`03o`000?oooooooooo00;ooooo0ol00007ooooo`03o`000?oooooooooo
00Gooooo0omh/@03ofJ/00?oDZL00olnX003obbJ00?o69<00ol7S@03o`271@?o08<>0ol0OaD3o`1m
6PCo07/N0ol0NQl3o`1k7P?o07`K0ol0OaH3o`233P?o08P40ol9S@03oa^D00?o<Y`00om=Y@03off^
00CoTkT00ono``03olj]00?of9000ooRL003on]@00?olc<00ooi6`03ood;00?ooPL00ool3`03ooLT
00CokTH00ooRL@03om>P00?o//000omRZ`03oa^D00?o07dJ0ol0ICh3o`1?CP?o02Tl0ol04R/4o`07
80Ko008J0ol01b03o`0C;0?o02dn0ol0ED/3o`1_<@?o0h/00omDY`03okW200?ofHd01?o/C`03ooPP
00?oo@T00ook4P03oo8h00?ohW800oo</`03ogVb00?o7ID00ol0N2<3o`1LAP?o03M31?l05Rl3o`08
8@?o00<J0ol00QX3o`078@?o01@^0ol0<D03o`1GBP?o070_0ol4R`03odjU00CoZ[h00ooDW@03onEU
00?olcD00ook5003ooh800?oo1000ooe:`03onYC00?ogH800oo</@03oiVj00CoDjL00olJU003o`21
4P?o06la0ol0Gd@3o`1@CP?o03I30ol08SP3o`0F;`?o00dX0ol02283o`057PCo00<K0ol00QX6o`02
6@?o008J0ol00aX3o`036`Ko00@L2Ol011d4o`0470?o00<K0ol00aX3o`026PKo008I0ol00aX3o`04
70?o00HO0ol02RD3o`0B;0Oooooo0Ol00001ooooo`001oooool01?l0003oooooooooool00007oooo
o`05o`000?ooooooooooooooool000001_ooool00ol0003oooooooooo`05ooooo`?oN;400omV[003
oe:W00?o?Z000ol/VP03oaRC00?o1hd00ol0Q`D3o`233P?o07lE0ol0OAX4o`1k7P?o07XO0ol0Nah3
o`1l6`?o07lF0ol0P`h3o`2810?o2Hd00olKU003oc:L00?oCJD00om][P04oi>i00?o_l<00oo>[@03
omR@00?ohW000oo[D003oo<c00?onA/00oom2`03ooh700?oo0l00oog9004oni600?ohW400ooCX003
ok;000?oHZ/00olKU003o`1m6P?o06Dn0ol0Cdh3o`0Y?0?o018[1?l01b06o`026P?o00LP0ol04b`3
o`0]?P?o05E;0ol0Kc43o`>;00?oE:L00oni`P03omV=00Cok4l00ooh8003ood900?ona800oob>003
on9b00?oc;<00omi/P03oafE00?o07PS0ol0G4H3o`0g@`Co01H_0ol02243o`036P?o008J0ol01b43
o`0D;P?o03500ol0EdX3o`1`;`?o18/00om>Y@04ojZn00?oe9d00ooUI@03oo<e00?ona@00oon2003
oo`@00?omB/00ooZD`03omf200?oc;400onI^P04oe>W00?o6Y@00ol0PA83o`1_<@?o05m40ol0D4h3
o`0f@`?o028h0ol05Rl3o`0=:0?o00PR0ol01Ah4o`036`?o008J1_l00QT3o`026P?o00<J0ol00a/6
o`0470Wo00@M1?l011`3o`036`?o00<J0ol00QX6o`026@?o00<J0ol011`3o`067`?o00XU0ol04R`7
ooooo`7o00000Oooool000Go00000oooool00ol0003oooooooooo`0;ooooo`03o`000?oooooooooo
00Cooooo00?o0000ooooooooool01Oooool3ogRa00?oIZ`00omBY`03ocjP00?o;9X00olHT`03o`N=
00?o08L50ol0P`h3o`1o5@?o07dJ1?l0Nah3o`1j7`?o07/N0ol0O1/3o`1o5P?o08<>0ol0R0@3o`V=
00?o6i@00olbW003odfU00?oKJh01?nC^@03oko300?ocZd00ooHT003on9`00?oje000ooc<`03ooTK
00?oo@/00oon1`03oo`?00?omb@01?o^AP03on9a00?odj000onb`003of:[00?o6i@00ol0OAX3o`1U
?P?o04m>0ol0:C`3o`0B:`Co00LP1_l00QX3o`0780?o01</0ol0;Ch3o`1EB`?o06la0ol3R`03oeBW
00?o^L800ooIS@04ona?00?on2000oom2@03oo/B00?olSP00ooRLP03olbc00?oNK800olMU@03o`1h
8`?o05a60ol0=d<4o`0F;`?o00PQ0ol00aX3o`026P?o00LQ0ol052h3o`0a@0?o05M:0ol0L2l3o`B;
00?oCZD01?nZ_P03omBM00?oiFD00ooc=@03oo/D00?ooPP00ool4003ooD[00?ojU<00ooMPP03olba
00?oVKX01?mCY`03oaZD00?o084B0ol0Kc43o`1OA0?o051>0ol0=T<3o`0R>0?o01H_0ol03BP3o`08
8P?o00DN1?l00a/3o`026PKo008I0ol00QX3o`036P?o00<K1_l011`9o`047@Co00@L0ol00a/3o`03
6P?o008J1_l00QT3o`036P?o00@L0ol01Ql3o`0:9@?o018/1oooool1o`00007ooooo0009ooooo`03
o`000?oooooooooo00[ooooo00?o0000ooooooooool01?ooool3o`0000Gooooo0omFZ003od:Q00?o
;I/00olJU003o`Z>00?o08H70ol0P1D3o`1j7`?o07HV0ol0Lb/3o`1`;`Co06lb0ol0KS83o`1_<@?o
074^0ol0M2X3o`1h8`?o07dJ0ol0P`h3o`6:00?o5I800ol_V`03odfU00CoL[000onM^`03olK000?o
dZ<00ooLP`03onMQ00?okd400oog9@03oo/A00?ooPL00oom2P03ooTK00ColCX00ooVH`03omNC00?o
aL<00ome/003obZJ00?o088@0ol0JSP3o`1CC0?o02ho0ol052h4o`088@?o00<J0ol00QX3o`067`?o
014[0ol0:S`3o`1CC@?o06de0ol0R@43odjU00?o//000ooHT004on]B00?on2400oom2P03oo/B00?o
lSP00ooRLP03olbc00?oN;400olLU003o`1g90?o05]70ol0=D84o`0E;`?o00LQ0ol00QX3o`036P?o
00PQ0ol05Rl3o`0e@P?o05Y80ol0M2X3o`b?00?oFjT01?nh`P03omNC00?oj5`00ood;@03oo`@00?o
oPP00ooj5@03oo<d00?oiel00ooHT003olNo00?oP[@01?lnX003o`R=00?o07XP0ol0J3/3o`1HBP?o
04=90ol0:Sd3o`0J<P?o010Z0ol02B@3o`067`?o00@L1?l00QX6o`026@?o00<J0ol00a/3o`0470?o
00DN0ol01Ql3o`0680Wo00LP1?l01R03o`057`?o00DM0ol011`3o`036`?o008J0ol00QT3o`026P?o
00@L0ol01Ql3o`0;9@Gooooo0ol00001ooooo`001_ooool01Ol0003ooooooooooooooooo000000Oo
oooo1?l00007ooooo`03o`000?oooooooooo00Gooooo0omFZ003od:Q00?o;I/00olJU003o`Z>00?o
08H70ol0P1D3o`1j7`?o07HV0ol0Lb/3o`1`;`Co06lb0ol0KS83o`1_<@?o074^0ol0M2X3o`1h8`?o
07dJ0ol0P`h3o`6:00?o5I800ol_V`03odfU00CoL[000onM^`03olK000?odZ<00ooLP`03onMQ00?o
kd400oog9@03oo/A00?ooPL00oom2P03ooTK00ColCX00ooVH`03omNC00?oaL<00ome/003obZJ00?o
088@0ol0JSP3o`1CC0?o02ho0ol052h4o`088@?o00<J0ol00QX3o`067`?o014[0ol0:S`3o`1CC@?o
06de0ol0R@43odjU00?o//000ooHT004on]B00?on2400oom2P03oo/B00?olSP00ooRLP03olbc00?o
N;400olLU003o`1g90?o05]70ol0=D84o`0E;`?o00LQ0ol00QX3o`036P?o00PQ0ol05Rl3o`0e@P?o
05Y80ol0M2X3o`b?00?oFjT01?nh`P03omNC00?oj5`00ood;@03oo`@00?ooPP00ooj5@03oo<d00?o
iel00ooHT003olNo00?oP[@01?lnX003o`R=00?o07XP0ol0J3/3o`1HBP?o04=90ol0:Sd3o`0J<P?o
010Z0ol02B@3o`067`?o00@L1?l00QX6o`026@?o00<J0ol00a/3o`0470?o00DN0ol01Ql3o`0680Wo
00LP1?l01R03o`057`?o00DM0ol011`3o`036`?o008J0ol00QT3o`026P?o00@L0ol01Ql3o`0;9@Oo
oooo0Ol00001ooooo`001_ooool01Ol0003ooooooooooooooooo000000Oooooo00?o0000oooooooo
ool02?ooool00ol0003oooooooooo`05ooooo`?oEZP00om2X@03obfK00?o6Y@00ol:SP03o`261`?o
080E0ol0NQl3o`1f9P?o07<[0ol0L2l4o`1_<P?o06hb0ol0Kc43o`1a;P?o07@Z0ol0N2<3o`1m6P?o
08<>0ol1RP03oaFB00?o;i/00om=Y@04og:`00?oWK/00oo6`003om:S00?og8<00ooWH@03onm100?o
mbD00ook4@03ooh700?oo@X00ooi6`04oo4j00?oiV<00ooGT`03olG300?oMK000olZVP03o`2240?o
06Xh0ol0Dd`3o`0^?`?o01@^1?l02243o`036P?o008J0ol01Ql3o`0A:`?o02Xl0ol0Ddd3o`1]=@?o
08T10om>Y@03ok;000?of9001?o[DP03ooPQ00?oo@X00ook4P03oo8h00?ohW800oo</`03ogRa00?o
79@00ol0Mb@3o`1KA`?o03E21?l05Bl3o`078@?o008J0ol00aX3o`088@?o01H_0ol0=D83o`1JB0?o
07@Z0ol<S`03oe^Y00Co^<800ooGT`03onQL00?om2d00ool4003ooh800?onQD00ooc=003onMO00?o
f9000oo7_`03oh:d00Co?Z000ol8S@03o`1j80?o06Pk0ol0F4X3o`13B@?o02Xm0ol06S83o`0@:P?o
00TT0ol01Ql3o`0470Co008J1_l00QT3o`036P?o00<K0ol011`3o`057P?o00HO0ol01R09o`0780Co
00HP0ol01Al3o`057@?o00@L0ol00a/3o`026P?o008I0ol00QX3o`0470?o00HO0ol02bD7ooooo`7o
00000Oooool000Oooooo0ol00008ooooo`Go00001_ooool00ol0003oooooooooo`05ooooo`?o=Yh0
0olQU`03o`j?00?o08P30ol0PA43o`1j80?o07<Z0ol0KS83o`1Z>0?o06Lk0ol0ICh4o`1T?`?o06=0
0ol0I3l3o`1V?0?o06Ti0ol0KC<3o`1c;0?o07TQ0ol0P1@3o`290@?o5I800olaW004oeBW00?oOK<0
0on]_`03ol^e00?oei@00ooRLP03on]?00?om3000ooj6003ood900?ooPP00ook5@04oo@`00?ojEL0
0ooKQP03olZg00?oQkD00oliW`03o`271P?o06hb0ol0EdX3o`0d@P?o01L`1?l02B<3o`036`?o008I
0ol01Ah3o`0?:@?o02Hj0ol0D4d3o`1Z=`?o08L60om8X`03ojbo00?oei<01?oZE003ooLR00?oo@X0
0ook4@03oo8g00?ohW800oo;/`03ogJa00?o6Y@00ol0MRH3o`1JB0?o03=21?l052h3o`0780?o008J
0ol00aX3o`088P?o01Pa0ol0>D@3o`1LAP?o07LU0olETP03ofJ/00CoaL<00ooJR`03onYC00?omRL0
0ool3@03ood900?onA/00oo`?@03onA[00?oe9d00onh`P03ofb^00Co:iX00ol0QPL3o`1c:`?o0652
0ol0DDd3o`0f@`?o024g0ol052h3o`0<9P?o00LP0ol011`3o`036POo008I0ol00aX3o`0370?o00DM
0ol01Ql3o`078@?o00TS0ol02R@3o`0:9@Ko00/U1?l02R@3o`098`?o00LQ0ol01Ql3o`057@?o00<K
0ol00aX3o`026@?o008J0ol011`3o`0680Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o=Yh00olQU`03o`j?00?o08P30ol0PA43o`1j80?o07<Z0ol0KS83o`1Z>0?o06Lk0ol0
ICh4o`1T?`?o06=00ol0I3l3o`1V?0?o06Ti0ol0KC<3o`1c;0?o07TQ0ol0P1@3o`290@?o5I800ola
W004oeBW00?oOK<00on]_`03ol^e00?oei@00ooRLP03on]?00?om3000ooj6003ood900?ooPP00ook
5@04oo@`00?ojEL00ooKQP03olZg00?oQkD00oliW`03o`271P?o06hb0ol0EdX3o`0d@P?o01L`1?l0
2B<3o`036`?o008I0ol01Ah3o`0?:@?o02Hj0ol0D4d3o`1Z=`?o08L60om8X`03ojbo00?oei<01?oZ
E003ooLR00?oo@X00ook4@03oo8g00?ohW800oo;/`03ogJa00?o6Y@00ol0MRH3o`1JB0?o03=21?l0
52h3o`0780?o008J0ol00aX3o`088P?o01Pa0ol0>D@3o`1LAP?o07LU0olETP03ofJ/00CoaL<00ooJ
R`03onYC00?omRL00ool3@03ood900?onA/00oo`?@03onA[00?oe9d00onh`P03ofb^00Co:iX00ol0
QPL3o`1c:`?o06520ol0DDd3o`0f@`?o024g0ol052h3o`0<9P?o00LP0ol011`3o`036POo008I0ol0
0aX3o`0370?o00DM0ol01Ql3o`078@?o00TS0ol02R@3o`0:9@Ko00/U1?l02R@3o`098`?o00LQ0ol0
1Ql3o`057@?o00<K0ol00aX3o`026@?o008J0ol011`3o`0680Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?o=Yh00olQU`03o`j?00?o08P30ol0PA43o`1j80?o07<Z0ol0KS83
o`1Z>0?o06Lk0ol0ICh4o`1T?`?o06=00ol0I3l3o`1V?0?o06Ti0ol0KC<3o`1c;0?o07TQ0ol0P1@3
o`290@?o5I800olaW004oeBW00?oOK<00on]_`03ol^e00?oei@00ooRLP03on]?00?om3000ooj6003
ood900?ooPP00ook5@04oo@`00?ojEL00ooKQP03olZg00?oQkD00oliW`03o`271P?o06hb0ol0EdX3
o`0d@P?o01L`1?l02B<3o`036`?o008I0ol01Ah3o`0?:@?o02Hj0ol0D4d3o`1Z=`?o08L60om8X`03
ojbo00?oei<01?oZE003ooLR00?oo@X00ook4@03oo8g00?ohW800oo;/`03ogJa00?o6Y@00ol0MRH3
o`1JB0?o03=21?l052h3o`0780?o008J0ol00aX3o`088P?o01Pa0ol0>D@3o`1LAP?o07LU0olETP03
ofJ/00CoaL<00ooJR`03onYC00?omRL00ool3@03ood900?onA/00oo`?@03onA[00?oe9d00onh`P03
ofb^00Co:iX00ol0QPL3o`1c:`?o06520ol0DDd3o`0f@`?o024g0ol052h3o`0<9P?o00LP0ol011`3
o`036POo008I0ol00aX3o`0370?o00DM0ol01Ql3o`078@?o00TS0ol02R@3o`0:9@Ko00/U1?l02R@3
o`098`?o00LQ0ol01Ql3o`057@?o00<K0ol00aX3o`026@?o008J0ol011`3o`0680Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o6I@00ol5S003o`2430?o07`K0ol0MRL3o`1^
<P?o06Pj0ol0Hd03o`1OA0?o05e60ol0FdP7o`1IB0?o05]80ol0GDH3o`1P@`?o06@o0ol0JCT3o`1_
<@?o07LU0ol0OaD3o`2900?o6I@01?ljW`03of6[00?oSkP00oo4a003om6U00?ogH800ooWGP03oo4l
00?on2000ool3@03ooh700?oo0l01?of9`03ona<00?oggX00oo>[003oiVj00?oB:<00ol4R`03o`1c
;0?o05]70ol0>TD3o`0J<PCo00XT0ol011`3o`026@?o00DM0ol03RP3o`0T>@?o04i>0ol0J3X3o`25
2P?o@Z800onW_@03omJF00CojUH00oog9003ood:00?ona400oob=`03on9b00?obk@00ome/@03oaVC
00?o07HW0ol0FDP3o`0b@@Co01<]0ol01R03o`026P?o00<K0ol02B<3o`0J<P?o03e70ol0Gd@3o`1j
80?o7ID00omb/004olRl00?ogH800oo]B`03ooLQ00Koo@/00ooh8@03oni700?oh7L00oo?Z@03oj>m
00?oF:P01?lJU003o`2050?o06de0ol0FdL3o`17B`?o02`n0ol06S83o`0?:@?o00TS0ol01Ah3o`03
6`Oo008I0ol00aX3o`0470?o00DN0ol01b03o`098`?o00/U0ol03BL3o`0>:@Wo010Z1?l03bT3o`0>
:0?o00`V0ol02R@3o`078@?o00DN0ol011`3o`036P?o008I0ol00aX3o`0470Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?o6I@00ol5S003o`2430?o07`K0ol0MRL3o`1^<P?o
06Pj0ol0Hd03o`1OA0?o05e60ol0FdP7o`1IB0?o05]80ol0GDH3o`1P@`?o06@o0ol0JCT3o`1_<@?o
07LU0ol0OaD3o`2900?o6I@01?ljW`03of6[00?oSkP00oo4a003om6U00?ogH800ooWGP03oo4l00?o
n2000ool3@03ooh700?oo0l01?of9`03ona<00?oggX00oo>[003oiVj00?oB:<00ol4R`03o`1c;0?o
05]70ol0>TD3o`0J<PCo00XT0ol011`3o`026@?o00DM0ol03RP3o`0T>@?o04i>0ol0J3X3o`252P?o
@Z800onW_@03omJF00CojUH00oog9003ood:00?ona400oob=`03on9b00?obk@00ome/@03oaVC00?o
07HW0ol0FDP3o`0b@@Co01<]0ol01R03o`026P?o00<K0ol02B<3o`0J<P?o03e70ol0Gd@3o`1j80?o
7ID00omb/004olRl00?ogH800oo]B`03ooLQ00Koo@/00ooh8@03oni700?oh7L00oo?Z@03oj>m00?o
F:P01?lJU003o`2050?o06de0ol0FdL3o`17B`?o02`n0ol06S83o`0?:@?o00TS0ol01Ah3o`036`Oo
008I0ol00aX3o`0470?o00DN0ol01b03o`098`?o00/U0ol03BL3o`0>:@Wo010Z1?l03bT3o`0>:0?o
00`V0ol02R@3o`078@?o00DN0ol011`3o`036P?o008I0ol00aX3o`0470Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`05ooooo`?o6I@00ol5S003o`2430?o07`K0ol0MRL3o`1^<P?o06Pj
0ol0Hd03o`1OA0?o05e60ol0FdP7o`1IB0?o05]80ol0GDH3o`1P@`?o06@o0ol0JCT3o`1_<@?o07LU
0ol0OaD3o`2900?o6I@01?ljW`03of6[00?oSkP00oo4a003om6U00?ogH800ooWGP03oo4l00?on200
0ool3@03ooh700?oo0l01?of9`03ona<00?oggX00oo>[003oiVj00?oB:<00ol4R`03o`1c;0?o05]7
0ol0>TD3o`0J<PCo00XT0ol011`3o`026@?o00DM0ol03RP3o`0T>@?o04i>0ol0J3X3o`252P?o@Z80
0onW_@03omJF00CojUH00oog9003ood:00?ona400oob=`03on9b00?obk@00ome/@03oaVC00?o07HW
0ol0FDP3o`0b@@Co01<]0ol01R03o`026P?o00<K0ol02B<3o`0J<P?o03e70ol0Gd@3o`1j80?o7ID0
0omb/004olRl00?ogH800oo]B`03ooLQ00Koo@/00ooh8@03oni700?oh7L00oo?Z@03oj>m00?oF:P0
1?lJU003o`2050?o06de0ol0FdL3o`17B`?o02`n0ol06S83o`0?:@?o00TS0ol01Ah3o`036`Oo008I
0ol00aX3o`0470?o00DN0ol01b03o`098`?o00/U0ol03BL3o`0>:@Wo010Z1?l03bT3o`0>:0?o00`V
0ol02R@3o`078@?o00DN0ol011`3o`036P?o008I0ol00aX3o`0470Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?o08X00ol0PA43o`1i8@?o078]0ol0JcL3o`1T?`?o05i50ol0
FDT3o`1EB`?o05=<0ol0DDd4o`1@CP?o051=0ol0DTd3o`1DC0?o05M:0ol0FdL3o`1P@`?o06Ll0ol0
KS83o`1g9@?o084C0ol4R`04ob>G00?oB:<00ome/003ojRn00?obkD00ooHTP03on=]00?okDP00oof
:@03oo/B00?ooPP00oom3004ooPO00?okd800ooRK`03om:R00?oZ[h00omFZ003o`n@00?o07LU0ol0
GT@3o`10B0?o01he1?l032H3o`0470?o008I0ol011`3o`0<9`?o024g0ol0BTd3o`1W?0?o08<>0olm
X003oj:l00?oeIT01?oYF@03ooLU00?oo@/00ook4@03oo8f00?ohW800oo;]003ogB`00?o5i<00ol0
MBP3o`1IB@?o03101?l04b`3o`067`?o008I0ol00a/3o`0:90?o01`d0ol0@DP3o`1Q@P?o07`K0olU
V003ogfc00CobkD00ooONP03onm400?onA`00oom2@03oo`=00?omRL00oo[D003omf200?obk@00on@
^003odNS00Co2hh00ol0NR03o`1W?0?o05E;0ol0?4H3o`0T>@?o01D^0ol032H3o`0680?o00@L0ol0
0QX3o`026@Co008J0ol00a/3o`057P?o00LQ0ol02R@3o`0=9`?o00lZ0ol04R`3o`0E;P?o01H_1_l0
5c04o`0F;`?o01@^0ol04R`3o`0?:@?o00`V0ol02B<3o`067`?o00@L0ol00aX3o`026P?o00<J1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0RP03o`214@?o07TQ0ol0LRd3
o`1[=`?o06@o0ol0GTD3o`1IB@?o05E;0ol0Dd`3o`1AC@Co051>0ol0D4d3o`1BC@?o05A<0ol0EdX3
o`1KA`?o06130ol0Ic`3o`1^<P?o07LU0ol0PA<3o`B;00Co8iL00om8X`03ogF`00?oZ;h00oo;]@03
omRB00?ohfd00oo]B003ooHY00?ona800oon2003ood<00Con1l00oo_@P03on9_00?odZ800onZ_P03
oeJX00?o3i000ol0MbD3o`1NA0?o04180ol07SD4o`0<9P?o00@L0ol00QT3o`0470?o00`W0ol08CL3
o`1:C@?o06Ll0ol0P`h3ocfP00?oX[`00ooEV@04onUI00?ombD00oom2`03oo/A00?olSH00ooRLP03
ol^d00?oM;000olGT`03o`1e:0?o05U90ol0<404o`0C;0?o00HO0ol00QT3o`036`?o00XT0ol073@3
o`11B0?o06520ol0O1/3obFH00?oOK<01?o;]@03ommj00?okd@00ooi7003ood900?oo0d00oof9`03
on]@00?ogH800oo;]003oi2h00?oAj<01?l;SP03o`1j80?o06Ll0ol0ED/3o`0lAP?o02@i0ol05Bh3
o`0<9P?o00HP0ol011`3o`026P?o008I1?l00QX3o`036`?o00DN0ol01b43o`0:90?o00dW0ol03bX3
o`0B;0?o01D^0ol05Rl6o`0G<0Co01H_0ol052h3o`0B;0?o00lY0ol032H3o`098`?o00HO0ol011`3
o`036P?o008J0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`2:
00?o084A0ol0NB43o`1b;@?o06/g0ol0I3l3o`1NA@?o05U90ol0ED/3o`1CC0?o055=1?l0D4h3o`1@
C@?o059=0ol0E4`3o`1GBP?o05]70ol0H4<3o`1W?0?o06hb0ol0MbD3o`214`?o18/01?lSU`03odRS
00?oMK000onX_P03ol^e00?of9800ooSK@03one800?omRT00ook4P03ooh800?oo@`01?oh7`03onm2
00?ohVl00ooBXP03ojZn00?oEZP00ol?T003o`1g9@?o05i40ol0@4P3o`0N=@Co00`V0ol011`3o`02
6@?o00@L0ol032L3o`0Q=`?o04Y=0ol0Ic`3o`233P?o?J000onR_003omFI00CojET00oog9@03ood;
00?ona400oob=P03on9b00?obk@00omd/003oaNC00?o07DX0ol0FDT3o`0`@0Co01</0ol01Ql3o`02
6@?o00<K0ol02R@3o`0L=0?o04580ol0HD83o`1l6`?o9IP00omm/`04ol^e00?oggX00oo_A003ooTL
00?oo@T00ool3@03ooHW00?oje000ooMPP03ol^d00?oT;P00om7X`04o`^>00?o07XP0ol0Ic`3o`1E
B`?o03a60ol093T3o`0E;P?o00`V0ol01R03o`0470?o008J0ol00QT4o`026P?o00<K0ol01Ah3o`07
8@?o00XT0ol03BL3o`0?:P?o018/0ol05Bh3o`0F;`Ko01L`1?l05Rl3o`0D;P?o018/0ol03bT3o`0<
9P?o00TS0ol01Ql3o`0470?o00<J0ol00QX3o`036POooooo0Ol00001ooooo`007Oooool2o`0000Ko
oooo0ol0P1@3o`1g90?o06la0ol0J3/3o`1Q@P?o05Y80ol0E4`3o`1@CP?o04]=0ol0ATX3o`12B@Oo
04580ol0A4X3o`19C0?o04m>0ol0Dd`3o`1IB@?o05m40ol0IS`3o`1_<@?o07TQ0ol0Q0`4o`n@00?o
<Y`00omMZP03ohng00?oaL<00ooCX003ommj00?ojUD00ooc<P03ooXH00Koo@T01?oi6@03oo4i00?o
iFD00ooFV003ok[200?oI:`00olIU003o`1k7P?o06910ol0AT/3o`0Q=`Co00dW0ol011d3o`026@?o
00@L0ol02bD3o`0O=@?o04M;0ol0ICh3o`214@?o>Il00onM^`03omBL00Coj5/00oof9P03ood;00?o
na400oob=P03on9b00?obk@00omc/003oaJB00?o07@Y0ol0F4X3o`0_?`Co018/0ol01Ql3o`026@?o
00<K0ol02bD3o`0N=@?o04E:0ol0I403o`1o5P?o;I/00on7]@04olf^00?ohG<00oo`?P03ooXH00?o
o@P00ool4003oo@]00?ojET00ooIS003olNn00?oO[<00olgWP04o`290@?o07@Y0ol0HD83o`1@CP?o
03=10ol07SD3o`0A:`?o00TS0ol01Ah3o`036`Ko008I1?l00a/3o`057@?o00LP0ol02R@3o`0=:0?o
014[0ol05Bh3o`0I<@?o01`d0ol07cD6o`0P=PCo01lf0ol07C@3o`0I<P?o01H_0ol04B/3o`0=9`?o
00TS0ol01R03o`0470?o00<J0ol00QX6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`2050?o07LT0ol0Kc43o`1X>`?o06520ol0FTP3o`1DC0?o051>0ol0Bdd3o`16BP?o0499
1ol0@DP3o`14BP?o04U<0ol0Cdh3o`1CC0?o05U90ol0Gd@3o`1V?0?o06la0ol0NB43o`2430Co3i00
0olbW003oefZ00?oSkL00oo5``03om>P00?oggX00ooZE@03oo<b00?onQP01_om2@04ooTI00?olCT0
0ooUI@03omJH00?o^/800omT[003oaVD00?o07/N0ol0HT43o`16B`?o024g1?l03BL3o`047@?o008I
0ol011`3o`0;9@?o01le0ol0Ad/3o`1U?P?o084A0oliW`03oifk00?oe9`01?oXF`03ooHV00?oo@/0
0ook4@03oo8f00?ohW800oo;]003og>`00?o5Y800ol0M2T3o`1HBP?o02lo1?l04R`3o`067`?o008I
0ol00a/3o`0;9@?o01he0ol0ADX3o`1T@0?o07lF0ol]V`03ohNe00CocJh00ooQL`03oo0n00?onQP0
0oom2003oo`@00?om2d00ooYF@03omV<00?oakh00omn/`03ocNN00Co08T10ol0M2T3o`1Q@P?o051>
0ol0<d43o`0N=@?o014[0ol02B<3o`057P?o00<K1_l00QT4o`036`?o00DM0ol01b03o`0:90?o00dX
0ol04B/3o`0E;P?o01Ta0ol073@3o`0O=@Ko020f1?l07cH3o`0M=0?o01Tb0ol05Rl3o`0A:`?o00dW
0ol02B<3o`0680?o00@L0ol00aX3o`026POooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o080D0ol0Mb@3o`1_<@?o06Pk0ol0HD83o`1JB0?o05A<0ol0D4h3o`1;C@?o04I:0ol0
@TT7o`11B0?o04A:0ol0BD`3o`1?CP?o05=<0ol0FDT3o`1OA0?o06Hl0ol0Kc43o`1i8@?o08@<1?l?
T003oc:L00?oGJX00on?]`03olG300?odj000ooONP03onYE00?olc800ooj6006ood900ConAT00ooa
>@03onEU00?oeYP00onj`P03ofB/00?o6I@00ol0Nah3o`1R@@?o04I;0ol08CL4o`0=9`?o00@M0ol0
0QT3o`0470?o00/U0ol07cD3o`17B`?o06Dn0ol0PA43ocVO00?oWK/00ooDW004onQK00?omRH00oom
2`03oo/A00?olSH00ooRLP03ol^d00?oLk000olFTP03o`1d:@?o05Q:0ol0;cl4o`0B;0?o00HO0ol0
0QT3o`036`?o00/U0ol07SD3o`15BP?o06A00ol0OaH3obfK00?oQkD01?o=[P03on5c00?ol3h00ooj
6003ood800?oo1000ood;@03onUI00?ofH`00oo7_P03ogjc00?o=ih01?l0R@43o`1d:@?o06520ol0
D4h3o`0c@@?o01he0ol04B/3o`098`?o00DN0ol00a/6o`026@Co00<K0ol01Ad3o`0780?o00XT0ol0
3BP3o`0A:`?o01D^0ol06C43o`0L=0?o01le1_l083H4o`0O=P?o01dd0ol06C83o`0F;`?o014[0ol0
3BL3o`098`?o00HP0ol011`3o`036P?o008J1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Gooooo0ol0Mb@3o`1^<P?o06Hm0ol0GTD3o`1HBP?o055=0ol0BD`3o`10B0?o03Y50ol0=T<3
o`0c@@Co03910ol0<d43o`0f@`?o03Y50ol0@DP3o`1:C0?o055=0ol0F4X3o`1OA0?o06Pk0ol0LRd3
o`1m6`Co08T10olNUP03odNS00?oN;400on``003olj]00?ofhP00ooWH@03oo4l00?on1h00oom3003
ooh800Cona@00ooc<@03onQL00?ofHh00oo6`@03og:`00?o99L00ol0OQP3o`1U?P?o04e>0ol093T4
o`0?:@?o00DN0ol00QT3o`036`?o00XT0ol07C@3o`13B@?o06=00ol0P1@3ocFM00?oV;X00ooCWP04
onQM00?omRL00oom2`03oo`A00?olSH00ooRLP03ol^d00?oL[000olETP03o`1d:P?o05M:0ol0;Ch4
o`0A:`?o00DN0ol00QT3o`0470?o00/V0ol083H3o`19C0?o06Hm0ol0PA43ocFM00?oTKP01?o@Z003
on=/00?olSP00ooj5@03ood800?ona@00ooc=003onIR00?oeYH00ono``03ofj_00?o:9T01?l0Q0`3
o`1_<@?o05a60ol0B4/3o`0[?@?o01Pa0ol03BL3o`078@?o00@L0ol00QX3o`026@?o00<J1?l011`3
o`0680?o00TS0ol03BL3o`0B;0?o01L`0ol073@3o`0Q=`?o02Di0ol0:3/3o`0Z?0?o02/m1?l0:C`3
o`0W>`?o02<h0ol07SD3o`0H<@?o01<]0ol03RP3o`098`?o00HO0ol011`3o`036POooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o07LT0ol0KS83o`1V?@?o05i50ol0F4X3o`1A
C@?o04U<0ol0@4P3o`0jA@?o03I30ol0<d44o`0b@@?o03=10ol0=T<3o`0jA@?o04580ol0BT`3o`1A
C@?o05Q:0ol0Gd@3o`1X>`?o078]0ol0OA/4o`290@?o7YH00om7X`03ogRa00?o/<000oo>[@03om^8
00?oif400ooa?003ooPN00?oo@`00oon2004oo/D00?olc400ooXG003omV>00?oa/400omb/003obBG
00?o07hH0ol0ICh3o`1=CP?o02@i1?l03bT3o`057P?o008I0ol00a/3o`0:90?o01dd0ol0@dT3o`1S
@0?o080D0oleW@03oiRj00?odih01?oXG@03ooHW00?oo@/00ool4@03oo8f00?ohW800oo;]003og:`
00?o5I800ol0M2X3o`1GBP?o02dn1?l04B/3o`057P?o008I0ol011`3o`0;9P?o020f0ol0BD`3o`1V
?@?o084A0oleW@03oi6h00Cod:P00ooSK003oo8h00?onQD00oom2003oo/D00?olc@00ooVHP03omJF
00?o_l<00om^[`03obRI00Co08@<0ol0Kc43o`1LAP?o04Q;0ol0:cd3o`0H<@?o00dW0ol01b43o`04
70?o008J0ol00QT3o`036PCo00@L0ol01R03o`098`?o00dW0ol04R`3o`0G<0?o01`d0ol08CL3o`0U
>@?o02Pk0ol0:S`3o`0[?@Co02Tl0ol09c/3o`0S>0?o01he0ol06343o`0C;@?o00hX0ol02B<3o`06
7`?o00@L0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1g90?o
06hb0ol0ISd3o`1NA@?o05Q:0ol0DDd3o`19C0?o04180ol0>TD3o`0f@`?o03=11?l0<T43o`0c@@?o
03I30ol0>TD3o`11B0?o04Y<0ol0DDd3o`1HBP?o05m40ol0J3/3o`1b;@?o07dK1?l0R@43oajF00?o
Aj<00omh/@03ok3000?ocZd00ooKR003onMQ00?olC`00ooh7P03ood<00?ooPP01?ok5003oo<a00?o
j5`00ooISP03olK100?oL[000olTU`03o`1n60?o06Dn0ol0CDh3o`0T>@Co00lY0ol01Ah3o`026@?o
00<K0ol02R@3o`0M=0?o04=90ol0Hd03o`2050?o=Id00onH^P03om>N00Coj5d00oof9`03ood;00?o
o1400oob=P03on9b00?obk@00omb/003oaFB00?o07@Z0ol0EdX3o`0]?PCo014[0ol01Ah3o`026@?o
00@L0ol02bH3o`0P=P?o04U<0ol0ISd3o`214@?o=Id00onA^004om2X00?ohf`00oob>003ooXE00?o
o@P00ook5003oo<d00?oiV800ooFUP03oko300?oKZl00olXV@04o`2430?o06la0ol0G4H3o`18B`?o
02/m0ol06343o`0=9`?o00LQ0ol011`3o`026P?o008I0ol00aX4o`0470?o00HP0ol02B<3o`0=9`?o
018/0ol05c03o`0L=0?o024g0ol09CT3o`0X>`?o02Xl0ol0:cd4o`0Y?0?o02Lk0ol08cP3o`0N=@?o
01Pa0ol04bd3o`0>:0?o00TS0ol01Ql3o`0470?o00<J1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ol0Mb@3o`1^<P?o06Hm0ol0GTD3o`1HBP?o055=0ol0BD`3o`10B0?o03Y5
0ol0=T<3o`0c@@Co03910ol0<d43o`0f@`?o03Y50ol0@DP3o`1:C0?o055=0ol0F4X3o`1OA0?o06Pk
0ol0LRd3o`1m6`Co08T10olNUP03odNS00?oN;400on``003olj]00?ofhP00ooWH@03oo4l00?on1h0
0oom3003ooh800Cona@00ooc<@03onQL00?ofHh00oo6`@03og:`00?o99L00ol0OQP3o`1U?P?o04e>
0ol093T4o`0?:@?o00DN0ol00QT3o`036`?o00XT0ol07C@3o`13B@?o06=00ol0P1@3ocFM00?oV;X0
0ooCWP04onQM00?omRL00oom2`03oo`A00?olSH00ooRLP03ol^d00?oL[000olETP03o`1d:P?o05M:
0ol0;Ch4o`0A:`?o00DN0ol00QT3o`0470?o00/V0ol083H3o`19C0?o06Hm0ol0PA43ocFM00?oTKP0
1?o@Z003on=/00?olSP00ooj5@03ood800?ona@00ooc=003onIR00?oeYH00ono``03ofj_00?o:9T0
1?l0Q0`3o`1_<@?o05a60ol0B4/3o`0[?@?o01Pa0ol03BL3o`078@?o00@L0ol00QX3o`026@?o00<J
1?l011`3o`0680?o00TS0ol03BL3o`0B;0?o01L`0ol073@3o`0Q=`?o02Di0ol0:3/3o`0Z?0?o02/m
1?l0:C`3o`0W>`?o02<h0ol07SD3o`0H<@?o01<]0ol03RP3o`098`?o00HO0ol011`3o`036POooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o06lb0ol0ISd3o`1MA@?o05I;0ol0
D4h3o`14BP?o03U50ol0<T43o`0]?P?o02Xl0ol0:3/4o`0W>`?o02Pk0ol0:Sd3o`0^?`?o03A20ol0
?4H3o`17B`?o055=0ol0FDT3o`1Q@P?o06/g0ol0MRH4o`2240?o3Xl00oldW@03of>/00?oVkX00oo9
^P03omND00?ohf`00oo^AP03ooHU00?oo0l00oon2004oo`A00?omB/00ooZD`03omb500?obKT00omn
/`03objK00?o084A0ol0J3X3o`1@CP?o02Pk1?l042X3o`067`?o008I0ol00a/3o`0990?o01/c0ol0
@4P3o`1R@P?o07hG0olaW003oiBi00?odZ001?oWGP03ooHX00?oo@`00ool4003oo8f00?ohW400oo;
]@03og6_00?o59400ol0Lb/3o`1GBP?o02`n1?l042X3o`057P?o008I0ol011`3o`0<9P?o028g0ol0
CDh3o`1X>`?o08@<0ollX003oi^j00CodZ800ooUIP03oo<c00?ona800oom2@03ooXG00?olCX00ooT
JP03om>O00?o[kl00omOZP03oabE00Co07lF0ol0JcL3o`1HBP?o03m70ol093T3o`0D;P?o00/U0ol0
1Ql3o`036`Ko008I0ol00a/4o`057P?o00PR0ol032H3o`0A:`?o01L`0ol07CD3o`0T>@?o02Xl0ol0
;cl3o`0c@@?o03I30ol0=d<4o`0e@`?o03=10ol0;Sl3o`0X>`?o024g0ol06S83o`0D;@?o00hX0ol0
2B<3o`067`?o00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0Kc83
o`1V?@?o05e50ol0ET/3o`1@CP?o04A:0ol0>DD3o`0b@@?o02dn0ol0:S`3o`0X>`Co02Lk0ol0:3/3
o`0Z?@?o02ho0ol0=483o`0lAP?o04M;0ol0DDd3o`1IB@?o06520ol0JcL3o`1f9PCo088@0ol>S`03
ocBM00?oHj`00onK^P03olVj00?oei@00ooSK003oni600?omRD00ool3`03ooh800Coo1400ooe:`03
onYC00?og8D00oo9^@03ogjc00?o;Y/00ol0PA43o`1X>P?o051>0ol0:3/4o`0@:P?o00HO0ol00QT3
o`036`?o00TT0ol06c<3o`10B0?o06920ol0OQL3oc6L00?oU;T00ooBX004onMN00?omRP00oom3003
oo`@00?olSH00ooRL@03ol^e00?oLJl00olDT@03o`1c:`?o05M:0ol0;3h4o`0@:P?o00DN0ol00QT3
o`0470?o00`V0ol08SL3o`1=CP?o06Pk0ol0Q0`3ocbP00?oVkX01?oBXP03onEV00?olc<00ook4P03
ood900?onQL00ooa>P03onAZ00?odil00on__`03oenZ00?o79D01?l0OaH3o`1[=`?o05Q:0ol0?dL3
o`0T>@?o01@^0ol02bD3o`067`?o00<K1_l00QT3o`036`Co00DN0ol02283o`0<9P?o014[0ol05c03
o`0M=@?o02@i0ol0:S`3o`0_?`?o03=10ol0=T<3o`0g@`Co03E30ol0<d43o`0^?`?o02Pk0ol08CL3
o`0J<P?o01@]0ol03RP3o`098`?o00HO0ol011`7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`1_<P?o06Hm0ol0GDD3o`1FB`?o051>0ol0A4X3o`0iA@?o03910ol0;Ch3o`0Z
?0?o02Pk1?l09c/3o`0X>`?o02Xm0ol0;Sl3o`0d@P?o03a60ol0Ad/3o`1AC@?o05U90ol0HD83o`1[
=`?o07HV1?l0PQ03o`j?00?o=9d00omS[003oi^j00?obKX00ooGU003on=/00?okTH00oof9@03oo`?
00?ooPP01?ol4@03ooD[00?ojU<00ooLQ@03olVi00?oO[<00ol^V`03o`214@?o06Pj0ol0D4h3o`0X
>`Co010Z0ol01Ql3o`026@?o00<K0ol02B@3o`0K<`?o04180ol0HT83o`1n5`?o<I`00onD^@03om:P
00Coieh00oof:003ood<00?oo1000oob=P03on9a00?obkD00oma[`03oaBA00?o07<[0ol0EdX3o`0/
?PCo010Z0ol01Ah3o`026@?o00@L0ol032H3o`0R=`?o04e>0ol0J3/3o`2430?o?:000onK^P04om:R
00?oiFH00ooc<`03oo/B00?oo@T00ooj5`03oo4j00?oi6X00ooCW`03ojno00?oGjX00olLU@04o`1o
5P?o06/g0ol0F4X3o`0oA`?o02@i0ol052h3o`0;9@?o00HO0ol00a/6o`026@?o00<K1?l01Ah3o`08
8P?o00`V0ol04B/3o`0G<0?o01de0ol093T3o`0Z?0?o02lo0ol0<d43o`0f@`?o03M31?l0=D<3o`0c
@@?o02ho0ol0:3/3o`0Q=`?o01Xb0ol052d3o`0>:0?o00TS0ol01Ql3o`0470Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?o06Ll0ol0GTD3o`1FB`?o04m>0ol0@DP3o`0f@`?o
02dn0ol09c/3o`0S>0?o020f0ol07cD4o`0N=@?o01lf0ol08CL3o`0U>@?o02Xl0ol0<D03o`0kA@?o
04Q;0ol0Dd`3o`1KA`?o06Dn0ol0L304o`1l70?o08T00olTU`03oe6V00?oQkD00oo4a003om>O00?o
h7L00oo/C`03ooD/00?ona<00oon2004oo`>00?ombD00oo]B`03omim00?oc;800on;]P03ocNN00?o
08D:0ol0JcL3o`1CC@?o02/m1?l04R/3o`067`?o008J0ol00a/3o`098`?o01Tb0ol0?DL3o`1P@`?o
07dJ0ol]V`03oi2h00?odZ<01?oWH003ooHY00?oo@`00ool4003oo8e00?ohW400oo;]@03og2_00?o
4i400ol0Lb`3o`1FB`?o02/m1?l042X3o`057P?o008I0ol011`3o`0=9`?o02@i0ol0Cdh3o`1Z>@?o
08H80om3XP03oj>m00Coe9`00ooWH@03oo@_00?oo1000oom2@03ooTK00?ol4000ooRLP03om2W00?o
XK`00omAYP03oa6@00Co07/N0ol0ISd3o`1DC0?o03M30ol07cH3o`0A:`?o00TS0ol011d3o`036P?o
008I0ol00aX3o`047@Co00LP0ol02RD3o`0@:P?o01H_0ol07C@3o`0U>@?o02`n0ol0=483o`0jA@?o
03m70ol0@TT3o`14BPCo04=90ol0@4P3o`0jA@?o03=20ol0:cd3o`0S>0?o01/c0ol04bd3o`0=9`?o
00PR0ol01Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1W?0?o05i5
0ol0ET/3o`1?CP?o04580ol0=T<3o`0]?P?o02Lk0ol08cP3o`0P=P?o01le1?l07SD3o`0O=P?o024g
0ol09CT3o`0Z?0?o03500ol0>dD3o`18B`?o05=<0ol0FdL3o`1U?P?o070`1?l0O1`3o`2900?o99L0
0omAYP03ohNe00?oa<@00ooCW`03on1g00?ok4l00ooe;003oo/C00?ooPP01?ol3P03ooLU00?okD/0
0ooNO@03olbb00?oRkH00olgWP03o`252P?o06/g0ol0Ddd3o`0[?@Co018[0ol01Ql3o`026P?o00<K
0ol02B<3o`0I<P?o03e70ol0H4<3o`1m6P?o;I/00on@^003om:S00Coif000oof:@03ood<00?oo100
0oob=@03on9a00?obkD00om`[`03oa>A00?o07</0ol0ET/3o`0[?@Co010Z0ol01Ah3o`026@?o00@L
0ol03BL3o`0T>@?o04m>0ol0JST3o`2620?o@j800onS_@04omBL00?oif400ood;`03oo`@00?oo@T0
0ooi6`03oo1000?ohW800oo@Y`03oj6l00?oDJH00olAT004o`1k7P?o06Hm0ol0E4`3o`0g@`?o01lf
0ol04B/3o`098`?o00@M0ol00aX3o`026@?o00<J0ol011d4o`0780?o00XU0ol042X3o`0F;`?o01dd
0ol09CT3o`0/?P?o03A20ol0>TD3o`0oA`?o04990ol0A4X4o`13B@?o04180ol0>TD3o`0c@P?o02/m
0ol08cP3o`0K<`?o01<]0ol03BL3o`088P?o00DN1oooool1o`00007ooooo000Mooooo`;o00001_oo
ool3o`1W?0?o05i50ol0ET/3o`1?CP?o04580ol0=T<3o`0]?P?o02Lk0ol08cP3o`0P=P?o01le1?l0
7SD3o`0O=P?o024g0ol09CT3o`0Z?0?o03500ol0>dD3o`18B`?o05=<0ol0FdL3o`1U?P?o070`1?l0
O1`3o`2900?o99L00omAYP03ohNe00?oa<@00ooCW`03on1g00?ok4l00ooe;003oo/C00?ooPP01?ol
3P03ooLU00?okD/00ooNO@03olbb00?oRkH00olgWP03o`252P?o06/g0ol0Ddd3o`0[?@Co018[0ol0
1Ql3o`026P?o00<K0ol02B<3o`0I<P?o03e70ol0H4<3o`1m6P?o;I/00on@^003om:S00Coif000oof
:@03ood<00?oo1000oob=@03on9a00?obkD00om`[`03oa>A00?o07</0ol0ET/3o`0[?@Co010Z0ol0
1Ah3o`026@?o00@L0ol03BL3o`0T>@?o04m>0ol0JST3o`2620?o@j800onS_@04omBL00?oif400ood
;`03oo`@00?oo@T00ooi6`03oo1000?ohW800oo@Y`03oj6l00?oDJH00olAT004o`1k7P?o06Hm0ol0
E4`3o`0g@`?o01lf0ol04B/3o`098`?o00@M0ol00aX3o`026@?o00<J0ol011d4o`0780?o00XU0ol0
42X3o`0F;`?o01dd0ol09CT3o`0/?P?o03A20ol0>TD3o`0oA`?o04990ol0A4X4o`13B@?o04180ol0
>TD3o`0c@P?o02/m0ol08cP3o`0K<`?o01<]0ol03BL3o`088P?o00DN1_ooool2o`00007ooooo000M
ooooo`03o`000?oooooooooo00Gooooo0ol0H4<3o`1GBP?o04m>0ol0@4P3o`0d@P?o02/m0ol093T3
o`0O=@?o01/c0ol06C87o`0H<@?o01Ta0ol06c<3o`0N=@?o028h0ol0:3`3o`0a@0?o03e60ol0C4d3
o`1FB`?o05m40ol0JSP4o`1f9P?o08@<0olETP03od6Q00?oMK400onb`003olnZ00?ogH400ooYF003
oo<c00?onQL00oom2@04ood;00?on2000oo^A@03on5e00?ocj/00onF^@03od6Q00?o08L40ol0KS<3
o`1EB`?o02ho1?l04bd3o`0780?o008J0ol00aX3o`088P?o01Pa0ol0>dD3o`1OA0?o07`L0olZVP03
ohbg00?odJ@01?oVHP03ooDZ00?oo@`00ool4003oo8e00?ohW400oo;]@03ofn_00?o4Y400ol0LRd3
o`1EB`?o02Xm1?l03bT3o`057@?o008I0ol011d3o`0>:0?o02Dj0ol0DDd3o`1[=P?o08P30om:Y003
ojbo00CoeYL00ooXF`03ooD[00?oo0h00oom2P03ooPO00?okTH00ooON@03olf_00?oU;T00om5X`03
o`N<00Co07LU0ol0HT43o`1@CP?o03100ol06c<3o`0>:0?o00LQ0ol011`6o`026@?o00<K0ol01Ah4
o`088P?o00dW0ol04bd3o`0K<`?o02<h0ol0;Ch3o`0f@`?o03i70ol0AT/3o`1<C@?o04m>0ol0D4h4
o`1?CP?o04i>0ol0B4/3o`10B0?o03M30ol0;Ch3o`0S>0?o01Tb0ol04B/3o`0;9@?o00LP1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0H4<3o`1GBP?o04m>0ol0@4P3o`0d
@P?o02/m0ol093T3o`0O=@?o01/c0ol06C87o`0H<@?o01Ta0ol06c<3o`0N=@?o028h0ol0:3`3o`0a
@0?o03e60ol0C4d3o`1FB`?o05m40ol0JSP4o`1f9P?o08@<0olETP03od6Q00?oMK400onb`003olnZ
00?ogH400ooYF003oo<c00?onQL00oom2@04ood;00?on2000oo^A@03on5e00?ocj/00onF^@03od6Q
00?o08L40ol0KS<3o`1EB`?o02ho1?l04bd3o`0780?o008J0ol00aX3o`088P?o01Pa0ol0>dD3o`1O
A0?o07`L0olZVP03ohbg00?odJ@01?oVHP03ooDZ00?oo@`00ool4003oo8e00?ohW400oo;]@03ofn_
00?o4Y400ol0LRd3o`1EB`?o02Xm1?l03bT3o`057@?o008I0ol011d3o`0>:0?o02Dj0ol0DDd3o`1[
=P?o08P30om:Y003ojbo00CoeYL00ooXF`03ooD[00?oo0h00oom2P03ooPO00?okTH00ooON@03olf_
00?oU;T00om5X`03o`N<00Co07LU0ol0HT43o`1@CP?o03100ol06c<3o`0>:0?o00LQ0ol011`6o`02
6@?o00<K0ol01Ah4o`088P?o00dW0ol04bd3o`0K<`?o02<h0ol0;Ch3o`0f@`?o03i70ol0AT/3o`1<
C@?o04m>0ol0D4h4o`1?CP?o04i>0ol0B4/3o`10B0?o03M30ol0;Ch3o`0S>0?o01Tb0ol04B/3o`0;
9@?o00LP1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0H4<3o`1GBP?o
04m>0ol0@4P3o`0d@P?o02/m0ol093T3o`0O=@?o01/c0ol06C87o`0H<@?o01Ta0ol06c<3o`0N=@?o
028h0ol0:3`3o`0a@0?o03e60ol0C4d3o`1FB`?o05m40ol0JSP4o`1f9P?o08@<0olETP03od6Q00?o
MK400onb`003olnZ00?ogH400ooYF003oo<c00?onQL00oom2@04ood;00?on2000oo^A@03on5e00?o
cj/00onF^@03od6Q00?o08L40ol0KS<3o`1EB`?o02ho1?l04bd3o`0780?o008J0ol00aX3o`088P?o
01Pa0ol0>dD3o`1OA0?o07`L0olZVP03ohbg00?odJ@01?oVHP03ooDZ00?oo@`00ool4003oo8e00?o
hW400oo;]@03ofn_00?o4Y400ol0LRd3o`1EB`?o02Xm1?l03bT3o`057@?o008I0ol011d3o`0>:0?o
02Dj0ol0DDd3o`1[=P?o08P30om:Y003ojbo00CoeYL00ooXF`03ooD[00?oo0h00oom2P03ooPO00?o
kTH00ooON@03olf_00?oU;T00om5X`03o`N<00Co07LU0ol0HT43o`1@CP?o03100ol06c<3o`0>:0?o
00LQ0ol011`6o`026@?o00<K0ol01Ah4o`088P?o00dW0ol04bd3o`0K<`?o02<h0ol0;Ch3o`0f@`?o
03i70ol0AT/3o`1<C@?o04m>0ol0D4h4o`1?CP?o04i>0ol0B4/3o`10B0?o03M30ol0;Ch3o`0S>0?o
01Tb0ol04B/3o`0;9@?o00LP1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0ol0FDP3o`1AC@?o04990ol0=D83o`0Z?@?o028h0ol073@3o`0H<@?o01D_0ol052d7o`0C;@?o01@]
0ol05Bl3o`0H<@?o01`d0ol08SL3o`0Y?0?o03A20ol0@TT3o`1AC@?o05Y80ol0ICh4o`1a;P?o07lF
0ol9S@03oc:M00?oIZ`00onR_003ol^c00?ofXX00ooWH@03oo4j00?onA`01oom2P03ooTL00?ol3l0
0ooSK`03om6T00?oX;`00om9Y003o`6:00?o070`0ol0EdX3o`0a@@Co01D^0ol01b46o`036P?o00PQ
0ol05c03o`0iA0?o05i50ol0NQl3obNI00?oRKH00oo@YP04onIS00?omB/00ool3003oo`@00?olcD0
0ooRL@03ol^e00?oKjl00olAT003o`1b;@?o05E;0ol0:C`4o`0?:@?o00DM0ol00QT3o`047@?o00hY
0ol09c/3o`1BC@?o06dd0ol0RP03oe2V00?o/l001?oGTP03onUG00?omRL00ool3@03ood;00?omb80
0oo/C003omf000?obkH00on8]P03oc^O00?o08T11?l0Lb/3o`1OA0?o04Y=0ol0:cd3o`0G<0?o00`V
0ol01Ql3o`036`?o008I0ol00QX3o`0470?o00HP1?l02R@3o`0@:P?o01L`0ol083H3o`0Z?@?o03E2
0ol0?dP3o`19C0?o051>0ol0Dd`3o`1EB`?o05I;1?l0ED/3o`1DC0?o055=0ol0CDh3o`13B@?o03M4
0ol0;3d3o`0P=P?o01L`0ol03bT3o`098`Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o05U80ol0DDd3o`12B@?o03E20ol0:Sd3o`0R>0?o01`d0ol06343o`0E;`?o01@]1ol0
4bd3o`0D;@?o01D_0ol06343o`0L=0?o028g0ol0:C`3o`0d@P?o04990ol0DDd3o`1JB0?o06Dn1?l0
LBh3o`1o5P?o2Hd00olbW@03ofJ/00?oX[`00oo;/`03omZ:00?oif400ooa>P03ooTL00Ooo@X00ooi
7003oo0o00?ohfl00ooAY003oj2l00?oBJ@00ol1RP03o`1`<0?o05M:0ol0<D44o`0E;P?o00LQ1_l0
0aX3o`088@?o01L`0ol0>D@3o`1NA@?o07XO0olWV@03ohVf00?od:H01?oVH`03ooD[00?oo0`00ool
4003oo<e00?ohW400oo;]@03ofn_00?o4I000ol0LRd3o`1EB`?o02Tl1?l03bT3o`057@?o008I0ol0
11d3o`0>:@?o02Lk0ol0DTd3o`1]=0?o08X00om@YP03ok?000Coei800ooYE`03ooHW00?oo0d00oom
2`03ooLR00?ok4`00ooMP003ol^f00?oR;H00olkW`03o`290@Co07<[0ol0Gd@3o`1:C@?o02/m0ol0
5c03o`0<9P?o00HO0ol00a/3o`026@?o008J0ol011`3o`0680Co00XT0ol042X3o`0G<0?o020f0ol0
:Sd3o`0e@P?o03m80ol0BD`3o`1@CP?o05=<0ol0ED/3o`1FB`Co05E;0ol0E4`3o`1AC@?o04e>0ol0
@dT3o`0gA0?o02`m0ol083H3o`0G<0?o00lY0ol02B<7ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`1IB0?o055=0ol0@TT3o`0e@P?o02Xm0ol08SP3o`0L=0?o01Pa0ol05Bl3
o`0D;@Oo01<]0ol052d3o`0E;`?o01Pa0ol073@3o`0R=`?o02Tl0ol0=483o`12B@?o055=0ol0FTP3
o`1U?PCo074^0ol0OaH3o`V=00?o<Yd00omV[003oj:l00?obk<00ooJRP03onMQ00?olCX00ooi7007
ood:00?onA`00oo`?`03on=_00?odJ@00onP_003odVT00?o0HX00ol0L303o`1GBP?o03511?l05Bh3
o`078@Ko00<J0ol02243o`0G<0?o03U40ol0GTD3o`1j7`?o9iT00on9]P03om2V00CoiV<00ooe:`03
oo`<00?oo1000ooc=@03on9a00?obkD00om_[`03oa6@00?o078]0ol0ED/3o`0Y?0Co00lY0ol01Ad3
o`026@?o00@M0ol03RT3o`0W>`?o059=0ol0KC@3o`2:00?oD:H00onc`004omNB00?ojEL00oof9`03
oo`=00?oo@/00oog8P03ona<00?ogH000oo;]P03ohRf00?o>il00ol0R@44o`1c:`?o05m40ol0BTd3
o`0[?@?o01L`0ol032H3o`067`?o00<K0ol00QT3o`026P?o00@L0ol01R04o`0:90?o010Z0ol05c03
o`0P=P?o02Xm0ol0=D83o`0oB0?o04U<0ol0D4h3o`1CC0?o05E;0ol0ET/4o`1EB`?o05A<0ol0DDd3
o`1=CP?o04=90ol0=d@3o`0/?@?o020f0ol05c03o`0?:@?o00TS1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Gooooo0ol0E4`3o`18B`?o03Q40ol0;3d3o`0S>0?o01`c0ol05c03o`0C
;@?o014[0ol042X7o`0?:@?o010Z0ol04B/3o`0D;@?o01L`0ol073@3o`0S>0?o02`n0ol0>DD3o`1;
C@?o05I;0ol0HD84o`1]=0?o07XO0ol0R@43obJH00?oF:P00onC^003olRk00?oei<00ooTJ003oo10
00?on2000oom3004ood900?onQP00ooa>P03onAX00?odih00onZ_P03oe6V00?o1hd00ol0LR`3o`1I
B@?o03A21?l05Rl3o`088@?o00<J0ol00QX3o`078@?o01H_0ol0=d<3o`1MAP?o07TP0olTV003ohJe
00?od:P01?oVI003ooD/00?oo0d00ool4003oo<e00?ohW400oo;]@03ofj_00?o49000ol0LBh3o`1D
C0?o02Tl1?l03RT3o`047@?o008I0ol01Ad3o`0?:@?o02Tl0ol0Dd`3o`1^<P?o18/00omFZ003ok[2
00CofHh00oo[D`03ooLT00?oo@`00ool3@03ooHV00?oje400ooKQP03olRl00?oOK<00olbW003o`26
20Co070`0ol0G4L3o`14BP?o02Hj0ol052h3o`0:90?o00DN0ol00aX3o`026@?o00<J0ol011d3o`08
8@Co00`W0ol04bd3o`0L<`?o02Hj0ol0<D03o`0mA`?o04U<0ol0DDd3o`1EB`?o05Q90ol0FTP7o`1K
A`?o05Y80ol0EdX3o`1CC0?o04m>0ol0@dT3o`0e@`?o02Pk0ol073@3o`0C;@?o00`V1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0E4`3o`18B`?o03Q40ol0;3d3o`0S>0?o
01`c0ol05c03o`0C;@?o014[0ol042X7o`0?:@?o010Z0ol04B/3o`0D;@?o01L`0ol073@3o`0S>0?o
02`n0ol0>DD3o`1;C@?o05I;0ol0HD84o`1]=0?o07XO0ol0R@43obJH00?oF:P00onC^003olRk00?o
ei<00ooTJ003oo1000?on2000oom3004ood900?onQP00ooa>P03onAX00?odih00onZ_P03oe6V00?o
1hd00ol0LR`3o`1IB@?o03A21?l05Rl3o`088@?o00<J0ol00QX3o`078@?o01H_0ol0=d<3o`1MAP?o
07TP0olTV003ohJe00?od:P01?oVI003ooD/00?oo0d00ool4003oo<e00?ohW400oo;]@03ofj_00?o
49000ol0LBh3o`1DC0?o02Tl1?l03RT3o`047@?o008I0ol01Ad3o`0?:@?o02Tl0ol0Dd`3o`1^<P?o
18/00omFZ003ok[200CofHh00oo[D`03ooLT00?oo@`00ool3@03ooHV00?oje400ooKQP03olRl00?o
OK<00olbW003o`2620Co070`0ol0G4L3o`14BP?o02Hj0ol052h3o`0:90?o00DN0ol00aX3o`026@?o
00<J0ol011d3o`088@Co00`W0ol04bd3o`0L<`?o02Hj0ol0<D03o`0mA`?o04U<0ol0DDd3o`1EB`?o
05Q90ol0FTP7o`1KA`?o05Y80ol0EdX3o`1CC0?o04m>0ol0@dT3o`0e@`?o02Pk0ol073@3o`0C;@?o
00`V1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0E4`3o`18B`?o03Q4
0ol0;3d3o`0S>0?o01`c0ol05c03o`0C;@?o014[0ol042X7o`0?:@?o010Z0ol04B/3o`0D;@?o01L`
0ol073@3o`0S>0?o02`n0ol0>DD3o`1;C@?o05I;0ol0HD84o`1]=0?o07XO0ol0R@43obJH00?oF:P0
0onC^003olRk00?oei<00ooTJ003oo1000?on2000oom3004ood900?onQP00ooa>P03onAX00?odih0
0onZ_P03oe6V00?o1hd00ol0LR`3o`1IB@?o03A21?l05Rl3o`088@?o00<J0ol00QX3o`078@?o01H_
0ol0=d<3o`1MAP?o07TP0olTV003ohJe00?od:P01?oVI003ooD/00?oo0d00ool4003oo<e00?ohW40
0oo;]@03ofj_00?o49000ol0LBh3o`1DC0?o02Tl1?l03RT3o`047@?o008I0ol01Ad3o`0?:@?o02Tl
0ol0Dd`3o`1^<P?o18/00omFZ003ok[200CofHh00oo[D`03ooLT00?oo@`00ool3@03ooHV00?oje40
0ooKQP03olRl00?oOK<00olbW003o`2620Co070`0ol0G4L3o`14BP?o02Hj0ol052h3o`0:90?o00DN
0ol00aX3o`026@?o00<J0ol011d3o`088@Co00`W0ol04bd3o`0L<`?o02Hj0ol0<D03o`0mA`?o04U<
0ol0DDd3o`1EB`?o05Q90ol0FTP7o`1KA`?o05Y80ol0EdX3o`1CC0?o04m>0ol0@dT3o`0e@`?o02Pk
0ol073@3o`0C;@?o00`V1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0
Cdh3o`0mA`?o02lo0ol093T3o`0M=0?o01L`0ol04b`3o`0@:P?o00hX0ol03BL7o`0<9`?o00dW0ol0
3RT3o`0@:`?o01@]0ol06343o`0N=@?o02Lj0ol0<T43o`12B@?o059=0ol0GDH4o`1Y>@?o07HV0ol0
Q@X3oa^D00?oC:D00on6]@03olG300?oe9/00ooRL003oni600?omb@00ool3P04ood800?onQH00oob
=@03onIS00?oeIT00onc`003oeVX00?o38l00ol0M2T3o`1KB0?o03M41?l05c03o`088P?o00<J0ol0
0QX3o`0780?o01D^0ol0=D83o`1LA`?o07PR0olRU`03oh>d00?ocjT01?oUIP03ooD/00?oo0d00ool
4003oo<d00?ohW400oo;]P03ofj^00?o3i000ol0LBh3o`1DC0?o02Pk1?l03RP3o`047@?o008I0ol0
1Ah3o`0@:P?o02Xl0ol0E4`3o`1`<0?o1hd00omKZ@03ol3300CofXX00oo/C`03ooLR00?oo@/00ool
3P03ooHY00?ojUH00ooIS003olK100?oM;000olYV@03o`233PCo06dd0ol0FDT3o`0nA`?o02<h0ol0
4R`3o`098`?o00@M0ol00QX3o`026@?o00<K0ol01Ah3o`098`Co00lY0ol05Rl3o`0P=P?o02/m0ol0
>4@3o`16BP?o051>0ol0ED/3o`1JB0?o05e60ol0Gd@7o`1P@`?o05m40ol0G4H3o`1IB@?o05A<0ol0
CTh3o`0oB0?o03100ol08cP3o`0H<0?o00lY1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Gooooo0ol0Cdh3o`0mA`?o02lo0ol093T3o`0M=0?o01L`0ol04b`3o`0@:P?o00hX0ol03BL7
o`0<9`?o00dW0ol03RT3o`0@:`?o01@]0ol06343o`0N=@?o02Lj0ol0<T43o`12B@?o059=0ol0GDH4
o`1Y>@?o07HV0ol0Q@X3oa^D00?oC:D00on6]@03olG300?oe9/00ooRL003oni600?omb@00ool3P04
ood800?onQH00oob=@03onIS00?oeIT00onc`003oeVX00?o38l00ol0M2T3o`1KB0?o03M41?l05c03
o`088P?o00<J0ol00QX3o`0780?o01D^0ol0=D83o`1LA`?o07PR0olRU`03oh>d00?ocjT01?oUIP03
ooD/00?oo0d00ool4003oo<d00?ohW400oo;]P03ofj^00?o3i000ol0LBh3o`1DC0?o02Pk1?l03RP3
o`047@?o008I0ol01Ah3o`0@:P?o02Xl0ol0E4`3o`1`<0?o1hd00omKZ@03ol3300CofXX00oo/C`03
ooLR00?oo@/00ool3P03ooHY00?ojUH00ooIS003olK100?oM;000olYV@03o`233PCo06dd0ol0FDT3
o`0nA`?o02<h0ol04R`3o`098`?o00@M0ol00QX3o`026@?o00<K0ol01Ah3o`098`Co00lY0ol05Rl3
o`0P=P?o02/m0ol0>4@3o`16BP?o051>0ol0ED/3o`1JB0?o05e60ol0Gd@7o`1P@`?o05m40ol0G4H3
o`1IB@?o05A<0ol0CTh3o`0oB0?o03100ol08cP3o`0H<0?o00lY1oooool1o`00007ooooo000Moooo
o`;o00001_ooool3o`1?CP?o03e70ol0;cl3o`0T>@?o01dd0ol05c03o`0C;0?o010Z0ol03RP3o`0=
9`Oo00`W0ol03BL3o`0>:@?o010[0ol052d3o`0H<@?o01he0ol09cX3o`0b@@?o04990ol0DTd3o`1M
APCo06Ti0ol0MRH3o`252P?o6i@00om<Y@03ohJe00?oaL<00ooDV`03on9`00?okTH00oog9003oo`>
00Coo@P00ooj5P03oo8e00?oiV<00ooEV@03ok?000?oFJP00ol<S`03o`1d:@?o05]80ol0=d@4o`0G
<0?o00PR0ol00aX3o`026P?o00LP0ol05Bh3o`0e@P?o05a70ol0N283ob:G00?oPk@00oo?Z@04onEV
00?omB`00ool3@03oo`@00?olc@00ooRL@03ol^f00?oKZh00ol?T003o`1a;P?o05A<0ol0:3/4o`0>
:0?o00@M0ol00QT3o`057P?o010Z0ol0:S`3o`1DC0?o070`0ol7S@03oe^Y00?o`<<01?oJRP03ona?
00?omb800oom2`03oo`>00?omRT00ooZEP03omV<00?oa/400omd/003obVI00?o08<>1?l0KC@3o`1I
B@?o03i70ol08cP3o`0B;0?o00TS0ol011d3o`026P?o008I0ol00a/3o`057P?o00TS1?l03bT3o`0F
;`?o020f0ol0:cd3o`0hA0?o04I:0ol0D4h3o`1EB`?o05Y80ol0GDH3o`1OA0Oo06130ol0Gd@3o`1L
AP?o05U90ol0E4`3o`1>CP?o03m80ol0<403o`0S>0?o01P`0ol03bT6ooooo`;o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`16B`?o03E20ol0:3/3o`0O=@?o01Pa0ol04bd3o`0?:@?o
00dW0ol02bH3o`0;9@Oo00XT0ol02bD3o`0<9P?o00hX0ol04B/3o`0E;P?o01Xb0ol08SP3o`0]?P?o
03a60ol0Cdh3o`1IB0Co06Dn0ol0Lb`3o`214@?o4Y400om1X@03ogZb00?o_<800ooBX@03on1f00?o
k4`00oof:003oo`@00Coo@P00ook4`03oo<a00?oieh00ooGU003ok_200?oGjX00olAT@03o`1f9P?o
05a60ol0>TD4o`0I<@?o00TS0ol00a/3o`026P?o00LP0ol052h3o`0c@P?o05]70ol0N2@3ob2F00?o
PK@00oo?ZP04onEW00?omBd00ool3@03oo`@00?olc@00ooRL@03olZf00?oKJh00ol?T003o`1a;`?o
05A<0ol09c/4o`0>:0?o00@M0ol00QT3o`057P?o010Z0ol0:cd3o`1EB`?o074^0ol;SP03oenZ00?o
aL@01?oKQ`03ona<00?on1l00oom2P03oo`?00?omB`00ooXF`03omRA00?o`/@00om[[P03ob:G00?o
080D1?l0JSP3o`1FB`?o03Y50ol083H3o`0@:P?o00PR0ol011`6o`026@?o00<K0ol01Ql3o`0:90Co
014[0ol06C83o`0T>@?o03500ol0?dL3o`1>CP?o05A<0ol0FDP3o`1NA@?o06520ol0Hd07o`1U?P?o
06@o0ol0HD83o`1MA@?o05U90ol0Dd`3o`19C0?o03Q40ol0:C`3o`0L=0?o018/1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0AT/3o`0e@P?o02Pk0ol07cD3o`0H<@?o01<]
0ol03bT3o`0=9`?o00/V0ol02bD7o`0:90?o00/U0ol032H3o`0>:0?o014[0ol05Bh3o`0J<P?o028h
0ol0;Ch3o`0lAP?o04m>0ol0FDP4o`1U?P?o07</0ol0PA43oa:A00?o@J400omj/P03okc200?odZ40
0ooPMP03ona<00?omRP00ool4004ood800?ona<00ooc<@03onMN00?oei@00onk`P03oenZ00?o4I40
0ol0MRH3o`1LAP?o03Y51?l06C43o`098`?o00<K0ol00QX3o`0780?o01@^0ol0<d83o`1KA`?o07PT
0olPUP03oh6d00?ocjX01?oUI`03ooD]00?oo0d00ool4003oo<d00?ohW400oo:]P03off^00?o3i00
0ol0LBl3o`1DC0?o02Lk1?l03RP3o`047@?o008I0ol01Ah3o`0@:P?o02/m0ol0ED/3o`1a;P?o2hh0
0omOZP03olG400CofhL00oo/C003ooPO00?oo@X00ool3`03ooD/00?oj5/00ooHT@03ol;400?oJjh0
0olRU`03o`2050Co06Xh0ol0ET/3o`0jA@?o020f0ol042X3o`088P?o00@L1_l00QT3o`036`?o00HO
0ol02R@4o`0A:`?o01Tb0ol093T3o`0a@0?o03m70ol0CTh3o`1DC0?o05U80ol0GTD3o`1Q@P?o06=0
1ol0ICh3o`1T?`?o06520ol0GDD3o`1IB@?o05=<0ol0BD`3o`0hA0?o02Tl0ol073@3o`0B;0Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o04I;0ol0=D83o`0X>`?o01le0ol0
6343o`0C;@?o00lY0ol03BL3o`0;9P?o00/U1ol02R@3o`0;9@?o00`V0ol03RP3o`0A:`?o01D^0ol0
6S83o`0R>0?o02dn0ol0?4H3o`1?CP?o05U81?l0ICh3o`1c;0?o084A0olBT@03od6Q00?oN[800onl
`P03om:Q00?oh7H00oo/C003ooHX00?oo1001?om2003oo/C00?olc400ooWGP03omND00?o^l800omO
ZP03oa6A00?o07HV0ol0G4H3o`0jA@Co01Ta0ol02B<3o`036`?o008J0ol01b03o`0D;P?o03=20ol0
FdL3o`1h90?o89H00on1]003olnZ00CoiFL00ooe;@03oo`=00?oo1000ooc=003on9a00?ob[H00om]
[P03o`n@00?o074_0ol0E4`3o`0W>`Co00hX0ol011d3o`026@?o00DN0ol042X3o`0[?@?o05E;0ol0
LBh3o`^>00?oGjX00oo5a004om^700?ok4`00ooh7`03ood:00?oo0l00ooe;003onQK00?of9400oo2
a003of^^00?o8YL00ol0P1@4o`1Z>0?o05I;0ol0>TD3o`0P=P?o010Z0ol02283o`0470Ko008I0ol0
0a/3o`067`?o00XT1?l04B/3o`0I<P?o02@i0ol0<D03o`0oA`?o04i>0ol0E4`3o`1IB0?o05i50ol0
HD83o`1S@0Oo06Dn0ol0I3l3o`1Q@P?o05e50ol0FDT3o`1CC0?o04U<0ol0>4@3o`0Y?0?o01`d0ol0
4R`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0nA`?o02lo0ol08cP3
o`0K<P?o01@^0ol042X3o`0=9`?o00/U0ol02R@=o`098`?o00XT0ol032H3o`0>:@?o018/0ol05c03
o`0N=@?o02Pk0ol0=T<3o`19C0?o05I:1?l0HT43o`1`<0?o07hG0ol;SP03ocRN00?oL:l00onb`003
om2W00?ogg`00oo[D@03ooD/00?ona801?om2003oo/B00?om2h00ooYFP03omR@00?o`L@00omU[003
oaJB00?o07PS0ol0GTD3o`0lAPCo01Xb0ol02B<3o`036`?o008I0ol01R03o`0C;@?o03910ol0FTP3
o`1g9@?o7YD00omo/`03olj/00CoiFP00ood;P03oo`=00?oo1000ooc=003on9a00?ob[H00om][P03
o`j?00?o070_0ol0Dd`3o`0W>`Co00hX0ol011`3o`026@?o00DN0ol04B/3o`0]?P?o05I;0ol0LRd3
o`f?00?oI:`00oo6`@04omb400?okDT00ooh7P03ood:00?oo1000ood;`03onMN00?oeYD00onj`P03
ofB/00?o79D00ol0OQP4o`1X>P?o05A<0ol0=T<3o`0M=0?o00lY0ol01b43o`0370?o008I0ol00QX3
o`0470?o00LP0ol032H4o`0C;@?o01`d0ol0:3/3o`0f@`?o04E:0ol0DDd3o`1HBP?o05e60ol0HD83
o`1U?P?o06Lk0ol0JCX4o`1Y>@?o06Pk0ol0ICh3o`1R@P?o05e60ol0EdX3o`1@CP?o04180ol0;cl3
o`0Q=`?o01H_1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0?TL3o`0_
?`?o02<h0ol06c83o`0D;P?o010Z0ol03BL3o`0;9@?o00XT3Ol02B<3o`0:90?o00`V0ol03RT3o`0B
;0?o01L`0ol07SD3o`0X>`?o03I30ol0BD`3o`1FBPCo06910ol0L303o`1n5`?o2hh00olhWP03og2_
00?o//000oo@Y`03omml00?oje400ooe;003oo/B00Coo@P00ook4P03oo@^00?ojEX00ooHT003ol74
00?oIJ`00olFTP03o`1h8`?o05i50ol0?4H4o`0J<P?o00TS0ol00a/3o`026@?o00HP0ol04bd3o`0b
@@?o05Y80ol0MbD3oajE00?oOk<00oo>[004onEX00?om2h00ool3@03oo`@00?olc@00ooRL@03olZf
00?oKJh00ol>S`03o`1`;`?o05=<0ol09c/4o`0>:0?o00@L0ol00QT3o`057P?o014[0ol0;Ch3o`1F
B`?o078]0ol=S`03ofB/00?oa/401?oLQ003one900?on1h00oom2P03oo`@00?om2l00ooWGP03omJE
00?o^/800omT[003oabE00?o07hH1?l0J3X3o`1DC0?o03I30ol07C@3o`0?:@?o00LQ0ol00a`3o`02
6@?o008J0ol011`3o`0780?o00`V1?l04bd3o`0L=0?o02Pk0ol0=T<3o`15BP?o055=0ol0F4X3o`1M
AP?o06520ol0ICh3o`1W>`?o06Tj1?l0JCT3o`1X>`?o06Dn0ol0HT83o`1MAP?o05M:0ol0D4h3o`10
B0?o02lo0ol08CL3o`0F;`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
03i70ol0;cl3o`0S>0?o01/b0ol052h3o`0@:P?o00dW0ol02bD3o`0:90go00TS0ol02R@3o`0<9P?o
00hY0ol04R`3o`0G<0?o01he0ol0:3/3o`0f@`?o04U<0ol0ETX4o`1R@@?o070`0ol0OQL3o`^>00?o
>9h00om`[`03ok;000?od:L00ooOO003on]A00?omB`00ook4P04ood800?ona800ood;P03onUJ00?o
f9000oo1a003ofF/00?o5Y800ol0N2<3o`1NA@?o03a61?l06S83o`098`?o00<K0ol00QT3o`0680?o
01<]0ol0<T43o`1JB0?o07LU0olNU@03ognc00?ocZ`01?oUJ003oo@^00?oo0d00ool4003oo<d00?o
hW400oo:]P03off^00?o3Xl00ol0L2l3o`1CC0?o02Lk1?l03RP3o`0470?o008I0ol01Ah3o`0A:`?o
02dn0ol0ET/3o`1b;@?o3Hl00omT[003olK100Cog8@00oo]B@03ooPN00?oo@X00ool4003oo@_00?o
ieh00ooFU@03ok[200?oI:`00olLU@03o`1n60Co06Pj0ol0E4`3o`0f@`?o01dd0ol03bT3o`078@?o
00<L0ol00QT3o`026P?o00@L0ol01b03o`0<9PCo01<]0ol073@3o`0X>`?o03I30ol0ADX3o`1AC@?o
05Q:0ol0GDH3o`1Q@P?o06Dn0ol0Ic/3o`1Y>PCo06Ti0ol0J3/3o`1U?P?o06920ol0GDH3o`1GBP?o
051>0ol0@4P3o`0_?`?o024g0ol05Rl7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`0hA0?o02Xl0ol07cH3o`0G<0?o018/0ol03RP3o`0;9@?o00TS0ol02283o`088@?o00LQ
1?l02243o`088P?o00TS0ol02RD3o`0=9`?o010Z0ol05Bh3o`0K<`?o02Di0ol0<T43o`14BP?o05A<
1?l0H4<3o`1]=0?o07`L0ol4R`03oc6L00?oJ:d00onY_P03olj/00?ogH400ooZE@03oo@_00?ona@0
1?om2003oo`@00?omB/00ooYE`03omV<00?oaL<00omZ[P03oaZD00?o07TQ0ol0Gd@3o`0nA`Co01/c
0ol02R@3o`036`?o008I0ol01Ql3o`0C;0?o03500ol0FDP3o`1f9P?o79D00omm/`03olj]00Coi6P0
0ood;P03oo`=00?oo0l00ooc=003on9a00?ob[H00om/[P03o`j?00?o070`0ol0Dd`3o`0V>PCo00dX
0ol011`3o`026@?o00DN0ol04B/3o`0^?P?o05M:0ol0Lb/3oa2@00?oIjd00oo7_`04omf100?okTL0
0ooi7003ood900?ona800ooc<@03onIR00?oeIT00ond`@03oejZ00?o5i<00ol0O1`4o`1V?@?o059=
0ol0<d43o`0K<`?o00hX0ol01R03o`036`?o008I0ol00QX3o`047@?o00PQ0ol03BL4o`0E;P?o01lf
0ol0;3h3o`0kA@?o04]=0ol0E4`3o`1JB0?o06130ol0ICh3o`1X>P?o06/g1ol0K3D3o`1[=P?o06Ti
0ol0ICh3o`1P@`?o05]80ol0E4`3o`18B`?o03E30ol09SX3o`0I<@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?o03Q40ol0:S`3o`0O=P?o01L`0ol04R`3o`0>:0?o00/U0ol0
2B<3o`088P?o00PQ0ol01b44o`088@?o00PR0ol02B<3o`0:9@?o00dW0ol042X3o`0E;P?o01/c0ol0
9CT3o`0b@@?o04A:0ol0E4`4o`1P@`?o06dd0ol0O1`3o`B;00?o<I`00omX[@03ojVn00?ocZ`00ooM
P@03onYE00?om2l00ook5004ood800?oo1000ooe:`03onUG00?ofH`00oo5``03ofZ^00?o6Y@00ol0
NB43o`1OA0?o03i71?l06c<3o`0:90?o00<K0ol00QT3o`067`?o01</0ol0<D03o`1IB0?o07HV0olL
U@03ogfc00?ocZd01?oTJ003oo@^00?oo0d00ool3`03oo<d00?ohW400oo:]P03ofb^00?o3Xl00ol0
L303o`1CC0?o02Hj1?l03BP3o`0470?o008I0ol01Ah3o`0A:`?o02hn0ol0EdX3o`1c:`?o49000omW
[@03olNo00CogH400oo^A`03ooTL00?oo@T00ook4P03oo<a00?oiV800ooEV@03okC100?oGZX00olG
T`03o`1l70Co06Hm0ol0DTd3o`0c@@?o01/c0ol03RP3o`0680?o00<K0ol00QT3o`026P?o00@M0ol0
2243o`0=9`Co01D^0ol07cH3o`0/?P?o03]50ol0Bdd3o`1DC0?o05Y80ol0H4<3o`1U?P?o06Pj0ol0
JcL7o`1/=@?o06/f0ol0JCT3o`1U?P?o06130ol0FdP3o`1DC0?o04Q;0ol0=D<3o`0V>P?o01Ta1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0>4@3o`0Z?0?o01lf0ol05c03
o`0B;0?o00hX0ol02bD3o`098`?o00PR0ol02243o`078@Co00PQ0ol02283o`098`?o00XU0ol03BL3
o`0@:P?o01D^0ol06c<3o`0U>@?o03910ol0A4X3o`1DC0Co06130ol0KC@3o`1l70?o18/00olaW003
ofR]00?oZKh00oo>[003omf100?ojUD00ood;`03oo/D00Coo@P00ool4003ooD[00?ojEL00ooIS003
olG300?oJZh00olJU003o`1i8@?o05m40ol0?TL4o`0K<`?o00XT0ol00a/3o`026@?o00HO0ol04b`3
o`0a@0?o05U80ol0MRH3oabE00?oOK<00oo>[@04onAX00?om2h00ool3@03oo`?00?olc@00ooRL@03
olZf00?oK:h00ol>S`03o`1`<0?o05=<0ol09SX4o`0=:0?o00@L0ol00QT3o`057P?o014[0ol0;Sh3
o`1GBP?o07<[0ol@T003ofN]00?oakl01?oMP@03oni700?onA`00oom2@03oo/B00?olc400ooVHP03
omFI00?o]<400omNZP03oaNC00?o07`L1?l0ISd3o`1BC@?o03=10ol06c<3o`0>:0?o00HP0ol00a/3
o`026@?o008J0ol011d3o`088@?o00dW1?l05Bh3o`0O=P?o02`n0ol0>dD3o`1;C@?o05A<0ol0FTP3
o`1P@`?o06Dn0ol0J3X3o`1[=`Oo06`e0ol0JcH3o`1Y>@?o06Dn0ol0H4<3o`1KB0?o05A<0ol0B4/3
o`0e@`?o02Hj0ol06C47ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0c
@P?o02Hj0ol073<3o`0E;P?o010Z0ol032H3o`0:90?o00PR0ol01b4:o`0780?o00LQ0ol02283o`09
8`?o00/V0ol03RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m80ol0DTd4o`1NA@?o06/g0ol0NB03o`29
00?o:iX00omQZ`03oj:l00?ocK000ooLQ@03onUI00?olc800ooj5@04ood900?oo0l00oof:@03onYD
00?ofXT00oo6`003ofj_00?o7ID00ol0NQl3o`1P@`?o04181?l073<3o`0:90?o00<K0ol00QT3o`06
7`?o018/0ol0<403o`1IB@?o07HW0olKU003ogbb00?ocZd01?oTJ@03oo@^00?oo0d00ool3`03oo<d
00?ohW400oo:]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj1?l03BL3o`0470?o008I0ol01Ah3o`0A
:`?o02ho0ol0F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl00oo^A@03ooTK00?oo@T00ook4`03oo<c
00?oiVD00ooDW003ojno00?oFJT00olCT@03o`1j7`Co06Dn0ol0DDd3o`0`@0?o01Tb0ol03BL3o`06
7`?o00<K0ol00QT3o`036P?o00DM0ol02283o`0>:0Co01L`0ol08SL3o`0_?`?o03m80ol0Cdh3o`1F
BP?o05e60ol0Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`0ol0Kc83o`1/=@?o06Pj0ol0I403o`1N
A@?o05M:0ol0CTh3o`0kA@?o02Xl0ol073@7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3o`0c@P?o02Hj0ol073<3o`0E;P?o010Z0ol032H3o`0:90?o00PR0ol01b4:o`0780?o
00LQ0ol02283o`098`?o00/V0ol03RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m80ol0DTd4o`1NA@?o
06/g0ol0NB03o`2900?o:iX00omQZ`03oj:l00?ocK000ooLQ@03onUI00?olc800ooj5@04ood900?o
o0l00oof:@03onYD00?ofXT00oo6`003ofj_00?o7ID00ol0NQl3o`1P@`?o04181?l073<3o`0:90?o
00<K0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07HW0olKU003ogbb00?ocZd01?oTJ@03oo@^00?o
o0d00ool3`03oo<d00?ohW400oo:]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj1?l03BL3o`0470?o
008I0ol01Ah3o`0A:`?o02ho0ol0F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl00oo^A@03ooTK00?o
o@T00ook4`03oo<c00?oiVD00ooDW003ojno00?oFJT00olCT@03o`1j7`Co06Dn0ol0DDd3o`0`@0?o
01Tb0ol03BL3o`067`?o00<K0ol00QT3o`036P?o00DM0ol02283o`0>:0Co01L`0ol08SL3o`0_?`?o
03m80ol0Cdh3o`1FBP?o05e60ol0Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`0ol0Kc83o`1/=@?o
06Pj0ol0I403o`1NA@?o05M:0ol0CTh3o`0kA@?o02Xl0ol073@7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3o`0c@P?o02Hj0ol073<3o`0E;P?o010Z0ol032H3o`0:90?o00PR
0ol01b4:o`0780?o00LQ0ol02283o`098`?o00/V0ol03RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m8
0ol0DTd4o`1NA@?o06/g0ol0NB03o`2900?o:iX00omQZ`03oj:l00?ocK000ooLQ@03onUI00?olc80
0ooj5@04ood900?oo0l00oof:@03onYD00?ofXT00oo6`003ofj_00?o7ID00ol0NQl3o`1P@`?o0418
1?l073<3o`0:90?o00<K0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07HW0olKU003ogbb00?ocZd0
1?oTJ@03oo@^00?oo0d00ool3`03oo<d00?ohW400oo:]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj
1?l03BL3o`0470?o008I0ol01Ah3o`0A:`?o02ho0ol0F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl0
0oo^A@03ooTK00?oo@T00ook4`03oo<c00?oiVD00ooDW003ojno00?oFJT00olCT@03o`1j7`Co06Dn
0ol0DDd3o`0`@0?o01Tb0ol03BL3o`067`?o00<K0ol00QT3o`036P?o00DM0ol02283o`0>:0Co01L`
0ol08SL3o`0_?`?o03m80ol0Cdh3o`1FBP?o05e60ol0Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`
0ol0Kc83o`1/=@?o06Pj0ol0I403o`1NA@?o05M:0ol0CTh3o`0kA@?o02Xl0ol073@7ooooo`7o0000
0Oooool001gooooo0_l00006ooooo`?o03100ol08cP3o`0J<P?o01<]0ol03RP3o`0;9@?o00TS0ol0
1b43o`0780[o00HO0ol01R03o`078@?o00TR0ol02RD3o`0=:0?o014[0ol05c03o`0P=P?o02`m0ol0
?4H3o`1@CPCo05a70ol0JCT3o`1h8`?o08P40olVV003oebY00?oW;/00oo;]003om^800?oj5`00ooc
=003ooXG00Coo@T00ool3P03ooHW00?oje800ooKQ`03olNn00?oL[000olOUP03o`1k7@?o06520ol0
@DP4o`0L=0?o00XT0ol00a/3o`026@?o00HO0ol04R`3o`0_?`?o05Q90ol0MBL3oaZD00?oNk800oo=
[P04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03olZf00?oK:h00ol=S`03o`1`<0?o05==0ol0
9SX4o`0=9`?o00@L0ol00QT3o`057`?o018/0ol0;cl3o`1HB@?o07@Y0olDTP03ofb^00?ob;/01?oN
O@03onm300?onAX00oom2@03oo/C00?olSD00ooUI`03om>O00?oZ[h00omEZ003oa2@00?o07TQ1?l0
Hd03o`1@CP?o02ho0ol06343o`0<9P?o00HO0ol00aX3o`026@?o00<J0ol01Ah3o`098`?o00lY1?l0
6343o`0T>@?o03910ol0@dT3o`1AC@?o05Q90ol0Gd@3o`1U?P?o06Xh0ol0KC@3o`1`<0Oo078]0ol0
LBh3o`1_<P?o06/g0ol0ISd3o`1P@`?o05U90ol0DDd3o`0oB0?o02dn0ol07cD6ooooo`;o00000Ooo
ool001gooooo00?o0000ooooooooool01Oooool3o`0`@0?o02<h0ol06S83o`0C;@?o00hX0ol02bD3
o`098`?o00LQ0ol01b0:o`067`?o00HP0ol01b43o`098P?o00XU0ol03BP3o`0A:`?o01L`0ol083H3
o`0/?@?o03a60ol0D4h4o`1LA`?o06Ti0ol0N2<3o`2810?o9YP00omLZ@03oibk00?obk@00ooKR003
onQL00?olc@00ooj5`04ood900?oo0h00oof9`03on]B00?ofhL00oo7_P03og:`00?o7iH00ol0Nad3
o`1Q@P?o04581?l073@3o`0:90?o00<K0ol00QT3o`067`?o018/0ol0;cl3o`1HB@?o07DW0olJU003
og^b00?ocJh01?oTJP03oo@_00?oo0h00ool3`03oo<d00?ohW400oo:]P03ofb^00?o3Hl00ol0L303
o`1CC@?o02Hj1?l03BL3o`0470?o008I0ol01Al3o`0B;0?o02lo0ol0F4T3o`1d:@?o59800om/[P03
olRk00CogWd00oo_@`03ooTJ00?oo@T00ook4`03oo8e00?oiFL00ooCW`03ojZn00?oEJP00ol@T003
o`1i8@Co06=00ol0D4h3o`0^?`?o01Pa0ol032H3o`067`?o00<J0ol00QT3o`036P?o00DN0ol02B<3
o`0?:@Co01Pa0ol093T3o`0b@@?o04=90ol0DDd3o`1HB@?o05m40ol0ICh3o`1Z>0?o06dd0ol0L307
o`1b;@?o074^0ol0Kc83o`1[=`?o06Hm0ol0H4<3o`1IB@?o055=0ol0?dP3o`0]?P?o01le1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0<403o`0S>0?o01Xb0ol04bd3o`0>
:0?o00/U0ol02B<3o`078@?o00LP2_l01Ql3o`0680?o00LQ0ol02B83o`0:9@?o00dX0ol04B/3o`0G
<0?o020f0ol0;3d3o`0lAP?o051>1?l0G4L3o`1Y>@?o07PS0ol0R0@3obJH00?oG:T00onL^`03ol^d
00?ofhP00ooXG003oo<d00?onQL01?om2@03oo`>00?omRL00oo[DP03om^700?oakh00omb/003oanF
00?o07/M0ol0HD83o`11B0Co01`d0ol02R@3o`036`?o008I0ol01Ql3o`0B;0?o02lo0ol0F4T3o`1e
9`?o6Y@00omk/P03olf^00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om/[P03o`f?
00?o070`0ol0Ddd3o`0V>PCo00dW0ol011`3o`026@?o00DO0ol04R`3o`0_?`?o05Q90ol0M2T3oaBB
00?oK:h00oo8^`04omim00?okd<00ooi6P03ood900?ona<00oob=@03onEW00?odil00onZ_P03oeFX
00?o49000ol0NB44o`1S@0?o051>0ol0;Sl3o`0H<@?o00`V0ol01Ql3o`036P?o008I0ol00aX3o`05
7P?o00TS0ol03bT4o`0H<@?o02@i0ol0<T43o`13B@?o055=0ol0F4T3o`1OA0?o06Dn0ol0JSP3o`1]
=0?o070`1ol0LRd3o`1a;P?o06lb0ol0JcL3o`1V?@?o06130ol0FDT3o`1AC@?o03m80ol0;Ch3o`0O
=@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o02dn0ol08CL3o`0H<@?o
018/0ol03BP3o`0:90?o00PR0ol01b0@o`067`?o00LP0ol02283o`0:90?o00`W0ol042X3o`0F;`?o
01he0ol0:S`3o`0jA@?o04m>1?l0FdP3o`1X>`?o07HV0ol0QPL3ob>G00?oF:P00onH^P03olZf00?o
fX/00ooWGP03oo8f00?onQP01?om2@03oo`>00?omRH00oo[D003omb500?ob;`00omd/003ob6G00?o
07`L0ol0HD83o`12B@Co01dd0ol02RD3o`036`?o008I0ol01Ql3o`0B;0?o02lo0ol0F4T3o`1e:0?o
6I@00omj/P03olf^00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om[[P03o`f?00?o
070`0ol0DTd3o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05Q90ol0MBT3oaFB00?o
KZl00oo9^P04omml00?okd800ooi6@03ood900?ona@00oob=P03onAY00?odZ000onW_@03oe:W00?o
3Xl00ol0N2<4o`1R@@?o04m>0ol0;Ch3o`0G<0?o00/V0ol01Ah3o`036P?o008I0ol00aX3o`057P?o
00TS0ol042X4o`0I<P?o02Hj0ol0=483o`16BP?o059=0ol0FTP3o`1Q@`?o06Hl0ol0JcH3o`1_<@?o
078]0ol0Lb/4o`1d:P?o07<[0ol0L2l3o`1]=0?o06Pk0ol0HT43o`1KA`?o059=0ol0@dT3o`0`@0?o
024g1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0;Ch3o`0Q=`?o01Pa
0ol04R`3o`0=:0?o00XT0ol02283o`07813o00HO0ol01b03o`088P?o00XT0ol032L3o`0@:P?o01H_
0ol07SD3o`0Z?0?o03Y50ol0Cdh4o`1KB0?o06Pk0ol0MRH3o`261`?o8iL00omHZ003oiRj00?ob[H0
0ooJR`03onMN00?olSH00ooj6004ood900?oo0h00oof9P03on]@00?og8D00oo8_003ogB`00?o8IL0
0ol0O1`3o`1Q@P?o04991?l07C@3o`0:9@?o00<K0ol00QT3o`067`?o018/0ol0;cl3o`1HB@?o07DX
0olIU003ogZb00?ocJh01?oTJP03oo@_00?oo0h00ool3`03oo<d00?ohW400oo:]P03of^^00?o3Hl0
0ol0L303o`1BC@?o02Dj1?l03BL3o`0470?o008I0ol01Ql3o`0B;0?o03100ol0F4T3o`1e:@?o5I80
0om^[`03olVj00Cogg`00oo_@P03ooTI00?oo@T00ook5003oo8f00?oi6T00ooBX003ojNm00?oDZL0
0ol>S`03o`1h8`Co06910ol0Cdh3o`0]?P?o01L`0ol02bH3o`057P?o00<J0ol00QT3o`036P?o00DN
0ol02B<3o`0@:PCo01Tb0ol09SX3o`0d@P?o04I:0ol0DTd3o`1JB0?o06530ol0IS`3o`1[=P?o06la
0ol0LRd3o`1c:`Co07@Z0ol0Lb/3o`1`;`?o06dd0ol0J3/3o`1R@@?o05]70ol0DTd3o`13B@?o0310
0ol08CL7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0]?P?o024g0ol0
6343o`0B;0?o00dX0ol02R@3o`088P?o00LP4?l01Ql3o`0780?o00PR0ol02R@3o`0<9`?o010Z0ol0
5Rl3o`0N=@?o02Xl0ol0>TD3o`1?CPCo05]80ol0J3/3o`1f9P?o08H70olSU`03oeRX00?oV;X00oo:
]P03omZ;00?oieh00oob=P03ooXH00Coo@T00ool3P03ooHV00?oje000ooLQ@03olRl00?oM;000olQ
U`03o`1l70?o06520ol0@TT4o`0M=0?o00XU0ol00a/3o`026@?o00HO0ol04R`3o`0_?`?o05Q90ol0
MBP3oaVD00?oN[800oo=[P04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh00ol=
S`03o`1`<0?o059=0ol09CX4o`0=9`?o00@L0ol00QT3o`067`?o018/0ol0<403o`1HB@?o07DY0olE
TP03ofj_00?obKX01?oOO003onm200?onAT00oom2@03oo/D00?olSH00ooTJ@03om:P00?oYkd00omB
Y`03o`j?00?o07PS1?l0HT43o`1?CP?o02dn0ol05c03o`0;9P?o00DN0ol00aX3o`026@?o00<J0ol0
1Ah3o`098`?o010Z1?l06C83o`0V>P?o03A20ol0ATX3o`1BC@?o05Y80ol0HD<3o`1V?0?o06/f0ol0
Kc43o`1b;@?o07<[1?l0M2X3o`1c:`?o070_0ol0KC@3o`1X>`?o06910ol0FdL3o`1BC@?o04=90ol0
<403o`0Q=`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o02/m0ol07cH3
o`0G<0?o014[0ol03BL3o`0:90?o00PR0ol01b03o`067`[o00DN0ol01Ql3o`0680?o00PQ0ol02B<3
o`0<9P?o010Z0ol05Bl3o`0M=0?o02Pl0ol0>4@3o`1>CPCo05Y80ol0Ic`3o`1f9`?o08D80olPUP03
oeFX00?oUKT00oo:^003omV<00?oiel00oob=`03ooXH00Coo@T00ool3@03ooHU00?ok4l00ooLQ003
olRk00?oM[400olSU`03o`1l6`?o06910ol0@dT4o`0M=0?o00/U0ol00a/3o`026@?o00HO0ol04R/3
o`0^?`?o05Q90ol0MBP3oaVC00?oNK800oo=[`04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03
olZf00?oJjh00ol=S`03o`1`<0?o059=0ol09CX4o`0=9`?o00@L0ol00QT3o`067`?o018/0ol0<403
o`1IB@?o07DX0olFTP03ofn_00?obKT01?oON`03onm100?onQT00oom2@03oo/E00?olSL00ooTJP03
om:R00?oYKd00om@YP03o`b?00?o07LT1?l0HT43o`1>CP?o02`m0ol05c03o`0;9@?o00DN0ol00aX3
o`026@?o00<K0ol01Ah3o`0:90?o010Z1?l06S83o`0W>P?o03I30ol0Ad/3o`1CC0?o05]70ol0HT83
o`1W>`?o06`e0ol0L2l3o`1c:`?o07DY1?l0MBP3o`1d:@?o078]0ol0KS<3o`1Y>@?o06=00ol0G4H3
o`1DC0?o04E:0ol0<T43o`0R>0Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05oooo
o`?o02/m0ol07cH3o`0G<0?o014[0ol03BL3o`0:90?o00PR0ol01b03o`067`[o00DN0ol01Ql3o`06
80?o00PQ0ol02B<3o`0<9P?o010Z0ol05Bl3o`0M=0?o02Pl0ol0>4@3o`1>CPCo05Y80ol0Ic`3o`1f
9`?o08D80olPUP03oeFX00?oUKT00oo:^003omV<00?oiel00oob=`03ooXH00Coo@T00ool3@03ooHU
00?ok4l00ooLQ003olRk00?oM[400olSU`03o`1l6`?o06910ol0@dT4o`0M=0?o00/U0ol00a/3o`02
6@?o00HO0ol04R/3o`0^?`?o05Q90ol0MBP3oaVC00?oNK800oo=[`04onAZ00?om2l00ool3P03oo`?
00?olc@00ooRL@03olZf00?oJjh00ol=S`03o`1`<0?o059=0ol09CX4o`0=9`?o00@L0ol00QT3o`06
7`?o018/0ol0<403o`1IB@?o07DX0olFTP03ofn_00?obKT01?oON`03onm100?onQT00oom2@03oo/E
00?olSL00ooTJP03om:R00?oYKd00om@YP03o`b?00?o07LT1?l0HT43o`1>CP?o02`m0ol05c03o`0;
9@?o00DN0ol00aX3o`026@?o00<K0ol01Ah3o`0:90?o010Z1?l06S83o`0W>P?o03I30ol0Ad/3o`1C
C0?o05]70ol0HT83o`1W>`?o06`e0ol0L2l3o`1c:`?o07DY1?l0MBP3o`1d:@?o078]0ol0KS<3o`1Y
>@?o06=00ol0G4H3o`1DC0?o04E:0ol0<T43o`0R>0Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`?o02/m0ol07cH3o`0G<0?o014[0ol03BL3o`0:90?o00PR0ol01b03o`067`[o
00DN0ol01Ql3o`0680?o00PQ0ol02B<3o`0<9P?o010Z0ol05Bl3o`0M=0?o02Pl0ol0>4@3o`1>CPCo
05Y80ol0Ic`3o`1f9`?o08D80olPUP03oeFX00?oUKT00oo:^003omV<00?oiel00oob=`03ooXH00Co
o@T00ool3@03ooHU00?ok4l00ooLQ003olRk00?oM[400olSU`03o`1l6`?o06910ol0@dT4o`0M=0?o
00/U0ol00a/3o`026@?o00HO0ol04R/3o`0^?`?o05Q90ol0MBP3oaVC00?oNK800oo=[`04onAZ00?o
m2l00ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh00ol=S`03o`1`<0?o059=0ol09CX4o`0=9`?o
00@L0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07DX0olFTP03ofn_00?obKT01?oON`03onm100?o
nQT00oom2@03oo/E00?olSL00ooTJP03om:R00?oYKd00om@YP03o`b?00?o07LT1?l0HT43o`1>CP?o
02`m0ol05c03o`0;9@?o00DN0ol00aX3o`026@?o00<K0ol01Ah3o`0:90?o010Z1?l06S83o`0W>P?o
03I30ol0Ad/3o`1CC0?o05]70ol0HT83o`1W>`?o06`e0ol0L2l3o`1c:`?o07DY1?l0MBP3o`1d:@?o
078]0ol0KS<3o`1Y>@?o06=00ol0G4H3o`1DC0?o04E:0ol0<T43o`0R>0Oooooo0Ol00001ooooo`00
5?ooool2o`0000Oooooo00?o0000ooooooooool01Oooool3o`0[?@?o01le0ol05Rl3o`0@:P?o00`W
0ol02B@3o`088@?o00HP0ol01Ql:o`057P?o00HO0ol01R03o`078@?o00TS0ol032H3o`0?:P?o01D^
0ol07C@3o`0X>`?o03Q40ol0CDh4o`1IB0?o06Ll0ol0MBP3o`252@?o7iH00omDY`03oi>i00?obKP0
0ooIS@03onMP00?olSL00ooj6@04ood900?oo0d00oog9@03ona>00?og8<00oo8^`03ogNa00?o8iL0
0ol0O1/3o`1R@@?o04=91?l07SD3o`0;9@?o00<K0ol00QT3o`057`?o014[0ol0;Sl3o`1HBP?o07DX
0olIT`03ogVb00?ocJl01?oTJP03oo@_00?oo0h00ool3`03oo<d00?ohW400oo:]P03of^^00?o3Hl0
0ol0Kc43o`1BC@?o02Dj1?l03BL3o`0470?o008I0ol01Ql3o`0B;0?o03100ol0FDT3o`1e:0?o5Y80
0om`[`03olVi00Cogg/00oo_@@03ooXI00?oo@T00ooj5@03oo8h00?oi6X00ooBXP03ojBm00?oCjH0
0ol;SP03o`1g90Co06520ol0CDh3o`0[?@?o01H_0ol02bD3o`057P?o00<J0ol00QT3o`036`?o00DN
0ol02R@3o`0A:`Co01/b0ol09c/3o`0g@`?o04Q<0ol0E4`3o`1KA`?o06910ol0J3X3o`1]=0?o074_
0ol0M2X3o`1e:0Co07HW0ol0MBP3o`1b;0?o06lb0ol0JSP3o`1T?`?o05e60ol0E4`3o`17B`?o03=2
0ol08cP7ooooo`7o00000Oooool001?ooooo00Co0000oooooooooooo00001_ooool00ol0003ooooo
ooooo`05ooooo`?o02/m0ol07cD3o`0F;`?o010Z0ol032L3o`0990?o00PQ0ol01R03o`067`[o00DN
0ol01Ql3o`0680?o00LQ0ol02B<3o`0<9P?o00lZ0ol05Bh3o`0M=0?o02Pk0ol0>4@3o`1=CPCo05U8
0ol0Ic`3o`1e:0?o08D90olOUP03oeBW00?oTkT00oo9^003omV=00?oif000oob=`03ooXI00Coo@T0
0ool3@03ooLU00?ok4h00ooLP`03olRk00?oMk400olSU`03o`1l6`?o06910ol0@dT4o`0N=@?o00/U
0ol00a/3o`026@?o00DO0ol04B/3o`0^?`?o05Q:0ol0MBP3oaVC00?oNK800oo=[`04onAZ00?om2l0
0ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh00ol=S`03o`1_<@?o059=0ol09CX4o`0=9`?o00@L
0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07DX0olFTP03og2_00?obKT01?oON`03onm100?onQT0
0oom2@03ooXE00?olSP00ooTJP03om:R00?oY;d00om?YP03o`^>00?o07LT1?l0HD83o`1=CP?o02/m
0ol05Rl3o`0;9@?o00DN0ol00aX3o`026@?o00<K0ol01Ah3o`0:90?o014[1?l06c83o`0W>`?o03M3
0ol0B4`3o`1DC0?o05]70ol0HT43o`1X>P?o06dd0ol0LBl3o`1d:P?o07DX1?l0MRL3o`1e:0?o078/
0ol0Kc83o`1Z>0?o06@o0ol0GDH3o`1DC0?o04M;0ol0<d83o`0S>0Oooooo0Ol00001ooooo`004ooo
ool01?l0003oooooooooool00006ooooo`03o`000?oooooooooo00Gooooo0ol0:cd3o`0O=@?o01H_
0ol042X3o`0<9`?o00TT0ol02243o`0680?o00HO2_l01Ah3o`067`?o00HP0ol01b43o`098`?o00`V
0ol03bX3o`0E;P?o01dd0ol0:3/3o`0hA0?o04e>1?l0FDP3o`1W?0?o07DX0ol0Q@T3oanF00?oE:L0
0onC^@03olVh00?ofHd00ooWH003oo8g00?onQT01?om2@03oo`=00?ombD00oo/CP03omb300?ob;/0
0omg/@03ob>G00?o07`K0ol0HT43o`13B@Co01he0ol02bD3o`036`?o008I0ol01Al3o`0A:`?o02ho
0ol0F4X3o`1e:0?o6I<00omi/P03olf_00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H0
0om[[P03o`f?00?o06la0ol0DTd3o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05U9
0ol0MBP3oaJB00?oL:l00oo9^@04ommk00?okd400ooj6@03ood900?onQD00oob>003onAZ00?odZ80
0onT_@03odnV00?o2hh00ol0Mb@4o`1Q@P?o04e>0ol0:cd3o`0F;`?o00/U0ol01Ah3o`036P?o008I
0ol00a/3o`057P?o00XT0ol04B/4o`0K<P?o02Lk0ol0=d<3o`18C0?o05A<0ol0FdL3o`1R@@?o06Pj
0ol0KC@3o`1a;`?o07@Z0ol0MBP4o`1f9`?o07DX0ol0LR`3o`1_<P?o06Xh0ol0I3l3o`1MAP?o05A<
0ol0Ad/3o`0c@P?o02<h1oooool1o`00007ooooo000Cooooo`04o`000?ooooooooooo`0000Kooooo
0ol00005ooooo`?o02/m0ol07cD3o`0F;`?o010Z0ol032L3o`0990?o00PQ0ol01R03o`067`[o00DN
0ol01Ql3o`0680?o00LQ0ol02B<3o`0<9P?o00lZ0ol05Bh3o`0M=0?o02Pk0ol0>4@3o`1=CPCo05U8
0ol0Ic`3o`1e:0?o08D90olOUP03oeBW00?oTkT00oo9^003omV=00?oif000oob=`03ooXI00Coo@T0
0ool3@03ooLU00?ok4h00ooLP`03olRk00?oMk400olSU`03o`1l6`?o06910ol0@dT4o`0N=@?o00/U
0ol00a/3o`026@?o00DO0ol04B/3o`0^?`?o05Q:0ol0MBP3oaVC00?oNK800oo=[`04onAZ00?om2l0
0ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh00ol=S`03o`1_<@?o059=0ol09CX4o`0=9`?o00@L
0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07DX0olFTP03og2_00?obKT01?oON`03onm100?onQT0
0oom2@03ooXE00?olSP00ooTJP03om:R00?oY;d00om?YP03o`^>00?o07LT1?l0HD83o`1=CP?o02/m
0ol05Rl3o`0;9@?o00DN0ol00aX3o`026@?o00<K0ol01Ah3o`0:90?o014[1?l06c83o`0W>`?o03M3
0ol0B4`3o`1DC0?o05]70ol0HT43o`1X>P?o06dd0ol0LBl3o`1d:P?o07DX1?l0MRL3o`1e:0?o078/
0ol0Kc83o`1Z>0?o06@o0ol0GDH3o`1DC0?o04M;0ol0<d83o`0S>0Gooooo0ol00001ooooo`004ooo
ool01?l0003oooooooooool00006ooooo`03o`000?oooooooooo00Gooooo0ol0:cd3o`0O=@?o01H_
0ol042X3o`0<9`?o00TT0ol02243o`0680?o00HO2_l01Ah3o`067`?o00HP0ol01b43o`098`?o00`V
0ol03bX3o`0E;P?o01dd0ol0:3/3o`0hA0?o04e>1?l0FDP3o`1W?0?o07DX0ol0Q@T3oanF00?oE:L0
0onC^@03olVh00?ofHd00ooWH003oo8g00?onQT01?om2@03oo`=00?ombD00oo/CP03omb300?ob;/0
0omg/@03ob>G00?o07`K0ol0HT43o`13B@Co01he0ol02bD3o`036`?o008I0ol01Al3o`0A:`?o02ho
0ol0F4X3o`1e:0?o6I<00omi/P03olf_00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H0
0om[[P03o`f?00?o06la0ol0DTd3o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05U9
0ol0MBP3oaJB00?oL:l00oo9^@04ommk00?okd400ooj6@03ood900?onQD00oob>003onAZ00?odZ80
0onT_@03odnV00?o2hh00ol0Mb@4o`1Q@P?o04e>0ol0:cd3o`0F;`?o00/U0ol01Ah3o`036P?o008I
0ol00a/3o`057P?o00XT0ol04B/4o`0K<P?o02Lk0ol0=d<3o`18C0?o05A<0ol0FdL3o`1R@@?o06Pj
0ol0KC@3o`1a;`?o07@Z0ol0MBP4o`1f9`?o07DX0ol0LR`3o`1_<P?o06Xh0ol0I3l3o`1MAP?o05A<
0ol0Ad/3o`0c@P?o02<h1oooool1o`00007ooooo000Cooooo`04o`000?ooooooooooo`0000Kooooo
00?o0000ooooooooool01Oooool3o`0[?@?o01le0ol05Rl3o`0@:P?o00`W0ol02B@3o`088@?o00HP
0ol01Ql:o`057P?o00HO0ol01R03o`078@?o00TS0ol032H3o`0?:P?o01D^0ol07C@3o`0X>`?o03Q4
0ol0CDh4o`1IB0?o06Ll0ol0MBP3o`252@?o7iH00omDY`03oi>i00?obKP00ooIS@03onMP00?olSL0
0ooj6@04ood900?oo0d00oog9@03ona>00?og8<00oo8^`03ogNa00?o8iL00ol0O1/3o`1R@@?o04=9
1?l07SD3o`0;9@?o00<K0ol00QT3o`057`?o014[0ol0;Sl3o`1HBP?o07DX0olIT`03ogVb00?ocJl0
1?oTJP03oo@_00?oo0h00ool3`03oo<d00?ohW400oo:]P03of^^00?o3Hl00ol0Kc43o`1BC@?o02Dj
1?l03BL3o`0470?o008I0ol01Ql3o`0B;0?o03100ol0FDT3o`1e:0?o5Y800om`[`03olVi00Cogg/0
0oo_@@03ooXI00?oo@T00ooj5@03oo8h00?oi6X00ooBXP03ojBm00?oCjH00ol;SP03o`1g90Co0652
0ol0CDh3o`0[?@?o01H_0ol02bD3o`057P?o00<J0ol00QT3o`036`?o00DN0ol02R@3o`0A:`Co01/b
0ol09c/3o`0g@`?o04Q<0ol0E4`3o`1KA`?o06910ol0J3X3o`1]=0?o074_0ol0M2X3o`1e:0Co07HW
0ol0MBP3o`1b;0?o06lb0ol0JSP3o`1T?`?o05e60ol0E4`3o`17B`?o03=20ol08cP7ooooo`7o0000
0Oooool001Cooooo0_l00007ooooo`03o`000?oooooooooo00Gooooo0ol0:cd3o`0O=@?o01H_0ol0
42X3o`0<9`?o00TT0ol02243o`0680?o00HO2_l01Ah3o`067`?o00HP0ol01b43o`098`?o00`V0ol0
3bX3o`0E;P?o01dd0ol0:3/3o`0hA0?o04e>1?l0FDP3o`1W?0?o07DX0ol0Q@T3oanF00?oE:L00onC
^@03olVh00?ofHd00ooWH003oo8g00?onQT01?om2@03oo`=00?ombD00oo/CP03omb300?ob;/00omg
/@03ob>G00?o07`K0ol0HT43o`13B@Co01he0ol02bD3o`036`?o008I0ol01Al3o`0A:`?o02ho0ol0
F4X3o`1e:0?o6I<00omi/P03olf_00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om[
[P03o`f?00?o06la0ol0DTd3o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05U90ol0
MBP3oaJB00?oL:l00oo9^@04ommk00?okd400ooj6@03ood900?onQD00oob>003onAZ00?odZ800onT
_@03odnV00?o2hh00ol0Mb@4o`1Q@P?o04e>0ol0:cd3o`0F;`?o00/U0ol01Ah3o`036P?o008I0ol0
0a/3o`057P?o00XT0ol04B/4o`0K<P?o02Lk0ol0=d<3o`18C0?o05A<0ol0FdL3o`1R@@?o06Pj0ol0
KC@3o`1a;`?o07@Z0ol0MBP4o`1f9`?o07DX0ol0LR`3o`1_<P?o06Xh0ol0I3l3o`1MAP?o05A<0ol0
Ad/3o`0c@P?o02<h1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0:cd3
o`0O=P?o01L`0ol04B/3o`0=9`?o00XT0ol02283o`0780?o00HO2_l01Ah3o`067`?o00HP0ol02243
o`098`?o00`V0ol042X3o`0E;`?o01dd0ol0:3`3o`0hA0?o04i>1?l0FTP3o`1W?0?o07HW0ol0Q@P3
ob2F00?oEJP00onE^@03olZh00?ofH`00ooWG`03oo8g00?onQP01?om2@03oo`=00?omRD00oo/C`03
omb400?ob;/00omf/@03ob>G00?o07`K0ol0HT43o`13B@Co01dd0ol02bD3o`036`?o008I0ol01Ql3
o`0B:`?o02ho0ol0F4T3o`1e:0?o6I<00omi/P03olf_00Coi6X00ood;`03oo`>00?oo0l00ooc=003
on9a00?ob[H00om[[P03o`f?00?o070`0ol0DTd3o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3
o`0`@0?o05U90ol0MBP3oaJB00?oKjl00oo9^@04ommk00?okd400ooj6@03ood900?onaD00oob=`03
onAZ00?odZ800onU_@03oe2V00?o38h00ol0Mb@4o`1R@@?o04i>0ol0;3d3o`0G<0?o00/U0ol01Ah3
o`036P?o008I0ol00a/3o`057P?o00XT0ol042X4o`0J<P?o02Lj0ol0=T<3o`17B`?o05=<0ol0FdL3
o`1R@P?o06Lk0ol0K3D3o`1`;`?o07<[0ol0MBT4o`1e:0?o07@Y0ol0LRd3o`1^<`?o06Ti0ol0Hd03
o`1LAP?o05A<0ol0ADX3o`0b@@?o028h1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0ol0:cd3o`0O=P?o01L`0ol04B/3o`0=9`?o00XT0ol02283o`0780?o00HO2_l01Ah3o`06
7`?o00HP0ol02243o`098`?o00`V0ol042X3o`0E;`?o01dd0ol0:3`3o`0hA0?o04i>1?l0FTP3o`1W
?0?o07HW0ol0Q@P3ob2F00?oEJP00onE^@03olZh00?ofH`00ooWG`03oo8g00?onQP01?om2@03oo`=
00?omRD00oo/C`03omb400?ob;/00omf/@03ob>G00?o07`K0ol0HT43o`13B@Co01dd0ol02bD3o`03
6`?o008I0ol01Ql3o`0B:`?o02ho0ol0F4T3o`1e:0?o6I<00omi/P03olf_00Coi6X00ood;`03oo`>
00?oo0l00ooc=003on9a00?ob[H00om[[P03o`f?00?o070`0ol0DTd3o`0U>PCo00dW0ol011`3o`02
6@?o00HO0ol04R`3o`0`@0?o05U90ol0MBP3oaJB00?oKjl00oo9^@04ommk00?okd400ooj6@03ood9
00?onaD00oob=`03onAZ00?odZ800onU_@03oe2V00?o38h00ol0Mb@4o`1R@@?o04i>0ol0;3d3o`0G
<0?o00/U0ol01Ah3o`036P?o008I0ol00a/3o`057P?o00XT0ol042X4o`0J<P?o02Lj0ol0=T<3o`17
B`?o05=<0ol0FdL3o`1R@P?o06Lk0ol0K3D3o`1`;`?o07<[0ol0MBT4o`1e:0?o07@Y0ol0LRd3o`1^
<`?o06Ti0ol0Hd03o`1LAP?o05A<0ol0ADX3o`0b@@?o028h1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Gooooo0ol0:cd3o`0O=P?o01L`0ol04B/3o`0=9`?o00XT0ol02283o`0780?o
00HO2_l01Ah3o`067`?o00HP0ol02243o`098`?o00`V0ol042X3o`0E;`?o01dd0ol0:3`3o`0hA0?o
04i>1?l0FTP3o`1W?0?o07HW0ol0Q@P3ob2F00?oEJP00onE^@03olZh00?ofH`00ooWG`03oo8g00?o
nQP01?om2@03oo`=00?omRD00oo/C`03omb400?ob;/00omf/@03ob>G00?o07`K0ol0HT43o`13B@Co
01dd0ol02bD3o`036`?o008I0ol01Ql3o`0B:`?o02ho0ol0F4T3o`1e:0?o6I<00omi/P03olf_00Co
i6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om[[P03o`f?00?o070`0ol0DTd3o`0U>PCo
00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05U90ol0MBP3oaJB00?oKjl00oo9^@04ommk00?o
kd400ooj6@03ood900?onaD00oob=`03onAZ00?odZ800onU_@03oe2V00?o38h00ol0Mb@4o`1R@@?o
04i>0ol0;3d3o`0G<0?o00/U0ol01Ah3o`036P?o008I0ol00a/3o`057P?o00XT0ol042X4o`0J<P?o
02Lj0ol0=T<3o`17B`?o05=<0ol0FdL3o`1R@P?o06Lk0ol0K3D3o`1`;`?o07<[0ol0MBT4o`1e:0?o
07@Y0ol0LRd3o`1^<`?o06Ti0ol0Hd03o`1LAP?o05A<0ol0ADX3o`0b@@?o028h1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0;Ch3o`0Q=`?o01Pa0ol04R`3o`0=:0?o00XT
0ol02283o`07813o00HO0ol01b03o`088P?o00XT0ol032L3o`0@:P?o01H_0ol07SD3o`0Z?0?o03Y5
0ol0Cdh4o`1KB0?o06Pk0ol0MRH3o`261`?o8iL00omHZ003oiNj00?ob[H00ooJR`03onMN00?olSH0
0ooj6004ood900?oo0h00oof9P03on]@00?og8D00oo8_003ogB`00?o8IL00ol0O1`3o`1Q@P?o0499
1?l07C@3o`0:9@?o00<K0ol00QT3o`067`?o018/0ol0;cl3o`1HB@?o07DX0olIU003ogZb00?ocJh0
1?oTJP03oo@_00?oo0h00ool3`03oo<d00?ohW400oo:]P03of^^00?o3Hl00ol0L303o`1BC@?o02Dj
1?l03BL3o`0470?o008I0ol01Ql3o`0B;0?o03100ol0F4T3o`1e:@?o5I800om^[`03olVj00Cogg`0
0oo_@P03ooTI00?oo@T00ook5003oo8g00?oi6T00ooBX003ojNm00?oDZL00ol>S`03o`1h8`Co0691
0ol0Cdh3o`0]?P?o01L`0ol02bH3o`057P?o00<J0ol00QT3o`036P?o00DN0ol02B<3o`0@:PCo01Tb
0ol09SX3o`0d@P?o04I:0ol0DTd3o`1JB0?o06530ol0IS`3o`1[=P?o06la0ol0LRd3o`1c:`Co07@Z
0ol0Lb/3o`1`;`?o06dd0ol0J3/3o`1R@@?o05]70ol0DTd3o`13B@?o03100ol08CL7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3o`0]?P?o024g0ol06343o`0B;0?o00dX0ol0
2R@3o`088P?o00LP4?l01Ql3o`0780?o00PR0ol02R@3o`0<9`?o010Z0ol05Rl3o`0N=@?o02Xl0ol0
>TD3o`1?CPCo05]80ol0J3/3o`1f9P?o08H70olSU`03oeRX00?oUkX00oo:]P03omZ;00?oieh00oob
=P03ooXH00Coo@T00ool3P03ooHV00?oje000ooLQ@03olRl00?oM;000olQU`03o`1l70?o06520ol0
@TT4o`0M=0?o00XU0ol00a/3o`026@?o00HO0ol04R`3o`0_?`?o05Q90ol0MBP3oaVD00?oN[800oo=
[P04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh00ol=S`03o`1`<0?o059=0ol0
9CX4o`0=9`?o00@L0ol00QT3o`067`?o018/0ol0<403o`1HB@?o07DY0olETP03ofj_00?obKX01?oO
O003onm200?onAT00oom2@03oo/D00?olSL00ooTJ@03om:P00?oYkd00omBY`03o`j?00?o07PS1?l0
HT43o`1?CP?o02dn0ol05c03o`0;9P?o00DN0ol00aX3o`026@?o00<J0ol01Ah3o`098`?o010Z1?l0
6C83o`0V>P?o03A20ol0ATX3o`1BC@?o05Y80ol0HD<3o`1V?0?o06/f0ol0Kc43o`1b;@?o07<[1?l0
M2X3o`1c:`?o070_0ol0KC@3o`1X>`?o06910ol0FdL3o`1BC@?o04=90ol0<403o`0Q=`Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o02dn0ol08CL3o`0H<@?o018/0ol03BP3
o`0:90?o00PR0ol01b0@o`067`?o00LP0ol02283o`0:90?o00`W0ol042X3o`0F;`?o01he0ol0:S`3
o`0jA@?o04m>1?l0FdP3o`1X>`?o07HV0ol0QPL3ob>G00?oF:P00onG^P03olZf00?ofX/00ooWGP03
oo8f00?onQP01?om2@03oo`>00?omRH00oo[D003omb500?ob;`00omd/003ob6G00?o07`L0ol0HD83
o`12B@Co01dd0ol02RD3o`036`?o008I0ol01Ql3o`0B;0?o02lo0ol0F4T3o`1e:0?o6I@00omj/P03
olf^00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om[[P03o`f?00?o070`0ol0DTd3
o`0U>PCo00dW0ol011`3o`026@?o00HO0ol04R`3o`0`@0?o05Q90ol0MBT3oaFB00?oKZl00oo9^P04
omml00?okd800ooi6@03ood900?ona@00oob=`03onAY00?odZ000onW_@03oe:W00?o3Xl00ol0N2<4
o`1R@@?o04m>0ol0;Ch3o`0G<0?o00/V0ol01Ah3o`036P?o008I0ol00aX3o`057P?o00TS0ol042X4
o`0I<P?o02Hj0ol0=483o`16BP?o059=0ol0FTP3o`1Q@`?o06Hl0ol0JcH3o`1_<@?o078]0ol0Lb/4
o`1d:P?o07<[0ol0L2l3o`1]=0?o06Pk0ol0HT43o`1KA`?o059=0ol0@dT3o`0`@0?o024g1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0<403o`0S>0?o01Xb0ol04bd3o`0>
:0?o00/U0ol02B<3o`078@?o00LP2_l01Ql3o`0680?o00LQ0ol02B83o`0:9@?o00dX0ol04B/3o`0G
<0?o020f0ol0;3d3o`0lAP?o051>1?l0G4L3o`1Y>@?o07PS0ol0R0@3obJH00?oG:T00onL^`03ol^d
00?ofhP00ooXG003oo<d00?onQL01?om2@03oo`>00?omRL00oo[DP03om^700?oakh00omb/003oanF
00?o07/M0ol0HD83o`11B0Co01`d0ol02R@3o`036`?o008I0ol01Ql3o`0B;0?o02lo0ol0F4T3o`1e
9`?o6Y@00omk/P03olf^00Coi6X00ood;`03oo`>00?oo0l00ooc=003on9a00?ob[H00om[[P03o`f?
00?o070`0ol0Ddd3o`0V>PCo00dW0ol011`3o`026@?o00DO0ol04R`3o`0_?`?o05Q90ol0M2T3oaBB
00?oK:h00oo8^`04omim00?okd<00ooi6P03ood900?ona<00oob=@03onEW00?odil00onZ_P03oeFW
00?o49000ol0NB44o`1S@0?o051>0ol0;Sl3o`0H<@?o00`V0ol01Ql3o`036P?o008I0ol00aX3o`05
7P?o00TS0ol03bT4o`0H<@?o02@i0ol0<T43o`13B@?o055=0ol0F4T3o`1OA0?o06Dn0ol0JSP3o`1]
=0?o070`1ol0LRd3o`1a;P?o06lb0ol0JcL3o`1V?@?o06130ol0FDT3o`1AC@?o03m80ol0;Ch3o`0O
=@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o03100ol08cP3o`0J<P?o
01<]0ol03RP3o`0;9@?o00TS0ol01b43o`0780[o00HO0ol01R03o`078@?o00TR0ol02RD3o`0=:0?o
014[0ol05c03o`0P=P?o02`m0ol0?4H3o`1@CPCo05a70ol0JCT3o`1h8`?o08P40olVV003oebY00?o
W;/00oo;]003om^800?oj5`00ooc=003ooXG00Coo@T00ool3P03ooHW00?oje800ooKQ`03olNn00?o
L[000olOUP03o`1k7@?o06520ol0@DP4o`0L=0?o00XT0ol00a/3o`026@?o00HO0ol04R`3o`0_?`?o
05Q90ol0MBL3oaZD00?oNk800oo=[P04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03olZf00?o
Jjh00ol=S`03o`1`<0?o05==0ol09SX4o`0=9`?o00@L0ol00QT3o`057`?o018/0ol0;cl3o`1HB@?o
07@Y0olDTP03ofb^00?ob;/01?oNO@03onm300?onAX00oom2@03oo/C00?olSD00ooUI`03om>O00?o
Z[h00omEY`03oa2@00?o07TQ1?l0Hd03o`1@CP?o02ho0ol06343o`0<9P?o00HO0ol00aX3o`026@?o
00<J0ol01Ah3o`098`?o00lY1?l06343o`0T>@?o03910ol0@dT3o`1AC@?o05Q90ol0Gd@3o`1U?P?o
06Xh0ol0KC@3o`1`<0Oo078]0ol0LBh3o`1_<P?o06/g0ol0ISd3o`1P@`?o05U90ol0DDd3o`0oB0?o
02dn0ol07cD7ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o03100ol08cP3o`0J<P?o01<]
0ol03RP3o`0;9@?o00TS0ol01b43o`0780[o00HO0ol01R03o`078@?o00TR0ol02RD3o`0=:0?o014[
0ol05c03o`0P=P?o02`m0ol0?4H3o`1@CPCo05a70ol0JCT3o`1h8`?o08P40olVV003oebY00?oW;/0
0oo;]003om^800?oj5`00ooc=003ooXG00Coo@T00ool3P03ooHW00?oje800ooKQ`03olNn00?oL[00
0olOUP03o`1k7@?o06520ol0@DP4o`0L=0?o00XT0ol00a/3o`026@?o00HO0ol04R`3o`0_?`?o05Q9
0ol0MBL3oaZD00?oNk800oo=[P04onAZ00?om2l00ool3P03oo`?00?olc@00ooRL@03olZf00?oJjh0
0ol=S`03o`1`<0?o05==0ol09SX4o`0=9`?o00@L0ol00QT3o`057`?o018/0ol0;cl3o`1HB@?o07@Y
0olDTP03ofb^00?ob;/01?oNO@03onm300?onAX00oom2@03oo/C00?olSD00ooUI`03om>O00?oZ[h0
0omEY`03oa2@00?o07TQ1?l0Hd03o`1@CP?o02ho0ol06343o`0<9P?o00HO0ol00aX3o`026@?o00<J
0ol01Ah3o`098`?o00lY1?l06343o`0T>@?o03910ol0@dT3o`1AC@?o05Q90ol0Gd@3o`1U?P?o06Xh
0ol0KC@3o`1`<0Oo078]0ol0LBh3o`1_<P?o06/g0ol0ISd3o`1P@`?o05U90ol0DDd3o`0oB0?o02dn
0ol07cD6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0c@P?o02Hj0ol0
73<3o`0E;P?o010Z0ol032H3o`0:90?o00PR0ol01b4:o`0780?o00LQ0ol02283o`098`?o00/V0ol0
3RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m80ol0DTd4o`1NA@?o06/g0ol0NB03o`2900?o:iX00omQ
Z`03oj:l00?ocK000ooLQ@03onUI00?olc800ooj5@04ood900?oo0l00oof:@03onYD00?ofXT00oo6
`003ofj_00?o7ID00ol0NQl3o`1P@`?o04181?l073<3o`0:90?o00<K0ol00QT3o`067`?o018/0ol0
<403o`1IB@?o07HW0olKU003ogbb00?ocZd01?oTJ@03oo@_00?oo0h00ool4003oo<d00?ohW400oo:
]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj1?l03BL3o`0470?o008I0ol01Ah3o`0A:`?o02ho0ol0
F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl00oo^A@03ooTK00?oo@T00ook4`03oo<d00?oiVD00ooD
W003ojjo00?oFJT00olCT@03o`1j7`Co06Dn0ol0DDd3o`0`@0?o01Tb0ol03BL3o`067`?o00<K0ol0
0QT3o`036P?o00DM0ol02283o`0>:0Co01L`0ol08SL3o`0_?`?o03m80ol0Cdh3o`1FBP?o05e60ol0
Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`0ol0Kc83o`1/=@?o06Pj0ol0I403o`1NA@?o05M:0ol0
CTh3o`0kA@?o02Xl0ol073@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
o`0c@P?o02Hj0ol073<3o`0E;P?o010Z0ol032H3o`0:90?o00PR0ol01b4:o`0780?o00LQ0ol02283
o`098`?o00/V0ol03RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m80ol0DTd4o`1NA@?o06/g0ol0NB03
o`2900?o:iX00omQZ`03oj:l00?ocK000ooLQ@03onUI00?olc800ooj5@04ood900?oo0l00oof:@03
onYD00?ofXT00oo6`003ofj_00?o7ID00ol0NQl3o`1P@`?o04181?l073<3o`0:90?o00<K0ol00QT3
o`067`?o018/0ol0<403o`1IB@?o07HW0olKU003ogbb00?ocZd01?oTJ@03oo@_00?oo0h00ool4003
oo<d00?ohW400oo:]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj1?l03BL3o`0470?o008I0ol01Ah3
o`0A:`?o02ho0ol0F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl00oo^A@03ooTK00?oo@T00ook4`03
oo<d00?oiVD00ooDW003ojjo00?oFJT00olCT@03o`1j7`Co06Dn0ol0DDd3o`0`@0?o01Tb0ol03BL3
o`067`?o00<K0ol00QT3o`036P?o00DM0ol02283o`0>:0Co01L`0ol08SL3o`0_?`?o03m80ol0Cdh3
o`1FBP?o05e60ol0Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`0ol0Kc83o`1/=@?o06Pj0ol0I403
o`1NA@?o05M:0ol0CTh3o`0kA@?o02Xl0ol073@7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`0c@P?o02Hj0ol073<3o`0E;P?o010Z0ol032H3o`0:90?o00PR0ol01b4:o`07
80?o00LQ0ol02283o`098`?o00/V0ol03RT3o`0C;0?o01Ta0ol08SL3o`0^?`?o03m80ol0DTd4o`1N
A@?o06/g0ol0NB03o`2900?o:iX00omQZ`03oj:l00?ocK000ooLQ@03onUI00?olc800ooj5@04ood9
00?oo0l00oof:@03onYD00?ofXT00oo6`003ofj_00?o7ID00ol0NQl3o`1P@`?o04181?l073<3o`0:
90?o00<K0ol00QT3o`067`?o018/0ol0<403o`1IB@?o07HW0olKU003ogbb00?ocZd01?oTJ@03oo@_
00?oo0h00ool4003oo<d00?ohW400oo:]P03ofb^00?o3Hl00ol0L303o`1CC0?o02Hj1?l03BL3o`04
70?o008I0ol01Ah3o`0A:`?o02ho0ol0F4X3o`1d:P?o4Y400omZ[@03olRm00CogWl00oo^A@03ooTK
00?oo@T00ook4`03oo<d00?oiVD00ooDW003ojjo00?oFJT00olCT@03o`1j7`Co06Dn0ol0DDd3o`0`
@0?o01Tb0ol03BL3o`067`?o00<K0ol00QT3o`036P?o00DM0ol02283o`0>:0Co01L`0ol08SL3o`0_
?`?o03m80ol0Cdh3o`1FBP?o05e60ol0Hd03o`1W>`?o06/g0ol0KS<3o`1_<@Co070`0ol0Kc83o`1/
=@?o06Pj0ol0I403o`1NA@?o05M:0ol0CTh3o`0kA@?o02Xl0ol073@7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`0hA0?o02Xl0ol07cH3o`0G<0?o018/0ol03RP3o`0;9@?o
00TS0ol02283o`088@?o00LQ1?l02243o`088P?o00TS0ol02RD3o`0=9`?o010Z0ol05Bh3o`0K<`?o
02Di0ol0<T43o`14BP?o05A<1?l0H4<3o`1]=0?o07`L0ol4R`03oc6L00?oJ:d00onY_P03olj/00?o
gH400ooZE@03oo@_00?ona@01?om2003oo`@00?omB/00ooYE`03omV<00?oaL<00omZ[P03oaVD00?o
07TQ0ol0Gd@3o`0nA`Co01/c0ol02R@3o`036`?o008I0ol01Ql3o`0C;0?o03500ol0FDP3o`1f9P?o
79D00omm/`03olj]00Coi6T00ood;P03oo`=00?oo1000ooc=003on9a00?ob[H00om/[P03o`j?00?o
070`0ol0Dd`3o`0V>PCo00dX0ol011`3o`026@?o00DN0ol04B/3o`0^?P?o05M:0ol0Lb/3oa2@00?o
Ijd00oo7_`04omf100?okTL00ooi7003ood:00?ona800ooc<@03onIR00?oeIT00ond`@03oejZ00?o
5i<00ol0O1`4o`1V?@?o059=0ol0<d43o`0K<`?o00hX0ol01R03o`036`?o008I0ol00QX3o`047@?o
00PQ0ol03BL4o`0E;P?o01lf0ol0;3h3o`0kA@?o04]=0ol0E4`3o`1JB0?o06130ol0ICh3o`1X>P?o
06/g1ol0K3D3o`1[=P?o06Ti0ol0ICh3o`1P@`?o05]80ol0E4`3o`18B`?o03E30ol09SX3o`0I<@Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o03Q40ol0:S`3o`0O=P?o01L`
0ol04R`3o`0>:0?o00/U0ol02B<3o`088P?o00PQ0ol01b44o`088@?o00PR0ol02B<3o`0:9@?o00dW
0ol042X3o`0E;P?o01/c0ol09CT3o`0b@@?o04A:0ol0E4`4o`1P@`?o06dd0ol0O1`3o`B;00?o<I`0
0omX[@03ojVn00?ocZ`00ooMP@03onYE00?om2l00ook5004ood800?oo1000ooe:`03onUG00?ofH`0
0oo5``03ofZ^00?o6I@00ol0NB43o`1OA0?o03i71?l06c<3o`0:90?o00<K0ol00QT3o`067`?o01</
0ol0<D03o`1IB0?o07HV0olLU@03ogfc00?ocZd01?oTJ@03oo@^00?oo0d00ool4003oo<d00?ohW40
0oo:]P03ofb^00?o3Xl00ol0L303o`1CC0?o02Hj1?l03BP3o`0470?o008I0ol01Ah3o`0A:`?o02hn
0ol0EdX3o`1c:`?o49000omW[@03olNo00CogH400oo^A`03ooTL00?oo@X00ook4P03oo<a00?oiV80
0ooEV@03okC100?oGZX00olGT`03o`1l70Co06Hm0ol0DTd3o`0c@@?o01/c0ol03RP3o`0680?o00<K
0ol00QT3o`026P?o00@M0ol02243o`0=9`Co01D^0ol07cH3o`0/?P?o03]50ol0Bdd3o`1DC0?o05Y8
0ol0H4<3o`1U?P?o06Pj0ol0JcL7o`1/=@?o06/f0ol0JCT3o`1U?P?o06130ol0FdP3o`1DC0?o04Q;
0ol0=D<3o`0V>P?o01Ta1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0
>4@3o`0Z?0?o01lf0ol05c03o`0B;0?o00hX0ol02bD3o`098`?o00PR0ol02243o`078@Co00PQ0ol0
2283o`098`?o00XU0ol03BL3o`0@:P?o01D^0ol06c<3o`0U>@?o03910ol0A4X3o`1DC0Co06130ol0
KC@3o`1l70?o18/00olaW003ofR]00?oZKh00oo>[003omf100?ojUD00ood;`03oo/D00Coo@P00ool
4003ooD[00?ojEL00ooIS003olG300?oJZh00olIU003o`1i8@?o05m40ol0?TL4o`0K<`?o00XT0ol0
0a/3o`026@?o00HO0ol04b`3o`0a@0?o05U80ol0MRH3oabE00?oOK<00oo>[@04onAY00?om2h00ool
3@03oo`@00?olc@00ooRL@03olZf00?oK:h00ol>S`03o`1`<0?o05=<0ol09SX4o`0=:0?o00@L0ol0
0QT3o`057P?o014[0ol0;Sh3o`1GBP?o07<[0ol@T003ofN]00?oakl01?oMP@03oni700?onA`00oom
2P03oo/B00?olc400ooVHP03omFI00?o]<400omNZP03oaNC00?o07`L1?l0ISd3o`1BC@?o03=10ol0
6c<3o`0>:0?o00HP0ol00a/3o`026@?o008J0ol011d3o`088@?o00dW1?l05Bh3o`0O=P?o02`n0ol0
>dD3o`1;C@?o05A<0ol0FTP3o`1P@`?o06Dn0ol0J3X3o`1[=`Oo06`e0ol0JcH3o`1Y>@?o06Dn0ol0
H4<3o`1KB0?o05A<0ol0B4/3o`0e@`?o02Hj0ol06C47ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`0nA`?o02lo0ol08cP3o`0K<P?o01@^0ol042X3o`0=9`?o00/U0ol02R@=
o`098`?o00XT0ol032H3o`0>:@?o018/0ol05c03o`0N=@?o02Pk0ol0=T<3o`19C0?o05I:1?l0HT43
o`1`<0?o07hG0ol;SP03ocRN00?oL:l00ona`003om2W00?ogg`00oo[D@03ooD/00?ona801?om2003
oo/B00?om2h00ooXFP03omR@00?o`L@00omU[003oaJB00?o07PT0ol0GTD3o`0lAPCo01Xb0ol02B<3
o`036`?o008I0ol01R03o`0C;@?o03910ol0FTP3o`1g9@?o7YD00omo/`03olj/00CoiFP00ood;P03
oo`=00?oo1000ooc=003on9a00?ob[H00om/[P03o`j?00?o070_0ol0Dd`3o`0W>`Co00hX0ol011`3
o`026@?o00DN0ol04B/3o`0]?P?o05I;0ol0LRd3o`f?00?oHj`00oo6`@04omb400?okDT00ooh7P03
ood:00?oo1000ood;`03onMO00?oeYD00onj`P03ofB/00?o79D00ol0OQP4o`1X>P?o05A<0ol0=T<3
o`0M=0?o00lY0ol01b43o`0370?o008I0ol00QX3o`0470?o00LP0ol032H4o`0C;@?o01`d0ol0:3/3
o`0f@`?o04E:0ol0DDd3o`1HBP?o05e60ol0HD83o`1U?P?o06Lk0ol0JCX4o`1Y>@?o06Pk0ol0ICh3
o`1R@P?o05e60ol0EdX3o`1@CP?o04180ol0;cl3o`0Q=`?o01H_1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Gooooo0ol0?TL3o`0_?`?o02<h0ol06c83o`0D;P?o010Z0ol03BL3o`0;
9@?o00XT3Ol02B<3o`0:90?o00`V0ol03RT3o`0B;0?o01L`0ol07SD3o`0X>`?o03I30ol0BD`3o`1F
BPCo06910ol0L303o`1n5`?o2hh00olhWP03og2_00?o/L000oo@Y`03omml00?oje400ooe;003oo/B
00Coo@P00ook4P03oo@^00?oj5X00ooHT003ol7400?oIJ`00olFTP03o`1h90?o05i50ol0?4H4o`0J
<P?o00TS0ol00a/3o`026@?o00HP0ol04bd3o`0b@@?o05Y80ol0MbD3oajE00?oOk<00oo>[004onEX
00?om2h00ool3@03oo`@00?olc@00ooRL@03olZf00?oK:h00ol>S`03o`1`;`?o05=<0ol09c/4o`0>
:0?o00@L0ol00QT3o`057P?o014[0ol0;Ch3o`1FB`?o078]0ol=S`03of>/00?oa/401?oLQ003one9
00?on1h00oom2P03oo`@00?om2l00ooWG`03omJE00?o^/800omT[003oabE00?o07hH1?l0J3X3o`1D
C0?o03I30ol07C@3o`0?:@?o00LQ0ol00a`3o`026@?o008J0ol011`3o`0780?o00`V1?l04bd3o`0L
=0?o02Pk0ol0=T<3o`15BP?o055=0ol0F4X3o`1MAP?o06520ol0ICh3o`1W>`?o06Tj1?l0JCT3o`1X
>`?o06Dn0ol0HT83o`1MAP?o05M:0ol0D4h3o`10B0?o02lo0ol08CL3o`0F;`Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?o03i70ol0;cl3o`0S>0?o01/b0ol052h3o`0@:P?o
00dW0ol02bD3o`0:90go00TS0ol02R@3o`0<9P?o00hY0ol04R`3o`0G<0?o01he0ol0:3/3o`0f@`?o
04U<0ol0ETX4o`1R@@?o070`0ol0OQL3o`^>00?o>9h00om`[`03ok7000?od:L00ooOO003on]A00?o
mB`00ook4P04ood800?ona800ood;P03onQJ00?of9000oo1a003ofF/00?o5Y800ol0N2@3o`1NA@?o
03a61?l06S83o`098`?o00<K0ol00QT3o`0680?o01<]0ol0<T43o`1JB0?o07LU0olNU@03ognc00?o
cZ`01?oUJ003oo@^00?oo0d00ool4003oo<d00?ohW400oo:]P03ofb^00?o3Xl00ol0L2l3o`1CC0?o
02Lk1?l03RP3o`0470?o008I0ol01Ah3o`0A:`?o02dn0ol0ET/3o`1b;@?o3Hl00omS[003olK100Co
g8@00oo]B@03ooPN00?oo@X00ool4003oo@_00?oiel00ooFU@03ok[200?oI:`00olLU@03o`1n60Co
06Pj0ol0E4`3o`0f@`?o01dd0ol03bT3o`078@?o00<L0ol00QT3o`026P?o00@L0ol01b03o`0<9PCo
01<]0ol073@3o`0X>`?o03I30ol0ADX3o`1AC@?o05Q:0ol0GDH3o`1Q@P?o06Dn0ol0Ic/3o`1Y>PCo
06Ti0ol0J3/3o`1U?P?o06920ol0GDH3o`1GBP?o051>0ol0@4P3o`0_?`?o024g0ol05Rl7ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`16B`?o03E20ol0:3/3o`0O=@?o01Pa
0ol04bd3o`0?:@?o00dW0ol02bH3o`0;9@Oo00XT0ol02bD3o`0<9P?o00hX0ol04B/3o`0E;P?o01Xb
0ol08SL3o`0]?P?o03a60ol0Cdh3o`1IB0Co06Dn0ol0Lb`3o`214@?o4Y400om1X@03ogZb00?o_<80
0ooBX@03on1f00?ok4`00oof:003oo`@00Coo@P00ook4`03oo<a00?oieh00ooGU003ok_200?oGjX0
0olAT@03o`1f9P?o05a60ol0>TD4o`0I<@?o00TS0ol00a/3o`026P?o00LP0ol052h3o`0c@P?o05]7
0ol0N2@3ob2F00?oPK@00oo?Z`04onEW00?om2d00ool3@03oo`@00?olc@00ooRL@03olZf00?oKJh0
0ol?T003o`1a;`?o05A<0ol09c/4o`0>:0?o00@M0ol00QT3o`057P?o010Z0ol0:cd3o`1EB`?o074^
0ol;SP03oenZ00?oaL@01?oKQ`03ona<00?on2000oom2P03oo`?00?omB`00ooXF`03omRA00?o`/@0
0om[[P03ob:G00?o080D1?l0JSP3o`1FB`?o03Y50ol083H3o`0@:P?o00PR0ol011`6o`026@?o00<K
0ol01Ql3o`0:90Co014[0ol06C83o`0T>@?o03500ol0?dL3o`1>CP?o05A<0ol0FDP3o`1NA@?o0652
0ol0Hd07o`1U?P?o06@o0ol0HD83o`1MA@?o05U90ol0Dd`3o`19C0?o03Q40ol0:C`3o`0L=0?o018/
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0AT/3o`0e@P?o02Pk0ol0
7cD3o`0H<@?o01<]0ol03bT3o`0=9`?o00/V0ol02bD7o`0:90?o00/U0ol032H3o`0>:0?o014[0ol0
5Bh3o`0J<P?o028g0ol0;Ch3o`0lAP?o04m>0ol0FDP4o`1U?P?o07</0ol0PA43oa:A00?o@J400omj
/P03okc200?odZ400ooPMP03ona<00?omRP00ool4004ood800?ona<00ooc<@03onMN00?oei@00onk
`P03oenZ00?o4I400ol0MRH3o`1LAP?o03Y51?l06C43o`098`?o00<K0ol00QX3o`0780?o01@^0ol0
<d83o`1KA`?o07PT0olPUP03oh6d00?ocj/01?oUI`03oo@]00?oo0d00ool4003oo<d00?ohW400oo:
]P03off^00?o3i000ol0LBl3o`1DC0?o02Lk1?l03RP3o`047@?o008I0ol01Ah3o`0@:P?o02/m0ol0
ED/3o`1a;P?o2hh00omOZP03olG400CofhL00oo/C003ooPP00?oo@X00ool3`03ooD/00?oj5/00ooH
T@03ol;400?oJjh00olRU`03o`2050Co06Xh0ol0ET/3o`0jA@?o020f0ol042X3o`088P?o00@L1_l0
0QT3o`036`?o00HO0ol02R@4o`0A:`?o01Tb0ol093T3o`0a@0?o03m70ol0CTh3o`1DC0?o05U80ol0
GTD3o`1Q@P?o06=01ol0ICh3o`1T?`?o06520ol0GDD3o`1IB@?o05=<0ol0BD`3o`0hA0?o02Tl0ol0
73@3o`0B;0Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o04I;0ol0=D83
o`0X>`?o01le0ol06343o`0C;@?o00lY0ol03BL3o`0;9P?o00/U1ol02R@3o`0;9@?o00`V0ol03RP3
o`0A:`?o01D^0ol06S83o`0R=`?o02dn0ol0?4H3o`1?CP?o05U81?l0ICh3o`1c;0?o084A0olBT@03
od6Q00?oN[800onl`P03om:Q00?oh7H00oo/C003ooHX00?oo1001?om2003oo/C00?olc400ooWGP03
omND00?o^l800omOZP03oa6A00?o07HV0ol0G4H3o`0jA@Co01Ta0ol02B<3o`036`?o008J0ol01b03
o`0D;P?o03=20ol0FdL3o`1h90?o89H00on1]003oln[00CoiFL00ood;@03oo`=00?oo1000ooc=003
on9a00?ob[H00om][P03o`n@00?o074_0ol0E4`3o`0W>`Co00hX0ol011d3o`026@?o00DN0ol042X3
o`0[?@?o05E;0ol0LBh3o`^>00?oGjX00oo5a004om^700?ok4`00ooh8003ood:00?oo0l00ooe;003
onQK00?of9400oo2a003of^^00?o8YL00ol0P1@4o`1Z>0?o05I;0ol0>TD3o`0P=P?o010Z0ol02283
o`0470Ko008I0ol00a/3o`067`?o00XT1?l04B/3o`0I<P?o02@i0ol0<D03o`0oA`?o04i>0ol0E4`3
o`1IB0?o05i50ol0HD83o`1S@0Oo06Dn0ol0I3l3o`1Q@P?o05e50ol0FDT3o`1CC0?o04U<0ol0>4@3
o`0Y?0?o01`d0ol04R`7ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o04m>0ol0?DL3o`0_
?`?o02@i0ol07C@3o`0G<0?o01</0ol042X3o`0>:0?o00dW1ol032L3o`0=9`?o00hY0ol042/3o`0D
;@?o01Pa0ol07SD3o`0W>P?o03910ol0@TT3o`1BC@?o05e61?l0JCT3o`1f9P?o08D:0olKU003odbU
00?oQ[D00oo5``03omBK00?ohW000oo^AP03ooLT00?oo0h01?om2003ooXF00?olSD00ooVH`03omFI
00?o/l000omHZ003o`b?00?o07@Y0ol0FdP3o`0gA0Co01L`0ol02283o`036P?o008J0ol01b03o`0E
;P?o03E20ol0G4L3o`1h8P?o8YL00on3]003olnY00CoiFH00ooe;@03oo`=00?oo1000ooc=@03on9a
00?ob[H00om][P03o`n@00?o074^0ol0E4`3o`0X>`Co00hX0ol011d3o`026@?o00DN0ol042X3o`0Z
?0?o05A<0ol0L303o`N=00?oFjT00oo0``04omZ:00?ok4l00oog8P03ood;00?oo0h00ooe:@03onYF
00?ofH`00oo6`@03ogB`00?o:IT00ol0P`h4o`1]=0?o05U90ol0?TL3o`0S>0?o018/0ol02B<3o`04
7@?o008J0ol00QT3o`036`?o00DN0ol02B<4o`0?:@?o01H_0ol083H3o`0[?@?o03Q40ol0ATX3o`1@
CP?o05E;0ol0FTP3o`1MAP?o05m41ol0H4<3o`1OA0?o05a60ol0FDT3o`1DC0?o04i>0ol0?dP3o`0`
@0?o02<h0ol06303o`0?:@Kooooo0_l00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
04m>0ol0?DL3o`0_?`?o02@i0ol07C@3o`0G<0?o01</0ol042X3o`0>:0?o00dW1ol032L3o`0=9`?o
00hY0ol042/3o`0D;@?o01Pa0ol07SD3o`0W>P?o03910ol0@TT3o`1BC@?o05e61?l0JCT3o`1f9P?o
08D:0olKU003odbU00?oQ[D00oo5``03omBK00?ohW000oo^AP03ooLT00?oo0h01?om2003ooXF00?o
lSD00ooVH`03omFI00?o/l000omHZ003o`b?00?o07@Y0ol0FdP3o`0gA0Co01L`0ol02283o`036P?o
008J0ol01b03o`0E;P?o03E20ol0G4L3o`1h8P?o8YL00on3]003olnY00CoiFH00ooe;@03oo`=00?o
o1000ooc=@03on9a00?ob[H00om][P03o`n@00?o074^0ol0E4`3o`0X>`Co00hX0ol011d3o`026@?o
00DN0ol042X3o`0Z?0?o05A<0ol0L303o`N=00?oFjT00oo0``04omZ:00?ok4l00oog8P03ood;00?o
o0h00ooe:@03onYF00?ofH`00oo6`@03ogB`00?o:IT00ol0P`h4o`1]=0?o05U90ol0?TL3o`0S>0?o
018/0ol02B<3o`047@?o008J0ol00QT3o`036`?o00DN0ol02B<4o`0?:@?o01H_0ol083H3o`0[?@?o
03Q40ol0ATX3o`1@CP?o05E;0ol0FTP3o`1MAP?o05m41ol0H4<3o`1OA0?o05a60ol0FDT3o`1DC0?o
04i>0ol0?dP3o`0`@0?o02<h0ol06303o`0?:@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`05ooooo`?o04m>0ol0?DL3o`0_?`?o02@i0ol07C@3o`0G<0?o01</0ol042X3o`0>:0?o00dW
1ol032L3o`0=9`?o00hY0ol042/3o`0D;@?o01Pa0ol07SD3o`0W>P?o03910ol0@TT3o`1BC@?o05e6
1?l0JCT3o`1f9P?o08D:0olKU003odbU00?oQ[D00oo5``03omBK00?ohW000oo^AP03ooLT00?oo0h0
1?om2003ooXF00?olSD00ooVH`03omFI00?o/l000omHZ003o`b?00?o07@Y0ol0FdP3o`0gA0Co01L`
0ol02283o`036P?o008J0ol01b03o`0E;P?o03E20ol0G4L3o`1h8P?o8YL00on3]003olnY00CoiFH0
0ooe;@03oo`=00?oo1000ooc=@03on9a00?ob[H00om][P03o`n@00?o074^0ol0E4`3o`0X>`Co00hX
0ol011d3o`026@?o00DN0ol042X3o`0Z?0?o05A<0ol0L303o`N=00?oFjT00oo0``04omZ:00?ok4l0
0oog8P03ood;00?oo0h00ooe:@03onYF00?ofH`00oo6`@03ogB`00?o:IT00ol0P`h4o`1]=0?o05U9
0ol0?TL3o`0S>0?o018/0ol02B<3o`047@?o008J0ol00QT3o`036`?o00DN0ol02B<4o`0?:@?o01H_
0ol083H3o`0[?@?o03Q40ol0ATX3o`1@CP?o05E;0ol0FTP3o`1MAP?o05m41ol0H4<3o`1OA0?o05a6
0ol0FDT3o`1DC0?o04i>0ol0?dP3o`0`@0?o02<h0ol06303o`0?:@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?o05A<0ol0B4/3o`0hA0?o02`m0ol08cP3o`0L<`?o01L`0ol0
4bd3o`0A:`?o010Z1ol03bT3o`0@:P?o014[0ol052d3o`0G<0?o01`d0ol08cP3o`0/?P?o03U50ol0
Bdd3o`1FB`?o06521?l0KC@3o`1j7`?o08T10olVV003oeRX00?oTkP00oo8^`03omNC00?oi6T00oo`
@003ooPP00?oo@`01?om2@03ooXH00?olCX00ooTJ@03om>N00?oZ[h00omAYP03o`N=00?o078/0ol0
FDT3o`0d@PCo01H_0ol02243o`036P?o008J0ol01b43o`0F;`?o03M30ol0GDH3o`1i80?o99P00on6
]@03om2X00CoiVD00ooe;003oo`=00?oo1000ooc=@03on9a00?obkD00om^[`03oa2@00?o074^0ol0
E4`3o`0Y?0Co00hY0ol011d3o`026@?o00DM0ol03bT3o`0Y?0?o05=<0ol0KS83o`B;00?oEZP00onj
`P04omV>00?oje<00oog9003ood<00?oo0d00oof9P03on]A00?ofhL00oo8_003ogfc00?o<I`00ol0
QPP4o`1`<0?o05a70ol0A4X3o`0V>P?o01@^0ol02R@3o`057P?o00<J0ol00QT3o`036P?o00@M0ol0
2244o`0<9`?o01<]0ol073<3o`0V>P?o03500ol0?DL3o`19C0?o055=0ol0ED/3o`1HB@?o05Y81ol0
FdL3o`1JB0?o05M:0ol0Dd`3o`1?CP?o04=90ol0=D<3o`0X>`?o01`d0ol04bd3o`0<9POooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o05A<0ol0B4/3o`0hA0?o02`m0ol08cP3
o`0L<`?o01L`0ol04bd3o`0A:`?o010Z1ol03bT3o`0@:P?o014[0ol052d3o`0G<0?o01`d0ol08cP3
o`0/?P?o03U50ol0Bdd3o`1FB`?o06521?l0KC@3o`1j7`?o08T10olVV003oeRX00?oTkP00oo8^`03
omNC00?oi6T00oo`@003ooPP00?oo@`01?om2@03ooXH00?olCX00ooTJ@03om>N00?oZ[h00omAYP03
o`N=00?o078/0ol0FDT3o`0d@PCo01H_0ol02243o`036P?o008J0ol01b43o`0F;`?o03M30ol0GDH3
o`1i80?o99P00on6]@03om2X00CoiVD00ooe;003oo`=00?oo1000ooc=@03on9a00?obkD00om^[`03
oa2@00?o074^0ol0E4`3o`0Y?0Co00hY0ol011d3o`026@?o00DM0ol03bT3o`0Y?0?o05=<0ol0KS83
o`B;00?oEZP00onj`P04omV>00?oje<00oog9003ood<00?oo0d00oof9P03on]A00?ofhL00oo8_003
ogfc00?o<I`00ol0QPP4o`1`<0?o05a70ol0A4X3o`0V>P?o01@^0ol02R@3o`057P?o00<J0ol00QT3
o`036P?o00@M0ol02244o`0<9`?o01<]0ol073<3o`0V>P?o03500ol0?DL3o`19C0?o055=0ol0ED/3
o`1HB@?o05Y81ol0FdL3o`1JB0?o05M:0ol0Dd`3o`1?CP?o04=90ol0=D<3o`0X>`?o01`d0ol04bd3
o`0<9POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o05A<0ol0B4/3o`0h
A0?o02`m0ol08cP3o`0L<`?o01L`0ol04bd3o`0A:`?o010Z1ol03bT3o`0@:P?o014[0ol052d3o`0G
<0?o01`d0ol08cP3o`0/?P?o03U50ol0Bdd3o`1FB`?o06521?l0KC@3o`1j7`?o08T10olVV003oeRX
00?oTkP00oo8^`03omNC00?oi6T00oo`@003ooPP00?oo@`01?om2@03ooXH00?olCX00ooTJ@03om>N
00?oZ[h00omAYP03o`N=00?o078/0ol0FDT3o`0d@PCo01H_0ol02243o`036P?o008J0ol01b43o`0F
;`?o03M30ol0GDH3o`1i80?o99P00on6]@03om2X00CoiVD00ooe;003oo`=00?oo1000ooc=@03on9a
00?obkD00om^[`03oa2@00?o074^0ol0E4`3o`0Y?0Co00hY0ol011d3o`026@?o00DM0ol03bT3o`0Y
?0?o05=<0ol0KS83o`B;00?oEZP00onj`P04omV>00?oje<00oog9003ood<00?oo0d00oof9P03on]A
00?ofhL00oo8_003ogfc00?o<I`00ol0QPP4o`1`<0?o05a70ol0A4X3o`0V>P?o01@^0ol02R@3o`05
7P?o00<J0ol00QT3o`036P?o00@M0ol02244o`0<9`?o01<]0ol073<3o`0V>P?o03500ol0?DL3o`19
C0?o055=0ol0ED/3o`1HB@?o05Y81ol0FdL3o`1JB0?o05M:0ol0Dd`3o`1?CP?o04=90ol0=D<3o`0X
>`?o01`d0ol04bd3o`0<9POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
05U80ol0DDd3o`12B@?o03E20ol0:Sd3o`0R>0?o01`d0ol06343o`0E;`?o01@]1ol04bd3o`0D;@?o
01D_0ol06343o`0L=0?o028g0ol0:C`3o`0d@P?o04990ol0DDd3o`1JB0?o06Dn1?l0LBh3o`1o5P?o
2Hd00olbW@03ofJ/00?oXK`00oo;/`03omZ;00?oif400ooa>P03ooTL00Ooo@X00ooi7003oo0o00?o
hfl00ooAY003oj2l00?oBJ@00ol1RP03o`1`<0?o05M:0ol0<D44o`0E;P?o00LQ1_l00aX3o`088@?o
01L`0ol0>4@3o`1NA@?o07XO0olWV@03ohVf00?od:H01?oVH`03ooD[00?oo0d00ool4003oo8e00?o
hW400oo;]@03ofn_00?o4I000ol0LRd3o`1EB`?o02Tl1?l03bT3o`057@?o008I0ol011d3o`0>:@?o
02Lk0ol0DTd3o`1]=0?o08X00om@YP03ok?000Coei800ooYE`03ooHW00?oo0d00oom2`03ooLR00?o
k4`00ooMP003ol^f00?oR;H00olkW`03o`290@Co07<[0ol0Gd@3o`1:C@?o02/m0ol05c03o`0<9P?o
00HO0ol00a/3o`026@?o008J0ol011`3o`0680Co00XT0ol042X3o`0G<0?o020f0ol0:Sd3o`0e@P?o
03m80ol0BD`3o`1@CP?o05=<0ol0ED/3o`1FB`Co05E;0ol0E4`3o`1AC@?o04e>0ol0@dT3o`0gA0?o
02`m0ol083H3o`0G<0?o00lY0ol02B<7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`1IB0?o055=0ol0@TT3o`0e@P?o02Xm0ol08SP3o`0L=0?o01Pa0ol05Bl3o`0D;@Oo01<]
0ol052d3o`0E;`?o01Pa0ol073@3o`0R=`?o02Tl0ol0=483o`12B@?o055=0ol0FTP3o`1U?PCo074^
0ol0OaH3o`V=00?o<Yd00omV[003oj6l00?obk<00ooJR`03onMQ00?olCX00ooi7007ood:00?onA`0
0oo`?`03on=_00?odJ@00onP_003odVT00?o0HX00ol0L303o`1GBP?o03511?l05Bh3o`078@Ko00<J
0ol02243o`0G<0?o03Q40ol0GTD3o`1j7`?o9iT00on9]P03om2V00CoiV<00ooe:`03oo`=00?oo100
0oob=@03on9a00?obkD00om_[`03oa6@00?o078]0ol0ED/3o`0Y?0Co00lY0ol01Ad3o`026@?o00@M
0ol03RT3o`0W>`?o059=0ol0KC@3o`2:00?oD:H00onc`004omNB00?ojEL00oof9`03oo`=00?oo@/0
0oog8P03ona<00?ogH000oo;]P03ohRf00?o>il00ol0R@44o`1c:`?o05m40ol0BTd3o`0[?@?o01L`
0ol032H3o`067`?o00<K0ol00QT3o`026P?o00@L0ol01R04o`0:90?o010Z0ol05c03o`0P=P?o02Xm
0ol0=D83o`0oB0?o04U<0ol0D4h3o`1CC0?o05E;0ol0ET/4o`1EB`?o05A<0ol0DDd3o`1=CP?o04=9
0ol0=d@3o`0/?@?o020f0ol05c03o`0?:@?o00TS1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Gooooo0ol0FDP3o`1AC@?o04990ol0=D83o`0Z?@?o028h0ol073@3o`0H<@?o01D_0ol0
52d7o`0C;@?o01@]0ol05Bl3o`0H<@?o01`d0ol08SL3o`0Y?0?o03A20ol0@TT3o`1AC@?o05Y80ol0
ICh4o`1a;P?o07lF0ol9S@03oc:M00?oIZ`00onQ_003ol^c00?ofX/00ooWH@03oo4j00?onA`01oom
2P03ooTL00?ol3l00ooSK`03om6T00?oX;`00om9Y003o`6:00?o070`0ol0EdX3o`0a@@Co01D^0ol0
1b46o`036P?o00PQ0ol05c03o`0hA0?o05i50ol0NQl3obNI00?oRKH00oo@YP04onIS00?omB/00ool
3@03oo`@00?olSD00ooRL@03ol^e00?oKjl00olAT003o`1b;@?o05E;0ol0:C`4o`0?:@?o00DM0ol0
0QT3o`047@?o00hY0ol09c/3o`1BC@?o06dd0ol0RP03oe2V00?o/l001?oGTP03onUG00?omRL00ool
3@03ood;00?omb800oo/C003omf000?obkH00on8]P03oc^O00?o08T11?l0Lb/3o`1OA0?o04Y=0ol0
:cd3o`0G<0?o00`V0ol01Ql3o`036`?o008I0ol00QX3o`0470?o00HP1?l02R@3o`0@:P?o01L`0ol0
83H3o`0Z?@?o03E20ol0?dP3o`19C0?o051>0ol0Dd`3o`1EB`?o05I;1?l0ED/3o`1DC0?o055=0ol0
CDh3o`13B@?o03M40ol0;3d3o`0P=P?o01L`0ol03bT3o`098`Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?o06130ol0EdX3o`1?CP?o04180ol0=483o`0[?@?o02@i0ol07cD3
o`0K<`?o01Tb1ol06343o`0I<@?o01/c0ol07SD3o`0R>0?o02Pl0ol0<D03o`0mAP?o04a=0ol0ET/3
o`1OA0?o06Xh1?l0MRH3o`2430?o5I800om1X@03ogFa00?o//000oo?ZP03omf100?ojEP00ooc<`03
ooXG00?oo@T01?om3003ooPP00?okTD00ooQMP03oln[00?oU[T00om0X@03o`2710?o06hc0ol0ED/3
o`0^?`Co01<]0ol01b03o`026P?o00<J0ol02283o`0H<@?o03]50ol0Gd@3o`1l70?o:YX00on<]`03
om6U00CoiV800ooe:P03ood<00?oo1000oob=@03on9a00?obkD00om_[`03oa:A00?o078]0ol0ED/3
o`0Z?@Co00lY0ol01Ad3o`026@?o00@M0ol03RP3o`0U>P?o055=0ol0JcH3o`280`?oBZ@00on/_`04
omJG00?oj5`00ooe:`03oo`>00?oo@X00ooh7`03oni700?oggX00oo=[`03oi>i00?oAJ<00ol7S004
o`1g9@?o06910ol0D4h3o`0`@0?o01/c0ol03RP3o`078@?o00@L1_l00QT3o`036`?o00DN1?l02283
o`0=9`?o01<]0ol06c<3o`0S>0?o02dn0ol0=T<3o`0nA`?o04I;0ol0C4d3o`1?CP?o051>1?l0Cdh3
o`1>CP?o04Q;0ol0@4P3o`0g@`?o02dn0ol08cP3o`0I<P?o014[0ol02bD3o`0780Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o06130ol0EdX3o`1?CP?o04180ol0=483o`0[
?@?o02@i0ol07cD3o`0K<`?o01Tb1ol06343o`0I<@?o01/c0ol07SD3o`0R>0?o02Pl0ol0<D03o`0m
AP?o04a=0ol0ET/3o`1OA0?o06Xh1?l0MRH3o`2430?o5I800om1X@03ogFa00?o//000oo?ZP03omf1
00?ojEP00ooc<`03ooXG00?oo@T01?om3003ooPP00?okTD00ooQMP03oln[00?oU[T00om0X@03o`27
10?o06hc0ol0ED/3o`0^?`Co01<]0ol01b03o`026P?o00<J0ol02283o`0H<@?o03]50ol0Gd@3o`1l
70?o:YX00on<]`03om6U00CoiV800ooe:P03ood<00?oo1000oob=@03on9a00?obkD00om_[`03oa:A
00?o078]0ol0ED/3o`0Z?@Co00lY0ol01Ad3o`026@?o00@M0ol03RP3o`0U>P?o055=0ol0JcH3o`28
0`?oBZ@00on/_`04omJG00?oj5`00ooe:`03oo`>00?oo@X00ooh7`03oni700?oggX00oo=[`03oi>i
00?oAJ<00ol7S004o`1g9@?o06910ol0D4h3o`0`@0?o01/c0ol03RP3o`078@?o00@L1_l00QT3o`03
6`?o00DN1?l02283o`0=9`?o01<]0ol06c<3o`0S>0?o02dn0ol0=T<3o`0nA`?o04I;0ol0C4d3o`1?
CP?o051>1?l0Cdh3o`1>CP?o04Q;0ol0@4P3o`0g@`?o02dn0ol08cP3o`0I<P?o014[0ol02bD3o`07
80Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o06130ol0EdX3o`1?CP?o
04180ol0=483o`0[?@?o02@i0ol07cD3o`0K<`?o01Tb1ol06343o`0I<@?o01/c0ol07SD3o`0R>0?o
02Pl0ol0<D03o`0mAP?o04a=0ol0ET/3o`1OA0?o06Xh1?l0MRH3o`2430?o5I800om1X@03ogFa00?o
//000oo?ZP03omf100?ojEP00ooc<`03ooXG00?oo@T01?om3003ooPP00?okTD00ooQMP03oln[00?o
U[T00om0X@03o`2710?o06hc0ol0ED/3o`0^?`Co01<]0ol01b03o`026P?o00<J0ol02283o`0H<@?o
03]50ol0Gd@3o`1l70?o:YX00on<]`03om6U00CoiV800ooe:P03ood<00?oo1000oob=@03on9a00?o
bkD00om_[`03oa:A00?o078]0ol0ED/3o`0Z?@Co00lY0ol01Ad3o`026@?o00@M0ol03RP3o`0U>P?o
055=0ol0JcH3o`280`?oBZ@00on/_`04omJG00?oj5`00ooe:`03oo`>00?oo@X00ooh7`03oni700?o
ggX00oo=[`03oi>i00?oAJ<00ol7S004o`1g9@?o06910ol0D4h3o`0`@0?o01/c0ol03RP3o`078@?o
00@L1_l00QT3o`036`?o00DN1?l02283o`0=9`?o01<]0ol06c<3o`0S>0?o02dn0ol0=T<3o`0nA`?o
04I;0ol0C4d3o`1?CP?o051>1?l0Cdh3o`1>CP?o04Q;0ol0@4P3o`0g@`?o02dn0ol08cP3o`0I<P?o
014[0ol02bD3o`0780Oooooo0Ol00001ooooo`007Oooool2o`0000Kooooo0ol0Ic`3o`1NA@?o05I;
0ol0Cdh3o`11B0?o03E30ol0;Ch3o`0W>`?o02<h0ol083H3o`0O=@Co01he0ol07cH3o`0Q=`?o02Di
0ol0:S`3o`0a@0?o03]50ol0B4/3o`1CC0?o05]70ol0ICh3o`1`<0Co07`L0ol0R@03obBG00?oDJH0
0on7]@03olC400?odil00ooPM`03ona?00?omB`00ook4`03ood800Coo0h00oog9@03one<00?ogWd0
0oo</P03ohZf00?o=ih00ol0Q@X3o`1[=`?o05==0ol0:cd4o`0B:`?o00HO0ol00QX3o`036`?o00TS
0ol06C83o`0mA`?o06130ol0OAX3obfK00?oT;P00ooBX`04onMP00?omBT00oom3003oo`@00?olSD0
0ooRLP03ol^e00?oL:l00olCT@03o`1c;0?o05I;0ol0:cd4o`0@:P?o00DN0ol00QT3o`0470?o00dW
0ol093T3o`1?CP?o06Xi0ol0QPP3od>R00?oXkd01?oDW003onMQ00?om2l00ool4003ood900?onA/0
0oo_@@03on5b00?od:L00onQ_003oe6V00?o49001?l0Nah3o`1V?@?o05A<0ol0=d<3o`0O=P?o014[
0ol02B<3o`047@?o00<J0ol00QT3o`036P?o00@M1?l01b03o`0:9@?o010Z0ol05Rl3o`0M=0?o02Di
0ol0;3h3o`0d@P?o03Y50ol0?dL3o`12B@?o04A:1?l0@dT3o`10B0?o03Y50ol0<d83o`0[?@?o02<h
0ol06c<3o`0C;@?o00dW0ol02283o`057PKooooo0_l00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o06Ll0ol0GTD3o`1FB`?o04m>0ol0@DP3o`0e@`?o02dn0ol09c/3o`0S>0?o020f0ol0
7cD4o`0N=@?o01lf0ol08CL3o`0U>@?o02Xl0ol0<D03o`0kA@?o04Q;0ol0Dd`3o`1KA`?o06Dn0ol0
L304o`1l70?o08T00olTU`03oe6V00?oQkD00oo4a003om>O00?oh7L00oo/C`03ooD/00?ona<00oom
2004oo`>00?ombD00oo]C003omim00?oc;800on:]P03ocNN00?o08D:0ol0JcL3o`1CC@?o02/m1?l0
4R/3o`067`?o008J0ol00a/3o`098`?o01Tb0ol0?DL3o`1P@`?o07dJ0ol]V`03oi2h00?odZ<01?oW
H003ooDY00?oo@`00ool4003oo8e00?ohW800oo;]@03og2_00?o4i400ol0Lb`3o`1FB`?o02/m1?l0
42X3o`057P?o008I0ol011`3o`0=9`?o02@i0ol0Cdh3o`1Z>@?o08H80om3XP03oj>m00Coe9`00ooW
H@03oo@_00?oo1000oom2@03ooTK00?okd400ooQLP03om2W00?oXK`00omAYP03oa2@00Co07/N0ol0
ISd3o`1DC0?o03M30ol07cH3o`0A:`?o00TS0ol011d3o`036P?o008I0ol00aX3o`047@Co00LP0ol0
2RD3o`0@:P?o01H_0ol07C@3o`0U>@?o02`n0ol0=483o`0jA@?o03m70ol0@TT3o`14BPCo04=90ol0
@4P3o`0jA@?o03=20ol0:cd3o`0S>0?o01/c0ol04bd3o`0=9`?o00PR0ol01Ah7ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01Oooool3o`1W?0?o05i50ol0ET/3o`1?CP?o04580ol0=D<3
o`0]?P?o02Lk0ol08cP3o`0P=P?o01le1?l07SD3o`0O=P?o024g0ol09CT3o`0Z?0?o03500ol0>dD3
o`18B`?o05=<0ol0FdL3o`1U?P?o070`1?l0O1`3o`2900?o99L00omAYP03ohNe00?oa<@00ooCW`03
on1g00?ok4l00ooe;003oo/C00?oo@P01?ol3P03ooLU00?okD`00ooNO@03olbb00?oR[H00olgWP03
o`252P?o06/g0ol0Ddd3o`0[?@Co018[0ol01Ql3o`026P?o00<K0ol02B<3o`0I<P?o03e70ol0H4<3
o`1m6P?o;I/00on@^003om:S00Coif000ooe:@03ood<00?oo1000oob=@03on9b00?obkD00om`[`03
oa>A00?o07</0ol0ET/3o`0[?@Co010Z0ol01Ah3o`026@?o00@L0ol03BL3o`0T>@?o04m>0ol0JST3
o`2620?o@j800onS_@04omBL00?oif400ood;`03oo`@00?oo@T00ooi6`03onm100?ohG800oo@Y`03
oj6l00?oDJH00ol@T004o`1k7P?o06Hm0ol0E4`3o`0g@`?o01lf0ol04B/3o`098`?o00@M0ol00aX3
o`026@?o00<J0ol011d4o`0780?o00XU0ol042X3o`0F;`?o01dd0ol09CT3o`0/?P?o03A20ol0>TD3
o`0oA`?o04990ol0A4X4o`13B@?o04180ol0>TD3o`0c@P?o02/m0ol08cP3o`0K<`?o01<]0ol03BL3
o`088P?o00DN1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0Kc83o`1V
?@?o05e50ol0ET/3o`1@CP?o04A90ol0>DD3o`0b@@?o02dn0ol0:S`3o`0X>`Co02Lk0ol0:3/3o`0Z
?@?o02ho0ol0=483o`0lAP?o04M;0ol0DDd3o`1IB@?o06520ol0JcL3o`1f9PCo088@0ol>S`03ocBM
00?oHj`00onJ^P03olVj00?oei@00ooSK003oni600?omRD00ool3`03ooh800Cona400ooe:`03onYC
00?og8D00oo9^P03ogjc00?o;Y/00ol0PA43o`1X>P?o051>0ol0:3/4o`0@:P?o00HO0ol00QT3o`03
6`?o00TT0ol06c<3o`10B0?o06920ol0OQL3oc6L00?oU;T00ooBX@04onMO00?omRP00oom3003oo`A
00?olSH00ooRLP03ol^e00?oLJl00olDT@03o`1c:`?o05I:0ol0;3h4o`0@:P?o00DN0ol00QT3o`04
70?o00`V0ol08SL3o`1=CP?o06Pk0ol0Q0`3ocbP00?oVkX01?oBXP03onEV00?olc<00ook4P03ood9
00?onQL00ooa>P03onAZ00?odil00on__`03oenZ00?o79@01?l0OaH3o`1[=`?o05Q:0ol0?dL3o`0T
>@?o01@^0ol02bD3o`067`?o00<K1_l00QT3o`036`Co00DN0ol02283o`0<9P?o014[0ol05c03o`0M
=0?o02@i0ol0:S`3o`0_?`?o03=11_l0=T<4o`0e@`?o03=10ol0;Sl3o`0X>`?o024g0ol06S83o`0D
;@?o00hX0ol02B<3o`067`?o00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0ol0Kc83o`1V?@?o05e50ol0ET/3o`1@CP?o04A90ol0>DD3o`0b@@?o02dn0ol0:S`3o`0X>`Co
02Lk0ol0:3/3o`0Z?@?o02ho0ol0=483o`0lAP?o04M;0ol0DDd3o`1IB@?o06520ol0JcL3o`1f9PCo
088@0ol>S`03ocBM00?oHj`00onJ^P03olVj00?oei@00ooSK003oni600?omRD00ool3`03ooh800Co
na400ooe:`03onYC00?og8D00oo9^P03ogjc00?o;Y/00ol0PA43o`1X>P?o051>0ol0:3/4o`0@:P?o
00HO0ol00QT3o`036`?o00TT0ol06c<3o`10B0?o06920ol0OQL3oc6L00?oU;T00ooBX@04onMO00?o
mRP00oom3003oo`A00?olSH00ooRLP03ol^e00?oLJl00olDT@03o`1c:`?o05I:0ol0;3h4o`0@:P?o
00DN0ol00QT3o`0470?o00`V0ol08SL3o`1=CP?o06Pk0ol0Q0`3ocbP00?oVkX01?oBXP03onEV00?o
lc<00ook4P03ood900?onQL00ooa>P03onAZ00?odil00on__`03oenZ00?o79@01?l0OaH3o`1[=`?o
05Q:0ol0?dL3o`0T>@?o01@^0ol02bD3o`067`?o00<K1_l00QT3o`036`Co00DN0ol02283o`0<9P?o
014[0ol05c03o`0M=0?o02@i0ol0:S`3o`0_?`?o03=11_l0=T<4o`0e@`?o03=10ol0;Sl3o`0X>`?o
024g0ol06S83o`0D;@?o00hX0ol02B<3o`067`?o00@L1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ol0Kc83o`1V?@?o05e50ol0ET/3o`1@CP?o04A90ol0>DD3o`0b@@?o02dn
0ol0:S`3o`0X>`Co02Lk0ol0:3/3o`0Z?@?o02ho0ol0=483o`0lAP?o04M;0ol0DDd3o`1IB@?o0652
0ol0JcL3o`1f9PCo088@0ol>S`03ocBM00?oHj`00onJ^P03olVj00?oei@00ooSK003oni600?omRD0
0ool3`03ooh800Cona400ooe:`03onYC00?og8D00oo9^P03ogjc00?o;Y/00ol0PA43o`1X>P?o051>
0ol0:3/4o`0@:P?o00HO0ol00QT3o`036`?o00TT0ol06c<3o`10B0?o06920ol0OQL3oc6L00?oU;T0
0ooBX@04onMO00?omRP00oom3003oo`A00?olSH00ooRLP03ol^e00?oLJl00olDT@03o`1c:`?o05I:
0ol0;3h4o`0@:P?o00DN0ol00QT3o`0470?o00`V0ol08SL3o`1=CP?o06Pk0ol0Q0`3ocbP00?oVkX0
1?oBXP03onEV00?olc<00ook4P03ood900?onQL00ooa>P03onAZ00?odil00on__`03oenZ00?o79@0
1?l0OaH3o`1[=`?o05Q:0ol0?dL3o`0T>@?o01@^0ol02bD3o`067`?o00<K1_l00QT3o`036`Co00DN
0ol02283o`0<9P?o014[0ol05c03o`0M=0?o02@i0ol0:S`3o`0_?`?o03=11_l0=T<4o`0e@`?o03=1
0ol0;Sl3o`0X>`?o024g0ol06S83o`0D;@?o00hX0ol02B<3o`067`?o00@L1oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Gooooo0ol0Kc83o`1V?@?o05e50ol0ET/3o`1@CP?o04A90ol0
>DD3o`0b@@?o02dn0ol0:S`3o`0X>`Co02Lk0ol0:3/3o`0Z?@?o02ho0ol0=483o`0lAP?o04M;0ol0
DDd3o`1IB@?o06520ol0JcL3o`1f9PCo088@0ol>S`03ocBM00?oHj`00onJ^P03olVj00?oei@00ooS
K003oni600?omRD00ool3`03ooh800Cona400ooe:`03onYC00?og8D00oo9^P03ogjc00?o;Y/00ol0
PA43o`1X>P?o051>0ol0:3/4o`0@:P?o00HO0ol00QT3o`036`?o00TT0ol06c<3o`10B0?o06920ol0
OQL3oc6L00?oU;T00ooBX@04onMO00?omRP00oom3003oo`A00?olSH00ooRLP03ol^e00?oLJl00olD
T@03o`1c:`?o05I:0ol0;3h4o`0@:P?o00DN0ol00QT3o`0470?o00`V0ol08SL3o`1=CP?o06Pk0ol0
Q0`3ocbP00?oVkX01?oBXP03onEV00?olc<00ook4P03ood900?onQL00ooa>P03onAZ00?odil00on_
_`03oenZ00?o79@01?l0OaH3o`1[=`?o05Q:0ol0?dL3o`0T>@?o01@^0ol02bD3o`067`?o00<K1_l0
0QT3o`036`Co00DN0ol02283o`0<9P?o014[0ol05c03o`0M=0?o02@i0ol0:S`3o`0_?`?o03=11_l0
=T<4o`0e@`?o03=10ol0;Sl3o`0X>`?o024g0ol06S83o`0D;@?o00hX0ol02B<3o`067`?o00@L1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0Mb@3o`1^<P?o06Hm0ol0GTD3
o`1HBP?o055=0ol0BD`3o`10B0?o03Y50ol0=T<3o`0c@@Co03910ol0<d43o`0f@`?o03Y50ol0@DP3
o`1:C0?o055=0ol0F4X3o`1OA0?o06Pk0ol0LRd3o`1m6`Co08T10olNU@03odNS00?oN;400on``003
olj^00?ofhP00ooWH@03oo4l00?on1l00oom3003ood800ConaD00ooc<@03onQL00?ofHh00oo6`P03
og6`00?o99L00ol0OQP3o`1U?P?o04e>0ol093T4o`0?:@?o00DN0ol00QT3o`036`?o00XT0ol07C@3
o`13B@?o06=00ol0P1D3ocFM00?oV;X00ooCWP04onQM00?omRL00oom2`03oo/A00?olSH00ooRLP03
ol^d00?oL[000olETP03o`1d:P?o05M:0ol0;Ch4o`0A:`?o00DN0ol00QT3o`0470?o00/V0ol083H3
o`19C0?o06Hm0ol0PA43ocFM00?oTKP01?o@Z003on=]00?olSP00ooj5@03ood900?ona@00ooc=003
onIR00?oeYH00ono``03off^00?o:9T01?l0Q0`3o`1_<@?o05a60ol0B4/3o`0[?@?o01Pa0ol03BL3
o`078@?o00@L0ol00QX3o`026@?o00<J1?l011`3o`0680?o00TS0ol03BL3o`0B;0?o01L`0ol073@3
o`0Q=`?o02Di0ol0:3/3o`0Z?0?o02/m1?l0:C`3o`0W>`?o02<h0ol07SD3o`0H<@?o01<]0ol03RP3
o`098`?o00HO0ol011`3o`036POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05oooo
o`?o07LT0ol0KS83o`1V?@?o05i50ol0F4X3o`1AC@?o04U<0ol0@4P3o`0jA@?o03I30ol0<d44o`0b
@@?o03=10ol0=T<3o`0jA@?o04580ol0BT`3o`1AC@?o05Q:0ol0Gd@3o`1X>`?o078]0ol0OA/4o`29
0@?o7YD00om7X`03ogRa00?o/<000oo>[P03om^800?oif400ooa?003ooPO00?oo@`00oom2004oo/E
00?olc400ooXG003omV>00?oa/800oma/003obBG00?o07hH0ol0ICh3o`1=CP?o02@i1?l03bT3o`05
7P?o008I0ol00a/3o`0:90?o01dd0ol0@dT3o`1S@0?o080E0oleW@03oiRj00?odih01?oXG@03ooHW
00?oo@/00ook4@03oo8f00?ohW800oo;]003og:`00?o5I800ol0M2X3o`1GBP?o02dn1?l04B/3o`05
7P?o008I0ol011`3o`0;9P?o020f0ol0BD`3o`1V?@?o084A0oleW@03oi6h00Cod:P00ooSK@03oo8h
00?onQD00oom2@03oo/D00?olc@00ooVHP03omJF00?o_l<00om][P03obRI00Co08@<0ol0Kc43o`1L
AP?o04Q;0ol0:cd3o`0H<@?o00dW0ol01b43o`0470?o008J0ol00QT3o`036PCo00@L0ol01R03o`09
8`?o00dW0ol04R`3o`0G<0?o01`d0ol08CL3o`0U>@?o02Pk0ol0:S`3o`0[?@Co02Tl0ol09c/3o`0S
>0?o01he0ol06343o`0C;@?o00hX0ol02B<3o`067`?o00@L0ol00aX7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01Oooool3o`1g90?o06hb0ol0ISd3o`1NA@?o05Q:0ol0DDd3o`19C0?o
04180ol0>TD3o`0f@`?o03=11?l0<T43o`0c@@?o03I30ol0>TD3o`11B0?o04Y<0ol0DDd3o`1HBP?o
05m40ol0J3/3o`1b;@?o07dK1?l0R@43oajE00?oAj<00omh/@03ok3000?ocZh00ooKR003onMQ00?o
lC`00ooh7`03ood<00?oo@P01?ok5@03oo<a00?oj5`00ooISP03olK200?oLK000olTU`03o`1n60?o
06Dn0ol0CDh3o`0T>@Co00lY0ol01Ah3o`026@?o00<K0ol02R@3o`0M=0?o04=90ol0Hd03o`205@?o
=Id00onH^P03om>N00Coj5d00oof9`03ood;00?ona400oob=P03on9b00?obk@00omb/003oaFB00?o
07@Z0ol0EdX3o`0]?PCo014[0ol01Ah3o`026@?o00@L0ol02bH3o`0P=P?o04U<0ol0ISd3o`214@?o
=Id00onA^004om2X00?ohfd00oob>003ooXE00?oo@T00ook5003oo<d00?oiV800ooFUP03oko300?o
KJh00olXV@04o`2430?o06la0ol0G4H3o`18B`?o02/m0ol06343o`0=9`?o00LQ0ol011`3o`026P?o
008I0ol00aX4o`0470?o00HP0ol02B<3o`0=9`?o018/0ol05c03o`0L=0?o024g0ol09CT3o`0X>`?o
02Xl0ol0:cd4o`0Y?0?o02Lk0ol08cP3o`0N=@?o01Pa0ol04bd3o`0>:0?o00TS0ol01Ql3o`0470?o
00<J1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0P1@3o`1g90?o06la
0ol0J3/3o`1Q@P?o05Y80ol0E4`3o`1@CP?o04]=0ol0ADX3o`12B@Oo04580ol0A4X3o`19C0?o04m>
0ol0Dd`3o`1IB@?o05m40ol0IS`3o`1_<@?o07TQ0ol0Q0`4o`n@00?o<Y`00omMZP03ohng00?oaL<0
0ooBX003ommk00?ojUD00ooc<`03ooXH00?oo@X00oom2@04ooTJ00?olCT00ooUI@03omFH00?o^/80
0omT[003oaVD00?o07/N0ol0HT43o`16B`?o024g1?l03BL3o`047@?o008I0ol011`3o`0;9@?o01le
0ol0Ad/3o`1U?P?o084A0oliW`03oifk00?oe9`01?oXF`03ooHV00?oo@/00ook4@03oo8f00?ohW80
0oo;]003og>`00?o5Y800ol0M2T3o`1HBP?o02lo1?l04R`3o`067`?o008I0ol00a/3o`0;9@?o01he
0ol0ADX3o`1T@0?o07lF0ol]V`03ohNe00CocJh00ooQL`03oo0n00?onQP00oom2@03oo/A00?om2h0
0ooYF@03omV<00?oakh00omn/`03ocJN00Co08T10ol0M2T3o`1Q@P?o051>0ol0<d43o`0N=@?o014[
0ol02B<3o`057P?o00<K1_l00QT4o`036`?o00DM0ol01b03o`0:90?o00dX0ol04B/3o`0E;P?o01Ta
0ol073@3o`0O=@Ko020f1?l07cH3o`0M=0?o01Tb0ol05Rl3o`0A:`?o00dW0ol02B<3o`0680?o00@L
0ol00aX3o`026POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o080D0ol0
Mb@3o`1_<@?o06Pk0ol0HD83o`1JB0?o05A<0ol0D4h3o`1;C@?o04E:0ol0@TT7o`11B0?o04A:0ol0
BD`3o`1?CP?o05=<0ol0FDT3o`1OA0?o06Hl0ol0Kc43o`1i8@?o08@<1?l?T003oc:L00?oGJX00on?
]`03olG300?odZ000ooON`03onYE00?olc<00ooj6003ood:00?oo@T01?oi6P03oo4i00?oiFD00ooE
V003ok[200?oI:`00olIU003o`1k7P?o06910ol0AT/3o`0Q=`Co00dW0ol011d3o`026@?o00@L0ol0
2bD3o`0O=@?o04M;0ol0ICh3o`214@?o>Il00onM^`03omBL00Coj5/00oof9P03ood;00?ona400oob
=P03on9b00?obk@00omc/003oaJB00?o07@Y0ol0F4X3o`0_?`Co018/0ol01Ql3o`026@?o00<K0ol0
2bD3o`0N=@?o04E:0ol0I403o`1o5P?o;I/00on7]@04olf^00?ohG<00oo`?P03ooXH00?oo@T00ook
4@03oo@^00?ojET00ooIS003olNn00?oO[<00olfWP04o`290@?o07@Y0ol0HD83o`1@CP?o03=10ol0
7SD3o`0A:`?o00TS0ol01Ah3o`036`Ko008I1?l00a/3o`057@?o00LP0ol02R@3o`0=:0?o014[0ol0
5Bh3o`0I<@?o01`d0ol07cD6o`0P=PCo01lf0ol07C@3o`0I<P?o01H_0ol04B/3o`0=9`?o00TS0ol0
1R03o`0470?o00<J0ol00QX7ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o080D0ol0Mb@3
o`1_<@?o06Pk0ol0HD83o`1JB0?o05A<0ol0D4h3o`1;C@?o04E:0ol0@TT7o`11B0?o04A:0ol0BD`3
o`1?CP?o05=<0ol0FDT3o`1OA0?o06Hl0ol0Kc43o`1i8@?o08@<1?l?T003oc:L00?oGJX00on?]`03
olG300?odZ000ooON`03onYE00?olc<00ooj6003ood:00?oo@T01?oi6P03oo4i00?oiFD00ooEV003
ok[200?oI:`00olIU003o`1k7P?o06910ol0AT/3o`0Q=`Co00dW0ol011d3o`026@?o00@L0ol02bD3
o`0O=@?o04M;0ol0ICh3o`214@?o>Il00onM^`03omBL00Coj5/00oof9P03ood;00?ona400oob=P03
on9b00?obk@00omc/003oaJB00?o07@Y0ol0F4X3o`0_?`Co018/0ol01Ql3o`026@?o00<K0ol02bD3
o`0N=@?o04E:0ol0I403o`1o5P?o;I/00on7]@04olf^00?ohG<00oo`?P03ooXH00?oo@T00ook4@03
oo@^00?ojET00ooIS003olNn00?oO[<00olfWP04o`290@?o07@Y0ol0HD83o`1@CP?o03=10ol07SD3
o`0A:`?o00TS0ol01Ah3o`036`Ko008I1?l00a/3o`057@?o00LP0ol02R@3o`0=:0?o014[0ol05Bh3
o`0I<@?o01`d0ol07cD6o`0P=PCo01lf0ol07C@3o`0I<P?o01H_0ol04B/3o`0=9`?o00TS0ol01R03
o`0470?o00<J0ol00QX6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`2:
00?o084A0ol0NB43o`1b;@?o06/g0ol0I3l3o`1NA@?o05U90ol0ED/3o`1CC0?o055=1?l0D4h3o`1@
C@?o059=0ol0E4`3o`1GBP?o05]70ol0H4<3o`1W?0?o06hb0ol0MbD3o`214`?o18/01?lSU`03odRS
00?oMK000onX_P03ol^e00?oei800ooSK@03one900?omBT00ook4P03ooh800?oo@`01?oh8003onm2
00?ohVl00ooBXP03ojZn00?oEZP00ol?T003o`1g9@?o05i40ol0@4P3o`0N=@Co00`V0ol011`3o`02
6@?o00@L0ol032L3o`0Q=`?o04Y=0ol0IS`3o`233P?o?J000onQ_003omFI00CojET00oog9@03ood;
00?ona400oob=`03on9b00?obk@00omd/003oaNC00?o07DX0ol0FDT3o`0`@0Co01</0ol01Ql3o`02
6@?o00<K0ol02R@3o`0L=0?o04580ol0HD83o`1l6`?o9IP00omm/`04ol^e00?ogg/00oo^A003ooTM
00?oo@T00ool3P03ooHW00?oje000ooMPP03ol^d00?oT;P00om6X`04o`^>00?o07XP0ol0Ic`3o`1E
B`?o03a60ol093T3o`0E;P?o00`V0ol01R03o`0470?o008J0ol00QT4o`026P?o00<K0ol01Ah3o`07
8@?o00XT0ol03BL3o`0?:P?o018/0ol05Bh3o`0F;`Ko01L`1?l05Rl3o`0D;P?o018/0ol03bT3o`0<
9P?o00TS0ol01Ql3o`0470?o00<J0ol00QX3o`036POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`?o08X00ol0PA43o`1i8@?o078]0ol0JcL3o`1T?`?o05i50ol0FDT3o`1EB`?o
05=<0ol0DDd4o`1@CP?o051=0ol0DTd3o`1DC0?o05M:0ol0FdL3o`1P@`?o06Ll0ol0KS83o`1g9@?o
084C0ol4R`04ob>G00?oB:<00ome/003ojRn00?obkD00ooGTP03on=]00?okDT00ooe:@03oo/B00?o
oPP00oom3004ooPP00?okd800ooRK`03om:R00?oZ[h00omFZ003o`n@00?o07LU0ol0GT@3o`10B0?o
01he1?l032H3o`0470?o008I0ol011`3o`0<9`?o024g0ol0BTd3o`1V?0?o08<>0olmX003oj6l00?o
eIT01?oYF@03ooLU00?oo@/00ook4@03oo8g00?ohW800oo;]003ogB`00?o5i<00ol0MBP3o`1IB@?o
03101?l04b`3o`067`?o008I0ol00a/3o`0:90?o01`d0ol0@DP3o`1Q@P?o07`K0olUV003ogfc00Co
bkD00ooON`03oni400?onAd00oom2@03oo`>00?omRL00oo[D003omf200?obk@00on@^003odJS00Co
2hh00ol0NR03o`1W?0?o05E;0ol0?4H3o`0T>@?o01D^0ol032H3o`0680?o00@L0ol00QX3o`026@Co
008J0ol00a/3o`057P?o00LQ0ol02R@3o`0=9`?o00lZ0ol04R`3o`0E;P?o01H_1_l05c04o`0F;`?o
01@^0ol04R`3o`0?:@?o00`V0ol02B<3o`067`?o00@L0ol00aX3o`026P?o00<J1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0RP03o`214@?o07TQ0ol0LRd3o`1[=`?o06@o
0ol0GTD3o`1IB@?o05E;0ol0Dd`3o`1AC@Co051>0ol0D4d3o`1BC@?o05A<0ol0EdX3o`1KA`?o0613
0ol0Ic`3o`1^<P?o07LU0ol0PA<3o`B;00Co8iL00om8X`03ogF`00?oZ;h00oo;]@03omNB00?ohfd0
0oo]B@03ooDY00?ona800oon2003ood<00Con2000oo_@P03on9_00?odZ800onZ_P03oeJX00?o3i00
0ol0MbD3o`1NA0?o04180ol07SD4o`0<9P?o00@L0ol00QT3o`0470?o00`W0ol08CL3o`1:C@?o06Hl
0ol0P`h3ocfP00?oXK`00ooEV@04onUI00?ombD00oom2`03oo/A00?olSL00ooRLP03ol^d00?oM;00
0olGT`03o`1e:0?o05U90ol0<404o`0C;0?o00HO0ol00QT3o`036`?o00XT0ol073@3o`11B0?o0652
0ol0O1/3obFH00?oOK<01?o;]@03ommk00?okT@00ooi7@03ood900?oo0h00oof9`03on]@00?ogH80
0oo;]003oi2h00?oAZ<01?l;SP03o`1j80?o06Ll0ol0ED/3o`0lAP?o02@i0ol05Bh3o`0<9P?o00HP
0ol011`3o`026P?o008I1?l00QX3o`036`?o00DN0ol01b43o`0:90?o00dW0ol03bX3o`0B;0?o01D^
0ol05Rl6o`0G<0Co01H_0ol052h3o`0B;0?o00lY0ol032H3o`098`?o00HO0ol011`3o`036P?o008J
0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oaVD00?o1H`00ol0
Q0`3o`1l6`?o07HW0ol0KS83o`1X>P?o06=00ol0Gd@3o`1MAP?o05]81ol0FDP3o`1KB0?o05e60ol0
H4<3o`1T?`?o06Ti0ol0Kc43o`1g9@?o07lE0ol0R@03oaVD00Co>Yl00omQZ`03ohnh00?o`l@00ooA
Y@03omf200?oieh00ooa?003ooPP00?oo0h00oon1`03oo`@00ComRL00oo/C003ommj00?ocZ`00onI
^P03odRS00?o18/00ol0Lb`3o`1KA`?o03Y50ol06S84o`0:90?o00@L0ol00QT3o`057@?o00hX0ol0
93T3o`1>CP?o06Pj0ol0Q@X3od:R00?oYkd00ooFU`04onUG00?omb@00oom2`03oo/A00?olSL00ooR
LP03ol^d00?oMK400olHT`03o`1f9`?o05U80ol0<T44o`0C;@?o00HP0ol00QX3o`036`?o00TS0ol0
6S83o`0mAP?o05m40ol0NR03oafE00?oL[001?o8_003omb200?okD`00oog8@06ood;00?on2400oo^
A`03on1g00?ocjT00onS_003oeRX00Co6Y@00ol0P1@3o`1]=@?o05]70ol0Ad/3o`0/?P?o01Xb0ol0
3bT3o`098`?o00DN0ol00a/7o`026@?o00<J0ol011`3o`057P?o00LP0ol02B<3o`0;9@?o00dW0ol0
3RT9o`0@:PCo00lY0ol03RP3o`0<9P?o00XT0ol01b43o`057P?o00@L0ol00aX3o`026@?o00<J0ol0
11`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oaVD00?o1H`00ol0Q0`3
o`1l6`?o07HW0ol0KS83o`1X>P?o06=00ol0Gd@3o`1MAP?o05]81ol0FDP3o`1KB0?o05e60ol0H4<3
o`1T?`?o06Ti0ol0Kc43o`1g9@?o07lE0ol0R@03oaVD00Co>Yl00omQZ`03ohnh00?o`l@00ooAY@03
omf200?oieh00ooa?003ooPP00?oo0h00oon1`03oo`@00ComRL00oo/C003ommj00?ocZ`00onI^P03
odRS00?o18/00ol0Lb`3o`1KA`?o03Y50ol06S84o`0:90?o00@L0ol00QT3o`057@?o00hX0ol093T3
o`1>CP?o06Pj0ol0Q@X3od:R00?oYkd00ooFU`04onUG00?omb@00oom2`03oo/A00?olSL00ooRLP03
ol^d00?oMK400olHT`03o`1f9`?o05U80ol0<T44o`0C;@?o00HP0ol00QX3o`036`?o00TS0ol06S83
o`0mAP?o05m40ol0NR03oafE00?oL[001?o8_003omb200?okD`00oog8@06ood;00?on2400oo^A`03
on1g00?ocjT00onS_003oeRX00Co6Y@00ol0P1@3o`1]=@?o05]70ol0Ad/3o`0/?P?o01Xb0ol03bT3
o`098`?o00DN0ol00a/7o`026@?o00<J0ol011`3o`057P?o00LP0ol02B<3o`0;9@?o00dW0ol03RT9
o`0@:PCo00lY0ol03RP3o`0<9P?o00XT0ol01b43o`057P?o00@L0ol00aX3o`026@?o00<J0ol011`7
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oaVD00?o1H`00ol0Q0`3o`1l
6`?o07HW0ol0KS83o`1X>P?o06=00ol0Gd@3o`1MAP?o05]81ol0FDP3o`1KB0?o05e60ol0H4<3o`1T
?`?o06Ti0ol0Kc43o`1g9@?o07lE0ol0R@03oaVD00Co>Yl00omQZ`03ohnh00?o`l@00ooAY@03omf2
00?oieh00ooa?003ooPP00?oo0h00oon1`03oo`@00ComRL00oo/C003ommj00?ocZ`00onI^P03odRS
00?o18/00ol0Lb`3o`1KA`?o03Y50ol06S84o`0:90?o00@L0ol00QT3o`057@?o00hX0ol093T3o`1>
CP?o06Pj0ol0Q@X3od:R00?oYkd00ooFU`04onUG00?omb@00oom2`03oo/A00?olSL00ooRLP03ol^d
00?oMK400olHT`03o`1f9`?o05U80ol0<T44o`0C;@?o00HP0ol00QX3o`036`?o00TS0ol06S83o`0m
AP?o05m40ol0NR03oafE00?oL[001?o8_003omb200?okD`00oog8@06ood;00?on2400oo^A`03on1g
00?ocjT00onS_003oeRX00Co6Y@00ol0P1@3o`1]=@?o05]70ol0Ad/3o`0/?P?o01Xb0ol03bT3o`09
8`?o00DN0ol00a/7o`026@?o00<J0ol011`3o`057P?o00LP0ol02B<3o`0;9@?o00dW0ol03RT9o`0@
:PCo00lY0ol03RP3o`0<9P?o00XT0ol01b43o`057P?o00@L0ol00aX3o`026@?o00<J0ol011`7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3ocJN00?o8IH00ol>S`03o`280`?o
084A0ol0NR03o`1c:P?o06hb0ol0JSP3o`1W>`?o06Dn1?l0I3l3o`1S@0?o06@o0ol0IS`3o`1Y>@?o
06dc0ol0Lb`3o`1i8P?o080D0ol0R043oaFB00?o<I`01?mDY`03ogfc00?o[Kl00oo;]@03omNE00?o
hW800oo[D003oo@a00?onQP00oom2P03ood800?onQD01?od<003onUG00?ofhH00oo:^003ohNe00?o
>Il00ol0Q`H3o`1^<P?o05M:0ol0=483o`0G<0Co00TS0ol00a/3o`026@?o00DN0ol03bT3o`0V>P?o
051=0ol0JSL3o`271P?oB:<00on/_`03omND00CojU@00oog8`03ood:00?ona800oob=`03on9b00?o
bk<00omf/@03oaZD00?o07HV0ol0FTP3o`0c@@Co01@^0ol01b03o`026P?o00<J0ol02283o`0H<@?o
03U40ol0G4H3o`1g9@?o5I800omV[004olG400?ofX/00ooZD`03ooHW00?oo0d00oom2@03ooTK00?o
l3h00ooTK003omBM00?o^<800om/[P04ob^J00?o08H70ol0Lb/3o`1Q@P?o055=0ol0=T<3o`0Q=`?o
01@^0ol032H3o`0780?o00@L0ol00aX7o`026@?o00<J0ol00a`3o`057@?o00HO0ol01b43o`098`?o
00XT0ol02RD6o`0;9@Co00XT0ol02B<3o`078@?o00HO0ol01Ad3o`036`?o00<J0ol00QT3o`026P?o
00@L0ol01R07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3ocJN00?o8IH0
0ol>S`03o`280`?o084A0ol0NR03o`1c:P?o06hb0ol0JSP3o`1W>`?o06Dn1?l0I3l3o`1S@0?o06@o
0ol0IS`3o`1Y>@?o06dc0ol0Lb`3o`1i8P?o080D0ol0R043oaFB00?o<I`01?mDY`03ogfc00?o[Kl0
0oo;]@03omNE00?ohW800oo[D003oo@a00?onQP00oom2P03ood800?onQD01?od<003onUG00?ofhH0
0oo:^003ohNe00?o>Il00ol0Q`H3o`1^<P?o05M:0ol0=483o`0G<0Co00TS0ol00a/3o`026@?o00DN
0ol03bT3o`0V>P?o051=0ol0JSL3o`271P?oB:<00on/_`03omND00CojU@00oog8`03ood:00?ona80
0oob=`03on9b00?obk<00omf/@03oaZD00?o07HV0ol0FTP3o`0c@@Co01@^0ol01b03o`026P?o00<J
0ol02283o`0H<@?o03U40ol0G4H3o`1g9@?o5I800omV[004olG400?ofX/00ooZD`03ooHW00?oo0d0
0oom2@03ooTK00?ol3h00ooTK003omBM00?o^<800om/[P04ob^J00?o08H70ol0Lb/3o`1Q@P?o055=
0ol0=T<3o`0Q=`?o01@^0ol032H3o`0780?o00@L0ol00aX7o`026@?o00<J0ol00a`3o`057@?o00HO
0ol01b43o`098`?o00XT0ol02RD6o`0;9@Co00XT0ol02B<3o`078@?o00HO0ol01Ad3o`036`?o00<J
0ol00QT3o`026P?o00@L0ol01R07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3ocJN00?o8IH00ol>S`03o`280`?o084A0ol0NR03o`1c:P?o06hb0ol0JSP3o`1W>`?o06Dn1?l0
I3l3o`1S@0?o06@o0ol0IS`3o`1Y>@?o06dc0ol0Lb`3o`1i8P?o080D0ol0R043oaFB00?o<I`01?mD
Y`03ogfc00?o[Kl00oo;]@03omNE00?ohW800oo[D003oo@a00?onQP00oom2P03ood800?onQD01?od
<003onUG00?ofhH00oo:^003ohNe00?o>Il00ol0Q`H3o`1^<P?o05M:0ol0=483o`0G<0Co00TS0ol0
0a/3o`026@?o00DN0ol03bT3o`0V>P?o051=0ol0JSL3o`271P?oB:<00on/_`03omND00CojU@00oog
8`03ood:00?ona800oob=`03on9b00?obk<00omf/@03oaZD00?o07HV0ol0FTP3o`0c@@Co01@^0ol0
1b03o`026P?o00<J0ol02283o`0H<@?o03U40ol0G4H3o`1g9@?o5I800omV[004olG400?ofX/00ooZ
D`03ooHW00?oo0d00oom2@03ooTK00?ol3h00ooTK003omBM00?o^<800om/[P04ob^J00?o08H70ol0
Lb/3o`1Q@P?o055=0ol0=T<3o`0Q=`?o01@^0ol032H3o`0780?o00@L0ol00aX7o`026@?o00<J0ol0
0a`3o`057@?o00HO0ol01b43o`098`?o00XT0ol02RD6o`0;9@Co00XT0ol02B<3o`078@?o00HO0ol0
1Ad3o`036`?o00<J0ol00QT3o`026P?o00@L0ol01R07ooooo`7o00000Oooool000Kooooo1Ol00003
ooooo`03o`000?oooooooooo00;ooooo0ol00007ooooo`03o`000?oooooooooo00Gooooo0omFZ003
od:Q00?o;I/00olJU003o`Z>00?o08H70ol0P1D3o`1j7`?o07HV0ol0Lb/3o`1`;`Co06lb0ol0KS83
o`1_<@?o074^0ol0M2X3o`1h8`?o07dJ0ol0P`h3o`6:00?o5I800ol_V`03odfU00CoL[000onL^`03
olK000?odZ<00ooLP`03onIQ00?okd400oof9@03oo/A00?ooPL00oom2`03ooTL00ColCX00ooVH`03
omNC00?oaL<00omd/003obZJ00?o088@0ol0JSP3o`1CC0?o02ho0ol052h4o`088@?o00<J0ol00QT3
o`067`?o014[0ol0:S`3o`1CC@?o06de0ol0R@43odfU00?o//000ooHT@04on]B00?omb400oom2P03
oo/B00?olSP00ooRLP03olbc00?oMk400olKU003o`1g90?o05]70ol0=D84o`0E;`?o00LQ0ol00QX3
o`036P?o00PQ0ol05Rl3o`0e@P?o05Y80ol0M2X3o`b?00?oFZT01?nh`P03omND00?oj5`00ood;@03
oo`@00?oo@P00ooj5@03oo<d00?oif000ooHT003olNo00?oPK@01?lnX003o`N=00?o07XP0ol0J3/3
o`1HBP?o04=90ol0:Sd3o`0J<P?o010Z0ol02B<3o`067`?o00@L1?l00QX6o`026@?o00<J0ol00a/3
o`0470?o00DN0ol01Ql3o`0680Wo00LP1?l01R03o`057`?o00DM0ol011`3o`036`?o008J0ol00QT3
o`026P?o00@L0ol01Ql3o`0;9@Oooooo0Ol00001ooooo`001oooool01?l0003oooooooooool00007
ooooo`05o`000?ooooooooooooooool000001_ooool00ol0003oooooooooo`05ooooo`?oEZP00om2
X@03obfK00?o6Y@00ol:SP03o`261`?o080E0ol0NQl3o`1f9P?o07<[0ol0L2l4o`1_<P?o06hb0ol0
Kc43o`1a;P?o07@Z0ol0N2<3o`1m6P?o08<>0ol1RP03oaFB00?o;i/00om=Y@04og:`00?oW;/00oo6
`003om:S00?og8<00ooVH@03onm100?omRD00ook4@03ooh700?oo@/00ooi7004oo4j00?oiV<00ooG
T`03olG300?oM;000olZVP03o`2240?o06Xh0ol0Dd`3o`0^?`?o01@^1?l02243o`036P?o008I0ol0
1Ql3o`0A:`?o02Xl0ol0Ddd3o`1]=@?o08T10om=Y@03ok;000?of9401?o[DP03ooLQ00?oo@X00ook
4P03oo8h00?ohW800oo</`03ogNa00?o6i@00ol0Mb@3o`1KA`?o03E21?l05Bl3o`078@?o008J0ol0
0aX3o`088@?o01H_0ol0=D83o`1JB0?o07@Z0ol<S`03oeZY00Co^<800ooGU003onQL00?om2d00ool
4003ood800?onQD00ooc=003onMP00?of9000oo7_`03oh6d00Co?Z000ol7S@03o`1j80?o06Pk0ol0
F4X3o`13B@?o02Xm0ol06S83o`0@:P?o00TS0ol01Ql3o`0470Co008J1_l00QT3o`036P?o00<K0ol0
11`3o`057P?o00HO0ol01R09o`0780Co00HP0ol01Al3o`057@?o00@L0ol00a/3o`026P?o008I0ol0
0QX3o`0470?o00HO0ol02bD7ooooo`7o00000Oooool000Sooooo00?o0000ooooooooool02oooool0
0ol0003oooooooooo`04ooooo`?o00001Oooool3oeJX00?o@Z400ol]V`03oaZD00?o2Xh00ol0QPL3
o`205@?o07XO0ol0MRH3o`1c:`?o070_1?l0Kc83o`1^<P?o06la0ol0LBh3o`1d:P?o07PS0ol0OAX3
o`233P?o0HX00olETP03obnK00?oCJD01?mb/003oibk00?oa/000ooBX`03omb300?oiV400oo_@@03
ooHU00?ona400oon1`03ood;00?onA`01?oa>P03onIS00?oei<00oo5``03ogB`00?o:YX00ol0PQ03
o`1Z>0?o05=<0ol0;Sl3o`0D;PCo00PQ0ol00aX3o`026@?o00HO0ol04B/3o`0Z?0?o05==0ol0KCD3
o`290@?oCJD00onb`003omRA00Coje800oog8@03ood:00?ona800oob>003on9b00?oc;<00omg/@03
oa^D00?o07LT0ol0FdL3o`0e@PCo01D_0ol01b43o`026P?o00<J0ol02243o`0F;`?o03E20ol0FTP3
o`1d:P?o38l00omJZ@04okS200?oei@00ooXG003oo@]00?oo1000oom2003ooXE00?olc@00ooWH003
omR@00?oakl00on1]004ocjP00?o1hd00ol0NR03o`1X>`?o05Q:0ol0@dT3o`0Z?@?o01Xb0ol042X3
o`098`?o00HO0ol011`4o`026PKo008I0ol00aX3o`036`?o00@L0ol01Ah3o`067`?o00HP2Ol01b04
o`0680?o00DO0ol01Ad3o`0470?o00<K0ol00QX3o`026@?o008J0ol011`3o`067`?o00/U1Oooool3
o`00007ooooo0009ooooo`03o`000?oooooooooo00[ooooo00?o0000ooooooooool01?ooool00ol0
003oooooooooo`05ooooo`?oN;400omV[003oe:V00?o?Z000ol/VP03oaRC00?o1hd00ol0Q`D3o`23
3P?o07lE0ol0OA/4o`1k7P?o07XO0ol0Nah3o`1l6`?o07lF0ol0P`h3o`2810?o2Hd00olKU003oc6L
00?oCJD00om][P04oi>i00?o_/<00oo>[@03omR@00?ohW000oo[D003oo<c00?onA/00oom3003ooh7
00?oo0l00oog9004oni600?ohW400ooBX003ok;000?oHZ/00olKU003o`1m6P?o06Dn0ol0Cdh3o`0Y
?0?o018[1?l01b06o`026P?o00LP0ol04b`3o`0]?P?o05E;0ol0Kc43o`>;00?oE:L00oni`P03omV=
00Coje000ooh8003ood:00?ona800oob>003on5b00?oc;<00omi/P03oafE00?o07PS0ol0G4H3o`0g
@`Co01H_0ol02243o`036P?o008J0ol01b43o`0D;P?o03500ol0EdX3o`1`;`?o18/00om>Y@04ojVn
00?oe9d00ooUI@03oo<e00?ona@00oon2003oo`@00?omB/00ooZE003omb300?oc;800onI^P04oe>W
00?o6I@00ol0PA83o`1_<@?o05m40ol0D4h3o`0f@`?o028h0ol05Rl3o`0=:0?o00PR0ol01Ah4o`03
6`?o008J1_l00QT3o`026P?o00<J0ol00a/6o`0470Wo00@M1?l011`3o`036`?o00<J0ol00QX6o`02
6@?o00<J0ol011`3o`067`?o00XU0ol04R`7ooooo`7o00000Oooool000Kooooo00Go0000oooooooo
ooooooooo`000007ooooo`Co00001oooool00ol0003oooooooooo`05ooooo`?oN;400omV[003oe:V
00?o?Z000ol/VP03oaRC00?o1hd00ol0Q`D3o`233P?o07lE0ol0OA/4o`1k7P?o07XO0ol0Nah3o`1l
6`?o07lF0ol0P`h3o`2810?o2Hd00olKU003oc6L00?oCJD00om][P04oi>i00?o_/<00oo>[@03omR@
00?ohW000oo[D003oo<c00?onA/00oom3003ooh700?oo0l00oog9004oni600?ohW400ooBX003ok;0
00?oHZ/00olKU003o`1m6P?o06Dn0ol0Cdh3o`0Y?0?o018[1?l01b06o`026P?o00LP0ol04b`3o`0]
?P?o05E;0ol0Kc43o`>;00?oE:L00oni`P03omV=00Coje000ooh8003ood:00?ona800oob>003on5b
00?oc;<00omi/P03oafE00?o07PS0ol0G4H3o`0g@`Co01H_0ol02243o`036P?o008J0ol01b43o`0D
;P?o03500ol0EdX3o`1`;`?o18/00om>Y@04ojVn00?oe9d00ooUI@03oo<e00?ona@00oon2003oo`@
00?omB/00ooZE003omb300?oc;800onI^P04oe>W00?o6I@00ol0PA83o`1_<@?o05m40ol0D4h3o`0f
@`?o028h0ol05Rl3o`0=:0?o00PR0ol01Ah4o`036`?o008J1_l00QT3o`026P?o00<J0ol00a/6o`04
70Wo00@M1?l011`3o`036`?o00<J0ol00QX6o`026@?o00<J0ol011`3o`067`?o00XU0ol04R`7oooo
o`7o00000Oooool000Kooooo00Go0000ooooooooooooooooo`000007ooooo`03o`000?oooooooooo
00Sooooo00?o0000ooooooooool01Oooool3ogRa00?oIZ`00omBYP03ocjP00?o;9X00olHT`03o`N=
00?o08L50ol0P`h3o`1o5@?o07dK1?l0Nah3o`1j7`?o07/N0ol0O1/3o`1o5P?o08<>0ol0R0@3o`V=
00?o6i@00olaW003odfU00?oKJh01?nC^@03okk300?ocZd00ooHT003on9`00?oje000ooc<`03ooTK
00?oo@`00oon1`03oo`?00?omb@01?o^AP03on9a00?odZ000onb`003of:[00?o6i@00ol0OAX3o`1U
?P?o04m>0ol0:C`3o`0B:`Co00LP1_l00QX3o`0780?o01</0ol0;Ch3o`1EB`?o06la0ol3R`03oeBW
00?o^L800ooIS@04on]@00?on2000oom2P03oo/B00?olSP00ooQLP03olbc00?oNK800olMU@03o`1h
8`?o05a60ol0=d<4o`0F;`?o00PQ0ol00aX3o`026P?o00LQ0ol052h3o`0a@0?o05M:0ol0L2l3o`B;
00?oCZD01?nY_P03omBM00?oiFD00ooc=@03oo/D00?ooPP00ool4003ooD[00?ojU@00ooLP`03olbb
00?oVKX01?mCY`03oaVD00?o084B0ol0Kc43o`1OA0?o051>0ol0=T<3o`0R>0?o01H_0ol03BP3o`08
8P?o00DN1?l00a/3o`026PKo008I0ol00QX3o`036P?o00<K1_l011`9o`047@Co00@L0ol00a/3o`03
6P?o008J1_l00QT3o`036P?o00@L0ol01Ql3o`0:9@?o018/1oooool1o`00007ooooo0007ooooo`?o
00002?ooool5o`0000Kooooo00?o0000ooooooooool01Oooool3oi^j00?oS;L00omk/P03ofR]00?o
EJP00olnX003ob^J00?o79@00ol@T003o`R=00?o08X01?l0R0@3o`271P?o08L50ol0R@43o`>;00?o
38h00olHT`03obNI00?o>Yl00omBY`03ofn_00?oTKP01?nh`@03ol^d00?oeIT00ooON`03onQM00?o
l4000oof9P03oo/B00?ooPP00oom2003ooXE00?om2l01?oZD`03omio00?ocJh00onK^`03odjU00?o
3Hl00ol0N2@3o`1Q@P?o04M;0ol08cP3o`0?:@Co00HO0ol00QX3o`036P?o00PQ0ol05Bh3o`0a@0?o
05M:0ol0LBh3o`R=00?oFZT00ono``03omZ:00Cok4d00ooh7P03ood900?ona<00oob>@03on5b00?o
c;800omj/P03oanF00?o07TR0ol0GDH3o`0iA0Co01P`0ol02283o`036P?o008J0ol01R03o`0B;0?o
02dn0ol0E4`3o`1]=0?o08L40om2XP04oiZj00?od:H00ooSK`03oo0m00?onAT00oom2@03oo`<00?o
mb<00oo^B003on5d00?odJ<00onb`004of^^00?o;Y/00ol0R083o`1g9@?o06Hm0ol0EdX3o`14BP?o
02dn0ol07C@3o`0C;0?o00`V0ol02244o`057P?o00<L0ol00aX<o`026@?o008J3?l00aX4o`026PWo
008I0ol00QX3o`036`?o00@M0ol01b03o`0;9@?o018/0ol07CD7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3oi^j00?oS;L00omk/P03ofR]00?oEJP00olnX003ob^J00?o79@0
0ol@T003o`R=00?o08X01?l0R0@3o`271P?o08L50ol0R@43o`>;00?o38h00olHT`03obNI00?o>Yl0
0omBY`03ofn_00?oTKP01?nh`@03ol^d00?oeIT00ooON`03onQM00?ol4000oof9P03oo/B00?ooPP0
0oom2003ooXE00?om2l01?oZD`03omio00?ocJh00onK^`03odjU00?o3Hl00ol0N2@3o`1Q@P?o04M;
0ol08cP3o`0?:@Co00HO0ol00QX3o`036P?o00PQ0ol05Bh3o`0a@0?o05M:0ol0LBh3o`R=00?oFZT0
0ono``03omZ:00Cok4d00ooh7P03ood900?ona<00oob>@03on5b00?oc;800omj/P03oanF00?o07TR
0ol0GDH3o`0iA0Co01P`0ol02283o`036P?o008J0ol01R03o`0B;0?o02dn0ol0E4`3o`1]=0?o08L4
0om2XP04oiZj00?od:H00ooSK`03oo0m00?onAT00oom2@03oo`<00?omb<00oo^B003on5d00?odJ<0
0onb`004of^^00?o;Y/00ol0R083o`1g9@?o06Hm0ol0EdX3o`14BP?o02dn0ol07C@3o`0C;0?o00`V
0ol02244o`057P?o00<L0ol00aX<o`026@?o008J3?l00aX4o`026PWo008I0ol00QX3o`036`?o00@M
0ol01b03o`0;9@?o018/0ol07CD7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3oi^j00?oS;L00omk/P03ofR]00?oEJP00olnX003ob^J00?o79@00ol@T003o`R=00?o08X01?l0
R0@3o`271P?o08L50ol0R@43o`>;00?o38h00olHT`03obNI00?o>Yl00omBY`03ofn_00?oTKP01?nh
`@03ol^d00?oeIT00ooON`03onQM00?ol4000oof9P03oo/B00?ooPP00oom2003ooXE00?om2l01?oZ
D`03omio00?ocJh00onK^`03odjU00?o3Hl00ol0N2@3o`1Q@P?o04M;0ol08cP3o`0?:@Co00HO0ol0
0QX3o`036P?o00PQ0ol05Bh3o`0a@0?o05M:0ol0LBh3o`R=00?oFZT00ono``03omZ:00Cok4d00ooh
7P03ood900?ona<00oob>@03on5b00?oc;800omj/P03oanF00?o07TR0ol0GDH3o`0iA0Co01P`0ol0
2283o`036P?o008J0ol01R03o`0B;0?o02dn0ol0E4`3o`1]=0?o08L40om2XP04oiZj00?od:H00ooS
K`03oo0m00?onAT00oom2@03oo`<00?omb<00oo^B003on5d00?odJ<00onb`004of^^00?o;Y/00ol0
R083o`1g9@?o06Hm0ol0EdX3o`14BP?o02dn0ol07C@3o`0C;0?o00`V0ol02244o`057P?o00<L0ol0
0aX<o`026@?o008J3?l00aX4o`026PWo008I0ol00QX3o`036`?o00@M0ol01b03o`0;9@?o018/0ol0
7CD7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3okc300?o]<000onV_@03
oiFi00?oQ;D00om[[P03oeJX00?oAJ800olgWP03obfK00?o99L01?lMU@06oaZD00?o7YD00olTU`03
obfK00?o>Yl00om:Y003oenZ00?oN;400onF^@03okS200Cob[H00ooCWP03omb300?oiFH00oo]BP03
oo@`00?onAX00oom3003ooh600?oo@`00ooh7P03oo4k00CoiV800ooISP03olRl00?oQ;D00olkW`03
o`2900?o078]0ol0G4L3o`0nA`?o01he0ol03BL4o`057@?o008I0ol00a/3o`098`?o01L`0ol0=T<3
o`1JB0?o07@Z0ol>S`03of6[00?oaL<00ooKQP04one:00?onAd00oom2@03oo/C00?olCT00ooQL`03
olbb00?oO;800olQUP03o`1j80?o05i50ol0>dH4o`0I<@?o00TS0ol00a/3o`026@?o00HO0ol04B/3
o`0Y?0?o055=0ol0JST3o`233@?o=Ih01?n:]P03olf`00?oggT00oo^A`03ooPP00?oo@/00oom2@03
ooTK00?olC`00ooUIP03omND00?oa/001?n5]@03odFS00?o4I000ol0OaH3o`1^<P?o05m40ol0DDd3
o`0jA@?o02Lk0ol06S83o`0A:`?o00/V1?l02243o`057P?o00@L0ol00a/3o`026Qco008I0ol00QX3
o`036P?o00@L0ol01Ah3o`088P?o00`V0ol04bd3o`0N=@?o02lo1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Gooooo0onl``03okC000?oY[d00onE^@03ohBe00?oJjh00omFZ003odFR
00?o=ih00ol]V`03obBG00Co7ID01_lJU003oajE00?o99L00ol]V`03ocZO00?oBZ@00omOZP03ogRa
00?oU[T00onh`P04olZf00?odih00ooLP`03onEV00?okDX00ood<003ooTJ00?oo@`00oon1P03ood<
00?on1h00ooa>`04onIR00?ofHh00oo8_003ohBe00?o>il00ol0R@03o`1b;@?o05a70ol0?TL3o`0N
=@?o00dW1?l01Ad3o`026@?o00<K0ol02B<3o`0G<0?o03I30ol0FTP3o`1d:P?o3Xl00omQZ`03olG3
00?ofhH01?o]BP03ooTM00?oo@T00ook4`03oo4i00?ohG<00oo</P03ogbb00?o8IH00ol0NR03o`1N
A@?o03]61?l06C43o`098`?o00<K0ol00QT3o`067`?o014[0ol0:C`3o`1AC@?o06Xi0ol0P`d3ocFN
00CoR[H00oo=/003ommi00?okTL00ooh8003ood;00?oo@T00ooi6`03oo4l00?oiFH00ooGU003olK0
00CoQKD00om5X`03oa6@00?o07lF0ol0KS83o`1OA0?o055=0ol0>TD3o`0W>`?o01Xb0ol04B/3o`0;
9PCo00PQ0ol01Ah3o`0470?o00<K0ol00QXLo`026@?o008J0ol00aX3o`0470?o00DN0ol02283o`0<
9P?o01<]0ol07SD3o`0_?`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
_<<00ond`003ojJm00?oUKT00on4]@03of^^00?oEZP00om5XP03ocNN00?o;I/00olTU`04oafE00Ko
6Y@00olNU@03obBG00?o;I/00oljW`03odZT00?oGjX00omh/@03oiJi00?o^<801?o:]P03om>N00?o
g8<00ooUIP03one:00?om3000ooi6P03ood<00?ooPH00oom3003ooPN00?olC/01?oVHP03omV>00?o
b;`00on4]@03oc^O00?o08T00ol0LRd3o`1LA`?o03i70ol07SD3o`0=9`Co00DM0ol00QT3o`036`?o
00TS0ol05c03o`0f@`?o05Y80ol0M2X3o`j?00?oHJ/00oo5``03om^600CokDX00ooi7@03ood900?o
na<00ooa>@03on5c00?oc;800oml/P03ob6F00?o07XP0ol0GTD3o`0kAPCo01Ta0ol02B<3o`036`?o
008I0ol01Ql3o`0A:`?o02Tl0ol0DDd3o`1Z>@?o08<=0oleWP04ohZf00?ocK000ooON@03oni700?o
n2000oom2`03ood900?onA/00ooa?003onEV00?oei@00oo6`004ohFe00?oAJ<00olAT003o`1o5P?o
06hb0ol0Gd@3o`1AC@?o03Y50ol09c/3o`0J<P?o014[0ol02bH4o`088@?o00DN0ol011`3o`036`?o
008J7?l00QT3o`026P?o00<J0ol011`3o`057P?o00PR0ol032H3o`0C;@?o01he0ol0;cl7ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01Oooool6olVi00?oakd00oo5a003okO100?oW[/0
0on7]@03ogF`00?oIJ`00omJZ@03odnV00CoAj<00om3XP03od:R00?oAJ<00om;Y003oeBW00?oHZ/0
0omc/003ohRf00?oX[`00oo0``03ol^d00Codih00ooKQP03on=/00?oje800oob>003ooLR00?ona40
0oon1`03ooh800?ona<00oof:@03one900CohW800ooCWP03ok[200?oKJh00olYV@03o`233P?o06`e
0ol0EdX3o`0f@`?o01Xb0ol02RD4o`0470?o008I0ol011`3o`0:90?o01Xb0ol0>dD3o`1LAP?o07HV
0olETP03ofV]00?oakl00ooLPP04oni700?onA`00oom2@03oo/D00?olCX00ooQL`03olbb00?oOK<0
0olSU`03o`1k7P?o05m40ol0?TL4o`0J<P?o00XT0ol00a/3o`026@?o00DN0ol03bT3o`0U>@?o04i>
0ol0ISd3o`1o5@?o:IT01?mj/P03olRk00?og8D00oo[D@03ooHW00?oo0h00oon2003oo/D00?om300
0ooYE`03omb400?ocK001?nQ_003oenZ00?o:9T00ol0Q`@3o`1g9@?o06Pk0ol0FTP3o`1<C@?o03E2
0ol093T3o`0I<@?o014[1?l032H3o`088P?o00HO0ol01Ad3o`0470?o00<K0ol00aX?o`026PCo00<J
0ol00a/3o`0470?o00DN0ol01b03o`0:90?o00hY0ol05Rl3o`0Q=`?o03910ol0BT`7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool6olVi00?oakd00oo5a003okO100?oW[/00on7
]@03ogF`00?oIJ`00omJZ@03odnV00CoAj<00om3XP03od:R00?oAJ<00om;Y003oeBW00?oHZ/00omc
/003ohRf00?oX[`00oo0``03ol^d00Codih00ooKQP03on=/00?oje800oob>003ooLR00?ona400oon
1`03ooh800?ona<00oof:@03one900CohW800ooCWP03ok[200?oKJh00olYV@03o`233P?o06`e0ol0
EdX3o`0f@`?o01Xb0ol02RD4o`0470?o008I0ol011`3o`0:90?o01Xb0ol0>dD3o`1LAP?o07HV0olE
TP03ofV]00?oakl00ooLPP04oni700?onA`00oom2@03oo/D00?olCX00ooQL`03olbb00?oOK<00olS
U`03o`1k7P?o05m40ol0?TL4o`0J<P?o00XT0ol00a/3o`026@?o00DN0ol03bT3o`0U>@?o04i>0ol0
ISd3o`1o5@?o:IT01?mj/P03olRk00?og8D00oo[D@03ooHW00?oo0h00oon2003oo/D00?om3000ooY
E`03omb400?ocK001?nQ_003oenZ00?o:9T00ol0Q`@3o`1g9@?o06Pk0ol0FTP3o`1<C@?o03E20ol0
93T3o`0I<@?o014[1?l032H3o`088P?o00HO0ol01Ad3o`0470?o00<K0ol00aX?o`026PCo00<J0ol0
0a/3o`0470?o00DN0ol01b03o`0:90?o00hY0ol05Rl3o`0Q=`?o03910ol0BT`7ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01Oooool6olVi00?oakd00oo5a003okO100?oW[/00on7]@03
ogF`00?oIJ`00omJZ@03odnV00CoAj<00om3XP03od:R00?oAJ<00om;Y003oeBW00?oHZ/00omc/003
ohRf00?oX[`00oo0``03ol^d00Codih00ooKQP03on=/00?oje800oob>003ooLR00?ona400oon1`03
ooh800?ona<00oof:@03one900CohW800ooCWP03ok[200?oKJh00olYV@03o`233P?o06`e0ol0EdX3
o`0f@`?o01Xb0ol02RD4o`0470?o008I0ol011`3o`0:90?o01Xb0ol0>dD3o`1LAP?o07HV0olETP03
ofV]00?oakl00ooLPP04oni700?onA`00oom2@03oo/D00?olCX00ooQL`03olbb00?oOK<00olSU`03
o`1k7P?o05m40ol0?TL4o`0J<P?o00XT0ol00a/3o`026@?o00DN0ol03bT3o`0U>@?o04i>0ol0ISd3
o`1o5@?o:IT01?mj/P03olRk00?og8D00oo[D@03ooHW00?oo0h00oon2003oo/D00?om3000ooYE`03
omb400?ocK001?nQ_003oenZ00?o:9T00ol0Q`@3o`1g9@?o06Pk0ol0FTP3o`1<C@?o03E20ol093T3
o`0I<@?o014[1?l032H3o`088P?o00HO0ol01Ad3o`0470?o00<K0ol00aX?o`026PCo00<J0ol00a/3
o`0470?o00DN0ol01b03o`0:90?o00hY0ol05Rl3o`0Q=`?o03910ol0BT`7ooooo`7o00000Oooool0
01gooooo0_l00006ooooo`?ocZ`00oo@Y`03om2V00?ocjX00oo=[`03olRl00?o_/<00onZ_P03oiZj
00?oS[L00on1]004ogRa00?oL[000oma[`03og>`00?oNK800on2]003ohnh00?oXK`00onf`@03olNn
00?ocZh00ooDV`04omb500?ohfh00ooZE@03oo0m00?omRP00ooj5P03ood:00?ooPH00oom3003ooTL
00?olSH00ooYFP04omb300?ocJl00onO^`03oeJX00?o5Y800ol0O1/3o`1V?0?o059=0ol0;Sl3o`0E
;`?o00TS1?l00a/3o`026@?o00@M0ol032H3o`0N=@?o04180ol0Gd@3o`1i8@?o79@00om`[`03olRk
00?ogWl01?o^A@03ooTJ00?oo@P00ook5003oo4j00?ohG<00oo</@03ognc00?o9IP00ol0O1`3o`1P
@`?o04181?l073@3o`0:9@?o00<L0ol00QT3o`057@?o00dW0ol08CL3o`17B`?o06910ol0Nad3oabE
00CoJZd00oo3a003omRA00?oj5`00ood<003oo/C00?ooPL00ool3P03ooHU00?okDT00ooQL`03om>O
00Co`<<00oml/`03od6Q00?o4I000ol0P1@3o`1a;`?o06=00ol0ET/3o`16B`?o03910ol08cP3o`0I
<PCo018/0ol03BL3o`0:90?o00LQ0ol01Ql3o`057P?o00@M3ol011`4o`057@?o00HO0ol01b03o`09
8`?o00dW0ol04R`3o`0J<P?o02Dj0ol0=T<3o`1>CP?o05]71_ooool2o`00007ooooo000Mooooo`03
o`000?oooooooooo00Gooooo0oo>[003om2W00?od:H00oo?ZP03olf_00?ob;`00onn``03ojZn00?o
V[X00on>]`03oh6d00CoN;400omb/003og6_00?oLk000omi/P03oh:d00?oSkP00onQ_003okK100?o
akh00oo>[P03omBK00Cog8D00ooSKP03onYE00?ol3d00oof:003ooXF00?oo@X00oon1P03ood<00?o
nA`00oob=P03onUJ00Cog8<00oo=[`03oink00?oEZP00olFTP03o`1l6`?o06Hl0ol0DTd3o`0^?`?o
01D_0ol02B<4o`036`?o008I0ol011d3o`0<9P?o01he0ol0@4P3o`1OA0?o07TQ0olLU003og2_00?o
b;/00ooNO`04oni500?onAX00oom2003oo/D00?olCX00ooQL`03olba00?oOk<00olUV003o`1l70?o
06130ol0@4P4o`0L=0?o00XU0ol00a`3o`026@?o00DM0ol03BL3o`0Q=`?o04M;0ol0HT43o`1k7@?o
79D01?mZ[@03ol?400?of9400ooXG003oo@`00?ona<00oon1`03oo`>00?omRD00oo]B@03on5c00?o
dil01?o0``03ogbc00?o@J400olAT003o`2050?o074_0ol0Hd03o`1FB`?o04I;0ol0<T43o`0S>0?o
01Tb1?l04R`3o`0=9`?o00XT0ol01b43o`067`?o00DN0ol011d?o`0470Co00DM0ol01Ql3o`0780?o
00TS0ol03BL3o`0B;0?o01Xb0ol09CX3o`0f@`?o04i>0ol0FdL7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3olj/00?od:L00oo@YP03olnZ00?ocJl00oo8_003okk300?oZ[h0
0onJ^P03ohjg00?oPK@01?mh/@03og:`00?oLJl00omc/003ogVb00?oP[@00on?^003oj6l00?o]/40
0oo7_P03olj^00?oe9/01?oLQ@03on=^00?ojUD00oo`?@03ooHX00?onQH00oom2P03ooh600?oo@`0
0ooi7003oo8f00?ojEX01?oLP`03olf_00?oWk/00omFZ003oaJB00?o07`K0ol0IS`3o`1BC@?o02ho
0ol05Bl3o`098`Co00<K0ol00QT3o`047@?o00`V0ol07SD3o`10B0?o05m40ol0NB43oabD00?oL:l0
0oo8^`03omio00CokTD00ooi6P03ood800?ona@00ooa>P03on5c00?oc;400omo/`03obFH00?o07`L
0ol0H4<3o`10B0Co01`d0ol02RD3o`0370?o008I0ol01Ad3o`0=9`?o024g0ol0Ad/3o`1R@@?o07/M
0olLU@04ofZ]00?o`l@00ooHT@03onQL00?om3000ook4`03ooh700?oo0h00oof9@03one900?ohG<0
0ooCW`04ol3300?oO;<00om1X@03oa6@00?o080D0ol0LBl3o`1S@0?o05I;0ol0AT/3o`0b@@?o02<h
0ol06C84o`0B;0?o00dW0ol02R@3o`078@?o00HO0ol01Ah3o`047@oo00@L1?l01Ad3o`067`?o00LP
0ol02B<3o`0=9`?o018/0ol06S83o`0U>P?o03I30ol0CTh3o`1KA`Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`05ooooo`?odJD00ooEV@03omNB00?of9000ooHT@03omBM00?od:P00oo<
/`03olRl00?oaL800onj`P04ojno00?oZ;h00onV_@03ojRn00?o[Kl00one`@03ol;400?ob;d00oo<
/@03om:S00?oei800ooMO`04onA[00?ojUD00oo`?`03ooD[00?onAT00ool3003ooh600?ooPP00ook
4`03ooHX00?okTH00ooTJ`04omJE00?oakl00on4]@03ocnQ00?o1H/00ol0MRL3o`1P@`?o04Y<0ol0
9cX3o`0B:`?o00LQ1?l00aX3o`026@?o00DN0ol03RP3o`0Q=`?o04M;0ol0HT43o`1l6`?o8iL00omi
/P03olZg00?oggX01?o_@P03ooXI00?oo@P00ook5@03oo4k00?ohG<00oo</@03oh2d00?o9iP00ol0
OA/3o`1R@@?o04=91?l07SD3o`0;9@?o00@L0ol00QT3o`0470?o00`V0ol07SD3o`10B0?o05i40ol0
MbD3oa2@00CoFJT00on``003omBM00?oi6T00ooa>`03ooTI00?oo@T00oom2P03ooTL00?olCX00ooV
HP03omV<00CobkD00onL^`03oenZ00?o:iX00ol1RP03o`1k7P?o06`e0ol0Gd@3o`1DC0?o04A:0ol0
<T43o`0U>@Co01/c0ol05Bh3o`0@:P?o00`W0ol02R@3o`088P?o00LQ0ol01b06o`0680?o00LP0ol0
1b44o`098`?o00XU0ol03BL3o`0A:`?o01L`0ol083H3o`0]?P?o03i70ol0DTd3o`1NA@?o06/f1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ooAY@03omFI00?oei800ooHT003
omRA00?oe9d00oo@Z003olbc00?ob;`00oo5`P03ok[200Co[kl00onX_P03ojJm00?oZ;h00on]_`03
okG100?o`/@00oo8_@03olba00?odZ<00ooGTP03omeo00Coi6/00ooZE@03oo0o00?omB/00ooi6@03
oo`<00?ooPH00oon2003oo/C00?omRP00oo^AP03onA[00CoeYD00oo7_`03ohBe00?o?j400ol5R`03
o`1f9`?o06130ol0BT`3o`0W>P?o018[0ol01b44o`036P?o008I0ol01Ah3o`0>:0?o024g0ol0Ad/3
o`1R@@?o07`K0olSU`03ogVb00?ob[L00ooONP04onm200?onQT00oom2003oo/E00?olC/00ooQL`03
olba00?oP;@00olWV003o`1m6`?o06910ol0@dT4o`0N=@?o00/U0ol011`3o`026@?o00@L0ol032H3
o`0N=@?o04180ol0GT@3o`1g9@?o49001?mIZ@03ok3000?oe9d00ooTJ@03oo4k00?onAT00oom2@03
ood:00?onA`00ooa>P03onIR00?ofH`01?o;]@03oibk00?oGjX00ol[VP03o`6:00?o07/N0ol0K3D3
o`1OA0?o05A<0ol0A4X3o`0b@@?o02Di1?l06c<3o`0E;P?o010Z0ol032L3o`0:90?o00PR0ol01b43
o`0780Ko00HP0ol01b03o`078@Co00TS0ol02RD3o`0=9`?o014[0ol05c03o`0P=P?o02dn0ol0?TL3
o`1BC@?o05i50ol0JcH7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3om6U
00?oeIT00ooGTP03omR@00?of9400ooDW@03om2X00?oc;<00oo8_003olG200?o^/801?n__`03ojRn
00?oY[d00onX_P03ojfo00?o]L400oo2a003olRm00?oc;400ooBX`03omNB00?ogGl01?oTJ`03onYE
00?ol3l00ooe:`03ooTI00?oo0`00oon1P03ooh800?ona<00oof:003oni600?oi6/01?oFU@03olNo
00?oQ;D00oloX@03o`F;00?o07HW0ol0H4<3o`1:C0?o02Lj0ol04R/3o`078@Co00<J0ol00QT3o`05
7P?o00hX0ol08CL3o`17B`?o06910ol0O1/3ob>G00?oNK800oo:]`03ommj00Cokd800ooj6@03ood8
00?onaD00ooa>`03on5c00?oc;400on0]003obNH00?o07dK0ol0HT43o`13B@Co01he0ol02bD3o`04
70?o008I0ol011`3o`0<9P?o01he0ol0@4P3o`1NA0?o07LU0ol@T004oeVY00?o/<000ooDW@03onAY
00?olC/00ooi6@03ood900?oo@X00ooi7003oo4j00?oiV800ooIS004ol^e00?oW;/00omOZP03ob^J
00?o0HX00ol0Nah3o`1/=@?o05m40ol0E4`3o`14BP?o03910ol09CT4o`0K<`?o01D^0ol042X3o`0<
9`?o00XT0ol02283o`078@?o00LP1_l01R03o`0780?o00LQ1?l02B<3o`0:9@?o00dW0ol04B/3o`0G
<0?o020f0ol0;Ch3o`0nA`?o059=0ol0GTD3o`1[=POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`?odJ@00ooHT@03omb300?oggX00ooQM@03omin00?ofhL00ooHT@03omFI00?o
dj000oo@Z004olf_00?obk@01_o;]@03olbc00?ocJh00oo@Z003om>O00?oei<00ooLQ@03on5e00?o
iV@01?o[D@03oo0n00?omB/00ooi6`03oo`>00?ooPL00oon1P03oo`>00?on1h00oob=`03onUH00?o
gWl01?o@Z003ojno00?oJ:d00olYV@03o`242`?o06la0ol0FTP3o`0nA`?o020f0ol03RP3o`067`Oo
008J0ol01Ql3o`0@:P?o02Hj0ol0CTh3o`1V?@?o07lE0ol[VP03oh:d00?oc;800ooPMP04oo0o00?o
nQL00oon2003ooXE00?olC`00ooQL`03olf`00?oP[@00olYV@03o`1n6@?o06=00ol0AT/4o`0P=P?o
00`W0ol011d3o`026@?o00@L0ol02R@3o`0J<P?o03Y50ol0FTP3o`1b;0?o18/01?m9Y003oibk00?o
cjT00ooPMP03oni600?omb400oom3003ooh700?ona<00ooe;@03on]A00?oggT01?oBXP03okk300?o
Ok<00om8Y003oaZD00?o08D90ol0MbD3o`1Z>0?o05i50ol0Dd`3o`15BP?o03E21?l0:C`3o`0P=P?o
01Ta0ol052h3o`0A:`?o00lY0ol03BL9o`0<9P?o00dW0ol03RP4o`0@:P?o01<]0ol06343o`0O=P?o
02Tl0ol0=T<3o`1:C0?o05I:0ol0HT43o`1_<@?o07dJ1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ooAY003omRA00?og8<00ooONP03on5e00?ogWh00ooKQ`03omRA00?oeIT0
0ooCX003om2X00CocJl00oo;]006ol^e00?oc;<00oo=[P03om2X00?odil00ooGT`03omb500?ohGD0
0ooVI004on]A00?ol3h00ooe:`03ooTK00?oo0h00oon1`03ooh600?oo0h00ooh7P03oo8g00?ojEP0
0ooNO`04om2X00?o[kl00omX[@03obVI00?o08@;0ol0Kc43o`1JB0?o03i70ol083H3o`0>:0?o00HO
1ol00QX3o`067`?o010Z0ol09SX3o`1>CP?o06Hm0ol0OaD3ob^J00?oP[@00oo</P03on1f00Col3l0
0ooj5`03ooh800?onQD00ooa?003on5c00?ocK000on2]003obVI00?o07hI0ol0Hd03o`16B`Co020f
0ol032L3o`047@?o008I0ol011`3o`0:90?o01Xb0ol0>TD3o`1JB0?o078/0ol4R`04odVT00?oW;/0
0oo?Z@03on1f00?okTH00oog8@03ood<00?ooPL00ook4`03ooD]00?oje400ooON@04om:R00?o_/<0
0omo/`03odRT00?o6Y@00ol0Q@T3o`1g9@?o06Xh0ol0GTD3o`1CC0?o04E:0ol0=D84o`0Y?0?o020f
0ol06C43o`0D;P?o014[0ol03bT3o`0=9`Wo00`V0ol03BL3o`0>:0Co010Z0ol04bd3o`0H<@?o01lf
0ol0:C`3o`0f@`?o04Y<0ol0ETX3o`1R@@?o06la0ol0OAX7ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01Oooool3om6T00?of9400ooLP`03ommj00?ohGD00ooNOP03om^700?of9400ooE
V@03om>P00?od:P01?o=[`03ol^d00KobkD00oo</`03olf^00?od:P00ooCW`03omNC00?og8D00ooQ
M@03onIT00Coje400oo`?P03ooD[00?onA/00ool3P03ooh700?ooPH00ool3P03ooPN00?olSL00ooY
F003omio00Cod:P00on__`03ofR]00?o:IT00ol0Q0/3o`1_<@?o05Y80ol0?TL3o`0P=P?o00hX0ol0
1Ql7o`026P?o00HO0ol042X3o`0V>P?o04i>0ol0ISd3o`1o5@?o:iX00on2]003olbb00?oh7H01?o`
?`03ooXG00?ooPP00ooj5@03oo4l00?ohG<00oo=/003oh:d00?o:IT00ol0OQT3o`1S@0?o04I;1?l0
83H3o`0<9`?o00@M0ol00QT3o`0470?o00XT0ol06S83o`0jA@?o05Y80ol0LR`3o`B;00CoBJ@00onL
^`03olnY00?oh7H00oo^AP03ooLQ00?oo@`00oon1`03oo/C00?omBd00oo[D@03ommi00CodZ800onn
``03ognc00?oB:@00olJU003o`252@?o07LU0ol0JSP3o`1NA@?o05=<0ol0ADX3o`0e@PCo02Tl0ol0
83H3o`0I<@?o01@^0ol04B/3o`0?:@?o00dW2Ol032H3o`0=9`?o00hX1?l042X3o`0C;@?o01Pa0ol0
7cH3o`0Y?0?o03I30ol0BT`3o`1FBP?o06910ol0Kc43o`1m6POooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?ocZ`00ooHT@03omml00?oi6/00ooWG`03onIR00?oi6P00ooSK`03
on5e00?ogg/00ooLP`04omZ;00?of9001_oGTP03omR@00?ofHd00ooKQ`03omin00?ohG<00ooUI`03
onUH00?okDT01?ob>003ooHY00?onAX00ool3`03ooh700?ooPD00oom2P03ooXG00?omB`00oo]B@03
on=/00?oei<01?o8^`03oi2h00?oCJD00olCT@03o`1m6P?o06Pj0ol0E4`3o`0d@P?o01Xb0ol02bH3
o`047@Co008I0ol00aX3o`078@?o01<]0ol0:cd3o`1AC@?o06Ti0ol0P`l3oc>M00?oRkH00oo>[@03
on9b00ColC/00ooj5@03ooh800?onQH00ooa?003on5c00?ocK000on4]@03ob^J00?o07lF0ol0I3l3
o`19C0Co028g0ol03BP3o`057@?o008I0ol00a/3o`098`?o01L`0ol0<d83o`1FBP?o06hc0ol0QPL4
ocRN00?oQkD00oo:]P03omb400?oje<00ooe:`03oo/A00?ooPL00ool3@03ooPQ00?ol4000ooUIP04
omV>00?obk@00onS_003ofZ]00?o>9h00ol?T003o`2240?o07DX0ol0JCT3o`1NA@?o05E;0ol0BTd4
o`0kA@?o03100ol09c/3o`0P=`?o01`c0ol06C43o`0F;`?o01D_0ol05Bh3o`0E;`?o01L`0ol06C84
o`0M=0?o02<h0ol0:Sd3o`0e@P?o04A:0ol0DTd3o`1MAP?o06Pk0ol0M2T3o`214@?o3Xl01oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0oo>[003omRA00?ogg`00ooTJ`03onMO
00?oiV800ooTJ003on=_00?ohGD00ooON`03omb300CofX/00ooHT006omNB00?of9000ooIS@03om^7
00?ogWh00ooQL`03onEW00?ojEP00oo]B@04oo8h00?omRT00ooi6P03oo`?00?ooPL00oon1@03ood:
00?onQL00ooe;003one900?ohf`00ooGT`04olRk00?oT;P00om=Y@03oa>A00?o07dJ0ol0J3X3o`1D
C0?o03A20ol06S83o`0;9P?o00@M1?l00QT3o`036P?o00LQ0ol04bd3o`0[?@?o055=0ol0JCT3o`23
3`?o<id00on;]P03olj]00?ohW801?oa>`03ooXE00?ooPP00ooj5P03oo4l00?ohG<00oo=/003ohBe
00?o:iX00ol0OaH3o`1T?`?o04U<1?l08SL3o`0=:0?o00DM0ol00QT3o`036`?o00TS0ol05c03o`0c
@P?o05I:0ol0KS<3o`261`Co>9h00on7]@03olZf00?og8@00oo[D`03ooD[00?ona400oon1`03oo`=
00?on2400oo`@003onEV00CofHh00oo;]003oj>l00?oJZd00olhWP03o`n@00?o088@0ol0MBP3o`1Y
>@?o05i50ol0ED/3o`1:C@Co03]50ol0<403o`0W>`?o020g0ol073<3o`0I<@?o01H_0ol05Bl3o`0E
;P?o01D_0ol05c03o`0I<PCo01dd0ol08cP3o`0Z?@?o03E20ol0A4X3o`1BC@?o05e60ol0J3/3o`1d
:@?o084A0ol>S`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3olj/00?o
f9400ooOO003onA[00?oiel00ooVHP03onAX00?ohfl00ooQM@03ommk00?og8<01?oJR`03omR@00Ko
ei800ooHT003omV=00?ofhL00ooNOP03on5c00?oiFL00ooYF003one900ColSP00oof:@03ooTJ00?o
o0l00oon1`03ooh500?oo@X00ooj5`03ooD/00?okDT00ooSK003omNC00Cob;/00on@^003odfU00?o
4i400ol0OAX3o`1X>P?o05A<0ol0=483o`0J<P?o00/V0ol011d4o`026@?o00<J0ol01b43o`0C;@?o
02/m0ol0DDd3o`1Y>@?o08<?0olcW@03oh^f00?ocZd00ooRLP04oo4k00?onQD00oon2003ooXF00?o
lC`00ooQL`03olf`00?oQ;D00ol[VP03o`1o5P?o06@o0ol0BD`4o`0R=`?o00dX0ol01Ad3o`026@?o
00<K0ol02B<3o`0G<0?o03=20ol0ETX3o`1^<`?o08H71?lhWP03ohNe00?ob[H00ooLQ003on]C00?o
mB/00ook4@03ooh700?oo0d00ooh8@03oo1000?oiFH01?oISP03ol^d00?oXk`00omZ[@03ocRN00?o
3i000ol0PQ03o`1e:0?o06Ti0ol0GTD3o`1EB`?o04Y=1?l0>dD3o`0`@0?o02Lk0ol083L3o`0L<`?o
01Ta0ol05Rl3o`0E;`?o01D^0ol05Bl3o`0G<0?o01Tb1?l07C@3o`0S>0?o02Xm0ol0=D83o`14BP?o
059=0ol0GDH3o`1X>`?o07@Y0ol0PA43o`j?00Oooooo0Ol00001ooooo`007Oooool2o`0000Kooooo
0oo8^`03omBK00?ogWh00ooUIP03on]B00Kok4h00oo[D003onYD00?ojEL00ooWGP04onEV00?oi6/0
0ooSK@03on=^00?ohfd00ooTJP03onIU00?oj5d00ooZE003one900?olCd00ood<004ooLS00?onQL0
0ool3@03ooh700?ooPD00oom2@03oo/C00?omRD00oo`?P03onQN00?ogH800oo@Z004okC000?oLJl0
0olcW@03o`2900?o07DX0ol0HD83o`1>CP?o02/m0ol05Bh3o`098`?o00@L1?l00QT3o`036`?o00TS
0ol05Rl3o`0`@0?o05E;0ol0K3D3o`261`?o?:000onE^@03om2X00?ohfd01?ob>003oo/D00?ooPP0
0ooj5P03oo0m00?ohG@00oo=[`03ohJe00?o;Y/00ol0P1@3o`1V?@?o04a=1?l093T3o`0?:@?o00DN
0ol00QT3o`036`?o00PQ0ol052h3o`0]?P?o059=0ol0JCT3o`214PCo:9T00omb/003olG300?oei80
0ooWH@03oo8g00?onQP01_om2003ooXF00?om3000oo[DP04on1h00?odil00oo5`P03ohng00?oFZT0
0ol^V`03o`V=00?o084B0ol0MBP3o`1Z>0?o06520ol0F4T4o`1AC@?o04I:0ol0>dD3o`0b@@?o02`n
0ol0:3/3o`0U>PKo02@i0ol09CT3o`0X>`?o02`m1?l0<T43o`0kA@?o04M;0ol0DTd3o`1JB0?o06@o
0ol0Kc43o`1k7P?o08L40olLU@03od>R00Kooooo0_l00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?ob;/00ooDV`03omin00?oiFH00oo[DP06ona>00?oje000ooZE003onUG00?oieh01?oU
IP03onA[00?ohfd00ooSKP03on=]00?oi6X00ooVI@03onQM00?ojU@00oo]B@03oo4m00?om3001?og
8`03ooXG00?oo0d00oon1`03ooh500?oo@T00ook4`03ooHU00?ol3h00ooXGP03omf200?od:P01?nd
`003og6_00?o<id00ol0R@03o`1e:0?o06520ol0CTh3o`0[?@?o01D^0ol02B<3o`0470Co008I0ol0
0a/3o`098`?o01H_0ol0<403o`1EB`?o06`e0ol0QPL3ocbP00?oUKT00oo@Z003on=]00ColSP00ook
5003ooh800?onQH00oo`?@03on5d00?ocJl00on6]@03objK00?o080D0ol0ISd3o`1<C@Co02@i0ol0
3bT3o`057P?o008I0ol00a/3o`088@?o01@^0ol0;Ch3o`1BC@?o06Ti0ol0PA84obRI00?oL[000oo5
``03omNB00?oif400oob=`03ooXH00Koo@P00ooj5P03oo@`00?oje801?oPN003om>O00?oaL800on?
]`03oeZY00?o;Y/00ol9S@03o`214P?o07DX0ol0JSP3o`1Q@P?o05Q91?l0DDd3o`16BP?o03]50ol0
<T43o`0/?P?o02Pk0ol09CX6o`0T>@?o02Di0ol0:3/3o`0/?@Co03910ol0>dD3o`17B`?o059=0ol0
FTP3o`1T?`?o06la0ol0Nah3o`2710?o79D00om3XP07ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3olRk00?oe9/00ooNOP03onEV00?oje801_o/CP03on]@00?ojU@00ooYE`03
onMN00CoiFH00ooTJ`03on=]00?ohfh00ooSK@03onAZ00?oiVD00ooXG@03onYD00?okDT00ooa?@03
oo@`00Comb<00ooj5`03oo`=00?ooPL00oon1@03ood900?ona<00oof9@03oo0n00?oj5h00ooMPP03
om2X00Co]<000oma[`03oc>M00?o08T00ol0MBP3o`1Q@P?o04i>0ol0:cd3o`0E;P?o00TS0ol011`4
o`026@?o00<K0ol02B<3o`0F;`?o03100ol0ED/3o`1/=@?o08H70ollX003oiFi00?od:P00ooSK@04
oo8h00?ona@00oon2003ooXF00?ol3d00ooQM003olf_00?oQ[D00ol^V`03o`2050?o06Hm0ol0C4d4
o`0T>@?o00lY0ol01Ah3o`026@?o00<K0ol02243o`0D;P?o02dn0ol0DTd3o`1Y>@?o084B1?lXV@03
og:`00?oaL<00ooGTP03onMQ00?olSL00ooj6006ood800?onQH00ood<003on]B00Coh7P00ooCW`03
olG200?oSkL00omJZ@03objK00?o2Hd00ol0PA83o`1e:0?o06Xh0ol0HD83o`1HB@Co055=0ol0ATX3
o`0kA@?o03910ol0;3h3o`0X>`?o02Dj1_l093T3o`0U>@?o02Pk0ol0;3d4o`0b@@?o03]50ol0Ad/3
o`1BC@?o05Y80ol0I3l3o`1_<@?o07/N0ol0Q`@3oabE00?o@j801oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Gooooo0oo8^`03omBK00?ogWh00ooUIP03on]B00Kok4h00oo[D003onYD
00?ojEL00ooWGP04onEV00?oi6/00ooSK@03on=^00?ohfd00ooTJP03onIU00?oj5d00ooZE003one9
00?olCd00ood<004ooLS00?onQL00ool3@03ooh700?ooPD00oom2@03oo/C00?omRD00oo`?P03onQN
00?ogH800oo@Z004okC000?oLJl00olcW@03o`2900?o07DX0ol0HD83o`1>CP?o02/m0ol05Bh3o`09
8`?o00@L1?l00QT3o`036`?o00TS0ol05Rl3o`0`@0?o05E;0ol0K3D3o`261`?o?:000onE^@03om2X
00?ohfd01?ob>003oo/D00?ooPP00ooj5P03oo0m00?ohG@00oo=[`03ohJe00?o;Y/00ol0P1@3o`1V
?@?o04a=1?l093T3o`0?:@?o00DN0ol00QT3o`036`?o00PQ0ol052h3o`0]?P?o059=0ol0JCT3o`21
4PCo:9T00omb/003olG300?oei800ooWH@03oo8g00?onQP01_om2003ooXF00?om3000oo[DP04on1h
00?odil00oo5`P03ohng00?oFZT00ol^V`03o`V=00?o084B0ol0MBP3o`1Z>0?o06520ol0F4T4o`1A
C@?o04I:0ol0>dD3o`0b@@?o02`n0ol0:3/3o`0U>PKo02@i0ol09CT3o`0X>`?o02`m1?l0<T43o`0k
A@?o04M;0ol0DTd3o`1JB0?o06@o0ol0Kc43o`1k7P?o08L40olLU@03od>R00Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?o[[l00oo=[P03omZ<00?ohf`00oo[C`03onm400?o
l3d00ooa>P03oo8h00?olSL00ooa?@04onm300?okTL02Oo]BP03oni800?okd@00oo`?P03oo8g00?o
m2h00oog9003ooTK00Cona800oom2`03ooh600?ooPD00oom2003oo/A00?on2400oob=`03onYC00?o
hG@00ooEV003olRm00CoTKP00omBY`03oaZD00?o084C0ol0KC@3o`1JB0?o04180ol08SP3o`0@:P?o
00LP0ol00a/4o`026@?o00@M0ol02bD3o`0J<P?o03M30ol0F4T3o`1`<0?o08T00om6X`03oink00?o
dZ800ooTJ004oo8e00?ona800oon2003ooXG00?ol3h00ooQM003olf_00?oR;H00ol`W003o`214P?o
06Ll0ol0Cdh4o`0W>P?o010Z0ol01Ql3o`026P?o00<J0ol01b03o`0A:`?o02Pk0ol0CTh3o`1T?`?o
07/M1?lHT`03oejZ00?o[[l00ooBX@03on9`00?okd@00oog8P03oo`=00?ooPH00ool3P03ooLR00?o
l4001?oVH`03om^800?ocZ/00ong`@03oh6d00?oDZH00olZV@03o`V=00?o088A0ol0MbD3o`1]=0?o
06Dn1?l0GDD3o`1GBP?o059=0ol0C4d3o`14BP?o03m70ol0?4H3o`0jA@?o03]50ol0?DH3o`11B@?o
04Q<1?l0D4h3o`1EB`?o05a70ol0Hd03o`1]=@?o07LT0ol0P`d3o`f?00?o;i/00omFZ003oh:d00Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o[[l00oo=[P03omZ<00?ohf`0
0oo[C`03onm400?ol3d00ooa>P03oo8h00?olSL00ooa?@04onm300?okTL02Oo]BP03oni800?okd@0
0oo`?P03oo8g00?om2h00oog9003ooTK00Cona800oom2`03ooh600?ooPD00oom2003oo/A00?on240
0oob=`03onYC00?ohG@00ooEV003olRm00CoTKP00omBY`03oaZD00?o084C0ol0KC@3o`1JB0?o0418
0ol08SP3o`0@:P?o00LP0ol00a/4o`026@?o00@M0ol02bD3o`0J<P?o03M30ol0F4T3o`1`<0?o08T0
0om6X`03oink00?odZ800ooTJ004oo8e00?ona800oon2003ooXG00?ol3h00ooQM003olf_00?oR;H0
0ol`W003o`214P?o06Ll0ol0Cdh4o`0W>P?o010Z0ol01Ql3o`026P?o00<J0ol01b03o`0A:`?o02Pk
0ol0CTh3o`1T?`?o07/M1?lHT`03oejZ00?o[[l00ooBX@03on9`00?okd@00oog8P03oo`=00?ooPH0
0ool3P03ooLR00?ol4001?oVH`03om^800?ocZ/00ong`@03oh6d00?oDZH00olZV@03o`V=00?o088A
0ol0MbD3o`1]=0?o06Dn1?l0GDD3o`1GBP?o059=0ol0C4d3o`14BP?o03m70ol0?4H3o`0jA@?o03]5
0ol0?DH3o`11B@?o04Q<1?l0D4h3o`1EB`?o05a70ol0Hd03o`1]=@?o07LT0ol0P`d3o`f?00?o;i/0
0omFZ003oh:d00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o[[l00oo=
[P03omZ<00?ohf`00oo[C`03onm400?ol3d00ooa>P03oo8h00?olSL00ooa?@04onm300?okTL02Oo]
BP03oni800?okd@00oo`?P03oo8g00?om2h00oog9003ooTK00Cona800oom2`03ooh600?ooPD00oom
2003oo/A00?on2400oob=`03onYC00?ohG@00ooEV003olRm00CoTKP00omBY`03oaZD00?o084C0ol0
KC@3o`1JB0?o04180ol08SP3o`0@:P?o00LP0ol00a/4o`026@?o00@M0ol02bD3o`0J<P?o03M30ol0
F4T3o`1`<0?o08T00om6X`03oink00?odZ800ooTJ004oo8e00?ona800oon2003ooXG00?ol3h00ooQ
M003olf_00?oR;H00ol`W003o`214P?o06Ll0ol0Cdh4o`0W>P?o010Z0ol01Ql3o`026P?o00<J0ol0
1b03o`0A:`?o02Pk0ol0CTh3o`1T?`?o07/M1?lHT`03oejZ00?o[[l00ooBX@03on9`00?okd@00oog
8P03oo`=00?ooPH00ool3P03ooLR00?ol4001?oVH`03om^800?ocZ/00ong`@03oh6d00?oDZH00olZ
V@03o`V=00?o088A0ol0MbD3o`1]=0?o06Dn1?l0GDD3o`1GBP?o059=0ol0C4d3o`14BP?o03m70ol0
?4H3o`0jA@?o03]50ol0?DH3o`11B@?o04Q<1?l0D4h3o`1EB`?o05a70ol0Hd03o`1]=@?o07LT0ol0
P`d3o`f?00?o;i/00omFZ003oh:d00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05
ooooo`?oOK<00ono``03om:R00?ogWh00ooXFP03oni700?olSP00ood;P03ooHV00?on2000oog8P04
ooHV00?omRT02Ooe:`03ooDZ00?omRL00oog8`03ooPN00?onQP00ook4P03ood<00CooPL00oon1003
ooh500?oo@T00ook4@03ooPP00?olc<00oo/C@03onA[00?ofHd00oo=/003ojbo00CoKZl00oleW@03
o`>;00?o07PS0ol0ICh3o`1CC0?o03A20ol06c<3o`0=9`?o00DN1ol00QX3o`057P?o00dW0ol07cD3
o`0nA`?o05a60ol0M2X3o`R=00?oDJH00onZ_P03omBM00?oiV@01?oc<P03oo/A00?ooPP00ooj6003
oo0n00?ohG@00oo=[P03ohZf00?o<id00ol0PPl3o`1Y>P?o055=1?l0:C`3o`0B;0?o00LP0ol00aX3
o`026P?o00HO0ol03bT3o`0R>0?o04E:0ol0Gd@3o`1f9`Co28d00om9Y003oiJi00?oc;400ooMP@03
onYC00?om2h00ook4`03ooh700?oo@P00ooj5P03oo@^00Cok4d00ooRL003omNC00?obk@00on/_`03
og^b00?oCjH00ol[VP03o`b?00?o08@;0ol0Nah3o`1b;0Co06/g0ol0ICh3o`1OA0?o05]70ol0F4X3
o`1EB`Wo05A<0ol0ET/3o`1HB@?o05a61?l0HD83o`1W?0?o06hb0ol0MbD3o`214`?o1H`00olUV003
odRS00?oKjl00onJ^P03olG400Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05oooo
o`?oOK<00ono``03om:R00?ogWh00ooXFP03oni700?olSP00ood;P03ooHV00?on2000oog8P04ooHV
00?omRT02Ooe:`03ooDZ00?omRL00oog8`03ooPN00?onQP00ook4P03ood<00CooPL00oon1003ooh5
00?oo@T00ook4@03ooPP00?olc<00oo/C@03onA[00?ofHd00oo=/003ojbo00CoKZl00oleW@03o`>;
00?o07PS0ol0ICh3o`1CC0?o03A20ol06c<3o`0=9`?o00DN1ol00QX3o`057P?o00dW0ol07cD3o`0n
A`?o05a60ol0M2X3o`R=00?oDJH00onZ_P03omBM00?oiV@01?oc<P03oo/A00?ooPP00ooj6003oo0n
00?ohG@00oo=[P03ohZf00?o<id00ol0PPl3o`1Y>P?o055=1?l0:C`3o`0B;0?o00LP0ol00aX3o`02
6P?o00HO0ol03bT3o`0R>0?o04E:0ol0Gd@3o`1f9`Co28d00om9Y003oiJi00?oc;400ooMP@03onYC
00?om2h00ook4`03ooh700?oo@P00ooj5P03oo@^00Cok4d00ooRL003omNC00?obk@00on/_`03og^b
00?oCjH00ol[VP03o`b?00?o08@;0ol0Nah3o`1b;0Co06/g0ol0ICh3o`1OA0?o05]70ol0F4X3o`1E
B`Wo05A<0ol0ET/3o`1HB@?o05a61?l0HD83o`1W?0?o06hb0ol0MbD3o`214`?o1H`00olUV003odRS
00?oKjl00onJ^P03olG400Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
OK<00ono``03om:R00?ogWh00ooXFP03oni700?olSP00ood;P03ooHV00?on2000oog8P04ooHV00?o
mRT02Ooe:`03ooDZ00?omRL00oog8`03ooPN00?onQP00ook4P03ood<00CooPL00oon1003ooh500?o
o@T00ook4@03ooPP00?olc<00oo/C@03onA[00?ofHd00oo=/003ojbo00CoKZl00oleW@03o`>;00?o
07PS0ol0ICh3o`1CC0?o03A20ol06c<3o`0=9`?o00DN1ol00QX3o`057P?o00dW0ol07cD3o`0nA`?o
05a60ol0M2X3o`R=00?oDJH00onZ_P03omBM00?oiV@01?oc<P03oo/A00?ooPP00ooj6003oo0n00?o
hG@00oo=[P03ohZf00?o<id00ol0PPl3o`1Y>P?o055=1?l0:C`3o`0B;0?o00LP0ol00aX3o`026P?o
00HO0ol03bT3o`0R>0?o04E:0ol0Gd@3o`1f9`Co28d00om9Y003oiJi00?oc;400ooMP@03onYC00?o
m2h00ook4`03ooh700?oo@P00ooj5P03oo@^00Cok4d00ooRL003omNC00?obk@00on/_`03og^b00?o
CjH00ol[VP03o`b?00?o08@;0ol0Nah3o`1b;0Co06/g0ol0ICh3o`1OA0?o05]70ol0F4X3o`1EB`Wo
05A<0ol0ET/3o`1HB@?o05a61?l0HD83o`1W?0?o06hb0ol0MbD3o`214`?o1H`00olUV003odRS00?o
Kjl00onJ^P03olG400Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?oAj<0
0on8]P03olK000?oeIX00ooRLP03onUH00?okd800ood<003ooLQ00?onQH01ook4`06oo/D00Wona<0
0ook4P03oo`?00?oo@`00oom2@03ooh600?ooP@01?oo1003ooh600?oo@/00ook4`03ooPQ00?olc<0
0oo]BP03onEV00?og8D00ooAYP03ol7400?oQKD01?m<Y@03oaVC00?o084A0ol0Kc43o`1MAP?o04Q<
0ol0:C`3o`0E;P?o00XT0ol011`3o`026@Co00<J0ol01b03o`0@:P?o02@i0ol0Ad/3o`1P@`?o07PS
0olBT@03oebY00?o]L400ooFU`03onMO00Com2l00ool4003ooh800?onQP00oo`?`03on5d00?ocJh0
0on<]`03ocJN00?o08@<0ol0JSP3o`1BC@Co02`n0ol04bd3o`078@?o00<J0ol00QT3o`057P?o00dW
0ol07CD3o`0lAP?o05Y80ol0L304o`271@?o=Id00omm/`03olK000?oei800ooVI003oo4l00?on1d0
0oom2`03ooh600?oo0d00ooh7`04oo4i00?ojEP00ooONP03omFJ00?obKT00onX_P03og^b00?oDjL0
0olbW003oaJB00?o08T00ol0PA84o`1j80?o07@Z0ol0KS83o`1Z>0?o06Ll0ol0ICh6o`1T?`?o06Dn
0ol0Ic`3o`1Z>0?o06hb1?l0M2X3o`1k7P?o08<?0ol5R`03oanF00?o@:400omX[@03ohng00?o^L80
0oo;]003om>P00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?oAj<00on8
]P03olK000?oeIX00ooRLP03onUH00?okd800ood<003ooLQ00?onQH01ook4`06oo/D00Wona<00ook
4P03oo`?00?oo@`00oom2@03ooh600?ooP@01?oo1003ooh600?oo@/00ook4`03ooPQ00?olc<00oo]
BP03onEV00?og8D00ooAYP03ol7400?oQKD01?m<Y@03oaVC00?o084A0ol0Kc43o`1MAP?o04Q<0ol0
:C`3o`0E;P?o00XT0ol011`3o`026@Co00<J0ol01b03o`0@:P?o02@i0ol0Ad/3o`1P@`?o07PS0olB
T@03oebY00?o]L400ooFU`03onMO00Com2l00ool4003ooh800?onQP00oo`?`03on5d00?ocJh00on<
]`03ocJN00?o08@<0ol0JSP3o`1BC@Co02`n0ol04bd3o`078@?o00<J0ol00QT3o`057P?o00dW0ol0
7CD3o`0lAP?o05Y80ol0L304o`271@?o=Id00omm/`03olK000?oei800ooVI003oo4l00?on1d00oom
2`03ooh600?oo0d00ooh7`04oo4i00?ojEP00ooONP03omFJ00?obKT00onX_P03og^b00?oDjL00olb
W003oaJB00?o08T00ol0PA84o`1j80?o07@Z0ol0KS83o`1Z>0?o06Ll0ol0ICh6o`1T?`?o06Dn0ol0
Ic`3o`1Z>0?o06hb1?l0M2X3o`1k7P?o08<?0ol5R`03oanF00?o@:400omX[@03ohng00?o^L800oo;
]003om>P00Oooooo0Ol00001ooooo`007Oooool2o`0000Kooooo0om7X`03ohRf00?oa/000ooEVP03
on9b00?ojEP00oo_@P03oo@`00?omb400ooj5P07oo/C00Kona@02Ook4`03oo/B00?oo0l00oom3003
ood900?ooPH00oon1004ool400?ooPH00oom2`03oo/C00?on2400ooc<`03one:00?oiFH00ooLQ@03
om6V00?o`L@00on5]@04odbU00?o6I<00ol0PA43o`1_<@?o05e60ol0B4`3o`0Y?0?o01D^0ol02R@3
o`0470?o008I1?l00aX3o`0780?o010Z0ol093T3o`17B`?o06130ol0N2<3oa:A00?oG:T00one`@03
omJG00?oiel01?od;`03oo`@00?ooPP00ooj6003oo0o00?ohG@00oo=[P03ohbg00?o=Yh00ol0Q0`3
o`1Z>0?o059=1?l0;3h3o`0C;@?o00LQ0ol00aX3o`026@?o00DN0ol03BL3o`0M=@?o03a60ol0FTP3
o`1`<0Co08L50oleW@03ogfc00?oa/000ooGTP03onIT00?olC`00ooh7@03ood;00?ooPH00ool3@03
ooPO00ColCT00ooYF003ommj00?oeIX00oo9^@03ojRn00?oNk800omCY`03oc:L00?o5Y800ol0R@03
o`214PCo07XP0ol0M2X3o`1^<P?o06Xh0ol0Ic`3o`1U?PKo06@o0ol0ICh3o`1W?0?o06Xh0ol0KS84
o`1d:P?o07/N0ol0P`l3o`F;00?o7iH00om0X@03ofR]00?oSkL00oni`P03ol^d00?odj001_ooool2
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0olCT@03odbU00?oS[L00oo8_@03omNE
00?ohGD00ooYF@03onm100?omB`00ooi6P03oo/B00Coo0h00oom2`03ood900?ooPL01_on1P03ooh5
00?ooP@02Ooo0`03ooh500Coo@T00ool3`03ooXH00?ombD00oob=P03one;00?oiVD00ooMP@03om>P
00?oakl00onG^@03of2[00Co;9X00ol0R@03o`1h8`?o06Hm0ol0ED/3o`0iA@?o020f0ol042X3o`07
8@?o00<K0ol00QT4o`0370?o00PR0ol052d3o`0Z?@?o04m>0ol0ICh3o`1l6`?o79D00omW[@03ol74
00?of9400ooYFP04ooD[00?oo0h00oon2003ooTI00?ol4000ooQM003olj]00?oS[L00olhWP03o`25
2P?o06`f0ol0E4`4o`0_?`?o01D_0ol02283o`036`?o008I0ol011`3o`0;9@?o01Ta0ol0=483o`1E
B`?o06Xh1?l0P1<3ob6G00?oI:`00ona`003om6S00?oh7H00oo/C003ooDZ00?ona801_on1`03oo/C
00ComRL00oo_@P03onMP00?ogWl00ooCWP03olVj00?oZkh00on2]003oejZ00?o?j400olVV003oa6@
00Co08T00ol0Q0`3o`1o5`?o07/N0ol0N2<3o`1f9P?o07DX0ol0MRL3o`1g9@?o07XP0ol0OAT3o`22
3`Co08P20ol?T003obBH00?o@:400omQZ`03ohVf00?o]/400oo:]P03om:Q00?ofHd00ooNO`07oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3oa>A00?oC:D00on>]`03olRm00?o
eiD00ooQM@03onUI00?okd400ooe;003ooTJ00?ona801?ol3P03ood;00?oo@T00oon1`06ooh600?o
oPD00oon1009ool300?ooPD01?om2@03oo`?00?onQP00oog9@03oo8f00?okD/00ooVI@03omf100?o
dj000oo7_`03oiNi00?oH:/01?l/VP03o`2900?o07PS0ol0ISd3o`1EB`?o03U50ol083H3o`0@:P?o
00LQ0ol00a/3o`026@Co00<L0ol02283o`0D;@?o02Xm0ol0Cdh3o`1U?P?o07`K0olLU@03ofN]00?o
`L@00ooHT@03onUJ00ComB/00ool3P03ooh800?onAT00oo`@003on5d00?ocZd00on>]`03ocRN00?o
08D:0ol0K3H3o`1DC0Co02lo0ol05Bl3o`088P?o00<K0ol00QT3o`0470?o00/U0ol06C43o`0d@P?o
05E;0ol0JSP4o`204`?o8IL00omT[003ok7000?odJ<00ooPMP03ona<00?omBX00ook4P06ooh700?o
na<01?of9`03onm200?oif000ooNO`03om>N00?obKX00on[_P03oh:d00?oGZX00oloX@03obJH00?o
4I001?l0R@03o`2430?o07lG0ol0Nah3o`1h8`?o07HV0ol0MBP3o`1f9`?o07LU0ol0NR03o`1m6@?o
088?1?l0R083o`n@00?o99P00om0X@03of6[00?oRKH00onf`@03olZf00?odZ400ooIS@03omio00Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o4i400om<Y@03ohjg00?ob;d0
0ooGU@03on5e00?ojET00oo_@@03ooD/00?onAX00ook4P04oo`>00?oo@/00oom2@03ooh700KooPH0
0oon1@03ooh400Woo`<00oon1@04ood900?oo0l00ooj6003ooLU00?olSH00oo]B`03onIU00?ogH40
0ooCX003olNo00?oUkT00omPZ`04obbJ00?o08T00ol0N2<3o`1V?@?o05E;0ol0>DD3o`0P=P?o010Z
0ol01b43o`036`?o008I1?l00a`3o`088P?o01@]0ol0:Sd3o`1?CP?o06Dn0ol0O1/3oabE00?oIjd0
0oo1a003omRA00?ojEX01?oe:`03oo`>00?ooPP00ooi6@03oo1000?ohG@00oo>[@03ohjg00?o>9h0
0ol0Q@X3o`1/=P?o05A<1?l0;cl3o`0E;`?o00PR0ol00a/3o`026@?o00@L0ol02bD3o`0I<@?o03A2
0ol0ED/3o`1Z>0Co080C0olQU`03ofB/00?o/L000ooAX`03on1f00?ok4`00ooe:P03oo/B00KooPL0
0ook4`04ooHW00?okd800ooWH003omio00?odih00oo9^P03oj^n00?oP[@00omNZP03ocnQ00?o9YP0
0olAT004o`2900?o08@<0ol0OaL3o`1k7P?o07PS0ol0MRH3o`1e:0?o07HW0ol0MbD3o`1j80?o07dI
0ol0PPl4o`280P?o3i000olTV003od2Q00?oHJ/00on9]P03okK100?ob[H00ooBX@03omV=00?ogWl0
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0OAT3oaBA00?oC:D00on=
]`03olRm00?oe9`00ooNO@03onMP00?okTD00ood;P03ooPP00ConQL00ool4003ood;00?ooPL03?on
1@03ooh600?ooPL00oom2`03oo`@00ConQL00ooh8003ooD]00?ol3d00oo[D@03onEX00?ogH800ooC
WP03olVk00?oX[`00om][P03ocbP00Co3i000ol0OaH3o`1^<`?o05e60ol0Bdd3o`0/?P?o01Pa0ol0
32H3o`057P?o008J0ol00QT4o`047@?o00/U0ol06343o`0b@@?o05A<0ol0JCT3o`204`?o9iT00omd
/003olK000?ofXX00ooZE004ooHX00?oo0d00oon2003ooTJ00?okd400ooQM@03olj]00?oT;P00olk
W`03o`261`?o06dd0ol0ET/4o`0c@@?o01P`0ol02R@3o`0470?o008I0ol00a/3o`098`?o01D^0ol0
;3h3o`1@CP?o06@o1?l0NR03o`n@00?oC:D00onD^@03ol^e00?ofXT00ooWGP03oo4i00?onAd00oom
2`03ooh500?oo@X01?oj6003ooD]00?okTL00ooVI003omf100?oe9`00oo:]P03okK100?oTKP00om`
[`03oeFW00?o?J001?lZVP03oa^D00?o3i000ol6S003o`2:00?o08P20ol0R0<3o`290@?o0XX00ol9
S@03oaBB00?o8YL01?leW@03odfU00?oJ:d00on:]P03ok3000?ob[P00ooDW@03om^900?oh7L00ooT
K003onAY00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o07dI0olDT@03
odbU00?oSKL00oo8_@03omBL00?ogWd00ooWH003oni500?om2h00ooh8004ooXG00?oo1000oom2`03
ooh700cooPD00oon1P03ooh700?oo@/00ool4004ooXG00?on2000ooe;@03oo0m00?oje400ooUJ003
omf200?odih00oo9^`03oj:l00?oKJh00ollX004o`n@00?o07lF0ol0KS<3o`1MAP?o04]=0ol0;3h3
o`0H<@?o00`V0ol01Ah3o`026P?o008I1?l011d3o`0;9@?o01Pa0ol0<T43o`1DC0?o06Ti0ol0P1<3
obNI00?oM;000oo6`003omZ:00?ojU@01?of:003oo`=00?ooPP00ooi6P03onm100?ohGD00oo>[@03
oi2h00?o>il00ol0QPL3o`1]=0?o05I;1?l0<d43o`0H<0?o00XT0ol011`3o`026@?o00<K0ol02B<3
o`0E;P?o02`n0ol0D4h3o`1T?`Co07XP0ol?T003odbU00?oU;T00oo;]@03omZ900?oieh00ooa>@03
ooTM00?oo@/00oon1@03ood:00ConQP00ooe;@03oni700?oiV@00ooMP@03omBL00?ob[H00onf`@03
oi6h00?oL:l00omEY`03ocfP00Co:YX00olKU003o`n@00?o1X`00ol0RP03o`280P?o08P30ol0R@43
o`::00?o2Hd00olDTP03ob:G00Co=Id00om=Y@03ofR]00?oR[H00on``003olZh00?oe9d00ooKR@03
on1g00?oi6`00ooTJ@07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1m
6@?o59400om<Y@03ohfg00?ob;d00ooDW003omim00?oif000oo^A@03oo@^00?on2001?oj5`03oo`@
00?oo@/00oon1`0<ooh500?ooPH00oon1`03ood;00?oo1001?oj5`03ooPP00?omBd00oo`?@03on]A
00?oiFP00ooMPP03om>N00?obK/00onR_003off^00?o?:001?l?T003o`1o5P?o06hc0ol0GDH3o`1;
C@?o02`n0ol06343o`0<9P?o00DN0ol00QX3o`026@Co00@M0ol02bD3o`0H<@?o03910ol0E4`3o`1Y
>@?o080C0olWV@03ogB`00?oa/000ooJRP03onYD00ComRP00ool3@03ooh800?onAX00oo_@@03on5e
00?ocZd00on@^003oc^O00?o08H70ol0KC@3o`1FB`Co03=10ol06303o`0:90?o00@L0ol00QT3o`03
6`?o00TS0ol05Bh3o`0/?P?o051>0ol0I3l4o`1j80?o3i000om<Y@03oiBi00?obkD00ooJR@03onMN
00?olCT00ooi7@03ood;00?ooPD00oom2P04ooXH00?omBd00oo^A`03onIT00?ogH400ooDW003olZf
00?o]/400onA^003og2_00?oEJL00olmX004obZJ00?o6i@00ol?T003o`J<00?o08X00ol0R083o`28
0`?o08T10ol2RP03o`V=00?o59800olRU`04ocFM00?oCJD00omX[@03ohZf00?o/<000oo:^003omBM
00?ofhT00ooPM`03onA/00?oi6T01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0ol0J3X3o`1l6`?o49000om7X`03ohNe00?o`<<00oo@Z003omZ900?ohf`00oo[D@03oo0n00Co
m3000oof9@03ooTM00?onQH00ook4P06oo/A00?ona800ook5003ooXG00?onA`00oog9004oo@]00?o
lCX00oo]B@03onQK00?ohW000ooKQ`03om:P00?obK/00onV_@03ogFa00?oAZ<00olJU004o`242`?o
07@Y0ol0I3l3o`1DC0?o03Y50ol08CL3o`0B:`?o00PR0ol011`3o`026@?o00<J1?l01Ql3o`0>:0?o
01he0ol0>TD3o`1HB@?o06hc0ol0Q@T3oc>M00?oPK@00oo9^@03omb300?ok4l01?og9@03ood;00?o
oPP00ooi6`03onm200?ohGD00oo>[003oi>h00?o?Z000ol0R0<3o`1_<@?o05Q91?l0=d<3o`0J<P?o
00/U0ol011d3o`026@?o00<K0ol01b43o`0A:`?o02Dj0ol0AT/3o`1NA@Co07<[0ol0R083ocFM00?o
Mk400oo1a003omBL00?ohW800oo]B`03ooD[00?ona@00oon1`03ooh500Coo0d00ooi7003oo@`00?o
kDT00ooVH`03omin00?oeYL00oo>[P03olG200?oZ;h00on;]P03og>`00CoGZX00om=Y@03od6Q00?o
=ih00olaW006objK00?o<Y`00oliW`03od>R00?oDZH00omU[004ogfc00?oV[X00oni`P03olZg00?o
dj000ooKQP03on=/00?oieh00ooZEP03onUG00?oiV@01oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Gooooo0ol0J3X3o`1l6`?o49000om7X`03ohNe00?o`<<00oo@Z003omZ900?ohf`0
0oo[D@03oo0n00Com3000oof9@03ooTM00?onQH00ook4P06oo/A00?ona800ook5003ooXG00?onA`0
0oog9004oo@]00?olCX00oo]B@03onQK00?ohW000ooKQ`03om:P00?obK/00onV_@03ogFa00?oAZ<0
0olJU004o`242`?o07@Y0ol0I3l3o`1DC0?o03Y50ol08CL3o`0B:`?o00PR0ol011`3o`026@?o00<J
1?l01Ql3o`0>:0?o01he0ol0>TD3o`1HB@?o06hc0ol0Q@T3oc>M00?oPK@00oo9^@03omb300?ok4l0
1?og9@03ood;00?ooPP00ooi6`03onm200?ohGD00oo>[003oi>h00?o?Z000ol0R0<3o`1_<@?o05Q9
1?l0=d<3o`0J<P?o00/U0ol011d3o`026@?o00<K0ol01b43o`0A:`?o02Dj0ol0AT/3o`1NA@Co07<[
0ol0R083ocFM00?oMk400oo1a003omBL00?ohW800oo]B`03ooD[00?ona@00oon1`03ooh500Coo0d0
0ooi7003oo@`00?okDT00ooVH`03omin00?oeYL00oo>[P03olG200?oZ;h00on;]P03og>`00CoGZX0
0om=Y@03od6Q00?o=ih00olaW006objK00?o<Y`00oliW`03od>R00?oDZH00omU[004ogfc00?oV[X0
0oni`P03olZg00?odj000ooKQP03on=/00?oieh00ooZEP03onUG00?oiV@01oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Gooooo0ol0J3X3o`1l6`?o49000om7X`03ohNe00?o`<<00oo@
Z003omZ900?ohf`00oo[D@03oo0n00Com3000oof9@03ooTM00?onQH00ook4P06oo/A00?ona800ook
5003ooXG00?onA`00oog9004oo@]00?olCX00oo]B@03onQK00?ohW000ooKQ`03om:P00?obK/00onV
_@03ogFa00?oAZ<00olJU004o`242`?o07@Y0ol0I3l3o`1DC0?o03Y50ol08CL3o`0B:`?o00PR0ol0
11`3o`026@?o00<J1?l01Ql3o`0>:0?o01he0ol0>TD3o`1HB@?o06hc0ol0Q@T3oc>M00?oPK@00oo9
^@03omb300?ok4l01?og9@03ood;00?ooPP00ooi6`03onm200?ohGD00oo>[003oi>h00?o?Z000ol0
R0<3o`1_<@?o05Q91?l0=d<3o`0J<P?o00/U0ol011d3o`026@?o00<K0ol01b43o`0A:`?o02Dj0ol0
AT/3o`1NA@Co07<[0ol0R083ocFM00?oMk400oo1a003omBL00?ohW800oo]B`03ooD[00?ona@00oon
1`03ooh500Coo0d00ooi7003oo@`00?okDT00ooVH`03omin00?oeYL00oo>[P03olG200?oZ;h00on;
]P03og>`00CoGZX00om=Y@03od6Q00?o=ih00olaW006objK00?o<Y`00oliW`03od>R00?oDZH00omU
[004ogfc00?oV[X00oni`P03olZg00?odj000ooKQP03on=/00?oieh00ooZEP03onUG00?oiV@01ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0E4`3o`1V?0?o07XP0ol8S@03
ocfP00?oLJl00onW_@03olZh00?oeIX00ooNOP03onEX00CojEL00oo]B003oo4m00?olc<00ood;P03
ooD[00KomBX00ooe;@03oo<a00?olSP00oo_@@04ona<00?ojET00ooTJP03omil00?of9400oo@Y`03
olNo00?oXk`00omf/@03odZT00?o8IH00ol0R0<4o`1i8P?o06Ti0ol0FTP3o`17B`?o02`m0ol06C43
o`0=9`?o00HO0ol00aX3o`026@?o00<K1?l02283o`0B:`?o02@i0ol0A4X3o`1MAP?o07</0ol0RP03
od2Q00?oS[L00oo</@03omim00?okDX01?og8@03ood:00?oo@P00ooi7003onm200?ohGD00oo>[003
oiFi00?o@Z400ol0R@03o`1a;P?o05Y81?l0>dD3o`0M=0?o00`W0ol01Ah3o`026@?o00<J0ol01Ql3
o`0>:@?o01lf0ol0?4H3o`1HB@Co06`e0ol0PA83oajE00?oFjT00onP_003olf`00?ofhL00ooWG`03
oo4l00?on2400ool3P03ooh500CooPH00ool3P03ooTM00?om3000oo^A`03onMN00?oh7H00ooIS003
om:Q00?oc;<00oo5``03ojno00CoVkX00on:]P03ogfc00?oLk000om^[`03ofb^00?oKZl00omc/003
ogfc00?oRkH00onM^`03okC000Coakh00oo>[003omFI00?og8@00ooSK@03onYF00?okd800oo`?`03
oni500?ojUH00ooRL@07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1D
C0?o06Hl0ol0NR03o`R=00?o?J000oma[`03ojNm00?ob[P00ooEVP03omin00?oiFP01?oYE`03one8
00?olCd00ooc<`03oo@^00?omB/01_oe:P03ooD]00?olc400oob>003onm100Cok4`00ooYF@03onAZ
00?ogW`00ooHT@03om2W00?oakl00onS_003ogJa00?oBZ@00olQUP03o`280`Co07TR0ol0JCT3o`1J
B0?o04M;0ol0;3d3o`0I<@?o00dW0ol01Ql3o`036P?o008I0ol00a/4o`088P?o018[0ol093T3o`14
BP?o05e60ol0Lb`3o`2:00?o@:400on>]`03olba00?ogWd00oo]BP04ooLQ00?oo@X00oom2003ooTL
00?okd800ooQM@03olj/00?oUKT00om2X@03o`2900?o074^0ol0FTP4o`0kA@?o01dd0ol032L3o`05
7P?o008I0ol00aX3o`067`?o00hY0ol07cH3o`0lAP?o05Q91?l0K3D3o`214P?o7YD00omKZ@03oj2l
00?ocK000ooKQ`03onMO00?olC`00ooh8@03oo`>00?ooPD01?on1P03oo`>00?onAd00ood<003oni7
00?oieh00ooPMP03omV<00?odZ400oo</`03olG300?o[kl01?nK^P03ohZf00?oOK<00omc/003ofj_
00?oK:h00om^[`03og>`00?oOK<00on;]P03oifk00?o]<001?o7_P03olj/00?oeIT00ooLQ003on=]
00?ojUH00oo_@P03oo0o00?okTD00ooZEP03on9a00Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`?o05A<0ol0IS`3o`1j80?o28d00olmX003og6_00?oYkd00oo:^003omFJ00?o
gWh00ooUJ004onUG00?okDP00ooa?@03oo<c00?om2h00ooe:`06ooDZ00?omBd00ooc<@03oo8h00?o
kd401?o/C003onUI00?oi6X00ooNO003omRA00?od:L00oo7_`03oj>l00?oM[400om:Y003ob6F00?o
08P31?l0NB83o`1Y>@?o05Y80ol0Ad/3o`0/?@?o01Ta0ol03BL3o`067`?o00<J0ol00QT3o`036`Co
00PR0ol04R/3o`0T>@?o04A:0ol0GDH3o`1c;0?o08X00om0X@03ohjg00?oc;400ooNO@03one:00Co
mb400oom2P03ood800?onA`00oo_@P03on5e00?ocZ`00onE^@03od:Q00?o08T00ol0LBh3o`1JB0Co
03]50ol07C@3o`0<9`?o00DN0ol00QT3o`036P?o00HO0ol03RT3o`0O=P?o03a60ol0F4T4o`1/=@?o
084B0olNU@03oe^Y00?oX;`00oo=/003om^700?oiel00ooa?003ooPQ00?oo0h00oon1@04ooh600?o
o0h00ooi7@03oo@`00?okTL00ooWGP03on1f00?ofH`00ooBX@03olbc00?oaL<00on__`04oi^j00?o
R[H00omm/`03og>`00?oKZl00om/[P03ofj_00?oLk000omm/`03oh^f00?oWK/00ond`004olNn00?o
cZ`00ooEV@03omb400?ohfd00ooZEP03onm200?ol3l00oo^A@03onYF00?ohW401oooool1o`00007o
oooo000Mooooo`;o00001_ooool3o`0a@0?o055=0ol0Hd03o`1e9`?o08P20olWV@03oeJX00?oR;H0
0onj`P03olf`00?oeIT01?oKQP03on1f00?oiFP00ooXG003onYD00?oje001_o/CP03on]@00?ojUD0
0ooXG003onEU00CohW000ooNOP03omV>00?odj000oo;/`03oko300?oV;X00om`[`03odVT00?o8iL0
0ol0RP03o`1l7@Co06dd0ol0GT@3o`1@CP?o03E30ol083H3o`0A:`?o00TS0ol011d3o`026@?o008J
0ol01Ad4o`0:9@?o01H_0ol0;3h3o`1?CP?o06910ol0N2<3o`b>00?oCJD00onM^`03olnZ00?oh7H0
0oo^A@04ooPN00Koo@T00ooh7@03onm300?ohGD00oo?Z`03oiNj00?oAJ<00ol2R`03o`1c;0?o05a6
1?l0?dP3o`0P=P?o00hX0ol01Ql3o`026P?o008I0ol01Ah3o`0<9P?o01Tb0ol0<T43o`1BC@Co06Dn
0ol0NB43o`V=00?o@:400on0]003olG400?oe9d00ooQM@03on]@00?olc400ooi6P03ood;00CooPD0
0oon1P03oo`>00?onA`00ood;@03onm100?ojUD00ooTJP03omim00?ofHl00ooCWP03olj/00Cob[L0
0oo6`003ol7400?o^L800one`@03okC100?o^<800oo0``03olK000?ob[L00oo>[003omBM00CofX`0
0ooPN003onEU00?oje800oo`?`03oo@`00?omRP00ooc<`03one900?oi6P00ooHT@06ooooo`;o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3o`0a@0?o055=0ol0Hd03o`1e9`?o08P20olW
V@03oeJX00?oR;H00onj`P03olf`00?oeIT01?oKQP03on1f00?oiFP00ooXG003onYD00?oje001_o/
CP03on]@00?ojUD00ooXG003onEU00CohW000ooNOP03omV>00?odj000oo;/`03oko300?oV;X00om`
[`03odVT00?o8iL00ol0RP03o`1l7@Co06dd0ol0GT@3o`1@CP?o03E30ol083H3o`0A:`?o00TS0ol0
11d3o`026@?o008J0ol01Ad4o`0:9@?o01H_0ol0;3h3o`1?CP?o06910ol0N2<3o`b>00?oCJD00onM
^`03olnZ00?oh7H00oo^A@04ooPN00Koo@T00ooh7@03onm300?ohGD00oo?Z`03oiNj00?oAJ<00ol2
R`03o`1c;0?o05a61?l0?dP3o`0P=P?o00hX0ol01Ql3o`026P?o008I0ol01Ah3o`0<9P?o01Tb0ol0
<T43o`1BC@Co06Dn0ol0NB43o`V=00?o@:400on0]003olG400?oe9d00ooQM@03on]@00?olc400ooi
6P03ood;00CooPD00oon1P03oo`>00?onA`00ood;@03onm100?ojUD00ooTJP03omim00?ofHl00ooC
WP03olj/00Cob[L00oo6`003ol7400?o^L800one`@03okC100?o^<800oo0``03olK000?ob[L00oo>
[003omBM00CofX`00ooPN003onEU00?oje800oo`?`03oo@`00?omRP00ooc<`03one900?oi6P00ooH
T@07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0a@0?o055=0ol0Hd03
o`1e9`?o08P20olWV@03oeJX00?oR;H00onj`P03olf`00?oeIT01?oKQP03on1f00?oiFP00ooXG003
onYD00?oje001_o/CP03on]@00?ojUD00ooXG003onEU00CohW000ooNOP03omV>00?odj000oo;/`03
oko300?oV;X00om`[`03odVT00?o8iL00ol0RP03o`1l7@Co06dd0ol0GT@3o`1@CP?o03E30ol083H3
o`0A:`?o00TS0ol011d3o`026@?o008J0ol01Ad4o`0:9@?o01H_0ol0;3h3o`1?CP?o06910ol0N2<3
o`b>00?oCJD00onM^`03olnZ00?oh7H00oo^A@04ooPN00Koo@T00ooh7@03onm300?ohGD00oo?Z`03
oiNj00?oAJ<00ol2R`03o`1c;0?o05a61?l0?dP3o`0P=P?o00hX0ol01Ql3o`026P?o008I0ol01Ah3
o`0<9P?o01Tb0ol0<T43o`1BC@Co06Dn0ol0NB43o`V=00?o@:400on0]003olG400?oe9d00ooQM@03
on]@00?olc400ooi6P03ood;00CooPD00oon1P03oo`>00?onA`00ood;@03onm100?ojUD00ooTJP03
omim00?ofHl00ooCWP03olj/00Cob[L00oo6`003ol7400?o^L800one`@03okC100?o^<800oo0``03
olK000?ob[L00oo>[003omBM00CofX`00ooPN003onEU00?oje800oo`?`03oo@`00?omRP00ooc<`03
one900?oi6P00ooHT@07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0G
<0?o02/m0ol0Bdd3o`1NA@?o070`0ol0P1<3oa2@00?o>Il00omU[003oi:h00?o^<801?o9^@03om2X
00?oeIT00ooIS003omb300?ogWd00ooONP03ommi00?ogg/00ooNOP03omb500?ofHd01?oEV003om6U
00?obk<00oo5``03ojRn00?oQ[D00omT[003od6Q00?o7iH00ol0R@03o`1l6`?o06la1?l0HD83o`1D
C0?o03e70ol09cX3o`0F;`?o00`V0ol01Ql3o`036`?o008I0ol00a/3o`0680Co00hX0ol073@3o`0e
@`?o05A<0ol0J3/3o`1m6@?o6I<00omLZ@03ojbo00?odZ800ooSKP03oo0o00ConA/00oon2003ood9
00?on1h00oo^A003on1f00?ocjX00onJ^P03odVT00?o1X`00ol0MBT3o`1NA@Co04A:0ol08cP3o`0@
:P?o00LP0ol00aX3o`026@?o00@L0ol02B<3o`0E;P?o02Tl0ol0BD`4o`1NA@?o074^0ol0Q@X3obJH
00?oH:/00onQ_003olbc00?ofHd00ooUI`03oni600?omBX00ooj5P04ood900?ooP@00oon1P03oo`=
00?onQP00oof9`03oo8g00?okDP00ooYF@03onAY00?oh7L00ooLQ004omV>00?oeYL00ooDW@03om:Q
00?odZ800ooBX@03om>N00?oeIP00ooHT003omb500?oh7P00ooTJ@04onUG00?okTD00oob=P03ooDY
00?on2000ooh7@03ooLS00?ol3h00ooVHP03omV=00?ob;/01oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Gooooo0ol05c03o`0[?@?o04]=0ol0GTD3o`1`<0?o080C0ol@T003ocVO00?o
IJ`00onB^003okS200CobKT00oo@Z003omFI00?ofH`00ooLP`03omim00?oggX00ooON@03ommk00?o
gWh00ooLQ@03omV=00CoeIP00ooAY@03ol^c00?oaL<00onX_P03ohJe00?oI:`00om1X@03oanF00?o
08T00ol0O1/3o`1_<@Co06520ol0E4`3o`0mA`?o02Lj0ol05Rl3o`0<9P?o00HO0ol00a/3o`026@?o
00<K0ol01R04o`0>:0?o01`d0ol0=D<3o`1DC0?o06Pk0ol0OAT3oaVC00?oG:T00on/_`03om:R00?o
hfh00oo`?`04ooTK00?ooPP00oom2@03ooPN00?okT@00ooPMP03olnZ00?oV[X00om9Y003o`J<00?o
07DY0ol0GTD4o`14BP?o02<h0ol042X3o`0780?o00<J0ol00QT3o`0470?o00TS0ol05Bh3o`0Y?0?o
04U<1?l0GTD3o`1a;P?o08D:0olVV003of2[00?oXK`00oo</`03omV=00?oiFL00oo^AP03ooDZ00?o
nQH01?om2@03ooh400?ooPH00ool3@03ooXH00?omRL00oob=`03one800?ojET00ooTJ@03on1g00?o
g8@01?oISP03omJG00?oe9d00ooBX@03om:R00?odZ400ooCWP03omFH00?of9000ooLQ@03on1h00?o
i6T01?oYE`03oni500?olSH00ooe:@03ooPP00?on1d00oog8`03oo0n00?oiV800ooIS@03olRk00Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o01L`0ol0:cd3o`1;C@?o05i5
0ol0L303o`204`?o49000oliW`03ofF/00?oT[P00onh`P04olVi00?od:P00ooEV@03omV<00?og8<0
0ooNO@03ommj00?oggT00ooON`03omin00?og8D00ooIS@04omFH00?odJD00oo;/`03olG300?oZ;h0
0on6]@03ofB/00?o@J400olOUP03o`2900?o07`K0ol0Kc44o`1Q@P?o05A<0ol0?DL3o`0W>P?o01H_
0ol032H3o`067`?o00<K0ol00QT3o`036`?o00HP1?l03RP3o`0L=0?o03E30ol0E4`3o`1X>`?o07dI
0olIT`03oebY00?o[;l00ooBXP03on=^00?ol3l01?oi6`03ooh800?oo@T00ooh7P03oni400?oh7H0
0oo?ZP03oiZj00?oBJ@00ol6S003o`1e:@?o05i51?l0A4X3o`0S>0?o010Z0ol01b03o`036P?o008I
0ol011`3o`098`?o01D^0ol0:C`3o`19C0Co05i50ol0LBh3o`252P?o9YP00omPZ`03oj6l00?oc;<0
0ooIS@03onEW00?okTH00ooe:P03ooXF00Coo@T00oon1003ooh600?oo0d00ooj6003ooHW00?olSL0
0oo]B003onUI00?oi6T00ooPM`03omb400CofHh00ooFU`03omBM00?odZ400ooBXP03om:Q00?odih0
0ooEV003omR@00?og8D00ooPN003onAY00CojEL00oo^A@03oo8f00?omBT00ooh8003ooPM00?omb<0
0oo`?P03onIR00?ofHd00oo8^`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3o`0:90?o01<]0ol093T3o`0oA`?o05Q:0ol0Ic/3o`1g9@?o08H80olJU003ocnQ00?oHZ/01?n2
]003oj2l00?o^/800oo7_P03ol^d00?ocZh00oo?Z@03om2W00?od:P00oo?Z`03olf`00?ob[L01?o6
`003okW200?oX[`00on9]P03off^00?oD:H00olcW@03oaJB00?o08L40ol0Nad3o`1_<@?o06911?l0
ET/3o`13B@?o02`n0ol06c<3o`0?:@?o00PR0ol011`3o`026P?o008I0ol011`3o`098`Co018/0ol0
93T3o`10B0?o05Y80ol0KS<3o`233P?o9iP00om/[P03okc200?oeIT00ooUI`03oo4j00ConQP00oon
1`03ood:00?on1l00oo^A@03on1f00?ocjX00onL^`03odbU00?o2Xh00ol0MbD3o`1Q@`Co04Y<0ol0
9c/3o`0C;0?o00PR0ol00a/3o`026@?o00<K0ol01b43o`0@:P?o024g0ol0?4H4o`1GBP?o06Ti0ol0
O1/3o`j?00?o@Z400omm/`03okg300?odJD00ooMP003onQN00?ol3l00oof9P04oo/D00?oo@T00ooo
1003ooh400?oo@X00ook4`03ooPN00?omB/00oob>003oni500?oje400ooXF`04onIT00?oi6/00ooR
L003on5c00?ohG@00ooRLP03on=]00?oiFH00ooXG@03on]C00?okTH00oob>004ooDZ00?onAd00ooj
5P03oo/C00?onQL00oog8P03oo8g00?oif000ooISP03olRm00?oOk<01oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Gooooo0ol02R@3o`0C;@?o02@i0ol0?dL3o`1HBP?o06Lk0ol0MbD3
o`2620?o6Y@00oloX@03of:[00CoP[@00onP_003ok[200?oakh00oo;]003olj^00?ocjT00oo@Y`03
om2X00?ocj/00oo=/003olZg00Coa/000oni`P03oj:l00?oRKH00om][P03oe2V00?o<id00olFTP03
o`2710?o07/M0ol0Kc43o`1R@@Co05I;0ol0@dT3o`0/?P?o01/c0ol03bT3o`088P?o00@L0ol00QX3
o`026@?o00@L0ol02B<4o`0B;0?o02@i0ol0@4P3o`1JB0?o06hc0ol0P`h3obNH00?oK:h00onl`P03
omFI00?oiFL00ooa>P04ooXH00?ooPL00oom2P03ooPO00?okTD00ooPMP03olnZ00?oW;/00om<Y@03
o`Z>00?o07LU0ol0HD<4o`1:C0?o02Lk0ol04b`3o`088P?o00<K0ol00QT3o`036`?o00LQ0ol042X3
o`0Q=`?o03a61?l0EdX3o`1Y>@?o07`K0ol>S`03od:Q00?oOK<00onm``03om6U00?ogH000ooXGP03
oo0o00?omRH01?ok5003ood900?oo`@00oon1003ood:00?ona<00ooh7P03ooD[00?olSP00oo^A@03
on]A00?oj5/01?oVI003onA[00?ohW000ooQL`03on5d00?ohW800ooSK@03onEV00?oj5d00oo[D`03
oni600?olSP01?oe:P03ooTM00?onQH00ook4`03ooXG00?omb800oob=`03onMP00?ofHh00oo8_@03
ognc00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00XT0ol04bd3o`0T
>@?o03m70ol0F4X3o`1W>`?o07LU0ol0QPP3oaZD00?o?j400omRZ`04oh:d00?oX;`00onj`P03olNn
00?obk@00oo>[P03olnY00?od:L00oo@Z003oln[00?ocK000oo:]`04olK000?o^L800onR_003ohVf
00?oKJh00om@YP03oc>M00?o5Y800ol0Q`@3o`1k7@?o06la0ol0HT44o`1FB`?o04=90ol0;3h3o`0K
<`?o00lY0ol02283o`0470?o008J0ol00QT3o`0470?o00TS1?l04R`3o`0T>@?o04180ol0FTP3o`1^
<`?o08<>0olWV003ofb^00?o_<800ooEV@03onEW00?olCX01?oj6003ooh700?oo@X00ooh7`03oni5
00?oh7H00oo?ZP03oibk00?oC:D00ol:SP03o`1g9@?o06531?l0BT`3o`0W>`?o01</0ol02283o`03
6`?o008I0ol00a/3o`078@?o010Z0ol08CL3o`0lAPCo05M:0ol0JCT3o`1l6`?o3Xl00om2X@03ogfc
00?o_L<00ooAY@03omf000?oj5h00oo`?`03ooHV00Cona@00oom2@03ool400?ooP@00oom2P03oo/C
00?on1h00ooe:`03oo8h00?okTD00oo[D@03onQK00CoiV@00ooTJ`03on9`00?ohG<00ooQM003on9b
00?ohfd00ooUIP03onQM00?oje<00oo^AP03oo8h00ComBX00ooi7@03ooXF00?ona<00ooj5`03ooLR
00?olSL00ooWH003omV>00?ob;d00omo/`07ooooo`7o00000Oooool001?ooooo0ol00007ooooo`03
o`000?oooooooooo00Gooooo0ol011d3o`078@?o00lY0ol07C@3o`0c@@?o04m>0ol0GTD3o`1/=@?o
07XO0ol0Q`@3oaNC00Co<Y`00om=Y@03ofF/00?oNk800on=]`03oiZj00?oXk`00onX_P03ojVn00?o
Y[d00onO_003oiFi00CoQkD00omg/@03of>/00?oCZD00olgWP03oanF00?o28d00ol0P`h3o`1h8P?o
06dd0ol0HT43o`1FB`Co04I;0ol0<403o`0N=@?o018/0ol02R@3o`057P?o00<J0ol00QT3o`036`?o
00HO0ol032H4o`0H<@?o02dn0ol0CDh3o`1P@`?o07@Z0ol0R083ocJN00?oO;<00oo6`003omRA00?o
if000ooc=@04ooXE00?ooPH00oom2P03ooPQ00?okTL00ooPMP03olnY00?oWk`00om@YP03o`j?00?o
07TR0ol0Hd04o`1?CP?o02/m0ol05Bh3o`098`?o00@L0ol00QT3o`036P?o00HO0ol03BL3o`0J<P?o
03501?l0D4h3o`1R@P?o07@Z0ol0QPL3obFH00?oFZT00onE^@03olRm00?oeIX00ooPN003onUH00?o
lC`01?of9P03ooXE00?oo@X00oon1003ool300?ooPH00oom3003oo/C00?onA`00oof9@03oo@^00?o
lSH01?o`?@03onm200?okTD00oo^A`03oni600?okd<00oo`?`03oo8h00?om3000oof9`03ooPM00?o
na@01?om3003ooh800?oo@/00ooj5@03ooHW00?ol4000ooVHP03omNB00?oa/800omg/@03obbJ00Oo
oooo0Ol00001ooooo`004_ooool01Ol0003ooooooooooooooooo000000Kooooo00?o0000oooooooo
ool01Oooool3o`047@?o00LQ0ol03bT3o`0M=0?o03=10ol0Cdh3o`1NA@?o06`e0ol0NQl3o`2710?o
5i<01?lbW003odfU00?oIJ`00omk/P03ohfg00?oV[X00onS_003ojRn00?oZKh00onV_@03oinl00?o
UKT01?n7]@03ogNa00?oHj`00om>Y@03ocNN00?o7iH00ol8S@03o`233P?o07PR0ol0KC@3o`1R@@?o
05I;1?l0AT/3o`0`@0?o01he0ol04R`3o`0:90?o00DN0ol00aX3o`026@?o00<K0ol01Ql3o`0<9PCo
01Pa0ol0;Ch3o`1=CP?o06130ol0M2X3o`280P?o=Yh00oml/`03olK000?of9400ooWH003oo<e00Co
nQD00oon1P03ood:00?on2400oo^A`03on1f00?ocjT00onO_003oe2V00?o3Xl00ol0NB83o`1S@0Co
04m>0ol0:cd3o`0E;P?o00TS0ol011`3o`026@?o00<J0ol01Ql3o`0=9`?o01Xb0ol0<D04o`1@CP?o
06920ol0M2X3o`261`?o9IP00omJZ@03oiFi00?ob;d00ooEVP03on1h00?ojEP00ooa?004ooHV00?o
nQD00oom2P03ooh400?oo`<00oon1P03ood<00?ona<00ooi7003ooHU00?om2h00oob=P04oo0m00?o
kd800oo^A@03oni700?okTH00oo_@`03oo0o00?olSP00ood<003ooHW00?on1d00ook5004ood<00?o
oPP00oom2`03ooXE00?omRL00oo`@003onIR00?oei800oo6`P03ogNa00?o;9X01oooool1o`00007o
oooo000Fooooo`03o`000?oooooooooo00Cooooo00?o0000ooooooooool01Oooool3o`047@?o00LQ
0ol03bT3o`0M=0?o03=10ol0Cdh3o`1NA@?o06`e0ol0NQl3o`2710?o5i<01?lbW003odfU00?oIJ`0
0omk/P03ohfg00?oV[X00onS_003ojRn00?oZKh00onV_@03oinl00?oUKT01?n7]@03ogNa00?oHj`0
0om>Y@03ocNN00?o7iH00ol8S@03o`233P?o07PR0ol0KC@3o`1R@@?o05I;1?l0AT/3o`0`@0?o01he
0ol04R`3o`0:90?o00DN0ol00aX3o`026@?o00<K0ol01Ql3o`0<9PCo01Pa0ol0;Ch3o`1=CP?o0613
0ol0M2X3o`280P?o=Yh00oml/`03olK000?of9400ooWH003oo<e00ConQD00oon1P03ood:00?on240
0oo^A`03on1f00?ocjT00onO_003oe2V00?o3Xl00ol0NB83o`1S@0Co04m>0ol0:cd3o`0E;P?o00TS
0ol011`3o`026@?o00<J0ol01Ql3o`0=9`?o01Xb0ol0<D04o`1@CP?o06920ol0M2X3o`261`?o9IP0
0omJZ@03oiFi00?ob;d00ooEVP03on1h00?ojEP00ooa?004ooHV00?onQD00oom2P03ooh400?oo`<0
0oon1P03ood<00?ona<00ooi7003ooHU00?om2h00oob=P04oo0m00?okd800oo^A@03oni700?okTH0
0oo_@`03oo0o00?olSP00ood<003ooHW00?on1d00ook5004ood<00?ooPP00oom2`03ooXE00?omRL0
0oo`@003onIR00?oei800oo6`P03ogNa00?o;9X01oooool1o`00007ooooo000Fooooo`03o`000?oo
oooooooo00Cooooo0ol00005ooooo`?o00@L0ol00a/3o`057P?o00/U0ol05Bl3o`0V>P?o03e70ol0
E4`3o`1Q@P?o06hc0ol0NB44o`233@?o1h`00olKU003objK00?o?Z000om;Y003oeFW00?oFjT01_mM
ZP03oeRX00?oDJH01?m6X`03ocVO00?o:YX00olIU003o`N=00?o08D90ol0O1/3o`1c:`?o06Ti0ol0
Gd@3o`1EB`?o04E:1?l0<D03o`0P=P?o01@^0ol032H3o`0680?o00<K0ol00QT3o`026P?o00@L0ol0
2283o`0A:`Co01lf0ol0>4@3o`1DC0?o06Hm0ol0NR03o`^>00?oAZ<00on>]`03olZg00?ofhP00ooY
F003oo@_00Cona800oon1@03ood;00?omb800oo^B003on1g00?ocjT00onR_003oeBW00?o4Y400ol0
Nah3o`1U?PCo055=0ol0<403o`0H<@?o00/U0ol01Ah6o`026P?o00@M0ol02R@3o`0E;P?o02Lk1?l0
@dT3o`1JB0?o06/g0ol0O1/3o`Z>00?o>Il00om_[`03ojRn00?obk@00ooGU003on5d00?ojUH01?oa
?@03ooHX00?onQP00ool3003ooh600Koo`<00oon1@03ood900?oo0h00ook4`03ooXH00ConA`00ooh
7`03ooPQ00?omb400ooh8003ooPM00?onAT00ook5003oo`?00?oo@X00oon1@03ool300CooP@00oom
2`03ooTK00?olc400oo/C`03on5c00?oe9/00onj`P03ofV]00?o8YL00ol0OaH5ooooo`?o00000Ooo
ool001;ooooo1?l00007ooooo`03o`000?oooooooooo00Gooooo0ol011`3o`036`?o00DN0ol02bD3
o`0E;`?o02Hj0ol0?DL3o`1DC0?o06520ol0KS<3o`1i8@Co08<=0ol7S003oa^D00?o;Y/00olnX003
od^T00?oEJL00omKZ@06oefZ00?oF:P00omAYP04odJS00?o>Il00olZVP03oaVD00?o1hd00ol0Q@T3
o`1l6`?o07<[0ol0JCT3o`1OA0?o05E;0ol0ADX4o`0a@0?o020f0ol052h3o`0<9P?o00HP0ol00a/3
o`026@?o008J0ol011`3o`088P?o014[1?l07cH3o`0hA0?o05A<0ol0ISd3o`1j80?o2hh00om6X`03
ohjg00?ob[L00ooKR003onUH00?om2l01?ok4P03ooh500?oo@/00oog8P03oni800?oh7L00oo?Z@03
oj:l00?oE:L00olBT@03o`1k7P?o06Dn1?l0DDd3o`0`@0?o01Pa0ol02bD3o`057PKo008J0ol011d3
o`0:90?o01D^0ol09c/4o`13B@?o05Y80ol0JcL3o`1l6`?o2Xh00oliW`03ofn_00?oZ;h00oo;]003
omND00?ohG@00ooZEP04oo4m00?omRP00ooj6003oo`<00?ooPH01_oo0`03ooh500?oo@T00ool3P03
oo/C00?onQP01?oi7003ooPO00?on2400oog8@03ooPP00?on1d00ooi6@03oo/D00?oo0l00oom2P03
ooh500?oo`<01?on1003ood;00?onA/00ooc<@03ona?00?ohG<00ooDV`03ok[200?oJJd00olRU`03
o`1o5POooooo0Ol00001ooooo`004_ooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo
00Gooooo0ol011`3o`036`?o00DN0ol02bD3o`0E;`?o02Hj0ol0?DL3o`1DC0?o06520ol0KS<3o`1i
8@Co08<=0ol7S003oa^D00?o;Y/00olnX003od^T00?oEJL00omKZ@06oefZ00?oF:P00omAYP04odJS
00?o>Il00olZVP03oaVD00?o1hd00ol0Q@T3o`1l6`?o07<[0ol0JCT3o`1OA0?o05E;0ol0ADX4o`0a
@0?o020f0ol052h3o`0<9P?o00HP0ol00a/3o`026@?o008J0ol011`3o`088P?o014[1?l07cH3o`0h
A0?o05A<0ol0ISd3o`1j80?o2hh00om6X`03ohjg00?ob[L00ooKR003onUH00?om2l01?ok4P03ooh5
00?oo@/00oog8P03oni800?oh7L00oo?Z@03oj:l00?oE:L00olBT@03o`1k7P?o06Dn1?l0DDd3o`0`
@0?o01Pa0ol02bD3o`057PKo008J0ol011d3o`0:90?o01D^0ol09c/4o`13B@?o05Y80ol0JcL3o`1l
6`?o2Xh00oliW`03ofn_00?oZ;h00oo;]003omND00?ohG@00ooZEP04oo4m00?omRP00ooj6003oo`<
00?ooPH01_oo0`03ooh500?oo@T00ool3P03oo/C00?onQP01?oi7003ooPO00?on2400oog8@03ooPP
00?on1d00ooi6@03oo/D00?oo0l00oom2P03ooh500?oo`<01?on1003ood;00?onA/00ooc<@03ona?
00?ohG<00ooDV`03ok[200?oJJd00olRU`03o`1o5POooooo0Ol00001ooooo`004_ooool5o`0000Ko
oooo00?o0000ooooooooool01Oooool3o`098`?o00@M0ol00aX3o`0470?o00LQ0ol03bT3o`0K<`?o
02`n0ol0@TT3o`1EB`?o06131?l0JSP3o`1c:`?o07/M0ol0PPl3o`280P?o28d00olAT@03oaNC00?o
6i@00olLU@03oaZD00?o5I801?l>S`03o`B;00?o08L50ol0PA43o`1k7P?o07@Z0ol0K3D3o`1T@0?o
05]80ol0DDd3o`11B0?o02lo1?l083H3o`0E;P?o00dW0ol01b43o`0470?o008J0ol00QT3o`036`?o
00HO0ol032H3o`0G<0Co02Tl0ol0ADX3o`1KB0?o06dd0ol0P1<3oa^D00?oF:P00onP_003olj]00?o
gWh00oo[D@03ooDZ00Coo1000oon1@03ood<00?omb<00oo]B@03on1g00?od:P00onU_@03oeRX00?o
5i<00ol0OAX3o`1X>`Co05A<0ol0=D83o`0L<`?o00dX0ol01Ql3o`036P?o008I0ol00a`3o`088@?o
010Z0ol07cD4o`0f@`?o059=0ol0HT43o`1c;0?o08<=0olJU003odVT00?oOK<00ond`003olf`00?o
f9400ooQM004onUI00?okd400ood;@03ooPN00?ona800oom2P03ooh500Koo`800ooo0`03ooh400?o
oPH01?on1`03ood800?oo@T00oom2003ooh700?ooPH00ooo0`03ool100?oo`000ooo0@03ooh500?o
o@/01?oj5P03ooHX00?okd<00ooVH`03om^800?ocJl00onT_@03oeNX00?o4i400ol0NQl3o`1R@@Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00TS0ol011d3o`036P?o00@L
0ol01b43o`0?:@?o01/c0ol0;3h3o`12B@?o05E;0ol0H4<4o`1Z>0?o07<[0ol0Nad3o`223`?o08P2
0ol8S@03oa6A00?o5i<00olKU003oabE00?o6Y@00olETP04o`j?00?o18/00ol0Q`D3o`214@?o07/N
0ol0M2X3o`1/=@?o06A00ol0FdP3o`1AC@?o04580ol0;cl4o`0P=P?o01D^0ol03BL3o`078@?o00@L
0ol00QX3o`026@?o00<K0ol01Ql3o`0<9P?o01L`1?l0:C`3o`15BP?o05]80ol0KC@3o`204`?o6i@0
0omHZ003oj2l00?ocZd00ooNOP03on]A00?omBX01?ol4003ooh500?oo@`00oog8`03one900?oh7L0
0oo@Z003ojFm00?oF:P00olGT`03o`1m6P?o06Pk1?l0E4`3o`0e@P?o01`c0ol03BP3o`067`?o00<J
0ol00QT3o`0370?o00PQ0ol042X3o`0O=@Co03I30ol0DTd3o`1R@@?o07</0ol0P`d3oaZD00?oBJ@0
0omm/`03okC000?ocK000ooHT@03on5d00CojET00oo_@@03oo@]00?on1h00ook4P03ood:00?ooPD0
1_oo0P03ool300?ooP@00oon1P04ooh700?oo@P00oom2@03ood800?ooPL00oon1P03ool300?oo`40
0ooo0003ool100?ooPD00oom2`04ooXF00?omRP00oo_@`03onIS00?ofhP00oo=[`03ojBm00?oEjP0
0olCT@03o`1j7`?o06911oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0
2B<3o`047@?o00<J0ol011`3o`078@?o00lY0ol06c<3o`0/?P?o04990ol0ED/3o`1P@`Co06Xh0ol0
Lb/3o`1k7@?o088?0ol0R083o`R=00?o4I400olGT`03oa^D00?o79D00olJU003oaFB00Co3Xl00ol4
R`03o`271@?o084A0ol0Nah3o`1d:P?o06`e0ol0I403o`1KB0?o055=0ol0@DP3o`0_?`Co020f0ol0
5Bh3o`0=9`?o00LQ0ol011`3o`026P?o008I0ol00a/3o`067`?o00`V0ol05c04o`0Y?0?o04E:0ol0
FdP3o`1]=0?o080C0olKU003oeRX00?oX;`00oo>[@03omin00?oje400ooe:P04oo`@00?ooPD00oom
3003ooLS00?okDT00ooPM`03om2X00?oYKd00omHZ003oaNC00?o07dJ0ol0J3/4o`1DC0?o03E20ol0
73<3o`0=:0?o00HO0ol00aX3o`026@?o00<L0ol02243o`0@:P?o01le1?l0=T<3o`1BC@?o06910ol0
Lb`3o`233@?o6Y@00om9Y003ogfc00?o]<000oo=/003omRA00?ohG@01?oYF@03onm100?om2d00ooh
7P03oo/B00?oo@X00oon1@06ool200?oo`<00oon1003ooh600CooPL00oom2003ood900?oo@P00oon
1`03ooh600?oo`<00ooo0@03ool000?oo`400oon1@03ood;00ConQH00oof:003onm300?oiV<00ooK
R003olf_00?oY;d00omGZ003oa>A00?o07XO0ol0HT47ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`0H<0?o00/U0ol01Ah6o`036P?o00DN0ol02R@3o`0A:`?o01dd0ol0;Ch3
o`10B0Co055=0ol0FTP3o`1R@@?o06Xh0ol0L303o`1e:0?o07TQ0ol0O1`3o`1n60?o07lG0ol0OQL3
o`1m6PCo07/N0ol0N2<3o`1d:P?o06lb0ol0JCT3o`1S@0?o05a70ol0E4`3o`1:C@?o03U50ol0:Sd3
o`0N=@Co01@]0ol03BL3o`088@?o00@M0ol00aX3o`026@?o00<J0ol01Ad3o`098`?o014[0ol07cD4
o`0d@P?o055=0ol0HT43o`1d:P?o08L50ol/VP03of^^00?o/l000ooBX`03on5e00?okDT00oog9@04
oo`=00?ooPD00ool3@03ooLU00?okDX00ooPM`03om2W00?oZ;h00omLZP03oabD00?o07lE0ol0JSL4
o`1GBP?o03]50ol083H3o`0@:P?o00LQ0ol00a/3o`026@?o00<J0ol01Ql3o`0<9P?o01L`1?l0:S`3
o`15BP?o05U90ol0JCT3o`1i8@?o08T10olVV003oeBW00?oQ[D00onh`P03olf_00?oei<01?oPN003
onMP00?okDX00oob=`03ooHX00?onA/00ook4P03ood<00?ooPL00oon1003ool200[oo`402Ooo0003
ool100?oo`800oon1@03ood900?ona400ooi7003ooD/00Col4000ooXF`03omil00?odZ000oo4a003
oh2d00?o@:400ol3R`03o`1d:P?o05e60ol0@4P7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`0H<0?o00/U0ol01Ah6o`036P?o00DN0ol02R@3o`0A:`?o01dd0ol0;Ch3o`10
B0Co055=0ol0FTP3o`1R@@?o06Xh0ol0L303o`1e:0?o07TQ0ol0O1`3o`1n60?o07lG0ol0OQL3o`1m
6PCo07/N0ol0N2<3o`1d:P?o06lb0ol0JCT3o`1S@0?o05a70ol0E4`3o`1:C@?o03U50ol0:Sd3o`0N
=@Co01@]0ol03BL3o`088@?o00@M0ol00aX3o`026@?o00<J0ol01Ad3o`098`?o014[0ol07cD4o`0d
@P?o055=0ol0HT43o`1d:P?o08L50ol/VP03of^^00?o/l000ooBX`03on5e00?okDT00oog9@04oo`=
00?ooPD00ool3@03ooLU00?okDX00ooPM`03om2W00?oZ;h00omLZP03oabD00?o07lE0ol0JSL4o`1G
BP?o03]50ol083H3o`0@:P?o00LQ0ol00a/3o`026@?o00<J0ol01Ql3o`0<9P?o01L`1?l0:S`3o`15
BP?o05U90ol0JCT3o`1i8@?o08T10olVV003oeBW00?oQ[D00onh`P03olf_00?oei<01?oPN003onMP
00?okDX00oob=`03ooHX00?onA/00ook4P03ood<00?ooPL00oon1003ool200[oo`402Ooo0003ool1
00?oo`800oon1@03ood900?ona400ooi7003ooD/00Col4000ooXF`03omil00?odZ000oo4a003oh2d
00?o@:400ol3R`03o`1d:P?o05e60ol0@4P7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3o`0H<0?o00/U0ol01Ah6o`036P?o00DN0ol02R@3o`0A:`?o01dd0ol0;Ch3o`10B0Co
055=0ol0FTP3o`1R@@?o06Xh0ol0L303o`1e:0?o07TQ0ol0O1`3o`1n60?o07lG0ol0OQL3o`1m6PCo
07/N0ol0N2<3o`1d:P?o06lb0ol0JCT3o`1S@0?o05a70ol0E4`3o`1:C@?o03U50ol0:Sd3o`0N=@Co
01@]0ol03BL3o`088@?o00@M0ol00aX3o`026@?o00<J0ol01Ad3o`098`?o014[0ol07cD4o`0d@P?o
055=0ol0HT43o`1d:P?o08L50ol/VP03of^^00?o/l000ooBX`03on5e00?okDT00oog9@04oo`=00?o
oPD00ool3@03ooLU00?okDX00ooPM`03om2W00?oZ;h00omLZP03oabD00?o07lE0ol0JSL4o`1GBP?o
03]50ol083H3o`0@:P?o00LQ0ol00a/3o`026@?o00<J0ol01Ql3o`0<9P?o01L`1?l0:S`3o`15BP?o
05U90ol0JCT3o`1i8@?o08T10olVV003oeBW00?oQ[D00onh`P03olf_00?oei<01?oPN003onMP00?o
kDX00oob=`03ooHX00?onA/00ook4P03ood<00?ooPL00oon1003ool200[oo`402Ooo0003ool100?o
o`800oon1@03ood900?ona400ooi7003ooD/00Col4000ooXF`03omil00?odZ000oo4a003oh2d00?o
@:400ol3R`03o`1d:P?o05e60ol0@4P7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`0H<0?o00/U0ol01Ah6o`036P?o00DN0ol02R@3o`0A:`?o01dd0ol0;Ch3o`10B0Co055=
0ol0FTP3o`1R@@?o06Xh0ol0L303o`1e:0?o07TQ0ol0O1`3o`1n60?o07lG0ol0OQL3o`1m6PCo07/N
0ol0N2<3o`1d:P?o06lb0ol0JCT3o`1S@0?o05a70ol0E4`3o`1:C@?o03U50ol0:Sd3o`0N=@Co01@]
0ol03BL3o`088@?o00@M0ol00aX3o`026@?o00<J0ol01Ad3o`098`?o014[0ol07cD4o`0d@P?o055=
0ol0HT43o`1d:P?o08L50ol/VP03of^^00?o/l000ooBX`03on5e00?okDT00oog9@04oo`=00?ooPD0
0ool3@03ooLU00?okDX00ooPM`03om2W00?oZ;h00omLZP03oabD00?o07lE0ol0JSL4o`1GBP?o03]5
0ol083H3o`0@:P?o00LQ0ol00a/3o`026@?o00<J0ol01Ql3o`0<9P?o01L`1?l0:S`3o`15BP?o05U9
0ol0JCT3o`1i8@?o08T10olVV003oeBW00?oQ[D00onh`P03olf_00?oei<01?oPN003onMP00?okDX0
0oob=`03ooHX00?onA/00ook4P03ood<00?ooPL00oon1003ool200[oo`402Ooo0003ool100?oo`80
0oon1@03ood900?ona400ooi7003ooD/00Col4000ooXF`03omil00?odZ000oo4a003oh2d00?o@:40
0ol3R`03o`1d:P?o05e60ol0@4P7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3o`0iA0?o01he0ol03RT3o`0780?o00<K0ol00QT3o`036`?o00HO0ol02bD3o`0B;0?o01`d1?l0
:C`3o`0gA0?o04M;0ol0DTd3o`1HB@?o05e50ol0HT43o`1U?P?o06Lk0ol0J3X3o`1Y>P?o06Pj1?l0
IS`3o`1T?`?o06520ol0GDH3o`1HBP?o059=0ol0BT`3o`0lAP?o02lo0ol093T3o`0J<P?o018/1?l0
32H3o`078@?o00@M0ol00aX3o`026@?o008J0ol011`3o`078@?o00dX0ol06343o`0Y?0Co04=90ol0
F4T3o`1Y>@?o07/M0ol:SP03ocnQ00?oP;<00oo5``03omFH00?oi6/00oo_@P03ooPP00Coo@/00oon
1003oo`>00?omRL00oo]B`03on1h00?od:L00on[_P03of2[00?o89H00ol0PA43o`1]=0Co05Y80ol0
@DP3o`0T>@?o01</0ol02B<3o`047@?o008I0ol00QX3o`047@?o00TS0ol04R/4o`0P=P?o03E30ol0
D4d3o`1OA0?o06hb0ol0OQT3o`N=00?o;Y/00omIZ@03ohNe00?o]/400oo;/`04omFJ00?ogH800ooT
J`03onUG00?okTH00oob=`03ooD[00?omb400ooi6P03oo/D00?oo1000ool3@0:ood;00?oo@`00ool
3P03oo/B00?onQL00ooh7`03ooDY00?olSP00oo]BP03onMQ00Cogg/00ooEV@03olRk00?oV;X00omJ
Z@03ob6F00?o088?0ol0K3D3o`1GBP?o03E30ol06C47ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`0iA0?o01he0ol03RT3o`0780?o00<K0ol00QT3o`036`?o00HO0ol02bD3
o`0B;0?o01`d1?l0:C`3o`0gA0?o04M;0ol0DTd3o`1HB@?o05e50ol0HT43o`1U?P?o06Lk0ol0J3X3
o`1Y>P?o06Pj1?l0IS`3o`1T?`?o06520ol0GDH3o`1HBP?o059=0ol0BT`3o`0lAP?o02lo0ol093T3
o`0J<P?o018/1?l032H3o`078@?o00@M0ol00aX3o`026@?o008J0ol011`3o`078@?o00dX0ol06343
o`0Y?0Co04=90ol0F4T3o`1Y>@?o07/M0ol:SP03ocnQ00?oP;<00oo5``03omFH00?oi6/00oo_@P03
ooPP00Coo@/00oon1003oo`>00?omRL00oo]B`03on1h00?od:L00on[_P03of2[00?o89H00ol0PA43
o`1]=0Co05Y80ol0@DP3o`0T>@?o01</0ol02B<3o`047@?o008I0ol00QX3o`047@?o00TS0ol04R/4
o`0P=P?o03E30ol0D4d3o`1OA0?o06hb0ol0OQT3o`N=00?o;Y/00omIZ@03ohNe00?o]/400oo;/`04
omFJ00?ogH800ooTJ`03onUG00?okTH00oob=`03ooD[00?omb400ooi6P03oo/D00?oo1000ool3@0:
ood;00?oo@`00ool3P03oo/B00?onQL00ooh7`03ooDY00?olSP00oo]BP03onMQ00Cogg/00ooEV@03
olRk00?oV;X00omJZ@03ob6F00?o088?0ol0K3D3o`1GBP?o03E30ol06C47ooooo`7o00000Oooool0
01gooooo0_l00006ooooo`?o03U40ol07SD3o`0>:@?o00LP0ol00a/3o`026@?o00<K0ol01Ql3o`0;
9@?o018/0ol073@4o`0Y?0?o03M40ol0Ad/3o`1BC@?o05Q90ol0GDD3o`1R@@?o06Dn0ol0Ic/3o`1X
>P?o06Tj0ol0J3X4o`1V?0?o06@o0ol0HD83o`1MAP?o05Q:0ol0DTd3o`1:C0?o03a60ol0;cl3o`0T
>@?o01Xb0ol04R`4o`0<9P?o00LQ0ol011d3o`036P?o008I0ol00QX3o`0470?o00LQ0ol03BP3o`0H
<@?o02Tl1?l0@dT3o`1HB@?o06Ti0ol0Nad3o`Z>00?o?j400on0/`03olG300?oeIP00ooTJ`03onm2
00?on2001?om2`03ooh400?oo0h00oof9`03one;00?oh7P00oo@Y`03oj^n00?oH:/00olPUP03o`21
4@?o06dd1?l0FTP3o`11B0?o02@i0ol04b`3o`098`?o00@M0ol00QT3o`026P?o00@M0ol02B<3o`0B
:`Co020f0ol0=D<3o`1@C@?o05m40ol0KS83o`1n6@?o1hd00ol^V`03oeVY00?oQkD00onf`@03ol^c
00CoeIX00ooMPP03onA[00?ojEL00oo^AP03oo8g00?omB/00oog8@03ooTJ00?ona@00ool4003oo`=
00[oo@/00oom3003oo`>00?ona800ooj5`03ooPO00?omBT00oob>003one:00?oif401?oON`03omFI
00?ob;/00onH^P03oeZY00?o8IH00ol0PPl3o`1/=@?o05M:0ol0=D<3o`0I<@Kooooo0_l00001oooo
o`007Oooool00ol0003oooooooooo`05ooooo`?o05e50ol0Ad/3o`0X>`?o01@^0ol02R@3o`047@?o
008J0ol00QT3o`036`?o00HO0ol02R@4o`0@:P?o01P`0ol08CL3o`0[?@?o03E30ol0?dL3o`18C0?o
04m>0ol0DTd3o`1CC0Ko05A<1?l0Dd`3o`1AC@?o04m>0ol0Ad/3o`0oA`?o03I30ol0;Ch3o`0T>@?o
01`d0ol05Bh3o`0?:@?o00XT1?l01b03o`047@?o00<J0ol00QT3o`026P?o00<L0ol01Ql3o`0;9@?o
01@]0ol08CL3o`0f@`Co055=0ol0H4<3o`1a;`?o08<?0olLU@03oeBW00?oUKT00oo:]`03omV=00?o
iV800ooa>P03ooTK00Coo@T00oon1003oo`?00?omRP00oo/C@03on1h00?od:H00on^_`03ofF/00?o
9YP00ol0Q0`3o`1`<0Co05e60ol0B4`3o`0Z?0?o01H_0ol02bD3o`057P?o00<J0ol00QT3o`036`?o
00HP0ol03BL4o`0H<0?o02Pl0ol0@4P3o`1FB`?o06@o0ol0LRd3o`204`?o2hh00ol`W003oeRX00?o
PK@00on/_`04olRl00?odJD00ooHT003omil00?oi6X00ooXFP03ona=00?okd800oob>@03oo<a00?o
mB`00oof:@04ooHW00?omRH00oof9`03ooDZ00?om2l00oob=P03oo1000?ok4`00ooXG003on9`00?o
fhH00ooCX004olRk00?oX[`00omY[@03oc>M00?o0h/00ol0N2@3o`1T?`?o04m>0ol0:cd3o`0C;@?o
00PQ1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0GDD3o`17B`?o02Pk
0ol052h3o`0:90?o00@M0ol00QX3o`026@?o00<K0ol01Ql3o`0:90Co010Z0ol06303o`0Q=`?o02/m
0ol0=D<3o`0oA`?o04Q<0ol0Cdh3o`1BC@?o05=<1_l0E4`4o`1CC0?o055=0ol0Cdh3o`17B`?o03m7
0ol0=T<3o`0]?P?o02@i0ol073@3o`0E;P?o00lY0ol02R@4o`0780?o00@M0ol00aX3o`026@?o008J
0ol00a`3o`067`?o00/U0ol052d3o`0Q=`?o03I31?l0DDd3o`1P@`?o074_0ol0P`l3oabE00?oE:L0
0onE^@03olZg00?ofHd00ooVHP03oo4j00?onA/01?om2@03ooh400?oo0l00oof:003ona=00?oh7P0
0oo@YP03ojjo00?oIJ`00olVV003o`2430?o070`1?l0GDH3o`18C0?o02Xl0ol05Rl3o`0;9@?o00DN
0ol00aX3o`026@?o00<K0ol01R03o`0=9`Co01P`0ol0:3`3o`10B0?o05I;0ol0I3l3o`1b;@?o080C
0ol;SP03oc2L00?oF:P00on1]003ojbo00Cob;`00ooAY@03omR@00?ogW`00ooTJP03onQJ00?ok4d0
0oo_@P03oo8i00?olc400ooe;003ooHY00ComRL00oof9P03ooHW00?omBX00ood;`03oo8f00?ol400
0oo/C003onQL00?ohW000ooKQP03om>P00Cob;/00onR_003ofV]00?o<id00ol3R`03o`1h90?o06@o
0ol0Cdh3o`0[?@?o01<]0ol02247ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3o`1MA@?o04M;0ol0:3/3o`0D;P?o00XT0ol011d3o`026P?o008I0ol00a/3o`067`?o00XT1?l0
42X3o`0H<0?o024g0ol0:cd3o`0e@`?o03m70ol0B4`3o`1?CP?o059=0ol0Dd`6o`1DC0Co05=<0ol0
DDd3o`1?CP?o04M;0ol0?dL3o`0f@`?o02dn0ol093T3o`0L=0?o01D^0ol03bT3o`0:90Co00LP0ol0
11d3o`036P?o008I0ol00QX3o`0370?o00HO0ol02bD3o`0D;@?o024g0ol0=T<4o`1AC@?o06130ol0
LBl3o`233`?o79D00omDY`03oiFi00?ob[L00ooIS@03onIR00?olCX00ooi6`04ood900?ooP@00ool
3`03ooHX00?ok4d00ooPN003om2V00?o[[l00omU[003obJH00?o08@<0ol0L304o`1MAP?o04Q<0ol0
:S`3o`0F;`?o00/U0ol01Ah3o`036P?o008I0ol00a/3o`0680?o00dW1?l06303o`0X?0?o04180ol0
ET/3o`1T?`?o078]0ol0P1<3o`^>00?o<9`00omHZ003oh6d00?o[;l01?o8_003om6U00?of9000ooN
O003onAZ00?oj5X00oo/C@03onm200?olST00ooc<@03ooD/00?omRT01?of9`03ooHV00?omRL00ooe
:P03oo@_00?olSH00oo`@003ona<00?oj5`00ooRL003om^600?odj001?o8^`03oj:l00?oJJd00olc
W@03o`>;00?o07PT0ol0I3l3o`1?CP?o02/m0ol04bd3o`088@Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`05ooooo`?o07TQ0ol0ISd3o`1DC0?o03I30ol07CD3o`0?:@?o00LQ0ol011`6
o`026@?o00<K1?l01Ah3o`088P?o00dW0ol04R`3o`0G<0?o01dd0ol08cP3o`0Y?0?o02dn0ol0<403
o`0b@@?o03=11?l0<T43o`0`@0?o02dn0ol0:C`3o`0T>@?o01he0ol06C43o`0D;@?o00lY0ol02bD3
o`088P?o00DN1?l011`3o`036P?o008I0ol00QX3o`036`?o00HO0ol02R@3o`0A:`?o01`d0ol0;Sh3
o`17B`Co05U90ol0J3X3o`1i8@?o0XX00olaW003ofZ^00?o[;l00oo?Z`03omf100?ojEP00ooc<`03
ooXG00CooPL00oon1@03oo/A00?omBX00oo/CP03on1i00?odJD00ona`003ofZ]00?o:iX00ol0QPL3
o`1c;0Co06130ol0Cdh3o`0_?`?o01Xb0ol03RP3o`0780?o00<K0ol00QT3o`036P?o00DM0ol02B<4
o`0A:`?o01he0ol0<403o`19C0?o05U90ol0IS`3o`1d:P?o084A0ol;SP03obbJ00?oD:H00ome/004
oiZj00?o_/<00oo;]@03om6S00?oei<00ooLP`03on1f00?oi6/00ooWH@03onUJ00?ojUD00oo[D@04
on]@00?oje400ooZE003onUI00?oif000ooTJP03on1g00?ofhL00ooEV@03olj^00?oa<@00onI^P04
ofZ^00?o?:000ol>S`03o`1n60?o06`f0ol0FDT3o`0oA`?o020f0ol03RP3o`067`?o00<J1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0NB43o`1V?@?o05A<0ol0=T<3o`0M
=@?o00lY0ol01b43o`0470Ko008I0ol00a/4o`057P?o00PR0ol03BL3o`0B;0?o01L`0ol07C@3o`0S
>0?o02Tl0ol0;Ch3o`0`@0?o03910ol0<d44o`0b@@?o03100ol0;Ch3o`0Y?0?o02@i0ol07SD3o`0I
<@?o01@]0ol03bT3o`0;9@?o00PR0ol01Ah4o`0470?o00<J0ol00QT3o`026P?o00<K0ol01Ql3o`0:
90?o014[0ol073@3o`0^?P?o04M;1?l0FDT3o`1X>P?o07TQ0ol2RP03oc6L00?oJZh00on/_`03oln[
00?ogH400ooYF003oo<c00?onQL01?on1`03ooh500?ona400ooe:P03ona>00?oh7T00ooAY@03ok70
00?oJZd00ol[VP03o`261`?o07</1?l0H4<3o`1?CP?o02lo0ol06S83o`0>:0?o00LP0ol00a/3o`02
6@?o00<J0ol01Ad3o`098`Co014[0ol07SD3o`0`@0?o04U<0ol0FDT3o`1V?0?o07@Z0ol0PA43o`^>
00?o;9X00om@YP03ogF`00CoV[X00onn``03ol^e00?odJ<00ooGT`03omb300?oh7H00ooTJ`03onMQ
00?ojEX00ooZE@03on]A00Coje000oo[D@03onYD00?ojET00ooWH003onAZ00?oh7L00ooKQ`03omFI
00?ocZh00oo4a003oiVj00CoJZh00ollX003o`j?00?o07hH0ol0K3H3o`1IB@?o03m70ol083H3o`0>
:0?o00HO0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1i8@?o
06Hm0ol0E4`3o`0f@`?o01de0ol03bT3o`078@?o00@L1_l00QT3o`036`Co00DN0ol02283o`0=9`?o
018/0ol05c03o`0M=0?o02<h0ol0:C`3o`0]?P?o03100ol0<T43o`0c@@Co03910ol0<403o`0]?P?o
02Tl0ol093T3o`0N=@?o01Ta0ol052d3o`0?:@?o00/U0ol02283o`057PCo00@L0ol00aX3o`026@?o
008J0ol00a/3o`067`?o00XT0ol04B/3o`0L=0?o02hn0ol0Ad/4o`1IB@?o06Pj0ol0NB43o`::00?o
<I`00omZ[P03ojbo00?ocj/00ooMP@03onUH00?olc<00ooj5`04ooh700?ooPD00ook4@03ooDZ00?o
k4h00ooPN@03om6U00?o/L000omZ[@03ob^J00?o08H70ol0Lb`4o`1P@`?o04m>0ol0;cl3o`0J<P?o
00hX0ol01b03o`036`?o008I0ol00aX3o`057@?o00TS1?l04B/3o`0N=@?o03100ol0BD`3o`1IB@?o
06Hl0ol0M2X3o`214@?o2hh00ol/VP03oe2V00?oMK001?nJ^P03okk300?obkD00ooAX`03omNC00?o
g8<00ooPMP03onA[00?oif400ooYFP03onYE00?oje401?o[D003on]A00?ojU@00ooYF@03onMP00?o
i6X00ooPM`03om^700?oeIT00oo>[P03olC400?oVKX01?mZ[P03ocbP00?o3Xl00ol0OQP3o`1/=P?o
05U90ol0?dL3o`0P=P?o00hX0ol01Ql3o`036POooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`05ooooo`?o7YH00ol0Q0`3o`1a;`?o05i50ol0BTd3o`0[?@?o01P`0ol032L3o`0680?o00<K
1ol00QT3o`036P?o00@M0ol01Ql3o`098P?o00/V0ol03bT3o`0B:`?o01@^0ol05c03o`0H<@Oo01Ta
0ol06343o`0G<0?o01D^0ol04R`3o`0@:P?o00dW0ol02R@3o`088@?o00HO0ol011`3o`036`Oo008I
0ol00QX3o`0470?o00HO0ol02R@3o`0@:P?o01Xb0ol0:3/3o`0nA`?o05=<1?l0HT43o`1a;P?o084A
0olETP03odNS00?oP[@00oo3a003om>N00?ohGH00oo/CP03ooD/00?ona<01oon1@03oo/B00?omB`0
0oo[C`03ommi00?odJ@00ond`@03ofj_00?o<I`00ol0R@43o`1f9`Co06=00ol0DTd3o`0f@`?o01lf
0ol04B/3o`088P?o00@M0ol00QX3o`026@?o00<K0ol01R04o`0<9P?o01D_0ol08cP3o`0f@`?o04m>
0ol0FdL3o`1X>`?o07@Z0ol0P1@3o`F<00?o8YL00om1X@04of6[00?oP;@00onO^`03ok_200?ob;/0
0oo>[P03om:R00?oeIP00ooHS`03omZ900?og8D01ooLP`03omb500?ofXT00ooHT003omFI00?odJD0
0oo</`03olG300?oYkd00on3]003oebZ00?o=Id01?l?T003o`214P?o070_0ol0Gd@3o`1>CP?o02dn
0ol05c03o`0:90?o00@L0ol00QX3o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o7YH00ol0Q0`3o`1a;`?o05i50ol0BTd3o`0[?@?o01P`0ol032L3o`0680?o00<K1ol0
0QT3o`036P?o00@M0ol01Ql3o`098P?o00/V0ol03bT3o`0B:`?o01@^0ol05c03o`0H<@Oo01Ta0ol0
6343o`0G<0?o01D^0ol04R`3o`0@:P?o00dW0ol02R@3o`088@?o00HO0ol011`3o`036`Oo008I0ol0
0QX3o`0470?o00HO0ol02R@3o`0@:P?o01Xb0ol0:3/3o`0nA`?o05=<1?l0HT43o`1a;P?o084A0olE
TP03odNS00?oP[@00oo3a003om>N00?ohGH00oo/CP03ooD/00?ona<01oon1@03oo/B00?omB`00oo[
C`03ommi00?odJ@00ond`@03ofj_00?o<I`00ol0R@43o`1f9`Co06=00ol0DTd3o`0f@`?o01lf0ol0
4B/3o`088P?o00@M0ol00QX3o`026@?o00<K0ol01R04o`0<9P?o01D_0ol08cP3o`0f@`?o04m>0ol0
FdL3o`1X>`?o07@Z0ol0P1@3o`F<00?o8YL00om1X@04of6[00?oP;@00onO^`03ok_200?ob;/00oo>
[P03om:R00?oeIP00ooHS`03omZ900?og8D01ooLP`03omb500?ofXT00ooHT003omFI00?odJD00oo<
/`03olG300?oYkd00on3]003oebZ00?o=Id01?l?T003o`214P?o070_0ol0Gd@3o`1>CP?o02dn0ol0
5c03o`0:90?o00@L0ol00QX3o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05
ooooo`?o7YH00ol0Q0`3o`1a;`?o05i50ol0BTd3o`0[?@?o01P`0ol032L3o`0680?o00<K1ol00QT3
o`036P?o00@M0ol01Ql3o`098P?o00/V0ol03bT3o`0B:`?o01@^0ol05c03o`0H<@Oo01Ta0ol06343
o`0G<0?o01D^0ol04R`3o`0@:P?o00dW0ol02R@3o`088@?o00HO0ol011`3o`036`Oo008I0ol00QX3
o`0470?o00HO0ol02R@3o`0@:P?o01Xb0ol0:3/3o`0nA`?o05=<1?l0HT43o`1a;P?o084A0olETP03
odNS00?oP[@00oo3a003om>N00?ohGH00oo/CP03ooD/00?ona<01oon1@03oo/B00?omB`00oo[C`03
ommi00?odJ@00ond`@03ofj_00?o<I`00ol0R@43o`1f9`Co06=00ol0DTd3o`0f@`?o01lf0ol04B/3
o`088P?o00@M0ol00QX3o`026@?o00<K0ol01R04o`0<9P?o01D_0ol08cP3o`0f@`?o04m>0ol0FdL3
o`1X>`?o07@Z0ol0P1@3o`F<00?o8YL00om1X@04of6[00?oP;@00onO^`03ok_200?ob;/00oo>[P03
om:R00?oeIP00ooHS`03omZ900?og8D01ooLP`03omb500?ofXT00ooHT003omFI00?odJD00oo</`03
olG300?oYkd00on3]003oebZ00?o=Id01?l?T003o`214P?o070_0ol0Gd@3o`1>CP?o02dn0ol05c03
o`0:90?o00@L0ol00QX3o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05oooo
o`?oLJl00om0X@03o`j?00?o07dJ0ol0JSP3o`1HBP?o03m70ol09CT3o`0E;P?o00`V0ol01R04o`04
70?o008J1_l00QT3o`036`?o00@L0ol01Ah3o`0680?o00PR0ol02B<3o`0:90[o00/U0ol02R@3o`09
8`?o00PR0ol01b43o`067`?o00DN0ol011`3o`036`?o008J1ol00QT3o`036P?o00@L0ol01R03o`0:
90?o010Z0ol06C43o`0V>P?o03Q40ol0D4h3o`1MAPCo06/g0ol0NQl3o`6:00?o;9X00omPZ`03oi^k
00?ob[P00ooHT@03onAZ00?okTD00oof9@03oo`?00CooP@00oon1P03oo/D00?om2h00oo[D@03ommi
00?odJ@00ong`@03og>`00?o=Yh00ol4R`03o`1i8PCo06Ll0ol0ET/3o`0nA`?o02Di0ol05Bh3o`0;
9@?o00DO0ol00a/3o`026@?o00<J0ol011d4o`088P?o00lY0ol06C43o`0W>`?o03Y50ol0D4h3o`1K
A`?o06Ll0ol0LRd3o`1m6P?o08P40olCT@04obfK00?oAj<00omPZ`03ogVb00?oSkP00onT_@03okG1
00?oa<@00oo7_P03olVi00?ob[L00oo:]P04olZg00?obK/00oo6`003oko300?o[Kl00onG^P03ognc
00?oHj/00om4XP03obFH00?o1X`00ol0OaH4o`1a;P?o06910ol0Dd`3o`0g@`?o01le0ol03bT3o`06
80?o00<J0ol00QX3o`067`?o010Z1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0oma[`03od2Q00?o3Xl00ol0OAX3o`1Z>0?o05Q:0ol0?dL3o`0U>@?o01D^0ol032H3o`0680Co
00@L0ol00QX6o`026@?o00<K0ol011`3o`057P?o00HP0ol02283o`098`?o00XT2_l02bD3o`0:90?o
00TS0ol02283o`078@?o00HO0ol01Ah3o`0470?o00<K0ol00QX7o`026@?o00<J0ol011`3o`0680?o
00XT0ol042X3o`0I<@?o02Hj0ol0>4@3o`1@CP?o05e61?l0JcL3o`1j7`?o0HX00ol/VP03of2[00?o
Vk/00oo:^003omRA00?oi6X00oo^A@03ooHU00?oo0l01?on1003ooh600?ona@00ood;P03on]A00?o
ggT00ooAY003okO100?oLk000olfWP03o`B;00?o07TR1?l0Ic`3o`1FB`?o03i70ol09CT3o`0E;P?o
00/U0ol01Al3o`036`?o008I0ol00aX3o`047@Co00PR0ol03bT3o`0I<@?o02Lk0ol0>TD3o`1@CP?o
05]70ol0Ic`3o`1b;@?o07dJ0ol0R0@3oa>A00Co;I/00om7X`03of2[00?oNK800on?^003ojBm00?o
]L400oo4a003olNn00?obKT00oo:]`03olZf00Cob[L00oo9^`03olK000?o_l<00on]_`03oiNj00?o
Ok<00omSZ`03odBR00?o9IP00ol6S003o`1o5PCo074^0ol0HT43o`1CC0?o03M30ol07cD3o`0?:@?o
00HP0ol00aX3o`026P?o00HO0ol042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3og6_00?o@:400ol>S`03o`1m6P?o06Xh0ol0F4X3o`0oA`?o02Di0ol05Bh3o`0<9P?o00HP
1?l011`3o`026PKo008I0ol00a/3o`0470?o00DN0ol01R03o`088P?o00TS0ol02R@:o`0;9@?o00XT
0ol02B<3o`088P?o00LQ0ol01Ql3o`057P?o00@L0ol00a/3o`026POo008I0ol00aX3o`0470?o00HP
0ol02R@3o`0@:P?o01Ta0ol09SX3o`0hA0?o051>0ol0GDH4o`1[=`?o07XO0ol1RP03obbJ00?oH:/0
0onK^`03olZh00?of9400ooTJP03oni500?omRD00ool3`04ooh400?ooPH00ook5003oo@^00?oje40
0ooON@03om6T00?o]l400omc/003ocJN00?o18/00ol0NB84o`1W?0?o05I;0ol0?TL3o`0U>@?o01D^
0ol02bD3o`057`?o00<K0ol00QT3o`036P?o00@M1?l02283o`0?:@?o01Ta0ol09c/3o`0jA@?o051>
0ol0FdL3o`1W?0?o078]0ol0OAX3o`2810?o4i401?l]V`03odNS00?oH:/00omi/P03ohnh00?oY;d0
0one`@03olC400?oakh00oo9^@03olZg00?ob[H01?o:]`03olVk00?oa/000ono``03ojfo00?oUkX0
0omo/`03of>[00?oA:800olUV003o`J<00?o07lF1?l0LBh3o`1R@@?o05=<0ol0=d<3o`0O=@?o00lY
0ol01R03o`036P?o008J0ol01Ql3o`0@:POooooo0Ol00001ooooo`007Oooool2o`0000Kooooo0oo0
``03oi^k00?oJJd00olcW@03o`:;00?o07LU0ol0I3l3o`1CC0?o03U50ol08cP3o`0E;PCo00`W0ol0
1b43o`057@?o00<K0ol00QX6o`026@?o008J1_l00a/3o`0470go00@M1_l011`3o`036`?o00<J0ol0
0QX9o`026@?o00<J1?l00a`3o`057P?o00LQ0ol02bD3o`0A:`?o01Ta0ol09CT3o`0f@`?o04e>0ol0
FTP3o`1W?0Co07DX0ol0Q0`3oaNC00?oAJ<00omj/P03okK100?ocjT00ooLQ003onMN00?olC/00ooh
7`03ood<00Coo`<00oon1`03ooXF00?om3000oo[DP03ommj00?odZ<00onk`P03ogRa00?o?J000ol:
SP03o`1l70Co06Xh0ol0FTP3o`16B`?o02/m0ol06C83o`0>:0?o00LQ0ol011`3o`026P?o008I0ol0
0a/4o`067`?o00XT0ol04B/3o`0K<`?o02Tl0ol0>dD3o`1?CP?o05Y80ol0I3l3o`1^<`?o07PS0ol0
PA84o`2:00?o59800olXV@03oc^O00?oCJD00omMZP03of^^00?oMk400omo/`03ohFe00?oR;H00on7
]@04oh:d00?oN[800om_[`03of6[00?oCjH00olkW`03obFH00?o3Xl00ol0Q@T3o`1j7`?o06hc0ol0
HD84o`1DC0?o03a60ol093T3o`0C;@?o00TS0ol011`3o`026@?o00<K0ol02283o`0F;`?o03911_oo
ool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0oo0``03oi^k00?oJJd00olcW@03
o`:;00?o07LU0ol0I3l3o`1CC0?o03U50ol08cP3o`0E;PCo00`W0ol01b43o`057@?o00<K0ol00QX6
o`026@?o008J1_l00a/3o`0470go00@M1_l011`3o`036`?o00<J0ol00QX9o`026@?o00<J1?l00a`3
o`057P?o00LQ0ol02bD3o`0A:`?o01Ta0ol09CT3o`0f@`?o04e>0ol0FTP3o`1W?0Co07DX0ol0Q0`3
oaNC00?oAJ<00omj/P03okK100?ocjT00ooLQ003onMN00?olC/00ooh7`03ood<00Coo`<00oon1`03
ooXF00?om3000oo[DP03ommj00?odZ<00onk`P03ogRa00?o?J000ol:SP03o`1l70Co06Xh0ol0FTP3
o`16B`?o02/m0ol06C83o`0>:0?o00LQ0ol011`3o`026P?o008I0ol00a/4o`067`?o00XT0ol04B/3
o`0K<`?o02Tl0ol0>dD3o`1?CP?o05Y80ol0I3l3o`1^<`?o07PS0ol0PA84o`2:00?o59800olXV@03
oc^O00?oCJD00omMZP03of^^00?oMk400omo/`03ohFe00?oR;H00on7]@04oh:d00?oN[800om_[`03
of6[00?oCjH00olkW`03obFH00?o3Xl00ol0Q@T3o`1j7`?o06hc0ol0HD84o`1DC0?o03a60ol093T3
o`0C;@?o00TS0ol011`3o`026@?o00<K0ol02283o`0F;`?o03911oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Gooooo0oo0``03oi^k00?oJJd00olcW@03o`:;00?o07LU0ol0I3l3o`1C
C0?o03U50ol08cP3o`0E;PCo00`W0ol01b43o`057@?o00<K0ol00QX6o`026@?o008J1_l00a/3o`04
70go00@M1_l011`3o`036`?o00<J0ol00QX9o`026@?o00<J1?l00a`3o`057P?o00LQ0ol02bD3o`0A
:`?o01Ta0ol09CT3o`0f@`?o04e>0ol0FTP3o`1W?0Co07DX0ol0Q0`3oaNC00?oAJ<00omj/P03okK1
00?ocjT00ooLQ003onMN00?olC/00ooh7`03ood<00Coo`<00oon1`03ooXF00?om3000oo[DP03ommj
00?odZ<00onk`P03ogRa00?o?J000ol:SP03o`1l70Co06Xh0ol0FTP3o`16B`?o02/m0ol06C83o`0>
:0?o00LQ0ol011`3o`026P?o008I0ol00a/4o`067`?o00XT0ol04B/3o`0K<`?o02Tl0ol0>dD3o`1?
CP?o05Y80ol0I3l3o`1^<`?o07PS0ol0PA84o`2:00?o59800olXV@03oc^O00?oCJD00omMZP03of^^
00?oMk400omo/`03ohFe00?oR;H00on7]@04oh:d00?oN[800om_[`03of6[00?oCjH00olkW`03obFH
00?o3Xl00ol0Q@T3o`1j7`?o06hc0ol0HD84o`1DC0?o03a60ol093T3o`0C;@?o00TS0ol011`3o`02
6@?o00<K0ol02283o`0F;`?o03911oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0oo?Z@03olj^00?oa/000onJ^P03of6[00?o9IP00ol0Q@X3o`1b;0?o06520ol0DTd3o`0iA@Co
02Di0ol05c03o`0?:@?o00XT0ol01R03o`047@?o00<K0ol00aXUo`026@?o008J0ol00a/3o`0470?o
00DN1?l01b03o`098`?o00dX0ol04bd3o`0K<`?o02Lk0ol0=d<3o`1;C@?o05Q90ol0I3l3o`1a;PCo
07lF0ol9S@03oc6L00?oH:/00onG^@03olNm00?oeIX00ooPMP03on]B00?olc800ooi6@03ood900Co
o`<00oon2003ooXH00?olc<00ooZE003ommk00?odZ800onn``03ogfc00?o@j800olAT003o`1o5PCo
06hc0ol0GTD3o`1?CP?o03=10ol07cD3o`0B;0?o00XT0ol01Ah3o`036`?o008I0ol00QX4o`0470?o
00HP0ol02bD3o`0B;0?o01`c0ol0:3`3o`0iA0?o04a=0ol0ETX3o`1OA0?o06Pj0ol0L2l4o`1h8P?o
080E0ol0QPL3o`J<00?o4i400olOUP03obVI00?o<I`00olfWP06ocVO00?o=ih01?laW003obVI00?o
7YD00olAT003o`::00?o08<=0ol0Nad3o`1b;@?o06Pk0ol0GDH3o`1AC@?o03]51?l09SX3o`0F;`?o
00/U0ol01Ah3o`036P?o008I0ol01Ah3o`0=9`?o01he0ol0@DP3o`1OA0Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`05ooooo`?ocjT00oo>[P03olK000?oV[X00omQZ`03obFH00?o08D:
0ol0LR`3o`1Q@P?o059=0ol0>DD4o`0U>@?o01L`0ol03bT3o`0:90?o00HP0ol011d3o`036`?o00<J
9Ol00QT3o`026P?o00<K0ol011`3o`057PCo00LP0ol02B<3o`0=:0?o01<]0ol06c<3o`0W>`?o03M3
0ol0Bdd3o`1HB@?o06@o0ol0LBh4o`1o5P?o2Hd00olaW003of2[00?oUkT00oo7_@03omFJ00?oh7H0
0oo[DP03oo<b00?onAT00oom2@04ool300?ooPP00ooj6003oo<c00?ojU@00ooON`03om:R00?o_/<0
0omm/`03od>R00?o4I000ol0OaH4o`1^<`?o05i50ol0Cdh3o`0c@@?o01le0ol04R`3o`0:90?o00DN
0ol00a/3o`026@?o008J1?l011`3o`0680?o00/U0ol04R`3o`0L<`?o02Pl0ol0>D@3o`1<C@?o05I:
0ol0Gd@3o`1X>P?o070_1?l0N283o`205@?o08H70ol6S003oa>A00?o7iH00olYV@03oc6L00?o=Yh0
1_liW`03ocNN00Co<I`00olYV@03oajE00?o4I000ol2RP03o`233@?o07/M0ol0LRd3o`1X>`?o05e6
0ol0DDd3o`0kA@Co02Hj0ol05Rl3o`0;9@?o00DN0ol00aX3o`026@?o00DN0ol03BL3o`0N=@?o0458
0ol0Gd@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3olnY00?ocZh00oo6
`003oiZj00?oHJ/00olUV003o`252P?o078/0ol0HD83o`1BC@?o03U51?l09CT3o`0G<0?o00lY0ol0
2R@3o`0680?o00@M0ol00a/3o`036RGo008I0ol00QX3o`036`?o00@L0ol01Ah4o`0780?o00TS0ol0
3BP3o`0C;@?o01/c0ol09c/3o`0g@`?o04]=0ol0F4T3o`1T?`?o074^1?l0OaH3o`V=00?o<I`00omP
Z`03oiNi00?oakd00ooEVP03on1f00?oje800ooc<P03ooTI00?oo@T01?oo0`03ooh800?onQP00ooc
<`03onYD00?ogg/00ooBXP03okk300?oOK<00om3XP03oa6@00?o07lF1?l0KS<3o`1NA@?o04m>0ol0
<d43o`0O=@?o018/0ol02R@3o`057P?o00<K0ol00QT3o`026PCo00@L0ol01R03o`0;9@?o018/0ol0
73<3o`0X?0?o03U40ol0C4d3o`1FBP?o05m40ol0J3X3o`1`;`Co07PR0ol0P1D3o`261`?o1X`00olC
T@03oanF00?o:IT00olaW003ocJN00Ko>Il00olgWP04oc6L00?o:IT00olNU@03oa6@00?o0XX00ol0
P`d3o`1k7@?o078]0ol0J3/3o`1MAP?o055=0ol0>dD4o`0V>P?o01H_0ol02bD3o`057P?o00<J0ol0
0QT3o`057P?o00dW0ol07SD3o`11B0?o05m41oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Gooooo0ooAY@03omNB00?of9400ooBX@03olRl00?oTKP00omAYP03oaZD00?o088@0ol0LBh3
o`1Q@PCo05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:
o`036`Ko00<J1_l00a/6o`0470?o00DN0ol01Ql3o`088@?o00XT1?l03BL3o`0A:`?o01P`0ol083H3
o`0[?@?o03Y50ol0CTh3o`1HB@?o06=00ol0Kc43o`1l70Co08T00olSU`03odfU00?oO[<00one`@03
olj]00?ofX/00ooUJ003oni700?omBX00ook5003ooh600Coo`<00oom2P03ooTK00?olSD00ooZEP03
ommk00?odZ800oo1a003oh>d00?oBJ@00olHT`03o`223`Co078]0ol0HT43o`1CC0?o03]60ol09SX3
o`0G<0?o00dW0ol01b43o`0470?o008J0ol00QT4o`036P?o00@M0ol01b43o`0;9P?o018/0ol06S83
o`0V>P?o03=10ol0@dT3o`1AC@?o05U90ol0H4<4o`1W?0?o06hc0ol0Lb/3o`1i8P?o07dJ0ol0PA83
o`2430?o08H80ol0Q`D3o`2710?o08L60ol0Q@T4o`233P?o07lE0ol0Nah3o`1e:0?o06lb0ol0Ic/3
o`1OA0?o05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283
o`0D;@?o02/m0ol0DDd3o`1Y>@?o088?1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Gooooo0ooAY@03omNB00?of9400ooBX@03olRl00?oTKP00omAYP03oaZD00?o088@0ol0LBh3o`1Q
@PCo05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:o`03
6`Ko00<J1_l00a/6o`0470?o00DN0ol01Ql3o`088@?o00XT1?l03BL3o`0A:`?o01P`0ol083H3o`0[
?@?o03Y50ol0CTh3o`1HB@?o06=00ol0Kc43o`1l70Co08T00olSU`03odfU00?oO[<00one`@03olj]
00?ofX/00ooUJ003oni700?omBX00ook5003ooh600Coo`<00oom2P03ooTK00?olSD00ooZEP03ommk
00?odZ800oo1a003oh>d00?oBJ@00olHT`03o`223`Co078]0ol0HT43o`1CC0?o03]60ol09SX3o`0G
<0?o00dW0ol01b43o`0470?o008J0ol00QT4o`036P?o00@M0ol01b43o`0;9P?o018/0ol06S83o`0V
>P?o03=10ol0@dT3o`1AC@?o05U90ol0H4<4o`1W?0?o06hc0ol0Lb/3o`1i8P?o07dJ0ol0PA83o`24
30?o08H80ol0Q`D3o`2710?o08L60ol0Q@T4o`233P?o07lE0ol0Nah3o`1e:0?o06lb0ol0Ic/3o`1O
A0?o05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283o`0D
;@?o02/m0ol0DDd3o`1Y>@?o088?1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0ooAY@03omNB00?of9400ooBX@03olRl00?oTKP00omAYP03oaZD00?o088@0ol0LBh3o`1Q@PCo
05=<0ol0?DL3o`0Z?0?o01dd0ol052d3o`0>:0?o00XT0ol01b43o`067`?o00@M0ol011`:o`036`Ko
00<J1_l00a/6o`0470?o00DN0ol01Ql3o`088@?o00XT1?l03BL3o`0A:`?o01P`0ol083H3o`0[?@?o
03Y50ol0CTh3o`1HB@?o06=00ol0Kc43o`1l70Co08T00olSU`03odfU00?oO[<00one`@03olj]00?o
fX/00ooUJ003oni700?omBX00ook5003ooh600Coo`<00oom2P03ooTK00?olSD00ooZEP03ommk00?o
dZ800oo1a003oh>d00?oBJ@00olHT`03o`223`Co078]0ol0HT43o`1CC0?o03]60ol09SX3o`0G<0?o
00dW0ol01b43o`0470?o008J0ol00QT4o`036P?o00@M0ol01b43o`0;9P?o018/0ol06S83o`0V>P?o
03=10ol0@dT3o`1AC@?o05U90ol0H4<4o`1W?0?o06hc0ol0Lb/3o`1i8P?o07dJ0ol0PA83o`2430?o
08H80ol0Q`D3o`2710?o08L60ol0Q@T4o`233P?o07lE0ol0Nah3o`1e:0?o06lb0ol0Ic/3o`1OA0?o
05I;0ol0BT`3o`0e@P?o02<h0ol05Rl4o`0<9P?o00HO0ol00a/3o`026@?o00<K0ol02283o`0D;@?o
02/m0ol0DDd3o`1Y>@?o088?1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0oo7_P03omJF00?oggX00ooQLP03omim00?odih00oo5``03ohJe00?oBZ@00olHT`03o`2240Co078]
0ol0Hd03o`1FB`?o04M;0ol0=483o`0V>P?o01`d0ol05Bh3o`0@:P?o00dW0ol02bD3o`098`Co00PR
1_l01b43o`0780Ko00LQ0ol02283o`098`?o00/U0ol03BL3o`0?:P?o01<]1?l06343o`0O=P?o02Pk
0ol0<d83o`12B@?o055=0ol0FTP3o`1T?`?o06la0ol0Nah3o`2710Co6Y@00om1X@03off^00?oW[/0
0oo8_003omBL00?ogg/00ooYFP03oo4l00?omb800ool3`03ooh400Coo`<00oom3003ooPN00?olSP0
0ooYF003omml00?odZ400oo5a003ohRf00?oD:H00olOUP03o`2620Co07HW0ol0ISd3o`1HBP?o04E:
0ol0;Ch3o`0L=0?o014[0ol02R@3o`067`?o00<K1ol00QT3o`036P?o00@M0ol01b43o`0;9@?o010Z
0ol06303o`0Q=`?o02/m0ol0>4@3o`15BP?o051=1?l0ETX3o`1LA`?o06520ol0ICh3o`1Y>@?o06`f
0ol0KS<3o`1_<@Ko070`0ol0KS83o`1/=@Co06Ti0ol0ICh3o`1P@`?o05]70ol0E4`3o`1;C@?o03]5
0ol0:cd3o`0N=@?o01<]0ol02bH3o`0680Co00<K0ol00QT3o`036P?o00HO0ol03RP3o`0N=@?o03i7
0ol0G4H3o`1d:@?o2Hd00om@YP07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3olNn00?oeYH00ooONP03on5b00?ogWd00ooCWP03olG300?oQ[D00om:Y003oaRC00?o088@1?l0
LRd3o`1S@0?o05I;0ol0Ad/3o`0d@P?o02Hj0ol073@3o`0E;P?o010Z0ol03BL3o`0;9@?o00TS1?l0
2286o`078@?o00LP1_l01b43o`088P?o00TS0ol02bD3o`0=9`?o00lZ0ol04bd4o`0H<@?o01lf0ol0
:3/3o`0c@P?o04990ol0DDd3o`1JB0?o06@o0ol0Kc43o`1k7P?o08L41?lJU003od6Q00?oKJh00onN
^`03olRl00?oe9`00ooON`03onUJ00?olC`00oog8P03oo`?00?ooP@01?oo0`03ood<00?on1h00oob
>003onUH00?ogg`00ooBX@03olG400?oR;H00om@YP03oanF00?o08H81?l0MRL3o`1V?@?o05Q:0ol0
ADX3o`0]?P?o01`d0ol04B/3o`0:90?o00HO0ol00a/7o`026@?o00<J0ol011d3o`078@?o00/U0ol0
42X3o`0H<0?o024g0ol0:cd3o`0hA0?o04E:0ol0D4d4o`1FBP?o05a70ol0HD83o`1U?P?o06Ti0ol0
K3H3o`1^<`?o06la1_l0L303o`1^<P?o06`e1?l0JCT3o`1U?P?o06130ol0FdL3o`1DC0?o04]=0ol0
>dD3o`0[?@?o01he0ol04bd3o`0;9P?o00HP1?l00a/3o`026@?o00<J0ol01Ql3o`0>:0?o01he0ol0
?TL3o`1LAP?o07@Y0ol9S@03oe2V00Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05
ooooo`?oakh00ooFUP03ommj00?ohG800ooNO@03om>N00?oaL<00on6]@03odZT00?o69<00ol0PQ04
o`1b;@?o06=00ol0ET/3o`17B`?o03A20ol09SX3o`0L=0?o01D^0ol042X3o`0=9`?o00/U0ol02B<4
o`088PKo00LQ0ol01b06o`078@?o00PR0ol02B<3o`0;9@?o00dW0ol03bX3o`0C;@Co01Pa0ol07cH3
o`0X>`?o03=20ol0@TT3o`1AC@?o05Y80ol0I3l3o`1_<@?o07/N0ol0Q`@4oaZD00?o@J400om][P03
oijk00?ob;`00ooDW003ommk00?ojEX00ooa?003ooLR00?oo0l00oon1004ool300?oo@`00ooh7P03
oo8h00?ojEP00ooOO003om:Q00?oaL@00on8]P03oe2V00?o7iH00ol0QPP4o`1f9`?o06Hm0ol0F4X3
o`15BP?o02dn0ol073@3o`0A:`?o00XT0ol01Ql3o`036`Oo008I0ol00aX3o`047@?o00LQ0ol02bD3
o`0@:P?o01P`0ol08CL3o`0[?@?o03Q40ol0ADX3o`1@C@Co05I:0ol0G4L3o`1Q@P?o06Dn0ol0JCT3
o`1/=P?o06hc0ol0Kc46o`1`<0?o06hb0ol0K3D4o`1Y>@?o06Dn0ol0H4<3o`1KA`?o05A<0ol0Bdd3
o`0kA@?o02/m0ol07SD3o`0C;@?o00/V0ol01R04o`036`?o008I0ol00aX3o`067`?o00hX0ol07SD3
o`0nA`?o05a60ol0M2T3o`V=00?oD:H01oooool1o`00007ooooo000Mooooo`;o00001_ooool3ogbb
00?obKT00ooJR@03onEU00?ojU@00ooVHP03omin00?odZ400oo3a003ohBe00?oBJ@01?lHT`03o`23
3@?o07DX0ol0J3/3o`1LAP?o059=0ol0A4X3o`0e@P?o02Xl0ol08SP3o`0L=0?o01Pa1?l05Bh3o`0C
;@?o018/1_l04B/3o`0B:`?o01</0ol052h3o`0G<0?o01Xb0ol07SD3o`0T>@Co02/m0ol0=483o`10
B0?o04i>0ol0ET/3o`1NA@?o06Lk0ol0LBh3o`1l70?o08L50olGT`04ocVO00?oHJ/00on>]`03oko3
00?ocjX00ooJR`03on=/00?ok4d00ooc<P03ooTL00?oo@`00oon1004ooh500?oo0l00oog8P03oo4k
00?oj5/00ooNO@03om:Q00?oaL<00on=]`03oeNX00?o9iP00ol0R@04o`1j80?o06/g0ol0G4H3o`1?
CP?o03M30ol093T3o`0F;`?o00hX0ol02283o`057P?o00<K1ol00QT3o`036P?o00@M0ol01R03o`0:
90?o00hX0ol052d3o`0J<P?o028h0ol0:cd3o`0d@PCo03e70ol0Ad/3o`1?CP?o059=0ol0ED/3o`1G
BP?o05U90ol0FTP3o`1IB0?o05U90ol0EdX3o`1DC0Co055=0ol0Bdd3o`10B0?o03E30ol0:Sd3o`0P
=P?o01L`0ol03bX3o`0:90?o00HO0ol00a/3o`026@Co008J0ol01Ah3o`0;9@?o01L`0ol0;Sl3o`1B
C@?o06Tj0ol0PA83obVI00?oM[400oo5``06ooooo`;o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3ogbb00?obKT00ooJR@03onEU00?ojU@00ooVHP03omin00?odZ400oo3a003ohBe00?o
BJ@01?lHT`03o`233@?o07DX0ol0J3/3o`1LAP?o059=0ol0A4X3o`0e@P?o02Xl0ol08SP3o`0L=0?o
01Pa1?l05Bh3o`0C;@?o018/1_l04B/3o`0B:`?o01</0ol052h3o`0G<0?o01Xb0ol07SD3o`0T>@Co
02/m0ol0=483o`10B0?o04i>0ol0ET/3o`1NA@?o06Lk0ol0LBh3o`1l70?o08L50olGT`04ocVO00?o
HJ/00on>]`03oko300?ocjX00ooJR`03on=/00?ok4d00ooc<P03ooTL00?oo@`00oon1004ooh500?o
o0l00oog8P03oo4k00?oj5/00ooNO@03om:Q00?oaL<00on=]`03oeNX00?o9iP00ol0R@04o`1j80?o
06/g0ol0G4H3o`1?CP?o03M30ol093T3o`0F;`?o00hX0ol02283o`057P?o00<K1ol00QT3o`036P?o
00@M0ol01R03o`0:90?o00hX0ol052d3o`0J<P?o028h0ol0:cd3o`0d@PCo03e70ol0Ad/3o`1?CP?o
059=0ol0ED/3o`1GBP?o05U90ol0FTP3o`1IB0?o05U90ol0EdX3o`1DC0Co055=0ol0Bdd3o`10B0?o
03E30ol0:Sd3o`0P=P?o01L`0ol03bX3o`0:90?o00HO0ol00a/3o`026@Co008J0ol01Ah3o`0;9@?o
01L`0ol0;Sl3o`1BC@?o06Tj0ol0PA83obVI00?oM[400oo5``07ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3ogbb00?obKT00ooJR@03onEU00?ojU@00ooVHP03omin00?odZ40
0oo3a003ohBe00?oBJ@01?lHT`03o`233@?o07DX0ol0J3/3o`1LAP?o059=0ol0A4X3o`0e@P?o02Xl
0ol08SP3o`0L=0?o01Pa1?l05Bh3o`0C;@?o018/1_l04B/3o`0B:`?o01</0ol052h3o`0G<0?o01Xb
0ol07SD3o`0T>@Co02/m0ol0=483o`10B0?o04i>0ol0ET/3o`1NA@?o06Lk0ol0LBh3o`1l70?o08L5
0olGT`04ocVO00?oHJ/00on>]`03oko300?ocjX00ooJR`03on=/00?ok4d00ooc<P03ooTL00?oo@`0
0oon1004ooh500?oo0l00oog8P03oo4k00?oj5/00ooNO@03om:Q00?oaL<00on=]`03oeNX00?o9iP0
0ol0R@04o`1j80?o06/g0ol0G4H3o`1?CP?o03M30ol093T3o`0F;`?o00hX0ol02283o`057P?o00<K
1ol00QT3o`036P?o00@M0ol01R03o`0:90?o00hX0ol052d3o`0J<P?o028h0ol0:cd3o`0d@PCo03e7
0ol0Ad/3o`1?CP?o059=0ol0ED/3o`1GBP?o05U90ol0FTP3o`1IB0?o05U90ol0EdX3o`1DC0Co055=
0ol0Bdd3o`10B0?o03E30ol0:Sd3o`0P=P?o01L`0ol03bX3o`0:90?o00HO0ol00a/3o`026@Co008J
0ol01Ah3o`0;9@?o01L`0ol0;Sl3o`1BC@?o06Tj0ol0PA83obVI00?oM[400oo5``07ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3oafE00?oMk400oo9^003omf200?ojU@00oo^
A@03one900?oj5d00ooNO003om>P00?o`/@01?n3]003odbU00?o7iH00ol0R0@3o`1k7P?o06lb0ol0
I3l3o`1KA`?o05A<0ol0C4d3o`10B0?o03M31?l0<403o`0/?@?o02Pk0ol09SX6o`0U>P?o02Hj0ol0
:C`3o`0/?@?o03100ol0=T<3o`0mA`Co04M;0ol0D4h3o`1FB`?o05e60ol0I3l3o`1/=@?o07DX0ol0
OaL3o`290@?o69<00olhWP04oebY00?oQKD00ona`003ol^e00?oeIP00ooON`03onQM00?okd800ooe
:P03ooXG00?oo@X00oon1P04ood900?ona@00oof9`03oo1000?oieh00ooNO`03om:Q00?oa/800onA
^003oefZ00?o;Y/00ol6S004o`1m6@?o06la0ol0HD83o`1DC0?o04580ol0;3h3o`0M=0?o01</0ol0
32H3o`078@?o00@M1?l00aX6o`026@?o00<J0ol011`3o`057`?o00PR0ol02bD3o`0?:@?o01<]0ol0
6343o`0N=@Co02<h0ol0:C`3o`0^?`?o03=10ol0=T<3o`0iA@Ko03]50ol0>TD3o`0g@`?o03=10ol0
;Sl4o`0X>`?o028h0ol073<3o`0E;`?o010Z0ol02bD3o`078@?o00@M0ol00aX3o`026@?o008J0ol0
11d4o`098`?o01<]0ol09CX3o`15BP?o05i40ol0MBL3o`b>00?oDJH00onS_003oln[00?ofhL01ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0olMU@03ogNa00?obKP00ooMPP03
onYD00?okTD00oo]B@03onQM00?ogW`00ooCX003ol;400CoPk@00om<Y@03oanF00?o08P40ol0Nah3
o`1_<P?o06@o0ol0FdL3o`1DC0?o04a=0ol0@4P3o`0g@`Co03100ol0;3d3o`0X>`?o02Hj1_l09CX3
o`0V>P?o02Tl0ol0;3d3o`0`@0?o03I30ol0?DL4o`17B`?o051>0ol0ET/3o`1MAP?o06@o0ol0K3D3
o`1e:0?o07lG0ol0R@43oaRC00?o>9h01?mLZ@03ohFe00?o/L000oo;]@03omFH00?ogg/00ooXG@03
onm200?omBX00ooj5`03ood:00?ooPH01?om2@03oo/D00?omRL00oo`@003onMN00?ogWl00ooBX@03
olK200?oTKP00omMZP03objK00?o1X`01?l0OAT3o`1_<@?o06520ol0E4`3o`11B0?o02`n0ol07C@3
o`0C;0?o00`V0ol01b43o`047@Co00<J1_l00QT3o`036P?o00@L0ol01Al3o`088P?o00/U0ol03bT3
o`0C;@?o01Pa0ol07SD4o`0S>0?o02Tl0ol0;Sl3o`0c@@?o03I30ol0>DD6o`0kA@?o03Y50ol0=d<3
o`0c@@?o02ho1?l0:3/3o`0R>0?o01`c0ol05Bl3o`0@:P?o00/U0ol01b43o`047@?o00<J0ol00QT3
o`026P?o00@M1?l02B<3o`0C;@?o02Dj0ol0ADX3o`1NA0?o07DW0ol<SP03oe6V00?oXk`00oo?Z`03
om^700Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o7ID00omg/@03olVh
00?ogH800ooZE003oni500?okDT00ooXG@03omil00?odj000oo2a004oh>d00?oC:D00olOUP03o`28
10?o07/N0ol0Kc83o`1T?`?o05]70ol0E4`3o`1<C@?o04180ol0=d<4o`0`@0?o02`m0ol0:3/3o`0V
>PKo02Dj0ol09SX3o`0Y?0?o02`m0ol0<403o`0f@`?o03e71?l0Ad/3o`1@CP?o05I;0ol0GDH3o`1T
?`?o06`e0ol0MBP3o`1o5`?o08T10olHT`03ocRN00CoG:T00on5]@03ok7000?obkD00ooEV003ommk
00?oj5d00oo_@P03ooDZ00?onQL00oom2P03ooh600Coo@T00ook5003ooHW00?ol4000ooWGP03omio
00?odZ400oo6`P03oi6h00?oGJX00ol^V`03o`J<00Co07dI0ol0Kc43o`1Q@P?o05A<0ol0@DP3o`0/
?P?o01dd0ol04b`3o`0<9P?o00LQ0ol011d4o`036PKo008I0ol00aX3o`0470?o00DO0ol02283o`0;
9@?o00lY0ol04bd3o`0H<@?o01he1?l08cP3o`0Y?0?o02ho0ol0<d43o`0f@`?o03U51_l0>dD3o`0j
A@?o03M30ol0<d43o`0^?`Co02Pk0ol08SP3o`0L<`?o01D_0ol042X3o`0;9@?o00LQ0ol011d3o`03
6P?o008I0ol00QX3o`047@Co00TS0ol04bd3o`0U>P?o04E:0ol0GT@3o`1e9`?o38h00omAYP03oj>l
00?ocj/00ooKQ`07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1c:`?o
4i400om][P03olRl00?ogH000ooZE@03oo4k00?olc@00oo`?P03onYF00?ogg/01?oBX@03olC400?o
R[H00omHZ003obfK00?o2hh00ol0P`l3o`1h8`?o06la0ol0Ic`3o`1P@`?o05]81?l0ET/3o`1BC@?o
04m>0ol0C4d3o`19C0?o04Q<0ol0BD`3o`1;C@?o04i>0ol0D4d3o`1CC0?o05M:1?l0FdL3o`1P@`?o
06Hm0ol0K3D3o`1c:`?o07/M0ol0P`d3o`N<00?o7iH00ollX003oefZ00CoP[@00onZ_P03olRk00?o
dZ400ooKQP03onAZ00?oje000oob=`03ooLS00?ona<00oom2P03ooh800Coo0d00ooj6@03ooD/00?o
kTD00ooVHP03omf100?odZ400oo6`003oiJi00?oHj`00olfWP03o`j?00Co084A0ol0M2X3o`1V?@?o
05Y80ol0CTh3o`0g@`?o02Hj0ol06C43o`0@:P?o00XU0ol01b04o`047@?o00<K1_l00QT3o`026P?o
00<K0ol011d3o`067`?o00PR0ol02R@3o`0=9`?o010Z1?l04b`3o`0E;`?o01Pa0ol06S83o`0L<`Wo
01dd0ol06c<3o`0I<P?o01L`0ol04bd4o`0@:P?o00dW0ol02R@3o`078@?o00DN0ol00a/3o`026P?o
008I0ol00aX3o`057@?o00TS0ol04R/4o`0Q=`?o03a60ol0F4X3o`1/=@?o08<=0ol`W003oh>d00?o
bKX00ooISP03on=_00?oiFP01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo
0ol0Lb/3oa>A00?oKJh00oo8_003omf000?ojUD00ooa>`03oo<d00?ol3h00ooZEP03ommk00CodZ40
0oo4a003ohZf00?oF:P00ol]V`03o`^>00?o08<?0ol0N2<3o`1_<@?o06Ll0ol0H4<3o`1KB0Co05I;
0ol0DTd3o`1?CP?o04a=0ol0BD`3o`18C0?o04U<0ol0Bdd3o`1>CP?o051=0ol0Dd`3o`1GBPCo05]7
0ol0H4<3o`1V?@?o06`e0ol0Lb/3o`1k7@?o08<=0ol7S003oanF00?o?:000omMZP04oh:d00?oZ[h0
0oo8^`03om:Q00?ofhH00ooTJP03on]@00?olSL00oog8`03oo/C00?oo@X00oon2004oo`=00?onQT0
0ooe;003oni500?oiV800ooMP@03om:Q00?oa/000onF^@03of>/00?o=Yh00ol>S`04o`214@?o07@Z
0ol0ISd3o`1JB0?o04i>0ol0=d<3o`0V>P?o01Ta0ol042X3o`0:9@?o00LP1?l011d3o`036`Ko008I
0ol00QX3o`036`?o00@M0ol01Ql3o`088P?o00XT0ol03BL3o`0@:PCo01</0ol05Bl3o`0H<@?o01Xb
0ol073<9o`0M=0?o01/c0ol06C83o`0G<0?o01<]1?l042X3o`0=9`?o00XT0ol01b43o`057P?o00<K
0ol00QX3o`026@?o00<J0ol01Ad3o`098`?o018[1?l08CL3o`0lAP?o05Q:0ol0K3D3o`233@?o<9`0
0on3]003olVj00?ofHh00ooSK`03onEX00Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`05ooooo`?o07<[0olCT@03off^00?ob;`00ooMP003onYE00?olC/00ooc=003oo0n00?ojUH00ooO
N`04om:Q00?oa<@00on:]P03oeRX00?o;I/00ol;SP03o`233`?o07PS0ol0Kc43o`1W?0?o06130ol0
FdP4o`1FB`?o059=0ol0Cdh3o`1<C@?o04U<0ol0B4`3o`19C0?o04]=0ol0CTh3o`1@C@?o05=<0ol0
EdX4o`1KA`?o06130ol0ISd3o`1/=@?o07<[0ol0Nad3o`233@?o1h`00olOUP03ocbP00?oGJX01?n2
]003ojZn00?ob;/00ooBX@03om^600?oi6X00oo[D003oo8g00?omb<00ook4`03ood:00?ooPP01?ol
3@03ooXI00?omB`00oo^A@03onIR00?ogH400ooBX@03olK000?oU[T00omS[003ocJN00?o3Xl01?l0
PA43o`1d:P?o06Hm0ol0FTP3o`1>CP?o03M30ol09SX3o`0I<@?o010Z0ol02RD3o`0780Co00@M0ol0
0a/6o`026@?o008J0ol00a/3o`047@?o00HO0ol02283o`0:90?o00dW0ol042X4o`0C;0?o01D_0ol0
6343o`0J<P?o01`c2Ol07C@3o`0K<`?o01Tb0ol05c03o`0C;@Co010Z0ol03BL3o`0:90?o00LQ0ol0
1Ah3o`036`?o008J0ol00QT3o`036P?o00DM0ol02B<3o`0B:`Co024g0ol0?4H3o`1HBP?o06`e0ol0
P`d3oc2L00?oPk@00oo9^P03omV>00?ohfl00ooUJ007ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01Oooool3o`1AC@?o06dc0ol5S003oebY00?oaL@00ooIS@03onQL00?olSP00oog9@03
ooLS00?olSP01?oYE`03ommj00?odih00oo7_P03oiZj00?oJjh00om3XP03ob:G00?o28d00ol0Q0`3
o`1l70?o07DX1?l0Kc43o`1[=`?o06Ll0ol0I3l3o`1R@@?o06521_l0H4<3o`1R@P?o06=00ol0ISd3
o`1Y>@Co06dd0ol0LRh3o`1g9@?o07dJ0ol0P`d3o`::00?o5I800ol/VP03odNS00?oI:`00on6]@04
oj^n00?oakd00oo@YP03omV=00?ohG@00ooXFP03onm300?om2h00ooi7@03oo`A00Koo@X01?ok4@03
ooPN00?olc400oo]B@03onEU00?og8<00ooBXP03olNo00?oVkX00omZ[P03ocjP00?o5i<01?l0Q@P3
o`1h8`?o06/f0ol0Gd@3o`1DC0?o04=90ol0<403o`0Q=`?o01L`0ol03bT3o`0:90Co00LP0ol011d3
o`036`?o008J1_l00QT3o`026P?o00<K0ol011`3o`057P?o00HP0ol02244o`098`?o00XT0ol02bD3
o`0<9PWo00dW0ol032H3o`0;9@?o00XT0ol02283o`0780Co00DN0ol011d3o`036`?o008J0ol00QT3
o`026P?o00<K0ol01Ql3o`0:90?o018/0ol083H3o`0g@`Co05A<0ol0Ic`3o`1l70?o5Y800omMZP03
ok?000?oeIX00ooRK`03onYF00?ojET00ooON@07ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01Oooool3o`1AC@?o06dc0ol5S003oebY00?oaL@00ooIS@03onQL00?olSP00oog9@03ooLS
00?olSP01?oYE`03ommj00?odih00oo7_P03oiZj00?oJjh00om3XP03ob:G00?o28d00ol0Q0`3o`1l
70?o07DX1?l0Kc43o`1[=`?o06Ll0ol0I3l3o`1R@@?o06521_l0H4<3o`1R@P?o06=00ol0ISd3o`1Y
>@Co06dd0ol0LRh3o`1g9@?o07dJ0ol0P`d3o`::00?o5I800ol/VP03odNS00?oI:`00on6]@04oj^n
00?oakd00oo@YP03omV=00?ohG@00ooXFP03onm300?om2h00ooi7@03oo`A00Koo@X01?ok4@03ooPN
00?olc400oo]B@03onEU00?og8<00ooBXP03olNo00?oVkX00omZ[P03ocjP00?o5i<01?l0Q@P3o`1h
8`?o06/f0ol0Gd@3o`1DC0?o04=90ol0<403o`0Q=`?o01L`0ol03bT3o`0:90Co00LP0ol011d3o`03
6`?o008J1_l00QT3o`026P?o00<K0ol011`3o`057P?o00HP0ol02244o`098`?o00XT0ol02bD3o`0<
9PWo00dW0ol032H3o`0;9@?o00XT0ol02283o`0780Co00DN0ol011d3o`036`?o008J0ol00QT3o`02
6P?o00<K0ol01Ql3o`0:90?o018/0ol083H3o`0g@`Co05A<0ol0Ic`3o`1l70?o5Y800omMZP03ok?0
00?oeIX00ooRK`03onYF00?ojET00ooON@07ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01Oooool3o`1AC@?o06dc0ol5S003oebY00?oaL@00ooIS@03onQL00?olSP00oog9@03ooLS00?o
lSP01?oYE`03ommj00?odih00oo7_P03oiZj00?oJjh00om3XP03ob:G00?o28d00ol0Q0`3o`1l70?o
07DX1?l0Kc43o`1[=`?o06Ll0ol0I3l3o`1R@@?o06521_l0H4<3o`1R@P?o06=00ol0ISd3o`1Y>@Co
06dd0ol0LRh3o`1g9@?o07dJ0ol0P`d3o`::00?o5I800ol/VP03odNS00?oI:`00on6]@04oj^n00?o
akd00oo@YP03omV=00?ohG@00ooXFP03onm300?om2h00ooi7@03oo`A00Koo@X01?ok4@03ooPN00?o
lc400oo]B@03onEU00?og8<00ooBXP03olNo00?oVkX00omZ[P03ocjP00?o5i<01?l0Q@P3o`1h8`?o
06/f0ol0Gd@3o`1DC0?o04=90ol0<403o`0Q=`?o01L`0ol03bT3o`0:90Co00LP0ol011d3o`036`?o
008J1_l00QT3o`026P?o00<K0ol011`3o`057P?o00HP0ol02244o`098`?o00XT0ol02bD3o`0<9PWo
00dW0ol032H3o`0;9@?o00XT0ol02283o`0780Co00DN0ol011d3o`036`?o008J0ol00QT3o`026P?o
00<K0ol01Ql3o`0:90?o018/0ol083H3o`0g@`Co05A<0ol0Ic`3o`1l70?o5Y800omMZP03ok?000?o
eIX00ooRK`03onYF00?ojET00ooON@07ooooo`7o00000Oooool001gooooo0_l00006ooooo`?o01dd
0ol0AT/3o`1V?@?o08@;0om4XP03oj6l00?odZ800ooSK@03oo1000?omb800ooi6`04ooHU00?olC/0
0ooYF003on1g00?oeIP00oo:]P03ojjo00?oQ;D00omOZP03od2Q00?o9iT00olBT@04o`::00?o08D:
0ol0P1@3o`1l6`?o07TP0ol0Mb@3o`1f9P?o07HW0ol0MRH3o`1g90?o07TP0ol0O1`4o`1o5@?o08<=
0ol0R0<3o`V=00?o69<00olZVP03ocjP00?oEZP00oma[`03ohng00?o[kl01?o7_@03olnY00?oei<0
0ooOO003onEU00?ok4l00ooa>`03ooDY00?onA`00ook4`03oo`@00?ona801?oi6P03ooHX00?olC/0
0oo[DP03on=/00?ofhP00ooAY003olK000?oW;/00om_[`03odBR00?o7iH01?l0R@03o`1m6`?o070_
0ol0ICh3o`1JB0?o04m>0ol0?4H3o`0/?@?o01lf0ol05Rl3o`0?:@Co00/U0ol01b43o`057P?o00@L
0ol00aX3o`026PKo008I0ol00QX3o`036P?o00<K0ol00a`4o`0470?o00@M3ol01Ah3o`047@?o00@L
1_l00a/3o`026POo008I0ol00QX3o`036`?o00@M0ol01b43o`0<9P?o01@^0ol08CL3o`0f@`?o059=
0ol0Hd04o`1f9P?o18/00om1X@03ohjg00?oc;<00ooMO`03on]B00?okd<00oo[D@03ommj00?ob[H0
1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol07C@3o`16B`?o06Hm0ol0
Q0/3odBR00?oXK`00ooBXP03on=]00?ol4000oog8P03ooTK00ComRD00ooa>`03onUH00?oh7L00ooE
V003olZf00?o[[l00on4]@03oenZ00?o@:400olWV@03oa:A00Co0XX00ol0Q@X3o`2050?o07`K0ol0
NB03o`1g90?o07HV0ol0MRL3o`1f9P?o07LT0ol0NB03o`1l70Co07lE0ol0P`d3o`280`?o2Hd00olH
T`03obZJ00?o?Z000omFZ003og6_00?oSkL00on__`04olNm00?ocjT00ooGT`03omml00?oiFD00oo/
C`03oo4k00?omBT00ooi7003oo/C00?oo1000ook4P04ooTJ00?omRP00ooa>`03on]B00?ohf`00ooK
R003om6T00?oa/000onL^`03ofn_00?oA:800olOUP04o`2900?o07dK0ol0L2l3o`1U?P?o05Y80ol0
Cdh3o`0lAP?o02`m0ol07cH3o`0F;`?o00lY1?l02bD3o`078@?o00DN0ol011`3o`036P?o008J1_l0
0QT3o`026P?o00<J0ol00a/3o`0370Co00@L0ol011d?o`057P?o00@M0ol011`6o`036`?o008J1ol0
0QT3o`026P?o00<K0ol011d3o`078@?o00`V0ol052h3o`0Q=`?o03I30ol0DTd3o`1S@0Co07HV0ol4
R`03od6Q00?oS[L00oo</`03omeo00?oje800oo_@`03on]A00?oggX00oo:]P07ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01Oooool3o`0M=0?o04I;0ol0ISd3o`242`?oA:800onQ_003
om:R00?ohfd00oo`@003ooLR00?onA/01?of9@03oo4k00?ojEP00ooPM`03omFH00?ob[H00on^_`03
ohBe00?oGjX00om0X@03obNI00?o4Y401?l2RP03o`252P?o080D0ol0O1/3o`1i80?o07LT0ol0MRH3
o`1f9`?o07HV0ol0Mb@3o`1i80?o07`L1?l0OaD3o`233@?o08P30ol9S@03oaRC00?o:YX00olnX003
oeJX00?oLJl00on?]`03ojno00Coakd00oo?Z@03omNC00?ogg`00ooUI@03ona?00?olC/00ooe:@03
ooTL00?ona<00ool4003oo/B00ConAX00oof:003oo4k00?oje800ooSK003om^800?odJ@00oo6`003
oibk00?oKjl00om4XP03oanF00Co08T00ol0OA/3o`1`;`?o06Dn0ol0FTP3o`1?CP?o03a60ol0;3d3
o`0O=P?o01H_0ol03bT4o`0;9@?o00LQ0ol01Ah3o`0470?o00<J0ol00QX6o`026@?o008J0ol00aX3
o`036`?o00<L1?l011`3o`047@oo00DN0ol011d3o`0470Ko00<K0ol00QX7o`026@?o008J0ol00a/3
o`047@?o00LQ0ol032H3o`0D;P?o024g0ol0=T<3o`1BC@?o06=01?l0MRH3o`B;00?o@J400on>]`03
olbc00?ogGl00oo[DP03onm300?oje400ooONP03olZf00Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`05ooooo`?o01dd0ol0AT/3o`1V?@?o08@;0om4XP03oj6l00?odZ800ooSK@03oo10
00?omb800ooi6`04ooHU00?olC/00ooYF003on1g00?oeIP00oo:]P03ojjo00?oQ;D00omOZP03od2Q
00?o9iT00olBT@04o`::00?o08D:0ol0P1@3o`1l6`?o07TP0ol0Mb@3o`1f9P?o07HW0ol0MRH3o`1g
90?o07TP0ol0O1`4o`1o5@?o08<=0ol0R0<3o`V=00?o69<00olZVP03ocjP00?oEZP00oma[`03ohng
00?o[kl01?o7_@03olnY00?oei<00ooOO003onEU00?ok4l00ooa>`03ooDY00?onA`00ook4`03oo`@
00?ona801?oi6P03ooHX00?olC/00oo[DP03on=/00?ofhP00ooAY003olK000?oW;/00om_[`03odBR
00?o7iH01?l0R@03o`1m6`?o070_0ol0ICh3o`1JB0?o04m>0ol0?4H3o`0/?@?o01lf0ol05Rl3o`0?
:@Co00/U0ol01b43o`057P?o00@L0ol00aX3o`026PKo008I0ol00QX3o`036P?o00<K0ol00a`4o`04
70?o00@M3ol01Ah3o`047@?o00@L1_l00a/3o`026POo008I0ol00QX3o`036`?o00@M0ol01b43o`0<
9P?o01@^0ol08CL3o`0f@`?o059=0ol0Hd04o`1f9P?o18/00om1X@03ohjg00?oc;<00ooMO`03on]B
00?okd<00oo[D@03ommj00?ob[H01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Go
oooo0ol01b43o`0E;P?o03I30ol0GDH3o`1j7`?o89H00ome/003olNm00?ofhP00ooYE`03oo8f00Co
mRH00oog9003oo@^00?okd400ooXFP03on1g00?oei<00oo>[@03olC400?oWk`00omn/`03of:[00Co
Bj@00olhWP03obRI00?o79D00olBT@03o`b>00?o1h`01_l4R`03o`F<00?o28d00ol<S`04oa>A00?o
79D00olWV003oc>M00?o@j800omEY`03ofV]00?oP;@00onJ^P03okG100?ob;`01?o?Z`03omFH00?o
g8@00ooRL003onQM00?okD/00ooa>`03oo@]00?omb@00ooh7P03ooPM00?omb401?oe:P03oo8h00?o
kDX00ooWG`03on1g00?of9400oo?Z`03olG400?oVKX00om_[`03odRS00?o99P01?l5S003o`2050?o
07DX0ol0JSP3o`1OA0?o05E;0ol0BD`3o`0hA0?o02Xl0ol07cD3o`0F;`Co010Z0ol032H3o`098`?o
00HP0ol01Ad3o`0470?o00<K0ol00QXCo`026@Wo008J4_l00QT3o`036PCo00<K0ol01Ad3o`0780?o
00XT0ol03bX3o`0H<@?o02Di0ol0>D@3o`1BC@?o06520ol0LR`3o`2620Co:iX00om`[`03okk300?o
eIT00ooTJ`03oni800?olCX00ooZD`03omb500?oaL<00omGZ007ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3o`078@?o01D^0ol0=T<3o`1MAP?o07XO0olPUP03ogF`00?oakd0
0ooKR003onUG00?olSH01?of9P03ooLT00?om2h00oo_@@03onQJ00?oh7L00ooGT`03olj]00?oa<@0
0onO_003ogjc00?oHZ/01?m;Y003ocRN00?o:9T00olLU@03oa:A00?o38h00ol7S006o`B;00?o1H`0
0ol8S@03o`b?00Co4i400olLU@03obNH00?o<id00om3XP03oeFW00?oJJd00on0]003oiZj00?o]L40
0oo8_004oln[00?oeIP00ooLQ003on9`00?oj5d00oo]B`03oo4k00?om2d00oog9003ooPN00?on1d0
0oog8@04ooDZ00?olSP00oo]BP03onMO00?oh7L00ooHT@03oln[00?oaL@00onI^P03ofn_00?oB:<0
0olTV004o`F<00?o080D0ol0MBP3o`1Z>0?o05m40ol0ED/3o`19C0?o03Q40ol0:S`3o`0O=@?o01H_
1?l042X3o`0<9P?o00TS0ol01R03o`057@?o00@L0ol00a/3o`026Q?o008I2Ol00QXBo`026@?o00<J
1?l00a/3o`057@?o00LP0ol02R@3o`0?:P?o01Pa0ol09CT3o`0iA0?o059=0ol0HD83o`1b;0?o08H8
1?l[VP03og2_00?o_/<00ooEV@03onA[00?okTP00ooa>P03onYC00?og8D00oo5``03oeNX00Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00LQ0ol05Bh3o`0f@`?o05e60ol0
NQl3ob2F00?oMK000oo7_@03om^800?ojEL00oob=P04ooHV00?omb@00ood;P03onm100?oj5X00ooP
M`03omNC00?ocZd00oo4a003oinl00?oO[<00omRZ`04od^T00?o>9h00olXV@03oabE00?o4Y400ol<
SP03o`N<00Ko18/00ol5S003o`R=00?o38l01?lCT@03oabE00?o9iP00olcW@03od>R00?oEJL00omY
[@03oh2d00?oV[X00one`@03olRl00Cocj/00ooEV003omb400?ohW000ooXG@03one;00?olC/00ood
;@03ooLT00?on1h00ooh7@03ooLQ00ComBX00oob>003one:00?oiel00ooPM`03omRA00?ocj/00oo5
a003oiVj00?oKjl00om8X`03obBH00Co1H`00ol0P1@3o`1e:0?o06Xh0ol0Gd@3o`1EB`?o04U<0ol0
>4@3o`0Z?0?o01le0ol05Rl4o`0@:P?o00`V0ol02B<3o`0680?o00DM0ol011`3o`036`?o008J4ol0
0QT9o`026Q;o008I0ol00aX4o`036`?o00DM0ol01b03o`0:90?o00lZ0ol06343o`0U>@?o03U40ol0
DTd3o`1Q@P?o078/0ol0QPP4ob^J00?oL:l00onn``03omFI00?oi6/00oo^B003oo4j00?ojU<00ooL
Q@03olG300?oEjP01oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol011`3
o`057P?o00lY0ol0:3/3o`1CC0?o06hc0ol0R@03odRT00?oWk/00oo@Y`03ommi00CojU@00ooa>P03
oo@]00?omB`00oob=@03oni700?oj5`00ooQM003omZ;00?odZ800oo:]P03oko300CoXk`00on;]P03
ogJa00?oIJ`00omGZ003odbU00?oA:800oloX@03ocbP00?o>il00olmX003od2Q00CoAZ<00om>Y@03
oeRX00?oI:`00omb/003oh>d00?oU[T00on[_P03ol;400?ob[P00oo?Z@04omFI00?ofXT00ooPN003
onEW00?ojEL00oo]B@03oo4m00?olc<00ooe;@03ooDZ00?omB/00ood<@04oo4j00?okTP00ooYF@03
on=]00?og8<00ooEVP03olba00?o_l<00onF^@03ofn_00?oBj@00olYV@04o`b?00?o08@<0ol0NB43
o`1_<P?o06Dn0ol0FdL3o`1CC0?o04I;0ol0=T<3o`0Z?0?o020f1?l06343o`0C;0?o00hX0ol02bD3
o`088P?o00LP0ol01Ah3o`047@?o00@L1_l00a/7o`036Pco008J1_l00aX3o`036`?o00@L0ol01Ad3
o`067`?o00PQ1?l02RD3o`0?:@?o01D^0ol07SD3o`0/?@?o03m80ol0E4`3o`1Q@P?o074^0ol0PPl3
oafE00?oF:P01?nP_003olj]00?ogH400ooXFP03onm300?okd800ooXF`03omND00?oZkh00olnX003
o`1o5POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o00@L0ol01Ah3o`0?
:@?o02Pk0ol0Dd`3o`1^<`?o08T00om8Y003oink00?od:L00ooON@04onYD00?olCX00ood;@03ooD/
00?olSD00oo^A`03onQL00?ohG@00ooJR`03om:R00?ob[H00ono``04oj>l00?oRkH00omf/@03ofF/
00?oEjP00om<Y@03odBR00?o?j400ollX003oc^O00?o?J000om0X@04odJS00?oCZD00omHZ003ofB/
00?oL[000on3]003oiJi00?oZkh00oo2a003olZh00?ocjT01?oEV@03omZ900?oh7P00ooUI`03onUG
00?okDT00ooa?@03oo<c00?omBd00ooe:P03ooD[00?om3401?oa>P03oni800?ojET00ooSK@03omb3
00?oeIX00oo</@03oko300?oU[T00om_[`03od^T00?o:IT01?l<S`03o`2430?o07TQ0ol0Kc83o`1U
?P?o05]70ol0Dd`3o`16B`?o03I30ol0:S`3o`0P=PCo01Pa0ol04b`3o`0>:0?o00/U0ol02283o`07
80?o00DN0ol011d3o`0470Ko00<K1ol00aX<o`026PKo00<J0ol00a/3o`0470?o00DM0ol01Ql3o`08
8@Co00XU0ol03bT3o`0E;P?o01he0ol0;3d3o`0oB0?o05A<0ol0HD83o`1a;P?o088?0olMU@03oeRX
00CoX;`00oo>[@03omf100?oj5X00oo_@`03onm200?oj5/00ooGU003oj^n00?o?Z000ol0OaH7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`0470?o00DN0ol03bT3o`0X>`?o
05=<0ol0KS<3o`2900?oB:@00onO^`03om2W00?oggT01?oZE003oo4j00?om2d00ooe;003oo8e00?o
kTL00ooXG003on5d00?ofX/00ooBXP03olZf00?o_l<01?nS_003oh^f00?oM[400omU[003oeNX00?o
C:D00om4XP03ocnQ00?o?:000olkW`03ocfP00?o@:401?m6X`03odjU00?oF:P00omT[003og:`00?o
Pk@00onF^@03oj^n00?o`/@00oo:^003olnY00CoeIT00ooJR@03on1h00?oiFL00ooYE`03one900?o
lCd00ooc<`03ooD]00?omBX00ooe:`03oo@a00ColCX00oo^B003onUI00?ohfd00ooLP`03omFJ00?o
c;400ono``03oiJi00?oKjl00om;Y003obVI00Co38l00ol0Q0`3o`1i8@?o06lb0ol0ICh3o`1KA`?o
05=<0ol0AT/3o`0f@`?o02Xl0ol083H4o`0H<@?o01</0ol03RP3o`0;9@?o00PR0ol01b03o`057P?o
00@M0ol011`6o`036`Oo00<J3?l00QX6o`036P?o00<K0ol011`3o`057@?o00HO0ol02244o`0:9@?o
00lY0ol05Bh3o`0N=@?o02`m0ol0?dP3o`1DC0?o06520ol0LBh3o`223`?o7ID00omHZ004oj2l00?o
cZd00ooMP@03onQJ00?okd<00oo_@P03onQK00?oei@00on[_P03ocjP00?o07lF1oooool1o`00007o
oooo0008ooooo`03o`000?oooooooooo00?ooooo00?o0000ooooooooool00_ooool3o`0000Oooooo
00?o0000ooooooooool01Oooool3o`0;9@?o00@L0ol00a/3o`0:90?o01`c0ol0@TT3o`1Q@P?o07`L
0olNU@03of^^00?o^l801?oCW`03on1h00?ojEP00oo_@@06oo8f00?ol3h00oo]B`03onQL00?ohfl0
0ooMPP03omND00CodJD00oo;]003olK100?o]l400onU_@03oiNj00?oS;L00on3]003ogjc00KoN[80
0omk/P04ognc00?oQKD00on=]`03oiRj00?oY;d00onc`003ol?400?ob;/00oo=/003om6T00?oeYL0
1?oJRP03omml00?ohfh00ooWH@03onYD00?okDX00oo_@@03oo4j00KolSL00ooa>P03oo1000CokDX0
0ooYE`03onEW00?oggX00ooIS@03om:R00?ob[L00onh`@03oi>h00?oKjl00om>Y@03obnK00Co4i40
0ol0Q`@3o`1m6@?o07@Z0ol0JcL3o`1R@@?o05U80ol0DTd3o`16BP?o03Q40ol0;Ch4o`0T>@?o01`d
0ol05c03o`0B;0?o00lY0ol032H3o`0:90?o00TS0ol01b43o`0780Ko00HO2_l01Ah3o`057`?o00HO
0ol01R03o`078@?o00TS0ol02bD3o`0=9`?o014[0ol05Rl4o`0N=@?o02Pk0ol0=T<3o`1:C0?o05M:
0ol0I3l3o`1b;@?o088@0olFT`03odZT00?oRKH00oo7_P04omND00?oi6/00oo/C`03onm400?ok4l0
0ooRLP03om2V00?oRkH00olTV003o`1f9P?o05I;1oooool1o`00007ooooo0008ooooo`03o`000?oo
oooooooo00Oooooo00Go0000ooooooooooooooooo`000006ooooo`03o`000?oooooooooo00Gooooo
0ol02bD3o`0470?o00<K0ol02R@3o`0L<`?o04990ol0HD83o`1l70?o7YD00om[[P03ok_200Codil0
0ooPN003onUH00?okd401_ob=P03oo0n00?okD/00ooXG003on=_00?ogH800ooGU004om6U00?obk@0
0oo6`@03okO100?oYKd00onG^P03ohbg00?oPk@00omn/`06ogZb00?oNk801?mo/`03ohFe00?oSKL0
0onH^P03ojBm00?o/l000oo3a003olRk00?ocK000ooAY003omJG00CofXX00ooOO003on=^00?oif40
0ooZE003one:00?okd400ooa>P06oo8g00?olCX00oo`@004one:00?ojEL00ooUI`03ommj00?ofHd0
0ooBXP03olZg00?o^<400onC^003ofn_00?oCZD00ol_V`04oa>A00?o08L40ol0OAT3o`1d:P?o06/g
0ol0HT43o`1IB0?o059=0ol0ATX3o`0hA0?o02dn1?l093T3o`0L=0?o01L`0ol04R`3o`0?:@?o00`V
0ol02R@3o`098`?o00LQ0ol01b06o`067`[o00DN0ol01Al3o`067`?o00HP0ol01b43o`098`?o00/U
0ol03BL3o`0A:`?o01H_1?l07SD3o`0X>`?o03I30ol0BT`3o`1GBP?o06@o0ol0LRd3o`2240?o5Y<0
0om:Y003ohVf00?oakh01?oGU003onA[00?ok4l00oo_A003ona?00?ohW800oo@YP03oh^f00?o99P0
0ol0MRH3o`1FB`Oooooo0Ol00001ooooo`002Oooool00ol0003oooooooooo`0:ooooo`03o`000?oo
oooooooo00Cooooo0ol00005ooooo`?o00/U0ol011`3o`036`?o00XT0ol073<3o`12B@?o06520ol0
O1`3oajE00?oJjh00onk`P04om>O00?oh7P00ooYF003onm100KolSH00oo`?P03one;00?oj5`00ooS
K`03omf200?oei@01?oAY@03ol^d00?oa/400ong`@03ojFm00?oUkX00on<]`03oh>d00?oO[<01_mj
/P03og^b00CoOk<00on5]@03ohfg00?oV;X00onT_@03ok?000?o`l@00oo8^`03olf`00?odJ@00ooF
U`04omZ:00?ogg`00ooSKP03onMQ00?ojU@00oo]BP03onm100?olCX01_ob=`03oo4j00?ol4001?o]
BP03onUG00?oiFL00ooONP03omV=00?odZ800oo:]`03okS100?oTkP00om_[`03odjU00?o;i/01?lC
T@03o`2710?o07dI0ol0M2X3o`1[=`?o06910ol0FDP3o`1BC@?o04I:0ol0>4@3o`0]?PCo02@i0ol0
73@3o`0G<0?o018/0ol03bT3o`0<9P?o00XT0ol02B<3o`078@?o00LP1_l01Ql:o`057P?o00DO0ol0
1Ql3o`0680?o00LQ0ol02B<3o`0;9@?o00dW0ol04B/3o`0F;`Co01he0ol0:3/3o`0f@`?o04Y<0ol0
EdX3o`1T?`?o078]0ol0PQ03oaJC00?oBZ@00on9]P03olNn00Coei@00ooTJ`03ona?00?okd@00oo/
C`03on9b00?od:H00on;]P03obBH00?o07HV0ol0ET/5ooooo`?o00000Oooool000Wooooo00?o0000
ooooooooool02_ooool00ol0003oooooooooo`04ooooo`03o`000?oooooooooo00Gooooo0ol0:C`3
o`0?:@?o00DM0ol00aX3o`067`?o018/0ol0;Ch3o`1DC0?o06dd0ol0QPP3oc>M00CoN;400ono``03
om:R00?ogGl00ooVI@03on]C00?okDT00oo^A`03one;00?ojU@00ooWH003on=^00CogW`00ooJRP03
omJH00?odJ<00oo=[P03olZg00?oakh00oo5a003okg300?o^<400one`@03okC100Co]L400oni`P03
okk300?oaL@00oo7_P03olVh00?oc;400oo?Z@03om>P00?oeYH00ooJS004omf100?oh7H00ooSK003
onIR00?ojEX00oo[DP03ona=00?okDT00oo]B003one:00?ok4h00ooZE@04onMO00?oi6`00ooONP03
omZ:00?oe9`00oo>[P03olK000?o[;l00on;]P03of^^00?oCJD00olaW004oaNC00?o0HX00ol0PA83
o`1h8`?o070`0ol0J3/3o`1P@`?o05U90ol0DTd3o`18C0?o03a61?l0<T43o`0Y?0?o02<h0ol07C@3
o`0I<@?o01D^0ol04R`3o`0@:P?o00lY0ol03BP3o`0=9`[o00`V0ol032L3o`0=:0?o00lY0ol042X3
o`0C;@?o01H_0ol06c<3o`0Q=`?o02Xl0ol0=D<4o`14BP?o05==0ol0G4H3o`1X>`?o07@Y0ol0PPl3
oa>A00?o@J400omg/@03okG100?od:P00ooLP`04onIS00?oje000oo[D@03onEX00?of9400oo5a003
of>/00?o1hd00ol0K3D3o`1<C@?o01`c1oooool1o`00007ooooo000:ooooo`03o`000?oooooooooo
00Gooooo1?l00007ooooo`03o`000?oooooooooo00Gooooo0ol0:C`3o`0?:@?o00DM0ol00aX3o`06
7`?o018/0ol0;Ch3o`1DC0?o06dd0ol0QPP3oc>M00CoN;400ono``03om:R00?ogGl00ooVI@03on]C
00?okDT00oo^A`03one;00?ojU@00ooWH003on=^00CogW`00ooJRP03omJH00?odJ<00oo=[P03olZg
00?oakh00oo5a003okg300?o^<400one`@03okC100Co]L400oni`P03okk300?oaL@00oo7_P03olVh
00?oc;400oo?Z@03om>P00?oeYH00ooJS004omf100?oh7H00ooSK003onIR00?ojEX00oo[DP03ona=
00?okDT00oo]B003one:00?ok4h00ooZE@04onMO00?oi6`00ooONP03omZ:00?oe9`00oo>[P03olK0
00?o[;l00on;]P03of^^00?oCJD00olaW004oaNC00?o0HX00ol0PA83o`1h8`?o070`0ol0J3/3o`1P
@`?o05U90ol0DTd3o`18C0?o03a61?l0<T43o`0Y?0?o02<h0ol07C@3o`0I<@?o01D^0ol04R`3o`0@
:P?o00lY0ol03BP3o`0=9`[o00`V0ol032L3o`0=:0?o00lY0ol042X3o`0C;@?o01H_0ol06c<3o`0Q
=`?o02Xl0ol0=D<4o`14BP?o05==0ol0G4H3o`1X>`?o07@Y0ol0PPl3oa>A00?o@J400omg/@03okG1
00?od:P00ooLP`04onIS00?oje000oo[D@03onEX00?of9400oo5a003of>/00?o1hd00ol0K3D3o`1<
C@?o01`c1oooool1o`00007ooooo0006ooooo`05o`000?ooooooooooooooool000001oooool00ol0
003oooooooooo`08ooooo`03o`000?oooooooooo00Gooooo0ol0:C`3o`0?:@?o00DM0ol00aX3o`06
7`?o018/0ol0;Ch3o`1DC0?o06dd0ol0QPP3oc>M00CoN;400ono``03om:R00?ogGl00ooVI@03on]C
00?okDT00oo^A`03one;00?ojU@00ooWH003on=^00CogW`00ooJRP03omJH00?odJ<00oo=[P03olZg
00?oakh00oo5a003okg300?o^<400one`@03okC100Co]L400oni`P03okk300?oaL@00oo7_P03olVh
00?oc;400oo?Z@03om>P00?oeYH00ooJS004omf100?oh7H00ooSK003onIR00?ojEX00oo[DP03ona=
00?okDT00oo]B003one:00?ok4h00ooZE@04onMO00?oi6`00ooONP03omZ:00?oe9`00oo>[P03olK0
00?o[;l00on;]P03of^^00?oCJD00olaW004oaNC00?o0HX00ol0PA83o`1h8`?o070`0ol0J3/3o`1P
@`?o05U90ol0DTd3o`18C0?o03a61?l0<T43o`0Y?0?o02<h0ol07C@3o`0I<@?o01D^0ol04R`3o`0@
:P?o00lY0ol03BP3o`0=9`[o00`V0ol032L3o`0=:0?o00lY0ol042X3o`0C;@?o01H_0ol06c<3o`0Q
=`?o02Xl0ol0=D<4o`14BP?o05==0ol0G4H3o`1X>`?o07@Y0ol0PPl3oa>A00?o@J400omg/@03okG1
00?od:P00ooLP`04onIS00?oje000oo[D@03onEX00?of9400oo5a003of>/00?o1hd00ol0K3D3o`1<
C@?o01`c1oooool1o`00007ooooo0006ooooo`Go00001oooool5o`0000Kooooo00?o0000oooooooo
ool01Oooool3o`1IB@?o03=10ol052d3o`0680?o008J0ol011`3o`0;9@?o01`d0ol0?DL3o`1LAP?o
07</1?l0R083oc6L00?oK:h00onX_P03olZg00?oe9d00ooKR003on1i00?ohW000ooSK003on=]00?o
hW801?oPN@03omf100?ofXX00ooGT`03omBL00?odJ@00oo?Z`03olba00?ob[H00oo9^P03olRl00[o
akh00oo8_003olVj00?ob[L00oo</P03olj]00?od:P00ooBXP03omBK00?oei@01?oIS@03om^600?o
gGl00ooON@03on5d00?ohW000ooSKP03on=]00?ohfh00ooRL003on5e00?ogg`01?oLQ@03omR?00?o
e9/00oo@Z003olZf00?oaL@00onZ_P03ohng00?oM;000omIZ@03od2Q00?o:IT01?lCT@03o`2900?o
084A0ol0NR03o`1b;0?o06/f0ol0I3l3o`1NA@?o05Q:0ol0DTd3o`1;C@Co04580ol0>4@3o`0a@0?o
02/m0ol09SX3o`0R=`?o01he0ol073<3o`0J<P?o01Ta0ol06343o`0H<0Co01Pa0ol06C43o`0J<P?o
01`d0ol07cH3o`0S>0?o02Pl0ol0;cl3o`0iA0?o04A:0ol0D4d3o`1HB@Co06520ol0JcL3o`1f9`?o
088@0ol<S`03oc:L00?oGjX00onB^003olG300?odJD00ooJRP03on1f00Cohfl00ooPN003omNE00?o
b;d00on0/`03obbJ00?o07hH0ol0H4<3o`0gA0?o01<]0ol01Ah7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01Oooool3o`1IB@?o03=10ol052d3o`0680?o008J0ol011`3o`0;9@?o01`d
0ol0?DL3o`1LAP?o07</1?l0R083oc6L00?oK:h00onX_P03olZg00?oe9d00ooKR003on1i00?ohW00
0ooSK003on=]00?ohW801?oPN@03omf100?ofXX00ooGT`03omBL00?odJ@00oo?Z`03olba00?ob[H0
0oo9^P03olRl00[oakh00oo8_003olVj00?ob[L00oo</P03olj]00?od:P00ooBXP03omBK00?oei@0
1?oIS@03om^600?ogGl00ooON@03on5d00?ohW000ooSKP03on=]00?ohfh00ooRL003on5e00?ogg`0
1?oLQ@03omR?00?oe9/00oo@Z003olZf00?oaL@00onZ_P03ohng00?oM;000omIZ@03od2Q00?o:IT0
1?lCT@03o`2900?o084A0ol0NR03o`1b;0?o06/f0ol0I3l3o`1NA@?o05Q:0ol0DTd3o`1;C@Co0458
0ol0>4@3o`0a@0?o02/m0ol09SX3o`0R=`?o01he0ol073<3o`0J<P?o01Ta0ol06343o`0H<0Co01Pa
0ol06C43o`0J<P?o01`d0ol07cH3o`0S>0?o02Pl0ol0;cl3o`0iA0?o04A:0ol0D4d3o`1HB@Co0652
0ol0JcL3o`1f9`?o088@0ol<S`03oc:L00?oGjX00onB^003olG300?odJD00ooJRP03on1f00Cohfl0
0ooPN003omNE00?ob;d00on0/`03obbJ00?o07hH0ol0H4<3o`0gA0?o01<]0ol01Ah7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01Oooool3o`1IB@?o03=10ol052d3o`0680?o008J0ol0
11`3o`0;9@?o01`d0ol0?DL3o`1LAP?o07</1?l0R083oc6L00?oK:h00onX_P03olZg00?oe9d00ooK
R003on1i00?ohW000ooSK003on=]00?ohW801?oPN@03omf100?ofXX00ooGT`03omBL00?odJ@00oo?
Z`03olba00?ob[H00oo9^P03olRl00[oakh00oo8_003olVj00?ob[L00oo</P03olj]00?od:P00ooB
XP03omBK00?oei@01?oIS@03om^600?ogGl00ooON@03on5d00?ohW000ooSKP03on=]00?ohfh00ooR
L003on5e00?ogg`01?oLQ@03omR?00?oe9/00oo@Z003olZf00?oaL@00onZ_P03ohng00?oM;000omI
Z@03od2Q00?o:IT01?lCT@03o`2900?o084A0ol0NR03o`1b;0?o06/f0ol0I3l3o`1NA@?o05Q:0ol0
DTd3o`1;C@Co04580ol0>4@3o`0a@0?o02/m0ol09SX3o`0R=`?o01he0ol073<3o`0J<P?o01Ta0ol0
6343o`0H<0Co01Pa0ol06C43o`0J<P?o01`d0ol07cH3o`0S>0?o02Pl0ol0;cl3o`0iA0?o04A:0ol0
D4d3o`1HB@Co06520ol0JcL3o`1f9`?o088@0ol<S`03oc:L00?oGjX00onB^003olG300?odJD00ooJ
RP03on1f00Cohfl00ooPN003omNE00?ob;d00on0/`03obbJ00?o07hH0ol0H4<3o`0gA0?o01<]0ol0
1Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3o`1g9@?o05m40ol0?dL3
o`0K<`?o00TS0ol00a/3o`026P?o00HO0ol042/3o`0V>P?o04Y=1?l0H4<3o`1d:@?o08L40olXV@03
oeRX00?oR;H00onc`003olVj00?ocjT00ooDW003omND00?of8l01?oISP03omV?00?oei800ooFUP03
omBK00?odZ000ooAY@03olnZ00?ocJh00oo</P03ol^e00?ob[L01?o9^003olVi00?obKP00oo:]`03
olZf00?obk<00oo</@03olj]00?ocjX00ooAYP03om:Q00Coe9d00ooEV@03omJF00?oei800ooHT009
omV>00?of9000ooGU003omFH00?odih01?oAYP03olf^00?ob[P00oo5`P03okG100?oWk`00on:]P03
og>`00?oGJX00om8X`03oc>M00?o89H01?l>S`03o`280P?o088A0ol0Nah3o`1d:@?o06hb0ol0J3X3
o`1S@0?o05e50ol0F4T3o`1DC0Co051>0ol0BD`3o`11B0?o03]50ol0=T<3o`0b@@?o02ho0ol0;3h3
o`0Z?@Ko02Tl0ol0:S`4o`0[?@?o02dn0ol0<403o`0d@P?o03Y50ol0@DP3o`1;C@?o059=0ol0EdX3
o`1NA@?o06Hm0ol0KS84o`1h8`?o088?0ol9S@03obRI00?oC:D00omf/@03oj:l00?oakl00oo?Z@03
omFH00?of9000ooGT`04om:S00?oakh00on<]`03od:R00?o08T00ol0KS83o`1CC0?o02Hj0ol03BL3
o`0470?o00<J1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Gooooo0ol0MbD3o`1O
A0?o03m70ol06c<3o`098`?o00<K0ol00QX3o`067`?o010[0ol09SX3o`1:C@Co06130ol0M2T3o`27
10?o:9T00omHZ003ohRf00?o/l000oo9^P03olnY00?oe9`00ooGU003omR?00CofHh00ooIS`03omNB
00?oeYH00ooDV`03om:P00?odJD00oo?ZP03olf^00?oc;800oo;]@03olZg00CobKP00oo9^@03olVh
00?ob[L00oo:]P03ol^c00?oc;400oo>[@03olnZ00?odJH00ooBX@04omBM00?oeIT00ooFUP03omNB
00?of9002OoISP03omR@00?oei@00ooEV003om>N00CodJH00oo=[P03olZh00?oaL800one`@03oinl
00?oR[H00omc/003oefZ00?oB:<00olcW@03ob2F00Co3Xl00ol0R083o`224@?o07/N0ol0M2T3o`1^
<P?o06Pj0ol0Hd03o`1MA@?o05Q90ol0E4`4o`1@CP?o04U<0ol0@DP3o`0kA@?o03I30ol0<T43o`0^
?`?o02`n0ol0:Sd6o`0Y?0?o02Xl1?l0:cd3o`0]?P?o03100ol0=483o`0jA@?o04580ol0Bdd3o`1B
C@?o05M:0ol0GTD3o`1V?@?o06hb1?l0N2<3o`223`?o2Hd00olXV@03odbU00?oM[400onR_003olNo
00?ocjT00ooEV003omR@00?oei<01?oBX`03olNn00?oS;L00om2XP03o`2900?o06hb0ol0Dd`3o`0V
>P?o00dW0ol011`3o`036POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`05ooooo`?o
07LU0ol0Gd@3o`0oA`?o01/c0ol02B<3o`036`?o008J0ol01Ql3o`0@:`?o02Hj0ol0BTd4o`1P@`?o
07@Y0ol0Q`@3obRI00?oF:P00on8]P03ok?000?obKX00oo?Z@03omBL00?oei@00ooHS`04omV>00?o
fHl00ooGTP03omJF00?oe9/00ooBX003om6U00?ocjX00oo=[P03olbb00?obkD00oo:]`04olVh00?o
bKT00oo9^003olZg00?ob[H00oo;/`03olba00?ocZd00oo?ZP03om6V00?odZ401?oDW@03omFI00?o
eYH00ooGTP03omR@00WofHh00ooHT003omND00?oeIP00ooCWP04om6V00?ocJh00oo:^003olG200?o
]L400onO_003ohZf00?oLk000omMZP03odRS00?o<id00olPUP04o`j?00?o08P20ol0PQ43o`1k7P?o
07@Y0ol0KS83o`1X>P?o06=00ol0GDD3o`1HB@?o05A<1?l0D4h3o`19C0?o04580ol0>dD3o`0f@`?o
03910ol0;Sl3o`0/?P?o02Xm1_l0:C`3o`0Z?0Co02/m0ol0;Ch3o`0`@0?o03A20ol0>TD3o`11B0?o
04]=0ol0DTd3o`1GBP?o05i50ol0ISd3o`1^<PCo07PS0ol0PPl3o`V=00?o:9T00om<Y@03ogJa00?o
X[`00oo7_`03olnY00?oeIP00ooHT003omNC00CodZ<00oo7_P03ohbg00?o@Z800ol0R@03o`1^<P?o
05=<0ol09SX3o`0=9`?o00@L0ol00aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1Oooool3o`b>00?o07`L0ol0ICh3o`1=CP?o02@i0ol03RP3o`057@?o008I0ol00a/3o`098`?o01H_
1?l0;Sl3o`1@CP?o06520ol0Lb/3o`2430?o69<00olnX003ofB/00?oR;H00onV_@03ol3300?ob;`0
1?o;]@03olf_00?ocZ`00oo>Z`03olj/00?ocZd00oo=[`03olbb00?obk@00oo:]P03olVi00?obKX0
1?o8_009olRm00Kob;`00oo9^P03olVi00?ob[L00oo;]@03olbc00Coc;400oo=[`03olj]00?ocZ`0
0oo>Z`03oln[00?ocZ`00oo>[@03olf`00?obk<00oo:]`03olRm00CoaL<00onk`P03ojfo00?oW[/0
0on>]`03ogfc00?oJjh00omIZ@03odRS00?o=ih00olVV003oaJB00Co1hd00ol0Q`D3o`214P?o07/M
0ol0MRH3o`1a;`?o06`f0ol0Ic`3o`1R@@?o05i50ol0FTP4o`1GBP?o05=<0ol0DDd3o`1>CP?o04U<
0ol0ADX3o`13B@?o04581_l0@4P3o`11B0?o04991?l0ADX3o`19C0?o04m>0ol0DTd3o`1EB`?o05Y8
0ol0Gd@3o`1T?`?o06/g0ol0LR`3o`1j7`?o08<>1?l7S003ob2F00?o?Z000omOZP03oh>d00?oY[d0
0oo5a003ol^e00KocZd00oo:]`03ok[200CoR;H00om=Y@03o`n@00?o07PS0ol0Gd@3o`0nA`?o01Tb
0ol02283o`036P?o00<L0ol03BL7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Ooo
ool3o`b>00?o07`L0ol0ICh3o`1=CP?o02@i0ol03RP3o`057@?o008I0ol00a/3o`098`?o01H_1?l0
;Sl3o`1@CP?o06520ol0Lb/3o`2430?o69<00olnX003ofB/00?oR;H00onV_@03ol3300?ob;`01?o;
]@03olf_00?ocZ`00oo>Z`03olj/00?ocZd00oo=[`03olbb00?obk@00oo:]P03olVi00?obKX01?o8
_009olRm00Kob;`00oo9^P03olVi00?ob[L00oo;]@03olbc00Coc;400oo=[`03olj]00?ocZ`00oo>
Z`03oln[00?ocZ`00oo>[@03olf`00?obk<00oo:]`03olRm00CoaL<00onk`P03ojfo00?oW[/00on>
]`03ogfc00?oJjh00omIZ@03odRS00?o=ih00olVV003oaJB00Co1hd00ol0Q`D3o`214P?o07/M0ol0
MRH3o`1a;`?o06`f0ol0Ic`3o`1R@@?o05i50ol0FTP4o`1GBP?o05=<0ol0DDd3o`1>CP?o04U<0ol0
ADX3o`13B@?o04581_l0@4P3o`11B0?o04991?l0ADX3o`19C0?o04m>0ol0DTd3o`1EB`?o05Y80ol0
Gd@3o`1T?`?o06/g0ol0LR`3o`1j7`?o08<>1?l7S003ob2F00?o?Z000omOZP03oh>d00?oY[d00oo5
a003ol^e00KocZd00oo:]`03ok[200CoR;H00om=Y@03o`n@00?o07PS0ol0Gd@3o`0nA`?o01Tb0ol0
2283o`036P?o00<L0ol03BL7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01Oooool3
o`b>00?o07`L0ol0ICh3o`1=CP?o02@i0ol03RP3o`057@?o008I0ol00a/3o`098`?o01H_1?l0;Sl3
o`1@CP?o06520ol0Lb/3o`2430?o69<00olnX003ofB/00?oR;H00onV_@03ol3300?ob;`01?o;]@03
olf_00?ocZ`00oo>Z`03olj/00?ocZd00oo=[`03olbb00?obk@00oo:]P03olVi00?obKX01?o8_009
olRm00Kob;`00oo9^P03olVi00?ob[L00oo;]@03olbc00Coc;400oo=[`03olj]00?ocZ`00oo>Z`03
oln[00?ocZ`00oo>[@03olf`00?obk<00oo:]`03olRm00CoaL<00onk`P03ojfo00?oW[/00on>]`03
ogfc00?oJjh00omIZ@03odRS00?o=ih00olVV003oaJB00Co1hd00ol0Q`D3o`214P?o07/M0ol0MRH3
o`1a;`?o06`f0ol0Ic`3o`1R@@?o05i50ol0FTP4o`1GBP?o05=<0ol0DDd3o`1>CP?o04U<0ol0ADX3
o`13B@?o04581_l0@4P3o`11B0?o04991?l0ADX3o`19C0?o04m>0ol0DTd3o`1EB`?o05Y80ol0Gd@3
o`1T?`?o06/g0ol0LR`3o`1j7`?o08<>1?l7S003ob2F00?o?Z000omOZP03oh>d00?oY[d00oo5a003
ol^e00KocZd00oo:]`03ok[200CoR;H00om=Y@03o`n@00?o07PS0ol0Gd@3o`0nA`?o01Tb0ol02283
o`036P?o00<L0ol03BL7ooooo`7o00000Oooool001gooooo0_l0003ooooooiOooooo0_l00001oooo
o`007Oooool00ol0003oooooooooo`3ooooooiOooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`3ooooooiOooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`3ooooooiOooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`3ooooooiOooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`05ooooo`03o`000?oooooooooo03[ooooo00?o0000ooooooooool0>oooool00ol0
003oooooooooo`0kooooo`03o`000?oooooooooo03[ooooo00?o0000ooooooooool0>oooool00ol0
003oooooooooo`0jooooo`03o`000?oooooooooo01gooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`05ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000ooooooooool03?ooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000ooooooooool03?ooool00ol0003o
ooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03?ooool00ol0003o
ooooooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003o
ooooooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000ooooooooool03?ooool2o`00007o
oooo000Mooooo`03o`000?oooooooooo00Gooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003ooooo
ooooo`0<ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003ooooo
ooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0<ooooo`03o`000?oooooooooo00gooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03?ooool00ol0003ooooo
ooooo`0=ooooo`03o`000?oooooooooo00cooooo00?o0000ooooooooool03Oooool00ol0003ooooo
ooooo`0<ooooo`;o00000Oooool001goooooool0002Ko`00007ooooo003ooooookWooooo003ooooo
okWooooo003ooooookWooooo003ooooookWooooo003ooooookWooooo003oooooobOooooo0ol0002?
ooooo`00oooooolXooooo`03o`000?oooooooooo08kooooo002Xooooo`Go000000Goooooo`000?l0
003o0000ooooo`02o`0000;ooooo0_l00003ooooo`?o00000_ooool3o`0000?ooooo1Ol00002oooo
o`?o00000_ooool3o`0000Cooooo0ol00002ooooo`?o000000Coooooo`000?l0003ooooo0ol00003
ooooo`?o00002?ooool5o`000005ooooool0003o0000o`000?ooool00_l00002ooooo`;o00000ooo
ool3o`0000;ooooo0ol000000ooooooo0000o`000004o`0000;ooooo1Ol00003ooooo`;o00001?oo
ool00ol0003oooooooooo`2=ooooo`00Z_ooool00ol0003oooooooooo`02ooooo`04o`000?oooooo
ooooo`0000;ooooo00Ko0000oooooooooooo0000ooooool00006ooooo`03o`000?oooooooooo00Co
oooo00Go0000ooooooooooooooooo`000006ooooo`03o`000?oooooooooo00;ooooo00?o0000oooo
ooooool01?ooool01_l0003oooooooooool0003oooooo`0000?ooooo00?o0000ooooool000003Ooo
ool00ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000;ooooo00Ko0000oooooooooooo
0000ooooool00006ooooo`04o`000?ooooooooooo`0000Gooooo00Go0000ooooooooooooooooo`00
0004ooooo`04o`000?ooooooooooo`0000?ooooo00?o0000ooooooooool0SOooool00:[ooooo00?o
0000ooooooooool00_ooool01?l0003oooooooooool00002ooooo`03o`000?oooooooooo00;ooooo
1Ol00002ooooo`03o`000?oooooooooo00Cooooo00Co0000oooooooooooooooo1Ol00002ooooo`03
o`000?oooooooooo00;ooooo1Ol00002ooooo`06o`000?ooooooooooo`000?oooooo00001Oooool5
o`0000Wooooo00?o0000ooooooooool00_ooool01?l0003oooooooooool00002ooooo`03o`000?oo
oooooooo00;ooooo1Ol00002ooooo`04o`000?ooooooooooo`0000;ooooo0ol00004ooooo`03o`00
0?oooooooooo00;ooooo00?o0000ooooooooool00oooool00ol0003oooooo`00002>ooooo`00Z_oo
ool00ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool0
0_ooool01Ol0003ooooooooooooooooo000000;ooooo0_l00005ooooo`05o`000?oooooooooooooo
ool000000oooool00ol0003oooooooooo`02o`0000?ooooo00Go0000ooooooooooooooooo`000002
ooooo`06o`000?ooooooooooo`000?oooooo00000oooool00ol0003oooooo`000003ooooo`03o`00
0?oooooooooo00Oooooo00?o0000ooooooooool00_ooool01?l0003oooooooooool00002ooooo`03
o`000?oooooooooo00;ooooo00Go0000ooooooooooooooooo`000002ooooo`06o`000?oooooooooo
o`000?oooooo00001oooool00ol0003oooooooooo`02ooooo`03o`000?oooooooooo00?ooooo00?o
0000ooooool00000S_ooool00:[ooooo00Co0000oooooooooooooooo1?l00002ooooo`Co00000ooo
ool3o`0000;ooooo0_l000000ooooooo0000o`000002ooooo`Co00000_ooool3o`0000;ooooo0_l0
00000ooooooo0000o`000002ooooo`?o00000_ooool4o`0000?ooooo0ol00003ooooo`?o00002_oo
ool01?l0003oooooooooooooool4o`0000;ooooo1?l00003ooooo`?o00000_ooool4o`0000?ooooo
1?l000001?oooooo0000o`000?l00003ooooo`Co00000_ooool2o`000003ooooool0003o000008go
oooo002Zooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool04?ooool00ol0003ooooo
ooooo`0]ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool06oooool00ol0003ooooo
ooooo`2Dooooo`00Z?ooool5o`0000Sooooo00?o0000ooooooooool04Oooool2o`0002_ooooo1Ol0
0008ooooo`03o`000?oooooooooo01Kooooo00?o0000ooooooooool00_ooool00ol0003ooooooooo
o`2Dooooo`00\
\>"],
  ImageRangeCache->{{{0, 439}, {439, 0}} -> {-9.2119, -8.92509, 0.0324808, \
0.040661}},
  CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Fabry Perot Interferometer", "Section",
  CellTags->"Fabry Perot Interferometer"],

Cell[CellGroupData[{

Cell["\<\
TurboPlot[{
\tMove[GaussianBeam[1.5,.01],-50],
\tPlanoConcaveLens[-30,20,2,\"L1\",CurvatureDirection->Back],
\tMove[PlanoConvexLens[160,30,6.5,\"L2\"],110],
\tResonate[{Move[Window[50,25,Transmittance->70],150],
\tMove[Baffle[75],200]}]
\t}, PlotType->TopView, SequentialTrace->False, GenerationLimit->16, \
ThresholdIntensity->.001];\
\>", "Input",
  CellTags->"Fabry Perot Interferometer"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .3 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.214297 0.00380947 0.149998 0.00380947 [
[ 0 0 0 0 ]
[ 1 .3 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
.5 g
.2143 .1119 m
.23578 .1119 L
.22763 .1246 L
.2143 .1246 L
.2143 .1119 L
F
.2143 .1246 m
.22763 .1246 L
.22329 .1373 L
.2143 .1373 L
.2143 .1246 L
F
.2143 .1373 m
.22329 .1373 L
.22192 .15 L
.2143 .15 L
.2143 .1373 L
F
.2143 .15 m
.22192 .15 L
.22329 .1627 L
.2143 .1627 L
.2143 .15 L
F
.2143 .1627 m
.22329 .1627 L
.22763 .17539 L
.2143 .17539 L
.2143 .1627 L
F
.2143 .17539 m
.22763 .17539 L
.23578 .18809 L
.2143 .18809 L
.2143 .17539 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.2143 .1119 m
.2143 .1246 L
.2143 .1373 L
.2143 .15 L
.2143 .1627 L
.2143 .17539 L
.2143 .18809 L
.23578 .18809 L
.22763 .17539 L
.22329 .1627 L
.22192 .15 L
.22329 .1373 L
.22763 .1246 L
.23578 .1119 L
.2143 .1119 L
s
.5 g
.2143 .15 m
.23578 .15 L
.22763 .15 L
.2143 .15 L
.2143 .15 L
F
.2143 .15 m
.22763 .15 L
.22329 .15 L
.2143 .15 L
.2143 .15 L
F
.2143 .15 m
.22329 .15 L
.22192 .15 L
.2143 .15 L
.2143 .15 L
F
.2143 .15 m
.22192 .15 L
.22329 .15 L
.2143 .15 L
.2143 .15 L
F
.2143 .15 m
.22329 .15 L
.22763 .15 L
.2143 .15 L
.2143 .15 L
F
.2143 .15 m
.22763 .15 L
.23578 .15 L
.2143 .15 L
.2143 .15 L
F
0 g
.2143 .15 m
.2143 .15 L
.2143 .15 L
.2143 .15 L
.2143 .15 L
.2143 .15 L
.2143 .15 L
.23578 .15 L
.22763 .15 L
.22329 .15 L
.22192 .15 L
.22329 .15 L
.22763 .15 L
.23578 .15 L
.2143 .15 L
s
.2143 .18809 m
.23578 .18809 L
.23578 .18679 L
.2143 .18679 L
.2143 .18809 L
s
.2143 .18679 m
.23578 .18679 L
.23578 .18299 L
.2143 .18299 L
.2143 .18679 L
s
.2143 .18299 m
.23578 .18299 L
.23578 .17693 L
.2143 .17693 L
.2143 .18299 L
s
.2143 .17693 m
.23578 .17693 L
.23578 .16905 L
.2143 .16905 L
.2143 .17693 L
s
.2143 .16905 m
.23578 .16905 L
.23578 .15986 L
.2143 .15986 L
.2143 .16905 L
s
.2143 .15986 m
.23578 .15986 L
.23578 .15 L
.2143 .15 L
.2143 .15986 L
s
.2143 .15 m
.23578 .15 L
.23578 .14014 L
.2143 .14014 L
.2143 .15 L
s
.2143 .14014 m
.23578 .14014 L
.23578 .13095 L
.2143 .13095 L
.2143 .14014 L
s
.2143 .13095 m
.23578 .13095 L
.23578 .12306 L
.2143 .12306 L
.2143 .13095 L
s
.2143 .12306 m
.23578 .12306 L
.23578 .11701 L
.2143 .11701 L
.2143 .12306 L
s
.2143 .11701 m
.23578 .11701 L
.23578 .1132 L
.2143 .1132 L
.2143 .11701 L
s
.2143 .1132 m
.23578 .1132 L
.23578 .1119 L
.2143 .1119 L
.2143 .1132 L
s
.2143 .1119 m
.23578 .1119 L
.23578 .1132 L
.2143 .1132 L
.2143 .1119 L
s
.2143 .1132 m
.23578 .1132 L
.23578 .11701 L
.2143 .11701 L
.2143 .1132 L
s
.2143 .11701 m
.23578 .11701 L
.23578 .12306 L
.2143 .12306 L
.2143 .11701 L
s
.2143 .12306 m
.23578 .12306 L
.23578 .13095 L
.2143 .13095 L
.2143 .12306 L
s
.2143 .13095 m
.23578 .13095 L
.23578 .14014 L
.2143 .14014 L
.2143 .13095 L
s
.2143 .14014 m
.23578 .14014 L
.23578 .15 L
.2143 .15 L
.2143 .14014 L
s
.2143 .15 m
.23578 .15 L
.23578 .15986 L
.2143 .15986 L
.2143 .15 L
s
.2143 .15986 m
.23578 .15986 L
.23578 .16905 L
.2143 .16905 L
.2143 .15986 L
s
.2143 .16905 m
.23578 .16905 L
.23578 .17693 L
.2143 .17693 L
.2143 .16905 L
s
.2143 .17693 m
.23578 .17693 L
.23578 .18299 L
.2143 .18299 L
.2143 .17693 L
s
.2143 .18299 m
.23578 .18299 L
.23578 .18679 L
.2143 .18679 L
.2143 .18299 L
s
.2143 .18679 m
.23578 .18679 L
.23578 .18809 L
.2143 .18809 L
.2143 .18679 L
s
.5 g
.63855 .09286 m
.6581 .09286 L
.6581 .1119 L
.63564 .1119 L
.63855 .09286 L
F
.63564 .1119 m
.6581 .1119 L
.6581 .13095 L
.63391 .13095 L
.63564 .1119 L
F
.63391 .13095 m
.6581 .13095 L
.6581 .15 L
.63334 .15 L
.63391 .13095 L
F
.63334 .15 m
.6581 .15 L
.6581 .16905 L
.63391 .16905 L
.63334 .15 L
F
.63391 .16905 m
.6581 .16905 L
.6581 .18809 L
.63564 .18809 L
.63391 .16905 L
F
.63564 .18809 m
.6581 .18809 L
.6581 .20714 L
.63855 .20714 L
.63564 .18809 L
F
0 g
.63855 .09286 m
.63564 .1119 L
.63391 .13095 L
.63334 .15 L
.63391 .16905 L
.63564 .18809 L
.63855 .20714 L
.6581 .20714 L
.6581 .18809 L
.6581 .16905 L
.6581 .15 L
.6581 .13095 L
.6581 .1119 L
.6581 .09286 L
.63855 .09286 L
s
.5 g
.63855 .15 m
.6581 .15 L
.6581 .15 L
.63564 .15 L
.63855 .15 L
F
.63564 .15 m
.6581 .15 L
.6581 .15 L
.63391 .15 L
.63564 .15 L
F
.63391 .15 m
.6581 .15 L
.6581 .15 L
.63334 .15 L
.63391 .15 L
F
.63334 .15 m
.6581 .15 L
.6581 .15 L
.63391 .15 L
.63334 .15 L
F
.63391 .15 m
.6581 .15 L
.6581 .15 L
.63564 .15 L
.63391 .15 L
F
.63564 .15 m
.6581 .15 L
.6581 .15 L
.63855 .15 L
.63564 .15 L
F
0 g
.63855 .15 m
.63564 .15 L
.63391 .15 L
.63334 .15 L
.63391 .15 L
.63564 .15 L
.63855 .15 L
.6581 .15 L
.6581 .15 L
.6581 .15 L
.6581 .15 L
.6581 .15 L
.6581 .15 L
.6581 .15 L
.63855 .15 L
s
.63855 .20714 m
.6581 .20714 L
.6581 .20519 L
.63855 .20519 L
.63855 .20714 L
s
.63855 .20519 m
.6581 .20519 L
.6581 .19948 L
.63855 .19948 L
.63855 .20519 L
s
.63855 .19948 m
.6581 .19948 L
.6581 .1904 L
.63855 .1904 L
.63855 .19948 L
s
.63855 .1904 m
.6581 .1904 L
.6581 .17857 L
.63855 .17857 L
.63855 .1904 L
s
.63855 .17857 m
.6581 .17857 L
.6581 .16479 L
.63855 .16479 L
.63855 .17857 L
s
.63855 .16479 m
.6581 .16479 L
.6581 .15 L
.63855 .15 L
.63855 .16479 L
s
.63855 .15 m
.6581 .15 L
.6581 .13521 L
.63855 .13521 L
.63855 .15 L
s
.63855 .13521 m
.6581 .13521 L
.6581 .12143 L
.63855 .12143 L
.63855 .13521 L
s
.63855 .12143 m
.6581 .12143 L
.6581 .10959 L
.63855 .10959 L
.63855 .12143 L
s
.63855 .10959 m
.6581 .10959 L
.6581 .10051 L
.63855 .10051 L
.63855 .10959 L
s
.63855 .10051 m
.6581 .10051 L
.6581 .0948 L
.63855 .0948 L
.63855 .10051 L
s
.63855 .0948 m
.6581 .0948 L
.6581 .09286 L
.63855 .09286 L
.63855 .0948 L
s
.63855 .09286 m
.6581 .09286 L
.6581 .0948 L
.63855 .0948 L
.63855 .09286 L
s
.63855 .0948 m
.6581 .0948 L
.6581 .10051 L
.63855 .10051 L
.63855 .0948 L
s
.63855 .10051 m
.6581 .10051 L
.6581 .10959 L
.63855 .10959 L
.63855 .10051 L
s
.63855 .10959 m
.6581 .10959 L
.6581 .12143 L
.63855 .12143 L
.63855 .10959 L
s
.63855 .12143 m
.6581 .12143 L
.6581 .13521 L
.63855 .13521 L
.63855 .12143 L
s
.63855 .13521 m
.6581 .13521 L
.6581 .15 L
.63855 .15 L
.63855 .13521 L
s
.63855 .15 m
.6581 .15 L
.6581 .16479 L
.63855 .16479 L
.63855 .15 L
s
.63855 .16479 m
.6581 .16479 L
.6581 .17857 L
.63855 .17857 L
.63855 .16479 L
s
.63855 .17857 m
.6581 .17857 L
.6581 .1904 L
.63855 .1904 L
.63855 .17857 L
s
.63855 .1904 m
.6581 .1904 L
.6581 .19948 L
.63855 .19948 L
.63855 .1904 L
s
.63855 .19948 m
.6581 .19948 L
.6581 .20519 L
.63855 .20519 L
.63855 .19948 L
s
.63855 .20519 m
.6581 .20519 L
.6581 .20714 L
.63855 .20714 L
.63855 .20519 L
s
.5 g
.78572 .05476 m
.88095 .05476 L
.88095 .08651 L
.78572 .08651 L
.78572 .05476 L
F
.78572 .08651 m
.88095 .08651 L
.88095 .11825 L
.78572 .11825 L
.78572 .08651 L
F
.78572 .11825 m
.88095 .11825 L
.88095 .15 L
.78572 .15 L
.78572 .11825 L
F
.78572 .15 m
.88095 .15 L
.88095 .18174 L
.78572 .18174 L
.78572 .15 L
F
.78572 .18174 m
.88095 .18174 L
.88095 .21349 L
.78572 .21349 L
.78572 .18174 L
F
.78572 .21349 m
.88095 .21349 L
.88095 .24523 L
.78572 .24523 L
.78572 .21349 L
F
0 g
.78572 .05476 m
.78572 .08651 L
.78572 .11825 L
.78572 .15 L
.78572 .18174 L
.78572 .21349 L
.78572 .24523 L
.88095 .24523 L
.88095 .21349 L
.88095 .18174 L
.88095 .15 L
.88095 .11825 L
.88095 .08651 L
.88095 .05476 L
.78572 .05476 L
s
.5 g
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
.78572 .15 m
.88095 .15 L
.88095 .15 L
.78572 .15 L
.78572 .15 L
F
0 g
.78572 .15 m
.78572 .15 L
.78572 .15 L
.78572 .15 L
.78572 .15 L
.78572 .15 L
.78572 .15 L
.88095 .15 L
.88095 .15 L
.88095 .15 L
.88095 .15 L
.88095 .15 L
.88095 .15 L
.88095 .15 L
.78572 .15 L
s
.78572 .24523 m
.88095 .24523 L
.88095 .24199 L
.78572 .24199 L
.78572 .24523 L
s
.78572 .24199 m
.88095 .24199 L
.88095 .23248 L
.78572 .23248 L
.78572 .24199 L
s
.78572 .23248 m
.88095 .23248 L
.88095 .21734 L
.78572 .21734 L
.78572 .23248 L
s
.78572 .21734 m
.88095 .21734 L
.88095 .19762 L
.78572 .19762 L
.78572 .21734 L
s
.78572 .19762 m
.88095 .19762 L
.88095 .17465 L
.78572 .17465 L
.78572 .19762 L
s
.78572 .17465 m
.88095 .17465 L
.88095 .15 L
.78572 .15 L
.78572 .17465 L
s
.78572 .15 m
.88095 .15 L
.88095 .12535 L
.78572 .12535 L
.78572 .15 L
s
.78572 .12535 m
.88095 .12535 L
.88095 .10238 L
.78572 .10238 L
.78572 .12535 L
s
.78572 .10238 m
.88095 .10238 L
.88095 .08266 L
.78572 .08266 L
.78572 .10238 L
s
.78572 .08266 m
.88095 .08266 L
.88095 .06752 L
.78572 .06752 L
.78572 .08266 L
s
.78572 .06752 m
.88095 .06752 L
.88095 .05801 L
.78572 .05801 L
.78572 .06752 L
s
.78572 .05801 m
.88095 .05801 L
.88095 .05476 L
.78572 .05476 L
.78572 .05801 L
s
.78572 .05476 m
.88095 .05476 L
.88095 .05801 L
.78572 .05801 L
.78572 .05476 L
s
.78572 .05801 m
.88095 .05801 L
.88095 .06752 L
.78572 .06752 L
.78572 .05801 L
s
.78572 .06752 m
.88095 .06752 L
.88095 .08266 L
.78572 .08266 L
.78572 .06752 L
s
.78572 .08266 m
.88095 .08266 L
.88095 .10238 L
.78572 .10238 L
.78572 .08266 L
s
.78572 .10238 m
.88095 .10238 L
.88095 .12535 L
.78572 .12535 L
.78572 .10238 L
s
.78572 .12535 m
.88095 .12535 L
.88095 .15 L
.78572 .15 L
.78572 .12535 L
s
.78572 .15 m
.88095 .15 L
.88095 .17465 L
.78572 .17465 L
.78572 .15 L
s
.78572 .17465 m
.88095 .17465 L
.88095 .19762 L
.78572 .19762 L
.78572 .17465 L
s
.78572 .19762 m
.88095 .19762 L
.88095 .21734 L
.78572 .21734 L
.78572 .19762 L
s
.78572 .21734 m
.88095 .21734 L
.88095 .23248 L
.78572 .23248 L
.78572 .21734 L
s
.78572 .23248 m
.88095 .23248 L
.88095 .24199 L
.78572 .24199 L
.78572 .23248 L
s
.78572 .24199 m
.88095 .24199 L
.88095 .24523 L
.78572 .24523 L
.78572 .24199 L
s
.5 g
.97619 .15 m
.97619 .19762 L
.97619 .19599 L
.97619 .15 L
.97619 .15 L
F
.97619 .19762 m
.97619 .24523 L
.97619 .24199 L
.97619 .19599 L
.97619 .19762 L
F
.97619 .24523 m
.97619 .29285 L
.97619 .28799 L
.97619 .24199 L
.97619 .24523 L
F
.97619 .15 m
.97619 .19599 L
.97619 .19124 L
.97619 .15 L
.97619 .15 L
F
.97619 .19599 m
.97619 .24199 L
.97619 .23248 L
.97619 .19124 L
.97619 .19599 L
F
.97619 .24199 m
.97619 .28799 L
.97619 .27371 L
.97619 .23248 L
.97619 .24199 L
F
.97619 .15 m
.97619 .19124 L
.97619 .18367 L
.97619 .15 L
.97619 .15 L
F
.97619 .19124 m
.97619 .23248 L
.97619 .21734 L
.97619 .18367 L
.97619 .19124 L
F
.97619 .23248 m
.97619 .27371 L
.97619 .25101 L
.97619 .21734 L
.97619 .23248 L
F
.97619 .15 m
.97619 .18367 L
.97619 .17381 L
.97619 .15 L
.97619 .15 L
F
.97619 .18367 m
.97619 .21734 L
.97619 .19762 L
.97619 .17381 L
.97619 .18367 L
F
.97619 .21734 m
.97619 .25101 L
.97619 .22143 L
.97619 .19762 L
.97619 .21734 L
F
.97619 .15 m
.97619 .17381 L
.97619 .16232 L
.97619 .15 L
.97619 .15 L
F
.97619 .17381 m
.97619 .19762 L
.97619 .17465 L
.97619 .16232 L
.97619 .17381 L
F
.97619 .19762 m
.97619 .22143 L
.97619 .18697 L
.97619 .17465 L
.97619 .19762 L
F
.97619 .15 m
.97619 .16232 L
.97619 .15 L
.97619 .15 L
.97619 .15 L
F
.97619 .16232 m
.97619 .17465 L
.97619 .15 L
.97619 .15 L
.97619 .16232 L
F
.97619 .17465 m
.97619 .18697 L
.97619 .15 L
.97619 .15 L
.97619 .17465 L
F
.97619 .15 m
.97619 .15 L
.97619 .13767 L
.97619 .15 L
.97619 .15 L
F
.97619 .15 m
.97619 .15 L
.97619 .12535 L
.97619 .13767 L
.97619 .15 L
F
.97619 .15 m
.97619 .15 L
.97619 .11302 L
.97619 .12535 L
.97619 .15 L
F
.97619 .15 m
.97619 .13767 L
.97619 .12619 L
.97619 .15 L
.97619 .15 L
F
.97619 .13767 m
.97619 .12535 L
.97619 .10238 L
.97619 .12619 L
.97619 .13767 L
F
.97619 .12535 m
.97619 .11302 L
.97619 .07857 L
.97619 .10238 L
.97619 .12535 L
F
.97619 .15 m
.97619 .12619 L
.97619 .11633 L
.97619 .15 L
.97619 .15 L
F
.97619 .12619 m
.97619 .10238 L
.97619 .08266 L
.97619 .11633 L
.97619 .12619 L
F
.97619 .10238 m
.97619 .07857 L
.97619 .04898 L
.97619 .08266 L
.97619 .10238 L
F
.97619 .15 m
.97619 .11633 L
.97619 .10876 L
.97619 .15 L
.97619 .15 L
F
.97619 .11633 m
.97619 .08266 L
.97619 .06752 L
.97619 .10876 L
.97619 .11633 L
F
.97619 .08266 m
.97619 .04898 L
.97619 .02628 L
.97619 .06752 L
.97619 .08266 L
F
.97619 .15 m
.97619 .10876 L
.97619 .104 L
.97619 .15 L
.97619 .15 L
F
.97619 .10876 m
.97619 .06752 L
.97619 .05801 L
.97619 .104 L
.97619 .10876 L
F
.97619 .06752 m
.97619 .02628 L
.97619 .01201 L
.97619 .05801 L
.97619 .06752 L
F
.97619 .15 m
.97619 .104 L
.97619 .10238 L
.97619 .15 L
.97619 .15 L
F
.97619 .104 m
.97619 .05801 L
.97619 .05476 L
.97619 .10238 L
.97619 .104 L
F
.97619 .05801 m
.97619 .01201 L
.97619 .00714 L
.97619 .05476 L
.97619 .05801 L
F
.97619 .15 m
.97619 .10238 L
.97619 .104 L
.97619 .15 L
.97619 .15 L
F
.97619 .10238 m
.97619 .05476 L
.97619 .05801 L
.97619 .104 L
.97619 .10238 L
F
.97619 .05476 m
.97619 .00714 L
.97619 .01201 L
.97619 .05801 L
.97619 .05476 L
F
.97619 .15 m
.97619 .104 L
.97619 .10876 L
.97619 .15 L
.97619 .15 L
F
.97619 .104 m
.97619 .05801 L
.97619 .06752 L
.97619 .10876 L
.97619 .104 L
F
.97619 .05801 m
.97619 .01201 L
.97619 .02628 L
.97619 .06752 L
.97619 .05801 L
F
.97619 .15 m
.97619 .10876 L
.97619 .11633 L
.97619 .15 L
.97619 .15 L
F
.97619 .10876 m
.97619 .06752 L
.97619 .08266 L
.97619 .11633 L
.97619 .10876 L
F
.97619 .06752 m
.97619 .02628 L
.97619 .04898 L
.97619 .08266 L
.97619 .06752 L
F
.97619 .15 m
.97619 .11633 L
.97619 .12619 L
.97619 .15 L
.97619 .15 L
F
.97619 .11633 m
.97619 .08266 L
.97619 .10238 L
.97619 .12619 L
.97619 .11633 L
F
.97619 .08266 m
.97619 .04898 L
.97619 .07857 L
.97619 .10238 L
.97619 .08266 L
F
.97619 .15 m
.97619 .12619 L
.97619 .13767 L
.97619 .15 L
.97619 .15 L
F
.97619 .12619 m
.97619 .10238 L
.97619 .12535 L
.97619 .13767 L
.97619 .12619 L
F
.97619 .10238 m
.97619 .07857 L
.97619 .11302 L
.97619 .12535 L
.97619 .10238 L
F
.97619 .15 m
.97619 .13767 L
.97619 .15 L
.97619 .15 L
.97619 .15 L
F
.97619 .13767 m
.97619 .12535 L
.97619 .15 L
.97619 .15 L
.97619 .13767 L
F
.97619 .12535 m
.97619 .11302 L
.97619 .15 L
.97619 .15 L
.97619 .12535 L
F
.97619 .15 m
.97619 .15 L
.97619 .16232 L
.97619 .15 L
.97619 .15 L
F
.97619 .15 m
.97619 .15 L
.97619 .17465 L
.97619 .16232 L
.97619 .15 L
F
.97619 .15 m
.97619 .15 L
.97619 .18697 L
.97619 .17465 L
.97619 .15 L
F
.97619 .15 m
.97619 .16232 L
.97619 .17381 L
.97619 .15 L
.97619 .15 L
F
.97619 .16232 m
.97619 .17465 L
.97619 .19762 L
.97619 .17381 L
.97619 .16232 L
F
.97619 .17465 m
.97619 .18697 L
.97619 .22143 L
.97619 .19762 L
.97619 .17465 L
F
.97619 .15 m
.97619 .17381 L
.97619 .18367 L
.97619 .15 L
.97619 .15 L
F
.97619 .17381 m
.97619 .19762 L
.97619 .21734 L
.97619 .18367 L
.97619 .17381 L
F
.97619 .19762 m
.97619 .22143 L
.97619 .25101 L
.97619 .21734 L
.97619 .19762 L
F
.97619 .15 m
.97619 .18367 L
.97619 .19124 L
.97619 .15 L
.97619 .15 L
F
.97619 .18367 m
.97619 .21734 L
.97619 .23248 L
.97619 .19124 L
.97619 .18367 L
F
.97619 .21734 m
.97619 .25101 L
.97619 .27371 L
.97619 .23248 L
.97619 .21734 L
F
.97619 .15 m
.97619 .19124 L
.97619 .19599 L
.97619 .15 L
.97619 .15 L
F
.97619 .19124 m
.97619 .23248 L
.97619 .24199 L
.97619 .19599 L
.97619 .19124 L
F
.97619 .23248 m
.97619 .27371 L
.97619 .28799 L
.97619 .24199 L
.97619 .23248 L
F
.97619 .15 m
.97619 .19599 L
.97619 .19762 L
.97619 .15 L
.97619 .15 L
F
.97619 .19599 m
.97619 .24199 L
.97619 .24523 L
.97619 .19762 L
.97619 .19599 L
F
.97619 .24199 m
.97619 .28799 L
.97619 .29285 L
.97619 .24523 L
.97619 .24199 L
F
0 g
.97619 .29285 m
.97619 .28799 L
.97619 .27371 L
.97619 .25101 L
.97619 .22143 L
.97619 .18697 L
.97619 .15 L
.97619 .11302 L
.97619 .07857 L
.97619 .04898 L
.97619 .02628 L
.97619 .01201 L
.97619 .00714 L
.97619 .01201 L
.97619 .02628 L
.97619 .04898 L
.97619 .07857 L
.97619 .11302 L
.97619 .15 L
.97619 .18697 L
.97619 .22143 L
.97619 .25101 L
.97619 .27371 L
.97619 .28799 L
.97619 .29285 L
s
.039 .916 .04 r
.02381 .14428 m
.2143 .14333 L
s
0 0 0 r
2.5 Mabswid
.2143 .14333 Mdot
.039 .916 .04 r
.5 Mabswid
.02382 .15 m
.2143 .15 L
s
0 0 0 r
2.5 Mabswid
.2143 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .15571 m
.2143 .15666 L
s
0 0 0 r
2.5 Mabswid
.2143 .15666 Mdot
.039 .916 .04 r
.5 Mabswid
.2143 .14333 m
.2223 .14331 L
s
0 0 0 r
2.5 Mabswid
.2223 .14331 Mdot
.039 .916 .04 r
.5 Mabswid
.2143 .15 m
.22192 .15 L
s
0 0 0 r
2.5 Mabswid
.22192 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.2143 .15666 m
.2223 .15669 L
s
0 0 0 r
2.5 Mabswid
.2223 .15669 Mdot
.039 .916 .04 r
.5 Mabswid
.2223 .14331 m
.63509 .11674 L
s
0 0 0 r
2.5 Mabswid
.63509 .11674 Mdot
.039 .916 .04 r
.5 Mabswid
.22192 .15 m
.63334 .15 L
s
0 0 0 r
2.5 Mabswid
.63334 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.2223 .15669 m
.63509 .18325 L
s
0 0 0 r
2.5 Mabswid
.63509 .18325 Mdot
.039 .916 .04 r
.5 Mabswid
.63509 .11674 m
.6581 .11661 L
s
0 0 0 r
2.5 Mabswid
.6581 .11661 Mdot
.039 .916 .04 r
.5 Mabswid
.63334 .15 m
.6581 .15 L
s
0 0 0 r
2.5 Mabswid
.6581 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.63509 .18325 m
.6581 .18339 L
s
0 0 0 r
2.5 Mabswid
.6581 .18339 Mdot
.039 .916 .04 r
.5 Mabswid
.6581 .11661 m
.78572 .11545 L
s
0 0 0 r
2.5 Mabswid
.78572 .11545 Mdot
.039 .916 .04 r
.5 Mabswid
.6581 .15 m
.78572 .15 L
s
0 0 0 r
2.5 Mabswid
.78572 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.6581 .18339 m
.78572 .18455 L
s
0 0 0 r
2.5 Mabswid
.78572 .18455 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .11545 m
.88095 .11488 L
s
0 0 0 r
2.5 Mabswid
.88095 .11488 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .15 m
.88095 .15 L
s
0 0 0 r
2.5 Mabswid
.88095 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .18455 m
.88095 .18512 L
s
0 0 0 r
2.5 Mabswid
.88095 .18512 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11488 m
.97619 .11401 L
s
0 0 0 r
2.5 Mabswid
.97619 .11401 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11488 m
.78572 .11431 L
s
0 0 0 r
2.5 Mabswid
.78572 .11431 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.97619 .15 L
s
0 0 0 r
2.5 Mabswid
.97619 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.78572 .15 L
s
0 0 0 r
2.5 Mabswid
.78572 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18512 m
.97619 .18599 L
s
0 0 0 r
2.5 Mabswid
.97619 .18599 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18512 m
.78572 .18569 L
s
0 0 0 r
2.5 Mabswid
.78572 .18569 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .11431 m
.88095 .11373 L
s
0 0 0 r
2.5 Mabswid
.88095 .11373 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .15 m
.88095 .15 L
s
0 0 0 r
2.5 Mabswid
.88095 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .18569 m
.88095 .18626 L
s
0 0 0 r
2.5 Mabswid
.88095 .18626 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11373 m
.97619 .11287 L
s
0 0 0 r
2.5 Mabswid
.97619 .11287 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11373 m
.78572 .11316 L
s
0 0 0 r
2.5 Mabswid
.78572 .11316 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.97619 .15 L
s
0 0 0 r
2.5 Mabswid
.97619 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.78572 .15 L
s
0 0 0 r
2.5 Mabswid
.78572 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18626 m
.97619 .18713 L
s
0 0 0 r
2.5 Mabswid
.97619 .18713 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18626 m
.78572 .18683 L
s
0 0 0 r
2.5 Mabswid
.78572 .18683 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .11316 m
.88095 .11259 L
s
0 0 0 r
2.5 Mabswid
.88095 .11259 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .15 m
.88095 .15 L
s
0 0 0 r
2.5 Mabswid
.88095 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .18683 m
.88095 .1874 L
s
0 0 0 r
2.5 Mabswid
.88095 .1874 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11259 m
.97619 .11173 L
s
0 0 0 r
2.5 Mabswid
.97619 .11173 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11259 m
.78572 .11202 L
s
0 0 0 r
2.5 Mabswid
.78572 .11202 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.97619 .15 L
s
0 0 0 r
2.5 Mabswid
.97619 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.78572 .15 L
s
0 0 0 r
2.5 Mabswid
.78572 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .1874 m
.97619 .18827 L
s
0 0 0 r
2.5 Mabswid
.97619 .18827 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .1874 m
.78572 .18797 L
s
0 0 0 r
2.5 Mabswid
.78572 .18797 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .11202 m
.88095 .11145 L
s
0 0 0 r
2.5 Mabswid
.88095 .11145 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .15 m
.88095 .15 L
s
0 0 0 r
2.5 Mabswid
.88095 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .18797 m
.88095 .18854 L
s
0 0 0 r
2.5 Mabswid
.88095 .18854 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11145 m
.97619 .11059 L
s
0 0 0 r
2.5 Mabswid
.97619 .11059 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .11145 m
.78572 .11088 L
s
0 0 0 r
2.5 Mabswid
.78572 .11088 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.97619 .15 L
s
0 0 0 r
2.5 Mabswid
.97619 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .15 m
.78572 .15 L
s
0 0 0 r
2.5 Mabswid
.78572 .15 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18854 m
.97619 .18941 L
s
0 0 0 r
2.5 Mabswid
.97619 .18941 Mdot
.039 .916 .04 r
.5 Mabswid
.88095 .18854 m
.78572 .18911 L
s
0 0 0 r
2.5 Mabswid
.78572 .18911 Mdot
.039 .916 .04 r
.5 Mabswid
.78572 .15 m
.88095 .15 L
s
0 0 0 r
2.5 Mabswid
.88095 .15 Mdot
0 0 m
1 0 L
1 .3 L
0 .3 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{561, 168.25},
  ImageMargins->{{43, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008a0000Z2000`400?l00000o`00003oo`3ooooo
0?oooc<0oooo003o0?ooool0oooo<`3oool00?l0ooooo`3ooolc0?ooo`00o`3ooooo0?oooc<0oooo
003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<00000
0?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0
oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool0
3@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool0
0`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0
ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo
0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS
0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?oo
o`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000
003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo
0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo
00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo
00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o
0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?oo
o`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo
8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3o
ool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo=P00000d0?oo
o`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000
oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo=P00000d0?ooo`030000
003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007mo
O`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0
oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0
oooo003o0?oookP0oooo=P00000d0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0
000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o
0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000
oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0
<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0
000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o
0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo003o0?oookP0oooo=P00000d0?ooo`030000003oool0oooo00d0oooo003o0?oookP0
oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0
oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000
003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007moO`1oOgl0<P1oOgl0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?oookP0oooo00<0000007mo
O`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?ooofH0
oooo300000160?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000
oooo0?ooo`0=0?ooo`00o`3ooomV0?ooo``00000AP3oool00`000000Ogmo07moO`0b07moO`030000
003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0ooooIP3oool00`000000Ogmo07mo
O`0807moO`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?oo
o`0b0?ooo`030000003oool0oooo00d0oooo003o0?ooofH0oooo00<0000007moO`1oOgl0201oOgl0
0`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool0
0`000000oooo0?ooo`0=0?ooo`00o`3ooomU0?ooo`d00000AP3oool00`000000Ogmo07moO`0b07mo
O`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0ooooI@3oool2000000X0
Ogmo00<000000?ooo`3oool0A03ooolf000003@0oooo00<000000?ooo`3oool03@3oool00?l0oooo
I@3oool2000000X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000
003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0ooooI@3oool2000000X0Ogmo00<0
00000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<0
00000?ooo`3oool03@3oool00?l0ooooI@3oool2000000X0Ogmo00<000000?ooo`3oool0A03oool0
0`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool0
0?l0ooooI03oool00`000000Ogmo0000000;000004H0oooo00<0000007moO`1oOgl0<P1oOgl00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo003o0?ooof@0oooo00<0000007moO`00
00002P1oOgl00`000000oooo0?ooo`130?ooo`800000J009jPX2000000l0oooo001h0?ooo`d00000
gP3oool00`000000Ogmo0000000:07moO`030000003oool0oooo04<0oooo0P00000c00WZ2P800000
<`09jPX2000000l0oooo001h0?ooo`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool0g03o
ool00`000000Ogmo0000000:07moO`030000003oool0oooo04<0oooo0P00000c00WZ2P800000<`09
jPX2000000l0oooo001h0?ooo`d00000eP3oool700WZ2P0300000009jPX02NX:00X02NX:00<00000
00WZ2P09jPX0A009jPX2000001X02NX:6@1oOgl2000003<0oooo0P00000?0?ooo`00N03oool00`00
0000Ogmo07moO`0807moO`800000a`3oool?00WZ2PL0oooo0P0000000`1oOgl0000007moO`0807mo
O`800000AP3oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?oo
o`3oool03@3oool007P0oooo00<0000007moO`1oOgl01`1oOgl00`000000oooo0000002h0?ooo`l0
2NX:5`3oool00`000000Ogmo0000000:07moO`030000003oool0oooo04@0oooo00<0000007moO`1o
Ogl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`030000
001oOgl0Ogmo00H0Ogmo00@000000?ooo`3oool00000Z03oool@00WZ2RH0oooo00<0000007moO`00
00002`0000160?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000
oooo0?ooo`0=0?ooo`00N03oool=000009T0oooo3`09jPXe0?ooo`040000001oOgl0Ogmo000000X0
Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380
oooo00<000000?ooo`3oool03@3oool007P0oooo00<0000007moO`1oOgl01@1oOgl01@000000oooo
0?ooo`3oool0000008X0oooo3`09jPY40?ooo`040000001oOgl0Ogmo000000X0Ogmo00<000000?oo
o`3oool0A03ooolf000003@0oooo00<000000?ooo`3oool03@3oool007P0oooo00<0000007moO`1o
Ogl01@1oOgl01@000000oooo0?ooo`3oool0000007X0oooo4009jPYC0?ooo`040000001oOgl0Ogmo
000000X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0
oooo0380oooo00<000000?ooo`3oool03@3oool007P0oooo00<0000007moO`1oOgl0101oOgl00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo06T0oooo3`09jPYS0?ooo`040000001oOgl0Ogmo
000000X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0
oooo0380oooo00<000000?ooo`3oool03@3oool007P0oooo3@00001L0?ooo`l02NX:LP3oool01000
0000Ogmo07moO`00000:07moO`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo
00<0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1:0?oooa002NX:P@3oool01000
0000Ogmo07moO`00000:07moO`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo
00<0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0k0?ooo`l02NX:T@3oool01000
0000Ogmo07moO`00000:07moO`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl0
0`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo
00<0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0/0?ooo`l02NX:X03oool00`00
0000Ogmo07moO`0<000004H0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0L0?oooa002NX:[`3oool010000000Ogmo07moO`00000:07mo
O`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?oo
o`030000003oool0oooo00d0oooo001h0?ooo`d000003`3oool?00WZ2[l0oooo00@0000007moO`1o
Ogl000002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?oo
o`3oool0<P3oool00`000000oooo0?ooo`0=0?ooo`00N03oool00`000000Ogmo07moO`0207moO`03
0000003oool0oooo00@0oooo00<0000000WZ2P09jPX03@09jP[>0?ooo`040000001oOgl0Ogmo0000
00X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo
0380oooo00<000000?ooo`3oool03@3oool004<0oooo=009jPX00`0000002NX:00WZ2P0200WZ2P03
00000009jPX02NX:00H02NX:g@3oool010000000Ogmo07moO`00000:07moO`030000003oool0oooo
04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo
00d0oooo000>0?ooocD02NX:=03oool2000000<0Ogmo0P0000060?ooo`030000003oool0oooo0=/0
oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo
0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?ooo`00N03oool01@000000
Ogmo07moO`1oOgl0000000L0oooo00<000000?ooo`3oool0f`3oool010000000Ogmo07moO`00000:
07moO`030000003oool0oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b
0?ooo`030000003oool0oooo00d0oooo001h0?ooo`050000001oOgl0Ogmo07moO`0000001`3oool0
0`000000oooo0?ooo`3K0?ooo`040000001oOgl0Ogmo000000X0Ogmo00<000000?ooo`3oool0A03o
ool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3o
ool000h0ooooJ@09jPX00`0000002NX:00WZ2P3W00WZ2P0300000009jPX02NX:00/02NX:00<00000
00WZ2P09jPX0A009jPX00`0000002NX:00WZ2P0b00WZ2P800000<`09jPX2000000l0oooo001g0?oo
o`8000000`1oOgl2000000H0oooo00<000000?ooo`3oool0fP3oool200000080Ogmo00<0000007mo
O`1oOgl01`1oOgl2000004D0oooo0P00000c07moO`800000<`3oool2000000l0oooo001h0?ooo`05
0000001oOgl0Ogmo07moO`0000001`3oool00`000000oooo0?ooo`3K0?ooo`040000001oOgl0Ogmo
000000X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0
oooo0380oooo00<000000?ooo`3oool03@3oool000h0oooo=P09jPXc0?ooo`8000000`1oOgl20000
00H0oooo00<000000?ooo`3oool0f`3oool010000000Ogmo07moO`00000:07moO`030000003oool0
oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo00140?oooc<02NX:00<0000000WZ2P09jPX00P09jPX00`0000002NX:00WZ2P0700WZ
2]`0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0
Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?ooo`00N03oool=0000
00030?ooo`09jPX02NX:00l02NX:b`3oool010000000Ogmo07moO`00000:07moO`030000003oool0
oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0@0?oooa002NX:^`3oool010000000Ogmo07moO`00000:07moO`030000003oool0
oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0P0?oooa402NX:ZP3oool010000000Ogmo07moO`00000:07moO`030000003oool0
oooo04@0oooo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0
oooo00d0oooo001h0?ooo`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0a0?oooa002NX:VP3oool00`000000Ogmo07moO`0<000004H0oooo00<0000007mo
O`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`03
0000001oOgl0Ogmo00<0Ogmo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`110?oooa00
2NX:RP3oool010000000Ogmo07moO`00000:07moO`030000003oool0oooo04@0oooo00<0000007mo
O`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?ooo`d0
0000D`3ooolA00WZ2WT0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?oo
o`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?oo
o`00N03oool00`000000Ogmo07moO`0407moO`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0HP3oool@00WZ2VT0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?oo
o`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?oo
o`00N03oool00`000000Ogmo07moO`0407moO`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0LP3ooolA00WZ2UP0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?oo
o`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?oo
o`00N03oool00`000000Ogmo07moO`0407moO`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0P`3oool@00WZ2TP0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?oo
o`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?oo
o`00N03oool00`000000Ogmo07moO`0507moO`050000003oool0oooo0?ooo`000000U@3ooolA00WZ
2SL0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo0?ooo`140?ooocH00000=03oool0
0`000000oooo0?ooo`0=0?ooo`00N03oool=00000:H0oooo4009jPXW0?ooo`040000001oOgl0Ogmo
000000X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0
oooo0380oooo00<000000?ooo`3oool03@3oool007P0oooo00<0000007moO`1oOgl01P1oOgl01000
0000oooo0?ooo`00002f0?oooa002NX:603oool00`000000Ogmo0000000;000004H0oooo00<00000
07moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo001h0?oo
o`030000001oOgl0Ogmo00H0Ogmo00@000000?ooo`3oool00000aP3ooolA00WZ2PL0oooo00<00000
07moO`0000002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo0380Ogmo00<00000
0?ooo`3oool0<P3oool00`000000oooo0?ooo`0=0?ooo`00N03oool=00000=L0oooo1P09jPX00`00
00002NX:00WZ2P0:00WZ2P0300000009jPX02NX:02<02NX:8P3oool00`000000Ogmo07moO`0b07mo
O`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool007P0oooo00<0000007moO`1o
Ogl0201oOgl200000=d0oooo0P0000000`1oOgl0000007moO`0807moO`800000903ooolQ00WZ2P03
00000009jPX02NX:04l02NX:6@3oool00`000000oooo0?ooo`0=0?ooo`00N03oool=00000=h0oooo
00<0000007moO`0000002P1oOgl00`000000oooo0?ooo`130?ooo`0300000009jPX02NX:03802NX:
0P00000c00WZ2P8000003`3oool007P0oooo3@00003N0?ooo`030000001oOgl0000000X0Ogmo00<0
00000?ooo`3oool0@`3oool2000006P02NX:0P00000?0?ooo`00o`3ooomT0?ooo`030000001oOgl0
000000/00000A@3oool2000001X02NX:6@1oOgl2000001/0oooo6009jPX2000000l0oooo003o0?oo
of@0oooo00<0000007moO`0000002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo
0380Ogmo00<000000?ooo`3oool0<@3oool2000000l0oooo003o0?ooof@0oooo00<0000007moO`00
00002P1oOgl00`000000oooo0?ooo`140?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3o
ool0<P3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooomU0?ooo`8000002P1oOgl00`000000oooo
0?ooo`140?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3oool00`000000oooo
0?ooo`0=0?ooo`00o`3ooomU0?ooo`8000002P1oOgl00`000000oooo0?ooo`140?ooocH00000=03o
ool00`000000oooo0?ooo`0=0?ooo`00o`3ooomU0?ooo`d00000AP3oool00`000000Ogmo07moO`0b
07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0ooooI@3oool20000
00X0Ogmo00<000000?ooo`3oool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo
0380oooo00<000000?ooo`3oool03@3oool00?l0ooooI@3oool2000000X0Ogmo00<000000?ooo`3o
ool0A03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3o
ool03@3oool00?l0ooooIP3oool00`000000Ogmo07moO`0807moO`030000003oool0oooo04@0oooo
00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo00d0oooo
003o0?ooofH0oooo300000160?ooo`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool0<P3o
ool00`000000oooo0?ooo`0=0?ooo`00o`3ooomV0?ooo``00000AP3oool00`000000Ogmo07moO`0b
07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`00
0000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0
oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3o
ool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo
00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003o
ool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03ooolf000003@0oooo00<00000
0?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo
0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`03
0000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo
07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03o
ool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3o
ool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<00000
0?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo
0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`03
0000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo
07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03o
oolf000003@0oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b
07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0oooo^03oool00`00
0000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3oool03@3oool00?l0
oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<000000?ooo`3o
ool03@3oool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo
00<000000?ooo`3oool03@3oool00?l0oooo^03ooolf000003@0oooo00<000000?ooo`3oool03@3o
ool00?l0oooo^03oool00`000000Ogmo07moO`0b07moO`030000003oool0oooo0380oooo00<00000
0?ooo`3oool03@3oool00?l0oooo^03ooolf000003@0oooo00<000000?ooo`3oool03@3oool00?l0
ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo
0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS
0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?oo
o`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000
003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo
0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo
00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo
00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o
0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?oo
o`3oool03@3oool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo
8`3oool00`000000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3o
ool00?l0ooooo`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`00
0000oooo0?ooo`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0oooo
o`3ooolS0?ooo`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?oo
o`0=0?ooo`00o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolS0?oo
o`030000003oool0oooo00d0oooo003o0?ooool0oooo8`3oool00`000000oooo0?ooo`0=0?ooo`00
o`3ooooo0?ooob<0oooo00<000000?ooo`3oool03@3oool00?l0ooooo`3ooolc0?ooo`00o`3ooooo
0?oooc<0oooo003o0?ooool0oooo<`3oool00001\
\>"],
  ImageRangeCache->{{{0, 560}, {167.25, 0}} -> {-56.8423, -39.375, 0.470859, \
0.470859}},
  CellTags->"Fabry Perot Interferometer"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
FindInterference[{
\tMove[GaussianBeam[1.5,.01,FullForm->True],-50],
\tPlanoConcaveLens[-30,20,2,\"L1\",CurvatureDirection->Back],
\tMove[PlanoConvexLens[160,30,6.5,\"L2\"],110],
\tResonate[{Move[Window[50,25,Transmittance->70],150],
\tMove[Baffle[75],90],
\tMove[Baffle[75],200]}]
\t}, ReportedSurfaces -> {{3,4}}, SequentialTrace->False, \
GenerationLimit->16, 
\tThresholdIntensity->.001];\
\>", "Input",
  CellLabel->"In[32]:=",
  CellTags->"Fabry Perot Interferometer"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.0505738 0.5 0.0505738 [
[.1207 -0.0125 -12 -9 ]
[.1207 -0.0125 12 0 ]
[.24713 -0.0125 -6 -9 ]
[.24713 -0.0125 6 0 ]
[.37357 -0.0125 -12 -9 ]
[.37357 -0.0125 12 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.62643 -0.0125 -9 -9 ]
[.62643 -0.0125 9 0 ]
[.75287 -0.0125 -3 -9 ]
[.75287 -0.0125 3 0 ]
[.8793 -0.0125 -9 -9 ]
[.8793 -0.0125 9 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .1207 -24 -4.5 ]
[-0.0125 .1207 0 4.5 ]
[-0.0125 .24713 -12 -4.5 ]
[-0.0125 .24713 0 4.5 ]
[-0.0125 .37357 -24 -4.5 ]
[-0.0125 .37357 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .62643 -18 -4.5 ]
[-0.0125 .62643 0 4.5 ]
[-0.0125 .75287 -6 -4.5 ]
[-0.0125 .75287 0 4.5 ]
[-0.0125 .8793 -18 -4.5 ]
[-0.0125 .8793 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -66 0 ]
[.5 1.0125 66 9 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.1207 0 m
.1207 .00625 L
s
[(-7.5)] .1207 -0.0125 0 1 Mshowa
.24713 0 m
.24713 .00625 L
s
[(-5)] .24713 -0.0125 0 1 Mshowa
.37357 0 m
.37357 .00625 L
s
[(-2.5)] .37357 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.62643 0 m
.62643 .00625 L
s
[(2.5)] .62643 -0.0125 0 1 Mshowa
.75287 0 m
.75287 .00625 L
s
[(5)] .75287 -0.0125 0 1 Mshowa
.8793 0 m
.8793 .00625 L
s
[(7.5)] .8793 -0.0125 0 1 Mshowa
.125 Mabswid
.01955 0 m
.01955 .00375 L
s
.04484 0 m
.04484 .00375 L
s
.07012 0 m
.07012 .00375 L
s
.09541 0 m
.09541 .00375 L
s
.14598 0 m
.14598 .00375 L
s
.17127 0 m
.17127 .00375 L
s
.19656 0 m
.19656 .00375 L
s
.22184 0 m
.22184 .00375 L
s
.27242 0 m
.27242 .00375 L
s
.2977 0 m
.2977 .00375 L
s
.32299 0 m
.32299 .00375 L
s
.34828 0 m
.34828 .00375 L
s
.39885 0 m
.39885 .00375 L
s
.42414 0 m
.42414 .00375 L
s
.44943 0 m
.44943 .00375 L
s
.47471 0 m
.47471 .00375 L
s
.52529 0 m
.52529 .00375 L
s
.55057 0 m
.55057 .00375 L
s
.57586 0 m
.57586 .00375 L
s
.60115 0 m
.60115 .00375 L
s
.65172 0 m
.65172 .00375 L
s
.67701 0 m
.67701 .00375 L
s
.7023 0 m
.7023 .00375 L
s
.72758 0 m
.72758 .00375 L
s
.77816 0 m
.77816 .00375 L
s
.80344 0 m
.80344 .00375 L
s
.82873 0 m
.82873 .00375 L
s
.85402 0 m
.85402 .00375 L
s
.90459 0 m
.90459 .00375 L
s
.92988 0 m
.92988 .00375 L
s
.95516 0 m
.95516 .00375 L
s
.98045 0 m
.98045 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .1207 m
.00625 .1207 L
s
[(-7.5)] -0.0125 .1207 1 0 Mshowa
0 .24713 m
.00625 .24713 L
s
[(-5)] -0.0125 .24713 1 0 Mshowa
0 .37357 m
.00625 .37357 L
s
[(-2.5)] -0.0125 .37357 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .62643 m
.00625 .62643 L
s
[(2.5)] -0.0125 .62643 1 0 Mshowa
0 .75287 m
.00625 .75287 L
s
[(5)] -0.0125 .75287 1 0 Mshowa
0 .8793 m
.00625 .8793 L
s
[(7.5)] -0.0125 .8793 1 0 Mshowa
.125 Mabswid
0 .01955 m
.00375 .01955 L
s
0 .04484 m
.00375 .04484 L
s
0 .07012 m
.00375 .07012 L
s
0 .09541 m
.00375 .09541 L
s
0 .14598 m
.00375 .14598 L
s
0 .17127 m
.00375 .17127 L
s
0 .19656 m
.00375 .19656 L
s
0 .22184 m
.00375 .22184 L
s
0 .27242 m
.00375 .27242 L
s
0 .2977 m
.00375 .2977 L
s
0 .32299 m
.00375 .32299 L
s
0 .34828 m
.00375 .34828 L
s
0 .39885 m
.00375 .39885 L
s
0 .42414 m
.00375 .42414 L
s
0 .44943 m
.00375 .44943 L
s
0 .47471 m
.00375 .47471 L
s
0 .52529 m
.00375 .52529 L
s
0 .55057 m
.00375 .55057 L
s
0 .57586 m
.00375 .57586 L
s
0 .60115 m
.00375 .60115 L
s
0 .65172 m
.00375 .65172 L
s
0 .67701 m
.00375 .67701 L
s
0 .7023 m
.00375 .7023 L
s
0 .72758 m
.00375 .72758 L
s
0 .77816 m
.00375 .77816 L
s
0 .80344 m
.00375 .80344 L
s
0 .82873 m
.00375 .82873 L
s
0 .85402 m
.00375 .85402 L
s
0 .90459 m
.00375 .90459 L
s
0 .92988 m
.00375 .92988 L
s
0 .95516 m
.00375 .95516 L
s
0 .98045 m
.00375 .98045 L
s
.25 Mabswid
0 0 m
0 1 L
s
.1207 .99375 m
.1207 1 L
s
.24713 .99375 m
.24713 1 L
s
.37357 .99375 m
.37357 1 L
s
.5 .99375 m
.5 1 L
s
.62643 .99375 m
.62643 1 L
s
.75287 .99375 m
.75287 1 L
s
.8793 .99375 m
.8793 1 L
s
.125 Mabswid
.01955 .99625 m
.01955 1 L
s
.04484 .99625 m
.04484 1 L
s
.07012 .99625 m
.07012 1 L
s
.09541 .99625 m
.09541 1 L
s
.14598 .99625 m
.14598 1 L
s
.17127 .99625 m
.17127 1 L
s
.19656 .99625 m
.19656 1 L
s
.22184 .99625 m
.22184 1 L
s
.27242 .99625 m
.27242 1 L
s
.2977 .99625 m
.2977 1 L
s
.32299 .99625 m
.32299 1 L
s
.34828 .99625 m
.34828 1 L
s
.39885 .99625 m
.39885 1 L
s
.42414 .99625 m
.42414 1 L
s
.44943 .99625 m
.44943 1 L
s
.47471 .99625 m
.47471 1 L
s
.52529 .99625 m
.52529 1 L
s
.55057 .99625 m
.55057 1 L
s
.57586 .99625 m
.57586 1 L
s
.60115 .99625 m
.60115 1 L
s
.65172 .99625 m
.65172 1 L
s
.67701 .99625 m
.67701 1 L
s
.7023 .99625 m
.7023 1 L
s
.72758 .99625 m
.72758 1 L
s
.77816 .99625 m
.77816 1 L
s
.80344 .99625 m
.80344 1 L
s
.82873 .99625 m
.82873 1 L
s
.85402 .99625 m
.85402 1 L
s
.90459 .99625 m
.90459 1 L
s
.92988 .99625 m
.92988 1 L
s
.95516 .99625 m
.95516 1 L
s
.98045 .99625 m
.98045 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .1207 m
1 .1207 L
s
.99375 .24713 m
1 .24713 L
s
.99375 .37357 m
1 .37357 L
s
.99375 .5 m
1 .5 L
s
.99375 .62643 m
1 .62643 L
s
.99375 .75287 m
1 .75287 L
s
.99375 .8793 m
1 .8793 L
s
.125 Mabswid
.99625 .01955 m
1 .01955 L
s
.99625 .04484 m
1 .04484 L
s
.99625 .07012 m
1 .07012 L
s
.99625 .09541 m
1 .09541 L
s
.99625 .14598 m
1 .14598 L
s
.99625 .17127 m
1 .17127 L
s
.99625 .19656 m
1 .19656 L
s
.99625 .22184 m
1 .22184 L
s
.99625 .27242 m
1 .27242 L
s
.99625 .2977 m
1 .2977 L
s
.99625 .32299 m
1 .32299 L
s
.99625 .34828 m
1 .34828 L
s
.99625 .39885 m
1 .39885 L
s
.99625 .42414 m
1 .42414 L
s
.99625 .44943 m
1 .44943 L
s
.99625 .47471 m
1 .47471 L
s
.99625 .52529 m
1 .52529 L
s
.99625 .55057 m
1 .55057 L
s
.99625 .57586 m
1 .57586 L
s
.99625 .60115 m
1 .60115 L
s
.99625 .65172 m
1 .65172 L
s
.99625 .67701 m
1 .67701 L
s
.99625 .7023 m
1 .7023 L
s
.99625 .72758 m
1 .72758 L
s
.99625 .77816 m
1 .77816 L
s
.99625 .80344 m
1 .80344 L
s
.99625 .82873 m
1 .82873 L
s
.99625 .85402 m
1 .85402 L
s
.99625 .90459 m
1 .90459 L
s
.99625 .92988 m
1 .92988 L
s
.99625 .95516 m
1 .95516 L
s
.99625 .98045 m
1 .98045 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
s
0 0 m
0 1 L
s
[(Interference Intensity)] .5 1.0125 0 -1 Mshowa
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.01923 .01923 translate
.96154 .96154 scale
384 string
128 128 8 [128 0 0 128 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
00021900021A00031B00031B00041C00041C00041D00041D00041C00041C00041C00041C
00031B00031B00031B00031B00031B00031B00031B00031A00031A00031A00031B00041C
00051E000620000822000923000A24000B25000B25000B25000B25000A24000A24000923
00092300092200082200082100072100072000062000062000061F00061F00061F00061F
00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F
00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F
00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F000620
000720000720000721000821000822000923000923000A24000A24000B25000B25000C26
000C26000C27000C26000B26000A2400092300072100051F00041D00031B00031B00031A
00031B00031B00031B00031B00031B00031B00031B00041C00041C00041D00041D00051D
00051D00051D00051D00041D00041C00031B00031A000219
00021A00031B00031C00041C00041D00041D00041D00041D00041C00041C00041C00031B
00031B00031B00031B00031B00031B00031B00031A00031A00031B00041C00051D00061F
000822000924000B25000C26000C26000C26000C26000B25000B25000A24000A24000923
00092200082200082100072100072000062000062000062000061F00061F00061F00061F
00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F
00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F00061F
00061F00061F00061F00061F00061F000620000620000620000620000620000620000620
000720000720000720000721000821000822000923000923000A24000A25000B25000C26
000C27000D27000D28000D28000D27000C26000B2500092300072000051E00041C00031B
00031B00031B00031B00031B00031B00031B00031C00041C00041C00041C00041D00051D
00051E00051E00051E00051E00051D00041D00031B00031A
00031B00031C00041C00041D00041D00041D00041D00041D00041C00041C00031C00031B
00031B00031B00031B00031B00031B00031B00031B00031B00041D00061F000721000923
000B25000C26000D27000D27000C27000C26000B26000B25000A24000A24000923000822
000822000721000721000720000720000720000620000620000620000620000620000620
00061F00061F00061F00061F00061F00061F00061F000620000620000720000720000721
000721000721000821000821000821000821000721000721000721000721000720000720
00062000062000062000061F00061F000620000620000620000720000720000720000720
000720000720000720000721000721000721000822000822000923000A24000A25000B25
000C26000D27000D28000E28000E29000E29000E28000C27000A2500082200062000051D
00041C00031B00031B00031B00031B00041C00041C00041C00041C00041C00041D00041D
00051D00051E00051E00051E00051E00051E00041D00031C
00031B00041C00041D00041D00041D00041D00041D00041C00041C00041C00031B00031B
00031B00031B00031B00031B00031B00031B00041C00051E000720000923000B25000C26
000D27000D28000D27000D27000C26000B26000B25000A24000923000923000822000821
000721000721000720000720000720000720000720000720000620000620000620000620
000620000620000720000721000821000822000923000A24000A25000B25000C26000C27
000D27000D28000E28000E28000E28000E28000E28000D27000D27000C26000B26000B25
000A24000923000822000822000721000721000720000720000720000720000720000720
000721000721000721000721000721000721000721000822000822000923000A24000A24
000B25000C26000D27000E28000E28000F29000F29000F29000E28000C26000A24000721
00051E00041D00031B00031B00031B00031C00041C00041C00041C00041C00041C00041D
00051D00051E00051E00051E00051E00051E00051E00041D
00041C00041D00041D00041D00041D00041D00041D00041C00041C00031C00031B00031B
00031B00031B00031B00031B00031B00041D00061F000821000A24000C26000D27000E28
000E28000D28000D27000C26000B26000B25000A24000923000822000822000721000721
000721000721000721000721000720000720000720000620000620000720000720000721
000822000923000A25000C26000D28000F2900112B00122C00142E00162F001730001831
001931001A32001A32001B33001B33001B33001A3200193200193100173000162F00152E
00132D00112B00102A000E28000C27000B25000A24000923000822000721000721000720
000720000721000721000721000721000821000821000821000822000822000922000923
000A24000B25000C26000D27000E28000E29000F2900102A00102A000F29000D28000B25
00092200062000051D00041C00031B00031B00041C00041C00041C00041C00041C00041C
00041D00051D00051E00051E00051E00051E00051E00051E
00041C00041D00041D00041D00041D00041D00041C00041C00031C00031C00031C00031B
00031B00031B00031B00041C00051D000620000822000B25000D27000E28000E28000E28
000D28000D27000C26000B25000A24000A24000923000822000821000721000721000721
000721000721000721000720000720000720000720000721000822000923000A25000C27
000F2900112B00142D001730001932001C34001F3600213700233800253A00273B00283B
00293C002A3D002B3D002B3D002B3D002B3D002B3D002A3C00293C00283B00263A002539
002238002036001D35001B3300183000152E00122C000F29000D27000B25000A24000822
000821000721000721000721000721000821000821000822000822000822000822000822
000923000A24000B25000C26000D27000D28000E29000F2900102A00102A00102A000F29
000C27000A2400072100051E00041C00031B00031B00041C00041C00041C00041C00041C
00041D00041D00051E00051E00051E00051E00051E00051E
00041D00041D00041D00041D00041D00041C00041C00041C00031C00031C00031B00031B
00031B00031B00041C00051E000720000923000C26000D28000E29000E29000E28000D28
000D27000C26000B25000A24000923000822000822000821000721000721000721000721
000721000720000720000720000721000822000923000B25000D2700102A00132D001730
001B33001F3600233800263A00293C002C3E002F3F003040003241003341003442003542
003543003643003643003643003643003643003643003643003643003543003542003442
003241003040002E3F002B3D00283B002539002137001D3400193100152E00112B000E28
000C26000A24000822000821000721000721000721000821000822000822000822000822
000822000923000923000A24000B25000C27000D28000E29000F2900102A00112B00112B
000F2A000D28000B2500082200061F00041D00031C00031B00041C00041C00041C00041C
00041C00041D00041D00051E00051E00051E00051E00051E
00041D00041D00041D00041C00041C00041C00041C00041C00041C00031C00031B00031B
00031B00041C00051E000721000A24000C26000E28000F29000F29000E28000D28000C27
000C26000B25000A24000923000822000822000821000721000721000721000721000721
000720000721000721000822000A24000D2700102A00142D001831001D3400223700273A
002B3D002E3F003141003442003543003643003744003744003844003844003744003744
003743003743003743003743003743003744003844003844003844003944003945003945
003A45003945003944003844003643003442003140002E3E00293C002439001F36001A32
00152E00112B000E28000B25000923000822000821000721000821000822000822000822
000822000822000922000923000A24000B25000C26000D27000E28000F2900102A00112B
00112B00102A000E28000B2600082200061F00041D00041C00031B00041C00041C00041C
00041C00041C00041D00041D00051E00051E00051E00051E
00041C00041C00041C00041C00041C00031C00031C00041C00031C00031B00031B00031B
00041C00061F000821000A25000D27000E28000F29000F29000E28000D27000C26000B25
000A24000923000922000822000821000821000821000721000721000721000721000721
000821000923000B25000E2800122C001730001C3400223700273B002C3E003040003442
003643003743003844003844003744003643003643003542003442003341003241003241
003140003140003040003040003140003140003140003241003241003342003442003543
003743003844003944003A45003B45003B45003B45003945003744003442003040002B3D
002539001F3500193100132D000F29000C26000A24000822000821000821000822000822
000822000822000822000822000923000A24000B25000C26000D27000E28000F2900102A
00112B00112B00112B000F29000C2600092300062000041D00041C00031B00041C00041C
00041C00041C00041C00041D00051D00051E00051E00051E
00041C00041C00041C00041C00031C00031C00031C00031C00031B00031B00031B00041D
00061F000822000B25000D27000F29000F29000F29000E28000D27000C26000B25000A24
000923000822000822000821000821000821000721000721000721000721000821000923
000B25000F2900132D001931001F3600253A002B3D003040003442003643003844003844
003744003643003542003341003141003040002F3F002D3E002C3E002B3D002A3D002A3C
00293C00293C00293C00293C00293C00293C00293C002A3C002B3D002B3D002C3E002E3E
002F3F003040003241003442003643003844003A45003B45003C46003C46003B45003844
003542002F3F00293C002238001B3300152E00102A000C26000A24000822000821000821
000822000822000822000822000822000923000923000A24000B26000D27000E28000F29
00102A00112B00122B00112B000F29000D2700092300062000051D00041C00031C00041C
00041C00041C00041C00041C00041D00051D00051E00051E
00041C00041C00031C00031B00031B00031C00031B00031B00031B00031B00041D00061F
000822000B25000D28000F29000F29000F29000E28000D27000C26000B25000A24000923
000822000822000821000821000821000721000721000721000721000923000B25000E29
00132D001A3200203700273B002E3E003241003643003844003844003743003643003442
003141002F3F002D3E002B3D002A3C00283B00273B00263A002539002439002439002338
00233800223800223800223800223800223800233800233800243900243900253A00263A
00273B00293C002A3D002C3D002E3F003040003241003542003744003A45003C46003D46
003D46003B45003844003241002B3D002439001C3400152F00102A000C26000924000822
000821000822000822000822000822000822000923000923000A24000B25000C27000E28
000F2900102A00112B00122C00112B00102A000D27000A2400072000051D00041C00031C
00041C00041C00041C00041C00041C00041D00041D00051E
00041C00031B00031B00031B00031B00031B00031B00031B00031B00041D00061F000822
000B25000D28000F29000F29000E29000E28000D27000C26000B25000924000922000822
000821000821000821000721000721000721000721000822000A24000E2800132C001931
00203700283B002F3F003442003743003844003844003643003442003140002F3F002C3E
002A3C00283B00263A002539002338002237002137002036001F36001E35001E35001D34
001D34001D34001D34001D34001D34001D34001D34001D35001E35001E35001F36002036
00213700223800233800253900263A00283B002A3D002D3E002F3F003241003543003844
003B45003D46003E47003D46003945003442002D3E002439001C3400152E000F29000B25
000923000822000822000822000822000822000922000923000923000A24000B25000C26
000D28000F2900102A00112B00122C00122B00102A000D27000A2400072000051D00041C
00031C00041C00041C00041C00041C00041C00041D00041D
00031B00031B00031B00031B00031B00031B00031B00031B00041C00061F000822000B25
000E28000F29000F29000E29000D28000C27000B26000A24000923000822000822000821
000821000821000721000721000721000821000923000C2600112B001730001F3600273B
002E3F003442003743003844003743003542003241002F3F002C3E002A3C00273B002539
002338002237002036001F35001D35001C34001B33001B33001A32001932001931001831
001831001831001831001831001831001831001831001931001931001932001A32001B33
001C33001D34001E35001F3600203600223700243900263A00283B002A3D002D3E003040
003442003743003A45003D46003E47003D47003A45003442002C3E002338001A3200132D
000E28000A24000822000822000822000822000822000922000923000923000A24000B25
000C26000D28000F2900102A00112B00122C00122C00102A000D27000A2400072000051D
00041C00031C00041C00041C00041C00041C00041C00041D
00031B00031B00031B00031B00031B00031B00031B00041C00061F000822000B25000D28
000F29000F29000E29000D28000C27000B26000A24000923000822000822000821000821
000821000721000721000721000822000B25000F2900152E001C34002539002D3E003341
003743003844003743003442003140002E3F002B3D00283B00253A002338002137001F36
001E35001C34001B33001A3200193100183000173000162F00162F00162F00152F00152E
00152E00152E00152E00152E00152E00152E00152E00152F00162F00162F00162F001730
001730001831001931001A32001B33001C34001E3500203600213700243900263A00293C
002C3D002F3F003341003743003A45003D47003F47003E47003A45003341002A3C002036
00173000102A000C26000923000822000822000822000822000922000923000923000923
000A25000C26000D27000F2900102A00112B00122C00122C00102A000D27000924000620
00041D00041C00031C00041C00041C00041C00041C00041C
00031B00031B00031B00031B00031B00031B00041C00051E000821000B25000D28000F29
000F29000E29000D28000C27000B25000A24000923000822000822000821000821000721
000721000721000721000923000C2600112B001931002137002A3C003140003643003844
003743003442003140002D3E002A3C00273B002439002237002036001E35001C33001A32
00193100183000173000162F00152F00152E00142E00142E00142E00142E00142E00142E
00142E00142E00142E00142E00142E00142E00142E00142E00142E00142E00152E00152E
00152E00152E00162F00162F001730001831001931001A32001C34001E35002036002238
00253900283B002B3D002E3F003241003743003B45003E47003F47003D47003844003040
00263A001C3400142D000E28000A24000822000822000822000822000923000923000923
000923000A25000C26000D27000F2900102A00112B00122C00122C00102A000D27000923
00061F00041D00041C00041C00041C00041C00041C00041C
00031B00031B00031B00031B00031B00041C00051E000721000A25000D27000F29000F29
000E29000D28000C27000B25000A24000923000822000822000821000821000721000721
000721000822000A24000E2800142E001C3400263A002E3F003442003744003744003542
003241002E3E002A3C00273A002439002137001F35001D34001B3300193100183000162F
00152F00152E00142E00142D00142D00142D00142D00142D00142E00142E00142E00142E
00142E00152E00152E00152E00152E00152E00152E00152E00152E00152E00152E00152E
00152E00152E00152E00152E00152E00152F00162F001730001830001932001B33001D34
001F3600223700243900273B002B3D002F3F003341003844003C46003F47003F48003C46
003542002B3D00213700173000102A000B25000923000822000822000822000923000923
000923000923000A24000C26000D27000F2900102A00112B00122C00122C00102A000C27
00092300061F00041D00031C00041C00041C00041C00041C
00031B00031B00031B00031B00031B00051D000720000A24000D27000F29000F29000E29
000D28000C27000B25000A24000923000822000821000821000821000721000721000721
000822000B25000F2A00173000203600293C003141003643003844003643003341002F3F
002B3D00273B002439002137001E35001C34001A3200183100173000152F00152E00142E
00142D00142D00142D00142D00142E00142E00142E00152E00152E00152E00152E00152E
00152F00152F00152F00152F00162F00162F00162F00162F00162F00152F00152F00152F
00152F00152E00152E00152E00152E00152E00152E00152E00152F00162F001730001831
001A32001C34001F3500213700243900283B002C3D003040003542003A45003E47004048
003F47003944003040002539001A3200122B000C26000923000822000822000822000923
000923000923000923000A24000C26000D27000F2900102A00112B00122C00122C000F2A
000C2600082200051E00041C00031B00041C00041C00041C
00031B00031B00031B00031B00041D000620000923000C26000E28000F29000F29000E28
000C27000B26000A24000923000822000821000821000821000721000721000721000822
000B2600112B001931002338002C3E003442003744003744003442003040002C3E00283B
002439002137001E35001C34001A3200183000162F00152E00142E00142D00142D00142D
00142D00142E00142E00152E00152E00152E00152E00152F00162F00162F00162F00162F
00173000173000173000173000173000173000173000173000173000173000162F00162F
00162F00162F00162F00162F00162F00152F00152E00152E00152E00152E00152F00162F
001730001831001A32001C34001F3600223700253A00293C002D3E003241003744003C46
004048004048003C4600344200283C001D3400132D000D27000A24000822000822000822
000923000923000923000923000A25000C26000D28000F2900102A00122B00122C00112B
000F29000B2500082100051E00041C00031B00041C00041C
00031B00031A00031B00041C00061F000822000C26000E28000F29000F29000E28000D27
000B26000A24000923000822000821000821000821000721000721000721000923000C26
00122C001B3300253A002F3F003543003844003643003341002E3F002A3C00263A002238
001F36001C34001A3200183100162F00152E00142E00142D00142D00142D00142D00142E
00152E00152E00152E00152F00162F00162F001730001730001831001931001A32001A32
001B33001C33001C34001C34001C34001C34001C34001B33001B33001A32001932001931
00183100183000173000173000162F00162F00162F00162F00162F00152F00152E00152E
00152F00162F001730001831001A32001D3400203600233800273A002B3D002F3F003542
003A45003F47004148003E47003743002C3D001F3600152E000E28000A24000822000822
000822000923000923000923000923000A25000C26000E28000F2900112B00122C00122C
00112B000E29000A2500072000041D00031C00031B00041C
00031A00031A00031B00051E000821000B25000D28000F29000F29000E28000D27000C26
000A24000923000822000822000821000821000721000721000721000923000D2700132D
001D3400273B003140003643003744003543003140002C3E00283B002439002037001D34
001B3300183100162F00152E00142E00142D00142D00142D00142E00142E00152E00152E
00152F00162F00162F001730001931001A32001C33001E3500203600223800243900273A
00283B002A3C002B3D002B3D002C3D002B3D002A3D00293C00273B00253A002338002137
001F36001D34001B33001A3200193100183000173000173000162F00162F00162F00162F
00152F00152F00152F00162F001730001931001B33001E3500213700253900293C002D3E
003341003944003E47004148004048003944002E3F00213700162F000E29000A24000822
000822000822000923000923000923000A24000B25000C26000E28000F2900112B00122C
00122C00112B000D2800092300061F00041D00031B00031B
00031A00031B00041D000720000A24000D27000E29000F29000E28000D27000C26000B25
000923000822000822000821000821000721000721000721000923000D2700142D001E35
00293C003241003743003744003442002F3F002B3D00263A002238001F36001C33001932
00173000152E00142E00142D00132D00142D00142E00142E00152E00152E00162F00162F
001730001931001B33001E3500223700263A002A3D002F3F003442003944003D47004249
00454A00484C004A4C004B4D004B4D004B4D00494C00464B004349003F47003A45003643
003140002C3E00273B002338002036001D34001B3300193100183100173000173000162F
00162F00162F00152F00152F00162F00162F001830001A32001C34001F3600233800273B
002C3D003140003743003D46004148004048003B45003040002338001730000F29000A24
000822000822000822000923000923000923000A24000B25000C27000E2800102A00112B
00122C00122C00102A000C2700082200051E00041C00031B
00031A00041C00061F000923000C26000E28000E29000E28000D27000C26000B25000924
000822000822000821000821000721000721000721000923000D2700142E001E3500293C
003241003744003743003342002E3F00293C002539002137001E35001B3300183100162F
00142E00142D00132D00142D00142D00142E00152E00152E00162F001730001831001B33
001E3500233800293C002F3F003743003F4800484C004F4E00534C00564B005949005B47
005D45005F44006043006043006043006043005F44005E45005C46005A4800574A00544C
00514D004B4D004249003A45003241002B3D002539002036001D34001A32001931001830
00173000173000162F00162F00162F00152F00162F001730001831001B33001E35002237
00263A002A3D003040003643003C46004148004148003C46003140002439001730000F29
000A24000822000822000822000923000923000923000A24000B25000D27000E2900102A
00112B00122C00122C000F29000B2500072100051D00031B
00031B00051D000721000B25000D27000E28000E28000D28000C26000B25000A24000922
000822000821000821000721000721000721000923000D2700142D001E35002A3C003341
003744003743003341002D3E00283B002439002036001D34001A3200173000152E00142D
00132D00142D00142D00142E00152E00152E00162F001730001931001C3400213700273B
002F3F00394400444A004F4E00554C005A48005E4500624100663D006939006C36006E33
00703000712F00722D00722C00722C00722D00712E00702F006F31006D34006B3700683B
00643F006043005C4700564A00514D00484C003D46003241002A3C002338001E35001B33
00193100183000173000173000162F00162F00162F00162F00162F001830001A32001D34
00213700253900293C002F3F003542003C46004148004249003C46003241002439001730
000F29000A24000822000822000922000923000923000923000A24000C26000D28000F29
00102A00122C00122C00112B000E28000A2400061F00041C
00041C00061F000923000C26000E28000E28000D28000C27000B25000A24000923000822
000821000821000721000721000721000822000C2600132D001E3500293C003341003744
003643003241002D3E00283B002338001F36001C3300193100162F00152E00142D00132D
00142D00142E00142E00152E00162F001730001931001C34002238002A3C003442004048
004F4E00554B005C4700624100673C006C3600703000732B007627007823007A20007B1E
007C1C007D1A007D1A007D19007E19007E19007D19007D1A007C1B007B1D007A20007823
00752800722D006E32006A3900643F005E4500584A00514D00454A003844002D3E002539
001F36001B3300193100183000173000173000162F00162F00162F00162F001730001932
001C3400203600243900293C002E3F003542003B46004148004249003D46003141002338
001730000E28000A24000822000822000923000923000923000923000A25000C26000E28
000F2900112B00122C00122C00102A000C2700082200051E
00051E000822000B25000D27000E28000D28000D27000C26000A24000923000822000821
000821000821000721000721000822000B2600122C001D3400293C003241003744003643
003241002D3E00273B002338001F35001B3300183100162F00142E00132D00132D00142D
00142E00152E00152F00162F001831001C33002237002A3C00364300444A00524D005949
00604300673B006D3400722D007626007921007B1D007D1A007E18007F16007F15007F15
008015008015008015008014008014008014008013008113008112008112008112008013
007F15007E18007C1C00792100752800702F006A3700643F005C4600544C004A4D003B45
002E3F002539001F35001B3300193100183000173000173000162F00162F00162F001730
001931001C33001F3600243900283B002E3F003542003B46004148004249003D46003140
00223800162F000D28000923000822000822000923000923000923000A24000B25000C27
000E2800102A00112B00122C00112B000F29000B25000720
000620000924000C26000D28000D28000D27000C26000B25000923000822000822000821
000821000721000721000822000B2500112B001B3300273B003241003744003743003241
002D3E00273B002238001E35001B3300183000152F00142D00132D00142D00142D00142E
00152E00162F001730001A3200203600283B00344200444A00524D005B47006340006A37
00712F007627007A20007C1B007E18007F17007F16007F17007E18007D19007C1B007C1C
007B1D007B1E007A1F007A1F007A1F007B1E007B1D007C1C007D1A007E18007F16008014
008112008211008210008112008014007D19007A20007529006E3200673C005E4400564B
004B4D003A45002C3E002338001D34001A3200183100173000173000162F00162F00162F
001730001831001B33001F3600233800283B002E3F003542003C46004149004249003C46
002F3F00203600142E000C27000923000822000822000923000923000923000A24000B26
000D27000F2900102A00122B00122C00112B000D27000923
000822000B25000D27000D27000D27000C26000B25000A24000922000822000821000821
000721000721000721000A24000F2A00193100253A003140003743003743003341002D3E
00273B002238001E35001B3300183000152E00142D00132D00142D00142E00152E00152E
00162F001831001D3400243900304000404800514D005A48006340006C3600722C007824
007B1D007D19007E17007E17007E19007C1B007B1E00792200772500752700742A00732C
00722D00712E00702F00702F00702F00712F00722D00732C00742A007527007724007921
007B1D007D19007F1600811200821000820F008210008015007C1C00772500703000683B
005E4500554C00474B00354200283B002036001B3300193100183000173000173000162F
00162F001730001831001B33001F3600233800283C002E3F003543003D46004249004249
003B45002D3E001E3500122C000B26000923000822000923000923000923000923000A24
000C26000E28000F2900112B00122C00112B000F29000B25
000923000C26000D27000D27000C26000B25000A24000923000822000821000821000721
000721000721000923000E28001730002338002F3F003643003744003342002D3E00283B
002338001E35001B3300173000152E00142D00132D00142D00142E00152E00152F001730
001A3200203600293C003844004C4D00584A006242006B3700722C007823007C1C007E18
007E17007D19007C1C00792000772500742900722D006F31006D34006B3700693900683A
00673C00663C00663D00663D00663D00663D00673C00683B006939006B37006D35006F32
00712E00742A007725007A1F007D1A00801500821100830E00830F008112007D1A007724
006F3100663D005C4700514D003F47002E3F002338001D34001A32001831001730001730
00162F00162F001730001831001B33001F3600243900293C002F3F003643003E47004349
004249003944002A3D001B3300102A000A25000822000822000923000923000923000A24
000B25000C27000E2800102A00112B00122B00112B000D28
000A24000C26000C27000C26000B26000A24000923000822000821000821000821000721
000721000822000C2600142E002036002C3E003543003744003442002E3F00283B002338
001F35001B3300183000152E00142D00132D00142D00142E00152E00162F001730001B33
002238002F3F00414800534D005D4500683B00702F007725007B1D007E18007E18007D1A
007A1F00772400742A00702F006D34006A3800673B00653E006340006142006043005F44
005E45005D46005D46005D46005D46005D46005E45005E4400604300614200634100643F
00673C006939006D3500703000742A007724007B1D007F1600811100830D00830D008112
007D1A007627006D3400624100574A00494C00344200273A001F35001A32001831001730
00173000162F00162F001730001831001B33001F36002439002A3C003040003844003F47
00434900414800364300273A001831000E29000A24000822000822000923000923000923
000A24000B26000D27000F2900102A00112B00112B000F29
000B25000C26000C26000B26000B25000A24000822000822000821000821000721000721
000821000B2500112B001C3400293C003442003844003543002F3F00293C002439001F36
001B3300183000152E00142D00132D00142D00142E00152E00162F001830001C34002539
00334200484C00574A006241006C35007529007A1F007D19007E18007D1B007A20007626
00722C006E33006A3800673C006340006142005E45005C46005B4800594900584900574A
00574A00564B00564B00564B00564B00564B00574A00574A005849005949005A48005C46
005E4500604300634000663D006939006D3400722D007626007B1E007F1600821000840C
00830D008013007B1E00722C00683B005C4700504E003A45002A3C002036001B33001931
00183000173000173000162F001730001931001C33002036002539002B3D003141003945
00414800444A003F4700334100223800152E000C27000923000822000923000923000923
000923000A25000C26000E28000F2900102A00112B00102A
000B25000C26000B26000B25000A24000923000822000821000821000721000721000721
000923000F2900193100263A003141003744003643003140002B3D002539002036001C33
00183100152F00142D00132D00142D00142E00152E00162F001831001D3400273B003744
004F4E005B4800663D00702F007823007C1B007E18007D1A007A1F00762600722D006D34
00693A00643F006142005E45005B4700594900574A00564B00544C00534C00524D00524D
00514D00514D00514D00514D00514D00514D00514D00524D00524D00534C00544C00564B
00574A005949005B47005D4500604300643F00683B006C3500712E007626007B1D008014
00830E00840B00830E007E18007626006C3500604300534C003F47002C3E002137001B33
00193100183000173000173000162F001730001931001C3400213700263A002C3E003342
003B4600424900444A003D46002E3F001E3500122B000B25000822000822000923000923
000923000A24000B25000D27000E2900102A00112B00112B
000B25000B25000B25000A24000923000822000821000721000721000721000721000822
000C2600152E002137002E3F003643003744003341002C3E00263A002137001D34001931
00162F00142D00132D00142D00142E00152E00162F001831001E3500283B003A4500514D
005D4500693900732B007A20007D19007E19007B1D00782400732C006E3300683A00643F
006043005C4600594800574A00554B00534C00524D00504D004F4E004F4E004D4E004C4D
004B4D004A4D004A4C004A4C004A4C004A4D004B4D004C4D004E4E004F4E00504E00514D
00524D00534C00554B00574A005949005C47005F4400634000673B006D3500722D007823
007D1900821000840B00840B008113007A20006F3100634000564B004249002E3F002238
001C3300193100183100173000173000162F001730001932001D3400223700273B002E3F
003543003E4700444A00434900394400293C001931000F29000A24000822000922000923
000923000923000A24000C26000D28000F2900102A00102A
000B25000B25000A24000923000822000821000721000721000721000721000721000A24
00112B001C34002A3C003442003844003442002E3F00283B002238001E35001A3200162F
00142E00132D00142D00142E00152E00162F001831001E3500293C003C4600524D005F44
006B36007528007B1D007E19007D1A007A20007528006F31006A3800653E006043005C47
00594900564B00544C00524D00504E004F4E004C4D004A4C00484B00464B00454A00444A
00434900434900424900424900424900434900434900444A00454A00474B00484C004A4D
004D4E004F4E00504E00524D00544C00564B005949005C47005F4400643F00693A006E32
007529007B1E00801400840C00850A00820F007C1C00722D00653E00574A00454A002F3F
002238001C33001931001831001730001730001730001830001A32001E3500233800293C
00304000384400404800454A00414800344200233800142E000C26000923000822000923
000923000923000A24000B25000C27000E28000F2900102A
000A24000A24000A24000923000822000721000721000721000721000721000923000E28
001730002539003140003744003643003040002A3C002439001F36001B3300173000152E
00132D00142D00142E00152E00162F001830001D3400283B003C4600534D006043006C35
007626007C1C007E18007C1B00782300732C006D3500673C006142005D4600594900564B
00534C00514D004F4E004C4D00494C00464B00444A004249004148004048003F47003E47
003E47003D47003D47003D47003D47003E47003E47003F47003F48004048004249004349
00454A00474B004A4C004D4E004F4E00514D00534C00564B005949005C4600614300663D
006B3600722D007922007F1600830D00850900830D007D1900732B00663D00584A00454A
002F3F002237001B33001931001831001730001730001730001831001B33002036002539
002B3D003341003B4600434900454A003D46002E3E001D3400102A000A24000822000822
000923000923000923000A24000B26000D27000E29000F29
000A24000A24000923000822000721000721000721000721000721000821000B2500132C
001F36002D3E003643003744003341002C3E00263A002037001C3300183100152E00142D
00132D00142D00152E00152F001730001C3400273B003A4500524D006043006D34007725
007C1B007E18007C1D00772500712F006A3800643F005F44005A4800574A00544C00514D
004F4E004B4D00484B00454A004249004048003E47003D46003C46003C46003B46003B46
003B46003B46003B46003C46003C46003C46003C46003C46003D46003D46003E47003E47
00404800414800434900464A00494C004C4D004F4E00514D00544C00574A005A48005E45
006340006939007030007725007E1900830E00850800840B007E1700742A00663C00584A
004349002D3E002137001B33001931001831001730001730001730001931001C34002137
00273B002E3F003643003E4700454A00434900384400263A001730000D27000923000822
000923000923000923000924000B25000C26000E28000F29
000923000923000822000821000721000721000721000721000721000923000E29001931
00273B003341003844003542002F3F00283B002238001D3400193200162F00142D00132D
00142D00142E00152E001730001B3300253900374400514D005F44006C35007725007C1B
007E19007B1D007627006F3100693A006241005D4600584900554B00524D004F4E004C4D
00474B00444A004148003F47003D46003C46003B45003B45003B45003B45003B46003C46
003C46003C46003D46003D46003D46003D46003D46003D46003D46003D46003D46003D46
003D46003E47003F4700404800424900454A00494C004D4E00504E00524D00554B005849
005C4600614200673B006E33007627007D1A00830E00860800850A007F1700742A00663D
00564B004048002B3D001F36001A32001931001830001730001730001730001A32001E35
00233800293C00314000394500424900454A004048003140001F3600122B000B25000822
000822000923000923000923000A24000B26000D27000E28
000923000922000822000721000721000721000721000720000821000B2500132D002037
002E3F003743003743003241002B3D002439001F36001B3300173000142E00132D00142D
00142E00152E00162F001A32002238003342004F4E005D45006B36007626007C1B007E19
007B1E007527006E3200673B006142005C4700574A00534C00504D004E4E00494C00444A
004148003E47003C46003B46003B45003A45003B45003B46003C46003D46003E47003F47
004048004048004148004148004148004148004148004148004048004048003F47003E47
003E47003D47003D47003E47003F4700404800434900464B004A4C004E4E00514D00544C
00574A005B4700604300663D006D34007528007D1B00830E00860700850A007E1700732B
00643F00544C003C4600283B001E35001A32001831001830001730001730001831001B33
00203600263A002C3E003442003D4700444A00444A003A4500283B001831000E28000923
000822000923000923000923000923000B25000C26000D28
000922000822000721000721000721000721000720000721000923000F29001A3200283B
003442003844003442002E3E00273B002137001C3400183100152E00142D00142D00142E
00152E00162F001831002036002F3F00484C005B48006939007528007C1C007E18007B1D
007527006E3200673C006043005B4800564B00534D00504E004B4D00464B004249003F47
003D46003B45003A45003A45003B45003C46003D46003F4700404800424900434900444A
00464A00464B00474B00484B00484B00484B00474B00474B00464B00454A00444A004249
004148004048003F47003E47003E47003E47003F4700414800444A00484B004D4E00504E
00534C00564A005A48005F4400653D006D34007528007D1A00830D00860600850A007D19
00712E00614200514D003743002539001D34001932001831001730001730001730001932
001D3400223800283B00304000384400414800464B00414800324100203600122C000B25
000822000822000923000923000923000A24000B25000D27
000822000821000721000720000721000721000720000721000B2500132D002037002F3F
003743003743003140002A3C002439001E35001A3200162F00142E00132D00142D00142E
00152F001730001D3400293C00414800574A00663D00732B007B1D007E18007C1D007627
006E3200673C006043005A4800564B00524D004F4E00494C00444A004048003D47003B46
003A45003A45003B45003C46003E4700404800424900444A00464B00484C004A4C004C4D
004D4E004E4E004F4E004F4E004F4E004F4E004F4E004E4E004D4E004C4D004A4D00494C
00474B00454A004349004148004048003F47003E47003F4700404800434900464B004B4D
004F4E00524D00564B005A48005F4400653D006D34007527007E1800840B00870500840B
007C1C006E33005D45004C4D003140002237001B33001931001831001730001730001831
001B33001F36002539002C3D003442003D4600454A00454A003B4500293C001830000D28
000923000822000923000923000923000923000A25000C26
000821000721000720000720000721000720000720000822000E2800193100273B003442
003844003442002D3E00273A002137001C3400183100152E00142D00142D00142E00152E
00162F001A3200243900384400534D00624100702F007A20007E19007C1B007725006F31
00673B006043005A4800554B00524D004E4E00484C004349003F48003C46003B45003A45
003A45003C46003E4700404800424900454A00484C004B4D004E4E004F4E00504E00514D
00524D00524D00534C00534C00534C00534C00534C00524D00524D00514D00504E004F4E
004E4E004B4D00494C00464B00444A004249004048003F47003F4700404800424900454A
004A4C004F4E00524D00564B005A48005F4400663D006E33007725007F16008509008705
00830E007921006A38005949004249002B3D001F36001A32001931001831001730001730
001931001D3400223700283B002F3F00384400424900464B004148003241001F3600112B
000A25000822000922000923000923000923000A24000B25
000721000720000720000720000720000720000721000A2400122C001F36002E3E003743
003743003140002A3C002439001E35001A3200162F00142E00132D00142D00152E00162F
001831002036003040004C4D005D45006C35007823007D19007D1A00782300712F00693A
006142005B4800564B00524D004E4E00484B004349003F47003C46003A45003A45003B45
003D46003F4700424900454A00494C004C4D004F4E00504E00524D00534C00544C00554B
00564A00574A00584A00584900584900584900584A00574A00564A00554B00544C00534C
00524D00504D004F4E004D4E00494C00464B00444A004148004048003F47004048004149
00454A004A4C004F4E00524D00564B005A4800604300673C006F31007822008112008607
00870500811200752800653E00534C00394400253A001D34001932001831001830001730
001830001A32001F36002539002C3D003442003E4700454A00454A003A4500273B00162F
000D27000923000822000923000923000923000923000A25
000720000620000720000720000720000720000822000D2700173000253A003241003844
003542002E3F00273B002137001C3400183000152E00142D00142D00142E00152E001730
001C3300283B00404800584A00683B007529007C1B007E19007A2000732C006A38006241
005C4700564B00524D004E4E00484B004249003E47003B46003A45003A45003B46003E47
00414800444A00484B004C4D004F4E00514D00534C00554B00564A005849005A48005B47
005D46005E45005E44005F44005F44005F44005E45005D45005C46005B4700594800584A
00564B00544C00534C00514D004F4E004D4E00494C00454A004349004048003F48004048
00414900454A004A4C004F4E00524D00564A005B4700614200693A00712E007B1E00830E
008704008607007E18007030005E44004C4D002F3F002137001B33001931001831001730
001730001931001D3400223800283C00304000394500434900474B004048002F3F001D34
00102A000A24000822000922000923000923000923000A24
00062000062000062000072000072000072000092300102A001C34002B3D003643003844
003241002B3D002439001F35001A3200162F00142E00142D00142E00152E00162F001931
00223700344200514D00624200702F007A1F007E18007B1D007528006D3500643F005D46
00574A00534D004F4E00484C004349003E47003B46003A45003A45003C46003E47004249
00464B004A4D004F4E00514D00534C00554B00574A005A48005C46005F44006142006340
00653E00663D00673B00683B00683B00683B00673C00663D00643F006241006043005E45
005C4700594900574A00554B00534C00514D004F4E004B4D00474B00444A004148004048
00404800424900454A004A4D00504E00534C00574A005C46006340006B37007429007E19
00850900880300840B007A2000693900574A003E4700283B001D35001A32001931001830
001730001831001B33001F3600263A002D3E003543003F4700464B00454A003743002439
00142D000B26000922000822000923000923000923000923
000620000620000620000720000620000721000B2500142D002237003040003844003643
002F3F00283B002237001D3400183100152E00142D00142D00142E00152E001730001C34
002A3C00444A005A48006B37007725007D19007D1A007824006F3100673C005F44005849
00534C00504E00494C004349003F47003B46003A45003A45003C46003F4700434900474B
004C4D00504E00524D00554B00574A005A48005E4500614200643F00673B006A38006D34
006F3100712E00732C00732B00732B00732B00722D00702F006E32006C3600693A00663D
006340005F44005C46005A4800574A00544C00524D00504E004D4E00484C00454A004249
00404800404800424900464B004B4D00504E00544C005849005E4500653E006E33007824
00811200870500870400811200732A00624100504E003241002237001B33001931001831
001730001730001932001D34002338002A3C003241003B4600444A00474B003E47002B3D
001931000E28000923000822000923000923000922000923
00061F00061F000620000620000620000822000D2700183100273B003442003844003442
002C3E00253A002036001B3300173000142E00142D00142E00152E00162F001931002238
00364300524D00634000722C007B1D007E18007A1F00732C006A38006142005A4800554B
00504D004B4D00444A003F48003C46003A45003A45003C46003F4700434900484C004D4E
00504D00534C00564B005948005D4600614200653E006A39006E3300722D007627007921
007C1B007F17008014008112008111008113007F15007D19007B1E00772400742A007030
006C3600673B006340005F44005C4700594900564B00534C00514D004E4E00494C00454A
00424900404800414800434900474B004D4E00514D00554B005A4800604300683A00712E
007B1D00840C008802008608007C1C006C3600594900404800283B001E35001A32001931
001831001730001831001B3300203700273B002E3F00374400414800474B004349003341
001F3600112B000A24000822000822000923000822000923
00061F00061F00062000062000072000092300102A001D34002C3E003643003743003140
002A3C002338001E3500193100152F00142D00142D00142E00152E001730001C34002A3C
00444A005B47006C36007823007E18007D1B007626006E3300653E005D4600574A00524D
004E4E00464B004048003C46003A45003A45003C46003F4700434900484C004E4E00514D
00544C00574A005B47005F4400643F006939006F31007429007A20007F1600830D008804
038B000A8E000F90001191001291001090000C8F00068C00008900008509008112007C1C
00772500712E006C3500673C006241005E45005A4800574A00544C00514D004F4E004A4C
00454A00424900414800414800444A00494C004F4E00524D00574A005C46006340006C36
00762700801500870500880200820F00752800634100504E003241002237001B33001931
001831001830001830001A32001E35002439002C3D003442003E4700464B00464B003945
00253A00152E000C26000822000822000922000822000822
00061F00061F000620000620000720000A2500132D002237003040003844003643002F3F
00273B002137001C3300183000152E00142D00142D00152E00162F001831002137003442
00524D00634000722C007C1C007E18007A2000722D00683A00604300594900544C004F4E
00494C004249003D47003B45003A45003B46003E4700434900484C004E4E00514D00544C
005849005C4600614200673C006D3400742A007A1F008112008704098D00179300239700
2E9B00379E003EA00041A10042A2003FA1003A9F00329C002899001C95000E8F00008A00
00840C007D1A007626007030006A3800643F005F44005B4700574A00544C00514D004F4E
004A4C00454A00424900414800424900454A004B4D00504E00544C005949005F4400673C
00702F007B1E00840C008901008606007C1B006C36005849003E4700273B001D34001A32
001931001831001830001931001D3400223800293C003140003B4500444A00484B003F47
002C3D001931000D28000923000822000822000822000822
00061F00061F000620000620000721000C2700173000273A003442003844003442002C3E
002539001F36001A3200162F00142E00142D00142E00152E00162F001B3300273B004048
005949006A37007824007E18007D1A007626006D3400643F005C4700564B00514D004C4D
00444A003F47003B46003A45003B45003E4700424900474B004D4E00514D00544C005849
005D46006341006939007030007724007F150087050D8F00209600339D0045A20055A700
63AC006EAF0076B1007BB2007BB20079B20072B00068AD005BA9004CA5003A9F00279900
149200028A0000820F007B1E00732B006C3500663D006043005C4700584A00544C00514D
004E4E00494C00454A00424900414800434900474B004E4E00524D00564B005C47006241
006B3600762700801400870400890100820F00742A006142004D4E002F3F002036001B33
001931001831001830001831001B3300203600273A002E3F00384400424900484B004349
003241001E3500102A000A24000822000822000822000822
00061F00061F00061F000620000822000F29001B33002B3D003643003744003141002A3C
002338001E3500193100152F00142D00142D00152E00152F001730001E35002F3F004F4E
00604300712F007B1D007E17007A1F00722C00693A00604300594900534C004F4E00474B
004148003D46003A45003A45003D4600414800464B004C4D00504D00544C005849005D46
006340006A3800722D007A1F00830E068C001D9500359D004DA50065AC007BB2008EB700
9FBB00ACBF00B5C100BAC200BBC200B8C100B1C000A5BD0096B90084B5006FAF0057A800
3FA1002698000F9000008706007E18007528006D3300663C006043005B4700574A00544C
00514D004D4E00484B00444A00424900424900454A004A4C00504E00544C005949005F44
00673C00712F007B1D00850A008900008607007B1E00693900554B003944002439001C34
001932001931001830001831001A32001E35002539002C3D003542003F4700474B00464B
00384400233800132D000B25000822000822000822000822
00061F00061F00061F00062000092300112B001F36002E3F003743003643002F3F00283B
002237001C3400183000152E00142D00142E00152E00162F00193100233800394400554B
00673B007627007D19007D19007724006E3300643F005C4600564B00514D004B4D00444A
003E47003B45003A45003C46003F4700444A004A4D00504E00534C00574A005C46006341
006A3800722C007C1D0085090E8F0029990046A30064AC0081B4009DBB00B6C100C6C100
CAB700CDAF00CFA900D0A600D1A600D0A700CEAC00CCB200C8BB00C1C400A9BE008EB700
71AF0053A700359D00199300008900007F15007626006E3300663D006043005B4700574A
00534C00504E004C4D00474B00434900424900434900474B004E4E00524D00564B005C47
006340006C3500772500811100880200890100801300702F005D4600454A002A3C001E35
001A32001931001831001830001931001D34002338002A3C003241003C4600464A00484B
003D4600293C00162F000C26000822000822000822000822
00061F00061F00061F000720000A2500142D002338003141003844003542002D3E00263A
002036001B3300173000142E00142D00142E00152E00162F001B3300293C00444A005C47
006D34007A20007E17007C1C00742A006A3800614200594800544C004F4E00484B004148
003C46003A45003B45003E4700424900484B004F4E00524D00564B005B47006142006939
00722D007C1D008607139100329C0053A70076B10098BA00B9C200C9BA00CEAB00D39E00
D79400DA8B00DC8500DD8200DD8100DC8300DB8700D98E00D69800D1A400CCB200C5C200
A8BE0085B50062AB003FA1001F9600028B00008014007627006D3400653E005F44005A48
00564B00524D004F4E004A4C00454A00424900424900454A004A4D00504E00544C005949
00604300683A00732C007E18008706008A0000850A00772500643F00504E003140002137
001B33001932001831001830001931001C3300213700283B003040003A4500444A00484C
004148002E3F001A32000E28000923000822000822000822
00061F00061F00061F000721000C2600173000263A003442003844003341002B3D002539
001F35001A3200162F00142D00142D00152E00152F001730001E35002F3F004F4E006241
00722D007C1B007E1700792000702F00673C005E4500574A00524D004C4D00454A003F47
003B46003A45003C4600404800454A004C4D00514D00554B005948005F4400673C007030
007A1F008509139100349D0059A90081B400A8BE00C7BF00CEAC00D59A00DA8A00DE7D00
E17200E46A00E66400E76100E76000E66100E56500E36C00E17500DD8100D89000D2A100
CBB500BBC20093B8006AAE0043A200209600018A00007F17007429006B37006440005D45
00584900544C00514D004D4E00484B00444A00424900434900484B004E4E00524D00574A
005D4600653E006F32007A2000840B008A00008804007D1B006A3700564B003945002439
001C34001A32001931001831001831001B3300203600263A002E3F00374400424900484C
00444A003341001E3500102A000924000822000822000822
00061F00061F00061F000821000D2800193200293C003543003744003141002A3C002338
001D3500193100152F00142D00142E00152E00162F00193100223700374300554C00673C
007626007E18007E19007725006D34006340005B4700554B00504E00494C004249003D46
003B45003B45003E4700424900494C004F4E00534C00574A005D4600643F006D34007724
00830E0E8F00329C0059A90084B500B0C000C9B900D2A200D98E00DF7C00E36C00E75F00
EA5500EC4E00ED4900EE4600EE4400EE4500ED4800EC4E00EA5600E76100E26F00DD8100
D69500CEAC00C5C40099BA006CAE0041A1001C9500008803007C1B00722D00693A006142
005B4700574A00534C00504E004B4D00464A00434900434900464A004C4D00514D00554B
005B47006241006B3600762600811100890100890000811200702F005C4600434900293C
001E35001A32001931001831001831001A32001E35002539002C3E00354300404800484B
00464B00374400223800122C000A24000822000822000822
00061F00061F00061F000822000F29001C34002C3E00364300364300304000283B002237
001C3400183000152E00142D00142E00152E00162F001A3200263A003F48005A48006C36
007921007F17007C1B007429006A3800614200594900534C004F4E00464B004048003C46
003A45003C4600404800454A004C4D00514D00554B005A4800614200693900742A007F15
068C0029990053A70081B400B0C000CAB600D39D00DB8600E27200E76000EB5200EE4700
F03F00F23800F33400F33100F43000F43000F33200F23600F03D00EE4600EB5300E66300
E07700D98F00D0A800C5C30096B90066AC003A9F0013910000840B007822006E3300653E
005F4400594900554B00514D004E4E00484B00444A00424900444A00494C00504E00544C
00594900604300683A00732B007E17008704028A0000840B007627006241004D4E002E3E
001F36001B33001932001831001831001932001D34002338002B3D003342003E4700474B
00484B003B4500263A00142E000B25000822000822000822
00061F00061F00061F00092300112B001F36002F3F003744003643002F3F00273B002137
001B3300173000142E00142D00142E00152E001730001C33002A3D00484C005E45007030
007B1D007F16007B1E00722D00673B005E4500574A00524D004C4D00444A003E47003B45
003B45003D4600424900484C004F4E00534C00574A005E4500653E006F31007A1F008705
1D950046A30076B100A8BE00C9B900D39D00DC8400E36D00E95A00ED4A00F03E00F33500
F42E00F62900F62600F72300F72200F72200F72300F62500F52A00F43100F13B00ED4A00
E85C00E17300D98D00CFA900C1C4008CB7005AA9002D9B00078D00007F1500742A006A38
006241005C4700574A00534C004F4E004A4C00454A00434900434900484B004E4E00524D
00574A005E4500663D007030007B1D008608028B00008705007A1F00673C00524D003341
002237001B33001932001931001831001931001C3400223800293C003241003C4600464B
00494C003E47002A3C001730000C26000822000822000822
00061F00061F000620000A2400122C002137003040003744003542002D3E00263A002036
001B3300162F00142E00142D00152E00152F001730001E35002F3F004F4E00624100732B
007D1A007F17007922006F3100653E005C4600564B00504D004A4C004249003D46003B45
003B46003F4700444A004B4D00504E00554B005A48006142006A390074290081120D8F00
359D0064AC0098BA00C7BF00D2A200DB8600E36D00E95800EE4600F13900F42F00F62800
F72300F82000F81E00F91C00F91B00F91A00F91A00F91A00F91D00F72100F52900F33500
EE4500E95A00E17300D89100CDB000B2C0007BB20048A3001C9500008606007920006E32
00653E005E4500594900544C00514D004D4E00474B00434900434900464B004C4D00514D
00564B005C47006340006D3400792200840C018A00008901007E18006C3600574A003945
002439001C34001A32001931001831001931001C3300213700283B003040003A4500454A
00494C004148002D3E001931000D27000922000822000822
00061F00061F000620000A2500142E002338003241003844003442002C3E002539001F36
001A3200162F00142E00142E00152E00162F00183100203600344200534C00663D007627
007E18007E18007725006D34006340005B4800544C004F4E00484B004148003C46003B45
003C4600404800464B004E4E00524D00564A005C4600643F006E33007A20008704209600
4DA50081B400B9C200CEAC00D98E00E27200E95A00EE4600F23700F52D00F62500F82100
F81E00F91C00F91B00F91900FA1800FA1700FA1500FB1500FA1500FA1700F91C00F72500
F33200EE4500E85D00DF7A00D59A00C8BB009BBA0063AB00319C00088D00007F1600732B
006939006142005B4700564B00524D004F4E00494C00444A00434900454A004B4D00504D
00554B005A48006242006B37007626008210008A00018A00008112007030005B48003F47
00273B001D34001A32001931001831001831001B3300203600273B002F3F003944004349
00494C004349003040001B33000E28000923000822000822
00061F00061F000720000B2500162F00253A003341003844003341002B3D002439001E35
00193200162F00142E00142E00152E00162F00193100223800394400564B006939007823
007F16007D19007527006B3700614200594900534C004F4E00464B004048003C46003B45
003D4600424900484C004F4E00534C005849005F4400673B00722D007F16098D00339D00
65AC009DBB00C9BA00D59A00DF7C00E76000ED4A00F13900F52D00F72500F82000F81D00
F91C00F91C00F91B00F91A00FA1900FA1700FA1500FB1300FB1100FB1100FB1400F91A00
F72400F33400ED4A00E56600DB8600CFA900B9C2007DB30046A30018930000850A007724
006C35006340005D4600574A00534C00504E004A4D00454A00434900454A00494C00504E
00544C005949006043006939007429008014008901038B0000830D00732B005E4500454A
002A3C001E35001A32001932001831001831001B32001F3600263A002E3F003844004249
00494C00454A003341001E35000F29000923000822000822
00061F00061F000720000C2600173000273B003442003744003241002A3D002439001E35
00193100152F00142E00142E00152E00162F001A32002439003D47005949006C36007A20
007F15007C1B00742A00693900604300584900524D004D4E00454A003F47003B46003B46
003E47004349004A4C00504E00544C005A48006142006A3800762700830D17930045A200
7BB200B6C100CEAB00DA8A00E36C00EB5200F03E00F42F00F62500F82000F81D00F91C00
F91D00F81D00F81E00F81D00F91C00F91A00FA1700FB1400FB1100FC0F00FC0F00FB1200
F91A00F62700F13B00EA5500E17400D59800C8BC0096B9005BA900289900008900007B1D
006F3100663D005E4500594900544C00504D004C4D00474B00444A00444A00484C004F4E
00534C005849005F4400673B00722C007E17008803048B00008509007626006142004B4D
002C3E001F36001B33001932001931001831001A32001F3500253A002D3E003743004148
00494C00464B003542001F3600102A000923000822000822
00061F00061F000721000C2700183100283B003542003744003241002A3C002338001D34
00183100152E00142E00142E00152E00162F001A3200273A004249005B47006E33007B1E
007F15007C1C00732C00683A005F4400574A00524D004C4D00444A003E47003B46003C46
003F4700444A004C4D00514D00554B005B47006340006D3400792100880423970055A700
8EB700C6C100D39E00DE7D00E75F00EE4700F33500F62800F82100F81D00F91C00F81D00
F81F00F82000F82100F82100F82000F81D00F91A00FA1600FB1100FC0E00FD0C00FC0D00
FB1200F81D00F42E00EE4700E56600DA8900CDAE00ABBE006DAE00369E000A8E00007F16
00722C00683A006043005A4800554B00514D004E4E00484B00444A00444A00484B004E4E
00534D00584A005E4500663D00712E007D1A008705058C0000870500782200643F004F4E
002F3F002036001B33001A32001931001831001A32001E35002539002C3E003643004148
00494C00474B00374300213700112B000A24000822000822
00061F00061F000721000D2700193100293C00354300374300314000293C002338001D34
00183100152E00142E00142E00152F001730001B3300283B00454A005D45007030007C1C
008015007B1D00722D00673C005E4500574A00514D004B4D004349003E47003B46003C46
00404800464A004D4E00524D00564A005D4600653E006F31007C1B038B002E9B0063AC00
9FBB00CAB700D79400E17200EA5500F03F00F42E00F72300F81E00F91C00F91D00F81F00
F72100F72300F72500F72500F72300F82100F91D00FA1800FB1300FC0E00FD0B00FD0A00
FC0D00FA1600F62500F13C00E95A00DE7D00D2A300BDC3007DB30043A200139100008210
007528006A38006142005B4700564B00524D004F4E00484C00454A00444A00474B004E4E
00524D00574A005D4600653E007030007C1C008606058C00008803007A1F00663D00514D
003140002137001B33001A32001931001831001A32001E35002439002C3D003542004048
00494C00484B00384400233800122C000A24000822000822
00061F00061F000721000D28001A32002A3D00364300374300314000293C002238001D34
00183100152E00142E00152E00152F001730001C33002A3C00484C005F4400712F007D1A
008015007B1E00712E00663C005D4600564B00514D004A4D004349003D47003B46003C46
00404800464B004E4E00524D00574A005E4500663D00712E007F170A8E00379E006EAF00
ACBF00CDAF00DA8B00E46A00EC4E00F23800F62900F82000F91C00F91C00F81D00F82000
F72300F62600F62800F62800F62700F72400F82000F91A00FB1500FC0F00FD0A00FE0800
FD0A00FC1100F81E00F33400EB5000E17300D59A00C6C10089B6004DA5001B940000850A
007725006B36006341005C4700574A00524D004F4E00494C00454A00444A00474B004D4E
00524D00574A005D4600653E006F31007B1E008607058C00008901007C1C00683B00524D
003341002237001B33001A32001931001831001A32001E35002439002B3D003542003F48
00494C00484C003A4500243900132C000A24000822000822
00061F00061F000821000E28001A32002B3D00364300374300304000293C002238001D34
00183100152E00142E00152E00152F001730001C34002B3D004A4C00604300722D007D1A
008015007A1F00702F00663D005D4600564B00514D004A4C004249003D47003B46003D46
00414800474B004F4E00534C00584A005E4400673B00732C0080140F90003EA00076B100
B5C100CFA900DC8500E66400ED4900F33400F62600F81E00F91B00F91B00F81E00F82100
F72500F62800F52900F52A00F62900F62600F72100F91C00FA1500FC0F00FD0A00FE0600
FE0700FC0D00F91A00F42E00ED4A00E36D00D79400C8BB0092B80054A700209600008607
007823006D35006340005C4600574A00534C004F4E004A4C00454A00444A00474B004D4E
00524D00564A005C4600643F006E32007A1F008608058C00008900007D1A00693900534C
003442002238001C33001A32001931001831001A32001D35002439002B3D003442003F47
00484C00494C003A4500243900132D000A25000822000822
00061F00061F000821000E28001B33002B3D00364300374300304000293C002238001D34
00183100152E00142E00152E00152F001730001C34002B3D004B4D00604300722C007D19
008014007A1F00702F00663D005D4600564B00514D004A4C004249003D47003C46003D46
00414800484B004F4E00534C005849005F4400683B00732B00811211910041A1007BB200
BAC200D0A600DD8200E76100EE4600F33100F72300F91C00F91900F91A00F81D00F82100
F72500F62800F52A00F52A00F62900F62600F72200F91C00FA1500FC0F00FD0900FE0500
FE0500FD0A00FA1700F52B00EE4600E46900D89000CAB80097B90058A800239700008704
007921006D3400643F005D4600574A00534C00504E004A4D00464A00444A00474B004D4E
00524D00564A005C4600643F006E32007A1F008508058C00008A00007D19006A3900544C
003542002238001C33001A32001931001831001A32001D35002439002B3D003442003F47
00494C00494C003B4500253900132D000A25000822000822
00061F00061F000821000E28001B33002B3D00364300374300314000293C002238001D34
00183100152E00142E00152E00162F001730001C34002C3D004B4D00604300722C007E19
008014007A1F00702F00663D005D4600564B00514D004A4C004249003D47003C46003D46
00414800484B004F4E00534C005849005F4400683B00732B00811112910042A2007BB200
BBC200D1A600DD8100E76000EE4400F43000F72200F91B00FA1800FA1900F91C00F82000
F72300F62700F62900F62900F62800F72500F82000F91B00FB1400FC0D00FE0700FF0400
FF0400FD0900FA1500F52900EE4500E56800D88F00CAB70098BA0059A900249700008704
007921006D3400643F005D4600584A00534C00504E004A4D00464B00454A00474B004D4E
00524D00564A005C4600643F006E32007A1F008608068C00008A00007D19006A3800544C
003542002238001C33001A32001931001931001A32001E35002439002B3D003442003F47
00494C00494C003B4500253900132D000A25000822000822
00061F00061F000821000E28001B33002B3D00364300374400314000293C002238001D34
00183100152E00142E00152E00162F001730001C34002B3D004B4D00604300722D007E19
008014007B1E00712F00663D005D4600564B00514D004A4D004349003E47003C46003D46
00414800484B004F4E00534C005849005F4400683B00732B0081131090003FA10079B200
B8C100D0A700DC8300E66100EE4500F43000F72200F91A00FA1700FA1700F91A00F81D00
F82100F72400F62600F62600F72500F72200F81D00FA1800FB1100FD0B00FE0500FF0200
FF0300FD0900FA1600F52A00EE4700E46A00D89100C9B90095B90056A800229700008705
007922006D3400643F005D4600574A00534C00504E004A4D00464B00454A00474B004D4E
00524D00574A005D4600653E006F31007B1E008607068C00008A00007D1900693900544C
003542002238001C33001A32001931001931001A32001E35002439002C3D003542004048
00494C00494C003B4500253900132D000A25000822000822
00061F00061F000721000E28001A32002B3D00364300384400314000293C002338001D34
00183100152E00142E00152E00162F001730001C34002A3D00494C005F4400712E007D19
008013007B1D00722D00673C005E4500574A00514D004B4D004349003E47003C46003D46
00414800474B004F4E00534C00584A005E4500673C00722D007F150C8F003A9F0072B000
B1C000CEAC00DB8700E56500ED4800F33200F72300F91A00FA1500FA1500FA1700F91A00
F91D00F82000F72100F72200F82000F81D00F91900FB1400FC0E00FE0800FF0300FF0100
FF0300FD0A00FA1800F42E00ED4B00E36F00D69600C7BE008DB70050A6001D9500008509
007724006C35006340005C4600574A00534C004F4E004A4C00464B00454A00484B004E4E
00524D00574A005D4500653E007030007C1C008706078C00008900007C1B00683A00534C
003342002237001C33001A32001931001931001A32001E35002439002C3E003543004048
00494C00494C003A4500243900132C000A24000822000822
00061F00061F000721000D27001932002A3C003643003844003241002A3C002338001D35
00193100152F00142E00152E00162F001730001B3300293C00464B005E4500702F007D1A
008113007C1C00732C00683B005E4400574A00524D004C4D00444A003F47003C46003D46
00414800474B004E4E00524D00574A005D4500663D00702F007D19068C00329C0068AD00
A5BD00CCB200D98E00E36C00EC4E00F23600F62500F91A00FB1500FB1300FB1400FA1600
FA1800F91A00F91C00F91C00F91B00FA1800FB1400FC0F00FD0A00FE0500FF0100FF0000
FF0300FC0C00F91C00F33400EB5200E07700D39E00C4C40082B40047A30017930000830D
007627006B37006241005C4700574A00534D004F4E004A4C00464B00454A00484C004F4E
00534C00584A005E4500663D00712F007D1A008704088D00008900007B1D00673C00524D
003241002137001C33001A32001931001931001A32001E35002539002D3E003643004148
004A4C00494C00394500233800122C000A24000822000822
00061F00061F000721000D2700193100293C003643003844003241002B3D002439001E35
00193100162F00142E00152E00162F001730001B3300273B004349005C46006F31007C1B
008112007D1A00742A00693900604300584900524D004E4E00454A003F48003D46003D46
00404800464B004D4E00524D00564A005C4600643F006E32007B1E0089002899005BA900
96B900C8BB00D69800E17500EA5600F03D00F52A00F91D00FA1500FB1100FB1100FB1100
FB1300FB1500FA1500FA1500FB1400FB1100FC0E00FD0A00FE0500FF0200FF0000FF0100
FE0600FB1100F72300F13D00E85C00DD8100D0A800B4C10074B0003CA0000E8F00008013
00742A006939006142005B4700564B00524D004F4E00494C00464A00454A00494C004F4E
00534C005849005F4400673B00722D007E18008802088D00008802007A2000653E00504E
003040002137001B33001A32001931001931001A32001F3500253A002D3E003743004249
004A4D00484C00384400223700112B000A24000822000822
00061F00061F000721000C2600173000283B003543003944003342002B3D002439001E35
00193200162F00142E00152E00152F001730001A3200253A003F47005A48006D34007B1D
008112007E18007527006B3700614200594900534C004F4E00474B004048003D46003D46
00404800454A004C4D00514D00554B005B47006241006C360077240085091C95004CA500
84B500C1C400D1A400DD8100E76100EE4600F43100F72100FA1700FB1100FC0F00FC0E00
FC0E00FC0F00FC0F00FC0F00FC0D00FD0B00FE0800FE0500FF0200FF0000FF0000FF0300
FD0B00F91900F42D00ED4900E46A00D88F00CBB500A0BC0063AB002E9B00048B00007D1A
00712E00673C006043005A4800554B00514D004E4E00484C00454A00464B004A4D00504E
00544C00594800604300693A00742A008014008A00088D00008705007824006241004D4E
002D3E002036001B33001A32001931001931001B33001F3600263A002E3F003844004349
004B4D00484B00364300203600112B000A24000822000822
00061F00061F000720000B2600162F00263A003542003945003442002C3E00253A001F36
001A3200162F00152E00152E00152F00162F001932002338003A4500574A006B37007A20
008112007F16007724006D35006341005A4800544C00504E00484C004249003E47003D46
003F4700444A004A4D00504E00544C00594800604300693A00742A0081120E8F003A9F00
6FAF00A9BE00CCB200D89000E26F00EB5300F13B00F52900F91C00FB1400FC0F00FD0C00
FD0B00FD0A00FD0A00FD0900FE0700FE0500FF0300FF0100FF0000FF0000FF0200FD0800
FB1300F72400F13B00E95800DF7B00D39F00C5C30088B6004FA6001F9600008706007921
006E3300653E005E4500594900544C00514D004D4E00484B00454A00474B004C4D00514D
00554B005B48006142006B37007627008210038B00088D00008508007528005F4400474B
002B3D001F35001B33001A32001931001931001B3300203600273B002F3F00394500444A
004B4D00474B003442001E3500102A000923000822000822
00061F00061F000720000B2500152E002539003442003945003543002E3E00263A002036
001B3300173000152E00152E00152F00162F00193100213700364300544C00683B007823
008013008014007921006F3200643F005C4600564B00514D004A4D004349003E47003D46
003E4700424900494C004F4E00534C00584A005E4500663D007030007C1C008A00279900
57A8008EB700C5C200D2A100DD8100E66300ED4A00F33500F72500F91A00FB1200FC0D00
FD0A00FE0800FE0600FE0500FF0400FF0200FF0100FF0000FF0100FF0300FD0800FB1200
F82000F33400EC4D00E36C00D98E00CCB100A9BE006EAF003A9F000F9000008111007528
006B37006341005C4600574A00534C00504E004B4D00474B00454A00484B004D4E00524D
00564B005C47006340006D3400782200840C068C00078C0000830D00722D005C47004149
00283B001E35001B33001A32001931001932001C3300213700283B003140003B4500464A
004C4D00454A003241001C34000F29000923000822000822
00061F00061F000620000A2400132D002238003241003A45003743002F3F00273B002137
001C3300173000152E00152E00152F00162F001831001F3600314000514D00643F007528
007F15008112007B1D00712E00673C005E4500574A00524D004D4E00454A004048003D46
003E4700414800474B004E4E00524D00564B005C47006340006C3600772500840C149200
3FA10071AF00A8BE00CBB500D69500E07700E85C00EE4500F33200F72400F91A00FB1200
FC0D00FD0A00FE0700FE0500FF0400FF0300FF0300FF0300FE0600FD0B00FB1300F82000
F43100EE4700E66300DD8200D1A400C3C40089B60053A700249800008900007C1C00712F
00673B006043005A4800564B00524D004F4E004A4C00464B00464B00494C004F4E00534C
00584A005E4500653E006F31007B1D008607088D00058C00008013006E33005849003B46
00253A001D34001B33001A32001931001932001D3400223800293C003241003C4600474B
004C4D004349002F3F001A32000D28000923000822000822
00061F00061F00062000092300112B00203600304000394500384400304000293C002238
001D3400183100152E00152E00152E00162F001830001D34002C3E004B4D00604300722D
007E18008211007D1900742A00693900604300594900534C004F4E00474B004148003E47
003D4700404800454A004B4D00504D00544C005949005F4400673B00712E007D1A028A00
26980053A70085B500BBC200CEAC00D98F00E17300E95A00EE4500F33400F62700F81D00
FA1600FC1100FC0D00FD0A00FD0900FD0900FD0A00FC0C00FB1100F91900F72400F33400
EE4700E76000DE7C00D49C00C8BB009DBB0068AD00389E000F900000820F007626006C35
00643F005E4500594900544C00514D004E4E00484C00464B00474B004B4D00504E00544C
005949005F4400683B00722C007E180088010A8E00018A00007D1A00693900544C003543
002338001C34001A32001A32001931001A32001D35002338002B3D003442003E4700494C
004C4D004148002B3D001830000C27000922000822000822
00061F00061F00062000082200102A001D35002E3F003944003944003241002A3D002338
001E3500193100162F00152E00152E00162F001730001B3300273B004249005C47006E32
007C1C008210007F16007725006D35006340005B4700554B00504E004A4C004349003F47
003D47003F4700434900494C004F4E00534C00574A005C46006340006C3500762600820F
0F9000359D0062AB0093B800C5C400D0A800D98D00E17300E85D00ED4A00F13B00F42E00
F62500F81E00F91A00FA1700FA1500FA1600FA1800F91C00F72300F42D00F13B00EC4D00
E66300DE7C00D59900CAB600AABE0076B10047A3001D9500008803007B1D00712F00683B
006142005B4700574A00534C00504E004B4D00474B00464B00484B004D4E00514D00564B
005B47006241006B37007627008111038B000A8E0000880300792200643F004F4E003040
002137001C33001A32001932001931001A32001E35002539002C3E003643004148004A4D
004B4D003E4700283B00152E000B26000822000822000822
00061F00061F00061F000822000E28001B33002B3D003844003A45003442002C3D002539
001F36001A3200162F00152E00152E00162F001730001A32002338003A4500564A006A39
007921008112008112007A1F00703000663D005D4500574A00524D004D4E00464A004048
003E47003E4700414800464B004D4E00514D00554B005A48005F4400673C007030007B1E
0087061993003FA1006AAE0099BA00C5C300CFA900D89100DF7A00E56600EA5500EE4700
F13C00F33400F42E00F52B00F52900F52A00F42E00F33400F13D00ED4900E95800E36C00
DD8200D49C00CAB600AEBF007EB30050A600279900058C00008015007529006B3600643F
005E4500594900554B00514D004E4E00494C00464B00464B004A4C004F4E00534C00574A
005D4600643F006E3300792100850A078C00088D0000840B00732B005E4500464B002B3D
001F36001B33001A32001932001931001B3300203600263A002E3F003844004349004C4D
004A4C003A4500243900132C000B25000822000822000822
00061F00061F00061F000721000C2700183000283B003643003B45003643002E3F00263A
002036001B3300173000152E00152E00162F00162F00193100203600324100514D00643F
007528008014008210007D1A00742A00693900604300594900544C004F4E00494C004249
003F47003E4700404800444A00494C004F4E00534C00574A005C47006241006A3800732B
007E180089001F960043A2006CAE0096B900C1C400CDB000D59A00DB8600E17400E56600
E95A00EB5000ED4A00EE4600EE4500EE4700ED4B00EB5200E85C00E46A00DF7B00D98E00
D1A400C8BB00AABE007EB30054A7002D9B000B8E0000820F007824006E3200663C006043
005B4700574A00534C00504E004C4D00484B00464B00474B004C4D00504D00554B005A48
00604300683B00722D007D190088030A8E00058C00008014006D33005849003C4600263A
001E35001B33001A32001931001932001C3400213700283B003040003A4500464A004D4E
00484B00364300203600112B000A24000822000822000822
00061F000620000620000721000B2500152E002539003442003B4500384400304000283B
002237001C3400183100152F00152E00152F00162F001830001D34002B3D00484C005E45
00702F007D1900820F008015007724006D3400643F005C4700564B00514D004C4D00454A
004048003E47003F4700424900464B004D4E00514D00544C005949005E4500643F006C35
007528007F15028B0020960041A10066AC008CB700B2C000C8BB00CFA900D59800DA8900
DE7D00E17300E36D00E46900E56800E46A00E36F00E07700DD8100D88F00D39F00CCB100
C3C4009DBB0076B10050A6002D9B000D8F0000840C007A2000702F00683A006241005D46
00584900554C00514D004E4E004A4C00474B00464B00494C004F4E00524D00574A005C47
006340006B36007626008211038B000B8E00008901007B1E00673C00524D003442002338
001C34001B33001A32001931001A32001D34002338002A3D003341003D4700484C004D4E
00454A003140001C33000E29000923000822000923000822
00061F000620000620000720000A2400122C002137003140003B45003A45003241002A3D
002439001E3500193100162F00152E00152E00162F001730001B33002539003D4600584A
006A37007A20008210008211007B1D00722D00683B005F4400594900534C004F4E00494C
004349003F47003E4700404800444A00494C004F4E00524D00564B005A48005F4400663D
006D33007626008014018A001C95003A9F005AA9007BB2009BBA00B9C200C8BC00CDAE00
D2A300D59A00D79400D89000D88F00D89100D69600D39E00D0A800CBB500C5C300A9BE00
89B60068AD0047A3002799000B8E0000840C007A1F00712E006A38006340005E45005948
00564B00524D00504E004C4D00484B00464B00484B004C4D00504E00544C005949005F44
00663D007030007B1E008608088D00098D0000850A00742900604300494C002D3E002036
001C33001A32001A32001931001B33001F35002539002C3E003543004048004A4D004C4D
004148002B3D001830000D27000923000822000923000822
00061F000620000620000720000923000F29001D34002E3E003945003B45003542002D3E
00263A002036001A3200173000152E00152E00162F00173000193100203600324100514D
00643F00752900801500830E007F16007626006C35006340005C4700564B00514D004D4E
00464B004148003F47003F4700414800454A004B4D00504E00534C00574A005B47006043
00663C006E33007627007F170088031391002D9B0048A30063AB007DB30096B900ABBE00
BDC300C6C100C8BB00CAB800CAB700C9B900C7BE00C4C400B4C100A0BC0088B6006EAF00
53A700389E001D9500058C0000820F007A2000712E006A3800643F005F44005A4800574A
00534C00504D004D4E00494C00464B00474B004A4C004F4E00524D00574A005C47006241
006A38007529008014008A000B8E00048B00007F16006D35005849003D4600273B001E35
001B33001A32001932001932001C3300203700273B002F3F00384400444A004C4D004B4D
003C4600263A00142E000B26000923000923000923000922
00061F000620000720000720000822000D2700193100293C003744003C46003744002F3F
00283B002137001C3400183000152F00152E00162F00162F001831001D34002A3C00454A
005C46006E32007C1C00830F008111007B1E00712E00673B005F4400594900544C00504E
004A4C00444A004048003F4700404800434900474B004D4E00514D00544C00574A005C47
00604300663D006D34007429007C1B00840B078D001C9500319C0046A3005BA9006DAE00
7DB30089B60092B80097B90098BA0095B9008DB70082B40074B00063AB004FA6003A9F00
2498000F900000880300801500782400702F006A3800643F005F44005B4800574A00544C
00514D004F4E004A4C00474B00464B00484C004D4E00514D00554B005949005F4400663D
006F31007A1F00850A078D000B8E0000870500782300643F00514D003241002238001D34
001B33001A32001932001A32001D3400223800293C003241003C4600474B004D4E00484B
00364300203600112B000A24000922000923000923000923
00061F000620000720000720000721000B2500152E002439003442003C46003A45003241
002A3D002439001E3500193200162F00152E00152F00162F001730001A32002338003844
00544C00673C00772500811200830D007F16007626006D3500643F005C4600574A00524D
004E4E00484B004349004048003F4700404800444A00484C004E4E00514D00544C00584A
005B4700604300653E006B3700722D007822007F15008606088D00189300289900369E00
43A2004DA50054A70058A80059A90056A80050A60047A3003CA0002E9B001F96000F9000
00890000820F007B1D007529006E3200683A006340005F44005B4800574A00544C00524D
004F4E004B4D00484B00464B00474B004B4D00504E00534C00574A005C46006340006B37
0075280080140089000B8E00068C00008111007030005C47004349002A3D001F36001C33
001A32001A32001932001B33001F35002539002C3E003542004048004A4C004D4E00444A
002F3F001B33000E29000923000923000923000923000923
00061F000620000720000720000721000A2400112B001F36003040003B45003C46003543
002D3E00263A002036001B3300173000152F00152E00162F001730001931001E35002D3E
004A4D005E44007030007D1A00830D008210007B1D00722D00693A006143005A4800554B
00514D004D4E00464B004249004048003F4800414800454A00494C004F4E00514D00544C
00574A005B47005F4400644000693A006E3300742A007920007F1600850A0089000A8E00
1391001B94002096002397002497002297001D95001793000E8F00048B00008706008111
007C1C00762600712F006B3600663C006241005E45005A4800574A00544C00524D004F4E
004C4D00484C00474B00474B004A4C004F4E00524D00564B005A4800604300673B00702F
007B1E008509078D000B8E00008803007A2000673C00534C003643002439001D34001B33
001A32001932001A32001C3400213700273B002F3F003944004349004C4D004C4D003E47
00283B00162F000C26000923000923000923000923000923
000620000620000720000720000720000822000E28001A32002B3D003844003D46003844
00304000293C002238001D3400183100162F00152E00162F00162F001830001B33002539
003B4500564B00683B00772400811200840C008014007823006E3200663D005E45005849
00544C00504E004B4D00454A00414900404800404800424900454A004A4C004F4E00514D
00544C00574A005A48005D4500614200653E006A38006E3200732B007724007B1D007F16
00821000850A00860700870400870400870500850900830D008013007D1A007921007528
00712F006C3500683B00643F006043005D4600594800574A00544C00524D004F4E004C4D
00494C00474B00474B00494C004E4E00514D00554B005949005E4500643F006D34007725
008112018A000C8F00068C0000811100712F005D4600464B002C3E002036001C34001B33
001A32001932001A32001E35002338002A3D003341003D4600474B004E4E00494C003743
00213700122C000B25000923000923000923000923000923
000720000720000720000721000720000821000C2600152E002539003542003D46003B45
003442002C3D002539001F36001A3200173000152F00152F00162F001730001931001F36
002E3F004B4D005E45006F31007D1A00830D00830E007D19007529006B36006340005C46
00574A00534C004F4E004A4C00454A00414900404800404800424900454A004A4C004E4E
00514D00534C00564B005849005B47005F4400624100653E006939006C35006F3100722C
00752800772500782300792100792100792200772400762700742A00712E006E33006B37
00673B00643F006142005E45005B4700584900564B00534C00514D004F4E004C4D00494C
00474B00474B00494C004D4E00504D00544C00584A005C46006241006A3800732B007D19
008705098D000B8E0000870500792100663D00534C003743002539001E35001B33001A32
001932001932001B3300203600263A002D3E003643004148004B4D004E4E004349002F3F
001B33000F29000A24000923000923000923000923000A24
000720000720000720000721000721000721000A2400112B001F35002F3F003B45003D46
003743002F3F00283B002237001C3400183100162F00152F00162F001730001830001B33
002539003A4500554C00663D00762700801300840B008210007B1E00722D006939006142
005B4700564A00524D004F4E004A4C00454A00424900404800404800424900454A00494C
004D4E00504E00524D00544C00574A005949005C47005E4500614200634000663D00683A
006A38006B36006D35006D34006D34006D34006C35006B3700693900673C00653E006341
006043005E45005B4700594900574A00554C00524D00504D004F4E004B4D00484C00474B
00474B00494C004D4E00504E00534C00574A005B4700614200683B007030007A1F00840C
058C000D8F00038B00008015006F32005B4700454A002C3D002036001C34001B33001A32
001932001A32001D3400223800293C003140003B4500454A004D4E004B4D003C4600273B
00162F000C26000923000923000923000923000923000A24
000721000720000720000721000721000721000822000E2800193100293C003844003E47
003A45003341002B3D002439001F35001A3200173000152F00152F00162F001730001931
001F35002C3E00474B005C47006D34007B1E00830E00840B00801400792200703000673B
006043005A4800564B00524D004F4E004A4C00454A00424900414800414800424900454A
00484B004C4D004F4E00514D00534C00554B00574A005949005B47005D46005E45006043
00614200634100634000643F00643F00643F006340006241006142006043005E45005C46
005A4800594900574A00554B00534C00514D00504E004D4E004A4C00484B00474B00474B
00494C004D4E00504E00534C00564A005B4800604300663D006E33007724008111018A00
0C8E00098D0000850A00762700634000514D003542002439001D35001B33001A32001A32
001932001B33001F3600253A002D3E003542003F48004A4C004E4E00474B003442001F36
00112B000A25000923000923000923000923000A24000B25
000821000721000721000721000721000721000821000B2500132D002238003241003D46
003D46003743002E3F00273B002137001C3400183100162F00152F00162F001730001830
001B3300233800354200514D00624100722C007E1800840B00840C007F16007725006E33
00663D005F44005A4800564B00524D004F4E004A4D00464B004349004148004148004249
00444A00474B004A4C004D4E00504E00514D00534C00544C00564B00574A005949005A48
005B47005C47005C46005D46005D46005D46005C46005C47005B47005A4800594900574A
00564B00544C00534C00514D00504E004E4E004C4D00494C00474B00464B00474B00494C
004D4E00504E00534C00564B005A48005F4400653E006C35007527007F160088030A8E00
0C8E00008802007B1D006A3800574A003F4700293C002036001C33001B33001A32001932
001A32001D3400223800293C003040003A4500444A004D4E004D4E004048002B3D001831
000E28000924000923000923000924000923000A24000B25
000822000821000721000721000721000721000721000923000F29001B33002B3D003945
003E47003A45003241002B3D002439001F36001A3200173000162F00162F00162F001730
001931001D3400283B003F4700574A00683B00762600811300850A00830D007E19007627
006D3400653D005F44005A4800564B00524D00504E004B4D00474B00444A004249004148
00424900434900454A00484B004B4D004E4E004F4E00514D00524D00534C00544C00554B
00564B00574A00574A00574A00584A00574A00574A00574A00564B00554B00544C00534C
00524D00514D00504E004E4E004C4D004A4C00484B00464B00464B00474B004A4C004E4E
00504D00534C00564A005A48005F4400653E006C36007429007D19008606088D000D8F00
028B00008014007030005D45004A4C003040002238001D34001B33001A32001A32001A32
001B3300203600253A002D3E003542003F4700494C004E4E00484C00374300223800132D
000B25000923000923000A24000924000A24000B25000C26
000923000822000721000721000821000821000721000822000C2600152E002439003442
003D47003D47003743002F3F00283B002237001D3400193100162F00152F00162F001730
001830001A32002036002E3F00494C005C47006C35007A2000820F00850900830E007D1A
007528006D3400653D005F44005A4800564A00534C00504E004D4E00494C00454A004349
00424900424900424900444A00464A00484B004A4C004D4E004F4E00504E00504D00514D
00524D00524D00534C00534C00534C00534C00534C00534D00524D00514D00514D00504E
004F4E004E4E004B4D00494C00484B00474B00464B00474B00484C004B4D004F4E00514D
00544C00574A005B48005F4400653E006B3600732A007C1B008509068C000D8F00068C00
00830E00742900634000514D00374300263A001E35001C33001B33001A32001932001A32
001E3500233800293C003140003A4500444A004D4E004D4E004148002D3E001A32000F29
000A24000923000923000A24000A24000A24000B26000D27
000923000923000822000721000821000821000721000821000A2400102A001C34002D3E
003A45003F47003B45003341002C3D00253A002036001B3300183000162F00162F00162F
001730001831001B3300233800344200504E006043006F31007C1C00830D00850800830E
007D1B007528006D3400663D006043005B4700574A00544C00514D004F4E004B4D00474B
00454A00434900424900424900434900444A00454A00474B00494C004A4D004C4D004E4E
004F4E004F4E004F4E00504E00504E00504E004F4E004F4E004F4E004E4E004D4E004B4D
004A4C00484C00474B00464B00464B00464B00484B004A4C004D4E00504E00524D00554B
00584A005B4700604300653E006C3600732A007C1B00850A058C000D8F00088D00008509
00782300673C00564B003D4700293C002036001C34001B33001A32001932001A32001C34
00203600263A002D3E003643003F4800494C004E4E00494C00384400233800142D000C26
000923000923000A24000A24000A24000B25000C26000E28
000A24000923000822000822000821000822000821000721000822000C2600152F002439
003442003E47003E4700384400304000293C002338001E35001A3200173000162F00162F
001730001730001931001D3400273A003A4500534C00634000722D007D1900840B008608
00830E007D1A007527006E3300673C006142005C4600584900554B00524D00504E004E4E
004A4C00474B00454A00434900434900424900434900434900444A00454A00474B00484B
00484C00494C004A4C004A4D004A4D004A4D004A4C004A4C00494C00484C00484B00474B
00464B00464B00464B00464B00474B00494C004C4D004F4E00514D00534C00564B005949
005C4600614200663D006C35007429007C1B00850A048B000D8F00098D00008606007A1F
006A3800594900444A002D3E002237001D34001B33001A32001A32001A32001B33001E35
002439002A3D003241003B4500454A004D4E004D4E004148002D3E001B33000F29000A24
000923000924000A24000A24000A24000B26000D27000F29
000A24000A24000923000822000822000822000822000821000821000A2400102A001C34
002C3E003A45003F47003C46003542002D3E00273A002137001C3400183100162F00162F
00162F001730001830001A32001F35002A3C003F4700564B00653E00732B007E1700850A
00860700830D007E18007725006F3100693A006340005E45005A4800574A00544C00524D
00504E004E4E004A4D00484B00464A00444A00434900434900434900434900444A00444A
00454A00454A00454A00464A00464B00464B00464B00464B00464A00454A00454A00454A
00464B00474B00484B004A4C004C4D004F4E00504E00524D00554B00574A005A48005E45
00624100683B006E33007527007D19008509058C000D8F000A8E00008705007B1D006C35
005B4700494C003140002439001E35001C33001B33001A32001932001A32001D34002237
00283B002F3F003744004148004B4D004E4E00484C00374300233800142D000C26000923
000923000A24000A24000A24000B25000C27000E28000F29
000B25000A25000A24000923000822000822000822000822000821000822000C2600152E
002338003341003D47003F47003A45003241002B3D002539001F36001B3300183000162F
00162F00162F001730001831001A32002036002C3E00424900574A00663D00742A007F17
00850A00860600840B007F1600782200712E006B3700653E006043005C4600594900564B
00544C00524D00504E004E4E004C4D00494C00484B00464B00454A00454A00444A00444A
00444A00444A00444A00444A00454A00454A00454A00454A00454A00464B00474B00484B
00494C004B4D004D4E004F4E00504D00524D00544C00574A005949005C4600604300643F
006A38007030007724007F16008606068C000D8F00098D00008705007C1C006D34005D46
004D4E00344200253A001E35001C33001B33001A32001A32001A32001C3400203600263A
002C3E003442003D4700474B004E4E004C4D003F47002B3D001932000F29000A24000923
000A24000A24000A24000A25000C26000D28000F2900102A
000B25000B25000A25000A24000922000822000822000822000822000821000924000F29
001A32002A3C003844003F48003E47003744002F3F00293C002338001E35001A32001730
00162F00162F001730001730001831001B33002137002E3F00454A00584A00663C00742A
007E1700850A008705008509008112007B1E007429006E3300683A006340005F44005C47
00594900564B00544C00524D00514D00504E004E4E004C4D004B4D00494C00484C00484B
00474B00474B00474B00474B00474B00474B00484B00484C00494C004A4D004C4D004D4E
004F4E00504E00514D00534C00554B00574A005949005C47005F4400634000673B006D34
00732B007A1F008111008803088D000D8F00088D00008606007B1D006D34005E45004F4E
00354300263A001F36001C34001B33001A32001A32001A32001B33001F35002439002A3C
003140003A4500444A004C4D004E4E00464B00344200203600122C000B26000923000923
000A24000A24000A24000B25000D27000E2900102A00112B
000C26000C26000B25000A24000923000822000822000822000822000821000822000B25
00132D002036003040003C46004048003C46003542002D3E00273B002237001D34001932
00173000162F00162F001730001730001931001B33002238002F3F00454A00584A00663D
00732B007D1900840B00870500860700830E007E1900782400712E006C3600673C006241
005F44005C4700594900574A00554B00544C00524D00514D00504D00504E004F4E004E4E
004E4E004D4E004D4E004D4E004D4E004D4E004E4E004F4E004F4E00504E00514D00524D
00534C00544C00564B00574A005A48005C47005F4400624100663D006B3700702F007725
007D1900840C018A000A8E000D8F00068C00008509007A1F006C35005D46004F4E003643
00273B001F36001C34001B33001A32001A32001A32001B33001E3500223800283B002F3F
003743004148004A4C004F4E004A4D003B4600283B001730000E28000A24000923000A24
000A24000A24000B25000C26000E2800102A00112B00122C
000C26000C27000C26000B25000A24000923000822000822000822000822000821000923
000E2800173000263A003542003F47004048003A45003341002C3D00263A002137001C34
00193100173000162F00162F001730001830001931001C33002238002F3F00434900564B
00643F00712E007C1C00830E008705008704008509008112007B1D00762700702F006B36
00673C006340006043005D46005B4700594900574A00564B00554B00544C00534C00534D
00524D00524D00524D00524D00524D00524D00524D00534C00534C00544C00554B00564B
00584A005949005B47005D4600604300634000663D006A38006F31007528007B1E008112
008705058C000C8E000C8E00028B0000830E007823006A38005B47004D4E00354300273B
002036001C34001B33001A32001A32001A32001A32001D3400213700273B002D3E003542
003E4700474B004E4E004D4E004149002F3F001C3400102A000B25000923000923000A24
000A24000A24000B25000D27000F2900112B00122C00122C
000C27000D27000D27000C26000B25000A24000923000822000822000822000822000822
000A2400102A001C34002B3D003944004048003F47003944003140002A3D002539002036
001C3300183100173000162F00162F001730001830001931001C33002237002D3E004048
00544C006142006E3300792100811200860700880300870500840C008015007B1E007627
00712F006C3500683A00653E006241006043005E45005C47005A4800594900584900584A
00574A00574A00564A00564A00564A00574A00574A00584A005849005948005B48005C47
005E45005F4400624100643F00683B006B36007030007529007A1F008014008509018A00
098D000D8F00098D0000880200801400742900673C00594900494C00344200263A001F36
001C34001B33001A32001A32001A32001A32001D3400203700263A002C3D003341003B46
00454A004D4E004E4E00464B00354200223800142D000C26000923000923000A24000A24
000A24000B25000C27000E2800102A00122B00132C00132C
000C26000D28000D28000D27000C26000B25000923000922000822000822000822000822
000822000C2600142D002137003040003C46004148003E4700374300304000293C002439
001F36001B3300183100173000162F001730001730001831001931001B33002137002B3D
003C4600514D005D45006A38007528007E1800840B00870400880200870500840C008014
007B1D00772500732C006F32006B3600683A00663D006340006242006043005F44005E45
005D46005D46005C46005C46005C46005D46005D45005E45005F44006043006142006340
00653E00683B006B37006E3300722D007626007B1E00801400850A008900078D000C8F00
0B8E00038B0000850A007B1D00703000634000564B00444A00314000253A001F36001C34
001B33001A32001A32001A32001A32001C34002036002539002B3D003241003A45004349
004B4D004F4E004A4C003B4500283B001830000E28000A24000923000A24000A24000A24
000A25000C26000D28000F2A00112B00132C00132D00122C
000B26000D28000E28000E28000D27000C26000A24000923000822000822000822000822
000822000923000E28001730002539003442003E47004148003D46003643002F3F00293C
002439001F36001B3300183100173000162F001730001730001831001931001B33001F36
00283B003743004C4D00594900653E007030007A20008112008608008802008901008704
00850A008111007E18007A2000762600732B007030006D34006B3700693900673B00663D
00653E00653E00643F00643F00643F00653E00653E00663D00673B00693A006B37006D34
006F3100722C007627007921007D19008211008608008A00078D000B8E000B8E00068C00
008705008015007627006A38005D4500514D003D47002D3E002439001E35001C34001B33
001A32001A32001A32001A32001C34002036002439002A3C003140003844004148004A4C
004F4E004C4D003F47002D3E001C3300102A000B25000923000923000A24000A24000A24
000B25000D27000F2900112B00122C00132D00132D00112B
000A24000D27000E29000E28000E28000D27000B25000A24000923000822000822000822
000822000822000A2400102A001A3200283C003743004048004148003C46003542002E3F
00283B002338001F36001B3300183100173000162F001730001730001831001931001A32
001E3500253900314000424900534C005E4400693900732A007C1C00820F008606008901
00890000880200870600840B008111007E17007B1D00792200762600742900722C00712E
007030006F31006E32006E32006E32006F3100703000712F00722D00742A007627007822
007B1D007E1800811100850A008803038B00088D000B8E000B8E00068C00008803008111
007921006F3200634000574A004A4C00374300293C002237001E35001C33001B33001A32
001A32001A32001A32001C34001F36002439002A3C00304000374400404800494C004E4E
004D4E004349003140001F3600132C000C26000923000923000A24000A24000A24000B25
000C26000E2800102A00122C00132D00142E00132C000F29
000923000C26000E29000F29000E29000D28000C27000B25000A24000923000822000822
000822000822000822000B2500122B001D34002C3D003944004048004148003C46003542
002E3F00283B002338001F36001B3300193100173000162F001730001730001831001931
001A32001D34002237002B3D003944004C4D00574A006241006C36007528007C1B00820F
008607008901008A00008A0000890100870400860800840C008210008014007E17007D1A
007C1C007B1E007A1F007A1F007A1F007B1E007C1C007D1A007E1800801400821000840C
008607008801038B00078C000A8E000B8E00098D00048B00008705008111007A2000712F
00663D005B4700514D003F4700304000263A002036001D34001C33001B33001A32001A32
001A32001A32001C3400203600243900293C003040003743003F4700484B004E4E004E4E
00454A00354200233800152E000D27000A24000923000A24000A24000A24000A25000C26
000D28000F2A00112B00132D00142E00142D00112B000D27
000721000B25000E28000F29000F29000E29000D28000C26000B25000923000923000922
000822000822000822000923000C2600132D001F36002E3F003B45004148004148003B46
003542002E3F00283C002439001F36001C33001931001730001730001730001730001830
001831001932001B33001F3600253A002F3F003E4700504E005949006341006C3600742A
007B1E00801300850A008804008900028A00028B00018A00008A00008901008803008705
008606008607008608008508008608008607008706008704008802008A00038B00068C00
088D000A8E000A8E00088D00058C0000890100850A007F1600782300703000673C005D46
00534C00454A00354200293C002238001E35001C34001B33001B33001A32001A32001A32
001A32001D34002036002439002A3C003040003643003F4700474B004E4E004E4E00474B
00384400263A001730000E28000A24000923000924000A24000A24000A24000B25000D27
000F2900112B00132C00142E00152E00132D000F29000A24
00051F000923000C27000F2900102A000F29000E29000D27000C26000A24000923000923
000922000822000822000822000923000D2700152E002137003040003C46004249004148
003B46003542002E3F00293C002439002036001C34001932001830001730001730001730
001830001831001931001A32001D3400213700283B00324100404800504E005849006142
00693900702F007725007D1B00811200840B008705008901018A00038B00048B00058C00
058C00058C00058C00058C00068C00068C00078C00088D00088D00088D00088D00078C00
058C00018A0000880300840B008014007B1E007429006D3500643F005C4700534C00464B
003743002C3D002439002036001D34001C33001B33001A32001A32001A32001A32001B33
001D34002037002539002A3C003040003743003F4700474B004E4E004F4E00484C003A45
00283B001931000F29000B25000923000923000A24000A24000A24000B25000C27000E28
00102A00122C00142D00152E00142E00112B000C26000721
00041D000720000A25000E2800102A00102A000F29000E28000D27000B26000A24000923
000923000922000822000822000822000A24000E2800162F002338003140003C46004249
004148003C46003543002F3F002A3C002539002137001D34001A32001831001730001730
001730001730001831001931001932001B33001D3500223700283B003241003E47004D4E
00554B005D4600643F006A3700702F007627007A1F007E1800811200830D008509008705
008803008901008900008A00008A00008A0000890000890000880200870500850800830D
008013007D1A00792200732B006D3300673C00604300584900514D004349003643002C3E
002539002036001D35001C33001B33001B33001A32001A32001932001A32001B33001E35
00213700263A002B3D003140003744003F4700474B004E4E004F4E00494C003B45002A3C
001A3200102A000B25000923000923000A24000A24000A24000B25000C26000E2800102A
00122C00132D00152E00152E00132C000E2800092300061F
00031B00051E000822000C26000F2900102A00102A000F29000E28000D27000B25000A24
000923000923000923000822000822000822000A24000E29001730002439003241003D46
004249004149003D46003643003040002B3D00263A002237001E35001B33001931001730
001730001730001730001831001831001931001A32001B33001E3500223700273B002F3F
00394400454A00504E00564B005C4600624100673C006C3600703000732B007626007822
007A1F007C1C007D1A007D19007D19007D19007C1B007B1D007A2000782400752800722D
006E3300693900643F005E4500584900524D00494C003D46003241002A3D002439002036
001E35001C34001B33001B33001A32001A32001932001A32001A32001C34001F35002238
00273B002C3D00324100384400404800484B004E4E004F4E00494C003B46002A3D001B33
00112B000B26000923000923000A24000A24000A24000A25000C26000D27000F2900112B
00132D00152E00152E00142D00102A000B2500072000041D
00031B00041C000620000A24000D2800102A00112B00102A000F29000E28000C27000B25
000A24000923000923000923000822000822000822000A24000F29001730002439003141
003D46004249004249003E47003844003141002C3E00273B002338002036001C34001A32
001831001730001730001730001830001831001931001931001A32001B33001D34002036
002439002A3C003140003945004349004D4E00524D00574A005B48005E4500614200643F
00663D00683B006939006A39006A3800693900683A00673C00653E006241005F44005C47
00584900544C004F4E00464B003C46003442002D3E00273B002238001F36001D34001C34
001B33001B33001A32001A32001A32001932001A32001B33001D3400203600243900283B
002D3E003341003A4500414800494C004E4E004E4E00484C003B45002A3D001C3300112B
000C26000924000923000A24000A24000A24000A25000B25000D27000F2900112B00132C
00142E00152F00152E00112B000D2700082200051E00041C
00031A00031B00051D000721000B25000F2900112B00112B00102A000F29000E28000C26
000B25000923000923000923000923000822000822000822000A24000F29001730002338
003140003C46004249004349003F47003945003342002E3F00293C002539002137001E35
001B33001932001831001730001730001730001830001831001931001931001A32001B33
001C34001E3500213700243900293C002E3E003341003945003F4700454A004B4D004F4E
00514D00524D00534C00544C00544C00544C00534C00524D00504E004D4E00474B004149
003B46003543003040002B3D00263A002338002036001E35001D34001C33001B33001B33
001A32001A32001A32001932001A32001A32001C34001E3500223700263A002A3C002F3F
003542003B46004349004A4C004E4E004E4E00474B003A45002A3C001B3300112B000C26
000A24000923000A24000A24000A24000A24000B25000D27000E2900102A00122C00142E
00152E00152E00132C000E2800092400061F00041C00031C
00031B00031B00041C00051E000922000C27000F2A00112B00112B00102A000F29000D28
000C26000A25000923000923000923000923000822000822000822000A24000F29001730
002238002F3F003B45004249004349004148003B46003543003040002B3D00273B002338
002036001D34001B33001931001830001730001730001730001831001831001931001931
001932001A32001B33001C34001E35001F3600223700243900273B002A3C002C3E002F3F
003140003341003442003542003542003542003342003241003040002D3E002B3D00283B
00253A002338002137001F36001E35001C34001C33001B33001B33001A32001A32001A32
001932001932001932001A32001B33001E3500203600243900283B002C3E003140003743
003E4700454A004B4D004F4E004D4E00454A00384400283B001A3200112B000C26000A24
000923000A24000A24000A24000A24000B25000C27000E2800102A00122C00142D00152E
00152F00142D00102A000B2500072000041D00041C00041C
00031B00031B00031B00041D000620000A24000D2800102A00112B00112B00102A000F29
000D28000C26000A25000923000923000923000923000822000822000822000A24000E28
00162F002036002D3E00394400414800444A004249003E47003844003341002E3F00293C
00263A002238001F36001D34001A32001931001831001730001730001830001831001831
001931001931001932001A32001A32001B33001B33001C34001D34001E35001F36002036
002137002237002238002238002238002238002237002137002137002036001F35001E35
001D34001C34001C33001B33001B33001B33001A32001A32001A32001A32001932001932
001932001A32001B33001D3400203600233800263A002A3D002F3F003442003A45004148
00474B004D4E004F4E004C4D00434900354200263A00193100102A000B26000924000923
000A24000A24000A24000A24000B25000C26000E2800102A00122C00132D00152E00152F
00142E00112B000C2600082100051E00041C00041C00041C
00031B00031B00031B00031B00051D000721000B25000E2800112B00122B00112B00102A
000F29000D27000C26000A24000923000923000923000923000822000822000822000A24
000D2800142E001E35002A3D003643003F4700444A00444A004048003B46003643003140
002C3E00283B002539002237001F36001D34001B33001932001831001830001830001830
001830001831001831001931001931001932001932001A32001A32001A32001B33001B33
001B33001B33001C33001C33001C33001C33001C33001C33001B33001B33001B33001B33
001B33001A32001A32001A32001A32001A32001A32001932001932001932001A32001A32
001B33001D34001F3600223800253A00293C002D3E003241003744003D4700444A004A4C
004E4E004E4E004A4C003F47003140002338001730000F29000B25000923000923000A24
000A24000A24000A24000B25000C26000E2800102A00112B00132D00152E00162F00152E
00122B000D2700092300061F00041C00041C00041C00041C
00031B00031B00031B00031B00041C00051E000822000B26000F2900112B00122C00112B
00102A000F29000D27000C26000A24000923000923000923000923000822000822000822
000923000C2700122C001B3300273A003341003D4600434900454A004349003E47003945
003442003040002C3D00283B002539002238001F36001D34001B33001A32001931001831
001831001830001830001831001831001831001931001931001931001932001932001A32
001A32001A32001A32001A32001A32001A32001A32001A32001A32001A32001A32001A32
001A32001A32001932001932001931001931001931001932001A32001B33001C34001E35
00203600223800253A00293C002D3E003140003643003B4500414800474B004C4D004F4E
004D4E00464B003B45002D3E001F3600152E000E28000B25000923000923000A24000A24
000A24000A24000B25000C26000E2800102A00112B00132D00152E00162F00152E00122C
000E2800092300061F00041D00041C00041C00041C00041D
00031B00031B00031B00031B00031B00041C00061F000822000C26000F2900112B00122C
00112B00102A000F29000D27000C26000A25000923000923000923000923000922000822
000822000923000B2600102A001831002238002E3F00394400414800454A00454A004249
003D47003844003442002F3F002C3D00283C00263A002338002037001E35001D34001B33
001A32001931001931001831001831001831001831001831001831001831001931001931
001931001931001931001931001931001931001931001931001931001931001931001931
001931001931001931001931001932001A32001B33001C33001D34001F35002137002338
00263A00293C002D3E003040003542003A45003F4800454A004B4D004E4E004E4E004A4D
00414900354200283B001C3300132C000D27000A24000923000923000A24000A24000A24
000A24000B25000C26000E2800102A00112B00132D00152E00152F00152E00132C000F29
000A2400072000051D00041C00041C00041D00041D00041D
00031B00031B00041C00031C00031B00031B00041D00061F000923000D2700102A00122B
00122C00112B00102A000F29000D27000C26000A25000A24000923000923000923000923
000822000822000923000A25000E2900152E001E3500293C003442003D4600434900454A
00444A004148003D46003844003442003040002D3E002A3C00273B002439002238002036
001E35001D34001C33001B33001A32001932001931001931001831001831001831001831
001831001831001831001831001931001931001931001931001931001931001931001932
001932001A32001A32001B33001C34001D34001F3500203700223800253900273B002A3D
002D3E003140003542003A45003F4700444A00494C004D4E004E4E004C4D00464B003B46
002F3F00223800183000102A000C26000A24000923000923000A24000A24000A24000A24
000B25000C26000E2800102A00112B00132D00142E00152F00152E00132D000F29000B25
00072100051E00041C00041C00041D00041D00041D00041D
00031B00031C00041C00041C00041C00031B00031C00041D000620000923000D2700102A
00122C00122C00112B00102A000F29000D28000C26000B25000A24000923000923000923
000923000822000822000822000A24000C2700122B001931002338002E3E003844004048
00444A00464B00454A004249003E47003945003543003241002E3F002C3D00293C00273A
002539002338002137002036001E35001D34001C34001C33001B33001B32001A32001A32
001A32001A32001A32001A32001A32001A32001A32001A32001A32001B33001B33001C33
001D34001D35001E3500203600213700233800253900273B00293C002C3E002F3F003341
003643003B45003F4800444A00494C004D4E004E4E004D4E00484C003F4700344200283B
001C3400142D000E28000B25000923000923000924000A24000A24000A24000A25000B25
000C27000E2800102A00112B00132D00142E00152F00152F00132D000F2A000B25000721
00051E00041C00041C00041D00041D00041D00041D00041D
00041C00041C00041C00041C00041C00041C00031B00041C00041D000620000A24000D27
00102A00122C00122C00112B00102A000F29000E28000C26000B25000A24000923000923
000923000923000923000822000822000923000B25000F2900142E001D3400263A003140
003A4500414800454A00464B00454A004349003F47003B46003744003442003140002E3F
002C3D002A3C00283B00263A002539002338002238002137002036001F36001F35001E35
001E35001E35001D35001D35001E35001E35001E35001E35001F35001F36002036002137
00223800233800253900263A00283B002A3D002C3E002F3F003241003542003944003D46
00414800454A004A4C004D4E004E4E004D4E00494C004148003743002B3D002036001730
00102A000C26000A24000923000923000A24000A24000A24000A24000A25000B25000D27
000E2800102A00112B00132D00152E00152F00152F00132D00102A000B2600082100051E
00041C00041C00041D00041D00041D00041D00041D00051D
00041C00041C00041C00041C00041C00041C00041C00031B00041C00051D000720000A24
000D2700102A00122C00122C00112B00102A000F29000E28000C27000B25000A24000923
000923000923000923000923000822000822000822000A24000C2600102A001730001F36
00283B003241003B4500414800454A00474B00464B00444A004148003E47003B45003844
003542003241003040002E3F002C3E002B3D00293C00283B00273B00263A00253A002539
00243900243900243900243900243900243900243900253900253A00263A00273B00283B
00293C002B3D002C3E002E3F003040003341003543003844003C4600404800434900474B
004B4D004D4E004E4E004D4E00484C004148003844002D3E00233800193200122C000E28
000B25000923000923000923000A24000A24000A24000A24000B25000C26000D27000E29
00102A00122C00132D00152E00152F00152E00132D00102A000B2600082100051E00041C
00041C00041D00041D00041D00041D00041D00051D00051E
00041D00041C00041C00041C00041C00041C00041C00041C00031B00041C00051D000720
000A24000D2700102A00122C00122C00122B00112B000F29000E28000D27000C26000A25
000A24000923000923000923000923000923000822000822000923000A24000D2700122B
00183100203600293C003241003A4500404800454A00474B00474B00464B00444A004249
003F47003C46003A45003744003543003342003241003040002F3F002E3F002D3E002C3E
002C3D002B3D002B3D002B3D002B3D002C3D002C3E002D3E002D3E002E3F002F3F003140
003241003442003643003844003A45003D4700404800444A00474B004A4C004C4D004E4E
004E4E004B4D00474B004048003743002D3E002338001B3300142D000F29000B26000A24
000923000923000A24000A24000A24000A24000A24000B25000C26000D27000F2900102A
00122C00132D00152E00162F00152E00132D000F2A000B2600082100051E00041D00041C
00041C00041D00041D00041D00041D00051D00051E00051E
00041D00041D00041D00041C00041C00041C00041C00041C00041C00031C00041C00051D
000720000924000D2700102A00122C00122C00122C00112B00102A000E29000D28000C26
000B25000A24000923000923000923000923000923000922000822000822000923000B25
000E2800122C001830001F3600273B002F3F003743003E4700434900464B00484B00484B
00474B00464A00444A004249004048003E47003C46003A45003944003844003743003643
003542003542003442003442003442003542003543003643003743003844003945003B45
003C46003E4700414800434900464A00484C004A4D004C4D004D4E004D4E004C4D00494C
004349003C46003442002B3D002238001A3200142D000F29000C26000A24000923000923
000923000A24000A24000A24000A24000A25000B25000C27000E28000F2900112B00122C
00142D00152E00162F00152E00132C000F29000B2500082100051E00041D00041C00041C
00041D00041D00041D00051D00051E00051E00051F00061F
00051D00051D00041D00041D00041C00041C00041C00041C00041C00041C00031C00041C
00051D000620000923000C27000F2A00112B00122C00122C00112B00102A000F29000E28
000C27000B26000A24000A24000923000923000923000923000923000822000822000822
000923000B25000D2800112B00162F001D34002439002B3D003341003945003F47004349
00464B00484B00484C00484C00484B00474B00464B00454A004349004249004148004148
004048003F48003F47003F47003F4700404800404800414800424900434900444A00464A
00474B00494C004A4D004C4D004D4E004D4E004C4D004B4D00484B00444A003E47003743
002F3F00273B001F3600183100132D000F29000C26000A24000923000923000923000A24
000A24000A24000A24000A24000B25000C26000D27000E2800102A00112B00132C00142E
00152E00152F00152E00122C000F29000B2500072100051E00041C00041C00041C00041D
00041D00041D00051D00051E00051E00061F00061F00061F
00051D00051E00051D00051D00041D00041D00041C00041C00041C00041C00041C00031C
00041C00041D00061F000923000C26000F2900112B00122C00122C00112B00102A000F29
000E28000D27000C26000B25000A24000923000923000923000923000923000923000822
000822000822000923000A25000D2700102A00142D001931001F3600253A002C3D003241
003844003D4600414800444A00464B00484B00494C00494C00494C00494C00494C00494C
00494C00494C00484C00494C00494C00494C00494C004A4C004A4D004B4D004B4D004C4D
004C4D004C4D004B4D004A4C00484B00454A004148003C46003643002F3F00283B002137
001B3300162F00112B000E28000B25000A24000923000923000923000A24000A24000A24
000A24000A24000A25000B25000C26000D28000F2900102A00122C00132D00142E00152E
00152F00142E00122B000E28000A2400072100051E00041C00041C00041C00041D00041D
00041D00051D00051E00051E00061F00061F00061F00061F
00051D00051E00051E00051E00051D00041D00041D00041C00041C00041C00041C00041C
00031C00041C00041D00061F000822000B25000E2900112B00122C00122C00122C00112B
00102A000F29000E28000C27000B26000A25000A24000923000923000923000923000923
000923000822000822000822000923000A24000B26000E2800112B00152E001931001E35
00233800293C002E3F003341003744003B45003E4700414800434900454A00464B00474B
00484B00484C00494C00494C00494C00494C00494C00494C00484C00484B00474B00454A
004349004148003E47003A45003643003140002B3D00263A002036001B3300162F00122C
000F29000C26000A25000924000923000923000923000924000A24000A24000A24000A24
000A24000B25000C26000D27000E28000F2A00112B00122C00132D00152E00152F00152E
00142D00112B000D2700092300072000051E00041C00041C00041D00041D00041D00041D
00051D00051E00051E00061F00061F00061F000620000620
00051D00051E00051E00051E00051E00051E00041D00041D00041C00041C00041C00041C
00041C00031C00041C00041D00051E000821000A25000D2800102A00122C00122C00122C
00112B00102A000F29000E28000D27000C26000B25000A24000A24000923000923000923
000923000923000923000922000822000822000922000923000A24000C26000D2800102A
00132D00162F001A32001E3500223800263A002A3C002D3E003040003341003542003743
003844003A45003A45003B45003B45003B45003A45003945003844003643003442003241
002F3F002B3D00283B002439002036001C3300183000142E00112B000E29000C26000B25
000A24000923000923000923000923000923000A24000A24000A24000A24000A24000B25
000B25000C27000D28000F2900102A00112B00132C00142D00152E00152E00152E00132C
00102A000C2600092300061F00051D00041C00041C00041D00041D00041D00041D00051D
00051E00051E00061F00061F00062000062000062000061F
00041D00051E00051E00051E00051E00051E00051E00041D00041D00041C00041C00041C
00041C00041C00041C00031C00041C00051E000720000923000C27000F2900112B00122C
00122C00122B00112B00102A000F29000E28000D27000C26000B25000A24000924000923
000923000923000923000923000923000922000822000822000822000822000923000A24
000B25000C26000E2800102A00122C00142E001730001931001B33001E35001F36002137
002338002439002439002539002539002539002439002338002237002036001E35001C34
001A3200183000152E00132C00112B000E29000D27000B26000A24000923000923000923
000923000923000923000923000A24000A24000A24000A24000A24000A25000B25000C26
000D27000E28000F2A00112B00122C00132D00142E00152E00152E00142D00112B000E28
000B2500082100061F00041D00041C00041C00041D00041D00041D00041D00051D00051E
00051E00061F00061F00062000062000062000062000061F
00041C00051D00051E00051E00051E00051E00051E00051E00051D00041D00041C00041C
00041C00041C00041C00041C00031B00041C00041D00061F000822000B25000E2800102A
00112B00122C00122C00112B00102A000F29000E29000D28000C27000B26000B25000A24
000923000923000923000923000923000923000923000923000822000822000822000822
000822000822000923000924000A24000B25000C26000D27000E28000F2900102A00112B
00122C00132C00132D00132D00132D00132D00132C00122C00112B00112B00102A000F29
000D28000C27000B26000B25000A24000923000923000923000922000923000923000923
000923000923000923000924000924000A24000A24000A24000B25000C26000D27000E28
000F2900102A00112B00122C00132D00142E00152E00142E00132C00102A000D27000924
00072000051E00041C00041C00041C00041D00041D00041D00041D00041D00051E00051E
00061F00061F00062000062000062000062000061F00051E
00031B00041D00051E00051E00051E00051E00051E00051E00051E00051D00041D00041C
00041C00041C00041C00041C00041C00031B00031C00041D00051E000721000A24000C27
000F2900112B00112B00122B00112B00102A00102A000F29000E28000D27000C26000B26
000B25000A24000923000923000923000923000923000923000923000922000822000822
000822000822000822000822000822000822000822000922000923000923000923000A24
000A24000A24000A25000A25000A25000A25000A24000A24000A24000A24000923000923
000923000922000822000822000822000822000822000923000923000923000923000923
000923000923000923000923000A24000A24000B25000B26000C27000D28000E2900102A
00112B00122B00132C00132D00142E00142D00132D00112B000E28000B2500082200061F
00041D00041C00041C00041C00041D00041D00041D00041D00041D00051D00051E00061F
00061F00061F00062000062000062000061F00051E00041D
00031A00031B00041D00051E00051E00051E00051E00051E00051E00051E00041D00041D
00041C00041C00041C00041C00041C00041C00031B00031B00041C00051D00061F000822
000B25000D27000F2900112B00112B00112B00112B00102A000F29000E29000E28000D27
000C26000B25000A25000A24000923000923000923000922000822000822000822000822
000822000822000822000822000822000822000822000822000822000822000822000822
000822000822000822000822000822000822000822000822000822000822000822000822
000822000822000822000822000822000923000923000923000923000923000923000923
000923000923000A24000A24000B25000B26000C26000D27000E28000F2900102A00112B
00122C00132C00132D00132D00132C00112B000F29000C2600092300072000051E00041C
00041C00041C00041C00041C00041D00041D00041D00041D00051D00051E00051F00061F
00061F00062000062000062000061F00051E00041D00031B
00021900031A00031C00041D00051E00051E00051E00051E00051E00051E00051E00041D
00041D00041C00041C00041C00041C00041C00041C00031B00031B00031B00041C00051E
000720000923000B25000D28000F2900102A00112B00102A00102A000F29000F29000E28
000D28000D27000C26000B25000A25000A24000923000923000923000822000822000822
000822000822000822000822000822000822000822000822000822000822000822000822
000822000822000822000822000822000822000822000822000822000822000822000822
000822000822000822000822000822000822000822000922000923000923000923000923
000A24000A24000B25000B25000C26000D27000E28000F29000F2900102A00112B00122C
00122C00132C00122C00112B000F29000D27000A2400072100061F00041D00041C00031C
00041C00041C00041C00041D00041D00041D00041D00051D00051E00051E00061F00061F
00061F00062000061F00061F00051E00041D00031B00031A
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[32]:=",
  ImageSize->{489, 489},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007Y0001jB000`400?l00000o`00003ooooooooZ
ooooo`00oooooooZooooo`00DOooool00ol0003oooooooooo`03ooooo`03o`000?oooooooooo00;o
oooo0ol0000`ooooo`?o0000<?ooool5o`0000?ooooo00?o0000ooooooooool00_ooool3o`0002oo
oooo0_l0000`ooooo`Go00000oooool00ol0003oooooooooo`02ooooo`?o0000<Oooool3o`0003;o
oooo00?o0000ooooooooool00oooool00ol0003oooooooooo`02ooooo`?o0000<_ooool0057ooooo
00?o0000ooooooooool01oooool01Ol0003ooooooooooooooooo000002kooooo00Go0000oooooooo
ooooooooo`00000`ooooo`04o`000?ooooooooooo`0000Oooooo00Go0000ooooooooooooooooo`00
000]ooooo`04o`000?ooooooooooo`00033ooooo00Co0000oooooooooooo00001oooool01Ol0003o
oooooooooooooooo000002oooooo00Go0000ooooooooooooooooo`00000aooooo`03o`000?oooooo
oooo00Oooooo00Go0000ooooooooooooooooo`00000aooooo`00BOooool5o`0000Cooooo00?o0000
ooooooooool02_ooool00ol0003oooooooooo`0Vooooo`Go00001Oooool00ol0003oooooooooo`0W
ooooo`Go00000oooool00ol0003oooooooooo`0;ooooo`03o`000?oooooooooo02_ooooo00Co0000
oooooooooooo0000<Oooool00ol0003oooooooooo`0;ooooo`03o`000?oooooooooo037ooooo00?o
0000ooooooooool0<?ooool00ol0003oooooooooo`0:ooooo`03o`000?oooooooooo02oooooo001B
ooooo`03o`000?oooooooooo00[ooooo00?o0000ooooooooool0<?ooool00ol0003oooooooooo`0`
ooooo`03o`000?oooooooooo00[ooooo00?o0000ooooooooool0:oooool01?l0003oooooooooool0
000booooo`03o`000?oooooooooo00[ooooo00?o0000ooooooooool0<Oooool00ol0003ooooooooo
o`0`ooooo`03o`000?oooooooooo00[ooooo00?o0000ooooooooool0;oooool005?ooooo00?o0000
ooooooooool01Oooool4o`0002oooooo1?l0000`ooooo`05o`000?ooooooooooooooool000001ooo
ool4o`0002kooooo00Co0000oooooooooooo0000;oooool01Ol0003ooooooooooooooooo000000Oo
oooo1?l0000`ooooo`Co0000=?ooool00ol0003oooooooooo`05ooooo`Co0000<_ooool004oooooo
00Go0000ooooooooooooooooo`000007ooooo`03o`000?oooooooooo033ooooo00?o0000oooooooo
ool0<Oooool01Ol0003ooooooooooooooooo000000Oooooo00?o0000ooooooooool0;oooool01?l0
003oooooooooool0000_ooooo`05o`000?ooooooooooooooool000001oooool00ol0003ooooooooo
o`0aooooo`03o`000?oooooooooo037ooooo00Go0000ooooooooooooooooo`000007ooooo`03o`00
0?oooooooooo03?ooooo001?ooooo`Go00001oooool5o`0002kooooo1Ol0000`ooooo`?o00002?oo
ool5o`0002kooooo0_l0000aooooo`?o00002?ooool5o`0002oooooo1Ol0000_ooooo`Go00001ooo
ool5o`00037ooooo003oooooon[ooooo003oooooon[ooooo003oooooon[ooooo003oooooon[ooooo
003oooooon[ooooo003oooooon[ooooo000Moooooooo0000c?l00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003o
ooooooooo`06ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool02Oooool00ol0003ooooo
ooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool02?ooool00ol0003ooooo
ooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000ooooooooool01_ooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo03Gooooo00?o0000ooooooooool0=_ooool00ol0003ooooooooo
o`0gooooo`03o`000?oooooooooo03Oooooo00?o0000ooooooooool0=oooool00ol0003ooooooooo
o`0gooooo`03o`000?oooooooooo03Oooooo00?o0000ooooooooool0=?ooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo0?oooooob?ooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
0?oooooob?ooool1o`00007ooooo000Mooooo`03o`000?oooooooooo0?oooooob?ooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo0?oooooob?ooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo0?oooooob?ooool1o`00007ooooo000Mooooo`?o0000ooooooo7ooooo`;o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool3o`026@Co008J1ol00a/7o`0470Oo00@M3Ol011`Io`03
6`[o00<J0ol00a/4o`0470?o00DN1?l01R03o`088PCo00TS0ol02R@>o`0;9@Oo00XT1ol02B<3o`09
8PCo00PR0ol02243o`078@Co00LP1ol01R26o`067`Co00HP1ol01b03o`078@Co00PQ0ol02287o`09
8`Oo00XT1ol02bD7o`0<9P?o00`W1?l032H3o`0;9P?o00XT1?l02B<3o`078@Co00DO0ol011d7o`03
6`Co00<J6?l00a/7o`0470Oo00@M3Ol01Ad4o`047@?o00@L1?l00a/3o`036PCo008I1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol00QT4o`026POo00<K1ol011`7o`047@go
00@L6Ol00a/:o`036P?o00<K1?l011`3o`057PCo00HP0ol02284o`098`?o00XT3_l02bD7o`0:90Oo
00TS0ol02B84o`088P?o00PQ0ol01b44o`0780Oo00HPQ_l01Ql4o`0680Oo00LP0ol01b44o`088@?o
00PR1ol02B<7o`0:90Oo00/U1ol032H3o`0<9`Co00`V0ol02bH3o`0:90Co00TS0ol01b44o`057`?o
00@M1ol00a/4o`036QSo00<K1ol011`7o`047@go00DM1?l011d3o`0470Co00<K0ol00aX4o`026@Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o008I1?l00QX7o`036`Oo00@L
1ol011d=o`0471Wo00<K2_l00aX3o`036`Co00@L0ol01Ah4o`0680?o00PR1?l02B<3o`0:90ko00/U
1ol02R@7o`098`?o00TR1?l02283o`088@?o00LQ1?l01b07o`0688Ko00HO1?l01R07o`0780?o00LQ
1?l02243o`088POo00TS1ol02R@7o`0;9@Oo00`V0ol032L4o`0<9P?o00/V0ol02R@4o`098`?o00LQ
1?l01Al3o`047@Oo00<K1?l00aXHo`036`Oo00@L1ol011d=o`057@Co00@M0ol011`4o`036`?o00<J
1?l00QT7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`026@Co008J1ol0
0a/7o`0470Oo00@M3Ol011`Io`036`[o00<J0ol00a/4o`0470?o00DN1?l01R03o`088PCo00TS0ol0
2R@>o`0;9@Oo00XT1ol02B<3o`098PCo00PR0ol02243o`078@Co00LP1ol01R26o`067`Co00HP1ol0
1b03o`078@Co00PQ0ol02287o`098`Oo00XT1ol02bD7o`0<9P?o00`W1?l032H3o`0;9P?o00XT1?l0
2B<3o`078@Co00DO0ol011d7o`036`Co00<J6?l00a/7o`0470Oo00@M3Ol01Ad4o`047@?o00@L1?l0
0a/3o`036PCo008I1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol00QX4
o`036`?o00<L1?l011`>o`047@[o00@L6?l00a/7o`036P?o00<K1?l011`3o`057@Co00HO0ol02284
o`0990?o00/U3_l032H7o`0;9@Oo00XT0ol02B<4o`098P?o00PR1?l02243o`078@?o00LP2ol01R1b
o`067aSo00HP2_l01b04o`078@?o00PQ0ol02287o`098`Co00XT0ol02RD4o`0;9@?o00`V1?l032L3
o`0=9`Oo00dX0ol03BL4o`0<9P?o00/U1?l02B<3o`0780Co00DN0ol011`Ho`036`Co00<L2_l011`4
o`047@?o00DM3_l01Ah3o`057@Co00@M0ol00a/4o`036POooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`?o008J1?l00a/3o`0370Co00@L3_l011d:o`0471So00<K1ol00aX3o`03
6`Co00@L0ol01Ad4o`067`?o00PR1?l02B@3o`0;9@ko00`V1ol02bD7o`0:90?o00TS1?l02B83o`08
8PCo00PQ0ol01b43o`0780_o00HPL_l01QlHo`0680[o00LP1?l01b43o`088@?o00PR1ol02B<4o`0:
90?o00XU1?l02bD3o`0<9PCo00`W0ol03BL7o`0=:0?o00dW1?l032H3o`0;9@Co00TS0ol01b04o`05
7P?o00@L6?l00a/4o`0370[o00@L1?l011d3o`057@ko00DN0ol01Ad4o`047@?o00<K1?l00aX7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`026PCo00<K0ol00a`4o`0470ko
00@M2_l011`Ho`036`Oo00<J0ol00a/4o`0470?o00DM1?l01Ql3o`088PCo00TT0ol02bD>o`0<9POo
00/U1ol02R@3o`098`Co00TR0ol02284o`088@?o00LQ0ol01b0;o`0687;o00HO6?l01R0:o`0780Co
00LQ0ol02243o`088POo00TS1?l02R@3o`0:9@Co00/U0ol032H4o`0<9`?o00dW1ol03BP3o`0=9`Co
00`V0ol02bD4o`098`?o00LP1?l01Ah3o`0471So00<K1?l00a`:o`0470Co00@M0ol01Ad>o`057P?o
00DM1?l011d3o`036`Co00<J1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo
0ol00a/4o`0370?o00@L4_l011d6o`0470Co00<L7ol00a/3o`047@Co00HO0ol01b44o`098`?o00/U
1?l032H7o`0=9`?o00`W0ol032H4o`0;9P?o00/U1ol02R@4o`098`Oo00PR1ol01b4:o`0781Go00HP
6?l01Ql7o`0680Oo00LP2_l01b4>o`088@go00LQ1ol01b0;o`0680Oo00HO2_l01R0Ho`0780[o00LQ
1ol02284o`098`?o00XT1?l02RD3o`0;9@Co00`V0ol03BL4o`0=:0?o00hX1ol03RT3o`0>:0Co00`W
0ol02RD4o`088P?o00HP1?l01Ad3o`0470ko00<K4Ol011`7o`047@?o00DM4_l01Ah3o`047@Co00<L
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol00a/4o`0370?o00@L4_l0
11d6o`0470Co00<L7ol00a/3o`047@Co00HO0ol01b44o`098`?o00/U1?l032H7o`0=9`?o00`W0ol0
32H4o`0;9P?o00/U1ol02R@4o`098`Oo00PR1ol01b4:o`0781Go00HP6?l01Ql7o`0680Oo00LP2_l0
1b4>o`088@go00LQ1ol01b0;o`0680Oo00HO2_l01R0Ho`0780[o00LQ1ol02284o`098`?o00XT1?l0
2RD3o`0;9@Co00`V0ol03BL4o`0=:0?o00hX1ol03RT3o`0>:0Co00`W0ol02RD4o`088P?o00HP1?l0
1Ad3o`0470ko00<K4Ol011`7o`047@?o00DM4_l01Ah3o`047@Co00<L1oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo0ol00a/4o`0370?o00@L4_l011d6o`0470Co00<L7ol00a/3
o`047@Co00HO0ol01b44o`098`?o00/U1?l032H7o`0=9`?o00`W0ol032H4o`0;9P?o00/U1ol02R@4
o`098`Oo00PR1ol01b4:o`0781Go00HP6?l01Ql7o`0680Oo00LP2_l01b4>o`088@go00LQ1ol01b0;
o`0680Oo00HO2_l01R0Ho`0780[o00LQ1ol02284o`098`?o00XT1?l02RD3o`0;9@Co00`V0ol03BL4
o`0=:0?o00hX1ol03RT3o`0>:0Co00`W0ol02RD4o`088P?o00HP1?l01Ad3o`0470ko00<K4Ol011`7
o`047@?o00DM4_l01Ah3o`047@Co00<L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol00a/4o`0370?o00@L4_l011d6o`0470Co00<L7ol00a/3o`047@Co00HO0ol01b44o`09
8`?o00/U1?l032H7o`0=9`?o00`W0ol032H4o`0;9P?o00/U1ol02R@4o`098`Oo00PR1ol01b4:o`07
81Go00HP6?l01Ql7o`0680Oo00LP2_l01b4>o`088@go00LQ1ol01b0;o`0680Oo00HO2_l01R0Ho`07
80[o00LQ1ol02284o`098`?o00XT1?l02RD3o`0;9@Co00`V0ol03BL4o`0=:0?o00hX1ol03RT3o`0>
:0Co00`W0ol02RD4o`088P?o00HP1?l01Ad3o`0470ko00<K4Ol011`7o`047@?o00DM4_l01Ah3o`04
7@Co00<L1oooool1o`00007ooooo000Mooooo`?o00001_ooool3o`036`Co00@L4Ol011d:o`0471co
00<K1?l011`3o`057P?o00LP1?l02B<3o`0;9@Co00`V0ol03BL4o`0=:0Oo00dW0ol032H3o`0;9PCo
00/U0ol02R@7o`098`Co00PR0ol02247o`078AGo00LP5?l01R04o`0780?o00LQ1?l02243o`088PCo
00TS0ol02R@4o`0:9@?o00/U1?l032H3o`0<9`?o00dW1?l03BPAo`0>:0Oo00dW0ol032H4o`0;9P?o
00/U1?l02R@3o`098`Oo00PR1ol01b4Eo`0781So00LQ1ol02283o`098`Oo00XT1?l02bD3o`0<9PCo
00dW1_l03RP;o`0?:@?o00hX1?l032H3o`0:90Co00LQ0ol01Ah3o`047@_o00<K0ol00a`Bo`0470?o
00@M0ol01AdEo`057PCo00@M1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo
0ol00a/4o`04717o00@M2_l011`Lo`036`Co00@L0ol01Ah3o`0780Co00TS0ol02bD4o`0<9P?o00dW
1?l03BP7o`0=9`?o00`V0ol02bH4o`0;9@?o00XT1ol02B<4o`088P?o00PQ1ol01b4Eo`0781Co00HP
1?l01b03o`078@Co00PQ0ol02284o`098`?o00XT1?l02RD3o`0;9@Co00`V0ol032L3o`0=9`Co00dX
4Ol03RP7o`0=9`?o00`V1?l02bH3o`0;9@Co00XT0ol02B<7o`088POo00LQ5Ol01b0Ho`078@Oo00PR
0ol02B<7o`0:90Co00/U0ol032H4o`0=9`Ko00hX2ol03bT3o`0>:0Co00`V0ol02R@4o`078@?o00DN
0ol011d;o`036`?o00<L4_l011`3o`047@?o00DM5Ol01Ah4o`047@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06ooooo`?o00<K1?l011`Ao`047@[o00@L7?l00a/4o`0470?o00DN0ol0
1b04o`098`?o00/U1?l032H3o`0=9`Co00dX1ol03BL3o`0<9P?o00/V1?l02bD3o`0:90Oo00TS1?l0
2283o`088@Oo00LQ5Ol01b0Do`0680Co00LP0ol01b44o`088@?o00PR1?l02B<3o`0:90Co00XU0ol0
2bD4o`0<9P?o00`W0ol03BL4o`0=:17o00hX1ol03BL3o`0<9PCo00/V0ol02bD4o`0:90?o00TS1ol0
2287o`078AGo00LP6?l01b47o`088P?o00TS1ol02R@4o`0;9@?o00`V1?l03BL6o`0>:0_o00lY0ol0
3RP4o`0<9P?o00XT1?l01b43o`057P?o00@M2ol00a/3o`0371;o00@L0ol011d3o`057AGo00DN1?l0
11d7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0471Go00@M1ol011`3
o`0371Wo00<K0ol011d4o`067`?o00PQ0ol02R@4o`0<9P?o00dW1ol03RP4o`0=:0?o00dW1?l032H3
o`0;9P?o00/U1?l02R@3o`098`Oo00PR5Ol01b4:o`0780Oo00HP1ol01b04o`078@?o00PR0ol02B<4
o`0:9@?o00`V1?l03BP3o`0?:@Co014[0ol04R`4o`0D;P?o01H_1?l05c03o`0H<@?o01Ta1ol06S8;
o`0K<`?o01Xb1?l06C83o`0I<@?o01L`1?l05Rl3o`0E;PCo01<]0ol04B/4o`0@:P?o00hX1?l032L3
o`0;9@Co00XT0ol02B<3o`088POo00LQ1ol01b0>o`078@[o00PQ1ol02284o`098P?o00TS1?l02R@3
o`0;9@Co00`V0ol03BL3o`0>:0Co00hY0ol03bT7o`0@:PCo00lY0ol03BP4o`0;9@?o00TR0ol01R04
o`057@?o00@L1ol00a/Eo`0470?o00@M1?l01AdEo`057POooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`?o00@L5Ol011d7o`0470?o00<L6Ol00a/3o`047@Co00HO0ol02243o`0:
90Co00`V0ol03BL7o`0>:0Co00dX0ol03BL4o`0<9P?o00/V0ol02bD4o`0:90?o00TS1ol0228Eo`07
8@[o00LP1ol01R07o`0780Co00LQ0ol02283o`098`Co00XU0ol032H4o`0=:0?o00lY1?l04B/3o`0B
;0Co01@^0ol05Rl4o`0G<0?o01Pa0ol06C47o`0J<P_o01/c0ol06S84o`0I<P?o01Ta0ol05c04o`0F
;`?o01D^1?l04bd3o`0A:`Co010Z0ol03RP4o`0<9`?o00/U1?l02R@3o`098`?o00PR1ol01b47o`07
80ko00LQ2_l02247o`088PCo00TR0ol02B<4o`0:90?o00/U1?l032H3o`0=9`?o00hX1?l03RT3o`0?
:@Oo010Z1?l03bT3o`0=:0Co00/U0ol02B83o`0680Co00DM0ol011`7o`036aGo00@L0ol011d4o`05
7AGo00DN1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol011`Eo`047@Oo
00@L0ol00a`Io`036`?o00@M1?l01Ql3o`088@?o00XT1?l032H3o`0=9`Oo00hX1?l03BP3o`0=9`Co
00`V0ol02bH3o`0;9@Co00XT0ol02B<7o`088QGo00LQ2_l01b07o`0680Oo00LP1?l01b43o`088P?o
00TS1?l02RD3o`0<9PCo00dX0ol03bT4o`0A:`?o018/1?l052h3o`0F;`Co01L`0ol06343o`0I<@Oo
01Xb2ol06c<3o`0J<PCo01Tb0ol06C43o`0G<0Co01H_0ol05Bh4o`0C;@?o014[1?l042X3o`0>:0Co
00`W0ol02bD4o`0:90?o00TS0ol02287o`078@Oo00LP3_l01b4:o`088@Oo00PR1?l02B83o`098`Co
00XT0ol02bD4o`0<9P?o00dW0ol03RP4o`0>:@?o00lY1ol042X4o`0?:@?o00dX1?l02bD3o`098P?o
00HP1?l01Ad3o`0470Oo00<K5Ol011`3o`047@Co00DM5Ol01Ah7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool3o`0471;o00@M1ol011`:o`0370ko00<K0ol011`4o`057@?o00HP
1?l02283o`0;9@?o00dW2ol03RP3o`0=:0Co00dW0ol032H4o`0;9@Ko00XT1?l02B<3o`088PCo00PQ
5Ol01b4=o`0780Co00LQ0ol02284o`098`?o00XU1?l032L3o`0?:@?o014[1?l052d3o`0G<0Co01Tb
0ol073@4o`0O=P?o024g1?l08cP3o`0U>PCo02Lk0ol0:3/3o`0Y?0Co02Xm4Ol0:cd4o`0Z?0?o02Tl
0ol0:3/4o`0V>P?o02Di1?l08SP3o`0P=PCo01de0ol06c<4o`0H<0?o01D^1?l04R`3o`0?:@?o00dW
1?l02bD3o`0:90Co00PR0ol0224>o`078@Oo00PQ4Ol02284o`098`?o00XT1?l02bD3o`0<9P?o00dW
1?l03BP3o`0>:@Co00lY2_l042X4o`0?:@?o00`W0ol02R@4o`078@?o00DN1?l011`7o`036a7o00@L
1ol011dEo`057POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00@L4_l0
11d7o`0470[o00<L3_l00a/3o`0470Co00DM0ol01R04o`088P?o00/U0ol03BL;o`0>:0?o00dX1?l0
3BL3o`0<9PCo00/U1_l02R@4o`098`?o00PR1?l0224Eo`078@go00LP1?l01b43o`088PCo00TS0ol0
2RD4o`0<9`?o00lY0ol04B/4o`0D;@?o01L`1?l06C83o`0L=0Co01lf0ol08CL4o`0S>0?o02Dj1?l0
9c/3o`0X>`?o02Tl1?l0:SdAo`0[?@Co02Xl0ol0:C`3o`0X>`Co02Hj0ol09CT4o`0R>0?o020f1?l0
7CD3o`0K<`Co01P`0ol05Bh4o`0B;0?o00lY0ol03BL4o`0;9@?o00XT1?l02283o`088@ko00LQ1ol0
224Ao`088PCo00TS0ol02R@4o`0;9@?o00`V0ol03BL4o`0=:0?o00hY1?l03bT:o`0@:PCo00lY0ol0
32L3o`0:90Co00LQ0ol01Ah4o`0470Oo00<K4Ol011`7o`047AGo00DN1oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo0ol011`Bo`047@Oo00@L2_l00a`>o`036`?o00@L1?l01Ad3
o`0680Co00PR0ol02bD3o`0=9`_o00hX0ol03BP4o`0=9`?o00`V1?l02bD6o`0:90Co00TS0ol02284
o`088AGo00LQ3Ol01b04o`078@?o00PR1?l02B<3o`0:9@Co00`W0ol03bT3o`0A:`Co01@]0ol05c04
o`0I<P?o01`d1?l07cH3o`0Q=`Co02<h0ol09CX4o`0W>`?o02Pk0ol0:C`4o`0Z?A7o02/m1?l0:S`3
o`0Y?0?o02Pk1?l09SX3o`0U>@Co028h0ol083H4o`0M=@?o01/c1?l06303o`0E;PCo018/0ol03bT3
o`0=9`Co00/U0ol02R@4o`088P?o00PQ3_l01b47o`088A7o00PR1?l02B<3o`0:90Co00/U0ol032H3
o`0=9`Co00dX0ol03RT4o`0?:@[o010Z1?l03bT3o`0<9`?o00XT1?l01b43o`057PCo00@L1ol00a/A
o`0470Oo00@M5Ol01Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`04
71;o00@M1ol011`:o`0370ko00<K0ol011`4o`057@?o00HP1?l02283o`0;9@?o00dW2ol03RP3o`0=
:0Co00dW0ol032H4o`0;9@Ko00XT1?l02B<3o`088PCo00PQ5Ol01b4=o`0780Co00LQ0ol02284o`09
8`?o00XU1?l032L3o`0?:@?o014[1?l052d3o`0G<0Co01Tb0ol073@4o`0O=P?o024g1?l08cP3o`0U
>PCo02Lk0ol0:3/3o`0Y?0Co02Xm4Ol0:cd4o`0Z?0?o02Tl0ol0:3/4o`0V>P?o02Di1?l08SP3o`0P
=PCo01de0ol06c<4o`0H<0?o01D^1?l04R`3o`0?:@?o00dW1?l02bD3o`0:90Co00PR0ol0224>o`07
8@Oo00PQ4Ol02284o`098`?o00XT1?l02bD3o`0<9P?o00dW1?l03BP3o`0>:@Co00lY2_l042X4o`0?
:@?o00`W0ol02R@4o`078@?o00DN1?l011`7o`036a7o00@L1ol011dEo`057POooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`06oooooa7o00@M2ol011`6o`0370ko00<K1?l011`3o`057PCo
00LP0ol02B<4o`0<9P?o00dX1ol03RT3o`0>:0Co00dX0ol03BL4o`0<9P?o00/U1?l02R@3o`098`Oo
00PR0ol0224Bo`078@[o00LP0ol01b44o`088P?o00TS1?l02bD3o`0=9`Co010Z0ol04bd4o`0G<0?o
01/c0ol07cH4o`0S>0?o02Hj1?l0:C`3o`0/?PCo02lo0ol0<404o`0b@@?o03=11?l0=483o`0e@P?o
03E37?l0=T<3o`0e@`Co03E20ol0=484o`0b@@?o03101?l0;Sl3o`0[?@Co02Pk0ol09CT4o`0Q=`?o
01dd0ol06C44o`0E;P?o014[1?l03RP3o`0<9PCo00XT0ol02284o`088@[o00LQ0ol0224Bo`088POo
00TS0ol02R@3o`0;9@Co00`W0ol03BP4o`0>:@?o00lY1?l042X7o`0A:`?o00lZ0ol03BP4o`0;9@?o
00PR1?l01Ql3o`047@Co00<L0ol00a/Ao`0470Oo00@M4_l01Ah7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_oooolAo`047@_o00@L1_l00a`>o`036`Co00@L0ol01Ah4o`0780?o00TS
1?l032H3o`0=:0Oo00hY0ol03RP4o`0=:0?o00dW1?l032H3o`0;9@Co00XT0ol02B<7o`088P?o00PQ
4_l01b4:o`0780?o00LQ1?l02283o`098`Co00/U0ol03BL4o`0@:P?o01<]1?l05c03o`0K<`?o01lf
1?l08cP3o`0V>PCo02Tl0ol0;3h4o`0_?`?o03101?l0<T43o`0c@@Co03A20ol0=D83o`0e@aco03I3
0ol0=D<4o`0e@P?o03A21?l0<T43o`0`@0Co02ho0ol0:cd4o`0X>`?o02Di1?l08CL3o`0M=0?o01Ta
1?l05Bh3o`0A:`Co00hX0ol032H4o`0:90?o00PR1?l0224:o`078@?o00PQ4_l02287o`098`?o00XT
0ol02bD4o`0<9`?o00dX1?l03RT3o`0?:@Co010Z1ol04B/3o`0?:P?o00dX1?l02bD3o`088PCo00HO
0ol011d4o`0370?o00<K4Ol011`7o`047A;o00DN1oooool1o`00007ooooo000Mooooo`?o00001_oo
oolAo`047@_o00@L1_l00a`>o`036`Co00@L0ol01Ah4o`0780?o00TS1?l032H3o`0=:0Oo00hY0ol0
3RP4o`0=:0?o00dW1?l032H3o`0;9@Co00XT0ol02B<7o`088P?o00PQ4_l01b4:o`0780?o00LQ1?l0
2283o`098`Co00/U0ol03BL4o`0@:P?o01<]1?l05c03o`0K<`?o01lf1?l08cP3o`0V>PCo02Tl0ol0
;3h4o`0_?`?o03101?l0<T43o`0c@@Co03A20ol0=D83o`0e@aco03I30ol0=D<4o`0e@P?o03A21?l0
<T43o`0`@0Co02ho0ol0:cd4o`0X>`?o02Di1?l08CL3o`0M=0?o01Ta1?l05Bh3o`0A:`Co00hX0ol0
32H4o`0:90?o00PR1?l0224:o`078@?o00PQ4_l02287o`098`?o00XT0ol02bD4o`0<9`?o00dX1?l0
3RT3o`0?:@Co010Z1ol04B/3o`0?:P?o00dX1?l02bD3o`088PCo00HO0ol011d4o`0370?o00<K4Ol0
11`7o`047A;o00DN1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l011dE
o`0470?o00<L2ol00a/3o`0470Co00DN0ol01b44o`0:90?o00`V1?l03RP6o`0?:@Co00hX0ol03BP4
o`0<9`?o00`V1?l02bD3o`0:90Co00TS1_l02284o`088A7o00LQ1?l01b07o`078@?o00PR0ol02R@4
o`0=9`?o010Z1?l052d3o`0H<@Co01dd0ol08SL4o`0W>P?o02/m0ol0;Sl4o`0a@@?o03A21?l0=D<3
o`0f@`Oo03M41ol0>4@7o`0gA17o03M31?l0=d@:o`0hA0?o03U41ol0>DD4o`0jA@?o03U51?l0>D@3
o`0hA0Co03I30ol0=484o`0a@0?o02hn0ol0:C`4o`0T>@?o01lf1?l06S83o`0E;PCo014[0ol03RP4
o`0;9@?o00TS0ol02284o`088@?o00LQ1?l0224Ao`088PCo00TR0ol02B<3o`0:90Co00/U0ol032H4
o`0=9`?o00hX1?l03bT3o`0@:POo014[0ol042X4o`0>:0?o00/V1?l02283o`067`Co00@M0ol011`4
o`036a7o00@L1ol011d>o`057POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooo
o`[o00@M5Ol011`3o`0370_o00<K0ol011`4o`057P?o00LQ1?l02R@3o`0<9PCo00hX1_l03bT4o`0>
:0?o00dX1?l032L3o`0<9PCo00/U0ol02R@4o`098`Ko00PR1?l0224Ao`078@Co00LP1ol01b43o`08
8P?o00XT1?l03BL3o`0@:PCo01@]0ol06344o`0M=0?o028g1?l09cX3o`0[?@?o02ho1?l0<D43o`0d
@PCo03E30ol0=T<7o`0gA0Oo03Q41ol0=d@Ao`0g@`Co03M42_l0>4@3o`0iA0Oo03U51?l0>TD3o`0i
A@Co03U40ol0>4@4o`0f@`?o03A21?l0<D03o`0^?P?o02Tl1?l093T3o`0O=PCo01Xb0ol05Bh4o`0A
:`?o00hX1?l02bD3o`098`?o00PR1?l02243o`078@Co00PQ4Ol02284o`098P?o00TS0ol02R@4o`0;
9@?o00`V1?l03BL3o`0>:0Co00lY0ol042X7o`0A:`?o010Z1?l03RP3o`0;9PCo00PR0ol01Ql4o`04
7@?o00@L1?l00a/Ao`0470Oo00@M3_l01Ah7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool:o`047AGo00@L0ol00a`;o`036`?o00@L1?l01Ah3o`078@Co00XT0ol032H4o`0>:0Ko
00lY1?l03RP3o`0=:0Co00`W0ol032H4o`0;9@?o00XT1?l02B<6o`088PCo00PQ4Ol01b44o`0780Oo
00LQ0ol02283o`0:90Co00dW0ol042X4o`0D;@?o01Pa1?l07C@3o`0R=`Co02Lj0ol0:cd3o`0^?`Co
03510ol0=484o`0e@`?o03I31ol0=d@7o`0hA0Oo03M44Ol0=d<4o`0gA0[o03Q40ol0>D@7o`0iA@Co
03Y50ol0>DD4o`0iA0?o03Q41?l0=T<3o`0d@PCo03500ol0;Sh3o`0Y?0Co02@i0ol07cH4o`0J<P?o
01D^1?l04B/3o`0>:0Co00/U0ol02B<3o`088PCo00PQ0ol01b44o`088A7o00PR1?l02B83o`098`?o
00XT1?l02bD3o`0<9PCo00dW0ol03RP4o`0?:@?o010Z1ol04B/3o`0@:PCo00hX0ol02bH4o`088P?o
00HO1?l011d3o`0470Co00<K4Ol011`7o`047@ko00DN1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo2_l011dEo`0470?o00<L2ol00a/3o`0470Co00DN0ol01b44o`0:90?o00`V
1?l03RP6o`0?:@Co00hX0ol03BP4o`0<9`?o00`V1?l02bD3o`0:90Co00TS1_l02284o`088A7o00LQ
1?l01b07o`078@?o00PR0ol02R@4o`0=9`?o010Z1?l052d3o`0H<@Co01dd0ol08SL4o`0W>P?o02/m
0ol0;Sl4o`0a@@?o03A21?l0=D<3o`0f@`Oo03M41ol0>4@7o`0gA17o03M31?l0=d@:o`0hA0?o03U4
1ol0>DD4o`0jA@?o03U51?l0>D@3o`0hA0Co03I30ol0=484o`0a@0?o02hn0ol0:C`4o`0T>@?o01lf
1?l06S83o`0E;PCo014[0ol03RP4o`0;9@?o00TS0ol02284o`088@?o00LQ1?l0224Ao`088PCo00TR
0ol02B<3o`0:90Co00/U0ol032H4o`0=9`?o00hX1?l03bT3o`0@:POo014[0ol042X4o`0>:0?o00/V
1?l02283o`067`Co00@M0ol011`4o`036a7o00@L1ol011d>o`057POooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06oooooa7o00@L1ol00a`4o`0470?o00<L2_l00a/4o`0470?o00HO1?l0
2243o`0:9@Co00dW0ol03RP7o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@4o`098`?o00TR1?l0
228:o`088A7o00LQ1?l02243o`098`Co00/U0ol03RP3o`0B;0Co01L`0ol073@4o`0R=`?o02Lk1?l0
;3h3o`0`@0Co03A20ol0=T<3o`0g@`Oo03Q41?l0=d@7o`0f@`?o03E21?l0=483o`0c@@Oo03911ol0
<D07o`0`@0[o03501ol0<T43o`0c@PCo03A20ol0=D<4o`0g@`?o03Q41?l0>D@3o`0jA@_o03]50ol0
>DD3o`0gA0Co03A20ol0<404o`0[?@?o02Di1?l07cD3o`0I<@Co01<]0ol03bT3o`0<9PCo00XT0ol0
2287o`088AGo00PR0ol02B<4o`0:90?o00/U1?l032H3o`0=9`Co00hX0ol03bT4o`0@:P[o014[0ol0
3bT4o`0<9P?o00TS1?l01R03o`047@Co00@L0ol00a/Ao`0470Co00@M0ol01Ad;o`057POooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06oooooa7o00@L1ol00a`4o`0470?o00<L2_l00a/4
o`0470?o00HO1?l02243o`0:9@Co00dW0ol03RP7o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@4
o`098`?o00TR1?l0228:o`088A7o00LQ1?l02243o`098`Co00/U0ol03RP3o`0B;0Co01L`0ol073@4
o`0R=`?o02Lk1?l0;3h3o`0`@0Co03A20ol0=T<3o`0g@`Oo03Q41?l0=d@7o`0f@`?o03E21?l0=483
o`0c@@Oo03911ol0<D07o`0`@0[o03501ol0<T43o`0c@PCo03A20ol0=D<4o`0g@`?o03Q41?l0>D@3
o`0jA@_o03]50ol0>DD3o`0gA0Co03A20ol0<404o`0[?@?o02Di1?l07cD3o`0I<@Co01<]0ol03bT3
o`0<9PCo00XT0ol02287o`088AGo00PR0ol02B<4o`0:90?o00/U1?l032H3o`0=9`Co00hX0ol03bT4
o`0@:P[o014[0ol03bT4o`0<9P?o00TS1?l01R03o`047@Co00@L0ol00a/Ao`0470Co00@M0ol01Ad;
o`057POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooooa7o00@L1ol00a`4o`04
70?o00<L2_l00a/4o`0470?o00HO1?l02243o`0:9@Co00dW0ol03RP7o`0?:@?o00hX1?l03BL3o`0<
9PCo00/U0ol02R@4o`098`?o00TR1?l0228:o`088A7o00LQ1?l02243o`098`Co00/U0ol03RP3o`0B
;0Co01L`0ol073@4o`0R=`?o02Lk1?l0;3h3o`0`@0Co03A20ol0=T<3o`0g@`Oo03Q41?l0=d@7o`0f
@`?o03E21?l0=483o`0c@@Oo03911ol0<D07o`0`@0[o03501ol0<T43o`0c@PCo03A20ol0=D<4o`0g
@`?o03Q41?l0>D@3o`0jA@_o03]50ol0>DD3o`0gA0Co03A20ol0<404o`0[?@?o02Di1?l07cD3o`0I
<@Co01<]0ol03bT3o`0<9PCo00XT0ol02287o`088AGo00PR0ol02B<4o`0:90?o00/U1?l032H3o`0=
9`Co00hX0ol03bT4o`0@:P[o014[0ol03bT4o`0<9P?o00TS1?l01R03o`047@Co00@L0ol00a/Ao`04
70Co00@M0ol01Ad;o`057POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`ko
00@L3_l00a`:o`036`?o00@M1?l01Ql3o`088PCo00/U0ol03BL;o`0?:@?o00hX0ol03BL4o`0<9P?o
00/U1?l02R@3o`098`Oo00PR2_l0224>o`078@Co00PQ0ol02B<4o`0;9@?o00lY1?l04bd3o`0I<@?o
01lf1?l09CX3o`0[?@Co03100ol0=484o`0f@`Oo03Q40ol0=d@3o`0f@`Co03E20ol0<d44o`0a@@?o
03101?l0;cl3o`0]?PCo02`n0ol0:cd4o`0Z?@?o02Xl6?l0:C`4o`0Z?0Ko02/m1?l0;3h3o`0^?PCo
02lo0ol0<404o`0b@@?o03A21?l0=T<3o`0hA0Co03Y50ol0>dD7o`0lAP?o03]51?l0>4@3o`0e@PCo
02lo0ol0:C`4o`0R>0?o01/c0ol05Bh4o`0@:P?o00`V1?l02R@3o`088POo00PQ4Ol02287o`098`Co
00XT0ol02bH4o`0=9`?o00hX1?l03bT3o`0@:P?o014[1?l04R/3o`0A:`Co00lY0ol03BL4o`098`?o
00HP1?l01Ad3o`0470Co00<L4Ol011`3o`047@Co00DM1ol01Ah7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool>o`0470ko00<L2_l00a/3o`047@Co00HO0ol02284o`0;9@?o00dW
2ol03bT3o`0>:0?o00dW1?l032H3o`0;9@Co00XT0ol02B<7o`088P[o00PQ3_l01b44o`088@?o00TS
1?l02bD3o`0?:@Co01<]0ol06C43o`0O=PCo02Dj0ol0:cd4o`0`@0?o03A21?l0=T<7o`0hA0?o03M4
0ol0=T<4o`0e@P?o03=11?l0<D43o`0`@0Co02lo0ol0;Ch4o`0/?P?o02/m1?l0:Sd3o`0Z?1So02Tl
1?l0:S`6o`0[?@Co02`n0ol0;Sh4o`0_?`?o03101?l0<T43o`0d@PCo03I30ol0>4@4o`0jA@?o03]5
1ol0?4H3o`0kA@Co03Q40ol0=D84o`0_?`?o02Tl1?l08SP3o`0K<`?o01D^1?l042X3o`0<9PCo00XT
0ol02287o`088A7o00PR1ol02B<4o`0:90?o00/V1?l03BL3o`0>:0Co00lY0ol042X3o`0A:`Co018[
0ol04B/4o`0?:@?o00dW1?l02B<3o`0680Co00DM0ol011`4o`03717o00@L0ol011d4o`057@Oo00DN
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo3_l011`>o`0370[o00<K0ol0
11d4o`067`?o00PR1?l02bD3o`0=9`_o00lY0ol03RP3o`0=9`Co00`V0ol02bD4o`0:90?o00TS1ol0
228:o`088@ko00LQ1?l02243o`098`Co00/U0ol03bT4o`0C;@?o01Ta0ol07cH4o`0U>P?o02/m1?l0
<403o`0d@PCo03I31ol0>4@3o`0gA0?o03I31?l0=D83o`0c@@Co03510ol0<404o`0_?`?o02dn1?l0
;3h3o`0[?@Co02Xm0ol0:S`Ho`0Y?0Co02Xl1_l0:cd4o`0/?P?o02hn1?l0;cl3o`0`@0Co03910ol0
=484o`0f@`?o03Q41?l0>TD3o`0kA@Oo03a60ol0>dD4o`0hA0?o03E21?l0;cl3o`0Y?0Co028h0ol0
6c<3o`0E;PCo010Z0ol032H4o`0:90?o00PR1ol0224Ao`088POo00TS1?l02R@3o`0;9PCo00dW0ol0
3RP4o`0?:@?o010Z0ol04B/4o`0B:`?o014[1?l03bT3o`0=9`Co00TS0ol01R04o`057@?o00@L1?l0
0a`Ao`0470?o00@M1?l01Ad7o`057POooooo0Ol00001ooooo`007Oooool3o`0000Kooooo3_l011`>
o`0370[o00<K0ol011d4o`067`?o00PR1?l02bD3o`0=9`_o00lY0ol03RP3o`0=9`Co00`V0ol02bD4
o`0:90?o00TS1ol0228:o`088@ko00LQ1?l02243o`098`Co00/U0ol03bT4o`0C;@?o01Ta0ol07cH4
o`0U>P?o02/m1?l0<403o`0d@PCo03I31ol0>4@3o`0gA0?o03I31?l0=D83o`0c@@Co03510ol0<404
o`0_?`?o02dn1?l0;3h3o`0[?@Co02Xm0ol0:S`Ho`0Y?0Co02Xl1_l0:cd4o`0/?P?o02hn1?l0;cl3
o`0`@0Co03910ol0=484o`0f@`?o03Q41?l0>TD3o`0kA@Oo03a60ol0>dD4o`0hA0?o03E21?l0;cl3
o`0Y?0Co028h0ol06c<3o`0E;PCo010Z0ol032H4o`0:90?o00PR1ol0224Ao`088POo00TS1?l02R@3
o`0;9PCo00dW0ol03RP4o`0?:@?o010Z0ol04B/4o`0B:`?o014[1?l03bT3o`0=9`Co00TS0ol01R04
o`057@?o00@L1?l00a`Ao`0470?o00@M1?l01Ad7o`057PKooooo0_l00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`Oo00@L0ol00a`7o`036`Co00<L3Ol00a/4o`047@?o00HO1?l02283o`0;
9@Co00dX2_l03bT4o`0>:0?o00dW0ol032H4o`0;9@?o00XT1?l02B<7o`088P[o00PQ3_l01b43o`09
8`Co00/U0ol03RT4o`0C;@?o01Xb1?l083L3o`0W>`?o02hn1?l0<T43o`0f@`Oo03Q41?l0=d<3o`0f
@`Co03A20ol0<D43o`0_?`Co02dn0ol0:cd4o`0Z?0?o02Pk1?l09c/3o`0V>PCo02Di1ol093T6o`0S
>1;o028h1ol08cP6o`0T>@Co02Dj0ol09SX4o`0W>`?o02Tl1?l0:Sd3o`0/?@Co02ho0ol0<404o`0b
@@?o03E20ol0=d@4o`0jA@?o03a61ol0?DH4o`0kA@?o03Q41?l0<T43o`0[?@?o02@i1?l073@3o`0E
;`Co010Z0ol032H4o`0990?o00PR1?l0224Ao`088POo00TS0ol02R@4o`0;9@?o00`W1?l03RP3o`0?
:@?o010Z1?l04B/3o`0B;0Co014[0ol042X4o`0=9`?o00XT1?l01b03o`057@Co00@L0ol00a`Ao`04
70Oo00@M1?l01Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`0470?o
00<L1ol00a/4o`0370go00<K1?l011d3o`067`Co00PR0ol02bD4o`0=:0[o00lY1?l03RP3o`0=9`?o
00`V1?l02bD3o`0:90Co00TS1ol0228:o`088@ko00LQ0ol02B<4o`0;9@?o00hY1?l04bd3o`0J<PCo
020g0ol09c/3o`0^?PCo03910ol0=T<7o`0hA0Co03M30ol0=T<4o`0d@P?o03510ol0;cl4o`0]?P?o
02/m1?l0:S`3o`0X>`Co02Lk0ol09SX4o`0U>@Oo02@i1_l08cPBo`0R>0Oo02<h1_l093T4o`0U>P?o
02Hj1?l09c/3o`0Y?0Co02Xm0ol0;3d4o`0^?`?o03101?l0<T43o`0e@P?o03M41?l0>TD3o`0lAPOo
03e61?l0>dD3o`0hA0Co03910ol0:cd3o`0T>@Co01`d0ol05Bl4o`0@:P?o00`V1?l02B@3o`088PCo
00PQ4Ol02287o`098`?o00XT1?l02bD3o`0<9`Co00hX0ol03bT3o`0@:PCo014[0ol04R`4o`0A:`?o
010Z1?l03BL3o`0:90Co00LP0ol01Ad4o`0470?o00<L4Ol011`7o`047@Co00DN1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo1ol011`3o`0370Oo00<K1?l00a`=o`036`Co00@M
0ol01Ql4o`088P?o00/U1?l03BP:o`0?:@Co00hX0ol03BL3o`0<9PCo00/U0ol02R@4o`098`Oo00PR
2_l0224>o`078@?o00TS1?l02bD3o`0>:@Co01<]0ol06S84o`0P=`?o02Lk0ol0;Sh4o`0b@@?o03I3
1ol0>4@4o`0g@`?o03I31?l0=483o`0a@@?o02lo1?l0;Ch3o`0[?@Co02Xl0ol0:3/4o`0W>`?o02Hj
1?l09CT7o`0T>@Ko02<h4_l08SP7o`0S>0Ko02@i1?l09CX3o`0V>PCo02Lk0ol0:C`4o`0Z?@?o02`m
1?l0;Sl3o`0`@0Co03910ol0=D83o`0gA0Co03Y50ol0?4H7o`0mAPCo03]50ol0>4@4o`0b@@?o02/m
0ol093T4o`0L=0?o01D_1?l042X3o`0<9PCo00TT0ol02284o`088A7o00PR1ol02B<3o`0:90Co00/U
0ol032L4o`0>:0?o00lY0ol042X4o`0A:`?o018/1?l04B/3o`0@:PCo00dW0ol02R@4o`0780?o00DM
1?l011`3o`03717o00@L1ol011d4o`057POooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`?o00@L7?l00a/3o`047@Co00HO0ol02284o`0;9@?o00dX1ol03bT4o`0>:@?o00hX1?l0
3BL3o`0<9P?o00/U1?l02B@3o`098PCo00PR2_l0224>o`078@?o00PR1?l02R@3o`0>:0Co01</0ol0
6C44o`0P=`?o02Pk1?l0;cl3o`0d@P?o03M31ol0>4@4o`0f@`?o03A21?l0<D03o`0_?`Co02`n0ol0
:S`3o`0X>`Co02Hj0ol09CT4o`0S>0?o028g1?l08CL3o`0P=PCo01lf1ol07SDKo`0M=0Co01de1_l0
7SD4o`0O=P?o020f1?l08CL3o`0R>0Co02<h0ol09CT4o`0V>P?o02Pk1?l0:Sd3o`0]?P?o02lo1?l0
<T43o`0e@`Co03Q40ol0>dD4o`0mAP?o03i71?l0?DH3o`0iA@?o03A21?l0;Ch3o`0T>@Co01`d0ol0
5Bh4o`0?:@?o00/U1?l02B<Ao`088P?o00TR1ol02B<4o`0:90?o00/U1?l032H3o`0=:0?o00lY1?l0
42X3o`0A:`Co018/0ol04R/4o`0@:P?o00dW1?l02R@3o`0780Co00DM0ol011`3o`0371;o00@L1ol0
11d7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0471co00<K0ol011d4
o`067`?o00PR1?l02bD3o`0=:0Oo00lY1?l03RT3o`0>:0Co00dW0ol032H3o`0;9@Co00TT0ol02B84
o`088P[o00PQ3_l01b43o`088PCo00XT0ol03RP4o`0C;0?o01Ta1?l083L3o`0X>`Co02lo0ol0=483
o`0g@`Oo03Q41?l0=T<3o`0d@PCo03500ol0;cl4o`0/?P?o02Xl0ol0:3/4o`0V>P?o02Di1?l08cP3
o`0R=`Co024g0ol083H4o`0O=POo01he6ol07C@4o`0M=@Ko01he1?l07cH3o`0P=PCo024g0ol08SP4
o`0S>0?o02Di1?l09SX3o`0X>`Co02Xm0ol0;Ch3o`0_?`Co03910ol0=D<4o`0hA0?o03]51?l0?DH3
o`0nA`Co03e60ol0>DD3o`0d@PCo02dn0ol093T4o`0L=0?o01D^1?l03bT3o`0;9@Co00TS4Ol02283
o`098POo00TS1?l02R@3o`0;9@Co00`V0ol03BP3o`0?:@Co010Z0ol04B/4o`0B;0?o018[1?l042X3
o`0=9`Co00XT0ol01b04o`057@?o00@L0ol00a`Bo`0470Oo00@M1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo0ol011`Lo`036`?o00@M1?l01Ql3o`088PCo00/U0ol03BP7o`0?
:@Co00hY0ol03RP4o`0=9`?o00`V0ol02bD4o`0990?o00TR1?l0228:o`088@ko00LQ0ol02284o`0:
90?o00hX1?l04b`3o`0I<@Co020g0ol0:3/4o`0_?`?o03A20ol0=d<7o`0hA0Co03I30ol0=484o`0a
@0?o02lo1?l0;3h3o`0Z?0?o02Pk1?l09SX3o`0U>@Co02<h0ol08SL4o`0Q=`?o020f1?l07cH7o`0N
=A_o01dd1?l07CD6o`0N=@Co01lf0ol083H4o`0Q=`?o028h1?l08cP3o`0U>@Co02Hj0ol0:3/4o`0Z
?@?o02dn0ol0;cl4o`0b@@?o03E31?l0>4@3o`0kA@Co03e60ol0?TL4o`0mAP?o03U50ol0=484o`0]
?P?o02@i1?l073@3o`0E;PCo00lY0ol02bD4o`098a7o00PR0ol02B87o`098`Co00XT0ol02bD4o`0<
9P?o00dX0ol03bT4o`0@:P?o014[1?l04R`3o`0B:`Co010Z0ol03BL4o`0:90?o00LP1?l01Ad3o`04
70?o00<L4_l011`7o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooooaco
00<K0ol011`3o`067`Co00PR0ol02bD4o`0>:0Oo00lY0ol03RT4o`0=:0?o00`W1?l02bH3o`0:90?o
00TS1ol0228;o`088@[o00LQ0ol02244o`098`?o00`V1?l04B/3o`0G<0Co01lf0ol09c/4o`0^?`?o
03A21?l0=d<3o`0hA0?o03M31?l0=D83o`0b@@Co02lo0ol0;3h4o`0Z?0?o02Lk1?l09CT3o`0S>0?o
028g1?l083H3o`0O=@Co01de0ol073@7o`0K<`Co01Xb0ol06C84o`0I<A_o01Pa1ol06C43o`0I<PCo
01Xb0ol06c<4o`0L<`?o01dd1?l07SD3o`0O=PCo020f0ol08SL4o`0T>@?o02Hj0ol0:3/4o`0Z?@?o
02dn1?l0<403o`0d@PCo03M30ol0>TD4o`0mAP?o03i70ol0?DL4o`0jA@?o03A21?l0;3h3o`0S>0Co
01Xb0ol04bd4o`0>:0?o00XT4Ol02284o`098POo00TS0ol02R@4o`0;9@?o00`V0ol03BP4o`0?:@?o
010Z1?l04B/7o`0B;0?o010Z1?l03BL3o`0:90Co00LP0ol01Ad3o`0470Co00<L4Ol011`4o`047@Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooooaco00<K0ol011`3o`067`Co00PR
0ol02bD4o`0>:0Oo00lY0ol03RT4o`0=:0?o00`W1?l02bH3o`0:90?o00TS1ol0228;o`088@[o00LQ
0ol02244o`098`?o00`V1?l04B/3o`0G<0Co01lf0ol09c/4o`0^?`?o03A21?l0=d<3o`0hA0?o03M3
1?l0=D83o`0b@@Co02lo0ol0;3h4o`0Z?0?o02Lk1?l09CT3o`0S>0?o028g1?l083H3o`0O=@Co01de
0ol073@7o`0K<`Co01Xb0ol06C84o`0I<A_o01Pa1ol06C43o`0I<PCo01Xb0ol06c<4o`0L<`?o01dd
1?l07SD3o`0O=PCo020f0ol08SL4o`0T>@?o02Hj0ol0:3/4o`0Z?@?o02dn1?l0<403o`0d@PCo03M3
0ol0>TD4o`0mAP?o03i70ol0?DL4o`0jA@?o03A21?l0;3h3o`0S>0Co01Xb0ol04bd4o`0>:0?o00XT
4Ol02284o`098POo00TS0ol02R@4o`0;9@?o00`V0ol03BP4o`0?:@?o010Z1?l04B/7o`0B;0?o010Z
1?l03BL3o`0:90Co00LP0ol01Ad3o`0470Co00<L4Ol011`4o`047@Oooooo0Ol00001ooooo`002?oo
ool00ol0003oooooooooo`03ooooo`03o`000?oooooooooo00;ooooo0ol00007ooooo`03o`000?oo
oooooooo00Kooooo7?l00a/3o`0470?o00HO1?l02283o`0;9@Co00hX1ol03bT3o`0>:@Co00dX0ol0
32L4o`0;9P?o00XT0ol02B<7o`088P_o00PQ2_l01b43o`088@Co00TS0ol032H4o`0A:`?o01L`1?l0
7cH3o`0W>`Co02ho0ol0=484o`0g@`?o03Q40ol0=d<4o`0e@P?o03911?l0;cl3o`0/?PCo02Xl0ol0
9c/4o`0U>@?o02<h0ol08SL4o`0P=P?o01le1?l07CD3o`0L=0Oo01/c1?l06S83o`0I<PCo01Ta6ol0
6347o`0I<@?o01Tb1?l06S83o`0K<`Co01`c0ol07C@4o`0N=@?o01lf1?l083H3o`0R=`Co02@i0ol0
9SX3o`0X>`Co02Xm0ol0;Ch4o`0`@0?o03A21?l0=d<3o`0jA@Co03e60ol0?TL3o`0mA`Co03Y50ol0
=484o`0/?P?o02<h1?l06S83o`0C;@Co00hX0ol02R@Ao`088PCo00TR1ol02B<3o`0:90Co00/U0ol0
32H3o`0=:0Co00lY0ol042X4o`0A:`Oo018/0ol042X4o`0=9`?o00XT1?l01b03o`057@?o00@L1?l0
0a`Ao`0470Co00@M1oooool1o`00007ooooo0008ooooo`03o`000?oooooooooo00Oooooo00Go0000
ooooooooooooooooo`000006ooooo`03o`000?oooooooooo00Kooooo7?l00a/3o`0470?o00HO1?l0
2283o`0;9@Co00hX1ol03bT3o`0>:@Co00dX0ol032L4o`0;9P?o00XT0ol02B<7o`088P_o00PQ2_l0
1b43o`088@Co00TS0ol032H4o`0A:`?o01L`1?l07cH3o`0W>`Co02ho0ol0=484o`0g@`?o03Q40ol0
=d<4o`0e@P?o03911?l0;cl3o`0/?PCo02Xl0ol09c/4o`0U>@?o02<h0ol08SL4o`0P=P?o01le1?l0
7CD3o`0L=0Oo01/c1?l06S83o`0I<PCo01Ta6ol06347o`0I<@?o01Tb1?l06S83o`0K<`Co01`c0ol0
7C@4o`0N=@?o01lf1?l083H3o`0R=`Co02@i0ol09SX3o`0X>`Co02Xm0ol0;Ch4o`0`@0?o03A21?l0
=d<3o`0jA@Co03e60ol0?TL3o`0mA`Co03Y50ol0=484o`0/?P?o02<h1?l06S83o`0C;@Co00hX0ol0
2R@Ao`088PCo00TR1ol02B<3o`0:90Co00/U0ol032H3o`0=:0Co00lY0ol042X4o`0A:`Oo018/0ol0
42X4o`0=9`?o00XT1?l01b03o`057@?o00@L1?l00a`Ao`0470Co00@M1oooool1o`00007ooooo0005
o`0000Cooooo00?o0000ooooooooool02_ooool00ol0003oooooooooo`04ooooo`03o`000?oooooo
oooo00Kooooo6?l00a/4o`0470?o00HO0ol02284o`0;9@?o00dX1ol03bT4o`0>:@?o00dX1?l032L3
o`0;9PCo00XT0ol02B<7o`088P[o00PQ2ol01b43o`088P?o00/U1?l03bT3o`0E;PCo01`d0ol09CT4
o`0]?P?o03=11?l0=d<3o`0hA0Co03M30ol0=483o`0a@0Co02ho0ol0:cd4o`0X>`?o02Dj1?l08cP3
o`0Q=`Co01lf0ol07SD3o`0L=0Co01/c0ol06S84o`0I<@?o01P`1?l05c0:o`0F;`Co01D_6ol05Bh4
o`0E;`[o01H_1ol05c03o`0H<@Co01Ta0ol06S84o`0K<`?o01`d1?l07SD3o`0P=P?o024g1?l093T3
o`0V>PCo02Tl0ol0;3d4o`0_?`?o03=11?l0=d<3o`0jA@?o03e71?l0?dL3o`0nA`Co03Y50ol0<d44
o`0Z?0?o020f1?l05c03o`0@:PCo00`V0ol02B<>o`088P?o00TR2ol02B<3o`0:9@?o00`V1?l03BL3
o`0?:@Co010Z0ol04B/7o`0B;0Co010Z0ol03BL4o`0990?o00HP0ol011d4o`0470?o00<L4_l011`7
ooooo`7o00000Oooool000Wooooo00?o0000ooooooooool02_ooool00ol0003oooooooooo`04oooo
o`Co00001OoooolHo`036`Co00@L0ol01Ql3o`088PCo00/U0ol03BP7o`0?:@Co00hY0ol03BP4o`0<
9`?o00/V1?l02R@3o`098`Oo00PR2_l0224;o`078@?o00PR0ol02bD4o`0?:@?o01D^1?l073@3o`0U
>@Co02dn0ol0<d44o`0g@`?o03Q41?l0=d<3o`0d@P?o03501?l0;Sl3o`0[?@Co02Pk0ol09CX4o`0S
>0?o024g1?l07cH3o`0N=@?o01`d1?l06c<3o`0J<PCo01Ta0ol06304o`0G<0[o01H_1?l05BlKo`0E
;PCo01D_2_l05Rl7o`0G<0?o01Pa1?l06C43o`0J<PCo01/c0ol073@4o`0N=@?o020f0ol08CL4o`0T
>@?o02Hj1?l0:C`3o`0/?@Co02lo0ol0<d44o`0g@`?o03Y50ol0?DL4o`0oA`?o03i71?l0>TD3o`0c
@@Co02Xl0ol083H4o`0G<0?o010Z1?l032H3o`098`ko00PR0ol02B8;o`098`?o00XU0ol032H4o`0=
9`?o00lY1?l042X3o`0A:`Oo018/1?l042X3o`0=9`Co00TT0ol01R03o`047@Co00@L0ol00a`Bo`04
70Gooooo0ol00001ooooo`002_ooool00ol0003oooooooooo`05ooooo`Co00001oooool00ol0003o
ooooooooo`06oooooaSo00<K1?l011`3o`067`?o00PR1?l02bD3o`0=:0Oo00lY1?l03RT3o`0=:0Co
00`W0ol02bH4o`0:90?o00TS1ol0228:o`088@_o00LQ0ol02283o`0;9@Co00lY0ol05Bh4o`0L=0?o
02Di1?l0;Ch3o`0c@@Co03M30ol0>4@4o`0g@`?o03A20ol0<D04o`0^?`?o02/m1?l0:3/3o`0U>PCo
02<h0ol08CL4o`0O=P?o01he0ol073@4o`0K<`?o01Xb1?l06C43o`0H<0Co01L`2_l05Rl4o`0E;a_o
01D^1?l05Bl:o`0F;`Oo01L`0ol06344o`0I<@?o01Xb1?l06c<3o`0L=0Co01he0ol083H3o`0Q=`Co
02@i0ol09SX4o`0Y?0?o02`m1?l0;cl3o`0c@@Co03M30ol0>TD3o`0mA`Co03m70ol0?TL4o`0jA@?o
03=11?l0:S`3o`0P=PCo01L`0ol042X4o`0<9P?o00TS3_l02283o`098P_o00TS0ol02RD3o`0<9PCo
00dW0ol03bT4o`0@:P?o014[1ol04R`4o`0@:P?o00dW1?l02B@3o`0680?o00@M1?l011`3o`0371;o
00@L1oooool1o`00007ooooo0006ooooo`05o`000?ooooooooooooooool000001oooool00ol0003o
ooooooooo`08ooooo`03o`000?oooooooooo00Kooooo5Ol00a/3o`0470Co00DN0ol02243o`0;9@Co
00dX1ol03bT3o`0>:@Co00dX0ol032L4o`0;9@?o00XT1?l02B<6o`088POo00PQ3_l01b44o`098`?o
00`V0ol04B/4o`0I<@?o024g1?l0:S`3o`0a@0Co03I30ol0>4@4o`0g@`?o03A21?l0<D03o`0]?P?o
02Xl1?l09c/3o`0T>@Co028g0ol083H4o`0N=@?o01`c1?l06S83o`0I<@?o01P`1?l05c03o`0F;`Co
01D_0ol05Bhgo`0D;Pko01D^1ol05Rl4o`0G<0?o01Pa1?l06C43o`0J<P?o01`d1?l07SD3o`0P=PCo
028h0ol09CT4o`0X>`?o02/m1?l0;Sl3o`0b@@?o03M31?l0>dD3o`0nA`Co03m70ol0?DL4o`0hA0?o
03101?l09SX3o`0L=0Co01@]0ol03RP3o`0:90ko00PR3_l02B<3o`0:9@Co00`V0ol03BL4o`0?:@?o
010Z1?l04B/7o`0B;0?o010Z1?l03BL3o`098`?o00HO1?l011dEo`0470Oooooo0Ol00001ooooo`00
1_ooool5o`0000Oooooo1Ol00006ooooo`03o`000?oooooooooo00Kooooo5Ol00a/3o`0470Co00DN
0ol02243o`0;9@Co00dX1ol03bT3o`0>:@Co00dX0ol032L4o`0;9@?o00XT1?l02B<6o`088POo00PQ
3_l01b44o`098`?o00`V0ol04B/4o`0I<@?o024g1?l0:S`3o`0a@0Co03I30ol0>4@4o`0g@`?o03A2
1?l0<D03o`0]?P?o02Xl1?l09c/3o`0T>@Co028g0ol083H4o`0N=@?o01`c1?l06S83o`0I<@?o01P`
1?l05c03o`0F;`Co01D_0ol05Bhgo`0D;Pko01D^1ol05Rl4o`0G<0?o01Pa1?l06C43o`0J<P?o01`d
1?l07SD3o`0P=PCo028h0ol09CT4o`0X>`?o02/m1?l0;Sl3o`0b@@?o03M31?l0>dD3o`0nA`Co03m7
0ol0?DL4o`0hA0?o03101?l09SX3o`0L=0Co01@]0ol03RP3o`0:90ko00PR3_l02B<3o`0:9@Co00`V
0ol03BL4o`0?:@?o010Z1?l04B/7o`0B;0?o010Z1?l03BL3o`098`?o00HO1?l011dEo`0470Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooooaGo00<K0ol011`4o`057P?o00PQ0ol0
2bD4o`0=:0Oo00lY0ol03RT4o`0=:0?o00`W1?l02bD3o`0:90Co00TS1_l02287o`088@ko00LQ1?l0
2B<3o`0<9P?o014[1?l06C43o`0Q=`Co02Xl0ol0<D04o`0f@`?o03Q41?l0=d<3o`0d@PCo03500ol0
;Ch3o`0Z?0Co02Lk0ol093T4o`0R=`?o020f1?l07SD3o`0L<`Co01Xb0ol06C43o`0H<0Co01L`0ol0
5Rl4o`0E;`?o01D^=ol052h>o`0E;POo01H_1?l05c03o`0H<@Co01Ta0ol06S83o`0L=0Co01he0ol0
83H4o`0R>0?o02Di1?l0:3/3o`0[?@Co02ho0ol0<T43o`0g@`Co03]50ol0?TL4o`0oA`?o03e71?l0
>4@3o`0`@0Co02Hj0ol073@4o`0D;@?o00hX0ol02R@>o`088Pko00TS0ol02RD4o`0<9P?o00dW1?l0
3bT3o`0@:PCo014[1ol04R`3o`0@:PCo00dW0ol02B<3o`067`Co00@M5Ol011`7ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01_oooolEo`036`?o00@L1?l01Ah3o`088@?o00/U1?l03BP7
o`0?:@?o00hY1?l03BP3o`0<9`Co00/U0ol02R@4o`098`Ko00PR1ol0224>o`078@Co00TS0ol032H3
o`0A:`Co01Ta0ol08CL4o`0Z?0?o03501?l0=T<3o`0hA0Co03M30ol0=484o`0a@0?o02dn0ol0:S`4
o`0W>`?o02@i1?l08SL3o`0P=PCo01he0ol073<4o`0J<P?o01Ta0ol06304o`0G<0?o01H_1?l05Bl3
o`0E;SOo01@^3_l05Bh7o`0F;`Co01L`0ol06344o`0I<@?o01Xb0ol073@4o`0N=@?o020f1?l08SP3
o`0U>@Co02Pk0ol0:cd4o`0^?`?o03910ol0=d<4o`0kA@?o03i71?l0?dL3o`0mA`Co03Q40ol0<404
o`0V>P?o01`d1?l052d3o`0>:0?o00XT3_l0228>o`098`?o00XU1?l032H3o`0=9`Co00lY0ol042X4
o`0A:`Oo018/0ol042X4o`0=9`?o00TS0ol01Ql4o`047AGo00@L1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo4Ol00a/4o`0470?o00DN1?l01b43o`0:9@?o00dW1ol03bT4o`0>
:@?o00dX1?l032L3o`0;9@Co00XT0ol02B<7o`088POo00PQ2_l01b44o`088P?o00XT1?l03RP3o`0D
;P?o01`d1?l09SX3o`0^?`Co03A21ol0=d@3o`0e@PCo03910ol0;Sh4o`0Z?0?o02Lj0ol093T4o`0Q
=`?o01le1?l07C@3o`0K<`Co01Ta0ol06304o`0F;`?o01D_0ol05Bh4o`0D;Q7o01@]4Ol052hho`0E
;P?o01D_1?l05Rl3o`0G<0?o01P`1?l06C83o`0K<`Co01dd0ol07cH4o`0R=`?o02@i1?l09c/3o`0[
?@?o02lo1?l0<d43o`0hA0Co03a60ol0?dL4o`0oB0?o03a61?l0=D83o`0[?@Co024g0ol05c03o`0@
:PCo00/U0ol02B<;o`088Pgo00TS1?l02R@3o`0<9PCo00dW0ol03bT4o`0@:P?o014[1ol04R`4o`0@
:P?o00`W0ol02B<4o`067`?o00@M1?l00a`>o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06oooooa7o00<K1?l011`3o`057PCo00LQ0ol02RD3o`0=9`Oo00lY1?l03RT3o`0=:0Co
00`W0ol02bD4o`0:90?o00TS1ol02287o`088@[o00LQ1?l02283o`0:90Co00hX0ol052h3o`0L=0Co
02Hj0ol0;Sl4o`0d@POo03M40ol0=D84o`0b@@?o02hn1?l0:S`3o`0W>P?o02@i1?l08CL3o`0O=@Co
01dd0ol06c<4o`0I<@?o01P`1?l05Rl3o`0E;`?o01D^1?l052hAo`0D;A7o01@^>?l05Bh3o`0E;`Co
01H_0ol05c03o`0H<0Co01Tb0ol06c<4o`0M=0?o01lf1?l08SL3o`0T>@Co02Lk0ol0:cd3o`0_?`Co
03=10ol0>4@4o`0lAP?o03m71?l0?dP3o`0lAPCo03E20ol0:cd4o`0Q=`?o01L`0ol042X4o`0;9@?o
00TS2ol0228=o`098`Co00XT0ol032H4o`0=9`?o00lY1?l042X3o`0A:`Oo018/1?l042X3o`0<9`?o
00TS1?l01Ql3o`047@Co00<L3_l011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_oooolAo`036`Co00@L0ol01Ah4o`078@?o00XU0ol03BL7o`0?:@Co00hY0ol03BP4o`0<9`?o00/U
1?l02R@3o`098`Oo00PR1ol0224:o`078@Co00PR0ol02R@4o`0>:0?o01@^0ol073@4o`0V>P?o02ho
1?l0=487o`0gA0?o03E21?l0<T43o`0^?PCo02Xl0ol09cX3o`0T>@Co024g0ol07cD4o`0M=0?o01/c
1?l06C43o`0H<0Co01H_0ol05Bl3o`0E;PCo01@^4Ol052dAo`0D;SSo01D^0ol05Bl4o`0F;`?o01L`
0ol06304o`0I<P?o01/c1?l07C@3o`0O=PCo028g0ol093T4o`0W>`?o02/m0ol0;cl4o`0c@@?o03Q4
1?l0?4H3o`0oA`Co03m80ol0?4H4o`0e@P?o02/m1?l08CL3o`0G<0?o010Z1?l02bD3o`098`_o00PR
3Ol02B<4o`0:90?o00`V1?l03BL3o`0?:@Co010Z0ol04B/7o`0B;0Co010Z0ol032L3o`098`Co00HO
0ol011d4o`0370ko00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo4Ol0
0a/4o`057@?o00LP1?l02R@3o`0=9`Oo00lY0ol03RT4o`0=:0?o00`W1?l02bD3o`0:90Co00TS0ol0
228:o`088@_o00LQ0ol02284o`0;9@?o00lZ1?l05c03o`0P=P?o02Tl1?l0<D43o`0f@`Co03Q40ol0
=T<4o`0c@@?o02lo1?l0:cd3o`0W>`Co02@i0ol08CL3o`0N=@Co01`d0ol06S84o`0H<@?o01L`1?l0
5Bl3o`0E;PCo01@^3Ol052d;o`0D;Q7o01D^3_l05BlAo`0F;`ko01D_6?l05Bh3o`0E;`Co01H_0ol0
5c04o`0H<@?o01Xb1?l073@3o`0O=@Co024g0ol093T3o`0X>`Co02`m0ol0<404o`0e@P?o03Y51?l0
?TL3o`10B0Co03m70ol0>D@4o`0`@0?o02Di0ol06S84o`0B:`?o00`V1?l02B<:o`088Pko00TS0ol0
2R@4o`0<9P?o00dW1?l03bT3o`0@:PCo014[1ol04R`3o`0?:P?o00`V1?l02283o`057PCo00@L0ol0
0a/;o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooooa7o00<K1?l01Ad3
o`0780Co00XT0ol03BL7o`0?:@?o00hY1?l03BP3o`0<9`Co00/U0ol02R@4o`098`?o00PR2_l0224;
o`078@?o00PR1?l02bD3o`0?:PCo01L`0ol083H3o`0Y?0Co03510ol0=T<4o`0hA0?o03I31?l0<d43
o`0_?`Co02/m0ol09c/4o`0T>@?o024g0ol07SD4o`0L=0?o01Xb1?l06343o`0G<0Co01D_0ol05Bh4
o`0D;Pgo01@]2ol052hAo`0E;Pko01D_4Ol05Rl>o`0E;aSo01D^0ol05Bl4o`0F;`?o01L`1?l06343
o`0J<PCo01`d0ol07cD4o`0Q=`?o02@i0ol0:3/4o`0/?@?o03101?l0=D83o`0jA@Co03i70ol0@4P4
o`0oA`?o03U41?l0<403o`0U>@?o01Xb1?l04R/3o`0<9PCo00TS2_l0228>o`098`?o00XT1?l032H3
o`0=9`Co00lY0ol042X4o`0A:`Oo018/0ol03bX3o`0<9PCo00PR0ol01Ah4o`0470?o00<K2ol011`7
ooooo`7o00000Oooool001gooooo0ol00006oooooa7o00<K1?l01Ad3o`0780Co00XT0ol03BL7o`0?
:@?o00hY1?l03BP3o`0<9`Co00/U0ol02R@4o`098`?o00PR2_l0224;o`078@?o00PR1?l02bD3o`0?
:PCo01L`0ol083H3o`0Y?0Co03510ol0=T<4o`0hA0?o03I31?l0<d43o`0_?`Co02/m0ol09c/4o`0T
>@?o024g0ol07SD4o`0L=0?o01Xb1?l06343o`0G<0Co01D_0ol05Bh4o`0D;Pgo01@]2ol052hAo`0E
;Pko01D_4Ol05Rl>o`0E;aSo01D^0ol05Bl4o`0F;`?o01L`1?l06343o`0J<PCo01`d0ol07cD4o`0Q
=`?o02@i0ol0:3/4o`0/?@?o03101?l0=D83o`0jA@Co03i70ol0@4P4o`0oA`?o03U41?l0<403o`0U
>@?o01Xb1?l04R/3o`0<9PCo00TS2_l0228>o`098`?o00XT1?l032H3o`0=9`Co00lY0ol042X4o`0A
:`Oo018/0ol03bX3o`0<9PCo00PR0ol01Ah4o`0470?o00<K2ol011`6ooooo`;o00000Oooool001go
oooo00?o0000ooooooooool01_oooolAo`036`Co00DM0ol01b04o`0:90?o00dW1ol03bT3o`0>:@Co
00dX0ol032L4o`0;9@?o00XT1?l02B<3o`088P[o00PQ2ol01b43o`088PCo00/U0ol03bX4o`0G<0?o
020f0ol0:C`4o`0a@@?o03I31?l0>4@3o`0f@`Co03=10ol0;cl4o`0[?@?o02Lk1?l093T3o`0Q=`?o
01he1?l073@3o`0J<PCo01Pa0ol05c04o`0E;`?o01D^1?l052h=o`0D;@_o01@^4Ol05Bh>o`0E;a7o
01H_3_l05BlHo`0E;P?o01D_1?l05Rl3o`0G<0Co01Pa0ol06S84o`0L=0?o01le1?l08CL3o`0T>@?o
02Pk1?l0;3d3o`0`@0Co03E20ol0>TD4o`0nA`?o04181?l0?dL3o`0iA0Co03100ol09CT3o`0J<PCo
018[0ol032H4o`098`[o00PR3_l02B<3o`0:90Co00`V0ol03BL4o`0?:@?o010Z1?l04B/7o`0B;0?o
00lZ0ol032H4o`088P?o00DN1?l011`3o`036`_o00@L1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo3_l00a/3o`047@Co00HP0ol02B<4o`0<9P?o00hX1ol03bT3o`0>:0Co00`W
0ol02bH4o`0:90?o00TS1?l0228:o`088@[o00LQ1?l02283o`0;9PCo014[0ol06C44o`0S>0?o02`n
0ol0=487o`0gA0Co03A20ol0<404o`0/?P?o02Pk1?l093T3o`0Q=`Co01he0ol073@3o`0J<PCo01P`
0ol05Rl4o`0E;P?o01@^3_l052d7o`0D;Pko01D^0ol05Bl>o`0F;b;o01L`6Ol05Rl3o`0E;`ko01D^
0ol05Bl4o`0F;`?o01L`1?l06343o`0J<PCo01`d0ol07cH3o`0R=`Co02Dj0ol0:C`4o`0]?P?o0391
1?l0=d@3o`0lAPOo04181?l0?4H3o`0d@P?o02Pl1?l07C@3o`0C;@Co00dW0ol02R@;o`088Pgo00TS
1?l02RD3o`0<9PCo00dX0ol03bT4o`0@:P?o018[1?l04R`3o`0A:`?o00lY1?l02bD3o`088@Co00DN
0ol011`4o`036`Oo00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo3_l0
0a/3o`047@Co00HP0ol02B<4o`0<9P?o00hX1ol03bT3o`0>:0Co00`W0ol02bH4o`0:90?o00TS1?l0
228:o`088@[o00LQ1?l02283o`0;9PCo014[0ol06C44o`0S>0?o02`n0ol0=487o`0gA0Co03A20ol0
<404o`0/?P?o02Pk1?l093T3o`0Q=`Co01he0ol073@3o`0J<PCo01P`0ol05Rl4o`0E;P?o01@^3_l0
52d7o`0D;Pko01D^0ol05Bl>o`0F;b;o01L`6Ol05Rl3o`0E;`ko01D^0ol05Bl4o`0F;`?o01L`1?l0
6343o`0J<PCo01`d0ol07cH3o`0R=`Co02Dj0ol0:C`4o`0]?P?o03911?l0=d@3o`0lAPOo04181?l0
?4H3o`0d@P?o02Pl1?l07C@3o`0C;@Co00dW0ol02R@;o`088Pgo00TS1?l02RD3o`0<9PCo00dX0ol0
3bT4o`0@:P?o018[1?l04R`3o`0A:`?o00lY1?l02bD3o`088@Co00DN0ol011`4o`036`Oo00@L1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo3_l00a/3o`047@Co00HP0ol02B<4
o`0<9P?o00hX1ol03bT3o`0>:0Co00`W0ol02bH4o`0:90?o00TS1?l0228:o`088@[o00LQ1?l02283
o`0;9PCo014[0ol06C44o`0S>0?o02`n0ol0=487o`0gA0Co03A20ol0<404o`0/?P?o02Pk1?l093T3
o`0Q=`Co01he0ol073@3o`0J<PCo01P`0ol05Rl4o`0E;P?o01@^3_l052d7o`0D;Pko01D^0ol05Bl>
o`0F;b;o01L`6Ol05Rl3o`0E;`ko01D^0ol05Bl4o`0F;`?o01L`1?l06343o`0J<PCo01`d0ol07cH3
o`0R=`Co02Dj0ol0:C`4o`0]?P?o03911?l0=d@3o`0lAPOo04181?l0?4H3o`0d@P?o02Pl1?l07C@3
o`0C;@Co00dW0ol02R@;o`088Pgo00TS1?l02RD3o`0<9PCo00dX0ol03bT4o`0@:P?o018[1?l04R`3
o`0A:`?o00lY1?l02bD3o`088@Co00DN0ol011`4o`036`Oo00@L1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo0ol00a/4o`036P?o00<K1?l011`3o`067`Co00PR0ol032H4o`0>
:0Ko00lY1?l03RP3o`0=9`Co00/V0ol02R@4o`098`?o00PR2ol0224:o`078@?o00TS1?l032H3o`0B
;0Co01/c0ol09CX4o`0_?`?o03E30ol0>4@4o`0f@`?o03=11?l0;Sl3o`0Z?0Co02Hj0ol08SP4o`0O
=P?o01`d1?l06S83o`0H<@?o01H_1?l05Bh3o`0D;Pko01@]1?l052h:o`0E;P?o01D_1ol05Rl7o`0G
<0Co01Pa0ol06C47o`0J<P?o01/c1?l073<Ao`0L=0Oo01/c0ol06S84o`0I<P?o01Ta1?l06343o`0H
<0Oo01L`4Ol05Rl4o`0E;`Oo01D^0ol05Bl4o`0F;`?o01L`1?l06343o`0J<P?o01dd1?l083H3o`0S
>0Co02Lj0ol0:cd4o`0_?`?o03E21?l0>TD3o`0oA`Co04580ol0?TL3o`0g@`Co02`m0ol07cH4o`0E
;P?o00hX1?l02R@:o`088Pko00TS0ol02RD4o`0<9P?o00hX1?l03bT3o`0A:`Oo018/0ol04B/4o`0>
:@?o00XU1?l01b03o`047@Co00<L0ol00a/4o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`?o00<K1?l00aX3o`036`Co00@L0ol01Ql4o`088P?o00`V1?l03RP6o`0?:@Co
00hX0ol03BL4o`0;9P?o00XT1?l02B<3o`088P_o00PQ2_l01b43o`098`Co00`V0ol04R`4o`0K<`?o
02Dj1?l0;cl3o`0e@`?o03Q41?l0=T<3o`0c@@Co02ho0ol0:S`4o`0V>P?o028h1?l07cH3o`0L=0Co
01Xb0ol06343o`0F;`Co01D^0ol052h>o`0D;@Co01@^2_l05Bh3o`0E;`Oo01H_1ol05c04o`0H<@?o
01Ta1ol06S83o`0K<`Co01`c4Ol073@7o`0K<`?o01Xb1?l06C83o`0I<@Co01Pa0ol06307o`0G<17o
01H_1?l05Bl7o`0E;P?o01D_1?l05Rl3o`0G<0Co01Pa0ol06S83o`0M=0Co020f0ol08cP4o`0W>P?o
02/m1?l0;cl3o`0e@PCo03Y50ol0?dL4o`11B0?o03i70ol0=d<4o`0/?@?o01lf1?l05Bh3o`0>:0Co
00XT2_l0228>o`098`?o00XU1?l032H3o`0>:0Co00lY0ol04B/7o`0B;0?o014[1?l03RT3o`0:9@Co
00LP0ol011d4o`0370?o00<K1?l011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool3o`036`Co00<J0ol00a/4o`0470?o00HO1?l02283o`0<9PCo00hX1_l03bT4o`0>:0?o00dW
1?l02bH3o`0:90Co00TS0ol0228;o`088@[o00LQ0ol02B<4o`0<9P?o018/1?l06c<3o`0U>PCo02lo
0ol0=D<3o`0hA0Co03I30ol0<d44o`0^?`?o02Xl1?l09SX3o`0R>0Co01lf0ol073@4o`0J<P?o01Pa
0ol05Rl4o`0E;P?o01@^3_l052d4o`0D;P[o01D^0ol05Bl7o`0F;`Oo01L`1?l06343o`0I<@Oo01Xb
0ol06c<4o`0L<a7o01`d1ol06c<3o`0J<PCo01Tb0ol06C44o`0H<@?o01P`1ol05c0Ao`0F;`Co01D_
1ol05Bh3o`0E;`Co01H_0ol05c04o`0H<@?o01Xb0ol07C@4o`0P=P?o02<h1?l09cX3o`0[?@Co02lo
0ol0=D84o`0jA@?o03m71?l0@DP3o`0nA`?o03M31?l0;3d3o`0O=PCo01D^0ol03RP4o`0:90[o00PR
3_l02B<3o`0:9@Co00`V0ol03RP4o`0?:@?o014[1ol04R`3o`0A:`Co00hY0ol02RD4o`0780?o00@M
1?l00a`3o`036`Co00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol0
0aX3o`036`Co00DN0ol02244o`0;9@?o00dX1ol03bT3o`0>:0Co00dW0ol032H4o`0:90?o00TS1ol0
2287o`088@[o00LQ1?l02B<3o`0=9`Co01<]0ol07C@4o`0W>`?o03501?l0=T<3o`0gA0?o03E31?l0
<D03o`0/?PCo02Pk0ol093T4o`0P=`?o01dd1?l06c<3o`0H<@Co01H_0ol05Bh3o`0D;P_o01@]1ol0
52h7o`0E;P?o01D_1ol05Rl3o`0G<0Co01Ta0ol06S84o`0L<`?o01he1?l083H3o`0R>0Co02@i0ol0
9cX3o`0X>`Co02Xl1ol0:cd3o`0/?@Co02/m0ol0:Sd4o`0Y?0?o02Lk0ol09CX4o`0S>0?o024g1?l0
7cH3o`0M=0Co01/c0ol06S84o`0I<@?o01P`1ol05c0>o`0F;`[o01D_1?l05Rl3o`0G<0?o01Ta1?l0
6c<3o`0N=@Co024g0ol09CT4o`0Y?0?o02dn1?l0<d43o`0iA0Co03i70ol0@DP3o`10B0Co03U40ol0
;Sl4o`0Q=`?o01H_1?l03RT3o`0:90[o00PR2ol02B<3o`0:90Co00/U0ol032H4o`0>:0?o00lY1?l0
4B/6o`0B;0Co014[0ol03BP4o`098`?o00HO1?l011d7o`036`Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06ooooo`Oo00<J0ol00a/4o`057P?o00PQ1?l02bD3o`0=:0Oo00lY0ol03RP4
o`0=9`?o00`V1?l02R@3o`098`Oo00PR1ol0224:o`078@Co00TS0ol03BL4o`0C;@?o01dd1?l09c/3
o`0a@0Co03I30ol0=d@3o`0e@`Co03500ol0;3h4o`0X>`?o02@i1?l083L3o`0M=0Co01/c0ol06344
o`0F;`?o01D^0ol052h;o`0D;@Oo01@^1ol05Bh3o`0E;`Oo01H_0ol05c04o`0I<@?o01Xb1?l073<3
o`0N=@Co020f0ol08SP4o`0T>@?o02Lj0ol0:3/4o`0Z?0Oo02/m0ol0;3d4o`0[?@?o02Xm1?l0:C`3
o`0W>`?o02Dj1?l08cP3o`0Q=`Co01lf0ol07C@4o`0K<`?o01Xb1?l06C43o`0H<0Oo01L`3_l05Rl:
o`0E;`Co01H_0ol05c03o`0I<@Co01/c0ol07SD4o`0Q=`?o02Di1?l0:C`3o`0]?PCo03=10ol0>D@4
o`0nA`?o04580ol0@4P4o`0iA0?o02ho1?l08CL3o`0F;`Co00hY0ol02R@:o`088P_o00TS0ol02R@4
o`0;9@?o00`V1?l03RP3o`0?:@Co014[1_l04R`4o`0A:`?o00dX1?l02B<3o`067`Co00@M1ol00a/7
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`036P?o00<K1?l01Ah3o`08
8@Co00/U0ol03BP7o`0?:@?o00hX1?l03BL3o`0<9PCo00XT0ol02B<7o`088POo00PQ2_l01b44o`09
8`?o00dW1?l04bd3o`0M=0Co02Lk0ol0<D04o`0f@`?o03M40ol0=D<4o`0a@0?o02`n1?l0:3/3o`0T
>@Co020g0ol07C@4o`0K<`?o01Pa1?l05Rl3o`0E;P?o01@^2ol052d7o`0D;POo01D^0ol05Bl7o`0F
;`?o01L`1?l06C43o`0J<PCo01`c0ol07SD4o`0P=P?o028h1?l093T3o`0W>P?o02Pk1?l0:S`7o`0[
?@?o02`m1?l0:cd3o`0Z?@Co02Tl0ol09c/3o`0U>PCo02<h0ol08CL4o`0O=P?o01dd1?l06c<3o`0J
<PCo01Ta0ol06307o`0G<0ko01H_2_l05Bl4o`0F;`?o01L`0ol06C44o`0K<`?o01he1?l08CL3o`0U
>@Co02Tl0ol0;Ch4o`0c@@?o03U41?l0?TL3o`11B0?o04181?l0>D@3o`0^?`Co024g0ol05Rl4o`0>
:@?o00XT2_l0228;o`098`?o00XT1?l02bD3o`0<9PCo00hX0ol03bT4o`0A:`Ko018/1?l04B/3o`0=
:0Co00TS0ol01Ql4o`047@Oo00<K1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Ko
oooo1ol00aX3o`036`Co00DN0ol02244o`0;9@?o00dX1ol03bT3o`0>:0Co00dW0ol032H4o`0:90?o
00TS1ol02287o`088@[o00LQ1?l02B<3o`0=9`Co01<]0ol07C@4o`0W>`?o03501?l0=T<3o`0gA0?o
03E31?l0<D03o`0/?PCo02Pk0ol093T4o`0P=`?o01dd1?l06c<3o`0H<@Co01H_0ol05Bh3o`0D;P_o
01@]1ol052h7o`0E;P?o01D_1ol05Rl3o`0G<0Co01Ta0ol06S84o`0L<`?o01he1?l083H3o`0R>0Co
02@i0ol09cX3o`0X>`Co02Xl1ol0:cd3o`0/?@Co02/m0ol0:Sd4o`0Y?0?o02Lk0ol09CX4o`0S>0?o
024g1?l07cH3o`0M=0Co01/c0ol06S84o`0I<@?o01P`1ol05c0>o`0F;`[o01D_1?l05Rl3o`0G<0?o
01Ta1?l06c<3o`0N=@Co024g0ol09CT4o`0Y?0?o02dn1?l0<d43o`0iA0Co03i70ol0@DP3o`10B0Co
03U40ol0;Sl4o`0Q=`?o01H_1?l03RT3o`0:90[o00PR2ol02B<3o`0:90Co00/U0ol032H4o`0>:0?o
00lY1?l04B/6o`0B;0Co014[0ol03BP4o`098`?o00HO1?l011d7o`036`Oooooo0Ol00001ooooo`00
7Oooool3o`0000Kooooo0ol00aX4o`036`?o00@M1?l01b03o`0:90Co00dW0ol03RT4o`0?:@?o00hX
0ol03BL4o`0<9P?o00/U1?l02B<7o`088POo00PQ2_l01b43o`098`Co00dW0ol052d4o`0N=@?o02Tl
1?l0<T43o`0g@`Co03M40ol0=483o`0_?`Co02/m0ol09SX4o`0R>0?o01lf1?l073<3o`0I<PCo01L`
0ol05Bh4o`0D;P?o01@]0ol04bd4o`0D;@Oo01@^1ol05Bh7o`0F;`?o01L`0ol06C44o`0K<`?o01he
1?l08SL3o`0V>PCo02Xm0ol0;cl4o`0d@P?o03U41?l0?DL3o`12B@?o04E:1?l0B4`3o`1:C0_o04]=
0ol0BD`4o`16B`?o04=90ol0?dL4o`0jA@?o03I31?l0<D03o`0/?PCo02Lk0ol08cP4o`0P=P?o01dd
1?l06c<3o`0I<@?o01Pa1ol05c0;o`0F;`Oo01D_1_l05Rl4o`0H<0?o01Xb1?l073@3o`0O=PCo02<h
0ol09c/4o`0/?@?o03501?l0=d<3o`0mAP?o04581?l0@4P3o`0kA@Co03100ol08cP4o`0G<0?o00lY
1?l02R@:o`088P[o00TS1?l02R@3o`0;9@Co00`W0ol03RP4o`0@:P?o014[1ol04R`3o`0@:PCo00`W
0ol02284o`057P?o00@L1?l00a/6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool3o`036PCo00<K0ol011d4o`0780?o00XT1?l03BL3o`0>:@Co00lY0ol03RP3o`0=9`Co00`V0ol0
2bD4o`098`Oo00PR1ol0224:o`078@?o00TS1?l03BL3o`0D;@Co01he0ol0:C`4o`0b@@?o03M31?l0
=d@3o`0d@P?o02lo1?l0:cd3o`0V>PCo028h0ol07cH4o`0L<`?o01Tb1?l05c03o`0E;PCo01@^0ol0
52d3o`0C;@Co01@]1ol052h7o`0E;POo01H_0ol05c03o`0I<@Co01/c0ol07SD4o`0R=`?o02Hj1?l0
:Sd3o`0_?`Co03A20ol0>D@4o`0mA`?o04990ol0ADX4o`18C0?o04Y<2ol0Bdd3o`19C0Co04I;0ol0
@dT3o`0oA`Co03Y50ol0=T<4o`0a@0?o02`n1?l09c/3o`0S>0Co020f0ol07C@4o`0K<`?o01Ta0ol0
6347o`0G<0_o01H_1ol05Bl6o`0F;`Co01P`0ol06S84o`0L=0?o01lf1?l08cP3o`0W>`Co02`m0ol0
<D04o`0g@`?o03e60ol0@DP4o`10B0?o03]51?l0<403o`0S>0Co01L`0ol03bT4o`0:90[o00PR2_l0
2B<4o`0:90?o00/U1?l032L3o`0>:0Co010Z0ol04B/7o`0B;0?o010Z1?l032L3o`088PCo00DN0ol0
11`4o`036`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<J1?l00a/3
o`047@Co00LP0ol02R@4o`0=9`?o00hY1?l03bT3o`0>:0?o00dW1?l032H3o`0;9@Co00TS1ol02287
o`088@[o00LQ0ol02B<4o`0=9`?o01@]1?l07SD3o`0Y?0Co03910ol0=d<4o`0gA0?o03A20ol0;cl4
o`0[?@?o02Hj1?l08SP3o`0O=PCo01`c0ol06C84o`0G<0?o01D^1?l052h3o`0D;@?o01<]1?l052d7
o`0D;POo01D^1ol05Rl3o`0G<0?o01Ta1?l06c<3o`0N=@Co028g0ol09SX4o`0Z?@?o02lo1?l0=483
o`0iA0Co03e70ol0@TT3o`15BPCo04Q<0ol0BT`;o`1;C@?o04U<1?l0AT/3o`13B@?o03m71?l0>TD3
o`0f@`Co03500ol0;3h4o`0W>`?o02<h1?l083H3o`0M=0Co01/c0ol06C43o`0H<@Oo01L`2ol05Rl7
o`0E;`Ko01H_1?l06303o`0J<PCo01`d0ol07cH4o`0S>0?o02Lk1?l0;3d3o`0a@0Co03M30ol0?DH3
o`11B0Co04180ol0>dD4o`0`@0?o02<h1?l05c03o`0?:@Co00XT2_l0228:o`098`Co00XT0ol02bD4
o`0<9`?o00hX1?l042X3o`0A:`Oo018/0ol042X4o`0<9`?o00PR1?l01Ah3o`0470Co00<K1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol00aX4o`0470?o00HO1?l02B<3o`0<
9PCo00hX0ol03RT4o`0>:0?o00dW0ol032H4o`0;9@?o00TT1ol02287o`088@_o00LQ0ol02B<3o`0=
9`Co01@^0ol07SD4o`0Y?0?o03911?l0=d@3o`0g@`Co03=20ol0;Sl3o`0Y?0Co02Di0ol08CL4o`0N
=@?o01/c1?l06343o`0F;`Co01@^0ol052d4o`0C;@Ko01@]1?l052h7o`0E;P?o01H_1?l05c03o`0H
<@Co01/c0ol07SD3o`0S>0Co02Tl0ol0;cl4o`0g@`?o03m81?l0B4`3o`1?CPCo05=<0ol0ET/4o`1I
B@?o05]70ol0GDD4o`1OA0ko06130ol0Gd@4o`1NA@?o05a60ol0FTP4o`1GBP?o05A<1?l0DDd3o`1;
C@Co04990ol0>TD4o`0b@@?o02/m1?l09CT3o`0P=P?o01dd1?l06S83o`0I<@Co01P`1ol05c0:o`0F
;`?o01D_1?l05Rl3o`0G<0Co01Pa0ol06c<4o`0N=@?o028g1?l09SX3o`0Z?@Co03100ol0=T<3o`0l
APOo04581?l0?4H3o`0a@0Co02@i0ol05c04o`0?:@?o00XT2_l0228;o`098`?o00XT1?l02bD3o`0=
9`Co00hY0ol042X3o`0A:`Oo018/1?l03bT3o`0;9@Co00LQ0ol01Ad4o`036`Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`06ooooo`?o00<J1?l011`3o`067`Co00TS0ol032H4o`0>:0?o
00hY1?l03RP3o`0=9`?o00`V1?l02bD3o`0990Oo00PR1ol0224;o`078@?o00TS0ol03BL4o`0D;P?o
01he1?l0:C`3o`0b@@Co03M40ol0=d<4o`0c@P?o02ho0ol0:C`4o`0U>@?o024g1?l07SD3o`0K<`Co
01Pa0ol05Rl4o`0D;P?o01@]1?l04bd6o`0D;@Co01@^1ol05Bh3o`0F;`Co01L`0ol06344o`0K<`?o
01he0ol08cP4o`0Y?0?o02lo1?l0=d<3o`0oB0Co04Q<0ol0Cdh4o`1CC0?o05I;1?l0FDT3o`1KA`?o
05e51?l0Gd@>o`1P@`?o05m41?l0GTD3o`1LAP?o05Y81?l0EdX3o`1DC0Co055=0ol0Bdd4o`12B@?o
03Y51?l0<T43o`0[?@Co02Di0ol083H3o`0M=0Co01Xb0ol06C44o`0H<0Oo01L`2_l05Rl3o`0E;`Co
01H_0ol05c04o`0H<@?o01/c1?l07SD3o`0R=`Co02Hj0ol0:Sd4o`0`@0?o03I30ol0?4H7o`11B0Co
03a60ol0<D04o`0T>@?o01L`1?l03bT3o`0:90[o00PR2ol02B<3o`0:90Co00/U0ol03BL4o`0>:@?o
010Z0ol04B/7o`0B;0Co00lY0ol02bD4o`078@?o00DM1?l00a/7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool3o`036PCo00@L0ol01Ql4o`098`?o00`V1?l03RP3o`0>:@Co00hX
0ol03BL3o`0<9PCo00/U0ol02B@7o`088POo00PQ2ol01b43o`098`?o00dW1?l052h3o`0N=@Co02Tl
0ol0<T44o`0gA0?o03M31?l0<d83o`0^?`?o02Tl1?l09CT3o`0Q=`Co01he0ol06c<4o`0H<@?o01H_
1?l052h3o`0D;@Co01<]1_l052d4o`0D;POo01D^0ol05Rl4o`0G<0?o01Pa1?l06c<3o`0N=@?o02<h
1?l0:C`3o`0_?`Co03M30ol0?dP4o`18C0?o04m>1?l0Dd`3o`1FB`Co05U90ol0FdL3o`1MA@Co05m4
3_l0H4<3o`1OA0Co05i50ol0G4H3o`1JB0Co05M:0ol0E4`4o`1AC@?o04]=1?l0@TT3o`0jA@Co0391
0ol0:cd4o`0U>@?o020f0ol07C@4o`0J<P?o01Ta1?l06307o`0G<0[o01H_0ol05Bl4o`0F;`?o01L`
1?l06343o`0K<`Co01he0ol08SL4o`0V>P?o02Xm1?l0<403o`0f@`?o03a61ol0@DP4o`0lAP?o0350
1?l093T3o`0G<0Co00lY0ol02R@:o`088P_o00TS0ol02R@4o`0;9@?o00dW1?l03RT3o`0@:P?o014[
1ol04R`4o`0?:@?o00/U1?l01b43o`057@Co00<K1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo0ol00aX4o`0470?o00HO1?l02B<3o`0<9PCo00hX0ol03RT4o`0>:0?o00dW0ol0
32H4o`0;9@?o00TT1ol02287o`088@_o00LQ0ol02B<3o`0=9`Co01@^0ol07SD4o`0Y?0?o03911?l0
=d@3o`0g@`Co03=20ol0;Sl3o`0Y?0Co02Di0ol08CL4o`0N=@?o01/c1?l06343o`0F;`Co01@^0ol0
52d4o`0C;@Ko01@]1?l052h7o`0E;P?o01H_1?l05c03o`0H<@Co01/c0ol07SD3o`0S>0Co02Tl0ol0
;cl4o`0g@`?o03m81?l0B4`3o`1?CPCo05=<0ol0ET/4o`1IB@?o05]70ol0GDD4o`1OA0ko06130ol0
Gd@4o`1NA@?o05a60ol0FTP4o`1GBP?o05A<1?l0DDd3o`1;C@Co04990ol0>TD4o`0b@@?o02/m1?l0
9CT3o`0P=P?o01dd1?l06S83o`0I<@Co01P`1ol05c0:o`0F;`?o01D_1?l05Rl3o`0G<0Co01Pa0ol0
6c<4o`0N=@?o028g1?l09SX3o`0Z?@Co03100ol0=T<3o`0lAPOo04581?l0?4H3o`0a@0Co02@i0ol0
5c04o`0?:@?o00XT2_l0228;o`098`?o00XT1?l02bD3o`0=9`Co00hY0ol042X3o`0A:`Oo018/1?l0
3bT3o`0;9@Co00LQ0ol01Ad4o`036`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`?o00<K1?l01Ad3o`078@Co00/U0ol03BL7o`0>:0Co00dX0ol032H3o`0;9@Co00XT0ol02B84
o`088POo00PQ2_l01b44o`098`?o00dW0ol052d4o`0N=@?o02Xl1?l0<d43o`0gA0Co03M30ol0<d44
o`0]?P?o02Pk0ol093T4o`0P=P?o01dd1?l06S83o`0G<0Co01D^0ol052d4o`0C;@Oo01@]0ol052h7
o`0E;P?o01H_1?l05c03o`0I<@Co01`d0ol08CL4o`0W>`?o02lo0ol0>D@4o`14BP?o04m>1?l0ED`3
o`1JB0Co05i50ol0HT44o`1V?@?o06Ti1?l0K3H3o`1^<`?o070`1?l0LBl3o`1b;@Oo078/1?l0LRd3
o`1a;PCo070_0ol0Kc43o`1]=0Co06/g0ol0J3/4o`1T?`?o06131?l0G4L3o`1FBPCo055=0ol0B4`4
o`0mAP?o03910ol0:S`4o`0S>0?o01he1?l06c<3o`0I<@Co01P`1ol05c0Ao`0F;`?o01P`1?l06S83
o`0M=0Co024g0ol09CT4o`0Y?0?o02lo0ol0=D84o`0lAP?o04581?l0@TT3o`0lAPCo03910ol093T4
o`0G<0?o00lY0ol02R@7o`088PCo00TR2_l02B<4o`0:90?o00`V1?l03BP3o`0?:@?o010Z1ol04R`4
o`0A:`?o00hX1?l02R@3o`067`Co00@L1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol00a/4o`057@?o00LQ1?l02bD3o`0=9`Oo00hX1?l03BP3o`0<9P?o00/U1?l02R@3o`09
8PCo00PR1ol0224:o`078@Co00TS0ol03BL3o`0D;@Co01he0ol0:S`4o`0c@@?o03M41?l0=d<3o`0c
@@Co02dn0ol0:3/3o`0T>@Co020f0ol07C@4o`0J<P?o01L`1?l05Bh3o`0D;@Co01<]1ol052d3o`0D
;POo01D^0ol05Rl4o`0G<0?o01Ta1?l073@3o`0Q=`Co02Lk0ol0;cl3o`0iA0Co04A:0ol0Cdh4o`1E
C0?o05Y81?l0GTD3o`1R@@Co06Hm0ol0JCT4o`1/=P?o06hc0ol0L304o`1a;`?o078]1ol0LR`4o`1b
;@?o074^1?l0L2l3o`1_<@?o06dd1?l0JcL3o`1X>`Co06@o0ol0H4<4o`1LA`?o05I:1?l0DDd3o`18
C0Co03e60ol0<T43o`0Z?0Co02<h0ol07SD4o`0K<`?o01Ta1?l06307o`0G<17o01H_0ol06304o`0J
<P?o01dd1?l08CL3o`0U>@Co02Tl0ol0;cl3o`0e@PCo03a60ol0@DP4o`12B@?o03a61?l0<T43o`0T
>@Co01L`0ol03bT3o`0:90Oo00PR1?l02B8:o`098`Co00XT0ol032H4o`0=:0?o00lY0ol042X7o`0B
;0Co014[0ol03RP4o`0:90?o00HO1?l011`7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool3o`036`Co00DM0ol01b44o`0;9@?o00dW1ol03RP4o`0=:0?o00`V0ol02bD4o`0:90?o
00TR1?l02287o`088@[o00LQ1?l02B<3o`0=9`?o01@]1?l07SD3o`0Z?0Co03=10ol0=d@4o`0g@`?o
03=11?l0;Ch3o`0X>`?o02@i1?l083H3o`0M=0Co01Xb0ol05c04o`0E;P?o01@]1?l04bd7o`0D;@?o
01@^1ol05Bh3o`0F;`Co01L`0ol06C44o`0L=0?o024g1?l09c/3o`0_?`?o03U41?l0A4X3o`1?CPCo
05E<0ol0FTP4o`1NA@?o06911?l0ISd3o`1Y>@Co06`f0ol0KS<3o`1`<0Co074_0ol0LRd7o`1b;0Co
078]0ol0LBh4o`1`;`?o06la0ol0KC@4o`1[=`?o06Pk1?l0I3l3o`1P@`Co05a70ol0ETX4o`1AC@?o
04Q<1?l0?DH3o`0b@@?o02Xl1?l08cP3o`0N=@Co01/c0ol06C44o`0H<0Oo01L`4Ol05Rl3o`0H<0Co
01Xb0ol07C@4o`0Q=`?o02Di1?l0:C`3o`0_?`?o03E21?l0?4H3o`11B0Co04990ol0?4H4o`0b@@?o
02@i1?l05c03o`0?:@?o00XT1ol02284o`098P[o00TS1?l02R@3o`0<9PCo00dX0ol03bT3o`0@:POo
018/1?l04B/3o`0>:0Co00XT0ol01Ql4o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`?o00@L1?l01Ql3o`098`Co00`V1ol03RP3o`0=:0Co00`W0ol02bD3o`0:90Co00TS
0ol02287o`088@_o00LQ0ol02284o`0<9P?o01<]0ol07SD4o`0Y?0?o03=11?l0=d@3o`0f@`Co0391
0ol0;Ch4o`0X>`?o02<h0ol07cH4o`0L<`?o01Ta1?l05Rl3o`0E;PCo01@]0ol04bd4o`0D;@Oo01@^
0ol05Bh3o`0F;`Co01L`0ol06C44o`0L=0?o028h1?l0:S`3o`0d@PCo04180ol0Cdh3o`1EB`Co05a7
0ol0HT44o`1W?0?o06`f1?l0L303o`1c:`Co07HW0ol0N2<4o`1j80?o07/N0ol0O1`7o`1m6PCo07dI
1ol0OQT3o`1m6@Co07dJ0ol0O1/3o`1k7@Co07XP0ol0N2<4o`1e:0?o078]1?l0KS83o`1Z>@Co06@o
0ol0GTD4o`1HBP?o055=0ol0ADX4o`0hA0?o02dn1?l09CT3o`0O=PCo01/c0ol06C44o`0H<0Ko01L`
3_l05Rl4o`0G<0?o01Tb1?l073@3o`0P=PCo02@i0ol0:C`3o`0^?`Co03E20ol0>dH4o`11B0?o0499
1?l0?DH3o`0a@@Co02<h0ol05c03o`0>:0Co00XT1ol0228>o`098`?o00XU1?l032H3o`0>:0?o00lY
1?l04B/7o`0B;0?o010Z1?l032L3o`088PCo00DN1oooool1o`00007ooooo000Mooooo`?o00001_oo
ool3o`0470Co00HO0ol02B<4o`0<9POo00hX0ol03BP4o`0<9`?o00/U0ol02R@4o`098`?o00PR1ol0
224;o`078@?o00PR1?l032H3o`0C;@?o01he1?l0:C`3o`0c@@Co03M40ol0=T<4o`0b@@?o02dn1?l0
:3/3o`0S>0?o01lf1?l073<3o`0I<@Co01H_0ol05Bh4o`0D;@?o01<]1?l052d7o`0D;P?o01D^0ol0
5Rl4o`0G<0?o01Ta1?l073@3o`0R>0Co02Xl0ol0=484o`10B0?o04m>0ol0ED/4o`1LA`?o06911?l0
Ic`3o`1/=PCo070`0ol0Lb/4o`1f9`?o07PS1?l0NR03o`1k7P?o07`L1ol0OAX4o`1m6@Oo07hI0ol0
OAT4o`1m6P?o07`K0ol0Nad4o`1j80?o07PS1?l0MBP3o`1b;@Co06hb0ol0JST4o`1T?`?o05i51?l0
F4X3o`1AC@?o04E:1?l0>4@3o`0]?PCo02Di0ol07cH4o`0K<`?o01Ta1?l06306o`0G<0ko01H_1?l0
5c03o`0I<PCo01`d0ol083H4o`0T>@?o02Tl0ol0;Sl4o`0e@P?o03]61?l0@DP3o`12B@Co03e60ol0
<D44o`0S>0?o01L`0ol03RP4o`0:90Oo00PR3_l02B<3o`0:9@Co00`V0ol03RP3o`0?:@Co014[1ol0
4R`3o`0@:PCo00`W0ol02284o`057PKooooo0_l00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`?o00@L1?l01Ql3o`098`Co00`V1ol03RP3o`0=:0Co00`W0ol02bD3o`0:90Co00TS0ol02287
o`088@_o00LQ0ol02284o`0<9P?o01<]0ol07SD4o`0Y?0?o03=11?l0=d@3o`0f@`Co03910ol0;Ch4
o`0X>`?o02<h0ol07cH4o`0L<`?o01Ta1?l05Rl3o`0E;PCo01@]0ol04bd4o`0D;@Oo01@^0ol05Bh3
o`0F;`Co01L`0ol06C44o`0L=0?o028h1?l0:S`3o`0d@PCo04180ol0Cdh3o`1EB`Co05a70ol0HT44
o`1W?0?o06`f1?l0L303o`1c:`Co07HW0ol0N2<4o`1j80?o07/N0ol0O1`7o`1m6PCo07dI1ol0OQT3
o`1m6@Co07dJ0ol0O1/3o`1k7@Co07XP0ol0N2<4o`1e:0?o078]1?l0KS83o`1Z>@Co06@o0ol0GTD4
o`1HBP?o055=0ol0ADX4o`0hA0?o02dn1?l09CT3o`0O=PCo01/c0ol06C44o`0H<0Ko01L`3_l05Rl4
o`0G<0?o01Tb1?l073@3o`0P=PCo02@i0ol0:C`3o`0^?`Co03E20ol0>dH4o`11B0?o04991?l0?DH3
o`0a@@Co02<h0ol05c03o`0>:0Co00XT1ol0228>o`098`?o00XU1?l032H3o`0>:0?o00lY1?l04B/7
o`0B;0?o010Z1?l032L3o`088PCo00DN1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol011`4o`067`?o00TS1?l032H7o`0>:0?o00dX1?l032L3o`0;9@?o00XT1?l02B<3o`08
8POo00PQ2ol01b43o`088PCo00`V0ol04bd3o`0N=@Co02Tl0ol0<d44o`0gA0?o03I31?l0<T43o`0]
?PCo02Pk0ol08cP3o`0O=PCo01`c0ol06C44o`0F;`?o01D^1?l052d3o`0C;@Co01@]1ol052h3o`0E
;P?o01H_1?l05c03o`0I<@Co01`d0ol08SP4o`0Z?0?o03A21?l0@4P3o`1?CP?o05E;1?l0G4L3o`1R
@@Co06Ll0ol0K3H4o`1`<0?o07<[1?l0MRL3o`1h8`Co07XP0ol0Nah3o`1l70Oo07dJ1?l0OAT7o`1n
6@?o07dI1?l0OAX3o`1l6`?o07/M1?l0NR03o`1h8`Co07DX0ol0LRd4o`1^<P?o06Xi1?l0I3l3o`1N
A@Co05Q:0ol0DDd3o`15BPCo03Q40ol0;Ch4o`0U>@?o01lf1?l06c<3o`0I<@Co01P`1_l05c0>o`0F
;`Co01L`0ol06C84o`0L=0?o020f1?l093T3o`0Y?0?o02ho1?l0=D83o`0kAPCo04580ol0@TT4o`0m
AP?o03511?l08cP3o`0G<0?o00hX1?l02R@7o`088Pko00TS0ol02RD4o`0<9P?o00hX0ol03bT4o`0A
:`Oo018/0ol042X4o`0<9`?o00PR1?l01Ah7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool3o`057PCo00PR0ol02bD4o`0=9`?o00hX1?l03BP3o`0=9`Co00`V0ol02R@3o`098`Co
00PR2_l02247o`078@Co00PR0ol02bH4o`0B;0?o01dd0ol0:C`4o`0b@@?o03M41?l0=T<3o`0b@@Co
02dn0ol09c/4o`0S>0?o01le0ol06c<4o`0H<@?o01H_1?l052h7o`0C;@?o01@]1?l052h3o`0E;PCo
01D_0ol05Rl3o`0H<@Co01`c0ol08SL4o`0Z?0?o03I31?l0A4X3o`1BC@Co05U90ol0H4<3o`1W>`Co
06dd0ol0LRd4o`1f9P?o07TQ1?l0Nad3o`1m6PCo07hH0ol0OaH7o`1o5@[o080E2ol0P1@3o`204`Co
084C2_l0PA83o`204`Co07lE0ol0OQP4o`1l70?o07TQ1?l0MBP3o`1`;`Co06Xg0ol0I3l3o`1LAPCo
05A<0ol0BTd4o`0kA@?o02ho1?l09CT3o`0O=@Co01/c0ol06C43o`0H<0Oo01L`2ol05Rl3o`0G<0Co
01Ta0ol073<4o`0O=P?o02@i0ol0:3/4o`0^?`?o03E21?l0>dH3o`11B0Co04990ol0?DH4o`0a@0?o
028h0ol05Rl4o`0=:0?o00TS1ol0228;o`098`?o00XT1?l02bD3o`0<9`?o00hX1?l042X3o`0A:`Co
018/0ol04B/4o`0?:@?o00/U1?l01b07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool3o`057PCo00PR0ol02bD4o`0=9`?o00hX1?l03BP3o`0=9`Co00`V0ol02R@3o`098`Co00PR
2_l02247o`078@Co00PR0ol02bH4o`0B;0?o01dd0ol0:C`4o`0b@@?o03M41?l0=T<3o`0b@@Co02dn
0ol09c/4o`0S>0?o01le0ol06c<4o`0H<@?o01H_1?l052h7o`0C;@?o01@]1?l052h3o`0E;PCo01D_
0ol05Rl3o`0H<@Co01`c0ol08SL4o`0Z?0?o03I31?l0A4X3o`1BC@Co05U90ol0H4<3o`1W>`Co06dd
0ol0LRd4o`1f9P?o07TQ1?l0Nad3o`1m6PCo07hH0ol0OaH7o`1o5@[o080E2ol0P1@3o`204`Co084C
2_l0PA83o`204`Co07lE0ol0OQP4o`1l70?o07TQ1?l0MBP3o`1`;`Co06Xg0ol0I3l3o`1LAPCo05A<
0ol0BTd4o`0kA@?o02ho1?l09CT3o`0O=@Co01/c0ol06C43o`0H<0Oo01L`2ol05Rl3o`0G<0Co01Ta
0ol073<4o`0O=P?o02@i0ol0:3/4o`0^?`?o03E21?l0>dH3o`11B0Co04990ol0?DH4o`0a@0?o028h
0ol05Rl4o`0=:0?o00TS1ol0228;o`098`?o00XT1?l02bD3o`0<9`?o00hX1?l042X3o`0A:`Co018/
0ol04B/4o`0?:@?o00/U1?l01b07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool3o`057PCo00PR0ol02bD4o`0=9`?o00hX1?l03BP3o`0=9`Co00`V0ol02R@3o`098`Co00PR2_l0
2247o`078@Co00PR0ol02bH4o`0B;0?o01dd0ol0:C`4o`0b@@?o03M41?l0=T<3o`0b@@Co02dn0ol0
9c/4o`0S>0?o01le0ol06c<4o`0H<@?o01H_1?l052h7o`0C;@?o01@]1?l052h3o`0E;PCo01D_0ol0
5Rl3o`0H<@Co01`c0ol08SL4o`0Z?0?o03I31?l0A4X3o`1BC@Co05U90ol0H4<3o`1W>`Co06dd0ol0
LRd4o`1f9P?o07TQ1?l0Nad3o`1m6PCo07hH0ol0OaH7o`1o5@[o080E2ol0P1@3o`204`Co084C2_l0
PA83o`204`Co07lE0ol0OQP4o`1l70?o07TQ1?l0MBP3o`1`;`Co06Xg0ol0I3l3o`1LAPCo05A<0ol0
BTd4o`0kA@?o02ho1?l09CT3o`0O=@Co01/c0ol06C43o`0H<0Oo01L`2ol05Rl3o`0G<0Co01Ta0ol0
73<4o`0O=P?o02@i0ol0:3/4o`0^?`?o03E21?l0>dH3o`11B0Co04990ol0?DH4o`0a@0?o028h0ol0
5Rl4o`0=:0?o00TS1ol0228;o`098`?o00XT1?l02bD3o`0<9`?o00hX1?l042X3o`0A:`Co018/0ol0
4B/4o`0?:@?o00/U1?l01b07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3
o`0680Co00TT0ol032H7o`0=:0Co00dW0ol032H4o`0;9@?o00TS1ol02287o`088@Oo00LQ0ol02284
o`0;9@?o014[1?l06c<3o`0W>`?o03911?l0=d@3o`0g@`Co03910ol0;Ch4o`0W>`?o028h1?l07SD3
o`0K<`?o01P`1?l05Bl3o`0D;@Co01<]1ol052d3o`0D;PCo01D^0ol05Rl4o`0G<0?o01Xb0ol083H4
o`0X>`?o03A21?l0A4X3o`1BC@Co05]70ol0Hd04o`1Z=`?o074_0ol0MRL4o`1j80?o07`K1?l0OQP3
o`1o5`Co07lF0ol0OaL4o`1n60?o07dI1?l0O1/3o`1l70?o07/M1?l0Nah:o`1j7`Co07/N0ol0Nad4
o`1l70?o07dJ0ol0OQP4o`1o5P?o080D1?l0PA83o`224@Co088@0ol0PA84o`2050?o07dI1?l0NR03
o`1e:@?o06hb1?l0Ic`3o`1NA0Co05I;0ol0Bdd4o`0jA@?o02`n1?l08cP3o`0M=0?o01Xb1?l06347
o`0G<0[o01H_1?l05c03o`0H<@Co01/c0ol07cH3o`0S>0Co02Pk0ol0;Sl4o`0e@P?o03a61?l0@DT3
o`12B@Co03a60ol0;cl3o`0P=PCo01@^0ol032L4o`098`Oo00PR2_l02B<4o`0:90?o00/V0ol03BL4
o`0?:@?o010Z1?l04R/3o`0B;0Co014[0ol03BL4o`098`Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`?o00HP1?l02B@3o`0<9POo00dX1?l03BL3o`0<9PCo00/U0ol02B<7o`08
8POo00PQ1ol01b43o`088PCo00/U0ol04B/4o`0K<`?o02Lk0ol0<T44o`0gA0?o03M31?l0<T43o`0]
?PCo02Lk0ol08SP4o`0N=@?o01/c0ol06304o`0E;`?o01@]1?l04bd7o`0D;@?o01@^1?l05Bh3o`0F
;`Co01L`0ol06S83o`0P=PCo02Pk0ol0=484o`14BP?o059=1?l0FdL3o`1S@0Co06Xg0ol0LBl3o`1f
9`Co07XP0ol0O1/4o`1n60?o07lG1?l0OaH3o`1o5`Co07hH0ol0OAT4o`1l6`?o07`L0ol0Nad4o`1k
7P[o07XO1?l0Nah3o`1k7@Co07`L0ol0OAX3o`1n60Co07lF0ol0P1@4o`214P?o088A1?l0PQ03o`21
4PCo080D0ol0OAT4o`1j80?o07DY0ol0KS84o`1W?0?o05i41?l0ET/3o`1;C@Co03Y50ol0;3h4o`0S
>0?o01dd0ol06S84o`0H<@Oo01L`2_l05Rl4o`0G<0?o01Pa1?l06c<3o`0O=P?o02<h1?l0:3/3o`0^
?`Co03E20ol0?4H4o`11B@?o04991?l0?4H3o`0_?`?o020f1?l052h3o`0<9`Co00TS1ol0228:o`09
8`Co00XT0ol02bH3o`0=9`Co00lY0ol042X4o`0B:`?o018/1?l04B/3o`0=9`Co00TS1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol01R04o`0990?o00`V1ol03BP4o`0=9`?o
00`V1?l02bD3o`098`Oo00PR1ol02247o`078@?o00PR1?l02bD3o`0A:`Co01/c0ol09c/3o`0b@@Co
03M40ol0=d<4o`0b@@?o02dn1?l09c/3o`0R>0Co01he0ol06c<3o`0H<0Co01D_0ol052d4o`0C;@Oo
01@]0ol052h4o`0E;P?o01H_1?l05c03o`0J<P?o020f1?l0:3/3o`0d@PCo04A:0ol0DTd4o`1KA`?o
06=01?l0JSL3o`1a;`?o07HW1?l0NR03o`1l6`Co07hH0ol0OaL4o`1o5P?o07lG1?l0OQP3o`1m6@Co
07`K0ol0O1`3o`1k7@Co07/N2_l0NQl4o`1k7P?o07/M1?l0O1`3o`1m6P?o07hH1?l0OaH3o`2050Co
084B0ol0PQ44o`2240?o084B1?l0P1@3o`1m6@Co07XP0ol0MBT3o`1^<PCo06Ll0ol0GT@4o`1FB`?o
04]=1?l0>TD3o`0/?PCo02<h0ol07C@3o`0J<PCo01Pa1ol05c0:o`0F;`Co01L`0ol06344o`0K<`?o
01lf0ol08cP4o`0X>`?o02ho1?l0=D83o`0lAPCo04590ol0@TT4o`0lAP?o02lo0ol083H4o`0D;P?o
00`W1?l02B<7o`088P[o00TS1?l02R@3o`0;9P?o00dW1?l03bT3o`0@:PCo018[0ol04R`4o`0A:`?o
00dW1?l02B<7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0680Co00TT
0ol032H7o`0=:0Co00dW0ol032H4o`0;9@?o00TS1ol02287o`088@Oo00LQ0ol02284o`0;9@?o014[
1?l06c<3o`0W>`?o03911?l0=d@3o`0g@`Co03910ol0;Ch4o`0W>`?o028h1?l07SD3o`0K<`?o01P`
1?l05Bl3o`0D;@Co01<]1ol052d3o`0D;PCo01D^0ol05Rl4o`0G<0?o01Xb0ol083H4o`0X>`?o03A2
1?l0A4X3o`1BC@Co05]70ol0Hd04o`1Z=`?o074_0ol0MRL4o`1j80?o07`K1?l0OQP3o`1o5`Co07lF
0ol0OaL4o`1n60?o07dI1?l0O1/3o`1l70?o07/M1?l0Nah:o`1j7`Co07/N0ol0Nad4o`1l70?o07dJ
0ol0OQP4o`1o5P?o080D1?l0PA83o`224@Co088@0ol0PA84o`2050?o07dI1?l0NR03o`1e:@?o06hb
1?l0Ic`3o`1NA0Co05I;0ol0Bdd4o`0jA@?o02`n1?l08cP3o`0M=0?o01Xb1?l06347o`0G<0[o01H_
1?l05c03o`0H<@Co01/c0ol07cH3o`0S>0Co02Pk0ol0;Sl4o`0e@P?o03a61?l0@DT3o`12B@Co03a6
0ol0;cl3o`0P=PCo01@^0ol032L4o`098`Oo00PR2_l02B<4o`0:90?o00/V0ol03BL4o`0?:@?o010Z
1?l04R/3o`0B;0Co014[0ol03BL4o`098`Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`?o00PR1?l02bD:o`0=9`Co00`V0ol02bD4o`0:90?o00TR0ol02287o`088@_o00LQ0ol0
2R@4o`0?:P?o01Ta1?l09CX3o`0a@0Oo03M30ol0<d44o`0]?P?o02Lk1?l08SP3o`0N=@Co01/c0ol0
6303o`0E;PCo01@]0ol04bd4o`0D;@?o01@^1ol05Bh4o`0F;`?o01Pa1?l07C@3o`0T>@?o03101?l0
@4P3o`1AC@Co05Y80ol0Hd04o`1/=P?o078/1?l0N2@3o`1k7@?o07dI1ol0OQL4o`1n6@?o07`K1?l0
Nah3o`1i8PCo07LU0ol0MBL4o`1d:P?o07</0ol0LRd4o`1a;P[o070_1?l0LBl3o`1b;@Co07</0ol0
M2X3o`1e9`Co07LT0ol0NB44o`1k7@?o07dI1?l0OaH3o`214PCo088@0ol0PPl4o`2240?o080E0ol0
O1`4o`1g9@?o070`1?l0J3/3o`1NA@Co05E<0ol0Ad/4o`0e@P?o02Pk0ol083H4o`0K<`?o01Ta1?l0
6307o`0G<0Oo01H_0ol05c04o`0H<@?o01/c0ol07cH4o`0S>0?o02Pl1?l0;Sl3o`0e@`Co03e61ol0
@TT3o`0kA@?o02dn1?l07SD3o`0B;0Co00/V0ol02B<4o`088Pko00TS0ol02R@3o`0<9PCo00hX0ol0
3bT4o`0A:`?o018/1?l04B/3o`0?:@Co00/U1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo0ol02284o`0;9@[o00dW1?l032H3o`0;9@Co00XT0ol02B83o`088POo00PQ2ol01b43
o`0:90Co00lZ0ol06C44o`0U>P?o03501ol0=d<3o`0c@@Co02dn0ol09c/4o`0R>0?o01he1?l06c<3
o`0H<0?o01D^1?l052d3o`0C;@Co01@]0ol052h7o`0E;PCo01H_0ol06344o`0M=0?o02@i0ol0<404
o`10B0?o055=1?l0FTP3o`1S@0Co06`f0ol0LR`4o`1h90?o07/M0ol0OAT7o`1n5`Co07hI0ol0O1/4
o`1k7P?o07TR1?l0MbD3o`1e9`Co07@Z0ol0Lb`3o`1b;@Co074^2_l0L2l4o`1a;`?o078]1?l0Lb`3
o`1d:P?o07DW1?l0Mb@3o`1i8@Co07/M0ol0OAT4o`1o5P?o084B1?l0PQ03o`223`Co088@0ol0P1D3
o`1l70Co07LU0ol0L304o`1X>`?o05i51?l0ED`3o`17B`Co03E20ol0:3/3o`0P=PCo01/c0ol06C44
o`0H<0Oo01L`1ol05Rl3o`0G<0Co01Pa0ol06c<3o`0O=PCo02<h0ol0:3`4o`0^?`?o03E31?l0?DH7
o`12B@?o03]50ol0;Ch4o`0N=@?o018/1?l02bH3o`098`Co00PR3_l02B<3o`0:90?o00`V1?l03RP3
o`0?:@Co014[0ol04R`4o`0A:`?o00lY1?l02bD7ooooo`7o00000Oooool001gooooo0ol00006oooo
o`?o00PR1?l02bD:o`0=9`Co00`V0ol02bD4o`0:90?o00TR0ol02287o`088@_o00LQ0ol02R@4o`0?
:P?o01Ta1?l09CX3o`0a@0Oo03M30ol0<d44o`0]?P?o02Lk1?l08SP3o`0N=@Co01/c0ol06303o`0E
;PCo01@]0ol04bd4o`0D;@?o01@^1ol05Bh4o`0F;`?o01Pa1?l07C@3o`0T>@?o03101?l0@4P3o`1A
C@Co05Y80ol0Hd04o`1/=P?o078/1?l0N2@3o`1k7@?o07dI1ol0OQL4o`1n6@?o07`K1?l0Nah3o`1i
8PCo07LU0ol0MBL4o`1d:P?o07</0ol0LRd4o`1a;P[o070_1?l0LBl3o`1b;@Co07</0ol0M2X3o`1e
9`Co07LT0ol0NB44o`1k7@?o07dI1?l0OaH3o`214PCo088@0ol0PPl4o`2240?o080E0ol0O1`4o`1g
9@?o070`1?l0J3/3o`1NA@Co05E<0ol0Ad/4o`0e@P?o02Pk0ol083H4o`0K<`?o01Ta1?l06307o`0G
<0Oo01H_0ol05c04o`0H<@?o01/c0ol07cH4o`0S>0?o02Pl1?l0;Sl3o`0e@`Co03e61ol0@TT3o`0k
A@?o02dn1?l07SD3o`0B;0Co00/V0ol02B<4o`088Pko00TS0ol02R@3o`0<9PCo00hX0ol03bT4o`0A
:`?o018/1?l04B/3o`0?:@Co00/U1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Ko
oooo0ol02B<4o`0<9POo00dW0ol032H4o`0;9@?o00XT1?l02B<3o`088POo00PQ2_l01b44o`098`?o
00hX1?l05c03o`0S>0Co02lo0ol0=T<3o`0gA0Co03=20ol0;Ch4o`0X>`?o02<h1?l07SD3o`0K<`Co
01L`0ol05Bh3o`0D;@Co01<]0ol052d4o`0D;P?o01D^1?l05Bl3o`0G<0Co01Xb0ol083H4o`0Y?0?o
03Q40ol0C4d4o`1HBP?o06921?l0JcL3o`1b;0Co07PS0ol0O1`4o`1n60?o07hG0ol0OAT4o`1l70?o
07TP1?l0MbD3o`1d:@Co078]0ol0Kc44o`1]=0?o06/g1?l0JCT3o`1X>P?o06Ll1?l0IS`>o`1V?@?o
06Ll1?l0J3/3o`1Y>@?o06/g1?l0KCD3o`1_<PCo074^0ol0M2X4o`1g9@?o07XO1?l0OAX3o`205@Co
088A0ol0P`h3o`233`Co084B0ol0OAX4o`1g90?o06la1?l0ISd3o`1LA`Co055=0ol0?dL3o`0^?`Co
02<h0ol07C@4o`0J<P?o01Pa1ol05c07o`0F;`Co01L`0ol06343o`0K<`Co01lf0ol093T4o`0Y?0?o
02lo1?l0=T<3o`0nA`Co04=90ol0@TT3o`0iA0Co02Xm0ol06c<4o`0@:P?o00XU1ol0228;o`098`?o
00XT0ol02bD4o`0<9`?o00hX1?l042X3o`0A:`Co018[0ol04B/4o`0=:0Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`06ooooo`?o00TS1?l032H7o`0=9`?o00`V1?l02bD3o`0:90Co00TS
0ol02287o`088@[o00LQ1?l02B<3o`0>:0Co01L`0ol08cP4o`0_?`?o03I30ol0=d@4o`0c@P?o02dn
1?l0:3/3o`0S>0Co01he0ol06c<4o`0G<0?o01D^0ol052d4o`0C;@?o01@]1?l052h3o`0E;PCo01D_
0ol05c04o`0J<P?o020f1?l0:C`3o`0hA0?o04a=1?l0F4X3o`1R@PCo06/g0ol0LR`4o`1h8`?o07`L
1?l0OQP3o`1n5`?o07dI1?l0O1`3o`1i80Co07LU0ol0M2T4o`1b;@?o06la1?l0KC@3o`1[=`Co06Ti
0ol0J3X3o`1W?0Co06Hl3_l0ISd3o`1W?0Co06Pk0ol0JCT3o`1[=`Co06de0ol0Kc84o`1a;P?o07@Z
1?l0MbD3o`1j7`Co07dJ0ol0P1D4o`224@?o08<>0ol0P`l4o`214P?o07dJ1?l0Mb@3o`1_<@Co06Hm
0ol0G4L4o`1AC@?o03m70ol0;Sl4o`0S>0?o01dd1?l06S83o`0H<@Oo01L`1ol05Rl4o`0G<0?o01Pa
0ol06c<4o`0O=P?o02@i1?l0:C`3o`0_?`Co03I30ol0?TL4o`13B@?o04990ol0>D@4o`0Z?@?o01/c
1?l042X3o`0:9@Oo00PR2ol02B<3o`0:90?o00/U1?l032L3o`0>:0Co010Z0ol04B/4o`0B:`?o014[
1?l03BP7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`098`Co00`V1ol0
3BL3o`0<9PCo00/U0ol02R@4o`098`?o00PR1ol0224:o`078@Co00TS0ol03RP4o`0G<0?o02<h1?l0
;cl3o`0f@`?o03M41?l0<d83o`0]?PCo02Pk0ol08cP4o`0N=@?o01/c1?l05c03o`0E;P?o01@]1?l0
4bd3o`0D;@Co01@^0ol05Bh4o`0E;`?o01L`1?l06S83o`0P=PCo02Tl0ol0>4@3o`1<C@Co05Q:0ol0
HT84o`1[=`?o078/1?l0N2<3o`1l70Co07hH0ol0OQL3o`1m6@Co07`L0ol0NB04o`1g9@?o07@Y1?l0
LRd3o`1_<@Co06dd0ol0JcL4o`1Y>@?o06Pj0ol0Ic`4o`1V?0ko06Hm0ol0Ic`4o`1X>`?o06Ti0ol0
JcL4o`1]=@?o06lb1?l0LBh3o`1d:PCo07LU0ol0NQl4o`1m6P?o080E1?l0PQ43o`233P?o08<?1?l0
PA83o`1m6PCo07LT0ol0Kc44o`1V?@?o05a71?l0DDd3o`0oA`?o02ho1?l08cP3o`0M=0Co01Xb0ol0
6347o`0G<0Oo01H_1?l05c03o`0H<@?o01/c1?l07cH3o`0T>@Co02Tl0ol0;cl4o`0f@`?o03i71?l0
@dT3o`12B@?o03U41?l0:Sd3o`0K<`Co010Z0ol02RD7o`088P_o00TS0ol02R@3o`0;9@Co00`W0ol0
3RP4o`0@:P?o014[1?l04R/3o`0A:`Co00dX1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo0ol02R@4o`0<9P?o00`W1?l032H3o`0;9PCo00XT0ol02B<4o`088P[o00PQ1ol01b43
o`088PCo00`V0ol052h4o`0P=P?o02`n1?l0=D<3o`0gA0?o03A21?l0;Sl3o`0X>`Co02<h0ol07cD4
o`0K<`?o01P`1?l05Bh3o`0D;@?o01<]1?l052d3o`0D;PCo01D^0ol05Rl4o`0G<0?o01/c1?l08SP3
o`0_?`Co04580ol0Ddd3o`1MA@Co06Pk0ol0L2l4o`1g9@?o07/M1ol0OQP4o`1m6P?o07XO0ol0Mb@4
o`1d:P?o070_1?l0KC@3o`1Z>0Co06Lk0ol0ICh4o`1S@0?o06521?l0H4<3o`1OA0?o05i54_l0GDH3
o`1NA@Co05i40ol0H4<3o`1Q@PCo06=10ol0I3l4o`1W?0?o06Ti1?l0KCD3o`1`<0Co07@Z0ol0Mb@4
o`1k7@?o07lF0ol0PA47o`233@Co084B0ol0OAX4o`1f9`?o06dd1?l0HT43o`1GBP?o04U<1?l0=483
o`0W>PCo01le0ol06S84o`0H<@Oo01L`1ol05Rl3o`0G<0?o01Pa1?l06c<3o`0O=PCo02@i0ol0:S`4
o`0`@0?o03Q41?l0?dL3o`13B@?o04581?l0=T<3o`0W>PCo01Pa0ol03RT4o`0:90Oo00PR2_l02B<3
o`0:90Co00/V0ol03BL4o`0?:@?o010Z1ol04B/4o`0?:@Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`?o00XT1?l032H3o`0<9`Co00`V0ol02bH4o`0:90?o00TS1?l0228:o`08
8@Oo00LQ0ol02284o`0<9P?o01@^1?l083H3o`0/?PCo03E30ol0=d@3o`0d@PCo02ho0ol0:3/4o`0S
>0?o01le1?l06c<3o`0H<0Co01D^0ol052d3o`0C;@Co01@]0ol052h4o`0E;P?o01H_1?l05c03o`0K
<`Co028h0ol0;cl4o`11B0?o05==0ol0GDD4o`1X>`?o070_1?l0MbD3o`1k7@Oo07hH1?l0OAX3o`1j
7`?o07LT1?l0M2X3o`1`;`Co06dd0ol0JSP4o`1W>`?o06Dn1?l0Hd03o`1Q@PCo06130ol0Gd@3o`1N
AA;o05e60ol0GTD4o`1NA0?o06130ol0HD84o`1S@@?o06@o1?l0Ic`3o`1Y>@Co06de0ol0L304o`1d
:P?o07LT1?l0Nad3o`1o5P?o084A1ol0P`d4o`214P?o07dJ1?l0MRL3o`1]=0Co06910ol0EdX3o`19
C0Co03A20ol09cX4o`0O=@?o01Xb1?l06347o`0G<0Oo01H_0ol05c03o`0H<@Co01/c0ol07cH4o`0T
>@?o02Xl1?l0<403o`0hA0Co03m70ol0@dT3o`11B0Co03I30ol09cX4o`0H<@?o00hY1?l02R@7o`08
8P[o00TS0ol02R@4o`0;9P?o00dW1?l03bT3o`0@:POo014[1?l03bT7ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01_ooool3o`0:90Co00`V0ol032L4o`0<9P?o00/V1?l02R@3o`098`Co
00PR2_l02247o`078@?o00PR1?l032H3o`0D;PCo020f0ol0;3h4o`0e@`?o03M40ol0=484o`0^?`?o
02Pk1?l08cP3o`0O=@Co01/c0ol06304o`0E;P?o01@]0ol04bd4o`0D;@?o01@^1?l05Bh3o`0F;`Co
01L`0ol06c<4o`0R>0?o02lo1?l0@DP3o`1CC@?o05e51?l0J3/3o`1`;`Co07LU0ol0Nad7o`1n60Co
07dJ0ol0NQl3o`1g90Co07@Z0ol0L2l4o`1]=0?o06Xh1?l0Ic/3o`1U?PCo06=00ol0HD84o`1P@`?o
05m40ol0GTDBo`1MAP?o05i51?l0GT@3o`1P@`?o06521?l0Hd43o`1T?`Co06Ll0ol0JCT4o`1]=@?o
070`1?l0M2X3o`1g90Co07/M0ol0OaH3o`214@Oo08<=1?l0PA83o`1m6PCo07HW0ol0KC@4o`1R@@?o
05M:0ol0BD`4o`0d@P?o02Lj1?l07cD3o`0J<PCo01Pa1ol05c07o`0F;`?o01L`0ol06344o`0K<`?o
01lf1?l093T3o`0Z?0Co03100ol0>4@4o`0oA`?o04=90ol0@DP4o`0f@`?o02Lj1?l06343o`0>:@Co
00XT1ol0228:o`098`?o00XT1?l02bH3o`0=9`Co00lY0ol042X7o`0A:`Co00lY1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02R@4o`0<9P?o00`W1?l032H3o`0;9PCo00XT
0ol02B<4o`088P[o00PQ1ol01b43o`088PCo00`V0ol052h4o`0P=P?o02`n1?l0=D<3o`0gA0?o03A2
1?l0;Sl3o`0X>`Co02<h0ol07cD4o`0K<`?o01P`1?l05Bh3o`0D;@?o01<]1?l052d3o`0D;PCo01D^
0ol05Rl4o`0G<0?o01/c1?l08SP3o`0_?`Co04580ol0Ddd3o`1MA@Co06Pk0ol0L2l4o`1g9@?o07/M
1ol0OQP4o`1m6P?o07XO0ol0Mb@4o`1d:P?o070_1?l0KC@3o`1Z>0Co06Lk0ol0ICh4o`1S@0?o0652
1?l0H4<3o`1OA0?o05i54_l0GDH3o`1NA@Co05i40ol0H4<3o`1Q@PCo06=10ol0I3l4o`1W?0?o06Ti
1?l0KCD3o`1`<0Co07@Z0ol0Mb@4o`1k7@?o07lF0ol0PA47o`233@Co084B0ol0OAX4o`1f9`?o06dd
1?l0HT43o`1GBP?o04U<1?l0=483o`0W>PCo01le0ol06S84o`0H<@Oo01L`1ol05Rl3o`0G<0?o01Pa
1?l06c<3o`0O=PCo02@i0ol0:S`4o`0`@0?o03Q41?l0?dL3o`13B@?o04581?l0=T<3o`0W>PCo01Pa
0ol03RT4o`0:90Oo00PR2_l02B<3o`0:90Co00/V0ol03BL4o`0?:@?o010Z1ol04B/4o`0?:@Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00/U1ol032H4o`0;9P?o00/U1?l0
2R@7o`088PKo00PQ1ol01b44o`088@?o00/U1?l04B/3o`0L=0Co02Tl0ol0=484o`0hA0?o03E30ol0
;cl4o`0Y?0?o02@i1?l07cH3o`0K<`Co01P`0ol05Bh4o`0D;@?o01<]0ol052d4o`0D;P?o01D^1?l0
5Rl3o`0H<0Co01`d0ol09CT4o`0c@P?o04Q<1?l0EdX3o`1R@@?o06`e1?l0MBT3o`1j7`Co07dI0ol0
OQP4o`1m6`?o07XP1?l0MRH3o`1b;0?o06hc1?l0JSP3o`1W?0Co06=00ol0HD84o`1NA@?o05a61?l0
FdP3o`1IB@Co05Q91_l0EdXBo`1FB`Oo05M:0ol0F4T3o`1IB@Co05Y80ol0G4H4o`1NA@?o06131?l0
Hd03o`1V?@Co06Ti0ol0KC@4o`1b;@?o07HV0ol0Nah4o`1o5P?o088@1?l0Q0`3o`233@Co080C0ol0
Nah4o`1b;0?o06Pk0ol0G4L4o`1@CP?o03Y51?l0:S`3o`0P=PCo01/c0ol06C44o`0H<0Oo01L`0ol0
5Rl3o`0G<0Co01Ta0ol073<4o`0P=P?o02Di1?l0:cd3o`0a@@Co03U50ol0@DP3o`14BPCo03m70ol0
<d44o`0R>0?o01D^1?l032L3o`098`Co00PR3Ol02B<4o`0:9@?o00`V1?l03RP3o`0?:@Co010Z0ol0
4B/4o`0@:POooooo0Ol00001ooooo`004oooool3o`0000Oooooo00?o0000ooooooooool01_ooool3
o`0;9@Oo00`V1?l02bH3o`0;9@Co00XT1ol02286o`088@Oo00LQ1?l02243o`0;9@Co014[0ol073@4
o`0Y?0?o03A21?l0>4@3o`0e@`?o02lo1?l0:C`3o`0T>@Co01lf0ol06c<4o`0H<0?o01D^1?l052d3
o`0C;@?o01@]1?l052h3o`0E;PCo01H_0ol06304o`0L=0?o02Di1?l0<d83o`18C0Co05M:0ol0HT43
o`1/=@Co07DY0ol0NQl4o`1m6@?o07hH1?l0OA/3o`1j80Co07HV0ol0LR`3o`1^<`Co06Xh0ol0Ic`4
o`1S@0?o06521?l0GTD3o`1LAPCo05]80ol0FDT4o`1HB@Ko05M:4_l0ET/7o`1GBP?o05Q90ol0FDT4
o`1JB0?o05a61?l0GTD3o`1P@`Co06=00ol0ISd4o`1Y>@?o06dd1?l0LRd3o`1f9P?o07/N1?l0OaH3
o`2240Co08@<0ol0P`d4o`204`?o07/N1?l0LR`3o`1X>`?o05a71?l0D4h3o`0jA@Co02Xl0ol083H4
o`0K<`?o01Ta1?l06307o`0G<0?o01H_0ol05c04o`0I<@?o01`c1?l083H3o`0U>@Co02/m0ol0<D44
o`0iA@?o04580ol0A4X4o`0oA`?o03=11?l08SP3o`0E;PCo00`W0ol02B<4o`088Pgo00TS1?l02RD3
o`0<9PCo00hX0ol03bT4o`0@:P?o014[1?l042X7ooooo`7o00000Oooool001;ooooo00Go0000oooo
ooooooooooooo`000006ooooo`03o`000?oooooooooo00Kooooo0ol02bD7o`0<9PCo00/V0ol02bD4
o`0:90Oo00PR1_l02247o`078@Co00PQ0ol02bD4o`0A:`?o01`d1?l0:C`3o`0d@PCo03Q40ol0=D<3
o`0_?`Co02Tl0ol093T4o`0O=P?o01/c1?l06303o`0E;PCo01@]0ol04bd3o`0D;@Co01@^0ol05Bh4
o`0F;`?o01P`1?l073@3o`0U>@Co03=20ol0B4`4o`1GBP?o06910ol0K3D4o`1e:@?o07XO1?l0OAT3
o`1n60Co07dK0ol0NR04o`1f9P?o078/0ol0KS<4o`1Z>0?o06Ll1?l0Hd03o`1Q@PCo05i50ol0G4H4
o`1KB0?o05U91?l0F4T6o`1GBQ;o05I;1ol0EdX3o`1HB@?o05U91?l0FTP3o`1LAPCo05i50ol0H4<4
o`1S@0?o06Hm1?l0JCT3o`1]=0Co078]0ol0MRH3o`1k7PCo07lF0ol0PQ04o`2430?o08<=1?l0P1<3
o`1k7PCo078/0ol0J3/3o`1LA`Co051>0ol0>TD4o`0Z?0?o020f1?l06c<3o`0I<@Co01P`1ol05c03
o`0F;`?o01L`1?l06C43o`0L<`Co020f0ol09CT4o`0[?@?o03511?l0>DD3o`11B0?o04A:1?l0?dL3
o`0c@@Co028h0ol05Bh4o`0<9`?o00TS1?l0228=o`098`Co00XU0ol032H4o`0>:0?o00lY1?l042X3
o`0A:`Co010Z1oooool1o`00007ooooo000<ooooo`Go00001Oooool00ol0003oooooooooo`04oooo
o`03o`000?oooooooooo00Kooooo0ol02bD4o`0<9P?o00/V1?l02bD3o`0:90Co00TS0ol02287o`08
8@[o00LQ1?l02B<3o`0?:@Co01Ta0ol09SX4o`0a@@?o03M41?l0=T<3o`0a@0?o02/m1?l09CT3o`0P
=PCo01`c0ol06344o`0E;`?o01@]1?l04bd3o`0D;@?o01@^1?l05Bh3o`0F;`Co01Pa0ol07C@4o`0W
>`?o03M41?l0Cdh3o`1KB0Co06Hm0ol0L2l3o`1h8`Co07`K0ol0OQP4o`1m6P?o07XO1?l0MRH3o`1b
;@Co06dd0ol0JCX3o`1T?`Co06520ol0GTD4o`1KA`?o05U91?l0EdX3o`1FB`Co05A<0ol0Dd`7o`1B
CASo055=1ol0DTd3o`1CC0Co05A<0ol0ET/4o`1GBP?o05U91?l0FdL3o`1MA@Co06130ol0I3l4o`1X
>`?o06`e0ol0LBh4o`1f9P?o07/M1?l0P1@3o`233PCo08@;0ol0P`h4o`1n60?o07HV0ol0K3D4o`1P
@`?o05=<1?l0?dL3o`0/?PCo024g0ol06c<4o`0I<@?o01P`1ol05c03o`0F;`Co01L`0ol06C44o`0L
=0?o024g1?l09SX3o`0/?PCo03=20ol0>dH3o`12B@Co04A:0ol0?DH4o`0^?`?o01he1?l04R/3o`0;
9@Oo00PR2_l02B<4o`0:90?o00/U1?l03BL3o`0>:@Co010Z1ol04B/7ooooo`7o00000Oooool001Ko
oooo00?o0000ooooooooool01?ooool4o`0000Gooooo0ol02bD4o`0<9P?o00/V1?l02bD3o`0:90Co
00TS0ol02287o`088@[o00LQ1?l02B<3o`0?:@Co01Ta0ol09SX4o`0a@@?o03M41?l0=T<3o`0a@0?o
02/m1?l09CT3o`0P=PCo01`c0ol06344o`0E;`?o01@]1?l04bd3o`0D;@?o01@^1?l05Bh3o`0F;`Co
01Pa0ol07C@4o`0W>`?o03M41?l0Cdh3o`1KB0Co06Hm0ol0L2l3o`1h8`Co07`K0ol0OQP4o`1m6P?o
07XO1?l0MRH3o`1b;@Co06dd0ol0JCX3o`1T?`Co06520ol0GTD4o`1KA`?o05U91?l0EdX3o`1FB`Co
05A<0ol0Dd`7o`1BCASo055=1ol0DTd3o`1CC0Co05A<0ol0ET/4o`1GBP?o05U91?l0FdL3o`1MA@Co
06130ol0I3l4o`1X>`?o06`e0ol0LBh4o`1f9P?o07/M1?l0P1@3o`233PCo08@;0ol0P`h4o`1n60?o
07HV0ol0K3D4o`1P@`?o05=<1?l0?dL3o`0/?PCo024g0ol06c<4o`0I<@?o01P`1ol05c03o`0F;`Co
01L`0ol06C44o`0L=0?o024g1?l09SX3o`0/?PCo03=20ol0>dH3o`12B@Co04A:0ol0?DH4o`0^?`?o
01he1?l04R/3o`0;9@Oo00PR2_l02B<4o`0:90?o00/U1?l03BL3o`0>:@Co010Z1ol04B/5ooooo`?o
00000Oooool001;ooooo1?l00007ooooo`03o`000?oooooooooo00Kooooo0ol02bD4o`0<9P?o00/V
1?l02bD3o`0:90Co00TS0ol02287o`088@[o00LQ1?l02B<3o`0?:@Co01Ta0ol09SX4o`0a@@?o03M4
1?l0=T<3o`0a@0?o02/m1?l09CT3o`0P=PCo01`c0ol06344o`0E;`?o01@]1?l04bd3o`0D;@?o01@^
1?l05Bh3o`0F;`Co01Pa0ol07C@4o`0W>`?o03M41?l0Cdh3o`1KB0Co06Hm0ol0L2l3o`1h8`Co07`K
0ol0OQP4o`1m6P?o07XO1?l0MRH3o`1b;@Co06dd0ol0JCX3o`1T?`Co06520ol0GTD4o`1KA`?o05U9
1?l0EdX3o`1FB`Co05A<0ol0Dd`7o`1BCASo055=1ol0DTd3o`1CC0Co05A<0ol0ET/4o`1GBP?o05U9
1?l0FdL3o`1MA@Co06130ol0I3l4o`1X>`?o06`e0ol0LBh4o`1f9P?o07/M1?l0P1@3o`233PCo08@;
0ol0P`h4o`1n60?o07HV0ol0K3D4o`1P@`?o05=<1?l0?dL3o`0/?PCo024g0ol06c<4o`0I<@?o01P`
1ol05c03o`0F;`Co01L`0ol06C44o`0L=0?o024g1?l09SX3o`0/?PCo03=20ol0>dH3o`12B@Co04A:
0ol0?DH4o`0^?`?o01he1?l04R/3o`0;9@Oo00PR2_l02B<4o`0:90?o00/U1?l03BL3o`0>:@Co010Z
1ol04B/7ooooo`7o00000Oooool001;ooooo00?o0000ooooooooool02?ooool00ol0003ooooooooo
o`06ooooo`?o00/U1?l032H3o`0;9PCo00/U0ol02R@4o`098`?o00PR1ol0224:o`078@Co00TS0ol0
3bT4o`0I<@?o02Hj1?l0<D43o`0gA0Co03I30ol0<D03o`0[?@Co02Di0ol083H4o`0L<`?o01Pa1?l0
5Bl3o`0D;@Co01<]0ol052d3o`0D;PCo01D^0ol05Rl4o`0H<@?o01dd1?l09c/3o`0gA0Co04m>0ol0
FdP4o`1V?@?o070_0ol0N2<4o`1l6`?o07hH1?l0OAX3o`1j7`Co07HV0ol0LRd4o`1]=0?o06Tj0ol0
I3l4o`1Q@P?o05i51?l0FdL3o`1IB@Co05M:0ol0ET/4o`1DC0?o05=<1ol0DTdHo`1AC@Oo059=0ol0
Dd`4o`1DC0?o05I;1?l0EdX3o`1IB@Co05]70ol0GDD4o`1P@`?o06@o1?l0J3/3o`1/=@?o074^1?l0
MRH3o`1k7@Co080D0ol0P`h4o`242`?o08<>1?l0OQP3o`1f9P?o06`e1?l0H4<3o`1CC0Co03m70ol0
;3h4o`0Q=`?o01/c1?l06C43o`0H<0Oo01L`0ol05Rl4o`0G<0?o01Ta1?l073@3o`0Q=`Co02Hj0ol0
;3h4o`0c@P?o03]60ol0@TT4o`14BP?o03e61?l0;Sl3o`0N=@Co018[0ol02bD7o`088P[o00TS1?l0
2R@3o`0;9@Co00dW0ol03RT4o`0@:POo014[1oooool1o`00007ooooo000Booooo`Go00001_ooool0
0ol0003oooooooooo`06ooooo`[o00/U1?l02R@3o`098`Co00PR0ol0224>o`078@?o00PR1?l032H3
o`0E;PCo024g0ol0;Sl4o`0f@`?o03M41?l0<d43o`0/?P?o02Hj1?l08CL3o`0M=0Co01Ta0ol05Rl4
o`0D;@?o01<]1?l052d3o`0D;P?o01D^1?l05Rl3o`0H<@Co01he0ol0:3/4o`0jA@?o055=1?l0GDD3
o`1Y>@Co07<[0ol0NR03o`1m6@Co07hI0ol0Nad4o`1h90?o07</1?l0KS<3o`1X>PCo06@o0ol0H4<3
o`1LAPCo05U80ol0EdX4o`1EB`?o05=<1?l0DTd3o`1@C@Oo04m>1?l0CDh3o`1<C@?o04]=1?l0BTd:
o`1:C0Co04Y=0ol0Bdd4o`1<C@?o04i>0ol0Cdh4o`1@CP?o055=1?l0DTd3o`1CC0Co05E;0ol0EdX4
o`1IB@?o05a71?l0Gd@3o`1S@0?o06Lk1?l0KCD3o`1b;@Co07PS0ol0OAT4o`2240Oo08@;0ol0PA<3
o`1j80Co06la0ol0Hd04o`1FB`?o04991?l0;Sl3o`0R>0Co01`c0ol06C44o`0H<@Ko01L`1?l05Rl3
o`0G<0Co01Tb0ol07C@4o`0R=`?o02Lk1?l0;Sl3o`0e@`?o03i71?l0A4X3o`13B@Co03U40ol0:C`4
o`0I<@?o00lY1?l02R@3o`088PCo00TR2_l02B<3o`0:90Co00`V0ol03BP4o`0?:@Oo010Z1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l02bD4o`0:90?o00TS1?l02283o`08
8@ko00LQ0ol02284o`0<9P?o01D^1?l08CL3o`0^?`Co03I30ol0=d@4o`0c@@?o02`n0ol09SX4o`0Q
=`?o01dd1?l06C43o`0F;`Co01@]0ol04bd4o`0D;@?o01@^0ol05Bh4o`0F;`?o01Pa1?l07SD3o`0X
>`Co03Y50ol0DDd4o`1MA@?o06Ti1?l0Lb/3o`1j80?o07dI1?l0OQT3o`1k7@Co07PT0ol0Lb`4o`1^
<`?o06Pj1?l0I3l3o`1P@`?o05a61?l0FDP3o`1GBPCo05E;0ol0Dd`4o`1BC@?o051=1ol0Cdh4o`1=
CP?o04a=0ol0Bdd4o`1:C@[o04Y<1?l0BTd3o`1;C@Co04a=0ol0CTh3o`1?CPCo051>0ol0DDd4o`1B
C@?o05=<1?l0ED/3o`1GBPCo05U90ol0G4L4o`1OA0?o06=00ol0Ic/4o`1]=@?o078]1?l0N2<3o`1m
6@Co088@1ol0Q0/3o`214`?o07XP1?l0Kc43o`1S@0Co05I;0ol0@TT4o`0^?`?o028h1?l073<3o`0I
<@Co01Pa1_l05c04o`0F;`?o01L`1?l06C83o`0M=0Co028g0ol09c/4o`0^?`?o03E30ol0?TL4o`14
BP?o04=91?l0>D@3o`0Y?0Co01Ta0ol03bT4o`0:90?o00PR1?l02B8:o`098`?o00XT1?l032H3o`0=
:0Co00lY1ol042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`0;9@Co
00XT0ol02B<4o`088P?o00PQ3_l01b43o`088PCo00`V0ol05Bh4o`0Q=`?o02ho1?l0=T<3o`0gA0Co
03=10ol0;3h3o`0V>PCo024g0ol07C@4o`0I<@?o01H_1?l052d3o`0C;@Co01@]0ol052h3o`0E;PCo
01H_0ol06344o`0N=@?o02Pk1?l0>TD3o`1AC@Co05e50ol0JCT4o`1c:`?o07XP0ol0OAT4o`1n6@?o
07/M1?l0N2@3o`1c;0Co06hc0ol0J3X4o`1T?`?o06130ol0G4H4o`1IB0?o05M:1?l0ED/3o`1CC0Co
059=0ol0D4d7o`1?CPCo04e>0ol0C4d3o`1;C@Co04Y=2_l0BT`4o`1:C@?o04]=1?l0C4d3o`1>CP?o
04m>1?l0D4h3o`1AC@Co059=0ol0Dd`4o`1EB`?o05M:1?l0FDT3o`1LA`Co05m40ol0Hd03o`1W>`Co
06de0ol0LRd4o`1h8`?o07dI1?l0PQ07o`242`?o084C0ol0NR04o`1_<@?o06=01?l0ET/3o`12B@Co
02ho0ol08SP4o`0L<`?o01Ta1?l06346o`0G<0Co01H_0ol05c04o`0I<P?o01dd1?l08SL3o`0W>`Co
02ho0ol0=D<3o`0nA`Co04A:0ol0@dT4o`0iA0?o02Tl1?l06C43o`0?:@Co00XT0ol02284o`098P[o
00TS0ol02R@4o`0<9P?o00dX1?l03bT7o`0@:POooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`Oo00/U0ol02R@4o`098`?o00PR1?l0224Ao`078@?o00XT1?l04B/3o`0L=0Co02Xl
0ol0=484o`0hA0?o03A21?l0;Sl3o`0X>`?o028h1?l07SD3o`0J<PCo01H_0ol052h4o`0C;@?o01@]
1?l052h3o`0E;P?o01H_1?l06343o`0N=@Co02Tl0ol0?4H4o`1BC@?o05m41?l0JcH3o`1e:0Co07/M
0ol0OQT3o`1m6PCo07XP0ol0MBP4o`1_<@?o06Xh1?l0ICh3o`1P@`Co05a70ol0FDT3o`1FB`Co05A<
0ol0DTd4o`1@CP?o04m>1?l0C4d3o`1:C0Co04Q;0ol0AT/4o`15BP?o04A:1ol0@dT:o`12B@Oo04=9
1?l0A4X3o`15BP?o04M;1?l0B4`3o`1:C@Co04e>0ol0Cdh4o`1@CP?o059=1?l0E4`3o`1FB`Co05U9
0ol0G4L3o`1OA0Co06@o0ol0JCX4o`1^<P?o07DY1?l0Nah3o`2050Co08@<0ol0Q@X3o`223`Co07`L
0ol0LRd4o`1U?P?o05M:1?l0ADX3o`0_?`Co028h0ol073<4o`0I<@?o01Pa2_l05c04o`0H<0?o01Xb
1?l07SD3o`0S>0Co02Tl0ol0<403o`0hA0Co04180ol0ADX4o`11B0?o03A21?l08cP3o`0D;PCo00`V
0ol02B<4o`088P[o00TS0ol02R@4o`0;9@?o00`W1?l03RP3o`0?:@Co010Z1oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Kooooo1ol02bD3o`0:90Co00TS0ol02284o`088A7o00LQ0ol0
2R@4o`0A:`?o01`d1?l0:S`3o`0d@PCo03Q40ol0=484o`0^?`?o02Pk0ol08SP4o`0N=@?o01Xb1?l0
5Rl3o`0D;PCo01<]0ol052d4o`0D;P?o01D^0ol05Rl4o`0H<@?o01he1?l0:C`3o`0lAPCo059=0ol0
Gd@4o`1[=P?o07DX1?l0Nad3o`1n6@?o07dJ1?l0NR03o`1e:0Co06la0ol0JSP4o`1U?P?o06131?l0
G4L3o`1IB@?o05I;1?l0E4`3o`1BC@Co051>0ol0Cdh4o`1<C@?o04Y<1?l0B4/3o`16B`Co04E:0ol0
A4X7o`13B@[o04991ol0@dT4o`14BP?o04E:0ol0Ad/4o`18C0?o04Y=1?l0CDh3o`1?CPCo051>0ol0
DTd4o`1DC0?o05I;1?l0FDT3o`1LA`?o05m41?l0I3l3o`1Y>PCo06hb0ol0MBT4o`1k7P?o080D1?l0
Q0`3o`252P?o088?1?l0O1`3o`1b;@Co06Dn0ol0EdX4o`15BP?o02lo1?l08SP3o`0L<`Co01Ta0ol0
634:o`0G<0Co01P`0ol06S84o`0N=@?o02<h1?l0:C`3o`0`@0?o03Q41?l0@4P3o`15BPCo04580ol0
=484o`0S>0?o01@^1?l032H3o`098`Co00PR2_l02B<3o`0:90Co00/U0ol032L4o`0>:0?o00lY1?l0
42X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`0;9@?o00XT1?l02B<3
o`088PCo00PQ4Ol01b43o`0:90Co014[0ol073@4o`0Z?0?o03A21?l0>4@3o`0d@PCo02ho0ol0:3/3
o`0R>0Co01he0ol06S84o`0F;`?o01@^1?l04bd3o`0D;@Co01@^0ol05Bh3o`0F;`Co01Pa0ol07SD4
o`0Y?0?o03a61?l0DTd3o`1OA0Co06/f0ol0MBP4o`1k7@?o07hI0ol0OAX4o`1j80?o07DX1?l0Kc43
o`1Z>0Co06Dn0ol0H4<4o`1LA`?o05U90ol0ET/4o`1DC0?o059=1?l0D4h3o`1?CPCo04a=0ol0BT`4
o`18B`?o04I;1?l0ADX3o`14BPOo04=92_l0@TT7o`13B@Co04A:0ol0ADX3o`17B`Co04Q<0ol0BTd4
o`1=CP?o04m>1?l0D4h3o`1BC@Co05A<0ol0ET/4o`1IB@?o05a70ol0Gd@4o`1T?`?o06Tj1?l0KS83
o`1e:@Co07/N0ol0P1@4o`2430?o08D:0ol0PPl4o`1l70?o078]1?l0ICh3o`1GBPCo04E:0ol0;cl4
o`0R>0?o01`c1?l06C43o`0H<@[o01L`1?l06303o`0J<PCo01he0ol08cP4o`0Y?0?o03100ol0>4@4
o`10B0?o04E:1?l0@DP3o`0d@PCo02<h0ol052h4o`0<9P?o00TS1?l0228:o`098`?o00XT1?l02bD3
o`0<9`Co00hX0ol03bT4o`0@:POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooo
o`Oo00/U0ol02R@4o`098`?o00PR1?l0224Ao`078@?o00XT1?l04B/3o`0L=0Co02Xl0ol0=484o`0h
A0?o03A21?l0;Sl3o`0X>`?o028h1?l07SD3o`0J<PCo01H_0ol052h4o`0C;@?o01@]1?l052h3o`0E
;P?o01H_1?l06343o`0N=@Co02Tl0ol0?4H4o`1BC@?o05m41?l0JcH3o`1e:0Co07/M0ol0OQT3o`1m
6PCo07XP0ol0MBP4o`1_<@?o06Xh1?l0ICh3o`1P@`Co05a70ol0FDT3o`1FB`Co05A<0ol0DTd4o`1@
CP?o04m>1?l0C4d3o`1:C0Co04Q;0ol0AT/4o`15BP?o04A:1ol0@dT:o`12B@Oo04=91?l0A4X3o`15
BP?o04M;1?l0B4`3o`1:C@Co04e>0ol0Cdh4o`1@CP?o059=1?l0E4`3o`1FB`Co05U90ol0G4L3o`1O
A0Co06@o0ol0JCX4o`1^<P?o07DY1?l0Nah3o`2050Co08@<0ol0Q@X3o`223`Co07`L0ol0LRd4o`1U
?P?o05M:1?l0ADX3o`0_?`Co028h0ol073<4o`0I<@?o01Pa2_l05c04o`0H<0?o01Xb1?l07SD3o`0S
>0Co02Tl0ol0<403o`0hA0Co04180ol0ADX4o`11B0?o03A21?l08cP3o`0D;PCo00`V0ol02B<4o`08
8P[o00TS0ol02R@4o`0;9@?o00`W1?l03RP3o`0?:@Co010Z1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo2_l02R@4o`098`?o00PR4Ol01b44o`098`?o00hX1?l05c03o`0U>@Co
03500ol0=d@4o`0f@`?o03101?l0:S`3o`0T>@?o01lf1?l06c<3o`0G<0Co01D^0ol04bd4o`0D;@?o
01@^1?l05Bh3o`0F;`?o01P`1?l07C@3o`0X>`Co03a60ol0Ddd4o`1P@`?o06`e1?l0MRH3o`1l70Co
07hH0ol0O1/3o`1h8`Co07</0ol0KCD4o`1W?0?o06521?l0GDH3o`1IB@Co05I;0ol0Dd`3o`1AC@Co
04m>0ol0C4d4o`19C0?o04I;1?l0A4X3o`12B@Co04580ol0@4P4o`0oA`Ko03i73_l0?DL7o`0nA`Co
03m70ol0?dP3o`10B0Co04990ol0@dT4o`15BP?o04M;1?l0BT`3o`1=CPCo04m>0ol0DDd4o`1CC0?o
05I;0ol0FDT4o`1LAP?o06531?l0ISd3o`1[=PCo078]0ol0NB84o`1o5P?o08<=0ol0Q@T4o`233@?o
07dI1?l0Lb/3o`1V?@Co05Q:0ol0ADX4o`0_?`?o028g1?l06c<3o`0I<@?o01Pa2ol05c03o`0H<@Co
01/c0ol083H4o`0U>@?o02/m0ol0<d44o`0kAP?o04=91?l0ADX3o`0mAPCo02hn0ol07C@4o`0@:P?o
00XT1ol0228:o`098`Co00XT0ol02bH4o`0=9`?o00hY1?l03bT7ooooo`7o00000Oooool001gooooo
0ol00006ooooo`[o00XT1?l02B<3o`088Q7o00LQ1?l02B<3o`0>:0Co01L`0ol09CT4o`0a@0?o03M4
1?l0=T<3o`0`@0Co02Xl0ol093T3o`0O=PCo01/c0ol05c04o`0E;P?o01<]1?l052d3o`0D;PCo01D^
0ol05Rl3o`0H<0Co01dd0ol0:3/4o`0lAP?o05==1?l0H4<3o`1/=@Co07HV0ol0O1`4o`1n60?o07`K
0ol0N2<4o`1c;0?o06de1?l0Ic`3o`1Q@PCo05e60ol0FDT4o`1FB`?o05=<0ol0DDd4o`1?CP?o04a=
1?l0BD`3o`16B`Co04A:0ol0@TT4o`11B0?o04181?l0?dL6o`0nA`ko03e71ol0?TL4o`0oA`?o03m8
0ol0@4P4o`12B@?o04=91?l0ADX3o`17B`Co04Y<0ol0CDh4o`1?CP?o055=1?l0Dd`3o`1FB`?o05U9
1?l0G4H3o`1Q@`Co06Hm0ol0JcH4o`1b;@?o07TR1?l0OaH3o`233@?o08D91?l0P`d3o`1m6@Co07<[
0ol0ISd4o`1HBP?o04E:1?l0;cl3o`0R=`Co01/c0ol06C43o`0H<@_o01L`0ol06344o`0K<`?o020f
1?l09CT3o`0[?@?o03=11?l0>dH3o`13B@Co04E:0ol0?DH4o`0^?P?o01dd1?l042X3o`0:90Oo00PR
2_l02B<4o`0:90?o00/V1?l03BL3o`0>:@Co00lY1_ooool2o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo2_l02R@4o`098`?o00PR4Ol01b44o`098`?o00hX1?l05c03o`0U>@Co03500ol0
=d@4o`0f@`?o03101?l0:S`3o`0T>@?o01lf1?l06c<3o`0G<0Co01D^0ol04bd4o`0D;@?o01@^1?l0
5Bh3o`0F;`?o01P`1?l07C@3o`0X>`Co03a60ol0Ddd4o`1P@`?o06`e1?l0MRH3o`1l70Co07hH0ol0
O1/3o`1h8`Co07</0ol0KCD4o`1W?0?o06521?l0GDH3o`1IB@Co05I;0ol0Dd`3o`1AC@Co04m>0ol0
C4d4o`19C0?o04I;1?l0A4X3o`12B@Co04580ol0@4P4o`0oA`Ko03i73_l0?DL7o`0nA`Co03m70ol0
?dP3o`10B0Co04990ol0@dT4o`15BP?o04M;1?l0BT`3o`1=CPCo04m>0ol0DDd4o`1CC0?o05I;0ol0
FDT4o`1LAP?o06531?l0ISd3o`1[=PCo078]0ol0NB84o`1o5P?o08<=0ol0Q@T4o`233@?o07dI1?l0
Lb/3o`1V?@Co05Q:0ol0ADX4o`0_?`?o028g1?l06c<3o`0I<@?o01Pa2ol05c03o`0H<@Co01/c0ol0
83H4o`0U>@?o02/m0ol0<d44o`0kAP?o04=91?l0ADX3o`0mAPCo02hn0ol07C@4o`0@:P?o00XT1ol0
228:o`098`Co00XT0ol02bH4o`0=9`?o00hY1?l03bT7ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01_ooool7o`0:90?o00TS1?l0228Ao`078@?o00PQ1?l02bD3o`0C;0Co01lf0ol0;Ch4
o`0f@`?o03M41?l0<d43o`0/?PCo02Hj0ol083L3o`0L<`Co01Pa0ol05Bh4o`0D;@?o01<]1?l052d3
o`0E;PCo01D_0ol05c03o`0L=0Co02Lk0ol0>TD4o`1BC@?o06131?l0KC@3o`1g9@Co07`K0ol0OQP4
o`1l7@?o07LU0ol0LBl4o`1Z>0?o06@o1?l0Gd@3o`1JB0Co05M:0ol0E4`4o`1AC@?o04m>0ol0Bdd4
o`18B`?o04E:1?l0@TT3o`10B0Co03i70ol0?DH7o`0lAQ7o03]64_l0?4H6o`0mAPOo03i71?l0@4P3
o`11B0Co04=90ol0ATX4o`19C0?o04a=1?l0Cdh3o`1AC@?o05A<1?l0EdX3o`1JB0Co05i50ol0Hd04
o`1Y>@?o070`1?l0MbD3o`1n6@?o08<>1?l0Q@P3o`242`Co07hG0ol0M2X4o`1V?0?o05Q:1?l0@dT3
o`0]?PCo024g0ol06c<3o`0I<@Co01Pa2_l05c04o`0I<@?o01`d1?l08CL3o`0W>`?o02ho1?l0=T<3
o`0nA`Co04E:0ol0@dT4o`0hA0?o02Hj1?l05c03o`0=9`Co00TS0ol0228:o`098`Co00TT0ol02bD4
o`0<9P?o00hX1?l03bT7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`0:
90?o00TS1?l0228Ao`078@?o00PQ1?l02bD3o`0C;0Co01lf0ol0;Ch4o`0f@`?o03M41?l0<d43o`0/
?PCo02Hj0ol083L3o`0L<`Co01Pa0ol05Bh4o`0D;@?o01<]1?l052d3o`0E;PCo01D_0ol05c03o`0L
=0Co02Lk0ol0>TD4o`1BC@?o06131?l0KC@3o`1g9@Co07`K0ol0OQP4o`1l7@?o07LU0ol0LBl4o`1Z
>0?o06@o1?l0Gd@3o`1JB0Co05M:0ol0E4`4o`1AC@?o04m>0ol0Bdd4o`18B`?o04E:1?l0@TT3o`10
B0Co03i70ol0?DH7o`0lAQ7o03]64_l0?4H6o`0mAPOo03i71?l0@4P3o`11B0Co04=90ol0ATX4o`19
C0?o04a=1?l0Cdh3o`1AC@?o05A<1?l0EdX3o`1JB0Co05i50ol0Hd04o`1Y>@?o070`1?l0MbD3o`1n
6@?o08<>1?l0Q@P3o`242`Co07hG0ol0M2X4o`1V?0?o05Q:1?l0@dT3o`0]?PCo024g0ol06c<3o`0I
<@Co01Pa2_l05c04o`0I<@?o01`d1?l08CL3o`0W>`?o02ho1?l0=T<3o`0nA`Co04E:0ol0@dT4o`0h
A0?o02Hj1?l05c03o`0=9`Co00TS0ol0228:o`098`Co00TT0ol02bD4o`0<9P?o00hX1?l03bT7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`0:90?o00TS1?l0228Ao`078@?o
00PQ1?l02bD3o`0C;0Co01lf0ol0;Ch4o`0f@`?o03M41?l0<d43o`0/?PCo02Hj0ol083L3o`0L<`Co
01Pa0ol05Bh4o`0D;@?o01<]1?l052d3o`0E;PCo01D_0ol05c03o`0L=0Co02Lk0ol0>TD4o`1BC@?o
06131?l0KC@3o`1g9@Co07`K0ol0OQP4o`1l7@?o07LU0ol0LBl4o`1Z>0?o06@o1?l0Gd@3o`1JB0Co
05M:0ol0E4`4o`1AC@?o04m>0ol0Bdd4o`18B`?o04E:1?l0@TT3o`10B0Co03i70ol0?DH7o`0lAQ7o
03]64_l0?4H6o`0mAPOo03i71?l0@4P3o`11B0Co04=90ol0ATX4o`19C0?o04a=1?l0Cdh3o`1AC@?o
05A<1?l0EdX3o`1JB0Co05i50ol0Hd04o`1Y>@?o070`1?l0MbD3o`1n6@?o08<>1?l0Q@P3o`242`Co
07hG0ol0M2X4o`1V?0?o05Q:1?l0@dT3o`0]?PCo024g0ol06c<3o`0I<@Co01Pa2_l05c04o`0I<@?o
01`d1?l08CL3o`0W>`?o02ho1?l0=T<3o`0nA`Co04E:0ol0@dT4o`0hA0?o02Hj1?l05c03o`0=9`Co
00TS0ol0228:o`098`Co00TT0ol02bD4o`0<9P?o00hX1?l03bT7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool7o`098`?o00PR1?l0224Ao`078@?o00TS1?l03RT3o`0I<@Co02Lk
0ol0<d44o`0hA0?o03E21?l0;cl3o`0X>`Co028h0ol07C@3o`0I<PCo01H_0ol052d4o`0C;@?o01@]
1?l052h3o`0E;PCo01L`0ol06c<3o`0U>@Co03M40ol0DDd4o`1OA0?o06`e1?l0MbD3o`1l6`Co07hI
0ol0Nad4o`1f9`?o06la0ol0JCX4o`1R@@?o05e61?l0F4T3o`1EB`Co059=0ol0Cdh4o`1<C@?o04M;
0ol0A4X4o`11B0?o03m71?l0?DH3o`0lAPko03]51?l0>dH:o`0lARKo03e60ol0?TL4o`0oA`?o0418
1?l0@TT3o`15BPCo04U<0ol0CDh3o`1@CPCo059=0ol0ED/4o`1HB@?o05a61?l0HD83o`1W>`Co06hc
0ol0MRL3o`1m6PCo08<>0ol0QPP4o`252P?o07lG1?l0M2X3o`1V?@Co05I;0ol0@4P4o`0[?@?o01lf
0ol06S84o`0I<@?o01P`2ol05c03o`0J<PCo01he0ol08cP3o`0Y?0Co03500ol0>DD4o`12B@?o04E:
1?l0@4P3o`0a@0Co01lf0ol04R/4o`0;9@Ko00PR2ol02B<3o`0:90Co00/V0ol03BL4o`0>:0Oooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00TS0ol02284o`088A7o00LQ0ol0
2B<4o`0>:@?o01Ta1?l09c/3o`0c@@Co03Q40ol0=D84o`0_?`?o02Pk1?l08SP3o`0M=0?o01Tb1?l0
5Rl3o`0D;@Co01<]0ol052d4o`0D;P?o01D^1?l05c03o`0K<`?o02Di1?l0=d@3o`1AC@Co05m40ol0
K3D4o`1g9@?o07`K1?l0OQT3o`1k7@Co07HW0ol0Kc43o`1Y>PCo06910ol0GDH4o`1HB@?o05E;1?l0
DTd3o`1?CPCo04a=0ol0Ad/3o`14BPCo04580ol0?dL4o`0mAP?o03a63_l0>dD4o`0kAP[o03a69_l0
?DH3o`0nA`Co03m70ol0@4P4o`12B@?o04E:1?l0BD`3o`1=CP?o051>1?l0DTd3o`1EB`Co05Q90ol0
G4H4o`1Q@P?o06Lk1?l0KS<3o`1f9`?o07dJ1?l0P`h3o`2620Co08D:0ol0OaL4o`1d:P?o06Hm1?l0
ET/3o`10B0Co02/m0ol07cH3o`0J<PCo01Ta0ol0630;o`0G<0?o01Xb1?l07SD3o`0S>0?o02Tl1?l0
<D03o`0iA@Co04990ol0ADX4o`10B0?o03501?l07cH3o`0B:`Co00/U1_l0228;o`098`?o00XT1?l0
2bH3o`0=9`Co00hX1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol02B<3
o`088PCo00PQ4Ol01b43o`098`Co00hY0ol06C44o`0W>`?o03=11?l0>4@3o`0e@PCo02lo0ol0:3/4
o`0R>0?o01dd0ol06C84o`0F;`?o01@]1?l04bd3o`0D;@Co01@^0ol05Bh4o`0G<0?o01/c0ol09CT4
o`0gA0?o055=1?l0Gd@3o`1/=@Co07LU0ol0O1/4o`1n6@?o07/M1?l0MRL3o`1_<@?o06Tj1?l0HT43
o`1MAPCo05Q90ol0ED/4o`1BC@?o04m>1?l0C4d3o`17B`?o04A:1?l0@DP3o`0oA`Co03e60ol0?4H>
o`0kA@Co03]62_l0?4HVo`0mAP?o03i71?l0?dL3o`10B0Co04990ol0ADX4o`19C0?o04e>0ol0D4h4
o`1BC@?o05E;1?l0F4T3o`1LAPCo06520ol0Ic/4o`1^<`?o07HW0ol0OAX4o`233P?o08H81?l0Q@X3
o`1o5`Co07@Z0ol0ISd4o`1FB`?o04181?l0:cd3o`0O=P?o01Xb1?l06C43o`0H<0_o01L`0ol06S84
o`0N=@?o02<h0ol0:C`4o`0a@0?o03U51?l0@TT3o`15BPCo04180ol0<D04o`0O=P?o018[1?l02bD6
o`088P_o00TS0ol02R@4o`0;9P?o00dW1?l03RP7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool7o`098`?o00PR1?l0224Ao`078@?o00TS1?l03RT3o`0I<@Co02Lk0ol0<d44o`0h
A0?o03E21?l0;cl3o`0X>`Co028h0ol07C@3o`0I<PCo01H_0ol052d4o`0C;@?o01@]1?l052h3o`0E
;PCo01L`0ol06c<3o`0U>@Co03M40ol0DDd4o`1OA0?o06`e1?l0MbD3o`1l6`Co07hI0ol0Nad4o`1f
9`?o06la0ol0JCX4o`1R@@?o05e61?l0F4T3o`1EB`Co059=0ol0Cdh4o`1<C@?o04M;0ol0A4X4o`11
B0?o03m71?l0?DH3o`0lAPko03]51?l0>dH:o`0lARKo03e60ol0?TL4o`0oA`?o04181?l0@TT3o`15
BPCo04U<0ol0CDh3o`1@CPCo059=0ol0ED/4o`1HB@?o05a61?l0HD83o`1W>`Co06hc0ol0MRL3o`1m
6PCo08<>0ol0QPP4o`252P?o07lG1?l0M2X3o`1V?@Co05I;0ol0@4P4o`0[?@?o01lf0ol06S84o`0I
<@?o01P`2ol05c03o`0J<PCo01he0ol08cP3o`0Y?0Co03500ol0>DD4o`12B@?o04E:1?l0@4P3o`0a
@0Co01lf0ol04R/4o`0;9@Ko00PR2ol02B<3o`0:90Co00/V0ol03BL4o`0>:0Oooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`06ooooo`?o00TS1?l02B83o`088Pko00LQ1?l01b03o`088@?o
00/U1?l04bd3o`0P=`Co02ho1ol0=d<3o`0b@@Co02/m0ol093T4o`0O=P?o01/c0ol05c04o`0D;P?o
01<]1?l052d3o`0D;PCo01D^0ol05Rl4o`0J<P?o028h0ol0<d84o`1?CP?o05e51?l0JcH3o`1f9PCo
07`K0ol0OQT4o`1k7P?o07DW1?l0KS83o`1W>`?o06521?l0G4L3o`1GBPCo05=<0ol0D4d4o`1>CP?o
04U<1?l0A4X3o`11B0?o03i71?l0?4H3o`0kAPCo03]50ol0>TD4o`0kA@?o03]61?l0?4H3o`0mAPCo
03i70ol0?dL7o`10B1Go04581_l0@4P4o`0oA`Oo03i71ol0?DL3o`0nA`Co03m70ol0@4P4o`13B@?o
04I;0ol0BT`4o`1>CP?o055=1?l0E4`3o`1GBPCo05]70ol0H4<4o`1V?@?o06dd0ol0MBP4o`1m6`?o
08<>1?l0QPL3o`252PCo07hG0ol0Lb/4o`1T?`?o05A<1?l0?4H3o`0X>`?o01he1?l06S83o`0H<@Co
01P`1ol05c03o`0H<@Co01/c0ol083H3o`0V>PCo02`n0ol0=484o`0mA`Oo04A:0ol0>TD4o`0X>`?o
01Pa1?l03RP3o`098`?o00PR3_l02B<4o`0;9@?o00`V1?l03BP7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool3o`098`Co00TR0ol0228>o`078@Co00LP0ol02243o`0;9@Co01<]
0ol083L4o`0^?`Oo03M30ol0<T44o`0[?@?o02@i1?l07cH3o`0K<`?o01L`1?l052h3o`0C;@Co01@]
0ol052h4o`0E;P?o01H_1?l06S83o`0R>0?o03=21?l0Cdh3o`1MA@Co06/f0ol0MRH4o`1l6`?o07hI
1?l0Nah3o`1e9`Co06hb0ol0Ic/3o`1Q@PCo05a70ol0EdX4o`1CC0?o051=1?l0CTh3o`19C0Co04A:
0ol0@DP3o`0nA`Co03a60ol0>dH4o`0kA@?o03Y51?l0>dD3o`0kAPCo03a60ol0?DH4o`0nA`?o03m7
1ol0@4PEo`11B0Ko04181?l0?dL7o`0nA`Oo03e70ol0?TL4o`0oA`?o04181?l0@dT3o`16B`?o04Y<
1?l0CTh3o`1AC@Co05A<0ol0EdX4o`1KA`?o06131?l0ISd3o`1]=0?o07DX1?l0OA/3o`233PCo08H7
0ol0Q@X4o`1n5`?o07<[1?l0I3l3o`1DC0Co03a60ol0:3/3o`0N=@Co01Xb0ol06344o`0H<0Oo01L`
0ol06344o`0K<`?o020f0ol09SX4o`0/?P?o03A21?l0?DL7o`14BP?o03Y51?l0:3/3o`0H<@Co00hX
0ol02B<3o`088Pko00TS1?l02bD3o`0<9PCo00dX1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo0ol02B<4o`098P?o00PR3_l01b44o`0780?o00PQ0ol02bD4o`0C;@?o020g1?l0
;Sl7o`0g@`?o03911?l0:cd3o`0T>@Co01lf0ol06c<3o`0G<0Co01@^0ol04bd4o`0D;@?o01@^1?l0
5Bh3o`0F;`Co01Xb0ol08SP3o`0c@PCo04m>0ol0GDD4o`1[=P?o07HV1?l0O1/3o`1n6@Co07/N0ol0
MBL4o`1^<P?o06Lk0ol0HD84o`1LA`?o05M:1?l0Dd`3o`1@C@Co04i>0ol0BD`4o`14BP?o04580ol0
?TL4o`0lAP?o03]61?l0>dD3o`0jA@Co03]50ol0>dH4o`0lAP?o03e61?l0?TL3o`0oA`Oo04185Ol0
@DP6o`10B0Co03m71ol0?TL7o`0mA`?o03i71?l0?dL3o`10B0Co04=90ol0AT/3o`1:C0Co04i>0ol0
DDd4o`1DC0?o05M:1?l0FdL3o`1P@`Co06Hm0ol0KC@3o`1e:0Co07dK0ol0P`h4o`261`?o08D:1?l0
OQL3o`1c:`Co06@o0ol0E4`4o`0lAP?o02Pk0ol07SD4o`0J<P?o01Pa1?l06307o`0G<0?o01Pa1?l0
6c<3o`0P=P?o02Hj1?l0;3h3o`0d@PCo03e71ol0A4X3o`0jA@Co02Pk0ol06344o`0>:0?o00TS0ol0
228>o`098`Co00/U0ol032H4o`0=:0Oooooo0Ol00001ooooo`007Oooool3o`0000Kooooo0ol02B84
o`088Pko00LQ0ol01b04o`078@?o00TS0ol03bT4o`0J<P?o02Pk1?l0=483o`0hA0Co03A20ol0;Sh4
o`0W>`?o024g1?l073@3o`0H<@?o01D^1ol052d4o`0D;P?o01D^1?l05Rl3o`0H<@Co020f0ol0;cl3
o`18C0Co05]80ol0JCT4o`1e:0?o07`L1?l0OQP3o`1k7@Co07DW0ol0KS84o`1W?0?o06130ol0FdP4
o`1FB`?o05==1?l0D4h3o`1;C@Co04I;0ol0@TT4o`0oA`?o03e60ol0>dD7o`0jA@Co03]50ol0?4H4
o`0mAP?o03m71?l0@4P3o`12B@Co04=90ol0A4X3o`16BPCo04I;0ol0Ad/;o`18B`Oo04M;0ol0AT/3
o`15BPCo04A:0ol0@TT4o`11B0?o04181?l0?dL:o`0nA`Co03m70ol0@DP3o`14BPCo04Q;0ol0CDh4
o`1@CP?o05=<1?l0ETX3o`1JB0Co05m40ol0ICd3o`1]=0Co07DX0ol0OAX4o`233@?o08H61?l0Q@X3
o`1m6@Co074^0ol0HD84o`1AC@?o03M30ol09CT4o`0M=0?o01Tb1?l0634:o`0G<0Co01Tb0ol07C@3
o`0R>0Co02Pk0ol0<404o`0hA0?o04581?l0AT/3o`11B0Co03910ol083H4o`0B;0?o00/U1ol0228:
o`098`Co00XT0ol02bD4o`0=9`Kooooo0_l00001ooooo`007Oooool00ol0003oooooooooo`06oooo
o`?o00TR1?l0228>o`078@?o00LP1?l01b43o`098`?o00lY1?l06S83o`0X>`Co03A20ol0>4@4o`0d
@P?o02hn1?l09c/3o`0Q=`Co01`d0ol06343o`0E;POo01@]1?l052h3o`0E;PCo01H_0ol06344o`0P
=P?o02lo0ol0B4`4o`1KB0?o06Ti1?l0MBP3o`1l70Co07hH0ol0Nad4o`1e9`?o06hb1?l0Ic`3o`1P
@`?o05]81?l0ET/3o`1CC@Co051>0ol0Bdd4o`16B`?o04991?l0?dL3o`0mAP?o03]51ol0>TD4o`0k
A@?o03a61?l0?DH3o`0oA`Co04180ol0@TT4o`13B@?o04A:0ol0ATX4o`16B`?o04M;2ol0B4/7o`17
B`?o04I;0ol0ADX4o`14BP?o04991?l0@DP3o`10B0Co03m72_l0?TL4o`0oA`?o04580ol0A4X4o`18
B`?o04e>1?l0D4h3o`1CC0Co05I:0ol0FTP4o`1OA0?o06Dm0ol0KC@4o`1e:0?o07dJ1?l0P`d3o`26
1PCo08D:0ol0OAT4o`1a;P?o06521?l0DDd3o`0g@`?o02Di1?l07C@3o`0I<PCo01Pa2_l05c04o`0I
<P?o01dd0ol08SP4o`0X>`?o03101?l0>4@3o`11B0Co04I;0ol0@DP4o`0b@@?o020f1?l04R`3o`0;
9@Oo00PR2_l02B<4o`0:90?o00/U1?l03BL7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool3o`098PCo00PR3_l01b43o`0780Co00LQ0ol02B<3o`0?:@Co01Xb0ol0:3/4o`0d@P?o
03Q41?l0=483o`0^?PCo02Lk0ol08CL4o`0L=0?o01Pa0ol05Bh7o`0D;@Co01@^0ol05Bh4o`0F;`?o
01Pa1?l083H3o`0_?`?o04Q<1?l0FdP3o`1Y>@Co07DX0ol0O1`4o`1n60?o07/M1?l0MBL3o`1^<PCo
06Ll0ol0H4<3o`1KB0Co05I;0ol0Ddd4o`1@CP?o04]=1?l0AT/3o`12B@Co03m70ol0?DH3o`0kA@Oo
03Y51?l0>dD3o`0lAPCo03e60ol0?dL4o`10B0?o04991?l0@dT3o`14BP?o04I:1?l0AT/3o`17B`_o
04Q;1ol0Ad/3o`16B`?o04E:1?l0A4X3o`12B@Co04580ol0@4P4o`0oA`[o03i71?l0?dL3o`11B0?o
04A:1?l0B4/3o`1=CPCo051>0ol0Dd`4o`1FBP?o05Y81?l0Gd@3o`1U?@?o06dd1?l0MBP3o`1m6PCo
08<=0ol0QPH4o`252P?o07dI1?l0LBh3o`1Q@PCo055=0ol0=d<3o`0U>@Co01dd0ol06C84o`0H<@[o
01L`1?l06C83o`0M=0?o028h1?l0:3/3o`0`@0Co03Q40ol0@DP4o`16B`?o04581?l0<T43o`0P=PCo
018/0ol02bD7o`088P[o00TS1?l02R@3o`0;9@Co00dW1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo0ol02B84o`088Pko00LQ0ol01b04o`078@?o00TS0ol03bT4o`0J<P?o02Pk
1?l0=483o`0hA0Co03A20ol0;Sh4o`0W>`?o024g1?l073@3o`0H<@?o01D^1ol052d4o`0D;P?o01D^
1?l05Rl3o`0H<@Co020f0ol0;cl3o`18C0Co05]80ol0JCT4o`1e:0?o07`L1?l0OQP3o`1k7@Co07DW
0ol0KS84o`1W?0?o06130ol0FdP4o`1FB`?o05==1?l0D4h3o`1;C@Co04I;0ol0@TT4o`0oA`?o03e6
0ol0>dD7o`0jA@Co03]50ol0?4H4o`0mAP?o03m71?l0@4P3o`12B@Co04=90ol0A4X3o`16BPCo04I;
0ol0Ad/;o`18B`Oo04M;0ol0AT/3o`15BPCo04A:0ol0@TT4o`11B0?o04181?l0?dL:o`0nA`Co03m7
0ol0@DP3o`14BPCo04Q;0ol0CDh4o`1@CP?o05=<1?l0ETX3o`1JB0Co05m40ol0ICd3o`1]=0Co07DX
0ol0OAX4o`233@?o08H61?l0Q@X3o`1m6@Co074^0ol0HD84o`1AC@?o03M30ol09CT4o`0M=0?o01Tb
1?l0634:o`0G<0Co01Tb0ol07C@3o`0R>0Co02Pk0ol0<404o`0hA0?o04581?l0AT/3o`11B0Co0391
0ol083H4o`0B;0?o00/U1ol0228:o`098`Co00XT0ol02bD4o`0=9`Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06ooooo`?o00PR1?l02243o`078@Co00LP1ol01b43o`0780Co00LQ0ol0
2bD3o`0C;@Co020g0ol0;cl7o`0g@`Co03500ol0:S`4o`0T>@?o01he1?l06S83o`0F;`?o01@^1?l0
4bd3o`0D;@Co01@^0ol05Bl4o`0G<0?o01dd1?l0:C`3o`11B0?o05M:1?l0ISd3o`1c:`Co07/M0ol0
OQP4o`1l7@?o07HW1?l0KS83o`1W?0Co06130ol0FTP3o`1FB`Co059=0ol0Cdh4o`19C0?o04A:1?l0
@4P3o`0mA`Co03]61_l0>TD4o`0kA@?o03a61?l0?TL3o`10B0Co04990ol0A4X4o`16B`?o04Q<1?l0
BT`3o`1<C@?o04e>1?l0CThAo`1?CPCo04i>0ol0CDh3o`1<C@Co04Y=0ol0BD`4o`17B`?o04E:1?l0
@dT3o`11B0Co04180ol0?dL4o`0nA`?o03m70ol0@4P4o`13B@?o04I;1?l0Bdd3o`1?CPCo059=0ol0
ET/4o`1JB0?o05m40ol0ICd4o`1]=0?o07DW1?l0OQP3o`242`Co08L50ol0Q0/4o`1l70?o06hc1?l0
GDD3o`1<C@?o03501?l08SL3o`0K<`Co01Ta0ol06347o`0G<0Co01Pa0ol06c<3o`0O=PCo02Di0ol0
;3d4o`0d@P?o03e61ol0ADX4o`0kA@?o02Tl1?l06303o`0=:0?o00TS1?l0228>o`098`?o00XU1?l0
32H7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`088PCo00PQ0ol01b44
o`0780Oo00LQ0ol01b04o`078@?o00/U0ol04bd4o`0P=`?o02lo1ol0=d<4o`0a@0?o02Xl1?l093T3
o`0N=@Co01Xb0ol05Rl3o`0D;PCo01<]0ol052d4o`0D;P?o01D_1?l05c03o`0M=0Co02Tl0ol0@DP3
o`1GBPCo06Hm0ol0Lb/4o`1k7@?o07hH1?l0O1d3o`1f9`Co06hb0ol0Ic`4o`1P@`?o05Y80ol0ET/4
o`1BC@?o04m>1?l0BD`3o`14BPCo04180ol0?DL4o`0kAPKo03Y51?l0>dD3o`0lAPCo03i70ol0@4P4
o`12B@?o04A:1?l0AT/3o`18C0Co04Y<0ol0C4d3o`1=CPCo04i>4Ol0Cdh4o`1>CP?o04e>0ol0C4d4
o`1:C@?o04U<1?l0Ad/3o`15BPCo04=90ol0@DP4o`10B0?o03m71?l0?TL3o`0oA`?o04181?l0@dT3
o`16B`Co04]=0ol0Cdh4o`1BC@?o05I;1?l0FTP3o`1OA0?o06Dm1?l0KC@3o`1e9`Co07hH0ol0Q0/4
o`271@?o08@;1?l0O1`3o`1^<`Co05e50ol0C4d3o`0a@0Co028g0ol06c<4o`0I<@?o01Pa1ol05c04
o`0H<@?o01/c0ol07cH4o`0U>@?o02`m1?l0=483o`0mAPOo04E:1?l0>dD3o`0Y?0Co01P`0ol03BP3
o`098`Co00PR3_l02B<3o`0:9@Co00`V1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol02284o`088@?o00LQ1?l01b07o`078@?o00LP1?l01b43o`0;9@?o01<]1?l083L3o`0_
?`Oo03M31?l0<D03o`0Z?0Co02@i0ol07SD4o`0J<P?o01H_0ol052h4o`0C;@?o01@]1?l052h3o`0E
;`Co01L`0ol07C@4o`0Y?0?o04580ol0EdX4o`1V?@?o07<[1?l0Nad3o`1n60Co07`M0ol0MRL4o`1^
<P?o06Ll1?l0H4<3o`1JB0?o05I;1?l0DTd3o`1?CPCo04U<0ol0A4X4o`10B0?o03e71?l0>dH6o`0j
A@Co03]50ol0?4H4o`0nA`?o04181?l0@TT3o`14BPCo04I;0ol0B4`4o`1:C0?o04a=0ol0CDh4o`1>
CQ7o04m>1?l0CTh3o`1=CP?o04a=1?l0BTd3o`19C0Co04M;0ol0ADX4o`13B@?o04581?l0@4P3o`0o
A`Co03i70ol0?dL3o`10B0Co04=90ol0AT/4o`1;C@?o04m>1?l0DTd3o`1FB`Co05Y80ol0Gd@3o`1U
?@Co06dd0ol0MBL4o`1n60?o08@;1?l0Q`D3o`242`Co07`L0ol0KS<4o`1MA@?o04a=0ol0<D04o`0R
=`?o01/c1?l06C43o`0H<@Oo01L`1?l06343o`0K<`?o01lf1?l09CT3o`0/?@Co03A20ol0?DH7o`15
BPCo03]50ol0:C`4o`0H<0?o00dX0ol02B<4o`088Pko00TS0ol02RD4o`0<9POooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`06ooooo`?o00PQ1?l01b47o`0780?o00LQ1ol01b04o`088P?o
00hX0ol06C44o`0W>`?o03A21?l0>4@3o`0d@PCo02dn0ol09cX4o`0Q=`?o01`d1?l06343o`0E;POo
01@]0ol052h4o`0E;P?o01H_1?l06S83o`0T>@Co03Q40ol0Ddd3o`1R@@Co070_0ol0NR04o`1n6@?o
07`K1?l0MbD3o`1_<@Co06Lk0ol0H4<4o`1JB0?o05E;0ol0DTd4o`1>CP?o04Q<1?l0@dT3o`0oB0Co
03a60ol0>dD7o`0jA@?o03a61?l0?TL3o`10B0Co04990ol0ADX4o`18C0?o04]=1?l0CTh3o`1?CPCo
051>0ol0DDd7o`1BCA7o05=<1ol0DTd3o`1AC@Co051>0ol0Cdh4o`1>CP?o04]=1?l0BD`3o`16B`Co
04A:0ol0@TT4o`10B0Ko03m71?l0@4P3o`12B@Co04E:0ol0BT`4o`1?CP?o059=1?l0ET/3o`1JB0?o
05m41?l0ISd3o`1^<`Co07LU0ol0OaH4o`252@?o08L51?l0P`h3o`1i8@Co06Xh0ol0FDT3o`12B@Co
02/m0ol07cH4o`0J<P?o01Ta1?l06347o`0G<0?o01Ta0ol07C@4o`0R=`?o02Pk1?l0;cl3o`0hA0Co
04990ol0AT/4o`11B0?o03911?l07cH3o`0A:`?o00XU1?l02283o`098P_o00TS0ol02R@4o`0;9@Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00PQ1?l01b47o`0780?o00LQ
1ol01b04o`088P?o00hX0ol06C44o`0W>`?o03A21?l0>4@3o`0d@PCo02dn0ol09cX4o`0Q=`?o01`d
1?l06343o`0E;POo01@]0ol052h4o`0E;P?o01H_1?l06S83o`0T>@Co03Q40ol0Ddd3o`1R@@Co070_
0ol0NR04o`1n6@?o07`K1?l0MbD3o`1_<@Co06Lk0ol0H4<4o`1JB0?o05E;0ol0DTd4o`1>CP?o04Q<
1?l0@dT3o`0oB0Co03a60ol0>dD7o`0jA@?o03a61?l0?TL3o`10B0Co04990ol0ADX4o`18C0?o04]=
1?l0CTh3o`1?CPCo051>0ol0DDd7o`1BCA7o05=<1ol0DTd3o`1AC@Co051>0ol0Cdh4o`1>CP?o04]=
1?l0BD`3o`16B`Co04A:0ol0@TT4o`10B0Ko03m71?l0@4P3o`12B@Co04E:0ol0BT`4o`1?CP?o059=
1?l0ET/3o`1JB0?o05m41?l0ISd3o`1^<`Co07LU0ol0OaH4o`252@?o08L51?l0P`h3o`1i8@Co06Xh
0ol0FDT3o`12B@Co02/m0ol07cH4o`0J<P?o01Ta1?l06347o`0G<0?o01Ta0ol07C@4o`0R=`?o02Pk
1?l0;cl3o`0hA0Co04990ol0AT/4o`11B0?o03911?l07cH3o`0A:`?o00XU1?l02283o`098P_o00TS
0ol02R@4o`0;9@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00PQ1?l0
1b47o`0780?o00LQ1ol01b04o`088P?o00hX0ol06C44o`0W>`?o03A21?l0>4@3o`0d@PCo02dn0ol0
9cX4o`0Q=`?o01`d1?l06343o`0E;POo01@]0ol052h4o`0E;P?o01H_1?l06S83o`0T>@Co03Q40ol0
Ddd3o`1R@@Co070_0ol0NR04o`1n6@?o07`K1?l0MbD3o`1_<@Co06Lk0ol0H4<4o`1JB0?o05E;0ol0
DTd4o`1>CP?o04Q<1?l0@dT3o`0oB0Co03a60ol0>dD7o`0jA@?o03a61?l0?TL3o`10B0Co04990ol0
ADX4o`18C0?o04]=1?l0CTh3o`1?CPCo051>0ol0DDd7o`1BCA7o05=<1ol0DTd3o`1AC@Co051>0ol0
Cdh4o`1>CP?o04]=1?l0BD`3o`16B`Co04A:0ol0@TT4o`10B0Ko03m71?l0@4P3o`12B@Co04E:0ol0
BT`4o`1?CP?o059=1?l0ET/3o`1JB0?o05m41?l0ISd3o`1^<`Co07LU0ol0OaH4o`252@?o08L51?l0
P`h3o`1i8@Co06Xh0ol0FDT3o`12B@Co02/m0ol07cH4o`0J<P?o01Ta1?l06347o`0G<0?o01Ta0ol0
7C@4o`0R=`?o02Pk1?l0;cl3o`0hA0Co04990ol0AT/4o`11B0?o03911?l07cH3o`0A:`?o00XU1?l0
2283o`098P_o00TS0ol02R@4o`0;9@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`?o00PQ1?l01b47o`0780?o00LQ1ol01b04o`088P?o00hX0ol06C44o`0W>`?o03A21?l0>4@3
o`0d@PCo02dn0ol09cX4o`0Q=`?o01`d1?l06343o`0E;POo01@]0ol052h4o`0E;P?o01H_1?l06S83
o`0T>@Co03Q40ol0Ddd3o`1R@@Co070_0ol0NR04o`1n6@?o07`K1?l0MbD3o`1_<@Co06Lk0ol0H4<4
o`1JB0?o05E;0ol0DTd4o`1>CP?o04Q<1?l0@dT3o`0oB0Co03a60ol0>dD7o`0jA@?o03a61?l0?TL3
o`10B0Co04990ol0ADX4o`18C0?o04]=1?l0CTh3o`1?CPCo051>0ol0DDd7o`1BCA7o05=<1ol0DTd3
o`1AC@Co051>0ol0Cdh4o`1>CP?o04]=1?l0BD`3o`16B`Co04A:0ol0@TT4o`10B0Ko03m71?l0@4P3
o`12B@Co04E:0ol0BT`4o`1?CP?o059=1?l0ET/3o`1JB0?o05m41?l0ISd3o`1^<`Co07LU0ol0OaH4
o`252@?o08L51?l0P`h3o`1i8@Co06Xh0ol0FDT3o`12B@Co02/m0ol07cH4o`0J<P?o01Ta1?l06347
o`0G<0?o01Ta0ol07C@4o`0R=`?o02Pk1?l0;cl3o`0hA0Co04990ol0AT/4o`11B0?o03911?l07cH3
o`0A:`?o00XU1?l02283o`098P_o00TS0ol02R@4o`0;9@Oooooo0Ol00001ooooo`007Oooool3o`00
00Kooooo0ol01b4Bo`0780?o00LQ1?l02R@3o`0B;0?o01lf1?l0;Sh7o`0g@`?o03501?l0:S`3o`0T
>@Co01he0ol06S84o`0F;`?o01@^0ol04bd4o`0D;@?o01D^1?l05Rl3o`0H<@Co020f0ol0<404o`1<
C@?o05e50ol0K3D4o`1h8`?o07dI1?l0OAX3o`1h8`Co074_0ol0JCX4o`1Q@P?o05]81?l0ET/3o`1B
C@?o04i>1?l0B4/3o`13B@Co03m70ol0?4H7o`0jA@Co03]50ol0?DH3o`0oA`Co04990ol0ADX4o`19
C0?o04a=1?l0Cdh3o`1@CPCo059=0ol0Dd`4o`1DC0?o05E;0ol0ETX4o`1GBP?o05Q:2ol0F4T3o`1H
BPCo05M:0ol0ETX3o`1EB`Co05A<0ol0Dd`4o`1BC@?o051=1?l0Cdh3o`1=CPCo04U<0ol0AT/4o`14
BP?o04580ol0@4P4o`0oA`?o04181?l0@DT3o`15BPCo04Y<0ol0Cdh4o`1BC@?o05I;0ol0FTP4o`1P
@`?o06Ll1?l0Kc43o`1h8PCo084B0ol0QPL4o`271@?o084B1?l0MBP3o`1U?P?o05=<1?l0>D@3o`0U
>PCo01dd0ol06C84o`0H<@?o01P`1?l05c03o`0H<0?o01Xb1?l07cH3o`0U>@Co02`m0ol0=484o`0n
A`Oo04E:0ol0>TD4o`0W>`?o01H_0ol03BL4o`098`?o00PR3_l02B<4o`0:9@Kooooo0_l00001oooo
o`007Oooool00ol0003oooooooooo`06ooooo`?o00LQ4_l01b03o`078@Co00XT0ol04R`3o`0O=PCo
02hn1ol0=d<3o`0a@0Co02Xl0ol093T4o`0N=@?o01Xb1?l05Rl3o`0D;P?o01<]1?l052d3o`0E;PCo
01H_0ol06344o`0P=P?o03101?l0C4d3o`1MA@?o06`e1?l0N2<3o`1m6@Co07dJ0ol0N2<4o`1a;`?o
06Tj1?l0HD83o`1KB0Co05I;0ol0DTd3o`1>CPCo04Q;0ol0@dT4o`0oA`?o03a61ol0>TD4o`0kA@?o
03e60ol0?dL4o`12B@?o04E:1?l0BD`3o`1<C@Co04m>0ol0D4h4o`1BC@?o05=<1?l0E4`3o`1EB`?o
05I:1?l0EdX3o`1HBP_o05Q90ol0F4X4o`1GBP?o05I:0ol0ED/4o`1DC0?o05=<1?l0DTd3o`1@C@Co
04m>0ol0CDh4o`19C0?o04I;1?l0A4X3o`11B0?o04181?l0?dL3o`10B0Co04590ol0ADX4o`1:C0?o
04m>1?l0DTd3o`1FB`?o05Y81?l0H4<3o`1W?0Co06la0ol0N284o`214P?o08H71?l0Q`D3o`214PCo
07DX0ol0ICh3o`1CC0Co03U40ol09CX4o`0M=0?o01Tb1?l06343o`0H<0Co01L`0ol06303o`0J<PCo
01lf0ol09CT4o`0/?@?o03A21?l0?TL7o`15BP?o03Y51?l09c/3o`0F;`?o00dW1?l02B<3o`088Pko
00TS1?l02RD7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`078A;o00LP
0ol01b44o`0:90?o018/0ol07cH4o`0^?POo03M30ol0<D04o`0Z?0?o02@i1?l07SD3o`0J<PCo01H_
0ol052h3o`0C;@Co01@]0ol05Bh4o`0F;`?o01Pa1?l083H3o`0`@0Co04a=0ol0GDD3o`1/=@Co07PS
0ol0OAT4o`1m6P?o07PS1?l0LBl3o`1Y>PCo06520ol0FdP4o`1FB`?o059=0ol0CTh4o`18B`?o04=9
1?l0?dL3o`0lAPOo03Y51?l0>dD3o`0mAP?o03m71?l0@TT3o`15BPCo04U<0ol0C4d4o`1?CP?o051>
1?l0DTd3o`1CC0Co05A<0ol0ED/3o`1FBPCo05M:0ol0F4X;o`1HB@?o05Q:1?l0EdX3o`1FBP?o05E;
1?l0E4`3o`1CC0Co059=0ol0D4d4o`1?CP?o04e>1?l0BD`3o`16B`Co04A:0ol0@DP3o`10B0Co03m7
0ol0@4P4o`11B@?o04E:1?l0BT`3o`1?CPCo059=0ol0ET/3o`1JB0Co06130ol0Ic`4o`1_<@?o07PR
1?l0PA83o`261`Co08L50ol0PA84o`1e:0?o06Dn0ol0Dd`4o`0iA0?o02Dj1?l07C@3o`0I<PCo01Pa
0ol06304o`0G<0?o01P`0ol06S84o`0O=P?o02Di1?l0;3d3o`0d@PCo03i71ol0ADX3o`0jA@Co02Lk
0ol05Rl3o`0=9`Co00TS0ol0228>o`098`Co00XU1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo0ol01b04o`0680ko00LP0ol02284o`0=9`?o01L`0ol09CX4o`0b@@?o03Q41?l0
=D83o`0^?`Co02Lk0ol08CL4o`0L=0?o01P`1?l05Bh6o`0D;@Co01@^0ol05Bh4o`0G<0?o01`c1?l0
:3/3o`10B0Co05Q:0ol0J3/3o`1e:@Co07`K0ol0OQT4o`1j80?o07</1?l0JSP3o`1R@@Co05a70ol0
ET/4o`1BC@?o04i>0ol0B4/4o`12B@?o03i71?l0>dH7o`0jA@?o03]61?l0?TL3o`11B0?o04A:1?l0
B4/3o`1<C@Co04m>0ol0DDd4o`1CC0?o05E;1?l0ETX3o`1HB@Co05Y80ol0FdL3o`1MAPCo05i50ol0
GT@;o`1OA0?o05i51?l0GDD3o`1LAP?o05]71?l0FDP3o`1HBPCo05I;0ol0E4`4o`1CC0?o055=1?l0
Cdh3o`1=CPCo04U<0ol0ADX3o`13B@Co04180ol0?dP4o`10B0?o04591?l0ADX3o`1:C0Co04m>0ol0
DTd3o`1FBPCo05]70ol0HD84o`1Y>P?o074^1?l0Nah3o`233PCo08L40ol0QPL4o`1n60?o070`0ol0
GT@4o`1<C@?o02lo1?l08CL3o`0K<`Co01Ta0ol06347o`0G<0?o01Ta1?l07C@3o`0R>0Co02Pl0ol0
<404o`0iA@?o04=91?l0Ad/3o`10B0Co02lo0ol07C@3o`0@:PCo00XT0ol02284o`098P[o00TS1?l0
2R@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0780Co00HP3_l01b03
o`088PCo00dW0ol05c03o`0U>PCo03910ol0>4@4o`0e@P?o02ho1?l09c/3o`0Q=`Co01`d0ol06304
o`0E;PKo01@]1?l052h3o`0E;PCo01L`0ol073<4o`0X>`?o04181?l0F4X3o`1X>`?o07DY1?l0O1/3
o`1n6@Co07XP0ol0Lb`4o`1Z>0?o06911?l0G4L3o`1FB`Co059=0ol0CTh3o`18B`Co04990ol0?TL4
o`0kAPOo03Y50ol0>dH4o`0nA`?o04580ol0A4X4o`18B`?o04a=1?l0Cdh3o`1AC@Co05=<0ol0ED/4
o`1FBP?o05Q91?l0FTP3o`1KA`?o05e61?l0GTD3o`1NA0_o05m40ol0GTD4o`1MA@?o05a60ol0FdL4
o`1IB0?o05Q:1?l0ET/3o`1DC0Co05=<0ol0DDd4o`1?CP?o04e>1?l0BD`3o`15BP?o04=91?l0@4P3
o`0oB0Co04180ol0@DT4o`15BP?o04Y<1?l0Cdh3o`1BC@?o05I:1?l0FdL3o`1Q@PCo06Tj0ol0LBh4
o`1k7P?o08<>1?l0Q`@3o`261`Co07hH0ol0L303o`1NA0Co04a=0ol0;cl4o`0Q=`?o01/c1?l06C43
o`0H<@Oo01L`0ol06C44o`0M=0?o028h1?l0:3`3o`0`@0Co03U50ol0@dT4o`17B`?o04181?l0;cl3
o`0M=0?o010Z1?l02R@3o`088PCo00TR2_l02B<4o`0:90Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`?o00LP1?l01R0>o`0780?o00PR1?l03BL3o`0G<0?o02Dj1?l0<T43o`0h
A0Co03E20ol0;Sl4o`0W>`?o024g1?l073@3o`0H<0Co01D^1_l052d4o`0D;P?o01D^1?l05c03o`0L
<`Co02Pk0ol0@4P4o`1HBP?o06Pk0ol0MBT4o`1l6`?o07hI1?l0NR03o`1c;0Co06Xh0ol0HT44o`1L
A`?o05I;1?l0DTd3o`1>CP?o04Q;1?l0@TT3o`0nA`Co03]61ol0>TD3o`0kAPCo03i70ol0@DP3o`14
BPCo04Q;0ol0C4d4o`1?CP?o055=1?l0Dd`3o`1EB`Co05I:0ol0F4T4o`1JB0?o05]70ol0GDH4o`1N
A@?o05i42ol0Gd@3o`1NA@Co05e50ol0G4H3o`1KA`Co05U80ol0F4X4o`1FB`?o05A<1?l0Dd`3o`1A
C@Co04m>0ol0CDh4o`19C0?o04E:0ol0@dT4o`10B0?o03m81?l0@4P3o`11B@Co04E:0ol0BT`4o`1?
CP?o059=0ol0ETX4o`1KA`?o06521?l0JCX3o`1a;PCo07/N0ol0P`h4o`2710?o08H71?l0OQP3o`1`
<0?o05i41?l0C4d3o`0_?`Co024g0ol06c<4o`0I<@?o01Pa1ol05c03o`0I<@Co01dd0ol08SP4o`0X
?0?o03101?l0>DD3o`13B@Co04M;0ol0@4P4o`0_?`?o01dd0ol042X4o`0:90?o00PR1?l02B8:o`09
8`Co00XT1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l01R0;o`0780?o
00TS1?l042X3o`0L=0?o02/m1?l0=T<3o`0hA0Co03910ol0:cd4o`0T>@?o01le1?l06S83o`0F;`Co
01@^0ol052d3o`0D;PCo01D^0ol05Rl4o`0I<@?o028g1?l0=483o`1AC@Co06920ol0L2l3o`1j7`Co
07hH0ol0Nad4o`1e:0?o06de1?l0I3l3o`1MAPCo05M:0ol0Ddd4o`1?CP?o04Q<0ol0@dT4o`0nA`?o
03]61ol0>TD4o`0lAP?o03i71?l0@TT3o`16B`?o04Y=1?l0Cdh3o`1AC@Co05=<0ol0ED/4o`1GBP?o
05Y81?l0G4H3o`1OA0Co06520ol0Hd03o`1U?PCo06Hm0ol0Ic/;o`1X>`?o06Ll1?l0ISd3o`1T?`?o
06911?l0H4<3o`1NA@Co05a70ol0FDT4o`1GBP?o05E;1?l0Dd`3o`1AC@Co04m>0ol0Bdd3o`17B`Co
04A:0ol0@DP7o`10B0Co04990ol0ADX4o`1:C@?o051>0ol0Dd`4o`1GBP?o05a61?l0Hd03o`1[=`Co
07@Y0ol0OQT4o`252@?o08P31?l0Q0/3o`1j80?o06Ti1?l0EdX3o`0nA`Co02Pk0ol07CD4o`0J<P?o
01Ta1?l06303o`0G<0?o01Pa1?l06c<3o`0O=PCo02Hj0ol0;Ch4o`0e@`?o03m71?l0AT/3o`15BPCo
03M30ol093T3o`0D;@Co00/V0ol02B84o`088Pko00TS1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo2_l01R0;o`0780?o00TS1?l042X3o`0L=0?o02/m1?l0=T<3o`0hA0Co0391
0ol0:cd4o`0T>@?o01le1?l06S83o`0F;`Co01@^0ol052d3o`0D;PCo01D^0ol05Rl4o`0I<@?o028g
1?l0=483o`1AC@Co06920ol0L2l3o`1j7`Co07hH0ol0Nad4o`1e:0?o06de1?l0I3l3o`1MAPCo05M:
0ol0Ddd4o`1?CP?o04Q<0ol0@dT4o`0nA`?o03]61ol0>TD4o`0lAP?o03i71?l0@TT3o`16B`?o04Y=
1?l0Cdh3o`1AC@Co05=<0ol0ED/4o`1GBP?o05Y81?l0G4H3o`1OA0Co06520ol0Hd03o`1U?PCo06Hm
0ol0Ic/;o`1X>`?o06Ll1?l0ISd3o`1T?`?o06911?l0H4<3o`1NA@Co05a70ol0FDT4o`1GBP?o05E;
1?l0Dd`3o`1AC@Co04m>0ol0Bdd3o`17B`Co04A:0ol0@DP7o`10B0Co04990ol0ADX4o`1:C@?o051>
0ol0Dd`4o`1GBP?o05a61?l0Hd03o`1[=`Co07@Y0ol0OQT4o`252@?o08P31?l0Q0/3o`1j80?o06Ti
1?l0EdX3o`0nA`Co02Pk0ol07CD4o`0J<P?o01Ta1?l06303o`0G<0?o01Pa1?l06c<3o`0O=PCo02Hj
0ol0;Ch4o`0e@`?o03m71?l0AT/3o`15BPCo03M30ol093T3o`0D;@Co00/V0ol02B84o`088Pko00TS
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l01R0;o`0780?o00TS1?l0
42X3o`0L=0?o02/m1?l0=T<3o`0hA0Co03910ol0:cd4o`0T>@?o01le1?l06S83o`0F;`Co01@^0ol0
52d3o`0D;PCo01D^0ol05Rl4o`0I<@?o028g1?l0=483o`1AC@Co06920ol0L2l3o`1j7`Co07hH0ol0
Nad4o`1e:0?o06de1?l0I3l3o`1MAPCo05M:0ol0Ddd4o`1?CP?o04Q<0ol0@dT4o`0nA`?o03]61ol0
>TD4o`0lAP?o03i71?l0@TT3o`16B`?o04Y=1?l0Cdh3o`1AC@Co05=<0ol0ED/4o`1GBP?o05Y81?l0
G4H3o`1OA0Co06520ol0Hd03o`1U?PCo06Hm0ol0Ic/;o`1X>`?o06Ll1?l0ISd3o`1T?`?o06911?l0
H4<3o`1NA@Co05a70ol0FDT4o`1GBP?o05E;1?l0Dd`3o`1AC@Co04m>0ol0Bdd3o`17B`Co04A:0ol0
@DP7o`10B0Co04990ol0ADX4o`1:C@?o051>0ol0Dd`4o`1GBP?o05a61?l0Hd03o`1[=`Co07@Y0ol0
OQT4o`252@?o08P31?l0Q0/3o`1j80?o06Ti1?l0EdX3o`0nA`Co02Pk0ol07CD4o`0J<P?o01Ta1?l0
6303o`0G<0?o01Pa1?l06c<3o`0O=PCo02Hj0ol0;Ch4o`0e@`?o03m71?l0AT/3o`15BPCo03M30ol0
93T3o`0D;@Co00/V0ol02B84o`088Pko00TS1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo2_l01R0;o`0780?o00TS1?l042X3o`0L=0?o02/m1?l0=T<3o`0hA0Co03910ol0:cd4
o`0T>@?o01le1?l06S83o`0F;`Co01@^0ol052d3o`0D;PCo01D^0ol05Rl4o`0I<@?o028g1?l0=483
o`1AC@Co06920ol0L2l3o`1j7`Co07hH0ol0Nad4o`1e:0?o06de1?l0I3l3o`1MAPCo05M:0ol0Ddd4
o`1?CP?o04Q<0ol0@dT4o`0nA`?o03]61ol0>TD4o`0lAP?o03i71?l0@TT3o`16B`?o04Y=1?l0Cdh3
o`1AC@Co05=<0ol0ED/4o`1GBP?o05Y81?l0G4H3o`1OA0Co06520ol0Hd03o`1U?PCo06Hm0ol0Ic/;
o`1X>`?o06Ll1?l0ISd3o`1T?`?o06911?l0H4<3o`1NA@Co05a70ol0FDT4o`1GBP?o05E;1?l0Dd`3
o`1AC@Co04m>0ol0Bdd3o`17B`Co04A:0ol0@DP7o`10B0Co04990ol0ADX4o`1:C@?o051>0ol0Dd`4
o`1GBP?o05a61?l0Hd03o`1[=`Co07@Y0ol0OQT4o`252@?o08P31?l0Q0/3o`1j80?o06Ti1?l0EdX3
o`0nA`Co02Pk0ol07CD4o`0J<P?o01Ta1?l06303o`0G<0?o01Pa1?l06c<3o`0O=PCo02Hj0ol0;Ch4
o`0e@`?o03m71?l0AT/3o`15BPCo03M30ol093T3o`0D;@Co00/V0ol02B84o`088Pko00TS1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l01R04o`0780?o00HP1?l01b43o`0;
9@Co01@]0ol08SL3o`0`@0Co03Q40ol0=T<4o`0_?`?o02Pk1?l08SL3o`0M=0Co01Pa0ol05Bh7o`0D
;@?o01@^1?l05Bh3o`0G<0Co01`d0ol0:S`4o`14BP?o05Y81?l0JcL3o`1g9@?o07dI1?l0OAX3o`1h
90Co06la0ol0Ic`4o`1OA0?o05Q91?l0Dd`3o`1@CPCo04U<0ol0@dT3o`0oA`Co03]61ol0>TD3o`0l
APCo03m70ol0@dT4o`17B`?o04a=0ol0D4h4o`1BC@?o05E;1?l0EdX3o`1JB0Co05i50ol0HD84o`1T
?`?o06Lk1?l0JSP3o`1]=0?o06la1?l0LBh3o`1c;0_o07<[0ol0LRd4o`1`;`?o06hb0ol0K3H4o`1Y
>P?o06Hm1?l0Hd03o`1OA0Co05a60ol0FTP4o`1GBP?o05A<1?l0DTd3o`1@CP?o04e>1?l0B4`3o`15
BPCo04991ol0@4P3o`12B@Co04I;0ol0Bdd3o`1@CPCo05A<0ol0F4T4o`1NA@?o06Dn1?l0KS<3o`1h
90Co084B0ol0Q`D4o`2710?o084B0ol0LbX4o`1R@@?o051>1?l0<T43o`0R=`Co01/c0ol06C44o`0H
<@Ko01L`1?l06C83o`0M=0Co02<h0ol0:S`4o`0b@@?o03]61?l0A4X3o`17B`Co03i70ol0:cd3o`0I
<@Co00hX0ol02B<4o`088POo00TS0ol02B84o`098`Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`[o00HP1?l01b03o`0680Co00LQ0ol02bD4o`0D;@?o028g0ol0<404o`0hA0?o
03I31?l0;cl3o`0X>`Co028g0ol07C@4o`0H<@?o01D^1ol052d3o`0D;PCo01D^0ol05c04o`0L=0?o
02Xl1?l0A4X3o`1JB0Co06/g0ol0MbD3o`1m6@Co07dJ0ol0N2@4o`1_<@?o06Ll1?l0Gd@3o`1HB@Co
05=<0ol0D4h4o`19C0?o04=90ol0?dL4o`0kAPOo03Y50ol0?4H4o`0oA`?o04=91?l0Ad/3o`1<C@?o
051>1?l0DTd3o`1EB`Co05M:0ol0FTP4o`1NA@?o06521?l0I3l3o`1W>`Co06Xh0ol0KC@3o`1_<@Co
074^0ol0Lb`;o`1c:`?o078]1?l0L2l3o`1^<P?o06`f1?l0JCX3o`1V?@Co06=00ol0Gd@4o`1LAP?o
05Y81?l0EdX3o`1DC0Co059=0ol0D4h3o`1=CPCo04Q<0ol0ADX4o`12B@Oo04180ol0@TT4o`16B`?o
04]=0ol0D4h4o`1DC0?o05Q91?l0GTD3o`1U?PCo06hc0ol0N2@4o`214P?o08L51?l0Q`@3o`214P?o
07<Z1?l0HT43o`1@CPCo03910ol08SL4o`0K<`?o01Ta1?l06346o`0G<0Co01Tb0ol07C@4o`0S>0?o
02Xl1?l0<T43o`0kAPCo04A:0ol0Ad/4o`0nA`?o02/m0ol06C44o`0>:0?o00TS1?l02287o`098`?o
00TR1?l02B<7ooooo`7o00000Oooool001gooooo0ol00006ooooo`[o00HP1?l01b03o`0680Co00LQ
0ol02bD4o`0D;@?o028g0ol0<404o`0hA0?o03I31?l0;cl3o`0X>`Co028g0ol07C@4o`0H<@?o01D^
1ol052d3o`0D;PCo01D^0ol05c04o`0L=0?o02Xl1?l0A4X3o`1JB0Co06/g0ol0MbD3o`1m6@Co07dJ
0ol0N2@4o`1_<@?o06Ll1?l0Gd@3o`1HB@Co05=<0ol0D4h4o`19C0?o04=90ol0?dL4o`0kAPOo03Y5
0ol0?4H4o`0oA`?o04=91?l0Ad/3o`1<C@?o051>1?l0DTd3o`1EB`Co05M:0ol0FTP4o`1NA@?o0652
1?l0I3l3o`1W>`Co06Xh0ol0KC@3o`1_<@Co074^0ol0Lb`;o`1c:`?o078]1?l0L2l3o`1^<P?o06`f
1?l0JCX3o`1V?@Co06=00ol0Gd@4o`1LAP?o05Y81?l0EdX3o`1DC0Co059=0ol0D4h3o`1=CPCo04Q<
0ol0ADX4o`12B@Oo04180ol0@TT4o`16B`?o04]=0ol0D4h4o`1DC0?o05Q91?l0GTD3o`1U?PCo06hc
0ol0N2@4o`214P?o08L51?l0Q`@3o`214P?o07<Z1?l0HT43o`1@CPCo03910ol08SL4o`0K<`?o01Ta
1?l06346o`0G<0Co01Tb0ol07C@4o`0S>0?o02Xl1?l0<T43o`0kAPCo04A:0ol0Ad/4o`0nA`?o02/m
0ol06C44o`0>:0?o00TS1?l02287o`098`?o00TR1?l02B<6ooooo`;o00000Oooool001gooooo00?o
0000ooooooooool01_ooool7o`067`[o00HP1?l02283o`0=9`Co01Pa0ol09c/3o`0d@PCo03Q40ol0
=484o`0/?P?o02Dj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o01@^0ol05Bh4o`0F;`?o01Ta1?l0
8SP3o`0f@`Co059=0ol0Hd04o`1b;0?o07/M0ol0OQP4o`1j7`?o07</1?l0JSP3o`1Q@PCo05Y80ol0
ED/4o`1@C@?o04]=1?l0A4X3o`0oB0?o03a61ol0>TD4o`0lAP?o03m71?l0@dT3o`18C0Co04e>0ol0
D4d3o`1CC0Co05I;0ol0FDP4o`1MAP?o06521?l0ICh3o`1Z>@Co06hc0ol0LRd4o`1f9`?o07TQ0ol0
O1/4o`1o5`?o080D1?l0PA83o`214@Co084C0ol0OaD4o`1m6@?o07/N0ol0Mb@4o`1d:P?o070`1?l0
K3H3o`1W>`Co06=00ol0Gd@4o`1LA`?o05U91?l0ET/3o`1CC0?o055=1?l0CTh3o`19C0Co04E:0ol0
@TT4o`10B0?o04581?l0@dT3o`17B`?o04e>1?l0DDd3o`1EB`Co05Y80ol0H4<4o`1X>P?o074^1?l0
Nad3o`2430Co08P20ol0QPP3o`1l70Co06`f0ol0FDT4o`10B0?o02Pk1?l07SD3o`0J<PCo01Ta0ol0
6343o`0G<0Co01Pa0ol06c<4o`0P=`?o02Lk1?l0;Sl3o`0gA0Co04580ol0Ad/4o`13B@?o03=10ol0
7cH4o`0A:`?o00XT1ol02284o`098`?o00PR1?l02B<7ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01_ooool7o`067`[o00HP1?l02283o`0=9`Co01Pa0ol09c/3o`0d@PCo03Q40ol0=484
o`0/?P?o02Dj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o01@^0ol05Bh4o`0F;`?o01Ta1?l08SP3
o`0f@`Co059=0ol0Hd04o`1b;0?o07/M0ol0OQP4o`1j7`?o07</1?l0JSP3o`1Q@PCo05Y80ol0ED/4
o`1@C@?o04]=1?l0A4X3o`0oB0?o03a61ol0>TD4o`0lAP?o03m71?l0@dT3o`18C0Co04e>0ol0D4d3
o`1CC0Co05I;0ol0FDP4o`1MAP?o06521?l0ICh3o`1Z>@Co06hc0ol0LRd4o`1f9`?o07TQ0ol0O1/4
o`1o5`?o080D1?l0PA83o`214@Co084C0ol0OaD4o`1m6@?o07/N0ol0Mb@4o`1d:P?o070`1?l0K3H3
o`1W>`Co06=00ol0Gd@4o`1LA`?o05U91?l0ET/3o`1CC0?o055=1?l0CTh3o`19C0Co04E:0ol0@TT4
o`10B0?o04581?l0@dT3o`17B`?o04e>1?l0DDd3o`1EB`Co05Y80ol0H4<4o`1X>P?o074^1?l0Nad3
o`2430Co08P20ol0QPP3o`1l70Co06`f0ol0FDT4o`10B0?o02Pk1?l07SD3o`0J<PCo01Ta0ol06343
o`0G<0Co01Pa0ol06c<4o`0P=`?o02Lk1?l0;Sl3o`0gA0Co04580ol0Ad/4o`13B@?o03=10ol07cH4
o`0A:`?o00XT1ol02284o`098`?o00PR1?l02B<7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool7o`067`[o00HP1?l02283o`0=9`Co01Pa0ol09c/3o`0d@PCo03Q40ol0=484o`0/
?P?o02Dj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o01@^0ol05Bh4o`0F;`?o01Ta1?l08SP3o`0f
@`Co059=0ol0Hd04o`1b;0?o07/M0ol0OQP4o`1j7`?o07</1?l0JSP3o`1Q@PCo05Y80ol0ED/4o`1@
C@?o04]=1?l0A4X3o`0oB0?o03a61ol0>TD4o`0lAP?o03m71?l0@dT3o`18C0Co04e>0ol0D4d3o`1C
C0Co05I;0ol0FDP4o`1MAP?o06521?l0ICh3o`1Z>@Co06hc0ol0LRd4o`1f9`?o07TQ0ol0O1/4o`1o
5`?o080D1?l0PA83o`214@Co084C0ol0OaD4o`1m6@?o07/N0ol0Mb@4o`1d:P?o070`1?l0K3H3o`1W
>`Co06=00ol0Gd@4o`1LA`?o05U91?l0ET/3o`1CC0?o055=1?l0CTh3o`19C0Co04E:0ol0@TT4o`10
B0?o04581?l0@dT3o`17B`?o04e>1?l0DDd3o`1EB`Co05Y80ol0H4<4o`1X>P?o074^1?l0Nad3o`24
30Co08P20ol0QPP3o`1l70Co06`f0ol0FDT4o`10B0?o02Pk1?l07SD3o`0J<PCo01Ta0ol06343o`0G
<0Co01Pa0ol06c<4o`0P=`?o02Lk1?l0;Sl3o`0gA0Co04580ol0Ad/4o`13B@?o03=10ol07cH4o`0A
:`?o00XT1ol02284o`098`?o00PR1?l02B<7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool7o`067`[o00HP1?l02283o`0=9`Co01Pa0ol09c/3o`0d@PCo03Q40ol0=484o`0/?P?o
02Dj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o01@^0ol05Bh4o`0F;`?o01Ta1?l08SP3o`0f@`Co
059=0ol0Hd04o`1b;0?o07/M0ol0OQP4o`1j7`?o07</1?l0JSP3o`1Q@PCo05Y80ol0ED/4o`1@C@?o
04]=1?l0A4X3o`0oB0?o03a61ol0>TD4o`0lAP?o03m71?l0@dT3o`18C0Co04e>0ol0D4d3o`1CC0Co
05I;0ol0FDP4o`1MAP?o06521?l0ICh3o`1Z>@Co06hc0ol0LRd4o`1f9`?o07TQ0ol0O1/4o`1o5`?o
080D1?l0PA83o`214@Co084C0ol0OaD4o`1m6@?o07/N0ol0Mb@4o`1d:P?o070`1?l0K3H3o`1W>`Co
06=00ol0Gd@4o`1LA`?o05U91?l0ET/3o`1CC0?o055=1?l0CTh3o`19C0Co04E:0ol0@TT4o`10B0?o
04581?l0@dT3o`17B`?o04e>1?l0DDd3o`1EB`Co05Y80ol0H4<4o`1X>P?o074^1?l0Nad3o`2430Co
08P20ol0QPP3o`1l70Co06`f0ol0FDT4o`10B0?o02Pk1?l07SD3o`0J<PCo01Ta0ol06343o`0G<0Co
01Pa0ol06c<4o`0P=`?o02Lk1?l0;Sl3o`0gA0Co04580ol0Ad/4o`13B@?o03=10ol07cH4o`0A:`?o
00XT1ol02284o`098`?o00PR1?l02B<7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`067`Oo00HP0ol01b04o`098`?o010Z1?l07C@3o`0/?P?o03I31?l0=d<3o`0a@0Co02Xl
0ol08cP4o`0N=@?o01Ta1?l05Bl7o`0D;@?o01@^0ol05Bh4o`0G<0?o01`d1?l0:S`3o`14BPCo05]7
0ol0K3H4o`1h8`?o07hH0ol0OA/4o`1f9P?o06hc1?l0ICh3o`1MAPCo05M:0ol0DTd4o`1>CP?o04I;
1?l0@4P3o`0lAPOo03Y50ol0?4H4o`0oA`?o04=91?l0B4`3o`1>CPCo055=0ol0E4`3o`1GBPCo05]7
0ol0Gd@4o`1T?`?o06Ti1?l0Kc43o`1d:@Co07XP0ol0OaH4o`233@?o08P40ol3R`04o`Z>00?o3i00
1?lAT@03oa:A00Co49000ol<S`04o`J<00?o08T00ol0Q@T4o`214P?o07`L1?l0MbD3o`1a;PCo06`e
0ol0Ic`4o`1R@@?o05i51?l0FTP3o`1GBP?o05A<1?l0DDd3o`1?CPCo04Y<0ol0ADX4o`12B@Oo0458
0ol0A4X3o`19C0Co04m>0ol0DTd4o`1GBP?o05a61?l0Hd03o`1/=PCo07HW0ol0P1D4o`271@?o08P2
0ol0PPl4o`1e:0?o06=11?l0D4h3o`0b@@Co028g0ol06c<4o`0I<@?o01Pa1ol06303o`0J<PCo01he
0ol093T4o`0/?@?o03A21?l0?TL7o`16B`?o03U50ol09CX4o`0E;P?o00`V1ol02284o`098POo00PR
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql7o`0680?o00LP1?l0
2B<3o`0@:PCo01dd0ol0;3h3o`0f@`Co03M30ol0<D04o`0Z?0?o02<h1?l07SD3o`0I<@Co01D_1ol0
52d3o`0D;P?o01D^1?l05c03o`0L=0Co02Xl0ol0A4X4o`1KA`?o06`f1?l0N2<3o`1n60?o07dK1?l0
MRH3o`1^<`Co06Dn0ol0GDH4o`1GBP?o059=1?l0CTh3o`16B`Co04180ol0?4H7o`0jA@?o03a61?l0
?dL3o`13B@Co04Q<0ol0CTh4o`1AC@?o05A<0ol0EdX4o`1KA`?o05m41?l0I3l3o`1Y>@Co06la0ol0
M2T4o`1j80?o07lF1?l0P`d3o`2810?o0h/01?l:SP03o`n@00Co4I400olBT@04oa2@00?o38l01?l6
S003o`2900?o08D91?l0PA83o`1l70Co07LU0ol0LBh4o`1/=@?o06Ll1?l0HT43o`1NA@Co05Y80ol0
EdX3o`1DC0Co055=0ol0Cdh4o`1:C0?o04E:1?l0@TT7o`11B0?o04A:0ol0BD`4o`1?CP?o059=1?l0
EdX3o`1LAPCo06=00ol0K3H4o`1f9`?o080E1?l0Q`D3o`280P?o088?1?l0MBP3o`1S@@Co051>0ol0
<T44o`0R=`?o01/c1?l06C43o`0H<@Oo01P`0ol06S84o`0N=@?o02@i1?l0;3d3o`0d@PCo03i71ol0
AT/3o`0iA@?o02Dj1?l05Bh3o`0<9POo00PR1?l02B87o`088POooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06ooooo`Oo00HO1ol01R03o`0780Co00TS0ol042X4o`0M=0?o02`n0ol0=T<4
o`0g@`?o03501?l0:S`3o`0S>0Co01he0ol06C44o`0E;`Oo01@]0ol052h3o`0E;PCo01L`0ol073@4
o`0Z?0?o04A:1?l0FdL3o`1/=PCo07PS0ol0OQP3o`1m6`Co07HV0ol0KS<4o`1U?P?o05e61?l0EdX3
o`1BC@Co04i>0ol0AT/4o`10B0?o03a61ol0>TD3o`0lAPCo03m70ol0@dT4o`18C0?o04i>1?l0DDd3
o`1DC0?o05M:1?l0FdL3o`1OA0Co06@o0ol0JCT4o`1_<@?o07@Y1?l0NR03o`1o5PCo08<=0ol0R0@3
o`>;00Co2Xh00ol?T004oa6A00?o4Y401?l@T003o`b?00Co1X`00ol0R@03o`252@Co084B0ol0O1`4
o`1g9@?o074^1?l0K3D3o`1W?0Co06910ol0GTD4o`1JB0?o05M:0ol0E4`4o`1AC@?o04m>1?l0BT`3
o`15BPCo04991ol0@DP3o`14BP?o04U<1?l0Cdh3o`1BC@Co05M:0ol0G4H4o`1S@0?o06`f1?l0MRL3
o`205@Co08L50ol0R083o`223`Co07DX0ol0Hd44o`1@CP?o03911?l08SL3o`0K<`Co01Ta0ol06347
o`0H<0?o01Xb1?l07SD3o`0T>@Co02`m0ol0=484o`0nA`Oo04I;0ol0>DD3o`0U>PCo01D^0ol032H7
o`088PCo00TR1ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`06
7`Oo00HP0ol01b04o`0:9@?o01<]1?l08SL3o`0`@0?o03Q41?l0=T<3o`0_?`Co02Lk0ol08CL4o`0L
<`?o01P`1?l05Bh7o`0D;@?o01D^0ol05Rl4o`0H<@?o024g1?l0=483o`1BC@Co06=00ol0LR`4o`1l
70?o07hH0ol0NR04o`1b;@?o06Pj1?l0H4<3o`1IB@Co05A<0ol0Cdh4o`19C0?o04991?l0?DL3o`0k
A@?o03Y51?l0>dH3o`0nA`Co04=90ol0B4`4o`1>CP?o055=1?l0E4`3o`1HB@?o05a61?l0HD83o`1W
?0Co06dd0ol0M2X4o`1j7`?o084B1?l0Q`@3o`V=00Co5i<00olSU`03objK00Co=ih00olnX004od6Q
00?o@Z801?loX@03ocZO00Co<Y`00olXV@03oabE00Co3Xl00ol0RP04o`2430?o07dJ1?l0MRH3o`1`
<0Co06Xh0ol0I3l4o`1OA0?o05]70ol0EdX4o`1DC0?o055=1?l0Cdh3o`1:C0Co04E:0ol0@TT4o`11
B0?o04990ol0ADX4o`1;C@?o051>1?l0E4`3o`1IB@Co05m40ol0Ic`4o`1`;`?o07/N1?l0Q0`3o`29
0@?o08H61?l0O1/3o`1/=PCo05Q90ol0?TL4o`0W>`?o01dd1?l06S83o`0I<@?o01Pa1?l06303o`0I
<@Co01dd0ol08SP4o`0Y?0?o03501?l0>dD3o`14BPCo04Q;0ol0?dL3o`0/?@Co01Ta0ol03BP4o`09
8`ko00PR1oooool1o`00007ooooo0006ooooo`Go00000oooool00ol0003oooooooooo`02ooooo`?o
00001oooool00ol0003oooooooooo`06ooooo`Oo00HO1ol01R03o`0780Co00XU0ol04bd4o`0R=`?o
03100ol0>4@4o`0f@`?o02lo1?l09c/3o`0Q=`Co01`c0ol06304o`0E;POo01@]0ol05Bh3o`0F;`Co
01Pa0ol08CL4o`0d@P?o059=1?l0Hd03o`1b;0Co07`L0ol0OQP3o`1j80Co078]0ol0J3X4o`1P@`?o
05U91?l0E4`3o`1?CPCo04U<0ol0@TT4o`0mA`?o03]50ol0>TD4o`0kAP?o03i71?l0@dT3o`18C0Co
04i>0ol0DDd4o`1DC0?o05Q90ol0G4H4o`1Q@P?o06Ll1?l0KC@3o`1d:PCo07XO0ol0PA84o`2710?o
2Hd01?lGT`03ob>G00?o;Y/01?lgWP03ocjP00Co@J400om2XP04ocnQ00?o>Yl01?lbW003obRI00?o
79D01?l>S`03o`2:00Co08@<0ol0OAX4o`1f9P?o070`1?l0JSP3o`1T?`Co05m40ol0FdL3o`1GBPCo
05A<0ol0DDd4o`1?CP?o04Y<1?l0ADX3o`12B@Co04580ol0@TT3o`15BPCo04]=0ol0D4h4o`1DC0?o
05U91?l0Gd@3o`1W?0Co070_0ol0Nah4o`2430?o08T10ol0QPH4o`1l6`?o06`f1?l0F4T3o`0nA`Co
02Lk0ol07C@4o`0J<P?o01Ta0ol06344o`0H<0?o01Ta1?l07C@3o`0R>0Co02Tl0ol0<D04o`0kA@?o
04A:1?l0B4/3o`0oA`?o02`m1?l06C43o`0=:0Co00TS3_l02287ooooo`7o00000Oooool000Oooooo
00Co0000oooooooooooo00001oooool01Ol0003ooooooooooooooooo000000Kooooo00?o0000oooo
ooooool01_ooool7o`067`Oo00HP0ol01b04o`0:9@?o01<]1?l08SL3o`0`@0?o03Q41?l0=T<3o`0_
?`Co02Lk0ol08CL4o`0L<`?o01P`1?l05Bh7o`0D;@?o01D^0ol05Rl4o`0H<@?o024g1?l0=483o`1B
C@Co06=00ol0LR`4o`1l70?o07hH0ol0NR04o`1b;@?o06Pj1?l0H4<3o`1IB@Co05A<0ol0Cdh4o`19
C0?o04991?l0?DL3o`0kA@?o03Y51?l0>dH3o`0nA`Co04=90ol0B4`4o`1>CP?o055=1?l0E4`3o`1H
B@?o05a61?l0HD83o`1W?0Co06dd0ol0M2X4o`1j7`?o084B1?l0Q`@3o`V=00Co5i<00olSU`03objK
00Co=ih00olnX004od6Q00?o@Z801?loX@03ocZO00Co<Y`00olXV@03oabE00Co3Xl00ol0RP04o`24
30?o07dJ1?l0MRH3o`1`<0Co06Xh0ol0I3l4o`1OA0?o05]70ol0EdX4o`1DC0?o055=1?l0Cdh3o`1:
C0Co04E:0ol0@TT4o`11B0?o04990ol0ADX4o`1;C@?o051>1?l0E4`3o`1IB@Co05m40ol0Ic`4o`1`
;`?o07/N1?l0Q0`3o`290@?o08H61?l0O1/3o`1/=PCo05Q90ol0?TL4o`0W>`?o01dd1?l06S83o`0I
<@?o01Pa1?l06303o`0I<@Co01dd0ol08SP4o`0Y?0?o03501?l0>dD3o`14BPCo04Q;0ol0?dL3o`0/
?@Co01Ta0ol03BP4o`098`ko00PR1oooool1o`00007ooooo0005o`0000?ooooo00?o0000oooooooo
ool02oooool00ol0003oooooooooo`04ooooo`03o`000?oooooooooo00Kooooo1ol01Ql7o`0680?o
00LP1?l02RD3o`0C;@Co028g0ol0<403o`0hA0Co03I30ol0;cl4o`0W>`?o024g1?l073<3o`0H<0Co
01D^1ol052d3o`0E;P?o01H_1?l06343o`0Q=`Co03A20ol0DTd4o`1S@0?o078/1?l0O1`3o`1n60?o
07XP1?l0LRd3o`1X>PCo06130ol0FDT4o`1DC0?o04m>1?l0BD`3o`12B@Co03e70ol0>dD3o`0jA@Co
03]60ol0?TL4o`13B@?o04Q<1?l0CTh3o`1AC@Co05A<0ol0F4T3o`1LAPCo06520ol0Ic`4o`1]=0?o
07@Z1?l0NQl3o`214PCo08L40ol9S@04oaNC00?o8iL00ol^V`04ocNN00?o?Z001?m1X@03od:R00Co
?j400oljW`04oc:L00?o:9T00olLU@04o`j?00?o08X01?l0Q0`3o`1m6PCo07HV0ol0L304o`1Z>0?o
06@o1?l0Gd@3o`1KA`?o05M:1?l0E4`3o`1AC@Co04m>0ol0BT`4o`15BP?o04991?l0@DP3o`12B@?o
04E:1?l0Bdd3o`1@CPCo05A<0ol0FDT4o`1OA0?o06Ll1?l0L2l3o`1k7PCo08@<0ol0R@43o`261PCo
07`K0ol0K3H4o`1HB@?o03i71?l09c/3o`0M=0Co01Xb0ol06C43o`0H<@Co01P`0ol06C44o`0M=0?o
028h1?l0:C`3o`0a@0Co03]50ol0A4X4o`18B`?o03m70ol0;3d4o`0I<@?o00dX1?l02B<>o`088POo
oooo0Ol00001ooooo`002Oooool00ol0003oooooooooo`0:ooooo`03o`000?oooooooooo00Cooooo
1?l00005ooooo`Oo00HO1ol01R03o`078@Co00`W0ol05c04o`0W>P?o03A20ol0>4@4o`0d@P?o02`n
1?l09CT3o`0O=PCo01Xb0ol05Rl4o`0D;P?o01@]1?l052h3o`0E;P?o01H_1?l06c<3o`0W>`Co0418
0ol0FDT4o`1Z=`?o07PT1?l0OQP3o`1m6P?o07HV1?l0KC@3o`1T?`Co05a70ol0ET/4o`1AC@?o04a=
1?l0A4X3o`0oA`Co03]60ol0>TD3o`0kA@Co03i70ol0@TT4o`17B`?o04e>1?l0DDd3o`1DC0Co05Q9
0ol0GDH3o`1S@@Co06Ti0ol0L304o`1g90?o07lE1?l0Q`D3o`f?00Co89H00olcW@04odFR00?oEJL0
0omS[004ofj_00?oM[401omk/P04ogVb00?oL[001?mX[@03oe^Y00?oC:D01?ljW`03obNI00Co5980
0ol2RP04o`223`?o07/N1?l0Lb/3o`1/=@Co06Hm0ol0H4<3o`1LA`Co05Q:0ol0E4`4o`1AC@?o04i>
1?l0BD`3o`15BPCo04990ol0@DP3o`13B@Co04M;0ol0CTh4o`1BC@?o05I;1?l0G4L3o`1R@@Co06/f
0ol0MRL4o`2050?o08L40ol0R@44o`223`?o07@Z1?l0HD83o`1=CPCo02lo0ol083H4o`0K<`?o01Ta
0ol06344o`0H<0?o01Pa1?l06c<3o`0P=PCo02Lj0ol0;Sl4o`0hA0?o04991?l0B4/3o`13B@?o0391
1?l07SD3o`0@:PCo00XT3_l02285ooooo`?o00000Oooool000Kooooo00Go0000oooooooooooooooo
o`000007ooooo`Co00001oooool00ol0003oooooooooo`06ooooo`Oo00HO1ol01R03o`078@Co00`W
0ol05c04o`0W>P?o03A20ol0>4@4o`0d@P?o02`n1?l09CT3o`0O=PCo01Xb0ol05Rl4o`0D;P?o01@]
1?l052h3o`0E;P?o01H_1?l06c<3o`0W>`Co04180ol0FDT4o`1Z=`?o07PT1?l0OQP3o`1m6P?o07HV
1?l0KC@3o`1T?`Co05a70ol0ET/4o`1AC@?o04a=1?l0A4X3o`0oA`Co03]60ol0>TD3o`0kA@Co03i7
0ol0@TT4o`17B`?o04e>1?l0DDd3o`1DC0Co05Q90ol0GDH3o`1S@@Co06Ti0ol0L304o`1g90?o07lE
1?l0Q`D3o`f?00Co89H00olcW@04odFR00?oEJL00omS[004ofj_00?oM[401omk/P04ogVb00?oL[00
1?mX[@03oe^Y00?oC:D01?ljW`03obNI00Co59800ol2RP04o`223`?o07/N1?l0Lb/3o`1/=@Co06Hm
0ol0H4<3o`1LA`Co05Q:0ol0E4`4o`1AC@?o04i>1?l0BD`3o`15BPCo04990ol0@DP3o`13B@Co04M;
0ol0CTh4o`1BC@?o05I;1?l0G4L3o`1R@@Co06/f0ol0MRL4o`2050?o08L40ol0R@44o`223`?o07@Z
1?l0HD83o`1=CPCo02lo0ol083H4o`0K<`?o01Ta0ol06344o`0H<0?o01Pa1?l06c<3o`0P=PCo02Lj
0ol0;Sl4o`0hA0?o04991?l0B4/3o`13B@?o03911?l07SD3o`0@:PCo00XT3_l02287ooooo`7o0000
0Oooool000Kooooo00Go0000ooooooooooooooooo`000007ooooo`03o`000?oooooooooo00Sooooo
00?o0000ooooooooool01_ooool7o`067`Oo00HP0ol01b44o`0<9`?o01L`1?l09cX3o`0d@P?o03Q4
1?l0=483o`0/?PCo02Di0ol07cH4o`0J<P?o01H_1?l052h3o`0D;@Co01@^0ol05Bh3o`0F;`Co01/c
0ol09c/4o`10B0?o05U91?l0JSL3o`1h90Co07hH0ol0OAX3o`1f9PCo06dd0ol0I3l4o`1LA`?o05I;
1?l0DDd3o`1<C@Co04A:0ol0?dL4o`0kAP?o03Y50ol0>dD4o`0nA`?o04991?l0Ad/3o`1=CPCo055=
0ol0E4`4o`1HB@?o05e60ol0Hd44o`1Y>@?o070`1?l0Mb@3o`1o5@Co08L50ol=S`04ob2F00?o<id0
1?m5XP03oeFW00?oHj`01?m^[`03ogJa00OoNk801?mi/P03og:`00CoJ:d00omKZ@03odbU00Co>Yl0
0olWV@04oaBB00?o0XX01?l0PPl3o`1k7PCo07<[0ol0K3D4o`1V?@?o06130ol0G4L4o`1HBP?o05A<
1?l0DDd3o`1>CPCo04U<0ol0ADX4o`12B@?o04580ol0@dT4o`17B`?o04i>1?l0DTd3o`1FB`Co05a7
0ol0HT44o`1[=P?o07HW1?l0P1@3o`2710?o08T11?l0PPl3o`1d:PCo06520ol0CDh4o`0_?`?o020f
1?l06c<3o`0I<@?o01Pa1?l06303o`0H<@Co01/c0ol083H4o`0W>P?o02ho1?l0>4@3o`12B@Co04Q;
0ol0@dT3o`0b@@Co01he0ol042X4o`0:90ko00PR1oooool1o`00007ooooo0007ooooo`?o00002?oo
ool5o`0000Kooooo00?o0000ooooooooool01_ooool:o`067`Co00HP0ol02284o`0?:@?o01/c1?l0
:cd3o`0f@`?o03M41?l0<D43o`0Z?0Co02<h0ol07SD4o`0I<@?o01D_1ol052d4o`0E;P?o01D_0ol0
5c04o`0N=@?o02lo1?l0Cdh3o`1P@`Co074_0ol0Nad4o`1n5`?o07XO0ol0LR`4o`1Y>P?o06131?l0
FDT3o`1CC0Co04m>0ol0Ad/4o`11B0?o03e61ol0>TD3o`0mAPCo04580ol0AT/4o`1<C@?o051=1?l0
E4`3o`1HB@Co05e60ol0Hd03o`1Z>0Co078]0ol0NQl4o`233P?o1X`01?lMU@03ocFM00CoCJD00omU
[004og^b00?oS[L00onO^`04ojbo00?o]L401?nj`P03ok_200Co^<400ona`004ojFm00?oU[T00on4
]@04ofn_00?oEjP01?loX@03obJH00Co3i000ol0Q`H4o`1n60?o07DX1?l0KC<3o`1V?0?o06131?l0
FdL3o`1GBPCo05A<0ol0DDd4o`1=CP?o04Q;1?l0A4X6o`12B@Co04E:0ol0BT`4o`1@CP?o05A<1?l0
FDT3o`1OA0Co06Ll0ol0LBl4o`1k7@?o08D:0ol0R@04o`261`?o07/N1?l0JCT3o`1EB`Co03U40ol0
93T4o`0L=0?o01Tb0ol06C44o`0H<0?o01Pa1?l06S83o`0N=@Co02Di0ol0;3d4o`0e@P?o03m71?l0
Ad/3o`16B`?o03Q41?l08cP3o`0C;@Co00/U3_l02287ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool01_ooool:o`067`Co00HP0ol02284o`0?:@?o01/c1?l0:cd3o`0f@`?o03M41?l0<D43
o`0Z?0Co02<h0ol07SD4o`0I<@?o01D_1ol052d4o`0E;P?o01D_0ol05c04o`0N=@?o02lo1?l0Cdh3
o`1P@`Co074_0ol0Nad4o`1n5`?o07XO0ol0LR`4o`1Y>P?o06131?l0FDT3o`1CC0Co04m>0ol0Ad/4
o`11B0?o03e61ol0>TD3o`0mAPCo04580ol0AT/4o`1<C@?o051=1?l0E4`3o`1HB@Co05e60ol0Hd03
o`1Z>0Co078]0ol0NQl4o`233P?o1X`01?lMU@03ocFM00CoCJD00omU[004og^b00?oS[L00onO^`04
ojbo00?o]L401?nj`P03ok_200Co^<400ona`004ojFm00?oU[T00on4]@04ofn_00?oEjP01?loX@03
obJH00Co3i000ol0Q`H4o`1n60?o07DX1?l0KC<3o`1V?0?o06131?l0FdL3o`1GBPCo05A<0ol0DDd4
o`1=CP?o04Q;1?l0A4X6o`12B@Co04E:0ol0BT`4o`1@CP?o05A<1?l0FDT3o`1OA0Co06Ll0ol0LBl4
o`1k7@?o08D:0ol0R@04o`261`?o07/N1?l0JCT3o`1EB`Co03U40ol093T4o`0L=0?o01Tb0ol06C44
o`0H<0?o01Pa1?l06S83o`0N=@Co02Di0ol0;3d4o`0e@P?o03m71?l0Ad/3o`16B`?o03Q41?l08cP3
o`0C;@Co00/U3_l02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`06
7`Co00HP0ol02284o`0?:@?o01/c1?l0:cd3o`0f@`?o03M41?l0<D43o`0Z?0Co02<h0ol07SD4o`0I
<@?o01D_1ol052d4o`0E;P?o01D_0ol05c04o`0N=@?o02lo1?l0Cdh3o`1P@`Co074_0ol0Nad4o`1n
5`?o07XO0ol0LR`4o`1Y>P?o06131?l0FDT3o`1CC0Co04m>0ol0Ad/4o`11B0?o03e61ol0>TD3o`0m
APCo04580ol0AT/4o`1<C@?o051=1?l0E4`3o`1HB@Co05e60ol0Hd03o`1Z>0Co078]0ol0NQl4o`23
3P?o1X`01?lMU@03ocFM00CoCJD00omU[004og^b00?oS[L00onO^`04ojbo00?o]L401?nj`P03ok_2
00Co^<400ona`004ojFm00?oU[T00on4]@04ofn_00?oEjP01?loX@03obJH00Co3i000ol0Q`H4o`1n
60?o07DX1?l0KC<3o`1V?0?o06131?l0FdL3o`1GBPCo05A<0ol0DDd4o`1=CP?o04Q;1?l0A4X6o`12
B@Co04E:0ol0BT`4o`1@CP?o05A<1?l0FDT3o`1OA0Co06Ll0ol0LBl4o`1k7@?o08D:0ol0R@04o`26
1`?o07/N1?l0JCT3o`1EB`Co03U40ol093T4o`0L=0?o01Tb0ol06C44o`0H<0?o01Pa1?l06S83o`0N
=@Co02Di0ol0;3d4o`0e@P?o03m71?l0Ad/3o`16B`?o03Q41?l08cP3o`0C;@Co00/U3_l02287oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`067`Co00HP0ol02284o`0?:@?o
01/c1?l0:cd3o`0f@`?o03M41?l0<D43o`0Z?0Co02<h0ol07SD4o`0I<@?o01D_1ol052d4o`0E;P?o
01D_0ol05c04o`0N=@?o02lo1?l0Cdh3o`1P@`Co074_0ol0Nad4o`1n5`?o07XO0ol0LR`4o`1Y>P?o
06131?l0FDT3o`1CC0Co04m>0ol0Ad/4o`11B0?o03e61ol0>TD3o`0mAPCo04580ol0AT/4o`1<C@?o
051=1?l0E4`3o`1HB@Co05e60ol0Hd03o`1Z>0Co078]0ol0NQl4o`233P?o1X`01?lMU@03ocFM00Co
CJD00omU[004og^b00?oS[L00onO^`04ojbo00?o]L401?nj`P03ok_200Co^<400ona`004ojFm00?o
U[T00on4]@04ofn_00?oEjP01?loX@03obJH00Co3i000ol0Q`H4o`1n60?o07DX1?l0KC<3o`1V?0?o
06131?l0FdL3o`1GBPCo05A<0ol0DDd4o`1=CP?o04Q;1?l0A4X6o`12B@Co04E:0ol0BT`4o`1@CP?o
05A<1?l0FDT3o`1OA0Co06Ll0ol0LBl4o`1k7@?o08D:0ol0R@04o`261`?o07/N1?l0JCT3o`1EB`Co
03U40ol093T4o`0L=0?o01Tb0ol06C44o`0H<0?o01Pa1?l06S83o`0N=@Co02Di0ol0;3d4o`0e@P?o
03m71?l0Ad/3o`16B`?o03Q41?l08cP3o`0C;@Co00/U3_l02287ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool:o`067`Co00HP0ol02B<4o`0A:`?o01lf1?l0;Sl3o`0g@`?o03I3
1?l0;cl3o`0X>`Co028g0ol073@4o`0H<0?o01D^1?l052d3o`0D;PCo01D^0ol05Rl3o`0I<@Co02<h
0ol0>D@4o`1EB`?o06Lk1?l0MRL7o`1m6@?o07LT0ol0KS<4o`1T?`?o05a61?l0ET/3o`1AC@Co04]=
0ol0A4X4o`0nA`?o03]51?l0>TD3o`0lAP?o03m71?l0A4X3o`1:C@Co051>0ol0Dd`4o`1GBP?o05a6
1?l0Hd43o`1Z>0?o078/1?l0O1d3o`252@Co3Xl00olYV@04odJS00?oI:`01?n1]003oifk00Co]/40
0oo6`@03olZg00CocJl00oo?Z@04om2V00?odJH01?o@Y`03olj/00Coc;800oo8^`03ol7400CoZKh0
0on>]`04og6_00?oDjL01?leW@03oaVC00Co08T00ol0OaD4o`1f9P?o06hc0ol0ISd4o`1P@`?o05]7
1?l0EdX3o`1CC0Co051>0ol0C4d4o`17B`?o04=90ol0@TT4o`13B@?o04M;1?l0CTh3o`1BC@Co05I;
0ol0G4L4o`1S@0?o06`e1?l0MbD3o`214@?o08P21?l0R@43o`204`Co070_0ol0GDH4o`15BP?o02Xl
1?l07SD3o`0J<P?o01Ta1?l06343o`0H<0Co01Ta0ol07C@4o`0S>0?o02Xl1?l0<T43o`0lAPCo04I:
0ol0B4/3o`0mAPCo02Tl0ol05Rl4o`0<9Pko00PR1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo2_l01Ql4o`0680?o00TS1?l04B/3o`0O=PCo02ho0ol0=d<3o`0f@`Co02lo0ol0
:3/4o`0R=`?o01`d1?l06303o`0E;PCo01@]0ol052h4o`0E;P?o01H_0ol06C44o`0S>0?o03U41?l0
ED/3o`1W>`Co07HW1ol0OAT3o`1g90?o06hc1?l0I3l3o`1LAPCo05I;0ol0DDd4o`1;C@?o04A:1?l0
?TL3o`0kA@Co03Y50ol0?4H3o`0oA`Co04A:0ol0BTd4o`1@CP?o05=<1?l0EdX3o`1LAPCo06=10ol0
JSP3o`1b;0Co07`M0ol0Q@T4o`j?00?o:IT01?m6X`03ofB/00CoPK@00onM^`04okK100?oa/400oo:
]`04olf_00?ocjT01?o@YP03om6V00Cod:L00oo>[004olbb00?ob;/00oo1a004ojVn00?oS[L01?ma
[`03oe>W00Co=Id00olIT`04o`2900?o07lE1?l0MRH3o`1^<`?o06Hm1?l0H4<3o`1KA`Co05M:0ol0
Dd`4o`1@CP?o04a=1?l0Ad/3o`13B@?o04991?l0@dT3o`17B`Co04i>0ol0DTd4o`1FB`?o05a71?l0
Hd03o`1/=@Co07LU0ol0PA43o`280PCo08T10ol0P1<4o`1`;`?o05e61?l0ADX3o`0Z?0Co01he0ol0
6S83o`0I<@Co01Pa0ol06304o`0I<@?o01dd1?l08cP3o`0Z?0Co03910ol0?4H4o`16BP?o04Q;0ol0
?DH4o`0Y?0?o01H_1?l032H>o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`[o00HO1?l01R03o`098`Co014[0ol07cH4o`0^?`?o03M30ol0=T<4o`0_?`?o02Pk1?l08SL3
o`0L=0Co01P`0ol05Bh4o`0D;@?o01@^1?l05Bh3o`0F;`?o01Ta1?l08cP3o`0iA0Co05E;0ol0Ic/4
o`1f9`Oo07dI0ol0Mb@3o`1^<`Co06@o0ol0G4H4o`1FB`?o055=1?l0Bdd3o`14BPCo03i70ol0>dD4
o`0jA@?o03a60ol0?dL4o`14BP?o04Y=1?l0D4h3o`1CC0Co05M:0ol0G4H4o`1S@@?o06Xh0ol0LR`4
o`1l7@?o08D91?l>S`03obVI00CoAZ<00omT[004oh6d00?oWK/01?nf`@03olK100?ob[L01?o=[`03
olnY00Cod:H00ooAYP04om2W00?ocZ`01?o</P03olRk00?o`L@01?nY_P03ohjg00CoLJl00omCY`04
ocFM00?o6I<01?l0R@03o`1o5@Co07HV0ol0KS<3o`1V?@Co06130ol0FdL4o`1GBP?o05=<1?l0D4h3
o`1<C@Co04M;0ol0@dT3o`12B@Co04=90ol0Ad/4o`1>CP?o059=1?l0ET/3o`1LA`Co06=00ol0K3D4
o`1g9@?o084A0ol0R084o`290@?o080C1?l0L2l3o`1MAPCo04E:0ol0:S`4o`0N=@?o01Xb0ol06C44
o`0H<@?o01P`1?l06C43o`0M=0Co02<h0ol0:S`4o`0b@@?o03a61?l0ATX3o`18B`?o03e61?l0:C`3
o`0F;`Co00`V3_l02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`06
7`Co00LP0ol02RD4o`0D;@?o02<h1?l0<D43o`0hA0?o03E21?l0;Ch3o`0V>PCo020f0ol06c<4o`0G
<0?o01@^1?l052d3o`0D;PCo01D^0ol05Rl3o`0K<`Co02Tl0ol0A4X4o`1LA`?o06dd1?l0NR03o`1n
5`Co07`L0ol0M2X3o`1Z>0Co06520ol0FDP4o`1DC0?o04m>1?l0B4/3o`11B0Co03a60ol0>TD4o`0k
A@?o03i70ol0@TT4o`18B`?o04m>1?l0DTd3o`1FB`Co05]70ol0HD84o`1Y>@?o078]0ol0O1d4o`26
1`?o4i401?lbW003oe>W00CoM[400onH^P04okW200?obKX01?o>Z`03om>N00?oei@01?oJR`03omb5
00CogH800ooMP@04omb300?ofhL01?oISP03omJH00?odJ@01?o</P03olG200CoZ;h00on5]@04of:[
00?o?j401?lOUP03o`:;00Co080D0ol0MRL3o`1]=0Co06Dn0ol0Gd@4o`1JB0?o05I;1?l0DTd3o`1?
CPCo04Y<0ol0ADX7o`12B@?o04E:1?l0BTd3o`1@CPCo05A<0ol0FDT4o`1P@`?o06Pj1?l0Lb`3o`1n
60?o08L61?l0RP03o`252PCo07LU0ol0I3l4o`1@CP?o03501?l08CL3o`0K<`?o01Tb1?l06343o`0H
<0Co01Ta0ol073<4o`0Q=`?o02Pk1?l0<403o`0jA@Co04A:0ol0B4`3o`11B0Co02ho0ol06S84o`0>
:0?o00TS2ol02287ooooo`7o00000Oooool001gooooo0ol00006ooooo`[o00HO1?l01b03o`0:9@Co
01@]0ol08cP4o`0a@@?o03Q40ol0=D84o`0]?P?o02Hj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o
01@^1?l05Bh3o`0F;`?o01/c1?l0:C`3o`14BPCo05a70ol0KC@4o`1j80?o07hG1?l0O1`3o`1d:P?o
06Xh1?l0HD83o`1IB0Co05A<0ol0Cdh4o`18B`?o04581?l0?4H3o`0jA@Co03]50ol0?TL3o`12B@Co
04Q;0ol0Cdh4o`1BC@?o05I;1?l0FdL3o`1Q@PCo06Ti0ol0LRd3o`1l7@Co08H70olCT@04oc:L00?o
DjL01?mf/@03oiRj00Co^L800oo9^P04olj[00?odih00ooGU004omZ;00?og8D01?oMPP03omf100Co
g8<00ooKQ`04omV>00?oeYP00ooAY004olbb00?oaL801?nX_P03ohFe00CoHZ/00oloX@04oanF00?o
0X/01?l0P1@3o`1f9`?o06dd1?l0ICh3o`1OA0Co05Y80ol0ET/4o`1BC@?o04m>1?l0BT`3o`15BPOo
04990ol0ADX4o`1:C@?o051>1?l0E4`3o`1IB@Co06130ol0J3X4o`1c;0?o07hH0ol0Q`H4o`2:00?o
08D:1?l0MbD3o`1T?`Co051>0ol0<D04o`0Q=`?o01/c0ol06C84o`0H<@?o01P`1?l06C43o`0L<`Co
024g0ol0:3/4o`0`@0?o03Y51?l0A4X3o`18C0?o04581?l0;Sl3o`0J<PCo00hX0ol02B<;o`088PKo
oooo0_l00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00HO1?l01b03o`0:9@Co01@]
0ol08cP4o`0a@@?o03Q40ol0=D84o`0]?P?o02Hj1?l083H3o`0K<`Co01L`0ol052h4o`0D;@?o01@^
1?l05Bh3o`0F;`?o01/c1?l0:C`3o`14BPCo05a70ol0KC@4o`1j80?o07hG1?l0O1`3o`1d:P?o06Xh
1?l0HD83o`1IB0Co05A<0ol0Cdh4o`18B`?o04581?l0?4H3o`0jA@Co03]50ol0?TL3o`12B@Co04Q;
0ol0Cdh4o`1BC@?o05I;1?l0FdL3o`1Q@PCo06Ti0ol0LRd3o`1l7@Co08H70olCT@04oc:L00?oDjL0
1?mf/@03oiRj00Co^L800oo9^P04olj[00?odih00ooGU004omZ;00?og8D01?oMPP03omf100Cog8<0
0ooKQ`04omV>00?oeYP00ooAY004olbb00?oaL801?nX_P03ohFe00CoHZ/00oloX@04oanF00?o0X/0
1?l0P1@3o`1f9`?o06dd1?l0ICh3o`1OA0Co05Y80ol0ET/4o`1BC@?o04m>1?l0BT`3o`15BPOo0499
0ol0ADX4o`1:C@?o051>1?l0E4`3o`1IB@Co06130ol0J3X4o`1c;0?o07hH0ol0Q`H4o`2:00?o08D:
1?l0MbD3o`1T?`Co051>0ol0<D04o`0Q=`?o01/c0ol06C84o`0H<@?o01P`1?l06C43o`0L<`Co024g
0ol0:3/4o`0`@0?o03Y51?l0A4X3o`18C0?o04581?l0;Sl3o`0J<PCo00hX0ol02B<;o`088POooooo
0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00HO1?l01b43o`0<9PCo01L`0ol0
9SX4o`0d@P?o03Q40ol0<d44o`0[?@?o02Di1?l07cD3o`0J<PCo01H_1ol052d3o`0E;PCo01D_0ol0
5c03o`0N=@Co02lo0ol0Cdh4o`1R@@?o078]1?l0O1/3o`1n5`Co07TP0ol0L2l3o`1W?0Co05i50ol0
EdX4o`1BC@?o04a=1?l0ADX3o`0oA`Co03]60ol0>TD4o`0lAP?o04180ol0ADX4o`1<C@?o055=1?l0
ED/3o`1IB0Co05m40ol0Ic`4o`1`<0?o07XO0ol0Q@T4oa>A00?o=9d01?mIZ@03oh6d00CoZ;h00oo7
_`04olj/00?oeIX01?oJRP03omim00?ohG801?oTJP03onIT00Coif400ooWH004onIQ00?oiFD01?oS
K003on5e00?ogH401?oHT003om:Q00CobkD00onk`P04oi>h00?oJZh01?m3XP03ob2F00Co0HX00ol0
OaL3o`1d:@Co06/g0ol0I404o`1MA@?o05Q91?l0E4`3o`1AC@Co04e>0ol0B4/3o`14BPCo04990ol0
@dT4o`18B`?o04i>1?l0DTd3o`1GBPCo05e60ol0ICh4o`1_<P?o07XP0ol0Q0/4o`2:00?o08P41?l0
OA/3o`1Z=`Co05I;0ol0>DD4o`0T>@?o01`d0ol06S84o`0I<@Oo01Pa0ol06c<4o`0P=P?o02Hj1?l0
;Sl3o`0gA0Co04990ol0B4`3o`14BPCo03=10ol07SD4o`0@:P?o00TT2ol02287ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01_ooool:o`067`Co00LQ0ol032H4o`0G<0?o02Hj1?l0=483
o`0hA0?o03=11?l0:cd3o`0U>@Co01le0ol06S84o`0F;`Oo01@]0ol05Bh4o`0E;`?o01L`0ol07SD4
o`0_?`?o04m>1?l0HT43o`1b;@Co07`K0ol0OQL4o`1i80?o070_0ol0Ic`4o`1NA@?o05M:1?l0DTd3
o`1<C@Co04E:0ol0?dL4o`0kAP?o03Y51?l0?4H3o`10B0?o04E:1?l0C4d3o`1AC@Co05E;0ol0FDP4
o`1OA0?o06Ll1?l0L303o`1j7`?o08D91?lCT@03ocBM00CoFJT00on1]004ojRn00?oakl01?o>[003
omFJ00CofXX00ooNO@03on5b00Coi6X00ooVI004onMQ00?oif001?oVH@03onEU00Cohf`00ooQM@03
omf100Cof9000ooBX@04ol^e00?o^l801?nC^003ofZ^00Co@j800olPUP04o`6:00?o07lG0ol0M2T4
o`1[=`?o06A01?l0GDD3o`1HB@Co05A<0ol0DDd4o`1=CP?o04Q;0ol0A4X4o`12B@?o04=91?l0B4/3
o`1>CPCo059=0ol0EdX4o`1MAP?o06Dn1?l0Kc83o`1j80?o08@;1?l0RP03o`2810Co07dK0ol0JSL4
o`1FB`?o03U51?l093T3o`0L=0?o01Xb1?l06C47o`0H<@?o01/c1?l083H3o`0V>PCo02ho0ol0=d@4
o`12B@?o04Q<0ol0A4X4o`0c@@?o01he1?l042X3o`0990_o00PR1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo2_l01Ql4o`078@?o00`V1?l05c03o`0V>PCo03A20ol0>4@3o`0c
@@Co02/m0ol09CT4o`0O=@?o01Xb1?l05Rl7o`0D;@?o01D^1?l05Bl3o`0G<0?o01he1?l0;cl3o`1?
CPCo06910ol0LRd4o`1l6`?o07hG1?l0NB03o`1`;`?o06Ll1?l0GTD3o`1GBPCo059=0ol0C4d4o`15
BP?o03m71?l0>dH3o`0jA@Co03a60ol0@4P3o`15BPCo04a=0ol0DDd4o`1EB`?o05U81?l0Gd@3o`1W
?0Co070`0ol0NQl3o`252@Co4i400oldW@04oeVY00?oPK@01?nX_P03olNo00CocZ`00ooEVP04omZ:
00?ogWd00ooQLP04onAZ00?oiV@01?oWH@03onMP00CoiV400ooUI@04on=/00?ohGD00ooMP@04omR@
00?odZ401?o;]@03ok_200CoTkP00omZ[P04od>R00?o89H01?l1RP03o`1o5`?o07@Y1?l0JcL3o`1T
@0Co05e50ol0F4T4o`1DC0?o055=1?l0CDh3o`18B`?o04A:1?l0@TT3o`13B@Co04Q;0ol0CTh4o`1B
C@?o05M:1?l0GDH3o`1U?PCo06lb0ol0NR03o`242`Co08X00ol0R0@4o`1m6`?o06Xg1?l0ET/3o`0i
A@Co02@i0ol073@3o`0J<PCo01Ta1ol06343o`0K<`Co020f0ol09SX4o`0^?`?o03M41?l0@TT3o`18
C0?o04A:1?l0<d43o`0N=@Co010Z0ol02B@;o`088POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`[o00HO1?l01b43o`0<9PCo01L`0ol09SX4o`0d@P?o03Q40ol0<d44o`0[?@?o
02Di1?l07cD3o`0J<PCo01H_1ol052d3o`0E;PCo01D_0ol05c03o`0N=@Co02lo0ol0Cdh4o`1R@@?o
078]1?l0O1/3o`1n5`Co07TP0ol0L2l3o`1W?0Co05i50ol0EdX4o`1BC@?o04a=1?l0ADX3o`0oA`Co
03]60ol0>TD4o`0lAP?o04180ol0ADX4o`1<C@?o055=1?l0ED/3o`1IB0Co05m40ol0Ic`4o`1`<0?o
07XO0ol0Q@T4oa>A00?o=9d01?mIZ@03oh6d00CoZ;h00oo7_`04olj/00?oeIX01?oJRP03omim00?o
hG801?oTJP03onIT00Coif400ooWH004onIQ00?oiFD01?oSK003on5e00?ogH401?oHT003om:Q00Co
bkD00onk`P04oi>h00?oJZh01?m3XP03ob2F00Co0HX00ol0OaL3o`1d:@Co06/g0ol0I404o`1MA@?o
05Q91?l0E4`3o`1AC@Co04e>0ol0B4/3o`14BPCo04990ol0@dT4o`18B`?o04i>1?l0DTd3o`1GBPCo
05e60ol0ICh4o`1_<P?o07XP0ol0Q0/4o`2:00?o08P41?l0OA/3o`1Z=`Co05I;0ol0>DD4o`0T>@?o
01`d0ol06S84o`0I<@Oo01Pa0ol06c<4o`0P=P?o02Hj1?l0;Sl3o`0gA0Co04990ol0B4`3o`14BPCo
03=10ol07SD4o`0@:P?o00TT2ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool:o`067`Co00PQ0ol03BP4o`0I<P?o02Tl1?l0=D<3o`0gA0?o03511?l0:S`3o`0S>0Co01de
0ol06C44o`0E;`?o01@]1?l052h3o`0E;PCo01H_0ol06C43o`0R=`Co03M30ol0ED`4o`1W?0?o07HV
1?l0OQP3o`1n6@Co07LU0ol0KC@3o`1S@0Co05]70ol0ED/4o`1@CP?o04U<1?l0@TT3o`0mAPOo03]5
1?l0?TL3o`12B@?o04U<1?l0Cdh3o`1CC0Co05M:0ol0GDH4o`1T?`?o06dd1?l0Mb@3o`233P?o3Xl0
1?lbW003oeVY00CoQ;D00on``004olVi00?odZ801?oISP03omml00Cohf`00ooWG`03onYE00Cok4h0
0oo]B@04oni600?okT@01?o^A@03one800Cok4h00ooZEP03onMQ00CohVl00ooMP@04omJE00?ocZ`0
1?o5a003oiVj00CoK:h00om1X@04oabE00?o08P30ol0O1/4o`1b;@?o06Tj1?l0HD83o`1KA`Co05M:
0ol0Dd`4o`1@CP?o04]=0ol0ATX7o`13B@Co04I:0ol0C4d4o`1AC@?o05E;1?l0FdL3o`1R@@Co06/f
0ol0MRH3o`214@Co08T10ol0R@04o`214P?o070_1?l0G4H3o`13B@Co02Tl0ol07SD3o`0J<PCo01Ta
1ol06343o`0J<PCo01he0ol09CT4o`0/?P?o03E31?l0@4P3o`18B`?o04I;1?l0=d@3o`0R>0Co018/
0ol02R@;o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00HO1?l0
2243o`0=:0Co01Tb0ol0:C`4o`0e@`?o03M40ol0<D44o`0Z?0?o02<h1?l07CD3o`0I<@Co01D_0ol0
52d4o`0D;P?o01D^1?l05Rl3o`0I<@?o028g1?l0=d<3o`1EC0Co06Ll0ol0MRH4o`1n60?o07hI1?l0
MbD3o`1]=0?o06=01?l0FdL3o`1EB`Co051>0ol0BD`4o`12B@?o03e61ol0>dD4o`0nA`?o04990ol0
BD`4o`1?CP?o05=<1?l0EdX3o`1MAPCo06@o0ol0KC@4o`1g90?o08<>0ol>S`04oc:L00?oFJT01?n4
]@03ok3000CobKT00ooBXP04omV>00?ogg`01?oSK003onMO00?ojUD01?o/CP03one900CokTH00oo^
A004oni500?okDP01?o/CP03onYF00?oif401?oRK`03omf100CoeYD00oo>[004olG400?oVKX01?m/
[P03od6Q00Co79D00ol0R0<3o`1l6`Co078]0ol0JCX4o`1Q@P?o05]71?l0EdX3o`1CC0Co051>0ol0
Bdd3o`16BPOo04=91?l0ATX3o`1<C@Co055=0ol0ED/4o`1KA`?o06911?l0JcH3o`1f9P?o084A1?l0
R@43o`2900Co084B0ol0L2l4o`1LAP?o04=91?l0:C`3o`0N=@?o01Xb1?l06C47o`0H<@?o01Xb1?l0
7SD3o`0U>@Co02`n0ol0=D<4o`10B0?o04Q;0ol0AT/4o`0gA0?o028h1?l04R`3o`0:90_o00PR1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo2_l01Ql4o`088@?o00dX1?l06C83
o`0Y?0Co03E30ol0=d@3o`0a@@Co02Xl0ol08cP4o`0M=@?o01Ta1?l05Bl3o`0D;@Co01@^0ol05Bh4
o`0F;`?o01Ta0ol08SL4o`0g@`?o05E<1?l0Ic`3o`1f9PCo07hH0ol0OQT4o`1g9@?o06dd0ol0Hd04
o`1KA`?o05E;1?l0D4h3o`19C0Co04990ol0?DH7o`0kA@Co03i70ol0@TT3o`19C0Co04m>0ol0Dd`4
o`1GBP?o05e61?l0I3l3o`1]=0Co07LT0ol0P`h3o`j?00Co<Y`00omIZ@04ohBe00?o/<001?o9^@03
om:R00CofHh00ooOO004on=/00?oiel00ooZE@04ona>00?okDT01?o^AP03oni400CokTD00oo]B004
ona>00?ojUH00ooWH@04on9_00?ogH401?oFU@03olj/00CoaL@00onI^P04ofb^00?o@J401?lLU@03
o`280`?o07`K1?l0LRd3o`1Y>PCo06520ol0FdL4o`1GBP?o05=<1?l0D4h3o`1;C@?o04I:1ol0@dT4
o`16BP?o04a=1?l0DDd3o`1EB`Co05]70ol0HT44o`1[=P?o07HV0ol0PA44o`290@?o08T01?l0PA83
o`1`;`Co05a60ol0@dT4o`0Y?0?o01he0ol06S84o`0I<@Oo01Pa0ol06S84o`0N=@?o02Di1?l0;3h3
o`0e@`Co04180ol0B4/3o`16B`Co03M40ol08SP4o`0B;0?o00XT2ol02287ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool:o`067`Co00PR0ol03bT4o`0L=0?o02`n1ol0=T<3o`0`
@0Co02Pk0ol08SL4o`0L=0?o01P`1?l05Bh3o`0D;@Co01@^0ol05Bh4o`0F;`?o01Xb0ol09SX4o`0o
B0?o05Y81?l0K3H3o`1i8@Co07lG0ol0O1/4o`1d:@?o06Xh0ol0HD84o`1IB@?o05=<1?l0Cdh3o`16
B`Co04180ol0?4H4o`0jA@?o03a61?l0@4P3o`15BP?o04a=1?l0DDd3o`1EB`Co05Y80ol0HD84o`1Y
>@?o07@Z1?l0OaD3o`J<00?o:IT01?mCY`03oh6d00Co/<000oo:]P04om>M00?ofhH01?oRLP03onMP
00Coje800oo^A`03oo0o00ColSP00ooc=004oo<a00Oom3000ooc<P04oo8f00?ol3d00oo^AP04on]C
00?oiV<01?oPM`03omV?00Cod:P00oo5``04oiJi00?oIZ`01?ljW`03oa>A00?o08@;1?l0N283o`1^
<`Co06Dn0ol0Gd@4o`1IB@?o05E;1?l0DDd3o`1>CP?o04Q;1?l0A4X3o`12B@Co04A:0ol0BD`4o`1@
CP?o05A<1?l0FDT3o`1P@`Co06Pj0ol0Lb/3o`1n5`Co08L40ol2RP04o`242`?o07HW1?l0HT43o`1=
CPCo02hn0ol07cH3o`0K<`Co01Tb1ol06343o`0I<PCo01dd0ol08cP4o`0[?@?o03=21?l0?TL3o`17
B`?o04Q;1?l0>dD3o`0V>PCo01@^0ol02bD;o`088POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`[o00HO1?l02283o`0?:@Co01`d0ol0;3h7o`0f@`?o03101?l0:3/3o`0R=`Co
01`d0ol06304o`0E;P?o01@]1?l052h3o`0E;PCo01H_0ol06S83o`0V>PCo03m80ol0FTP4o`1/=P?o
07TQ1?l0OaL3o`1l6`Co07@Y0ol0JSP3o`1Q@PCo05U90ol0Dd`4o`1?CP?o04I;1?l0@4P3o`0lAPCo
03Y50ol0?4H4o`10B0?o04E:0ol0C4d4o`1AC@?o05E;1?l0FTP3o`1Q@PCo06Ti0ol0M2X4o`1o5@?o
1X`00olYV@04oe>W00?oPK@01?n``003olZf00Codid00ooKQP04on9b00?oif001?o[DP03oni700?o
l3l01?ob>003oo<d00Colc401ood<003oo<b00ColSH00oo`?@03oni600Coje<00ooVH`04on1g00?o
fHl01?o@Z003olG300CoU[T00omV[004ocZO00?o4i400ol0Q0/4o`1h8P?o06hc1?l0ICh3o`1OA0Co
05U90ol0ED/4o`1AC@?o04i>0ol0B4/4o`14BP?o04991?l0A4X3o`19C0Co051>0ol0E4`4o`1IB@?o
06131?l0J3X3o`1c:`?o07hG1?l0Q`@3o`::00Co08@;0ol0MRL4o`1R@@?o04e>1?l0;Sh3o`0O=P?o
01/c1?l06C87o`0H<@?o01Tb1?l07C@3o`0S>0Co02/m0ol0<d84o`0nA`?o04M;0ol0B4/4o`0kA@?o
02Hj1?l052h3o`0;9@_o00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo
2_l01Ql4o`088P?o00lY1?l073@3o`0/?POo03I30ol0<404o`0X>`?o028g1?l073@3o`0H<0Co01D^
0ol052d4o`0D;P?o01D^1?l05Rl3o`0J<P?o02Hj1?l0?dP3o`1JB0Co06`f0ol0NB44o`1o5`?o07`K
1?l0M2T3o`1Z>0?o06521?l0FDT3o`1CC0Co04m>0ol0AT/4o`10B0?o03a61?l0>TD3o`0lAPCo0418
0ol0ADX3o`1<C@Co055=0ol0ED/4o`1JB0?o06521?l0JCT3o`1d:PCo07lE0ol6S003obVI00CoDjL0
0on1]004ok3000?ob[H01?oCW@03om^600CohW800ooWH004on]B00?okTL00oo`?`04oo8h00?olc@0
1?oc<@07oo@`00?olc801?ob=P03oo0m00?okTH01?o[D`03onIS00Coh7L00ooIS`04om2X00?oaL<0
1?nF^@03ofJ/00Co>Yl00olCT@03o`242`Co07PR0ol0KS<4o`1U?P?o05m41?l0FDT3o`1EB`Co055=
0ol0CTh3o`18B`Co04A:0ol0@TT4o`14BP?o04U<1?l0D4h3o`1DC0Co05U90ol0H4<4o`1X>P?o07<[
0ol0OQL4o`2710?o0XX01?l0Q0/3o`1f9`Co06910ol0CDh4o`0^?P?o01lf0ol06c<4o`0I<POo01Pa
0ol06C84o`0M=0?o02<h1?l0:cd3o`0c@PCo03i70ol0Ad/3o`18B`Co03]50ol09SX4o`0D;P?o00/U
2ol02287ooooo`7o00000Oooool001gooooo0ol00006ooooo`[o00HO1?l02283o`0?:@Co01`d0ol0
;3h7o`0f@`?o03101?l0:3/3o`0R=`Co01`d0ol06304o`0E;P?o01@]1?l052h3o`0E;PCo01H_0ol0
6S83o`0V>PCo03m80ol0FTP4o`1/=P?o07TQ1?l0OaL3o`1l6`Co07@Y0ol0JSP3o`1Q@PCo05U90ol0
Dd`4o`1?CP?o04I;1?l0@4P3o`0lAPCo03Y50ol0?4H4o`10B0?o04E:0ol0C4d4o`1AC@?o05E;1?l0
FTP3o`1Q@PCo06Ti0ol0M2X4o`1o5@?o1X`00olYV@04oe>W00?oPK@01?n``003olZf00Codid00ooK
QP04on9b00?oif001?o[DP03oni700?ol3l01?ob>003oo<d00Colc401ood<003oo<b00ColSH00oo`
?@03oni600Coje<00ooVH`04on1g00?ofHl01?o@Z003olG300CoU[T00omV[004ocZO00?o4i400ol0
Q0/4o`1h8P?o06hc1?l0ICh3o`1OA0Co05U90ol0ED/4o`1AC@?o04i>0ol0B4/4o`14BP?o04991?l0
A4X3o`19C0Co051>0ol0E4`4o`1IB@?o06131?l0J3X3o`1c:`?o07hG1?l0Q`@3o`::00Co08@;0ol0
MRL4o`1R@@?o04e>1?l0;Sh3o`0O=P?o01/c1?l06C87o`0H<@?o01Tb1?l07C@3o`0S>0Co02/m0ol0
<d84o`0nA`?o04M;0ol0B4/4o`0kA@?o02Hj1?l052h3o`0;9@_o00PR1_ooool2o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo2_l01Ql4o`098`?o014[1?l07cH3o`0_?`Co03M40ol0=T<3
o`0_?`Co02Lk0ol08CL4o`0K<`?o01L`1?l052h3o`0D;@Co01@^0ol05Bh4o`0G<0?o01`c0ol0:Sd4
o`18C0?o05i51?l0L303o`1k7@Co07lF0ol0Nah4o`1b;@?o06Lk0ol0GTD4o`1GBP?o059=1?l0C4d3
o`14BPCo03i71ol0>dD3o`0mAPCo04990ol0B4`3o`1?CPCo05=<0ol0EdX4o`1NA@?o06Dn1?l0Kc43
o`1j7`Co08L50olMU@03odJS00CoM[400onX_P04olVi00?odid01?oLQ003on=]00CojEX00oo]BP04
oo0n00?olcD00ood;P04ooHY00?omRH01?og8`07ooLR00?omb<01?of9@03ooDZ00?om3401?oa>`03
one:00Coj5`00ooQL`04omV=00?ocjT01?o1a003ohbg00CoFZT00ol]V`03o`N=00Co07lE0ol0M2X4
o`1Z>0?o06911?l0G4L3o`1GBPCo05=<0ol0Cdh3o`1:C0Co04E:1ol0@dT3o`18B`Co04i>0ol0DTd4
o`1GBP?o05i51?l0ISd3o`1`<0?o07/M1?l0QPP3o`:;00Co08L50ol0NQl4o`1W?0?o059=1?l0<d43
o`0R=`?o01/c1?l06C83o`0I<@Co01Pa0ol06C44o`0L=0?o028h1?l0:C`3o`0b@@Co03a60ol0AT/3
o`19C0Co03i70ol0:S`4o`0G<0?o00`V2ol02287ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool:o`067`Co00TS0ol04B/4o`0O=P?o02lo1?l0=d@3o`0f@`?o02lo1?l09c/3o`0Q
=`Co01/c0ol05c04o`0D;P?o01@]1?l052h3o`0E;PCo01L`0ol073<3o`0Z?@Co04Q<0ol0GTD4o`1`
<0?o07/M1?l0OaH3o`1k7PCo078]0ol0Ic/3o`1NA@Co05M:0ol0DTd4o`1<C@?o04A:1?l0?TL7o`0k
A@?o03e61?l0@TT3o`18C0?o04m>1?l0Dd`3o`1GBPCo05i50ol0ICh4o`1_<@?o07XO1?l0Q`D3oafE
00?oAZ<01?mf/@03ojRn00CobKT00ooCW@04omb400?ohfd01?oYFP03one:00Col3h00ooc=@03oo@^
00ComRT00oof9P04ooLS00Oomb800oog8`04ooHU00?omBX00ood<@04oo4k00?okDX01?oXG003on5c
00CofHd00oo?Z@04ol7400?oS;L01?mJZ@03obfK00?o1hd01?l0OaD3o`1d:PCo06Xh0ol0HT44o`1L
A`?o05M:1?l0Dd`3o`1?CP?o04Y<1?l0ADX7o`13B@?o04Q;1?l0CTh3o`1BC@Co05M:0ol0GTD4o`1V
?@?o070`0ol0Nad4o`2620?o0X/01?l0Q`D3o`1j7`Co06Ll0ol0DTd4o`0c@@?o028g0ol06c<4o`0I
<P?o01Ta1?l06343o`0I<@Co01`d0ol08SP4o`0Y?0?o03911?l0?4H3o`16B`?o04U<1?l0?TL3o`0Z
?0Co01L`0ol032H;o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o
00HO1?l02B<3o`0A:`Co01lf0ol0;cl4o`0gA0?o03I30ol0;cl4o`0W>`?o024g1?l06c<3o`0G<0Co
01@^0ol052d4o`0D;P?o01D^1?l05c03o`0L<`?o02Xm1?l0B4`3o`1NA@Co070`0ol0Nad4o`1o5P?o
07/N1?l0LRd3o`1W>`?o05i51?l0EdX3o`1BC@Co04a=0ol0A4X4o`0nA`Oo03]50ol0?DH4o`12B@?o
04Q<0ol0Cdh4o`1CC0?o05M:1?l0GTD3o`1U?PCo06la0ol0NQl4o`271@?o7ID00om6X`04ogJa00?o
Z;h01?o9^@03om>M00Cog8@00ooSK@04onUJ00?okDX01?o`?P03oo<e00?om2h01?of:@03ooHV00Co
mb<01oog8P03ooLS00ComRD00ooe:P03oo@a00ColC/00oo]BP04onQL00?ohG<01?oIS@03olnY00Co
`L@00on<]`04oeZY00?o;I/00ol7S@04o`1o5@?o07@Z1?l0JSP3o`1R@@Co05a70ol0EdX4o`1CC0?o
04m>0ol0BT`4o`15BPOo04=90ol0B4/4o`1>CP?o059=1?l0EdX3o`1NA@Co06Hm0ol0L303o`1k7@Co
08H80ol2R`04o`271@?o07XO1?l0Ic`3o`1BC@Co03=10ol08SL3o`0K<`Co01Tb0ol06C44o`0H<@?o
01Ta1?l073@3o`0R>0Co02Tl0ol0<T44o`0lAP?o04I;0ol0BD`4o`0nA`?o02Xl1?l05c03o`0<9P_o
00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XT
0ol04R`4o`0Q=`?o03101?l0=d@3o`0e@P?o02dn1?l09SX3o`0P=PCo01/c0ol05Rl4o`0D;P?o01@]
1?l05Bh3o`0E;`Co01L`0ol07SD3o`0_?`Co04m>0ol0HT44o`1c:`?o07dJ1?l0OaL3o`1i8PCo06la
0ol0ICh3o`1LAPCo05I;0ol0D4d4o`1:C0?o04991?l0?DH3o`0kA@Co03]60ol0?dL4o`14BP?o04]=
0ol0D4h4o`1EB`?o05Y81?l0HD83o`1Z>@Co07@Y0ol0PA84o`f?00?o=Id00omT[004oiRj00?oakl0
1?oBXP03om^600Cohfd00ooYF004oni600?olCT01?od;`03ooHX00?omb<01?oh8003ooPN00ConA`0
0ooi6`0;ooTJ00?onAd00oog8@04ooDY00?olcD01?o^A@03onUJ00CohG<00ooHT@04olf`00?o//00
1?mk/P03odRS00?o79D01?l0QPH3o`1i80Co06hb0ol0ICh4o`1NA@?o05U91?l0E4`3o`1AC@?o04e>
1?l0Ad/7o`13B@?o04I;1?l0C4d3o`1AC@Co05I;0ol0G4L4o`1S@0?o06dd0ol0NB84o`2430?o0HX0
1?l0R@43o`1n60Co06`f0ol0EdX4o`0iA@?o02@i0ol073@4o`0J<P?o01Ta1?l06343o`0I<@Co01`c
0ol08CL4o`0X>`?o03101?l0>TD3o`15BP?o04U<1?l0@DP3o`0]?PCo01Ta0ol03BL4o`098POo00PR
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XT0ol0
4R`4o`0Q=`?o03101?l0=d@3o`0e@P?o02dn1?l09SX3o`0P=PCo01/c0ol05Rl4o`0D;P?o01@]1?l0
5Bh3o`0E;`Co01L`0ol07SD3o`0_?`Co04m>0ol0HT44o`1c:`?o07dJ1?l0OaL3o`1i8PCo06la0ol0
ICh3o`1LAPCo05I;0ol0D4d4o`1:C0?o04991?l0?DH3o`0kA@Co03]60ol0?dL4o`14BP?o04]=0ol0
D4h4o`1EB`?o05Y81?l0HD83o`1Z>@Co07@Y0ol0PA84o`f?00?o=Id00omT[004oiRj00?oakl01?oB
XP03om^600Cohfd00ooYF004oni600?olCT01?od;`03ooHX00?omb<01?oh8003ooPN00ConA`00ooi
6`0;ooTJ00?onAd00oog8@04ooDY00?olcD01?o^A@03onUJ00CohG<00ooHT@04olf`00?o//001?mk
/P03odRS00?o79D01?l0QPH3o`1i80Co06hb0ol0ICh4o`1NA@?o05U91?l0E4`3o`1AC@?o04e>1?l0
Ad/7o`13B@?o04I;1?l0C4d3o`1AC@Co05I;0ol0G4L4o`1S@0?o06dd0ol0NB84o`2430?o0HX01?l0
R@43o`1n60Co06`f0ol0EdX4o`0iA@?o02@i0ol073@4o`0J<P?o01Ta1?l06343o`0I<@Co01`c0ol0
8CL4o`0X>`?o03101?l0>TD3o`15BP?o04U<1?l0@DP3o`0]?PCo01Ta0ol03BL4o`098POo00PR1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XT0ol04R`4
o`0Q=`?o03101?l0=d@3o`0e@P?o02dn1?l09SX3o`0P=PCo01/c0ol05Rl4o`0D;P?o01@]1?l05Bh3
o`0E;`Co01L`0ol07SD3o`0_?`Co04m>0ol0HT44o`1c:`?o07dJ1?l0OaL3o`1i8PCo06la0ol0ICh3
o`1LAPCo05I;0ol0D4d4o`1:C0?o04991?l0?DH3o`0kA@Co03]60ol0?dL4o`14BP?o04]=0ol0D4h4
o`1EB`?o05Y81?l0HD83o`1Z>@Co07@Y0ol0PA84o`f?00?o=Id00omT[004oiRj00?oakl01?oBXP03
om^600Cohfd00ooYF004oni600?olCT01?od;`03ooHX00?omb<01?oh8003ooPN00ConA`00ooi6`0;
ooTJ00?onAd00oog8@04ooDY00?olcD01?o^A@03onUJ00CohG<00ooHT@04olf`00?o//001?mk/P03
odRS00?o79D01?l0QPH3o`1i80Co06hb0ol0ICh4o`1NA@?o05U91?l0E4`3o`1AC@?o04e>1?l0Ad/7
o`13B@?o04I;1?l0C4d3o`1AC@Co05I;0ol0G4L4o`1S@0?o06dd0ol0NB84o`2430?o0HX01?l0R@43
o`1n60Co06`f0ol0EdX4o`0iA@?o02@i0ol073@4o`0J<P?o01Ta1?l06343o`0I<@Co01`c0ol08CL4
o`0X>`?o03101?l0>TD3o`15BP?o04U<1?l0@DP3o`0]?PCo01Ta0ol03BL4o`098POo00PR1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XT0ol04R`4o`0Q
=`?o03101?l0=d@3o`0e@P?o02dn1?l09SX3o`0P=PCo01/c0ol05Rl4o`0D;P?o01@]1?l05Bh3o`0E
;`Co01L`0ol07SD3o`0_?`Co04m>0ol0HT44o`1c:`?o07dJ1?l0OaL3o`1i8PCo06la0ol0ICh3o`1L
APCo05I;0ol0D4d4o`1:C0?o04991?l0?DH3o`0kA@Co03]60ol0?dL4o`14BP?o04]=0ol0D4h4o`1E
B`?o05Y81?l0HD83o`1Z>@Co07@Y0ol0PA84o`f?00?o=Id00omT[004oiRj00?oakl01?oBXP03om^6
00Cohfd00ooYF004oni600?olCT01?od;`03ooHX00?omb<01?oh8003ooPN00ConA`00ooi6`0;ooTJ
00?onAd00oog8@04ooDY00?olcD01?o^A@03onUJ00CohG<00ooHT@04olf`00?o//001?mk/P03odRS
00?o79D01?l0QPH3o`1i80Co06hb0ol0ICh4o`1NA@?o05U91?l0E4`3o`1AC@?o04e>1?l0Ad/7o`13
B@?o04I;1?l0C4d3o`1AC@Co05I;0ol0G4L4o`1S@0?o06dd0ol0NB84o`2430?o0HX01?l0R@43o`1n
60Co06`f0ol0EdX4o`0iA@?o02@i0ol073@4o`0J<P?o01Ta1?l06343o`0I<@Co01`c0ol08CL4o`0X
>`?o03101?l0>TD3o`15BP?o04U<1?l0@DP3o`0]?PCo01Ta0ol03BL4o`098POo00PR1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XU0ol052h4o`0S>0?o
03911?l0>4@3o`0d@P?o02`n1?l09CT3o`0O=PCo01Xb0ol05Rl7o`0D;PCo01D^0ol05Rl4o`0H<@?o
020f0ol0=484o`1CC0?o06Hm1?l0MRL7o`1n60?o07LU1?l0KC@3o`1S@0?o05]81?l0E4`3o`1?CPCo
04Q;0ol0@DP4o`0lAP?o03]51?l0?4H3o`10B0Co04I;0ol0CTh3o`1BC@Co05I:0ol0G4H4o`1T?`?o
06hc1?l0NR03o`2710Co89H00om=Y@03oh6d00Co^L800oo>[004omV>00?ohW801?oYFP03oni600Co
lSL00ooe;@04ooHU00?on2400ooh7P04ooTL00?onA/01?oi6@03ooXH00ConQL00ooj5@04oo/E00?o
nQD00ooj5`04ooTL00?ombD01?oc<P03oni500Coj5d00ooONP04omFJ00?ob;/01?nK^P03of>[00?o
<I`01?l8S@03o`1o5PCo07<[0ol0JCT4o`1Q@P?o05]71?l0ET/3o`1BC@?o04m>1?l0BD`3o`14BPCo
04=90ol0ADX4o`1;C@?o051=1?l0ED/3o`1JB0Co06920ol0JcL3o`1f9PCo088@0ol0RP04o`6:00?o
084B1?l0L303o`1KB0Co03m70ol09c/3o`0M=0Co01Xb0ol06C47o`0H<@Co01/c0ol083H4o`0W>`?o
02lo1?l0>D@3o`13B@?o04U<1?l0@dT3o`0`@0Co01/c0ol03RP4o`098`Oo00PR1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XU0ol052h4o`0S>0?o0391
1?l0>4@3o`0d@P?o02`n1?l09CT3o`0O=PCo01Xb0ol05Rl7o`0D;PCo01D^0ol05Rl4o`0H<@?o020f
0ol0=484o`1CC0?o06Hm1?l0MRL7o`1n60?o07LU1?l0KC@3o`1S@0?o05]81?l0E4`3o`1?CPCo04Q;
0ol0@DP4o`0lAP?o03]51?l0?4H3o`10B0Co04I;0ol0CTh3o`1BC@Co05I:0ol0G4H4o`1T?`?o06hc
1?l0NR03o`2710Co89H00om=Y@03oh6d00Co^L800oo>[004omV>00?ohW801?oYFP03oni600ColSL0
0ooe;@04ooHU00?on2400ooh7P04ooTL00?onA/01?oi6@03ooXH00ConQL00ooj5@04oo/E00?onQD0
0ooj5`04ooTL00?ombD01?oc<P03oni500Coj5d00ooONP04omFJ00?ob;/01?nK^P03of>[00?o<I`0
1?l8S@03o`1o5PCo07<[0ol0JCT4o`1Q@P?o05]71?l0ET/3o`1BC@?o04m>1?l0BD`3o`14BPCo04=9
0ol0ADX4o`1;C@?o051=1?l0ED/3o`1JB0Co06920ol0JcL3o`1f9PCo088@0ol0RP04o`6:00?o084B
1?l0L303o`1KB0Co03m70ol09c/3o`0M=0Co01Xb0ol06C47o`0H<@Co01/c0ol083H4o`0W>`?o02lo
1?l0>D@3o`13B@?o04U<1?l0@dT3o`0`@0Co01/c0ol03RP4o`098`Oo00PR1oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XU0ol052h4o`0S>0?o03911?l0
>4@3o`0d@P?o02`n1?l09CT3o`0O=PCo01Xb0ol05Rl7o`0D;PCo01D^0ol05Rl4o`0H<@?o020f0ol0
=484o`1CC0?o06Hm1?l0MRL7o`1n60?o07LU1?l0KC@3o`1S@0?o05]81?l0E4`3o`1?CPCo04Q;0ol0
@DP4o`0lAP?o03]51?l0?4H3o`10B0Co04I;0ol0CTh3o`1BC@Co05I:0ol0G4H4o`1T?`?o06hc1?l0
NR03o`2710Co89H00om=Y@03oh6d00Co^L800oo>[004omV>00?ohW801?oYFP03oni600ColSL00ooe
;@04ooHU00?on2400ooh7P04ooTL00?onA/01?oi6@03ooXH00ConQL00ooj5@04oo/E00?onQD00ooj
5`04ooTL00?ombD01?oc<P03oni500Coj5d00ooONP04omFJ00?ob;/01?nK^P03of>[00?o<I`01?l8
S@03o`1o5PCo07<[0ol0JCT4o`1Q@P?o05]71?l0ET/3o`1BC@?o04m>1?l0BD`3o`14BPCo04=90ol0
ADX4o`1;C@?o051=1?l0ED/3o`1JB0Co06920ol0JcL3o`1f9PCo088@0ol0RP04o`6:00?o084B1?l0
L303o`1KB0Co03m70ol09c/3o`0M=0Co01Xb0ol06C47o`0H<@Co01/c0ol083H4o`0W>`?o02lo1?l0
>D@3o`13B@?o04U<1?l0@dT3o`0`@0Co01/c0ol03RP4o`098`Oo00PR1oooool1o`00007ooooo000M
ooooo`?o00001_ooool7o`067`?o00LP1?l02bD3o`0F;`Co02Dj0ol0<d44o`0hA0?o03=10ol0:cd4
o`0T>@?o01he1?l06C83o`0F;`Oo01@^1?l05Bh3o`0F;`Co01Ta0ol08SP3o`0iA0Co05I;0ol0JCT4
o`1h8`?o07lF1?l0OAT3o`1e9`Co06/g0ol0HD83o`1IB@Co05=<0ol0Cdh4o`16B`?o04181?l0?4H3
o`0kA@Co03e60ol0@TT4o`18C0?o04m>0ol0Dd`4o`1HB@?o05m41?l0Ic/3o`1b;@Co07lF0ol9S@04
oc>M00?oIJ`00onM^`04olVj00?oeIX01?oOO003onMP00CokDX00ooa>@04ooD]00?ombD01?oh8003
ooPM00OonA`00ooi6`04ooTJ00?onQT01?oj5`03ooXE00Cona<01_ok4@04oo/D00?onAX01?og9003
oo<d00CokDX00ooUIP04om^600?ocjT01?ni`P03ogfc00?oAZ<01?lHT`03o`252PCo07LT0ol0K3D4
o`1S@0?o05e61?l0EdX3o`1CC0?o051>1?l0BTd3o`15BPCo04=90ol0ADX4o`19C0?o051>1?l0E4`3
o`1IB@Co06130ol0JCT3o`1d:@Co080D0ol0R@44o`>;00?o08<=1?l0Lb/3o`1NA@Co04E:0ol0:S`3
o`0N=@Co01Xb0ol06C87o`0H<@Co01/b0ol07cH4o`0V>P?o02ho1?l0>4@3o`12B@?o04U<1?l0ADX3
o`0c@@Co01he0ol03bT4o`098`Oo00PR1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo1ol01Ql3o`0780Co00/U0ol05Rl4o`0U>P?o03=11?l0>4@3o`0c@@?o02/m1?l093T3o`0N
=@Co01Tb0ol05Rl7o`0D;PCo01D^0ol05Rl4o`0I<@?o028h0ol0>D@4o`1FB`?o06Ti1?l0N2<3o`1o
5PCo07dI0ol0MBL4o`1[=`?o06520ol0FDT4o`1CC0?o04m>1?l0AT/3o`10B0Co03a60ol0>dD4o`0m
AP?o04991?l0B4`3o`1?CP?o05=<1?l0F4T3o`1OA0Co06Lk0ol0LRd4o`1o5P?o2Hd01?lcW@03ofF/
00?oWK/01?o9^P03omFJ00Cogg`00ooWH004one:00?olCT01?oe;@03ooLU00Con2000ooh7@07ooTL
00?onA/01?oi6P03ooXI00ConQL00ooj5@04oo/C00Kona401?ok5003ooTJ00Comb@00ooc=004one:
00?oiFH01?oKQP03olnY00Co^L800omm/`03odJS00Co69<00ol0Q@X4o`1g90?o06`e1?l0Hd03o`1M
APCo05M:0ol0Dd`3o`1@CPCo04Y=0ol0ADX4o`13B@?o04E:1?l0BD`3o`1@CPCo05A<0ol0FDT4o`1P
@`?o06Ti0ol0M2T4o`2050?o08T11?l3R`03o`233@Co07<[0ol0GTD4o`15BP?o02Xl0ol07SD4o`0J
<P?o01Tb1ol06344o`0K<P?o01lf1?l09SX3o`0^?`Co03Q40ol0@TT3o`19C0Co04E:0ol0<d44o`0N
=@?o00lY1?l02B<7o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo
00HO0ol01b04o`0;9@?o01H_1?l09CX3o`0c@@Co03Q40ol0<d43o`0[?@Co02@i0ol07SD4o`0I<P?o
01H_1ol052h4o`0E;P?o01H_1?l06C43o`0R>0?o03U41?l0ET/3o`1Y>@Co07PS0ol0OaH4o`1m6@?o
07DW1?l0JcL3o`1Q@P?o05U91?l0Dd`3o`1?CPCo04I;0ol0@4P4o`0lAP?o03]51?l0?DH3o`12B@Co
04Q<0ol0Cdh3o`1CC0Co05Q90ol0Gd@4o`1W>`?o078]1?l0OaH3o`V=00Co<id00omU[003oifk00Co
bKX00ooEVP04omml00?oif001?o]BP03oo4i00ComBd00oog9@04ooPP00?on1d01ooi7003ooTK00Co
nAX00ooj6@04ooXG00?onQD01?ok4`06oo/A00Cona@00ooi6P04ooLT00?olc@01?o]BP03onEV00Co
fhH00oo?Z@04okW200?oOK<00om6X`04oaRC00?o08D:1?l0Mb@3o`1/=@Co06=00ol0GDH4o`1GBP?o
05=<0ol0D4h4o`1:C@?o04E:1?l0@dT3o`15BPCo04U<0ol0D4h4o`1DC0?o05U91?l0H4<3o`1Y>@?o
07@Y1?l0P1@3o`290@Co0h/00ol0P`d4o`1c:`?o05i51?l0ADX3o`0Z?0?o01he1?l06S83o`0I<POo
01Pa1?l06c83o`0O=PCo02Hj0ol0;Sl4o`0hA0?o04990ol0BD`4o`15BP?o03=11?l07SD3o`0?:@Co
00TS1ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00LP
1?l032H3o`0G<0Co02Lk0ol0=484o`0gA0?o03910ol0:Sd4o`0T>@?o01he1?l06C43o`0E;`Oo01@^
1?l05Bh3o`0F;`Co01Xb0ol093T3o`0mA`Co05U90ol0K3H4o`1j80?o07lE1?l0O1/3o`1d:PCo06Ti
0ol0H4<3o`1HB@Co059=0ol0CDh4o`15BP?o03m71ol0>dH4o`0nA`?o04=91?l0BT`3o`1@CP?o05A<
1?l0FTP3o`1Q@PCo06Xh0ol0MRL4o`233@?o5i<01?m5XP03og^b00?o]/401?o>Z`03omZ:00Cohf`0
0oo[DP04oo0n00?om2l01?of9@03ooPP00Con1d00ooi7003ooTM00Con1d00ooh7P04ooPM00?onA`0
1?oi6P03ooXG00Cona@00ook4@07oo`?00?ona801?oi6P03ooHW00ColC/00ooZE@04on5d00?oeIP0
1?o8_003oiJi00?oFjT01?lXV@03o`2900Co07/M0ol0Kc44o`1V?@?o05i51?l0FDT3o`1DC0?o051=
1?l0C4d3o`17B`Oo04A:1?l0B4`3o`1?CPCo05=<0ol0F4T4o`1OA0?o06Lk0ol0LR`4o`1n5`?o08P3
1?l4R`03o`252@Co07HV0ol0HD84o`1;C@?o02`n0ol07cH4o`0K<`?o01Tb1?l06C43o`0H<@Co01Xb
0ol07cD4o`0U>P?o02dn1?l0=d<3o`11B0?o04U<1?l0AT/3o`0e@PCo01lf0ol042X4o`098`Oo00PR
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0780Co00`V0ol0
5c04o`0W>`?o03A21?l0=d@3o`0b@@?o02Xm1?l093T3o`0N=@Co01Ta0ol05Bl7o`0D;PCo01D^0ol0
5Rl4o`0J<P?o02@i0ol0?DL4o`1IB@?o06`f1?l0NR03o`1o5@Co07`K0ol0M2X4o`1Y>@?o06130ol0
F4T4o`1BC@?o04e>1?l0ADX3o`0oA`Oo03]61?l0?TL3o`13B@Co04Y<0ol0D4h3o`1DC0Co05Y80ol0
HD84o`1Z>0?o07HW1?l0P`d3oaNC00CoAJ800omk/P03okK100CocZ/00ooJRP04on=/00?oje801?o`
?P03oo@_00ComRD00ooh8004ooPM00?onA`00ooi7@04ooPM00?on1h01?oh7@03ooTL00ConAX00ooj
5`04oo/D00?ona401ool3`03oo/B00ConAX00oof9`04oo4k00?ojUD01?oQM003omFH00Cob;`00onF
^@03oe^Y00Co:9T00ol0R@04o`1k7@?o06la1?l0ISd3o`1NA@Co05U90ol0E4`3o`1@C@Co04a=0ol0
Ad/7o`14BPCo04Q<0ol0Cdh4o`1CC0?o05Q91?l0Gd@3o`1W>`?o078/1?l0OQL3o`280`Co18/00ol0
Q@T4o`1f9P?o06521?l0Bdd3o`0/?P?o01lf1?l06c<3o`0I<PCo01Ta0ol06344o`0J<P?o01le1?l0
9CX3o`0]?PCo03M30ol0@DP3o`19C0Co04I;0ol0=D84o`0O=P?o010Z1?l02B<7o`088POooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol01b04o`0<9P?o01L`1?l09c/3
o`0d@PCo03M40ol0<T43o`0Z?@Co02@i0ol07SD4o`0I<@?o01D_1ol052h4o`0E;P?o01H_1?l06S83
o`0T>@?o03e71?l0FDT3o`1/=PCo07XP0ol0OaD4o`1l6`?o07@Z1?l0JCT3o`1P@`?o05Q91?l0DTd3
o`1=CPCo04E:0ol0?dL7o`0kAPCo03i70ol0@dT4o`1:C0?o051>0ol0E4`4o`1JB0?o06521?l0JSP3
o`1f9`Co08<=0olGT`04odFR00?oNk800onf`@04olj[00?ofXX01?oSK003on]B00Col3h00ood;`04
ooHU00?on2001?oh7@03ooTL00?onAd01?oh7@03ooPN00Con1d00ooi7004ooTJ00?onQL01?ok5003
oo/A00Ooo0l00ook4P04ooTJ00?omRL01?oa>`03onYE00CohG@00ooEV004olRl00?oU[T00omKZ@04
obRI00?o08T01?l0Nad3o`1_<@Co06Hm0ol0GTD4o`1IB@?o05A<0ol0D4d4o`1<C@?o04M;1ol0A4X4
o`18C0?o04m>1?l0Dd`3o`1HB@Co05m40ol0Ic/3o`1b;0Co07hG0ol0R0<4o`B;00?o08D91?l0MRH3
o`1Q@PCo04]=0ol0;3h3o`0O=PCo01/c0ol06C84o`0I<@?o01Pa1?l06S83o`0O=@Co02Dj0ol0;Ch4
o`0g@`?o04580ol0BD`4o`16B`?o03E21?l07cH3o`0@:PCo00TS1ol02287ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool7o`067`?o00LP1?l032H3o`0G<0Co02Lk0ol0=484o`0g
A0?o03910ol0:Sd4o`0T>@?o01he1?l06C43o`0E;`Oo01@^1?l05Bh3o`0F;`Co01Xb0ol093T3o`0m
A`Co05U90ol0K3H4o`1j80?o07lE1?l0O1/3o`1d:PCo06Ti0ol0H4<3o`1HB@Co059=0ol0CDh4o`15
BP?o03m71ol0>dH4o`0nA`?o04=91?l0BT`3o`1@CP?o05A<1?l0FTP3o`1Q@PCo06Xh0ol0MRL4o`23
3@?o5i<01?m5XP03og^b00?o]/401?o>Z`03omZ:00Cohf`00oo[DP04oo0n00?om2l01?of9@03ooPP
00Con1d00ooi7003ooTM00Con1d00ooh7P04ooPM00?onA`01?oi6P03ooXG00Cona@00ook4@07oo`?
00?ona801?oi6P03ooHW00ColC/00ooZE@04on5d00?oeIP01?o8_003oiJi00?oFjT01?lXV@03o`29
00Co07/M0ol0Kc44o`1V?@?o05i51?l0FDT3o`1DC0?o051=1?l0C4d3o`17B`Oo04A:1?l0B4`3o`1?
CPCo05=<0ol0F4T4o`1OA0?o06Lk0ol0LR`4o`1n5`?o08P31?l4R`03o`252@Co07HV0ol0HD84o`1;
C@?o02`n0ol07cH4o`0K<`?o01Tb1?l06C43o`0H<@Co01Xb0ol07cD4o`0U>P?o02dn1?l0=d<3o`11
B0?o04U<1?l0AT/3o`0e@PCo01lf0ol042X4o`098`Oo00PR1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo1ol01Ql3o`078@Co00`W0ol06344o`0X>`?o03E21?l0=d@3o`0b@@?o
02Xl1?l08cP3o`0M=0Co01Pa0ol05Bh7o`0D;PCo01D^0ol05Rl4o`0J<P?o02Lj0ol0@TT4o`1KA`?o
06hc1?l0Nah3o`1o5@Co07`L0ol0Lb`4o`1X>P?o05m40ol0EdX4o`1BC@?o04a=1?l0A4X3o`0nA`Co
03]60ol0?4H4o`0oA`?o04A:1?l0C4d3o`1AC@?o05E;1?l0FdL3o`1S@0Co06dd0ol0NB44o`2810?o
8iL01?mEY`03ohjg00?oa/401?oCWP03omim00Coiel00oo^A`04oo<e00?omRP01?oh8@03ooPM00Co
nA`00ooh7@03ooPO00Con2001ooh8@03ooPP00Con1d00ooi6P04ooXF00?ona400ool3P04ood<00?o
o0d01?ok4P03ooPM00Com2h00oo^A`04onEV00?ofXT01?o=[P03oj^n00?oKJh01?lfWP03o`Z>00Co
07lF0ol0LR`4o`1X>P?o06131?l0FTP3o`1EB`?o055=1?l0CTh3o`18B`Oo04A:1?l0B4/3o`1>CPCo
05==0ol0F4X4o`1NA@?o06Hm0ol0LBh4o`1m6P?o08L51?l5S003o`271@Co07PR0ol0I3l4o`1?CP?o
02lo0ol083H4o`0K<`?o01Xb1?l06C43o`0H<@Co01Xb0ol07SD4o`0U>@?o02`n1?l0=T<3o`11B0?o
04U<1?l0Ad/3o`0g@`Co024g0ol04B/4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo1ol01Ql3o`078@Co00`W0ol06344o`0X>`?o03E21?l0=d@3o`0b@@?o02Xl
1?l08cP3o`0M=0Co01Pa0ol05Bh7o`0D;PCo01D^0ol05Rl4o`0J<P?o02Lj0ol0@TT4o`1KA`?o06hc
1?l0Nah3o`1o5@Co07`L0ol0Lb`4o`1X>P?o05m40ol0EdX4o`1BC@?o04a=1?l0A4X3o`0nA`Co03]6
0ol0?4H4o`0oA`?o04A:1?l0C4d3o`1AC@?o05E;1?l0FdL3o`1S@0Co06dd0ol0NB44o`2810?o8iL0
1?mEY`03ohjg00?oa/401?oCWP03omim00Coiel00oo^A`04oo<e00?omRP01?oh8@03ooPM00ConA`0
0ooh7@03ooPO00Con2001ooh8@03ooPP00Con1d00ooi6P04ooXF00?ona400ool3P04ood<00?oo0d0
1?ok4P03ooPM00Com2h00oo^A`04onEV00?ofXT01?o=[P03oj^n00?oKJh01?lfWP03o`Z>00Co07lF
0ol0LR`4o`1X>P?o06131?l0FTP3o`1EB`?o055=1?l0CTh3o`18B`Oo04A:1?l0B4/3o`1>CPCo05==
0ol0F4X4o`1NA@?o06Hm0ol0LBh4o`1m6P?o08L51?l5S003o`271@Co07PR0ol0I3l4o`1?CP?o02lo
0ol083H4o`0K<`?o01Xb1?l06C43o`0H<@Co01Xb0ol07SD4o`0U>@?o02`n1?l0=T<3o`11B0?o04U<
1?l0Ad/3o`0g@`Co024g0ol04B/4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo1ol01Ql3o`078@Co00`W0ol06344o`0X>`?o03E21?l0=d@3o`0b@@?o02Xl1?l0
8cP3o`0M=0Co01Pa0ol05Bh7o`0D;PCo01D^0ol05Rl4o`0J<P?o02Lj0ol0@TT4o`1KA`?o06hc1?l0
Nah3o`1o5@Co07`L0ol0Lb`4o`1X>P?o05m40ol0EdX4o`1BC@?o04a=1?l0A4X3o`0nA`Co03]60ol0
?4H4o`0oA`?o04A:1?l0C4d3o`1AC@?o05E;1?l0FdL3o`1S@0Co06dd0ol0NB44o`2810?o8iL01?mE
Y`03ohjg00?oa/401?oCWP03omim00Coiel00oo^A`04oo<e00?omRP01?oh8@03ooPM00ConA`00ooh
7@03ooPO00Con2001ooh8@03ooPP00Con1d00ooi6P04ooXF00?ona400ool3P04ood<00?oo0d01?ok
4P03ooPM00Com2h00oo^A`04onEV00?ofXT01?o=[P03oj^n00?oKJh01?lfWP03o`Z>00Co07lF0ol0
LR`4o`1X>P?o06131?l0FTP3o`1EB`?o055=1?l0CTh3o`18B`Oo04A:1?l0B4/3o`1>CPCo05==0ol0
F4X4o`1NA@?o06Hm0ol0LBh4o`1m6P?o08L51?l5S003o`271@Co07PR0ol0I3l4o`1?CP?o02lo0ol0
83H4o`0K<`?o01Xb1?l06C43o`0H<@Co01Xb0ol07SD4o`0U>@?o02`n1?l0=T<3o`11B0?o04U<1?l0
Ad/3o`0g@`Co024g0ol04B/4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo1ol01Ql3o`078@Co00dW0ol06C44o`0Y?0?o03E31?l0=d<3o`0a@0?o02Tl1?l08cP3
o`0M=0Co01Pa0ol05Bh7o`0D;PCo01D_0ol05c04o`0K<`?o02Pk0ol0ADX4o`1MA@?o070`1?l0O1`3
o`205@Co07/M0ol0LRd4o`1W?0?o05i50ol0EdX4o`1AC@?o04]=1?l0@dT3o`0nA`Co03]60ol0?4H4
o`10B0?o04I:1?l0CDh3o`1BC@?o05I:1?l0GDH3o`1U?PCo06la0ol0O1/4o`>;00?o;Y/01?mS[003
oink00?ob[L01?oGU003on5b00CojUD00oo`?`04oo@^00?omb<01?oh7P03ooTL00ConAd00ooh7`03
ooLQ00Comb<01oog9@03ooLS00Con2400ooi7@04ooXH00?ona<00ool3P04ood;00?oo@X01?ol3@03
ooXF00ComRD00ooa?004onUJ00?ogWd01?oBX`03okg300?oOK<01?m3XP03oa>A00Co088@0ol0MBP4
o`1Z>0?o06521?l0FdL3o`1FB`?o059=1?l0Cdh3o`18C0Co04E:0ol0A4X4o`17B`?o04i>1?l0DTd3
o`1GBPCo05e60ol0ICh3o`1`<0Co07`L0ol0QPH4o`F<00?o08P31?l0NQl3o`1V?@Co055=0ol0<D03
o`0Q=`Co01/c0ol06S84o`0I<@?o01Pa1?l06S83o`0N=@Co02@i0ol0;3d4o`0e@P?o04180ol0BD`4
o`18B`?o03Q41?l08cP3o`0B;0Co00XT1ol02287ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool7o`067`?o00LQ1?l03BL3o`0I<@Co02Tl0ol0=D<4o`0g@`?o03500ol0:C`4o`0S
>0?o01dd1?l06343o`0E;POo01@^1?l05Bl3o`0G<0Co01/c0ol0:3/3o`15BPCo05e50ol0L304o`1l
70?o080E1?l0Nad3o`1b;@Co06Ll0ol0GTD3o`1GBPCo055=0ol0Bdd4o`13B@?o03i71?l0>dH3o`0l
APCo04180ol0ATX4o`1=CP?o059=0ol0ETX4o`1MAP?o06Dn1?l0Kc43o`1l6`Co0h/00ol^V`04of>/
00?oWk/00oo:]`04omND00?ohG801?oZE@03oo0o00Com2h00oog8`04ooPN00?onA`01?oi7@03ooPO
00?omb401?og8`07ooLU00?omb<01?oh8@03ooTM00ConQP00ook4`03oo`>00Coo@/00oom2P04oo`=
00?onQH01?of9@03oo4l00CojEX00ooNO@04om:S00?o_L<00omm/`04od>R00?o4i401?l0PQ03o`1e
:0Co06Xh0ol0HD84o`1KA`?o05I;0ol0DTd4o`1?CP?o04Q<1?l0ADX3o`14BPCo04M;0ol0CTh4o`1B
C@?o05M:1?l0GDH3o`1U?P?o070`1?l0O1`3o`261PCo1H`00ol0R0<4o`1j7`?o06Hm1?l0DDd3o`0a
@0?o024g1?l06c<3o`0J<PCo01Ta0ol06344o`0J<P?o01he1?l093T3o`0/?@Co03E20ol0@4P3o`19
C0Co04Q;0ol0>4@4o`0S>0?o018/1?l02R@7o`088POooooo0Ol00001ooooo`007Oooool3o`0000Ko
oooo1ol01Ql3o`078@Co00dW0ol06C44o`0Y?0?o03E31?l0=d<3o`0a@0?o02Tl1?l08cP3o`0M=0Co
01Pa0ol05Bh7o`0D;PCo01D_0ol05c04o`0K<`?o02Pk0ol0ADX4o`1MA@?o070`1?l0O1`3o`205@Co
07/M0ol0LRd4o`1W?0?o05i50ol0EdX4o`1AC@?o04]=1?l0@dT3o`0nA`Co03]60ol0?4H4o`10B0?o
04I:1?l0CDh3o`1BC@?o05I:1?l0GDH3o`1U?PCo06la0ol0O1/4o`>;00?o;Y/01?mS[003oink00?o
b[L01?oGU003on5b00CojUD00oo`?`04oo@^00?omb<01?oh7P03ooTL00ConAd00ooh7`03ooLQ00Co
mb<01oog9@03ooLS00Con2400ooi7@04ooXH00?ona<00ool3P04ood;00?oo@X01?ol3@03ooXF00Co
mRD00ooa?004onUJ00?ogWd01?oBX`03okg300?oOK<01?m3XP03oa>A00Co088@0ol0MBP4o`1Z>0?o
06521?l0FdL3o`1FB`?o059=1?l0Cdh3o`18C0Co04E:0ol0A4X4o`17B`?o04i>1?l0DTd3o`1GBPCo
05e60ol0ICh3o`1`<0Co07`L0ol0QPH4o`F<00?o08P31?l0NQl3o`1V?@Co055=0ol0<D03o`0Q=`Co
01/c0ol06S84o`0I<@?o01Pa1?l06S83o`0N=@Co02@i0ol0;3d4o`0e@P?o04180ol0BD`4o`18B`?o
03Q41?l08cP3o`0B;0Co00XT1ol02286ooooo`;o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`067`?o00LQ1?l03BL3o`0I<@Co02Tl0ol0=D<4o`0g@`?o03500ol0:C`4o`0S>0?o01dd
1?l06343o`0E;POo01@^1?l05Bl3o`0G<0Co01/c0ol0:3/3o`15BPCo05e50ol0L304o`1l70?o080E
1?l0Nad3o`1b;@Co06Ll0ol0GTD3o`1GBPCo055=0ol0Bdd4o`13B@?o03i71?l0>dH3o`0lAPCo0418
0ol0ATX4o`1=CP?o059=0ol0ETX4o`1MAP?o06Dn1?l0Kc43o`1l6`Co0h/00ol^V`04of>/00?oWk/0
0oo:]`04omND00?ohG801?oZE@03oo0o00Com2h00oog8`04ooPN00?onA`01?oi7@03ooPO00?omb40
1?og8`07ooLU00?omb<01?oh8@03ooTM00ConQP00ook4`03oo`>00Coo@/00oom2P04oo`=00?onQH0
1?of9@03oo4l00CojEX00ooNO@04om:S00?o_L<00omm/`04od>R00?o4i401?l0PQ03o`1e:0Co06Xh
0ol0HD84o`1KA`?o05I;0ol0DTd4o`1?CP?o04Q<1?l0ADX3o`14BPCo04M;0ol0CTh4o`1BC@?o05M:
1?l0GDH3o`1U?P?o070`1?l0O1`3o`261PCo1H`00ol0R0<4o`1j7`?o06Hm1?l0DDd3o`0a@0?o024g
1?l06c<3o`0J<PCo01Ta0ol06344o`0J<P?o01he1?l093T3o`0/?@Co03E20ol0@4P3o`19C0Co04Q;
0ol0>4@4o`0S>0?o018/1?l02R@7o`088POooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`Oo00HO0ol01b44o`0=:0?o01Xb1?l0:Sd3o`0f@`Co03M30ol0<D03o`0Y?0Co028h0ol0
7C@4o`0H<@?o01D^1?l052h3o`0E;PCo01D_0ol05c04o`0L<`?o02Xl0ol0B4`4o`1OA0?o074_1?l0
OAX3o`205@Co07/N0ol0LBh4o`1V?0?o05e60ol0ET/4o`1AC@?o04Y=1?l0@dT3o`0mA`Co03]60ol0
?4H4o`10B0?o04I;1?l0CTh3o`1BC@?o05M:1?l0GTD3o`1V?@Co074^0ol0OaL4o`Z>00?o=ih01?m^
[`03ojbo00?ocJl01?oJR`03onAZ00Cok4h00oob>004ooHY00?on2001ooi7004ooPM00?on2000oog
8`04ooHV00OomRP00oof9`04ooLT00?on2001?oi6P03oo/E00?oo0l01?om2P03ooh800Coo@X00ool
4@04ooPN00?olc@01?o[D003on5c00CoeIX00oo6`@03ohVf00CoCJD00olKU004o`252P?o07LU1?l0
JcH3o`1S@@Co05a70ol0EdX3o`1BC@Co04m>0ol0BD`4o`15BP?o04A:1?l0Ad/3o`1=CPCo059=0ol0
EdX4o`1MAP?o06Dn0ol0Kc44o`1k7P?o08H71?l5S003o`290@Co07`L0ol0J3/4o`1BC@?o03=10ol0
8SL4o`0K<`?o01Xb1?l06C43o`0H<@Co01Xb0ol07SD4o`0T>@?o02/m1?l0=D83o`0oB0?o04U<1?l0
B4`3o`0jA@Co02@i0ol04b`4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo1ol01Ql3o`078@Co00dX0ol06S84o`0Z?@?o03I31?l0=d<3o`0a@0?o02Tl1?l08SP3
o`0M=0Co01Pa0ol05Bh4o`0D;P?o01D^1?l05Bl3o`0G<0Co01`c0ol0:S`3o`18C0Co05m40ol0LBl4
o`1m6P?o080E1?l0Nah3o`1a;PCo06Hl0ol0GDH3o`1FB`Co055=0ol0BTd4o`13B@?o03e71?l0>dH3
o`0lAPCo04180ol0AT/4o`1>CP?o059=0ol0EdX4o`1NA@?o06Hm1?l0LBh3o`1o5`Co2Xh00olgWP04
ofj_00?o[;l00oo=[`04omZ;00?oi6X01?o/CP03oo8h00ComRT00ooh8007ooTL00Con1d00ooh8003
ooLS00ComRH01oof:003ooHW00Comb@00ooh8004ooTJ00?onaD00ool3`04ood:00?ooPP01?om2P03
oo`A00Con1h00ooc=004on]@00?ohG<01?oEVP03olK100?oRKH01?m=Y@03oa^D00Co08D:0ol0MbD4
o`1[=P?o06=11?l0G4L3o`1GBP?o059=1?l0Cdh3o`19C0Co04E:0ol0A4X4o`17B`?o04e>1?l0DTd3
o`1GBPCo05e60ol0ICh3o`1_<@Co07/N0ol0QPL4o`F<00?o08T11?l0O1`3o`1X>`Co059=0ol0<d43
o`0R=`Co01/c0ol06S84o`0I<@?o01Pa1?l06S83o`0N=@Co02@i0ol0:cd4o`0e@P?o03m80ol0BD`4
o`18C0?o03Y51?l093T3o`0C;0Co00XT1ol02287ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool7o`067`?o00LQ1?l03BP3o`0J<PCo02Xm0ol0=T<4o`0g@`?o03500ol0:C`4o`0R
>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0E;`?o01L`1?l073<3o`0Z?0?o04Q<1?l0Gd@3o`1a
;`Co07dJ0ol0P1D4o`1k7P?o074^1?l0IS`3o`1MAP?o05I;1?l0DDd3o`1:C@Co04=90ol0?DL4o`0k
AP?o03a61?l0@4P3o`16B`Co04i>0ol0DTd3o`1GBPCo05i50ol0ISd4o`1a;P?o07lG1?l:SP03ocNN
00CoKZl00on/_`03olf_00CofX/00ooTJP04ona>00?olSP01?of:@03ooPP00OonA`01?oh7@03ooPP
00?omb<01?of9P07ooHX00?omRL01?og9003ooPP00ConAX00ook5@03oo`?00Coo@X00oon2004ood:
00?oo1401?oh7P03oo<d00Coje000ooQL`04omFJ00?oa/400on9]P04odfU00?o6i@01?l0Q@X3o`1g
9@Co06/f0ol0Hd44o`1LA`?o05M:0ol0DTd4o`1?CP?o04U<1?l0ADX3o`14BPCo04M;0ol0CDh4o`1B
C@?o05M:1?l0GDH3o`1U?P?o06la1?l0Nah3o`261`Co1H`00ol0R@44o`1l70?o06Pk1?l0DTd3o`0c
@@?o028g1?l06c<3o`0J<PCo01Ta0ol06344o`0J<P?o01he1?l093T3o`0[?@Co03E20ol0?dP3o`19
C0Co04Q<0ol0>TD4o`0T>@?o01</1?l02R@7o`088POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`Oo00HO0ol02244o`0>:0?o01Xb1?l0:cd3o`0f@`Co03M30ol0<403o`0Y?0Co
028h0ol07C@4o`0H<@?o01D^1?l052h3o`0E;PCo01D_0ol05c04o`0L=0?o02/m0ol0BT`4o`1P@`?o
078]1?l0OAX3o`205@Co07XO0ol0L2l4o`1V?@?o05e60ol0ET/4o`1AC@?o04Y<1?l0@TT3o`0mA`Co
03]60ol0?DH4o`11B0?o04M;1?l0Cdh3o`1CC0?o05Q:1?l0GT@3o`1W>`Co07</0ol0P1@4o`n@00?o
?Z001?mf/@03okG100?ocjT01?oLQ@03onIT00CokDT00ooc=004ooHV00?on1h01ooi6`04ooPN00?o
n2400oog9@04ooHX00?omBT01?oe:P03ooHY00ComRH00oog8@04ooTL00?onQD00ool3`04ood:00?o
oPH01?on1`03oo`=00ConAX00ood;P04one:00?ohfd01?oGU003olRk00?oT[P01?mDY`03ob2F00Co
08H70ol0N2<4o`1]=@?o06=01?l0G4H3o`1GBP?o05=<1?l0Cdh3o`1:C0Co04E:0ol0A4X4o`17B`?o
04e>1?l0DTd3o`1FBPCo05a60ol0I3l3o`1^<PCo07XO0ol0QPP4o`F<00?o08T01?l0OAX3o`1Y>@Co
05=<0ol0=483o`0R>0Co01`c0ol06S84o`0I<@?o01Pa1?l06S83o`0M=@Co02@i0ol0:cd4o`0d@P?o
03m70ol0B4`4o`19C0?o03Y51?l093T3o`0C;@Co00XU1ol02287ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool7o`067`?o00PQ1?l03RP3o`0J<PCo02/m0ol0=T<4o`0g@`?o0310
0ol0:C`4o`0R>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0E;`?o01L`1?l073@3o`0[?@?o04Y<
1?l0H4<3o`1b;@Co07dJ0ol0P1D4o`1j7`?o070_1?l0ISd3o`1MAP?o05I;1?l0DDd3o`1:C0Co0499
0ol0?DL4o`0kAP?o03e61?l0@DP3o`17B`Co04m>0ol0Dd`3o`1HBPCo05i40ol0Ic/4o`1c;0?o080D
1?l?T003ocjP00CoM[400one`@03olnY00Cog8D00ooVI004one900?olc@01?of9P03ooPN00OonA/0
1?oh7P03ooPQ00?ombD01?of:003ooDY00ComBX00oof:@04ooHV00?omb401?oi7003ooXE00?oo0l0
1?om2P03ooh600CooPL00ool3@04ooTJ00?om2h01?o]BP03on=]00Coei@00oo8^`03oi:h00CoE:L0
0olPUP04o`261`?o07PS1?l0KCD3o`1S@0Co05a60ol0EdX3o`1CC0Co04m>0ol0BT`4o`15BP?o04A:
1?l0Ad/3o`1=CPCo059=0ol0ETX4o`1LAP?o06@o0ol0KS84o`1j7`?o08H81?l5S003o`2900Co07dJ
0ol0JCT4o`1CC0?o03A20ol08SP4o`0L<`?o01Xb1?l06C43o`0H<@Co01Xb0ol07CD4o`0T>@?o02/m
1?l0=483o`0oA`?o04Q<1?l0BD`3o`0jA@Co02@i0ol04bd4o`0:9@Oo00PR1oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`088@Co00hX0ol06S84o`0[?@?o03I31?l0
=d<3o`0`@0?o02Tl1?l08SP3o`0M=0Co01Pa0ol05Bh4o`0D;P?o01D^1?l05Bl3o`0G<0Co01`d0ol0
:cd3o`1:C0Co06130ol0LRd4o`1m6P?o080E1?l0NQl3o`1`;`Co06Hm0ol0GDH3o`1FB`Co055=0ol0
BT`4o`12B@?o03e71?l0>dH3o`0mAPCo04580ol0Ad/4o`1?CP?o05=<0ol0F4X4o`1NA0?o06Lk1?l0
Lb`3o`2050Co3i000olnX004ogJa00?o]L400oo?Z@04omb500?oiV@01?o]B@03oo<d00ComRH00ooh
7P07ooTK00Con1h00ooh8@03ooLU00ComRP00ooe:@04ooDZ00?omRT01?of9P03ooLQ00ConA`00ooj
5@03oo`?00Coo@X00oon1P04ooh700?oo0d01?oi6P03oo@^00CokDX00ooSK@04omND00?ob;/00onB
^004oeBW00?o89H01?l0QPL3o`1h8`Co06de0ol0Hd04o`1LAP?o05M:0ol0Dd`4o`1?CP?o04Y<1?l0
ADX3o`14BPCo04M;0ol0CDh4o`1BC@?o05I:1?l0G4H3o`1T?`?o06hb1?l0NQl3o`2620Co1H`00ol0
R@04o`1m6P?o06Ti1?l0Dd`3o`0d@P?o028h1?l073<3o`0J<PCo01Ta0ol06344o`0J<P?o01de1?l0
93T3o`0[?@Co03A20ol0?dL3o`18C0Co04U<0ol0>TD4o`0T>@?o01<]1?l02RD7o`088POooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol02244o`0>:0?o01Xb1?l0:cd3
o`0f@`Co03M30ol0<403o`0Y?0Co028h0ol07C@4o`0H<@?o01D^1?l052h3o`0E;PCo01D_0ol05c04
o`0L=0?o02/m0ol0BT`4o`1P@`?o078]1?l0OAX3o`205@Co07XO0ol0L2l4o`1V?@?o05e60ol0ET/4
o`1AC@?o04Y<1?l0@TT3o`0mA`Co03]60ol0?DH4o`11B0?o04M;1?l0Cdh3o`1CC0?o05Q:1?l0GT@3
o`1W>`Co07</0ol0P1@4o`n@00?o?Z001?mf/@03okG100?ocjT01?oLQ@03onIT00CokDT00ooc=004
ooHV00?on1h01ooi6`04ooPN00?on2400oog9@04ooHX00?omBT01?oe:P03ooHY00ComRH00oog8@04
ooTL00?onQD00ool3`04ood:00?ooPH01?on1`03oo`=00ConAX00ood;P04one:00?ohfd01?oGU003
olRk00?oT[P01?mDY`03ob2F00Co08H70ol0N2<4o`1]=@?o06=01?l0G4H3o`1GBP?o05=<1?l0Cdh3
o`1:C0Co04E:0ol0A4X4o`17B`?o04e>1?l0DTd3o`1FBPCo05a60ol0I3l3o`1^<PCo07XO0ol0QPP4
o`F<00?o08T01?l0OAX3o`1Y>@Co05=<0ol0=483o`0R>0Co01`c0ol06S84o`0I<@?o01Pa1?l06S83
o`0M=@Co02@i0ol0:cd4o`0d@P?o03m70ol0B4`4o`19C0?o03Y51?l093T3o`0C;@Co00XU1ol02287
ooooo`7o00000Oooool001Cooooo0_l00007ooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`08
8@Co00hX0ol06c<4o`0[?@?o03I31?l0=d<3o`0`@0?o02Tl1?l08SP3o`0M=0Co01Pa0ol05Bh4o`0D
;P?o01D^1?l05Bl3o`0G<0Co01`d0ol0:cd3o`1;C@Co06130ol0LR`4o`1m6@?o080D1?l0NQl3o`1`
;`Co06Hm0ol0GDH3o`1FB`Co055=0ol0BT`4o`12B@?o03e71?l0?4H3o`0mAPCo04580ol0B4/4o`1?
CP?o05=<0ol0F4T4o`1OA0?o06Pk1?l0Lb/3o`214PCo4I400om1X@04og^b00?o^/800oo@YP04omf2
00?oif401?o^AP03oo<a00Comb<00ooi7004ooTI00?onAX01?oh7@03ooPQ00?ombD01?of:007ooDZ
00?omRT01?of9P03ooLR00ConA`00ooj5@03oo`?00Coo@T01oon1@03ood:00ConQL00ooe:`04oni6
00?oi6T01?oHT003olZh00?oUkT01?mHZ003ob>G00Co08L40ol0NB44o`1]=0?o06@o1?l0GDH3o`1G
BP?o05=<1?l0D4h3o`1:C@Co04I:0ol0A4X4o`17B`?o04e>1?l0DTd3o`1FBPCo05a60ol0I3l3o`1^
<PCo07XO0ol0Q@P4o`F<00?o08X01?l0OAT3o`1Z>@Co05A<0ol0=D83o`0R>0Co01`c0ol06S84o`0I
<@?o01Pa1?l06S83o`0M=@Co02@i0ol0:cd4o`0d@P?o03m71ol0BD`3o`0kA@Co02Di0ol04bd4o`0:
9@Oo00PR1oooool1o`00007ooooo000Cooooo`04o`000?ooooooooooo`0000Kooooo00?o0000oooo
ooooool01_ooool7o`067`?o00PQ1?l03RP3o`0K<`Co02/m0ol0=T<4o`0g@`?o03100ol0:C`4o`0R
>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0E;`?o01L`1?l073@3o`0[?@?o04]=1?l0H4<3o`1b
;0Co07dI0ol0P1@4o`1j7`?o070_1?l0ISd3o`1MAP?o05I;1?l0DDd3o`1:C0Co04990ol0?DL4o`0l
AP?o03e61?l0@DP3o`18B`Co04m>0ol0Dd`3o`1HB@Co05m40ol0J3/4o`1c:`?o084B1?lAT@03od6Q
00CoNk800onj`P03om2V00CogH800ooWH@04oni600?olc401?og8`03ooTL00ConAT00ooi6P04ooPM
00?on2400oog9@04ooHX00OomBX00oof:@04ooHV00?omb801?oi7003ooXE00?oo0l01?om2@07ooh5
00?oo@X01?oj5`03ooD[00CokTH00ooTJ@04omR@00?ob[P00onG^@04oeRX00?o8iL01?l0Q`@3o`1i
8@Co06dd0ol0I3l4o`1MAP?o05M:0ol0Dd`4o`1@CP?o04Y=1?l0ATX3o`14BPCo04M;0ol0CDh4o`1B
C@?o05I:1?l0G4H3o`1T?`?o06hb1?l0NQl3o`2520Co1H`00ol0RP04o`1m6@?o06Xi1?l0E4`3o`0e
@P?o028h1?l073<3o`0J<PCo01Ta0ol06344o`0J<P?o01de1?l093T3o`0[?@Co03A20ol0?dL7o`19
C0?o03]51?l09CT3o`0C;@Co00XU1ol02287ooooo`7o00000Oooool001?ooooo00Co0000oooooooo
oooo00001_ooool4o`0000Gooooo1ol01Ql3o`088@Co00hX0ol06c<4o`0[?@?o03I31?l0=d<3o`0`
@0?o02Tl1?l08SP3o`0M=0Co01Pa0ol05Bh4o`0D;P?o01D^1?l05Bl3o`0G<0Co01`d0ol0:cd3o`1;
C@Co06130ol0LR`4o`1m6@?o080D1?l0NQl3o`1`;`Co06Hm0ol0GDH3o`1FB`Co055=0ol0BT`4o`12
B@?o03e71?l0?4H3o`0mAPCo04580ol0B4/4o`1?CP?o05=<0ol0F4T4o`1OA0?o06Pk1?l0Lb/3o`21
4PCo4I400om1X@04og^b00?o^/800oo@YP04omf200?oif401?o^AP03oo<a00Comb<00ooi7004ooTI
00?onAX01?oh7@03ooPQ00?ombD01?of:007ooDZ00?omRT01?of9P03ooLR00ConA`00ooj5@03oo`?
00Coo@T01oon1@03ood:00ConQL00ooe:`04oni600?oi6T01?oHT003olZh00?oUkT01?mHZ003ob>G
00Co08L40ol0NB44o`1]=0?o06@o1?l0GDH3o`1GBP?o05=<1?l0D4h3o`1:C@Co04I:0ol0A4X4o`17
B`?o04e>1?l0DTd3o`1FBPCo05a60ol0I3l3o`1^<PCo07XO0ol0Q@P4o`F<00?o08X01?l0OAT3o`1Z
>@Co05A<0ol0=D83o`0R>0Co01`c0ol06S84o`0I<@?o01Pa1?l06S83o`0M=@Co02@i0ol0:cd4o`0d
@P?o03m71ol0BD`3o`0kA@Co02Di0ol04bd4o`0:9@Oo00PR1Oooool3o`00007ooooo000Cooooo`04
o`000?ooooooooooo`0000Kooooo00?o0000ooooooooool01_ooool7o`067`?o00PQ1?l03RP3o`0K
<`Co02/m0ol0=T<4o`0g@`?o03500ol0:C`4o`0R>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0F
;`?o01L`1?l073@3o`0/?@?o04]=1?l0H4<3o`1b;0Co07hI0ol0P1@4o`1j7`?o070_1?l0ISd3o`1M
AP?o05I;1?l0DDd3o`1:C0Co04990ol0?DL4o`0lAP?o03e61?l0@DP3o`18B`Co04m>0ol0Dd`3o`1H
B@Co05m40ol0J3/4o`1c:`?o084A1?lBT@03od:R00CoNk800onk`P03om6V00CogH400ooWH004oni4
00?om3001?og8P03ooTK00ConQP00ooj6@04ooTL00?on2000oog8`04ooHW00OomRT00oof:004ooLU
00?on2001?oi6`03oo/D00?oo0d01?on1`07ool400?oo@T01?oj5@03ooDY00CokTD00ooUJ004omR?
00?ob[L00onH^P04oeVY00?o99L01?l0Q`@3o`1i8@Co06dd0ol0I3l4o`1MAP?o05Q:0ol0Dd`4o`1@
CP?o04Y=1?l0AT/3o`15BPCo04M;0ol0CDh4o`1BC@?o05I:1?l0G4H3o`1T?`?o06hb1?l0NQl3o`26
20Co1X`00ol0RP04o`1m6@?o06Xh1?l0E4`3o`0e@P?o028h1?l073<3o`0J<POo01Ta1?l06S83o`0N
=@Co02@i0ol0:cd4o`0d@P?o03m71ol0BD`3o`0kA@Co02Di0ol04bd4o`0:9@Oo00PR1oooool1o`00
007ooooo000Cooooo`04o`000?ooooooooooo`0000Kooooo00?o0000ooooooooool01_ooool7o`06
7`?o00PQ1?l03RP3o`0K<`Co02/m0ol0=T<4o`0g@`?o03500ol0:C`4o`0R>0?o01dd1?l06343o`0E
;PCo01@^0ol05Bh4o`0F;`?o01L`1?l073@3o`0/?@?o04]=1?l0H4<3o`1b;0Co07hI0ol0P1@4o`1j
7`?o070_1?l0ISd3o`1MAP?o05I;1?l0DDd3o`1:C0Co04990ol0?DL4o`0lAP?o03e61?l0@DP3o`18
B`Co04m>0ol0Dd`3o`1HB@Co05m40ol0J3/4o`1c:`?o084A1?lBT@03od:R00CoNk800onk`P03om6V
00CogH400ooWH004oni400?om3001?og8P03ooTK00ConQP00ooj6@04ooTL00?on2000oog8`04ooHW
00OomRT00oof:004ooLU00?on2001?oi6`03oo/D00?oo0d01?on1`07ool400?oo@T01?oj5@03ooDY
00CokTD00ooUJ004omR?00?ob[L00onH^P04oeVY00?o99L01?l0Q`@3o`1i8@Co06dd0ol0I3l4o`1M
AP?o05Q:0ol0Dd`4o`1@CP?o04Y=1?l0AT/3o`15BPCo04M;0ol0CDh4o`1BC@?o05I:1?l0G4H3o`1T
?`?o06hb1?l0NQl3o`2620Co1X`00ol0RP04o`1m6@?o06Xh1?l0E4`3o`0e@P?o028h1?l073<3o`0J
<POo01Ta1?l06S83o`0N=@Co02@i0ol0:cd4o`0d@P?o03m71ol0BD`3o`0kA@Co02Di0ol04bd4o`0:
9@Oo00PR1oooool1o`00007ooooo000Cooooo`04o`000?ooooooooooo`0000Kooooo00?o0000oooo
ooooool01_ooool7o`067`?o00PQ1?l03RP3o`0K<`Co02/m0ol0=T<4o`0g@`?o03500ol0:C`4o`0R
>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0F;`?o01L`1?l073@3o`0/?@?o04]=1?l0H4<3o`1b
;0Co07hI0ol0P1@4o`1j7`?o070_1?l0ISd3o`1MAP?o05I;1?l0DDd3o`1:C0Co04990ol0?DL4o`0l
AP?o03e61?l0@DP3o`18B`Co04m>0ol0Dd`3o`1HB@Co05m40ol0J3/4o`1c:`?o084A1?lBT@03od:R
00CoNk800onk`P03om6V00CogH400ooWH004oni400?om3001?og8P03ooTK00ConQP00ooj6@04ooTL
00?on2000oog8`04ooHW00OomRT00oof:004ooLU00?on2001?oi6`03oo/D00?oo0d01?on1`07ool4
00?oo@T01?oj5@03ooDY00CokTD00ooUJ004omR?00?ob[L00onH^P04oeVY00?o99L01?l0Q`@3o`1i
8@Co06dd0ol0I3l4o`1MAP?o05Q:0ol0Dd`4o`1@CP?o04Y=1?l0AT/3o`15BPCo04M;0ol0CDh4o`1B
C@?o05I:1?l0G4H3o`1T?`?o06hb1?l0NQl3o`2620Co1X`00ol0RP04o`1m6@?o06Xh1?l0E4`3o`0e
@P?o028h1?l073<3o`0J<POo01Ta1?l06S83o`0N=@Co02@i0ol0:cd4o`0d@P?o03m71ol0BD`3o`0k
A@Co02Di0ol04bd4o`0:9@Oo00PR1oooool1o`00007ooooo000Dooooo`;o00001oooool00ol0003o
ooooooooo`06ooooo`Oo00HO0ol02244o`0>:0?o01/c1?l0:cd3o`0f@`Co03M40ol0<D03o`0Y?0Co
028h0ol07C@4o`0H<@?o01D^1?l052h3o`0E;PCo01H_0ol05c04o`0L=0?o02/m0ol0Bdd4o`1P@`?o
078]1?l0OQT3o`2050Co07/N0ol0LBl4o`1V?@?o05e60ol0ET/4o`1AC@?o04Y=1?l0@dT3o`0nA`Co
03a60ol0?DH4o`11B0?o04Q;1?l0Cdh3o`1CC0?o05Q91?l0Gd@3o`1X>`Co07<[0ol0PA<4oa2@00?o
?j401?mi/P03okS100?od:L01?oLP`03onIQ00CokTD00ood<004ooLR00?onAX01ooj5`04ooTJ00?o
n1d00ooh8@04ooLT00OomRH00oog9@04ooLR00?on1d01?oj6003oo/A00?oo@/01?on1@03ool200Co
o`<00oom2@04ooXF00?omBX01?o^A`03onAZ00Cof9400oo9^@03oiFi00CoEZP00olRU`04o`271@?o
07TR1?l0KC@3o`1T?`Co05e60ol0EdX3o`1CC0Co051>0ol0BTd4o`16B`?o04E:1?l0Ad/3o`1=CPCo
059=0ol0EdX4o`1MAP?o06Dn0ol0Kc44o`1k7P?o08H71?l6S003o`2:00Co07dI0ol0JCT4o`1DC0?o
03E20ol08SP4o`0L<`?o01Xb1ol06C44o`0J<P?o01he1?l093T3o`0/?@Co03E20ol0@4P7o`19C0?o
03]51?l09CT3o`0C;@Co00XU1ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`067`?o00PQ1?l03RP3o`0K<`Co02/m0ol0=T<4o`0gA0?o03500ol0:C`4o`0R>0?o01dd
1?l06343o`0E;PCo01@^0ol05Bh4o`0F;`?o01L`1?l073@3o`0[?@?o04]=1?l0H4<3o`1b;@Co07hI
0ol0P1@4o`1k7P?o074_1?l0ISd3o`1MAP?o05I;1?l0DDd3o`1:C@Co04=90ol0?TL4o`0lAP?o03e6
1?l0@DP3o`18B`Co04m>0ol0Dd`3o`1HB@Co05m40ol0J3/4o`1c:`?o084C1?l@T003ocnQ00CoNK80
0onh`@03om2W00Cog8<00ooVH@04oni500?om3001?og8P03ooTJ00OonQL01?oi6P03ooPM00?on240
1?og9007ooHV00?ombD01?og8P03ooPM00ConQP00ook4@03ood;00CooPD00ooo0P04ool300?oo@T0
1?oj5P03ooDZ00CokTL00ooTJP04omRA00?obKT00onE^@04oeJX00?o8YL01?l0Q`D3o`1i8PCo06dd
0ol0I3l4o`1MAP?o05M:0ol0Dd`4o`1@CP?o04Y=1?l0AT/3o`15BPCo04M;0ol0CDh4o`1BC@?o05M:
1?l0GDH3o`1U?P?o06la1?l0Nah3o`261`Co1X`00ol0RP04o`1m6@?o06Ti1?l0E4`3o`0e@P?o028h
1?l073<3o`0J<POo01Ta1?l06S83o`0N=@Co02@i0ol0;3d4o`0e@P?o04181ol0BD`3o`0kA@Co02Di
0ol04bd4o`0:9@Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol0
1Ql3o`088@Co00hX0ol06c<4o`0[?@?o03I31?l0=d@3o`0a@0?o02Tl1?l08SP3o`0M=0Co01Pa0ol0
5Bh4o`0D;P?o01D^1?l05Rl3o`0G<0Co01`d0ol0:cd3o`1;C@Co06130ol0LRd4o`1n6@?o080D1?l0
Nah3o`1a;`Co06Hm0ol0GDH3o`1FB`Co055=0ol0BTd4o`13B@?o03i71?l0?4H3o`0mAPCo04580ol0
B4/4o`1?CP?o05=<0ol0F4T4o`1OA0?o06Pk1?l0Lb/3o`214`Co49000oloX@04ogVb00?o^<400oo@
Y`04omb300?oiV401?o^A@03oo@`00Comb800ooi6P07ooXG00ConAX00ooh7@03ooPQ00Comb@01oof
9P03ooLU00Comb800ooh7@04ooXH00?ona400oom2`04ooh500?oo`801?oo0`03ood900ConQH00ooe
:P04oni700?oi6X01?oHT@03olVi00?oUKT01?mFZ003ob:G00Co08L50ol0NB84o`1]=0?o06@o1?l0
GDH3o`1GBP?o05=<1?l0D4h3o`1:C@Co04I;0ol0ADX4o`17B`?o04e>1?l0DTd3o`1GBPCo05e60ol0
ICh3o`1_<@Co07/N0ol0QPL4o`J<00?o08X01?l0OAT3o`1Y>@Co05A<0ol0=D83o`0R>0Co01`c0ol0
6S87o`0I<@Co01Xb0ol07SD4o`0T>@?o02`m1?l0=D83o`10B0Oo04U<0ol0>dD4o`0U>@?o01<]1?l0
2RD7o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol02244
o`0>:0?o01/c1?l0:cd3o`0f@`Co03M40ol0<D03o`0Y?0Co028h0ol07C@4o`0H<@?o01D^1?l052h3
o`0E;PCo01H_0ol05c04o`0L=0?o02/m0ol0Bdd4o`1P@`?o078]1?l0OQT3o`2050Co07/N0ol0LBl4
o`1V?@?o05e60ol0ET/4o`1AC@?o04Y=1?l0@dT3o`0nA`Co03a60ol0?DH4o`11B0?o04Q;1?l0Cdh3
o`1CC0?o05Q91?l0Gd@3o`1X>`Co07<[0ol0PA<4oa2@00?o?j401?mi/P03okS100?od:L01?oLP`03
onIQ00CokTD00ood<004ooLR00?onAX01ooj5`04ooTJ00?on1d00ooh8@04ooLT00OomRH00oog9@04
ooLR00?on1d01?oj6003oo/A00?oo@/01?on1@03ool200Coo`<00oom2@04ooXF00?omBX01?o^A`03
onAZ00Cof9400oo9^@03oiFi00CoEZP00olRU`04o`271@?o07TR1?l0KC@3o`1T?`Co05e60ol0EdX3
o`1CC0Co051>0ol0BTd4o`16B`?o04E:1?l0Ad/3o`1=CPCo059=0ol0EdX4o`1MAP?o06Dn0ol0Kc44
o`1k7P?o08H71?l6S003o`2:00Co07dI0ol0JCT4o`1DC0?o03E20ol08SP4o`0L<`?o01Xb1ol06C44
o`0J<P?o01he1?l093T3o`0/?@Co03E20ol0@4P7o`19C0?o03]51?l09CT3o`0C;@Co00XU1ol02287
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00LQ1?l03RP3o`0J
<PCo02/m0ol0=T<4o`0hA0?o03500ol0:C`4o`0S>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0F
;`?o01L`1?l073@3o`0Z?@?o04U<1?l0Gd@3o`1a;PCo07dI0ol0P1<4o`1k7@?o078]1?l0Ic`3o`1N
A@?o05M:1?l0DDd3o`1;C@Co04=90ol0?TL4o`0lAP?o03e61?l0@DP3o`17B`Co04m>0ol0Dd`3o`1H
BPCo05i50ol0Ic`4o`1b;@?o07lE1?l<S`03ocZO00CoL[000ona`003olj/00CofhL00ooUI@04one8
00?olc801?og8`03ooTJ00OonQD01?oj5`03ooTJ00?onAd01?oh8003ooLQ00Comb800ooh8004ooPM
00?onAT01?ok5003oo`>00?ooPP01?oo0`03ool100Coo`<00oom2P04ooXH00?om2h01?o]B`03on=_
00CoeYH00oo7_P03ohfg00CoD:H00olMU@04o`252@?o07LT1?l0K3D3o`1S@0Co05a60ol0EdX3o`1C
C0Co04m>0ol0BT`4o`16B`?o04E:1?l0B4/3o`1>CPCo059=0ol0EdX4o`1MA@?o06Dn0ol0L304o`1l
70?o08L61?l7S003o`2900Co07`K0ol0J3X4o`1CC0?o03=20ol08SL4o`0L<`?o01Xb1ol06C44o`0J
<P?o01he1?l093T3o`0/?PCo03E30ol0@4P7o`19C0?o03Y51?l093T3o`0C;0Co00XT1ol02287oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00LQ1?l03RP3o`0J<PCo
02/m0ol0=T<4o`0hA0?o03500ol0:C`4o`0S>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0F;`?o
01L`1?l073@3o`0Z?@?o04U<1?l0Gd@3o`1a;PCo07dI0ol0P1<4o`1k7@?o078]1?l0Ic`3o`1NA@?o
05M:1?l0DDd3o`1;C@Co04=90ol0?TL4o`0lAP?o03e61?l0@DP3o`17B`Co04m>0ol0Dd`3o`1HBPCo
05i50ol0Ic`4o`1b;@?o07lE1?l<S`03ocZO00CoL[000ona`003olj/00CofhL00ooUI@04one800?o
lc801?og8`03ooTJ00OonQD01?oj5`03ooTJ00?onAd01?oh8003ooLQ00Comb800ooh8004ooPM00?o
nAT01?ok5003oo`>00?ooPP01?oo0`03ool100Coo`<00oom2P04ooXH00?om2h01?o]B`03on=_00Co
eYH00oo7_P03ohfg00CoD:H00olMU@04o`252@?o07LT1?l0K3D3o`1S@0Co05a60ol0EdX3o`1CC0Co
04m>0ol0BT`4o`16B`?o04E:1?l0B4/3o`1>CPCo059=0ol0EdX4o`1MA@?o06Dn0ol0L304o`1l70?o
08L61?l7S003o`2900Co07`K0ol0J3X4o`1CC0?o03=20ol08SL4o`0L<`?o01Xb1ol06C44o`0J<P?o
01he1?l093T3o`0/?PCo03E30ol0@4P7o`19C0?o03Y51?l093T3o`0C;0Co00XT1ol02287ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00LQ1?l03RP3o`0J<PCo02/m
0ol0=T<4o`0hA0?o03500ol0:C`4o`0S>0?o01dd1?l06343o`0E;PCo01@^0ol05Bh4o`0F;`?o01L`
1?l073@3o`0Z?@?o04U<1?l0Gd@3o`1a;PCo07dI0ol0P1<4o`1k7@?o078]1?l0Ic`3o`1NA@?o05M:
1?l0DDd3o`1;C@Co04=90ol0?TL4o`0lAP?o03e61?l0@DP3o`17B`Co04m>0ol0Dd`3o`1HBPCo05i5
0ol0Ic`4o`1b;@?o07lE1?l<S`03ocZO00CoL[000ona`003olj/00CofhL00ooUI@04one800?olc80
1?og8`03ooTJ00OonQD01?oj5`03ooTJ00?onAd01?oh8003ooLQ00Comb800ooh8004ooPM00?onAT0
1?ok5003oo`>00?ooPP01?oo0`03ool100Coo`<00oom2P04ooXH00?om2h01?o]B`03on=_00CoeYH0
0oo7_P03ohfg00CoD:H00olMU@04o`252@?o07LT1?l0K3D3o`1S@0Co05a60ol0EdX3o`1CC0Co04m>
0ol0BT`4o`16B`?o04E:1?l0B4/3o`1>CPCo059=0ol0EdX4o`1MA@?o06Dn0ol0L304o`1l70?o08L6
1?l7S003o`2900Co07`K0ol0J3X4o`1CC0?o03=20ol08SL4o`0L<`?o01Xb1ol06C44o`0J<P?o01he
1?l093T3o`0/?PCo03E30ol0@4P7o`19C0?o03Y51?l093T3o`0C;0Co00XT1ol02287ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00LQ1?l03BL3o`0I<PCo02Xl0ol0
=T<4o`0hA0?o03910ol0:S`4o`0S>0?o01de1?l06C43o`0E;`Co01@^0ol05Bh4o`0F;`?o01L`1?l0
6c<3o`0Y?0?o04I;1?l0GTD3o`1`;`Co07dJ0ol0PA<4o`1l70?o07</1?l0J3/3o`1NA0?o05M:1?l0
DTd3o`1<C@Co04A:0ol0?dL4o`0lAP?o03e61?l0@DP3o`17B`Co04i>0ol0DTd3o`1GBPCo05e50ol0
ISd4o`1`;`?o07dI1?l6S003oc:L00CoJ:d00onU_@03olbb00CofHh00ooSK004ona>00?olSH01?of
9@03ooTJ00ConaD00ook4`04oo/D00?onQH00ooj6004ooTJ00OonA`00ooi6`04ooXH00?ona@01?ol
3`03ood:00?ooPD01?oo0@03ool000Coo`<00ool3004ooTL00?olc@01?o[DP03on1g00Codih00oo4
a003oh:d00CoAj<00olGT`04o`233@?o07HW1?l0JcL3o`1R@@Co05a70ol0EdX3o`1CC@Co04m>0ol0
BT`4o`16B`?o04E:1?l0B4`3o`1?CPCo05=<0ol0F4X4o`1NA@?o06Hm0ol0LBl4o`1m6P?o08L41?l8
S@03o`2900Co07/M0ol0Ic`4o`1BC@?o03910ol08CL4o`0L<`?o01Xb1ol06C44o`0J<P?o01he1?l0
9CT3o`0]?PCo03I30ol0@DP3o`1:C0Co04U<0ol0>DD4o`0S>0?o018/1?l02R@7o`088POooooo0Ol0
0001ooooo`007Oooool3o`0000Kooooo1ol01Ql3o`078@Co00dW0ol06C84o`0Z?0?o03I31?l0>4@3
o`0b@@?o02Xl1?l08cP3o`0M=@Co01Ta0ol05Bl4o`0D;P?o01D^1?l05Rl3o`0G<0Co01/c0ol0:C`3
o`16B`Co05i50ol0L2l4o`1m6P?o084C1?l0O1`3o`1c;0Co06Pk0ol0GT@3o`1GBPCo059=0ol0C4d4
o`14BP?o03m71?l0?4H3o`0mAPCo04580ol0Ad/4o`1>CP?o059=0ol0EdX4o`1MA@?o06Hm1?l0L2l3
o`1m6@Co1X`00olbW004ofR]00?oYKd00oo</P04omV>00?ohf`01?o/CP03oo8f00ComRD00ooi6P04
oo/E00?ona<01?ok5003ooXF00?onQP01?oi6P07ooTL00?onA/01?oj6003oo/D00Coo0l00oom2P03
ooh500Coo`400ooo0004ool300?oo0`01?oi7003oo<d00Coje800ooPM`04om>N00?oa<@00on2]004
odNS00?o5i<01?l0P`d3o`1f9`Co06/g0ol0HT44o`1LA`?o05M:0ol0Ddd4o`1?CP?o04Y<1?l0AT/3
o`15BPCo04Q<0ol0Cdh4o`1CC0?o05Q:1?l0GTD3o`1V?@?o074_1?l0OAX3o`2710Co28d00ol0R@04
o`1k7@?o06Ll1?l0DTd3o`0b@@?o024g1?l073<3o`0J<POo01Ta1?l06S83o`0N=@Co02Di0ol0;Ch4
o`0f@`?o04580ol0BT`4o`19C0?o03U51?l08cP3o`0B;0Co00XT1ol02286ooooo`;o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool7o`067`?o00LQ1?l03BL3o`0I<PCo02Xl0ol0=T<4o`0h
A0?o03910ol0:S`4o`0S>0?o01de1?l06C43o`0E;`Co01@^0ol05Bh4o`0F;`?o01L`1?l06c<3o`0Y
?0?o04I;1?l0GTD3o`1`;`Co07dJ0ol0PA<4o`1l70?o07</1?l0J3/3o`1NA0?o05M:1?l0DTd3o`1<
C@Co04A:0ol0?dL4o`0lAP?o03e61?l0@DP3o`17B`Co04i>0ol0DTd3o`1GBPCo05e50ol0ISd4o`1`
;`?o07dI1?l6S003oc:L00CoJ:d00onU_@03olbb00CofHh00ooSK004ona>00?olSH01?of9@03ooTJ
00ConaD00ook4`04oo/D00?onQH00ooj6004ooTJ00OonA`00ooi6`04ooXH00?ona@01?ol3`03ood:
00?ooPD01?oo0@03ool000Coo`<00ool3004ooTL00?olc@01?o[DP03on1g00Codih00oo4a003oh:d
00CoAj<00olGT`04o`233@?o07HW1?l0JcL3o`1R@@Co05a70ol0EdX3o`1CC@Co04m>0ol0BT`4o`16
B`?o04E:1?l0B4`3o`1?CPCo05=<0ol0F4X4o`1NA@?o06Hm0ol0LBl4o`1m6P?o08L41?l8S@03o`29
00Co07/M0ol0Ic`4o`1BC@?o03910ol08CL4o`0L<`?o01Xb1ol06C44o`0J<P?o01he1?l09CT3o`0]
?PCo03I30ol0@DP3o`1:C0Co04U<0ol0>DD4o`0S>0?o018/1?l02R@7o`088POooooo0Ol00001oooo
o`007Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol01b44o`0=9`?o01Tb1?l0:S`3o`0f@`Co
03Q40ol0<T43o`0Z?0Co02<h0ol07CD4o`0I<@?o01D_1?l052h3o`0E;PCo01H_0ol05c04o`0K<`?o
02Tl0ol0AT/4o`1NA@?o070_1?l0OAX3o`214`Co07`L0ol0Lb`4o`1X>`?o05i40ol0EdX4o`1BC@?o
04a=1?l0A4X3o`0oA`Co03a60ol0?DH4o`11B0?o04M;1?l0CTh3o`1BC@?o05M:1?l0GDD3o`1V?@Co
070_0ol0OAT4o`J<00?o<Y`01?mX[@03ojFm00?oc;801?oISP03on=/00Cok4h00oob=P04ooHU00?o
nAX01?ok5@03oo/C00Cona@00ooj5P03ooXH00ConAX01ooi7003ooTK00ConQP00ook5004oo`?00?o
o@X00oon1@04ool100?oo`001?oo0`03oo`<00ConA`00ooc=004on]B00?oh7L01?oCWP03olC400?o
P[@01?m7X`03oaNC00Co08<=0ol0MRL4o`1[=`?o06911?l0G4L3o`1GBP?o05==1?l0Cdh3o`1:C0Co
04I;0ol0ADX4o`18C0?o04m>1?l0Dd`3o`1HBPCo05i50ol0ISd3o`1a;`Co07dJ0ol0Q`@4o`R=00?o
08T01?l0Nad3o`1W?0Co059=0ol0<T43o`0Q=`Co01`c0ol06S87o`0I<@Co01Xb0ol07SD4o`0U>@?o
02dn1?l0=T<3o`11B0?o04Y<1?l0BD`3o`0iA@Co02<h0ol04R`4o`0:90Oo00PR1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`078@Co00dW0ol06C44o`0Y?0?o03I3
1?l0>4@3o`0b@@?o02/m1?l093T3o`0N=@Co01Ta0ol05Rl4o`0D;P?o01D^1?l05Rl3o`0G<0Co01/c
0ol09c/3o`13B@Co05a60ol0Kc44o`1l6`?o084B1?l0OAX3o`1d:PCo06Ti0ol0H4<3o`1HB@Co059=
0ol0CTh4o`15BP?o03m81ol0?DH4o`10B0?o04I;1?l0CDh3o`1BC@?o05I:1?l0G4H3o`1T?`Co06hb
0ol0Nah4o`2900?o:9T01?mKZ@03oiJi00?ob;/01?oFV003on5e00CojUH00oo`?@04ooDZ00?onAd0
1?oj5@0:oo/A00?ona<01?ok5@07ooXE00?ona@01?ok4@03oo`>00Coo@X00oon1@03ool200Coo`00
0ooo0@04ooh600?ona401?og8`03oo4m00Coj5`00ooMP@04om2X00?o]<400omd/004ocbP00?o3Xl0
1?l0P1<3o`1d:PCo06Ti0ol0HD84o`1KA`?o05I;0ol0DTd4o`1?CP?o04U<1?l0ATX3o`15BPCo04U<
0ol0Cdh4o`1CC0?o05Q91?l0Gd@3o`1W>`?o078]1?l0OQP3o`280PCo28d00ol0R084o`1j80?o06Dn
1?l0D4h3o`0`@0?o024g1?l06c<3o`0J<POo01Ta1?l06S83o`0O=@Co02Dj0ol0;Ch4o`0g@`?o0499
0ol0BTd4o`18C0?o03Q41?l08SL3o`0A:`Co00XT1ol02287ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool7o`067`?o00LQ1?l03BL3o`0I<@Co02Tl0ol0=T<4o`0hA0?o03910ol0
:cd4o`0T>@?o01he1?l06C43o`0F;`Co01@^0ol05Bh4o`0F;`?o01L`1?l06c<3o`0W>`?o04=91?l0
G4H3o`1_<@Co07`K0ol0PA84o`1m6P?o07@Z1?l0JCT3o`1P@`?o05Q91?l0DTd3o`1>CPCo04E:0ol0
?dP7o`0mAPCo04180ol0AT/4o`1=CP?o059=0ol0ETX4o`1LAP?o06@o1?l0KS83o`1k7PCo08T00olX
V@04oe^Y00?oU[T00oo8^`04omJH00?ohGD01?oZEP03oo0m00ComBX00ooi7@04ooXE00[ona400ook
4`04oo/E00OonQD00ook5004oo/A00?oo0h01?om2P03ooh500?oo`801?oo0003ool100CooPH00ook
4@04ooLS00?olCd01?oXG003omf100Cod:P00ond`@03ogB`00Co?:000ol>S`04o`204`?o07@Z1?l0
JCT3o`1Q@PCo05]70ol0ET/3o`1BC@Co04m>0ol0BD`4o`16BP?o04E:1?l0BD`3o`1?CPCo05=<0ol0
F4T4o`1OA0?o06Lk0ol0LRd4o`1n60?o08P21?l8S@03o`280PCo07XP0ol0ICh4o`1@CP?o03100ol0
8CL4o`0K<`?o01Xb1ol06C44o`0J<P?o01le1?l09CX3o`0]?PCo03M30ol0@TT3o`1:C@Co04Q<0ol0
>4@4o`0R=`?o014[1?l02R@7o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`Oo00HO0ol01b44o`0=9`?o01Ta1?l0:C`3o`0f@`Co03Q40ol0<T43o`0[?@Co02@i0ol07SD4
o`0I<@?o01H_1?l052h3o`0E;PCo01H_0ol05c04o`0K<`?o02Lk0ol0@dT4o`1LAP?o06la1?l0O1/3
o`214PCo07dJ0ol0M2X4o`1Y>@?o06130ol0F4T4o`1BC@?o04i>1?l0ADX3o`0oB0Oo03e61?l0@4P3
o`16B`Co04e>0ol0DTd3o`1FBPCo05a60ol0I3l4o`1^<P?o07/N1?l0R@03obRI00CoFjT00onF^@03
olRk00CoeYP00ooQM@04onYF00?ol3d01?oe:P03ooTM00ConQD02_ok4@03oo/C00ConaD01ooj5@03
oo/D00Cona400ool3P04ood:00?ooPD00ooo0P04ool000?oo`401?on1P03oo/A00Comb<00ooa?@04
onQL00?ogH401?o@Z003okC100?oM;001?llX003o`j?00Co080C0ol0M2X4o`1Y>@?o06521?l0FdL3
o`1FB`?o059=1?l0Cdh3o`19C0Co04I:0ol0ADX4o`19C0?o04m>1?l0Dd`3o`1HB@Co05m40ol0Ic/3
o`1b;@Co07hH0ol0R084o`R=00?o08P21?l0NR03o`1U?PCo051>0ol0<403o`0Q=`Co01/c0ol06S87
o`0I<@Co01Xb0ol07cD4o`0U>P?o02dn1?l0=d<3o`12B@?o04Y=1?l0B4`3o`0hA0Co028g0ol04B/4
o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`07
8@Co00`V0ol05c04o`0X>`?o03E31?l0>D@3o`0c@P?o02/m1?l093T3o`0N=@Co01Tb0ol05Rl4o`0D
;P?o01D^1?l05Bl3o`0G<0Co01Xb0ol09CX3o`0oA`Co05Y80ol0KC@4o`1k7@?o084B1?l0OQP3o`1e
9`Co06/g0ol0HD83o`1IB@Co05=<0ol0Cdh4o`17B`?o04181ol0?DH4o`10B0?o04E:1?l0C4d3o`1A
C@?o05E;1?l0FdL3o`1R@@Co06`f0ol0Mb@4o`252@?o79D01?m<Y@03ohBe00?o`L@01?oAY003omf1
00Coif400oo^AP04oo@a00?omb401?oj5`03oo/A00Coo0l01_ol3P0;oo`?00?oo0d01?om2`03ooh8
00CooPD00ooo0P07ool000?oo`<01?om2`03ooTI00Com2d00oo]B@04onAZ00?of8l01?o;]@03oj2l
00?oHj/01?l^V`03o`B;00Co07dJ0ol0LBh4o`1W?0?o06131?l0FTP3o`1EB`?o055=1?l0CTh3o`18
C0Co04E:0ol0AT/4o`1:C@?o051>1?l0E4`3o`1IB0Co06130ol0JCX3o`1d:PCo080D0ol0RP04o`R=
00?o08L51?l0N2@3o`1R@@Co04e>0ol0;Ch3o`0P=PCo01/c0ol06S87o`0I<@Co01/c0ol07cH4o`0V
>P?o02ho1?l0>4@3o`13B@?o04]=1?l0B4/3o`0f@`Co020f0ol04B/4o`0:90Oo00PR1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`078@Co00`V0ol05c04o`0X>`?o
03E31?l0>D@3o`0c@P?o02/m1?l093T3o`0N=@Co01Tb0ol05Rl4o`0D;P?o01D^1?l05Bl3o`0G<0Co
01Xb0ol09CX3o`0oA`Co05Y80ol0KC@4o`1k7@?o084B1?l0OQP3o`1e9`Co06/g0ol0HD83o`1IB@Co
05=<0ol0Cdh4o`17B`?o04181ol0?DH4o`10B0?o04E:1?l0C4d3o`1AC@?o05E;1?l0FdL3o`1R@@Co
06`f0ol0Mb@4o`252@?o79D01?m<Y@03ohBe00?o`L@01?oAY003omf100Coif400oo^AP04oo@a00?o
mb401?oj5`03oo/A00Coo0l01_ol3P0;oo`?00?oo0d01?om2`03ooh800CooPD00ooo0P07ool000?o
o`<01?om2`03ooTI00Com2d00oo]B@04onAZ00?of8l01?o;]@03oj2l00?oHj/01?l^V`03o`B;00Co
07dJ0ol0LBh4o`1W?0?o06131?l0FTP3o`1EB`?o055=1?l0CTh3o`18C0Co04E:0ol0AT/4o`1:C@?o
051>1?l0E4`3o`1IB0Co06130ol0JCX3o`1d:PCo080D0ol0RP04o`R=00?o08L51?l0N2@3o`1R@@Co
04e>0ol0;Ch3o`0P=PCo01/c0ol06S87o`0I<@Co01/c0ol07cH4o`0V>P?o02ho1?l0>4@3o`13B@?o
04]=1?l0B4/3o`0f@`Co020f0ol04B/4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo1ol01Ql3o`078@Co00`V0ol05c04o`0X>`?o03E31?l0>D@3o`0c@P?o02/m
1?l093T3o`0N=@Co01Tb0ol05Rl4o`0D;P?o01D^1?l05Bl3o`0G<0Co01Xb0ol09CX3o`0oA`Co05Y8
0ol0KC@4o`1k7@?o084B1?l0OQP3o`1e9`Co06/g0ol0HD83o`1IB@Co05=<0ol0Cdh4o`17B`?o0418
1ol0?DH4o`10B0?o04E:1?l0C4d3o`1AC@?o05E;1?l0FdL3o`1R@@Co06`f0ol0Mb@4o`252@?o79D0
1?m<Y@03ohBe00?o`L@01?oAY003omf100Coif400oo^AP04oo@a00?omb401?oj5`03oo/A00Coo0l0
1_ol3P0;oo`?00?oo0d01?om2`03ooh800CooPD00ooo0P07ool000?oo`<01?om2`03ooTI00Com2d0
0oo]B@04onAZ00?of8l01?o;]@03oj2l00?oHj/01?l^V`03o`B;00Co07dJ0ol0LBh4o`1W?0?o0613
1?l0FTP3o`1EB`?o055=1?l0CTh3o`18C0Co04E:0ol0AT/4o`1:C@?o051>1?l0E4`3o`1IB0Co0613
0ol0JCX3o`1d:PCo080D0ol0RP04o`R=00?o08L51?l0N2@3o`1R@@Co04e>0ol0;Ch3o`0P=PCo01/c
0ol06S87o`0I<@Co01/c0ol07cH4o`0V>P?o02ho1?l0>4@3o`13B@?o04]=1?l0B4/3o`0f@`Co020f
0ol04B/4o`0:90Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol0
1Ql3o`078@Co00`V0ol05c04o`0X>`?o03E31?l0>D@3o`0c@P?o02/m1?l093T3o`0N=@Co01Tb0ol0
5Rl4o`0D;P?o01D^1?l05Bl3o`0G<0Co01Xb0ol09CX3o`0oA`Co05Y80ol0KC@4o`1k7@?o084B1?l0
OQP3o`1e9`Co06/g0ol0HD83o`1IB@Co05=<0ol0Cdh4o`17B`?o04181ol0?DH4o`10B0?o04E:1?l0
C4d3o`1AC@?o05E;1?l0FdL3o`1R@@Co06`f0ol0Mb@4o`252@?o79D01?m<Y@03ohBe00?o`L@01?oA
Y003omf100Coif400oo^AP04oo@a00?omb401?oj5`03oo/A00Coo0l01_ol3P0;oo`?00?oo0d01?om
2`03ooh800CooPD00ooo0P07ool000?oo`<01?om2`03ooTI00Com2d00oo]B@04onAZ00?of8l01?o;
]@03oj2l00?oHj/01?l^V`03o`B;00Co07dJ0ol0LBh4o`1W?0?o06131?l0FTP3o`1EB`?o055=1?l0
CTh3o`18C0Co04E:0ol0AT/4o`1:C@?o051>1?l0E4`3o`1IB0Co06130ol0JCX3o`1d:PCo080D0ol0
RP04o`R=00?o08L51?l0N2@3o`1R@@Co04e>0ol0;Ch3o`0P=PCo01/c0ol06S87o`0I<@Co01/c0ol0
7cH4o`0V>P?o02ho1?l0>4@3o`13B@?o04]=1?l0B4/3o`0f@`Co020f0ol04B/4o`0:90Oo00PR1ooo
ool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0780Co00/V0ol05Rl4
o`0V>P?o03E21?l0>DD3o`0d@P?o02`n1?l09CX3o`0O=PCo01Xb0ol05Rl7o`0E;PCo01D_0ol05Rl4
o`0I<P?o02<h0ol0>TD4o`1GBP?o06/g1?l0NR03o`214PCo07lF0ol0Mb@4o`1]=@?o06=10ol0FTP4
o`1DC0?o051>1?l0B4`3o`12B@Co03i70ol0?DH4o`0oA`?o04A:1?l0BTd3o`1@CP?o05A<1?l0FDP3
o`1P@`Co06Tj0ol0M2X4o`214P?o3Xl01?ljW`03ofn_00?oZKh01?o</P03omR@00CohVl00oo[D`04
oo4k00?omBT01?oi7003oo/D00Coo0l00oom3003ood;00Ooo@X01?om2@03ooh700CooPD00ooo0`04
ool100Koo`001?oo0P03ood800Cona<00oog9004oo4k00?ojEP01?oON`03om>O00CoaL<00on8]P03
odnV00Co7iH00ol0Q`H4o`1i8@?o06hc1?l0ICh3o`1NA@Co05U90ol0E4`3o`1AC@Co04e>0ol0B4/4
o`15BP?o04M;1?l0C4d3o`1AC@Co05E;0ol0FdP4o`1Q@P?o06/g0ol0MRL4o`2240?o0h/01?l8S@03
o`2520Co07DX0ol0Gd@4o`17B`?o02/m0ol07cD4o`0K<`?o01Xb1ol06C44o`0K<`?o020f1?l09c/3
o`0_?`Co03U50ol0A4X3o`1;C@Co04M;0ol0=484o`0N=@?o010Z1?l02B<7o`088POooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol01b04o`0;9P?o01H_1?l09SX3o`0e
@PCo03U50ol0=483o`0/?PCo02Dj0ol07cH4o`0J<P?o01H_1ol05Bh4o`0E;`?o01H_1?l06C83o`0S
>0?o03Y51?l0EdX3o`1[=`Co07XP0ol0PA84o`1o5P?o07LT1?l0KCD3o`1S@@?o05Y81?l0E4`3o`1@
CPCo04Q<0ol0@TT4o`0nA`?o03e61?l0?dL3o`14BPCo04Y=0ol0D4h3o`1DC0Co05U80ol0H4<4o`1Y
>P?o07@Z1?l0PA83o`j?00Co>Yl00om_[`03ojVn00Coc;800ooHT004on9_00?oje<01?oa>`03ooDY
00ConA`00ook5004oo`?00?oo@`00oom2`07ood:00Coo@T00oon1`04ooh500?oo`<01?oo0@06ool0
00Coo`800oom2004oo/C00?omb@01?oa>`03onUH00Cogg/00ooCW`04olG300?oR;H00om?YP04oanF
00?o08L61?l0NB43o`1^<`Co06Dn0ol0GTD4o`1IB@?o05A<0ol0DDd4o`1=CP?o04Q;1?l0ADX3o`17
B`Co04a=0ol0DDd4o`1EB`?o05]81?l0HD83o`1[=`?o07HW1?l0PQ03o`>;00Co28d00ol0Q@P4o`1e
:0?o05m41?l0Ad/3o`0[?@?o01le1?l06c<3o`0J<POo01Ta1?l06c<3o`0P=PCo02Lk0ol0;cl4o`0i
A@?o04A:0ol0Bdd4o`17B`?o03A21?l07SD3o`0@:PCo00TS1ol02287ooooo`7o00000Oooool001go
oooo0ol00006ooooo`Oo00HO0ol01b04o`0;9P?o01H_1?l09SX3o`0e@PCo03U50ol0=483o`0/?PCo
02Dj0ol07cH4o`0J<P?o01H_1ol05Bh4o`0E;`?o01H_1?l06C83o`0S>0?o03Y51?l0EdX3o`1[=`Co
07XP0ol0PA84o`1o5P?o07LT1?l0KCD3o`1S@@?o05Y81?l0E4`3o`1@CPCo04Q<0ol0@TT4o`0nA`?o
03e61?l0?dL3o`14BPCo04Y=0ol0D4h3o`1DC0Co05U80ol0H4<4o`1Y>P?o07@Z1?l0PA83o`j?00Co
>Yl00om_[`03ojVn00Coc;800ooHT004on9_00?oje<01?oa>`03ooDY00ConA`00ook5004oo`?00?o
o@`00oom2`07ood:00Coo@T00oon1`04ooh500?oo`<01?oo0@06ool000Coo`800oom2004oo/C00?o
mb@01?oa>`03onUH00Cogg/00ooCW`04olG300?oR;H00om?YP04oanF00?o08L61?l0NB43o`1^<`Co
06Dn0ol0GTD4o`1IB@?o05A<0ol0DDd4o`1=CP?o04Q;1?l0ADX3o`17B`Co04a=0ol0DDd4o`1EB`?o
05]81?l0HD83o`1[=`?o07HW1?l0PQ03o`>;00Co28d00ol0Q@P4o`1e:0?o05m41?l0Ad/3o`0[?@?o
01le1?l06c<3o`0J<POo01Ta1?l06c<3o`0P=PCo02Lk0ol0;cl4o`0iA@?o04A:0ol0Bdd4o`17B`?o
03A21?l07SD3o`0@:PCo00TS1ol02286ooooo`;o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`067`?o00LP1?l02bD3o`0E;PCo02Di0ol0=484o`0iA@?o03E30ol0;Sh4o`0V>P?o020f
1?l06c<3o`0G<0Oo01D^1?l05Bl3o`0F;`Co01Ta0ol08CL3o`0f@`Co05A<0ol0J3/4o`1h8`?o080C
1?l0P1@3o`1i8@Co06lb0ol0I3l3o`1LAPCo05I;0ol0DDd4o`1:C@?o04=91?l0?TL3o`0mAPCo03i7
0ol0@TT4o`19C0?o04m>0ol0Dd`4o`1HBP?o05i51?l0ISd3o`1`<0Co07`L0ol0RP04obNI00?oEjP0
0on>]`04olG200?odZ401?oMP@03onIS00CokDX00ooc=@04ooLU00?onAX01?ok4P03oo`=00?oo@X0
1?on2003ooh600CooPD00ooo1004ool200?oo`401?oo0003ool100?oo`<01?om2003oo/B00Con200
0ooc=004ona=00?ohf`01?oISP03olba00CoZKh00om^[`03ocZO00Co3i000ol0PA44o`1e:0?o06/g
1?l0Hd43o`1LAPCo05M:0ol0Dd`3o`1@CPCo04]=0ol0Ad/4o`15BP?o04Q;1?l0CDh3o`1BC@Co05I;
0ol0G4L4o`1S@0?o06dd0ol0N284o`2430?o1X`01?l7S003o`233@Co078]0ol0G4L4o`11B@?o02Pk
0ol07SD4o`0K<`?o01Xb1?l06C43o`0I<PCo01`c0ol08CL4o`0X>`?o03501?l0>dD3o`16BP?o04a=
1?l0ADX3o`0b@@Co01`d0ol03bT4o`098`Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo1ol01Ql3o`0780Co00/U0ol05Bh4o`0U>@?o03A21?l0>DD3o`0e@`?o02hn1?l0
9SX3o`0P=PCo01/c0ol05c07o`0E;PCo01D_0ol05Rl4o`0I<@?o024g0ol0=T<4o`1DC0?o06Pk1?l0
N2<3o`204`Co080D0ol0NB44o`1_<P?o06@o0ol0G4H4o`1FB`?o055=1?l0BTd3o`13B@Co03i70ol0
?DH4o`0nA`?o04991?l0BD`3o`1?CP?o05=<1?l0F4X3o`1NA@Co06Hm0ol0L304o`1l70?o08X01?lW
V@03oeNX00?oS[L01?o5`P03om:Q00CogH400ooVH`04one:00?olcD01?og9@03ooTJ00Cona800ool
3@03ood:00CooPP00oon1P04ooh500?oo`@01?oo0P03ool100Coo`000ooo0@03ool300Coo@P00ook
4P04ooPP00?olc@01?o/C@03on=/00CofHh00oo</@04ojVn00?oKZl00oljW`04o`n@00?o084A1?l0
MBP3o`1[=`Co06=10ol0G4H4o`1GBP?o05=<0ol0D4h4o`1;C@?o04M;1?l0ADX3o`18B`Co04e>0ol0
DTd4o`1FB`?o05a71?l0Hd03o`1]=0?o07PR1?l0Q0`3o`J<00Co1h`00ol0P`d4o`1b;@?o05a71?l0
@DT3o`0X>`?o01he1?l06c<3o`0J<PCo01Ta0ol06C84o`0L<`?o024g1?l0:3/3o`0a@0Co03]50ol0
ATX3o`1<C@Co04E:0ol0<T44o`0L=0?o00lY1?l02B<7o`088POooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06ooooo`Oo00HO0ol01b04o`0;9@?o01D^1?l09CT3o`0d@PCo03U50ol0=D<3
o`0^?PCo02Hj0ol083H4o`0K<`?o01L`1ol05Bh4o`0E;`?o01H_1?l06C43o`0Q=`?o03I31?l0E4`3
o`1X>`Co07PS0ol0P1<4o`2050?o07TQ1?l0Kc83o`1T?`?o05a61?l0ET/3o`1AC@Co04Y=0ol0@dT4
o`0nA`?o03e61?l0?TL3o`12B@Co04U<0ol0Cdh3o`1CC0Co05Q:0ol0GTD4o`1V?@?o070`1?l0O1`3
o`2:00Co9iT00omGZ003ohjg00CoaL800ooBX@04omf100?oiV<01?o]BP03oo<e00CombD00ooi6P04
oo/B00?oo0d00oom2P04ooh800?ooPH01?on1@03ool400Coo`800ooo0@04ool000?oo`400ooo0`04
ood800?ona801?oh8003oo<d00Cok4d00ooSK004omV>00?oc;401?nY_P03ofj_00?o>Yl01?l?T003
o`214@Co07DX0ol0JcL4o`1S@@?o05a61?l0EdX3o`1CC0?o051>1?l0Bdd3o`17B`Co04E:0ol0B4/4
o`1=CP?o059=1?l0ET/3o`1LA`Co06=00ol0KC@3o`1h8PCo08@<0ol6S004o`N<00?o08<=1?l0LRd3
o`1LA`Co04590ol0:3/3o`0N=@Co01/c0ol06S84o`0I<@?o01Tb1?l073<3o`0Q=`Co02Pk0ol0<D04
o`0kA@?o04I:0ol0C4d4o`15BP?o03911?l073@3o`0?:@Co00TS1ol02287ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool7o`067`?o00LP1?l02bD3o`0E;PCo02Di0ol0=484o`0i
A@?o03E30ol0;Sh4o`0V>P?o020f1?l06c<3o`0G<0Oo01D^1?l05Bl3o`0F;`Co01Ta0ol08CL3o`0f
@`Co05A<0ol0J3/4o`1h8`?o080C1?l0P1@3o`1i8@Co06lb0ol0I3l3o`1LAPCo05I;0ol0DDd4o`1:
C@?o04=91?l0?TL3o`0mAPCo03i70ol0@TT4o`19C0?o04m>0ol0Dd`4o`1HBP?o05i51?l0ISd3o`1`
<0Co07`L0ol0RP04obNI00?oEjP00on>]`04olG200?odZ401?oMP@03onIS00CokDX00ooc=@04ooLU
00?onAX01?ok4P03oo`=00?oo@X01?on2003ooh600CooPD00ooo1004ool200?oo`401?oo0003ool1
00?oo`<01?om2003oo/B00Con2000ooc=004ona=00?ohf`01?oISP03olba00CoZKh00om^[`03ocZO
00Co3i000ol0PA44o`1e:0?o06/g1?l0Hd43o`1LAPCo05M:0ol0Dd`3o`1@CPCo04]=0ol0Ad/4o`15
BP?o04Q;1?l0CDh3o`1BC@Co05I;0ol0G4L4o`1S@0?o06dd0ol0N284o`2430?o1X`01?l7S003o`23
3@Co078]0ol0G4L4o`11B@?o02Pk0ol07SD4o`0K<`?o01Xb1?l06C43o`0I<PCo01`c0ol08CL4o`0X
>`?o03501?l0>dD3o`16BP?o04a=1?l0ADX3o`0b@@Co01`d0ol03bT4o`098`Oo00PR1oooool1o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ql3o`0680Co00XT0ol04bd4o`0R>0?o
03911?l0>TD3o`0g@`?o02lo1?l09c/3o`0Q=`Co01`c0ol05c07o`0E;PCo01D_0ol05Rl4o`0H<@?o
01lf0ol0<D04o`1AC@?o06@o1?l0MBP3o`1o5@Co084B0ol0Nad4o`1a;P?o06Ll0ol0GTD4o`1GBP?o
059=1?l0CDh3o`15BPCo04180ol0?DH4o`0nA`?o04581?l0Ad/3o`1>CP?o059=1?l0ET/3o`1LA`Co
06=00ol0K3H4o`1g9@?o08@<1?lDTP03ocnQ00?oLJl01?nX_P03ol^e00CoeYD00ooPM`04onQL00?o
kTD01?oc<P03ooLT00ConAX00ook4P03oo`=00Coo@X00oon1`04ooh500?oo`@02ooo0`03ooh600?o
o@/01?ok4`03ooPP00Com3400oo^A`04onIS00?ogH801?oAY003ol?400CoRKH00omCY`03obBH00Co
08T00ol0O1`4o`1a;`?o06Lk1?l0H4<3o`1JB0Co05I;0ol0DTd3o`1?CPCo04Y<1ol0AT/3o`19C0Co
04m>0ol0Dd`4o`1HBP?o05i51?l0ICh3o`1_<@?o07/M1?l0QPL3o`R=00Co1H`00ol0P1<4o`1^<`?o
05Q91?l0>dH3o`0U>P?o01dd1?l06c<3o`0J<PCo01Ta0ol06C84o`0M=0?o028h1?l0:C`3o`0b@@Co
03a60ol0Ad/3o`1<C@Co04=90ol0;cl4o`0J<P?o00dX1?l02B<7o`088POooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`06ooooo`Oo00HO0ol01R04o`0:90?o01<]1?l08SP3o`0b@@Co03Y5
0ol0=d<3o`0_?`Co02Lk0ol08CL4o`0L<`?o01L`1ol05Bh4o`0E;`?o01H_1?l06343o`0O=P?o0350
1?l0DDd3o`1T?`Co07DX0ol0OaD4o`214P?o07/M1?l0LBh3o`1W?0?o05i51?l0EdX3o`1BC@Co04e>
0ol0ADX4o`10B0?o03e61?l0?TL3o`11B0Co04M;0ol0CTh3o`1BC@Co05I;0ol0G4L4o`1S@0?o06`f
1?l0MbD3o`2430Co59800oloX@03og6_00CoZ;h00oo;]@04omJE00?oh7L01?oXG003oni500Colc80
0oog9004ooTJ00?ona800ool3@04ood:00?ooPL01?on1@03ool400_oo`<00oon1P03ood;00Cona<0
0ooh8004oo@a00?okTL01?oVH`03omf200CodJ@00oo3a004ohVf00?oDjL00olTV004o`2900?o07`L
1?l0LBl3o`1W>`Co06130ol0FTP4o`1FB`?o059=0ol0Cdh4o`1:C0Oo04I;0ol0BD`4o`1?CP?o05=<
1?l0F4X3o`1NA@Co06Dn0ol0Kc43o`1k7@Co08H70ol8S@04o`F<00?o080C1?l0KS<3o`1HB@Co03]6
0ol09CX3o`0M=0Co01/c0ol06S84o`0I<@?o01Tb1?l07C@3o`0R>0Co02Tl0ol0<T44o`0lAP?o04M;
0ol0C4d4o`13B@?o02lo1?l06S83o`0=:0Co00TS1ol02287ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool7o`067`?o00HP1?l02R@3o`0C;@Co028h0ol0<T44o`0jA@?o03M30ol0
;cl4o`0W>`?o024g1?l073<3o`0G<0Oo01D^1?l05Bl3o`0F;`Co01Pa0ol07cH3o`0a@0Co055=0ol0
I3l4o`1e:0?o07lE1?l0PA83o`1k7@Co074^0ol0Ic`3o`1NA@Co05M:0ol0DTd4o`1=CP?o04E:1?l0
@4P3o`0mAPCo03i70ol0@DP4o`17B`?o04i>0ol0DTd4o`1FB`?o05a71?l0Hd03o`1/=PCo07LU0ol0
Q0`4oaBB00?o?j400oma[`04ojRn00?obkD01?oFU@03on1g00Coj5`00oo^A@04oo<b00?omb@01?oi
6P03oo/B00?oo0d01?om2P03ooh700CooPD00ooo100;ool300?ooPH00oom2`04oo/C00?on2001?od
<@03oni700CoiV<00ooMPP04om6T00?o`l@01?n9]P03oe>W00?o99P01?l0R@03o`1l70Co074_0ol0
Ic/4o`1P@`?o05Y81?l0ET/3o`1BC@?o04m>1?l0BT`7o`16B`?o04U<1?l0Cdh3o`1CC0Co05Q:0ol0
GTD4o`1U?P?o06la0ol0Nad4o`261`?o28d01?l5S003o`204`Co06hc0ol0F4T4o`0kAP?o02Dj0ol0
7C@4o`0K<`?o01Xb1?l06C43o`0I<PCo01dd0ol08SP4o`0Y?0?o03911?l0?4H3o`17B`?o04a=1?l0
@dT3o`0_?`Co01Xb0ol03BP4o`098`Oo00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo1ol01Ql3o`0680Co00TS0ol04B/4o`0P=P?o03101?l0>DD3o`0hA0?o03101?l0:C`3
o`0R>0Co01dd0ol0634;o`0E;P?o01H_1?l06303o`0M=0?o02`n1?l0Bdd3o`1P@`Co078]0ol0OQP4
o`224@?o07dI1?l0M2X3o`1Y>@?o06131?l0FDT3o`1CC0Co04m>0ol0Ad/4o`11B0?o03i71?l0?DL3
o`10B0Co04E:0ol0Bdd3o`1@C@Co05A<0ol0FDT4o`1OA0?o06Lk1?l0LBh3o`1m6PCo0XX00olVV003
oe>W00CoQKD00onk`P04olj/00?ofHl01?oQL`03onUJ00CokTD00ooc=004ooHW00?on1d00ooj5P04
oo`A00?oo0d01?om2P07ood900?oo@X01?ol3003oo/A00?onAT01?og9003oo<d00CokTL00ooWH004
omil00?oe9`01?o8^`03oifk00CoJ:d00olhWP03o`n@00Co088?0ol0MRH4o`1/=@?o06@o1?l0GTD3
o`1IB@Co05A<0ol0DDd3o`1>CPCo04Q<0ol0AT/4o`17B`?o04]=1?l0D4h3o`1DC0Co05U90ol0Gd@4
o`1X>`?o078/0ol0OQP4o`280@?o2Xh01?l1RP03o`1m6PCo06Ti0ol0E4`4o`0e@`?o02<h0ol073@7
o`0J<PCo01Ta0ol06S84o`0M=@?o02<h1?l0:cd3o`0d@PCo03i70ol0BD`3o`1<C@Co04580ol0:cd4
o`0H<0?o00`W1?l02B87o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooo
o`Oo00HO0ol01R04o`098`?o014[1?l083H3o`0`@0Co03U50ol0>4@3o`0`@0Co02Tl0ol08SP4o`0M
=0?o01Pa2ol05Bh3o`0F;`Co01P`0ol07C@3o`0/?PCo04]=0ol0H4<4o`1b;@?o07hH1?l0PQ43o`1m
6@Co07@Z0ol0JCT3o`1P@`Co05U90ol0Dd`4o`1?CP?o04M;1?l0@DP3o`0nA`Co03e70ol0@4P4o`15
BP?o04]=0ol0D4d4o`1DC0?o05U91?l0Gd@3o`1W>`Co074^0ol0OAX4o`::00?o9YP00omCY`04ohFe
00?o^l801?o>[003omV?00CohG<00ooYFP04oni500?olc@01?of9`03ooPM00?onQH01?ol4@03oo`=
00Coo@X01oom2@03ood:00Coo0`00ook4@03ooTI00Comb@00ooc=004oni700?oif001?oNO003omBL
00Cob;/00onM^`04ofR]00?o>9h00ol?T004o`223`?o07HV1?l0K3D3o`1T?`Co05i50ol0FDT4o`1D
C0?o055=0ol0CTh4o`18C0?o04I;1?l0Ad/3o`1;C@Co051>0ol0E4`4o`1IB@?o05m41?l0J3/3o`1b
;0?o07hH1?l0R043o`Z>00Co0HX00ol0OAX4o`1Y>@?o05A<1?l0=D<3o`0S>0?o01`d1ol06S84o`0I
<@?o01Xb1?l07CD3o`0S>0Co02/m0ol0=484o`0nA`?o04U<0ol0C4d4o`11B0?o02/m1?l06303o`0<
9`Co00TR1ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o
00HP1?l02B<3o`0A:`Co020f0ol0<404o`0iA@?o03Q40ol0<404o`0Y?0?o028h1?l07C@3o`0H<@_o
01D^0ol05Rl4o`0H<0?o01dd0ol0;3h4o`1;C@?o06131?l0LRd3o`1n60Co088A0ol0OAT4o`1d:P?o
06Ti0ol0H4<4o`1IB@?o05=<1?l0Cdh3o`17B`Co04580ol0?TL4o`0mA`?o04181?l0ADX3o`1;C@?o
051=1?l0E4`3o`1IB@Co05m40ol0Ic/4o`1a;P?o07dJ1?l2RP03obJH00?oDjL01?n5]@03ok_200Co
cZ`00ooIS`04on5c00?ojEX01?o^A@03oo<d00ComRL00ooh7@03ooXF00Coo1400ool3@04ood:00Oo
o@T00oom2P04oo`<00?ona400ooi6@04ooLT00?olc@01?o^A`03onMP00CogW`00ooDW004olRk00?o
WK/01?mX[@03ocRN00?o3i001?l0PPl3o`1f9PCo06`e0ol0I3l4o`1NA@?o05U91?l0E4`3o`1AC@?o
04i>1?l0B4`3o`16B`Co04M;0ol0Bdd4o`1@CP?o05A<1?l0FDT3o`1OA0Co06Pk0ol0LR`3o`1n60Co
08P10ol:SP04o`6:00?o07dJ1?l0JCT3o`1DC0Co03E30ol08cP3o`0L=0Oo01Xb1?l06C43o`0J<PCo
01de0ol08cP4o`0[?@?o03A21?l0?TL3o`19C0?o04a=1?l0@DP3o`0[?@Co01P`0ol032L4o`098POo
00PR1oooool1o`00007ooooo000Mooooo`?o00001_ooool7o`067`?o00HP1?l02283o`0@:PCo01de
0ol0;Sl7o`0iA0?o03911?l0:Sd3o`0S>0Co01he0ol06C44o`0F;`Oo01D^0ol05Rl4o`0G<0?o01/c
0ol09c/4o`12B@?o05a71?l0KS83o`1l70Co088@0ol0OaH4o`1g9@?o06de0ol0Hd04o`1KA`?o05E;
1?l0D4h3o`1:C0Co04=90ol0?dL4o`0mA`?o03m71?l0@dT3o`19C0?o04m>1?l0Dd`3o`1GBPCo05a6
0ol0Hd04o`1/=@?o07HV1?l0PPl3o`n@00?o=Id01?mRZ`03oi>h00CoaL@00oo@Z004omV=00?ohG<0
1?oXG@03one:00ColC/00ood;P03ooHU00Con1h00ooi6P04ooXG00?onQD01?oj5P03ooXH00ConA`0
0oog8`03oo@]00ColC/00oo/C@04onIS00?ogW`01?oEV@03olZf00CoZ[h00omf/@04odNS00?o7ID0
0ol0R0<4o`1k7@?o074_1?l0J3/3o`1Q@PCo05]70ol0EdX4o`1CC0?o051>0ol0Bdd4o`17B`?o04I;
1?l0B4/3o`1=CPCo055=0ol0ET/4o`1KA`?o06911?l0JcL3o`1f9`?o084A1?l3R`03o`Z>00Co08P3
0ol0NB84o`1T?`?o04m>1?l0<403o`0Q=`?o01`c1?l06S83o`0I<PCo01Ta0ol06S84o`0N=@?o02Di
1?l0;3h3o`0f@`Co04580ol0BTd3o`1;C@Co03i70ol0:3/4o`0E;P?o00/V2ol02286ooooo`;o0000
0Oooool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00HP1?l02283o`0@:PCo01de0ol0
;Sl7o`0iA0?o03911?l0:Sd3o`0S>0Co01he0ol06C44o`0F;`Oo01D^0ol05Rl4o`0G<0?o01/c0ol0
9c/4o`12B@?o05a71?l0KS83o`1l70Co088@0ol0OaH4o`1g9@?o06de0ol0Hd04o`1KA`?o05E;1?l0
D4h3o`1:C0Co04=90ol0?dL4o`0mA`?o03m71?l0@dT3o`19C0?o04m>1?l0Dd`3o`1GBPCo05a60ol0
Hd04o`1/=@?o07HV1?l0PPl3o`n@00?o=Id01?mRZ`03oi>h00CoaL@00oo@Z004omV=00?ohG<01?oX
G@03one:00ColC/00ood;P03ooHU00Con1h00ooi6P04ooXG00?onQD01?oj5P03ooXH00ConA`00oog
8`03oo@]00ColC/00oo/C@04onIS00?ogW`01?oEV@03olZf00CoZ[h00omf/@04odNS00?o7ID00ol0
R0<4o`1k7@?o074_1?l0J3/3o`1Q@PCo05]70ol0EdX4o`1CC0?o051>0ol0Bdd4o`17B`?o04I;1?l0
B4/3o`1=CPCo055=0ol0ET/4o`1KA`?o06911?l0JcL3o`1f9`?o084A1?l3R`03o`Z>00Co08P30ol0
NB84o`1T?`?o04m>1?l0<403o`0Q=`?o01`c1?l06S83o`0I<PCo01Ta0ol06S84o`0N=@?o02Di1?l0
;3h3o`0f@`Co04580ol0BTd3o`1;C@Co03i70ol0:3/4o`0E;P?o00/V2ol02287ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01_ooool7o`067`?o00HP1?l02283o`0@:PCo01de0ol0;Sl7
o`0iA0?o03911?l0:Sd3o`0S>0Co01he0ol06C44o`0F;`Oo01D^0ol05Rl4o`0G<0?o01/c0ol09c/4
o`12B@?o05a71?l0KS83o`1l70Co088@0ol0OaH4o`1g9@?o06de0ol0Hd04o`1KA`?o05E;1?l0D4h3
o`1:C0Co04=90ol0?dL4o`0mA`?o03m71?l0@dT3o`19C0?o04m>1?l0Dd`3o`1GBPCo05a60ol0Hd04
o`1/=@?o07HV1?l0PPl3o`n@00?o=Id01?mRZ`03oi>h00CoaL@00oo@Z004omV=00?ohG<01?oXG@03
one:00ColC/00ood;P03ooHU00Con1h00ooi6P04ooXG00?onQD01?oj5P03ooXH00ConA`00oog8`03
oo@]00ColC/00oo/C@04onIS00?ogW`01?oEV@03olZf00CoZ[h00omf/@04odNS00?o7ID00ol0R0<4
o`1k7@?o074_1?l0J3/3o`1Q@PCo05]70ol0EdX4o`1CC0?o051>0ol0Bdd4o`17B`?o04I;1?l0B4/3
o`1=CPCo055=0ol0ET/4o`1KA`?o06911?l0JcL3o`1f9`?o084A1?l3R`03o`Z>00Co08P30ol0NB84
o`1T?`?o04m>1?l0<403o`0Q=`?o01`c1?l06S83o`0I<PCo01Ta0ol06S84o`0N=@?o02Di1?l0;3h3
o`0f@`Co04580ol0BTd3o`1;C@Co03i70ol0:3/4o`0E;P?o00/V2ol02287ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool7o`067`?o00HP1?l02283o`0@:PCo01de0ol0;Sl7o`0i
A0?o03911?l0:Sd3o`0S>0Co01he0ol06C44o`0F;`Oo01D^0ol05Rl4o`0G<0?o01/c0ol09c/4o`12
B@?o05a71?l0KS83o`1l70Co088@0ol0OaH4o`1g9@?o06de0ol0Hd04o`1KA`?o05E;1?l0D4h3o`1:
C0Co04=90ol0?dL4o`0mA`?o03m71?l0@dT3o`19C0?o04m>1?l0Dd`3o`1GBPCo05a60ol0Hd04o`1/
=@?o07HV1?l0PPl3o`n@00?o=Id01?mRZ`03oi>h00CoaL@00oo@Z004omV=00?ohG<01?oXG@03one:
00ColC/00ood;P03ooHU00Con1h00ooi6P04ooXG00?onQD01?oj5P03ooXH00ConA`00oog8`03oo@]
00ColC/00oo/C@04onIS00?ogW`01?oEV@03olZf00CoZ[h00omf/@04odNS00?o7ID00ol0R0<4o`1k
7@?o074_1?l0J3/3o`1Q@PCo05]70ol0EdX4o`1CC0?o051>0ol0Bdd4o`17B`?o04I;1?l0B4/3o`1=
CPCo055=0ol0ET/4o`1KA`?o06911?l0JcL3o`1f9`?o084A1?l3R`03o`Z>00Co08P30ol0NB84o`1T
?`?o04m>1?l0<403o`0Q=`?o01`c1?l06S83o`0I<PCo01Ta0ol06S84o`0N=@?o02Di1?l0;3h3o`0f
@`Co04580ol0BTd3o`1;C@Co03i70ol0:3/4o`0E;P?o00/V2ol02287ooooo`7o00000Oooool001go
oooo00?o0000ooooooooool01_ooool:o`067`Co00PR0ol03RP4o`0K<`?o02/m1?l0>4@3o`0jA@?o
03A21?l0;3d3o`0U>@Co01lf0ol06S84o`0F;`Oo01D^0ol05Rl4o`0G<0?o01Xb0ol08cP4o`0jA@?o
05I:1?l0JST3o`1i8@Oo084B1?l0NQl3o`1`<0?o06Hm1?l0GDD3o`1GBPCo059=0ol0CDh4o`16BP?o
04181ol0?TL4o`11B0?o04I;0ol0CDh4o`1AC@?o05E;1?l0FTP3o`1OA0Co06Ll0ol0L304o`1k7P?o
08L60olIT`04ocnQ00?oJZh01?nI^P03olG300CocjT00ooHT@04ommj00?oiFH01?oZE@03oni700?o
lC`01?oc=003oo@^00ComB/00ooe:@04ooDZ00?om2h01?oc=003oo4m00?okDT01?oYF003on=/00Co
gH800ooDW004olZf00?o[[l01?mn/`03oe2V00Co9iT00ol5S003o`205@Co07DY0ol0JcH4o`1T?`?o
05i51?l0FDT3o`1EB`Co055=0ol0CTh3o`19C0Oo04I;1?l0BT`3o`1?CPCo05=<0ol0EdX4o`1MAP?o
06@o1?l0KS<3o`1i8@?o08D:1?l7S003o`R=00Co08@;0ol0Lb/4o`1NA@?o04I;1?l0:cd3o`0O=P?o
01/c1?l06S83o`0I<PCo01Ta0ol06c<4o`0P=P?o02Hj1?l0;Sl3o`0hA0Co04=90ol0C4d3o`1:C0Co
03Y50ol093T4o`0C;0?o00/U2ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool:o`067`Co00PR0ol03RP4o`0K<`?o02/m1?l0>4@3o`0jA@?o03A21?l0;3d3o`0U>@Co01lf
0ol06S84o`0F;`Oo01D^0ol05Rl4o`0G<0?o01Xb0ol08cP4o`0jA@?o05I:1?l0JST3o`1i8@Oo084B
1?l0NQl3o`1`<0?o06Hm1?l0GDD3o`1GBPCo059=0ol0CDh4o`16BP?o04181ol0?TL4o`11B0?o04I;
0ol0CDh4o`1AC@?o05E;1?l0FTP3o`1OA0Co06Ll0ol0L304o`1k7P?o08L60olIT`04ocnQ00?oJZh0
1?nI^P03olG300CocjT00ooHT@04ommj00?oiFH01?oZE@03oni700?olC`01?oc=003oo@^00ComB/0
0ooe:@04ooDZ00?om2h01?oc=003oo4m00?okDT01?oYF003on=/00CogH800ooDW004olZf00?o[[l0
1?mn/`03oe2V00Co9iT00ol5S003o`205@Co07DY0ol0JcH4o`1T?`?o05i51?l0FDT3o`1EB`Co055=
0ol0CTh3o`19C0Oo04I;1?l0BT`3o`1?CPCo05=<0ol0EdX4o`1MAP?o06@o1?l0KS<3o`1i8@?o08D:
1?l7S003o`R=00Co08@;0ol0Lb/4o`1NA@?o04I;1?l0:cd3o`0O=P?o01/c1?l06S83o`0I<PCo01Ta
0ol06c<4o`0P=P?o02Hj1?l0;Sl3o`0hA0Co04=90ol0C4d3o`1:C0Co03Y50ol093T4o`0C;0?o00/U
2ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`067`Co00PR0ol0
3RP4o`0K<`?o02/m1?l0>4@3o`0jA@?o03A21?l0;3d3o`0U>@Co01lf0ol06S84o`0F;`Oo01D^0ol0
5Rl4o`0G<0?o01Xb0ol08cP4o`0jA@?o05I:1?l0JST3o`1i8@Oo084B1?l0NQl3o`1`<0?o06Hm1?l0
GDD3o`1GBPCo059=0ol0CDh4o`16BP?o04181ol0?TL4o`11B0?o04I;0ol0CDh4o`1AC@?o05E;1?l0
FTP3o`1OA0Co06Ll0ol0L304o`1k7P?o08L60olIT`04ocnQ00?oJZh01?nI^P03olG300CocjT00ooH
T@04ommj00?oiFH01?oZE@03oni700?olC`01?oc=003oo@^00ComB/00ooe:@04ooDZ00?om2h01?oc
=003oo4m00?okDT01?oYF003on=/00CogH800ooDW004olZf00?o[[l01?mn/`03oe2V00Co9iT00ol5
S003o`205@Co07DY0ol0JcH4o`1T?`?o05i51?l0FDT3o`1EB`Co055=0ol0CTh3o`19C0Oo04I;1?l0
BT`3o`1?CPCo05=<0ol0EdX4o`1MAP?o06@o1?l0KS<3o`1i8@?o08D:1?l7S003o`R=00Co08@;0ol0
Lb/4o`1NA@?o04I;1?l0:cd3o`0O=P?o01/c1?l06S83o`0I<PCo01Ta0ol06c<4o`0P=P?o02Hj1?l0
;Sl3o`0hA0Co04=90ol0C4d3o`1:C0Co03Y50ol093T4o`0C;0?o00/U2ol02287ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01_ooool:o`067`Co00LQ0ol032L4o`0H<0?o02Pk1?l0=T<3
o`0kA@?o03I31?l0;Sl3o`0V>PCo020f0ol06c<4o`0G<0Oo01D^1ol05Rl3o`0I<@?o020f1?l0<T43
o`1AC@Co06@o0ol0MBP4o`2050?o088@1?l0OAX3o`1d:P?o06Ti1?l0H4<3o`1IB@Co05A<0ol0Cdh4
o`19C0?o04991?l0?dL3o`0nA`Co04180ol0A4X3o`19C0Co04m>0ol0Dd`4o`1GBP?o05a71?l0HT43
o`1Z>0Co07<[0ol0OQP3o`2900Co7iH00om3XP04ofb^00?oU[T01?o1a003olf`00CoeIX00ooKQP04
on5d00?oiFH00ooYFP04on]@00?okDX01?o^AP03oni500CokTL00oo]B`04on]B00?oj5`00ooTJP04
ommk00?ofHh01?oAY003olRk00CoZ[h00omn/`04oeBW00?o;I/01?l;SP03o`223`?o07PT1?l0KS83
o`1V?0Co06130ol0FdL4o`1GBP?o05=<1?l0D4h3o`1<C@?o04Q;1?l0AT/3o`17B`Co04a=0ol0D4d4
o`1EB`?o05Y81?l0H4<3o`1X>`Co078]0ol0OAT3o`280`Co2Xh00ol5S004o`2050?o06dc1?l0F4T3
o`0lAPCo02Hj0ol07SD3o`0K<`Co01Xb0ol06C44o`0I<P?o01`d1?l08CL3o`0X>`Co03100ol0>TD4
o`16BP?o04e>0ol0B4/4o`0f@`?o020f1?l04B/3o`0:90_o00PR1oooool1o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo2_l01Ql4o`078@?o00`W1?l06303o`0X>`Co03I30ol0>dD3o`0f
@`Co02ho0ol09SX4o`0P=P?o01/c1?l05c07o`0E;POo01H_0ol06C43o`0P=PCo03910ol0DDd4o`1T
?`?o07DX1?l0P1@3o`2240Co07dJ0ol0M2X3o`1Y>@Co06130ol0FDT4o`1DC0?o04m>1?l0BD`3o`12
B@Co03m70ol0?TL4o`10B0?o04A:0ol0BD`4o`1?CP?o05=<1?l0EdX3o`1LA`Co06910ol0JSP4o`1c
:`?o07hH0ol0R@04oanF00?o@j801?m/[P03oiJi00Co`L@00oo=/004omFJ00?ofhH01?oQM003onEV
00?ojEX01?o[D003one:00CokTH00oo^A@04oni700?okD/01?o[DP03onQL00?oi6X01?oON`03omV>
00CodJ@00oo8^`04ojZn00?oO[<01?mDY`03obfK00Co2hh00ol0PPl3o`1h90Co06hb0ol0IS`4o`1P
@`?o05]71?l0EdX3o`1CC0Co051>0ol0C4d3o`18B`Co04I;0ol0Ad/4o`1<C@?o051=1?l0ED/3o`1J
B0Co06130ol0J3/4o`1b;@?o07dI0ol0R0<4o`Z>00?o1H`01?l0P1@3o`1]<`Co05Q90ol0?4H4o`0V
>P?o01he0ol06c<4o`0J<P?o01Ta1?l06C83o`0L=0Co024g0ol0:3/4o`0`@0?o03Y51?l0ATX3o`1=
CP?o04Q;1?l0=T<3o`0P=PCo014[0ol02R@;o`088POooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`[o00HO1?l01b43o`0<9`Co01P`0ol0:3/4o`0f@`?o03]50ol0=T<4o`0^?`?o
02Hj1?l083H3o`0K<`Co01L`1ol05Bh7o`0F;`?o01Ta0ol083H4o`0b@@?o055=1?l0I3l3o`1e:0Co
080D0ol0PQ04o`1m6P?o07@Z0ol0JCT4o`1P@`?o05U91?l0E4`3o`1?CPCo04U<0ol0@TT4o`0oA`?o
03i71?l0@4P3o`14BP?o04U<1?l0Cdh3o`1CC0Co05M:0ol0G4L4o`1R@@?o06Xh1?l0Lb/3o`1n60?o
08T01?lOUP03od>R00CoK:h00onF^@04ol7400?ocK001?oEVP03om^600CohG@00ooUIP03onUJ00Co
je000oo]BP04oni600?okTD01?o^A`03one;00Coje800ooXG003onAZ00Cogg/00ooISP04om6T00?o
b;/01?nZ_P03ogjc00CoE:L00ol]V`04o`^>00?o088?0ol0N2@4o`1^<P?o06Hl1?l0H4<3o`1KA`Co
05M:0ol0Dd`4o`1@CP?o04a=0ol0B4/4o`16B`?o04M;1?l0C4d3o`1@C@Co05E;0ol0FTP4o`1P@`?o
06Pk1?l0LRd3o`1m6@?o08P31?l:SP03o`F<00Co080D0ol0KC<4o`1HB@?o03a61?l09SX3o`0N=@?o
01/c1?l06S83o`0I<@Co01Tb0ol073@4o`0Q=`?o02Pk1?l0<403o`0jA@Co04I:0ol0CDh3o`18B`Co
03I30ol083H4o`0A:`?o00XT2ol02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool:o`067`Co00LQ0ol032L4o`0H<0?o02Pk1?l0=T<3o`0kA@?o03I31?l0;Sl3o`0V>PCo020f
0ol06c<4o`0G<0Oo01D^1ol05Rl3o`0I<@?o020f1?l0<T43o`1AC@Co06@o0ol0MBP4o`2050?o088@
1?l0OAX3o`1d:P?o06Ti1?l0H4<3o`1IB@Co05A<0ol0Cdh4o`19C0?o04991?l0?dL3o`0nA`Co0418
0ol0A4X3o`19C0Co04m>0ol0Dd`4o`1GBP?o05a71?l0HT43o`1Z>0Co07<[0ol0OQP3o`2900Co7iH0
0om3XP04ofb^00?oU[T01?o1a003olf`00CoeIX00ooKQP04on5d00?oiFH00ooYFP04on]@00?okDX0
1?o^AP03oni500CokTL00oo]B`04on]B00?oj5`00ooTJP04ommk00?ofHh01?oAY003olRk00CoZ[h0
0omn/`04oeBW00?o;I/01?l;SP03o`223`?o07PT1?l0KS83o`1V?0Co06130ol0FdL4o`1GBP?o05=<
1?l0D4h3o`1<C@?o04Q;1?l0AT/3o`17B`Co04a=0ol0D4d4o`1EB`?o05Y81?l0H4<3o`1X>`Co078]
0ol0OAT3o`280`Co2Xh00ol5S004o`2050?o06dc1?l0F4T3o`0lAPCo02Hj0ol07SD3o`0K<`Co01Xb
0ol06C44o`0I<P?o01`d1?l08CL3o`0X>`Co03100ol0>TD4o`16BP?o04e>0ol0B4/4o`0f@`?o020f
1?l04B/3o`0:90_o00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol0
1Ql7o`0680Co00LQ0ol02bD4o`0E;P?o02Di1?l0=483o`0kA@?o03Q41?l0<403o`0X>`Co028g0ol0
73@4o`0H<@?o01D_1?l05Bh3o`0E;`Co01H_0ol06303o`0M=0Co02/m0ol0B4`4o`1NA@?o070_1?l0
OAT3o`223`Co080E0ol0Mb@3o`1]=0Co06@o0ol0G4L4o`1FB`?o055=1?l0C4d3o`15BPCo04180ol0
?TL4o`0oA`?o04990ol0AT/4o`1=CP?o055=1?l0E4`3o`1IB@Co05i50ol0I3l4o`1/=@?o07DX0ol0
OaD4o`:;00?o89H01?m1X@03ofJ/00CoS;L00onb`004olRk00?ocjT01?oEV003omZ900?ogWd01?oQ
L`03on=]00Coi6T00ooUJ004onAZ00?ohfl01?oPM`03omf100?of8l01?oCW`03olba00Co`l@00onM
^`04ogJa00?oD:H01?l]V`03o`f?00Co08@<0ol0NR03o`1`;`Co06Pj0ol0HT44o`1MAP?o05Q91?l0
ED`3o`1AC@Co04i>0ol0BT`3o`17B`Co04I;0ol0BD`4o`1?CP?o059=1?l0EdX3o`1LA`Co06=00ol0
JcH4o`1f9P?o088A0ol3R`04o`^>00?o08T11?l0Nah3o`1W?0Co059=0ol0=484o`0S>0?o01`d0ol0
6c<4o`0J<P?o01Ta1?l06S83o`0M=0Co02<h0ol0:Sd4o`0c@@?o03e71?l0B4`3o`1=CP?o04E:1?l0
<D03o`0L<`Co00hY0ol02B<4o`088P?o00TS1?l02287ooooo`7o00000Oooool001gooooo0ol00006
ooooo`?o00HO1ol01R04o`078@?o00/U1?l05Bh3o`0U>@Co03A20ol0>dD3o`0hA0Co03100ol0:3/4
o`0R=`?o01`d1?l06343o`0E;`Co01D^0ol05Bl4o`0F;`?o01P`0ol07C@4o`0[?@?o04Q<1?l0GTD3
o`1`;`Co07dI0ol0PPl4o`205@?o07LT0ol0KC@4o`1T?`?o05a71?l0ET/3o`1AC@Co04a=0ol0ADX4
o`10B0?o03i71?l0?dL3o`12B@?o04I;1?l0CDh3o`1AC@Co05A<0ol0FDT4o`1NA@?o06@o1?l0K3D3
o`1e:0?o07lE1?l2R`03ob2F00Co@J400omV[004ohbg00?o//001?o8^`03olnY00CoeIP00ooJR@03
omim00CohG<00ooSK@04onAY00?oiFP01?oTJP03on=_00Coh7L00ooMP@03omR?00Codil00oo</@04
ol?400?oWK/01?mf/@03oe2V00Co;I/00ol=S`04o`2430?o07XP0ol0L2l4o`1X>P?o06911?l0GDH3
o`1HB@Co05E<0ol0DDd4o`1>CP?o04Y<0ol0Ad/4o`16B`?o04U<1?l0Cdh3o`1BC@Co05M:0ol0G4L4
o`1S@0?o06/f1?l0MRH3o`224@?o0h/01?l;SP03o`290@Co07/N0ol0Ic`4o`1BC@?o03A21?l08cP3
o`0L=0?o01/c1?l06S83o`0I<@Co01Xb0ol07C@4o`0S>0?o02Xm1?l0<d43o`0mA`Co04Q<0ol0CDh3
o`15BPCo03500ol073<4o`0>:@?o00TS1?l02283o`098`Co00PR1_ooool2o`00007ooooo000Moooo
o`03o`000?oooooooooo00Kooooo0ol01Ql7o`0680Co00LQ0ol02bD4o`0E;P?o02Di1?l0=483o`0k
A@?o03Q41?l0<403o`0X>`Co028g0ol073@4o`0H<@?o01D_1?l05Bh3o`0E;`Co01H_0ol06303o`0M
=0Co02/m0ol0B4`4o`1NA@?o070_1?l0OAT3o`223`Co080E0ol0Mb@3o`1]=0Co06@o0ol0G4L4o`1F
B`?o055=1?l0C4d3o`15BPCo04180ol0?TL4o`0oA`?o04990ol0AT/4o`1=CP?o055=1?l0E4`3o`1I
B@Co05i50ol0I3l4o`1/=@?o07DX0ol0OaD4o`:;00?o89H01?m1X@03ofJ/00CoS;L00onb`004olRk
00?ocjT01?oEV003omZ900?ogWd01?oQL`03on=]00Coi6T00ooUJ004onAZ00?ohfl01?oPM`03omf1
00?of8l01?oCW`03olba00Co`l@00onM^`04ogJa00?oD:H01?l]V`03o`f?00Co08@<0ol0NR03o`1`
;`Co06Pj0ol0HT44o`1MAP?o05Q91?l0ED`3o`1AC@Co04i>0ol0BT`3o`17B`Co04I;0ol0BD`4o`1?
CP?o059=1?l0EdX3o`1LA`Co06=00ol0JcH4o`1f9P?o088A0ol3R`04o`^>00?o08T11?l0Nah3o`1W
?0Co059=0ol0=484o`0S>0?o01`d0ol06c<4o`0J<P?o01Ta1?l06S83o`0M=0Co02<h0ol0:Sd4o`0c
@@?o03e71?l0B4`3o`1=CP?o04E:1?l0<D03o`0L<`Co00hY0ol02B<4o`088P?o00TS1?l02287oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`067`Oo00HP1?l01b03o`0:90Co
018/0ol08CL4o`0a@0?o03]50ol0>TD4o`0b@@?o02Xm1?l093T3o`0N=@Co01Ta0ol05Rl7o`0E;PCo
01H_0ol05c03o`0K<`Co02Di0ol0?DH4o`1HBP?o06Xg1?l0NR03o`2240Co088A0ol0Nad3o`1b;@Co
06Pk0ol0Gd@4o`1IB@?o05=<1?l0Cdh3o`19C0Co04=90ol0?dL4o`0nA`?o04180ol0A4X4o`19C0?o
04m>1?l0DTd3o`1FB`Co05Y80ol0Gd@4o`1V?@?o06dc0ol0MRH4o`2050?o0HX01?lLU@03ocZO00Co
FZT00omk/P04oi^j00?o^L801?o8_003olf^00?odZ<01?oEVP03omND00Cof9000ooHS`04omRA00?o
eYH01?oCWP03om2X00?obkD01?o5``03ojVn00CoRKH00omX[@04odNS00?o9iT01?l;SP03o`2430Co
07XO0ol0LBh3o`1Z>0Co06=00ol0GTD4o`1IB0?o05I;1?l0DTd3o`1@CPCo04a=0ol0B4/3o`16B`Co
04Q;0ol0C4d4o`1@CP?o05A<1?l0FDT3o`1OA0Co06Hm0ol0L304o`1k7P?o08H80ol8S@04o`V=00?o
08D:1?l0M2T3o`1P@`Co04U<0ol0;Ch4o`0P=P?o01`c1ol06S83o`0I<@Co01/c0ol07cD4o`0U>@?o
02`n1?l0=D<3o`10B0Co04Y=0ol0C4d3o`11B0Co02/m0ol06304o`0=9`?o00TS1?l02283o`098`Co
00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol01Ql7o`0680Co00LP
0ol02R@4o`0B;0?o024g1?l0<D03o`0kA@?o03Y51?l0<T43o`0Z?@Co02@i0ol07SD4o`0I<@?o01H_
1ol05Bh4o`0F;`?o01L`0ol06c<4o`0U>@?o03e61?l0F4X3o`1Z=`Co07XP0ol0PQ04o`224@?o07/M
0ol0LRd4o`1X>`?o05m41?l0FDT3o`1CC0Co04m>0ol0BD`4o`13B@?o03m71?l0?TL3o`10B0?o04A:
1?l0BD`3o`1?CPCo059=0ol0ET/4o`1JB0?o05m41?l0ISd3o`1]<`?o07HV1?l0P1@3o`6:00Co79D0
0oljW`04oeZY00?oNk801?nK^P03okW200Cob;`00oo=[P03om:S00CoeIX00ooGU004omR@00?of8l0
1?oHT@03omJF00Codih00oo@Z003ol^e00CoaL<00onY_P04ohVf00?oJ:d01?m7X`03obNI00Co2hh0
0ol0Q0`4o`1j7`?o074^0ol0JSP4o`1S@0?o05i51?l0FDP3o`1FB`Co059=0ol0D4h4o`1<C@?o04Q;
0ol0AT/4o`18B`?o04a=1?l0D4h3o`1DC0Co05U90ol0Gd@4o`1V?@?o070`1?l0Nah3o`2620?o28d0
1?l9S@03o`252PCo07@Y0ol0H4<4o`19C0?o02dn1?l083H3o`0L<`Oo01Xb0ol06C44o`0K<`?o01le
1?l09CT3o`0/?PCo03E30ol0@4P4o`1:C@?o04a=0ol0@DP4o`0[?@?o01P`1?l03BL3o`098`Co00PR
0ol02B<4o`088POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00HO1ol0
1R04o`0780?o00XT1?l04R`3o`0Q=`Co03500ol0>dD3o`0jA@Co03910ol0:Sd4o`0T>@?o01he1?l0
6C43o`0F;`Oo01D^1?l05Rl3o`0G<0?o01/c1?l09CT3o`0mAPCo05Q:0ol0JSL4o`1j80?o088@1?l0
PQ43o`1k7@?o078]1?l0J3/3o`1OA0Co05U90ol0Dd`4o`1?CP?o04U<1?l0@dT3o`0oA`Co03i70ol0
@4P3o`14BPCo04U<0ol0Cdh4o`1BC@?o05I;1?l0FTP3o`1OA0Co06Hm0ol0KC<3o`1f9PCo080D0ol1
RP04oabE00?o>Yl01?mJZ@03og^b00CoVkX00oni`P04olRl00?ocJh00ooBX`04omFJ00?oei@01?oH
T003omR?00Cof9400ooFUP04om>N00?od:P00oo;]@04olG300?oZKh01?n9]P03ofR]00CoAj<00olW
V@04o`^>00?o08@<1?l0NQl3o`1a;P?o06Xh1?l0Hd03o`1NA@Co05U80ol0ET/4o`1BC@?o051>1?l0
C4d3o`18B`?o04I;1?l0B4/3o`1<C@Co051>0ol0E4`4o`1IB@?o05m41?l0ISd3o`1`<0Co07/N0ol0
QPP3o`R=00Co2Hd00ol0Q@X4o`1d:@?o06131?l0BD`3o`0]?PCo020f0ol073<7o`0J<P?o01Ta1?l0
6c<3o`0O=@Co02Di0ol0;3h4o`0e@`?o04181?l0BTd3o`1<C@?o04581?l0:cd3o`0H<0Co00dW0ol0
2B<4o`088P?o00TS1?l02287ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3
o`067`Oo00HP1?l01b03o`0:90Co018/0ol08CL4o`0a@0?o03]50ol0>TD4o`0b@@?o02Xm1?l093T3
o`0N=@Co01Ta0ol05Rl7o`0E;PCo01H_0ol05c03o`0K<`Co02Di0ol0?DH4o`1HBP?o06Xg1?l0NR03
o`2240Co088A0ol0Nad3o`1b;@Co06Pk0ol0Gd@4o`1IB@?o05=<1?l0Cdh3o`19C0Co04=90ol0?dL4
o`0nA`?o04180ol0A4X4o`19C0?o04m>1?l0DTd3o`1FB`Co05Y80ol0Gd@4o`1V?@?o06dc0ol0MRH4
o`2050?o0HX01?lLU@03ocZO00CoFZT00omk/P04oi^j00?o^L801?o8_003olf^00?odZ<01?oEVP03
omND00Cof9000ooHS`04omRA00?oeYH01?oCWP03om2X00?obkD01?o5``03ojVn00CoRKH00omX[@04
odNS00?o9iT01?l;SP03o`2430Co07XO0ol0LBh3o`1Z>0Co06=00ol0GTD4o`1IB0?o05I;1?l0DTd3
o`1@CPCo04a=0ol0B4/3o`16B`Co04Q;0ol0C4d4o`1@CP?o05A<1?l0FDT3o`1OA0Co06Hm0ol0L304
o`1k7P?o08H80ol8S@04o`V=00?o08D:1?l0M2T3o`1P@`Co04U<0ol0;Ch4o`0P=P?o01`c1ol06S83
o`0I<@Co01/c0ol07cD4o`0U>@?o02`n1?l0=D<3o`10B0Co04Y=0ol0C4d3o`11B0Co02/m0ol06304
o`0=9`?o00TS1?l02283o`098`Co00PR1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol01Ql7o`0680Co00LP0ol02B<4o`0?:@?o01dd1?l0;Sh3o`0iA@?o03]51?l0=D83o`0]
?PCo02Hj0ol083H4o`0J<P?o01L`1ol05Bh4o`0F;`?o01L`0ol06C44o`0P=P?o03911?l0DDd3o`1T
?`Co07DY0ol0P1D4o`233P?o07lF0ol0MRH4o`1/=@?o06=01?l0G4L3o`1FB`Co055=0ol0CDh4o`16
B`?o04581ol0?dL3o`11B0Co04E:0ol0Bdd4o`1@CP?o05=<1?l0EdX3o`1KA`Co06130ol0IS`3o`1^
<`Co07HW0ol0OaL4o`280`?o4i401?l]V`03odRS00CoHj/00omm/`04oiJi00?oZkh00onm``04olK1
00?ob;/01?o:^003olZg00CobKT00oo7_P04olC400?o]<400onP_004ohRf00?oKZl01?mCY`03ocRN
00Co7ID00ol5S004o`223`?o07XP1?l0LBh3o`1Z>0?o06@o1?l0Gd@3o`1JB0Co05M:0ol0Dd`4o`1@
C@?o04e>1?l0BD`3o`16B`?o04M;1?l0BT`3o`1?CPCo059=0ol0EdX4o`1LA`?o06911?l0JSP3o`1e
:@Co080D0ol0RP03o`^>00Co18/00ol0OaH4o`1]=@?o05Q91?l0?DH3o`0W>`Co01he0ol06c<3o`0J
<POo01Tb1?l073<3o`0P=`Co02Lk0ol0;cl4o`0hA0?o04A:1?l0C4d3o`1;C@?o03a61?l09SX3o`0D
;PCo00/V2_l02B<4o`098POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o
00HO1ol01R04o`0780?o00TS1?l03bT3o`0M=0Co02hn0ol0>DD3o`0kA@Co03E20ol0;Ch4o`0V>P?o
020f1?l06S83o`0G<0Oo01D^1?l05Rl3o`0G<0?o01Ta1?l083H3o`0b@@Co055=0ol0I3l4o`1e:@?o
080E1?l0P`h3o`1o5P?o07HV1?l0K3D3o`1S@0Co05a70ol0ET/4o`1AC@?o04e>1?l0AT/3o`11B0Oo
03m70ol0@DP4o`15BP?o04]=1?l0D4h3o`1CC0Co05M:0ol0FdL4o`1P@`?o06Hl0ol0KS<4o`1f9`?o
07lG1?l0R0<3oa>A00Co;I/00om8X`04of>[00?oOK<01?nF^@03oj^n00?o_L<01?o6`@03olRk00Co
b[P00oo:]`04olVi00?oakh01?o4a003okC100?oX;`01?n8]P03ofj_00CoDjL00olhWP04oafE00?o
1H`01?l0PPl3o`1j80Co074^0ol0JSP3o`1T?`Co05m40ol0FTP4o`1GBP?o05=<1?l0D4d3o`1=CPCo
04U<0ol0AT/3o`17B`Co04Y<0ol0Cdh4o`1BC@?o05M:1?l0G4L3o`1R@@Co06Xh0ol0MBT4o`2050?o
08X00ol;SP04o`B;00?o07lF1?l0KCD3o`1HB@Co03e60ol09c/4o`0N=@?o01/c0ol06S87o`0I<PCo
01`c0ol083L4o`0W>`?o02lo1?l0>4@3o`14BPCo04a=0ol0Bdd3o`0lAPCo02Hj0ol052h4o`0;9P[o
00TS1?l02B87ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`067`Oo00HP
1?l01b03o`098`Co00lY0ol07C@4o`0^?P?o03U50ol0>dD4o`0e@P?o02dn1?l09SX3o`0P=PCo01Xb
0ol05c07o`0E;PCo01H_0ol05c03o`0I<@Co020f0ol0<T44o`1AC@?o06@o1?l0MBT3o`205@Co08<>
0ol0OaH3o`1f9PCo06`e0ol0Hd04o`1LA`?o05I;1?l0DDd3o`1=CPCo04I;0ol0@DP7o`0oA`?o0458
1?l0ADX3o`1;C@Co051>0ol0Dd`4o`1GBP?o05]71?l0H4<3o`1V?0?o06hc1?l0MRL3o`1o5`Co08P3
0olCT@04obfK00?oB:<01?mSZ`03ogfc00CoU[T00on[_P03okg300Coa/400oo8^`04olZh00?ob[L0
1?o9^@03olNn00Coa<@00ond`@03oj2l00CoR;H00om^[`04oe>W00?o>9h01?lMU@03o`F<00Co088?
0ol0NR04o`1a;P?o06Xh0ol0I3l4o`1OA0?o05Y81?l0EdX3o`1CC0Co051=0ol0CDh4o`19C0?o04I;
0ol0Ad/4o`1:C0?o04m>1?l0DTd3o`1GBPCo05a70ol0HT44o`1Z>0?o07DY1?l0P1@3o`2:00?o2hh0
1?l4R`03o`1o5PCo06de0ol0F4T4o`0mAP?o02Lk1?l07SD3o`0K<`?o01Xb1ol06C84o`0L<`?o020g
1?l09c/3o`0_?`Co03Q40ol0A4X4o`1<C@?o04]=0ol0?4H4o`0V>P?o01@^1?l02bH:o`098`Co00TR
1oooool1o`00007ooooo0006ooooo`Go00000oooool00ol0003oooooooooo`02ooooo`?o00001ooo
ool00ol0003oooooooooo`06ooooo`?o00HO1?l01R07o`0780?o00PR1?l03BL3o`0I<@Co02Tl0ol0
=d@3o`0lAPCo03M40ol0;cl4o`0X>`?o024g1?l073@3o`0H<0Co01D_0ol05Bh7o`0F;`?o01Pa1?l0
7C@3o`0Z?0Co04E:0ol0G4H4o`1^<P?o07`L1?l0P`l3o`214@?o07/N1?l0LBh3o`1W>`Co05m40ol0
FDT4o`1DC0?o051>1?l0BT`3o`14BPCo04180ol0?dL3o`10B0Co04=90ol0Ad/4o`1=CP?o055=1?l0
E4`3o`1GBPCo05a70ol0H4<3o`1V?@Co06dd0ol0M2T4o`1l6`?o08@;1?l7S@03oabE00Co<I`00om6
X`04oe^Y00?oKJh00omm/`04ohVf00?oT[P01?nG^@03oiRj00CoUKT00on=]`04oh:d00?oM;000omS
Z`04odnV00?o>Yl01?lTV003o`n@00Co08P30ol0P1D4o`1h90?o070_1?l0JSP3o`1T?`?o05m41?l0
FdP3o`1GBPCo05A<0ol0DDd4o`1?CP?o04Y<1?l0Ad/3o`16B`?o04Q<1?l0CDh3o`1AC@Co05E;0ol0
FDT4o`1OA0?o06Hm1?l0Kc43o`1j7`Co08D:0ol7S@03o`^>00Co08L50ol0N2<4o`1T?`?o055=1?l0
<T43o`0R>0Co01dd0ol06c<3o`0J<PCo01Tb0ol06S84o`0M=0?o028h1?l0:C`3o`0b@@Co03a60ol0
Ad/4o`1=CP?o04Q;0ol0=T<4o`0P=P?o014[1?l02R@3o`098P_o00TS1oooool1o`00007ooooo0007
ooooo`04o`000?ooooooooooo`0000Oooooo00Go0000ooooooooooooooooo`000006ooooo`03o`00
0?oooooooooo00Kooooo0ol01Ql4o`0680Oo00LP0ol02284o`0=9`?o01Ta1?l0:C`3o`0gA0?o03a6
1?l0=d@3o`0_?`Co02Pk0ol08CL4o`0L=0?o01P`1?l05Bl3o`0E;POo01H_0ol06344o`0M=0?o02Xl
1?l0ADX3o`1LAPCo06hb0ol0O1`4o`233`?o084A0ol0Nah4o`1a;P?o06Lk1?l0Gd@3o`1IB@Co05A<
0ol0D4h4o`1:C0?o04A:1?l0@4P3o`0oA`?o04181?l0@dT3o`17B`Co04e>0ol0DDd4o`1DC0?o05M:
1?l0G4L3o`1P@`?o06Hm1?l0KC@3o`1d:@Co07`K0ol0Q0/4o`N=00?o79D01?laW003odJS00CoFjT0
0om][P03ogfc00CoRKH00onB^004oiNi00?oV;X01?nE^@03ohfg00CoP[@00omd/003of>[00CoCjH0
0oljW`04obBH00?o3i001?l0R0<3o`205@Co07PT0ol0L2l4o`1Z>0?o06@o0ol0Gd@4o`1KB0?o05M:
1?l0E4`3o`1AC@Co04m>0ol0BT`4o`17B`?o04I;0ol0B4`4o`1=CP?o055=1?l0ED/3o`1IB@Co05m4
0ol0ISd4o`1_<@?o07XO1?l0Q@X3o`N=00?o2hh01?l0Q`D3o`1h8`Co06@o0ol0DDd4o`0b@@?o028h
1?l07C@3o`0K<`?o01Xb1?l06C83o`0J<PCo01dd0ol08SP4o`0Y?0?o03911?l0?4H3o`17B`Co04e>
0ol0B4/3o`0f@`Co020f0ol04B/4o`0:90?o00TR2ol02B<7ooooo`7o00000Oooool000Sooooo00?o
0000ooooooooool02oooool00ol0003oooooooooo`04ooooo`Co00001Oooool3o`067`Co00HP1ol0
1b03o`088PCo00dW0ol06C44o`0Y?0?o03M40ol0?4H4o`0gA0?o02lo1?l0:3/3o`0Q=`Co01`d0ol0
6304o`0E;`?o01D^1ol05Rl3o`0H<@Co01dd0ol0:S`4o`15BP?o05a61?l0KS83o`1l70Co08<?0ol0
PA43o`1k7PCo074^0ol0Ic/4o`1OA0?o05U91?l0E4`3o`1@CPCo04Y<0ol0A4X4o`10B0?o03m70ol0
@4P4o`13B@?o04M;1?l0CDh3o`1AC@Co05A<0ol0EdX4o`1LA`?o06130ol0ISd4o`1]=0?o07@Y1?l0
O1/3o`242`Co1hd00olLU@04oc6L00?oAZ<01?mKZ@03off^00?oOK<01?n9]P03oi:h00CoUkT00onH
^P04oiFi00?oSKL01?n2]003ogB`00?oHj/01?m?YP03ocZO00Co99P00ol?T004o`280`?o080E1?l0
N2@3o`1`;`Co06Xh0ol0I3l3o`1OA0Co05]80ol0EdX4o`1DC0?o055=1?l0Cdh3o`1:C0Co04M;0ol0
AT/3o`18C0Co04e>0ol0DDd4o`1EB`?o05U91?l0Gd@3o`1V?@Co06la0ol0NQl4o`252P?o1hd00ol;
SP04o`271@?o07PS1?l0I3l3o`1AC@Co03910ol08SP4o`0M=0?o01/c0ol06S84o`0I<P?o01Xb1?l0
7C@3o`0R>0Co02Tl0ol0<T44o`0lAP?o04M;1?l0CDh3o`18B`?o03I31?l083H3o`0A:`Co00XT0ol0
2B8;o`098`Gooooo0ol00001ooooo`002Oooool00ol0003oooooooooo`0:ooooo`03o`000?oooooo
oooo00Cooooo00?o0000ooooooooool01_ooool3o`067`Co00HP1ol01b03o`078@Co00/U0ol05Bh4
o`0T>@?o03A20ol0?4H4o`0jA@?o03911?l0:Sd3o`0T>@Co01he0ol06C84o`0F;`?o01D^1?l05Bl3
o`0F;`?o01L`1?l06S83o`0S>0Co03Q40ol0E4`4o`1W?0?o07LU1?l0PA83o`233@?o07lF1?l0MRH3
o`1]=@Co06@o0ol0G4H4o`1GBP?o059=1?l0CTh3o`18B`Co04=90ol0@4P3o`0oA`Co04180ol0A4X4
o`18C0?o04i>1?l0DDd3o`1DC0Co05Q:0ol0FdL3o`1P@`Co06Dn0ol0JcL4o`1b;@?o07PR1?l0OaD3
o`261PCo28d00olHT`04obRI00?o=Yh00om3XP04odfU00?oE:L01?mHZ003oeVY00CoEZP00om@YP04
odNS00?o?:000ol^V`04oanF00?o3i001?l0R@03o`223`Co07/M0ol0MBT4o`1^<P?o06Pj1?l0Hd03
o`1OA0?o05]81?l0EdX3o`1DC0Co059=0ol0Cdh4o`1;C@?o04Q;1?l0AT/3o`17B`?o04]=1?l0D4h3
o`1CC0Co05M:0ol0G4H4o`1S@0?o06/g1?l0MBP3o`2050Co08T00ol;SP03o`J<00Co084A0ol0L304
o`1LA`?o04=91?l0:Sd3o`0O=PCo01`c1_l06S84o`0I<P?o01/c1?l07cD3o`0U>@Co02`n0ol0=D84
o`10B0?o04Y<1?l0CDh3o`14BP?o02lo1?l06c<3o`0>:A;o00TS1oooool1o`00007ooooo0006oooo
o`05o`000?ooooooooooooooool000001oooool4o`0000Oooooo00?o0000ooooooooool01_ooool3
o`067`Co00HP1ol01b03o`078@Co00/U0ol05Bh4o`0T>@?o03A20ol0?4H4o`0jA@?o03911?l0:Sd3
o`0T>@Co01he0ol06C84o`0F;`?o01D^1?l05Bl3o`0F;`?o01L`1?l06S83o`0S>0Co03Q40ol0E4`4
o`1W?0?o07LU1?l0PA83o`233@?o07lF1?l0MRH3o`1]=@Co06@o0ol0G4H4o`1GBP?o059=1?l0CTh3
o`18B`Co04=90ol0@4P3o`0oA`Co04180ol0A4X4o`18C0?o04i>1?l0DDd3o`1DC0Co05Q:0ol0FdL3
o`1P@`Co06Dn0ol0JcL4o`1b;@?o07PR1?l0OaD3o`261PCo28d00olHT`04obRI00?o=Yh00om3XP04
odfU00?oE:L01?mHZ003oeVY00CoEZP00om@YP04odNS00?o?:000ol^V`04oanF00?o3i001?l0R@03
o`223`Co07/M0ol0MBT4o`1^<P?o06Pj1?l0Hd03o`1OA0?o05]81?l0EdX3o`1DC0Co059=0ol0Cdh4
o`1;C@?o04Q;1?l0AT/3o`17B`?o04]=1?l0D4h3o`1CC0Co05M:0ol0G4H4o`1S@0?o06/g1?l0MBP3
o`2050Co08T00ol;SP03o`J<00Co084A0ol0L304o`1LA`?o04=91?l0:Sd3o`0O=PCo01`c1_l06S84
o`0I<P?o01/c1?l07cD3o`0U>@Co02`n0ol0=D84o`10B0?o04Y<1?l0CDh3o`14BP?o02lo1?l06c<3
o`0>:A;o00TS1oooool1o`00007ooooo0006ooooo`05o`000?ooooooooooooooool000001oooool0
0ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Kooooo0ol01Ql4o`0680Oo00LP0ol01b44
o`0;9@?o01D^1?l093T3o`0d@P?o03a61?l0>TD3o`0b@@Co02Xm0ol093T4o`0N=@?o01Tb1?l05Rl3
o`0E;PCo01D_0ol05Rl3o`0G<0Co01Xb0ol08cP4o`0hA0?o05A<1?l0Ic`3o`1g9@Co084B0ol0P`d3
o`1o5PCo07HV0ol0KCD4o`1T?`?o05a61?l0EdX3o`1BC@Co04i>0ol0B4/4o`13B@?o04180ol0?dL4
o`10B0?o04A:1?l0B4`3o`1>CPCo055=0ol0E4`4o`1HBP?o05]70ol0H4<4o`1U?P?o06/g1?l0LRd3
o`1h8PCo07lE0ol0QPH4o`R=00?o69<01?lXV@03ocJN00?o@j801?m=Y@03oeBW00CoF:P00omIZ@04
oeJX00?oD:H01?m7X`03ocbP00?o;Y/01?lOUP03o`n@00Co08T00ol0PPl4o`1k7@?o07DY1?l0KS83
o`1X>PCo06=00ol0Gd@3o`1KB0Co05M:0ol0E4`4o`1BC@?o04m>1?l0Bdd3o`18B`Co04I;0ol0Ad/3
o`1;C@Co051>0ol0Dd`4o`1GBP?o05a61?l0Hd03o`1[=`Co07DX0ol0P1@4o`2900?o2hh00ol6S004
o`214@?o070`1?l0G4L3o`13B@Co02Xm0ol07cH4o`0L<`Ko01Xb1?l06C83o`0K<`Co01le0ol09CT4
o`0/?P?o03E21?l0@4P3o`1:C0Co04e>0ol0A4X3o`0_?`Co01/c0ol03RTBo`098`Oooooo0Ol00001
ooooo`001oooool3o`0000Sooooo1Ol00006ooooo`03o`000?oooooooooo00Kooooo0ol01Ql4o`06
80Oo00LP0ol01b44o`0;9@?o01D^1?l093T3o`0d@P?o03a61?l0>TD3o`0b@@Co02Xm0ol093T4o`0N
=@?o01Tb1?l05Rl3o`0E;PCo01D_0ol05Rl3o`0G<0Co01Xb0ol08cP4o`0hA0?o05A<1?l0Ic`3o`1g
9@Co084B0ol0P`d3o`1o5PCo07HV0ol0KCD4o`1T?`?o05a61?l0EdX3o`1BC@Co04i>0ol0B4/4o`13
B@?o04180ol0?dL4o`10B0?o04A:1?l0B4`3o`1>CPCo055=0ol0E4`4o`1HBP?o05]70ol0H4<4o`1U
?P?o06/g1?l0LRd3o`1h8PCo07lE0ol0QPH4o`R=00?o69<01?lXV@03ocJN00?o@j801?m=Y@03oeBW
00CoF:P00omIZ@04oeJX00?oD:H01?m7X`03ocbP00?o;Y/01?lOUP03o`n@00Co08T00ol0PPl4o`1k
7@?o07DY1?l0KS83o`1X>PCo06=00ol0Gd@3o`1KB0Co05M:0ol0E4`4o`1BC@?o04m>1?l0Bdd3o`18
B`Co04I;0ol0Ad/3o`1;C@Co051>0ol0Dd`4o`1GBP?o05a61?l0Hd03o`1[=`Co07DX0ol0P1@4o`29
00?o2hh00ol6S004o`214@?o070`1?l0G4L3o`13B@Co02Xm0ol07cH4o`0L<`Ko01Xb1?l06C83o`0K
<`Co01le0ol09CT4o`0/?P?o03E21?l0@4P3o`1:C0Co04e>0ol0A4X3o`0_?`Co01/c0ol03RTBo`09
8`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00HO1?l01R07o`0780?o
00LQ1?l02R@3o`0A:`Co01lf0ol0<403o`0kA@Co03a60ol0=D<4o`0]?P?o02Hj1?l083H3o`0K<`Co
01L`0ol05Bl4o`0E;P?o01H_0ol05c04o`0I<@?o01he1?l0;Ch3o`1:C@Co05i40ol0L304o`1m6P?o
08<=0ol0PQ04o`1k7@?o078]1?l0JCX3o`1Q@`Co05Y80ol0ED/4o`1AC@?o04e>1?l0AT/3o`12B@?o
04181?l0?dP3o`11B0Co04E:0ol0BD`4o`1?CP?o055=1?l0E4`3o`1GBP?o05]71?l0Gd@3o`1T@0Co
06Tj0ol0KS<4o`1d:P?o07TP1?l0OaH3o`252PCo08T00ol:SP03oa>A00Co6i@00olPUP04ob>G00?o
99L01?lRU`03oafE00Co5i<00ol>S`03o`B;00Co08L60ol0PA44o`1l70?o07HV1?l0LBl3o`1[=PCo
06Hl0ol0HT44o`1NA@?o05Y80ol0EdX4o`1DC0?o059=1?l0Cdh3o`1<C@Co04Q<1ol0Ad/3o`1:C0?o
04m>1?l0DTd3o`1FB`Co05Y80ol0H4<4o`1W>`?o070_1?l0Nah3o`252@Co1hd00ol;SP03o`280`Co
07XP0ol0Ic`4o`1CC0?o03I31?l093T3o`0M=0Co01/c0ol06S83o`0I<PCo01Xb0ol073@4o`0Q=`?o
02Lk1?l0;cl3o`0iA0Co04=91ol0C4d3o`0nA`?o02Pk1?l05Rl3o`0<9Q;o00TS1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo0ol01Ql4o`0680Oo00LP0ol01b44o`0:90?o014[
1?l07cH3o`0`@0?o03]51?l0?4H3o`0e@`Co02dn0ol09SX4o`0P=P?o01/c1?l05c03o`0E;`Co01D^
0ol05Rl3o`0G<0Co01Ta0ol07SD4o`0]?P?o04Y=1?l0GT@3o`1`<0Co07dJ0ol0P`d3o`2240Co07/M
0ol0LRd4o`1Y>P?o06531?l0FTP3o`1EB`Co055=0ol0CDh4o`16B`?o04990ol0@4P4o`0oB0?o0458
1?l0ADX3o`19C0Co04m>0ol0DDd4o`1DC0?o05M:0ol0FdL4o`1OA0?o06A01?l0JCX3o`1^<`Co07@Z
0ol0NB04o`1o5P?o08D:1?l0R@03o`Z>00?o4i401?lKU003ob2F00Co8iL00olTU`04ob:G00?o7ID0
1?lGT`03o`j?00?o18/01?l0Q`H3o`214@Co07`L0ol0MRH4o`1a;`?o06/f1?l0IS`3o`1R@@Co05i5
0ol0FTP3o`1GBPCo05A<0ol0DTd4o`1?CP?o04a=1?l0B4`7o`17B`?o04Y<0ol0Cdh4o`1BC@?o05I;
1?l0FTP3o`1P@`Co06Lk0ol0L2l4o`1k7P?o08D91?l7S@03o`^>00?o08P31?l0NR03o`1W?0Co05=<
0ol0=T<4o`0T>@?o01dd1?l06c<3o`0J<P?o01Tb1?l06S83o`0L=0Co024g0ol09c/4o`0_?`?o03U4
1?l0@dT7o`1<C@?o03i70ol0:3/4o`0F;`?o00`V4_l02B<7ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool3o`067`Co00HP1ol01b03o`078@Co00XT0ol04B/4o`0O=P?o03100ol0
>dD4o`0lAP?o03E31?l0;Ch3o`0V>PCo020f0ol06c<4o`0G<0?o01D_1?l05Bh3o`0F;`?o01L`1?l0
6C43o`0N=@Co02dn0ol0BTd4o`1NA0?o070`1?l0OAX3o`233@?o088@1?l0Nad3o`1b;@Co06Tj0ol0
HD<4o`1JB0?o05E;1?l0DDd3o`1=CPCo04I;0ol0@TT3o`10B0Co03m80ol0@DP4o`15BP?o04U<1?l0
Cdh3o`1AC@Co05A<0ol0EdX3o`1KA`Co05m40ol0I404o`1Y>P?o06hc1?l0M2X3o`1i80Co07lF0ol0
Q@X4o`2900?o2Xh00olCT@04oa^D00?o89H01?lSU`03obBG00Co8YL00olMU@04oaNC00?o3Xl00ol4
R`04o`271P?o084A1?l0O1`3o`1f9PCo074_0ol0JcH4o`1V?0?o06911?l0GTD3o`1JB0?o05M:1?l0
E4`3o`1BC@Co04m>0ol0C4d4o`18C0Oo04M;0ol0BT`3o`1?CPCo059=0ol0ET/4o`1JB0?o06131?l0
Ic/3o`1`;`Co07/N0ol0Q@T4o`N=00?o2hh00ol0R0<4o`1j80?o06Ll1?l0Dd`3o`0f@`Co02@i0ol0
7C@4o`0K<`?o01Xb0ol06C84o`0J<P?o01`d1?l08CL3o`0W>`Co02lo0ol0>D@4o`13B@Oo04a=0ol0
?TL3o`0X>`Co01H_0ol032HBo`098`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06
ooooo`Oo00HP2_l01b04o`088P?o00hX1?l06S83o`0[?@?o03Q41?l0?DH3o`0hA0Co03100ol0:C`4
o`0R>0?o01dd1?l06343o`0F;`Co01D^1_l05Rl4o`0H<0?o01/c1?l09CT3o`0kA@Co05I;0ol0J3/4
o`1g90?o084B0ol0Q0`4o`2050?o07PS1?l0KS83o`1V?@Co05i50ol0F4T4o`1DC0?o051>1?l0Bdd3
o`15BP?o04591ol0@4P4o`12B@?o04E:1?l0BT`3o`1?CPCo055=0ol0E4`3o`1GBPCo05Y80ol0GDD4
o`1Q@P?o06Dn1?l0JSP3o`1^<PCo07<[0ol0Mb@4o`1k7@?o07lF0ol0PQ04o`252P?o08H71ol0Q`@4
o`271@?o08D91?l0P`d3o`204`?o07dJ1?l0NB43o`1e:0Co074_0ol0K3D4o`1X>`?o06@o1?l0H4<3
o`1MAPCo05U80ol0EdX3o`1DC0Co059=0ol0Cdh4o`1<C@?o04U<1ol0Ad/4o`19C0?o04i>0ol0DDd4
o`1EB`?o05U91?l0GTD3o`1T?`Co06dd0ol0MbD4o`214P?o0HX01?l<S`03o`J<00?o084A1?l0LBl3
o`1MAPCo04I;0ol0;3h4o`0P=P?o01`d1?l06c<3o`0J<P?o01Tb1?l06S83o`0N=@Co02<h0ol0:Sd4
o`0c@@?o03e61?l0Ad/3o`1>CPCo04U<0ol0=d<3o`0Q=`Co018/0ol02bDBo`098`Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00HP2_l01b04o`088P?o00hX1?l06S83o`0[
?@?o03Q41?l0?DH3o`0hA0Co03100ol0:C`4o`0R>0?o01dd1?l06343o`0F;`Co01D^1_l05Rl4o`0H
<0?o01/c1?l09CT3o`0kA@Co05I;0ol0J3/4o`1g90?o084B0ol0Q0`4o`2050?o07PS1?l0KS83o`1V
?@Co05i50ol0F4T4o`1DC0?o051>1?l0Bdd3o`15BP?o04591ol0@4P4o`12B@?o04E:1?l0BT`3o`1?
CPCo055=0ol0E4`3o`1GBPCo05Y80ol0GDD4o`1Q@P?o06Dn1?l0JSP3o`1^<PCo07<[0ol0Mb@4o`1k
7@?o07lF0ol0PQ04o`252P?o08H71ol0Q`@4o`271@?o08D91?l0P`d3o`204`?o07dJ1?l0NB43o`1e
:0Co074_0ol0K3D4o`1X>`?o06@o1?l0H4<3o`1MAPCo05U80ol0EdX3o`1DC0Co059=0ol0Cdh4o`1<
C@?o04U<1ol0Ad/4o`19C0?o04i>0ol0DDd4o`1EB`?o05U91?l0GTD3o`1T?`Co06dd0ol0MbD4o`21
4P?o0HX01?l<S`03o`J<00?o084A1?l0LBl3o`1MAPCo04I;0ol0;3h4o`0P=P?o01`d1?l06c<3o`0J
<P?o01Tb1?l06S83o`0N=@Co02<h0ol0:Sd4o`0c@@?o03e61?l0Ad/3o`1>CPCo04U<0ol0=d<3o`0Q
=`Co018/0ol02bDBo`098`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo
00HP2_l01b04o`088P?o00hX1?l06S83o`0[?@?o03Q41?l0?DH3o`0hA0Co03100ol0:C`4o`0R>0?o
01dd1?l06343o`0F;`Co01D^1_l05Rl4o`0H<0?o01/c1?l09CT3o`0kA@Co05I;0ol0J3/4o`1g90?o
084B0ol0Q0`4o`2050?o07PS1?l0KS83o`1V?@Co05i50ol0F4T4o`1DC0?o051>1?l0Bdd3o`15BP?o
04591ol0@4P4o`12B@?o04E:1?l0BT`3o`1?CPCo055=0ol0E4`3o`1GBPCo05Y80ol0GDD4o`1Q@P?o
06Dn1?l0JSP3o`1^<PCo07<[0ol0Mb@4o`1k7@?o07lF0ol0PQ04o`252P?o08H71ol0Q`@4o`271@?o
08D91?l0P`d3o`204`?o07dJ1?l0NB43o`1e:0Co074_0ol0K3D4o`1X>`?o06@o1?l0H4<3o`1MAPCo
05U80ol0EdX3o`1DC0Co059=0ol0Cdh4o`1<C@?o04U<1ol0Ad/4o`19C0?o04i>0ol0DDd4o`1EB`?o
05U91?l0GTD3o`1T?`Co06dd0ol0MbD4o`214P?o0HX01?l<S`03o`J<00?o084A1?l0LBl3o`1MAPCo
04I;0ol0;3h4o`0P=P?o01`d1?l06c<3o`0J<P?o01Tb1?l06S83o`0N=@Co02<h0ol0:Sd4o`0c@@?o
03e61?l0Ad/3o`1>CPCo04U<0ol0=d<3o`0Q=`Co018/0ol02bDBo`098`Oooooo0Ol00001ooooo`00
7Oooool00ol0003oooooooooo`06ooooo`Oo00HP2_l01b04o`088P?o00hX1?l06S83o`0[?@?o03Q4
1?l0?DH3o`0hA0Co03100ol0:C`4o`0R>0?o01dd1?l06343o`0F;`Co01D^1_l05Rl4o`0H<0?o01/c
1?l09CT3o`0kA@Co05I;0ol0J3/4o`1g90?o084B0ol0Q0`4o`2050?o07PS1?l0KS83o`1V?@Co05i5
0ol0F4T4o`1DC0?o051>1?l0Bdd3o`15BP?o04591ol0@4P4o`12B@?o04E:1?l0BT`3o`1?CPCo055=
0ol0E4`3o`1GBPCo05Y80ol0GDD4o`1Q@P?o06Dn1?l0JSP3o`1^<PCo07<[0ol0Mb@4o`1k7@?o07lF
0ol0PQ04o`252P?o08H71ol0Q`@4o`271@?o08D91?l0P`d3o`204`?o07dJ1?l0NB43o`1e:0Co074_
0ol0K3D4o`1X>`?o06@o1?l0H4<3o`1MAPCo05U80ol0EdX3o`1DC0Co059=0ol0Cdh4o`1<C@?o04U<
1ol0Ad/4o`19C0?o04i>0ol0DDd4o`1EB`?o05U91?l0GTD3o`1T?`Co06dd0ol0MbD4o`214P?o0HX0
1?l<S`03o`J<00?o084A1?l0LBl3o`1MAPCo04I;0ol0;3h4o`0P=P?o01`d1?l06c<3o`0J<P?o01Tb
1?l06S83o`0N=@Co02<h0ol0:Sd4o`0c@@?o03e61?l0Ad/3o`1>CPCo04U<0ol0=d<3o`0Q=`Co018/
0ol02bDBo`098`Oooooo0Ol00001ooooo`007Oooool3o`0000Kooooo2_l01b04o`078@?o00LP1?l0
2243o`0<9PCo01D^0ol09CT3o`0e@PCo03e60ol0>dD4o`0d@P?o02`m1?l09CT3o`0O=PCo01Xb0ol0
5c07o`0E;`?o01H_1?l05c03o`0I<@Co01lf0ol0;Sl4o`1;C@?o05i51?l0Kc43o`1m6P?o08<=1?l0
P`h3o`1m6@Co07DY0ol0JcH4o`1S@0?o05a61?l0EdX3o`1CC0Co04m>0ol0BT`3o`15BPCo04591ol0
@4P3o`12B@Co04E:0ol0BT`4o`1>CP?o055=0ol0Dd`4o`1FB`?o05Q91?l0FdL3o`1OA0Co06910ol0
ICh4o`1Y>@?o06`e1?l0Kc43o`1b;0?o07DX1?l0MbD3o`1h8`Oo07TQ1?l0NB83o`1g90Co07HW0ol0
M2X3o`1a;PCo06hc0ol0JcL4o`1W>`?o06@o1?l0HD83o`1NA@Co05]70ol0F4T4o`1FB`?o05=<0ol0
DDd4o`1?CP?o04a=1?l0BD`7o`17B`?o04U<1?l0CDh3o`1@C@?o05A<1?l0F4X3o`1LAPCo06910ol0
JSP4o`1c:`?o07dI1?l0Q`D3o`V=00Co2hh00ol0Q`D3o`1i8@Co06Hm0ol0Dd`4o`0g@`?o02Di1?l0
7SD3o`0K<`Co01Xb1_l06C84o`0K<`?o020f1?l09SX3o`0]?PCo03I30ol0@DP4o`1;C@?o04i>1?l0
@dT3o`0_?`?o01/c1?l03bT3o`0:90ko00TS1?l02R@6ooooo`;o00000Oooool001gooooo00?o0000
ooooooooool01_ooool:o`0780Co00LQ0ol01b04o`088@?o00`V1?l05Bh3o`0U>@?o03E21?l0?DH3
o`0kA@Co03A20ol0;3d4o`0U>@?o01lf1?l06S83o`0G<0Oo01D_0ol05Rl4o`0G<0?o01Ta1?l07cH3
o`0^?`Co04]=0ol0GTD4o`1_<@?o07dJ0ol0P`d4o`233P?o07dI1?l0MBT3o`1[=PCo06=00ol0G4H4
o`1GBP?o05=<1?l0Cdh3o`1:C0?o04E:1?l0@DT7o`10B0?o04991?l0ADX3o`1:C0Co04i>0ol0DDd3
o`1CC0Co05I;0ol0F4T4o`1KA`?o05m41?l0HT43o`1U?PCo06Ti0ol0K3D4o`1_<@?o078/0ol0MBP4
o`1g9@?o07PS1ol0NB44o`1i8P?o07LT1?l0MRL3o`1d:P?o074^1?l0KS<3o`1[=`Co06Lk0ol0I3l4
o`1Q@P?o05i51?l0FdL3o`1HB@Co05I;0ol0Dd`3o`1AC@Co04m>0ol0C4d4o`19C0Oo04M;0ol0BD`4
o`1=CP?o051=0ol0E4`4o`1HBP?o05a61?l0HT43o`1Z>0Co07<[0ol0OAT4o`271@?o2Hd01?l;SP03
o`271@?o07TQ1?l0ISd3o`1CC0Co03M30ol09CT4o`0N=@?o01/c1?l06S86o`0I<PCo01/c0ol083H4
o`0V>P?o02dn1?l0=T<3o`11B0Co04]=0ol0CTh4o`13B@?o02lo0ol06c<4o`0?:@?o00XT3_l02B<4
o`0:90Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00LP1?l01b43o`07
80Co00PQ0ol032H4o`0E;P?o02Di0ol0=D84o`0mAP?o03]51?l0=483o`0/?@Co02Di0ol07cH4o`0J
<P?o01L`1ol05Bl3o`0F;`Co01L`0ol06C44o`0O=P?o02ho1?l0Bdd3o`1NA@Co06la0ol0OAX3o`23
3@Co08<>0ol0OAT4o`1e:@?o06/f1?l0Hd03o`1LAPCo05M:0ol0Dd`4o`1?CP?o04Y<0ol0ADX4o`11
B@Oo04180ol0@TT4o`15BP?o04Y<1?l0CTh3o`1AC@?o05=<1?l0ET/3o`1HB@Co05]70ol0Gd@4o`1R
@@?o06Dn1?l0JCT3o`1/=@Co06la0ol0LR`3o`1e:0Co07LU0ol0N2<7o`1i8@Co07TR0ol0Mb@4o`1f
9`?o07@Z0ol0LBh4o`1^<`?o06/g1?l0Ic/3o`1T?`Co06520ol0GTD4o`1KA`?o05Q91?l0ET/3o`1C
C0?o055=1?l0Cdh3o`1<C@Co04U<1ol0Ad/3o`19C0Co04e>0ol0D4d3o`1DC0Co05Q:0ol0G4H4o`1R
@@?o06Xh1?l0Lb/3o`1m6@Co08L50ol9S@04o`^>00?o08L50ol0NB44o`1V?@?o05=<1?l0=d<3o`0U
>@Co01he0ol06c<4o`0J<PKo01Tb1?l06c<3o`0P=PCo02Hj0ol0;Ch4o`0f@`?o04581?l0Bdd3o`1>
CPCo04=90ol0;cl3o`0K<`Co00lY0ol02R@>o`098`Co00XT1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo2_l01b0;o`078@?o00XT1?l04B/3o`0O=@?o02lo1?l0>dD3o`0mAPCo
03M30ol0;cl4o`0X>`?o028g1?l073@3o`0H<@Co01H_0ol05Bl3o`0F;`Co01L`0ol06304o`0K<`?o
02Di1?l0>TD3o`1EC0Co06Hm0ol0MRL3o`204`Co08@;0ol0PQ04o`1k7P?o078]1?l0JCT3o`1Q@PCo
05]70ol0ETX4o`1BC@?o04m>0ol0BT`4o`15BP?o04991ol0@4P4o`12B@?o04E:1?l0BD`3o`1=CP?o
051>1?l0DTd3o`1DC0Co05M:0ol0FDT4o`1LA`?o05i51?l0HD83o`1S@0Co06Hm0ol0J3X3o`1Z>0Co
06/f0ol0KCD;o`1]=0?o06`e1?l0JcL3o`1Y>@?o06Ll1?l0ICh3o`1S@@Co06130ol0GTD4o`1KA`?o
05U91?l0EdX3o`1EC0Co059=0ol0D4d3o`1?CPCo04]=0ol0B4`7o`17B`Co04U<0ol0CDh4o`1@CP?o
05=<0ol0EdX4o`1KA`?o06521?l0J3/3o`1`<0Co07XO0ol0Q0`4o`F<00?o3Hl01?l3R`03o`205@?o
06lb1?l0FdL3o`15BPCo02`m0ol083H4o`0L=0?o01/c1?l06S83o`0I<P?o01Xb1?l07C@3o`0R>0Co
02Tl0ol0<D04o`0kA@?o04E:1?l0CDh3o`1;C@Co03a60ol09c/3o`0F;`Co00`V4Ol02B<4o`0:90Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00LP2ol01b43o`0:90Co014[
0ol07cD3o`0_?`Co03]50ol0?DH4o`0g@`?o02lo1?l0:3/3o`0R=`Co01`d0ol06344o`0F;`?o01D_
0ol05Rl4o`0G<0?o01P`1?l06c<3o`0U>@Co03Y50ol0ED`4o`1V?@?o07HW0ol0P1<4o`242`?o088@
1?l0Nah3o`1b;@Co06Ti0ol0HD84o`1KA`?o05I:1?l0DTd3o`1?CP?o04Y<1?l0ADX3o`12B@Oo0418
1?l0@TT3o`15BPCo04U<0ol0CDh3o`1@CPCo059=0ol0E4`4o`1GBP?o05U91?l0G4L3o`1NA@Co0652
0ol0Hd04o`1V?@?o06Pj0ol0JSP4o`1[=P?o06de2ol0KC@3o`1/=@Co06/g0ol0JCT3o`1W?0Co06Dn
0ol0Hd44o`1P@`?o05i51?l0FdL3o`1IB@Co05M:0ol0ED`4o`1BC@?o051=0ol0Cdh4o`1;C@?o04Q<
1ol0Ad/4o`19C0?o04e>1?l0D4h3o`1CC0?o05M:1?l0FdL3o`1Q@PCo06Pk0ol0L304o`1j7`?o08@<
1?l5S003o`f?00Co0h/00ol0P1D3o`1_<PCo05]70ol0ADX4o`0/?@?o020f1?l073@3o`0K<`Co01Xb
0ol06C83o`0J<PCo01dd0ol08SP4o`0Y?0?o03501?l0>dD3o`15BPCo04e>0ol0Bdd4o`0lAP?o02Lk
0ol05Rl4o`0<9Q7o00TS1?l02R@7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool:o`0780_o00LQ0ol02R@4o`0A:`?o01le0ol0;cl4o`0kA@?o03e61?l0=d<3o`0_?`Co02Pk0ol0
8SL4o`0L=0?o01Pa1?l05Rl3o`0E;`?o01H_1?l05c03o`0H<0Co01/c0ol09CT4o`0jA@?o05E<1?l0
ISd3o`1f9`?o080C1?l0Q0/3o`2240Co07/N0ol0LRd4o`1Y>@?o06521?l0FdL3o`1FBPCo059=0ol0
Cdh3o`1:C0Co04E:0ol0@TT7o`10B0Co04990ol0ADX4o`19C0?o04e>0ol0D4h4o`1BC@?o05A<1?l0
EdX3o`1IB@Co05a70ol0GTD4o`1Q@P?o06=01?l0ISd3o`1X>P?o06Xh1?l0JcH3o`1]=@_o06dd0ol0
K3D4o`1[=`?o06Ti0ol0Ic`4o`1U?P?o06=11?l0H4<3o`1NA@Co05]70ol0FDT4o`1GBP?o05E<1?l0
DTd3o`1@C@?o04m>1?l0Bdd3o`18C0Oo04M;1?l0BD`3o`1=CPCo051>0ol0Dd`3o`1GBPCo05]70ol0
HD84o`1X>`?o070`1?l0NQl3o`2430Co1H`00ol=S`04o`>;00?o080E0ol0Kc84o`1KA`?o04E:1?l0
;3d3o`0P=PCo01`d0ol06c<4o`0J<P?o01Tb0ol06S84o`0M=0?o028h1?l0:C`3o`0a@0Co03]50ol0
ADX4o`1=CP?o04]=1?l0?4H3o`0W>`?o01H_1?l032HAo`098`Co00XT1oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo2_l01b0;o`078@?o00XT1?l04B/3o`0O=@?o02lo1?l0>dD3
o`0mAPCo03M30ol0;cl4o`0X>`?o028g1?l073@3o`0H<@Co01H_0ol05Bl3o`0F;`Co01L`0ol06304
o`0K<`?o02Di1?l0>TD3o`1EC0Co06Hm0ol0MRL3o`204`Co08@;0ol0PQ04o`1k7P?o078]1?l0JCT3
o`1Q@PCo05]70ol0ETX4o`1BC@?o04m>0ol0BT`4o`15BP?o04991ol0@4P4o`12B@?o04E:1?l0BD`3
o`1=CP?o051>1?l0DTd3o`1DC0Co05M:0ol0FDT4o`1LA`?o05i51?l0HD83o`1S@0Co06Hm0ol0J3X3
o`1Z>0Co06/f0ol0KCD;o`1]=0?o06`e1?l0JcL3o`1Y>@?o06Ll1?l0ICh3o`1S@@Co06130ol0GTD4
o`1KA`?o05U91?l0EdX3o`1EC0Co059=0ol0D4d3o`1?CPCo04]=0ol0B4`7o`17B`Co04U<0ol0CDh4
o`1@CP?o05=<0ol0EdX4o`1KA`?o06521?l0J3/3o`1`<0Co07XO0ol0Q0`4o`F<00?o3Hl01?l3R`03
o`205@?o06lb1?l0FdL3o`15BPCo02`m0ol083H4o`0L=0?o01/c1?l06S83o`0I<P?o01Xb1?l07C@3
o`0R>0Co02Tl0ol0<D04o`0kA@?o04E:1?l0CDh3o`1;C@Co03a60ol09c/3o`0F;`Co00`V4Ol02B<4
o`0:90Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00LQ1ol01b0;o`07
8@?o00PR1?l03RP3o`0I<@?o02Tl1?l0>4@3o`0nA`Co03Y50ol0<d44o`0[?@?o02@i1?l07cD3o`0J
<PCo01L`1_l05Bl4o`0F;`?o01L`1?l06C43o`0O=@Co02`n0ol0Ad/4o`1LA`?o06dd0ol0Nah4o`23
3P?o08@;1?l0P1@3o`1i8PCo070`0ol0Ic/4o`1P@`?o05Y81?l0ET/3o`1BC@?o04m>1?l0BT`3o`15
BPCo04991ol0@DP3o`12B@Co04E:0ol0B4/3o`1<C@Co04m>0ol0DDd4o`1CC0?o05E;1?l0EdX3o`1I
B@Co05]70ol0GDH4o`1NA@?o06130ol0HD84o`1S@@?o06=02ol0I3l3o`1S@0Co06910ol0HD83o`1P
@`Co05i50ol0G4H4o`1JB0?o05U91?l0EdX3o`1EB`Co05=<0ol0DDd4o`1@CP?o04e>0ol0BT`4o`18
B`Oo04M;0ol0BD`4o`1=CP?o051>1?l0Dd`3o`1FBP?o05]81?l0H4<3o`1V?@Co06hc0ol0Mb@4o`21
4@?o0HX01?l<SP03o`V=00Co08D:0ol0MRL3o`1S@0Co055=0ol0=D84o`0T>@?o01de1?l06c<7o`0J
<P?o01Tb0ol06c<4o`0O=P?o02Dj1?l0;Ch3o`0e@PCo03m80ol0BT`4o`1>CP?o04M;1?l0=483o`0O
=P?o014[1?l02RD>o`098`?o00XT1?l02bD7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool3o`078@Oo00LP2ol01b43o`088PCo00hX0ol06C43o`0Y?0Co03Q40ol0?TL4o`0jA@?o
03=11?l0:cd3o`0T>@Co01le0ol06S84o`0G<0Ko01D_1?l05Rl3o`0G<0Co01Ta0ol07cD4o`0/?P?o
04M;1?l0G4L3o`1]=0?o07/N1?l0P`h3o`242`Co080D0ol0NB84o`1`<0?o06Lk1?l0H4<3o`1JB0Co
05I;0ol0DTd3o`1?CPCo04Y<0ol0ADX4o`12B@Oo04580ol0@TT4o`15BP?o04Q;0ol0C4d4o`1?CP?o
055=1?l0Dd`3o`1EB`Co05M:0ol0FDT4o`1KA`?o05e61?l0GTD3o`1P@`?o06521?l0Hd43o`1S@0_o
06@o0ol0Hd04o`1R@@?o06520ol0H4<4o`1NA@?o05a61?l0FTP3o`1IB@Co05M:0ol0ED/4o`1CC0?o
055=1?l0D4h3o`1=CP?o04Y<1?l0B4/7o`17B`?o04U<1?l0CDh3o`1@CPCo05=<0ol0ETX3o`1KB0Co
06130ol0ISd4o`1^<`?o07LT1?l0PA43o`6:00Co38h00ol9S@04o`252P?o07HW0ol0Hd04o`1AC@?o
03E21?l093T3o`0M=@Co01/c1ol06S83o`0I<P?o01/c1?l07cH3o`0U>PCo02dn0ol0=D84o`0oB0?o
04Y<1?l0CTh3o`17B`Co03A20ol07cH3o`0A:`Co00XU3_l02B<3o`0:90Co00/U1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo0ol01b47o`0780_o00LQ0ol02284o`0>:0?o01Ta
0ol0:C`4o`0hA0?o03i71?l0>TD3o`0c@@Co02/m0ol093T4o`0O=@?o01Xb1?l05c06o`0E;`Co01H_
0ol05c04o`0I<@?o01le1?l0;3h3o`17B`Co05a70ol0KC@3o`1k7PCo08<>0ol0Q0/4o`2050?o07TR
1?l0L303o`1W>`Co06130ol0FTP4o`1FB`?o059=0ol0Cdh4o`1:C0?o04E:1?l0@TT7o`11B0?o0499
1?l0ADX3o`18B`?o04a=1?l0Cdh3o`1AC@Co05=<0ol0ED/4o`1GBP?o05U91?l0FdL3o`1MAPCo05i5
0ol0H4<3o`1Q@PCo06=10ol0Hd0;o`1T?`?o06=01?l0HT43o`1Q@P?o06131?l0GTD3o`1LAPCo05Y8
0ol0FDT4o`1GBP?o05E;1?l0Dd`3o`1AC@Co051>0ol0CDh3o`1:C0Co04Q;1ol0Ad/3o`19C0Co04e>
0ol0D4h4o`1CC0?o05I:0ol0FdP4o`1P@`?o06Hm1?l0KS<3o`1g90Co084A0ol1RP04o`b>00?o2Hd0
1?l0Q@X3o`1f9`?o06=01?l0DDd3o`0e@PCo02@i0ol07CD4o`0K<`Oo01Xb0ol06C83o`0K<`Co01lf
0ol09CX4o`0]?P?o03E21?l0?dP3o`1:C0Co04i>0ol0Ad/4o`0d@P?o01lf0ol04B/4o`0:9@ko00TS
0ol02R@4o`0;9@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00PQ4_l0
1b43o`088@Co00/U0ol04bd3o`0R>0Co03911ol0?DH3o`0g@`Co02ho0ol09c/4o`0Q=`?o01`d1?l0
6343o`0F;`?o01D_1?l05Rl3o`0G<0Co01P`0ol06c<4o`0S>0?o03E21?l0DDd3o`1R@@?o078/1?l0
OQP3o`242`Co08@<0ol0OaH4o`1g9@?o06hc1?l0ISd3o`1OA0Co05Y80ol0ET/3o`1BC@Co04m>0ol0
BTd4o`16B`?o04=91ol0@DP4o`12B@?o04A:0ol0Ad/4o`1:C0?o04e>1?l0D4h3o`1AC@Co05=<0ol0
E4`4o`1FB`?o05M:1?l0FDT3o`1JB0?o05]71?l0G4L3o`1LAP_o05e60ol0G4H4o`1LA`?o05]70ol0
FTP4o`1IB@?o05M:1?l0ET/3o`1DC0Co05=<0ol0DDd4o`1@CP?o04i>1?l0C4d3o`19C0?o04M;1?l0
AT/3o`17B`Co04U<0ol0CDh4o`1@CP?o05=<1?l0ET/3o`1JB0?o05m41?l0ICh3o`1/=@Co07DW0ol0
OaH4o`280`?o2Xh01?l<SP03o`280PCo07/M0ol0JSP3o`1GBPCo03m70ol0:C`4o`0P=P?o01`c1?l0
6c<3o`0J<PCo01Tb0ol06S83o`0M=0Co028h0ol0:C`4o`0`@0?o03Y51?l0A4X7o`1=CP?o04181?l0
:cd3o`0H<@?o00hX1?l02B@7o`098`?o00TT1?l02B<3o`0:90Co00/U1oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo0ol0224Bo`078@?o00PQ1?l02bD3o`0C;@?o028h1?l0<T47
o`0mAP?o03M31?l0;Sl3o`0W>`Co024g0ol073@4o`0H<@?o01H_0ol05Bl4o`0F;`?o01L`1?l06303
o`0K<`Co02<h0ol0=D84o`1AC@?o06910ol0LR`4o`1n60?o08@;1?l0Q0`3o`1o5PCo07LU0ol0KS<4
o`1V?@?o05m41?l0FTP3o`1FB`?o059=1?l0Cdh3o`1:C@Co04I;0ol0@dT7o`11B0Co04990ol0A4X3
o`17B`Co04Y<0ol0CDh4o`1@CP?o055=1?l0Dd`3o`1DC0Co05I;0ol0EdX4o`1IB@?o05Y80ol0FdL4
o`1LA`?o05a62ol0GDH3o`1LAPCo05a70ol0FdL3o`1JB0Co05U90ol0EdX4o`1FB`?o05A<1?l0Dd`3
o`1AC@Co051>0ol0CTh4o`1<C@?o04U<0ol0Ad/4o`16B`?o04M;1?l0BD`3o`1=CPCo051>0ol0Dd`4
o`1FB`?o05Y80ol0Gd@4o`1U?P?o06`e1?l0MBL3o`1o5PCo08P30ol:SP04o`b>00?o08P21?l0Nad3
o`1Z>0?o05M:1?l0?dL3o`0Y?0Co020f0ol073<4o`0K<`?o01Xb1?l06C83o`0J<P?o01dd1?l08SP3
o`0Y?0Co03100ol0>TD4o`14BPOo04e>0ol0@4P4o`0[?@?o01Pa0ol03RP4o`0990Oo00TS0ol02B@4
o`098`?o00XT1?l02bD7ooooo`7o00000Oooool001gooooo0ol00006ooooo`?o00PQ4_l01b43o`08
8@Co00/U0ol04bd3o`0R>0Co03911ol0?DH3o`0g@`Co02ho0ol09c/4o`0Q=`?o01`d1?l06343o`0F
;`?o01D_1?l05Rl3o`0G<0Co01P`0ol06c<4o`0S>0?o03E21?l0DDd3o`1R@@?o078/1?l0OQP3o`24
2`Co08@<0ol0OaH4o`1g9@?o06hc1?l0ISd3o`1OA0Co05Y80ol0ET/3o`1BC@Co04m>0ol0BTd4o`16
B`?o04=91ol0@DP4o`12B@?o04A:0ol0Ad/4o`1:C0?o04e>1?l0D4h3o`1AC@Co05=<0ol0E4`4o`1F
B`?o05M:1?l0FDT3o`1JB0?o05]71?l0G4L3o`1LAP_o05e60ol0G4H4o`1LA`?o05]70ol0FTP4o`1I
B@?o05M:1?l0ET/3o`1DC0Co05=<0ol0DDd4o`1@CP?o04i>1?l0C4d3o`19C0?o04M;1?l0AT/3o`17
B`Co04U<0ol0CDh4o`1@CP?o05=<1?l0ET/3o`1JB0?o05m41?l0ICh3o`1/=@Co07DW0ol0OaH4o`28
0`?o2Xh01?l<SP03o`280PCo07/M0ol0JSP3o`1GBPCo03m70ol0:C`4o`0P=P?o01`c1?l06c<3o`0J
<PCo01Tb0ol06S83o`0M=0Co028h0ol0:C`4o`0`@0?o03Y51?l0A4X7o`1=CP?o04181?l0:cd3o`0H
<@?o00hX1?l02B@7o`098`?o00TT1?l02B<3o`0:90Co00/U1_ooool2o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo0ol02284o`088A7o00LQ1?l02B<3o`0?:@?o01/c1?l0:cd3o`0iA@Co
03i70ol0>TD4o`0b@@?o02/m1?l093T3o`0O=PCo01Xb0ol05c0:o`0F;`Co01L`0ol06C44o`0M=0?o
02Pk1?l0?dL3o`1GBP?o06Pk1?l0MRH3o`214`Co08D:0ol0P`d4o`1n6@?o07HW1?l0KC@3o`1U?@Co
05m40ol0FTP3o`1FB`Co059=0ol0D4h4o`1;C@?o04M;1?l0A4X3o`12B@Co04580ol0@TT3o`13B@Co
04E:0ol0B4/4o`1;C@?o04i>1?l0Cdh3o`1AC@Co059=0ol0Dd`4o`1DC0?o05E;0ol0ET/;o`1GBP?o
05Q:2ol0EdX3o`1FB`?o05E;1?l0E4`3o`1CC0Co059=0ol0DDd4o`1@CP?o04i>1?l0C4d3o`1:C0Co
04Q;1_l0AT/4o`17B`?o04Y<1?l0CTh3o`1@C@Co05=<0ol0ETX4o`1JB0?o05m40ol0ICh4o`1/=P?o
07@Y1?l0OAT3o`261PCo28d00ol=S`04o`:;00?o080D1?l0L303o`1MA@?o04Y<1?l0<403o`0R>0Co
01dd0ol06c<;o`0J<P?o01/c0ol083H4o`0U>P?o02dn1?l0=D83o`0oA`Co04U<0ol0CTh4o`18C0?o
03M31?l08SP3o`0C;@?o00/U1ol02B<4o`0:90?o00TT1?l02R@3o`0;9@Co00`V1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02284o`088A7o00LQ1?l02B<3o`0?:@?o01/c
1?l0:cd3o`0iA@Co03i70ol0>TD4o`0b@@?o02/m1?l093T3o`0O=PCo01Xb0ol05c0:o`0F;`Co01L`
0ol06C44o`0M=0?o02Pk1?l0?dL3o`1GBP?o06Pk1?l0MRH3o`214`Co08D:0ol0P`d4o`1n6@?o07HW
1?l0KC@3o`1U?@Co05m40ol0FTP3o`1FB`Co059=0ol0D4h4o`1;C@?o04M;1?l0A4X3o`12B@Co0458
0ol0@TT3o`13B@Co04E:0ol0B4/4o`1;C@?o04i>1?l0Cdh3o`1AC@Co059=0ol0Dd`4o`1DC0?o05E;
0ol0ET/;o`1GBP?o05Q:2ol0EdX3o`1FB`?o05E;1?l0E4`3o`1CC0Co059=0ol0DDd4o`1@CP?o04i>
1?l0C4d3o`1:C0Co04Q;1_l0AT/4o`17B`?o04Y<1?l0CTh3o`1@C@Co05=<0ol0ETX4o`1JB0?o05m4
0ol0ICh4o`1/=P?o07@Y1?l0OAT3o`261PCo28d00ol=S`04o`:;00?o080D1?l0L303o`1MA@?o04Y<
1?l0<403o`0R>0Co01dd0ol06c<;o`0J<P?o01/c0ol083H4o`0U>P?o02dn1?l0=D83o`0oA`Co04U<
0ol0CTh4o`18C0?o03M31?l08SP3o`0C;@?o00/U1ol02B<4o`0:90?o00TT1?l02R@3o`0;9@Co00`V
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02284o`088A7o00LQ1?l0
2B<3o`0?:@?o01/c1?l0:cd3o`0iA@Co03i70ol0>TD4o`0b@@?o02/m1?l093T3o`0O=PCo01Xb0ol0
5c0:o`0F;`Co01L`0ol06C44o`0M=0?o02Pk1?l0?dL3o`1GBP?o06Pk1?l0MRH3o`214`Co08D:0ol0
P`d4o`1n6@?o07HW1?l0KC@3o`1U?@Co05m40ol0FTP3o`1FB`Co059=0ol0D4h4o`1;C@?o04M;1?l0
A4X3o`12B@Co04580ol0@TT3o`13B@Co04E:0ol0B4/4o`1;C@?o04i>1?l0Cdh3o`1AC@Co059=0ol0
Dd`4o`1DC0?o05E;0ol0ET/;o`1GBP?o05Q:2ol0EdX3o`1FB`?o05E;1?l0E4`3o`1CC0Co059=0ol0
DDd4o`1@CP?o04i>1?l0C4d3o`1:C0Co04Q;1_l0AT/4o`17B`?o04Y<1?l0CTh3o`1@C@Co05=<0ol0
ETX4o`1JB0?o05m40ol0ICh4o`1/=P?o07@Y1?l0OAT3o`261PCo28d00ol=S`04o`:;00?o080D1?l0
L303o`1MA@?o04Y<1?l0<403o`0R>0Co01dd0ol06c<;o`0J<P?o01/c0ol083H4o`0U>P?o02dn1?l0
=D83o`0oA`Co04U<0ol0CTh4o`18C0?o03M31?l08SP3o`0C;@?o00/U1ol02B<4o`0:90?o00TT1?l0
2R@3o`0;9@Co00`V1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02284
o`088A7o00LQ1?l02B<3o`0?:@?o01/c1?l0:cd3o`0iA@Co03i70ol0>TD4o`0b@@?o02/m1?l093T3
o`0O=PCo01Xb0ol05c0:o`0F;`Co01L`0ol06C44o`0M=0?o02Pk1?l0?dL3o`1GBP?o06Pk1?l0MRH3
o`214`Co08D:0ol0P`d4o`1n6@?o07HW1?l0KC@3o`1U?@Co05m40ol0FTP3o`1FB`Co059=0ol0D4h4
o`1;C@?o04M;1?l0A4X3o`12B@Co04580ol0@TT3o`13B@Co04E:0ol0B4/4o`1;C@?o04i>1?l0Cdh3
o`1AC@Co059=0ol0Dd`4o`1DC0?o05E;0ol0ET/;o`1GBP?o05Q:2ol0EdX3o`1FB`?o05E;1?l0E4`3
o`1CC0Co059=0ol0DDd4o`1@CP?o04i>1?l0C4d3o`1:C0Co04Q;1_l0AT/4o`17B`?o04Y<1?l0CTh3
o`1@C@Co05=<0ol0ETX4o`1JB0?o05m40ol0ICh4o`1/=P?o07@Y1?l0OAT3o`261PCo28d00ol=S`04
o`:;00?o080D1?l0L303o`1MA@?o04Y<1?l0<403o`0R>0Co01dd0ol06c<;o`0J<P?o01/c0ol083H4
o`0U>P?o02dn1?l0=D83o`0oA`Co04U<0ol0CTh4o`18C0?o03M31?l08SP3o`0C;@?o00/U1ol02B<4
o`0:90?o00TT1?l02R@3o`0;9@Co00`V1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol02B<4o`088POo00LQ1ol02243o`078@Co00PR0ol032H3o`0E;PCo02@i0ol0=487o`0m
A`Co03M30ol0;cl4o`0X>`?o028g1?l07C@3o`0I<@?o01H_1?l05Bl3o`0F;`Co01L`0ol06304o`0J
<P?o020f1?l0;Sl3o`19C0?o05a71?l0K3D3o`1j80Co088?0ol0Q@T4o`233P?o07dJ1?l0MBP3o`1]
=0Co06Dm0ol0Gd@3o`1JB0Co05I:0ol0Dd`4o`1@CP?o04e>1?l0BD`3o`15BPCo04=92_l0@TT3o`14
BPCo04I:0ol0B4/4o`1:C0?o04e>1?l0Cdh3o`1@CPCo051=0ol0DDd7o`1BCA7o05=<1?l0Ddd3o`1B
C@Oo055=0ol0D4h4o`1?CP?o04i>1?l0Bdd3o`19C0Co04Q;0ol0Ad/4o`16B`?o04M;0ol0B4`4o`1;
C@?o04m>1?l0DDd3o`1DC0Co05M:0ol0FdP4o`1OA0?o06Dn0ol0JcH4o`1c:P?o07`K1?l0Q@T3o`J<
00Co3Hl00ol6S004o`233P?o07@Y1?l0Hd03o`1AC@?o03M31?l09SX3o`0N=@Co01`c0ol06c<4o`0J
<P?o01Tb1?l06S83o`0N=@?o02<h1?l0:C`3o`0a@0Co03Y50ol0A4X7o`1=CPCo04580ol0;Ch4o`0J
<P?o00lY0ol02R@7o`098`_o00XT0ol02bH4o`0=9`Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`?o00TS1?l02287o`078@Oo00PQ0ol01b44o`088P?o00`V0ol05Bh4o`0T>@?o
03A21ol0?DL4o`0g@`?o02lo1?l0:3/3o`0R=`Co01dd0ol06C43o`0F;`Co01D_0ol05Rl4o`0G<0?o
01P`1?l06S83o`0P=PCo02ho0ol0BD`3o`1LA`Co06`e0ol0NR04o`223`?o08D91?l0P`h3o`1m6PCo
07DX0ol0KC@4o`1U?@?o05m40ol0FTP4o`1FBP?o05=<1?l0D4h3o`1=CPCo04U<0ol0ADX4o`13B@[o
04990ol0A4X4o`16BP?o04Q;1?l0BT`3o`1=CPCo04m>0ol0D4h4o`1@C@?o055=1ol0DTdAo`1CC0Co
05==0ol0DTd7o`1AC@?o051>1?l0Cdh3o`1>CPCo04]=0ol0BD`4o`18B`?o04M;1?l0AT/3o`17B`?o
04Q<1?l0Bdd3o`1?CPCo055=0ol0E4`4o`1GBP?o05]81?l0Gd@3o`1U?P?o06/f1?l0LbX3o`1l6`Co
08D90ol6S004o`f?00?o1X`01?l0P`h3o`1d:@Co06=00ol0DDd3o`0g@`Co02Hj0ol07SD4o`0L<`?o
01/c1?l06S83o`0I<PCo01Xb0ol07SD3o`0S>0Co02Tl0ol0<D04o`0jA@?o04A:1ol0CDh4o`11B0?o
02dn1?l06S83o`0?:@?o00XT1ol02B<;o`0:90?o00/V1?l03BL7ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool01_ooool3o`098`Co00PR1ol01b47o`088@?o00LQ1?l02283o`0<9P?o01D^
1?l093T3o`0d@POo03e71?l0=d<3o`0_?`Co02Pk0ol08SL4o`0M=0?o01Ta0ol05Rl4o`0E;`?o01H_
1?l05c03o`0H<0Co01Xb0ol083H4o`0^?`?o04U<0ol0G4L4o`1/=@?o07XP1?l0PPl3o`252@Co08<>
0ol0OAX4o`1e:0?o06dd1?l0ICd3o`1OA0?o05Y81?l0ETX3o`1CC0Co051>0ol0CDh4o`19C0?o04E:
1?l0@dT:o`12B@?o04A:1?l0ATX3o`18B`Co04Y<0ol0CDh4o`1?CP?o051>1?l0D4d3o`1AC@Oo059=
4Ol0Dd`4o`1CC@?o059=1ol0DDd3o`1@CPCo04m>0ol0CTh4o`1;C@?o04U<1?l0B4/3o`17B`Co04I;
0ol0Ad/3o`18C0Co04]=0ol0Cdh4o`1AC@?o05A<1?l0EdX3o`1KB0Co05m40ol0ICh3o`1[=PCo07<Z
0ol0O1/4o`252@?o1X`01?l=S`03o`J<00Co08<>0ol0M2T4o`1S@0?o055=0ol0=d<4o`0V>P?o01he
1?l073<3o`0K<`Co01Xb0ol06C84o`0J<P?o01he0ol08cP4o`0Y?0?o03501?l0>TD3o`14BPOo04e>
1?l0@DP3o`0]?PCo01Xb0ol03bT3o`0:90Oo00TS2ol02R@3o`0;9PCo00dW1oooool1o`00007ooooo
000Mooooo`03o`000?oooooooooo00Kooooo1ol02B<3o`088PCo00LQ1ol02243o`078@Co00PQ0ol0
2R@3o`0@:PCo01`d0ol0;Ch4o`0jA@?o03m71?l0>dD3o`0c@@Co02`m0ol09CX4o`0P=P?o01/c0ol0
630;o`0F;`?o01L`1?l06343o`0K<`Co02<h0ol0=483o`1@CPCo06130ol0Kc44o`1l70?o08<=1?l0
Q@P3o`233PCo07dK0ol0MBP4o`1]=0?o06Hm0ol0H4<4o`1KA`?o05M:1?l0E4`3o`1AC@Co04m>0ol0
Bdd4o`17B`?o04E:0ol0@dT7o`12B@Co04=90ol0A4X4o`15BP?o04M;1?l0BD`3o`1:C@Co04a=0ol0
CTh:o`1?CP_o051>2_l0Cdh3o`1>CPCo04e>0ol0Bdd4o`1:C0?o04Q<1?l0Ad/:o`16B`Co04Q;0ol0
BT`3o`1=CPCo051>0ol0DTd4o`1EB`?o05Q:1?l0FdL3o`1P@`Co06Dn0ol0K3H3o`1c:PCo07`K0ol0
Q@X4o`F<00?o3Hl01?l8S@03o`252@Co07PS0ol0Ic`4o`1FB`?o03e70ol0:C`4o`0P=P?o01`d1?l0
6c<3o`0J<PCo01Tb0ol06S84o`0L=0?o020f0ol09SX4o`0]?P?o03I31?l0?dP3o`19C0Co04i>0ol0
BD`4o`0hA0?o02<h1?l052d3o`0<9POo00TS2_l02R@4o`0;9@?o00`V1?l03RP7ooooo`7o00000Ooo
ool001gooooo00?o0000ooooooooool01_ooool7o`098`?o00PR1?l01b47o`088@?o00LQ1?l02243
o`0:90?o010Z1?l073@3o`0]?PCo03Y50ol0?dL4o`0kA@?o03=11?l0;3d3o`0U>PCo020f0ol06c<3
o`0H<0_o01H_0ol05c04o`0H<@?o01/c1?l08cP3o`0d@P?o051>1?l0H4<3o`1_<@Co07`L0ol0P`d4
o`2520?o08<>1?l0OA/3o`1e:0Co06dd0ol0ISd3o`1P@`Co05]70ol0EdX4o`1DC0?o055=1?l0Cdh3
o`1;C@Co04M;0ol0ADX3o`13B@Oo04991?l0@dT3o`14BPCo04E:0ol0Ad/4o`19C0?o04Y=1?l0C4d3
o`1>CP[o04m>2ol0D4h:o`1?CP?o04i>1?l0CDh3o`1;C@Co04Y<0ol0B4`4o`17B`[o04I;1?l0B4/3
o`1:C0?o04e>1?l0D4h3o`1BC@Co05E;0ol0F4X4o`1KA`?o06131?l0ICh3o`1/=P?o07<Z1?l0O1/3
o`252PCo1H`00ol=S`04o`R=00?o08D91?l0N2<3o`1W?0Co05I;0ol0?DL3o`0Y?0Co020f0ol073@4
o`0K<`?o01Xb1?l06C83o`0J<PCo01`d0ol083H3o`0V>PCo02dn0ol0=T<4o`0oB0?o04U<1?l0CTh3
o`19C0Co03Q40ol08cP4o`0D;@?o00`V1ol02B<:o`0:90Co00/U0ol032H4o`0>:0Oooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00TS0ol02284o`078@Oo00PQ0ol01b44o`08
8@?o00XT0ol042X4o`0L=0?o02dn1?l0>TD3o`0oA`Co03]50ol0<d44o`0/?@?o02Dj1?l083H3o`0K
<`?o01P`2ol05Rl3o`0G<0Co01Pa0ol06c<4o`0S>0?o03A20ol0D4h4o`1P@`?o06la1?l0O1`3o`23
3@Co08D80ol0P`h4o`1m6`?o07DX1?l0KC@3o`1V?@?o06131?l0FdL3o`1GBPCo05A<0ol0DDd4o`1?
CP?o04]=1?l0Ad/3o`15BP?o04=91ol0@TT4o`13B@?o04A:1?l0ADX3o`17B`Co04U<0ol0BTd4o`1<
C@?o04i>2_l0Cdh;o`1@CP[o04m>0ol0CTh4o`1=CP?o04]=1?l0BT`3o`18C0Co04M;2_l0AT/4o`18
B`?o04Y<0ol0CDh4o`1@CP?o059=1?l0ED/3o`1HBPCo05]70ol0H4<4o`1U?P?o06`f0ol0LbX4o`1l
6`?o08D:1?l5S003o`f?00Co28d00ol0Q@T4o`1h8`?o06Ll1?l0ET/3o`0mA`?o02Tl1?l083H3o`0L
=0Co01/c0ol06S84o`0I<P?o01Xb1?l073@3o`0P=P?o02Hj1?l0;Ch3o`0f@`Co03m80ol0BD`4o`1>
CP?o04U<1?l0>4@3o`0S>0Co01@]0ol032H7o`098`[o00XT1?l02bD3o`0<9PCo00hX1oooool1o`00
007ooooo000Mooooo`?o00001_ooool7o`098`?o00PR1?l01b47o`088@?o00LQ1?l02243o`0:90?o
010Z1?l073@3o`0]?PCo03Y50ol0?dL4o`0kA@?o03=11?l0;3d3o`0U>PCo020f0ol06c<3o`0H<0_o
01H_0ol05c04o`0H<@?o01/c1?l08cP3o`0d@P?o051>1?l0H4<3o`1_<@Co07`L0ol0P`d4o`2520?o
08<>1?l0OA/3o`1e:0Co06dd0ol0ISd3o`1P@`Co05]70ol0EdX4o`1DC0?o055=1?l0Cdh3o`1;C@Co
04M;0ol0ADX3o`13B@Oo04991?l0@dT3o`14BPCo04E:0ol0Ad/4o`19C0?o04Y=1?l0C4d3o`1>CP[o
04m>2ol0D4h:o`1?CP?o04i>1?l0CDh3o`1;C@Co04Y<0ol0B4`4o`17B`[o04I;1?l0B4/3o`1:C0?o
04e>1?l0D4h3o`1BC@Co05E;0ol0F4X4o`1KA`?o06131?l0ICh3o`1/=P?o07<Z1?l0O1/3o`252PCo
1H`00ol=S`04o`R=00?o08D91?l0N2<3o`1W?0Co05I;0ol0?DL3o`0Y?0Co020f0ol073@4o`0K<`?o
01Xb1?l06C83o`0J<PCo01`d0ol083H3o`0V>PCo02dn0ol0=T<4o`0oB0?o04U<1?l0CTh3o`19C0Co
03Q40ol08cP4o`0D;@?o00`V1ol02B<:o`0:90Co00/U0ol032H4o`0>:0Kooooo0_l00001ooooo`00
7Oooool00ol0003oooooooooo`06ooooo`?o00XT1?l02B<7o`088P?o00PQ1?l02283o`088@Co00LQ
0ol02283o`0<9PCo01D_0ol093T4o`0d@POo03i70ol0>4@4o`0`@0?o02Tl1?l08cP3o`0N=@?o01Xb
1?l05c07o`0F;`Oo01L`0ol06C44o`0M=0?o02Lj0ol0>TD4o`1CC0?o06=01?l0LRd3o`1m6@Co08@;
0ol0QPP4o`233P?o07dJ1?l0MBL3o`1^<`?o06Ll1?l0HD83o`1LAPCo05Q90ol0ED/4o`1BC@?o051>
1?l0CTh3o`1:C0?o04M;1?l0ADX7o`13B@?o04991ol0@dT4o`14BP?o04E:1?l0Ad/3o`18B`?o04Q<
1?l0BD`3o`1:C0_o04Y=1ol0BT`3o`19C0?o04Q<1?l0B4/3o`17B`ko04I;1?l0Ad/3o`19C0Co04a=
0ol0Cdh3o`1AC@Co05=<0ol0ET/4o`1IB@?o05a61?l0HD83o`1V?@Co06`e0ol0M2T3o`1l6`Co08D:
0ol4R`04o`f?00?o2Hd01?l0QPH3o`1j7`Co06Xh0ol0FDT4o`14BP?o02dn0ol08SL4o`0M=0?o01/c
2ol06S83o`0K<`Co01he0ol093T3o`0Z?@Co03910ol0>dD4o`15BPOo04e>0ol0@DP4o`0]?P?o01/c
1?l03bT3o`0:90?o00TS1?l02B@:o`0:90Co00/V0ol03BL4o`0?:@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06ooooo`?o00XT1?l02B<7o`088P?o00PQ1?l02283o`088@Co00LQ0ol0
2283o`0<9PCo01D_0ol093T4o`0d@POo03i70ol0>4@4o`0`@0?o02Tl1?l08cP3o`0N=@?o01Xb1?l0
5c07o`0F;`Oo01L`0ol06C44o`0M=0?o02Lj0ol0>TD4o`1CC0?o06=01?l0LRd3o`1m6@Co08@;0ol0
QPP4o`233P?o07dJ1?l0MBL3o`1^<`?o06Ll1?l0HD83o`1LAPCo05Q90ol0ED/4o`1BC@?o051>1?l0
CTh3o`1:C0?o04M;1?l0ADX7o`13B@?o04991ol0@dT4o`14BP?o04E:1?l0Ad/3o`18B`?o04Q<1?l0
BD`3o`1:C0_o04Y=1ol0BT`3o`19C0?o04Q<1?l0B4/3o`17B`ko04I;1?l0Ad/3o`19C0Co04a=0ol0
Cdh3o`1AC@Co05=<0ol0ET/4o`1IB@?o05a61?l0HD83o`1V?@Co06`e0ol0M2T3o`1l6`Co08D:0ol4
R`04o`f?00?o2Hd01?l0QPH3o`1j7`Co06Xh0ol0FDT4o`14BP?o02dn0ol08SL4o`0M=0?o01/c2ol0
6S83o`0K<`Co01he0ol093T3o`0Z?@Co03910ol0>dD4o`15BPOo04e>0ol0@DP4o`0]?P?o01/c1?l0
3bT3o`0:90?o00TS1?l02B@:o`0:90Co00/V0ol03BL4o`0?:@Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06ooooo`?o00XT1?l02B<7o`088P?o00PQ1?l02283o`088@Co00LQ0ol02283
o`0<9PCo01D_0ol093T4o`0d@POo03i70ol0>4@4o`0`@0?o02Tl1?l08cP3o`0N=@?o01Xb1?l05c07
o`0F;`Oo01L`0ol06C44o`0M=0?o02Lj0ol0>TD4o`1CC0?o06=01?l0LRd3o`1m6@Co08@;0ol0QPP4
o`233P?o07dJ1?l0MBL3o`1^<`?o06Ll1?l0HD83o`1LAPCo05Q90ol0ED/4o`1BC@?o051>1?l0CTh3
o`1:C0?o04M;1?l0ADX7o`13B@?o04991ol0@dT4o`14BP?o04E:1?l0Ad/3o`18B`?o04Q<1?l0BD`3
o`1:C0_o04Y=1ol0BT`3o`19C0?o04Q<1?l0B4/3o`17B`ko04I;1?l0Ad/3o`19C0Co04a=0ol0Cdh3
o`1AC@Co05=<0ol0ET/4o`1IB@?o05a61?l0HD83o`1V?@Co06`e0ol0M2T3o`1l6`Co08D:0ol4R`04
o`f?00?o2Hd01?l0QPH3o`1j7`Co06Xh0ol0FDT4o`14BP?o02dn0ol08SL4o`0M=0?o01/c2ol06S83
o`0K<`Co01he0ol093T3o`0Z?@Co03910ol0>dD4o`15BPOo04e>0ol0@DP4o`0]?P?o01/c1?l03bT3
o`0:90?o00TS1?l02B@:o`0:90Co00/V0ol03BL4o`0?:@Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06ooooo`Oo00XT0ol02B<>o`088POo00PQ0ol02R@4o`0@:P?o01`d1?l0;3h3o`0j
A@Co03m70ol0?4H4o`0e@P?o02dn1?l09cX3o`0Q=`?o01`d1?l0634:o`0F;`Co01L`0ol06304o`0J
<P?o01le0ol0:S`4o`0oA`?o05I;1?l0ICh3o`1c:`Co07hG0ol0Q@X4o`261`?o08<=1?l0OQP3o`1g
9@?o06la1?l0JCX3o`1S@0Co05i50ol0FTP4o`1GBP?o05A<1?l0DTd3o`1@CP?o04i>1?l0BTd3o`18
B`Co04I:0ol0A4X>o`13B@Oo04A:2_l0ADX4o`16BPko04I;0ol0ATX:o`15BPCo04I;0ol0Ad/4o`18
B`?o04Y<1?l0C4d3o`1?CPCo051>0ol0DTd3o`1EB`Co05M:0ol0FTP4o`1NA@?o06911?l0J3/3o`1^
<`Co07DW0ol0OAT3o`252@Co1H`00ol=S`04o`Z>00?o08L51?l0Nad3o`1/=@Co05]70ol0BD`4o`0a
@0?o02@i0ol07SD4o`0L<`?o01/c1?l06S83o`0I<PCo01Xb0ol07C@4o`0R=`?o02Pk0ol0;cl4o`0g
A0?o04581?l0Bdd3o`1>CPCo04Q<0ol0=d<4o`0S>0?o01@]1?l032H6o`098`_o00XT0ol02bD4o`0<
9`?o00hX1?l03bT7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool7o`0:90?o
00TS3_l02287o`088@?o00XT1?l042X3o`0L=0Co02`n0ol0>TD4o`0oA`?o03a61?l0=D83o`0]?PCo
02Lj0ol08CL3o`0L=0Co01Pa2_l05Rl4o`0G<0?o01P`1?l06S83o`0O=@?o02Xl1?l0?dL3o`1FB`Co
06Dn0ol0Lb/4o`1n5`?o08D:1?l0QPL3o`233@Co07hH0ol0MbD3o`1_<@Co06Tj0ol0Hd04o`1NA@?o
05Y81?l0EdX3o`1DC0Co059=0ol0D4h3o`1>CPCo04Y=0ol0B4/4o`16BP?o04A:3_l0@dT7o`14BP[o
04E:1?l0ATX>o`16B`?o04I:2_l0ADX4o`16B`?o04M;1?l0B4/3o`1:C0Co04a=0ol0Cdh4o`1@CP?o
059=0ol0ED/4o`1GBP?o05Y81?l0GTD3o`1R@@Co06Pk0ol0KS<4o`1e9`?o07dI0ol0Q@T4o`F<00?o
3Hl01?l:SP03o`271@Co07/M0ol0K3D4o`1KA`?o04U<1?l0<D03o`0T>@?o01he1?l073<3o`0K<`Co
01Xb0ol06C84o`0J<P?o01dd1?l08SL3o`0X>`?o02lo1?l0=d@3o`11B0Co04]=0ol0CTh4o`18C0?o
03M31?l08cP3o`0D;@Co00`V1_l02B<;o`0:90?o00/U1?l032L3o`0>:0Co00lY1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo1ol02R@3o`098`ko00PR1ol02243o`0:90Co010Z
0ol073@4o`0/?P?o03Y51?l0?dL3o`0lAPCo03E20ol0;Ch4o`0W>P?o024g0ol073@4o`0H<@[o01H_
1?l05c03o`0H<0Co01Xb0ol07cD3o`0Z?0Co03m70ol0ET/4o`1U?P?o07<[1?l0OQL3o`252PCo08H7
0ol0P`d4o`1n60?o07LU0ol0Kc44o`1Y>P?o06=01?l0GTD3o`1JB0Co05M:0ol0E4`4o`1BC@?o051>
0ol0CTh4o`1:C@?o04Q;1?l0ATX3o`14BPko04=91ol0A4X:o`15BPCo04I:3_l0AT/3o`16BP[o04E:
1?l0AT/3o`17B`Co04Q;0ol0BT`4o`1<C@?o04m>1?l0D4h3o`1BC@?o05E;1?l0EdX3o`1JB0Co05i5
0ol0HT44o`1X>`?o06hc1?l0MBL3o`1m6@?o08D91?l5S003o`f?00Co2Xh00ol0Q`D4o`1k7@?o06`e
1?l0FdL3o`19C0Co03500ol093T3o`0N=@Co01`c0ol06c<4o`0J<P?o01Tb1?l06S83o`0M=0Co028g
0ol0:3/3o`0_?`Co03M40ol0@DP4o`1;C@?o04i>1?l0B4`3o`0g@`Co02<h0ol052d4o`0<9PKo00TS
2ol02R@3o`0;9@Co00`W0ol03RP4o`0?:@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`Oo00XT0ol02B<>o`088POo00PQ0ol02R@4o`0@:P?o01`d1?l0;3h3o`0jA@Co03m70ol0
?4H4o`0e@P?o02dn1?l09cX3o`0Q=`?o01`d1?l0634:o`0F;`Co01L`0ol06304o`0J<P?o01le0ol0
:S`4o`0oA`?o05I;1?l0ICh3o`1c:`Co07hG0ol0Q@X4o`261`?o08<=1?l0OQP3o`1g9@?o06la1?l0
JCX3o`1S@0Co05i50ol0FTP4o`1GBP?o05A<1?l0DTd3o`1@CP?o04i>1?l0BTd3o`18B`Co04I:0ol0
A4X>o`13B@Oo04A:2_l0ADX4o`16BPko04I;0ol0ATX:o`15BPCo04I;0ol0Ad/4o`18B`?o04Y<1?l0
C4d3o`1?CPCo051>0ol0DTd3o`1EB`Co05M:0ol0FTP4o`1NA@?o06911?l0J3/3o`1^<`Co07DW0ol0
OAT3o`252@Co1H`00ol=S`04o`Z>00?o08L51?l0Nad3o`1/=@Co05]70ol0BD`4o`0a@0?o02@i0ol0
7SD4o`0L<`?o01/c1?l06S83o`0I<PCo01Xb0ol07C@4o`0R=`?o02Pk0ol0;cl4o`0gA0?o04581?l0
Bdd3o`1>CPCo04Q<0ol0=d<4o`0S>0?o01@]1?l032H6o`098`_o00XT0ol02bD4o`0<9`?o00hX1?l0
3bT7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0;9@Co00XU0ol02R@4
o`098`ko00PR0ol02243o`088PCo00`V0ol05Bh4o`0S>0?o03=11?l0?DL3o`0oA`Co03Y50ol0<T44
o`0[?@?o02Di0ol07cH4o`0K<`?o01P`2ol05Rl3o`0G<0Co01Pa0ol06S83o`0P=PCo02`n0ol0@TT4
o`1GBP?o06Hm1?l0M2X3o`1o5`Co08D:0ol0QPH4o`242`?o07lF0ol0N284o`1a;P?o06/g1?l0ICh3
o`1P@`Co05a60ol0FDT4o`1FB`?o05A<0ol0DTd4o`1@CP?o04i>1?l0C4d3o`19C0Co04Q;0ol0AT/7
o`15BQGo04A:4Ol0ADX3o`16B`Co04M;0ol0B4/4o`19C0?o04]=1?l0CDh3o`1?CPCo051=0ol0DTd4
o`1DC0?o05M:0ol0FDT4o`1LAP?o06131?l0I3l3o`1Z>0Co070`0ol0Mb@4o`1o5P?o08H60ol6S004
o`f?00?o2Hd01?l0Q`D3o`1l70Co06dd0ol0GDH4o`1=CP?o03A21?l09CX3o`0N=@?o01`c1?l06c<:
o`0J<PCo01`d0ol083H4o`0V>P?o02`n0ol0=484o`0mA`?o04M;1?l0CTh3o`1<C@Co03m70ol0:cd4
o`0I<P?o00lY1?l02R@3o`098`[o00XT1?l02RD3o`0<9PCo00dX0ol03bT4o`0@:POooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00/U1?l02RD3o`0:90Co00TS3_l02283o`08
8@?o00PR1?l032H3o`0E;PCo02<h0ol0<d44o`0mA`?o03m71?l0>TD3o`0b@@Co02/m0ol09CT3o`0O
=PCo01/c0ol0630;o`0F;`?o01L`1?l06343o`0J<P?o020f1?l0;3h3o`12B@Co05M:0ol0ISd4o`1d
:P?o07lG1?l0Q@X3o`261PCo08@;0ol0OaH3o`1h8PCo074^0ol0JcL4o`1U?P?o06131?l0G4H3o`1I
B@Co05I;0ol0E4`3o`1BC@Co051>0ol0CTh4o`1<C@?o04U<1?l0B4/3o`16B`Oo04E:5Ol0A4XAo`15
BP?o04I;1?l0Ad/3o`18B`Co04U<0ol0Bdd4o`1=CP?o04m>1?l0D4d3o`1BC@Co05A<0ol0EdX3o`1I
B@Co05a60ol0H4<4o`1T?`?o06Xh1?l0L303o`1g90Co07lF0ol0QPH3o`J<00Co3Hl00ol9S@04o`27
1@?o07`L1?l0KC@3o`1MAPCo04e>0ol0=484o`0U>P?o01he0ol073<4o`0K<`[o01Xb1?l073@3o`0P
=PCo02Hj0ol0;3h3o`0d@PCo03e70ol0Ad/4o`1>CP?o04a=1?l0?dL3o`0[?@Co01Tb0ol03bT4o`0:
90?o00TS2_l02R@4o`0:9@?o00`V1?l03BP3o`0?:@Co010Z1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo0ol02bD4o`0:9@?o00XT1?l02B<>o`088P?o00PQ0ol02284o`0<9P?o
01D^1?l08cP3o`0c@@Co03e70ol0?dL4o`0jA@?o03911?l0:cd3o`0U>@?o01lf1?l06c<3o`0H<0_o
01H_0ol05c04o`0H<@?o01Xb0ol083H4o`0/?P?o04991?l0EdX3o`1V?@Co07@Z0ol0OaL4o`252P?o
08H61?l0Q0/3o`1o5P?o07PR1?l0LBh3o`1[=`Co06Dn0ol0H4<4o`1LAP?o05U91?l0ET/3o`1DC0?o
059=1?l0D4h3o`1>CPCo04a=0ol0BD`4o`18B`?o04I;1ol0ADXEo`14BQ7o04E:0ol0AT/4o`17B`?o
04Q;1?l0BD`3o`1;C@Co04e>0ol0Cdh4o`1@C@?o059=1?l0E4`3o`1GBP?o05U91?l0G4H3o`1P@`Co
06@o0ol0JSP4o`1`<0?o07LT1?l0OaH3o`261P?o1X`01?l=S`03o`V=00Co08L50ol0O1`4o`1]=0?o
05e61?l0CDh3o`0d@PCo02Dj0ol07SD3o`0L<`Co01/c2_l06S84o`0L=0?o020f1?l09SX3o`0/?P?o
03A21?l0?DL3o`17B`Co04i>0ol0C4d4o`0oA`?o02/m1?l06C83o`0?:@Co00XT0ol02B<:o`0:90Co
00XU0ol032H4o`0=:0?o00lY1?l042X7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`0;9@?o00XU1?l02R@3o`098Pko00PR0ol02244o`0990?o00lY1?l06S83o`0Z?0Co03Q4
0ol0?dP4o`0nA`?o03M41?l0;cl3o`0Y?0?o02<h1?l07SD3o`0J<PCo01L`1ol05Rl7o`0G<0?o01Pa
0ol06c<4o`0Q=`?o02ho1?l0ADX3o`1HBPCo06Hl0ol0M2X4o`1n5`?o08D:1?l0Q`D3o`252@?o084B
1?l0Nah3o`1d:@Co06hc0ol0J3X4o`1S@0?o05m41?l0G4L3o`1IB@?o05I;1?l0E4`3o`1BC@Co055=
0ol0D4h4o`1>CP?o04a=1?l0Bdd3o`19C0Co04Q<0ol0B4/Eo`17B`?o04Q;1?l0B4`3o`19C0?o04Y=
1?l0C4d3o`1=CPCo04m>0ol0D4h4o`1AC@?o05=<1?l0ED/3o`1GBPCo05U90ol0G4L3o`1OA0Co06=0
0ol0Ic/4o`1]=0?o07<[1?l0NQl3o`214@Co08P30ol8S@03o`f?00Co28d00ol0QPH4o`1k7@?o06dd
1?l0GTD3o`1?CPCo03E30ol09SX4o`0O=P?o01`d0ol06c<;o`0J<P?o01/c1?l07cD3o`0T>@Co02Xl
0ol0<D03o`0jA@Co04A:0ol0C4d4o`1>CP?o04I;1?l0=483o`0P=PCo018/0ol02bH7o`098`[o00XT
1?l02bD3o`0=9`Co00hY0ol042X4o`0A:`Oooooo0Ol00001ooooo`007Oooool3o`0000Kooooo1ol0
2bD3o`0:9@Co00XT0ol02B8>o`088P?o00PQ1?l02B@3o`0?:@Co01Xb0ol0:S`4o`0hA0?o03m81?l0
?TL3o`0gA0Co02lo0ol0:C`3o`0S>0Co01he0ol06S84o`0G<0Oo01H_1ol05c03o`0H<@?o01/c1?l0
8CL3o`0^?`Co04E:0ol0F4X4o`1V?0?o07@Z1?l0OQL3o`252PCo08L50ol0Q@T3o`214PCo07/N0ol0
M2T4o`1^<`?o06Pj1?l0Hd03o`1OA0Co05a70ol0FDT3o`1FB`Co05A<0ol0DTd4o`1AC@?o051>1?l0
CTh3o`1<C@Co04]=0ol0BD`4o`18C0?o04Q;5Ol0Ad/3o`18B`Co04Q<0ol0BD`3o`1:C@Co04a=0ol0
CDh4o`1?CP?o051>1?l0DDd3o`1CC0Co05E;0ol0EdX4o`1IB@?o05a70ol0Gd@4o`1S@0?o06Lk1?l0
KC@3o`1c:`Co07XO0ol0PA44o`280`?o28d00ol=S`04o`R=00?o08H61?l0Nad3o`1]=0Co05i50ol0
Cdh4o`0e@`?o02Hj1?l07cH3o`0L=0?o01/c2ol06S83o`0K<`Co01le0ol093T4o`0Z?0?o03500ol0
>TD4o`14BP?o04a=1?l0CTh3o`16B`Co03A20ol083H4o`0B;0?o00/V1ol02B<:o`0:90Co00/U0ol0
3BL4o`0>:@?o010Z1?l04B/6ooooo`;o00000Oooool001gooooo00?o0000ooooooooool01_ooool7
o`0;9@?o00XU1?l02R@3o`098Pko00PR0ol02244o`0990?o00lY1?l06S83o`0Z?0Co03Q40ol0?dP4
o`0nA`?o03M41?l0;cl3o`0Y?0?o02<h1?l07SD3o`0J<PCo01L`1ol05Rl7o`0G<0?o01Pa0ol06c<4
o`0Q=`?o02ho1?l0ADX3o`1HBPCo06Hl0ol0M2X4o`1n5`?o08D:1?l0Q`D3o`252@?o084B1?l0Nah3
o`1d:@Co06hc0ol0J3X4o`1S@0?o05m41?l0G4L3o`1IB@?o05I;1?l0E4`3o`1BC@Co055=0ol0D4h4
o`1>CP?o04a=1?l0Bdd3o`19C0Co04Q<0ol0B4/Eo`17B`?o04Q;1?l0B4`3o`19C0?o04Y=1?l0C4d3
o`1=CPCo04m>0ol0D4h4o`1AC@?o05=<1?l0ED/3o`1GBPCo05U90ol0G4L3o`1OA0Co06=00ol0Ic/4
o`1]=0?o07<[1?l0NQl3o`214@Co08P30ol8S@03o`f?00Co28d00ol0QPH4o`1k7@?o06dd1?l0GTD3
o`1?CPCo03E30ol09SX4o`0O=P?o01`d0ol06c<;o`0J<P?o01/c1?l07cD3o`0T>@Co02Xl0ol0<D03
o`0jA@Co04A:0ol0C4d4o`1>CP?o04I;1?l0=483o`0P=PCo018/0ol02bH7o`098`[o00XT1?l02bD3
o`0=9`Co00hY0ol042X4o`0A:`Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06oooo
o`Oo00`V0ol02bD4o`0:90?o00TS3_l02283o`088@Co00PR0ol02bD4o`0C;@?o020f1?l0<403o`0l
APCo04180ol0?4H4o`0e@P?o02dn0ol09c/4o`0R=`?o01dd1?l06C83o`0G<0Oo01H_1ol05c03o`0I
<@Co01/c0ol08SP4o`0_?`?o04E:1?l0F4X3o`1V?@Co07<[0ol0OAT4o`242`?o08L50ol0QPL4o`23
3P?o07hI1?l0N2@3o`1a;PCo06`f0ol0Ic`4o`1R@@?o05m40ol0G4L4o`1IB@?o05M:1?l0ED/3o`1D
C0Co059=0ol0DDd4o`1@C@?o051>1?l0Cdh6o`1>CQ;o04e>0ol0CTh7o`1?CP?o051>1?l0DDd3o`1B
C@Co05=<0ol0E4`4o`1FB`?o05M:1?l0FTP3o`1LA`Co05m40ol0HT43o`1V?@Co06/g0ol0L2l4o`1g
9@?o07dI1?l0Q0`3o`6:00Co2Xh00ol=S`03o`J<00Co08D90ol0NQl4o`1/=@?o05e61?l0Cdh3o`0f
@`Co02Lk0ol07cH4o`0L=0?o01/c2_l06S84o`0K<`?o01he1?l08SP3o`0X>`Co02lo0ol0=d<3o`11
B0Co04Y<0ol0Cdh4o`1:C@?o03]61?l0:3/3o`0G<0Co00hX0ol02R@4o`098`[o00XT0ol02bD4o`0<
9P?o00hX1?l042X3o`0A:`Co018/1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Ko
oooo1ol032H3o`0;9@Co00XT0ol02B<>o`088P?o00PQ1?l02283o`0;9@Co01<]0ol083H4o`0`@0?o
03a61?l0@4P3o`0lAPCo03E20ol0;Ch3o`0W>`Co028g0ol07C@4o`0I<P?o01L`1ol05Rl7o`0G<0?o
01Ta1?l06c<3o`0R>0Co02lo0ol0ADX4o`1HBP?o06Hm1?l0Lb/3o`1m6@Co08@;0ol0Q`D3o`261`Co
08<>0ol0OQT4o`1h90?o074^1?l0K3H3o`1W?0Co06910ol0Gd@3o`1LA`Co05U90ol0EdX4o`1EB`?o
05A<1?l0DTd3o`1AC@Co051=0ol0D4h4o`1?CPKo04i>4_l0CDh3o`1>CPOo04m>0ol0D4h4o`1AC@?o
059=1?l0Dd`3o`1DC0Co05I;0ol0EdX4o`1JB0?o05a71?l0Gd@3o`1R@@?o06Hm1?l0JcL3o`1`;`Co
07LU0ol0OAT4o`2430?o0HX01?l:SP03o`f?00?o1X`01?l0Q@T3o`1j7`Co06`e0ol0GDH4o`1?CP?o
03I31?l09c/3o`0O=PCo01`d0ol06c<:o`0J<PCo01/c0ol07SD4o`0R>0?o02Pk1?l0;cl3o`0g@`?o
04581?l0BT`3o`1?CPCo04Y=0ol0>dH4o`0X>`?o01L`1?l03RP3o`0:90Co00TS2_l02R@3o`0;9@Co
00`V0ol03RP4o`0@:P?o014[1?l04R`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`0<9P?o00/U1?l02R@3o`098`ko00PR0ol02244o`088P?o00/U1?l04bd3o`0P=PCo0310
0ol0?4H4o`10B0?o03a61?l0=D83o`0]?P?o02Lk1?l08SL3o`0M=0Co01Tb0ol05c07o`0F;`Oo01L`
0ol06C44o`0K<`?o028h1?l0;cl3o`15BPCo05Q:0ol0ISd4o`1c:`?o07dI1?l0Q0/3o`271@?o08H7
1?l0P`h3o`1n6@Co07PT0ol0LBh4o`1/=P?o06Ll1?l0HT43o`1OA0?o05a71?l0FDT3o`1GBPCo05E;
0ol0E4`4o`1BC@?o055=1?l0D4d3o`1@CPCo04m>1_l0CThBo`1=CP?o04i>1ol0Cdh3o`1@CPCo055=
0ol0DTd4o`1CC0?o05A<1?l0ET/3o`1GBPCo05Y80ol0G4L4o`1OA0?o06910ol0ISd4o`1[=`?o070_
1?l0MbD3o`1m6@Co08@<0ol1RP04o`Z>00?o3Hl00ol6S004o`252@?o07XO1?l0K3D3o`1MAPCo04m>
0ol0=T<4o`0W>`?o01lf1?l073@3o`0K<`[o01Xb1?l06c<3o`0N=@Co028h0ol0:3/4o`0_?`?o03M3
0ol0@DP4o`1:C0?o04m>1?l0BTd3o`0kAPCo02Pk0ol05c04o`0>:0?o00XT1?l02B<:o`0:90?o00/U
1?l032H3o`0>:0Co010Z0ol04B/4o`0B;0Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`Oo00`V0ol02bD4o`0:90?o00TS3_l02283o`088@Co00PR0ol02bD4o`0C;@?o020f1?l0
<403o`0lAPCo04180ol0?4H4o`0e@P?o02dn0ol09c/4o`0R=`?o01dd1?l06C83o`0G<0Oo01H_1ol0
5c03o`0I<@Co01/c0ol08SP4o`0_?`?o04E:1?l0F4X3o`1V?@Co07<[0ol0OAT4o`242`?o08L50ol0
QPL4o`233P?o07hI1?l0N2@3o`1a;PCo06`f0ol0Ic`4o`1R@@?o05m40ol0G4L4o`1IB@?o05M:1?l0
ED/3o`1DC0Co059=0ol0DDd4o`1@C@?o051>1?l0Cdh6o`1>CQ;o04e>0ol0CTh7o`1?CP?o051>1?l0
DDd3o`1BC@Co05=<0ol0E4`4o`1FB`?o05M:1?l0FTP3o`1LA`Co05m40ol0HT43o`1V?@Co06/g0ol0
L2l4o`1g9@?o07dI1?l0Q0`3o`6:00Co2Xh00ol=S`03o`J<00Co08D90ol0NQl4o`1/=@?o05e61?l0
Cdh3o`0f@`Co02Lk0ol07cH4o`0L=0?o01/c2_l06S84o`0K<`?o01he1?l08SP3o`0X>`Co02lo0ol0
=d<3o`11B0Co04Y<0ol0Cdh4o`1:C@?o03]61?l0:3/3o`0G<0Co00hX0ol02R@4o`098`[o00XT0ol0
2bD4o`0<9P?o00hX1?l042X3o`0A:`Co018/1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo0ol032H4o`0<9`?o00`V1?l02bD3o`0:90Co00TS3Ol02284o`088@?o00TS1?l03RP3
o`0G<0Co02Hj0ol0=D84o`0oA`?o04181?l0>TD3o`0c@@?o02`m1?l09SX3o`0Q=`Co01`d0ol06C44
o`0G<0Oo01H_0ol05c03o`0H<0Co01Ta0ol073<4o`0R>0?o02lo1?l0@dT3o`1FB`Co06@o0ol0LBh4
o`1l70?o08<>0ol0Q`D4o`2710?o08D91?l0PA83o`1k7@Co07HW0ol0L2l4o`1[=P?o06Ll0ol0Hd04
o`1P@`?o05e61?l0FdL3o`1IB@Co05M:0ol0ET/4o`1EB`?o05A<1?l0Dd`3o`1CCASo059=1ol0Dd`3
o`1DC0Co05E;0ol0ET/4o`1HBP?o05U91?l0FdL3o`1MAPCo06130ol0Hd04o`1V?@?o06Xh0ol0Kc44
o`1e:0?o07/N1?l0PA83o`271@Co1H`01ol<SP03o`:;00?o08<>1?l0N2<3o`1Z>0Co05]70ol0CDh4
o`0e@`?o02Lk1?l083H3o`0L=0Co01/c3Ol06S84o`0M=0?o024g1?l09c/3o`0]?PCo03E20ol0?TL3
o`17B`Co04i>0ol0CDh4o`11B@?o02lo1?l073@3o`0@:PCo00/U1ol02B<:o`0:90?o00/U1?l03BL3
o`0?:@Co014[1ol04R`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`0<
9PCo00`W0ol032H4o`0;9@?o00XT1?l02B<=o`088PCo00PQ0ol02B<4o`0>:0?o01L`1?l09SX3o`0e
@PCo03m70ol0@4P4o`0jA@?o03=10ol0;3d4o`0V>P?o024g1?l073@3o`0I<@Co01L`1ol05Rl3o`0G
<0?o01P`1?l06C43o`0L<`Co028h0ol0;cl4o`13B@?o05I;1?l0I3l3o`1a;PCo07`L0ol0P`h3o`27
1@Co08L40ol0Q@T4o`214P?o07/M1?l0MRL3o`1`;`Co06/f0ol0Ic`3o`1S@0Co06130ol0GDH4o`1K
A`?o05U91?l0EdX3o`1FB`Co05E;0ol0E4`4o`1CC0?o05==6?l0DTd7o`1CC0?o05A<1?l0ED/3o`1F
B`Co05Q:0ol0FDT4o`1KA`?o05e61?l0H4<3o`1S@0Co06Hm0ol0JSP3o`1_<@Co07DX0ol0Nah4o`21
4P?o08L51?l5S007o`b>00?o0X/00ol0P`h4o`1h8`?o06Xh1?l0FdL3o`1=CPCo03E30ol09c/4o`0P
=P?o01`d1?l06c<=o`0J<PCo01dd0ol08CL4o`0W>`?o02dn1?l0=D83o`0nA`?o04M;1?l0CTh3o`1=
CPCo04590ol0;cl4o`0L=0?o010Z1?l02bD7o`098`[o00XT0ol02bD4o`0=9`?o00lY1?l04B/7o`0B
;0Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00`V1?l032L3o`0<9PCo
00/U0ol02R@4o`098`go00PR1?l02243o`098`Co00hX0ol05c04o`0V>P?o03E21?l0?dL3o`10B0Co
03Y50ol0<d43o`0/?@Co02Hj0ol08CL4o`0L=0?o01Ta1?l05c07o`0F;`?o01L`0ol06304o`0I<@?o
01`c1?l08SP3o`0_?`Co04=90ol0ET/4o`1T?`?o074^1?l0O1`3o`233P?o08L51?l0Q`@3o`252@Co
084B0ol0Nad4o`1f9`?o070_1?l0JcH3o`1W?0?o06=01?l0H4<3o`1MAPCo05]70ol0FDT4o`1GBP?o
05I;1?l0ED/3o`1DC0Co05=<0ol0DddHo`1BC@Oo05=<0ol0E4`4o`1EB`?o05I;1?l0F4X3o`1IB@Co
05]70ol0GDH4o`1P@`?o06=01?l0ISd3o`1Z>0?o06la1?l0MBP3o`1k7PCo084B0ol0Q`D4o`F<00Oo
38h00ol2R`03o`233PCo07PS0ol0JSP4o`1KA`?o04e>1?l0=D<3o`0W>`Co020f0ol073@4o`0K<`go
01Xb1?l07C@3o`0Q=`Co02Lk0ol0;Ch4o`0e@P?o03i70ol0Ad/4o`1>CP?o04e>1?l0@DT3o`0_?`Co
01`d0ol042X4o`0;9@Oo00TS2_l02R@3o`0;9@Co00dW0ol03bT4o`0A:`Oo018/1oooool1o`00007o
oooo000Cooooo`?o00001oooool00ol0003oooooooooo`06ooooo`?o00`W1ol03BL4o`0<9P?o00/U
1?l02R@3o`098a7o00PR1?l02R@3o`0@:PCo01`d0ol0:cd4o`0iA0?o04181?l0?dL3o`0iA0?o0350
1?l0:Sd3o`0U>@Co020f0ol073<4o`0H<@?o01L`1ol05Rl3o`0G<0Co01P`0ol06C44o`0L<`?o028g
1?l0;Ch3o`10B0Co05A<0ol0HD84o`1^<`?o07TQ0ol0PA84o`261`?o08P31?l0Q`D3o`2430Co080E
0ol0Nah4o`1f9`?o074_0ol0K3D4o`1X>P?o06Dn1?l0HT43o`1P@`Co05i50ol0G4L4o`1JB0?o05U9
1?l0F4T3o`1HBPOo05M:2_l0ETX7o`1GBPCo05Q:0ol0F4T3o`1IB0Co05]80ol0G4L4o`1NA@?o05m4
1?l0HT43o`1T?`Co06Pk0ol0JcH4o`1`<0?o07DY0ol0NQl4o`2050?o08D91?l1RP03o`V=00Co3Hl0
0ol9S@04o`280P?o080D0ol0M2T4o`1W?0?o05U91?l0BD`3o`0d@PCo02Hj0ol07cH4o`0L=0?o01/c
3_l06S83o`0M=0Co020g0ol09SX4o`0/?@?o03=11?l0>dH3o`15BP?o04e>1?l0CTh3o`16B`Co03E2
0ol08SP4o`0D;@?o00`V1ol02B<:o`0:90Co00/U0ol032L4o`0>:0?o010Z1?l04R/7o`0C;0Oooooo
0Ol00001ooooo`004_ooool01Ol0003ooooooooooooooooo000000Kooooo00?o0000ooooooooool0
1_ooool3o`0<9`Oo00dW1?l032H3o`0;9@Co00XT0ol02B<Ao`088PCo00XT0ol042X4o`0L=0?o02/m
1?l0>D@3o`10B0Co03m70ol0>D@3o`0a@0Co02Xm0ol09CT4o`0P=P?o01`c1?l06343o`0G<0Oo01H_
0ol05c04o`0H<0?o01Ta1?l073<3o`0R=`Co02dn0ol0@4P4o`1DC0?o06521?l0KS<3o`1i8@?o084B
1?l0QPL3o`280`Co08L50ol0Q0`4o`205@?o07/N1?l0MRL3o`1a;`?o06`e1?l0J3X3o`1U?PCo0691
0ol0H4<4o`1NA@?o05a71?l0FTP3o`1IB@Co05Q90ol0F4X7o`1GBP[o05I:1ol0EdX4o`1HBP?o05Q9
0ol0FDP4o`1KB0?o05a71?l0GTD3o`1OA0Co06910ol0I3l4o`1X>`?o06/f1?l0L303o`1e:@?o07XO
1?l0P1@3o`252@Co0HX00ol9S@04o`f?00?o2Hd01?l0R083o`2050?o07@Y1?l0Ic`3o`1IB@Co04U<
0ol0=484o`0V>P?o01lf1?l073@3o`0K<`ko01Xb0ol07C@4o`0P=`?o02Hj1?l0;3d3o`0c@@Co03]6
0ol0ADX3o`1=CPCo04i>0ol0AT/4o`0e@P?o028h1?l052d3o`0<9POo00TS2_l02R@4o`0;9@?o00`W
1?l03RP3o`0@:PCo018[1ol04b`7ooooo`7o00000Oooool001Kooooo00?o0000ooooooooool01?oo
ool4o`0000Gooooo0ol032L7o`0=9`Co00`V0ol02bD4o`0:90?o00TS4Ol02284o`0:90?o010Z1?l0
73@3o`0[?@Co03U40ol0@4P4o`0oA`?o03U40ol0<D04o`0Z?@?o02Di1?l083H3o`0L<`Co01Pa0ol0
5c07o`0F;`?o01L`1?l06303o`0I<@Co01`c0ol08SL4o`0]?P?o04181?l0E4`3o`1Q@PCo06hc0ol0
NB43o`214PCo08H70ol0R0<4o`271@?o08@<1?l0P1D3o`1k7PCo07HW0ol0LBl3o`1/=@Co06Pj0ol0
ICh4o`1R@@?o06131?l0GTD3o`1LA`Co05Y80ol0FDT4o`1HB@?o05Q:1ol0EdX:o`1FBPOo05M:1?l0
F4X3o`1HB@?o05U81?l0FdP3o`1LA`Co05i50ol0Gd@4o`1R@@?o06@o1?l0J3/3o`1[=PCo070`0ol0
MBT3o`1j7`Co080D0ol0Q@T4o`6:00?o2Hd01?l=S`03o`V=00Co08P20ol0P1@3o`1d:@Co06Ll0ol0
FDT4o`19C0?o03A21?l09SX3o`0O=PCo01`d0ol06c<>o`0J<P?o01dd1?l083L3o`0V>PCo02`m0ol0
<d44o`0kAP?o04E:0ol0CDh4o`1>CP?o04I;1?l0=D83o`0R>0Co01@]0ol032H7o`098`[o00XT1?l0
2bD3o`0<9`Co00hX0ol042X4o`0B:`Oo01</1Oooool3o`00007ooooo000Fooooo`03o`000?oooooo
oooo00Cooooo00?o0000ooooooooool01_ooool3o`0<9`Oo00dW1?l032H3o`0;9@Co00XT0ol02B<A
o`088PCo00XT0ol042X4o`0L=0?o02/m1?l0>D@3o`10B0Co03m70ol0>D@3o`0a@0Co02Xm0ol09CT4
o`0P=P?o01`c1?l06343o`0G<0Oo01H_0ol05c04o`0H<0?o01Ta1?l073<3o`0R=`Co02dn0ol0@4P4
o`1DC0?o06521?l0KS<3o`1i8@?o084B1?l0QPL3o`280`Co08L50ol0Q0`4o`205@?o07/N1?l0MRL3
o`1a;`?o06`e1?l0J3X3o`1U?PCo06910ol0H4<4o`1NA@?o05a71?l0FTP3o`1IB@Co05Q90ol0F4X7
o`1GBP[o05I:1ol0EdX4o`1HBP?o05Q90ol0FDP4o`1KB0?o05a71?l0GTD3o`1OA0Co06910ol0I3l4
o`1X>`?o06/f1?l0L303o`1e:@?o07XO1?l0P1@3o`252@Co0HX00ol9S@04o`f?00?o2Hd01?l0R083
o`2050?o07@Y1?l0Ic`3o`1IB@Co04U<0ol0=484o`0V>P?o01lf1?l073@3o`0K<`ko01Xb0ol07C@4
o`0P=`?o02Hj1?l0;3d3o`0c@@Co03]60ol0ADX3o`1=CPCo04i>0ol0AT/4o`0e@P?o028h1?l052d3
o`0<9POo00TS2_l02R@4o`0;9@?o00`W1?l03RP3o`0@:PCo018[1ol04b`7ooooo`7o00000Oooool0
01;ooooo1?l00007ooooo`03o`000?oooooooooo00Kooooo0ol032H7o`0=:0Co00dW0ol032H4o`0;
9@?o00TS1?l02B8Ao`088P?o00`V1?l052d3o`0Q=`Co03100ol0?4H4o`11B0?o03i70ol0=d<4o`0`
@0?o02Tl1?l093T3o`0O=PCo01/c0ol06344o`0G<0?o01H_1ol05c03o`0H<@Co01Ta0ol06c<4o`0Q
=`?o02/m1?l0?4H3o`1AC@Co05e50ol0JSP3o`1e:0Co07hH0ol0Q0/4o`2710?o08P21?l0Q`D3o`24
30Co080D0ol0Nad3o`1g9@Co07</0ol0Kc84o`1[=P?o06Pj1?l0ISd3o`1S@0Co06920ol0H4<4o`1O
A0?o05i51ol0GDH:o`1LAPCo05e60ol0GDD4o`1NA@?o05m40ol0H4<4o`1Q@P?o06=01?l0ICh3o`1X
>`Co06/g0ol0KS<4o`1b;@?o07HV1?l0Nah3o`2050?o08D:1?l0R@03o`N=00Co38l00ol;SP04o`>;
00?o08D:1?l0Nad3o`1`<0?o06=01?l0ET/3o`14BPCo03500ol09CX4o`0O=P?o01`d1?l06c<=o`0J
<PCo01`d0ol083H4o`0U>@?o02/m1?l0<T43o`0jA@Co04=90ol0Bdd3o`1?CPCo04Y<0ol0>dD4o`0X
>`?o01P`1?l03RP3o`0:90Co00TS2_l02R@3o`0:9@Co00`V0ol03BP4o`0?:P?o014[1?l04b`3o`0C
;@Co018/1oooool1o`00007ooooo000Booooo`03o`000?oooooooooo00Sooooo00?o0000oooooooo
ool01_ooool3o`0<9POo00dX1?l03BL3o`0<9PCo00/U0ol02B<4o`098Q7o00PR0ol032H4o`0D;@?o
024g1?l0<403o`0lAPCo04580ol0?TL3o`0g@`Co03100ol0:C`4o`0T>@?o01lf1?l06c<3o`0H<@Co
01L`0ol05Rl7o`0G<0?o01Pa1?l06C43o`0K<`Co024g0ol0:cd4o`0lAP?o055=1?l0GDD3o`1Z>0?o
07DX1?l0OQP3o`242`Co08L40ol0R084o`271@?o08@<1?l0P1@3o`1k7@?o07LU1?l0Lb`3o`1_<PCo
06/f0ol0J3X4o`1V?@?o06=01?l0HT83o`1P@`Co05m40ol0GTD7o`1MAP[o05a61?l0GDH3o`1MA@Co
05i50ol0Gd@3o`1P@`Co06520ol0Hd04o`1U?P?o06Pk1?l0JcL3o`1^<`Co078]0ol0MRH4o`1k7P?o
080D0ol0Q@X4o`2900?o1hd01?l<S`03o`^>00Co0h/00ol0Q@X4o`1k7@?o070`0ol0Hd04o`1FB`?o
04A:1?l0<D03o`0U>PCo01lf0ol073@4o`0K<`go01Xb1?l073@3o`0P=PCo02Di0ol0:cd4o`0b@@?o
03Y51?l0@dT3o`1;C@?o04m>1?l0BT`3o`0kA@Co02Pk0ol06304o`0>:0?o00XT1?l02B<:o`0:90?o
00XU1?l032H3o`0=:0Co00lZ0ol04B/4o`0C;0?o01<]1?l04R`7ooooo`7o00000Oooool001;ooooo
1Ol00006ooooo`03o`000?oooooooooo00Kooooo0ol032H7o`0=:0Co00dW0ol032H4o`0;9@?o00TS
1?l02B8Ao`088P?o00`V1?l052d3o`0Q=`Co03100ol0?4H4o`11B0?o03i70ol0=d<4o`0`@0?o02Tl
1?l093T3o`0O=PCo01/c0ol06344o`0G<0?o01H_1ol05c03o`0H<@Co01Ta0ol06c<4o`0Q=`?o02/m
1?l0?4H3o`1AC@Co05e50ol0JSP3o`1e:0Co07hH0ol0Q0/4o`2710?o08P21?l0Q`D3o`2430Co080D
0ol0Nad3o`1g9@Co07</0ol0Kc84o`1[=P?o06Pj1?l0ISd3o`1S@0Co06920ol0H4<4o`1OA0?o05i5
1ol0GDH:o`1LAPCo05e60ol0GDD4o`1NA@?o05m40ol0H4<4o`1Q@P?o06=01?l0ICh3o`1X>`Co06/g
0ol0KS<4o`1b;@?o07HV1?l0Nah3o`2050?o08D:1?l0R@03o`N=00Co38l00ol;SP04o`>;00?o08D:
1?l0Nad3o`1`<0?o06=01?l0ET/3o`14BPCo03500ol09CX4o`0O=P?o01`d1?l06c<=o`0J<PCo01`d
0ol083H4o`0U>@?o02/m1?l0<T43o`0jA@Co04=90ol0Bdd3o`1?CPCo04Y<0ol0>dD4o`0X>`?o01P`
1?l03RP3o`0:90Co00TS2_l02R@3o`0:9@Co00`V0ol03BP4o`0?:P?o014[1?l04b`3o`0C;@Co018/
1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02bH4o`0=:0Oo00hX0ol0
3BL4o`0<9P?o00XT1?l02B<Ao`088P?o00TS1?l03RP3o`0G<0Co02Di0ol0=484o`0nA`?o04580ol0
?DH4o`0f@`?o02lo1?l0:C`3o`0T>@Co01lf0ol06c<4o`0H<@?o01L`0ol05Rl7o`0G<0Co01Pa0ol0
6C44o`0K<`?o01lf1?l0:3/3o`0g@`Co04a=0ol0FDT3o`1U?PCo070`0ol0NR04o`214P?o08H81?l0
R083o`290@Co08L40ol0Q@X3o`214@Co07hH0ol0NR04o`1f9P?o07<[1?l0L303o`1]=0Co06/g0ol0
JCT4o`1W>`?o06Hm1ol0ICh:o`1T?`Oo06Dn1?l0ISd3o`1W>`?o06Tj1?l0JcL3o`1]=0Co06la0ol0
LR`4o`1f9`?o07TQ1?l0OAT3o`224@Co08H80ol0RP03o`N=00Oo2hh01?l6S003o`271@Co080E0ol0
MRL4o`1Z>0?o05e50ol0DDd4o`0mA`?o02dn1?l093T3o`0N=@Co01`d0ol06c<>o`0J<P?o01`d1?l0
83H3o`0T>@Co02Xl0ol0<D04o`0hA0?o04581?l0BT`3o`1?CP?o04a=1?l0?dL3o`0]?PCo01`c0ol0
42X4o`0;9@Oo00TS2_l02R@3o`0;9@Co00dW0ol03bT4o`0A:`?o018/1ol04bd4o`0A:`Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00/V1?l03BP7o`0>:0?o00dW1?l032H3
o`0:90Co00TS4Ol02283o`098`Co00hX0ol05c04o`0U>@?o03A21?l0?TL3o`11B0?o03e61?l0=T<3
o`0_?`Co02Tl0ol093T4o`0O=P?o01/c1?l06343o`0G<0?o01H_1ol05c04o`0H<@?o01Ta1?l06c<3
o`0O=PCo02Pk0ol0=d<4o`1<C@?o05U90ol0ICh4o`1`<0?o07XP1?l0PA83o`2620Co08P20ol0R@44
o`2710?o08D:0ol0PA44o`1n60?o07XP1?l0MRH3o`1c:`Co070`0ol0KC@4o`1[=`?o06Ti1?l0Ic/3
o`1V?@Oo06Dn2_l0I3l7o`1U?PCo06Hm0ol0Ic/3o`1Y>PCo06/g0ol0KC@4o`1_<@?o078/1?l0MRL3
o`1i8@Co07dI0ol0PQ44o`2620?o08X00ol7S@07o`^>00Co1X`00ol0Q`D4o`205@?o07HW1?l0JSP3
o`1MA@?o055=1?l0?DL3o`0]?PCo02@i0ol07SD4o`0L=0?o01/c3_l06S83o`0L=0Co020f0ol093T4
o`0Z?0?o03501?l0>4@3o`11B0Co04Y<0ol0Cdh3o`1<C@Co03m70ol0;Ch4o`0L<`?o010Z1?l02bD7
o`098`[o00XT0ol02bD4o`0=9`?o00lY1?l04B/3o`0B;0Oo01<]1?l04B/7ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool3o`0;9PCo00dX1ol03RP3o`0=9`Co00`V0ol02R@4o`09
8a7o00PR0ol02B<4o`0>:0?o01L`1?l09CT3o`0d@PCo03i70ol0@DP3o`0mAPCo03I30ol0;cl4o`0Y
?0?o02@i1?l07cH3o`0K<`Co01Pa0ol05c03o`0F;`Oo01L`1?l06343o`0I<@Co01/c0ol07cH4o`0X
>`?o03M31?l0C4d3o`1IB@?o06Dn1?l0L303o`1j80Co084B0ol0QPP4o`280P?o08T11?l0Q`@3o`25
2P?o084A1?l0OQP3o`1j80Co07HV0ol0Lb/4o`1`<0?o06dd1?l0JcL3o`1Y>@Co06Lk0ol0ISd7o`1U
?P[o06@o1ol0ICh4o`1V?@?o06Lk0ol0JCX4o`1[=`?o06dd1?l0Kc43o`1b;0Co07HW0ol0NB44o`1m
6@?o088A1?l0QPP3o`2:00?o1hd01ol;SP04o`J<00?o08L51?l0P1D3o`1f9`Co06Xh0ol0GDD3o`1A
C@Co03e70ol0;Ch4o`0T>@?o01he1?l073@3o`0K<`ko01Xb0ol073@4o`0P=P?o02@i1?l0:S`3o`0a
@0Co03Q40ol0@DP4o`1:C0?o04m>0ol0C4d4o`0oA`?o02dn1?l073<3o`0@:PCo00/U1ol02B<:o`0:
90?o00/U1?l03BL3o`0?:@Co014[0ol04R`7o`0C;@Co014[1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo0ol02bH4o`0=:0Oo00hX0ol03BL4o`0<9P?o00XT1?l02B<Ao`088P?o
00TS1?l03RP3o`0G<0Co02Di0ol0=484o`0nA`?o04580ol0?DH4o`0f@`?o02lo1?l0:C`3o`0T>@Co
01lf0ol06c<4o`0H<@?o01L`0ol05Rl7o`0G<0Co01Pa0ol06C44o`0K<`?o01lf1?l0:3/3o`0g@`Co
04a=0ol0FDT3o`1U?PCo070`0ol0NR04o`214P?o08H81?l0R083o`290@Co08L40ol0Q@X3o`214@Co
07hH0ol0NR04o`1f9P?o07<[1?l0L303o`1]=0Co06/g0ol0JCT4o`1W>`?o06Hm1ol0ICh:o`1T?`Oo
06Dn1?l0ISd3o`1W>`?o06Tj1?l0JcL3o`1]=0Co06la0ol0LR`4o`1f9`?o07TQ1?l0OAT3o`224@Co
08H80ol0RP03o`N=00Oo2hh01?l6S003o`271@Co080E0ol0MRL4o`1Z>0?o05e50ol0DDd4o`0mA`?o
02dn1?l093T3o`0N=@Co01`d0ol06c<>o`0J<P?o01`d1?l083H3o`0T>@Co02Xl0ol0<D04o`0hA0?o
04581?l0BT`3o`1?CP?o04a=1?l0?dL3o`0]?PCo01`c0ol042X4o`0;9@Oo00TS2_l02R@3o`0;9@Co
00dW0ol03bT4o`0A:`?o018/1ol04bd4o`0A:`Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`?o00XT1?l03BL3o`0>:@Oo00hX1?l03BL3o`0;9@Co00XT0ol02B<Ao`088PCo00XT
0ol042X4o`0J<P?o02Pl1?l0=d<3o`10B0?o04581?l0?4H3o`0e@PCo02ho0ol0:3/4o`0S>0?o01lf
1?l06c<3o`0H<@?o01L`1?l05Rl7o`0G<0?o01Pa1?l06C43o`0J<PCo01he0ol09CT4o`0a@0?o0499
0ol0Dd`4o`1NA0?o06Ti1?l0LbX3o`1l70Co088?0ol0QPH4o`290@?o08T00ol0R084o`271P?o08@;
1?l0PA43o`1n5`Co07/M0ol0NB84o`1f9P?o07@Y1?l0LR`3o`1a;P?o070`1?l0Kc4:o`1^<PCo06la
0ol0L304o`1a;`?o078]0ol0M2X4o`1f9`?o07PR1?l0Nad3o`1n60Co084A0ol0Q@X4o`280`?o0h/0
1?l8S@06o`^>00Co1X`00ol0R0<4o`214@?o07TQ1?l0Kc83o`1S@0Co05M:0ol0BT`3o`0g@`Co02Tl
0ol08SL4o`0N=@?o01`c1?l06c<>o`0J<P?o01`d0ol07cH4o`0T>@?o02Xl1?l0<403o`0gA0Co0418
0ol0BD`4o`1>CP?o04e>0ol0@dT4o`0a@0?o01lf1?l04b`3o`0<9POo00TS2ol02R@3o`0;9@?o00`V
1?l03RP3o`0@:PCo018/0ol04bd4o`0D;P?o01</1?l03bT7ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool3o`0:90Co00dW0ol03RT7o`0>:0Co00dW0ol02bD4o`0:90?o00TS4Ol0
2284o`0:90?o010Z1?l06S83o`0X?0Co03M30ol0@4P3o`11B0Co03a60ol0=D84o`0^?`?o02Pk1?l0
8cP3o`0O=PCo01/c0ol06343o`0G<0Co01H_1ol05c03o`0H<@Co01Ta0ol06S84o`0N=@?o02Di1?l0
<D03o`12B@?o05=<1?l0GT@3o`1Y>@Co07<Z0ol0O1`4o`223`?o08H61?l0R@43o`2900?o08P21?l0
Q`H3o`242`Co084A0ol0OQL4o`1k7@?o07TR1?l0MRH3o`1d:@Co078/0ol0LBh3o`1`<0Co06la2_l0
KS84o`1_<@?o070`1?l0LBl3o`1b;@?o07@Z1?l0MRL3o`1h8PCo07/M0ol0OQP4o`214@?o08D:1?l0
R0<3o`>;00Co28d01_l;SP04o`J<00?o08P31?l0PA43o`1i8@Co06lb0ol0Hd04o`1GBP?o04Y<0ol0
=d<4o`0Y?0?o028g1?l07SD3o`0L<`Co01/c3_l06S83o`0L=0?o01lf1?l093T3o`0Z?0Co03100ol0
=d@4o`10B0?o04U<1?l0CTh3o`1=CP?o04=91?l0<D03o`0O=PCo01</0ol032H7o`098`_o00XT0ol0
2bD3o`0<9PCo00hX0ol042X4o`0B;0?o01<]1?l052h3o`0C;0Co00lY1oooool1o`00007ooooo000M
ooooo`03o`000?oooooooooo00Kooooo0ol02R@4o`0=9`?o00hY1ol03RP4o`0=9`?o00/U1?l02R@3
o`098a7o00PR1?l02R@3o`0@:PCo01Xb0ol0:3`4o`0g@`?o04180ol0@DP4o`0lAP?o03E21?l0;Sl3
o`0X>`Co02<h0ol07cH4o`0K<`?o01Pa0ol05c04o`0F;`Oo01L`0ol06344o`0I<@?o01Xb1?l07SD3
o`0U>@Co03500ol0@TT3o`1CC0Co05i40ol0JCT4o`1c:P?o07`L1?l0PPl3o`261PCo08T10ol0R@03
o`280PCo08L60ol0Q0/4o`214@?o07hG1?l0Nad3o`1i8PCo07HV0ol0M2T4o`1b;0?o074^0ol0L304
o`1_<@[o06hb1?l0Kc43o`1`<0Co074_0ol0LRd3o`1d:PCo07HW0ol0N284o`1k7@?o07hH1?l0PA43
o`252PCo08P30ol3R`04o`R=00Ko2hh01?l6S003o`280`Co084A0ol0NB44o`1_<P?o06=01?l0EdX3
o`1:C0?o03M31?l0:C`3o`0R=`Co01he0ol073<4o`0K<`ko01Xb0ol073@3o`0O=PCo02@i0ol0:S`4
o`0`@0?o03M41?l0@4P3o`19C0Co04i>0ol0CDh3o`13B@Co03500ol07cH4o`0C;0?o00`V1ol02B<;
o`0:90?o00/U0ol032H4o`0>:0?o010Z1?l04R`3o`0C;@Co01@^0ol04b`4o`0?:@Oooooo0Ol00001
ooooo`007Oooool3o`0000Kooooo0ol02B<4o`0<9P?o00hY1?l03bT3o`0>:@Co00dX0ol032L4o`0;
9@?o00XT0ol02B<Bo`088P?o00/U1?l04R/3o`0M=0Co02`m0ol0>D@3o`10B0Co04580ol0?4H4o`0e
@P?o02ho1?l0:3/3o`0S>0Co01lf0ol06c<3o`0I<@Co01L`0ol05Rl7o`0G<0Co01Pa0ol06C44o`0J
<P?o01dd1?l08SL3o`0[?@?o03U41?l0C4d3o`1GBPCo06910ol0K3H4o`1e:0?o07`K1?l0PPl3o`26
1`?o08T11ol0RP04o`290@?o08L41?l0QPP3o`2430Co088@0ol0P1@4o`1n5`?o07dJ0ol0O1`4o`1k
7P[o07XO1?l0Nah3o`1l70Co07dJ0ol0OQP3o`2050Co088@0ol0Q0`4o`261`?o08P11?l3R`03o`N<
00Co2Xh00ol;SP04o`V=00?o18/00ol0Q`D4o`214@?o07XP1?l0LBl3o`1V?@Co05]70ol0DDd4o`0o
A`?o03100ol09SX4o`0P=P?o01dd1?l073<3o`0K<`ko01Xb1?l073@3o`0P=P?o02@i1?l0:C`3o`0`
@0Co03M30ol0?dL4o`18B`Oo04i>0ol0ADX3o`0e@PCo02<h0ol05Bh4o`0=9`?o00XT1?l02B<:o`0:
90Co00XU0ol032H3o`0=:0Co00lZ0ol04B/4o`0C;@?o01@^1?l052d3o`0A:`Co00dW1_ooool2o`00
007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02B<4o`0<9P?o00hY1?l03bT3o`0>:@Co
00dX0ol032L4o`0;9@?o00XT0ol02B<Bo`088P?o00/U1?l04R/3o`0M=0Co02`m0ol0>D@3o`10B0Co
04580ol0?4H4o`0e@P?o02ho1?l0:3/3o`0S>0Co01lf0ol06c<3o`0I<@Co01L`0ol05Rl7o`0G<0Co
01Pa0ol06C44o`0J<P?o01dd1?l08SL3o`0[?@?o03U41?l0C4d3o`1GBPCo06910ol0K3H4o`1e:0?o
07`K1?l0PPl3o`261`?o08T11ol0RP04o`290@?o08L41?l0QPP3o`2430Co088@0ol0P1@4o`1n5`?o
07dJ0ol0O1`4o`1k7P[o07XO1?l0Nah3o`1l70Co07dJ0ol0OQP3o`2050Co088@0ol0Q0`4o`261`?o
08P11?l3R`03o`N<00Co2Xh00ol;SP04o`V=00?o18/00ol0Q`D4o`214@?o07XP1?l0LBl3o`1V?@Co
05]70ol0DDd4o`0oA`?o03100ol09SX4o`0P=P?o01dd1?l073<3o`0K<`ko01Xb1?l073@3o`0P=P?o
02@i1?l0:C`3o`0`@0Co03M30ol0?dL4o`18B`Oo04i>0ol0ADX3o`0e@PCo02<h0ol05Bh4o`0=9`?o
00XT1?l02B<:o`0:90Co00XU0ol032H3o`0=:0Co00lZ0ol04B/4o`0C;@?o01@^1?l052d3o`0A:`Co
00dW1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol02B<4o`0<9P?o00hY
1?l03bT3o`0>:@Co00dX0ol032L4o`0;9@?o00XT0ol02B<Bo`088P?o00/U1?l04R/3o`0M=0Co02`m
0ol0>D@3o`10B0Co04580ol0?4H4o`0e@P?o02ho1?l0:3/3o`0S>0Co01lf0ol06c<3o`0I<@Co01L`
0ol05Rl7o`0G<0Co01Pa0ol06C44o`0J<P?o01dd1?l08SL3o`0[?@?o03U41?l0C4d3o`1GBPCo0691
0ol0K3H4o`1e:0?o07`K1?l0PPl3o`261`?o08T11ol0RP04o`290@?o08L41?l0QPP3o`2430Co088@
0ol0P1@4o`1n5`?o07dJ0ol0O1`4o`1k7P[o07XO1?l0Nah3o`1l70Co07dJ0ol0OQP3o`2050Co088@
0ol0Q0`4o`261`?o08P11?l3R`03o`N<00Co2Xh00ol;SP04o`V=00?o18/00ol0Q`D4o`214@?o07XP
1?l0LBl3o`1V?@Co05]70ol0DDd4o`0oA`?o03100ol09SX4o`0P=P?o01dd1?l073<3o`0K<`ko01Xb
1?l073@3o`0P=P?o02@i1?l0:C`3o`0`@0Co03M30ol0?dL4o`18B`Oo04i>0ol0ADX3o`0e@PCo02<h
0ol05Bh4o`0=9`?o00XT1?l02B<:o`0:90Co00XU0ol032H3o`0=:0Co00lZ0ol04B/4o`0C;@?o01@^
1?l052d3o`0A:`Co00dW1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol0
2B<4o`0<9P?o00hY1?l03bT3o`0>:@Co00dX0ol032L4o`0;9@?o00XT0ol02B<Bo`088P?o00/U1?l0
4R/3o`0M=0Co02`m0ol0>D@3o`10B0Co04580ol0?4H4o`0e@P?o02ho1?l0:3/3o`0S>0Co01lf0ol0
6c<3o`0I<@Co01L`0ol05Rl7o`0G<0Co01Pa0ol06C44o`0J<P?o01dd1?l08SL3o`0[?@?o03U41?l0
C4d3o`1GBPCo06910ol0K3H4o`1e:0?o07`K1?l0PPl3o`261`?o08T11ol0RP04o`290@?o08L41?l0
QPP3o`2430Co088@0ol0P1@4o`1n5`?o07dJ0ol0O1`4o`1k7P[o07XO1?l0Nah3o`1l70Co07dJ0ol0
OQP3o`2050Co088@0ol0Q0`4o`261`?o08P11?l3R`03o`N<00Co2Xh00ol;SP04o`V=00?o18/00ol0
Q`D4o`214@?o07XP1?l0LBl3o`1V?@Co05]70ol0DDd4o`0oA`?o03100ol09SX4o`0P=P?o01dd1?l0
73<3o`0K<`ko01Xb1?l073@3o`0P=P?o02@i1?l0:C`3o`0`@0Co03M30ol0?dL4o`18B`Oo04i>0ol0
ADX3o`0e@PCo02<h0ol05Bh4o`0=9`?o00XT1?l02B<:o`0:90Co00XU0ol032H3o`0=:0Co00lZ0ol0
4B/4o`0C;@?o01@^1?l052d3o`0A:`Co00dW1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo0ol01b44o`0;9@?o00hX1ol03bT4o`0>:@?o00dX1?l032H3o`0;9@Oo00TS0ol02B8;
o`088P?o00TS1?l032H3o`0C;@Co01lf0ol0;Sl3o`0kA@Oo04581?l0>dH3o`0e@PCo02ho0ol0:3`4
o`0T>@?o01lf0ol073<4o`0I<@ko01L`0ol06304o`0H<@?o01Tb1?l06c<3o`0O=P?o02Dj1?l0;cl3
o`0nA`Co051>0ol0FDT4o`1S@@?o06`f1?l0M2X3o`1k7P?o080C1?l0Q@X3o`2810Co08T00ol2RP04
o`:;00?o0HX01?l0RP03o`290@Co08P30ol0Q`D3o`261PCo08H70ol0QPP4o`2520?o08H81?l0QPL3
o`271PCo08L40ol0R083o`2:00Co0h/00ol6S004o`R=00Oo2Xh00ol8S@04o`F<00?o08T11?l0Q@X3
o`1o5P?o07PS1?l0L303o`1W?0Co05e60ol0Dd`4o`15BP?o03E21?l0:C`3o`0R>0?o01he1?l073@7
o`0K<`ko01Xb0ol07C@4o`0P=P?o02@i0ol0:S`4o`0`@0?o03I31?l0?dL3o`17B`Oo04i>1?l0Ad/3
o`0hA0?o02Hj1?l05c03o`0>:0Co00XT0ol02B<4o`0990[o00XT1?l02bD3o`0=9`?o00lY1?l04B/3
o`0C;0Co01@^0ol05Bh4o`0C;@?o00lY1?l02R@7ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool3o`078@Co00/U0ol03RP7o`0?:@Co00hY0ol03BP4o`0<9P?o00/U1ol02B<3o`09
8P_o00PR0ol02B<4o`0<9P?o01<]1?l07cH3o`0^?`?o03]51ol0@DP4o`0kAP?o03E21?l0;Sl3o`0X
?0Co02@i0ol07cH3o`0L<`Co01Ta3_l05c03o`0H<0Co01Pa0ol06C84o`0K<`?o01lf0ol09CX4o`0_
?`?o03i71?l0D4h3o`1IB@Co06=10ol0K3H4o`1d:P?o07/N0ol0P1<4o`252P?o08P41?l0R@03o`::
00Co0X/00ol1RP04o`2:00?o08T11?l0R0<3o`271@?o08H61?l0QPL3o`2620Co08D80ol0QPP4o`26
1`?o08L61?l0Q`@3o`280P?o08X01?l3R`03o`J<00Co28d01ol:SP03o`R=00Co1H`00ol0R@44o`25
2P?o07lF0ol0N2<4o`1`<0?o06Ll1?l0GDH3o`1CC0Co04E:0ol0=D84o`0Y?0?o028h0ol07SD4o`0L
=0Oo01/c3_l06S83o`0M=0Co020f0ol093T3o`0Z?0Co03100ol0=T<4o`0oA`?o04M;1ol0CTh4o`17
B`?o03Q40ol09SX4o`0G<0?o00hX1?l02R@3o`098`Co00TT2_l02R@4o`0;9@?o00dW0ol03bT4o`0A
:`?o01</1?l052h3o`0E;PCo01<]0ol03bT4o`0:90Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`?o00LQ1?l02bD3o`0>:0Oo00lY1?l03RT3o`0=:0Co00`V0ol02bD7o`098`?o
00TR2ol02283o`098`Co00`V0ol04bd4o`0O=P?o02ho0ol0>dD7o`11B0Co03]60ol0=D84o`0^?`?o
02Pl1?l093T3o`0O=P?o01`c1?l06C4>o`0G<0?o01P`1?l06343o`0I<PCo01/c0ol07cH3o`0U>PCo
02lo0ol0?TL4o`1@CP?o05U91?l0Hd43o`1/=PCo07@Z0ol0Nah3o`204`Co08D:0ol0R0@4o`2900?o
0XX01?l2R`03o`6:00Co08X00ol0R@44o`280`?o08L50ol0QPH4o`261`?o08H81?l0Q@P3o`2620Co
08H70ol0Q`H4o`2710?o08P20ol0RP04o`>;00?o1X`01?l8S@07o`Z>00?o28d01?l5S003o`290@Co
08D:0ol0OaH3o`1h8`Co070`0ol0Ic`4o`1MAP?o05=<1?l0ADX3o`0e@PCo02Tl0ol08SP3o`0N=@Co
01`d1ol06c<>o`0J<P?o01dd1?l083H3o`0T>@?o02Xl1?l0<403o`0f@`Co03m70ol0Ad/7o`1>CPCo
04M;0ol0>4@3o`0V>PCo01L`0ol03RP4o`0:90?o00TS1?l02B@:o`0:90Co00/U0ol03BL3o`0?:@Co
014[0ol04b`4o`0D;P?o01D^1?l04bd3o`0?:@Co00XT1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo0ol01Al4o`098`?o00`W1?l03bT3o`0@:PCo00lY0ol03RT4o`0=9`?o00`V
0ol02R@7o`098`Co00TR2_l02284o`098`?o00dW1?l05Bh3o`0Q=`?o03101?l0?4H3o`12B@Co0458
0ol0>dH4o`0e@P?o02ho1?l0:C`3o`0T>@?o020f1?l073@3o`0I<PCo01P`2_l05c04o`0H<0?o01Pa
1?l06C43o`0J<P?o01dd1?l08CL3o`0X>`Co03910ol0@4P4o`1@CP?o05Q91?l0HD83o`1Y>@?o070_
1?l0MbD3o`1m6`Co084B0ol0Q0/4o`271@?o08T11?l1RP03o`>;00Co18/04Ol5S007o`J<00?o1h`0
3_l8S@03o`N<00Co1H`00ol1RP04o`280`?o08@;1?l0P1@3o`1k7PCo07@Y0ol0KCD3o`1T?`Co05a7
0ol0Dd`4o`16B`?o03M31?l0;3d3o`0T>@Co020f0ol07C@3o`0L<`Co01/c3_l06S83o`0K<`Co01dd
0ol083L4o`0U>@?o02Xl0ol0<404o`0g@`?o03m71?l0Ad/3o`1>CPCo04m>0ol0B4`4o`0jA@?o02Pk
0ol06C44o`0?:@?o00/U1ol02B<;o`0:90?o00/U1?l032L3o`0>:0?o010Z1?l04R`3o`0D;@Co01D^
0ol052h4o`0A:`?o00`V1?l01b47ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool3o`057`Co00TS0ol032L4o`0?:@?o010Z1?l03bT3o`0>:@Co00dW0ol032H3o`0:90Oo00TS1?l0
2B8:o`088PCo00TS0ol03BL4o`0E;P?o024g0ol0<404o`0lAP?o04991?l0@DP3o`0kAPCo03E20ol0
;Sl4o`0Y?0?o02@i0ol083H4o`0L=0?o01Tb1?l0630:o`0G<0Co01P`0ol06344o`0I<@?o01Xb0ol0
7C@4o`0Q=`?o02Pk1?l0<T43o`10B0Co051>0ol0F4T4o`1Q@P?o06Ti0ol0L2l4o`1g9@?o07dK1?l0
PA83o`242`Co08L50ol0R@44o`6:00?o0h/01?l4R`0Ao`F<00Oo1X`00ol7S00>o`R=00?o1h`01?l5
S003o`6:00Co08P30ol0Q0/4o`2050?o07/N1?l0M2T3o`1]=@?o06@o1?l0G4L3o`1CC0Co04I;0ol0
=d<4o`0/?@?o02@i1?l083H3o`0M=0?o01`c1?l06c<>o`0J<P?o01/c1?l07C@3o`0P=`Co02Di0ol0
:S`3o`0`@0Co03M30ol0?dL4o`17B`?o04i>1?l0Cdh3o`18C0Co03Y50ol0:3/3o`0I<@Co00lY0ol0
2bD7o`098`_o00XT0ol02bD4o`0<9`?o00hX0ol042X4o`0B;0?o01@]1?l05Bh3o`0D;PCo014[0ol0
32H4o`078@Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00DO1?l02B<3
o`0<9`Co00lY0ol042X4o`0?:@?o00hY1?l03BL3o`0<9P?o00XT1ol02B<4o`098P[o00PR1?l02B<3
o`0=9`Co01D^0ol08CL3o`0`@0Co03a60ol0@TT4o`11B0?o03]61?l0=D83o`0^?`Co02Tl0ol093T3
o`0P=PCo01`d0ol06C84o`0H<0[o01L`1?l06303o`0H<@Co01Ta0ol06S83o`0M=0Co024g0ol0:3/4
o`0b@@?o04181?l0D4h3o`1HB@Co06520ol0JCT3o`1`;`Co07LU0ol0OA/4o`214P?o08@;1?l0Q`D3
o`290@Co0HX00ol3R`04o`B;017o1H`01ol6S003o`N<00ko28d00ol7S004o`F<00?o0HX01?l0R0<3
o`242`Co080D0ol0Nah4o`1d:@?o06de0ol0I3l4o`1LA`?o05=<1?l0AT/3o`0g@`Co02`m0ol093T4
o`0P=P?o01dd0ol073<4o`0K<`ko01Xb0ol06c<4o`0M=0?o020g1?l09CT3o`0Z?0?o03101?l0=d<3
o`0oA`Co04M;0ol0CTh4o`1?CP?o04Q<1?l0>TD3o`0X>`?o01Ta1?l03bT3o`0;9@Oo00TS2ol02R@3
o`0;9@Co00`W0ol03RP3o`0@:PCo018/0ol052d4o`0E;P?o01@^1?l04B/3o`0<9PCo00LQ1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol011d4o`0780?o00XU1?l03RP7o`0@
:P?o00lY1?l03RP3o`0=9`?o00/V1?l02R@7o`098`?o00TR2ol02283o`0:90Co00hX0ol05Rl3o`0S
>0Co03500ol0?4H4o`12B@?o04581?l0?4H3o`0e@`Co02lo0ol0:S`3o`0U>@Co024g0ol07C@4o`0J
<P?o01Pa3_l05c04o`0H<@?o01Ta0ol06C84o`0K<`?o01de1?l08SL3o`0X>`Co03910ol0?TL4o`1=
CP?o05E;0ol0GDH4o`1T?`?o06Xg1?l0L2l3o`1f9`Co07XO0ol0OQP4o`214P?o08<=1?l0Q@T3o`27
1@?o08P31?l0R@43o`2900_o08X01ol0R@03o`280P?o08L51?l0Q@P3o`233@Co080C0ol0OAX4o`1i
8P?o07<[1?l0KC<3o`1W?0Co06130ol0F4T3o`1AC@Co04=90ol0=T<4o`0/?P?o02Di1?l083H3o`0M
=@Co01`c1_l06c<7o`0J<PCo01Tb0ol06S84o`0K<`?o01he1?l08CL3o`0V>PCo02/m0ol0<D03o`0g
A0Co03m70ol0Ad/4o`1>CP?o04m>1?l0BD`3o`0kA@Co02Xl0ol06S83o`0@:PCo00/U1ol02B<:o`0:
90Co00/U0ol032H4o`0>:0?o010Z0ol04R`4o`0C;@Oo01D^0ol04b`4o`0>:0?o00TS1?l01Ql7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`047@Co00LP0ol02RD4o`0>:0Oo
010Z0ol03bT4o`0>:0?o00dW0ol02bH4o`0:90Oo00TS0ol02B8;o`088P?o00XT1?l03RP3o`0F;`?o
02<h1?l0<D03o`0lAPCo04990ol0@DP4o`0lAP?o03E31?l0;cl3o`0Z?0?o02Di1?l08CL3o`0M=0Co
01Xb0ol0634>o`0G<0Co01Pa0ol06C43o`0I<PCo01/c0ol07CD4o`0R=`?o02Pk1?l0<T43o`0nA`Co
04e>0ol0ED/3o`1MAPCo06@o0ol0JSL4o`1`;`?o07HW1?l0NQl3o`1n60Co084B0ol0P`d4o`252@?o
08L50ol0R0<4o`290@?o08T02ol0RP07o`2900?o08P20ol0Q`D4o`2520?o08<=1?l0P1<3o`1m6PCo
07TR0ol0Lb/4o`1]<`?o06Ll1?l0H4<3o`1HB@?o055=1?l0@dT3o`0f@`Co02`n0ol09CT4o`0P=P?o
01de1?l073<6o`0K<`Oo01Xb1?l06C83o`0J<PCo01/c0ol07SD4o`0Q=`?o02Hj1?l0:cd3o`0a@0?o
03M41?l0?dL3o`17B`Co04i>0ol0Cdh4o`19C0?o03]51?l0:S`3o`0J<P?o010Z1?l02bD7o`098`[o
00XT1?l02bD3o`0<9PCo00hX0ol042X3o`0B;0Co01<]1ol05Bh3o`0C;0Co00hX0ol02B<4o`067`Oo
oooo0Ol00001ooooo`007Oooool3o`0000Kooooo0ol011d4o`0780?o00XU1?l03RP7o`0@:P?o00lY
1?l03RP3o`0=9`?o00/V1?l02R@7o`098`?o00TR2ol02283o`0:90Co00hX0ol05Rl3o`0S>0Co0350
0ol0?4H4o`12B@?o04581?l0?4H3o`0e@`Co02lo0ol0:S`3o`0U>@Co024g0ol07C@4o`0J<P?o01Pa
3_l05c04o`0H<@?o01Ta0ol06C84o`0K<`?o01de1?l08SL3o`0X>`Co03910ol0?TL4o`1=CP?o05E;
0ol0GDH4o`1T?`?o06Xg1?l0L2l3o`1f9`Co07XO0ol0OQP4o`214P?o08<=1?l0Q@T3o`271@?o08P3
1?l0R@43o`2900_o08X01ol0R@03o`280P?o08L51?l0Q@P3o`233@Co080C0ol0OAX4o`1i8P?o07<[
1?l0KC<3o`1W?0Co06130ol0F4T3o`1AC@Co04=90ol0=T<4o`0/?P?o02Di1?l083H3o`0M=@Co01`c
1_l06c<7o`0J<PCo01Tb0ol06S84o`0K<`?o01he1?l08CL3o`0V>PCo02/m0ol0<D03o`0gA0Co03m7
0ol0Ad/4o`1>CP?o04m>1?l0BD`3o`0kA@Co02Xl0ol06S83o`0@:PCo00/U1ol02B<:o`0:90Co00/U
0ol032H4o`0>:0?o010Z0ol04R`4o`0C;@Oo01D^0ol04b`4o`0>:0?o00TS1?l01Ql6ooooo`;o0000
0Oooool001gooooo00?o0000ooooooooool01_ooool3o`047@Co00LP0ol02RD4o`0>:0Oo010Z0ol0
3bT4o`0>:0?o00dW0ol02bH4o`0:90Oo00TS0ol02B8;o`088P?o00XT1?l03RP3o`0F;`?o02<h1?l0
<D03o`0lAPCo04990ol0@DP4o`0lAP?o03E31?l0;cl3o`0Z?0?o02Di1?l08CL3o`0M=0Co01Xb0ol0
634>o`0G<0Co01Pa0ol06C43o`0I<PCo01/c0ol07CD4o`0R=`?o02Pk1?l0<T43o`0nA`Co04e>0ol0
ED/3o`1MAPCo06@o0ol0JSL4o`1`;`?o07HW1?l0NQl3o`1n60Co084B0ol0P`d4o`252@?o08L50ol0
R0<4o`290@?o08T02ol0RP07o`2900?o08P20ol0Q`D4o`2520?o08<=1?l0P1<3o`1m6PCo07TR0ol0
Lb/4o`1]<`?o06Ll1?l0H4<3o`1HB@?o055=1?l0@dT3o`0f@`Co02`n0ol09CT4o`0P=P?o01de1?l0
73<6o`0K<`Oo01Xb1?l06C83o`0J<PCo01/c0ol07SD4o`0Q=`?o02Hj1?l0:cd3o`0a@0?o03M41?l0
?dL3o`17B`Co04i>0ol0Cdh4o`19C0?o03]51?l0:S`3o`0J<P?o010Z1?l02bD7o`098`[o00XT1?l0
2bD3o`0<9PCo00hX0ol042X3o`0B;0Co01<]1ol05Bh3o`0C;0Co00hX0ol02B<4o`067`Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<K1?l01Ah3o`088PCo00`V0ol03bT7
o`0@:PCo00lY0ol03RP3o`0=9`Co00/U0ol02R@;o`098`[o00PR1?l02R@3o`0>:@?o01L`1?l093T3
o`0b@@Co03e60ol0@TT4o`11B@?o03e61?l0=T<3o`0`@0?o02/m1?l09SX3o`0R=`Co01he0ol06c<4
o`0I<@ko01L`1_l06344o`0I<@?o01Xb1?l06c<3o`0N=@Co028g0ol09c/4o`0_?`?o03U40ol0ADX4
o`1@CP?o05I;1?l0G4H3o`1R@@Co06Ll0ol0K3H4o`1`<0?o07<[1?l0MRH3o`1h8P?o07XO1?l0O1`3
o`1m6P_o07dI0ol0O1/4o`1k7@?o07XP0ol0N2@4o`1e:0?o078]1?l0KS<3o`1Y>@Co06@o0ol0GTD4
o`1HB@?o059=1?l0BD`3o`0mAP?o03911?l0:Sd3o`0T>@Co020f0ol07SD4o`0L=0Oo01/c1_l06S84
o`0I<POo01Xb0ol073@4o`0O=@?o028h1?l09c/3o`0/?@Co03910ol0>4@3o`10B0Co04Q;0ol0CTh4
o`1?CP?o04U<1?l0>dH3o`0Z?@Co01/c0ol04B/3o`0;9POo00TS2ol02R@3o`0:9@Co00`V0ol03BL4
o`0?:@?o014[0ol04bd7o`0E;PCo01@]0ol042X4o`0;9@?o00LP1?l011d7ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool3o`036`Co00DN0ol02284o`0<9P?o00lY1ol042X4o`0?
:@?o00hX0ol03BL4o`0;9@?o00XT2ol02B<:o`088PCo00XT0ol03RT3o`0G<0Co02@i0ol0<T44o`0m
AP?o04991?l0@DT3o`0mAPCo03I30ol0<403o`0[?@Co02Hj0ol08SL4o`0N=@?o01/c1?l06C4>o`0G
<0Ko01Pa1?l06C43o`0J<PCo01/c0ol07SD4o`0R=`?o02Lk1?l0;cl3o`0iA0?o04E:1?l0D4h3o`1F
B`Co05a60ol0HT44o`1W?0?o06`f1?l0L303o`1c:`Co07HV0ol0N283o`1j7`Co07`L0ol0OAX;o`1m
6@?o07`K1?l0Nad3o`1j80?o07PT1?l0MBP3o`1b;@Co06hc0ol0JCT4o`1T?`?o05i51?l0F4T3o`1B
C@Co04U<0ol0?DH3o`0b@@Co02Xm0ol093T4o`0P=P?o01he1?l073@7o`0K<`Ko01Xb1?l06C87o`0J
<P?o01`d1?l07cD3o`0R>0Co02Lk0ol0;3d4o`0b@@?o03Q40ol0@4P4o`18B`?o04i>1?l0Cdh3o`19
C0Co03]60ol0:Sd4o`0K<`?o014[0ol02bH7o`098`_o00XT0ol02RD4o`0<9P?o00dW1?l03bT3o`0A
:`?o01<]1ol05Bh4o`0D;@?o010Z1?l02bD3o`0780Co00@M1oooool1o`00007ooooo000Mooooo`03
o`000?oooooooooo00Kooooo0ol00a/4o`057P?o00PR1?l032H3o`0?:@Oo010Z1?l03bT3o`0>:0?o
00dW1?l02bD3o`0:90_o00TS2_l02284o`0:90?o00hY0ol05c04o`0T>@?o03911?l0?DH3o`12B@Co
04590ol0?DH4o`0f@`?o03100ol0:cd4o`0V>P?o028g1?l07SD3o`0K<`Co01Ta3_l05c06o`0H<@Co
01Ta0ol06S84o`0K<`?o01he1?l08SL3o`0W>`Co02lo0ol0>D@3o`15BPCo051>0ol0ET/4o`1LAP?o
06911?l0Ic`3o`1/=PCo070`0ol0Lb/4o`1f9P?o07PR0ol0NQl4o`1l70?o07dJ2ol0OAT3o`1l6`Co
07/M0ol0NR03o`1h90Co07DX0ol0LRd4o`1^<`?o06Ti1?l0I3l3o`1NA@Co05Q90ol0DTd4o`19C0?o
03e60ol0<T44o`0Z?@?o02@i1?l083H3o`0N=@Co01`d1ol06c<6o`0J<PCo01Tb1ol06S83o`0L=0Co
01le0ol08SP4o`0W>`?o02`m1?l0<T43o`0hA0?o04181?l0B4/3o`1>CPCo04m>0ol0BD`4o`0kAP?o
02Xm1?l06c<3o`0A:`?o00/V1ol02B<;o`0:90?o00XU1?l032H3o`0=9`Co00lY0ol04B/3o`0C;@Oo
01D^1?l052d3o`0@:PCo00/U0ol01b04o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`?o00<K1?l011`3o`0680Co00XT0ol03BP4o`0@:P?o014[1?l042X3o`0?:@?o00hX
1?l032L3o`0;9@Co00XT2_l02B<;o`088P?o00XT0ol03bT4o`0G<0?o02@i1?l0<D43o`0mAPOo0499
1?l0?TL3o`0hA0?o03511?l0;3h3o`0W>`Co02<h0ol083H4o`0L=0?o01Xb1?l0634:o`0G<0?o01P`
1?l06347o`0I<@?o01Xb1?l06c<3o`0M=0Co020f0ol093T3o`0Z?0Co03500ol0>DD4o`13B@?o04e>
1?l0DTd3o`1GBPCo05]80ol0GTD4o`1Q@P?o06@o0ol0ISd4o`1X>`?o06Ti1?l0JST3o`1Z>0Co06Ti
0ol0J3X4o`1W?0?o06Dn0ol0HT44o`1OA0?o05a71?l0F4T3o`1DC0Co04m>0ol0AT/4o`0lAP?o03A2
1?l0;Ch3o`0W>`?o028h1?l07cH3o`0M=0Co01`d1ol06c<:o`0J<P?o01Tb1?l06S83o`0K<`Co01dd
0ol083H4o`0T>@?o02Pk1?l0;Ch3o`0c@@Co03Y50ol0@DP3o`19C0Oo04i>1?l0B4`3o`0kA@Co02Xm
0ol073<4o`0A:`?o00`V0ol02B@4o`098`[o00XT1?l02RD3o`0;9@Co00dW0ol03bT4o`0A:`?o01</
0ol052h4o`0E;`?o01D^1?l04B/3o`0=9`Co00PR0ol01Ah4o`0470Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06ooooo`?o00<K1?l011`3o`0680Co00XT0ol03BP4o`0@:P?o014[1?l0
42X3o`0?:@?o00hX1?l032L3o`0;9@Co00XT2_l02B<;o`088P?o00XT0ol03bT4o`0G<0?o02@i1?l0
<D43o`0mAPOo04991?l0?TL3o`0hA0?o03511?l0;3h3o`0W>`Co02<h0ol083H4o`0L=0?o01Xb1?l0
634:o`0G<0?o01P`1?l06347o`0I<@?o01Xb1?l06c<3o`0M=0Co020f0ol093T3o`0Z?0Co03500ol0
>DD4o`13B@?o04e>1?l0DTd3o`1GBPCo05]80ol0GTD4o`1Q@P?o06@o0ol0ISd4o`1X>`?o06Ti1?l0
JST3o`1Z>0Co06Ti0ol0J3X4o`1W?0?o06Dn0ol0HT44o`1OA0?o05a71?l0F4T3o`1DC0Co04m>0ol0
AT/4o`0lAP?o03A21?l0;Ch3o`0W>`?o028h1?l07cH3o`0M=0Co01`d1ol06c<:o`0J<P?o01Tb1?l0
6S83o`0K<`Co01dd0ol083H4o`0T>@?o02Pk1?l0;Ch3o`0c@@Co03Y50ol0@DP3o`19C0Oo04i>1?l0
B4`3o`0kA@Co02Xm0ol073<4o`0A:`?o00`V0ol02B@4o`098`[o00XT1?l02RD3o`0;9@Co00dW0ol0
3bT4o`0A:`?o01</0ol052h4o`0E;`?o01D^1?l04B/3o`0=9`Co00PR0ol01Ah4o`0470Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<K1?l011`3o`0680Co00XT0ol03BP4
o`0@:P?o014[1?l042X3o`0?:@?o00hX1?l032L3o`0;9@Co00XT2_l02B<;o`088P?o00XT0ol03bT4
o`0G<0?o02@i1?l0<D43o`0mAPOo04991?l0?TL3o`0hA0?o03511?l0;3h3o`0W>`Co02<h0ol083H4
o`0L=0?o01Xb1?l0634:o`0G<0?o01P`1?l06347o`0I<@?o01Xb1?l06c<3o`0M=0Co020f0ol093T3
o`0Z?0Co03500ol0>DD4o`13B@?o04e>1?l0DTd3o`1GBPCo05]80ol0GTD4o`1Q@P?o06@o0ol0ISd4
o`1X>`?o06Ti1?l0JST3o`1Z>0Co06Ti0ol0J3X4o`1W?0?o06Dn0ol0HT44o`1OA0?o05a71?l0F4T3
o`1DC0Co04m>0ol0AT/4o`0lAP?o03A21?l0;Ch3o`0W>`?o028h1?l07cH3o`0M=0Co01`d1ol06c<:
o`0J<P?o01Tb1?l06S83o`0K<`Co01dd0ol083H4o`0T>@?o02Pk1?l0;Ch3o`0c@@Co03Y50ol0@DP3
o`19C0Oo04i>1?l0B4`3o`0kA@Co02Xm0ol073<4o`0A:`?o00`V0ol02B@4o`098`[o00XT1?l02RD3
o`0;9@Co00dW0ol03bT4o`0A:`?o01</0ol052h4o`0E;`?o01D^1?l04B/3o`0=9`Co00PR0ol01Ah4
o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<K1?l011`3o`06
80Co00XT0ol03BP4o`0@:P?o014[1?l042X3o`0?:@?o00hX1?l032L3o`0;9@Co00XT2_l02B<;o`08
8P?o00XT0ol03bT4o`0G<0?o02@i1?l0<D43o`0mAPOo04991?l0?TL3o`0hA0?o03511?l0;3h3o`0W
>`Co02<h0ol083H4o`0L=0?o01Xb1?l0634:o`0G<0?o01P`1?l06347o`0I<@?o01Xb1?l06c<3o`0M
=0Co020f0ol093T3o`0Z?0Co03500ol0>DD4o`13B@?o04e>1?l0DTd3o`1GBPCo05]80ol0GTD4o`1Q
@P?o06@o0ol0ISd4o`1X>`?o06Ti1?l0JST3o`1Z>0Co06Ti0ol0J3X4o`1W?0?o06Dn0ol0HT44o`1O
A0?o05a71?l0F4T3o`1DC0Co04m>0ol0AT/4o`0lAP?o03A21?l0;Ch3o`0W>`?o028h1?l07cH3o`0M
=0Co01`d1ol06c<:o`0J<P?o01Tb1?l06S83o`0K<`Co01dd0ol083H4o`0T>@?o02Pk1?l0;Ch3o`0c
@@Co03Y50ol0@DP3o`19C0Oo04i>1?l0B4`3o`0kA@Co02Xm0ol073<4o`0A:`?o00`V0ol02B@4o`09
8`[o00XT1?l02RD3o`0;9@Co00dW0ol03bT4o`0A:`?o01</0ol052h4o`0E;`?o01D^1?l04B/3o`0=
9`Co00PR0ol01Ah4o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o
00<J1?l00a/3o`057@Co00LQ0ol02bD4o`0?:@Oo014[0ol042X3o`0?:@Co00hX0ol032H4o`0;9@ko
00TS2_l02283o`0:90Co00lY0ol05c04o`0S>0?o03501?l0?4H3o`12B@Co04=90ol0?dL3o`0iA@Co
03=20ol0;Sl4o`0Y?0?o02Di1?l08CL3o`0N=@Co01/c0ol06C84o`0H<@[o01L`0ol06304o`0H<@Oo
01Ta0ol06S84o`0K<`?o01`d0ol07SD4o`0Q=`?o02@i1?l0:C`3o`0^?PCo03=10ol0>DD4o`0oA`?o
04E:1?l0Bdd3o`1?CP?o055=1?l0DTd3o`1CC0_o05A<0ol0Dd`4o`1BC@?o051>0ol0CDh4o`17B`?o
04591?l0>dH3o`0e@`Co03100ol0:cd4o`0V>P?o02<h1?l083H3o`0N=@?o01dd1?l073<7o`0K<`[o
01Xb1?l06C86o`0J<PCo01`d0ol07SD4o`0R=`?o02Hj1?l0:S`3o`0_?`Co03E20ol0>dH4o`13B@?o
04Y<1ol0CTh3o`17B`Co03Y50ol0:S`4o`0K<`?o014[1?l032H3o`0:90?o00TS3_l02R@4o`0;9@?o
00dW1?l03RT3o`0@:PCo018/0ol052h7o`0E;P?o01</1?l03RP3o`0990Co00HO0ol011`4o`0370Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<J1?l00a/3o`057@Co00LQ
0ol02bD4o`0?:@Oo014[0ol042X3o`0?:@Co00hX0ol032H4o`0;9@ko00TS2_l02283o`0:90Co00lY
0ol05c04o`0S>0?o03501?l0?4H3o`12B@Co04=90ol0?dL3o`0iA@Co03=20ol0;Sl4o`0Y?0?o02Di
1?l08CL3o`0N=@Co01/c0ol06C84o`0H<@[o01L`0ol06304o`0H<@Oo01Ta0ol06S84o`0K<`?o01`d
0ol07SD4o`0Q=`?o02@i1?l0:C`3o`0^?PCo03=10ol0>DD4o`0oA`?o04E:1?l0Bdd3o`1?CP?o055=
1?l0DTd3o`1CC0_o05A<0ol0Dd`4o`1BC@?o051>0ol0CDh4o`17B`?o04591?l0>dH3o`0e@`Co0310
0ol0:cd4o`0V>P?o02<h1?l083H3o`0N=@?o01dd1?l073<7o`0K<`[o01Xb1?l06C86o`0J<PCo01`d
0ol07SD4o`0R=`?o02Hj1?l0:S`3o`0_?`Co03E20ol0>dH4o`13B@?o04Y<1ol0CTh3o`17B`Co03Y5
0ol0:S`4o`0K<`?o014[1?l032H3o`0:90?o00TS3_l02R@4o`0;9@?o00dW1?l03RT3o`0@:PCo018/
0ol052h7o`0E;P?o01</1?l03RP3o`0990Co00HO0ol011`4o`0370Oooooo0Ol00001ooooo`007Ooo
ool3o`0000Kooooo0ol00aX4o`036`?o00DM1?l01b43o`0;9@Co00lY1ol04B/3o`0@:P?o00lY1?l0
3RP3o`0<9PCo00/U3_l02B<:o`088P?o00XT1?l03bT3o`0G<0Co02<h0ol0<D04o`0lAP?o04991?l0
@dT3o`0oA`?o03U51?l0<d83o`0^?`Co02Tl0ol09CT4o`0Q=`?o01he1?l06c<3o`0I<PCo01Pa2_l0
5c03o`0H<0Co01Pa1ol06C43o`0J<PCo01/c0ol073@3o`0N=@Co024g0ol093T4o`0Y?0?o02hn1?l0
<d43o`0iA@Co03m70ol0ADX4o`1;C@?o04m>0ol0DDd4o`1BC@?o05=<2ol0E4`3o`1CC0Co059=0ol0
D4h3o`1=CPCo04M;0ol0@DT4o`0kAP?o03E31?l0<403o`0[?@Co02Hj0ol08cP4o`0P=P?o01he0ol0
7C@4o`0L<`Oo01/c2_l06S84o`0I<PKo01Xb1?l073@3o`0N=@Co028g0ol09SX4o`0Z?0?o02lo1?l0
=D83o`0kAPCo04=90ol0BT`7o`1>CP?o04M;1?l0>TD3o`0Z?0Co01/c0ol04B/4o`0<9P?o00XT0ol0
2B<>o`0:90Co00/U0ol03BL4o`0>:@?o010Z1?l04R`3o`0D;POo01D^0ol04b`4o`0>:0?o00TT1?l0
1Ql3o`0470Co00<L1_ooool2o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol00a/3
o`0470Co00DN0ol02B84o`0<9`?o00lZ1ol04B/3o`0@:PCo00lY0ol03BP4o`0<9P?o00XU3_l02B<:
o`088PCo00XT0ol03bT4o`0G<0?o028h1?l0;cl3o`0kA@Co04990ol0@dT3o`11B0Co03]60ol0=D<4
o`0`@0?o02/m1?l09c/3o`0S>0Co020f0ol07C@4o`0K<`?o01Ta0ol0630;o`0G<0Oo01Pa1ol06C43
o`0I<P?o01Xb1?l06c<3o`0L=0Co01he0ol07cH4o`0R=`?o02@i1?l09c/3o`0Z?0Co02`n0ol0;cl3
o`0a@0Co03=10ol0=48;o`0e@P?o03=21?l0<T43o`0`@0?o02dn1?l0:cd3o`0X>`Co02Dj0ol08cP4
o`0Q=`?o01lf1?l07SD3o`0L=0Co01`c1_l06c<;o`0J<P[o01Tb1?l06S83o`0K<`?o01he1?l083H3
o`0T>@Co02Pk0ol0;3h4o`0a@0?o03M31?l0?TL3o`15BPCo04]=0ol0Cdh3o`1=CPCo04E:0ol0>4@4
o`0X>`?o01Xb1?l04B/3o`0<9PCo00XT0ol02B<>o`0:90?o00/U1?l032L3o`0>:0Co010Z0ol04R`4
o`0D;@?o01D^0ol05Bl4o`0D;@?o010Z1?l02bD3o`0780Co00@M1ol011`7ooooo`7o00000Oooool0
01gooooo00?o0000ooooooooool01_ooool7o`036`?o00@L1?l01Ah3o`098PCo00`W0ol03bX7o`0A
:`?o010Z1?l03bT3o`0=:0Co00`V0ol02RD>o`098`[o00PR1?l02R@3o`0?:@Co01L`0ol08SP4o`0_
?`?o03]51?l0@TT3o`13B@?o04581?l0>dH3o`0e@`Co03100ol0:cd4o`0W>`?o02<h1?l083H3o`0M
=0Co01/c0ol06C43o`0H<0_o01L`1ol06347o`0I<@?o01Tb0ol06S84o`0K<`?o01`d1?l07SD3o`0O
=PCo028g0ol093T4o`0W>`?o02Xl1?l0;3h3o`0_?`?o03501?l0<d43o`0d@P_o03E20ol0<d84o`0b
@@?o03100ol0;Ch4o`0[?@?o02Pk1?l09CX3o`0S>0Co024g0ol07cH4o`0N=@?o01`d1?l073<6o`0K
<`_o01Xb2_l06C84o`0J<P?o01/c0ol07SD4o`0P=P?o02@i1?l0:3/3o`0/?PCo03500ol0=d<4o`0n
A`?o04E:1?l0Bdd3o`1?CP?o04e>1?l0ADX3o`0hA0Co02Pk0ol06S84o`0A:`?o00`V1?l02R@3o`09
8`ko00XT0ol02bD4o`0<9`?o00hX1?l042X3o`0B;0Co01@]0ol05Bh3o`0E;`Co01@]0ol042X4o`0;
9@?o00LP1?l011d7o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo
00<K0ol011`4o`057P?o00TR1?l032L3o`0?:POo014[0ol042X4o`0?:@?o00dX1?l032H3o`0:9@ko
00TS2_l02284o`0:90?o00lY1?l05c03o`0R>0Co02lo0ol0>dD4o`12B@?o04=90ol0@DP4o`0kAP?o
03E31?l0<403o`0[?@Co02Lk0ol08cP4o`0P=P?o01dd1?l06c<3o`0I<@?o01P`2ol05c07o`0H<@Oo
01Ta0ol06C83o`0J<PCo01/c0ol073@4o`0N=@?o01lf1?l08SL3o`0T>@Co02Lk0ol0:S`4o`0/?P?o
02lo0ol0<D04o`0c@@?o03A22ol0=D83o`0c@PCo03910ol0<403o`0]?PCo02/m0ol0:3/4o`0U>P?o
02<h1?l08CL3o`0O=PCo01he0ol073@4o`0L<`Ko01/c2ol06S8:o`0I<PCo01Xb0ol06c<3o`0N=@Co
020f0ol093T4o`0X>`?o02`n1?l0<D03o`0g@`Co03i70ol0ADX4o`1;C@?o04m>0ol0CDh4o`15BP?o
03Q41?l0:3/3o`0J<PCo014[0ol032H4o`0:90?o00TS3_l02R@3o`0;9@Co00`W0ol03RP4o`0@:P?o
018/1?l052d3o`0E;P?o01D_1?l052d3o`0@:PCo00/U0ol01b04o`047@Oo00@L1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo1ol00a/3o`0470Co00DN0ol02B84o`0<9`?o00lZ
1ol04B/3o`0@:PCo00lY0ol03BP4o`0<9P?o00XU3_l02B<:o`088PCo00XT0ol03bT4o`0G<0?o028h
1?l0;cl3o`0kA@Co04990ol0@dT3o`11B0Co03]60ol0=D<4o`0`@0?o02/m1?l09c/3o`0S>0Co020f
0ol07C@4o`0K<`?o01Ta0ol0630;o`0G<0Oo01Pa1ol06C43o`0I<P?o01Xb1?l06c<3o`0L=0Co01he
0ol07cH4o`0R=`?o02@i1?l09c/3o`0Z?0Co02`n0ol0;cl3o`0a@0Co03=10ol0=48;o`0e@P?o03=2
1?l0<T43o`0`@0?o02dn1?l0:cd3o`0X>`Co02Dj0ol08cP4o`0Q=`?o01lf1?l07SD3o`0L=0Co01`c
1_l06c<;o`0J<P[o01Tb1?l06S83o`0K<`?o01he1?l083H3o`0T>@Co02Pk0ol0;3h4o`0a@0?o03M3
1?l0?TL3o`15BPCo04]=0ol0Cdh3o`1=CPCo04E:0ol0>4@4o`0X>`?o01Xb1?l04B/3o`0<9PCo00XT
0ol02B<>o`0:90?o00/U1?l032L3o`0>:0Co010Z0ol04R`4o`0D;@?o01D^0ol05Bl4o`0D;@?o010Z
1?l02bD3o`0780Co00@M1ol011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool:o`036`Co00@M0ol01R04o`0:90?o00dX1?l042X6o`0A:`Co010Z0ol03bT4o`0=:0?o00`V1?l0
2RD>o`098`[o00PR0ol02R@4o`0>:0?o01H_1?l083H3o`0]?PCo03U40ol0@DP3o`14BPCo04990ol0
?TL4o`0hA0?o03=11?l0;Sl3o`0Y?0Co02Hj0ol08SP4o`0O=P?o01dd0ol06S84o`0I<@?o01Pa1ol0
5c04o`0H<0Oo01Pa1_l06C44o`0I<POo01Xb1ol06c<3o`0L=0Co01dd0ol07SD4o`0O=P?o020f0ol0
8CL4o`0R=`ko028h0ol08SL7o`0Q=`?o020f1?l07cD3o`0N=@Co01dd0ol073@4o`0L<`[o01/c3_l0
6S8:o`0I<PCo01Xb0ol06c<4o`0M=0?o020f0ol08cP4o`0V>P?o02Xm1?l0;cl3o`0d@PCo03Y50ol0
@DP4o`17B`?o04e>1?l0Cdh3o`1<C@?o04=91?l0=D83o`0V>PCo01Ta0ol042X4o`0;9P?o00TT1?l0
2B<=o`0:90Co00/U0ol032H4o`0>:0?o010Z1?l04R`3o`0C;@Co01D^0ol05Bl3o`0D;PCo014[0ol0
32H4o`088@?o00DN2ol011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:
o`036`Co00@M0ol01R04o`0:90?o00dX1?l042X6o`0A:`Co010Z0ol03bT4o`0=:0?o00`V1?l02RD>
o`098`[o00PR0ol02R@4o`0>:0?o01H_1?l083H3o`0]?PCo03U40ol0@DP3o`14BPCo04990ol0?TL4
o`0hA0?o03=11?l0;Sl3o`0Y?0Co02Hj0ol08SP4o`0O=P?o01dd0ol06S84o`0I<@?o01Pa1ol05c04
o`0H<0Oo01Pa1_l06C44o`0I<POo01Xb1ol06c<3o`0L=0Co01dd0ol07SD4o`0O=P?o020f0ol08CL4
o`0R=`ko028h0ol08SL7o`0Q=`?o020f1?l07cD3o`0N=@Co01dd0ol073@4o`0L<`[o01/c3_l06S8:
o`0I<PCo01Xb0ol06c<4o`0M=0?o020f0ol08cP4o`0V>P?o02Xm1?l0;cl3o`0d@PCo03Y50ol0@DP4
o`17B`?o04e>1?l0Cdh3o`1<C@?o04=91?l0=D83o`0V>PCo01Ta0ol042X4o`0;9P?o00TT1?l02B<=
o`0:90Co00/U0ol032H4o`0>:0?o010Z1?l04R`3o`0C;@Co01D^0ol05Bl3o`0D;PCo014[0ol032H4
o`088@?o00DN2ol011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool:o`03
6`Co00@M0ol01R04o`0:90?o00dX1?l042X6o`0A:`Co010Z0ol03bT4o`0=:0?o00`V1?l02RD>o`09
8`[o00PR0ol02R@4o`0>:0?o01H_1?l083H3o`0]?PCo03U40ol0@DP3o`14BPCo04990ol0?TL4o`0h
A0?o03=11?l0;Sl3o`0Y?0Co02Hj0ol08SP4o`0O=P?o01dd0ol06S84o`0I<@?o01Pa1ol05c04o`0H
<0Oo01Pa1_l06C44o`0I<POo01Xb1ol06c<3o`0L=0Co01dd0ol07SD4o`0O=P?o020f0ol08CL4o`0R
=`ko028h0ol08SL7o`0Q=`?o020f1?l07cD3o`0N=@Co01dd0ol073@4o`0L<`[o01/c3_l06S8:o`0I
<PCo01Xb0ol06c<4o`0M=0?o020f0ol08cP4o`0V>P?o02Xm1?l0;cl3o`0d@PCo03Y50ol0@DP4o`17
B`?o04e>1?l0Cdh3o`1<C@?o04=91?l0=D83o`0V>PCo01Ta0ol042X4o`0;9P?o00TT1?l02B<=o`0:
90Co00/U0ol032H4o`0>:0?o010Z1?l04R`3o`0C;@Co01D^0ol05Bl3o`0D;PCo014[0ol032H4o`08
8@?o00DN2ol011`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool>o`036`?o
00DM1?l01b43o`0;9@Co00hX0ol04B/3o`0B:`Co014[0ol042X4o`0?:@?o00dW1?l032H3o`0:90ko
00TS2_l02284o`0:90?o00dX1?l052h3o`0N=@Co02Xm0ol0=T<3o`0oA`Oo04A:1?l0@4P3o`0kAPCo
03I30ol0<D04o`0/?P?o02Pk1?l09CT3o`0R=`?o01lf1?l07C@3o`0K<`Co01Tb0ol0634>o`0H<0Oo
01Pa1ol06C47o`0I<P[o01Xb3_l06c<Eo`0L<a7o01/c5Ol06S8:o`0I<POo01Xb0ol06c<4o`0M=0?o
01lf1?l08SP3o`0U>P?o02Tl1?l0;Ch3o`0b@@Co03M40ol0?DL4o`14BP?o04Y<1ol0CTh4o`1:C0?o
03m70ol0<D04o`0S>0?o01L`1?l03bT3o`0;9@Oo00TS3_l02R@3o`0;9@Co00`V0ol03RP4o`0@:P?o
014[1?l04bd3o`0E;PCo01H_0ol05Bh3o`0B:`Co00dW0ol02B<4o`067`ko00@L1oooool1o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo3_l00a/3o`057@Co00LQ0ol02bD4o`0>:0?o014[
0ol04R/4o`0A:`?o010Z1?l03bT3o`0=9`Co00`V0ol02R@>o`098`[o00PR1?l02R@3o`0=:0Co01@^
0ol07SD4o`0Z?@?o03I30ol0?dL7o`14BPCo04180ol0>dH4o`0f@`?o03501?l0;3h3o`0X>`Co02Di
0ol08SL3o`0O=PCo01dd0ol06c<4o`0I<P?o01Pa3_l06307o`0H<@Oo01Ta1ol06C8:o`0J<Pko01/c
5Ol073<Ao`0K<aGo01Xb2_l06C87o`0J<P?o01/c1?l07C@3o`0O=PCo028h0ol09CX3o`0Y?0Co02dn
0ol0<T44o`0gA0?o03e71?l0A4X3o`1:C0Oo04i>1?l0BT`3o`0oA`?o03501?l08cP3o`0G<0Co00lY
0ol02bD7o`098`ko00XT0ol02bD4o`0<9P?o00hX1?l042X3o`0A:`Co01<]0ol05Bh4o`0F;`?o01D^
0ol04R/4o`0=9`?o00TS1?l01Ql>o`0470Oooooo0Ol00001ooooo`007Oooool00ol0003ooooooooo
o`06ooooo`ko00<K0ol01Ad4o`078@?o00/U1?l03RP3o`0A:`?o018[1?l04B/3o`0@:PCo00lY0ol0
3BL4o`0<9P?o00XT3_l02B<:o`088PCo00XT0ol03BP4o`0D;P?o01he1?l0:Sd3o`0f@`?o03m71ol0
A4X4o`10B0?o03]61?l0=T<3o`0a@0Co02`n0ol0:3/4o`0U>@?o028g0ol07cH4o`0M=0?o01/c1?l0
6C83o`0H<@ko01P`1ol06347o`0I<@Oo01Tb2_l06S8>o`0K<aGo01`c4Ol06c<Eo`0J<P[o01Tb1ol0
6S83o`0K<`Co01dd0ol07cH4o`0R>0?o02Dj0ol0:C`4o`0]?P?o03911?l0=d@3o`0mA`Co04A:0ol0
BT`7o`1>CPCo04Y<0ol0?dL3o`0a@0Co02<h0ol05c04o`0?:@?o00/U1ol02B<>o`0:90?o00/U1?l0
32H3o`0>:0Co010Z0ol04B/4o`0C;@?o01D^1?l05Rl3o`0E;P?o018[1?l03BL3o`098`Co00HO3_l0
11`7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool>o`036`?o00@L1?l01Ah3
o`088PCo00/V0ol03bT3o`0A:`Co018/0ol04B/4o`0@:P?o00lY1?l03BL3o`0<9PCo00XT3Ol02B<;
o`088P?o00TS1?l032L3o`0B;0Co01/c0ol09cX3o`0c@@Co03e60ol0@dT4o`15BP?o04=91?l0?TL3
o`0iA@Co03A20ol0<404o`0/?@?o02Pk0ol09CT4o`0R>0?o01lf1?l07C@3o`0K<`Co01Xb0ol06C47
o`0H<@Oo01P`2_l0634;o`0I<@Oo01Tb<ol06S87o`0I<P_o01Ta0ol06C83o`0J<PCo01/c0ol073@4
o`0N=@?o020f1?l08SP3o`0U>PCo02Tl0ol0;Ch3o`0a@0Co03I30ol0>dD4o`11B0?o04M;1?l0C4d3
o`1?CPCo04e>0ol0AT/4o`0kA@?o02dn0ol07cH4o`0E;P?o00hX1?l02bD7o`098`go00XT1?l02bD3
o`0<9PCo00hX0ol042X4o`0A:`?o01<]1?l05Bh3o`0F;`Co01D^0ol04R`3o`0>:0Co00TS0ol01Ql4
o`047@[o00@L1?l011d7ooooo`7o00000Oooool001gooooo0ol00006ooooo`ko00<K0ol011`4o`05
7P?o00PR1?l02bH3o`0?:@?o014[1?l04R`3o`0A:`Co010Z0ol03bT4o`0=9`?o00`V1?l02R@=o`09
8`_o00PR0ol02B<4o`0<9`?o018/1?l06c<3o`0W>P?o03=11?l0?DH3o`13B@Co04E:0ol0@dT4o`0n
A`?o03U51?l0=483o`0`@0Co02`m0ol0:3/3o`0U>@Co028h0ol07cH4o`0M=0?o01/c1?l06S83o`0I
<@Oo01Pa1ol0630:o`0H<@_o01Ta1ol06C8co`0J<POo01Tb2ol06C43o`0I<P?o01Xb1?l06c<3o`0L
=0Co01he0ol083H4o`0R>0?o02Dj1?l0:C`3o`0]?P?o03501?l0=T<3o`0kA@Co04580ol0Ad/4o`1<
C@?o04m>1?l0CDh3o`16B`Co03]50ol0;Ch3o`0O=PCo01D^0ol03RP4o`0;9@Oo00TS3Ol02R@4o`0;
9@?o00`V1?l03RP3o`0@:PCo014[0ol04bd4o`0E;P?o01H_1?l05Bh3o`0B;0?o00hX1?l02B<3o`06
7`Co00@M2_l011`4o`047@Kooooo0_l00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`ko
00<K0ol011`4o`057P?o00PR1?l02bH3o`0?:@?o014[1?l04R`3o`0A:`Co010Z0ol03bT4o`0=9`?o
00`V1?l02R@=o`098`_o00PR0ol02B<4o`0<9`?o018/1?l06c<3o`0W>P?o03=11?l0?DH3o`13B@Co
04E:0ol0@dT4o`0nA`?o03U51?l0=483o`0`@0Co02`m0ol0:3/3o`0U>@Co028h0ol07cH4o`0M=0?o
01/c1?l06S83o`0I<@Oo01Pa1ol0630:o`0H<@_o01Ta1ol06C8co`0J<POo01Tb2ol06C43o`0I<P?o
01Xb1?l06c<3o`0L=0Co01he0ol083H4o`0R>0?o02Dj1?l0:C`3o`0]?P?o03501?l0=T<3o`0kA@Co
04580ol0Ad/4o`1<C@?o04m>1?l0CDh3o`16B`Co03]50ol0;Ch3o`0O=PCo01D^0ol03RP4o`0;9@Oo
00TS3Ol02R@4o`0;9@?o00`V1?l03RP3o`0@:PCo014[0ol04bd4o`0E;P?o01H_1?l05Bh3o`0B;0?o
00hX1?l02B<3o`067`Co00@M2_l011`4o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`ko00<K0ol011`4o`057P?o00PR1?l02bH3o`0?:@?o014[1?l04R`3o`0A:`Co010Z
0ol03bT4o`0=9`?o00`V1?l02R@=o`098`_o00PR0ol02B<4o`0<9`?o018/1?l06c<3o`0W>P?o03=1
1?l0?DH3o`13B@Co04E:0ol0@dT4o`0nA`?o03U51?l0=483o`0`@0Co02`m0ol0:3/3o`0U>@Co028h
0ol07cH4o`0M=0?o01/c1?l06S83o`0I<@Oo01Pa1ol0630:o`0H<@_o01Ta1ol06C8co`0J<POo01Tb
2ol06C43o`0I<P?o01Xb1?l06c<3o`0L=0Co01he0ol083H4o`0R>0?o02Dj1?l0:C`3o`0]?P?o0350
1?l0=T<3o`0kA@Co04580ol0Ad/4o`1<C@?o04m>1?l0CDh3o`16B`Co03]50ol0;Ch3o`0O=PCo01D^
0ol03RP4o`0;9@Oo00TS3Ol02R@4o`0;9@?o00`V1?l03RP3o`0@:PCo014[0ol04bd4o`0E;P?o01H_
1?l05Bh3o`0B;0?o00hX1?l02B<3o`067`Co00@M2_l011`4o`047@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06oooooa7o00<K1?l011`3o`067`Co00PR0ol032H3o`0?:@Co014[0ol0
4R`4o`0A:`?o010Z1?l03bT3o`0=9`Co00`V0ol02RD>o`098`?o00TR1ol02284o`098`?o00/V1?l0
42X3o`0H<@?o028h1?l0;Sl3o`0iA0Co04581ol0ADX3o`12B@Co03e70ol0>4@4o`0d@P?o02lo0ol0
;3d4o`0X?0?o02Hj1?l08cP3o`0P=`Co01he0ol07C@4o`0K<`?o01Xb1ol06C4Ho`0H<Cko01Ta1?l0
6C83o`0J<PCo01/c0ol073<3o`0M=0Co01le0ol08CL4o`0S>0?o02Hj1?l0:C`3o`0]?PCo03100ol0
=D83o`0jA@Co03m80ol0ADX4o`1;C@Oo04i>0ol0BTd4o`11B@?o03E21?l0:3/3o`0L<`?o01</1?l0
3BL3o`0:90Oo00TS3_l02R@3o`0;9@Co00`V0ol03RP4o`0@:P?o014[1?l04bd3o`0E;PCo01D_0ol0
5Bh4o`0C;0?o00lY0ol02R@4o`0780?o00DM1ol011`;o`047@Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06oooooa7o00<K1?l011`3o`067`Co00PR0ol032H3o`0?:@Co014[0ol04R`4
o`0A:`?o010Z1?l03bT3o`0=9`Co00`V0ol02RD>o`098`?o00TR1ol02284o`098`?o00/V1?l042X3
o`0H<@?o028h1?l0;Sl3o`0iA0Co04581ol0ADX3o`12B@Co03e70ol0>4@4o`0d@P?o02lo0ol0;3d4
o`0X?0?o02Hj1?l08cP3o`0P=`Co01he0ol07C@4o`0K<`?o01Xb1ol06C4Ho`0H<Cko01Ta1?l06C83
o`0J<PCo01/c0ol073<3o`0M=0Co01le0ol08CL4o`0S>0?o02Hj1?l0:C`3o`0]?PCo03100ol0=D83
o`0jA@Co03m80ol0ADX4o`1;C@Oo04i>0ol0BTd4o`11B@?o03E21?l0:3/3o`0L<`?o01</1?l03BL3
o`0:90Oo00TS3_l02R@3o`0;9@Co00`V0ol03RP4o`0@:P?o014[1?l04bd3o`0E;PCo01D_0ol05Bh4
o`0C;0?o00lY0ol02R@4o`0780?o00DM1ol011`;o`047@Oooooo0Ol00001ooooo`007Oooool00ol0
003oooooooooo`06oooooa7o00<K1?l011`3o`067`Co00PR0ol032H3o`0?:@Co014[0ol04R`4o`0A
:`?o010Z1?l03bT3o`0=9`Co00`V0ol02RD>o`098`?o00TR1ol02284o`098`?o00/V1?l042X3o`0H
<@?o028h1?l0;Sl3o`0iA0Co04581ol0ADX3o`12B@Co03e70ol0>4@4o`0d@P?o02lo0ol0;3d4o`0X
?0?o02Hj1?l08cP3o`0P=`Co01he0ol07C@4o`0K<`?o01Xb1ol06C4Ho`0H<Cko01Ta1?l06C83o`0J
<PCo01/c0ol073<3o`0M=0Co01le0ol08CL4o`0S>0?o02Hj1?l0:C`3o`0]?PCo03100ol0=D83o`0j
A@Co03m80ol0ADX4o`1;C@Oo04i>0ol0BTd4o`11B@?o03E21?l0:3/3o`0L<`?o01</1?l03BL3o`0:
90Oo00TS3_l02R@3o`0;9@Co00`V0ol03RP4o`0@:P?o014[1?l04bd3o`0E;PCo01D_0ol05Bh4o`0C
;0?o00lY0ol02R@4o`0780?o00DM1ol011`;o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`Oo00<K0ol011`4o`0370Oo00<K0ol011d4o`067`?o00TS0ol03BL4o`0@:P?o
018[1?l04R`3o`0A:`Co010Z0ol03bT4o`0=9`?o00`V1?l02RD3o`0:90ko00TS1ol02283o`098`Co
00XU0ol03RT3o`0E;PCo01he0ol0:C`4o`0d@P?o03e61?l0@dT3o`15BPCo04A:0ol0@DP4o`0mAP?o
03Q40ol0=484o`0`@0?o02dn1?l0:S`3o`0W>`Co02@i0ol08SP4o`0P=P?o01he0ol07C@4o`0L<`?o
01/c1?l06S83o`0I<POo01Ta7?l0634Ho`0I<@Oo01Tb1ol06S83o`0K<`Co01`d0ol07C@4o`0O=@?o
020g0ol08SP4o`0U>@?o02Lk1?l0:Sd3o`0]?PCo03500ol0=D84o`0jA@?o03m70ol0A4X4o`19C0?o
04e>1?l0CTh3o`1<C@Co04I;0ol0>dH4o`0_?`?o028h1?l06303o`0@:P?o00`V1?l02R@7o`098`ko
00XT0ol02bD3o`0<9PCo00hX0ol042X4o`0A:`?o01<]1?l052h3o`0E;`Co01D^0ol04bd4o`0?:@?o
00/U0ol01b44o`057POo00@L3_l011d7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0
1_ooool7o`036`?o00@L1?l00a`7o`036`?o00@M1?l01Ql3o`098`?o00dW1?l042X3o`0B:`Co018/
0ol04B/4o`0@:P?o00lY1?l03BL3o`0<9PCo00XU0ol02R@>o`098`Oo00PR0ol02B<4o`0:9@?o00hY
0ol05Bh4o`0N=@?o02Tl1?l0=483o`0mAPCo04=90ol0ADX4o`14BP?o04581?l0?DH3o`0hA0?o03A2
1?l0<403o`0]?PCo02Xl0ol09c/4o`0T>@?o028h1?l083H3o`0N=@?o01dd1?l073<3o`0K<`Co01Xb
0ol06C87o`0I<Aco01Pa6?l06C47o`0I<POo01Xb0ol06c<4o`0L=0?o01dd1?l07cD3o`0P=`?o028h
1?l09CT3o`0W>`Co02Xm0ol0;Ch4o`0a@0?o03E21?l0>TD3o`0oA`?o04A:1?l0BD`3o`1=CPCo04i>
0ol0C4d4o`16B`?o03]61?l0;cl3o`0R>0Co01P`0ol042X3o`0<9PCo00XT1ol02B<>o`0:90?o00/U
0ol032H4o`0>:0?o010Z1?l04B/3o`0C;@Co01@^0ol05Bl4o`0E;P?o01<]1?l03bT3o`0;9@?o00LQ
1?l01Ah7o`0470ko00@M1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol0
0a/3o`0470Co00<L1ol00a/3o`047@Co00HO0ol02B<3o`0=9`Co010Z0ol04R/4o`0B;0?o014[1?l0
42X3o`0?:@Co00dW0ol032H4o`0:9@?o00XT3_l02B<7o`088P?o00TS1?l02RD3o`0>:@?o01D^1?l0
7SD3o`0Y?0Co03A20ol0?DH4o`13B@?o04E:1?l0A4X3o`11B0Co03e60ol0>4@3o`0d@PCo03100ol0
;Ch4o`0Z?0?o02Lk1?l093T3o`0R>0Co020f0ol07SD3o`0M=0Co01`c0ol06c<4o`0J<P?o01Tb1ol0
6C4Lo`0H<ASo01Ta1ol06C87o`0J<P?o01/c1?l073@3o`0M=0Co01le0ol083L3o`0R>0Co02Di0ol0
9c/4o`0Z?@?o02dn1?l0<D03o`0e@PCo03Y50ol0?dL3o`14BPCo04U<0ol0CDh4o`1>CP?o04a=1?l0
AT/3o`0kAPCo02lo0ol08SP4o`0H<0?o010Z0ol032H4o`0:90Oo00TS3_l02R@3o`0;9@?o00`V1?l0
3RP3o`0@:PCo014[0ol04bd4o`0D;P?o01D_1?l05Bh3o`0C;@Co00lY0ol02bD3o`078@Co00DN1ol0
11`>o`047@Oooooo0Ol00001ooooo`002?ooool00ol0003oooooooooo`03ooooo`03o`000?oooooo
oooo00;ooooo0ol00007ooooo`03o`000?oooooooooo00Kooooo1ol00a/3o`0470Co00<L1ol00a/3
o`047@Co00HO0ol02B<3o`0=9`Co010Z0ol04R/4o`0B;0?o014[1?l042X3o`0?:@Co00dW0ol032H4
o`0:9@?o00XT3_l02B<7o`088P?o00TS1?l02RD3o`0>:@?o01D^1?l07SD3o`0Y?0Co03A20ol0?DH4
o`13B@?o04E:1?l0A4X3o`11B0Co03e60ol0>4@3o`0d@PCo03100ol0;Ch4o`0Z?0?o02Lk1?l093T3
o`0R>0Co020f0ol07SD3o`0M=0Co01`c0ol06c<4o`0J<P?o01Tb1ol06C4Lo`0H<ASo01Ta1ol06C87
o`0J<P?o01/c1?l073@3o`0M=0Co01le0ol083L3o`0R>0Co02Di0ol09c/4o`0Z?@?o02dn1?l0<D03
o`0e@PCo03Y50ol0?dL3o`14BPCo04U<0ol0CDh4o`1>CP?o04a=1?l0AT/3o`0kAPCo02lo0ol08SP4
o`0H<0?o010Z0ol032H4o`0:90Oo00TS3_l02R@3o`0;9@?o00`V1?l03RP3o`0@:PCo014[0ol04bd4
o`0D;P?o01D_1?l05Bh3o`0C;@Co00lY0ol02bD3o`078@Co00DN1ol011`>o`047@Oooooo0Ol00001
ooooo`002?ooool00ol0003oooooooooo`07ooooo`05o`000?ooooooooooooooool000001_ooool0
0ol0003oooooooooo`06ooooo`?o00<K1?l00a`:o`0470Co00<K0ol00a`4o`047@?o00HP0ol02B<4
o`0=9`?o010Z1ol04R`4o`0A:`?o010Z1?l03bT3o`0=:0Co00`V0ol02bD3o`0:90ko00TS2ol02283
o`0:90?o00`W1?l04R/3o`0I<@Co02<h0ol0;Sh4o`0hA0?o04181?l0A4X3o`16B`Co04E:0ol0@TT3
o`0nA`Co03U50ol0=D<4o`0b@@?o02ho1?l0;3d3o`0Y?0Co02Lj0ol09CT3o`0S>0Co024g0ol083H4
o`0N=@?o01dd1?l073@3o`0L<`Co01/c0ol06c8Vo`0J<POo01/c0ol073<4o`0M=0?o01de1?l07SD3
o`0P=PCo024g0ol08cP4o`0U>@?o02Lk0ol0:C`4o`0/?P?o02lo1?l0<d43o`0f@`Co03]50ol0?dP4
o`14BP?o04U<0ol0CDh4o`1>CP?o04e>1?l0B4`3o`0oA`Co03A20ol0:3/4o`0L=0?o01@]1?l03RP3
o`0;9@Oo00TS0ol02B@;o`0:90?o00XU1?l02bD3o`0<9`?o00hX1?l042X3o`0A:`Co01<]0ol052h7
o`0E;`Co01<]0ol03bX4o`0;9@?o00LQ0ol01Ah7o`0471;o00@M1oooool1o`00007ooooo0009oooo
o`03o`000?oooooooooo00[ooooo00?o0000ooooooooool01?ooool4o`0000Gooooo0ol00a/4o`03
70[o00@L1?l00a/3o`0370Co00@M0ol01R03o`098`Co00dW0ol042X7o`0B;0Co014[0ol042X4o`0?
:@?o00dX1?l032H3o`0;9@?o00XT3_l02B<;o`088P?o00XT0ol032L4o`0B:`?o01Ta1?l08cP3o`0^
?PCo03Q40ol0@4P4o`14BP?o04I;1?l0ADX3o`12B@?o03i71?l0>DD3o`0e@`Co03910ol0;Sl4o`0/
?@?o02Tl1?l09cX3o`0U>@?o02<h1?l08CL3o`0P=PCo01he0ol07C@4o`0L=0?o01`c1?l06c<3o`0K
<RKo01Xb1ol06c<3o`0L<`Co01dd0ol07CD4o`0N=@?o020f1?l08CL3o`0S>0Co02Di0ol09c/3o`0Y
?0Co02`n0ol0;cl4o`0c@@?o03I31?l0>dD3o`0oB0Co04A:0ol0BD`3o`1=CPCo04i>0ol0CDh4o`18
C0?o03m71?l0=483o`0X>`Co01`d0ol052d4o`0>:0?o00/U1ol02B<3o`0990_o00XT0ol02RD4o`0;
9@?o00`W0ol03RP4o`0@:P?o014[1?l04bd3o`0D;POo01D_1?l04bd3o`0?:PCo00/U0ol01b43o`05
7POo00@L4_l011d5ooooo`?o00000Oooool000Wooooo00?o0000ooooooooool02_ooool00ol0003o
ooooooooo`04ooooo`03o`000?oooooooooo00Kooooo0ol00a/4o`0370[o00@L1?l00a/3o`0370Co
00@M0ol01R03o`098`Co00dW0ol042X7o`0B;0Co014[0ol042X4o`0?:@?o00dX1?l032H3o`0;9@?o
00XT3_l02B<;o`088P?o00XT0ol032L4o`0B:`?o01Ta1?l08cP3o`0^?PCo03Q40ol0@4P4o`14BP?o
04I;1?l0ADX3o`12B@?o03i71?l0>DD3o`0e@`Co03910ol0;Sl4o`0/?@?o02Tl1?l09cX3o`0U>@?o
02<h1?l08CL3o`0P=PCo01he0ol07C@4o`0L=0?o01`c1?l06c<3o`0K<RKo01Xb1ol06c<3o`0L<`Co
01dd0ol07CD4o`0N=@?o020f1?l08CL3o`0S>0Co02Di0ol09c/3o`0Y?0Co02`n0ol0;cl4o`0c@@?o
03I31?l0>dD3o`0oB0Co04A:0ol0BD`3o`1=CPCo04i>0ol0CDh4o`18C0?o03m71?l0=483o`0X>`Co
01`d0ol052d4o`0>:0?o00/U1ol02B<3o`0990_o00XT0ol02RD4o`0;9@?o00`W0ol03RP4o`0@:P?o
014[1?l04bd3o`0D;POo01D_1?l04bd3o`0?:PCo00/U0ol01b43o`057POo00@L4_l011d7ooooo`7o
00000Oooool000[ooooo00?o0000ooooooooool01Oooool4o`0000Oooooo00?o0000ooooooooool0
1_oooolEo`0470?o00<K1?l011`3o`047@?o00HP1?l02R@3o`0=9`Co010Z1ol04R`3o`0A:`Co010Z
0ol03bT4o`0>:0?o00`V0ol02bD4o`0:917o00TS1ol02283o`098`Co00/U0ol03bT4o`0D;P?o01dd
1?l09SX3o`0a@0Co03Y50ol0@DP4o`15BP?o04I;0ol0ADX4o`13B@?o03m71?l0>dH3o`0gA0Co03A2
0ol0<D04o`0^?`?o02`m0ol0:S`4o`0X>`?o02Hj1?l09CT3o`0S>0Co028h0ol08CL4o`0P=P?o01lf
1?l07cD:o`0N=@Oo01de3_l07SD3o`0O=@?o01lf1?l083H3o`0Q=`Co028h0ol08cP4o`0U>@?o02Hj
1?l0:3/3o`0Z?@Co02`n0ol0;cl3o`0b@@Co03E20ol0>D@4o`0mAP?o04581?l0ADX3o`1:C0Co04e>
0ol0CTh3o`1=CPCo04U<0ol0@DP4o`0g@`?o02/m1?l083H3o`0G<0Co010Z0ol032H4o`0:90Ko00TS
3_l02R@4o`0:9@?o00/U1?l03BL3o`0>:0?o010Z1?l04B/3o`0C;@Co01D^1ol05Bl3o`0C;@Co010Z
0ol02bH4o`088@?o00DN1ol011`Ao`047@Co00DM1oooool1o`00007ooooo0006ooooo`05o`000?oo
ooooooooooooool000001oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Kooooo
5Ol011`3o`036`Co00@L0ol011d3o`0680Co00XT0ol03BL4o`0@:POo018/0ol04B/4o`0@:P?o00lY
1?l03RP3o`0<9P?o00/U1?l02R@Ao`098`Oo00PR0ol02B<4o`0;9@?o00lY1?l052h3o`0M=0Co02Hj
0ol0<D04o`0jA@?o04581?l0ADX3o`16B`?o04E:1?l0@dT3o`0oA`Co03]60ol0=d@4o`0d@P?o0350
1?l0;Sl3o`0/?@?o02Xl1?l0:3/3o`0V>PCo02Di0ol08cP4o`0R>0?o024g1?l083H3o`0O=PCo01le
2_l07SD7o`0M=@ko01he0ol07cD3o`0O=PCo020f0ol08CL4o`0R>0?o02<h1?l09CT3o`0V>PCo02Pk
0ol0:Sd4o`0/?P?o02lo0ol0<T44o`0e@P?o03U41?l0?DH3o`11B0Co04E:0ol0BT`4o`1=CP?o04i>
0ol0CDh4o`19C0?o04581?l0=d<3o`0[?@Co020f0ol05c04o`0@:P?o00`V1?l02R@6o`098`ko00XT
1?l02RD3o`0;9@Co00dW0ol03RP3o`0@:PCo014[0ol04bd4o`0E;POo01D_0ol04bd4o`0@:P?o00/V
1?l02243o`057POo00@L4Ol011d4o`057@Oooooo0Ol00001ooooo`001_ooool5o`0000Oooooo1Ol0
0006ooooo`03o`000?oooooooooo00Kooooo5Ol011`3o`036`Co00@L0ol011d3o`0680Co00XT0ol0
3BL4o`0@:POo018/0ol04B/4o`0@:P?o00lY1?l03RP3o`0<9P?o00/U1?l02R@Ao`098`Oo00PR0ol0
2B<4o`0;9@?o00lY1?l052h3o`0M=0Co02Hj0ol0<D04o`0jA@?o04581?l0ADX3o`16B`?o04E:1?l0
@dT3o`0oA`Co03]60ol0=d@4o`0d@P?o03501?l0;Sl3o`0/?@?o02Xl1?l0:3/3o`0V>PCo02Di0ol0
8cP4o`0R>0?o024g1?l083H3o`0O=PCo01le2_l07SD7o`0M=@ko01he0ol07cD3o`0O=PCo020f0ol0
8CL4o`0R>0?o02<h1?l09CT3o`0V>PCo02Pk0ol0:Sd4o`0/?P?o02lo0ol0<T44o`0e@P?o03U41?l0
?DH3o`11B0Co04E:0ol0BT`4o`1=CP?o04i>0ol0CDh4o`19C0?o04581?l0=d<3o`0[?@Co020f0ol0
5c04o`0@:P?o00`V1?l02R@6o`098`ko00XT1?l02RD3o`0;9@Co00dW0ol03RP3o`0@:PCo014[0ol0
4bd4o`0E;POo01D_0ol04bd4o`0@:P?o00/V1?l02243o`057POo00@L4Ol011d4o`057@Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06oooooaGo00@L0ol00a/4o`0470?o00@M0ol01R04
o`0:90?o00dW1?l042X7o`0B;0?o014[1?l042X3o`0?:@Co00hX0ol032H3o`0;9@Co00XT4Ol02B<7
o`088P?o00TS1?l02bD3o`0?:@Co01@^0ol07C@4o`0V>P?o03501?l0>TD3o`11B0Co04E:0ol0AT/3
o`15BPCo04=90ol0?dL4o`0kAP?o03M41?l0=483o`0a@0Co02ho0ol0;3d3o`0Z?0Co02Pk0ol09SX4
o`0U>@?o02<h1?l08SP3o`0Q=`Co020f0ol07cH4o`0O=@[o01he1ol07CD>o`0N=@?o01le0ol07cH4
o`0P=P?o024g1?l08SP3o`0S>0Co02Di0ol09SX4o`0X>`?o02Xm1?l0;3h3o`0_?`?o03911?l0=D83
o`0iA0Co03e60ol0@DP4o`15BP?o04Y<1?l0CDh3o`1>CP?o04e>1?l0BD`3o`11B0Co03M30ol0:cd4
o`0P=P?o01L`1?l042X3o`0<9PCo00XT1_l02B<>o`0:90Co00XU0ol02bD4o`0=9`?o00hX0ol042X4
o`0A:`?o01<]1?l05Bh7o`0E;`?o01<]1?l042X3o`0;9PCo00PQ0ol01Ah7o`04717o00@M1?l01Ad7
ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oooolHo`0470Co00<K0ol011`3o`05
7@Co00LP0ol02R@4o`0=9`?o010Z1ol04R`4o`0A:`?o010Z1?l03bT3o`0>:0?o00`W1?l02bD3o`0:
91;o00TS2_l02283o`0:90Co00`V0ol042X4o`0G<0?o01lf1?l0:3/3o`0b@@Co03]50ol0@DP3o`15
BPCo04M;0ol0AT/4o`14BP?o04581?l0?TL3o`0kA@Co03Q40ol0=D83o`0b@@Co03100ol0;Sl4o`0/
?P?o02/m1?l0:C`3o`0X>`Co02Lk0ol09SX4o`0U>P?o02Di6?l093T4o`0U>@?o02Dj0ol09SX4o`0W
>`?o02Pk1?l0:C`3o`0[?@Co02`n0ol0;Sl4o`0`@0?o03=11?l0=D<3o`0hA0?o03a61?l0@4P3o`13
B@Co04M;0ol0Bdd4o`1=CP?o04i>1?l0CDh3o`18C0?o04581?l0>4@3o`0]?PCo02<h0ol06C84o`0B
;0?o00hX1?l02bD:o`098`ko00XT0ol02bD4o`0<9P?o00dW1?l03RT3o`0@:P?o018/1?l04bd3o`0E
;PCo01D_0ol05Bh4o`0C;@?o010Z1?l02bH3o`088@Co00DN1_l011`Bo`047@?o00DM1?l01Ah7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_oooolHo`0470Co00<K0ol011`3o`057@Co
00LP0ol02R@4o`0=9`?o010Z1ol04R`4o`0A:`?o010Z1?l03bT3o`0>:0?o00`W1?l02bD3o`0:91;o
00TS2_l02283o`0:90Co00`V0ol042X4o`0G<0?o01lf1?l0:3/3o`0b@@Co03]50ol0@DP3o`15BPCo
04M;0ol0AT/4o`14BP?o04581?l0?TL3o`0kA@Co03Q40ol0=D83o`0b@@Co03100ol0;Sl4o`0/?P?o
02/m1?l0:C`3o`0X>`Co02Lk0ol09SX4o`0U>P?o02Di6?l093T4o`0U>@?o02Dj0ol09SX4o`0W>`?o
02Pk1?l0:C`3o`0[?@Co02`n0ol0;Sl4o`0`@0?o03=11?l0=D<3o`0hA0?o03a61?l0@4P3o`13B@Co
04M;0ol0Bdd4o`1=CP?o04i>1?l0CDh3o`18C0?o04581?l0>4@3o`0]?PCo02<h0ol06C84o`0B;0?o
00hX1?l02bD:o`098`ko00XT0ol02bD4o`0<9P?o00dW1?l03RT3o`0@:P?o018/1?l04bd3o`0E;PCo
01D_0ol05Bh4o`0C;@?o010Z1?l02bH3o`088@Co00DN1_l011`Bo`047@?o00DM1?l01Ah7ooooo`7o
00000Oooool001gooooo00?o0000ooooooooool01_oooolHo`0470Co00<K0ol011`3o`057@Co00LP
0ol02R@4o`0=9`?o010Z1ol04R`4o`0A:`?o010Z1?l03bT3o`0>:0?o00`W1?l02bD3o`0:91;o00TS
2_l02283o`0:90Co00`V0ol042X4o`0G<0?o01lf1?l0:3/3o`0b@@Co03]50ol0@DP3o`15BPCo04M;
0ol0AT/4o`14BP?o04581?l0?TL3o`0kA@Co03Q40ol0=D83o`0b@@Co03100ol0;Sl4o`0/?P?o02/m
1?l0:C`3o`0X>`Co02Lk0ol09SX4o`0U>P?o02Di6?l093T4o`0U>@?o02Dj0ol09SX4o`0W>`?o02Pk
1?l0:C`3o`0[?@Co02`n0ol0;Sl4o`0`@0?o03=11?l0=D<3o`0hA0?o03a61?l0@4P3o`13B@Co04M;
0ol0Bdd4o`1=CP?o04i>1?l0CDh3o`18C0?o04581?l0>4@3o`0]?PCo02<h0ol06C84o`0B;0?o00hX
1?l02bD:o`098`ko00XT0ol02bD4o`0<9P?o00dW1?l03RT3o`0@:P?o018/1?l04bd3o`0E;PCo01D_
0ol05Bh4o`0C;@?o010Z1?l02bH3o`088@Co00DN1_l011`Bo`047@?o00DM1?l01Ah7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01_ooool3o`047AWo00@L0ol00a/3o`0470Co00DM0ol0
1b04o`0:90?o00dW1?l042X7o`0B;0?o018[1?l04B/3o`0?:@?o00hX1?l03BL3o`0<9PCo00XU0ol0
2R@Ao`098`Oo00PR1?l02B<3o`0:90Co00dW0ol04R/4o`0H<@?o020f1?l0:C`3o`0b@@?o03Y51?l0
@4P3o`15BPOo04M;1?l0AT/3o`14BPCo04990ol0?dL3o`0lAPCo03Y50ol0=d@4o`0e@`?o03=21?l0
<T43o`0`@0Co02lo0ol0;Sl4o`0]?P?o02`n0ol0;3d>o`0[?@Co02`m0ol0;3h7o`0]?P?o02ho1?l0
;cl3o`0a@0Co03910ol0=484o`0f@`?o03Q41?l0>TD3o`0mA`Co04180ol0A4X3o`17B`Co04Y<0ol0
C4d7o`1>CPCo04]=0ol0Ad/4o`10B0?o03M30ol0;Ch4o`0S>0?o01/c1?l052d3o`0?:@Co00/V0ol0
2R@7o`098a7o00XT1?l02bD3o`0<9PCo00dW0ol03bT4o`0@:P?o018/0ol04bd4o`0E;P?o01H_1?l0
5Bh3o`0C;@Co00lZ0ol02bH4o`088@?o00DN1?l011d6o`0470ko00@M1?l01Ad7o`057POooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00@M6Ol011`3o`036`?o00@L1?l01Ad3
o`0780Co00XT0ol03BL4o`0@:POo018/0ol04R/4o`0A:`?o00lY0ol03RP4o`0=9`?o00`V1?l02RD3
o`0:917o00TS1ol02284o`098`?o00XT1?l03BL3o`0B:`Co01Pa0ol083H4o`0Y?0?o03910ol0>TD4
o`10B0?o04E:1ol0Ad/4o`16B`?o04A:1?l0@TT3o`0oA`?o03a61?l0>TD3o`0gA0Co03E30ol0<d84
o`0b@@?o03101?l0;cl3o`0^?`Co02dn0ol0;3h3o`0/?@ko02/m1?l0;3d3o`0/?POo02dn0ol0;Sl4
o`0_?`?o03501?l0<T43o`0d@PCo03I30ol0>4@4o`0jA@?o03e71?l0@4P3o`14BP?o04M;1?l0BT`3
o`1<C@Oo04i>1?l0Bdd3o`17B`Co04180ol0=d<3o`0]?PCo02<h0ol06c<4o`0D;@?o00lY1?l02bH3
o`0:90Oo00TS4Ol02R@4o`0;9@?o00`V1?l03BL3o`0?:@Co010Z0ol04R`3o`0C;@Co01D^0ol05Rl4
o`0E;P?o01<]1?l03bX3o`0;9PCo00PQ0ol01Ah4o`047@Ko00@L3_l011d4o`057@Oo00DN1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol011dIo`0470?o00<K0ol011`4o`05
7@?o00LP1?l02R@3o`0=9`Co010Z1ol04R`3o`0B:`Co014[0ol03bT3o`0>:0Co00dW0ol032H4o`0:
9@?o00XT4Ol02B<7o`088PCo00TS0ol02R@4o`0=9`?o018[1?l06343o`0P=PCo02Tl0ol0<T43o`0j
A@Co04180ol0ADX7o`17B`Co04I;0ol0A4X4o`12B@?o03m70ol0?4H4o`0jA@?o03M41?l0=D<3o`0c
@PCo03910ol0<404o`0_?`?o02ho1?l0;Ch3o`0/?P?o02`m3_l0:cd4o`0/?@?o02`n1ol0;Ch3o`0^
?`Co02lo0ol0<D04o`0b@@?o03A21?l0=T<3o`0hA0Co03Y50ol0?DL4o`10B0?o04A:0ol0Ad/4o`1:
C0?o04a=1ol0CTh4o`1;C@?o04M;1?l0@4P3o`0g@`?o02dn1?l08cP3o`0K<`Co01@]0ol03bT4o`0;
9P?o00XT1ol02B<Ao`0:90Co00/U0ol032H4o`0=9`?o00lY1?l042X3o`0B;0?o01<]1?l05Bh3o`0F
;`Co01D^0ol04bd4o`0?:P?o00/V1?l02243o`057PCo00@M1_l011`>o`047@Co00DM1ol01Ah7oooo
o`7o00000Oooool001gooooo0ol00006ooooo`[o00@M5Ol011`3o`0370Co00@L0ol01Ad4o`0780?o
00TT1?l03BL3o`0@:P_o018/0ol04B/3o`0@:PCo00hY0ol03BP4o`0<9P?o00/U1?l02R@Ao`098`?o
00TR1ol02284o`098`?o00/U1?l03RP3o`0B;0Co01P`0ol07cH3o`0W>`Co02lo0ol0=d<4o`0nA`?o
04=91?l0AT/7o`18B`?o04M;0ol0ATX4o`14BP?o04991?l0@4P3o`0nA`Co03a60ol0>TD4o`0iA0?o
03Q41?l0=d<3o`0f@`Oo03E22_l0=484o`0e@P?o03E31?l0=T<3o`0g@`?o03Q41?l0>DD3o`0kA@Co
03a60ol0?TL4o`11B0?o04=91?l0ATX3o`18C0Co04Y=0ol0C4d7o`1=CP?o04a=1?l0BD`3o`13B@Co
03a60ol0=484o`0[?@?o028h0ol06S84o`0D;@?o00lY1?l032H3o`0:90_o00TS3Ol02R@4o`0:9@?o
00/U1?l032L3o`0>:0Co00lY0ol04B/4o`0B;0?o01@]0ol05Bh4o`0F;`?o01D^1?l04b`3o`0?:@Co
00/U0ol02244o`057P?o00@M1ol011`:o`047@Co00DM1ol01Ah3o`057`Co00HO1_ooool2o`00007o
oooo000Mooooo`03o`000?oooooooooo00Kooooo2_l011dEo`0470?o00<L1?l011`3o`057@Co00LP
0ol02B@4o`0=9`?o010Z2ol04R`3o`0A:`?o010Z1?l03RT3o`0=:0Co00`V0ol02bD4o`0:917o00TS
0ol02B87o`088PCo00TS0ol02bD4o`0>:0?o018/1?l06303o`0O=P?o02Lk1?l0;cl3o`0g@`Co03i7
0ol0@dT4o`16B`Oo04Q;0ol0Ad/3o`16BPCo04A:0ol0@TT4o`10B0?o03i71?l0?4H3o`0jA@Co03U4
0ol0>4@4o`0g@`?o03I31ol0=D8:o`0d@PCo03E20ol0=D<4o`0f@`?o03M30ol0>4@4o`0iA@?o03]5
1?l0?4H3o`0nA`Co04580ol0@dT4o`16BP?o04Q<1?l0BTd3o`1<C@Oo04e>0ol0C4d4o`19C0?o04=9
1?l0?4H3o`0d@PCo02/m0ol08SP3o`0J<PCo01@]0ol03bT4o`0<9P?o00XT2ol02B<=o`0:90Co00XU
0ol02bD4o`0<9`?o00hX1?l03bT3o`0A:`Co018/0ol052d3o`0E;PCo01H_0ol05Bh4o`0C;0?o00lY
1?l02bD3o`088@Co00DN0ol011d7o`0470[o00@M1?l01Ad7o`057P?o00DO1?l01Ql7ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool01_ooool:o`047AGo00@L0ol00a`4o`0470?o00DM1?l0
1b03o`0990Co00dW0ol042X;o`0B;0?o014[0ol042X4o`0>:@?o00dX1?l032H3o`0;9@Co00XT4Ol0
2B<3o`098POo00PR1?l02B<3o`0;9@Co00hX0ol04R`4o`0H<0?o01lf0ol09c/4o`0_?`?o03M31?l0
?TL3o`13B@Co04I;1ol0B4/3o`17B`?o04I:1?l0A4X3o`12B@Co04180ol0?TL4o`0lAP?o03Y51?l0
>D@3o`0hA0Co03M30ol0=T<7o`0e@P[o03A21?l0=D83o`0e@`Co03I30ol0=d<3o`0hA0Co03U50ol0
>dD4o`0lAP?o03i71?l0@DP3o`13B@Co04I:0ol0B4`4o`1:C@?o04a=1ol0CDh3o`1<C@Co04U<0ol0
@dT4o`0lAP?o03A21?l0:cd3o`0R>0?o01Xb1?l052d3o`0?:@Co00`V0ol02R@;o`098`go00XT1?l0
2RD3o`0;9@Co00`W0ol03RP4o`0?:@?o014[1?l04R`3o`0D;@?o01D^1?l05Rl3o`0E;PCo01</0ol0
3bT4o`0;9@?o00PQ1?l01Ah3o`047@Oo00@L2_l011d4o`057@Oo00DN0ol01Al4o`067`Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`[o00@M5Ol011`3o`0370Co00@L0ol01Ad4
o`0780?o00TT1?l03BL3o`0@:P_o018/0ol04B/3o`0@:PCo00hY0ol03BP4o`0<9P?o00/U1?l02R@A
o`098`?o00TR1ol02284o`098`?o00/U1?l03RP3o`0B;0Co01P`0ol07cH3o`0W>`Co02lo0ol0=d<4
o`0nA`?o04=91?l0AT/7o`18B`?o04M;0ol0ATX4o`14BP?o04991?l0@4P3o`0nA`Co03a60ol0>TD4
o`0iA0?o03Q41?l0=d<3o`0f@`Oo03E22_l0=484o`0e@P?o03E31?l0=T<3o`0g@`?o03Q41?l0>DD3
o`0kA@Co03a60ol0?TL4o`11B0?o04=91?l0ATX3o`18C0Co04Y=0ol0C4d7o`1=CP?o04a=1?l0BD`3
o`13B@Co03a60ol0=484o`0[?@?o028h0ol06S84o`0D;@?o00lY1?l032H3o`0:90_o00TS3Ol02R@4
o`0:9@?o00/U1?l032L3o`0>:0Co00lY0ol04B/4o`0B;0?o01@]0ol05Bh4o`0F;`?o01D^1?l04b`3
o`0?:@Co00/U0ol02244o`057P?o00@M1ol011`:o`047@Co00DM1ol01Ah3o`057`Co00HO1oooool1
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo1ol01Ad7o`047ACo00@L1?l00a`3o`04
70Co00DM0ol01R04o`098`?o00`W1?l03bX3o`0A:`Oo018/0ol04B/4o`0@:P?o00lY1?l03RP3o`0<
9`Co00/V1ol02R@Ao`098`[o00PR1?l02B<3o`0;9@Co00dX0ol04B/3o`0F;`Co01dd0ol093T4o`0[
?@?o03=11?l0>DD3o`0oA`Co04=90ol0AT/3o`18B`Oo04Q<1?l0B4/3o`17B`Co04I;0ol0ADX4o`13
B@?o04991ol0@DP3o`10B0Co03m82_l0?dL7o`10B0Co04580ol0@TT3o`13B@Co04A:0ol0ATX4o`17
B`?o04U<1?l0BTd3o`1<C@Oo04e>1?l0C4d3o`1;C@?o04Q;1?l0A4X3o`0nA`Co03M30ol0;cl4o`0W
>`?o01lf1?l06343o`0C;@?o00lY1?l032H3o`0:90_o00TS4Ol02R@3o`0;9@Co00`V0ol03BL4o`0>
:0?o010Z1?l04B/3o`0C;0Co01@^0ol05Bh3o`0E;`Co01D^0ol04R`4o`0?:@?o00/U1?l01b43o`05
7P_o00@L2_l011d3o`057@Oo00DN2ol01Ql7ooooo`7o00000Oooool001gooooo00?o0000oooooooo
ool01_ooool7o`057@Oo00@M5?l011`4o`0370?o00@L1?l01Ad3o`0680Co00TS0ol032L4o`0?:P?o
014[1ol04R`3o`0A:`Co010Z0ol03bT4o`0>:0?o00`W1?l02bH7o`0:917o00TS2_l02284o`098`?o
00/U1?l03BP3o`0A:`?o01H_1?l07C@3o`0T>@Co02/m0ol0<d44o`0iA@?o03m71?l0@dT3o`16B`?o
04Q;1ol0B4`4o`18B`?o04M;1?l0AT/3o`15BPCo04=90ol0@TT7o`11B0?o04181?l0?dP:o`0oA`Oo
04181?l0@DP3o`12B@?o04=91?l0A4X3o`16BPCo04M;0ol0BD`4o`1:C@?o04a=1ol0CDh4o`1<C@?o
04]=0ol0B4/4o`14BP?o03i71?l0=d<3o`0_?`Co02Lk0ol07cH4o`0H<@?o01<]0ol03bT4o`0<9P?o
00XT2ol02B<Ao`0:90?o00/U1?l032H3o`0=9`Co00hX0ol042X4o`0A:`?o01</1?l052h3o`0E;P?o
01D_1?l05Bh3o`0B;0Co00lY0ol02bD4o`078@?o00DN2ol011`:o`047@?o00DM1ol01Ah;o`067`Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`Oo00DM1ol011dDo`0470Co00<L
0ol011`4o`057@?o00HP1?l02B<3o`0<9`Co00lZ0ol04B/7o`0B;0?o014[1?l042X3o`0?:@Co00hX
0ol032L4o`0;9POo00XT4Ol02B<:o`088PCo00TS0ol02bD4o`0=:0?o014[0ol05Rl4o`0M=0?o02@i
1?l0:cd3o`0c@@Co03U50ol0?dL4o`13B@?o04I;0ol0B4/7o`18C0Co04Q;0ol0Ad/4o`16B`?o04E:
1?l0@dT3o`12B@Oo04580ol0@4P4o`0oB0[o03m71ol0@4P4o`11B0?o04990ol0@dT4o`14BP?o04I:
1?l0Ad/3o`19C0Co04Y=0ol0C4d7o`1=CPCo04a=0ol0Bdd3o`18B`Co04A:0ol0?TL4o`0g@`?o02lo
1?l09c/3o`0O=PCo01Pa0ol04bd3o`0?:@Co00`V0ol02R@;o`098a7o00XT0ol02bD4o`0<9P?o00dW
1?l03RP3o`0@:PCo014[0ol04b`4o`0D;P?o01D^0ol05Bl4o`0E;P?o018/1?l03bT3o`0;9@Co00LQ
0ol01Ah;o`0470[o00@M0ol01Ad7o`057P_o00HO1oooool1o`00007ooooo000Mooooo`03o`000?oo
oooooooo00Kooooo0ol01Ad4o`057POo00DM1ol011dAo`0470?o00<L1?l011`3o`047@Co00HO0ol0
2B<4o`0<9P?o00lY1?l04B/6o`0B;0Co014[0ol042X4o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol0
2R@Eo`098`[o00PR1?l02B<3o`0:9@?o00dW1?l042X3o`0D;@Co01Ta0ol07cH4o`0U>P?o02`m1?l0
<T43o`0hA0?o03e61?l0@DP3o`14BPCo04I;0ol0B4/Lo`19C0?o04Q<3_l0BD`4o`1:C0?o04Y=1ol0
Bdd:o`1<C@Co04]=0ol0BT`4o`18B`?o04E:1?l0@DP3o`0lAP?o03I31?l0;cl3o`0X>`Co024g0ol0
6c<4o`0F;`?o014[1?l03RP3o`0;9@?o00XT2ol02B<Ao`0:90Co00XU0ol02bD3o`0<9PCo00dX0ol0
3bT4o`0@:P?o018/1?l04bd3o`0D;PCo01D^0ol05Bl3o`0D;PCo018[0ol03RP4o`0:90?o00LQ1?l0
1Ah:o`0470[o00@M1?l01Ad7o`057Pko00HO1oooool1o`00007ooooo000Mooooo`03o`000?oooooo
oooo00Kooooo0ol01Ad4o`057POo00DM1ol011dAo`0470?o00<L1?l011`3o`047@Co00HO0ol02B<4
o`0<9P?o00lY1?l04B/6o`0B;0Co014[0ol042X4o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@E
o`098`[o00PR1?l02B<3o`0:9@?o00dW1?l042X3o`0D;@Co01Ta0ol07cH4o`0U>P?o02`m1?l0<T43
o`0hA0?o03e61?l0@DP3o`14BPCo04I;0ol0B4/Lo`19C0?o04Q<3_l0BD`4o`1:C0?o04Y=1ol0Bdd:
o`1<C@Co04]=0ol0BT`4o`18B`?o04E:1?l0@DP3o`0lAP?o03I31?l0;cl3o`0X>`Co024g0ol06c<4
o`0F;`?o014[1?l03RP3o`0;9@?o00XT2ol02B<Ao`0:90Co00XU0ol02bD3o`0<9PCo00dX0ol03bT4
o`0@:P?o018/1?l04bd3o`0D;PCo01D^0ol05Bl3o`0D;PCo018[0ol03RP4o`0:90?o00LQ1?l01Ah:
o`0470[o00@M1?l01Ad7o`057Pko00HO1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol01Ad4o`057POo00DM1ol011dAo`0470?o00<L1?l011`3o`047@Co00HO0ol02B<4o`0<
9P?o00lY1?l04B/6o`0B;0Co014[0ol042X4o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@Eo`09
8`[o00PR1?l02B<3o`0:9@?o00dW1?l042X3o`0D;@Co01Ta0ol07cH4o`0U>P?o02`m1?l0<T43o`0h
A0?o03e61?l0@DP3o`14BPCo04I;0ol0B4/Lo`19C0?o04Q<3_l0BD`4o`1:C0?o04Y=1ol0Bdd:o`1<
C@Co04]=0ol0BT`4o`18B`?o04E:1?l0@DP3o`0lAP?o03I31?l0;cl3o`0X>`Co024g0ol06c<4o`0F
;`?o014[1?l03RP3o`0;9@?o00XT2ol02B<Ao`0:90Co00XU0ol02bD3o`0<9PCo00dX0ol03bT4o`0@
:P?o018/1?l04bd3o`0D;PCo01D^0ol05Bl3o`0D;PCo018[0ol03RP4o`0:90?o00LQ1?l01Ah:o`04
70[o00@M1?l01Ad7o`057Pko00HO1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Ko
oooo0ol01Ad4o`057POo00DM1ol011dAo`0470?o00<L1?l011`3o`047@Co00HO0ol02B<4o`0<9P?o
00lY1?l04B/6o`0B;0Co014[0ol042X4o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@Eo`098`[o
00PR1?l02B<3o`0:9@?o00dW1?l042X3o`0D;@Co01Ta0ol07cH4o`0U>P?o02`m1?l0<T43o`0hA0?o
03e61?l0@DP3o`14BPCo04I;0ol0B4/Lo`19C0?o04Q<3_l0BD`4o`1:C0?o04Y=1ol0Bdd:o`1<C@Co
04]=0ol0BT`4o`18B`?o04E:1?l0@DP3o`0lAP?o03I31?l0;cl3o`0X>`Co024g0ol06c<4o`0F;`?o
014[1?l03RP3o`0;9@?o00XT2ol02B<Ao`0:90Co00XU0ol02bD3o`0<9PCo00dX0ol03bT4o`0@:P?o
018/1?l04bd3o`0D;PCo01D^0ol05Bl3o`0D;PCo018[0ol03RP4o`0:90?o00LQ1?l01Ah:o`0470[o
00@M1?l01Ad7o`057Pko00HO1oooool1o`00007ooooo000Mooooo`?o00001_ooool3o`057@_o00DN
0ol01Ad7o`047A7o00@L1?l00a`3o`0470Co00@M0ol01Ql4o`088P?o00/U1?l03RT3o`0A:`[o018/
1?l04B/3o`0@:PCo00lY0ol03RP4o`0<9`?o00/V0ol02RD4o`0:91Go00TS2_l02283o`098`Co00XT
0ol02bH4o`0>:0?o014[1?l05Bh3o`0I<@Co01he0ol08cP3o`0Y?0Co02ho0ol0<d44o`0gA0?o03]5
1?l0?TL3o`11B0Co04=90ol0ADX4o`16B`?o04M;0ol0B4/4o`18C1Go04U<0ol0B4`3o`18B`Co04M;
0ol0ADX4o`13B@?o04581?l0?TL3o`0jA@Co03I30ol0<D04o`0[?@?o02Hj0ol083H4o`0K<`?o01H_
1?l04R`3o`0?:@Co00`V0ol02RD4o`0990[o00TS0ol02B@Bo`0:90?o00/U1?l032H3o`0=9`?o00hX
1?l03bX3o`0A:`Co018/0ol04bd4o`0E;P?o01D_1?l05Bh3o`0D;@?o014[1?l03BL3o`098`Co00LP
0ol01Ah7o`0470ko00@M0ol01Ad7o`057P_o00HO1ol01R06ooooo`;o00000Oooool001gooooo00?o
0000ooooooooool01_ooool3o`057@_o00DN0ol01Ad7o`047A7o00@L1?l00a`3o`0470Co00@M0ol0
1Ql4o`088P?o00/U1?l03RT3o`0A:`[o018/1?l04B/3o`0@:PCo00lY0ol03RP4o`0<9`?o00/V0ol0
2RD4o`0:91Go00TS2_l02283o`098`Co00XT0ol02bH4o`0>:0?o014[1?l05Bh3o`0I<@Co01he0ol0
8cP3o`0Y?0Co02ho0ol0<d44o`0gA0?o03]51?l0?TL3o`11B0Co04=90ol0ADX4o`16B`?o04M;0ol0
B4/4o`18C1Go04U<0ol0B4`3o`18B`Co04M;0ol0ADX4o`13B@?o04581?l0?TL3o`0jA@Co03I30ol0
<D04o`0[?@?o02Hj0ol083H4o`0K<`?o01H_1?l04R`3o`0?:@Co00`V0ol02RD4o`0990[o00TS0ol0
2B@Bo`0:90?o00/U1?l032H3o`0=9`?o00hX1?l03bX3o`0A:`Co018/0ol04bd4o`0E;P?o01D_1?l0
5Bh3o`0D;@?o014[1?l03BL3o`098`Co00LP0ol01Ah7o`0470ko00@M0ol01Ad7o`057P_o00HO1ol0
1R07ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`057@_o00DN0ol01Ad7
o`047A7o00@L1?l00a`3o`0470Co00@M0ol01Ql4o`088P?o00/U1?l03RT3o`0A:`[o018/1?l04B/3
o`0@:PCo00lY0ol03RP4o`0<9`?o00/V0ol02RD4o`0:91Go00TS2_l02283o`098`Co00XT0ol02bH4
o`0>:0?o014[1?l05Bh3o`0I<@Co01he0ol08cP3o`0Y?0Co02ho0ol0<d44o`0gA0?o03]51?l0?TL3
o`11B0Co04=90ol0ADX4o`16B`?o04M;0ol0B4/4o`18C1Go04U<0ol0B4`3o`18B`Co04M;0ol0ADX4
o`13B@?o04581?l0?TL3o`0jA@Co03I30ol0<D04o`0[?@?o02Hj0ol083H4o`0K<`?o01H_1?l04R`3
o`0?:@Co00`V0ol02RD4o`0990[o00TS0ol02B@Bo`0:90?o00/U1?l032H3o`0=9`?o00hX1?l03bX3
o`0A:`Co018/0ol04bd4o`0E;P?o01D_1?l05Bh3o`0D;@?o014[1?l03BL3o`098`Co00LP0ol01Ah7
o`0470ko00@M0ol01Ad7o`057P_o00HO1ol01R07ooooo`7o00000Oooool001gooooo00?o0000oooo
ooooool01_ooool3o`057A;o00DN1ol011dAo`0470?o00<L1?l011`3o`047@Co00DN0ol02244o`0:
9@?o00dX0ol042X;o`0B;0?o014[1?l042X3o`0?:@Co00hX0ol03BL3o`0<9PCo00/U1ol02R@Eo`09
8`?o00TR1ol02283o`098PCo00TS0ol02R@4o`0<9P?o00dX1?l042X3o`0C;@?o01H_1?l06S83o`0N
=@Co028h0ol09SX4o`0Z?0?o02dn1?l0<403o`0c@@Co03E20ol0=d<3o`0hA0Oo03Y52ol0>dD3o`0j
A@Co03U50ol0>4@3o`0f@`Co03A20ol0<T44o`0_?`?o02/m1?l0:3/3o`0T>@Co020f0ol073<4o`0H
<0?o01@^0ol04B/4o`0>:@?o00`V1?l02bD3o`0:917o00TS4_l02R@7o`0;9@?o00`W1?l03BP3o`0?
:@?o010Z1?l04B/3o`0C;0Co01@]2_l05Bh4o`0C;0?o010Z0ol032H4o`098`?o00HO1?l01Ad7o`04
70ko00@M0ol01Ad7o`057POo00HO2_l01R04o`067`Oooooo0Ol00001ooooo`007Oooool00ol0003o
ooooooooo`06ooooo`?o00DM4_l01Ah7o`047A7o00@L0ol00a`4o`0470?o00@M1?l01Ah3o`088@Co
00XU0ol03BP3o`0@:P_o018/0ol04B/4o`0@:P?o00lY1?l03RP3o`0=9`?o00`V1?l02bD7o`0:91Go
00TS0ol02B87o`088P?o00TR1?l02B<3o`0:90Co00`V0ol03BP4o`0@:P?o01<]0ol05Rl4o`0J<P?o
01he1?l08SP3o`0V>PCo02Xl0ol0;Ch4o`0`@0?o03=11?l0=D83o`0g@`?o03Q41ol0>TD;o`0kA@?o
03Y51?l0>DD3o`0hA0?o03I31?l0=483o`0b@@Co02lo0ol0:cd4o`0X>`?o02@i1?l083H3o`0L<`Co
01P`0ol052h3o`0A:`Co00hY0ol032H4o`0;9@?o00XT4Ol02B<Bo`0:90Oo00/U0ol032L4o`0=:0?o
00lY0ol042X4o`0A:`?o01</1?l052d:o`0E;PCo01</0ol042X3o`0<9PCo00TS0ol01Ql4o`057@Oo
00@L3_l011d3o`057@Oo00DN1ol01Ql:o`0680Co00HO1oooool1o`00007ooooo000Mooooo`03o`00
0?oooooooooo00Kooooo0ol01AdBo`057POo00@M4Ol011`3o`0370Co00@L0ol011d4o`057P?o00PQ
1?l02RD3o`0=:0?o010Z2ol04R`3o`0A:`Co010Z0ol03bT4o`0>:0?o00dW0ol032H4o`0;9@Oo00XT
5Ol02B<3o`098POo00PR0ol02B84o`098`?o00XT1?l032H3o`0=:0Co010Z0ol04bd3o`0F;`Co01Xb
0ol07SD4o`0R>0?o02Hj1?l0:S`3o`0]?PCo03100ol0<d44o`0e@P?o03M30ol0>4@7o`0jA@_o03]5
0ol0>TD4o`0iA@?o03Q40ol0=T<4o`0d@P?o03911?l0;cl3o`0[?@Co02Pk0ol093T4o`0P=P?o01`c
1?l06303o`0D;P?o014[1?l03RT3o`0<9PCo00/U0ol02R@Ao`098a;o00XT1ol02bD3o`0<9`Co00dX
0ol03bT3o`0@:PCo014[0ol04b`4o`0D;@[o01D^1?l04b`3o`0@:P?o00`V1?l02B<3o`067`Co00DM
1ol011`>o`047@?o00DM1ol01Ah7o`067`[o00HP1?l01Ql7ooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool3o`057A;o00DN1ol011dAo`0470?o00<L1?l011`3o`047@Co00DN0ol0
2244o`0:9@?o00dX0ol042X;o`0B;0?o014[1?l042X3o`0?:@Co00hX0ol03BL3o`0<9PCo00/U1ol0
2R@Eo`098`?o00TR1ol02283o`098PCo00TS0ol02R@4o`0<9P?o00dX1?l042X3o`0C;@?o01H_1?l0
6S83o`0N=@Co028h0ol09SX4o`0Z?0?o02dn1?l0<403o`0c@@Co03E20ol0=d<3o`0hA0Oo03Y52ol0
>dD3o`0jA@Co03U50ol0>4@3o`0f@`Co03A20ol0<T44o`0_?`?o02/m1?l0:3/3o`0T>@Co020f0ol0
73<4o`0H<0?o01@^0ol04B/4o`0>:@?o00`V1?l02bD3o`0:917o00TS4_l02R@7o`0;9@?o00`W1?l0
3BP3o`0?:@?o010Z1?l04B/3o`0C;0Co01@]2_l05Bh4o`0C;0?o010Z0ol032H4o`098`?o00HO1?l0
1Ad7o`0470ko00@M0ol01Ad7o`057POo00HO2_l01R04o`067`Oooooo0Ol00001ooooo`007Oooool0
0ol0003oooooooooo`06ooooo`?o00@M5Ol01Ah7o`047AGo00@L0ol00a`4o`0470?o00DN1?l01b03
o`098`?o00`W1?l03bT3o`0A:`Oo018/1?l04R/3o`0A:`Co010Z0ol03bT3o`0>:0Co00dW0ol032H4
o`0;9@?o00XT1?l02B@Do`098`Co00TR3_l02283o`098`Co00XT0ol02bD3o`0<9PCo00hX0ol042X4
o`0B;0?o01@^1?l05c03o`0I<@Co01/c0ol07SD4o`0O=P?o024g0ol08cP7o`0T>@_o02Di0ol093T4
o`0S>0?o028g0ol083H4o`0N=@?o01`d1?l06S83o`0H<0Co01D^0ol04b`4o`0A:`?o00hY1?l03BL3
o`0;9P?o00XT6Ol02B<Ao`0:90?o00XU1?l02bD3o`0<9PCo00dW0ol03RP4o`0?:P?o014[0ol04R`4
o`0C;@?o01@^1ol05Bh4o`0D;@?o014[1?l03RP3o`0;9@?o00PQ1?l01Ql3o`047@Oo00@L3_l011d4
o`057@Ko00DN1ol01Ql>o`0680Co00HO1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol011dEo`057POo00@M5Ol011`3o`0370Co00@L0ol01Ah4o`0780?o00TS0ol032L4o`0?
:@?o014[1ol04R`4o`0B:`?o014[1?l042X3o`0?:@?o00hX1?l03BL3o`0<9PCo00/U0ol02R@4o`09
91Co00TS1?l02B8>o`088P?o00TS1?l02R@3o`0;9@?o00`V1?l03RP3o`0@:PCo018/0ol052h4o`0G
<0?o01Ta1?l06c<3o`0N=@Co01lf0ol08CL3o`0S>0Oo02@i2ol09CT3o`0T>@Co02<h0ol08SL3o`0P
=PCo01he0ol073@4o`0J<P?o01P`1?l05Bh3o`0C;0Co014[0ol03RT4o`0=9`?o00/V0ol02R@Io`09
8a7o00XT0ol02RD4o`0;9@?o00`V1?l03BL3o`0>:0Co00lZ0ol04B/3o`0B;0Co01<]0ol052h7o`0E
;PCo01@]0ol04B/4o`0>:0?o00/U0ol02244o`067`?o00@M1ol011`>o`047@Co00DM1_l01Ah7o`06
7`ko00HP1?l01Ql7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`047AGo
00DN1ol011dEo`0470?o00<L1?l011`3o`057PCo00LP0ol02B<3o`0<9`Co00lY0ol04B/7o`0B;0Co
018[0ol04B/4o`0@:P?o00lY0ol03RP4o`0=9`?o00`V1?l02bD3o`0:90Co00TT5?l02B<4o`098Pko
00PR0ol02B<4o`0:90?o00/U0ol032H4o`0>:0?o010Z1?l04R`3o`0D;PCo01L`0ol06C44o`0K<`?o
01he1?l07cH3o`0Q=`?o02<h1ol093T;o`0U>@?o02@i1?l08cP3o`0R=`?o020f1?l07SD3o`0L=0Co
01Xb0ol06304o`0E;P?o01</1?l04B/3o`0>:@Co00dW0ol02bH3o`0:91Wo00TS4Ol02R@3o`0:9@Co
00/U0ol032H4o`0=9`?o00hX1?l03bX3o`0A:`?o018/1?l04bd3o`0D;POo01D^1?l052d3o`0A:`Co
00hX0ol02bD3o`088@Co00HO0ol011d7o`0470ko00@M1?l01Ad6o`057POo00HO3_l01R04o`067`Oo
oooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00@L1?l01AdEo`057P?o00DM
0ol011dEo`0470Co00<K0ol011`4o`047@?o00HO0ol02284o`0;9@?o00hX1?l042X3o`0A:`Oo018/
1?l04B/3o`0@:P?o00lY1?l03RT3o`0=:0Co00`W0ol02bH4o`0;9@?o00XT7?l02B<Do`088PCo00TS
0ol02B@4o`0:90?o00/U1?l032H3o`0=9`Co00hX0ol03bT4o`0@:P?o014[0ol04R`4o`0C;0ko01<]
0ol04b`4o`0B;0Ko014[1?l042X3o`0?:@Co00dX0ol032L4o`0;9P?o00/U1?l02R@:o`098`?o00TR
5Ol02B<7o`0990[o00XT1?l02bD3o`0<9PCo00dW0ol03RP4o`0?:@?o010Z1?l04B/3o`0B;0?o01<]
1?l052h3o`0E;PCo01@^0ol04b`4o`0@:P?o00dW1?l02B@3o`0780?o00DN2ol011`Ao`047@Oo00DN
1ol01Ql>o`0680?o00HO1?l01Ah7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_oo
ool3o`0470Co00DM5Ol01Ah3o`057@?o00@M5Ol011`4o`036`?o00@L1?l011d3o`067`?o00PR1?l0
2bD3o`0>:0Co010Z0ol04B/7o`0B;0Co014[0ol042X3o`0?:@Co00hY0ol03BP4o`0<9`?o00/V1?l0
2bD3o`0:91co00TS5?l02284o`098`?o00TT1?l02R@3o`0;9@Co00`V0ol03BL4o`0>:0?o00lY1?l0
42X3o`0A:`?o018/1?l04b`>o`0C;@?o01</1?l04R`6o`0A:`Co010Z0ol03bT4o`0=:0?o00`W1?l0
2bH3o`0;9@Co00XT2_l02B<3o`098QGo00TS1ol02B@:o`0:90Co00/U0ol032H4o`0=9`?o00hX1?l0
3bT3o`0@:PCo014[0ol04R`3o`0C;@Co01@^0ol05Bh4o`0D;P?o01</1?l042X3o`0=9`Co00TT0ol0
1b03o`057P_o00@L4Ol011d7o`057POo00HO3_l01R03o`067`Co00DN1oooool1o`00007ooooo000M
ooooo`?o00001_ooool3o`0470Co00DM5Ol01Ah3o`057@?o00@M5Ol011`4o`036`?o00@L1?l011d3
o`067`?o00PR1?l02bD3o`0>:0Co010Z0ol04B/7o`0B;0Co014[0ol042X3o`0?:@Co00hY0ol03BP4
o`0<9`?o00/V1?l02bD3o`0:91co00TS5?l02284o`098`?o00TT1?l02R@3o`0;9@Co00`V0ol03BL4
o`0>:0?o00lY1?l042X3o`0A:`?o018/1?l04b`>o`0C;@?o01</1?l04R`6o`0A:`Co010Z0ol03bT4
o`0=:0?o00`W1?l02bH3o`0;9@Co00XT2_l02B<3o`098QGo00TS1ol02B@:o`0:90Co00/U0ol032H4
o`0=9`?o00hX1?l03bT3o`0@:PCo014[0ol04R`3o`0C;@Co01@^0ol05Bh4o`0D;P?o01</1?l042X3
o`0=9`Co00TT0ol01b03o`057P_o00@L4Ol011d7o`057POo00HO3_l01R03o`067`Co00DN1_ooool2
o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol011`4o`057AGo00DN0ol01Ad3o`04
7AGo00@L1?l00a/3o`0470Co00@M0ol01Ql3o`088PCo00/U0ol03RP4o`0@:P?o014[1ol04R`4o`0A
:`?o010Z0ol03bT4o`0>:@?o00dX1?l032L3o`0;9PCo00/U0ol02R@Lo`098aCo00PR1?l02B<3o`09
90Co00XT0ol02bD4o`0<9P?o00dW1?l03RP3o`0?:@Co010Z0ol04B/3o`0B;0Co01</3_l04bd3o`0C
;0Co018/1_l04B/4o`0@:P?o00lY1?l03BP3o`0<9`Co00/V0ol02bD4o`0:90[o00TS0ol02B8Eo`09
8`Oo00TT2_l02R@4o`0;9@?o00`V1?l03BL3o`0>:0Co00lY0ol042X4o`0A:`?o018/0ol04bd4o`0D
;P?o01D^1?l052h3o`0C;0Co010Z0ol03BL4o`0990?o00LP0ol01Ah;o`04717o00@M1ol01Ah7o`06
7`ko00HP0ol01Ql4o`057POooooo0Ol00001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o
00<K1?l011dHo`057P?o00DM1?l011dEo`0470?o00<K1?l00a`3o`047@?o00DN1?l01b43o`0:90Co
00`W0ol03bT7o`0A:`Co018[0ol04B/7o`0@:P?o00lY1?l03RP3o`0=9`Co00`V0ol02bH4o`0;9@?o
00XT6?l02B<4o`098Qoo00PR0ol02B8;o`098`[o00XT3_l02RD=o`0:90_o00TS0ol02B8Bo`088Qoo
00TS1_l02R@4o`0;9@?o00/V1?l032L3o`0=:0Co00hY0ol042X4o`0A:`?o018[1?l04b`3o`0C;@?o
01@^1?l052d3o`0C;@Co014[0ol03RP4o`0;9@?o00PR1?l01Ql3o`047@[o00@L4_l011d3o`057@Co
00DN2_l01Ql:o`0680Co00HO0ol01Ah4o`047@Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`?o00<K1?l011dHo`057P?o00DM1?l011dEo`0470?o00<K1?l00a`3o`047@?o00DN
1?l01b43o`0:90Co00`W0ol03bT7o`0A:`Co018[0ol04B/7o`0@:P?o00lY1?l03RP3o`0=9`Co00`V
0ol02bH4o`0;9@?o00XT6?l02B<4o`098Qoo00PR0ol02B8;o`098`[o00XT3_l02RD=o`0:90_o00TS
0ol02B8Bo`088Qoo00TS1_l02R@4o`0;9@?o00/V1?l032L3o`0=:0Co00hY0ol042X4o`0A:`?o018[
1?l04b`3o`0C;@?o01@^1?l052d3o`0C;@Co014[0ol03RP4o`0;9@?o00PR1?l01Ql3o`047@[o00@L
4_l011d3o`057@Co00DN2_l01Ql:o`0680Co00HO0ol01Ah4o`047@Oooooo0Ol00001ooooo`007Ooo
ool00ol0003oooooooooo`06ooooo`?o00<K1?l011dHo`057P?o00DM1?l011dEo`0470?o00<K1?l0
0a`3o`047@?o00DN1?l01b43o`0:90Co00`W0ol03bT7o`0A:`Co018[0ol04B/7o`0@:P?o00lY1?l0
3RP3o`0=9`Co00`V0ol02bH4o`0;9@?o00XT6?l02B<4o`098Qoo00PR0ol02B8;o`098`[o00XT3_l0
2RD=o`0:90_o00TS0ol02B8Bo`088Qoo00TS1_l02R@4o`0;9@?o00/V1?l032L3o`0=:0Co00hY0ol0
42X4o`0A:`?o018[1?l04b`3o`0C;@?o01@^1?l052d3o`0C;@Co014[0ol03RP4o`0;9@?o00PR1?l0
1Ql3o`047@[o00@L4_l011d3o`057@Co00DN2_l01Ql:o`0680Co00HO0ol01Ah4o`047@Oooooo0Ol0
0001ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o00<J1?l00a/3o`047ASo00DN1ol011dE
o`0470Oo00<K0ol011`4o`057@?o00HO1?l02283o`0;9@Co00dW0ol03bT>o`0A:`?o010Z1?l03bT3
o`0>:@Co00hX0ol03BL4o`0<9P?o00/U1?l02RD3o`0:90[o00TS1?l02B9bo`088Qoo00TS1ol02R@3
o`0;9@?o00/V1?l032H3o`0=9`Co00hX0ol03bT4o`0@:P?o014[1?l04R`3o`0C;0Oo01<]0ol04b`4
o`0A:`?o00lY1?l032H3o`098`Co00LP0ol01AhAo`0470ko00@M1?l01Ad3o`057PCo00DO1_l01Ql;
o`0680?o00HO1?l01Ah3o`047@Co00<K1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo
00Kooooo0ol00aX4o`036`?o00@M6?l01Ah7o`047AGo00@L1ol00a/3o`0470Co00DM0ol01Ql4o`08
8P?o00/U1?l03BL3o`0?:@ko014[0ol042X4o`0?:@?o00hY1?l03RP3o`0=9`Co00`V0ol02bD4o`0:
9@?o00XT2_l02B<4o`098W;o00PR7ol02B<7o`0:90?o00/U0ol02bH4o`0<9P?o00dW1?l03RP3o`0?
:@Co010Z0ol04B/4o`0B;0?o01</1ol04bd3o`0C;0Co014[0ol03bT4o`0<9P?o00TS1?l01b03o`05
7Q7o00@L3_l011d4o`057@?o00DN1?l01Al6o`067`_o00HP0ol01Ql4o`057P?o00@M1?l00a/7oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`036PCo00<K0ol011dHo`057POo
00@M5Ol011`7o`036`?o00@L1?l01Ad3o`067`Co00PR0ol02bD4o`0=9`?o00lY3_l04B/3o`0@:PCo
00lY0ol03RT4o`0>:0?o00dW1?l032H3o`0;9@Co00XU0ol02R@:o`098`Co00TRL_l0228Oo`098`Oo
00XT0ol02bD3o`0;9PCo00`V0ol03BL4o`0>:0?o00lY1?l042X3o`0A:`Co018/0ol04b`7o`0C;@?o
01</1?l04B/3o`0?:@Co00`V0ol02B<4o`0780?o00DN4Ol011`>o`047@Co00DM0ol01Ah4o`057`Ko
00HO2ol01R03o`067`Co00DN0ol011d4o`036`Oooooo0Ol00001ooooo`007Oooool00ol0003ooooo
ooooo`06ooooo`?o008I1?l00aX3o`0370Co00@M6?l01Ah7o`047AGo00@L2_l00a/3o`0470Co00DN
0ol01b04o`098`?o00/U1?l03BP3o`0?:@?o010Z1?l04B/7o`0@:POo00lY0ol03RP4o`0=:0?o00dW
1?l032H3o`0;9@?o00XU1?l02R@:o`098gKo00PR0ol02B8>o`098`Oo00XT1ol02bD3o`0<9P?o00dW
1?l03RP7o`0?:@?o010Z1?l04B/7o`0B;0?o01</1?l04R`3o`0A:`?o00lY1?l03BL3o`0:90Co00LQ
0ol01Ql4o`047@?o00@L1?l00a`:o`0470ko00@M0ol01Ad7o`057P[o00HO1?l01R07o`067`?o00DN
1?l011d3o`036`Co00<J1oooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo0ol0
0QT4o`036P?o00<L1?l011dHo`057POo00@M5Ol011`:o`036`?o00@L1?l01Ah3o`0780Co00TS0ol0
2bD4o`0=:0?o00lY0ol042X4o`0A:`Oo010Z1ol03bT3o`0>:0Co00dX0ol03BL4o`0<9P?o00/U0ol0
2RD4o`0:90[o00TSM_l02283o`098Pko00TS1ol02R@7o`0;9@?o00`V0ol03BL4o`0>:0Oo00lY0ol0
42X4o`0A:`Oo018/0ol04b`4o`0B;0?o014[0ol03bT4o`0=9`?o00XT1?l01b43o`067`Co00@M0ol0
11`4o`0370[o00@L3_l011d3o`057@Oo00DN2_l01Ql4o`0680Oo00HO0ol01Ah4o`047@?o00<K1?l0
0aX7ooooo`7o00000Oooool001gooooo00?o0000ooooooooool01_ooool3o`026@Co00<J0ol00a`4
o`047ASo00DN1ol011dEo`0470[o00<K0ol011`4o`057P?o00LP1?l02B<3o`0;9@Co00dX0ol03bT3
o`0@:PCo014[1ol042X7o`0?:@?o00hX1?l03BP3o`0=9`Co00`V0ol02bD3o`0:9@Co00XT2_l02B=f
o`088P?o00TR3_l02B<7o`0:90Oo00/U0ol032H3o`0=9`Co00hX1ol03bT3o`0@:PCo014[1ol04R`3
o`0C;0Co018/0ol04B/3o`0?:@Co00dW0ol02R@4o`078@?o00HO1?l011d3o`0470Co00<L2_l011`>
o`047@?o00DM1ol01Ah:o`067`Co00HP1ol01Ql3o`057PCo00@M0ol00a/4o`036POooooo0Ol00001
ooooo`007Oooool00ol0003oooooooooo`06ooooo`?o008I1?l00aX3o`0370Co00@M6?l01Ah7o`04
7AGo00@L2_l00a/3o`0470Co00DN0ol01b04o`098`?o00/U1?l03BP3o`0?:@?o010Z1?l04B/7o`0@
:POo00lY0ol03RP4o`0=:0?o00dW1?l032H3o`0;9@?o00XU1?l02R@:o`098gKo00PR0ol02B8>o`09
8`Oo00XT1ol02bD3o`0<9P?o00dW1?l03RP7o`0?:@?o010Z1?l04B/7o`0B;0?o01</1?l04R`3o`0A
:`?o00lY1?l03BL3o`0:90Co00LQ0ol01Ql4o`047@?o00@L1?l00a`:o`0470ko00@M0ol01Ad7o`05
7P[o00HO1?l01R07o`067`?o00DN1?l011d3o`036`Co00<J1oooool1o`00007ooooo000Mooooo`?o
0000ooooooo7ooooo`;o00000Oooool001gooooo00?o0000ooooooooool0ooooooo8ooooo`7o0000
0Oooool001gooooo00?o0000ooooooooool0ooooooo8ooooo`7o00000Oooool001gooooo00?o0000
ooooooooool0ooooooo8ooooo`7o00000Oooool001gooooo00?o0000ooooooooool0ooooooo8oooo
o`7o00000Oooool001gooooo00?o0000ooooooooool0ooooooo8ooooo`7o00000Oooool001gooooo
00?o0000ooooooooool0=Oooool00ol0003oooooooooo`0fooooo`03o`000?oooooooooo03Oooooo
00?o0000ooooooooool0=oooool00ol0003oooooooooo`0gooooo`03o`000?oooooooooo03Oooooo
00?o0000ooooooooool0=oooool00ol0003oooooooooo`0dooooo`7o00000Oooool001gooooo00?o
0000ooooooooool01_ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Wooooo00?o
0000ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o
0000ooooooooool01_ooool1o`00007ooooo000Mooooo`03o`000?oooooooooo00Kooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Wooooo00?o0000
ooooooooool02?ooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`09ooooo`03o`000?oooooooooo00Sooooo00?o0000
ooooooooool02Oooool00ol0003oooooooooo`08ooooo`03o`000?oooooooooo00Kooooo0Ol00001
ooooo`007Oooooooo`000<co00000Oooool00?ooooooj_ooool00?ooooooj_ooool00?ooooooj_oo
ool00?ooooooj_ooool00?ooooooj_ooool00?oooooo?oooool3o`000:Sooooo003ooooood3ooooo
00?o0000ooooooooool0Yoooool00<3ooooo1Ol000001Ooooooo0000o`000?l0003ooooo00;o0000
0_ooool2o`0000?ooooo0ol00002ooooo`?o00000oooool5o`0000;ooooo0ol00002ooooo`?o0000
1?ooool3o`0000;ooooo0ol000001?oooooo0000o`000?ooool3o`0000?ooooo0ol00008ooooo`Go
000000Goooooo`000?l0003o0000ooooo`02o`0000;ooooo0_l00003ooooo`?o00000_ooool3o`00
0003ooooool0003o000000Co00000_ooool5o`0000?ooooo0_l00004ooooo`03o`000?oooooooooo
0:Kooooo0032ooooo`03o`000?oooooooooo00;ooooo00Co0000oooooooooooo00000_ooool01_l0
003oooooooooool0003oooooo`0000Kooooo00?o0000ooooooooool01?ooool01Ol0003ooooooooo
oooooooo000000Kooooo00?o0000ooooooooool00_ooool00ol0003oooooooooo`04ooooo`06o`00
0?ooooooooooo`000?oooooo00000oooool00ol0003oooooo`00000=ooooo`03o`000?oooooooooo
00;ooooo00Co0000oooooooooooo00000_ooool01_l0003oooooooooool0003oooooo`0000Kooooo
00Co0000oooooooooooo00001Oooool01Ol0003ooooooooooooooooo000000Cooooo00Co0000oooo
oooooooo00000oooool00ol0003oooooooooo`2Vooooo`00`_ooool00ol0003oooooooooo`02oooo
o`04o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool00_ooool5o`0000;ooooo00?o0000
ooooooooool01?ooool01?l0003oooooooooooooool5o`0000;ooooo00?o0000ooooooooool00_oo
ool5o`0000;ooooo00Ko0000oooooooooooo0000ooooool00005ooooo`Go00002Oooool00ol0003o
ooooooooo`02ooooo`04o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool00_ooool5o`00
00;ooooo00Co0000oooooooooooo00000_ooool3o`0000Cooooo00?o0000ooooooooool00_ooool0
0ol0003oooooooooo`03ooooo`03o`000?oooooo00000:Oooooo0032ooooo`03o`000?oooooooooo
00;ooooo00Co0000oooooooooooo00000_ooool00ol0003oooooooooo`02ooooo`05o`000?oooooo
ooooooooool000000_ooool2o`0000Gooooo00Go0000ooooooooooooooooo`000003ooooo`03o`00
0?oooooooooo00;o00000oooool01Ol0003ooooooooooooooooo000000;ooooo00Ko0000oooooooo
oooo0000ooooool00003ooooo`03o`000?oooooo000000?ooooo00?o0000ooooooooool01oooool0
0ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000;ooooo00?o0000ooooooooool00_oo
ool01Ol0003ooooooooooooooooo000000;ooooo00Ko0000oooooooooooo0000ooooool00007oooo
o`03o`000?oooooooooo00;ooooo00?o0000ooooooooool00oooool00ol0003oooooo`00002Woooo
o`00`_ooool01?l0003oooooooooooooool4o`0000;ooooo1?l00003ooooo`?o00000_ooool2o`00
0003ooooool0003o000000;ooooo1?l00002ooooo`?o00000_ooool2o`000003ooooool0003o0000
00;ooooo0ol00002ooooo`Co00000oooool3o`0000?ooooo0ol0000:ooooo`04o`000?oooooooooo
ooooo`Co00000_ooool4o`0000?ooooo0ol00002ooooo`Co00000oooool4o`000004ooooool0003o
0000o`0000?ooooo1?l00002ooooo`;o000000?oooooo`000?l00000Y_ooool00<;ooooo00?o0000
ooooooooool02?ooool00ol0003oooooooooo`0@ooooo`03o`000?oooooooooo02gooooo00?o0000
ooooooooool02?ooool00ol0003oooooooooo`0Kooooo`03o`000?oooooooooo0:gooooo0030oooo
o`Go00002?ooool00ol0003oooooooooo`0Aooooo`;o0000:oooool5o`0000Sooooo00?o0000oooo
ooooool05_ooool00ol0003oooooooooo`02ooooo`03o`000?oooooooooo0:gooooo0000\
\>"],
  ImageRangeCache->{{{0, 488}, {488, 0}} -> {-11.1696, -10.5308, 0.0431591, \
0.0431591}},
  CellTags->"Fabry Perot Interferometer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Michelson Interferometer", "Section",
  CellTags->"Michelson Interferometer"],

Cell[CellGroupData[{

Cell["\<\
system = 
\t{
\t\tMove[GaussianBeam[1.5,.01,FullForm->True],-50],
\t\tPlanoConcaveLens[-30,20,2,\"L1\",CurvatureDirection->Back],
\t\tMove[PlanoConvexLens[160,30,6.5,\"L2\"],130],
\t\tMove[BeamSplitter[{70,30},50,10],175,-45],
\t\tMove[Mirror[50,10],250],
\t\tMove[Mirror[50,10],{175,50},90.01],
\t\tMove[BeamSplitter[{70,30},50,10,\"\"],175,-45,GraphicDesign->Off],
\t\tMove[Screen[50],{175,-50},90]
\t};
AnalyzeSystem[system];\
\>", "Input",
  CellLabel->"In[148]:=",
  CellTags->"Michelson Interferometer"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .56393 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
-0.0198594 1.01986 -0.205443 1.01986 [
[ 0 0 0 0 ]
[ 1 .56393 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .56393 L
0 .56393 L
closepath
clip
newpath
.039 .916 .04 r
.5 Mabswid
[ ] 0 setdash
.11095 .42272 m
.22777 .3863 L
s
.10632 .41864 m
.22252 .38138 L
s
0 g
.23892 .38053 m
.23685 .3736 L
s
.23685 .3736 m
.25014 .36932 L
s
.23685 .3736 m
.23399 .36709 L
s
.24009 .38741 m
.23892 .38053 L
s
.23892 .38053 m
.25222 .37626 L
s
.23399 .36709 m
.24729 .3628 L
s
.23399 .36709 m
.23055 .36143 L
s
.24009 .38741 m
.25339 .38316 L
s
.23532 .38916 m .25358 .38955 L .24026 .3938 L .656 .751 .92 r
F
0 g
.23942 .39925 m
.24026 .3938 L
s
.24009 .38741 m
.24014 .38926 L
s
.25014 .36932 m
.25222 .37626 L
s
.24729 .3628 m
.25014 .36932 L
s
.25222 .37626 m
.25339 .38316 L
s
.24385 .35713 m
.24729 .3628 L
s
.22676 .35701 m .23457 .36191 L .2263 .36459 L .543 .322 .53 r
F
.22676 .35701 m .24007 .35269 L .23457 .36191 L F
0 g
.23589 .35971 m
.24385 .35713 L
s
.22676 .35701 m
.24007 .35269 L
s
.22285 .35412 m
.22676 .35701 L
s
.24007 .35269 m
.24385 .35713 L
s
.23762 .4034 m
.23942 .39925 L
s
.23942 .39925 m
.25276 .39501 L
s
.23532 .38916 m .2436 .38651 L .25358 .38955 L .656 .751 .92 r
F
0 g
.25276 .39501 m
.25358 .38955 L
s
.25339 .38316 m
.25358 .38955 L
s
.24026 .3938 m
.25358 .38955 L
s
.23036 .3845 m .2436 .38651 L .23532 .38916 L .656 .751 .92 r
F
0 g
.23532 .38916 m
.24026 .3938 L
s
.2263 .36459 m .23143 .37039 L .22585 .3722 L .543 .322 .53 r
F
.2263 .36459 m .23457 .36191 L .23143 .37039 L F
0 g
.2263 .36459 m
.22676 .35701 L
s
.22285 .35412 m
.23618 .34979 L
s
.22285 .35412 m
.21911 .35298 L
s
.23457 .36191 m
.24007 .35269 L
s
.23618 .34979 m
.24007 .35269 L
s
.23036 .3845 m .23595 .38271 L .2436 .38651 L .656 .751 .92 r
F
0 g
.2436 .38651 m
.25358 .38955 L
s
.23499 .40596 m
.23762 .4034 L
s
.23762 .4034 m
.25099 .39916 L
s
.25276 .39501 m
.25099 .39916 L
s
.22539 .37983 m .23595 .38271 L .23036 .3845 L .656 .751 .92 r
F
0 g
.23036 .3845 m
.23532 .38916 L
s
.039 .916 .04 r
.11153 .4159 m
.22824 .37828 L
s
.22585 .3722 m .23013 .3783 L .22539 .37983 L .543 .322 .53 r
F
.22585 .3722 m .23143 .37039 L .23013 .3783 L F
0 g
.22585 .3722 m
.2263 .36459 L
s
.039 .916 .04 r
.23024 .37763 m
.23346 .3766 L
s
0 g
.23143 .37039 m
.23457 .36191 L
s
.23245 .34863 m
.23618 .34979 L
s
.21911 .35298 m
.23245 .34863 L
s
.21911 .35298 m
.21577 .35365 L
s
.22539 .37983 m .23013 .3783 L .23595 .38271 L .656 .751 .92 r
F
.039 .916 .04 r
.10923 .41386 m
.22563 .37582 L
s
.11125 .4193 m
.228 .38228 L
s
0 g
.23595 .38271 m
.2436 .38651 L
s
.039 .916 .04 r
.23346 .3766 m
.56388 .26719 L
s
0 0 0 r
2 Mabswid
.23346 .3766 Mdot
.039 .916 .04 r
.5 Mabswid
.228 .38228 m
.23299 .3807 L
s
.22563 .37582 m
.2306 .3742 L
s
0 g
.25099 .39916 m
.24837 .40172 L
s
.23169 .40676 m
.23499 .40596 L
s
.23499 .40596 m
.24837 .40172 L
s
0 0 0 r
2 Mabswid
.23299 .3807 Mdot
.2306 .3742 Mdot
.22539 .37983 m .23053 .38569 L .22493 .38749 L .543 .322 .53 r
F
.039 .916 .04 r
.5 Mabswid
.10865 .42068 m
.22515 .38385 L
s
.22539 .37983 m .23013 .3783 L .23053 .38569 L .543 .322 .53 r
F
.039 .916 .04 r
.23052 .38543 m
.23299 .38466 L
s
.22039 .37513 m .23013 .3783 L .22539 .37983 L .656 .751 .92 r
F
.039 .916 .04 r
.10895 .41726 m
.22539 .37983 L
s
0 g
.22557 .37682 m
.22585 .3722 L
s
.039 .916 .04 r
.10691 .41182 m
.22301 .37335 L
s
0 0 0 r
2 Mabswid
.22539 .37983 Mdot
0 g
.5 Mabswid
.22914 .3493 m
.23245 .34863 L
s
.039 .916 .04 r
.23299 .38466 m
.56469 .31467 L
s
0 0 0 r
2 Mabswid
.23299 .38466 Mdot
.22039 .37513 m .22599 .37333 L .23013 .3783 L .656 .751 .92 r
F
0 0 0 r
.23013 .3783 Mdot
.039 .916 .04 r
.5 Mabswid
.22301 .37335 m
.22821 .37165 L
s
.22539 .37983 m
.23013 .3783 L
s
.10662 .41522 m
.22277 .37737 L
s
0 g
.23013 .3783 m
.23595 .38271 L
s
.23013 .3783 m
.23143 .37039 L
s
.21577 .35365 m
.21309 .35612 L
s
.22914 .3493 m
.21577 .35365 L
s
.039 .916 .04 r
.22515 .38385 m
.23013 .38226 L
s
0 0 0 r
2 Mabswid
.22515 .38385 Mdot
.039 .916 .04 r
.5 Mabswid
.22821 .37165 m
.53652 .23578 L
s
0 0 0 r
2 Mabswid
.22821 .37165 Mdot
.039 .916 .04 r
.5 Mabswid
.22277 .37737 m
.22774 .37575 L
s
0 0 0 r
2 Mabswid
.22277 .37737 Mdot
0 g
.5 Mabswid
.24837 .40172 m
.2451 .4025 L
s
.22794 .40571 m
.23169 .40676 L
s
.23169 .40676 m
.2451 .4025 L
s
0 0 0 r
2 Mabswid
.23013 .38226 Mdot
.22493 .38749 m .2328 .39251 L .22447 .39517 L .543 .322 .53 r
F
.22493 .38749 m .23053 .38569 L .2328 .39251 L F
0 g
.5 Mabswid
.22493 .38749 m
.22539 .37983 L
s
.23013 .3783 m
.23053 .38569 L
s
0 0 0 r
2 Mabswid
.22774 .37575 Mdot
.039 .916 .04 r
.5 Mabswid
.22252 .38138 m
.22773 .37971 L
s
0 0 0 r
2 Mabswid
.22252 .38138 Mdot
.21537 .37042 m .22599 .37333 L .22039 .37513 L .656 .751 .92 r
F
0 g
.5 Mabswid
.22039 .37513 m
.22539 .37983 L
s
.22648 .35176 m
.22914 .3493 L
s
.039 .916 .04 r
.22773 .37971 m
.53704 .28354 L
s
0 0 0 r
2 Mabswid
.22773 .37971 Mdot
0 g
.5 Mabswid
.21309 .35612 m
.22648 .35176 L
s
.21309 .35612 m
.21123 .36022 L
s
.21537 .37042 m .22369 .36773 L .22599 .37333 L .656 .751 .92 r
F
0 g
.22599 .37333 m
.23013 .3783 L
s
.2451 .4025 m
.24137 .40144 L
s
.22447 .39517 m .23745 .3986 L .22401 .40288 L .543 .322 .53 r
F
0 g
.22794 .40571 m
.24137 .40144 L
s
.22401 .40288 m
.22794 .40571 L
s
.22447 .39517 m .2328 .39251 L .23745 .3986 L .543 .322 .53 r
F
0 g
.22447 .39517 m
.22493 .38749 L
s
.22401 .40288 m
.22447 .39517 L
s
.23053 .38569 m
.2328 .39251 L
s
.21033 .36568 m .22369 .36773 L .21537 .37042 L .656 .751 .92 r
F
0 g
.21537 .37042 m
.22039 .37513 L
s
.2328 .39251 m
.23745 .3986 L
s
.22464 .35587 m
.21123 .36022 L
s
.22464 .35587 m
.22648 .35176 L
s
.22015 .39847 m
.22401 .40288 L
s
.22401 .40288 m
.23745 .3986 L
s
.23745 .3986 m
.24137 .40144 L
s
.21033 .36568 m .22377 .36133 L .22369 .36773 L .656 .751 .92 r
F
0 g
.22369 .36773 m
.22377 .36133 L
s
.21033 .36568 m
.21123 .36022 L
s
.22369 .36773 m
.22599 .37333 L
s
.21033 .36568 m
.21537 .37042 L
s
.70593 .29023 m
.69319 .30334 L
s
.72101 .27977 m
.70593 .29023 L
s
.21033 .36568 m
.22377 .36133 L
s
.21033 .36568 m
.21047 .37213 L
s
.69319 .30334 m
.68362 .31825 L
s
.22377 .36133 m
.22464 .35587 L
s
.21665 .39276 m
.22015 .39847 L
s
.22015 .39847 m
.23361 .39417 L
s
.23361 .39417 m
.23745 .3986 L
s
.21047 .37213 m
.22392 .36778 L
s
.21047 .37213 m
.21164 .37912 L
s
.21374 .38616 m
.21665 .39276 L
s
.21665 .39276 m
.23012 .38845 L
s
.68362 .31825 m
.67787 .334 L
s
.21164 .37912 m
.22509 .37478 L
s
.21164 .37912 m
.21374 .38616 L
s
.21374 .38616 m
.22721 .38183 L
s
.22377 .36133 m
.22392 .36778 L
s
.23361 .39417 m
.23012 .38845 L
s
.72551 .25771 m .73746 .27266 L .73854 .29155 L .975 .682 .399 r
F
0 g
.73746 .27266 m
.7542 .26937 L
s
.72101 .27977 m
.73215 .27495 L
s
.22509 .37478 m
.22392 .36778 L
s
.23012 .38845 m
.22721 .38183 L
s
.22721 .38183 m
.22509 .37478 L
s
.77013 .27015 m
.7542 .26937 L
s
.70531 .2885 m .69381 .27543 L .68099 .28862 L .554 .338 .542 r
F
0 g
.70452 .28851 m
.70593 .29023 L
s
.71548 .28145 m .69381 .27543 L .70531 .2885 L .554 .338 .542 r
F
.71548 .28145 m .70898 .2649 L .69381 .27543 L F
.69672 .29734 m .68099 .28862 L .67135 .3036 L F
0 g
.68966 .29908 m
.69319 .30334 L
s
.70531 .2885 m .68099 .28862 L .69672 .29734 L .554 .338 .542 r
F
0 g
.68099 .28862 m
.69381 .27543 L
s
.72655 .27666 m .73854 .29155 L .73964 .31061 L .975 .682 .399 r
F
.72551 .25771 m .73854 .29155 L .72655 .27666 L F
0 g
.73746 .27266 m
.73854 .29155 L
s
.72655 .27666 m .70898 .2649 L .71548 .28145 L .554 .338 .542 r
F
0 g
.72058 .27924 m
.72101 .27977 L
s
.72655 .27666 m .72551 .25771 L .70898 .2649 L .554 .338 .542 r
F
0 g
.69381 .27543 m
.70898 .2649 L
s
.68539 .32841 m .67633 .34955 L .66394 .33503 L .656 .751 .92 r
F
.68539 .32841 m .69768 .34302 L .67633 .34955 L F
0 g
.67633 .34955 m
.67915 .36388 L
s
.69027 .30739 m .67135 .3036 L .66553 .31942 L .554 .338 .542 r
F
0 g
.67908 .31283 m
.68362 .31825 L
s
.69672 .29734 m .67135 .3036 L .69027 .30739 L .554 .338 .542 r
F
0 g
.67135 .3036 m
.68099 .28862 L
s
.78418 .27499 m
.77013 .27015 L
s
.7378 .27445 m .72551 .25771 L .72655 .27666 L .554 .338 .542 r
F
.7378 .27445 m .74233 .25436 L .72551 .25771 L F
0 g
.70898 .2649 m
.72551 .25771 L
s
.70696 .32176 m .69768 .34302 L .68539 .32841 L .656 .751 .92 r
F
.70696 .32176 m .71915 .33645 L .69768 .34302 L F
0 g
.67633 .34955 m
.69768 .34302 L
s
.68641 .31798 m .66553 .31942 L .66394 .33503 L .554 .338 .542 r
F
0 g
.67295 .32819 m
.67567 .33141 L
s
.69027 .30739 m .66553 .31942 L .68641 .31798 L .554 .338 .542 r
F
0 g
.66553 .31942 m
.67135 .3036 L
s
.67915 .36388 m
.68619 .376 L
s
.7276 .29578 m .73964 .31061 L .74074 .32984 L .975 .682 .399 r
F
.72655 .27666 m .73964 .31061 L .7276 .29578 L F
0 g
.73854 .29155 m
.73964 .31061 L
s
.74848 .27499 m .74233 .25436 L .7378 .27445 L .554 .338 .542 r
F
.74848 .27499 m .75832 .2551 L .74233 .25436 L F
0 g
.72551 .25771 m
.74233 .25436 L
s
.75239 .26708 m
.7542 .26937 L
s
.71692 .30171 m .70531 .2885 L .69672 .29734 L .554 .338 .542 r
F
.72203 .29817 m .70531 .2885 L .71692 .30171 L F
.72203 .29817 m .71548 .28145 L .70531 .2885 L F
.71692 .30171 m .69672 .29734 L .7126 .30616 L F
.7126 .30616 m .69672 .29734 L .69027 .30739 L F
.7276 .29578 m .71548 .28145 L .72203 .29817 L F
.7276 .29578 m .72655 .27666 L .71548 .28145 L F
0 g
.79538 .28362 m
.78418 .27499 L
s
.70937 .31121 m .69027 .30739 L .68641 .31798 L .554 .338 .542 r
F
.7126 .30616 m .69027 .30739 L .70937 .31121 L F
.72866 .31506 m .71915 .33645 L .70696 .32176 L .656 .751 .92 r
F
.72866 .31506 m .74074 .32984 L .71915 .33645 L F
0 g
.69768 .34302 m
.71915 .33645 L
s
0 0 0 r
2 Mabswid
.70113 .29979 Mdot
.73325 .29469 m .72655 .27666 L .7276 .29578 L .554 .338 .542 r
F
.73325 .29469 m .7378 .27445 L .72655 .27666 L F
0 g
.5 Mabswid
.72551 .25771 m
.72655 .27666 L
s
.68641 .31798 m .66394 .33503 L .68539 .32841 L .554 .338 .542 r
F
.68539 .32841 m .66394 .33503 L .66674 .34939 L F
0 g
.67156 .34396 m
.67633 .34955 L
s
.66394 .33503 m
.66553 .31942 L
s
.70745 .31653 m .68641 .31798 L .68539 .32841 L .554 .338 .542 r
F
.70937 .31121 m .68641 .31798 L .70745 .31653 L F
0 g
.68619 .376 m
.69701 .38506 L
s
.75786 .27826 m .75832 .2551 L .74848 .27499 L .554 .338 .542 r
F
.75786 .27826 m .77242 .25991 L .75832 .2551 L F
0 g
.74233 .25436 m
.75832 .2551 L
s
.76723 .26645 m
.77013 .27015 L
s
.73859 .29498 m .7378 .27445 L .73325 .29469 L .554 .338 .542 r
F
.73859 .29498 m .74848 .27499 L .7378 .27445 L F
.7276 .29578 m .74074 .32984 L .72866 .31506 L .975 .682 .399 r
F
.72866 .31506 m .74074 .32984 L .74185 .34925 L F
0 g
.71915 .33645 m
.73504 .33159 L
s
.75048 .30833 m .74074 .32984 L .72866 .31506 L .656 .751 .92 r
F
0 g
.73964 .31061 m
.7397 .31166 L
s
.75048 .30833 m .76246 .3232 L .74074 .32984 L .656 .751 .92 r
F
.70745 .31653 m .68539 .32841 L .70696 .32176 L .554 .338 .542 r
F
.68539 .32841 m .66674 .34939 L .68731 .33798 L F
.70696 .32176 m .68539 .32841 L .68731 .33798 L F
0 g
.66394 .33503 m
.68539 .32841 L
s
.80293 .29548 m
.79538 .28362 L
s
0 0 0 r
2 Mabswid
.72738 .29171 Mdot
.72866 .31506 m .71692 .30171 L .7126 .30616 L .554 .338 .542 r
F
.72866 .31506 m .72203 .29817 L .71692 .30171 L F
.72866 .31506 m .7126 .30616 L .70937 .31121 L F
.72866 .31506 m .7276 .29578 L .72203 .29817 L F
.68731 .33798 m .66674 .34939 L .67377 .36152 L F
0 g
.5 Mabswid
.66394 .33503 m
.66674 .34939 L
s
.67512 .35917 m
.67915 .36388 L
s
.74328 .29664 m .74848 .27499 L .73859 .29498 L .554 .338 .542 r
F
.74328 .29664 m .75786 .27826 L .74848 .27499 L F
.72866 .31506 m .70937 .31121 L .70745 .31653 L F
.72866 .31506 m .73325 .29469 L .7276 .29578 L F
0 g
.72655 .27666 m
.7276 .29578 L
s
.72866 .31506 m .70745 .31653 L .70696 .32176 L .554 .338 .542 r
F
.72866 .31506 m .73859 .29498 L .73325 .29469 L F
.77243 .30156 m .76246 .3232 L .75048 .30833 L .656 .751 .92 r
F
.77243 .30156 m .7843 .31651 L .76246 .3232 L F
0 g
.74074 .32984 m
.76246 .3232 L
s
0 0 0 r
2 Mabswid
.70238 .32317 Mdot
.7653 .28405 m .77242 .25991 L .75786 .27826 L .554 .338 .542 r
F
.7653 .28405 m .78364 .26853 L .77242 .25991 L F
0 g
.5 Mabswid
.75832 .2551 m
.77242 .25991 L
s
.78093 .27082 m
.78418 .27499 L
s
.68731 .33798 m .67377 .36152 L .69205 .34604 L .554 .338 .542 r
F
.70795 .32654 m .68731 .33798 L .69205 .34604 L F
.70696 .32176 m .68731 .33798 L .70795 .32654 L F
0 g
.69701 .38506 m
.71092 .3904 L
s
.72866 .31506 m .70696 .32176 L .70795 .32654 L .554 .338 .542 r
F
0 g
.68539 .32841 m
.70696 .32176 L
s
.72866 .31506 m .74328 .29664 L .73859 .29498 L .554 .338 .542 r
F
.74698 .29956 m .75786 .27826 L .74328 .29664 L F
.74698 .29956 m .7653 .28405 L .75786 .27826 L F
.72972 .33452 m .74185 .34925 L .74298 .36882 L .975 .682 .399 r
F
.72866 .31506 m .74185 .34925 L .72972 .33452 L F
0 g
.74074 .32984 m
.74185 .34925 L
s
0 0 0 r
2 Mabswid
.7538 .28337 Mdot
.70795 .32654 m .69205 .34604 L .71035 .33056 L .554 .338 .542 r
F
.72866 .31506 m .70795 .32654 L .71035 .33056 L F
.72866 .31506 m .74698 .29956 L .74328 .29664 L F
.69205 .34604 m .67377 .36152 L .68461 .37058 L F
0 g
.5 Mabswid
.66674 .34939 m
.67377 .36152 L
s
.67377 .36152 m
.68619 .376 L
s
.79451 .29475 m .7843 .31651 L .77243 .30156 L .656 .751 .92 r
F
.79451 .29475 m .80627 .30979 L .7843 .31651 L F
0 g
.76246 .3232 m
.7843 .31651 L
s
.7843 .31651 m
.80627 .30979 L
s
.80293 .29548 m
.80627 .30979 L
s
.69205 .34604 m .68461 .37058 L .69932 .35203 L .554 .338 .542 r
F
.71035 .33056 m .69205 .34604 L .69932 .35203 L F
.71035 .33056 m .69932 .35203 L .71401 .33353 L F
.72866 .31506 m .71035 .33056 L .71401 .33353 L F
.72866 .31506 m .74943 .30355 L .74698 .29956 L F
.72866 .31506 m .75048 .30833 L .74943 .30355 L F
.72866 .31506 m .75003 .31359 L .75048 .30833 L F
.72866 .31506 m .74812 .31896 L .75003 .31359 L F
.72866 .31506 m .74488 .32406 L .74812 .31896 L F
.72866 .31506 m .74052 .32856 L .74488 .32406 L F
.72866 .31506 m .73535 .33213 L .74052 .32856 L F
.72866 .31506 m .72972 .33452 L .73535 .33213 L F
.72866 .31506 m .72404 .33559 L .72972 .33452 L F
.72866 .31506 m .71867 .33525 L .72404 .33559 L F
.72866 .31506 m .71401 .33353 L .71867 .33525 L F
0 0 0 r
2 Mabswid
.72866 .31506 Mdot
0 g
.5 Mabswid
.7276 .29578 m
.72866 .31506 L
s
.70696 .32176 m
.72866 .31506 L
s
.74943 .30355 m .7653 .28405 L .74698 .29956 L .554 .338 .542 r
F
.77028 .29199 m .78364 .26853 L .7653 .28405 L F
.74943 .30355 m .77028 .29199 L .7653 .28405 L F
0 g
.71092 .3904 m
.72699 .39161 L
s
.77028 .29199 m .79119 .2804 L .78364 .26853 L .554 .338 .542 r
F
0 g
.77242 .25991 m
.78364 .26853 L
s
.78364 .26853 m
.79538 .28362 L
s
.71401 .33353 m .70864 .35553 L .71867 .33525 L .554 .338 .542 r
F
.71401 .33353 m .69932 .35203 L .70864 .35553 L F
.75048 .30833 m .77028 .29199 L .74943 .30355 L F
0 0 0 r
2 Mabswid
.70342 .34688 Mdot
.69932 .35203 m .69856 .3759 L .70864 .35553 L .554 .338 .542 r
F
.69932 .35203 m .68461 .37058 L .69856 .3759 L F
0 g
.5 Mabswid
.67377 .36152 m
.68461 .37058 L
s
.68461 .37058 m
.69701 .38506 L
s
.80511 .32559 m
.80627 .30979 L
s
.71867 .33525 m .71938 .35626 L .72404 .33559 L .554 .338 .542 r
F
.71867 .33525 m .70864 .35553 L .71938 .35626 L F
.7308 .35416 m .74298 .36882 L .74411 .38857 L .975 .682 .399 r
F
.72972 .33452 m .74298 .36882 L .7308 .35416 L F
0 g
.74185 .34925 m
.74298 .36882 L
s
.75048 .30833 m .77243 .30156 L .77028 .29199 L .554 .338 .542 r
F
.75003 .31359 m .77243 .30156 L .75048 .30833 L F
0 g
.72866 .31506 m
.75048 .30833 L
s
.77243 .30156 m .79119 .2804 L .77028 .29199 L .554 .338 .542 r
F
0 0 0 r
2 Mabswid
.75512 .3069 Mdot
.72404 .33559 m .7308 .35416 L .72972 .33452 L .554 .338 .542 r
F
.72404 .33559 m .71938 .35626 L .7308 .35416 L F
.75003 .31359 m .77158 .3121 L .77243 .30156 L F
.74812 .31896 m .77158 .3121 L .75003 .31359 L F
0 g
.5 Mabswid
.56803 .27756 m
.56474 .26675 L
s
.56474 .26675 m
.57793 .2625 L
s
.56474 .26675 m
.56052 .2565 L
s
.72972 .33452 m .74211 .34936 L .73535 .33213 L .554 .338 .542 r
F
.72972 .33452 m .7308 .35416 L .74211 .34936 L F
0 g
.72866 .31506 m
.72972 .33452 L
s
.57017 .28822 m
.56803 .27756 L
s
.56803 .27756 m
.58123 .27333 L
s
.74488 .32406 m .76778 .32289 L .74812 .31896 L .554 .338 .542 r
F
.74812 .31896 m .76778 .32289 L .77158 .3121 L F
.70864 .35553 m .71469 .37707 L .71938 .35626 L F
.70864 .35553 m .69856 .3759 L .71469 .37707 L F
0 g
.69856 .3759 m
.71092 .3904 L
s
.68461 .37058 m
.69856 .3759 L
s
.039 .916 .04 r
.56388 .26719 m
.57737 .26285 L
s
.77243 .30156 m .79451 .29475 L .79119 .2804 L .554 .338 .542 r
F
0 g
.78364 .26853 m
.79119 .2804 L
s
.79119 .2804 m
.80293 .29548 L
s
.73535 .33213 m .75251 .34219 L .74052 .32856 L .554 .338 .542 r
F
.73535 .33213 m .74211 .34936 L .75251 .34219 L F
0 g
.56052 .2565 m
.57371 .25223 L
s
.56052 .2565 m
.55564 .24749 L
s
.74488 .32406 m .76127 .33316 L .76778 .32289 L .554 .338 .542 r
F
.74052 .32856 m .76127 .33316 L .74488 .32406 L F
.74052 .32856 m .75251 .34219 L .76127 .33316 L F
0 0 0 r
2 Mabswid
.72995 .33867 Mdot
0 g
.5 Mabswid
.79949 .34177 m
.80511 .32559 L
s
.57017 .28822 m
.58339 .28401 L
s
.77158 .3121 m .79451 .29475 L .77243 .30156 L .554 .338 .542 r
F
0 g
.75048 .30833 m
.77243 .30156 L
s
.57371 .25223 m
.57793 .2625 L
s
.57793 .2625 m
.58123 .27333 L
s
.58123 .27333 m
.58339 .28401 L
s
.55564 .24749 m
.56884 .2432 L
s
0 0 0 r
2 Mabswid
.57737 .26285 Mdot
0 g
.5 Mabswid
.56884 .2432 m
.57371 .25223 L
s
.7308 .35416 m .74411 .38857 L .73189 .37397 L .975 .682 .399 r
F
0 g
.72699 .39161 m
.74411 .38857 L
s
.74298 .36882 m
.74411 .38857 L
s
.74411 .38857 m
.76107 .38145 L
s
.71938 .35626 m .73189 .37397 L .7308 .35416 L .554 .338 .542 r
F
.71938 .35626 m .71469 .37707 L .73189 .37397 L F
0 g
.71469 .37707 m
.72699 .39161 L
s
.69856 .3759 m
.71469 .37707 L
s
.56239 .29109 m .58426 .29383 L .57102 .29803 L .656 .751 .92 r
F
0 g
.5705 .30634 m
.57102 .29803 L
s
.57017 .28822 m
.5705 .29211 L
s
.78979 .35718 m
.79949 .34177 L
s
.77158 .3121 m .7933 .3106 L .79451 .29475 L .554 .338 .542 r
F
0 g
.77243 .30156 m
.79451 .29475 L
s
.79119 .2804 m
.79451 .29475 L
s
.79451 .29475 m
.80627 .30979 L
s
.76778 .32289 m .7933 .3106 L .77158 .3121 L .554 .338 .542 r
F
0 g
.76107 .38145 m
.77667 .37073 L
s
.55042 .24031 m .56385 .24756 L .54862 .25251 L .543 .322 .53 r
F
.039 .916 .04 r
.2306 .3742 m
.54863 .25245 L
s
.55042 .24031 m .56365 .236 L .56385 .24756 L .543 .322 .53 r
F
0 g
.56365 .236 m
.56884 .2432 L
s
.55042 .24031 m
.56365 .236 L
s
.54521 .23546 m
.55042 .24031 L
s
.7308 .35416 m .74894 .36677 L .74211 .34936 L .554 .338 .542 r
F
.7308 .35416 m .73189 .37397 L .74894 .36677 L F
0 g
.72972 .33452 m
.7308 .35416 L
s
.7308 .35416 m
.73189 .37397 L
s
.73189 .37397 m
.74411 .38857 L
s
0 0 0 r
2 Mabswid
.75669 .33061 Mdot
.56239 .29109 m .57763 .28623 L .58426 .29383 L .656 .751 .92 r
F
0 g
.5 Mabswid
.58378 .30214 m
.58426 .29383 L
s
.58339 .28401 m
.58426 .29383 L
s
.039 .916 .04 r
.23299 .3807 m
.56243 .29113 L
s
0 g
.57102 .29803 m
.58426 .29383 L
s
.77667 .37073 m
.78979 .35718 L
s
.76778 .32289 m .78762 .32685 L .7933 .3106 L .554 .338 .542 r
F
0 g
.7933 .3106 m
.79451 .29475 L
s
.7933 .3106 m
.80511 .32559 L
s
.76127 .33316 m .78762 .32685 L .76778 .32289 L .554 .338 .542 r
F
0 g
.56866 .31257 m
.5705 .30634 L
s
.5705 .30634 m
.58378 .30214 L
s
.74211 .34936 m .76463 .35598 L .75251 .34219 L .554 .338 .542 r
F
.74211 .34936 m .74894 .36677 L .76463 .35598 L F
0 g
.74894 .36677 m
.76107 .38145 L
s
.55451 .28385 m .57763 .28623 L .56239 .29109 L .656 .751 .92 r
F
.039 .916 .04 r
.56243 .29113 m
.57767 .28628 L
s
0 g
.56239 .29109 m
.57102 .29803 L
s
.76127 .33316 m .77783 .34235 L .78762 .32685 L .554 .338 .542 r
F
0 g
.78762 .32685 m
.79949 .34177 L
s
.75251 .34219 m .77783 .34235 L .76127 .33316 L .554 .338 .542 r
F
.75251 .34219 m .76463 .35598 L .77783 .34235 L F
0 g
.77783 .34235 m
.78979 .35718 L
s
.76463 .35598 m
.77667 .37073 L
s
.71469 .37707 m
.73189 .37397 L
s
.55846 .23113 m
.56365 .236 L
s
0 0 0 r
2 Mabswid
.54863 .25245 Mdot
.54862 .25251 m .56405 .25919 L .54761 .26451 L .543 .322 .53 r
F
.54862 .25251 m .56385 .24756 L .56405 .25919 L F
0 g
.5 Mabswid
.54862 .25251 m
.55042 .24031 L
s
.039 .916 .04 r
.54863 .25245 m
.56385 .2475 L
s
0 g
.56365 .236 m
.56385 .24756 L
s
.58378 .30214 m
.58197 .30837 L
s
.54521 .23546 m
.55846 .23113 L
s
.54521 .23546 m
.54036 .23328 L
s
.78762 .32685 m
.7933 .3106 L
s
0 0 0 r
2 Mabswid
.57767 .28628 Mdot
.55451 .28385 m .57096 .27858 L .57763 .28623 L .656 .751 .92 r
F
0 g
.5 Mabswid
.57763 .28623 m
.58426 .29383 L
s
.5656 .3163 m
.56866 .31257 L
s
.56866 .31257 m
.58197 .30837 L
s
.54737 .27631 m .57096 .27858 L .55451 .28385 L .656 .751 .92 r
F
0 g
.55451 .28385 m
.56239 .29109 L
s
0 0 0 r
2 Mabswid
.56385 .2475 Mdot
0 g
.5 Mabswid
.73189 .37397 m
.74894 .36677 L
s
.55364 .22893 m
.55846 .23113 L
s
.54761 .26451 m .56425 .27089 L .54737 .27631 L .543 .322 .53 r
F
.54761 .26451 m .56405 .25919 L .56425 .27089 L F
0 g
.54761 .26451 m
.54862 .25251 L
s
.56385 .24756 m
.56405 .25919 L
s
.77783 .34235 m
.78762 .32685 L
s
.58197 .30837 m
.57895 .31209 L
s
.54036 .23328 m
.55364 .22893 L
s
.54036 .23328 m
.53619 .23395 L
s
.74894 .36677 m
.76463 .35598 L
s
.54737 .27631 m .56425 .27089 L .57096 .27858 L .656 .751 .92 r
F
0 g
.57096 .27858 m
.57763 .28623 L
s
.76463 .35598 m
.77783 .34235 L
s
.56152 .31724 m
.5656 .3163 L
s
.5656 .3163 m
.57895 .31209 L
s
.039 .916 .04 r
.56469 .31467 m
.57833 .31037 L
s
0 0 0 r
2 Mabswid
.56469 .31467 Mdot
.54737 .27631 m .56445 .28264 L .54792 .28793 L .543 .322 .53 r
F
.54737 .27631 m .56425 .27089 L .56445 .28264 L F
.54097 .26847 m .56425 .27089 L .54737 .27631 L .656 .751 .92 r
F
0 0 0 r
.54737 .27631 Mdot
.039 .916 .04 r
.5 Mabswid
.23013 .3783 m
.54737 .27631 L
s
0 g
.54751 .26915 m
.54761 .26451 L
s
.54952 .22958 m
.55364 .22893 L
s
.57895 .31209 m
.5749 .31302 L
s
0 0 0 r
2 Mabswid
.57833 .31037 Mdot
.67628 .20282 m .68143 .18536 L .69837 .19422 L .764 .495 .527 r
F
.66422 .19927 m .68143 .18536 L .67628 .20282 L F
.66422 .19927 m .66343 .18005 L .68143 .18536 L F
.67628 .20282 m .68143 .18536 L .69837 .19422 L F
.66422 .19927 m .68143 .18536 L .67628 .20282 L F
.66422 .19927 m .66343 .18005 L .68143 .18536 L F
0 g
.5 Mabswid
.68143 .18536 m
.6912 .16781 L
s
.68762 .20875 m .69837 .19422 L .71313 .20605 L .764 .495 .527 r
F
.67628 .20282 m .69837 .19422 L .68762 .20875 L F
.68762 .20875 m .69837 .19422 L .71313 .20605 L F
.67628 .20282 m .69837 .19422 L .68762 .20875 L F
0 g
.68143 .18536 m
.69837 .19422 L
s
.69837 .19422 m
.70826 .17673 L
s
.039 .916 .04 r
.53652 .23578 m
.55014 .23132 L
s
0 0 0 r
2 Mabswid
.53652 .23578 Mdot
0 g
.5 Mabswid
.53619 .23395 m
.54952 .22958 L
s
.53619 .23395 m
.53301 .23744 L
s
.54097 .26847 m .55749 .26314 L .56425 .27089 L .656 .751 .92 r
F
0 0 0 r
2 Mabswid
.56425 .27089 Mdot
0 g
.5 Mabswid
.56425 .27089 m
.57096 .27858 L
s
.039 .916 .04 r
.54737 .27631 m
.56425 .27089 L
s
0 g
.56405 .25919 m
.56425 .27089 L
s
.65225 .19835 m .66343 .18005 L .66422 .19927 L .764 .495 .527 r
F
.65225 .19835 m .64555 .17864 L .66343 .18005 L F
.66343 .18005 m .67392 .18171 L .66422 .19927 L 0 0 .397 r
F
0 g
.67324 .18295 m
.68143 .18536 L
s
.66343 .18005 m .67308 .16244 L .67392 .18171 L 0 0 .397 r
F
.65225 .19835 m .66343 .18005 L .66422 .19927 L .764 .495 .527 r
F
.65225 .19835 m .64555 .17864 L .66343 .18005 L F
.66343 .18005 m .67392 .18171 L .66422 .19927 L 0 0 .397 r
F
.66343 .18005 m .67308 .16244 L .67392 .18171 L F
0 g
.66343 .18005 m
.67308 .16244 L
s
.6975 .21668 m .71313 .20605 L .72476 .22009 L .764 .495 .527 r
F
.68762 .20875 m .71313 .20605 L .6975 .21668 L F
.6975 .21668 m .71313 .20605 L .72476 .22009 L F
.68762 .20875 m .71313 .20605 L .6975 .21668 L F
0 g
.69837 .19422 m
.71313 .20605 L
s
.71313 .20605 m
.72314 .18863 L
s
.55668 .31531 m
.56152 .31724 L
s
.56152 .31724 m
.5749 .31302 L
s
.54792 .28793 m .56465 .29446 L .54926 .29936 L .543 .322 .53 r
F
.54792 .28793 m .56445 .28264 L .56465 .29446 L F
0 g
.54737 .27631 m
.54792 .28793 L
s
.56425 .27089 m
.56445 .28264 L
s
.53531 .26033 m .55749 .26314 L .54097 .26847 L .656 .751 .92 r
F
0 g
.54097 .26847 m
.54737 .27631 L
s
0 0 0 r
2 Mabswid
.55014 .23132 Mdot
0 g
.5 Mabswid
.54637 .23307 m
.54952 .22958 L
s
.64116 .20012 m .64555 .17864 L .65225 .19835 L .764 .495 .527 r
F
.64116 .20012 m .62895 .18125 L .64555 .17864 L F
.64116 .20012 m .64555 .17864 L .65225 .19835 L F
.64116 .20012 m .62895 .18125 L .64555 .17864 L F
0 g
.64555 .17864 m
.66343 .18005 L
s
.64555 .17864 m
.65509 .16099 L
s
.5749 .31302 m
.57009 .31107 L
s
.70526 .22609 m .72476 .22009 L .73245 .23541 L .764 .495 .527 r
F
.6975 .21668 m .72476 .22009 L .70526 .22609 L F
.70526 .22609 m .72476 .22009 L .73245 .23541 L F
.039 .916 .04 r
.70931 .22748 m
.7538 .28337 L
s
.70935 .22749 m
.7538 .28337 L
s
.6975 .21668 m .72476 .22009 L .70526 .22609 L .764 .495 .527 r
F
0 g
.71313 .20605 m
.72476 .22009 L
s
.72476 .22009 m
.73487 .20273 L
s
.53301 .23744 m
.54637 .23307 L
s
.53301 .23744 m
.53103 .24355 L
s
.53531 .26033 m .55069 .25534 L .55749 .26314 L .656 .751 .92 r
F
0 g
.55749 .26314 m
.56425 .27089 L
s
.54926 .29936 m .56486 .30635 L .55141 .31061 L .543 .322 .53 r
F
.54926 .29936 m .56465 .29446 L .56486 .30635 L F
.039 .916 .04 r
.23013 .38226 m
.54927 .29942 L
s
0 g
.54792 .28793 m
.54926 .29936 L
s
.54926 .29936 m
.55141 .31061 L
s
.56445 .28264 m
.56465 .29446 L
s
.039 .916 .04 r
.54927 .29942 m
.56466 .29453 L
s
0 0 0 r
2 Mabswid
.54927 .29942 Mdot
0 g
.5 Mabswid
.55141 .31061 m
.55668 .31531 L
s
.55668 .31531 m
.57009 .31107 L
s
.67108 .22044 m .67628 .20282 L .68762 .20875 L .764 .495 .527 r
F
.66502 .21866 m .67628 .20282 L .67108 .22044 L F
.66502 .21866 m .66422 .19927 L .67628 .20282 L F
.67108 .22044 m .67628 .20282 L .68762 .20875 L F
.66502 .21866 m .67628 .20282 L .67108 .22044 L F
.66502 .21866 m .66422 .19927 L .67628 .20282 L F
.67678 .22342 m .68762 .20875 L .6975 .21668 L F
.67108 .22044 m .68762 .20875 L .67678 .22342 L F
.67678 .22342 m .68762 .20875 L .6975 .21668 L F
.67108 .22044 m .68762 .20875 L .67678 .22342 L F
0 g
.54443 .23917 m
.54637 .23307 L
s
.53042 .25186 m .55069 .25534 L .53531 .26033 L .656 .751 .92 r
F
0 g
.53531 .26033 m
.54097 .26847 L
s
.039 .916 .04 r
.22774 .37575 m
.53528 .26028 L
s
0 0 0 r
2 Mabswid
.53528 .26028 Mdot
.63171 .2045 m .62895 .18125 L .64116 .20012 L .764 .495 .527 r
F
.63171 .2045 m .61475 .18773 L .62895 .18125 L F
.63171 .2045 m .62895 .18125 L .64116 .20012 L F
.63171 .2045 m .61475 .18773 L .62895 .18125 L F
0 g
.5 Mabswid
.62895 .18125 m
.64555 .17864 L
s
.62895 .18125 m
.6384 .16356 L
s
.66422 .19927 m .67477 .20117 L .66502 .21866 L 0 0 .397 r
F
.039 .916 .04 r
.6511 .23911 m
.70113 .29979 L
s
.65114 .23908 m
.70113 .29979 L
s
.66422 .19927 m .67392 .18171 L .67477 .20117 L 0 0 .397 r
F
.66422 .19927 m .67477 .20117 L .66502 .21866 L F
.66422 .19927 m .67392 .18171 L .67477 .20117 L F
.65901 .21821 m .66422 .19927 L .66502 .21866 L .764 .495 .527 r
F
.65901 .21821 m .65225 .19835 L .66422 .19927 L F
.65901 .21821 m .66422 .19927 L .66502 .21866 L F
.65901 .21821 m .65225 .19835 L .66422 .19927 L F
0 g
.66343 .18005 m
.66422 .19927 L
s
.67678 .22342 m .6975 .21668 L .68173 .22741 L .764 .495 .527 r
F
.67678 .22342 m .6975 .21668 L .68173 .22741 L F
.68173 .22741 m .6975 .21668 L .70526 .22609 L F
.039 .916 .04 r
.57737 .26285 m
.68864 .22702 L
s
.68173 .22741 m .6975 .21668 L .70526 .22609 L .764 .495 .527 r
F
.71037 .23635 m .73245 .23541 L .73568 .25102 L F
.70526 .22609 m .73245 .23541 L .71037 .23635 L F
.71037 .23635 m .73245 .23541 L .73568 .25102 L F
.70526 .22609 m .73245 .23541 L .71037 .23635 L F
0 g
.72476 .22009 m
.73245 .23541 L
s
.039 .916 .04 r
.66934 .21993 m
.72738 .29171 L
s
.66909 .21985 m
.72738 .29171 L
s
.70483 .22181 m
.72951 .20715 L
s
0 0 0 r
2 Mabswid
.70483 .22181 Mdot
.039 .916 .04 r
.5 Mabswid
.70011 .20171 m
.70483 .22184 L
s
0 0 0 r
2 Mabswid
.70483 .22184 Mdot
.039 .916 .04 r
.5 Mabswid
.70002 .20171 m
.70474 .22185 L
s
0 0 0 r
2 Mabswid
.70474 .22185 Mdot
.039 .916 .04 r
.5 Mabswid
.70474 .22185 m
.72943 .20718 L
s
0 g
.56486 .30635 m
.57009 .31107 L
s
.56465 .29446 m
.56486 .30635 L
s
0 0 0 r
2 Mabswid
.56466 .29453 Mdot
0 g
.5 Mabswid
.54443 .23917 m
.53103 .24355 L
s
.65346 .21912 m .65225 .19835 L .65901 .21821 L .764 .495 .527 r
F
.65346 .21912 m .64116 .20012 L .65225 .19835 L F
.65346 .21912 m .65225 .19835 L .65901 .21821 L F
.65346 .21912 m .64116 .20012 L .65225 .19835 L F
.039 .916 .04 r
.56385 .2475 m
.65304 .21847 L
s
.68562 .23214 m .70526 .22609 L .71037 .23635 L .764 .495 .527 r
F
.68173 .22741 m .70526 .22609 L .68562 .23214 L F
.68562 .23214 m .70526 .22609 L .71037 .23635 L F
.68173 .22741 m .70526 .22609 L .68562 .23214 L F
0 g
.6912 .16781 m
.70826 .17673 L
s
.67308 .16244 m
.6912 .16781 L
s
.70826 .17673 m
.72314 .18863 L
s
.54609 .30344 m
.55141 .31061 L
s
.55141 .31061 m
.56486 .30635 L
s
.53042 .25186 m .54384 .24749 L .55069 .25534 L .656 .751 .92 r
F
0 g
.54384 .24749 m
.55069 .25534 L
s
.53042 .25186 m
.53103 .24355 L
s
.039 .916 .04 r
.53528 .26028 m
.55065 .25529 L
s
0 g
.55069 .25534 m
.55749 .26314 L
s
.53042 .25186 m
.53531 .26033 L
s
0 0 0 r
2 Mabswid
.55065 .25529 Mdot
0 g
.5 Mabswid
.65509 .16099 m
.67308 .16244 L
s
.67308 .16244 m
.67392 .18171 L
s
.54384 .24749 m
.54443 .23917 L
s
.72314 .18863 m
.73487 .20273 L
s
.64873 .22133 m .64116 .20012 L .65346 .21912 L .764 .495 .527 r
F
.64873 .22133 m .63171 .2045 L .64116 .20012 L F
.64873 .22133 m .64116 .20012 L .65346 .21912 L F
.64873 .22133 m .63171 .2045 L .64116 .20012 L F
.62453 .21118 m .61475 .18773 L .63171 .2045 L F
.62453 .21118 m .60393 .19769 L .61475 .18773 L F
.62453 .21118 m .61475 .18773 L .63171 .2045 L F
.62453 .21118 m .60393 .19769 L .61475 .18773 L F
.039 .916 .04 r
.55014 .23132 m
.62025 .20838 L
s
0 g
.61475 .18773 m
.62895 .18125 L
s
.61475 .18773 m
.62413 .17004 L
s
.71037 .23635 m .73568 .25102 L .71248 .24678 L .764 .495 .527 r
F
.68816 .23729 m .71037 .23635 L .71248 .24678 L F
.68562 .23214 m .71037 .23635 L .68816 .23729 L F
.71037 .23635 m .73568 .25102 L .71248 .24678 L F
.68816 .23729 m .71037 .23635 L .71248 .24678 L F
.68562 .23214 m .71037 .23635 L .68816 .23729 L F
0 g
.53042 .25186 m
.54384 .24749 L
s
.53042 .25186 m
.53121 .26182 L
s
.039 .916 .04 r
.65978 .19408 m
.66484 .21436 L
s
0 0 0 r
2 Mabswid
.66484 .21436 Mdot
.039 .916 .04 r
.5 Mabswid
.65986 .19418 m
.66489 .21436 L
s
0 0 0 r
2 Mabswid
.66485 .21463 Mdot
0 g
.5 Mabswid
.55956 .29916 m
.56486 .30635 L
s
.71248 .24678 m .73568 .25102 L .73418 .26588 L .764 .495 .527 r
F
.71248 .24678 m .74594 .23378 L .73568 .25102 L .656 .751 .92 r
F
0 g
.73245 .23541 m
.73314 .23875 L
s
.71248 .24678 m .73568 .25102 L .73418 .26588 L .764 .495 .527 r
F
.71248 .24678 m .74594 .23378 L .73568 .25102 L .656 .751 .92 r
F
0 g
.54108 .2943 m
.54609 .30344 L
s
.54609 .30344 m
.55956 .29916 L
s
.66582 .23823 m .67108 .22044 L .67678 .22342 L .764 .495 .527 r
F
.66582 .23823 m .66502 .21866 L .67108 .22044 L F
.66582 .23823 m .67108 .22044 L .67678 .22342 L F
.66582 .23823 m .66502 .21866 L .67108 .22044 L F
.66582 .23823 m .67678 .22342 L .68173 .22741 L F
.66582 .23823 m .67678 .22342 L .68173 .22741 L F
0 g
.6384 .16356 m
.65509 .16099 L
s
.66582 .23823 m .65901 .21821 L .66502 .21866 L .764 .495 .527 r
F
.66502 .21866 m .67563 .2208 L .66582 .23823 L 0 0 .397 r
F
.039 .916 .04 r
.65211 .26262 m
.70238 .32317 L
s
.65204 .26274 m
.70238 .32317 L
s
.66502 .21866 m .67477 .20117 L .67563 .2208 L 0 0 .397 r
F
.66582 .23823 m .65901 .21821 L .66502 .21866 L .764 .495 .527 r
F
.66502 .21866 m .67563 .2208 L .66582 .23823 L 0 0 .397 r
F
.66502 .21866 m .67477 .20117 L .67563 .2208 L F
0 g
.66422 .19927 m
.66502 .21866 L
s
.039 .916 .04 r
.67508 .20821 m
.68936 .19962 L
s
.67509 .20846 m
.68937 .19986 L
s
.66582 .23823 m .68173 .22741 L .68562 .23214 L .764 .495 .527 r
F
.66582 .23823 m .68173 .22741 L .68562 .23214 L F
0 g
.73487 .20273 m
.74265 .21811 L
s
.66582 .23823 m .65346 .21912 L .65901 .21821 L .764 .495 .527 r
F
.66582 .23823 m .65346 .21912 L .65901 .21821 L F
.64516 .2247 m .63171 .2045 L .64873 .22133 L F
.64516 .2247 m .62453 .21118 L .63171 .2045 L F
.039 .916 .04 r
.63224 .21624 m
.6511 .23911 L
s
.63245 .21637 m
.65114 .23908 L
s
.64516 .2247 m .63171 .2045 L .64873 .22133 L .764 .495 .527 r
F
.64516 .2247 m .62453 .21118 L .63171 .2045 L F
0 g
.53121 .26182 m
.54466 .25746 L
s
.53121 .26182 m
.53336 .27272 L
s
.54384 .24749 m
.54466 .25746 L
s
.66582 .23823 m .68562 .23214 L .68816 .23729 L .764 .495 .527 r
F
.66582 .23823 m .68562 .23214 L .68816 .23729 L F
.68816 .23729 m .71248 .24678 L .68919 .24251 L F
.68816 .23729 m .71248 .24678 L .68919 .24251 L F
.71248 .24678 m .73418 .26588 L .71142 .25667 L F
.039 .916 .04 r
.71654 .25874 m
.75512 .3069 L
s
.71624 .25862 m
.75512 .3069 L
s
.68919 .24251 m .71248 .24678 L .71142 .25667 L .764 .495 .527 r
F
.039 .916 .04 r
.57767 .28628 m
.69786 .24803 L
s
.71248 .24678 m .72259 .22947 L .74594 .23378 L .656 .751 .92 r
F
.68919 .24251 m .72259 .22947 L .71248 .24678 L F
.71248 .24678 m .73418 .26588 L .71142 .25667 L .764 .495 .527 r
F
.68919 .24251 m .71248 .24678 L .71142 .25667 L F
.71248 .24678 m .72259 .22947 L .74594 .23378 L .656 .751 .92 r
F
0 g
.73568 .25102 m
.74594 .23378 L
s
.73465 .23169 m
.74265 .21811 L
s
.68919 .24251 m .72259 .22947 L .71248 .24678 L .656 .751 .92 r
F
0 g
.71248 .24678 m
.73568 .25102 L
s
.53673 .28381 m
.54108 .2943 L
s
.54108 .2943 m
.55455 .28999 L
s
.039 .916 .04 r
.53704 .28354 m
.55081 .27912 L
s
0 0 0 r
2 Mabswid
.53704 .28354 Mdot
0 g
.5 Mabswid
.55956 .29916 m
.55455 .28999 L
s
.66582 .23823 m .64873 .22133 L .65346 .21912 L .764 .495 .527 r
F
.66582 .23823 m .64873 .22133 L .65346 .21912 L F
0 0 0 r
2 Mabswid
.70607 .2456 Mdot
.70601 .24559 Mdot
.7057 .24553 Mdot
.66582 .23823 m .68816 .23729 L .68919 .24251 L .764 .495 .527 r
F
.66582 .23823 m .68816 .23729 L .68919 .24251 L F
0 g
.5 Mabswid
.53336 .27272 m
.54683 .26838 L
s
.53336 .27272 m
.53673 .28381 L
s
.53673 .28381 m
.55021 .27949 L
s
0 0 0 r
2 Mabswid
.72951 .20715 Mdot
.72943 .20718 Mdot
.62478 .20705 Mdot
.039 .916 .04 r
.5 Mabswid
.62459 .20696 m
.64894 .19212 L
s
0 0 0 r
2 Mabswid
.62459 .20696 Mdot
.62472 .20706 Mdot
.039 .916 .04 r
.5 Mabswid
.62472 .20706 m
.64906 .19221 L
s
.62013 .21975 m .60393 .19769 L .62453 .21118 L .764 .495 .527 r
F
.62013 .21975 m .59724 .2105 L .60393 .19769 L F
.62013 .21975 m .60393 .19769 L .62453 .21118 L F
.62013 .21975 m .59724 .2105 L .60393 .19769 L F
0 g
.60393 .19769 m
.61475 .18773 L
s
.039 .916 .04 r
.61937 .18666 m
.62478 .20705 L
s
.61931 .18667 m
.62472 .20706 L
s
0 g
.60393 .19769 m
.61326 .18 L
s
.54683 .26838 m
.54466 .25746 L
s
.62413 .17004 m
.6384 .16356 L
s
.66582 .23823 m .64516 .2247 L .64873 .22133 L .764 .495 .527 r
F
.66582 .23823 m .64516 .2247 L .64873 .22133 L F
0 g
.67392 .18171 m
.67477 .20117 L
s
.68919 .24251 m .71142 .25667 L .68863 .24746 L .764 .495 .527 r
F
.66582 .23823 m .68919 .24251 L .68863 .24746 L F
.68919 .24251 m .71142 .25667 L .68863 .24746 L F
.66582 .23823 m .68919 .24251 L .68863 .24746 L F
.68919 .24251 m .69915 .22514 L .72259 .22947 L .656 .751 .92 r
F
.66582 .23823 m .69915 .22514 L .68919 .24251 L F
.68919 .24251 m .69915 .22514 L .72259 .22947 L F
.039 .916 .04 r
.70135 .22555 m
.70607 .2456 L
s
.70607 .2456 m
.73088 .231 L
s
.70129 .22554 m
.70601 .24559 L
s
.7057 .24553 m
.73054 .23094 L
s
.66582 .23823 m .69915 .22514 L .68919 .24251 L .656 .751 .92 r
F
0 g
.68919 .24251 m
.71248 .24678 L
s
.55455 .28999 m
.55021 .27949 L
s
.71142 .25667 m .73418 .26588 L .728 .27895 L .764 .495 .527 r
F
.71142 .25667 m .73418 .26588 L .728 .27895 L F
0 g
.73418 .26588 m
.73568 .25102 L
s
.73418 .26588 m
.74447 .24867 L
s
.74265 .21811 m
.74594 .23378 L
s
.64299 .229 m .62453 .21118 L .64516 .2247 L .764 .495 .527 r
F
.64299 .229 m .62013 .21975 L .62453 .21118 L F
.64299 .229 m .62453 .21118 L .64516 .2247 L F
.64299 .229 m .62013 .21975 L .62453 .21118 L F
0 0 0 r
2 Mabswid
.55081 .27912 Mdot
.71142 .25667 m .728 .27895 L .70724 .26536 L .764 .495 .527 r
F
.68863 .24746 m .71142 .25667 L .70724 .26536 L F
.71142 .25667 m .728 .27895 L .70724 .26536 L F
.68863 .24746 m .71142 .25667 L .70724 .26536 L F
0 g
.5 Mabswid
.55021 .27949 m
.54683 .26838 L
s
.66582 .23823 m .64299 .229 L .64516 .2247 L .764 .495 .527 r
F
.66582 .23823 m .64299 .229 L .64516 .2247 L F
.68863 .24746 m .70724 .26536 L .68652 .25178 L F
.66582 .23823 m .68863 .24746 L .68652 .25178 L F
.68863 .24746 m .70724 .26536 L .68652 .25178 L F
.66582 .23823 m .68863 .24746 L .68652 .25178 L F
.039 .916 .04 r
.66595 .23831 m
.72866 .31506 L
s
.63507 .11951 m
.68357 .18081 L
s
.68357 .18081 m
.70011 .20171 L
s
0 0 0 r
2 Mabswid
.70011 .20171 Mdot
.039 .916 .04 r
.5 Mabswid
.63496 .11957 m
.68354 .1809 L
s
.68354 .1809 m
.70002 .20171 L
s
0 0 0 r
2 Mabswid
.70002 .20171 Mdot
.66582 .23823 m .64237 .23394 L .64299 .229 L .764 .495 .527 r
F
.66582 .23823 m .64335 .23918 L .64237 .23394 L F
.66582 .23823 m .64588 .24437 L .64335 .23918 L F
.66582 .23823 m .64977 .24915 L .64588 .24437 L F
.039 .916 .04 r
.5 Mabswid
.56425 .27089 m
.64605 .24459 L
s
.66582 .23823 m .65476 .25319 L .64977 .24915 L .764 .495 .527 r
F
.66582 .23823 m .66052 .2562 L .65476 .25319 L F
.66582 .23823 m .66664 .25798 L .66052 .2562 L F
.66582 .23823 m .67269 .25841 L .66664 .25798 L F
.66582 .23823 m .67827 .25746 L .67269 .25841 L F
.66582 .23823 m .68298 .2552 L .67827 .25746 L F
.039 .916 .04 r
.68063 .25633 m
.72866 .31506 L
s
.66582 .23823 m .68652 .25178 L .68298 .2552 L .764 .495 .527 r
F
.66582 .23823 m .67269 .25841 L .66664 .25798 L F
.66582 .23823 m .67827 .25746 L .67269 .25841 L F
.66582 .23823 m .68298 .2552 L .67827 .25746 L F
.66582 .23823 m .68652 .25178 L .68298 .2552 L F
.66582 .23823 m .67649 .24061 L .66664 .25798 L 0 0 .397 r
F
.039 .916 .04 r
.6529 .2868 m
.70342 .34688 L
s
.65294 .28669 m
.70342 .34688 L
s
.66582 .23823 m .67563 .2208 L .69915 .22514 L .656 .751 .92 r
F
.66582 .23823 m .67563 .2208 L .69915 .22514 L F
.66582 .23823 m .67563 .2208 L .67649 .24061 L 0 0 .397 r
F
0 g
.67647 .24018 m
.68919 .24251 L
s
.66582 .23823 m .64237 .23394 L .64299 .229 L .764 .495 .527 r
F
.64237 .23394 m .67563 .2208 L .66582 .23823 L .656 .751 .92 r
F
0 g
.66502 .21866 m
.66528 .22489 L
s
.66582 .23823 m .64335 .23918 L .64237 .23394 L .764 .495 .527 r
F
.66582 .23823 m .64588 .24437 L .64335 .23918 L F
.66582 .23823 m .64977 .24915 L .64588 .24437 L F
.66582 .23823 m .65476 .25319 L .64977 .24915 L F
.66582 .23823 m .66052 .2562 L .65476 .25319 L F
.66582 .23823 m .66664 .25798 L .66052 .2562 L F
.66582 .23823 m .67649 .24061 L .66664 .25798 L 0 0 .397 r
F
.66582 .23823 m .67563 .2208 L .67649 .24061 L F
.039 .916 .04 r
.67612 .2321 m
.69048 .22354 L
s
.64237 .23394 m .67563 .2208 L .66582 .23823 L .656 .751 .92 r
F
0 0 0 r
2 Mabswid
.66582 .23823 Mdot
.66582 .23823 Mdot
.68936 .19962 Mdot
.68937 .19986 Mdot
.64237 .23394 m .62013 .21975 L .64299 .229 L .764 .495 .527 r
F
.64237 .23394 m .62013 .21975 L .64299 .229 L F
.68652 .25178 m .70021 .27223 L .68298 .2552 L F
.68652 .25178 m .70724 .26536 L .70021 .27223 L F
.68652 .25178 m .70021 .27223 L .68298 .2552 L F
.68652 .25178 m .70724 .26536 L .70021 .27223 L F
.039 .916 .04 r
.5 Mabswid
.57833 .31037 m
.69993 .27196 L
s
.61883 .22962 m .59724 .2105 L .62013 .21975 L .764 .495 .527 r
F
.64237 .23394 m .61883 .22962 L .62013 .21975 L F
.61883 .22962 m .59724 .2105 L .62013 .21975 L F
.64237 .23394 m .61883 .22962 L .62013 .21975 L F
0 g
.61326 .18 m
.62413 .17004 L
s
.70724 .26536 m .71751 .28934 L .70021 .27223 L .764 .495 .527 r
F
.039 .916 .04 r
.71111 .27439 m
.75669 .33061 L
s
.71113 .27444 m
.75669 .33061 L
s
.70724 .26536 m .728 .27895 L .71751 .28934 L .764 .495 .527 r
F
.70724 .26536 m .71751 .28934 L .70021 .27223 L F
.70724 .26536 m .728 .27895 L .71751 .28934 L F
0 g
.728 .27895 m
.73418 .26588 L
s
.61883 .22962 m .59521 .2253 L .59724 .2105 L .764 .495 .527 r
F
.61883 .22962 m .59521 .2253 L .59724 .2105 L F
0 g
.59724 .2105 m
.60393 .19769 L
s
.64335 .23918 m .61883 .22962 L .64237 .23394 L .764 .495 .527 r
F
.64237 .23394 m .65202 .21644 L .67563 .2208 L .656 .751 .92 r
F
.61883 .22962 m .65202 .21644 L .64237 .23394 L F
.64335 .23918 m .61883 .22962 L .64237 .23394 L .764 .495 .527 r
F
.64237 .23394 m .65202 .21644 L .67563 .2208 L .656 .751 .92 r
F
.039 .916 .04 r
.66082 .21806 m
.66587 .23815 L
s
.66074 .21805 m
.66582 .23823 L
s
.61883 .22962 m .65202 .21644 L .64237 .23394 L .656 .751 .92 r
F
0 g
.64237 .23394 m
.66582 .23823 L
s
.039 .916 .04 r
.62716 .23287 m
.65204 .26274 L
s
.62753 .23301 m
.65211 .26262 L
s
.55065 .25529 m
.62376 .23155 L
s
0 g
.74447 .24867 m
.74594 .23378 L
s
.72259 .22947 m
.74594 .23378 L
s
.68298 .2552 m .69079 .27681 L .67827 .25746 L .764 .495 .527 r
F
.68298 .2552 m .70021 .27223 L .69079 .27681 L F
.68298 .2552 m .69079 .27681 L .67827 .25746 L F
.68298 .2552 m .70021 .27223 L .69079 .27681 L F
0 g
.728 .27895 m
.73828 .26178 L
s
.039 .916 .04 r
.70249 .24964 m
.70724 .26961 L
s
0 0 0 r
2 Mabswid
.70724 .26961 Mdot
.039 .916 .04 r
.5 Mabswid
.7024 .2496 m
.70715 .26957 L
s
0 0 0 r
2 Mabswid
.70715 .26957 Mdot
.039 .916 .04 r
.5 Mabswid
.70715 .26957 m
.73213 .25504 L
s
.70725 .26965 m
.73222 .25511 L
s
0 0 0 r
2 Mabswid
.70725 .26965 Mdot
0 g
.5 Mabswid
.67477 .20117 m
.67563 .2208 L
s
.039 .916 .04 r
.65978 .19408 m
.6072 .12874 L
s
0 0 0 r
2 Mabswid
.65978 .19408 Mdot
.039 .916 .04 r
.5 Mabswid
.65986 .19418 m
.6073 .12879 L
s
0 0 0 r
2 Mabswid
.65986 .19418 Mdot
.64335 .23918 m .62075 .24014 L .61883 .22962 L .764 .495 .527 r
F
.64588 .24437 m .62075 .24014 L .64335 .23918 L F
.64335 .23918 m .62075 .24014 L .61883 .22962 L F
.64588 .24437 m .62075 .24014 L .64335 .23918 L F
0 0 0 r
.73088 .231 Mdot
.73054 .23094 Mdot
.62577 .23089 Mdot
.62547 .23084 Mdot
.67827 .25746 m .67961 .27876 L .67269 .25841 L .764 .495 .527 r
F
.039 .916 .04 r
.5 Mabswid
.67954 .27753 m
.72995 .33867 L
s
.67954 .27763 m
.72995 .33867 L
s
.67827 .25746 m .69079 .27681 L .67961 .27876 L .764 .495 .527 r
F
.67827 .25746 m .67961 .27876 L .67269 .25841 L F
.67827 .25746 m .69079 .27681 L .67961 .27876 L F
0 0 0 r
2 Mabswid
.62527 .2308 Mdot
.64894 .19212 Mdot
.64906 .19221 Mdot
.62075 .24014 m .59521 .2253 L .61883 .22962 L .764 .495 .527 r
F
.61883 .22962 m .62833 .21207 L .65202 .21644 L .656 .751 .92 r
F
.59521 .2253 m .62833 .21207 L .61883 .22962 L F
.62075 .24014 m .59521 .2253 L .61883 .22962 L .764 .495 .527 r
F
.61883 .22962 m .62833 .21207 L .65202 .21644 L .656 .751 .92 r
F
.59521 .2253 m .62833 .21207 L .61883 .22962 L F
0 g
.5 Mabswid
.61883 .22962 m
.64237 .23394 L
s
.69915 .22514 m
.72259 .22947 L
s
.64588 .24437 m .62577 .25056 L .62075 .24014 L .764 .495 .527 r
F
.64977 .24915 m .62577 .25056 L .64588 .24437 L F
.64588 .24437 m .62577 .25056 L .62075 .24014 L F
.64977 .24915 m .62577 .25056 L .64588 .24437 L F
.70021 .27223 m .70339 .29628 L .69079 .27681 L F
.70021 .27223 m .71751 .28934 L .70339 .29628 L F
.70021 .27223 m .70339 .29628 L .69079 .27681 L F
.70021 .27223 m .71751 .28934 L .70339 .29628 L F
0 g
.71751 .28934 m
.728 .27895 L
s
.67269 .25841 m .66746 .27792 L .66664 .25798 L .764 .495 .527 r
F
.039 .916 .04 r
.6705 .26658 m
.67896 .27684 L
s
.67048 .26665 m
.67901 .27699 L
s
.67269 .25841 m .67961 .27876 L .66746 .27792 L .764 .495 .527 r
F
.67269 .25841 m .66746 .27792 L .66664 .25798 L F
.67269 .25841 m .67961 .27876 L .66746 .27792 L F
.64977 .24915 m .63357 .26017 L .62577 .25056 L F
.65476 .25319 m .63357 .26017 L .64977 .24915 L F
.64977 .24915 m .63357 .26017 L .62577 .25056 L F
.65476 .25319 m .63357 .26017 L .64977 .24915 L F
.66664 .25798 m .65516 .27435 L .66052 .2562 L F
.039 .916 .04 r
.56466 .29453 m
.65795 .26491 L
s
.66664 .25798 m .66746 .27792 L .65516 .27435 L .764 .495 .527 r
F
.66664 .25798 m .67736 .26061 L .66746 .27792 L 0 0 .397 r
F
.66664 .25798 m .67649 .24061 L .67736 .26061 L F
.66664 .25798 m .65516 .27435 L .66052 .2562 L .764 .495 .527 r
F
.66664 .25798 m .66746 .27792 L .65516 .27435 L F
.66664 .25798 m .67736 .26061 L .66746 .27792 L 0 0 .397 r
F
.66664 .25798 m .67649 .24061 L .67736 .26061 L F
0 g
.66582 .23823 m
.66664 .25798 L
s
.65476 .25319 m .6436 .26829 L .63357 .26017 L .764 .495 .527 r
F
.66052 .2562 m .6436 .26829 L .65476 .25319 L F
.65476 .25319 m .6436 .26829 L .63357 .26017 L F
.66052 .2562 m .6436 .26829 L .65476 .25319 L F
.66052 .2562 m .65516 .27435 L .6436 .26829 L F
.66052 .2562 m .65516 .27435 L .6436 .26829 L F
0 g
.60657 .19283 m
.61326 .18 L
s
.039 .916 .04 r
.63604 .1436 m
.6847 .20466 L
s
.6847 .20466 m
.70135 .22555 L
s
0 0 0 r
2 Mabswid
.70135 .22555 Mdot
.039 .916 .04 r
.5 Mabswid
.63604 .1436 m
.68469 .20469 L
s
.68469 .20469 m
.70129 .22554 L
s
0 0 0 r
2 Mabswid
.70129 .22554 Mdot
.62075 .24014 m .59802 .2411 L .59521 .2253 L .764 .495 .527 r
F
.59521 .2253 m .60455 .20768 L .62833 .21207 L .656 .751 .92 r
F
.62075 .24014 m .59802 .2411 L .59521 .2253 L .764 .495 .527 r
F
.59521 .2253 m .60455 .20768 L .62833 .21207 L .656 .751 .92 r
F
0 g
.5 Mabswid
.59521 .2253 m
.61883 .22962 L
s
.039 .916 .04 r
.62002 .21053 m
.62547 .23084 L
s
.61981 .21049 m
.62527 .2308 L
s
0 g
.59521 .2253 m
.59724 .2105 L
s
.59521 .2253 m
.60455 .20768 L
s
.59724 .2105 m
.60657 .19283 L
s
.039 .916 .04 r
.62577 .23089 m
.65024 .21611 L
s
.62527 .2308 m
.64977 .21602 L
s
0 g
.67563 .2208 m
.69915 .22514 L
s
.88333 .1637 m .88888 .15967 L .89462 .17828 L .975 .667 .322 r
F
.87871 .15175 m .88888 .15967 L .88333 .1637 L F
.87871 .15175 m .882 .14186 L .88888 .15967 L F
0 g
.88888 .15967 m
.91668 .1507 L
s
.039 .916 .04 r
.67716 .256 m
.69161 .24749 L
s
0 0 0 r
2 Mabswid
.66681 .2621 Mdot
.039 .916 .04 r
.5 Mabswid
.66178 .24222 m
.66686 .26221 L
s
0 g
.74447 .24867 m
.73828 .26178 L
s
.039 .916 .04 r
.66171 .24229 m
.66682 .26237 L
s
0 0 0 r
2 Mabswid
.66682 .26237 Mdot
.039 .916 .04 r
.5 Mabswid
.67717 .25626 m
.69162 .24773 L
s
.88718 .1762 m .89462 .17828 L .89887 .1965 L .975 .667 .322 r
F
.88333 .1637 m .89462 .17828 L .88718 .1762 L F
0 g
.88888 .15967 m
.89462 .17828 L
s
.039 .916 .04 r
.61937 .18666 m
.57974 .13825 L
s
0 0 0 r
2 Mabswid
.61937 .18666 Mdot
.039 .916 .04 r
.5 Mabswid
.61931 .18667 m
.57967 .1383 L
s
0 0 0 r
2 Mabswid
.61931 .18667 Mdot
.62577 .25056 m .59802 .2411 L .62075 .24014 L .764 .495 .527 r
F
.62577 .25056 m .59802 .2411 L .62075 .24014 L F
0 g
.5 Mabswid
.71751 .28934 m
.72775 .27217 L
s
0 0 0 r
2 Mabswid
.69048 .22354 Mdot
.69048 .22354 Mdot
.69079 .27681 m .68659 .29926 L .67961 .27876 L .764 .495 .527 r
F
.69079 .27681 m .70339 .29628 L .68659 .29926 L F
.69079 .27681 m .68659 .29926 L .67961 .27876 L F
.69079 .27681 m .70339 .29628 L .68659 .29926 L F
0 g
.5 Mabswid
.70339 .29628 m
.71751 .28934 L
s
.87362 .14113 m .882 .14186 L .87871 .15175 L .975 .667 .322 r
F
.87362 .14113 m .87443 .12599 L .882 .14186 L F
0 g
.882 .14186 m
.88888 .15967 L
s
.882 .14186 m
.90981 .13282 L
s
.67563 .2208 m
.67649 .24061 L
s
.65202 .21644 m
.67563 .2208 L
s
.89002 .18843 m .89887 .1965 L .90133 .21317 L .975 .667 .322 r
F
.88718 .1762 m .89887 .1965 L .89002 .18843 L F
0 g
.89462 .17828 m
.89887 .1965 L
s
.89462 .17828 m
.92245 .16938 L
s
.63357 .26017 m .60552 .2568 L .62577 .25056 L .764 .495 .527 r
F
.039 .916 .04 r
.63038 .25979 m
.65294 .28669 L
s
.63016 .25976 m
.6529 .2868 L
s
.55081 .27912 m
.61631 .2581 L
s
.63357 .26017 m .60552 .2568 L .62577 .25056 L .764 .495 .527 r
F
.62577 .25056 m .60552 .2568 L .59802 .2411 L F
.62577 .25056 m .60552 .2568 L .59802 .2411 L F
0 g
.59521 .2253 m
.59802 .2411 L
s
.67961 .27876 m .66828 .29804 L .66746 .27792 L .764 .495 .527 r
F
.67961 .27876 m .68659 .29926 L .66828 .29804 L F
.67961 .27876 m .66828 .29804 L .66746 .27792 L F
.67961 .27876 m .68659 .29926 L .66828 .29804 L F
.039 .916 .04 r
.60798 .15302 m
.66082 .21806 L
s
0 0 0 r
2 Mabswid
.66082 .21806 Mdot
.039 .916 .04 r
.5 Mabswid
.60789 .15305 m
.66074 .21805 L
s
0 0 0 r
2 Mabswid
.66074 .21805 Mdot
.73213 .25504 Mdot
.73222 .25511 Mdot
.039 .916 .04 r
.5 Mabswid
.62078 .23467 m
.62624 .25489 L
s
0 0 0 r
2 Mabswid
.62624 .25489 Mdot
.039 .916 .04 r
.5 Mabswid
.62624 .25489 m
.65087 .24018 L
s
.62084 .2347 m
.6263 .25492 L
s
0 0 0 r
2 Mabswid
.6263 .25492 Mdot
.039 .916 .04 r
.5 Mabswid
.62612 .25495 m
.65075 .24023 L
s
0 0 0 r
2 Mabswid
.62612 .25495 Mdot
0 g
.5 Mabswid
.59802 .2411 m
.60741 .22353 L
s
.60455 .20768 m
.60657 .19283 L
s
.62833 .21207 m
.65202 .21644 L
s
.91668 .1507 m
.92245 .16938 L
s
.90981 .13282 m
.91668 .1507 L
s
.63357 .26017 m .61722 .27129 L .60552 .2568 L .764 .495 .527 r
F
.6436 .26829 m .61722 .27129 L .63357 .26017 L F
.63357 .26017 m .61722 .27129 L .60552 .2568 L F
0 g
.59802 .2411 m
.60552 .2568 L
s
.6436 .26829 m .61722 .27129 L .63357 .26017 L .764 .495 .527 r
F
0 0 0 r
2 Mabswid
.65024 .21611 Mdot
.64977 .21602 Mdot
.66746 .27792 m .64975 .29268 L .65516 .27435 L .764 .495 .527 r
F
.66746 .27792 m .66828 .29804 L .64975 .29268 L F
.66746 .27792 m .67824 .2808 L .66828 .29804 L 0 0 .397 r
F
.66746 .27792 m .67736 .26061 L .67824 .2808 L F
.66746 .27792 m .64975 .29268 L .65516 .27435 L .764 .495 .527 r
F
.66746 .27792 m .66828 .29804 L .64975 .29268 L F
.66746 .27792 m .67824 .2808 L .66828 .29804 L 0 0 .397 r
F
.66746 .27792 m .67736 .26061 L .67824 .2808 L F
0 g
.5 Mabswid
.66664 .25798 m
.66746 .27792 L
s
.66746 .27792 m
.66828 .29804 L
s
.92245 .16938 m
.92675 .18766 L
s
.68659 .29926 m
.70339 .29628 L
s
.70339 .29628 m
.71356 .27911 L
s
.8684 .13254 m .87443 .12599 L .87362 .14113 L .975 .667 .322 r
F
.8684 .13254 m .86664 .11311 L .87443 .12599 L F
0 g
.87443 .12599 m
.882 .14186 L
s
.87443 .12599 m
.90228 .11687 L
s
.73828 .26178 m
.72775 .27217 L
s
.6436 .26829 m .63232 .28354 L .61722 .27129 L .764 .495 .527 r
F
.65516 .27435 m .63232 .28354 L .6436 .26829 L F
.6436 .26829 m .63232 .28354 L .61722 .27129 L F
.65516 .27435 m .63232 .28354 L .6436 .26829 L F
.65516 .27435 m .64975 .29268 L .63232 .28354 L F
.65516 .27435 m .64975 .29268 L .63232 .28354 L F
0 g
.90228 .11687 m
.90981 .13282 L
s
.89002 .18843 m .90133 .21317 L .89165 .19958 L .975 .667 .322 r
F
0 g
.89887 .1965 m
.92675 .18766 L
s
.89165 .19958 m .90133 .21317 L .90183 .22718 L .975 .667 .322 r
F
.89165 .19958 m .92931 .20435 L .90133 .21317 L .656 .751 .92 r
F
0 g
.89887 .1965 m
.89947 .20057 L
s
.60455 .20768 m
.62833 .21207 L
s
.039 .916 .04 r
.63676 .16807 m
.68578 .2289 L
s
.68578 .2289 m
.70249 .24964 L
s
0 0 0 r
2 Mabswid
.70249 .24964 Mdot
.039 .916 .04 r
.5 Mabswid
.63665 .16808 m
.68574 .22895 L
s
.68574 .22895 m
.7024 .2496 L
s
0 0 0 r
2 Mabswid
.7024 .2496 Mdot
.039 .916 .04 r
.5 Mabswid
.58012 .16236 m
.62002 .21053 L
s
0 0 0 r
2 Mabswid
.62002 .21053 Mdot
.039 .916 .04 r
.5 Mabswid
.57995 .16242 m
.61981 .21049 L
s
0 0 0 r
2 Mabswid
.61981 .21049 Mdot
0 g
.5 Mabswid
.60552 .2568 m
.61722 .27129 L
s
.60552 .2568 m
.61499 .2393 L
s
0 0 0 r
2 Mabswid
.69161 .24749 Mdot
.69162 .24773 Mdot
0 g
.5 Mabswid
.67649 .24061 m
.67736 .26061 L
s
.66828 .29804 m
.68659 .29926 L
s
.68659 .29926 m
.69667 .28207 L
s
.60455 .20768 m
.60741 .22353 L
s
.87769 .1678 m .88333 .1637 L .88718 .1762 L .975 .667 .322 r
F
.87537 .16178 m .88333 .1637 L .87769 .1678 L F
.87537 .16178 m .87871 .15175 L .88333 .1637 L F
.87964 .17409 m .88718 .1762 L .89002 .18843 L F
.87769 .1678 m .88718 .1762 L .87964 .17409 L F
.86664 .11311 m .89647 .12337 L .8684 .13254 L .543 .322 .53 r
F
.86664 .11311 m .89457 .10391 L .89647 .12337 L F
0 g
.89457 .10391 m
.90228 .11687 L
s
.86339 .12658 m .86664 .11311 L .8684 .13254 L .975 .667 .322 r
F
.86339 .12658 m .85914 .10409 L .86664 .11311 L F
0 g
.86664 .11311 m
.89457 .10391 L
s
.72775 .27217 m
.71356 .27911 L
s
.8728 .15645 m .87871 .15175 L .87537 .16178 L .975 .667 .322 r
F
.039 .916 .04 r
.72951 .20715 m
.87465 .16029 L
s
.72943 .20718 m
.87465 .16029 L
s
.8728 .15645 m .87362 .14113 L .87871 .15175 L .975 .667 .322 r
F
0 g
.61722 .27129 m
.6268 .25386 L
s
.61722 .27129 m
.63232 .28354 L
s
.64975 .29268 m
.66828 .29804 L
s
.66828 .29804 m
.67824 .2808 L
s
.88106 .18024 m .89002 .18843 L .89165 .19958 L .975 .667 .322 r
F
.87964 .17409 m .89002 .18843 L .88106 .18024 L F
.89165 .19958 m .91976 .19067 L .92931 .20435 L .656 .751 .92 r
F
0 g
.92931 .20435 m
.92993 .21838 L
s
.92675 .18766 m
.92931 .20435 L
s
.90133 .21317 m
.92931 .20435 L
s
.039 .916 .04 r
.66178 .24222 m
.60867 .17753 L
s
0 0 0 r
2 Mabswid
.66178 .24222 Mdot
.039 .916 .04 r
.5 Mabswid
.66171 .24229 m
.60858 .17764 L
s
0 0 0 r
2 Mabswid
.66171 .24229 Mdot
.89196 .20893 m .90183 .22718 L .90032 .23759 L .975 .667 .322 r
F
.89165 .19958 m .90183 .22718 L .89196 .20893 L F
0 g
.5 Mabswid
.90133 .21317 m
.90183 .22718 L
s
.90183 .22718 m
.92993 .21838 L
s
.63232 .28354 m
.64202 .26619 L
s
.63232 .28354 m
.64975 .29268 L
s
.64975 .29268 m
.65958 .27538 L
s
0 0 0 r
2 Mabswid
.65087 .24018 Mdot
.65075 .24023 Mdot
.87018 .15216 m .87362 .14113 L .8728 .15645 L .975 .667 .322 r
F
.87018 .15216 m .8684 .13254 L .87362 .14113 L F
.88106 .18024 m .89165 .19958 L .88187 .18585 L F
.88187 .18585 m .89165 .19958 L .89196 .20893 L F
.88187 .18585 m .91976 .19067 L .89165 .19958 L .656 .751 .92 r
F
0 g
.5 Mabswid
.89165 .19958 m
.90133 .21317 L
s
.61499 .2393 m
.60741 .22353 L
s
.67736 .26061 m
.67824 .2808 L
s
.71356 .27911 m
.69667 .28207 L
s
.56367 .11649 m
.54994 .13051 L
s
.57976 .10512 m
.56367 .11649 L
s
.88718 .09482 m
.89457 .10391 L
s
.039 .916 .04 r
.62078 .23467 m
.58071 .18667 L
s
0 0 0 r
2 Mabswid
.62078 .23467 Mdot
.039 .916 .04 r
.5 Mabswid
.62084 .2347 m
.58078 .18666 L
s
0 0 0 r
2 Mabswid
.62084 .2347 Mdot
0 g
.5 Mabswid
.54994 .13051 m
.53946 .14628 L
s
.59716 .09714 m
.57976 .10512 L
s
.8684 .13254 m .89839 .14301 L .87018 .15216 L .543 .322 .53 r
F
.8684 .13254 m .89647 .12337 L .89839 .14301 L F
0 g
.89457 .10391 m
.89647 .12337 L
s
.86767 .14919 m .8684 .13254 L .87018 .15216 L .975 .667 .322 r
F
.86767 .14919 m .86339 .12658 L .8684 .13254 L F
0 g
.86664 .11311 m
.8684 .13254 L
s
.85894 .12365 m .85914 .10409 L .86339 .12658 L .975 .667 .322 r
F
.85894 .12365 m .85244 .09959 L .85914 .10409 L F
0 g
.85914 .10409 m
.86664 .11311 L
s
.85914 .10409 m
.88718 .09482 L
s
.92993 .21838 m
.92856 .22878 L
s
.53946 .14628 m
.53292 .16278 L
s
.89196 .20893 m .90032 .23759 L .89092 .21582 L .975 .667 .322 r
F
.88201 .19052 m .89196 .20893 L .89092 .21582 L F
.88187 .18585 m .89196 .20893 L .88201 .19052 L F
0 g
.6268 .25386 m
.61499 .2393 L
s
.67824 .2808 m
.69667 .28207 L
s
.61475 .09311 m
.59716 .09714 L
s
.59716 .09714 m
.59716 .09714 L
s
.59766 .11662 m
.59716 .09714 L
s
.88187 .18585 m .9101 .17683 L .91976 .19067 L .656 .751 .92 r
F
0 g
.91976 .19067 m
.92931 .20435 L
s
.89092 .21582 m .90032 .23759 L .89686 .24364 L .975 .667 .322 r
F
0 g
.90032 .23759 m
.92856 .22878 L
s
.90032 .23759 m
.90183 .22718 L
s
.87198 .17195 m .87769 .1678 L .87964 .17409 L .975 .667 .322 r
F
.87198 .17195 m .87537 .16178 L .87769 .1678 L F
.87198 .17195 m .87964 .17409 L .88106 .18024 L F
.87198 .17195 m .8728 .15645 L .87537 .16178 L F
.87198 .17195 m .88106 .18024 L .88187 .18585 L F
0 g
.64202 .26619 m
.6268 .25386 L
s
.86545 .14777 m .86339 .12658 L .86767 .14919 L .975 .667 .322 r
F
.86545 .14777 m .85894 .12365 L .86339 .12658 L F
.039 .916 .04 r
.68937 .19986 m
.86412 .14284 L
s
.68936 .19962 m
.86412 .14284 L
s
0 g
.53292 .16278 m
.53078 .17892 L
s
.65958 .27538 m
.67824 .2808 L
s
.87198 .17195 m .87018 .15216 L .8728 .15645 L .975 .667 .322 r
F
.87198 .17195 m .88187 .18585 L .88201 .19052 L F
.87198 .17195 m .9101 .17683 L .88187 .18585 L .656 .751 .92 r
F
0 g
.88187 .18585 m
.89165 .19958 L
s
.039 .916 .04 r
.73054 .23094 m
.87836 .18377 L
s
.73088 .231 m
.87836 .18377 L
s
0 g
.88061 .09024 m
.88718 .09482 L
s
.65958 .27538 m
.64202 .26619 L
s
.89092 .21582 m .89686 .24364 L .88858 .21978 L .975 .667 .322 r
F
.88147 .19394 m .89092 .21582 L .88858 .21978 L F
.88201 .19052 m .89092 .21582 L .88147 .19394 L F
0 g
.63136 .09331 m
.61475 .09311 L
s
.87198 .17195 m .86767 .14919 L .87018 .15216 L .975 .667 .322 r
F
.87018 .15216 m .90033 .16284 L .87198 .17195 L .543 .322 .53 r
F
.87018 .15216 m .89839 .14301 L .90033 .16284 L F
0 g
.8684 .13254 m
.87018 .15216 L
s
.89647 .12337 m
.89839 .14301 L
s
.87198 .17195 m .88201 .19052 L .88147 .19394 L .975 .667 .322 r
F
0 g
.92856 .22878 m
.92525 .23481 L
s
.85533 .124 m .85244 .09959 L .85894 .12365 L .975 .667 .322 r
F
.85533 .124 m .84699 .09998 L .85244 .09959 L F
0 g
.85244 .09959 m
.85914 .10409 L
s
.85244 .09959 m
.88061 .09024 L
s
.87198 .17195 m .86545 .14777 L .86767 .14919 L .975 .667 .322 r
F
0 g
.59766 .11662 m
.59817 .13629 L
s
.53078 .17892 m
.53323 .19364 L
s
.53078 .17892 m
.55328 .17137 L
s
.53078 .17892 m
.53078 .17892 L
s
.88147 .19394 m .88858 .21978 L .88028 .19588 L .975 .667 .322 r
F
.87198 .17195 m .88147 .19394 L .88028 .19588 L F
.86366 .14799 m .85894 .12365 L .86545 .14777 L F
.86366 .14799 m .85533 .124 L .85894 .12365 L F
.88858 .21978 m .89686 .24364 L .89166 .24486 L F
0 g
.89686 .24364 m
.92525 .23481 L
s
.89686 .24364 m
.90032 .23759 L
s
.87198 .17195 m .90033 .16284 L .9101 .17683 L .656 .751 .92 r
F
0 g
.9101 .17683 m
.91976 .19067 L
s
0 0 0 r
2 Mabswid
.57967 .1383 Mdot
.57974 .13825 Mdot
.88858 .21978 m .89166 .24486 L .88509 .2205 L .975 .667 .322 r
F
.88028 .19588 m .88858 .21978 L .88509 .2205 L F
0 g
.5 Mabswid
.64589 .09777 m
.63136 .09331 L
s
.87198 .17195 m .86366 .14799 L .86545 .14777 L .975 .667 .322 r
F
.88028 .19588 m .88509 .2205 L .87852 .1962 L F
.039 .916 .04 r
.73213 .25504 m
.88165 .20778 L
s
.73222 .25511 m
.88165 .20778 L
s
.87198 .17195 m .88028 .19588 L .87852 .1962 L .975 .667 .322 r
F
0 g
.87531 .09058 m
.88061 .09024 L
s
.87198 .17195 m .86243 .14985 L .86366 .14799 L .975 .667 .322 r
F
.87198 .17195 m .86186 .15323 L .86243 .14985 L F
.87198 .17195 m .86197 .1579 L .86186 .15323 L F
.87198 .17195 m .86277 .16355 L .86197 .1579 L F
.87198 .17195 m .86421 .16978 L .86277 .16355 L F
.87198 .17195 m .86618 .17617 L .86421 .16978 L F
.87198 .17195 m .86854 .18227 L .86618 .17617 L F
.87198 .17195 m .87114 .18765 L .86854 .18227 L F
.87198 .17195 m .87379 .19194 L .87114 .18765 L F
.87198 .17195 m .87631 .19485 L .87379 .19194 L F
.87198 .17195 m .87852 .1962 L .87631 .19485 L F
.87198 .17195 m .90228 .18286 L .87379 .19194 L .543 .322 .53 r
F
.87198 .17195 m .90033 .16284 L .90228 .18286 L F
.86197 .1579 m .90033 .16284 L .87198 .17195 L .656 .751 .92 r
F
0 g
.87018 .15216 m
.87081 .15904 L
s
.039 .916 .04 r
.69048 .22354 m
.86373 .16769 L
s
0 g
.55328 .17137 m
.57591 .16378 L
s
.86243 .14985 m .85533 .124 L .86366 .14799 L .975 .667 .322 r
F
0 g
.53323 .19364 m
.54016 .20592 L
s
.87852 .1962 m .88067 .2179 L .87631 .19485 L .975 .667 .322 r
F
.87852 .1962 m .88509 .2205 L .88067 .2179 L F
.85284 .12764 m .84699 .09998 L .85533 .124 L F
.86243 .14985 m .85284 .12764 L .85533 .124 L F
0 g
.59817 .13629 m
.59869 .15614 L
s
.92525 .23481 m
.9202 .23599 L
s
0 0 0 r
2 Mabswid
.6072 .12874 Mdot
.6073 .12879 Mdot
.85284 .12764 m .8432 .10531 L .84699 .09998 L .975 .667 .322 r
F
0 g
.5 Mabswid
.84699 .09998 m
.87531 .09058 L
s
.039 .916 .04 r
.64894 .19212 m
.85193 .12552 L
s
.64906 .19221 m
.85193 .12552 L
s
0 g
.84699 .09998 m
.85244 .09959 L
s
0 0 0 r
2 Mabswid
.86797 .16632 Mdot
.88509 .2205 m .88505 .24109 L .88067 .2179 L .975 .667 .322 r
F
.88509 .2205 m .89166 .24486 L .88505 .24109 L F
0 g
.5 Mabswid
.89166 .24486 m
.89686 .24364 L
s
.86186 .15323 m .85284 .12764 L .86243 .14985 L .975 .667 .322 r
F
0 g
.65732 .10626 m
.64589 .09777 L
s
.87631 .19485 m .87562 .21212 L .87379 .19194 L .975 .667 .322 r
F
.87631 .19485 m .88067 .2179 L .87562 .21212 L F
0 g
.57591 .16378 m
.59869 .15614 L
s
0 0 0 r
2 Mabswid
.85361 .12497 Mdot
.86197 .1579 m .89045 .14868 L .90033 .16284 L .656 .751 .92 r
F
0 g
.5 Mabswid
.90033 .16284 m
.9101 .17683 L
s
.89839 .14301 m
.90033 .16284 L
s
.89166 .24486 m
.9202 .23599 L
s
0 0 0 r
2 Mabswid
.57995 .16242 Mdot
.58012 .16236 Mdot
.86197 .1579 m .85165 .13435 L .86186 .15323 L .975 .667 .322 r
F
.86186 .15323 m .85165 .13435 L .85284 .12764 L F
.87379 .19194 m .90426 .20306 L .87562 .21212 L .543 .322 .53 r
F
.87379 .19194 m .90228 .18286 L .90426 .20306 L F
0 g
.5 Mabswid
.90033 .16284 m
.90228 .18286 L
s
.87379 .19194 m .87029 .20353 L .87114 .18765 L .975 .667 .322 r
F
.87379 .19194 m .87562 .21212 L .87029 .20353 L F
0 g
.87198 .17195 m
.87379 .19194 L
s
.85165 .13435 m .8432 .10531 L .85284 .12764 L .975 .667 .322 r
F
0 g
.54016 .20592 m
.55115 .21491 L
s
0 0 0 r
2 Mabswid
.63496 .11957 Mdot
.63507 .11951 Mdot
.86197 .1579 m .85185 .14369 L .85165 .13435 L .975 .667 .322 r
F
.86277 .16355 m .85185 .14369 L .86197 .1579 L F
.85185 .14369 m .89045 .14868 L .86197 .1579 L .656 .751 .92 r
F
0 g
.5 Mabswid
.86197 .1579 m
.87198 .17195 L
s
.87167 .09587 m
.87531 .09058 L
s
.87114 .18765 m .86506 .19272 L .86854 .18227 L .975 .667 .322 r
F
.87114 .18765 m .87029 .20353 L .86506 .19272 L F
.88067 .2179 m .87747 .23249 L .87562 .21212 L F
.88067 .2179 m .88505 .24109 L .87747 .23249 L F
0 g
.88505 .24109 m
.89166 .24486 L
s
.59921 .17617 m
.59869 .15614 L
s
.59869 .15614 m
.6216 .14845 L
s
.86277 .16355 m .85344 .15503 L .85185 .14369 L .975 .667 .322 r
F
.039 .916 .04 r
.64977 .21602 m
.85276 .15014 L
s
.65024 .21611 m
.85276 .15014 L
s
.86421 .16978 m .85344 .15503 L .86277 .16355 L .975 .667 .322 r
F
.86854 .18227 m .86029 .18045 L .86618 .17617 L F
.86854 .18227 m .86506 .19272 L .86029 .18045 L F
.039 .916 .04 r
.69162 .24773 m
.8649 .19231 L
s
.69161 .24749 m
.8649 .1923 L
s
0 g
.66483 .11824 m
.65732 .10626 L
s
.86421 .16978 m .85632 .16758 L .85344 .15503 L .975 .667 .322 r
F
.86618 .17617 m .85632 .16758 L .86421 .16978 L F
.86618 .17617 m .86029 .18045 L .85632 .16758 L F
0 g
.9202 .23599 m
.91372 .23214 L
s
0 0 0 r
2 Mabswid
.60789 .15305 Mdot
.60798 .15302 Mdot
.85165 .13435 m .84136 .1153 L .8432 .10531 L .975 .667 .322 r
F
0 g
.5 Mabswid
.8432 .10531 m
.87167 .09587 L
s
.8432 .10531 m
.84699 .09998 L
s
0 0 0 r
2 Mabswid
.87015 .19063 Mdot
.85185 .14369 m .84136 .1153 L .85165 .13435 L .975 .667 .322 r
F
0 0 0 r
.85575 .14917 Mdot
.85185 .14369 m .88045 .13437 L .89045 .14868 L .656 .751 .92 r
F
0 g
.5 Mabswid
.89045 .14868 m
.90033 .16284 L
s
.6216 .14845 m
.64466 .14071 L
s
.87562 .21212 m .86944 .21961 L .87029 .20353 L .975 .667 .322 r
F
.87562 .21212 m .87747 .23249 L .86944 .21961 L F
.87562 .21212 m .90625 .22347 L .87747 .23249 L .543 .322 .53 r
F
0 g
.87747 .23249 m
.88505 .24109 L
s
.88505 .24109 m
.91372 .23214 L
s
.87562 .21212 m .90426 .20306 L .90625 .22347 L .543 .322 .53 r
F
0 g
.87379 .19194 m
.87562 .21212 L
s
.87562 .21212 m
.87747 .23249 L
s
.90228 .18286 m
.90426 .20306 L
s
0 0 0 r
2 Mabswid
.58071 .18667 Mdot
.58078 .18666 Mdot
0 g
.5 Mabswid
.55115 .21491 m
.5655 .21994 L
s
.59921 .17617 m
.59973 .19641 L
s
.86996 .10585 m
.87167 .09587 L
s
.85185 .14369 m .84161 .12931 L .84136 .1153 L .975 .667 .322 r
F
0 g
.84136 .1153 m
.8432 .10531 L
s
.85344 .15503 m .84161 .12931 L .85185 .14369 L .975 .667 .322 r
F
.84161 .12931 m .88045 .13437 L .85185 .14369 L .656 .751 .92 r
F
0 g
.85185 .14369 m
.86197 .1579 L
s
0 0 0 r
2 Mabswid
.63604 .1436 Mdot
.63604 .1436 Mdot
0 g
.5 Mabswid
.66786 .13292 m
.66483 .11824 L
s
.87029 .20353 m .86153 .20333 L .86506 .19272 L .975 .667 .322 r
F
.87029 .20353 m .86944 .21961 L .86153 .20333 L F
0 g
.64466 .14071 m
.66786 .13292 L
s
.84136 .1153 m
.86996 .10585 L
s
.90625 .22347 m
.91372 .23214 L
s
.90426 .20306 m
.90625 .22347 L
s
0 0 0 r
2 Mabswid
.60867 .17753 Mdot
.85344 .15503 m .84399 .1464 L .84161 .12931 L .975 .667 .322 r
F
.85632 .16758 m .84399 .1464 L .85344 .15503 L F
0 0 0 r
.60858 .17764 Mdot
.86506 .19272 m .85431 .1848 L .86029 .18045 L .975 .667 .322 r
F
.86506 .19272 m .86153 .20333 L .85431 .1848 L F
0 g
.5 Mabswid
.5655 .21994 m
.58226 .22061 L
s
.86944 .21961 m
.87747 .23249 L
s
.87747 .23249 m
.90625 .22347 L
s
.85632 .16758 m .84832 .16535 L .84399 .1464 L .975 .667 .322 r
F
.86029 .18045 m .84832 .16535 L .85632 .16758 L F
.039 .916 .04 r
.65075 .24023 m
.85544 .17434 L
s
.65087 .24018 m
.85544 .17434 L
s
.86029 .18045 m .85431 .1848 L .84832 .16535 L .975 .667 .322 r
F
0 0 0 r
2 Mabswid
.85786 .17356 Mdot
.84161 .12931 m .87034 .11988 L .88045 .13437 L .656 .751 .92 r
F
0 g
.5 Mabswid
.87034 .11988 m
.88045 .13437 L
s
.84161 .12931 m
.85185 .14369 L
s
.84136 .1153 m
.84161 .12931 L
s
.88045 .13437 m
.89045 .14868 L
s
.66614 .14932 m
.66786 .13292 L
s
.66786 .13292 m
.66786 .13292 L
s
.60026 .21683 m
.59973 .19641 L
s
.86996 .10585 m
.87034 .11988 L
s
.84161 .12931 m
.87034 .11988 L
s
.84161 .12931 m
.84399 .1464 L
s
0 0 0 r
2 Mabswid
.63665 .16808 Mdot
.63676 .16807 Mdot
0 g
.5 Mabswid
.58226 .22061 m
.60026 .21683 L
s
.8983 .21051 m
.90625 .22347 L
s
.86153 .20333 m
.86944 .21961 L
s
.86944 .21961 m
.8983 .21051 L
s
.65974 .16629 m
.66614 .14932 L
s
.84399 .1464 m
.87282 .137 L
s
.84399 .1464 m
.84832 .16535 L
s
.60026 .21683 m
.61824 .20883 L
s
.60026 .21683 m
.60026 .21683 L
s
.87034 .11988 m
.87282 .137 L
s
.85431 .1848 m
.86153 .20333 L
s
.86153 .20333 m
.89044 .19414 L
s
.64908 .18262 m
.65974 .16629 L
s
.8983 .21051 m
.89044 .19414 L
s
.84832 .16535 m
.87722 .156 L
s
.84832 .16535 m
.85431 .1848 L
s
.85431 .1848 m
.88324 .17552 L
s
.61824 .20883 m
.63491 .19715 L
s
.63491 .19715 m
.64908 .18262 L
s
.87722 .156 m
.87282 .137 L
s
.89044 .19414 m
.88324 .17552 L
s
.88324 .17552 m
.87722 .156 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{543.375, 306.438},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008O0001<R000`400?l00000o`00003oo`3ooooo
0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo
003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0
oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool0
0?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3o
oolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00
o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?oo
ob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o
0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo
8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0
ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ
0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3o
oooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40
oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?oo
ool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooomX0oooo1P00
00100?ooo`00o`3ooom<0?ooo`P00000P`3oool6000000<0oooo00<000000?ooo`3oool0?@3oool0
0?l0ooooB@3oool3000000P0oooo1P00001j0?ooo`L000001@3oool2000003h0oooo003o0?ooodD0
oooo1000000A0?ooo`@00000L`3oool6000000030?ooo`000000000000<0oooo0`0000000`3oool0
00000?ooo`0m0?ooo`00o`3ooom30?ooo`<00000603oool3000006d0oooo1P0000001@3oool00000
000000000000oooo00@000001@3oool00`000000oooo0?ooo`0k0?ooo`00o`3ooom10?ooo`800000
00<0oooo0000003oool06`3oool00`000000oooo0?ooo`1X0?ooo`D0000000@0oooo000000000000
00000P3oool3000000T0oooo00<000000?ooo`3oool0>P3oool00?l0oooo?P3oool3000000<0oooo
00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`1W0?ooo`030000003iZU80nJYB00<00000
0P3oool3000000030?ooo`000000oooo00X0oooo00<000000?ooo`3oool0>@3oool00?l0oooo?03o
ool2000000H0oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`1U0?ooo`@000000`3i
ZU82000000@0oooo00<000000?ooo`3oool02@3oool2000003X0oooo003o0?ooocX0oooo0P000008
0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3oool0H`3oool2000000H0nJYB00<00000
0?ooo`3oool00P3oool2000000P0oooo0`0000000`2;DXL000000?ooo`0i0?ooo`00o`3oooli0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`1R0?oo
o`030000003iZU80nJYB00H0nJYB100000000`3oool000000?ooo`040?ooo`<00000102;DXL20000
03T0oooo003o0?ooocL0oooo0P00000<0?ooo`030000003oool0oooo01d0oooo00<000000?ooo`3o
ool0HP3oool00`000000nJYB0?VZDP050?VZDP<000000`3oool00`000000oooo0?ooo`03000000L0
Re:700<000000?ooo`000000>03oool00?l0oooo=P3oool00`000000oooo0?ooo`0<0?ooo`030000
003oool0oooo01h0oooo00<000000?ooo`3oool0H@3oool00`000000nJYB0?VZDP020?VZDP<00000
0`3iZU800`000000oooo0?ooo`03000000X0Re:700@000000?ooo`3oool00000=`3oool00?l0oooo
=03oool2000000l0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`1O0?ooo`040000
003iZU80nJYB0?VZDP8000001`3iZU83000000`0Re:700@000000?ooo`3oool00000=`3oool00?l0
oooo<`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3o
ool0G`3oool4000000T0nJYB00<0000008]BQ`0000003@2;DXL010000000oooo0?ooo`00000f0?oo
o`00o`3ooolb0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0803oool00`000000
oooo0?ooo`1N0?ooo`030000003iZU80nJYB00X0nJYB00<0000008]BQ`0000003@2;DXL00`000000
oooo00000002000003D0oooo003o0?oooc80oooo00<000000?ooo`3oool0403oool00`000000oooo
0?ooo`0@0?ooo`8000003`3oool00`000000oooo0?ooo`1M0?ooo`030000003iZU80nJYB00X0nJYB
00<0000008]BQ`0000003@2;DXL200000080oooo00<000000?ooo`3oool0<`3oool00?l0oooo<@3o
ool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0100oooo0P00000?0?ooo`030000003o
ool0oooo05d0oooo00<000000?VZDP3iZU802P3iZU83000000d0Re:700<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0b0?ooo`00o`3oool`0?ooo`030000003oool0oooo0180oooo00<00000
0?ooo`3oool04@3oool00`09jPX0oooo0?ooo`0=0?ooo`030000003oool0oooo05d0oooo00<00000
0?VZDP3iZU80203iZU83000000030:O0j`000000Re:700`0Re:700<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0b0?ooo`00o`3oool_0?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool04P3oool00`09jPX0oooo0?ooo`0=0?ooo`030000003oool0oooo05`0oooo00<000000?VZ
DP3iZU800`3iZU85000000@0Yl3[0P00000<08]BQ`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0<@3oool00?l0oooo;P3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo01<0
oooo00<02NX:0?ooo`3oool0303oool00`000000oooo0?ooo`1L0?ooo`030000003iZU80nJYB0080
nJYB0`0000080:O0j`8000002`2;DXL00`000000oooo0?ooo`030?ooo`030000003oool0oooo0340
oooo003o0?ooobd0oooo00<000000?ooo`3oool05@3oool010000000oooo0?ooo`3oool200000140
oooo00<02NX:0?ooo`3oool02`3oool00`000000oooo0?ooo`1L0?ooo`030000003iZU8000000080
00002`2W`>/00`000000Yl3[0000000:08]BQ`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0<@3oool00?l0oooo;03oool00`000000oooo0?ooo`0F0?ooo`040000003oool0oooo0?ooo`80
00004P3oool00`09jPX0oooo0?ooo`0:0?ooo`030000003oool0oooo05T0oooo0`09jPX2000000h0
Yl3[00<000000:O0j`0000002P2;DXL00`000000oooo0?ooo`040?ooo`030000003oool0oooo0300
oooo003o0?ooob/0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo0100oooo00<02NX:0?ooo`3oool02`3oool00`000000oooo0?ooo`1E0?ooo`<02NX:
0`3oool00`000000Yl3[0:O0j`0=0:O0j`040000002W`>/0Yl3[000000T0Re:700<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0`0?ooo`00o`3oool[0?ooo`030000003oool0oooo01L0oooo
00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0@0?ooo`0300WZ2P3oool0oooo00P0oooo
0`00001D0?ooo`<02NX:1P3oool2000000h0Yl3[00D000000:O0j`2W`>/0Yl3[0000000808]BQ`03
0000003oool0oooo00@0oooo0P00000a0?ooo`00o`3ooolZ0?ooo`030000003oool0oooo01P0oooo
00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0@0?ooo`0300WZ2P3oool0oooo00@0oooo
0`0000020?ooo`030000003oool0oooo04l0oooo0`09jPX90?ooo`030000003iZU80000000h0Yl3[
00D000000:O0j`2W`>/0Yl3[0000000808]BQ`030000003oool0oooo00<0000000<0oooo0000003o
ool0<03oool00?l0oooo:@3oool00`000000oooo0?ooo`0>0?ooo`8000002@3oool00`000000oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo0100oooo00<02NX:0?ooo`3oool00`0000050?ooo`030000
003oool0oooo04`0oooo0`09jPX<0?ooo`030000003iZU80000000`0Yl3[0`0000030:O0j`030000
002;DXL0Re:700H0Re:70`0000040?ooo`030000003oool0oooo02l0oooo003o0?ooobP0oooo00<0
00000?ooo`3oool03`3oool2000000T0oooo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`0?0?ooo`<00000203oool00`000000oooo0?ooo`190?ooo`<02NX:403oool00`000000nJYB0000
00080:O0j`<000000P2W`>/00`000000Yl3[0:O0j`020:O0j`030000002;DXL0Re:700D0Re:700<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`0^0?ooo`00o`3ooolX0?ooo`030000003oool0
oooo0100oooo00<02NX:0?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo00`0oooo0`0000000`3oool02NX:0?ooo`080?ooo`030000003oool0oooo04H0oooo0`09jPXC
0?ooo`030000003iZU80000000D0Yl3[0`0000050:O0j`030000002W`>/0Yl3[00<0Yl3[00<00000
08]BQ`2;DXL0102;DXL00`000000oooo0?ooo`050?ooo`030000003oool0oooo02h0oooo003o0?oo
obL0oooo00<000000?ooo`3oool04P3oool00`09jPX0oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<02NX:0?ooo`3oool01`3oool4000000D0oooo00<02NX:0?ooo`3oool01@3oool00`00
0000oooo0?ooo`140?ooo`<02NX:5P3oool01@000000nJYB0?VZDP000000Yl3[00<00000202W`>/0
0`000000Yl3[0:O0j`030:O0j`030000002;DXL0Re:700@0Re:700<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0^0?ooo`00o`3ooolV0?ooo`030000003oool0oooo01@0oooo00<02NX:0?oo
o`3oool01@3oool00`000000oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00@0oooo100000080?oo
o`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0@@3oool300WZ2QT0oooo00<000000?VZ
DP0000000P00000<0:O0j`030000002W`>/0Yl3[00<0Yl3[00<0000008]BQ`2;DXL00`2;DXL00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo02d0oooo003o0?ooobD0oooo00<000000?ooo`3o
ool05P3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<02NX:0?ooo`3o
ool00`0000020?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool00`3oool00`000000
oooo0?ooo`0n0?ooo`<02NX:703oool200000080nJYB00<000000:O0j`2W`>/02P2W`>/00`000000
Yl3[0:O0j`030:O0j`030000002;DXL0Re:700<0Re:700<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0]0?ooo`00o`3ooolU0?ooo`030000003oool0oooo01L0oooo00<02NX:0?ooo`3oool0
0`3oool00`000000oooo0?ooo`090?ooo`<000001P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo00<0oooo00<000000?ooo`3oool0>`3oool300WZ2Ql0oooo00<000000?VZDP3iZU80
0P3iZU83000000T0Yl3[00<000000:O0j`2W`>/0102W`>/00`000000Re:708]BQ`0208]BQ`030000
003oool0oooo00H0oooo00<000000?ooo`3oool0;@3oool00?l0oooo903oool00`000000oooo0?oo
o`0H0?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool01P3oool3000000030?ooo`09
jPX0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`020?ooo`030000003o
ool0oooo03P0oooo0`09jPXO0?ooo`<02NX:00@000000?VZDP3iZU80nJYB0P09jPX2000000T0Yl3[
00<000000:O0j`2W`>/01@2W`>/00`000000Re:708]BQ`0208]BQ`030000003oool0oooo00H0oooo
00<000000?ooo`3oool0;03oool00?l0oooo903oool00`000000oooo0?ooo`0I0?ooo`0300WZ2P3o
ool0oooo0080oooo00<000000?ooo`3oool00P3oool4000000D0oooo00<02NX:0?ooo`3oool01P3o
ool00`09jPX0oooo0?ooo`070?ooo`0500WZ2P3oool0oooo0?ooo`000000=`3oool300WZ2Ql0oooo
0`09jPX30?ooo`030000003iZU80nJYB00@0nJYB00<000000:O0j`2W`>/01`2W`>/00`000000Yl3[
0:O0j`050:O0j`030000002;DXL0Re:70080Re:700<000000?ooo`3oool01@3oool2000002h0oooo
003o0?ooob@0oooo00<000000?ooo`3oool06P3oool01@09jPX0oooo0?ooo`3oool0000000<0oooo
0`0000080?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo
0000000e0?ooo`<02NX:7`3oool300WZ2P<0oooo0`09jPX00`3oool000000?VZDP040?VZDP030000
002W`>/0Yl3[00P0Yl3[00<000000:O0j`2W`>/01@2W`>/01@000000Re:708]BQ`2;DXL0000000@0
oooo0`0000000`3oool000000?ooo`0]0?ooo`00o`3ooolS0?ooo`030000003oool0oooo01`0oooo
00<02NX:0?ooo`3oool0100000000`3oool02NX:0?ooo`090?ooo`0300WZ2P3oool0oooo00H0oooo
00<02NX:0?ooo`3oool01`3oool00`09jPX000000?ooo`0a0?ooo`<02NX:7`3oool300WZ2P<0oooo
0`09jPX40?ooo`030000003iZU80nJYB00@0nJYB00<000000:O0j`2W`>/01`2W`>/00`000000Yl3[
0:O0j`060:O0j`050000002;DXL0Re:70000003oool00`0000040?ooo`030000003oool0oooo02`0
oooo003o0?ooob<0oooo00<000000?ooo`3oool07@3oool00`09jPX00000000000050?ooo`0300WZ
2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`070?ooo`030000
003oool0oooo02h0oooo0`09jPXO0?ooo`<02NX:0`3oool300WZ2PL0oooo00<000000?VZDP3iZU80
1@3iZU800`000000Yl3[0:O0j`040:O0j`<000002@2W`>/010000000Re:70000000000080?ooo`03
0000003oool0oooo02/0oooo003o0?ooob<0oooo00<000000?ooo`3oool06`3oool3000000030?oo
o`000000oooo00D0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ
2P3oool0oooo00H0oooo00<0000000WZ2P3oool0:P3oool400WZ2Ql0oooo0`09jPX30?ooo`<02NX:
2P3oool00`000000nJYB0?VZDP060?VZDP030000002W`>/0Yl3[00<000000P2W`>/00`000000Yl3[
0:O0j`080:O0j`030000002;DXL0000000P0oooo00<000000?ooo`3oool0:`3oool00?l0oooo8P3o
ool00`000000oooo0?ooo`0F0?ooo`80000000@0oooo00000000000000000`3oool00`09jPX00000
0?ooo`060?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo
000000070000000300WZ2P3oool0oooo02D0oooo0`09jPXP0?ooo`<02NX:0`3oool300WZ2Pd0oooo
00<000000?VZDP3iZU801P3iZU83000000D0Yl3[00<000000:O0j`2W`>/02@2W`>/2000000P0oooo
00<000000?ooo`3oool0:`3oool00?l0oooo8P3oool00`000000oooo0?ooo`0E0?ooo`@000001`3o
ool00`000000oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool00P3o
ool40000000400WZ2P3oool0oooo00000080oooo00D000000?ooo`3oool0000000WZ2P04000001l0
oooo0`09jPXP0?ooo`<02NX:0`3oool300WZ2Q40oooo00<000000?VZDP3iZU800P3iZU8300000003
0?VZDP000000Yl3[00H0Yl3[00<000000:O0j`2W`>/02@2W`>/00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo02X0oooo003o0?ooob80oooo00<000000?ooo`3oool04`3oool4000000T0oooo
00<0000000WZ2P3oool01`3oool00`09jPX0oooo0?ooo`070?ooo`0400WZ2P0000000000000000D0
oooo00<02NX:0000003oool00P3oool00`000000oooo0?ooo`020?ooo`0400WZ2P000000oooo0?oo
o`<000006@3oool300WZ2R00oooo0`09jPX30?ooo`<02NX:503oool00`000000nJYB000000020000
00D0nJYB00<000000:O0j`2W`>/0102W`>/00`000000Yl3[0:O0j`070:O0j`80Re:700<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`0Z0?ooo`00o`3ooolR0?ooo`030000003oool0oooo0100
oooo0`0000040?ooo`0300WZ2P3oool0oooo00H0oooo00<000000?ooo`09jPX01`3oool00`09jPX0
oooo0?ooo`050?ooo`<0000000<02NX:0000003oool01@3oool01@09jPX000000?ooo`3oool00000
00D0oooo00<02NX:0000003oool0103oool3000001<0oooo0`09jPXP0?ooo`<02NX:0`3oool300WZ
2QL0oooo0P0000080?VZDP8000001@2W`>/00`000000Yl3[0:O0j`040:O0j`D0Re:70P0000080?oo
o`030000003oool0oooo02X0oooo003o0?ooob40oooo00<000000?ooo`3oool03P3oool3000000P0
oooo00<02NX:0?ooo`3oool01@3oool010000000oooo0?ooo`09jPX70?ooo`0400WZ2P3oool0oooo
0?ooo`<000000P3oool2000000L0oooo00D0000000WZ2P3oool0oooo000000050?ooo`0300000009
jPX0oooo00L0oooo0`00000=0?ooo`<02NX:803oool300WZ2P<0oooo0`09jPXJ0?ooo`030000003i
ZU80nJYB00H0nJYB00<02NX:0000000000001P2W`>/00`000000Yl3[0:O0j`0808]BQ`030000002W
`>/0000000P0oooo00<000000?ooo`3oool0:@3oool00?l0oooo8@3oool00`000000oooo0?ooo`0;
0?ooo`<00000303oool00`09jPX0oooo0?ooo`040?ooo`040000003oool0oooo00WZ2PP0oooo00<0
2NX:0?ooo`0000001@3oool20000000300WZ2P3oool0oooo00@0oooo00@000000?ooo`09jPX00000
1@3oool010000000001U00000009jPX80?ooo`040000003oool00000000000P0oooo0`09jPXO0?oo
o`@02NX:0`3oool300WZ2Q/0oooo0`09jPX00`000000nJYB0?VZDP080?VZDP030000002W`>/0Yl3[
00<0Yl3[00<0000008]BQ`2;DXL0202;DXL00`000000Yl3[000000070?ooo`800000:`3oool00?l0
oooo8@3oool00`000000oooo0?ooo`070?ooo`@00000403oool00`09jPX0oooo0?ooo`030?ooo`05
0000003oool0oooo0?ooo`09jPX0203oool00`09jPX000000?ooo`040?ooo`040000003oool02NX:
00WZ2P@0oooo00D000000?ooo`3oool0000000WZ2P050?ooo`050000000006D000000?ooo`09jPX0
1P3oool00`000000oooo0?ooo`020?ooo`8000000`3oool300WZ2Ql0oooo0`09jPX40?ooo`<02NX:
6P3oool400WZ2P<0oooo00<000000?VZDP3iZU802@3iZU800`000000Yl3[08]BQ`0208]BQ`030000
002;DXL0Re:700P0Re:700@000000:O0j`2W`>/000000`3oool3000000030?ooo`000000oooo02X0
oooo003o0?ooob40oooo00<000000?ooo`3oool0103oool3000001D0oooo00<02NX:0?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo0P0000000`09jPX0oooo
0?ooo`020?ooo`040000003oool0oooo0?ooo`802NX:0`3oool01P000000oooo0?ooo`000000oooo
00WZ2P<0oooo00H000000000I@0006D0001U00000009jPX60?ooo`030000003oool0oooo00@0oooo
0`09jPXO0?ooo`<02NX:103oool300WZ2QX0oooo0`09jPX40?ooo`<02NX:00@000000?VZDP09jPX0
2NX:0P0000060?VZDP030000002;DXL0Re:700<0Re:700<0000008]BQ`2;DXL0202;DXL00`000000
Yl3[00000003000000@0oooo00<000000?ooo`3oool0:@3oool00?l0oooo8@3oool010000000oooo
0?ooo`3oool3000001T0oooo00D02NX:0?ooo`3oool0oooo000000050?ooo`0300WZ2P3oool0oooo
0080oooo00D000000?ooo`000000oooo00WZ2P030?ooo`030000003oool0oooo0080oooo0P09jPX0
1@3oool000000?ooo`3oool0000000<0oooo00@02NX:0?ooo`3oool000000`0006D00`000000oooo
00WZ2P040?ooo`030000003oool0oooo0080oooo0`09jPX00`3oool000000000000L0?ooo`<02NX:
103oool300WZ2QX0oooo0`09jPX40?ooo`<02NX:00D0oooo00WZ2P09jPX02NX:000000020?VZDP80
00001P3iZU800`000000Re:708]BQ`0208]BQ`8000002P2;DXL010000000Yl3[0:O0j`0000070?oo
o`030000003oool0oooo02P0oooo003o0?ooob00oooo00<000000?ooo`0000000P00000L0?ooo`05
00WZ2P3oool0oooo0?ooo`000000103oool20000000600WZ2P3oool0oooo0000003oool000000P3o
ool01009jPX0oooo0?ooo`0000060?ooo`0500WZ2P3oool000000?ooo`000000103oool00`09jPX0
oooo000000040000I@040000003oool0oooo00WZ2P80oooo00<000000?ooo`3oool00`09jPX60?oo
o`8000005`3oool300WZ2P@0oooo0`09jPXJ0?ooo`<02NX:103oool300WZ2P040?ooo`09jPX02NX:
00WZ2P<0oooo00<000000?VZDP3iZU80203iZU800`000000Re:7000000020000000308]BQ`000000
Re:700T0Re:700D000000:O0j`2W`>/0Yl3[000000060?ooo`030000003oool0oooo02P0oooo003o
0?ooob00oooo0P00000P0?ooo`0400WZ2P3oool0oooo000000@0oooo0P0000000`09jPX0oooo0000
00020?ooo`070000003oool0oooo0?ooo`09jPX0oooo000000030?ooo`<000000P09jPX5000000<0
oooo00<02NX:0000000006D00`0006D01P000000oooo0?ooo`3oool02NX:0?ooo`<02NX:2@3oool0
0`000000oooo0000000C0?ooo`<02NX:103oool300WZ2QX0oooo0`09jPX40?ooo`<02NX:00@0oooo
00WZ2P09jPX02NX:1`3oool00`000000nJYB0?VZDP060?VZDP<000001@2;DXL00`000000Re:708]B
Q`0708]BQ`050000002W`>/0Yl3[0:O0j`0000001P3oool00`000000oooo0?ooo`0X0?ooo`00o`3o
oolP0?ooo`030000003oool0oooo0200oooo00<02NX:0?ooo`0000001@3oool300WZ2P80oooo00<0
00000?ooo`3oool00P3oool00`0000002NX:00000003000000@0`gj60P09jPX010000000`gj60<=n
QP33OXH40000000300WZ2P0006D0001U0080001U00<000000?ooo`3oool00`09jPX;0?ooo`040000
003oool0oooo0?ooo`8000003P3oool300WZ2P@0oooo0`09jPXJ0?ooo`<02NX:0`3oool400WZ2P04
0?ooo`09jPX02NX:00WZ2PX0oooo00<000000?VZDP3iZU800`3iZU83000000030?VZDP000000Re:7
00D0Re:700<0000008]BQ`2;DXL01`2;DXL00`000000Yl3[0:O0j`020:O0j`030000003oool0oooo
00@0oooo00<000000?ooo`3oool09`3oool00?l0oooo803oool00`000000oooo0?ooo`0Q0?ooo`03
00WZ2P000000oooo00D0oooo0`09jPX0103oool000000?ooo`3oool200000080`gj600<02NX:0<=n
QP33OXH01P33OXH00`0000002NX:0<=nQP050<=nQP030000000006D02NX:00<0001U0`09jPX20?oo
o`0300WZ2P3oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?oo
o`<02NX:0`3oool400WZ2QT0oooo1009jPX30?ooo`<02NX:0P3oool300WZ2Pd0oooo00<000000?VZ
DP3iZU800`0000050?VZDP030000002;DXL0Re:700<0Re:700<0000008]BQ`2;DXL01`2;DXL00`00
0000Yl3[0:O0j`030:O0j`030000003oool0oooo00<0oooo00<000000?ooo`3oool09`3oool00?l0
oooo8@3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00@0oooo00D0000000WZ2P09
jPX02NX:0?ooo`02000000D0`gj600<02NX:0<=nQP33OXH01@33OXH00`0000002NX:00WZ2P050<=n
QP030000000006D0001U00<02NX:00<000000<=nQP33OXH00`0000000`09jPX0oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo0P0000050?ooo`<02NX:0`3oool300WZ2QX0oooo0`09jPX40?oo
o`<02NX:0P3oool300WZ2Q40oooo0P0000080?VZDP030000002;DXL0Re:700@0Re:700<0000008]B
Q`2;DXL01P2;DXL00`000000Yl3[0:O0j`040:O0j`030000003oool0oooo0080oooo00<000000?oo
o`3oool09`3oool00?l0oooo8@3oool00`000000oooo0?ooo`0G0?ooo`8000002@3oool00`000000
oooo0?ooo`030?ooo`040000003oool02NX:00WZ2P8000001`33OXH00`09jPX0`gj60<=nQP030<=n
QP0400000033OXH02NX:00WZ2PD0`gj61009jPX20000I@0300000033OXH0`gj600<0`gj600<00000
00WZ2P3oool01P3oool00`000000oooo0?ooo`080?ooo`030000003oool02NX:00802NX:0`3oool3
00WZ2QX0oooo0`09jPX40?ooo`<02NX:0P3oool300WZ2Q@0oooo00<000000?VZDP3iZU801`3iZU80
0`000000Re:708]BQ`0408]BQ`030000002;DXL0Re:700H0Re:700<000000:O0j`2W`>/0102W`>/0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo02H0oooo003o0?ooob40oooo00<000000?oo
o`3oool05`3oool2000000T0oooo00<000000?ooo`3oool00P3oool01@000000oooo000000000000
2NX:008000001`33OXH00`09jPX0`gj60<=nQP020<=nQP0400000033OXH0`gj60<=nQP802NX:00D0
`gj600WZ2P09jPX02NX:000000030000I@0300WZ2P0006D0000000L0`gj600<02NX:0000003oool0
103oool00`000000oooo0?ooo`070?ooo`<02NX:0`3oool300WZ2QX0oooo0`09jPX40?ooo`<02NX:
0P3oool300WZ2QP0oooo00<000000?VZDP3iZU801P3iZU800`000000Re:708]BQ`0508]BQ`030000
002;DXL0Re:700D0Re:700<000000:O0j`2W`>/01@2W`>/00`000000oooo0?ooo`03000002P0oooo
003o0?ooob40oooo00<000000?ooo`3oool0603oool00`09jPX0oooo0?ooo`070?ooo`0700000009
jPX0oooo0?ooo`000000oooo000000020<=nQP802NX:2@33OXH01009jPX0`gj60<=nQP0000040<=n
QP<02NX:0`33OXH00`000000001U0000I@020000I@0300WZ2P000000`gj600L0`gj600<02NX:0000
003oool00P3oool00`000000oooo0?ooo`050?ooo`<02NX:0P3oool0100000002NX:00WZ2P09jPXJ
0?ooo`<02NX:103oool300WZ2P80oooo0`09jPXK0?ooo`030000003iZU80nJYB00@0nJYB0`000007
08]BQ`030000002;DXL0Re:700D0Re:700<000000:O0j`2W`>/01P2W`>/200000080oooo00<00000
0?ooo`3oool09P3oool00?l0oooo8P3oool00`000000oooo0?ooo`0H0?ooo`0300WZ2P3oool0oooo
00H0oooo00@000000?ooo`09jPX0oooo0P0000040<=nQP802NX:2@33OXH01009jPX000000<=nQP33
OXH300WZ2P80`gj60P09jPX30<=nQP030000000006D0001U0080001U00<02NX:0<=nQP33OXH01`33
OXH01@09jPX000000000003oool0000000@0oooo0`09jPX30?ooo`<02NX:00<000000?ooo`3oool0
5`3oool300WZ2P@0oooo0`09jPX20?ooo`<02NX:703oool200WZ2P050000003iZU80nJYB0?VZDP09
jPX00P3iZU83000000L0Re:700<0000008]BQ`2;DXL01@2;DXL00`000000Yl3[0:O0j`060:O0j`05
0000003oool0oooo0?ooo`000000:03oool00?l0oooo8P3oool00`000000oooo0?ooo`0I0?ooo`03
00WZ2P3oool0oooo00D0oooo00D000000?ooo`3oool02NX:000000060<=nQP802NX:2033OXH01@00
00002NX:0<=nQP09jPX0`gj6008000000`33OXH01@09jPX0000000000033OXH0000000@0001U00<0
000000WZ2P33OXH01`33OXH00`09jPX0`gj60<=nQP02000000040?ooo`09jPX02NX:00WZ2P<0oooo
0`09jPX01@000000oooo0?ooo`3oool0000001D0oooo0`09jPX40?ooo`<02NX:0P3oool300WZ2Q/0
oooo1009jPX0103oool02NX:00WZ2P0000070?VZDP030000002;DXL0Re:700D0Re:70P00000708]B
Q`030000002W`>/0Yl3[00H0Yl3[00@000000?ooo`3oool00000:03oool00?l0oooo8P3oool00`00
0000oooo0?ooo`0J0?ooo`0300WZ2P3oool0oooo00@0oooo00D000000?ooo`3oool0000000WZ2P06
0<=nQP<02NX:1P33OXH010000000`gj600WZ2P09jPX70<=nQP0500WZ2P00000000000<=nQP000000
100006D00`000000`gj600WZ2P080<=nQP0300WZ2P33OXH02NX:00802NX:0`3oool300WZ2P<0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0>0?ooo`@02NX:0`3oool400WZ2P030?oo
o`09jPX02NX:00802NX:6`3oool300WZ2P80oooo0`09jPX20?ooo`030000003iZU80nJYB00D0nJYB
00<0000008]BQ`2;DXL00P2;DXL30000000308]BQ`000000Re:700H0Re:700<000000:O0j`2W`>/0
1`2W`>/00`000000oooo0000000X0?ooo`00o`3ooolS0?ooo`030000003oool0oooo01X0oooo00<0
2NX:0?ooo`3oool00`3oool01P000000oooo000000000000`gj600WZ2PH0`gj60P09jPX40<=nQP80
00000P09jPX00`33OXH02NX:0<=nQP070<=nQP0400WZ2P33OXH0`gj6000000@0001U00<000000<=n
QP09jPX01`33OXH300WZ2P<0`gj60`09jPX50?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02`3oool300WZ2P@0oooo0`09jPX20?ooo`<02NX:703oool300WZ2P80oooo0`09jPX60?oo
o`030000003iZU80nJYB00@0nJYB00<0000008]BQ`0000000P00000508]BQ`030000002;DXL0Re:7
00@0Re:700<000000:O0j`2W`>/01`2W`>/010000000oooo0?ooo`00000W0?ooo`00o`3ooolS0?oo
o`030000003oool0oooo01/0oooo00<02NX:0?ooo`3oool00P3oool010000000oooo000000000002
0<=nQP0300WZ2P33OXH0`gj600<0`gj600<02NX:0<=nQP09jPX00P33OXH00`000000`gj600WZ2P04
0<=nQP0300WZ2P33OXH0`gj600H0`gj600<02NX:0<=nQP000000100006D010000000`gj60<=nQP09
jPX30<=nQP<02NX:0`33OXH300WZ2P030<=nQP000000oooo00D0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`070?ooo`<02NX:103oool300WZ2P80oooo0`09jPXL0?ooo`<02NX:0P3o
ool300WZ2PT0oooo00<000000?VZDP3iZU800`3iZU83000000P0Re:700<0000008]BQ`2;DXL0102;
DXL00`000000Yl3[0:O0j`080:O0j`030000003oool0000002L0oooo003o0?ooob@0oooo00<00000
0?ooo`3oool06P3oool00`09jPX0oooo0?ooo`020?ooo`80000000D0`gj600000033OXH0`gj600WZ
2P050<=nQP0300WZ2P33OXH02NX:008000000P09jPX60<=nQP0300WZ2P33OXH0`gj600D0`gj60P09
jPX00`000000001U0000I@020000I@0800000033OXH0`gj60<=nQP09jPX0`gj600WZ2P33OXH20000
00<02NX:00<0`gj60000000000000P33OXH00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool00`3oool300WZ2P@0oooo0`09jPX20?ooo`<02NX:703oool300WZ
2P80oooo0`09jPX<0?ooo`030000003iZU80nJYB00<0000000<0nJYB0000002;DXL02@2;DXL00`00
0000Re:708]BQ`0308]BQ`030000002W`>/0Yl3[00P0Yl3[00<000000?ooo`0000009`3oool00?l0
oooo903oool00`000000oooo0?ooo`0K0?ooo`0400WZ2P3oool0oooo0?ooo`<000001033OXH00`09
jPX0`gj60<=nQP020<=nQP0300WZ2P33OXH0000000802NX:2@33OXH00`09jPX0`gj60<=nQP040<=n
QP0300WZ2P33OXH02NX:00@0001U00@000000<=nQP33OXH0`gj60P09jPX01033OXH02NX:00WZ2P09
jPX40<=nQP8000000`33OXH010000000oooo0?ooo`00000:0?ooo`030000003oool02NX:00802NX:
103oool300WZ2P80oooo0`09jPXK0?ooo`@02NX:0P3oool300WZ2Q00oooo0P0000050?VZDP030000
002;DXL0Re:700L0Re:700<0000008]BQ`2;DXL00`2;DXL00`000000Yl3[0:O0j`090:O0j`800000
9`3oool00?l0oooo903oool00`000000oooo0?ooo`0L0?ooo`0600WZ2P3oool0oooo00000033OXH0
00001@33OXH01009jPX0`gj60<=nQP33OXH20000000400WZ2P33OXH02NX:00WZ2PT0`gj600<02NX:
0<=nQP33OXH01033OXH200WZ2P@0001U00<000000<=nQP33OXH01009jPX70<=nQP0300WZ2P33OXH0
`gj600<0`gj600<000000?ooo`0000002@3oool300WZ2P@0oooo0`09jPX20?ooo`<02NX:6`3oool3
00WZ2P80oooo1009jPXC0?ooo`030000003iZU80nJYB00@0nJYB00<0000008]BQ`2;DXL01`2;DXL0
0`000000Re:708]BQ`0308]BQ`030000002W`>/0Yl3[00T0Yl3[0P00000W0?ooo`00o`3ooolU0?oo
o`8000007@3oool01@09jPX0000000000033OXH0000000H0`gj600H02NX:0<=nQP000000`gj600WZ
2P0000020<=nQP0300WZ2P33OXH0`gj600P0`gj600<02NX:0<=nQP33OXH00`33OXH00`09jPX00000
00WZ2P030000I@0400000009jPX02NX:00WZ2P80`gj600<02NX:0<=nQP33OXH01P33OXH00`09jPX0
`gj60<=nQP030<=nQP030000003oool0oooo00D0oooo00L0000000WZ2P09jPX000000?ooo`000000
oooo00<02NX:0P3oool300WZ2Q/0oooo0`09jPX20?ooo`<02NX:603oool00`000000nJYB0?VZDP03
0?VZDP030000002;DXL0Re:700P0Re:700<0000008]BQ`2;DXL00P2;DXL00`000000Yl3[0:O0j`06
0:O0j`<0000000<0oooo0000003oool09P3oool00?l0oooo9`3oool00`000000oooo0?ooo`0K0?oo
o`0300WZ2P000000`gj600@000000`33OXH200000080`gj60P0000030<=nQP0300WZ2P33OXH0`gj6
00L0`gj600<02NX:0<=nQP33OXH00`33OXH00`09jPX000000000I@0500WZ2PD0`gj600<02NX:0<=n
QP33OXH01@33OXH00`09jPX0`gj60<=nQP030<=nQP030000003oool0oooo00@0oooo00@02NX:0000
0000000000001009jPX20?ooo`<02NX:6`3oool300WZ2P80oooo0`09jPXK0?ooo`030000003iZU80
nJYB00<0nJYB00<0000008]BQ`2;DXL0202;DXL00`000000Re:708]BQ`0208]BQ`030000002W`>/0
Yl3[00<0Yl3[0`0000040?ooo`030000003oool0oooo02D0oooo003o0?ooobP0oooo0P00000J0?oo
o`0500000033OXH000000<=nQP0000000`2W`>/7000000H0`gj600<02NX:0<=nQP33OXH01`33OXH0
0`09jPX0`gj60<=nQP020<=nQPD02NX:00<0001U00000033OXH01P33OXH00`09jPX0`gj60<=nQP04
0<=nQP0300WZ2P33OXH0`gj600@0`gj600@000000?ooo`3oool0oooo0P09jPX0103oool02NX:00WZ
2P09jPX30?ooo`<02NX:6`3oool300WZ2P80oooo0`09jPXO0?ooo`030000003iZU80nJYB0080nJYB
00<0000008]BQ`2;DXL0202;DXL2000000<0Re:700<000000:O0j`2W`>/00`0000070?ooo`030000
003oool0oooo02D0oooo003o0?ooobX0oooo00<000000?ooo`3oool05`3oool00`000000`gj60000
000200000080Yl3[0P0000030:O0j`80000000<0Yl3[0000000000001000000200WZ2PT0`gj600<0
2NX:0<=nQP09jPX00P09jPX01`000000001U0000I@0006D02NX:0000I@0000001`33OXH00`09jPX0
`gj60<=nQP040<=nQP0300WZ2P33OXH0`gj600@0`gj600<0000000WZ2P09jPX00`09jPX00`3oool0
00000?ooo`0300WZ2P030000003oool0oooo01L0oooo1009jPX20?ooo`<02NX:8P3oool00`000000
nJYB0?VZDP020?VZDP030000002;DXL0Re:700D0Re:70`0000000`2;DXL0000008]BQ`0208]BQ`<0
00002`3oool00`000000oooo0?ooo`0T0?ooo`00o`3oool[0?ooo`8000005`3oool01@000000`gj6
00000009jPX0Yl3[008000001P2W`>/00`09jPX0Yl3[0:O0j`050:O0j`0300000009jPX02NX:00@0
00000`33OXH300WZ2P80`gj60P0000030000I@0300WZ2P0006D0000000P0`gj600<02NX:0<=nQP33
OXH00`33OXH00`09jPX0`gj60<=nQP040<=nQP<02NX:0`3oool300WZ2P@0oooo00<000000?ooo`3o
ool04`3oool300WZ2P<0oooo0`09jPXR0?ooo`<02NX:00<000000?VZDP3iZU800P3iZU800`000000
Re:708]BQ`0208]BQ`<000001@2;DXL01@000000Re:708]BQ`2;DXL0000000`0oooo00<000000?oo
o`3oool0903oool00?l0oooo;@3oool3000001<0oooo00<02NX:00000033OXH0100000080:O0j`03
00WZ2P2W`>/0Yl3[00H0Yl3[00<02NX:0:O0j`2W`>/00P2W`>/00`0000002NX:00WZ2P0200000003
0<=nQP09jPX0`gj600800000100006D00`09jPX000000<=nQP080<=nQP0300WZ2P33OXH0`gj60080
`gj600@02NX:0<=nQP33OXH0`gj60`09jPX20<=nQP0500000009jPX02NX:00WZ2P0000001P3oool0
0`000000oooo0?ooo`0@0?ooo`<02NX:0`3oool300WZ2R40oooo1009jPX40?ooo`060000003iZU80
nJYB0?VZDP000000Re:70`00000908]BQ`040000002;DXL0Re:7000000`0oooo00<000000?ooo`3o
ool0903oool00?l0oooo<03oool3000000d0oooo0`09jPX0103oool000000000000000020:O0j`03
00WZ2P2W`>/0Yl3[00H0Yl3[00<02NX:0:O0j`2W`>/01`2W`>/01009jPX0Yl3[0:O0j`09jPX30000
0080Yl3[1@0000050000I@0300WZ2P33OXH0`gj600L0`gj600<02NX:0<=nQP33OXH00P33OXH500WZ
2P030<=nQP09jPX02NX:00802NX:00<000000?ooo`000000203oool00`000000oooo0?ooo`0<0?oo
o`<02NX:0`3oool300WZ2R40oooo0`09jPX80?ooo`030000003iZU80nJYB00<000003@2;DXL00`00
0000Re:70000000:0?ooo`<000009P3oool00?l0oooo<`3oool6000000<0oooo0`09jPX500000003
0<=nQP000000Yl3[0080Yl3[00<0000000WZ2P2W`>/01P2W`>/00`09jPX0Yl3[0:O0j`080:O0j`80
2NX:1`2W`>/200000080Yl3[100000000`0006D0000000WZ2P090<=nQP0300WZ2P33OXH02NX:00L0
2NX:1@33OXH00`000000oooo0?ooo`070?ooo`030000003oool0oooo00T0oooo0`09jPX20?ooo`@0
2NX:8@3oool300WZ2P`0oooo0P0000000`3iZU80000008]BQ`0=08]BQ`030000002;DXL0000000L0
oooo0`0000020?ooo`030000003oool0oooo02@0oooo003o0?ooocT0oooo1P0000040?ooo`800000
1@2W`>/00`0000002NX:0:O0j`060:O0j`0300WZ2P2W`>/0Yl3[00D0Yl3[1009jPX80:O0j`0300WZ
2P2W`>/0Yl3[00@0Yl3[0P0000000`09jPX00000000000060<=nQP<02NX:0P33OXH300WZ2PP0`gj6
00<000000?ooo`3oool01P3oool2000000L0oooo1009jPX20?ooo`<02NX:8P3oool300WZ2Pl0oooo
00@000000?VZDP3iZU8000003`2;DXL2000000@0oooo0`0000050?ooo`030000003oool0oooo02@0
oooo003o0?ooocH0oooo0`09jPX:0?ooo`8000001@2W`>/00`000000Yl3[00WZ2P060:O0j`0300WZ
2P2W`>/0Yl3[00@0Yl3[00@02NX:0:O0j`2W`>/0Yl3[0P09jPX80:O0j`0300WZ2P2W`>/0Yl3[00@0
Yl3[00@000000:O0j`09jPX0Yl3[1000000200WZ2P0300000033OXH02NX:00802NX:0P00000:0<=n
QP030000003oool0oooo00D0oooo00<000000?ooo`0000000`3oool300WZ2P<0oooo0`09jPXQ0?oo
o`@02NX:4`3oool010000000nJYB0?VZDP00000=08]BQ`<0000000@0oooo0000000000000000203o
ool00`000000oooo0?ooo`0T0?ooo`00o`3ooolc0?ooo`<02NX:3@3oool4000000<0Yl3[00<00000
0:O0j`09jPX01P2W`>/00`09jPX0Yl3[0:O0j`020:O0j`802NX:1@2W`>/00`09jPX0Yl3[0:O0j`06
0:O0j`0300WZ2P2W`>/0Yl3[00@0Yl3[00@000000:O0j`2W`>/02NX:0P2W`>/00`09jPX000000000
000300WZ2PD000002P33OXH00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000<02NX:
0`3oool300WZ2R40oooo0`09jPXG0?ooo`040000003iZU80nJYB000000X0Re:70`000000103oool0
000000000000000:0?ooo`030000003oool0oooo02D0oooo003o0?oooc00oooo0`09jPX@0?ooo`04
00000033OXH0`gj60<=nQPH0000000<02NX:0:O0j`2W`>/00`2W`>/00`09jPX0Yl3[0:O0j`0200WZ
2PP0Yl3[00<02NX:0:O0j`2W`>/01@2W`>/00`09jPX0Yl3[0:O0j`030:O0j`030000I@000000Yl3[
0080Yl3[1@09jPX40:O0j`8000000P2W`>/6000000D0`gj600<000000?ooo`3oool00`3oool01000
00002NX:00WZ2P09jPX30?ooo`<02NX:8@3oool300WZ2Q/0oooo00<000000?VZDP0000001`2;DXL3
00000080nJYB0P0000020?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool09@3oool0
0?l0oooo:P3oool3000000<02NX:4`3oool00`000000`gj60<=nQP030<=nQP0300000033OXH00000
0080`gj600<02NX:0000000000000P0000000`2W`>/02NX:00WZ2P0;0:O0j`0300WZ2P2W`>/0Yl3[
00D0Yl3[00<02NX:0:O0j`2W`>/00P2W`>/00`0006D000000:O0j`0400WZ2PP0Yl3[00<02NX:0:O0
j`2W`>/01P2W`>/5000000040<=nQP000000oooo0?ooo`<02NX:0P3oool0100000002NX:00WZ2P09
jPXQ0?ooo`<02NX:7`3oool2000000@0Re:70`0000050?VZDP030000003oool0oooo0080oooo00<0
00000?ooo`3oool01P3oool2000002L0oooo003o0?ooobL0oooo1000000200WZ2P030?ooo`000000
000001@0oooo00D000000<=nQP33OXH0`gj6000000030<=nQP0400000033OXH0`gj600WZ2P80`gj6
00<02NX:00000009jPX00`00000:0:O0j`0300WZ2P2W`>/0Yl3[00@0Yl3[00@02NX:0:O0j`2W`>/0
Yl3[0P0006D300WZ2P80Yl3[00<02NX:0:O0j`2W`>/01P2W`>/00`09jPX0Yl3[0:O0j`0;0:O0j`80
00000P09jPX2000000040?ooo`09jPX02NX:00WZ2R00oooo1009jPXR0?ooo`80000000@0Re:70000
000000000000203iZU800`000000oooo0?ooo`030?ooo`030000003oool0oooo0080oooo0`000000
0`3oool000000?ooo`0V0?ooo`00o`3ooolT0?ooo`<0000000<02NX:000000000000100000020?oo
o`030000003oool0oooo0140oooo00D000000<=nQP33OXH0`gj6000000030<=nQP0500000033OXH0
`gj60<=nQP09jPX00P33OXH20000000300WZ2P33OXH0`gj600@000001P2W`>/200WZ2PD0Yl3[00<0
2NX:0:O0j`2W`>/00`09jPX00`000000Yl3[0:O0j`030:O0j`0300WZ2P2W`>/0Yl3[00H0Yl3[00<0
2NX:0:O0j`2W`>/02@2W`>/200WZ2P8000001009jPX2000000030?ooo`000000oooo01/0oooo0`09
jPXW0?ooo`8000002`3iZU800`000000oooo0?ooo`020?ooo`H000000`3oool00`000000oooo0?oo
o`0V0?ooo`00o`3ooolS0?ooo`D0000000<0oooo0000000000001P3oool00`000000oooo0?ooo`0@
0?ooo`0400000033OXH0`gj6000000@0`gj600<000000<=nQP33OXH00P33OXH2000000T0`gj61@00
00020:O0j`0300WZ2P2W`>/0Yl3[00<0Yl3[0`09jPX30000I@030000002W`>/0Yl3[00@0Yl3[00<0
2NX:0:O0j`2W`>/01@2W`>/00`09jPX0Yl3[0:O0j`080:O0j`0300WZ2P2W`>/02NX:00802NX:1P2W
`>/2000001T0oooo0`09jPXZ0?ooo`030000003iZU80nJYB00X0nJYB00<000000?ooo`0000001@00
0000103oool000000?ooo`3oool2000002T0oooo003o0?ooob80oooo00<02NX:0000000000000`3o
ool2000000H0oooo0`00000@0?ooo`0500WZ2P000000`gj60<=nQP0000001@33OXH010000000`gj6
0<=nQP33OXH2000000h0`gj60`0000000`09jPX0000000WZ2P0200WZ2P030:O0j`09jPX0001U00<0
001U00<000000:O0j`2W`>/01@2W`>/00`09jPX0Yl3[0:O0j`040:O0j`0300WZ2P2W`>/0Yl3[00H0
Yl3[1009jPX:0:O0j`030000003oool0oooo01@0oooo0`09jPX^0?ooo`030000003iZU80nJYB00P0
nJYB1P0000040?ooo`<00000:`3oool00?l0oooo803oool200WZ2P030000003oool0oooo00<0oooo
00<000000?ooo`0000000P3oool300000080Re:700<000000?ooo`3oool02`3oool300WZ2P040?oo
o`000000`gj6000000H0`gj600D000000<=nQP33OXH0`gj600WZ2P0A0<=nQP<02NX:0P33OXH30000
00@0001U00<000000:O0j`2W`>/01P2W`>/00`09jPX0Yl3[0:O0j`030:O0j`0300WZ2P2W`>/0Yl3[
00@0Yl3[0`09jPX<0:O0j`8000004`3oool300WZ2S80oooo00<000000?VZDP3iZU80103iZU830000
00030?VZDP000000000000@0oooo0`00000^0?ooo`00o`3ooolM0?ooo`<02NX:0P3oool010000000
oooo0?ooo`3oool300000080oooo0P00000508]BQ`8000002@3oool300WZ2P80oooo0`09jPX20000
00L0`gj600D000000<=nQP33OXH0`gj600WZ2P0=0<=nQP<02NX:0`33OXH00`09jPX0`gj60<=nQP02
000000@0001U1@0000050:O0j`0300WZ2P2W`>/0Yl3[0080Yl3[00@02NX:0:O0j`2W`>/0Yl3[0`09
jPX>0:O0j`030000003oool0000000l0oooo1009jPXf0?ooo`030000003iZU80nJYB00<00000103i
ZU800`000000oooo0?ooo`0300000340oooo003o0?oooa/0oooo0P09jPX40?ooo`D000000P3oool0
10000000oooo0?ooo`00000608]BQ`030000003oool0000000D0oooo0`09jPX20?ooo`<02NX:0`3o
ool00`000000`gj60<=nQP060<=nQP0500000033OXH0`gj60<=nQP09jPX03033OXH01009jPX0`gj6
0000000000040<=nQP80000000<0`gj60000000006D00`0006D00`000000`gj60<=nQP020<=nQPD0
000000<02NX:0:O0j`2W`>/00`2W`>/400WZ2Q00Yl3[00<000000?ooo`000000303oool300WZ2S/0
oooo0P0000060?VZDP@00000=03oool00?l0oooo6@3oool200WZ2PD0oooo0P0000060?ooo`040000
003oool0oooo000000H0Re:710000000103oool02NX:00WZ2P09jPX20?ooo`<02NX:1P3oool00`00
0000`gj60<=nQP050<=nQP0300000033OXH000000080`gj600<02NX:0<=nQP33OXH02033OXH200WZ
2PP0`gj60P0000000`33OXH000000000I@030000I@0300000033OXH0`gj600L0`gj600<0000000WZ
2P0000001P09jPX@0:O0j`030000003oool0000000X0oooo0`09jPY00?ooo`8000000P3iZU830000
03L0oooo003o0?oooaH0oooo0`09jPX70?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3o
ool0oooo0000000608]BQ`030000003oool02NX:00802NX:0P3oool300WZ2PX0oooo00<000000<=n
QP33OXH01033OXH010000000`gj60<=nQP0000020<=nQP0300WZ2P33OXH0`gj600D0`gj60P09jPX:
0<=nQP0400WZ2P33OXH0`gj6000000@0001U00<000000<=nQP33OXH01`33OXH300WZ2P80`gj61000
000?0:O0j`040000003oool0oooo000000L0oooo0`09jPY50?ooo`800000>P3oool00?l0oooo503o
ool200WZ2PX0oooo00<000000?ooo`3oool00P3oool300000080oooo00<0000008]BQ`2;DXL0102;
DXL300WZ2P80oooo0`09jPX=0?ooo`0300000033OXH0`gj600<0`gj600<000000<=nQP33OXH00P33
OXH00`000000`gj600WZ2P060<=nQP0300WZ2P33OXH0`gj600/0`gj600<02NX:0<=nQP0000001000
06D00`000000`gj60<=nQP040<=nQP<02NX:0`33OXH00`09jPX0`gj60<=nQP02000000030<=nQP00
0000000000<000002P2W`>/010000000oooo0?ooo`0000030?ooo`@02NX:Q03oool00?l0oooo4P3o
ool200WZ2P`0oooo00<000000?ooo`0000000P0000020:O0j`80000000<0oooo0000002;DXL00P2;
DXL300WZ2P0308]BQ`0000002NX:00802NX:00<0oooo0000003oool03P3oool01@000000`gj60<=n
QP33OXH0000000D0`gj600<000000<=nQP09jPX01033OXH200WZ2Ph0`gj600<02NX:0<=nQP000000
100006D00`000000`gj60<=nQP030<=nQP0400WZ2P33OXH00000000000@0`gj60P0000080<=nQPH0
00000`2W`>/01@000000oooo0?ooo`3oool0000000<02NX:R03oool00?l0oooo403oool200WZ2Ph0
oooo0P0000050:O0j`040000002W`>/00000000000<02NX:0P2;DXL300WZ2P@0oooo00<000000?oo
o`3oool03@3oool01@000000`gj60<=nQP33OXH0000000H0`gj600@0000000WZ2P33OXH0`gj60P09
jPX@0<=nQP0300WZ2P33OXH0000000D0001U00<000000<=nQP33OXH00P09jPX80<=nQP8000003P33
OXH300000080oooo0`09jPZ;0?ooo`00o`3oool=0?ooo`<02NX:403oool00`000000Yl3[0:O0j`04
0:O0j`040000002W`>/0Yl3[00000080Re:70`09jPX208]BQ`040000003oool0oooo0?ooo`<00000
3`3oool00`000000`gj6000000080<=nQP0300000009jPX02NX:01<0`gj600<02NX:0000000006D0
100006D00`000000`gj600WZ2P0:0<=nQP0300WZ2P33OXH0`gj600l0`gj60`09jPX00`3oool00000
0?ooo`2;0?ooo`00o`3oool;0?ooo`802NX:4`3oool2000000H0Yl3[00<000000:O0j`09jPX00P09
jPX508]BQ`@000000P3oool00`000000oooo0?ooo`0:0?ooo`<02NX:00<000000<=nQP0000002033
OXH3000001<0`gj600<02NX:0000000006D0100006D00`0000002NX:0<=nQP0;0<=nQP0300WZ2P33
OXH0`gj600/0`gj60`09jPX00`000000oooo0000000<00000880oooo003o0?ooo`T0oooo0P09jPXE
0?ooo`030000003oool0000000@0Yl3[00@02NX:00000009jPX0Yl3[0P00000508]BQ`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01P3oool300WZ2P@0oooo00<000000<=nQP33OXH01`33
OXH400000180`gj600<02NX:0000000006D0100006D00`000000`gj60<=nQP0;0<=nQP0300WZ2P33
OXH0`gj600X0`gj600<02NX:0<=nQP0000000`0000000`2=EXX0000008eFRP0:08eFRP<00000O`3o
ool00?l0oooo1P3oool300WZ2QP0oooo0P0000000`2W`>/02NX:00WZ2P03000000<0Yl3[00<00000
08]BQ`2;DXL00`2;DXL00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0`09jPX5
0?ooo`802NX:00<000000<=nQP33OXH01`33OXH010000000`gj60<=nQP33OXH200000100`gj600<0
2NX:0000000006D0100006D00`000000`gj60<=nQP0;0<=nQP0300WZ2P33OXH0`gj600P0`gj60P09
jPX40<=nQP040000002=EXX00000000000h0SEJ:0P00001m0?ooo`00o`3oool40?ooo`802NX:603o
ool300WZ2PD000000P2W`>/00`000000Yl3[0:O0j`020:O0j`030000002;DXL0Re:70080Re:700<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0300WZ2PD0oooo0`09jPX30?ooo`0300000033
OXH0`gj600H0`gj600<000000<=nQP33OXH00`33OXH00`000000`gj60<=nQP0>0<=nQP0300000000
06D0001U00<0001U00<000000<=nQP33OXH03033OXH00`09jPX0`gj60<=nQP050<=nQP802NX:1P33
OXH010000000SEJ:00000000000@08eFRP800000N`3oool00?l0oooo0P3oool200WZ2QP0oooo0P09
jPX00`3oool02NX:00WZ2P03000000@0Yl3[00<000000:O0j`2W`>/00`2W`>/01@000000Re:708]B
Q`2;DXL0000000H0oooo00<0000000WZ2P09jPX0103oool400WZ2P<0oooo0`09jPX00`3oool00000
0<=nQP050<=nQP0300000033OXH0`gj600D0`gj60P00000>0<=nQP800000100006D00`000000`gj6
0<=nQP0<0<=nQP0300WZ2P33OXH0`gj600@0`gj600<02NX:0<=nQP33OXH01P33OXH3000001<0SEJ:
00<000000?ooo`3oool0N03oool00?l0oooo0P09jPXG0?ooo`H02NX:0P3oool010000000oooo0?oo
o`0000040:O0j`030000002W`>/0Yl3[00<0Yl3[00@0000008]BQ`2;DXL000000`3oool300WZ2P80
00000P3oool300WZ2P@0oooo0`09jPX50?ooo`0300000033OXH0`gj60080`gj600<000000<=nQP33
OXH02033OXH00`000000`gj60<=nQP0;0<=nQP800000100006D00`000000`gj60<=nQP0<0<=nQP03
00WZ2P33OXH0`gj60080`gj60P09jPX90<=nQP<00000502=EXX00`000000oooo0?ooo`1g0?ooo`00
o03oool300WZ2QH0oooo0`09jPX00`3oool02NX:00WZ2P050?ooo`050000003oool0oooo0?ooo`00
00000`2W`>/00`000000Yl3[0:O0j`030:O0j`040000002;DXL0Re:7000000<02NX:103oool300WZ
2P<0oooo1009jPX80?ooo`0300000033OXH0`gj60080`gj600<000000<=nQP33OXH02@33OXH20000
00/0`gj600<000000000I@0006D00`0006D00`000000`gj60<=nQP0<0<=nQP0300WZ2P33OXH0`gj6
00802NX:2P33OXH30000000300WZ2P2=EXX0SEJ:00`0SEJ:00<0000008eFRP2=EXX0102=EXX00`00
0000oooo0?ooo`1f0?ooo`00nP3oool200WZ2QL0oooo0P09jPX0103oool02NX:00WZ2P09jPX70?oo
o`030000003oool0oooo0080oooo00@000000:O0j`00000000001P2W`>/010000000Re:700000000
00030?ooo`<02NX:00<0oooo0000003oool00`09jPX=0?ooo`0400000033OXH0`gj6000000`0`gj6
00@000000<=nQP00000000002@33OXH00`000000001U0000I@030000I@0300000033OXH0`gj600d0
`gj60P09jPX;0<=nQP0300000033OXH000000080SEJ:00<02NX:08eFRP2=EXX00`2=EXX00`000000
SEJ:08eFRP0=08eFRP030000003oool0oooo07D0oooo003h0?ooo`802NX:5P3oool600WZ2P/0oooo
00<000000?ooo`3oool00`0000000`2W`>/000000:O0j`060:O0j`<000000`09jPX30?ooo`<02NX:
4@3oool00`000000`gj60000000;0<=nQP0300000033OXH0`gj60080`gj60P0000070<=nQP030000
000006D0001U00<0001U00<000000<=nQP33OXH03033OXH2000000/0`gj600@000000<=nQP000000
00000P2=EXX00`09jPX0SEJ:08eFRP0D08eFRP030000003oool0oooo07@0oooo003e0?ooo`<02NX:
5P3oool200WZ2P030?ooo`09jPX02NX:00h0oooo0`0000020?ooo`040000002W`>/0Yl3[000000H0
Yl3[0`09jPX00`000000oooo00WZ2P0300WZ2P80oooo00<000000?ooo`3oool0403oool2000000X0
`gj600<000000<=nQP33OXH01@33OXH00`000000`gj60<=nQP040<=nQP030000000006D0001U00<0
001U00<000000<=nQP33OXH02033OXH200WZ2P80`gj60P0000090<=nQP8000000P33OXH00`000000
SEJ:08eFRP0208eFRP0300WZ2P2=EXX0SEJ:01<0SEJ:00<000000?ooo`3oool0M03oool00?<0oooo
0P09jPXF0?ooo`H02NX:403oool00`000000oooo0?ooo`020?ooo`0400WZ2P000000Yl3[000000<0
Yl3[0`09jPX00`2;DXL0000000WZ2P0200WZ2P@0oooo0`00000A0?ooo`<02NX:00<000000<=nQP33
OXH01`33OXH00`000000`gj60<=nQP060<=nQP8000001033OXH00`000000001U0000I@030000I@03
00000033OXH0`gj601D0`gj60P0000001033OXH000000<=nQP00000608eFRP0300WZ2P2=EXX0SEJ:
01<0SEJ:00<000000?ooo`3oool0L`3oool00?40oooo0P09jPXE0?ooo`H02NX:4`3oool00`000000
oooo00WZ2P0200WZ2P040?ooo`0000000000000000<02NX:0P2;DXL300WZ2P040:O0j`000000oooo
0?ooo`<000000P3oool00`000000oooo0?ooo`0<0?ooo`<02NX:103oool00`000000`gj60<=nQP05
0<=nQP0300000033OXH0`gj600T0`gj60`0000000`33OXH000000000I@040000I@0300000033OXH0
`gj601<0`gj60P0000020<=nQP0400000033OXH00000000000L0SEJ:00<02NX:08eFRP2=EXX04`2=
EXX00`000000oooo0?ooo`1b0?ooo`00k`3oool200WZ2QD0oooo0P09jPX00`3oool02NX:00WZ2P0E
0?ooo`802NX:00@000000?ooo`3oool0oooo0P09jPX0100000002NX:0000002;DXL300WZ2P80Re:7
00<000000:O0j`2W`>/00P0000050?ooo`030000003oool0oooo00T0oooo0`09jPX60?ooo`802NX:
00<000000<=nQP33OXH01033OXH00`000000`gj60<=nQP090<=nQP0300000033OXH0`gj600<00000
100006D00`0000002NX:0<=nQP0A0<=nQP8000000`33OXH01@000000`gj60<=nQP0000002NX:00P0
SEJ:00<02NX:08eFRP2=EXX04P2=EXX2000007<0oooo003/0?ooo`<02NX:503oool600WZ2Q@0oooo
0`09jPX20?ooo`0400000009jPX02NX:00WZ2P80oooo0P00000200WZ2PH0Re:700@000000:O0j`2W
`>/000001@3oool00`000000oooo0?ooo`060?ooo`<02NX:1P3oool300WZ2P<0oooo00<000000<=n
QP33OXH00P33OXH00`000000`gj60<=nQP090<=nQP0300000033OXH0`gj60080`gj600<000000000
I@0000000P0000000`0006D000000<=nQP0?0<=nQP<000001@33OXH01@000000`gj60000002=EXX0
2NX:00P0SEJ:00<02NX:08eFRP2=EXX04`2=EXX200000780oooo003Z0?ooo`802NX:5@3oool200WZ
2P030?ooo`09jPX02NX:01@0oooo0`09jPX30?ooo`802NX:00@000000?ooo`3oool0oooo0`000000
0`2;DXL000000000000608]BQ`050000002W`>/0Yl3[0:O0j`0000001@3oool00`000000oooo0?oo
o`020?ooo`<02NX:1@3oool400WZ2PL0oooo00@000000<=nQP33OXH000003033OXH00`000000`gj6
0<=nQP020<=nQP030000000006D0001U0080001U1`0000060<=nQPD000000P33OXH00`000000`gj6
0<=nQP020<=nQP0300000033OXH0000000<0SEJ:00<02NX:08eFRP2=EXX01P2=EXX00`09jPX0SEJ:
08eFRP0C08eFRP800000L@3oool00>P0oooo0P09jPXD0?ooo`H02NX:4`3oool300WZ2P<0oooo0`09
jPX20?ooo`@000000P3oool010000000Re:708]BQ`00000608]BQ`030000002W`>/0Yl3[0080Yl3[
00<000000?ooo`3oool00P3oool00`000000oooo00WZ2P0200WZ2PD0oooo0`09jPX<0?ooo`030000
0033OXH0000000/0`gj600<000000<=nQP33OXH00`33OXH00`000000001U0000I@030000I@030000
0033OXH0`gj600<0`gj61P0000060<=nQP0300000033OXH0`gj600<0`gj60`00000408eFRP0300WZ
2P2=EXX0SEJ:00H0SEJ:00<02NX:0000000000004P2=EXX00`000000oooo0000001`0?ooo`00i@3o
ool300WZ2Q<0oooo1P09jPXC0?ooo`<02NX:0`3oool300WZ2P@0oooo00<02NX:0000000000001@3o
ool00`000000Re:70000000608]BQ`030000002W`>/0Yl3[00<0Yl3[00<000000?ooo`0000000`09
jPX50?ooo`<02NX:403oool2000000/0`gj600<000000<=nQP33OXH00`33OXH00`000000001U0000
I@020000I@0300000033OXH0`gj600P0`gj600<000000<=nQP33OXH01@33OXH00`000000`gj60<=n
QP020<=nQP80000000<0SEJ:0000002=EXX0102=EXX00`09jPX0SEJ:08eFRP0608eFRP0300WZ2P00
0000SEJ:0140SEJ:0P0000000`3oool000000?ooo`1^0?ooo`00h`3oool200WZ2Q@0oooo0P09jPX0
0`3oool02NX:00WZ2P0C0?ooo`<02NX:0`3oool300WZ2P@0oooo0`09jPX20?ooo`030000003oool0
oooo00<0oooo00<0000008]BQ`0000001P2;DXL00`000000Yl3[0:O0j`040:O0j`802NX:00<0oooo
0000003oool00P3oool300WZ2QD0oooo0P0000080<=nQP0300000033OXH0`gj600@0`gj600<00000
0000I@0006D00P0006D00`000000`gj60<=nQP070<=nQP0300000033OXH0`gj600D0`gj600<00000
0<=nQP33OXH00P33OXH20000000300WZ2P2=EXX0000000H0SEJ:00<02NX:08eFRP2=EXX06P2=EXX3
000006l0oooo003Q0?ooo`802NX:4`3oool600WZ2Q80oooo0`09jPX30?ooo`<02NX:103oool300WZ
2PH0oooo00<000000?ooo`3oool00P3oool010000000Re:708]BQ`00000508]BQ`030000002W`>/0
Yl3[00<02NX:0P0000020?ooo`0400000009jPX02NX:00WZ2QX0oooo0P0000060<=nQP0300000033
OXH0`gj600@0`gj600D000000000I@0006D0001U0000000:0<=nQP0300000033OXH0`gj600D0`gj6
00<000000<=nQP33OXH00P33OXH01P0000002NX:08eFRP09jPX0SEJ:000000H0SEJ:00<02NX:08eF
RP2=EXX06@2=EXX010000000oooo00000000001^0?ooo`00g`3oool200WZ2Q<0oooo1@09jPXB0?oo
o`<02NX:0`3oool300WZ2P@0oooo0`09jPX90?ooo`030000003oool0oooo0080oooo1000000508]B
Q`0300000009jPX02NX:00D0Yl3[0`09jPXM0?ooo`802NX:0P0000030<=nQP0300000033OXH0`gj6
00H0`gj600<000000000I@0000002P33OXH00`000000`gj60<=nQP050<=nQP0400000033OXH0`gj6
0<=nQP8000000P2=EXX01009jPX0SEJ:00WZ2P00000608eFRP0300WZ2P2=EXX0SEJ:01T0SEJ:00<0
00000?ooo`3oool00P00001]0?ooo`00g03oool300WZ2Q80oooo1@09jPXB0?ooo`<02NX:0`3oool3
00WZ2P<0oooo1009jPX<0?ooo`030000003oool0oooo00<000000P2;DXL00`000000Re:708]BQ`03
08]BQ`030000002W`>/0Yl3[0080Yl3[0`09jPX00`2W`>/000000000000J0?ooo`<02NX:103oool2
000000030<=nQP000000`gj600L0`gj600<000000000I@0000002@33OXH00`000000`gj60<=nQP06
0<=nQP0400000033OXH00000000000D0SEJ:00<02NX:00000009jPX01`2=EXX00`09jPX0SEJ:08eF
RP0H08eFRP050000003oool0oooo0?ooo`000000K@3oool00=X0oooo0P09jPXB0?ooo`H02NX:4@3o
ool300WZ2P80oooo1009jPX30?ooo`<02NX:4@3oool200000080oooo00D0000008]BQ`2;DXL0Re:7
0000000308]BQ`<000000`09jPX30:O0j`<000005`3oool300WZ2PT0oooo100000060<=nQP800000
2P33OXH00`000000`gj60<=nQP050<=nQP0400000033OXH0000000WZ2PL0SEJ:00<02NX:0000002=
EXX01`2=EXX00`09jPX0SEJ:08eFRP0H08eFRP050000003oool0oooo0?ooo`000000K03oool00=P0
oooo0P09jPXB0?ooo`D02NX:4@3oool300WZ2P80oooo0`09jPX40?ooo`<02NX:503oool01@000000
oooo0?ooo`09jPX0000000@0Re:700@0000008]BQ`09jPX000000P09jPX00`000000Yl3[0:O0j`03
00000080oooo00<000000?ooo`3oool04P3oool300WZ2Q00oooo1@0000000`33OXH0000000000009
0<=nQP0300000033OXH0`gj600H0`gj60P00000208eFRP0300WZ2P2=EXX0SEJ:00D0SEJ:00<02NX:
08eFRP2=EXX01`2=EXX00`09jPX0SEJ:08eFRP0E08eFRP<00000103oool00`000000oooo0?ooo`1Y
0?ooo`00e@3oool300WZ2Q40oooo1@09jPXA0?ooo`<02NX:0P3oool300WZ2P@0oooo0`09jPXF0?oo
o`802NX:00D0000000WZ2P3oool0000008]BQ`0300WZ2P0500000009jPX0Re:708]BQ`0000000P3o
ool2000000D0oooo00<000000?ooo`3oool03P3oool400WZ2QH0oooo00<02NX:0?ooo`0000001P00
00050<=nQP0400000033OXH0`gj60<=nQPD00000102=EXX200WZ2PH0SEJ:00<0000000WZ2P2=EXX0
202=EXX00`09jPX0SEJ:08eFRP0@08eFRP@000000P2=EXX00`000000oooo0?ooo`020?ooo`030000
003oool0oooo06T0oooo003C0?ooo`802NX:4P3oool500WZ2Q00oooo0`09jPX20?ooo`<02NX:103o
ool300WZ2QD0oooo1009jPX30?ooo`0400000009jPX0000000000080Re:70`00000208]BQ`040000
003oool0oooo000000H0oooo00<000000?ooo`3oool02`3oool300WZ2QX0oooo00<02NX:0?ooo`3o
ool00`3oool00`000000SEJ:08eFRP090000000400WZ2P2=EXX0000000WZ2PH0SEJ:00<02NX:08eF
RP2=EXX0102=EXX00`0000002NX:08eFRP0808eFRP0300WZ2P2=EXX0SEJ:00`0SEJ:1000000608eF
RP8000000`3oool00`000000oooo0?ooo`1Y0?ooo`00d@3oool200WZ2Q40oooo1@09jPX@0?ooo`<0
2NX:0P3oool300WZ2P<0oooo1009jPXD0?ooo`@02NX:0`3oool400WZ2P030000003oool0000000<0
00000P2;DXL010000000Re:708]BQ`0000020?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0203oool300WZ2Qh0oooo00D02NX:0?ooo`3oool0oooo0000000508eFRP0300WZ2P2=EXX0
SEJ:00D0SEJ:00<02NX:0000000000001`2=EXX00`09jPX0SEJ:08eFRP0308eFRP030000002=EXX0
2NX:00T0SEJ:00<02NX:08eFRP2=EXX0202=EXX3000000X0SEJ:00<000000:O0j`0000000`3oool0
0`000000oooo0?ooo`1X0?ooo`00cP3oool300WZ2Q00oooo1@09jPX@0?ooo`<02NX:0P3oool300WZ
2P<0oooo0`09jPXE0?ooo`<02NX:0`3oool400WZ2PD0oooo0`00000508]BQ`030000002;DXL00000
0080oooo00<000000?ooo`3oool00P3oool3000000L0oooo0`09jPXR0?ooo`0300WZ2P3oool00000
00L0SEJ:00<02NX:08eFRP2=EXX01@2=EXX00`09jPX0SEJ:08eFRP0708eFRP0300WZ2P2=EXX0SEJ:
0080SEJ:00@0000008eFRP2=EXX02NX:2@2=EXX00`09jPX0SEJ:08eFRP0408eFRP<000003@2=EXX0
10000000Yl3[0:O0j`0000020?ooo`030000003oool0oooo06P0oooo003<0?ooo`802NX:4@3oool5
00WZ2Pl0oooo0`09jPX20?ooo`<02NX:0`3oool300WZ2Q@0oooo1009jPX30?ooo`<02NX:2@3oool0
0`000000oooo0000000608]BQ`8000000P3oool00`000000oooo0000000200000080oooo00<00000
0?ooo`3oool00P3oool300WZ2RH0oooo00<02NX:0000002=EXX01P2=EXX00`09jPX0SEJ:08eFRP06
08eFRP0300WZ2P2=EXX0SEJ:00L0SEJ:00D02NX:08eFRP2=EXX0SEJ:0000000308eFRP0300WZ2P2=
EXX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX00`00000@08eFRP070000002W`>/0Yl3[0:O0j`000000
oooo0000001Z0?ooo`00bP3oool200WZ2Q00oooo1@09jPX?0?ooo`<02NX:0P3oool300WZ2P<0oooo
0`09jPXC0?ooo`@02NX:0`3oool400WZ2Pd0oooo0P00000508]BQ`<000000P3oool2000000@0oooo
00<000000?ooo`3oool00`09jPXY0?ooo`0300000009jPX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX0
1P2=EXX00`09jPX0SEJ:08eFRP0708eFRP0500WZ2P2=EXX0SEJ:08eFRP0000000`2=EXX00`09jPX0
SEJ:08eFRP0608eFRP0300000009jPX0000001<0SEJ:00<000000:O0j`2W`>/00P2W`>/2000006X0
oooo00380?ooo`802NX:403oool400WZ2Pl0oooo0`09jPX20?ooo`<02NX:0P3oool400WZ2Q<0oooo
0`09jPX30?ooo`@02NX:4P3oool20000000408]BQ`0000000000000000<0oooo00<000000?ooo`00
00000`3oool2000000<02NX:;03oool00`0000002NX:08eFRP0808eFRP0300WZ2P2=EXX0SEJ:00H0
SEJ:00<02NX:08eFRP2=EXX01P2=EXX01@09jPX0SEJ:08eFRP2=EXX0000000@0SEJ:00<02NX:08eF
RP2=EXX00P2=EXX5000001@0SEJ:00<000000:O0j`2W`>/00`2W`>/2000006T0oooo00350?ooo`<0
2NX:3`3oool500WZ2Ph0oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2P80oooo0`09jPXC0?ooo`@0
2NX:0P3oool400WZ2QL0oooo0P0000070?ooo`030000003oool0000000@02NX:;`3oool00`000000
SEJ:00WZ2P0908eFRP0300WZ2P2=EXX0SEJ:00D0SEJ:00<02NX:08eFRP2=EXX01`2=EXX01009jPX0
SEJ:08eFRP00000408eFRP0300WZ2P2=EXX00000008000006@2=EXX00`000000Yl3[0:O0j`020:O0
j`<00000J@3oool00<<0oooo0P09jPX?0?ooo`D02NX:3P3oool300WZ2P040?ooo`09jPX02NX:00WZ
2P<0oooo0`09jPXB0?ooo`@02NX:0P3oool400WZ2Q/0oooo00<000000?ooo`3oool01@3oool80000
02h0oooo00D0000008eFRP2=EXX0SEJ:00WZ2P0208eFRP030000002=EXX0SEJ:00@0SEJ:00<02NX:
08eFRP2=EXX01@2=EXX00`09jPX0SEJ:08eFRP0708eFRP0300WZ2P2=EXX0000000<0SEJ:0P000000
0`09jPX0SEJ:08eFRP0J08eFRPD000000P3oool00`000000oooo0?ooo`1W0?ooo`00`@3oool200WZ
2Pl0oooo1009jPX>0?ooo`<02NX:00@0oooo00WZ2P09jPX02NX:0`3oool300WZ2Q40oooo1009jPX3
0?ooo`<02NX:803oool00`000000oooo0?ooo`040000000300WZ2P000000000000800000<@3oool0
0`000000SEJ:08eFRP0208eFRP0300WZ2P2=EXX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX01@2=EXX0
0`09jPX0SEJ:08eFRP0708eFRP0300WZ2P0000000000008000000`2=EXX00`09jPX0SEJ:08eFRP0H
08eFRP<000001@3oool00`000000oooo0?ooo`1W0?ooo`00_P3oool300WZ2Ph0oooo1@09jPX=0?oo
o`<02NX:00@0oooo00WZ2P09jPX02NX:0P3oool400WZ2Q40oooo0`09jPX30?ooo`@02NX:8P3oool2
00WZ2P<0000000<0oooo0000000000000P00000d0?ooo`030000002=EXX0SEJ:00<0SEJ:00<02NX:
08eFRP2=EXX01P2=EXX00`09jPX0SEJ:08eFRP0608eFRP0300WZ2P2=EXX0SEJ:00D0SEJ:0P000000
0`09jPX0SEJ:08eFRP0508eFRP0300WZ2P2=EXX0SEJ:01L0SEJ:00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`1W0?ooo`00_03oool200WZ2Ph0oooo1@09jPX=0?ooo`<02NX:00@0oooo
00WZ2P09jPX02NX:0P3oool300WZ2Q40oooo1009jPX20?ooo`@02NX:8@3oool500WZ2PD0oooo0P00
000f0?ooo`030000002=EXX0SEJ:00D0SEJ:00<02NX:08eFRP2=EXX01P2=EXX00`09jPX0SEJ:08eF
RP0608eFRP0300WZ2P2=EXX0SEJ:00@000000P2=EXX00`000000SEJ:08eFRP0608eFRP0300WZ2P2=
EXX0SEJ:01D0SEJ:00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000006T0oooo
002j0?ooo`802NX:3P3oool400WZ2Pd0oooo0`09jPX0103oool02NX:00WZ2P09jPX20?ooo`<02NX:
403oool400WZ2P80oooo1009jPXP0?ooo`D02NX:@P3oool00`000000SEJ:08eFRP0508eFRP0300WZ
2P2=EXX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX0102=EXX0100000002NX:00000000000608eFRP03
0000002=EXX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX0502=EXX00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo000006X0oooo002h0?ooo`802NX:3@3oool500WZ2P/0oooo1009jPX0103oool0
2NX:00WZ2P09jPX20?ooo`<02NX:3`3oool400WZ2P80oooo1009jPXP0?ooo`@02NX:A`3oool00`00
0000SEJ:08eFRP0608eFRP0300WZ2P2=EXX0SEJ:00L0SEJ:00<02NX:08eFRP2=EXX00`00000208eF
RP0300WZ2P2=EXX0SEJ:00D0SEJ:00<0000008eFRP2=EXX01`2=EXX00`09jPX0SEJ:08eFRP0D08eF
RP030000003oool0oooo00<0oooo00<000000?ooo`000000JP3oool00;D0oooo0`09jPX=0?ooo`@0
2NX:2`3oool300WZ2P80oooo0`09jPX20?ooo`<02NX:3`3oool300WZ2P80oooo1009jPXO0?ooo`D0
2NX:B`3oool00`000000SEJ:08eFRP0708eFRP0300WZ2P2=EXX0SEJ:00H0SEJ:00<0000000WZ2P00
00001P2=EXX00`09jPX0SEJ:08eFRP0408eFRP030000002=EXX0SEJ:00P0SEJ:00<02NX:08eFRP2=
EXX04P2=EXX00`000000oooo0?ooo`050?ooo`800000JP3oool00;<0oooo0P09jPX=0?ooo`D02NX:
2P3oool300WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2Ph0oooo1009jPX20?ooo`<02NX:
7P3oool500WZ2U00oooo00<0000008eFRP2=EXX0202=EXX00`09jPX0SEJ:08eFRP0208eFRP<00000
00<0SEJ:0000002=EXX01`2=EXX00`09jPX0SEJ:08eFRP0308eFRP030000002=EXX0SEJ:00T0SEJ:
00<02NX:08eFRP2=EXX04@2=EXX00`000000oooo0?ooo`060?ooo`030000003oool0oooo06P0oooo
002a0?ooo`802NX:303oool500WZ2PX0oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2P040?ooo`09
jPX02NX:00WZ2Ph0oooo1009jPX20?ooo`@02NX:703oool500WZ2UD0oooo00<0000008eFRP2=EXX0
2@2=EXX01009jPX0000000000000000>08eFRP0300WZ2P2=EXX0SEJ:0080SEJ:00<0000008eFRP2=
EXX02P2=EXX00`09jPX0SEJ:08eFRP0?08eFRP030000003oool0oooo00L0oooo00<000000?ooo`3o
ool0J03oool00:h0oooo0`09jPX<0?ooo`@02NX:2P3oool300WZ2P040?ooo`09jPX02NX:00WZ2P80
oooo0`09jPX>0?ooo`<02NX:0P3oool400WZ2Q`0oooo1009jPYI0?ooo`030000002=EXX0SEJ:0080
SEJ:00<0000008eFRP2=EXX00`2=EXX20000000300WZ2P2=EXX0SEJ:0100SEJ:00D02NX:08eFRP2=
EXX0SEJ:0000000=08eFRP0300WZ2P2=EXX0SEJ:00h0SEJ:00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`1Y0?ooo`00[03oool200WZ2P`0oooo1@09jPX90?ooo`<02NX:00@0oooo00WZ2P09
jPX02NX:0P3oool300WZ2Pd0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2Q/0oooo1@09jPYM0?oo
o`030000002=EXX0SEJ:00D0SEJ:0`00000308eFRP0300WZ2P2=EXX0SEJ:00l0SEJ:00D02NX:08eF
RP2=EXX0SEJ:0000000=08eFRP0300000009jPX0SEJ:00d0SEJ:00<000000?ooo`0000001`3oool0
0`000000oooo0?ooo`1Y0?ooo`00ZP3oool200WZ2P`0oooo1009jPX90?ooo`<02NX:00D0oooo00WZ
2P09jPX02NX:0?ooo`0400WZ2P`0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2QX0oooo1@09jPYR
0?ooo`030000002=EXX0SEJ:0080SEJ:0`00000708eFRP0300WZ2P2=EXX0SEJ:00l0SEJ:00@02NX:
08eFRP2=EXX000003@2=EXX2000000d0SEJ:00D000000?ooo`3oool0oooo000000060?ooo`030000
003oool0oooo06T0oooo002X0?ooo`802NX:2`3oool400WZ2PT0oooo0`09jPX01@3oool02NX:00WZ
2P09jPX0oooo00<02NX:303oool400WZ2P030?ooo`09jPX02NX:00802NX:6P3oool400WZ2VL0oooo
00<0000008eFRP0000000P00000;08eFRP0300WZ2P2=EXX0SEJ:00l0SEJ:00<02NX:08eFRP000000
702=EXX00`000000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
JP3oool00:D0oooo0`09jPX:0?ooo`D02NX:203oool300WZ2P050?ooo`09jPX02NX:00WZ2P3oool0
0`09jPX<0?ooo`<02NX:0P3oool300WZ2QT0oooo1@09jPY[0?ooo`8000003`2=EXX00`09jPX0SEJ:
08eFRP0?08eFRP0300WZ2P000000SEJ:01X0SEJ:00<000000?ooo`3oool0103oool01@000000oooo
0?ooo`3oool0000006`0oooo002S0?ooo`802NX:2`3oool400WZ2PP0oooo0`09jPX01@3oool02NX:
00WZ2P09jPX0oooo00<02NX:2`3oool400WZ2P030?ooo`09jPX02NX:00802NX:5`3oool500WZ2W00
oooo00<0000008eFRP2=EXX03`2=EXX00`09jPX0SEJ:08eFRP0?08eFRP0300WZ2P000000SEJ:01T0
SEJ:00<000000?ooo`3oool01@3oool010000000oooo0?ooo`00001/0?ooo`00X@3oool200WZ2PX0
oooo1009jPX80?ooo`<02NX:00<0oooo00WZ2P09jPX01@09jPX:0?ooo`@02NX:00<0oooo00WZ2P09
jPX00P09jPXF0?ooo`D02NX:M@3oool00`000000SEJ:08eFRP0?08eFRP0300WZ2P2=EXX0SEJ:00l0
SEJ:0P00000I08eFRP030000003oool0oooo00L0oooo0P00001]0?ooo`00WP3oool300WZ2PX0oooo
1009jPX70?ooo`<02NX:00<0oooo00WZ2P09jPX01009jPX:0?ooo`@02NX:00<0oooo00WZ2P09jPX0
0P09jPXF0?ooo`@02NX:N`3oool00`000000SEJ:08eFRP0?08eFRP0300WZ2P2=EXX0SEJ:00h0SEJ:
00<0000008eFRP2=EXX05`2=EXX00`000000oooo0?ooo`090?ooo`030000003oool0oooo06/0oooo
002L0?ooo`802NX:2P3oool400WZ2PL0oooo0`09jPX00`3oool02NX:00WZ2P0400WZ2PX0oooo0`09
jPX00`3oool02NX:00WZ2P0200WZ2QD0oooo1@09jPYo0?ooo`050000002=EXX0SEJ:08eFRP000000
3P2=EXX00`09jPX0SEJ:08eFRP0=08eFRP030000002=EXX0SEJ:01L0SEJ:00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`1[0?ooo`00VP3oool200WZ2PT0oooo1009jPX70?ooo`X02NX:2@3o
ool400WZ2P040?ooo`09jPX02NX:00WZ2Q@0oooo1@09jPZ40?ooo`030000002=EXX0SEJ:0140SEJ:
00<02NX:0000002=EXX03@2=EXX00`000000SEJ:08eFRP0E08eFRP030000003oool0000000T0oooo
00<000000?ooo`3oool0K03oool009P0oooo0P09jPX90?ooo`@02NX:1P3oool600WZ2P040?ooo`09
jPX02NX:00WZ2PP0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2Q80oooo1@09jPZ:0?ooo`030000
002=EXX0SEJ:0100SEJ:00<0000000WZ2P2=EXX03@2=EXX00`000000SEJ:08eFRP0D08eFRP050000
003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`1/0?ooo`00N`3oool5000001D0oooo
0`09jPX80?ooo`@02NX:1P3oool:00WZ2PP0oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2Q80oooo
1009jPZ?0?ooo`030000002=EXX0SEJ:0200SEJ:00<0000008eFRP2=EXX04`2=EXX00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0K@3oool007P0oooo1@00
00000`3oool000000000000200000140oooo0P09jPX90?ooo`<02NX:1P3oool900WZ2PP0oooo2009
jPXA0?ooo`D02NX:T`3oool00`000000SEJ:08eFRP0P08eFRP030000002=EXX0SEJ:0180SEJ:00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06h0oooo001f
0?ooo`P000000P3oool3000000h0oooo0P09jPX80?ooo`@02NX:1@3oool900WZ2PL0oooo2009jPX@
0?ooo`D02NX:V@3oool00`000000SEJ:08eFRP0O08eFRP030000002=EXX0SEJ:0140SEJ:00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo06h0oooo001d0?oo
o`P0000000@0oooo00000000000000000P2;DXL2000000X0oooo0`09jPX70?ooo`@02NX:1@3oool9
00WZ2PH0oooo2009jPX?0?ooo`D02NX:WP3oool00`000000SEJ:08eFRP0O08eFRP030000002=EXX0
SEJ:0100SEJ:00<000000?ooo`3oool0203oool010000000oooo0?ooo`00001a0?ooo`00L`3oool2
000000<0oooo1@00000408]BQ`040000003oool00000000000L0oooo0P09jPX80?ooo`<02NX:1@3o
ool900WZ2PH0oooo0`09jPX0103oool02NX:00WZ2P09jPX?0?ooo`@02NX:Y03oool00`000000SEJ:
08eFRP0N08eFRP030000002=EXX0SEJ:00h0SEJ:0P00000<0?ooo`030000003oool000000740oooo
001c0?ooo`D000000P3oool2000000@0Re:70`0000000`3oool000000?ooo`040?ooo`802NX:1`3o
ool400WZ2P@0oooo2009jPX60?ooo`P02NX:3@3oool500WZ2ZT0oooo00<0000008eFRP2=EXX07@2=
EXX00`000000SEJ:08eFRP0=08eFRP030000003oool0000000d0oooo00<000000?ooo`3oool0L03o
ool00780oooo0P0000050?ooo`030000003oool0000000@0Re:700<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0200WZ2PL0oooo0`09jPX40?ooo`P02NX:1@3oool800WZ2P`0oooo1@09jPZ^
0?ooo`030000002=EXX0SEJ:01d0SEJ:00<0000008eFRP2=EXX0302=EXX01@000000oooo0?ooo`3o
ool0000000/0oooo00<000000?ooo`3oool0L@3oool00780oooo00<000000?ooo`3oool00P3oool4
000000@0Re:700<000000?ooo`3oool00`3oool300WZ2PH0oooo1009jPX30?ooo`P02NX:103oool8
00WZ2P/0oooo1@09jPZd0?ooo`8000007@2=EXX00`000000SEJ:08eFRP0:08eFRP8000001@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0780oooo001b0?ooo`030000003oool00000
008000000P2W`>/2000000@0Re:700@000000?ooo`3oool0oooo0P09jPX2000000@0oooo1009jPX3
0?ooo`P02NX:103oool700WZ2P/0oooo1009jPZi0?ooo`030000003oool0000001`0SEJ:00<00000
08eFRP2=EXX02@2=EXX00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0L`3oool00780oooo0P0000050:O0j`8000000`2;DXL00`000000oooo0?ooo`0200WZ
2P040000003oool0oooo00000080oooo0`09jPX30?ooo`L02NX:103oool700WZ2PX0oooo1@09jPZn
0?ooo`030000003oool0000001/0SEJ:00<0000008eFRP2=EXX0202=EXX00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0M03oool00780oooo0P0000040:O0
j`<000000`2;DXL300WZ2PD0oooo1009jPX20?ooo`L02NX:0`3oool700WZ2PT0oooo1@09jP[40?oo
o`030000003oool0000001X0SEJ:00<0000008eFRP2=EXX01P2=EXX2000000`0oooo00D000000?oo
o`3oool0oooo0000001g0?ooo`00LP3oool00`000000oooo00000003000000040:O0j`0000000000
08]BQ`802NX:0P0000040?ooo`<02NX:00<000000?ooo`09jPX01P09jPX30?ooo`L02NX:203oool4
00WZ2/X0oooo0`00000I08eFRP030000002=EXX0SEJ:00<0SEJ:0`0000000`3oool000000?ooo`0<
0?ooo`030000003oool0000007P0oooo001b0?ooo`@000000`2W`>/500000080oooo00H0000000WZ
2P09jPX02NX:0000003oool700WZ2P80oooo1`09jPX70?ooo`D02NX:c`3oool4000001L0SEJ:00@0
000008eFRP2=EXX0SEJ:0`0000040?ooo`030000003oool0oooo00X0oooo0P00001i0?ooo`00LP3o
ool01@000000oooo0?ooo`3oool0000000<0Yl3[1000000400WZ2P030?ooo`09jPX02NX:00D02NX:
00<0oooo00WZ2P09jPX01@09jPX60?ooo`D02NX:e@3oool2000000040?ooo`0000000000000001@0
SEJ:100000020?V^IP030000003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`1i0?ooo`00LP3oool00`000000oooo0?ooo`0200WZ2PD000000`09jPX00`3oool02NX:
00WZ2P0400WZ2P030?ooo`09jPX02NX:00D02NX:1@3oool500WZ2]/0oooo0P0000030?ooo`800000
3P2=EXX5000000D0nJiV00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`800000
O03oool00780oooo00<02NX:00000009jPX01P0000001009jPX0000000000000000400WZ2P030?oo
o`09jPX02NX:00@02NX:1@3oool400WZ2^40oooo0P0000040?ooo`h00000103oool00`000000nJiV
0?V^IP030?V^IP030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`1l0?ooo`00K`3oool300WZ2P030?ooo`000000000000<02NX:1@00000:00WZ2P030?ooo`00
0000oooo00D02NX:iP3oool2000000<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`030000003i[VH0nJiV0080nJiV00<000000?ooo`3oool01@3oool010000000oooo0?oo
o`3oool2000007l0oooo001/0?ooo`<02NX:0`3oool01009jPX0000000WZ2P3oool200WZ2PH00000
1@09jPX20?ooo`D02NX:k03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01`3oool00`000000nJiV0?V^IP020?V^IP030000003oool0oooo00D0oooo
00<000000?ooo`000000P@3oool006T0oooo0`09jPX30?ooo`<02NX:00<0oooo00000009jPX00`09
jPX5000000802NX:0P00000400WZ2P@0oooo00<000000?ooo`3oool0j`3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000nJiV0?V^
IP3i[VH0000000L0oooo0P0000220?ooo`00IP3oool300WZ2P<0oooo0`09jPX00`3oool02NX:00WZ
2P0200WZ2P0300000009jPX0000000T000000P2W`>/2000000<0oooo0`00003^0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`040000003i
[VH0nJiV000000D0oooo0P0000240?ooo`00H`3oool300WZ2P<0oooo0`09jPX00`3oool02NX:00WZ
2P0500WZ2P8000000P09jPX0103oool02NX:0000002;DXL4000000@0Yl3[0`0000020?ooo`030000
003oool0oooo0>d0oooo0P0000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1`3oool00`000000nJiV000000020?ooo`<00000QP3oool00600oooo0`09jPX30?ooo`<02NX:00<0
oooo00WZ2P09jPX02009jPX00`000000oooo00WZ2P0200WZ2P030?ooo`000000Re:700<000001`2W
`>/400000?40oooo0`0000000`3oool000000?ooo`070?ooo`030000003oool0oooo00L0oooo1000
00290?ooo`00G@3oool300WZ2P80oooo1009jPX00`3oool02NX:00WZ2P0900WZ2P040?ooo`09jPX0
000000WZ2P<0oooo0`0000000`2;DXL000000?ooo`02000000H0Yl3[0`00003d0?ooo`<00000203o
ool00`000000oooo0?ooo`030?ooo`D00000R`3oool005X0oooo0`09jPX20?oooa002NX:00@0oooo
00WZ2P09jPX02NX:0P3oool4000000040?ooo`000000Re:708]BQ`8000000P3oool00`000000Yl3[
0:O0j`0300000080oooo00<000000?ooo`3oool0m@3oool>00000900oooo001G0?ooo`<02NX:0P3o
ool@00WZ2P040?ooo`09jPX02NX:00WZ2PD0oooo00D000000?ooo`3oool0oooo0000000408]BQ`04
0000003oool0oooo0?ooo`8000001@3oool00`000000oooo0?ooo`3o0?oooi@0oooo001D0?ooo`<0
2NX:0P3oool@00WZ2P040?ooo`09jPX02NX:00WZ2PP0oooo00D000000?ooo`3oool0oooo00000002
08]BQ`<000000`3oool00`000000oooo0?ooo`020?ooo`<00000o`3ooonF0?ooo`00D@3oool300WZ
2P80oooo4009jPX0103oool02NX:00WZ2P09jPX<0?ooo`030000003oool0oooo00<000000`2;DXL0
1@000000oooo0?ooo`000000oooo00<000000P3oool00`000000oooo0?ooo`3o0?oooi@0oooo001>
0?ooo`<02NX:0P3oool?00WZ2P030?ooo`09jPX02NX:00802NX:403oool3000000@0Re:71P000003
0?ooo`800000o`3ooonG0?ooo`00B`3oool300WZ2P030?ooo`09jPX02NX:00h02NX:00@0oooo00WZ
2P09jPX02NX:5@3oool20000000408]BQ`0000000000000000@0oooo1P00003o0?oooiP0oooo0018
0?ooo`<02NX:00<0oooo00WZ2P09jPX03P09jPX0103oool02NX:00WZ2P09jPXI0?ooo`800000103o
ool800000?l0ooooV@3oool004D0oooo0`09jPX00`3oool02NX:00WZ2P0>00WZ2P040?ooo`09jPX0
2NX:00WZ2Qd0oooo00<000000?ooo`0000001`00003o0?oooi`0oooo00120?ooo`<02NX:00<0oooo
00WZ2P09jPX03P09jPX0103oool02NX:00WZ2P09jPXQ0?ooo`H00000o`3ooonO0?ooo`00?`3oool3
00WZ2P030?ooo`09jPX02NX:00h02NX:00@0oooo00WZ2P09jPX02NX:o`3oooo90?ooo`00?03oool3
00WZ2P030?ooo`09jPX02NX:00d02NX:00<0oooo00WZ2P09jPX00P09jP[o0?oool`0oooo000j0?oo
o`802NX:00<0oooo00WZ2P09jPX03@09jPX0103oool02NX:00WZ2P09jP[o0?ooom00oooo000k0?oo
o`h02NX:00@0oooo00WZ2P09jPX02NX:o`3ooooC0?ooo`00>P3oool<00WZ2P040?ooo`09jPX02NX:
00WZ2_l0ooooeP3oool003/0oooo2009jPX0103oool02NX:00WZ2P09jP[o0?ooomT0oooo000i0?oo
o`802NX:00<0oooo00WZ2P09jPX00P09jPX0103oool02NX:00WZ2P09jP[o0?ooom`0oooo000k0?oo
o`802NX:00@0oooo00WZ2P09jPX02NX:o`3ooooO0?ooo`00?03oool200WZ2_l0oooohP3oool00?l0
ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ
0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3o
oooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40
oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?oo
ool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3o
ool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0oooo
o`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?oo
o`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo
0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo
003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0
oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool0
0?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3o
oolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00
o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?oo
ob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o
0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo
8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0
ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ
0?ooo`00o`3ooooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3o
oooo0?ooob40oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40
oooo003o0?ooool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00o`3ooooo0?ooob40oooo003o0?oo
ool0oooo8@3oool00?l0ooooo`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 542.375}, {305.438, 0}} -> {0.0187871, 0.20144, \
0.00181037, 0.00181037}},
  CellTags->"Michelson Interferometer"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\

interference = FindInterference[system];\
\>", "Input",
  CellTags->"Michelson Interferometer"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.659916 0.0472626 0.5 0.0472465 [
[.18729 -0.0125 -9 -9 ]
[.18729 -0.0125 9 0 ]
[.4236 -0.0125 -6 -9 ]
[.4236 -0.0125 6 0 ]
[.65992 -0.0125 -3 -9 ]
[.65992 -0.0125 3 0 ]
[.89623 -0.0125 -3 -9 ]
[.89623 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .02754 -18 -4.5 ]
[-0.0125 .02754 0 4.5 ]
[-0.0125 .26377 -12 -4.5 ]
[-0.0125 .26377 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .73623 -6 -4.5 ]
[-0.0125 .73623 0 4.5 ]
[-0.0125 .97246 -12 -4.5 ]
[-0.0125 .97246 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[.5 1.0125 -66 0 ]
[.5 1.0125 66 9 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.18729 0 m
.18729 .00625 L
s
[(-10)] .18729 -0.0125 0 1 Mshowa
.4236 0 m
.4236 .00625 L
s
[(-5)] .4236 -0.0125 0 1 Mshowa
.65992 0 m
.65992 .00625 L
s
[(0)] .65992 -0.0125 0 1 Mshowa
.89623 0 m
.89623 .00625 L
s
[(5)] .89623 -0.0125 0 1 Mshowa
.125 Mabswid
.23455 0 m
.23455 .00375 L
s
.28182 0 m
.28182 .00375 L
s
.32908 0 m
.32908 .00375 L
s
.37634 0 m
.37634 .00375 L
s
.47087 0 m
.47087 .00375 L
s
.51813 0 m
.51813 .00375 L
s
.56539 0 m
.56539 .00375 L
s
.61265 0 m
.61265 .00375 L
s
.70718 0 m
.70718 .00375 L
s
.75444 0 m
.75444 .00375 L
s
.8017 0 m
.8017 .00375 L
s
.84897 0 m
.84897 .00375 L
s
.14003 0 m
.14003 .00375 L
s
.09276 0 m
.09276 .00375 L
s
.0455 0 m
.0455 .00375 L
s
.94349 0 m
.94349 .00375 L
s
.99075 0 m
.99075 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .02754 m
.00625 .02754 L
s
[(-10)] -0.0125 .02754 1 0 Mshowa
0 .26377 m
.00625 .26377 L
s
[(-5)] -0.0125 .26377 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .73623 m
.00625 .73623 L
s
[(5)] -0.0125 .73623 1 0 Mshowa
0 .97246 m
.00625 .97246 L
s
[(10)] -0.0125 .97246 1 0 Mshowa
.125 Mabswid
0 .07478 m
.00375 .07478 L
s
0 .12203 m
.00375 .12203 L
s
0 .16927 m
.00375 .16927 L
s
0 .21652 m
.00375 .21652 L
s
0 .31101 m
.00375 .31101 L
s
0 .35826 m
.00375 .35826 L
s
0 .40551 m
.00375 .40551 L
s
0 .45275 m
.00375 .45275 L
s
0 .54725 m
.00375 .54725 L
s
0 .59449 m
.00375 .59449 L
s
0 .64174 m
.00375 .64174 L
s
0 .68899 m
.00375 .68899 L
s
0 .78348 m
.00375 .78348 L
s
0 .83073 m
.00375 .83073 L
s
0 .87797 m
.00375 .87797 L
s
0 .92522 m
.00375 .92522 L
s
.25 Mabswid
0 0 m
0 1 L
s
.18729 .99375 m
.18729 1 L
s
.4236 .99375 m
.4236 1 L
s
.65992 .99375 m
.65992 1 L
s
.89623 .99375 m
.89623 1 L
s
.125 Mabswid
.23455 .99625 m
.23455 1 L
s
.28182 .99625 m
.28182 1 L
s
.32908 .99625 m
.32908 1 L
s
.37634 .99625 m
.37634 1 L
s
.47087 .99625 m
.47087 1 L
s
.51813 .99625 m
.51813 1 L
s
.56539 .99625 m
.56539 1 L
s
.61265 .99625 m
.61265 1 L
s
.70718 .99625 m
.70718 1 L
s
.75444 .99625 m
.75444 1 L
s
.8017 .99625 m
.8017 1 L
s
.84897 .99625 m
.84897 1 L
s
.14003 .99625 m
.14003 1 L
s
.09276 .99625 m
.09276 1 L
s
.0455 .99625 m
.0455 1 L
s
.94349 .99625 m
.94349 1 L
s
.99075 .99625 m
.99075 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .02754 m
1 .02754 L
s
.99375 .26377 m
1 .26377 L
s
.99375 .5 m
1 .5 L
s
.99375 .73623 m
1 .73623 L
s
.99375 .97246 m
1 .97246 L
s
.125 Mabswid
.99625 .07478 m
1 .07478 L
s
.99625 .12203 m
1 .12203 L
s
.99625 .16927 m
1 .16927 L
s
.99625 .21652 m
1 .21652 L
s
.99625 .31101 m
1 .31101 L
s
.99625 .35826 m
1 .35826 L
s
.99625 .40551 m
1 .40551 L
s
.99625 .45275 m
1 .45275 L
s
.99625 .54725 m
1 .54725 L
s
.99625 .59449 m
1 .59449 L
s
.99625 .64174 m
1 .64174 L
s
.99625 .68899 m
1 .68899 L
s
.99625 .78348 m
1 .78348 L
s
.99625 .83073 m
1 .83073 L
s
.99625 .87797 m
1 .87797 L
s
.99625 .92522 m
1 .92522 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
s
0 0 m
0 1 L
s
[(Interference Intensity)] .5 1.0125 0 -1 Mshowa
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.01923 .01923 translate
.96154 .96154 scale
384 string
128 128 8 [128 0 0 128 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
00031B00041C00041C00031B00031A00021900021900031A00041C00051E00061F00061F
00051E00031C00021A00021900031A00041D00062000082200092300082100051F00031B
00021900021A00041C000720000A24000D27000C2600092300061F00031B00021900031B
00061F000B2500102A00122C000F29000A2400051E00021A00021900051D000A2400112B
00162F00162F00102A00092300041C00021900031B000721000E2900162F001A3200162F
000F2900072100031B00021900041D000A2400132C001932001A3200142D000B2500051E
00021900031A000620000D2700152E00183100152F000E2800072100031B00021900041C
000822000E2800132D00132D000F2900092300041D00021900021A00051E000923000D27
000F29000D2700092300051E00031A00021900031B00061F000822000A24000A24000822
00051E00031B00021900021A00041C00051E00072000072100061F00051D00031B000219
00021900031A00041C00041D00051E00041D00041C00031A
00041C00041C00041C00031B00031A00021900021900031A00041D00061F000620000620
00051E00041C00021A00021900031A00041D000721000923000A2400092300061F00041C
00021900021A00041D000821000C26000F29000E28000B2500062000031B00021900031B
000720000D2700132C00152E00122C000B2600061F00031A00021A00051E000B2500142D
001A32001A3200132D000A2500041D00021900031B00082200112B001A32001F35001B33
00112B00082200031B00021900051D000C2600162F001E35001F35001730000D2700051E
00021900031A000720000F29001831001D3400193200112B00082200031B00021900041C
00092300102A00162F00173000122B000A2400051D00021900021A00051E000A24000F29
00112B000F29000A2500061F00031A00021900031B00061F000924000C26000C26000923
00061F00031B00021900021A00041C00061F00082100082200072000051E00031B000219
00021900031A00041C00051E00051E00051E00041C00031B
00041C00041D00041D00031C00031A00021900021900031B00041D00061F000721000721
00061F00041C00031A00021900031A00051E000821000A25000B25000A2400072000041C
00021900021A00041D000822000D2800112B00102A000C2600072000031B00021900031B
000821000E2900152F00183100142E000D2700061F00031A00021A00051E000D27001730
001E35001E3500162F000C2600051D00021900031B00092300132D001F35002439001F36
00142D00092300031B00021900051E000D27001932002338002439001B33000F2900061F
00021A00031A00082100112B001C34002237001E3500132D00092300041C00021900041C
000A2400132C001A32001B3300142E000C2600051E00021A00021A00061F000B2500112B
00142E00122C000C2600062000031B00021900031B000620000B25000D28000D27000A24
00062000031B00021900021A00041C00062000082200092300082100051E00031B000219
00021900031A00041D00051E00061F00051E00041D00031B
00041C00051D00041D00041C00031A00021900021900031B00051D000720000822000821
00062000041D00031A00021900031B00051E000922000C26000D27000B2500072100041C
00021900021A00051D000923000F2900132D00122C000D2800082100031B00021900031C
00082200102A001931001C33001730000F2900072000031A00021A00061F000E28001A32
002338002338001932000D2700051E00021900031B000A2400162F002439002A3C002439
001730000A2400031C00021900051E000F29001D3400293C002A3C001F3600112B000620
00021A00031B00082200132D00203600273B00233800162F000A2500041C00021900041D
000B2500152E001E35001F35001830000D2800061F00021A00031A00061F000C2700142D
00173000142E000D2800072000031B00021900031B000721000C26000F29000F29000B26
00072000041C00021900021A00041D000720000923000A2400082200061F00041C00021A
00021900031B00041D00061F00062000061F00041D00031B
00041D00051E00051D00041C00031A00021900021900031B00051E000721000923000822
00072000041D00031A00021900031B00061F000923000D27000E28000C2600082200041D
00021900021A00051E000A2400112B00152F00152E000F2900082200041C00021900041C
00092300122C001C33001F36001A3200102A00072100031A00021A00061F00102A001D34
00283B00273B001C34000F2900051F00021900031C000A2500183100283B00304000293C
001A32000B2500041C00021900061F00102A002137002F3F00304000243900132D000721
00021A00031B00092300152F002439002C3E00273B001932000C2600041C00021900041D
000C26001830002237002338001B33000F2900062000021A00031A000620000D2800162F
001A32001730000F2900082100031B00021900031C000721000D2700112B00112B000D27
00082100041C00021900021A00041D000721000A24000B2500092300062000041C00021A
00021900031B00051D00061F00072000061F00051D00031B
00041D00051E00051E00041C00031B00021900021900031B00051E000821000923000923
00072100051D00031A00021900031B00061F000A24000E28000F29000D2700082200041D
00021900021A00051E000B2500122C00183000173000102A00092300041C00021900041C
000A2400142E001F35002338001D3400122C00082200031A00021A00062000112B002037
002C3E002C3E00203600102A00061F00021900041C000B26001B33002D3E003643002E3F
001D34000C2600041C00021900061F00122B00243900344200364300283B00152E000821
00021A00031B00092300173000293C003241002C3E001C34000D2700041D00021900051D
000D27001A3200263A00273B001E3500112B00072000021A00031A000620000F29001831
001D3400193200112B00082200031B00021900041C000822000E2800122C00122C000E28
00082200041C00021900021A00051D000822000B25000C26000A2400072100041C00021A
00021900031B00051D00062000072100072000051E00031C
00051D00051E00051E00041D00031B00021900021900031B00061F000822000A24000A24
00082100051D00031A00021900031B000620000B25000F2900112B000E2800092300051D
00021A00021A00051F000C2600142E001A3200193100122C00092400041C00021900041C
000A2400162F00223800273B00213700142D00082200031B00021A00072000132C002439
00324100314100233800122C00062000021900041C000C26001E35003241003C46003442
002036000D2800041C00021900062000132D00283B003A45003C46002D3E001730000822
00031A00031B000A24001A32002D3E003844003241002036000E2800051D00021900051D
000E28001C34002A3C002C3D00213700122C00072100031A00031A00072000102A001A32
002036001C3400132C00092300041C00021900041C000822000F2900142E00142E000F29
00092300041D00021900021A00051D000822000C26000D27000B2500072100041D00021A
00021900031B00051E00072000082100072100051E00041C
00051E00061F00051E00041D00031B00021900021900041C00061F000923000B25000A25
00082200051E00031A00021900031B000720000C2600112B00122C000F29000A2400051E
00021A00021A00061F000D2700162F001D34001B3300142D000A2400041C00021900041C
000B2500183100263A002B3D00243900152F00092300031B00021A00072100142E00283B
00374300374300273B00132D00072000021900041C000D27002037003744004349003A45
002338000E2900041D00021900072000152E002C3E004148004349003241001A32000923
00031A00031B000B25001C33003141003E47003743002338000F2900051E00021900051E
000F29001F36002E3F00304000253900142E00082200031A00031A00072100112B001D34
002338001F3600142E000A2400041C00021900041C00092300102A00162F00162F00112B
000A2400041D00021900021A00051E000923000D27000E28000C2600082200041D00021A
00021900031B00051E00072100082200072100061F00041C
00051E00061F00061F00041D00031B00021900021A00041C000620000923000B26000B25
00082200051E00031A00021900031B000721000D2700122C00142D00102A000A2400051E
00021A00031A00061F000E28001831001F36001E3500152E000B2500041D00021900041D
000C26001A3200293C002F3F00273B00173000092400031B00021A00082100162F002B3D
003C46003C46002B3D00152E00072000021900041C000E28002338003D4600494C003F48
00263A000F2A00041D00021900072000162F00304000474B004A4C003743001C33000924
00031A00031B000B25001E3500364300444A003D4600263A00112B00051E00021900051E
000F2A00213700324100354200283B00162F00082200031A00031A00072100122C001F35
00263A00223800162F000B2500041C00021900041C00092300112B00173000183100122C
000A2500051E00021A00021A00051E000923000D28000F29000D2700092300051E00031A
00021900031B00051E00082100092300082200061F00041C
00051E00061F00061F00051D00031B00021900021A00041C000720000A24000C26000C26
00092300051E00031A00021900031B000721000D2800132D00152E00122B000B2500051E
00021A00031A000620000F29001A32002237002036001730000B2600041D00021900041D
000D27001C33002C3E003341002A3D001931000A2400031B00021A000822001730002F3F
004249004249002E3F00173000072100021900041C000F2900263A004249004F4E00454A
00293C00112B00041D000219000721001830003442004D4E004F4E003C46001E35000A24
00031A00031B000C26002036003B45004A4C004249002A3C00122C00051E00021900051E
00102A002439003643003A45002C3E00183100092300031A00031A00082100132D002137
00293C002539001831000B2600041D00021900041C00092400122C001932001A3200142D
000B2500051E00021A00021A00051E000A24000E2900102A000E2800092300051E00031A
00021900031B00051E00082200092300082200062000041C
00061F00062000061F00051D00031B00021900021A00041C000721000B25000D27000D27
00092300061F00031A00021900041C000821000E2800152E00173000132C000C2600051E
00021A00031A00072000102A001C33002439002338001831000C2600041D00021900041D
000D28001E35003040003844002E3F001B33000B2500031B00021A000822001931003341
00474B00474B00324100183100082100021900041D00102A00293C00484C00524D004B4D
002D3E00122C00051D00021900072100193200384400514D00524D004148002137000B25
00031A00031B000C27002338004048004F4E00484C002D3E00132D00061F00021900051E
00112B00273A003B45003F47003040001A32000A2400031B00031A00082200142E002439
002D3E00283B001A32000C2700041D00021900041C000A2400132D001B33001C3300152F
000C2600051E00021A00021A00051E000A24000F2900112B000F29000A2400051E00031A
00021900031B00061F000822000A2400092300072000041D
00061F00072000062000051E00031B00021900021A00041C000721000B25000E28000D28
000A2400061F00031B00021900041C000822000F2900162F00183100142E000C2600061F
00021A00031A00072000112B001E3500273B00263A001A32000D2700051D00021900041D
000E28002037003442003C46003241001D34000B2500031B00021A000923001B33003743
004E4E004E4E003743001A3200082200021900041D00112B002C3E004E4E00554B00504E
00314000132D00051E000219000822001B33003D4600544C00564B00474B002338000B26
00031A00031B000D2700253900454A00524D004E4E00314100152E00061F00021900051E
00122C00293C00404800444A003442001C34000A2400031B00031A00082200152E00263A
003040002C3D001C34000D2700051D00021900041C000A2400142E001D34001E35001730
000D2700061F00021A00021A00051E000B2500102A00122C00102A000A2500061F00031A
00021900031B00061F000923000A2400092300072000041D
00061F00072100072000051E00031B00021900021A00041D000821000C26000F29000E28
000A2500061F00031B00021900041C00082200102A001830001A3200152F000D2700061F
00021A00031A00072100122C002036002A3D00293C001C34000E2800051D00021900051D
000F29002338003844004148003643001F36000C2600031B00021A000923001D34003B46
00514D00514D003B45001C3300082200021900041D00122C00304000514D00584900534C
00354200142E00051E000219000822001D3400424900574A005949004D4E00263A000C26
00031A00031B000E2800283B004A4D00554B00514D00364300162F00061F00021900051E
00132D002C3E00454A004A4C003944001E35000B2500031B00031A00082200162F00293C
003442002F3F001F35000E2800051E00021900041C000B2500152F001F36002036001931
000E2800061F00021A00021A00051E000B2500112B00132D00112B000B2500061F00031A
00021900031B00061F000923000B25000A2400072100051D
00062000072100072000051E00031B00021900021A00041D000822000D2700102A000F29
000B2500062000031B00021900041C00092300112B001931001C33001730000E2800061F
00021A00031A00082100132D002238002D3E002C3D001E35000E2900051E00021900051E
00102A00253A003D4600464B003A45002137000C2700031B00031A000A24001F36004048
00544C00544C003F48001E3500092300021900041D00132D00344200544C005C4700564B
00394400162F00051E000219000822001F3600474B005A48005C4700504E00293C000D27
00031B00031B000E28002A3D004F4E00584900544C003A4500183100062000021900061F
00142E002F3F004A4C004F4E003D47002137000C2600031B00031A000922001830002C3D
003844003341002137000F2900051E00021900041C000B25001730002137002338001B32
000F2900062000031A00021A00051E000B2600122C00152E00122C000C2600061F00031B
00021900031B00061F000923000B25000A2500082100051E
00072000082100072100051E00031B00021900021A00041D000822000D2700102A00102A
000C2600062000031B00021900041C00092300122C001B33001E35001831000E29000620
00021A00031A00082200142E002539003140002F3F002036000F2900051E00021900051E
00112B00283B004249004C4D003E47002338000D2700031B00031A000A2400213700454A
00564A00564A00444A00203600092300021900051D00142E00384400574A005F44005949
003D4600173000051E000219000923002137004D4E005D46005F4400534C002C3E000E28
00031B00031B000F29002D3E00524D005B4700574A003E47001A3200072000021900061F
00152F003341004F4E00524D004249002338000C2700031B00031A000923001931002E3F
003C4600374300243900102A00051E00021900041C000B26001831002338002539001C34
00102A00072000031A00021A00061F000C2600132C00162F00132D000D2700062000031B
00021900031B000620000A24000C26000B2500082200051E
00072000082200072100051F00031B00021900021A00051D000923000E2800112B00112B
000C2600072000031B00021900041C000A2400132D001D34002036001A32000F29000620
00021A00031A00082200152F00273B00344200324100223800102A00051E00021900051E
00122C002B3D00474B00504E00434900263A000E2800031C00031A000B25002338004B4D
00594800594900494C002237000A2400021900051E00152F003C46005A48006241005C47
00414900183100061F00021900092300243900504E00604300634100564B002F3F000E29
00031B00031B00102A00314000544C005E44005A48004349001C3300072100021900061F
00162F00364300514D00554C00484B00263A000D2800031B00031A000923001A32003241
004048003B4500263A00112B00061F00021900041C000C2600193100253A00283B001F35
00112B00072100031A00021A00061F000C2700142D00173000142E000D2800072000031B
00021900031B000620000A24000C27000C2600082200051E
00072100082200082100061F00031B00021900021A00051D000923000F2900122C00122C
000D2700072000031B00021900041D000A2400142E001E35002237001B3300102A000720
00021A00031A000923001730002A3C00384400364300243900112B00051E00021900051E
00132D002E3F004C4D00524D00484B00283B000E2900031C00031A000B2600263A004F4E
005C46005C46004E4E002439000A2400021900051E001730004048005D4600663D005F44
00464B001A3200061F000219000A2400263A00534C00643F00663D005949003241000F29
00031B00031B00112B00344200574A006241005D4600484C001D3500072100021900061F
001830003A4500544C00574A004D4E00293C000E2800031C00031A000923001C33003542
00454A00404800293C00132C00061F00021900041C000C26001A3200283B002A3D002137
00122C00072100031A00021A00061F000D2700152E00193100162F000E2900072100031B
00021900031B000720000B25000D27000C2600092300051E
00072100092300082200061F00031C00021900021A00051E000A2400102A00132D00132C
000D2800072100031B00021900041D000B2500162F002037002439001D3400112B000720
00021A00031A000923001831002D3E003C4600394500273B00122C00051F00021900051F
00142E00314000504E00554B004D4E002B3D000F2900041C00031A000C2600293C00524D
006043005F4400514D00263A000A2500021900051E00183100454A006043006939006241
004B4D001B3300061F000219000A2400293C00554B00673B006A39005B4700364300102A
00031B00031C00122B003744005A4800653E006043004E4E001F36000822000219000620
001931003E4700574A005A4800504D002C3D000F2900041C00031A000A24001D34003844
004A4C00444A002C3E00142E00062000021900041C000D27001C33002A3D002D3E002338
00142D00082200031A00021A00061F000D2700162F001A32001730000F2900082100031B
00021900031B000720000B25000E28000D2700092300061F
00082200092300082200061F00041C00021900021A00051E000A2400102A00152E00142D
000E2800072100031B00021900041D000B2500173000233800263A001F3600122C000721
00021A00031B000923001932003040004048003D4700293C00132C00061F00021900061F
00152F00354200524D00584A00504E002D3E00102A00041C00031A000D27002B3D00544C
00634000624100534C00283B000B2500021900051E001A32004A4C006340006D3400653E
004F4E001D3400061F000219000B25002B3D005849006B37006D34005E44003A4500112B
00031B00041C00132C003B46005D4600683A00643F00514D002137000822000219000620
001A32004249005949005D4600534C002F3F00102A00041C00031A000A24001F35003C46
004F4E00494C00304000152F00072000021900041C000D27001D34002D3E00304000263A
00152E00082200031A00021A00061F000E28001730001C3300193100102A00082200031B
00021900031B000720000B26000E28000D28000A2400061F
00082200092300092300062000041C00021900031A00051E000B2500112B00162F00152E
000F2900082100031B00021900041D000C2600183100253900293C00213700132C000721
00021A00031B000A24001B3300334200454A004249002C3D00142D00061F00021900061F
00173000384400554B005A4800524D00304000112B00041C00031A000D28002E3F00574A
00663D00663D00564B002B3D000B2500021900061F001B33004F4E00673C00702F00683A
00514D001E3500061F000219000B25002E3F005B47006E3200712F006142003D4700122B
00031B00041C00142D003F48006043006C3600673C00534C002439000822000219000720
001C3300464B005C4700604300564B00324100112B00041C00031A000A24002036004048
00514D004E4E00334100173000072000021900041C000D28001F3500304000344200283B
00162F00092300031B00021A00061F000E28001831001D34001A3200112B00092200031C
00021900031B000721000C26000F29000E28000A2500061F
000822000A2400092300062000041C00021900031A00051E000B2500122C00173000162F
000F2A00082200031B00021900051D000C27001A3200273B002B3D00233800142D000821
00021A00031B000A24001D3400374300494C00464B002F3F00152E00061F00021900061F
001831003C4600574A005D4600554B00334100112B00041C00031A000E28003241005A48
00693900693A005849002D3E000C2600021900061F001D3400514D006A38007429006C36
00544C002036000620000219000C26003241005E4500722D00742900643F00414800122C
00031B00041C00152E00444A006340006F31006A3800554B00263A000923000219000720
001D34004B4D005F4400634000584900364300122C00041C00031A000B2500223800444A
00534C00514D00374300183100072100021900041D000E28002036003241003743002B3D
00183100092300031B00021A00061F000F29001932001F36001C3300122C00092300041C
00021900031B000721000C2600102A000F29000B25000620
000923000A2400092300072000041C00021900031A00061F000C2600132D001831001730
00102A00082200031B00021900051D000D27001B3300293C002E3F00253900152E000822
00031A00031B000B25001E35003A45004E4E004B4D00314100162F00061F000219000620
001932004048005A4800604300574A00364300122C00041C00031B000F29003542005D46
006D34006C35005B48003040000C2600021900061F001F3600544C006D33007823006F31
00564B002237000620000219000D2700354200614200762700782200673B00454A00132D
00031B00041C00162F00484C00663D00732B006E3300584900283B000923000219000721
001F36004F4E00624100663D005B4700394500132D00041C00031A000B2500243900484B
00564B00534C003B45001A3200082100021900041D000E29002238003543003B45002E3F
001932000A2400031B00021A000620000F29001B33002137001D3500132D00092400041C
00021900031B000721000D2700102A00102A000B26000720
000923000B25000A2400072000041C00021900031A00061F000C2600142E001A32001831
00112B00092200031B00021900051E000E28001D34002C3E00314000273B00162F000822
00031A00031B000B26002036003E4700504D004F4E003442001730000620000219000720
001B3300454A005D46006340005A4800394500132D00041C00031B00102A003944005F44
00702F006F31005D46003241000C2700021900062000213700564A00712E007C1C00722C
005849002338000720000219000D2700394400643F007A20007C1B006B3700494C00142E
00031B00041C001730004D4E00693900772500712E005A48002A3D000A24000219000721
00213700514D00653E006939005E45003D4600142D00041D00031A000B2600263A004C4D
00584900564B003F47001C3300082200021900041D000F29002439003944003E47003140
001B33000A2500031B00021A00062000102A001C33002338001F3600152E000A2400041C
00021900031B000721000D2700112B00102A000C26000721
000A24000B25000A2400072100041C00021900031A00061F000D2700152F001B33001A32
00122C00092300031B00021900051E000E28001E35002F3F00344200293C001730000822
00031A00031B000C2600223800424900534C00514D003744001830000620000219000720
001D3400494C005F4400663D005C46003C4600142D00041C00031B00112B003D46006241
00742A00732C006043003542000D27000219000720002338005949007528008014007627
005A4800253900072000021A000E28003D4600673B007E19008014006E33004E4E00152E
00031B00041C00183100504E006C35007A1F007429005D46002D3E000A24000219000721
00233800534C00683B006D3500604300414800152E00041D00031A000C2600283B004F4E
005B48005849004349001D3400082200021900041D000F2A00253A003C46004249003442
001D34000B2500031B00021A00062000102A001D3400253900213700162F000B2500041C
00021900031B000821000E2800122C00112B000D27000721
000A24000C26000A2500072100041C00021900031A00061F000D2800162F001C34001B33
00132C00092300031C00021900051E000F29002036003141003743002B3D001831000923
00031A00031B000C2700243900464B00554B00534C003A45001931000620000219000721
001E35004E4E00624100693A005F4400404800142E00041C00031B00122C00414800653D
007724007626006241003744000D2700021900072000263A005C4700782200840C007921
005D4600273A00072000021A000F29004148006A3700811100840C00712F00504E00162F
00031B00041D001A3200524D007030007E17007823006043002F3F000A24000219000821
00243900554B006B3700703000634000454A00162F00041D00031A000C26002A3C00514D
005D46005B4800474B001F3600092300021900041D00102A00273B003F4800464B003744
001F35000C2600031B00021900062000112B001F3500273A002338001730000B2500041D
00021900031B000822000E2800132C00122C000D28000821
000A25000C26000B2500072100041C00021900031A000620000E28001830001E35001C34
00132D00092400041C00021900051E00102A002237003442003A45002E3F001931000923
00031A00031B000D2700263A004B4D00574A00554B003E47001A32000720000219000821
00203600504D00653E006C3600614200434900152E00041C00031B00132C00454A00693A
007B1E007A2000653E003A45000D2800021900072100283B005F44007C1B008803007D1B
005F4400283B00072000021A00102A00454A006E3300860800880300742A00524D001730
00031B00041D001B3300554B00732B008210007B1D006241003241000B25000219000822
00263A00584A006E3300732B00663D00494C00173000041D00031A000D27002C3D00534C
006043005D46004C4D00213700092300021900041D00112B00293C004349004B4D003B45
002037000C2700031C00021900072000122B00203600293C002539001831000C2600041D
00021900031B000822000F2900132D00132D000E28000822
000B25000D27000B2500082100041C00021900031A000720000F29001931001F36001E35
00142E000A2400041C00021900051F00102A002439003744003D47003040001A32000923
00031A00031B000E2800283C004F4E005A4800574A004148001B33000720000219000822
00223800534C00683A006F3200644000474B00162F00041C00031B00142D004A4C006C36
007F17007D1A00673B003D46000E28000219000821002B3D006142008014068C00008014
006142002A3C00072100021A00102B004A4C00712E008A00068C0000772500544C001730
00031B00041D001D3400574A007725008607007F1600653E003442000B25000219000822
00293C005A4800712E007625006939004E4E00193100051D00031A000D27002E3F00564B
006241006043004F4E002338000A2400021A00041D00112B002B3D00474B004F4E003F47
002238000D2700041C00021900072000122C002137002B3D00273B001A32000C2700051D
00021900031B000822000F2900142E00142D000F29000822
000B25000D27000C2600082200041D00021900031A000720000F29001A32002137001F36
00152E000A2400041C00021900061F00112B00263A003A45004148003341001B33000A24
00031A00031B000E28002B3D00514D005C4700594800444A001C34000720000219000822
00243900554B006B3700722D00663D004A4C00173000041C00031B00152E004E4E006F31
00820F008013006A38004048000E28000219000822002E3F00643F00840C10900000840D
006440002C3D00072100021A00112B004E4E0074290A8E00109000007A1F00554B001831
00031B00051D001F35005948007A1F018A0000830E00673B003743000B26000219000923
002B3D005D46007429007A20006C3600504E001A3200051D00031A000E2800304000584A
00653E00624100514D002539000A2400021A00041D00122C002D3E004A4D00514D004249
002439000E2800041C00021900072000132C002338002D3E00293C001B33000D2700051D
00021900031B00082200102A00152E00152E000F2A000923
000C26000E28000C2600082200041D00021900031A00072100102A001B33002338002137
00162F000A2500041C00021900061F00122C00283B003E4700444A003543001C34000A24
00031A00031C000F29002D3E00534C005E45005C4700484B001D34000721000219000922
00263A00574A006E3300752800693A004E4E00173000041C00031B00162F00514D00722D
00860700840C006C35004249000E2900021900082200314000673B0088031B9400008705
00663D002D3E00072100021A00122C00514D0078231592001A9400007D1900574A001931
00031B00051E002137005C47007E190A8E00008607006A38003A45000C26000219000923
002D3E005F44007724007D19006F3200524D001B3300051E00031A000E28003341005A48
00673B00653E00534C00273B000A2500021A00041D00122C002F3F004E4E00534D00464B
00273A000E2900041C00021900072000132D002439002F3F002C3D001D34000E2800051E
00021900031B00082200102A00162F00162F00102A000923
000C26000E28000D2700082200041D00021900031A00072100102B001C34002439002238
001730000B2500041C00021900061F00132C002A3C00414800484B003844001E35000A24
00031A00041C00102A00304000554B006142005E45004B4D001E35000721000219000923
00283B005A4800712E007823006B37004F4E00183100041C00031C00183000534C007527
018A00008704006F3100454A000F29000219000923003442006A37058C00269800028A00
00683A002F3F00072100021A00142D00534C007B1D209600269800008013005949001A32
00031B00051E002238005E44008111159200018A00006D35003C46000C26000219000923
003040006142007B1E00811300722D00544C001C3400051E00031A000F29003543005C47
006A3800673B00554B00293C000B2500021A00041D00132D00314100504E00554C004A4D
00293C000F2900041C00021900072100142D00263A003241002E3F001E35000E2900051E
00021900031B00092300112B00173000173000112B000924
000D27000F29000D2700092300041D00021900031B00072100112B001E3500263A002439
001831000B2500041C00021900061F00142D002C3E00444A004C4D003B45001F36000A24
00031A00041C00102A00324100574A006340006043004F4E002036000721000219000923
002B3D005C4700742A007B1E006E3300514D00193100041C00041C00193100554B007922
0A8E00038B0000712E00484B000F29000219000923003744006D330F9000329C000B8E00
006A3800314000072100031A00152E00554B007F162C9A00329C0000840C005B47001B33
00031B00051E00253900614200850A1F9600098D00006F31003F47000C27000219000A24
00324100643F007E1800840B00742900564B001D3500051E00031A000F29003844005E45
006D34006A3800584A002B3D000B2600021A00041D00132D00344200524D00564A004E4E
002B3D00102A00041C00021900072100152E00283B003442003040002036000F2900051E
00021900031B00092300112B00183100183100122C000A24
000D27000F29000D2800092300041D00021900031B00082100122C001F3600283B00253A
001931000B2600041C00021900062000142E002E3F00484C004F4E003E47002036000B25
00031A00041C00112B00354200594900653D00624100504E002137000721000219000A24
002D3E005E45007725007E1800703000524D001A3200041C00041C001A3200574A007C1C
1391000C8E0000742A004B4D000F29000219000A24003B4500712F1A94003FA100139100
006C3500324100072100031A00162F00584A00830E399F003EA000008706005D46001B33
00031B00051E00273A0064400088022B9A0012910000722D004249000D27000219000A24
00354200663C00811200870400772400584A001F3500051E00031A00102A003B45006043
006F31006D34005A48002E3E000C2600021A00051D00142E00364300534C00584900504E
002D3E00112B00041D00021900072100152F00293C00364300334100223700102A00051E
00021900031B00092300122C00193100193100122C000A24
000D2800102A000E2800092300041D00021900031B00082200132C002137002A3C00273B
001A32000C2600041C00021900072000152F003040004C4D00504D004048002137000B25
00031A00041C00122C003844005B4700683B00643F00524D002237000721000219000A24
003040006142007A1F00811100732C00544C001A3200041C00041C001C34005A48007F15
1E9500149200007626004D4E000F2A000219000A24003F4700742A2598004CA5001D9500
006F3200344200072100031A001730005A4800860647A3004BA400008A00005E45001C34
00031B00061F00293C00663D068C00379E001C950000742900454A000D27000219000A25
00384400693900840B038B00007A1F00594800203600051E00031A00102A003D47006241
00722D006F31005C47003040000C2700021A00051D00152E00384400554B005A4800524D
00304000112B00041D00021900072100162F002B3D00394400354300233800112B00061F
00021900031B00092300122C001A32001A3200132D000B25
000E2800102A000E2900092300041D00021900031B00082200132D002238002C3D00293C
001B33000C2600041C00021900072000162F003341004F4E00524D004349002338000B25
00031A00041C00132C003B45005D45006A3800673C00534C002338000821000219000B25
003241006340007D1900840B00752800554B001B3300041C00041C001E35005C4600830E
2899001E9500007922004F4E00102A000219000B25004249007725319C005AA900269800
00712F00354300072100031A001931005C46018A0055A70059A800088D00006043001D34
00031B00061F002B3D0069390F900043A20026980000772500474B000D27000219000B25
003B45006C360088030B8E00007D1A005B4700213700051E00031A00112B00404800653E
00752800722D005E45003241000D2700021A00051D00152F003B4500574A005C4600544C
00324100122C00041D000219000721001730002D3E003C4600384400253A00112B00061F
00021900031B00092300132D001B33001B3300142E000B25
000E2900112B000F29000A2400051D00021900031B00082200142E002439002E3E002A3D
001C33000C2700041C00021900072000173000354200504D00544C00464B002439000B26
00031A00041C00142D003E47005F44006D3500693A00554B002439000821000219000B25
00354300653D00801300870400772400574A001B3300041C00041D001F36005E44008607
349D00279900007B1D00504E00102A000219000B2600474B007A1F3EA00069AD00309C00
00732C00374300072100031A001A32005F440A8E0064AC0067AD000F9000006242001E35
00031B00061F002E3F006C3619940051A600309C00007921004A4C000D28000219000B26
003E47006E33038B00149200008014005D4600223800051E00031A00112B00434900673C
007724007529006043003442000D2700021A00051D00162F003D46005949005E4400564B
00354200132D00051D000219000721001730002E3F003E47003A4500273B00122C00061F
00021900031B00092300132D001C33001C3400152E000C26
000F2900112B000F2A000A2400051D00021900031B00092300152E002539003040002C3E
001D34000D2700041C00021900072100183100384400524D00554B00494C00253A000C26
00031A00041C00142E004148006142006F31006B3700564B00253A000821000219000C26
00384400683B00830D028A00007A20005849001C3400041C00041D002137006142008A00
3FA100319C00007D1900514D00102A000219000C26004B4D007D194BA40078B1003A9F00
00752800384400072100031B001C3300614213910073B00075B100179300006340001E35
00031B000620003040006E322397005EAA003B9F00007C1C004D4E000E28000219000C26
00414800712F0C8E001D950000830E005F4400243900051F00031A00122C00464B006939
007A1F007724006241003743000E2800021A00051E001730003F48005A4800604300574A
00374400142D00051D000219000821001831003040004148003D4600293C00132D000620
00021900031B000A2400142D001D34001D3400162F000C26
000F2A00122C00102A000A2400051D00021900031B00092300162F00273A003241002E3F
001E35000D2700041C000219000721001932003A4500544C00574A004C4D00263A000C26
00031A00041D00152F00444A00643F00712E006D3400584A00263A000822000219000C26
003B45006A38008606098D00007C1B005A48001D3400041C00041D002338006340088D00
4BA4003B9F0000801500524D00102A000219000D27004F4E00811358A80087B50044A200
00772500394500072100031B001D3400643F1D950083B40084B4001F960000653E001F35
00031B00072000334100712E2E9B006CAE0046A300007E18004F4E000E28000219000C27
00444A00732B14920027980000850800614200253900061F00031A00132C00494C006B36
007D1A007A2000643F003945000E2800021A00051E001830004249005C46006241005949
003A4500152E00051E000219000821001931003241004349004048002B3D00142D000620
00021900031B000A2400142E001E35001E35001730000D27
00102A00132C00102A000A2500051E00021900031B00092300162F00283B003442003040
001F36000E2800041C000219000821001A32003D4600554B005949004F4E00283B000C26
00031A00041D00162F00474B00663D00742A006F3100594900273B000822000219000D27
003E47006D34008900119000007F17005B47001D3400041C00051D00253900663D119000
58A80046A30000821000534C00102A000219000D2800514D00840C66AC0097BA004FA600
007922003B4500072100031B001F3600663D28990093B90093B80027990000663D001F36
00031B00072000364300742A399F007BB20051A60000801300504E000E28000219000D27
00474B0076271D9500309C0000880200634100263A00061F00031A00132D004D4E006D33
007F15007C1B00663D003C46000F2900031A00051E00183100444A005E4500643F005B47
003C4600152F00051E00021900082200193200344200464B004349002C3E00152E000720
00021900031B000A2400152E001F35002036001830000D27
00102A00132D00112B000B2500051E00021900031B000923001730002A3C003643003141
002036000E2800041C000219000822001B33003F4700574A005A4800504E00293C000C27
00031A00041D001730004B4D00683B00762600712E005B4800283B000822000219000D28
004148006F31078C00199300008112005C46001E3500041C00051E00273A00683A1A9400
65AC0050A60000840B00544C00102B000219000E2800534D00870575B000A7BE0059A900
007A1E003C4600072100031B00213700693A329D00A4BD00A2BC002F9B0000683B002036
00031B00072100394400762644A20089B6005CAA0000830F00514D000E29000219000D28
004B4D0078222698003A9F00038B0000643F00273B00061F00031A00142E004F4E007030
008210007F1600683B003E47000F2900031A00051E00193100474B00604300663D005D46
003F4700162F00051E000219000822001A3200354300494C00454A002E3F00152F000720
00021900031B000A2400162F002036002137001831000D28
00112B00142D00112B000B2500051E00021900031B000A24001831002B3D003844003342
002137000E2800041D000219000822001C34004249005849005C4700514D002A3D000D27
00031A00041D001831004E4E006A3800782200732B005C4700293C000822000219000E28
00444A00722D0E8F0021960000830D005D45001E3500041C00051E00293C006A38239700
72B0005BA90000860700554B00112B000219000F2900544C028A0084B400B8C10064AC00
007C1B003D4700072100031B002238006B363EA000B6C100B2C000379E00006939002037
00031B000721003B4600792150A60099BA0068AD0000850A00524D000F29000219000E28
004E4E007B1E2F9B0045A2000A8E0000663D00293C00061F00031B00152E00504E00722D
00850A008111006A3800404800102A00031A00051E001A32004A4C00614200683A005E45
00424900173000051E000219000822001B33003744004C4D00484C00304000162F000721
00021900031B000A2400162F002137002237001932000E28
00112B00142E00122C000B2500051E00021900031B000A24001931002D3E003A45003542
002238000E2900041D000219000822001D3400444A005A48005D4500524D002C3D000D27
00031A00051D00193100504E006C36007B1E007528005D46002A3D000822000219000E29
00484B00742A169200299900008509005F44001F3500041C00051E002B3D006D342D9B00
7FB30066AC0000880200564B00112B00021900102A00564A098D0093B800C5C2006FAF00
007E18003E4700072100031B002439006E3349A400C5C300C2C40040A100006A38002137
00031B000821003E47007C1C5CAA00A8BE0074B00000870500534C000F29000219000E29
00504E007D19399F004FA60010900000683B002A3C00061F00031B00162F00524D00742A
00870400840C006C3600434900102A00031A00051E001A32004C4D006340006A38006043
00444A00183100051E000219000822001B33003944004E4E004B4D003241001730000721
00021A00031B000A24001730002237002338001A32000E29
00122C00152E00122C000B2600051E00021900031B000A24001A32002E3F003C46003743
002338000F2900041D000219000822001E3500474B005B47005F4400544C002D3E000D27
00031A00051D001A3200514D006E33007D1A007724005F44002B3D000822000219000F29
004B4D0076261D9500319C00008704006043001F3600041C00051E002D3E006F31369E00
8CB70071AF00028A0000574A00112B00021900102A005849119100A2BC00C9B9007AB200
008014003F4800072100031C00263A00702F55A700C9B900C8BD0048A300006C36002137
00031B000822004249007E1769AD00B8C1007FB30000890000544C000F29000219000F29
00514D00801442A20059A900179300006939002B3D00061F00031B00162F00534C007626
008A00008607006E3300454A00102A00031A00051E001B33004F4E00643E006C36006241
00474B00193100051F000219000822001C34003B45004F4E004E4E003442001831000821
00021A00031B000A25001730002338002439001B33000F29
00122C00162F00132C000C2600051E00021900031B000A25001A32003040003E47003944
002439000F2900041D000219000923001F36004A4C005D4600604300554B002E3F000D27
00031A00051E001B3300524D007030007F16007921006043002C3E00082200021900102A
004E4E007922259800399F0000890000614200203600041C00061F002F3F00712E40A100
9ABA007CB200078C0000584A00112B00021900112B005A481A9400B2C000CDAF0084B500
00811100404800072100041C00283B00732C61AB00CDAF00CBB40050A600006D34002237
00031B00082200454A00811275B100C5C3008BB700048B0000554B000F2900021900102A
00534C00820F4CA50064AC001E9500006B37002C3E00061F00031B00173000544C007823
068C00008901006F3100484B00112B00031A00051E001C3300504E00663D006E33006340
004A4C001A3200061F000219000822001D34003C4600514D004F4E003643001931000822
00021A00031B000B2500183000243900253A001C34000F2A
00132D00162F00132D000C2600051E00021900031B000B25001B33003141004048003A45
002539000F2A00041D000219000923002037004C4D005E4500624100564B002F3F000D28
00031A00051E001C3400544C00722D008111007B1E006142002D3E00082200021900102A
00504E007B1E2D9B0041A100058C0000624100203600041C00061F00314100742A4AA400
A8BE0087B5000B8E0000584900112B00021900122C005C46229700C2C400D1A6008FB700
00830E00414900072100041C002A3D0075286DAE00D1A500CFAB0058A800006E32002238
00031B00092300484B00840C82B400C9BA0097BA00098D0000564B000F2900021900102A
00544C00850A56A8006FAF00249800006C35002D3E00061F00031B00183000564B007A1F
0C8F00038B0000712E004A4C00112B00031A00051E001D3400514D00683B006F3100653E
004C4D001B3200061F000219000822001D34003E4700524D00504D003844001A32000822
00021A00031B000B2500183100253900263A001D3400102A
00132D00173000142D000C2600051E00021900031B000B25001C34003341004249003C46
00263A00102A00041D000219000923002137004F4E00604300634000574A003040000E28
00031A00051E001D3400554B00742A00830D007D1A006241002E3F00082200021900112B
00514D007D19359D004AA400098D0000634000203600041C00061F00344200762654A700
B6C10092B80010900000594900112B00021900132D005E452B9A00C7BD00D49C009ABA00
00840B00424900072100041C002C3E0077247AB200D59A00D2A20060AB00006F31002238
00031B000923004B4D0086078FB700CCB100A3BC000D8F0000564A000F2900021900112B
00564B00870460AB0079B2002B9A00006E33002E3F00061F00031B00183100574A007C1B
129100088D0000732B004C4D00122C00031A00051E001D3500524D00693900712E00663C
004E4E001B3300061F000219000822001E3500404800534C00514D003A45001B33000822
00021A00031B000B2500193100253A00283B001E3500102A
00142D00173000142E000C2700051E00021900031B000B25001D3400344200444A003E47
00273B00102A00041D00021900092300233800504E00614200653E005849003140000E28
00031A00051E001E3500564A007627008509007E17006340002F3F00082200021A00122B
00524D007F153DA00052A6000E8F0000643F00213700031C0006200036430078225FAA00
C3C4009CBB00149200005A4800112B00021900142D006043339D00CBB400D79200A4BD00
00860800434900072000041C002E3F007A2086B500D88F00D5990068AD0000702F002338
00031B000923004E4E0089019CBB00D0A800AFBF0012910000574A000F2900021900112B
00574A008A006AAE0084B500329C00006F31002F3F00061F00031B001932005849007E18
1893000E8F00007529004E4E00122C00031A00051E001E3500534C006B3700732C00683B
00504E001C3400061F000219000922001F3500424900544C00534D003C46001B33000822
00021A00031B000B2500193100263A00293C001F3500112B
00142E00183100152E000D2700051E00021900031C000B26001E3500364300454A003F48
00283B00102A00041D00021A000A2400243900514D00624100663D005949003241000E28
00031A00051E001F3600584A00772400870400801400643F00304000082200021A00122C
00544C00821145A3005AA90013910000653E00213700031C000620003844007A1F69AD00
C7BE00A7BD00199300005A4800112B00021900152E0062413CA000CFAB00DB8800AFBF00
00870400444A00072000041D003040007C1B93B800DC8400D88F0070AF0000712E002338
00031B000A2400504E048B00A8BE00D39F00BAC200179300005849000F2A00021900122C
005949058C0074B0008FB700389F0000702F00304000061F00031B001A32005A48008014
1E9500139100007626004F4E00122C00031A00051F001F3500544C006C35007429006939
00514D001D3400061F000219000923001F3600434900554B00544C003D47001C34000923
00021A00031B000B25001A3200273B002A3C00203600112B
00152E00183100152E000D2700051E00021900031C000C26001E3500374400474B004148
00293C00112B00041D00021A000A2400253900524D00643F00673C005A48003342000E28
00021A00051E00203600594900792100890000821000653D00314000082200021A00132D
00554B00840C4DA50062AB0017930000663D00213700031B000720003A45007D1B73B000
CAB600B1C0001D9500005B4700112B00021900152F00634045A200D2A200DE7E00B9C200
00880100454A00072000041D003241007E179FBB00DF7900DB860078B10000722C002338
00031A000A2400514D0A8E00B5C100D69600C5C4001B940000594900102A00021900132C
005A480B8E007EB30099BA003FA10000722D00314000062000031B001B33005B48008210
24980019930000782300504E00132D00031A00061F00203600554B006D33007627006B37
00524D001E3500061F00021900092300203600454A00564B00554B003F48001D34000923
00021A00031B000B25001A3200283B002B3D00203700122C
00152E00193100152F000D2700051E00021900041C000C26001F3600394400494C004349
002A3C00112B00041D00021A000A2400263A00534C00653E00683A005B47003442000E28
00021A00061F002137005A48007B1E038B0000830D00663C00314000082200021A00132D
00564A00860855A7006AAD001C950000673C00223700031B000720003D46007F177DB300
CDAF00BCC200219600005C4700112B00021900162F00653E4DA500D59900E17400C2C400
008A0000454A00072000041D003442008013ABBE00E36E00DE7D007FB30000732B002338
00031A000B2500524D0F9000C2C400D98D00C7BE0020960000594800102A00021900132D
005B4710900088B600A3BD0045A30000732B00324100062000031B001B33005C4700840C
2A9A001E950000792100514D00132D00031A00061F00203600564B006F31007724006C35
00534D001E3500062000021900092300203700474B00574A00564B004148001E35000923
00021A00031B000B26001B3300293C002C3D00213700122C
00162F00193200162F000D2700051F00021900041C000C26002036003A45004B4D00444A
002A3D00112B00041D00021A000A2400263A00544C00663D006A39005C47003543000E29
00021A00061F002237005B47007C1B078D0000850A00673B00324100082200021A00142E
00584A0087045DAA0072B00020960000673B00223700031B000721003F4700801387B500
D0A700C5C400259800005C4600112B00021900173000673C56A800D89000E46A00C6C000
038B0000464B00072000051D00364300830FB7C100E66400E1740086B500007429002439
00031A000B2500544C159200C7BF00DC8400CAB800249700005A4800102A00021900142D
005C4615920091B800ADBF004BA50000742900334100062000031B001C34005D46008509
2F9B00239700007B1E00524D00132D00031A00061F00213700574A007030007922006D33
00534C001F3600062000021900092300213700484C00584A00574A004349001F35000923
00021A00031B000B26001B33002A3C002D3E00223800132C
00162F001A3200162F000D2800051F00021900041C000C27002137003B46004D4E00464A
002B3D00112B00041D00021A000A2400273B00554C00673B006B37005D46003643000E29
00021A00061F002338005C46007E180B8E0000860700683A00334100082200021A00152E
00594900890064AC0079B20024980000683A00223800031B00072100414800820F91B800
D2A000C7BF00299900005D4600112B00021900183100683A5EAA00DB8700E76000C8BB00
068C0000474B00072000051D00384400850AC3C400E95900E46B008DB700007528002439
00031A000B2500554B1B9400C9B900DF7B00CCB200289900005B4800102A00021900142E
005E451B94009BBA00B7C10051A60000752800334200062000031B001D34005E45008705
359D00289900007C1C00534D00142D00031A00061F00223700574A00712E007A1F006F32
00544C002036000620000219000923002237004A4C00594900574A00444A001F36000923
00021A00031B000C26001B33002B3D002E3F00233800132D
00162F001A32001730000E2800061F00021900041C000D27002137003D46004E4E00474B
002C3E00122B00041D00021A000B2500283B00554B00683A006C36005E45003744000F29
00021A00061F002439005D45007F150F900000870400693900334100082200021A00152F
005A48038B006BAE0080B40028990000693900223800031B00082100434900840B9ABA00
D59900C9BA002D9B00005D4600112B000219001931006A3866AC00DE7E00E95700CAB700
088D0000474B00072000051E003A45008606C7BF00EC4F00E6620094B900007627002439
00031A000C2600564B209600CCB200E17300CEAC002C9A00005B4700102A00021900152E
005F44209600A4BD00C0C30057A80000762600344200062000031B001D34005F44008802
3A9F002D9B00007D1A00534C00142E00031A00061F00223800584900722C007B1D007030
00554B002037000720000219000923002238004B4D00594800584900464B002036000A24
00021A00031B000C26001C33002B3D002F3F00233800132D
001730001B33001730000E2800061F00021900041C000D27002237003E47004F4E00484C
002D3E00122C00041D00021A000B2500293C00564B006939006D35005E45003844000F29
00021A00061F002439005E44008113139100008901006A3800344200082200021A00162F
005B47078D0072B00087B5002C9A00006A3900223800031B00082200454A008608A3BC00
D79200CBB500309C00005E4500112B000219001A32006B366EAF00E07600EC4E00CCB200
0B8E0000484B00062000051E003C46008802C9B900EE4500E95A009ABA00007626002439
00031A000C2600574A259800CEAC00E46B00D0A700309C00005C4700102A00021900152F
006043249800ACBF00C5C2005DAA0000772400354200062000031B001E35006043018A00
40A100319C00007E1700544C00142E00031A00061F00233800594900742A007D1B00712E
00564B002137000720000219000923002338004C4D005A4800594900474B002137000A24
00021A00031B000C26001C34002C3E002F3F00243900142D
001730001B33001730000E2800061F00021900041C000D27002238003F4700504E004A4C
002D3E00122C00041D00021A000B25002A3C00574A006A38006E33005F44003944000F29
00021A00061F00253A005F44008210179300018A00006B3700344200082200021A00162F
005C470B8E0079B2008EB7002F9C00006A3800233800031B00082200474B008704ABBF00
D98C00CDB000339D00005E4500112B000219001A32006D3576B100E36E00EE4600CEAD00
0D8F0000484C00062000051E003E47018A00CCB300F13B00EB5200A0BC00007724002439
00031A000C260058492A9A00D1A600E66300D2A200339D00005C4600102A00021900162F
006142299900B5C100C7BD0062AB0000782300364300062000031B001F35006142048B00
44A200369E00007F1500554C00152E00031A00061F002338005A48007529007E1800722D
00574A002237000720000219000923002338004E4E005B47005A4800494C002137000A24
00021A00031B000C26001D34002D3E00304000253900142E
001730001C33001830000E2800061F00021900041C000D2700233800404800504E004B4D
002E3F00122C00041D00021A000B25002B3D00584A006B37006E32006043003A45000F29
00021A00061F00263A00604300830E1A9400038B00006B3600354200082200021A001730
005D460F90007FB30094B900339D00006B3700233800031B00082200494C008901B4C000
DC8600CEAC00379E00005E4500112B000219001B33006E337DB300E56600F03E00CFA900
0F900000484C00062000051E004048058B00CEAD00F33200ED4B00A5BD00007823002439
00031A000D270059492F9B00D3A000E85B00D49D00379E00005D4600102A00021900162F
0062412E9B00BDC300C9B90067AD0000792100364300062000031B001F36006241078C00
49A4003A9F0000801300554B00152E00031A00061F002439005A48007627007F1600732B
00574A002238000720000219000923002338004E4E005C47005B48004A4C002237000A24
00031A00031B000C26001D34002D3E00314000253A00142E
001830001C34001831000E2800061F00021900041C000D2800233800414800514D004C4D
002F3F00122C00041D00021A000B25002B3D005849006C36006F31006043003A45000F29
00021A00062000273A00614200840B1D9500068C00006C3500354300082200031A001730
005E4512910085B50099BA00369E00006B3600233800031B000822004A4D028A00BBC200
DD8000D0A800399F00005F4400112B000219001C33006F3184B500E75F00F23600D1A500
11900000494C00062000051E004148088D00D0A800F52A00EF4400AABE00007822002539
00031A000D27005A48349D00D59A00EA5400D598003A9F00005D4600102A000219001730
006340329C00C4C400CBB5006BAE00007A2000374300062000031B0020360063410A8E00
4DA5003EA00000811100564B00152E00031A00061F002439005B4700762600801400742A
005849002338000720000219000923002439004F4E005C46005B47004B4D002238000A24
00031A00031B000C26001D34002E3F00324100263A00152E
001831001C34001831000E2800061F00021900041C000D2800243900424900514D004D4E
002F3F00122C00041D00021A000B26002C3E005949006D35007030006142003B45000F29
00021A00062000273B006241008509209600088D00006D3500364300082200031A001830
005E441592008AB6009FBB00399F00006C3600233800031B000822004C4D058B00C2C400
DF7A00D1A4003CA000005F4400112B000219001C340070308AB600E95800F42F00D2A200
13910000494C00062000051E0043490B8E00D2A300F72200F03E00AFBF00007921002539
00031A000D27005B48389E00D69500EC4E00D794003CA000005D4500102A000219001730
00643F359E00C6C100CCB10070AF00007A1F00374400062000031B0020360063400C8F00
51A60041A10000820F00564B00152F00031A00061F002539005C47007724008113007429
005849002338000720000219000923002439004F4E005D46005C47004C4D002338000A24
00031A00031B000C26001D35002F3F00324100263A00152E
001831001D34001831000E2900061F00021900041C000E2800243900434900524D004E4E
00304000132C00041D00021A000B26002D3E005948006D3400712F006142003B46000F29
00021A00062000283B0062410086072397000A8E00006D3400364300082200031A001831
005F441893008FB700A3BD003B9F00006C3500233800031B000923004D4E078D00C5C200
E17500D2A0003EA000005F4400112B000219001D3400712E90B800EB5200F62900D39E00
14920000494C00062000051F00444A0E8F00D39E00F91B00F23800B3C000007921002539
00031A000D28005B473CA000D89000EE4800D890003FA100005E4500102A000219001830
00643F399F00C7BE00CEAD0073B000007B1D00384400062000031C00213700643F0F9000
55A70044A20000830E00574A00152F00031A00061F00253A005C46007823008111007528
00594900243900072100021900092400253900504E005D45005C46004D4E002338000A25
00031A00031B000C26001E35002F3F00334100273B00152E
001931001D34001931000E2900061F00021900041C000E2800253900444A00524D004E4E
00304000132C00041D00021A000C26002D3E005A48006E3300712E006241003C46000F29
00021A00062000283B0063400087052598000C8E00006E3300364300082200031A001931
0060431A940094B900A8BE003EA000006C3500233800031B000923004E4E0A8E00C7BF00
E27100D49D0041A100005F4400102B000219001D3500722D95B900EC4C00F72300D49B00
169200004A4C00062000061F00454A119000D59A00FB1400F33200B7C100007A20002539
00031A000E28005C463FA100D98C00EF4200D98C0041A100005E4500102A000219001831
00653E3CA000C8BB00CFAA0077B100007C1C00384400062000031C00213700643F119000
58A80047A30000840C00574A00162F00031A00061F00263A005D46007922008210007627
005948002439000721000219000A2400253900504E005E45005D46004E4E002439000B25
00031A00031B000C26001E3500304000344200273B00152F
001931001D34001931000F2900061F00021900041C000E2800253900444A00524D004F4E
00304000132D00041D00021A000C26002E3E005A48006E3200722D006241003C46000F29
00021A00062000293C0063400087042799000D8F00006E3300374300082200031A001931
0060431D950097BA00ABBF0040A100006D3400233800031B000923004F4E0C8E00C8BC00
E36D00D59A0042A20000604300102B000219001E3500732C99BA00EE4700F81E00D59900
179300004A4C00062000061F00464B139100D69700FC0F00F42E00BBC200007A1F002539
00031A000E28005D4642A200DB8800F03E00DA890043A200005E4500102A000219001831
00663D3FA100C9B800D0A7007AB200007C1B00384400062000031C00213700653E139100
5BA9004AA40000840B00574A00162F00031A00061F00263A005D4600792100830E007626
005A48002439000721000219000A2400253A00504D005E45005D46004F4E002439000B25
00031A00031B000C26001E3500304000344200283B00162F
001931001D34001931000F2900061F00021900041C000E2800253A00454A00534D004F4E
00314000132D00041D00021A000C26002E3F005B48006F3200722D006341003D46000F29
00021A00072000293C00643F0088022999000F9000006E3200374300082200031A001931
0061421F96009BBA00AFBF0042A100006D3400233800031B000923004F4E0D8F00C9BA00
E46A00D5980044A20000604300102B000219001E3500732B9DBB00EF4300F91A00D69600
189300004A4D00061F00061F00474B159200D79400FD0A00F52A00BDC300007A1F002539
00031A000E28005D4645A200DC8500F13A00DB870045A300005F4400102A000219001931
00663D41A100CAB600D1A5007CB300007C1B00394400062000041C00223700653E149200
5EAA004CA50000850A00584A00162F00031A00061F00263A005D45007A2000830D007725
005A48002539000721000219000A2400253A00514D005E44005D45004F4E002439000B25
00031A00031B000C27001E3500304000344200283B00162F
001931001E35001931000F2900061F00021900041C000E2800263A00454A00534C004F4E
00314000132D00041D00021A000C26002E3F005B47006F3100722C006340003D46000F29
00021A000720002A3C00643F0089012A9A00109000006F3200374400082200031A001932
0061422096009DBB00B1C00043A200006D3400233800031B00092300504E0F9000C9B800
E56700D6960045A30000604300102B000219001F3500742AA0BC00F04000FA1600D79500
199300004A4D00061F00061F00484B179300D89100FE0600F62700C0C300007B1E002539
00031A000E28005D4547A300DC8300F23600DC850046A300005F4400102A000219001931
00663C43A200CBB400D1A3007EB300007D1A00394400062000041C00223700663D169200
60AB004EA50000850900584A00162F00031A00062000263A005E45007A1F00840C007724
005A48002539000721000219000A2400263A00514D005F44005E45004F4E002439000B25
00031A00031B000C27001E3500314000354200283B00162F
001931001E35001931000F2900061F00021900041C000E2800263A00464A00534C004F4E
00314000132D00041D00021A000C26002E3F005B47006F3100732C006340003D46000F2A
00021A000720002A3C00643E0089012B9A00109000006F3200374400082200031A001932
0061422197009FBC00B3C00044A200006E3300243900031B00092300504E109000CAB700
E56500D7950046A30000604300102B000219001F3500742AA2BC00F03D00FB1400D79300
1A9400004B4D00061F00061F00484C189300D88F00FF0300F72400C2C400007B1E002539
00031A000E28005E4548A400DD8100F33400DC830048A300005F4400102A000219001931
00673C44A200CCB300D2A20080B400007D1A00394500062000041C00223800663D179300
61AB004FA60000850800584900162F00031A00062000273A005E45007A1F00840C007724
005B48002539000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354200283B00162F
001932001E35001932000F2900061F00021900041C000E2800263A00464B00534C004F4E
00314100132D00041D00021A000C26002F3F005B4700703000732B006340003D47000F2A
00021A000720002A3C00653E0089002C9A00119100006F3100374400082200031A001932
006142229700A1BC00B5C10045A300006E3300243900031B00092300504E119000CAB600
E66300D7940047A30000604300112B000219001F35007429A3BD00F13C00FB1200D79200
1A9400004B4D00061F00061F00484C199300D98E00FF0100F72200C3C400007B1E00253A
00031A000E28005E4549A400DD7F00F33200DD820048A400005F4400102A000219001931
00673C45A300CCB200D2A00081B400007D1900394500062000041C00223800663D179300
62AB0050A60000860800584900162F00031A00062000273A005E45007A1F00840B007823
005B47002539000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354200293C00162F
001932001E35001932000F2900061F00021900041C000E2800263A00464B00534C004F4E
00314100132D00041D00021A000C26002F3F005B4700703000732B006340003D47000F2A
00021A000720002A3C00653E0089002D9B00119100006F3100384400082200031A001A32
006242229700A1BC00B5C10046A300006E3300243900031B00092300504E119100CBB500
E66200D7930048A30000604300112B000219001F36007429A4BD00F13B00FC1000D89100
1B9400004B4D00061F00061F00494C199400D98D00FF0000F72100C4C400007B1D00253A
00031A000E28005E454AA400DE7F00F43100DD810049A400005F4400102A000219001931
00673C46A300CCB100D3A00082B400007D1900394500062000041C00223800663D189300
63AB0051A60000860700584900162F00031A00062000273A005E45007B1E00840B007823
005B47002539000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354200293C00162F
001932001E35001932000F2900061F00021900041C000E2800263A00464B00534C004F4E
00324100132D00041D00021A000C26002F3F005B4700703000732B006340003D47000F2A
00021A000720002A3C00653E0089002D9B00129100006F3100384400082200031A001A32
006242229700A1BC00B6C10046A300006E3300243900031B00092300504E119100CBB500
E66200D7930048A30000604300112B000219001F35007429A4BD00F13A00FC1000D89100
1B9400004B4D00061F00061F00494C199400D98D00FF0000F72100C4C400007B1D00253A
00031A000E28005E454AA400DE7E00F43100DD810049A400005F4400102A000219001931
00673C46A300CCB100D3A00082B400007D19003A4500062000041C00223800663D189300
63AB0051A60000860700584900162F00031A00062000273A005E45007B1E00840B007823
005B4700253A000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354300293C00162F
001932001E35001932000F2900061F00021900041C000E2800263A00464B00534C004F4E
00314100132D00041D00021A000C26002F3F005B4700703000732B006340003D47000F2A
00021A000720002A3C00653E0089002C9A00119100006F3100384400082200031A001932
006142229700A1BC00B5C10046A300006E3300243900031B00092300504E119000CAB600
E66300D7930048A30000604300112B000219001F35007429A3BD00F13B00FB1100D89100
1B9400004B4D00062000061F00484C199300D98E00FF0000F72200C4C400007B1D00253A
00031A000E28005E4549A400DE7F00F33100DD810049A400005F4400102A000219001931
00673C45A300CCB100D3A00082B400007D19003A4500062000041C00223800663D179300
63AB0050A60000860800584900162F00031A00062000273A005E45007A1E00840B007823
005B47002539000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354200293C00162F
001932001E35001932000F2900061F00021900041C000E2800263A00464A00534C004F4E
00314100132D00041D00021A000C26002E3F005B47006F3100732B006340003D47000F2A
00021A000720002A3C00653E0089002C9A00119000006F3100384400082200031A001932
006142219700A0BC00B4C10045A300006E3300243900031B00092300504E109000CAB700
E66400D7940048A30000604300112B000219001F3500742AA2BC00F03D00FB1200D79200
1B9400004B4D00062000061F00484B189300D88F00FF0200F72300C3C400007B1D00253A
00031A000E28005E4548A400DD8000F33300DD820048A400005F4400102A000219001931
00673C45A200CCB200D2A10081B400007D1900394500062000041C00223800663D179300
62AB0050A60000860800584900162F00031A00062000273A005E45007A1F00840B007824
005B48002539000721000219000A2400263A00514D005F44005E45004F4E002539000B25
00031A00031B000C27001F3500314000354200283C00162F
001931001E35001931000F2900061F00021900041C000E2800263A00454A00534C004F4E
00314000132D00041D00021A000C26002E3F005B47006F3100732C006340003D47000F2A
00021A00072000293C00643F0089012B9A00109000006F3200384400082200031A001931
0061422096009EBB00B2C00044A200006E3300243900031B000923004F4E0F9000CAB800
E56600D6950047A30000604300112B000219001E3500742AA0BC00F03F00FB1400D79300
1A9400004B4D00062000061F00474B179300D89100FE0500F72500C2C400007B1D00253A
00031A000E28005D4547A300DD8200F23500DC830048A300005F4400102A000219001931
00663C43A200CBB400D2A20080B300007D1A00394500062000041C00223700663D169200
60AB004FA50000850800584900162F00031A00062000263A005E45007A1F00840C007724
005A48002539000721000219000A2400263A00514D005F44005E45004F4E002439000B25
00031A00031B000C27001F3500314000354200283B00162F
001931001D35001931000F2900061F00021900041C000E2800253A00454A00534C004F4E
00314000132D00041D00021A000C26002E3F005B47006F3100722C006340003D46000F2A
00021A00072000293C00643F0088022A9A000F9000006F3200374400082200031A001931
0061421F96009CBB00B0C00043A200006E3300243900031B000923004F4E0D8F00C9BA00
E46800D6960046A30000604300112B000219001E3500732B9DBB00EF4200FA1700D79400
1A9400004B4D00062000061F00464B159200D79300FD0800F62800C0C300007B1E00253A
00031A000E28005D4645A200DC8500F23800DC850047A300005F4400102A000219001831
00663D41A100CBB500D1A4007EB300007D1A00394500062000041C00223700653E159200
5FAA004DA50000850900584A00162F00031A00061F00263A005D45007A2000830D007725
005A48002539000721000219000A2400263A00514D005F44005E45004F4E002439000B25
00031A00031B000C27001E3500304000354200283B00162F
001931001D34001931000F2900061F00021900041C000E2800253A00444A00524D004F4E
00314000132D00041D00021A000C26002E3E005A48006F3200722D006241003D46000F2A
00021A00062000293C0064400088032899000E8F00006E3200374400082200031A001931
0060431D950099BA00ADBF0042A200006D3400243900031B000923004F4E0C8E00C8BC00
E46B00D5980045A20000604300112B000219001E3500722C99BA00EE4600F91B00D69600
199300004B4D00062000061F00464A139100D69600FC0D00F52B00BEC300007B1E00253A
00031A000E28005C4642A200DB8800F13C00DB870045A300005F4400102A000219001831
00653D3FA100CAB700D0A6007CB200007D1B00394400062000031C00213700653E139100
5CAA004BA40000850A00574A00162F00031A00061F00263A005D4600792100830E007725
005A48002439000721000219000A2400253A00514D005E45005D45004F4E002439000B25
00031A00031B000C27001E3500304000344200283B00162F
001931001D34001931000F2900061F00021900041C000E2800253900444A00524D004F4E
00304000132D00041D00021A000C26002D3E005A48006E3300712E006241003C46000F2A
00021A00062000283B0063400087052698000D8F00006E3300374300082200031A001831
0060431B940095B900AABE0040A100006D3400243900031B000923004E4E098D00C7BF00
E26F00D49B0043A20000604300112B000219001D3400722D94B900ED4B00F82000D59900
189300004B4D00062000051E00444A109000D59A00FB1200F42F00BBC200007A1E00263A
00031A000D28005C473FA100DA8B00F04000DA8A0044A200005F4400102A000219001831
00653E3CA000C9BA00CFA90079B200007C1B00394400062000031C00213700653E119100
5AA90049A40000840B00574A00162F00031A00061F00263A005D4600792100820F007626
005A48002439000721000219000A2400253A00504E005E45005D46004E4E002439000A25
00031A00031B000C27001E3500304000344200273B00152F
001831001D34001931000E2900061F00021900041C000E2800243900434900524D004E4E
00304000132C00041D00021A000B26002D3E005A48006E3300712E006241003C46000F29
00021A00062000283B0062410086072497000B8E00006E3300374300082200031A001831
005F4418930091B800A6BD003EA000006D3400243900031B000822004D4E078C00C6C200
E17300D39E0042A10000604300112B000219001C3400712F8FB800EB5000F62500D49B00
179300004B4D00062000051E0043490E8F00D39E00FA1800F33400B8C200007A1F00263A
00031A000D27005B473CA000D88F00EE4500D98D0042A100005E4500102A000219001830
00643F399F00C8BD00CEAC0076B100007C1C00384400062000031B00213700643F0F9000
57A80046A30000830D00574A00162F00031A00061F00253A005C46007822008210007527
005949002439000721000219000A2400253900504E005E45005D46004E4E002338000A25
00031A00031B000C26001E35002F3F00334200273B00152E
001831001D34001831000E2900061F00021900041C000D2800243900424900514D004D4E
00304000132C00041D00021A000B26002C3E005949006D3400702F006142003B46000F29
00021A00062000273B006241008508219700098D00006D3400374300082200021A001830
005E451592008CB700A2BC003CA000006C3500243900031B000822004B4D048B00C3C400
E07800D2A10040A10000604300112B000219001C330070308AB600EA5600F52B00D39E00
169200004B4D00062000051E0042490B8E00D2A200F81F00F13900B4C100007A2000263A
00031A000D27005A48389E00D79400ED4B00D891003FA100005E4500102A000219001730
006440369E00C6C000CDAF0073B000007B1D00384400062000031B0020360063400D8F00
53A70043A20000830E00564A00152F00031A00061F002539005C47007824008112007528
00594900233800072000021900092400253900504E005D46005C46004D4E002338000A24
00031A00031B000C26001E35002F3F00334100273A00152E
001831001C34001831000E2800061F00021900041C000D2800243900424900514D004C4D
002F3F00122C00041D00021A000B25002B3D005949006C35007030006142003B45000F29
00021A00062000273A00614200840B1F9600078D00006D3400364300082200021A001730
005E4512910087B5009DBB00399F00006C3500243900031B000822004A4C018A00BDC300
DE7D00D1A4003DA00000604300112B000219001B33006F3284B500E85D00F33200D2A100
149200004B4D00072000051E004048078D00D0A700F62600F03F00B0C00000792000263A
00031A000D27005A48349D00D59900EB5100D695003DA000005E4500102A000219001730
006340329C00C5C300CCB3006FAF00007A1E00384400062000031B0020360063400B8E00
4FA60040A10000821000564B00152F00031A00061F002539005B47007725008014007429
005849002338000720000219000924002439004F4E005D46005B47004C4D002238000A24
00031A00031B000C26001D35002F3F00324100263A00152E
001830001C33001830000E2800061F00021900041C000D2700233800414800504D004B4D
002F3F00122C00041D00021A000B25002B3D00584A006B36006F31006043003A45000F29
00021A00061F00263A00604300830D1C9400058C00006C3500364300082200021A001730
005D460F900081B40097BA00369E00006C3600243900031B00082200484B008901B5C100
DC8300D0A8003B9F00005F4400112B000219001A32006E337DB300E66400F13900D1A500
139100004B4D00072000051E003F47048B00CEAD00F42F00EE4600ABBF0000792100263A
00031A000C270059492F9B00D39E00E95800D599003A9F00005E4500102A00021900162F
0062412E9B00BFC300CAB7006AAE00007A2000374400062000031B001F36006241088D00
4BA4003CA00000811200554B00152E00031A00061F002439005B47007626007F1500732B
00584A002238000720000219000923002439004F4E005C47005B47004A4D002237000A24
00021A00031B000C26001D34002E3F00314100263A00142E
001730001C33001730000E2800061F00021900041C000D2700233800404800504E004A4D
002E3F00122C00041D00021A000B25002A3C00574A006B37006E32006043003A45000F29
00021A00061F002539005F4400820F189300038B00006C3600354300082200021A00162F
005C470B8E007BB20092B800339D00006B3600243900031B00082100464B008704ADBF00
DA8900CEAD00389E00005F4400112B000219001A32006C3576B100E46B00EF4100CFA900
119000004A4D00072000051E003D46008A00CCB200F23800EC4D00A6BD0000782200263A
00031A000C2600584A2A9A00D1A400E75F00D39E00379E00005D4600102A00021900162F
0061422A9A00B8C100C8BB0066AC0000792100374300062000031B001F35006142058C00
47A300389E0000801400554B00152E00031A00061F002439005A48007528007E1700722C
00574A002237000720000219000923002338004E4E005B47005A4800494C002137000A24
00021A00031B000C26001D34002D3E00314000253900142E
001730001B33001730000E2800061F00021900041C000D27002238003E47004F4E00494C
002D3E00122C00041D00021A000B2500293C00564A006A38006D34005F44003944000F29
00021A00061F002439005F44008112159200008A00006B3700354200082200021A00162F
005B47088D0075B0008BB600309C00006B3700243900031B00082100444A008608A5BD00
D88F00CCB100359D00005F4400112B000219001931006B376EAF00E17300ED4900CEAD00
0F9000004A4C00072000051E003B46008803CAB800EF4100EA5500A1BC0000782300253A
00031A000C2600574A259800CFAA00E56700D2A300349D00005D4600102A00021900152E
006043259800B0C000C7BF0061AB0000782300364300062000031B001E35006043028A00
42A200349D00007F1600544C00152E00031A00061F002338005948007429007D1900712E
00564B002137000720000219000923002338004D4E005B4800594800484B002137000A24
00021A00031B000C26001D34002D3E00304000243900142D
001730001B33001730000E2800061F00021900041C000D27002137003D47004F4E00484B
002D3E00122C00041D00021A000A2500283B00564B00693A006C35005E45003844000F29
00021A00061F002338005E45008015119100008802006A3800354200082200021A00152E
005A48048B006EAF0085B5002C9A00006A3800233800031B00072100424900840B9CBB00
D69600CAB600329C00005E4400112B00021900183100693967AD00DF7C00EB5200CCB200
0D8F00004A4C00072000051D003945008607C7BE00ED4B00E85C009BBA0000772400253A
00031A000B2500564B209600CDB000E36F00D0A800309C00005C4600102A00021900152E
005F44209600A7BD00C5C4005BA90000772400354300062000031B001D34005F44008901
3DA0002F9B00007E1800544C00142E00031A00061F00223800594900732B007C1C00702F
00554B002137000720000219000923002338004C4D005A4800594900464B002036000A24
00021A00031B000C26001C34002C3E002F3F00243900132D
00162F001A3200162F000D2800061F00021900041C000C27002137003C46004D4E00464B
002C3D00122B00041D00021A000A2400273B00554B00683B006B36005D45003744000F29
00031A00061F002338005D46007E170D8F0000870500693900344200082200021A00142E
00594900890067AD007DB30028990000693900233800031B00072100404800820F92B800
D49D00C8BB002E9B00005E4500122B00021900173000683B5EAA00DC8500E85B00CAB700
0A8E0000494C00072000041D00374400840BC4C400EA5500E5650095B90000772500253A
00031A000B2500544C1B9400CAB700E07700CEAE002C9A00005C4700102A00021900142E
005E451B94009EBB00BCC20056A80000762600354200062000031B001D34005E45008704
389E002A9A00007D1A00534C00142E00031A00061F00223700584900722D007B1E006F31
00554B002036000620000219000923002238004B4D00594900584A00454A001F36000923
00021A00031B000C26001C33002B3D002E3F00233800132D
00162F001A3200162F000D2800051F00021900041C000C26002036003B45004C4D00454A
002B3D00112B00041D00021A000A2400273A00544C00673C006A38005D46003643000F29
00031A00061F002237005B47007D1A098D0000860800683A00334200082200021A00142D
00574A0088035FAA0076B10024980000693A00233800031C000720003E4700801389B600
D1A400C6C0002A9A00005E4500122B00021900162F00663C56A800D98D00E66400C8BB00
088D0000494C00072100041D00354300820FB9C200E75F00E36E008EB70000762700253A
00031B000B2500534C159200C7BE00DD8000CBB400289900005B4700102A00021900142D
005C4616930095B900B2C00050A60000752800344200062000031B001C34005D45008607
329C00259800007B1D00524D00142D00031A00061F00213700574A00712F007920006E33
00544C001F3600062000021900092300223700494C00584900574A004349001F35000923
00021A00031B000C26001B33002B3D002D3E00223800132C
00152F00193200162F000D2700051F00021900041C000C26001F36003945004A4C004449
002A3D00112B00041D00021A000A2400263A00534C00653E006939005C47003643000F29
00031A00051F002137005A48007B1D058C0000840B00683B00334100082200021A00132D
00564B00860858A8006FAF0020960000683B00233800041C000720003C46007E177FB300
CEAB00C3C400269800005D4600122C00021900162F00653E4EA500D69600E36E00C6C100
058C0000484C00072100041D003342008014ADBF00E46A00E0770087B500007528002539
00031B000A2400524D0F9000C5C400DA8900C9B900249800005B4800102A00021900132D
005B471191008CB700A9BE004AA40000742A00334100062000031B001B33005C4600840B
2C9A00209600007A1F00514D00132D00031A00061F00213700564B007030007823006D34
00534C001F3500062000021900092300213700484B00574A00564B004149001E35000923
00021A00031B000C26001B33002A3C002C3E00213700122C
00152E00193100152F000D2700051E00021900031C000C26001F3500384400484C004249
00293C00112B00041D00021A000A2400253900524D00643F00683B005B47003542000E29
00031A00051E002036005949007A20018A0000830E00673C00324100082200021A00132C
00554B00840C50A60067AD001C940000673B00233800041C000620003945007C1B75B100
CCB300B9C200229700005D4600122C00021900152E00634045A300D39F00E07800C2C400
028B0000484B00072100041C003140007E18A1BC00E17500DD800080B300007429002539
00031B000A2400514D0A8E00B9C200D79200C7BF00209600005A4800102A00021900122C
005A480C8E0082B4009FBB0043A20000732B00324100062000031B001B33005B4700820F
2798001B940000792200514D00132D00031A00061F00203600554B006E32007725006B36
00524D001E3500061F00021900092300203700464B00564A00554B004048001D34000923
00021A00031B000B26001B3300293C002B3D00213700122C
00152E00183100152E000D2700051E00021900031C000B26001E3500374300464B004048
00293C00112B00041D00021900092400243900514D00634000673C005A48003442000E28
00031A00051E001F3500584A00782300880200811100663D00314000082200021900122C
00544C00821048A3005FAA0017930000663C00223800041C000620003744007A1F6BAE00
C9BA00AFBF001E9500005C4600122C00021900142D0061423CA000CFA900DD8200B8C200
00890000474B00072100041C002F3F007C1C94B900DD8000DA890078B10000732B002539
00031B000924004F4E048B00ACBF00D49B00C2C4001B940000594900102A00021900122C
005849078C0078B10094B9003DA00000722D00314000062000031B001A32005A48008112
21960016920000772500504E00132C00031A00061F001F3600544C006D34007528006A38
00514D001D3400061F00021900092300203600454A00554B00544C003E47001C34000923
00021A00031B000B26001A3200283B002A3D00203600112B
00142E00183000142E000C2700051E00021900031B000B25001D3400354200444A003F47
00283B00102A00041D00021900092300233800504E00624100653E005949003341000E28
00031A00051E001E3500574A00762600860700801500643F00314000082200021900112B
00524D00801440A10057A80012910000653D00223800041C00061F00354200782361AB00
C6C200A4BD001A9400005B4700122C00021900132D005F44349D00CCB200D98C00AEBF00
00880300464B00072100041C002D3E007A2088B600DA8B00D7920070AF0000722C002439
00031B000923004D4E0089019FBB00D1A400B7C10017930000594900102A00021900112B
00574A018A006EAF008AB600369E0000702F00304000062000031B001932005949007F16
1B9400119000007527004F4E00122C00031A00051F001F3500534C006B3600732A00693A
00504E001C3400061F000219000923001F3600434900544C00534C003C46001B33000822
00021A00031B000B25001A3200273B00293C001F3600112B
00142D00173000142D000C2700051E00021900031B000B25001C34003442004349003D46
00273A00102A00041D000219000923002237004F4E00604300643F00584A003141000E28
00031A00051E001D3400554B00742900840B007E1800634000304000082200021900112B
00514D007E19389E004EA5000E8F0000643F00223700041C00061F00334100762657A800
BCC2009ABA00159200005B4700122C00021900122C005E452B9A00C9BB00D69600A3BD00
00870600464A00072100041C002B3D0077247BB200D69600D49C0068AD0000712E002439
00031B000923004A4D00860692B800CEAD00ABBE0012910000584A00102A00021900112B
00564B00880364AC007FB300309C00006F31002F3F00062000031B00183100574A007D1A
1592000B8E0000742A004D4E00122C00031A00051E001E3500524D006A3800722D00673C
004F4E001B3300061F000219000923001F3500414800534C00524D003A45001B33000822
00021A00031B000B2500193200263A00283B001E3500102A
00132D00173000142D000C2600051E00021900031B000B25001C33003241004148003B46
00263A00102A00041D000219000923002137004D4E005F4400634100574A003040000E28
00031A00051E001C3300544C00722C00820F007C1B006241002F3F00082200021900102A
00504E007B1D309C0046A300098D0000634000213700041C00061F00314000742A4CA500
AEBF008FB700119000005A4800122C00021900112B005C47239700C5C300D3A00099BA00
00850900454A00082100041C00293C0075286FAF00D2A000D1A50060AB00007030002439
00031B00082200474B00840C85B500CAB6009FBC000D8F0000574A00102A00021900102A
00544C0085085AA90074B000299900006D33002E3F00061F00031B00183000564B007B1D
0F9000068C0000722D004B4D00112B00031A00051E001D3400514D00693A00703000663D
004D4E001B3300061F000219000922001E3500404800524D00514D003844001A32000822
00021A00031B000B2500193100253A00273B001D3400102A
00132C00162F00132D000C2600051E00021900031B000A25001B33003040003F47003A45
002539000F2A00041D000219000923002036004A4D005D4500614200564B002F3F000E28
00031A00051E001B3300534D00702F008014007A1F006142002E3F000822000219000F2A
004E4E0079212899003EA000048B0000624100213700041C00051E002E3F00712E42A200
A0BC0084B5000C8E0000594800122C00021900112B005A481A9400B7C100CFAA008EB700
00840C00444A00082100031B00273B00722C63AC00CFAB00CDAE0058A800006F31002338
00031B00082200444A00811179B200C7BF0094B900088D0000564B00102A000219000F2A
00534C00830E50A6006AAD00229700006C35002D3E00061F00031B00173000554B007921
098D00008A0000702F00494C00112B00031A00051E001C3400504E00673C006E3200643F
004A4D001A3200061F000219000822001D34003E4700514D00504E003743001931000821
00021A00031C000B2500183100243900263A001C34000F2A
00122C00152F00132C000C2600051E00021900031B000A24001A32002F3F003D46003844
002439000F2900041D000219000822001F3500484B005C4700604300544C002E3F000D28
00031A00051D001A3200514D006F32007E18007822006043002D3E000822000219000F29
004B4D007725209600369E0000890000614200213700041C00051E002C3E006F31399F00
93B80079B200078D0000594900122C00021900102A005849129100A7BD00CBB40083B400
00821000434900082100031B00253A00703057A800CBB500CAB70050A600006E33002338
00031B000822004148007F166CAE00BFC30088B600038B0000554B000F2A000219000F29
00514D00811346A3005FAA001B9400006A37002C3E00061F00031B00162F00544C007725
038B00008704006F3200464B00112B00031A00051E001C33004F4E00653D006D34006241
00484B00193100051E000219000822001D34003C4600504E004F4E003542001831000721
00021900031C000B25001830002338002539001B33000F29
00122C00152E00122C000B2600051E00021900031B000A24001932002D3E003B45003643
002338000F2900041D000219000822001E3500454A005A48005E4500534C002D3E000D27
00031A00051D00193100504E006D35007C1C007725005E44002C3E000822000219000E28
00474B0074291893002D9B0000870500604300203600041C00051E002A3D006D342F9B00
85B5006EAF00028B0000584A00122C000219000F2900564B0A8E0098BA00C7BD0078B100
00801300424900082100031B002339006E334BA400C7BF00C6C00047A300006C35002338
00031B000721003E47007C1C60AB00AFBF007CB20000890000544C000F29000219000E28
00504E007E173DA00054A700159200006939002B3D00061F00031B00162F00524D007528
008802008509006D3500444A00102A00031A00051E001B33004E4E00643F006B37006142
00454A00183100051E000219000822001C34003A45004F4E004C4D003341001730000721
00021900031C000B25001730002238002439001B32000E29
00112B00142E00122C000B2500051E00021900031B000A24001831002C3D003944003442
002237000E2900041D000219000822001C34004349005949005D4600524D002B3D000D27
00031A00041D001831004E4E006B37007920007529005D46002B3D000822000219000E28
00444A00722D119000259800008509005F4400203600041C00051E00283B006A38259800
78B10063AB0000890100574A00122B000219000E2800544C028B0088B600C1C4006DAE00
007F1700414800082200031B002237006B3740A100BDC300BCC2003FA100006B37002238
00031B000721003B4500792054A700A0BC0070AF0000870500534C000F29000219000E28
004E4E007C1C339D004AA4000E8F0000673B002A3C00061F00031A00152E00514D00732B
00860700830F006B3700424900102A00031A00051E001A32004B4D006241006939005F44
00424900173000051E000219000822001B33003944004D4E00494C00314000162F000721
00021900031C000A25001730002137002238001A32000E28
00112B00142D00112B000B2500051E00021900031B000924001830002A3D003743003241
002137000E2800041D000219000822001B3300404800574A005B4700514D002A3D000D27
00031A00041D001730004B4D00683A00772400732C005C47002A3C000822000219000D27
004148007030098D001D950000830E005E45001F3600041C00051D00263A00683A1C9500
6AAE0058A80000860600564B00112B000219000E2800524D00870479B200B0C00062AB00
007D1A003F4800082200031B00203600693A359D00ABBE00ACBF00369E00006A38002237
00031B00072000384400772548A30090B80064AC0000840A00524D000F29000219000D27
004B4D0079212A990040A100078D0000663D00283C00061F00031A00142E004F4E00712F
00830D008014006939003F47000F2900031A00051E001A3200494C00614300673C005D45
00404800162F00051E000219000822001B33003743004B4D00464B002F3F00152F000720
00021900031C000A2400162F002037002137001931000D28
00102A00132D00112B000B2500051E00021900031B00092300173000293C003542003140
002036000E2800041D000219000821001A32003D4700564B00594800504E00293C000C27
00031A00041D00162F00484B00663C00752800702F005A4800293C000822000219000D27
003E47006D34028A00159200008013005C46001F3500041C00041D00243900663D139100
5DAA004DA50000840B00554B00112B000219000D2700504E00840B6BAE00A0BC0057A800
007B1E003E4700082200031B001E3500663D2A9A009ABA009CBB002E9B0000683A002137
00031B00072000354300742A3CA00081B40058A80000820F00514D000F29000219000D27
00484B007725209600359E00018A0000643F00273B00061F00031A00142D004E4E006F32
008112007E1900673C003D46000F2900031A00051E00193100464B005F4400653E005C47
003D4600162F00051E000219000822001A3200354200484B00444A002D3E00152E000720
00021900031C000A2400162F001F36002036001830000D27
00102A00122C00102A000A2400051E00021900031B00092300162F00273B003341002F3F
001F35000D2800041C000219000721001932003B4500544C00584A004E4E00283B000C26
00031A00041D00152F00454A00643F00732C006E3200594900283B000822000219000C26
003B45006B370087040D8F00007E18005B47001E3500041C00041D0022380063400B8E00
51A60042A20000821000544C00112B000219000C26004E4E0081125DAA0090B8004CA500
007921003D4600082200031B001D3400643F1F960089B6008DB70026980000673C002037
00031B00062000334100712E319C0073B0004DA50000801400504E000E29000219000C26
00454A00742A1893002C9A0000870500624100263A00061F00031A00132D004B4D006C35
007E18007B1D00653E003A45000E2800021A00051E00183100444A005D46006340005A48
003A4500152E00051E00021900082200193200334200454A004148002B3D00142D000620
00021900031C000A2400152E001E35001F36001730000D27
000F2900122C00102A000A2400051D00021900031B00092300152E00263A003140002D3E
001E35000D2700041C00021900072100183100384400534C00564B004B4D00263A000C26
00031A00041C00142E00424900624100702F006C3500574A00273A000822000219000C26
00384400683A00840B068C00007C1C005A48001E3500041C00041D002137006142028B00
45A200389E0000801500534C00112B000219000C26004A4C007E184FA60080B30042A200
007725003B4600082200031A001B3300614216920079B2007EB3001E950000653E002036
00031B00061F003040006F3227980065AC0042A100007D19004F4E000E28000219000C26
00414900722D0F900022970000840B00604300253900061F00031A00122C00484B006A38
007C1D007822006340003844000E2800021A00051E001730004148005B47006142005849
00384400142D00051D000219000822001931003241004249003E4700293C00132D00061F
00021900031C000A2400152E001D35001E3500162F000C26
000F2900112B000F29000A2400051D00021900031B00082200142E002439002F3F002B3D
001D34000D2700041C00021900072000183000364300514D00554B00484C002539000C26
00031A00041C00142D003E47006043006E33006A3800564B00263A000822000219000B25
00354300663D008111008900007921005849001D3400041C00041C001F35005F44008705
399F002E9B00007D1900524D00112B000219000B2500464B007B1E42A20071AF00379E00
007528003A4500082200031A001A32005F440C8F006AAD006FAF00169200006340001F36
00031B00061F002D3E006C351C950057A800379E00007B1D004D4E000E28000219000B26
003E47006F31078C00199300008211005E4500233800061F00031A00122C00454A00683A
007921007627006142003543000D2800021A00051E001730003F47005A48005F4400564B
00354300132D00041D000219000821001831003040004048003C4600273B00122C00061F
00021900031C000A2400142E001C34001D3400152E000C26
000E2800112B000F29000A2400051D00021900031B00082200142D002338002D3E002A3C
001C33000C2700041C000219000720001730003442004F4E00534C00454A002439000B26
00031A00041C00132C003B46005E45006B3600683B00544C002439000822000219000B25
00334100643F007E1700860700772500574A001C3400041C00041C001D34005C4600840C
2D9B00249700007B1E00514D00112B000219000A25004249007724359D0062AB002D9B00
00732B00384400082200031A001831005C46038B005BA90061AB000E8F00006241001E35
00031B00061F002B3D0069391391004AA4002C9A00007822004A4C000E28000219000B25
003B46006C35008900109000007F17005C4600223800051E00031A00112B00424900663D
00762600732B005F44003341000D2700021A00051E00162F003C46005849005D4500544C
00334100122C00041D000219000821001730002E3F003D4600394400263A00112B00061F
00021900031C000A2400132D001B33001C3300142E000B25
000E2800102A000E2800092300041D00021900031B00082200132D002137002B3D00283B
001B33000C2600041C00021900072000162F003140004D4E00514D004249002238000B25
00031A00041C00122C003944005C4700693900663D00534C002338000822000219000A24
003040006142007B1D00830E00742900554B001B3300041C00041C001C33005A48008013
2297001A9400007822004F4E00102A000219000A24003E4700742929990054A700239700
00712F00364300082200031A001730005A480087044DA50053A700068C00006043001E35
00031B00051E00293C00673C098D003DA00022970000762600474B000D28000219000A25
003844006A38008607078D00007C1C005B4800213700051E00031A00112B003F4700643F
00742A00712F005D46003140000C2700021A00051D00152F003A4500564B005B4700534C
00304000112B00041D000219000821001730002C3E003A4500364300243900112B00061F
00021900031C00092300132D001A32001A3200132D000B25
000D27000F2A000E2800092300041D00021900031B00082100122C00203600293C00263A
001A32000C2600041C00021900062000152E002F3F004A4C00504E003F48002137000B25
00031A00041C00112B003643005A4800673C00644000514D002238000821000219000A24
002D3E005F4400782200801400722D00544C001B3300041C00041C001A3200584A007D1A
189300119100007626004E4E00102A000219000923003B4500712E1E950046A3001A9400
006F3200354200082200031A00162F00584A00840C3FA10045A300008900005E45001D34
00031B00051E00273A00643F018A00319C0018930000732B00444A000D27000219000A24
00364300673B00830E008900007921005949001F3600051E00031A00102A003C46006142
00712F006E33005B48002E3F000C2600021A00051D00152E00384400554B00594800514D
002E3F00112B00041D00021900072100162F002B3D00384400344200223800102A00051E
00021900031C00092300122C00193200193200132C000A24
000D27000F29000D2800092300041D00021900031B00072100112B001E3500273B002539
001931000B2600041C00021900062000142D002D3E00464B004E4E003C46002036000B25
00031A00041C00102A00334100584A00643F00614200504E002137000821000219000923
002B3D005D46007528007D1A006F3100524D001A3200041C00041C00193100554B007A20
0E8F00088D0000732A004B4D00102A000219000923003743006E33139100399F00119000
006C3500334100082100021A00142E00554B008014329C00399F00008607005D46001C34
00031B00051E0025390062420086072598000F900000712E004249000D27000219000A24
00334100653E007F1500860800762600574A001E3500051E00031A000F2A003A45005F44
006E32006B36005849002C3E000B2600021A00051D00142E00354300534C00574A004F4E
002C3D00102A00041C00021900072100152F00293C003543003140002036000F2900051E
00021900031C00092300122C00193100183100122C000A24
000C27000E29000D2700092200041D00021900031A00072100112B001D3400253A002338
001830000B2500041C00021900061F00132D002B3D004349004A4C003A45001F35000A25
00031A00041C00102A00304000564B006241005F44004E4E002036000721000219000923
00293C005A4800722C007A20006D3400514D00193200041C00031B00173000534C007626
058C00008A0000712E00484C00102A000219000922003442006B37098D002C9A00088D00
006A3800314100082100021A00132D00534C007D1B2598002C9A0000830E005B47001B33
00031B00051E002338005F4400830F1A9400058C00006E32003F47000C27000219000923
003040006241007C1C00820F00732B00554B001D3400051E00031A000F29003743005D46
006C3600693A00564A002A3C000B2500021A00051D00142D00334100514D00564B004C4D
00293C000F2900041C00021900072100152E00273B003341002F3F001F35000E2900051E
00021900031C00092300112B00183000173000112B000924
000C26000E28000C2700082200041D00021900031A00072100102A001C33002439002137
001730000B2500041C00021900061F00122C00293C003F4700464B003743001D34000A24
00031A00031B000F29002E3F00544C005F44005D46004A4D001E35000721000219000822
00263A00584A006F31007626006A38004F4E00193100041C00031B00162F00514D00732B
008803008607006E3200464A000F2900021900082200314000683A008900209600008900
00683B00304000082100021A00122C00514D0079211A9400219600008015005949001A32
00031B00051D002137005D46007F160F9000008802006C36003C46000C26000219000923
002E3F006043007921007F1600703000534C001C3300051E00031A000E29003442005B47
00693900663D00544C00283B000A2500021A00051D00132D003140004F4E00544C00484B
00273B000E2800041C00021900072100142E00263A003140002C3E001D34000E2800051E
00021900031C00092300112B00173000162F00102A000923
000B26000D28000C2600082200041D00021900031A000720000F2A001B32002237002036
00162F000A2500041C00021900061F00112B00273A003C46004249003442001C34000A24
00031A00031B000E29002C3D00524D005D46005B4800474B001D34000721000219000822
00243900564B006C3500732B00683B004D4E00183000041C00031B00152E004F4E007030
00840B00830F006C36004349000F29000219000822002E3F00653E008508159200008608
00663D002E3F00072100021A00112B004F4E0076270F9000169200007C1B00574A001932
00031B00051D001F36005A48007B1D058C0000850A006939003944000C26000219000923
002C3D005E45007627007C1D006D3400514D001A3200051D00031A000E28003241005949
00663D00634000524D00253A000A2400021A00051D00122C002F3F004D4E00524D00444A
002539000E2800041C00021A00072100142D002439002E3F002A3D001C33000D2700051D
00021900031C00092300102A00162F00152F00102A000923
000B25000D27000C2600082200041D00021900031A000720000F29001932002036001E35
00152E000A2400041C00021900051F00112B002539003944003F47003241001B33000A24
00031A00031B000E2800293C00504E005B47005949004349001C34000721000219000822
00223800534C00693900702F00653E00494C00173000041C00031B00142D004B4D006D34
008013007F16006939004048000E29000219000721002B3D0062410082110B8E0000820F
006340002C3E00072100021A00102A004B4D00722C058B000B8E0000792100554B001831
00031B00041D001D3400584A00782300880300811200663C003643000B25000219000822
002A3C005B4700722C007823006A38004F4E00193100051D00031A000E2800304000574A
00643F00614200504E002338000A2400021900041D00122C002D3E00494C00504E004048
002338000D2700041C00021A00072100132D002338002C3E00283B001A32000C2700041D
00021900031C00082200102A00152E00142E000F29000822
000B25000C27000B2500082100041C00021900031A000620000E28001831001F35001D34
00142D000A2400041C00021900051E00102A002338003643003C46002F3F001A32000923
00031A00031B000D2700273B004D4E00584900564A004048001B33000720000219000721
00203700514D00663C006D3400634000464B00162F00041C00031B00132C00464B006A38
007D1A007C1D00673C003D46000E2800021900072100283B005F44007E18018A00007F16
006142002A3D00072100021A00102A00464B006F31008704018A0000762600534C001830
00031B00041D001C3300554B00752900840C007D1900643F003442000B25000219000822
00273B005949006F3100752800673B004B4D00183000041D00031A000D27002D3E00554B
006142005E45004E4E00213700092300021900041D00112B002B3D00454A004D4E003C46
002137000C2600031B00021A00072000122C002137002A3C00263A001931000C2600041D
00021900031C000822000F2900142E00132D000E28000822
000A24000C26000B2500072100041C00021900031A000620000E28001730001D34001C33
00132D00092300041C00021900051E000F29002137003341003844002D3E001931000923
00031A00031B000D2700253900484C00564B00544C003D46001A32000720000219000721
001F35004F4E006440006A3800604300424900152F00041C00031B00122C00424900673C
00792100782300643F003A45000E2800021A00072000263A005D46007A20008608007B1D
005E4400283B00072100021A000F29004249006C3600830D00860700732C00514D001730
00031B00041D001A3200534C00712E008014007A20006142003140000A25000219000822
00253A00574A006C3500712E00653E00474B00173000041D00031A000D27002B3D00534C
005E44005C4700494C001F3600092300021900041D00112B00293C00424900494C003944
001F35000C2600031B00021A00072000122C00203600283B002439001730000B2500041D
00021900031C000822000F2900132D00132C000D28000821
000A24000B26000A2400072100041C00021900031A00061F000D2700162F001C33001A32
00122C00092300031C00021900051E000F29001F36003040003543002A3D001730000923
00031A00031B000C2600233800444A00544C00524D003945001931000720000219000720
001D34004B4D00614200673B005E45003F4700142E00041C00031B00112B003E47006440
007527007529006142003744000D2800021A000620002439005A48007626008210007823
005C4600273A000721000219000E28003E4700683A007F15008210007030004F4E00162F
00031B00041C00193100514D006E33007C1B007626005E44002E3F000A24000219000821
00243900544C006939006E3200624100434900152F00041D00031A000C2700293C00514D
005C4700594900444A001E3500082200021900041D00102A00273B003E4700444A003543
001D34000B2500031B00021A00072000112B001E3500263A00223700162F000A2500041C
00021900031C000822000E2800122C00122C000D27000721
000923000B25000A2400072000041C00021900031A00061F000C2700152E001A32001931
00112B00092300031B00021900051E000E28001D35002D3E00324100283B00162F000822
00031A00031B000B2600213700404800524D00504E003643001830000620000219000720
001B3300464B005E4500643F005B47003C4600142D00041C00031B00102A003A45006142
00722D00712E005F44003442000D2700021A00062000223700574A00732C007E18007429
005A48002539000720000219000D27003A4500653E007B1D007E17006C35004C4D00152E
00031B00041C001830004F4E006B3700792200732C005C47002C3D000A24000219000721
00223700524D00663D006B37005F44003F4700142E00041D00031A000C2600273B004F4E
00594800574A004048001C3300082200021900041D00102A00253A003B45004048003241
001B33000A2400031B00021A00072000112B001D3400243900203600152E000A2400041C
00021900031C000822000E2800122B00112B000C26000721
000923000A25000A2400072000041C00021900031A00061F000C2600142D001931001830
00112B00082200031B00021900051E000D27001C33002B3D002F3F00263A00152F000822
00031A00031B000B25001F36003C46004F4E004D4E00334100162F000620000219000620
001A32004249005B4700614200594900384400132D00041C00031A000F29003643005E45
006E32006E33005C46003241000C2700021A00061F001F3600554B006F31007A1F00712E
00574A002338000720000219000D27003643006241007824007A1F00693900484C00142D
00031B00041C00162F004A4D00673B007528006F3100594900293C000923000219000721
00203600504E00634000683B005C46003B4500132D00041C00031A000B2600253A004B4D
00574A00544C003C46001A3200072100021900041D000F29002439003844003D46002F3F
001A32000A2400031B00021A00072000102A001C33002237001E3500142D00092300041C
00021900031C000821000D2700112B00102A000C26000720
000923000A2400092300072000041C00021900031A00051E000B2600132C00183000162F
00102A00082200031B00021900051D000D27001A3200283B002D3E00243900142E000822
00031A00031B000A25001D34003844004C4D00484C00304000152F00061F00021900061F
001831003E47005949005F4400564B00354300122C00041C00031A000E28003341005B47
006B37006B37005A48002F3F000C2600021A00061F001E3500524D006C36007626006D33
00554B002137000720000219000C26003341005F4400742A00762600663D00444A00132D
00031B00041C00152E00464B00643F00712E006C3600574A00273B000923000219000720
001E35004E4E00604300653E00594800374300122C00041C00031A000B2500243900474B
00554B00524D00384400193100072100021900041D000F29002237003542003944002C3D
00183100092300031B00021A00062000102A001A32002036001C3400122C00092300041C
00021900031C000721000D2700102A000F29000B25000620
000822000A2400092300062000041C00021900031A00051E000B2500122C00162F00152F
000F2900082200031B00021900041D000C2600193100263A002A3C00223700132D000821
00031A00031B000A24001C3300354200474B00444A002D3E00142E00061F00021900061F
001730003A4500564B005C4700544C00324100112B00041C00031A000D28002F3F005849
00683B00673B00574A002D3E000C2600021A00051F001C3300504E00683A00722C006A38
00534C002036000620000219000B26003040005C4600703000732C00634000404800122C
00031B00041C00142E004149006142006E3300683A00544C002539000923000219000720
001D3400494C005E4500624100574A00334200112B00041C00031A000B25002237004249
00524D004F4E00344200173000072000021900041D000E2800203600324100354300293C
00162F00092300031B00021A000620000F29001932001E35001B3300112B00082200031B
00021900031C000721000C27000F29000E29000A2500061F
00082200092300082200061F00041C00021900021A00051E000A2400112B00152E00142E
000E2900082100031B00021900041D000B2600183000243900273B00203600122C000721
00021A00031B000A24001A32003241004249004048002B3D00132D00061F00021900061F
00162F00364300534C00594900514D002F3F00102B00041C00031A000D27002C3E00554B
00643F00643F00554B002A3C000B2500021A00051E001A32004C4D00653E006F3200673C
00504D001E3500061F000219000B25002D3E005948006C35006F31006043003C4600112B
00031B00041C00132D003D47005E45006A3800653E00524D002238000822000219000720
001B3300454A005B47005F4400544C00304000102A00041C00031A000A25002036003F47
00504E004C4D00314000152F00062000021900041D000E28001F35002F3F00324100263A
00152E00082200031A00021A000620000E29001831001D3400193100102A00082200031B
00021900031C000721000C26000F29000E28000A2400061F
00082100092300082200061F00041C00021900021A00051E000A2400102A00142E00132D
000E2800072100031B00021900041D000B2500162F002137002539001E3500112B000721
00021A00031A000923001931002E3F003E47003C4600283B00122C00061F00021900061F
00142E00334100514D00564A004F4E002C3E00102A00041C00031A000C26002A3C00534C
00614200614200524D00283B000B2500021A00051E00193100474B006242006B3700643F
004E4E001C3400061F000219000A25002A3C00574A006939006B36005D4600384400102A
00031B00041C00122C003A45005B4700673C006241004F4E002036000822000219000620
001A32004048005849005C4700514D002D3E000F2900041C00031A000A24001F35003B45
004D4E00464B002D3E00142E00061F00021900041D000D28001D34002C3E002F3F002439
00142D00082200031A00021A00061F000E28001730001B33001830000F2900082100031B
00021900031C000721000B26000E28000D2700092400061F
00072100082200082200061F00031C00021900021A00051E000923000F2900132D00122C
000D2700072100031B00021900041D000A2500152E001F36002338001C3400112B000720
00021A00031A000923001730002B3D003A4500384400263A00112B00051E00021900051E
00132D002F3F004E4E00544C004B4D002A3C000F2900041C00031A000C2600273B00504E
005E45005E4500504E00253A000A2400021A00051E001730004249005E4500673B006043
00494C001B3300061F000219000A2400273B00544C00653D00683B005A48003442000F2A
00031B00031C00112B003643005949006340005F44004B4D001E35000721000219000620
001931003C4600554B005949004F4E002A3C000E2800031B00031A000A24001D34003744
00484B004249002A3D00132C00061F00021900041D000D27001C3300293C002C3D002137
00122C00072100031A00021A00061F000D2800162F001A3200162F000E2900072100031B
00021900031B000720000B25000D28000C2700092300051E
00072100082200082100061F00031B00021900021A00051D000923000E2900122C00112B
000C2700072000031B00021900041C000A2400142D001E35002137001B3300102A000720
00021A00031A00082200162F00293C00364300344200233800112B00051E00021900051E
00122C002C3E00494C00514D00464A00273B000E2800031C00031A000B25002439004D4E
005B47005B47004C4D002338000A2400021A00051E00162F003E47005B4700643F005D45
00444A00193200061F00021900092400253900514D00624100643F00574A003140000F29
00031B00031B00102A00334100564B006043005C4700454A001C3400072100021900061F
00173000394400534C00564B004A4C00273A000D2800031B00031A000A24001C33003442
004349003D4600273B00122B00051F00021900041D000C27001A3200273B00293C001F36
00112B00072000031A00021A00061F000D2700152E00183100152E000E2800072000031B
00021900031B000720000B25000D27000C2600092200051E
00072000082200072100051E00031B00021900021A00041D000922000E2800112B00102A
000C2600072000031B00021900041C000A2400132C001C33001F35001931000F29000620
00021A00031A00082200152E00263A00324100304000213700102A00051E00021900051E
00112B00293C00444A004F4E004148002539000E2800031B00031A000A2500223800484B
00584900584900474B00213700092300021900051D00152E003A45005849006142005A48
003F4800183000051E000219000923002238004F4E005F4400614200544C002D3E000E28
00031B00031B00102A002F3F00534C005D46005949004048001A3200072000021900061F
00162F00354200504E00534C00444A002439000C2700031B00031A000923001A32003140
003E4700394400243900102A00051E00021900041D000C2600193100253900263A001D34
00102A00072000031A00021A00061F000C2700142D00173000142D000D2700062000031B
00021900031B000620000A24000C26000B2500082200051E
00062000072100072100051E00031B00021900021A00041D000822000D2700102A000F2A
000B2600062000031B00021900041C00092300122C001A32001D34001830000E2800061F
00021A00031A00082100132D002439002F3F002D3E001F36000F2900051E00021900051E
00102A00273A003F4800494C003C46002238000D2700031B00031A000A24002036004349
00554B00554B004249001F3500092300021900051D00132D00364300554B005D4500574A
003B4500162F00051E000219000923002036004A4D005C47005E4500524D002A3D000D27
00031B00031B000F29002C3E00514D005A4800564B003C4600193100062000021900061F
00152F003241004D4E00504D003F48002137000C2600031B00031A000923001931002E3F
003A45003442002237000F2900051E00021900041D000C26001831002238002439001B33
000F2900062000021A00021A00061F000C2600132C00152F00122C000C2600061F00031A
00021900031B000620000A24000C26000B2500082200051D
00062000072100072000051E00031B00021900021A00041D000822000C26000F29000F29
000B2500061F00031B00021900041C00092300112B001831001B3300162F000D2800061F
00021A00031A00072100122C002137002C3D002A3D001D34000E2800051E00021900051D
000F2A002439003B4500444A003844002036000C2600031B00031A000A24001E35003E47
00524D00524D003D47001D3400092300021900041D00122C00324100534D005A4800544C
00374300152E00051E000219000822001E3500454A005949005A48004F4E00273B000C27
00031A00031B000E28002A3C004E4E00574A00534C00374400173000061F00021900061F
00142E002F3F00484C004D4E003B45001F35000B2500031B00031A000923001830002B3D
003643003140001F36000E2800051D00021900041C000B25001730002036002137001932
000E2800061F00021A00021A00061F000C2600122C00142E00112B000B2500061F00031A
00021900031B00061F000923000B25000A2400072100051D
00061F00072000062000051E00031B00021900021A00041C000721000C26000E28000E28
000A2400061F00031B00021900041C00082200102A00173000193200152E000D2700061F
00021A00031A00072100112B001F3600293C00273B001B33000D2800051D00021900051D
000F29002237003643003F47003442001E35000C2600031B00021A000923001C34003945
00504E004F4E003944001B3300082200021900041D00112B002E3F00504E00574A00514D
00334100142D00051E000219000822001C3400404800564B00574A004A4C002439000C26
00031A00031B000E2800273B00484C00544C00504E00334100152F00061F00021900061F
00132D002C3D00434900474B003643001D34000A2400031B00031A00082200162F00283B
003241002D3E001D34000D2700041D00021900041C000B2500152F001E35001F36001730
000D2700061F00021A00021A00061F000B2500112B00132D00102A000B2500051F00031A
00021900031B00061F000923000A25000A2400072100041D
00061F00072000062000051E00031B00021900021A00041C000721000B25000D28000D27
000A2400061F00031B00021900041C000822000F2900152F00183000132D000C2600051F
00021A00031A00072000102A001D3400263A002439001932000D2700041D00021900041D
000E28001F36003241003A45003040001C33000B2500031B00021A000923001A32003542
004B4D004B4D00344200193100082200021900041D00102A002B3D004C4D00544C004E4E
002F3F00122C00051D000219000821001B33003B4600534D00544C00444A002237000B25
00031A00031B000D2700243900434900514D004B4D002F3F00142D00061F00021900051E
00122C00293C003E47004249003241001A32000A2400031A00031A00082200152F00263A
002F3F002A3C001B33000C2700041D00021900041C000A2500142E001C34001D3400162F
000C2600051E00021A00031A00051E000B2500102A00122C000F29000A2400051E00031A
00021900031B00061F000923000A2400092300072000041D
00051F00062000061F00051D00031B00021900021A00041C000720000A24000D27000C27
00092300051F00031A00021900031C000721000E2800142D00162F00122C000B2500051E
00021A00031A000620000F29001B33002338002237001830000C2600041D00021900041D
000D27001D34002F3F003643002C3E001A32000A2400031B00021A000822001831003140
00454A00454A00304000173000072100021900041D000F2A00283B00464A00514D00484C
002B3D00112B00051D00021900072100193100374300504E00514D003E47001F36000A24
00031A00031B000C27002238003E47004E4E00454A002B3D00122C00051E00021900051E
00112B00263A003945003C46002E3E00183100092300031A00031A00082200142E002338
002B3D00263A001931000B2600041C00021900041C000A2400132D001B32001B3300142E
000B2600051E00021A00031A00051E000A24000F2900112B000E2800092300051E00031A
00021900031B00061F00082200092300092200062000041C
00051E00061F00061F00051D00031B00021900021900041C000620000A24000C26000C26
00092300051E00031A00021900031B000721000D2700132C00142E00112B000B2500051E
00021A00031A000620000E28001931002037001F3600162F000B2500041D00021900041D
000C26001B33002B3D00314000293C001831000A2400031B00021A000822001730002D3E
003F48003F47002D3E00162F00072100021900041C000E29002539004048004D4E004249
00283B00102A00041D000219000721001730003341004B4D004E4E003944001D34000A24
00031A00031B000C2600203600394500474B003F4800283B00112B00051E00021900051E
00102A002439003542003844002A3C00162F00082200031A00031A00082200132D002137
00283B002338001730000B2500041C00021900041C000A2400122C00193100193100132C
000B2500051D00021900031A00051E000A24000E2800102A000D2700092300051D00031A
00021900031B00051F00082200092300082200061F00041C
00051E00061F00061F00041D00031B00021900021900041C00061F000923000B25000B25
00082200051E00031A00021900031B000720000C2600112B00132D00102A000A2400051E
00021A00031A00061F000D28001730001E35001D3400142E000A2500041C00021900041C
000C2600193100273B002D3E00263A00162F00092300031B00021A00082100152E002A3C
003A4500394500293C00142E00072000021900041C000E28002238003B4500474B003C46
002439000F2900041D00021900072000162F002F3F00444A00474B003442001A32000923
00031A00031B000B25001D35003442004148003A4500243900102A00051D00021900051E
00102A00213700304000334100263A00142E00082200031A00031A00072100122C001E35
00253900203600152E000A2400041C00021900041C00092300112B00173000173000112B
000A2400041D00021900031A00051E000923000D28000F29000C2700082200041D00021A
00021900031B00051E00072100082200082100061F00041C
00051E00051F00051E00041D00031B00021900021900031C00061F000922000A25000A24
00082200051E00031A00021900031B000620000B2600102A00122B000F2900092300051D
00021A00021A00061F000C2700152F001B33001A3200132D000A2400041C00021900041C
000B2500173000243900293C00223800142E00092300031B00021A00072100142D00263A
00344200344200253A00122C00062000021900041C000D27001F36003543004048003743
002137000E2800041C00021900072000142E002B3D003E47004048002F3F001831000822
00021A00031B000B25001B33003040003B45003442002137000E2800041D00021900051E
000F29001E35002C3E002E3F00233800132C00072100031A00031A00072100112B001C34
002237001D3500132D00092300041C00021900041C00092300102A00152F00152E00102A
00092300041D00021900031A00051E000923000C27000E28000B2600082100041D00021A
00021900031B00051E00072100082200072100051E00041C
00051D00051E00051E00041D00031B00021900021900031B00051F000822000A24000924
00072100051D00031A00021900031B00061F000B25000F2900102A000E2800092300041D
00021A00021A00051E000C2600132D00193100183100112B00092300041C00021900041C
000A2400152E00213700253A001F3600132C00082200031A00021A00072000122C002338
002F3F002F3F00223700112B00061F00021900041C000C26001D34003040003945003140
001E35000D2700041C00021900062000132C00273A003844003945002A3D00162F000822
00021A00031B000A24001931002B3D003542002F3F001D35000D2700041D00021900051E
000E28001C3300283B00293C001F3600112B00072000021A00031A00072000102A001A32
001E35001B3300112B00082200031B00021900041C000822000F2900132D00132D000E29
00082200041C00021900031A00051E000822000C26000C27000A2500072100041C00021A
00021900031B00051E00072000072100072000051E00031C
00041D00051E00051E00041C00031B00021900021900031B00051E000721000923000923
00072000041D00031A00021900031B00061F000A24000D28000F29000C2700082200041D
00021900021A00051E000B2500122C00162F00162F00102A00082200041C00021900041C
00092300132D001D34002137001C3300112B00072100031A00021A00062000102B001F36
002A3C002A3C001E35000F2900061F00021900041C000B25001A32002B3D003341002C3D
001B33000B2600041C00021900061F00112B00233800324100334100253A00142D000721
00021A00031B00092300173000273B002F3F002A3C001A32000C2600041C00021900051D
000D27001932002439002539001C33000F2900061F00021A00031A000720000E29001730
001B33001831000F2A00082100031B00021900041C000822000E2800122C00112B000D27
00082100041C00021900031A00051D000822000B25000B26000A2400072000041C00021A
00021900031B00051D00062000072100062000051E00031B
00041D00051D00051D00041C00031A00021900021900031B00051E000720000822000822
00062000041D00031A00021900031B00051E000923000C26000D28000B2600082100041C
00021900021A00051E000A2400102A00142E00132D000E2800082200031C00021900041C
00092300112B001A32001D35001931000F2900072000031A00021A00061F000F29001C33
00253A002539001B33000E2800051E00021900031C000A2400173000263A002D3E00263A
001830000A2500031C00021900061F00102A001F36002C3D002D3E00213700112B000720
00021A00031B00092300152E002338002A3C002539001730000B2500041C00021900041D
000C26001730002036002137001931000E2800061F00021A00031A000620000D2800152E
00183100152E000E2800072100031B00021900041C000721000D2700102A00102A000C26
00072100041C00021900031A00041D000721000A24000A2500092300061F00041C00021A
00021900031B00041D00061F00062000061F00051D00031B
00041C00041D00041D00041C00031A00021900021900031B00041D000620000821000721
00061F00041C00031A00021900031A00051E000822000B25000C26000A2400072100041C
00021900021A00051D000923000E2800122C00112B000D2700072100031B00021900031B
000822000F2A001730001A3200162F000E2800062000031A00021A00061F000E28001831
002137002036001730000C2700051E00021900031B00092300152E00213700273B002237
00152E00092300031B00021900051E000E28001B3300263A00273B001D34000F2A00061F
00021A00031B00082200132C001E3500243900203600142E000A2400041C00021900041D
000B2500142E001C34001D3400162F000C2600051E00021A00031A00061F000C2600132C
00162F00132C000C2700062000031B00021900041C000721000B26000E29000E28000B25
00062000031B00021900021A00041D00072000092300092400082200061F00031B000219
00021900031B00041D00061F00061F00051F00041D00031B
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[32]:=",
  ImageSize->{549, 549},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008U00029B000`400?l00000o`00003ooooooooo
ooooobOooooo003ooooooooooooo9oooool007[ooooo0ol00004ooooo`;o0000M?ooool3o`0007Go
oooo0_l0001hooooo`?o0000>Oooool007_ooooo00?o0000ooooooooool00_ooool01?l0003ooooo
ooooool0001booooo`05o`000?ooooooooooooooool00000Loooool01?l0003oooooooooool0001f
ooooo`05o`000?ooooooooooooooool00000>?ooool007?ooooo1Ol00003ooooo`03o`000?oooooo
oooo00;ooooo00Co0000oooooooooooo0000K?ooool5o`0000Gooooo00?o0000ooooooooool0LOoo
ool01?l0003oooooooooool0001jooooo`03o`000?oooooooooo03Kooooo001kooooo`03o`000?oo
oooooooo00;ooooo00Co0000oooooooooooo0000M_ooool00ol0003oooooooooo`1aooooo`04o`00
0?ooooooooooo`0007[ooooo00?o0000ooooooooool0=_ooool007_ooooo00?o0000ooooooooool0
0_ooool01?l0003oooooooooool0001booooo`Co0000M?ooool01?l0003oooooooooool0001foooo
o`Co0000>Oooool007[ooooo0_l00004ooooo`04o`000?ooooooooooo`0007;ooooo00?o0000oooo
ooooool0MOooool01?l0003oooooooooool0001fooooo`03o`000?oooooooooo03[ooooo001koooo
o`03o`000?oooooooooo00?ooooo0_l0001cooooo`Go0000M?ooool2o`0007Oooooo1Ol0000hoooo
o`00ooooooooooooobOooooo003ooooooooooooo9oooool00?oooooooooooolWooooo`00oooooooo
ooooobOooooo003ooooooooooooo9oooool00?oooooooooooolWooooo`00ooooooooooooobOooooo
000Koooooooo0000ool00008o`0000Cooooo000Kooooo`03o`000?oooooooooo01Gooooo00?o0000
ooooooooool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000
ooooooooool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000
ooooooooool05_ooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000
ooooooooool05Oooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000
ooooooooool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000
ooooooooool05_ooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000
ooooooooool05Oooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo00;ooooo00?o0000
ooooooooool00_ooool001_ooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Eoooo
o`03o`000?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Eoooo
o`03o`000?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Foooo
o`03o`000?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eoooo
o`03o`000?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eoooo
o`03o`000?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Foooo
o`03o`000?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eoooo
o`03o`000?oooooooooo01Gooooo00?o0000ooooooooool00_ooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`1Nooooo`03o`000?oooooooooo07Oooooo00?o0000oooooooo
ool0Moooool00ol0003oooooooooo`1hooooo`03o`000?oooooooooo03;ooooo00?o0000oooooooo
ool00_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_oo
ool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_ooool001_ooooo00?o
0000ooooooooool0ooooooooooooo`Cooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`036`So00@L1?l00a/4o`036POo008I1?l00aX4o`0470Co00DN2?l01Ql4
o`057PCo00<L0ol00QX4o`026@Co00<J1?l011d4o`0680Co00PR1?l02B<4o`088@Co00DO0ol00a/4
o`026@Co008J1?l011`4o`0780Co00XT1?l03BL4o`0<9PCo00TS1?l01Ql3o`036`Co008I1?l00a/4
o`067`Co00/U1?l042X4o`0B;0Co00lY1?l02R@3o`057PCo008J1?l00QT4o`057@Co00XT1?l04B/8
o`0F;`Co010Z0ol02B<4o`0470Co008I1?l00a/4o`078@Co00hY1?l05Rl4o`0J<PCo01H_0ol03bT4
o`078@Co00<K1?l00QT4o`047@Co00XT1?l04b`4o`0I<PCo01Xb1?l052d3o`0;9@Co00DN1?l00QT4
o`036PCo00HP1?l03BL4o`0E;PCo01Pa1?l05Bl3o`0>:0Co00LQ1?l00a/4o`026@Co00@L1?l02284
o`0>:0So01<]0ol03bT4o`098`Co00@M1?l00QT4o`026PCo00DN1?l02B<4o`0=9`Co00lY0ol03BL4
o`098`Co00DN1?l00aX4o`026@Co00<K1?l01Ql4o`088PSo00XT0ol02284o`057PCo00<K1?l00QT4
o`026PCo00@L1?l01Ah4o`0780Co00LQ0ol01Ql4o`057@Co00<K2?l00QT4o`036PCo00@L1?l011d4
o`057P?o00@M1?l011`4o`036PWooooo00?o0000ooooooooool00_ooool000[ooooo0ol00004oooo
o`;o00002?ooool00ol0003oooooooooo`07ooooo`Co00<K2?l011`4o`036`Co00<J1ol00QT4o`03
6PCo00@L1?l01Ah8o`067`Co00DN1?l00a`3o`026PCo008I1?l00aX4o`047@Co00HP1?l02284o`09
8`Co00PQ1?l01Al3o`036`Co008I1?l00QX4o`0470Co00LP1?l02R@4o`0=9`Co00`V1?l02B<4o`06
7`?o00<K1?l00QT4o`036`Co00HO1?l02bD4o`0@:PCo018/1?l03bT4o`0:90?o00DN1?l00QX4o`02
6@Co00DM1?l02R@4o`0A:`So01H_1?l042X3o`098`Co00@L1?l00QT4o`036`Co00LQ1?l03RT4o`0F
;`Co01Xb1?l05Rl3o`0?:@Co00LQ1?l00a/4o`026@Co00@M1?l02R@4o`0C;0Co01Tb1?l06S84o`0D
;@?o00/U1?l01Ah4o`026@Co00<J1?l01R04o`0=9`Co01D^1?l06344o`0E;`?o00hX1?l01b44o`03
6`Co008I1?l011`4o`088PCo00hX2?l04bd3o`0?:@Co00TS1?l011d4o`026@Co008J1?l01Ah4o`09
8`Co00dW1?l03bT3o`0=9`Co00TS1?l01Ah4o`036PCo008I1?l00a/4o`067`Co00PR2?l02R@3o`08
8PCo00DN1?l00a/4o`026@Co008J1?l011`4o`057PCo00LP1?l01b43o`067`Co00DM1?l00a/8o`02
6@Co00<J1?l011`4o`047@Co00DN0ol011d4o`0470Co00<J2Oooool00ol0003oooooooooo`02oooo
o`002oooool00ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000Oooooo00?o0000oooo
ooooool01oooool4o`036`So00@L1?l00a/4o`036POo008I1?l00aX4o`0470Co00DN2?l01Ql4o`05
7PCo00<L0ol00QX4o`026@Co00<J1?l011d4o`0680Co00PR1?l02B<4o`088@Co00DO0ol00a/4o`02
6@Co008J1?l011`4o`0780Co00XT1?l03BL4o`0<9PCo00TS1?l01Ql3o`036`Co008I1?l00a/4o`06
7`Co00/U1?l042X4o`0B;0Co00lY1?l02R@3o`057PCo008J1?l00QT4o`057@Co00XT1?l04B/8o`0F
;`Co010Z0ol02B<4o`0470Co008I1?l00a/4o`078@Co00hY1?l05Rl4o`0J<PCo01H_0ol03bT4o`07
8@Co00<K1?l00QT4o`047@Co00XT1?l04b`4o`0I<PCo01Xb1?l052d3o`0;9@Co00DN1?l00QT4o`03
6PCo00HP1?l03BL4o`0E;PCo01Pa1?l05Bl3o`0>:0Co00LQ1?l00a/4o`026@Co00@L1?l02284o`0>
:0So01<]0ol03bT4o`098`Co00@M1?l00QT4o`026PCo00DN1?l02B<4o`0=9`Co00lY0ol03BL4o`09
8`Co00DN1?l00aX4o`026@Co00<K1?l01Ql4o`088PSo00XT0ol02284o`057PCo00<K1?l00QT4o`02
6PCo00@L1?l01Ah4o`0780Co00LQ0ol01Ql4o`057@Co00<K2?l00QT4o`036PCo00@L1?l011d4o`05
7P?o00@M1?l011`4o`036PWooooo00?o0000ooooooooool00_ooool000?ooooo1Ol00003ooooo`03
o`000?oooooooooo00;ooooo00Co0000oooooooooooo00001oooool4o`0000Kooooo1?l00a/8o`04
70Co00<K1?l00aX7o`026@Co00<J1?l011`4o`057PSo00HO1?l01Ah4o`0370?o008J1?l00QT4o`03
6PCo00@M1?l01R04o`088PCo00TS1?l02244o`057`?o00<K1?l00QT4o`026PCo00@L1?l01b04o`0:
90Co00dW1?l032H4o`098`Co00HO0ol00a/4o`026@Co00<K1?l01Ql4o`0;9@Co010Z1?l04R`4o`0?
:@Co00XT0ol01Ah4o`026PCo008I1?l01Ad4o`0:90Co014[2?l05Rl4o`0@:P?o00TS1?l011`4o`02
6@Co00<K1?l01b44o`0>:@Co01H_1?l06S84o`0F;`?o00lY1?l01b44o`036`Co008I1?l011d4o`0:
90Co01</1?l06C84o`0J<PCo01@]0ol02bD4o`057PCo008I1?l00aX4o`0680Co00dW1?l05Bh4o`0H
<@Co01D_0ol03RP4o`078@Co00<K1?l00QT4o`0470Co00PR1?l03RP8o`0C;@?o00lY1?l02B<4o`04
7@Co008I1?l00QX4o`057PCo00TS1?l03BL4o`0?:@?o00dW1?l02B<4o`057PCo00<J1?l00QT4o`03
6`Co00HO1?l02288o`0:90?o00PR1?l01Ah4o`036`Co008I1?l00QX4o`0470Co00DN1?l01b04o`07
8@?o00HO1?l01Ad4o`036`So008I1?l00aX4o`0470Co00@M1?l01Ah3o`047@Co00@L1?l00aX6oooo
o`Co00001?ooool000_ooooo00?o0000ooooooooool00_ooool01?l0003oooooooooool00007oooo
o`03o`000?oooooooooo00Oooooo3?l011`4o`036`Co00<J1ol00QT4o`036PCo00@M1?l01Ql8o`06
80Co00DN1?l011`3o`026PCo008I1?l00aX4o`047@Co00LQ1?l02B<4o`0:90Co00TS1?l01Ql3o`04
70Co008I1?l00QX4o`047@Co00PQ1?l032H4o`0?:@Co00hX1?l02bD4o`0680?o00<K1?l00QT4o`03
6`Co00LP1?l03BL4o`0C;0Co01D^1?l04R`4o`0;9P?o00HO1?l00aX4o`026PCo00DN1?l02bD4o`0D
;@So01Xb1?l04bd3o`0:9@Co00@M1?l00QT4o`036`Co00PR1?l04B/4o`0J<PCo01le1?l06c<3o`0A
:`Co00PR1?l00a/4o`026@Co00DM1?l032H4o`0F;`Co01he1?l07cD4o`0G<0?o00dW1?l01Ah4o`02
6@Co00<J1?l01b04o`0?:@Co01Pa1?l07C@4o`0I<P?o014[1?l02284o`036`Co008I1?l011`4o`09
8`Co010Z1?l05Rl4o`0G<0?o018[1?l02R@4o`057@Co008I1?l00QX4o`057PCo00XT1?l03bT4o`0A
:`?o00lY1?l02RD4o`067`Co00<J1?l00QT4o`036`Co00HO1?l02B@8o`0<9P?o00TS1?l01Ql4o`03
6`Co008I1?l00QX4o`0470Co00HO1?l02244o`088P?o00LP1?l01Ah4o`036`So008I1?l00aX4o`04
70_o00DN1?l011`4o`036`Wooooo00?o0000ooooooooool00_ooool000_ooooo00?o0000oooooooo
ool00_ooool01?l0003oooooooooool00007ooooo`03o`000?oooooooooo00Oooooo3?l011`4o`03
6`Co00<J1ol00QT4o`036PCo00@M1?l01Ql8o`0680Co00DN1?l011`3o`026PCo008I1?l00aX4o`04
7@Co00LQ1?l02B<4o`0:90Co00TS1?l01Ql3o`0470Co008I1?l00QX4o`047@Co00PQ1?l032H4o`0?
:@Co00hX1?l02bD4o`0680?o00<K1?l00QT4o`036`Co00LP1?l03BL4o`0C;0Co01D^1?l04R`4o`0;
9P?o00HO1?l00aX4o`026PCo00DN1?l02bD4o`0D;@So01Xb1?l04bd3o`0:9@Co00@M1?l00QT4o`03
6`Co00PR1?l04B/4o`0J<PCo01le1?l06c<3o`0A:`Co00PR1?l00a/4o`026@Co00DM1?l032H4o`0F
;`Co01he1?l07cD4o`0G<0?o00dW1?l01Ah4o`026@Co00<J1?l01b04o`0?:@Co01Pa1?l07C@4o`0I
<P?o014[1?l02284o`036`Co008I1?l011`4o`098`Co010Z1?l05Rl4o`0G<0?o018[1?l02R@4o`05
7@Co008I1?l00QX4o`057PCo00XT1?l03bT4o`0A:`?o00lY1?l02RD4o`067`Co00<J1?l00QT4o`03
6`Co00HO1?l02B@8o`0<9P?o00TS1?l01Ql4o`036`Co008I1?l00QX4o`0470Co00HO1?l02244o`08
8P?o00LP1?l01Ah4o`036`So008I1?l00aX4o`0470_o00DN1?l011`4o`036`Wooooo00?o0000oooo
ooooool00_ooool000[ooooo0_l00004ooooo`04o`000?ooooooooooo`0000Oooooo00?o0000oooo
ooooool01oooool<o`0470Co00<K1?l00aX7o`026@Co00<J1?l011d4o`067`So00HP1?l01Ah4o`04
70?o008J1?l00QT4o`036PCo00@M1?l01b44o`098`Co00XT1?l02B<4o`067`?o00@L1?l00QT4o`02
6PCo00@M1?l02244o`0<9PCo00lY1?l03RP4o`0;9@Co00HP0ol00a/4o`026@Co00<K1?l01b04o`0=
9`Co01</1?l05Bh4o`0B;0Co00/V0ol01Ql4o`036PCo008J1?l01Ah4o`0;9@Co01@]2?l06S84o`0C
;@?o00XU1?l011d4o`026@Co00<K1?l02284o`0A:`Co01Xb1?l07cD4o`0K<`?o014[1?l02284o`03
6`Co008I1?l01Ad4o`0<9PCo01H_1?l07SD4o`0O=@Co01L`0ol03BL4o`057PCo008I1?l00aX4o`07
80Co00lY1?l06344o`0M=0Co01Tb0ol04B/4o`088PCo00<K1?l00QT4o`0470Co00TS1?l042X4o`0F
;`Co01L`0ol04R/4o`0:90Co00DM1?l00QT4o`026PCo00DN1?l02R@4o`0?:@Co014[0ol03bT4o`0:
9@Co00HO1?l00aX4o`026@Co00<K1?l01Ql4o`0990So00`V0ol02B<4o`067`Co00<K1?l00QT4o`02
6PCo00@L1?l01Ql4o`088@Co00PR0ol01b04o`057PCo00<K2?l00QT4o`036PCo00@L2ol01Ah4o`04
70Co00<K2Oooool00ol0003oooooooooo`02ooooo`002oooool00ol0003oooooooooo`03ooooo`;o
00002?ooool00ol0003oooooooooo`07ooooo`co00@L1?l00a/4o`036POo008I1?l00aX4o`047@Co
00HO2?l01R04o`057PCo00@L0ol00QX4o`026@Co00<J1?l011d4o`078@Co00TS1?l02R@4o`098`Co
00HO0ol011`4o`026@Co008J1?l011d4o`088@Co00`V1?l03bT4o`0>:0Co00/U1?l01R03o`036`Co
008I1?l00a/4o`0780Co00dW1?l04b`4o`0E;PCo018/1?l02bH3o`067`Co00<J1?l00QX4o`057PCo
00/U1?l052d8o`0J<PCo01<]0ol02RD4o`047@Co008I1?l00a/4o`088PCo014[1?l06S84o`0O=@Co
01/c0ol04B/4o`088PCo00<K1?l00QT4o`057@Co00`V1?l05Rl4o`0N=@Co01le1?l05c03o`0=9`Co
00DN1?l00QT4o`036PCo00LP1?l03bT4o`0H<@Co01dd1?l06C83o`0A:`Co00PR1?l00a/4o`026@Co
00@L1?l02B<4o`0@:PCo01H_1?l05c03o`0B:`Co00XT1?l01Ad4o`026@Co008J1?l01Ah4o`0:90Co
00lY1?l04B/3o`0?:@Co00XU1?l01Ql4o`036PCo008I1?l00a/4o`067`Co00TT2?l032H3o`098`Co
00HO1?l00a/4o`026@Co008J1?l011`4o`067`Co00PQ1?l02283o`0780Co00DN1?l00a/8o`026@Co
00<J1?l011`;o`057PCo00@L1?l00a/9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`00
0?oooooooooo00Oooooo1?l011`8o`047@Co00<L1?l00aX7o`026@Co00<K1?l011d4o`067`So00LQ
1?l01Ql4o`0470?o00<J1?l00QT4o`036PCo00DN1?l02244o`0:9@Co00/U1?l02R@4o`0780?o00@L
1?l00QT4o`026PCo00@M1?l02284o`0=:0Co014[1?l042X4o`0<9PCo00LP0ol00a/4o`026@Co00<K
1?l02244o`0>:@Co01D_1?l06344o`0D;PCo00dW0ol01Ql4o`036PCo008J1?l01Ah4o`0=9`Co01L`
2?l07SD4o`0F;`?o00`V1?l01Ad4o`026@Co00<K1?l02B<4o`0C;@Co01le1?l093T4o`0O=P?o01@]
1?l02B<4o`036`Co008I1?l01Ah4o`0=9`Co01Tb1?l08cP4o`0T>@Co01/c0ol03bT4o`067`Co008J
1?l00aX4o`088@Co014[1?l073@4o`0R=`Co01he0ol04bd4o`098`Co00@L1?l00QT4o`0470Co00XT
1?l04b`4o`0J<PCo01/c0ol052h4o`0<9PCo00DN2?l00QX4o`067`Co00/U1?l04B/4o`0D;P?o018/
1?l032H4o`0680Co00<K1?l00QT4o`036`Co00HP1?l02bD4o`0=:0Co00dW0ol02R@4o`0680Co00<K
1?l00QT4o`026PCo00@L1?l01R04o`088PCo00TS0ol02244o`057PCo00<K2?l00QT4o`036PCo00@M
1?l01Ah4o`067`?o00DN1?l011d4o`036`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o
0000ooooooooool01oooool4o`0470So00@M1?l00a`4o`036POo008I1?l00a/4o`047@Co00HO2?l0
1b44o`067`Co00@L0ol00aX4o`026@Co00<J1?l01Ah4o`088@Co00XU1?l02bD4o`0:90Co00LP0ol0
11`4o`026@Co008J1?l011d4o`088PCo00dX1?l04B/4o`0@:PCo00`V1?l01b03o`036`Co008I1?l0
0a/4o`088@Co00hY1?l05Bl4o`0H<@Co01@^1?l03BL3o`067`Co00<J1?l00QX4o`057PCo00dW1?l0
5c08o`0N=@Co01H_0ol032H4o`057@Co008I1?l00a/4o`098`Co01<]1?l07cD4o`0T>@Co01lf0ol0
52d4o`098`Co00<K1?l00QT4o`057PCo00dW1?l06C84o`0S>0Co02@i1?l06c<3o`0?:@Co00HO1?l0
0QX4o`036PCo00PQ1?l04B/4o`0L=0Co028g1?l07SD3o`0C;@Co00TS1?l011`4o`026@Co00@L1?l0
2R@4o`0C;0Co01Xb1?l06c<3o`0D;PCo00`V1?l01Ah8o`026PCo00HO1?l02bD4o`0A:`Co01@^0ol0
4R`4o`0<9PCo00HP1?l00a/4o`026@Co00<K1?l01R04o`0;9@Co00dX1?l03BL3o`0:90Co00HP1?l0
0a/4o`026@Co008J1?l011`4o`0680Co00PR1?l02B<3o`088@Co00DN1?l00a/8o`026@Co00<J1?l0
11d4o`057PCo00HO0ol01Ah4o`047@Co00<K2Oooool00ol0003oooooooooo`02ooooo`006oooool0
0ol0003oooooooooo`07ooooo`Co00@L2?l011d4o`0370Co00<J1ol00QT4o`036`Co00@M1?l01Ql8
o`078@Co00HO1?l011`3o`036PCo008I1?l00aX4o`057PCo00PQ1?l02RD4o`0;9@Co00XT1?l01b03
o`0470Co008I1?l00QX4o`047@Co00PR1?l03BP4o`0A:`Co010Z1?l032H4o`0780?o00<K1?l00QT4
o`036`Co00PQ1?l03RT4o`0E;`Co01Pa1?l052h4o`0=9`?o00HO1?l00aX4o`026PCo00DN1?l03BL4
o`0G<0So01he1?l05Rl3o`0<9PCo00DM1?l00QT4o`036`Co00TS1?l04bd4o`0O=@Co02@i1?l07cH3
o`0D;@Co00TS1?l00a/4o`026@Co00DN1?l03BL4o`0I<PCo02<h1?l093T4o`0K<`?o00lY1?l01Ql4
o`026PCo00<J1?l02244o`0A:`Co01`d1?l08SL4o`0N=@?o01<]1?l02B<4o`0470Co008I1?l011`4
o`0:90Co01</1?l06S84o`0K<`?o01@^1?l032H4o`057PSo008J1?l01Ql4o`0;9@Co014[1?l052h3
o`0B;0Co00`V1?l01R04o`036`Co008I1?l00a/4o`0680Co00/U1?l03BP4o`0=9`?o00XT1?l01R04
o`036`Co008I1?l00QX4o`0470Co00HP1?l02284o`098`?o00PQ1?l01Ah4o`036`So008I1?l00aX4
o`047@Co00DN1?l01Ql3o`057PCo00@M1?l00a/9ooooo`03o`000?oooooooooo00;ooooo000Koooo
o`03o`000?oooooooooo00Oooooo1?l011`8o`047@Co00<L1?l00aX7o`026@Co00<K1?l011d4o`06
7`So00LQ1?l01Ql4o`0470?o00<J1?l00QT4o`036PCo00DN1?l02244o`0:9@Co00/U1?l02R@4o`07
80?o00@L1?l00QT4o`026PCo00@M1?l02284o`0=:0Co014[1?l042X4o`0<9PCo00LP0ol00a/4o`02
6@Co00<K1?l02244o`0>:@Co01D_1?l06344o`0D;PCo00dW0ol01Ql4o`036PCo008J1?l01Ah4o`0=
9`Co01L`2?l07SD4o`0F;`?o00`V1?l01Ad4o`026@Co00<K1?l02B<4o`0C;@Co01le1?l093T4o`0O
=P?o01@]1?l02B<4o`036`Co008I1?l01Ah4o`0=9`Co01Tb1?l08cP4o`0T>@Co01/c0ol03bT4o`06
7`Co008J1?l00aX4o`088@Co014[1?l073@4o`0R=`Co01he0ol04bd4o`098`Co00@L1?l00QT4o`04
70Co00XT1?l04b`4o`0J<PCo01/c0ol052h4o`0<9PCo00DN2?l00QX4o`067`Co00/U1?l04B/4o`0D
;P?o018/1?l032H4o`0680Co00<K1?l00QT4o`036`Co00HP1?l02bD4o`0=:0Co00dW0ol02R@4o`06
80Co00<K1?l00QT4o`026PCo00@L1?l01R04o`088PCo00TS0ol02244o`057PCo00<K2?l00QT4o`03
6PCo00@M1?l01Ah4o`067`?o00DN1?l011d4o`036`Wooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool01oooool4o`0470Co00DM1?l011d4o`0470Co00<J1ol00QT4o`036`Co
00DM1?l01b04o`088PCo00PQ1?l01R04o`047@?o00<J1?l00QT4o`036`Co00DN1?l02B84o`0<9PCo
00dW1?l02bD4o`078@?o00@L1?l00QT4o`026PCo00DM1?l02B<4o`0?:@Co01<]1?l04R`4o`0=:0Co
00PQ0ol00a/4o`026@Co00<L1?l02284o`0@:PCo01Ta1?l073<4o`0G<0Co00lY0ol01b04o`036PCo
008J1?l01Ql4o`0>:0Co01Xb2?l08cP4o`0I<P?o00dW1?l01Ah4o`026@Co00<K1?l02R@4o`0F;`Co
02@i1?l0:S`4o`0T>@?o01L`1?l02R@4o`0370Co008I1?l01Ah4o`0?:@Co01dd1?l0:C`4o`0Z?0Co
01lf0ol04B/4o`0680Co008J1?l00a/4o`088PCo01<]1?l083H4o`0W>`Co02<h0ol05Rl4o`0:9@Co
00@L1?l00QT4o`047@Co00/U1?l05Bh4o`0N=@Co01le0ol06304o`0=:0Co00HO1?l00QX4o`036PCo
00HO1?l032L4o`0D;@Co01L`0ol052h4o`0=:0Co00LP1?l00a/4o`026@Co00<K1?l01b44o`0<9PSo
00lY0ol02bH4o`0780Co00@L1?l00QT4o`026PCo00@M1?l01b04o`098`Co00XT0ol02284o`067`Co
00@L1?l00QX4o`026@Co00<K1?l011d4o`067`Co00HP0ol01Ql4o`047@Co00<K2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00@L1?l01Ad4o`047@Co00@L
1?l00aX7o`026@Co00<K1?l01Ad4o`0780Co00PR1?l02244o`0680Co00@M0ol00aX4o`026@Co00<K
1?l01Ah4o`098PCo00`V1?l03BL4o`0;9@Co00LQ0ol011`4o`026@Co008J1?l01Ad4o`098`Co00lY
1?l04bd4o`0B;0Co00dX1?l02243o`036`Co008I1?l00a`4o`088PCo010Z1?l06C44o`0L<`Co01L`
1?l03bT3o`0780Co00<J1?l00QX4o`067`Co00hX1?l06S88o`0S>0Co01Tb0ol03BL4o`057PCo008I
1?l00a/4o`0:90Co01H_1?l093T4o`0Z?0Co02@i0ol05c04o`0:90Co00<L1?l00QT4o`057PCo00lY
1?l07C@4o`0Y?0Co02Xl1?l07cH3o`0A:`Co00HP1?l00QX4o`036`Co00PR1?l04bd4o`0P=PCo02Lk
1?l08cP3o`0F;`Co00XU1?l011`4o`026@Co00@M1?l02bD4o`0E;PCo01he1?l07cD3o`0H<0Co00dX
1?l01Ql4o`026PCo00<J1?l01Ql4o`0<9`Co01@]1?l05c03o`0D;PCo00dX1?l01b04o`036`Co008I
1?l00a/4o`078@Co00`V2?l03bT3o`0;9PCo00LP1?l011`4o`026@Co008J1?l011d4o`0780Co00TS
1?l02R@3o`088PCo00HO1?l011`4o`026PCo008I1?l00a/4o`047@Co00HO1?l01R03o`067`Co00@M
1?l00a/9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l0
11`4o`057@Co00@M1?l011`4o`036POo008I1?l00a/4o`057@Co00LP1?l02284o`088@Co00HP1?l0
11d3o`036PCo008I1?l00a/4o`057PCo00TR1?l032H4o`0=9`Co00/U1?l01b43o`0470Co008I1?l0
0QX4o`057@Co00TS1?l03bT4o`0C;@Co018/1?l03BP4o`088@?o00<K1?l00QT4o`0370Co00PR1?l0
42X4o`0I<@Co01`c1?l05c04o`0?:@?o00LP1?l00aX4o`026PCo00HO1?l03RP4o`0J<PSo02<h1?l0
6C83o`0=9`Co00DN1?l00QT4o`036`Co00XT1?l05Rl4o`0T>@Co02Xl1?l093T3o`0G<0Co00XT1?l0
0a`4o`026@Co00DN1?l03bT4o`0M=0Co02Tl1?l0:S`4o`0O=P?o014[1?l01R04o`026PCo00<K1?l0
2284o`0C;@Co020f1?l09c/4o`0S>0?o01H_1?l02RD4o`0470Co008I1?l011d4o`0;9@Co01D^1?l0
7SD4o`0O=@?o01P`1?l03BP4o`067`Co008J1?l00aX4o`067`Co00`W1?l052d4o`0G<0?o01@^1?l0
3BP4o`0780Co00<K1?l00QT4o`036`Co00LQ1?l032H8o`0?:@?o00/V1?l01b04o`0470Co008I1?l0
0QX4o`047@Co00LP1?l02B<4o`0:90?o00PR1?l01Ql4o`0470Co008J1?l00QT4o`036`Co00@M1?l0
1Ql4o`0680?o00HO1?l011d4o`036`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`047@Co00DN1?l01Ad4o`0470Co00<J1ol00QT4o`036`Co00DN1?l01b44
o`098`Co00PR1?l01b04o`047@?o00<J1?l00QT4o`036`Co00HO1?l02B<4o`0=9`Co00hX1?l032H4
o`088P?o00@M1?l00QT4o`026PCo00DN1?l02R@4o`0A:`Co01D_1?l05Bh4o`0?:@Co00PR0ol011`4
o`026@Co00@L1?l02B<4o`0B;0Co01`c1?l07cH4o`0J<PCo010Z0ol01b44o`036PCo008J1?l01Ql4
o`0@:PCo01dd1?l0:3/4o`0W>`Co01`d0ol03bT4o`057`Co008I1?l00a`4o`0:9@Co01Pa1?l0:3/4
o`0`@0Co02Tl0ol06S84o`0;9@Co00@L1?l00QT4o`067`Co010Z1?l08CL4o`0_?`Co03101?l093T3
o`0C;@Co00LQ1?l00QX4o`036`Co00TS1?l05Bl4o`0T>@Co02`n1?l09c/3o`0I<PCo00`V1?l011`4
o`026@Co00@M1?l032H4o`0H<0Co028g1?l08cP3o`0K<`Co00lY1?l01R04o`026PCo00<J1?l01R04
o`0=:0Co01H_1?l06S83o`0G<0Co00lY1?l02244o`036`Co008I1?l00a`4o`078@Co00dW2?l04B/3
o`0=9`Co00PQ1?l011`4o`026@Co008J1?l011d4o`078@Co00XT1?l02bD3o`098`Co00HP1?l011`4
o`026PCo008I1?l00a/4o`057@Co00HO1?l01b03o`067`Co00DM1?l00a/9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l011d4o`057PCo00DM1?l011`4o`03
6POo008I1?l00a/4o`057PCo00LQ1?l02B<4o`088PCo00LP1?l011d3o`036PCo008I1?l00a/4o`06
7`Co00TS1?l03BL4o`0>:0Co00`V1?l02283o`047@Co008I1?l00QX4o`057PCo00XT1?l04B/4o`0E
;`Co01D^1?l03bT4o`088P?o00@L1?l00QT4o`0470Co00TS1?l04R`4o`0L<`Co01lf1?l06S84o`0@
:P?o00LQ1?l00aX4o`026PCo00HO1?l042X4o`0M=0Co02Pk1?l09c/4o`0L=0?o00lY1?l01Al4o`02
6@Co00<L1?l02RD4o`0H<@Co02Pk1?l0<404o`0Y?0?o01Xb1?l02bD4o`0470Co008I1?l01Ql4o`0@
:PCo024g1?l0;cl4o`0`@0Co02@i0ol04bd4o`078@Co008J1?l00a/4o`098`Co01D_1?l093T4o`0/
?PCo02Lk0ol06C84o`0<9PCo00@L1?l00QT4o`047@Co00`V1?l06304o`0R=`Co02<h0ol06c<4o`0?
:@Co00HP1?l00QX4o`036PCo00HP1?l03BP4o`0F;`Co01Xb0ol05c04o`0?:@Co00PQ1?l00a/4o`02
6@Co00<L1?l01b44o`0=9`So014[0ol03BL4o`088@Co00@L1?l00QT4o`026PCo00@M1?l01b44o`0:
90Co00/U0ol02B<4o`0680Co00@L1?l00QX4o`026@Co00<K1?l01Ad4o`067`Co00LP0ol01Ql4o`05
7@Co00<K2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00@M1?l01Ah4o`057@Co00@L1?l00aX7o`026@Co00<K1?l01Ah4o`078@Co00TS1?l02284o`0780Co
00@M0ol00aX4o`026@Co00<K1?l01Ql4o`098`Co00dW1?l03RP4o`0<9PCo00PR0ol011d4o`026@Co
008J1?l01Ah4o`0:90Co014[1?l05Bl4o`0E;PCo00lY1?l02283o`0470Co008I1?l011`4o`098`Co
018/1?l073<4o`0O=PCo01Xb1?l042X3o`078@Co00<J1?l00QX4o`067`Co010Z1?l07C@4o`0X>`Co
02Lk1?l073@3o`0?:@Co00DO1?l00QT4o`0370Co00XU1?l06344o`0X>`Co03101?l0:C`3o`0J<PCo
00/U1?l011`4o`026@Co00HO1?l042X4o`0Q=`Co02lo1?l0<404o`0T>@?o01<]1?l01b44o`026PCo
00<K1?l02B<4o`0E;`Co02@i1?l0;3h4o`0W>`?o01Tb1?l032H4o`0470Co008I1?l011d4o`0<9PCo
01P`1?l08SL4o`0S>0?o01/c1?l03bT4o`0680Co008J1?l00aX4o`0680Co00dX1?l05Rl4o`0J<P?o
01L`1?l03bT4o`088@Co00<K1?l00QT4o`0370Co00LQ1?l03BL8o`0A:`?o00dW1?l02244o`0470Co
008I1?l00QX4o`047@Co00LQ1?l02R@4o`0;9@?o00TS1?l01R04o`0470Co008J1?l00QT4o`036`Co
00DM1?l01Ql4o`0780?o00HO1?l01Ad4o`036`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`047@Co00DN1?l01Ad4o`0470Co00<J1ol00QT4o`036`Co00DN
1?l01b44o`098`Co00PR1?l01b04o`047@?o00<J1?l00QT4o`036`Co00HO1?l02B<4o`0=9`Co00hX
1?l032H4o`088P?o00@M1?l00QT4o`026PCo00DN1?l02R@4o`0A:`Co01D_1?l05Bh4o`0?:@Co00PR
0ol011`4o`026@Co00@L1?l02B<4o`0B;0Co01`c1?l07cH4o`0J<PCo010Z0ol01b44o`036PCo008J
1?l01Ql4o`0@:PCo01dd1?l0:3/4o`0W>`Co01`d0ol03bT4o`057`Co008I1?l00a`4o`0:9@Co01Pa
1?l0:3/4o`0`@0Co02Tl0ol06S84o`0;9@Co00@L1?l00QT4o`067`Co010Z1?l08CL4o`0_?`Co0310
1?l093T3o`0C;@Co00LQ1?l00QX4o`036`Co00TS1?l05Bl4o`0T>@Co02`n1?l09c/3o`0I<PCo00`V
1?l011`4o`026@Co00@M1?l032H4o`0H<0Co028g1?l08cP3o`0K<`Co00lY1?l01R04o`026PCo00<J
1?l01R04o`0=:0Co01H_1?l06S83o`0G<0Co00lY1?l02244o`036`Co008I1?l00a`4o`078@Co00dW
2?l04B/3o`0=9`Co00PQ1?l011`4o`026@Co008J1?l011d4o`078@Co00XT1?l02bD3o`098`Co00HP
1?l011`4o`026PCo008I1?l00a/4o`057@Co00HO1?l01b03o`067`Co00DM1?l00a/9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l011d8o`057PCo00@L1?l0
0a/7o`026@Co00<K1?l01Ah4o`088@So00TS1?l01b44o`057@?o00<J1?l00QT4o`036`Co00HO1?l0
2R@4o`0>:0Co00lY1?l03BL4o`088P?o00@M1?l00QT4o`026PCo00DN1?l02bD4o`0B;0Co01P`1?l0
5c04o`0@:PCo00TS0ol011`4o`026@Co00@L1?l02R@4o`0D;PCo01le1?l08cP4o`0M=0Co018/0ol0
2284o`036PCo008J1?l01R04o`0A:`Co020g2?l0;3h4o`0P=P?o010Z1?l01Ql4o`026@Co00@L1?l0
2bH4o`0K<`Co02dn1?l0=T<4o`0^?`?o01dd1?l032H4o`0470Co008I1?l01Ql4o`0B:`Co02@i1?l0
=484o`0f@`Co02Pk0ol05Bh4o`088@Co008J1?l00a/4o`098`Co01L`1?l0:C`4o`0b@@Co02`n0ol0
73@4o`0=9`Co00@M1?l00QT4o`057@Co00dW1?l06S84o`0V>PCo02Lk0ol07SD4o`0A:`Co00LP1?l0
0QX4o`036PCo00HP1?l03bT4o`0H<@Co01dd0ol06C84o`0A:`Co00PR1?l00a/4o`026@Co00@L1?l0
2284o`0>:0So018/0ol03RP4o`088PCo00@L1?l00QT4o`026PCo00DM1?l02284o`0;9@Co00`V0ol0
2R@4o`078@Co00@L1?l00QX4o`026@Co00<K1?l01Ad4o`0680Co00LQ0ol01b04o`057PCo00<L2Ooo
ool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00@M2?l01Ah4
o`0470Co00<K1ol00QT4o`036`Co00DN1?l02248o`098`Co00LQ1?l01Ad3o`036PCo008I1?l00a/4
o`067`Co00XT1?l03RP4o`0?:@Co00dW1?l02283o`047@Co008I1?l00QX4o`057PCo00/U1?l04R`4
o`0H<0Co01L`1?l042X4o`098`?o00@L1?l00QT4o`0470Co00XT1?l052h4o`0O=@Co02<h1?l07C@4
o`0B;0?o00PR1?l00aX4o`026PCo00HP1?l04B/4o`0P=`So02`n1?l083H3o`0@:PCo00HO1?l00QT4
o`0470Co00/V1?l06c<4o`0]?PCo03I31?l0;Sl3o`0M=0Co00`V1?l011`4o`026@Co00HO1?l04R/4
o`0T>@Co03A21?l0=T<4o`0X>`?o01D^1?l02244o`026PCo00<K1?l02B<4o`0G<0Co02Tl1?l0<T44
o`0/?P?o01`d1?l03BL4o`047@Co008I1?l01Ad4o`0=9`Co01Xb1?l09SX4o`0W>`?o01he1?l04B/4
o`0780Co008J1?l00aX4o`0680Co00lY1?l06344o`0M=0?o01Tb1?l04B/4o`088PCo00<K1?l00QT4
o`0470Co00PR1?l03RP8o`0B;0?o00hX1?l02284o`0470Co008I1?l00QX4o`057@Co00PR1?l02bD4
o`0<9P?o00XT1?l01b44o`0470Co008J1?l00QT4o`036`Co00DM1?l01R04o`078@?o00LP1?l01Ah4
o`0370Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`04
7@So00DN1?l011`4o`036`Oo008I1?l00a/4o`057PCo00PQ2?l02B<4o`078@Co00DM0ol00aX4o`02
6@Co00<K1?l01Ql4o`0:90Co00hX1?l03bT4o`0=9`Co00PR0ol011d4o`026@Co008J1?l01Ah4o`0;
9@Co018/1?l06304o`0G<0Co010Z1?l02B<3o`0470Co008I1?l011`4o`0:90Co01@^1?l07cD4o`0S
>0Co01dd1?l04R`3o`088PCo00<J1?l00QX4o`0680Co014[1?l083L8o`0/?PCo020f0ol042X4o`06
7`Co008I1?l011`4o`0;9PCo01/c1?l0;Ch4o`0f@`Co02ho0ol07C@4o`0<9PCo00@L1?l00QT4o`06
7`Co018[1?l093T4o`0d@PCo03I31?l0:3/3o`0E;PCo00PQ1?l00QX4o`036`Co00TS1?l05c04o`0Y
?0Co03911?l0;3h3o`0L=0Co00dW1?l011d4o`026@Co00DM1?l03BL4o`0J<PCo02Hj1?l09c/3o`0N
=@Co014[1?l01b04o`026PCo00<J1?l01R04o`0?:@Co01Pa1?l07C@3o`0I<PCo014[1?l02284o`03
6`Co008I1?l011`4o`088PCo00hX2?l04R`3o`0>:0Co00PR1?l011`4o`026@Co008J1?l01Ad4o`08
8PCo00/U1?l032H3o`0:90Co00LQ1?l011`4o`026PCo008I1?l00a/4o`057@Co00HP1?l01b43o`07
80Co00DN1?l00a`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oo
oooo1?l011d8o`057PCo00@L1?l00a/7o`026@Co00<K1?l01Ah4o`088@So00TS1?l01b44o`057@?o
00<J1?l00QT4o`036`Co00HO1?l02R@4o`0>:0Co00lY1?l03BL4o`088P?o00@M1?l00QT4o`026PCo
00DN1?l02bD4o`0B;0Co01P`1?l05c04o`0@:PCo00TS0ol011`4o`026@Co00@L1?l02R@4o`0D;PCo
01le1?l08cP4o`0M=0Co018/0ol02284o`036PCo008J1?l01R04o`0A:`Co020g2?l0;3h4o`0P=P?o
010Z1?l01Ql4o`026@Co00@L1?l02bH4o`0K<`Co02dn1?l0=T<4o`0^?`?o01dd1?l032H4o`0470Co
008I1?l01Ql4o`0B:`Co02@i1?l0=484o`0f@`Co02Pk0ol05Bh4o`088@Co008J1?l00a/4o`098`Co
01L`1?l0:C`4o`0b@@Co02`n0ol073@4o`0=9`Co00@M1?l00QT4o`057@Co00dW1?l06S84o`0V>PCo
02Lk0ol07SD4o`0A:`Co00LP1?l00QX4o`036PCo00HP1?l03bT4o`0H<@Co01dd0ol06C84o`0A:`Co
00PR1?l00a/4o`026@Co00@L1?l02284o`0>:0So018/0ol03RP4o`088PCo00@L1?l00QT4o`026PCo
00DM1?l02284o`0;9@Co00`V0ol02R@4o`078@Co00@L1?l00QX4o`026@Co00<K1?l01Ad4o`0680Co
00LQ0ol01b04o`057PCo00<L2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00DM2?l01Ah4o`047@Co00<K1ol00QT4o`036`Co00HO1?l02288o`0:90Co00PQ
1?l01Ad3o`036PCo008I1?l00a/4o`0680Co00/U1?l03bT4o`0A:`Co00hX1?l02B<3o`057@So008J
1?l01Al4o`0<9PCo01@^1?l06S84o`0I<@Co018/1?l02B@3o`0470Co008I1?l011`4o`0:90Co01H_
1?l08SP4o`0W>`Co024g1?l052d3o`088PCo00<K1?l00QX4o`0780Co01</1?l093T4o`0b@@Co0351
1?l08cP3o`0B;0Co00HP1?l00QT4o`0470Co00`V1?l07SD4o`0b@@Co03a61?l0=483o`0P=PCo00dX
1?l011`4o`026@Co00HP1?l04bd4o`0X>`Co03Y51?l0?4H4o`0]?P?o01L`1?l02284o`036PCo00<K
1?l02R@4o`0J<PCo02dn1?l0>4@4o`0b@@?o020f1?l03RP4o`057@Co008I1?l01Ad4o`0>:0Co01`d
1?l0:S`4o`0/?@?o024g1?l04R`4o`078@So00<J1?l01b04o`0@:PCo01Xb1?l083H3o`0L=0Co01</
1?l02B<4o`0470Co008I1?l011`4o`088PCo00lY2?l052h3o`0?:@Co00TS1?l011d4o`026@Co008J
1?l01Ad4o`088PCo00`V1?l03BL3o`0;9@Co00LQ1?l011d4o`026PCo008I1?l00a/4o`057PCo00LP
1?l02243o`078@Co00DN1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01Ad8o`057PCo00@M1?l00a/7o`026@Co00<K1?l01Ql4o`088PSo00XT1?l0
2244o`057@?o00<J1?l00QT4o`036`Co00HP1?l02bD4o`0?:@Co014[1?l03RP4o`098`?o00DM2?l0
0QX4o`057`Co00`V1?l052h4o`0J<PCo01Ta1?l04R`4o`0990?o00@L1?l00QT4o`0470Co00XT1?l0
5Rl4o`0R>0Co02Lk1?l08CL4o`0D;@?o00PR1?l00a/4o`026PCo00LP1?l04b`4o`0T>@Co03911?l0
<D44o`0S>0?o018/1?l01R04o`026@Co00@L1?l032H4o`0N=@Co03911?l0?4H4o`0d@P?o020f1?l0
3BP4o`0470Co008I1?l01R04o`0C;@Co02Pk1?l0>TD4o`0lAPCo02dn0ol05c04o`088PCo00<J1?l0
0a/4o`0:90Co01Xb1?l0;Ch4o`0hA0Co03910ol083H4o`0>:0Co00DM1?l00QT4o`057@Co00hX1?l0
73@4o`0Z?0Co02`m0ol08CL4o`0B;0Co00LQ2?l00aX4o`0780Co010Z1?l06S84o`0P=P?o01`d1?l0
4b`4o`098`Co00@L1?l00QT4o`0470Co00PR1?l03bT8o`0D;P?o00lY1?l02B<4o`047@Co008I1?l0
0QX4o`057@Co00PR1?l032H4o`0=9`?o00/U1?l01b44o`047@Co008J1?l00QT4o`036`Co00DN1?l0
1b04o`088@?o00LQ1?l01Ah4o`0470Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`057@So00DN1?l011d4o`036`Oo008I1?l00a/4o`067`Co00PR2?l02R@4
o`088@Co00DM0ol00aX4o`026@Co00<K1?l01R04o`0;9@Co00lY1?l04B/4o`0>:0Co00TS0ol01Ad8
o`026PCo00DO1?l032H4o`0D;PCo01Xb1?l06C44o`0B;0Co00TT0ol011`4o`026@Co00@L1?l02R@4
o`0F;`Co028h1?l09c/4o`0Q=`Co01@]0ol02284o`036`Co008J1?l01b04o`0C;0Co02@i1?l0<T44
o`0a@@Co02<h0ol04R`4o`0680Co008I1?l011`4o`0<9PCo01he1?l0<T44o`0lAPCo03A20ol083H4
o`0=:0Co00@L1?l00QT4o`0680Co01<]1?l0:3/4o`0jA@Co03a61?l0;Ch3o`0G<0Co00PR1?l00aX4
o`036`Co00XT1?l06S84o`0]?PCo03Q41?l0<T43o`0P=PCo00hX1?l01Ad4o`026@Co00DM1?l03RP4
o`0L=0Co02Xl1?l0;3d3o`0Q=`Co018/1?l01b48o`036PCo00LP1?l042X4o`0J<PCo020f0ol073@4
o`0C;0Co00TS1?l011`4o`026@Co00@L1?l02284o`0?:@So01@^0ol03bT4o`098`Co00@M1?l00QT4
o`026PCo00DM1?l02284o`0<9PCo00dW0ol02bD4o`078@Co00@M1?l00QX4o`026@Co00<K1?l01Ah4
o`0780Co00PQ0ol01b44o`057PCo00@L2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00DM2?l01Ah4o`047@Co00<K1ol00QT4o`036`Co00HO1?l02288o`0:
90Co00PQ1?l01Ad3o`036PCo008I1?l00a/4o`0680Co00/U1?l03bT4o`0A:`Co00hX1?l02B<3o`05
7@So008J1?l01Al4o`0<9PCo01@^1?l06S84o`0I<@Co018/1?l02B@3o`0470Co008I1?l011`4o`0:
90Co01H_1?l08SP4o`0W>`Co024g1?l052d3o`088PCo00<K1?l00QX4o`0780Co01</1?l093T4o`0b
@@Co03511?l08cP3o`0B;0Co00HP1?l00QT4o`0470Co00`V1?l07SD4o`0b@@Co03a61?l0=483o`0P
=PCo00dX1?l011`4o`026@Co00HP1?l04bd4o`0X>`Co03Y51?l0?4H4o`0]?P?o01L`1?l02284o`03
6PCo00<K1?l02R@4o`0J<PCo02dn1?l0>4@4o`0b@@?o020f1?l03RP4o`057@Co008I1?l01Ad4o`0>
:0Co01`d1?l0:S`4o`0/?@?o024g1?l04R`4o`078@So00<J1?l01b04o`0@:PCo01Xb1?l083H3o`0L
=0Co01</1?l02B<4o`0470Co008I1?l011`4o`088PCo00lY2?l052h3o`0?:@Co00TS1?l011d4o`02
6@Co008J1?l01Ad4o`088PCo00`V1?l03BL3o`0;9@Co00LQ1?l011d4o`026PCo008I1?l00a/4o`05
7PCo00LP1?l02243o`078@Co00DN1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l01Ah4o`067`Co00DN1?l011d4o`036`Oo008I1?l011`4o`067`Co
00TS1?l02bD4o`0:9@Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0780Co00`V1?l04B/4o`0B;0Co
00lY1?l02R@3o`057PSo008J1?l01Ql4o`0=9`Co01H_1?l07C@4o`0K<`Co01@]1?l02R@3o`0470Co
008I1?l011`4o`0;9@Co01Pa1?l09SX4o`0[?@Co02@i1?l05Bl3o`098`Co00<K1?l00QX4o`078@Co
01@^1?l0:3/8o`0g@`Co02Lk0ol04bd4o`0780Co008I1?l011`4o`0=9`Co020g1?l0=d@4o`13B@Co
03Y50ol08cP4o`0>:@Co00@M1?l00QT4o`0780Co01D^1?l0;3h4o`11B0Co04=91?l0<T43o`0J<PCo
00TS1?l00aX4o`036`Co00/U1?l073<4o`0a@@Co03i71?l0=d<3o`0S>0Co00lY1?l01Ah4o`026@Co
00DN1?l03bT4o`0O=PCo02ho1?l0<403o`0U>@Co01@^1?l02288o`036PCo00LQ1?l04B/4o`0M=0Co
02<h0ol07cH4o`0D;PCo00XT1?l011`4o`026@Co00@L1?l02B<4o`0@:PSo01H_0ol04B/4o`0:90Co
00@M1?l00QT4o`026PCo00DN1?l02B<4o`0=9`Co00hX0ol032H4o`088PCo00@M1?l00QX4o`026@Co
00<K1?l01Ah4o`078@Co00PR0ol01b44o`067`Co00@L2Oooool00ol0003oooooooooo`02ooooo`00
6oooool3o`0000Oooooo1?l01Ah4o`067`Co00DN1?l011d4o`036`Oo008I1?l011`4o`067`Co00TS
1?l02bD4o`0:9@Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0780Co00`V1?l04B/4o`0B;0Co00lY
1?l02R@3o`057PSo008J1?l01Ql4o`0=9`Co01H_1?l07C@4o`0K<`Co01@]1?l02R@3o`0470Co008I
1?l011`4o`0;9@Co01Pa1?l09SX4o`0[?@Co02@i1?l05Bl3o`098`Co00<K1?l00QX4o`078@Co01@^
1?l0:3/8o`0g@`Co02Lk0ol04bd4o`0780Co008I1?l011`4o`0=9`Co020g1?l0=d@4o`13B@Co03Y5
0ol08cP4o`0>:@Co00@M1?l00QT4o`0780Co01D^1?l0;3h4o`11B0Co04=91?l0<T43o`0J<PCo00TS
1?l00aX4o`036`Co00/U1?l073<4o`0a@@Co03i71?l0=d<3o`0S>0Co00lY1?l01Ah4o`026@Co00DN
1?l03bT4o`0O=PCo02ho1?l0<403o`0U>@Co01@^1?l02288o`036PCo00LQ1?l04B/4o`0M=0Co02<h
0ol07cH4o`0D;PCo00XT1?l011`4o`026@Co00@L1?l02B<4o`0@:PSo01H_0ol04B/4o`0:90Co00@M
1?l00QT4o`026PCo00DN1?l02B<4o`0=9`Co00hX0ol032H4o`088PCo00@M1?l00QX4o`026@Co00<K
1?l01Ah4o`078@Co00PR0ol01b44o`067`Co00@L1oooool3o`0000Cooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01Ah4o`067`Co00DN1?l011d4o`036`Oo008I1?l011`4o`067`Co00TS1?l0
2bD4o`0:9@Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0780Co00`V1?l04B/4o`0B;0Co00lY1?l0
2R@3o`057PSo008J1?l01Ql4o`0=9`Co01H_1?l07C@4o`0K<`Co01@]1?l02R@3o`0470Co008I1?l0
11`4o`0;9@Co01Pa1?l09SX4o`0[?@Co02@i1?l05Bl3o`098`Co00<K1?l00QX4o`078@Co01@^1?l0
:3/8o`0g@`Co02Lk0ol04bd4o`0780Co008I1?l011`4o`0=9`Co020g1?l0=d@4o`13B@Co03Y50ol0
8cP4o`0>:@Co00@M1?l00QT4o`0780Co01D^1?l0;3h4o`11B0Co04=91?l0<T43o`0J<PCo00TS1?l0
0aX4o`036`Co00/U1?l073<4o`0a@@Co03i71?l0=d<3o`0S>0Co00lY1?l01Ah4o`026@Co00DN1?l0
3bT4o`0O=PCo02ho1?l0<403o`0U>@Co01@^1?l02288o`036PCo00LQ1?l04B/4o`0M=0Co02<h0ol0
7cH4o`0D;PCo00XT1?l011`4o`026@Co00@L1?l02B<4o`0@:PSo01H_0ol04B/4o`0:90Co00@M1?l0
0QT4o`026PCo00DN1?l02B<4o`0=9`Co00hX0ol032H4o`088PCo00@M1?l00QX4o`026@Co00<K1?l0
1Ah4o`078@Co00PR0ol01b44o`067`Co00@L2Oooool00ol0003oooooooooo`02ooooo`006oooool0
0ol0003oooooooooo`07ooooo`Co00DN1?l01Ql4o`057PCo00@M1?l00a/7o`026@Co00@L1?l01Ql4
o`098`Co00/U1?l02RD4o`088PCo00DN0ol00aX4o`026@Co00<K1?l01b04o`0<9PCo014[1?l04R`4
o`0?:@Co00XT0ol01Ah8o`026PCo00HO1?l03BL4o`0F;`Co01dd1?l06c<4o`0D;@Co00XT0ol011`4
o`026@Co00@L1?l02bD4o`0H<@Co02Hj1?l0:cd4o`0T>@Co01D_0ol02B<4o`036`Co008J1?l01b44
o`0D;PCo02Pk2?l0=d<4o`0W>`?o01<]1?l01b04o`026@Co00@L1?l03BL4o`0P=`Co03M41?l0@dT4
o`0jA@?o02<h1?l03RT4o`047@Co008I1?l01b04o`0E;PCo02`n1?l0@DP4o`13B@Co03910ol06S84
o`098`Co00<J1?l00a/4o`0;9@Co01`c1?l0<D44o`0nA`Co03M30ol08cP4o`0?:@Co00DN1?l00QT4
o`057PCo00lY1?l07cH4o`0^?`Co03100ol09CT4o`0D;PCo00PR2?l00aX4o`078@Co014[1?l07C@4
o`0S>0?o01lf1?l052h4o`0:90Co00@L1?l00QT4o`0470Co00TS1?l042X8o`0F;`?o014[1?l02R@4
o`047@Co008I1?l00QX4o`057PCo00TS1?l03BL4o`0>:0?o00`V1?l02284o`047@Co008J1?l00QT4
o`036`Co00DN1?l01b44o`088P?o00LQ1?l01Ql4o`0470Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO1?l011d4o`036`?o008I1?l00QX4o`04
70Co00HP1?l02B<4o`0;9PCo00/U1?l02284o`057P?o00<J1?l00QT4o`036`Co00LQ1?l03BL4o`0B
;0Co01@]1?l042X4o`0:90?o00DN1?l00QX4o`036PCo00HO1?l03RP4o`0H<@Co01lf1?l07SD4o`0E
;PCo00/U0ol011d4o`026@Co00@M1?l032H4o`0J<PCo02Tl1?l0;cl4o`0W>`Co01L`0ol02B@4o`03
6`Co008J1?l02244o`0F;`Co02/m2?l0?4H4o`0[?@?o01D^1?l01b04o`026@Co00@L1?l03RP4o`0S
>0Co03e61?l0BD`4o`0oB0?o02Hj1?l03bX4o`047@Co008I1?l01b04o`0F;`Co03101?l0Ad/4o`1:
C0Co03M30ol073<4o`0990Co00<J1?l00a/4o`0;9@Co01he1?l0=T<4o`14BPCo03e60ol09SX4o`0A
:`Co00DN1?l00QT4o`057PCo00lZ1?l08CL4o`0b@@Co03E20ol0:3/4o`0F;`Co00PR2?l00aX4o`07
8@Co018/1?l07cD4o`0V>P?o028h1?l05Rl4o`0;9@Co00@L1?l00QT4o`0470Co00TS1?l04B/4o`0G
<0Co01Pa0ol04R`4o`0:9@Co00DN2?l00QX4o`057PCo00TS1?l03BP4o`0?:@?o00dW1?l02B<4o`05
7PCo00<J1?l00QT4o`036`Co00DN1?l02244o`098`?o00PR1?l01Ql4o`0470Wooooo00?o0000oooo
ooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO1?l011d4o`036`?o
008I1?l00QX4o`0470Co00HP1?l02B<4o`0;9PCo00/U1?l02284o`057P?o00<J1?l00QT4o`036`Co
00LQ1?l03BL4o`0B;0Co01@]1?l042X4o`0:90?o00DN1?l00QX4o`036PCo00HO1?l03RP4o`0H<@Co
01lf1?l07SD4o`0E;PCo00/U0ol011d4o`026@Co00@M1?l032H4o`0J<PCo02Tl1?l0;cl4o`0W>`Co
01L`0ol02B@4o`036`Co008J1?l02244o`0F;`Co02/m2?l0?4H4o`0[?@?o01D^1?l01b04o`026@Co
00@L1?l03RP4o`0S>0Co03e61?l0BD`4o`0oB0?o02Hj1?l03bX4o`047@Co008I1?l01b04o`0F;`Co
03101?l0Ad/4o`1:C0Co03M30ol073<4o`0990Co00<J1?l00a/4o`0;9@Co01he1?l0=T<4o`14BPCo
03e60ol09SX4o`0A:`Co00DN1?l00QT4o`057PCo00lZ1?l08CL4o`0b@@Co03E20ol0:3/4o`0F;`Co
00PR2?l00aX4o`078@Co018/1?l07cD4o`0V>P?o028h1?l05Rl4o`0;9@Co00@L1?l00QT4o`0470Co
00TS1?l04B/4o`0G<0Co01Pa0ol04R`4o`0:9@Co00DN2?l00QX4o`057PCo00TS1?l03BP4o`0?:@?o
00dW1?l02B<4o`057PCo00<J1?l00QT4o`036`Co00DN1?l02244o`098`?o00PR1?l01Ql4o`0470Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO
1?l011d4o`036`?o008I1?l00QX4o`0470Co00HP1?l02B<4o`0;9PCo00/U1?l02284o`057P?o00<J
1?l00QT4o`036`Co00LQ1?l03BL4o`0B;0Co01@]1?l042X4o`0:90?o00DN1?l00QX4o`036PCo00HO
1?l03RP4o`0H<@Co01lf1?l07SD4o`0E;PCo00/U0ol011d4o`026@Co00@M1?l032H4o`0J<PCo02Tl
1?l0;cl4o`0W>`Co01L`0ol02B@4o`036`Co008J1?l02244o`0F;`Co02/m2?l0?4H4o`0[?@?o01D^
1?l01b04o`026@Co00@L1?l03RP4o`0S>0Co03e61?l0BD`4o`0oB0?o02Hj1?l03bX4o`047@Co008I
1?l01b04o`0F;`Co03101?l0Ad/4o`1:C0Co03M30ol073<4o`0990Co00<J1?l00a/4o`0;9@Co01he
1?l0=T<4o`14BPCo03e60ol09SX4o`0A:`Co00DN1?l00QT4o`057PCo00lZ1?l08CL4o`0b@@Co03E2
0ol0:3/4o`0F;`Co00PR2?l00aX4o`078@Co018/1?l07cD4o`0V>P?o028h1?l05Rl4o`0;9@Co00@L
1?l00QT4o`0470Co00TS1?l04B/4o`0G<0Co01Pa0ol04R`4o`0:9@Co00DN2?l00QX4o`057PCo00TS
1?l03BP4o`0?:@?o00dW1?l02B<4o`057PCo00<J1?l00QT4o`036`Co00DN1?l02244o`098`?o00PR
1?l01Ql4o`0470Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`057PSo00HO1?l011d4o`036`?o008I1?l00QX4o`0470Co00HP1?l02B<4o`0;9PCo00/U1?l0
2284o`057P?o00<J1?l00QT4o`036`Co00LQ1?l03BL4o`0B;0Co01@]1?l042X4o`0:90?o00DN1?l0
0QX4o`036PCo00HO1?l03RP4o`0H<@Co01lf1?l07SD4o`0E;PCo00/U0ol011d4o`026@Co00@M1?l0
32H4o`0J<PCo02Tl1?l0;cl4o`0W>`Co01L`0ol02B@4o`036`Co008J1?l02244o`0F;`Co02/m2?l0
?4H4o`0[?@?o01D^1?l01b04o`026@Co00@L1?l03RP4o`0S>0Co03e61?l0BD`4o`0oB0?o02Hj1?l0
3bX4o`047@Co008I1?l01b04o`0F;`Co03101?l0Ad/4o`1:C0Co03M30ol073<4o`0990Co00<J1?l0
0a/4o`0;9@Co01he1?l0=T<4o`14BPCo03e60ol09SX4o`0A:`Co00DN1?l00QT4o`057PCo00lZ1?l0
8CL4o`0b@@Co03E20ol0:3/4o`0F;`Co00PR2?l00aX4o`078@Co018/1?l07cD4o`0V>P?o028h1?l0
5Rl4o`0;9@Co00@L1?l00QT4o`0470Co00TS1?l04B/4o`0G<0Co01Pa0ol04R`4o`0:9@Co00DN2?l0
0QX4o`057PCo00TS1?l03BP4o`0?:@?o00dW1?l02B<4o`057PCo00<J1?l00QT4o`036`Co00DN1?l0
2244o`098`?o00PR1?l01Ql4o`0470Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`057PSo00HO1?l01Ad4o`036`?o008I1?l00QX4o`0470Co00LP1?l02R@8
o`0<9PCo00TS1?l01Ah3o`036PCo008I1?l00a/4o`078@Co00dX1?l04bd4o`0E;PCo018[1?l02bD3
o`057PCo008J1?l00aX4o`0680Co00lY1?l06S84o`0R=`Co020f1?l05c04o`0;9P?o00@M1?l00QT4
o`047@Co00dW1?l073<4o`0/?PCo03=11?l0:Sd4o`0I<@?o00XT1?l00a/4o`026PCo00PR1?l05c04
o`0_?`So04991?l0;Sl3o`0G<0Co00LQ1?l00QT4o`0470Co00lY1?l09SX4o`12B@Co04m>1?l0ADX3
o`0Y?0Co014[1?l011d4o`026@Co00LQ1?l06304o`0d@PCo04e>1?l0Cdh4o`0lAP?o01he1?l02R@4
o`036PCo00<K1?l032H4o`0P=PCo03]51?l0BT`4o`12B@?o02Xl1?l04R`4o`057PCo008I1?l01Ah4
o`0@:PCo02@i1?l0=T<4o`0jA@?o02`n1?l06344o`098`So00<J1?l02244o`0C;@Co024g1?l0:C`3
o`0U>@Co01Pa1?l02bH4o`047@Co008I1?l011`4o`0990Co018/1?l06C84o`0J<P?o01@]1?l02bD4
o`057PSo008J1?l01Ah4o`0:90Co00hY1?l042X3o`0>:0Co00TS1?l01Ah4o`036PCo008I1?l00a/4
o`057PCo00PR1?l02B<3o`088PCo00HP1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Koooo
o`03o`000?oooooooooo00Oooooo1?l01Ah8o`067`Co00DM1?l00a/3o`026@Co008J1?l011`4o`07
80Co00XT2?l032H4o`098`Co00DN0ol00aX4o`026@Co00<K1?l01b44o`0=:0Co01<]1?l05Bh4o`0B
:`Co00/U0ol01Ah4o`026PCo00<J1?l01R04o`0?:@Co01Xb1?l08SL4o`0P=PCo01L`1?l02bH3o`04
7@Co008I1?l011d4o`0=9`Co01`c1?l0;3h4o`0c@@Co02Xm1?l06C43o`0:90Co00<K1?l00QX4o`08
8PCo01L`1?l0;cl8o`12B@Co02ho0ol05c04o`078@Co008I1?l011`4o`0?:@Co02Hj1?l0@TT4o`1?
CPCo04E:0ol0:C`4o`0A:`Co00@M1?l00QT4o`078@Co01P`1?l0=484o`1=CPCo04m>1?l0?4H3o`0N
=@Co00XT1?l00aX4o`036`Co00`V1?l083H4o`0kA@Co04Y<1?l0@TT3o`0Z?0Co018/1?l01Ah4o`02
6@Co00DN1?l042X4o`0T>@Co03I31?l0>TD3o`0/?PCo01Pa1?l02B<8o`036PCo00PQ1?l04bd4o`0Q
=`Co02Tl0ol09CT4o`0H<@Co00/V1?l011d4o`026@Co00@L1?l02B@4o`0B;0Co01Tb1?l06S83o`0D
;@Co00/U1?l01Ah8o`026PCo00DN1?l02R@4o`0>:@Co010Z0ol03RP4o`098`Co00DN1?l00aX4o`02
6@Co00<K1?l01Ah4o`088PCo00TS0ol02284o`0680Co00@L2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co00DN2?l01Ql4o`057@Co00<K0ol00QT4o`026PCo
00@L1?l01b04o`0:90So00`V1?l02B<4o`057P?o00<J1?l00QT4o`036`Co00LQ1?l03BP4o`0C;@Co
01D^1?l04R/4o`0;9@?o00DN1?l00QX4o`036PCo00HP1?l03bT4o`0J<PCo028g1?l083H4o`0G<0Co
00/V0ol011d4o`026@Co00@M1?l03BL4o`0L<`Co02`n1?l0<d44o`0Z?@Co01Ta0ol02R@4o`036`Co
008J1?l02284o`0G<0Co02lo2?l0@TT4o`0^?`?o01L`1?l01b44o`026@Co00@L1?l03bT4o`0V>PCo
04991?l0Cdh4o`15BP?o02Tl1?l04B/4o`047@Co008I1?l01b44o`0H<0Co03A21?l0CDh4o`1?CPCo
03a60ol07SD4o`0:90Co00<J1?l00a/4o`0<9PCo020f1?l0>dD4o`1:C0Co04990ol0:S`4o`0B;0Co
00DN1?l00QT4o`057PCo010Z1?l093T4o`0f@`Co03Y50ol0;3h4o`0H<@Co00TS2?l00aX4o`088@Co
01<]1?l08CL4o`0Y?0?o02Di1?l06344o`0;9PCo00@M1?l00QT4o`0470Co00TT1?l04R`4o`0I<PCo
01Xb0ol052d4o`0;9@Co00DN2?l00QX4o`057PCo00XT1?l03RT4o`0@:P?o00hX1?l02B<4o`057PCo
00<J1?l00QT4o`036`Co00DN1?l02284o`098`?o00PR1?l01R04o`0470Wooooo00?o0000oooooooo
ool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO1?l01Ad4o`036`?o008I
1?l00QX4o`0470Co00LP1?l02R@8o`0<9PCo00TS1?l01Ah3o`036PCo008I1?l00a/4o`078@Co00dX
1?l04bd4o`0E;PCo018[1?l02bD3o`057PCo008J1?l00aX4o`0680Co00lY1?l06S84o`0R=`Co020f
1?l05c04o`0;9P?o00@M1?l00QT4o`047@Co00dW1?l073<4o`0/?PCo03=11?l0:Sd4o`0I<@?o00XT
1?l00a/4o`026PCo00PR1?l05c04o`0_?`So04991?l0;Sl3o`0G<0Co00LQ1?l00QT4o`0470Co00lY
1?l09SX4o`12B@Co04m>1?l0ADX3o`0Y?0Co014[1?l011d4o`026@Co00LQ1?l06304o`0d@PCo04e>
1?l0Cdh4o`0lAP?o01he1?l02R@4o`036PCo00<K1?l032H4o`0P=PCo03]51?l0BT`4o`12B@?o02Xl
1?l04R`4o`057PCo008I1?l01Ah4o`0@:PCo02@i1?l0=T<4o`0jA@?o02`n1?l06344o`098`So00<J
1?l02244o`0C;@Co024g1?l0:C`3o`0U>@Co01Pa1?l02bH4o`047@Co008I1?l011`4o`0990Co018/
1?l06C84o`0J<P?o01@]1?l02bD4o`057PSo008J1?l01Ah4o`0:90Co00hY1?l042X3o`0>:0Co00TS
1?l01Ah4o`036PCo008I1?l00a/4o`057PCo00PR1?l02B<3o`088PCo00HP1?l011`9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ql4o`0680Co00HO1?l0
1Ad4o`036`?o008I1?l00QX4o`0470Co00LQ1?l02bD8o`0=9`Co00TS1?l01Ql3o`036PCo008I1?l0
11`4o`088@Co00hX1?l05Bh4o`0G<0Co01</1?l032H3o`057PCo008J1?l00aX4o`0780Co010Z1?l0
73<4o`0T>@Co02<h1?l06344o`0<9P?o00@M1?l00QT4o`047@Co00dX1?l07SD4o`0`@0Co03Q41?l0
;Sl4o`0K<`?o00/U1?l00a/4o`026PCo00PR1?l06C44o`0c@@So04M;1?l0<T43o`0H<@Co00PQ1?l0
0QT4o`047@Co010Z1?l0:C`4o`18C0Co059=1?l0Bdd3o`0]?PCo018/1?l01Ad4o`026@Co00LQ1?l0
6C84o`0hA0Co055=1?l0DTd4o`11B0?o024g1?l02bD4o`036PCo00<K1?l032L4o`0S>0Co04181?l0
Cdh4o`18C0?o02dn1?l04bd4o`067`Co008I1?l01Ah4o`0A:`Co02Lj1?l0>dD4o`0oA`?o03101?l0
6S84o`0:90Co00<K1?l00aX4o`088PCo01@^1?l093T4o`0]?P?o02Pk1?l06S84o`0<9`Co00@M1?l0
0QT4o`0470Co00XT1?l04bd4o`0K<`Co01`c0ol05Bl4o`0<9PCo00DN2?l00QX4o`057PCo00XT1?l0
3bT4o`0A:`?o00lY1?l02R@4o`057PCo00<J1?l00QT4o`036`Co00HO1?l02284o`0:90?o00TS1?l0
1b04o`047@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4
o`067`Co00HP1?l01Ql4o`057@Co00<K0ol00QT4o`026PCo00@L1?l01b44o`0;9@So00dW1?l02B<4
o`067`?o00<J1?l00QT4o`0470Co00PQ1?l03RP4o`0E;PCo01L`1?l04b`4o`0<9P?o00DN1?l00QX4
o`036PCo00LP1?l042X4o`0L<`Co02@i1?l08cP4o`0H<@Co00`V0ol011d4o`026@Co00@M1?l03BP4
o`0N=@Co03101?l0>4@4o`0^?`Co01/c0ol02bD4o`036`Co008J1?l02284o`0I<@Co03=12?l0Ad/4
o`0b@@?o01Pa1?l02244o`026@Co00@M1?l042X4o`0Y?0Co04Q<1?l0DTd4o`1;C@?o02dn1?l04R`4
o`057@Co008I1?l01b44o`0I<PCo03Q41?l0DDd4o`1BC@Co04580ol08CL4o`0;9@Co00<J1?l00a/4
o`0<9`Co02<h1?l0@4P4o`1?CPCo04Q<0ol0;Ch4o`0C;@Co00HO1?l00QT4o`057PCo014[1?l09cX4
o`0kA@Co03m70ol0<404o`0J<PCo00XT1?l00a/4o`036PCo00PR1?l052h4o`0T>@Co02dn0ol0:3/4
o`0J<PCo00`W1?l011d4o`026@Co00@L1?l02R@4o`0C;@Co01/c1?l073<3o`0E;`Co00`V1?l01Ah8
o`026PCo00DN1?l02R@4o`0?:@Co014[0ol03bT4o`0:90Co00DN1?l00aX4o`026@Co00<K1?l01Ql4
o`088PCo00XT0ol02B<4o`0780Co00@M2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00HO1?l01R04o`067`Co00DM1?l00a/3o`026@Co008J1?l011`4o`07
8@Co00/U2?l03BL4o`098`Co00HO0ol00aX4o`026@Co00@L1?l02244o`0>:0Co01D^1?l05c04o`0C
;0Co00`V0ol01Ah4o`026PCo00<J1?l01b04o`0@:PCo01`c1?l093T4o`0S>0Co01Pa1?l032H3o`04
7@Co008I1?l011d4o`0=:0Co01he1?l0<404o`0hA0Co02ho1?l06c<3o`0;9@Co00<K1?l00QX4o`08
8PCo01Ta1?l0<d48o`17B`Co03910ol06344o`088@Co008I1?l011d4o`0@:PCo02Tl1?l0B4`4o`1B
C@Co04]=0ol0;Ch4o`0B;0Co00DM1?l00QT4o`078@Co01Tb1?l0>4@4o`1AC@Co059=1?l0@DP3o`0Q
=`Co00/U1?l00aX4o`036`Co00`W1?l08cP4o`10B0Co04m>1?l0B4`3o`0]?PCo01<]1?l01Ql4o`02
6@Co00DN1?l04B/4o`0W>PCo03]51?l0?dL3o`0`@0Co01Xb1?l02R@4o`036`Co00<J1?l02284o`0D
;PCo02@i1?l0;Ch3o`0X>`Co01Xb1?l032L4o`047@Co008I1?l011`4o`0:90Co01<]1?l06c<4o`0L
<`?o01D_1?l032H4o`057PSo008J1?l01Ah4o`0:90Co00lY1?l04B/3o`0?:@Co00XT1?l01Ah4o`03
6PCo008I1?l00a/4o`067`Co00PR1?l02R@3o`098`Co00LP1?l011d9ooooo`03o`000?oooooooooo
00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ql4o`0680Co00HO1?l01Ad4o`036`?o
008I1?l00QX4o`0470Co00LQ1?l02bD8o`0=9`Co00TS1?l01Ql3o`036PCo008I1?l011`4o`088@Co
00hX1?l05Bh4o`0G<0Co01</1?l032H3o`057PCo008J1?l00aX4o`0780Co010Z1?l073<4o`0T>@Co
02<h1?l06344o`0<9P?o00@M1?l00QT4o`047@Co00dX1?l07SD4o`0`@0Co03Q41?l0;Sl4o`0K<`?o
00/U1?l00a/4o`026PCo00PR1?l06C44o`0c@@So04M;1?l0<T43o`0H<@Co00PQ1?l00QT4o`047@Co
010Z1?l0:C`4o`18C0Co059=1?l0Bdd3o`0]?PCo018/1?l01Ad4o`026@Co00LQ1?l06C84o`0hA0Co
055=1?l0DTd4o`11B0?o024g1?l02bD4o`036PCo00<K1?l032L4o`0S>0Co04181?l0Cdh4o`18C0?o
02dn1?l04bd4o`067`Co008I1?l01Ah4o`0A:`Co02Lj1?l0>dD4o`0oA`?o03101?l06S84o`0:90Co
00<K1?l00aX4o`088PCo01@^1?l093T4o`0]?P?o02Pk1?l06S84o`0<9`Co00@M1?l00QT4o`0470Co
00XT1?l04bd4o`0K<`Co01`c0ol05Bl4o`0<9PCo00DN2?l00QX4o`057PCo00XT1?l03bT4o`0A:`?o
00lY1?l02R@4o`057PCo00<J1?l00QT4o`036`Co00HO1?l02284o`0:90?o00TS1?l01b04o`047@Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`067`Co00LP
1?l01R04o`057PCo00<K0ol00QT4o`026PCo00@L1?l01b44o`0;9@Co00hX1?l03BP4o`0:90Co00HO
0ol00a/4o`026@Co00@L1?l02284o`0?:@Co01H_1?l06344o`0D;PCo00`V0ol01Ql4o`026PCo00<J
1?l01b04o`0A:`Co01he1?l09c/4o`0V>PCo01Xb1?l03BL3o`057@Co008I1?l011d4o`0>:0Co020g
1?l0=484o`0lAPCo03911?l07C@3o`0;9@Co00<K1?l00QX4o`098`Co01/c1?l0=d<8o`1>CPCo03M3
0ol06S84o`088PCo008I1?l011d4o`0A:`Co02`n1?l0CTh4o`1EB`Co051>0ol0<D04o`0C;@Co00DN
1?l00QT4o`088PCo01/c1?l0?DH4o`1DC0Co05I;1?l0Ad/3o`0S>0Co00/V1?l00aX4o`036`Co00dW
1?l09CT4o`15BPCo059=1?l0CTh3o`0a@@Co01D^1?l01Ql4o`026@Co00DN1?l04R`4o`0Y?0Co0418
1?l0A4X3o`0d@PCo01`d1?l02R@4o`036`Co00<J1?l02284o`0E;PCo02Hj1?l0<403o`0/?@Co01`d
1?l03BL4o`057@Co008I1?l011`4o`0:90Co01@^1?l07C@4o`0N=@?o01L`1?l03BL4o`067`So008J
1?l01Ah4o`0;9@Co010Z1?l04R`3o`0@:PCo00XU1?l01Ql4o`036PCo008I1?l00a/4o`067`Co00TS
1?l02R@3o`098`Co00LP1?l011d9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01Ql4o`0780Co00HP1?l01Ah4o`036`?o008I1?l00QX4o`0470Co00LQ1?l0
2bD4o`0>:0Co00dX1?l02R@4o`067`?o00<K1?l00QT4o`0470Co00PR1?l03bT4o`0F;`Co01Pa1?l0
52h4o`0<9P?o00HO1?l00QX4o`036PCo00LP1?l04B/4o`0N=@Co02Lk1?l09SX4o`0J<PCo00dW0ol0
1Ad4o`026@Co00@M1?l03RP4o`0P=`Co03A21?l0?4H4o`0b@@Co01dd0ol02bD4o`036`Co008J1?l0
2B<4o`0K<`Co03M32?l0CTh4o`0g@`?o01Xb1?l02284o`026@Co00@M1?l04B/4o`0/?PCo04i>1?l0
ED/4o`1@CP?o03501?l04bd4o`057PCo008I1?l02284o`0K<`Co03e61?l0E4`4o`1FB`Co04M;0ol0
8cP4o`0;9PCo00<J1?l00a/4o`0=9`Co02Di1?l0ADX4o`1BC@Co04i>0ol0<D44o`0E;PCo00HO1?l0
0QT4o`057PCo018/1?l0:C`4o`10B0Co04A:0ol0=484o`0L=0Co00XT1?l00a/4o`036PCo00PR1?l0
5Bh4o`0V>PCo03100ol0;3d4o`0L=0Co00dW1?l01Ad4o`026@Co00@L1?l02R@4o`0D;PCo01dd1?l0
7SD3o`0G<0Co00dW1?l01Ql8o`026PCo00DN1?l02bD4o`0@:PCo018/0ol042X4o`0:9@Co00HO1?l0
0aX4o`026@Co00<K1?l01Ql4o`098`Co00XT0ol02B<4o`0780Co00@M2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HO1?l01b04o`0680Co00DN1?l00a/3
o`026@Co008J1?l011`4o`078@Co00/U1?l03RP4o`0=:0Co00XT1?l01Ql3o`036`Co008I1?l011`4
o`088PCo00lY1?l05Rl4o`0H<@Co01@^1?l032H3o`067`Co008J1?l00aX4o`0780Co014[1?l07SD4
o`0W>`Co02Hj1?l06S84o`0=9`?o00DM1?l00QT4o`047@Co00hX1?l083L4o`0d@PCo03a61?l0<T44
o`0M=0?o00/U1?l00a/4o`026PCo00TS1?l06c<4o`0g@`So04i>1?l0=d<3o`0J<PCo00PR1?l00QT4
o`047@Co014[1?l0;3h4o`1>CPCo05E;1?l0D4h3o`0a@0Co01<]1?l01Ah4o`026@Co00PR1?l06c<4
o`0mAPCo05A<1?l0ET/4o`17B`?o02<h1?l02bH4o`036PCo00<K1?l03BL4o`0U>@Co04E:1?l0DTd4
o`1>CP?o03511?l05Bh4o`067`Co008I1?l01Ah4o`0B;0Co02Tl1?l0@4P4o`14BP?o03A21?l073@4
o`0:90Co00<K1?l00aX4o`088PCo01D^1?l09SX4o`0`@0?o02`m1?l073@4o`0=9`Co00DM1?l00QT4
o`0470Co00XT1?l052h4o`0M=0Co01he0ol05c04o`0=9`Co00HO2?l00QX4o`057PCo00/U1?l042X4
o`0B;0?o010Z1?l02RD4o`067`Co00<J1?l00QT4o`036`Co00HO1?l02B<4o`0:90?o00TS1?l01b04
o`047@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`06
7`Co00LQ1?l01b04o`057PCo00<K0ol00QT4o`026PCo00@M1?l02244o`0<9PCo00lY1?l03RP4o`0:
9@Co00HO0ol00a/4o`026@Co00@L1?l02284o`0@:PCo01P`1?l06S84o`0E;`Co00dW0ol01Ql4o`02
6PCo00<J1?l01b44o`0B;0Co020f1?l0:Sd4o`0Y?0Co01`d1?l03RP3o`057@Co008I1?l01Ad4o`0?
:@Co02<h1?l0>4@4o`11B0Co03I31?l07cH3o`0<9PCo00<K1?l00QX4o`098`Co01dd1?l0>dH8o`1A
C@Co03]50ol073<4o`088PCo008I1?l011d4o`0B;0Co03101?l0DDd4o`1HB@Co05=<0ol0=D84o`0D
;PCo00DN1?l00QT4o`088PCo01dd1?l0@TT4o`1GBPCo05U91?l0CDh3o`0V>PCo00`V1?l00aX4o`03
6`Co00hX1?l0:3/4o`1:C@Co05E;1?l0DDd3o`0f@`Co01H_1?l01Ql4o`026@Co00DN1?l04bd4o`0/
?PCo04E:1?l0BT`3o`0iA0Co01he1?l02bD4o`036`Co00<J1?l02284o`0F;`Co02Tl1?l0=483o`0_
?`Co01le1?l03RP4o`057PCo008I1?l011`4o`0;9@Co01D_1?l07cH4o`0P=P?o01Ta1?l03RP4o`06
7`So008J1?l01Ah4o`0;9@Co014[1?l04bd3o`0A:`Co00/U1?l01Ql4o`036PCo008I1?l00a/4o`06
7`Co00TS1?l02bD3o`0:90Co00LQ1?l01Ad9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l01Ql4o`078@Co00LP1?l01Ah4o`036`?o008I1?l00QX4o`047@Co
00PQ1?l032H4o`0?:@Co00hX1?l02RD4o`067`?o00<K1?l00QT4o`0470Co00PR1?l042X4o`0H<0Co
01Xb1?l05Bl4o`0=9`?o00HO1?l00QX4o`036PCo00LQ1?l04R`4o`0P=PCo02Xm1?l0:C`4o`0L=0Co
00hX0ol01Ad4o`026@Co00DM1?l03bT4o`0S>0Co03Q41?l0@DP4o`0f@`Co01lf0ol032H4o`036`Co
008J1?l02B<4o`0M=0Co03]62?l0DDd4o`0kA@?o01`c1?l02284o`026@Co00@M1?l04R`4o`0`@0Co
055=1?l0F4T4o`1CC0?o03E21?l052h4o`057PCo008I1?l02284o`0M=0Co04991?l0EdX4o`1IB@Co
04e>0ol09SX4o`0<9PCo00<J1?l00a/4o`0>:0Co02Pk1?l0BTd4o`1EB`Co055=0ol0=T<4o`0F;`Co
00HO1?l00QT4o`057PCo01<]1?l0;3h4o`15BPCo04Y<0ol0>D@4o`0N=@Co00/U1?l00a/4o`036PCo
00PR1?l05Rl4o`0Y?0Co03A20ol0;cl4o`0O=@Co00hX1?l01Ah4o`026@Co00@L1?l02bD4o`0E;`Co
01lf1?l083H3o`0I<@Co00hX1?l01Ql8o`026PCo00DN1?l02bD4o`0A:`Co01<]0ol04B/4o`0;9@Co
00HO1?l00aX4o`026@Co00<K1?l01Ql4o`098`Co00/U0ol02R@4o`078@Co00DM2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HO1?l01b44o`0780Co00DN
1?l00a/3o`026@Co008J1?l011d4o`088@Co00`V1?l03bT4o`0>:0Co00XU1?l01Ql3o`036`Co008I
1?l011`4o`088PCo010Z1?l06304o`0J<PCo01D_1?l03BL3o`067`Co008J1?l00aX4o`078@Co018/
1?l083H4o`0Z?@Co02Tl1?l073@4o`0>:0?o00DM1?l00QT4o`057@Co00lY1?l08cP4o`0hA0Co0458
1?l0=T<4o`0O=P?o00`V1?l00a/4o`026PCo00TS1?l07C@4o`0kAPSo055=1?l0>dD3o`0L<`Co00PR
1?l00QT4o`047@Co018/1?l0<404o`1AC@Co05Q91?l0Dd`3o`0e@PCo01@^1?l01Ah4o`026@Co00PR
1?l07C@4o`12B@Co05M:1?l0FDT4o`1=CP?o02Hj1?l032H4o`036PCo00<K1?l03RP4o`0X>`Co04Y=
1?l0ED/4o`1AC@?o03I31?l05Rl4o`067`Co008I1?l01Ah4o`0C;@Co02`n1?l0ADX4o`1:C0?o03U4
1?l07SD4o`0;9@Co00<K1?l00aX4o`088PCo01H_1?l0:C`4o`0d@P?o02lo1?l07cD4o`0>:0Co00DN
1?l00QT4o`0470Co00/U1?l05Bl4o`0O=PCo020f0ol06C44o`0>:0Co00HO2?l00QX4o`057PCo00/U
1?l04B/4o`0C;@?o014[1?l02bD4o`067`Co00<J1?l00QT4o`036`Co00HO1?l02B<4o`0;9@?o00XT
1?l01b44o`057@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`067`Co00LQ1?l01b04o`057PCo00<K0ol00QT4o`026PCo00@M1?l02244o`0<9PCo00lY1?l0
3RP4o`0:9@Co00HO0ol00a/4o`026@Co00@L1?l02284o`0@:PCo01P`1?l06S84o`0E;`Co00dW0ol0
1Ql4o`026PCo00<J1?l01b44o`0B;0Co020f1?l0:Sd4o`0Y?0Co01`d1?l03RP3o`057@Co008I1?l0
1Ad4o`0?:@Co02<h1?l0>4@4o`11B0Co03I31?l07cH3o`0<9PCo00<K1?l00QX4o`098`Co01dd1?l0
>dH8o`1AC@Co03]50ol073<4o`088PCo008I1?l011d4o`0B;0Co03101?l0DDd4o`1HB@Co05=<0ol0
=D84o`0D;PCo00DN1?l00QT4o`088PCo01dd1?l0@TT4o`1GBPCo05U91?l0CDh3o`0V>PCo00`V1?l0
0aX4o`036`Co00hX1?l0:3/4o`1:C@Co05E;1?l0DDd3o`0f@`Co01H_1?l01Ql4o`026@Co00DN1?l0
4bd4o`0/?PCo04E:1?l0BT`3o`0iA0Co01he1?l02bD4o`036`Co00<J1?l02284o`0F;`Co02Tl1?l0
=483o`0_?`Co01le1?l03RP4o`057PCo008I1?l011`4o`0;9@Co01D_1?l07cH4o`0P=P?o01Ta1?l0
3RP4o`067`So008J1?l01Ah4o`0;9@Co014[1?l04bd3o`0A:`Co00/U1?l01Ql4o`036PCo008I1?l0
0a/4o`067`Co00TS1?l02bD3o`0:90Co00LQ1?l01Ad9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l01R04o`078@Co00LP1?l01Ah4o`036`?o008I1?l00QX4
o`047@Co00PR1?l03BL4o`0@:PCo00lY1?l02bD4o`0680?o00<K1?l00QT4o`0470Co00TS1?l04B/4
o`0I<@Co01`c1?l05c04o`0>:0?o00HO1?l00QX4o`036PCo00PQ1?l04bd4o`0R>0Co02dn1?l0;3d4
o`0N=@Co00hY0ol01Ah4o`026@Co00DN1?l042X4o`0U>PCo03e61?l0AT/4o`0jA@Co024g0ol032L4
o`036`Co00<J1?l02R@4o`0O=PCo04182?l0E4`4o`0oB0?o01he1?l02B<4o`026@Co00@M1?l04bd4
o`0d@PCo05A<1?l0G4L4o`1FB`?o03U41?l05Rl4o`057PCo008I1?l02284o`0O=PCo04M;1?l0FTP4
o`1LA`Co051>0ol0:C`4o`0=9`So00<K1?l03RP4o`0Z?@Co04m>1?l0F4T4o`1DC0?o03Y51?l06344
o`0680Co008I1?l01Ql4o`0D;PCo02lo1?l0BT`4o`1?CP?o03e71?l08CL4o`0<9PCo00<K1?l00aX4
o`098PCo01P`1?l0;3d4o`0hA0?o03=11?l08CL4o`0?:@Co00DN1?l00QT4o`0470Co00/U1?l05c04
o`0Q=`Co02<h0ol06c84o`0?:@Co00HP1?l00aX4o`026PCo00DN1?l02bH4o`0B;0Co01D^0ol04R`4
o`0<9PCo00HO1?l00a/4o`026@Co00<K1?l01Ql4o`098`Co00/U0ol02RD4o`088@Co00DN2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HP1?l01b44o`07
80Co00DN1?l00a/3o`026@Co008J1?l011d4o`088PCo00dW1?l042X4o`0?:@Co00/U1?l01R03o`03
6`Co008I1?l011`4o`098`Co014[1?l06C44o`0L<`Co01L`1?l03RP3o`067`Co008J1?l00aX4o`08
8@Co01<]1?l08SP4o`0]?PCo02`m1?l07SD4o`0>:@?o00DN1?l00QT4o`057PCo010Z1?l09CX4o`0m
APCo04I;1?l0>TD4o`0Q=`?o00`W1?l00a/4o`036PCo00XT1?l07cH4o`10B0So05A<1?l0?dP3o`0N
=@Co00TS1?l00QT4o`047@Co01<]1?l0=484o`1DC0Co05a71?l0ET/3o`0iA0Co01H_1?l01Ah4o`02
6@Co00PR1?l07cH4o`17B`Co05Y81?l0G4L4o`1@CP?o02Tl1?l03BL8o`036`Co00hX1?l0:Sd4o`1?
CPCo05Q91?l0E4`3o`0jA@Co01Pa1?l01R04o`026@Co00HO1?l052h4o`0_?`Co04Y<1?l0Cdh3o`0m
A`Co024g1?l032H4o`036`Co00<J1?l02B84o`0H<0Co02`m1?l0>4@3o`0c@@Co024g1?l03bT4o`05
7PCo008I1?l011`4o`0;9@Co01L`1?l08CL4o`0S>0?o01/b1?l03bT4o`0680Co00<J1?l00QX4o`05
7PCo00/V1?l04R`4o`0E;P?o018/1?l032H4o`067`Co00<K1?l00QT4o`036`Co00HO1?l02B<4o`0;
9@?o00XU1?l02244o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo0ol00007ooooo`Co
00HP1?l01b44o`0780Co00DN1?l00a/3o`026@Co008J1?l011d4o`088PCo00dW1?l042X4o`0?:@Co
00/U1?l01R03o`036`Co008I1?l011`4o`098`Co014[1?l06C44o`0L<`Co01L`1?l03RP3o`067`Co
008J1?l00aX4o`088@Co01<]1?l08SP4o`0]?PCo02`m1?l07SD4o`0>:@?o00DN1?l00QT4o`057PCo
010Z1?l09CX4o`0mAPCo04I;1?l0>TD4o`0Q=`?o00`W1?l00a/4o`036PCo00XT1?l07cH4o`10B0So
05A<1?l0?dP3o`0N=@Co00TS1?l00QT4o`047@Co01<]1?l0=484o`1DC0Co05a71?l0ET/3o`0iA0Co
01H_1?l01Ah4o`026@Co00PR1?l07cH4o`17B`Co05Y81?l0G4L4o`1@CP?o02Tl1?l03BL8o`036`Co
00hX1?l0:Sd4o`1?CPCo05Q91?l0E4`3o`0jA@Co01Pa1?l01R04o`026@Co00HO1?l052h4o`0_?`Co
04Y<1?l0Cdh3o`0mA`Co024g1?l032H4o`036`Co00<J1?l02B84o`0H<0Co02`m1?l0>4@3o`0c@@Co
024g1?l03bT4o`057PCo008I1?l011`4o`0;9@Co01L`1?l08CL4o`0S>0?o01/b1?l03bT4o`0680Co
00<J1?l00QX4o`057PCo00/V1?l04R`4o`0E;P?o018/1?l032H4o`067`Co00<K1?l00QT4o`036`Co
00HO1?l02B<4o`0;9@?o00XU1?l02244o`057POooooo0ol00004ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00HP1?l01b44o`0780Co00DN1?l00a/3o`026@Co008J1?l011d4o`088PCo00dW
1?l042X4o`0?:@Co00/U1?l01R03o`036`Co008I1?l011`4o`098`Co014[1?l06C44o`0L<`Co01L`
1?l03RP3o`067`Co008J1?l00aX4o`088@Co01<]1?l08SP4o`0]?PCo02`m1?l07SD4o`0>:@?o00DN
1?l00QT4o`057PCo010Z1?l09CX4o`0mAPCo04I;1?l0>TD4o`0Q=`?o00`W1?l00a/4o`036PCo00XT
1?l07cH4o`10B0So05A<1?l0?dP3o`0N=@Co00TS1?l00QT4o`047@Co01<]1?l0=484o`1DC0Co05a7
1?l0ET/3o`0iA0Co01H_1?l01Ah4o`026@Co00PR1?l07cH4o`17B`Co05Y81?l0G4L4o`1@CP?o02Tl
1?l03BL8o`036`Co00hX1?l0:Sd4o`1?CPCo05Q91?l0E4`3o`0jA@Co01Pa1?l01R04o`026@Co00HO
1?l052h4o`0_?`Co04Y<1?l0Cdh3o`0mA`Co024g1?l032H4o`036`Co00<J1?l02B84o`0H<0Co02`m
1?l0>4@3o`0c@@Co024g1?l03bT4o`057PCo008I1?l011`4o`0;9@Co01L`1?l08CL4o`0S>0?o01/b
1?l03bT4o`0680Co00<J1?l00QX4o`057PCo00/V1?l04R`4o`0E;P?o018/1?l032H4o`067`Co00<K
1?l00QT4o`036`Co00HO1?l02B<4o`0;9@?o00XU1?l02244o`057PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0780Co00PQ1?l01b44o`057PCo00<K0ol0
0QT4o`026PCo00@M1?l02284o`0=9`So010Z1?l032H4o`0680?o00<K1?l00QT4o`0470Co00TS1?l0
4R`4o`0K<`Co01he1?l06344o`0>:@?o00HP1?l00QX4o`036PCo00PR1?l052h4o`0U>@Co03501?l0
;cl4o`0P=PCo00lY0ol01Ah4o`026@Co00DN1?l04B/4o`0X>`Co04991?l0C4d4o`0nA`Co02<h0ol0
3BL4o`036`Co00<J1?l02R@4o`0Q=`Co04E:2?l0ETX4o`14BP?o020f1?l02B<4o`026@Co00DM1?l0
52h4o`0hA0Co05M:1?l0Gd@4o`1IB@?o03e61?l05c04o`057PCo008I1?l02B<4o`0Q=`Co04e>1?l0
GDH4o`1OA0Co05=<0ol0;3h4o`0>:0So00<K1?l03bT4o`0]?PCo059=1?l0FdL4o`1GBP?o03i71?l0
6S84o`0780Co008I1?l01Ql4o`0E;`Co03=11?l0Cdh4o`1BC@?o04991?l08cP4o`0<9`Co00<K1?l0
0aX4o`098`Co01Ta1?l0;Sl4o`0lAP?o03M31?l093T4o`0@:PCo00DN1?l00QT4o`0470Co00/V1?l0
6344o`0S>0Co02Di0ol073@4o`0@:PCo00LP1?l00aX4o`026PCo00HO1?l032H4o`0C;0Co01H_0ol0
4bd4o`0=9`Co00HP1?l00a/4o`026@Co00<K1?l01R04o`0:90Co00`V0ol02bD4o`088PCo00DN2Ooo
ool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00LP1?l02244
o`078@Co00DN1?l00a/3o`026@Co008J1?l011d4o`088PCo00dW2?l042X4o`0<9PCo00HP0ol00a/4
o`026@Co00@L1?l02B<4o`0B;0Co01/c1?l07SD4o`0H<@Co00hY0ol01R04o`026PCo00<J1?l02284
o`0D;PCo02Di1?l0<D04o`0_?`Co020f1?l03bT3o`057PCo008I1?l01Ah4o`0A:`Co02Pk1?l0@TT4
o`1<C@Co03i71?l08cP3o`0=9`Co00<K1?l00aX4o`0:90Co024g1?l0ADX8o`1FBPCo04A:0ol083H4
o`098`Co008I1?l01Ad4o`0D;PCo03Q41?l0EdX4o`1OA0Co05U90ol0?DH4o`0G<0Co00DN1?l00QT4
o`098`Co024g1?l0CDh4o`1MAPCo05m41?l0Dd`3o`0/?PCo00hX2?l00a/4o`0?:@Co02dn1?l0DTd4
o`1KA`Co05M:0ol0?TL4o`0J<PCo00LP1?l00QT4o`067`Co01D_1?l0<d44o`1?CPCo059=0ol0@TT4
o`0S>0Co00`W1?l00a/4o`036PCo00TS1?l06C44o`0^?`Co03a60ol0=d<4o`0T>@Co010Z1?l01Ah4
o`026@Co00@L1?l02bH4o`0H<@Co02<h1?l09CT3o`0L=0Co010Z1?l01b04o`036PCo008J1?l01Ql4
o`0<9PCo01</1?l05Rl3o`0C;@Co00dW1?l01R04o`036`Co008I1?l00a/4o`0680Co00XT1?l032H3
o`0;9@Co00PR1?l01Ah9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l01b04o`088@Co00LQ1?l01Ah4o`036`?o008I1?l00QX4o`047@Co00PR1?l03BL8o`0@
:PCo00`V1?l01R03o`036`Co008I1?l011`4o`098`Co018/1?l06c<4o`0N=@Co01Pa1?l03RT3o`06
80Co008J1?l00aX4o`088PCo01@^1?l09CT4o`0a@0Co02lo1?l083H4o`0?:@?o00DN1?l00QT4o`05
7PCo014[1?l0:3/4o`12B@Co04a=1?l0?TL4o`0S>0?o00dW1?l00a/4o`036PCo00XT1?l08CL4o`15
BPSo05I:1?l0A4X3o`0P=PCo00TS1?l00QT4o`057@Co01@^1?l0>4@4o`1GBPCo05m41?l0FDT3o`0m
APCo01L`1?l01Ah4o`026@Co00TS1?l08CL4o`1=CPCo05e61?l0Gd@4o`1CC0?o02`n1?l03RP8o`03
6`Co00lY1?l0;Ch4o`1BC@Co05]71?l0EdX3o`0nA`Co01Xb1?l01b04o`026@Co00HO1?l05Bl4o`0c
@@Co04m>1?l0DTd3o`12B@Co02<h1?l032L4o`036`Co00<J1?l02B<4o`0I<@Co02ho1?l0?4H3o`0g
@`Co02@i1?l042X4o`057PCo008I1?l011`4o`0;9PCo01Pa1?l08cP4o`0U>@?o01`d1?l042X4o`07
80Co00<J1?l00QX4o`067`Co00`V1?l04b`4o`0F;`?o01<]1?l03BL4o`0680Co00<K1?l00QT4o`03
6`Co00HP1?l02R@4o`0<9P?o00/U1?l02284o`057PWooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool01oooool4o`0780Co00PQ1?l01b44o`057PCo00<K0ol00QT4o`026PCo
00@M1?l02284o`0=9`So010Z1?l032H4o`0680?o00<K1?l00QT4o`0470Co00TS1?l04R`4o`0K<`Co
01he1?l06344o`0>:@?o00HP1?l00QX4o`036PCo00PR1?l052h4o`0U>@Co03501?l0;cl4o`0P=PCo
00lY0ol01Ah4o`026@Co00DN1?l04B/4o`0X>`Co04991?l0C4d4o`0nA`Co02<h0ol03BL4o`036`Co
00<J1?l02R@4o`0Q=`Co04E:2?l0ETX4o`14BP?o020f1?l02B<4o`026@Co00DM1?l052h4o`0hA0Co
05M:1?l0Gd@4o`1IB@?o03e61?l05c04o`057PCo008I1?l02B<4o`0Q=`Co04e>1?l0GDH4o`1OA0Co
05=<0ol0;3h4o`0>:0So00<K1?l03bT4o`0]?PCo059=1?l0FdL4o`1GBP?o03i71?l06S84o`0780Co
008I1?l01Ql4o`0E;`Co03=11?l0Cdh4o`1BC@?o04991?l08cP4o`0<9`Co00<K1?l00aX4o`098`Co
01Ta1?l0;Sl4o`0lAP?o03M31?l093T4o`0@:PCo00DN1?l00QT4o`0470Co00/V1?l06344o`0S>0Co
02Di0ol073@4o`0@:PCo00LP1?l00aX4o`026PCo00HO1?l032H4o`0C;0Co01H_0ol04bd4o`0=9`Co
00HP1?l00a/4o`026@Co00<K1?l01R04o`0:90Co00`V0ol02bD4o`088PCo00DN2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00LP1?l02284o`078@Co00DO
1?l00a/3o`026@Co008J1?l01Ad4o`098`Co00hX2?l04B/4o`0<9PCo00LP0ol00a/4o`026@Co00@L
1?l02R@4o`0C;@Co01dd1?l083H4o`0J<PCo00lY0ol01R04o`026PCo00<J1?l02284o`0E;`Co02Lk
1?l0=484o`0b@@Co028h1?l042X3o`057PCo008I1?l01Ah4o`0B;0Co02/m1?l0Ad/4o`1@CPCo04=9
1?l09SX3o`0>:0Co00<L1?l00aX4o`0;9@Co02<h1?l0Bdd4o`1IB0Co05U91?l0BD`3o`0R=`Co00XT
1?l00QT4o`057PCo01D_1?l0?4H4o`1JB0Co06911?l0G4L3o`11B@Co01Pa1?l01Ql4o`026@Co00TS
1?l093T4o`1@CPCo06131?l0Hd44o`1FB`?o02lo1?l03RT8o`036`Co010Z1?l0<D04o`1DC0Co05i4
1?l0FTP3o`13B@Co01`c1?l01b44o`026@Co00HO1?l05Rl4o`0f@`Co055=1?l0ED`3o`18B`Co02Hj
1?l03BP4o`036`Co00<J1?l02B<4o`0J<PCo03911?l0@4P3o`0kA@Co02Hj1?l04B/4o`067`Co008I
1?l011`4o`0<9PCo01Ta1?l09CX4o`0X>`?o01le1?l04B/4o`078@Co00<J1?l00QX4o`067`Co00`W
1?l052d4o`0G<0?o01@^1?l03BP4o`0780Co00<K1?l00QT4o`036`Co00HP1?l02R@4o`0<9`?o00`V
1?l02284o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`0780Co00PR1?l01b44o`057`Co00<K0ol00QT4o`026PCo00DM1?l02B<4o`0>:0So014[1?l0
32H4o`0780?o00<K1?l00QT4o`0470Co00XT1?l04bd4o`0M=0Co020f1?l06S84o`0?:@?o00HP1?l0
0QX4o`036PCo00PR1?l05Bl4o`0W>`Co03A21?l0<T44o`0R>0Co010Z0ol01Ah4o`026@Co00DN1?l0
4R`4o`0[?@Co04M;1?l0D4h4o`13B@Co02Hj0ol03RP4o`0370Co00<J1?l02bD4o`0S>0Co04]=1?l0
FDP4o`1IB@Co04U<0ol08SL4o`0:90Co008I1?l01Ah4o`0E;`Co03a61?l0FTP4o`1R@@Co05a70ol0
@DT4o`0H<@Co00HO1?l00QT4o`098`Co02@i1?l0D4h4o`1P@`Co06=11?l0ET/3o`0_?`Co00hY2?l0
0a/4o`0@:PCo03501?l0E4`4o`1NA0Co05Y80ol0@dT4o`0L<`Co00LQ1?l00QT4o`067`Co01H_1?l0
=T<4o`1AC@Co05E<0ol0B4/4o`0V>PCo00dX1?l00a/4o`036PCo00TS1?l06S84o`0b@@Co04180ol0
>dD4o`0V>PCo014[1?l01Ql4o`026@Co00@L1?l032H4o`0I<@Co02Dj1?l0:3/3o`0O=@Co014[1?l0
1b44o`036PCo008J1?l01Ql4o`0<9`Co01@]1?l05c03o`0D;PCo00dX1?l01b04o`036`Co008I1?l0
0a/4o`0680Co00XT1?l032L3o`0<9PCo00PR1?l01Ah9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l01b04o`088PCo00LQ1?l01Al4o`036`?o008I1?l00QX4
o`057@Co00TS1?l03RP8o`0A:`Co00`V1?l01b03o`036`Co008I1?l011`4o`0:90Co01<]1?l07C@4
o`0P=PCo01Xb1?l03bT3o`0680Co008J1?l00aX4o`088PCo01D_1?l09c/4o`0d@PCo03911?l08SP4
o`0@:P?o00DN1?l00QT4o`057PCo018/1?l0:cd4o`17B`Co051>1?l0@dT4o`0V>P?o00hX1?l00a`4
o`036PCo00/U1?l08cP4o`1;C@Co05U81?l0FDT4o`19C0?o028g1?l02R@4o`026@Co00DN1?l05Bl4
o`0lAPCo05Y81?l0HT44o`1LA`?o04591?l06344o`067`Co008I1?l02B<4o`0T>@Co051>1?l0H4<4
o`1S@@Co05I;0ol0;cl4o`0>:@So00<K1?l042X4o`0a@0Co05A<1?l0GT@4o`1JB0?o04=91?l073<4
o`078@Co008I1?l01Ql4o`0F;`Co03I31?l0DDd4o`1EC0?o04Q;1?l09SX4o`0=:0Co00<K1?l00aX4
o`098`Co01Xb1?l0<T44o`10B0?o03]51?l09SX4o`0A:`Co00HO1?l00QT4o`0470Co00`V1?l06C44
o`0U>PCo02Pk0ol07cD4o`0A:`Co00LQ1?l00aX4o`026PCo00HO1?l032L4o`0D;@Co01L`0ol052h4
o`0=:0Co00LP1?l00a/4o`026@Co00<K1?l01R04o`0:90Co00`W0ol032H4o`088PCo00DN2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00LP1?l02284o`07
8@Co00DO1?l00a/3o`026@Co008J1?l01Ad4o`098`Co00hX2?l04B/4o`0<9PCo00LP0ol00a/4o`02
6@Co00@L1?l02R@4o`0C;@Co01dd1?l083H4o`0J<PCo00lY0ol01R04o`026PCo00<J1?l02284o`0E
;`Co02Lk1?l0=484o`0b@@Co028h1?l042X3o`057PCo008I1?l01Ah4o`0B;0Co02/m1?l0Ad/4o`1@
CPCo04=91?l09SX3o`0>:0Co00<L1?l00aX4o`0;9@Co02<h1?l0Bdd4o`1IB0Co05U91?l0BD`3o`0R
=`Co00XT1?l00QT4o`057PCo01D_1?l0?4H4o`1JB0Co06911?l0G4L3o`11B@Co01Pa1?l01Ql4o`02
6@Co00TS1?l093T4o`1@CPCo06131?l0Hd44o`1FB`?o02lo1?l03RT8o`036`Co010Z1?l0<D04o`1D
C0Co05i41?l0FTP3o`13B@Co01`c1?l01b44o`026@Co00HO1?l05Rl4o`0f@`Co055=1?l0ED`3o`18
B`Co02Hj1?l03BP4o`036`Co00<J1?l02B<4o`0J<PCo03911?l0@4P3o`0kA@Co02Hj1?l04B/4o`06
7`Co008I1?l011`4o`0<9PCo01Ta1?l09CX4o`0X>`?o01le1?l04B/4o`078@Co00<J1?l00QX4o`06
7`Co00`W1?l052d4o`0G<0?o01@^1?l03BP4o`0780Co00<K1?l00QT4o`036`Co00HP1?l02R@4o`0<
9`?o00`V1?l02284o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`078@Co00PR1?l02244o`067`Co00<K0ol00QT4o`026PCo00DM1?l02B<4o`0?:@So
018/1?l03BL4o`0780?o00<K1?l00QT4o`047@Co00XT1?l052h4o`0N=@Co028g1?l06c<4o`0@:P?o
00LP1?l00QX4o`036PCo00TS1?l05c04o`0Z?0Co03Q41?l0=T<4o`0T>@Co014[0ol01Ah4o`026@Co
00DN1?l04bd4o`0^?`Co04a=1?l0DTd4o`18B`Co02Pk0ol03RT4o`0370Co00<J1?l02bH4o`0V>PCo
04m>2?l0G4H4o`1>CP?o02@i1?l02R@4o`026@Co00DN1?l05c04o`10B0Co05e61?l0ISd4o`1OA0?o
04I;1?l06S84o`067`Co008I1?l02R@4o`0V>PCo05=<1?l0I3l4o`1V?@Co05U90ol0<T44o`0?:@So
00<K1?l04B/4o`0d@PCo05M:1?l0HT44o`1MAP?o04Q<1?l07CD4o`078@Co008I1?l01Ql4o`0H<0Co
03Y51?l0E4`4o`1GBP?o04e>1?l0:C`4o`0>:0Co00<L1?l00aX4o`098`Co01`c1?l0=D84o`15BP?o
04181?l0:C`4o`0C;0Co00HO1?l00QT4o`0470Co00`V1?l06S84o`0X>`Co02Xm0ol08CL4o`0B;0Co
00LQ1?l00aX4o`026PCo00HO1?l03BL4o`0E;PCo01Ta0ol05Rl4o`0>:@Co00LQ1?l00a/4o`026@Co
00<K1?l01b04o`0;9@Co00dW0ol032H4o`098`Co00DN2Oooool00ol0003oooooooooo`02ooooo`00
6oooool00ol0003oooooooooo`07ooooo`Co00LQ1?l02284o`088@Co00HO1?l00a/3o`026@Co008J
1?l01Ad4o`098`Co00lY2?l04R`4o`0=9`Co00LP0ol00a/4o`026@Co00@M1?l02R@4o`0D;PCo01he
1?l08SL4o`0K<`Co010Z0ol01b04o`026PCo00<J1?l02B<4o`0G<0Co02Xl1?l0>4@4o`0f@`Co02@i
1?l04B/3o`057PCo008I1?l01Ah4o`0C;@Co02ho1?l0C4d4o`1BC@Co04Q;1?l0:3/3o`0>:@Co00<L
1?l00aX4o`0;9PCo02Hj1?l0Cdh8o`1LAPCo04i>0ol093T4o`0:90Co008I1?l01Ah4o`0G<0Co0418
1?l0GDH4o`1V?@Co05m40ol0AT/4o`0J<PCo00HO1?l00QT4o`0:90Co02Hj1?l0Dd`4o`1T?`Co06Hm
1?l0FDT3o`0b@@Co00lY2?l00a/4o`0A:`Co03A21?l0EdX4o`1R@@Co05e60ol0B4`4o`0M=@Co00LQ
1?l00QT4o`067`Co01P`1?l0>TD4o`1DC0Co05M:0ol0CDh4o`0Y?0Co00hX1?l00a`4o`036PCo00TS
1?l073<4o`0e@PCo04E:0ol0@4P4o`0Y?0Co01</1?l01Ql4o`026@Co00@L1?l032H4o`0J<PCo02Pk
1?l0:Sd3o`0Q=`Co018/1?l01b44o`036PCo008J1?l01Ql4o`0=9`Co01D^1?l06C43o`0F;`Co00hY
1?l01b44o`036`Co008I1?l00a/4o`0780Co00/U1?l03BL3o`0<9PCo00TS1?l01Ah9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01b44o`088PCo00PQ1?l0
1Ql4o`036`?o008I1?l00QX4o`057@Co00TS1?l03bT8o`0B;0Co00dW1?l01b03o`036`Co008I1?l0
11d4o`0:90Co01@^1?l07SD4o`0R=`Co01/c1?l042X3o`0780Co008J1?l00aX4o`098`Co01L`1?l0
:S`4o`0hA0Co03I31?l093T4o`0A:`?o00DN1?l00QT4o`057PCo01<]1?l0;Sl4o`1<C@Co059=1?l0
B4/4o`0X>`?o00hY1?l00a`4o`036PCo00/V1?l09SX4o`1?CPSo05a61?l0CTh3o`0T>@Co00XT1?l0
0QT4o`057PCo01L`1?l0@4P4o`1MAPCo06Hm1?l0Gd@3o`16B`Co01Xb1?l01Ql4o`026@Co00XT1?l0
9SX4o`1CC0Co06@o1?l0ISd4o`1IB@?o03911?l03bT8o`036`Co014[1?l0=484o`1GBPCo06911?l0
GDH3o`18C0Co01de1?l01b44o`026@Co00HO1?l06304o`0jA@Co05A<1?l0EdX3o`1=CPCo02Tl1?l0
3RP4o`0370Co00<J1?l02B<4o`0L<`Co03E21?l0ADX3o`10B0Co02Tl1?l04b`4o`067`Co008I1?l0
11`4o`0<9PCo01Xb1?l0:3/4o`0Z?@?o024g1?l04R`4o`078@Co00<J1?l00QX4o`067`Co00dW1?l0
5Bh4o`0I<@?o01H_1?l03RT4o`078@Co00<K1?l00QT4o`036`Co00LP1?l02bD4o`0=9`?o00`V1?l0
2B<4o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4
o`078@Co00PR1?l02244o`067`Co00<K0ol00QT4o`026PCo00DM1?l02B<4o`0?:@So018/1?l03BL4
o`0780?o00<K1?l00QT4o`047@Co00XT1?l052h4o`0N=@Co028g1?l06c<4o`0@:P?o00LP1?l00QX4
o`036PCo00TS1?l05c04o`0Z?0Co03Q41?l0=T<4o`0T>@Co014[0ol01Ah4o`026@Co00DN1?l04bd4
o`0^?`Co04a=1?l0DTd4o`18B`Co02Pk0ol03RT4o`0370Co00<J1?l02bH4o`0V>PCo04m>2?l0G4H4
o`1>CP?o02@i1?l02R@4o`026@Co00DN1?l05c04o`10B0Co05e61?l0ISd4o`1OA0?o04I;1?l06S84
o`067`Co008I1?l02R@4o`0V>PCo05=<1?l0I3l4o`1V?@Co05U90ol0<T44o`0?:@So00<K1?l04B/4
o`0d@PCo05M:1?l0HT44o`1MAP?o04Q<1?l07CD4o`078@Co008I1?l01Ql4o`0H<0Co03Y51?l0E4`4
o`1GBP?o04e>1?l0:C`4o`0>:0Co00<L1?l00aX4o`098`Co01`c1?l0=D84o`15BP?o04181?l0:C`4
o`0C;0Co00HO1?l00QT4o`0470Co00`V1?l06S84o`0X>`Co02Xm0ol08CL4o`0B;0Co00LQ1?l00aX4
o`026PCo00HO1?l03BL4o`0E;PCo01Ta0ol05Rl4o`0>:@Co00LQ1?l00a/4o`026@Co00<K1?l01b04
o`0;9@Co00dW0ol032H4o`098`Co00DN2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00LQ1?l02B<4o`088PCo00HO1?l00a`3o`026@Co008J1?l01Ah4o`0:
90Co010Z1?l04bd4o`0C;0Co00dX1?l01b43o`036`Co008I1?l011d4o`0;9@Co01H_1?l083L4o`0T
>@Co01dd1?l04B/3o`0780Co008J1?l00aX4o`098`Co01Pa1?l0;Ch4o`0lAPCo03U51?l09c/4o`0B
;0?o00DO1?l00QT4o`057`Co01@^1?l0<D04o`1@CPCo05E;1?l0CDh4o`0[?@?o00lY1?l011`4o`03
6PCo00`V1?l0:C`4o`1BC@Co06131?l0Gd@4o`1AC@?o02Hj1?l02RD4o`026@Co00DN1?l06344o`15
BPCo06131?l0JCT4o`1R@@?o04]=1?l06c<4o`067`Co008I1?l02R@4o`0Y?0Co05E;1?l0Ic/4o`1Z
>@Co05]70ol0=T<4o`0@:PCo00<K1?l00a`4o`0B:`Co03M41?l0FTP4o`1U?PCo06130ol0CTh4o`0O
=PCo00PR1?l00QT4o`0680Co01Ta1?l0?TL4o`1GBPCo05Y80ol0D4d4o`0/?@Co00lY1?l011`4o`03
6PCo00XT1?l07C@4o`0hA0Co04Y<0ol0A4X4o`0/?PCo01@^1?l01R04o`026@Co00@L1?l03BL4o`0L
<`Co02Xm1?l0;Ch3o`0S>0Co01@]1?l02284o`036PCo008J1?l01Ql4o`0=9`Co01H_1?l06S83o`0G
<0Co00lY1?l02244o`036`Co008I1?l00a/4o`0780Co00/U1?l03RP3o`0=9`Co00TS1?l01Ql9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01b44o`098`Co
00PR1?l01Ql4o`0370?o008I1?l00QX4o`057PCo00XT1?l042X4o`0C;@Co01</1?l03BP4o`078@?o
00<K1?l00QT4o`047@Co00/U1?l05Rl4o`0P=`Co02@i1?l07C@4o`0A:`?o00LP1?l00QX4o`036PCo
00TS1?l06344o`0]?PCo03a61?l0>DD4o`0W>`Co018/0ol01Al4o`026@Co00DO1?l052h4o`0a@0Co
051>1?l0ED/4o`1=CPCo02/m0ol03bT4o`0470Co00<J1?l032H4o`0Y?0Co059=1?l0H4<4o`1OA0Co
055=0ol09SX4o`0:9@Co008I1?l01Ah4o`0H<@Co04E:1?l0H4<4o`1Y>@Co06910ol0Bdd4o`0K<`Co
00HO1?l00QT4o`0:90Co02Tl1?l0ED/4o`1W>`Co06Xi1?l0FdL3o`0f@`Co010Z1?l00a/4o`0370Co
018[1?l0=d@4o`1JB0Co06Dn1?l0H4<3o`1>CPCo01lf1?l02284o`026@Co00HP1?l06C44o`0nA`Co
05M:1?l0FTP3o`1@C@Co02`m1?l03bT4o`0470Co00<J1?l02R@4o`0M=0Co03Q41?l0BT`3o`14BPCo
02`n1?l052h4o`0680Co008I1?l011`4o`0=9`Co01`c1?l0:Sd4o`0]?P?o02<h1?l052d4o`088PCo
00<J1?l00QX4o`067`Co00dW1?l05Rl4o`0J<P?o01L`1?l03bT4o`088@Co00<K1?l00QT4o`036`Co
00LP1?l02bD4o`0>:0?o00dW1?l02B<4o`067`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`078@Co00TS1?l02284o`067`Co00<L0ol00QT4o`026PCo00DN
1?l02R@4o`0@:PCo01<]1?l04b`4o`0=:0Co00LQ0ol00a/4o`026@Co00@M1?l02bD4o`0F;`Co020g
1?l093T4o`0M=0Co014[0ol01b04o`026PCo00<J1?l02B<4o`0H<@Co02dn1?l0?4H4o`0iA@Co02Lk
1?l04R`3o`057`Co008I1?l01Al4o`0D;PCo03501?l0D4h4o`1EB`Co04e>1?l0:cd3o`0?:@Co00@L
1?l00aX4o`0<9PCo02Tl1?l0DTd4o`1P@`Co05m41?l0DDd3o`0V>PCo00XU1?l00QT4o`057PCo01Pa
1?l0ADX4o`1P@`Co06Ti1?l0HT43o`1;C@Co01/c1?l01Ql4o`026@Co00XT1?l0:C`4o`1EB`Co06Lk
1?l0JST4o`1KA`?o03I31?l042X4o`036`Co00<L1?l04R/4o`0gA0Co05Y81?l0ICh4o`1P@`?o04i>
1?l07cH4o`088PCo008I1?l01R04o`0I<@Co03i71?l0EdX4o`1JB0?o051=1?l0;3d4o`0?:@Co00@L
1?l00aX4o`0:90Co01dd1?l0>4@4o`1:C0?o04A:1?l0;3h4o`0D;PCo00HP1?l00QT4o`0470Co00dW
1?l073<4o`0Z?@Co02dn0ol08cP4o`0D;@Co00PR1?l00aX4o`026PCo00HO1?l03BL4o`0F;`Co01Xb
0ol05c04o`0?:@Co00PQ1?l00a/4o`026@Co00<K1?l01b04o`0;9@Co00hX0ol03BL4o`098`Co00HO
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00LQ1?l0
2B<4o`088PCo00HO1?l00a`3o`026@Co008J1?l01Ah4o`0:90Co010Z1?l04bd4o`0C;0Co00dX1?l0
1b43o`036`Co008I1?l011d4o`0;9@Co01H_1?l083L4o`0T>@Co01dd1?l04B/3o`0780Co008J1?l0
0aX4o`098`Co01Pa1?l0;Ch4o`0lAPCo03U51?l09c/4o`0B;0?o00DO1?l00QT4o`057`Co01@^1?l0
<D04o`1@CPCo05E;1?l0CDh4o`0[?@?o00lY1?l011`4o`036PCo00`V1?l0:C`4o`1BC@Co06131?l0
Gd@4o`1AC@?o02Hj1?l02RD4o`026@Co00DN1?l06344o`15BPCo06131?l0JCT4o`1R@@?o04]=1?l0
6c<4o`067`Co008I1?l02R@4o`0Y?0Co05E;1?l0Ic/4o`1Z>@Co05]70ol0=T<4o`0@:PCo00<K1?l0
0a`4o`0B:`Co03M41?l0FTP4o`1U?PCo06130ol0CTh4o`0O=PCo00PR1?l00QT4o`0680Co01Ta1?l0
?TL4o`1GBPCo05Y80ol0D4d4o`0/?@Co00lY1?l011`4o`036PCo00XT1?l07C@4o`0hA0Co04Y<0ol0
A4X4o`0/?PCo01@^1?l01R04o`026@Co00@L1?l03BL4o`0L<`Co02Xm1?l0;Ch3o`0S>0Co01@]1?l0
2284o`036PCo008J1?l01Ql4o`0=9`Co01H_1?l06S83o`0G<0Co00lY1?l02244o`036`Co008I1?l0
0a/4o`0780Co00/U1?l03RP3o`0=9`Co00TS1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l02284o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4
o`057PCo00XT1?l042X4o`0E;PCo01@]1?l03RP4o`078@?o00<K1?l00QT4o`047@Co00/U1?l05c04
o`0S>0Co02Hj1?l07cH4o`0B;0?o00LQ1?l00QX4o`036`Co00TS1?l06C84o`0`@0Co04181?l0?DL4
o`0Y?0Co01</0ol01Ql4o`026@Co00HO1?l05Bl4o`0e@PCo059=1?l0F4X4o`1@CPCo02dn0ol042X4
o`0470Co00<J1?l03BL4o`0[?@Co05A<1?l0Hd04o`1R@@Co05=<0ol0:3/4o`0;9@Co008I1?l01Ah4
o`0J<PCo04Y<1?l0Hd04o`1]=0Co06Dn0ol0Cdh4o`0M=0Co00HO1?l00QT4o`0;9@Co02/m1?l0F4T4
o`1[=`Co06dd1?l0GT@3o`0jA@Co014[1?l00a/4o`0470Co01</1?l0>dH4o`1MAPCo06Pj1?l0I3l3
o`1AC@Co024g1?l02284o`026@Co00HP1?l06S84o`12B@Co05U91?l0GDH3o`1CC0Co02lo1?l042X4
o`0470Co00<J1?l02R@4o`0O=@Co03a61?l0Cdh3o`19C0Co03101?l05Bl4o`0780Co008I1?l011`4
o`0=9`Co01dd1?l0;Ch4o`0`@0?o02Hj1?l05Bh4o`088PCo00<J1?l00QX4o`067`Co00hX1?l05c04
o`0L<`?o01Ta1?l042X4o`088PCo00<K1?l00QT4o`036`Co00LP1?l02bH4o`0>:0?o00dX1?l02R@4
o`067`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`08
8PCo00TS1?l02284o`067`Co00@L0ol00QT4o`026PCo00DN1?l02R@4o`0@:PCo01D^1?l052d4o`0>
:0Co00LQ0ol00a/4o`026@Co00@M1?l02bD4o`0G<0Co02<h1?l09SX4o`0O=PCo018/0ol01b44o`02
6PCo00<K1?l02B<4o`0I<PCo03101?l0@4P4o`0mA`Co02Tl1?l04b`3o`067`Co008I1?l01Ql4o`0E
;`Co03E21?l0DTd4o`1HBPCo051>1?l0;Ch3o`0@:PCo00@L1?l00aX4o`0=9`Co02/m1?l0E4`4o`1S
@0Co06911?l0Dd`3o`0X>`Co00/U1?l00QT4o`057PCo01Xb1?l0BT`4o`1S@0Co06dd1?l0ICh3o`1?
CPCo01dd1?l01Ql4o`026@Co00/U1?l0:cd4o`1HB@Co06/g1?l0KC@4o`1NA0?o03Y51?l04B/4o`03
6`Co00@L1?l04b`4o`0kAPCo05e61?l0J3X4o`1T?`?o055=1?l08CL4o`088PCo008I1?l01R04o`0J
<PCo04991?l0FDT4o`1MAP?o05=<1?l0;cl4o`0@:PCo00@L1?l00aX4o`0:90Co01le1?l0?4H4o`1?
CP?o04U<1?l0<404o`0E;`Co00LP1?l00QT4o`0470Co00dW1?l07C@4o`0]?PCo03100ol09SX4o`0E
;PCo00PR1?l00aX4o`026PCo00HO1?l03RP4o`0G<0Co01`c0ol06C44o`0@:PCo00PR1?l00a/4o`02
6@Co00<K1?l01b04o`0;9PCo00hX0ol03BP4o`0:90Co00HO2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co00PR1?l02B<4o`088PCo00HO1?l011`3o`026@Co
008J1?l01Ah4o`0:90Co010Z1?l05Bh4o`0D;@Co00hX1?l01b43o`036`Co008I1?l011d4o`0;9@Co
01L`1?l08cP4o`0V>PCo01lf1?l04R`3o`078@Co008J1?l00a/4o`098`Co01Tb1?l0<404o`10B0Co
03e71?l0:C`4o`0C;0?o00HO1?l00QT4o`067`Co01D_1?l0=D84o`1BC@Co05Q:1?l0D4h4o`0]?P?o
010Z1?l011`4o`036PCo00dW1?l0:cd4o`1DC0Co06=01?l0HT44o`1CC0?o02Pk1?l02bD4o`026@Co
00DN1?l06S84o`1:C0Co06=01?l0KC@4o`1U?P?o04m>1?l07C@4o`067`Co008I1?l02bD4o`0[?@Co
05Q91?l0JcL4o`1]=0Co05i40ol0>TD4o`0A:`Co00<K1?l011`4o`0C;0Co03]61?l0GDH4o`1X>PCo
06@o0ol0DDd4o`0Q=`Co00PR1?l00QT4o`0680Co01Xb1?l0@TT4o`1IB@Co05e60ol0Dd`4o`0_?`Co
010Z1?l011`4o`036PCo00XT1?l07cD4o`0lAPCo04m>0ol0BD`4o`0`@0Co01D_1?l01b04o`026@Co
00@L1?l03BL4o`0M=0Co02dn1?l0<403o`0V>PCo01D^1?l02284o`036PCo008J1?l01Ql4o`0>:0Co
01L`1?l073<3o`0I<@Co010Z1?l02284o`036`Co008I1?l00a/4o`0780Co00/V1?l03RP3o`0=:0Co
00XT1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l02284o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4o`057PCo00XT1?l042X4o`0E;PCo01@]
1?l03RP4o`078@?o00<K1?l00QT4o`047@Co00/U1?l05c04o`0S>0Co02Hj1?l07cH4o`0B;0?o00LQ
1?l00QX4o`036`Co00TS1?l06C84o`0`@0Co04181?l0?DL4o`0Y?0Co01</0ol01Ql4o`026@Co00HO
1?l05Bl4o`0e@PCo059=1?l0F4X4o`1@CPCo02dn0ol042X4o`0470Co00<J1?l03BL4o`0[?@Co05A<
1?l0Hd04o`1R@@Co05=<0ol0:3/4o`0;9@Co008I1?l01Ah4o`0J<PCo04Y<1?l0Hd04o`1]=0Co06Dn
0ol0Cdh4o`0M=0Co00HO1?l00QT4o`0;9@Co02/m1?l0F4T4o`1[=`Co06dd1?l0GT@3o`0jA@Co014[
1?l00a/4o`0470Co01</1?l0>dH4o`1MAPCo06Pj1?l0I3l3o`1AC@Co024g1?l02284o`026@Co00HP
1?l06S84o`12B@Co05U91?l0GDH3o`1CC0Co02lo1?l042X4o`0470Co00<J1?l02R@4o`0O=@Co03a6
1?l0Cdh3o`19C0Co03101?l05Bl4o`0780Co008I1?l011`4o`0=9`Co01dd1?l0;Ch4o`0`@0?o02Hj
1?l05Bh4o`088PCo00<J1?l00QX4o`067`Co00hX1?l05c04o`0L<`?o01Ta1?l042X4o`088PCo00<K
1?l00QT4o`036`Co00LP1?l02bH4o`0>:0?o00dX1?l02R@4o`067`Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`088PSo00TS1?l01R04o`0470?o008I1?l0
0aX4o`057PCo00/U1?l04B/4o`0F;`Co01D^1?l03bT4o`088@?o00<K1?l00QT4o`047@Co00`V1?l0
6344o`0U>@Co02Tl1?l08CL4o`0C;0?o00LQ1?l00QX4o`036`Co00XT1?l06c<4o`0c@PCo04E:1?l0
@TT4o`0/?@Co01@]0ol01Ql4o`026@Co00HO1?l05c04o`0hA0Co05E;1?l0FTP4o`1BC@Co03100ol0
4B/4o`0470Co00<J1?l03BP4o`0^?`Co05M:2?l0ISd4o`1FB`?o02/m1?l02bD4o`026@Co00HO1?l0
6c<4o`1?CPCo06Ll1?l0L2l4o`1X>P?o055=1?l07SD4o`067`Co008I1?l02bD4o`0^?`Co05]71?l0
KS84o`1a;`Co06520ol0?DL4o`0B:`Co00<K1?l011`4o`0D;@Co03m81?l0H4<4o`1/=PCo06Ll0ol0
Dd`4o`0T>@Co00PR1?l00QT4o`0780Co01`c1?l0AT/4o`1LA`Co06130ol0ET/4o`0b@@Co014[1?l0
11`4o`036PCo00XT1?l083H4o`10B0Co055=0ol0CTh4o`0c@@Co01L`1?l01b04o`026@Co00@L1?l0
3BP4o`0O=@Co03101?l0=483o`0X>`Co01H_1?l02B<4o`036`Co008J1?l01Ql4o`0>:0Co01Pa1?l0
7C@3o`0J<PCo014[1?l02B84o`0370Co008I1?l00a/4o`078@Co00`V1?l03bT3o`0>:0Co00XU1?l0
1Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02288
o`098`Co00HP1?l011`3o`026@Co00<J1?l01Ah4o`0;9@Co014[1?l05Rl4o`0E;PCo00lY1?l02243
o`036`Co008I1?l011d4o`0<9PCo01Pa1?l09CT4o`0Y?0Co024g1?l04b`3o`078@Co008J1?l00a/4
o`0:90Co01/c1?l0<d84o`15BPCo04991?l0;3d4o`0D;@?o00HO1?l00QT4o`067`Co01L`1?l0>4@4
o`1EB`Co05Y81?l0DTd4o`0`@0?o014[1?l011`4o`036PCo00dX1?l0;Sl4o`1GBPSo06Hm1?l0ET/3
o`0[?@Co00/U1?l00QT4o`067`Co01/c1?l0Cdh4o`1W?0Co070_1?l0J3X3o`1AC@Co01he1?l01Ql4
o`026@Co00/U1?l0;Sl4o`1KA`Co06hb1?l0LBl4o`1Q@P?o03e71?l04R/4o`036`Co00@L1?l052d4
o`0oB0Co06131?l0K3H4o`1W?0?o05=<1?l093T4o`088PCo008I1?l01b04o`0L<`Co04I;1?l0G4L4
o`1P@`?o05I;1?l0<T44o`0A:`Co00@L1?l00aX4o`0:90Co020f1?l0@4P4o`1AC@?o04i>1?l0<d44
o`0G<0Co00LP1?l00QT4o`0470Co00dX1?l07cD4o`0`@0Co03A20ol0:3/4o`0F;`Co00TS1?l00a/4
o`026PCo00HO1?l03RP4o`0H<@Co01dd0ol06S84o`0A:`Co00TR1?l00a`4o`026@Co00<K1?l01b44
o`0<9PCo00lY0ol03RP4o`0:9@Co00HO2Oooool00ol0003oooooooooo`02ooooo`006oooool3o`00
00Oooooo1?l02288o`098`Co00HP1?l011`3o`026@Co00<J1?l01Ah4o`0;9@Co014[1?l05Rl4o`0E
;PCo00lY1?l02243o`036`Co008I1?l011d4o`0<9PCo01Pa1?l09CT4o`0Y?0Co024g1?l04b`3o`07
8@Co008J1?l00a/4o`0:90Co01/c1?l0<d84o`15BPCo04991?l0;3d4o`0D;@?o00HO1?l00QT4o`06
7`Co01L`1?l0>4@4o`1EB`Co05Y81?l0DTd4o`0`@0?o014[1?l011`4o`036PCo00dX1?l0;Sl4o`1G
BPSo06Hm1?l0ET/3o`0[?@Co00/U1?l00QT4o`067`Co01/c1?l0Cdh4o`1W?0Co070_1?l0J3X3o`1A
C@Co01he1?l01Ql4o`026@Co00/U1?l0;Sl4o`1KA`Co06hb1?l0LBl4o`1Q@P?o03e71?l04R/4o`03
6`Co00@L1?l052d4o`0oB0Co06131?l0K3H4o`1W?0?o05=<1?l093T4o`088PCo008I1?l01b04o`0L
<`Co04I;1?l0G4L4o`1P@`?o05I;1?l0<T44o`0A:`Co00@L1?l00aX4o`0:90Co020f1?l0@4P4o`1A
C@?o04i>1?l0<d44o`0G<0Co00LP1?l00QT4o`0470Co00dX1?l07cD4o`0`@0Co03A20ol0:3/4o`0F
;`Co00TS1?l00a/4o`026PCo00HO1?l03RP4o`0H<@Co01dd0ol06S84o`0A:`Co00TR1?l00a`4o`02
6@Co00<K1?l01b44o`0<9PCo00lY0ol03RP4o`0:9@Co00HO1oooool3o`0000Cooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l02284o`0:90Co00TS1?l01R04o`0470?o008I1?l00aX4o`057PCo
00/U1?l04R`4o`0G<0Co01H_1?l03bX4o`088P?o00<K1?l00QT4o`057@Co00`W1?l06S84o`0W>`Co
02/m1?l08cP4o`0D;@?o00PQ1?l00QX4o`036`Co00XT1?l07C@4o`0g@`Co04U<1?l0AT/4o`0_?`Co
01D^0ol01Ql4o`026@Co00HO1?l06344o`0lAPCo05M:1?l0GDH4o`1EB`Co03=10ol04B/4o`0470Co
00<J1?l03RP4o`0b@@Co05Y81?l0JCT4o`1Y>PCo05Q90ol0;Ch4o`0<9PCo008I1?l01Ql4o`0M=0Co
055=1?l0JSP4o`1d:@Co06`f0ol0E4`4o`0P=PCo00HP1?l00QT4o`0<9PCo03911?l0GTD4o`1b;@Co
07@Y1?l0I3l3o`11B0Co018/1?l00a/4o`0470Co01D^1?l0A4X4o`1S@0Co06la1?l0JSP3o`1EB`Co
02Hj1?l02B<4o`026@Co00LP1?l07C@4o`1;C@Co05m41?l0Hd03o`1HB@Co03I31?l04R`4o`0470Co
00<J1?l02bD4o`0R>0Co04A:1?l0Dd`3o`1AC@Co03M31?l06344o`078@Co008I1?l011d4o`0>:0Co
020f1?l0<T44o`0g@`?o02/m1?l06344o`098`Co00<K1?l00QX4o`067`Co00lY1?l06C84o`0O=P?o
01`c1?l04R`4o`098`Co00@L1?l00QT4o`036`Co00LQ1?l032H4o`0@:P?o00lY1?l02bD4o`0680Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`088PCo00XT
1?l02B<4o`0680Co00@L0ol00QT4o`036PCo00DN1?l02bD4o`0B;0Co01L`1?l05Rl4o`0?:PCo00PR
0ol00a/4o`026@Co00DM1?l032L4o`0J<PCo02Lk1?l0:cd4o`0S>0Co01@]0ol02244o`026PCo00<K
1?l02R@4o`0M=0Co03M31?l0BD`4o`16B`Co02lo1?l05Bh3o`067`Co008I1?l01Ql4o`0H<@Co03a6
1?l0EdX4o`1MAPCo05E;1?l0<d43o`0A:`Co00@L1?l00aX4o`0>:0Co03911?l0FTP4o`1Y>@Co06Tj
1?l0F4T3o`0]?PCo00`V1?l00QT4o`067`Co01dd1?l0DDd4o`1Z>0Co07@Y1?l0K3H3o`1DC0Co020f
1?l01R04o`026@Co00`V1?l0<T44o`1NA@Co078]1?l0M2T4o`1T?`?o04581?l04R`4o`036`Co00@L
1?l05Bh4o`14BPCo06=01?l0Kc44o`1Z>0?o05E;1?l09SX4o`098`Co008I1?l01b04o`0M=0Co04]=
1?l0Gd@4o`1S@0?o05Q91?l0=T<4o`0B;0Co00@L1?l00aX4o`0;9@Co028h1?l0A4X4o`1CC0?o055=
1?l0=d<4o`0H<@Co00LQ1?l00QT4o`047@Co00hX1?l083H4o`0b@@Co03M30ol0:cd4o`0H<@Co00TS
1?l00a/4o`026PCo00HO1?l03bT4o`0I<PCo01lf0ol073<4o`0B;0Co00TS1?l011`4o`026@Co00<K
1?l01b44o`0<9PCo010Z0ol03bT4o`0;9@Co00HP2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00PR1?l02R@4o`098`Co00HP1?l011`3o`026@Co00<J1?l0
1Ah4o`0;9@Co018/1?l05c04o`0F;`Co00lZ1?l02283o`036`Co008I1?l01Ad4o`0<9`Co01Xb1?l0
9c/4o`0[?@Co02<h1?l052d3o`088@Co008J1?l00a/4o`0:90Co01dd1?l0=d<4o`19C0Co04I;1?l0
;cl4o`0E;P?o00HO1?l00QT4o`067`Co01Pa1?l0?4H4o`1GBPCo05e61?l0ED/4o`0c@@?o014[1?l0
11`4o`036PCo00hX1?l0<T44o`1JB0Co06Ti1?l0JCX4o`1HB@?o02dn1?l032H4o`026@Co00HO1?l0
7C@4o`1AC@Co06Xh1?l0M2T4o`1/=P?o05A<1?l083H4o`0680Co008I1?l032H4o`0b@@Co05i51?l0
LRd4o`1d:@Co06@o0ol0@DP4o`0B;0Co00<K1?l011`4o`0E;PCo04A:1?l0Hd04o`1_<@Co06Xh0ol0
ED/4o`0V>PCo00TS1?l00QT4o`0780Co01dd1?l0Bdd4o`1OA0Co06=00ol0F4T4o`0f@`Co018/1?l0
11`4o`036PCo00/U1?l08SP4o`14BPCo05=<0ol0DDd4o`0g@`Co01Pa1?l01b44o`026@Co00@M1?l0
3RP4o`0P=PCo03911?l0=d<3o`0[?@Co01Pa1?l02B<4o`036`Co008J1?l01Ql4o`0?:@Co01Tb1?l0
7cH3o`0L<`Co018/1?l02B<4o`0470Co008I1?l00a/4o`078@Co00`V1?l042X3o`0?:@Co00/U1?l0
1R09ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02284
o`0:90Co00TS1?l01R04o`0470?o008I1?l00aX4o`057PCo00/U1?l04R`4o`0G<0Co01H_1?l03bX4
o`088P?o00<K1?l00QT4o`057@Co00`W1?l06S84o`0W>`Co02/m1?l08cP4o`0D;@?o00PQ1?l00QX4
o`036`Co00XT1?l07C@4o`0g@`Co04U<1?l0AT/4o`0_?`Co01D^0ol01Ql4o`026@Co00HO1?l06344
o`0lAPCo05M:1?l0GDH4o`1EB`Co03=10ol04B/4o`0470Co00<J1?l03RP4o`0b@@Co05Y81?l0JCT4
o`1Y>PCo05Q90ol0;Ch4o`0<9PCo008I1?l01Ql4o`0M=0Co055=1?l0JSP4o`1d:@Co06`f0ol0E4`4
o`0P=PCo00HP1?l00QT4o`0<9PCo03911?l0GTD4o`1b;@Co07@Y1?l0I3l3o`11B0Co018/1?l00a/4
o`0470Co01D^1?l0A4X4o`1S@0Co06la1?l0JSP3o`1EB`Co02Hj1?l02B<4o`026@Co00LP1?l07C@4
o`1;C@Co05m41?l0Hd03o`1HB@Co03I31?l04R`4o`0470Co00<J1?l02bD4o`0R>0Co04A:1?l0Dd`3
o`1AC@Co03M31?l06344o`078@Co008I1?l011d4o`0>:0Co020f1?l0<T44o`0g@`?o02/m1?l06344
o`098`Co00<K1?l00QX4o`067`Co00lY1?l06C84o`0O=P?o01`c1?l04R`4o`098`Co00@L1?l00QT4
o`036`Co00LQ1?l032H4o`0@:P?o00lY1?l02bD4o`0680Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`098`Co00XT1?l02B<4o`0780Co00@L0ol00QT4o`03
6PCo00HO1?l032H4o`0C;@Co01Pa1?l05c04o`0@:PCo00PR0ol00a/4o`026@Co00DM1?l03BL4o`0K
<`Co02Tl1?l0;Sl4o`0U>@Co01D^0ol02284o`036PCo00<K1?l02bD4o`0N=@Co03Y51?l0CTh4o`1;
C@Co03511?l05Rl3o`067`Co008I1?l01R04o`0I<PCo04181?l0FTP4o`1P@`Co05M:1?l0=T<3o`0B
;0Co00@L1?l00a/4o`0?:@Co03E21?l0GDH4o`1]=0Co06`e1?l0FdP3o`0`@0Co00`V1?l00QT4o`06
7`Co01lf1?l0E4`4o`1]<`Co07PS1?l0Kc43o`1FB`Co028g1?l01R04o`026@Co00dW1?l0=D84o`1Q
@PCo07HW1?l0N284o`1W>`?o04E:1?l04bd4o`036`Co00@L1?l05Rl4o`18C0Co06Hm1?l0Lb/4o`1^
<`?o05Q91?l0:3/4o`098`Co008I1?l01b44o`0O=PCo04m>1?l0HT44o`1V?@?o05]71?l0>DD4o`0C
;@Co00@L1?l00aX4o`0;9@Co02@i1?l0B4/4o`1FB`?o05=<1?l0>dD4o`0J<PCo00PQ1?l00QT4o`04
7@Co00hY1?l08SP4o`0e@`Co03]50ol0;Sl4o`0I<PCo00XT1?l00a/4o`026PCo00HP1?l03bT4o`0K
<`Co024g0ol07CD4o`0C;@Co00TT1?l011`4o`026@Co00<K1?l01b44o`0=9`Oo010Z1?l02bH4o`07
80Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`098`Co
00XT1?l02B<4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4o`0C;@Co01Pa1?l05c04o`0@:PCo
00PR0ol00a/4o`026@Co00DM1?l03BL4o`0K<`Co02Tl1?l0;Sl4o`0U>@Co01D^0ol02284o`036PCo
00<K1?l02bD4o`0N=@Co03Y51?l0CTh4o`1;C@Co03511?l05Rl3o`067`Co008I1?l01R04o`0I<PCo
04181?l0FTP4o`1P@`Co05M:1?l0=T<3o`0B;0Co00@L1?l00a/4o`0?:@Co03E21?l0GDH4o`1]=0Co
06`e1?l0FdP3o`0`@0Co00`V1?l00QT4o`067`Co01lf1?l0E4`4o`1]<`Co07PS1?l0Kc43o`1FB`Co
028g1?l01R04o`026@Co00dW1?l0=D84o`1Q@PCo07HW1?l0N284o`1W>`?o04E:1?l04bd4o`036`Co
00@L1?l05Rl4o`18C0Co06Hm1?l0Lb/4o`1^<`?o05Q91?l0:3/4o`098`Co008I1?l01b44o`0O=PCo
04m>1?l0HT44o`1V?@?o05]71?l0>DD4o`0C;@Co00@L1?l00aX4o`0;9@Co02@i1?l0B4/4o`1FB`?o
05=<1?l0>dD4o`0J<PCo00PQ1?l00QT4o`047@Co00hY1?l08SP4o`0e@`Co03]50ol0;Sl4o`0I<PCo
00XT1?l00a/4o`026PCo00HP1?l03bT4o`0K<`Co024g0ol07CD4o`0C;@Co00TT1?l011`4o`026@Co
00<K1?l01b44o`0=9`Oo010Z1?l02bH4o`0780Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`098`Co00XT1?l02B<4o`0780Co00@L0ol00QT4o`036PCo00HO
1?l032H4o`0C;@Co01Pa1?l05c04o`0@:PCo00PR0ol00a/4o`026@Co00DM1?l03BL4o`0K<`Co02Tl
1?l0;Sl4o`0U>@Co01D^0ol02284o`036PCo00<K1?l02bD4o`0N=@Co03Y51?l0CTh4o`1;C@Co0351
1?l05Rl3o`067`Co008I1?l01R04o`0I<PCo04181?l0FTP4o`1P@`Co05M:1?l0=T<3o`0B;0Co00@L
1?l00a/4o`0?:@Co03E21?l0GDH4o`1]=0Co06`e1?l0FdP3o`0`@0Co00`V1?l00QT4o`067`Co01lf
1?l0E4`4o`1]<`Co07PS1?l0Kc43o`1FB`Co028g1?l01R04o`026@Co00dW1?l0=D84o`1Q@PCo07HW
1?l0N284o`1W>`?o04E:1?l04bd4o`036`Co00@L1?l05Rl4o`18C0Co06Hm1?l0Lb/4o`1^<`?o05Q9
1?l0:3/4o`098`Co008I1?l01b44o`0O=PCo04m>1?l0HT44o`1V?@?o05]71?l0>DD4o`0C;@Co00@L
1?l00aX4o`0;9@Co02@i1?l0B4/4o`1FB`?o05=<1?l0>dD4o`0J<PCo00PQ1?l00QT4o`047@Co00hY
1?l08SP4o`0e@`Co03]50ol0;Sl4o`0I<PCo00XT1?l00a/4o`026PCo00HP1?l03bT4o`0K<`Co024g
0ol07CD4o`0C;@Co00TT1?l011`4o`026@Co00<K1?l01b44o`0=9`Oo010Z1?l02bH4o`0780Wooooo
00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`098`Co00XT1?l0
2B<4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4o`0C;@Co01Pa1?l05c04o`0@:PCo00PR0ol0
0a/4o`026@Co00DM1?l03BL4o`0K<`Co02Tl1?l0;Sl4o`0U>@Co01D^0ol02284o`036PCo00<K1?l0
2bD4o`0N=@Co03Y51?l0CTh4o`1;C@Co03511?l05Rl3o`067`Co008I1?l01R04o`0I<PCo04181?l0
FTP4o`1P@`Co05M:1?l0=T<3o`0B;0Co00@L1?l00a/4o`0?:@Co03E21?l0GDH4o`1]=0Co06`e1?l0
FdP3o`0`@0Co00`V1?l00QT4o`067`Co01lf1?l0E4`4o`1]<`Co07PS1?l0Kc43o`1FB`Co028g1?l0
1R04o`026@Co00dW1?l0=D84o`1Q@PCo07HW1?l0N284o`1W>`?o04E:1?l04bd4o`036`Co00@L1?l0
5Rl4o`18C0Co06Hm1?l0Lb/4o`1^<`?o05Q91?l0:3/4o`098`Co008I1?l01b44o`0O=PCo04m>1?l0
HT44o`1V?@?o05]71?l0>DD4o`0C;@Co00@L1?l00aX4o`0;9@Co02@i1?l0B4/4o`1FB`?o05=<1?l0
>dD4o`0J<PCo00PQ1?l00QT4o`047@Co00hY1?l08SP4o`0e@`Co03]50ol0;Sl4o`0I<PCo00XT1?l0
0a/4o`026PCo00HP1?l03bT4o`0K<`Co024g0ol07CD4o`0C;@Co00TT1?l011`4o`026@Co00<K1?l0
1b44o`0=9`Oo010Z1?l02bH4o`0780Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`098`Co00/U1?l02R@4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4
o`0D;PCo01Xb1?l06344o`0A:`Co00TR0ol00a/4o`026@Co00DN1?l03RP4o`0M=0Co02`n1?l0<D04
o`0W>`Co01H_0ol02284o`036PCo00<K1?l02bH4o`0P=PCo03i71?l0D4d4o`1?CPCo03A21?l05c03
o`0680Co008I1?l01b04o`0K<`Co04E:1?l0GDH4o`1S@0Co05Y81?l0>DD3o`0C;@Co00@L1?l00a/4
o`0@:PCo03U41?l0Gd@4o`1`;`Co06la1?l0GDH3o`0b@@Co00`W1?l00QT4o`0680Co024g1?l0ETX4
o`1a;PCo07`L1?l0LR`3o`1HB@Co02<h1?l01b04o`026@Co00dW1?l0>D@4o`1T?`Co07XP1?l0O1/4
o`1[=`?o04U<1?l052h4o`036`Co00@L1?l05c04o`1=CPCo06Ti1?l0MbD4o`1a;P?o05Y81?l0:Sd4
o`0:90Co008I1?l01b44o`0Q=`Co055=1?l0ICh4o`1Y>@?o05i51?l0?DH4o`0D;@Co00@M1?l00aX4
o`0;9PCo02Hj1?l0C4d4o`1HB@?o05I;1?l0?dL4o`0L<`Co00PR1?l00QT4o`047@Co00lY1?l093T4
o`0iA0Co03i70ol0<D04o`0K<`Co00XU1?l00a/4o`026PCo00HP1?l042X4o`0L<`Co02<h0ol07cH4
o`0E;PCo00XT1?l011`4o`026@Co00<K1?l01b44o`0=9`Co014[0ol042X4o`0<9PCo00LQ2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00TS1?l02bD4o`0:
90Co00LP1?l011`3o`026@Co00<J1?l01Ql4o`0<9PCo01@^1?l06S84o`0H<@Co014[1?l02B83o`03
6`Co008I1?l01Ah4o`0>:0Co01dd1?l0;3h4o`0a@0Co02Lk1?l05Rl3o`088PCo00<J1?l00a/4o`0;
9PCo020f1?l0?TL4o`1@C@Co04m>1?l0=484o`0G<0?o00HP1?l00QT4o`0780Co01/c1?l0ADX4o`1M
APCo06=01?l0FTP4o`0iA@?o01<]1?l011`4o`036`Co010Z1?l0>D@4o`1OA0Co070_1?l0Kc44o`1M
AP?o03911?l032L4o`026@Co00HP1?l08CL4o`1FBPCo074^1?l0O1`4o`1b;0?o05Q91?l08cP4o`07
80Co008I1?l03BL4o`0iA0Co06@o1?l0NR04o`1l6`Co06/g0ol0BD`4o`0D;PCo00<K1?l011`4o`0G
<0Co04e>1?l0JCT4o`1g9@Co074^0ol0FTP4o`0Z?@Co00XT1?l00QT4o`078@Co024g1?l0DDd4o`1U
?PCo06Ti0ol0GTD4o`0mAPCo01@]1?l011d4o`036PCo00/V1?l09SX4o`1<C@Co05Q90ol0ET/4o`0o
A`Co01`c1?l02284o`026@Co00@M1?l03bT4o`0T>@Co03U41?l0?TL3o`0a@0Co01/c1?l02RD4o`03
6`Co008J1?l01R04o`0@:PCo01`c1?l08cP3o`0O=PCo01D^1?l02R@4o`0470Co008I1?l00a/4o`07
8@Co00dW1?l04B/3o`0@:PCo00`V1?l01b49ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l02B<4o`0;9@Co00XT1?l01b04o`0470?o008I1?l00aX4o`067`Co
00`V1?l052h4o`0J<PCo01Pa1?l04B/4o`098P?o00<K1?l00QT4o`057PCo00hX1?l07C@4o`0/?PCo
03501?l09c/4o`0F;`?o00PR1?l00aX4o`036`Co00/V1?l083H4o`0nA`Co051=1?l0Cdh4o`0d@PCo
01L`0ol01R04o`026@Co00LP1?l06c<4o`15BPCo05e61?l0Hd04o`1JB0Co03U50ol04bd4o`0470Co
00<K1?l042X4o`0iA0Co05m41?l0L2l4o`1_<@Co05e60ol0<T44o`0<9`Co008I1?l01R04o`0Q=`Co
05I:1?l0LBh4o`1l70Co078/0ol0F4T4o`0S>0Co00LP1?l00QT4o`0=9`Co03U41?l0I3l4o`1j80Co
07`K1?l0JcL3o`19C0Co01@^1?l00a/4o`0470Co01L`1?l0CDh4o`1Y>@Co07LU1?l0LBh3o`1JB0Co
02Xm1?l02R@4o`026@Co00LQ1?l08CL4o`1AC@Co06Dn1?l0JCT3o`1NA@Co03e61?l052d4o`047@Co
00<J1?l02bH4o`0V>PCo04a=1?l0F4T3o`1FB`Co03m71?l073<4o`088PCo008I1?l011d4o`0?:@Co
02@i1?l0>D@4o`0nA`?o03501?l06c<4o`0:9@Co00<K1?l00QX4o`0680Co010Z1?l073<4o`0S>0?o
01lf1?l05Bh4o`0:90Co00@L1?l00QT4o`036`Co00LQ1?l03BL4o`0A:`?o010Z1?l032H4o`078@Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`098`Co00/U
1?l02R@4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4o`0D;PCo01Xb1?l06344o`0A:`Co00TR
0ol00a/4o`026@Co00DN1?l03RP4o`0M=0Co02`n1?l0<D04o`0W>`Co01H_0ol02284o`036PCo00<K
1?l02bH4o`0P=PCo03i71?l0D4d4o`1?CPCo03A21?l05c03o`0680Co008I1?l01b04o`0K<`Co04E:
1?l0GDH4o`1S@0Co05Y81?l0>DD3o`0C;@Co00@L1?l00a/4o`0@:PCo03U41?l0Gd@4o`1`;`Co06la
1?l0GDH3o`0b@@Co00`W1?l00QT4o`0680Co024g1?l0ETX4o`1a;PCo07`L1?l0LR`3o`1HB@Co02<h
1?l01b04o`026@Co00dW1?l0>D@4o`1T?`Co07XP1?l0O1/4o`1[=`?o04U<1?l052h4o`036`Co00@L
1?l05c04o`1=CPCo06Ti1?l0MbD4o`1a;P?o05Y81?l0:Sd4o`0:90Co008I1?l01b44o`0Q=`Co055=
1?l0ICh4o`1Y>@?o05i51?l0?DH4o`0D;@Co00@M1?l00aX4o`0;9PCo02Hj1?l0C4d4o`1HB@?o05I;
1?l0?dL4o`0L<`Co00PR1?l00QT4o`047@Co00lY1?l093T4o`0iA0Co03i70ol0<D04o`0K<`Co00XU
1?l00a/4o`026PCo00HP1?l042X4o`0L<`Co02<h0ol07cH4o`0E;PCo00XT1?l011`4o`026@Co00<K
1?l01b44o`0=9`Co014[0ol042X4o`0<9PCo00LQ2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00XT1?l02bD4o`0:90Co00LQ1?l011`3o`026@Co00<J1?l0
1Ql4o`0=9`Co01D_1?l06c<4o`0J<PCo018/1?l02B<3o`036`Co008I1?l01Ah4o`0>:0Co01he1?l0
;cl4o`0d@PCo02Tl1?l05c03o`088PCo00<J1?l00a/4o`0<9PCo028h1?l0@TT4o`1CC0Co055=1?l0
=d@4o`0H<0?o00HP1?l00QT4o`0780Co01dd1?l0BD`4o`1OA0Co06Hm1?l0G4H4o`0lAP?o01@]1?l0
11`4o`036`Co014[1?l0?DH4o`1R@@Co07@Z1?l0Lb`4o`1P@`?o03E21?l03BL4o`026@Co00LP1?l0
8cP4o`1IB@Co07DX1?l0P1@4o`1f9`?o05Y81?l09CT4o`0780Co008J1?l03RP4o`0mAPCo06Lk1?l0
OQT4o`2050Co06hc0ol0CTh4o`0E;PCo00<K1?l011`4o`0H<@Co051>1?l0K3D4o`1j7`Co07@Y0ol0
GDH4o`0]?PCo00XT1?l00QT4o`078@Co02<h1?l0Dd`4o`1X>`Co06de0ol0H4<4o`11B0Co01D^1?l0
11d4o`036PCo00`V1?l0:3/4o`1?CPCo05]80ol0F4T4o`13B@Co01dd1?l02284o`026@Co00@M1?l0
3bX4o`0U>PCo03a61?l0@TT3o`0d@PCo01dd1?l02bD4o`036`Co008J1?l01R04o`0@:PCo01dd1?l0
9CT3o`0Q=`Co01H_1?l02bD4o`0470Co008I1?l00a/4o`088@Co00hX1?l04R`3o`0A:`Co00dW1?l0
1b49ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02R@4
o`0;9@Co00XT1?l01b44o`0470?o008I1?l00aX4o`067`Co00dW1?l05Bl4o`0K<`Co01Xb1?l04R`4
o`098`?o00<K1?l00QT4o`057PCo00hX1?l07SD4o`0_?`Co03A21?l0:C`4o`0G<0?o00PR1?l00aX4
o`036`Co00`V1?l08SP4o`12B@Co05=<1?l0DDd4o`0gA0Co01P`0ol01R04o`026@Co00LP1?l07C@4
o`19C0Co05m41?l0ISd4o`1LAPCo03a60ol052d4o`0470Co00<K1?l04B/4o`0mAPCo06911?l0M2X4
o`1c;0Co06130ol0=D84o`0=9`Co008I1?l01b04o`0S>0Co05U91?l0MBP4o`2050Co07HW0ol0FTP4
o`0U>@Co00LP1?l00QX4o`0>:0Co03e61?l0Ic/4o`1n6@Co080D1?l0KS<3o`1>CPCo01D^1?l00a/4
o`0470Co01Pa1?l0D4h4o`1/=@Co07XO1?l0M2T3o`1MAPCo02dn1?l02R@4o`026@Co00LQ1?l08cP4
o`1CC0Co06Pk1?l0KCD3o`1P@`Co04581?l05Bh4o`047@Co00<J1?l032H4o`0X>`Co04m>1?l0FdP3
o`1HB@Co04=91?l07C@4o`088PCo008I1?l011d4o`0?:PCo02Dj1?l0?4H4o`12B@?o03A21?l07C@4
o`0;9@Co00<K1?l00QX4o`0680Co010Z1?l07C@4o`0U>@?o024g1?l05Rl4o`0;9@Co00@L1?l00QT4
o`036`Co00PQ1?l03RP4o`0B;0?o014[1?l03BL4o`078@Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0:90Co00/U1?l02R@4o`078@Co00@L0ol00QT4o`03
6PCo00HO1?l03BL4o`0E;`Co01/c1?l06S84o`0B;0Co00TS0ol00a/4o`026@Co00DN1?l03RP4o`0N
=@Co02lo1?l0=484o`0Y?0Co01L`0ol02284o`036PCo00<K1?l032H4o`0R>0Co04991?l0Dd`4o`1A
C@Co03M41?l06303o`0680Co008I1?l01b04o`0M=0Co04U<1?l0Gd@4o`1V?@Co05a61?l0?4H3o`0D
;@Co00@L1?l00a/4o`0A:`Co03e61?l0HT44o`1d:PCo07</1?l0H4<3o`0e@PCo00dW1?l00QT4o`07
80Co02<h1?l0FDT4o`1e:0Co080D1?l0MRL3o`1JB0Co02Di1?l01b04o`026PCo00hX1?l0?DH4o`1W
>`Co07hI1?l0P1@4o`1^<`?o04i>1?l05Bh4o`036`Co00@L1?l06344o`1@CPCo06`e1?l0NQl4o`1d
:@?o05e61?l0;Ch4o`0:90Co008I1?l01b44o`0S>0Co05=<1?l0J3/4o`1]=@?o06131?l0@DP4o`0E
;PCo00@M1?l00aX4o`0<9PCo02Pk1?l0Cdh4o`1KB0?o05Q91?l0@dT4o`0M=0Co00PR1?l00QT4o`04
7@Co00lZ1?l09CX4o`0lAPCo04990ol0=484o`0M=0Co00/U1?l00a/4o`026PCo00HP1?l042X4o`0M
=0Co02Di0ol08CL4o`0F;`Co00/U1?l011`4o`026@Co00<K1?l02244o`0>:0Co018/0ol04B/4o`0=
9`Co00LQ2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00XT1?l02bD4o`0:90Co00LQ1?l011`3o`026@Co00<J1?l01Ql4o`0=9`Co01D_1?l06c<4o`0J<PCo
018/1?l02B<3o`036`Co008I1?l01Ah4o`0>:0Co01he1?l0;cl4o`0d@PCo02Tl1?l05c03o`088PCo
00<J1?l00a/4o`0<9PCo028h1?l0@TT4o`1CC0Co055=1?l0=d@4o`0H<0?o00HP1?l00QT4o`0780Co
01dd1?l0BD`4o`1OA0Co06Hm1?l0G4H4o`0lAP?o01@]1?l011`4o`036`Co014[1?l0?DH4o`1R@@Co
07@Z1?l0Lb`4o`1P@`?o03E21?l03BL4o`026@Co00LP1?l08cP4o`1IB@Co07DX1?l0P1@4o`1f9`?o
05Y81?l09CT4o`0780Co008J1?l03RP4o`0mAPCo06Lk1?l0OQT4o`2050Co06hc0ol0CTh4o`0E;PCo
00<K1?l011`4o`0H<@Co051>1?l0K3D4o`1j7`Co07@Y0ol0GDH4o`0]?PCo00XT1?l00QT4o`078@Co
02<h1?l0Dd`4o`1X>`Co06de0ol0H4<4o`11B0Co01D^1?l011d4o`036PCo00`V1?l0:3/4o`1?CPCo
05]80ol0F4T4o`13B@Co01dd1?l02284o`026@Co00@M1?l03bX4o`0U>PCo03a61?l0@TT3o`0d@PCo
01dd1?l02bD4o`036`Co008J1?l01R04o`0@:PCo01dd1?l09CT3o`0Q=`Co01H_1?l02bD4o`0470Co
008I1?l00a/4o`088@Co00hX1?l04R`3o`0A:`Co00dW1?l01b49ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02R@4o`0<9PCo00XU1?l01b44o`0470?o008I
1?l00aX4o`067`Co00dX1?l05Rl4o`0L=0Co01/c1?l04b`4o`098`?o00<L1?l00QT4o`057PCo00lY
1?l083H4o`0a@@Co03M31?l0:cd4o`0H<@?o00TS1?l00aX4o`036`Co00`W1?l093T4o`16B`Co05E;
1?l0Dd`4o`0jA@Co01Ta0ol01R04o`026@Co00LQ1?l07SD4o`1>CPCo06911?l0JCX4o`1OA0Co0418
0ol052h4o`0470Co00<K1?l04R`4o`11B0Co06Dm1?l0Mb@4o`1f9PCo06910ol0=d@4o`0=9`Co008I
1?l01b04o`0V>PCo05a71?l0N284o`2430Co07TQ0ol0GDH4o`0W>PCo00LP1?l00QX4o`0?:@Co0458
1?l0JSL4o`214@Co08@<1?l0LBl3o`1@CPCo01H_1?l00a/4o`047@Co01Xb1?l0DTd4o`1`<0Co07hG
1?l0N2<3o`1P@`Co02lo1?l02R@4o`026@Co00PQ1?l093T4o`1EB`Co06/g1?l0L303o`1S@0Co04E:
1?l05Rl4o`047@Co00<J1?l032H4o`0Z?0Co055=1?l0GDH3o`1KB0Co04M;1?l07cH4o`098`Co008I
1?l011d4o`0@:PCo02Lk1?l0?dP4o`16B`?o03M41?l07cD4o`0<9PCo00<K1?l00QT4o`0680Co014[
1?l07cD4o`0W>P?o02<h1?l05c04o`0;9@Co00@M1?l00QT4o`036`Co00PR1?l03RP4o`0C;0?o018/
1?l03BP4o`088@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`0:90Co00`V1?l02RD4o`078@Co00@L0ol00QT4o`036PCo00HO1?l03BP4o`0F;`Co01`d1?l0
6c<4o`0C;0Co00TS0ol00a`4o`026@Co00DN1?l03bT4o`0P=PCo03511?l0=d<4o`0[?@Co01Pa0ol0
2B<4o`036PCo00<K1?l032L4o`0T>@Co04I;1?l0ED/4o`1CC0Co03Y51?l06C43o`0680Co008I1?l0
1b44o`0N=@Co04i>1?l0HT44o`1Y>PCo05m41?l0@4P3o`0D;PCo00@L1?l00a/4o`0B;0Co04581?l0
ICd4o`1g90Co07HV1?l0HT43o`0gA0Co00dW1?l00QT4o`0780Co02Hj1?l0G4L4o`1h8PCo08@<1?l0
NB43o`1MAPCo02Lj1?l01b04o`026PCo00lY1?l0@DP4o`1Z=`Co084A1?l0Q0`4o`1a;`?o051>1?l0
5Rl4o`036`Co00@M1?l06S84o`1BC@Co070`1?l0OQL4o`1h8`?o06131?l0;cl4o`0:90Co008I1?l0
2244o`0T>@Co05E;1?l0JcL4o`1`<0?o06=01?l0ADX4o`0F;`Co00@M1?l00aX4o`0<9PCo02Xl1?l0
DDd4o`1MAP?o05]81?l0Ad/4o`0O=PCo00TS1?l00QT4o`047@Co010Z1?l09c/4o`0oB0Co04I;0ol0
=d@4o`0O=@Co00`V1?l00a/4o`026@Co00HP1?l04B/4o`0O=@Co02Lj0ol08cP4o`0G<0Co00/U1?l0
11d4o`026@Co00<K1?l02284o`0>:0Co01</0ol04R`4o`0=:0Co00PQ2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00XT1?l032H4o`0:9@Co00LQ1?l011`3
o`026@Co00<J1?l01Ql4o`0=:0Co01H_1?l073@4o`0K<`Co01</1?l02B<3o`0370Co008I1?l01Ah4
o`0?:@Co020f1?l0<D44o`0g@`Co02/m1?l06343o`098`Co00<J1?l00a/4o`0<9`Co02@i1?l0AT/4
o`1EB`Co05=<1?l0>TD4o`0I<@?o00HP1?l00QT4o`078@Co01he1?l0CTh4o`1R@@Co06Tj1?l0Gd@4
o`10B0?o01@^1?l011`4o`036`Co018/1?l0@DP4o`1U?@Co07LT1?l0MRH4o`1R@@?o03M41?l03BL4
o`026@Co00LP1?l09SX4o`1LA`Co07PR1?l0Q0`4o`1i8@?o05e61?l09cX4o`0780Co008J1?l03bT4
o`11B0Co06Xg1?l0PA44o`2430Co074_0ol0D4h4o`0F;`Co00<K1?l011d4o`0J<PCo059=1?l0L304
o`1n5`Co07PS0ol0H4<4o`0_?`Co00XT1?l00QT4o`088@Co02@i1?l0ED/4o`1[=`Co070`0ol0Hd04
o`15BPCo01H_1?l011d4o`036PCo00`V1?l0:S`4o`1AC@Co05e60ol0FdP4o`17B`Co01lf1?l02B<4
o`026@Co00@M1?l042X4o`0W>`Co03m81?l0AT/3o`0gA0Co01le1?l032H4o`036`Co008I1?l01R04
o`0A:`Co01le1?l09cX3o`0S>0Co01L`1?l02bD4o`047@Co008I1?l00a/4o`088PCo00hX1?l04b`3
o`0B;0Co00dX1?l02249ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l02R@4o`0<9PCo00XU1?l01b44o`0470?o008I1?l00aX4o`067`Co00dX1?l05Rl4o`0L
=0Co01/c1?l04b`4o`098`?o00<L1?l00QT4o`057PCo00lY1?l083H4o`0a@@Co03M31?l0:cd4o`0H
<@?o00TS1?l00aX4o`036`Co00`W1?l093T4o`16B`Co05E;1?l0Dd`4o`0jA@Co01Ta0ol01R04o`02
6@Co00LQ1?l07SD4o`1>CPCo06911?l0JCX4o`1OA0Co04180ol052h4o`0470Co00<K1?l04R`4o`11
B0Co06Dm1?l0Mb@4o`1f9PCo06910ol0=d@4o`0=9`Co008I1?l01b04o`0V>PCo05a71?l0N284o`24
30Co07TQ0ol0GDH4o`0W>PCo00LP1?l00QX4o`0?:@Co04581?l0JSL4o`214@Co08@<1?l0LBl3o`1@
CPCo01H_1?l00a/4o`047@Co01Xb1?l0DTd4o`1`<0Co07hG1?l0N2<3o`1P@`Co02lo1?l02R@4o`02
6@Co00PQ1?l093T4o`1EB`Co06/g1?l0L303o`1S@0Co04E:1?l05Rl4o`047@Co00<J1?l032H4o`0Z
?0Co055=1?l0GDH3o`1KB0Co04M;1?l07cH4o`098`Co008I1?l011d4o`0@:PCo02Lk1?l0?dP4o`16
B`?o03M41?l07cD4o`0<9PCo00<K1?l00QT4o`0680Co014[1?l07cD4o`0W>P?o02<h1?l05c04o`0;
9@Co00@M1?l00QT4o`036`Co00PR1?l03RP4o`0C;0?o018/1?l03BP4o`088@Wooooo00?o0000oooo
ooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0:9@Co00`V1?l02bD4o`078@Co
00@L0ol00QT4o`036PCo00HP1?l03RP4o`0H<0Co01he1?l073@4o`0C;@Co00TT0ol011`4o`026@Co
00DN1?l042X4o`0R=`Co03A21?l0>TD4o`0^?`Co01Ta0ol02B<4o`036PCo00<K1?l03BL4o`0V>PCo
04]=1?l0EdX4o`1EB`Co03i71?l06S83o`0780Co008I1?l02244o`0P=PCo051=1?l0ICh4o`1/=PCo
06521?l0@dT3o`0E;PCo00@L1?l00a/4o`0C;0Co04E:1?l0JCX4o`1k7PCo07XP1?l0ICh3o`0jA@Co
00dX1?l00QT4o`078@Co02Pk1?l0Gd@4o`1l6`Co08P31?l0OA/3o`1OA0Co02Pk1?l01b04o`026PCo
010Z1?l0ADX4o`1^<`Co08H81?l0R0<4o`1d:P?o059=1?l05c04o`036`Co00@M1?l06c<4o`1EB`Co
07<[1?l0PQ04o`1k7@?o06911?l0<T44o`0;9@Co008I1?l02284o`0V>PCo05Q:1?l0KS<4o`1c:`?o
06Hm1?l0BD`4o`0G<0Co00@M1?l00aX4o`0=9`Co02`m1?l0Dd`4o`1P@`?o05e61?l0C4d4o`0Q=`Co
00TS1?l00QT4o`047@Co014[1?l0:C`4o`13B@Co04]=0ol0>dD4o`0P=`Co00`W1?l00a`4o`026@Co
00LP1?l04R/4o`0P=PCo02Tl0ol09CT4o`0H<@Co00`V1?l011d4o`026@Co00<K1?l02284o`0?:@Oo
01<]1?l03RP4o`088PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0
1oooool4o`0:9@Co00`V1?l02bD4o`078@Co00@L0ol00QT4o`036PCo00HP1?l03RP4o`0H<0Co01he
1?l073@4o`0C;@Co00TT0ol011`4o`026@Co00DN1?l042X4o`0R=`Co03A21?l0>TD4o`0^?`Co01Ta
0ol02B<4o`036PCo00<K1?l03BL4o`0V>PCo04]=1?l0EdX4o`1EB`Co03i71?l06S83o`0780Co008I
1?l02244o`0P=PCo051=1?l0ICh4o`1/=PCo06521?l0@dT3o`0E;PCo00@L1?l00a/4o`0C;0Co04E:
1?l0JCX4o`1k7PCo07XP1?l0ICh3o`0jA@Co00dX1?l00QT4o`078@Co02Pk1?l0Gd@4o`1l6`Co08P3
1?l0OA/3o`1OA0Co02Pk1?l01b04o`026PCo010Z1?l0ADX4o`1^<`Co08H81?l0R0<4o`1d:P?o059=
1?l05c04o`036`Co00@M1?l06c<4o`1EB`Co07<[1?l0PQ04o`1k7@?o06911?l0<T44o`0;9@Co008I
1?l02284o`0V>PCo05Q:1?l0KS<4o`1c:`?o06Hm1?l0BD`4o`0G<0Co00@M1?l00aX4o`0=9`Co02`m
1?l0Dd`4o`1P@`?o05e61?l0C4d4o`0Q=`Co00TS1?l00QT4o`047@Co014[1?l0:C`4o`13B@Co04]=
0ol0>dD4o`0P=`Co00`W1?l00a`4o`026@Co00LP1?l04R/4o`0P=PCo02Tl0ol09CT4o`0H<@Co00`V
1?l011d4o`026@Co00<K1?l02284o`0?:@Oo01<]1?l03RP4o`088PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0:9@Co00`V1?l02bD4o`078@Co00@L0ol0
0QT4o`036PCo00HP1?l03RP4o`0H<0Co01he1?l073@4o`0C;@Co00TT0ol011`4o`026@Co00DN1?l0
42X4o`0R=`Co03A21?l0>TD4o`0^?`Co01Ta0ol02B<4o`036PCo00<K1?l03BL4o`0V>PCo04]=1?l0
EdX4o`1EB`Co03i71?l06S83o`0780Co008I1?l02244o`0P=PCo051=1?l0ICh4o`1/=PCo06521?l0
@dT3o`0E;PCo00@L1?l00a/4o`0C;0Co04E:1?l0JCX4o`1k7PCo07XP1?l0ICh3o`0jA@Co00dX1?l0
0QT4o`078@Co02Pk1?l0Gd@4o`1l6`Co08P31?l0OA/3o`1OA0Co02Pk1?l01b04o`026PCo010Z1?l0
ADX4o`1^<`Co08H81?l0R0<4o`1d:P?o059=1?l05c04o`036`Co00@M1?l06c<4o`1EB`Co07<[1?l0
PQ04o`1k7@?o06911?l0<T44o`0;9@Co008I1?l02284o`0V>PCo05Q:1?l0KS<4o`1c:`?o06Hm1?l0
BD`4o`0G<0Co00@M1?l00aX4o`0=9`Co02`m1?l0Dd`4o`1P@`?o05e61?l0C4d4o`0Q=`Co00TS1?l0
0QT4o`047@Co014[1?l0:C`4o`13B@Co04]=0ol0>dD4o`0P=`Co00`W1?l00a`4o`026@Co00LP1?l0
4R/4o`0P=PCo02Tl0ol09CT4o`0H<@Co00`V1?l011d4o`026@Co00<K1?l02284o`0?:@Oo01<]1?l0
3RP4o`088PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4
o`0:9@Co00`V1?l02bD4o`078@Co00@L0ol00QT4o`036PCo00HP1?l03RP4o`0H<0Co01he1?l073@4
o`0C;@Co00TT0ol011`4o`026@Co00DN1?l042X4o`0R=`Co03A21?l0>TD4o`0^?`Co01Ta0ol02B<4
o`036PCo00<K1?l03BL4o`0V>PCo04]=1?l0EdX4o`1EB`Co03i71?l06S83o`0780Co008I1?l02244
o`0P=PCo051=1?l0ICh4o`1/=PCo06521?l0@dT3o`0E;PCo00@L1?l00a/4o`0C;0Co04E:1?l0JCX4
o`1k7PCo07XP1?l0ICh3o`0jA@Co00dX1?l00QT4o`078@Co02Pk1?l0Gd@4o`1l6`Co08P31?l0OA/3
o`1OA0Co02Pk1?l01b04o`026PCo010Z1?l0ADX4o`1^<`Co08H81?l0R0<4o`1d:P?o059=1?l05c04
o`036`Co00@M1?l06c<4o`1EB`Co07<[1?l0PQ04o`1k7@?o06911?l0<T44o`0;9@Co008I1?l02284
o`0V>PCo05Q:1?l0KS<4o`1c:`?o06Hm1?l0BD`4o`0G<0Co00@M1?l00aX4o`0=9`Co02`m1?l0Dd`4
o`1P@`?o05e61?l0C4d4o`0Q=`Co00TS1?l00QT4o`047@Co014[1?l0:C`4o`13B@Co04]=0ol0>dD4
o`0P=`Co00`W1?l00a`4o`026@Co00LP1?l04R/4o`0P=PCo02Tl0ol09CT4o`0H<@Co00`V1?l011d4
o`026@Co00<K1?l02284o`0?:@Oo01<]1?l03RP4o`088PWooooo00?o0000ooooooooool00_ooool0
01_ooooo0ol00007ooooo`Co00/U1?l03BL4o`0;9@Co00PQ1?l011`3o`026@Co00<J1?l01b04o`0?
:@Co01Ta1?l07cH4o`0N=@Co01@^1?l02R@3o`0470Co008I1?l01Al4o`0@:PCo02@i1?l0=d@4o`0m
A`Co03101?l06S83o`098`Co00<J1?l00a/4o`0>:0Co02Pl1?l0Cdh4o`1JB0Co05M:1?l0@DP4o`0K
<`?o00LP1?l00QT4o`088PCo028h1?l0Dd`4o`1X>PCo06lb1?l0I404o`17B`?o01H_1?l011`4o`03
6`Co01@]1?l0BT`4o`1/=PCo07lG1?l0OAX4o`1W>`?o03e61?l03RP4o`026@Co00PQ1?l0:cd4o`1Q
@PCo080D1?l6S004o`2050?o06521?l0:S`4o`078@Co008J1?l042/4o`1:C0Co074^1?l0RP04o`J<
00Co07LU0ol0E4`4o`0G<0Co00<K1?l011d4o`0M=0Co05M:1?l0MbD4o`261`Co07lF0ol0ICh4o`0d
@PCo00/U1?l00QT4o`088PCo02Tl1?l0FTP4o`1a;PCo07HU0ol0JCT4o`1>CPCo01Ta1?l01Ad4o`03
6PCo00dW1?l0;Sl4o`1FB`Co06910ol0H4<4o`1?CPCo02<h1?l02R@4o`026PCo00@M1?l04B/4o`0[
?@Co04M;1?l0Cdh3o`0oA`Co028h1?l03BL4o`0470Co008I1?l01b04o`0B;0Co024g1?l0:cd3o`0W
>`Co01Xb1?l032L4o`057@Co008I1?l00a/4o`088PCo00lY1?l052h3o`0D;@Co00lY1?l02287oooo
o`?o00001?ooool001_ooooo00?o0000ooooooooool01oooool4o`0;9@Co00dW1?l02bD4o`088@Co
00@L0ol00QT4o`036PCo00LP1?l03bT4o`0I<@Co01lf1?l07SD4o`0D;PCo00XT0ol011`4o`026@Co
00DO1?l042X4o`0T>@Co03M41?l0?DL4o`0`@0Co01Xb0ol02B<4o`036PCo00<K1?l03RP4o`0X?0Co
04m>1?l0FTP4o`1GBPCo04581?l06c<3o`0780Co008I1?l02284o`0R>0Co05=<1?l0J3X4o`1_<PCo
06A01?l0Ad/3o`0F;`Co00@L1?l00a/4o`0D;@Co04Y<1?l0K3H4o`1o5`Co07dJ1?l0Ic/3o`0mAPCo
00hX1?l00QT4o`088@Co02/m1?l0HD84o`2050Co1X`01?l0P1@3o`1Q@PCo02Xl1?l01b44o`026PCo
010[1?l0BT`4o`1a;PCo08X01?l6S004o`1g9@?o05A<1?l05c04o`036`Co00@M1?l07C@4o`1GBPCo
07LU1?l0QPL4o`1o5P?o06Dn1?l0=484o`0;9@Co008I1?l02284o`0Y?0Co05Y81?l0LBh4o`1f9@?o
06Ti1?l0CTh4o`0I<@Co00DM1?l00aX4o`0=9`Co02ho1?l0ET/4o`1R@@?o06131?l0Cdh4o`0S>0Co
00XT1?l00QX4o`047@Co014[1?l0:cd4o`17B`Co04m>0ol0?dL4o`0R>0Co00dW1?l011`4o`026@Co
00LP1?l04R`4o`0Q=`Co02/m0ol09c/4o`0J<PCo00`W1?l01Ad4o`026@Co00<K1?l02284o`0?:@Co
01@^0ol052d4o`0?:@Co00PR2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00/U1?l03BL4o`0;9@Co00PQ1?l011`3o`026@Co00<J1?l01b04o`0?:@Co01Ta
1?l07cH4o`0N=@Co01@^1?l02R@3o`0470Co008I1?l01Al4o`0@:PCo02@i1?l0=d@4o`0mA`Co0310
1?l06S83o`098`Co00<J1?l00a/4o`0>:0Co02Pl1?l0Cdh4o`1JB0Co05M:1?l0@DP4o`0K<`?o00LP
1?l00QT4o`088PCo028h1?l0Dd`4o`1X>PCo06lb1?l0I404o`17B`?o01H_1?l011`4o`036`Co01@]
1?l0BT`4o`1/=PCo07lG1?l0OAX4o`1W>`?o03e61?l03RP4o`026@Co00PQ1?l0:cd4o`1Q@PCo080D
1?l6S004o`2050?o06521?l0:S`4o`078@Co008J1?l042/4o`1:C0Co074^1?l0RP04o`J<00Co07LU
0ol0E4`4o`0G<0Co00<K1?l011d4o`0M=0Co05M:1?l0MbD4o`261`Co07lF0ol0ICh4o`0d@PCo00/U
1?l00QT4o`088PCo02Tl1?l0FTP4o`1a;PCo07HU0ol0JCT4o`1>CPCo01Ta1?l01Ad4o`036PCo00dW
1?l0;Sl4o`1FB`Co06910ol0H4<4o`1?CPCo02<h1?l02R@4o`026PCo00@M1?l04B/4o`0[?@Co04M;
1?l0Cdh3o`0oA`Co028h1?l03BL4o`0470Co008I1?l01b04o`0B;0Co024g1?l0:cd3o`0W>`Co01Xb
1?l032L4o`057@Co008I1?l00a/4o`088PCo00lY1?l052h3o`0D;@Co00lY1?l02289ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02bD4o`0=9`Co00/U1?l0
2244o`0470?o008I1?l00aX4o`0780Co00lY1?l06C44o`0O=PCo01he1?l052h4o`0:90?o00@L1?l0
0QT4o`057`Co010Z1?l093T4o`0gA0Co03e71?l0<404o`0J<P?o00TS1?l00aX4o`036`Co00hX1?l0
:3`4o`1?CPCo05Y81?l0EdX4o`11B0Co01/c0ol01b04o`026@Co00PR1?l08SP4o`1CC0Co06Pj1?l0
Kc84o`1T@0Co04M;0ol05Rl4o`0470Co00<K1?l052d4o`1:C0Co06`f1?l0OaL4o`1m6PCo06Lk0ol0
?DH4o`0>:0Co008I1?l02244o`0[?@Co06521?l0P1@4o`J<00Co080D0ol0HD84o`0Z?0Co00LQ1?l0
0QX4o`0@:`Co04Y<1?l0LBh4o`2:00Co1X`01?l0MbD3o`1DC0Co01L`1?l00a/4o`047@Co01dd1?l0
EdX4o`1g9@Co08H71?l0OaH3o`1U?PCo03A21?l02bD4o`026@Co00PR1?l0:C`4o`1JB0Co074^1?l0
MRD3o`1Y>@Co04i>1?l06C44o`057@Co00<J1?l03BL4o`0^?`Co05I;1?l0HT43o`1P@`Co04m>1?l0
8cP4o`0:90Co008J1?l011d4o`0A:`Co02/m1?l0Ad/4o`1?CP?o03m71?l08SP4o`0=9`Co00@L1?l0
0QT4o`0780Co018/1?l08CL4o`0[?@?o02Lk1?l06S84o`0<9`Co00DM1?l00QT4o`036`Co00PR1?l0
3bT4o`0D;P?o01@]1?l03bT4o`088PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`0;9@Co00dW1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LP1?l03bT4
o`0J<PCo024g1?l07cH4o`0E;PCo00XT0ol011`4o`026@Co00HO1?l04B/4o`0V>PCo03Y51?l0@DP4
o`0c@@Co01/c0ol02R@4o`036PCo00<K1?l03RP4o`0[?@Co055=1?l0G4L4o`1IB0Co04A:1?l073@3
o`0780Co008I1?l02284o`0T>@Co05E;1?l0JcL4o`1b;@Co06Hm1?l0BT`3o`0G<0Co00@L1?l00a/4
o`0E;PCo04i>1?l0Kc44o`223`Co080C1?l0JSP3o`10B0Co00hX1?l00QT4o`088PCo02ho1?l0I3l4
o`2430Co49001?l0Q0d3o`1T@0Co02`m1?l01b44o`026PCo014[1?l0CTh4o`1d:@Co2Xh01?l@T004
o`1j7`?o05E;1?l06344o`036`Co00DM1?l07cD4o`1IB0Co07XO1?l1RP04o`233P?o06Lk1?l0=d<4
o`0;9PCo008I1?l02B<4o`0[?@Co05e61?l0M2T4o`1j80?o06`f1?l0D4h4o`0J<PCo00DM1?l00aX4
o`0>:0Co03101?l0F4X4o`1U?P?o06911?l0DDd4o`0U>@Co00XT1?l00QX4o`047@Co018/1?l0;Ch4
o`1:C@Co055=0ol0@TT4o`0T>@Co00hX1?l011`4o`026@Co00LP1?l04b`4o`0S>0Co02dn0ol0:C`4
o`0K<`Co00dW1?l01Ad4o`026@Co00<K1?l02284o`0@:POo01D^1?l03bX4o`098`Wooooo00?o0000
ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0;9@Co00dW1?l032H4o`08
8PCo00@M0ol00QT4o`036PCo00LP1?l03bT4o`0J<PCo024g1?l07cH4o`0E;PCo00XT0ol011`4o`02
6@Co00HO1?l04B/4o`0V>PCo03Y51?l0@DP4o`0c@@Co01/c0ol02R@4o`036PCo00<K1?l03RP4o`0[
?@Co055=1?l0G4L4o`1IB0Co04A:1?l073@3o`0780Co008I1?l02284o`0T>@Co05E;1?l0JcL4o`1b
;@Co06Hm1?l0BT`3o`0G<0Co00@L1?l00a/4o`0E;PCo04i>1?l0Kc44o`223`Co080C1?l0JSP3o`10
B0Co00hX1?l00QT4o`088PCo02ho1?l0I3l4o`2430Co49001?l0Q0d3o`1T@0Co02`m1?l01b44o`02
6PCo014[1?l0CTh4o`1d:@Co2Xh01?l@T004o`1j7`?o05E;1?l06344o`036`Co00DM1?l07cD4o`1I
B0Co07XO1?l1RP04o`233P?o06Lk1?l0=d<4o`0;9PCo008I1?l02B<4o`0[?@Co05e61?l0M2T4o`1j
80?o06`f1?l0D4h4o`0J<PCo00DM1?l00aX4o`0>:0Co03101?l0F4X4o`1U?P?o06911?l0DDd4o`0U
>@Co00XT1?l00QX4o`047@Co018/1?l0;Ch4o`1:C@Co055=0ol0@TT4o`0T>@Co00hX1?l011`4o`02
6@Co00LP1?l04b`4o`0S>0Co02dn0ol0:C`4o`0K<`Co00dW1?l01Ad4o`026@Co00<K1?l02284o`0@
:POo01D^1?l03bX4o`098`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0;9@Co00dW1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LP1?l03bT4o`0J<PCo
024g1?l07cH4o`0E;PCo00XT0ol011`4o`026@Co00HO1?l04B/4o`0V>PCo03Y51?l0@DP4o`0c@@Co
01/c0ol02R@4o`036PCo00<K1?l03RP4o`0[?@Co055=1?l0G4L4o`1IB0Co04A:1?l073@3o`0780Co
008I1?l02284o`0T>@Co05E;1?l0JcL4o`1b;@Co06Hm1?l0BT`3o`0G<0Co00@L1?l00a/4o`0E;PCo
04i>1?l0Kc44o`223`Co080C1?l0JSP3o`10B0Co00hX1?l00QT4o`088PCo02ho1?l0I3l4o`2430Co
49001?l0Q0d3o`1T@0Co02`m1?l01b44o`026PCo014[1?l0CTh4o`1d:@Co2Xh01?l@T004o`1j7`?o
05E;1?l06344o`036`Co00DM1?l07cD4o`1IB0Co07XO1?l1RP04o`233P?o06Lk1?l0=d<4o`0;9PCo
008I1?l02B<4o`0[?@Co05e61?l0M2T4o`1j80?o06`f1?l0D4h4o`0J<PCo00DM1?l00aX4o`0>:0Co
03101?l0F4X4o`1U?P?o06911?l0DDd4o`0U>@Co00XT1?l00QX4o`047@Co018/1?l0;Ch4o`1:C@Co
055=0ol0@TT4o`0T>@Co00hX1?l011`4o`026@Co00LP1?l04b`4o`0S>0Co02dn0ol0:C`4o`0K<`Co
00dW1?l01Ad4o`026@Co00<K1?l02284o`0@:POo01D^1?l03bX4o`098`Wooooo00?o0000oooooooo
ool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0<9PCo00hX1?l032H4o`088PCo00@M
0ol00QT4o`036PCo00LQ1?l042X4o`0K<`Co02<h1?l08CL4o`0F;`Co00XU0ol011`4o`026@Co00HO
1?l04R`4o`0X>`Co03i71?l0A4X4o`0e@`Co01`d0ol02R@4o`036PCo00<L1?l03bT4o`0]?PCo05=<
1?l0GTD4o`1LA`Co04Q;1?l07C@3o`078@Co008I1?l02B84o`0V>PCo05M:1?l0KS<4o`1e:0Co06Tj
1?l0CTh3o`0G<0Co00@L1?l00a/4o`0F;`Co055=1?l0LRd4o`261`Co08@<1?l0K3D3o`12B@Co00hY
1?l00QT4o`088PCo03501?l0Ic/4o`280`Co6i@01?l0Q`D3o`1V?@Co02dn1?l01b44o`026PCo018/
1?l0DDd4o`1h8`Co5I801?lJU004o`1m6@?o05M:1?l06C44o`036`Co00DN1?l08CL4o`1LA`Co07hI
1?l:SP04o`261`?o06Xh1?l0>TD4o`0<9PCo008I1?l02B<4o`0]?PCo05m41?l0Mb@4o`1m6@?o06lb
1?l0DTd4o`0K<`Co00DN1?l00aX4o`0>:0Co03=11?l0FTP4o`1W>`?o06Dn1?l0Dd`4o`0W>`Co00XU
1?l00QX4o`047@Co018/1?l0;cl4o`1>CPCo05==0ol0AT/4o`0W>PCo00hY1?l011`4o`026@Co00LP
1?l04bd4o`0T>@Co02lo0ol0;3d4o`0M=0Co00hX1?l01Ah4o`026@Co00<K1?l02284o`0@:POo01H_
1?l042X4o`098`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`0<9PCo00hX1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LQ1?l042X4o`0K<`Co02<h1?l0
8CL4o`0F;`Co00XU0ol011`4o`026@Co00HO1?l04R`4o`0X>`Co03i71?l0A4X4o`0e@`Co01`d0ol0
2R@4o`036PCo00<L1?l03bT4o`0]?PCo05=<1?l0GTD4o`1LA`Co04Q;1?l07C@3o`078@Co008I1?l0
2B84o`0V>PCo05M:1?l0KS<4o`1e:0Co06Tj1?l0CTh3o`0G<0Co00@L1?l00a/4o`0F;`Co055=1?l0
LRd4o`261`Co08@<1?l0K3D3o`12B@Co00hY1?l00QT4o`088PCo03501?l0Ic/4o`280`Co6i@01?l0
Q`D3o`1V?@Co02dn1?l01b44o`026PCo018/1?l0DDd4o`1h8`Co5I801?lJU004o`1m6@?o05M:1?l0
6C44o`036`Co00DN1?l08CL4o`1LA`Co07hI1?l:SP04o`261`?o06Xh1?l0>TD4o`0<9PCo008I1?l0
2B<4o`0]?PCo05m41?l0Mb@4o`1m6@?o06lb1?l0DTd4o`0K<`Co00DN1?l00aX4o`0>:0Co03=11?l0
FTP4o`1W>`?o06Dn1?l0Dd`4o`0W>`Co00XU1?l00QX4o`047@Co018/1?l0;cl4o`1>CPCo05==0ol0
AT/4o`0W>PCo00hY1?l011`4o`026@Co00LP1?l04bd4o`0T>@Co02lo0ol0;3d4o`0M=0Co00hX1?l0
1Ah4o`026@Co00<K1?l02284o`0@:POo01H_1?l042X4o`098`Wooooo00?o0000ooooooooool00_oo
ool001_ooooo00?o0000ooooooooool01oooool4o`0<9PCo00hX1?l032H4o`088PCo00@M0ol00QT4
o`036PCo00LQ1?l042X4o`0K<`Co02<h1?l08CL4o`0F;`Co00XU0ol011`4o`026@Co00HO1?l04R`4
o`0X>`Co03i71?l0A4X4o`0e@`Co01`d0ol02R@4o`036PCo00<L1?l03bT4o`0]?PCo05=<1?l0GTD4
o`1LA`Co04Q;1?l07C@3o`078@Co008I1?l02B84o`0V>PCo05M:1?l0KS<4o`1e:0Co06Tj1?l0CTh3
o`0G<0Co00@L1?l00a/4o`0F;`Co055=1?l0LRd4o`261`Co08@<1?l0K3D3o`12B@Co00hY1?l00QT4
o`088PCo03501?l0Ic/4o`280`Co6i@01?l0Q`D3o`1V?@Co02dn1?l01b44o`026PCo018/1?l0DDd4
o`1h8`Co5I801?lJU004o`1m6@?o05M:1?l06C44o`036`Co00DN1?l08CL4o`1LA`Co07hI1?l:SP04
o`261`?o06Xh1?l0>TD4o`0<9PCo008I1?l02B<4o`0]?PCo05m41?l0Mb@4o`1m6@?o06lb1?l0DTd4
o`0K<`Co00DN1?l00aX4o`0>:0Co03=11?l0FTP4o`1W>`?o06Dn1?l0Dd`4o`0W>`Co00XU1?l00QX4
o`047@Co018/1?l0;cl4o`1>CPCo05==0ol0AT/4o`0W>PCo00hY1?l011`4o`026@Co00LP1?l04bd4
o`0T>@Co02lo0ol0;3d4o`0M=0Co00hX1?l01Ah4o`026@Co00<K1?l02284o`0@:POo01H_1?l042X4
o`098`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0<
9PCo00hX1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LQ1?l042X4o`0K<`Co02<h1?l08CL4o`0F
;`Co00XU0ol011`4o`026@Co00HO1?l04R`4o`0X>`Co03i71?l0A4X4o`0e@`Co01`d0ol02R@4o`03
6PCo00<L1?l03bT4o`0]?PCo05=<1?l0GTD4o`1LA`Co04Q;1?l07C@3o`078@Co008I1?l02B84o`0V
>PCo05M:1?l0KS<4o`1e:0Co06Tj1?l0CTh3o`0G<0Co00@L1?l00a/4o`0F;`Co055=1?l0LRd4o`26
1`Co08@<1?l0K3D3o`12B@Co00hY1?l00QT4o`088PCo03501?l0Ic/4o`280`Co6i@01?l0Q`D3o`1V
?@Co02dn1?l01b44o`026PCo018/1?l0DDd4o`1h8`Co5I801?lJU004o`1m6@?o05M:1?l06C44o`03
6`Co00DN1?l08CL4o`1LA`Co07hI1?l:SP04o`261`?o06Xh1?l0>TD4o`0<9PCo008I1?l02B<4o`0]
?PCo05m41?l0Mb@4o`1m6@?o06lb1?l0DTd4o`0K<`Co00DN1?l00aX4o`0>:0Co03=11?l0FTP4o`1W
>`?o06Dn1?l0Dd`4o`0W>`Co00XU1?l00QX4o`047@Co018/1?l0;cl4o`1>CPCo05==0ol0AT/4o`0W
>PCo00hY1?l011`4o`026@Co00LP1?l04bd4o`0T>@Co02lo0ol0;3d4o`0M=0Co00hX1?l01Ah4o`02
6@Co00<K1?l02284o`0@:POo01H_1?l042X4o`098`Wooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool01oooool4o`0<9PCo00hX1?l03BL4o`088PCo00@M0ol00QT4o`036PCo
00LQ1?l042/4o`0L=0Co02@i1?l08SP4o`0G<0Co00/U0ol011`4o`026@Co00HO1?l04b`4o`0Z?0Co
04581?l0B4/4o`0hA0Co01he0ol02R@4o`036PCo00@L1?l042X4o`0`@0Co05E;1?l0HD84o`1NA@Co
04]=1?l07SD3o`078@Co008I1?l02B<4o`0X>`Co05Y81?l0LBh4o`1h8`Co06/g1?l0Cdh3o`0H<@Co
00@L1?l00a`4o`0H<0Co05=<1?l0MBL4o`6:00Co08L41?l0Kc43o`15BPCo00lY1?l00QT4o`098`Co
03A21?l0JSL4o`F<00Co9YP01?l2RP03o`1X>PCo02lo1?l01b44o`026PCo01@]1?l0Dd`4o`1k7@Co
89H01?lVV004o`204`?o05U91?l06S84o`036`Co00DN1?l08SP4o`1NA0Co084A1?lETP04o`6:00?o
06de1?l0?4H4o`0<9PCo008I1?l02B<4o`0`@0Co06521?l0Nah4o`214`?o078]1?l0E4`4o`0L=0Co
00DN1?l00aX4o`0?:@Co03E31?l0G4L4o`1Z>0?o06Lk1?l0ED/4o`0Y?0Co00/U1?l00QX4o`047@Co
01<]1?l0<D44o`1@CPCo05E<0ol0BTd4o`0Y?0Co00lY1?l011`4o`026@Co00LQ1?l052d4o`0V>PCo
03910ol0;Sl4o`0N=@Co00hY1?l01Ah4o`026@Co00<K1?l02B<4o`0A:`Oo01L`1?l04B/4o`0990Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0<9PCo00hX
1?l03BL4o`088PCo00@M0ol00QT4o`036PCo00LQ1?l042/4o`0L=0Co02@i1?l08SP4o`0G<0Co00/U
0ol011`4o`026@Co00HO1?l04b`4o`0Z?0Co04581?l0B4/4o`0hA0Co01he0ol02R@4o`036PCo00@L
1?l042X4o`0`@0Co05E;1?l0HD84o`1NA@Co04]=1?l07SD3o`078@Co008I1?l02B<4o`0X>`Co05Y8
1?l0LBh4o`1h8`Co06/g1?l0Cdh3o`0H<@Co00@L1?l00a`4o`0H<0Co05=<1?l0MBL4o`6:00Co08L4
1?l0Kc43o`15BPCo00lY1?l00QT4o`098`Co03A21?l0JSL4o`F<00Co9YP01?l2RP03o`1X>PCo02lo
1?l01b44o`026PCo01@]1?l0Dd`4o`1k7@Co89H01?lVV004o`204`?o05U91?l06S84o`036`Co00DN
1?l08SP4o`1NA0Co084A1?lETP04o`6:00?o06de1?l0?4H4o`0<9PCo008I1?l02B<4o`0`@0Co0652
1?l0Nah4o`214`?o078]1?l0E4`4o`0L=0Co00DN1?l00aX4o`0?:@Co03E31?l0G4L4o`1Z>0?o06Lk
1?l0ED/4o`0Y?0Co00/U1?l00QX4o`047@Co01<]1?l0<D44o`1@CPCo05E<0ol0BTd4o`0Y?0Co00lY
1?l011`4o`026@Co00LQ1?l052d4o`0V>PCo03910ol0;Sl4o`0N=@Co00hY1?l01Ah4o`026@Co00<K
1?l02B<4o`0A:`Oo01L`1?l04B/4o`0990Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o
0000ooooooooool01oooool4o`0<9PCo00hX1?l03BL4o`088PCo00@M0ol00QT4o`036PCo00LQ1?l0
42/4o`0L=0Co02@i1?l08SP4o`0G<0Co00/U0ol011`4o`026@Co00HO1?l04b`4o`0Z?0Co04581?l0
B4/4o`0hA0Co01he0ol02R@4o`036PCo00@L1?l042X4o`0`@0Co05E;1?l0HD84o`1NA@Co04]=1?l0
7SD3o`078@Co008I1?l02B<4o`0X>`Co05Y81?l0LBh4o`1h8`Co06/g1?l0Cdh3o`0H<@Co00@L1?l0
0a`4o`0H<0Co05=<1?l0MBL4o`6:00Co08L41?l0Kc43o`15BPCo00lY1?l00QT4o`098`Co03A21?l0
JSL4o`F<00Co9YP01?l2RP03o`1X>PCo02lo1?l01b44o`026PCo01@]1?l0Dd`4o`1k7@Co89H01?lV
V004o`204`?o05U91?l06S84o`036`Co00DN1?l08SP4o`1NA0Co084A1?lETP04o`6:00?o06de1?l0
?4H4o`0<9PCo008I1?l02B<4o`0`@0Co06521?l0Nah4o`214`?o078]1?l0E4`4o`0L=0Co00DN1?l0
0aX4o`0?:@Co03E31?l0G4L4o`1Z>0?o06Lk1?l0ED/4o`0Y?0Co00/U1?l00QX4o`047@Co01<]1?l0
<D44o`1@CPCo05E<0ol0BTd4o`0Y?0Co00lY1?l011`4o`026@Co00LQ1?l052d4o`0V>PCo03910ol0
;Sl4o`0N=@Co00hY1?l01Ah4o`026@Co00<K1?l02B<4o`0A:`Oo01L`1?l04B/4o`0990Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0<9PCo00hX1?l03BL4
o`088PCo00@M0ol00QT4o`036PCo00LQ1?l042/4o`0L=0Co02@i1?l08SP4o`0G<0Co00/U0ol011`4
o`026@Co00HO1?l04b`4o`0Z?0Co04581?l0B4/4o`0hA0Co01he0ol02R@4o`036PCo00@L1?l042X4
o`0`@0Co05E;1?l0HD84o`1NA@Co04]=1?l07SD3o`078@Co008I1?l02B<4o`0X>`Co05Y81?l0LBh4
o`1h8`Co06/g1?l0Cdh3o`0H<@Co00@L1?l00a`4o`0H<0Co05=<1?l0MBL4o`6:00Co08L41?l0Kc43
o`15BPCo00lY1?l00QT4o`098`Co03A21?l0JSL4o`F<00Co9YP01?l2RP03o`1X>PCo02lo1?l01b44
o`026PCo01@]1?l0Dd`4o`1k7@Co89H01?lVV004o`204`?o05U91?l06S84o`036`Co00DN1?l08SP4
o`1NA0Co084A1?lETP04o`6:00?o06de1?l0?4H4o`0<9PCo008I1?l02B<4o`0`@0Co06521?l0Nah4
o`214`?o078]1?l0E4`4o`0L=0Co00DN1?l00aX4o`0?:@Co03E31?l0G4L4o`1Z>0?o06Lk1?l0ED/4
o`0Y?0Co00/U1?l00QX4o`047@Co01<]1?l0<D44o`1@CPCo05E<0ol0BTd4o`0Y?0Co00lY1?l011`4
o`026@Co00LQ1?l052d4o`0V>PCo03910ol0;Sl4o`0N=@Co00hY1?l01Ah4o`026@Co00<K1?l02B<4
o`0A:`Oo01L`1?l04B/4o`0990Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooo
ooooool01oooool4o`0=9`Co00lY1?l03BL4o`098`Co00@M0ol00QT4o`036`Co00LQ1?l04B/4o`0N
=@Co02Hj1?l093T4o`0H<@Co00/U0ol011`4o`026@Co00HO1?l052d4o`0/?PCo04A:1?l0C4d4o`0k
A@Co01lf0ol02R@4o`036PCo00@L1?l042X4o`0b@@Co05M:1?l0Hd04o`1P@`Co04m>1?l083H3o`07
8@Co008I1?l02B<4o`0[?@Co05a71?l0M2X4o`1k7PCo06hc1?l0DDd3o`0I<@So00@L1?l06C44o`1E
B`Co07TR1?l:SP04o`>;00Co074^0ol0B4/4o`0?:@Co008I1?l02B<4o`0gA0Co06dc1?l?T004oc:L
00Co2hh00ol0JSP4o`0a@0Co00LQ1?l00aX4o`0E;PCo05E;1?l0OaH4obbJ00Co<Y`01?l0Q0`3o`1K
A`Co01/c1?l00a/4o`057PCo02Di1?l0HD84o`252PCo7iH01?l9S@03o`1_<@Co03m71?l032L4o`02
6@Co00XT1?l0<T44o`1T?`Co07hH1?l0Q0/3o`1d:@Co05I;1?l07CD4o`057PCo00<J1?l03bT4o`0h
A0Co05i51?l0KC@3o`1Z>0Co05Q:1?l0:cd4o`0;9PCo008J1?l011d4o`0C;@Co03A21?l0DTd4o`1F
BP?o04i>1?l0:cd4o`0@:PCo00@L1?l00QT4o`078@Co01D^1?l0:3/4o`0d@P?o03101?l083H4o`0?
:@Co00DN1?l00QT4o`036`Co00TS1?l04B/7o`0H<@Co018/1?l02R@9ooooo`03o`000?oooooooooo
00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03BL4o`0?:@Co00dW1?l02B<4o`047@?o
008I1?l00a/4o`078@Co014[1?l07SD4o`0V>PCo02@i1?l06344o`0;9@?o00@L1?l00QT4o`067`Co
01@]1?l0;3h4o`14BPCo04a=1?l0>dD4o`0O=P?o00XT1?l00aX4o`0470Co010Z1?l0<T44o`1GBPCo
06=01?l0H4<4o`1?CPCo020f0ol01b44o`026@Co00TS1?l0:cd4o`1LA`Co07@Z1?l0Nah4o`1^<`Co
055=0ol06C48o`0470Co01Ta1?l0ED/4o`1i8PCo2Xh01?l3R`04o`1a;P?o04Q;1?l03bT4o`026@Co
00TS1?l0=d@4o`1]<`Co3i001?lbW004o`^>00?o06Xh1?l0<D04o`078@Co00<J1?l05Bh4o`1EB`Co
07lF1?l/VP04oc:L00Co08@<0ol0FdL4o`0K<`Co00<K1?l01Ah4o`0U>@Co06521?l0Q@X4oanF00Co
2Hd00ol0Kc44o`0oA`Co00`W1?l00QT4o`0:90Co03911?l0I3l4o`1n60Co08@;0ol0M2T4o`1FB`Co
01de1?l01Ah4o`036PCo00lY1?l0>4@4o`1NA@Co06dd0ol0JSP4o`1HBPCo02/m1?l02bH4o`026PCo
00@M1?l04bd4o`0d@PCo059=1?l0ETX3o`1>CPCo02/m1?l042X4o`0470Co008I1?l01b44o`0E;PCo
02Pk1?l0=483o`0`@0Co020f1?l03bT4o`057PCo008I1?l00a/4o`098`Co014[1ol06344o`0B;0Co
00XT2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00dW
1?l03bT4o`0=9`Co00TS1?l011d3o`026@Co00<K1?l01b44o`0A:`Co01he1?l09SX4o`0T>@Co01Pa
1?l02bD3o`0470Co008I1?l01Ql4o`0D;@Co02`n1?l0A4X4o`1<C@Co03]51?l07cH3o`0:90Co00<J
1?l011`4o`0@:PCo03911?l0EdX4o`1S@0Co06131?l0Cdh4o`0P=P?o00LQ1?l00QT4o`098`Co02/m
1?l0G4L4o`1d:PCo07/N1?l0KS<4o`1AC@?o01Ta2?l011`4o`0I<@Co05E;1?l0NB84o`Z>00Co0h/0
1?l0LBh3o`18B`Co00lY1?l00QT4o`098`Co03M41?l0KC<4o`n@00Co<Y`01?l;SP03o`1Z>0Co0350
1?l01b44o`036PCo01D^1?l0ED/4o`1o5PCo;9X01?lbW004o`2430?o05]71?l06c<4o`036`Co00DN
1?l09CT4o`1Q@PCo08D:1?lOUP04o`V=00?o06la1?l0?dL4o`0<9`Co008I1?l02R@4o`0b@@Co06@o
1?l0OQP4o`242`?o07@Y1?l0ET/4o`0M=@Co00DN1?l00aX4o`0?:@Co03Q41?l0GTD4o`1]=0?o06Xh
1?l0F4X4o`0[?@Co00/V1?l00QX4o`047@Co01<]1?l0=484o`1BC@Co05I:0ol0CTh4o`0[?@Co010Z
1?l011`4o`026@Co00LQ1?l05Bh4o`0X>`Co03A20ol0<404o`0P=PCo00lY1?l01Ah4o`026@Co00<K
1?l02B<4o`0A:`Oo01Pa1?l04R`4o`0:90Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o
0000ooooooooool01oooool4o`0=9`Co00lY1?l03BL4o`098`Co00@M0ol00QT4o`036`Co00LQ1?l0
4B/4o`0N=@Co02Hj1?l093T4o`0H<@Co00/U0ol011`4o`026@Co00HO1?l052d4o`0/?PCo04A:1?l0
C4d4o`0kA@Co01lf0ol02R@4o`036PCo00@L1?l042X4o`0b@@Co05M:1?l0Hd04o`1P@`Co04m>1?l0
83H3o`078@Co008I1?l02B<4o`0[?@Co05a71?l0M2X4o`1k7PCo06hc1?l0DDd3o`0I<@So00@L1?l0
6C44o`1EB`Co07TR1?l:SP04o`>;00Co074^0ol0B4/4o`0?:@Co008I1?l02B<4o`0gA0Co06dc1?l?
T004oc:L00Co2hh00ol0JSP4o`0a@0Co00LQ1?l00aX4o`0E;PCo05E;1?l0OaH4obbJ00Co<Y`01?l0
Q0`3o`1KA`Co01/c1?l00a/4o`057PCo02Di1?l0HD84o`252PCo7iH01?l9S@03o`1_<@Co03m71?l0
32L4o`026@Co00XT1?l0<T44o`1T?`Co07hH1?l0Q0/3o`1d:@Co05I;1?l07CD4o`057PCo00<J1?l0
3bT4o`0hA0Co05i51?l0KC@3o`1Z>0Co05Q:1?l0:cd4o`0;9PCo008J1?l011d4o`0C;@Co03A21?l0
DTd4o`1FBP?o04i>1?l0:cd4o`0@:PCo00@L1?l00QT4o`078@Co01D^1?l0:3/4o`0d@P?o03101?l0
83H4o`0?:@Co00DN1?l00QT4o`036`Co00TS1?l04B/7o`0H<@Co018/1?l02R@9ooooo`03o`000?oo
oooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03BL4o`0?:@Co00dX1?l02B<4
o`047@?o008I1?l00a/4o`088@Co018/1?l07cH4o`0X>`Co02Dj1?l06C44o`0;9P?o00@L1?l00QT4
o`0680Co01@^1?l0;Sl4o`18C0Co04m>1?l0?TL4o`0P=P?o00/U1?l00aX4o`0470Co014[1?l0=D84
o`1IB@Co06Dm1?l0HT44o`1@CPCo024g0ol01b44o`026@Co00XT1?l0;Ch4o`1NA@Co07LU1?l0OQP4
o`1`<0Co059=0ol06S88o`0470Co01Xb1?l0EdX4o`1l70Co4i401?l<SP04o`1d:P?o04]=1?l03bT4
o`026@Co00XT1?l0>dD4o`1a;`Co6Y@01?loX@04oa>A00?o06`e1?l0<T44o`078@Co00<J1?l05Rl4
o`1HBPCo08<>1?liW`04ocjP00Co08L60ol0GDH4o`0K<`Co00<K1?l01Ah4o`0W>PCo06A01?l0R084
ob^J00Co4Y400ol0LRd4o`12B@Co00dW1?l00QT4o`0:90Co03E21?l0IS`4o`214PCo08L40ol0Mb@4
o`1HBPCo01le1?l01Ah4o`036PCo010Z1?l0>dD4o`1P@`Co06la0ol0KC@4o`1JB0Co02hn1?l032H4
o`026PCo00DM1?l052h4o`0f@`Co05=<1?l0F4T3o`1@CPCo02dn1?l04B/4o`047@Co008I1?l01b44
o`0E;`Co02Tl1?l0=T<3o`0c@@Co028g1?l042X4o`057PCo008I1?l00a/4o`098`Co018/1ol06C44
o`0B;0Co00XT2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07oooo
o`Co00dW1?l03bT4o`0=:0Co00TS1?l011d3o`026@Co00<K1?l02244o`0B;0Co01lf1?l0:3/4o`0U
>PCo01Ta1?l02bH3o`0470Co008I1?l01R04o`0D;PCo02ho1?l0B4`4o`1?CPCo03i71?l083H3o`0;
9@Co00<J1?l011`4o`0A:`Co03E21?l0FDT4o`1U?@Co06911?l0D4h4o`0Q=`?o00LQ1?l00QT4o`0:
90Co02dn1?l0GTD4o`1g9@Co07hH1?l0L304o`1BC@?o01Xb2?l011`4o`0J<PCo05M:1?l0O1`4oa>A
00Co38h01?l0M2X3o`1;C@Co00lY1?l00QT4o`0:90Co03]51?l0LBl4oaZD00Co?j401?lCT@03o`1/
=@Co03911?l01b44o`036PCo01H_1?l0F4X4o`233PCo>Il01?lnX004o`271P?o05e61?l06c<4o`03
6`Co00DN1?l09cX4o`1T@0Co08P21?l[VP04oa:A00?o078]1?l0@TT4o`0=9`Co008I1?l02R@4o`0e
@PCo06Hl1?l0PA84o`2710?o07LT1?l0F4X4o`0O=@Co00DN1?l00aX4o`0@:PCo03]51?l0H4<4o`1_
<@?o06dd1?l0FTP4o`0^?PCo00`V1?l00QX4o`057@Co01@^1?l0=T<4o`1CC0Co05Q90ol0D4h4o`0]
?PCo014[1?l011d4o`026@Co00LQ1?l05Bl4o`0Y?0Co03I30ol0<d44o`0R=`Co010Z1?l01Ah4o`02
6@Co00<K1?l02B<4o`0B;0Oo01Ta1?l04R`4o`0:90Wooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool01oooool4o`0=9`Co00lY1?l03BP4o`098`Co00@M0ol00QT4o`036`Co
00PQ1?l04R`4o`0O=PCo02Pk1?l09CX4o`0I<@Co00/V0ol011`4o`026@Co00HP1?l052h4o`0^?`Co
04Q<1?l0Cdh4o`0nA`Co020f0ol02bD4o`036PCo00@L1?l04B/4o`0e@PCo05U91?l0ICd4o`1R@@Co
051>1?l08CL3o`078@Co008I1?l02R@4o`0]?PCo05i51?l0MbD4o`1n60Co070`1?l0DTd3o`0J<PSo
00@L1?l06S84o`1GBPCo07`L1?lCT@04o`b>00Co07@Z0ol0Bdd4o`0?:@Co008I1?l02R@4o`0kA@Co
074_1?lJU004ocnQ00Co4i400ol0K3D4o`0b@@Co00LQ1?l00aX4o`0F;`Co05Q:1?l0P`h4ocVO00Co
?Z001?l0Q`H3o`1MAPCo01/c1?l00a/4o`057PCo02Lj1?l0I404o`280PCo:iX01?lBT@03o`1b;@Co
04991?l03BL4o`026@Co00XT1?l0=D84o`1V?0Co084B1?l0Q`@3o`1g90Co05Q:1?l07cD4o`057PCo
00<J1?l042X4o`0kA@Co06131?l0Kc43o`1]=0Co05Y81?l0;Sh4o`0<9PCo008J1?l01Ad4o`0D;PCo
03I31?l0Dd`4o`1HB@?o051>1?l0;Ch4o`0A:`Co00@M1?l00QT4o`078@Co01D_1?l0:C`4o`0f@`?o
03=11?l08SL4o`0@:PCo00DN1?l00QT4o`036`Co00TS1?l04R`7o`0I<@Co018/1?l02R@9ooooo`03
o`000?oooooooooo00;ooooo000@ooooo`?o00002?ooool00ol0003oooooooooo`07ooooo`Co00dW
1?l03bT4o`0=:0Co00TS1?l011d3o`026@Co00<K1?l02244o`0B;0Co01lf1?l0:3/4o`0U>PCo01Ta
1?l02bH3o`0470Co008I1?l01R04o`0D;PCo02ho1?l0B4`4o`1?CPCo03i71?l083H3o`0;9@Co00<J
1?l011`4o`0A:`Co03E21?l0FDT4o`1U?@Co06911?l0D4h4o`0Q=`?o00LQ1?l00QT4o`0:90Co02dn
1?l0GTD4o`1g9@Co07hH1?l0L304o`1BC@?o01Xb2?l011`4o`0J<PCo05M:1?l0O1`4oa>A00Co38h0
1?l0M2X3o`1;C@Co00lY1?l00QT4o`0:90Co03]51?l0LBl4oaZD00Co?j401?lCT@03o`1/=@Co0391
1?l01b44o`036PCo01H_1?l0F4X4o`233PCo>Il01?lnX004o`271P?o05e61?l06c<4o`036`Co00DN
1?l09cX4o`1T@0Co08P21?l[VP04oa:A00?o078]1?l0@TT4o`0=9`Co008I1?l02R@4o`0e@PCo06Hl
1?l0PA84o`2710?o07LT1?l0F4X4o`0O=@Co00DN1?l00aX4o`0@:PCo03]51?l0H4<4o`1_<@?o06dd
1?l0FTP4o`0^?PCo00`V1?l00QX4o`057@Co01@^1?l0=T<4o`1CC0Co05Q90ol0D4h4o`0]?PCo014[
1?l011d4o`026@Co00LQ1?l05Bl4o`0Y?0Co03I30ol0<d44o`0R=`Co010Z1?l01Ah4o`026@Co00<K
1?l02B<4o`0B;0Oo01Ta1?l04R`4o`0:90Wooooo00?o0000ooooooooool00_ooool000oooooo00Go
0000ooooooooooooooooo`000007ooooo`03o`000?oooooooooo00Oooooo1?l03BP4o`0@:PCo00hX
1?l02B<4o`047@?o008I1?l00a/4o`088PCo01</1?l08CL4o`0Z?0Co02Lk1?l06S84o`0<9P?o00@L
1?l00QT4o`0780Co01D_1?l0<404o`1<C@Co051=1?l0@4P4o`0Q=`?o00/U1?l00aX4o`0470Co018/
1?l0>4@4o`1KA`Co06Pk1?l0I3l4o`1BC@Co028g0ol01b44o`026@Co00XT1?l0<404o`1Q@PCo07XO
1?l0PA44o`1c;0Co05A<0ol06S88o`0470Co01`d1?l0FTP4o`1o5@Co7YD01?lDTP04o`1f9P?o04e>
1?l03bX4o`026@Co00XT1?l0?dL4o`1d:PCo9IP01?m<Y@04oafE00?o06lb1?l0=484o`078@Co00<J
1?l05c04o`1JB0Co08H61?m7X`04od^T00Co08X00ol0GTD4o`0L=0Co00<K1?l01Ql4o`0Y?0Co06Hm
1?l6S004ocNN00Co79D00ol0M2T4o`15BPCo00dW1?l00QT4o`0:9@Co03Q41?l0JCT4o`242`Co0h/0
0ol0NQl4o`1IB0Co020f1?l01Ah4o`036PCo010Z1?l0?DL4o`1R@@Co078]0ol0Kc44o`1LA`Co0310
1?l032L4o`026PCo00DM1?l05Bh4o`0hA0Co05E;1?l0FTP3o`1BC@Co03101?l04B/4o`047@Co008I
1?l01b44o`0F;`Co02/m1?l0>D@3o`0e@`Co02<h1?l04B/4o`067`Co008I1?l00a/4o`098`Co018/
1ol06S84o`0C;@Co00/U2Oooool00ol0003oooooooooo`02ooooo`002Oooool5o`0000Gooooo00?o
0000ooooooooool01Oooool4o`0000Kooooo1?l03BP4o`0@:PCo00hX1?l02B<4o`047@?o008I1?l0
0a/4o`088PCo01</1?l08CL4o`0Z?0Co02Lk1?l06S84o`0<9P?o00@L1?l00QT4o`0780Co01D_1?l0
<404o`1<C@Co051=1?l0@4P4o`0Q=`?o00/U1?l00aX4o`0470Co018/1?l0>4@4o`1KA`Co06Pk1?l0
I3l4o`1BC@Co028g0ol01b44o`026@Co00XT1?l0<404o`1Q@PCo07XO1?l0PA44o`1c;0Co05A<0ol0
6S88o`0470Co01`d1?l0FTP4o`1o5@Co7YD01?lDTP04o`1f9P?o04e>1?l03bX4o`026@Co00XT1?l0
?dL4o`1d:PCo9IP01?m<Y@04oafE00?o06lb1?l0=484o`078@Co00<J1?l05c04o`1JB0Co08H61?m7
X`04od^T00Co08X00ol0GTD4o`0L=0Co00<K1?l01Ql4o`0Y?0Co06Hm1?l6S004ocNN00Co79D00ol0
M2T4o`15BPCo00dW1?l00QT4o`0:9@Co03Q41?l0JCT4o`242`Co0h/00ol0NQl4o`1IB0Co020f1?l0
1Ah4o`036PCo010Z1?l0?DL4o`1R@@Co078]0ol0Kc44o`1LA`Co03101?l032L4o`026PCo00DM1?l0
5Bh4o`0hA0Co05E;1?l0FTP3o`1BC@Co03101?l04B/4o`047@Co008I1?l01b44o`0F;`Co02/m1?l0
>D@3o`0e@`Co02<h1?l04B/4o`067`Co008I1?l00a/4o`098`Co018/1ol06S84o`0C;@Co00/U1_oo
ool4o`0000Cooooo000Cooooo`03o`000?oooooooooo00Gooooo00?o0000ooooooooool01oooool4
o`0=:0Co010Z1?l03RP4o`098`Co00@M0ol00QT4o`036`Co00PR1?l04b`4o`0Q=`Co02Xl1?l09c/4
o`0J<PCo00`V0ol011`4o`026@Co00LP1?l05Bl4o`0`@0Co04a=1?l0D4d4o`10B0Co024g0ol02bD4
o`036PCo00@L1?l04R`4o`0hA0Co05]71?l0J3/4o`1T?`Co059=1?l08SL3o`078@Co008I1?l02R@4
o`0`@0Co06521?l0NQl4o`214@Co07</1?l0E4`3o`0J<PSo00@L1?l073@4o`1JB0Co07lE1?lNU@04
oaBB00Co07HV0ol0CDh4o`0?:PCo008I1?l02R@4o`0oA`Co07@Z1?lUV004odbU00Co7ID00ol0Kc84
o`0d@PCo00LQ1?l00aX4o`0G<0Co05Y81?l0QPH4odNS00CoBj@01?l0RP03o`1NA@Co01`d1?l00a/4
o`067`Co02Tl1?l0ISd4o`J<00Co=ih01?lLU@03o`1d:@Co04E:1?l03BL4o`026@Co00XU1?l0>4@4
o`1Y>@Co08@;1?l3R`03o`1j7`Co05U81?l083H4o`057PCo00<J1?l042X4o`0mA`Co06911?l0LRd3
o`1_<@Co05a71?l0<404o`0<9`Co008J1?l01Ad4o`0E;PCo03Q41?l0ED/4o`1JB0?o059=1?l0<404
o`0A:`Co00@M1?l00QT4o`078@Co01H_1?l0:cd4o`0iA0?o03E31?l08cP4o`0A:`Co00HO1?l00QT4
o`036`Co00TS1?l04R`7o`0J<PCo01<]1?l02bD9ooooo`03o`000?oooooooooo00;ooooo000?oooo
o`Co00002?ooool00ol0003oooooooooo`07ooooo`Co00dX1?l042X4o`0>:0Co00TS1?l011d3o`02
6@Co00<K1?l02284o`0C;0Co024g1?l0:S`4o`0W>`Co01Xb1?l032H3o`0470Co008I1?l01b04o`0E
;`Co03101?l0C4d4o`1@C@Co04181?l08CL3o`0;9@Co00<J1?l011`4o`0B;0Co03Q41?l0FdL4o`1X
>`Co06@o1?l0DTd4o`0R=`?o00LQ1?l00QT4o`0:90Co03101?l0HD84o`1j7`Co084A1?l0Lb`4o`1D
C0?o01Xb2?l011`4o`0L=0Co05Y81?l0OaD4oajE00Co59801?l0MRH3o`1=CPCo00lZ1?l00QT4o`0:
90Co03m71?l0M2X4obFH00CoC:D01?lMU@03o`1_<PCo03A21?l01b44o`036PCo01L`1?l0FTP4o`26
1PCoAj<01?m;Y004o`2:00?o05i51?l073@4o`036`Co00HO1?l0:C`4o`1V?@Co1X`01?lgWP04oabE
00?o07@Y1?l0ADX4o`0=9`Co008I1?l02RD4o`0hA0Co06Ti1?l0Q0/4o`>;00?o07XO1?l0FDP4o`0P
=PCo00DN1?l00aX4o`0@:PCo03e71?l0HT44o`1b;@?o06la1?l0G4L4o`0`@0Co00`W1?l00QX4o`05
7@Co01D^1?l0>4@4o`1EB`Co05Y80ol0DTd4o`0`@0Co014[1?l011d4o`026@Co00LQ1?l05Rl4o`0[
?@Co03U40ol0=D<4o`0S>0Co014[1?l01Ql4o`026@Co00<K1?l02B<4o`0B;0Oo01Xb1?l04bd4o`0;
9@Wooooo00?o0000ooooooooool00_ooool000oooooo00?o0000ooooooooool02Oooool00ol0003o
ooooooooo`07ooooo`Co00hX1?l042X4o`0>:@Co00TS1?l011d3o`026@Co00<K1?l02284o`0C;@Co
028h1?l0;3d4o`0Y?0Co01/c1?l032H3o`0470Co008I1?l01b04o`0F;`Co03=11?l0Cdh4o`1BC@Co
04=91?l08cP3o`0;9@Co00<J1?l011`4o`0C;0Co03]51?l0GDD4o`1Z>0Co06Ll1?l0Dd`4o`0S>0?o
00PQ1?l00QT4o`0;9@Co03911?l0Hd04o`1m6@Co08@;1?l0MBP4o`1EB`?o01/c2?l011`4o`0N=@Co
05a61?l0P`h4obRI00Co7YD01?l0NB83o`1?CPCo010Z1?l00QT4o`0;9@Co04991?l0MbD4oc6L00Co
FZT01?lVV003o`1a;`Co03E31?l01b44o`036PCo01Ta1?l0G4H4o`6:00CoEJL01?mIZ004o`R=00?o
06131?l07C@4o`036`Co00HO1?l0:cd4o`1Y>@Co3i001?m3XP04obJH00?o07LU1?l0Ad/4o`0=9`Co
008I1?l02bD4o`0kA@Co06`f1?l0R0<4o`^>00?o07dJ1?l0FdL4o`0Q=`Co00DN1?l00aX4o`0A:`Co
04181?l0ICh4o`1e:0?o078]1?l0GTD4o`0b@@Co00dW1?l00QX4o`057@Co01D_1?l0>dD4o`1GBPCo
05a60ol0E4`4o`0b@@Co018/1?l011d4o`026@Co00LQ1?l05c04o`0]?PCo03a60ol0>4@4o`0U>PCo
014[1?l01Ql4o`026@Co00<K1?l02B<4o`0C;@Oo01/c1?l052h4o`0;9@Wooooo00?o0000oooooooo
ool00_ooool000oooooo1Ol00007ooooo`03o`000?oooooooooo00Oooooo1?l03RP4o`0@:PCo00hY
1?l02B<4o`047@?o008I1?l00a/4o`088PCo01<]1?l08SP4o`0/?@Co02Tl1?l06c<4o`0<9P?o00@L
1?l00QT4o`0780Co01H_1?l0<d44o`1?CPCo059=1?l0@dT4o`0S>0?o00/U1?l00aX4o`0470Co01</
1?l0>dD4o`1MA@Co06Xh1?l0Ic`4o`1CC0Co02<h0ol02244o`026@Co00/U1?l0<T44o`1S@0Co07dI
1?l0Q0/4o`1e:0Co05E;0ol06c<8o`0470Co01he1?l0G4H4o`233PCo:9T01?lNU@04o`1i8P?o04m>
1?l042X4o`026@Co00/U1?l0@TT4o`1g9@Co<I`01?mJZ@04obJH00?o074_1?l0=D<4o`078@Co00<J
1?l06C44o`1LAPCo0HX01?mEY`04oeVX00Co28d00ol0H4<4o`0M=0Co00<K1?l01Ql4o`0[?@Co06Ti
1?l?T004od>R00Co9YP00ol0MbD4o`17B`Co00dW1?l00QT4o`0;9@Co03]51?l0K3H4o`280`Co2hh0
0ol0OAX4o`1KA`Co024g1?l01Ah4o`036PCo014[1?l0@4P4o`1U?PCo07DX0ol0LRd4o`1NA@Co0391
1?l03BL4o`026PCo00DM1?l05Bl4o`0kA@Co05M:1?l0G4H3o`1DC0Co03911?l04R`4o`047@Co008I
1?l01b44o`0G<0Co02dn1?l0?4H3o`0hA0Co02Dj1?l04B/4o`067`Co008I1?l00a/4o`098`Co01<]
1ol06c<4o`0D;PCo00/U2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooooooo
o`07ooooo`Co00hX1?l042X4o`0>:@Co00TS1?l011d3o`026@Co00<K1?l02284o`0C;@Co028h1?l0
;3d4o`0Y?0Co01/c1?l032H3o`0470Co008I1?l01b04o`0F;`Co03=11?l0Cdh4o`1BC@Co04=91?l0
8cP3o`0;9@Co00<J1?l011`4o`0C;0Co03]51?l0GDD4o`1Z>0Co06Ll1?l0Dd`4o`0S>0?o00PQ1?l0
0QT4o`0;9@Co03911?l0Hd04o`1m6@Co08@;1?l0MBP4o`1EB`?o01/c2?l011`4o`0N=@Co05a61?l0
P`h4obRI00Co7YD01?l0NB83o`1?CPCo010Z1?l00QT4o`0;9@Co04991?l0MbD4oc6L00CoFZT01?lV
V003o`1a;`Co03E31?l01b44o`036PCo01Ta1?l0G4H4o`6:00CoEJL01?mIZ004o`R=00?o06131?l0
7C@4o`036`Co00HO1?l0:cd4o`1Y>@Co3i001?m3XP04obJH00?o07LU1?l0Ad/4o`0=9`Co008I1?l0
2bD4o`0kA@Co06`f1?l0R0<4o`^>00?o07dJ1?l0FdL4o`0Q=`Co00DN1?l00aX4o`0A:`Co04181?l0
ICh4o`1e:0?o078]1?l0GTD4o`0b@@Co00dW1?l00QX4o`057@Co01D_1?l0>dD4o`1GBPCo05a60ol0
E4`4o`0b@@Co018/1?l011d4o`026@Co00LQ1?l05c04o`0]?PCo03a60ol0>4@4o`0U>PCo014[1?l0
1Ql4o`026@Co00<K1?l02B<4o`0C;@Oo01/c1?l052h4o`0;9@Wooooo00?o0000ooooooooool00_oo
ool001_ooooo00?o0000ooooooooool01oooool4o`0>:0Co010Z1?l03RT4o`098`Co00@M0ol00QT4
o`036`Co00PR1?l04bd4o`0R>0Co02`m1?l0:C`4o`0K<`Co00`V0ol011`4o`026@Co00LP1?l05Rl4
o`0c@@Co04m>1?l0DTd4o`13B@Co02<h0ol02bD4o`036PCo00@L1?l04b`4o`0kA@Co05e51?l0JSP4
o`1W?0Co05=<1?l08cP3o`088@Co008I1?l02bD4o`0b@@Co06=01?l0OAT4o`242`Co07DX1?l0ED/3
o`0K<`So00@L1?l07SD4o`1LAPCo08<>1?lXV@04oajE00Co07TR0ol0Cdh4o`0@:PCo008I1?l02bD4
o`12B@Co07LU1?laW004oeZY00Co9YP00ol0LBl4o`0e@`Co00LQ1?l00aX4o`0I<@Co05a61?l1RP04
oeFW00CoFJP01?l8S@03o`1P@`Co01dd1?l00a/4o`067`Co02/m1?l0JCT4o`n@00Co@j801?lVV003
o`1g9@Co04M;1?l03BL4o`026@Co00/U1?l0>dD4o`1/=PCo08P31?l;SP03o`1m6PCo05]71?l08CL4
o`057PCo00<J1?l04B/4o`10B0Co06Dn1?l0MBP3o`1b;@Co05i51?l0<T44o`0=9`Co008J1?l01Ad4
o`0E;`Co03]51?l0EdX4o`1LAP?o05A<1?l0<T44o`0B;0Co00@M1?l00QT4o`078@Co01L`1?l0;Ch4
o`0lAP?o03Q41?l09CX4o`0A:`Co00HO1?l00QT4o`036`Co00TS1?l04bd7o`0K<`Co01@^1?l02bD9
ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03RT4o`0A
:`Co00lY1?l02R@4o`057@?o008I1?l00a/4o`088PCo01@^1?l093T4o`0^?PCo02Xm1?l073<4o`0<
9`?o00@L1?l00QT4o`0780Co01L`1?l0=D84o`1@C@Co05A<1?l0AT/4o`0T>@?o00/V1?l00aX4o`04
70Co01@]1?l0?TL4o`1OA0Co06de1?l0JCX4o`1EB`Co02@i0ol02244o`026@Co00/U1?l0=D<4o`1U
?@Co080C1?l0Q`@4o`1g90Co05M:0ol06c<4o`0470Co00@M1?l07cH4o`1NA0Co08H71?ldW@04obNI
00Co07/M0ol0D4h4o`0@:PCo008I1?l02bH4o`17B`Co07XO1?lnX004ofV]00Co<9`00ol0Lb`4o`0g
@`Co00LQ1?l00aX4o`0J<PCo05m41?l:SP04ofB/00CoIjd01?l?T003o`1R@PCo01he1?l00a/4o`06
7`Co02ho1?l0K3H4oaVD00CoDJH01?l`W003o`1i8@Co04Y<1?l03BP4o`026@Co00/V1?l0?TL4o`1^
<`Co0h/01?lDTP03o`2050Co05e61?l08SP4o`057PCo00<J1?l04B/4o`13B@Co06Ll1?l0Mb@3o`1e
:@Co06131?l0=484o`0=9`Co008J1?l01Ad4o`0F;`Co03e61?l0FDT4o`1NA0?o05I;1?l0=D84o`0C
;@Co00DM1?l00QT4o`078@Co01L`1?l0;Sl4o`0nA`?o03Y51?l09c/4o`0B;0Co00HO1?l00QT4o`03
6`Co00TS1?l04bd4o`0L<`?o01`d1?l05Bh4o`0<9PWooooo00?o0000ooooooooool00_ooool001_o
oooo00?o0000ooooooooool01oooool4o`0>:@Co014[1?l03bT4o`0:90Co00DM0ol00QT4o`036`Co
00PR1?l052h4o`0T>@Co02hn1?l0:Sd4o`0L<`Co00`W0ol011`4o`026@Co00LP1?l05c04o`0e@PCo
051=1?l0E4`4o`16B`Co02@i0ol02bH4o`036PCo00@L1?l052d4o`0nA`Co05m41?l0KCD4o`1Y>PCo
05E;1?l093T3o`088@Co008I1?l02bD4o`0e@`Co06Dm1?l0P1<4o`2710Co07LT1?l0EdX3o`0K<`Co
00@L1?l011d4o`0O=PCo05i41?l0QPL4ocBM00Co9iT01?l0Nad3o`1@CPCo010Z1?l00QT4o`0;9PCo
04M;1?l0NQl4ocjP00CoJJd01?l`W003o`1c;0Co03M31?l01b44o`036PCo01Xb1?l0Gd@4o`Z>00Co
I:`01?mW[@04o`n@00?o06921?l07SD4o`036`Co00HO1?l0;Sl4o`1/=PCo6I@01?mAYP04oc2L00?o
07TQ1?l0BT`4o`0=:0Co008I1?l02bH4o`0nA`Co06hc1?l3R`04oaBB00?o080D1?l0GDH4o`0R>0Co
00DN1?l00aX4o`0A:`Co04=91?l0Ic`4o`1g90?o07DY1?l0H4<4o`0d@PCo00dW1?l00QX4o`057@Co
01H_1?l0?DH4o`1IB@Co05i40ol0ET/4o`0e@PCo01<]1?l01Ad4o`026@Co00LQ1?l05c04o`0^?`Co
03i70ol0>TD4o`0W>`Co018/1?l01Ql4o`026@Co00<K1?l02B<4o`0C;@Co01`c0ol073@4o`0E;PCo
00`V2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00hY
1?l04B/4o`0?:@Co00XT1?l01Ad3o`026@Co00<K1?l02284o`0D;PCo02@i1?l0;Sh4o`0Z?@Co01`c
1?l032L3o`0470Co008I1?l01b04o`0G<0Co03E21?l0D4d4o`1DC0Co04I;1?l093T3o`0;9PCo00<J
1?l011`4o`0D;@Co03i71?l0Gd@4o`1]=@Co06Tj1?l0ED/4o`0T>@?o00PQ1?l00QT4o`0;9@Co03E3
1?l0ICd4o`204`Co08L41?l0Mb@4o`1GBP?o01/c1?l011`4o`047@Co01lf1?l0GT@4o`261`Co=9d0
1?lWV@04o`1k7@?o051>1?l042X4o`026@Co00/V1?l0Ad/4o`1j7`Co?Z001?mY[@04oc2L00?o07</
1?l0=d<4o`078@Co00<J1?l06S84o`1OA0Co2Xh01?mT[004ofN]00Co3i000ol0HT84o`0N=@Co00<K
1?l01Ql4o`0^?`Co06`f1?lIU004oe6V00Co<9`00ol0NB44o`1:C0Co00dX1?l00QT4o`0;9PCo03i7
1?l0KS<4o`>;00Co59800ol0P1@4o`1MAPCo028h1?l01Ah4o`036PCo014[1?l0@dT4o`1W?0Co07LT
0ol0MBT4o`1P@`Co03A21?l03BL4o`026PCo00DM1?l05Rl4o`0mAPCo05U91?l0GT@3o`1FB`Co03E2
1?l04bd4o`057@Co008I1?l01b44o`0G<0Co02ho1?l0?TL3o`0jA@Co02Lk1?l04R`4o`067`Co008I
1?l00a/4o`098`Co01<]1?l073<3o`0L=0Co01D^1?l032H9ooooo`03o`000?oooooooooo00;ooooo
000Kooooo`03o`000?oooooooooo00Oooooo1?l03RT4o`0A:`Co00lY1?l02R@4o`057@?o008I1?l0
0a/4o`088PCo01@^1?l093T4o`0^?PCo02Xm1?l073<4o`0<9`?o00@L1?l00QT4o`0780Co01L`1?l0
=D84o`1@C@Co05A<1?l0AT/4o`0T>@?o00/V1?l00aX4o`0470Co01@]1?l0?TL4o`1OA0Co06de1?l0
JCX4o`1EB`Co02@i0ol02244o`026@Co00/U1?l0=D<4o`1U?@Co080C1?l0Q`@4o`1g90Co05M:0ol0
6c<4o`0470Co00@M1?l07cH4o`1NA0Co08H71?ldW@04obNI00Co07/M0ol0D4h4o`0@:PCo008I1?l0
2bH4o`17B`Co07XO1?lnX004ofV]00Co<9`00ol0Lb`4o`0g@`Co00LQ1?l00aX4o`0J<PCo05m41?l:
SP04ofB/00CoIjd01?l?T003o`1R@PCo01he1?l00a/4o`067`Co02ho1?l0K3H4oaVD00CoDJH01?l`
W003o`1i8@Co04Y<1?l03BP4o`026@Co00/V1?l0?TL4o`1^<`Co0h/01?lDTP03o`2050Co05e61?l0
8SP4o`057PCo00<J1?l04B/4o`13B@Co06Ll1?l0Mb@3o`1e:@Co06131?l0=484o`0=9`Co008J1?l0
1Ad4o`0F;`Co03e61?l0FDT4o`1NA0?o05I;1?l0=D84o`0C;@Co00DM1?l00QT4o`078@Co01L`1?l0
;Sl4o`0nA`?o03Y51?l09c/4o`0B;0Co00HO1?l00QT4o`036`Co00TS1?l04bd4o`0L<`?o01`d1?l0
5Bh4o`0<9PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4
o`0?:@Co014[1?l03bX4o`0:90Co00DM0ol00QT4o`036`Co00TS1?l05Bh4o`0U>@Co03101?l0;3h4
o`0M=0Co00dW0ol011`4o`026@Co00LQ1?l06344o`0hA0Co059=1?l0ED/4o`19C0Co02Dj0ol032H4
o`036PCo00@L1?l052h4o`11B0Co06521?l0Kc44o`1[=`Co05I;1?l09CX3o`088@Co008I1?l032H4
o`0hA0Co06Pk1?l0P`d4o`::00Co07XP1?l0F4T3o`0L=0Co00@L1?l011d4o`0Q=`Co06521?l0RP04
ocnQ00Co<I`01?l0OAT3o`1AC@Co010Z1?l00QT4o`0<9PCo04]=1?l0OAT4od^T00CoN;401?ljW`03
o`1e:0Co03Q41?l01b44o`036`Co01`c1?l0HD84oa>A00CoLk001?me/@04oaNC00?o06=01?l07SD4
o`036`Co00HP1?l0<404o`1^<PCo8iL01?mNZP04oc^O00?o07`L1?l0CDh4o`0>:0Co008I1?l032H4
o`11B0Co074_1?l<SP04oafE00?o08<>1?l0Gd@4o`0T>@Co00DO1?l00aX4o`0B;0Co04I;1?l0JCT4
o`1j7`?o07LT1?l0HT44o`0g@`Co00hX1?l00QX4o`057PCo01L`1?l0?dP4o`1JB0Co06130ol0EdX4
o`0gA0Co01@]1?l01Ad4o`026@Co00PQ1?l06344o`0`@0Co04580ol0?DH4o`0Y?0Co01<]1?l01R04
o`026@Co00<K1?l02R@4o`0D;@Oo01dd1?l05Rl4o`0<9PWooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0?:@Co014[1?l03bX4o`0:90Co00DM0ol00QT4o`03
6`Co00TS1?l05Bh4o`0U>@Co03101?l0;3h4o`0M=0Co00dW0ol011`4o`026@Co00LQ1?l06344o`0h
A0Co059=1?l0ED/4o`19C0Co02Dj0ol032H4o`036PCo00@L1?l052h4o`11B0Co06521?l0Kc44o`1[
=`Co05I;1?l09CX3o`088@Co008I1?l032H4o`0hA0Co06Pk1?l0P`d4o`::00Co07XP1?l0F4T3o`0L
=0Co00@L1?l011d4o`0Q=`Co06521?l0RP04ocnQ00Co<I`01?l0OAT3o`1AC@Co010Z1?l00QT4o`0<
9PCo04]=1?l0OAT4od^T00CoN;401?ljW`03o`1e:0Co03Q41?l01b44o`036`Co01`c1?l0HD84oa>A
00CoLk001?me/@04oaNC00?o06=01?l07SD4o`036`Co00HP1?l0<404o`1^<PCo8iL01?mNZP04oc^O
00?o07`L1?l0CDh4o`0>:0Co008I1?l032H4o`11B0Co074_1?l<SP04oafE00?o08<>1?l0Gd@4o`0T
>@Co00DO1?l00aX4o`0B;0Co04I;1?l0JCT4o`1j7`?o07LT1?l0HT44o`0g@`Co00hX1?l00QX4o`05
7PCo01L`1?l0?dP4o`1JB0Co06130ol0EdX4o`0gA0Co01@]1?l01Ad4o`026@Co00PQ1?l06344o`0`
@0Co04580ol0?DH4o`0Y?0Co01<]1?l01R04o`026@Co00<K1?l02R@4o`0D;@Oo01dd1?l05Rl4o`0<
9PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0?:@Co
014[1?l03bX4o`0:90Co00DM0ol00QT4o`036`Co00TS1?l05Bh4o`0U>@Co03101?l0;3h4o`0M=0Co
00dW0ol011`4o`026@Co00LQ1?l06344o`0hA0Co059=1?l0ED/4o`19C0Co02Dj0ol032H4o`036PCo
00@L1?l052h4o`11B0Co06521?l0Kc44o`1[=`Co05I;1?l09CX3o`088@Co008I1?l032H4o`0hA0Co
06Pk1?l0P`d4o`::00Co07XP1?l0F4T3o`0L=0Co00@L1?l011d4o`0Q=`Co06521?l0RP04ocnQ00Co
<I`01?l0OAT3o`1AC@Co010Z1?l00QT4o`0<9PCo04]=1?l0OAT4od^T00CoN;401?ljW`03o`1e:0Co
03Q41?l01b44o`036`Co01`c1?l0HD84oa>A00CoLk001?me/@04oaNC00?o06=01?l07SD4o`036`Co
00HP1?l0<404o`1^<PCo8iL01?mNZP04oc^O00?o07`L1?l0CDh4o`0>:0Co008I1?l032H4o`11B0Co
074_1?l<SP04oafE00?o08<>1?l0Gd@4o`0T>@Co00DO1?l00aX4o`0B;0Co04I;1?l0JCT4o`1j7`?o
07LT1?l0HT44o`0g@`Co00hX1?l00QX4o`057PCo01L`1?l0?dP4o`1JB0Co06130ol0EdX4o`0gA0Co
01@]1?l01Ad4o`026@Co00PQ1?l06344o`0`@0Co04580ol0?DH4o`0Y?0Co01<]1?l01R04o`026@Co
00<K1?l02R@4o`0D;@Oo01dd1?l05Rl4o`0<9PWooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0?:PCo018/1?l042X4o`0:90Co00DM0ol00QT4o`036`Co00TS
1?l05Rl4o`0W>PCo03911?l0;Sl4o`0N=@Co00dW0ol011`4o`026@Co00LQ1?l06C84o`0jA@Co05A<
1?l0EdX4o`1<C@Co02Hj0ol032H4o`036PCo00@M1?l05Bl4o`14BPCo06@o1?l0LBh4o`1]=0Co05Q:
1?l09SX3o`088PCo008I1?l032H4o`0kA@Co06Xh1?l0QPH4o`V=00Co07`K1?l0FTP3o`0M=0Co00@L
1?l011d4o`0S>0Co06=01?l8S@04od^T00Co>il01?l0P1D3o`1BC@Co010Z1?l00QT4o`0=9`Co04m>
1?l0PA<4oeRX00CoQkD01?m4XP03o`1g9@Co03U51?l01b44o`036`Co01dd1?l0I3l4oafE00CoPk@0
1?n4]004oanF00?o06Dn1?l07cD4o`036`Co00LP1?l0<d44o`1a;PCo;Y/01?m/[P04odJS00?o07hH
1?l0Cdh4o`0>:0Co008I1?l032L4o`14BPCo07<[1?lDTP04obNH00?o08D81?l0HD84o`0U>@Co00HO
1?l00aX4o`0C;0Co04U<1?l0JcH4o`1m6P?o07XP1?l0I3l4o`0iA@Co00hX1?l00QX4o`057PCo01P`
1?l0@TT4o`1LAPCo06910ol0FDT4o`0jA@Co01D^1?l01Ah4o`026@Co00PQ1?l06C44o`0b@@Co04=9
0ol0@4P4o`0[?@Co01@]1?l01R04o`026@Co00<K1?l02R@4o`0D;POo01he1?l05c04o`0=9`Wooooo
00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0?:PCo018/1?l0
42X4o`0:90Co00DM0ol00QT4o`036`Co00TS1?l05Rl4o`0W>PCo03911?l0;Sl4o`0N=@Co00dW0ol0
11`4o`026@Co00LQ1?l06C84o`0jA@Co05A<1?l0EdX4o`1<C@Co02Hj0ol032H4o`036PCo00@M1?l0
5Bl4o`14BPCo06@o1?l0LBh4o`1]=0Co05Q:1?l09SX3o`088PCo008I1?l032H4o`0kA@Co06Xh1?l0
QPH4o`V=00Co07`K1?l0FTP3o`0M=0Co00@L1?l011d4o`0S>0Co06=01?l8S@04od^T00Co>il01?l0
P1D3o`1BC@Co010Z1?l00QT4o`0=9`Co04m>1?l0PA<4oeRX00CoQkD01?m4XP03o`1g9@Co03U51?l0
1b44o`036`Co01dd1?l0I3l4oafE00CoPk@01?n4]004oanF00?o06Dn1?l07cD4o`036`Co00LP1?l0
<d44o`1a;PCo;Y/01?m/[P04odJS00?o07hH1?l0Cdh4o`0>:0Co008I1?l032L4o`14BPCo07<[1?lD
TP04obNH00?o08D81?l0HD84o`0U>@Co00HO1?l00aX4o`0C;0Co04U<1?l0JcH4o`1m6P?o07XP1?l0
I3l4o`0iA@Co00hX1?l00QX4o`057PCo01P`1?l0@TT4o`1LAPCo06910ol0FDT4o`0jA@Co01D^1?l0
1Ah4o`026@Co00PQ1?l06C44o`0b@@Co04=90ol0@4P4o`0[?@Co01@]1?l01R04o`026@Co00<K1?l0
2R@4o`0D;POo01he1?l05c04o`0=9`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`0?:PCo018/1?l042X4o`0:90Co00DM0ol00QT4o`036`Co00TS1?l05Rl4
o`0W>PCo03911?l0;Sl4o`0N=@Co00dW0ol011`4o`026@Co00LQ1?l06C84o`0jA@Co05A<1?l0EdX4
o`1<C@Co02Hj0ol032H4o`036PCo00@M1?l05Bl4o`14BPCo06@o1?l0LBh4o`1]=0Co05Q:1?l09SX3
o`088PCo008I1?l032H4o`0kA@Co06Xh1?l0QPH4o`V=00Co07`K1?l0FTP3o`0M=0Co00@L1?l011d4
o`0S>0Co06=01?l8S@04od^T00Co>il01?l0P1D3o`1BC@Co010Z1?l00QT4o`0=9`Co04m>1?l0PA<4
oeRX00CoQkD01?m4XP03o`1g9@Co03U51?l01b44o`036`Co01dd1?l0I3l4oafE00CoPk@01?n4]004
oanF00?o06Dn1?l07cD4o`036`Co00LP1?l0<d44o`1a;PCo;Y/01?m/[P04odJS00?o07hH1?l0Cdh4
o`0>:0Co008I1?l032L4o`14BPCo07<[1?lDTP04obNH00?o08D81?l0HD84o`0U>@Co00HO1?l00aX4
o`0C;0Co04U<1?l0JcH4o`1m6P?o07XP1?l0I3l4o`0iA@Co00hX1?l00QX4o`057PCo01P`1?l0@TT4
o`1LAPCo06910ol0FDT4o`0jA@Co01D^1?l01Ah4o`026@Co00PQ1?l06C44o`0b@@Co04=90ol0@4P4
o`0[?@Co01@]1?l01R04o`026@Co00<K1?l02R@4o`0D;POo01he1?l05c04o`0=9`Wooooo00?o0000
ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0?:PCo018/1?l042X4o`0:
90Co00DM0ol00QT4o`036`Co00TS1?l05Rl4o`0W>PCo03911?l0;Sl4o`0N=@Co00dW0ol011`4o`02
6@Co00LQ1?l06C84o`0jA@Co05A<1?l0EdX4o`1<C@Co02Hj0ol032H4o`036PCo00@M1?l05Bl4o`14
BPCo06@o1?l0LBh4o`1]=0Co05Q:1?l09SX3o`088PCo008I1?l032H4o`0kA@Co06Xh1?l0QPH4o`V=
00Co07`K1?l0FTP3o`0M=0Co00@L1?l011d4o`0S>0Co06=01?l8S@04od^T00Co>il01?l0P1D3o`1B
C@Co010Z1?l00QT4o`0=9`Co04m>1?l0PA<4oeRX00CoQkD01?m4XP03o`1g9@Co03U51?l01b44o`03
6`Co01dd1?l0I3l4oafE00CoPk@01?n4]004oanF00?o06Dn1?l07cD4o`036`Co00LP1?l0<d44o`1a
;PCo;Y/01?m/[P04odJS00?o07hH1?l0Cdh4o`0>:0Co008I1?l032L4o`14BPCo07<[1?lDTP04obNH
00?o08D81?l0HD84o`0U>@Co00HO1?l00aX4o`0C;0Co04U<1?l0JcH4o`1m6P?o07XP1?l0I3l4o`0i
A@Co00hX1?l00QX4o`057PCo01P`1?l0@TT4o`1LAPCo06910ol0FDT4o`0jA@Co01D^1?l01Ah4o`02
6@Co00PQ1?l06C44o`0b@@Co04=90ol0@4P4o`0[?@Co01@]1?l01R04o`026@Co00<K1?l02R@4o`0D
;POo01he1?l05c04o`0=9`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0@:PCo01</1?l042X4o`0:9@Co00DN0ol00QT4o`036`Co00TS1?l05Rl4o`0X>`Co
03A21?l0<404o`0O=PCo00hX0ol011`4o`026@Co00PQ1?l06S84o`0mAPCo05E;1?l0FDT4o`1?CPCo
02Pk0ol032H4o`036PCo00@M1?l05Rl4o`17B`Co06Hm1?l0M2X4o`1_<@Co05U91?l09c/3o`088PCo
008I1?l03BL4o`0nA`Co06dd1?l0R@04oa6@00Co07lG1?l0FdL3o`0M=0Co00@L1?l01Ad4o`0U>@Co
06Hm1?lAT004oeRX00CoAZ<01?l0PQ03o`1CC0Co010Z1?l00QT4o`0=:0Co055=1?l0Q0`4ofJ/00Co
UkX01?m?YP03o`1i8PCo03]51?l01b44o`036`Co01lf1?l0ISd4obRI00CoTkT01?nC^004obNI00?o
06Hm1?l07cH4o`036`Co00LP1?l0=T<4o`1d:PCo>Il01?mk/P04oe6V00?o080C1?l0D4h4o`0>:0Co
008I1?l03BL4o`17B`Co07HW1?lMU@04oc2L00?o08P21?l0Hd44o`0V>PCo00HO1?l00aX4o`0C;@Co
04e>1?l0KC<4o`1o5@?o07`K1?l0ISd4o`0lAPCo00lY1?l00aX4o`057PCo01Pa1?l0A4X4o`1NA@Co
06@o0ol0FdL4o`0lAPCo01D_1?l01Ah4o`026@Co00PR1?l06C84o`0d@PCo04I;0ol0@dT4o`0/?PCo
01D^1?l01b04o`026@Co00<K1?l02R@4o`0E;PCo01le0ol083H4o`0H<0Co00dW2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co010Z1?l04b`4o`0@:PCo00XU
1?l01Ah3o`026@Co00<K1?l02B<4o`0F;`Co02Pk1?l0=484o`0`@0Co01lf1?l03RP3o`0470Co008I
1?l02244o`0J<PCo03e61?l0ED/4o`1IB@Co04m>1?l0:3/3o`0<9PCo00<J1?l011d4o`0F;`Co04M;
1?l0ISd4o`1d:PCo06la1?l0FDT4o`0W>`?o00PR1?l00QT4o`0=9`Co03i71?l0KC@4o`2900Co4I00
1?l0OaL4o`1KA`?o01dd1?l011`4o`057@Co02Di1?l0ISd4oa6@00CoF:P01?m6X`04o`2240?o05=<
1?l042X4o`026@Co00dX1?l0DDd4o`2430CoIZ`01?nG^P04odnV00?o07TR1?l0>dD4o`078@Co00<K
1?l07cH4o`1V?@Co:9T01?nC^@04oi>h00Co9iT00ol0ISd4o`0O=PCo00<K1?l01b04o`0f@`Co07@Z
1?liW`04og^b00CoDJH00ol0P1<4o`1@CPCo00hX1?l00QT4o`0=9`Co04M;1?l0MRL4oafE00Co<9`0
0ol0R084o`1S@@Co02Hj1?l01Ql4o`036PCo01<]1?l0CDh4o`1]<`Co07lE0ol0O1/4o`1V?@Co03a6
1?l03bT4o`036PCo00DN1?l06344o`14BPCo05i51?l0I3l3o`1KA`Co03a61?l05Bl4o`057PCo008I
1?l02284o`0I<PCo03A21?l0AT/3o`13B@Co02`n1?l05Bh4o`0780Co008I1?l00a/4o`0:90Co01D^
1?l07cD3o`0P=PCo01P`1?l03BL9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l042X4o`0C;0Co010Z1?l02RD4o`057P?o008I1?l00a/4o`098`Co01H_1?l0
:3/4o`0d@PCo03101?l07cH4o`0>:0?o00@L1?l00QT4o`088@Co01Xb1?l0?DH4o`1EB`Co05U91?l0
Cdh4o`0X>`?o00`V1?l00aX4o`047@Co01H_1?l0Ad/4o`1V?@Co07@Z1?l0Kc44o`1IB@Co02Lk0ol0
2284o`026@Co00dW1?l0?TL4o`1]=0Co08T01?lAT004o`1o5`Co05]70ol07C@4o`0470Co00DM1?l0
9CT4o`1V?@Co4I001?mHZ004odJS00Co088@0ol0Dd`4o`0@:PCo008I1?l03BP4o`1AC@Co08@<1?mV
[004oiNj00CoCjH00ol0NB84o`0kA@Co00LQ1?l00a/4o`0O=PCo06Hm1?lXV@04oi>i00CoTkP01?lW
V@03o`1V?@Co01lf1?l00a/4o`0780Co03I31?l0M2X4ocVO00CoNk801?mAYP03o`204`Co051>1?l0
3RP4o`026@Co00dW1?l0Ad/4o`1f9`Co7ID01?l`W003o`280PCo06=11?l09SX4o`067`Co00<J1?l0
4bd4o`1=CPCo06dc1?l0OaD3o`1l6`Co06Hm1?l0?4H4o`0?:@Co00<J1?l01Ah4o`0H<@Co04A:1?l0
GTD4o`1T?`?o05]71?l0?4H4o`0E;`Co00DN1?l00QT4o`088PCo01Tb1?l0=484o`16B`?o04=91?l0
;3h4o`0E;PCo00LP1?l00QT4o`036`Co00XT1?l05Bh4o`0O=@?o020f1?l06304o`0=9`Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0@:PCo01</1?l042X4
o`0:9@Co00DN0ol00QT4o`036`Co00TS1?l05Rl4o`0X>`Co03A21?l0<404o`0O=PCo00hX0ol011`4
o`026@Co00PQ1?l06S84o`0mAPCo05E;1?l0FDT4o`1?CPCo02Pk0ol032H4o`036PCo00@M1?l05Rl4
o`17B`Co06Hm1?l0M2X4o`1_<@Co05U91?l09c/3o`088PCo008I1?l03BL4o`0nA`Co06dd1?l0R@04
oa6@00Co07lG1?l0FdL3o`0M=0Co00@L1?l01Ad4o`0U>@Co06Hm1?lAT004oeRX00CoAZ<01?l0PQ03
o`1CC0Co010Z1?l00QT4o`0=:0Co055=1?l0Q0`4ofJ/00CoUkX01?m?YP03o`1i8PCo03]51?l01b44
o`036`Co01lf1?l0ISd4obRI00CoTkT01?nC^004obNI00?o06Hm1?l07cH4o`036`Co00LP1?l0=T<4
o`1d:PCo>Il01?mk/P04oe6V00?o080C1?l0D4h4o`0>:0Co008I1?l03BL4o`17B`Co07HW1?lMU@04
oc2L00?o08P21?l0Hd44o`0V>PCo00HO1?l00aX4o`0C;@Co04e>1?l0KC<4o`1o5@?o07`K1?l0ISd4
o`0lAPCo00lY1?l00aX4o`057PCo01Pa1?l0A4X4o`1NA@Co06@o0ol0FdL4o`0lAPCo01D_1?l01Ah4
o`026@Co00PR1?l06C84o`0d@PCo04I;0ol0@dT4o`0/?PCo01D^1?l01b04o`026@Co00<K1?l02R@4
o`0E;PCo01le0ol083H4o`0H<0Co00dW2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co010Z1?l04bd4o`0A:`Co00/U1?l01Ah3o`026@Co00<K1?l02B<4o`0G
<0Co02Xl1?l0=T<4o`0a@@Co020f1?l03RP3o`0470Co008I1?l02284o`0K<`Co03m71?l0EdX4o`1J
B0Co051>1?l0:C`3o`0<9`Co00<J1?l011d4o`0G<0Co04]=1?l0J3/4o`1f9PCo074^1?l0FdP4o`0X
>`?o00PR1?l00QT4o`0=:0Co04581?l0Kc44o`N<00Co6I<01?l0PA84o`1LAP?o01he1?l011`4o`05
7PCo02Lj1?l0J3X4oaZD00CoIJ`01?m@YP04o`242`?o05A<1?l042/4o`026@Co00hX1?l0Ddd4o`27
1@CoMK001?nW_P04oeVY00?o07XN1?l0?4H4o`078@Co00<K1?l08CL4o`1Y>PCo<Yd01?nT_@04oj:l
00Co;i/00ol0J3/4o`0P=PCo00<K1?l01b44o`0iA0Co07HV1?m4XP04ohVf00CoG:X00ol0P`l4o`1A
C@Co00hY1?l00QT4o`0=:0Co04]=1?l0N284obJH00Co>Yl00ol3R`04o`1T?`Co02Lk1?l01Ql4o`03
6PCo01@^1?l0Cdh4o`1`<0Co088@0ol0OaH4o`1X>`Co03i71?l03bT4o`036PCo00DN1?l06C44o`17
B`Co06131?l0ISd3o`1MAPCo03m71?l05Rl4o`057PCo008I1?l02284o`0J<PCo03E31?l0BD`3o`15
BPCo02ho1?l05Bl4o`0780Co008I1?l00a/4o`0:90Co01H_1?l083H3o`0Q=`Co01Pa1?l03BP9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l042X4o`0C;@Co
014[1?l02bD4o`057P?o008I1?l00a/4o`098`Co01L`1?l0:S`4o`0f@`Co03511?l083H4o`0>:0?o
00@L1?l00QT4o`088PCo01/c1?l0?dL4o`1GBPCo05Y81?l0D4h4o`0Y?0?o00`W1?l00aX4o`047@Co
01L`1?l0Bdd4o`1X>`Co07HV1?l0LBh4o`1KB0Co02Pk0ol02284o`026@Co00dX1?l0@DP4o`1_<@Co
1h`01?lIT`04o`214PCo05a60ol07SD4o`0470Co00DN1?l09cX4o`1X>PCo6Y@01?mU[004oe2V00Co
08@;0ol0E4`4o`0@:`Co008I1?l03RP4o`1CC@Co08L51?me/004ojNn00CoFJT00ol0NQh4o`0lAPCo
00LQ1?l00a/4o`0Q=`Co06Tj1?lbW@04ojBm00CoX[`01?l_V`03o`1X>`Co020f1?l00a/4o`078@Co
03U41?l0MRH4odBR00CoRKH01?mLZP03o`233`Co055=1?l03RT4o`026@Co00dX1?l0Bdd4o`1h8PCo
9YP01?ljW`03o`>;00Co06@o1?l09c/4o`067`Co00<J1?l052h4o`1?CPCo070`1?l0PQ03o`1o5PCo
06Pk1?l0?TL4o`0?:@Co00<J1?l01Ah4o`0I<@Co04M;1?l0H4<4o`1V?@?o05e61?l0?dL4o`0F;`Co
00DN1?l00QT4o`088PCo01Xb1?l0=D<4o`19C0?o04E:1?l0;Sl4o`0E;`Co00LP1?l00QT4o`036`Co
00XT1?l05Rl4o`0P=P?o024g1?l06344o`0=:0Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0@:PCo01<]1?l04B/4o`0;9@Co00DN0ol00QT4o`036`Co00TS
1?l05c04o`0Z?0Co03I31?l0<D44o`0P=PCo00hX0ol011`4o`026@Co00PR1?l06c<4o`0oA`Co05M:
1?l0FTP4o`1@CPCo02Tl0ol032L4o`036PCo00@M1?l05c04o`1;C@Co06Pk1?l0MRH4o`1a;PCo05]8
1?l0:3/3o`088PCo008I1?l03BP4o`11B0Co06la1?l7S004oaVC00Co084B1?l0G4H3o`0N=@Co00@L
1?l01Ah4o`0W>PCo06Pj1?lJU004ofF/00CoD:H01?l0Q0/3o`1DC0Co010[1?l00QT4o`0>:0Co05==
1?l0Q`D4ogF`00CoYkh01?mIZ@03o`1j7PCo03a61?l01b44o`036`Co024g1?l0JCX4oc:M00CoY;d0
1?nR_004obnK00?o06Pk1?l083H4o`036`Co00LQ1?l0>D@4o`1f9PCoA:801?n9]P04oebZ00?o08<?
1?l0DDd4o`0>:@Co008I1?l03BP4o`1;C@Co07PR1?lVV004ocZO00?o0h/01?l0I3l4o`0W>`Co00HO
1?l00aX4o`0D;PCo04m>1?l0L304o`2240?o07lF1?l0J3/4o`0nA`Co00lY1?l00aX4o`057PCo01Ta
1?l0Ad/4o`1P@`Co06Hm0ol0GDH4o`0oA`Co01H_1?l01Ah4o`026@Co00PR1?l06S84o`0e@`Co04U<
0ol0ADX4o`0^?`Co01D_1?l01b04o`026@Co00<K1?l02R@4o`0F;`Co020f0ol08CL4o`0H<@Co00dX
2Oooool00ol0003oooooooooo`02ooooo`006oooool3o`0000Oooooo1?l042X4o`0C;@Co014[1?l0
2bD4o`057P?o008I1?l00a/4o`098`Co01L`1?l0:S`4o`0f@`Co03511?l083H4o`0>:0?o00@L1?l0
0QT4o`088PCo01/c1?l0?dL4o`1GBPCo05Y81?l0D4h4o`0Y?0?o00`W1?l00aX4o`047@Co01L`1?l0
Bdd4o`1X>`Co07HV1?l0LBh4o`1KB0Co02Pk0ol02284o`026@Co00dX1?l0@DP4o`1_<@Co1h`01?lI
T`04o`214PCo05a60ol07SD4o`0470Co00DN1?l09cX4o`1X>PCo6Y@01?mU[004oe2V00Co08@;0ol0
E4`4o`0@:`Co008I1?l03RP4o`1CC@Co08L51?me/004ojNn00CoFJT00ol0NQh4o`0lAPCo00LQ1?l0
0a/4o`0Q=`Co06Tj1?lbW@04ojBm00CoX[`01?l_V`03o`1X>`Co020f1?l00a/4o`078@Co03U41?l0
MRH4odBR00CoRKH01?mLZP03o`233`Co055=1?l03RT4o`026@Co00dX1?l0Bdd4o`1h8PCo9YP01?lj
W`03o`>;00Co06@o1?l09c/4o`067`Co00<J1?l052h4o`1?CPCo070`1?l0PQ03o`1o5PCo06Pk1?l0
?TL4o`0?:@Co00<J1?l01Ah4o`0I<@Co04M;1?l0H4<4o`1V?@?o05e61?l0?dL4o`0F;`Co00DN1?l0
0QT4o`088PCo01Xb1?l0=D<4o`19C0?o04E:1?l0;Sl4o`0E;`Co00LP1?l00QT4o`036`Co00XT1?l0
5Rl4o`0P=P?o024g1?l06344o`0=:0Oooooo0ol00004ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co014[1?l052d4o`0A:`Co00/U1?l01Ah3o`026@Co00<K1?l02R@4o`0H<@Co02/m1?l0>4@4
o`0c@PCo024g1?l03RP3o`047@Co008I1?l02284o`0L=0Co04991?l0F4T4o`1LA`Co055=1?l0:Sd3
o`0=9`Co00<J1?l011d4o`0H<@Co04i>1?l0JSP4o`1h8PCo07<[1?l0G4L4o`0Y?0?o00PR1?l00QT4
o`0>:0Co04A:1?l0LRd4o`j?00Co8IH01?l0P`d4o`1MA@?o01he1?l011`4o`057PCo02Tl1?l0JSP4
ob>G00CoL[001?mKZ@04o`261`?o05E;1?l04B/4o`026@Co00lY1?l0E4`4o`::00CoQ;@01?nh`@04
ofB/00?o07`K1?l0?DL4o`078@Co00<K1?l08SP4o`1[=PCo?Z001?nf`@04ok;000Co=ih00ol0JCT4
o`0P=`Co00<K1?l01b44o`0kAPCo07TQ1?m@YP04oiVj00CoJ:d00ol0Q@X4o`1BC@Co00lY1?l00QT4
o`0>:0Co04i>1?l0Nah4obnK00CoAJ800ol:SP04o`1V?@Co02Tl1?l01Ql4o`036`Co01D^1?l0D4h4
o`1b;@Co08D:0ol0PA44o`1Z>0Co04181?l042X4o`036PCo00DN1?l06S84o`1:C0Co06521?l0J3X3
o`1NA@Co04991?l05c04o`057PCo008I1?l02284o`0K<`Co03M41?l0C4d3o`18C0Co03101?l05Rl4
o`078@Co008I1?l00a/4o`0:90Co01H_1?l08CL3o`0R=`Co01Tb1?l03RP9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04B/4o`0D;@Co014[1?l02bD4o`05
7P?o008I1?l00a/4o`0:90Co01Pa1?l0:cd4o`0hA0Co03=21?l08CL4o`0>:0?o00@M1?l00QT4o`08
8PCo01`d1?l0@TT4o`1HB@Co05a71?l0DDd4o`0Z?@?o00dW1?l00aX4o`047@Co01Pa1?l0CTh4o`1Z
>0Co07PR1?l0Lb/4o`1LA`Co02Tl0ol02284o`026@Co00hX1?l0A4X4o`1b;@Co3Xl01?lQUP04o`23
3@Co05e50ol07SD4o`0470Co00DN1?l0:C`4o`1Z>0Co8iL01?mb/004oe^Y00Co08H70ol0ED/4o`0A
:`Co008I1?l03bT4o`1DC0Co0XX01?n4]004okS100CoI:`00ol0O1/4o`0mA`Co00LQ1?l00a/4o`0R
>0Co06/f1?lnX004okK100Co//001?lgWP03o`1Y>@Co020g1?l00a/4o`078@Co03]61?l0NB44oe2V
00CoVKX01?mX[@03o`252PCo059=1?l03bT4o`026@Co00hX1?l0CTh4o`1k7PCo;i/01?m5XP03o`Z>
00Co06Hm1?l0:C`4o`067`Co00<K1?l05Bh4o`1@CPCo078]1?l0Q@X3o`214@Co06Xh1?l0@4P4o`0@
:PCo00<J1?l01Ah4o`0J<PCo04Y<1?l0HD84o`1X>P?o05i51?l0@TT4o`0G<0Co00DN1?l00QT4o`08
8PCo01/c1?l0=d@4o`1<C@?o04Q<1?l0<404o`0F;`Co00LQ1?l00QT4o`036`Co00XT1?l05Rl4o`0Q
=`?o028g1?l06C84o`0>:0Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0A:`Co01@]1?l04B/4o`0;9@Co00DN0ol00QT4o`036`Co00XT1?l06344o`0[?@Co
03Q41?l0<d84o`0Q=`Co00hX0ol011d4o`026@Co00PR1?l073@4o`12B@Co05Q91?l0G4L4o`1AC@Co
02Xm0ol03BL4o`036PCo00@M1?l06344o`1>CPCo06Xh1?l0N284o`1c:`Co05a71?l0:C`3o`088PCo
008I1?l03RP4o`14BPCo078]1?l>S`04ob6F00Co08<=1?l0GDD3o`0N=@Co00@L1?l01Ah4o`0Y?0Co
06Xh1?lSU`04og:`00CoFjT01?l0QPL3o`1EB`Co014[1?l00QT4o`0?:@Co05A<1?l2RP04ohBd00Co
^<401?mT[003o`1l6`Co03e71?l01b44o`036`Co028h1?l0JcH4ocjP00Co]/401?nb`004ocNN00?o
06Ti1?l083L4o`036`Co00LQ1?l0>dH4o`1i8@CoD:H01?nI^P04ofR]00?o08D:1?l0DTd4o`0?:@Co
008I1?l03RP4o`1>CPCo07/N1?l_V`04odFR00?o2Xh01?l0ISd4o`0Y?0Co00HO1?l00a/4o`0E;PCo
051>1?l0LRd4o`252P?o084A1?l0JSP4o`10B0Co010Z1?l00aX4o`057PCo01Xb1?l0BT`4o`1Q@PCo
06Pj0ol0GTD4o`12B@Co01L`1?l01Ah4o`026@Co00PR1?l06c<4o`0gA0Co04a=0ol0B4`4o`0`@0Co
01H_1?l01b44o`026@Co00<K1?l02R@4o`0F;`Co024g0ol08SL4o`0I<PCo00hX2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co014[1?l052d4o`0A:`Co00/U
1?l01Ah3o`026@Co00<K1?l02R@4o`0H<@Co02/m1?l0>4@4o`0c@PCo024g1?l03RP3o`047@Co008I
1?l02284o`0L=0Co04991?l0F4T4o`1LA`Co055=1?l0:Sd3o`0=9`Co00<J1?l011d4o`0H<@Co04i>
1?l0JSP4o`1h8PCo07<[1?l0G4L4o`0Y?0?o00PR1?l00QT4o`0>:0Co04A:1?l0LRd4o`j?00Co8IH0
1?l0P`d4o`1MA@?o01he1?l011`4o`057PCo02Tl1?l0JSP4ob>G00CoL[001?mKZ@04o`261`?o05E;
1?l04B/4o`026@Co00lY1?l0E4`4o`::00CoQ;@01?nh`@04ofB/00?o07`K1?l0?DL4o`078@Co00<K
1?l08SP4o`1[=PCo?Z001?nf`@04ok;000Co=ih00ol0JCT4o`0P=`Co00<K1?l01b44o`0kAPCo07TQ
1?m@YP04oiVj00CoJ:d00ol0Q@X4o`1BC@Co00lY1?l00QT4o`0>:0Co04i>1?l0Nah4obnK00CoAJ80
0ol:SP04o`1V?@Co02Tl1?l01Ql4o`036`Co01D^1?l0D4h4o`1b;@Co08D:0ol0PA44o`1Z>0Co0418
1?l042X4o`036PCo00DN1?l06S84o`1:C0Co06521?l0J3X3o`1NA@Co04991?l05c04o`057PCo008I
1?l02284o`0K<`Co03M41?l0C4d3o`18C0Co03101?l05Rl4o`078@Co008I1?l00a/4o`0:90Co01H_
1?l08CL3o`0R=`Co01Tb1?l03RP9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l04B/4o`0D;PCo018/1?l02bD4o`057P?o008I1?l00a/4o`0:90Co01Ta1?l0
;Ch4o`0jA@Co03E21?l08SP4o`0>:@?o00@M1?l00QT4o`088PCo01dd1?l0A4X4o`1JB0Co05e51?l0
DTd4o`0/?@?o00dW1?l00aX4o`057@Co01Ta1?l0D4h4o`1/=PCo07/N1?l0MBP4o`1MAPCo02Xm0ol0
2284o`026@Co00hY1?l0B4/4o`1d:PCo5Y801?lYV@04o`252@Co05m40ol07cD4o`0470Co00DN1?l0
:cd4o`1]=0Co;I/01?mo/`04ofJ/00Co08P20ol0ET/4o`0A:`Co008I1?l042X4o`1FBPCo2Hd01?nC
^004olG200CoKjl00ol0OQP4o`0nA`Co00LQ1?l00a/4o`0T>@Co06hc1?m9Y004olG300Co`/@01?m0
X@03o`1Z>0Co024g1?l00a/4o`088@Co03i71?l0O1`4oebZ00CoZ;h01?md/003o`271@Co05=<1?l0
3bT4o`026@Co00hY1?l0D4h4o`1m6@Co>Il01?m?YP03oa2@00Co06Pk1?l0:S`4o`067`Co00<K1?l0
5Rl4o`1BC@Co07@Z1?l0Q`@3o`2430Co06`f1?l0@dT4o`0@:PCo00<J1?l01Ah4o`0J<PCo04a=1?l0
Hd04o`1Z>0?o06131?l0A4X4o`0H<@Co00DN1?l00QT4o`088PCo01/c1?l0>D@4o`1>CP?o04]=1?l0
<T44o`0G<0Co00LQ1?l00QX4o`036`Co00XT1?l05c04o`0R=`?o02<h1?l06S84o`0>:@Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0A:`Co01@^1?l04R`4
o`0;9@Co00DN0ol00QT4o`036`Co00XT1?l06C44o`0]?PCo03Y51?l0=D84o`0R>0Co00hY0ol011d4
o`026@Co00PR1?l07C@4o`14BPCo05Y81?l0GDD4o`1BC@Co02`m0ol03BL4o`036PCo00DM1?l06C44
o`1@CPCo06`f1?l0Nah4o`1e:0Co05e61?l0:Sd3o`088PCo008I1?l03RT4o`18B`Co07@Z1?lFTP04
obVI00Co08D91?l0Gd@3o`0O=@Co00@L1?l01Ah4o`0[?@Co06dd1?l]V`04ognc00CoIZ`01?l0R083
o`1FB`Co014[1?l00QT4o`0@:PCo05I:1?l9S@04oi>h00CoaL801?m_[`03o`1n60Co03i71?l01b44
o`036`Co02@i1?l0KS<4odVT00CoaL<01?o2a004od2Q00?o06Xh1?l08CL4o`036`Co00PQ1?l0?TL4
o`1l70CoG:X01?nX_P04ogB`00?o08L51?l0Dd`4o`0?:@Co008I1?l03RT4o`1@CPCo07dI1?liW`04
odnV00?o49001?l0J3/4o`0Z?0Co00HO1?l00a/4o`0F;`Co059=1?l0M2X4o`2710?o08@<1?l0K3H4
o`13B@Co010Z1?l00aX4o`057PCo01Xb1?l0C4d4o`1S@0Co06Xh0ol0H4<4o`14BPCo01Pa1?l01Ah4
o`026@Co00PR1?l06c<4o`0iA0Co04i>0ol0Bdd4o`0b@@Co01L`1?l01b44o`026PCo00<K1?l02R@4
o`0G<0Co028g0ol08cP4o`0J<PCo00hY2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co014[1?l052h4o`0B;0Co00/U1?l01Ah3o`026@Co00<K1?l02R@4o`0I
<@Co02dn1?l0>TD4o`0e@PCo028h1?l03RT3o`047@Co008I1?l02284o`0M=0Co04A:1?l0FTP4o`1M
A@Co059=1?l0;3d3o`0=9`Co00<J1?l01Ad4o`0I<@Co051>1?l0K3H4o`1k7PCo07DX1?l0GDH4o`0Z
?@?o00PR1?l00QT4o`0>:@Co04Q;1?l0M2X4oaJB00Co:IT01?l0Q@T4o`1OA0?o01le1?l011`4o`05
7PCo02/m1?l0KC@4obfK00CoOk<01?mV[004o`280P?o05I;1?l04B/4o`026@Co010Z1?l0ETX4o`V=
00CoTkP01?o5`P04ofn_00?o07hH1?l0?TL4o`078@Co00<K1?l093T4o`1^<`CoBJ@01?o5``04ol;4
00Co@:400ol0JSP4o`0Q=`Co00<K1?l02244o`0nA`Co07`L1?mLZP04ojRn00CoM;000ol0Q`D4o`1C
C0Co00lY1?l00QT4o`0>:@Co051>1?l0OAT4ocVO00CoCjH00ol@T004o`1X>`Co02Xl1?l01Ql4o`03
6`Co01H_1?l0DTd4o`1d:PCo08L40ol0Q0`4o`1/=PCo04=91?l042X4o`036PCo00DN1?l06S84o`1<
C@Co06=01?l0JSP3o`1P@`Co04A:1?l06344o`057PCo008I1?l02284o`0K<`Co03U41?l0CTh3o`1;
C@Co03911?l05c04o`078@Co008J1?l00a/4o`0:90Co01L`1?l08SL3o`0S>0Co01Xb1?l03RT9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04B/4o`0D;PCo
018/1?l02bD4o`057P?o008I1?l00a/4o`0:90Co01Ta1?l0;Ch4o`0jA@Co03E21?l08SP4o`0>:@?o
00@M1?l00QT4o`088PCo01dd1?l0A4X4o`1JB0Co05e51?l0DTd4o`0/?@?o00dW1?l00aX4o`057@Co
01Ta1?l0D4h4o`1/=PCo07/N1?l0MBP4o`1MAPCo02Xm0ol02284o`026@Co00hY1?l0B4/4o`1d:PCo
5Y801?lYV@04o`252@Co05m40ol07cD4o`0470Co00DN1?l0:cd4o`1]=0Co;I/01?mo/`04ofJ/00Co
08P20ol0ET/4o`0A:`Co008I1?l042X4o`1FBPCo2Hd01?nC^004olG200CoKjl00ol0OQP4o`0nA`Co
00LQ1?l00a/4o`0T>@Co06hc1?m9Y004olG300Co`/@01?m0X@03o`1Z>0Co024g1?l00a/4o`088@Co
03i71?l0O1`4oebZ00CoZ;h01?md/003o`271@Co05=<1?l03bT4o`026@Co00hY1?l0D4h4o`1m6@Co
>Il01?m?YP03oa2@00Co06Pk1?l0:S`4o`067`Co00<K1?l05Rl4o`1BC@Co07@Z1?l0Q`@3o`2430Co
06`f1?l0@dT4o`0@:PCo00<J1?l01Ah4o`0J<PCo04a=1?l0Hd04o`1Z>0?o06131?l0A4X4o`0H<@Co
00DN1?l00QT4o`088PCo01/c1?l0>D@4o`1>CP?o04]=1?l0<T44o`0G<0Co00LQ1?l00QX4o`036`Co
00XT1?l05c04o`0R=`?o02<h1?l06S84o`0>:@Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0B;0Co01D^1?l04R`4o`0;9PCo00DN0ol00QT4o`036`Co00XT
1?l06S84o`0^?`Co03a61?l0=d<4o`0S>0Co00lY0ol011d4o`026@Co00PR1?l07SD4o`17B`Co05]7
1?l0Gd@4o`1DC0Co02dn0ol03BL4o`036PCo00DM1?l06S84o`1AC@Co06hc1?l0OAX4o`1g90Co05m4
1?l0:cd3o`088PCo008I1?l03bT4o`1;C@Co07HV1?lMU@04oc6L00Co08L41?l0H4<3o`0O=PCo00@L
1?l01Ah4o`0]?PCo06la1?lfWP04ohbg00CoLJl01?l2RP03o`1GBPCo014[1?l00QT4o`0@:PCo05Q9
1?lAT@04oj:l00CobKT01?mj/P03o`2050Co03m81?l01b44o`0370Co02Hj1?l0L2l4oeFW00CobKT0
1?o8_@04odRS00?o06`f1?l08CL4o`036`Co00PR1?l0@TT4o`1n5`CoJJd01?nh`@04ognc00?o08T0
1?l0E4`4o`0?:@Co008I1?l03bT4o`1AC@Co080D1?m2XP04oeVY00?o5i<01?l0JCT4o`0[?@Co00HO
1?l00a/4o`0F;`Co05=<1?l0MRH4o`2:00?o08H71?l0KS<4o`15BPCo010Z1?l00aX4o`057PCo01/c
1?l0Cdh4o`1T?PCo06`f0ol0HT44o`17B`Co01Ta1?l01Al4o`026@Co00PR1?l073@4o`0kA@Co04m>
0ol0CTh4o`0d@PCo01Pa1?l02244o`026PCo00<K1?l02RD4o`0G<0Co02<h0ol093T4o`0K<`Co00lY
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co018/1?l0
5Bh4o`0B;0Co00/V1?l01Ah3o`026@Co00<K1?l02R@4o`0J<PCo02ho1?l0?4H4o`0g@`Co02<h1?l0
3bT3o`047@Co008I1?l02284o`0N=@Co04M;1?l0FdL4o`1OA0Co05A<1?l0;Ch3o`0=9`Co00<J1?l0
1Ad4o`0J<PCo055=1?l0KS<4o`1m6PCo07LT1?l0Gd@4o`0[?@?o00PR1?l00QT4o`0?:@Co04]=1?l0
MRH4oafE00Co<I`01?l0Q`@4o`1P@`?o01lf1?l011`4o`057PCo02dn1?l0Kc44ocJN00CoS;L01?ma
[`04o`::00?o05M:1?l04B/4o`026@Co010Z1?l0F4T4oa6A00CoX[`01?o9^@04ogZb00?o080D1?l0
?dP4o`078@Co00<L1?l09SX4o`1`;`CoEJL01?o9^@04olRm00CoB:<00ol0K3H4o`0Q=`Co00<K1?l0
2284o`12B@Co07hG1?mY[@04okS100CoOk<00ol0R@04o`1DC0Co00lY1?l00QT4o`0?:@Co055=1?l0
P1@4od:R00CoFJT00olGT`04o`1Y>@Co02/m1?l01Ql4o`036`Co01H_1?l0Dd`4o`1f9PCo08X00ol0
QPL4o`1^<`Co04E:1?l042X4o`036PCo00DN1?l06c<4o`1?CPCo06@n1?l0K3H3o`1R@@Co04M;1?l0
6C44o`057`Co008I1?l02284o`0L=0Co03]51?l0Cdh3o`1>CPCo03A21?l06344o`088@Co008J1?l0
0a/4o`0:9@Co01L`1?l08cP3o`0T>@Co01/c1?l03bT9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l04R`4o`0E;PCo018/1?l02bH4o`057P?o008I1?l00a/4
o`0:90Co01Xb1?l0;Sl4o`0lAPCo03M31?l08cP4o`0?:@?o00@M1?l00QT4o`088PCo01he1?l0Ad/4
o`1KA`Co05m41?l0E4`4o`0]?P?o00dW1?l00aX4o`057@Co01Xb1?l0DDd4o`1^<`Co07dJ1?l0Mb@4
o`1OA0Co02/m0ol02284o`026@Co00lY1?l0Bdd4o`1f9PCo7ID01?laW004o`2710Co06130ol07cH4
o`0470Co00DN1?l0;Ch4o`1_<@Co=Yh01?n<]`04og6_00Co0XX00ol0EdX4o`0A:`Co008I1?l042X4
o`1HB@Co4I401?nR_004olVi00CoN[800ol0P1@4o`0oB0Co00LQ1?l00a`4o`0V>PCo070_1?mEY`04
olVi00Cob;d01?m8X`03o`1/=PCo024g1?l00a/4o`088PCo04991?l0OQL4ofV]00Co^<401?mo/`03
o`2900Co05A<1?l03bT4o`026@Co00lY1?l0DDd4o`2050Co@Z801?mIZ@03oaNC00Co06Ti1?l0:cd4
o`067`Co00<K1?l05Rl4o`1CC0Co07HV1?l0RP03o`261`Co06hc1?l0ADX4o`0@:PCo00<J1?l01Ah4
o`0K<`Co04m>1?l0I3h4o`1/=P?o06911?l0Ad/4o`0I<@Co00DO1?l00QT4o`088PCo01`d1?l0>dD4
o`1?CP?o04i>1?l0=484o`0H<@Co00PQ1?l00QX4o`036`Co00XU1?l05c04o`0S>0?o02@i1?l06c<4
o`0?:@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0B
;0Co01D^1?l04R`4o`0;9PCo00DN0ol00QT4o`036`Co00XT1?l06S84o`0^?`Co03a61?l0=d<4o`0S
>0Co00lY0ol011d4o`026@Co00PR1?l07SD4o`17B`Co05]71?l0Gd@4o`1DC0Co02dn0ol03BL4o`03
6PCo00DM1?l06S84o`1AC@Co06hc1?l0OAX4o`1g90Co05m41?l0:cd3o`088PCo008I1?l03bT4o`1;
C@Co07HV1?lMU@04oc6L00Co08L41?l0H4<3o`0O=PCo00@L1?l01Ah4o`0]?PCo06la1?lfWP04ohbg
00CoLJl01?l2RP03o`1GBPCo014[1?l00QT4o`0@:PCo05Q91?lAT@04oj:l00CobKT01?mj/P03o`20
50Co03m81?l01b44o`0370Co02Hj1?l0L2l4oeFW00CobKT01?o8_@04odRS00?o06`f1?l08CL4o`03
6`Co00PR1?l0@TT4o`1n5`CoJJd01?nh`@04ognc00?o08T01?l0E4`4o`0?:@Co008I1?l03bT4o`1A
C@Co080D1?m2XP04oeVY00?o5i<01?l0JCT4o`0[?@Co00HO1?l00a/4o`0F;`Co05=<1?l0MRH4o`2:
00?o08H71?l0KS<4o`15BPCo010Z1?l00aX4o`057PCo01/c1?l0Cdh4o`1T?PCo06`f0ol0HT44o`17
B`Co01Ta1?l01Al4o`026@Co00PR1?l073@4o`0kA@Co04m>0ol0CTh4o`0d@PCo01Pa1?l02244o`02
6PCo00<K1?l02RD4o`0G<0Co02<h0ol093T4o`0K<`Co00lY2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co018/1?l05Rl4o`0C;0Co00`V1?l01Ah3o`026@Co
00<K1?l02RD4o`0J<PCo03101?l0?TL4o`0iA0Co02@i1?l03bT3o`047@Co008I1?l02B<4o`0O=PCo
04Y<1?l0GDH4o`1P@`Co05E;1?l0;Sl3o`0=9`Co00<J1?l01Ah4o`0K<`Co059=1?l0L304o`1o5PCo
07TQ1?l0H4<4o`0/?P?o00PR1?l00QT4o`0@:PCo04i>1?l0NB84obFH00Co>Il01?l0R@04o`1Q@P?o
020f1?l011`4o`067`Co02lo1?l0LBh4od2Q00CoV[X01?ml/P04o`N<00?o05Q:1?l04B/4o`026@Co
014[1?l0FTP4oaZD00Co//001?o=[`04ohBe00?o084A1?l0@4P4o`078@Co00@L1?l0:3/4o`1c;0Co
HJ/01?o=[`04ol^d00CoD:H00ol0KC@4o`0R=`Co00<K1?l02284o`15BPCo084B1?me/@04olG300Co
RkL00ol4R`04o`1EB`Co00lY1?l00QT4o`0@:PCo05=<1?l0PPl4odbU00CoI:`00olNU@04o`1[=`Co
02`n1?l01Ql4o`036`Co01L`1?l0E4`4o`1h8`Co1X`00ol0R@44o`1_<@Co04Q;1?l04B/4o`036PCo
00DN1?l073<4o`1@CPCo06Hm1?l0KS<3o`1S@0Co04Y<1?l06S84o`067`Co008I1?l02284o`0M=0Co
03a61?l0DDd3o`1?CPCo03I31?l06C44o`088PCo008J1?l00a/4o`0;9@Co01P`1?l093T3o`0U>PCo
01`d1?l03bX9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l04R`4o`0F;`Co01</1?l032H4o`057P?o008I1?l00a/4o`0:9@Co01Xb1?l0<404o`0nA`Co03U4
1?l093T4o`0?:@?o00@M1?l00QT4o`098`Co01lf1?l0BT`4o`1MAPCo06131?l0ED/4o`0^?`?o00dW
1?l00aX4o`057PCo01/c1?l0DTd4o`1`<0Co07lF1?l0NB44o`1P@`Co02`n0ol02284o`026@Co010Z
1?l0CTh4o`1i8PCo9IP01?liW`04o`2900Co06520ol083H4o`0470Co00HO1?l0;cl4o`1a;PCo@:40
1?nJ^P04ogbb00Co1h`00ol0F4X4o`0A:`Co008I1?l04B/4o`1JB0Co6Y@01?nb`004olf_00CoQ;D0
0ol0PA44o`10B0Co00LQ1?l011`4o`0X>`Co07</1?mQZ`04olf_00Cobk@01?m@YP03o`1]=0Co028g
1?l00a/4o`088PCo04E:1?l0PA84ogFa00CoaL<01?n;]`03o`B;00Co05E;1?l03bT4o`026@Co010Z
1?l0Dd`4o`223`CoC:D01?mT[003oajE00Co06/g1?l0;3h4o`067`Co00<K1?l05c04o`1DC0Co07PS
1?l6S003o`290@Co06la1?l0B4/4o`0A:`Co00<J1?l01Ah4o`0L<`Co051>1?l0ISd4o`1^<`?o06=0
1?l0BT`4o`0J<PCo00HO1?l00QT4o`088PCo01dd1?l0?4H4o`1AC@?o04m>1?l0=T<4o`0I<@Co00PR
1?l00QX4o`036`Co00/U1?l06304o`0T>@?o02Dj1?l073@4o`0?:PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0B;0Co01H_1?l04b`4o`0<9PCo00DN0ol0
0QT4o`036`Co00XU1?l06S84o`0`@0Co03i71?l0>D@4o`0T>@Co00lY0ol011d4o`026@Co00TS1?l0
7cH4o`1:C0Co05e61?l0H4<4o`1EB`Co02ho0ol03BL4o`036PCo00DN1?l06c<4o`1BC@Co070`1?l0
OaH4o`1i8@Co06131?l0;3h3o`088PCo008I1?l042X4o`1>CPCo07TR1?lUV004ocVO00Co08T01?l0
HD83o`0P=PCo00@L1?l01Ql4o`0_?`Co074^1?m0X@04oiZj00CoO;801?l7S003o`1HBPCo014[1?l0
0QT4o`0A:`Co05Y81?lJU004ok;000CocJl01?n4]@03o`214@Co04181?l01b44o`0470Co02Pk1?l0
Lb`4of6[00CocJl01?o;]004oe2V00?o06dd1?l08SL4o`036`Co00PR1?l0ADX4o`214PCoMK401?o5
``04oh^g00?o18/01?l0ED/4o`0?:@Co008I1?l042X4o`1CC0Co088?1?m<Y@04ofB/00?o7YD01?l0
JcL4o`0/?PCo00HO1?l00a/4o`0G<0Co05A<1?l0N2<4o`J<00?o08T11?l0Kc44o`18B`Co014[1?l0
0aX4o`057PCo01`c1?l0D4h4o`1V?@Co06hc0ol0Hd04o`1:C0Co01Xb1?l01Ql4o`026@Co00PR1?l0
7C@4o`0lAPCo055=0ol0Cdh4o`0f@`Co01Ta1?l02284o`026PCo00<K1?l02bD4o`0H<0Co02@i0ol0
9CX4o`0L=0Co00lZ2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co018/1?l05Rl4o`0C;0Co00`V1?l01Ah3o`026@Co00<K1?l02RD4o`0J<PCo03101?l0?TL4
o`0iA0Co02@i1?l03bT3o`047@Co008I1?l02B<4o`0O=PCo04Y<1?l0GDH4o`1P@`Co05E;1?l0;Sl3
o`0=9`Co00<J1?l01Ah4o`0K<`Co059=1?l0L304o`1o5PCo07TQ1?l0H4<4o`0/?P?o00PR1?l00QT4
o`0@:PCo04i>1?l0NB84obFH00Co>Il01?l0R@04o`1Q@P?o020f1?l011`4o`067`Co02lo1?l0LBh4
od2Q00CoV[X01?ml/P04o`N<00?o05Q:1?l04B/4o`026@Co014[1?l0FTP4oaZD00Co//001?o=[`04
ohBe00?o084A1?l0@4P4o`078@Co00@L1?l0:3/4o`1c;0CoHJ/01?o=[`04ol^d00CoD:H00ol0KC@4
o`0R=`Co00<K1?l02284o`15BPCo084B1?me/@04olG300CoRkL00ol4R`04o`1EB`Co00lY1?l00QT4
o`0@:PCo05=<1?l0PPl4odbU00CoI:`00olNU@04o`1[=`Co02`n1?l01Ql4o`036`Co01L`1?l0E4`4
o`1h8`Co1X`00ol0R@44o`1_<@Co04Q;1?l04B/4o`036PCo00DN1?l073<4o`1@CPCo06Hm1?l0KS<3
o`1S@0Co04Y<1?l06S84o`067`Co008I1?l02284o`0M=0Co03a61?l0DDd3o`1?CPCo03I31?l06C44
o`088PCo008J1?l00a/4o`0;9@Co01P`1?l093T3o`0U>PCo01`d1?l03bX9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04bd4o`0F;`Co01<]1?l032H4o`05
7P?o008I1?l00a/4o`0;9@Co01/c1?l0<D44o`10B0Co03Y51?l09CT4o`0?:P?o00@M1?l00QT4o`09
8`Co020g1?l0C4d4o`1NA@Co06911?l0ET/4o`0_?`?o00dX1?l00aX4o`057PCo01`d1?l0E4`4o`1b
;@Co084A1?l0Nah4o`1Q@PCo02dn0ol02284o`026@Co010Z1?l0D4h4o`1k7PCo;I/01?m1X@04o`F<
00Co06910ol083H4o`0470Co00HO1?l0<D44o`1d:PCoBZ@01?nX_P04ohNe00Co2hh00ol0F4T4o`0A
:`Co008I1?l04R`4o`1LAPCo8YL01?o2a004om6V00CoSkL00ol0P`h4o`11B@Co00LQ1?l011`4o`0Z
?@Co07DX1?m][P04om6U00Cocj/01?mHZ003o`1^<PCo028h1?l00a/4o`098`Co04Q;1?l0Q0`4oh:d
00CobKX01?nG^P03o`V=00Co05I;1?l03bT4o`026@Co010Z1?l0E4`4o`252PCoEZP01?m_[`03obBH
00Co06`e1?l0;Ch4o`067`Co00<K1?l06304o`1FB`Co07XO1?l<S`03o`>;00Co074^1?l0BT`4o`0A
:`Co00<J1?l01Ah4o`0M=0Co055=1?l0J3/4o`1_<@?o06Dn1?l0C4d4o`0K<PCo00HO1?l00QT4o`08
8PCo01dd1?l0?TL4o`1BC@?o051=1?l0>4@4o`0J<PCo00PR1?l00QX4o`036`Co00/U1?l06344o`0U
>@?o02Hj1?l07C@4o`0@:PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0C;@Co01H_1?l04bd4o`0<9PCo00DN0ol00QT4o`036`Co00/U1?l06c<4o`0a@@Co
04181?l0>TD4o`0U>@Co00lZ0ol011d4o`026@Co00TS1?l083L4o`1<C@Co05i51?l0HT44o`1FB`Co
02lo0ol03BP4o`036PCo00DN1?l073@4o`1DC0Co078]1?l0PA44o`1k7PCo06521?l0;Ch3o`088PCo
008I1?l042X4o`1@CPCo07/N1?l]V`04od6Q00Co1H`01?l0HT43o`0P=PCo00@L1?l01Ql4o`0a@@Co
07@Z1?m:Y004ojRn00CoQkD01?l;SP03o`1HB@Co014[1?l00QT4o`0B;0Co05a61?lRU`04ol;400Co
dJH01?n?]`03o`233PCo04591?l01b44o`0470Co02Xm1?l0MBP4off^00CodJD01?o?Z`04oeRX00?o
06hb1?l08SP4o`036`Co00TS1?l0B4/4o`2430CoP[@01?o9^P04oiNj00?o2Hd01?l0ET/4o`0?:@Co
008I1?l042X4o`1DC0Co08D:1?mFZ004ofn_00?o99P01?l0K3D4o`0]?PCo00HO1?l00a/4o`0H<0Co
05I;1?l0NQl4o`b?00?o0h/01?l0LBh4o`1:C0Co014[1?l00aX4o`057PCo01dd1?l0DDd4o`1X>`Co
06la0ol0ICh4o`1<C@Co01/b1?l01Ql4o`026@Co00PR1?l07C@4o`0nA`Co059=0ol0D4d4o`0hA0Co
01Xb1?l02284o`026PCo00<K1?l02bD4o`0H<@Co02Di0ol09SX4o`0M=0Co010Z2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01<]1?l05Rl4o`0C;@Co00`V
1?l01Ah3o`026@Co00<K1?l02bD4o`0K<`Co03511?l0@4P4o`0jA@Co02Di1?l03bX3o`047@Co008I
1?l02B<4o`0P=`Co04a=1?l0GTD4o`1R@@Co05I;1?l0;cl3o`0=:0Co00<J1?l01Ah4o`0L=0Co05A<
1?l0LRd4o`214@Co07/N1?l0HD84o`0]?P?o00PR1?l00QT4o`0@:PCo051>1?l0Nah4obfK00Co@J40
1?l5S004o`1R@@?o020f1?l011`4o`067`Co03511?l0M2X4odZT00CoZ;h01?n7]@04o`^>00?o05Q9
1?l04B/4o`026@Co018/1?l0G4H4ob:G00Co`/@01?oAYP04ohng00?o08<>1?l0@DT4o`078@Co00@L
1?l0:Sd4o`1e:0CoKJh01?oAY@04oln[00CoF:P00ol0KS84o`0R>0Co00<K1?l02B<4o`18B`Co08@<
1?n2]004olVj00CoUkX00ol9S@04o`1FB`Co00lY1?l00QT4o`0@:PCo05A<1?l0Q@X4oeJX00CoKjl0
0olTV004o`1/=@Co02dn1?l01Ql4o`036`Co01P`1?l0ET/4o`1j7`Co38l00ol3R`04o`1a;PCo04Y<
1?l04B/4o`036PCo00DN1?l07C@4o`1AC@Co06Pk1?l0Kc43o`1U?PCo04a=1?l06c84o`067`Co008I
1?l02284o`0M=0Co03i71?l0DTd3o`1@C@Co03Q41?l06S84o`088PCo008J1?l00a/4o`0;9@Co01Pa
1?l09CT3o`0V>PCo01dd1?l042X9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l04bd4o`0F;`Co01<]1?l032H4o`057P?o008I1?l00a/4o`0;9@Co01/c1?l0
<D44o`10B0Co03Y51?l09CT4o`0?:P?o00@M1?l00QT4o`098`Co020g1?l0C4d4o`1NA@Co06911?l0
ET/4o`0_?`?o00dX1?l00aX4o`057PCo01`d1?l0E4`4o`1b;@Co084A1?l0Nah4o`1Q@PCo02dn0ol0
2284o`026@Co010Z1?l0D4h4o`1k7PCo;I/01?m1X@04o`F<00Co06910ol083H4o`0470Co00HO1?l0
<D44o`1d:PCoBZ@01?nX_P04ohNe00Co2hh00ol0F4T4o`0A:`Co008I1?l04R`4o`1LAPCo8YL01?o2
a004om6V00CoSkL00ol0P`h4o`11B@Co00LQ1?l011`4o`0Z?@Co07DX1?m][P04om6U00Cocj/01?mH
Z003o`1^<PCo028h1?l00a/4o`098`Co04Q;1?l0Q0`4oh:d00CobKX01?nG^P03o`V=00Co05I;1?l0
3bT4o`026@Co010Z1?l0E4`4o`252PCoEZP01?m_[`03obBH00Co06`e1?l0;Ch4o`067`Co00<K1?l0
6304o`1FB`Co07XO1?l<S`03o`>;00Co074^1?l0BT`4o`0A:`Co00<J1?l01Ah4o`0M=0Co055=1?l0
J3/4o`1_<@?o06Dn1?l0C4d4o`0K<PCo00HO1?l00QT4o`088PCo01dd1?l0?TL4o`1BC@?o051=1?l0
>4@4o`0J<PCo00PR1?l00QX4o`036`Co00/U1?l06344o`0U>@?o02Hj1?l07C@4o`0@:PWooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0C;@Co01L`1?l052d4
o`0<9PCo00DN0ol00QT4o`036`Co00/U1?l073@4o`0c@@Co04991?l0?4H4o`0V>PCo010Z0ol011d4
o`026@Co00TS1?l08CL4o`1?CPCo06131?l0Hd04o`1GBPCo03100ol03RP4o`036PCo00DN1?l07C@4
o`1EB`Co07@Z1?l0P`d4o`1m6PCo06911?l0;Sl3o`088PCo008I1?l04B/4o`1AC@Co07dI1?leW@04
odZT00Co2Hd01?l0Hd03o`0P=PCo00@L1?l01Ql4o`0d@PCo07HV1?mDY`04okK100CoT[P01?l@T003
o`1IB@Co014[1?l00QT4o`0C;@Co05i51?l[VP04olNm00Coe9`01?nJ^P03o`242`Co04991?l01b44
o`0470Co02`n1?l0Mb@4ogZb00CoeIX01?oBXP04of2[00?o06la1?l08SP4o`036`Co00TS1?l0Bdd4
o`261`CoSkL01?o</@04oj>l00?o3Hl01?l0ETX4o`0?:@Co008I1?l04B/4o`1FB`Co08L41?mPZ`04
ogVb00?o:iX01?l0KS<4o`0^?`Co00HO1?l00a/4o`0H<@Co05M:1?l0O1/4oa:A00?o28d01?l0Lb/4
o`1<C@Co018/1?l00aX4o`057PCo01de1?l0DTd4o`1Y>@Co074^0ol0IS`4o`1>CPCo01/c1?l01Ql4
o`026@Co00PR1?l07SD4o`10B0Co05=<0ol0DDd4o`0jA@Co01/c1?l02284o`026PCo00<K1?l02bD4
o`0I<@Co02Dj0ol0:3/4o`0N=@Co010Z2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01<]1?l05c04o`0D;@Co00`V1?l01Ah3o`026@Co00<K1?l02bD4o`0L
=0Co03=11?l0@TT4o`0lAPCo02Hj1?l042X3o`047@Co008I1?l02B<4o`0Q=`Co04m>1?l0H4<4o`1S
@0Co05M:1?l0<403o`0>:0Co00<J1?l01Ah4o`0M=0Co05E;1?l0M2X4o`233@Co07dJ1?l0HT44o`0^
?`?o00PR1?l00QT4o`0A:`Co055=1?l0OAT4ocFM00CoBZ@01?l9S@04o`1S@0?o020f1?l011`4o`06
7`Co03A21?l0MRH4oeBW00Co]/401?nB^004oa2@00?o05U91?l04B/4o`026@Co01<]1?l0GTD4ob^J
00Coakd01?oDW004oiZj00?o08@;1?l0@TT4o`078@Co00@L1?l0;3h4o`1g90CoN[801?oEVP04om:R
00CoH:/00ol0Kc44o`0R>0Co00<K1?l02B<4o`1;C@Co08H71?n?]`04olba00CoXk`00ol=S`04o`1F
BPCo00lY1?l00QT4o`0A:`Co05I;1?l0Q`@4of2[00CoNK800ol[VP04o`1^<`Co02ho1?l01Ql4o`03
6`Co01Pa1?l0EdX4o`1l6`Co4Y400ol8S@04o`1c:`Co04a=1?l04R`4o`036PCo00DN1?l07CD4o`1B
C@Co06Ti1?l0LBh3o`1V?0Co04i>1?l06c<4o`067`Co008I1?l02284o`0N=@Co04181?l0Dd`3o`1A
C@Co03Y51?l06c<4o`088PCo008J1?l00a/4o`0;9@Co01Ta1?l09CX3o`0X>`Co01he1?l042X9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04bd4o`0G<0Co
01@]1?l032H4o`057P?o008I1?l00a/4o`0;9@Co01`d1?l0<d44o`12B@Co03a61?l09SX4o`0@:P?o
00@M1?l00QT4o`098`Co024g1?l0Cdh4o`1P@`Co06=01?l0EdX4o`0`@0?o00hX1?l00aX4o`057PCo
01dd1?l0ED/4o`1d:PCo08<=1?l0OAX4o`1R@@Co02ho0ol02284o`026@Co014[1?l0DDd4o`1m6@Co
=Id01?m:Y004o`V=00Co06=00ol083H4o`0470Co00HO1?l0=484o`1f9PCoE:L01?nf`@04oi:h00Co
49000ol0FDT4o`0A:`Co008I1?l04bd4o`1NA@Co:iX01?o7_@04omBL00CoV[X00ol0Q0/4o`12B@Co
00LQ1?l011`4o`0/?PCo07LT1?mj/P04omFJ00CodZ801?mPZ`03o`1_<@Co028h1?l00a/4o`098`Co
04]=1?l0QPL4ohng00Coc;401?nS_003o`f?00Co05I:1?l03bT4o`026@Co014[1?l0ET/4o`2710Co
H:/01?mi/P03ob^J00Co06hc1?l0;Sl4o`067`Co00<K1?l06344o`1GBPCo07`K1?lBT@03o`R=00Co
07<[1?l0C4d4o`0B;0Co00<J1?l01Ah4o`0M=@Co059=1?l0JCT4o`1a;P?o06Hl1?l0CTh4o`0K<`Co
00HO1?l00QT4o`088PCo01he1?l0@4P4o`1CC0?o055=1?l0>TD4o`0K<`Co00PR1?l00QX4o`036`Co
00/U1?l06C44o`0U>P?o02Pk1?l07SD4o`0@:PWooooo00?o0000ooooooooool00_ooool001_ooooo
0ol00007ooooo`Co01@]1?l05c04o`0D;PCo00`W1?l01Ah3o`026@Co00<K1?l02bD4o`0M=0Co03A2
1?l0A4X4o`0nA`Co02Lk1?l042X3o`047@Co008I1?l02B<4o`0S>0Co051>1?l0HD84o`1U?PCo05Q9
1?l0<D03o`0>:0Co00<J1?l01Ah4o`0N=@Co05I:1?l0MRL4o`252@Co07hG1?l0Hd04o`0_?`?o00PR
1?l00QX4o`0B:`Co059=1?l0OaD4ocfP00CoDZH01?l>S`04o`1T?`?o024g1?l00a`4o`0680Co03I3
1?l0N284oenZ00Co`l@01?nL^`04oaBB00?o05Y81?l04B/4o`026@Co01@]1?l0H4<4oc>M00Cobk@0
1?oGTP04ojBm00?o08H81?l0@dT4o`0780Co00@L1?l0;Sl4o`1j80CoQ[D01?oHS`04omFI00CoJ:d0
0ol0L2l4o`0S>0Co00<K1?l02B<4o`1>CPCo08T11?nL^`04om2X00Co[kl00olBT@04o`1GBPCo00lY
1?l00QT4o`0A:`Co05M:1?l0RP04ofZ^00CoQ;D00olbW004o`1_<@Co02lo1?l01Ql4o`036`Co01Tb
1?l0F4T4o`1n60Co69<00ol>S`04o`1e:@Co04i>1?l04R`4o`036PCo00DN1?l07SD4o`1CC0Co06/g
1?l0Lb`3o`1X>`Co051>1?l073@4o`067`Co008I1?l02B84o`0O=@Co04991?l0E4`3o`1CC@Co03a6
1?l06c<4o`088PCo008J1?l00a/4o`0;9@Co01Ta1?l09SX3o`0Y?0Co01le1?l04B/7ooooo`?o0000
1?ooool001_ooooo00?o0000ooooooooool01oooool4o`0D;@Co01L`1?l052h4o`0<9`Co00DN0ol0
0QT4o`036`Co00/U1?l07C@4o`0d@PCo04A:1?l0?TL4o`0W>`Co010Z0ol011d4o`026@Co00TS1?l0
8cP4o`1@CPCo06521?l0ICh4o`1HB@Co03500ol03RP4o`036PCo00DN1?l07SD4o`1FBPCo07HW1?l0
Q@T4o`1n5`Co06=01?l0;cl3o`088PCo008J1?l04R/4o`1BC@Co07lE1?lmX004oe:V00Co3Xl01?l0
I3l3o`0Q=`Co00<L1?l01R04o`0f@`Co07PR1?mOZP04ol?400CoW;/01?lDTP03o`1JB0Co014[1?l0
0QT4o`0D;@Co06131?lcW@04ol^d00Coei801?nT_@03o`2620Co04=91?l01b04o`0470Co02ho1?l0
NR04ohJe00Cof8l01?oEV@04ofR]00?o070_1?l08cP4o`036`Co00TS1?l0CTh4o`290@CoW;/01?o@
Z004ojno00?o4Y401?l0EdX4o`0?:@Co008I1?l04B/4o`1GBPCo08X01?mZ[P04ohBe00?o<Y`01?l0
Kc44o`0_?`Co00HO1?l00a/4o`0I<PCo05Q91?l0OQP4oaRC00?o3Xl01?l0MBT4o`1>CPCo018/1?l0
0aX4o`057PCo01he1?l0Dd`4o`1[=`Co07</0ol0J3/4o`1@CPCo01`d1?l01Ql4o`026@Co00TR1?l0
7cD4o`12B@Co05A<0ol0Ddd4o`0lAPCo01/c1?l02284o`026PCo00<K1?l02bD4o`0I<@Co02Hj0ol0
:C`4o`0O=@Co014[2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01@]1?l05c04o`0D;PCo00`W1?l01Ah3o`026@Co00<K1?l02bD4o`0M=0Co03A21?l0A4X4
o`0nA`Co02Lk1?l042X3o`047@Co008I1?l02B<4o`0S>0Co051>1?l0HD84o`1U?PCo05Q91?l0<D03
o`0>:0Co00<J1?l01Ah4o`0N=@Co05I:1?l0MRL4o`252@Co07hG1?l0Hd04o`0_?`?o00PR1?l00QX4
o`0B:`Co059=1?l0OaD4ocfP00CoDZH01?l>S`04o`1T?`?o024g1?l00a`4o`0680Co03I31?l0N284
oenZ00Co`l@01?nL^`04oaBB00?o05Y81?l04B/4o`026@Co01@]1?l0H4<4oc>M00Cobk@01?oGTP04
ojBm00?o08H81?l0@dT4o`0780Co00@L1?l0;Sl4o`1j80CoQ[D01?oHS`04omFI00CoJ:d00ol0L2l4
o`0S>0Co00<K1?l02B<4o`1>CPCo08T11?nL^`04om2X00Co[kl00olBT@04o`1GBPCo00lY1?l00QT4
o`0A:`Co05M:1?l0RP04ofZ^00CoQ;D00olbW004o`1_<@Co02lo1?l01Ql4o`036`Co01Tb1?l0F4T4
o`1n60Co69<00ol>S`04o`1e:@Co04i>1?l04R`4o`036PCo00DN1?l07SD4o`1CC0Co06/g1?l0Lb`3
o`1X>`Co051>1?l073@4o`067`Co008I1?l02B84o`0O=@Co04991?l0E4`3o`1CC@Co03a61?l06c<4
o`088PCo008J1?l00a/4o`0;9@Co01Ta1?l09SX3o`0Y?0Co01le1?l04B/9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l052d4o`0G<0Co01@^1?l032L4o`05
7P?o008I1?l00a/4o`0;9@Co01dd1?l0=484o`14BPCo03i71?l09c/4o`0@:P?o00@M1?l00QT4o`09
8`Co02<h1?l0D4h4o`1Q@PCo06Dn1?l0F4T4o`0a@0?o00hX1?l00aX4o`057PCo01he1?l0ETX4o`1f
9`Co08D91?l0OQL4o`1S@0Co02lo0ol02284o`026PCo018[1?l0DTd4o`1o5@Co?J001?mBYP04o`j?
00Co06@o0ol08CL4o`0370Co00HP1?l0=T<4o`1h8PCoGjX01?o3a004oibk00Co59800ol0FTP4o`0A
:`Co008I1?l052d4o`1P@`Co<id01?o;]004omNB00CoY;d00ol0QPP4o`13B@Co00LP1?l011`4o`0^
?`Co07XP1?n6]@04omR?00CoeIT01?mX[@03o`1`;`Co02<h1?l00a/4o`098`Co04i>1?l0R@44oibk
00Cod:P01?n__`03oa:A00Co05M:1?l03bT4o`026@Co014[1?l0EdX4o`2:00CoJZh01?n4]@03oc:L
00Co06la1?l0;cl4o`067`Co00<K1?l06C84o`1HB@Co07hH1?lHT`03o`j?00Co07DY1?l0CTh4o`0B
;0Co00<J1?l01Ah4o`0N=@Co05=<1?l0JcL4o`1c;0?o06Pk1?l0D4h4o`0L=0Co00HO1?l00QT4o`09
8PCo01le1?l0@TT4o`1DC0?o05==1?l0?4H4o`0K<`Co00PR1?l00QX4o`036`Co00/U1?l06C44o`0V
>P?o02Tl1?l07cD4o`0A:`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0D;PCo01Pa1?l05Bh4o`0=9`Co00DN0ol00QT4o`0370Co00/V1?l07SD4o`0f@`Co
04E:1?l0?dP4o`0X>`Co010Z0ol011d4o`026PCo00XT1?l093T4o`1AC@Co06911?l0ISd4o`1IB@Co
03910ol03RP4o`036PCo00DN1?l07cH4o`1HBPCo07LT1?l0Q`@4o`2050Co06@o1?l0<403o`088PCo
008J1?l04R`4o`1DC0Co088A1?m5X`04oeZY00Co4i401?l0ICh3o`0Q=`Co00<L1?l01R04o`0hA0Co
07XO1?mY[@04olNn00CoYkd01?lIT`03o`1JB0Co014[1?l00QT4o`0E;PCo06911?llX004oln[00Co
fhP01?n__`03o`2710Co04A:1?l01b04o`047@Co03101?l0O1/4oi>h00Cog8@01?oHS`04og2_00?o
074^1?l08cP4o`036`Co00XT1?l0D4h4o`B;00CoZ;h01?oCW`04ok[200?o5i<01?l0F4T4o`0?:PCo
008I1?l04R`4o`1IB@Co1H`01?md/004ohng00?o>9l01?l0L2l4o`0`@0Co00HO1?l00a/4o`0J<PCo
05Y81?l0P1@4oajE00?o4i401?l0MRH4o`1?CPCo018/1?l00aX4o`057`Co01le1?l0E4`4o`1/=@Co
07@Y0ol0JCT4o`1AC@Co01dd1?l01Ql4o`026@Co00TS1?l07cH4o`13B@Co05E;0ol0E4`4o`0mA`Co
01`d1?l02B<4o`026PCo00<K1?l02bD4o`0J<PCo02Lk0ol0:S`4o`0P=PCo014[2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01@^1?l06344o`0E;PCo00dW
1?l01Ah3o`026@Co00<L1?l02bH4o`0N=@Co03I31?l0ADX4o`0oB0Co02Pk1?l042X3o`047@Co008J
1?l02R@4o`0T>@Co055=1?l0HT44o`1V?@Co05U91?l0<T43o`0>:0Co00<J1?l01Ah4o`0O=PCo05Q:
1?l0Mb@4o`2710Co080D1?l0I3l4o`0`@0?o00PR1?l00QX4o`0B;0Co05A<1?l0PQ44odFS00CoFZT0
1?lCT@04o`1U?P?o024g1?l00a`4o`0680Co03Q41?l0NQl4ofV]00Coakh01?nW_@04oaVC00?o05Y8
1?l04B/4o`026@Co01D^1?l0HT44ocbP00Cocj/01?oKR004ojno00?o08L41?l0A4X4o`0780Co00@M
1?l0<404o`1l6`CoTkP01?oLQ004omR?00CoL:l00ol0LBh4o`0S>0Co00<K1?l02R@4o`1@CPCo18/0
1?nX_P04om>O00Co^/800olGT`04o`1HB@Co00lZ1?l00QT4o`0B;0Co05U91?l5S004ogB`00CoSkL0
0olhW`04o`1`;`Co03101?l01Ql4o`036`Co01Xb1?l0FTP4o`2050Co7YD00olCT@04o`1f9PCo04m>
1?l04R`4o`036PCo00DO1?l07cD4o`1DC0Co06`e1?l0M2T3o`1Y>@Co055=1?l07C@4o`067`Co008I
1?l02B<4o`0O=PCo04=91?l0ED/3o`1DC0Co03e71?l073@4o`098`Co008J1?l00a/4o`0;9@Co01Xb
1?l09c/3o`0Z?0Co020f1?l04B/9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l052h4o`0H<@Co01D^1?l03BL4o`057P?o008I1?l00a`4o`0;9PCo01he1?l0
=T<4o`15BPCo03m81?l0:3/4o`0@:P?o00@M1?l00QX4o`0:90Co02@i1?l0DDd4o`1R@@Co06Hm1?l0
FDT4o`0b@@?o00hX1?l00aX4o`057PCo01lf1?l0F4X4o`1g90Co08L41?l0P1@4o`1T?`Co03100ol0
2284o`026PCo018/1?l0E4`4o`224@CoAJ<01?mJZ@04oa>A00Co06Dn0ol08CL4o`0370Co00HP1?l0
>4@4o`1j7`CoJJd01?o7_P04ojNm00Co6I<00ol0FTP4o`0A:`Co008I1?l05Bh4o`1R@@Co?:001?o?
Z`04om^800Co[kl00ol0Q`@4o`14BPCo00LP1?l011d4o`0`@0Co07`K1?nC^004omb400Cof8l01?m`
[`03o`1a;PCo02<h1?l00a/4o`0:90Co051>1?l4R`04ojRn00Codil01?nj`P03oaNC00Co05Q91?l0
3bX4o`026@Co018/1?l0FDT4o`F<00CoM;001?n?]`03ocRO00Co070_1?l0<404o`067`Co00<K1?l0
6S84o`1JB0Co080D1?lNU@03oa>A00Co07HV1?l0Cdh4o`0B;0Co00<J1?l01Al4o`0O=@Co05A<1?l0
K3D4o`1d:@?o06Ti1?l0DDd4o`0M=0Co00HO1?l00QT4o`098`Co01lf1?l0@dT4o`1EB`?o05A<1?l0
?DL4o`0L=0Co00TS1?l00QX4o`036`Co00/U1?l06S84o`0W>`?o02Xl1?l083H4o`0A:`Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0D;PCo01Pa1?l05Bh4
o`0=9`Co00DN0ol00QT4o`0370Co00/V1?l07SD4o`0f@`Co04E:1?l0?dP4o`0X>`Co010Z0ol011d4
o`026PCo00XT1?l093T4o`1AC@Co06911?l0ISd4o`1IB@Co03910ol03RP4o`036PCo00DN1?l07cH4
o`1HBPCo07LT1?l0Q`@4o`2050Co06@o1?l0<403o`088PCo008J1?l04R`4o`1DC0Co088A1?m5X`04
oeZY00Co4i401?l0ICh3o`0Q=`Co00<L1?l01R04o`0hA0Co07XO1?mY[@04olNn00CoYkd01?lIT`03
o`1JB0Co014[1?l00QT4o`0E;PCo06911?llX004oln[00CofhP01?n__`03o`2710Co04A:1?l01b04
o`047@Co03101?l0O1/4oi>h00Cog8@01?oHS`04og2_00?o074^1?l08cP4o`036`Co00XT1?l0D4h4
o`B;00CoZ;h01?oCW`04ok[200?o5i<01?l0F4T4o`0?:PCo008I1?l04R`4o`1IB@Co1H`01?md/004
ohng00?o>9l01?l0L2l4o`0`@0Co00HO1?l00a/4o`0J<PCo05Y81?l0P1@4oajE00?o4i401?l0MRH4
o`1?CPCo018/1?l00aX4o`057`Co01le1?l0E4`4o`1/=@Co07@Y0ol0JCT4o`1AC@Co01dd1?l01Ql4
o`026@Co00TS1?l07cH4o`13B@Co05E;0ol0E4`4o`0mA`Co01`d1?l02B<4o`026PCo00<K1?l02bD4
o`0J<PCo02Lk0ol0:S`4o`0P=PCo014[2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01D^1?l06344o`0E;PCo00dW1?l01Ah3o`026@Co00<L1?l032H4o`0N
=@Co03M41?l0Ad/4o`11B0Co02Tl1?l04B/3o`047@Co008J1?l02R@4o`0U>@Co059=1?l0I3l4o`1W
?0Co05Y81?l0<d83o`0>:0Co008J1?l01Ah4o`0P=PCo05U91?l0NB44o`2900Co088@1?l0ICd4o`0a
@0?o00PR1?l00QX4o`0C;@Co05E;1?l0Q0`4odfU00CoHZ/01?lGT`04o`1V?@?o024g1?l00a/4o`07
80Co03Y51?l0OA/4og>`00Cob[H01?na`004oafE00?o05]71?l04B/4o`026@Co01D_1?l0Hd04odFR
00CodZ801?oNOP04okW200?o08P11?l0ADX4o`0780Co00@M1?l0<T44o`1n5`CoWk/01?oON@04om^6
00CoN;400ol0LR`4o`0S>0Co00<J1?l02R@4o`1AC@Co2Xh01?ne`@04omJF00CoaL@00olKU004o`1I
B@Co010Z1?l00QT4o`0C;0Co05Y81?l;SP04ogjc00CoVKX00oloX@04o`1b;@Co03501?l01R04o`03
6`Co01/c1?l0FdP4o`2240Co99P00olIT`04o`1h8`Co051>1?l04bd4o`036PCo00HO1?l083H4o`1E
B`Co06dc1?l0MRL3o`1[=`Co059=1?l07SD4o`067`Co008I1?l02B<4o`0P=PCo04E:1?l0ET/3o`1E
B`Co03m81?l07C@4o`098`Co008J1?l00a/4o`0;9@Co01Xb1?l0:3/3o`0[?@Co020g1?l04R`9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Bh4o`0H<@Co
01D^1?l03BL4o`057P?o008I1?l00a`4o`0<9PCo01he1?l0=d@4o`17B`Co04581?l0:C`4o`0A:`?o
00@M1?l00QX4o`0:90Co02Di1?l0DTd4o`1T?`Co06Ll1?l0FTP4o`0c@P?o00hX1?l00QX4o`057PCo
020f1?l0FDT4o`1i8@Co08T01?l0PQ04o`1U?@Co03500ol02284o`026PCo01<]1?l0ED/4o`2430Co
CJD01?mRZ`04oaNC00Co06Hm0ol08CL4o`036`Co00LP1?l0>TD4o`1m6`CoLk001?o:]P04ok7000Co
7ID00ol0FdL4o`0A:`Co008I1?l05Bl4o`1S@0CoAJ801?oBXP04omin00Co^L800ol0R044o`15BPCo
00LP1?l011d4o`0b@@Co07hG1?nO^`04ommi00CofhH01?mh/@03o`1b;0Co02<h1?l00aX4o`0:90Co
055=1?l:SP04okG100CoeYH01?o5a003oa^D00Co05U91?l042X4o`026@Co01</1?l0FTP4o`^>00Co
O[<01?nI^P03ocnQ00Co078]1?l0<D04o`0680Co00<K1?l06c<4o`1KB0Co088@1?lTV003oaVC00Co
07PS1?l0D4h4o`0C;@Co00<J1?l01Ql4o`0P=PCo05E;1?l0KC<4o`1f9`?o06/g1?l0DTd4o`0N=@Co
00HO1?l00QT4o`098`Co020f1?l0ADX4o`1FB`?o05E;1?l0?dP4o`0M=0Co00TS1?l00QX4o`036`Co
00/U1?l06S84o`0X>`?o02/m1?l083L4o`0B;0Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0E;PCo01Pa1?l05Bh4o`0=9`Co00DN0ol00QT4o`0370Co00`V
1?l07SD4o`0gA0Co04M;1?l0@DP4o`0Y?0Co014[0ol011d4o`026PCo00XT1?l09CT4o`1BC@Co06@o
1?l0Ic`4o`1JB0Co03=20ol03RP4o`026PCo00DN1?l083H4o`1IB@Co07TQ1?l0R@04o`2240Co06Dm
1?l0<D03o`088PCo008J1?l04bd4o`1EB`Co08@<1?m=Y@04of:[00Co5i<01?l0ISd3o`0Q=`Co00<K
1?l01b04o`0jA@Co07dK1?mc/004olZf00Co/L001?lMU@03o`1KA`Co014[1?l00QT4o`0E;`Co06=0
1?m5XP04om:R00CogWh01?ni`P03o`280@Co04E:1?l01b04o`047@Co03911?l0OQL4oink00CoggT0
1?oKQP04ogRa00?o078/1?l08cP4o`036PCo00XT1?l0DDd4o`Z>00Co]L401?oFUP04olG400?o6i@0
1?l0FDT4o`0@:PCo008I1?l04b`4o`1JB0Co2hh01?mn/`04oiVj00?o?j401?l0LRd4o`0a@0Co00HP
1?l00a/4o`0K<`Co05]81?l0PQ04obBH00?o6I<01?l0N2<4o`1@CPCo01<]1?l00aX4o`067`Co020f
1?l0ED/4o`1]<`Co07HW0ol0JcL4o`1BC@Co01he1?l01Ql4o`026@Co00TS1?l083H4o`15BPCo05I;
0ol0ED/4o`0oB0Co01dd1?l02B<4o`026PCo00<K1?l02bD4o`0J<PCo02Pk0ol0:cd4o`0P=`Co018/
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01D^1?l0
6344o`0E;PCo00dW1?l01Ah3o`026@Co00<L1?l032H4o`0N=@Co03M41?l0Ad/4o`11B0Co02Tl1?l0
4B/3o`047@Co008J1?l02R@4o`0U>@Co059=1?l0I3l4o`1W?0Co05Y81?l0<d83o`0>:0Co008J1?l0
1Ah4o`0P=PCo05U91?l0NB44o`2900Co088@1?l0ICd4o`0a@0?o00PR1?l00QX4o`0C;@Co05E;1?l0
Q0`4odfU00CoHZ/01?lGT`04o`1V?@?o024g1?l00a/4o`0780Co03Y51?l0OA/4og>`00Cob[H01?na
`004oafE00?o05]71?l04B/4o`026@Co01D_1?l0Hd04odFR00CodZ801?oNOP04okW200?o08P11?l0
ADX4o`0780Co00@M1?l0<T44o`1n5`CoWk/01?oON@04om^600CoN;400ol0LR`4o`0S>0Co00<J1?l0
2R@4o`1AC@Co2Xh01?ne`@04omJF00CoaL@00olKU004o`1IB@Co010Z1?l00QT4o`0C;0Co05Y81?l;
SP04ogjc00CoVKX00oloX@04o`1b;@Co03501?l01R04o`036`Co01/c1?l0FdP4o`2240Co99P00olI
T`04o`1h8`Co051>1?l04bd4o`036PCo00HO1?l083H4o`1EB`Co06dc1?l0MRL3o`1[=`Co059=1?l0
7SD4o`067`Co008I1?l02B<4o`0P=PCo04E:1?l0ET/3o`1EB`Co03m81?l07C@4o`098`Co008J1?l0
0a/4o`0;9@Co01Xb1?l0:3/3o`0[?@Co020g1?l04R`9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l05Bh4o`0I<@Co01D_1?l03BL4o`057P?o008I1?l011`4
o`0<9PCo01lf1?l0>D@4o`19C0Co04=91?l0:S`4o`0A:`?o00@M1?l00QX4o`0:90Co02Hj1?l0Dd`4
o`1U?PCo06Pj1?l0FdL4o`0d@P?o00hX1?l00QX4o`067`Co024g1?l0FTP4o`1k7PCo0h/01?l0P`d4
o`1V?0Co03500ol02284o`026PCo01<]1?l0ETX4o`2620CoEJL01?mZ[@04oabE00Co06Ll0ol08SL4
o`036`Co00LP1?l0?DH4o`1o5`CoOK<01?o=[`04okc200Co8IH00ol0G4L4o`0A:`Co008I1?l05Rl4
o`1U?PCoCJD01?oEV@04on5d00Co`/@00ol0RP04o`15BPCo00LP1?l011d4o`0d@PCo080C1?n[_P04
on=^00CogWd01?mo/`03o`1c:`Co02<h1?l00aX4o`0;9@Co059=1?l?T004ol;400CofHd01?o7_P03
ob2F00Co05U81?l042X4o`026@Co01<]1?l0FdL4oa2@00CoR;H01?nS_@03odFS00Co07<[1?l0<T44
o`0680Co00<K1?l06c<4o`1LA`Co08@<1?lZVP03oajE00Co07TQ1?l0DDd4o`0C;@Co00<J1?l01Ql4
o`0P=PCo05I;1?l0Kc44o`1g90?o06`e1?l0Ddd4o`0N=@Co00HP1?l00QT4o`098`Co020g1?l0Ad/4
o`1GBP?o05I;1?l0@DP4o`0N=@Co00TS1?l00QX4o`036`Co00/V1?l06c<4o`0Y?0?o02`m1?l08CL4
o`0B;0Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0E
;PCo01Ta1?l05Bl4o`0=9`Co00DN0ol00QT4o`0470Co00`V1?l07cH4o`0iA0Co04U<1?l0@dT4o`0Z
?0Co014[0ol011d4o`026PCo00XT1?l09SX4o`1CC0Co06Dn1?l0J3X4o`1KA`Co03A20ol03RP4o`02
6PCo00HO1?l08CL4o`1JB0Co07/N1?l3R`04o`233@Co06Hl1?l0<D03o`088PCo008J1?l04bd4o`1F
BPCo08H81?mEY`04ofZ]00Co79D01?l0Ic`3o`0R=`Co00<K1?l01b04o`0mAPCo07lG1?mm/`04olf_
00Co_<801?lQUP03o`1LA`Co014[1?l00QT4o`0F;`Co06Dn1?m=Y@04omFI00CohG@01?o2a003o`2:
00Co04E:1?l01b04o`047@Co03A21?l0P1<4oj^n00Cohfh01?oNO@04ognc00?o07<[1?l08cP4o`03
6PCo00/U1?l0DTd4o`n@00Co`/@01?oIS@04olNn00?o89H01?l0FDP4o`0@:PCo008I1?l04bd4o`1K
A`Co49001?n8]P04oj>m00?oAJ<01?l0Lb/4o`0b@@Co00HP1?l00a/4o`0K<`Co05a71?l0Q0`4obZJ
00?o7YD01?l0NB44o`1AC@Co01<]1?l00aX4o`067`Co020f1?l0ET/4o`1_<@Co07LT0ol0K3D4o`1C
C@Co01he1?l01R04o`026@Co00TS1?l083L4o`17B`Co05M:0ol0ET/4o`11B0Co01he1?l02B<4o`02
6PCo00<K1?l02bH4o`0K<`Co02Tl0ol0;3d4o`0Q=`Co018/2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01D^1?l06C44o`0E;`Co00dW1?l01Ah3o`026@Co
00@L1?l032H4o`0O=PCo03U41?l0BD`4o`13B@Co02Xl1?l04B/3o`047@Co008J1?l02R@4o`0V>PCo
05=<1?l0ICh4o`1X>PCo05]71?l0=483o`0>:0Co008J1?l01Ql4o`0Q=`Co05Y81?l0Nah4o`>;00Co
08<=1?l0IS`4o`0a@0?o00PR1?l00QX4o`0C;@Co05I:1?l0QPP4oeFW00CoJZd01?lLU@04o`1W?0?o
028g1?l00a/4o`0780Co03e61?l0OaL4ogfc00CocJl01?nl`P04ob6F00?o05a71?l04B/4o`026@Co
01H_1?l0ICh4odfU00CoeIT01?oQM004ol;400?o08X01?l0ADX4o`0780Co00@M1?l0=484o`204`Co
Zkh01?oSKP04omim00CoOk<00ol0Lb/4o`0S>0Co00<J1?l02bD4o`1BC@Co3i001?o2a004omV=00Co
akh00olPUP04o`1IB0Co010Z1?l00QT4o`0C;@Co05]71?l@T004ohRf00CoXkd00om5X`04o`1c:`Co
03911?l01R04o`036`Co01/c1?l0G4L4o`2430Co:YX00olNU@04o`1i8@Co055=1?l04bd4o`036PCo
00HO1?l083H4o`1FB`Co06la1?l0Mb@3o`1/=@Co05==1?l07SD4o`0680Co008I1?l02B<4o`0P=`Co
04M;1?l0EdX3o`1FB`Co04581?l07SD4o`098`Co008J1?l00a/4o`0;9PCo01/c1?l0:C`3o`0/?@Co
024g1?l04R`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l05Bh4o`0I<@Co01D_1?l03BL4o`057P?o008I1?l011`4o`0<9PCo01lf1?l0>D@4o`19C0Co04=9
1?l0:S`4o`0A:`?o00@M1?l00QX4o`0:90Co02Hj1?l0Dd`4o`1U?PCo06Pj1?l0FdL4o`0d@P?o00hX
1?l00QX4o`067`Co024g1?l0FTP4o`1k7PCo0h/01?l0P`d4o`1V?0Co03500ol02284o`026PCo01<]
1?l0ETX4o`2620CoEJL01?mZ[@04oabE00Co06Ll0ol08SL4o`036`Co00LP1?l0?DH4o`1o5`CoOK<0
1?o=[`04okc200Co8IH00ol0G4L4o`0A:`Co008I1?l05Rl4o`1U?PCoCJD01?oEV@04on5d00Co`/@0
0ol0RP04o`15BPCo00LP1?l011d4o`0d@PCo080C1?n[_P04on=^00CogWd01?mo/`03o`1c:`Co02<h
1?l00aX4o`0;9@Co059=1?l?T004ol;400CofHd01?o7_P03ob2F00Co05U81?l042X4o`026@Co01<]
1?l0FdL4oa2@00CoR;H01?nS_@03odFS00Co07<[1?l0<T44o`0680Co00<K1?l06c<4o`1LA`Co08@<
1?lZVP03oajE00Co07TQ1?l0DDd4o`0C;@Co00<J1?l01Ql4o`0P=PCo05I;1?l0Kc44o`1g90?o06`e
1?l0Ddd4o`0N=@Co00HP1?l00QT4o`098`Co020g1?l0Ad/4o`1GBP?o05I;1?l0@DP4o`0N=@Co00TS
1?l00QX4o`036`Co00/V1?l06c<4o`0Y?0?o02`m1?l08CL4o`0B;0Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0F;`Co01Tb1?l05Rl4o`0=9`Co00DO0ol0
0QT4o`0470Co00`V1?l083H4o`0jA@Co04]=1?l0A4X4o`0Z?@Co014[0ol011d4o`026PCo00XT1?l0
9SX4o`1DC0Co06Hm1?l0JST4o`1LA`Co03E30ol03RT4o`026PCo00HO1?l08SL4o`1KA`Co07`K1?l7
S@04o`252PCo06Lk1?l0<T43o`088PCo008J1?l052h4o`1HBPCo08L41?mMZP04og:`00Co89H01?l0
Ic/3o`0R=`Co00<K1?l01b44o`0oA`Co080C1?n7]@04om2W00CoaL@01?lUV003o`1LAPCo014[1?l0
0QT4o`0G<0Co06Ll1?mFZ004omR@00Coi6X01?o6`003o`>;00Co04I;1?l01b04o`057@Co03I31?l0
P`l4okO100CoiV@01?oQM004ohJe00?o07@Y1?l093T4o`036PCo00/U1?l0E4`4oaFB00Coakl01?oL
Q004olZh00?o99L01?l0FTP4o`0@:PCo008I1?l052d4o`1LAPCo5I801?nA^004ojfo00?oBjD01?l0
M2T4o`0c@@Co00HP1?l00a/4o`0L=0Co05e61?l0Q@T4obnK00?o8iL01?l0Nah4o`1BC@Co01<]1?l0
0aX4o`067`Co024g1?l0EdX4o`1`<0Co07TR0ol0KC<4o`1CC0Co01lf1?l01R04o`026@Co00TS1?l0
8CL4o`18C0Co05Q:0ol0EdX4o`13B@Co01le1?l02B<4o`026PCo00<K1?l02bH4o`0K<`Co02Xl0ol0
;Ch4o`0R>0Co01</2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01H_1?l06C84o`0F;`Co00dW1?l01Al3o`026@Co00@L1?l032H4o`0P=PCo03Y51?l0Bdd4
o`14BPCo02Xm1?l04B/3o`047@Co008J1?l02R@4o`0V>PCo05A<1?l0ISd4o`1Z>@Co05a71?l0=D<3
o`0>:@Co008J1?l01Ql4o`0R=`Co05]71?l0O1/4o`N=00Co08D:1?l0Ic/4o`0b@@?o00PR1?l00QX4
o`0D;PCo05Q:1?l0Q`@4oefZ00CoL[001?lPUP04o`1W>`?o028g1?l00a/4o`078@Co03m71?l0P1<4
ohNe00Cod:L01?o5a004obFH00?o05a61?l04B/4o`026@Co01L`1?l0Ic`4oeJX00Cof9001?oTJP04
olK000?o0h/01?l0AT/4o`0780Co00DM1?l0=T<4o`233`Co]l401?oVI004on5d00CoQ[D00ol0M2T4
o`0T>@Co00<J1?l02bD4o`1DC0Co5I801?o7_`04omb400Cob[P00olTU`04o`1JB0Co010Z1?l00QT4
o`0D;@Co05a61?lETP04oi6h00Co[Kl00om;Y@04o`1d:@Co03=11?l01R04o`036`Co01`d1?l0GDH4
o`252@Co;i/00olSU`04o`1k7PCo059=1?l04bd4o`036PCo00HO1?l08CL4o`1GBPCo070`1?l0NB83
o`1]<`Co05=<1?l07cH4o`0680Co008I1?l02B<4o`0Q=`Co04Q<1?l0F4X3o`1GBPCo04=91?l07cD4
o`098`Co008J1?l00a/4o`0;9PCo01/c1?l0:S`3o`0]?PCo028h1?l04b`9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Rl4o`0I<PCo01H_1?l03BL4o`05
7`?o008I1?l011`4o`0<9PCo020f1?l0>TD4o`1;C@Co04A:1?l0:Sd4o`0A:`?o00@M1?l00QX4o`0:
90Co02Hj1?l0E4`4o`1V?@Co06Xi1?l0G4L4o`0e@`?o00hY1?l00QX4o`067`Co028g1?l0FdL4o`1l
6`Co1hd01?l0Q@X4o`1W>`Co03910ol02284o`026PCo01@^1?l0F4X4o`2710CoGJX01?mb/004ob2F
00Co06Lk0ol08SL4o`036`Co00LQ1?l0?dL4o`204`CoQkD01?o@Y`04olG400Co9IP00ol0G4H4o`0A
:`Co008I1?l05c04o`1W?0CoEZP01?oHT004onAZ00Coa/000ol3R`04o`16B`Co00LP1?l01Ad4o`0f
@`Co08<?1?ng`@04onIT00CohG@01?n6]@03o`1d:@Co02@i1?l00aX4o`0;9@Co05A<1?lETP04olNo
00Cog8@01?o:^003obBG00Co05Y81?l042X4o`026@Co01@]1?l0G4H4oaFB00CoTKP01?n]_`03od^U
00Co07@Y1?l0<d44o`0680Co00<K1?l073@4o`1MAPCo08D91?l_V`03ob>G00Co07/N1?l0DTd4o`0C
;@Co00<J1?l01Ql4o`0Q=`Co05M:1?l0L304o`1i8P?o06dc1?l0Dd`4o`0O=PCo00HP1?l00QT4o`09
8`Co024g1?l0B4`4o`1HBP?o05M:1?l0@dT4o`0O=@Co00TS1?l00QX4o`036`Co00/V1?l06c<4o`0Z
?0?o02dn1?l08SP4o`0C;0Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0F;`Co01Tb1?l05Rl4o`0=9`Co00DO0ol00QT4o`0470Co00`V1?l083H4o`0jA@Co
04]=1?l0A4X4o`0Z?@Co014[0ol011d4o`026PCo00XT1?l09SX4o`1DC0Co06Hm1?l0JST4o`1LA`Co
03E30ol03RT4o`026PCo00HO1?l08SL4o`1KA`Co07`K1?l7S@04o`252PCo06Lk1?l0<T43o`088PCo
008J1?l052h4o`1HBPCo08L41?mMZP04og:`00Co89H01?l0Ic/3o`0R=`Co00<K1?l01b44o`0oA`Co
080C1?n7]@04om2W00CoaL@01?lUV003o`1LAPCo014[1?l00QT4o`0G<0Co06Ll1?mFZ004omR@00Co
i6X01?o6`003o`>;00Co04I;1?l01b04o`057@Co03I31?l0P`l4okO100CoiV@01?oQM004ohJe00?o
07@Y1?l093T4o`036PCo00/U1?l0E4`4oaFB00Coakl01?oLQ004olZh00?o99L01?l0FTP4o`0@:PCo
008I1?l052d4o`1LAPCo5I801?nA^004ojfo00?oBjD01?l0M2T4o`0c@@Co00HP1?l00a/4o`0L=0Co
05e61?l0Q@T4obnK00?o8iL01?l0Nah4o`1BC@Co01<]1?l00aX4o`067`Co024g1?l0EdX4o`1`<0Co
07TR0ol0KC<4o`1CC0Co01lf1?l01R04o`026@Co00TS1?l08CL4o`18C0Co05Q:0ol0EdX4o`13B@Co
01le1?l02B<4o`026PCo00<K1?l02bH4o`0K<`Co02Xl0ol0;Ch4o`0R>0Co01</2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01H_1?l06S84o`0F;`Co00dX
1?l01Al3o`026@Co00@L1?l032L4o`0Q=`Co03]61?l0CDh4o`16BPCo02/m1?l04B/3o`047@Co008J
1?l02R@4o`0W>`Co05E<1?l0Ic/4o`1[=`Co05e61?l0=T<3o`0>:@Co008J1?l01Ql4o`0S>0Co05a6
1?l0OQP4o`^>00Co08H71?l0J3X4o`0c@@?o00PR1?l00QX4o`0E;PCo05U91?l0R@04ofB/00CoNK80
1?lTV004o`1X>P?o028h1?l00a/4o`078@Co04581?l0PPl4oi6h00CodZ001?o7_`04obVI00?o05e6
1?l04B/4o`026@Co01Pa1?l0J3X4oejZ00CofhL01?oWH004olRk00?o1X`01?l0Ad/4o`0780Co00DM
1?l0>4@4o`252PCo`l@01?oYF@04onA[00CoSKL00ol0MBP4o`0T>@Co00<J1?l02bD4o`1EB`Co6i@0
1?o9^@04ommk00Coc;800olXV@04o`1KB0Co010Z1?l00QT4o`0D;PCo05i51?lKU004oi^j00Co]l40
0omAYP04o`1e:0Co03=21?l01R04o`036`Co01dd1?l0GTD4o`271@Co=Id00olXV@04o`1l70Co05==
1?l052d4o`036PCo00HO1?l08SL4o`1GBPCo074^1?l0NQl3o`1_<PCo05A<1?l083H4o`0680Co008I
1?l02B<4o`0R=`Co04Y<1?l0FDT3o`1GBPCo04A:1?l07cH4o`098`Co008J1?l00a/4o`0<9PCo01/c
1?l0:cd3o`0^?`Co02<h1?l04bd9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l05Rl4o`0J<PCo01H_1?l03BP4o`057`?o008I1?l011`4o`0<9`Co024g1?l0
>dH4o`1=CPCo04I:1?l0:cd4o`0A:`?o00@M1?l00QX4o`0:90Co02Lk1?l0ED`4o`1W>`Co06/g1?l0
GDH4o`0f@`?o00hY1?l00QX4o`067`Co02<h1?l0G4H4o`1n60Co2hh01?l0QPL4o`1X>PCo03=10ol0
2284o`026PCo01D^1?l0FDT4o`2900CoI:`01?mi/P04obBH00Co06Pj0ol08SP4o`036`Co00LQ1?l0
@DP4o`223`CoTKP01?oBX004olNo00Co:IT00ol0GDH4o`0A:`Co008I1?l06344o`1X>PCoGZX01?oK
Q`04onMP00Cob;/00ol6S004o`17B`Co00LP1?l01Ad4o`0hA0Co08D:1?o3a004onUI00Coi6/01?n=
]`03o`1e:0Co02@i1?l00aX4o`0;9@Co05E;1?lKU004olVi00Cogg/01?o</P03obRI00Co05]81?l0
42X4o`026@Co01@^1?l0GTD4oa^D00CoVkX01?ng`@03oe6V00Co07DX1?l0<d84o`0680Co00<K1?l0
7C@4o`1NA@Co08L51?leW@03obRI00Co07`L1?l0Ddd4o`0D;@Co00<J1?l01Ql4o`0R=`Co05M:1?l0
LBh4o`1j7`?o06lb1?l0E4`4o`0P=PCo00HP1?l00QT4o`098`Co028g1?l0BT`4o`1IB@?o05M:1?l0
A4X4o`0O=PCo00TS1?l00QX4o`036`Co00`V1?l06c<4o`0[?@?o02ho1?l08cP4o`0C;@Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0F;`Co01Xb1?l05Rl4
o`0=:0Co00DO0ol00QT4o`0470Co00`W1?l08CL4o`0kAPCo04e>1?l0ATX4o`0[?@Co014[0ol011d4
o`026PCo00XT1?l09c/4o`1EC0Co06Lk1?l0JcL4o`1MAPCo03I30ol03RT4o`026PCo00HO1?l08cP4
o`1LAPCo07hH1?l;SP04o`261`Co06Pj1?l0<d43o`088PCo008J1?l05Bh4o`1IB@Co08T01?mT[004
ogVb00Co99P01?l0J3X3o`0R>0Co00<K1?l01b44o`11B0Co088?1?nA^004om:P00Coakl01?lYV@03
o`1MAPCo014[1?l00QT4o`0H<@Co06Pj1?mNZP04om^700Coif001?o8^`03o`J<00Co04M;1?l01b04
o`057@Co03Q41?l0Q@X4ol?400CojET01?oTJ`04ohfg00?o07DX1?l093T4o`036PCo00/U1?l0ED/4
oa^D00CobKT01?oON`04olbb00?o:9T01?l0FdP4o`0@:PCo008I1?l052h4o`1NA@Co6i@01?nK^P04
okO100?oDJH01?l0MBP4o`0c@PCo00HP1?l00a/4o`0M=0Co05i51?l0Q`D4ocFM00?o:9T01?l0O1`4
o`1CC@Co01@]1?l00aX4o`067`Co028g1?l0EdX4o`1a;PCo07XO0ol0Kc84o`1DC0Co020f1?l01R04
o`026@Co00TS1?l08SL4o`1:C0Co05U90ol0EdX4o`14BPCo01lf1?l02B<4o`026PCo00<K1?l032H4
o`0K<`Co02/m0ol0;Sl4o`0S>0Co01<]2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01H_1?l06S84o`0F;`Co00dX1?l01Al3o`026@Co00@L1?l032L4o`0Q
=`Co03]61?l0CDh4o`16BPCo02/m1?l04B/3o`047@Co008J1?l02R@4o`0W>`Co05E<1?l0Ic/4o`1[
=`Co05e61?l0=T<3o`0>:@Co008J1?l01Ql4o`0S>0Co05a61?l0OQP4o`^>00Co08H71?l0J3X4o`0c
@@?o00PR1?l00QX4o`0E;PCo05U91?l0R@04ofB/00CoNK801?lTV004o`1X>P?o028h1?l00a/4o`07
8@Co04581?l0PPl4oi6h00CodZ001?o7_`04obVI00?o05e61?l04B/4o`026@Co01Pa1?l0J3X4oejZ
00CofhL01?oWH004olRk00?o1X`01?l0Ad/4o`0780Co00DM1?l0>4@4o`252PCo`l@01?oYF@04onA[
00CoSKL00ol0MBP4o`0T>@Co00<J1?l02bD4o`1EB`Co6i@01?o9^@04ommk00Coc;800olXV@04o`1K
B0Co010Z1?l00QT4o`0D;PCo05i51?lKU004oi^j00Co]l400omAYP04o`1e:0Co03=21?l01R04o`03
6`Co01dd1?l0GTD4o`271@Co=Id00olXV@04o`1l70Co05==1?l052d4o`036PCo00HO1?l08SL4o`1G
BPCo074^1?l0NQl3o`1_<PCo05A<1?l083H4o`0680Co008I1?l02B<4o`0R=`Co04Y<1?l0FDT3o`1G
BPCo04A:1?l07cH4o`098`Co008J1?l00a/4o`0<9PCo01/c1?l0:cd3o`0^?`Co02<h1?l04bd9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Rl4o`0J<PCo
01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co024g1?l0?DH4o`1>CPCo04M;1?l0;3h4o`0B:`?o
00@M1?l00QX4o`0;9@Co02Pk1?l0ED/4o`1X>PCo06`f1?l0GTD4o`0gA0?o00lY1?l00QX4o`067`Co
02@i1?l0GDD4o`1o5@Co3i001?l0Q`@4o`1Y>@Co03=10ol02284o`026PCo01D_1?l0FTP4o`>;00Co
Jjh01?n0]004obRI00Co06Ti0ol08SP4o`036`Co00PQ1?l0@dT4o`242`CoV[X01?oEV@04olVj00Co
;I/00ol0GDH4o`0A:`Co008I1?l06C44o`1Z>0CoIZ`01?oNOP04onUG00Cob[L00ol8S@04o`17B`Co
00LP1?l01Ah4o`0jA@Co08H61?o7_`04ona?00CoiV801?nD^@03o`1f9`Co02@i1?l00aX4o`0<9PCo
05I;1?lPUP04olbb00CohG<01?o>[003obbJ00Co05]71?l042X4o`026@Co01D^1?l0Gd@4ob2F00Co
Y;d01?o0``03oeNX00Co07HV1?l0=484o`0680Co00<K1?l07C@4o`1OA0Co08P21?ljW`03obfK00Co
07dJ1?l0Dd`4o`0D;PCo00<J1?l01Ql4o`0R>0Co05Q91?l0LR`4o`1k7@?o070`1?l0ED/4o`0P=`Co
00LP1?l00QT4o`098`Co028h1?l0Bdd4o`1IB0?o05Q91?l0AT/4o`0P=PCo00XT1?l00QX4o`036`Co
00`V1?l073<4o`0[?@?o02lo1?l08cP4o`0C;@Wooooo00?o0000ooooooooool00_ooool001_ooooo
0ol00007ooooo`Co01H_1?l06S84o`0G<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0Q=`Co03e6
1?l0CTh4o`17B`Co02`n1?l04R/3o`047@Co008J1?l02bD4o`0X>`Co05E;1?l0J3X4o`1/=PCo05i5
1?l0=d@3o`0?:@Co008J1?l01Ql4o`0T>@Co05e51?l0OaD4o`n@00Co08L41?l0JCT4o`0c@@?o00PR
1?l00QX4o`0E;`Co05Y81?l3R`04of^^00CoP;@01?lXV@04o`1Y>@?o028h1?l00a/4o`088@Co04=9
1?l0Q0/4oiZj00CoeIT01?o9^P04obfK00?o05e61?l04B/4o`026@Co01Ta1?l0JSP4ofJ/00CogWh0
1?oYE`04olZg00?o28d01?l0Ad/4o`0780Co00DN1?l0>TD4o`261PCoakl01?o/C`04onIR00CoU;T0
0ol0MRL4o`0T>@Co00<J1?l032H4o`1FB`Co89H01?o</P04on5c00CocZ`00ol/VP04o`1KA`Co010Z
1?l00QT4o`0E;PCo05m41?lPUP04ojBm00Co`<<00omGZ004o`1f9PCo03A21?l01R04o`036`Co01dd
1?l0Gd@4o`280PCo>Yl00ol]V`04o`1m6PCo05=<1?l052h4o`036PCo00HO1?l08SP4o`1HB@Co078/
1?l0Nad3o`1`<0Co05E;1?l083L4o`0780Co008I1?l02B<4o`0R>0Co04]=1?l0FDP3o`1HB@Co04I;
1?l083H4o`0:90Co008J1?l00a/4o`0<9PCo01`c1?l0:cd3o`0_?`Co02<h1?l04bd7ooooo`?o0000
1?ooool001_ooooo00?o0000ooooooooool01oooool4o`0F;`Co01Xb1?l05c04o`0>:0Co00HO0ol0
0QT4o`0470Co00dW1?l08CL4o`0mAPCo04i>1?l0Ad/4o`0/?PCo018[0ol011d4o`026PCo00/U1?l0
:3/4o`1EB`Co06Pj1?l0K3H4o`1NA@Co03M40ol03bT4o`026PCo00HO1?l093T4o`1MA@Co07lE1?l?
T004o`2710Co06Ti1?l0<d43o`088PCo008J1?l05Bl4o`1JB0Co0h/01?m[[P04oh2d00Co:9T01?l0
JCT3o`0R>0Co00<K1?l02244o`13B@Co08@;1?nJ^P04omFI00CobKX01?l]V`03o`1MAPCo014[1?l0
0QT4o`0I<@Co06Xh1?mV[004omin00CojEL01?o:]`03o`R=00Co04M;1?l01b04o`057PCo03Y51?l0
QPH4olNo00Cok4l01?oVHP04oiBi00?o07HW1?l093T4o`036PCo00`V1?l0ET/4ob2F00Coc;801?oQ
L`04olj/00?o;9X01?l0FdL4o`0@:PCo008I1?l05Bh4o`1OA0Co89H01?nT_@04ol3300?oEjP01?l0
MRH4o`0d@PCo00HP1?l00a/4o`0M=0Co05m41?l0R084ocZO00?o;I/01?l0OAX4o`1CC0Co01@^1?l0
0aX4o`067`Co028h1?l0F4T4o`1b;0Co07/M0ol0L304o`1EB`Co020g1?l01b04o`026@Co00TS1?l0
8SP4o`1;C@Co05U80ol0F4T4o`16B`Co020f1?l02R@4o`026PCo00<K1?l032H4o`0L<`Co02/m0ol0
;cl4o`0S>0Co01<]2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01H_1?l06S84o`0G<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0Q=`Co03e61?l0CTh4
o`17B`Co02`n1?l04R/3o`047@Co008J1?l02bD4o`0X>`Co05E;1?l0J3X4o`1/=PCo05i51?l0=d@3
o`0?:@Co008J1?l01Ql4o`0T>@Co05e51?l0OaD4o`n@00Co08L41?l0JCT4o`0c@@?o00PR1?l00QX4
o`0E;`Co05Y81?l3R`04of^^00CoP;@01?lXV@04o`1Y>@?o028h1?l00a/4o`088@Co04=91?l0Q0/4
oiZj00CoeIT01?o9^P04obfK00?o05e61?l04B/4o`026@Co01Ta1?l0JSP4ofJ/00CogWh01?oYE`04
olZg00?o28d01?l0Ad/4o`0780Co00DN1?l0>TD4o`261PCoakl01?o/C`04onIR00CoU;T00ol0MRL4
o`0T>@Co00<J1?l032H4o`1FB`Co89H01?o</P04on5c00CocZ`00ol/VP04o`1KA`Co010Z1?l00QT4
o`0E;PCo05m41?lPUP04ojBm00Co`<<00omGZ004o`1f9PCo03A21?l01R04o`036`Co01dd1?l0Gd@4
o`280PCo>Yl00ol]V`04o`1m6PCo05=<1?l052h4o`036PCo00HO1?l08SP4o`1HB@Co078/1?l0Nad3
o`1`<0Co05E;1?l083L4o`0780Co008I1?l02B<4o`0R>0Co04]=1?l0FDP3o`1HB@Co04I;1?l083H4
o`0:90Co008J1?l00a/4o`0<9PCo01`c1?l0:cd3o`0_?`Co02<h1?l04bd9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05c04o`0K<`Co01L`1?l03RP4o`06
7`?o008I1?l011`4o`0=9`Co028g1?l0?TL4o`1?CPCo04Q<1?l0;Ch4o`0B;0?o00@M1?l00QX4o`0;
9@Co02Tl1?l0ET/4o`1Y>@Co06de1?l0GTD4o`0hA0?o00lY1?l00QX4o`067`Co02@i1?l0GT@4o`21
4`Co4i401?l0R@44o`1Z>0Co03A20ol02284o`026PCo01H_1?l0FdL4o`N=00CoL[001?n7]@04obbJ
00Co06Xi0ol08SP4o`036`Co00PR1?l0ADX4o`2620CoXk`01?oGTP04ol^e00Co<9`00ol0GTD4o`0A
:`Co008I1?l06S84o`1[=PCoKZl01?oPMP04ona>00Coc;800ol;SP04o`18B`Co00HP1?l01Ah4o`0l
APCo08P21?o9^@04oni500CojEX01?nJ^P03o`1f9PCo02@i1?l00aX4o`0<9PCo05M:1?lUV004olj/
00Coi6/01?o@Y`03oc2L00Co05a71?l042X4o`026@Co01D_1?l0H4<4obBH00Co[;l01?o5`P03oefZ
00Co07LT1?l0=D84o`0680Co00<K1?l07SD4o`1P@`Co0HX01?m0X@03oc6L00Co07hG1?l0E4`4o`0D
;PCo00<J1?l01Ql4o`0S>0Co05U91?l0M2X4o`1m6`?o074^1?l0ET/4o`0Q=`Co00LP1?l00QT4o`09
8`Co02<h1?l0C4d4o`1JB0?o05U91?l0Ad/4o`0Q=`Co00XT1?l00QX4o`036`Co00`V1?l073@4o`0/
?P?o02lo1?l093T4o`0D;@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0G<0Co01/c1?l05c04o`0>:0Co00HO0ol00QT4o`0470Co00dW1?l08SL4o`0nA`Co
04m>1?l0B4`4o`0]?PCo018/0ol011d4o`026PCo00/U1?l0:C`4o`1FB`Co06Ti1?l0KCD4o`1NA@Co
03Q40ol03bT4o`026PCo00HO1?l093T4o`1NA0Co084C1?lCT@04o`290@Co06Xh1?l0=483o`088PCo
008J1?l05Rl4o`1KA`Co1hd01?mb/004ohNe00Co;9X01?l0JST3o`0R>0Co00<K1?l02284o`15BPCo
08H81?nS_004omNB00CobkD01?l`W003o`1NA@Co014[1?l00QT4o`0J<PCo06/f1?m^[`04on1f00Co
k4h01?o</P03o`^>00Co04Q;1?l01R04o`057PCo03a61?l0R084olVi00CokTD01?oYFP04oiZj00?o
07HV1?l093T4o`036PCo00`V1?l0EdX4obFH00CocZ`01?oTJ`04om2W00?o<9`01?l0G4L4o`0@:PCo
008I1?l05Bl4o`1P@`Co99P01?n/_`04olG200?oGJX01?l0Mb@4o`0e@PCo00HP1?l00a/4o`0N=@Co
06131?l1RP04od2Q00?o<I`01?l0OQL4o`1DC0Co01@^1?l00aX4o`067`Co02<h1?l0FDT4o`1d:PCo
07dK0ol0LBh4o`1FB`Co024g1?l01b04o`026@Co00TS1?l08cP4o`1<C@Co05Y80ol0FDT4o`17B`Co
024g1?l02R@4o`026PCo00<K1?l032H4o`0L=0Co02`n0ol0;cl4o`0T>@Co01@]2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01L`1?l06c<4o`0G<0Co00hX
1?l01Ql3o`026@Co00@L1?l03BL4o`0R=`Co03i71?l0Cdh4o`18C0Co02dn1?l04R`3o`047@Co008J
1?l02bD4o`0Y?0Co05I;1?l0JCT4o`1]=@Co05i51?l0>4@3o`0?:@Co008J1?l01Ql4o`0T>@Co05i4
1?l0PA<4oa>A00Co08T11?l0JSP4o`0d@P?o00PR1?l00QX4o`0F;`Co05]71?l7S@04og:`00CoQkD0
1?l/VP04o`1Z>@?o028h1?l00a/4o`088PCo04E:1?l0QPP4oj>l00Coei801?o;]@04oc2L00?o05i5
1?l04B/4o`026@Co01Xb1?l0JcH4ofj_00Coh7H01?o/CP04olbb00?o2hh01?l0B4/4o`0680Co00DN
1?l0?4H4o`280PCobKT01?o^A@04onUJ00CoV[X00ol0MRH4o`0T>@Co00<J1?l032H4o`1GBPCo9IP0
1?o>[004onA[00Cod:L00ol`W004o`1LA`Co010Z1?l00QT4o`0E;`Co06131?lTV004ojbo00CoaL80
0omMZP04o`1g90Co03E21?l01R04o`036`Co01he1?l0H4<4o`6:00Co@:400olaW004o`1n5`Co05A<
1?l052h4o`036PCo00HO1?l08cP4o`1IB@Co07@Z1?l0OA/3o`1a;PCo05I;1?l08CL4o`0780Co008I
1?l02B<4o`0S>0Co04a=1?l0FTP3o`1IB@Co04M;1?l08CL4o`0:90Co008J1?l00a/4o`0<9PCo01`d
1?l0;3h3o`0_?`Co02@i1?l052d9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l05c04o`0K<`Co01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co028h1?l0
?dL4o`1@CPCo04Y<1?l0;Ch4o`0B;0?o00@M1?l00QX4o`0;9@Co02Xl1?l0EdX4o`1Z>0Co06hc1?l0
Gd@4o`0iA0?o00lY1?l00QX4o`067`Co02Dj1?l0Gd@4o`2240Co5i<01?l1RP04o`1[=`Co03A20ol0
2284o`026PCo01H_1?l0G4L4o`^>00CoNK801?n>]`04obnL00Co06Xh0ol08cP4o`036`Co00PR1?l0
Ad/4o`2710CoZkl01?oIS004olf`00Co<id00ol0GTD4o`0A:`Co008I1?l06S84o`1]=@CoM[401?oS
KP04oni600CocZd00ol=S`04o`18C0Co00HP1?l01Ah4o`0nA`Co0HX01?o</`04oo4k00Coje801?nP
_003o`1g90Co02@i1?l00aX4o`0<9PCo05Q91?lZVP04om6V00CoiV<01?oBXP03oc>M00Co05a61?l0
42X4o`026@Co01H_1?l0HD84obVI00Co]L401?o7_@03of:[00Co07PS1?l0=T<4o`0680Co00<K1?l0
7cD4o`1Q@PCo18/01?m4XP03ocJN00Co07lE1?l0ED`4o`0E;PCo00<J1?l01Ql4o`0S>0Co05Y81?l0
MBT4o`1n60?o078]1?l0EdX4o`0R=`Co00LP1?l00QT4o`098`Co02<h1?l0CTh4o`1KA`?o05Y81?l0
BD`4o`0Q=`Co00XT1?l00QX4o`036`Co00`V1?l07C@4o`0]?P?o03101?l09CT4o`0D;PWooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0G<0Co01/c1?l05c04
o`0>:0Co00HO0ol00QT4o`0470Co00dW1?l08SP4o`0oA`Co051>1?l0BT`4o`0]?PCo018/0ol011d4
o`026PCo00/U1?l0:S`4o`1GBPCo06Xh1?l0KS<4o`1OA0Co03U40ol03bT4o`026PCo00HO1?l09CX4
o`1OA0Co088@1?lGT`04o`6:00Co06/g1?l0=483o`088PCo008J1?l05Rl4o`1LA`Co2hh01?mi/P04
ohjg00Co;i`01?l0JSP3o`0S>0Co00<K1?l02284o`17B`Co08L41?n[_`04omV<00CocK001?lcW@03
o`1NA@Co014[1?l00QT4o`0J<PCo06de1?mf/@04on=^00CokTH01?o>[@03o`f?00Co04Q<1?l01R04
o`057PCo03i71?l1RP04olbc00ColC/01?o[DP04oj2l00?o07LT1?l093T4o`036PCo00`V1?l0F4T4
obZJ00CodJH01?oVH`04om:R00?o<id01?l0G4H4o`0@:PCo008I1?l05Rl4o`1Q@PCo:IT01?ne`@04
olNm00?oHZ/01?l0N2<4o`0f@`Co00HP1?l00a/4o`0O=@Co06521?l4R`04odBR00?o=Yh01?l0OaD4
o`1EC0Co01D^1?l00aX4o`067`Co02<h1?l0FTP4o`1e:@Co07hH0ol0LRd4o`1GBPCo028g1?l01b04
o`026@Co00TS1?l08cP4o`1>CPCo05]70ol0FTP4o`19C0Co024g1?l02R@4o`026PCo00<K1?l032H4
o`0M=0Co02dn0ol0<404o`0U>@Co01@^2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01L`1?l06c<4o`0G<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0R
>0Co03m71?l0D4h4o`1:C0Co02dn1?l04R`3o`047@Co008J1?l02bD4o`0Z?0Co05M:1?l0JSP4o`1^
<`Co05m41?l0>D@3o`0?:@Co008J1?l01Ql4o`0U>PCo05m41?l0PQ04oaNC00Co0HX01?l0JcL4o`0d
@P?o00PR1?l00QX4o`0F;`Co05a71?l;SP04ogVb00CoS[L01?l_W004o`1Z>0?o02<h1?l00a/4o`08
8PCo04M;1?l0Q`@4oj^o00CofH`01?o=/004oc>M00?o05i51?l04B/4o`026@Co01Xb1?l0KCD4ogJa
00Cohfh01?o^AP04olj]00?o3Hl01?l0B4`4o`0680Co00DN1?l0?TL4o`6:00Coc;<01?oa>`04on]B
00CoX;`00ol0Mb@4o`0T>@Co00<J1?l032H4o`1HB@Co:YX01?oAYP04onIS00CodZ800olcW@04o`1L
APCo010Z1?l00QT4o`0F;`Co06521?lYV@04okG100Coakd00omRZ`04o`1h8`Co03I31?l01R04o`03
6`Co01le1?l0HD84o`B;00CoA:800olfWP04o`1o5@Co05E<1?l05Bh4o`036PCo00HO1?l08cP4o`1J
B0Co07DY1?l0OQP3o`1b;@Co05M:1?l08SL4o`0780Co008I1?l02B<4o`0S>0Co04i>1?l0FdL3o`1J
B0Co04U<1?l08CL4o`0:90Co008J1?l00a/4o`0<9PCo01dd1?l0;Ch3o`0`@0Co02Di1?l052h9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05c04o`0K<`Co
01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co028h1?l0?dL4o`1@CPCo04Y<1?l0;Ch4o`0B;0?o
00@M1?l00QX4o`0;9@Co02Xl1?l0EdX4o`1Z>0Co06hc1?l0Gd@4o`0iA0?o00lY1?l00QX4o`067`Co
02Dj1?l0Gd@4o`2240Co5i<01?l1RP04o`1[=`Co03A20ol02284o`026PCo01H_1?l0G4L4o`^>00Co
NK801?n>]`04obnL00Co06Xh0ol08cP4o`036`Co00PR1?l0Ad/4o`2710CoZkl01?oIS004olf`00Co
<id00ol0GTD4o`0A:`Co008I1?l06S84o`1]=@CoM[401?oSKP04oni600CocZd00ol=S`04o`18C0Co
00HP1?l01Ah4o`0nA`Co0HX01?o</`04oo4k00Coje801?nP_003o`1g90Co02@i1?l00aX4o`0<9PCo
05Q91?lZVP04om6V00CoiV<01?oBXP03oc>M00Co05a61?l042X4o`026@Co01H_1?l0HD84obVI00Co
]L401?o7_@03of:[00Co07PS1?l0=T<4o`0680Co00<K1?l07cD4o`1Q@PCo18/01?m4XP03ocJN00Co
07lE1?l0ED`4o`0E;PCo00<J1?l01Ql4o`0S>0Co05Y81?l0MBT4o`1n60?o078]1?l0EdX4o`0R=`Co
00LP1?l00QT4o`098`Co02<h1?l0CTh4o`1KA`?o05Y81?l0BD`4o`0Q=`Co00XT1?l00QX4o`036`Co
00`V1?l07C@4o`0]?P?o03101?l09CT4o`0D;PWooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0G<0Co01`c1?l06304o`0>:0Co00HO0ol00QT4o`0470Co00dW
1?l08cP4o`10B0Co051>1?l0Bdd4o`0^?`Co018/0ol011d4o`026PCo00/U1?l0:cd4o`1HBPCo06/g
1?l0KS84o`1P@`Co03Y50ol03bT4o`026PCo00HO1?l09SX4o`1P@`Co08<>1?lJU004o`>;00Co06/f
1?l0=D83o`088PCo008J1?l05c04o`1MAPCo3i001?mo/`04oiBi00Co<id01?l0JcL3o`0S>0Co00<K
1?l02284o`19C0Co08T11?nd`004omb600CocZ`01?lgWP03o`1NA@Co014[1?l00QT4o`0K<`Co06hc
1?mm/`04onEV00Col3h01?o?Z@03o`n@00Co04Q<1?l01R04o`057PCo04181?l5R`04olj]00Colc80
1?o]B`04ojFm00?o07PS1?l093T4o`036PCo00dW1?l0FDT4obnK00Codj001?oXF`04omBM00?o=ih0
1?l0GDH4o`0@:PCo008I1?l05Rl4o`1R@@Co;Y/01?nm``04olVi00?oIjd01?l0NB44o`0f@`Co00HP
1?l00a/4o`0O=PCo06911?l7S004odVT00?o>Yl01?l0P1<4o`1EB`Co01D^1?l00aX4o`067`Co02@i
1?l0FTP4o`1f9`Co07lF0ol0Lb/4o`1GBPCo028h1?l01b04o`026@Co00TS1?l08cP4o`1>CPCo05a7
0ol0FdP4o`1:C0Co028g1?l02R@4o`036PCo00<K1?l032H4o`0M=0Co02dn0ol0<D04o`0U>PCo01@^
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01L`1?l0
73<4o`0H<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0S>0Co04181?l0D4h4o`1;C@Co02ho1?l0
4R`3o`047@Co008J1?l02bD4o`0[?@Co05Q:1?l0JcL4o`1^<PCo06131?l0>TD3o`0?:@Co008J1?l0
1Ql4o`0V>PCo06131?l0P`h4oaZD00Co0h/01?l0JcH4o`0e@P?o00PR1?l00QX4o`0G<0Co05e61?l?
T004ognc00CoU;T01?lcW@04o`1[=`?o02<h1?l00a/4o`088PCo04U<1?l0R@44okC000Cog8H01?o>
[004ocNN00?o05i51?l04B/4o`026@Co01/c1?l0KS<4ogfc00CoiFH01?o`?P04olnY00?o3i001?l0
B4`4o`0680Co00DN1?l0@4P4o`F;00CocZd01?oc<P04one;00CoYKd00ol0N2<4o`0T>@Co00<J1?l0
3BL4o`1IB@Co;i/01?oCX004onQK00Coe9d00olgWP04o`1MAPCo010Z1?l00QT4o`0F;`Co06911?l^
V`04okg300CobKT00omW[@04o`1i8@Co03I31?l01R04o`036`Co01lf1?l0HT44o`N<00CoBJ@00olj
W`04o`204`Co05E;1?l05Bh4o`036PCo00HO1?l093T4o`1JB0Co07HW1?l0OaH3o`1c:`Co05M:1?l0
8SP4o`0780Co008I1?l02B<4o`0S>0Co04i>1?l0G4L3o`1KB0Co04Y<1?l08SL4o`0:90Co00<J1?l0
0a/4o`0<9PCo01dd1?l0;Ch3o`0a@0Co02Dj1?l052h9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l05c04o`0L<`Co01P`1?l03RP4o`067`?o008I1?l011`4
o`0=9`Co02<h1?l0@4P4o`1@CPCo04]=1?l0;Sl4o`0B;0?o00@M1?l00QX4o`0;9@Co02/m1?l0F4X4
o`1[=`Co06hb1?l0H4<4o`0jA@?o00lY1?l00QX4o`067`Co02Hj1?l0H4<4o`233PCo6Y@01?l3R`04
o`1[=PCo03E20ol02284o`026PCo01L`1?l0GDH4o`n@00CoOk<01?nD^@04oc>M00Co06/g0ol08cP4
o`036`Co00PR1?l0BD`4o`290@Co]<001?oLQP04olj/00Co=ih00ol0GTD4o`0A:`Co008I1?l06c<4
o`1^<`CoOK<01?oUIP04oo0n00CocjT00ol?T004o`18C0Co00HP1?l01Ah4o`10B0Co1H/01?o>[@04
oo<b00CokD/01?nU_@03o`1h8`Co02@i1?l00aX4o`0=9`Co05U91?l_V`04om>P00Coj5/01?oDW@03
ocNN00Co05e61?l042X4o`026@Co01H_1?l0HT44objK00Co_L<01?o9^@03ofN]00Co07TQ1?l0=T<4
o`0680Co00<K1?l07cH4o`1R@@Co1h`01?m9Y003ocZO00Co080C1?l0ED/4o`0E;PCo00<J1?l01Ql4
o`0T>@Co05Y81?l0MRL4o`1o5P?o07<[1?l0EdX4o`0R>0Co00LP1?l00QT4o`098`Co02<h1?l0CTh4
o`1LA`?o05]81?l0BT`4o`0R=`Co00XT1?l00aX4o`036`Co00`V1?l07C@4o`0]?P?o03501?l09CX4
o`0D;PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0G
<0Co01`c1?l06304o`0>:0Co00HO0ol00QT4o`0470Co00dW1?l08cP4o`10B0Co051>1?l0Bdd4o`0^
?`Co018/0ol011d4o`026PCo00/U1?l0:cd4o`1HBPCo06/g1?l0KS84o`1P@`Co03Y50ol03bT4o`02
6PCo00HO1?l09SX4o`1P@`Co08<>1?lJU004o`>;00Co06/f1?l0=D83o`088PCo008J1?l05c04o`1M
APCo3i001?mo/`04oiBi00Co<id01?l0JcL3o`0S>0Co00<K1?l02284o`19C0Co08T11?nd`004omb6
00CocZ`01?lgWP03o`1NA@Co014[1?l00QT4o`0K<`Co06hc1?mm/`04onEV00Col3h01?o?Z@03o`n@
00Co04Q<1?l01R04o`057PCo04181?l5R`04olj]00Colc801?o]B`04ojFm00?o07PS1?l093T4o`03
6PCo00dW1?l0FDT4obnK00Codj001?oXF`04omBM00?o=ih01?l0GDH4o`0@:PCo008I1?l05Rl4o`1R
@@Co;Y/01?nm``04olVi00?oIjd01?l0NB44o`0f@`Co00HP1?l00a/4o`0O=PCo06911?l7S004odVT
00?o>Yl01?l0P1<4o`1EB`Co01D^1?l00aX4o`067`Co02@i1?l0FTP4o`1f9`Co07lF0ol0Lb/4o`1G
BPCo028h1?l01b04o`026@Co00TS1?l08cP4o`1>CPCo05a70ol0FdP4o`1:C0Co028g1?l02R@4o`03
6PCo00<K1?l032H4o`0M=0Co02dn0ol0<D04o`0U>PCo01@^2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01P`1?l073@4o`0H<@Co00hX1?l01Ql3o`026@Co
00@L1?l03BP4o`0S>0Co04581?l0DDd4o`1<C@Co02lo1?l04R`3o`047@Co008J1?l02bD4o`0[?@Co
05Q91?l0K3H4o`1_<@Co06131?l0>TD3o`0?:@Co008J1?l01R04o`0W>PCo06521?l0Q0/4oafE00Co
1X`01?l0K3D4o`0e@`?o00PR1?l00aX4o`0G<0Co05i51?lBT@04ohFe00CoVKX01?lfWP04o`1[=P?o
02<h1?l00a/4o`088PCo04Y=1?l2RP04ok_200CogH001?o@Z004ocVO00?o05m41?l04B/4o`026@Co
01`c1?l0Kc44ohBe00Coiel01?ob=P04om6U00?o4I001?l0BD`4o`0680Co00DN1?l0@DP4o`R=00Co
d:P01?oe:P04onm400CoZ[h00ol0N284o`0U>@Co00<J1?l03BL4o`1JB0Co=9d01?oEVP04onYD00Co
eIP00oljW`04o`1MAPCo010Z1?l00QT4o`0G<0Co06=01?lbW004olC400CobkD00om[[P04o`1j80Co
03M31?l01R04o`036`Co020f1?l0Hd44o`Z>00CoCJD00olnX004o`214@Co05I;1?l05Bh4o`036PCo
00HO1?l093T4o`1KA`Co07HV1?l0P1@3o`1d:PCo05Q91?l08cP4o`0780Co008I1?l02B<4o`0T>@Co
04m>1?l0G4H3o`1KA`Co04]=1?l08SP4o`0:90Co00<J1?l00a/4o`0<9PCo01dd1?l0;Sl3o`0b@@Co
02Hj1?l05Bh9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l06304o`0L=0Co01Pa1?l03RP4o`067`?o008I1?l011`4o`0=:0Co02<h1?l0@DP4o`1AC@Co04a=
1?l0;cl4o`0B;0?o00@M1?l00QX4o`0;9@Co02/m1?l0F4T4o`1/=PCo06la1?l0H4<4o`0jA@?o00lY
1?l00QX4o`0680Co02Lj1?l0HD84o`242`Co7ID01?l6S004o`1/=@Co03E30ol02284o`036PCo01L`
1?l0GTD4oa:A00CoQKD01?nI^P04ocJN00Co06/f0ol08cP4o`036`Co00PR1?l0BTd4o`::00Co^l80
1?oMP004om2X00Co>Il00ol0Gd@4o`0A:`Co008I1?l073<4o`1_<@CoQ;D01?oWG`04oo8f00CodJD0
0olAT004o`19C0Co00HP1?l01Ah4o`11B0Co28d01?o@Z004ooDZ00Cokd@01?nZ_P03o`1h8PCo02Di
1?l00aX4o`0=9`Co05Y81?ldW@04omFJ00CojU@01?oEV003ocZO00Co05e61?l042X4o`026@Co01L`
1?l0Hd04oc:L00Coa<@01?o;]@03of^^00Co07XP1?l0=d<4o`0680Co00<K1?l083H4o`1S@@Co2Xh0
1?m=Y@03ocjP00Co084A1?l0ET/4o`0E;PCo00<J1?l01Ql4o`0T>@Co05]71?l0MRH4o`2050?o07@Z
1?l0F4T4o`0S>0Co00LP1?l00QT4o`098`Co02@i1?l0Cdh4o`1LAP?o05]71?l0Bdd4o`0R>0Co00XT
1?l00aX4o`036`Co00`V1?l07C@4o`0^?`?o03911?l09SX4o`0E;PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0H<0Co01`d1?l06344o`0>:0Co00HO0ol0
0QT4o`0470Co00dX1?l08cP4o`11B0Co055=1?l0C4d4o`0_?`Co018/0ol011d4o`026PCo00/U1?l0
:cd4o`1HB@Co06`f1?l0Kc44o`1P@`Co03Y50ol03bT4o`026PCo00HP1?l09cX4o`1Q@PCo08@;1?lM
U@04o`J<00Co06`e1?l0=D<3o`088PCo00<J1?l05c04o`1NA@Co4Y401?n5]@04oiVj00Co=Yh01?l0
JcH3o`0S>0Co00<K1?l02284o`1:C@Co0XX01?nk`P04omf000Cod:P01?liW`03o`1OA0Co014[1?l0
0QT4o`0L<`Co06la1?n4]@04onMO00ColSH01?oAY@03oa6@00Co04U<1?l01R04o`057PCo04581?l8
S@04om2X00ComBX01?o_A004ojZn00?o07PR1?l09CT4o`036PCo00dW1?l0FTP4ocBM00CoeIX01?oZ
E004omFH00?o>Yl01?l0GDH4o`0@:PCo008I1?l05c04o`1S@0Co<Y`01?o4a004ol^e00?oJjh01?l0
NR04o`0g@`Co00HP1?l00a/4o`0P=PCo06=11?l:SP04odfU00?o?Z001?l0PA44o`1FB`Co01D^1?l0
0aX4o`067`Co02@i1?l0FdL4o`1f9PCo080D0ol0M2X4o`1HB@Co02<h1?l01b04o`026@Co00TS1?l0
93T4o`1?CPCo05a60ol0FdL4o`1;C@Co028h1?l02R@4o`036PCo00<K1?l032H4o`0M=0Co02ho0ol0
<T44o`0V>PCo01D^2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01P`1?l073@4o`0H<@Co00hX1?l01Ql3o`026@Co00@L1?l03BP4o`0S>0Co04581?l0DDd4
o`1<C@Co02lo1?l04R`3o`047@Co008J1?l02bD4o`0[?@Co05Q91?l0K3H4o`1_<@Co06131?l0>TD3
o`0?:@Co008J1?l01R04o`0W>PCo06521?l0Q0/4oafE00Co1X`01?l0K3D4o`0e@`?o00PR1?l00aX4
o`0G<0Co05i51?lBT@04ohFe00CoVKX01?lfWP04o`1[=P?o02<h1?l00a/4o`088PCo04Y=1?l2RP04
ok_200CogH001?o@Z004ocVO00?o05m41?l04B/4o`026@Co01`c1?l0Kc44ohBe00Coiel01?ob=P04
om6U00?o4I001?l0BD`4o`0680Co00DN1?l0@DP4o`R=00Cod:P01?oe:P04onm400CoZ[h00ol0N284
o`0U>@Co00<J1?l03BL4o`1JB0Co=9d01?oEVP04onYD00CoeIP00oljW`04o`1MAPCo010Z1?l00QT4
o`0G<0Co06=01?lbW004olC400CobkD00om[[P04o`1j80Co03M31?l01R04o`036`Co020f1?l0Hd44
o`Z>00CoCJD00olnX004o`214@Co05I;1?l05Bh4o`036PCo00HO1?l093T4o`1KA`Co07HV1?l0P1@3
o`1d:PCo05Q91?l08cP4o`0780Co008I1?l02B<4o`0T>@Co04m>1?l0G4H3o`1KA`Co04]=1?l08SP4
o`0:90Co00<J1?l00a/4o`0<9PCo01dd1?l0;Sl3o`0b@@Co02Hj1?l05Bh9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06344o`0L=0Co01Pa1?l03RP4o`06
7`?o008I1?l011`4o`0=:0Co02@i1?l0@TT4o`1AC@Co04e>1?l0;cl4o`0B;0?o00@M1?l00QX4o`0;
9PCo02`n1?l0FDT4o`1]=@Co070`1?l0HD84o`0kA@?o00lY1?l00QX4o`0680Co02Lk1?l0HT44o`25
2@Co89H01?l8S@04o`1]=@Co03I30ol02284o`036PCo01P`1?l0GT@4oaFB00CoR[H01?nO^`04ocVO
00Co06`f0ol08cP4o`036`Co00PR1?l0C4d4o`F;00Co`/@01?oONP04om6T00Co?:000ol0Gd@4o`0A
:`Co008I1?l073@4o`1`<0CoR[H01?oYF004oo@_00CodZ800olCT@04o`19C0Co00HP1?l01Ah4o`13
B@Co2hh01?oBX`04ooLR00Col3h01?n__`03o`1i8@Co02Di1?l00aX4o`0=9`Co05]81?lhWP04omJE
00Cok4h01?oGU003ocbP00Co05e51?l042X4o`026@Co01L`1?l0I3l4ocFN00Coa/401?o</@03og2_
00Co07XO1?l0=d@4o`0680Co00<K1?l083H4o`1S@0Co38l01?mAYP03od6Q00Co088?1?l0ET/4o`0E
;`Co00<J1?l01Ql4o`0U>@Co05a71?l0Mb@4o`214`?o07@Y1?l0F4T4o`0S>0Co00LP1?l00QT4o`09
8`Co02@i1?l0Cdh4o`1MAP?o05a71?l0C4d4o`0S>0Co00XT1?l00aX4o`036`Co00`V1?l07CD4o`0_
?`?o03911?l09SX4o`0E;PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0H<@Co01`d1?l06344o`0>:0Co00HO0ol00QT4o`0470Co00dX1?l093T4o`12B@Co
055=1?l0CDh4o`0_?`Co018/0ol011d4o`026PCo00/V1?l0;3h4o`1IB@Co06de1?l0L304o`1Q@PCo
03]50ol03bT4o`026PCo00HP1?l09c/4o`1R@@Co08D91?lPUP04o`R=00Co06de1?l0=T<3o`088PCo
00<J1?l06304o`1NA0Co5I801?n:]P04oink00Co>Il01?l0K3H3o`0S>0Co00<K1?l02284o`1<C@Co
1H/01?o2a004ommj00CodJ@01?llX003o`1OA0Co014[1?l00QT4o`0L=0Co070`1?n:]P04onUH00Co
m2l01?oBXP03oa>A00Co04U<1?l01R04o`057PCo04=91?l;SP04om:S00Comb801?o`?P04ojno00?o
07TQ1?l09CT4o`036PCo00dW1?l0FdP4ocRN00CoeYD01?o/CP04omND00?o?:001?l0GDD4o`0@:PCo
008I1?l05c04o`1T?`Co=Ih01?o6`@04olba00?oL:l01?l0NQl4o`0gA0Co00HP1?l00a/4o`0P=PCo
06=01?l<S`04oe6V00?o@J401?l0PPl4o`1FB`Co01D_1?l00aX4o`067`Co02Di1?l0G4L4o`1g90Co
084C0ol0M2T4o`1HB@Co02<h1?l01b04o`026@Co00TS1?l093T4o`1?CPCo05e60ol0G4L4o`1<C@Co
02<h1?l02R@4o`036PCo00<K1?l032H4o`0M=@Co02lo0ol0<T44o`0V>PCo01D^2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Pa1?l073@4o`0H<@Co00hX
1?l01Ql3o`026@Co00@L1?l03BP4o`0T>@Co04991?l0DDd4o`1=CPCo02lo1?l04R`3o`047@Co008J
1?l02bH4o`0/?PCo05U91?l0KCD4o`1`<0Co06521?l0>dD3o`0?:@Co008J1?l01R04o`0W>`Co0691
1?l0Q@T4ob2F00Co28d01?l0KCD4o`0f@`?o00PR1?l00aX4o`0H<0Co05i41?lETP04ohZf00CoWk/0
1?liW`04o`1/=P?o02<h1?l00a/4o`088PCo04a=1?l5R`04ol;400CoggX01?oAY004ocbP00?o05m4
1?l04B/4o`026@Co01`d1?l0L304ohZf00CojEP01?od;`04om:R00?o4i401?l0BD`4o`0680Co00DN
1?l0@dT4o`^>00CodZ<01?og8P04oo0n00Co[kl00ol0NB44o`0U>@Co00<J1?l03BL4o`1KB0Co>9h0
1?oFU@04ona>00Coei@00ollX004o`1MA@Co010Z1?l00QT4o`0G<0Co06@o1?leWP04olK100Coc;40
0om`[`04o`1j7`Co03M41?l01R04o`036`Co020f1?l0Hd04o`b?00CoDJH00om1X@04o`223`Co05I;
1?l05Bl4o`036PCo00HO1?l09CT4o`1LA`Co07LT1?l0PA<3o`1d:@Co05Q91?l08cP4o`0780Co008I
1?l02B<4o`0T>@Co04m>1?l0GDH3o`1LA`Co04a=1?l08cP4o`0:90Co00<J1?l00a/4o`0<9PCo01de
1?l0;cl3o`0b@@Co02Hj1?l05Bh9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l06344o`0L=0Co01Pa1?l03RP4o`067`?o008I1?l011`4o`0=:0Co02@i1?l0
@TT4o`1AC@Co04e>1?l0;cl4o`0B;0?o00@M1?l00QX4o`0;9PCo02`n1?l0FDT4o`1]=@Co070`1?l0
HD84o`0kA@?o00lY1?l00QX4o`0680Co02Lk1?l0HT44o`252@Co89H01?l8S@04o`1]=@Co03I30ol0
2284o`036PCo01P`1?l0GT@4oaFB00CoR[H01?nO^`04ocVO00Co06`f0ol08cP4o`036`Co00PR1?l0
C4d4o`F;00Co`/@01?oONP04om6T00Co?:000ol0Gd@4o`0A:`Co008I1?l073@4o`1`<0CoR[H01?oY
F004oo@_00CodZ800olCT@04o`19C0Co00HP1?l01Ah4o`13B@Co2hh01?oBX`04ooLR00Col3h01?n_
_`03o`1i8@Co02Di1?l00aX4o`0=9`Co05]81?lhWP04omJE00Cok4h01?oGU003ocbP00Co05e51?l0
42X4o`026@Co01L`1?l0I3l4ocFN00Coa/401?o</@03og2_00Co07XO1?l0=d@4o`0680Co00<K1?l0
83H4o`1S@0Co38l01?mAYP03od6Q00Co088?1?l0ET/4o`0E;`Co00<J1?l01Ql4o`0U>@Co05a71?l0
Mb@4o`214`?o07@Y1?l0F4T4o`0S>0Co00LP1?l00QT4o`098`Co02@i1?l0Cdh4o`1MAP?o05a71?l0
C4d4o`0S>0Co00XT1?l00aX4o`036`Co00`V1?l07CD4o`0_?`?o03911?l09SX4o`0E;PWooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0H<@Co01dd1?l06344
o`0>:@Co00HO0ol00QT4o`0470Co00hX1?l093T4o`13B@Co059=1?l0CTh4o`0`@0Co01</0ol011d4
o`026PCo00/V1?l0;Ch4o`1IB0Co06dd1?l0LBl4o`1Q@PCo03]60ol03bT4o`026PCo00HP1?l0:3/4
o`1R@@Co08H71?lSU`04o`Z>00Co06dd1?l0=T<3o`088PCo00<J1?l06344o`1OA0Co69<01?n?]`04
oj>m00Co>il01?l0K3D3o`0S>0Co00<K1?l02B<4o`1=CPCo1hd01?o5`P04on5e00CodZ001?lnX003
o`1OA0Co014[1?l00QT4o`0M=0Co074^1?n@^004on]B00ComRT01?oCWP03oaBB00Co04U<1?l01R04
o`057`Co04A:1?l>S`04om>N00ConA/01?ob>004ok?000?o07TQ1?l09CT4o`036PCo00dX1?l0FdL4
ocbP00Cof9001?o^B004omR@00?o?j401?l0GTD4o`0@:PCo008I1?l06304o`1T?`Co>Il01?o7_P04
olj]00?oLk001?l0Nad4o`0hA0Co00HP1?l00a`4o`0Q=`Co06@o1?l?T004oeFW00?oA:801?l0P`h4
o`1GBPCo01D_1?l00aX4o`067`Co02Dj1?l0G4H4o`1h8`Co084A0ol0MBP4o`1IB@Co02@i1?l01b44
o`026@Co00TT1?l09CT4o`1@CPCo05e50ol0G4H4o`1=CPCo02<h1?l02RD4o`036PCo00<K1?l032H4
o`0N=@Co02lo0ol0<d44o`0W>`Co01D^2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01Pa1?l07C@4o`0H<@Co00hY1?l01Ql3o`026@Co00@L1?l03RP4o`0T
>@Co04=91?l0DTd4o`1>CPCo03101?l04b`3o`047@Co008J1?l02bH4o`0]?PCo05U81?l0KC@4o`1a
;`Co06521?l0>dH3o`0?:@Co008J1?l01R04o`0X>`Co06911?l0QPL4ob>G00Co2Xh01?l0KC@4o`0f
@`?o00PR1?l00aX4o`0H<@Co05m41?lHT`04ohng00CoXkd01?lkW`04o`1/=@?o02<h1?l00a/4o`09
8`Co04e>1?l7S@04olG200CohGD01?oBX004ocjP00?o05m41?l04B/4o`026@Co01dd1?l0LBh4oi2h
00Coje801?of:@04om>N00?o59801?l0BD`4o`0680Co00DO1?l0A4X4o`j?00Codih01?oi6`04oo8h
00Co/l000ol0NB44o`0U>@Co00<J1?l03BP4o`1KA`Co?:001?oHT004oni800Cof9000oloX@04o`1N
A@Co010Z1?l00QT4o`0H<0Co06@o1?liW`04olNn00CocZd00omc/004o`1k7@Co03Q41?l01R04o`03
70Co024g1?l0I3l4o`n@00CoEJL00om4XP04o`233PCo05M:1?l05Bl4o`036PCo00HO1?l09CX4o`1L
APCo07PS1?l0PA43o`1e:0Co05U91?l093T4o`078@Co008I1?l02B@4o`0U>@Co051>1?l0GDD3o`1L
APCo04e>1?l08cP4o`0:9@Co00<J1?l00a/4o`0<9PCo01he1?l0;cl3o`0c@@Co02Lk1?l05Bh9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`?o00001oooool4o`0H<@Co01dd1?l06344o`0>:@Co
00HO0ol00QT4o`0470Co00hX1?l093T4o`13B@Co059=1?l0CTh4o`0`@0Co01</0ol011d4o`026PCo
00/V1?l0;Ch4o`1IB0Co06dd1?l0LBl4o`1Q@PCo03]60ol03bT4o`026PCo00HP1?l0:3/4o`1R@@Co
08H71?lSU`04o`Z>00Co06dd1?l0=T<3o`088PCo00<J1?l06344o`1OA0Co69<01?n?]`04oj>m00Co
>il01?l0K3D3o`0S>0Co00<K1?l02B<4o`1=CPCo1hd01?o5`P04on5e00CodZ001?lnX003o`1OA0Co
014[1?l00QT4o`0M=0Co074^1?n@^004on]B00ComRT01?oCWP03oaBB00Co04U<1?l01R04o`057`Co
04A:1?l>S`04om>N00ConA/01?ob>004ok?000?o07TQ1?l09CT4o`036PCo00dX1?l0FdL4ocbP00Co
f9001?o^B004omR@00?o?j401?l0GTD4o`0@:PCo008I1?l06304o`1T?`Co>Il01?o7_P04olj]00?o
Lk001?l0Nad4o`0hA0Co00HP1?l00a`4o`0Q=`Co06@o1?l?T004oeFW00?oA:801?l0P`h4o`1GBPCo
01D_1?l00aX4o`067`Co02Dj1?l0G4H4o`1h8`Co084A0ol0MBP4o`1IB@Co02@i1?l01b44o`026@Co
00TT1?l09CT4o`1@CPCo05e50ol0G4H4o`1=CPCo02<h1?l02RD4o`036PCo00<K1?l032H4o`0N=@Co
02lo0ol0<d44o`0W>`Co01D^1oooool3o`0000Cooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l06344o`0M=0Co01Pa1?l03RT4o`067`?o008I1?l011`4o`0>:0Co02@i1?l0@dT4o`1BC@Co04i>
1?l0<404o`0C;0?o00@M1?l00QX4o`0;9PCo02dn1?l0FDP4o`1]=0Co074_1?l0HD84o`0kAP?o00lY
1?l00QX4o`0680Co02Pk1?l0HT44o`261`Co8iL01?l:SP04o`1]=0Co03I30ol02284o`036PCo01Pa
1?l0Gd@4oaRC00CoSkL01?nS_@04oc^O00Co06`e0ol08cP4o`036`Co00TS1?l0CDh4o`N=00CoaL80
1?oQM@04om:P00Co?Z000ol0Gd@4o`0A:`Co008I1?l07C@4o`1a;PCoT;P01?o[DP04ooHY00Codih0
0olDTP04o`19C0Co00HP1?l01Al4o`14BPCo3Xl01?oCWP04ooTK00ColSP01?nc`003o`1i8@Co02Di
1?l00aX4o`0=:0Co05]71?llX004omR@00CokTP01?oHT003ocnQ00Co05i51?l042X4o`026@Co01P`
1?l0I3l4ocVO00Coakh01?o>[@03og>`00Co07/M1?l0>4@4o`0680Co00<L1?l08CL4o`1T?`Co3i00
1?mEY`03odBR00Co08<>1?l0EdX4o`0E;`Co00<J1?l01Ql4o`0U>PCo05a61?l0N2<4o`214@?o07DX
1?l0FDT4o`0T>@Co00LQ1?l00QT4o`0990Co02Di1?l0D4h4o`1MA@?o05a61?l0CDh4o`0S>0Co00XU
1?l00aX4o`036`Co00`V1?l07SD4o`0_?`?o03=11?l09c/4o`0E;PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I<@Co01dd1?l06C44o`0>:@Co00HO0ol0
0QT4o`0470Co00hX1?l09CT4o`14BPCo059=1?l0CTh4o`0`@0Co01</0ol011d4o`026PCo00`V1?l0
;Ch4o`1JB0Co06hc1?l0LBh4o`1R@@Co03a60ol03bT4o`026PCo00HP1?l0:3/4o`1S@0Co08L51?lU
V004o`b>00Co06hc1?l0=T<3o`088PCo00<J1?l06C44o`1P@`Co6Y@01?nD^@04ojRn00Co?Z001?l0
K3D3o`0S>0Co00<K1?l02B<4o`1>CPCo2Xh01?o7_`04on9a00Coe9d01?m1X@03o`1OA0Co010[1?l0
0QT4o`0M=@Co078]1?nE^@04ona<00Comb<01?oDV`03oaJB00Co04Y<1?l01R04o`067`Co04E:1?lA
T004omFJ00Cona@01?oc<P04okO100?o07XP1?l09CT4o`036PCo00hX1?l0G4H4ocnQ00CofH`01?o_
@P04omV<00?o@J401?l0GTD4o`0@:PCo008I1?l06344o`1U?PCo?:001?o8^`04olnZ00?oMk401?l0
O1`4o`0hA0Co00HP1?l00a`4o`0Q=`Co06@o1?lAT004oeRX00?oAj<01?l0Q0`4o`1GBPCo01H_1?l0
0aX4o`067`Co02Hj1?l0GDH4o`1i8PCo088@0ol0MRL4o`1IB0Co02@i1?l01b44o`026@Co00XT1?l0
9CT4o`1@CPCo05i50ol0GDH4o`1>CPCo02@i1?l02bD4o`036PCo00<K1?l032H4o`0N=@Co03100ol0
=484o`0W>`Co01D_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01Ta1?l07C@4o`0I<@Co00hY1?l01Ql3o`026@Co00@L1?l03RP4o`0U>@Co04A:1?l0DTd4
o`1>CPCo03101?l04b`3o`047@Co008J1?l032H4o`0]?PCo05Y81?l0KS<4o`1a;PCo06911?l0?4H3
o`0?:@Co008J1?l01R04o`0X>`Co06=01?l0Q`D4obFH00Co38h01?l0KS<4o`0f@`?o00PR1?l00aX4
o`0I<@Co06131?lJU004oiBi00CoZ;h01?lnX004o`1/=@?o02<h1?l00a/4o`098`Co04i>1?l:SP04
olNo00CohW401?oDW@04od6Q00?o05m41?l042/4o`026@Co01de1?l0LRd4oiFi00Cok4`01?og8`04
omBK00?o5Y801?l0BT`4o`0680Co00HO1?l0ADX4oa6@00CoeIX01?ok5004oo<b00Co]l400ol0NR04
o`0U>@Co00<J1?l03RP4o`1LAPCo?j401?oIS004onm200CofH`00om1X@04o`1NA@Co010Z1?l00QT4
o`0H<@Co06Dn1?llX004olRk00CocjX00omg/@04o`1l70Co03Q41?l01R04o`0370Co024g1?l0I3l4
oa6@00CoF:P00om7X`04o`2430Co05M:1?l05Rl4o`036PCo00HO1?l09SX4o`1MAPCo07TR1?l0PQ03
o`1f9`Co05U81?l093T4o`078@Co008I1?l02R@4o`0U>@Co051>1?l0GTD3o`1MAPCo04i>1?l093T4
o`0;9@Co00<J1?l00a/4o`0<9PCo01he1?l0<403o`0d@PCo02Lk1?l05Bl9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0M=0Co01Ta1?l03RT4o`06
7`?o008I1?l011`4o`0>:0Co02Di1?l0A4X4o`1BC@Co04i>1?l0<404o`0C;0?o00@M1?l00QX4o`0<
9PCo02dn1?l0FTP4o`1^<`Co074^1?l0HT44o`0lAP?o00lY1?l00QX4o`0680Co02Pk1?l0Hd04o`27
1@Co9IP01?l<SP04o`1^<`Co03I30ol02284o`036PCo01Ta1?l0H4<4oaZD00CoU;T01?nX_P04ocjP
00Co06`e0ol08cP4o`036`Co00TS1?l0CTh4o`Z>00Coakl01?oRL@04omBM00Co@J400ol0Gd@4o`0@
:`Co008I1?l07CD4o`1b;@CoUKT01?o/C004ooLS00Coe9/00olFTP04o`1:C0Co00HP1?l01Ql4o`15
BPCo4I001?oEVP04oo/D00Colc801?ng`@03o`1j80Co02Di1?l00aX4o`0>:0Co05a61?loX@04omV<
00Cokd801?oIS003od6Q00Co05i51?l042X4o`026@Co01Pa1?l0ICh4ocbP00Cob;/01?o?ZP03ogNa
00Co07`L1?l0>4@4o`0680Co00<L1?l08CL4o`1T?`Co4I001?mHZ003odNS00Co08@<1?l0EdX4o`0F
;`Co00<J1?l01Ql4o`0V>PCo05e61?l0NB84o`2240?o07HW1?l0FDP4o`0T>@Co00LQ1?l00QT4o`0:
90Co02Di1?l0D4h4o`1NA@?o05e61?l0CTh4o`0T>@Co00/U1?l00aX4o`036`Co00`V1?l07SD4o`0`
@0?o03A21?l09c/4o`0E;`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0I<@Co01dd1?l06C44o`0>:@Co00HO0ol00QT4o`0470Co00hX1?l09CT4o`14BPCo
059=1?l0CTh4o`0`@0Co01</0ol011d4o`026PCo00`V1?l0;Ch4o`1JB0Co06hc1?l0LBh4o`1R@@Co
03a60ol03bT4o`026PCo00HP1?l0:3/4o`1S@0Co08L51?lUV004o`b>00Co06hc1?l0=T<3o`088PCo
00<J1?l06C44o`1P@`Co6Y@01?nD^@04ojRn00Co?Z001?l0K3D3o`0S>0Co00<K1?l02B<4o`1>CPCo
2Xh01?o7_`04on9a00Coe9d01?m1X@03o`1OA0Co010[1?l00QT4o`0M=@Co078]1?nE^@04ona<00Co
mb<01?oDV`03oaJB00Co04Y<1?l01R04o`067`Co04E:1?lAT004omFJ00Cona@01?oc<P04okO100?o
07XP1?l09CT4o`036PCo00hX1?l0G4H4ocnQ00CofH`01?o_@P04omV<00?o@J401?l0GTD4o`0@:PCo
008I1?l06344o`1U?PCo?:001?o8^`04olnZ00?oMk401?l0O1`4o`0hA0Co00HP1?l00a`4o`0Q=`Co
06@o1?lAT004oeRX00?oAj<01?l0Q0`4o`1GBPCo01H_1?l00aX4o`067`Co02Hj1?l0GDH4o`1i8PCo
088@0ol0MRL4o`1IB0Co02@i1?l01b44o`026@Co00XT1?l09CT4o`1@CPCo05i50ol0GDH4o`1>CPCo
02@i1?l02bD4o`036PCo00<K1?l032H4o`0N=@Co03100ol0=484o`0W>`Co01D_2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Ta1?l07C@4o`0I<@Co00lY
1?l01Ql3o`026@Co00@L1?l03RP4o`0U>@Co04A:1?l0DTd4o`1?CPCo03101?l04bd3o`047@Co008J
1?l032H4o`0^?PCo05Y81?l0KS84o`1b;@Co06911?l0?4H3o`0?:@Co008J1?l01R04o`0Y?0Co06=0
1?l0Q`@4obNI00Co3Hl01?l0KS<4o`0g@`?o00PR1?l00aX4o`0I<@Co06131?lMU@04oiNj00CoZkl0
1?m0X@04o`1]=0?o02<h1?l00a/4o`098`Co04m>1?l<SP04olRl00Cohfd01?oEVP04od:R00?o0613
1?l042/4o`026@Co01he1?l0Lb`4oiVj00CokTL01?oh7P04omFI00?o5i<01?l0BT`4o`0680Co00HO
1?l0AT/4oa>A00CoeYL01?ol3`04oo@^00Co^l800ol0NQl4o`0U>@Co00<J1?l03RP4o`1MAPCo@Z80
1?oKR004oo0n00CofXT00om3XP04o`1NA@Co010Z1?l00QT4o`0H<@Co06Hm1?loX@04olVh00Cod:L0
0omj/P04o`1l6`Co03Q41?l01R04o`0370Co024g1?l0ICh4oa>A00CoFjT00om:Y004o`242`Co05M:
1?l05Rl4o`036PCo00HO1?l09SX4o`1MAPCo07TQ1?l0P`h3o`1f9PCo05Y81?l093T4o`078@Co008I
1?l02R@4o`0U>PCo051=1?l0GTD3o`1MAPCo04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9PCo01he
1?l0<403o`0d@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l06C44o`0M=0Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Di1?l0
A4X4o`1BC@Co04m>1?l0<404o`0C;@?o00@M1?l00QX4o`0<9PCo02hn1?l0FTP4o`1^<PCo078]1?l0
HT44o`0lAP?o00lY1?l00QX4o`0680Co02Tl1?l0Hd04o`2710Co9iT01?l=S`04o`1^<`Co03M30ol0
2284o`036PCo01Ta1?l0H4<4oafE00CoUkX01?n[_`04od2Q00Co06dd0ol08cP4o`036`Co00TS1?l0
Cdh4o`b>00Cob;`01?oSK@04omFJ00Co@Z800ol0H4<4o`0@:`Co008I1?l07SD4o`1c;0CoVKX01?o^
A`04ooPN00CoeIT00olGT`04o`1:C0Co00HP1?l01Ql4o`16B`Co4i401?oFU`04oo`?00Com2h01?nk
`P03o`1j7`Co02Di1?l00aX4o`0>:0Co05e61?m2XP04om^800Col3h01?oJR@03od>R00Co05i51?l0
42X4o`026@Co01Pa1?l0ISd4ocnQ00CobKP01?o@Y`03ogZb00Co07`K1?l0>4@4o`0680Co00<L1?l0
8CL4o`1U?PCo4i401?mKZ@03odZT00Co08@;1?l0EdX4o`0F;`Co00<J1?l01Ql4o`0V>PCo05e61?l0
NB44o`233P?o07HV1?l0FTP4o`0T>@Co00LQ1?l00QT4o`0:90Co02Dj1?l0D4d4o`1NA@?o05e61?l0
Cdh4o`0T>@Co00/U1?l00aX4o`036`Co00`V1?l07SD4o`0`@0?o03A21?l0:3/4o`0F;`Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I<@Co01dd1?l06C44
o`0?:@Co00HO0ol00QT4o`0470Co00hX1?l09CT4o`14BPCo059=1?l0Cdh4o`0`@0Co01<]0ol011d4
o`026PCo00`V1?l0;Sh4o`1JB0Co06hb1?l0LRd4o`1R@@Co03a60ol03bT4o`026PCo00HP1?l0:C`4
o`1S@0Co08L41?lWV@04o`f?00Co06hc1?l0=d<3o`088PCo00<J1?l06C44o`1P@`Co7ID01?nG^P04
oj^o00Co@:401?l0KC@3o`0S>0Co00<K1?l02B<4o`1?CPCo38h01?o8_004on=]00CoeIX01?m2XP03
o`1P@`Co010[1?l00QT4o`0N=@Co07</1?nI^P04oni700Con1h01?oEV@03oaNC00Co04Y<1?l01R04
o`067`Co04I;1?lCT@04omJG00Coo0l01?od;P04ok_200?o07XO1?l09CT4o`036PCo00hX1?l0GDH4
od:R00CofhP01?o`?P04omZ900?o@j801?l0GTD4o`0@:PCo008I1?l06344o`1V?@Co?j401?o9^004
om2W00?oN[801?l0O1/4o`0hA0Co00HP1?l00a`4o`0Q=`Co06Dn1?lCT@04oe^Y00?oBZ@01?l0Q0/4
o`1GBPCo01H_1?l00aX4o`067`Co02Hj1?l0GDH4o`1i8@Co08<>0ol0MRH4o`1JB0Co02@i1?l01b44
o`026@Co00XT1?l09CX4o`1@C@Co05i50ol0GDH4o`1?CPCo02@i1?l02bD4o`036PCo00<K1?l032H4
o`0N=@Co03100ol0=484o`0X>`Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01Ta1?l07C@4o`0I<@Co00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0U
>@Co04A:1?l0DTd4o`1?CPCo03101?l04bd3o`047@Co008J1?l032H4o`0^?PCo05Y81?l0KS84o`1b
;@Co06911?l0?4H3o`0?:@Co008J1?l01R04o`0Y?0Co06=01?l0Q`@4obNI00Co3Hl01?l0KS<4o`0g
@`?o00PR1?l00aX4o`0I<@Co06131?lMU@04oiNj00CoZkl01?m0X@04o`1]=0?o02<h1?l00a/4o`09
8`Co04m>1?l<SP04olRl00Cohfd01?oEVP04od:R00?o06131?l042/4o`026@Co01he1?l0Lb`4oiVj
00CokTL01?oh7P04omFI00?o5i<01?l0BT`4o`0680Co00HO1?l0AT/4oa>A00CoeYL01?ol3`04oo@^
00Co^l800ol0NQl4o`0U>@Co00<J1?l03RP4o`1MAPCo@Z801?oKR004oo0n00CofXT00om3XP04o`1N
A@Co010Z1?l00QT4o`0H<@Co06Hm1?loX@04olVh00Cod:L00omj/P04o`1l6`Co03Q41?l01R04o`03
70Co024g1?l0ICh4oa>A00CoFjT00om:Y004o`242`Co05M:1?l05Rl4o`036PCo00HO1?l09SX4o`1M
APCo07TQ1?l0P`h3o`1f9PCo05Y81?l093T4o`078@Co008I1?l02R@4o`0U>PCo051=1?l0GTD3o`1M
APCo04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9PCo01he1?l0<403o`0d@PCo02Pk1?l05Rl9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0M=0Co
01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Dj1?l0ADX4o`1CC@Co04m>1?l0<D04o`0C;@?o
00@M1?l00QX4o`0<9PCo02ho1?l0FdP4o`1_<PCo078]1?l0Hd44o`0mAP?o00lY1?l00QX4o`0780Co
02Tl1?l0I3l4o`280PCo:IT01?l?T004o`1^<PCo03M30ol02284o`036PCo01Ta1?l0HD84oanF00Co
VkX01?n__`04od:Q00Co06dd0ol08cP4o`036`Co00TS1?l0Cdh4o`f?00CobKX01?oTJP04omFH00Co
A:800ol0H4<4o`0@:`Co008I1?l07SD4o`1c:`CoWK/01?o_@`04ooTJ00CoeYH00olHT`04o`1:C@So
00HO1?l0Ad/4oaFB00Coei@01?om2P04ooDZ00Co_L<00ol0NQl4o`0U>@Co00<J1?l03RP4o`1MAPCo
AJ801?oLQ@04oo4j00CofhL00om5X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Hm1?m1X@04olZf00Co
dJD00oml/`04o`1l6`Co03U41?l01R04o`0470Co028g1?l0ICh4oaBB00CoGZX00om<Y@04o`252PCo
05Q:1?l05Rl4o`036PCo00HO1?l09SX4o`1MA@Co07XP1?l0P`d3o`1g9@Co05Y81?l09CT4o`078@Co
008I1?l02R@4o`0U>PCo055=1?l0GT@3o`1MA@Co04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co
01he1?l0<403o`0d@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`00
0?oooooooooo00Oooooo1?l06C44o`0M=0Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Dj
1?l0ADX4o`1CC@Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdP4o`1_<PCo078]
1?l0Hd44o`0mAP?o00lY1?l00QX4o`0780Co02Tl1?l0I3l4o`280PCo:IT01?l?T004o`1^<PCo03M3
0ol02284o`036PCo01Ta1?l0HD84oanF00CoVkX01?n__`04od:Q00Co06dd0ol08cP4o`036`Co00TS
1?l0Cdh4o`f?00CobKX01?oTJP04omFH00CoA:800ol0H4<4o`0@:`Co008I1?l07SD4o`1c:`CoWK/0
1?o_@`04ooTJ00CoeYH00olHT`04o`1:C@So00HO1?l0Ad/4oaFB00Coei@01?om2P04ooDZ00Co_L<0
0ol0NQl4o`0U>@Co00<J1?l03RP4o`1MAPCoAJ801?oLQ@04oo4j00CofhL00om5X`04o`1OA0Co010Z
1?l00QT4o`0I<@Co06Hm1?m1X@04olZf00CodJD00oml/`04o`1l6`Co03U41?l01R04o`0470Co028g
1?l0ICh4oaBB00CoGZX00om<Y@04o`252PCo05Q:1?l05Rl4o`036PCo00HO1?l09SX4o`1MA@Co07XP
1?l0P`d3o`1g9@Co05Y81?l09CT4o`078@Co008I1?l02R@4o`0U>PCo055=1?l0GT@3o`1MA@Co04m>
1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<403o`0d@PCo02Pk1?l05Rl9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0M=0Co01Ta1?l0
3bT4o`067`?o008I1?l011`4o`0>:0Co02Dj1?l0ADX4o`1CC@Co04m>1?l0<D04o`0C;@?o00@M1?l0
0QX4o`0<9PCo02ho1?l0FdP4o`1_<PCo078]1?l0Hd44o`0mAP?o00lY1?l00QX4o`0780Co02Tl1?l0
I3l4o`280PCo:IT01?l?T004o`1^<PCo03M30ol02284o`036PCo01Ta1?l0HD84oanF00CoVkX01?n_
_`04od:Q00Co06dd0ol08cP4o`036`Co00TS1?l0Cdh4o`f?00CobKX01?oTJP04omFH00CoA:800ol0
H4<4o`0@:`Co008I1?l07SD4o`1c:`CoWK/01?o_@`04ooTJ00CoeYH00olHT`04o`1:C@So00HO1?l0
Ad/4oaFB00Coei@01?om2P04ooDZ00Co_L<00ol0NQl4o`0U>@Co00<J1?l03RP4o`1MAPCoAJ801?oL
Q@04oo4j00CofhL00om5X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Hm1?m1X@04olZf00CodJD00oml
/`04o`1l6`Co03U41?l01R04o`0470Co028g1?l0ICh4oaBB00CoGZX00om<Y@04o`252PCo05Q:1?l0
5Rl4o`036PCo00HO1?l09SX4o`1MA@Co07XP1?l0P`d3o`1g9@Co05Y81?l09CT4o`078@Co008I1?l0
2R@4o`0U>PCo055=1?l0GT@3o`1MA@Co04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0
<403o`0d@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooo
oooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0ADX4
o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co078/1?l0Hd04
o`0mAP?o00lY1?l00QX4o`0780Co02Xl1?l0I3l4o`290@Co:YX01?l@T004o`1_<PCo03M40ol02284
o`036PCo01Tb1?l0HD84ob2F00CoWK/01?na`004od>R00Co06dd0ol08cP4o`036`Co00TS1?l0D4h4
o`n@00CobKP01?oUI`04omJF00CoAJ<00ol0H4<4o`0@:`Co008I1?l07cD4o`1d:PCoX;`01?o`@004
ooXF00CoeiD00olIT`04o`1:C@So00HO1?l0B4/4oaNC00Cof9401?on1P04ooHW00Co`<<00ol0Nah4
o`0U>@Co00<J1?l03RP4o`1MA@CoAj<01?oLP`04oo8f00Cog8D00om6X`04o`1OA0Co010Z1?l00QT4
o`0I<@Co06Hl1?m3XP04ol^d00CodJ<00omn/`04o`1m6PCo03U41?l01R04o`0470Co028g1?l0ISd4
oaJB00CoH:/00om>Y@04o`252@Co05Q:1?l05Rl4o`036PCo00HP1?l09SX4o`1NA@Co07XO1?l0Q0`3
o`1g90Co05Y81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l093T4
o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`06
7`?o008I1?l011`4o`0>:0Co02Hj1?l0ADX4o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<
9PCo02ho1?l0FdL4o`1_<@Co078/1?l0Hd04o`0mAP?o00lY1?l00QX4o`0780Co02Xl1?l0I3l4o`29
0@Co:YX01?l@T004o`1_<PCo03M40ol02284o`036PCo01Tb1?l0HD84ob2F00CoWK/01?na`004od>R
00Co06dd0ol08cP4o`036`Co00TS1?l0D4h4o`n@00CobKP01?oUI`04omJF00CoAJ<00ol0H4<4o`0@
:`Co008I1?l07cD4o`1d:PCoX;`01?o`@004ooXF00CoeiD00olIT`04o`1:C@So00HO1?l0B4/4oaNC
00Cof9401?on1P04ooHW00Co`<<00ol0Nah4o`0U>@Co00<J1?l03RP4o`1MA@CoAj<01?oLP`04oo8f
00Cog8D00om6X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Hl1?m3XP04ol^d00CodJ<00omn/`04o`1m
6PCo03U41?l01R04o`0470Co028g1?l0ISd4oaJB00CoH:/00om>Y@04o`252@Co05Q:1?l05Rl4o`03
6PCo00HP1?l09SX4o`1NA@Co07XO1?l0Q0`3o`1g90Co05Y81?l09CT4o`078@Co008I1?l02R@4o`0V
>PCo055=1?l0Gd@3o`1NA@Co04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<D03o`0e
@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oo
oooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0ADX4o`1CC0Co
04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co078/1?l0Hd04o`0mAP?o
00lY1?l00QX4o`0780Co02Xl1?l0I3l4o`290@Co:YX01?l@T004o`1_<PCo03M40ol02284o`036PCo
01Tb1?l0HD84ob2F00CoWK/01?na`004od>R00Co06dd0ol08cP4o`036`Co00TS1?l0D4h4o`n@00Co
bKP01?oUI`04omJF00CoAJ<00ol0H4<4o`0@:`Co008I1?l07cD4o`1d:PCoX;`01?o`@004ooXF00Co
eiD00olIT`04o`1:C@So00HO1?l0B4/4oaNC00Cof9401?on1P04ooHW00Co`<<00ol0Nah4o`0U>@Co
00<J1?l03RP4o`1MA@CoAj<01?oLP`04oo8f00Cog8D00om6X`04o`1OA0Co010Z1?l00QT4o`0I<@Co
06Hl1?m3XP04ol^d00CodJ<00omn/`04o`1m6PCo03U41?l01R04o`0470Co028g1?l0ISd4oaJB00Co
H:/00om>Y@04o`252@Co05Q:1?l05Rl4o`036PCo00HP1?l09SX4o`1NA@Co07XO1?l0Q0`3o`1g90Co
05Y81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l093T4o`0;9@Co
00<J1?l00a/4o`0<9`Co01he1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I
1?l011`4o`0>:0Co02Hj1?l0ADX4o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho
1?l0FdL4o`1_<@Co078/1?l0Hd04o`0mAP?o00lY1?l00QX4o`0780Co02Xl1?l0I3l4o`290@Co:YX0
1?l@T004o`1_<PCo03M40ol02284o`036PCo01Tb1?l0HD84ob2F00CoWK/01?na`004od>R00Co06dd
0ol08cP4o`036`Co00TS1?l0D4h4o`n@00CobKP01?oUI`04omJF00CoAJ<00ol0H4<4o`0@:`Co008I
1?l07cD4o`1d:PCoX;`01?o`@004ooXF00CoeiD00olIT`04o`1:C@So00HO1?l0B4/4oaNC00Cof940
1?on1P04ooHW00Co`<<00ol0Nah4o`0U>@Co00<J1?l03RP4o`1MA@CoAj<01?oLP`04oo8f00Cog8D0
0om6X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Hl1?m3XP04ol^d00CodJ<00omn/`04o`1m6PCo03U4
1?l01R04o`0470Co028g1?l0ISd4oaJB00CoH:/00om>Y@04o`252@Co05Q:1?l05Rl4o`036PCo00HP
1?l09SX4o`1NA@Co07XO1?l0Q0`3o`1g90Co05Y81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=
1?l0Gd@3o`1NA@Co04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<D03o`0e@PCo02Pk
1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l0
6C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0ATX4o`1CC0Co04m>1?l0
<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co07</1?l0Hd04o`0mAP?o00lZ1?l0
0QX4o`0780Co02Xl1?l0I3h4o`290@Co:iX01?l@T004o`1_<PCo03M40ol02284o`036PCo01Tb1?l0
HD84ob6G00CoWk`01?nc`004odBR00Co06hc0ol093T4o`036`Co00TS1?l0D4h4oa2@00Cob[L01?oU
I@04omNE00CoAZ<00ol0H4<4o`0@:`Co008I1?l07cD4o`1d:PCoX[`01?o`?@04oo/D00Coei<00olJ
U004o`1;C@So00HO1?l0B4`4oaRC00Cof8l01?oo0`04ooLT00Co`/@00ol0Nah4o`0U>@Co00<J1?l0
3RP4o`1NA@CoB:@01?oMP@04oo<d00Cog8<00om8X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Ll1?m4
XP04olbc00CodZ800on0]004o`1m6PCo03U51?l01R04o`0470Co028h1?l0ISd4oaNC00CoHJ/00om?
YP04o`2520Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XO1?l0Q0`3o`1g90Co05]81?l0
9CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l09CT4o`0;9@Co00<J1?l0
0a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4
o`0>:0Co02Hj1?l0ATX4o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4
o`1_<@Co07</1?l0Hd04o`0mAP?o00lZ1?l00QX4o`0780Co02Xl1?l0I3h4o`290@Co:iX01?l@T004
o`1_<PCo03M40ol02284o`036PCo01Tb1?l0HD84ob6G00CoWk`01?nc`004odBR00Co06hc0ol093T4
o`036`Co00TS1?l0D4h4oa2@00Cob[L01?oUI@04omNE00CoAZ<00ol0H4<4o`0@:`Co008I1?l07cD4
o`1d:PCoX[`01?o`?@04oo/D00Coei<00olJU004o`1;C@So00HO1?l0B4`4oaRC00Cof8l01?oo0`04
ooLT00Co`/@00ol0Nah4o`0U>@Co00<J1?l03RP4o`1NA@CoB:@01?oMP@04oo<d00Cog8<00om8X`04
o`1OA0Co010Z1?l00QT4o`0I<@Co06Ll1?m4XP04olbc00CodZ800on0]004o`1m6PCo03U51?l01R04
o`0470Co028h1?l0ISd4oaNC00CoHJ/00om?YP04o`2520Co05Q91?l05Rl4o`036PCo00HP1?l09cX4
o`1NA@Co07XO1?l0Q0`3o`1g90Co05]81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3
o`1NA@Co04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Pk1?l05Rl9
ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0N
=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0ATX4o`1CC0Co04m>1?l0<D04o`0C
;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co07</1?l0Hd04o`0mAP?o00lZ1?l00QX4o`07
80Co02Xl1?l0I3h4o`290@Co:iX01?l@T004o`1_<PCo03M40ol02284o`036PCo01Tb1?l0HD84ob6G
00CoWk`01?nc`004odBR00Co06hc0ol093T4o`036`Co00TS1?l0D4h4oa2@00Cob[L01?oUI@04omNE
00CoAZ<00ol0H4<4o`0@:`Co008I1?l07cD4o`1d:PCoX[`01?o`?@04oo/D00Coei<00olJU004o`1;
C@So00HO1?l0B4`4oaRC00Cof8l01?oo0`04ooLT00Co`/@00ol0Nah4o`0U>@Co00<J1?l03RP4o`1N
A@CoB:@01?oMP@04oo<d00Cog8<00om8X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Ll1?m4XP04olbc
00CodZ800on0]004o`1m6PCo03U51?l01R04o`0470Co028h1?l0ISd4oaNC00CoHJ/00om?YP04o`25
20Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XO1?l0Q0`3o`1g90Co05]81?l09CT4o`07
8@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<
9`Co01le1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co
02Hj1?l0ATX4o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co
07</1?l0Hd04o`0mAP?o00lZ1?l00QX4o`0780Co02Xl1?l0I3h4o`290@Co:iX01?l@T004o`1_<PCo
03M40ol02284o`036PCo01Tb1?l0HD84ob6G00CoWk`01?nc`004odBR00Co06hc0ol093T4o`036`Co
00TS1?l0D4h4oa2@00Cob[L01?oUI@04omNE00CoAZ<00ol0H4<4o`0@:`Co008I1?l07cD4o`1d:PCo
X[`01?o`?@04oo/D00Coei<00olJU004o`1;C@So00HO1?l0B4`4oaRC00Cof8l01?oo0`04ooLT00Co
`/@00ol0Nah4o`0U>@Co00<J1?l03RP4o`1NA@CoB:@01?oMP@04oo<d00Cog8<00om8X`04o`1OA0Co
010Z1?l00QT4o`0I<@Co06Ll1?m4XP04olbc00CodZ800on0]004o`1m6PCo03U51?l01R04o`0470Co
028h1?l0ISd4oaNC00CoHJ/00om?YP04o`2520Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co
07XO1?l0Q0`3o`1g90Co05]81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co
04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03
o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C84o`0N=@Co01Tb
1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0AT/4o`1CC0Co04m>1?l0<D44o`0C;@?o00@M
1?l00QX4o`0<9PCo02lo1?l0FdL4o`1`<0Co07<[1?l0Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Xl
1?l0ICh4o`2900Co;9X01?lAT@04o`1_<@Co03M40ol02284o`036PCo01Tb1?l0HD84ob:G00CoXK`0
1?ne`@04odFS00Co06hc0ol093T4o`036`Co00TS1?l0D4h4oa6@00Cob[H01?oVH`04omND00CoAj<0
0ol0H4<4o`0A:`Co008I1?l07cD4o`1d:@CoXkd01?oa?004oo/B00Coei800olJU004o`1;C@So00HO
1?l0B4`4oaVC00CofHh01?oo0@04ooLR00Co`l@00ol0Nah4o`0U>PCo00<J1?l03RP4o`1NA@CoBJ@0
1?oMO`04oo<b00CogH800om8Y004o`1OA0Co010Z1?l00QT4o`0I<@Co06Ll1?m5X`04olbb00CodZ00
0on1]004o`1m6@Co03U51?l01R04o`0470Co028h1?l0ISd4oaNC00CoHZ/00om@YP04o`2620Co05Q9
1?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XO1?l0Q0/3o`1h8`Co05]71?l09CT4o`078@Co008I
1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le
1?l0<D03o`0e@PCo02Tl1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Aooooo`;o00002?oo
ool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l0
3RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03511?l04bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0
L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obbJ00Co4I401?l0
Kc44o`0gA0?o00PR1?l00aX4o`0I<PCo06521?lRU`04oj6l00Co]L401?m5X`04o`1^<`?o02@i1?l0
0a/4o`098`Co051>1?lAT004olZf00CoiV<01?oGU004odNS00?o06131?l04B/4o`026@Co01le1?l0
M2T4oj>m00ColC`01?ok4P04omNB00?o6Y@01?l0Bdd8o`067`Co04Q<1?lIT`04omV>00Coo`401?og
8P04ol?400?o07/N1?l09CX4o`036PCo00hX1?l0GTD4odVT00CogGl01?oc<P04omf200?oB:@01?l0
Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAJ<01?o</P04om:P00?oPK@01?l0OAT4o`0iA@Co00HP1?l0
11`4o`0R>0Co06Hm1?lGT`04of:[00?oD:H01?l0QPP4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0
GTD4o`1j7`Co08@;0ol0N2<4o`1KA`Co02Di1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0
GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D84o`0Y?0Co01H_2Ooo
ool00ol0003oooooooooo`02ooooo`004?ooool01?l0003oooooooooool00007ooooo`03o`000?oo
oooooooo00Oooooo1?l06C84o`0N=@Co01Tb1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0
AT/4o`1CC0Co04m>1?l0<D44o`0C;@?o00@M1?l00QX4o`0<9PCo02lo1?l0FdL4o`1`<0Co07<[1?l0
Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Xl1?l0ICh4o`2900Co;9X01?lAT@04o`1_<@Co03M40ol0
2284o`036PCo01Tb1?l0HD84ob:G00CoXK`01?ne`@04odFS00Co06hc0ol093T4o`036`Co00TS1?l0
D4h4oa6@00Cob[H01?oVH`04omND00CoAj<00ol0H4<4o`0A:`Co008I1?l07cD4o`1d:@CoXkd01?oa
?004oo/B00Coei800olJU004o`1;C@So00HO1?l0B4`4oaVC00CofHh01?oo0@04ooLR00Co`l@00ol0
Nah4o`0U>PCo00<J1?l03RP4o`1NA@CoBJ@01?oMO`04oo<b00CogH800om8Y004o`1OA0Co010Z1?l0
0QT4o`0I<@Co06Ll1?m5X`04olbb00CodZ000on1]004o`1m6@Co03U51?l01R04o`0470Co028h1?l0
ISd4oaNC00CoHZ/00om@YP04o`2620Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XO1?l0
Q0/3o`1h8`Co05]71?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l0
9CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Tl1?l05Rl9ooooo`03o`000?oo
oooooooo00;ooooo000@ooooo`04o`000?ooooooooooo`0000Oooooo1?l00006ooooo`Co01Tb1?l0
7SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03511?l0
4bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l0
1b04o`0Z?0Co06Dn1?l0R@04obbJ00Co4I401?l0Kc44o`0gA0?o00PR1?l00aX4o`0I<PCo06521?lR
U`04oj6l00Co]L401?m5X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT004olZf00CoiV<01?oG
U004odNS00?o06131?l04B/4o`026@Co01le1?l0M2T4oj>m00ColC`01?ok4P04omNB00?o6Y@01?l0
Bdd8o`067`Co04Q<1?lIT`04omV>00Coo`401?og8P04ol?400?o07/N1?l09CX4o`036PCo00hX1?l0
GTD4odVT00CogGl01?oc<P04omf200?oB:@01?l0Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAJ<01?o<
/P04om:P00?oPK@01?l0OAT4o`0iA@Co00HP1?l011`4o`0R>0Co06Hm1?lGT`04of:[00?oD:H01?l0
QPP4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1j7`Co08@;0ol0N2<4o`1KA`Co02Di1?l0
1b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l0
32L4o`0O=@Co03500ol0=D84o`0Y?0Co01H_1_ooool4o`0000Cooooo000@ooooo`04o`000?oooooo
ooooo`0000Oooooo00?o0000ooooooooool01oooool4o`0I<PCo01he1?l06C84o`0?:@Co00HO0ol0
0QT4o`0470Co00hX1?l09SX4o`16B`Co05=<1?l0Cdh4o`0a@@Co01<]0ol011d4o`026PCo00`V1?l0
;cl4o`1KA`Co070`1?l0Lb/4o`1S@0Co03e70ol03bX4o`026PCo00LP1?l0:S`4o`1U?PCo08T01?l]
V`04oa6A00Co06la1?l0>4@3o`088PCo00<J1?l06S84o`1R@PCo8YL01?nQ_004okG100CoAZ<01?l0
KS<3o`0T>@Co00<K1?l02B<4o`1@CPCo4I401?o;]@04onIR00Coei<01?m8X`03o`1P@`Co014[1?l0
0QT4o`0O=PCo07@Y1?nT_@04oo4k00Coo1001?oHT@03oa^D00Co04]=2?l01Ql4o`19C0Co6I@01?oI
S@04ool000Comb401?o4a003o`1k7@Co02Dj1?l00aX4o`0>:0Co05i51?m:Y004omio00Com3401?oM
P@03odVT00Co05m41?l042X4o`026@Co01Ta1?l0Ic`4odJS00Coc;401?oCX003oh:d00Co07dI1?l0
>DD4o`0680Co00@L1?l08SP4o`1V?@Co69<01?mSZ`03oe6V00Co08H71?l0F4T4o`0F;`Co00<J1?l0
1R04o`0W>PCo05i51?l0Nah4o`242`?o07PS1?l0FdL4o`0U>@Co00LQ1?l00QT4o`0:90Co02Hj1?l0
DDd4o`1OA0?o05i51?l0Cdh4o`0U>@Co00/U1?l00aX4o`036`Co00`W1?l07cD4o`0a@0?o03E21?l0
:C`4o`0F;`Wooooo00?o0000ooooooooool00_ooool0013ooooo00Co0000oooooooooooo00001ooo
ool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l0
3RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03511?l04bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0
L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obfK00Co4I401?l0
Kc44o`0hA0?o00PR1?l00aX4o`0J<PCo06921?lRU`04oj6l00Co]L401?m6X`04o`1^<`?o02@i1?l0
0a/4o`098`Co051>1?lAT@04ol^e00CoiV801?oGT`04odRS00?o06131?l04B/4o`026@Co01lf1?l0
M2T4ojBm00ColC/01?ol4004omRA00?o6i@01?l0Bdd8o`067`Co04U<1?lIU004omV=00Coo`001?og
8@04olC400?o07/M1?l09CX4o`036PCo00hX1?l0GTD4odZT00CogWl01?od<@04omf100?oBJ@01?l0
Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAZ<01?o</@04om>P00?oP[@01?l0OAT4o`0iA@Co00HP1?l0
11`4o`0R>0Co06Hm1?lHT`04of>[00?oDJH01?l0QPL4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0
GTD4o`1k7PCo08@;0ol0N2<4o`1KA`Co02Di1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0
GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D84o`0Y?0Co01H_2Ooo
ool00ol0003oooooooooo`02ooooo`004?ooool01?l0003oooooooooool00007ooooo`03o`000?oo
oooooooo00Oooooo1?l06C84o`0N=@Co01Tb1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0
AT/4o`1CC0Co04m>1?l0<D44o`0C;@?o00@M1?l00QX4o`0<9PCo02lo1?l0FdL4o`1`<0Co07<[1?l0
Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Xl1?l0ICh4o`2900Co;I/01?lAT@04o`1_<@Co03Q40ol0
2284o`036PCo01Xb1?l0HT84ob:G00CoXK`01?ne`@04odJS00Co06hc0ol093T4o`036`Co00TS1?l0
D4h4oa6A00CobkD01?oVHP04omNC00CoB:<00ol0H4<4o`0A:`Co008I1?l07cH4o`1d:@CoY;d01?oa
>`04oo`@00Cof9400olKU004o`1;C@So00HO1?l0BD`4oaVD00CofHd01?oo0004ooLQ00Coa<@00ol0
Nad4o`0U>PCo00<J1?l03RP4o`1NA@CoBZ@01?oNO`04oo@a00CogH400om9Y004o`1OA0Co010Z1?l0
0QT4o`0I<@Co06Ll1?m6X`04olba00Codj000on2]004o`1m6@Co03U51?l01R04o`0470Co028h1?l0
ISd4oaRC00CoHj/00omAYP04o`261`Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07/N1?l0
Q0/3o`1h8`Co05]71?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l0
9CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Tl1?l05Rl9ooooo`03o`000?oo
oooooooo00;ooooo000Aooooo`;o00002?ooool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4
o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03511?l04bd3
o`047@Co008J1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04
o`0Z?0Co06Dn1?l0R@04obfK00Co4I401?l0Kc44o`0hA0?o00PR1?l00aX4o`0J<PCo06921?lRU`04
oj6l00Co]L401?m6X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT@04ol^e00CoiV801?oGT`04
odRS00?o06131?l04B/4o`026@Co01lf1?l0M2T4ojBm00ColC/01?ol4004omRA00?o6i@01?l0Bdd8
o`067`Co04U<1?lIU004omV=00Coo`001?og8@04olC400?o07/M1?l09CX4o`036PCo00hX1?l0GTD4
odZT00CogWl01?od<@04omf100?oBJ@01?l0Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAZ<01?o</@04
om>P00?oP[@01?l0OAT4o`0iA@Co00HP1?l011`4o`0R>0Co06Hm1?lHT`04of>[00?oDJH01?l0QPL4
o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1k7PCo08@;0ol0N2<4o`1KA`Co02Di1?l01b44
o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4
o`0O=@Co03500ol0=D84o`0Y?0Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V
>PCo04I;1?l0Dd`4o`1?CPCo03911?l04bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0L304o`1c
:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obfK00Co4Y401?l0Kc44o`0h
A0?o00PR1?l00aX4o`0J<PCo06921?lRU`04oj6l00Co]/401?m6X`04o`1^<`?o02@i1?l00a/4o`09
8`Co051>1?lAT@04ol^e00CoiV801?oGT`04odRS00?o06131?l04B/4o`026@Co01le1?l0M2T4ojBm
00ColCX01?ol4004omRA00?o6i@01?l0Bdd8o`067`Co04U<1?lIU004omV=00Coo`001?og8@04olC4
00?o07/M1?l09CX4o`036PCo00hX1?l0GTD4odZT00CogWh01?od<@04omf100?oBJ@01?l0Gd@4o`0@
:PCo008I1?l06C44o`1W?0CoAZ<01?o</@04om>P00?oP[@01?l0OAT4o`0jA@Co00HP1?l011`4o`0R
>0Co06Hm1?lHT`04of>[00?oDJH01?l0QPL4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1k
7PCo08@;0ol0N2<4o`1KA`Co02Dj1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?
CPCo02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D<4o`0Y?0Co01H_2Oooool00ol0
003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo
00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03911?l04bd3o`047@Co
008J1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co
06Dn1?l0R@04obfK00Co4Y401?l0Kc44o`0hA0?o00PR1?l00aX4o`0J<PCo06921?lRU`04oj6l00Co
]/401?m6X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT@04ol^e00CoiV801?oGT`04odRS00?o
06131?l04B/4o`026@Co01le1?l0M2T4ojBm00ColCX01?ol4004omRA00?o6i@01?l0Bdd8o`067`Co
04U<1?lIU004omV=00Coo`001?og8@04olC400?o07/M1?l09CX4o`036PCo00hX1?l0GTD4odZT00Co
gWh01?od<@04omf100?oBJ@01?l0Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAZ<01?o</@04om>P00?o
P[@01?l0OAT4o`0jA@Co00HP1?l011`4o`0R>0Co06Hm1?lHT`04of>[00?oDJH01?l0QPL4o`1HB@Co
01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1k7PCo08@;0ol0N2<4o`1KA`Co02Dj1?l01b44o`026@Co
00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co
03500ol0=D<4o`0Y?0Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;
1?l0Dd`4o`1?CPCo03911?l04bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=0
1?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obfK00Co4Y401?l0Kc44o`0hA0?o00PR
1?l00aX4o`0J<PCo06921?lRU`04oj6l00Co]/401?m6X`04o`1^<`?o02@i1?l00a/4o`098`Co051>
1?lAT@04ol^e00CoiV801?oGT`04odRS00?o06131?l04B/4o`026@Co01le1?l0M2T4ojBm00ColCX0
1?ol4004omRA00?o6i@01?l0Bdd8o`067`Co04U<1?lIU004omV=00Coo`001?og8@04olC400?o07/M
1?l09CX4o`036PCo00hX1?l0GTD4odZT00CogWh01?od<@04omf100?oBJ@01?l0Gd@4o`0@:PCo008I
1?l06C44o`1W?0CoAZ<01?o</@04om>P00?oP[@01?l0OAT4o`0jA@Co00HP1?l011`4o`0R>0Co06Hm
1?lHT`04of>[00?oDJH01?l0QPL4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1k7PCo08@;
0ol0N2<4o`1KA`Co02Dj1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di
1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D<4o`0Y?0Co01H_2Oooool00ol0003ooooo
ooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l0
1Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03911?l04bd3o`047@Co008J1?l0
32H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0
R@04obfK00Co4Y401?l0Kc44o`0hA0?o00PR1?l00aX4o`0J<PCo06921?lRU`04oj6l00Co]/401?m6
X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT@04ol^e00CoiV801?oGT`04odRS00?o06131?l0
4B/4o`026@Co01le1?l0M2T4ojBm00ColCX01?ol4004omRA00?o6i@01?l0Bdd8o`067`Co04U<1?lI
U004omV=00Coo`001?og8@04olC400?o07/M1?l09CX4o`036PCo00hX1?l0GTD4odZT00CogWh01?od
<@04omf100?oBJ@01?l0Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAZ<01?o</@04om>P00?oP[@01?l0
OAT4o`0jA@Co00HP1?l011`4o`0R>0Co06Hm1?lHT`04of>[00?oDJH01?l0QPL4o`1HB@Co01H_1?l0
0aX4o`0680Co02Lj1?l0GTD4o`1k7PCo08@;0ol0N2<4o`1KA`Co02Dj1?l01b44o`026@Co00XT1?l0
9SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0
=D<4o`0Y?0Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4
o`1?CPCo03511?l04bd3o`047@Co008J1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3
o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obbJ00Co4I401?l0Kc44o`0hA0?o00PR1?l00aX4
o`0I<PCo06521?lRU`04oj6l00Co]L401?m6X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT004
olZf00CoiV<01?oGT`04odRS00?o06131?l04B/4o`026@Co01le1?l0M2T4oj>m00ColC/01?ok4@04
omRA00?o6i@01?l0Bdd4o`0680Co00HO1?l0B4`4oaVC00CofHh01?oo0004ooLR00Coa<@00ol0Nad4
o`0U>PCo00<J1?l03RP4o`1NA@CoBJ@01?oNO`04oo<a00CogH400om9Y004o`1OA0Co010Z1?l00QT4
o`0I<@Co06Ll1?m5X`04olba00Codj000on2]004o`1m6@Co03Y51?l01R04o`0470Co028h1?l0ISd4
oaNC00CoHj/00om@YP04o`2620Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XN1?l0Q0/3
o`1h8`Co05]71?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l09CT4
o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Tl1?l05Rl9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C84o`0N=@Co01Tb1?l03bT4o`06
7`?o008I1?l011`4o`0>:0Co02Hj1?l0AT/4o`1CC0Co04m>1?l0<D44o`0C;@?o00@M1?l00QX4o`0<
9PCo02lo1?l0FdL4o`1`<0Co07<[1?l0Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Xl1?l0ICh4o`29
00Co;9X01?lAT@04o`1_<@Co03Q40ol02284o`036PCo01Tb1?l0HD84ob:G00CoXK`01?ne`@04odJS
00Co06hc0ol093T4o`036`Co00TS1?l0D4h4oa6@00Cob[H01?oVH`04omNC00CoB:<00ol0H4<4o`0A
:`Co008I1?l07cD4o`1d:@CoXkd01?oa>`04oo/A00Cof9400olKU004o`1;C@Co00HP1?l01Ql4o`18
C0Co6I<01?oISP04ool000Comb801?o4a003o`1k7@Co02Dj1?l00aX4o`0>:0Co05i51?m9Y004omio
00Colc401?oMP@03odVT00Co05m41?l042X4o`026@Co01Ta1?l0Ic`4odFS00Coc;401?oCX003oh:d
00Co07dI1?l0>TD4o`0680Co00@L1?l08SP4o`1V?@Co5i<01?mSZ`03oe2V00Co08H81?l0F4T4o`0F
;`Co00<J1?l01R04o`0W>PCo05i51?l0NQh4o`242`?o07PS1?l0FdL4o`0U>@Co00LQ1?l00QT4o`0:
90Co02Hj1?l0DDd4o`1OA0?o05i51?l0Cdh4o`0U>@Co00/U1?l00aX4o`036`Co00`W1?l07cD4o`0a
@0?o03E21?l0:C`4o`0F;`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0I<PCo01he1?l06C84o`0?:@Co00HO0ol00QT4o`0470Co00hX1?l09SX4o`16B`Co
05=<1?l0Cdh4o`0a@@Co01<]0ol011d4o`026PCo00`V1?l0;cl4o`1KA`Co070`1?l0Lb/4o`1S@0Co
03e70ol03bX4o`026PCo00LP1?l0:S`4o`1U?PCo08T01?l/VP04oa6A00Co06la1?l0>4@3o`088PCo
00<J1?l06C84o`1Q@PCo8YL01?nQ_004okG100CoAZ<01?l0KS<3o`0T>@Co00<K1?l02B<4o`1@CPCo
4I001?o:]P04onIS00Coei<01?m8X`03o`1P@`Co014[1?l00QT4o`0O=@Co07@Y1?nS_@04oo4k00Co
na401?oHT@03oa^D00Co04]=1?l01R04o`067`Co04Q<1?lIT`04omV>00Coo`001?og8P04olC400?o
07/M1?l09CX4o`036PCo00hX1?l0GTD4odVT00CogWl01?oc<@04omf100?oBJ@01?l0Gd@4o`0@:PCo
008I1?l06C44o`1W?0CoAJ<01?o</@04om>P00?oP[@01?l0OAT4o`0jA@Co00HP1?l011`4o`0R>0Co
06Hm1?lGT`04of>[00?oD:H01?l0QPP4o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1j7PCo
08@;0ol0N2<4o`1KA`Co02Di1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo
02Di1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D84o`0Y?0Co01H_2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY
1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04I;1?l0Dd`4o`1?CPCo03511?l04bd3o`047@Co008J
1?l032H4o`0_?`Co05]71?l0L304o`1c:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn
1?l0R@04obbJ00Co4I401?l0Kc44o`0hA0?o00PR1?l00aX4o`0I<PCo06521?lRU`04oj6l00Co]L40
1?m6X`04o`1^<`?o02@i1?l00a/4o`098`Co051>1?lAT004olZf00CoiV<01?oGT`04odRS00?o0613
1?l04B/4o`026@Co01le1?l0M2T4oj>m00ColC/01?ok4@04omRA00?o6i@01?l0Bdd4o`0680Co00HO
1?l0B4`4oaVC00CofHh01?oo0004ooLR00Coa<@00ol0Nad4o`0U>PCo00<J1?l03RP4o`1NA@CoBJ@0
1?oNO`04oo<a00CogH400om9Y004o`1OA0Co010Z1?l00QT4o`0I<@Co06Ll1?m5X`04olba00Codj00
0on2]004o`1m6@Co03Y51?l01R04o`0470Co028h1?l0ISd4oaNC00CoHj/00om@YP04o`2620Co05Q9
1?l05Rl4o`036PCo00HP1?l09cX4o`1NA@Co07XN1?l0Q0/3o`1h8`Co05]71?l09CT4o`078@Co008I
1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le
1?l0<D03o`0e@PCo02Tl1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l06C84o`0N=@Co01Tb1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0
ATX4o`1CC0Co04m>1?l0<D44o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co07<[1?l0
Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Xl1?l0ICh4o`2900Co;9X01?lAT004o`1_<@Co03Q40ol0
2284o`036PCo01Tb1?l0HD84ob6G00CoX;`01?nd`@04odFS00Co06hc0ol093T4o`036`Co00TS1?l0
D4h4oa2@00Cob[L01?oVI004omND00CoB:<00ol0H4<4o`0A:`Co008I1?l07cD4o`1d:PCoX[`01?o`
?@04oo/B00Coei800olKU004o`1;C@Co00HP1?l01Ql4o`18B`Co69<01?oHS`04ool200Comb<01?o3
a003o`1k7@Co02Dj1?l00aX4o`0>:0Co05i51?m8Y004omf000Colc<01?oMPP03odRT00Co05m41?l0
42X4o`026@Co01Ta1?l0Ic`4odFR00Coc;801?oBX@03oh6d00Co07dI1?l0>DD4o`0680Co00@L1?l0
8SP4o`1V?@Co5i<01?mRZ`03oe2V00Co08H81?l0F4T4o`0F;`Co00<J1?l01R04o`0W>PCo05i51?l0
NQl4o`242`?o07PT1?l0FdP4o`0U>@Co00LQ1?l00QT4o`0:90Co02Hj1?l0DDd4o`1OA0?o05i51?l0
Cdh4o`0U>@Co00/U1?l00aX4o`036`Co00`W1?l07cD4o`0a@0?o03E21?l0:3`4o`0F;`Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I<PCo01he1?l06C84
o`0?:@Co00HO0ol00QT4o`0470Co00hX1?l09SX4o`16BPCo05=<1?l0Cdh4o`0a@@Co01<]0ol011d4
o`026PCo00`V1?l0;Sl4o`1KA`Co06la1?l0Lb/4o`1S@0Co03e70ol03bX4o`026PCo00LP1?l0:S`4
o`1U?PCo08T01?l/VP04oa6@00Co06la1?l0>4@3o`088PCo00<J1?l06C84o`1Q@PCo8IL01?nP_004
okC100CoAJ<01?l0KS<3o`0T>@Co00<K1?l02B<4o`1@CPCo49001?o:]`04onIT00Coei@01?m8X`03
o`1P@`Co014[1?l00QT4o`0O=@Co07@Z1?nR_004oo0m00Cona801?oGTP03oa^D00Co04]=1?l01R04
o`067`Co04Q;1?lHT`04omR?00Coo`801?og8`04ol?400?o07/M1?l09CX4o`036PCo00hX1?l0GTD4
odRT00CogH001?oc<`04omf200?oB:@01?l0Gd@4o`0@:PCo008I1?l06C44o`1W?0CoAJ801?o</P04
om:Q00?oPK@01?l0OAT4o`0iA@Co00HP1?l011`4o`0R>0Co06Hm1?lGT`04of:[00?oD:H01?l0QPP4
o`1HB@Co01H_1?l00aX4o`0680Co02Lj1?l0GTD4o`1j7`Co08@;0ol0N2@4o`1KB0Co02Di1?l01b44
o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02Di1?l02bD4o`036PCo00<K1?l032L4
o`0O=@Co03500ol0=D84o`0X?0Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01Tb1?l07SD4o`0I<PCo00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V
>PCo04I:1?l0Dd`4o`1?CPCo03511?l04bd3o`047@Co008J1?l032H4o`0^?`Co05]71?l0Kc44o`1c
:`Co06=01?l0?DL3o`0?:PCo008J1?l01b04o`0Z?0Co06Dn1?l0R@04obbJ00Co4I001?l0Kc44o`0h
A0?o00PR1?l00aX4o`0I<PCo06521?lQU`04oj2l00Co]<401?m5X`04o`1^<`?o02@i1?l00a/4o`09
8`Co051>1?l@T004olZg00CoiV@01?oGU004odRS00?o06131?l04B/4o`026@Co01le1?l0M2X4oj:l
00Col3d01?ok4P04omNB00?o6i@01?l0Bdd4o`0680Co00HO1?l0B4/4oaRC00Cof8l01?oo0P04ooLS
00Co`l@00ol0Nad4o`0U>PCo00<J1?l03RP4o`1NA@CoB:@01?oMP004oo<c00CogH800om8Y004o`1O
A0Co010Z1?l00QT4o`0I<@Co06Ll1?m5XP04olbb00CodZ400on1]004o`1m6@Co03U51?l01R04o`04
70Co028h1?l0ISd4oaNC00CoHZ/00om@YP04o`2620Co05Q91?l05Rl4o`036PCo00HP1?l09cX4o`1N
A@Co07XO1?l0Q0/3o`1h90Co05]81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1N
A@Co04m>1?l09CT4o`0;9@Co00<J1?l00a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Pl1?l05Rl9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C84o`0N=@Co
01Tb1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Hj1?l0ATX4o`1CC0Co04m>1?l0<D44o`0C;@?o
00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co07<[1?l0Hd04o`0mA`?o00lZ1?l00QX4o`0780Co
02Xl1?l0ICh4o`2900Co;9X01?lAT004o`1_<@Co03Q40ol02284o`036PCo01Tb1?l0HD84ob6G00Co
X;`01?nd`@04odFS00Co06hc0ol093T4o`036`Co00TS1?l0D4h4oa2@00Cob[L01?oVI004omND00Co
B:<00ol0H4<4o`0A:`Co008I1?l07cD4o`1d:PCoX[`01?o`?@04oo/B00Coei800olKU004o`1;C@Co
00HP1?l01Ql4o`18B`Co69<01?oHS`04ool200Comb<01?o3a003o`1k7@Co02Dj1?l00aX4o`0>:0Co
05i51?m8Y004omf000Colc<01?oMPP03odRT00Co05m41?l042X4o`026@Co01Ta1?l0Ic`4odFR00Co
c;801?oBX@03oh6d00Co07dI1?l0>DD4o`0680Co00@L1?l08SP4o`1V?@Co5i<01?mRZ`03oe2V00Co
08H81?l0F4T4o`0F;`Co00<J1?l01R04o`0W>PCo05i51?l0NQl4o`242`?o07PT1?l0FdP4o`0U>@Co
00LQ1?l00QT4o`0:90Co02Hj1?l0DDd4o`1OA0?o05i51?l0Cdh4o`0U>@Co00/U1?l00aX4o`036`Co
00`W1?l07cD4o`0a@0?o03E21?l0:3`4o`0F;`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0I<@Co01he1?l06C44o`0?:@Co00HO0ol00QT4o`0470Co00hX
1?l09SX4o`15BPCo05=<1?l0Cdh4o`0a@0Co01<]0ol011d4o`026PCo00`V1?l0;Sl4o`1KA`Co06la
1?l0Lb`4o`1S@0Co03e70ol03bX4o`026PCo00LP1?l0:C`4o`1T?`Co08T11?l[VP04oa2@00Co06lb
1?l0>4@3o`088PCo00<J1?l06C44o`1Q@PCo89H01?nN^`04ok;000CoA:801?l0KS<3o`0T>@Co00<K
1?l02B<4o`1?CPCo3i001?o:^004onEV00CoeYD01?m7X`03o`1P@`Co014[1?l00QT4o`0N=@Co07@Z
1?nP_004oo0o00Cona@01?oGT`03oaZD00Co04]=1?l01R04o`067`Co04M;1?lGT`04omRA00CooPD0
1?og9@04ol;400?o07/M1?l09CX4o`036PCo00hX1?l0GDD4odNS00CogH801?ob=@04omb300?oB:<0
1?l0Gd@4o`0@:PCo008I1?l06C44o`1V?0Co@j801?o;]004om:R00?oP;<01?l0OAX4o`0iA@Co00HP
1?l011`4o`0R=`Co06Hm1?lFTP04of2[00?oCjD01?l0Q@P4o`1HB@Co01H_1?l00aX4o`0680Co02Hj
1?l0GTD4o`1j7`Co08@<0ol0Mb@4o`1JB0Co02Di1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m4
0ol0GTD4o`1?CPCo02@i1?l02bD4o`036PCo00<K1?l032L4o`0O=@Co03500ol0=D84o`0X>`Co01H_
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Ta1?l0
7SD4o`0I<@Co00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0V>PCo04E:1?l0Dd`4o`1?CPCo03501?l0
4bd3o`047@Co008J1?l032H4o`0^?`Co05]71?l0Kc44o`1c;0Co06=01?l0?DL3o`0?:PCo008J1?l0
1b04o`0Y?0Co06@o1?l0R@44ob^J00Co49001?l0Kc84o`0hA0?o00PR1?l00aX4o`0I<@Co06521?lP
UP04oijk00Co//001?m4XP04o`1^<`?o02@i1?l00a/4o`098`Co04m>1?l?T004olZh00CoiFH01?oF
U@04odNS00?o06131?l04B/4o`026@Co01he1?l0M2X4oj2l00Col3l01?ok5004omNC00?o6Y@01?l0
Bdd4o`0680Co00HO1?l0Ad/4oaNC00Cof9401?on1@04ooLU00Co`/@00ol0Nad4o`0U>PCo00<J1?l0
3RP4o`1MA@CoAj<01?oMPP04oo8e00Cog8<00om8X`04o`1OA0Co010Z1?l00QT4o`0I<@Co06Hl1?m3
XP04ol^d00CodZ800on0/`04o`1m6PCo03U51?l01R04o`0470Co028g1?l0ISd4oaJB00CoH:/00om?
Y@04o`2520Co05Q91?l05Rl4o`036PCo00HP1?l09SX4o`1NA@Co07XO1?l0Q0`3o`1g90Co05Y81?l0
9CT4o`078@Co008I1?l02R@4o`0V>PCo055=1?l0Gd@3o`1NA@Co04m>1?l093T4o`0;9@Co00<J1?l0
0a/4o`0<9`Co01le1?l0<D03o`0e@PCo02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0N=@Co01Ta1?l03bT4o`067`?o008I1?l011`4
o`0>:0Co02Hj1?l0ADX4o`1CC0Co04m>1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4
o`1_<@Co07</1?l0Hd04o`0mA`?o00lZ1?l00QX4o`0780Co02Tl1?l0I3l4o`290@Co:iX01?l@T004
o`1_<PCo03Q40ol02284o`036PCo01Ta1?l0HD84ob2F00CoW[/01?nb`004odBR00Co06hc0ol093T4
o`036`Co00TS1?l0Cdh4o`n@00Cob[P01?oUIP04omJE00CoAj<00ol0H4<4o`0A:`Co008I1?l07SD4
o`1d:PCoX;`01?o`?`04oo/D00Coei<00olJU004o`1;C@Co00HP1?l01Ql4o`17B`Co5i<01?oHT@04
ooh500CombD01?o2a003o`1k7@Co02Dj1?l00aX4o`0>:0Co05e51?m7X`04omf200ColSD01?oLP`03
odRS00Co05m41?l042X4o`026@Co01Ta1?l0IS`4od>R00Cobk@01?oBXP03oh2c00Co07dJ1?l0>DD4
o`0680Co00@L1?l08SL4o`1V?@Co5Y801?mPZ`03odnU00Co08D81?l0F4T4o`0F;`Co00<J1?l01R04
o`0V>PCo05i51?l0NQl4o`2430?o07LT1?l0FTP4o`0U>@Co00LQ1?l00QT4o`0:90Co02Hj1?l0DDd4
o`1OA0?o05i51?l0Cdh4o`0T>@Co00/U1?l00aX4o`036`Co00`W1?l07cD4o`0a@0?o03E21?l0:3/4
o`0F;`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I
<@Co01de1?l06C44o`0?:@Co00HO0ol00QT4o`0470Co00hX1?l09CX4o`15BPCo05=<1?l0Cdh4o`0a
@0Co01<]0ol011d4o`026PCo00`V1?l0;Sl4o`1KA`Co06la1?l0LR`4o`1S@0Co03e60ol03bX4o`02
6PCo00LP1?l0:C`4o`1T?`Co08P21?lZVP04o`n@00Co06lb1?l0=d@3o`088PCo00<J1?l06C44o`1Q
@PCo7iH01?nL^`04ok3000Co@j801?l0KS<3o`0T>@Co00<K1?l02B<4o`1?CPCo3Hl01?o9^P04onAX
00CoeYH01?m6X`03o`1P@`Co014[1?l00QT4o`0N=@Co07<[1?nM^`04onm200ConQL01?oGU003oaZD
00Co04]=1?l01R04o`067`Co04I;1?lETP04omNC00Coo@P01?of:004ol3300?o07/N1?l09CX4o`03
6PCo00hX1?l0GDH4odFR00Cog8D01?ob>004omb500?oAj<01?l0Gd@4o`0@:PCo008I1?l06344o`1V
?@Co@J401?o;]@04om6T00?oO[<01?l0OAX4o`0iA@Co00HP1?l011`4o`0R=`Co06Dn1?lETP04oenZ
00?oCJD01?l0Q@T4o`1HBPCo01H_1?l00aX4o`067`Co02Hj1?l0GDD4o`1j80Co08<=0ol0MbD4o`1J
B0Co02Di1?l01b44o`026@Co00XT1?l09SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02@i1?l02bD4o`03
6PCo00<K1?l032L4o`0N=@Co03100ol0=D84o`0X>`Co01H_2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01Ta1?l07CD4o`0I<@Co00lY1?l01Ql3o`026@Co
00@L1?l03RP4o`0U>PCo04E:1?l0Dd`4o`1?CPCo03501?l04bd3o`047@Co008J1?l032H4o`0^?`Co
05]71?l0Kc44o`1b;0Co06=01?l0?DH3o`0?:PCo008J1?l01b04o`0Y?0Co06@o1?l0R084obZJ00Co
3i001?l0Kc84o`0gA0?o00PR1?l00aX4o`0I<@Co06521?lOUP04oibk00Co/<001?m3XP04o`1^<`?o
02@i1?l00a/4o`098`Co04m>1?l=S`04olVj00Coi6P01?oFUP04odJS00?o06131?l04B/4o`026@Co
01he1?l0Lb/4oifk00Cokd801?oj5`04omND00?o6Y@01?l0Bdd4o`0680Co00HO1?l0AT/4oaFB00Co
ei<01?om2004ooHX00Co`<<00ol0Nah4o`0U>PCo00<J1?l03RP4o`1MAPCoAJ801?oLQ@04oo8h00Co
g8D00om7X`04o`1OA0Co010Z1?l00QT4o`0H<@Co06Hm1?m1X@04ol^e00CodJ@00omn/`04o`1m6PCo
03U51?l01R04o`0470Co028g1?l0ICh4oaFB00CoGjX00om=Y@04o`252@Co05Q:1?l05Rl4o`036PCo
00HO1?l09SX4o`1MA@Co07XP1?l0P`d3o`1g9@Co05Y81?l09CT4o`078@Co008I1?l02R@4o`0V>PCo
055=1?l0Gd@3o`1NA@Co04m>1?l093T4o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<403o`0e@PCo
02Pk1?l05Rl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l06C44o`0M=@Co01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Dj1?l0ADX4o`1CC0Co04m>
1?l0<D04o`0C;@?o00@M1?l00QX4o`0<9PCo02ho1?l0FdL4o`1_<@Co078/1?l0Hd04o`0mAP?o00lZ
1?l00QX4o`0780Co02Tl1?l0I3l4o`280PCo:YX01?l?T004o`1_<PCo03M40ol02284o`036PCo01Ta
1?l0HD84oanF00CoW;/01?n``004od>R00Co06hc0ol093T4o`036`Co00TS1?l0Cdh4o`f?00CobKX0
1?oTJ004omJF00CoAZ<00ol0H4<4o`0A:`Co008I1?l07SD4o`1c:`CoWK/01?o_@P04ooXG00Coei@0
0olJU004o`1;C@Co00HP1?l01Ql4o`16B`Co5I801?oGT`04ood800ComRP01?o0``03o`1k7PCo02Dj
1?l00aX4o`0>:0Co05e61?m5XP04omb500ColSP01?oLQ@03odNS00Co05m41?l042X4o`026@Co01Pa
1?l0ISd4od6Q00CobkD01?oAY003ogjc00Co07dJ1?l0>DD4o`0680Co00@L1?l08SL4o`1U?PCo5I80
1?mOZP03odfU00Co08D91?l0F4X4o`0F;`Co00<J1?l01Ql4o`0V>PCo05e51?l0NR04o`233@?o07LU
1?l0FTP4o`0U>@Co00LQ1?l00QT4o`0:90Co02Hj1?l0DDd4o`1OA0?o05i51?l0Cdh4o`0T>@Co00/U
1?l00aX4o`036`Co00`W1?l07SD4o`0`@0?o03E21?l0:3/4o`0F;`Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I<@Co01de1?l06C44o`0?:@Co00HO0ol0
0QT4o`0470Co00hX1?l09CX4o`15BPCo05=<1?l0Cdh4o`0a@0Co01<]0ol011d4o`026PCo00`V1?l0
;Sl4o`1KA`Co06la1?l0LR`4o`1S@0Co03e60ol03bX4o`026PCo00LP1?l0:C`4o`1T?`Co08P21?lZ
VP04o`n@00Co06lb1?l0=d@3o`088PCo00<J1?l06C44o`1Q@PCo7iH01?nL^`04ok3000Co@j801?l0
KS<3o`0T>@Co00<K1?l02B<4o`1?CPCo3Hl01?o9^P04onAX00CoeYH01?m6X`03o`1P@`Co014[1?l0
0QT4o`0N=@Co07<[1?nM^`04onm200ConQL01?oGU003oaZD00Co04]=1?l01R04o`067`Co04I;1?lE
TP04omNC00Coo@P01?of:004ol3300?o07/N1?l09CX4o`036PCo00hX1?l0GDH4odFR00Cog8D01?ob
>004omb500?oAj<01?l0Gd@4o`0@:PCo008I1?l06344o`1V?@Co@J401?o;]@04om6T00?oO[<01?l0
OAX4o`0iA@Co00HP1?l011`4o`0R=`Co06Dn1?lETP04oenZ00?oCJD01?l0Q@T4o`1HBPCo01H_1?l0
0aX4o`067`Co02Hj1?l0GDD4o`1j80Co08<=0ol0MbD4o`1JB0Co02Di1?l01b44o`026@Co00XT1?l0
9SX4o`1AC@Co05m40ol0GTD4o`1?CPCo02@i1?l02bD4o`036PCo00<K1?l032L4o`0N=@Co03100ol0
=D84o`0X>`Co01H_2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01Ta1?l07C@4o`0I<@Co00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0U>PCo04A:1?l0DTd4
o`1?CPCo03501?l04bd3o`047@Co008J1?l032H4o`0^?PCo05Y81?l0Kc84o`1b;@Co06911?l0?DH3
o`0?:PCo008J1?l01R04o`0Y?0Co06A01?l0R0<4obRI00Co3Xl01?l0KS84o`0gA0?o00PR1?l00aX4
o`0I<@Co06131?lMU@04oiVj00Co[Kl01?m2XP04o`1]=0?o02@i1?l00a/4o`098`Co04m>1?l<SP04
olRl00Coi6/01?oEV004odFR00?o06131?l04B/4o`026@Co01he1?l0LR`4oiVj00CokTH01?oi6`04
omJF00?o6I<01?l0Bdd4o`0680Co00HO1?l0ATX4oa>A00CoeYH01?ol3@04ooD[00Co_/<00ol0Nah4
o`0U>PCo00<J1?l03RP4o`1LAPCo@Z801?oKR004oo4l00CofhL00om5X`04o`1OA0Co010Z1?l00QT4
o`0H<@Co06Dm1?loX@04olZg00Cod:H00oml/P04o`1m6`Co03U41?l01R04o`0370Co024g1?l0ICh4
oa>A00CoG:X00om;Y004o`252PCo05M:1?l05Rl4o`036PCo00HO1?l09SX4o`1MAPCo07TQ1?l0P`h3
o`1g9@Co05Y81?l093T4o`078@Co008I1?l02R@4o`0U>PCo055=1?l0GTD3o`1MA@Co04m>1?l093T4
o`0;9@Co00<J1?l00a/4o`0<9`Co01he1?l0<403o`0d@PCo02Pk1?l05Rl9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`?o00001oooool4o`0I<@Co01dd1?l06C44o`0?:@Co00HO0ol00QT4o`04
70Co00hX1?l09CX4o`14BPCo059=1?l0Cdh4o`0a@0Co01<]0ol011d4o`026PCo00`V1?l0;Sh4o`1J
B0Co06lb1?l0LRd4o`1R@@Co03e60ol03bX4o`026PCo00HP1?l0:C`4o`1T@0Co08P31?lXV@04o`j?
00Co06hb1?l0=d@3o`088PCo00<J1?l06C44o`1P@`Co7ID01?nI^P04ojfo00Co@Z801?l0KC@3o`0T
>@Co00<K1?l02B<4o`1?CPCo38h01?o8_004onA[00CoeIP01?m5XP03o`1P@`Co014[1?l00QT4o`0N
=@Co078/1?nI^P04oni600ConA/01?oFUP03oaVC00Co04]=1?l01R04o`067`Co04I:1?lCT@04omJF
00Coo0d01?oe:`04okk300?o07/N1?l09CX4o`036PCo00hX1?l0G4H4od:R00CofhP01?oa?004om^7
00?oAJ<01?l0Gd@4o`0@:PCo008I1?l06344o`1U?@Co?j401?o:]`04om2V00?oO;801?l0OA/4o`0i
A0Co00HP1?l00a`4o`0Q=`Co06Dn1?lCT@04oebZ00?oBj@01?l0Q@X4o`1GBPCo01H_1?l00aX4o`06
7`Co02Hj1?l0GDH4o`1i8@Co08<>0ol0MbD4o`1JB0Co02@i1?l01b44o`026@Co00XT1?l09CX4o`1A
C@Co05i50ol0GDD4o`1?CPCo02@i1?l02bD4o`036PCo00<K1?l032L4o`0N=@Co03100ol0=484o`0X
>`Co01H_1oooool3o`0000Cooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0M=0Co
01Ta1?l03bT4o`067`?o008I1?l011`4o`0>:0Co02Dj1?l0A4X4o`1BC@Co04m>1?l0<D04o`0C;@?o
00@M1?l00QX4o`0<9PCo02hn1?l0FTP4o`1_<PCo078]1?l0HT44o`0mAP?o00lZ1?l00QX4o`0680Co
02Tl1?l0I404o`280`Co:9T01?l>S`04o`1^<PCo03M40ol02284o`036PCo01Ta1?l0H4<4oafE00Co
VKX01?n]_`04od:R00Co06dd0ol093T4o`036`Co00TS1?l0Cdh4o`b>00Cob;`01?oTJ`04omFH00Co
AJ800ol0H4<4o`0A:`Co008I1?l07SD4o`1b;0CoVKX01?o^AP04ooTK00CoeYH00olIT`04o`1;C@Co
00HP1?l01Ql4o`16BPCo4i401?oFUP04oo`=00ComB/01?nn``03o`1k7PCo02Dj1?l00aX4o`0>:0Co
05a61?m2XP04om^800ColC`01?oKQ`03odFS00Co05m41?l042X4o`026@Co01Pa1?l0ICd4ocnQ00Co
b[L01?o@YP03ogbb00Co07dK1?l0>D@4o`0680Co00<L1?l08CL4o`1U?PCo4i401?mLZP03od^T00Co
08D:1?l0EdX4o`0F;`Co00<J1?l01Ql4o`0V>PCo05e61?l0NB44o`233P?o07LU1?l0FTP4o`0T>@Co
00LQ1?l00QT4o`0:90Co02Dj1?l0DDd4o`1NA@?o05e51?l0Cdh4o`0T>@Co00/U1?l00aX4o`036`Co
00`W1?l07SD4o`0`@0?o03A21?l0:3/4o`0F;`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0I<@Co01dd1?l06C44o`0?:@Co00HO0ol00QT4o`0470Co00hX
1?l09CX4o`14BPCo059=1?l0Cdh4o`0a@0Co01<]0ol011d4o`026PCo00`V1?l0;Sh4o`1JB0Co06lb
1?l0LRd4o`1R@@Co03e60ol03bX4o`026PCo00HP1?l0:C`4o`1T@0Co08P31?lXV@04o`j?00Co06hb
1?l0=d@3o`088PCo00<J1?l06C44o`1P@`Co7ID01?nI^P04ojfo00Co@Z801?l0KC@3o`0T>@Co00<K
1?l02B<4o`1?CPCo38h01?o8_004onA[00CoeIP01?m5XP03o`1P@`Co014[1?l00QT4o`0N=@Co078/
1?nI^P04oni600ConA/01?oFUP03oaVC00Co04]=1?l01R04o`067`Co04I:1?lCT@04omJF00Coo0d0
1?oe:`04okk300?o07/N1?l09CX4o`036PCo00hX1?l0G4H4od:R00CofhP01?oa?004om^700?oAJ<0
1?l0Gd@4o`0@:PCo008I1?l06344o`1U?@Co?j401?o:]`04om2V00?oO;801?l0OA/4o`0iA0Co00HP
1?l00a`4o`0Q=`Co06Dn1?lCT@04oebZ00?oBj@01?l0Q@X4o`1GBPCo01H_1?l00aX4o`067`Co02Hj
1?l0GDH4o`1i8@Co08<>0ol0MbD4o`1JB0Co02@i1?l01b44o`026@Co00XT1?l09CX4o`1AC@Co05i5
0ol0GDD4o`1?CPCo02@i1?l02bD4o`036PCo00<K1?l032L4o`0N=@Co03100ol0=484o`0X>`Co01H_
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Ta1?l0
7C@4o`0I<@Co00lY1?l01Ql3o`026@Co00@L1?l03RP4o`0U>@Co04A:1?l0DTd4o`1?CPCo03101?l0
4bd3o`047@Co008J1?l032H4o`0]?PCo05Y81?l0KS<4o`1a;PCo06911?l0?4H3o`0?:PCo008J1?l0
1R04o`0X>`Co06=01?l0Q`D4obJH00Co3Hl01?l0KS<4o`0g@`?o00PR1?l00aX4o`0H<@Co06131?lK
U004oiFi00CoZ[h01?m0X@04o`1]=0?o02@i1?l00a/4o`098`Co04i>1?l9S@04olNo00CohVl01?oD
V`04od>R00?o06131?l04B/4o`026@Co01dd1?l0LRd4oiBi00CokD/01?oh8004omFI00?o69<01?l0
Bdd4o`0680Co00DN1?l0A4X4oa2@00CoeIX01?ok4P04oo@_00Co^l800ol0NQh4o`0V>PCo00<J1?l0
3BP4o`1LA`Co?j401?oJR`04oo1000CofXX00om4XP04o`1OA0Co010Z1?l00QT4o`0H<@Co06Dn1?ll
X004olVj00CocjT00omi/P04o`1l6`Co03U41?l01R04o`0370Co024g1?l0ICh4oa6A00CoFZT00om9
Y004o`242`Co05M:1?l05Rl4o`036PCo00HO1?l09SX4o`1MAPCo07TQ1?l0PPl3o`1f9PCo05Y81?l0
93T4o`078@Co008I1?l02R@4o`0U>PCo051>1?l0GTD3o`1MAPCo04i>1?l093T4o`0:9@Co00<J1?l0
0a/4o`0<9`Co01he1?l0<403o`0d@PCo02Lk1?l05Bl9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l06C44o`0M=0Co01Ta1?l03bT4o`067`?o008I1?l011`4
o`0>:0Co02Di1?l0A4X4o`1BC@Co04m>1?l0<404o`0C;@?o00@M1?l00QX4o`0<9PCo02dn1?l0FTP4
o`1^<`Co074^1?l0HT44o`0lAP?o00lZ1?l00QX4o`0680Co02Pk1?l0Hd04o`271@Co9YP01?l=S`04
o`1^<`Co03M30ol02284o`036PCo01Pa1?l0H4<4oa^D00CoUKT01?nZ_P04od2Q00Co06dd0ol093T4
o`036`Co00TS1?l0CTh4o`V=00Coakl01?oRK`04omBK00Co@j800ol0H4<4o`0A:`Co008I1?l07C@4
o`1b;@CoU;T01?o]B`04ooPP00CoeIT00olHT`04o`1;C@Co00HP1?l01Ah4o`14BPCo49001?oEVP04
oo/B00Com2l01?nk`P03o`1j7PCo02Hj1?l00aX4o`0=:0Co05a71?loX@04omZ;00Col4001?oJRP03
odBR00Co05m41?l042X4o`026@Co01Pa1?l0ICh4ocbP00CobKX01?o?Z@03ogVb00Co07`K1?l0>D@4
o`0680Co00<L1?l08CL4o`1U?PCo4I401?mJZ@03odVT00Co08@;1?l0EdX4o`0F;`Co00<J1?l01Ql4
o`0V>PCo05e61?l0NB44o`223`?o07HV1?l0FTP4o`0T>@Co00LQ1?l00QT4o`0:90Co02Dj1?l0D4h4
o`1NA@?o05e61?l0CTh4o`0T>@Co00XU1?l00aX4o`036`Co00`W1?l07SD4o`0`@0?o03A21?l09c/4
o`0E;`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0I
<@Co01dd1?l06C44o`0?:@Co00HO0ol00QT4o`0470Co00hX1?l09CT4o`14BPCo059=1?l0Cdh4o`0`
@0Co01<]0ol011d4o`026PCo00`V1?l0;Ch4o`1JB0Co06hc1?l0LBh4o`1R@@Co03a60ol03bX4o`02
6PCo00HP1?l0:3/4o`1S@0Co08L51?lVV004o`f?00Co06hc1?l0=d<3o`088PCo00<J1?l06344o`1P
@`Co6i@01?nE^@04ojZn00Co@:401?l0KC@3o`0T>@Co00<K1?l02B<4o`1>CPCo2Hd01?o7_`04on9_
00Coe9/01?m3XP03o`1P@`Co014[1?l00QT4o`0M=0Co078]1?nD^@04one;00Con2001?oEV@03oaRC
00Co04]=1?l01R04o`057PCo04A:1?l@T004omFJ00Cona801?od;`04ok_200?o07XN1?l09SX4o`03
6PCo00dX1?l0G4L4ocnQ00CofX/01?o`@004omZ:00?oA:801?l0Gd@4o`0@:PCo008I1?l06344o`1U
?PCo?:001?o9^P04olnY00?oNK801?l0O1/4o`0iA0Co00HP1?l00a`4o`0Q=`Co06Dn1?lAT@04oeZY
00?oBJ@01?l0Q0/4o`1GBPCo01H_1?l00aX4o`067`Co02Hj1?l0GDH4o`1i8@Co088?0ol0MRH4o`1J
B0Co02@i1?l01b44o`026@Co00XT1?l09CX4o`1@CPCo05i50ol0GDH4o`1>CPCo02@i1?l02RD4o`03
6PCo00<K1?l032L4o`0N=@Co03100ol0=484o`0W>`Co01D_2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01Ta1?l07C@4o`0I<@Co00lY1?l01Ql3o`026@Co
00@L1?l03RP4o`0U>@Co04A:1?l0DTd4o`1?CPCo03101?l04bd3o`047@Co008J1?l032H4o`0]?PCo
05Y81?l0KS<4o`1a;PCo06911?l0?4H3o`0?:PCo008J1?l01R04o`0X>`Co06=01?l0Q`D4obJH00Co
3Hl01?l0KS<4o`0g@`?o00PR1?l00aX4o`0H<@Co06131?lKU004oiFi00CoZ[h01?m0X@04o`1]=0?o
02@i1?l00a/4o`098`Co04i>1?l9S@04olNo00CohVl01?oDV`04od>R00?o06131?l04B/4o`026@Co
01dd1?l0LRd4oiBi00CokD/01?oh8004omFI00?o69<01?l0Bdd4o`0680Co00DN1?l0A4X4oa2@00Co
eIX01?ok4P04oo@_00Co^l800ol0NQh4o`0V>PCo00<J1?l03BP4o`1LA`Co?j401?oJR`04oo1000Co
fXX00om4XP04o`1OA0Co010Z1?l00QT4o`0H<@Co06Dn1?llX004olVj00CocjT00omi/P04o`1l6`Co
03U41?l01R04o`0370Co024g1?l0ICh4oa6A00CoFZT00om9Y004o`242`Co05M:1?l05Rl4o`036PCo
00HO1?l09SX4o`1MAPCo07TQ1?l0PPl3o`1f9PCo05Y81?l093T4o`078@Co008I1?l02R@4o`0U>PCo
051>1?l0GTD3o`1MAPCo04i>1?l093T4o`0:9@Co00<J1?l00a/4o`0<9`Co01he1?l0<403o`0d@PCo
02Lk1?l05Bl9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l06344o`0M=0Co01Ta1?l03RT4o`067`?o008I1?l011`4o`0>:0Co02@i1?l0@dT4o`1BC@Co04i>
1?l0<404o`0C;0?o00@M1?l00QX4o`0;9PCo02dn1?l0FTP4o`1^<`Co074^1?l0HT44o`0lAP?o00lY
1?l00QX4o`0680Co02Pk1?l0HT44o`261`Co99L01?l;SP04o`1^<`Co03M30ol02284o`036PCo01Pa
1?l0Gd@4oaRC00CoTKP01?nV_@04ocjP00Co06dd0ol093T4o`036`Co00PR1?l0CDh4o`N<00Coa/80
1?oQL`04om>N00Co@Z400ol0H4<4o`0A:`Co008I1?l073@4o`1a;`CoSkP01?o[D004ooHU00Coe9/0
0olGT`04o`1;C@Co00HP1?l01Ah4o`13B@Co3Xl01?oCWP04ooXH00Colc@01?nh`P03o`1j7`Co02Hj
1?l00aX4o`0=9`Co05]71?llX004omR?00CokTD01?oIS@03od:Q00Co05i51?l042X4o`026@Co01P`
1?l0I3l4ocVO00Cob;d01?o>[003ogJa00Co07`L1?l0>4@4o`0680Co00<K1?l08CL4o`1T?`Co3i00
1?mGZ003odJS00Co08<=1?l0EdX4o`0F;`Co00<J1?l01Ql4o`0U>PCo05a61?l0N284o`2240?o07DW
1?l0FDT4o`0T>@Co00LQ1?l00QT4o`0:90Co02Di1?l0D4h4o`1NA@?o05e61?l0CTh4o`0S>0Co00XU
1?l00aX4o`036`Co00`V1?l07SD4o`0_?`?o03=21?l09c/4o`0E;PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0H<@Co01dd1?l06C44o`0>:@Co00HO0ol0
0QT4o`0470Co00hX1?l093T4o`13B@Co059=1?l0CTh4o`0`@0Co01</0ol011d4o`026PCo00/V1?l0
;Ch4o`1JB0Co06hc1?l0LBh4o`1R@@Co03a60ol03bT4o`026PCo00HP1?l0:3/4o`1R@@Co08H71?lT
U`04o`^>00Co06hc1?l0=d<3o`088PCo00<J1?l06344o`1OA0Co69<01?nA^004ojJm00Co?Z001?l0
KC@3o`0T>@Co00<K1?l02284o`1=CPCo1h`01?o6`P04on5c00Codih01?m2X@03o`1P@`Co014[1?l0
0QT4o`0L=0Co074_1?n?^004on]@00ComRD01?oDV`03oaNC00Co04]=1?l01R04o`057PCo04=91?l>
S`04om>N00ConQP01?oc=004okS200?o07XO1?l09SX4o`036PCo00dW1?l0FdL4ocbP00Cof8l01?o^
A@04omV=00?o@Z401?l0GTD4o`0@:PCo008I1?l06304o`1T?`Co>Il01?o8_@04olj/00?oM[401?l0
O1`4o`0hA0Co00HP1?l00a/4o`0Q=`Co06@o1?l?T004oeNX00?oAZ<01?l0P`d4o`1GBPCo01H_1?l0
0aX4o`067`Co02Dj1?l0G4H4o`1h8PCo088@0ol0MBL4o`1IB@Co02@i1?l01b44o`026@Co00XT1?l0
9CT4o`1@CPCo05i50ol0GDH4o`1>CPCo02<h1?l02RD4o`036PCo00<K1?l032H4o`0N=@Co02lo0ol0
<d84o`0W>`Co01D^2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01Pa1?l07C@4o`0I<@Co00hY1?l01Ql3o`026@Co00@L1?l03RP4o`0T>@Co04=91?l0DTd4
o`1>CPCo03101?l04b`3o`047@Co008J1?l02bH4o`0]?PCo05Y81?l0KS<4o`1a;PCo06911?l0?4H3
o`0?:@Co008J1?l01R04o`0X>`Co06911?l0QPL4obBG00Co2hh01?l0KS<4o`0g@`?o00PR1?l00aX4
o`0H<@Co05m41?lHT`04oi6h00CoY[d01?lnX004o`1]=0?o02@i1?l00a/4o`088PCo04e>1?l7S004
olK200CohG<01?oCWP04od:Q00?o06131?l04B/4o`026@Co01`d1?l0LBl4ohnh00Coje001?of9@04
omBK00?o5i<01?l0Bdd4o`0680Co00DN1?l0@dT4o`j?00Codih01?oj6004oo<d00Co^<800ol0NQl4
o`0V>PCo00<J1?l03BL4o`1KA`Co?:001?oHS`04oni500CofHd00om2X@04o`1NA@Co010Z1?l00QT4
o`0H<0Co06@o1?liW`04olRm00CocZ`00omf/@04o`1l70Co03Q41?l01R04o`036`Co024g1?l0I3l4
o`n@00CoEjP00om6X`04o`233@Co05M:1?l05Rl4o`036PCo00HO1?l09CX4o`1LAPCo07PR1?l0PQ03
o`1e9`Co05U91?l093T4o`078@Co008I1?l02R@4o`0U>@Co051>1?l0GTD3o`1MAPCo04i>1?l08cP4
o`0:9@Co00<J1?l00a/4o`0<9PCo01he1?l0;cl3o`0c@PCo02Lk1?l05Bh9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06344o`0M=0Co01Ta1?l03RT4o`06
7`?o008I1?l011`4o`0>:0Co02@i1?l0@dT4o`1BC@Co04i>1?l0<404o`0C;0?o00@M1?l00QX4o`0;
9PCo02dn1?l0FTP4o`1^<`Co074^1?l0HT44o`0lAP?o00lY1?l00QX4o`0680Co02Pk1?l0HT44o`26
1`Co99L01?l;SP04o`1^<`Co03M30ol02284o`036PCo01Pa1?l0Gd@4oaRC00CoTKP01?nV_@04ocjP
00Co06dd0ol093T4o`036`Co00PR1?l0CDh4o`N<00Coa/801?oQL`04om>N00Co@Z400ol0H4<4o`0A
:`Co008I1?l073@4o`1a;`CoSkP01?o[D004ooHU00Coe9/00olGT`04o`1;C@Co00HP1?l01Ah4o`13
B@Co3Xl01?oCWP04ooXH00Colc@01?nh`P03o`1j7`Co02Hj1?l00aX4o`0=9`Co05]71?llX004omR?
00CokTD01?oIS@03od:Q00Co05i51?l042X4o`026@Co01P`1?l0I3l4ocVO00Cob;d01?o>[003ogJa
00Co07`L1?l0>4@4o`0680Co00<K1?l08CL4o`1T?`Co3i001?mGZ003odJS00Co08<=1?l0EdX4o`0F
;`Co00<J1?l01Ql4o`0U>PCo05a61?l0N284o`2240?o07DW1?l0FDT4o`0T>@Co00LQ1?l00QT4o`0:
90Co02Di1?l0D4h4o`1NA@?o05e61?l0CTh4o`0S>0Co00XU1?l00aX4o`036`Co00`V1?l07SD4o`0_
?`?o03=21?l09c/4o`0E;PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0H<@Co01dd1?l06344o`0>:@Co00HO0ol00QT4o`0470Co00dX1?l093T4o`12B@Co
055=1?l0CDh4o`0`@0Co01</0ol011d4o`026PCo00/V1?l0;3h4o`1IB@Co06dd1?l0L2l4o`1Q@PCo
03]60ol03bT4o`026PCo00HP1?l09c/4o`1R@@Co08D81?lQU`04o`V=00Co06dd1?l0=d<3o`088PCo
008J1?l06304o`1NA@Co5I801?n<]`04oj:l00Co?:001?l0K3D3o`0T>@Co00<K1?l02284o`1;C@Co
18/01?o3a004on1h00CodZ401?m0X@03o`1P@`Co014[1?l00QT4o`0L<`Co070`1?n:]P04onYF00Co
mB/01?oCWP03oaJB00Co04]=1?l01R04o`057PCo04991?l;SP04om:R00Con1l01?oa>@04okC100?o
07XP1?l09SX4o`036PCo00dW1?l0FTP4ocRN00Coei@01?o]B`04omRA00?o?j401?l0GTD4o`0@:PCo
008I1?l05c04o`1T@0Co=Yh01?o6`004olf_00?oLk001?l0Nad4o`0hA0Co00HP1?l00a/4o`0P=PCo
06=01?l=S`04oe>W00?o@j801?l0P`h4o`1FBPCo01D_1?l00aX4o`067`Co02Di1?l0G4L4o`1h90Co
084B0ol0MBP4o`1IB@Co02<h1?l01b04o`026@Co00TT1?l09CT4o`1@CPCo05e60ol0G4H4o`1=CPCo
02<h1?l02R@4o`036PCo00<K1?l032H4o`0N=@Co02lo0ol0<d44o`0W>PCo01D^2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Pa1?l07C@4o`0H<@Co00hY
1?l01Ql3o`026@Co00@L1?l03BP4o`0T>@Co04991?l0DDd4o`1=CPCo03101?l04b`3o`047@Co008J
1?l02bH4o`0/?PCo05U91?l0KC@4o`1`;`Co06521?l0>dH3o`0?:@Co008J1?l01R04o`0W>`Co0691
1?l0Q@P4ob6G00Co2Hd01?l0KC@4o`0g@`?o00PR1?l00QX4o`0H<0Co05i51?lETP04ohbg00CoX[`0
1?llX004o`1/=@?o02@i1?l00a/4o`088PCo04]=1?l4R`04ol?400Coh7P01?oBX@04od2Q00?o0613
1?l04B/4o`026@Co01`c1?l0L304ohZf00CojUH01?oe:`04om>N00?o5Y801?l0Bdd4o`0680Co00DN
1?l0@TT4o`^>00CodZ801?oh7`04oo4i00Co]<400ol0NR04o`0V>PCo00<J1?l03BL4o`1JB0Co>9h0
1?oGU004one;00Cof9400oloX@04o`1NA@Co010Z1?l00QT4o`0G<0Co06A01?lfWP04olK000CocJl0
0omc/004o`1k7@Co03Q41?l01R04o`036`Co020f1?l0Hd04o`f?00CoDjL00om3XP04o`233PCo05I:
1?l05Bl4o`036PCo00HO1?l09CT4o`1LA`Co07PT1?l0PA83o`1e:0Co05U91?l08cP4o`0780Co008I
1?l02B@4o`0U>@Co051>1?l0GDH3o`1LAPCo04e>1?l08cP4o`0:90Co00<J1?l00a/4o`0<9PCo01he
1?l0;cl3o`0c@@Co02Lj1?l05Bh9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l06344o`0M=0Co01Pa1?l03RT4o`067`?o008I1?l011`4o`0=:0Co02@i1?l0
@TT4o`1AC@Co04e>1?l0<404o`0C;0?o00@M1?l00QX4o`0;9PCo02`n1?l0FDT4o`1]=0Co070_1?l0
HD84o`0kAP?o00lY1?l00QX4o`0680Co02Lk1?l0HT44o`2520Co8IL01?l9S@04o`1]=0Co03M30ol0
2284o`026PCo01P`1?l0GTD4oaFB00CoS;L01?nR_004ocbP00Co06`e0ol093T4o`036`Co00PR1?l0
Bdd4o`B;00Co`l@01?oPN004om:Q00Co@:400ol0H4<4o`0A:`Co008I1?l073<4o`1`<0CoR[H01?oZ
EP04ooD[00Codih00olFTP04o`1;C@Co00HP1?l01Ah4o`12B@Co2hh01?oBXP04ooPO00ColCT01?nd
`@03o`1j80Co02Hj1?l00aX4o`0=9`Co05Y81?lhWP04omND00CokD/01?oHT@03ocnQ00Co05i51?l0
42X4o`026@Co01L`1?l0I404ocJN00Coa/001?o=[`03og>`00Co07/M1?l0>4@4o`0680Co00<K1?l0
83H4o`1S@0Co3Hl01?mCY`03od>R00Co08<>1?l0ETX4o`0E;`Co00<J1?l01Ql4o`0U>@Co05a71?l0
N2@4o`214P?o07DX1?l0FDT4o`0S>0Co00LP1?l00QT4o`0990Co02Di1?l0D4h4o`1MAP?o05a61?l0
CDh4o`0S>0Co00XT1?l00aX4o`036`Co00`V1?l07SD4o`0_?`?o03=11?l09cX4o`0E;PWooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0H<@Co01dd1?l06344
o`0>:@Co00HO0ol00QT4o`0470Co00dX1?l093T4o`12B@Co055=1?l0CDh4o`0`@0Co01</0ol011d4
o`026PCo00/V1?l0;3h4o`1IB@Co06dd1?l0L2l4o`1Q@PCo03]60ol03bT4o`026PCo00HP1?l09c/4
o`1R@@Co08D81?lQU`04o`V=00Co06dd1?l0=d<3o`088PCo008J1?l06304o`1NA@Co5I801?n<]`04
oj:l00Co?:001?l0K3D3o`0T>@Co00<K1?l02284o`1;C@Co18/01?o3a004on1h00CodZ401?m0X@03
o`1P@`Co014[1?l00QT4o`0L<`Co070`1?n:]P04onYF00ComB/01?oCWP03oaJB00Co04]=1?l01R04
o`057PCo04991?l;SP04om:R00Con1l01?oa>@04okC100?o07XP1?l09SX4o`036PCo00dW1?l0FTP4
ocRN00Coei@01?o]B`04omRA00?o?j401?l0GTD4o`0@:PCo008I1?l05c04o`1T@0Co=Yh01?o6`004
olf_00?oLk001?l0Nad4o`0hA0Co00HP1?l00a/4o`0P=PCo06=01?l=S`04oe>W00?o@j801?l0P`h4
o`1FBPCo01D_1?l00aX4o`067`Co02Di1?l0G4L4o`1h90Co084B0ol0MBP4o`1IB@Co02<h1?l01b04
o`026@Co00TT1?l09CT4o`1@CPCo05e60ol0G4H4o`1=CPCo02<h1?l02R@4o`036PCo00<K1?l032H4
o`0N=@Co02lo0ol0<d44o`0W>PCo01D^2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01Pa1?l073@4o`0H<@Co00hX1?l01Ql3o`026@Co00@L1?l03BP4o`0T
>@Co04991?l0DDd4o`1<C@Co02lo1?l04R`3o`047@Co008J1?l02bD4o`0[?@Co05U91?l0K3D4o`1`
<0Co06521?l0>dD3o`0?:@Co008J1?l01R04o`0W>PCo06521?l0Q0/4oanF00Co1hd01?l0KC@4o`0f
@`?o00PR1?l00QX4o`0G<0Co05i51?lBT@04ohNe00CoWK/01?liW`04o`1/=@?o02@i1?l00a/4o`08
8PCo04Y<1?l1RP04okg300CogWd01?oAY004ocfP00?o06131?l04B/4o`026@Co01/c1?l0Kc84ohBe
00Coj5d01?oc<P04om:Q00?o59801?l0Bdd4o`0780Co00DN1?l0@4P4o`N=00Cod:L01?of9P04oo0o
00Co/<000ol0NB04o`0V>PCo00<J1?l03BL4o`1JB0Co=9d01?oEV@04on]A00CoeYD00olmX004o`1N
A@Co010Z1?l00QT4o`0G<0Co06=01?lbW004olG300Coc;<00om_[`04o`1j7PCo03Q41?l01R04o`03
6`Co020f1?l0Hd04o`^>00CoCjH00om0X@04o`2240Co05I;1?l05Bl4o`036PCo00HO1?l09CT4o`1K
A`Co07LU1?l0P1@3o`1d:@Co05Q91?l08cP4o`0780Co008I1?l02B@4o`0T>@Co04m>1?l0GDH3o`1K
A`Co04a=1?l08SP4o`0:90Co00<J1?l00a/4o`0<9PCo01de1?l0;cl3o`0b@@Co02Hj1?l05Bh9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l06344o`0L=0Co
01Pa1?l03RP4o`067`?o008I1?l011`4o`0=:0Co02@i1?l0@TT4o`1AC@Co04a=1?l0;cl4o`0B;0?o
00@M1?l00QX4o`0;9@Co02/m1?l0FDT4o`1/=@Co070`1?l0HD84o`0kA@?o00lY1?l00QX4o`0680Co
02Lj1?l0HD84o`242`Co7iH01?l7S@04o`1]=0Co03I30ol02284o`026PCo01L`1?l0GTD4oa:A00Co
QkD01?nM^`04ocVO00Co06`e0ol093T4o`036`Co00PR1?l0BT`4o`6:00Co_L<01?oNO@04om6T00Co
?J000ol0H4<4o`0A:`Co008I1?l06c<4o`1_<PCoQ;D01?oXG@04oo<b00CodZ400olDTP04o`1;C@Co
00LP1?l01Ah4o`10B0Co1hd01?o@Y`04ooHV00Col3l01?n``003o`1i80Co02Hj1?l00aX4o`0=9`Co
05Y81?ldW@04omFI00Coje401?oFU@03ocfP00Co05i51?l042X4o`026@Co01L`1?l0Hd04oc:L00Co
aL<01?o</`03ofn_00Co07XN1?l0>4@4o`0680Co00<K1?l083H4o`1S@0Co2hh01?m?YP03od2Q00Co
088@1?l0ET/4o`0E;`Co00<J1?l01Ql4o`0U>@Co05]71?l0MbD4o`2050?o07@Y1?l0F4T4o`0S>0Co
00LP1?l00QT4o`0990Co02@i1?l0Cdh4o`1MAP?o05]71?l0C4d4o`0R>0Co00XT1?l00aX4o`036`Co
00`V1?l07CD4o`0_?`?o03911?l09SX4o`0E;PWooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0H<@Co01`d1?l06344o`0>:0Co00HO0ol00QT4o`0470Co00dX
1?l093T4o`12B@Co055=1?l0C4d4o`0_?`Co018/0ol011d4o`026PCo00/U1?l0:cd4o`1IB@Co06`e
1?l0L304o`1Q@PCo03]50ol03bT4o`026PCo00HP1?l09cX4o`1Q@PCo08@;1?lOUP04o`N=00Co06dd
1?l0=T<3o`088PCo008J1?l05c04o`1NA@Co4Y401?n7]@04oifk00Co>Il01?l0K3D3o`0T>@Co00<K
1?l02284o`1:C0Co0HX01?nm``04omim00CodJ@01?lmX003o`1P@`Co014[1?l00QT4o`0K<`Co06lb
1?n4]@04onQM00Colc801?oBX@03oaBB00Co04]=1?l01b04o`057PCo04181?l7S@04om2W00ComRH0
1?o`?`04ok3000?o07TP1?l09SX4o`036PCo00dW1?l0FTP4ocBM00CoeIT01?o[D@04omJE00?o?J00
1?l0GTD4o`0@:PCo008I1?l05c04o`1S@0Co<Y`01?o5``04olbc00?oKjl01?l0NQh4o`0hA0Co00HP
1?l00a/4o`0P=PCo06=01?l;SP04odnV00?o@:401?l0PQ04o`1FB`Co01D_1?l00aX4o`067`Co02Di
1?l0FdL4o`1g9@Co080D0ol0M2T4o`1HB@Co02<h1?l01b04o`026@Co00TT1?l093T4o`1?CPCo05e6
0ol0FdL4o`1<C@Co028h1?l02R@4o`036PCo00<K1?l032H4o`0M=@Co02lo0ol0<T44o`0V>PCo01D^
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01Pa1?l0
73@4o`0H<@Co00hX1?l01Ql3o`026@Co00@L1?l03BP4o`0T>@Co04991?l0DDd4o`1<C@Co02lo1?l0
4R`3o`047@Co008J1?l02bD4o`0[?@Co05U91?l0K3D4o`1`<0Co06521?l0>dD3o`0?:@Co008J1?l0
1R04o`0W>PCo06521?l0Q0/4oanF00Co1hd01?l0KC@4o`0f@`?o00PR1?l00QX4o`0G<0Co05i51?lB
T@04ohNe00CoWK/01?liW`04o`1/=@?o02@i1?l00a/4o`088PCo04Y<1?l1RP04okg300CogWd01?oA
Y004ocfP00?o06131?l04B/4o`026@Co01/c1?l0Kc84ohBe00Coj5d01?oc<P04om:Q00?o59801?l0
Bdd4o`0780Co00DN1?l0@4P4o`N=00Cod:L01?of9P04oo0o00Co/<000ol0NB04o`0V>PCo00<J1?l0
3BL4o`1JB0Co=9d01?oEV@04on]A00CoeYD00olmX004o`1NA@Co010Z1?l00QT4o`0G<0Co06=01?lb
W004olG300Coc;<00om_[`04o`1j7PCo03Q41?l01R04o`036`Co020f1?l0Hd04o`^>00CoCjH00om0
X@04o`2240Co05I;1?l05Bl4o`036PCo00HO1?l09CT4o`1KA`Co07LU1?l0P1@3o`1d:@Co05Q91?l0
8cP4o`0780Co008I1?l02B@4o`0T>@Co04m>1?l0GDH3o`1KA`Co04a=1?l08SP4o`0:90Co00<J1?l0
0a/4o`0<9PCo01de1?l0;cl3o`0b@@Co02Hj1?l05Bh9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l06304o`0L<`Co01P`1?l03RP4o`067`?o008I1?l011`4
o`0=9`Co02<h1?l0@DP4o`1@C@Co04]=1?l0;cl4o`0B;0?o00@M1?l00QX4o`0;9@Co02/m1?l0F4X4
o`1[=PCo06la1?l0H4<4o`0jA@?o00lY1?l00QX4o`067`Co02Hj1?l0H4<4o`233@Co79@01?l5S004
o`1/=@Co03I30ol02284o`026PCo01L`1?l0GDH4o`n@00CoPK@01?nG^P04ocJN00Co06`f0ol093T4
o`036`Co00PR1?l0B4/4o`290@Co]L401?oLP`04om2X00Co>il00ol0Gd@4o`0A:`Co008I1?l06S84
o`1^<`CoOK<01?oVI004oo4i00CodJD00olCT@04o`1;C@Co00LP1?l01Ah4o`0oA`Co18/01?o>[@04
oo@_00CokTH01?n[_`03o`1i8@Co02Hj1?l00aX4o`0<9`Co05U91?l_V`04om>N00CojEP01?oEV@03
ocZO00Co05i51?l042X4o`026@Co01H_1?l0HT44objK00Co_l<01?o:]`03ofZ^00Co07XP1?l0=d@4
o`0680Co00<K1?l07cH4o`1R@@Co28d01?m;Y003ocbP00Co084B1?l0ED/4o`0E;PCo00<J1?l01Ql4
o`0T>@Co05]71?l0MRH4o`1o5@?o07<[1?l0F4X4o`0R>0Co00LP1?l00QT4o`098`Co02@i1?l0Cdh4
o`1LA`?o05]71?l0BTd4o`0R=`Co00XT1?l00QX4o`036`Co00`V1?l07C@4o`0^?`?o03511?l09SX4
o`0D;PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0H
<0Co01`c1?l06304o`0>:0Co00HO0ol00QT4o`0470Co00dW1?l08cP4o`11B0Co051=1?l0Bdd4o`0_
?`Co018/0ol011d4o`026PCo00/U1?l0:cd4o`1HBPCo06/f1?l0Kc44o`1P@`Co03Y50ol03bT4o`02
6PCo00HO1?l09SX4o`1P@`Co08<=1?lLU004o`F<00Co06`e1?l0=T<3o`088PCo008J1?l05c04o`1M
APCo3i001?n1]004oiNj00Co=Yh01?l0K3H3o`0T>@Co00<K1?l02284o`18B`Co08T11?ne`@04omb3
00Cod:P01?lkW`03o`1OA0Co014[1?l00QT4o`0J<PCo06hc1?mm/`04onIT00ColCT01?oAY@03oa>A
00Co04]=1?l01b04o`057PCo03m71?l4R`04olj]00Com2l01?o^AP04oj^o00?o07TQ1?l09SX4o`03
6PCo00`W1?l0FDT4obnK00Codih01?oYF004omFI00?o>Yl01?l0GTD4o`0@:PCo008I1?l05Rl4o`1R
@@Co;Y/01?no``04olZg00?oJZh01?l0NR04o`0gA0Co00HP1?l00a/4o`0O=PCo06911?l8S@04od^T
00?o?:001?l0PA84o`1EB`Co01D^1?l00aX4o`067`Co02@i1?l0FdL4o`1f9PCo07lE0ol0Lb/4o`1H
BPCo028h1?l01b04o`026@Co00TS1?l093T4o`1?CPCo05a70ol0FdL4o`1:C@Co028g1?l02R@4o`02
6PCo00<K1?l032H4o`0M=0Co02ho0ol0<D44o`0V>PCo01@^2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01P`1?l073<4o`0H<0Co00hX1?l01Ql3o`026@Co
00@L1?l03BL4o`0S>0Co04581?l0D4d4o`1;C@Co02lo1?l04R`3o`047@Co008J1?l02bD4o`0[?@Co
05Q:1?l0JcH4o`1_<@Co06131?l0>TD3o`0?:@Co008J1?l01Ql4o`0V>PCo06131?l0P`d4oabD00Co
1H`01?l0K3D4o`0f@`?o00PR1?l00QX4o`0G<0Co05e61?l?T004oh6d00CoUkX01?lfWP04o`1/=P?o
02@i1?l00a/4o`088PCo04Q;1?l0R@44okG100Cog8<01?o@Z004oc^O00?o05m41?l04B/4o`026@Co
01Xb1?l0KS<4ogfc00CoiV@01?oa>@04om6U00?o4i401?l0Bdd4o`0780Co00DN1?l0?dL4o`B;00Co
cZd01?od;`04oni600CoZkl00ol0NB44o`0V>PCo00<J1?l032L4o`1IB@Co;i/01?oCWP04onUH00Co
eIT00oljW`04o`1NA@Co010Z1?l00QT4o`0F;`Co06911?l^V`04oko300Cob[L00omZ[P04o`1j80Co
03M41?l01R04o`036`Co01lf1?l0HT44o`R=00CoBj@00ollX004o`214PCo05E;1?l05Bh4o`036PCo
00HO1?l093T4o`1KA`Co07HV1?l0OaD3o`1c:`Co05Q:1?l08SP4o`0780Co008I1?l02B<4o`0T>@Co
04m>1?l0G4L3o`1KA`Co04Y=1?l08SL4o`0:90Co008J1?l00a/4o`0<9PCo01dd1?l0;Sl3o`0a@@Co
02Hj1?l052h9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l06304o`0L<`Co01P`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co02<h1?l0@DP4o`1@C@Co04]=
1?l0;cl4o`0B;0?o00@M1?l00QX4o`0;9@Co02/m1?l0F4X4o`1[=PCo06la1?l0H4<4o`0jA@?o00lY
1?l00QX4o`067`Co02Hj1?l0H4<4o`233@Co79@01?l5S004o`1/=@Co03I30ol02284o`026PCo01L`
1?l0GDH4o`n@00CoPK@01?nG^P04ocJN00Co06`f0ol093T4o`036`Co00PR1?l0B4/4o`290@Co]L40
1?oLP`04om2X00Co>il00ol0Gd@4o`0A:`Co008I1?l06S84o`1^<`CoOK<01?oVI004oo4i00CodJD0
0olCT@04o`1;C@Co00LP1?l01Ah4o`0oA`Co18/01?o>[@04oo@_00CokTH01?n[_`03o`1i8@Co02Hj
1?l00aX4o`0<9`Co05U91?l_V`04om>N00CojEP01?oEV@03ocZO00Co05i51?l042X4o`026@Co01H_
1?l0HT44objK00Co_l<01?o:]`03ofZ^00Co07XP1?l0=d@4o`0680Co00<K1?l07cH4o`1R@@Co28d0
1?m;Y003ocbP00Co084B1?l0ED/4o`0E;PCo00<J1?l01Ql4o`0T>@Co05]71?l0MRH4o`1o5@?o07<[
1?l0F4X4o`0R>0Co00LP1?l00QT4o`098`Co02@i1?l0Cdh4o`1LA`?o05]71?l0BTd4o`0R=`Co00XT
1?l00QX4o`036`Co00`V1?l07C@4o`0^?`?o03511?l09SX4o`0D;PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0G<0Co01`c1?l05c04o`0>:0Co00HO0ol0
0QT4o`0470Co00dW1?l08cP4o`10B0Co051>1?l0BTd4o`0^?`Co018/0ol011d4o`026PCo00/U1?l0
:S`4o`1GBPCo06/g1?l0KS84o`1P@`Co03Y50ol03bT4o`026PCo00HO1?l09CT4o`1OA0Co088?1?lH
T`04o`>;00Co06`f1?l0=D<3o`088PCo008J1?l05Rl4o`1LA`Co2hh01?mk/P04oi:h00Co<id01?l0
JcH3o`0T>@Co00<K1?l02244o`16B`Co08L41?n]_`04omZ900CocZd01?lhWP03o`1OA0Co014[1?l0
0QT4o`0J<PCo06`e1?mf/@04onA[00Cokd401?o?Z@03oa6@00Co04Y=1?l01b04o`057PCo03e61?l0
RP04olbb00ColSP01?o/C@04ojJm00?o07PR1?l09SX4o`036PCo00`V1?l0F4X4obZJ00CodJ@01?oW
G`04om>N00?o=ih01?l0GDH4o`0@:PCo008I1?l05Rl4o`1Q@PCo:YX01?nh`@04olRk00?oIZ`01?l0
NB44o`0g@`Co00HP1?l00a/4o`0O=@Co06521?l5S004odNS00?o>9h01?l0P1@4o`1EB`Co01D^1?l0
0aX4o`067`Co02@i1?l0FTP4o`1e:0Co07hG0ol0LR`4o`1GBPCo028g1?l01b04o`026@Co00TS1?l0
8cP4o`1>CPCo05]70ol0FTP4o`19C0Co024g1?l02R@4o`026PCo00<K1?l032H4o`0M=0Co02dn0ol0
<D04o`0U>@Co01@^2Oooool00ol0003oooooooooo`02ooooo`006oooool3o`0000Oooooo1?l05c04
o`0L<`Co01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co02<h1?l0@4P4o`1@CPCo04Y=1?l0;Sl4
o`0B;0?o00@M1?l00QX4o`0;9@Co02Xl1?l0EdX4o`1[=`Co06hb1?l0H4<4o`0jA@?o00lY1?l00QX4
o`067`Co02Di1?l0Gd@4o`223`Co69<01?l3R`04o`1/=PCo03E30ol02284o`026PCo01H_1?l0G4L4
o`^>00CoNk801?nB^004oc>M00Co06/f0ol093T4o`036`Co00PQ1?l0AT/4o`2710Co[Kl01?oJR@04
olj]00Co>9h00ol0Gd@4o`0A:`Co008I1?l06S84o`1/=@CoM[401?oTJ`04onm100CocjT00olAT004
o`1:C@Co00LP1?l01Ah4o`0mAPCo08X01?o</P04oo8h00Cok4d01?nV_@03o`1h8PCo02Hj1?l00aX4
o`0<9PCo05Q:1?lZVP04om6T00Coiel01?oCWP03ocNN00Co05e61?l042X4o`026@Co01H_1?l0HD84
obZJ00Co^<401?o8^`03ofJ/00Co07TQ1?l0=d<4o`0680Co00<K1?l07cD4o`1Q@PCo1H`01?m7X`03
ocRN00Co080D1?l0ED/4o`0E;PCo00<J1?l01Ql4o`0T>@Co05Y81?l0MBP4o`1n5`?o078/1?l0EdX4
o`0R=`Co00LP1?l00QT4o`098`Co02<h1?l0CTh4o`1KA`?o05Y81?l0BD`4o`0Q=`Co00XT1?l00QX4
o`036`Co00`V1?l07C@4o`0]?P?o03501?l09CT4o`0D;POooooo0ol00004ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01L`1?l073<4o`0G<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0S
>0Co04181?l0D4h4o`1:C@Co02ho1?l04R`3o`047@Co008J1?l02bD4o`0Z?0Co05M:1?l0JcL4o`1^
<PCo06131?l0>TD3o`0?:@Co008J1?l01Ql4o`0U>@Co05m41?l0PPl4oaRC00Co0h/01?l0K3H4o`0e
@`?o00PR1?l00QX4o`0F;`Co05a71?l;SP04og^b00CoT[P01?lcW@04o`1[=P?o02@i1?l00a/4o`08
8@Co04I;1?l0Q`@4ojfo00CofXT01?o>[@04ocRN00?o05m41?l04B/4o`026@Co01Xb1?l0K3D4ogJa
00Coi6/01?o_@@04olnY00?o4I001?l0BTd4o`0780Co00DN1?l0?DH4o`2:00Coc;801?ob>004ona=
00CoY[d00ol0N284o`0V>PCo00<J1?l032H4o`1HBPCo:YX01?oAY004onMO00Codih00olgWP04o`1M
APCo010Z1?l00QT4o`0F;`Co06521?lZVP04okS100Cob;/00omV[004o`1i8@Co03M31?l01R04o`03
6`Co01le1?l0HD84o`F<00CoAj<00olhWP04o`2050Co05E;1?l05Bh4o`036PCo00HO1?l093T4o`1J
B0Co07DX1?l0OQL3o`1b;0Co05M:1?l08SL4o`0780Co008I1?l02B<4o`0S>0Co04i>1?l0FdL3o`1J
B0Co04U<1?l08CL4o`0:90Co008J1?l00a/4o`0<9PCo01dd1?l0;Ch3o`0a@0Co02Di1?l052h9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05c04o`0K<`Co
01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co028h1?l0?TL4o`1?CPCo04U<1?l0;Ch4o`0B;0?o
00@M1?l00QX4o`0;9@Co02Tl1?l0ETX4o`1Z>0Co06dd1?l0Gd@4o`0iA0?o00lY1?l00QX4o`067`Co
02@i1?l0Gd@4o`214PCo5I801?l0RP04o`1[=`Co03E20ol02284o`026PCo01H_1?l0FdL4o`R=00Co
MK001?n;]P04oc2L00Co06/g0ol093T4o`036`Co00PQ1?l0A4X4o`2620CoYKd01?oHS`04olba00Co
=Id00ol0Gd@4o`0A:`Co008I1?l06C44o`1[=`CoKZl01?oQL`04one900CocZd00ol?T004o`1:C0Co
00LP1?l01Ah4o`0kAPCo08P31?o:^004onm100CojUD01?nQ_003o`1h8`Co02Dj1?l00aX4o`0<9PCo
05M:1?lUV004olnZ00CoiFL01?oBX`03ocBM00Co05e61?l042X4o`026@Co01D^1?l0H4<4obFH00Co
/<001?o7_`03of6[00Co07PS1?l0=T<4o`0680Co00<K1?l07SD4o`1P@`Co0XX01?m2XP03ocBM00Co
07lF1?l0E4`4o`0E;PCo00<J1?l01Ql4o`0S>0Co05U81?l0M2T4o`1m6@?o074^1?l0ET/4o`0Q=`Co
00LP1?l00QT4o`098`Co02<h1?l0CDh4o`1KB0?o05U81?l0B4/4o`0Q=`Co00XT1?l00QX4o`036`Co
00`V1?l07C@4o`0]?P?o03101?l093T4o`0D;@Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0G<0Co01/c1?l05c04o`0>:0Co00HO0ol00QT4o`0470Co00dW
1?l08SP4o`0nA`Co04m>1?l0BD`4o`0]?PCo018/0ol011d4o`026PCo00/U1?l0:C`4o`1FBPCo06Xh
1?l0KC@4o`1OA0Co03U40ol03bT4o`026PCo00HO1?l093T4o`1OA0Co084B1?lETP04o`2:00Co06/g
1?l0=D83o`088PCo008J1?l05Rl4o`1KA`Co28d01?me/004oh^f00Co<9`01?l0JcL3o`0T>@Co00<K
1?l02244o`14BPCo08H81?nU_@04omR?00Coc;401?leW@03o`1OA0Co014[1?l00QT4o`0I<@Co06/g
1?m^[`04on5c00CokDT01?o>[@03o`n@00Co04Y<1?l01b04o`057PCo03]61?l0R0<4olZh00Cokd40
1?oZE@04oj6l00?o07PS1?l09CX4o`036PCo00`V1?l0EdX4obFH00CocjX01?oUI`04om:S00?o=9d0
1?l0GDH4o`0@:PCo008I1?l05Bh4o`1P@`Co9IP01?n``004olNo00?oHJ/01?l0N2<4o`0f@`Co00HP
1?l00a/4o`0N=@Co06131?l2RP04od:R00?o=9d01?l0OaH4o`1DC0Co01D^1?l00aX4o`067`Co02<h
1?l0FDP4o`1d:@Co07dI0ol0LBh4o`1FB`Co024g1?l01b04o`026@Co00TS1?l08cP4o`1=CPCo05]8
0ol0FDP4o`18B`Co024g1?l02R@4o`026PCo00<K1?l032H4o`0M=0Co02dn0ol0<404o`0T>@Co01@]
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01L`1?l0
6c<4o`0G<0Co00hX1?l01Ql3o`026@Co00@L1?l03BL4o`0R>0Co03i71?l0Cdh4o`19C0Co02dn1?l0
4R`3o`047@Co008J1?l02bD4o`0Y?0Co05I:1?l0JSP4o`1]=0Co05m41?l0>D@3o`0?:@Co008J1?l0
1Ql4o`0T>@Co05m41?l0PA84oaFB00Co08X01?l0JcL4o`0e@P?o00PR1?l00QX4o`0F;`Co05]71?l8
S@04ogF`00CoRkH01?l`W004o`1[=`?o02@i1?l00a/4o`088@Co04A:1?l0QPP4ojFm00Cof8l01?o<
/@04ocFM00?o05m41?l04B/4o`026@Co01Ta1?l0JcL4ofj_00CohG<01?o]B@04olj]00?o3i001?l0
BT`4o`0780Co00DN1?l0>dH4o`280`Cob[P01?o_@@04onYE00CoXK`00ol0N2<4o`0U>PCo00<J1?l0
32H4o`1GBPCo9IP01?o?ZP04onEW00CodZ<00oldW@04o`1MAPCo010Z1?l00QT4o`0E;PCo06131?lU
V004ok3000Coakl00omQZ`04o`1h8`Co03I31?l01R04o`036`Co01he1?l0H4<4o`::00Co@Z800old
W@04o`1o5PCo05A<1?l05Bh4o`036PCo00HO1?l08cP4o`1IB0Co07@Y1?l0OAT3o`1a;PCo05I;1?l0
8CL4o`0780Co008I1?l02B<4o`0S>0Co04e>1?l0FdP3o`1IB0Co04Q;1?l08CL4o`0:90Co008J1?l0
0a/4o`0<9PCo01dd1?l0;Ch3o`0`@0Co02@i1?l052d9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l05c04o`0K<`Co01L`1?l03RP4o`067`?o008I1?l011`4
o`0=9`Co028h1?l0?TL4o`1?CPCo04U<1?l0;Ch4o`0B;0?o00@M1?l00QX4o`0;9@Co02Tl1?l0ETX4
o`1Z>0Co06dd1?l0Gd@4o`0iA0?o00lY1?l00QX4o`067`Co02@i1?l0Gd@4o`214PCo5I801?l0RP04
o`1[=`Co03E20ol02284o`026PCo01H_1?l0FdL4o`R=00CoMK001?n;]P04oc2L00Co06/g0ol093T4
o`036`Co00PQ1?l0A4X4o`2620CoYKd01?oHS`04olba00Co=Id00ol0Gd@4o`0A:`Co008I1?l06C44
o`1[=`CoKZl01?oQL`04one900CocZd00ol?T004o`1:C0Co00LP1?l01Ah4o`0kAPCo08P31?o:^004
onm100CojUD01?nQ_003o`1h8`Co02Dj1?l00aX4o`0<9PCo05M:1?lUV004olnZ00CoiFL01?oBX`03
ocBM00Co05e61?l042X4o`026@Co01D^1?l0H4<4obFH00Co/<001?o7_`03of6[00Co07PS1?l0=T<4
o`0680Co00<K1?l07SD4o`1P@`Co0XX01?m2XP03ocBM00Co07lF1?l0E4`4o`0E;PCo00<J1?l01Ql4
o`0S>0Co05U81?l0M2T4o`1m6@?o074^1?l0ET/4o`0Q=`Co00LP1?l00QT4o`098`Co02<h1?l0CDh4
o`1KB0?o05U81?l0B4/4o`0Q=`Co00XT1?l00QX4o`036`Co00`V1?l07C@4o`0]?P?o03101?l093T4
o`0D;@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0G
<0Co01/c1?l05c04o`0>:0Co00HO0ol00QT4o`0470Co00dW1?l08CL4o`0mA`Co04m>1?l0B4/4o`0]
?PCo018/0ol011d4o`026PCo00XU1?l0:3/4o`1FB`Co06Tj1?l0K3D4o`1NA@Co03Q40ol03bT4o`02
6PCo00HO1?l08cP4o`1NA@Co080E1?lAT@04o`280PCo06Xh1?l0=D83o`088PCo008J1?l05Bh4o`1J
B0Co18/01?m^[`04ohFe00Co;9X01?l0JSP3o`0S>0Co00<K1?l01b44o`12B@Co08@;1?nL^`04omJF
00Cob[H01?lbW003o`1NA0Co014[1?l00QT4o`0H<@Co06Ti1?mW[@04omml00Coje801?o</P03o`f?
00Co04Y<1?l01b04o`057@Co03U51?l0QPL4olNn00CokD/01?oXG004oi^j00?o07LT1?l09CX4o`03
6PCo00/U1?l0ET/4ob2F00CocK001?oSK`04om2X00?o<9`01?l0G4H4o`0@:PCo008I1?l05Bh4o`1O
A0Co89H01?nW_@04olG400?oFjT01?l0Mb@4o`0e@`Co00HP1?l00a/4o`0M=0Co05m41?l0R@44ocfP
00?o;i/01?l0OQP4o`1DC0Co01@^1?l00aX4o`067`Co028h1?l0FDT4o`1c:`Co07`L0ol0L2l4o`1E
B`Co024g1?l01b04o`026@Co00TS1?l08cP4o`1<C@Co05Y80ol0FDT4o`16B`Co020f1?l02R@4o`02
6PCo00<K1?l032H4o`0L=0Co02`n0ol0;cl4o`0T>@Co01<]2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01L`1?l06c<4o`0G<0Co00hX1?l01Ql3o`026@Co
00@L1?l03BL4o`0Q=`Co03e71?l0Cdh4o`18B`Co02dn1?l04R`3o`047@Co008J1?l02RD4o`0X>`Co
05I;1?l0JCX4o`1/=@Co05i51?l0>4@3o`0?:@Co008J1?l01Ql4o`0S>0Co05i51?l0P1D4oa6A00Co
08P21?l0JSP4o`0e@P?o00PR1?l00QX4o`0E;PCo05Y81?l4R`04ofj_00CoQKD01?l/VP04o`1Z>0?o
02<h1?l00a/4o`078@Co04991?l0Q0/4oibk00CoeYH01?o:]P04oc:L00?o05i41?l04B/4o`026@Co
01Pa1?l0JCT4ofN]00Cogg`01?o[DP04olbb00?o3Hl01?l0BT`4o`0780Co00DM1?l0>DD4o`261`Co
akh01?o]B`04onQL00CoVkX00ol0Mb@4o`0U>PCo00<J1?l02bD4o`1FB`Co89H01?o=/004on=_00Co
d:P00ol`W004o`1LAPCo010Z1?l00QT4o`0E;PCo05m41?lPUP04ojNm00CoaL@00omKZ@04o`1g90Co
03E31?l01R04o`036`Co01dd1?l0Gd@4o`290@Co?J000ol_V`04o`1n60Co05A<1?l052h4o`036PCo
00HO1?l08SP4o`1IB@Co07<[1?l0O1`3o`1`;`Co05E;1?l08CL4o`0780Co008I1?l02B<4o`0S>0Co
04a=1?l0FTP3o`1IB@Co04I;1?l083H4o`0:90Co008J1?l00a/4o`0<9PCo01`d1?l0;3h3o`0_?`Co
02@i1?l04bd9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l05c04o`0K<`Co01L`1?l03RP4o`067`?o008I1?l011`4o`0=9`Co024g1?l0?DL4o`1?CPCo04Q;
1?l0;Ch4o`0B;0?o00@M1?l00QX4o`0:9@Co02Pk1?l0ET/4o`1Y>PCo06`e1?l0GTD4o`0hA0?o00lY
1?l00QX4o`067`Co02<h1?l0GTD4o`205@Co4I401?l0R084o`1Z>0Co03E20ol02284o`026PCo01D^
1?l0FTP4o`B;00CoKZl01?n5]@04obbJ00Co06Xh0ol08cP4o`036`Co00LQ1?l0@TT4o`242`CoW;/0
1?oFUP04olZf00Co<Y`00ol0GT@4o`0A:`Co008I1?l06344o`1Y>@CoIjd01?oOO004on]B00Coc;80
0ol=S`04o`1:C0Co00LP1?l01Ad4o`0iA@Co08H71?o7_P04one;00Coj5`01?nK^P03o`1g90Co02Dj
1?l00aX4o`0;9@Co05I;1?lPUP04olf`00Cohfl01?o@Z003oc2L00Co05a61?l042X4o`026@Co01D^
1?l0Gd@4ob2F00CoYkd01?o5a003oe^Y00Co07LT1?l0=D<4o`0680Co00<K1?l07C@4o`1OA0Co08T1
1?lmX003obnK00Co07hH1?l0E4`4o`0D;PCo00<J1?l01Ql4o`0R>0Co05U91?l0Lb/4o`1l70?o070_
1?l0ED/4o`0Q=`Co00LP1?l00QT4o`098`Co02<h1?l0C4d4o`1JB0?o05U91?l0AT/4o`0P=PCo00XT
1?l00QX4o`036`Co00`V1?l073@4o`0/?P?o02lo1?l093T4o`0C;@Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0G<0Co01/c1?l05c04o`0>:0Co00HO0ol0
0QT4o`0470Co00dW1?l08CL4o`0mA`Co04m>1?l0B4/4o`0]?PCo018/0ol011d4o`026PCo00XU1?l0
:3/4o`1FB`Co06Tj1?l0K3D4o`1NA@Co03Q40ol03bT4o`026PCo00HO1?l08cP4o`1NA@Co080E1?lA
T@04o`280PCo06Xh1?l0=D83o`088PCo008J1?l05Bh4o`1JB0Co18/01?m^[`04ohFe00Co;9X01?l0
JSP3o`0S>0Co00<K1?l01b44o`12B@Co08@;1?nL^`04omJF00Cob[H01?lbW003o`1NA0Co014[1?l0
0QT4o`0H<@Co06Ti1?mW[@04omml00Coje801?o</P03o`f?00Co04Y<1?l01b04o`057@Co03U51?l0
QPL4olNn00CokD/01?oXG004oi^j00?o07LT1?l09CX4o`036PCo00/U1?l0ET/4ob2F00CocK001?oS
K`04om2X00?o<9`01?l0G4H4o`0@:PCo008I1?l05Bh4o`1OA0Co89H01?nW_@04olG400?oFjT01?l0
Mb@4o`0e@`Co00HP1?l00a/4o`0M=0Co05m41?l0R@44ocfP00?o;i/01?l0OQP4o`1DC0Co01@^1?l0
0aX4o`067`Co028h1?l0FDT4o`1c:`Co07`L0ol0L2l4o`1EB`Co024g1?l01b04o`026@Co00TS1?l0
8cP4o`1<C@Co05Y80ol0FDT4o`16B`Co020f1?l02R@4o`026PCo00<K1?l032H4o`0L=0Co02`n0ol0
;cl4o`0T>@Co01<]2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01H_1?l06S84o`0F;`Co00dX1?l01Ql3o`026@Co00@L1?l032L4o`0Q=`Co03a61?l0CDh4
o`16B`Co02`m1?l04R/3o`047@Co008J1?l02R@4o`0W>`Co05E;1?l0J3/4o`1[=PCo05e51?l0=d@3
o`0?:@Co00<J1?l01Ql4o`0S>0Co05e61?l0OQL4o`f?00Co08L51?l0JCT4o`0d@P?o00PR1?l00QX4
o`0D;PCo05U91?l0R@04ofN]00CoOK<01?lXV@04o`1Y>@?o02<h1?l00a/4o`078@Co04181?l0PPl4
oi:h00Coe9d01?o8^`04objK00?o05i51?l04R/4o`026@Co01L`1?l0J3/4oejZ00Cog8D01?oXF`04
olZg00?o2Xh01?l0BD`4o`0780Co00@M1?l0=d@4o`242`Coa<@01?oZE@04onEU00CoUKT00ol0MbD4
o`0U>PCo00<J1?l02bD4o`1DC0Co6i@01?o:]`04on1g00CocZh00ol/VP04o`1LA`Co010Z1?l00QT4
o`0D;PCo05i51?lKU004oijk00Co_<800omFZ004o`1f9PCo03E21?l01R04o`036`Co01dd1?l0GTD4
o`2710Co>9h00olZVP04o`1m6PCo05=<1?l052h4o`036PCo00HO1?l08SL4o`1HB@Co078]1?l0Nah3
o`1_<@Co05E;1?l083H4o`0680Co008I1?l02B<4o`0R>0Co04]=1?l0FDT3o`1HBPCo04E:1?l07cH4
o`098`Co008J1?l00a/4o`0<9PCo01`c1?l0:cd3o`0^?`Co02<h1?l04bd9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Rl4o`0J<PCo01H_1?l03BP4o`06
7`?o008I1?l011`4o`0<9`Co024g1?l0?4H4o`1=CPCo04I;1?l0;3d4o`0B:`?o00@M1?l00QX4o`0:
90Co02Lk1?l0ED/4o`1X>`Co06/f1?l0GDD4o`0gA0?o00lY1?l00aX4o`067`Co02<h1?l0GDH4o`1n
5`Co3Hl01?l0Q`D4o`1Y>@Co03A20ol02284o`026PCo01@^1?l0FDT4o`2900CoIjd01?mm/`04obRI
00Co06Ti0ol08cP4o`036`Co00LQ1?l0@4P4o`223`CoT[P01?oDW@04olRk00Co;Y/00ol0GTD4o`0B
:`Co008I1?l05c04o`1X>`CoGZX01?oLQ@04onQK00Cob[L00ol:SP04o`19C0Co00LP1?l011d4o`0g
A0Co08@;1?o4a004onYE00CoiFD01?nE^@03o`1g9@Co02Dj1?l00aX4o`0;9@Co05A<1?lKU004olZg
00Coh7L01?o>[P03obbJ00Co05a71?l042X4o`026@Co01@^1?l0GTD4oa^D00CoW[/01?nl`P03oeJX
00Co07HV1?l0=D84o`0680Co00<K1?l07C@4o`1NA@Co08L41?lhWP03obZJ00Co07dJ1?l0Dd`4o`0D
;PCo00<J1?l01Ql4o`0R=`Co05Q91?l0LRd4o`1k7P?o06la1?l0ED/4o`0P=PCo00HP1?l00QT4o`09
8`Co028h1?l0Bdd4o`1IB@?o05Q:1?l0ADX4o`0O=PCo00TS1?l00QX4o`036`Co00`V1?l073<4o`0[
?@?o02ho1?l08cP4o`0C;@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0F;`Co01Xb1?l05Rl4o`0=:0Co00HO0ol00QT4o`0470Co00`W1?l08CL4o`0lAPCo
04e>1?l0AT/4o`0/?@Co018[0ol011d4o`026PCo00XT1?l09c/4o`1EB`Co06Pk1?l0JcH4o`1MA@Co
03M40ol03bT4o`036PCo00HO1?l08cP4o`1MAPCo07hG1?l=S`04o`271@Co06Ti1?l0=483o`088PCo
008J1?l052h4o`1IB@Co08T01?mW[@04ogfc00Co:9T01?l0JCT3o`0S>0Co00<K1?l01b44o`10B0Co
088?1?nB^004omBM00Cob;/01?l^V`03o`1NA@Co018[1?l00QT4o`0G<0Co06Pk1?mNZP04omb500Co
j5/01?o:]`03o`Z>00Co04U<1?l01b04o`047@Co03M41?l0Q0/4olC400CojUD01?oUI@04oiFi00?o
07LU1?l09CX4o`036PCo00/U1?l0E4`4oa^D00Cob[L01?oPM`04olj^00?o;9X01?l0G4L4o`0@:PCo
008I1?l052h4o`1NA@Co6i@01?nN^`04okc200?oEZP01?l0MRH4o`0e@PCo00HP1?l00a/4o`0M=0Co
05i51?l0Q`@4ocRN00?o:YX01?l0OAX4o`1CC0Co01@^1?l00aX4o`067`Co028g1?l0F4T4o`1b;@Co
07/N0ol0Kc44o`1EB`Co020f1?l01R04o`026@Co00TS1?l08SP4o`1;C@Co05U90ol0F4X4o`15BPCo
01lf1?l02B<4o`026PCo00<K1?l032H4o`0L<`Co02/m0ol0;Sl4o`0S>0Co01<]2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01H_1?l06S84o`0F;`Co00dX
1?l01Ql3o`026@Co00@L1?l032L4o`0Q=`Co03a61?l0CDh4o`16B`Co02`m1?l04R/3o`047@Co008J
1?l02R@4o`0W>`Co05E;1?l0J3/4o`1[=PCo05e51?l0=d@3o`0?:@Co00<J1?l01Ql4o`0S>0Co05e6
1?l0OQL4o`f?00Co08L51?l0JCT4o`0d@P?o00PR1?l00QX4o`0D;PCo05U91?l0R@04ofN]00CoOK<0
1?lXV@04o`1Y>@?o02<h1?l00a/4o`078@Co04181?l0PPl4oi:h00Coe9d01?o8^`04objK00?o05i5
1?l04R/4o`026@Co01L`1?l0J3/4oejZ00Cog8D01?oXF`04olZg00?o2Xh01?l0BD`4o`0780Co00@M
1?l0=d@4o`242`Coa<@01?oZE@04onEU00CoUKT00ol0MbD4o`0U>PCo00<J1?l02bD4o`1DC0Co6i@0
1?o:]`04on1g00CocZh00ol/VP04o`1LA`Co010Z1?l00QT4o`0D;PCo05i51?lKU004oijk00Co_<80
0omFZ004o`1f9PCo03E21?l01R04o`036`Co01dd1?l0GTD4o`2710Co>9h00olZVP04o`1m6PCo05=<
1?l052h4o`036PCo00HO1?l08SL4o`1HB@Co078]1?l0Nah3o`1_<@Co05E;1?l083H4o`0680Co008I
1?l02B<4o`0R>0Co04]=1?l0FDT3o`1HBPCo04E:1?l07cH4o`098`Co008J1?l00a/4o`0<9PCo01`c
1?l0:cd3o`0^?`Co02<h1?l04bd9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l05Rl4o`0J<PCo01H_1?l03BP4o`057`?o008I1?l011`4o`0<9PCo020f1?l0
>dD4o`1<C@Co04E:1?l0:cd4o`0A:`?o00@M1?l00QX4o`0:90Co02Lj1?l0E4`4o`1W?0Co06Xh1?l0
GDH4o`0f@`?o00lY1?l00aX4o`067`Co028g1?l0FdL4o`1m6PCo2Hd01?l0QPP4o`1X>PCo03=20ol0
2284o`026PCo01@]1?l0EdX4o`280`CoGjX01?mf/@04obBH00Co06Tj0ol08cP4o`0370Co00LP1?l0
?TL4o`204`CoRKH01?oAY004olK000Co:YX00ol0GTD4o`0B:`Co008I1?l05Rl4o`1V?0CoEZP01?oI
S@04onIT00Cob;/00ol8S@04o`19C0Co00LQ1?l011d4o`0e@`Co088?1?ni`P04onMO00Cohfh01?n>
]`03o`1f9`Co02Dj1?l00a/4o`0;9@Co05=<1?lETP04olNn00CogH001?o;]003obRI00Co05]71?l0
42X4o`026@Co01@]1?l0G4H4oaJC00CoUKT01?nb`003oe2V00Co07DX1?l0=484o`0680Co00<K1?l0
73@4o`1MA@Co08H71?lbW003obFH00Co07/M1?l0DTd4o`0D;@Co00<J1?l01Ql4o`0Q=`Co05M:1?l0
LBl4o`1i80?o06hc1?l0E4`4o`0O=PCo00HP1?l00QT4o`098`Co028g1?l0BD`4o`1HB@?o05M:1?l0
@dT4o`0O=@Co00TS1?l00QX4o`036`Co00`V1?l06c<4o`0[?@?o02dn1?l08SP4o`0C;0Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0F;`Co01Xb1?l05Rl4
o`0=:0Co00DO0ol00QT4o`0470Co00`V1?l083H4o`0kA@Co04a=1?l0ADX4o`0[?@Co014[0ol011d4
o`026PCo00XT1?l09cX4o`1DC0Co06Ll1?l0JSP4o`1MAPCo03I30ol03bT4o`036PCo00HO1?l08SL4
o`1KA`Co07dJ1?l9S@04o`2620Co06Pj1?l0<d83o`088PCo008J1?l052d4o`1GBPCo08P31?mOZP04
ogJa00Co99P01?l0JCX3o`0S>0Co00<L1?l01b04o`0nA`Co080C1?n9]P04om6T00Coa/001?lZVP03
o`1NA@Co018[1?l00QT4o`0F;`Co06Hl1?mFZ004omV=00CoiV@01?o8^`03o`R=00Co04U<1?l01b44
o`047@Co03E31?l0PPl4okW200Coiel01?oSKP04ohjg00?o07HW1?l09CX4o`036`Co00/U1?l0Dd`4
oaFB00Coakh01?oMP004ol^d00?o:9T01?l0FdL4o`0@:PCo008I1?l052d4o`1LAPCo5Y<01?nE^@04
ok;000?oD:H01?l0MBP4o`0d@PCo00HP1?l00a/4o`0L=0Co05e51?l0QPL4oc:L00?o9IP01?l0Nad4
o`1BC@Co01@]1?l00aX4o`067`Co024g1?l0EdX4o`1a;`Co07TP0ol0KS<4o`1DC0Co01lf1?l01R04
o`026@Co00TS1?l08SL4o`19C0Co05Q90ol0EdX4o`13B@Co01le1?l02B<4o`026PCo00<K1?l032H4
o`0K<`Co02/m0ol0;Ch4o`0R>0Co01</2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01H_1?l06S84o`0F;`Co00dX1?l01Al3o`026@Co00@L1?l032H4o`0P
=PCo03]51?l0C4d4o`15BPCo02/m1?l04B/3o`047@Co008J1?l02R@4o`0W>PCo05A<1?l0Ic`4o`1Z
>0Co05e61?l0=T<3o`0?:@Co00<J1?l01Ql4o`0R=`Co05]71?l0OAX4o`V=00Co08H81?l0J3X4o`0c
@P?o00PR1?l00QX4o`0D;@Co05M:1?l0R0<4oenZ00CoM[401?lTV004o`1Y>P?o02<h1?l00a`4o`07
80Co03i71?l0P1<4ohVf00CodJ@01?o6`004obZJ00?o05i51?l04R/4o`026@Co01H_1?l0IS`4oeJX
00CofHd01?oVI004olRk00?o28d01?l0BD`4o`078@Co00@M1?l0=D<4o`223`Co^L801?oWG`04on=^
00CoS[L00ol0MRL4o`0U>PCo00<K1?l02bD4o`1CC0Co5I801?o7_P04omf000Cobk@00olXV@04o`1K
A`Co010Z1?l00QT4o`0D;@Co05a61?lFT`04oiFi00Co//000om@YP04o`1e:0Co03A21?l01R04o`03
6`Co01`d1?l0GDD4o`261`Co<Y`00olUV004o`1k7@Co059=1?l052d4o`036PCo00HO1?l08CL4o`1G
BPCo074_1?l0NB03o`1^<`Co05A<1?l07cH4o`0680Co008I1?l02B<4o`0R=`Co04U<1?l0F4T3o`1G
BPCo04=91?l07cD4o`098`Co008J1?l00a/4o`0<9PCo01/c1?l0:cd3o`0]?PCo028h1?l04b`9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Rl4o`0J<PCo
01H_1?l03BP4o`057`?o008I1?l011`4o`0<9PCo020f1?l0>dD4o`1<C@Co04E:1?l0:cd4o`0A:`?o
00@M1?l00QX4o`0:90Co02Lj1?l0E4`4o`1W?0Co06Xh1?l0GDH4o`0f@`?o00lY1?l00aX4o`067`Co
028g1?l0FdL4o`1m6PCo2Hd01?l0QPP4o`1X>PCo03=20ol02284o`026PCo01@]1?l0EdX4o`280`Co
GjX01?mf/@04obBH00Co06Tj0ol08cP4o`0370Co00LP1?l0?TL4o`204`CoRKH01?oAY004olK000Co
:YX00ol0GTD4o`0B:`Co008I1?l05Rl4o`1V?0CoEZP01?oIS@04onIT00Cob;/00ol8S@04o`19C0Co
00LQ1?l011d4o`0e@`Co088?1?ni`P04onMO00Cohfh01?n>]`03o`1f9`Co02Dj1?l00a/4o`0;9@Co
05=<1?lETP04olNn00CogH001?o;]003obRI00Co05]71?l042X4o`026@Co01@]1?l0G4H4oaJC00Co
UKT01?nb`003oe2V00Co07DX1?l0=484o`0680Co00<K1?l073@4o`1MA@Co08H71?lbW003obFH00Co
07/M1?l0DTd4o`0D;@Co00<J1?l01Ql4o`0Q=`Co05M:1?l0LBl4o`1i80?o06hc1?l0E4`4o`0O=PCo
00HP1?l00QT4o`098`Co028g1?l0BD`4o`1HB@?o05M:1?l0@dT4o`0O=@Co00TS1?l00QX4o`036`Co
00`V1?l06c<4o`0[?@?o02dn1?l08SP4o`0C;0Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0E;`Co01Tb1?l05Rl4o`0=9`Co00DO0ol00QT4o`0470Co00`V
1?l07cH4o`0iA@Co04Y<1?l0A4T4o`0Z?@Co014[0ol011d4o`026PCo00XT1?l09SX4o`1CC0Co06Dn
1?l0JCT4o`1LA`Co03I30ol03bT4o`036PCo00DO1?l08CL4o`1JB0Co07/M1?l5S004o`242`Co06Pk
1?l0<d43o`088PCo008J1?l04bd4o`1FB`Co08H81?mHZ004ofn_00Co89H01?l0J3/3o`0S>0Co00@L
1?l01b04o`0lAPCo07hG1?mo/`04olj[00Co`l@01?lVV003o`1MAPCo018/1?l00QT4o`0F;`Co06Dn
1?m>Y@04omJF00Cohfh01?o6`@03o`F<00Co04Q<1?l01b44o`047@Co03=21?l0P1@4ojfo00Coi6X0
1?oPM`04ohNe00?o07DX1?l09CT4o`036`Co00XT1?l0DTd4o`n@00CoaL@01?oJR@04olVi00?o99P0
1?l0FdP4o`0@:PCo008I1?l04bd4o`1KA`Co4I401?n<]`04ojVn00?oBZ@01?l0M2X4o`0c@@Co00HP
1?l00a/4o`0K<`Co05a61?l0Q0/4obbJ00?o89H01?l0NQl4o`1AC@Co01<]1?l00aX4o`067`Co024g
1?l0ET/4o`1`<0Co07PS0ol0KC@4o`1CC0Co01le1?l01R04o`026@Co00TS1?l08CL4o`18B`Co05M:
0ol0ET/4o`11B@Co01he1?l02B<4o`026PCo00<K1?l032H4o`0K<`Co02Xl0ol0;3h4o`0Q=`Co018/
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01D_1?l0
6C84o`0F;`Co00dW1?l01Al3o`026@Co00@L1?l032H4o`0O=PCo03U51?l0BT`4o`14B@Co02Xm1?l0
4B/3o`047@Co008J1?l02R@4o`0V>PCo05=<1?l0ICh4o`1Y>@Co05a71?l0=T<3o`0?:@Co00<J1?l0
1Al4o`0Q=`Co05Y81?l0Nad4o`F<00Co08@;1?l0J3/4o`0c@@?o00PR1?l00QX4o`0C;@Co05I;1?l0
QPP4oeRX00CoKjl01?lPUP04o`1X>`?o02<h1?l011`4o`0780Co03a61?l0OQL4ognc00CocZ/01?o3
a004obJH00?o05e61?l04R`4o`026@Co01H_1?l0ICh4odjU00CoeYH01?oSKP04olK100?o1H`01?l0
B4`4o`078@Co00@M1?l0<d84o`2050Co[Kl01?oTJP04on1g00CoQkD00ol0MBP4o`0U>@Co00<K1?l0
2R@4o`1BC@Co3i001?o5a004omZ900CobKT00olTV004o`1KB0Co010Z1?l00QT4o`0C;@Co05]71?lA
T@04ohbg00CoZKh00om:Y004o`1d:PCo03=11?l01R04o`036`Co01/c1?l0G4H4o`242`Co;9X00olP
UP04o`1j7`Co055=1?l04bd4o`036PCo00HO1?l08CL4o`1FB`Co070`1?l0N2<3o`1]=0Co05=<1?l0
7cD4o`0680Co008I1?l02B<4o`0Q=`Co04Q;1?l0EdX3o`1FB`Co04591?l07SD4o`098`Co008J1?l0
0a/4o`0<9PCo01/c1?l0:S`3o`0/?PCo024g1?l04R`9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l05Bl4o`0I<PCo01H_1?l03BL4o`057`?o008I1?l011`4
o`0<9PCo01lf1?l0>DD4o`1:C0Co04A91?l0:Sd4o`0A:`?o00@M1?l00QX4o`0:90Co02Hj1?l0Dd`4
o`1U?PCo06Ti1?l0G4L4o`0f@`?o00lY1?l00aX4o`057`Co024g1?l0FTP4o`1k7@Co1H`01?l0Q0/4
o`1X>`Co03=10ol02284o`026PCo01<]1?l0ET/4o`2620CoF:P01?m_[`04ob2F00Co06Pk0ol08cP4
o`0470Co00LP1?l0?4H4o`1n5`CoOk<01?o>Z`04ol?400Co9YP00ol0GDH4o`0B;0Co008I1?l05Rl4
o`1U?PCoCZD01?oFUP04on=^00Coa/400ol5S004o`18C0Co00LQ1?l011d4o`0c@PCo080D1?n]_`04
onAZ00Coh7L01?n7]@03o`1e:0Co02Di1?l00a/4o`0:90Co059=1?l?T004olG400CofXT01?o9^@03
obBH00Co05]81?l042X4o`026@Co01<]1?l0FdL4oa6A00CoS;L01?nY_P03odZT00Co07@Z1?l0<d44
o`0680Co00<K1?l06c<4o`1LAPCo08@;1?l/VP03ob2F00Co07XO1?l0DDd4o`0C;@Co00<J1?l01Ql4
o`0Q=`Co05I;1?l0L304o`1h8`?o06dd1?l0Dd`4o`0O=@Co00HP1?l00QT4o`098`Co024g1?l0B4/4
o`1GBP?o05I;1?l0@DT4o`0N=@Co00TS1?l00QX4o`036`Co00`V1?l06c<4o`0Z?0?o02`n1?l08CL4
o`0B;0Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0E
;`Co01Tb1?l05Rl4o`0=9`Co00DO0ol00QT4o`0470Co00`V1?l07cH4o`0iA@Co04Y<1?l0A4T4o`0Z
?@Co014[0ol011d4o`026PCo00XT1?l09SX4o`1CC0Co06Dn1?l0JCT4o`1LA`Co03I30ol03bT4o`03
6PCo00DO1?l08CL4o`1JB0Co07/M1?l5S004o`242`Co06Pk1?l0<d43o`088PCo008J1?l04bd4o`1F
B`Co08H81?mHZ004ofn_00Co89H01?l0J3/3o`0S>0Co00@L1?l01b04o`0lAPCo07hG1?mo/`04olj[
00Co`l@01?lVV003o`1MAPCo018/1?l00QT4o`0F;`Co06Dn1?m>Y@04omJF00Cohfh01?o6`@03o`F<
00Co04Q<1?l01b44o`047@Co03=21?l0P1@4ojfo00Coi6X01?oPM`04ohNe00?o07DX1?l09CT4o`03
6`Co00XT1?l0DTd4o`n@00CoaL@01?oJR@04olVi00?o99P01?l0FdP4o`0@:PCo008I1?l04bd4o`1K
A`Co4I401?n<]`04ojVn00?oBZ@01?l0M2X4o`0c@@Co00HP1?l00a/4o`0K<`Co05a61?l0Q0/4obbJ
00?o89H01?l0NQl4o`1AC@Co01<]1?l00aX4o`067`Co024g1?l0ET/4o`1`<0Co07PS0ol0KC@4o`1C
C0Co01le1?l01R04o`026@Co00TS1?l08CL4o`18B`Co05M:0ol0ET/4o`11B@Co01he1?l02B<4o`02
6PCo00<K1?l032H4o`0K<`Co02Xl0ol0;3h4o`0Q=`Co018/2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01D^1?l06C44o`0E;`Co00dW1?l01Ah3o`026@Co
00<L1?l032H4o`0O=@Co03Q41?l0B4`4o`12B@Co02Tl1?l04B/3o`047@Co008J1?l02R@4o`0U>@Co
059=1?l0I3l4o`1X>`Co05]71?l0=D83o`0>:@Co00<J1?l01Ah4o`0P=PCo05U91?l0NR04o`6:00Co
08<>1?l0Ic`4o`0b@@?o00PR1?l00QX4o`0C;0Co05E;1?l0Q0`4oe2V00CoIjd01?lLU004o`1W>`?o
02<h1?l011`4o`0680Co03U51?l0O1/4ogFa00Coc;<01?ni`P04ob:G00?o05e61?l04R`4o`026@Co
01D^1?l0Hd04odFS00Codil01?oPN004ol;400?o0X/01?l0B4/4o`078@Co00@L1?l0<D04o`1n60Co
XK`01?oQM@04omf000CoP;<00ol0M2T4o`0U>@Co00<K1?l02R@4o`1AC@Co2Xh01?ni`P04omNB00Co
akl00olPUP04o`1JB0Co010Z1?l00QT4o`0B;0Co05Y81?l<SP04oh:d00CoWk/00om3XP04o`1c:`Co
03911?l01R04o`036`Co01/c1?l0FdL4o`223`Co9iP00olKU004o`1i8PCo055=1?l04bd4o`036PCo
00HO1?l083H4o`1EB`Co06hb1?l0MbD3o`1[=PCo059=1?l07SD4o`067`Co008I1?l02B<4o`0P=`Co
04I;1?l0ETX3o`1EB`Co04181?l07C@4o`098`Co008J1?l00a/4o`0;9PCo01/c1?l0:C`3o`0[?@Co
024g1?l04R`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l05Bh4o`0I<@Co01D_1?l03BL4o`057P?o008I1?l00a`4o`0<9PCo01le1?l0>4@4o`18C0Co0499
1?l0:C`4o`0A:`?o00@M1?l00QX4o`0:90Co02Di1?l0DTd4o`1T?`Co06Pk1?l0FdL4o`0e@P?o00hY
1?l00aX4o`057PCo020f1?l0FDT4o`1j80Co0HX01?l0P`h4o`1W?0Co03910ol02284o`026PCo01</
1?l0ED/4o`2430CoD:H01?mW[@04oabD00Co06Lk0ol08cP4o`0470Co00HP1?l0>DD4o`1l6`CoMK40
1?o</`04okW200Co8YL00ol0GDH4o`0B;0Co008I1?l05Bh4o`1S@0CoAJ<01?oCW`04on1h00Co`/@0
0ol2R`04o`18B`Co00LQ1?l011`4o`0a@0Co07hH1?nQ_004on5e00CogH001?n0/`03o`1d:@Co02Di
1?l00a/4o`0:90Co055=1?l:SP04okW200Coei801?o7_`03ob2F00Co05Y81?l042X4o`026@Co018/
1?l0FTP4o`b>00CoP[@01?nO^`03od>R00Co07<[1?l0<T44o`0680Co00<K1?l06c<4o`1KA`Co088?
1?lWV003oa^D00Co07TR1?l0DDd4o`0C;@Co00<J1?l01Ql4o`0P=PCo05E;1?l0KS84o`1g9@?o06/f
1?l0DTd4o`0N=@Co00HO1?l00QT4o`098`Co020g1?l0AT/4o`1FBP?o05E;1?l0@4P4o`0M=0Co00TS
1?l00QX4o`036`Co00/V1?l06c<4o`0Y?0?o02/m1?l08CL4o`0B;0Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0E;PCo01Ta1?l05Bl4o`0=9`Co00DN0ol0
0QT4o`0370Co00`V1?l07cD4o`0hA0Co04Q<1?l0@TT4o`0Y?0Co014[0ol011d4o`026PCo00XT1?l0
9CT4o`1BC@Co06@o1?l0J3/4o`1KA`Co03E20ol03RT4o`036PCo00DN1?l083H4o`1IB@Co07XP1?l1
RP04o`233PCo06Ll1?l0<T43o`088PCo008J1?l04b`4o`1EB`Co08@<1?m@YP04ofN]00Co79@01?l0
Ic/3o`0S>0Co00@L1?l01R04o`0iA@Co07`K1?me/@04olbc00Co^L801?lRU`03o`1MAPCo018/1?l0
0QT4o`0E;PCo06=01?m5X`04om>O00Coh7P01?o2a003o`:;00Co04Q;1?l01b44o`0470Co03501?l0
OQP4oj6l00CohGD01?oMP004oh2c00?o07@Y1?l09CT4o`036`Co00XT1?l0DDd4o`Z>00Co^L801?oG
TP04olNo00?o89H01?l0FTP4o`0@:PCo008I1?l04R`4o`1JB0Co38h01?n2]004oink00?o@j801?l0
Lb/4o`0b@@Co00HP1?l00a/4o`0K<`Co05]71?l0PPl4obNH00?o6i@01?l0NB84o`1AC@Co01<]1?l0
0aX4o`067`Co020f1?l0ED/4o`1^<PCo07LU0ol0JcH4o`1BC@Co01he1?l01Ql4o`026@Co00TS1?l0
83L4o`16B`Co05I:0ol0ED/4o`10B0Co01dd1?l02B<4o`026PCo00<K1?l02bH4o`0K<`Co02Tl0ol0
:cd4o`0Q=`Co018/2Oooool00ol0003oooooooooo`02ooooo`006oooool3o`0000Oooooo1?l05Bh4
o`0I<@Co01D_1?l03BL4o`057P?o008I1?l00a`4o`0<9PCo01le1?l0>4@4o`18C0Co04991?l0:C`4
o`0A:`?o00@M1?l00QX4o`0:90Co02Di1?l0DTd4o`1T?`Co06Pk1?l0FdL4o`0e@P?o00hY1?l00aX4
o`057PCo020f1?l0FDT4o`1j80Co0HX01?l0P`h4o`1W?0Co03910ol02284o`026PCo01</1?l0ED/4
o`2430CoD:H01?mW[@04oabD00Co06Lk0ol08cP4o`0470Co00HP1?l0>DD4o`1l6`CoMK401?o</`04
okW200Co8YL00ol0GDH4o`0B;0Co008I1?l05Bh4o`1S@0CoAJ<01?oCW`04on1h00Co`/@00ol2R`04
o`18B`Co00LQ1?l011`4o`0a@0Co07hH1?nQ_004on5e00CogH001?n0/`03o`1d:@Co02Di1?l00a/4
o`0:90Co055=1?l:SP04okW200Coei801?o7_`03ob2F00Co05Y81?l042X4o`026@Co018/1?l0FTP4
o`b>00CoP[@01?nO^`03od>R00Co07<[1?l0<T44o`0680Co00<K1?l06c<4o`1KA`Co088?1?lWV003
oa^D00Co07TR1?l0DDd4o`0C;@Co00<J1?l01Ql4o`0P=PCo05E;1?l0KS84o`1g9@?o06/f1?l0DTd4
o`0N=@Co00HO1?l00QT4o`098`Co020g1?l0AT/4o`1FBP?o05E;1?l0@4P4o`0M=0Co00TS1?l00QX4
o`036`Co00/V1?l06c<4o`0Y?0?o02/m1?l08CL4o`0B;0Oooooo0ol00004ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01D^1?l06344o`0E;PCo00dW1?l01Ah3o`026@Co00<L1?l02bH4o`0N
=@Co03M31?l0AT/4o`10B0Co02Tl1?l04B/3o`047@Co008I1?l02B@4o`0T>@Co055=1?l0Hd04o`1W
?0Co05Y81?l0=483o`0>:0Co00<J1?l01Ah4o`0O=@Co05Q:1?l0N2<4o`280PCo084A1?l0ISd4o`0a
@0?o00PR1?l00QT4o`0B;0Co05A<1?l0PQ04odRS00CoGjX01?lGT`04o`1V?0?o028h1?l011`4o`06
80Co03M41?l0NQl4of^^00CobKX01?n__`04oajE00?o05a61?l04R`4o`026@Co01@]1?l0HD84ocbP
00CocjT01?oMPP04okS200?o08T01?l0Ad/4o`078@Co00@L1?l0;cl4o`1l70CoU;T01?oMP004omZ9
00CoN;400ol0Lb/4o`0U>@Co00<K1?l02B@4o`1?CPCo18/01?n/_`04omBK00Co`/@00olKU004o`1I
B@Co010Z1?l00QT4o`0B;0Co05Q91?l7S004ogRa00CoU;T00olmX004o`1b;@Co03501?l01R04o`03
6`Co01Xb1?l0FTP4o`214PCo8IH00olFTP04o`1g9@Co051>1?l04b`4o`036PCo00HO1?l07cH4o`1D
C0Co06dd1?l0MBP3o`1Z>0Co055=1?l07C@4o`067`Co008I1?l02B<4o`0P=PCo04E:1?l0ED/3o`1D
C0Co03i71?l073@4o`098`Co008J1?l00a/4o`0;9PCo01Xb1?l0:3/3o`0Z?@Co020f1?l04B/9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l05Bh4o`0H<@Co
01D^1?l03BL4o`057P?o008I1?l00a`4o`0;9PCo01he1?l0=d<4o`16B`Co04181?l0:C`4o`0A:`?o
00@M1?l00QT4o`0990Co02@i1?l0DDd4o`1S@0Co06Ll1?l0FTP4o`0d@P?o00hX1?l00aX4o`057PCo
01le1?l0F4X4o`1h8`Co08P21?l0PA44o`1V?@Co03500ol02284o`026@Co018/1?l0E4`4o`2240Co
B:<01?mOZP04oaNC00Co06Hl0ol08SP4o`0470Co00HP1?l0=d@4o`1j7`CoJjh01?o9^P04ojno00Co
7YD00ol0G4H4o`0B;0Co008I1?l052d4o`1Q@PCo?:001?o?Z@04omf200Co^<800ol0R@04o`17B`Co
00LQ1?l011`4o`0_?`Co07`L1?nD^@04omf000CofXT01?mh/@03o`1c:`Co02Di1?l00a/4o`0990Co
04m>1?l4R`04ojbo00Coe9/01?o2a003oa^D00Co05U91?l042X4o`026@Co018/1?l0F4T4o`N<00Co
N;401?nD^@03ocfP00Co078]1?l0<D04o`0680Co00<K1?l06S84o`1JB0Co084B1?lQUP03oaJB00Co
07LU1?l0D4h4o`0C;0Co00<J1?l01Ql4o`0O=PCo05A<1?l0KC@4o`1e:0?o06Xh1?l0DDd4o`0M=0Co
00HO1?l00QT4o`098`Co020f1?l0ADX4o`1EB`?o05A<1?l0?TL4o`0L=0Co00TS1?l00QX4o`036`Co
00/V1?l06S84o`0X>`?o02Xm1?l083H4o`0A:`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0E;PCo01Pa1?l05Bh4o`0=9`Co00DN0ol00QT4o`0370Co00/V
1?l07SD4o`0g@`Co04I;1?l0@4P4o`0Y?0Co014[0ol011d4o`026@Co00TT1?l093T4o`1AC@Co06=0
1?l0Ic`4o`1JB0Co03A20ol03RP4o`036PCo00DN1?l07cD4o`1HBPCo07PS1?l0R084o`214@Co06Hm
1?l0<D03o`088PCo008I1?l04R`4o`1DC0Co088@1?m8X`04oenZ00Co5i<01?l0IS`3o`0R>0Co00@L
1?l01R04o`0gA0Co07XO1?m[[P04olVj00Co[kl01?lNU@03o`1LAPCo018/1?l00QT4o`0D;@Co0652
1?llX004olnY00CogH801?nh`P03o`2900Co04M;1?l01b44o`0470Co02lo1?l0O1`4oiBi00CogH00
1?oJR@04ogRa00?o07<[1?l09CT4o`036`Co00TT1?l0Cdh4o`B;00Co[;l01?oDV`04ol;400?o6i@0
1?l0FDT4o`0@:PCo008I1?l04R`4o`1HB@Co1h`01?mh/@04oiBi00?o?J001?l0LRd4o`0a@0Co00HP
1?l00a/4o`0J<PCo05Y81?l0PA84ob6F00?o5Y801?l0MbD4o`1@CPCo01</1?l00aX4o`067`Co01lf
1?l0E4`4o`1]=0Co07DX0ol0JSP4o`1AC@Co01dd1?l01Ql4o`026@Co00TS1?l083H4o`15BPCo05E;
0ol0E4`4o`0nA`Co01`d1?l02B<4o`026PCo00<K1?l02bH4o`0J<PCo02Pk0ol0:Sd4o`0P=PCo014[
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01D^1?l0
6344o`0E;PCo00dW1?l01Ah3o`026@Co00<L1?l02bH4o`0N=@Co03M31?l0AT/4o`10B0Co02Tl1?l0
4B/3o`047@Co008I1?l02B@4o`0T>@Co055=1?l0Hd04o`1W?0Co05Y81?l0=483o`0>:0Co00<J1?l0
1Ah4o`0O=@Co05Q:1?l0N2<4o`280PCo084A1?l0ISd4o`0a@0?o00PR1?l00QT4o`0B;0Co05A<1?l0
PQ04odRS00CoGjX01?lGT`04o`1V?0?o028h1?l011`4o`0680Co03M41?l0NQl4of^^00CobKX01?n_
_`04oajE00?o05a61?l04R`4o`026@Co01@]1?l0HD84ocbP00CocjT01?oMPP04okS200?o08T01?l0
Ad/4o`078@Co00@L1?l0;cl4o`1l70CoU;T01?oMP004omZ900CoN;400ol0Lb/4o`0U>@Co00<K1?l0
2B@4o`1?CPCo18/01?n/_`04omBK00Co`/@00olKU004o`1IB@Co010Z1?l00QT4o`0B;0Co05Q91?l7
S004ogRa00CoU;T00olmX004o`1b;@Co03501?l01R04o`036`Co01Xb1?l0FTP4o`214PCo8IH00olF
TP04o`1g9@Co051>1?l04b`4o`036PCo00HO1?l07cH4o`1DC0Co06dd1?l0MBP3o`1Z>0Co055=1?l0
7C@4o`067`Co008I1?l02B<4o`0P=PCo04E:1?l0ED/3o`1DC0Co03i71?l073@4o`098`Co008J1?l0
0a/4o`0;9PCo01Xb1?l0:3/3o`0Z?@Co020f1?l04B/9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l052h4o`0H<0Co01@^1?l032L4o`057P?o008I1?l00a/4
o`0;9@Co01dd1?l0=D84o`14BPCo03m71?l0:3/4o`0@:P?o00@M1?l00QT4o`098`Co02<h1?l0D4h4
o`1R@@Co06Dn1?l0FDT4o`0c@@?o00hX1?l00aX4o`057PCo01he1?l0EdX4o`1f9PCo08H71?l0P1D4
o`1T?`Co03500ol02284o`026@Co014[1?l0DTd4o`2050Co@:401?mGZ004oa:A00Co06Dm0ol08SP4
o`0470Co00HO1?l0=D84o`1h8`CoHJ/01?o6`P04ojBm00Co6Y@00ol0FdL4o`0B;0Co008I1?l04bd4
o`1OA0Co=9d01?o</P04omV<00Co[[l00ol0R0<4o`16B`Co00LQ1?l011`4o`0]?PCo07XP1?n8]P04
omZ;00Coei801?m`[`03o`1b;0Co02@i1?l00a/4o`098`Co04e>1?l0R@44oink00CodJ@01?ng`@03
oaNC00Co05U91?l042X4o`026@Co014[1?l0EdX4o`6:00CoKZl01?n:]P03ocJN00Co070_1?l0<404
o`0680Co00<K1?l06C84o`1IB@Co07lF1?lKU003oa6@00Co07DW1?l0Cdh4o`0B;0Co00<J1?l01Al4
o`0O=@Co05=<1?l0JcH4o`1c:P?o06Tj1?l0D4h4o`0L=0Co00HO1?l00QT4o`098`Co01lf1?l0@dT4
o`1DC0?o05=<1?l0?4H4o`0K<`Co00PR1?l00QX4o`036`Co00/U1?l06S84o`0W>`?o02Tl1?l07cH4
o`0A:`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0D
;PCo01P`1?l052h4o`0<9`Co00DN0ol00QT4o`036`Co00/U1?l07C@4o`0e@PCo04A:1?l0?dL4o`0X
>`Co010Z0ol011d4o`026@Co00TS1?l08cP4o`1@CPCo06911?l0ICh4o`1IB@Co03=10ol03RP4o`03
6PCo00DN1?l07SD4o`1GBPCo07HV1?l0QPL4o`205@Co06@o1?l0<D03o`088PCo008I1?l04B/4o`1B
C@Co080D1?m0X@04oeNX00Co4Y401?l0ICd3o`0R>0Co00@L1?l01Ql4o`0e@PCo07PS1?mQZ`04olK2
00CoY;d01?lJU003o`1KA`Co018/1?l00QT4o`0C;@Co05m41?ldW@04olbb00CofH`01?n^_`03o`28
0`Co04I;1?l01b44o`0470Co02dn1?l0NR04ohRf00CofX/01?oGTP04og2_00?o078/1?l093T4o`03
6`Co00TS1?l0CDh4o`290@CoWk/01?oAY004okO100?o5i<01?l0FDT4o`0@:PCo008I1?l04B/4o`1G
BPCo0HX01?m^[`04ohZf00?o=Yh01?l0L2l4o`0`@0Co00HP1?l00a/4o`0I<PCo05U91?l0OaH4oa^D
00?o4I001?l0MBL4o`1?CPCo018/1?l00aX4o`057`Co01le1?l0Dd`4o`1[=PCo07<Z0ol0JCX4o`1@
CPCo01`d1?l01Ql4o`026@Co00TS1?l07cH4o`13B@Co05A<0ol0Dd`4o`0lAPCo01/c1?l02284o`02
6PCo00<K1?l02bD4o`0J<PCo02Lk0ol0:C`4o`0O=PCo014[2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co01@^1?l06304o`0D;PCo00`W1?l01Ah3o`026@Co
00<K1?l02bD4o`0M=0Co03E21?l0A4X4o`0oA`Co02Pk1?l042X3o`047@Co008I1?l02B<4o`0S>0Co
051>1?l0HT44o`1U?PCo05U91?l0<d43o`0>:0Co00<J1?l01Ah4o`0N=@Co05M:1?l0MRH4o`261`Co
080E1?l0I3l4o`0a@0?o00PR1?l00QT4o`0A:`Co059=1?l0P1@4od2Q00CoEjP01?lBT@04o`1U?@?o
028h1?l011`4o`067`Co03E21?l0N2<4of6[00Coa/801?nT_@04oaZD00?o05]71?l04R`4o`026@Co
01<]1?l0Gd@4ocBM00Coc;801?oIS004ojjo00?o08P31?l0AT/4o`078@Co00@L1?l0;Ch4o`1j80Co
R;H01?oJR`04omNB00CoL:l00ol0LR`4o`0T>@Co00<K1?l02B<4o`1=CPCo08T11?nO^`04om6T00Co
]l400olGT`04o`1IB@Co010Z1?l00QT4o`0A:`Co05M:1?l1RP04ofj_00CoR[H00olfWP04o`1`;`Co
03101?l01R04o`036`Co01Tb1?l0FDT4o`1o5PCo6i@00olAT004o`1e9`Co04m>1?l04R`4o`036PCo
00DO1?l07cD4o`1CC0Co06/f1?l0LbX3o`1Y>PCo051>1?l073@4o`067`Co008I1?l02B<4o`0O=PCo
04=91?l0E4`3o`1CC0Co03a61?l06c<4o`088PCo008J1?l00a/4o`0;9@Co01Xb1?l09c/3o`0Y?0Co
01lf1?l04B/9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l052d4o`0G<0Co01@]1?l032L4o`057P?o008I1?l00a/4o`0;9@Co01`d1?l0=484o`13B@Co03e6
1?l09cX4o`0@:P?o00@M1?l00QT4o`098`Co028g1?l0Cdh4o`1P@`Co06@o1?l0F4X4o`0a@@?o00hX
1?l00aX4o`057PCo01dd1?l0ED/4o`1d:@Co08@;1?l0OQP4o`1S@0Co03100ol02284o`026@Co014[
1?l0DDd4o`1n6@Co>9h01?m>Y@04o`j?00Co06@o0ol08SL4o`0470Co00HO1?l0<d44o`1f9PCoEjP0
1?nl`P04oiZj00Co5I800ol0FdL4o`0B;0Co008I1?l04R`4o`1NA@Co:iX01?o9^`04omJF00CoXkd0
0ol0Q`H4o`16BPCo00LQ1?l011`4o`0[?@Co07LT1?mk/P04omJF00Coe9`01?mX[@03o`1a;PCo02@i
1?l00a/4o`098`Co04Y=1?l0QPH4oi:h00CocZd01?n[_P03oa:A00Co05Q:1?l042X4o`026@Co014[
1?l0ET/4o`280`CoI:`01?mo/`03oc2L00Co06la1?l0;cl4o`0680Co00<K1?l06344o`1GBPCo07dJ
1?lETP03o`^>00Co07@Z1?l0CDh4o`0B;0Co00<J1?l01Ah4o`0N=@Co059=1?l0JSP4o`1b;@?o06Ll
1?l0Cdh4o`0K<`Co00HO1?l00QT4o`098`Co01le1?l0@DP4o`1CC0?o059=1?l0>TD4o`0K<`Co00PR
1?l00QX4o`036`Co00/U1?l06C84o`0V>P?o02Pk1?l07SD4o`0@:PWooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0D;@Co01L`1?l052d4o`0<9`Co00DN0ol0
0QT4o`036`Co00/U1?l073@4o`0d@PCo04=91?l0?DH4o`0W>PCo010Z0ol011d4o`026@Co00TS1?l0
8SL4o`1?CPCo06131?l0I3l4o`1HBPCo03510ol03RP4o`036PCo00DN1?l07C@4o`1EB`Co07@Y1?l0
Q0/4o`1n60Co06=01?l0<403o`088PCo008I1?l04B/4o`1AC@Co07hI1?lhWP04odjU00Co3Xl01?l0
I3l3o`0R=`Co00@L1?l01Ql4o`0c@@Co07HV1?mGZ004okc200CoV[X01?lETP03o`1KA`Co018/1?l0
0QT4o`0B;0Co05i51?l[VP04olVk00CoeYH01?nS_@03o`271PCo04I:1?l01b44o`0470Co02/m1?l0
Mb@4og^b00CoeYH01?oDW004ofR]00?o074^1?l093T4o`036`Co00TS1?l0BTd4o`261PCoT[P01?o>
[@04oj^n00?o4Y401?l0F4X4o`0@:PCo008I1?l04B/4o`1FB`Co08P31?mT[004ognc00?o<9`01?l0
Kc44o`0_?`Co00HP1?l00a/4o`0H<@Co05M:1?l0OAX4oaFB00?o2hh01?l0M2X4o`1=CPCo018/1?l0
0aX4o`057PCo01he1?l0DTd4o`1Z>0Co078]0ol0Ic`4o`1?CPCo01/c1?l01Ql4o`026@Co00TS1?l0
7cD4o`11B0Co05=<0ol0DTd4o`0jA@Co01/c1?l02284o`026PCo00<K1?l02bD4o`0I<PCo02Hj0ol0
:3/4o`0N=@Co010Z2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co01@]1?l05c04o`0D;@Co00`W1?l01Ah3o`026@Co00<K1?l02bD4o`0L=0Co03A21?l0@dT4
o`0mAPCo02Lj1?l042X3o`047@Co008I1?l02B<4o`0R=`Co04m>1?l0H4<4o`1T?`Co05Q:1?l0<D43
o`0>:0Co00<J1?l01Ah4o`0M=0Co05E;1?l0M2T4o`242`Co07hH1?l0Hd04o`0`@0?o00PR1?l00QT4
o`0A:`Co055=1?l0OQT4ocRN00CoCZD01?l>S`04o`1T?`?o028g1?l011`4o`067`Co03=11?l0MRH4
oeNX00Co_<801?nJ^P04oaFB00?o05]71?l04R`4o`026@Co018/1?l0GTD4ob^J00CobK/01?oFUP04
oj>m00?o08L61?l0ATX4o`078@Co00@L1?l0:cd4o`1g90CoNk801?oFUP04omBL00CoJ:d00ol0LBh4
o`0T>@Co00<K1?l02B<4o`1:C@Co08H61?nB^004olj]00CoZkh00olBT@04o`1HBPCo010Z1?l00QT4
o`0A:`Co05I;1?l0R0<4ofB/00CoOk<00ol`W004o`1_<@Co02lo1?l01R04o`036`Co01Pa1?l0EdX4
o`1m6PCo5I800ol;SP04o`1d:PCo04e>1?l04R`4o`036PCo00DN1?l07SD4o`1BC@Co06Xh1?l0LRd3
o`1W?0Co04m>1?l06c<4o`067`Co008I1?l02B<4o`0O=@Co04581?l0Dd`3o`1BC@Co03Y51?l06c<4
o`088PCo008J1?l00a/4o`0;9@Co01Tb1?l09SX3o`0X>`Co01he1?l042X9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l052d4o`0G<0Co01@]1?l032L4o`05
7P?o008I1?l00a/4o`0;9@Co01`d1?l0=484o`13B@Co03e61?l09cX4o`0@:P?o00@M1?l00QT4o`09
8`Co028g1?l0Cdh4o`1P@`Co06@o1?l0F4X4o`0a@@?o00hX1?l00aX4o`057PCo01dd1?l0ED/4o`1d
:@Co08@;1?l0OQP4o`1S@0Co03100ol02284o`026@Co014[1?l0DDd4o`1n6@Co>9h01?m>Y@04o`j?
00Co06@o0ol08SL4o`0470Co00HO1?l0<d44o`1f9PCoEjP01?nl`P04oiZj00Co5I800ol0FdL4o`0B
;0Co008I1?l04R`4o`1NA@Co:iX01?o9^`04omJF00CoXkd00ol0Q`H4o`16BPCo00LQ1?l011`4o`0[
?@Co07LT1?mk/P04omJF00Coe9`01?mX[@03o`1a;PCo02@i1?l00a/4o`098`Co04Y=1?l0QPH4oi:h
00CocZd01?n[_P03oa:A00Co05Q:1?l042X4o`026@Co014[1?l0ET/4o`280`CoI:`01?mo/`03oc2L
00Co06la1?l0;cl4o`0680Co00<K1?l06344o`1GBPCo07dJ1?lETP03o`^>00Co07@Z1?l0CDh4o`0B
;0Co00<J1?l01Ah4o`0N=@Co059=1?l0JSP4o`1b;@?o06Ll1?l0Cdh4o`0K<`Co00HO1?l00QT4o`09
8`Co01le1?l0@DP4o`1CC0?o059=1?l0>TD4o`0K<`Co00PR1?l00QX4o`036`Co00/U1?l06C84o`0V
>P?o02Pk1?l07SD4o`0@:PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0C;@Co01L`1?l052d4o`0<9PCo00DN0ol00QT4o`036`Co00/U1?l073<4o`0b@@Co
04581?l0>dH4o`0V>PCo010Z0ol011d4o`026@Co00TS1?l08CL4o`1=CPCo05m41?l0Hd44o`1GBPCo
03100ol03RP4o`036PCo00DN1?l073<4o`1DC0Co078/1?l0PPl4o`1l6`Co06911?l0;cl3o`088PCo
008I1?l042X4o`1@CPCo07/M1?l`W004odJS00Co2Hd01?l0Hd03o`0Q=`Co00@L1?l01Ql4o`0a@0Co
07@Z1?m<Y@04ojjo00CoSkL01?lAT003o`1JB0Co018/1?l00QT4o`0A:`Co05a71?lSU`04olG300Co
dj001?nI^P03o`252@Co04E:1?l02244o`0470Co02Tl1?l0MBP4ofn_00CodZ001?oAY@04of2[00?o
070`1?l093T4o`036`Co00PR1?l0Ad/4o`2430CoQKD01?o:]P04oinl00?o3Hl01?l0EdX4o`0@:PCo
008I1?l042X4o`1DC0Co08D81?mJZ@04ogB`00?o:IT01?l0KC<4o`0^?`Co00HO1?l00a/4o`0H<0Co
05I;1?l0Nad4o`n@00?o1X`01?l0LRd4o`1;C@Co014[1?l00aX4o`057PCo01dd1?l0DDd4o`1Y>PCo
070`0ol0ISd4o`1=CPCo01/c1?l01Ql4o`026@Co00TR1?l07SD4o`10B0Co059=0ol0DDd4o`0hA0Co
01Xb1?l02284o`026PCo00<K1?l02bD4o`0I<@Co02Dj0ol09c/4o`0M=0Co010Z2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01<]1?l05c04o`0D;@Co00`V
1?l01Ah3o`026@Co00<K1?l02bD4o`0L<`Co03911?l0@DP4o`0kAPCo02Hj1?l042X3o`047@Co008I
1?l02B<4o`0Q=`Co04e>1?l0Gd@4o`1S@@Co05M:1?l0<403o`0>:0Co00<J1?l01Ah4o`0L<`Co05A<
1?l0LR`4o`223`Co07`K1?l0HT44o`0_?`?o00PR1?l00QT4o`0@:PCo051>1?l0Nad4oc2L00CoAZ<0
1?l9S@04o`1S@0?o024g1?l011`4o`067`Co03501?l0M2X4odbU00Co[[l01?n?]`04oa6@00?o05Y8
1?l04R`4o`026@Co014[1?l0G4L4ob>G00CoaL<01?oCX004oiVj00?o08D91?l0ADX4o`088@Co00@L
1?l0:C`4o`1e:0CoKjl01?oBX004om6U00CoH:/00ol0L304o`0T>@Co00<K1?l02284o`17B`Co08@<
1?n5]@04olZf00CoWk`00ol=S`04o`1GBPCo010Z1?l00QT4o`0@:PCo05A<1?l0Q@P4oeZY00CoM;00
0olYV@04o`1]<`Co02ho1?l01Ql4o`036`Co01P`1?l0ET/4o`1k7@Co3i000ol6S004o`1b;@Co04]=
1?l04B/4o`036PCo00DN1?l07C@4o`1AC@Co06Tj1?l0L303o`1V?@Co04e>1?l06c<4o`067`Co008I
1?l02B84o`0N=@Co04181?l0DTd3o`1AC@Co03Q41?l06S84o`088PCo008J1?l00a/4o`0;9@Co01Ta
1?l09CX3o`0W>`Co01dd1?l042X9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l04bd4o`0G<0Co01@]1?l032H4o`057P?o008I1?l00a/4o`0;9@Co01`c1?l0
<T44o`11B0Co03]61?l09SX4o`0@:P?o00@M1?l00QT4o`098`Co024g1?l0CDh4o`1OA0Co06=11?l0
EdX4o`0`@0?o00hX1?l00aX4o`057PCo01`c1?l0E4`4o`1b;0Co088?1?l0O1/4o`1R@@Co02lo0ol0
2284o`026@Co010Z1?l0D4h4o`1k7@Co<9`01?m6X`04o`V=00Co06=00ol08CL4o`0470Co00HO1?l0
<D04o`1d:PCoC:D01?n^_`04ohng00Co4I000ol0FTP4o`0B;0Co008I1?l04B/4o`1LA`Co8iL01?o5
``04om>P00CoVKX00ol0Q@T4o`15BPCo00PQ1?l011`4o`0Y?0Co07DX1?m_[`04om:P00CodJD01?mP
Z`03o`1`<0Co02@i1?l00a/4o`088PCo04M;1?l0Q0`4ohFe00Cob[H01?nO_003o`f?00Co05M:1?l0
42X4o`026@Co010Z1?l0E4`4o`2520CoFZT01?md/003obVI00Co06dc1?l0;Sl4o`067`Co00<K1?l0
6304o`1FB`Co07/M1?l?T003o`J<00Co078]1?l0Bdd4o`0A:`Co00<J1?l01Ah4o`0M=0Co055=1?l0
JCX4o`1`<0?o06Hm1?l0CDh4o`0K<`Co00HO1?l00QT4o`098PCo01he1?l0@4P4o`1BC@?o055=1?l0
>4@4o`0J<PCo00PR1?l00QX4o`036`Co00/U1?l06C44o`0U>P?o02Lk1?l07C@4o`0@:PWooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0C;@Co01L`1?l052d4
o`0<9PCo00DN0ol00QT4o`036`Co00/U1?l073<4o`0b@@Co04581?l0>dH4o`0V>PCo010Z0ol011d4
o`026@Co00TS1?l08CL4o`1=CPCo05m41?l0Hd44o`1GBPCo03100ol03RP4o`036PCo00DN1?l073<4
o`1DC0Co078/1?l0PPl4o`1l6`Co06911?l0;cl3o`088PCo008I1?l042X4o`1@CPCo07/M1?l`W004
odJS00Co2Hd01?l0Hd03o`0Q=`Co00@L1?l01Ql4o`0a@0Co07@Z1?m<Y@04ojjo00CoSkL01?lAT003
o`1JB0Co018/1?l00QT4o`0A:`Co05a71?lSU`04olG300Codj001?nI^P03o`252@Co04E:1?l02244
o`0470Co02Tl1?l0MBP4ofn_00CodZ001?oAY@04of2[00?o070`1?l093T4o`036`Co00PR1?l0Ad/4
o`2430CoQKD01?o:]P04oinl00?o3Hl01?l0EdX4o`0@:PCo008I1?l042X4o`1DC0Co08D81?mJZ@04
ogB`00?o:IT01?l0KC<4o`0^?`Co00HO1?l00a/4o`0H<0Co05I;1?l0Nad4o`n@00?o1X`01?l0LRd4
o`1;C@Co014[1?l00aX4o`057PCo01dd1?l0DDd4o`1Y>PCo070`0ol0ISd4o`1=CPCo01/c1?l01Ql4
o`026@Co00TR1?l07SD4o`10B0Co059=0ol0DDd4o`0hA0Co01Xb1?l02284o`026PCo00<K1?l02bD4
o`0I<@Co02Dj0ol09c/4o`0M=0Co010Z2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co01</1?l05Rl4o`0C;@Co00`V1?l01Ah3o`026@Co00<K1?l02RD4o`0K
<`Co03101?l0?dL4o`0jA@Co02Di1?l03bX3o`047@Co008I1?l02B<4o`0P=PCo04Y=1?l0GDD4o`1Q
@PCo05I;1?l0;cl3o`0>:0Co00<J1?l01Ah4o`0K<`Co05==1?l0L2l4o`2050Co07XO1?l0HD84o`0^
?`?o00PR1?l00QT4o`0?:PCo04i>1?l0NB44obRI00Co?Z001?l4R`04o`1R@@?o024g1?l011`4o`05
7PCo02ho1?l0LBh4od:R00CoX;`01?n4]@04o`b>00?o05U81?l04R`4o`026@Co014[1?l0FTP4oaZD
00Co]l401?o?ZP04ohjg00?o08@<1?l0A4X4o`088@Co00<K1?l09c/4o`1b;0CoHj`01?o?Z`04olf^
00CoF:P00ol0Kc44o`0S>0Co00<K1?l02284o`14BPCo084A1?mi/P04olNo00CoU;T00ol8S@04o`1F
B`Co010Z1?l00QT4o`0?:PCo05=<1?l0P`h4oe2V00CoJZd00olRU`04o`1/=@Co02dn1?l01Ql4o`03
6`Co01L`1?l0ED/4o`1i8@Co2Hd00ol0RP04o`1`;`Co04U<1?l04B/4o`036PCo00DN1?l073@4o`1@
CPCo06Ll1?l0KS83o`1T?`Co04Y=1?l06S84o`067`Co008I1?l02284o`0M=0Co03i71?l0DDd3o`1@
CPCo03M31?l06C44o`088@Co008J1?l00a`4o`0;9@Co01Pa1?l093T3o`0V>PCo01`d1?l03bX9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04b`4o`0F;`Co
01<]1?l032H4o`057P?o008I1?l00a/4o`0:9@Co01/c1?l0<404o`0oA`Co03Y51?l09CT4o`0?:P?o
00@M1?l00QT4o`098`Co020f1?l0BTd4o`1MA@Co06521?l0ET/4o`0_?`?o00hX1?l00aX4o`057PCo
01/c1?l0Ddd4o`1`;`Co080D1?l0NQl4o`1Q@PCo02ho0ol02284o`026@Co00lZ1?l0CTh4o`1i8@Co
:9T01?lnX004o`B;00Co06910ol08CL4o`0470Co00DN1?l0;Sl4o`1a;PCo@Z801?nP_004ohBe00Co
38h00ol0FDP4o`0B;0Co008I1?l04B/4o`1JB0Co6Y@01?ng`@04olnZ00CoS[L00ol0Q0`4o`14BPCo
00PQ1?l00a/4o`0W>`Co078/1?mS[004oln[00CocJh01?mHZ003o`1_<@Co02<h1?l00a/4o`088PCo
04A:1?l0PA44ogVb00Coakl01?nD^@03o`R=00Co05I;1?l042X4o`026@Co00lZ1?l0Dd`4o`233PCo
D:H01?mZ[@03ob:G00Co06`e1?l0;Ch4o`067`Co00<K1?l05c04o`1EB`Co07TQ1?l9S@03o`2:00Co
070_1?l0BD`4o`0A:`Co00<J1?l01Ah4o`0L=0Co051>1?l0Ic`4o`1^<P?o06@o1?l0BTd4o`0J<PCo
00HO1?l00QT4o`088PCo01dd1?l0?TL4o`1AC@?o051>1?l0=d<4o`0I<@Co00PQ1?l00QX4o`0370Co
00/U1?l06344o`0T>@?o02Hj1?l073@4o`0?:PWooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0C;0Co01H_1?l04bd4o`0<9PCo00DN0ol00QT4o`036`Co00XU
1?l06c<4o`0`@0Co03m71?l0>TD4o`0U>@Co00lZ0ol011d4o`026@Co00TS1?l083H4o`1:C@Co05e5
1?l0HD84o`1FB`Co02lo0ol03RP4o`036PCo00DN1?l06c<4o`1CC@Co070_1?l0P1@4o`1j7`Co0652
1?l0;Sl3o`088PCo008I1?l03bX4o`1>CPCo07TQ1?lXV@04ocjP00Co18/01?l0HT43o`0Q=`Co00@L
1?l01Ah4o`0^?`Co074^1?m2XP04oj2l00CoQ;D01?l<SP03o`1IB0Co018/1?l00QT4o`0A:`Co05Y8
1?lJU004okO100CocjX01?n>]`03o`2430Co04A:1?l02244o`036`Co02Lk1?l0LR`4of>/00Cocj/0
1?o=[P04oeRX00?o06la1?l08cP4o`036`Co00PR1?l0A4X4o`214@CoNK801?o7_`04oiBi00?o28d0
1?l0ET/4o`0@:PCo008I1?l03bX4o`1CC0Co08<>1?m@YP04ofZ]00?o8YL01?l0K3D4o`0]?PCo00HO
1?l00a/4o`0G<0Co05E;1?l0NB44o`V=00?o08X01?l0L2l4o`19C0Co014[1?l00aX4o`057PCo01`d
1?l0D4h4o`1W?0Co06hb0ol0I3l4o`1:C@Co01Xb1?l01Ql4o`026@Co00PR1?l07C@4o`0nA`Co055=
0ol0D4h4o`0g@`Co01Ta1?l02244o`026PCo00<L1?l02bD4o`0H<@Co02@i0ol09SX4o`0L=0Co00lZ
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co01</1?l0
5Rl4o`0C;@Co00`V1?l01Ah3o`026@Co00<K1?l02RD4o`0K<`Co03101?l0?dL4o`0jA@Co02Di1?l0
3bX3o`047@Co008I1?l02B<4o`0P=PCo04Y=1?l0GDD4o`1Q@PCo05I;1?l0;cl3o`0>:0Co00<J1?l0
1Ah4o`0K<`Co05==1?l0L2l4o`2050Co07XO1?l0HD84o`0^?`?o00PR1?l00QT4o`0?:PCo04i>1?l0
NB44obRI00Co?Z001?l4R`04o`1R@@?o024g1?l011`4o`057PCo02ho1?l0LBh4od:R00CoX;`01?n4
]@04o`b>00?o05U81?l04R`4o`026@Co014[1?l0FTP4oaZD00Co]l401?o?ZP04ohjg00?o08@<1?l0
A4X4o`088@Co00<K1?l09c/4o`1b;0CoHj`01?o?Z`04olf^00CoF:P00ol0Kc44o`0S>0Co00<K1?l0
2284o`14BPCo084A1?mi/P04olNo00CoU;T00ol8S@04o`1FB`Co010Z1?l00QT4o`0?:PCo05=<1?l0
P`h4oe2V00CoJZd00olRU`04o`1/=@Co02dn1?l01Ql4o`036`Co01L`1?l0ED/4o`1i8@Co2Hd00ol0
RP04o`1`;`Co04U<1?l04B/4o`036PCo00DN1?l073@4o`1@CPCo06Ll1?l0KS83o`1T?`Co04Y=1?l0
6S84o`067`Co008I1?l02284o`0M=0Co03i71?l0DDd3o`1@CPCo03M31?l06C44o`088@Co008J1?l0
0a`4o`0;9@Co01Pa1?l093T3o`0V>PCo01`d1?l03bX9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l04R`4o`0E;`Co01</1?l032H4o`057P?o008I1?l00a/4
o`0:90Co01Xb1?l0;cl4o`0mAPCo03Q41?l093T4o`0?:@?o00@M1?l00QT4o`088PCo01le1?l0B4/4
o`1LA`Co06131?l0E4`4o`0^?`?o00dX1?l00aX4o`057@Co01Xb1?l0DDd4o`1_<PCo07hH1?l0N284
o`1P@`Co02dn0ol02284o`026@Co00lY1?l0Bdd4o`1g9@Co89H01?lfWP04o`2900Co06520ol08CL4
o`0470Co00DN1?l0;3h4o`1_<@Co>Il01?nC^004ogVb00Co1hd00ol0FDT4o`0B;0Co008I1?l042X4
o`1HB@Co4Y401?nW_@04ol^d00CoPk@00ol0PQ04o`13B@Co00PQ1?l00a/4o`0U>PCo070`1?mGZ004
ol^e00Cob[L01?m@YP03o`1^<`Co02<h1?l00a/4o`088PCo04581?l0OaH4ofb^00Co_l<01?n8]P03
o`>;00Co05E;1?l03bX4o`026@Co00lY1?l0DDd4o`214`CoAZ<01?mOZP03oa^D00Co06Xg1?l0;3h4
o`067`Co00<K1?l05Rl4o`1DC0Co07LU1?l3R`03o`2710Co06lb1?l0AT/4o`0A:`Co00<J1?l01Ah4
o`0L<`Co04m>1?l0ICd4o`1]=0?o06911?l0B4/4o`0I<@Co00DN1?l00QT4o`088PCo01dd1?l0?4H4
o`1@CP?o04m>1?l0=D84o`0H<@Co00LQ1?l00QT4o`0370Co00/U1?l06304o`0S>0?o02Di1?l06c<4
o`0?:@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0B
;0Co01D_1?l04b`4o`0<9PCo00DN0ol00QT4o`036`Co00XT1?l06S84o`0_?`Co03e61?l0>4@4o`0T
>@Co00lY0ol011d4o`026@Co00PR1?l07cD4o`18B`Co05a71?l0H4<4o`1DC0Co02ho0ol03BP4o`03
6PCo00DM1?l06S84o`1AC@Co06lb1?l0OQP4o`1h8PCo06131?l0;Ch3o`088PCo008I1?l03bT4o`1;
C@Co07LU1?lPUP04ocJN00Co08T01?l0HD83o`0Q=`Co00@L1?l01Ah4o`0/?PCo06la1?liW`04oi>h
00CoNK801?l7S@03o`1IB@Co018/1?l00QT4o`0@:PCo05Q91?lBT@04ojNm00Cobk@01?n3]003o`22
40Co04=91?l02244o`036`Co02Dj1?l0L304oeNX00CobkD01?o:]`04oe2V00?o06hc1?l08cP4o`03
6`Co00PR1?l0@DP4o`1o5PCoK:h01?no``04ohRf00?o0h/01?l0ED/4o`0?:PCo008I1?l03bT4o`1A
C@Co084C1?m6X`04oenZ00?o6i@01?l0JSL4o`0/?PCo00HO1?l00a/4o`0F;`Co05A<1?l0MbD4o`>;
00?o08L41?l0Kc84o`16B`Co014[1?l00aX4o`057PCo01`c1?l0Cdh4o`1U?@Co06dd0ol0HT44o`18
B`Co01Ta1?l01Ah4o`026@Co00PR1?l07C@4o`0lAPCo051>0ol0Cdh4o`0e@PCo01Pa1?l01b44o`02
6@Co00<L1?l02bD4o`0H<0Co02<h0ol09CT4o`0K<`Co00lY2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co018/1?l05Bl4o`0C;0Co00`V1?l01Ah3o`026@Co
00<K1?l02R@4o`0J<PCo02lo1?l0?DH4o`0hA0Co02@i1?l03bT3o`047@Co008I1?l02284o`0O=@Co
04Q;1?l0G4L4o`1P@`Co05A<1?l0;Sl3o`0=:0Co00<J1?l01Ad4o`0J<PCo055=1?l0Kc84o`1n60Co
07PR1?l0H4<4o`0]?P?o00PR1?l00QT4o`0?:@Co04]=1?l0MbD4ob2F00Co=Yh01?l0R@04o`1Q@P?o
024g1?l011`4o`057PCo02`n1?l0Kc44ocVO00CoTkP01?mi/P04o`N=00?o05U91?l04R`4o`026@Co
010Z1?l0F4T4oa:A00CoYkd01?o;]004oh>d00?o088@1?l0@dT4o`088@Co00<K1?l09CX4o`1`<0Co
EjP01?o;]@04olZg00CoD:H00ol0KS<4o`0S>0Co00<K1?l02284o`11B0Co07lF1?m/[P04oko300Co
R;H00ol3R`04o`1EB`Co00lZ1?l00QT4o`0?:@Co055=1?l0PA<4odJS00CoGjX00olKU004o`1Z=`Co
02`n1?l01Ql4o`036`Co01H_1?l0E4`4o`1g9@Co0h/00ol0Q`@4o`1_<PCo04I;1?l04B/4o`036PCo
00DN1?l073<4o`1?CPCo06Dm1?l0KC@3o`1R@@Co04Q;1?l06C44o`057PCo008I1?l02284o`0M=0Co
03a61?l0D4h3o`1?CPCo03E21?l06344o`078@Co008I1?l00a`4o`0;9@Co01P`1?l08cP3o`0U>@Co
01/c1?l03bT9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l04R`4o`0E;`Co01</1?l032H4o`057P?o008I1?l00a/4o`0:90Co01Xb1?l0;cl4o`0mAPCo03Q4
1?l093T4o`0?:@?o00@M1?l00QT4o`088PCo01le1?l0B4/4o`1LA`Co06131?l0E4`4o`0^?`?o00dX
1?l00aX4o`057@Co01Xb1?l0DDd4o`1_<PCo07hH1?l0N284o`1P@`Co02dn0ol02284o`026@Co00lY
1?l0Bdd4o`1g9@Co89H01?lfWP04o`2900Co06520ol08CL4o`0470Co00DN1?l0;3h4o`1_<@Co>Il0
1?nC^004ogVb00Co1hd00ol0FDT4o`0B;0Co008I1?l042X4o`1HB@Co4Y401?nW_@04ol^d00CoPk@0
0ol0PQ04o`13B@Co00PQ1?l00a/4o`0U>PCo070`1?mGZ004ol^e00Cob[L01?m@YP03o`1^<`Co02<h
1?l00a/4o`088PCo04581?l0OaH4ofb^00Co_l<01?n8]P03o`>;00Co05E;1?l03bX4o`026@Co00lY
1?l0DDd4o`214`CoAZ<01?mOZP03oa^D00Co06Xg1?l0;3h4o`067`Co00<K1?l05Rl4o`1DC0Co07LU
1?l3R`03o`2710Co06lb1?l0AT/4o`0A:`Co00<J1?l01Ah4o`0L<`Co04m>1?l0ICd4o`1]=0?o0691
1?l0B4/4o`0I<@Co00DN1?l00QT4o`088PCo01dd1?l0?4H4o`1@CP?o04m>1?l0=D84o`0H<@Co00LQ
1?l00QT4o`0370Co00/U1?l06304o`0S>0?o02Di1?l06c<4o`0?:@Wooooo00?o0000ooooooooool0
0_ooool001_ooooo0ol00007ooooo`Co018/1?l05Bh4o`0B;0Co00/V1?l01Ah3o`026@Co00<K1?l0
2R@4o`0I<PCo02dn1?l0>dD4o`0f@`Co02<h1?l03bT3o`047@Co008I1?l02284o`0N=@Co04E:1?l0
FTP4o`1NA@Co05=<1?l0;Ch3o`0=9`Co00<J1?l01Ad4o`0I<@Co051>1?l0KCD4o`1l70Co07LU1?l0
GT@4o`0/?P?o00PR1?l00QT4o`0>:0Co04M;1?l0M2T4oaRC00Co;I/01?l0Q`D4o`1P@`?o020f1?l0
11`4o`057PCo02Xm1?l0KC@4obnK00CoQKD01?m^[`04o`:;00?o05Q:1?l04R`4o`026@Co00lY1?l0
ET/4o`Z>00CoV;X01?o7_@04ogRa00?o080C1?l0@TT4o`088@Co00<K1?l08cT4o`1^<`CoBj@01?o7
_`04olK000CoAj<00ol0K3D4o`0S>0Co00<K1?l01b44o`0nA`Co07`L1?mPZ`04ojno00CoO;800ol0
R@04o`1DC0Co00lY1?l00QT4o`0>:0Co051>1?l0OQL4ocfP00CoE:L00olETP04o`1Y>@Co02/m1?l0
1Ql4o`036`Co01H_1?l0DTd4o`1e:0Co08P20ol0Q@T4o`1]=@Co04A:1?l042X4o`036PCo00DN1?l0
6c<4o`1>CPCo06@o1?l0JcL3o`1Q@PCo04E:1?l06344o`057PCo008I1?l02284o`0L=0Co03Y51?l0
Cdh3o`1<C@Co03=11?l05c04o`078@Co008I1?l00a`4o`0;9@Co01L`1?l08SP3o`0T>@Co01/b1?l0
3RT7ooooo`?o00001?ooool001_ooooo00?o0000ooooooooool01oooool4o`0B;0Co01D^1?l04R`4
o`0;9PCo00DN0ol00QT4o`036`Co00XT1?l06C84o`0]?PCo03]51?l0=T<4o`0S>0Co00lY0ol011d4
o`026@Co00PR1?l07SD4o`15BPCo05Y81?l0GTD4o`1CC0Co02dn0ol03BL4o`036PCo00DM1?l06C44
o`1@CPCo06de1?l0O1`4o`1g9@Co05i41?l0;3h3o`088PCo008I1?l03RP4o`17B`Co07@Y1?lHT`04
obfK00Co08L51?l0H4<3o`0P=PCo00@L1?l01Ah4o`0Z?@Co06dd1?l_V`04ohFe00CoKZl01?l2R`03
o`1HBPCo018/1?l00QT4o`0?:@Co05I;1?l:SP04oiRj00Coakd01?mh/@03o`204`Co04991?l02244
o`036`Co02<i1?l0KS<4od^T00Coakl01?o6`004odNS00?o06`e1?l08cP4o`036`Co00LQ1?l0?TL4
o`1l70CoH:/01?n__`04ogbb00?o08T01?l0E4`4o`0?:@Co008I1?l03RP4o`1@CPCo07hG1?lmX004
oeBW00?o5I801?l0JCT4o`0[?@Co00HO1?l00a/4o`0F;`Co059=1?l0MBP4o`280P?o08D91?l0KCD4
o`14BPCo010Z1?l00aX4o`057PCo01/c1?l0CTh4o`1T?`Co06/g0ol0HD84o`15BPCo01Pa1?l01Ah4
o`026@Co00PR1?l073@4o`0jA@Co04m>0ol0C4d4o`0c@@Co01L`1?l01b44o`026@Co00<L1?l02bD4
o`0G<0Co028h0ol093T4o`0K<PCo00hY2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co018/1?l05Bh4o`0B;0Co00/V1?l01Ah3o`026@Co00<K1?l02R@4o`0I
<PCo02dn1?l0>dD4o`0f@`Co02<h1?l03bT3o`047@Co008I1?l02284o`0N=@Co04E:1?l0FTP4o`1N
A@Co05=<1?l0;Ch3o`0=9`Co00<J1?l01Ad4o`0I<@Co051>1?l0KCD4o`1l70Co07LU1?l0GT@4o`0/
?P?o00PR1?l00QT4o`0>:0Co04M;1?l0M2T4oaRC00Co;I/01?l0Q`D4o`1P@`?o020f1?l011`4o`05
7PCo02Xm1?l0KC@4obnK00CoQKD01?m^[`04o`:;00?o05Q:1?l04R`4o`026@Co00lY1?l0ET/4o`Z>
00CoV;X01?o7_@04ogRa00?o080C1?l0@TT4o`088@Co00<K1?l08cT4o`1^<`CoBj@01?o7_`04olK0
00CoAj<00ol0K3D4o`0S>0Co00<K1?l01b44o`0nA`Co07`L1?mPZ`04ojno00CoO;800ol0R@04o`1D
C0Co00lY1?l00QT4o`0>:0Co051>1?l0OQL4ocfP00CoE:L00olETP04o`1Y>@Co02/m1?l01Ql4o`03
6`Co01H_1?l0DTd4o`1e:0Co08P20ol0Q@T4o`1]=@Co04A:1?l042X4o`036PCo00DN1?l06c<4o`1>
CPCo06@o1?l0JcL3o`1Q@PCo04E:1?l06344o`057PCo008I1?l02284o`0L=0Co03Y51?l0Cdh3o`1<
C@Co03=11?l05c04o`078@Co008I1?l00a`4o`0;9@Co01L`1?l08SP3o`0T>@Co01/b1?l03RT9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l04R`4o`0E;PCo
018/1?l02bH4o`057P?o008I1?l00a/4o`0:90Co01Tb1?l0;Ch4o`0kA@Co03I31?l08cP4o`0?:@?o
00@M1?l00QT4o`088PCo01he1?l0ADX4o`1JB0Co05i51?l0Dd`4o`0]?P?o00dW1?l00aX4o`057@Co
01Ta1?l0D4h4o`1]=@Co07`L1?l0MbD4o`1NA0Co02`n0ol02284o`026@Co00hX1?l0Ad/4o`1d:@Co
69<01?l]V`04o`271@Co06130ol083H4o`0470Co00DN1?l0:Sd4o`1]=0Co;i/01?n5]@04ofj_00Co
0X/00ol0F4X4o`0B;0Co008I1?l03bT4o`1FB`Co2Xh01?nH^P04olNm00CoN;400ol0P1<4o`12B@Co
00PQ1?l00a/4o`0S>@Co06hc1?m;Y004olNo00Coa/001?m7X`03o`1/=@Co02<h1?l00a/4o`078@Co
03i71?l0O1`4of2[00Co[kl01?ml/P03o`2900Co05A<1?l03bT4o`026@Co00hX1?l0D4h4o`1n5`Co
?J001?mDY`03oaFB00Co06Ti1?l0:cd4o`067`Co00<K1?l05Rl4o`1BC@Co07DX1?l0R083o`252@Co
06de1?l0A4X4o`0@:PCo00<J1?l01Ah4o`0K<`Co04i>1?l0I3l4o`1[=`?o06521?l0ADX4o`0H<@Co
00DN1?l00QT4o`088PCo01`d1?l0>TD4o`1?CP?o04a=1?l0<d44o`0G<0Co00LQ1?l00QT4o`0370Co
00/U1?l05c04o`0R>0?o02@i1?l06c84o`0>:@Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0A:`Co01@^1?l04R`4o`0;9@Co00DN0ol00QT4o`036`Co00XT
1?l06344o`0/?@Co03U41?l0=484o`0R=`Co00hY0ol011d4o`026@Co00PR1?l073@4o`13B@Co05U9
1?l0GDH4o`1BC@Co02/m0ol03BL4o`036PCo00@M1?l06344o`1>CPCo06/g1?l0NB04o`1e:@Co05e6
1?l0:cd3o`088PCo008I1?l03RP4o`14BPCo078]1?lAT004obFH00Co08D91?l0Gd@3o`0P=PCo00@L
1?l01Ah4o`0X>`Co06Xh1?lUV004ogRa00CoHj/01?l0R@43o`1GBPCo018[1?l00QT4o`0>:0Co05A<
1?l2R`04ohRf00Co`L@01?m][P03o`1o5`Co04581?l02284o`036`Co028g1?l0JcL4od2Q00Co_L<0
1?nl`P04ocnQ00?o06/g1?l08SP4o`036`Co00LQ1?l0>dD4o`1i80CoE:L01?nP_004og2_00?o08L5
1?l0Dd`4o`0?:@Co008I1?l03RP4o`1>CPCo07`L1?lcW@04odZT00?o3Xl01?l0Ic/4o`0Z?0Co00HO
1?l00aX4o`0E;PCo055=1?l0Lb/4o`261`?o08<?1?l0JcL4o`12B@Co010Z1?l00aX4o`057PCo01Xb
1?l0Bdd4o`1R@@Co06Ti0ol0Gd@4o`12B@Co01L`1?l01Ah4o`026@Co00PR1?l06c<4o`0iA0Co04e>
0ol0BD`4o`0a@0Co01H_1?l01b44o`026@Co00<L1?l02RD4o`0G<0Co024g0ol08SP4o`0J<PCo00hX
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co014[1?l0
52h4o`0B;0Co00/U1?l01Ah3o`026@Co00<K1?l02R@4o`0H<@Co02`m1?l0>D@4o`0d@PCo028g1?l0
3RT3o`047@Co008I1?l02284o`0L=0Co04=91?l0FDT4o`1MAPCo059=1?l0:cd3o`0=9`Co00<J1?l0
11d4o`0H<@Co04i>1?l0JcL4o`1i80Co07DY1?l0GDH4o`0[?@?o00PR1?l00QT4o`0>:0Co04A:1?l0
LRd4oa6@00Co9IP01?l0Q@T4o`1OA0?o020f1?l011`4o`057PCo02Pk1?l0JSP4obFH00CoN;401?mS
Z`04o`290@?o05M:1?l04R/4o`026@Co00hX1?l0E4`4o`:;00CoR;H01?o1a004off^00?o07lG1?l0
@DP4o`088PCo00<K1?l08SL4o`1[=`Co@:401?nm``04okc200Co?j400ol0JcL4o`0R>0Co00<K1?l0
1b44o`0kA@Co07TP1?mDY`04oj2l00CoL:l00ol0Q`D4o`1CC0Co00lY1?l00QT4o`0>:0Co04i>1?l0
O1`4oc>M00CoBZ@00ol>S`04o`1W>`Co02Xl1?l01Ql4o`036PCo01D^1?l0DDd4o`1c:`Co08H70ol0
P`l4o`1[=`Co04991?l042X4o`036PCo00DN1?l06S84o`1;C@Co06911?l0JCT3o`1OA0Co04991?l0
5c04o`057PCo008I1?l02284o`0K<`Co03U41?l0CDh3o`19C0Co03501?l05Rl4o`078@Co008I1?l0
0a`4o`0:9@Co01L`1?l08CL3o`0R>0Co01Xb1?l03RP9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l04B/4o`0D;PCo018/1?l02bD4o`057P?o008I1?l00a/4
o`0:90Co01Pa1?l0;3d4o`0iA0Co03A21?l08SL4o`0>:@?o00@M1?l00QT4o`088PCo01`d1?l0@dT4
o`1IB@Co05e61?l0DTd4o`0[?@?o00dW1?l00aX4o`047@Co01Pa1?l0CTh4o`1[=`Co07TP1?l0MBT4
o`1MAPCo02/m0ol02284o`026@Co00hX1?l0A4X4o`1b;@Co4I001?lUV004o`252@Co05m40ol083H4
o`0470Co00DN1?l0:3/4o`1Z>0Co9IP01?mh/@04of>[00Co08T10ol0EdX4o`0B:`Co008I1?l03RP4
o`1DC0Co0X/01?n8]P04ol7400CoKJh00ol0OaL4o`11B0Co00PR1?l00a/4o`0R=`Co06/g1?m0X@04
okg300Co_<801?loX@03o`1[=`Co028h1?l00a/4o`078@Co03]51?l0NB04oeBW00CoX;`01?m`[`03
o`271@Co05=<1?l03bT4o`026@Co00hX1?l0CTh4o`1l70Co<id01?m:Y003o`j?00Co06Lk1?l0:S`4
o`067`Co00<J1?l05Bh4o`1AC@Co07<[1?l0QPL3o`233`Co06/g1?l0@TT4o`0@:PCo00<J1?l01Ah4
o`0J<PCo04]=1?l0HT44o`1Y>@?o05m41?l0@TT4o`0G<0Co00DN1?l00QT4o`088PCo01/c1?l0>D@4
o`1=CP?o04U<1?l0<D04o`0F;`Co00LQ1?l00QT4o`0370Co00XU1?l05c04o`0Q=`?o028h1?l06S84
o`0>:0Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0A
:`Co01@^1?l04R`4o`0;9@Co00DN0ol00QT4o`036`Co00XT1?l06344o`0/?@Co03U41?l0=484o`0R
=`Co00hY0ol011d4o`026@Co00PR1?l073@4o`13B@Co05U91?l0GDH4o`1BC@Co02/m0ol03BL4o`03
6PCo00@M1?l06344o`1>CPCo06/g1?l0NB04o`1e:@Co05e61?l0:cd3o`088PCo008I1?l03RP4o`14
BPCo078]1?lAT004obFH00Co08D91?l0Gd@3o`0P=PCo00@L1?l01Ah4o`0X>`Co06Xh1?lUV004ogRa
00CoHj/01?l0R@43o`1GBPCo018[1?l00QT4o`0>:0Co05A<1?l2R`04ohRf00Co`L@01?m][P03o`1o
5`Co04581?l02284o`036`Co028g1?l0JcL4od2Q00Co_L<01?nl`P04ocnQ00?o06/g1?l08SP4o`03
6`Co00LQ1?l0>dD4o`1i80CoE:L01?nP_004og2_00?o08L51?l0Dd`4o`0?:@Co008I1?l03RP4o`1>
CPCo07`L1?lcW@04odZT00?o3Xl01?l0Ic/4o`0Z?0Co00HO1?l00aX4o`0E;PCo055=1?l0Lb/4o`26
1`?o08<?1?l0JcL4o`12B@Co010Z1?l00aX4o`057PCo01Xb1?l0Bdd4o`1R@@Co06Ti0ol0Gd@4o`12
B@Co01L`1?l01Ah4o`026@Co00PR1?l06c<4o`0iA0Co04e>0ol0BD`4o`0a@0Co01H_1?l01b44o`02
6@Co00<L1?l02RD4o`0G<0Co024g0ol08SP4o`0J<PCo00hX2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co014[1?l052d4o`0A:`Co00/U1?l01Ah3o`026@Co
00<K1?l02B@4o`0H<0Co02Xm1?l0=d<4o`0b@@Co024g1?l03RP3o`047@Co008I1?l02284o`0K<`Co
04181?l0EdX4o`1KA`Co055=1?l0:Sd3o`0=9`Co00<J1?l011d4o`0G<0Co04]=1?l0J3X4o`1g90Co
07</1?l0G4L4o`0Z?0?o00PR1?l00QT4o`0=9`Co04581?l0L304o`V=00Co7ID01?l0P`h4o`1NA@?o
01lf1?l011`4o`057@Co02Hj1?l0J3X4oabE00CoJZh01?mHZ004o`261P?o05I;1?l04B/4o`026@Co
00hX1?l0DTd4o`2710CoNK801?n``004of:[00?o07dJ1?l0?dP4o`088PCo00<K1?l083H4o`1Y>PCo
=Id01?n[_P04ojbo00Co=Yh00ol0JSP4o`0R=`Co00<K1?l01b04o`0hA0Co07LU1?m8X`04oi2h00Co
I:`00ol0Q0X4o`1BC@Co00lY1?l00QT4o`0=9`Co04]=1?l0NB44obZI00Co@:400ol7S@04o`1V?@Co
02Pl1?l01Ql4o`036PCo01@^1?l0Cdh4o`1a;`Co08<=0ol0P1@4o`1Y>@Co03m71?l03bT4o`036PCo
00DN1?l06S84o`19C0Co06531?l0Ic`3o`1MA@Co04181?l05Rl4o`057PCo008I1?l02284o`0K<`Co
03M31?l0Bdd3o`16B`Co02lo1?l05Bl4o`0780Co008I1?l00a`4o`0:90Co01H_1?l083L3o`0Q=`Co
01Ta1?l03BP9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l04B/4o`0D;@Co014[1?l02bD4o`057P?o008I1?l00a/4o`0990Co01P`1?l0:Sd4o`0g@`Co0391
1?l08CL4o`0>:0?o00@M1?l00QT4o`088PCo01/c1?l0@4P4o`1GBPCo05]71?l0DDd4o`0Z?@?o00dW
1?l00aX4o`047@Co01L`1?l0Bdd4o`1X>PCo07LT1?l0Lb`4o`1LA`Co02Xl0ol02284o`026@Co00dW
1?l0@DP4o`1`<0Co2Hd01?lMU@04o`233PCo05i50ol07cH4o`0470Co00DM1?l09SX4o`1X>PCo79D0
1?mZ[P04oeRX00Co08H60ol0ET/4o`0A:`Co008I1?l03RP4o`1BC@Co08L41?mi/P04ok3000CoHZ/0
0ol0OAX4o`0oB0Co00PR1?l00a/4o`0P=PCo06Tj1?leW@04oj^n00Co[;l01?lfWP03o`1Z>0Co028g
1?l00a/4o`0780Co03Q41?l0MbD4odRS00CoT;P01?mT[003o`242PCo059=1?l03bT4o`026@Co00dW
1?l0Bdd4o`1i8@Co:YT01?m0X@03o`N=00Co06Hm1?l0:3`4o`067`Co00<J1?l052h4o`1?CPCo074_
1?l0P`d3o`2050Co06Ti1?l0?dL4o`0?:@Co00<J1?l01Ah4o`0J<PCo04U<1?l0HD<4o`1W?0?o05e5
1?l0@4P4o`0F;`Co00DN1?l00QT4o`088PCo01/c1?l0=d<4o`1;C@?o04I;1?l0;cl4o`0E;`Co00LP
1?l00QT4o`0370Co00XT1?l05Rl4o`0P=`?o024g1?l06C44o`0=:0Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0A:`Co01@]1?l04B/4o`0;9@Co00DN0ol0
0QT4o`036`Co00TT1?l06304o`0Z?@Co03M31?l0<T44o`0Q=`Co00hX0ol011d4o`026@Co00PR1?l0
6c<4o`10B0Co05M:1?l0FdL4o`1AC@Co02Xm0ol03BL4o`036PCo00@M1?l05c04o`1;C@Co06Pj1?l0
Mb@4o`1c;0Co05a71?l0:S`3o`088PCo008I1?l03BL4o`11B0Co070`1?l9S@04oafE00Co08<>1?l0
GTD3o`0O=PCo00@L1?l01Ad4o`0V>PCo06Pj1?lLU@04ofZ^00CoF:P01?l0QPH3o`1FB`Co014[1?l0
0QT4o`0>:0Co059=1?l0Q`@4ogVb00Co/<001?mRZ`03o`1m6PCo03m81?l02284o`036`Co020f1?l0
JCX4ocFM00CoZkh01?n/_`04ocJN00?o06Xh1?l08SL4o`036`Co00LP1?l0>4@4o`1g9@CoB:<01?n@
^004ofB/00?o08@:1?l0DTd4o`0?:@Co008I1?l03BL4o`1;C@Co07TQ1?lZV@04od2Q00?o1hd01?l0
ISd4o`0X?0Co00HO1?l00aX4o`0D;PCo04m>1?l0LBl4o`233@?o080D1?l0JCT4o`0oA`Co00lY1?l0
0aX4o`057PCo01Xb1?l0BD`4o`1Q@`Co06Ll0ol0GDD4o`10B0Co01H_1?l01Ah4o`026@Co00PR1?l0
6c<4o`0g@`Co04]=0ol0AT/4o`0_?`Co01D_1?l01b04o`026@Co00<L1?l02R@4o`0F;`Co020g0ol0
8CL4o`0I<@Co00dX2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co014[1?l052d4o`0A:`Co00/U1?l01Ah3o`026@Co00<K1?l02B@4o`0H<0Co02Xm1?l0=d<4
o`0b@@Co024g1?l03RP3o`047@Co008I1?l02284o`0K<`Co04181?l0EdX4o`1KA`Co055=1?l0:Sd3
o`0=9`Co00<J1?l011d4o`0G<0Co04]=1?l0J3X4o`1g90Co07</1?l0G4L4o`0Z?0?o00PR1?l00QT4
o`0=9`Co04581?l0L304o`V=00Co7ID01?l0P`h4o`1NA@?o01lf1?l011`4o`057@Co02Hj1?l0J3X4
oabE00CoJZh01?mHZ004o`261P?o05I;1?l04B/4o`026@Co00hX1?l0DTd4o`2710CoNK801?n``004
of:[00?o07dJ1?l0?dP4o`088PCo00<K1?l083H4o`1Y>PCo=Id01?n[_P04ojbo00Co=Yh00ol0JSP4
o`0R=`Co00<K1?l01b04o`0hA0Co07LU1?m8X`04oi2h00CoI:`00ol0Q0X4o`1BC@Co00lY1?l00QT4
o`0=9`Co04]=1?l0NB44obZI00Co@:400ol7S@04o`1V?@Co02Pl1?l01Ql4o`036PCo01@^1?l0Cdh4
o`1a;`Co08<=0ol0P1@4o`1Y>@Co03m71?l03bT4o`036PCo00DN1?l06S84o`19C0Co06531?l0Ic`3
o`1MA@Co04181?l05Rl4o`057PCo008I1?l02284o`0K<`Co03M31?l0Bdd3o`16B`Co02lo1?l05Bl4
o`0780Co008I1?l00a`4o`0:90Co01H_1?l083L3o`0Q=`Co01Ta1?l03BP9ooooo`03o`000?oooooo
oooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l042X4o`0C;@Co014[1?l02bD4o`05
7P?o008I1?l00a/4o`098`Co01L`1?l0:C`4o`0e@PCo03501?l083H4o`0>:0?o00@M1?l00QT4o`08
8@Co01Xb1?l0?DL4o`1FB`Co05U81?l0D4h4o`0Y?0?o00`W1?l00aX4o`047@Co01H_1?l0B4/4o`1V
?0Co07DX1?l0L2l4o`1JB0Co02Tl0ol02284o`026@Co00dW1?l0?TL4o`1]=0Co0XX01?lETP04o`20
4`Co05a60ol07cD4o`0470Co00@M1?l093T4o`1V?@Co4i401?mMZP04odfU00Co08@;0ol0ED/4o`0A
:`Co008I1?l03BL4o`1@CPCo08@;1?m[[P04oj2l00CoEjP00ol0Nah4o`0nA`Co00PR1?l00a/4o`0N
=@Co06Hm1?lZVP04oiZj00CoW;/01?l^V`03o`1X>PCo024g1?l00a/4o`0780Co03E31?l0M2X4ocbP
00CoPK@01?mHZ003o`223`Co055=1?l03bT4o`026@Co00dW1?l0B4/4o`1g9@Co89H01?leWP03o`6:
00Co06@o1?l09c/4o`067`Co00<J1?l052d4o`1>CPCo06lb1?l0PA83o`1n6@Co06Ll1?l0?DH4o`0?
:@Co00<J1?l01Ah4o`0I<@Co04I;1?l0Gd@4o`1U?P?o05a71?l0?DH4o`0F;`Co00DN1?l00QT4o`08
8PCo01Xb1?l0=D84o`18B`?o04A:1?l0;Ch4o`0E;PCo00LP1?l00QT4o`0370Co00XT1?l05Rl4o`0O
=P?o020f1?l06304o`0=9`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000oooooooo
ool01oooool4o`0@:PCo01<]1?l04B/4o`0;9@Co00DN0ol00QT4o`036`Co00TS1?l05c04o`0Y?0Co
03E21?l0<D04o`0P=PCo00hX0ol011d4o`026@Co00PQ1?l06S84o`0mA`Co05I;1?l0FDP4o`1@CPCo
02Tl0ol032L4o`036PCo00@M1?l05Rl4o`18B`Co06Hl1?l0MBP4o`1`;`Co05Y81?l0:C`3o`088PCo
008I1?l03BL4o`0nA`Co06dd1?l2RP04oaFB00Co080C1?l0G4H3o`0O=@Co00@L1?l011d4o`0T>@Co
06Hm1?lCT@04oefZ00CoCJD01?l0Q0/3o`1EB`Co014[1?l00QT4o`0=9`Co051>1?l0Q0/4of^^00Co
X;`01?mGZ003o`1k7PCo03i71?l02284o`036`Co01he1?l0ISd4obZJ00CoV[X01?nL^`04objK00?o
06Pj1?l08CL4o`036`Co00LP1?l0=D<4o`1d:PCo?:001?n1]004oeRX00?o088?1?l0DDd4o`0?:@Co
008I1?l03BL4o`18B`Co07LU1?lPUP04ocFN00?o0HX01?l0I3l4o`0W>`Co00HO1?l00aX4o`0D;@Co
04i>1?l0Kc84o`214P?o07hI1?l0Ic`4o`0mAPCo00lY1?l00aX4o`057PCo01Ta1?l0AT/4o`1OA0Co
06Dn0ol0G4L4o`0mAPCo01H_1?l01Ah4o`026@Co00PR1?l06S84o`0e@PCo04Q;0ol0A4X4o`0]?PCo
01D^1?l01b04o`026@Co00<L1?l02R@4o`0F;`Co01lf0ol083H4o`0H<0Co00dW2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co010Z1?l04bd4o`0A:`Co00/U
1?l01Ah3o`026@Co00<K1?l02B<4o`0G<0Co02Tl1?l0=D84o`0a@0Co020f1?l03RP3o`047@Co008I
1?l02244o`0J<PCo03e71?l0ET/4o`1IB0Co051>1?l0:C`3o`0<9`Co00<J1?l011d4o`0F;`Co04Q;
1?l0IS`4o`1e:0Co070_1?l0FTP4o`0Y?0?o00PR1?l00QT4o`0=9`Co03i71?l0KC@4o`::00Co5I80
1?l0P1<4o`1LAP?o01le1?l011`4o`047@Co02@i1?l0ISd4oa>A00CoGJX01?m=Y@04o`242`?o05E;
1?l04B/4o`026@Co00dW1?l0D4h4o`242`CoJjh01?nP_004oeNX00?o07/N1?l0?TL4o`088PCo00<K
1?l07SD4o`1V?@Co:YX01?nJ^P04oibk00Co;Y/00ol0J3X4o`0Q=`Co00<K1?l01b04o`0e@`Co07@Z
1?llX004oh6d00CoF:P00ol0PPl4o`1AC@Co00lY1?l00QT4o`0=9`Co04Q;1?l0MbD4ob2F00Co=Ih0
0ol1RP04o`1T?`Co02Lk1?l01Ql4o`036PCo01@]1?l0CTh4o`1_<PCo084B0ol0OQT4o`1W?0Co03e6
1?l03bT4o`036PCo00DN1?l06C44o`16B`Co05m41?l0ICh3o`1LA`Co03e61?l05Rl4o`057PCo008I
1?l02284o`0J<PCo03E21?l0B4/3o`14BPCo02dn1?l05Bh4o`0780Co008I1?l00a`4o`0:90Co01H_
1?l07cH3o`0P=PCo01P`1?l03BL9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l042X4o`0B;0Co010Z1?l02R@4o`057P?o008I1?l00a/4o`098`Co01H_1?l0
9c/4o`0c@@Co02lo1?l07cD4o`0=:0?o00@L1?l00QT4o`078@Co01Tb1?l0>dD4o`1DC0Co05Q:1?l0
CTh4o`0X>`?o00`V1?l00aX4o`047@Co01D_1?l0ADX4o`1T?`Co07</1?l0KS84o`1IB@Co02Pk0ol0
2284o`026@Co00`V1?l0>dD4o`1[=`Co08L41?l=S`04o`1n60Co05]70ol07SD4o`0470Co00@M1?l0
8SP4o`1S@0Co2hh01?mAYP04od:R00Co088@0ol0E4`4o`0A:`Co008I1?l032H4o`1>CPCo084B1?mM
ZP04oi2h00CoC:D00ol0NB44o`0mAPCo00PR1?l00a/4o`0M=0Co06@o1?lOUP04ohVf00CoSKL01?lV
V003o`1W?0Co020g1?l00a/4o`0680Co03=11?l0LBh4oc6L00CoLk001?m=Y@03o`2050Co051>1?l0
3RT4o`026@Co00`V1?l0ADX4o`1d:PCo69<01?l/VP03o`271@Co06911?l09SX4o`067`Co00<J1?l0
4bd4o`1;C@Co06`e1?l0OQP3o`1k7@Co06Dn1?l0>TD4o`0>:0Co008J1?l01Ah4o`0H<@Co04A:1?l0
GDH4o`1S@0?o05Y81?l0>TD4o`0E;PCo00DN1?l00QT4o`088PCo01Tb1?l0<d84o`15BP?o04581?l0
:cd4o`0D;@Co00HP1?l00QT4o`0370Co00XT1?l05Bh4o`0N=@?o01lf1?l05c04o`0=9`Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0@:PCo018/1?l042X4
o`0:90Co00DN0ol00QT4o`036`Co00TS1?l05Rl4o`0W>`Co03=11?l0;cl4o`0O=@Co00dX0ol011`4
o`026@Co00LQ1?l06C84o`0kA@Co05A<1?l0F4X4o`1>CPCo02Pk0ol032H4o`036PCo00@M1?l05Bl4
o`15BPCo06@o1?l0Lb`4o`1^<PCo05U91?l0:3/3o`088PCo008I1?l032H4o`0kA@Co06/g1?l0Q`@4
o`f?00Co07hH1?l0FdL3o`0N=@Co00@L1?l011d4o`0R>0Co06=01?l;SP04oe6V00Co@Z801?l0PQ03
o`1DC0Co014[1?l00QT4o`0<9PCo04i>1?l0PA84oefZ00CoT;P01?m<Y@03o`1i8@Co03e61?l02284
o`036`Co01dd1?l0I3l4oanF00CoRKH01?n=]`04obJH00?o06Ll1?l083L4o`036`Co00HP1?l0<d44
o`1a;PCo<I`01?mc/004odfU00?o080D1?l0D4h4o`0>:@Co008I1?l032H4o`15BPCo07@Z1?lHT`04
obbJ00?o08L51?l0HT44o`0V>PCo00HO1?l00aX4o`0C;@Co04]=1?l0K3D4o`1n60?o07/M1?l0ICh4
o`0jA@Co00hX1?l00QX4o`057PCo01Pa1?l0A4X4o`1MAPCo06=00ol0FTP4o`0jA@Co01D^1?l01Ah4
o`026@Co00PR1?l06C84o`0c@PCo04E:0ol0@DP4o`0[?@Co01@]1?l01R04o`026@Co00<L1?l02R@4
o`0E;PCo01he0ol07cH4o`0G<0Co00dW2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co010Z1?l04R`4o`0@:PCo00XT1?l01Ah3o`026@Co00<K1?l02B<4o`0F
;`Co02Lk1?l0<d44o`0_?`Co01le1?l03BP3o`0470Co008I1?l01b44o`0I<PCo03]51?l0E4`4o`1H
BPCo04i>1?l0:3/3o`0<9PCo00<J1?l011d4o`0E;`Co04E:1?l0I3l4o`1c;0Co06hb1?l0FDT4o`0X
>`?o00PR1?l00QT4o`0<9PCo03]51?l0JcL4o`2710Co3Hl01?l0OQP4o`1KA`?o01he1?l011`4o`04
7@Co028h1?l0Hd04o`^>00CoDJH01?m2XP04o`2240?o05A<1?l04B/4o`026@Co00`V1?l0CTh4o`21
4PCoGJX01?n@^004odbU00?o07TQ1?l0?DH4o`088PCo00<K1?l07C@4o`1T?`Co7iH01?n9]P04ohfg
00Co9YP00ol0Ic`4o`0P=`Co00<K1?l01R04o`0c@@Co074^1?laW004og>`00CoCJD00ol0P1@4o`1@
CPCo00hY1?l00QT4o`0<9PCo04E:1?l0M2X4oaRC00Co;9X00ol0Q`D4o`1R@@Co02Hj1?l01Ql4o`03
6PCo01<]1?l0Bdd4o`1/=@Co07hH0ol0Nad4o`1U?PCo03Y51?l03RP4o`026PCo00DN1?l06344o`14
BPCo05e61?l0Hd03o`1JB0Co03Y51?l05Bh4o`057PCo008I1?l02284o`0I<PCo03=21?l0ADX3o`11
B0Co02/m1?l052d4o`0680Co008I1?l00a`4o`0:90Co01D^1?l07SD3o`0O=PCo01L`1?l03BL9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l042X4o`0B;0Co
010Z1?l02R@4o`057P?o008I1?l00a/4o`098`Co01H_1?l09c/4o`0c@@Co02lo1?l07cD4o`0=:0?o
00@L1?l00QT4o`078@Co01Tb1?l0>dD4o`1DC0Co05Q:1?l0CTh4o`0X>`?o00`V1?l00aX4o`047@Co
01D_1?l0ADX4o`1T?`Co07</1?l0KS84o`1IB@Co02Pk0ol02284o`026@Co00`V1?l0>dD4o`1[=`Co
08L41?l=S`04o`1n60Co05]70ol07SD4o`0470Co00@M1?l08SP4o`1S@0Co2hh01?mAYP04od:R00Co
088@0ol0E4`4o`0A:`Co008I1?l032H4o`1>CPCo084B1?mMZP04oi2h00CoC:D00ol0NB44o`0mAPCo
00PR1?l00a/4o`0M=0Co06@o1?lOUP04ohVf00CoSKL01?lVV003o`1W?0Co020g1?l00a/4o`0680Co
03=11?l0LBh4oc6L00CoLk001?m=Y@03o`2050Co051>1?l03RT4o`026@Co00`V1?l0ADX4o`1d:PCo
69<01?l/VP03o`271@Co06911?l09SX4o`067`Co00<J1?l04bd4o`1;C@Co06`e1?l0OQP3o`1k7@Co
06Dn1?l0>TD4o`0>:0Co008J1?l01Ah4o`0H<@Co04A:1?l0GDH4o`1S@0?o05Y81?l0>TD4o`0E;PCo
00DN1?l00QT4o`088PCo01Tb1?l0<d84o`15BP?o04581?l0:cd4o`0D;@Co00HP1?l00QT4o`0370Co
00XT1?l05Bh4o`0N=@?o01lf1?l05c04o`0=9`Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0?:@Co018/1?l042X4o`0:90Co00DM0ol00QT4o`036`Co00TS
1?l05Bh4o`0V>PCo03501?l0;Ch4o`0N=@Co00dW0ol011`4o`026@Co00LQ1?l06344o`0hA0Co05=<
1?l0ET/4o`1;C@Co02Hj0ol032H4o`036PCo00@L1?l052h4o`12B@Co06911?l0L2l4o`1/=@Co05M:
1?l09cX3o`088PCo008I1?l032H4o`0hA0Co06Pj1?l0Q0/4o`J<00Co07`L1?l0FTP3o`0N=@Co00@L
1?l011d4o`0Q=`Co06521?l2R`04odFR00Co>9h01?l0P1D3o`1CC0Co014[1?l00QT4o`0<9PCo04Y<
1?l0OQP4odnV00CoP;<01?m2XP03o`1g9@Co03]61?l02284o`036PCo01/c1?l0HD84oaJB00CoNK80
1?mn/`04oajE00?o06Dn1?l083H4o`036`Co00HO1?l0<404o`1_<PCo9iP01?mU[004od:Q00?o07dI
1?l0Cdh4o`0>:0Co008I1?l032H4o`11B@Co078]1?l?T004ob:G00?o08@;1?l0H4<4o`0U>@Co00HO
1?l00aX4o`0B;0Co04Q;1?l0JSP4o`1l7@?o07PR1?l0Hd04o`0hA0Co00hX1?l00QX4o`057PCo01L`
1?l0@DP4o`1KA`Co06520ol0F4T4o`0hA0Co01@]1?l01Ad4o`026@Co00PR1?l06C44o`0b@@Co0499
0ol0?TL4o`0Y?0Co01<]1?l01Ql4o`026@Co00<L1?l02R@4o`0E;PCo01de0ol07SD4o`0F;`Co00`V
2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00lY1?l0
4R`4o`0@:PCo00XT1?l01Ad3o`026@Co00<K1?l02B<4o`0E;PCo02Hj1?l0<D04o`0]?PCo01he1?l0
3BL3o`0470Co008I1?l01b44o`0H<@Co03Q41?l0Dd`4o`1FB`Co04]=1?l09SX3o`0<9PCo00<J1?l0
11`4o`0D;PCo04991?l0HT44o`1`;`Co06`e1?l0EdX4o`0W>P?o00PR1?l00QT4o`0<9PCo03Q41?l0
J3X4o`242`Co1X`01?l0O1`4o`1JB0?o01he1?l011`4o`047@Co024g1?l0HD84o`:;00CoAJ801?lh
WP04o`205@?o05=<1?l04B/4o`026@Co00`V1?l0BT`4o`1n60CoCjH01?n0/`04od:R00?o07LU1?l0
>dH4o`088PCo00<J1?l06c<4o`1Q@PCo5Y801?mi/P04ogjc00Co7YD00ol0ICh4o`0P=PCo00<K1?l0
1Ql4o`0`@0Co06lb1?lWV004ofF/00Co@Z400ol0OAT4o`1?CPCo00hX1?l00QT4o`0<9PCo04591?l0
LRd4o`n@00Co8YL00ol0Q0/4o`1P@`Co02Di1?l01Ql4o`036PCo018/1?l0B4/4o`1Z>0Co07`M0ol0
N284o`1S@0Co03Q41?l03RP4o`026PCo00DN1?l05c04o`11B0Co05]71?l0HD83o`1HB@Co03Q41?l0
52d4o`057@Co008I1?l02284o`0I<@Co03911?l0@TT3o`0nA`Co02Tl1?l04bd4o`067`Co008I1?l0
0a`4o`0:90Co01D^1?l07CD3o`0N=@Co01H_1?l032H9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l03bT4o`0B;0Co010Z1?l02R@4o`057@?o008I1?l00a/4
o`098`Co01D^1?l09SX4o`0a@0Co02dn1?l07SD4o`0=9`?o00@L1?l00QT4o`078@Co01Pa1?l0>4@4
o`1CC0Co05I;1?l0Bdd4o`0V>P?o00`V1?l00aX4o`0470Co01@^1?l0@TT4o`1R@@Co070_1?l0K3D4
o`1GBPCo02Lj0ol02284o`026@Co00`V1?l0>4@4o`1X>PCo08@;1?l6S004o`1l70Co05Y80ol07SD4
o`0470Co00@M1?l08CL4o`1Q@PCo0X/01?m5XP04ocRN00Co080E0ol0Dd`4o`0A:`Co008I1?l032H4
o`1:C0Co07hH1?m?YP04oh2c00Co@Z800ol0MbD4o`0kAPCo00PR1?l00aX4o`0K<`Co06521?lFTP04
ogVb00CoO[<01?lNU@03o`1U?PCo020f1?l00a/4o`067`Co03101?l0Kc84obNH00CoIJ`01?m2X@03
o`1m6@Co04m>1?l03RP4o`026@Co00`V1?l0@DT4o`1b;@Co3i001?lRU`03o`242`Co06131?l09CT4
o`067`Co00<J1?l04R`4o`18B`Co06Xh1?l0O1d3o`1h8PCo06=01?l0>4@4o`0>:0Co008J1?l01Ah4
o`0G<0Co04581?l0FdL4o`1Q@P?o05Q91?l0>4@4o`0D;@Co00DM1?l00QT4o`088PCo01Ta1?l0<T44
o`12B@?o03i71?l0:C`4o`0C;@Co00HO1?l00QT4o`0370Co00XT1?l05Bh4o`0M=@?o01he1?l05Rl4
o`0<9PWooooo00?o0000ooooooooool00_ooool0013ooooo0ol00008ooooo`03o`000?oooooooooo
00Oooooo1?l03bT4o`0B;0Co010Z1?l02R@4o`057@?o008I1?l00a/4o`098`Co01D^1?l09SX4o`0a
@0Co02dn1?l07SD4o`0=9`?o00@L1?l00QT4o`078@Co01Pa1?l0>4@4o`1CC0Co05I;1?l0Bdd4o`0V
>P?o00`V1?l00aX4o`0470Co01@^1?l0@TT4o`1R@@Co070_1?l0K3D4o`1GBPCo02Lj0ol02284o`02
6@Co00`V1?l0>4@4o`1X>PCo08@;1?l6S004o`1l70Co05Y80ol07SD4o`0470Co00@M1?l08CL4o`1Q
@PCo0X/01?m5XP04ocRN00Co080E0ol0Dd`4o`0A:`Co008I1?l032H4o`1:C0Co07hH1?m?YP04oh2c
00Co@Z800ol0MbD4o`0kAPCo00PR1?l00aX4o`0K<`Co06521?lFTP04ogVb00CoO[<01?lNU@03o`1U
?PCo020f1?l00a/4o`067`Co03101?l0Kc84obNH00CoIJ`01?m2X@03o`1m6@Co04m>1?l03RP4o`02
6@Co00`V1?l0@DT4o`1b;@Co3i001?lRU`03o`242`Co06131?l09CT4o`067`Co00<J1?l04R`4o`18
B`Co06Xh1?l0O1d3o`1h8PCo06=01?l0>4@4o`0>:0Co008J1?l01Ah4o`0G<0Co04581?l0FdL4o`1Q
@P?o05Q91?l0>4@4o`0D;@Co00DM1?l00QT4o`088PCo01Ta1?l0<T44o`12B@?o03i71?l0:C`4o`0C
;@Co00HO1?l00QT4o`0370Co00XT1?l05Bh4o`0M=@?o01he1?l05Rl4o`0<9PWooooo00?o0000oooo
ooooool00_ooool000oooooo00Go0000ooooooooooooooooo`000007ooooo`03o`000?oooooooooo
00Oooooo1?l03bT4o`0A:`Co00lY1?l02R@4o`057@?o008I1?l00a/4o`088PCo01@^1?l093T4o`0_
?`Co02/m1?l07C@4o`0=9`?o00@L1?l00QT4o`0780Co01P`1?l0=T<4o`1AC@Co05E;1?l0B4`4o`0U
>@?o00`V1?l00aX4o`0470Co01@]1?l0?TL4o`1P@`Co06hc1?l0JSP4o`1FB`Co02Hj0ol02284o`02
6@Co00/U1?l0=D<4o`1V?@Co084A1?l0R@04o`1i8@Co05Q90ol07C@8o`0470Co01le1?l0Gd@4o`27
1@Co>Il01?l^V`04o`1m6@?o059=1?l04B/4o`026@Co00/U1?l0AT/4o`1k7PCo@Z801?ma[`04ocNN
00?o07DX1?l0>TD4o`088PCo00<J1?l06S84o`1OA0Co38l01?mZ[@04ofn_00Co5Y800ol0Hd04o`0O
=PCo00<K1?l01Ql4o`0]?PCo06`e1?lLU@04oeNX00Co=ih00ol0Nad4o`1=CPCo00hX1?l00QT4o`0;
9PCo03i71?l0Kc44o`N<00Co6I<00ol0PQ44o`1NA@Co02<h1?l01Ql4o`036PCo018/1?l0ADX4o`1X
>PCo07TQ0ol0MRL4o`1Q@PCo03E31?l03BP4o`026PCo00DN1?l05c04o`0oA`Co05Y81?l0Gd@3o`1F
B`Co03E31?l04bd4o`047@Co008I1?l02244o`0H<@Co03101?l0@4P3o`0lAPCo02Lk1?l04R`4o`06
7`Co008I1?l00a`4o`0:90Co01@^1?l073@3o`0M=0Co01D^1?l032H9ooooo`03o`000?oooooooooo
00;ooooo000Cooooo`03o`000?oooooooooo00Gooooo00?o0000ooooooooool01oooool4o`0?:@Co
014[1?l03bT4o`0:90Co00DM0ol00QT4o`036`Co00PR1?l052h4o`0T>@Co02lo1?l0:cd4o`0M=0Co
00dW0ol011`4o`026@Co00LP1?l06304o`0f@`Co055=1?l0ED/4o`18C0Co02Di0ol032H4o`036PCo
00@L1?l052d4o`0nA`Co06131?l0KS<4o`1Z>0Co05I;1?l09SX3o`088PCo008I1?l02bD4o`0e@`Co
06Hm1?l0PA44o`2900Co07TQ1?l0F4T3o`0M=0So00@L1?l07cD4o`1OA0Co08L51?liW`04objK00Co
07dI0ol0DTd4o`0A:`Co008I1?l02bD4o`16B`Co07/N1?m2XP04og6_00Co=ih00ol0MBP4o`0jA@Co
00PR1?l00aX4o`0J<PCo05m41?l<S`04ofZ]00CoKjl01?lFTP03o`1S@0Co01lf1?l00a/4o`067`Co
02dn1?l0K3D4oabE00CoEjP01?lgWP03o`1k7@Co04e>1?l03RP4o`026@Co00/V1?l0?TL4o`1_<@Co
1h`01?lIT`03o`224@Co05i51?l08cP4o`067`Co00<J1?l04R`4o`15BPCo06Pj1?l0NB43o`1f9`Co
06521?l0=D<4o`0=:0Co008J1?l01Ah4o`0G<0Co03m71?l0FTP4o`1OA0?o05I;1?l0=D<4o`0C;@Co
00@M1?l00QT4o`088@Co01Pa1?l0<404o`10B0?o03a61?l09c/4o`0B;0Co00HO1?l00QT4o`0370Co
00XT1?l052h4o`0L=0?o01dd1?l05Bh4o`0<9PWooooo00?o0000ooooooooool00_ooool001?ooooo
00?o0000ooooooooool01Oooool4o`0000Kooooo1?l03bT4o`0A:`Co00lY1?l02R@4o`057@?o008I
1?l00a/4o`088PCo01@^1?l093T4o`0_?`Co02/m1?l07C@4o`0=9`?o00@L1?l00QT4o`0780Co01P`
1?l0=T<4o`1AC@Co05E;1?l0B4`4o`0U>@?o00`V1?l00aX4o`0470Co01@]1?l0?TL4o`1P@`Co06hc
1?l0JSP4o`1FB`Co02Hj0ol02284o`026@Co00/U1?l0=D<4o`1V?@Co084A1?l0R@04o`1i8@Co05Q9
0ol07C@8o`0470Co01le1?l0Gd@4o`271@Co>Il01?l^V`04o`1m6@?o059=1?l04B/4o`026@Co00/U
1?l0AT/4o`1k7PCo@Z801?ma[`04ocNN00?o07DX1?l0>TD4o`088PCo00<J1?l06S84o`1OA0Co38l0
1?mZ[@04ofn_00Co5Y800ol0Hd04o`0O=PCo00<K1?l01Ql4o`0]?PCo06`e1?lLU@04oeNX00Co=ih0
0ol0Nad4o`1=CPCo00hX1?l00QT4o`0;9PCo03i71?l0Kc44o`N<00Co6I<00ol0PQ44o`1NA@Co02<h
1?l01Ql4o`036PCo018/1?l0ADX4o`1X>PCo07TQ0ol0MRL4o`1Q@PCo03E31?l03BP4o`026PCo00DN
1?l05c04o`0oA`Co05Y81?l0Gd@3o`1FB`Co03E31?l04bd4o`047@Co008I1?l02244o`0H<@Co0310
1?l0@4P3o`0lAPCo02Lk1?l04R`4o`067`Co008I1?l00a`4o`0:90Co01@^1?l073@3o`0M=0Co01D^
1?l032H6ooooo`Co00001?ooool000oooooo1?l00008ooooo`03o`000?oooooooooo00Oooooo1?l0
3bT4o`0A:`Co00lY1?l02R@4o`057@?o008I1?l00a/4o`088PCo01@^1?l093T4o`0_?`Co02/m1?l0
7C@4o`0=9`?o00@L1?l00QT4o`0780Co01P`1?l0=T<4o`1AC@Co05E;1?l0B4`4o`0U>@?o00`V1?l0
0aX4o`0470Co01@]1?l0?TL4o`1P@`Co06hc1?l0JSP4o`1FB`Co02Hj0ol02284o`026@Co00/U1?l0
=D<4o`1V?@Co084A1?l0R@04o`1i8@Co05Q90ol07C@8o`0470Co01le1?l0Gd@4o`271@Co>Il01?l^
V`04o`1m6@?o059=1?l04B/4o`026@Co00/U1?l0AT/4o`1k7PCo@Z801?ma[`04ocNN00?o07DX1?l0
>TD4o`088PCo00<J1?l06S84o`1OA0Co38l01?mZ[@04ofn_00Co5Y800ol0Hd04o`0O=PCo00<K1?l0
1Ql4o`0]?PCo06`e1?lLU@04oeNX00Co=ih00ol0Nad4o`1=CPCo00hX1?l00QT4o`0;9PCo03i71?l0
Kc44o`N<00Co6I<00ol0PQ44o`1NA@Co02<h1?l01Ql4o`036PCo018/1?l0ADX4o`1X>PCo07TQ0ol0
MRL4o`1Q@PCo03E31?l03BP4o`026PCo00DN1?l05c04o`0oA`Co05Y81?l0Gd@3o`1FB`Co03E31?l0
4bd4o`047@Co008I1?l02244o`0H<@Co03101?l0@4P3o`0lAPCo02Lk1?l04R`4o`067`Co008I1?l0
0a`4o`0:90Co01@^1?l073@3o`0M=0Co01D^1?l032H9ooooo`03o`000?oooooooooo00;ooooo000?
ooooo`03o`000?oooooooooo00Wooooo00?o0000ooooooooool01oooool4o`0>:0Co014[1?l03bT4
o`0:90Co00DM0ol00QT4o`036`Co00PR1?l052d4o`0S>0Co02dn1?l0:S`4o`0L<`Co00`W0ol011`4
o`026@Co00LP1?l05c04o`0d@PCo04m>1?l0Dd`4o`15BPCo02@i0ol02bH4o`036PCo00@L1?l04b`4
o`0kAPCo05i51?l0JcH4o`1X>`Co05A<1?l093T3o`088PCo008I1?l02bD4o`0c@@Co06@o1?l0OQL4
o`261`Co07LU1?l0EdX3o`0L=0So00@L1?l07C@4o`1LAPCo08@<1?l]V`04obBG00Co07/N0ol0DDd4
o`0A:`Co008I1?l02RD4o`12B@Co07LT1?leW@04of:[00Co;I/00ol0Lb/4o`0hA0Co00PR1?l00aX4
o`0H<@Co05a61?l3R`04oe^Y00CoHJ/01?l>S`03o`1R@@Co01he1?l00a/4o`067`Co02/m1?l0JCT4
oa>A00CoBZ@01?l/VP03o`1h8PCo04Y<1?l03RP4o`026@Co00/U1?l0>dH4o`1/=@Co08T01?l@T003
o`1o5`Co05a61?l08SP4o`057PCo00<J1?l04B/4o`12B@Co06Hm1?l0MRH3o`1c:`Co05m41?l0<d44
o`0=9`Co008J1?l01Ah4o`0F;`Co03a61?l0F4T4o`1MA@?o05A<1?l0<d44o`0B;0Co00@M1?l00QT4
o`088@Co01L`1?l0;Sl4o`0mAP?o03U41?l09SX4o`0A:`Co00HO1?l00QT4o`0370Co00XT1?l04bd4
o`0K<`?o01`c1?l052h4o`0;9@Wooooo00?o0000ooooooooool00_ooool000oooooo1Ol00007oooo
o`03o`000?oooooooooo00Oooooo1?l03RP4o`0A:`Co00lY1?l02R@4o`057@?o008I1?l00a/4o`08
8PCo01@]1?l08cP4o`0]?PCo02Xl1?l073<4o`0<9`?o00@L1?l00QT4o`0780Co01L`1?l0=484o`1?
CPCo05=<1?l0ADX4o`0T>@?o00/V1?l00aX4o`0470Co01</1?l0>dH4o`1NA@Co06/f1?l0J3/4o`1D
C0Co02@i0ol02284o`026@Co00/U1?l0<d44o`1T?`Co07hG1?l0QPL4o`1g9@Co05M:0ol073@8o`04
70Co01dd1?l0G4H4o`2430Co;I/01?lTU`04o`1k7P?o055=1?l04B/4o`026@Co00XU1?l0@TT4o`1g
90Co=Id01?mRZ`04obfK00?o07<[1?l0>4@4o`088PCo00<J1?l06344o`1LAPCo0h/01?mKZ@04of6[
00Co3Xl00ol0HT44o`0N=@Co00<K1?l01Ql4o`0[?@Co06Ti1?lCT@04odZT00Co;9X00ol0N284o`1:
C0Co00hX1?l00QT4o`0;9@Co03]61?l0K3D4o`2900Co49000ol0OaL4o`1LAPCo028h1?l01Ah4o`03
6PCo014[1?l0@TT4o`1V?@Co07HV0ol0Lb/4o`1OA0Co03=11?l03BL4o`026PCo00DN1?l05Rl4o`0l
APCo05Q91?l0GDD3o`1DC0Co03=11?l04R`4o`047@Co008I1?l02244o`0G<0Co02ho1?l0?DH3o`0i
A0Co02Hj1?l04B/4o`067`Co008I1?l00a`4o`0:90Co01<]1?l06c<3o`0L<`Co01@^1?l02bD9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03RP4o`0A:`Co
00lY1?l02R@4o`057@?o008I1?l00a/4o`088PCo01@]1?l08cP4o`0]?PCo02Xl1?l073<4o`0<9`?o
00@L1?l00QT4o`0780Co01L`1?l0=484o`1?CPCo05=<1?l0ADX4o`0T>@?o00/V1?l00aX4o`0470Co
01</1?l0>dH4o`1NA@Co06/f1?l0J3/4o`1DC0Co02@i0ol02284o`026@Co00/U1?l0<d44o`1T?`Co
07hG1?l0QPL4o`1g9@Co05M:0ol073@8o`0470Co01dd1?l0G4H4o`2430Co;I/01?lTU`04o`1k7P?o
055=1?l04B/4o`026@Co00XU1?l0@TT4o`1g90Co=Id01?mRZ`04obfK00?o07<[1?l0>4@4o`088PCo
00<J1?l06344o`1LAPCo0h/01?mKZ@04of6[00Co3Xl00ol0HT44o`0N=@Co00<K1?l01Ql4o`0[?@Co
06Ti1?lCT@04odZT00Co;9X00ol0N284o`1:C0Co00hX1?l00QT4o`0;9@Co03]61?l0K3D4o`2900Co
49000ol0OaL4o`1LAPCo028h1?l01Ah4o`036PCo014[1?l0@TT4o`1V?@Co07HV0ol0Lb/4o`1OA0Co
03=11?l03BL4o`026PCo00DN1?l05Rl4o`0lAPCo05Q91?l0GDD3o`1DC0Co03=11?l04R`4o`047@Co
008I1?l02244o`0G<0Co02ho1?l0?DH3o`0iA0Co02Hj1?l04B/4o`067`Co008I1?l00a`4o`0:90Co
01<]1?l06c<3o`0L<`Co01@^1?l02bD9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`00
0?oooooooooo00Oooooo1?l03RP4o`0A:`Co00lY1?l02R@4o`057@?o008I1?l00a/4o`088PCo01@]
1?l08cP4o`0]?PCo02Xl1?l073<4o`0<9`?o00@L1?l00QT4o`0780Co01L`1?l0=484o`1?CPCo05=<
1?l0ADX4o`0T>@?o00/V1?l00aX4o`0470Co01</1?l0>dH4o`1NA@Co06/f1?l0J3/4o`1DC0Co02@i
0ol02284o`026@Co00/U1?l0<d44o`1T?`Co07hG1?l0QPL4o`1g9@Co05M:0ol073@8o`0470Co01dd
1?l0G4H4o`2430Co;I/01?lTU`04o`1k7P?o055=1?l04B/4o`026@Co00XU1?l0@TT4o`1g90Co=Id0
1?mRZ`04obfK00?o07<[1?l0>4@4o`088PCo00<J1?l06344o`1LAPCo0h/01?mKZ@04of6[00Co3Xl0
0ol0HT44o`0N=@Co00<K1?l01Ql4o`0[?@Co06Ti1?lCT@04odZT00Co;9X00ol0N284o`1:C0Co00hX
1?l00QT4o`0;9@Co03]61?l0K3D4o`2900Co49000ol0OaL4o`1LAPCo028h1?l01Ah4o`036PCo014[
1?l0@TT4o`1V?@Co07HV0ol0Lb/4o`1OA0Co03=11?l03BL4o`026PCo00DN1?l05Rl4o`0lAPCo05Q9
1?l0GDD3o`1DC0Co03=11?l04R`4o`047@Co008I1?l02244o`0G<0Co02ho1?l0?DH3o`0iA0Co02Hj
1?l04B/4o`067`Co008I1?l00a`4o`0:90Co01<]1?l06c<3o`0L<`Co01@^1?l02bD9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03RP4o`0@:PCo00hX1?l0
2B<4o`047@?o008I1?l00a/4o`088PCo01<]1?l08CL4o`0[?@Co02Pk1?l06c<4o`0<9P?o00@L1?l0
0QT4o`0780Co01H_1?l0<D04o`1=CPCo055=1?l0@TT4o`0R>0?o00/U1?l00aX4o`0470Co018/1?l0
>D@4o`1LA`Co06Ti1?l0ISd4o`1CC0Co02<h0ol02284o`026@Co00XT1?l0<404o`1Q@PCo07/M1?l0
P`h4o`1d:@Co05E;0ol06c<8o`0470Co01`c1?l0FTP4o`204`Co8YL01?lJU004o`1h8P?o04m>1?l0
42X4o`026@Co00XT1?l0?TL4o`1d:@Co:IT01?mDY`04ob>G00?o074_1?l0=T<4o`088PCo00<J1?l0
5c04o`1JB0Co08L41?m=Y@04oe>W00Co1X`00ol0H4<4o`0N=@Co00<K1?l01Ah4o`0Y?0Co06Ll1?l9
S@04ocfP00Co8YL00ol0MRH4o`17B`Co00dX1?l00QT4o`0:9@Co03Q41?l0JSP4o`261`Co1hd00ol0
O1`4o`1KB0Co024g1?l01Ah4o`036PCo014[1?l0?dL4o`1T?`Co07@Z0ol0LBl4o`1MAPCo03501?l0
32L4o`026PCo00DM1?l05Bl4o`0jA@Co05I;1?l0FdL3o`1CC0Co03101?l04B/4o`047@Co008I1?l0
2244o`0G<0Co02`n1?l0>TD3o`0f@`Co02@i1?l04B/4o`067`Co008I1?l00a`4o`098`Co01<]1ol0
6S84o`0C;@Co00/U2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co00hX1?l042X4o`0>:0Co00TS1?l011d3o`026@Co00<K1?l02284o`0C;@Co024g1?l0:cd4
o`0X>`Co01/c1?l032H3o`0470Co008I1?l01b04o`0F;`Co03501?l0CDh4o`1AC@Co04991?l08SP3
o`0;9@Co00<J1?l011`4o`0B;0Co03U41?l0G4L4o`1Y>@Co06Hm1?l0Dd`4o`0S>0?o00PR1?l00QT4
o`0:90Co03101?l0HD84o`1k7@Co08<>1?l0M2T4o`1EB`?o01/c2?l011`4o`0L<`Co05Y81?l0P1<4
ob:G00Co6Y@01?l0N283o`1?CPCo010Z1?l00QT4o`0:90Co03i71?l0M2T4obVI00CoE:L01?lSU`03
o`1a;`Co03I31?l02284o`036PCo01L`1?l0FTP4o`2710CoCJD01?mCY`04o`J<00?o06131?l07SD4
o`036`Co00DN1?l0:C`4o`1W?0Co2Hd01?lmX004ob:G00?o07HV1?l0Ad/4o`0=:0Co008I1?l02RD4
o`0hA0Co06Xh1?l0QPL4o`N=00?o07`L1?l0FdP4o`0Q=`Co00DN1?l00aX4o`0A:`Co03m71?l0I3l4
o`1d:P?o074_1?l0GDH4o`0a@0Co00`W1?l00QX4o`057@Co01D_1?l0>TD4o`1FB`Co05]70ol0Dd`4
o`0`@0Co014[1?l011d4o`026@Co00PQ1?l05c04o`0/?PCo03Y50ol0=T<4o`0T>@Co014[1?l01Ql4
o`026@Co00<L1?l02B<4o`0C;@Oo01Xb1?l04bd4o`0;9@Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0>:0Co010Z1?l03RP4o`098`Co00@M0ol00QT4o`03
6`Co00PR1?l04bd4o`0Q=`Co02/m1?l0:3/4o`0K<`Co00`V0ol011`4o`026@Co00LP1?l05Rl4o`0a
@0Co04e>1?l0DDd4o`12B@Co028h0ol02bD4o`036PCo00@L1?l04R`4o`0iA0Co05a71?l0JCT4o`1V
?@Co05=<1?l08cP3o`088PCo008I1?l02R@4o`0`@0Co06521?l0Nad4o`233PCo07@Y1?l0ED/3o`0K
<`So00@L1?l073<4o`1JB0Co080C1?lRU`04oaZD00Co07PR0ol0Cdh4o`0@:PCo008I1?l02R@4o`0n
A`Co07@Y1?lYV@04oeBW00Co8iL00ol0LBl4o`0f@`Co00PR1?l00aX4o`0G<0Co05Y81?l0Q`@4odfU
00CoDjL01?l6S003o`1P@`Co01he1?l00a/4o`057PCo02Tl1?l0Ic`4o`V=00Co?J001?lRU`03o`1f
9PCo04M;1?l03BP4o`026@Co00XU1?l0>4@4o`1Z>0Co08H71?l7S@03o`1l70Co05]81?l08CL4o`05
7PCo00<J1?l04B/4o`0oA`Co06@o1?l0M2X3o`1a;`Co05e61?l0<D04o`0<9`Co008J1?l01Ad4o`0E
;`Co03Y51?l0ET/4o`1KA`?o05=<1?l0<404o`0A:`Co00@M1?l00QT4o`088@Co01L`1?l0;3h4o`0j
A@?o03I31?l093T4o`0A:`Co00HO1?l00QT4o`0370Co00TS1?l04bd7o`0J<PCo01<]1?l02bD9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03RP4o`0@:PCo
00hX1?l02B<4o`047@?o008I1?l00a/4o`088PCo01<]1?l08CL4o`0[?@Co02Pk1?l06c<4o`0<9P?o
00@L1?l00QT4o`0780Co01H_1?l0<D04o`1=CPCo055=1?l0@TT4o`0R>0?o00/U1?l00aX4o`0470Co
018/1?l0>D@4o`1LA`Co06Ti1?l0ISd4o`1CC0Co02<h0ol02284o`026@Co00XT1?l0<404o`1Q@PCo
07/M1?l0P`h4o`1d:@Co05E;0ol06c<8o`0470Co01`c1?l0FTP4o`204`Co8YL01?lJU004o`1h8P?o
04m>1?l042X4o`026@Co00XT1?l0?TL4o`1d:@Co:IT01?mDY`04ob>G00?o074_1?l0=T<4o`088PCo
00<J1?l05c04o`1JB0Co08L41?m=Y@04oe>W00Co1X`00ol0H4<4o`0N=@Co00<K1?l01Ah4o`0Y?0Co
06Ll1?l9S@04ocfP00Co8YL00ol0MRH4o`17B`Co00dX1?l00QT4o`0:9@Co03Q41?l0JSP4o`261`Co
1hd00ol0O1`4o`1KB0Co024g1?l01Ah4o`036PCo014[1?l0?dL4o`1T?`Co07@Z0ol0LBl4o`1MAPCo
03501?l032L4o`026PCo00DM1?l05Bl4o`0jA@Co05I;1?l0FdL3o`1CC0Co03101?l04B/4o`047@Co
008I1?l02244o`0G<0Co02`n1?l0>TD3o`0f@`Co02@i1?l04B/4o`067`Co008I1?l00a`4o`098`Co
01<]1ol06S84o`0C;@Co00/U2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00dW1?l03bX4o`0>:0Co00TS1?l011d3o`026@Co00<K1?l02244o`0B;0Co020f
1?l0:C`4o`0V>PCo01Xb1?l032H3o`0470Co008I1?l01R04o`0E;PCo02lo1?l0BT`4o`1@CPCo03m8
1?l08CL3o`0;9@Co00<J1?l011`4o`0A:`Co03I31?l0FTP4o`1W?0Co06A01?l0DDd4o`0R>0?o00PQ
1?l00QT4o`0:90Co02dn1?l0Gd@4o`1h8PCo080D1?l0LRd4o`1DC0?o01/c2?l011`4o`0J<PCo05Q:
1?l0OAX4oaRC00Co4I401?l0MRH3o`1>CPCo010Z1?l00QT4o`098`Co03]51?l0LBh4oajE00CoAZ<0
1?lJU003o`1_<PCo03E21?l02284o`036PCo01H_1?l0F4X4o`2430Co?j401?m5X`04o`2900?o05i5
1?l07C@4o`036`Co00DN1?l09cX4o`1T?`Co0HX01?laW004oaRC00?o07<[1?l0A4X4o`0=9`Co008I
1?l02R@4o`0f@`Co06Lk1?l0P`h4o`2900?o07TQ1?l0FDT4o`0O=PCo00DN1?l00aX4o`0@:PCo03a6
1?l0HD84o`1a;`?o06hc1?l0FdP4o`0^?`Co00`V1?l00QX4o`057@Co01D^1?l0>4@4o`1EB`Co05U8
0ol0DDd4o`0^?`Co014[1?l011d4o`026@Co00LQ1?l05Rl4o`0[?@Co03Q40ol0=484o`0R>0Co010Z
1?l01Ah4o`026@Co00<L1?l02B<4o`0B;0Oo01Tb1?l04b`4o`0:90Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0=9`Co00lZ1?l03RP4o`098`Co00@M0ol0
0QT4o`036`Co00PQ1?l04R`4o`0P=PCo02Tl1?l09SX4o`0J<PCo00`V0ol011`4o`026@Co00HP1?l0
5Bh4o`0_?`Co04Y<1?l0D4h4o`0oB0Co024g0ol02bD4o`036PCo00@L1?l04B/4o`0f@`Co05Y81?l0
Ic`4o`1T@0Co055=1?l08SP3o`088@Co008I1?l02R@4o`0]?PCo05m41?l0N284o`2050Co078]1?l0
E4`3o`0K<`So00@L1?l06S84o`1HBPCo07dJ1?lHT`04oa6A00Co07HV0ol0CTh4o`0@:PCo008I1?l0
2B<4o`0kA@Co074^1?lNU@04odJS00Co6Y@00ol0Kc84o`0e@PCo00PR1?l00aX4o`0F;`Co05Q:1?l0
Q0`4ocnQ00CoAJ<01?l0R@03o`1NA@Co01dd1?l00a/4o`057PCo02Lj1?l0I3l4o`6:00Co<I`01?lH
T`03o`1c:`Co04A:1?l03BL4o`026@Co00XT1?l0=T<4o`1W>`Co08<>1?l0R@03o`1i8@Co05U91?l0
7cH4o`057PCo00<J1?l042X4o`0lAPCo06521?l0LBl3o`1^<`Co05]81?l0;Sl4o`0<9PCo008J1?l0
1Ad4o`0E;PCo03Q41?l0ED/4o`1IB0?o055=1?l0;Sl4o`0A:`Co00@M1?l00QT4o`078@Co01H_1?l0
:cd4o`0hA0?o03A21?l08SP4o`0@:PCo00DN1?l00QT4o`0370Co00TS1?l04R`7o`0I<PCo01</1?l0
2R@9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l03BL4
o`0?:PCo00hX1?l02B<4o`047@?o008I1?l00a/4o`088@Co018/1?l083H4o`0Y?0Co02Hj1?l06S84
o`0<9P?o00@L1?l00QT4o`0680Co01D^1?l0;cl4o`1:C0Co051>1?l0?dP4o`0Q=`?o00/U1?l00aX4
o`0470Co014[1?l0=T<4o`1JB0Co06Ll1?l0I404o`1AC@Co028h0ol02244o`026@Co00XT1?l0;Ch4
o`1OA0Co07PR1?l0P1@4o`1b;@Co05A<0ol06c<8o`0470Co01Xb1?l0F4X4o`1m6PCo69<01?lAT@04
o`1f9P?o04i>1?l042X4o`026@Co00TS1?l0>dD4o`1a;PCo7YD01?m6X`04oaZD00?o06lb1?l0=D84
o`088PCo00<J1?l05Rl4o`1HBPCo08@<1?loX@04odFS00Co08T00ol0GTD4o`0M=0Co00<K1?l01Ah4
o`0W>PCo06@o1?l1RP04oc6L00Co69<00ol0Lb/4o`14BPCo00dW1?l00QT4o`0:90Co03I31?l0Ic/4
o`233PCo08T00ol0NB44o`1IB@Co01lf1?l01Ah4o`036PCo010Z1?l0?4H4o`1Q@PCo074_0ol0KS<4
o`1KB0Co02ho1?l032H4o`026PCo00DM1?l05Bh4o`0hA0Co05E;1?l0FDP3o`1AC@Co02ho1?l04B/4
o`047@Co008I1?l01b44o`0F;`Co02/m1?l0>4@3o`0d@PCo028h1?l042X4o`057PCo008I1?l00a`4
o`098`Co018/1ol06C84o`0C;0Co00XT2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00dW1?l03bX4o`0>:0Co00TS1?l011d3o`026@Co00<K1?l02244o`0B
;0Co020f1?l0:C`4o`0V>PCo01Xb1?l032H3o`0470Co008I1?l01R04o`0E;PCo02lo1?l0BT`4o`1@
CPCo03m81?l08CL3o`0;9@Co00<J1?l011`4o`0A:`Co03I31?l0FTP4o`1W?0Co06A01?l0DDd4o`0R
>0?o00PQ1?l00QT4o`0:90Co02dn1?l0Gd@4o`1h8PCo080D1?l0LRd4o`1DC0?o01/c2?l011`4o`0J
<PCo05Q:1?l0OAX4oaRC00Co4I401?l0MRH3o`1>CPCo010Z1?l00QT4o`098`Co03]51?l0LBh4oajE
00CoAZ<01?lJU003o`1_<PCo03E21?l02284o`036PCo01H_1?l0F4X4o`2430Co?j401?m5X`04o`29
00?o05i51?l07C@4o`036`Co00DN1?l09cX4o`1T?`Co0HX01?laW004oaRC00?o07<[1?l0A4X4o`0=
9`Co008I1?l02R@4o`0f@`Co06Lk1?l0P`h4o`2900?o07TQ1?l0FDT4o`0O=PCo00DN1?l00aX4o`0@
:PCo03a61?l0HD84o`1a;`?o06hc1?l0FdP4o`0^?`Co00`V1?l00QX4o`057@Co01D^1?l0>4@4o`1E
B`Co05U80ol0DDd4o`0^?`Co014[1?l011d4o`026@Co00LQ1?l05Rl4o`0[?@Co03Q40ol0=484o`0R
>0Co010Z1?l01Ah4o`026@Co00<L1?l02B<4o`0B;0Oo01Tb1?l04b`4o`0:90Wooooo00?o0000oooo
ooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0=9`Co00lY1?l03BP4o`098`Co
00@M0ol00QT4o`036`Co00LQ1?l04B/4o`0N=@Co02Lk1?l09CT4o`0I<@Co00/V0ol011`4o`026@Co
00HP1?l052d4o`0]?PCo04I;1?l0CTh4o`0lAPCo020f0ol02bD4o`036PCo00@L1?l042X4o`0c@@Co
05Q:1?l0I3l4o`1Q@PCo051>1?l08CL3o`088@Co008I1?l02B<4o`0[?@Co05e61?l0MBP4o`1m6PCo
06la1?l0DTd3o`0J<PSo00@L1?l06C44o`1EB`Co07XP1?l>S`04o`R=00Co07<Z0ol0Bdd4o`0@:PCo
008I1?l02B<4o`0g@`Co06hc1?lCT@04ocVO00Co4I000ol0K3D4o`0c@@Co00PQ1?l00QX4o`0D;PCo
05E;1?l0P1@4oc:L00Co>Il01?l0QPL3o`1MAPCo01`d1?l00a/4o`057PCo02Di1?l0HT84o`261`Co
9IP01?l?T003o`1a;PCo04991?l03BL4o`026@Co00XT1?l0<d44o`1U?PCo07lE1?l0QPP3o`1f9PCo
05M:1?l07SD4o`057PCo00<J1?l03bX4o`0jA@Co05m41?l0KS83o`1[=PCo05Q91?l0;3h4o`0;9PCo
008J1?l01Ad4o`0D;PCo03E31?l0Dd`4o`1GBP?o04m>1?l0;3d4o`0@:PCo00@L1?l00QT4o`078@Co
01D_1?l0:C`4o`0e@`?o03501?l083H4o`0?:@Co00DN1?l00QT4o`0370Co00TS1?l04R`4o`0I<@?o
01Pa1?l04R`4o`0:90Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0
1oooool4o`0=9`Co00lY1?l03BP4o`098`Co00@M0ol00QT4o`036`Co00LQ1?l04B/4o`0N=@Co02Lk
1?l09CT4o`0I<@Co00/V0ol011`4o`026@Co00HP1?l052d4o`0]?PCo04I;1?l0CTh4o`0lAPCo020f
0ol02bD4o`036PCo00@L1?l042X4o`0c@@Co05Q:1?l0I3l4o`1Q@PCo051>1?l08CL3o`088@Co008I
1?l02B<4o`0[?@Co05e61?l0MBP4o`1m6PCo06la1?l0DTd3o`0J<PSo00@L1?l06C44o`1EB`Co07XP
1?l>S`04o`R=00Co07<Z0ol0Bdd4o`0@:PCo008I1?l02B<4o`0g@`Co06hc1?lCT@04ocVO00Co4I00
0ol0K3D4o`0c@@Co00PQ1?l00QX4o`0D;PCo05E;1?l0P1@4oc:L00Co>Il01?l0QPL3o`1MAPCo01`d
1?l00a/4o`057PCo02Di1?l0HT84o`261`Co9IP01?l?T003o`1a;PCo04991?l03BL4o`026@Co00XT
1?l0<d44o`1U?PCo07lE1?l0QPP3o`1f9PCo05M:1?l07SD4o`057PCo00<J1?l03bX4o`0jA@Co05m4
1?l0KS83o`1[=PCo05Q91?l0;3h4o`0;9PCo008J1?l01Ad4o`0D;PCo03E31?l0Dd`4o`1GBP?o04m>
1?l0;3d4o`0@:PCo00@L1?l00QT4o`078@Co01D_1?l0:C`4o`0e@`?o03501?l083H4o`0?:@Co00DN
1?l00QT4o`0370Co00TS1?l04R`4o`0I<@?o01Pa1?l04R`4o`0:90Wooooo00?o0000ooooooooool0
0_ooool001_ooooo00?o0000ooooooooool01oooool4o`0=9`Co00lY1?l03BP4o`098`Co00@M0ol0
0QT4o`036`Co00LQ1?l04B/4o`0N=@Co02Lk1?l09CT4o`0I<@Co00/V0ol011`4o`026@Co00HP1?l0
52d4o`0]?PCo04I;1?l0CTh4o`0lAPCo020f0ol02bD4o`036PCo00@L1?l042X4o`0c@@Co05Q:1?l0
I3l4o`1Q@PCo051>1?l08CL3o`088@Co008I1?l02B<4o`0[?@Co05e61?l0MBP4o`1m6PCo06la1?l0
DTd3o`0J<PSo00@L1?l06C44o`1EB`Co07XP1?l>S`04o`R=00Co07<Z0ol0Bdd4o`0@:PCo008I1?l0
2B<4o`0g@`Co06hc1?lCT@04ocVO00Co4I000ol0K3D4o`0c@@Co00PQ1?l00QX4o`0D;PCo05E;1?l0
P1@4oc:L00Co>Il01?l0QPL3o`1MAPCo01`d1?l00a/4o`057PCo02Di1?l0HT84o`261`Co9IP01?l?
T003o`1a;PCo04991?l03BL4o`026@Co00XT1?l0<d44o`1U?PCo07lE1?l0QPP3o`1f9PCo05M:1?l0
7SD4o`057PCo00<J1?l03bX4o`0jA@Co05m41?l0KS83o`1[=PCo05Q91?l0;3h4o`0;9PCo008J1?l0
1Ad4o`0D;PCo03E31?l0Dd`4o`1GBP?o04m>1?l0;3d4o`0@:PCo00@L1?l00QT4o`078@Co01D_1?l0
:C`4o`0e@`?o03501?l083H4o`0?:@Co00DN1?l00QT4o`0370Co00TS1?l04R`4o`0I<@?o01Pa1?l0
4R`4o`0:90Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4
o`0=9`Co00lY1?l03BP4o`098`Co00@M0ol00QT4o`036`Co00LQ1?l04B/4o`0N=@Co02Lk1?l09CT4
o`0I<@Co00/V0ol011`4o`026@Co00HP1?l052d4o`0]?PCo04I;1?l0CTh4o`0lAPCo020f0ol02bD4
o`036PCo00@L1?l042X4o`0c@@Co05Q:1?l0I3l4o`1Q@PCo051>1?l08CL3o`088@Co008I1?l02B<4
o`0[?@Co05e61?l0MBP4o`1m6PCo06la1?l0DTd3o`0J<PSo00@L1?l06C44o`1EB`Co07XP1?l>S`04
o`R=00Co07<Z0ol0Bdd4o`0@:PCo008I1?l02B<4o`0g@`Co06hc1?lCT@04ocVO00Co4I000ol0K3D4
o`0c@@Co00PQ1?l00QX4o`0D;PCo05E;1?l0P1@4oc:L00Co>Il01?l0QPL3o`1MAPCo01`d1?l00a/4
o`057PCo02Di1?l0HT84o`261`Co9IP01?l?T003o`1a;PCo04991?l03BL4o`026@Co00XT1?l0<d44
o`1U?PCo07lE1?l0QPP3o`1f9PCo05M:1?l07SD4o`057PCo00<J1?l03bX4o`0jA@Co05m41?l0KS83
o`1[=PCo05Q91?l0;3h4o`0;9PCo008J1?l01Ad4o`0D;PCo03E31?l0Dd`4o`1GBP?o04m>1?l0;3d4
o`0@:PCo00@L1?l00QT4o`078@Co01D_1?l0:C`4o`0e@`?o03501?l083H4o`0?:@Co00DN1?l00QT4
o`0370Co00TS1?l04R`4o`0I<@?o01Pa1?l04R`4o`0:90Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0<9`Co00hY1?l03BL4o`098PCo00@M0ol00QT4o`03
6PCo00LQ1?l04B/4o`0M=0Co02Dj1?l08cP4o`0H<0Co00/U0ol011`4o`026@Co00HO1?l04bd4o`0[
?@Co04=91?l0BT`4o`0jA@Co01le0ol02RD4o`036PCo00@L1?l042X4o`0`@0Co05I;1?l0HT44o`1O
A0Co04i>1?l083H3o`078@Co008I1?l02B<4o`0Y?0Co05Y81?l0LR`4o`1j80Co06dd1?l0DDd3o`0I
<PCo00@L1?l00a/4o`0G<0Co05=<1?l0MRH4o`F<00Co08X01?l0LBh3o`18C0Co010Z1?l00QT4o`09
8PCo03A21?l0JcL4o`V=00Co;9X01?l8S@03o`1Z>0Co03511?l02244o`026PCo01<]1?l0Dd`4o`1m
6`Co9IP01?l/VP04o`233P?o05]71?l06c<4o`036`Co00DN1?l08cP4o`1OA0Co08<?1?lJU004o`F<
00?o06hb1?l0?dL4o`0<9`Co008I1?l02B<4o`0`@0Co06911?l0O1`4o`223`?o07<[1?l0ED/4o`0M
=0Co00DN1?l00aX4o`0?:@Co03M31?l0GDH4o`1/=P?o06Tj1?l0ETX4o`0Z?0Co00/U1?l00QX4o`05
7@Co01@]1?l0<d44o`1AC@Co05I;0ol0C4d4o`0Y?0Co00lY1?l011`4o`026@Co00LQ1?l05Bh4o`0W
>`Co03=10ol0;cl4o`0O=@Co00hY1?l01Ah4o`026@Co00<L1?l02B<4o`0A:`Co01P`0ol05c04o`0A
:`Co00TT2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00`W1?l03RT4o`0=9`Co00TR1?l011d3o`026@Co00<J1?l01b44o`0A:`Co01dd1?l09CX4o`0S>0Co
01P`1?l02bD3o`0470Co008I1?l01Ql4o`0C;@Co02/m1?l0@dT4o`1:C0Co03Y51?l07cD3o`0:9@Co
00<J1?l011`4o`0@:PCo03101?l0ET/4o`1R@@Co05m41?l0CTh4o`0P=P?o00LQ1?l00QT4o`098`Co
02Tl1?l0FTP4o`1b;0Co07XP1?l0KC@4o`1AC@?o01Tb1?l011`4o`036`Co01L`1?l0Dd`4o`1f9PCo
1H`01?l0RP04o`1a;P?o04Q<1?l042X4o`026@Co00TR1?l0=484o`1[=`Co2Hd01?l/VP04o`R=00?o
06Xh1?l0<D44o`088@Co008J1?l04bd4o`1CC0Co07dK1?lUV004obbJ00Co08<>0ol0FdL4o`0K<`Co
00<K1?l01Ah4o`0S>0Co05m41?l0P`l4oaZD00Co1H`00ol0KS84o`0oA`Co00`W1?l00QT4o`098`Co
03101?l0HT44o`1l70Co088?0ol0Lb/4o`1EB`Co01dd1?l01Ah4o`036PCo00lY1?l0=d<4o`1MAPCo
06`f0ol0JCX4o`1FBPCo02Xl1?l02bD4o`026PCo00DM1?l052d4o`0c@@Co055=1?l0ET/3o`1<C@Co
02Tl1?l03bT4o`0470Co008I1?l01b44o`0E;PCo02Lk1?l0<d43o`0_?`Co01le1?l03RT4o`057PCo
008I1?l00a`4o`098`Co014[1?l06303o`0G<0Co014[1?l02B@9ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l032L4o`0>:@Co00dW1?l02B84o`047@?o008I
1?l00aX4o`078@Co014[1?l07C@4o`0U>PCo02<h1?l06304o`0;9@?o00@L1?l00QT4o`067`Co01<]
1?l0:cd4o`13B@Co04Y<1?l0>TD4o`0O=@?o00XU1?l00aX4o`0470Co010Z1?l0<404o`1FB`Co0691
1?l0Gd@4o`1>CPCo020f0ol01b44o`026@Co00TS1?l0:C`4o`1JB0Co078/1?l0NR04o`1]=0Co055=
0ol06C84o`0470Co00<K1?l05c04o`1CC0Co07HV1?l5S004o`2:00Co074^0ol0B4`4o`0@:PCo008I
1?l02B84o`0d@PCo06/g1?l9S@04obbJ00Co28d00ol0JSP4o`0a@@Co00PQ1?l00QX4o`0C;@Co05=<
1?l0OA/4obFH00Co;9X01?l0P`h3o`1KA`Co01/c1?l00a/4o`057PCo02<h1?l0Gd@4o`233`Co6Y@0
1?l5S003o`1^<PCo03m71?l032L4o`026@Co00TS1?l0<404o`1R@@Co07`L1?l0PPl3o`1c:`Co05E;
1?l07C@4o`057PCo00<J1?l03bT4o`0g@`Co05e61?l0K3H3o`1Y>PCo05I:1?l0:S`4o`0;9@Co008J
1?l01Ad4o`0D;@Co03=11?l0DDd4o`1FB`?o04a=1?l0:C`4o`0?:@Co00@L1?l00QT4o`078@Co01D^
1?l09c/4o`0c@@?o02lo1?l07cD4o`0>:@Co00DN1?l00QT4o`0370Co00TS1?l04B/4o`0H<0?o01L`
1?l04B/4o`0990Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`0<9PCo00hX1?l032L4o`088PCo00@M0ol00QT4o`036PCo00LQ1?l042X4o`0L<`Co02@i1?l0
8CL4o`0G<0Co00/U0ol011`4o`026@Co00HO1?l04R`4o`0Y?0Co03m71?l0AT/4o`0g@`Co01dd0ol0
2R@4o`036PCo00<K1?l03bT4o`0^?`Co05A<1?l0Gd@4o`1MAPCo04Y=1?l07SD3o`078@Co008I1?l0
2284o`0V>PCo05Q:1?l0Kc44o`1f9PCo06Xh1?l0Cdh3o`0I<@Co00@L1?l00a/4o`0F;`Co055=1?l0
Lb/4o`280`Co08H71?l0KS83o`16BPCo00lY1?l00QT4o`088PCo03501?l0J3X4o`2900Co89H01?l0
R@03o`1X>`Co03101?l02244o`026PCo018/1?l0DDd4o`1i8@Co6Y@01?lQUP04o`205@?o05U91?l0
6S84o`036`Co00DM1?l08CL4o`1MAPCo07lF1?l?T004o`280P?o06`f1?l0?4H4o`0<9PCo008I1?l0
2B<4o`0^?`Co06131?l0NB44o`1o5P?o070`1?l0Dd`4o`0L<`Co00DN1?l00aX4o`0>:@Co03A21?l0
FdL4o`1Y>@?o06Hm1?l0E4`4o`0X>`Co00XU1?l00QX4o`057@Co01<]1?l0<D04o`1?CPCo05A<0ol0
B4/4o`0W>`Co00hX1?l011`4o`026@Co00LQ1?l052h4o`0V>PCo03500ol0;3h4o`0M=0Co00hX1?l0
1Ah4o`026@Co00<L1?l02B<4o`0A:`Co01L`0ol05Rl4o`0@:PCo00TS2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00`V1?l03RP4o`0<9`Co00PR1?l011d3
o`026@Co00<J1?l01b44o`0@:PCo01`c1?l093T4o`0Q=`Co01L`1?l02bD3o`0470Co008I1?l01Ql4
o`0B;0Co02Tl1?l0?dL4o`16B`Co03M31?l07C@3o`0:90Co00<J1?l00a/4o`0?:@Co02ho1?l0E4`4
o`1OA0Co05e61?l0BTd4o`0N=@?o00LQ1?l00QT4o`088PCo02Hj1?l0F4X4o`1_<@Co07HV1?l0JSP4
o`1?CP?o01Ta1?l011`4o`036`Co01H_1?l0DDd4o`1c:`Co08P31?l0QPL4o`1^<P?o04I:1?l03bT4
o`026@Co00PR1?l0<D04o`1X>PCo08T01?lPUP04o`2900?o06Pk1?l0<404o`088@Co008J1?l04R`4
o`1AC@Co07TQ1?lJU004ob6F00Co080E0ol0FDT4o`0J<PCo00<K1?l01Ad4o`0Q=`Co05e61?l0OaH4
o`n@00Co08P20ol0K3H4o`0lAPCo00`V1?l00QT4o`098`Co02ho1?l0H4<4o`1i8@Co07lF0ol0L304
o`1CC0Co01`c1?l01Ah4o`036PCo00hY1?l0=484o`1KA`Co06Ti0ol0ISd4o`1DC0Co02Pk1?l02RD4
o`026PCo00DM1?l04bd4o`0a@0Co04m>1?l0E4`3o`18B`Co02Lk1?l03RP4o`0470Co008I1?l01b44
o`0D;PCo02Hj1?l0<D03o`0/?PCo01dd1?l03RP4o`057PCo008I1?l00a`4o`098`Co014[1?l05c03
o`0F;`Co010Z1?l02B<9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l032H4o`0>:0Co00`W1?l02284o`047@?o008I1?l00aX4o`078@Co010Z1?l073<4o`0T
>@Co024g1?l05c04o`0;9@?o00@L1?l00QT4o`067`Co018/1?l0:C`4o`0oA`Co04I;1?l0=d<4o`0M
=0?o00XT1?l00aX4o`036`Co00lY1?l0;Sl4o`1DC0Co05m41?l0GDH4o`1:C@Co01he0ol01b44o`02
6@Co00PR1?l09SX4o`1HBPCo06la1?l0MRH4o`1Z>0Co04m>0ol06C44o`0470Co00<K1?l05Rl4o`1A
C@Co07<[1?l0R0<4o`261`Co06hb0ol0ATX4o`0?:@Co008I1?l02284o`0a@0Co06Pj1?l0R@04ob2F
00Co08T00ol0J3/4o`0`@0Co00PQ1?l00QX4o`0B;0Co055=1?l0NB44oaZD00Co8IH01?l0P1D3o`1I
B@Co01Xb1?l00a/4o`057@Co024g1?l0GDH4o`1o5PCo3i001?l0R083o`1/=PCo03a61?l032H4o`02
6@Co00TS1?l0;Sl4o`1P@`Co07TQ1?l0OaH3o`1`<0Co05=<1?l073<4o`057PCo00<J1?l03RT4o`0d
@PCo05]71?l0JCT3o`1V?@Co05A<1?l0:3/4o`0:9@Co008J1?l01Ad4o`0C;@Co03501?l0Cdh4o`1D
C0?o04Q;1?l09c/4o`0>:0Co00@L1?l00QT4o`078@Co01@^1?l09SX4o`0a@0?o02`n1?l07C@4o`0>
:0Co00DN1?l00QT4o`0370Co00TS1?l04B/4o`0G<0?o01H_1?l042X4o`098`Wooooo00?o0000oooo
ooooool00_ooool001_ooooo0ol00007ooooo`Co00`V1?l03RP4o`0<9`Co00PR1?l011d3o`026@Co
00<J1?l01b44o`0@:PCo01`c1?l093T4o`0Q=`Co01L`1?l02bD3o`0470Co008I1?l01Ql4o`0B;0Co
02Tl1?l0?dL4o`16B`Co03M31?l07C@3o`0:90Co00<J1?l00a/4o`0?:@Co02ho1?l0E4`4o`1OA0Co
05e61?l0BTd4o`0N=@?o00LQ1?l00QT4o`088PCo02Hj1?l0F4X4o`1_<@Co07HV1?l0JSP4o`1?CP?o
01Ta1?l011`4o`036`Co01H_1?l0DDd4o`1c:`Co08P31?l0QPL4o`1^<P?o04I:1?l03bT4o`026@Co
00PR1?l0<D04o`1X>PCo08T01?lPUP04o`2900?o06Pk1?l0<404o`088@Co008J1?l04R`4o`1AC@Co
07TQ1?lJU004ob6F00Co080E0ol0FDT4o`0J<PCo00<K1?l01Ad4o`0Q=`Co05e61?l0OaH4o`n@00Co
08P20ol0K3H4o`0lAPCo00`V1?l00QT4o`098`Co02ho1?l0H4<4o`1i8@Co07lF0ol0L304o`1CC0Co
01`c1?l01Ah4o`036PCo00hY1?l0=484o`1KA`Co06Ti0ol0ISd4o`1DC0Co02Pk1?l02RD4o`026PCo
00DM1?l04bd4o`0a@0Co04m>1?l0E4`3o`18B`Co02Lk1?l03RP4o`0470Co008I1?l01b44o`0D;PCo
02Hj1?l0<D03o`0/?PCo01dd1?l03RP4o`057PCo008I1?l00a`4o`098`Co014[1?l05c03o`0F;`Co
010Z1?l02B<7ooooo`?o00001?ooool001_ooooo00?o0000ooooooooool01oooool4o`0;9PCo00dX
1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LP1?l03bX4o`0K<PCo028g1?l083H4o`0F;`Co00XU
0ol011`4o`026@Co00HO1?l04B/4o`0W>PCo03a61?l0@TT4o`0d@PCo01`d0ol02R@4o`036PCo00<K
1?l03RT4o`0/?@Co059=1?l0GDH4o`1KB0Co04M;1?l07C@3o`078@Co008I1?l02284o`0T>@Co05I;
1?l0K3D4o`1c:`Co06Pk1?l0CDh3o`0H<0Co00@L1?l00a/4o`0E;PCo04m>1?l0L304o`242`Co08<?
1?l0K3H3o`13B@Co00lY1?l00QT4o`088PCo02ho1?l0ICh4o`2520Co5I801?l0QPP3o`1V?@Co02ho
1?l01b44o`026PCo014[1?l0Cdh4o`1f9`Co3i001?lFTP04o`1l6`?o05M:1?l06C84o`036`Co00DM
1?l07cH4o`1JB0Co07/M1?l5S004o`252P?o06Ti1?l0>D@4o`0<9PCo008I1?l02B<4o`0/?@Co05i5
1?l0MRL4o`1l7@?o06dd1?l0DDd4o`0J<PCo00DM1?l00aX4o`0>:0Co03911?l0FDT4o`1V?@?o06=0
1?l0DTd4o`0U>PCo00XT1?l00QX4o`057@Co018/1?l0;cl4o`1=CPCo059=0ol0A4X4o`0U>@Co00hX
1?l011`4o`026PCo00LQ1?l052d4o`0T>@Co02ho0ol0:Sd4o`0L<`Co00dW1?l01Ad4o`026@Co00<L
1?l02B<4o`0@:PCo01H_0ol05Bl4o`0@:PCo00TS2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00/V1?l03BP4o`0<9PCo00PR1?l011d3o`026@Co00<J1?l0
1b04o`0?:PCo01/b1?l08SL4o`0P=PCo01H_1?l02RD3o`0470Co008I1?l01Ql4o`0A:`Co02Lj1?l0
?4H4o`12B@Co03A21?l073@3o`0:90Co00<J1?l00a/4o`0>:@Co02`m1?l0DTd4o`1MAPCo05]81?l0
Ad/4o`0M=0?o00LQ1?l00QT4o`088PCo02@i1?l0ET/4o`1/=@Co07<[1?l0J3/4o`1=CP?o01P`1?l0
11`4o`036`Co01D^1?l0Cdh4o`1`<0Co08@;1?l0P`l4o`1/=P?o04=91?l03bT4o`026@Co00PR1?l0
;Sl4o`1U?PCo08D81?lETP04o`2620?o06Hm1?l0;Sl4o`078@Co008J1?l04B/4o`1?CPCo07HW1?l?
T004oaJB00Co07`K0ol0EdX4o`0I<PCo00<K1?l01Ad4o`0O=PCo05Y81?l0Nad4o`F<00Co08D:0ol0
JCT4o`0iA0Co00`V1?l00QT4o`098`Co02`m1?l0GTD4o`1f9`Co07`M0ol0KC@4o`1AC@Co01Xb1?l0
1Ad4o`036PCo00hX1?l0<T44o`1IB@Co06Hm0ol0Hd04o`1BC@Co02Dj1?l02R@4o`026PCo00DM1?l0
4R`4o`0_?`Co04e>1?l0DTd3o`14BPCo02Di1?l03RP4o`0470Co008J1?l01b44o`0D;@Co02@i1?l0
;Sl3o`0Z?@Co01`c1?l03BL4o`057@Co008I1?l00a`4o`098`Co010Z1?l05Rl3o`0E;`Co010Z1?l0
2B<9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02bH4
o`0=:0Co00`V1?l02284o`047@?o008I1?l00aX4o`0780Co00lZ1?l06c84o`0R=`Co020f1?l05Rl4
o`0:9@?o00@L1?l00QT4o`067`Co014[1?l09cX4o`0lAPCo04991?l0=484o`0L=0?o00XT1?l00aX4
o`036`Co00hY1?l0;3d4o`1BC@Co05e61?l0FdP4o`17B`Co01dd0ol01b44o`026@Co00PR1?l093T4
o`1FB`Co06`e1?l0Lb/4o`1X>`Co04e>0ol06304o`0470Co00<K1?l05Bh4o`1?CPCo070`1?l0Q0/4
o`233`Co06`f0ol0@dT4o`0?:@Co008I1?l02284o`0^?`Co06Dn1?l0Q@P4oaFB00Co08H80ol0ISd4
o`0^?`Co00LQ1?l00QX4o`0A:`Co04m>1?l0MRL4o`n@00Co5Y801?l0O1/3o`1GBPCo01Tb1?l00a/4
o`057@Co01lf1?l0FTP4o`1k7@Co1H`01?l0Q@X3o`1Y>@Co03U41?l032H4o`026@Co00TS1?l0;3d4
o`1NA@Co07HW1?l0O1d3o`1]=0Co055=1?l06S84o`057@Co00<J1?l03RP4o`0b@@Co05U91?l0ISd3
o`1S@0Co059=1?l09CX4o`0:90Co008J1?l01Ad4o`0B;0Co02lo1?l0CDh4o`1BC@?o04A:1?l09CT4
o`0>:0Co00@L1?l00QX4o`078@Co01@]1?l093T4o`0^?`?o02Xm1?l073<4o`0=9`Co00DM1?l00QT4
o`0370Co00TS1?l042X4o`0F;`?o01D_1?l042X4o`098`Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0;9PCo00dX1?l032H4o`088PCo00@M0ol00QT4o`03
6PCo00LP1?l03bX4o`0K<PCo028g1?l083H4o`0F;`Co00XU0ol011`4o`026@Co00HO1?l04B/4o`0W
>PCo03a61?l0@TT4o`0d@PCo01`d0ol02R@4o`036PCo00<K1?l03RT4o`0/?@Co059=1?l0GDH4o`1K
B0Co04M;1?l07C@3o`078@Co008I1?l02284o`0T>@Co05I;1?l0K3D4o`1c:`Co06Pk1?l0CDh3o`0H
<0Co00@L1?l00a/4o`0E;PCo04m>1?l0L304o`242`Co08<?1?l0K3H3o`13B@Co00lY1?l00QT4o`08
8PCo02ho1?l0ICh4o`2520Co5I801?l0QPP3o`1V?@Co02ho1?l01b44o`026PCo014[1?l0Cdh4o`1f
9`Co3i001?lFTP04o`1l6`?o05M:1?l06C84o`036`Co00DM1?l07cH4o`1JB0Co07/M1?l5S004o`25
2P?o06Ti1?l0>D@4o`0<9PCo008I1?l02B<4o`0/?@Co05i51?l0MRL4o`1l7@?o06dd1?l0DDd4o`0J
<PCo00DM1?l00aX4o`0>:0Co03911?l0FDT4o`1V?@?o06=01?l0DTd4o`0U>PCo00XT1?l00QX4o`05
7@Co018/1?l0;cl4o`1=CPCo059=0ol0A4X4o`0U>@Co00hX1?l011`4o`026PCo00LQ1?l052d4o`0T
>@Co02ho0ol0:Sd4o`0L<`Co00dW1?l01Ad4o`026@Co00<L1?l02B<4o`0@:PCo01H_0ol05Bl4o`0@
:PCo00TS2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00/U1?l03BL4o`0<9PCo00PR1?l011d3o`026@Co00<J1?l01b04o`0?:@Co01Tb1?l083H4o`0N=@Co
01D^1?l02R@3o`0470Co008I1?l01Al4o`0A:`Co02Di1?l0>D@4o`0oA`Co03911?l06c<3o`0:90Co
00<J1?l00a/4o`0>:0Co02Tl1?l0D4h4o`1KA`Co05U91?l0@dT4o`0L=0?o00LQ1?l00QT4o`088PCo
028h1?l0Dd`4o`1Y>@Co070_1?l0ICh4o`19C0?o01L`1?l011`4o`036`Co01@]1?l0Bdd4o`1]=0Co
080C1?l0OaH4o`1Y>@?o04181?l03RT4o`026@Co00LQ1?l0:cd4o`1R@@Co088A1?l;SP04o`223`?o
06=01?l0;3h4o`078@Co008J1?l042X4o`1;C@Co078/1?l5R`04o`^>00Co07TQ0ol0ED/4o`0H<@Co
00<K1?l011d4o`0M=0Co05Q:1?l0N2<4o`280`Co084B0ol0IS`4o`0f@`Co00/U1?l00QT4o`088PCo
02Xl1?l0FdL4o`1b;0Co07PS0ol0JSP4o`1?CPCo01Ta1?l01Ad4o`036PCo00hX1?l0<404o`1GBPCo
06@o0ol0HD84o`1@CPCo02<h1?l02R@4o`026@Co00@M1?l04R`4o`0]?PCo04U<1?l0D4h3o`10B0Co
02<h1?l03BL4o`0470Co008J1?l01b44o`0C;@Co02<h1?l0;3h3o`0X>`Co01Xb1?l032L4o`047@Co
008I1?l00a`4o`088PCo010Z1?l05Bh3o`0D;PCo00lY1?l02289ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02bD4o`0=9`Co00`V1?l02284o`047@?o008I
1?l00aX4o`0780Co00lY1?l06C84o`0P=PCo01he1?l05Bh4o`0:90?o00@L1?l00QT4o`057`Co014[
1?l09CT4o`0iA0Co03m71?l0<T44o`0K<`?o00XT1?l00aX4o`036`Co00hX1?l0:C`4o`1@CPCo05]7
1?l0FDT4o`13B@Co01`d0ol01b44o`026@Co00PR1?l08SP4o`1CC0Co06Ti1?l0L2l4o`1U?PCo04U<
0ol05c04o`0470Co00<K1?l052d4o`1;C@Co06dd1?l0P1<4o`1o5PCo06Ti0ol0@4P4o`0>:@Co008I
1?l01b44o`0[?@Co06911?l0PQ44o`^>00Co088?0ol0Hd04o`0/?PCo00LQ1?l00QX4o`0@:PCo04]=
1?l0LR`4o`F;00Co2hh01?l0NB43o`1EB`Co01Pa1?l00a/4o`047@Co01dd1?l0F4X4o`1h8`Co08P3
1?l0PA83o`1V?0Co03I31?l02bD4o`026@Co00PR1?l0:S`4o`1KA`Co078/1?l0N2<3o`1Z>0Co04m>
1?l06C44o`057@Co00<J1?l03RP4o`0`@0Co05M:1?l0I3l3o`1Q@PCo051>1?l08cP4o`0:90Co008I
1?l011d4o`0B;0Co02dn1?l0BD`4o`1@CP?o04181?l08cP4o`0=9`Co00@L1?l00QX4o`078@Co01<]
1?l08cP4o`0/?P?o02Pk1?l06S84o`0<9`Co00@M1?l00QT4o`0370Co00PR1?l042X4o`0E;P?o01@^
1?l03bT4o`088PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`0;9@Co00dW1?l032H4o`088PCo00@M0ol00QT4o`036PCo00LP1?l03bT4o`0I<PCo020f1?l0
7SD4o`0E;PCo00XT0ol011`4o`026@Co00DO1?l04B/4o`0U>@Co03U41?l0?dL4o`0b@@Co01/c0ol0
2R@4o`036PCo00<K1?l03RP4o`0Y?0Co051>1?l0FdL4o`1IB@Co04=91?l073@3o`078@Co008I1?l0
2284o`0R>0Co05=<1?l0JCT4o`1`;`Co06Dn1?l0BD`3o`0G<0Co00@L1?l00a/4o`0D;@Co04]=1?l0
KC@4o`204`Co07lF1?l0JCT3o`10B0Co00hY1?l00QT4o`078@Co02/m1?l0HT44o`224@Co2hh01?l0
PPl3o`1S@0Co02`n1?l01b44o`026PCo010Z1?l0Bdd4o`1b;0Co1H/01?l;SP04o`1i8@?o05E;1?l0
6344o`036`Co00@M1?l07C@4o`1HBPCo07PS1?l0R0<4o`214P?o06Hl1?l0=T<4o`0;9@Co008I1?l0
2284o`0Z?0Co05]71?l0LR`4o`1h8`?o06Xh1?l0Cdh4o`0I<@Co00DM1?l00aX4o`0>:0Co03101?l0
EdX4o`1T?`?o06521?l0D4h4o`0S>0Co00XT1?l00QT4o`047@Co018/1?l0;Ch4o`19C0Co051>0ol0
@4P4o`0S>0Co00dW1?l011`4o`026PCo00LQ1?l04bd4o`0S>0Co02`n0ol0:3/4o`0J<PCo00`W1?l0
11d4o`026@Co00<L1?l02284o`0@:PCo01D^0ol052h4o`0?:@Co00PR2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00/U1?l03BL4o`0<9PCo00PR1?l011d3
o`026@Co00<J1?l01b04o`0?:@Co01Tb1?l083H4o`0N=@Co01D^1?l02R@3o`0470Co008I1?l01Al4
o`0A:`Co02Di1?l0>D@4o`0oA`Co03911?l06c<3o`0:90Co00<J1?l00a/4o`0>:0Co02Tl1?l0D4h4
o`1KA`Co05U91?l0@dT4o`0L=0?o00LQ1?l00QT4o`088PCo028h1?l0Dd`4o`1Y>@Co070_1?l0ICh4
o`19C0?o01L`1?l011`4o`036`Co01@]1?l0Bdd4o`1]=0Co080C1?l0OaH4o`1Y>@?o04181?l03RT4
o`026@Co00LQ1?l0:cd4o`1R@@Co088A1?l;SP04o`223`?o06=01?l0;3h4o`078@Co008J1?l042X4
o`1;C@Co078/1?l5R`04o`^>00Co07TQ0ol0ED/4o`0H<@Co00<K1?l011d4o`0M=0Co05Q:1?l0N2<4
o`280`Co084B0ol0IS`4o`0f@`Co00/U1?l00QT4o`088PCo02Xl1?l0FdL4o`1b;0Co07PS0ol0JSP4
o`1?CPCo01Ta1?l01Ad4o`036PCo00hX1?l0<404o`1GBPCo06@o0ol0HD84o`1@CPCo02<h1?l02R@4
o`026@Co00@M1?l04R`4o`0]?PCo04U<1?l0D4h3o`10B0Co02<h1?l03BL4o`0470Co008J1?l01b44
o`0C;@Co02<h1?l0;3h3o`0X>`Co01Xb1?l032L4o`047@Co008I1?l00a`4o`088PCo010Z1?l05Bh3
o`0D;PCo00lY1?l02289ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l02bD4o`0<9`Co00/U1?l02244o`0470?o008I1?l00aX4o`0680Co00hX1?l06344o`0O
=@Co01dd1?l052d4o`0:90?o00@L1?l00QT4o`057PCo010Z1?l08cP4o`0f@`Co03a61?l0;cl4o`0J
<P?o00TS1?l00aX4o`036`Co00dW1?l09c/4o`1=CPCo05Q91?l0ETX4o`10B0Co01/c0ol01b04o`02
6@Co00LQ1?l083L4o`1AC@Co06Hl1?l0KC@4o`1S@0Co04I;0ol05Rl4o`0470Co00<K1?l04b`4o`16
B`Co06Xh1?l0OAX4o`1l7@Co06Ll0ol0?DH4o`0>:0Co008I1?l01b44o`0X>`Co05m41?l0OQP4o`6:
00Co07lF0ol0HD84o`0Z?@Co00LQ1?l00QX4o`0@:PCo04I;1?l0Kc44o`2710Co0HX01?l0MRH3o`1C
C0Co01P`1?l00a/4o`047@Co01`c1?l0ED/4o`1e:@Co08@<1?l0OAT3o`1T?`Co03A21?l02bD4o`02
6@Co00PR1?l09c/4o`1IB@Co06la1?l0MBP3o`1W>`Co04]=1?l06304o`047@Co00<J1?l03BL4o`0]
?PCo05E;1?l0HD83o`1NA@Co04i>1?l08CL4o`098`Co008I1?l011d4o`0A:`Co02/m1?l0ADX4o`1=
CP?o03a61?l08CL4o`0<9PCo00<K1?l00QX4o`0780Co018/1?l08CL4o`0Z?0?o02Hj1?l06C44o`0<
9PCo00@M1?l00QT4o`0370Co00PR1?l03bT4o`0D;P?o01<]1?l03RP4o`088PWooooo00?o0000oooo
ooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0;9@Co00`W1?l02bD4o`088@Co
00@L0ol00QT4o`036PCo00HP1?l03RP4o`0H<@Co01le1?l07C@4o`0D;@Co00XT0ol011`4o`026@Co
00DN1?l042X4o`0S>0Co03I31?l0?4H4o`0_?`Co01Xb0ol02B<4o`036PCo00<K1?l03BL4o`0W>`Co
04e>1?l0F4T4o`1FBPCo04181?l06c<3o`0780Co008I1?l01b44o`0P=`Co055=1?l0IS`4o`1]=0Co
06=01?l0AT/3o`0F;`Co00@L1?l00a/4o`0C;0Co04I;1?l0JSP4o`1m6PCo07`M1?l0Ic`3o`0mAPCo
00hX1?l00QT4o`078@Co02Pk1?l0Gd@4o`1n60Co0HX01?l0OaH3o`1Q@PCo02Xm1?l01b44o`026PCo
010Z1?l0AT/4o`1_<@Co08L41?l1RP04o`1f9P?o05=<1?l06304o`036`Co00@M1?l073<4o`1EB`Co
07DY1?l0Q0`4o`1m6@?o06@o1?l0=484o`0;9@Co008I1?l02284o`0W>`Co05U91?l0Kc44o`1e:0?o
06Lk1?l0Bdd4o`0H<0Co00@M1?l00aX4o`0=9`Co02dn1?l0ED/4o`1Q@P?o05i51?l0CTh4o`0Q=`Co
00TS1?l00QT4o`047@Co014[1?l0:cd4o`15BPCo04e>0ol0?4H4o`0Q=`Co00`V1?l00a/4o`026PCo
00LP1?l04R`4o`0Q=`Co02Xl0ol09SX4o`0I<@Co00`V1?l011d4o`026@Co00<L1?l02284o`0?:@Co
01@^0ol04bd4o`0>:0Co00PR2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00/U1?l032L4o`0;9@Co00PQ1?l011`3o`026@Co00<J1?l01R04o`0>:0Co01Pa
1?l07cD4o`0M=0Co01@]1?l02R@3o`0470Co008I1?l01Ah4o`0@:PCo02<h1?l0=T<4o`0lAPCo02lo
1?l06S83o`098`Co00<J1?l00a/4o`0=9`Co02Lk1?l0CDh4o`1HB@Co05I:1?l0@4P4o`0K<`?o00LP
1?l00QT4o`078@Co020g1?l0DDd4o`1V?0Co06dd1?l0Hd04o`16B`?o01H_1?l011`4o`036`Co01</
1?l0AT/4o`1Z>0Co07dJ1?l0O1d4o`1W?0?o03e61?l03RP4o`026@Co00LQ1?l0:3/4o`1OA0Co07hH
1?l1RP04o`1o5P?o06521?l0:Sd4o`078@Co008J1?l042X4o`16B`Co06la1?l0Q`@4o`6:00Co07HV
0ol0Dd`4o`0H<0Co00<K1?l011d4o`0L<`Co05E;1?l0MBT4o`2430Co07dI0ol0I3l4o`0d@PCo00/U
1?l00QT4o`088PCo02Lk1?l0FDT4o`1_<@Co07DX0ol0Ic/4o`1;C@Co01P`1?l011d4o`036PCo00dW
1?l0;Ch4o`1EB`Co06520ol0GTD4o`1>CPCo024g1?l02B<4o`026@Co00@M1?l04B/4o`0[?@Co04E:
1?l0CDh3o`0lAPCo024g1?l032H4o`036`Co008J1?l01b04o`0B;0Co024g1?l0:S`3o`0V>PCo01Ta
1?l032H4o`047@Co008I1?l00a`4o`088PCo00lY1?l052h3o`0C;@Co00hX1?l02289ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02bD4o`0<9`Co00/U1?l0
2244o`0470?o008I1?l00aX4o`0680Co00hX1?l06344o`0O=@Co01dd1?l052d4o`0:90?o00@L1?l0
0QT4o`057PCo010Z1?l08cP4o`0f@`Co03a61?l0;cl4o`0J<P?o00TS1?l00aX4o`036`Co00dW1?l0
9c/4o`1=CPCo05Q91?l0ETX4o`10B0Co01/c0ol01b04o`026@Co00LQ1?l083L4o`1AC@Co06Hl1?l0
KC@4o`1S@0Co04I;0ol05Rl4o`0470Co00<K1?l04b`4o`16B`Co06Xh1?l0OAX4o`1l7@Co06Ll0ol0
?DH4o`0>:0Co008I1?l01b44o`0X>`Co05m41?l0OQP4o`6:00Co07lF0ol0HD84o`0Z?@Co00LQ1?l0
0QX4o`0@:PCo04I;1?l0Kc44o`2710Co0HX01?l0MRH3o`1CC0Co01P`1?l00a/4o`047@Co01`c1?l0
ED/4o`1e:@Co08@<1?l0OAT3o`1T?`Co03A21?l02bD4o`026@Co00PR1?l09c/4o`1IB@Co06la1?l0
MBP3o`1W>`Co04]=1?l06304o`047@Co00<J1?l03BL4o`0]?PCo05E;1?l0HD83o`1NA@Co04i>1?l0
8CL4o`098`Co008I1?l011d4o`0A:`Co02/m1?l0ADX4o`1=CP?o03a61?l08CL4o`0<9PCo00<K1?l0
0QX4o`0780Co018/1?l08CL4o`0Z?0?o02Hj1?l06C44o`0<9PCo00@M1?l00QT4o`0370Co00PR1?l0
3bT4o`0D;P?o01<]1?l03RP4o`088PWooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`0:90Co00`V1?l02bD4o`078@Co00@L0ol00QT4o`036PCo00HP1?l03RP4
o`0G<0Co01dd1?l073<4o`0C;@Co00TS0ol011`4o`026@Co00DN1?l03bT4o`0Q=`Co03=11?l0>4@4
o`0]?PCo01Ta0ol02B<4o`036PCo00<K1?l03BL4o`0U>@Co04Q<1?l0ET/4o`1DC0Co03e61?l06S83
o`0780Co008I1?l01b44o`0O=@Co04m>1?l0I404o`1Z>0Co06131?l0@TT3o`0E;`Co00@L1?l00a/4
o`0B;0Co04991?l0Ic`4o`1i8@Co07PS1?l0I3l3o`0jA@Co00hX1?l00QX4o`0780Co02Hj1?l0GDH4
o`1j80Co08H81?l0Nad3o`1NA0Co02Pk1?l01b44o`026PCo00lY1?l0@TT4o`1/=PCo08<=1?l0QPL4
o`1c;0?o055=1?l05c04o`036`Co00@M1?l06S84o`1CC0Co074^1?l0P1@4o`1j80?o06521?l0<D04
o`0:9@Co008I1?l02284o`0U>PCo05M:1?l0K3D4o`1a;P?o06Dn1?l0Ad/4o`0G<0Co00@M1?l00aX4
o`0=9`Co02/m1?l0Dd`4o`1NA0?o05a71?l0BD`4o`0O=PCo00TS1?l00QT4o`047@Co014[1?l0:C`4
o`12B@Co04U<0ol0>D@4o`0O=@Co00`V1?l00a/4o`026PCo00LP1?l04R`4o`0P=PCo02Pk0ol093T4
o`0G<0Co00/U1?l011d4o`026@Co00<L1?l02284o`0?:@Co01<]0ol04b`4o`0=:0Co00PQ2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00XT1?l032H4o`0;
9@Co00LQ1?l011`3o`026@Co00<J1?l01R04o`0>:0Co01L`1?l07C@4o`0L<`Co01<]1?l02B<3o`04
70Co008I1?l01Ah4o`0?:@Co024g1?l0<d44o`0hA0Co02dn1?l06C43o`098`Co00<J1?l00a/4o`0=
9`Co02Di1?l0B4`4o`1FB`Co05A<1?l0?DH4o`0J<P?o00LP1?l00QT4o`078@Co01le1?l0Cdh4o`1T
@0Co06Xh1?l0H4<4o`12B@?o01D_1?l011`4o`036`Co018/1?l0@TT4o`1W?0Co07TQ1?l0N2<4o`1T
?`?o03Y51?l03RP4o`026PCo00LP1?l09SX4o`1MAPCo07XP1?l0QPP4o`1k7@?o05i41?l0:3/4o`07
8@Co008J1?l03bT4o`12B@Co06`f1?l0P`d4o`261`Co07</0ol0DDd4o`0G<0Co00<K1?l011d4o`0J
<PCo05=<1?l0LBh4o`2050Co07XP0ol0HD84o`0a@0Co00XU1?l00QT4o`088PCo02Dj1?l0EdX4o`1/
=@Co074^0ol0ICh4o`17B`Co01L`1?l011d4o`036PCo00dW1?l0:cd4o`1CC0Co05i40ol0G4L4o`19
C0Co01lf1?l02B<4o`026@Co00@M1?l04B/4o`0Y?0Co04991?l0BD`3o`0iA0Co01le1?l032H4o`03
6`Co008J1?l01b04o`0B;0Co020f1?l0:3/3o`0T>@Co01L`1?l02bD4o`047@Co008I1?l00a`4o`08
8PCo00lY1?l04bd3o`0C;0Co00dX1?l02249ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l02R@4o`0<9PCo00/U1?l01b44o`0470?o008I1?l00aX4o`0680Co
00hX1?l05c04o`0M=0Co01`c1?l04bd4o`098`?o00@L1?l00QT4o`057PCo00lY1?l08CL4o`0c@@Co
03Q41?l0;Ch4o`0I<@?o00TS1?l00aX4o`036`Co00dW1?l09CT4o`18C0Co05I;1?l0E4`4o`0mAPCo
01Xb0ol01b04o`026@Co00LQ1?l07cD4o`1?CPCo06A01?l0JSP4o`1P@`Co04990ol05Bl4o`0470Co
00<K1?l04R`4o`12B@Co06Ll1?l0NB44o`1h8`Co06@o0ol0>TD4o`0>:0Co008J1?l01b04o`0V>PCo
05e61?l0NR04o`2620Co07/M0ol0GT@4o`0X>`Co00LQ1?l00QX4o`0?:@Co04991?l0K3H4o`233@Co
08H71?l0Lb`3o`1AC@Co01L`1?l00a/4o`047@Co01Xb1?l0Dd`4o`1a;PCo080D1?l0NR03o`1Q@PCo
03501?l02RD4o`026@Co00PR1?l09CX4o`1GBPCo06`e1?l0LBh3o`1U?PCo04M;1?l05c04o`047@Co
00<J1?l03BL4o`0[?@Co05=<1?l0GT@3o`1LA`Co04U<1?l07cH4o`098`Co008I1?l011d4o`0A:`Co
02Tl1?l0@TT4o`19C0?o03U41?l07cD4o`0<9PCo00<K1?l00QX4o`0780Co018/1?l083H4o`0X>`?o
02@i1?l05c04o`0;9@Co00@M1?l00QT4o`0370Co00PR1?l03bT4o`0C;@?o01</1?l03BP4o`088@Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`0:90Co00`V
1?l02bD4o`078@Co00@L0ol00QT4o`036PCo00HP1?l03RP4o`0G<0Co01dd1?l073<4o`0C;@Co00TS
0ol011`4o`026@Co00DN1?l03bT4o`0Q=`Co03=11?l0>4@4o`0]?PCo01Ta0ol02B<4o`036PCo00<K
1?l03BL4o`0U>@Co04Q<1?l0ET/4o`1DC0Co03e61?l06S83o`0780Co008I1?l01b44o`0O=@Co04m>
1?l0I404o`1Z>0Co06131?l0@TT3o`0E;`Co00@L1?l00a/4o`0B;0Co04991?l0Ic`4o`1i8@Co07PS
1?l0I3l3o`0jA@Co00hX1?l00QX4o`0780Co02Hj1?l0GDH4o`1j80Co08H81?l0Nad3o`1NA0Co02Pk
1?l01b44o`026PCo00lY1?l0@TT4o`1/=PCo08<=1?l0QPL4o`1c;0?o055=1?l05c04o`036`Co00@M
1?l06S84o`1CC0Co074^1?l0P1@4o`1j80?o06521?l0<D04o`0:9@Co008I1?l02284o`0U>PCo05M:
1?l0K3D4o`1a;P?o06Dn1?l0Ad/4o`0G<0Co00@M1?l00aX4o`0=9`Co02/m1?l0Dd`4o`1NA0?o05a7
1?l0BD`4o`0O=PCo00TS1?l00QT4o`047@Co014[1?l0:C`4o`12B@Co04U<0ol0>D@4o`0O=@Co00`V
1?l00a/4o`026PCo00LP1?l04R`4o`0P=PCo02Pk0ol093T4o`0G<0Co00/U1?l011d4o`026@Co00<L
1?l02284o`0?:@Co01<]0ol04b`4o`0=:0Co00PQ2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00XT1?l02bH4o`0:90Co00LQ1?l011`3o`026@Co00<J1?l0
1Ql4o`0=9`Co01H_1?l073<4o`0J<PCo018/1?l02B<3o`0370Co008I1?l01Ah4o`0?:@Co01lf1?l0
<404o`0e@`Co02Xm1?l05c03o`098`Co00<J1?l00a/4o`0<9PCo02<h1?l0A4X4o`1DC0Co059=1?l0
>DD4o`0I<@?o00LP1?l00QT4o`0780Co01dd1?l0Bdd4o`1Q@PCo06Lk1?l0GTD4o`0oA`?o01@^1?l0
11`4o`036`Co014[1?l0?TL4o`1T@0Co07DW1?l0MBT4o`1Q@P?o03M41?l03BP4o`026PCo00HP1?l0
93T4o`1JB0Co07HV1?l0PQ04o`1h8`?o05a61?l09cX4o`078@Co008I1?l03RP4o`0nA`Co06Pj1?l0
OaD4o`2240Co070`0ol0Cdh4o`0F;`Co00<K1?l011`4o`0I<@Co055=1?l0KS<4o`1l6`Co07HV0ol0
GT@4o`0^?`Co00XT1?l00QT4o`088@Co02@i1?l0E4`4o`1Y>@Co06hb0ol0HT44o`13B@Co01D_1?l0
11d4o`036PCo00`W1?l0:C`4o`1AC@Co05a70ol0FDT4o`14BPCo01he1?l02284o`026@Co00@M1?l0
42X4o`0W>`Co03i71?l0A4X3o`0e@`Co01dd1?l02bD4o`036`Co008J1?l01b04o`0A:`Co01he1?l0
9SX3o`0R=`Co01H_1?l02RD4o`0470Co008I1?l00a`4o`088PCo00hX1ol04R`4o`0=9`Co00LQ2Ooo
ool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00XT1?l02bH4
o`0:90Co00LQ1?l011`3o`026@Co00<J1?l01Ql4o`0=9`Co01H_1?l073<4o`0J<PCo018/1?l02B<3
o`0370Co008I1?l01Ah4o`0?:@Co01lf1?l0<404o`0e@`Co02Xm1?l05c03o`098`Co00<J1?l00a/4
o`0<9PCo02<h1?l0A4X4o`1DC0Co059=1?l0>DD4o`0I<@?o00LP1?l00QT4o`0780Co01dd1?l0Bdd4
o`1Q@PCo06Lk1?l0GTD4o`0oA`?o01@^1?l011`4o`036`Co014[1?l0?TL4o`1T@0Co07DW1?l0MBT4
o`1Q@P?o03M41?l03BP4o`026PCo00HP1?l093T4o`1JB0Co07HV1?l0PQ04o`1h8`?o05a61?l09cX4
o`078@Co008I1?l03RP4o`0nA`Co06Pj1?l0OaD4o`2240Co070`0ol0Cdh4o`0F;`Co00<K1?l011`4
o`0I<@Co055=1?l0KS<4o`1l6`Co07HV0ol0GT@4o`0^?`Co00XT1?l00QT4o`088@Co02@i1?l0E4`4
o`1Y>@Co06hb0ol0HT44o`13B@Co01D_1?l011d4o`036PCo00`W1?l0:C`4o`1AC@Co05a70ol0FDT4
o`14BPCo01he1?l02284o`026@Co00@M1?l042X4o`0W>`Co03i71?l0A4X3o`0e@`Co01dd1?l02bD4
o`036`Co008J1?l01b04o`0A:`Co01he1?l09SX3o`0R=`Co01H_1?l02RD4o`0470Co008I1?l00a`4
o`088PCo00hX1ol04R`4o`0=9`Co00LQ2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00XT1?l02bH4o`0:90Co00LQ1?l011`3o`026@Co00<J1?l01Ql4o`0=
9`Co01H_1?l073<4o`0J<PCo018/1?l02B<3o`0370Co008I1?l01Ah4o`0?:@Co01lf1?l0<404o`0e
@`Co02Xm1?l05c03o`098`Co00<J1?l00a/4o`0<9PCo02<h1?l0A4X4o`1DC0Co059=1?l0>DD4o`0I
<@?o00LP1?l00QT4o`0780Co01dd1?l0Bdd4o`1Q@PCo06Lk1?l0GTD4o`0oA`?o01@^1?l011`4o`03
6`Co014[1?l0?TL4o`1T@0Co07DW1?l0MBT4o`1Q@P?o03M41?l03BP4o`026PCo00HP1?l093T4o`1J
B0Co07HV1?l0PQ04o`1h8`?o05a61?l09cX4o`078@Co008I1?l03RP4o`0nA`Co06Pj1?l0OaD4o`22
40Co070`0ol0Cdh4o`0F;`Co00<K1?l011`4o`0I<@Co055=1?l0KS<4o`1l6`Co07HV0ol0GT@4o`0^
?`Co00XT1?l00QT4o`088@Co02@i1?l0E4`4o`1Y>@Co06hb0ol0HT44o`13B@Co01D_1?l011d4o`03
6PCo00`W1?l0:C`4o`1AC@Co05a70ol0FDT4o`14BPCo01he1?l02284o`026@Co00@M1?l042X4o`0W
>`Co03i71?l0A4X3o`0e@`Co01dd1?l02bD4o`036`Co008J1?l01b04o`0A:`Co01he1?l09SX3o`0R
=`Co01H_1?l02RD4o`0470Co008I1?l00a`4o`088PCo00hX1ol04R`4o`0=9`Co00LQ2Oooool00ol0
003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00XT1?l02bH4o`0:90Co
00LQ1?l011`3o`026@Co00<J1?l01Ql4o`0=9`Co01H_1?l073<4o`0J<PCo018/1?l02B<3o`0370Co
008I1?l01Ah4o`0?:@Co01lf1?l0<404o`0e@`Co02Xm1?l05c03o`098`Co00<J1?l00a/4o`0<9PCo
02<h1?l0A4X4o`1DC0Co059=1?l0>DD4o`0I<@?o00LP1?l00QT4o`0780Co01dd1?l0Bdd4o`1Q@PCo
06Lk1?l0GTD4o`0oA`?o01@^1?l011`4o`036`Co014[1?l0?TL4o`1T@0Co07DW1?l0MBT4o`1Q@P?o
03M41?l03BP4o`026PCo00HP1?l093T4o`1JB0Co07HV1?l0PQ04o`1h8`?o05a61?l09cX4o`078@Co
008I1?l03RP4o`0nA`Co06Pj1?l0OaD4o`2240Co070`0ol0Cdh4o`0F;`Co00<K1?l011`4o`0I<@Co
055=1?l0KS<4o`1l6`Co07HV0ol0GT@4o`0^?`Co00XT1?l00QT4o`088@Co02@i1?l0E4`4o`1Y>@Co
06hb0ol0HT44o`13B@Co01D_1?l011d4o`036PCo00`W1?l0:C`4o`1AC@Co05a70ol0FDT4o`14BPCo
01he1?l02284o`026@Co00@M1?l042X4o`0W>`Co03i71?l0A4X3o`0e@`Co01dd1?l02bD4o`036`Co
008J1?l01b04o`0A:`Co01he1?l09SX3o`0R=`Co01H_1?l02RD4o`0470Co008I1?l00a`4o`088PCo
00hX1ol04R`4o`0=9`Co00LQ2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00TS1?l02bD4o`0:90Co00LP1?l011`3o`026@Co00<J1?l01Ql4o`0<9`Co01D^
1?l06S84o`0I<@Co014[1?l02B<3o`036`Co008I1?l01Ah4o`0>:0Co01de1?l0;Ch4o`0b@@Co02Pk
1?l05Rl3o`088PCo00<J1?l00a/4o`0;9PCo024g1?l0@4P4o`1BC@Co051>1?l0=T<4o`0H<0?o00HP
1?l00QT4o`0780Co01/c1?l0AT/4o`1NA@Co06@o1?l0FdL4o`0lAP?o01@]1?l011`4o`036`Co010Z
1?l0>TD4o`1Q@PCo078]1?l0LBh4o`1OA0?o03A21?l03BL4o`026PCo00HP1?l08SL4o`1GBPCo07</
1?l0OQP4o`1d:@?o05Y81?l09CT4o`0780Co008I1?l03BL4o`0jA@Co06Dn1?l0Nad4o`1n5`Co06`e
0ol0C4d4o`0E;PCo00<K1?l011`4o`0H<0Co04m>1?l0JcL4o`1i8PCo07</0ol0G4L4o`0/?@Co00XT
1?l00QT4o`078@Co028g1?l0DTd4o`1V?@Co06/g0ol0Gd@4o`0oA`Co01@^1?l011d4o`036PCo00`V
1?l09c/4o`1?CPCo05U80ol0EdX4o`10B0Co01`c1?l02284o`026@Co00@M1?l042X4o`0U>PCo03]5
1?l0@4P3o`0b@@Co01/c1?l02R@4o`036`Co008J1?l01b04o`0A:`Co01dd1?l093T3o`0P=PCo01D^
1?l02R@4o`0470Co008I1?l00a`4o`088PCo00hX1?l04R/3o`0A:`Co00`V1?l01b49ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02B<4o`0;9@Co00XT1?l0
1b04o`0470?o008I1?l00aX4o`067`Co00`W1?l05Bh4o`0J<PCo01Ta1?l04B/4o`098`?o00<K1?l0
0QT4o`057PCo00hX1?l07CD4o`0]?PCo03911?l0:3/4o`0F;`?o00PR1?l00aX4o`036`Co00/V1?l0
8CL4o`10B0Co059=1?l0D4h4o`0f@`Co01P`0ol01R04o`026@Co00LP1?l06c<4o`16B`Co05i51?l0
I3l4o`1KA`Co03a60ol052d4o`0470Co00<K1?l042X4o`0jA@Co06521?l0LRd4o`1a;PCo05m40ol0
=484o`0=9`Co008J1?l01R04o`0R=`Co05M:1?l0Lb`4o`1n60Co07@Y0ol0FTP4o`0U>@Co00LP1?l0
0QT4o`0=9`Co03Y51?l0ICh4o`1k7@Co07hG1?l0K3D3o`1<C@Co01D^1?l00a/4o`0470Co01P`1?l0
Cdh4o`1[=`Co07TR1?l0Lb`3o`1LA`Co02`m1?l02R@4o`026@Co00LQ1?l08SL4o`1BC@Co06Hm1?l0
JcL3o`1OA0Co03m71?l052h4o`047@Co00<J1?l032H4o`0W>`Co04m>1?l0FDP3o`1GBPCo04181?l0
73<4o`088PCo008I1?l011d4o`0@:PCo02Dj1?l0>dD4o`10B0?o03911?l06c<4o`0:90Co00<K1?l0
0QX4o`0780Co014[1?l07C@4o`0T>@?o020f1?l05Bh4o`0:90Co00@L1?l00QT4o`0370Co00PR1?l0
3RP4o`0B:`?o014[1?l032H4o`078@Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000
ooooooooool01oooool4o`098`Co00/U1?l02R@4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032L4
o`0E;PCo01Xb1?l06C44o`0A:`Co00TS0ol00a/4o`026@Co00DN1?l03RP4o`0M=@Co02dn1?l0<T44
o`0X>`Co01H_0ol02284o`036PCo00<K1?l02bH4o`0Q=`Co04181?l0DTd4o`1@CPCo03I31?l06303
o`0680Co008I1?l01b04o`0K<`Co04I;1?l0GTD4o`1T?`Co05]71?l0?4H3o`0D;@Co00@L1?l00a/4
o`0@:PCo03Y51?l0HD84o`1b;@Co074^1?l0Gd@3o`0d@PCo00dW1?l00QX4o`0680Co028g1?l0EdX4
o`1c;0Co07hH1?l0M2T3o`1JB0Co02Di1?l01b04o`026@Co00dW1?l0>TD4o`1U?PCo07/M1?l0OQL4
o`1/=@?o04a=1?l05Bh4o`036`Co00@L1?l06304o`1?CPCo06/g1?l0NB84o`1c;0?o05a71?l0;3d4
o`0:90Co008I1?l01b44o`0R=`Co059=1?l0ISd4o`1[=`?o05m41?l0?dL4o`0D;PCo00@M1?l00aX4
o`0<9PCo02Lk1?l0Cdh4o`1IB0?o05M:1?l0@4P4o`0L<`Co00PR1?l00QT4o`047@Co010Z1?l09CX4
o`0kA@Co04180ol0<T44o`0K<`Co00XT1?l00a/4o`026PCo00LP1?l04B/4o`0M=0Co02@i0ol083H4
o`0E;PCo00XT1?l011`4o`026@Co00<L1?l02284o`0>:0Co018[0ol04B/4o`0<9PCo00LQ2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00TS1?l02bD4o`0:
90Co00LP1?l011`3o`026@Co00<J1?l01Ql4o`0<9`Co01D^1?l06S84o`0I<@Co014[1?l02B<3o`03
6`Co008I1?l01Ah4o`0>:0Co01de1?l0;Ch4o`0b@@Co02Pk1?l05Rl3o`088PCo00<J1?l00a/4o`0;
9PCo024g1?l0@4P4o`1BC@Co051>1?l0=T<4o`0H<0?o00HP1?l00QT4o`0780Co01/c1?l0AT/4o`1N
A@Co06@o1?l0FdL4o`0lAP?o01@]1?l011`4o`036`Co010Z1?l0>TD4o`1Q@PCo078]1?l0LBh4o`1O
A0?o03A21?l03BL4o`026PCo00HP1?l08SL4o`1GBPCo07</1?l0OQP4o`1d:@?o05Y81?l09CT4o`07
80Co008I1?l03BL4o`0jA@Co06Dn1?l0Nad4o`1n5`Co06`e0ol0C4d4o`0E;PCo00<K1?l011`4o`0H
<0Co04m>1?l0JcL4o`1i8PCo07</0ol0G4L4o`0/?@Co00XT1?l00QT4o`078@Co028g1?l0DTd4o`1V
?@Co06/g0ol0Gd@4o`0oA`Co01@^1?l011d4o`036PCo00`V1?l09c/4o`1?CPCo05U80ol0EdX4o`10
B0Co01`c1?l02284o`026@Co00@M1?l042X4o`0U>PCo03]51?l0@4P3o`0b@@Co01/c1?l02R@4o`03
6`Co008J1?l01b04o`0A:`Co01dd1?l093T3o`0P=PCo01D^1?l02R@4o`0470Co008I1?l00a`4o`08
8PCo00hX1?l04R/3o`0A:`Co00`V1?l01b49ooooo`03o`000?oooooooooo00;ooooo000Kooooo`?o
00001oooool4o`098`Co00XU1?l02R@4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4o`0D;@Co
01Ta1?l06304o`0A:`Co00PR0ol00a/4o`026@Co00DN1?l03BL4o`0L<`Co02/m1?l0;cl4o`0V>PCo
01D_0ol02284o`036PCo00<K1?l02bD4o`0O=PCo03a61?l0Cdh4o`1=CPCo03=11?l05Rl3o`0680Co
008I1?l01R04o`0J<PCo04991?l0FdL4o`1Q@PCo05U91?l0>4@3o`0C;@Co00@L1?l00aX4o`0?:@Co
03I31?l0GTD4o`1^<PCo06hc1?l0G4H3o`0b@@Co00`W1?l00QX4o`067`Co01lf1?l0ED/4o`1_<@Co
07XO1?l0LBh3o`1GBPCo02<h1?l01b04o`026@Co00dW1?l0=T<4o`1R@@Co07PT1?l0NQl4o`1Y>@?o
04Q<1?l052d4o`036`Co00@L1?l05Rl4o`1:C@Co06Lk1?l0MBP4o`1_<@?o05U91?l0:C`4o`098`Co
008I1?l01b44o`0P=PCo051>1?l0Hd04o`1X>`?o05a61?l0>dD4o`0C;@Co00@L1?l00aX4o`0;9PCo
02Dj1?l0Bdd4o`1GBP?o05A<1?l0?4H4o`0J<PCo00LQ1?l00QT4o`047@Co00lY1?l093T4o`0hA0Co
03e60ol0;cl4o`0J<PCo00XT1?l00a/4o`026PCo00LP1?l042X4o`0L<`Co028g0ol07SD4o`0D;@Co
00TS1?l011`4o`026@Co00<L1?l02244o`0=9`Co014[0ol042X4o`0<9PCo00LP1oooool3o`0000Co
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02B<4o`0:9@Co00XT1?l01b04o`0470?o008I
1?l00aX4o`067`Co00`V1?l052d4o`0I<@Co01P`1?l04B/4o`088P?o00<K1?l00QT4o`057PCo00dW
1?l073<4o`0[?@Co02lo1?l09SX4o`0E;`?o00PR1?l00aX4o`036`Co00/U1?l07cH4o`0lAPCo04m>
1?l0CDh4o`0c@@Co01H_0ol01R04o`026@Co00HP1?l06S84o`12B@Co05]71?l0HD84o`1IB@Co03Q4
0ol04bd4o`0470Co00<J1?l03bT4o`0f@`Co05i51?l0KS84o`1^<`Co05a60ol0<T44o`0<9`Co008J
1?l01Ql4o`0O=PCo05E;1?l0Kc44o`1j7`Co074^0ol0EdX4o`0S>0Co00LP1?l00QT4o`0=9`Co03I3
1?l0HT44o`1h90Co07XO1?l0JCT3o`18C0Co01@]1?l00a/4o`0470Co01H_1?l0BTd4o`1W>`Co07DX
1?l0Kc43o`1IB@Co02Tl1?l02B<4o`026@Co00LQ1?l083H4o`1@CPCo06=01?l0J3/3o`1LAPCo03]5
1?l04bd4o`0470Co00<J1?l02bH4o`0U>PCo04]=1?l0EdX3o`1DC0Co03a61?l06S84o`078@Co008I
1?l011d4o`0?:@Co02@i1?l0>4@4o`0mAP?o02lo1?l06S84o`0:90Co00<K1?l00QX4o`0780Co010Z
1?l073<4o`0R=`?o01he1?l052d4o`098`Co00@L1?l00QT4o`0370Co00PQ1?l03BL4o`0A:`?o010Z
1?l032H4o`0780Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01ooo
ool4o`098`Co00XU1?l02R@4o`0780Co00@L0ol00QT4o`036PCo00HO1?l032H4o`0D;@Co01Ta1?l0
6304o`0A:`Co00PR0ol00a/4o`026@Co00DN1?l03BL4o`0L<`Co02/m1?l0;cl4o`0V>PCo01D_0ol0
2284o`036PCo00<K1?l02bD4o`0O=PCo03a61?l0Cdh4o`1=CPCo03=11?l05Rl3o`0680Co008I1?l0
1R04o`0J<PCo04991?l0FdL4o`1Q@PCo05U91?l0>4@3o`0C;@Co00@L1?l00aX4o`0?:@Co03I31?l0
GTD4o`1^<PCo06hc1?l0G4H3o`0b@@Co00`W1?l00QX4o`067`Co01lf1?l0ED/4o`1_<@Co07XO1?l0
LBh3o`1GBPCo02<h1?l01b04o`026@Co00dW1?l0=T<4o`1R@@Co07PT1?l0NQl4o`1Y>@?o04Q<1?l0
52d4o`036`Co00@L1?l05Rl4o`1:C@Co06Lk1?l0MBP4o`1_<@?o05U91?l0:C`4o`098`Co008I1?l0
1b44o`0P=PCo051>1?l0Hd04o`1X>`?o05a61?l0>dD4o`0C;@Co00@L1?l00aX4o`0;9PCo02Dj1?l0
Bdd4o`1GBP?o05A<1?l0?4H4o`0J<PCo00LQ1?l00QT4o`047@Co00lY1?l093T4o`0hA0Co03e60ol0
;cl4o`0J<PCo00XT1?l00a/4o`026PCo00LP1?l042X4o`0L<`Co028g0ol07SD4o`0D;@Co00TS1?l0
11`4o`026@Co00<L1?l02244o`0=9`Co014[0ol042X4o`0<9PCo00LP2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00TS1?l02R@4o`098`Co00LP1?l011`3
o`026@Co00<J1?l01Ah4o`0;9PCo01</1?l06304o`0F;`Co010Z1?l02283o`036`Co008I1?l01Ad4
o`0=9`Co01Xb1?l0:3/4o`0]?PCo02@i1?l052h3o`088PCo00<J1?l00a/4o`0:9@Co01dd1?l0>4@4
o`1<C@Co04Q<1?l0<404o`0E;`?o00HO1?l00QT4o`067`Co01Pa1?l0?TL4o`1IB@Co05m41?l0ET/4
o`0e@`?o018/1?l011`4o`036PCo00hX1?l0<d44o`1KA`So06/g1?l0FTP3o`0_?`Co00`V1?l00QX4
o`067`Co01he1?l0DTd4o`1/=PCo07HV1?l0KC<3o`1EB`Co024g1?l01b04o`026@Co00`V1?l0<d44
o`1OA0Co07@Z1?l0MRH4o`1V?@?o04A:1?l04bd4o`036`Co00@L1?l05Bh4o`16B`Co06@o1?l0LBh4
o`1/=P?o05M:1?l09c/4o`098`Co008I1?l01b04o`0N=@Co04i>1?l0H4<4o`1U?P?o05U81?l0=d<4
o`0B;0Co00@L1?l00aX4o`0;9@Co02@i1?l0Ad/4o`1EB`?o059=1?l0>4@4o`0I<@Co00LQ1?l00QT4
o`047@Co00lY1?l08SL4o`0e@PCo03U40ol0;3d4o`0H<@Co00TS1?l00a/4o`026PCo00HP1?l042X4
o`0J<PCo020f0ol073@4o`0B;0Co00TS1?l011`4o`026@Co00<L1?l01b44o`0=9`Co010Z0ol03bT4
o`0;9@Co00HP2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07oooo
o`Co00TS1?l02R@4o`098`Co00LP1?l011`3o`026@Co00<J1?l01Ah4o`0;9PCo01</1?l06304o`0F
;`Co010Z1?l02283o`036`Co008I1?l01Ad4o`0=9`Co01Xb1?l0:3/4o`0]?PCo02@i1?l052h3o`08
8PCo00<J1?l00a/4o`0:9@Co01dd1?l0>4@4o`1<C@Co04Q<1?l0<404o`0E;`?o00HO1?l00QT4o`06
7`Co01Pa1?l0?TL4o`1IB@Co05m41?l0ET/4o`0e@`?o018/1?l011`4o`036PCo00hX1?l0<d44o`1K
A`So06/g1?l0FTP3o`0_?`Co00`V1?l00QX4o`067`Co01he1?l0DTd4o`1/=PCo07HV1?l0KC<3o`1E
B`Co024g1?l01b04o`026@Co00`V1?l0<d44o`1OA0Co07@Z1?l0MRH4o`1V?@?o04A:1?l04bd4o`03
6`Co00@L1?l05Bh4o`16B`Co06@o1?l0LBh4o`1/=P?o05M:1?l09c/4o`098`Co008I1?l01b04o`0N
=@Co04i>1?l0H4<4o`1U?P?o05U81?l0=d<4o`0B;0Co00@L1?l00aX4o`0;9@Co02@i1?l0Ad/4o`1E
B`?o059=1?l0>4@4o`0I<@Co00LQ1?l00QT4o`047@Co00lY1?l08SL4o`0e@PCo03U40ol0;3d4o`0H
<@Co00TS1?l00a/4o`026PCo00HP1?l042X4o`0J<PCo020f0ol073@4o`0B;0Co00TS1?l011`4o`02
6@Co00<L1?l01b44o`0=9`Co010Z0ol03bT4o`0;9@Co00HP2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co00TS1?l02R@4o`098`Co00LP1?l011`3o`026@Co
00<J1?l01Ah4o`0;9PCo01</1?l06304o`0F;`Co010Z1?l02283o`036`Co008I1?l01Ad4o`0=9`Co
01Xb1?l0:3/4o`0]?PCo02@i1?l052h3o`088PCo00<J1?l00a/4o`0:9@Co01dd1?l0>4@4o`1<C@Co
04Q<1?l0<404o`0E;`?o00HO1?l00QT4o`067`Co01Pa1?l0?TL4o`1IB@Co05m41?l0ET/4o`0e@`?o
018/1?l011`4o`036PCo00hX1?l0<d44o`1KA`So06/g1?l0FTP3o`0_?`Co00`V1?l00QX4o`067`Co
01he1?l0DTd4o`1/=PCo07HV1?l0KC<3o`1EB`Co024g1?l01b04o`026@Co00`V1?l0<d44o`1OA0Co
07@Z1?l0MRH4o`1V?@?o04A:1?l04bd4o`036`Co00@L1?l05Bh4o`16B`Co06@o1?l0LBh4o`1/=P?o
05M:1?l09c/4o`098`Co008I1?l01b04o`0N=@Co04i>1?l0H4<4o`1U?P?o05U81?l0=d<4o`0B;0Co
00@L1?l00aX4o`0;9@Co02@i1?l0Ad/4o`1EB`?o059=1?l0>4@4o`0I<@Co00LQ1?l00QT4o`047@Co
00lY1?l08SL4o`0e@PCo03U40ol0;3d4o`0H<@Co00TS1?l00a/4o`026PCo00HP1?l042X4o`0J<PCo
020f0ol073@4o`0B;0Co00TS1?l011`4o`026@Co00<L1?l01b44o`0=9`Co010Z0ol03bT4o`0;9@Co
00HP2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00TS
1?l02R@4o`098`Co00LP1?l011`3o`026@Co00<J1?l01Ah4o`0;9PCo01</1?l06304o`0F;`Co010Z
1?l02283o`036`Co008I1?l01Ad4o`0=9`Co01Xb1?l0:3/4o`0]?PCo02@i1?l052h3o`088PCo00<J
1?l00a/4o`0:9@Co01dd1?l0>4@4o`1<C@Co04Q<1?l0<404o`0E;`?o00HO1?l00QT4o`067`Co01Pa
1?l0?TL4o`1IB@Co05m41?l0ET/4o`0e@`?o018/1?l011`4o`036PCo00hX1?l0<d44o`1KA`So06/g
1?l0FTP3o`0_?`Co00`V1?l00QX4o`067`Co01he1?l0DTd4o`1/=PCo07HV1?l0KC<3o`1EB`Co024g
1?l01b04o`026@Co00`V1?l0<d44o`1OA0Co07@Z1?l0MRH4o`1V?@?o04A:1?l04bd4o`036`Co00@L
1?l05Bh4o`16B`Co06@o1?l0LBh4o`1/=P?o05M:1?l09c/4o`098`Co008I1?l01b04o`0N=@Co04i>
1?l0H4<4o`1U?P?o05U81?l0=d<4o`0B;0Co00@L1?l00aX4o`0;9@Co02@i1?l0Ad/4o`1EB`?o059=
1?l0>4@4o`0I<@Co00LQ1?l00QT4o`047@Co00lY1?l08SL4o`0e@PCo03U40ol0;3d4o`0H<@Co00TS
1?l00a/4o`026PCo00HP1?l042X4o`0J<PCo020f0ol073@4o`0B;0Co00TS1?l011`4o`026@Co00<L
1?l01b44o`0=9`Co010Z0ol03bT4o`0;9@Co00HP2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00PR1?l02R@4o`098`Co00HP1?l011`3o`026@Co00<J1?l0
1Ah4o`0;9@Co018/1?l05Rl4o`0E;`Co00lY1?l02283o`036`Co008I1?l011d4o`0<9PCo01Ta1?l0
9SX4o`0Z?0Co028g1?l04bd3o`088@Co00<J1?l00a/4o`0:90Co01`c1?l0=D84o`17B`Co04A:1?l0
;Ch4o`0D;P?o00HO1?l00QT4o`067`Co01L`1?l0>TD4o`1FB`Co05a71?l0E4`4o`0b@@?o014[1?l0
11`4o`036PCo00dX1?l0;cl4o`1HB@Co06Pk1?l0Ic/4o`1GBP?o02dn1?l032H4o`026PCo00DO1?l0
73<4o`1@CPCo06Pj1?l0LR`4o`1Z>0?o05=<1?l083H4o`0680Co008I1?l02bH4o`0`@0Co05a61?l0
L304o`1c;0Co06=00ol0@4P4o`0B;0Co00<K1?l011`4o`0D;PCo04591?l0HD84o`1^<`Co06Pj0ol0
E4`4o`0U>@Co00TS1?l00QT4o`0780Co01dd1?l0BD`4o`1NA@Co06910ol0EdX4o`0c@PCo014[1?l0
11`4o`036PCo00/U1?l08SL4o`12B@Co059=0ol0Cdh4o`0d@PCo01L`1?l01b04o`026@Co00@M1?l0
3RP4o`0P=PCo03911?l0=D<3o`0Y?0Co01H_1?l02B<4o`036`Co008J1?l01R04o`0?:@Co01Tb1?l0
7SD3o`0K<`Co014[1?l02284o`036`Co008I1?l00a`4o`078@Co00`W1?l03bT3o`0>:@Co00XU1?l0
1Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02284
o`0:90Co00TS1?l01R04o`0470?o008I1?l00aX4o`057PCo00/U1?l04R`4o`0F;`Co01D_1?l03bT4
o`088P?o00<K1?l00QT4o`047@Co00`V1?l06C44o`0V>PCo02Xl1?l08SL4o`0C;@?o00PQ1?l00aX4
o`036`Co00XT1?l073<4o`0e@PCo04M;1?l0A4X4o`0]?PCo01@^0ol01Ql4o`026@Co00HO1?l05c04
o`0jA@Co05I;1?l0G4L4o`1DC0Co03910ol04B/4o`0470Co00<J1?l03BP4o`0_?`Co05Q91?l0J3/4
o`1W>`Co05M:0ol0;Ch4o`0<9PCo008J1?l01Al4o`0L<`Co051>1?l0J3X4o`1b;0Co06Xh0ol0Dd`4
o`0P=PCo00HP1?l00QT4o`0;9PCo03101?l0G4H4o`1`<0Co07</1?l0Hd03o`10B0Co018/1?l00a/4
o`0470Co01@^1?l0@DT4o`1Q@PCo06hc1?l0J3X3o`1DC0Co02Di1?l02B<4o`026@Co00LP1?l07C@4
o`19C0Co05i51?l0HT43o`1GBPCo03=21?l04B/4o`0470Co00<J1?l02bD4o`0R=`Co04991?l0DTd3
o`1?CPCo03A21?l05c04o`0780Co008I1?l011d4o`0>:0Co020f1?l0<T44o`0e@`?o02Tl1?l05Rl4
o`098`Co00<K1?l00QX4o`0680Co00lY1?l06C84o`0N=@?o01/c1?l04B/4o`088PCo00<K1?l00QT4
o`0370Co00LQ1?l032L4o`0?:@?o00hY1?l02RD4o`067`Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`088PCo00XT1?l02B<4o`0680Co00@L0ol00QT4o`03
6PCo00DN1?l02bD4o`0B;0Co01H_1?l05Bl4o`0?:@Co00PR0ol00a/4o`026@Co00@M1?l032H4o`0I
<@Co02Hj1?l0:S`4o`0R=`Co01<]0ol02244o`036PCo00<K1?l02R@4o`0L<`Co03E21?l0Ad/4o`14
BPCo02dn1?l052h3o`067`Co008I1?l01Ql4o`0G<0Co03Y51?l0ET/4o`1LA`Co05A<1?l0<T43o`0A
:`Co00@L1?l00aX4o`0=:0Co02lo1?l0F4T4o`1X>`Co06Lk1?l0EdX3o`0]?PCo00`V1?l00QX4o`05
7`Co01`c1?l0D4h4o`1X>PCo078/1?l0JSP3o`1CC0Co020f1?l01R04o`026@Co00/V1?l0<404o`1L
APCo070`1?l0Lb`4o`1S@0?o04181?l04R`4o`036`Co00@L1?l052h4o`11B@Co06521?l0KS<4o`1X
>P?o05A<1?l09CT4o`098`Co008I1?l01b04o`0M=0Co04U<1?l0GTD4o`1R@@?o05M:1?l0<d84o`0A
:`Co00@L1?l00aX4o`0;9@Co028g1?l0@TT4o`1BC@?o04m>1?l0=484o`0G<0Co00LP1?l00QT4o`04
7@Co00hX1?l083H4o`0b@@Co03E30ol0:C`4o`0F;`Co00TS1?l00a/4o`026PCo00HP1?l03bT4o`0I
<PCo01he0ol06c<4o`0A:`Co00PR1?l00a/4o`026@Co00<L1?l01b44o`0<9`Co00lY0ol03RT4o`0:
9@Co00HO2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00PR1?l02R@4o`098`Co00HP1?l011`3o`026@Co00<J1?l01Ah4o`0;9@Co018/1?l05Rl4o`0E;`Co
00lY1?l02283o`036`Co008I1?l011d4o`0<9PCo01Ta1?l09SX4o`0Z?0Co028g1?l04bd3o`088@Co
00<J1?l00a/4o`0:90Co01`c1?l0=D84o`17B`Co04A:1?l0;Ch4o`0D;P?o00HO1?l00QT4o`067`Co
01L`1?l0>TD4o`1FB`Co05a71?l0E4`4o`0b@@?o014[1?l011`4o`036PCo00dX1?l0;cl4o`1HB@Co
06Pk1?l0Ic/4o`1GBP?o02dn1?l032H4o`026PCo00DO1?l073<4o`1@CPCo06Pj1?l0LR`4o`1Z>0?o
05=<1?l083H4o`0680Co008I1?l02bH4o`0`@0Co05a61?l0L304o`1c;0Co06=00ol0@4P4o`0B;0Co
00<K1?l011`4o`0D;PCo04591?l0HD84o`1^<`Co06Pj0ol0E4`4o`0U>@Co00TS1?l00QT4o`0780Co
01dd1?l0BD`4o`1NA@Co06910ol0EdX4o`0c@PCo014[1?l011`4o`036PCo00/U1?l08SL4o`12B@Co
059=0ol0Cdh4o`0d@PCo01L`1?l01b04o`026@Co00@M1?l03RP4o`0P=PCo03911?l0=D<3o`0Y?0Co
01H_1?l02B<4o`036`Co008J1?l01R04o`0?:@Co01Tb1?l07SD3o`0K<`Co014[1?l02284o`036`Co
008I1?l00a`4o`078@Co00`W1?l03bT3o`0>:@Co00XU1?l01Ql9ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02284o`098`Co00PR1?l01Ql4o`0470?o008I
1?l00QX4o`057PCo00XT1?l04B/4o`0E;PCo01@^1?l03RT4o`088@?o00<K1?l00QT4o`047@Co00/V
1?l06304o`0T>@Co02Lk1?l083H4o`0B;0?o00LQ1?l00QX4o`036`Co00XT1?l06S84o`0b@@Co0499
1?l0@4P4o`0[?@Co01<]0ol01Ql4o`026@Co00HO1?l05Rl4o`0f@`Co05=<1?l0FDT4o`1AC@Co02lo
0ol042/4o`0470Co00<J1?l03BL4o`0/?PCo05E;2?l0I3l4o`1EB`?o02Xl1?l02bD4o`026PCo00DN
1?l06S84o`1<C@Co06Dn1?l0Kc84o`1W?0?o051=1?l07SD4o`067`Co008I1?l02bD4o`0]?PCo05U8
1?l0K3D4o`1_<@Co06130ol0?4H4o`0A:`Co00<K1?l011`4o`0C;@Co03e71?l0GTD4o`1Z>0Co06Dn
0ol0DTd4o`0R>0Co00PR1?l00QT4o`0780Co01/c1?l0ADX4o`1KA`Co05m40ol0E4`4o`0`@0Co010Z
1?l011`4o`036PCo00XU1?l083H4o`0oA`Co051>0ol0C4d4o`0a@0Co01D_1?l01R04o`026@Co00@M
1?l03RP4o`0O=@Co02lo1?l0<T43o`0V>PCo01D^1?l02284o`036PCo008J1?l01R04o`0>:@Co01Pa
1?l07C@3o`0I<@Co010Z1?l02284o`036`Co008I1?l00a`4o`078@Co00`V1?l03bT3o`0>:0Co00XT
1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l0
2284o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4o`057PCo00XT1?l04B/4o`0E;PCo01@^1?l0
3RT4o`088@?o00<K1?l00QT4o`047@Co00/V1?l06304o`0T>@Co02Lk1?l083H4o`0B;0?o00LQ1?l0
0QX4o`036`Co00XT1?l06S84o`0b@@Co04991?l0@4P4o`0[?@Co01<]0ol01Ql4o`026@Co00HO1?l0
5Rl4o`0f@`Co05=<1?l0FDT4o`1AC@Co02lo0ol042/4o`0470Co00<J1?l03BL4o`0/?PCo05E;2?l0
I3l4o`1EB`?o02Xl1?l02bD4o`026PCo00DN1?l06S84o`1<C@Co06Dn1?l0Kc84o`1W?0?o051=1?l0
7SD4o`067`Co008I1?l02bD4o`0]?PCo05U81?l0K3D4o`1_<@Co06130ol0?4H4o`0A:`Co00<K1?l0
11`4o`0C;@Co03e71?l0GTD4o`1Z>0Co06Dn0ol0DTd4o`0R>0Co00PR1?l00QT4o`0780Co01/c1?l0
ADX4o`1KA`Co05m40ol0E4`4o`0`@0Co010Z1?l011`4o`036PCo00XU1?l083H4o`0oA`Co051>0ol0
C4d4o`0a@0Co01D_1?l01R04o`026@Co00@M1?l03RP4o`0O=@Co02lo1?l0<T43o`0V>PCo01D^1?l0
2284o`036PCo008J1?l01R04o`0>:@Co01Pa1?l07C@3o`0I<@Co010Z1?l02284o`036`Co008I1?l0
0a`4o`078@Co00`V1?l03bT3o`0>:0Co00XT1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l02284o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4
o`057PCo00XT1?l04B/4o`0E;PCo01@^1?l03RT4o`088@?o00<K1?l00QT4o`047@Co00/V1?l06304
o`0T>@Co02Lk1?l083H4o`0B;0?o00LQ1?l00QX4o`036`Co00XT1?l06S84o`0b@@Co04991?l0@4P4
o`0[?@Co01<]0ol01Ql4o`026@Co00HO1?l05Rl4o`0f@`Co05=<1?l0FDT4o`1AC@Co02lo0ol042/4
o`0470Co00<J1?l03BL4o`0/?PCo05E;2?l0I3l4o`1EB`?o02Xl1?l02bD4o`026PCo00DN1?l06S84
o`1<C@Co06Dn1?l0Kc84o`1W?0?o051=1?l07SD4o`067`Co008I1?l02bD4o`0]?PCo05U81?l0K3D4
o`1_<@Co06130ol0?4H4o`0A:`Co00<K1?l011`4o`0C;@Co03e71?l0GTD4o`1Z>0Co06Dn0ol0DTd4
o`0R>0Co00PR1?l00QT4o`0780Co01/c1?l0ADX4o`1KA`Co05m40ol0E4`4o`0`@0Co010Z1?l011`4
o`036PCo00XU1?l083H4o`0oA`Co051>0ol0C4d4o`0a@0Co01D_1?l01R04o`026@Co00@M1?l03RP4
o`0O=@Co02lo1?l0<T43o`0V>PCo01D^1?l02284o`036PCo008J1?l01R04o`0>:@Co01Pa1?l07C@3
o`0I<@Co010Z1?l02284o`036`Co008I1?l00a`4o`078@Co00`V1?l03bT3o`0>:0Co00XT1?l01Ql9
ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02284o`09
8`Co00PR1?l01Ql4o`0470?o008I1?l00QX4o`057PCo00XT1?l04B/4o`0E;PCo01@^1?l03RT4o`08
8@?o00<K1?l00QT4o`047@Co00/V1?l06304o`0T>@Co02Lk1?l083H4o`0B;0?o00LQ1?l00QX4o`03
6`Co00XT1?l06S84o`0b@@Co04991?l0@4P4o`0[?@Co01<]0ol01Ql4o`026@Co00HO1?l05Rl4o`0f
@`Co05=<1?l0FDT4o`1AC@Co02lo0ol042/4o`0470Co00<J1?l03BL4o`0/?PCo05E;2?l0I3l4o`1E
B`?o02Xl1?l02bD4o`026PCo00DN1?l06S84o`1<C@Co06Dn1?l0Kc84o`1W?0?o051=1?l07SD4o`06
7`Co008I1?l02bD4o`0]?PCo05U81?l0K3D4o`1_<@Co06130ol0?4H4o`0A:`Co00<K1?l011`4o`0C
;@Co03e71?l0GTD4o`1Z>0Co06Dn0ol0DTd4o`0R>0Co00PR1?l00QT4o`0780Co01/c1?l0ADX4o`1K
A`Co05m40ol0E4`4o`0`@0Co010Z1?l011`4o`036PCo00XU1?l083H4o`0oA`Co051>0ol0C4d4o`0a
@0Co01D_1?l01R04o`026@Co00@M1?l03RP4o`0O=@Co02lo1?l0<T43o`0V>PCo01D^1?l02284o`03
6PCo008J1?l01R04o`0>:@Co01Pa1?l07C@3o`0I<@Co010Z1?l02284o`036`Co008I1?l00a`4o`07
8@Co00`V1?l03bT3o`0>:0Co00XT1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l02244o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4o`057PCo
00XT1?l042X4o`0D;PCo01<]1?l03RP4o`078@?o00<K1?l00QT4o`047@Co00/U1?l05Rl4o`0Q=`Co
02Di1?l07SD4o`0A:`?o00LQ1?l00QX4o`036PCo00TS1?l06C44o`0^?`Co03i71?l0?4H4o`0X>`Co
018/0ol01Ql4o`026@Co00HO1?l052h4o`0c@@Co055=1?l0ETX4o`1?CPCo02`n0ol042X4o`0470Co
00<J1?l032H4o`0Z?0Co05=<2?l0HD84o`1BC@?o02Pk1?l02bD4o`026PCo00DN1?l06C44o`17B`Co
06921?l0JcL4o`1T?`?o04i>1?l073@4o`067`Co008I1?l02RD4o`0Z?0Co05M:1?l0JCT4o`1[=PCo
05e60ol0>4@4o`0@:PCo00<K1?l011`4o`0B;0Co03Y51?l0FdL4o`1W?0Co06910ol0Cdh4o`0P=PCo
00PR1?l00QT4o`0680Co01Xb1?l0@4P4o`1HB@Co05a70ol0DDd4o`0]?PCo00lY1?l011`4o`036PCo
00XT1?l07cD4o`0kA@Co04e>0ol0AT/4o`0]?PCo01@^1?l01Ql4o`026@Co00@M1?l03BP4o`0M=0Co
02`n1?l0;cl3o`0T>@Co01@]1?l02284o`036PCo008J1?l01Ql4o`0>:0Co01L`1?l06c<3o`0H<0Co
00lY1?l02244o`036`Co008I1?l00a`4o`078@Co00/V1?l03RP3o`0=9`Co00TT1?l01Ql9ooooo`03
o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02244o`098`Co00PR
1?l01Ql4o`0470?o008I1?l00QX4o`057PCo00XT1?l042X4o`0D;PCo01<]1?l03RP4o`078@?o00<K
1?l00QT4o`047@Co00/U1?l05Rl4o`0Q=`Co02Di1?l07SD4o`0A:`?o00LQ1?l00QX4o`036PCo00TS
1?l06C44o`0^?`Co03i71?l0?4H4o`0X>`Co018/0ol01Ql4o`026@Co00HO1?l052h4o`0c@@Co055=
1?l0ETX4o`1?CPCo02`n0ol042X4o`0470Co00<J1?l032H4o`0Z?0Co05=<2?l0HD84o`1BC@?o02Pk
1?l02bD4o`026PCo00DN1?l06C44o`17B`Co06921?l0JcL4o`1T?`?o04i>1?l073@4o`067`Co008I
1?l02RD4o`0Z?0Co05M:1?l0JCT4o`1[=PCo05e60ol0>4@4o`0@:PCo00<K1?l011`4o`0B;0Co03Y5
1?l0FdL4o`1W?0Co06910ol0Cdh4o`0P=PCo00PR1?l00QT4o`0680Co01Xb1?l0@4P4o`1HB@Co05a7
0ol0DDd4o`0]?PCo00lY1?l011`4o`036PCo00XT1?l07cD4o`0kA@Co04e>0ol0AT/4o`0]?PCo01@^
1?l01Ql4o`026@Co00@M1?l03BP4o`0M=0Co02`n1?l0;cl3o`0T>@Co01@]1?l02284o`036PCo008J
1?l01Ql4o`0>:0Co01L`1?l06c<3o`0H<0Co00lY1?l02244o`036`Co008I1?l00a`4o`078@Co00/V
1?l03RP3o`0=9`Co00TT1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l02244o`098`Co00PR1?l01Ql4o`0470?o008I1?l00QX4o`057PCo00XT1?l0
42X4o`0D;PCo01<]1?l03RP4o`078@?o00<K1?l00QT4o`047@Co00/U1?l05Rl4o`0Q=`Co02Di1?l0
7SD4o`0A:`?o00LQ1?l00QX4o`036PCo00TS1?l06C44o`0^?`Co03i71?l0?4H4o`0X>`Co018/0ol0
1Ql4o`026@Co00HO1?l052h4o`0c@@Co055=1?l0ETX4o`1?CPCo02`n0ol042X4o`0470Co00<J1?l0
32H4o`0Z?0Co05=<2?l0HD84o`1BC@?o02Pk1?l02bD4o`026PCo00DN1?l06C44o`17B`Co06921?l0
JcL4o`1T?`?o04i>1?l073@4o`067`Co008I1?l02RD4o`0Z?0Co05M:1?l0JCT4o`1[=PCo05e60ol0
>4@4o`0@:PCo00<K1?l011`4o`0B;0Co03Y51?l0FdL4o`1W?0Co06910ol0Cdh4o`0P=PCo00PR1?l0
0QT4o`0680Co01Xb1?l0@4P4o`1HB@Co05a70ol0DDd4o`0]?PCo00lY1?l011`4o`036PCo00XT1?l0
7cD4o`0kA@Co04e>0ol0AT/4o`0]?PCo01@^1?l01Ql4o`026@Co00@M1?l03BP4o`0M=0Co02`n1?l0
;cl3o`0T>@Co01@]1?l02284o`036PCo008J1?l01Ql4o`0>:0Co01L`1?l06c<3o`0H<0Co00lY1?l0
2244o`036`Co008I1?l00a`4o`078@Co00/V1?l03RP3o`0=9`Co00TT1?l01Ql9ooooo`03o`000?oo
oooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l02244o`098`Co00PR1?l01Ql4
o`0470?o008I1?l00QX4o`057PCo00XT1?l042X4o`0D;PCo01<]1?l03RP4o`078@?o00<K1?l00QT4
o`047@Co00/U1?l05Rl4o`0Q=`Co02Di1?l07SD4o`0A:`?o00LQ1?l00QX4o`036PCo00TS1?l06C44
o`0^?`Co03i71?l0?4H4o`0X>`Co018/0ol01Ql4o`026@Co00HO1?l052h4o`0c@@Co055=1?l0ETX4
o`1?CPCo02`n0ol042X4o`0470Co00<J1?l032H4o`0Z?0Co05=<2?l0HD84o`1BC@?o02Pk1?l02bD4
o`026PCo00DN1?l06C44o`17B`Co06921?l0JcL4o`1T?`?o04i>1?l073@4o`067`Co008I1?l02RD4
o`0Z?0Co05M:1?l0JCT4o`1[=PCo05e60ol0>4@4o`0@:PCo00<K1?l011`4o`0B;0Co03Y51?l0FdL4
o`1W?0Co06910ol0Cdh4o`0P=PCo00PR1?l00QT4o`0680Co01Xb1?l0@4P4o`1HB@Co05a70ol0DDd4
o`0]?PCo00lY1?l011`4o`036PCo00XT1?l07cD4o`0kA@Co04e>0ol0AT/4o`0]?PCo01@^1?l01Ql4
o`026@Co00@M1?l03BP4o`0M=0Co02`n1?l0;cl3o`0T>@Co01@]1?l02284o`036PCo008J1?l01Ql4
o`0>:0Co01L`1?l06c<3o`0H<0Co00lY1?l02244o`036`Co008I1?l00a`4o`078@Co00/V1?l03RP3
o`0=9`Co00TT1?l01Ql9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l01b48o`088PCo00HO1?l00a`3o`026@Co008J1?l01Ah4o`098`Co00lY1?l04bd4o`0B
;0Co00dW1?l01b43o`036`Co008I1?l011d4o`0:9@Co01D^1?l07cH4o`0S>0Co01`d1?l04B/3o`07
80Co008J1?l00aX4o`098`Co01L`1?l0:cd4o`0jA@Co03Q41?l09SX4o`0A:`?o00DN1?l00QT4o`05
7PCo01<]1?l0;cl4o`1>CPCo05A<1?l0Bdd4o`0Z?0?o00lY1?l011`4o`036PCo00`V1?l09c/4o`1@
CPSo05i51?l0D4h3o`0U>PCo00XT1?l00QX4o`057PCo01L`1?l0@TT4o`1NA@Co06Lk1?l0H4<3o`19
C0Co01/c1?l01Ql4o`026@Co00XT1?l09c/4o`1DC0Co06Dm1?l0J3/4o`1JB0?o03A21?l03bX4o`03
6`Co00<L1?l04B/4o`0f@`Co05U91?l0Hd04o`1OA0?o04]=1?l07SD4o`078@Co008I1?l01R04o`0I
<@Co03a61?l0ED/4o`1IB@?o04m>1?l0:S`4o`0>:0Co00<K1?l00aX4o`0:90Co01dd1?l0=d@4o`18
B`?o04991?l0:Sd4o`0C;0Co00HO1?l00QT4o`047@Co00dW1?l073<4o`0Y?0Co02`m0ol08CL4o`0B
;0Co00LQ1?l00aX4o`026PCo00HO1?l03BP4o`0F;`Co01Xb0ol05Rl4o`0>:@Co00LQ1?l00a/4o`02
6@Co00<K1?l01b04o`0;9@Co00dX0ol032L4o`098`Co00DN2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co00LQ2?l02284o`067`Co00<L0ol00QT4o`026PCo
00DN1?l02B<4o`0?:@Co01<]1?l04R`4o`0=9`Co00LQ0ol00a/4o`026@Co00@M1?l02RD4o`0E;PCo
01lf1?l08cP4o`0L=0Co014[0ol01b04o`026PCo00<J1?l02B<4o`0G<0Co02/m1?l0>TD4o`0hA0Co
02Hj1?l04B/3o`057PCo008I1?l01Ah4o`0C;@Co02lo1?l0CTh4o`1DC0Co04]=1?l0:S`3o`0?:@Co
00@L1?l00aX4o`0<9PCo02Lk1?l0D4h8o`1NA@Co051>0ol09CX4o`0:90Co008J1?l01Ah4o`0G<0Co
04991?l0GTD4o`1W>`Co06130ol0BD`4o`0K<`Co00HO1?l00QT4o`0:90Co02Lk1?l0E4`4o`1U?@Co
06Pk1?l0FTP3o`0d@PCo00lZ1?l00a/4o`0370Co014[1?l0=T<4o`1IB@Co06=01?l0Gd@3o`1;C@Co
01he1?l01b44o`026@Co00HP1?l06C44o`0lAPCo05E;1?l0FDT3o`1?CPCo02Xl1?l03RP4o`036`Co
00<J1?l02R@4o`0M=0Co03M41?l0B4/3o`12B@Co02Xm1?l04b`4o`067`Co008I1?l011d4o`0=9`Co
01`c1?l0:C`4o`0/?@?o024g1?l04R`4o`078@Co00<J1?l00QX4o`067`Co00dX1?l05Rl4o`0J<P?o
01H_1?l03RT4o`078@Co00<K1?l00QT4o`036`Co00LP1?l02bD4o`0=:0?o00`W1?l02B<4o`057PWo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`078@So00PR
1?l01Ql4o`0370?o008I1?l00QX4o`057PCo00TS1?l03bT4o`0C;@Co018/1?l03BL4o`078@?o00<K
1?l00QT4o`047@Co00XU1?l05Bh4o`0O=PCo02<h1?l073@4o`0A:`?o00LP1?l00QX4o`036PCo00TS
1?l05c04o`0[?@Co03Y51?l0>4@4o`0V>PCo014[0ol01Ah4o`026@Co00DN1?l04bd4o`0_?`Co04i>
1?l0E4`4o`1;C@Co02Xl0ol03bT4o`0470Co00<J1?l032H4o`0W>`Co051>2?l0GTD4o`1@CP?o02Dj
1?l02R@4o`026PCo00DN1?l05c04o`12B@Co05i51?l0Ic/4o`1P@`?o04U<1?l06c<4o`067`Co008I
1?l02R@4o`0W>`Co05A<1?l0ICd4o`1X>`Co05Y80ol0=484o`0?:PCo00<K1?l00a`4o`0A:`Co03I3
1?l0FDT4o`1S@0Co05m40ol0Bdd4o`0N=@Co00LQ1?l00QT4o`0680Co01Ta1?l0?4H4o`1EB`Co05U9
0ol0Cdh4o`0Z?0Co00hX1?l00a/4o`036PCo00XT1?l07C@4o`0gA0Co04Q;0ol0@TT4o`0Z?@Co01</
1?l01Ql4o`026@Co00@M1?l03BL4o`0L<`Co02Tl1?l0;3d3o`0Q=`Co018/1?l01b44o`036PCo008J
1?l01Ql4o`0=:0Co01H_1?l06S83o`0F;`Co00hY1?l01b44o`036`Co008I1?l00a/4o`0780Co00/U
1?l03BP3o`0<9`Co00TS1?l01Ah9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01b48o`088PCo00HO1?l00a`3o`026@Co008J1?l01Ah4o`098`Co00lY1?l0
4bd4o`0B;0Co00dW1?l01b43o`036`Co008I1?l011d4o`0:9@Co01D^1?l07cH4o`0S>0Co01`d1?l0
4B/3o`0780Co008J1?l00aX4o`098`Co01L`1?l0:cd4o`0jA@Co03Q41?l09SX4o`0A:`?o00DN1?l0
0QT4o`057PCo01<]1?l0;cl4o`1>CPCo05A<1?l0Bdd4o`0Z?0?o00lY1?l011`4o`036PCo00`V1?l0
9c/4o`1@CPSo05i51?l0D4h3o`0U>PCo00XT1?l00QX4o`057PCo01L`1?l0@TT4o`1NA@Co06Lk1?l0
H4<3o`19C0Co01/c1?l01Ql4o`026@Co00XT1?l09c/4o`1DC0Co06Dm1?l0J3/4o`1JB0?o03A21?l0
3bX4o`036`Co00<L1?l04B/4o`0f@`Co05U91?l0Hd04o`1OA0?o04]=1?l07SD4o`078@Co008I1?l0
1R04o`0I<@Co03a61?l0ED/4o`1IB@?o04m>1?l0:S`4o`0>:0Co00<K1?l00aX4o`0:90Co01dd1?l0
=d@4o`18B`?o04991?l0:Sd4o`0C;0Co00HO1?l00QT4o`047@Co00dW1?l073<4o`0Y?0Co02`m0ol0
8CL4o`0B;0Co00LQ1?l00aX4o`026PCo00HO1?l03BP4o`0F;`Co01Xb0ol05Rl4o`0>:@Co00LQ1?l0
0a/4o`026@Co00<K1?l01b04o`0;9@Co00dX0ol032L4o`098`Co00DN2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00LQ1?l02284o`088@Co00HO1?l00a/3
o`026@Co008J1?l01Ad4o`098`Co00hY1?l04R`4o`0A:`Co00`W1?l01b03o`036`Co008I1?l011`4
o`0:90Co01@]1?l07SD4o`0Q=`Co01/c1?l042X3o`0780Co008J1?l00aX4o`088PCo01H_1?l0:C`4
o`0f@`Co03A21?l08cP4o`0A:`?o00DN1?l00QT4o`057PCo018/1?l0;3h4o`19C0Co055=1?l0ATX4
o`0W>`?o00hX1?l00a`4o`036PCo00/U1?l093T4o`1=CPSo05]71?l0C4d3o`0S>0Co00XT1?l00QX4
o`057PCo01H_1?l0?TL4o`1KA`Co06@o1?l0GDD3o`14BPCo01Tb1?l01Ql4o`026@Co00TT1?l09CT4
o`1AC@Co06911?l0I3l4o`1GBP?o03501?l03bT8o`036`Co010Z1?l0<d44o`1FB`Co06131?l0G4L3
o`15BPCo01`d1?l01b44o`026@Co00HO1?l05c04o`0iA0Co05=<1?l0ET/3o`1:C0Co02Lj1?l03BP4
o`036`Co00<J1?l02R@4o`0L<`Co03A21?l0@dT3o`0mAPCo02Lk1?l04R/4o`057`Co008I1?l011d4
o`0<9`Co01Xb1?l09c/4o`0Y?0?o01lf1?l04B/4o`0780Co00<J1?l00QX4o`067`Co00dW1?l05Bh4
o`0H<@?o01D^1?l03RP4o`0780Co00<K1?l00QT4o`036`Co00LP1?l02bD4o`0=9`?o00`V1?l02B84
o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo0ol00007ooooo`Co00LQ1?l02284o`08
8@Co00HO1?l00a/3o`026@Co008J1?l01Ad4o`098`Co00hY1?l04R`4o`0A:`Co00`W1?l01b03o`03
6`Co008I1?l011`4o`0:90Co01@]1?l07SD4o`0Q=`Co01/c1?l042X3o`0780Co008J1?l00aX4o`08
8PCo01H_1?l0:C`4o`0f@`Co03A21?l08cP4o`0A:`?o00DN1?l00QT4o`057PCo018/1?l0;3h4o`19
C0Co055=1?l0ATX4o`0W>`?o00hX1?l00a`4o`036PCo00/U1?l093T4o`1=CPSo05]71?l0C4d3o`0S
>0Co00XT1?l00QX4o`057PCo01H_1?l0?TL4o`1KA`Co06@o1?l0GDD3o`14BPCo01Tb1?l01Ql4o`02
6@Co00TT1?l09CT4o`1AC@Co06911?l0I3l4o`1GBP?o03501?l03bT8o`036`Co010Z1?l0<d44o`1F
B`Co06131?l0G4L3o`15BPCo01`d1?l01b44o`026@Co00HO1?l05c04o`0iA0Co05=<1?l0ET/3o`1:
C0Co02Lj1?l03BP4o`036`Co00<J1?l02R@4o`0L<`Co03A21?l0@dT3o`0mAPCo02Lk1?l04R/4o`05
7`Co008I1?l011d4o`0<9`Co01Xb1?l09c/4o`0Y?0?o01lf1?l04B/4o`0780Co00<J1?l00QX4o`06
7`Co00dW1?l05Bh4o`0H<@?o01D^1?l03RP4o`0780Co00<K1?l00QT4o`036`Co00LP1?l02bD4o`0=
9`?o00`V1?l02B84o`057POooooo0ol00004ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00LQ1?l02284o`088@Co00HO1?l00a/3o`026@Co008J1?l01Ad4o`098`Co00hY1?l04R`4o`0A:`Co
00`W1?l01b03o`036`Co008I1?l011`4o`0:90Co01@]1?l07SD4o`0Q=`Co01/c1?l042X3o`0780Co
008J1?l00aX4o`088PCo01H_1?l0:C`4o`0f@`Co03A21?l08cP4o`0A:`?o00DN1?l00QT4o`057PCo
018/1?l0;3h4o`19C0Co055=1?l0ATX4o`0W>`?o00hX1?l00a`4o`036PCo00/U1?l093T4o`1=CPSo
05]71?l0C4d3o`0S>0Co00XT1?l00QX4o`057PCo01H_1?l0?TL4o`1KA`Co06@o1?l0GDD3o`14BPCo
01Tb1?l01Ql4o`026@Co00TT1?l09CT4o`1AC@Co06911?l0I3l4o`1GBP?o03501?l03bT8o`036`Co
010Z1?l0<d44o`1FB`Co06131?l0G4L3o`15BPCo01`d1?l01b44o`026@Co00HO1?l05c04o`0iA0Co
05=<1?l0ET/3o`1:C0Co02Lj1?l03BP4o`036`Co00<J1?l02R@4o`0L<`Co03A21?l0@dT3o`0mAPCo
02Lk1?l04R/4o`057`Co008I1?l011d4o`0<9`Co01Xb1?l09c/4o`0Y?0?o01lf1?l04B/4o`0780Co
00<J1?l00QX4o`067`Co00dW1?l05Bh4o`0H<@?o01D^1?l03RP4o`0780Co00<K1?l00QT4o`036`Co
00LP1?l02bD4o`0=9`?o00`V1?l02B84o`057PWooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`078@Co00PR1?l02244o`067`Co00<K0ol00QT4o`026PCo00DM
1?l02B<4o`0>:@Co018/1?l04B/4o`0<9`Co00LP0ol00a/4o`026@Co00@L1?l02R@4o`0D;@Co01he
1?l08CL4o`0K<`Co010Z0ol01b04o`026PCo00<J1?l02284o`0F;`Co02Tl1?l0=T<4o`0d@PCo02<h
1?l04B/3o`057PCo008I1?l01Ah4o`0B;0Co02`n1?l0BD`4o`1AC@Co04I:1?l09c/3o`0>:0Co00<L
1?l00aX4o`0;9@Co02@i1?l0CDh8o`1KA`Co04a=0ol08cP4o`0:90Co008J1?l01Ah4o`0F;`Co03i7
1?l0FdL4o`1T?`Co05e50ol0A4X4o`0I<PCo00HO1?l00QT4o`0990Co02Di1?l0DDd4o`1R@@Co06@o
1?l0EdX3o`0a@0Co00lY2?l00a/4o`0@:PCo03=11?l0ET/4o`1P@`Co05a70ol0ADX4o`0L=0Co00LQ
1?l00QT4o`067`Co01L`1?l0>D@4o`1CC0Co05I;0ol0BT`4o`0W>PCo00dX1?l00a/4o`036PCo00XT
1?l073<4o`0d@PCo04=90ol0?DH4o`0W>`Co018[1?l01Al4o`026@Co00@M1?l032L4o`0J<PCo02Lk
1?l0:C`3o`0O=PCo014[1?l01b04o`036PCo008J1?l01Ql4o`0=9`Co01D^1?l06343o`0E;PCo00hX
1?l01b04o`036`Co008I1?l00a/4o`0780Co00/U1?l03BL3o`0<9PCo00TR1?l01Ah9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01b04o`088PCo00LQ1?l0
1Ah4o`036`?o008I1?l00QX4o`047@Co00TR1?l03RP4o`0A:`Co010Z1?l032H4o`0780?o00<K1?l0
0QT4o`0470Co00XT1?l04b`4o`0L<`Co01le1?l06C44o`0?:@?o00HP1?l00QX4o`036PCo00PR1?l0
5Bh4o`0V>PCo03911?l0<404o`0Q=`Co010Z0ol01Ah4o`026@Co00DN1?l04B/4o`0Y?0Co04A:1?l0
Cdh4o`11B0Co02Di0ol03RP4o`036`Co00<J1?l02RD4o`0R>0Co04Q;2?l0F4T4o`17B`?o024g1?l0
2B<4o`026@Co00DM1?l05Bh4o`0jA@Co05Q91?l0HD84o`1JB0?o03m81?l06304o`057PCo008I1?l0
2B<4o`0R>0Co04m>1?l0Gd@4o`1Q@PCo05A<0ol0;Ch4o`0>:0So00<K1?l042X4o`0_?`Co05=<1?l0
GDH4o`1IB@?o04181?l06S84o`0780Co008I1?l01Ql4o`0F;`Co03E21?l0D4h4o`1CC0?o04A:1?l0
93T4o`0<9`Co00<K1?l00aX4o`098`Co01Xb1?l0<D04o`0nA`?o03U41?l093T4o`0@:PCo00DN1?l0
0QT4o`047@Co00`V1?l06C44o`0U>@Co02Hj0ol07C@4o`0@:PCo00LP1?l00aX4o`026PCo00HO1?l0
32L4o`0D;@Co01L`0ol052d4o`0=9`Co00HP1?l00a/4o`026@Co00<K1?l01R04o`0:90Co00`V0ol0
2bD4o`088PCo00DN2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07
ooooo`Co00LP1?l02284o`078@Co00DN1?l00a/3o`026@Co008J1?l011d4o`098PCo00hX1?l04B/4
o`0@:PCo00`V1?l01b03o`036`Co008I1?l011`4o`0:90Co01</1?l073<4o`0O=@Co01Ta1?l03bT3
o`0680Co008J1?l00aX4o`088PCo01D^1?l09SX4o`0b@@Co03101?l08CL4o`0@:P?o00DN1?l00QT4
o`057PCo014[1?l0:C`4o`14BPCo04m>1?l0@DP4o`0U>@?o00hX1?l00a/4o`036PCo00XU1?l08SP4
o`18B`So05Q91?l0Ad/3o`0Q=`Co00TS1?l00QT4o`057@Co01D^1?l0>TD4o`1HB@Co06521?l0FTP3
o`0oB0Co01P`1?l01Ah4o`026@Co00TS1?l08SP4o`1?CPCo05m41?l0HD84o`1DC0?o02dn1?l03RP8
o`036`Co010Z1?l0;cl4o`1CC0Co05e61?l0FDT3o`10B0Co01Xb1?l01b04o`026@Co00HO1?l05Rl4
o`0e@PCo051>1?l0Dd`3o`14BPCo02@i1?l032L4o`036`Co00<J1?l02B<4o`0J<PCo03501?l0?TL3
o`0iA0Co02@i1?l042X4o`057PCo008I1?l011d4o`0<9PCo01Ta1?l09CT4o`0V>P?o01dd1?l042X4
o`0780Co00<J1?l00QX4o`067`Co00`W1?l052d4o`0G<0?o01@]1?l03BL4o`0680Co00<K1?l00QT4
o`036`Co00HP1?l02R@4o`0<9P?o00/U1?l02284o`057PWooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`0780Co00PR1?l01b44o`057PCo00<K0ol00QT4o`02
6PCo00@M1?l02B84o`0>:0Co014[1?l042X4o`0<9PCo00LP0ol00a/4o`026@Co00@L1?l02R@4o`0C
;0Co01`c1?l07cD4o`0I<@Co00lY0ol01R04o`026PCo00<J1?l02284o`0E;PCo02Hj1?l0<T44o`0`
@0Co024g1?l042X3o`057PCo008I1?l01Ah4o`0A:`Co02Tl1?l0A4X4o`1?CPCo04581?l09CT3o`0>
:0Co00<K1?l00aX4o`0:9@Co028h1?l0B4/8o`1HB@Co04M;0ol08CL4o`098`Co008I1?l01Ad4o`0E
;PCo03Y51?l0F4T4o`1Q@PCo05Y80ol0?dP4o`0H<0Co00DN1?l00QT4o`098`Co028h1?l0Cdh4o`1O
A0Co06521?l0E4`3o`0]?PCo00hX2?l00a/4o`0@:PCo02lo1?l0Dd`4o`1MAPCo05U90ol0@4P4o`0J
<PCo00LP1?l00QT4o`067`Co01H_1?l0=D84o`1@CPCo05=<0ol0A4X4o`0T>@Co00`W1?l00a/4o`03
6PCo00TS1?l06S84o`0a@0Co03i70ol0>D@4o`0T>@Co010Z1?l01Ah4o`026@Co00@M1?l032H4o`0I
<@Co02Di1?l09SX3o`0M=0Co010Z1?l01b04o`036PCo008J1?l01Ql4o`0<9`Co01@]1?l05c03o`0D
;@Co00dW1?l01R04o`036`Co008I1?l00a/4o`0680Co00XT1?l032H3o`0;9@Co00PR1?l01Ah9oooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01b04o`088PCo
00LQ1?l01Ah4o`036`?o008I1?l00QX4o`047@Co00TR1?l03RP4o`0A:`Co010Z1?l032H4o`0780?o
00<K1?l00QT4o`0470Co00XT1?l04b`4o`0L<`Co01le1?l06C44o`0?:@?o00HP1?l00QX4o`036PCo
00PR1?l05Bh4o`0V>PCo03911?l0<404o`0Q=`Co010Z0ol01Ah4o`026@Co00DN1?l04B/4o`0Y?0Co
04A:1?l0Cdh4o`11B0Co02Di0ol03RP4o`036`Co00<J1?l02RD4o`0R>0Co04Q;2?l0F4T4o`17B`?o
024g1?l02B<4o`026@Co00DM1?l05Bh4o`0jA@Co05Q91?l0HD84o`1JB0?o03m81?l06304o`057PCo
008I1?l02B<4o`0R>0Co04m>1?l0Gd@4o`1Q@PCo05A<0ol0;Ch4o`0>:0So00<K1?l042X4o`0_?`Co
05=<1?l0GDH4o`1IB@?o04181?l06S84o`0780Co008I1?l01Ql4o`0F;`Co03E21?l0D4h4o`1CC0?o
04A:1?l093T4o`0<9`Co00<K1?l00aX4o`098`Co01Xb1?l0<D04o`0nA`?o03U41?l093T4o`0@:PCo
00DN1?l00QT4o`047@Co00`V1?l06C44o`0U>@Co02Hj0ol07C@4o`0@:PCo00LP1?l00aX4o`026PCo
00HO1?l032L4o`0D;@Co01L`0ol052d4o`0=9`Co00HP1?l00a/4o`026@Co00<K1?l01R04o`0:90Co
00`V0ol02bD4o`088PCo00DN2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00HP2?l01b44o`057PCo00<K0ol00QT4o`026PCo00@M1?l02284o`0=9`Co010Z
1?l03bX4o`0;9PCo00HP0ol00a/4o`026@Co00@L1?l02B<4o`0B;0Co01Xb1?l07C@4o`0H<0Co00hX
0ol01Ql4o`026PCo00<J1?l02244o`0C;@Co02@i1?l0;cl4o`0]?PCo01lf1?l03bT3o`057PCo008I
1?l01Ah4o`0@:PCo02Lj1?l0?dP4o`19C0Co03a61?l08SP3o`0=9`Co00<K1?l00aX4o`0:90Co020f
1?l0@dT8o`1EB`Co04990ol07cD4o`098`Co008I1?l01Ad4o`0C;@Co03I31?l0ED/4o`1MA@Co05M:
0ol0>dD4o`0F;`Co00DN1?l00QT4o`098`Co020f1?l0BTd4o`1LA`Co05i51?l0DTd3o`0Z?@Co00dW
2?l00a/4o`0?:@Co02`n1?l0DDd4o`1JB0Co05I;0ol0?4H4o`0I<@Co00HP1?l00QT4o`067`Co01D_
1?l0<T44o`1=CPCo051=0ol0?dP4o`0Q=`Co00`V1?l00a/4o`036PCo00TS1?l06C44o`0^?`Co03Y5
0ol0=484o`0R=`Co00lY1?l01Ah4o`026@Co00@M1?l032H4o`0H<@Co028h1?l093T3o`0K<`Co00lY
1?l01R08o`026PCo00HO1?l032H4o`0C;0Co01D_0ol04R`4o`0<9PCo00HO1?l00aX4o`026@Co00<K
1?l01R04o`0:90Co00`V0ol02bD4o`088PCo00DM2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00HP2?l01b44o`057PCo00<K0ol00QT4o`026PCo00@M1?l0
2284o`0=9`Co010Z1?l03bX4o`0;9PCo00HP0ol00a/4o`026@Co00@L1?l02B<4o`0B;0Co01Xb1?l0
7C@4o`0H<0Co00hX0ol01Ql4o`026PCo00<J1?l02244o`0C;@Co02@i1?l0;cl4o`0]?PCo01lf1?l0
3bT3o`057PCo008I1?l01Ah4o`0@:PCo02Lj1?l0?dP4o`19C0Co03a61?l08SP3o`0=9`Co00<K1?l0
0aX4o`0:90Co020f1?l0@dT8o`1EB`Co04990ol07cD4o`098`Co008I1?l01Ad4o`0C;@Co03I31?l0
ED/4o`1MA@Co05M:0ol0>dD4o`0F;`Co00DN1?l00QT4o`098`Co020f1?l0BTd4o`1LA`Co05i51?l0
DTd3o`0Z?@Co00dW2?l00a/4o`0?:@Co02`n1?l0DDd4o`1JB0Co05I;0ol0?4H4o`0I<@Co00HP1?l0
0QT4o`067`Co01D_1?l0<T44o`1=CPCo051=0ol0?dP4o`0Q=`Co00`V1?l00a/4o`036PCo00TS1?l0
6C44o`0^?`Co03Y50ol0=484o`0R=`Co00lY1?l01Ah4o`026@Co00@M1?l032H4o`0H<@Co028h1?l0
93T3o`0K<`Co00lY1?l01R08o`026PCo00HO1?l032H4o`0C;0Co01D_0ol04R`4o`0<9PCo00HO1?l0
0aX4o`026@Co00<K1?l01R04o`0:90Co00`V0ol02bD4o`088PCo00DM2Oooool00ol0003ooooooooo
o`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HP2?l01b44o`057PCo00<K0ol00QT4
o`026PCo00@M1?l02284o`0=9`Co010Z1?l03bX4o`0;9PCo00HP0ol00a/4o`026@Co00@L1?l02B<4
o`0B;0Co01Xb1?l07C@4o`0H<0Co00hX0ol01Ql4o`026PCo00<J1?l02244o`0C;@Co02@i1?l0;cl4
o`0]?PCo01lf1?l03bT3o`057PCo008I1?l01Ah4o`0@:PCo02Lj1?l0?dP4o`19C0Co03a61?l08SP3
o`0=9`Co00<K1?l00aX4o`0:90Co020f1?l0@dT8o`1EB`Co04990ol07cD4o`098`Co008I1?l01Ad4
o`0C;@Co03I31?l0ED/4o`1MA@Co05M:0ol0>dD4o`0F;`Co00DN1?l00QT4o`098`Co020f1?l0BTd4
o`1LA`Co05i51?l0DTd3o`0Z?@Co00dW2?l00a/4o`0?:@Co02`n1?l0DDd4o`1JB0Co05I;0ol0?4H4
o`0I<@Co00HP1?l00QT4o`067`Co01D_1?l0<T44o`1=CPCo051=0ol0?dP4o`0Q=`Co00`V1?l00a/4
o`036PCo00TS1?l06C44o`0^?`Co03Y50ol0=484o`0R=`Co00lY1?l01Ah4o`026@Co00@M1?l032H4
o`0H<@Co028h1?l093T3o`0K<`Co00lY1?l01R08o`026PCo00HO1?l032H4o`0C;0Co01D_0ol04R`4
o`0<9PCo00HO1?l00aX4o`026@Co00<K1?l01R04o`0:90Co00`V0ol02bD4o`088PCo00DM2Oooool0
0ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HP1?l01b44o`07
80Co00DN1?l00a/3o`026@Co008J1?l011d4o`088PCo00`V2?l03bT4o`0;9@Co00HO0ol00a/4o`02
6@Co00@L1?l02B<4o`0A:`Co01Pa1?l06c<4o`0F;`Co00dX0ol01Ql4o`026PCo00<J1?l01b44o`0B
;0Co024g1?l0;3d4o`0Z?@Co01dd1?l03RP3o`057PCo008I1?l01Ad4o`0?:PCo02@i1?l0>dD4o`14
BPCo03Q41?l083H3o`0<9PCo00<K1?l00aX4o`0:90Co01he1?l0?TL8o`1BC@Co03e70ol07C@4o`09
8`Co008I1?l011d4o`0B;0Co03911?l0Ddd4o`1JB0Co05A<0ol0=d<4o`0E;PCo00DN1?l00QT4o`08
8PCo01he1?l0ADX4o`1IB@Co05Y81?l0Cdh3o`0W>`Co00`W1?l00aX4o`036`Co00hX1?l0:S`4o`1>
CPCo05M:1?l0Dd`3o`0gA0Co01L`1?l01Ql4o`026@Co00HO1?l052h4o`0_?`Co04Q<1?l0CDh3o`0k
A@Co01le1?l02bD4o`036`Co00<J1?l02B<4o`0H<0Co02/m1?l0=T<3o`0a@0Co01lf1?l03RP4o`05
7@Co008I1?l011`4o`0;9@Co01L`1?l083H4o`0Q=`?o01Tb1?l03RP4o`067`So008J1?l01Ql4o`0<
9PCo018/1?l052h3o`0A:`Co00/U1?l01Ql4o`036PCo008I1?l00a/4o`067`Co00TS1?l02bD3o`0:
90Co00LQ1?l01Ad9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oo
oooo1?l01R04o`078@Co00LP1?l01Ah4o`036`?o008I1?l00QX4o`047@Co00PR1?l032H8o`0?:@Co
00/U1?l01Ql3o`036`Co008I1?l011`4o`098`Co014[1?l06344o`0K<`Co01H_1?l03BP3o`067`Co
008J1?l00aX4o`078@Co018/1?l08CL4o`0/?@Co02Xm1?l07C@4o`0>:0?o00DN1?l00QT4o`057@Co
00lZ1?l093T4o`0kA@Co04A:1?l0>4@4o`0P=P?o00`V1?l00a/4o`036PCo00XT1?l07SD4o`0nA`So
059=1?l0?DL3o`0M=0Co00TS1?l00QT4o`047@Co018/1?l0<T44o`1CC@Co05Y81?l0E4`3o`0g@`Co
01D^1?l01Ah4o`026@Co00PR1?l07SD4o`15BPCo05U91?l0FTP4o`1?CP?o02Lk1?l032L4o`036PCo
00<K1?l03RP4o`0Z?0Co04i>1?l0EdX4o`1CC0?o03M41?l05c04o`067`Co008I1?l01Ql4o`0D;PCo
02lo1?l0B4`4o`1=CP?o03]51?l07cD4o`0;9@Co00<K1?l00aX4o`098`Co01P`1?l0:cd4o`0f@`?o
03501?l07cH4o`0>:0Co00DM1?l00QT4o`0470Co00/U1?l05c04o`0P=PCo024g0ol06C84o`0>:0Co
00HO2?l00QX4o`067`Co00`V1?l04R`4o`0D;P?o014[1?l02bD4o`067`Co00<J1?l00QT4o`036`Co
00HO1?l02B<4o`0;9@?o00XT1?l01b44o`057@Wooooo00?o0000ooooooooool00_ooool001_ooooo
00?o0000ooooooooool01oooool4o`0680Co00LQ1?l01b04o`057PCo00<K0ol00QT4o`026PCo00@M
1?l02284o`0<9PSo00lY1?l02bD4o`067`?o00<K1?l00QT4o`0470Co00TS1?l04B/4o`0H<@Co01/c
1?l05Rl4o`0=:0?o00HO1?l00QX4o`036PCo00LQ1?l04R`4o`0Q=`Co02`m1?l0:Sd4o`0M=0Co00hX
0ol01Ah4o`026@Co00DM1?l03bX4o`0T>@Co03]51?l0A4X4o`0hA0Co020f0ol032H4o`036`Co00<J
1?l02R@4o`0N=@Co03i72?l0DTd4o`0mA`?o01dd1?l02B<4o`026@Co00@M1?l04R`4o`0b@@Co05==
1?l0FTP4o`1DC0?o03M31?l05Bh4o`057PCo008I1?l02284o`0N=@Co04E:1?l0FDT4o`1JB0Co04m>
0ol09c/4o`0<9`Co00<J1?l00a/4o`0>:0Co02Xl1?l0CTh4o`1GBPCo05=<0ol0=d@4o`0G<0Co00HO
1?l00QT4o`067`Co01@^1?l0;cl4o`18C0Co04e>0ol0>dD4o`0O=@Co00/U1?l00a/4o`036PCo00TS
1?l06304o`0[?@Co03I30ol0<D04o`0O=PCo00hX1?l01Ad4o`026@Co00@L1?l02bD4o`0G<0Co020f
1?l08CL3o`0I<PCo00hX1?l01Ql8o`026PCo00HO1?l032H4o`0B;0Co01@^0ol04B/4o`0;9@Co00HO
1?l00aX4o`026@Co00<K1?l01Ql4o`098`Co00/U0ol02R@4o`078@Co00DM2Oooool00ol0003ooooo
ooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00HP1?l01b44o`0780Co00DN1?l0
0a/3o`026@Co008J1?l011d4o`088PCo00`V2?l03bT4o`0;9@Co00HO0ol00a/4o`026@Co00@L1?l0
2B<4o`0A:`Co01Pa1?l06c<4o`0F;`Co00dX0ol01Ql4o`026PCo00<J1?l01b44o`0B;0Co024g1?l0
;3d4o`0Z?@Co01dd1?l03RP3o`057PCo008I1?l01Ad4o`0?:PCo02@i1?l0>dD4o`14BPCo03Q41?l0
83H3o`0<9PCo00<K1?l00aX4o`0:90Co01he1?l0?TL8o`1BC@Co03e70ol07C@4o`098`Co008I1?l0
11d4o`0B;0Co03911?l0Ddd4o`1JB0Co05A<0ol0=d<4o`0E;PCo00DN1?l00QT4o`088PCo01he1?l0
ADX4o`1IB@Co05Y81?l0Cdh3o`0W>`Co00`W1?l00aX4o`036`Co00hX1?l0:S`4o`1>CPCo05M:1?l0
Dd`3o`0gA0Co01L`1?l01Ql4o`026@Co00HO1?l052h4o`0_?`Co04Q<1?l0CDh3o`0kA@Co01le1?l0
2bD4o`036`Co00<J1?l02B<4o`0H<0Co02/m1?l0=T<3o`0a@0Co01lf1?l03RP4o`057@Co008I1?l0
11`4o`0;9@Co01L`1?l083H4o`0Q=`?o01Tb1?l03RP4o`067`So008J1?l01Ql4o`0<9PCo018/1?l0
52h3o`0A:`Co00/U1?l01Ql4o`036PCo008I1?l00a/4o`067`Co00TS1?l02bD3o`0:90Co00LQ1?l0
1Ad9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ql4
o`0780Co00HP1?l01Ah4o`036`?o008I1?l00QX4o`0470Co00LQ1?l032H8o`0>:0Co00XT1?l01Ql3
o`036`Co008I1?l011`4o`088PCo010Z1?l05c04o`0I<PCo01D^1?l03BL3o`067`Co008J1?l00aX4
o`078@Co014[1?l07cH4o`0Y?0Co02Lk1?l06c<4o`0=:0?o00DM1?l00QT4o`057@Co00lY1?l08SL4
o`0f@`Co03m71?l0=484o`0N=@?o00`V1?l00a/4o`026PCo00TS1?l073@4o`0iA@Co051>1?l0Cdh4
o`0iA0?o01/c1?l02284o`026@Co00@M1?l04B/4o`0^?`Co051>1?l0EdX4o`1AC@?o03=11?l052d4
o`057PCo008I1?l02284o`0L=0Co04181?l0ET/4o`1GBPCo04Y<0ol093T4o`0<9PCo00<J1?l00a/4
o`0>:0Co02Lk1?l0B4`4o`1DC0Co051>0ol0<d44o`0E;`Co00HO1?l00QT4o`067`Co01<]1?l0;3d4
o`13B@Co04M;0ol0=T<4o`0M=0Co00XT1?l00a/4o`036PCo00PR1?l05Rl4o`0X>`Co03910ol0;Ch4
o`0M=0Co00dW1?l011d4o`026@Co00@L1?l02bD4o`0E;`Co01he1?l07cH3o`0G<0Co00dW1?l01Ql8
o`026PCo00HO1?l02bD4o`0A:`Co01<]0ol042X4o`0;9@Co00DO1?l00aX4o`026@Co00<K1?l01Ql4
o`098`Co00XU0ol02R@4o`078@Co00@M2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0
003oooooooooo`07ooooo`Co00HO1?l01b04o`0680Co00DN1?l00a/3o`026@Co008J1?l011`4o`07
8@Co00`V2?l03RP4o`0:90Co00HO0ol00a/4o`026@Co00@L1?l02284o`0@:PCo01L`1?l06C84o`0E
;PCo00dW0ol01Ql4o`026PCo00<J1?l01b44o`0A:`Co01lf1?l0:C`4o`0W>`Co01/c1?l03BP3o`05
7@Co008I1?l01Ad4o`0?:@Co028g1?l0=T<4o`0oA`Co03A21?l07SD3o`0<9PCo00<K1?l00QX4o`09
8`Co01`d1?l0>DD4o`1@CPCo04m>1?l0>D@3o`0K<`Co00PR1?l00QT4o`047@Co014[1?l0;Sl4o`1@
CPCo05M:1?l0DDd3o`0c@@Co01@]1?l01Ah4o`026@Co00PR1?l073@4o`10B0Co05I;1?l0EdX4o`1:
C0?o02@i1?l032H4o`036PCo00<K1?l03RP4o`0W>`Co04Q<1?l0E4`4o`1@CP?o03=11?l05Bl4o`06
7`Co008I1?l01Ql4o`0C;@Co02`m1?l0@dT4o`17B`?o03I31?l07C@4o`0:90Co00<K1?l00aX4o`08
8PCo01H_1?l0:3/4o`0b@@?o02dn1?l07C@4o`0=9`Co00@M1?l00QT4o`0470Co00/U1?l05Bl4o`0N
=@Co01lf0ol05c04o`0=9`Co00HO2?l00QX4o`067`Co00/U1?l04B/4o`0C;@?o010Z1?l02bD4o`05
7`Co00<J1?l00QT4o`036`Co00HO1?l02B<4o`0:9@?o00XT1?l01b44o`047@Wooooo00?o0000oooo
ooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`067`Co00LP1?l01R04o`057PCo
00<K0ol00QT4o`026PCo00@L1?l01b44o`0<9PSo00hX1?l02R@4o`067`?o00<K1?l00QT4o`0470Co
00PR1?l042X4o`0G<0Co01Tb1?l05Bh4o`0=9`?o00HO1?l00QX4o`036PCo00LQ1?l04B/4o`0O=PCo
02Tl1?l09c/4o`0K<`Co00dX0ol01Ad4o`026@Co00DM1?l03bT4o`0R=`Co03I31?l0?dL4o`0d@PCo
01he0ol032H4o`036`Co008J1?l02B<4o`0L=0Co03U51?l0D4h4o`1?CPCo03U40ol06c<4o`088PCo
008I1?l011d4o`0A:`Co02ho1?l0D4h4o`1GBPCo055=0ol0<d44o`0D;@Co00DN1?l00QT4o`088PCo
01`d1?l0@4P4o`1FB`Co05M:1?l0BT`3o`0T>@Co00`V1?l00aX4o`036`Co00hX1?l09c/4o`18C0Co
05A<1?l0D4h3o`0c@@Co01D_1?l01Ql4o`026@Co00HO1?l04bd4o`0/?@Co04=91?l0Ad/3o`0f@`Co
01dd1?l02R@4o`036`Co00<J1?l02284o`0F;`Co02Pk1?l0<T43o`0]?PCo01dd1?l03BL4o`047@Co
008I1?l011`4o`0;9@Co01D_1?l07SD4o`0O=P?o01L`1?l03BL4o`067`So008J1?l01Ql4o`0;9@Co
014[1?l04bd3o`0@:PCo00/U1?l01Al4o`036PCo008I1?l00a/4o`067`Co00TS1?l02RD3o`0:90Co
00LQ1?l011d9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo
1?l01Ql4o`0780Co00HP1?l01Ah4o`036`?o008I1?l00QX4o`0470Co00LQ1?l032H8o`0>:0Co00XT
1?l01Ql3o`036`Co008I1?l011`4o`088PCo010Z1?l05c04o`0I<PCo01D^1?l03BL3o`067`Co008J
1?l00aX4o`078@Co014[1?l07cH4o`0Y?0Co02Lk1?l06c<4o`0=:0?o00DM1?l00QT4o`057@Co00lY
1?l08SL4o`0f@`Co03m71?l0=484o`0N=@?o00`V1?l00a/4o`026PCo00TS1?l073@4o`0iA@Co051>
1?l0Cdh4o`0iA0?o01/c1?l02284o`026@Co00@M1?l04B/4o`0^?`Co051>1?l0EdX4o`1AC@?o03=1
1?l052d4o`057PCo008I1?l02284o`0L=0Co04181?l0ET/4o`1GBPCo04Y<0ol093T4o`0<9PCo00<J
1?l00a/4o`0>:0Co02Lk1?l0B4`4o`1DC0Co051>0ol0<d44o`0E;`Co00HO1?l00QT4o`067`Co01<]
1?l0;3d4o`13B@Co04M;0ol0=T<4o`0M=0Co00XT1?l00a/4o`036PCo00PR1?l05Rl4o`0X>`Co0391
0ol0;Ch4o`0M=0Co00dW1?l011d4o`026@Co00@L1?l02bD4o`0E;`Co01he1?l07cH3o`0G<0Co00dW
1?l01Ql8o`026PCo00HO1?l02bD4o`0A:`Co01<]0ol042X4o`0;9@Co00DO1?l00aX4o`026@Co00<K
1?l01Ql4o`098`Co00XU0ol02R@4o`078@Co00@M2Oooool00ol0003oooooooooo`02ooooo`006ooo
ool00ol0003oooooooooo`07ooooo`Co00HO1?l01b04o`0680Co00DN1?l00a/3o`026@Co008J1?l0
11`4o`078@Co00/U1?l03BP4o`0=9`Co00XT1?l01Ql3o`036`Co008I1?l011`4o`088PCo00lY1?l0
5Bl4o`0H<0Co01<]1?l032H3o`057`Co008J1?l00aX4o`0780Co010Z1?l07C@4o`0V>PCo02@i1?l0
6C84o`0=9`?o00@M1?l00QT4o`047@Co00hX1?l07cH4o`0b@@Co03Y51?l0<404o`0L<`?o00/U1?l0
0a/4o`026PCo00TS1?l06S84o`0e@PSo04]=1?l0=483o`0I<@Co00PR1?l00QT4o`047@Co010Z1?l0
:cd4o`1<C@Co05A<1?l0CTh3o`0_?`Co018/1?l01Ad4o`026@Co00PQ1?l06c<4o`0kAPCo05==1?l0
E4`4o`14BP?o028g1?l02bD4o`036PCo00<K1?l03BL4o`0T>@Co04=91?l0DDd4o`1;C@?o02lo1?l0
52d4o`067`Co008I1?l01Ah4o`0B;0Co02Tl1?l0?TL4o`12B@?o03911?l06S84o`0:90So00<J1?l0
2284o`0E;`Co02Hj1?l0;cl3o`0Z?0Co01/c1?l032L4o`047@Co008I1?l011`4o`0:9@Co01@^1?l0
73@4o`0M=0?o01H_1?l032H4o`057PCo008J1?l00aX4o`057PCo00/U1?l042X4o`0B;0?o00lY1?l0
2R@4o`057PCo00<J1?l00QT4o`036`Co00HO1?l02B<4o`0:90?o00TS1?l01b04o`047@Wooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`067`Co00LP1?l01R04
o`057PCo00<K0ol00QT4o`026PCo00@L1?l01b44o`0;9@Co00dX1?l03BL4o`0:90Co00HO0ol00a/4
o`026@Co00@L1?l02284o`0?:@Co01D_1?l06304o`0C;@Co00`V0ol01Al4o`026PCo00<J1?l01b04
o`0@:PCo01dd1?l09SX4o`0T>@Co01Tb1?l03BL3o`047@Co008I1?l011d4o`0>:0Co01lf1?l0<T44
o`0jA@Co03101?l073<3o`0;9@Co00<K1?l00QX4o`098`Co01Xb1?l0=D88o`1;C@Co03A20ol06C44
o`088PCo008I1?l011d4o`0@:PCo02/m1?l0C4d4o`1DC0Co04i>0ol0;cl4o`0B;0Co00DM1?l00QT4
o`088@Co01/c1?l0>dH4o`1CC@Co05A<1?l0A4X3o`0R=`Co00/U1?l00aX4o`036`Co00dW1?l093T4
o`13B@Co055=1?l0Bdd3o`0_?`Co01@]1?l01Ql4o`026@Co00DN1?l04R`4o`0Y?0Co03i71?l0@TT3
o`0b@@Co01Xb1?l02R@8o`036PCo00PR1?l05Bl4o`0V>PCo02lo0ol0:S`4o`0K<`Co00`W1?l011d4
o`026@Co00@L1?l02RD4o`0D;PCo01`d1?l07C@3o`0F;`Co00`V1?l01Ah4o`026PCo00<J1?l01Ah4
o`0;9@Co010Z1?l04R`3o`0?:@Co00XT1?l01Ah4o`036PCo008I1?l00a/4o`067`Co00TS1?l02R@3
o`098`Co00LP1?l011d9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l01Ql4o`0780Co00HP1?l01Ah4o`036`?o008I1?l00QX4o`0470Co00LQ1?l02bD4o`0=
:0Co00dW1?l02R@4o`067`?o00<K1?l00QT4o`0470Co00PR1?l03bT4o`0E;`Co01P`1?l04bd4o`0<
9P?o00DO1?l00QX4o`036PCo00LP1?l042X4o`0M=0Co02Hj1?l093T4o`0I<PCo00dW0ol011d4o`02
6@Co00@M1?l03RP4o`0O=PCo03911?l0>TD4o`0`@0Co01`c0ol02bD4o`036`Co008J1?l02B<4o`0J
<PCo03E22?l0Bdd4o`0d@P?o01Ta1?l02284o`026@Co00@M1?l042X4o`0[?@Co04a=1?l0E4`4o`1>
CP?o02lo1?l04R`4o`057@Co008I1?l02244o`0K<`Co03]61?l0Ddd4o`1DC0Co04A:0ol08SL4o`0;
9@Co00<J1?l00a/4o`0=9`Co02@i1?l0@dT4o`1AC@Co04]=0ol0;cl4o`0D;@Co00HO1?l00QT4o`05
7PCo018/1?l0:C`4o`0nA`Co04990ol0<T44o`0J<PCo00XT2?l00aX4o`088PCo01D_1?l09SX4o`0_
?`?o02Xl1?l06c<4o`0<9`Co00@M1?l00QT4o`0470Co00XU1?l052h4o`0L=0Co01dd0ol05Rl4o`0<
9PCo00DN1?l00QX4o`036PCo00DN1?l02bD4o`0@:PCo018/0ol03bT4o`0:90Co00DN1?l00aX4o`02
6@Co00<K1?l01Ql4o`098`Co00XT0ol02B<4o`0780Co00@M2Oooool00ol0003oooooooooo`02oooo
o`006oooool00ol0003oooooooooo`07ooooo`Co00HO1?l01b04o`0680Co00DN1?l00a/3o`026@Co
008J1?l011`4o`078@Co00/U1?l03BP4o`0=9`Co00XT1?l01Ql3o`036`Co008I1?l011`4o`088PCo
00lY1?l05Bl4o`0H<0Co01<]1?l032H3o`057`Co008J1?l00aX4o`0780Co010Z1?l07C@4o`0V>PCo
02@i1?l06C84o`0=9`?o00@M1?l00QT4o`047@Co00hX1?l07cH4o`0b@@Co03Y51?l0<404o`0L<`?o
00/U1?l00a/4o`026PCo00TS1?l06S84o`0e@PSo04]=1?l0=483o`0I<@Co00PR1?l00QT4o`047@Co
010Z1?l0:cd4o`1<C@Co05A<1?l0CTh3o`0_?`Co018/1?l01Ad4o`026@Co00PQ1?l06c<4o`0kAPCo
05==1?l0E4`4o`14BP?o028g1?l02bD4o`036PCo00<K1?l03BL4o`0T>@Co04=91?l0DDd4o`1;C@?o
02lo1?l052d4o`067`Co008I1?l01Ah4o`0B;0Co02Tl1?l0?TL4o`12B@?o03911?l06S84o`0:90So
00<J1?l02284o`0E;`Co02Hj1?l0;cl3o`0Z?0Co01/c1?l032L4o`047@Co008I1?l011`4o`0:9@Co
01@^1?l073@4o`0M=0?o01H_1?l032H4o`057PCo008J1?l00aX4o`057PCo00/U1?l042X4o`0B;0?o
00lY1?l02R@4o`057PCo00<J1?l00QT4o`036`Co00HO1?l02B<4o`0:90?o00TS1?l01b04o`047@Wo
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`057`Co00HP
1?l01Ql4o`057@Co00<K0ol00QT4o`026PCo00@L1?l01b04o`0:90Co00dW1?l032L4o`098`Co00DO
0ol00aX4o`026@Co00<L1?l01b44o`0>:0Co01@]1?l05Rl4o`0B;0Co00/U0ol01Ah4o`026PCo00<J
1?l01R04o`0?:@Co01/c1?l08cP4o`0R=`Co01P`1?l032H3o`047@Co008I1?l011d4o`0=9`Co01dd
1?l0;cl4o`0f@`Co02`n1?l06S83o`0:90Co00<K1?l00QX4o`088PCo01Pa1?l0<D08o`15BPCo0310
0ol05c04o`078@Co008I1?l011d4o`0?:PCo02Pk1?l0ATX4o`1AC@Co04Q<0ol0:cd4o`0A:`Co00DM
1?l00QT4o`078@Co01Ta1?l0=d<4o`1@CPCo055=1?l0?TL3o`0O=PCo00XT1?l00aX4o`036`Co00`W
1?l08SP4o`0nA`Co04i>1?l0ADX3o`0[?@Co018/1?l01Ah4o`026@Co00DN1?l04B/4o`0V>PCo03U5
1?l0?4H3o`0^?PCo01Pa1?l02B<8o`036PCo00PR1?l052h4o`0S>0Co02/m0ol09SX4o`0I<@Co00/V
1?l011`4o`026@Co00@L1?l02R@4o`0C;@Co01/b1?l06c<3o`0D;PCo00/V1?l01Ah4o`026PCo00<J
1?l01Ah4o`0:90Co00lY1?l04B/3o`0>:0Co00TS1?l01Ah4o`036PCo008I1?l00a/4o`067`Co00PR
1?l02B<3o`098PCo00HP1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01Al4o`0680Co00HO1?l01Ad4o`036`?o008I1?l00QX4o`0470Co00LP1?l0
2R@4o`0=9`Co00`W1?l02B<4o`057`?o00<J1?l00QT4o`0370Co00LQ1?l03RP4o`0D;@Co01H_1?l0
4R`4o`0;9@?o00DN1?l00QX4o`036PCo00HP1?l03bT4o`0K<`Co02<h1?l08SL4o`0H<0Co00`V0ol0
11d4o`026@Co00@M1?l03BL4o`0M=0Co02lo1?l0=T<4o`0/?PCo01Xb0ol02R@4o`036`Co008J1?l0
2284o`0H<@Co03502?l0ADX4o`0`@0?o01L`1?l01b44o`026@Co00@M1?l03bX4o`0X>`Co04I:1?l0
DDd4o`18C0?o02/m1?l04B/4o`057@Co008I1?l01b44o`0I<@Co03M31?l0D4h4o`1AC@Co03i70ol0
7cH4o`0:90Co00<J1?l00a/4o`0<9`Co028h1?l0?TL4o`1>CPCo04E:0ol0:cd4o`0B;0Co00DN1?l0
0QT4o`057PCo014[1?l09SX4o`0iA@Co03a60ol0;Sh4o`0H<@Co00TS2?l00aX4o`088PCo01@^1?l0
8cP4o`0[?@?o02Hj1?l06C44o`0;9PCo00@L1?l00QT4o`0470Co00XT1?l04bd4o`0K<PCo01/c0ol0
52h4o`0;9PCo00DN1?l00QX4o`036PCo00DN1?l02R@4o`0?:@Co014[0ol03RP4o`098`Co00DN1?l0
0aX4o`026@Co00<K1?l01Ql4o`088PCo00TS0ol02B84o`0680Co00@L2Oooool00ol0003ooooooooo
o`02ooooo`006oooool3o`0000Oooooo1?l01Al4o`0680Co00HO1?l01Ad4o`036`?o008I1?l00QX4
o`0470Co00LP1?l02R@4o`0=9`Co00`W1?l02B<4o`057`?o00<J1?l00QT4o`0370Co00LQ1?l03RP4
o`0D;@Co01H_1?l04R`4o`0;9@?o00DN1?l00QX4o`036PCo00HP1?l03bT4o`0K<`Co02<h1?l08SL4
o`0H<0Co00`V0ol011d4o`026@Co00@M1?l03BL4o`0M=0Co02lo1?l0=T<4o`0/?PCo01Xb0ol02R@4
o`036`Co008J1?l02284o`0H<@Co03502?l0ADX4o`0`@0?o01L`1?l01b44o`026@Co00@M1?l03bX4
o`0X>`Co04I:1?l0DDd4o`18C0?o02/m1?l04B/4o`057@Co008I1?l01b44o`0I<@Co03M31?l0D4h4
o`1AC@Co03i70ol07cH4o`0:90Co00<J1?l00a/4o`0<9`Co028h1?l0?TL4o`1>CPCo04E:0ol0:cd4
o`0B;0Co00DN1?l00QT4o`057PCo014[1?l09SX4o`0iA@Co03a60ol0;Sh4o`0H<@Co00TS2?l00aX4
o`088PCo01@^1?l08cP4o`0[?@?o02Hj1?l06C44o`0;9PCo00@L1?l00QT4o`0470Co00XT1?l04bd4
o`0K<PCo01/c0ol052h4o`0;9PCo00DN1?l00QX4o`036PCo00DN1?l02R@4o`0?:@Co014[0ol03RP4
o`098`Co00DN1?l00aX4o`026@Co00<K1?l01Ql4o`088PCo00TS0ol02B84o`0680Co00@L1oooool3
o`0000Cooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Al4o`0680Co00HO1?l01Ad4o`03
6`?o008I1?l00QX4o`0470Co00LP1?l02R@4o`0=9`Co00`W1?l02B<4o`057`?o00<J1?l00QT4o`03
70Co00LQ1?l03RP4o`0D;@Co01H_1?l04R`4o`0;9@?o00DN1?l00QX4o`036PCo00HP1?l03bT4o`0K
<`Co02<h1?l08SL4o`0H<0Co00`V0ol011d4o`026@Co00@M1?l03BL4o`0M=0Co02lo1?l0=T<4o`0/
?PCo01Xb0ol02R@4o`036`Co008J1?l02284o`0H<@Co03502?l0ADX4o`0`@0?o01L`1?l01b44o`02
6@Co00@M1?l03bX4o`0X>`Co04I:1?l0DDd4o`18C0?o02/m1?l04B/4o`057@Co008I1?l01b44o`0I
<@Co03M31?l0D4h4o`1AC@Co03i70ol07cH4o`0:90Co00<J1?l00a/4o`0<9`Co028h1?l0?TL4o`1>
CPCo04E:0ol0:cd4o`0B;0Co00DN1?l00QT4o`057PCo014[1?l09SX4o`0iA@Co03a60ol0;Sh4o`0H
<@Co00TS2?l00aX4o`088PCo01@^1?l08cP4o`0[?@?o02Hj1?l06C44o`0;9PCo00@L1?l00QT4o`04
70Co00XT1?l04bd4o`0K<PCo01/c0ol052h4o`0;9PCo00DN1?l00QX4o`036PCo00DN1?l02R@4o`0?
:@Co014[0ol03RP4o`098`Co00DN1?l00aX4o`026@Co00<K1?l01Ql4o`088PCo00TS0ol02B84o`06
80Co00@L2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co
00DN2?l01Ql4o`057@Co00<K1ol00QT4o`0470Co00HP1?l02R@8o`0<9PCo00TS1?l01Ah3o`036PCo
008I1?l00a/4o`078@Co00dW1?l04b`4o`0D;PCo014[1?l02bD3o`057PCo008J1?l00aX4o`0680Co
00hX1?l06C44o`0P=`Co01lf1?l05Rl4o`0;9@?o00@M1?l00QT4o`047@Co00`V1?l06c<4o`0[?@Co
03501?l0:C`4o`0H<@?o00XT1?l00a/4o`026PCo00PR1?l05c04o`0]?PCo03m81?l0?dL4o`0]?P?o
01H_1?l01b44o`026@Co00@L1?l03RT4o`0U>@Co04181?l0CDh4o`12B@?o02Pk1?l042X4o`047@Co
008I1?l01b44o`0G<0Co03=11?l0Bdd4o`1>CPCo03U40ol07C@4o`0:90Co00<J1?l00a/4o`0<9PCo
020f1?l0>DD4o`17B`Co03m80ol0:3/4o`0A:`Co00DN1?l00QT4o`057PCo010Z1?l093T4o`0e@PCo
03Q40ol0:S`4o`0F;`Co00PR2?l00aX4o`088PCo01<]1?l08CL4o`0X>`?o02<h1?l05c04o`0;9@Co
00@L1?l00QT4o`0470Co00XT1?l04R`8o`0I<@?o01</1?l02bD4o`057@Co008I1?l00aX4o`057PCo
00XT1?l03RP4o`0@:P?o00dW1?l02B<4o`057@Co00<J1?l00QT4o`036`Co00DO1?l02284o`098`?o
00PR1?l01Ql4o`0470Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0
1oooool4o`057PSo00HO1?l01Ad4o`036`Oo008I1?l011`4o`0680Co00XT2?l032H4o`098`Co00DN
0ol00aX4o`026@Co00<K1?l01b44o`0=9`Co01</1?l052h4o`0A:`Co00/U0ol01Ah4o`026PCo00<J
1?l01R04o`0>:0Co01Ta1?l083L4o`0O=PCo01H_1?l02bD3o`047@Co008I1?l011d4o`0<9PCo01/c
1?l0:cd4o`0a@0Co02Tl1?l06343o`0:90Co00<K1?l00QX4o`088PCo01L`1?l0;Ch4o`0oB0Co03m7
1?l0;Ch3o`0F;`Co00LQ1?l00QT4o`0470Co00hY1?l09CT4o`10B0Co04e>1?l0@TT3o`0X>`Co010Z
1?l011d4o`026@Co00LQ1?l05c04o`0c@@Co04]=1?l0CTh4o`0iA0?o01dd1?l02R@4o`036PCo00<K
1?l032H4o`0P=PCo03U51?l0Ad/4o`0oB0?o02Pk1?l04B/4o`057PCo008I1?l01Ah4o`0@:PCo02@i
1?l0=D84o`0hA0?o02Xl1?l05Rl4o`088PSo00<J1?l02284o`0C;@Co024g1?l0:3/3o`0S>0Co01L`
1?l02bD4o`0470Co008I1?l011`4o`0:90Co018/2?l06C43o`0C;0Co00/U1?l01Ad4o`026@Co00<J
1?l01Ah4o`0:90Co00hX1?l042X3o`0=9`Co00TS1?l01Ad4o`036PCo008I1?l00a/4o`057`Co00PR
1?l02B<3o`088PCo00HO1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oo
oooooooo00Oooooo1?l01Ah8o`067`Co00DM1?l00a/7o`026@Co00@L1?l01R04o`0:90So00`V1?l0
2B<4o`057P?o00<J1?l00QT4o`036`Co00LQ1?l03BL4o`0C;0Co01@^1?l04B/4o`0;9@?o00DN1?l0
0QX4o`036PCo00HP1?l03RP4o`0I<@Co020g1?l07cH4o`0F;`Co00/U0ol011d4o`026@Co00@M1?l0
32H4o`0K<`Co02/m1?l0<D04o`0Y?0Co01Pa0ol02R@4o`036`Co008J1?l02284o`0G<0Co02dn1?l0
?dP4o`0oA`Co02dn0ol05Rl4o`078@Co008I1?l011`4o`0>:@Co02Di1?l0@4P4o`1=CPCo04990ol0
:3/4o`0@:PCo00@M1?l00QT4o`078@Co01L`1?l0<d44o`1;C@Co04i>1?l0>D@3o`0M=0Co00XT1?l0
0aX4o`036`Co00`V1?l083H4o`0iA@Co04M;1?l0?dP3o`0X>`Co014[1?l01Ah4o`026@Co00DN1?l0
42X4o`0T>@Co03E21?l0>4@3o`0Z?0Co01H_1?l02288o`036PCo00PR1?l04bd4o`0Q=`Co02Pk0ol0
8cP4o`0G<0Co00/U1?l011`4o`026@Co00@L1?l02R@4o`0B;0So01Ta0ol04b`4o`0;9@Co00DM1?l0
0QT4o`036PCo00DN1?l02R@4o`0>:0Co010Z0ol03BL4o`098`Co00DM1?l00aX4o`026@Co00<K1?l0
1Al4o`088PCo00TS0ol02284o`067`Co00@L2Oooool00ol0003oooooooooo`02ooooo`006oooool0
0ol0003oooooooooo`07ooooo`Co00DN2?l01Ql4o`057@Co00<K1ol00QT4o`0470Co00HP1?l02R@8
o`0<9PCo00TS1?l01Ah3o`036PCo008I1?l00a/4o`078@Co00dW1?l04b`4o`0D;PCo014[1?l02bD3
o`057PCo008J1?l00aX4o`0680Co00hX1?l06C44o`0P=`Co01lf1?l05Rl4o`0;9@?o00@M1?l00QT4
o`047@Co00`V1?l06c<4o`0[?@Co03501?l0:C`4o`0H<@?o00XT1?l00a/4o`026PCo00PR1?l05c04
o`0]?PCo03m81?l0?dL4o`0]?P?o01H_1?l01b44o`026@Co00@L1?l03RT4o`0U>@Co04181?l0CDh4
o`12B@?o02Pk1?l042X4o`047@Co008I1?l01b44o`0G<0Co03=11?l0Bdd4o`1>CPCo03U40ol07C@4
o`0:90Co00<J1?l00a/4o`0<9PCo020f1?l0>DD4o`17B`Co03m80ol0:3/4o`0A:`Co00DN1?l00QT4
o`057PCo010Z1?l093T4o`0e@PCo03Q40ol0:S`4o`0F;`Co00PR2?l00aX4o`088PCo01<]1?l08CL4
o`0X>`?o02<h1?l05c04o`0;9@Co00@L1?l00QT4o`0470Co00XT1?l04R`8o`0I<@?o01</1?l02bD4
o`057@Co008I1?l00aX4o`057PCo00XT1?l03RP4o`0@:P?o00dW1?l02B<4o`057@Co00<J1?l00QT4
o`036`Co00DO1?l02284o`098`?o00PR1?l01Ql4o`0470Wooooo00?o0000ooooooooool00_ooool0
01_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO1?l011d4o`036`Oo008I1?l011`4o`06
7`Co00TS2?l02bD4o`088PCo00DN0ol00aX4o`026@Co00<K1?l01b04o`0<9PCo014[1?l04bd4o`0@
:PCo00XT0ol01Ah4o`026PCo00<J1?l01Ql4o`0=:0Co01L`1?l07SD4o`0M=0Co01@^1?l02RD3o`04
70Co008I1?l011`4o`0<9PCo01Ta1?l09c/4o`0]?PCo02Hj1?l05Rl3o`098`Co00<K1?l00QX4o`08
8@Co01D^1?l0:S`4o`0jA@Co03U51?l0:C`3o`0D;PCo00LP1?l00QT4o`0470Co00hX1?l08SP4o`0k
A@Co04M;1?l0?4H3o`0T>@Co00lY1?l011d4o`026@Co00LP1?l05Rl4o`0_?`Co04A:1?l0Ad/4o`0d
@P?o01Xb1?l02B<4o`036PCo00<K1?l02bD4o`0M=@Co03A21?l0@DP4o`0jA@?o02@i1?l042X4o`05
7@Co008I1?l01Ah4o`0@:PCo024g1?l0<404o`0c@@?o02Hj1?l052h4o`088PSo00<J1?l01b44o`0B
;0Co01he1?l09CT3o`0P=PCo01D^1?l02R@4o`0470Co008I1?l011`4o`098`Co014[2?l05c03o`0A
:`Co00XT1?l011d4o`026@Co00<J1?l01Ah4o`098`Co00dX1?l03bT3o`0<9`Co00PR1?l011d4o`02
6PCo008I1?l00a/4o`057PCo00LQ1?l02283o`088@Co00HO1?l011`9ooooo`03o`000?oooooooooo
00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ah8o`067`Co00@M1?l00a/7o`026@Co
00@L1?l01Ql4o`098`So00/U1?l02284o`057P?o00<J1?l00QT4o`036`Co00LP1?l032H4o`0A:`Co
01<]1?l042X4o`0:90?o00DN1?l00QX4o`036PCo00HO1?l03BP4o`0G<0Co01he1?l07C@4o`0D;PCo
00XU0ol011`4o`026@Co00@L1?l032H4o`0I<@Co02Lk1?l0;Ch4o`0V>PCo01H_0ol02B<4o`036`Co
008J1?l02244o`0E;PCo02Xl1?l0>TD4o`0iA@Co02Tl0ol052h4o`0780Co008I1?l011`4o`0>:0Co
028h1?l0>dD4o`17B`Co03a60ol093T4o`0?:@Co00@M1?l00QT4o`0780Co01H_1?l0;cl4o`14BPCo
04M;1?l0=483o`0J<PCo00TS1?l00aX4o`036`Co00/U1?l07CD4o`0d@PCo04581?l0>TD3o`0T>@Co
010Z1?l01Ad4o`026@Co00DN1?l042X4o`0Q=`Co03101?l0<d43o`0V>PCo01@^1?l02288o`036PCo
00LQ1?l04R`4o`0N=@Co02Di0ol083H4o`0E;PCo00XT1?l011`4o`026@Co00@L1?l02B<4o`0A:`So
01L`0ol04B/4o`0:90Co00@M1?l00QT4o`036PCo00DN1?l02B<4o`0=:0Co00lY0ol032L4o`088PCo
00@M1?l00QX4o`026@Co00<K1?l01Ah4o`078@Co00PR0ol02244o`067`Co00@L2Oooool00ol0003o
ooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00DN2?l01Ql4o`047@Co00<K
1ol00QT4o`0470Co00HO1?l02B<8o`0;9@Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0780Co00`V
1?l04B/4o`0C;@Co010Z1?l02R@3o`057PCo008J1?l00aX4o`067`Co00dX1?l05c04o`0N=@Co01dd
1?l052h4o`0:9@?o00@L1?l00QT4o`0470Co00`V1?l06C44o`0W>`Co02dn1?l09SX4o`0F;`?o00TS
1?l00a/4o`026PCo00PQ1?l05Bh4o`0Z?0Co03Y51?l0>DD4o`0Y?0?o01@^1?l01b04o`026@Co00@L
1?l03RP4o`0R>0Co03]51?l0Ad/4o`0lAP?o02@i1?l03bT4o`047@Co008I1?l01b04o`0F;`Co02lo
1?l0A4X4o`17B`Co03A20ol06S84o`098`Co00<J1?l00a/4o`0;9@Co01de1?l0=484o`11B0Co03Y5
0ol093T4o`0@:PCo00DM1?l00QT4o`057PCo010Z1?l08CL4o`0`@0Co03=10ol09SX4o`0D;PCo00PR
2?l00aX4o`078@Co018/1?l07SD4o`0U>@?o020f1?l05Bh4o`0:90Co00@L1?l00QT4o`0470Co00TS
1?l04B/8o`0G<0?o014[1?l02R@4o`047@Co008I1?l00aX4o`057PCo00TS1?l03BP4o`0?:@?o00`W
1?l02284o`047@Co008J1?l00QT4o`036`Co00DN1?l01b44o`088P?o00PQ1?l01Ql4o`0470Wooooo
00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`057PSo00HO1?l0
11d4o`036`Oo008I1?l011`4o`067`Co00TS2?l02bD4o`088PCo00DN0ol00aX4o`026@Co00<K1?l0
1b04o`0<9PCo014[1?l04bd4o`0@:PCo00XT0ol01Ah4o`026PCo00<J1?l01Ql4o`0=:0Co01L`1?l0
7SD4o`0M=0Co01@^1?l02RD3o`0470Co008I1?l011`4o`0<9PCo01Ta1?l09c/4o`0]?PCo02Hj1?l0
5Rl3o`098`Co00<K1?l00QX4o`088@Co01D^1?l0:S`4o`0jA@Co03U51?l0:C`3o`0D;PCo00LP1?l0
0QT4o`0470Co00hX1?l08SP4o`0kA@Co04M;1?l0?4H3o`0T>@Co00lY1?l011d4o`026@Co00LP1?l0
5Rl4o`0_?`Co04A:1?l0Ad/4o`0d@P?o01Xb1?l02B<4o`036PCo00<K1?l02bD4o`0M=@Co03A21?l0
@DP4o`0jA@?o02@i1?l042X4o`057@Co008I1?l01Ah4o`0@:PCo024g1?l0<404o`0c@@?o02Hj1?l0
52h4o`088PSo00<J1?l01b44o`0B;0Co01he1?l09CT3o`0P=PCo01D^1?l02R@4o`0470Co008I1?l0
11`4o`098`Co014[2?l05c03o`0A:`Co00XT1?l011d4o`026@Co00<J1?l01Ah4o`098`Co00dX1?l0
3bT3o`0<9`Co00PR1?l011d4o`026PCo008I1?l00a/4o`057PCo00LQ1?l02283o`088@Co00HO1?l0
11`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ah4
o`057`Co00DN1?l011d4o`036`Oo008I1?l00a`4o`067`Co00TR1?l02RD4o`0:90Co00PR1?l01Ah3
o`036PCo008I1?l00a/4o`0680Co00/V1?l042X4o`0B:`Co00lY1?l02B<3o`057@So008J1?l01Ql4
o`0<9`Co01D_1?l06c<4o`0J<PCo01<]1?l02R@3o`0470Co008I1?l011`4o`0;9@Co01L`1?l093T4
o`0Y?0Co028h1?l052h3o`098`Co00<K1?l00QX4o`078@Co01@]1?l09SX8o`0d@PCo02Dj0ol04R`4
o`0680Co008I1?l011`4o`0=9`Co01lf1?l0=D<4o`10B0Co03M30ol08CL4o`0>:0Co00@L1?l00QT4
o`0780Co01@^1?l0:cd4o`0nA`Co04181?l0;cl3o`0H<@Co00PR1?l00QX4o`036`Co00/U1?l06c<4
o`0`@0Co03]51?l0=483o`0Q=`Co00hX1?l011d4o`026@Co00DN1?l03bT4o`0N=@Co02`n1?l0;Sl3
o`0S>0Co01</1?l01b48o`036PCo00LQ1?l04B/4o`0L=0Co028g0ol07CD4o`0C;@Co00TS1?l011`4
o`026@Co00@L1?l02B<4o`0@:PCo01D_1?l05Bh3o`0@:PCo00TS1?l011d4o`026@Co00<J1?l01Ah4
o`098`Co00`W1?l03RP3o`0;9PCo00PQ1?l011d4o`026PCo008I1?l00a/4o`057PCo00LQ1?l02283
o`078@Co00DN1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo
00Oooooo1?l01Ah4o`057`Co00DN1?l011d4o`036`Oo008I1?l00a`4o`067`Co00TR1?l02RD4o`0:
90Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0680Co00/V1?l042X4o`0B:`Co00lY1?l02B<3o`05
7@So008J1?l01Ql4o`0<9`Co01D_1?l06c<4o`0J<PCo01<]1?l02R@3o`0470Co008I1?l011`4o`0;
9@Co01L`1?l093T4o`0Y?0Co028h1?l052h3o`098`Co00<K1?l00QX4o`078@Co01@]1?l09SX8o`0d
@PCo02Dj0ol04R`4o`0680Co008I1?l011`4o`0=9`Co01lf1?l0=D<4o`10B0Co03M30ol08CL4o`0>
:0Co00@L1?l00QT4o`0780Co01@^1?l0:cd4o`0nA`Co04181?l0;cl3o`0H<@Co00PR1?l00QX4o`03
6`Co00/U1?l06c<4o`0`@0Co03]51?l0=483o`0Q=`Co00hX1?l011d4o`026@Co00DN1?l03bT4o`0N
=@Co02`n1?l0;Sl3o`0S>0Co01</1?l01b48o`036PCo00LQ1?l04B/4o`0L=0Co028g0ol07CD4o`0C
;@Co00TS1?l011`4o`026@Co00@L1?l02B<4o`0@:PCo01D_1?l05Bh3o`0@:PCo00TS1?l011d4o`02
6@Co00<J1?l01Ah4o`098`Co00`W1?l03RP3o`0;9PCo00PQ1?l011d4o`026PCo008I1?l00a/4o`05
7PCo00LQ1?l02283o`078@Co00DN1?l011`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03
o`000?oooooooooo00Oooooo1?l01Ah4o`057`Co00DN1?l011d4o`036`Oo008I1?l00a`4o`067`Co
00TR1?l02RD4o`0:90Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0680Co00/V1?l042X4o`0B:`Co
00lY1?l02B<3o`057@So008J1?l01Ql4o`0<9`Co01D_1?l06c<4o`0J<PCo01<]1?l02R@3o`0470Co
008I1?l011`4o`0;9@Co01L`1?l093T4o`0Y?0Co028h1?l052h3o`098`Co00<K1?l00QX4o`078@Co
01@]1?l09SX8o`0d@PCo02Dj0ol04R`4o`0680Co008I1?l011`4o`0=9`Co01lf1?l0=D<4o`10B0Co
03M30ol08CL4o`0>:0Co00@L1?l00QT4o`0780Co01@^1?l0:cd4o`0nA`Co04181?l0;cl3o`0H<@Co
00PR1?l00QX4o`036`Co00/U1?l06c<4o`0`@0Co03]51?l0=483o`0Q=`Co00hX1?l011d4o`026@Co
00DN1?l03bT4o`0N=@Co02`n1?l0;Sl3o`0S>0Co01</1?l01b48o`036PCo00LQ1?l04B/4o`0L=0Co
028g0ol07CD4o`0C;@Co00TS1?l011`4o`026@Co00@L1?l02B<4o`0@:PCo01D_1?l05Bh3o`0@:PCo
00TS1?l011d4o`026@Co00<J1?l01Ah4o`098`Co00`W1?l03RP3o`0;9PCo00PQ1?l011d4o`026PCo
008I1?l00a/4o`057PCo00LQ1?l02283o`078@Co00DN1?l011`9ooooo`03o`000?oooooooooo00;o
oooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ah4o`057`Co00DN1?l011d4o`036`Oo008I
1?l00a`4o`067`Co00TR1?l02RD4o`0:90Co00PR1?l01Ah3o`036PCo008I1?l00a/4o`0680Co00/V
1?l042X4o`0B:`Co00lY1?l02B<3o`057@So008J1?l01Ql4o`0<9`Co01D_1?l06c<4o`0J<PCo01<]
1?l02R@3o`0470Co008I1?l011`4o`0;9@Co01L`1?l093T4o`0Y?0Co028h1?l052h3o`098`Co00<K
1?l00QX4o`078@Co01@]1?l09SX8o`0d@PCo02Dj0ol04R`4o`0680Co008I1?l011`4o`0=9`Co01lf
1?l0=D<4o`10B0Co03M30ol08CL4o`0>:0Co00@L1?l00QT4o`0780Co01@^1?l0:cd4o`0nA`Co0418
1?l0;cl3o`0H<@Co00PR1?l00QX4o`036`Co00/U1?l06c<4o`0`@0Co03]51?l0=483o`0Q=`Co00hX
1?l011d4o`026@Co00DN1?l03bT4o`0N=@Co02`n1?l0;Sl3o`0S>0Co01</1?l01b48o`036PCo00LQ
1?l04B/4o`0L=0Co028g0ol07CD4o`0C;@Co00TS1?l011`4o`026@Co00@L1?l02B<4o`0@:PCo01D_
1?l05Bh3o`0@:PCo00TS1?l011d4o`026@Co00<J1?l01Ah4o`098`Co00`W1?l03RP3o`0;9PCo00PQ
1?l011d4o`026PCo008I1?l00a/4o`057PCo00LQ1?l02283o`078@Co00DN1?l011`9ooooo`03o`00
0?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oooooo1?l01Ad8o`057PCo00@M1?l0
0a/7o`026@Co00<K1?l01Al4o`088PCo00XT1?l02B@4o`078@Co00DM0ol00aX4o`026@Co00<K1?l0
1Ql4o`0;9@Co00lY1?l042X4o`0>:0Co00TS0ol011d8o`026PCo00DN1?l032H4o`0C;@Co01Ta1?l0
6344o`0A:`Co00TS0ol011`4o`026@Co00@L1?l02R@4o`0E;PCo024g1?l09CX4o`0O=PCo01</0ol0
2284o`036PCo008J1?l01b04o`0B;0Co02<h2?l0;cl4o`0R=`?o014[1?l01Ql4o`026@Co00@L1?l0
32H4o`0M=0Co03101?l0>DD4o`0a@0?o01he1?l03BL4o`0470Co008I1?l01R04o`0C;0Co02Lj1?l0
>4@4o`0iA@Co02Xm0ol05Rl4o`088PCo008J1?l00a/4o`0:90Co01Ta1?l0:cd4o`0e@PCo02lo0ol0
7CD4o`0=9`Co00@M1?l00QT4o`057PCo00hX1?l073<4o`0X>`Co02Tl0ol07cH4o`0A:`Co00LP1?l0
0QX4o`036PCo00LP1?l042X4o`0J<PCo01he0ol06c<4o`0A:`Co00PR1?l00a/4o`026@Co00@L1?l0
2284o`0?:@So01<]0ol03RT4o`088PCo00@L1?l00QT4o`036PCo00DN1?l02284o`0<9PCo00`W0ol0
2RD4o`078@Co00@L1?l00QX4o`026@Co00<K1?l01Ah4o`0780Co00LQ0ol01b04o`057PCo00<L2Ooo
ool00ol0003oooooooooo`02ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00DM2?l01Ah4
o`047@Co00<K1ol00QT4o`036`Co00DO1?l02284o`0:90Co00TT1?l01b44o`057@?o00<J1?l00QT4
o`036`Co00HO1?l02bD4o`0?:@Co010Z1?l03RP4o`098`?o00@M2?l00QX4o`057PCo00`V1?l04bd4
o`0I<@Co01Pa1?l04B/4o`098`?o00@L1?l00QT4o`0470Co00XT1?l05Bh4o`0Q=`Co02Dj1?l07cH4
o`0C;0?o00PR1?l00aX4o`026PCo00LP1?l04R`4o`0S>0So02lo1?l08SL3o`0A:`Co00HO1?l00QT4
o`0470Co00`V1?l07C@4o`0`@0Co03U51?l0<D03o`0N=@Co00dW1?l011`4o`026@Co00HP1?l04b`4
o`0W>PCo03Q41?l0>DD4o`0Z?@?o01H_1?l02284o`026PCo00<K1?l02R@4o`0I<@Co02/m1?l0=D84
o`0_?`?o01de1?l03BL4o`047@Co008I1?l01Ah4o`0>:0Co01`c1?l0:3/4o`0Y?0?o01lf1?l04B/4
o`0780Co008J1?l00aX4o`0780Co010Z1?l06S84o`0N=@?o01/c1?l04B/4o`088PCo00<K1?l00QT4
o`0470Co00PR1?l03bT8o`0C;@?o00hY1?l02284o`0470Co008I1?l00aX4o`057PCo00PR1?l032H4
o`0<9`?o00XU1?l01b44o`0470Co008J1?l00QT4o`036`Co00DN1?l01b04o`078@?o00LP1?l01Ah4
o`0370Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool01oooool4o`05
7@So00DN1?l011d4o`036`Oo008I1?l00a/4o`057`Co00PR1?l02R@4o`0990Co00LQ1?l01Ad3o`03
6PCo008I1?l00a/4o`067`Co00/U1?l03bT4o`0@:PCo00hX1?l02B<3o`047@So008J1?l01Ah4o`0<
9PCo01<]1?l06C44o`0H<@Co014[1?l02B<3o`0470Co008I1?l011`4o`0:90Co01D^1?l08CL4o`0U
>PCo01lf1?l04b`3o`088PCo00<J1?l00QX4o`0780Co018/1?l08cP8o`0_?`Co028g0ol04B/4o`06
7`Co008I1?l011`4o`0<9PCo01dd1?l0<404o`0iA@Co03500ol07SD4o`0=9`Co00@L1?l00QT4o`06
80Co01</1?l09cX4o`0hA0Co03U51?l0:Sd3o`0F;`Co00PR1?l00QX4o`036`Co00XT1?l06C44o`0[
?@Co03E21?l0;cl3o`0M=@Co00dW1?l011d4o`026@Co00DN1?l03RP4o`0L<`Co02Pk1?l0:C`3o`0O
=PCo014[1?l01b04o`026PCo00<J1?l01b04o`0@:PCo01Xb1?l07SD3o`0K<`Co014[1?l02284o`03
6`Co008I1?l011`4o`088PCo00lY2?l04bd3o`0>:@Co00PR1?l011`4o`026@Co00<J1?l01Ah4o`08
8PCo00`V1?l032L3o`0:9@Co00LQ1?l011`4o`026PCo008I1?l00a/4o`057PCo00LP1?l01b43o`07
80Co00DN1?l00a`9ooooo`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo00Oo
oooo1?l011d8o`057PCo00@L1?l00a/7o`026@Co00<K1?l01Ah4o`078@So00TS1?l01b04o`047@?o
00<J1?l00QT4o`036`Co00HO1?l02R@4o`0=:0Co00lY1?l032L4o`088P?o00@M1?l00QT4o`026PCo
00DN1?l02bD4o`0B;0So01H_1?l042X4o`088P?o00@L1?l00QT4o`0470Co00TS1?l04bd4o`0M=0Co
024g1?l073<4o`0A:`?o00LQ1?l00aX4o`026PCo00HP1?l042/4o`0O=PSo02Xl1?l07SD3o`0?:@Co
00HO1?l00QT4o`0470Co00/U1?l06S84o`0[?@Co03=11?l0;3d3o`0K<`Co00/V1?l011`4o`026@Co
00HO1?l04B/4o`0S>0Co03911?l0<d44o`0U>P?o01@]1?l01b44o`026PCo00<K1?l02B<4o`0G<0Co
02Lk1?l0;cl4o`0Z?0?o01Xb1?l032H4o`0470Co008I1?l01Ad4o`0=9`Co01Tb1?l093T4o`0U>@?o
01`c1?l03bT4o`067`Co008J1?l00aX4o`0780Co00hY1?l05c04o`0K<`?o01Pa1?l03bX4o`088@Co
00<K1?l00QT4o`0470Co00PR1?l03RP4o`0B;0Co014[0ol03BL4o`088@Co00@L1?l00QT4o`036PCo
00DM1?l02284o`0;9@Co00/V0ol02R@4o`0780Co00@L1?l00QX4o`026@Co00<K1?l01Ad4o`0680Co
00LQ0ol01R04o`057PCo00<K2Oooool00ol0003oooooooooo`02ooooo`006oooool00ol0003ooooo
ooooo`07ooooo`Co00@M2?l01Ah4o`0470Co00<K1ol00QT4o`036`Co00DN1?l01b48o`098`Co00LP
1?l011d3o`036PCo008I1?l00a/4o`067`Co00XT1?l03BP4o`0?:@Co00`W1?l02283o`047@Co008I
1?l00QX4o`057PCo00/U1?l04R`8o`0F;`Co010Z1?l02283o`0470Co008I1?l011`4o`098`Co01<]
1?l07C@4o`0Q=`Co01`c1?l04B/3o`078@Co00<J1?l00QX4o`0680Co010[1?l07cH8o`0Z?0Co01he
0ol03bT4o`067`Co008I1?l011`4o`0;9@Co01Xb1?l0:cd4o`0c@@Co02`m0ol06c<4o`0;9PCo00@L
1?l00QT4o`067`Co014[1?l08cP4o`0b@@Co03=11?l09CX3o`0D;@Co00LQ1?l00QX4o`036`Co00TS
1?l05c04o`0W>`Co02lo1?l0:S`3o`0J<PCo00`V1?l011`4o`026@Co00DM1?l03BL4o`0I<PCo02@i
1?l09CT3o`0L<`Co00lY1?l01Ql4o`026PCo00<J1?l01b04o`0>:@Co01L`1?l06c<3o`0H<@Co00lZ
1?l02244o`036`Co008I1?l011`4o`088PCo00hX1?l04R`4o`0A:`?o00dW1?l02244o`0470Co008I
1?l00aX4o`057@Co00PR1?l02bD4o`0;9P?o00XT1?l01b04o`0470Co008J1?l00QT4o`036`Co00DM
1?l01R04o`078@?o00HP1?l01Ah4o`036`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o
0000ooooooooool01oooool4o`047@So00DN1?l011`4o`036`Oo008I1?l00a/4o`057PCo00LQ2?l0
2B<4o`0780Co00@M0ol00aX4o`026@Co00<K1?l01Ql4o`0:90Co00dX1?l03bT4o`0<9`Co00PR0ol0
11d4o`026@Co008J1?l01Ah4o`0;9@Co018/2?l05Rl4o`0@:PCo00PR0ol011`4o`026@Co00@L1?l0
2B<4o`0C;@Co01dd1?l08CL4o`0L<`Co014[0ol01b44o`036PCo008J1?l01R04o`0@:`Co01lf2?l0
:S`4o`0N=@?o00lY1?l01Ql4o`026@Co00@L1?l02bD4o`0J<PCo02/m1?l0<d44o`0/?@?o01/c1?l0
2bH4o`0470Co008I1?l01Ql4o`0A:`Co02<h1?l0<T44o`0c@@Co02Dj0ol052d4o`078@Co008J1?l0
0a/4o`098`Co01L`1?l09c/4o`0_?`Co02Xl0ol06S84o`0<9PCo00@L1?l00QT4o`057@Co00dW1?l0
6C84o`0T>@Co02Di0ol073<4o`0?:@Co00HO1?l00QX4o`036PCo00LP1?l03RT4o`0G<0Co01/c0ol0
6344o`0?:PCo00PQ1?l00a/4o`026@Co00@L1?l02284o`0>:0Co018/1?l04B/3o`0=9`Co00PQ1?l0
11`4o`026@Co00<J1?l01Ad4o`088PCo00/U1?l02bH3o`0:90Co00LP1?l011`4o`026PCo008I1?l0
0a/4o`057@Co00HP1?l01b43o`0680Co00DN1?l00a/9ooooo`03o`000?oooooooooo00;ooooo000K
ooooo`03o`000?oooooooooo00Oooooo1?l011d8o`057PCo00@L1?l00a/7o`026@Co00<K1?l01Ah4
o`078@So00TS1?l01b04o`047@?o00<J1?l00QT4o`036`Co00HO1?l02R@4o`0=:0Co00lY1?l032L4
o`088P?o00@M1?l00QT4o`026PCo00DN1?l02bD4o`0B;0So01H_1?l042X4o`088P?o00@L1?l00QT4
o`0470Co00TS1?l04bd4o`0M=0Co024g1?l073<4o`0A:`?o00LQ1?l00aX4o`026PCo00HP1?l042/4
o`0O=PSo02Xl1?l07SD3o`0?:@Co00HO1?l00QT4o`0470Co00/U1?l06S84o`0[?@Co03=11?l0;3d3
o`0K<`Co00/V1?l011`4o`026@Co00HO1?l04B/4o`0S>0Co03911?l0<d44o`0U>P?o01@]1?l01b44
o`026PCo00<K1?l02B<4o`0G<0Co02Lk1?l0;cl4o`0Z?0?o01Xb1?l032H4o`0470Co008I1?l01Ad4
o`0=9`Co01Tb1?l093T4o`0U>@?o01`c1?l03bT4o`067`Co008J1?l00aX4o`0780Co00hY1?l05c04
o`0K<`?o01Pa1?l03bX4o`088@Co00<K1?l00QT4o`0470Co00PR1?l03RP4o`0B;0Co014[0ol03BL4
o`088@Co00@L1?l00QT4o`036PCo00DM1?l02284o`0;9@Co00/V0ol02R@4o`0780Co00@L1?l00QX4
o`026@Co00<K1?l01Ad4o`0680Co00LQ0ol01R04o`057PCo00<K2Oooool00ol0003oooooooooo`02
ooooo`006oooool00ol0003oooooooooo`07ooooo`Co00@M2?l01Ad4o`0470Co00<J1ol00QT4o`03
6`Co00DN1?l01b08o`088PCo00HP1?l011d3o`036PCo008I1?l00a/4o`057PCo00TS1?l032H4o`0=
:0Co00/V1?l02243o`0470Co008I1?l00QX4o`057PCo00XT1?l042X4o`0D;PCo01<]1?l03RP4o`08
8P?o00<L1?l00QT4o`0470Co00TS1?l04B/4o`0J<PCo01de1?l06C44o`0?:@?o00LP1?l00aX4o`02
6PCo00HO1?l03bT4o`0L<`Co02Dj1?l09CT4o`0K<`?o00hX1?l01Ah4o`026@Co00<L1?l02R@4o`0G
<0Co02Hj1?l0;Ch4o`0V>P?o01P`1?l02RD4o`0370Co008I1?l01Ql4o`0@:PCo01lf1?l0;3d4o`0]
?PCo024g0ol04B/4o`0780Co008J1?l00a/4o`098`Co01D^1?l08cP4o`0Z?0Co02Di0ol05c04o`0;
9@Co00@L1?l00QT4o`047@Co00`V1?l05c04o`0P=PCo024g0ol06C44o`0>:0Co00HO1?l00QX4o`03
6PCo00HP1?l03BP4o`0E;PCo01Pa0ol05Bh4o`0>:0Co00LQ1?l00a/4o`026@Co00@L1?l01b44o`0=
9`So010Z0ol032H4o`078@Co00@L1?l00QT4o`036PCo00@M1?l01b44o`0:90Co00XU0ol02B<4o`06
7`Co00@L1?l00QX4o`026@Co00<K1?l011d4o`067`Co00HP0ol01Ql4o`057@Co00<K2Oooool00ol0
003oooooooooo`02ooooo`002_ooool3o`0000Cooooo0_l00008ooooo`03o`000?oooooooooo00Oo
oooo1?l011d8o`057@Co00@L1?l00aX7o`026@Co00<K1?l01Ah4o`0780So00PR1?l01R04o`047@?o
00<J1?l00QT4o`036`Co00DN1?l02B<4o`0<9PCo00dX1?l02bH4o`088@?o00@L1?l00QT4o`026PCo
00DN1?l02R@4o`0@:PCo01@^1?l04bd4o`0>:0Co00PR0ol00a`4o`026@Co00@L1?l02B<4o`0A:`Co
01Xb1?l07CD4o`0I<@Co00lY0ol01b04o`036PCo008J1?l01Ql4o`0?:@Co01`c1?l09CX4o`0U>@Co
01/c0ol03RP4o`057PCo008I1?l00a`4o`0:90Co01L`1?l09SX4o`0]?PCo02Hj0ol06304o`0:9@Co
00<L1?l00QT4o`067`Co010Z1?l07cH4o`0/?@Co02dn1?l08CL3o`0A:`Co00LP1?l00QX4o`036`Co
00TS1?l05Bh4o`0S>0Co02Xl1?l09CT3o`0G<0Co00/U1?l011`4o`026@Co00@M1?l032H4o`0G<0Co
020f1?l08CL3o`0I<@Co00hX1?l01Ql4o`026PCo00<J1?l01R04o`0=:0Co01D^1?l06343o`0E;PCo
00hX1?l01b44o`036`Co008I1?l011`4o`078@Co00dW2?l042X3o`0<9PCo00LQ1?l011`4o`026@Co
00<J1?l011d4o`078@Co00XT1?l02RD3o`098`Co00HO1?l011`4o`026PCo008I1?l00a/4o`047@Co
00HO1?l01R03o`067`Co00DM1?l00a/9ooooo`03o`000?oooooooooo00;ooooo000;ooooo`03o`00
0?oooooooooo00;ooooo00Co0000oooooooooooo00001oooool00ol0003oooooooooo`07ooooo`Co
00@M2?l01Ad4o`0470Co00<J1ol00QT4o`036`Co00DN1?l01b08o`088PCo00HP1?l011d3o`036PCo
008I1?l00a/4o`057PCo00TS1?l032H4o`0=:0Co00/V1?l02243o`0470Co008I1?l00QX4o`057PCo
00XT1?l042X4o`0D;PCo01<]1?l03RP4o`088P?o00<L1?l00QT4o`0470Co00TS1?l04B/4o`0J<PCo
01de1?l06C44o`0?:@?o00LP1?l00aX4o`026PCo00HO1?l03bT4o`0L<`Co02Dj1?l09CT4o`0K<`?o
00hX1?l01Ah4o`026@Co00<L1?l02R@4o`0G<0Co02Hj1?l0;Ch4o`0V>P?o01P`1?l02RD4o`0370Co
008I1?l01Ql4o`0@:PCo01lf1?l0;3d4o`0]?PCo024g0ol04B/4o`0780Co008J1?l00a/4o`098`Co
01D^1?l08cP4o`0Z?0Co02Di0ol05c04o`0;9@Co00@L1?l00QT4o`047@Co00`V1?l05c04o`0P=PCo
024g0ol06C44o`0>:0Co00HO1?l00QX4o`036PCo00HP1?l03BP4o`0E;PCo01Pa0ol05Bh4o`0>:0Co
00LQ1?l00a/4o`026@Co00@L1?l01b44o`0=9`So010Z0ol032H4o`078@Co00@L1?l00QT4o`036PCo
00@M1?l01b44o`0:90Co00XU0ol02B<4o`067`Co00@L1?l00QX4o`026@Co00<K1?l011d4o`067`Co
00HP0ol01Ql4o`057@Co00<K2Oooool00ol0003oooooooooo`02ooooo`002oooool00ol0003ooooo
ooooo`02ooooo`04o`000?ooooooooooo`0000Oooooo00?o0000ooooooooool01oooool4o`047@So
00DM1?l011`4o`036POo008I1?l00a/4o`057PCo00LP2?l02284o`0680Co00@M0ol00aX4o`026@Co
00<K1?l01Ah4o`098`Co00`V1?l03BP4o`0;9PCo00PQ0ol011`4o`026@Co008J1?l01Ah4o`0:90Co
010Z1?l052h4o`0C;@Co00hX1?l02283o`0370Co008I1?l011`4o`098`Co014[1?l06S84o`0M=@Co
01Ta1?l03bT3o`0780Co00<J1?l00QX4o`067`Co00lY1?l073<4o`0U>PCo02Di1?l06c<3o`0>:0Co
00DN1?l00QT4o`0370Co00XT1?l05c04o`0V>PCo02dn1?l09SX3o`0H<0Co00XU1?l00a`4o`026@Co
00HO1?l042X4o`0O=PCo02`m1?l0;Ch4o`0Q=`?o014[1?l01b04o`026PCo00<K1?l02B<4o`0E;PCo
02<h1?l0:S`4o`0U>@?o01L`1?l02bD4o`0470Co008I1?l011d4o`0<9PCo01L`1?l083H4o`0Q=`?o
01Ta1?l03RP4o`067`Co008J1?l00aX4o`0680Co00dX1?l05Bh4o`0H<@?o01D^1?l03RP4o`078@Co
00<K1?l00QT4o`0470Co00LQ1?l03BL8o`0@:P?o00`V1?l01b44o`0470Co008I1?l00aX4o`047@Co
00LQ1?l02R@4o`0:9@?o00TS1?l01Ql4o`0470Co008J1?l00QT4o`036`Co00@M1?l01Ql4o`0680?o
00HO1?l01Ad4o`036`Wooooo00?o0000ooooooooool00_ooool000_ooooo00?o0000ooooooooool0
0_ooool01?l0003oooooooooool00007ooooo`Co00001_ooool4o`0470So00@M1?l011`4o`036POo
008I1?l00a/4o`047@Co00HP1?l02244o`078@Co00HO1?l011`3o`036PCo008I1?l00aX4o`057PCo
00PR1?l02bD4o`0<9PCo00XT1?l01b43o`0470Co008I1?l00QX4o`057@Co00TS1?l03RP4o`0B;0Co
014[1?l03BL4o`078@?o00<K1?l00QT4o`036`Co00PR1?l03bX4o`0G<0Co01Xb1?l05Rl4o`0>:0?o
00HP1?l00aX4o`026PCo00HO1?l03RP4o`0H<@Co024g1?l083H4o`0G<0?o00`W1?l01Ah4o`026@Co
00<K1?l02B<4o`0E;PCo024g1?l09c/4o`0R=`?o01D^1?l02B<4o`036`Co008I1?l01Ah4o`0>:0Co
01/c1?l09SX4o`0W>`Co01dd0ol03bX4o`067`Co008J1?l00a/4o`088PCo01</1?l07SD4o`0T>@Co
020f0ol052h4o`0:90Co00@L1?l00QT4o`047@Co00/U1?l052h4o`0L=0Co01dd0ol05Rl4o`0<9PCo
00DN1?l00QX4o`036PCo00HO1?l032H4o`0C;0Co01H_0ol04b`4o`0<9`Co00HP1?l00a/4o`026@Co
00@L1?l01b44o`0;9PCo00hY1?l03RP3o`0;9@Co00HP1?l00a/4o`026@Co008J1?l011d4o`0780Co
00TS1?l02B@3o`088PCo00HO1?l00a/8o`026@Co00<K1?l011d8o`067`?o00DO1?l011d4o`036`Ko
oooo1?l00004ooooo`002oooool00ol0003oooooooooo`02ooooo`04o`000?ooooooooooo`0000Oo
oooo00?o0000ooooooooool01oooool4o`0470So00@M1?l011`4o`036POo008I1?l00a/4o`047@Co
00HP1?l02244o`078@Co00HO1?l011`3o`036PCo008I1?l00aX4o`057PCo00PR1?l02bD4o`0<9PCo
00XT1?l01b43o`0470Co008I1?l00QX4o`057@Co00TS1?l03RP4o`0B;0Co014[1?l03BL4o`078@?o
00<K1?l00QT4o`036`Co00PR1?l03bX4o`0G<0Co01Xb1?l05Rl4o`0>:0?o00HP1?l00aX4o`026PCo
00HO1?l03RP4o`0H<@Co024g1?l083H4o`0G<0?o00`W1?l01Ah4o`026@Co00<K1?l02B<4o`0E;PCo
024g1?l09c/4o`0R=`?o01D^1?l02B<4o`036`Co008I1?l01Ah4o`0>:0Co01/c1?l09SX4o`0W>`Co
01dd0ol03bX4o`067`Co008J1?l00a/4o`088PCo01</1?l07SD4o`0T>@Co020f0ol052h4o`0:90Co
00@L1?l00QT4o`047@Co00/U1?l052h4o`0L=0Co01dd0ol05Rl4o`0<9PCo00DN1?l00QX4o`036PCo
00HO1?l032H4o`0C;0Co01H_0ol04b`4o`0<9`Co00HP1?l00a/4o`026@Co00@L1?l01b44o`0;9PCo
00hY1?l03RP3o`0;9@Co00HP1?l00a/4o`026@Co008J1?l011d4o`0780Co00TS1?l02B@3o`088PCo
00HO1?l00a/8o`026@Co00<K1?l011d8o`067`?o00DO1?l011d4o`036`Wooooo00?o0000oooooooo
ool00_ooool000[ooooo0_l00004ooooo`04o`000?ooooooooooo`0000Oooooo00?o0000oooooooo
ool01oooool4o`0470So00@M1?l011`4o`036POo008I1?l00a/4o`047@Co00HP1?l02244o`078@Co
00HO1?l011`3o`036PCo008I1?l00aX4o`057PCo00PR1?l02bD4o`0<9PCo00XT1?l01b43o`0470Co
008I1?l00QX4o`057@Co00TS1?l03RP4o`0B;0Co014[1?l03BL4o`078@?o00<K1?l00QT4o`036`Co
00PR1?l03bX4o`0G<0Co01Xb1?l05Rl4o`0>:0?o00HP1?l00aX4o`026PCo00HO1?l03RP4o`0H<@Co
024g1?l083H4o`0G<0?o00`W1?l01Ah4o`026@Co00<K1?l02B<4o`0E;PCo024g1?l09c/4o`0R=`?o
01D^1?l02B<4o`036`Co008I1?l01Ah4o`0>:0Co01/c1?l09SX4o`0W>`Co01dd0ol03bX4o`067`Co
008J1?l00a/4o`088PCo01</1?l07SD4o`0T>@Co020f0ol052h4o`0:90Co00@L1?l00QT4o`047@Co
00/U1?l052h4o`0L=0Co01dd0ol05Rl4o`0<9PCo00DN1?l00QX4o`036PCo00HO1?l032H4o`0C;0Co
01H_0ol04b`4o`0<9`Co00HP1?l00a/4o`026@Co00@L1?l01b44o`0;9PCo00hY1?l03RP3o`0;9@Co
00HP1?l00a/4o`026@Co008J1?l011d4o`0780Co00TS1?l02B@3o`088PCo00HO1?l00a/8o`026@Co
00<K1?l011d8o`067`?o00DO1?l011d4o`036`Wooooo00?o0000ooooooooool00_ooool000_ooooo
00?o0000ooooooooool00oooool2o`0000Sooooo00?o0000ooooooooool01oooool4o`0470So00@M
1?l011`4o`036POo008I1?l00a/4o`047@Co00HP1?l02244o`078@Co00HO1?l011`3o`036PCo008I
1?l00aX4o`057PCo00PR1?l02bD4o`0<9PCo00XT1?l01b43o`0470Co008I1?l00QX4o`057@Co00TS
1?l03RP4o`0B;0Co014[1?l03BL4o`078@?o00<K1?l00QT4o`036`Co00PR1?l03bX4o`0G<0Co01Xb
1?l05Rl4o`0>:0?o00HP1?l00aX4o`026PCo00HO1?l03RP4o`0H<@Co024g1?l083H4o`0G<0?o00`W
1?l01Ah4o`026@Co00<K1?l02B<4o`0E;PCo024g1?l09c/4o`0R=`?o01D^1?l02B<4o`036`Co008I
1?l01Ah4o`0>:0Co01/c1?l09SX4o`0W>`Co01dd0ol03bX4o`067`Co008J1?l00a/4o`088PCo01</
1?l07SD4o`0T>@Co020f0ol052h4o`0:90Co00@L1?l00QT4o`047@Co00/U1?l052h4o`0L=0Co01dd
0ol05Rl4o`0<9PCo00DN1?l00QX4o`036PCo00HO1?l032H4o`0C;0Co01H_0ol04b`4o`0<9`Co00HP
1?l00a/4o`026@Co00@L1?l01b44o`0;9PCo00hY1?l03RP3o`0;9@Co00HP1?l00a/4o`026@Co008J
1?l011d4o`0780Co00TS1?l02B@3o`088PCo00HO1?l00a/8o`026@Co00<K1?l011d8o`067`?o00DO
1?l011d4o`036`Wooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0oooo
ooooooooo`Cooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0oooooooo
ooooo`Cooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0oooooooooooo
o`Cooooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Co
oooo00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo
00?o0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o
0000ooooooooool00_ooool001_ooooo00?o0000ooooooooool0ooooooooooooo`Cooooo00?o0000
ooooooooool00_ooool001_ooooo00?o0000ooooooooool0G_ooool00ol0003oooooooooo`1goooo
o`03o`000?oooooooooo07Oooooo00?o0000ooooooooool0N?ooool00ol0003oooooooooo`0boooo
o`03o`000?oooooooooo00;ooooo000Kooooo`03o`000?oooooooooo01Gooooo00?o0000oooooooo
ool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000oooooooo
ool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000oooooooo
ool05_ooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000oooooooo
ool05Oooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000oooooooo
ool05Oooool00ol0003oooooooooo`0Fooooo`03o`000?oooooooooo01Gooooo00?o0000oooooooo
ool05_ooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo01Kooooo00?o0000oooooooo
ool05Oooool00ol0003oooooooooo`0Eooooo`03o`000?oooooooooo00;ooooo00?o0000oooooooo
ool00_ooool001_ooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Eooooo`03o`00
0?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Eooooo`03o`00
0?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Fooooo`03o`00
0?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eooooo`03o`00
0?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eooooo`03o`00
0?oooooooooo01Kooooo00?o0000ooooooooool05Oooool00ol0003oooooooooo`0Fooooo`03o`00
0?oooooooooo01Gooooo00?o0000ooooooooool05_ooool00ol0003oooooooooo`0Eooooo`03o`00
0?oooooooooo01Gooooo00?o0000ooooooooool00_ooool00ol0003oooooooooo`02ooooo`006ooo
ooooo`000?oo00002?l00004ooooo`00ooooooooooooobOooooo003ooooooooooooo9oooool00?oo
oooooooooolWooooo`00ooooooooooooobOooooo003ooooooooooooo9oooool00?oooooooooooolW
ooooo`00oooooomKooooo`?o0000b?ooool00?ooooooG?ooool00ol0003oooooooooo`37ooooo`00
g?ooool5o`000005ooooool0003o0000o`000?ooool00_l00002ooooo`;o00000oooool3o`0000;o
oooo0ol00003ooooo`Go00000_ooool3o`0000;ooooo0ol00004ooooo`?o00000_ooool3o`000004
ooooool0003o0000ooooo`?o00000oooool3o`0000Sooooo1Ol000001Ooooooo0000o`000?l0003o
oooo00;o00000_ooool2o`0000?ooooo0ol00002ooooo`?o000000?oooooo`000?l000001?l00002
ooooo`Go00000oooool2o`0000Cooooo00?o0000ooooooooool0a_ooool00=kooooo00?o0000oooo
ooooool00_ooool01?l0003oooooooooool00002ooooo`06o`000?ooooooooooo`000?oooooo0000
1_ooool00ol0003oooooooooo`04ooooo`05o`000?ooooooooooooooool000001_ooool00ol0003o
ooooooooo`02ooooo`03o`000?oooooooooo00Cooooo00Ko0000oooooooooooo0000ooooool00003
ooooo`03o`000?oooooo000000gooooo00?o0000ooooooooool00_ooool01?l0003oooooooooool0
0002ooooo`06o`000?ooooooooooo`000?oooooo00001_ooool01?l0003oooooooooool00005oooo
o`05o`000?ooooooooooooooool000001?ooool01?l0003oooooooooool00003ooooo`03o`000?oo
oooooooo0<Kooooo003Nooooo`03o`000?oooooooooo00;ooooo00Co0000oooooooooooo00000_oo
ool00ol0003oooooooooo`02ooooo`Go00000_ooool00ol0003oooooooooo`04ooooo`04o`000?oo
ooooooooooooo`Go00000_ooool00ol0003oooooooooo`02ooooo`Go00000_ooool01_l0003ooooo
ooooool0003oooooo`0000Gooooo1Ol00009ooooo`03o`000?oooooooooo00;ooooo00Co0000oooo
oooooooo00000_ooool00ol0003oooooooooo`02ooooo`Go00000_ooool01?l0003oooooooooool0
0002ooooo`?o00001?ooool00ol0003oooooooooo`02ooooo`03o`000?oooooooooo00?ooooo00?o
0000ooooool00000aoooool00=kooooo00?o0000ooooooooool00_ooool01?l0003oooooooooool0
0002ooooo`03o`000?oooooooooo00;ooooo00Go0000ooooooooooooooooo`000002ooooo`;o0000
1Oooool01Ol0003ooooooooooooooooo000000?ooooo00?o0000ooooooooool00_l00003ooooo`05
o`000?ooooooooooooooool000000_ooool01_l0003oooooooooool0003oooooo`0000?ooooo00?o
0000ooooool000000oooool00ol0003oooooooooo`07ooooo`03o`000?oooooooooo00;ooooo00Co
0000oooooooooooo00000_ooool00ol0003oooooooooo`02ooooo`05o`000?ooooooooooooooool0
00000_ooool01_l0003oooooooooool0003oooooo`0000Oooooo00?o0000ooooooooool00_ooool0
0ol0003oooooooooo`03ooooo`03o`000?oooooo00000<Oooooo003Nooooo`04o`000?oooooooooo
ooooo`Co00000_ooool4o`0000?ooooo0ol00002ooooo`;o000000?oooooo`000?l000000_ooool4
o`0000;ooooo0ol00002ooooo`;o000000?oooooo`000?l000000_ooool3o`0000;ooooo1?l00003
ooooo`?o00000oooool3o`0000[ooooo00Co0000oooooooooooooooo1?l00002ooooo`Co00000ooo
ool3o`0000;ooooo1?l00003ooooo`Co000000Coooooo`000?l0003o00000oooool4o`0000;ooooo
0_l000000ooooooo0000o`000036ooooo`00g_ooool00ol0003oooooooooo`08ooooo`03o`000?oo
oooooooo013ooooo00?o0000ooooooooool0;Oooool00ol0003oooooooooo`08ooooo`03o`000?oo
oooooooo01_ooooo00?o0000ooooooooool0cOooool00=cooooo1Ol00008ooooo`03o`000?oooooo
oooo017ooooo0_l0000[ooooo`Go00002?ooool00ol0003oooooooooo`0Fooooo`03o`000?oooooo
oooo00;ooooo00?o0000ooooooooool0cOooool00001\
\>"],
  ImageRangeCache->{{{0, 548}, {548, 0}} -> {-15.0936, -11.2159, 0.0409199, \
0.0409339}},
  CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
Plot3D[Evaluate[(InterferenceFunction/.interference)][x,y],{x,-13.5,\
6.7},{y,-10.,10.},PlotPoints->100,Mesh->False];\
\>", "Input",
  CellLabel->"In[162]:=",
  CellTags->"Michelson Interferometer"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
9.02522e-17 1.04977 -0.0679587 1.04977 [
[.12983 .20593 -17.9863 -9 ]
[.12983 .20593 .01371 0 ]
[.28339 .14552 -11.3716 -9 ]
[.28339 .14552 .62843 0 ]
[.44647 .08139 -5.37614 -9 ]
[.44647 .08139 .62386 0 ]
[.62 .01319 -5.0665 -9 ]
[.62 .01319 .9335 0 ]
[.70096 -0.00478 0 -6.26206 ]
[.70096 -0.00478 18 2.73794 ]
[.78313 .12104 0 -6.13858 ]
[.78313 .12104 12 2.86142 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 6 2.96873 ]
[.9224 .33431 0 -5.93715 ]
[.9224 .33431 6 3.06285 ]
[.98191 .42546 0 -5.85393 ]
[.98191 .42546 12 3.14607 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.01598 .31611 -12 -2.78544 ]
[.01598 .31611 0 6.21456 ]
[.00756 .36883 -12 -2.83016 ]
[.00756 .36883 0 6.16984 ]
[-0.00114 .42336 -12 -2.87657 ]
[-0.00114 .42336 0 6.12343 ]
[-0.01014 .47979 -12 -2.92477 ]
[-0.01014 .47979 0 6.07523 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.1391 .21522 m
.14374 .21986 L
s
[(-10)] .12983 .20593 .99848 1 Mshowa
.29214 .1553 m
.29652 .16018 L
s
[(-5)] .28339 .14552 .89526 1 Mshowa
.45462 .09167 m
.45869 .09682 L
s
[(0)] .44647 .08139 .79205 1 Mshowa
.62744 .024 m
.63116 .0294 L
s
[(5)] .62 .01319 .68883 1 Mshowa
.125 Mabswid
.16899 .20352 m
.17175 .20633 L
s
.19924 .19167 m
.20196 .19452 L
s
.22984 .17969 m
.23253 .18256 L
s
.2608 .16757 m
.26346 .17047 L
s
.32385 .14288 m
.32644 .14584 L
s
.35595 .13031 m
.35851 .1333 L
s
.38844 .11759 m
.39096 .12061 L
s
.42133 .10471 m
.42381 .10776 L
s
.48833 .07847 m
.49073 .08159 L
s
.52245 .06511 m
.52482 .06826 L
s
.55701 .05158 m
.55933 .05476 L
s
.592 .03788 m
.59428 .04109 L
s
.10955 .22679 m
.11236 .22955 L
s
.08035 .23823 m
.08318 .24096 L
s
.05147 .24953 m
.05434 .25223 L
s
.66334 .00995 m
.66552 .01322 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
[(-10)] .70096 -0.00478 -1 .39157 Mshowa
.7708 .12553 m
.76464 .12778 L
s
[(-5)] .78313 .12104 -1 .36413 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(0)] .8565 .23339 -1 .34028 Mshowa
.9099 .3383 m
.90365 .34029 L
s
[(5)] .9224 .33431 -1 .31937 Mshowa
.96935 .42924 m
.96306 .43113 L
s
[(10)] .98191 .42546 -1 .30087 Mshowa
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02824 .31144 m
.03437 .3091 L
s
[(20)] .01598 .31611 1 -0.38101 Mshowa
.01987 .36427 m
.02602 .36199 L
s
[(40)] .00756 .36883 1 -0.37108 Mshowa
.01121 .41891 m
.01738 .41668 L
s
[(60)] -0.00114 .42336 1 -0.36076 Mshowa
.00225 .47546 m
.00844 .47329 L
s
[(80)] -0.01014 .47979 1 -0.35005 Mshowa
.125 Mabswid
.03434 .27295 m
.03801 .27153 L
s
.03232 .28568 m
.03599 .28426 L
s
.03029 .2985 m
.03396 .2971 L
s
.02617 .32448 m
.02985 .32309 L
s
.02409 .33763 m
.02777 .33625 L
s
.02199 .35089 m
.02567 .34952 L
s
.01773 .37775 m
.02142 .37639 L
s
.01557 .39136 m
.01927 .39 L
s
.0134 .40507 m
.0171 .40373 L
s
.009 .43286 m
.0127 .43154 L
s
.00677 .44694 m
.01047 .44562 L
s
.00452 .46113 m
.00823 .45982 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.789 .757 .824 r
.40193 .60392 .40501 .60683 .41028 .60237 .40721 .59956 Mtetra
.675 .165 0 r
.40721 .59956 .41028 .60237 .41524 .60782 .41215 .60545 Mtetra
.91 .511 .219 r
.41215 .60545 .41524 .60782 .42004 .61934 .41693 .61751 Mtetra
.877 .444 .153 r
.41693 .61751 .42004 .61934 .42496 .62846 .42184 .62694 Mtetra
.55 .819 .996 r
.42184 .62694 .42496 .62846 .43019 .62768 .42709 .62602 Mtetra
.91 .781 .707 r
.42709 .62602 .43019 .62768 .43572 .61616 .43264 .61399 Mtetra
.913 .753 .669 r
.43264 .61399 .43572 .61616 .44132 .60077 .43827 .59806 Mtetra
.875 .758 .731 r
.43827 .59806 .44132 .60077 .44675 .5914 .44372 .58847 Mtetra
0 .333 .801 r
.44372 .58847 .44675 .5914 .4519 .59426 .44887 .59162 Mtetra
.922 .533 .233 r
.44887 .59162 .4519 .59426 .45687 .60759 .45382 .60559 Mtetra
.922 .548 .286 r
.45382 .60559 .45687 .60759 .46188 .62221 .45881 .62084 Mtetra
.722 .191 0 r
.45881 .62084 .46188 .62221 .4671 .6273 .46403 .62612 Mtetra
.913 .821 .743 r
.46403 .62612 .4671 .6273 .47257 .618 .46953 .61644 Mtetra
.933 .76 .644 r
.46953 .61644 .47257 .618 .47816 .59936 .47515 .59709 Mtetra
.918 .753 .661 r
.47515 .59709 .47816 .59936 .48368 .58312 .48069 .58027 Mtetra
.759 .767 .859 r
.48069 .58027 .48368 .58312 .48902 .57977 .48605 .57687 Mtetra
.904 .49 .142 r
.48605 .57687 .48902 .57977 .49423 .59163 .49125 .58929 Mtetra
.938 .584 .322 r
.49125 .58929 .49423 .59163 .49944 .61098 .49644 .6095 Mtetra
.91 .521 .26 r
.49644 .6095 .49944 .61098 .50476 .62438 .50175 .62352 Mtetra
.736 .918 .954 r
.50175 .62352 .50476 .62438 .51021 .6215 .50721 .62059 Mtetra
.947 .778 .639 r
.50721 .62059 .51021 .6215 .51571 .6029 .51274 .60129 Mtetra
.942 .752 .618 r
.51274 .60129 .51571 .6029 .52117 .58003 .51822 .57753 Mtetra
.908 .764 .69 r
.51822 .57753 .52117 .58003 .52657 .56741 .52365 .56442 Mtetra
.567 .068 0 r
.52365 .56442 .52657 .56741 .53199 .57314 .52907 .5704 Mtetra
.942 .586 .301 r
.52907 .5704 .53199 .57314 .5375 .59363 .53457 .59178 Mtetra
.937 .588 .333 r
.53457 .59178 .5375 .59363 .5431 .61523 .54016 .61436 Mtetra
.821 .346 .066 r
.54016 .61436 .5431 .61523 .54868 .62251 .54575 .62208 Mtetra
.953 .828 .682 r
.54575 .62208 .54868 .62251 .55413 .60915 .55121 .6083 Mtetra
.957 .76 .596 r
.55121 .6083 .55413 .60915 .55942 .58291 .55653 .58104 Mtetra
.944 .753 .615 r
.55653 .58104 .55942 .58291 .56469 .56035 .56181 .55755 Mtetra
.81 .782 .827 r
.56181 .55755 .56469 .56035 .57013 .55566 .56726 .55264 Mtetra
.925 .535 .191 r
.56726 .55264 .57013 .55566 .57589 .57171 .57302 .56932 Mtetra
.947 .606 .335 r
.57302 .56932 .57589 .57171 .58189 .59798 .57902 .59675 Mtetra
.926 .558 .299 r
.57902 .59675 .58189 .59798 .58785 .61652 .58499 .61622 Mtetra
.678 .954 .951 r
.58499 .61622 .58785 .61652 .59346 .61357 .59062 .61335 Mtetra
.969 .781 .595 r
.59062 .61335 .59346 .61357 .59862 .58969 .59579 .58861 Mtetra
.961 .753 .577 r
.59579 .58861 .59862 .58969 .60359 .55995 .60077 .55767 Mtetra
.936 .766 .645 r
.60077 .55767 .60359 .55995 .60879 .543 .60597 .53996 Mtetra
.521 .033 0 r
.60597 .53996 .60879 .543 .61456 .5491 .61175 .54622 Mtetra
.948 .594 .289 r
.61175 .54622 .61456 .5491 .62091 .57398 .61811 .57211 Mtetra
.945 .599 .326 r
.61811 .57211 .62091 .57398 .62741 .60097 .62464 .60036 Mtetra
.863 .421 .148 r
.62464 .60036 .62741 .60097 .63349 .61096 .63074 .61101 Mtetra
.974 .842 .649 r
.63074 .61101 .63349 .61096 .63878 .59578 .63604 .59542 Mtetra
.973 .763 .56 r
.63604 .59542 .63878 .59578 .64348 .56465 .64073 .56311 Mtetra
.962 .756 .578 r
.64073 .56311 .64348 .56465 .64822 .53723 .64547 .5345 Mtetra
.867 .794 .776 r
.64547 .5345 .64822 .53723 .65368 .53025 .65092 .52709 Mtetra
.914 .517 .137 r
.65092 .52709 .65368 .53025 .66009 .54731 .65735 .54474 Mtetra
.951 .603 .302 r
.65735 .54474 .66009 .54731 .6671 .57677 .66439 .57546 Mtetra
.932 .562 .276 r
.66439 .57546 .6671 .57677 .67387 .59814 .67121 .59798 Mtetra
.52 .91 .93 r
.67121 .59798 .67387 .59814 .67966 .59579 .67702 .59585 Mtetra
.982 .788 .566 r
.67702 .59585 .67966 .59579 .68436 .57013 .68172 .56935 Mtetra
.975 .758 .547 r
.68172 .56935 .68436 .57013 .68865 .53738 .68598 .53526 Mtetra
.955 .772 .616 r
.68598 .53526 .68865 .53738 .69352 .51793 .69082 .51485 Mtetra
0 .193 .701 r
.69082 .51485 .69352 .51793 .69961 .52291 .69691 .51982 Mtetra
.942 .574 .225 r
.69691 .51982 .69961 .52291 .70681 .54794 .70416 .54579 Mtetra
.945 .587 .273 r
.70416 .54579 .70681 .54794 .71427 .57558 .71167 .57475 Mtetra
.857 .404 .09 r
.71167 .57475 .71427 .57558 .72086 .5861 .71831 .58608 Mtetra
.982 .856 .639 r
.71831 .58608 .72086 .5861 .72599 .57107 .72345 .57079 Mtetra
.984 .77 .536 r
.72345 .57079 .72599 .57107 .73009 .53971 .72752 .53827 Mtetra
.975 .764 .557 r
.72752 .53827 .73009 .53971 .73432 .51191 .7317 .50922 Mtetra
.889 .806 .761 r
.7317 .50922 .73432 .51191 .73977 .50417 .73712 .50088 Mtetra
.866 .446 .005 r
.73712 .50088 .73977 .50417 .74675 .51976 .74413 .51688 Mtetra
.941 .574 .22 r
.74413 .51688 .74675 .51976 .75461 .54708 .75206 .54535 Mtetra
.92 .525 .183 r
.75206 .54535 .75461 .54708 .76204 .56662 .75956 .56604 Mtetra
.625 .937 .96 r
.75956 .56604 .76204 .56662 .76795 .56371 .76551 .56348 Mtetra
.99 .798 .554 r
.76551 .56348 .76795 .56371 .77229 .5394 .76984 .53848 Mtetra
.984 .768 .532 r
.76984 .53848 .77229 .5394 .77612 .50921 .77361 .50704 Mtetra
.963 .788 .617 r
.77361 .50704 .77612 .50921 .78083 .49159 .77826 .48844 Mtetra
0 .324 .806 r
.77826 .48844 .78083 .49159 .78724 .49604 .78467 .49273 Mtetra
.907 .515 .099 r
.78467 .49273 .78724 .49604 .79508 .51769 .79256 .51513 Mtetra
.921 .533 .152 r
.79256 .51513 .79508 .51769 .80311 .54052 .80068 .53912 Mtetra
.711 .19 0 r
.80068 .53912 .80311 .54052 .80991 .54758 .80755 .54696 Mtetra
.982 .857 .639 r
.80755 .54696 .80991 .54758 .81489 .53296 .81254 .53218 Mtetra
.99 .782 .531 r
.81254 .53218 .81489 .53296 .81872 .50578 .81631 .50404 Mtetra
.98 .783 .566 r
.81631 .50404 .81872 .50578 .82287 .48307 .82039 .48022 Mtetra
.841 .815 .825 r
.82039 .48022 .82287 .48307 .82857 .47787 .82605 .47444 Mtetra
.757 .321 0 r
.82605 .47444 .82857 .47787 .83602 .49129 .83352 .48815 Mtetra
.891 .49 .057 r
.83352 .48815 .83602 .49129 .84426 .51235 .84186 .51014 Mtetra
.82 .365 0 r
.84186 .51014 .84426 .51235 .8518 .5251 .84948 .52383 Mtetra
.852 .933 .879 r
.84948 .52383 .8518 .5251 .85758 .51954 .85531 .51853 Mtetra
.991 .809 .563 r
.85531 .51853 .85758 .51954 .8618 .49859 .8595 .49701 Mtetra
.987 .789 .551 r
.8595 .49701 .8618 .49859 .86574 .47552 .86336 .47294 Mtetra
.944 .817 .689 r
.86336 .47294 .86574 .47552 .87083 .46404 .86839 .46069 Mtetra
0 .27 .773 r
.86839 .46069 .87083 .46404 .87771 .4694 .87526 .46597 Mtetra
.797 .375 0 r
.87526 .46597 .87771 .4694 .88581 .48566 .88343 .48284 Mtetra
.791 .35 0 r
.88343 .48284 .88581 .48566 .89377 .49983 .89148 .49787 Mtetra
.209 .618 .951 r
.89148 .49787 .89377 .49983 .9003 .50071 .89808 .49923 Mtetra
.978 .85 .645 r
.89808 .49923 .9003 .50071 .90514 .48672 .90292 .485 Mtetra
.988 .803 .566 r
.90292 .485 .90514 .48672 .90923 .46655 .90694 .46407 Mtetra
.965 .815 .644 r
.90694 .46407 .90923 .46655 .91398 .45241 .91162 .44917 Mtetra
.612 .732 .931 r
.91162 .44917 .91398 .45241 .92029 .45156 .91791 .44804 Mtetra
0 0 .439 r
.91791 .44804 .92029 .45156 .92802 .46209 .92569 .4589 Mtetra
.683 .242 0 r
.92569 .4589 .92802 .46209 .93607 .47465 .93382 .47213 Mtetra
0 .276 .758 r
.93382 .47213 .93607 .47465 .94315 .479 .94097 .47698 Mtetra
.918 .884 .784 r
.94097 .47698 .94315 .479 .94868 .47099 .94651 .46894 Mtetra
.981 .826 .614 r
.94651 .46894 .94868 .47099 .95318 .45525 .95097 .45268 Mtetra
.968 .82 .644 r
.95097 .45268 .95318 .45525 .95788 .44124 .9556 .43804 Mtetra
.817 .81 .844 r
.9556 .43804 .95788 .44124 .96377 .43644 .96147 .43292 Mtetra
0 .311 .802 r
.96147 .43292 .96377 .43644 .97105 .44167 .96877 .4383 Mtetra
.787 .757 .826 r
.39884 .60102 .40193 .60392 .40721 .59956 .40413 .59673 Mtetra
.719 .217 0 r
.40413 .59673 .40721 .59956 .41215 .60545 .40905 .60306 Mtetra
.914 .521 .235 r
.40905 .60306 .41215 .60545 .41693 .61751 .41381 .61567 Mtetra
.882 .454 .165 r
.41381 .61567 .41693 .61751 .42184 .62694 .4187 .62541 Mtetra
.57 .825 .993 r
.4187 .62541 .42184 .62694 .42709 .62602 .42396 .62435 Mtetra
.911 .779 .701 r
.42396 .62435 .42709 .62602 .43264 .61399 .42955 .61182 Mtetra
.914 .751 .666 r
.42955 .61182 .43264 .61399 .43827 .59806 .43522 .59535 Mtetra
.876 .758 .728 r
.43522 .59535 .43827 .59806 .44372 .58847 .44069 .58554 Mtetra
0 .283 .761 r
.44069 .58554 .44372 .58847 .44887 .59162 .44583 .58897 Mtetra
.925 .542 .248 r
.44583 .58897 .44887 .59162 .45382 .60559 .45076 .60358 Mtetra
.924 .554 .296 r
.45076 .60358 .45382 .60559 .45881 .62084 .45573 .61945 Mtetra
.736 .21 0 r
.45573 .61945 .45881 .62084 .46403 .62612 .46095 .62494 Mtetra
.915 .818 .737 r
.46095 .62494 .46403 .62612 .46953 .61644 .46647 .61488 Mtetra
.934 .758 .641 r
.46647 .61488 .46953 .61644 .47515 .59709 .47212 .59481 Mtetra
.92 .752 .657 r
.47212 .59481 .47515 .59709 .48069 .58027 .4777 .57742 Mtetra
.761 .767 .858 r
.4777 .57742 .48069 .58027 .48605 .57687 .48306 .57397 Mtetra
.909 .503 .161 r
.48306 .57397 .48605 .57687 .49125 .58929 .48825 .58694 Mtetra
.939 .589 .33 r
.48825 .58694 .49125 .58929 .49644 .6095 .49342 .60801 Mtetra
.913 .529 .271 r
.49342 .60801 .49644 .6095 .50175 .62352 .49872 .62266 Mtetra
.739 .918 .953 r
.49872 .62266 .50175 .62352 .50721 .62059 .5042 .61968 Mtetra
.948 .775 .635 r
.5042 .61968 .50721 .62059 .51274 .60129 .50975 .59968 Mtetra
.942 .75 .614 r
.50975 .59968 .51274 .60129 .51822 .57753 .51527 .57503 Mtetra
.91 .762 .685 r
.51527 .57503 .51822 .57753 .52365 .56442 .52071 .56143 Mtetra
.598 .099 0 r
.52071 .56143 .52365 .56442 .52907 .5704 .52613 .56765 Mtetra
.944 .591 .31 r
.52613 .56765 .52907 .5704 .53457 .59178 .53162 .58991 Mtetra
.939 .593 .341 r
.53162 .58991 .53457 .59178 .54016 .61436 .5372 .61349 Mtetra
.831 .365 .089 r
.5372 .61349 .54016 .61436 .54575 .62208 .5428 .62165 Mtetra
.954 .825 .677 r
.5428 .62165 .54575 .62208 .55121 .6083 .54828 .60744 Mtetra
.957 .757 .592 r
.54828 .60744 .55121 .6083 .55653 .58104 .55362 .57916 Mtetra
.945 .751 .611 r
.55362 .57916 .55653 .58104 .56181 .55755 .55892 .55475 Mtetra
.816 .782 .821 r
.55892 .55475 .56181 .55755 .56726 .55264 .56438 .5496 Mtetra
.928 .543 .205 r
.56438 .5496 .56726 .55264 .57302 .56932 .57014 .56693 Mtetra
.948 .609 .341 r
.57014 .56693 .57302 .56932 .57902 .59675 .57615 .59552 Mtetra
.928 .564 .308 r
.57615 .59552 .57902 .59675 .58499 .61622 .58212 .61593 Mtetra
.668 .952 .952 r
.58212 .61593 .58499 .61622 .59062 .61335 .58776 .61312 Mtetra
.969 .778 .592 r
.58776 .61312 .59062 .61335 .59579 .58861 .59295 .58751 Mtetra
.961 .751 .574 r
.59295 .58751 .59579 .58861 .60077 .55767 .59793 .55538 Mtetra
.938 .764 .64 r
.59793 .55538 .60077 .55767 .60597 .53996 .60314 .5369 Mtetra
.541 .053 0 r
.60314 .5369 .60597 .53996 .61175 .54622 .60893 .54333 Mtetra
.949 .599 .297 r
.60893 .54333 .61175 .54622 .61811 .57211 .6153 .57024 Mtetra
.946 .603 .333 r
.6153 .57024 .61811 .57211 .62464 .60036 .62185 .59975 Mtetra
.871 .437 .166 r
.62185 .59975 .62464 .60036 .63074 .61101 .62797 .61107 Mtetra
.975 .839 .645 r
.62797 .61107 .63074 .61101 .63604 .59542 .63329 .59506 Mtetra
.973 .76 .557 r
.63329 .59506 .63604 .59542 .64073 .56311 .63798 .56155 Mtetra
.962 .754 .575 r
.63798 .56155 .64073 .56311 .64547 .5345 .6427 .53177 Mtetra
.873 .792 .768 r
.6427 .53177 .64547 .5345 .65092 .52709 .64815 .52393 Mtetra
.918 .525 .15 r
.64815 .52393 .65092 .52709 .65735 .54474 .65459 .54217 Mtetra
.952 .607 .309 r
.65459 .54217 .65735 .54474 .66439 .57546 .66167 .57417 Mtetra
.934 .568 .285 r
.66167 .57417 .66439 .57546 .67121 .59798 .66853 .59782 Mtetra
.478 .891 .923 r
.66853 .59782 .67121 .59798 .67702 .59585 .67436 .5959 Mtetra
.982 .785 .563 r
.67436 .5959 .67702 .59585 .68172 .56935 .67906 .56855 Mtetra
.975 .755 .543 r
.67906 .56855 .68172 .56935 .68598 .53526 .68329 .53312 Mtetra
.956 .769 .61 r
.68329 .53312 .68598 .53526 .69082 .51485 .68811 .51176 Mtetra
0 .194 .702 r
.68811 .51176 .69082 .51485 .69691 .51982 .6942 .51672 Mtetra
.944 .579 .234 r
.6942 .51672 .69691 .51982 .70416 .54579 .70149 .54364 Mtetra
.947 .591 .281 r
.70149 .54364 .70416 .54579 .71167 .57475 .70906 .57391 Mtetra
.868 .423 .112 r
.70906 .57391 .71167 .57475 .71831 .58608 .71575 .58606 Mtetra
.982 .854 .636 r
.71575 .58606 .71831 .58608 .72345 .57079 .7209 .5705 Mtetra
.984 .767 .533 r
.7209 .5705 .72345 .57079 .72752 .53827 .72494 .53683 Mtetra
.975 .762 .553 r
.72494 .53683 .72752 .53827 .7317 .50922 .72907 .50652 Mtetra
.896 .804 .75 r
.72907 .50652 .7317 .50922 .73712 .50088 .73447 .49758 Mtetra
.871 .454 .017 r
.73447 .49758 .73712 .50088 .74413 .51688 .7415 .51399 Mtetra
.944 .579 .228 r
.7415 .51399 .74413 .51688 .75206 .54535 .74949 .54361 Mtetra
.924 .534 .196 r
.74949 .54361 .75206 .54535 .75956 .56604 .75707 .56546 Mtetra
.576 .919 .964 r
.75707 .56546 .75956 .56604 .76551 .56348 .76306 .56325 Mtetra
.99 .795 .551 r
.76306 .56325 .76551 .56348 .76984 .53848 .76737 .53756 Mtetra
.984 .766 .528 r
.76737 .53756 .76984 .53848 .77361 .50704 .77108 .50488 Mtetra
.965 .785 .609 r
.77108 .50488 .77361 .50704 .77826 .48844 .77568 .48527 Mtetra
0 .342 .818 r
.77568 .48527 .77826 .48844 .78467 .49273 .78208 .4894 Mtetra
.911 .522 .11 r
.78208 .4894 .78467 .49273 .79256 .51513 .79002 .51254 Mtetra
.926 .541 .164 r
.79002 .51254 .79256 .51513 .80068 .53912 .79823 .5377 Mtetra
.744 .234 0 r
.79823 .5377 .80068 .53912 .80755 .54696 .80518 .54633 Mtetra
.983 .856 .638 r
.80518 .54633 .80755 .54696 .81254 .53218 .81017 .53141 Mtetra
.99 .78 .527 r
.81017 .53141 .81254 .53218 .81631 .50404 .8139 .50232 Mtetra
.981 .78 .559 r
.8139 .50232 .81631 .50404 .82039 .48022 .81791 .47737 Mtetra
.856 .817 .81 r
.81791 .47737 .82039 .48022 .82605 .47444 .82352 .471 Mtetra
.764 .33 0 r
.82352 .471 .82605 .47444 .83352 .48815 .83102 .48498 Mtetra
.896 .5 .07 r
.83102 .48498 .83352 .48815 .84186 .51014 .83943 .50789 Mtetra
.834 .388 0 r
.83943 .50789 .84186 .51014 .84948 .52383 .84716 .52252 Mtetra
.839 .933 .89 r
.84716 .52252 .84948 .52383 .85531 .51853 .85302 .51752 Mtetra
.991 .807 .559 r
.85302 .51752 .85531 .51853 .8595 .49701 .85718 .49544 Mtetra
.988 .786 .545 r
.85718 .49544 .8595 .49701 .86336 .47294 .86098 .47037 Mtetra
.949 .815 .677 r
.86098 .47037 .86336 .47294 .86839 .46069 .86594 .45734 Mtetra
0 .28 .779 r
.86594 .45734 .86839 .46069 .87526 .46597 .87281 .46251 Mtetra
.807 .387 0 r
.87281 .46251 .87526 .46597 .88343 .48284 .88104 .47998 Mtetra
.806 .37 0 r
.88104 .47998 .88343 .48284 .89148 .49787 .88918 .49587 Mtetra
.132 .562 .924 r
.88918 .49587 .89148 .49787 .89808 .49923 .89585 .49773 Mtetra
.979 .848 .642 r
.89585 .49773 .89808 .49923 .90292 .485 .90068 .4833 Mtetra
.989 .801 .56 r
.90068 .4833 .90292 .485 .90694 .46407 .90465 .46162 Mtetra
.969 .812 .633 r
.90465 .46162 .90694 .46407 .91162 .44917 .90925 .44594 Mtetra
.633 .743 .927 r
.90925 .44594 .91162 .44917 .91791 .44804 .91552 .4445 Mtetra
0 0 .423 r
.91552 .4445 .91791 .44804 .92569 .4589 .92333 .45567 Mtetra
.702 .264 0 r
.92333 .45567 .92569 .4589 .93382 .47213 .93155 .46956 Mtetra
0 .226 .719 r
.93155 .46956 .93382 .47213 .94097 .47698 .93878 .47494 Mtetra
.917 .883 .785 r
.93878 .47494 .94097 .47698 .94651 .46894 .94433 .4669 Mtetra
.983 .824 .608 r
.94433 .4669 .94651 .46894 .95097 .45268 .94875 .45013 Mtetra
.971 .818 .634 r
.94875 .45013 .95097 .45268 .9556 .43804 .95332 .43485 Mtetra
.828 .814 .836 r
.95332 .43485 .9556 .43804 .96147 .43292 .95915 .42938 Mtetra
0 .3 .795 r
.95915 .42938 .96147 .43292 .96877 .4383 .96648 .43489 Mtetra
.784 .758 .829 r
.39574 .59811 .39884 .60102 .40413 .59673 .40103 .5939 Mtetra
.756 .262 0 r
.40103 .5939 .40413 .59673 .40905 .60306 .40594 .60068 Mtetra
.918 .53 .25 r
.40594 .60068 .40905 .60306 .41381 .61567 .41067 .61384 Mtetra
.886 .463 .18 r
.41067 .61384 .41381 .61567 .4187 .62541 .41555 .6239 Mtetra
.586 .833 .992 r
.41555 .6239 .4187 .62541 .42396 .62435 .42082 .62271 Mtetra
.914 .777 .696 r
.42082 .62271 .42396 .62435 .42955 .61182 .42645 .60967 Mtetra
.916 .75 .662 r
.42645 .60967 .42955 .61182 .43522 .59535 .43215 .59264 Mtetra
.878 .758 .725 r
.43215 .59264 .43522 .59535 .44069 .58554 .43764 .5826 Mtetra
0 .231 .718 r
.43764 .5826 .44069 .58554 .44583 .58897 .44278 .58631 Mtetra
.928 .551 .262 r
.44278 .58631 .44583 .58897 .45076 .60358 .44769 .60157 Mtetra
.926 .56 .307 r
.44769 .60157 .45076 .60358 .45573 .61945 .45263 .6181 Mtetra
.751 .232 0 r
.45263 .6181 .45573 .61945 .46095 .62494 .45785 .62381 Mtetra
.918 .817 .731 r
.45785 .62381 .46095 .62494 .46647 .61488 .46339 .61336 Mtetra
.935 .757 .637 r
.46339 .61336 .46647 .61488 .47212 .59481 .46909 .59256 Mtetra
.921 .751 .653 r
.46909 .59256 .47212 .59481 .4777 .57742 .47469 .57456 Mtetra
.763 .768 .857 r
.47469 .57456 .4777 .57742 .48306 .57397 .48006 .57105 Mtetra
.915 .514 .179 r
.48006 .57105 .48306 .57397 .48825 .58694 .48524 .58459 Mtetra
.94 .594 .339 r
.48524 .58459 .48825 .58694 .49342 .60801 .49039 .60655 Mtetra
.915 .536 .284 r
.49039 .60655 .49342 .60801 .49872 .62266 .49568 .62185 Mtetra
.74 .923 .952 r
.49568 .62185 .49872 .62266 .5042 .61968 .50117 .61883 Mtetra
.949 .774 .631 r
.50117 .61883 .5042 .61968 .50975 .59968 .50675 .5981 Mtetra
.943 .749 .611 r
.50675 .5981 .50975 .59968 .51527 .57503 .5123 .57253 Mtetra
.912 .761 .681 r
.5123 .57253 .51527 .57503 .52071 .56143 .51776 .55842 Mtetra
.627 .13 0 r
.51776 .55842 .52071 .56143 .52613 .56765 .52318 .56491 Mtetra
.945 .596 .319 r
.52318 .56491 .52613 .56765 .53162 .58991 .52866 .58808 Mtetra
.94 .597 .348 r
.52866 .58808 .53162 .58991 .5372 .61349 .53423 .61269 Mtetra
.841 .384 .115 r
.53423 .61269 .5372 .61349 .5428 .62165 .53983 .6213 Mtetra
.956 .824 .672 r
.53983 .6213 .5428 .62165 .54828 .60744 .54534 .60663 Mtetra
.958 .756 .589 r
.54534 .60663 .54828 .60744 .55362 .57916 .5507 .57729 Mtetra
.946 .75 .607 r
.5507 .57729 .55362 .57916 .55892 .55475 .55602 .55194 Mtetra
.821 .782 .816 r
.55602 .55194 .55892 .55475 .56438 .5496 .56149 .54657 Mtetra
.931 .55 .217 r
.56149 .54657 .56438 .5496 .57014 .56693 .56725 .56457 Mtetra
.949 .613 .348 r
.56725 .56457 .57014 .56693 .57615 .59552 .57325 .59435 Mtetra
.93 .57 .318 r
.57325 .59435 .57615 .59552 .58212 .61593 .57924 .61572 Mtetra
.649 .952 .948 r
.57924 .61572 .58212 .61593 .58776 .61312 .58489 .61297 Mtetra
.97 .776 .588 r
.58489 .61297 .58776 .61312 .59295 .58751 .5901 .58645 Mtetra
.962 .749 .57 r
.5901 .58645 .59295 .58751 .59793 .55538 .59509 .55308 Mtetra
.939 .762 .635 r
.59509 .55308 .59793 .55538 .60314 .5369 .6003 .53384 Mtetra
.562 .074 0 r
.6003 .53384 .60314 .5369 .60893 .54333 .6061 .54045 Mtetra
.95 .603 .305 r
.6061 .54045 .60893 .54333 .6153 .57024 .61248 .56842 Mtetra
.947 .607 .34 r
.61248 .56842 .6153 .57024 .62185 .59975 .61905 .59923 Mtetra
.877 .452 .188 r
.61905 .59923 .62185 .59975 .62797 .61107 .62519 .61121 Mtetra
.976 .838 .64 r
.62519 .61121 .62797 .61107 .63329 .59506 .63052 .59476 Mtetra
.973 .759 .553 r
.63052 .59476 .63329 .59506 .63798 .56155 .63521 .56001 Mtetra
.963 .752 .571 r
.63521 .56001 .63798 .56155 .6427 .53177 .63992 .52902 Mtetra
.879 .791 .76 r
.63992 .52902 .6427 .53177 .64815 .52393 .64537 .52076 Mtetra
.922 .532 .162 r
.64537 .52076 .64815 .52393 .65459 .54217 .65183 .53963 Mtetra
.953 .611 .316 r
.65183 .53963 .65459 .54217 .66167 .57417 .65894 .57294 Mtetra
.936 .574 .295 r
.65894 .57294 .66167 .57417 .66853 .59782 .66584 .59775 Mtetra
.414 .861 .897 r
.66584 .59775 .66853 .59782 .67436 .5959 .6717 .59605 Mtetra
.983 .784 .559 r
.6717 .59605 .67436 .5959 .67906 .56855 .67638 .56779 Mtetra
.975 .754 .54 r
.67638 .56779 .67906 .56855 .68329 .53312 .68059 .53099 Mtetra
.958 .767 .604 r
.68059 .53099 .68329 .53312 .68811 .51176 .68539 .50865 Mtetra
0 .193 .701 r
.68539 .50865 .68811 .51176 .6942 .51672 .69149 .51362 Mtetra
.946 .584 .242 r
.69149 .51362 .6942 .51672 .70149 .54364 .69881 .54153 Mtetra
.949 .596 .289 r
.69881 .54153 .70149 .54364 .70906 .57391 .70645 .57316 Mtetra
.877 .442 .138 r
.70645 .57316 .70906 .57391 .71575 .58606 .71318 .58613 Mtetra
.984 .854 .632 r
.71318 .58613 .71575 .58606 .7209 .5705 .71834 .57028 Mtetra
.984 .766 .529 r
.71834 .57028 .7209 .5705 .72494 .53683 .72234 .53542 Mtetra
.975 .76 .548 r
.72234 .53542 .72494 .53683 .72907 .50652 .72644 .50382 Mtetra
.903 .803 .739 r
.72644 .50382 .72907 .50652 .73447 .49758 .73181 .49428 Mtetra
.877 .462 .029 r
.73181 .49428 .73447 .49758 .7415 .51399 .73886 .51111 Mtetra
.946 .584 .237 r
.73886 .51111 .7415 .51399 .74949 .54361 .74692 .54191 Mtetra
.928 .543 .21 r
.74692 .54191 .74949 .54361 .75707 .56546 .75457 .56495 Mtetra
.506 .894 .954 r
.75457 .56495 .75707 .56546 .76306 .56325 .7606 .5631 Mtetra
.99 .794 .546 r
.7606 .5631 .76306 .56325 .76737 .53756 .76489 .5367 Mtetra
.985 .764 .523 r
.76489 .5367 .76737 .53756 .77108 .50488 .76854 .50274 Mtetra
.967 .782 .601 r
.76854 .50274 .77108 .50488 .77568 .48527 .7731 .48211 Mtetra
0 .361 .83 r
.7731 .48211 .77568 .48527 .78208 .4894 .77948 .48606 Mtetra
.915 .528 .12 r
.77948 .48606 .78208 .4894 .79002 .51254 .78747 .50997 Mtetra
.929 .549 .176 r
.78747 .50997 .79002 .51254 .79823 .5377 .79577 .53632 Mtetra
.775 .276 0 r
.79577 .53632 .79823 .5377 .80518 .54633 .80279 .54576 Mtetra
.984 .858 .635 r
.80279 .54576 .80518 .54633 .81017 .53141 .8078 .53071 Mtetra
.99 .778 .522 r
.8078 .53071 .81017 .53141 .8139 .50232 .81148 .50064 Mtetra
.982 .777 .552 r
.81148 .50064 .8139 .50232 .81791 .47737 .81541 .47454 Mtetra
.869 .818 .796 r
.81541 .47454 .81791 .47737 .82352 .471 .82099 .46755 Mtetra
.772 .338 0 r
.82099 .46755 .82352 .471 .83102 .48498 .82851 .4818 Mtetra
.902 .508 .084 r
.82851 .4818 .83102 .48498 .83943 .50789 .837 .50566 Mtetra
.849 .41 0 r
.837 .50566 .83943 .50789 .84716 .52252 .84482 .52127 Mtetra
.823 .937 .903 r
.84482 .52127 .84716 .52252 .85302 .51752 .85073 .51658 Mtetra
.992 .805 .554 r
.85073 .51658 .85302 .51752 .85718 .49544 .85487 .49394 Mtetra
.988 .783 .538 r
.85487 .49394 .85718 .49544 .86098 .47037 .85858 .46784 Mtetra
.954 .812 .664 r
.85858 .46784 .86098 .47037 .86594 .45734 .86348 .45398 Mtetra
0 .292 .787 r
.86348 .45398 .86594 .45734 .87281 .46251 .87034 .45903 Mtetra
.816 .399 0 r
.87034 .45903 .87281 .46251 .88104 .47998 .87863 .4771 Mtetra
.82 .389 0 r
.87863 .4771 .88104 .47998 .88918 .49587 .88688 .49388 Mtetra
.038 .497 .884 r
.88688 .49388 .88918 .49587 .89585 .49773 .89361 .49628 Mtetra
.98 .849 .639 r
.89361 .49628 .89585 .49773 .90068 .4833 .89845 .48165 Mtetra
.99 .799 .553 r
.89845 .48165 .90068 .4833 .90465 .46162 .90235 .4592 Mtetra
.972 .81 .623 r
.90235 .4592 .90465 .46162 .90925 .44594 .90688 .44272 Mtetra
.656 .754 .922 r
.90688 .44272 .90925 .44594 .91552 .4445 .91312 .44094 Mtetra
0 0 .407 r
.91312 .44094 .91552 .4445 .92333 .45567 .92097 .45241 Mtetra
.721 .285 0 r
.92097 .45241 .92333 .45567 .93155 .46956 .92928 .46699 Mtetra
0 .172 .674 r
.92928 .46699 .93155 .46956 .93878 .47494 .93658 .47292 Mtetra
.917 .885 .786 r
.93658 .47292 .93878 .47494 .94433 .4669 .94216 .4649 Mtetra
.985 .822 .6 r
.94216 .4649 .94433 .4669 .94875 .45013 .94653 .44762 Mtetra
.974 .816 .624 r
.94653 .44762 .94875 .45013 .95332 .43485 .95103 .43168 Mtetra
.84 .817 .827 r
.95103 .43168 .95332 .43485 .95915 .42938 .95683 .42583 Mtetra
0 .291 .789 r
.95683 .42583 .95915 .42938 .96648 .43489 .96417 .43145 Mtetra
.782 .758 .831 r
.39263 .59519 .39574 .59811 .40103 .5939 .39793 .59106 Mtetra
.786 .301 0 r
.39793 .59106 .40103 .5939 .40594 .60068 .40282 .59828 Mtetra
.92 .539 .264 r
.40282 .59828 .40594 .60068 .41067 .61384 .40752 .61201 Mtetra
.89 .472 .193 r
.40752 .61201 .41067 .61384 .41555 .6239 .41239 .62241 Mtetra
.601 .839 .989 r
.41239 .62241 .41555 .6239 .42082 .62271 .41767 .62109 Mtetra
.916 .776 .691 r
.41767 .62109 .42082 .62271 .42645 .60967 .42333 .60753 Mtetra
.917 .749 .659 r
.42333 .60753 .42645 .60967 .43215 .59264 .42907 .58993 Mtetra
.88 .757 .723 r
.42907 .58993 .43215 .59264 .43764 .5826 .43458 .57965 Mtetra
0 .18 .672 r
.43458 .57965 .43764 .5826 .44278 .58631 .43971 .58364 Mtetra
.93 .558 .275 r
.43971 .58364 .44278 .58631 .44769 .60157 .4446 .59958 Mtetra
.928 .566 .316 r
.4446 .59958 .44769 .60157 .45263 .6181 .44952 .61677 Mtetra
.764 .252 0 r
.44952 .61677 .45263 .6181 .45785 .62381 .45473 .6227 Mtetra
.921 .815 .726 r
.45473 .6227 .45785 .62381 .46339 .61336 .4603 .61187 Mtetra
.936 .755 .633 r
.4603 .61187 .46339 .61336 .46909 .59256 .46604 .5903 Mtetra
.923 .749 .65 r
.46604 .5903 .46909 .59256 .47469 .57456 .47167 .57169 Mtetra
.765 .768 .855 r
.47167 .57169 .47469 .57456 .48006 .57105 .47705 .56812 Mtetra
.919 .524 .196 r
.47705 .56812 .48006 .57105 .48524 .58459 .48222 .58225 Mtetra
.941 .598 .346 r
.48222 .58225 .48524 .58459 .49039 .60655 .48734 .60512 Mtetra
.918 .543 .294 r
.48734 .60512 .49039 .60655 .49568 .62185 .49262 .62108 Mtetra
.742 .926 .951 r
.49262 .62108 .49568 .62185 .50117 .61883 .49812 .61801 Mtetra
.95 .772 .627 r
.49812 .61801 .50117 .61883 .50675 .5981 .50374 .59653 Mtetra
.944 .748 .607 r
.50374 .59653 .50675 .5981 .5123 .57253 .50932 .57002 Mtetra
.914 .76 .676 r
.50932 .57002 .5123 .57253 .51776 .55842 .5148 .5554 Mtetra
.655 .159 0 r
.5148 .5554 .51776 .55842 .52318 .56491 .52023 .56216 Mtetra
.946 .6 .327 r
.52023 .56216 .52318 .56491 .52866 .58808 .52569 .58627 Mtetra
.94 .601 .355 r
.52569 .58627 .52866 .58808 .53423 .61269 .53125 .61192 Mtetra
.849 .4 .138 r
.53125 .61192 .53423 .61269 .53983 .6213 .53685 .62099 Mtetra
.958 .822 .667 r
.53685 .62099 .53983 .6213 .54534 .60663 .54238 .60585 Mtetra
.958 .754 .586 r
.54238 .60585 .54534 .60663 .5507 .57729 .54777 .57543 Mtetra
.947 .748 .603 r
.54777 .57543 .5507 .57729 .55602 .55194 .55311 .54911 Mtetra
.826 .782 .811 r
.55311 .54911 .55602 .55194 .56149 .54657 .55859 .54352 Mtetra
.934 .557 .229 r
.55859 .54352 .56149 .54657 .56725 .56457 .56435 .56222 Mtetra
.95 .616 .354 r
.56435 .56222 .56725 .56457 .57325 .59435 .57035 .59322 Mtetra
.931 .575 .326 r
.57035 .59322 .57325 .59435 .57924 .61572 .57634 .61557 Mtetra
.635 .95 .944 r
.57634 .61557 .57924 .61572 .58489 .61297 .58201 .61286 Mtetra
.97 .774 .584 r
.58201 .61286 .58489 .61297 .5901 .58645 .58723 .58541 Mtetra
.962 .748 .567 r
.58723 .58541 .5901 .58645 .59509 .55308 .59223 .55077 Mtetra
.941 .76 .63 r
.59223 .55077 .59509 .55308 .6003 .53384 .59745 .53076 Mtetra
.585 .096 0 r
.59745 .53076 .6003 .53384 .6061 .54045 .60325 .53758 Mtetra
.951 .607 .312 r
.60325 .53758 .6061 .54045 .61248 .56842 .60965 .56664 Mtetra
.948 .61 .346 r
.60965 .56664 .61248 .56842 .61905 .59923 .61624 .59878 Mtetra
.883 .465 .206 r
.61624 .59878 .61905 .59923 .62519 .61121 .6224 .61142 Mtetra
.978 .836 .635 r
.6224 .61142 .62519 .61121 .63052 .59476 .62774 .59449 Mtetra
.973 .757 .55 r
.62774 .59449 .63052 .59476 .63521 .56001 .63242 .55846 Mtetra
.963 .75 .567 r
.63242 .55846 .63521 .56001 .63992 .52902 .63713 .52625 Mtetra
.883 .79 .752 r
.63713 .52625 .63992 .52902 .64537 .52076 .64258 .51759 Mtetra
.926 .539 .174 r
.64258 .51759 .64537 .52076 .65183 .53963 .64905 .53711 Mtetra
.954 .614 .322 r
.64905 .53711 .65183 .53963 .65894 .57294 .6562 .57176 Mtetra
.938 .579 .304 r
.6562 .57176 .65894 .57294 .66584 .59775 .66313 .59775 Mtetra
.357 .829 .872 r
.66313 .59775 .66584 .59775 .6717 .59605 .66902 .59624 Mtetra
.983 .782 .556 r
.66902 .59624 .6717 .59605 .67638 .56779 .6737 .56706 Mtetra
.975 .752 .537 r
.6737 .56706 .67638 .56779 .68059 .53099 .67788 .52885 Mtetra
.959 .764 .598 r
.67788 .52885 .68059 .53099 .68539 .50865 .68266 .50554 Mtetra
0 .19 .698 r
.68266 .50554 .68539 .50865 .69149 .51362 .68876 .51053 Mtetra
.947 .588 .251 r
.68876 .51053 .69149 .51362 .69881 .54153 .69612 .53945 Mtetra
.95 .6 .297 r
.69612 .53945 .69881 .54153 .70645 .57316 .70382 .57245 Mtetra
.885 .457 .158 r
.70382 .57245 .70645 .57316 .71318 .58613 .7106 .58626 Mtetra
.985 .854 .628 r
.7106 .58626 .71318 .58613 .71834 .57028 .71577 .5701 Mtetra
.984 .764 .525 r
.71577 .5701 .71834 .57028 .72234 .53542 .71974 .53402 Mtetra
.976 .757 .544 r
.71974 .53402 .72234 .53542 .72644 .50382 .72379 .50111 Mtetra
.909 .801 .728 r
.72379 .50111 .72644 .50382 .73181 .49428 .72914 .49097 Mtetra
.882 .47 .041 r
.72914 .49097 .73181 .49428 .73886 .51111 .73621 .50823 Mtetra
.947 .589 .245 r
.73621 .50823 .73886 .51111 .74692 .54191 .74433 .54025 Mtetra
.931 .551 .222 r
.74433 .54025 .74692 .54191 .75457 .56495 .75207 .56449 Mtetra
.432 .86 .939 r
.75207 .56449 .75457 .56495 .7606 .5631 .75813 .563 Mtetra
.99 .792 .542 r
.75813 .563 .7606 .5631 .76489 .5367 .7624 .53587 Mtetra
.985 .762 .519 r
.7624 .53587 .76489 .5367 .76854 .50274 .766 .50061 Mtetra
.969 .779 .593 r
.766 .50061 .76854 .50274 .7731 .48211 .7705 .47894 Mtetra
.004 .379 .842 r
.7705 .47894 .7731 .48211 .77948 .48606 .77688 .48272 Mtetra
.919 .535 .131 r
.77688 .48272 .77948 .48606 .78747 .50997 .78492 .50739 Mtetra
.933 .556 .187 r
.78492 .50739 .78747 .50997 .79577 .53632 .79331 .53497 Mtetra
.799 .312 0 r
.79331 .53497 .79577 .53632 .80279 .54576 .8004 .54524 Mtetra
.984 .858 .633 r
.8004 .54524 .80279 .54576 .8078 .53071 .80542 .53006 Mtetra
.99 .776 .518 r
.80542 .53006 .8078 .53071 .81148 .50064 .80905 .49899 Mtetra
.983 .774 .545 r
.80905 .49899 .81148 .50064 .81541 .47454 .81291 .47171 Mtetra
.882 .818 .781 r
.81291 .47171 .81541 .47454 .82099 .46755 .81844 .4641 Mtetra
.779 .346 0 r
.81844 .4641 .82099 .46755 .82851 .4818 .82598 .4786 Mtetra
.907 .517 .096 r
.82598 .4786 .82851 .4818 .837 .50566 .83456 .50342 Mtetra
.861 .428 .006 r
.83456 .50342 .837 .50566 .84482 .52127 .84247 .52002 Mtetra
.804 .939 .917 r
.84247 .52002 .84482 .52127 .85073 .51658 .84844 .51567 Mtetra
.992 .804 .55 r
.84844 .51567 .85073 .51658 .85487 .49394 .85254 .49247 Mtetra
.989 .781 .531 r
.85254 .49247 .85487 .49394 .85858 .46784 .85618 .46533 Mtetra
.959 .809 .652 r
.85618 .46533 .85858 .46784 .86348 .45398 .86102 .45063 Mtetra
0 .305 .796 r
.86102 .45063 .86348 .45398 .87034 .45903 .86786 .45553 Mtetra
.825 .41 0 r
.86786 .45553 .87034 .45903 .87863 .4771 .87622 .4742 Mtetra
.833 .406 0 r
.87622 .4742 .87863 .4771 .88688 .49388 .88456 .49189 Mtetra
0 .427 .838 r
.88456 .49189 .88688 .49388 .89361 .49628 .89137 .49486 Mtetra
.981 .848 .636 r
.89137 .49486 .89361 .49628 .89845 .48165 .8962 .48004 Mtetra
.991 .796 .546 r
.8962 .48004 .89845 .48165 .90235 .4592 .90004 .45682 Mtetra
.975 .807 .612 r
.90004 .45682 .90235 .4592 .90688 .44272 .9045 .4395 Mtetra
.679 .764 .916 r
.9045 .4395 .90688 .44272 .91312 .44094 .91071 .43736 Mtetra
.589 .159 0 r
.91071 .43736 .91312 .44094 .92097 .45241 .9186 .44912 Mtetra
.737 .305 0 r
.9186 .44912 .92097 .45241 .92928 .46699 .92699 .4644 Mtetra
0 .119 .629 r
.92699 .4644 .92928 .46699 .93658 .47292 .93437 .47091 Mtetra
.917 .887 .788 r
.93437 .47091 .93658 .47292 .94216 .4649 .93997 .46293 Mtetra
.986 .821 .594 r
.93997 .46293 .94216 .4649 .94653 .44762 .9443 .44514 Mtetra
.977 .814 .615 r
.9443 .44514 .94653 .44762 .95103 .43168 .94873 .42852 Mtetra
.851 .82 .818 r
.94873 .42852 .95103 .43168 .95683 .42583 .95449 .42226 Mtetra
0 .282 .784 r
.95449 .42226 .95683 .42583 .96417 .43145 .96186 .42798 Mtetra
.78 .758 .834 r
.38951 .59227 .39263 .59519 .39793 .59106 .39481 .58821 Mtetra
.81 .334 0 r
.39481 .58821 .39793 .59106 .40282 .59828 .39968 .59587 Mtetra
.923 .546 .276 r
.39968 .59587 .40282 .59828 .40752 .61201 .40436 .61017 Mtetra
.893 .48 .205 r
.40436 .61017 .40752 .61201 .41239 .62241 .40921 .62091 Mtetra
.616 .842 .986 r
.40921 .62091 .41239 .62241 .41767 .62109 .41451 .61947 Mtetra
.917 .773 .687 r
.41451 .61947 .41767 .62109 .42333 .60753 .4202 .60539 Mtetra
.918 .748 .655 r
.4202 .60539 .42333 .60753 .42907 .58993 .42598 .58722 Mtetra
.882 .757 .72 r
.42598 .58722 .42907 .58993 .43458 .57965 .43151 .5767 Mtetra
0 .13 .625 r
.43151 .5767 .43458 .57965 .43971 .58364 .43664 .58096 Mtetra
.932 .565 .287 r
.43664 .58096 .43971 .58364 .4446 .59958 .4415 .59756 Mtetra
.929 .571 .324 r
.4415 .59756 .4446 .59958 .44952 .61677 .44639 .61543 Mtetra
.776 .269 0 r
.44639 .61543 .44952 .61677 .45473 .6227 .45161 .62159 Mtetra
.922 .812 .72 r
.45161 .62159 .45473 .6227 .4603 .61187 .4572 .61036 Mtetra
.936 .753 .63 r
.4572 .61036 .4603 .61187 .46604 .5903 .46297 .58805 Mtetra
.924 .748 .646 r
.46297 .58805 .46604 .5903 .47167 .57169 .46864 .56881 Mtetra
.767 .768 .854 r
.46864 .56881 .47167 .57169 .47705 .56812 .47403 .56518 Mtetra
.923 .533 .211 r
.47403 .56518 .47705 .56812 .48222 .58225 .47918 .57989 Mtetra
.942 .602 .353 r
.47918 .57989 .48222 .58225 .48734 .60512 .48428 .60367 Mtetra
.92 .55 .303 r
.48428 .60367 .48734 .60512 .49262 .62108 .48955 .6203 Mtetra
.746 .926 .95 r
.48955 .6203 .49262 .62108 .49812 .61801 .49506 .61718 Mtetra
.95 .77 .624 r
.49506 .61718 .49812 .61801 .50374 .59653 .50071 .59496 Mtetra
.944 .746 .604 r
.50071 .59496 .50374 .59653 .50932 .57002 .50633 .5675 Mtetra
.916 .758 .672 r
.50633 .5675 .50932 .57002 .5148 .5554 .51184 .55237 Mtetra
.68 .187 0 r
.51184 .55237 .5148 .5554 .52023 .56216 .51726 .5594 Mtetra
.947 .604 .334 r
.51726 .5594 .52023 .56216 .52569 .58627 .5227 .58446 Mtetra
.941 .605 .361 r
.5227 .58446 .52569 .58627 .53125 .61192 .52825 .61116 Mtetra
.856 .414 .154 r
.52825 .61116 .53125 .61192 .53685 .62099 .53386 .62069 Mtetra
.958 .819 .663 r
.53386 .62069 .53685 .62099 .54238 .60585 .5394 .60506 Mtetra
.958 .752 .583 r
.5394 .60506 .54238 .60585 .54777 .57543 .54482 .57355 Mtetra
.947 .746 .6 r
.54482 .57355 .54777 .57543 .55311 .54911 .55019 .54627 Mtetra
.83 .781 .806 r
.55019 .54627 .55311 .54911 .55859 .54352 .55567 .54047 Mtetra
.937 .564 .241 r
.55567 .54047 .55859 .54352 .56435 .56222 .56143 .55987 Mtetra
.95 .619 .36 r
.56143 .55987 .56435 .56222 .57035 .59322 .56743 .5921 Mtetra
.933 .58 .333 r
.56743 .5921 .57035 .59322 .57634 .61557 .57343 .61542 Mtetra
.629 .948 .944 r
.57343 .61542 .57634 .61557 .58201 .61286 .57911 .61274 Mtetra
.97 .772 .581 r
.57911 .61274 .58201 .61286 .58723 .58541 .58435 .58434 Mtetra
.962 .746 .564 r
.58435 .58434 .58723 .58541 .59223 .55077 .58936 .54843 Mtetra
.941 .758 .626 r
.58936 .54843 .59223 .55077 .59745 .53076 .59459 .52766 Mtetra
.607 .119 0 r
.59459 .52766 .59745 .53076 .60325 .53758 .6004 .53471 Mtetra
.952 .61 .319 r
.6004 .53471 .60325 .53758 .60965 .56664 .6068 .56488 Mtetra
.949 .614 .352 r
.6068 .56488 .60965 .56664 .61624 .59878 .61341 .59833 Mtetra
.888 .475 .218 r
.61341 .59833 .61624 .59878 .6224 .61142 .61959 .61163 Mtetra
.978 .833 .631 r
.61959 .61163 .6224 .61142 .62774 .59449 .62494 .5942 Mtetra
.973 .754 .548 r
.62494 .5942 .62774 .59449 .63242 .55846 .62963 .55689 Mtetra
.963 .748 .564 r
.62963 .55689 .63242 .55846 .63713 .52625 .63433 .52346 Mtetra
.887 .788 .745 r
.63433 .52346 .63713 .52625 .64258 .51759 .63978 .51441 Mtetra
.929 .546 .186 r
.63978 .51441 .64258 .51759 .64905 .53711 .64627 .5346 Mtetra
.955 .617 .328 r
.64627 .5346 .64905 .53711 .6562 .57176 .65345 .5706 Mtetra
.939 .584 .311 r
.65345 .5706 .6562 .57176 .66313 .59775 .66042 .59776 Mtetra
.315 .804 .857 r
.66042 .59776 .66313 .59775 .66902 .59624 .66632 .59642 Mtetra
.983 .779 .553 r
.66632 .59642 .66902 .59624 .6737 .56706 .671 .5663 Mtetra
.975 .75 .534 r
.671 .5663 .6737 .56706 .67788 .52885 .67516 .52668 Mtetra
.959 .762 .594 r
.67516 .52668 .67788 .52885 .68266 .50554 .67992 .50241 Mtetra
0 .185 .694 r
.67992 .50241 .68266 .50554 .68876 .51053 .68603 .50744 Mtetra
.949 .593 .258 r
.68603 .50744 .68876 .51053 .69612 .53945 .69342 .53737 Mtetra
.951 .604 .303 r
.69342 .53737 .69612 .53945 .70382 .57245 .70117 .57176 Mtetra
.891 .47 .174 r
.70117 .57176 .70382 .57245 .7106 .58626 .708 .58638 Mtetra
.985 .851 .625 r
.708 .58638 .7106 .58626 .71577 .5701 .71318 .56991 Mtetra
.984 .761 .523 r
.71318 .56991 .71577 .5701 .71974 .53402 .71712 .5326 Mtetra
.976 .755 .54 r
.71712 .5326 .71974 .53402 .72379 .50111 .72113 .49838 Mtetra
.914 .798 .718 r
.72113 .49838 .72379 .50111 .72914 .49097 .72646 .48765 Mtetra
.887 .478 .052 r
.72646 .48765 .72914 .49097 .73621 .50823 .73356 .50536 Mtetra
.949 .593 .252 r
.73356 .50536 .73621 .50823 .74433 .54025 .74174 .53858 Mtetra
.934 .558 .232 r
.74174 .53858 .74433 .54025 .75207 .56449 .74954 .56402 Mtetra
.362 .822 .924 r
.74954 .56402 .75207 .56449 .75813 .563 .75565 .56289 Mtetra
.99 .79 .54 r
.75565 .56289 .75813 .563 .7624 .53587 .7599 .53503 Mtetra
.985 .759 .516 r
.7599 .53503 .7624 .53587 .766 .50061 .76344 .49847 Mtetra
.97 .776 .587 r
.76344 .49847 .766 .50061 .7705 .47894 .76789 .47576 Mtetra
.031 .398 .854 r
.76789 .47576 .7705 .47894 .77688 .48272 .77426 .47937 Mtetra
.922 .54 .14 r
.77426 .47937 .77688 .48272 .78492 .50739 .78235 .50481 Mtetra
.936 .562 .197 r
.78235 .50481 .78492 .50739 .79331 .53497 .79083 .5336 Mtetra
.818 .341 0 r
.79083 .5336 .79331 .53497 .8004 .54524 .79799 .54471 Mtetra
.984 .857 .632 r
.79799 .54471 .8004 .54524 .80542 .53006 .80303 .5294 Mtetra
.99 .773 .515 r
.80303 .5294 .80542 .53006 .80905 .49899 .80661 .49735 Mtetra
.983 .771 .54 r
.80661 .49735 .80905 .49899 .81291 .47171 .81039 .46889 Mtetra
.892 .817 .767 r
.81039 .46889 .81291 .47171 .81844 .4641 .81589 .46063 Mtetra
.785 .354 0 r
.81589 .46063 .81844 .4641 .82598 .4786 .82345 .47538 Mtetra
.911 .524 .107 r
.82345 .47538 .82598 .4786 .83456 .50342 .83211 .50115 Mtetra
.871 .445 .026 r
.83211 .50115 .83456 .50342 .84247 .52002 .84011 .51876 Mtetra
.782 .936 .93 r
.84011 .51876 .84247 .52002 .84844 .51567 .84613 .51476 Mtetra
.993 .802 .546 r
.84613 .51476 .84844 .51567 .85254 .49247 .85021 .49102 Mtetra
.989 .778 .526 r
.85021 .49102 .85254 .49247 .85618 .46533 .85377 .46284 Mtetra
.962 .806 .641 r
.85377 .46284 .85618 .46533 .86102 .45063 .85854 .44727 Mtetra
0 .321 .807 r
.85854 .44727 .86102 .45063 .86786 .45553 .86538 .45201 Mtetra
.832 .42 0 r
.86538 .45201 .86786 .45553 .87622 .4742 .87379 .47126 Mtetra
.843 .422 0 r
.87379 .47126 .87622 .4742 .88456 .49189 .88223 .48986 Mtetra
0 .356 .789 r
.88223 .48986 .88456 .49189 .89137 .49486 .88911 .49342 Mtetra
.981 .847 .634 r
.88911 .49342 .89137 .49486 .8962 .48004 .89395 .47845 Mtetra
.991 .794 .54 r
.89395 .47845 .8962 .48004 .90004 .45682 .89773 .45445 Mtetra
.977 .804 .603 r
.89773 .45445 .90004 .45682 .9045 .4395 .90211 .43629 Mtetra
.701 .774 .908 r
.90211 .43629 .9045 .4395 .91071 .43736 .90829 .43376 Mtetra
.602 .172 0 r
.90829 .43376 .91071 .43736 .9186 .44912 .91621 .4458 Mtetra
.752 .323 0 r
.91621 .4458 .9186 .44912 .92699 .4644 .92469 .46177 Mtetra
0 .07 .586 r
.92469 .46177 .92699 .4644 .93437 .47091 .93215 .46888 Mtetra
.915 .887 .79 r
.93215 .46888 .93437 .47091 .93997 .46293 .93778 .46097 Mtetra
.987 .818 .588 r
.93778 .46097 .93997 .46293 .9443 .44514 .94207 .44268 Mtetra
.979 .812 .606 r
.94207 .44268 .9443 .44514 .94873 .42852 .94643 .42536 Mtetra
.863 .823 .807 r
.94643 .42536 .94873 .42852 .95449 .42226 .95215 .41868 Mtetra
0 .276 .779 r
.95215 .41868 .95449 .42226 .96186 .42798 .95953 .42448 Mtetra
.778 .759 .836 r
.38637 .58935 .38951 .59227 .39481 .58821 .39168 .58536 Mtetra
.83 .363 0 r
.39168 .58536 .39481 .58821 .39968 .59587 .39653 .59346 Mtetra
.925 .553 .287 r
.39653 .59346 .39968 .59587 .40436 .61017 .40118 .60833 Mtetra
.897 .488 .217 r
.40118 .60833 .40436 .61017 .40921 .62091 .40602 .61942 Mtetra
.629 .847 .983 r
.40602 .61942 .40921 .62091 .41451 .61947 .41133 .61786 Mtetra
.919 .772 .682 r
.41133 .61786 .41451 .61947 .4202 .60539 .41705 .60326 Mtetra
.919 .747 .652 r
.41705 .60326 .4202 .60539 .42598 .58722 .42287 .5845 Mtetra
.883 .756 .717 r
.42287 .5845 .42598 .58722 .43151 .5767 .42843 .57373 Mtetra
0 .081 .577 r
.42843 .57373 .43151 .5767 .43664 .58096 .43355 .57827 Mtetra
.934 .571 .298 r
.43355 .57827 .43664 .58096 .4415 .59756 .43838 .59555 Mtetra
.93 .576 .332 r
.43838 .59555 .4415 .59756 .44639 .61543 .44325 .6141 Mtetra
.787 .287 0 r
.44325 .6141 .44639 .61543 .45161 .62159 .44846 .6205 Mtetra
.924 .81 .715 r
.44846 .6205 .45161 .62159 .4572 .61036 .45408 .60888 Mtetra
.937 .752 .626 r
.45408 .60888 .4572 .61036 .46297 .58805 .4599 .58579 Mtetra
.925 .747 .643 r
.4599 .58579 .46297 .58805 .46864 .56881 .4656 .56592 Mtetra
.769 .768 .852 r
.4656 .56592 .46864 .56881 .47403 .56518 .471 .56223 Mtetra
.926 .541 .226 r
.471 .56223 .47403 .56518 .47918 .57989 .47613 .57754 Mtetra
.942 .606 .36 r
.47613 .57754 .47918 .57989 .48428 .60367 .48121 .60225 Mtetra
.921 .555 .312 r
.48121 .60225 .48428 .60367 .48955 .6203 .48646 .61956 Mtetra
.748 .928 .949 r
.48646 .61956 .48955 .6203 .49506 .61718 .49198 .61638 Mtetra
.951 .768 .62 r
.49198 .61638 .49506 .61718 .50071 .59496 .49767 .59339 Mtetra
.945 .744 .601 r
.49767 .59339 .50071 .59496 .50633 .5675 .50333 .56497 Mtetra
.917 .757 .668 r
.50333 .56497 .50633 .5675 .51184 .55237 .50885 .54933 Mtetra
.704 .214 0 r
.50885 .54933 .51184 .55237 .51726 .5594 .51427 .55665 Mtetra
.948 .608 .341 r
.51427 .55665 .51726 .5594 .5227 .58446 .5197 .58267 Mtetra
.942 .608 .367 r
.5197 .58267 .5227 .58446 .52825 .61116 .52524 .61044 Mtetra
.863 .427 .172 r
.52524 .61044 .52825 .61116 .53386 .62069 .53084 .62041 Mtetra
.959 .817 .658 r
.53084 .62041 .53386 .62069 .5394 .60506 .53641 .60428 Mtetra
.958 .75 .58 r
.53641 .60428 .5394 .60506 .54482 .57355 .54186 .57166 Mtetra
.947 .745 .597 r
.54186 .57166 .54482 .57355 .55019 .54627 .54725 .54341 Mtetra
.834 .781 .801 r
.54725 .54341 .55019 .54627 .55567 .54047 .55275 .53741 Mtetra
.939 .57 .251 r
.55275 .53741 .55567 .54047 .56143 .55987 .5585 .55754 Mtetra
.951 .622 .365 r
.5585 .55754 .56143 .55987 .56743 .5921 .5645 .59103 Mtetra
.934 .584 .34 r
.5645 .59103 .56743 .5921 .57343 .61542 .5705 .61533 Mtetra
.62 .947 .939 r
.5705 .61533 .57343 .61542 .57911 .61274 .57619 .61266 Mtetra
.97 .77 .578 r
.57619 .61266 .57911 .61274 .58435 .58434 .58145 .58327 Mtetra
.962 .744 .562 r
.58145 .58327 .58435 .58434 .58936 .54843 .58648 .54608 Mtetra
.942 .756 .621 r
.58648 .54608 .58936 .54843 .59459 .52766 .59172 .52455 Mtetra
.63 .143 0 r
.59172 .52455 .59459 .52766 .6004 .53471 .59753 .53185 Mtetra
.953 .613 .325 r
.59753 .53185 .6004 .53471 .6068 .56488 .60394 .56315 Mtetra
.949 .616 .357 r
.60394 .56315 .6068 .56488 .61341 .59833 .61057 .59794 Mtetra
.892 .485 .232 r
.61057 .59794 .61341 .59833 .61959 .61163 .61677 .61188 Mtetra
.979 .83 .627 r
.61677 .61188 .61959 .61163 .62494 .5942 .62213 .59393 Mtetra
.973 .753 .545 r
.62213 .59393 .62494 .5942 .62963 .55689 .62682 .5553 Mtetra
.964 .746 .561 r
.62682 .5553 .62963 .55689 .63433 .52346 .63152 .52065 Mtetra
.891 .786 .739 r
.63152 .52065 .63433 .52346 .63978 .51441 .63697 .51123 Mtetra
.932 .552 .197 r
.63697 .51123 .63978 .51441 .64627 .5346 .64347 .53212 Mtetra
.955 .62 .333 r
.64347 .53212 .64627 .5346 .65345 .5706 .65068 .5695 Mtetra
.94 .588 .318 r
.65068 .5695 .65345 .5706 .66042 .59776 .65769 .59783 Mtetra
.264 .772 .829 r
.65769 .59783 .66042 .59776 .66632 .59642 .66361 .59664 Mtetra
.983 .777 .55 r
.66361 .59664 .66632 .59642 .671 .5663 .66828 .56554 Mtetra
.975 .748 .531 r
.66828 .56554 .671 .5663 .67516 .52668 .67243 .5245 Mtetra
.96 .76 .589 r
.67243 .5245 .67516 .52668 .67992 .50241 .67717 .49926 Mtetra
0 .177 .688 r
.67717 .49926 .67992 .50241 .68603 .50744 .68328 .50435 Mtetra
.95 .596 .266 r
.68328 .50435 .68603 .50744 .69342 .53737 .69071 .53534 Mtetra
.952 .607 .309 r
.69071 .53534 .69342 .53737 .70117 .57176 .69852 .57112 Mtetra
.896 .482 .19 r
.69852 .57112 .70117 .57176 .708 .58638 .70539 .58656 Mtetra
.986 .85 .621 r
.70539 .58656 .708 .58638 .71318 .56991 .71057 .56974 Mtetra
.984 .759 .52 r
.71057 .56974 .71318 .56991 .71712 .5326 .71449 .53118 Mtetra
.976 .753 .536 r
.71449 .53118 .71712 .5326 .72113 .49838 .71845 .49565 Mtetra
.918 .796 .709 r
.71845 .49565 .72113 .49838 .72646 .48765 .72377 .48432 Mtetra
.891 .485 .064 r
.72377 .48432 .72646 .48765 .73356 .50536 .73089 .50249 Mtetra
.95 .597 .259 r
.73089 .50249 .73356 .50536 .74174 .53858 .73913 .53695 Mtetra
.937 .564 .242 r
.73913 .53695 .74174 .53858 .74954 .56402 .74701 .5636 Mtetra
.279 .773 .894 r
.74701 .5636 .74954 .56402 .75565 .56289 .75315 .56282 Mtetra
.99 .788 .536 r
.75315 .56282 .75565 .56289 .7599 .53503 .75739 .53422 Mtetra
.985 .757 .513 r
.75739 .53422 .7599 .53503 .76344 .49847 .76087 .49634 Mtetra
.971 .773 .58 r
.76087 .49634 .76344 .49847 .76789 .47576 .76527 .47258 Mtetra
.057 .417 .865 r
.76527 .47258 .76789 .47576 .77426 .47937 .77164 .47601 Mtetra
.925 .546 .149 r
.77164 .47601 .77426 .47937 .78235 .50481 .77978 .50222 Mtetra
.938 .568 .206 r
.77978 .50222 .78235 .50481 .79083 .5336 .78834 .53225 Mtetra
.834 .367 0 r
.78834 .53225 .79083 .5336 .79799 .54471 .79558 .54421 Mtetra
.985 .857 .63 r
.79558 .54421 .79799 .54471 .80303 .5294 .80063 .52877 Mtetra
.99 .771 .511 r
.80063 .52877 .80303 .5294 .80661 .49735 .80415 .49572 Mtetra
.984 .769 .534 r
.80415 .49572 .80661 .49735 .81039 .46889 .80787 .46607 Mtetra
.902 .816 .753 r
.80787 .46607 .81039 .46889 .81589 .46063 .81332 .45716 Mtetra
.791 .361 0 r
.81332 .45716 .81589 .46063 .82345 .47538 .8209 .47214 Mtetra
.915 .531 .118 r
.8209 .47214 .82345 .47538 .83211 .50115 .82964 .49887 Mtetra
.88 .46 .047 r
.82964 .49887 .83211 .50115 .84011 .51876 .83774 .51751 Mtetra
.756 .935 .944 r
.83774 .51751 .84011 .51876 .84613 .51476 .84381 .51388 Mtetra
.993 .8 .542 r
.84381 .51388 .84613 .51476 .85021 .49102 .84787 .4896 Mtetra
.99 .775 .521 r
.84787 .4896 .85021 .49102 .85377 .46284 .85136 .46036 Mtetra
.966 .803 .63 r
.85136 .46036 .85377 .46284 .85854 .44727 .85606 .44392 Mtetra
0 .338 .818 r
.85606 .44392 .85854 .44727 .86538 .45201 .86288 .44847 Mtetra
.84 .43 0 r
.86288 .44847 .86538 .45201 .87379 .47126 .87135 .4683 Mtetra
.853 .436 0 r
.87135 .4683 .87379 .47126 .88223 .48986 .87989 .48783 Mtetra
0 .282 .731 r
.87989 .48783 .88223 .48986 .88911 .49342 .88684 .49199 Mtetra
.982 .847 .632 r
.88684 .49199 .88911 .49342 .89395 .47845 .89169 .47688 Mtetra
.992 .791 .535 r
.89169 .47688 .89395 .47845 .89773 .45445 .89542 .45211 Mtetra
.979 .801 .593 r
.89542 .45211 .89773 .45445 .90211 .43629 .89972 .43309 Mtetra
.724 .783 .9 r
.89972 .43309 .90211 .43629 .90829 .43376 .90586 .43015 Mtetra
.613 .183 0 r
.90586 .43015 .90829 .43376 .91621 .4458 .91381 .44244 Mtetra
.766 .34 0 r
.91381 .44244 .91621 .4458 .92469 .46177 .92237 .45911 Mtetra
0 .022 .541 r
.92237 .45911 .92469 .46177 .93215 .46888 .92992 .46685 Mtetra
.913 .888 .793 r
.92992 .46685 .93215 .46888 .93778 .46097 .93558 .45903 Mtetra
.988 .816 .582 r
.93558 .45903 .93778 .46097 .94207 .44268 .93983 .44024 Mtetra
.981 .809 .597 r
.93983 .44024 .94207 .44268 .94643 .42536 .94412 .42222 Mtetra
.873 .825 .797 r
.94412 .42222 .94643 .42536 .95215 .41868 .9498 .41508 Mtetra
0 .271 .776 r
.9498 .41508 .95215 .41868 .95953 .42448 .95719 .42095 Mtetra
.776 .759 .838 r
.38323 .58643 .38637 .58935 .39168 .58536 .38854 .58249 Mtetra
.847 .389 .007 r
.38854 .58249 .39168 .58536 .39653 .59346 .39337 .59104 Mtetra
.927 .559 .298 r
.39337 .59104 .39653 .59346 .40118 .60833 .39799 .6065 Mtetra
.9 .496 .229 r
.39799 .6065 .40118 .60833 .40602 .61942 .40281 .61795 Mtetra
.641 .851 .98 r
.40281 .61795 .40602 .61942 .41133 .61786 .40813 .61628 Mtetra
.921 .77 .678 r
.40813 .61628 .41133 .61786 .41705 .60326 .4139 .60114 Mtetra
.92 .746 .649 r
.4139 .60114 .41705 .60326 .42287 .5845 .41976 .58178 Mtetra
.885 .756 .714 r
.41976 .58178 .42287 .5845 .42843 .57373 .42533 .57075 Mtetra
0 .033 .528 r
.42533 .57075 .42843 .57373 .43355 .57827 .43045 .57557 Mtetra
.936 .577 .308 r
.43045 .57557 .43355 .57827 .43838 .59555 .43525 .59355 Mtetra
.931 .581 .34 r
.43525 .59355 .43838 .59555 .44325 .6141 .44009 .61281 Mtetra
.797 .304 .004 r
.44009 .61281 .44325 .6141 .44846 .6205 .4453 .61945 Mtetra
.927 .809 .71 r
.4453 .61945 .44846 .6205 .45408 .60888 .45095 .60742 Mtetra
.938 .751 .623 r
.45095 .60742 .45408 .60888 .4599 .58579 .45681 .58354 Mtetra
.926 .746 .639 r
.45681 .58354 .4599 .58579 .4656 .56592 .46255 .56303 Mtetra
.771 .769 .851 r
.46255 .56303 .4656 .56592 .471 .56223 .46796 .55928 Mtetra
.929 .549 .239 r
.46796 .55928 .471 .56223 .47613 .57754 .47307 .5752 Mtetra
.943 .609 .366 r
.47307 .5752 .47613 .57754 .48121 .60225 .47812 .60086 Mtetra
.923 .561 .321 r
.47812 .60086 .48121 .60225 .48646 .61956 .48336 .61886 Mtetra
.751 .932 .947 r
.48336 .61886 .48646 .61956 .49198 .61638 .48889 .61562 Mtetra
.951 .767 .617 r
.48889 .61562 .49198 .61638 .49767 .59339 .49461 .59184 Mtetra
.945 .743 .598 r
.49461 .59184 .49767 .59339 .50333 .56497 .50032 .56244 Mtetra
.918 .756 .664 r
.50032 .56244 .50333 .56497 .50885 .54933 .50586 .54628 Mtetra
.727 .241 0 r
.50586 .54628 .50885 .54933 .51427 .55665 .51128 .5539 Mtetra
.948 .612 .348 r
.51128 .5539 .51427 .55665 .5197 .58267 .51669 .58092 Mtetra
.942 .611 .373 r
.51669 .58092 .5197 .58267 .52524 .61044 .52221 .60978 Mtetra
.868 .439 .189 r
.52221 .60978 .52524 .61044 .53084 .62041 .52781 .6202 Mtetra
.961 .815 .654 r
.52781 .6202 .53084 .62041 .53641 .60428 .53341 .60354 Mtetra
.959 .749 .577 r
.53341 .60354 .53641 .60428 .54186 .57166 .53889 .56977 Mtetra
.948 .743 .593 r
.53889 .56977 .54186 .57166 .54725 .54341 .54431 .54054 Mtetra
.837 .78 .797 r
.54431 .54054 .54725 .54341 .55275 .53741 .54981 .53435 Mtetra
.941 .575 .262 r
.54981 .53435 .55275 .53741 .5585 .55754 .55556 .55525 Mtetra
.951 .624 .371 r
.55556 .55525 .5585 .55754 .5645 .59103 .56155 .59002 Mtetra
.934 .588 .347 r
.56155 .59002 .5645 .59103 .5705 .61533 .56755 .6153 Mtetra
.61 .947 .933 r
.56755 .6153 .5705 .61533 .57619 .61266 .57326 .61262 Mtetra
.97 .768 .574 r
.57326 .61262 .57619 .61266 .58145 .58327 .57854 .58221 Mtetra
.962 .742 .559 r
.57854 .58221 .58145 .58327 .58648 .54608 .58359 .5437 Mtetra
.943 .754 .618 r
.58359 .5437 .58648 .54608 .59172 .52455 .58884 .52143 Mtetra
.654 .168 0 r
.58884 .52143 .59172 .52455 .59753 .53185 .59466 .529 Mtetra
.954 .616 .332 r
.59466 .529 .59753 .53185 .60394 .56315 .60108 .56148 Mtetra
.949 .619 .363 r
.60108 .56148 .60394 .56315 .61057 .59794 .60771 .59764 Mtetra
.895 .494 .245 r
.60771 .59764 .61057 .59794 .61677 .61188 .61393 .61221 Mtetra
.98 .828 .622 r
.61393 .61221 .61677 .61188 .62213 .59393 .6193 .59369 Mtetra
.973 .751 .542 r
.6193 .59369 .62213 .59393 .62682 .5553 .62399 .5537 Mtetra
.964 .744 .558 r
.62399 .5537 .62682 .5553 .63152 .52065 .6287 .51782 Mtetra
.894 .785 .733 r
.6287 .51782 .63152 .52065 .63697 .51123 .63415 .50804 Mtetra
.935 .558 .207 r
.63415 .50804 .63697 .51123 .64347 .53212 .64067 .52967 Mtetra
.956 .622 .339 r
.64067 .52967 .64347 .53212 .65068 .5695 .64791 .56846 Mtetra
.941 .592 .325 r
.64791 .56846 .65068 .5695 .65769 .59783 .65494 .59798 Mtetra
.212 .738 .794 r
.65494 .59798 .65769 .59783 .66361 .59664 .66089 .59692 Mtetra
.983 .775 .546 r
.66089 .59692 .66361 .59664 .66828 .56554 .66556 .56479 Mtetra
.975 .746 .529 r
.66556 .56479 .66828 .56554 .67243 .5245 .66968 .52229 Mtetra
.96 .757 .585 r
.66968 .52229 .67243 .5245 .67717 .49926 .67441 .4961 Mtetra
0 .166 .679 r
.67441 .4961 .67717 .49926 .68328 .50435 .68053 .50128 Mtetra
.952 .6 .273 r
.68053 .50128 .68328 .50435 .69071 .53534 .688 .53335 Mtetra
.953 .61 .315 r
.688 .53335 .69071 .53534 .69852 .57112 .69585 .57056 Mtetra
.901 .493 .206 r
.69585 .57056 .69852 .57112 .70539 .58656 .70277 .58681 Mtetra
.987 .849 .617 r
.70277 .58681 .70539 .58656 .71057 .56974 .70796 .56962 Mtetra
.984 .758 .517 r
.70796 .56962 .71057 .56974 .71449 .53118 .71184 .52976 Mtetra
.976 .751 .533 r
.71184 .52976 .71449 .53118 .71845 .49565 .71577 .49289 Mtetra
.922 .794 .701 r
.71577 .49289 .71845 .49565 .72377 .48432 .72107 .48099 Mtetra
.896 .492 .075 r
.72107 .48099 .72377 .48432 .73089 .50249 .72821 .49964 Mtetra
.952 .6 .266 r
.72821 .49964 .73089 .50249 .73913 .53695 .73652 .53536 Mtetra
.939 .569 .251 r
.73652 .53536 .73913 .53695 .74701 .5636 .74446 .56324 Mtetra
.187 .714 .852 r
.74446 .56324 .74701 .5636 .75315 .56282 .75065 .5628 Mtetra
.991 .786 .533 r
.75065 .5628 .75315 .56282 .75739 .53422 .75486 .53343 Mtetra
.985 .755 .509 r
.75486 .53343 .75739 .53422 .76087 .49634 .7583 .4942 Mtetra
.972 .771 .574 r
.7583 .4942 .76087 .49634 .76527 .47258 .76264 .46939 Mtetra
.082 .434 .874 r
.76264 .46939 .76527 .47258 .77164 .47601 .769 .47265 Mtetra
.928 .551 .158 r
.769 .47265 .77164 .47601 .77978 .50222 .77719 .49966 Mtetra
.941 .573 .215 r
.77719 .49966 .77978 .50222 .78834 .53225 .78584 .53093 Mtetra
.849 .391 .02 r
.78584 .53093 .78834 .53225 .79558 .54421 .79315 .54376 Mtetra
.986 .858 .628 r
.79315 .54376 .79558 .54421 .80063 .52877 .79821 .52819 Mtetra
.99 .77 .507 r
.79821 .52819 .80063 .52877 .80415 .49572 .80169 .49412 Mtetra
.984 .766 .529 r
.80169 .49412 .80415 .49572 .80787 .46607 .80534 .46326 Mtetra
.91 .815 .74 r
.80534 .46326 .80787 .46607 .81332 .45716 .81075 .45367 Mtetra
.797 .368 0 r
.81075 .45367 .81332 .45716 .8209 .47214 .81835 .4689 Mtetra
.919 .537 .128 r
.81835 .4689 .8209 .47214 .82964 .49887 .82716 .4966 Mtetra
.889 .473 .066 r
.82716 .4966 .82964 .49887 .83774 .51751 .83536 .51629 Mtetra
.724 .932 .958 r
.83536 .51629 .83774 .51751 .84381 .51388 .84148 .51304 Mtetra
.993 .799 .539 r
.84148 .51304 .84381 .51388 .84787 .4896 .84552 .48822 Mtetra
.99 .773 .515 r
.84552 .48822 .84787 .4896 .85136 .46036 .84893 .4579 Mtetra
.969 .8 .62 r
.84893 .4579 .85136 .46036 .85606 .44392 .85356 .44056 Mtetra
0 .356 .83 r
.85356 .44056 .85606 .44392 .86288 .44847 .86037 .44491 Mtetra
.846 .439 0 r
.86037 .44491 .86288 .44847 .87135 .4683 .8689 .46532 Mtetra
.862 .449 0 r
.8689 .46532 .87135 .4683 .87989 .48783 .87753 .4858 Mtetra
0 .206 .668 r
.87753 .4858 .87989 .48783 .88684 .49199 .88457 .49059 Mtetra
.983 .847 .63 r
.88457 .49059 .88684 .49199 .89169 .47688 .88943 .47535 Mtetra
.992 .789 .529 r
.88943 .47535 .89169 .47688 .89542 .45211 .89309 .44981 Mtetra
.981 .799 .584 r
.89309 .44981 .89542 .45211 .89972 .43309 .89732 .4299 Mtetra
.746 .792 .89 r
.89732 .4299 .89972 .43309 .90586 .43015 .90342 .42652 Mtetra
.624 .194 0 r
.90342 .42652 .90586 .43015 .91381 .44244 .9114 .43906 Mtetra
.779 .355 0 r
.9114 .43906 .91381 .44244 .92237 .45911 .92005 .45644 Mtetra
0 0 .495 r
.92005 .45644 .92237 .45911 .92992 .46685 .92769 .46483 Mtetra
.911 .89 .797 r
.92769 .46483 .92992 .46685 .93558 .45903 .93337 .45711 Mtetra
.989 .815 .576 r
.93337 .45711 .93558 .45903 .93983 .44024 .93758 .43784 Mtetra
.983 .807 .588 r
.93758 .43784 .93983 .44024 .94412 .42222 .94181 .41909 Mtetra
.884 .826 .786 r
.94181 .41909 .94412 .42222 .9498 .41508 .94743 .41148 Mtetra
0 .267 .773 r
.94743 .41148 .9498 .41508 .95719 .42095 .95485 .41739 Mtetra
.774 .759 .84 r
.38007 .58349 .38323 .58643 .38854 .58249 .38539 .57961 Mtetra
.86 .411 .039 r
.38539 .57961 .38854 .58249 .39337 .59104 .3902 .5886 Mtetra
.929 .565 .308 r
.3902 .5886 .39337 .59104 .39799 .6065 .39478 .60465 Mtetra
.902 .503 .239 r
.39478 .60465 .39799 .6065 .40281 .61795 .39959 .61647 Mtetra
.652 .854 .977 r
.39959 .61647 .40281 .61795 .40813 .61628 .40492 .61469 Mtetra
.922 .768 .674 r
.40492 .61469 .40813 .61628 .4139 .60114 .41072 .59902 Mtetra
.921 .745 .646 r
.41072 .59902 .4139 .60114 .41976 .58178 .41663 .57906 Mtetra
.887 .755 .711 r
.41663 .57906 .41976 .58178 .42533 .57075 .42223 .56776 Mtetra
.519 .012 0 r
.42223 .56776 .42533 .57075 .43045 .57557 .42734 .57286 Mtetra
.937 .582 .317 r
.42734 .57286 .43045 .57557 .43525 .59355 .43211 .59154 Mtetra
.933 .585 .347 r
.43211 .59154 .43525 .59355 .44009 .61281 .43692 .6115 Mtetra
.806 .319 .022 r
.43692 .6115 .44009 .61281 .4453 .61945 .44213 .61839 Mtetra
.928 .806 .705 r
.44213 .61839 .4453 .61945 .45095 .60742 .4478 .60595 Mtetra
.939 .749 .62 r
.4478 .60595 .45095 .60742 .45681 .58354 .45371 .58128 Mtetra
.926 .744 .636 r
.45371 .58128 .45681 .58354 .46255 .56303 .45949 .56012 Mtetra
.773 .769 .849 r
.45949 .56012 .46255 .56303 .46796 .55928 .46491 .55631 Mtetra
.932 .556 .251 r
.46491 .55631 .46796 .55928 .47307 .5752 .47 .57285 Mtetra
.944 .612 .372 r
.47 .57285 .47307 .5752 .47812 .60086 .47502 .59947 Mtetra
.924 .566 .329 r
.47502 .59947 .47812 .60086 .48336 .61886 .48024 .61815 Mtetra
.756 .932 .945 r
.48024 .61815 .48336 .61886 .48889 .61562 .48578 .61485 Mtetra
.952 .764 .614 r
.48578 .61485 .48889 .61562 .49461 .59184 .49154 .59027 Mtetra
.946 .742 .596 r
.49154 .59027 .49461 .59184 .50032 .56244 .49729 .55988 Mtetra
.92 .754 .66 r
.49729 .55988 .50032 .56244 .50586 .54628 .50286 .54321 Mtetra
.748 .266 0 r
.50286 .54321 .50586 .54628 .51128 .5539 .50828 .55115 Mtetra
.949 .615 .354 r
.50828 .55115 .51128 .5539 .51669 .58092 .51367 .57917 Mtetra
.943 .614 .378 r
.51367 .57917 .51669 .58092 .52221 .60978 .51916 .60912 Mtetra
.873 .449 .202 r
.51916 .60912 .52221 .60978 .52781 .6202 .52477 .61997 Mtetra
.961 .812 .649 r
.52477 .61997 .52781 .6202 .53341 .60354 .53039 .60277 Mtetra
.959 .747 .575 r
.53039 .60277 .53341 .60354 .53889 .56977 .53591 .56785 Mtetra
.948 .742 .591 r
.53591 .56785 .53889 .56977 .54431 .54054 .54135 .53764 Mtetra
.84 .779 .793 r
.54135 .53764 .54431 .54054 .54981 .53435 .54687 .53128 Mtetra
.943 .58 .271 r
.54687 .53128 .54981 .53435 .55556 .55525 .55261 .55296 Mtetra
.951 .627 .375 r
.55261 .55296 .55556 .55525 .56155 .59002 .55859 .58902 Mtetra
.935 .592 .353 r
.55859 .58902 .56155 .59002 .56755 .6153 .56459 .61529 Mtetra
.613 .948 .932 r
.56459 .61529 .56755 .6153 .57326 .61262 .57031 .61257 Mtetra
.97 .766 .572 r
.57031 .61257 .57326 .61262 .57854 .58221 .57561 .58112 Mtetra
.962 .741 .557 r
.57561 .58112 .57854 .58221 .58359 .5437 .58068 .54129 Mtetra
.944 .752 .614 r
.58068 .54129 .58359 .5437 .58884 .52143 .58595 .51828 Mtetra
.678 .195 0 r
.58595 .51828 .58884 .52143 .59466 .529 .59177 .52616 Mtetra
.954 .619 .337 r
.59177 .52616 .59466 .529 .60108 .56148 .59819 .55983 Mtetra
.95 .621 .367 r
.59819 .55983 .60108 .56148 .60771 .59764 .60484 .59735 Mtetra
.898 .501 .255 r
.60484 .59735 .60771 .59764 .61393 .61221 .61107 .61254 Mtetra
.98 .825 .618 r
.61107 .61254 .61393 .61221 .6193 .59369 .61646 .59343 Mtetra
.973 .749 .54 r
.61646 .59343 .6193 .59369 .62399 .5537 .62116 .55206 Mtetra
.964 .742 .555 r
.62116 .55206 .62399 .5537 .6287 .51782 .62586 .51495 Mtetra
.896 .783 .728 r
.62586 .51495 .6287 .51782 .63415 .50804 .63132 .50484 Mtetra
.937 .564 .217 r
.63132 .50484 .63415 .50804 .64067 .52967 .63785 .52724 Mtetra
.956 .625 .344 r
.63785 .52724 .64067 .52967 .64791 .56846 .64512 .56746 Mtetra
.942 .595 .331 r
.64512 .56746 .64791 .56846 .65494 .59798 .65219 .59814 Mtetra
.184 .718 .779 r
.65219 .59814 .65494 .59798 .66089 .59692 .65815 .59719 Mtetra
.983 .773 .544 r
.65815 .59719 .66089 .59692 .66556 .56479 .66281 .56401 Mtetra
.975 .744 .526 r
.66281 .56401 .66556 .56479 .66968 .52229 .66692 .52005 Mtetra
.961 .755 .581 r
.66692 .52005 .66968 .52229 .67441 .4961 .67164 .49291 Mtetra
0 .153 .667 r
.67164 .49291 .67441 .4961 .68053 .50128 .67777 .49821 Mtetra
.953 .603 .279 r
.67777 .49821 .68053 .50128 .688 .53335 .68527 .53138 Mtetra
.954 .613 .32 r
.68527 .53138 .688 .53335 .69585 .57056 .69318 .57001 Mtetra
.905 .501 .217 r
.69318 .57001 .69585 .57056 .70277 .58681 .70013 .58706 Mtetra
.987 .846 .614 r
.70013 .58706 .70277 .58681 .70796 .56962 .70533 .56947 Mtetra
.983 .755 .515 r
.70533 .56947 .70796 .56962 .71184 .52976 .70918 .52831 Mtetra
.976 .749 .53 r
.70918 .52831 .71184 .52976 .71577 .49289 .71308 .49011 Mtetra
.925 .791 .693 r
.71308 .49011 .71577 .49289 .72107 .48099 .71836 .47764 Mtetra
.9 .499 .086 r
.71836 .47764 .72107 .48099 .72821 .49964 .72552 .4968 Mtetra
.953 .604 .272 r
.72552 .4968 .72821 .49964 .73652 .53536 .73389 .53378 Mtetra
.941 .575 .259 r
.73389 .53378 .73652 .53536 .74446 .56324 .74191 .56288 Mtetra
.113 .661 .818 r
.74191 .56288 .74446 .56324 .75065 .5628 .74812 .56278 Mtetra
.991 .784 .53 r
.74812 .56278 .75065 .5628 .75486 .53343 .75232 .53262 Mtetra
.984 .753 .506 r
.75232 .53262 .75486 .53343 .7583 .4942 .7557 .49205 Mtetra
.972 .768 .569 r
.7557 .49205 .7583 .4942 .76264 .46939 .76001 .46618 Mtetra
.106 .451 .883 r
.76001 .46618 .76264 .46939 .769 .47265 .76636 .46929 Mtetra
.93 .555 .166 r
.76636 .46929 .769 .47265 .77719 .49966 .7746 .49709 Mtetra
.943 .578 .223 r
.7746 .49709 .77719 .49966 .78584 .53093 .78333 .52961 Mtetra
.86 .41 .043 r
.78333 .52961 .78584 .53093 .79315 .54376 .79071 .5433 Mtetra
.986 .857 .627 r
.79071 .5433 .79315 .54376 .79821 .52819 .79579 .5276 Mtetra
.99 .767 .504 r
.79579 .5276 .79821 .52819 .80169 .49412 .79922 .49252 Mtetra
.984 .764 .524 r
.79922 .49252 .80169 .49412 .80534 .46326 .8028 .46044 Mtetra
.917 .812 .727 r
.8028 .46044 .80534 .46326 .81075 .45367 .80816 .45018 Mtetra
.802 .374 0 r
.80816 .45018 .81075 .45367 .81835 .4689 .81578 .46565 Mtetra
.922 .543 .137 r
.81578 .46565 .81835 .4689 .82716 .4966 .82468 .49432 Mtetra
.895 .485 .082 r
.82468 .49432 .82716 .4966 .83536 .51629 .83297 .51505 Mtetra
.689 .922 .97 r
.83297 .51505 .83536 .51629 .84148 .51304 .83914 .51219 Mtetra
.993 .797 .536 r
.83914 .51219 .84148 .51304 .84552 .48822 .84315 .48684 Mtetra
.99 .77 .511 r
.84315 .48684 .84552 .48822 .84893 .4579 .8465 .45545 Mtetra
.971 .797 .611 r
.8465 .45545 .84893 .4579 .85356 .44056 .85106 .4372 Mtetra
.022 .377 .842 r
.85106 .4372 .85356 .44056 .86037 .44491 .85785 .44133 Mtetra
.852 .447 0 r
.85785 .44133 .86037 .44491 .8689 .46532 .86644 .46232 Mtetra
.87 .461 .011 r
.86644 .46232 .8689 .46532 .87753 .4858 .87517 .48373 Mtetra
0 .138 .609 r
.87517 .48373 .87753 .4858 .88457 .49059 .88228 .48918 Mtetra
.983 .847 .63 r
.88228 .48918 .88457 .49059 .88943 .47535 .88715 .47383 Mtetra
.993 .787 .524 r
.88715 .47383 .88943 .47535 .89309 .44981 .89076 .44751 Mtetra
.983 .795 .576 r
.89076 .44751 .89309 .44981 .89732 .4299 .89491 .42671 Mtetra
.766 .799 .879 r
.89491 .42671 .89732 .4299 .90342 .42652 .90097 .42288 Mtetra
.633 .203 0 r
.90097 .42288 .90342 .42652 .9114 .43906 .90898 .43564 Mtetra
.79 .37 0 r
.90898 .43564 .9114 .43906 .92005 .45644 .91771 .45374 Mtetra
.543 .067 0 r
.91771 .45374 .92005 .45644 .92769 .46483 .92544 .46278 Mtetra
.908 .89 .802 r
.92544 .46278 .92769 .46483 .93337 .45711 .93116 .4552 Mtetra
.99 .813 .572 r
.93116 .4552 .93337 .45711 .93758 .43784 .93533 .43545 Mtetra
.985 .804 .58 r
.93533 .43545 .93758 .43784 .94181 .41909 .93949 .41598 Mtetra
.894 .827 .774 r
.93949 .41598 .94181 .41909 .94743 .41148 .94506 .40786 Mtetra
0 .265 .771 r
.94506 .40786 .94743 .41148 .95485 .41739 .95248 .4138 Mtetra
.772 .759 .841 r
.3769 .58055 .38007 .58349 .38539 .57961 .38222 .57673 Mtetra
.872 .43 .068 r
.38222 .57673 .38539 .57961 .3902 .5886 .38701 .58616 Mtetra
.93 .571 .317 r
.38701 .58616 .3902 .5886 .39478 .60465 .39157 .60279 Mtetra
.905 .51 .248 r
.39157 .60279 .39478 .60465 .39959 .61647 .39635 .61499 Mtetra
.663 .856 .973 r
.39635 .61499 .39959 .61647 .40492 .61469 .4017 .6131 Mtetra
.923 .766 .67 r
.4017 .6131 .40492 .61469 .41072 .59902 .40754 .5969 Mtetra
.922 .744 .643 r
.40754 .5969 .41072 .59902 .41663 .57906 .41349 .57633 Mtetra
.888 .754 .708 r
.41349 .57633 .41663 .57906 .42223 .56776 .41912 .56476 Mtetra
.562 .054 0 r
.41912 .56476 .42223 .56776 .42734 .57286 .42422 .57013 Mtetra
.938 .587 .325 r
.42422 .57013 .42734 .57286 .43211 .59154 .42896 .58952 Mtetra
.933 .589 .353 r
.42896 .58952 .43211 .59154 .43692 .6115 .43374 .6102 Mtetra
.815 .334 .04 r
.43374 .6102 .43692 .6115 .44213 .61839 .43893 .61733 Mtetra
.929 .804 .701 r
.43893 .61733 .44213 .61839 .4478 .60595 .44464 .60449 Mtetra
.939 .748 .617 r
.44464 .60449 .4478 .60595 .45371 .58128 .4506 .57901 Mtetra
.927 .743 .633 r
.4506 .57901 .45371 .58128 .45949 .56012 .45641 .5572 Mtetra
.774 .769 .848 r
.45641 .5572 .45949 .56012 .46491 .55631 .46184 .55333 Mtetra
.934 .562 .263 r
.46184 .55333 .46491 .55631 .47 .57285 .46692 .57049 Mtetra
.944 .615 .377 r
.46692 .57049 .47 .57285 .47502 .59947 .4719 .59808 Mtetra
.926 .57 .335 r
.4719 .59808 .47502 .59947 .48024 .61815 .4771 .61746 Mtetra
.761 .933 .942 r
.4771 .61746 .48024 .61815 .48578 .61485 .48266 .61408 Mtetra
.952 .762 .611 r
.48266 .61408 .48578 .61485 .49154 .59027 .48846 .58869 Mtetra
.946 .74 .593 r
.48846 .58869 .49154 .59027 .49729 .55988 .49425 .55731 Mtetra
.921 .753 .657 r
.49425 .55731 .49729 .55988 .50286 .54321 .49985 .54013 Mtetra
.768 .29 0 r
.49985 .54013 .50286 .54321 .50828 .55115 .50526 .5484 Mtetra
.949 .618 .36 r
.50526 .5484 .50828 .55115 .51367 .57917 .51063 .57744 Mtetra
.943 .616 .382 r
.51063 .57744 .51367 .57917 .51916 .60912 .5161 .60848 Mtetra
.877 .458 .213 r
.5161 .60848 .51916 .60912 .52477 .61997 .52171 .61976 Mtetra
.962 .809 .645 r
.52171 .61976 .52477 .61997 .53039 .60277 .52735 .60199 Mtetra
.959 .745 .572 r
.52735 .60199 .53039 .60277 .53591 .56785 .53291 .5659 Mtetra
.948 .74 .588 r
.53291 .5659 .53591 .56785 .54135 .53764 .53838 .53471 Mtetra
.842 .779 .79 r
.53838 .53471 .54135 .53764 .54687 .53128 .54391 .52821 Mtetra
.944 .585 .28 r
.54391 .52821 .54687 .53128 .55261 .55296 .54965 .55069 Mtetra
.952 .629 .379 r
.54965 .55069 .55261 .55296 .55859 .58902 .55561 .58806 Mtetra
.936 .595 .358 r
.55561 .58806 .55859 .58902 .56459 .61529 .56161 .6153 Mtetra
.618 .95 .93 r
.56161 .6153 .56459 .61529 .57031 .61257 .56734 .61252 Mtetra
.97 .763 .569 r
.56734 .61252 .57031 .61257 .57561 .58112 .57267 .58 Mtetra
.962 .739 .555 r
.57267 .58 .57561 .58112 .58068 .54129 .57777 .53885 Mtetra
.944 .75 .611 r
.57777 .53885 .58068 .54129 .58595 .51828 .58305 .51512 Mtetra
.701 .221 0 r
.58305 .51512 .58595 .51828 .59177 .52616 .58887 .52334 Mtetra
.955 .622 .343 r
.58887 .52334 .59177 .52616 .59819 .55983 .5953 .55822 Mtetra
.95 .624 .371 r
.5953 .55822 .59819 .55983 .60484 .59735 .60195 .59711 Mtetra
.9 .508 .264 r
.60195 .59711 .60484 .59735 .61107 .61254 .6082 .61288 Mtetra
.98 .821 .613 r
.6082 .61288 .61107 .61254 .61646 .59343 .6136 .59314 Mtetra
.972 .747 .538 r
.6136 .59314 .61646 .59343 .62116 .55206 .6183 .55037 Mtetra
.964 .741 .553 r
.6183 .55037 .62116 .55206 .62586 .51495 .62301 .51205 Mtetra
.898 .781 .724 r
.62301 .51205 .62586 .51495 .63132 .50484 .62848 .50165 Mtetra
.94 .569 .227 r
.62848 .50165 .63132 .50484 .63785 .52724 .63503 .52484 Mtetra
.957 .627 .348 r
.63503 .52484 .63785 .52724 .64512 .56746 .64232 .5665 Mtetra
.943 .598 .336 r
.64232 .5665 .64512 .56746 .65219 .59814 .64941 .59834 Mtetra
.16 .7 .763 r
.64941 .59834 .65219 .59814 .65815 .59719 .65539 .59745 Mtetra
.982 .77 .541 r
.65539 .59745 .65815 .59719 .66281 .56401 .66005 .56319 Mtetra
.974 .742 .524 r
.66005 .56319 .66281 .56401 .66692 .52005 .66415 .51777 Mtetra
.961 .753 .577 r
.66415 .51777 .66692 .52005 .67164 .49291 .66885 .48971 Mtetra
0 .135 .652 r
.66885 .48971 .67164 .49291 .67777 .49821 .67499 .49515 Mtetra
.954 .607 .285 r
.67499 .49515 .67777 .49821 .68527 .53138 .68253 .52945 Mtetra
.954 .616 .325 r
.68253 .52945 .68527 .53138 .69318 .57001 .69049 .5695 Mtetra
.908 .509 .228 r
.69049 .5695 .69318 .57001 .70013 .58706 .69748 .58732 Mtetra
.988 .844 .61 r
.69748 .58732 .70013 .58706 .70533 .56947 .70268 .56931 Mtetra
.983 .753 .512 r
.70268 .56931 .70533 .56947 .70918 .52831 .70651 .52683 Mtetra
.976 .747 .527 r
.70651 .52683 .70918 .52831 .71308 .49011 .71037 .48731 Mtetra
.928 .789 .686 r
.71037 .48731 .71308 .49011 .71836 .47764 .71564 .47429 Mtetra
.904 .505 .096 r
.71564 .47429 .71836 .47764 .72552 .4968 .72283 .49398 Mtetra
.954 .607 .278 r
.72283 .49398 .72552 .4968 .73389 .53378 .73125 .53223 Mtetra
.942 .579 .266 r
.73125 .53223 .73389 .53378 .74191 .56288 .73934 .56255 Mtetra
.038 .604 .777 r
.73934 .56255 .74191 .56288 .74812 .56278 .74559 .56276 Mtetra
.99 .782 .528 r
.74559 .56276 .74812 .56278 .75232 .53262 .74977 .53179 Mtetra
.984 .751 .504 r
.74977 .53179 .75232 .53262 .7557 .49205 .7531 .48988 Mtetra
.973 .765 .564 r
.7531 .48988 .7557 .49205 .76001 .46618 .75736 .46297 Mtetra
.129 .466 .891 r
.75736 .46297 .76001 .46618 .76636 .46929 .7637 .46592 Mtetra
.933 .56 .174 r
.7637 .46592 .76636 .46929 .7746 .49709 .77199 .49452 Mtetra
.945 .582 .23 r
.77199 .49452 .7746 .49709 .78333 .52961 .7808 .5283 Mtetra
.87 .427 .064 r
.7808 .5283 .78333 .52961 .79071 .5433 .78825 .54285 Mtetra
.986 .856 .626 r
.78825 .54285 .79071 .5433 .79579 .5276 .79335 .52701 Mtetra
.99 .765 .501 r
.79335 .52701 .79579 .5276 .79922 .49252 .79674 .49091 Mtetra
.984 .761 .52 r
.79674 .49091 .79922 .49252 .8028 .46044 .80025 .45762 Mtetra
.924 .81 .716 r
.80025 .45762 .8028 .46044 .80816 .45018 .80557 .44669 Mtetra
.807 .38 0 r
.80557 .44669 .80816 .45018 .81578 .46565 .81321 .46238 Mtetra
.925 .548 .146 r
.81321 .46238 .81578 .46565 .82468 .49432 .82218 .49202 Mtetra
.901 .496 .097 r
.82218 .49202 .82468 .49432 .83297 .51505 .83056 .5138 Mtetra
.649 .91 .981 r
.83056 .5138 .83297 .51505 .83914 .51219 .83679 .51135 Mtetra
.993 .795 .533 r
.83679 .51135 .83914 .51219 .84315 .48684 .84078 .48546 Mtetra
.99 .768 .506 r
.84078 .48546 .84315 .48684 .8465 .45545 .84406 .45301 Mtetra
.973 .794 .601 r
.84406 .45301 .8465 .45545 .85106 .4372 .84855 .43384 Mtetra
.05 .398 .854 r
.84855 .43384 .85106 .4372 .85785 .44133 .85533 .43774 Mtetra
.858 .454 0 r
.85533 .43774 .85785 .44133 .86644 .46232 .86396 .45928 Mtetra
.877 .471 .025 r
.86396 .45928 .86644 .46232 .87517 .48373 .87279 .48165 Mtetra
0 .074 .551 r
.87279 .48165 .87517 .48373 .88228 .48918 .87998 .48776 Mtetra
.983 .846 .629 r
.87998 .48776 .88228 .48918 .88715 .47383 .88487 .47232 Mtetra
.993 .784 .52 r
.88487 .47232 .88715 .47383 .89076 .44751 .88842 .44524 Mtetra
.984 .792 .567 r
.88842 .44524 .89076 .44751 .89491 .42671 .89249 .42353 Mtetra
.786 .805 .868 r
.89249 .42353 .89491 .42671 .90097 .42288 .89851 .41923 Mtetra
.642 .212 0 r
.89851 .41923 .90097 .42288 .90898 .43564 .90655 .4322 Mtetra
.8 .383 0 r
.90655 .4322 .90898 .43564 .91771 .45374 .91536 .451 Mtetra
.58 .107 0 r
.91536 .451 .91771 .45374 .92544 .46278 .92317 .46072 Mtetra
.904 .891 .807 r
.92317 .46072 .92544 .46278 .93116 .4552 .92893 .45329 Mtetra
.99 .811 .567 r
.92893 .45329 .93116 .4552 .93533 .43545 .93307 .43308 Mtetra
.986 .802 .572 r
.93307 .43308 .93533 .43545 .93949 .41598 .93716 .41287 Mtetra
.903 .828 .763 r
.93716 .41287 .93949 .41598 .94506 .40786 .94269 .40424 Mtetra
0 .264 .771 r
.94269 .40424 .94506 .40786 .95248 .4138 .95011 .41018 Mtetra
.77 .759 .843 r
.37372 .57761 .3769 .58055 .38222 .57673 .37905 .57383 Mtetra
.882 .448 .095 r
.37905 .57383 .38222 .57673 .38701 .58616 .38381 .58371 Mtetra
.931 .575 .325 r
.38381 .58371 .38701 .58616 .39157 .60279 .38833 .60095 Mtetra
.907 .516 .258 r
.38833 .60095 .39157 .60279 .39635 .61499 .3931 .61352 Mtetra
.673 .859 .971 r
.3931 .61352 .39635 .61499 .4017 .6131 .39846 .61153 Mtetra
.924 .765 .666 r
.39846 .61153 .4017 .6131 .40754 .5969 .40434 .59478 Mtetra
.923 .743 .64 r
.40434 .59478 .40754 .5969 .41349 .57633 .41034 .5736 Mtetra
.89 .754 .706 r
.41034 .5736 .41349 .57633 .41912 .56476 .41599 .56176 Mtetra
.602 .094 0 r
.41599 .56176 .41912 .56476 .42422 .57013 .42108 .56741 Mtetra
.939 .591 .333 r
.42108 .56741 .42422 .57013 .42896 .58952 .42579 .58751 Mtetra
.934 .593 .36 r
.42579 .58751 .42896 .58952 .43374 .6102 .43053 .60891 Mtetra
.823 .348 .06 r
.43053 .60891 .43374 .6102 .43893 .61733 .43573 .6163 Mtetra
.931 .802 .696 r
.43573 .6163 .43893 .61733 .44464 .60449 .44146 .60303 Mtetra
.94 .746 .614 r
.44146 .60303 .44464 .60449 .4506 .57901 .44747 .57674 Mtetra
.928 .742 .63 r
.44747 .57674 .4506 .57901 .45641 .5572 .45333 .55427 Mtetra
.776 .769 .847 r
.45333 .55427 .45641 .5572 .46184 .55333 .45877 .55035 Mtetra
.936 .568 .273 r
.45877 .55035 .46184 .55333 .46692 .57049 .46382 .56815 Mtetra
.944 .618 .382 r
.46382 .56815 .46692 .57049 .4719 .59808 .46877 .59673 Mtetra
.927 .575 .343 r
.46877 .59673 .4719 .59808 .4771 .61746 .47395 .61681 Mtetra
.766 .936 .94 r
.47395 .61681 .4771 .61746 .48266 .61408 .47952 .61334 Mtetra
.952 .761 .607 r
.47952 .61334 .48266 .61408 .48846 .58869 .48536 .58711 Mtetra
.946 .739 .591 r
.48536 .58711 .48846 .58869 .49425 .55731 .4912 .55472 Mtetra
.922 .752 .654 r
.4912 .55472 .49425 .55731 .49985 .54013 .49682 .53704 Mtetra
.786 .314 0 r
.49682 .53704 .49985 .54013 .50526 .5484 .50223 .54566 Mtetra
.95 .62 .365 r
.50223 .54566 .50526 .5484 .51063 .57744 .50757 .57574 Mtetra
.944 .619 .387 r
.50757 .57574 .51063 .57744 .5161 .60848 .51302 .6079 Mtetra
.88 .467 .226 r
.51302 .6079 .5161 .60848 .52171 .61976 .51863 .6196 Mtetra
.963 .806 .641 r
.51863 .6196 .52171 .61976 .52735 .60199 .5243 .60123 Mtetra
.959 .744 .57 r
.5243 .60123 .52735 .60199 .53291 .5659 .5299 .56393 Mtetra
.949 .739 .586 r
.5299 .56393 .53291 .5659 .53838 .53471 .5354 .53177 Mtetra
.844 .778 .788 r
.5354 .53177 .53838 .53471 .54391 .52821 .54094 .52514 Mtetra
.946 .59 .289 r
.54094 .52514 .54391 .52821 .54965 .55069 .54667 .54846 Mtetra
.952 .631 .384 r
.54667 .54846 .54965 .55069 .55561 .58806 .55262 .58717 Mtetra
.937 .598 .363 r
.55262 .58717 .55561 .58806 .56161 .6153 .55861 .61538 Mtetra
.622 .953 .923 r
.55861 .61538 .56161 .6153 .56734 .61252 .56436 .6125 Mtetra
.97 .761 .566 r
.56436 .6125 .56734 .61252 .57267 .58 .56971 .57887 Mtetra
.962 .738 .553 r
.56971 .57887 .57267 .58 .57777 .53885 .57484 .53637 Mtetra
.944 .749 .608 r
.57484 .53637 .57777 .53885 .58305 .51512 .58013 .51195 Mtetra
.725 .248 0 r
.58013 .51195 .58305 .51512 .58887 .52334 .58596 .52053 Mtetra
.955 .624 .348 r
.58596 .52053 .58887 .52334 .5953 .55822 .59239 .55667 Mtetra
.951 .626 .375 r
.59239 .55667 .5953 .55822 .60195 .59711 .59906 .59695 Mtetra
.902 .514 .273 r
.59906 .59695 .60195 .59711 .6082 .61288 .60531 .61328 Mtetra
.981 .819 .608 r
.60531 .61328 .6082 .61288 .6136 .59314 .61072 .59286 Mtetra
.972 .745 .536 r
.61072 .59286 .6136 .59314 .6183 .55037 .61544 .54867 Mtetra
.964 .739 .551 r
.61544 .54867 .6183 .55037 .62301 .51205 .62015 .50912 Mtetra
.9 .78 .72 r
.62015 .50912 .62301 .51205 .62848 .50165 .62562 .49845 Mtetra
.942 .575 .237 r
.62562 .49845 .62848 .50165 .63503 .52484 .63219 .52248 Mtetra
.957 .629 .353 r
.63219 .52248 .63503 .52484 .64232 .5665 .6395 .56561 Mtetra
.944 .601 .341 r
.6395 .56561 .64232 .5665 .64941 .59834 .64663 .59862 Mtetra
.132 .679 .736 r
.64663 .59862 .64941 .59834 .65539 .59745 .65262 .59776 Mtetra
.983 .768 .538 r
.65262 .59776 .65539 .59745 .66005 .56319 .65728 .56238 Mtetra
.974 .741 .522 r
.65728 .56238 .66005 .56319 .66415 .51777 .66136 .51546 Mtetra
.961 .751 .574 r
.66136 .51546 .66415 .51777 .66885 .48971 .66606 .48648 Mtetra
0 .114 .633 r
.66606 .48648 .66885 .48971 .67499 .49515 .67221 .49211 Mtetra
.955 .61 .292 r
.67221 .49211 .67499 .49515 .68253 .52945 .67978 .52757 Mtetra
.955 .618 .33 r
.67978 .52757 .68253 .52945 .69049 .5695 .68778 .56907 Mtetra
.911 .517 .239 r
.68778 .56907 .69049 .5695 .69748 .58732 .69482 .58766 Mtetra
.989 .842 .605 r
.69482 .58766 .69748 .58732 .70268 .56931 .70002 .56917 Mtetra
.983 .752 .51 r
.70002 .56917 .70268 .56931 .70651 .52683 .70382 .52534 Mtetra
.976 .745 .524 r
.70382 .52534 .70651 .52683 .71037 .48731 .70765 .48448 Mtetra
.93 .786 .68 r
.70765 .48448 .71037 .48731 .71564 .47429 .71291 .47094 Mtetra
.908 .512 .107 r
.71291 .47094 .71564 .47429 .72283 .49398 .72012 .49118 Mtetra
.955 .609 .284 r
.72012 .49118 .72283 .49398 .73125 .53223 .72861 .53073 Mtetra
.944 .583 .274 r
.72861 .53073 .73125 .53223 .73934 .56255 .73675 .56228 Mtetra
0 .541 .723 r
.73675 .56228 .73934 .56255 .74559 .56276 .74304 .56279 Mtetra
.991 .78 .524 r
.74304 .56279 .74559 .56276 .74977 .53179 .7472 .53099 Mtetra
.984 .749 .501 r
.7472 .53099 .74977 .53179 .7531 .48988 .75048 .48769 Mtetra
.973 .763 .559 r
.75048 .48769 .7531 .48988 .75736 .46297 .7547 .45974 Mtetra
.149 .48 .898 r
.7547 .45974 .75736 .46297 .7637 .46592 .76104 .46255 Mtetra
.935 .564 .181 r
.76104 .46255 .7637 .46592 .77199 .49452 .76938 .49198 Mtetra
.946 .586 .237 r
.76938 .49198 .77199 .49452 .7808 .5283 .77827 .52703 Mtetra
.879 .443 .086 r
.77827 .52703 .7808 .5283 .78825 .54285 .78579 .54244 Mtetra
.987 .857 .624 r
.78579 .54244 .78825 .54285 .79335 .52701 .7909 .52646 Mtetra
.99 .764 .498 r
.7909 .52646 .79335 .52701 .79674 .49091 .79424 .48931 Mtetra
.985 .759 .516 r
.79424 .48931 .79674 .49091 .80025 .45762 .79768 .45479 Mtetra
.929 .808 .704 r
.79768 .45479 .80025 .45762 .80557 .44669 .80297 .44318 Mtetra
.812 .386 0 r
.80297 .44318 .80557 .44669 .81321 .46238 .81062 .45912 Mtetra
.928 .553 .155 r
.81062 .45912 .81321 .46238 .82218 .49202 .81967 .48973 Mtetra
.907 .506 .111 r
.81967 .48973 .82218 .49202 .83056 .5138 .82815 .51258 Mtetra
.599 .896 .988 r
.82815 .51258 .83056 .5138 .83679 .51135 .83442 .51053 Mtetra
.994 .794 .53 r
.83442 .51053 .83679 .51135 .84078 .48546 .8384 .48412 Mtetra
.99 .766 .502 r
.8384 .48412 .84078 .48546 .84406 .45301 .84161 .45058 Mtetra
.975 .791 .593 r
.84161 .45058 .84406 .45301 .84855 .43384 .84603 .43047 Mtetra
.08 .42 .867 r
.84603 .43047 .84855 .43384 .85533 .43774 .85279 .43414 Mtetra
.863 .461 0 r
.85279 .43414 .85533 .43774 .86396 .45928 .86148 .45624 Mtetra
.884 .481 .04 r
.86148 .45624 .86396 .45928 .87279 .48165 .8704 .47957 Mtetra
.508 0 0 r
.8704 .47957 .87279 .48165 .87998 .48776 .87768 .48637 Mtetra
.983 .847 .627 r
.87768 .48637 .87998 .48776 .88487 .47232 .88258 .47083 Mtetra
.993 .782 .515 r
.88258 .47083 .88487 .47232 .88842 .44524 .88607 .44298 Mtetra
.985 .79 .56 r
.88607 .44298 .88842 .44524 .89249 .42353 .89007 .42035 Mtetra
.805 .81 .856 r
.89007 .42035 .89249 .42353 .89851 .41923 .89604 .41556 Mtetra
.65 .22 0 r
.89604 .41556 .89851 .41923 .90655 .4322 .90411 .42873 Mtetra
.81 .395 0 r
.90411 .42873 .90655 .4322 .91536 .451 .913 .44825 Mtetra
.615 .144 0 r
.913 .44825 .91536 .451 .92317 .46072 .9209 .45867 Mtetra
.9 .893 .813 r
.9209 .45867 .92317 .46072 .92893 .45329 .9267 .45141 Mtetra
.991 .809 .562 r
.9267 .45141 .92893 .45329 .93307 .43308 .93081 .43073 Mtetra
.987 .799 .565 r
.93081 .43073 .93307 .43308 .93716 .41287 .93483 .40977 Mtetra
.911 .828 .751 r
.93483 .40977 .93716 .41287 .94269 .40424 .9403 .4006 Mtetra
0 .264 .771 r
.9403 .4006 .94269 .40424 .95011 .41018 .94773 .40653 Mtetra
.769 .759 .845 r
.37052 .57466 .37372 .57761 .37905 .57383 .37586 .57092 Mtetra
.89 .463 .119 r
.37586 .57092 .37905 .57383 .38381 .58371 .3806 .58125 Mtetra
.933 .58 .333 r
.3806 .58125 .38381 .58371 .38833 .60095 .38509 .59909 Mtetra
.91 .522 .267 r
.38509 .59909 .38833 .60095 .3931 .61352 .38983 .61205 Mtetra
.682 .86 .967 r
.38983 .61205 .3931 .61352 .39846 .61153 .3952 .60995 Mtetra
.925 .763 .662 r
.3952 .60995 .39846 .61153 .40434 .59478 .40113 .59266 Mtetra
.924 .741 .637 r
.40113 .59266 .40434 .59478 .41034 .5736 .40718 .57085 Mtetra
.891 .753 .703 r
.40718 .57085 .41034 .5736 .41599 .56176 .41285 .55874 Mtetra
.637 .131 0 r
.41285 .55874 .41599 .56176 .42108 .56741 .41793 .56467 Mtetra
.94 .595 .341 r
.41793 .56467 .42108 .56741 .42579 .58751 .4226 .58549 Mtetra
.935 .596 .365 r
.4226 .58549 .42579 .58751 .43053 .60891 .42732 .60763 Mtetra
.83 .36 .075 r
.42732 .60763 .43053 .60891 .43573 .6163 .4325 .61526 Mtetra
.932 .8 .692 r
.4325 .61526 .43573 .6163 .44146 .60303 .43827 .60157 Mtetra
.94 .745 .612 r
.43827 .60157 .44146 .60303 .44747 .57674 .44433 .57445 Mtetra
.929 .741 .628 r
.44433 .57445 .44747 .57674 .45333 .55427 .45023 .55132 Mtetra
.777 .769 .846 r
.45023 .55132 .45333 .55427 .45877 .55035 .45568 .54736 Mtetra
.938 .574 .283 r
.45568 .54736 .45877 .55035 .46382 .56815 .46071 .56581 Mtetra
.945 .621 .387 r
.46071 .56581 .46382 .56815 .46877 .59673 .46562 .59538 Mtetra
.928 .578 .348 r
.46562 .59538 .46877 .59673 .47395 .61681 .47078 .61616 Mtetra
.772 .936 .936 r
.47078 .61616 .47395 .61681 .47952 .61334 .47637 .61259 Mtetra
.952 .759 .605 r
.47637 .61259 .47952 .61334 .48536 .58711 .48225 .58551 Mtetra
.946 .737 .589 r
.48225 .58551 .48536 .58711 .4912 .55472 .48814 .55211 Mtetra
.922 .75 .65 r
.48814 .55211 .4912 .55472 .49682 .53704 .49379 .53393 Mtetra
.803 .336 0 r
.49379 .53393 .49682 .53704 .50223 .54566 .49919 .54292 Mtetra
.95 .623 .37 r
.49919 .54292 .50223 .54566 .50757 .57574 .5045 .57406 Mtetra
.944 .621 .391 r
.5045 .57406 .50757 .57574 .51302 .6079 .50993 .60733 Mtetra
.883 .474 .235 r
.50993 .60733 .51302 .6079 .51863 .6196 .51553 .61943 Mtetra
.963 .803 .637 r
.51553 .61943 .51863 .6196 .5243 .60123 .52123 .60043 Mtetra
.958 .742 .568 r
.52123 .60043 .5243 .60123 .5299 .56393 .52687 .56193 Mtetra
.949 .737 .583 r
.52687 .56193 .5299 .56393 .5354 .53177 .53241 .5288 Mtetra
.845 .777 .785 r
.53241 .5288 .5354 .53177 .54094 .52514 .53797 .52207 Mtetra
.947 .594 .298 r
.53797 .52207 .54094 .52514 .54667 .54846 .54368 .54625 Mtetra
.952 .633 .388 r
.54368 .54625 .54667 .54846 .55262 .58717 .54962 .5863 Mtetra
.937 .601 .368 r
.54962 .5863 .55262 .58717 .55861 .61538 .5556 .61547 Mtetra
.637 .958 .922 r
.5556 .61547 .55861 .61538 .56436 .6125 .56136 .61247 Mtetra
.97 .759 .564 r
.56136 .61247 .56436 .6125 .56971 .57887 .56674 .57769 Mtetra
.962 .736 .551 r
.56674 .57769 .56971 .57887 .57484 .53637 .57189 .53385 Mtetra
.945 .747 .605 r
.57189 .53385 .57484 .53637 .58013 .51195 .57721 .50875 Mtetra
.748 .275 0 r
.57721 .50875 .58013 .51195 .58596 .52053 .58304 .51774 Mtetra
.956 .627 .353 r
.58304 .51774 .58596 .52053 .59239 .55667 .58947 .55516 Mtetra
.951 .627 .379 r
.58947 .55516 .59239 .55667 .59906 .59695 .59614 .59682 Mtetra
.904 .519 .28 r
.59614 .59682 .59906 .59695 .60531 .61328 .60241 .61369 Mtetra
.981 .815 .604 r
.60241 .61369 .60531 .61328 .61072 .59286 .60783 .59255 Mtetra
.972 .743 .534 r
.60783 .59255 .61072 .59286 .61544 .54867 .61256 .54691 Mtetra
.963 .737 .549 r
.61256 .54691 .61544 .54867 .62015 .50912 .61728 .50615 Mtetra
.901 .778 .716 r
.61728 .50615 .62015 .50912 .62562 .49845 .62276 .49524 Mtetra
.944 .58 .246 r
.62276 .49524 .62562 .49845 .63219 .52248 .62934 .52015 Mtetra
.957 .631 .357 r
.62934 .52015 .63219 .52248 .6395 .56561 .63668 .56477 Mtetra
.944 .604 .346 r
.63668 .56477 .6395 .56561 .64663 .59862 .64382 .59892 Mtetra
.128 .676 .731 r
.64382 .59892 .64663 .59862 .65262 .59776 .64983 .59805 Mtetra
.982 .766 .536 r
.64983 .59805 .65262 .59776 .65728 .56238 .65449 .56151 Mtetra
.974 .739 .52 r
.65449 .56151 .65728 .56238 .66136 .51546 .65856 .51309 Mtetra
.961 .749 .571 r
.65856 .51309 .66136 .51546 .66606 .48648 .66325 .48323 Mtetra
0 .089 .61 r
.66325 .48323 .66606 .48648 .67221 .49211 .66941 .48908 Mtetra
.956 .612 .297 r
.66941 .48908 .67221 .49211 .67978 .52757 .67702 .52572 Mtetra
.955 .62 .335 r
.67702 .52572 .67978 .52757 .68778 .56907 .68507 .56866 Mtetra
.914 .523 .247 r
.68507 .56866 .68778 .56907 .69482 .58766 .69214 .58799 Mtetra
.989 .839 .602 r
.69214 .58799 .69482 .58766 .70002 .56917 .69734 .56901 Mtetra
.983 .75 .508 r
.69734 .56901 .70002 .56917 .70382 .52534 .70112 .5238 Mtetra
.976 .743 .522 r
.70112 .5238 .70382 .52534 .70765 .48448 .70492 .48161 Mtetra
.932 .784 .674 r
.70492 .48161 .70765 .48448 .71291 .47094 .71017 .46757 Mtetra
.912 .518 .117 r
.71017 .46757 .71291 .47094 .72012 .49118 .71741 .48839 Mtetra
.956 .612 .289 r
.71741 .48839 .72012 .49118 .72861 .53073 .72595 .52925 Mtetra
.945 .587 .28 r
.72595 .52925 .72861 .53073 .73675 .56228 .73416 .56202 Mtetra
.102 0 0 r
.73416 .56202 .73675 .56228 .74304 .56279 .74047 .5628 Mtetra
.99 .778 .522 r
.74047 .5628 .74304 .56279 .7472 .53099 .74462 .53015 Mtetra
.984 .747 .499 r
.74462 .53015 .7472 .53099 .75048 .48769 .74785 .48548 Mtetra
.974 .76 .555 r
.74785 .48548 .75048 .48769 .7547 .45974 .75203 .45649 Mtetra
.168 .491 .904 r
.75203 .45649 .7547 .45974 .76104 .46255 .75837 .45918 Mtetra
.937 .568 .188 r
.75837 .45918 .76104 .46255 .76938 .49198 .76675 .48944 Mtetra
.948 .59 .244 r
.76675 .48944 .76938 .49198 .77827 .52703 .77572 .52576 Mtetra
.886 .456 .103 r
.77572 .52576 .77827 .52703 .78579 .54244 .78331 .54203 Mtetra
.987 .855 .622 r
.78331 .54203 .78579 .54244 .7909 .52646 .78843 .52589 Mtetra
.99 .762 .496 r
.78843 .52589 .7909 .52646 .79424 .48931 .79173 .48769 Mtetra
.985 .757 .512 r
.79173 .48769 .79424 .48931 .79768 .45479 .79511 .45195 Mtetra
.934 .805 .694 r
.79511 .45195 .79768 .45479 .80297 .44318 .80036 .43967 Mtetra
.816 .392 0 r
.80036 .43967 .80297 .44318 .81062 .45912 .80803 .45584 Mtetra
.93 .558 .162 r
.80803 .45584 .81062 .45912 .81967 .48973 .81715 .48743 Mtetra
.912 .514 .124 r
.81715 .48743 .81967 .48973 .82815 .51258 .82572 .51135 Mtetra
.546 .874 .992 r
.82572 .51135 .82815 .51258 .83442 .51053 .83205 .50971 Mtetra
.994 .792 .527 r
.83205 .50971 .83442 .51053 .8384 .48412 .83601 .48277 Mtetra
.99 .764 .498 r
.83601 .48277 .8384 .48412 .84161 .45058 .83915 .44815 Mtetra
.976 .788 .585 r
.83915 .44815 .84161 .45058 .84603 .43047 .8435 .42711 Mtetra
.112 .442 .879 r
.8435 .42711 .84603 .43047 .85279 .43414 .85024 .43053 Mtetra
.868 .468 .004 r
.85024 .43053 .85279 .43414 .86148 .45624 .85898 .45318 Mtetra
.889 .49 .053 r
.85898 .45318 .86148 .45624 .8704 .47957 .868 .47747 Mtetra
.558 .043 0 r
.868 .47747 .8704 .47957 .87768 .48637 .87536 .48495 Mtetra
.983 .846 .627 r
.87536 .48495 .87768 .48637 .88258 .47083 .88027 .46935 Mtetra
.993 .78 .511 r
.88027 .46935 .88258 .47083 .88607 .44298 .88372 .44073 Mtetra
.986 .787 .553 r
.88372 .44073 .88607 .44298 .89007 .42035 .88763 .41718 Mtetra
.822 .814 .843 r
.88763 .41718 .89007 .42035 .89604 .41556 .89356 .41188 Mtetra
.657 .228 0 r
.89356 .41188 .89604 .41556 .90411 .42873 .90165 .42524 Mtetra
.819 .406 0 r
.90165 .42524 .90411 .42873 .913 .44825 .91063 .44546 Mtetra
.644 .178 0 r
.91063 .44546 .913 .44825 .9209 .45867 .91862 .45659 Mtetra
.895 .893 .819 r
.91862 .45659 .9209 .45867 .9267 .45141 .92445 .44952 Mtetra
.992 .807 .558 r
.92445 .44952 .9267 .45141 .93081 .43073 .92854 .42839 Mtetra
.988 .797 .558 r
.92854 .42839 .93081 .43073 .93483 .40977 .93248 .40668 Mtetra
.919 .828 .739 r
.93248 .40668 .93483 .40977 .9403 .4006 .9379 .39696 Mtetra
0 .266 .772 r
.9379 .39696 .9403 .4006 .94773 .40653 .94534 .40286 Mtetra
.767 .76 .846 r
.36732 .5717 .37052 .57466 .37586 .57092 .37266 .568 Mtetra
.897 .476 .14 r
.37266 .568 .37586 .57092 .3806 .58125 .37738 .57877 Mtetra
.934 .584 .34 r
.37738 .57877 .3806 .58125 .38509 .59909 .38183 .59722 Mtetra
.912 .528 .275 r
.38183 .59722 .38509 .59909 .38983 .61205 .38655 .61057 Mtetra
.692 .862 .963 r
.38655 .61057 .38983 .61205 .3952 .60995 .39193 .60836 Mtetra
.926 .761 .659 r
.39193 .60836 .3952 .60995 .40113 .59266 .39791 .59053 Mtetra
.924 .74 .635 r
.39791 .59053 .40113 .59266 .40718 .57085 .404 .5681 Mtetra
.892 .752 .7 r
.404 .5681 .40718 .57085 .41285 .55874 .4097 .55571 Mtetra
.669 .166 0 r
.4097 .55571 .41285 .55874 .41793 .56467 .41478 .56193 Mtetra
.941 .599 .348 r
.41478 .56193 .41793 .56467 .4226 .58549 .41941 .58347 Mtetra
.936 .6 .371 r
.41941 .58347 .4226 .58549 .42732 .60763 .42408 .60634 Mtetra
.836 .371 .089 r
.42408 .60634 .42732 .60763 .4325 .61526 .42927 .61422 Mtetra
.933 .797 .687 r
.42927 .61422 .4325 .61526 .43827 .60157 .43507 .6001 Mtetra
.94 .743 .609 r
.43507 .6001 .43827 .60157 .44433 .57445 .44118 .57215 Mtetra
.929 .74 .625 r
.44118 .57215 .44433 .57445 .45023 .55132 .44712 .54836 Mtetra
.778 .769 .845 r
.44712 .54836 .45023 .55132 .45568 .54736 .45258 .54436 Mtetra
.939 .579 .293 r
.45258 .54436 .45568 .54736 .46071 .56581 .45759 .56347 Mtetra
.945 .623 .391 r
.45759 .56347 .46071 .56581 .46562 .59538 .46246 .59403 Mtetra
.929 .582 .354 r
.46246 .59403 .46562 .59538 .47078 .61616 .46759 .61551 Mtetra
.779 .936 .932 r
.46759 .61551 .47078 .61616 .47637 .61259 .4732 .61182 Mtetra
.952 .757 .602 r
.4732 .61182 .47637 .61259 .48225 .58551 .47913 .58388 Mtetra
.946 .736 .586 r
.47913 .58388 .48225 .58551 .48814 .55211 .48506 .54947 Mtetra
.923 .749 .648 r
.48506 .54947 .48814 .55211 .49379 .53393 .49074 .53082 Mtetra
.819 .357 0 r
.49074 .53082 .49379 .53393 .49919 .54292 .49614 .54018 Mtetra
.95 .625 .375 r
.49614 .54018 .49919 .54292 .5045 .57406 .50142 .57239 Mtetra
.944 .623 .395 r
.50142 .57239 .5045 .57406 .50993 .60733 .50682 .60677 Mtetra
.886 .48 .243 r
.50682 .60677 .50993 .60733 .51553 .61943 .51242 .61926 Mtetra
.963 .8 .633 r
.51242 .61926 .51553 .61943 .52123 .60043 .51815 .59962 Mtetra
.958 .74 .566 r
.51815 .59962 .52123 .60043 .52687 .56193 .52383 .55989 Mtetra
.949 .736 .581 r
.52383 .55989 .52687 .56193 .53241 .5288 .52941 .5258 Mtetra
.846 .776 .784 r
.52941 .5258 .53241 .5288 .53797 .52207 .53498 .51899 Mtetra
.948 .599 .305 r
.53498 .51899 .53797 .52207 .54368 .54625 .54068 .54406 Mtetra
.952 .635 .391 r
.54068 .54406 .54368 .54625 .54962 .5863 .5466 .58546 Mtetra
.938 .603 .372 r
.5466 .58546 .54962 .5863 .5556 .61547 .55257 .61557 Mtetra
.656 .964 .921 r
.55257 .61557 .5556 .61547 .56136 .61247 .55835 .61241 Mtetra
.969 .757 .561 r
.55835 .61241 .56136 .61247 .56674 .57769 .56375 .57647 Mtetra
.961 .734 .549 r
.56375 .57647 .56674 .57769 .57189 .53385 .56894 .53129 Mtetra
.945 .745 .603 r
.56894 .53129 .57189 .53385 .57721 .50875 .57427 .50553 Mtetra
.77 .302 0 r
.57427 .50553 .57721 .50875 .58304 .51774 .58011 .51497 Mtetra
.956 .629 .358 r
.58011 .51497 .58304 .51774 .58947 .55516 .58654 .55368 Mtetra
.951 .629 .383 r
.58654 .55368 .58947 .55516 .59614 .59682 .59321 .59672 Mtetra
.906 .523 .286 r
.59321 .59672 .59614 .59682 .60241 .61369 .59949 .6141 Mtetra
.981 .812 .6 r
.59949 .6141 .60241 .61369 .60783 .59255 .60492 .5922 Mtetra
.972 .742 .532 r
.60492 .5922 .60783 .59255 .61256 .54691 .60966 .54509 Mtetra
.963 .736 .547 r
.60966 .54509 .61256 .54691 .61728 .50615 .6144 .50314 Mtetra
.902 .777 .714 r
.6144 .50314 .61728 .50615 .62276 .49524 .61989 .49204 Mtetra
.946 .585 .255 r
.61989 .49204 .62276 .49524 .62934 .52015 .62648 .51786 Mtetra
.957 .633 .361 r
.62648 .51786 .62934 .52015 .63668 .56477 .63384 .56397 Mtetra
.945 .606 .35 r
.63384 .56397 .63668 .56477 .64382 .59892 .641 .59925 Mtetra
.133 .68 .73 r
.641 .59925 .64382 .59892 .64983 .59805 .64702 .59833 Mtetra
.982 .763 .533 r
.64702 .59833 .64983 .59805 .65449 .56151 .65168 .56059 Mtetra
.974 .737 .519 r
.65168 .56059 .65449 .56151 .65856 .51309 .65574 .51068 Mtetra
.961 .747 .569 r
.65574 .51068 .65856 .51309 .66325 .48323 .66043 .47996 Mtetra
0 .061 .584 r
.66043 .47996 .66325 .48323 .66941 .48908 .66661 .48606 Mtetra
.956 .615 .303 r
.66661 .48606 .66941 .48908 .67702 .52572 .67425 .52391 Mtetra
.956 .622 .339 r
.67425 .52391 .67702 .52572 .68507 .56866 .68234 .5683 Mtetra
.916 .528 .254 r
.68234 .5683 .68507 .56866 .69214 .58799 .68944 .58834 Mtetra
.989 .835 .598 r
.68944 .58834 .69214 .58799 .69734 .56901 .69465 .56881 Mtetra
.982 .748 .506 r
.69465 .56881 .69734 .56901 .70112 .5238 .6984 .52221 Mtetra
.975 .741 .52 r
.6984 .52221 .70112 .5238 .70492 .48161 .70217 .47871 Mtetra
.934 .782 .669 r
.70217 .47871 .70492 .48161 .71017 .46757 .70741 .4642 Mtetra
.915 .524 .127 r
.70741 .4642 .71017 .46757 .71741 .48839 .71468 .48562 Mtetra
.957 .615 .294 r
.71468 .48562 .71741 .48839 .72595 .52925 .72328 .5278 Mtetra
.946 .591 .285 r
.72328 .5278 .72595 .52925 .73416 .56202 .73155 .56177 Mtetra
.155 0 0 r
.73155 .56177 .73416 .56202 .74047 .5628 .73789 .56281 Mtetra
.99 .776 .52 r
.73789 .56281 .74047 .5628 .74462 .53015 .74202 .52928 Mtetra
.984 .746 .497 r
.74202 .52928 .74462 .53015 .74785 .48548 .74521 .48324 Mtetra
.974 .758 .551 r
.74521 .48324 .74785 .48548 .75203 .45649 .74935 .45322 Mtetra
.183 .501 .908 r
.74935 .45322 .75203 .45649 .75837 .45918 .75569 .45581 Mtetra
.939 .572 .195 r
.75569 .45581 .75837 .45918 .76675 .48944 .76412 .48691 Mtetra
.949 .593 .25 r
.76412 .48691 .76675 .48944 .77572 .52576 .77316 .5245 Mtetra
.892 .468 .118 r
.77316 .5245 .77572 .52576 .78331 .54203 .78082 .54161 Mtetra
.987 .854 .621 r
.78082 .54161 .78331 .54203 .78843 .52589 .78595 .5253 Mtetra
.99 .76 .494 r
.78595 .5253 .78843 .52589 .79173 .48769 .78921 .48606 Mtetra
.985 .755 .508 r
.78921 .48606 .79173 .48769 .79511 .45195 .79253 .44909 Mtetra
.938 .803 .684 r
.79253 .44909 .79511 .45195 .80036 .43967 .79773 .43615 Mtetra
.821 .397 0 r
.79773 .43615 .80036 .43967 .80803 .45584 .80543 .45256 Mtetra
.933 .562 .169 r
.80543 .45256 .80803 .45584 .81715 .48743 .81462 .48512 Mtetra
.916 .522 .135 r
.81462 .48512 .81715 .48743 .82572 .51135 .82328 .5101 Mtetra
.488 .847 .992 r
.82328 .5101 .82572 .51135 .83205 .50971 .82966 .50888 Mtetra
.993 .79 .525 r
.82966 .50888 .83205 .50971 .83601 .48277 .8336 .48141 Mtetra
.99 .761 .495 r
.8336 .48141 .83601 .48277 .83915 .44815 .83667 .44571 Mtetra
.977 .785 .577 r
.83667 .44571 .83915 .44815 .8435 .42711 .84096 .42373 Mtetra
.144 .465 .89 r
.84096 .42373 .8435 .42711 .85024 .43053 .84769 .4269 Mtetra
.872 .474 .013 r
.84769 .4269 .85024 .43053 .85898 .45318 .85647 .45009 Mtetra
.894 .498 .064 r
.85647 .45009 .85898 .45318 .868 .47747 .86559 .47534 Mtetra
.602 .092 0 r
.86559 .47534 .868 .47747 .87536 .48495 .87302 .48352 Mtetra
.983 .846 .627 r
.87302 .48352 .87536 .48495 .88027 .46935 .87796 .46786 Mtetra
.993 .778 .508 r
.87796 .46786 .88027 .46935 .88372 .44073 .88135 .43849 Mtetra
.987 .784 .546 r
.88135 .43849 .88372 .44073 .88763 .41718 .88519 .41401 Mtetra
.838 .818 .83 r
.88519 .41401 .88763 .41718 .89356 .41188 .89107 .40819 Mtetra
.663 .234 0 r
.89107 .40819 .89356 .41188 .90165 .42524 .89918 .42172 Mtetra
.827 .417 0 r
.89918 .42172 .90165 .42524 .91063 .44546 .90824 .44264 Mtetra
.671 .208 0 r
.90824 .44264 .91063 .44546 .91862 .45659 .91632 .45449 Mtetra
.889 .893 .826 r
.91632 .45449 .91862 .45659 .92445 .44952 .9222 .44762 Mtetra
.992 .805 .554 r
.9222 .44762 .92445 .44952 .92854 .42839 .92626 .42605 Mtetra
.989 .794 .551 r
.92626 .42605 .92854 .42839 .93248 .40668 .93013 .40359 Mtetra
.926 .827 .727 r
.93013 .40359 .93248 .40668 .9379 .39696 .93549 .39331 Mtetra
0 .269 .774 r
.93549 .39331 .9379 .39696 .94534 .40286 .94293 .39916 Mtetra
.765 .76 .848 r
.3641 .56873 .36732 .5717 .37266 .568 .36945 .56507 Mtetra
.902 .489 .16 r
.36945 .56507 .37266 .568 .37738 .57877 .37415 .57629 Mtetra
.934 .588 .347 r
.37415 .57629 .37738 .57877 .38183 .59722 .37855 .59534 Mtetra
.913 .533 .283 r
.37855 .59534 .38183 .59722 .38655 .61057 .38325 .60909 Mtetra
.7 .863 .96 r
.38325 .60909 .38655 .61057 .39193 .60836 .38865 .60678 Mtetra
.926 .76 .656 r
.38865 .60678 .39193 .60836 .39791 .59053 .39467 .58839 Mtetra
.925 .739 .632 r
.39467 .58839 .39791 .59053 .404 .5681 .40082 .56534 Mtetra
.893 .752 .698 r
.40082 .56534 .404 .5681 .4097 .55571 .40654 .55266 Mtetra
.698 .198 0 r
.40654 .55266 .4097 .55571 .41478 .56193 .4116 .55917 Mtetra
.942 .603 .354 r
.4116 .55917 .41478 .56193 .41941 .58347 .4162 .58145 Mtetra
.936 .602 .376 r
.4162 .58145 .41941 .58347 .42408 .60634 .42084 .60506 Mtetra
.841 .382 .103 r
.42084 .60506 .42408 .60634 .42927 .61422 .42601 .61319 Mtetra
.934 .795 .683 r
.42601 .61319 .42927 .61422 .43507 .6001 .43185 .59862 Mtetra
.94 .742 .607 r
.43185 .59862 .43507 .6001 .44118 .57215 .43801 .56984 Mtetra
.93 .738 .623 r
.43801 .56984 .44118 .57215 .44712 .54836 .444 .54539 Mtetra
.778 .768 .844 r
.444 .54539 .44712 .54836 .45258 .54436 .44947 .54135 Mtetra
.941 .584 .301 r
.44947 .54135 .45258 .54436 .45759 .56347 .45445 .56114 Mtetra
.945 .625 .395 r
.45445 .56114 .45759 .56347 .46246 .59403 .45928 .59271 Mtetra
.929 .585 .359 r
.45928 .59271 .46246 .59403 .46759 .61551 .46439 .61488 Mtetra
.787 .937 .928 r
.46439 .61488 .46759 .61551 .4732 .61182 .47001 .61106 Mtetra
.953 .755 .599 r
.47001 .61106 .4732 .61182 .47913 .58388 .47599 .58224 Mtetra
.947 .735 .584 r
.47599 .58224 .47913 .58388 .48506 .54947 .48198 .54681 Mtetra
.924 .748 .645 r
.48198 .54681 .48506 .54947 .49074 .53082 .48768 .52768 Mtetra
.833 .378 0 r
.48768 .52768 .49074 .53082 .49614 .54018 .49307 .53746 Mtetra
.951 .628 .38 r
.49307 .53746 .49614 .54018 .50142 .57239 .49832 .57075 Mtetra
.944 .625 .398 r
.49832 .57075 .50142 .57239 .50682 .60677 .50369 .60625 Mtetra
.888 .486 .251 r
.50369 .60625 .50682 .60677 .51242 .61926 .50929 .6191 Mtetra
.963 .797 .629 r
.50929 .6191 .51242 .61926 .51815 .59962 .51505 .59878 Mtetra
.958 .739 .564 r
.51505 .59878 .51815 .59962 .52383 .55989 .52078 .55782 Mtetra
.949 .734 .579 r
.52078 .55782 .52383 .55989 .52941 .5258 .5264 .52277 Mtetra
.846 .775 .783 r
.5264 .52277 .52941 .5258 .53498 .51899 .53197 .51591 Mtetra
.949 .602 .313 r
.53197 .51591 .53498 .51899 .54068 .54406 .53767 .5419 Mtetra
.952 .636 .395 r
.53767 .5419 .54068 .54406 .5466 .58546 .54356 .58467 Mtetra
.938 .605 .376 r
.54356 .58467 .5466 .58546 .55257 .61557 .54953 .61571 Mtetra
.676 .97 .917 r
.54953 .61571 .55257 .61557 .55835 .61241 .55532 .61235 Mtetra
.969 .755 .559 r
.55532 .61235 .55835 .61241 .56375 .57647 .56075 .57521 Mtetra
.961 .733 .547 r
.56075 .57521 .56375 .57647 .56894 .53129 .56597 .52868 Mtetra
.945 .744 .6 r
.56597 .52868 .56894 .53129 .57427 .50553 .57132 .5023 Mtetra
.79 .328 0 r
.57132 .5023 .57427 .50553 .58011 .51497 .57717 .51221 Mtetra
.956 .631 .362 r
.57717 .51221 .58011 .51497 .58654 .55368 .5836 .55226 Mtetra
.951 .631 .386 r
.5836 .55226 .58654 .55368 .59321 .59672 .59026 .59668 Mtetra
.907 .527 .292 r
.59026 .59668 .59321 .59672 .59949 .6141 .59655 .61453 Mtetra
.981 .808 .596 r
.59655 .61453 .59949 .6141 .60492 .5922 .60199 .59183 Mtetra
.971 .74 .53 r
.60199 .59183 .60492 .5922 .60966 .54509 .60675 .54322 Mtetra
.963 .734 .545 r
.60675 .54322 .60966 .54509 .6144 .50314 .6115 .50009 Mtetra
.902 .775 .712 r
.6115 .50009 .6144 .50314 .61989 .49204 .617 .48883 Mtetra
.947 .589 .263 r
.617 .48883 .61989 .49204 .62648 .51786 .62361 .5156 Mtetra
.958 .634 .364 r
.62361 .5156 .62648 .51786 .63384 .56397 .63098 .56323 Mtetra
.945 .608 .354 r
.63098 .56323 .63384 .56397 .641 .59925 .63817 .59962 Mtetra
.143 .686 .728 r
.63817 .59962 .641 .59925 .64702 .59833 .6442 .59861 Mtetra
.981 .761 .531 r
.6442 .59861 .64702 .59833 .65168 .56059 .64886 .55964 Mtetra
.973 .736 .517 r
.64886 .55964 .65168 .56059 .65574 .51068 .65291 .50822 Mtetra
.961 .746 .566 r
.65291 .50822 .65574 .51068 .66043 .47996 .65761 .47667 Mtetra
0 .029 .554 r
.65761 .47667 .66043 .47996 .66661 .48606 .6638 .48305 Mtetra
.957 .618 .308 r
.6638 .48305 .66661 .48606 .67425 .52391 .67146 .52215 Mtetra
.956 .624 .343 r
.67146 .52215 .67425 .52391 .68234 .5683 .6796 .56798 Mtetra
.918 .533 .262 r
.6796 .56798 .68234 .5683 .68944 .58834 .68673 .5887 Mtetra
.99 .832 .593 r
.68673 .5887 .68944 .58834 .69465 .56881 .69194 .5686 Mtetra
.982 .746 .504 r
.69194 .5686 .69465 .56881 .6984 .52221 .69567 .52058 Mtetra
.975 .74 .518 r
.69567 .52058 .6984 .52221 .70217 .47871 .69942 .47578 Mtetra
.935 .78 .664 r
.69942 .47578 .70217 .47871 .70741 .4642 .70465 .46082 Mtetra
.919 .531 .137 r
.70465 .46082 .70741 .4642 .71468 .48562 .71195 .48287 Mtetra
.957 .617 .298 r
.71195 .48287 .71468 .48562 .72328 .5278 .7206 .52639 Mtetra
.947 .594 .291 r
.7206 .52639 .72328 .5278 .73155 .56177 .72893 .56156 Mtetra
.205 0 0 r
.72893 .56156 .73155 .56177 .73789 .56281 .7353 .56282 Mtetra
.99 .774 .517 r
.7353 .56282 .73789 .56281 .74202 .52928 .73941 .5284 Mtetra
.983 .744 .495 r
.73941 .5284 .74202 .52928 .74521 .48324 .74255 .48096 Mtetra
.974 .756 .547 r
.74255 .48096 .74521 .48324 .74935 .45322 .74666 .44994 Mtetra
.196 .509 .911 r
.74666 .44994 .74935 .45322 .75569 .45581 .75299 .45244 Mtetra
.941 .576 .202 r
.75299 .45244 .75569 .45581 .76412 .48691 .76147 .4844 Mtetra
.95 .596 .255 r
.76147 .4844 .76412 .48691 .77316 .5245 .77059 .52326 Mtetra
.898 .479 .132 r
.77059 .52326 .77316 .5245 .78082 .54161 .77831 .54121 Mtetra
.988 .854 .619 r
.77831 .54121 .78082 .54161 .78595 .5253 .78346 .52472 Mtetra
.99 .758 .491 r
.78346 .52472 .78595 .5253 .78921 .48606 .78668 .48442 Mtetra
.984 .753 .505 r
.78668 .48442 .78921 .48606 .79253 .44909 .78993 .44622 Mtetra
.942 .8 .675 r
.78993 .44622 .79253 .44909 .79773 .43615 .7951 .43262 Mtetra
.825 .403 0 r
.7951 .43262 .79773 .43615 .80543 .45256 .80281 .44927 Mtetra
.935 .566 .176 r
.80281 .44927 .80543 .45256 .81462 .48512 .81207 .48281 Mtetra
.92 .529 .146 r
.81207 .48281 .81462 .48512 .82328 .5101 .82082 .50886 Mtetra
.422 .815 .986 r
.82082 .50886 .82328 .5101 .82966 .50888 .82725 .50805 Mtetra
.994 .789 .522 r
.82725 .50805 .82966 .50888 .8336 .48141 .83118 .48005 Mtetra
.99 .759 .491 r
.83118 .48005 .8336 .48141 .83667 .44571 .83419 .44327 Mtetra
.979 .782 .57 r
.83419 .44327 .83667 .44571 .84096 .42373 .83842 .42035 Mtetra
.177 .487 .901 r
.83842 .42035 .84096 .42373 .84769 .4269 .84512 .42326 Mtetra
.876 .48 .021 r
.84512 .42326 .84769 .4269 .85647 .45009 .85395 .44699 Mtetra
.899 .506 .075 r
.85395 .44699 .85647 .45009 .86559 .47534 .86316 .4732 Mtetra
.641 .137 0 r
.86316 .4732 .86559 .47534 .87302 .48352 .87068 .48209 Mtetra
.983 .846 .627 r
.87068 .48209 .87302 .48352 .87796 .46786 .87563 .46638 Mtetra
.993 .776 .504 r
.87563 .46638 .87796 .46786 .88135 .43849 .87897 .43625 Mtetra
.987 .781 .539 r
.87897 .43625 .88135 .43849 .88519 .41401 .88274 .41084 Mtetra
.852 .82 .817 r
.88274 .41084 .88519 .41401 .89107 .40819 .88858 .40448 Mtetra
.669 .24 0 r
.88858 .40448 .89107 .40819 .89918 .42172 .89671 .41817 Mtetra
.834 .426 0 r
.89671 .41817 .89918 .42172 .90824 .44264 .90584 .4398 Mtetra
.695 .236 0 r
.90584 .4398 .90824 .44264 .91632 .45449 .91401 .45237 Mtetra
.883 .894 .834 r
.91401 .45237 .91632 .45449 .9222 .44762 .91994 .44573 Mtetra
.992 .804 .55 r
.91994 .44573 .9222 .44762 .92626 .42605 .92396 .42373 Mtetra
.99 .791 .545 r
.92396 .42373 .92626 .42605 .93013 .40359 .92777 .40051 Mtetra
.933 .826 .716 r
.92777 .40051 .93013 .40359 .93549 .39331 .93308 .38965 Mtetra
0 .274 .777 r
.93308 .38965 .93549 .39331 .94293 .39916 .94052 .39544 Mtetra
.764 .76 .849 r
.36088 .56575 .3641 .56873 .36945 .56507 .36623 .56213 Mtetra
.908 .5 .177 r
.36623 .56213 .36945 .56507 .37415 .57629 .3709 .57379 Mtetra
.935 .592 .353 r
.3709 .57379 .37415 .57629 .37855 .59534 .37526 .59346 Mtetra
.915 .538 .291 r
.37526 .59346 .37855 .59534 .38325 .60909 .37994 .6076 Mtetra
.708 .864 .956 r
.37994 .6076 .38325 .60909 .38865 .60678 .38535 .60519 Mtetra
.927 .758 .653 r
.38535 .60519 .38865 .60678 .39467 .58839 .39142 .58625 Mtetra
.926 .738 .63 r
.39142 .58625 .39467 .58839 .40082 .56534 .39762 .56256 Mtetra
.895 .751 .695 r
.39762 .56256 .40082 .56534 .40654 .55266 .40337 .54961 Mtetra
.724 .228 0 r
.40337 .54961 .40654 .55266 .4116 .55917 .40842 .55641 Mtetra
.942 .606 .36 r
.40842 .55641 .4116 .55917 .4162 .58145 .41297 .57942 Mtetra
.937 .605 .38 r
.41297 .57942 .4162 .58145 .42084 .60506 .41757 .60377 Mtetra
.847 .392 .116 r
.41757 .60377 .42084 .60506 .42601 .61319 .42274 .61215 Mtetra
.935 .792 .679 r
.42274 .61215 .42601 .61319 .43185 .59862 .42861 .59713 Mtetra
.941 .741 .605 r
.42861 .59713 .43185 .59862 .43801 .56984 .43484 .5675 Mtetra
.93 .737 .62 r
.43484 .5675 .43801 .56984 .444 .54539 .44087 .54239 Mtetra
.779 .768 .843 r
.44087 .54239 .444 .54539 .44947 .54135 .44635 .53834 Mtetra
.942 .588 .31 r
.44635 .53834 .44947 .54135 .45445 .56114 .4513 .5588 Mtetra
.945 .627 .399 r
.4513 .5588 .45445 .56114 .45928 .59271 .45608 .59139 Mtetra
.93 .588 .364 r
.45608 .59139 .45928 .59271 .46439 .61488 .46117 .61424 Mtetra
.795 .936 .923 r
.46117 .61424 .46439 .61488 .47001 .61106 .4668 .61028 Mtetra
.953 .753 .597 r
.4668 .61028 .47001 .61106 .47599 .58224 .47283 .58056 Mtetra
.947 .733 .582 r
.47283 .58056 .47599 .58224 .48198 .54681 .47888 .54412 Mtetra
.924 .746 .642 r
.47888 .54412 .48198 .54681 .48768 .52768 .48461 .52454 Mtetra
.846 .397 0 r
.48461 .52454 .48768 .52768 .49307 .53746 .48999 .53474 Mtetra
.951 .63 .384 r
.48999 .53474 .49307 .53746 .49832 .57075 .49521 .56914 Mtetra
.945 .627 .402 r
.49521 .56914 .49832 .57075 .50369 .60625 .50055 .60575 Mtetra
.89 .491 .258 r
.50055 .60575 .50369 .60625 .50929 .6191 .50615 .61894 Mtetra
.963 .794 .625 r
.50615 .61894 .50929 .6191 .51505 .59878 .51193 .59792 Mtetra
.958 .737 .562 r
.51193 .59792 .51505 .59878 .52078 .55782 .51772 .5557 Mtetra
.949 .733 .577 r
.51772 .5557 .52078 .55782 .5264 .52277 .52337 .51971 Mtetra
.846 .774 .782 r
.52337 .51971 .5264 .52277 .53197 .51591 .52896 .51283 Mtetra
.95 .606 .32 r
.52896 .51283 .53197 .51591 .53767 .5419 .53464 .53977 Mtetra
.952 .638 .398 r
.53464 .53977 .53767 .5419 .54356 .58467 .54051 .58392 Mtetra
.938 .607 .379 r
.54051 .58392 .54356 .58467 .54953 .61571 .54647 .61587 Mtetra
.702 .977 .914 r
.54647 .61587 .54953 .61571 .55532 .61235 .55227 .61228 Mtetra
.969 .753 .557 r
.55227 .61228 .55532 .61235 .56075 .57521 .55774 .5739 Mtetra
.961 .732 .546 r
.55774 .5739 .56075 .57521 .56597 .52868 .56298 .52602 Mtetra
.945 .743 .598 r
.56298 .52602 .56597 .52868 .57132 .5023 .56836 .49905 Mtetra
.81 .354 0 r
.56836 .49905 .57132 .5023 .57717 .51221 .57422 .50948 Mtetra
.957 .633 .366 r
.57422 .50948 .57717 .51221 .5836 .55226 .58064 .55088 Mtetra
.951 .632 .389 r
.58064 .55088 .5836 .55226 .59026 .59668 .5873 .59667 Mtetra
.908 .53 .297 r
.5873 .59667 .59026 .59668 .59655 .61453 .59359 .61496 Mtetra
.981 .804 .592 r
.59359 .61496 .59655 .61453 .60199 .59183 .59905 .59142 Mtetra
.971 .738 .529 r
.59905 .59142 .60199 .59183 .60675 .54322 .60383 .54129 Mtetra
.963 .733 .543 r
.60383 .54129 .60675 .54322 .6115 .50009 .60859 .497 Mtetra
.902 .774 .71 r
.60859 .497 .6115 .50009 .617 .48883 .61411 .48563 Mtetra
.949 .593 .271 r
.61411 .48563 .617 .48883 .62361 .5156 .62073 .51338 Mtetra
.958 .636 .368 r
.62073 .51338 .62361 .5156 .63098 .56323 .62812 .56254 Mtetra
.946 .61 .357 r
.62812 .56254 .63098 .56323 .63817 .59962 .63532 .60001 Mtetra
.169 .705 .737 r
.63532 .60001 .63817 .59962 .6442 .59861 .64136 .59886 Mtetra
.981 .759 .529 r
.64136 .59886 .6442 .59861 .64886 .55964 .64602 .55863 Mtetra
.973 .734 .516 r
.64602 .55863 .64886 .55964 .65291 .50822 .65007 .5057 Mtetra
.961 .744 .564 r
.65007 .5057 .65291 .50822 .65761 .47667 .65477 .47335 Mtetra
0 0 .519 r
.65477 .47335 .65761 .47667 .6638 .48305 .66097 .48007 Mtetra
.958 .62 .313 r
.66097 .48007 .6638 .48305 .67146 .52215 .66867 .52043 Mtetra
.956 .626 .346 r
.66867 .52043 .67146 .52215 .6796 .56798 .67684 .5677 Mtetra
.919 .537 .268 r
.67684 .5677 .6796 .56798 .68673 .5887 .684 .58908 Mtetra
.99 .829 .589 r
.684 .58908 .68673 .5887 .69194 .5686 .68921 .56836 Mtetra
.982 .745 .503 r
.68921 .56836 .69194 .5686 .69567 .52058 .69292 .5189 Mtetra
.975 .738 .516 r
.69292 .5189 .69567 .52058 .69942 .47578 .69665 .4728 Mtetra
.936 .778 .66 r
.69665 .4728 .69942 .47578 .70465 .46082 .70188 .45743 Mtetra
.922 .536 .147 r
.70188 .45743 .70465 .46082 .71195 .48287 .7092 .48015 Mtetra
.958 .619 .303 r
.7092 .48015 .71195 .48287 .7206 .52639 .71791 .52501 Mtetra
.948 .597 .295 r
.71791 .52501 .7206 .52639 .72893 .56156 .72629 .56136 Mtetra
.243 0 0 r
.72629 .56136 .72893 .56156 .7353 .56282 .73269 .56283 Mtetra
.99 .772 .515 r
.73269 .56283 .7353 .56282 .73941 .5284 .73678 .52748 Mtetra
.983 .742 .493 r
.73678 .52748 .73941 .5284 .74255 .48096 .73988 .47865 Mtetra
.974 .754 .544 r
.73988 .47865 .74255 .48096 .74666 .44994 .74395 .44663 Mtetra
.206 .515 .914 r
.74395 .44663 .74666 .44994 .75299 .45244 .75029 .44908 Mtetra
.942 .579 .208 r
.75029 .44908 .75299 .45244 .76147 .4844 .75881 .48191 Mtetra
.952 .599 .261 r
.75881 .48191 .76147 .4844 .77059 .52326 .76801 .52203 Mtetra
.902 .488 .144 r
.76801 .52203 .77059 .52326 .77831 .54121 .77579 .54081 Mtetra
.988 .852 .617 r
.77579 .54081 .77831 .54121 .78346 .52472 .78095 .52412 Mtetra
.989 .756 .489 r
.78095 .52412 .78346 .52472 .78668 .48442 .78413 .48274 Mtetra
.984 .751 .502 r
.78413 .48274 .78668 .48442 .78993 .44622 .78732 .44333 Mtetra
.945 .797 .666 r
.78732 .44333 .78993 .44622 .7951 .43262 .79246 .42908 Mtetra
.83 .408 0 r
.79246 .42908 .7951 .43262 .80281 .44927 .80019 .44599 Mtetra
.937 .57 .183 r
.80019 .44599 .80281 .44927 .81207 .48281 .80952 .4805 Mtetra
.923 .536 .155 r
.80952 .4805 .81207 .48281 .82082 .50886 .81835 .50762 Mtetra
.354 .777 .975 r
.81835 .50762 .82082 .50886 .82725 .50805 .82484 .50722 Mtetra
.993 .787 .52 r
.82484 .50722 .82725 .50805 .83118 .48005 .82875 .47869 Mtetra
.99 .757 .488 r
.82875 .47869 .83118 .48005 .83419 .44327 .8317 .44082 Mtetra
.979 .779 .564 r
.8317 .44082 .83419 .44327 .83842 .42035 .83586 .41696 Mtetra
.21 .509 .91 r
.83586 .41696 .83842 .42035 .84512 .42326 .84255 .41961 Mtetra
.88 .485 .03 r
.84255 .41961 .84512 .42326 .85395 .44699 .85143 .44387 Mtetra
.903 .513 .086 r
.85143 .44387 .85395 .44699 .86316 .4732 .86072 .47104 Mtetra
.674 .176 0 r
.86072 .47104 .86316 .4732 .87068 .48209 .86832 .48065 Mtetra
.983 .846 .627 r
.86832 .48065 .87068 .48209 .87563 .46638 .87329 .46489 Mtetra
.993 .774 .501 r
.87329 .46489 .87563 .46638 .87897 .43625 .87659 .43401 Mtetra
.988 .779 .533 r
.87659 .43401 .87897 .43625 .88274 .41084 .88028 .40767 Mtetra
.865 .821 .804 r
.88028 .40767 .88274 .41084 .88858 .40448 .88607 .40077 Mtetra
.675 .246 0 r
.88607 .40077 .88858 .40448 .89671 .41817 .89422 .41461 Mtetra
.841 .435 0 r
.89422 .41461 .89671 .41817 .90584 .4398 .90343 .43693 Mtetra
.717 .262 0 r
.90343 .43693 .90584 .4398 .91401 .45237 .91169 .45023 Mtetra
.876 .894 .842 r
.91169 .45023 .91401 .45237 .91994 .44573 .91766 .44383 Mtetra
.992 .802 .547 r
.91766 .44383 .91994 .44573 .92396 .42373 .92167 .42141 Mtetra
.99 .789 .539 r
.92167 .42141 .92396 .42373 .92777 .40051 .92541 .39743 Mtetra
.939 .824 .705 r
.92541 .39743 .92777 .40051 .93308 .38965 .93066 .38598 Mtetra
0 .279 .781 r
.93066 .38598 .93308 .38965 .94052 .39544 .93809 .3917 Mtetra
.762 .76 .85 r
.35764 .56276 .36088 .56575 .36623 .56213 .363 .55918 Mtetra
.912 .509 .194 r
.363 .55918 .36623 .56213 .3709 .57379 .36764 .57128 Mtetra
.936 .595 .359 r
.36764 .57128 .3709 .57379 .37526 .59346 .37196 .59157 Mtetra
.917 .543 .298 r
.37196 .59157 .37526 .59346 .37994 .6076 .37661 .60611 Mtetra
.716 .864 .952 r
.37661 .60611 .37994 .6076 .38535 .60519 .38204 .60359 Mtetra
.928 .757 .65 r
.38204 .60359 .38535 .60519 .39142 .58625 .38815 .5841 Mtetra
.926 .737 .628 r
.38815 .5841 .39142 .58625 .39762 .56256 .3944 .55978 Mtetra
.896 .75 .693 r
.3944 .55978 .39762 .56256 .40337 .54961 .40019 .54655 Mtetra
.747 .256 0 r
.40019 .54655 .40337 .54961 .40842 .55641 .40522 .55364 Mtetra
.943 .609 .366 r
.40522 .55364 .40842 .55641 .41297 .57942 .40974 .57739 Mtetra
.937 .608 .385 r
.40974 .57739 .41297 .57942 .41757 .60377 .41429 .60249 Mtetra
.851 .401 .127 r
.41429 .60249 .41757 .60377 .42274 .61215 .41945 .61111 Mtetra
.935 .79 .675 r
.41945 .61111 .42274 .61215 .42861 .59713 .42536 .59563 Mtetra
.941 .739 .603 r
.42536 .59563 .42861 .59713 .43484 .5675 .43165 .56515 Mtetra
.931 .736 .618 r
.43165 .56515 .43484 .5675 .44087 .54239 .43773 .53938 Mtetra
.779 .768 .843 r
.43773 .53938 .44087 .54239 .44635 .53834 .44322 .53532 Mtetra
.943 .592 .317 r
.44322 .53532 .44635 .53834 .4513 .5588 .44813 .55648 Mtetra
.946 .629 .403 r
.44813 .55648 .4513 .5588 .45608 .59139 .45287 .59008 Mtetra
.931 .591 .368 r
.45287 .59008 .45608 .59139 .46117 .61424 .45794 .61362 Mtetra
.804 .935 .917 r
.45794 .61362 .46117 .61424 .4668 .61028 .46358 .60949 Mtetra
.953 .751 .595 r
.46358 .60949 .4668 .61028 .47283 .58056 .46967 .57886 Mtetra
.947 .732 .581 r
.46967 .57886 .47283 .58056 .47888 .54412 .47577 .5414 Mtetra
.925 .745 .64 r
.47577 .5414 .47888 .54412 .48461 .52454 .48153 .52138 Mtetra
.858 .415 .012 r
.48153 .52138 .48461 .52454 .48999 .53474 .4869 .53202 Mtetra
.951 .632 .388 r
.4869 .53202 .48999 .53474 .49521 .56914 .49209 .56754 Mtetra
.945 .628 .405 r
.49209 .56754 .49521 .56914 .50055 .60575 .49739 .60526 Mtetra
.892 .495 .264 r
.49739 .60526 .50055 .60575 .50615 .61894 .50298 .61877 Mtetra
.964 .791 .621 r
.50298 .61877 .50615 .61894 .51193 .59792 .5088 .59702 Mtetra
.958 .736 .56 r
.5088 .59702 .51193 .59792 .51772 .5557 .51464 .55354 Mtetra
.949 .732 .576 r
.51464 .55354 .51772 .5557 .52337 .51971 .52034 .51662 Mtetra
.845 .774 .782 r
.52034 .51662 .52337 .51971 .52896 .51283 .52594 .50975 Mtetra
.951 .61 .327 r
.52594 .50975 .52896 .51283 .53464 .53977 .5316 .53766 Mtetra
.952 .639 .401 r
.5316 .53766 .53464 .53977 .54051 .58392 .53744 .5832 Mtetra
.939 .609 .382 r
.53744 .5832 .54051 .58392 .54647 .61587 .54339 .61604 Mtetra
.729 .982 .909 r
.54339 .61604 .54647 .61587 .55227 .61228 .5492 .61218 Mtetra
.969 .751 .555 r
.5492 .61218 .55227 .61228 .55774 .5739 .5547 .57254 Mtetra
.961 .73 .544 r
.5547 .57254 .55774 .5739 .56298 .52602 .55999 .52331 Mtetra
.945 .741 .597 r
.55999 .52331 .56298 .52602 .56836 .49905 .56539 .49578 Mtetra
.828 .378 0 r
.56539 .49578 .56836 .49905 .57422 .50948 .57125 .50676 Mtetra
.957 .635 .37 r
.57125 .50676 .57422 .50948 .58064 .55088 .57766 .54955 Mtetra
.951 .634 .392 r
.57766 .54955 .58064 .55088 .5873 .59667 .58432 .59671 Mtetra
.909 .533 .301 r
.58432 .59671 .5873 .59667 .59359 .61496 .59061 .61539 Mtetra
.981 .801 .588 r
.59061 .61539 .59359 .61496 .59905 .59142 .59609 .59096 Mtetra
.971 .737 .527 r
.59609 .59096 .59905 .59142 .60383 .54129 .60089 .5393 Mtetra
.963 .732 .542 r
.60089 .5393 .60383 .54129 .60859 .497 .60567 .49387 Mtetra
.902 .773 .709 r
.60567 .49387 .60859 .497 .61411 .48563 .6112 .48242 Mtetra
.95 .598 .279 r
.6112 .48242 .61411 .48563 .62073 .51338 .61783 .5112 Mtetra
.958 .637 .371 r
.61783 .5112 .62073 .51338 .62812 .56254 .62524 .56189 Mtetra
.946 .612 .36 r
.62524 .56189 .62812 .56254 .63532 .60001 .63245 .60044 Mtetra
.205 .73 .75 r
.63245 .60044 .63532 .60001 .64136 .59886 .6385 .5991 Mtetra
.981 .757 .527 r
.6385 .5991 .64136 .59886 .64602 .55863 .64316 .55756 Mtetra
.973 .733 .514 r
.64316 .55756 .64602 .55863 .65007 .5057 .64721 .50312 Mtetra
.961 .743 .562 r
.64721 .50312 .65007 .5057 .65477 .47335 .65191 .47 Mtetra
0 0 .481 r
.65191 .47 .65477 .47335 .66097 .48007 .65814 .4771 Mtetra
.958 .622 .317 r
.65814 .4771 .66097 .48007 .66867 .52043 .66586 .51875 Mtetra
.957 .628 .349 r
.66586 .51875 .66867 .52043 .67684 .5677 .67407 .56746 Mtetra
.921 .541 .273 r
.67407 .56746 .67684 .5677 .684 .58908 .68125 .58946 Mtetra
.99 .826 .585 r
.68125 .58946 .684 .58908 .68921 .56836 .68646 .56808 Mtetra
.981 .743 .501 r
.68646 .56808 .68921 .56836 .69292 .5189 .69016 .51716 Mtetra
.975 .736 .514 r
.69016 .51716 .69292 .5189 .69665 .4728 .69386 .46978 Mtetra
.937 .776 .656 r
.69386 .46978 .69665 .4728 .70188 .45743 .6991 .45404 Mtetra
.925 .542 .157 r
.6991 .45404 .70188 .45743 .7092 .48015 .70645 .47744 Mtetra
.959 .621 .307 r
.70645 .47744 .7092 .48015 .71791 .52501 .7152 .52367 Mtetra
.949 .599 .3 r
.7152 .52367 .71791 .52501 .72629 .56136 .72364 .56119 Mtetra
.275 0 0 r
.72364 .56119 .72629 .56136 .73269 .56283 .73006 .56282 Mtetra
.989 .77 .513 r
.73006 .56282 .73269 .56283 .73678 .52748 .73413 .52652 Mtetra
.983 .741 .491 r
.73413 .52652 .73678 .52748 .73988 .47865 .7372 .4763 Mtetra
.974 .752 .54 r
.7372 .4763 .73988 .47865 .74395 .44663 .74124 .44331 Mtetra
.212 .518 .915 r
.74124 .44331 .74395 .44663 .75029 .44908 .74758 .44571 Mtetra
.944 .582 .214 r
.74758 .44571 .75029 .44908 .75881 .48191 .75615 .47942 Mtetra
.953 .602 .265 r
.75615 .47942 .75881 .48191 .76801 .52203 .76542 .52081 Mtetra
.907 .497 .155 r
.76542 .52081 .76801 .52203 .77579 .54081 .77326 .54041 Mtetra
.988 .851 .615 r
.77326 .54041 .77579 .54081 .78095 .52412 .77842 .5235 Mtetra
.989 .754 .487 r
.77842 .5235 .78095 .52412 .78413 .48274 .78156 .48105 Mtetra
.984 .749 .499 r
.78156 .48105 .78413 .48274 .78732 .44333 .7847 .44042 Mtetra
.948 .795 .658 r
.7847 .44042 .78732 .44333 .79246 .42908 .78981 .42553 Mtetra
.834 .414 0 r
.78981 .42553 .79246 .42908 .80019 .44599 .79755 .4427 Mtetra
.939 .574 .189 r
.79755 .4427 .80019 .44599 .80952 .4805 .80695 .47819 Mtetra
.926 .542 .164 r
.80695 .47819 .80952 .4805 .81835 .50762 .81587 .50637 Mtetra
.282 .734 .958 r
.81587 .50637 .81835 .50762 .82484 .50722 .82241 .50637 Mtetra
.993 .785 .518 r
.82241 .50637 .82484 .50722 .82875 .47869 .82631 .47731 Mtetra
.99 .756 .486 r
.82631 .47731 .82875 .47869 .8317 .44082 .82919 .43836 Mtetra
.98 .776 .558 r
.82919 .43836 .8317 .44082 .83586 .41696 .83329 .41357 Mtetra
.243 .531 .919 r
.83329 .41357 .83586 .41696 .84255 .41961 .83996 .41595 Mtetra
.884 .49 .037 r
.83996 .41595 .84255 .41961 .85143 .44387 .84888 .44074 Mtetra
.907 .519 .095 r
.84888 .44074 .85143 .44387 .86072 .47104 .85827 .46886 Mtetra
.702 .211 0 r
.85827 .46886 .86072 .47104 .86832 .48065 .86595 .47919 Mtetra
.983 .845 .627 r
.86595 .47919 .86832 .48065 .87329 .46489 .87094 .4634 Mtetra
.993 .772 .497 r
.87094 .4634 .87329 .46489 .87659 .43401 .87419 .43177 Mtetra
.988 .776 .528 r
.87419 .43177 .87659 .43401 .88028 .40767 .87781 .40449 Mtetra
.877 .822 .791 r
.87781 .40449 .88028 .40767 .88607 .40077 .88356 .39705 Mtetra
.68 .251 0 r
.88356 .39705 .88607 .40077 .89422 .41461 .89172 .41103 Mtetra
.847 .444 0 r
.89172 .41103 .89422 .41461 .90343 .43693 .90101 .43403 Mtetra
.736 .285 0 r
.90101 .43403 .90343 .43693 .91169 .45023 .90936 .44808 Mtetra
.868 .894 .85 r
.90936 .44808 .91169 .45023 .91766 .44383 .91537 .44192 Mtetra
.993 .801 .544 r
.91537 .44192 .91766 .44383 .92167 .42141 .91936 .41909 Mtetra
.991 .786 .533 r
.91936 .41909 .92167 .42141 .92541 .39743 .92303 .39436 Mtetra
.944 .823 .694 r
.92303 .39436 .92541 .39743 .93066 .38598 .92823 .38231 Mtetra
0 .286 .786 r
.92823 .38231 .93066 .38598 .93809 .3917 .93565 .38793 Mtetra
.761 .76 .851 r
.35438 .55977 .35764 .56276 .363 .55918 .35975 .55622 Mtetra
.916 .518 .208 r
.35975 .55622 .363 .55918 .36764 .57128 .36436 .56876 Mtetra
.937 .598 .365 r
.36436 .56876 .36764 .57128 .37196 .59157 .36864 .58966 Mtetra
.918 .547 .304 r
.36864 .58966 .37196 .59157 .37661 .60611 .37327 .6046 Mtetra
.724 .864 .948 r
.37327 .6046 .37661 .60611 .38204 .60359 .37871 .60198 Mtetra
.928 .755 .647 r
.37871 .60198 .38204 .60359 .38815 .5841 .38487 .58193 Mtetra
.926 .736 .625 r
.38487 .58193 .38815 .5841 .3944 .55978 .39118 .55698 Mtetra
.897 .749 .69 r
.39118 .55698 .3944 .55978 .40019 .54655 .39699 .54347 Mtetra
.767 .282 0 r
.39699 .54347 .40019 .54655 .40522 .55364 .40202 .55087 Mtetra
.943 .612 .371 r
.40202 .55087 .40522 .55364 .40974 .57739 .40648 .57535 Mtetra
.938 .61 .389 r
.40648 .57535 .40974 .57739 .41429 .60249 .411 .60119 Mtetra
.855 .409 .137 r
.411 .60119 .41429 .60249 .41945 .61111 .41615 .61004 Mtetra
.936 .788 .672 r
.41615 .61004 .41945 .61111 .42536 .59563 .4221 .5941 Mtetra
.941 .738 .601 r
.4221 .5941 .42536 .59563 .43165 .56515 .42844 .56277 Mtetra
.931 .735 .616 r
.42844 .56277 .43165 .56515 .43773 .53938 .43457 .53636 Mtetra
.778 .767 .843 r
.43457 .53636 .43773 .53938 .44322 .53532 .44007 .53229 Mtetra
.944 .596 .325 r
.44007 .53229 .44322 .53532 .44813 .55648 .44496 .55415 Mtetra
.946 .631 .406 r
.44496 .55415 .44813 .55648 .45287 .59008 .44965 .58877 Mtetra
.932 .594 .372 r
.44965 .58877 .45287 .59008 .45794 .61362 .45468 .61297 Mtetra
.814 .933 .91 r
.45468 .61297 .45794 .61362 .46358 .60949 .46035 .60867 Mtetra
.952 .749 .592 r
.46035 .60867 .46358 .60949 .46967 .57886 .46648 .57712 Mtetra
.947 .731 .579 r
.46648 .57712 .46967 .57886 .47577 .5414 .47264 .53865 Mtetra
.925 .744 .638 r
.47264 .53865 .47577 .5414 .48153 .52138 .47844 .5182 Mtetra
.869 .432 .037 r
.47844 .5182 .48153 .52138 .4869 .53202 .4838 .52931 Mtetra
.951 .633 .392 r
.4838 .52931 .4869 .53202 .49209 .56754 .48895 .56596 Mtetra
.945 .63 .408 r
.48895 .56596 .49209 .56754 .49739 .60526 .49421 .60477 Mtetra
.893 .499 .269 r
.49421 .60477 .49739 .60526 .50298 .61877 .4998 .61858 Mtetra
.963 .788 .617 r
.4998 .61858 .50298 .61877 .5088 .59702 .50566 .59607 Mtetra
.958 .734 .559 r
.50566 .59607 .5088 .59702 .51464 .55354 .51155 .55132 Mtetra
.949 .731 .574 r
.51155 .55132 .51464 .55354 .52034 .51662 .51729 .51351 Mtetra
.844 .773 .783 r
.51729 .51351 .52034 .51662 .52594 .50975 .5229 .50668 Mtetra
.952 .613 .333 r
.5229 .50668 .52594 .50975 .5316 .53766 .52855 .53558 Mtetra
.952 .64 .404 r
.52855 .53558 .5316 .53766 .53744 .5832 .53436 .5825 Mtetra
.939 .611 .385 r
.53436 .5825 .53744 .5832 .54339 .61604 .54029 .6162 Mtetra
.759 .985 .903 r
.54029 .6162 .54339 .61604 .5492 .61218 .54611 .61203 Mtetra
.968 .749 .553 r
.54611 .61203 .5492 .61218 .5547 .57254 .55166 .57111 Mtetra
.96 .729 .543 r
.55166 .57111 .5547 .57254 .55999 .52331 .55698 .52055 Mtetra
.945 .74 .595 r
.55698 .52055 .55999 .52331 .56539 .49578 .56241 .49249 Mtetra
.844 .401 0 r
.56241 .49249 .56539 .49578 .57125 .50676 .56827 .50407 Mtetra
.957 .637 .374 r
.56827 .50407 .57125 .50676 .57766 .54955 .57468 .54825 Mtetra
.952 .635 .394 r
.57468 .54825 .57766 .54955 .58432 .59671 .58132 .59676 Mtetra
.91 .535 .304 r
.58132 .59676 .58432 .59671 .59061 .61539 .58762 .6158 Mtetra
.98 .797 .584 r
.58762 .6158 .59061 .61539 .59609 .59096 .59311 .59043 Mtetra
.97 .735 .526 r
.59311 .59043 .59609 .59096 .60089 .5393 .59793 .53723 Mtetra
.962 .73 .54 r
.59793 .53723 .60089 .5393 .60567 .49387 .60274 .4907 Mtetra
.901 .772 .709 r
.60274 .4907 .60567 .49387 .6112 .48242 .60829 .47921 Mtetra
.951 .601 .287 r
.60829 .47921 .6112 .48242 .61783 .5112 .61493 .50905 Mtetra
.958 .639 .374 r
.61493 .50905 .61783 .5112 .62524 .56189 .62234 .56129 Mtetra
.946 .614 .363 r
.62234 .56129 .62524 .56189 .63245 .60044 .62957 .60086 Mtetra
.257 .766 .774 r
.62957 .60086 .63245 .60044 .6385 .5991 .63563 .59929 Mtetra
.98 .755 .525 r
.63563 .59929 .6385 .5991 .64316 .55756 .64029 .55641 Mtetra
.972 .731 .513 r
.64029 .55641 .64316 .55756 .64721 .50312 .64434 .50048 Mtetra
.961 .741 .56 r
.64434 .50048 .64721 .50312 .65191 .47 .64905 .46663 Mtetra
.555 .082 0 r
.64905 .46663 .65191 .47 .65814 .4771 .65529 .47414 Mtetra
.959 .624 .322 r
.65529 .47414 .65814 .4771 .66586 .51875 .66305 .51711 Mtetra
.957 .629 .352 r
.66305 .51711 .66586 .51875 .67407 .56746 .67129 .56725 Mtetra
.922 .545 .277 r
.67129 .56725 .67407 .56746 .68125 .58946 .67849 .58982 Mtetra
.99 .822 .581 r
.67849 .58982 .68125 .58946 .68646 .56808 .6837 .56774 Mtetra
.981 .741 .5 r
.6837 .56774 .68646 .56808 .69016 .51716 .68738 .51536 Mtetra
.974 .735 .513 r
.68738 .51536 .69016 .51716 .69386 .46978 .69107 .46672 Mtetra
.938 .774 .653 r
.69107 .46672 .69386 .46978 .6991 .45404 .69631 .45064 Mtetra
.928 .548 .166 r
.69631 .45064 .6991 .45404 .70645 .47744 .70368 .47476 Mtetra
.959 .623 .311 r
.70368 .47476 .70645 .47744 .7152 .52367 .71249 .52234 Mtetra
.95 .602 .304 r
.71249 .52234 .7152 .52367 .72364 .56119 .72097 .56101 Mtetra
.296 0 0 r
.72097 .56101 .72364 .56119 .73006 .56282 .72741 .56277 Mtetra
.989 .768 .511 r
.72741 .56277 .73006 .56282 .73413 .52652 .73147 .5255 Mtetra
.982 .739 .489 r
.73147 .5255 .73413 .52652 .7372 .4763 .7345 .47389 Mtetra
.974 .75 .538 r
.7345 .47389 .7372 .4763 .74124 .44331 .73851 .43995 Mtetra
.215 .519 .915 r
.73851 .43995 .74124 .44331 .74758 .44571 .74486 .44234 Mtetra
.945 .585 .219 r
.74486 .44234 .74758 .44571 .75615 .47942 .75347 .47695 Mtetra
.953 .605 .27 r
.75347 .47695 .75615 .47942 .76542 .52081 .76281 .5196 Mtetra
.91 .504 .165 r
.76281 .5196 .76542 .52081 .77326 .54041 .7707 .53998 Mtetra
.988 .849 .613 r
.7707 .53998 .77326 .54041 .77842 .5235 .77588 .52284 Mtetra
.989 .753 .485 r
.77588 .52284 .77842 .5235 .78156 .48105 .77898 .47931 Mtetra
.984 .747 .497 r
.77898 .47931 .78156 .48105 .7847 .44042 .78207 .43748 Mtetra
.95 .792 .651 r
.78207 .43748 .7847 .44042 .78981 .42553 .78715 .42197 Mtetra
.838 .419 0 r
.78715 .42197 .78981 .42553 .79755 .4427 .79491 .43941 Mtetra
.94 .577 .194 r
.79491 .43941 .79755 .4427 .80695 .47819 .80438 .47587 Mtetra
.928 .547 .172 r
.80438 .47587 .80695 .47819 .81587 .50637 .81338 .50509 Mtetra
.212 .687 .937 r
.81338 .50509 .81587 .50637 .82241 .50637 .81996 .50549 Mtetra
.993 .784 .516 r
.81996 .50549 .82241 .50637 .82631 .47731 .82385 .4759 Mtetra
.99 .754 .483 r
.82385 .4759 .82631 .47731 .82919 .43836 .82667 .43588 Mtetra
.981 .774 .552 r
.82667 .43588 .82919 .43836 .83329 .41357 .83071 .41016 Mtetra
.275 .551 .926 r
.83071 .41016 .83329 .41357 .83996 .41595 .83737 .41228 Mtetra
.887 .495 .045 r
.83737 .41228 .83996 .41595 .84888 .44074 .84633 .43759 Mtetra
.91 .525 .104 r
.84633 .43759 .84888 .44074 .85827 .46886 .8558 .46666 Mtetra
.726 .241 0 r
.8558 .46666 .85827 .46886 .86595 .47919 .86356 .4777 Mtetra
.983 .845 .627 r
.86356 .4777 .86595 .47919 .87094 .4634 .86857 .46188 Mtetra
.993 .77 .495 r
.86857 .46188 .87094 .4634 .87419 .43177 .87178 .42952 Mtetra
.988 .773 .523 r
.87178 .42952 .87419 .43177 .87781 .40449 .87533 .40131 Mtetra
.887 .822 .778 r
.87533 .40131 .87781 .40449 .88356 .39705 .88103 .39332 Mtetra
.684 .256 0 r
.88103 .39332 .88356 .39705 .89172 .41103 .88921 .40742 Mtetra
.852 .451 0 r
.88921 .40742 .89172 .41103 .90101 .43403 .89857 .4311 Mtetra
.752 .306 0 r
.89857 .4311 .90101 .43403 .90936 .44808 .90701 .44588 Mtetra
.859 .893 .859 r
.90701 .44588 .90936 .44808 .91537 .44192 .91307 .43999 Mtetra
.993 .799 .541 r
.91307 .43999 .91537 .44192 .91936 .41909 .91704 .41677 Mtetra
.991 .784 .528 r
.91704 .41677 .91936 .41909 .92303 .39436 .92065 .39128 Mtetra
.949 .821 .683 r
.92065 .39128 .92303 .39436 .92823 .38231 .92578 .37862 Mtetra
0 .294 .791 r
.92578 .37862 .92823 .38231 .93565 .38793 .9332 .38415 Mtetra
.759 .759 .852 r
.35112 .55676 .35438 .55977 .35975 .55622 .35649 .55325 Mtetra
.919 .526 .222 r
.35649 .55325 .35975 .55622 .36436 .56876 .36107 .56623 Mtetra
.937 .601 .37 r
.36107 .56623 .36436 .56876 .36864 .58966 .36531 .58774 Mtetra
.919 .551 .31 r
.36531 .58774 .36864 .58966 .37327 .6046 .36991 .60308 Mtetra
.731 .864 .944 r
.36991 .60308 .37327 .6046 .37871 .60198 .37536 .60035 Mtetra
.928 .753 .644 r
.37536 .60035 .37871 .60198 .38487 .58193 .38158 .57974 Mtetra
.927 .735 .623 r
.38158 .57974 .38487 .58193 .39118 .55698 .38794 .55416 Mtetra
.898 .748 .688 r
.38794 .55416 .39118 .55698 .39699 .54347 .39378 .54038 Mtetra
.785 .305 0 r
.39378 .54038 .39699 .54347 .40202 .55087 .39879 .54808 Mtetra
.944 .614 .376 r
.39879 .54808 .40202 .55087 .40648 .57535 .40322 .57331 Mtetra
.938 .613 .393 r
.40322 .57331 .40648 .57535 .411 .60119 .40769 .59989 Mtetra
.859 .416 .146 r
.40769 .59989 .411 .60119 .41615 .61004 .41283 .60896 Mtetra
.936 .785 .668 r
.41283 .60896 .41615 .61004 .4221 .5941 .41882 .59254 Mtetra
.941 .737 .599 r
.41882 .59254 .4221 .5941 .42844 .56277 .42523 .56037 Mtetra
.931 .734 .614 r
.42523 .56037 .42844 .56277 .43457 .53636 .43141 .53331 Mtetra
.778 .767 .844 r
.43141 .53331 .43457 .53636 .44007 .53229 .43691 .52926 Mtetra
.945 .6 .331 r
.43691 .52926 .44007 .53229 .44496 .55415 .44177 .55183 Mtetra
.946 .632 .409 r
.44177 .55183 .44496 .55415 .44965 .58877 .44641 .58746 Mtetra
.932 .596 .376 r
.44641 .58746 .44965 .58877 .45468 .61297 .45141 .61232 Mtetra
.823 .931 .903 r
.45141 .61232 .45468 .61297 .46035 .60867 .4571 .60783 Mtetra
.952 .748 .59 r
.4571 .60783 .46035 .60867 .46648 .57712 .46329 .57535 Mtetra
.946 .73 .577 r
.46329 .57535 .46648 .57712 .47264 .53865 .46951 .53587 Mtetra
.926 .743 .636 r
.46951 .53587 .47264 .53865 .47844 .5182 .47534 .51501 Mtetra
.879 .447 .061 r
.47534 .51501 .47844 .5182 .4838 .52931 .48069 .52661 Mtetra
.951 .635 .396 r
.48069 .52661 .4838 .52931 .48895 .56596 .48579 .56439 Mtetra
.945 .632 .41 r
.48579 .56439 .48895 .56596 .49421 .60477 .49101 .6043 Mtetra
.894 .502 .273 r
.49101 .6043 .49421 .60477 .4998 .61858 .4966 .61837 Mtetra
.963 .785 .614 r
.4966 .61837 .4998 .61858 .50566 .59607 .5025 .59508 Mtetra
.957 .733 .557 r
.5025 .59508 .50566 .59607 .51155 .55132 .50844 .54906 Mtetra
.949 .729 .572 r
.50844 .54906 .51155 .55132 .51729 .51351 .51423 .51036 Mtetra
.842 .772 .784 r
.51423 .51036 .51729 .51351 .5229 .50668 .51985 .5036 Mtetra
.952 .616 .339 r
.51985 .5036 .5229 .50668 .52855 .53558 .52548 .53352 Mtetra
.952 .642 .406 r
.52548 .53352 .52855 .53558 .53436 .5825 .53126 .58183 Mtetra
.939 .613 .388 r
.53126 .58183 .53436 .5825 .54029 .6162 .53717 .61638 Mtetra
.787 .987 .895 r
.53717 .61638 .54029 .6162 .54611 .61203 .54301 .61185 Mtetra
.968 .747 .551 r
.54301 .61185 .54611 .61203 .55166 .57111 .54859 .56963 Mtetra
.96 .728 .542 r
.54859 .56963 .55166 .57111 .55698 .52055 .55396 .51773 Mtetra
.945 .739 .593 r
.55396 .51773 .55698 .52055 .56241 .49249 .55942 .48918 Mtetra
.858 .422 .001 r
.55942 .48918 .56241 .49249 .56827 .50407 .56528 .50139 Mtetra
.957 .638 .378 r
.56528 .50139 .56827 .50407 .57468 .54825 .57168 .54699 Mtetra
.952 .636 .396 r
.57168 .54699 .57468 .54825 .58132 .59676 .57831 .59684 Mtetra
.911 .537 .307 r
.57831 .59684 .58132 .59676 .58762 .6158 .58461 .61619 Mtetra
.98 .793 .58 r
.58461 .61619 .58762 .6158 .59311 .59043 .59012 .58985 Mtetra
.97 .734 .525 r
.59012 .58985 .59311 .59043 .59793 .53723 .59496 .5351 Mtetra
.962 .729 .539 r
.59496 .5351 .59793 .53723 .60274 .4907 .59979 .48748 Mtetra
.901 .771 .709 r
.59979 .48748 .60274 .4907 .60829 .47921 .60536 .47601 Mtetra
.953 .605 .294 r
.60536 .47601 .60829 .47921 .61493 .50905 .61201 .50693 Mtetra
.958 .64 .377 r
.61201 .50693 .61493 .50905 .62234 .56129 .61943 .56073 Mtetra
.947 .615 .366 r
.61943 .56073 .62234 .56129 .62957 .60086 .62667 .6013 Mtetra
.315 .804 .795 r
.62667 .6013 .62957 .60086 .63563 .59929 .63273 .59945 Mtetra
.98 .753 .523 r
.63273 .59945 .63563 .59929 .64029 .55641 .6374 .5552 Mtetra
.972 .73 .512 r
.6374 .5552 .64029 .55641 .64434 .50048 .64146 .49778 Mtetra
.961 .74 .559 r
.64146 .49778 .64434 .50048 .64905 .46663 .64618 .46324 Mtetra
.595 .122 0 r
.64618 .46324 .64905 .46663 .65529 .47414 .65244 .4712 Mtetra
.959 .626 .326 r
.65244 .4712 .65529 .47414 .66305 .51711 .66022 .5155 Mtetra
.957 .631 .355 r
.66022 .5155 .66305 .51711 .67129 .56725 .66849 .56706 Mtetra
.923 .547 .282 r
.66849 .56706 .67129 .56725 .67849 .58982 .67571 .59017 Mtetra
.99 .818 .577 r
.67571 .59017 .67849 .58982 .6837 .56774 .68092 .56736 Mtetra
.98 .739 .499 r
.68092 .56736 .6837 .56774 .68738 .51536 .68458 .51349 Mtetra
.974 .734 .511 r
.68458 .51349 .68738 .51536 .69107 .46672 .68826 .46362 Mtetra
.938 .773 .65 r
.68826 .46362 .69107 .46672 .69631 .45064 .6935 .44723 Mtetra
.931 .553 .175 r
.6935 .44723 .69631 .45064 .70368 .47476 .70091 .4721 Mtetra
.96 .625 .314 r
.70091 .4721 .70368 .47476 .71249 .52234 .70976 .52105 Mtetra
.951 .604 .308 r
.70976 .52105 .71249 .52234 .72097 .56101 .71829 .56085 Mtetra
.313 0 0 r
.71829 .56085 .72097 .56101 .72741 .56277 .72475 .5627 Mtetra
.989 .766 .509 r
.72475 .5627 .72741 .56277 .73147 .5255 .72879 .52444 Mtetra
.982 .737 .488 r
.72879 .52444 .73147 .5255 .7345 .47389 .73179 .47144 Mtetra
.974 .749 .535 r
.73179 .47144 .7345 .47389 .73851 .43995 .73577 .43658 Mtetra
.215 .518 .915 r
.73577 .43658 .73851 .43995 .74486 .44234 .74213 .43898 Mtetra
.947 .588 .225 r
.74213 .43898 .74486 .44234 .75347 .47695 .75079 .47449 Mtetra
.954 .607 .274 r
.75079 .47449 .75347 .47695 .76281 .5196 .76019 .51839 Mtetra
.913 .511 .173 r
.76019 .51839 .76281 .5196 .7707 .53998 .76814 .53955 Mtetra
.988 .848 .611 r
.76814 .53955 .7707 .53998 .77588 .52284 .77332 .52215 Mtetra
.988 .751 .484 r
.77332 .52215 .77588 .52284 .77898 .47931 .77639 .47754 Mtetra
.984 .745 .495 r
.77639 .47754 .77898 .47931 .78207 .43748 .77943 .43452 Mtetra
.952 .79 .645 r
.77943 .43452 .78207 .43748 .78715 .42197 .78448 .4184 Mtetra
.842 .424 0 r
.78448 .4184 .78715 .42197 .79491 .43941 .79226 .43611 Mtetra
.942 .58 .2 r
.79226 .43611 .79491 .43941 .80438 .47587 .80179 .47354 Mtetra
.931 .552 .179 r
.80179 .47354 .80438 .47587 .81338 .50509 .81087 .50381 Mtetra
.141 .638 .911 r
.81087 .50381 .81338 .50509 .81996 .50549 .8175 .5046 Mtetra
.993 .782 .514 r
.8175 .5046 .81996 .50549 .82385 .4759 .82137 .47447 Mtetra
.989 .752 .481 r
.82137 .47447 .82385 .4759 .82667 .43588 .82414 .43339 Mtetra
.981 .771 .547 r
.82414 .43339 .82667 .43588 .83071 .41016 .82813 .40674 Mtetra
.307 .571 .932 r
.82813 .40674 .83071 .41016 .83737 .41228 .83476 .4086 Mtetra
.89 .499 .052 r
.83476 .4086 .83737 .41228 .84633 .43759 .84377 .43443 Mtetra
.914 .531 .112 r
.84377 .43443 .84633 .43759 .8558 .46666 .85332 .46444 Mtetra
.747 .269 0 r
.85332 .46444 .8558 .46666 .86356 .4777 .86116 .47619 Mtetra
.983 .845 .628 r
.86116 .47619 .86356 .4777 .86857 .46188 .8662 .46035 Mtetra
.993 .769 .492 r
.8662 .46035 .86857 .46188 .87178 .42952 .86936 .42726 Mtetra
.989 .771 .518 r
.86936 .42726 .87178 .42952 .87533 .40131 .87285 .39813 Mtetra
.897 .822 .766 r
.87285 .39813 .87533 .40131 .88103 .39332 .8785 .38958 Mtetra
.688 .26 0 r
.8785 .38958 .88103 .39332 .88921 .40742 .88669 .40379 Mtetra
.858 .459 0 r
.88669 .40379 .88921 .40742 .89857 .4311 .89612 .42814 Mtetra
.767 .325 0 r
.89612 .42814 .89857 .4311 .90701 .44588 .90465 .44367 Mtetra
.849 .892 .868 r
.90465 .44367 .90701 .44588 .91307 .43999 .91076 .43805 Mtetra
.993 .797 .539 r
.91076 .43805 .91307 .43999 .91704 .41677 .91471 .41443 Mtetra
.991 .782 .523 r
.91471 .41443 .91704 .41677 .92065 .39128 .91826 .3882 Mtetra
.953 .819 .673 r
.91826 .3882 .92065 .39128 .92578 .37862 .92333 .37493 Mtetra
0 .303 .797 r
.92333 .37493 .92578 .37862 .9332 .38415 .93075 .38034 Mtetra
.758 .759 .854 r
.34784 .55375 .35112 .55676 .35649 .55325 .35322 .55026 Mtetra
.922 .534 .234 r
.35322 .55026 .35649 .55325 .36107 .56623 .35777 .56369 Mtetra
.938 .604 .375 r
.35777 .56369 .36107 .56623 .36531 .58774 .36197 .58581 Mtetra
.921 .555 .316 r
.36197 .58581 .36531 .58774 .36991 .60308 .36654 .60155 Mtetra
.738 .864 .939 r
.36654 .60155 .36991 .60308 .37536 .60035 .37201 .59872 Mtetra
.929 .752 .642 r
.37201 .59872 .37536 .60035 .38158 .57974 .37827 .57754 Mtetra
.927 .734 .621 r
.37827 .57754 .38158 .57974 .38794 .55416 .38469 .55133 Mtetra
.898 .748 .686 r
.38469 .55133 .38794 .55416 .39378 .54038 .39057 .53729 Mtetra
.802 .327 0 r
.39057 .53729 .39378 .54038 .39879 .54808 .39556 .54529 Mtetra
.944 .617 .38 r
.39556 .54529 .39879 .54808 .40322 .57331 .39994 .57126 Mtetra
.938 .615 .396 r
.39994 .57126 .40322 .57331 .40769 .59989 .40436 .59858 Mtetra
.863 .423 .155 r
.40436 .59858 .40769 .59989 .41283 .60896 .4095 .60788 Mtetra
.937 .783 .665 r
.4095 .60788 .41283 .60896 .41882 .59254 .41552 .59098 Mtetra
.941 .735 .597 r
.41552 .59098 .41882 .59254 .42523 .56037 .422 .55794 Mtetra
.932 .733 .612 r
.422 .55794 .42523 .56037 .43141 .53331 .42823 .53025 Mtetra
.776 .767 .844 r
.42823 .53025 .43141 .53331 .43691 .52926 .43374 .52622 Mtetra
.945 .603 .338 r
.43374 .52622 .43691 .52926 .44177 .55183 .43856 .54951 Mtetra
.946 .634 .412 r
.43856 .54951 .44177 .55183 .44641 .58746 .44315 .58616 Mtetra
.933 .599 .379 r
.44315 .58616 .44641 .58746 .45141 .61232 .44813 .61168 Mtetra
.832 .929 .895 r
.44813 .61168 .45141 .61232 .4571 .60783 .45383 .60697 Mtetra
.952 .746 .588 r
.45383 .60697 .4571 .60783 .46329 .57535 .46008 .57354 Mtetra
.946 .729 .576 r
.46008 .57354 .46329 .57535 .46951 .53587 .46636 .53305 Mtetra
.926 .742 .634 r
.46636 .53305 .46951 .53587 .47534 .51501 .47222 .51181 Mtetra
.887 .462 .083 r
.47222 .51181 .47534 .51501 .48069 .52661 .47756 .52392 Mtetra
.951 .637 .399 r
.47756 .52392 .48069 .52661 .48579 .56439 .48262 .56285 Mtetra
.945 .633 .413 r
.48262 .56285 .48579 .56439 .49101 .6043 .4878 .60385 Mtetra
.895 .505 .277 r
.4878 .60385 .49101 .6043 .4966 .61837 .49338 .61816 Mtetra
.963 .782 .61 r
.49338 .61816 .4966 .61837 .5025 .59508 .49932 .59406 Mtetra
.957 .732 .556 r
.49932 .59406 .5025 .59508 .50844 .54906 .50532 .54675 Mtetra
.949 .728 .571 r
.50532 .54675 .50844 .54906 .51423 .51036 .51116 .50718 Mtetra
.84 .771 .786 r
.51116 .50718 .51423 .51036 .51985 .5036 .51679 .50052 Mtetra
.953 .619 .345 r
.51679 .50052 .51985 .5036 .52548 .53352 .5224 .5315 Mtetra
.952 .643 .409 r
.5224 .5315 .52548 .53352 .53126 .58183 .52814 .5812 Mtetra
.94 .614 .39 r
.52814 .5812 .53126 .58183 .53717 .61638 .53403 .61656 Mtetra
.813 .986 .884 r
.53403 .61656 .53717 .61638 .54301 .61185 .53989 .61164 Mtetra
.967 .745 .549 r
.53989 .61164 .54301 .61185 .54859 .56963 .54551 .56808 Mtetra
.96 .726 .54 r
.54551 .56808 .54859 .56963 .55396 .51773 .55093 .51486 Mtetra
.945 .738 .592 r
.55093 .51486 .55396 .51773 .55942 .48918 .55641 .48585 Mtetra
.871 .442 .031 r
.55641 .48585 .55942 .48918 .56528 .50139 .56228 .49874 Mtetra
.957 .64 .381 r
.56228 .49874 .56528 .50139 .57168 .54699 .56866 .54578 Mtetra
.952 .637 .399 r
.56866 .54578 .57168 .54699 .57831 .59684 .57528 .59696 Mtetra
.911 .539 .31 r
.57528 .59696 .57831 .59684 .58461 .61619 .58158 .61659 Mtetra
.98 .79 .576 r
.58158 .61659 .58461 .61619 .59012 .58985 .58711 .58921 Mtetra
.969 .732 .523 r
.58711 .58921 .59012 .58985 .59496 .5351 .59198 .5329 Mtetra
.962 .728 .538 r
.59198 .5329 .59496 .5351 .59979 .48748 .59684 .48422 Mtetra
.899 .77 .71 r
.59684 .48422 .59979 .48748 .60536 .47601 .60242 .47281 Mtetra
.954 .609 .3 r
.60242 .47281 .60536 .47601 .61201 .50693 .60908 .50486 Mtetra
.958 .641 .379 r
.60908 .50486 .61201 .50693 .61943 .56073 .6165 .56021 Mtetra
.947 .617 .368 r
.6165 .56021 .61943 .56073 .62667 .6013 .62375 .60176 Mtetra
.379 .843 .814 r
.62375 .60176 .62667 .6013 .63273 .59945 .62982 .59958 Mtetra
.979 .751 .521 r
.62982 .59958 .63273 .59945 .6374 .5552 .63449 .55392 Mtetra
.972 .729 .511 r
.63449 .55392 .6374 .5552 .64146 .49778 .63856 .49501 Mtetra
.961 .739 .557 r
.63856 .49501 .64146 .49778 .64618 .46324 .64329 .45982 Mtetra
.633 .162 0 r
.64329 .45982 .64618 .46324 .65244 .4712 .64957 .46828 Mtetra
.96 .628 .33 r
.64957 .46828 .65244 .4712 .66022 .5155 .65738 .51395 Mtetra
.958 .632 .358 r
.65738 .51395 .66022 .5155 .66849 .56706 .66567 .56692 Mtetra
.924 .55 .285 r
.66567 .56692 .66849 .56706 .67571 .59017 .67291 .59053 Mtetra
.99 .814 .573 r
.67291 .59053 .67571 .59017 .68092 .56736 .67812 .56693 Mtetra
.98 .738 .497 r
.67812 .56693 .68092 .56736 .68458 .51349 .68177 .51156 Mtetra
.974 .732 .51 r
.68177 .51156 .68458 .51349 .68826 .46362 .68544 .46047 Mtetra
.939 .771 .648 r
.68544 .46047 .68826 .46362 .6935 .44723 .69069 .44381 Mtetra
.933 .558 .184 r
.69069 .44381 .6935 .44723 .70091 .4721 .69812 .46947 Mtetra
.96 .626 .318 r
.69812 .46947 .70091 .4721 .70976 .52105 .70702 .51979 Mtetra
.951 .606 .311 r
.70702 .51979 .70976 .52105 .71829 .56085 .71559 .5607 Mtetra
.325 0 0 r
.71559 .5607 .71829 .56085 .72475 .5627 .72207 .56262 Mtetra
.988 .764 .507 r
.72207 .56262 .72475 .5627 .72879 .52444 .72609 .52333 Mtetra
.982 .736 .486 r
.72609 .52333 .72879 .52444 .73179 .47144 .72906 .46895 Mtetra
.974 .747 .533 r
.72906 .46895 .73179 .47144 .73577 .43658 .73302 .43318 Mtetra
.21 .514 .913 r
.73302 .43318 .73577 .43658 .74213 .43898 .73939 .43562 Mtetra
.948 .591 .23 r
.73939 .43562 .74213 .43898 .75079 .47449 .74809 .47205 Mtetra
.955 .609 .278 r
.74809 .47205 .75079 .47449 .76019 .51839 .75756 .51721 Mtetra
.916 .517 .182 r
.75756 .51721 .76019 .51839 .76814 .53955 .76555 .53912 Mtetra
.989 .846 .608 r
.76555 .53912 .76814 .53955 .77332 .52215 .77075 .52144 Mtetra
.988 .75 .482 r
.77075 .52144 .77332 .52215 .77639 .47754 .77378 .47573 Mtetra
.984 .744 .492 r
.77378 .47573 .77639 .47754 .77943 .43452 .77677 .43153 Mtetra
.953 .788 .638 r
.77677 .43153 .77943 .43452 .78448 .4184 .78179 .41482 Mtetra
.846 .43 0 r
.78179 .41482 .78448 .4184 .79226 .43611 .78959 .43282 Mtetra
.943 .583 .205 r
.78959 .43282 .79226 .43611 .80179 .47354 .79919 .47123 Mtetra
.933 .557 .186 r
.79919 .47123 .80179 .47354 .81087 .50381 .80834 .50252 Mtetra
.069 .586 .879 r
.80834 .50252 .81087 .50381 .8175 .5046 .81502 .50369 Mtetra
.993 .781 .512 r
.81502 .50369 .8175 .5046 .82137 .47447 .81888 .47303 Mtetra
.989 .75 .478 r
.81888 .47303 .82137 .47447 .82414 .43339 .8216 .43087 Mtetra
.982 .769 .542 r
.8216 .43087 .82414 .43339 .82813 .40674 .82553 .40331 Mtetra
.337 .589 .937 r
.82553 .40331 .82813 .40674 .83476 .4086 .83215 .40492 Mtetra
.893 .504 .058 r
.83215 .40492 .83476 .4086 .84377 .43443 .8412 .43125 Mtetra
.917 .536 .12 r
.8412 .43125 .84377 .43443 .85332 .46444 .85083 .4622 Mtetra
.766 .294 0 r
.85083 .4622 .85332 .46444 .86116 .47619 .85874 .47466 Mtetra
.983 .845 .628 r
.85874 .47466 .86116 .47619 .8662 .46035 .8638 .4588 Mtetra
.993 .767 .489 r
.8638 .4588 .8662 .46035 .86936 .42726 .86693 .425 Mtetra
.989 .769 .513 r
.86693 .425 .86936 .42726 .87285 .39813 .87035 .39493 Mtetra
.905 .821 .754 r
.87035 .39493 .87285 .39813 .8785 .38958 .87595 .38583 Mtetra
.692 .264 0 r
.87595 .38583 .8785 .38958 .88669 .40379 .88416 .40015 Mtetra
.863 .465 0 r
.88416 .40015 .88669 .40379 .89612 .42814 .89366 .42517 Mtetra
.781 .342 0 r
.89366 .42517 .89612 .42814 .90465 .44367 .90227 .44143 Mtetra
.838 .891 .878 r
.90227 .44143 .90465 .44367 .91076 .43805 .90843 .43609 Mtetra
.993 .796 .536 r
.90843 .43609 .91076 .43805 .91471 .41443 .91236 .4121 Mtetra
.992 .779 .518 r
.91236 .4121 .91471 .41443 .91826 .3882 .91585 .38512 Mtetra
.957 .816 .663 r
.91585 .38512 .91826 .3882 .92333 .37493 .92087 .37123 Mtetra
0 .313 .804 r
.92087 .37123 .92333 .37493 .93075 .38034 .92828 .37651 Mtetra
.757 .759 .855 r
.34455 .55072 .34784 .55375 .35322 .55026 .34994 .54727 Mtetra
.924 .54 .246 r
.34994 .54727 .35322 .55026 .35777 .56369 .35446 .56113 Mtetra
.938 .607 .379 r
.35446 .56113 .35777 .56369 .36197 .58581 .35861 .58386 Mtetra
.922 .559 .321 r
.35861 .58386 .36197 .58581 .36654 .60155 .36315 .59999 Mtetra
.745 .863 .935 r
.36315 .59999 .36654 .60155 .37201 .59872 .36863 .59705 Mtetra
.929 .75 .639 r
.36863 .59705 .37201 .59872 .37827 .57754 .37495 .57532 Mtetra
.927 .733 .62 r
.37495 .57532 .37827 .57754 .38469 .55133 .38143 .54848 Mtetra
.899 .747 .684 r
.38143 .54848 .38469 .55133 .39057 .53729 .38733 .53418 Mtetra
.816 .347 0 r
.38733 .53418 .39057 .53729 .39556 .54529 .39231 .54249 Mtetra
.944 .619 .385 r
.39231 .54249 .39556 .54529 .39994 .57126 .39664 .5692 Mtetra
.939 .617 .399 r
.39664 .5692 .39994 .57126 .40436 .59858 .40102 .59725 Mtetra
.866 .429 .162 r
.40102 .59725 .40436 .59858 .4095 .60788 .40615 .60676 Mtetra
.937 .78 .661 r
.40615 .60676 .4095 .60788 .41552 .59098 .41221 .58937 Mtetra
.941 .734 .595 r
.41221 .58937 .41552 .59098 .422 .55794 .41875 .55548 Mtetra
.932 .732 .61 r
.41875 .55548 .422 .55794 .42823 .53025 .42504 .52717 Mtetra
.775 .766 .845 r
.42504 .52717 .42823 .53025 .43374 .52622 .43056 .52317 Mtetra
.946 .606 .344 r
.43056 .52317 .43374 .52622 .43856 .54951 .43534 .54719 Mtetra
.946 .635 .415 r
.43534 .54719 .43856 .54951 .44315 .58616 .43988 .58486 Mtetra
.933 .601 .382 r
.43988 .58486 .44315 .58616 .44813 .61168 .44482 .611 Mtetra
.841 .924 .887 r
.44482 .611 .44813 .61168 .45383 .60697 .45054 .60606 Mtetra
.952 .744 .586 r
.45054 .60606 .45383 .60697 .46008 .57354 .45685 .57168 Mtetra
.946 .727 .574 r
.45685 .57168 .46008 .57354 .46636 .53305 .4632 .5302 Mtetra
.926 .741 .632 r
.4632 .5302 .46636 .53305 .47222 .51181 .4691 .5086 Mtetra
.895 .476 .105 r
.4691 .5086 .47222 .51181 .47756 .52392 .47442 .52123 Mtetra
.952 .638 .402 r
.47442 .52123 .47756 .52392 .48262 .56285 .47943 .56132 Mtetra
.945 .634 .415 r
.47943 .56132 .48262 .56285 .4878 .60385 .48457 .60338 Mtetra
.896 .507 .279 r
.48457 .60338 .4878 .60385 .49338 .61816 .49015 .61791 Mtetra
.963 .779 .607 r
.49015 .61791 .49338 .61816 .49932 .59406 .49612 .59296 Mtetra
.957 .73 .555 r
.49612 .59296 .49932 .59406 .50532 .54675 .50219 .54437 Mtetra
.948 .727 .57 r
.50219 .54437 .50532 .54675 .51116 .50718 .50807 .50396 Mtetra
.836 .771 .789 r
.50807 .50396 .51116 .50718 .51679 .50052 .51372 .49745 Mtetra
.953 .621 .35 r
.51372 .49745 .51679 .50052 .5224 .5315 .5193 .52949 Mtetra
.953 .644 .411 r
.5193 .52949 .5224 .5315 .52814 .5812 .52501 .58058 Mtetra
.94 .615 .392 r
.52501 .58058 .52814 .5812 .53403 .61656 .53088 .61672 Mtetra
.839 .982 .872 r
.53088 .61672 .53403 .61656 .53989 .61164 .53675 .61137 Mtetra
.967 .743 .548 r
.53675 .61137 .53989 .61164 .54551 .56808 .54242 .56645 Mtetra
.96 .725 .539 r
.54242 .56645 .54551 .56808 .55093 .51486 .54788 .51194 Mtetra
.945 .737 .591 r
.54788 .51194 .55093 .51486 .55641 .48585 .5534 .48251 Mtetra
.883 .46 .058 r
.5534 .48251 .55641 .48585 .56228 .49874 .55927 .49611 Mtetra
.957 .641 .384 r
.55927 .49611 .56228 .49874 .56866 .54578 .56563 .5446 Mtetra
.952 .638 .401 r
.56563 .5446 .56866 .54578 .57528 .59696 .57223 .59708 Mtetra
.911 .54 .311 r
.57223 .59708 .57528 .59696 .58158 .61659 .57853 .61693 Mtetra
.979 .785 .573 r
.57853 .61693 .58158 .61659 .58711 .58921 .58408 .58849 Mtetra
.969 .731 .522 r
.58408 .58849 .58711 .58921 .59198 .5329 .58898 .53062 Mtetra
.961 .727 .537 r
.58898 .53062 .59198 .5329 .59684 .48422 .59387 .48092 Mtetra
.898 .769 .711 r
.59387 .48092 .59684 .48422 .60242 .47281 .59947 .46961 Mtetra
.954 .612 .307 r
.59947 .46961 .60242 .47281 .60908 .50486 .60614 .50282 Mtetra
.959 .642 .382 r
.60614 .50282 .60908 .50486 .6165 .56021 .61356 .55972 Mtetra
.947 .618 .37 r
.61356 .55972 .6165 .56021 .62375 .60176 .62081 .6022 Mtetra
.459 .887 .842 r
.62081 .6022 .62375 .60176 .62982 .59958 .62688 .59963 Mtetra
.979 .748 .52 r
.62688 .59963 .62982 .59958 .63449 .55392 .63156 .55255 Mtetra
.971 .727 .51 r
.63156 .55255 .63449 .55392 .63856 .49501 .63564 .49218 Mtetra
.96 .737 .556 r
.63564 .49218 .63856 .49501 .64329 .45982 .64039 .45638 Mtetra
.67 .201 0 r
.64039 .45638 .64329 .45982 .64957 .46828 .64669 .46538 Mtetra
.96 .63 .334 r
.64669 .46538 .64957 .46828 .65738 .51395 .65452 .51242 Mtetra
.958 .633 .36 r
.65452 .51242 .65738 .51395 .66567 .56692 .66284 .56677 Mtetra
.925 .552 .288 r
.66284 .56677 .66567 .56692 .67291 .59053 .67009 .59085 Mtetra
.989 .81 .57 r
.67009 .59085 .67291 .59053 .67812 .56693 .6753 .56642 Mtetra
.98 .736 .496 r
.6753 .56642 .67812 .56693 .68177 .51156 .67894 .50955 Mtetra
.973 .731 .509 r
.67894 .50955 .68177 .51156 .68544 .46047 .6826 .45727 Mtetra
.939 .77 .646 r
.6826 .45727 .68544 .46047 .69069 .44381 .68786 .44038 Mtetra
.936 .563 .192 r
.68786 .44038 .69069 .44381 .69812 .46947 .69533 .46685 Mtetra
.961 .628 .321 r
.69533 .46685 .69812 .46947 .70702 .51979 .70426 .51854 Mtetra
.952 .608 .314 r
.70426 .51854 .70702 .51979 .71559 .5607 .71288 .56054 Mtetra
.326 0 0 r
.71288 .56054 .71559 .5607 .72207 .56262 .71937 .56248 Mtetra
.988 .761 .505 r
.71937 .56248 .72207 .56262 .72609 .52333 .72338 .52215 Mtetra
.981 .735 .485 r
.72338 .52215 .72609 .52333 .72906 .46895 .72631 .4664 Mtetra
.974 .745 .531 r
.72631 .4664 .72906 .46895 .73302 .43318 .73026 .42976 Mtetra
.202 .508 .91 r
.73026 .42976 .73302 .43318 .73939 .43562 .73664 .43226 Mtetra
.949 .594 .235 r
.73664 .43226 .73939 .43562 .74809 .47205 .74538 .46962 Mtetra
.956 .611 .282 r
.74538 .46962 .74809 .47205 .75756 .51721 .75491 .51601 Mtetra
.919 .522 .188 r
.75491 .51601 .75756 .51721 .76555 .53912 .76296 .53864 Mtetra
.989 .843 .607 r
.76296 .53864 .76555 .53912 .77075 .52144 .76816 .52068 Mtetra
.988 .748 .481 r
.76816 .52068 .77075 .52144 .77378 .47573 .77115 .47388 Mtetra
.983 .742 .49 r
.77115 .47388 .77378 .47573 .77677 .43153 .7741 .42851 Mtetra
.955 .785 .633 r
.7741 .42851 .77677 .43153 .78179 .41482 .7791 .41123 Mtetra
.85 .435 0 r
.7791 .41123 .78179 .41482 .78959 .43282 .78692 .42952 Mtetra
.944 .586 .21 r
.78692 .42952 .78959 .43282 .79919 .47123 .79657 .46889 Mtetra
.935 .561 .192 r
.79657 .46889 .79919 .47123 .80834 .50252 .80581 .5012 Mtetra
.007 .537 .85 r
.80581 .5012 .80834 .50252 .81502 .50369 .81253 .50274 Mtetra
.993 .779 .511 r
.81253 .50274 .81502 .50369 .81888 .47303 .81638 .47154 Mtetra
.989 .749 .476 r
.81638 .47154 .81888 .47303 .8216 .43087 .81904 .42833 Mtetra
.982 .767 .538 r
.81904 .42833 .8216 .43087 .82553 .40331 .82292 .39986 Mtetra
.366 .606 .941 r
.82292 .39986 .82553 .40331 .83215 .40492 .82952 .40122 Mtetra
.896 .508 .065 r
.82952 .40122 .83215 .40492 .8412 .43125 .83861 .42806 Mtetra
.919 .54 .127 r
.83861 .42806 .8412 .43125 .85083 .4622 .84833 .45993 Mtetra
.781 .315 0 r
.84833 .45993 .85083 .4622 .85874 .47466 .85631 .4731 Mtetra
.982 .844 .629 r
.85631 .4731 .85874 .47466 .8638 .4588 .8614 .45722 Mtetra
.993 .765 .487 r
.8614 .45722 .8638 .4588 .86693 .425 .86449 .4227 Mtetra
.989 .766 .509 r
.86449 .4227 .86693 .425 .87035 .39493 .86784 .39173 Mtetra
.912 .82 .742 r
.86784 .39173 .87035 .39493 .87595 .38583 .8734 .38207 Mtetra
.695 .267 0 r
.8734 .38207 .87595 .38583 .88416 .40015 .88162 .39649 Mtetra
.867 .471 .002 r
.88162 .39649 .88416 .40015 .89366 .42517 .89118 .42215 Mtetra
.793 .358 0 r
.89118 .42215 .89366 .42517 .90227 .44143 .89988 .43916 Mtetra
.826 .888 .887 r
.89988 .43916 .90227 .44143 .90843 .43609 .90609 .4341 Mtetra
.993 .794 .534 r
.90609 .4341 .90843 .43609 .91236 .4121 .91001 .40974 Mtetra
.992 .777 .514 r
.91001 .40974 .91236 .4121 .91585 .38512 .91344 .38203 Mtetra
.961 .814 .653 r
.91344 .38203 .91585 .38512 .92087 .37123 .91841 .36752 Mtetra
0 .324 .811 r
.91841 .36752 .92087 .37123 .92828 .37651 .9258 .37267 Mtetra
.755 .759 .856 r
.34125 .54768 .34455 .55072 .34994 .54727 .34665 .54426 Mtetra
.926 .546 .256 r
.34665 .54426 .34994 .54727 .35446 .56113 .35114 .55856 Mtetra
.938 .609 .383 r
.35114 .55856 .35446 .56113 .35861 .58386 .35523 .58189 Mtetra
.923 .562 .326 r
.35523 .58189 .35861 .58386 .36315 .59999 .35975 .59841 Mtetra
.751 .861 .93 r
.35975 .59841 .36315 .59999 .36863 .59705 .36525 .59536 Mtetra
.929 .749 .637 r
.36525 .59536 .36863 .59705 .37495 .57532 .37162 .57307 Mtetra
.928 .732 .618 r
.37162 .57307 .37495 .57532 .38143 .54848 .37816 .54562 Mtetra
.9 .746 .682 r
.37816 .54562 .38143 .54848 .38733 .53418 .38409 .53105 Mtetra
.829 .366 0 r
.38409 .53105 .38733 .53418 .39231 .54249 .38906 .53968 Mtetra
.944 .621 .389 r
.38906 .53968 .39231 .54249 .39664 .5692 .39333 .56713 Mtetra
.939 .619 .402 r
.39333 .56713 .39664 .5692 .40102 .59725 .39766 .5959 Mtetra
.869 .435 .168 r
.39766 .5959 .40102 .59725 .40615 .60676 .40278 .6056 Mtetra
.937 .778 .658 r
.40278 .6056 .40615 .60676 .41221 .58937 .40889 .58772 Mtetra
.941 .733 .594 r
.40889 .58772 .41221 .58937 .41875 .55548 .4155 .55299 Mtetra
.932 .731 .609 r
.4155 .55299 .41875 .55548 .42504 .52717 .42183 .52407 Mtetra
.773 .766 .846 r
.42183 .52407 .42504 .52717 .43056 .52317 .42737 .52012 Mtetra
.947 .609 .349 r
.42737 .52012 .43056 .52317 .43534 .54719 .43211 .54486 Mtetra
.946 .637 .418 r
.43211 .54486 .43534 .54719 .43988 .58486 .43659 .58353 Mtetra
.934 .603 .385 r
.43659 .58353 .43988 .58486 .44482 .611 .4415 .61029 Mtetra
.85 .919 .878 r
.4415 .61029 .44482 .611 .45054 .60606 .44724 .6051 Mtetra
.952 .743 .584 r
.44724 .6051 .45054 .60606 .45685 .57168 .45362 .56977 Mtetra
.946 .726 .573 r
.45362 .56977 .45685 .57168 .4632 .5302 .46003 .52731 Mtetra
.926 .74 .631 r
.46003 .52731 .4632 .5302 .4691 .5086 .46596 .50537 Mtetra
.902 .489 .125 r
.46596 .50537 .4691 .5086 .47442 .52123 .47126 .51855 Mtetra
.952 .64 .405 r
.47126 .51855 .47442 .52123 .47943 .56132 .47623 .55979 Mtetra
.946 .635 .417 r
.47623 .55979 .47943 .56132 .48457 .60338 .48132 .60289 Mtetra
.897 .509 .281 r
.48132 .60289 .48457 .60338 .49015 .61791 .4869 .6176 Mtetra
.962 .775 .604 r
.4869 .6176 .49015 .61791 .49612 .59296 .49291 .5918 Mtetra
.956 .729 .553 r
.49291 .5918 .49612 .59296 .50219 .54437 .49905 .54194 Mtetra
.948 .726 .569 r
.49905 .54194 .50219 .54437 .50807 .50396 .50498 .50072 Mtetra
.833 .77 .792 r
.50498 .50072 .50807 .50396 .51372 .49745 .51064 .49437 Mtetra
.954 .624 .355 r
.51064 .49437 .51372 .49745 .5193 .52949 .51619 .5275 Mtetra
.953 .645 .413 r
.51619 .5275 .5193 .52949 .52501 .58058 .52186 .57996 Mtetra
.94 .617 .394 r
.52186 .57996 .52501 .58058 .53088 .61672 .52771 .61685 Mtetra
.862 .975 .858 r
.52771 .61685 .53088 .61672 .53675 .61137 .5336 .61102 Mtetra
.966 .741 .546 r
.5336 .61102 .53675 .61137 .54242 .56645 .53931 .56474 Mtetra
.959 .724 .539 r
.53931 .56474 .54242 .56645 .54788 .51194 .54483 .50895 Mtetra
.945 .736 .59 r
.54483 .50895 .54788 .51194 .5534 .48251 .55037 .47915 Mtetra
.893 .477 .084 r
.55037 .47915 .5534 .48251 .55927 .49611 .55624 .49349 Mtetra
.957 .642 .387 r
.55624 .49349 .55927 .49611 .56563 .5446 .56258 .54343 Mtetra
.952 .639 .402 r
.56258 .54343 .56563 .5446 .57223 .59708 .56917 .59719 Mtetra
.912 .541 .311 r
.56917 .59719 .57223 .59708 .57853 .61693 .57546 .61721 Mtetra
.978 .782 .57 r
.57546 .61721 .57853 .61693 .58408 .58849 .58103 .58768 Mtetra
.968 .729 .522 r
.58103 .58768 .58408 .58849 .58898 .53062 .58597 .52825 Mtetra
.961 .726 .536 r
.58597 .52825 .58898 .53062 .59387 .48092 .59089 .47757 Mtetra
.896 .769 .713 r
.59089 .47757 .59387 .48092 .59947 .46961 .59651 .46641 Mtetra
.955 .615 .313 r
.59651 .46641 .59947 .46961 .60614 .50282 .60318 .5008 Mtetra
.959 .643 .384 r
.60318 .5008 .60614 .50282 .61356 .55972 .61061 .55925 Mtetra
.948 .619 .372 r
.61061 .55925 .61356 .55972 .62081 .6022 .61785 .60262 Mtetra
.54 .927 .863 r
.61785 .60262 .62081 .6022 .62688 .59963 .62393 .59962 Mtetra
.978 .746 .519 r
.62393 .59962 .62688 .59963 .63156 .55255 .62862 .55109 Mtetra
.971 .726 .509 r
.62862 .55109 .63156 .55255 .63564 .49218 .63272 .48927 Mtetra
.96 .736 .555 r
.63272 .48927 .63564 .49218 .64039 .45638 .63749 .45291 Mtetra
.704 .238 0 r
.63749 .45291 .64039 .45638 .64669 .46538 .64381 .46249 Mtetra
.961 .632 .337 r
.64381 .46249 .64669 .46538 .65452 .51242 .65166 .51091 Mtetra
.958 .634 .362 r
.65166 .51091 .65452 .51242 .66284 .56677 .65999 .56663 Mtetra
.925 .554 .29 r
.65999 .56663 .66284 .56677 .67009 .59085 .66726 .59111 Mtetra
.989 .806 .566 r
.66726 .59111 .67009 .59085 .6753 .56642 .67246 .56583 Mtetra
.979 .735 .495 r
.67246 .56583 .6753 .56642 .67894 .50955 .67609 .50746 Mtetra
.973 .73 .508 r
.67609 .50746 .67894 .50955 .6826 .45727 .67975 .45403 Mtetra
.939 .769 .645 r
.67975 .45403 .6826 .45727 .68786 .44038 .68503 .43695 Mtetra
.938 .568 .2 r
.68503 .43695 .68786 .44038 .69533 .46685 .69252 .46424 Mtetra
.961 .629 .324 r
.69252 .46424 .69533 .46685 .70426 .51854 .7015 .5173 Mtetra
.952 .61 .317 r
.7015 .5173 .70426 .51854 .71288 .56054 .71015 .56035 Mtetra
.319 0 0 r
.71015 .56035 .71288 .56054 .71937 .56248 .71665 .56228 Mtetra
.987 .759 .504 r
.71665 .56228 .71937 .56248 .72338 .52215 .72065 .5209 Mtetra
.981 .733 .484 r
.72065 .5209 .72338 .52215 .72631 .4664 .72355 .46379 Mtetra
.974 .744 .529 r
.72355 .46379 .72631 .4664 .73026 .42976 .72749 .4263 Mtetra
.19 .499 .907 r
.72749 .4263 .73026 .42976 .73664 .43226 .73388 .4289 Mtetra
.95 .596 .24 r
.73388 .4289 .73664 .43226 .74538 .46962 .74266 .46719 Mtetra
.956 .613 .285 r
.74266 .46719 .74538 .46962 .75491 .51601 .75225 .51479 Mtetra
.921 .527 .194 r
.75225 .51479 .75491 .51601 .76296 .53864 .76034 .53813 Mtetra
.989 .841 .604 r
.76034 .53813 .76296 .53864 .76816 .52068 .76554 .51985 Mtetra
.987 .746 .479 r
.76554 .51985 .76816 .52068 .77115 .47388 .76851 .47196 Mtetra
.983 .74 .489 r
.76851 .47196 .77115 .47388 .7741 .42851 .77142 .42545 Mtetra
.956 .783 .628 r
.77142 .42545 .7741 .42851 .7791 .41123 .7764 .40763 Mtetra
.854 .44 0 r
.7764 .40763 .7791 .41123 .78692 .42952 .78424 .42623 Mtetra
.946 .588 .214 r
.78424 .42623 .78692 .42952 .79657 .46889 .79395 .46654 Mtetra
.937 .565 .198 r
.79395 .46654 .79657 .46889 .80581 .5012 .80325 .49985 Mtetra
0 .49 .82 r
.80325 .49985 .80581 .5012 .81253 .50274 .81002 .50174 Mtetra
.992 .777 .51 r
.81002 .50174 .81253 .50274 .81638 .47154 .81386 .47 Mtetra
.989 .747 .474 r
.81386 .47 .81638 .47154 .81904 .42833 .81647 .42575 Mtetra
.982 .764 .534 r
.81647 .42575 .81904 .42833 .82292 .39986 .8203 .3964 Mtetra
.393 .622 .944 r
.8203 .3964 .82292 .39986 .82952 .40122 .82689 .39752 Mtetra
.898 .512 .071 r
.82689 .39752 .82952 .40122 .83861 .42806 .83602 .42486 Mtetra
.921 .545 .133 r
.83602 .42486 .83861 .42806 .84833 .45993 .84581 .45763 Mtetra
.795 .334 0 r
.84581 .45763 .84833 .45993 .85631 .4731 .85387 .47149 Mtetra
.982 .843 .63 r
.85387 .47149 .85631 .4731 .8614 .45722 .85897 .4556 Mtetra
.992 .764 .485 r
.85897 .4556 .8614 .45722 .86449 .4227 .86203 .42039 Mtetra
.989 .764 .505 r
.86203 .42039 .86449 .4227 .86784 .39173 .86532 .38851 Mtetra
.919 .818 .731 r
.86532 .38851 .86784 .39173 .8734 .38207 .87084 .37829 Mtetra
.698 .27 0 r
.87084 .37829 .8734 .38207 .88162 .39649 .87906 .39281 Mtetra
.871 .477 .01 r
.87906 .39281 .88162 .39649 .89118 .42215 .88869 .41911 Mtetra
.803 .372 0 r
.88869 .41911 .89118 .42215 .89988 .43916 .89748 .43684 Mtetra
.813 .885 .896 r
.89748 .43684 .89988 .43916 .90609 .4341 .90374 .43207 Mtetra
.993 .793 .532 r
.90374 .43207 .90609 .4341 .91001 .40974 .90764 .40737 Mtetra
.992 .775 .51 r
.90764 .40737 .91001 .40974 .91344 .38203 .91102 .37893 Mtetra
.963 .812 .644 r
.91102 .37893 .91344 .38203 .91841 .36752 .91593 .36381 Mtetra
0 .336 .818 r
.91593 .36381 .91841 .36752 .9258 .37267 .92331 .3688 Mtetra
.754 .759 .857 r
.33794 .54464 .34125 .54768 .34665 .54426 .34334 .54124 Mtetra
.928 .552 .266 r
.34334 .54124 .34665 .54426 .35114 .55856 .3478 .55597 Mtetra
.939 .611 .387 r
.3478 .55597 .35114 .55856 .35523 .58189 .35184 .57991 Mtetra
.924 .566 .331 r
.35184 .57991 .35523 .58189 .35975 .59841 .35633 .59682 Mtetra
.758 .861 .926 r
.35633 .59682 .35975 .59841 .36525 .59536 .36184 .59365 Mtetra
.93 .748 .635 r
.36184 .59365 .36525 .59536 .37162 .57307 .36827 .57081 Mtetra
.928 .731 .616 r
.36827 .57081 .37162 .57307 .37816 .54562 .37487 .54274 Mtetra
.901 .746 .68 r
.37487 .54274 .37816 .54562 .38409 .53105 .38084 .52792 Mtetra
.841 .383 0 r
.38084 .52792 .38409 .53105 .38906 .53968 .38578 .53686 Mtetra
.945 .623 .392 r
.38578 .53686 .38906 .53968 .39333 .56713 .39001 .56505 Mtetra
.939 .62 .405 r
.39001 .56505 .39333 .56713 .39766 .5959 .39429 .59454 Mtetra
.871 .44 .175 r
.39429 .59454 .39766 .5959 .40278 .6056 .3994 .60444 Mtetra
.938 .776 .655 r
.3994 .60444 .40278 .6056 .40889 .58772 .40555 .58606 Mtetra
.941 .732 .592 r
.40555 .58606 .40889 .58772 .4155 .55299 .41223 .55048 Mtetra
.932 .73 .607 r
.41223 .55048 .4155 .55299 .42183 .52407 .41862 .52095 Mtetra
.77 .765 .848 r
.41862 .52095 .42183 .52407 .42737 .52012 .42416 .51706 Mtetra
.947 .612 .355 r
.42416 .51706 .42737 .52012 .43211 .54486 .42886 .54254 Mtetra
.946 .638 .42 r
.42886 .54254 .43211 .54486 .43659 .58353 .43328 .58222 Mtetra
.934 .605 .388 r
.43328 .58222 .43659 .58353 .4415 .61029 .43816 .60959 Mtetra
.859 .916 .869 r
.43816 .60959 .4415 .61029 .44724 .6051 .44393 .60412 Mtetra
.952 .741 .583 r
.44393 .60412 .44724 .6051 .45362 .56977 .45036 .56782 Mtetra
.946 .725 .572 r
.45036 .56782 .45362 .56977 .46003 .52731 .45685 .52439 Mtetra
.926 .739 .63 r
.45685 .52439 .46003 .52731 .46596 .50537 .46281 .50213 Mtetra
.908 .5 .144 r
.46281 .50213 .46596 .50537 .47126 .51855 .4681 .51588 Mtetra
.952 .641 .408 r
.4681 .51588 .47126 .51855 .47623 .55979 .47301 .55828 Mtetra
.946 .636 .419 r
.47301 .55828 .47623 .55979 .48132 .60289 .47806 .60242 Mtetra
.898 .511 .283 r
.47806 .60242 .48132 .60289 .4869 .6176 .48363 .61728 Mtetra
.962 .773 .601 r
.48363 .61728 .4869 .6176 .49291 .5918 .48969 .5906 Mtetra
.956 .728 .552 r
.48969 .5906 .49291 .5918 .49905 .54194 .49589 .53946 Mtetra
.948 .725 .568 r
.49589 .53946 .49905 .54194 .50498 .50072 .50187 .49745 Mtetra
.828 .769 .796 r
.50187 .49745 .50498 .50072 .51064 .49437 .50754 .4913 Mtetra
.954 .626 .36 r
.50754 .4913 .51064 .49437 .51619 .5275 .51307 .52553 Mtetra
.953 .646 .415 r
.51307 .52553 .51619 .5275 .52186 .57996 .51869 .57938 Mtetra
.94 .618 .396 r
.51869 .57938 .52186 .57996 .52771 .61685 .52452 .61698 Mtetra
.881 .968 .843 r
.52452 .61698 .52771 .61685 .5336 .61102 .53042 .61064 Mtetra
.966 .739 .545 r
.53042 .61064 .5336 .61102 .53931 .56474 .53619 .56297 Mtetra
.959 .723 .538 r
.53619 .56297 .53931 .56474 .54483 .50895 .54176 .50592 Mtetra
.944 .735 .589 r
.54176 .50592 .54483 .50895 .55037 .47915 .54733 .47578 Mtetra
.902 .492 .108 r
.54733 .47578 .55037 .47915 .55624 .49349 .5532 .4909 Mtetra
.958 .644 .39 r
.5532 .4909 .55624 .49349 .56258 .54343 .55952 .54231 Mtetra
.952 .64 .404 r
.55952 .54231 .56258 .54343 .56917 .59719 .56608 .59733 Mtetra
.912 .541 .313 r
.56608 .59733 .56917 .59719 .57546 .61721 .57237 .61749 Mtetra
.978 .778 .567 r
.57237 .61749 .57546 .61721 .58103 .58768 .57796 .58682 Mtetra
.968 .728 .52 r
.57796 .58682 .58103 .58768 .58597 .52825 .58294 .52582 Mtetra
.961 .725 .535 r
.58294 .52582 .58597 .52825 .59089 .47757 .58789 .47418 Mtetra
.894 .768 .716 r
.58789 .47418 .59089 .47757 .59651 .46641 .59354 .46322 Mtetra
.956 .618 .318 r
.59354 .46322 .59651 .46641 .60318 .5008 .60021 .49883 Mtetra
.959 .644 .386 r
.60021 .49883 .60318 .5008 .61061 .55925 .60764 .55882 Mtetra
.948 .62 .374 r
.60764 .55882 .61061 .55925 .61785 .60262 .61488 .60305 Mtetra
.61 .955 .87 r
.61488 .60305 .61785 .60262 .62393 .59962 .62096 .59957 Mtetra
.978 .745 .517 r
.62096 .59957 .62393 .59962 .62862 .55109 .62566 .54957 Mtetra
.971 .725 .508 r
.62566 .54957 .62862 .55109 .63272 .48927 .62978 .48631 Mtetra
.96 .735 .554 r
.62978 .48631 .63272 .48927 .63749 .45291 .63457 .44942 Mtetra
.735 .274 0 r
.63457 .44942 .63749 .45291 .64381 .46249 .64091 .45962 Mtetra
.961 .633 .341 r
.64091 .45962 .64381 .46249 .65166 .51091 .64878 .50945 Mtetra
.958 .635 .365 r
.64878 .50945 .65166 .51091 .65999 .56663 .65713 .56652 Mtetra
.926 .556 .293 r
.65713 .56652 .65999 .56663 .66726 .59111 .6644 .59138 Mtetra
.989 .802 .562 r
.6644 .59138 .66726 .59111 .67246 .56583 .6696 .56519 Mtetra
.979 .734 .494 r
.6696 .56519 .67246 .56583 .67609 .50746 .67323 .50531 Mtetra
.973 .729 .506 r
.67323 .50531 .67609 .50746 .67975 .45403 .67689 .45074 Mtetra
.939 .768 .644 r
.67689 .45074 .67975 .45403 .68503 .43695 .68218 .43352 Mtetra
.94 .572 .208 r
.68218 .43352 .68503 .43695 .69252 .46424 .6897 .46167 Mtetra
.961 .631 .327 r
.6897 .46167 .69252 .46424 .7015 .5173 .69872 .5161 Mtetra
.953 .611 .32 r
.69872 .5161 .7015 .5173 .71015 .56035 .7074 .56018 Mtetra
.315 0 0 r
.7074 .56018 .71015 .56035 .71665 .56228 .71391 .56207 Mtetra
.987 .758 .502 r
.71391 .56207 .71665 .56228 .72065 .5209 .71789 .5196 Mtetra
.981 .732 .483 r
.71789 .5196 .72065 .5209 .72355 .46379 .72078 .46113 Mtetra
.974 .742 .527 r
.72078 .46113 .72355 .46379 .72749 .4263 .7247 .42283 Mtetra
.173 .488 .902 r
.7247 .42283 .72749 .4263 .73388 .4289 .73111 .42554 Mtetra
.951 .599 .244 r
.73111 .42554 .73388 .4289 .74266 .46719 .73993 .46478 Mtetra
.957 .615 .288 r
.73993 .46478 .74266 .46719 .75225 .51479 .74957 .5136 Mtetra
.923 .531 .2 r
.74957 .5136 .75225 .51479 .76034 .53813 .7577 .53762 Mtetra
.989 .839 .602 r
.7577 .53762 .76034 .53813 .76554 .51985 .76292 .519 Mtetra
.987 .745 .478 r
.76292 .519 .76554 .51985 .76851 .47196 .76585 .47001 Mtetra
.983 .739 .487 r
.76585 .47001 .76851 .47196 .77142 .42545 .76872 .42237 Mtetra
.957 .781 .623 r
.76872 .42237 .77142 .42545 .7764 .40763 .77369 .40401 Mtetra
.858 .445 0 r
.77369 .40401 .7764 .40763 .78424 .42623 .78154 .42293 Mtetra
.947 .591 .219 r
.78154 .42293 .78424 .42623 .79395 .46654 .79131 .46421 Mtetra
.938 .568 .204 r
.79131 .46421 .79395 .46654 .80325 .49985 .80068 .4985 Mtetra
0 .44 .784 r
.80068 .4985 .80325 .49985 .81002 .50174 .80749 .50072 Mtetra
.992 .776 .508 r
.80749 .50072 .81002 .50174 .81386 .47 .81132 .46844 Mtetra
.988 .745 .473 r
.81132 .46844 .81386 .47 .81647 .42575 .81389 .42315 Mtetra
.982 .762 .53 r
.81389 .42315 .81647 .42575 .8203 .3964 .81767 .39293 Mtetra
.419 .636 .945 r
.81767 .39293 .8203 .3964 .82689 .39752 .82424 .3938 Mtetra
.901 .515 .076 r
.82424 .3938 .82689 .39752 .83602 .42486 .83341 .42164 Mtetra
.924 .549 .14 r
.83341 .42164 .83602 .42486 .84581 .45763 .84328 .45532 Mtetra
.808 .351 0 r
.84328 .45532 .84581 .45763 .85387 .47149 .85141 .46988 Mtetra
.982 .843 .63 r
.85141 .46988 .85387 .47149 .85897 .4556 .85654 .45397 Mtetra
.992 .762 .483 r
.85654 .45397 .85897 .4556 .86203 .42039 .85956 .41805 Mtetra
.989 .762 .502 r
.85956 .41805 .86203 .42039 .86532 .38851 .86279 .38528 Mtetra
.925 .817 .721 r
.86279 .38528 .86532 .38851 .87084 .37829 .86826 .37451 Mtetra
.701 .273 0 r
.86826 .37451 .87084 .37829 .87906 .39281 .8765 .38911 Mtetra
.875 .482 .018 r
.8765 .38911 .87906 .39281 .88869 .41911 .88619 .41605 Mtetra
.813 .385 0 r
.88619 .41605 .88869 .41911 .89748 .43684 .89506 .43451 Mtetra
.799 .882 .906 r
.89506 .43451 .89748 .43684 .90374 .43207 .90137 .43003 Mtetra
.993 .792 .53 r
.90137 .43003 .90374 .43207 .90764 .40737 .90527 .40498 Mtetra
.992 .773 .506 r
.90527 .40498 .90764 .40737 .91102 .37893 .90859 .37582 Mtetra
.966 .809 .636 r
.90859 .37582 .91102 .37893 .91593 .36381 .91344 .36008 Mtetra
.007 .348 .825 r
.91344 .36008 .91593 .36381 .92331 .3688 .92081 .36492 Mtetra
.752 .759 .858 r
.33462 .54158 .33794 .54464 .34334 .54124 .34002 .53821 Mtetra
.93 .557 .275 r
.34002 .53821 .34334 .54124 .3478 .55597 .34444 .55337 Mtetra
.939 .613 .391 r
.34444 .55337 .3478 .55597 .35184 .57991 .34844 .57791 Mtetra
.925 .569 .335 r
.34844 .57791 .35184 .57991 .35633 .59682 .3529 .59521 Mtetra
.764 .86 .921 r
.3529 .59521 .35633 .59682 .36184 .59365 .35843 .59193 Mtetra
.93 .746 .633 r
.35843 .59193 .36184 .59365 .36827 .57081 .36491 .56853 Mtetra
.928 .73 .614 r
.36491 .56853 .36827 .57081 .37487 .54274 .37158 .53984 Mtetra
.901 .745 .678 r
.37158 .53984 .37487 .54274 .38084 .52792 .37757 .52478 Mtetra
.851 .399 .008 r
.37757 .52478 .38084 .52792 .38578 .53686 .3825 .53403 Mtetra
.945 .625 .396 r
.3825 .53403 .38578 .53686 .39001 .56505 .38667 .56297 Mtetra
.94 .622 .408 r
.38667 .56297 .39001 .56505 .39429 .59454 .3909 .59317 Mtetra
.873 .445 .18 r
.3909 .59317 .39429 .59454 .3994 .60444 .396 .60325 Mtetra
.938 .774 .652 r
.396 .60325 .3994 .60444 .40555 .58606 .4022 .58436 Mtetra
.941 .731 .59 r
.4022 .58436 .40555 .58606 .41223 .55048 .40895 .54793 Mtetra
.932 .729 .606 r
.40895 .54793 .41223 .55048 .41862 .52095 .4154 .51781 Mtetra
.767 .764 .85 r
.4154 .51781 .41862 .52095 .42416 .51706 .42094 .51399 Mtetra
.947 .614 .36 r
.42094 .51399 .42416 .51706 .42886 .54254 .4256 .54023 Mtetra
.946 .639 .422 r
.4256 .54023 .42886 .54254 .43328 .58222 .42996 .58091 Mtetra
.935 .606 .39 r
.42996 .58091 .43328 .58222 .43816 .60959 .43481 .60886 Mtetra
.867 .911 .859 r
.43481 .60886 .43816 .60959 .44393 .60412 .44059 .6031 Mtetra
.951 .74 .581 r
.44059 .6031 .44393 .60412 .45036 .56782 .4471 .56583 Mtetra
.946 .724 .571 r
.4471 .56583 .45036 .56782 .45685 .52439 .45365 .52143 Mtetra
.927 .738 .628 r
.45365 .52143 .45685 .52439 .46281 .50213 .45964 .49887 Mtetra
.914 .511 .162 r
.45964 .49887 .46281 .50213 .4681 .51588 .46492 .51321 Mtetra
.952 .642 .41 r
.46492 .51321 .4681 .51588 .47301 .55828 .46978 .55678 Mtetra
.946 .637 .421 r
.46978 .55678 .47301 .55828 .47806 .60242 .47478 .60194 Mtetra
.898 .512 .284 r
.47478 .60194 .47806 .60242 .48363 .61728 .48034 .61693 Mtetra
.962 .77 .598 r
.48034 .61693 .48363 .61728 .48969 .5906 .48645 .58934 Mtetra
.956 .727 .551 r
.48645 .58934 .48969 .5906 .49589 .53946 .49272 .53692 Mtetra
.948 .724 .566 r
.49272 .53692 .49589 .53946 .50187 .49745 .49875 .49415 Mtetra
.823 .768 .801 r
.49875 .49415 .50187 .49745 .50754 .4913 .50443 .48823 Mtetra
.954 .628 .365 r
.50443 .48823 .50754 .4913 .51307 .52553 .50993 .52359 Mtetra
.953 .647 .417 r
.50993 .52359 .51307 .52553 .51869 .57938 .51551 .57881 Mtetra
.941 .619 .397 r
.51551 .57881 .51869 .57938 .52452 .61698 .52131 .61709 Mtetra
.898 .958 .827 r
.52131 .61709 .52452 .61698 .53042 .61064 .52723 .6102 Mtetra
.966 .738 .543 r
.52723 .6102 .53042 .61064 .53619 .56297 .53305 .56113 Mtetra
.959 .722 .537 r
.53305 .56113 .53619 .56297 .54176 .50592 .53867 .50283 Mtetra
.944 .734 .589 r
.53867 .50283 .54176 .50592 .54733 .47578 .54428 .47239 Mtetra
.91 .506 .131 r
.54428 .47239 .54733 .47578 .5532 .4909 .55015 .48832 Mtetra
.958 .645 .392 r
.55015 .48832 .5532 .4909 .55952 .54231 .55644 .54122 Mtetra
.952 .641 .406 r
.55644 .54122 .55952 .54231 .56608 .59733 .56298 .59748 Mtetra
.912 .541 .313 r
.56298 .59748 .56608 .59733 .57237 .61749 .56927 .61772 Mtetra
.978 .775 .564 r
.56927 .61772 .57237 .61749 .57796 .58682 .57488 .58588 Mtetra
.968 .727 .519 r
.57488 .58588 .57796 .58682 .58294 .52582 .57989 .52331 Mtetra
.961 .724 .534 r
.57989 .52331 .58294 .52582 .58789 .47418 .58489 .47075 Mtetra
.891 .768 .719 r
.58489 .47075 .58789 .47418 .59354 .46322 .59055 .46003 Mtetra
.957 .62 .324 r
.59055 .46003 .59354 .46322 .60021 .49883 .59723 .49688 Mtetra
.959 .645 .388 r
.59723 .49688 .60021 .49883 .60764 .55882 .60465 .55842 Mtetra
.948 .621 .375 r
.60465 .55842 .60764 .55882 .61488 .60305 .61188 .60347 Mtetra
.68 .978 .875 r
.61188 .60347 .61488 .60305 .62096 .59957 .61797 .59946 Mtetra
.977 .743 .516 r
.61797 .59946 .62096 .59957 .62566 .54957 .62268 .54796 Mtetra
.97 .724 .507 r
.62268 .54796 .62566 .54957 .62978 .48631 .62682 .48329 Mtetra
.96 .734 .553 r
.62682 .48329 .62978 .48631 .63457 .44942 .63163 .44591 Mtetra
.764 .308 0 r
.63163 .44591 .63457 .44942 .64091 .45962 .63799 .45677 Mtetra
.961 .635 .344 r
.63799 .45677 .64091 .45962 .64878 .50945 .64588 .50801 Mtetra
.958 .636 .366 r
.64588 .50801 .64878 .50945 .65713 .56652 .65425 .56642 Mtetra
.926 .557 .294 r
.65425 .56642 .65713 .56652 .6644 .59138 .66153 .59161 Mtetra
.988 .798 .559 r
.66153 .59161 .6644 .59138 .6696 .56519 .66673 .56448 Mtetra
.978 .732 .493 r
.66673 .56448 .6696 .56519 .67323 .50531 .67035 .50308 Mtetra
.973 .728 .505 r
.67035 .50308 .67323 .50531 .67689 .45074 .67402 .44741 Mtetra
.938 .767 .643 r
.67402 .44741 .67689 .45074 .68218 .43352 .67932 .43007 Mtetra
.942 .576 .216 r
.67932 .43007 .68218 .43352 .6897 .46167 .68687 .45911 Mtetra
.962 .632 .33 r
.68687 .45911 .6897 .46167 .69872 .5161 .69592 .51492 Mtetra
.953 .613 .322 r
.69592 .51492 .69872 .5161 .7074 .56018 .70464 .55999 Mtetra
.299 0 0 r
.70464 .55999 .7074 .56018 .71391 .56207 .71116 .5618 Mtetra
.987 .756 .501 r
.71116 .5618 .71391 .56207 .71789 .5196 .71513 .51823 Mtetra
.981 .731 .482 r
.71513 .51823 .71789 .5196 .72078 .46113 .71799 .45841 Mtetra
.974 .741 .525 r
.71799 .45841 .72078 .46113 .7247 .42283 .72191 .41932 Mtetra
.153 .474 .895 r
.72191 .41932 .7247 .42283 .73111 .42554 .72833 .42219 Mtetra
.952 .601 .249 r
.72833 .42219 .73111 .42554 .73993 .46478 .73719 .46238 Mtetra
.958 .616 .291 r
.73719 .46238 .73993 .46478 .74957 .5136 .74688 .51241 Mtetra
.924 .535 .205 r
.74688 .51241 .74957 .5136 .7577 .53762 .75505 .53707 Mtetra
.989 .836 .599 r
.75505 .53707 .7577 .53762 .76292 .519 .76027 .51809 Mtetra
.987 .743 .477 r
.76027 .51809 .76292 .519 .76585 .47001 .76318 .468 Mtetra
.983 .738 .485 r
.76318 .468 .76585 .47001 .76872 .42237 .76601 .41924 Mtetra
.958 .779 .619 r
.76601 .41924 .76872 .42237 .77369 .40401 .77096 .40039 Mtetra
.861 .45 0 r
.77096 .40039 .77369 .40401 .78154 .42293 .77884 .41963 Mtetra
.948 .593 .223 r
.77884 .41963 .78154 .42293 .79131 .46421 .78866 .46186 Mtetra
.94 .571 .208 r
.78866 .46186 .79131 .46421 .80068 .4985 .7981 .49713 Mtetra
0 .396 .752 r
.7981 .49713 .80068 .4985 .80749 .50072 .80495 .49967 Mtetra
.992 .774 .506 r
.80495 .49967 .80749 .50072 .81132 .46844 .80877 .46683 Mtetra
.988 .744 .471 r
.80877 .46683 .81132 .46844 .81389 .42315 .81129 .42052 Mtetra
.982 .76 .526 r
.81129 .42052 .81389 .42315 .81767 .39293 .81503 .38944 Mtetra
.442 .649 .946 r
.81503 .38944 .81767 .39293 .82424 .3938 .82159 .39008 Mtetra
.903 .519 .082 r
.82159 .39008 .82424 .3938 .83341 .42164 .83079 .41842 Mtetra
.926 .552 .146 r
.83079 .41842 .83341 .42164 .84328 .45532 .84073 .45299 Mtetra
.818 .367 0 r
.84073 .45299 .84328 .45532 .85141 .46988 .84893 .46822 Mtetra
.981 .843 .631 r
.84893 .46822 .85141 .46988 .85654 .45397 .85408 .4523 Mtetra
.992 .761 .481 r
.85408 .4523 .85654 .45397 .85956 .41805 .85707 .41569 Mtetra
.989 .76 .498 r
.85707 .41569 .85956 .41805 .86279 .38528 .86024 .38204 Mtetra
.93 .815 .711 r
.86024 .38204 .86279 .38528 .86826 .37451 .86568 .37072 Mtetra
.704 .276 0 r
.86568 .37072 .86826 .37451 .8765 .38911 .87393 .38541 Mtetra
.878 .487 .025 r
.87393 .38541 .8765 .38911 .88619 .41605 .88368 .41296 Mtetra
.822 .397 0 r
.88368 .41296 .88619 .41605 .89506 .43451 .89263 .43214 Mtetra
.784 .878 .915 r
.89263 .43214 .89506 .43451 .90137 .43003 .89899 .42796 Mtetra
.993 .79 .528 r
.89899 .42796 .90137 .43003 .90527 .40498 .90288 .40257 Mtetra
.992 .771 .502 r
.90288 .40257 .90527 .40498 .90859 .37582 .90614 .3727 Mtetra
.968 .807 .628 r
.90614 .3727 .90859 .37582 .91344 .36008 .91094 .35635 Mtetra
.024 .361 .833 r
.91094 .35635 .91344 .36008 .92081 .36492 .9183 .36103 Mtetra
.751 .759 .859 r
.33128 .5385 .33462 .54158 .34002 .53821 .33669 .53517 Mtetra
.931 .562 .283 r
.33669 .53517 .34002 .53821 .34444 .55337 .34108 .55075 Mtetra
.939 .615 .394 r
.34108 .55075 .34444 .55337 .34844 .57791 .34503 .57587 Mtetra
.926 .572 .339 r
.34503 .57587 .34844 .57791 .3529 .59521 .34945 .59354 Mtetra
.769 .856 .915 r
.34945 .59354 .3529 .59521 .35843 .59193 .355 .59014 Mtetra
.93 .744 .631 r
.355 .59014 .35843 .59193 .36491 .56853 .36154 .5662 Mtetra
.928 .729 .613 r
.36154 .5662 .36491 .56853 .37158 .53984 .36827 .53691 Mtetra
.902 .744 .676 r
.36827 .53691 .37158 .53984 .37757 .52478 .37429 .52162 Mtetra
.86 .413 .029 r
.37429 .52162 .37757 .52478 .3825 .53403 .3792 .53119 Mtetra
.945 .626 .399 r
.3792 .53119 .3825 .53403 .38667 .56297 .38332 .56085 Mtetra
.94 .624 .41 r
.38332 .56085 .38667 .56297 .3909 .59317 .3875 .59174 Mtetra
.876 .448 .182 r
.3875 .59174 .3909 .59317 .396 .60325 .39259 .60198 Mtetra
.937 .77 .649 r
.39259 .60198 .396 .60325 .4022 .58436 .39883 .58259 Mtetra
.941 .729 .589 r
.39883 .58259 .4022 .58436 .40895 .54793 .40566 .54534 Mtetra
.932 .728 .604 r
.40566 .54534 .40895 .54793 .4154 .51781 .41216 .51465 Mtetra
.764 .763 .852 r
.41216 .51465 .4154 .51781 .42094 .51399 .41771 .51092 Mtetra
.948 .617 .364 r
.41771 .51092 .42094 .51399 .4256 .54023 .42233 .53789 Mtetra
.947 .64 .424 r
.42233 .53789 .4256 .54023 .42996 .58091 .42663 .57954 Mtetra
.935 .608 .392 r
.42663 .57954 .42996 .58091 .43481 .60886 .43144 .60804 Mtetra
.873 .901 .848 r
.43144 .60804 .43481 .60886 .44059 .6031 .43724 .60198 Mtetra
.951 .738 .58 r
.43724 .60198 .44059 .6031 .4471 .56583 .44382 .56375 Mtetra
.946 .723 .57 r
.44382 .56375 .4471 .56583 .45365 .52143 .45044 .51843 Mtetra
.926 .737 .627 r
.45044 .51843 .45365 .52143 .45964 .49887 .45647 .49561 Mtetra
.918 .521 .178 r
.45647 .49561 .45964 .49887 .46492 .51321 .46172 .51053 Mtetra
.952 .643 .413 r
.46172 .51053 .46492 .51321 .46978 .55678 .46653 .55524 Mtetra
.946 .639 .422 r
.46653 .55524 .46978 .55678 .47478 .60194 .47148 .60139 Mtetra
.899 .513 .282 r
.47148 .60139 .47478 .60194 .48034 .61693 .47703 .61646 Mtetra
.961 .766 .596 r
.47703 .61646 .48034 .61693 .48645 .58934 .48319 .58797 Mtetra
.955 .725 .55 r
.48319 .58797 .48645 .58934 .49272 .53692 .48953 .5343 Mtetra
.948 .723 .566 r
.48953 .5343 .49272 .53692 .49875 .49415 .49562 .49081 Mtetra
.816 .767 .807 r
.49562 .49081 .49875 .49415 .50443 .48823 .50131 .48516 Mtetra
.955 .63 .369 r
.50131 .48516 .50443 .48823 .50993 .52359 .50677 .52164 Mtetra
.953 .648 .419 r
.50677 .52164 .50993 .52359 .51551 .57881 .5123 .57818 Mtetra
.941 .62 .398 r
.5123 .57818 .51551 .57881 .52131 .61709 .51808 .6171 Mtetra
.912 .943 .811 r
.51808 .6171 .52131 .61709 .52723 .6102 .52402 .60963 Mtetra
.965 .736 .542 r
.52402 .60963 .52723 .6102 .53305 .56113 .52989 .55917 Mtetra
.958 .721 .536 r
.52989 .55917 .53305 .56113 .53867 .50283 .53558 .49967 Mtetra
.944 .733 .588 r
.53558 .49967 .53867 .50283 .54428 .47239 .54122 .46899 Mtetra
.916 .519 .151 r
.54122 .46899 .54428 .47239 .55015 .48832 .54709 .48576 Mtetra
.958 .646 .395 r
.54709 .48576 .55015 .48832 .55644 .54122 .55335 .54011 Mtetra
.952 .642 .407 r
.55335 .54011 .55644 .54122 .56298 .59748 .55986 .59754 Mtetra
.912 .541 .311 r
.55986 .59754 .56298 .59748 .56927 .61772 .56614 .61782 Mtetra
.976 .771 .562 r
.56614 .61782 .56927 .61772 .57488 .58588 .57178 .58479 Mtetra
.967 .725 .519 r
.57178 .58479 .57488 .58588 .57989 .52331 .57684 .52069 Mtetra
.96 .723 .534 r
.57684 .52069 .57989 .52331 .58489 .47075 .58187 .46728 Mtetra
.888 .768 .723 r
.58187 .46728 .58489 .47075 .59055 .46003 .58756 .45684 Mtetra
.957 .623 .329 r
.58756 .45684 .59055 .46003 .59723 .49688 .59424 .49493 Mtetra
.959 .646 .39 r
.59424 .49493 .59723 .49688 .60465 .55842 .60164 .55797 Mtetra
.948 .622 .376 r
.60164 .55797 .60465 .55842 .61188 .60347 .60887 .60377 Mtetra
.751 .992 .879 r
.60887 .60377 .61188 .60347 .61797 .59946 .61496 .59919 Mtetra
.976 .74 .515 r
.61496 .59919 .61797 .59946 .62268 .54796 .61968 .54621 Mtetra
.97 .723 .507 r
.61968 .54621 .62268 .54796 .62682 .48329 .62385 .48018 Mtetra
.959 .733 .553 r
.62385 .48018 .62682 .48329 .63163 .44591 .62869 .44238 Mtetra
.789 .338 0 r
.62869 .44238 .63163 .44591 .63799 .45677 .63507 .45392 Mtetra
.961 .636 .347 r
.63507 .45392 .63799 .45677 .64588 .50801 .64297 .50657 Mtetra
.959 .637 .368 r
.64297 .50657 .64588 .50801 .65425 .56642 .65135 .56624 Mtetra
.927 .558 .294 r
.65135 .56624 .65425 .56642 .66153 .59161 .65863 .5917 Mtetra
.987 .793 .557 r
.65863 .5917 .66153 .59161 .66673 .56448 .66383 .56363 Mtetra
.978 .73 .493 r
.66383 .56363 .66673 .56448 .67035 .50308 .66745 .50074 Mtetra
.972 .726 .505 r
.66745 .50074 .67035 .50308 .67402 .44741 .67113 .44402 Mtetra
.938 .766 .643 r
.67113 .44402 .67402 .44741 .67932 .43007 .67646 .42662 Mtetra
.944 .58 .223 r
.67646 .42662 .67932 .43007 .68687 .45911 .68403 .45655 Mtetra
.962 .633 .332 r
.68403 .45655 .68687 .45911 .69592 .51492 .69311 .51369 Mtetra
.954 .614 .323 r
.69311 .51369 .69592 .51492 .70464 .55999 .70185 .55971 Mtetra
.262 0 0 r
.70185 .55971 .70464 .55999 .71116 .5618 .70838 .5614 Mtetra
.986 .753 .5 r
.70838 .5614 .71116 .5618 .71513 .51823 .71233 .51674 Mtetra
.98 .729 .481 r
.71233 .51674 .71513 .51823 .71799 .45841 .71519 .45562 Mtetra
.973 .74 .524 r
.71519 .45562 .71799 .45841 .72191 .41932 .7191 .41579 Mtetra
.129 .457 .887 r
.7191 .41579 .72191 .41932 .72833 .42219 .72553 .41883 Mtetra
.953 .603 .252 r
.72553 .41883 .72833 .42219 .73719 .46238 .73443 .45997 Mtetra
.958 .618 .294 r
.73443 .45997 .73719 .46238 .74688 .51241 .74417 .51114 Mtetra
.926 .538 .208 r
.74417 .51114 .74688 .51241 .75505 .53707 .75238 .53642 Mtetra
.988 .832 .598 r
.75238 .53642 .75505 .53707 .76027 .51809 .7576 .51707 Mtetra
.986 .742 .476 r
.7576 .51707 .76027 .51809 .76318 .468 .76049 .46591 Mtetra
.982 .736 .484 r
.76049 .46591 .76318 .468 .76601 .41924 .76329 .41608 Mtetra
.959 .777 .615 r
.76329 .41608 .76601 .41924 .77096 .40039 .76823 .39675 Mtetra
.865 .455 0 r
.76823 .39675 .77096 .40039 .77884 .41963 .77612 .41632 Mtetra
.949 .595 .226 r
.77612 .41632 .77884 .41963 .78866 .46186 .786 .45947 Mtetra
.941 .574 .212 r
.786 .45947 .78866 .46186 .7981 .49713 .7955 .49567 Mtetra
0 .363 .733 r
.7955 .49567 .7981 .49713 .80495 .49967 .80238 .49852 Mtetra
.992 .772 .506 r
.80238 .49852 .80495 .49967 .80877 .46683 .8062 .46514 Mtetra
.988 .742 .47 r
.8062 .46514 .80877 .46683 .81129 .42052 .80868 .41783 Mtetra
.982 .758 .523 r
.80868 .41783 .81129 .42052 .81503 .38944 .81237 .38592 Mtetra
.465 .66 .946 r
.81237 .38592 .81503 .38944 .82159 .39008 .81893 .38635 Mtetra
.905 .522 .087 r
.81893 .38635 .82159 .39008 .83079 .41842 .82816 .41516 Mtetra
.927 .555 .15 r
.82816 .41516 .83079 .41842 .84073 .45299 .83817 .45059 Mtetra
.826 .379 0 r
.83817 .45059 .84073 .45299 .84893 .46822 .84643 .46648 Mtetra
.98 .841 .632 r
.84643 .46648 .84893 .46822 .85408 .4523 .85161 .45055 Mtetra
.992 .759 .48 r
.85161 .45055 .85408 .4523 .85707 .41569 .85457 .41328 Mtetra
.989 .758 .496 r
.85457 .41328 .85707 .41569 .86024 .38204 .85769 .37877 Mtetra
.934 .813 .702 r
.85769 .37877 .86024 .38204 .86568 .37072 .86309 .36692 Mtetra
.706 .278 0 r
.86309 .36692 .86568 .37072 .87393 .38541 .87134 .38167 Mtetra
.881 .492 .031 r
.87134 .38167 .87393 .38541 .88368 .41296 .88115 .40982 Mtetra
.828 .407 0 r
.88115 .40982 .88368 .41296 .89263 .43214 .89018 .4297 Mtetra
.768 .871 .923 r
.89018 .4297 .89263 .43214 .89899 .42796 .89659 .42581 Mtetra
.993 .788 .527 r
.89659 .42581 .89899 .42796 .90288 .40257 .90047 .40012 Mtetra
.992 .769 .499 r
.90047 .40012 .90288 .40257 .90614 .3727 .90369 .36956 Mtetra
.97 .804 .62 r
.90369 .36956 .90614 .3727 .91094 .35635 .90844 .3526 Mtetra
.041 .374 .841 r
.90844 .3526 .91094 .35635 .9183 .36103 .91578 .35711 Mtetra
.749 .759 .86 r
.32793 .53542 .33128 .5385 .33669 .53517 .33335 .53212 Mtetra
.932 .566 .291 r
.33335 .53212 .33669 .53517 .34108 .55075 .3377 .54812 Mtetra
.94 .617 .397 r
.3377 .54812 .34108 .55075 .34503 .57587 .3416 .57382 Mtetra
.926 .574 .343 r
.3416 .57382 .34503 .57587 .34945 .59354 .34599 .59186 Mtetra
.775 .855 .91 r
.34599 .59186 .34945 .59354 .355 .59014 .35155 .58834 Mtetra
.93 .743 .629 r
.35155 .58834 .355 .59014 .36154 .5662 .35815 .56385 Mtetra
.928 .728 .612 r
.35815 .56385 .36154 .5662 .36827 .53691 .36494 .53397 Mtetra
.902 .743 .675 r
.36494 .53397 .36827 .53691 .37429 .52162 .371 .51845 Mtetra
.868 .426 .049 r
.371 .51845 .37429 .52162 .3792 .53119 .37589 .52834 Mtetra
.945 .628 .402 r
.37589 .52834 .3792 .53119 .38332 .56085 .37995 .55872 Mtetra
.94 .625 .413 r
.37995 .55872 .38332 .56085 .3875 .59174 .38408 .5903 Mtetra
.877 .452 .188 r
.38408 .5903 .3875 .59174 .39259 .60198 .38916 .60071 Mtetra
.938 .769 .646 r
.38916 .60071 .39259 .60198 .39883 .58259 .39545 .5808 Mtetra
.941 .728 .588 r
.39545 .5808 .39883 .58259 .40566 .54534 .40235 .54272 Mtetra
.932 .727 .603 r
.40235 .54272 .40566 .54534 .41216 .51465 .40891 .51147 Mtetra
.76 .763 .855 r
.40891 .51147 .41216 .51465 .41771 .51092 .41446 .50783 Mtetra
.948 .619 .369 r
.41446 .50783 .41771 .51092 .42233 .53789 .41904 .53555 Mtetra
.947 .641 .426 r
.41904 .53555 .42233 .53789 .42663 .57954 .42327 .57818 Mtetra
.936 .609 .394 r
.42327 .57818 .42663 .57954 .43144 .60804 .42805 .60722 Mtetra
.88 .897 .839 r
.42805 .60722 .43144 .60804 .43724 .60198 .43388 .60085 Mtetra
.951 .736 .578 r
.43388 .60085 .43724 .60198 .44382 .56375 .44053 .56165 Mtetra
.946 .722 .569 r
.44053 .56165 .44382 .56375 .45044 .51843 .44722 .5154 Mtetra
.927 .737 .626 r
.44722 .5154 .45044 .51843 .45647 .49561 .45328 .49233 Mtetra
.922 .53 .193 r
.45328 .49233 .45647 .49561 .46172 .51053 .45851 .50787 Mtetra
.952 .645 .415 r
.45851 .50787 .46172 .51053 .46653 .55524 .46326 .55373 Mtetra
.946 .639 .424 r
.46326 .55373 .46653 .55524 .47148 .60139 .46816 .60084 Mtetra
.899 .513 .283 r
.46816 .60084 .47148 .60139 .47703 .61646 .47371 .61599 Mtetra
.961 .764 .593 r
.47371 .61599 .47703 .61646 .48319 .58797 .47992 .58656 Mtetra
.955 .724 .549 r
.47992 .58656 .48319 .58797 .48953 .5343 .48634 .53164 Mtetra
.948 .723 .565 r
.48634 .53164 .48953 .5343 .49562 .49081 .49248 .48745 Mtetra
.809 .767 .814 r
.49248 .48745 .49562 .49081 .50131 .48516 .49818 .48209 Mtetra
.955 .632 .373 r
.49818 .48209 .50131 .48516 .50677 .52164 .50361 .51971 Mtetra
.953 .649 .42 r
.50361 .51971 .50677 .52164 .5123 .57818 .50908 .57759 Mtetra
.941 .621 .399 r
.50908 .57759 .5123 .57818 .51808 .6171 .51483 .61711 Mtetra
.923 .933 .795 r
.51483 .61711 .51808 .6171 .52402 .60963 .52079 .60902 Mtetra
.964 .734 .541 r
.52079 .60902 .52402 .60963 .52989 .55917 .52672 .55716 Mtetra
.958 .72 .535 r
.52672 .55716 .52989 .55917 .53558 .49967 .53247 .49648 Mtetra
.944 .733 .588 r
.53247 .49648 .53558 .49967 .54122 .46899 .53814 .46557 Mtetra
.922 .53 .17 r
.53814 .46557 .54122 .46899 .54709 .48576 .54401 .48321 Mtetra
.958 .647 .397 r
.54401 .48321 .54709 .48576 .55335 .54011 .55024 .53903 Mtetra
.952 .643 .408 r
.55024 .53903 .55335 .54011 .55986 .59754 .55672 .59764 Mtetra
.912 .541 .311 r
.55672 .59764 .55986 .59754 .56614 .61782 .56299 .6179 Mtetra
.976 .768 .559 r
.56299 .6179 .56614 .61782 .57178 .58479 .56866 .58365 Mtetra
.967 .724 .518 r
.56866 .58365 .57178 .58479 .57684 .52069 .57376 .51802 Mtetra
.96 .722 .533 r
.57376 .51802 .57684 .52069 .58187 .46728 .57884 .46378 Mtetra
.884 .768 .728 r
.57884 .46378 .58187 .46728 .58756 .45684 .58455 .45366 Mtetra
.958 .625 .334 r
.58455 .45366 .58756 .45684 .59424 .49493 .59123 .49302 Mtetra
.959 .647 .392 r
.59123 .49302 .59424 .49493 .60164 .55797 .59862 .55756 Mtetra
.948 .623 .378 r
.59862 .55756 .60164 .55797 .60887 .60377 .60583 .60409 Mtetra
.798 .996 .865 r
.60583 .60409 .60887 .60377 .61496 .59919 .61192 .5989 Mtetra
.976 .739 .513 r
.61192 .5989 .61496 .59919 .61968 .54621 .61667 .5444 Mtetra
.97 .722 .506 r
.61667 .5444 .61968 .54621 .62385 .48018 .62087 .47702 Mtetra
.959 .733 .552 r
.62087 .47702 .62385 .48018 .62869 .44238 .62574 .43883 Mtetra
.811 .366 0 r
.62574 .43883 .62869 .44238 .63507 .45392 .63214 .45109 Mtetra
.962 .638 .35 r
.63214 .45109 .63507 .45392 .64297 .50657 .64005 .50515 Mtetra
.959 .638 .37 r
.64005 .50515 .64297 .50657 .65135 .56624 .64844 .5661 Mtetra
.927 .559 .295 r
.64844 .5661 .65135 .56624 .65863 .5917 .65572 .5918 Mtetra
.987 .79 .553 r
.65572 .5918 .65863 .5917 .66383 .56363 .66091 .56273 Mtetra
.978 .729 .492 r
.66091 .56273 .66383 .56363 .66745 .50074 .66454 .49834 Mtetra
.972 .726 .504 r
.66454 .49834 .66745 .50074 .67113 .44402 .66823 .4406 Mtetra
.937 .765 .643 r
.66823 .4406 .67113 .44402 .67646 .42662 .67358 .42317 Mtetra
.945 .584 .229 r
.67358 .42317 .67646 .42662 .68403 .45655 .68118 .45401 Mtetra
.962 .634 .334 r
.68118 .45401 .68403 .45655 .69311 .51369 .69029 .5125 Mtetra
.954 .615 .326 r
.69029 .5125 .69311 .51369 .70185 .55971 .69905 .55945 Mtetra
.239 0 0 r
.69905 .55945 .70185 .55971 .70838 .5614 .70558 .56099 Mtetra
.986 .752 .498 r
.70558 .56099 .70838 .5614 .71233 .51674 .70953 .5152 Mtetra
.98 .728 .48 r
.70953 .5152 .71233 .51674 .71519 .45562 .71237 .45278 Mtetra
.973 .739 .522 r
.71237 .45278 .71519 .45562 .7191 .41579 .71628 .41224 Mtetra
.101 .438 .877 r
.71628 .41224 .7191 .41579 .72553 .41883 .72273 .41547 Mtetra
.954 .605 .256 r
.72273 .41547 .72553 .41883 .73443 .45997 .73167 .45757 Mtetra
.958 .619 .296 r
.73167 .45757 .73443 .45997 .74417 .51114 .74145 .5099 Mtetra
.927 .542 .212 r
.74145 .5099 .74417 .51114 .75238 .53642 .74969 .53577 Mtetra
.989 .83 .594 r
.74969 .53577 .75238 .53642 .7576 .51707 .75492 .51603 Mtetra
.986 .741 .475 r
.75492 .51603 .7576 .51707 .76049 .46591 .75778 .46377 Mtetra
.982 .735 .483 r
.75778 .46377 .76049 .46591 .76329 .41608 .76056 .41288 Mtetra
.959 .776 .611 r
.76056 .41288 .76329 .41608 .76823 .39675 .76548 .39309 Mtetra
.868 .46 .007 r
.76548 .39309 .76823 .39675 .77612 .41632 .7734 .41302 Mtetra
.95 .597 .23 r
.7734 .41302 .77612 .41632 .786 .45947 .78332 .45709 Mtetra
.942 .577 .216 r
.78332 .45709 .786 .45947 .7955 .49567 .79288 .49422 Mtetra
0 .323 .7 r
.79288 .49422 .7955 .49567 .80238 .49852 .7998 .49735 Mtetra
.991 .771 .504 r
.7998 .49735 .80238 .49852 .8062 .46514 .80361 .46342 Mtetra
.988 .741 .468 r
.80361 .46342 .8062 .46514 .80868 .41783 .80605 .41512 Mtetra
.982 .757 .52 r
.80605 .41512 .80868 .41783 .81237 .38592 .80971 .38239 Mtetra
.485 .67 .946 r
.80971 .38239 .81237 .38592 .81893 .38635 .81625 .38262 Mtetra
.907 .525 .092 r
.81625 .38262 .81893 .38635 .82816 .41516 .82552 .4119 Mtetra
.929 .559 .156 r
.82552 .4119 .82816 .41516 .83817 .45059 .83559 .44819 Mtetra
.835 .392 0 r
.83559 .44819 .83817 .45059 .84643 .46648 .84392 .46473 Mtetra
.98 .841 .632 r
.84392 .46473 .84643 .46648 .85161 .45055 .84912 .44878 Mtetra
.992 .758 .478 r
.84912 .44878 .85161 .45055 .85457 .41328 .85206 .41085 Mtetra
.989 .756 .493 r
.85206 .41085 .85457 .41328 .85769 .37877 .85512 .37549 Mtetra
.938 .811 .693 r
.85512 .37549 .85769 .37877 .86309 .36692 .86049 .36311 Mtetra
.709 .281 0 r
.86049 .36311 .86309 .36692 .87134 .38167 .86875 .37793 Mtetra
.884 .496 .038 r
.86875 .37793 .87134 .38167 .88115 .40982 .87861 .40667 Mtetra
.836 .417 0 r
.87861 .40667 .88115 .40982 .89018 .4297 .88771 .42725 Mtetra
.751 .867 .933 r
.88771 .42725 .89018 .4297 .89659 .42581 .89418 .42366 Mtetra
.993 .787 .526 r
.89418 .42366 .89659 .42581 .90047 .40012 .89805 .39765 Mtetra
.992 .767 .496 r
.89805 .39765 .90047 .40012 .90369 .36956 .90122 .36641 Mtetra
.972 .802 .613 r
.90122 .36641 .90369 .36956 .90844 .3526 .90592 .34884 Mtetra
.06 .388 .849 r
.90592 .34884 .90844 .3526 .91578 .35711 .91325 .35319 Mtetra
.748 .758 .861 r
.32457 .53232 .32793 .53542 .33335 .53212 .32999 .52905 Mtetra
.934 .57 .298 r
.32999 .52905 .33335 .53212 .3377 .54812 .33431 .54548 Mtetra
.94 .619 .4 r
.33431 .54548 .3377 .54812 .3416 .57382 .33815 .57176 Mtetra
.927 .577 .346 r
.33815 .57176 .3416 .57382 .34599 .59186 .34251 .59017 Mtetra
.781 .855 .906 r
.34251 .59017 .34599 .59186 .35155 .58834 .34809 .58653 Mtetra
.93 .742 .627 r
.34809 .58653 .35155 .58834 .35815 .56385 .35475 .56149 Mtetra
.929 .728 .61 r
.35475 .56149 .35815 .56385 .36494 .53397 .36161 .53102 Mtetra
.903 .743 .673 r
.36161 .53102 .36494 .53397 .371 .51845 .3677 .51527 Mtetra
.876 .439 .068 r
.3677 .51527 .371 .51845 .37589 .52834 .37257 .52549 Mtetra
.945 .63 .405 r
.37257 .52549 .37589 .52834 .37995 .55872 .37657 .5566 Mtetra
.94 .626 .415 r
.37657 .5566 .37995 .55872 .38408 .5903 .38064 .58886 Mtetra
.879 .456 .192 r
.38064 .58886 .38408 .5903 .38916 .60071 .38572 .59942 Mtetra
.938 .767 .644 r
.38572 .59942 .38916 .60071 .39545 .5808 .39205 .57899 Mtetra
.941 .728 .586 r
.39205 .57899 .39545 .5808 .40235 .54272 .39903 .54008 Mtetra
.933 .727 .602 r
.39903 .54008 .40235 .54272 .40891 .51147 .40565 .50828 Mtetra
.755 .762 .858 r
.40565 .50828 .40891 .51147 .41446 .50783 .41121 .50475 Mtetra
.948 .621 .373 r
.41121 .50475 .41446 .50783 .41904 .53555 .41573 .53322 Mtetra
.947 .642 .428 r
.41573 .53322 .41904 .53555 .42327 .57818 .4199 .57682 Mtetra
.936 .611 .396 r
.4199 .57682 .42327 .57818 .42805 .60722 .42464 .6064 Mtetra
.887 .893 .829 r
.42464 .6064 .42805 .60722 .43388 .60085 .4305 .59969 Mtetra
.951 .735 .577 r
.4305 .59969 .43388 .60085 .44053 .56165 .43722 .55951 Mtetra
.946 .722 .567 r
.43722 .55951 .44053 .56165 .44722 .5154 .44399 .51235 Mtetra
.927 .736 .626 r
.44399 .51235 .44722 .5154 .45328 .49233 .45008 .48904 Mtetra
.926 .539 .208 r
.45008 .48904 .45328 .49233 .45851 .50787 .45529 .50521 Mtetra
.952 .646 .417 r
.45529 .50521 .45851 .50787 .46326 .55373 .45998 .55223 Mtetra
.946 .64 .425 r
.45998 .55223 .46326 .55373 .46816 .60084 .46482 .60031 Mtetra
.899 .513 .284 r
.46482 .60031 .46816 .60084 .47371 .61599 .47037 .6155 Mtetra
.961 .762 .59 r
.47037 .6155 .47371 .61599 .47992 .58656 .47663 .58511 Mtetra
.955 .723 .548 r
.47663 .58511 .47992 .58656 .48634 .53164 .48313 .52894 Mtetra
.948 .722 .564 r
.48313 .52894 .48634 .53164 .49248 .48745 .48933 .48407 Mtetra
.801 .765 .821 r
.48933 .48407 .49248 .48745 .49818 .48209 .49504 .47902 Mtetra
.955 .634 .377 r
.49504 .47902 .49818 .48209 .50361 .51971 .50042 .5178 Mtetra
.953 .649 .422 r
.50042 .5178 .50361 .51971 .50908 .57759 .50585 .57701 Mtetra
.941 .621 .401 r
.50585 .57701 .50908 .57759 .51483 .61711 .51157 .61713 Mtetra
.932 .923 .779 r
.51157 .61713 .51483 .61711 .52079 .60902 .51755 .60839 Mtetra
.964 .733 .54 r
.51755 .60839 .52079 .60902 .52672 .55716 .52354 .55509 Mtetra
.958 .719 .534 r
.52354 .55509 .52672 .55716 .53247 .49648 .52935 .49324 Mtetra
.944 .732 .587 r
.52935 .49324 .53247 .49648 .53814 .46557 .53506 .46215 Mtetra
.927 .541 .188 r
.53506 .46215 .53814 .46557 .54401 .48321 .54092 .48068 Mtetra
.958 .648 .399 r
.54092 .48068 .54401 .48321 .55024 .53903 .54711 .53799 Mtetra
.952 .643 .41 r
.54711 .53799 .55024 .53903 .55672 .59764 .55356 .59775 Mtetra
.912 .54 .311 r
.55356 .59775 .55672 .59764 .56299 .6179 .55983 .61797 Mtetra
.976 .765 .556 r
.55983 .61797 .56299 .6179 .56866 .58365 .56552 .58247 Mtetra
.967 .723 .517 r
.56552 .58247 .56866 .58365 .57376 .51802 .57068 .5153 Mtetra
.96 .721 .532 r
.57068 .5153 .57376 .51802 .57884 .46378 .5758 .46025 Mtetra
.88 .768 .734 r
.5758 .46025 .57884 .46378 .58455 .45366 .58153 .45047 Mtetra
.958 .627 .338 r
.58153 .45047 .58455 .45366 .59123 .49302 .58821 .49114 Mtetra
.959 .648 .393 r
.58821 .49114 .59123 .49302 .59862 .55756 .59558 .55718 Mtetra
.949 .624 .379 r
.59558 .55718 .59862 .55756 .60583 .60409 .60278 .60442 Mtetra
.838 .994 .849 r
.60278 .60442 .60583 .60409 .61192 .5989 .60888 .59858 Mtetra
.976 .737 .512 r
.60888 .59858 .61192 .5989 .61667 .5444 .61364 .54254 Mtetra
.969 .721 .505 r
.61364 .54254 .61667 .5444 .62087 .47702 .61787 .47382 Mtetra
.959 .732 .551 r
.61787 .47382 .62087 .47702 .62574 .43883 .62277 .43526 Mtetra
.83 .392 0 r
.62277 .43526 .62574 .43883 .63214 .45109 .62919 .44828 Mtetra
.962 .639 .352 r
.62919 .44828 .63214 .45109 .64005 .50515 .63712 .50378 Mtetra
.959 .639 .371 r
.63712 .50378 .64005 .50515 .64844 .5661 .6455 .56599 Mtetra
.927 .559 .297 r
.6455 .56599 .64844 .5661 .65572 .5918 .65278 .59189 Mtetra
.987 .787 .549 r
.65278 .59189 .65572 .5918 .66091 .56273 .65798 .56179 Mtetra
.977 .728 .491 r
.65798 .56179 .66091 .56273 .66454 .49834 .66161 .49589 Mtetra
.972 .725 .503 r
.66161 .49589 .66454 .49834 .66823 .4406 .66532 .43714 Mtetra
.937 .765 .643 r
.66532 .43714 .66823 .4406 .67358 .42317 .67069 .4197 Mtetra
.947 .588 .236 r
.67069 .4197 .67358 .42317 .68118 .45401 .67831 .45149 Mtetra
.962 .636 .337 r
.67831 .45149 .68118 .45401 .69029 .5125 .68745 .51133 Mtetra
.954 .617 .328 r
.68745 .51133 .69029 .5125 .69905 .55945 .69623 .5592 Mtetra
.208 0 0 r
.69623 .5592 .69905 .55945 .70558 .56099 .70277 .56055 Mtetra
.985 .75 .497 r
.70277 .56055 .70558 .56099 .70953 .5152 .7067 .51362 Mtetra
.98 .727 .479 r
.7067 .51362 .70953 .5152 .71237 .45278 .70953 .44989 Mtetra
.973 .738 .521 r
.70953 .44989 .71237 .45278 .71628 .41224 .71345 .40866 Mtetra
.069 .415 .864 r
.71345 .40866 .71628 .41224 .72273 .41547 .71992 .41211 Mtetra
.954 .607 .26 r
.71992 .41211 .72273 .41547 .73167 .45757 .72889 .45519 Mtetra
.959 .621 .299 r
.72889 .45519 .73167 .45757 .74145 .5099 .73872 .50868 Mtetra
.929 .545 .217 r
.73872 .50868 .74145 .5099 .74969 .53577 .74699 .53512 Mtetra
.989 .828 .591 r
.74699 .53512 .74969 .53577 .75492 .51603 .75221 .51495 Mtetra
.986 .739 .474 r
.75221 .51495 .75492 .51603 .75778 .46377 .75505 .4616 Mtetra
.982 .734 .481 r
.75505 .4616 .75778 .46377 .76056 .41288 .75781 .40965 Mtetra
.96 .774 .608 r
.75781 .40965 .76056 .41288 .76548 .39309 .76272 .38943 Mtetra
.872 .465 .014 r
.76272 .38943 .76548 .39309 .7734 .41302 .77066 .40971 Mtetra
.95 .599 .233 r
.77066 .40971 .7734 .41302 .78332 .45709 .78064 .45472 Mtetra
.943 .58 .221 r
.78064 .45472 .78332 .45709 .79288 .49422 .79025 .49276 Mtetra
0 .286 .669 r
.79025 .49276 .79288 .49422 .7998 .49735 .7972 .49617 Mtetra
.991 .77 .503 r
.7972 .49617 .7998 .49735 .80361 .46342 .801 .46168 Mtetra
.987 .74 .467 r
.801 .46168 .80361 .46342 .80605 .41512 .80341 .41238 Mtetra
.982 .755 .517 r
.80341 .41238 .80605 .41512 .80971 .38239 .80703 .37884 Mtetra
.503 .679 .945 r
.80703 .37884 .80971 .38239 .81625 .38262 .81357 .37887 Mtetra
.909 .528 .097 r
.81357 .37887 .81625 .38262 .82552 .4119 .82287 .40865 Mtetra
.931 .562 .161 r
.82287 .40865 .82552 .4119 .83559 .44819 .83301 .44579 Mtetra
.843 .404 0 r
.83301 .44579 .83559 .44819 .84392 .46473 .8414 .46297 Mtetra
.98 .841 .633 r
.8414 .46297 .84392 .46473 .84912 .44878 .84662 .44699 Mtetra
.991 .756 .477 r
.84662 .44699 .84912 .44878 .85206 .41085 .84953 .4084 Mtetra
.989 .755 .49 r
.84953 .4084 .85206 .41085 .85512 .37549 .85255 .37219 Mtetra
.942 .809 .684 r
.85255 .37219 .85512 .37549 .86049 .36311 .85788 .35929 Mtetra
.711 .283 0 r
.85788 .35929 .86049 .36311 .86875 .37793 .86614 .37418 Mtetra
.887 .5 .045 r
.86614 .37418 .86875 .37793 .87861 .40667 .87606 .40351 Mtetra
.843 .427 0 r
.87606 .40351 .87861 .40667 .88771 .42725 .88524 .42478 Mtetra
.732 .862 .942 r
.88524 .42478 .88771 .42725 .89418 .42366 .89175 .42148 Mtetra
.993 .786 .524 r
.89175 .42148 .89418 .42366 .89805 .39765 .89562 .39516 Mtetra
.992 .766 .493 r
.89562 .39516 .89805 .39765 .90122 .36641 .89874 .36324 Mtetra
.974 .8 .606 r
.89874 .36324 .90122 .36641 .90592 .34884 .9034 .34507 Mtetra
.078 .401 .856 r
.9034 .34507 .90592 .34884 .91325 .35319 .91071 .34925 Mtetra
.746 .758 .862 r
.32119 .52921 .32457 .53232 .32999 .52905 .32662 .52597 Mtetra
.935 .574 .305 r
.32662 .52597 .32999 .52905 .33431 .54548 .3309 .5428 Mtetra
.94 .621 .403 r
.3309 .5428 .33431 .54548 .33815 .57176 .33469 .56963 Mtetra
.928 .579 .348 r
.33469 .56963 .33815 .57176 .34251 .59017 .33902 .58838 Mtetra
.785 .848 .899 r
.33902 .58838 .34251 .59017 .34809 .58653 .34462 .58462 Mtetra
.93 .74 .625 r
.34462 .58462 .34809 .58653 .35475 .56149 .35134 .55906 Mtetra
.928 .726 .609 r
.35134 .55906 .35475 .56149 .36161 .53102 .35826 .52803 Mtetra
.903 .742 .672 r
.35826 .52803 .36161 .53102 .3677 .51527 .36438 .51208 Mtetra
.882 .45 .085 r
.36438 .51208 .3677 .51527 .37257 .52549 .36923 .52261 Mtetra
.946 .631 .408 r
.36923 .52261 .37257 .52549 .37657 .5566 .37318 .55441 Mtetra
.941 .628 .416 r
.37318 .55441 .37657 .5566 .38064 .58886 .37719 .58731 Mtetra
.881 .458 .19 r
.37719 .58731 .38064 .58886 .38572 .59942 .38226 .598 Mtetra
.937 .763 .641 r
.38226 .598 .38572 .59942 .39205 .57899 .38864 .57706 Mtetra
.94 .726 .586 r
.38864 .57706 .39205 .57899 .39903 .54008 .3957 .53737 Mtetra
.932 .726 .601 r
.3957 .53737 .39903 .54008 .40565 .50828 .40237 .50506 Mtetra
.75 .76 .861 r
.40237 .50506 .40565 .50828 .41121 .50475 .40794 .50165 Mtetra
.949 .623 .377 r
.40794 .50165 .41121 .50475 .41573 .53322 .41242 .53085 Mtetra
.947 .644 .43 r
.41242 .53085 .41573 .53322 .4199 .57682 .41652 .57537 Mtetra
.937 .612 .396 r
.41652 .57537 .4199 .57682 .42464 .6064 .42122 .60543 Mtetra
.89 .88 .818 r
.42122 .60543 .42464 .6064 .4305 .59969 .4271 .59838 Mtetra
.95 .733 .576 r
.4271 .59838 .4305 .59969 .43722 .55951 .4339 .55725 Mtetra
.945 .72 .567 r
.4339 .55725 .43722 .55951 .44399 .51235 .44075 .50923 Mtetra
.926 .735 .625 r
.44075 .50923 .44399 .51235 .45008 .48904 .44687 .48574 Mtetra
.929 .547 .221 r
.44687 .48574 .45008 .48904 .45529 .50521 .45206 .50253 Mtetra
.952 .647 .419 r
.45206 .50253 .45529 .50521 .45998 .55223 .45668 .55066 Mtetra
.947 .641 .426 r
.45668 .55066 .45998 .55223 .46482 .60031 .46147 .59963 Mtetra
.901 .513 .278 r
.46147 .59963 .46482 .60031 .47037 .6155 .46701 .61482 Mtetra
.959 .758 .588 r
.46701 .61482 .47037 .6155 .47663 .58511 .47333 .58349 Mtetra
.954 .722 .548 r
.47333 .58349 .47663 .58511 .48313 .52894 .4799 .52614 Mtetra
.947 .721 .563 r
.4799 .52614 .48313 .52894 .48933 .48407 .48616 .48065 Mtetra
.79 .764 .829 r
.48616 .48065 .48933 .48407 .49504 .47902 .49188 .47595 Mtetra
.955 .636 .38 r
.49188 .47595 .49504 .47902 .50042 .5178 .49722 .51586 Mtetra
.953 .65 .423 r
.49722 .51586 .50042 .5178 .50585 .57701 .50259 .57632 Mtetra
.942 .623 .4 r
.50259 .57632 .50585 .57701 .51157 .61713 .50828 .61695 Mtetra
.937 .904 .765 r
.50828 .61695 .51157 .61713 .51755 .60839 .51429 .60754 Mtetra
.963 .731 .539 r
.51429 .60754 .51755 .60839 .52354 .55509 .52034 .55287 Mtetra
.957 .718 .534 r
.52034 .55287 .52354 .55509 .52935 .49324 .52622 .48993 Mtetra
.943 .732 .587 r
.52622 .48993 .52935 .49324 .53506 .46215 .53196 .45871 Mtetra
.931 .55 .203 r
.53196 .45871 .53506 .46215 .54092 .48068 .53781 .47814 Mtetra
.958 .649 .401 r
.53781 .47814 .54092 .48068 .54711 .53799 .54397 .53687 Mtetra
.953 .644 .41 r
.54397 .53687 .54711 .53799 .55356 .59775 .55038 .59769 Mtetra
.913 .54 .305 r
.55038 .59769 .55356 .59775 .55983 .61797 .55664 .61781 Mtetra
.974 .761 .555 r
.55664 .61781 .55983 .61797 .56552 .58247 .56237 .58107 Mtetra
.966 .722 .517 r
.56237 .58107 .56552 .58247 .57068 .5153 .56758 .51244 Mtetra
.96 .72 .532 r
.56758 .51244 .57068 .5153 .5758 .46025 .57275 .45667 Mtetra
.875 .767 .74 r
.57275 .45667 .5758 .46025 .58153 .45047 .5785 .44729 Mtetra
.959 .629 .342 r
.5785 .44729 .58153 .45047 .58821 .49114 .58517 .48923 Mtetra
.959 .649 .394 r
.58517 .48923 .58821 .49114 .59558 .55718 .59252 .55669 Mtetra
.949 .625 .379 r
.59252 .55669 .59558 .55718 .60278 .60442 .59971 .60454 Mtetra
.876 .98 .837 r
.59971 .60454 .60278 .60442 .60888 .59858 .6058 .59801 Mtetra
.975 .735 .512 r
.6058 .59801 .60888 .59858 .61364 .54254 .6106 .54048 Mtetra
.969 .72 .505 r
.6106 .54048 .61364 .54254 .61787 .47382 .61486 .47052 Mtetra
.959 .731 .551 r
.61486 .47052 .61787 .47382 .62277 .43526 .61979 .43168 Mtetra
.847 .415 0 r
.61979 .43168 .62277 .43526 .62919 .44828 .62623 .44546 Mtetra
.962 .64 .355 r
.62623 .44546 .62919 .44828 .63712 .50378 .63416 .50234 Mtetra
.959 .64 .372 r
.63416 .50234 .63712 .50378 .6455 .56599 .64255 .56571 Mtetra
.928 .56 .293 r
.64255 .56571 .6455 .56599 .65278 .59189 .64982 .59175 Mtetra
.985 .782 .548 r
.64982 .59175 .65278 .59189 .65798 .56179 .65502 .56063 Mtetra
.976 .727 .491 r
.65502 .56063 .65798 .56179 .66161 .49589 .65866 .49329 Mtetra
.971 .724 .503 r
.65866 .49329 .66161 .49589 .66532 .43714 .66239 .43362 Mtetra
.936 .764 .644 r
.66239 .43362 .66532 .43714 .67069 .4197 .66778 .41623 Mtetra
.948 .591 .242 r
.66778 .41623 .67069 .4197 .67831 .45149 .67544 .44895 Mtetra
.963 .637 .338 r
.67544 .44895 .67831 .45149 .68745 .51133 .68459 .51006 Mtetra
.955 .618 .328 r
.68459 .51006 .68745 .51133 .69623 .5592 .69339 .55877 Mtetra
.132 0 0 r
.69339 .55877 .69623 .5592 .70277 .56055 .69993 .55989 Mtetra
.984 .747 .497 r
.69993 .55989 .70277 .56055 .7067 .51362 .70386 .51185 Mtetra
.979 .726 .479 r
.70386 .51185 .7067 .51362 .70953 .44989 .70668 .44691 Mtetra
.973 .736 .52 r
.70668 .44691 .70953 .44989 .71345 .40866 .7106 .40505 Mtetra
.035 .391 .85 r
.7106 .40505 .71345 .40866 .71992 .41211 .71709 .40875 Mtetra
.955 .609 .263 r
.71709 .40875 .71992 .41211 .72889 .45519 .7261 .45275 Mtetra
.959 .622 .3 r
.7261 .45275 .72889 .45519 .73872 .50868 .73596 .50732 Mtetra
.93 .547 .216 r
.73596 .50732 .73872 .50868 .74699 .53512 .74426 .53427 Mtetra
.988 .822 .591 r
.74426 .53427 .74699 .53512 .75221 .51495 .74948 .51369 Mtetra
.985 .738 .474 r
.74948 .51369 .75221 .51495 .75505 .4616 .75231 .4593 Mtetra
.982 .732 .481 r
.75231 .4593 .75505 .4616 .75781 .40965 .75504 .40637 Mtetra
.96 .772 .605 r
.75504 .40637 .75781 .40965 .76272 .38943 .75996 .38575 Mtetra
.875 .47 .021 r
.75996 .38575 .76272 .38943 .77066 .40971 .76792 .40639 Mtetra
.951 .6 .236 r
.76792 .40639 .77066 .40971 .78064 .45472 .77793 .45227 Mtetra
.944 .582 .222 r
.77793 .45227 .78064 .45472 .79025 .49276 .7876 .49117 Mtetra
0 .27 .668 r
.7876 .49117 .79025 .49276 .7972 .49617 .79458 .49482 Mtetra
.99 .767 .503 r
.79458 .49482 .7972 .49617 .801 .46168 .79837 .45979 Mtetra
.987 .738 .466 r
.79837 .45979 .801 .46168 .80341 .41238 .80075 .40956 Mtetra
.982 .753 .515 r
.80075 .40956 .80341 .41238 .80703 .37884 .80435 .37527 Mtetra
.52 .687 .943 r
.80435 .37527 .80703 .37884 .81357 .37887 .81087 .37511 Mtetra
.91 .53 .101 r
.81087 .37511 .81357 .37887 .82287 .40865 .8202 .40534 Mtetra
.932 .564 .164 r
.8202 .40534 .82287 .40865 .83301 .44579 .8304 .44328 Mtetra
.847 .412 0 r
.8304 .44328 .83301 .44579 .8414 .46297 .83885 .46107 Mtetra
.978 .838 .635 r
.83885 .46107 .8414 .46297 .84662 .44699 .8441 .44507 Mtetra
.991 .754 .476 r
.8441 .44507 .84662 .44699 .84953 .4084 .84698 .40586 Mtetra
.988 .753 .488 r
.84698 .40586 .84953 .4084 .85255 .37219 .84996 .36885 Mtetra
.945 .807 .677 r
.84996 .36885 .85255 .37219 .85788 .35929 .85525 .35545 Mtetra
.713 .285 0 r
.85525 .35545 .85788 .35929 .86614 .37418 .86352 .3704 Mtetra
.889 .504 .049 r
.86352 .3704 .86614 .37418 .87606 .40351 .87349 .40028 Mtetra
.847 .434 0 r
.87349 .40028 .87606 .40351 .88524 .42478 .88274 .4222 Mtetra
.714 .849 .946 r
.88274 .4222 .88524 .42478 .89175 .42148 .8893 .41919 Mtetra
.992 .784 .524 r
.8893 .41919 .89175 .42148 .89562 .39516 .89317 .39259 Mtetra
.991 .764 .491 r
.89317 .39259 .89562 .39516 .89874 .36324 .89625 .36004 Mtetra
.975 .797 .6 r
.89625 .36004 .89874 .36324 .9034 .34507 .90086 .34129 Mtetra
.098 .415 .864 r
.90086 .34129 .9034 .34507 .91071 .34925 .90816 .34529 Mtetra
.744 .758 .864 r
.31781 .52609 .32119 .52921 .32662 .52597 .32324 .52288 Mtetra
.936 .577 .311 r
.32324 .52288 .32662 .52597 .3309 .5428 .32749 .54011 Mtetra
.94 .622 .405 r
.32749 .54011 .3309 .5428 .33469 .56963 .33122 .56749 Mtetra
.929 .581 .352 r
.33122 .56749 .33469 .56963 .33902 .58838 .33552 .58658 Mtetra
.79 .847 .894 r
.33552 .58658 .33902 .58838 .34462 .58462 .34113 .58269 Mtetra
.93 .739 .624 r
.34113 .58269 .34462 .58462 .35134 .55906 .34791 .55661 Mtetra
.929 .726 .608 r
.34791 .55661 .35134 .55906 .35826 .52803 .3549 .52503 Mtetra
.904 .742 .671 r
.3549 .52503 .35826 .52803 .36438 .51208 .36105 .50887 Mtetra
.888 .46 .101 r
.36105 .50887 .36438 .51208 .36923 .52261 .36588 .51973 Mtetra
.946 .632 .41 r
.36588 .51973 .36923 .52261 .37318 .55441 .36977 .55222 Mtetra
.941 .629 .418 r
.36977 .55222 .37318 .55441 .37719 .58731 .37373 .58576 Mtetra
.882 .461 .193 r
.37373 .58576 .37719 .58731 .38226 .598 .37879 .59657 Mtetra
.937 .762 .639 r
.37879 .59657 .38226 .598 .38864 .57706 .38522 .57512 Mtetra
.94 .725 .584 r
.38522 .57512 .38864 .57706 .3957 .53737 .39236 .53464 Mtetra
.932 .725 .6 r
.39236 .53464 .3957 .53737 .40237 .50506 .39909 .50182 Mtetra
.744 .759 .865 r
.39909 .50182 .40237 .50506 .40794 .50165 .40466 .49855 Mtetra
.949 .625 .38 r
.40466 .49855 .40794 .50165 .41242 .53085 .40908 .52848 Mtetra
.947 .644 .431 r
.40908 .52848 .41242 .53085 .41652 .57537 .41312 .57391 Mtetra
.937 .613 .398 r
.41312 .57391 .41652 .57537 .42122 .60543 .41778 .60445 Mtetra
.896 .875 .808 r
.41778 .60445 .42122 .60543 .4271 .59838 .42369 .59704 Mtetra
.95 .732 .574 r
.42369 .59704 .4271 .59838 .4339 .55725 .43056 .55497 Mtetra
.945 .72 .566 r
.43056 .55497 .4339 .55725 .44075 .50923 .43749 .5061 Mtetra
.926 .735 .624 r
.43749 .5061 .44075 .50923 .44687 .48574 .44365 .48242 Mtetra
.932 .554 .233 r
.44365 .48242 .44687 .48574 .45206 .50253 .44881 .49985 Mtetra
.952 .648 .421 r
.44881 .49985 .45206 .50253 .45668 .55066 .45337 .5491 Mtetra
.947 .642 .427 r
.45337 .5491 .45668 .55066 .46147 .59963 .4581 .59895 Mtetra
.9 .512 .278 r
.4581 .59895 .46147 .59963 .46701 .61482 .46364 .61412 Mtetra
.959 .756 .586 r
.46364 .61412 .46701 .61482 .47333 .58349 .47001 .58184 Mtetra
.954 .721 .547 r
.47001 .58184 .47333 .58349 .4799 .52614 .47667 .5233 Mtetra
.947 .721 .563 r
.47667 .5233 .4799 .52614 .48616 .48065 .48299 .47722 Mtetra
.779 .762 .838 r
.48299 .47722 .48616 .48065 .49188 .47595 .48871 .47288 Mtetra
.955 .637 .383 r
.48871 .47288 .49188 .47595 .49722 .51586 .49401 .51393 Mtetra
.953 .651 .424 r
.49401 .51393 .49722 .51586 .50259 .57632 .49932 .57564 Mtetra
.942 .623 .401 r
.49932 .57564 .50259 .57632 .50828 .61695 .50498 .61676 Mtetra
.943 .895 .75 r
.50498 .61676 .50828 .61695 .51429 .60754 .51101 .60665 Mtetra
.963 .73 .538 r
.51101 .60665 .51429 .60754 .52034 .55287 .51712 .5506 Mtetra
.957 .717 .533 r
.51712 .5506 .52034 .55287 .52622 .48993 .52307 .48658 Mtetra
.943 .731 .587 r
.52307 .48658 .52622 .48993 .53196 .45871 .52885 .45526 Mtetra
.935 .558 .218 r
.52885 .45526 .53196 .45871 .53781 .47814 .53469 .47561 Mtetra
.958 .65 .403 r
.53469 .47561 .53781 .47814 .54397 .53687 .54081 .53578 Mtetra
.953 .645 .411 r
.54081 .53578 .54397 .53687 .55038 .59769 .54718 .59765 Mtetra
.912 .538 .304 r
.54718 .59765 .55038 .59769 .55664 .61781 .55343 .61763 Mtetra
.974 .759 .552 r
.55343 .61763 .55664 .61781 .56237 .58107 .5592 .57962 Mtetra
.966 .721 .516 r
.5592 .57962 .56237 .58107 .56758 .51244 .56446 .50953 Mtetra
.959 .72 .531 r
.56446 .50953 .56758 .51244 .57275 .45667 .56968 .45307 Mtetra
.87 .768 .746 r
.56968 .45307 .57275 .45667 .5785 .44729 .57545 .44411 Mtetra
.959 .631 .346 r
.57545 .44411 .5785 .44729 .58517 .48923 .58211 .48733 Mtetra
.959 .649 .396 r
.58211 .48733 .58517 .48923 .59252 .55669 .58944 .55621 Mtetra
.949 .625 .379 r
.58944 .55621 .59252 .55669 .59971 .60454 .59661 .60466 Mtetra
.9 .97 .817 r
.59661 .60466 .59971 .60454 .6058 .59801 .60271 .59741 Mtetra
.974 .734 .511 r
.60271 .59741 .6058 .59801 .6106 .54048 .60753 .53838 Mtetra
.969 .719 .504 r
.60753 .53838 .6106 .54048 .61486 .47052 .61183 .46718 Mtetra
.959 .731 .551 r
.61183 .46718 .61486 .47052 .61979 .43168 .6168 .42808 Mtetra
.861 .436 0 r
.6168 .42808 .61979 .43168 .62623 .44546 .62326 .44265 Mtetra
.962 .641 .357 r
.62326 .44265 .62623 .44546 .63416 .50234 .63119 .50092 Mtetra
.959 .641 .373 r
.63119 .50092 .63416 .50234 .64255 .56571 .63957 .56545 Mtetra
.928 .56 .294 r
.63957 .56545 .64255 .56571 .64982 .59175 .64685 .59159 Mtetra
.985 .779 .545 r
.64685 .59159 .64982 .59175 .65502 .56063 .65205 .55942 Mtetra
.976 .726 .49 r
.65205 .55942 .65502 .56063 .65866 .49329 .6557 .49065 Mtetra
.971 .723 .502 r
.6557 .49065 .65866 .49329 .66239 .43362 .65945 .43007 Mtetra
.935 .764 .645 r
.65945 .43007 .66239 .43362 .66778 .41623 .66487 .41276 Mtetra
.95 .594 .248 r
.66487 .41276 .66778 .41623 .67544 .44895 .67255 .44642 Mtetra
.963 .638 .34 r
.67255 .44642 .67544 .44895 .68459 .51006 .68172 .50882 Mtetra
.955 .619 .329 r
.68172 .50882 .68459 .51006 .69339 .55877 .69053 .55833 Mtetra
0 .503 .713 r
.69053 .55833 .69339 .55877 .69993 .55989 .69707 .55921 Mtetra
.984 .746 .495 r
.69707 .55921 .69993 .55989 .70386 .51185 .70099 .51005 Mtetra
.979 .725 .478 r
.70099 .51005 .70386 .51185 .70668 .44691 .70381 .44388 Mtetra
.973 .736 .519 r
.70381 .44388 .70668 .44691 .7106 .40505 .70775 .40142 Mtetra
0 .363 .833 r
.70775 .40142 .7106 .40505 .71709 .40875 .71426 .40538 Mtetra
.956 .611 .267 r
.71426 .40538 .71709 .40875 .7261 .45275 .72329 .45033 Mtetra
.96 .623 .302 r
.72329 .45033 .7261 .45275 .73596 .50732 .73319 .50597 Mtetra
.931 .549 .22 r
.73319 .50597 .73596 .50732 .74426 .53427 .74151 .53342 Mtetra
.988 .82 .587 r
.74151 .53342 .74426 .53427 .74948 .51369 .74674 .5124 Mtetra
.985 .737 .472 r
.74674 .5124 .74948 .51369 .75231 .4593 .74955 .45696 Mtetra
.981 .731 .479 r
.74955 .45696 .75231 .4593 .75504 .40637 .75227 .40305 Mtetra
.961 .771 .603 r
.75227 .40305 .75504 .40637 .75996 .38575 .75718 .38205 Mtetra
.878 .475 .028 r
.75718 .38205 .75996 .38575 .76792 .40639 .76516 .40306 Mtetra
.952 .602 .239 r
.76516 .40306 .76792 .40639 .77793 .45227 .77521 .44982 Mtetra
.945 .584 .226 r
.77521 .44982 .77793 .45227 .7876 .49117 .78493 .48956 Mtetra
0 .24 .643 r
.78493 .48956 .7876 .49117 .79458 .49482 .79194 .49345 Mtetra
.99 .766 .502 r
.79194 .49345 .79458 .49482 .79837 .45979 .79573 .45788 Mtetra
.987 .737 .465 r
.79573 .45788 .79837 .45979 .80075 .40956 .79808 .40671 Mtetra
.982 .752 .513 r
.79808 .40671 .80075 .40956 .80435 .37527 .80165 .37168 Mtetra
.535 .695 .942 r
.80165 .37168 .80435 .37527 .81087 .37511 .80817 .37134 Mtetra
.912 .533 .105 r
.80817 .37134 .81087 .37511 .8202 .40534 .81752 .40203 Mtetra
.933 .567 .168 r
.81752 .40203 .8202 .40534 .8304 .44328 .82778 .44076 Mtetra
.853 .422 0 r
.82778 .44076 .8304 .44328 .83885 .46107 .83628 .45915 Mtetra
.978 .837 .635 r
.83628 .45915 .83885 .46107 .8441 .44507 .84155 .44313 Mtetra
.991 .753 .475 r
.84155 .44313 .8441 .44507 .84698 .40586 .84442 .4033 Mtetra
.988 .751 .485 r
.84442 .4033 .84698 .40586 .84996 .36885 .84736 .3655 Mtetra
.948 .805 .67 r
.84736 .3655 .84996 .36885 .85525 .35545 .85262 .35161 Mtetra
.714 .287 0 r
.85262 .35161 .85525 .35545 .86352 .3704 .8609 .36662 Mtetra
.892 .507 .055 r
.8609 .36662 .86352 .3704 .87349 .40028 .87091 .39703 Mtetra
.853 .442 0 r
.87091 .39703 .87349 .40028 .88274 .4222 .88023 .4196 Mtetra
.694 .842 .954 r
.88023 .4196 .88274 .4222 .8893 .41919 .88683 .41688 Mtetra
.992 .783 .523 r
.88683 .41688 .8893 .41919 .89317 .39259 .8907 .39 Mtetra
.991 .762 .488 r
.8907 .39 .89317 .39259 .89625 .36004 .89375 .35681 Mtetra
.976 .795 .594 r
.89375 .35681 .89625 .36004 .90086 .34129 .89831 .3375 Mtetra
.117 .429 .871 r
.89831 .3375 .90086 .34129 .90816 .34529 .9056 .34132 Mtetra
.742 .758 .865 r
.31441 .52296 .31781 .52609 .32324 .52288 .31985 .51978 Mtetra
.936 .581 .317 r
.31985 .51978 .32324 .52288 .32749 .54011 .32405 .53741 Mtetra
.941 .623 .408 r
.32405 .53741 .32749 .54011 .33122 .56749 .32773 .56534 Mtetra
.929 .583 .355 r
.32773 .56534 .33122 .56749 .33552 .58658 .33199 .58478 Mtetra
.795 .846 .89 r
.33199 .58478 .33552 .58658 .34113 .58269 .33763 .58076 Mtetra
.93 .738 .622 r
.33763 .58076 .34113 .58269 .34791 .55661 .34447 .55415 Mtetra
.929 .725 .607 r
.34447 .55415 .34791 .55661 .3549 .52503 .35153 .52201 Mtetra
.904 .741 .669 r
.35153 .52201 .3549 .52503 .36105 .50887 .35771 .50566 Mtetra
.893 .47 .116 r
.35771 .50566 .36105 .50887 .36588 .51973 .36252 .51684 Mtetra
.946 .634 .413 r
.36252 .51684 .36588 .51973 .36977 .55222 .36634 .55002 Mtetra
.941 .63 .42 r
.36634 .55002 .36977 .55222 .37373 .58576 .37025 .5842 Mtetra
.883 .463 .197 r
.37025 .5842 .37373 .58576 .37879 .59657 .37529 .59513 Mtetra
.937 .76 .637 r
.37529 .59513 .37879 .59657 .38522 .57512 .38178 .57316 Mtetra
.94 .725 .583 r
.38178 .57316 .38522 .57512 .39236 .53464 .389 .53189 Mtetra
.933 .725 .599 r
.389 .53189 .39236 .53464 .39909 .50182 .39579 .49857 Mtetra
.738 .758 .869 r
.39579 .49857 .39909 .50182 .40466 .49855 .40136 .49543 Mtetra
.949 .627 .384 r
.40136 .49543 .40466 .49855 .40908 .52848 .40574 .52611 Mtetra
.947 .645 .433 r
.40574 .52611 .40908 .52848 .41312 .57391 .4097 .57246 Mtetra
.937 .614 .4 r
.4097 .57246 .41312 .57391 .41778 .60445 .41433 .60347 Mtetra
.901 .871 .799 r
.41433 .60347 .41778 .60445 .42369 .59704 .42027 .59568 Mtetra
.95 .731 .573 r
.42027 .59568 .42369 .59704 .43056 .55497 .42722 .55266 Mtetra
.945 .719 .565 r
.42722 .55266 .43056 .55497 .43749 .5061 .43422 .50294 Mtetra
.927 .735 .624 r
.43422 .50294 .43749 .5061 .44365 .48242 .44042 .4791 Mtetra
.935 .56 .245 r
.44042 .4791 .44365 .48242 .44881 .49985 .44555 .49718 Mtetra
.952 .648 .423 r
.44555 .49718 .44881 .49985 .45337 .5491 .45004 .54755 Mtetra
.947 .643 .428 r
.45004 .54755 .45337 .5491 .4581 .59895 .45471 .59828 Mtetra
.9 .511 .277 r
.45471 .59828 .4581 .59895 .46364 .61412 .46024 .61341 Mtetra
.959 .754 .584 r
.46024 .61341 .46364 .61412 .47001 .58184 .46668 .58015 Mtetra
.954 .72 .546 r
.46668 .58015 .47001 .58184 .47667 .5233 .47342 .52043 Mtetra
.947 .72 .562 r
.47342 .52043 .47667 .5233 .48299 .47722 .4798 .47376 Mtetra
.766 .76 .847 r
.4798 .47376 .48299 .47722 .48871 .47288 .48552 .46981 Mtetra
.956 .639 .387 r
.48552 .46981 .48871 .47288 .49401 .51393 .49078 .51201 Mtetra
.953 .651 .426 r
.49078 .51201 .49401 .51393 .49932 .57564 .49603 .57498 Mtetra
.942 .624 .402 r
.49603 .57498 .49932 .57564 .50498 .61676 .50165 .61657 Mtetra
.948 .886 .737 r
.50165 .61657 .50498 .61676 .51101 .60665 .50771 .60574 Mtetra
.963 .729 .537 r
.50771 .60574 .51101 .60665 .51712 .5506 .5139 .54829 Mtetra
.957 .717 .533 r
.5139 .54829 .51712 .5506 .52307 .48658 .51991 .4832 Mtetra
.943 .731 .587 r
.51991 .4832 .52307 .48658 .52885 .45526 .52573 .45181 Mtetra
.938 .566 .231 r
.52573 .45181 .52885 .45526 .53469 .47561 .53156 .47309 Mtetra
.958 .651 .405 r
.53156 .47309 .53469 .47561 .54081 .53578 .53764 .5347 Mtetra
.953 .645 .412 r
.53764 .5347 .54081 .53578 .54718 .59765 .54396 .59761 Mtetra
.911 .536 .302 r
.54396 .59761 .54718 .59765 .55343 .61763 .55021 .61744 Mtetra
.973 .756 .55 r
.55021 .61744 .55343 .61763 .5592 .57962 .55601 .57813 Mtetra
.966 .72 .515 r
.55601 .57813 .5592 .57962 .56446 .50953 .56134 .50658 Mtetra
.959 .719 .531 r
.56134 .50658 .56446 .50953 .56968 .45307 .56661 .44944 Mtetra
.864 .768 .754 r
.56661 .44944 .56968 .45307 .57545 .44411 .5724 .44094 Mtetra
.959 .633 .35 r
.5724 .44094 .57545 .44411 .58211 .48733 .57905 .48546 Mtetra
.959 .65 .397 r
.57905 .48546 .58211 .48733 .58944 .55621 .58635 .55576 Mtetra
.949 .626 .38 r
.58635 .55576 .58944 .55621 .59661 .60466 .5935 .60478 Mtetra
.918 .959 .796 r
.5935 .60478 .59661 .60466 .60271 .59741 .5996 .59678 Mtetra
.974 .733 .509 r
.5996 .59678 .60271 .59741 .60753 .53838 .60445 .53623 Mtetra
.968 .718 .504 r
.60445 .53623 .60753 .53838 .61183 .46718 .6088 .4638 Mtetra
.959 .73 .55 r
.6088 .4638 .61183 .46718 .6168 .42808 .6138 .42446 Mtetra
.874 .454 .027 r
.6138 .42446 .6168 .42808 .62326 .44265 .62028 .43985 Mtetra
.963 .642 .359 r
.62028 .43985 .62326 .44265 .63119 .50092 .62821 .49952 Mtetra
.959 .641 .374 r
.62821 .49952 .63119 .50092 .63957 .56545 .63658 .56521 Mtetra
.928 .56 .294 r
.63658 .56521 .63957 .56545 .64685 .59159 .64385 .59143 Mtetra
.985 .776 .542 r
.64385 .59143 .64685 .59159 .65205 .55942 .64905 .55818 Mtetra
.976 .725 .489 r
.64905 .55818 .65205 .55942 .6557 .49065 .65272 .48796 Mtetra
.971 .722 .501 r
.65272 .48796 .6557 .49065 .65945 .43007 .6565 .42649 Mtetra
.935 .764 .646 r
.6565 .42649 .65945 .43007 .66487 .41276 .66195 .40928 Mtetra
.951 .597 .253 r
.66195 .40928 .66487 .41276 .67255 .44642 .66964 .4439 Mtetra
.963 .638 .342 r
.66964 .4439 .67255 .44642 .68172 .50882 .67884 .50759 Mtetra
.955 .62 .331 r
.67884 .50759 .68172 .50882 .69053 .55833 .68765 .55791 Mtetra
0 .547 .743 r
.68765 .55791 .69053 .55833 .69707 .55921 .69419 .55852 Mtetra
.984 .745 .494 r
.69419 .55852 .69707 .55921 .70099 .51005 .69811 .5082 Mtetra
.979 .724 .478 r
.69811 .5082 .70099 .51005 .70381 .44388 .70093 .44082 Mtetra
.973 .735 .518 r
.70093 .44082 .70381 .44388 .70775 .40142 .70488 .39777 Mtetra
0 .333 .814 r
.70488 .39777 .70775 .40142 .71426 .40538 .71141 .40201 Mtetra
.956 .612 .27 r
.71141 .40201 .71426 .40538 .72329 .45033 .72047 .44792 Mtetra
.96 .624 .305 r
.72047 .44792 .72329 .45033 .73319 .50597 .7304 .50464 Mtetra
.932 .551 .223 r
.7304 .50464 .73319 .50597 .74151 .53342 .73875 .53257 Mtetra
.988 .818 .584 r
.73875 .53257 .74151 .53342 .74674 .5124 .74398 .51109 Mtetra
.985 .736 .471 r
.74398 .51109 .74674 .5124 .74955 .45696 .74677 .45458 Mtetra
.981 .731 .478 r
.74677 .45458 .74955 .45696 .75227 .40305 .74948 .39971 Mtetra
.961 .77 .6 r
.74948 .39971 .75227 .40305 .75718 .38205 .75439 .37835 Mtetra
.881 .479 .035 r
.75439 .37835 .75718 .38205 .76516 .40306 .76239 .39973 Mtetra
.952 .604 .242 r
.76239 .39973 .76516 .40306 .77521 .44982 .77248 .44738 Mtetra
.946 .586 .23 r
.77248 .44738 .77521 .44982 .78493 .48956 .78224 .48796 Mtetra
0 .212 .618 r
.78224 .48796 .78493 .48956 .79194 .49345 .78928 .49207 Mtetra
.99 .765 .5 r
.78928 .49207 .79194 .49345 .79573 .45788 .79307 .45594 Mtetra
.987 .736 .463 r
.79307 .45594 .79573 .45788 .79808 .40671 .7954 .40384 Mtetra
.982 .75 .51 r
.7954 .40384 .79808 .40671 .80165 .37168 .79894 .36807 Mtetra
.549 .701 .94 r
.79894 .36807 .80165 .37168 .80817 .37134 .80545 .36757 Mtetra
.914 .536 .109 r
.80545 .36757 .80817 .37134 .81752 .40203 .81484 .39872 Mtetra
.935 .569 .172 r
.81484 .39872 .81752 .40203 .82778 .44076 .82514 .43825 Mtetra
.859 .431 0 r
.82514 .43825 .82778 .44076 .83628 .45915 .83371 .45723 Mtetra
.978 .837 .635 r
.83371 .45723 .83628 .45915 .84155 .44313 .839 .44117 Mtetra
.991 .752 .473 r
.839 .44117 .84155 .44313 .84442 .4033 .84185 .40071 Mtetra
.988 .75 .483 r
.84185 .40071 .84442 .4033 .84736 .3655 .84474 .36212 Mtetra
.95 .803 .663 r
.84474 .36212 .84736 .3655 .85262 .35161 .84998 .34775 Mtetra
.716 .289 0 r
.84998 .34775 .85262 .35161 .8609 .36662 .85826 .36282 Mtetra
.894 .511 .06 r
.85826 .36282 .8609 .36662 .87091 .39703 .86832 .39378 Mtetra
.858 .449 0 r
.86832 .39378 .87091 .39703 .88023 .4196 .8777 .41699 Mtetra
.673 .835 .961 r
.8777 .41699 .88023 .4196 .88683 .41688 .88435 .41455 Mtetra
.992 .783 .521 r
.88435 .41455 .88683 .41688 .8907 .39 .88822 .38739 Mtetra
.991 .761 .486 r
.88822 .38739 .8907 .39 .89375 .35681 .89123 .35357 Mtetra
.977 .793 .588 r
.89123 .35357 .89375 .35681 .89831 .3375 .89576 .33369 Mtetra
.136 .442 .877 r
.89576 .33369 .89831 .3375 .9056 .34132 .90303 .33734 Mtetra
.741 .757 .866 r
.31099 .51981 .31441 .52296 .31985 .51978 .31644 .51667 Mtetra
.937 .583 .322 r
.31644 .51667 .31985 .51978 .32405 .53741 .32061 .53467 Mtetra
.941 .625 .41 r
.32061 .53467 .32405 .53741 .32773 .56534 .32423 .56312 Mtetra
.93 .586 .357 r
.32423 .56312 .32773 .56534 .33199 .58478 .32846 .58287 Mtetra
.798 .84 .883 r
.32846 .58287 .33199 .58478 .33763 .58076 .33411 .57873 Mtetra
.929 .737 .621 r
.33411 .57873 .33763 .58076 .34447 .55415 .34102 .55162 Mtetra
.929 .724 .606 r
.34102 .55162 .34447 .55415 .35153 .52201 .34814 .51896 Mtetra
.904 .74 .668 r
.34814 .51896 .35153 .52201 .35771 .50566 .35436 .50243 Mtetra
.898 .479 .13 r
.35436 .50243 .35771 .50566 .36252 .51684 .35914 .51392 Mtetra
.946 .635 .415 r
.35914 .51392 .36252 .51684 .36634 .55002 .3629 .54776 Mtetra
.942 .631 .421 r
.3629 .54776 .36634 .55002 .37025 .5842 .36675 .58253 Mtetra
.885 .465 .194 r
.36675 .58253 .37025 .5842 .37529 .59513 .37179 .59356 Mtetra
.936 .757 .635 r
.37179 .59356 .37529 .59513 .38178 .57316 .37833 .57108 Mtetra
.94 .723 .582 r
.37833 .57108 .38178 .57316 .389 .53189 .38563 .52908 Mtetra
.932 .724 .598 r
.38563 .52908 .389 .53189 .39579 .49857 .39248 .4953 Mtetra
.731 .757 .873 r
.39248 .4953 .39579 .49857 .40136 .49543 .39805 .49231 Mtetra
.949 .628 .387 r
.39805 .49231 .40136 .49543 .40574 .52611 .40238 .52369 Mtetra
.947 .646 .434 r
.40238 .52369 .40574 .52611 .4097 .57246 .40627 .57091 Mtetra
.938 .616 .4 r
.40627 .57091 .4097 .57246 .41433 .60347 .41086 .60234 Mtetra
.902 .86 .789 r
.41086 .60234 .41433 .60347 .42027 .59568 .41683 .59417 Mtetra
.949 .729 .572 r
.41683 .59417 .42027 .59568 .42722 .55266 .42386 .55024 Mtetra
.945 .718 .564 r
.42386 .55024 .42722 .55266 .43422 .50294 .43094 .49973 Mtetra
.926 .734 .623 r
.43094 .49973 .43422 .50294 .44042 .4791 .43717 .47576 Mtetra
.937 .566 .255 r
.43717 .47576 .44042 .4791 .44555 .49718 .44227 .49448 Mtetra
.952 .649 .424 r
.44227 .49448 .44555 .49718 .45004 .54755 .44669 .54591 Mtetra
.947 .644 .429 r
.44669 .54591 .45004 .54755 .45471 .59828 .45131 .59745 Mtetra
.901 .51 .27 r
.45131 .59745 .45471 .59828 .46024 .61341 .45684 .61251 Mtetra
.958 .751 .582 r
.45684 .61251 .46024 .61341 .46668 .58015 .46333 .57831 Mtetra
.954 .719 .545 r
.46333 .57831 .46668 .58015 .47342 .52043 .47016 .51747 Mtetra
.947 .719 .562 r
.47016 .51747 .47342 .52043 .4798 .47376 .4766 .47028 Mtetra
.75 .757 .858 r
.4766 .47028 .4798 .47376 .48552 .46981 .48233 .46673 Mtetra
.956 .64 .389 r
.48233 .46673 .48552 .46981 .49078 .51201 .48754 .51005 Mtetra
.953 .652 .426 r
.48754 .51005 .49078 .51201 .49603 .57498 .49272 .57419 Mtetra
.943 .625 .402 r
.49272 .57419 .49603 .57498 .50165 .61657 .49831 .61619 Mtetra
.949 .87 .725 r
.49831 .61619 .50165 .61657 .50771 .60574 .50439 .60462 Mtetra
.962 .727 .536 r
.50439 .60462 .50771 .60574 .5139 .54829 .51065 .54583 Mtetra
.957 .716 .532 r
.51065 .54583 .5139 .54829 .51991 .4832 .51674 .47977 Mtetra
.942 .73 .587 r
.51674 .47977 .51991 .4832 .52573 .45181 .5226 .44834 Mtetra
.941 .573 .243 r
.5226 .44834 .52573 .45181 .53156 .47309 .52841 .47056 Mtetra
.958 .651 .406 r
.52841 .47056 .53156 .47309 .53764 .5347 .53444 .53354 Mtetra
.953 .646 .413 r
.53444 .53354 .53764 .5347 .54396 .59761 .54072 .5974 Mtetra
.912 .535 .295 r
.54072 .5974 .54396 .59761 .55021 .61744 .54697 .61701 Mtetra
.972 .753 .549 r
.54697 .61701 .55021 .61744 .55601 .57813 .5528 .57644 Mtetra
.965 .719 .515 r
.5528 .57644 .55601 .57813 .56134 .50658 .55819 .50352 Mtetra
.959 .718 .531 r
.55819 .50352 .56134 .50658 .56661 .44944 .56352 .44579 Mtetra
.857 .767 .762 r
.56352 .44579 .56661 .44944 .5724 .44094 .56933 .43776 Mtetra
.96 .635 .353 r
.56933 .43776 .5724 .44094 .57905 .48546 .57597 .48355 Mtetra
.96 .651 .398 r
.57597 .48355 .57905 .48546 .58635 .55576 .58323 .55518 Mtetra
.95 .627 .38 r
.58323 .55518 .58635 .55576 .5935 .60478 .59036 .60468 Mtetra
.932 .938 .78 r
.59036 .60468 .5935 .60478 .5996 .59678 .59647 .59592 Mtetra
.973 .731 .509 r
.59647 .59592 .5996 .59678 .60445 .53623 .60135 .5339 Mtetra
.968 .717 .503 r
.60135 .5339 .60445 .53623 .6088 .4638 .60575 .46034 Mtetra
.958 .73 .55 r
.60575 .46034 .6088 .4638 .6138 .42446 .61079 .42084 Mtetra
.885 .47 .051 r
.61079 .42084 .6138 .42446 .62028 .43985 .61728 .43704 Mtetra
.963 .643 .361 r
.61728 .43704 .62028 .43985 .62821 .49952 .62521 .49805 Mtetra
.96 .642 .375 r
.62521 .49805 .62821 .49952 .63658 .56521 .63357 .5648 Mtetra
.929 .561 .29 r
.63357 .5648 .63658 .56521 .64385 .59143 .64083 .59104 Mtetra
.983 .771 .541 r
.64083 .59104 .64385 .59143 .64905 .55818 .64604 .55672 Mtetra
.975 .723 .489 r
.64604 .55672 .64905 .55818 .65272 .48796 .64973 .48513 Mtetra
.971 .721 .501 r
.64973 .48513 .65272 .48796 .6565 .42649 .65354 .42287 Mtetra
.934 .763 .647 r
.65354 .42287 .6565 .42649 .66195 .40928 .65901 .40579 Mtetra
.952 .6 .258 r
.65901 .40579 .66195 .40928 .66964 .4439 .66673 .44135 Mtetra
.963 .639 .343 r
.66673 .44135 .66964 .4439 .67884 .50759 .67593 .50626 Mtetra
.956 .621 .331 r
.67593 .50626 .67884 .50759 .68765 .55791 .68475 .5573 Mtetra
.07 .623 .82 r
.68475 .5573 .68765 .55791 .69419 .55852 .69129 .5576 Mtetra
.983 .742 .494 r
.69129 .5576 .69419 .55852 .69811 .5082 .69521 .50618 Mtetra
.978 .723 .478 r
.69521 .50618 .69811 .5082 .70093 .44082 .69804 .43767 Mtetra
.972 .734 .518 r
.69804 .43767 .70093 .44082 .70488 .39777 .702 .39409 Mtetra
0 .302 .793 r
.702 .39409 .70488 .39777 .71141 .40201 .70855 .39863 Mtetra
.957 .614 .272 r
.70855 .39863 .71141 .40201 .72047 .44792 .71764 .44545 Mtetra
.96 .625 .305 r
.71764 .44545 .72047 .44792 .7304 .50464 .7276 .50317 Mtetra
.932 .553 .222 r
.7276 .50317 .7304 .50464 .73875 .53257 .73596 .53153 Mtetra
.987 .813 .583 r
.73596 .53153 .73875 .53257 .74398 .51109 .74119 .50959 Mtetra
.984 .734 .471 r
.74119 .50959 .74398 .51109 .74677 .45458 .74397 .45208 Mtetra
.981 .729 .478 r
.74397 .45208 .74677 .45458 .74948 .39971 .74667 .39631 Mtetra
.961 .769 .598 r
.74667 .39631 .74948 .39971 .75439 .37835 .75159 .37462 Mtetra
.884 .484 .041 r
.75159 .37462 .75439 .37835 .76239 .39973 .7596 .39638 Mtetra
.953 .605 .244 r
.7596 .39638 .76239 .39973 .77248 .44738 .76974 .44486 Mtetra
.947 .588 .231 r
.76974 .44486 .77248 .44738 .78224 .48796 .77954 .48622 Mtetra
0 .205 .622 r
.77954 .48622 .78224 .48796 .78928 .49207 .7866 .49052 Mtetra
.989 .763 .5 r
.7866 .49052 .78928 .49207 .79307 .45594 .79039 .45386 Mtetra
.986 .735 .463 r
.79039 .45386 .79307 .45594 .7954 .40384 .79269 .40089 Mtetra
.982 .749 .509 r
.79269 .40089 .7954 .40384 .79894 .36807 .79621 .36443 Mtetra
.561 .706 .938 r
.79621 .36443 .79894 .36807 .80545 .36757 .80272 .36378 Mtetra
.915 .538 .113 r
.80272 .36378 .80545 .36757 .81484 .39872 .81213 .39536 Mtetra
.936 .571 .175 r
.81213 .39536 .81484 .39872 .82514 .43825 .82249 .43563 Mtetra
.862 .437 0 r
.82249 .43563 .82514 .43825 .83371 .45723 .8311 .45516 Mtetra
.976 .834 .636 r
.8311 .45516 .83371 .45723 .839 .44117 .83642 .43908 Mtetra
.99 .751 .473 r
.83642 .43908 .839 .44117 .84185 .40071 .83926 .39804 Mtetra
.988 .748 .482 r
.83926 .39804 .84185 .40071 .84474 .36212 .84211 .35871 Mtetra
.952 .801 .657 r
.84211 .35871 .84474 .36212 .84998 .34775 .84732 .34387 Mtetra
.718 .29 0 r
.84732 .34387 .84998 .34775 .85826 .36282 .85561 .359 Mtetra
.896 .514 .064 r
.85561 .359 .85826 .36282 .86832 .39378 .86572 .39046 Mtetra
.861 .454 0 r
.86572 .39046 .86832 .39378 .8777 .41699 .87515 .41428 Mtetra
.654 .821 .964 r
.87515 .41428 .8777 .41699 .88435 .41455 .88185 .41211 Mtetra
.991 .781 .521 r
.88185 .41211 .88435 .41455 .88822 .38739 .88572 .3847 Mtetra
.991 .759 .484 r
.88572 .3847 .88822 .38739 .89123 .35357 .8887 .35029 Mtetra
.978 .79 .583 r
.8887 .35029 .89123 .35357 .89576 .33369 .89319 .32987 Mtetra
.155 .456 .884 r
.89319 .32987 .89576 .33369 .90303 .33734 .90045 .33334 Mtetra
.739 .757 .867 r
.30757 .51664 .31099 .51981 .31644 .51667 .31302 .51354 Mtetra
.938 .586 .327 r
.31302 .51354 .31644 .51667 .32061 .53467 .31715 .53192 Mtetra
.941 .626 .412 r
.31715 .53192 .32061 .53467 .32423 .56312 .32072 .56087 Mtetra
.931 .587 .359 r
.32072 .56087 .32423 .56312 .32846 .58287 .32491 .58093 Mtetra
.802 .837 .878 r
.32491 .58093 .32846 .58287 .33411 .57873 .33058 .57666 Mtetra
.929 .735 .619 r
.33058 .57666 .33411 .57873 .34102 .55162 .33755 .54906 Mtetra
.929 .723 .605 r
.33755 .54906 .34102 .55162 .34814 .51896 .34475 .51589 Mtetra
.904 .74 .667 r
.34475 .51589 .34814 .51896 .35436 .50243 .35099 .49919 Mtetra
.902 .487 .143 r
.35099 .49919 .35436 .50243 .35914 .51392 .35575 .51099 Mtetra
.946 .636 .417 r
.35575 .51099 .35914 .51392 .3629 .54776 .35945 .54548 Mtetra
.942 .632 .423 r
.35945 .54548 .3629 .54776 .36675 .58253 .36324 .58082 Mtetra
.886 .466 .194 r
.36324 .58082 .36675 .58253 .37179 .59356 .36827 .59193 Mtetra
.936 .755 .633 r
.36827 .59193 .37179 .59356 .37833 .57108 .37487 .56896 Mtetra
.94 .722 .582 r
.37487 .56896 .37833 .57108 .38563 .52908 .38225 .52623 Mtetra
.932 .723 .597 r
.38225 .52623 .38563 .52908 .39248 .4953 .38915 .49201 Mtetra
.723 .755 .877 r
.38915 .49201 .39248 .4953 .39805 .49231 .39473 .48917 Mtetra
.949 .63 .39 r
.39473 .48917 .39805 .49231 .40238 .52369 .399 .52126 Mtetra
.947 .647 .435 r
.399 .52126 .40238 .52369 .40627 .57091 .40282 .56931 Mtetra
.938 .617 .401 r
.40282 .56931 .40627 .57091 .41086 .60234 .40738 .60114 Mtetra
.905 .853 .78 r
.40738 .60114 .41086 .60234 .41683 .59417 .41337 .5926 Mtetra
.948 .728 .571 r
.41337 .5926 .41683 .59417 .42386 .55024 .42048 .54776 Mtetra
.945 .718 .564 r
.42048 .54776 .42386 .55024 .43094 .49973 .42765 .49649 Mtetra
.926 .734 .623 r
.42765 .49649 .43094 .49973 .43717 .47576 .43391 .47242 Mtetra
.939 .571 .265 r
.43391 .47242 .43717 .47576 .44227 .49448 .43898 .49177 Mtetra
.952 .65 .426 r
.43898 .49177 .44227 .49448 .44669 .54591 .44333 .54425 Mtetra
.947 .644 .43 r
.44333 .54425 .44669 .54591 .45131 .59745 .44789 .59657 Mtetra
.901 .509 .266 r
.44789 .59657 .45131 .59745 .45684 .61251 .45341 .61153 Mtetra
.957 .748 .58 r
.45341 .61153 .45684 .61251 .46333 .57831 .45997 .57639 Mtetra
.953 .718 .545 r
.45997 .57639 .46333 .57831 .47016 .51747 .46688 .51445 Mtetra
.947 .719 .561 r
.46688 .51445 .47016 .51747 .4766 .47028 .47338 .46678 Mtetra
.733 .753 .869 r
.47338 .46678 .4766 .47028 .48233 .46673 .47912 .46364 Mtetra
.956 .641 .392 r
.47912 .46364 .48233 .46673 .48754 .51005 .48428 .50806 Mtetra
.953 .653 .427 r
.48428 .50806 .48754 .51005 .49272 .57419 .48939 .57334 Mtetra
.944 .625 .402 r
.48939 .57334 .49272 .57419 .49831 .61619 .49495 .61572 Mtetra
.951 .859 .714 r
.49495 .61572 .49831 .61619 .50439 .60462 .50106 .60341 Mtetra
.961 .726 .536 r
.50106 .60341 .50439 .60462 .51065 .54583 .5074 .5433 Mtetra
.957 .715 .532 r
.5074 .5433 .51065 .54583 .51674 .47977 .51356 .47629 Mtetra
.942 .73 .587 r
.51356 .47629 .51674 .47977 .5226 .44834 .51945 .44487 Mtetra
.943 .579 .254 r
.51945 .44487 .5226 .44834 .52841 .47056 .52525 .46801 Mtetra
.958 .652 .407 r
.52525 .46801 .52841 .47056 .53444 .53354 .53123 .53234 Mtetra
.954 .647 .413 r
.53123 .53234 .53444 .53354 .54072 .5974 .53747 .59711 Mtetra
.911 .533 .291 r
.53747 .59711 .54072 .5974 .54697 .61701 .5437 .61648 Mtetra
.971 .75 .547 r
.5437 .61648 .54697 .61701 .5528 .57644 .54958 .57466 Mtetra
.965 .718 .515 r
.54958 .57466 .5528 .57644 .55819 .50352 .55504 .5004 Mtetra
.959 .718 .53 r
.55504 .5004 .55819 .50352 .56352 .44579 .56042 .4421 Mtetra
.849 .767 .771 r
.56042 .4421 .56352 .44579 .56933 .43776 .56625 .43457 Mtetra
.96 .636 .356 r
.56625 .43457 .56933 .43776 .57597 .48355 .57287 .48162 Mtetra
.96 .651 .399 r
.57287 .48162 .57597 .48355 .58323 .55518 .5801 .55455 Mtetra
.95 .627 .38 r
.5801 .55455 .58323 .55518 .59036 .60468 .5872 .6045 Mtetra
.942 .923 .762 r
.5872 .6045 .59036 .60468 .59647 .59592 .59332 .59495 Mtetra
.973 .729 .509 r
.59332 .59495 .59647 .59592 .60135 .5339 .59824 .53149 Mtetra
.968 .717 .503 r
.59824 .53149 .60135 .5339 .60575 .46034 .60268 .45684 Mtetra
.958 .729 .55 r
.60268 .45684 .60575 .46034 .61079 .42084 .60776 .4172 Mtetra
.894 .485 .073 r
.60776 .4172 .61079 .42084 .61728 .43704 .61427 .43422 Mtetra
.963 .644 .363 r
.61427 .43422 .61728 .43704 .62521 .49805 .62219 .49655 Mtetra
.96 .643 .376 r
.62219 .49655 .62521 .49805 .63357 .5648 .63054 .56432 Mtetra
.929 .56 .288 r
.63054 .56432 .63357 .5648 .64083 .59104 .63779 .59056 Mtetra
.982 .768 .539 r
.63779 .59056 .64083 .59104 .64604 .55672 .643 .55517 Mtetra
.975 .722 .488 r
.643 .55517 .64604 .55672 .64973 .48513 .64672 .48224 Mtetra
.971 .721 .501 r
.64672 .48224 .64973 .48513 .65354 .42287 .65056 .41921 Mtetra
.933 .763 .649 r
.65056 .41921 .65354 .42287 .65901 .40579 .65606 .40229 Mtetra
.953 .603 .263 r
.65606 .40229 .65901 .40579 .66673 .44135 .66379 .43879 Mtetra
.964 .64 .344 r
.66379 .43879 .66673 .44135 .67593 .50626 .67301 .50488 Mtetra
.956 .621 .331 r
.67301 .50488 .67593 .50626 .68475 .5573 .68183 .55661 Mtetra
.151 .68 .865 r
.68183 .55661 .68475 .5573 .69129 .5576 .68836 .5566 Mtetra
.982 .741 .493 r
.68836 .5566 .69129 .5576 .69521 .50618 .69228 .50408 Mtetra
.978 .722 .477 r
.69228 .50408 .69521 .50618 .69804 .43767 .69513 .43446 Mtetra
.972 .733 .517 r
.69513 .43446 .69804 .43767 .702 .39409 .6991 .39039 Mtetra
0 .268 .769 r
.6991 .39039 .702 .39409 .70855 .39863 .70568 .39524 Mtetra
.957 .615 .275 r
.70568 .39524 .70855 .39863 .71764 .44545 .71479 .44296 Mtetra
.961 .626 .307 r
.71479 .44296 .71764 .44545 .7276 .50317 .72477 .50166 Mtetra
.933 .555 .223 r
.72477 .50166 .7276 .50317 .73596 .53153 .73314 .53041 Mtetra
.986 .809 .581 r
.73314 .53041 .73596 .53153 .74119 .50959 .73838 .50801 Mtetra
.984 .733 .471 r
.73838 .50801 .74119 .50959 .74397 .45208 .74116 .44952 Mtetra
.981 .728 .477 r
.74116 .44952 .74397 .45208 .74667 .39631 .74385 .39287 Mtetra
.961 .767 .596 r
.74385 .39287 .74667 .39631 .75159 .37462 .74877 .37089 Mtetra
.887 .488 .048 r
.74877 .37089 .75159 .37462 .7596 .39638 .75681 .39302 Mtetra
.954 .606 .246 r
.75681 .39302 .7596 .39638 .76974 .44486 .76697 .44231 Mtetra
.947 .589 .233 r
.76697 .44231 .76974 .44486 .77954 .48622 .77681 .48442 Mtetra
0 .189 .613 r
.77681 .48442 .77954 .48622 .7866 .49052 .7839 .4889 Mtetra
.989 .761 .5 r
.7839 .4889 .7866 .49052 .79039 .45386 .78769 .45171 Mtetra
.986 .734 .462 r
.78769 .45171 .79039 .45386 .79269 .40089 .78998 .39789 Mtetra
.982 .748 .507 r
.78998 .39789 .79269 .40089 .79621 .36443 .79348 .36077 Mtetra
.572 .711 .936 r
.79348 .36077 .79621 .36443 .80272 .36378 .79999 .35998 Mtetra
.916 .54 .117 r
.79999 .35998 .80272 .36378 .81213 .39536 .80942 .39199 Mtetra
.937 .573 .178 r
.80942 .39199 .81213 .39536 .82249 .43563 .81982 .43297 Mtetra
.866 .443 .008 r
.81982 .43297 .82249 .43563 .8311 .45516 .82848 .45304 Mtetra
.976 .833 .637 r
.82848 .45304 .8311 .45516 .83642 .43908 .83382 .43692 Mtetra
.99 .75 .472 r
.83382 .43692 .83642 .43908 .83926 .39804 .83664 .39532 Mtetra
.988 .747 .48 r
.83664 .39532 .83926 .39804 .84211 .35871 .83947 .35527 Mtetra
.954 .799 .651 r
.83947 .35527 .84211 .35871 .84732 .34387 .84466 .33999 Mtetra
.719 .292 0 r
.84466 .33999 .84732 .34387 .85561 .359 .85295 .35517 Mtetra
.898 .516 .068 r
.85295 .35517 .85561 .359 .86572 .39046 .8631 .38712 Mtetra
.865 .46 0 r
.8631 .38712 .86572 .39046 .87515 .41428 .87259 .41152 Mtetra
.633 .81 .968 r
.87259 .41152 .87515 .41428 .88185 .41211 .87933 .40962 Mtetra
.991 .78 .521 r
.87933 .40962 .88185 .41211 .88572 .3847 .88321 .38195 Mtetra
.991 .757 .482 r
.88321 .38195 .88572 .3847 .8887 .35029 .88616 .34697 Mtetra
.979 .788 .579 r
.88616 .34697 .8887 .35029 .89319 .32987 .89061 .32603 Mtetra
.175 .469 .89 r
.89061 .32603 .89319 .32987 .90045 .33334 .89786 .32932 Mtetra
.737 .757 .868 r
.30413 .51347 .30757 .51664 .31302 .51354 .30959 .5104 Mtetra
.938 .589 .332 r
.30959 .5104 .31302 .51354 .31715 .53192 .31368 .52915 Mtetra
.941 .627 .414 r
.31368 .52915 .31715 .53192 .32072 .56087 .31719 .5586 Mtetra
.931 .589 .361 r
.31719 .5586 .32072 .56087 .32491 .58093 .32135 .57897 Mtetra
.806 .836 .874 r
.32135 .57897 .32491 .58093 .33058 .57666 .32704 .57457 Mtetra
.93 .735 .618 r
.32704 .57457 .33058 .57666 .33755 .54906 .33407 .54649 Mtetra
.929 .723 .604 r
.33407 .54649 .33755 .54906 .34475 .51589 .34134 .51281 Mtetra
.905 .74 .666 r
.34134 .51281 .34475 .51589 .35099 .49919 .34761 .49593 Mtetra
.905 .494 .155 r
.34761 .49593 .35099 .49919 .35575 .51099 .35235 .50805 Mtetra
.946 .637 .419 r
.35235 .50805 .35575 .51099 .35945 .54548 .35599 .54318 Mtetra
.942 .633 .424 r
.35599 .54318 .35945 .54548 .36324 .58082 .35972 .5791 Mtetra
.886 .468 .196 r
.35972 .5791 .36324 .58082 .36827 .59193 .36474 .5903 Mtetra
.936 .754 .631 r
.36474 .5903 .36827 .59193 .37487 .56896 .37139 .56682 Mtetra
.94 .722 .581 r
.37139 .56682 .37487 .56896 .38225 .52623 .37885 .52336 Mtetra
.933 .723 .596 r
.37885 .52336 .38225 .52623 .38915 .49201 .38582 .48871 Mtetra
.715 .753 .882 r
.38582 .48871 .38915 .49201 .39473 .48917 .3914 .48603 Mtetra
.95 .631 .393 r
.3914 .48603 .39473 .48917 .399 .52126 .39561 .51881 Mtetra
.947 .648 .436 r
.39561 .51881 .399 .52126 .40282 .56931 .39936 .56772 Mtetra
.939 .618 .402 r
.39936 .56772 .40282 .56931 .40738 .60114 .40387 .59994 Mtetra
.909 .849 .773 r
.40387 .59994 .40738 .60114 .41337 .5926 .4099 .59101 Mtetra
.948 .727 .57 r
.4099 .59101 .41337 .5926 .42048 .54776 .41709 .54527 Mtetra
.945 .717 .563 r
.41709 .54527 .42048 .54776 .42765 .49649 .42434 .49324 Mtetra
.926 .734 .623 r
.42434 .49324 .42765 .49649 .43391 .47242 .43064 .46906 Mtetra
.94 .576 .274 r
.43064 .46906 .43391 .47242 .43898 .49177 .43568 .48906 Mtetra
.952 .651 .427 r
.43568 .48906 .43898 .49177 .44333 .54425 .43996 .54259 Mtetra
.948 .645 .431 r
.43996 .54259 .44333 .54425 .44789 .59657 .44445 .59568 Mtetra
.9 .507 .264 r
.44445 .59568 .44789 .59657 .45341 .61153 .44997 .61054 Mtetra
.957 .747 .578 r
.44997 .61054 .45341 .61153 .45997 .57639 .45659 .57444 Mtetra
.953 .718 .544 r
.45659 .57444 .45997 .57639 .46688 .51445 .4636 .51142 Mtetra
.947 .719 .561 r
.4636 .51142 .46688 .51445 .47338 .46678 .47016 .46326 Mtetra
.712 .748 .88 r
.47016 .46326 .47338 .46678 .47912 .46364 .47589 .46055 Mtetra
.956 .643 .394 r
.47589 .46055 .47912 .46364 .48428 .50806 .481 .50608 Mtetra
.953 .653 .428 r
.481 .50608 .48428 .50806 .48939 .57334 .48605 .5725 Mtetra
.944 .626 .402 r
.48605 .5725 .48939 .57334 .49495 .61572 .49157 .61524 Mtetra
.954 .852 .703 r
.49157 .61524 .49495 .61572 .50106 .60341 .49771 .60217 Mtetra
.961 .725 .534 r
.49771 .60217 .50106 .60341 .5074 .5433 .50413 .54074 Mtetra
.957 .715 .531 r
.50413 .54074 .5074 .5433 .51356 .47629 .51037 .47279 Mtetra
.942 .73 .588 r
.51037 .47279 .51356 .47629 .51945 .44487 .51629 .44139 Mtetra
.945 .584 .264 r
.51629 .44139 .51945 .44487 .52525 .46801 .52208 .46547 Mtetra
.958 .653 .409 r
.52208 .46547 .52525 .46801 .53123 .53234 .52801 .53116 Mtetra
.954 .647 .414 r
.52801 .53116 .53123 .53234 .53747 .59711 .53419 .59683 Mtetra
.91 .53 .288 r
.53419 .59683 .53747 .59711 .5437 .61648 .54042 .61594 Mtetra
.971 .748 .545 r
.54042 .61594 .5437 .61648 .54958 .57466 .54634 .57285 Mtetra
.964 .717 .514 r
.54634 .57285 .54958 .57466 .55504 .5004 .55187 .49725 Mtetra
.959 .718 .53 r
.55187 .49725 .55504 .5004 .56042 .4421 .5573 .43841 Mtetra
.84 .767 .781 r
.5573 .43841 .56042 .4421 .56625 .43457 .56316 .43138 Mtetra
.96 .638 .359 r
.56316 .43138 .56625 .43457 .57287 .48162 .56975 .47969 Mtetra
.96 .652 .4 r
.56975 .47969 .57287 .48162 .5801 .55455 .57695 .55392 Mtetra
.95 .627 .38 r
.57695 .55392 .5801 .55455 .5872 .6045 .58403 .60431 Mtetra
.95 .912 .745 r
.58403 .60431 .5872 .6045 .59332 .59495 .59015 .59396 Mtetra
.972 .728 .508 r
.59015 .59396 .59332 .59495 .59824 .53149 .59511 .52906 Mtetra
.968 .716 .502 r
.59511 .52906 .59824 .53149 .60268 .45684 .59961 .45331 Mtetra
.958 .729 .55 r
.59961 .45331 .60268 .45684 .60776 .4172 .60473 .41354 Mtetra
.902 .498 .094 r
.60473 .41354 .60776 .4172 .61427 .43422 .61125 .4314 Mtetra
.963 .645 .364 r
.61125 .4314 .61427 .43422 .62219 .49655 .61916 .49506 Mtetra
.96 .643 .376 r
.61916 .49506 .62219 .49655 .63054 .56432 .62749 .56385 Mtetra
.929 .56 .288 r
.62749 .56385 .63054 .56432 .63779 .59056 .63472 .59006 Mtetra
.982 .766 .536 r
.63472 .59006 .63779 .59056 .643 .55517 .63995 .55359 Mtetra
.975 .722 .488 r
.63995 .55359 .643 .55517 .64672 .48224 .64369 .47932 Mtetra
.97 .72 .5 r
.64369 .47932 .64672 .48224 .65056 .41921 .64757 .41553 Mtetra
.932 .764 .651 r
.64757 .41553 .65056 .41921 .65606 .40229 .6531 .39878 Mtetra
.954 .605 .268 r
.6531 .39878 .65606 .40229 .66379 .43879 .66085 .43623 Mtetra
.964 .641 .346 r
.66085 .43623 .66379 .43879 .67301 .50488 .67007 .50352 Mtetra
.956 .622 .333 r
.67007 .50352 .67301 .50488 .68183 .55661 .67889 .55593 Mtetra
.218 .727 .891 r
.67889 .55593 .68183 .55661 .68836 .5566 .68542 .55557 Mtetra
.982 .74 .492 r
.68542 .55557 .68836 .5566 .69228 .50408 .68935 .50195 Mtetra
.978 .722 .476 r
.68935 .50195 .69228 .50408 .69513 .43446 .6922 .43122 Mtetra
.972 .733 .516 r
.6922 .43122 .69513 .43446 .6991 .39039 .6962 .38667 Mtetra
0 .233 .743 r
.6962 .38667 .6991 .39039 .70568 .39524 .7028 .39184 Mtetra
.958 .617 .278 r
.7028 .39184 .70568 .39524 .71479 .44296 .71193 .44048 Mtetra
.961 .627 .309 r
.71193 .44048 .71479 .44296 .72477 .50166 .72193 .50015 Mtetra
.934 .556 .225 r
.72193 .50015 .72477 .50166 .73314 .53041 .73032 .52929 Mtetra
.986 .807 .578 r
.73032 .52929 .73314 .53041 .73838 .50801 .73555 .50641 Mtetra
.984 .732 .47 r
.73555 .50641 .73838 .50801 .74116 .44952 .73833 .44692 Mtetra
.981 .728 .476 r
.73833 .44692 .74116 .44952 .74385 .39287 .74102 .38941 Mtetra
.962 .767 .595 r
.74102 .38941 .74385 .39287 .74877 .37089 .74595 .36714 Mtetra
.89 .492 .054 r
.74595 .36714 .74877 .37089 .75681 .39302 .75401 .38965 Mtetra
.954 .607 .249 r
.75401 .38965 .75681 .39302 .76697 .44231 .7642 .43976 Mtetra
.948 .591 .236 r
.7642 .43976 .76697 .44231 .77681 .48442 .77407 .48263 Mtetra
0 .17 .595 r
.77407 .48263 .77681 .48442 .7839 .4889 .78118 .48726 Mtetra
.989 .76 .498 r
.78118 .48726 .7839 .4889 .78769 .45171 .78497 .44954 Mtetra
.986 .733 .461 r
.78497 .44954 .78769 .45171 .78998 .39789 .78724 .39486 Mtetra
.982 .747 .505 r
.78724 .39486 .78998 .39789 .79348 .36077 .79073 .35708 Mtetra
.582 .715 .934 r
.79073 .35708 .79348 .36077 .79999 .35998 .79724 .35618 Mtetra
.918 .542 .12 r
.79724 .35618 .79999 .35998 .80942 .39199 .80669 .38861 Mtetra
.938 .575 .181 r
.80669 .38861 .80942 .39199 .81982 .43297 .81714 .43032 Mtetra
.87 .45 .017 r
.81714 .43032 .81982 .43297 .82848 .45304 .82585 .45091 Mtetra
.976 .833 .637 r
.82585 .45091 .82848 .45304 .83382 .43692 .83121 .43474 Mtetra
.99 .749 .471 r
.83121 .43474 .83382 .43692 .83664 .39532 .83402 .39257 Mtetra
.988 .746 .478 r
.83402 .39257 .83664 .39532 .83947 .35527 .83682 .35181 Mtetra
.956 .797 .646 r
.83682 .35181 .83947 .35527 .84466 .33999 .84198 .33609 Mtetra
.721 .293 0 r
.84198 .33609 .84466 .33999 .85295 .35517 .85028 .35133 Mtetra
.9 .519 .073 r
.85028 .35133 .85295 .35517 .8631 .38712 .86046 .38376 Mtetra
.869 .466 .006 r
.86046 .38376 .8631 .38712 .87259 .41152 .87002 .40875 Mtetra
.611 .802 .973 r
.87002 .40875 .87259 .41152 .87933 .40962 .8768 .4071 Mtetra
.991 .779 .52 r
.8768 .4071 .87933 .40962 .88321 .38195 .88068 .37919 Mtetra
.991 .756 .48 r
.88068 .37919 .88321 .38195 .88616 .34697 .8836 .34364 Mtetra
.979 .787 .574 r
.8836 .34364 .88616 .34697 .89061 .32603 .88802 .32218 Mtetra
.193 .481 .895 r
.88802 .32218 .89061 .32603 .89786 .32932 .89526 .3253 Mtetra
.735 .756 .87 r
.30068 .51028 .30413 .51347 .30959 .5104 .30614 .50725 Mtetra
.939 .591 .336 r
.30614 .50725 .30959 .5104 .31368 .52915 .3102 .52635 Mtetra
.941 .628 .416 r
.3102 .52635 .31368 .52915 .31719 .5586 .31365 .55628 Mtetra
.932 .591 .363 r
.31365 .55628 .31719 .5586 .32135 .57897 .31778 .57694 Mtetra
.808 .831 .868 r
.31778 .57694 .32135 .57897 .32704 .57457 .32348 .57241 Mtetra
.929 .733 .617 r
.32348 .57241 .32704 .57457 .33407 .54649 .33058 .54386 Mtetra
.929 .722 .603 r
.33058 .54386 .33407 .54649 .34134 .51281 .33791 .5097 Mtetra
.905 .739 .665 r
.33791 .5097 .34134 .51281 .34761 .49593 .34422 .49267 Mtetra
.909 .501 .166 r
.34422 .49267 .34761 .49593 .35235 .50805 .34893 .50509 Mtetra
.946 .638 .42 r
.34893 .50509 .35235 .50805 .35599 .54318 .35251 .54083 Mtetra
.942 .634 .425 r
.35251 .54083 .35599 .54318 .35972 .5791 .35618 .5773 Mtetra
.887 .469 .193 r
.35618 .5773 .35972 .5791 .36474 .5903 .36119 .58856 Mtetra
.936 .752 .629 r
.36119 .58856 .36474 .5903 .37139 .56682 .3679 .5646 Mtetra
.939 .721 .58 r
.3679 .5646 .37139 .56682 .37885 .52336 .37544 .52045 Mtetra
.933 .722 .596 r
.37544 .52045 .37885 .52336 .38582 .48871 .38247 .48538 Mtetra
.706 .751 .887 r
.38247 .48538 .38582 .48871 .3914 .48603 .38805 .48287 Mtetra
.95 .632 .395 r
.38805 .48287 .3914 .48603 .39561 .51881 .39221 .51633 Mtetra
.948 .648 .437 r
.39221 .51633 .39561 .51881 .39936 .56772 .39588 .56603 Mtetra
.939 .619 .402 r
.39588 .56603 .39936 .56772 .40387 .59994 .40036 .59862 Mtetra
.91 .84 .764 r
.40036 .59862 .40387 .59994 .4099 .59101 .40642 .58929 Mtetra
.948 .726 .569 r
.40642 .58929 .4099 .59101 .41709 .54527 .41369 .54269 Mtetra
.944 .716 .563 r
.41369 .54269 .41709 .54527 .42434 .49324 .42103 .48995 Mtetra
.926 .733 .623 r
.42103 .48995 .42434 .49324 .43064 .46906 .42735 .46569 Mtetra
.942 .581 .282 r
.42735 .46569 .43064 .46906 .43568 .48906 .43236 .48632 Mtetra
.952 .652 .428 r
.43236 .48632 .43568 .48906 .43996 .54259 .43656 .54085 Mtetra
.948 .646 .431 r
.43656 .54085 .43996 .54259 .44445 .59568 .44099 .59467 Mtetra
.9 .505 .257 r
.44099 .59467 .44445 .59568 .44997 .61054 .44651 .6094 Mtetra
.956 .744 .577 r
.44651 .6094 .44997 .61054 .45659 .57444 .4532 .57238 Mtetra
.953 .717 .544 r
.4532 .57238 .45659 .57444 .4636 .51142 .4603 .50832 Mtetra
.947 .718 .56 r
.4603 .50832 .4636 .51142 .47016 .46326 .46692 .45973 Mtetra
.689 .742 .892 r
.46692 .45973 .47016 .46326 .47589 .46055 .47266 .45745 Mtetra
.956 .644 .397 r
.47266 .45745 .47589 .46055 .481 .50608 .47771 .50405 Mtetra
.954 .654 .429 r
.47771 .50405 .481 .50608 .48605 .5725 .48269 .57155 Mtetra
.944 .627 .402 r
.48269 .57155 .48605 .5725 .49157 .61524 .48818 .6146 Mtetra
.953 .841 .694 r
.48818 .6146 .49157 .61524 .49771 .60217 .49435 .60078 Mtetra
.961 .723 .534 r
.49435 .60078 .49771 .60217 .50413 .54074 .50084 .53808 Mtetra
.956 .714 .531 r
.50084 .53808 .50413 .54074 .51037 .47279 .50716 .46926 Mtetra
.942 .73 .588 r
.50716 .46926 .51037 .47279 .51629 .44139 .51312 .4379 Mtetra
.947 .589 .273 r
.51312 .4379 .51629 .44139 .52208 .46547 .51889 .46291 Mtetra
.959 .654 .41 r
.51889 .46291 .52208 .46547 .52801 .53116 .52476 .52988 Mtetra
.954 .648 .414 r
.52476 .52988 .52801 .53116 .53419 .59683 .53089 .5964 Mtetra
.91 .528 .281 r
.53089 .5964 .53419 .59683 .54042 .61594 .53711 .61522 Mtetra
.97 .746 .544 r
.53711 .61522 .54042 .61594 .54634 .57285 .54309 .57088 Mtetra
.964 .717 .514 r
.54309 .57088 .54634 .57285 .55187 .49725 .54868 .49401 Mtetra
.959 .717 .53 r
.54868 .49401 .55187 .49725 .5573 .43841 .55418 .43469 Mtetra
.83 .767 .792 r
.55418 .43469 .5573 .43841 .56316 .43138 .56005 .42819 Mtetra
.961 .639 .361 r
.56005 .42819 .56316 .43138 .56975 .47969 .56663 .47772 Mtetra
.96 .653 .401 r
.56663 .47772 .56975 .47969 .57695 .55392 .57378 .55318 Mtetra
.951 .628 .38 r
.57378 .55318 .57695 .55392 .58403 .60431 .58083 .60395 Mtetra
.954 .895 .73 r
.58083 .60395 .58403 .60431 .59015 .59396 .58696 .59279 Mtetra
.972 .727 .507 r
.58696 .59279 .59015 .59396 .59511 .52906 .59196 .52649 Mtetra
.967 .715 .502 r
.59196 .52649 .59511 .52906 .59961 .45331 .59652 .44973 Mtetra
.958 .729 .55 r
.59652 .44973 .59961 .45331 .60473 .41354 .60168 .40988 Mtetra
.908 .509 .112 r
.60168 .40988 .60473 .41354 .61125 .4314 .60821 .42857 Mtetra
.963 .646 .366 r
.60821 .42857 .61125 .4314 .61916 .49506 .61611 .4935 Mtetra
.96 .644 .377 r
.61611 .4935 .61916 .49506 .62749 .56385 .62441 .56324 Mtetra
.93 .559 .284 r
.62441 .56324 .62749 .56385 .63472 .59006 .63164 .58938 Mtetra
.981 .763 .535 r
.63164 .58938 .63472 .59006 .63995 .55359 .63687 .55186 Mtetra
.974 .721 .487 r
.63687 .55186 .63995 .55359 .64369 .47932 .64065 .4763 Mtetra
.97 .72 .5 r
.64065 .4763 .64369 .47932 .64757 .41553 .64457 .41182 Mtetra
.931 .764 .653 r
.64457 .41182 .64757 .41553 .6531 .39878 .65013 .39527 Mtetra
.954 .607 .272 r
.65013 .39527 .6531 .39878 .66085 .43623 .65789 .43364 Mtetra
.964 .642 .347 r
.65789 .43364 .66085 .43623 .67007 .50352 .66711 .50206 Mtetra
.957 .623 .332 r
.66711 .50206 .67007 .50352 .67889 .55593 .67592 .55509 Mtetra
.316 .783 .936 r
.67592 .55509 .67889 .55593 .68542 .55557 .68246 .55438 Mtetra
.982 .738 .491 r
.68246 .55438 .68542 .55557 .68935 .50195 .68639 .49969 Mtetra
.977 .721 .476 r
.68639 .49969 .68935 .50195 .6922 .43122 .68926 .42792 Mtetra
.972 .732 .516 r
.68926 .42792 .6922 .43122 .6962 .38667 .69328 .38293 Mtetra
0 .198 .715 r
.69328 .38293 .6962 .38667 .7028 .39184 .6999 .38843 Mtetra
.958 .618 .28 r
.6999 .38843 .7028 .39184 .71193 .44048 .70905 .43795 Mtetra
.961 .628 .309 r
.70905 .43795 .71193 .44048 .72193 .50015 .71907 .49854 Mtetra
.934 .557 .224 r
.71907 .49854 .72193 .50015 .73032 .52929 .72746 .52802 Mtetra
.985 .803 .577 r
.72746 .52802 .73032 .52929 .73555 .50641 .7327 .50467 Mtetra
.983 .731 .47 r
.7327 .50467 .73555 .50641 .73833 .44692 .73548 .44423 Mtetra
.98 .727 .476 r
.73548 .44423 .73833 .44692 .74102 .38941 .73818 .3859 Mtetra
.962 .766 .593 r
.73818 .3859 .74102 .38941 .74595 .36714 .74312 .36338 Mtetra
.892 .496 .06 r
.74312 .36338 .74595 .36714 .75401 .38965 .75119 .38626 Mtetra
.955 .609 .251 r
.75119 .38626 .75401 .38965 .7642 .43976 .76141 .43715 Mtetra
.948 .592 .237 r
.76141 .43715 .7642 .43976 .77407 .48263 .77131 .48072 Mtetra
0 .165 .598 r
.77131 .48072 .77407 .48263 .78118 .48726 .77844 .48549 Mtetra
.988 .758 .498 r
.77844 .48549 .78118 .48726 .78497 .44954 .78223 .44726 Mtetra
.985 .732 .461 r
.78223 .44726 .78497 .44954 .78724 .39486 .7845 .39177 Mtetra
.982 .745 .504 r
.7845 .39177 .78724 .39486 .79073 .35708 .78797 .35338 Mtetra
.59 .718 .932 r
.78797 .35338 .79073 .35708 .79724 .35618 .79448 .35235 Mtetra
.919 .544 .123 r
.79448 .35235 .79724 .35618 .80669 .38861 .80396 .3852 Mtetra
.938 .577 .184 r
.80396 .3852 .80669 .38861 .81714 .43032 .81444 .42758 Mtetra
.873 .454 .021 r
.81444 .42758 .81714 .43032 .82585 .45091 .82319 .44867 Mtetra
.975 .83 .638 r
.82319 .44867 .82585 .45091 .83121 .43474 .82857 .43246 Mtetra
.989 .747 .471 r
.82857 .43246 .83121 .43474 .83402 .39257 .83138 .38974 Mtetra
.987 .745 .477 r
.83138 .38974 .83402 .39257 .83682 .35181 .83415 .34831 Mtetra
.957 .796 .641 r
.83415 .34831 .83682 .35181 .84198 .33609 .8393 .33218 Mtetra
.722 .295 0 r
.8393 .33218 .84198 .33609 .85028 .35133 .8476 .34747 Mtetra
.901 .522 .076 r
.8476 .34747 .85028 .35133 .86046 .38376 .85782 .38036 Mtetra
.871 .47 .011 r
.85782 .38036 .86046 .38376 .87002 .40875 .86742 .4059 Mtetra
.591 .788 .974 r
.86742 .4059 .87002 .40875 .8768 .4071 .87424 .4045 Mtetra
.991 .777 .52 r
.87424 .4045 .8768 .4071 .88068 .37919 .87813 .37635 Mtetra
.991 .755 .479 r
.87813 .37635 .88068 .37919 .8836 .34364 .88103 .34026 Mtetra
.98 .785 .57 r
.88103 .34026 .8836 .34364 .88802 .32218 .88542 .3183 Mtetra
.211 .493 .901 r
.88542 .3183 .88802 .32218 .89526 .3253 .89265 .32126 Mtetra
.733 .756 .871 r
.29722 .50708 .30068 .51028 .30614 .50725 .30269 .50408 Mtetra
.939 .593 .339 r
.30269 .50408 .30614 .50725 .3102 .52635 .3067 .52351 Mtetra
.942 .629 .417 r
.3067 .52351 .3102 .52635 .31365 .55628 .3101 .55389 Mtetra
.933 .593 .364 r
.3101 .55389 .31365 .55628 .31778 .57694 .31419 .57481 Mtetra
.81 .825 .862 r
.31419 .57481 .31778 .57694 .32348 .57241 .31992 .57016 Mtetra
.929 .732 .616 r
.31992 .57016 .32348 .57241 .33058 .54386 .32707 .54116 Mtetra
.929 .721 .602 r
.32707 .54116 .33058 .54386 .33791 .5097 .33448 .50656 Mtetra
.905 .738 .665 r
.33448 .50656 .33791 .5097 .34422 .49267 .34081 .48939 Mtetra
.911 .507 .176 r
.34081 .48939 .34422 .49267 .34893 .50509 .3455 .50211 Mtetra
.946 .639 .422 r
.3455 .50211 .34893 .50509 .35251 .54083 .34901 .53842 Mtetra
.943 .635 .426 r
.34901 .53842 .35251 .54083 .35618 .5773 .35263 .57539 Mtetra
.888 .469 .189 r
.35263 .57539 .35618 .5773 .36119 .58856 .35764 .5867 Mtetra
.935 .749 .627 r
.35764 .5867 .36119 .58856 .3679 .5646 .3644 .56228 Mtetra
.939 .72 .579 r
.3644 .56228 .3679 .5646 .37544 .52045 .37202 .51748 Mtetra
.932 .721 .595 r
.37202 .51748 .37544 .52045 .38247 .48538 .37911 .48204 Mtetra
.697 .749 .892 r
.37911 .48204 .38247 .48538 .38805 .48287 .38469 .4797 Mtetra
.95 .633 .398 r
.38469 .4797 .38805 .48287 .39221 .51633 .38879 .5138 Mtetra
.948 .649 .438 r
.38879 .5138 .39221 .51633 .39588 .56603 .39239 .56424 Mtetra
.94 .62 .402 r
.39239 .56424 .39588 .56603 .40036 .59862 .39683 .59715 Mtetra
.91 .832 .756 r
.39683 .59715 .40036 .59862 .40642 .58929 .40292 .58745 Mtetra
.947 .725 .569 r
.40292 .58745 .40642 .58929 .41369 .54269 .41028 .54002 Mtetra
.944 .716 .562 r
.41028 .54002 .41369 .54269 .42103 .48995 .4177 .48662 Mtetra
.926 .733 .623 r
.4177 .48662 .42103 .48995 .42735 .46569 .42405 .46231 Mtetra
.943 .585 .289 r
.42405 .46231 .42735 .46569 .43236 .48632 .42903 .48355 Mtetra
.952 .652 .43 r
.42903 .48355 .43236 .48632 .43656 .54085 .43316 .53902 Mtetra
.948 .646 .431 r
.43316 .53902 .43656 .54085 .44099 .59467 .43752 .59351 Mtetra
.9 .503 .248 r
.43752 .59351 .44099 .59467 .44651 .6094 .44304 .60809 Mtetra
.955 .742 .576 r
.44304 .60809 .44651 .6094 .4532 .57238 .44979 .57018 Mtetra
.952 .716 .543 r
.44979 .57018 .4532 .57238 .4603 .50832 .45698 .50515 Mtetra
.946 .717 .56 r
.45698 .50515 .4603 .50832 .46692 .45973 .46367 .45618 Mtetra
.662 .734 .903 r
.46367 .45618 .46692 .45973 .47266 .45745 .46941 .45433 Mtetra
.956 .645 .399 r
.46941 .45433 .47266 .45745 .47771 .50405 .47441 .50195 Mtetra
.954 .655 .429 r
.47441 .50195 .47771 .50405 .48269 .57155 .47931 .57046 Mtetra
.945 .627 .401 r
.47931 .57046 .48269 .57155 .48818 .6146 .48476 .61377 Mtetra
.952 .83 .686 r
.48476 .61377 .48818 .6146 .49435 .60078 .49097 .59921 Mtetra
.96 .722 .534 r
.49097 .59921 .49435 .60078 .50084 .53808 .49754 .53529 Mtetra
.956 .713 .531 r
.49754 .53529 .50084 .53808 .50716 .46926 .50394 .46568 Mtetra
.941 .73 .588 r
.50394 .46568 .50716 .46926 .51312 .4379 .50994 .4344 Mtetra
.948 .593 .281 r
.50994 .4344 .51312 .4379 .51889 .46291 .51569 .46031 Mtetra
.959 .654 .411 r
.51569 .46031 .51889 .46291 .52476 .52988 .5215 .5285 Mtetra
.955 .649 .414 r
.5215 .5285 .52476 .52988 .53089 .5964 .52758 .59578 Mtetra
.91 .525 .272 r
.52758 .59578 .53089 .5964 .53711 .61522 .53379 .61429 Mtetra
.968 .743 .543 r
.53379 .61429 .53711 .61522 .54309 .57088 .53981 .56875 Mtetra
.963 .716 .513 r
.53981 .56875 .54309 .57088 .54868 .49401 .54549 .4907 Mtetra
.958 .717 .53 r
.54549 .4907 .54868 .49401 .55418 .43469 .55104 .43095 Mtetra
.818 .765 .803 r
.55104 .43095 .55418 .43469 .56005 .42819 .55693 .42498 Mtetra
.961 .64 .364 r
.55693 .42498 .56005 .42819 .56663 .47772 .56348 .47568 Mtetra
.96 .653 .401 r
.56348 .47568 .56663 .47772 .57378 .55318 .57059 .55229 Mtetra
.952 .629 .379 r
.57059 .55229 .57378 .55318 .58083 .60395 .57761 .60337 Mtetra
.956 .878 .718 r
.57761 .60337 .58083 .60395 .58696 .59279 .58375 .59141 Mtetra
.971 .725 .507 r
.58375 .59141 .58696 .59279 .59196 .52649 .5888 .52379 Mtetra
.967 .715 .502 r
.5888 .52379 .59196 .52649 .59652 .44973 .59341 .44609 Mtetra
.957 .728 .55 r
.59341 .44609 .59652 .44973 .60168 .40988 .59862 .40621 Mtetra
.914 .519 .128 r
.59862 .40621 .60168 .40988 .60821 .42857 .60516 .4257 Mtetra
.963 .647 .367 r
.60516 .4257 .60821 .42857 .61611 .4935 .61304 .49184 Mtetra
.961 .645 .377 r
.61304 .49184 .61611 .4935 .62441 .56324 .62132 .56245 Mtetra
.93 .559 .279 r
.62132 .56245 .62441 .56324 .63164 .58938 .62853 .58849 Mtetra
.979 .759 .534 r
.62853 .58849 .63164 .58938 .63687 .55186 .63378 .54993 Mtetra
.974 .72 .487 r
.63378 .54993 .63687 .55186 .64065 .4763 .63759 .47318 Mtetra
.97 .719 .5 r
.63759 .47318 .64065 .4763 .64457 .41182 .64156 .40807 Mtetra
.93 .764 .655 r
.64156 .40807 .64457 .41182 .65013 .39527 .64715 .39174 Mtetra
.955 .609 .275 r
.64715 .39174 .65013 .39527 .65789 .43364 .65492 .431 Mtetra
.964 .642 .348 r
.65492 .431 .65789 .43364 .66711 .50206 .66413 .50048 Mtetra
.957 .624 .332 r
.66413 .50048 .66711 .50206 .67592 .55509 .67293 .55407 Mtetra
.41 .827 .97 r
.67293 .55407 .67592 .55509 .68246 .55438 .67946 .553 Mtetra
.981 .736 .492 r
.67946 .553 .68246 .55438 .68639 .49969 .68341 .49729 Mtetra
.977 .72 .476 r
.68341 .49729 .68639 .49969 .68926 .42792 .68631 .42454 Mtetra
.972 .731 .515 r
.68631 .42454 .68926 .42792 .69328 .38293 .69036 .37918 Mtetra
0 .164 .687 r
.69036 .37918 .69328 .38293 .6999 .38843 .697 .385 Mtetra
.959 .619 .282 r
.697 .385 .6999 .38843 .70905 .43795 .70616 .43535 Mtetra
.962 .629 .31 r
.70616 .43535 .70905 .43795 .71907 .49854 .71618 .49679 Mtetra
.935 .559 .222 r
.71618 .49679 .71907 .49854 .72746 .52802 .72459 .52658 Mtetra
.984 .799 .576 r
.72459 .52658 .72746 .52802 .7327 .50467 .72983 .50276 Mtetra
.983 .729 .47 r
.72983 .50276 .7327 .50467 .73548 .44423 .73261 .44142 Mtetra
.98 .726 .475 r
.73261 .44142 .73548 .44423 .73818 .3859 .73532 .38235 Mtetra
.962 .765 .592 r
.73532 .38235 .73818 .3859 .74312 .36338 .74027 .3596 Mtetra
.895 .499 .065 r
.74027 .3596 .74312 .36338 .75119 .38626 .74836 .38284 Mtetra
.955 .61 .252 r
.74836 .38284 .75119 .38626 .76141 .43715 .7586 .43445 Mtetra
.949 .593 .237 r
.7586 .43445 .76141 .43715 .77131 .48072 .76852 .47867 Mtetra
0 .164 .607 r
.76852 .47867 .77131 .48072 .77844 .48549 .77567 .48357 Mtetra
.988 .756 .498 r
.77567 .48357 .77844 .48549 .78223 .44726 .77947 .44485 Mtetra
.985 .731 .461 r
.77947 .44485 .78223 .44726 .7845 .39177 .78173 .3886 Mtetra
.981 .744 .503 r
.78173 .3886 .7845 .39177 .78797 .35338 .7852 .34965 Mtetra
.598 .721 .93 r
.7852 .34965 .78797 .35338 .79448 .35235 .79171 .34852 Mtetra
.92 .546 .126 r
.79171 .34852 .79448 .35235 .80396 .3852 .8012 .38174 Mtetra
.939 .578 .185 r
.8012 .38174 .80396 .3852 .81444 .42758 .81172 .42476 Mtetra
.874 .458 .024 r
.81172 .42476 .81444 .42758 .82319 .44867 .82051 .4463 Mtetra
.973 .827 .639 r
.82051 .4463 .82319 .44867 .82857 .43246 .82591 .43006 Mtetra
.989 .746 .471 r
.82591 .43006 .82857 .43246 .83138 .38974 .82871 .38683 Mtetra
.987 .743 .476 r
.82871 .38683 .83138 .38974 .83415 .34831 .83147 .34478 Mtetra
.958 .794 .636 r
.83147 .34478 .83415 .34831 .8393 .33218 .8366 .32826 Mtetra
.723 .296 0 r
.8366 .32826 .8393 .33218 .8476 .34747 .8449 .34359 Mtetra
.903 .524 .079 r
.8449 .34359 .8476 .34747 .85782 .38036 .85515 .3769 Mtetra
.873 .474 .016 r
.85515 .3769 .85782 .38036 .86742 .4059 .8648 .40295 Mtetra
.572 .773 .974 r
.8648 .40295 .86742 .4059 .87424 .4045 .87167 .40179 Mtetra
.99 .776 .52 r
.87167 .40179 .87424 .4045 .87813 .37635 .87557 .37343 Mtetra
.99 .753 .478 r
.87557 .37343 .87813 .37635 .88103 .34026 .87845 .33684 Mtetra
.98 .783 .567 r
.87845 .33684 .88103 .34026 .88542 .3183 .88281 .31442 Mtetra
.229 .505 .905 r
.88281 .31442 .88542 .3183 .89265 .32126 .89003 .31721 Mtetra
.731 .756 .872 r
.29374 .50387 .29722 .50708 .30269 .50408 .29921 .5009 Mtetra
.94 .595 .343 r
.29921 .5009 .30269 .50408 .3067 .52351 .30319 .52067 Mtetra
.942 .63 .419 r
.30319 .52067 .3067 .52351 .3101 .55389 .30653 .55149 Mtetra
.933 .594 .366 r
.30653 .55149 .3101 .55389 .31419 .57481 .31059 .57268 Mtetra
.814 .825 .858 r
.31059 .57268 .31419 .57481 .31992 .57016 .31633 .5679 Mtetra
.929 .731 .615 r
.31633 .5679 .31992 .57016 .32707 .54116 .32356 .53846 Mtetra
.929 .721 .601 r
.32356 .53846 .32707 .54116 .33448 .50656 .33103 .50341 Mtetra
.905 .738 .664 r
.33103 .50341 .33448 .50656 .34081 .48939 .3374 .4861 Mtetra
.914 .513 .186 r
.3374 .4861 .34081 .48939 .3455 .50211 .34206 .49911 Mtetra
.946 .639 .424 r
.34206 .49911 .3455 .50211 .34901 .53842 .34551 .536 Mtetra
.943 .636 .427 r
.34551 .536 .34901 .53842 .35263 .57539 .34906 .57347 Mtetra
.889 .47 .19 r
.34906 .57347 .35263 .57539 .35764 .5867 .35406 .58484 Mtetra
.935 .748 .626 r
.35406 .58484 .35764 .5867 .3644 .56228 .36088 .55995 Mtetra
.939 .719 .579 r
.36088 .55995 .3644 .56228 .37202 .51748 .36859 .5145 Mtetra
.932 .721 .594 r
.36859 .5145 .37202 .51748 .37911 .48204 .37574 .47869 Mtetra
.687 .746 .897 r
.37574 .47869 .37911 .48204 .38469 .4797 .38132 .47651 Mtetra
.95 .635 .4 r
.38132 .47651 .38469 .4797 .38879 .5138 .38536 .51126 Mtetra
.948 .65 .439 r
.38536 .51126 .38879 .5138 .39239 .56424 .38888 .56245 Mtetra
.94 .621 .403 r
.38888 .56245 .39239 .56424 .39683 .59715 .39328 .59568 Mtetra
.912 .828 .75 r
.39328 .59568 .39683 .59715 .40292 .58745 .3994 .58559 Mtetra
.947 .724 .568 r
.3994 .58559 .40292 .58745 .41028 .54002 .40685 .53734 Mtetra
.944 .715 .562 r
.40685 .53734 .41028 .54002 .4177 .48662 .41435 .48328 Mtetra
.926 .733 .622 r
.41435 .48328 .4177 .48662 .42405 .46231 .42074 .45892 Mtetra
.944 .588 .296 r
.42074 .45892 .42405 .46231 .42903 .48355 .42568 .48077 Mtetra
.952 .653 .431 r
.42568 .48077 .42903 .48355 .43316 .53902 .42973 .53719 Mtetra
.948 .647 .432 r
.42973 .53719 .43316 .53902 .43752 .59351 .43403 .59233 Mtetra
.899 .5 .245 r
.43403 .59233 .43752 .59351 .44304 .60809 .43955 .60677 Mtetra
.955 .741 .575 r
.43955 .60677 .44304 .60809 .44979 .57018 .44637 .56797 Mtetra
.952 .715 .543 r
.44637 .56797 .44979 .57018 .45698 .50515 .45366 .50197 Mtetra
.946 .717 .559 r
.45366 .50197 .45698 .50515 .46367 .45618 .46041 .45261 Mtetra
.632 .724 .914 r
.46041 .45261 .46367 .45618 .46941 .45433 .46614 .4512 Mtetra
.956 .646 .4 r
.46614 .4512 .46941 .45433 .47441 .50195 .47108 .49985 Mtetra
.954 .655 .43 r
.47108 .49985 .47441 .50195 .47931 .57046 .47591 .56936 Mtetra
.945 .628 .401 r
.47591 .56936 .47931 .57046 .48476 .61377 .48133 .61293 Mtetra
.954 .825 .678 r
.48133 .61293 .48476 .61377 .49097 .59921 .48757 .59762 Mtetra
.96 .721 .533 r
.48757 .59762 .49097 .59921 .49754 .53529 .49423 .5325 Mtetra
.956 .713 .53 r
.49423 .5325 .49754 .53529 .50394 .46568 .50071 .46209 Mtetra
.941 .73 .589 r
.50071 .46209 .50394 .46568 .50994 .4344 .50675 .43089 Mtetra
.949 .597 .289 r
.50675 .43089 .50994 .4344 .51569 .46031 .51247 .4577 Mtetra
.959 .655 .412 r
.51247 .4577 .51569 .46031 .5215 .5285 .51822 .52711 Mtetra
.955 .649 .414 r
.51822 .52711 .5215 .5285 .52758 .59578 .52424 .59515 Mtetra
.909 .522 .267 r
.52424 .59515 .52758 .59578 .53379 .61429 .53045 .61335 Mtetra
.968 .742 .542 r
.53045 .61335 .53379 .61429 .53981 .56875 .53652 .56661 Mtetra
.963 .715 .513 r
.53652 .56661 .53981 .56875 .54549 .4907 .54228 .48737 Mtetra
.958 .716 .529 r
.54228 .48737 .54549 .4907 .55104 .43095 .54789 .42721 Mtetra
.806 .764 .815 r
.54789 .42721 .55104 .43095 .55693 .42498 .5538 .42176 Mtetra
.961 .641 .366 r
.5538 .42176 .55693 .42498 .56348 .47568 .56032 .47364 Mtetra
.96 .654 .402 r
.56032 .47364 .56348 .47568 .57059 .55229 .56738 .55138 Mtetra
.952 .629 .379 r
.56738 .55138 .57059 .55229 .57761 .60337 .57437 .60279 Mtetra
.96 .87 .705 r
.57437 .60279 .57761 .60337 .58375 .59141 .58052 .59002 Mtetra
.971 .725 .506 r
.58052 .59002 .58375 .59141 .5888 .52379 .58562 .52107 Mtetra
.967 .714 .502 r
.58562 .52107 .5888 .52379 .59341 .44609 .5903 .44245 Mtetra
.957 .728 .55 r
.5903 .44245 .59341 .44609 .59862 .40621 .59555 .40253 Mtetra
.919 .528 .143 r
.59555 .40253 .59862 .40621 .60516 .4257 .6021 .42283 Mtetra
.964 .647 .368 r
.6021 .42283 .60516 .4257 .61304 .49184 .60996 .49017 Mtetra
.961 .645 .377 r
.60996 .49017 .61304 .49184 .62132 .56245 .6182 .56165 Mtetra
.93 .558 .278 r
.6182 .56165 .62132 .56245 .62853 .58849 .6254 .58759 Mtetra
.979 .757 .532 r
.6254 .58759 .62853 .58849 .63378 .54993 .63067 .548 Mtetra
.974 .719 .487 r
.63067 .548 .63378 .54993 .63759 .47318 .63452 .47004 Mtetra
.97 .719 .499 r
.63452 .47004 .63759 .47318 .64156 .40807 .63853 .40431 Mtetra
.929 .764 .657 r
.63853 .40431 .64156 .40807 .64715 .39174 .64415 .3882 Mtetra
.956 .611 .279 r
.64415 .3882 .64715 .39174 .65492 .431 .65193 .42835 Mtetra
.964 .643 .349 r
.65193 .42835 .65492 .431 .66413 .50048 .66113 .49889 Mtetra
.958 .624 .333 r
.66113 .49889 .66413 .50048 .67293 .55407 .66993 .55305 Mtetra
.47 .858 .978 r
.66993 .55305 .67293 .55407 .67946 .553 .67646 .5516 Mtetra
.981 .735 .49 r
.67646 .5516 .67946 .553 .68341 .49729 .68041 .49486 Mtetra
.977 .719 .475 r
.68041 .49486 .68341 .49729 .68631 .42454 .68334 .42115 Mtetra
.972 .731 .515 r
.68334 .42115 .68631 .42454 .69036 .37918 .68742 .3754 Mtetra
0 .129 .657 r
.68742 .3754 .69036 .37918 .697 .385 .69408 .38156 Mtetra
.959 .62 .284 r
.69408 .38156 .697 .385 .70616 .43535 .70325 .43275 Mtetra
.962 .629 .311 r
.70325 .43275 .70616 .43535 .71618 .49679 .71328 .49504 Mtetra
.935 .56 .224 r
.71328 .49504 .71618 .49679 .72459 .52658 .72169 .52513 Mtetra
.984 .797 .573 r
.72169 .52513 .72459 .52658 .72983 .50276 .72694 .50083 Mtetra
.983 .729 .469 r
.72694 .50083 .72983 .50276 .73261 .44142 .72973 .4386 Mtetra
.98 .725 .474 r
.72973 .4386 .73261 .44142 .73532 .38235 .73245 .37878 Mtetra
.962 .764 .591 r
.73245 .37878 .73532 .38235 .74027 .3596 .73741 .3558 Mtetra
.897 .503 .071 r
.73741 .3558 .74027 .3596 .74836 .38284 .74551 .37941 Mtetra
.955 .611 .254 r
.74551 .37941 .74836 .38284 .7586 .43445 .75577 .43176 Mtetra
.949 .595 .239 r
.75577 .43176 .7586 .43445 .76852 .47867 .76572 .47662 Mtetra
0 .152 .595 r
.76572 .47662 .76852 .47867 .77567 .48357 .77289 .48164 Mtetra
.988 .756 .497 r
.77289 .48164 .77567 .48357 .77947 .44485 .77669 .44242 Mtetra
.985 .73 .46 r
.77669 .44242 .77947 .44485 .78173 .3886 .77895 .38541 Mtetra
.981 .743 .501 r
.77895 .38541 .78173 .3886 .7852 .34965 .78241 .34589 Mtetra
.604 .723 .929 r
.78241 .34589 .7852 .34965 .79171 .34852 .78893 .34467 Mtetra
.921 .548 .129 r
.78893 .34467 .79171 .34852 .8012 .38174 .79844 .37829 Mtetra
.94 .58 .188 r
.79844 .37829 .8012 .38174 .81172 .42476 .80899 .42193 Mtetra
.877 .463 .031 r
.80899 .42193 .81172 .42476 .82051 .4463 .81781 .44392 Mtetra
.973 .827 .639 r
.81781 .44392 .82051 .4463 .82591 .43006 .82324 .42763 Mtetra
.989 .745 .47 r
.82324 .42763 .82591 .43006 .82871 .38683 .82604 .3839 Mtetra
.987 .742 .474 r
.82604 .3839 .82871 .38683 .83147 .34478 .82878 .34122 Mtetra
.959 .792 .632 r
.82878 .34122 .83147 .34478 .8366 .32826 .83389 .32432 Mtetra
.725 .297 0 r
.83389 .32432 .8366 .32826 .8449 .34359 .8422 .3397 Mtetra
.904 .526 .083 r
.8422 .3397 .8449 .34359 .85515 .3769 .85248 .37344 Mtetra
.876 .478 .022 r
.85248 .37344 .85515 .3769 .8648 .40295 .86218 .4 Mtetra
.55 .764 .977 r
.86218 .4 .8648 .40295 .87167 .40179 .86908 .39906 Mtetra
.99 .775 .519 r
.86908 .39906 .87167 .40179 .87557 .37343 .87299 .37048 Mtetra
.99 .752 .477 r
.87299 .37048 .87557 .37343 .87845 .33684 .87585 .33339 Mtetra
.981 .781 .563 r
.87585 .33339 .87845 .33684 .88281 .31442 .88018 .31051 Mtetra
.246 .516 .909 r
.88018 .31051 .88281 .31442 .89003 .31721 .8874 .31315 Mtetra
.729 .755 .873 r
.29025 .50064 .29374 .50387 .29921 .5009 .29573 .49771 Mtetra
.94 .597 .346 r
.29573 .49771 .29921 .5009 .30319 .52067 .29966 .51779 Mtetra
.942 .631 .42 r
.29966 .51779 .30319 .52067 .30653 .55149 .30295 .54905 Mtetra
.934 .595 .367 r
.30295 .54905 .30653 .55149 .31059 .57268 .30697 .5705 Mtetra
.816 .822 .854 r
.30697 .5705 .31059 .57268 .31633 .5679 .31274 .5656 Mtetra
.929 .731 .614 r
.31274 .5656 .31633 .5679 .32356 .53846 .32002 .53573 Mtetra
.929 .72 .6 r
.32002 .53573 .32356 .53846 .33103 .50341 .32757 .50024 Mtetra
.906 .738 .663 r
.32757 .50024 .33103 .50341 .3374 .4861 .33397 .4828 Mtetra
.916 .518 .195 r
.33397 .4828 .3374 .4861 .34206 .49911 .3386 .49609 Mtetra
.946 .64 .425 r
.3386 .49609 .34206 .49911 .34551 .536 .34198 .53354 Mtetra
.943 .637 .428 r
.34198 .53354 .34551 .536 .34906 .57347 .34548 .5715 Mtetra
.889 .471 .189 r
.34548 .5715 .34906 .57347 .35406 .58484 .35047 .58292 Mtetra
.935 .747 .624 r
.35047 .58292 .35406 .58484 .36088 .55995 .35734 .55757 Mtetra
.939 .719 .578 r
.35734 .55757 .36088 .55995 .36859 .5145 .36514 .51149 Mtetra
.933 .721 .594 r
.36514 .51149 .36859 .5145 .37574 .47869 .37235 .47533 Mtetra
.676 .744 .902 r
.37235 .47533 .37574 .47869 .38132 .47651 .37793 .47331 Mtetra
.95 .636 .402 r
.37793 .47331 .38132 .47651 .38536 .51126 .38192 .50869 Mtetra
.948 .65 .44 r
.38192 .50869 .38536 .51126 .38888 .56245 .38536 .5606 Mtetra
.941 .621 .403 r
.38536 .5606 .38888 .56245 .39328 .59568 .38972 .59414 Mtetra
.914 .823 .743 r
.38972 .59414 .39328 .59568 .3994 .58559 .39588 .58367 Mtetra
.947 .723 .567 r
.39588 .58367 .3994 .58559 .40685 .53734 .40341 .53462 Mtetra
.944 .715 .561 r
.40341 .53462 .40685 .53734 .41435 .48328 .411 .47993 Mtetra
.926 .733 .622 r
.411 .47993 .41435 .48328 .42074 .45892 .41742 .45552 Mtetra
.945 .592 .302 r
.41742 .45552 .42074 .45892 .42568 .48077 .42232 .47797 Mtetra
.953 .653 .432 r
.42232 .47797 .42568 .48077 .42973 .53719 .42629 .5353 Mtetra
.949 .647 .432 r
.42629 .5353 .42973 .53719 .43403 .59233 .43053 .59109 Mtetra
.899 .498 .239 r
.43053 .59109 .43403 .59233 .43955 .60677 .43604 .60537 Mtetra
.954 .739 .573 r
.43604 .60537 .43955 .60677 .44637 .56797 .44293 .56569 Mtetra
.952 .715 .542 r
.44293 .56569 .44637 .56797 .45366 .50197 .45032 .49876 Mtetra
.946 .717 .559 r
.45032 .49876 .45366 .50197 .46041 .45261 .45713 .44904 Mtetra
.598 .713 .924 r
.45713 .44904 .46041 .45261 .46614 .4512 .46287 .44806 Mtetra
.956 .647 .402 r
.46287 .44806 .46614 .4512 .47108 .49985 .46775 .4977 Mtetra
.954 .656 .431 r
.46775 .4977 .47108 .49985 .47591 .56936 .4725 .56819 Mtetra
.946 .628 .401 r
.4725 .56819 .47591 .56936 .48133 .61293 .47788 .61201 Mtetra
.954 .818 .671 r
.47788 .61201 .48133 .61293 .48757 .59762 .48415 .59595 Mtetra
.96 .721 .532 r
.48415 .59595 .48757 .59762 .49423 .5325 .4909 .52966 Mtetra
.956 .713 .53 r
.4909 .52966 .49423 .5325 .50071 .46209 .49747 .45848 Mtetra
.941 .73 .589 r
.49747 .45848 .50071 .46209 .50675 .43089 .50354 .42738 Mtetra
.95 .601 .296 r
.50354 .42738 .50675 .43089 .51247 .4577 .50924 .45506 Mtetra
.959 .655 .413 r
.50924 .45506 .51247 .4577 .51822 .52711 .51493 .52566 Mtetra
.955 .649 .415 r
.51493 .52566 .51822 .52711 .52424 .59515 .52089 .59443 Mtetra
.908 .518 .261 r
.52089 .59443 .52424 .59515 .53045 .61335 .52709 .61231 Mtetra
.968 .74 .54 r
.52709 .61231 .53045 .61335 .53652 .56661 .53322 .5644 Mtetra
.963 .715 .512 r
.53322 .5644 .53652 .56661 .54228 .48737 .53905 .48401 Mtetra
.958 .716 .529 r
.53905 .48401 .54228 .48737 .54789 .42721 .54473 .42345 Mtetra
.791 .763 .827 r
.54473 .42345 .54789 .42721 .5538 .42176 .55065 .41853 Mtetra
.961 .642 .368 r
.55065 .41853 .5538 .42176 .56032 .47364 .55714 .47155 Mtetra
.961 .654 .402 r
.55714 .47155 .56032 .47364 .56738 .55138 .56415 .5504 Mtetra
.952 .63 .378 r
.56415 .5504 .56738 .55138 .57437 .60279 .5711 .6021 Mtetra
.961 .86 .694 r
.5711 .6021 .57437 .60279 .58052 .59002 .57727 .58855 Mtetra
.971 .724 .506 r
.57727 .58855 .58052 .59002 .58562 .52107 .58243 .5183 Mtetra
.967 .714 .501 r
.58243 .5183 .58562 .52107 .5903 .44245 .58717 .43878 Mtetra
.957 .728 .551 r
.58717 .43878 .5903 .44245 .59555 .40253 .59246 .39883 Mtetra
.923 .536 .156 r
.59246 .39883 .59555 .40253 .6021 .42283 .59902 .41993 Mtetra
.964 .648 .369 r
.59902 .41993 .6021 .42283 .60996 .49017 .60685 .48845 Mtetra
.961 .646 .378 r
.60685 .48845 .60996 .49017 .6182 .56165 .61507 .56076 Mtetra
.93 .557 .275 r
.61507 .56076 .6182 .56165 .6254 .58759 .62225 .58659 Mtetra
.979 .755 .531 r
.62225 .58659 .6254 .58759 .63067 .548 .62754 .54599 Mtetra
.974 .718 .486 r
.62754 .54599 .63067 .548 .63452 .47004 .63144 .46685 Mtetra
.97 .718 .499 r
.63144 .46685 .63452 .47004 .63853 .40431 .63549 .40053 Mtetra
.928 .765 .66 r
.63549 .40053 .63853 .40431 .64415 .3882 .64114 .38465 Mtetra
.957 .613 .282 r
.64114 .38465 .64415 .3882 .65193 .42835 .64893 .42567 Mtetra
.964 .644 .35 r
.64893 .42567 .65193 .42835 .66113 .49889 .65812 .49724 Mtetra
.958 .625 .333 r
.65812 .49724 .66113 .49889 .66993 .55305 .6669 .55193 Mtetra
.535 .882 .985 r
.6669 .55193 .66993 .55305 .67646 .5516 .67343 .55011 Mtetra
.98 .734 .49 r
.67343 .55011 .67646 .5516 .68041 .49486 .6774 .49237 Mtetra
.977 .719 .475 r
.6774 .49237 .68041 .49486 .68334 .42115 .68035 .41771 Mtetra
.972 .731 .514 r
.68035 .41771 .68334 .42115 .68742 .3754 .68446 .37161 Mtetra
0 .095 .627 r
.68446 .37161 .68742 .3754 .69408 .38156 .69114 .37811 Mtetra
.96 .621 .286 r
.69114 .37811 .69408 .38156 .70325 .43275 .70033 .43011 Mtetra
.962 .63 .312 r
.70033 .43011 .70325 .43275 .71328 .49504 .71036 .49322 Mtetra
.936 .561 .224 r
.71036 .49322 .71328 .49504 .72169 .52513 .71878 .5236 Mtetra
.984 .795 .571 r
.71878 .5236 .72169 .52513 .72694 .50083 .72403 .49883 Mtetra
.982 .728 .468 r
.72403 .49883 .72694 .50083 .72973 .4386 .72683 .43571 Mtetra
.98 .725 .474 r
.72683 .43571 .72973 .4386 .73245 .37878 .72956 .37517 Mtetra
.962 .763 .59 r
.72956 .37517 .73245 .37878 .73741 .3558 .73454 .35199 Mtetra
.899 .506 .076 r
.73454 .35199 .73741 .3558 .74551 .37941 .74266 .37597 Mtetra
.956 .612 .256 r
.74266 .37597 .74551 .37941 .75577 .43176 .75293 .42903 Mtetra
.95 .596 .241 r
.75293 .42903 .75577 .43176 .76572 .47662 .76291 .47452 Mtetra
0 .146 .593 r
.76291 .47452 .76572 .47662 .77289 .48164 .77009 .47963 Mtetra
.987 .754 .496 r
.77009 .47963 .77289 .48164 .77669 .44242 .7739 .43992 Mtetra
.985 .729 .459 r
.7739 .43992 .77669 .44242 .77895 .38541 .77616 .38218 Mtetra
.981 .742 .5 r
.77616 .38218 .77895 .38541 .78241 .34589 .77962 .34212 Mtetra
.61 .725 .927 r
.77962 .34212 .78241 .34589 .78893 .34467 .78613 .34081 Mtetra
.922 .549 .132 r
.78613 .34081 .78893 .34467 .79844 .37829 .79566 .37481 Mtetra
.941 .581 .19 r
.79566 .37481 .79844 .37829 .80899 .42193 .80624 .41906 Mtetra
.88 .467 .036 r
.80624 .41906 .80899 .42193 .81781 .44392 .8151 .44149 Mtetra
.972 .826 .639 r
.8151 .44149 .81781 .44392 .82324 .42763 .82054 .42514 Mtetra
.989 .744 .469 r
.82054 .42514 .82324 .42763 .82604 .3839 .82334 .38091 Mtetra
.987 .741 .473 r
.82334 .38091 .82604 .3839 .82878 .34122 .82607 .33762 Mtetra
.96 .791 .628 r
.82607 .33762 .82878 .34122 .83389 .32432 .83118 .32036 Mtetra
.726 .299 0 r
.83118 .32036 .83389 .32432 .8422 .3397 .83949 .3358 Mtetra
.905 .528 .086 r
.83949 .3358 .8422 .3397 .85248 .37344 .84979 .36995 Mtetra
.879 .482 .027 r
.84979 .36995 .85248 .37344 .86218 .4 .85953 .397 Mtetra
.53 .752 .977 r
.85953 .397 .86218 .4 .86908 .39906 .86647 .39628 Mtetra
.99 .774 .518 r
.86647 .39628 .86908 .39906 .87299 .37048 .87039 .36748 Mtetra
.99 .751 .475 r
.87039 .36748 .87299 .37048 .87585 .33339 .87324 .3299 Mtetra
.981 .779 .56 r
.87324 .3299 .87585 .33339 .88018 .31051 .87755 .30658 Mtetra
.261 .526 .913 r
.87755 .30658 .88018 .31051 .8874 .31315 .88475 .30908 Mtetra
.727 .755 .874 r
.28675 .49739 .29025 .50064 .29573 .49771 .29223 .4945 Mtetra
.94 .598 .349 r
.29223 .4945 .29573 .49771 .29966 .51779 .29613 .51487 Mtetra
.942 .632 .421 r
.29613 .51487 .29966 .51779 .30295 .54905 .29935 .5465 Mtetra
.935 .597 .367 r
.29935 .5465 .30295 .54905 .30697 .5705 .30335 .56816 Mtetra
.817 .814 .847 r
.30335 .56816 .30697 .5705 .31274 .5656 .30913 .56315 Mtetra
.928 .729 .613 r
.30913 .56315 .31274 .5656 .32002 .53573 .31648 .5329 Mtetra
.928 .719 .6 r
.31648 .5329 .32002 .53573 .32757 .50024 .32409 .49704 Mtetra
.905 .737 .663 r
.32409 .49704 .32757 .50024 .33397 .4828 .33052 .47949 Mtetra
.918 .523 .202 r
.33052 .47949 .33397 .4828 .3386 .49609 .33513 .49303 Mtetra
.946 .641 .426 r
.33513 .49303 .3386 .49609 .34198 .53354 .33845 .53098 Mtetra
.944 .638 .428 r
.33845 .53098 .34198 .53354 .34548 .5715 .34189 .56935 Mtetra
.89 .47 .18 r
.34189 .56935 .34548 .5715 .35047 .58292 .34688 .5808 Mtetra
.933 .744 .623 r
.34688 .5808 .35047 .58292 .35734 .55757 .3538 .55504 Mtetra
.938 .718 .578 r
.3538 .55504 .35734 .55757 .36514 .51149 .36169 .5084 Mtetra
.932 .72 .593 r
.36169 .5084 .36514 .51149 .37235 .47533 .36895 .47194 Mtetra
.665 .74 .906 r
.36895 .47194 .37235 .47533 .37793 .47331 .37453 .47009 Mtetra
.95 .637 .403 r
.37453 .47009 .37793 .47331 .38192 .50869 .37846 .50603 Mtetra
.948 .651 .44 r
.37846 .50603 .38192 .50869 .38536 .5606 .38182 .55857 Mtetra
.942 .623 .402 r
.38182 .55857 .38536 .5606 .38972 .59414 .38615 .59235 Mtetra
.911 .812 .737 r
.38615 .59235 .38972 .59414 .39588 .58367 .39234 .58152 Mtetra
.946 .721 .567 r
.39234 .58152 .39588 .58367 .40341 .53462 .39996 .53176 Mtetra
.944 .714 .561 r
.39996 .53176 .40341 .53462 .411 .47993 .40763 .47652 Mtetra
.925 .732 .623 r
.40763 .47652 .411 .47993 .41742 .45552 .41408 .45211 Mtetra
.946 .595 .308 r
.41408 .45211 .41742 .45552 .42232 .47797 .41895 .47511 Mtetra
.953 .654 .432 r
.41895 .47511 .42232 .47797 .42629 .5353 .42284 .53325 Mtetra
.949 .648 .432 r
.42284 .53325 .42629 .5353 .43053 .59109 .42701 .58958 Mtetra
.9 .495 .225 r
.42701 .58958 .43053 .59109 .43604 .60537 .43253 .60368 Mtetra
.953 .736 .573 r
.43253 .60368 .43604 .60537 .44293 .56569 .43949 .56321 Mtetra
.951 .714 .542 r
.43949 .56321 .44293 .56569 .45032 .49876 .44697 .49545 Mtetra
.946 .716 .559 r
.44697 .49545 .45032 .49876 .45713 .44904 .45385 .44545 Mtetra
.56 .698 .933 r
.45385 .44545 .45713 .44904 .46287 .44806 .45958 .44489 Mtetra
.957 .648 .404 r
.45958 .44489 .46287 .44806 .46775 .4977 .4644 .49543 Mtetra
.955 .656 .431 r
.4644 .49543 .46775 .4977 .4725 .56819 .46907 .56676 Mtetra
.947 .629 .399 r
.46907 .56676 .4725 .56819 .47788 .61201 .47442 .61075 Mtetra
.95 .806 .665 r
.47442 .61075 .47788 .61201 .48415 .59595 .48073 .59399 Mtetra
.959 .719 .532 r
.48073 .59399 .48415 .59595 .4909 .52966 .48756 .52665 Mtetra
.955 .712 .53 r
.48756 .52665 .4909 .52966 .49747 .45848 .49421 .45482 Mtetra
.941 .73 .59 r
.49421 .45482 .49747 .45848 .50354 .42738 .50032 .42385 Mtetra
.951 .604 .301 r
.50032 .42385 .50354 .42738 .50924 .45506 .50599 .45236 Mtetra
.959 .656 .413 r
.50599 .45236 .50924 .45506 .51493 .52566 .51161 .52401 Mtetra
.956 .65 .414 r
.51161 .52401 .51493 .52566 .52089 .59443 .51752 .59338 Mtetra
.909 .515 .245 r
.51752 .59338 .52089 .59443 .52709 .61231 .52372 .61091 Mtetra
.966 .736 .54 r
.52372 .61091 .52709 .61231 .53322 .5644 .5299 .56193 Mtetra
.963 .713 .513 r
.5299 .56193 .53322 .5644 .53905 .48401 .53582 .48053 Mtetra
.958 .716 .529 r
.53582 .48053 .53905 .48401 .54473 .42345 .54156 .41968 Mtetra
.775 .76 .84 r
.54156 .41968 .54473 .42345 .55065 .41853 .5475 .41528 Mtetra
.961 .643 .37 r
.5475 .41528 .55065 .41853 .55714 .47155 .55395 .46933 Mtetra
.961 .655 .402 r
.55395 .46933 .55714 .47155 .56415 .5504 .5609 .54915 Mtetra
.953 .631 .376 r
.5609 .54915 .56415 .5504 .5711 .6021 .56782 .60105 Mtetra
.958 .843 .686 r
.56782 .60105 .5711 .6021 .57727 .58855 .574 .58673 Mtetra
.969 .722 .506 r
.574 .58673 .57727 .58855 .58243 .5183 .57922 .51532 Mtetra
.966 .713 .501 r
.57922 .51532 .58243 .5183 .58717 .43878 .58403 .43504 Mtetra
.957 .728 .551 r
.58403 .43504 .58717 .43878 .59246 .39883 .58937 .39513 Mtetra
.927 .543 .168 r
.58937 .39513 .59246 .39883 .59902 .41993 .59593 .41698 Mtetra
.964 .649 .37 r
.59593 .41698 .59902 .41993 .60685 .48845 .60373 .48654 Mtetra
.962 .646 .377 r
.60373 .48654 .60685 .48845 .61507 .56076 .61191 .55956 Mtetra
.931 .557 .266 r
.61191 .55956 .61507 .56076 .62225 .58659 .61908 .58523 Mtetra
.977 .751 .531 r
.61908 .58523 .62225 .58659 .62754 .54599 .62438 .54368 Mtetra
.973 .717 .487 r
.62438 .54368 .62754 .54599 .63144 .46685 .62833 .46353 Mtetra
.969 .717 .499 r
.62833 .46353 .63144 .46685 .63549 .40053 .63244 .39671 Mtetra
.926 .765 .662 r
.63244 .39671 .63549 .40053 .64114 .38465 .63812 .38108 Mtetra
.957 .615 .285 r
.63812 .38108 .64114 .38465 .64893 .42567 .64591 .4229 Mtetra
.965 .644 .35 r
.64591 .4229 .64893 .42567 .65812 .49724 .65508 .49537 Mtetra
.958 .626 .331 r
.65508 .49537 .65812 .49724 .6669 .55193 .66384 .5505 Mtetra
.609 .891 .989 r
.66384 .5505 .6669 .55193 .67343 .55011 .67037 .5483 Mtetra
.979 .732 .491 r
.67037 .5483 .67343 .55011 .6774 .49237 .67436 .48965 Mtetra
.976 .718 .475 r
.67436 .48965 .6774 .49237 .68035 .41771 .67736 .41418 Mtetra
.971 .73 .514 r
.67736 .41418 .68035 .41771 .68446 .37161 .6815 .36779 Mtetra
0 .063 .598 r
.6815 .36779 .68446 .37161 .69114 .37811 .6882 .37462 Mtetra
.96 .622 .287 r
.6882 .37462 .69114 .37811 .70033 .43011 .69739 .42735 Mtetra
.962 .631 .312 r
.69739 .42735 .70033 .43011 .71036 .49322 .70742 .49117 Mtetra
.936 .561 .219 r
.70742 .49117 .71036 .49322 .71878 .5236 .71583 .52176 Mtetra
.981 .789 .572 r
.71583 .52176 .71878 .5236 .72403 .49883 .72109 .49656 Mtetra
.982 .726 .469 r
.72109 .49656 .72403 .49883 .72683 .43571 .72391 .43267 Mtetra
.979 .724 .474 r
.72391 .43267 .72683 .43571 .72956 .37517 .72666 .37151 Mtetra
.962 .762 .589 r
.72666 .37151 .72956 .37517 .73454 .35199 .73166 .34817 Mtetra
.901 .509 .08 r
.73166 .34817 .73454 .35199 .74266 .37597 .73979 .37247 Mtetra
.956 .612 .257 r
.73979 .37247 .74266 .37597 .75293 .42903 .75007 .42615 Mtetra
.95 .597 .24 r
.75007 .42615 .75293 .42903 .76291 .47452 .76006 .47217 Mtetra
0 .159 .62 r
.76006 .47217 .76291 .47452 .77009 .47963 .76726 .47737 Mtetra
.986 .752 .498 r
.76726 .47737 .77009 .47963 .7739 .43992 .77108 .43722 Mtetra
.984 .728 .46 r
.77108 .43722 .7739 .43992 .77616 .38218 .77334 .37884 Mtetra
.981 .741 .499 r
.77334 .37884 .77616 .38218 .77962 .34212 .77681 .33831 Mtetra
.615 .727 .926 r
.77681 .33831 .77962 .34212 .78613 .34081 .78333 .33693 Mtetra
.923 .551 .134 r
.78333 .33693 .78613 .34081 .79566 .37481 .79287 .37126 Mtetra
.941 .582 .191 r
.79287 .37126 .79566 .37481 .80624 .41906 .80347 .41604 Mtetra
.88 .469 .034 r
.80347 .41604 .80624 .41906 .8151 .44149 .81235 .43884 Mtetra
.97 .821 .64 r
.81235 .43884 .8151 .44149 .82054 .42514 .81782 .42245 Mtetra
.988 .743 .47 r
.81782 .42245 .82054 .42514 .82334 .38091 .82063 .37779 Mtetra
.986 .74 .473 r
.82063 .37779 .82334 .38091 .82607 .33762 .82335 .33398 Mtetra
.961 .789 .625 r
.82335 .33398 .82607 .33762 .83118 .32036 .82845 .31639 Mtetra
.727 .3 0 r
.82845 .31639 .83118 .32036 .83949 .3358 .83676 .33186 Mtetra
.906 .529 .088 r
.83676 .33186 .83949 .3358 .84979 .36995 .84708 .36637 Mtetra
.88 .484 .029 r
.84708 .36637 .84979 .36995 .85953 .397 .85686 .39385 Mtetra
.517 .735 .973 r
.85686 .39385 .85953 .397 .86647 .39628 .86383 .39332 Mtetra
.989 .772 .52 r
.86383 .39332 .86647 .39628 .87039 .36748 .86777 .36435 Mtetra
.989 .75 .475 r
.86777 .36435 .87039 .36748 .87324 .3299 .87061 .32635 Mtetra
.981 .778 .557 r
.87061 .32635 .87324 .3299 .87755 .30658 .8749 .30264 Mtetra
.277 .536 .916 r
.8749 .30264 .87755 .30658 .88475 .30908 .8821 .30498 Mtetra
.726 .755 .876 r
.28323 .49414 .28675 .49739 .29223 .4945 .28872 .49127 Mtetra
.94 .6 .352 r
.28872 .49127 .29223 .4945 .29613 .51487 .29258 .51193 Mtetra
.942 .633 .422 r
.29258 .51193 .29613 .51487 .29935 .5465 .29575 .54394 Mtetra
.935 .598 .369 r
.29575 .54394 .29935 .5465 .30335 .56816 .29971 .56582 Mtetra
.819 .813 .844 r
.29971 .56582 .30335 .56816 .30913 .56315 .30551 .56069 Mtetra
.928 .728 .612 r
.30551 .56069 .30913 .56315 .31648 .5329 .31293 .53006 Mtetra
.928 .719 .599 r
.31293 .53006 .31648 .5329 .32409 .49704 .3206 .49382 Mtetra
.906 .737 .662 r
.3206 .49382 .32409 .49704 .33052 .47949 .32707 .47616 Mtetra
.92 .527 .209 r
.32707 .47616 .33052 .47949 .33513 .49303 .33165 .48996 Mtetra
.947 .642 .427 r
.33165 .48996 .33513 .49303 .33845 .53098 .3349 .5284 Mtetra
.944 .638 .429 r
.3349 .5284 .33845 .53098 .34189 .56935 .33828 .56719 Mtetra
.891 .471 .18 r
.33828 .56719 .34189 .56935 .34688 .5808 .34326 .57867 Mtetra
.933 .743 .622 r
.34326 .57867 .34688 .5808 .3538 .55504 .35025 .5525 Mtetra
.938 .717 .577 r
.35025 .5525 .3538 .55504 .36169 .5084 .35821 .50531 Mtetra
.932 .72 .593 r
.35821 .50531 .36169 .5084 .36895 .47194 .36554 .46855 Mtetra
.654 .737 .911 r
.36554 .46855 .36895 .47194 .37453 .47009 .37112 .46686 Mtetra
.95 .637 .405 r
.37112 .46686 .37453 .47009 .37846 .50603 .37499 .50335 Mtetra
.948 .651 .441 r
.37499 .50335 .37846 .50603 .38182 .55857 .37828 .55652 Mtetra
.942 .623 .403 r
.37828 .55652 .38182 .55857 .38615 .59235 .38256 .59056 Mtetra
.913 .81 .732 r
.38256 .59056 .38615 .59235 .39234 .58152 .38878 .57937 Mtetra
.946 .721 .566 r
.38878 .57937 .39234 .58152 .39996 .53176 .3965 .5289 Mtetra
.944 .714 .56 r
.3965 .5289 .39996 .53176 .40763 .47652 .40425 .47311 Mtetra
.925 .732 .623 r
.40425 .47311 .40763 .47652 .41408 .45211 .41073 .44868 Mtetra
.946 .597 .313 r
.41073 .44868 .41408 .45211 .41895 .47511 .41556 .47223 Mtetra
.953 .655 .433 r
.41556 .47223 .41895 .47511 .42284 .53325 .41938 .53118 Mtetra
.949 .649 .432 r
.41938 .53118 .42284 .53325 .42701 .58958 .42348 .58805 Mtetra
.898 .492 .22 r
.42348 .58805 .42701 .58958 .43253 .60368 .42899 .60198 Mtetra
.953 .735 .572 r
.42899 .60198 .43253 .60368 .43949 .56321 .43603 .56072 Mtetra
.952 .713 .542 r
.43603 .56072 .43949 .56321 .44697 .49545 .4436 .49214 Mtetra
.946 .716 .559 r
.4436 .49214 .44697 .49545 .45385 .44545 .45055 .44185 Mtetra
.518 .681 .94 r
.45055 .44185 .45385 .44545 .45958 .44489 .45628 .4417 Mtetra
.957 .648 .405 r
.45628 .4417 .45958 .44489 .4644 .49543 .46103 .49314 Mtetra
.955 .657 .431 r
.46103 .49314 .4644 .49543 .46907 .56676 .46563 .56531 Mtetra
.947 .63 .399 r
.46563 .56531 .46907 .56676 .47442 .61075 .47094 .60947 Mtetra
.951 .802 .66 r
.47094 .60947 .47442 .61075 .48073 .59399 .47728 .59203 Mtetra
.959 .718 .532 r
.47728 .59203 .48073 .59399 .48756 .52665 .4842 .52365 Mtetra
.955 .712 .529 r
.4842 .52365 .48756 .52665 .49421 .45482 .49094 .45117 Mtetra
.941 .73 .59 r
.49094 .45117 .49421 .45482 .50032 .42385 .49709 .42032 Mtetra
.952 .607 .307 r
.49709 .42032 .50032 .42385 .50599 .45236 .50273 .44963 Mtetra
.959 .657 .414 r
.50273 .44963 .50599 .45236 .51161 .52401 .50828 .52233 Mtetra
.956 .651 .414 r
.50828 .52233 .51161 .52401 .51752 .59338 .51413 .59231 Mtetra
.907 .511 .24 r
.51413 .59231 .51752 .59338 .52372 .61091 .52032 .6095 Mtetra
.966 .736 .539 r
.52032 .6095 .52372 .61091 .5299 .56193 .52656 .55946 Mtetra
.963 .713 .512 r
.52656 .55946 .5299 .56193 .53582 .48053 .53257 .47707 Mtetra
.958 .716 .529 r
.53257 .47707 .53582 .48053 .54156 .41968 .53838 .4159 Mtetra
.757 .757 .852 r
.53838 .4159 .54156 .41968 .5475 .41528 .54432 .412 Mtetra
.962 .644 .371 r
.54432 .412 .5475 .41528 .55395 .46933 .55074 .46708 Mtetra
.961 .655 .403 r
.55074 .46708 .55395 .46933 .5609 .54915 .55764 .54787 Mtetra
.953 .631 .376 r
.55764 .54787 .5609 .54915 .56782 .60105 .56452 .59998 Mtetra
.96 .837 .677 r
.56452 .59998 .56782 .60105 .574 .58673 .57071 .58491 Mtetra
.969 .721 .505 r
.57071 .58491 .574 .58673 .57922 .51532 .57599 .51235 Mtetra
.966 .713 .501 r
.57599 .51235 .57922 .51532 .58403 .43504 .58087 .4313 Mtetra
.957 .728 .551 r
.58087 .4313 .58403 .43504 .58937 .39513 .58626 .39142 Mtetra
.93 .549 .179 r
.58626 .39142 .58937 .39513 .59593 .41698 .59282 .414 Mtetra
.964 .649 .371 r
.59282 .414 .59593 .41698 .60373 .48654 .60059 .4846 Mtetra
.962 .647 .377 r
.60059 .4846 .60373 .48654 .61191 .55956 .60873 .55834 Mtetra
.931 .556 .264 r
.60873 .55834 .61191 .55956 .61908 .58523 .61588 .58385 Mtetra
.977 .75 .529 r
.61588 .58385 .61908 .58523 .62438 .54368 .62121 .54138 Mtetra
.973 .717 .486 r
.62121 .54138 .62438 .54368 .62833 .46353 .62522 .4602 Mtetra
.969 .717 .498 r
.62522 .4602 .62833 .46353 .63244 .39671 .62938 .39289 Mtetra
.925 .766 .665 r
.62938 .39289 .63244 .39671 .63812 .38108 .63509 .3775 Mtetra
.958 .616 .288 r
.63509 .3775 .63812 .38108 .64591 .4229 .64287 .42011 Mtetra
.965 .645 .35 r
.64287 .42011 .64591 .4229 .65508 .49537 .65202 .49348 Mtetra
.959 .626 .331 r
.65202 .49348 .65508 .49537 .66384 .5505 .66077 .54904 Mtetra
.648 .903 .982 r
.66077 .54904 .66384 .5505 .67037 .5483 .66729 .54648 Mtetra
.979 .731 .49 r
.66729 .54648 .67037 .5483 .67436 .48965 .67131 .48693 Mtetra
.976 .717 .475 r
.67131 .48693 .67436 .48965 .67736 .41418 .67434 .41065 Mtetra
.971 .73 .514 r
.67434 .41065 .67736 .41418 .6815 .36779 .67852 .36397 Mtetra
0 .032 .57 r
.67852 .36397 .6815 .36779 .6882 .37462 .68524 .37111 Mtetra
.96 .623 .289 r
.68524 .37111 .6882 .37462 .69739 .42735 .69443 .42457 Mtetra
.963 .631 .313 r
.69443 .42457 .69739 .42735 .70742 .49117 .70445 .48911 Mtetra
.936 .562 .22 r
.70445 .48911 .70742 .49117 .71583 .52176 .71287 .51992 Mtetra
.981 .788 .57 r
.71287 .51992 .71583 .52176 .72109 .49656 .71814 .49428 Mtetra
.981 .726 .469 r
.71814 .49428 .72109 .49656 .72391 .43267 .72098 .42961 Mtetra
.979 .723 .473 r
.72098 .42961 .72391 .43267 .72666 .37151 .72375 .36783 Mtetra
.962 .762 .588 r
.72375 .36783 .72666 .37151 .73166 .34817 .72877 .34433 Mtetra
.903 .512 .085 r
.72877 .34433 .73166 .34817 .73979 .37247 .7369 .36897 Mtetra
.956 .613 .258 r
.7369 .36897 .73979 .37247 .75007 .42615 .7472 .42327 Mtetra
.951 .598 .241 r
.7472 .42327 .75007 .42615 .76006 .47217 .75719 .46983 Mtetra
0 .151 .613 r
.75719 .46983 .76006 .47217 .76726 .47737 .76441 .47509 Mtetra
.986 .751 .497 r
.76441 .47509 .76726 .47737 .77108 .43722 .76824 .4345 Mtetra
.984 .728 .459 r
.76824 .4345 .77108 .43722 .77334 .37884 .77051 .37548 Mtetra
.981 .741 .498 r
.77051 .37548 .77334 .37884 .77681 .33831 .77399 .33449 Mtetra
.619 .728 .924 r
.77399 .33449 .77681 .33831 .78333 .33693 .78051 .33304 Mtetra
.924 .552 .136 r
.78051 .33304 .78333 .33693 .79287 .37126 .79006 .36771 Mtetra
.942 .583 .193 r
.79006 .36771 .79287 .37126 .80347 .41604 .80069 .41301 Mtetra
.882 .473 .04 r
.80069 .41301 .80347 .41604 .81235 .43884 .80959 .43619 Mtetra
.97 .821 .64 r
.80959 .43619 .81235 .43884 .81782 .42245 .81508 .41974 Mtetra
.988 .742 .469 r
.81508 .41974 .81782 .42245 .82063 .37779 .8179 .37465 Mtetra
.986 .739 .472 r
.8179 .37465 .82063 .37779 .82335 .33398 .82062 .33031 Mtetra
.961 .788 .622 r
.82062 .33031 .82335 .33398 .82845 .31639 .8257 .31241 Mtetra
.728 .301 0 r
.8257 .31241 .82845 .31639 .83676 .33186 .83402 .32792 Mtetra
.907 .531 .091 r
.83402 .32792 .83676 .33186 .84708 .36637 .84437 .36278 Mtetra
.882 .488 .034 r
.84437 .36278 .84708 .36637 .85686 .39385 .85418 .39069 Mtetra
.497 .726 .974 r
.85418 .39069 .85686 .39385 .86383 .39332 .86118 .39035 Mtetra
.989 .772 .519 r
.86118 .39035 .86383 .39332 .86777 .36435 .86513 .3612 Mtetra
.989 .749 .474 r
.86513 .3612 .86777 .36435 .87061 .32635 .86796 .32278 Mtetra
.981 .776 .555 r
.86796 .32278 .87061 .32635 .8749 .30264 .87225 .29867 Mtetra
.291 .544 .919 r
.87225 .29867 .8749 .30264 .8821 .30498 .87944 .30088 Mtetra
.724 .754 .877 r
.2797 .49087 .28323 .49414 .28872 .49127 .2852 .48803 Mtetra
.941 .601 .355 r
.2852 .48803 .28872 .49127 .29258 .51193 .28902 .50897 Mtetra
.942 .633 .424 r
.28902 .50897 .29258 .51193 .29575 .54394 .29213 .54136 Mtetra
.935 .599 .37 r
.29213 .54136 .29575 .54394 .29971 .56582 .29606 .56347 Mtetra
.822 .812 .841 r
.29606 .56347 .29971 .56582 .30551 .56069 .30188 .55823 Mtetra
.928 .728 .611 r
.30188 .55823 .30551 .56069 .31293 .53006 .30936 .52722 Mtetra
.929 .719 .599 r
.30936 .52722 .31293 .53006 .3206 .49382 .3171 .49059 Mtetra
.906 .737 .662 r
.3171 .49059 .3206 .49382 .32707 .47616 .3236 .47283 Mtetra
.922 .531 .216 r
.3236 .47283 .32707 .47616 .33165 .48996 .32816 .48688 Mtetra
.947 .642 .428 r
.32816 .48688 .33165 .48996 .3349 .5284 .33134 .52581 Mtetra
.944 .639 .43 r
.33134 .52581 .3349 .5284 .33828 .56719 .33466 .56502 Mtetra
.891 .471 .181 r
.33466 .56502 .33828 .56719 .34326 .57867 .33963 .57653 Mtetra
.934 .742 .621 r
.33963 .57653 .34326 .57867 .35025 .5525 .34667 .54995 Mtetra
.938 .717 .576 r
.34667 .54995 .35025 .5525 .35821 .50531 .35473 .50221 Mtetra
.932 .72 .592 r
.35473 .50221 .35821 .50531 .36554 .46855 .36211 .46514 Mtetra
.642 .734 .916 r
.36211 .46514 .36554 .46855 .37112 .46686 .36769 .46361 Mtetra
.95 .638 .407 r
.36769 .46361 .37112 .46686 .37499 .50335 .3715 .50066 Mtetra
.948 .652 .442 r
.3715 .50066 .37499 .50335 .37828 .55652 .37471 .55446 Mtetra
.942 .624 .403 r
.37471 .55446 .37828 .55652 .38256 .59056 .37895 .58875 Mtetra
.915 .808 .727 r
.37895 .58875 .38256 .59056 .38878 .57937 .38521 .57721 Mtetra
.946 .721 .565 r
.38521 .57721 .38878 .57937 .3965 .5289 .39301 .52603 Mtetra
.944 .714 .56 r
.39301 .52603 .3965 .5289 .40425 .47311 .40085 .4697 Mtetra
.926 .733 .623 r
.40085 .4697 .40425 .47311 .41073 .44868 .40737 .44525 Mtetra
.947 .6 .318 r
.40737 .44525 .41073 .44868 .41556 .47223 .41216 .46933 Mtetra
.953 .655 .434 r
.41216 .46933 .41556 .47223 .41938 .53118 .41589 .52909 Mtetra
.95 .649 .433 r
.41589 .52909 .41938 .53118 .42348 .58805 .41992 .58651 Mtetra
.897 .489 .216 r
.41992 .58651 .42348 .58805 .42899 .60198 .42544 .60028 Mtetra
.953 .735 .57 r
.42544 .60028 .42899 .60198 .43603 .56072 .43255 .55823 Mtetra
.952 .713 .541 r
.43255 .55823 .43603 .56072 .4436 .49214 .44023 .48884 Mtetra
.946 .716 .558 r
.44023 .48884 .4436 .49214 .45055 .44185 .44723 .43825 Mtetra
.472 .661 .944 r
.44723 .43825 .45055 .44185 .45628 .4417 .45296 .4385 Mtetra
.957 .649 .406 r
.45296 .4385 .45628 .4417 .46103 .49314 .45765 .49082 Mtetra
.955 .657 .432 r
.45765 .49082 .46103 .49314 .46563 .56531 .46216 .56384 Mtetra
.947 .63 .399 r
.46216 .56384 .46563 .56531 .47094 .60947 .46743 .60819 Mtetra
.952 .799 .654 r
.46743 .60819 .47094 .60947 .47728 .59203 .47382 .59007 Mtetra
.959 .718 .531 r
.47382 .59007 .47728 .59203 .4842 .52365 .48083 .52065 Mtetra
.956 .712 .529 r
.48083 .52065 .4842 .52365 .49094 .45117 .48766 .44752 Mtetra
.941 .73 .591 r
.48766 .44752 .49094 .45117 .49709 .42032 .49384 .41677 Mtetra
.953 .609 .312 r
.49384 .41677 .49709 .42032 .50273 .44963 .49945 .44687 Mtetra
.959 .657 .415 r
.49945 .44687 .50273 .44963 .50828 .52233 .50494 .52061 Mtetra
.956 .651 .414 r
.50494 .52061 .50828 .52233 .51413 .59231 .51072 .59121 Mtetra
.906 .507 .234 r
.51072 .59121 .51413 .59231 .52032 .6095 .51691 .60809 Mtetra
.966 .735 .538 r
.51691 .60809 .52032 .6095 .52656 .55946 .52321 .557 Mtetra
.963 .713 .512 r
.52321 .557 .52656 .55946 .53257 .47707 .5293 .47361 Mtetra
.958 .716 .528 r
.5293 .47361 .53257 .47707 .53838 .4159 .53518 .41212 Mtetra
.738 .753 .865 r
.53518 .41212 .53838 .4159 .54432 .412 .54114 .40871 Mtetra
.962 .645 .373 r
.54114 .40871 .54432 .412 .55074 .46708 .54752 .46481 Mtetra
.961 .656 .403 r
.54752 .46481 .55074 .46708 .55764 .54787 .55435 .54655 Mtetra
.953 .631 .376 r
.55435 .54655 .55764 .54787 .56452 .59998 .5612 .59889 Mtetra
.962 .832 .669 r
.5612 .59889 .56452 .59998 .57071 .58491 .56741 .58309 Mtetra
.969 .721 .505 r
.56741 .58309 .57071 .58491 .57599 .51235 .57275 .50938 Mtetra
.966 .713 .5 r
.57275 .50938 .57599 .51235 .58087 .4313 .57771 .42757 Mtetra
.957 .728 .551 r
.57771 .42757 .58087 .4313 .58626 .39142 .58314 .3877 Mtetra
.932 .555 .188 r
.58314 .3877 .58626 .39142 .59282 .414 .5897 .411 Mtetra
.964 .65 .372 r
.5897 .411 .59282 .414 .60059 .4846 .59744 .48264 Mtetra
.962 .647 .378 r
.59744 .48264 .60059 .4846 .60873 .55834 .60553 .55709 Mtetra
.93 .555 .262 r
.60553 .55709 .60873 .55834 .61588 .58385 .61267 .58247 Mtetra
.977 .749 .528 r
.61267 .58247 .61588 .58385 .62121 .54138 .61803 .53908 Mtetra
.973 .717 .486 r
.61803 .53908 .62121 .54138 .62522 .4602 .62209 .45687 Mtetra
.97 .717 .498 r
.62209 .45687 .62522 .4602 .62938 .39289 .6263 .38907 Mtetra
.924 .766 .667 r
.6263 .38907 .62938 .39289 .63509 .3775 .63204 .3739 Mtetra
.958 .617 .29 r
.63204 .3739 .63509 .3775 .64287 .42011 .63982 .41729 Mtetra
.965 .645 .351 r
.63982 .41729 .64287 .42011 .65202 .49348 .64895 .49157 Mtetra
.959 .627 .332 r
.64895 .49157 .65202 .49348 .66077 .54904 .65767 .54758 Mtetra
.682 .912 .974 r
.65767 .54758 .66077 .54904 .66729 .54648 .6642 .54465 Mtetra
.979 .731 .489 r
.6642 .54465 .66729 .54648 .67131 .48693 .66825 .4842 Mtetra
.976 .717 .474 r
.66825 .4842 .67131 .48693 .67434 .41065 .67132 .4071 Mtetra
.971 .729 .513 r
.67132 .4071 .67434 .41065 .67852 .36397 .67554 .36013 Mtetra
0 .003 .541 r
.67554 .36013 .67852 .36397 .68524 .37111 .68227 .36759 Mtetra
.961 .624 .29 r
.68227 .36759 .68524 .37111 .69443 .42457 .69146 .42177 Mtetra
.963 .632 .313 r
.69146 .42177 .69443 .42457 .70445 .48911 .70148 .48703 Mtetra
.937 .563 .221 r
.70148 .48703 .70445 .48911 .71287 .51992 .70989 .51807 Mtetra
.981 .786 .567 r
.70989 .51807 .71287 .51992 .71814 .49428 .71517 .49198 Mtetra
.981 .726 .468 r
.71517 .49198 .71814 .49428 .72098 .42961 .71803 .42654 Mtetra
.979 .723 .473 r
.71803 .42654 .72098 .42961 .72375 .36783 .72083 .36413 Mtetra
.962 .762 .587 r
.72083 .36413 .72375 .36783 .72877 .34433 .72586 .34048 Mtetra
.904 .515 .089 r
.72586 .34048 .72877 .34433 .7369 .36897 .73401 .36545 Mtetra
.957 .614 .259 r
.73401 .36545 .7369 .36897 .7472 .42327 .74431 .42038 Mtetra
.951 .599 .243 r
.74431 .42038 .7472 .42327 .75719 .46983 .75432 .46747 Mtetra
0 .145 .606 r
.75432 .46747 .75719 .46983 .76441 .47509 .76154 .4728 Mtetra
.986 .751 .496 r
.76154 .4728 .76441 .47509 .76824 .4345 .76539 .43177 Mtetra
.984 .727 .458 r
.76539 .43177 .76824 .4345 .77051 .37548 .76767 .3721 Mtetra
.981 .74 .497 r
.76767 .3721 .77051 .37548 .77399 .33449 .77115 .33065 Mtetra
.622 .729 .923 r
.77115 .33065 .77399 .33449 .78051 .33304 .77769 .32914 Mtetra
.924 .553 .139 r
.77769 .32914 .78051 .33304 .79006 .36771 .78724 .36415 Mtetra
.942 .584 .195 r
.78724 .36415 .79006 .36771 .80069 .41301 .79789 .40998 Mtetra
.884 .476 .045 r
.79789 .40998 .80069 .41301 .80959 .43619 .80682 .43352 Mtetra
.97 .821 .64 r
.80682 .43352 .80959 .43619 .81508 .41974 .81233 .41701 Mtetra
.988 .742 .469 r
.81233 .41701 .81508 .41974 .8179 .37465 .81515 .37148 Mtetra
.986 .739 .471 r
.81515 .37148 .8179 .37465 .82062 .33031 .81787 .32662 Mtetra
.962 .787 .619 r
.81787 .32662 .82062 .33031 .8257 .31241 .82295 .30841 Mtetra
.729 .302 0 r
.82295 .30841 .8257 .31241 .83402 .32792 .83127 .32398 Mtetra
.908 .533 .094 r
.83127 .32398 .83402 .32792 .84437 .36278 .84164 .35919 Mtetra
.884 .491 .039 r
.84164 .35919 .84437 .36278 .85418 .39069 .85148 .38752 Mtetra
.478 .716 .975 r
.85148 .38752 .85418 .39069 .86118 .39035 .85852 .38736 Mtetra
.989 .771 .518 r
.85852 .38736 .86118 .39035 .86513 .3612 .86248 .35801 Mtetra
.989 .748 .473 r
.86248 .35801 .86513 .3612 .86796 .32278 .86531 .31917 Mtetra
.981 .775 .552 r
.86531 .31917 .86796 .32278 .87225 .29867 .86958 .29469 Mtetra
.304 .552 .921 r
.86958 .29469 .87225 .29867 .87944 .30088 .87676 .29677 Mtetra
.722 .754 .878 r
.27616 .48759 .2797 .49087 .2852 .48803 .28166 .48478 Mtetra
.941 .602 .357 r
.28166 .48478 .2852 .48803 .28902 .50897 .28544 .50595 Mtetra
.943 .634 .424 r
.28544 .50595 .28902 .50897 .29213 .54136 .2885 .53864 Mtetra
.937 .6 .369 r
.2885 .53864 .29213 .54136 .29606 .56347 .2924 .56092 Mtetra
.82 .802 .834 r
.2924 .56092 .29606 .56347 .30188 .55823 .29824 .55558 Mtetra
.927 .726 .611 r
.29824 .55558 .30188 .55823 .30936 .52722 .30578 .52425 Mtetra
.928 .718 .598 r
.30578 .52425 .30936 .52722 .3171 .49059 .31359 .48733 Mtetra
.906 .736 .661 r
.31359 .48733 .3171 .49059 .3236 .47283 .32011 .46948 Mtetra
.923 .534 .222 r
.32011 .46948 .3236 .47283 .32816 .48688 .32465 .48374 Mtetra
.947 .643 .429 r
.32465 .48374 .32816 .48688 .33134 .52581 .32777 .52307 Mtetra
.945 .64 .43 r
.32777 .52307 .33134 .52581 .33466 .56502 .33103 .56262 Mtetra
.891 .47 .168 r
.33103 .56262 .33466 .56502 .33963 .57653 .336 .57414 Mtetra
.931 .739 .62 r
.336 .57414 .33963 .57653 .34667 .54995 .3431 .54721 Mtetra
.938 .716 .576 r
.3431 .54721 .34667 .54995 .35473 .50221 .35123 .49902 Mtetra
.932 .719 .592 r
.35123 .49902 .35473 .50221 .36211 .46514 .35867 .46171 Mtetra
.63 .73 .92 r
.35867 .46171 .36211 .46514 .36769 .46361 .36425 .46033 Mtetra
.95 .639 .408 r
.36425 .46033 .36769 .46361 .3715 .50066 .36801 .49784 Mtetra
.949 .653 .442 r
.36801 .49784 .3715 .50066 .37471 .55446 .37114 .55215 Mtetra
.944 .625 .401 r
.37114 .55215 .37471 .55446 .37895 .58875 .37534 .58663 Mtetra
.91 .796 .722 r
.37534 .58663 .37895 .58875 .38521 .57721 .38164 .57477 Mtetra
.945 .719 .565 r
.38164 .57477 .38521 .57721 .39301 .52603 .38952 .523 Mtetra
.943 .713 .56 r
.38952 .523 .39301 .52603 .40085 .4697 .39745 .46624 Mtetra
.925 .732 .623 r
.39745 .46624 .40085 .4697 .40737 .44525 .404 .4418 Mtetra
.948 .602 .322 r
.404 .4418 .40737 .44525 .41216 .46933 .40875 .46635 Mtetra
.953 .656 .434 r
.40875 .46635 .41216 .46933 .41589 .52909 .4124 .52677 Mtetra
.95 .65 .432 r
.4124 .52677 .41589 .52909 .41992 .58651 .41636 .58461 Mtetra
.898 .485 .195 r
.41636 .58461 .41992 .58651 .42544 .60028 .42188 .5982 Mtetra
.951 .731 .57 r
.42188 .5982 .42544 .60028 .43255 .55823 .42906 .55548 Mtetra
.951 .712 .541 r
.42906 .55548 .43255 .55823 .44023 .48884 .43684 .48542 Mtetra
.946 .716 .558 r
.43684 .48542 .44023 .48884 .44723 .43825 .44391 .43463 Mtetra
.424 .638 .945 r
.44391 .43463 .44723 .43825 .45296 .4385 .44963 .43525 Mtetra
.957 .65 .407 r
.44963 .43525 .45296 .4385 .45765 .49082 .45426 .48832 Mtetra
.955 .658 .431 r
.45426 .48832 .45765 .49082 .46216 .56384 .45869 .56202 Mtetra
.949 .631 .396 r
.45869 .56202 .46216 .56384 .46743 .60819 .46392 .60647 Mtetra
.947 .788 .651 r
.46392 .60647 .46743 .60819 .47382 .59007 .47034 .58773 Mtetra
.957 .716 .532 r
.47034 .58773 .47382 .59007 .48083 .52065 .47745 .51745 Mtetra
.955 .711 .529 r
.47745 .51745 .48083 .52065 .48766 .44752 .48437 .44382 Mtetra
.94 .73 .591 r
.48437 .44382 .48766 .44752 .49384 .41677 .49058 .41322 Mtetra
.953 .612 .316 r
.49058 .41322 .49384 .41677 .49945 .44687 .49616 .44401 Mtetra
.96 .658 .415 r
.49616 .44401 .49945 .44687 .50494 .52061 .50157 .51862 Mtetra
.957 .652 .413 r
.50157 .51862 .50494 .52061 .51072 .59121 .50729 .58968 Mtetra
.906 .503 .212 r
.50729 .58968 .51072 .59121 .51691 .60809 .51347 .60622 Mtetra
.964 .731 .539 r
.51347 .60622 .51691 .60809 .52321 .557 .51984 .55422 Mtetra
.962 .712 .512 r
.51984 .55422 .52321 .557 .5293 .47361 .52602 .47002 Mtetra
.958 .715 .529 r
.52602 .47002 .5293 .47361 .53518 .41212 .53197 .40833 Mtetra
.716 .748 .877 r
.53197 .40833 .53518 .41212 .54114 .40871 .53794 .40538 Mtetra
.962 .646 .374 r
.53794 .40538 .54114 .40871 .54752 .46481 .54428 .46235 Mtetra
.962 .656 .403 r
.54428 .46235 .54752 .46481 .55435 .54655 .55104 .54487 Mtetra
.955 .632 .373 r
.55104 .54487 .55435 .54655 .5612 .59889 .55785 .59732 Mtetra
.956 .816 .664 r
.55785 .59732 .5612 .59889 .56741 .58309 .56408 .58085 Mtetra
.968 .719 .505 r
.56408 .58085 .56741 .58309 .57275 .50938 .5695 .50618 Mtetra
.966 .712 .501 r
.5695 .50618 .57275 .50938 .57771 .42757 .57453 .42377 Mtetra
.957 .728 .552 r
.57453 .42377 .57771 .42757 .58314 .3877 .58 .38397 Mtetra
.935 .559 .196 r
.58 .38397 .58314 .3877 .5897 .411 .58657 .40792 Mtetra
.964 .65 .372 r
.58657 .40792 .5897 .411 .59744 .48264 .59426 .48041 Mtetra
.963 .648 .376 r
.59426 .48041 .59744 .48264 .60553 .55709 .60231 .55542 Mtetra
.931 .554 .25 r
.60231 .55542 .60553 .55709 .61267 .58247 .60943 .58061 Mtetra
.974 .744 .529 r
.60943 .58061 .61267 .58247 .61803 .53908 .61482 .53642 Mtetra
.972 .715 .486 r
.61482 .53642 .61803 .53908 .62209 .45687 .61894 .45337 Mtetra
.969 .716 .498 r
.61894 .45337 .62209 .45687 .6263 .38907 .62322 .38521 Mtetra
.923 .766 .67 r
.62322 .38521 .6263 .38907 .63204 .3739 .62899 .37027 Mtetra
.958 .619 .292 r
.62899 .37027 .63204 .3739 .63982 .41729 .63676 .41434 Mtetra
.965 .646 .351 r
.63676 .41434 .63982 .41729 .64895 .49157 .64585 .48935 Mtetra
.959 .628 .329 r
.64585 .48935 .64895 .49157 .65767 .54758 .65455 .54568 Mtetra
.722 .892 .957 r
.65455 .54568 .65767 .54758 .6642 .54465 .66108 .54241 Mtetra
.977 .728 .49 r
.66108 .54241 .6642 .54465 .66825 .4842 .66516 .48119 Mtetra
.975 .716 .475 r
.66516 .48119 .66825 .4842 .67132 .4071 .66828 .40344 Mtetra
.971 .729 .513 r
.66828 .40344 .67132 .4071 .67554 .36013 .67254 .35627 Mtetra
0 0 .516 r
.67254 .35627 .67554 .36013 .68227 .36759 .67929 .36402 Mtetra
.961 .625 .291 r
.67929 .36402 .68227 .36759 .69146 .42177 .68846 .41881 Mtetra
.963 .632 .312 r
.68846 .41881 .69146 .42177 .70148 .48703 .69847 .48463 Mtetra
.937 .563 .213 r
.69847 .48463 .70148 .48703 .70989 .51807 .70687 .51582 Mtetra
.978 .78 .569 r
.70687 .51582 .70989 .51807 .71517 .49198 .71216 .48935 Mtetra
.98 .724 .469 r
.71216 .48935 .71517 .49198 .71803 .42654 .71505 .42327 Mtetra
.979 .722 .473 r
.71505 .42327 .71803 .42654 .72083 .36413 .71789 .36037 Mtetra
.962 .761 .587 r
.71789 .36037 .72083 .36413 .72586 .34048 .72294 .3366 Mtetra
.906 .517 .092 r
.72294 .3366 .72586 .34048 .73401 .36545 .7311 .36186 Mtetra
.957 .615 .26 r
.7311 .36186 .73401 .36545 .74431 .42038 .7414 .41729 Mtetra
.951 .599 .241 r
.7414 .41729 .74431 .42038 .75432 .46747 .7514 .4648 Mtetra
0 .167 .643 r
.7514 .4648 .75432 .46747 .76154 .4728 .75864 .47018 Mtetra
.984 .748 .498 r
.75864 .47018 .76154 .4728 .76539 .43177 .76251 .42878 Mtetra
.983 .726 .459 r
.76251 .42878 .76539 .43177 .76767 .3721 .76481 .36859 Mtetra
.98 .739 .497 r
.76481 .36859 .76767 .3721 .77115 .33065 .76831 .32677 Mtetra
.625 .73 .922 r
.76831 .32677 .77115 .33065 .77769 .32914 .77485 .32522 Mtetra
.925 .554 .14 r
.77485 .32522 .77769 .32914 .78724 .36415 .78441 .36049 Mtetra
.942 .585 .195 r
.78441 .36049 .78724 .36415 .79789 .40998 .79506 .40675 Mtetra
.883 .477 .04 r
.79506 .40675 .79789 .40998 .80682 .43352 .80401 .43058 Mtetra
.966 .814 .641 r
.80401 .43058 .80682 .43352 .81233 .41701 .80954 .41403 Mtetra
.987 .74 .47 r
.80954 .41403 .81233 .41701 .81515 .37148 .81238 .36815 Mtetra
.986 .737 .471 r
.81238 .36815 .81515 .37148 .81787 .32662 .8151 .32286 Mtetra
.962 .785 .616 r
.8151 .32286 .81787 .32662 .82295 .30841 .82019 .30439 Mtetra
.73 .303 0 r
.82019 .30439 .82295 .30841 .83127 .32398 .82851 .31999 Mtetra
.909 .533 .095 r
.82851 .31999 .83127 .32398 .84164 .35919 .83888 .35548 Mtetra
.884 .492 .038 r
.83888 .35548 .84164 .35919 .85148 .38752 .84875 .38415 Mtetra
.472 .7 .968 r
.84875 .38415 .85148 .38752 .85852 .38736 .85582 .38416 Mtetra
.987 .769 .52 r
.85582 .38416 .85852 .38736 .86248 .35801 .8598 .35466 Mtetra
.989 .747 .474 r
.8598 .35466 .86248 .35801 .86531 .31917 .86263 .31548 Mtetra
.981 .773 .55 r
.86263 .31548 .86531 .31917 .86958 .29469 .8669 .29068 Mtetra
.317 .56 .923 r
.8669 .29068 .86958 .29469 .87676 .29677 .87408 .29264 Mtetra
.72 .754 .879 r
.2726 .48429 .27616 .48759 .28166 .48478 .27811 .48151 Mtetra
.941 .603 .359 r
.27811 .48151 .28166 .48478 .28544 .50595 .28186 .5029 Mtetra
.943 .635 .425 r
.28186 .5029 .28544 .50595 .2885 .53864 .28486 .5359 Mtetra
.937 .601 .37 r
.28486 .5359 .2885 .53864 .2924 .56092 .28872 .55835 Mtetra
.822 .801 .832 r
.28872 .55835 .2924 .56092 .29824 .55558 .29458 .55291 Mtetra
.927 .725 .61 r
.29458 .55291 .29824 .55558 .30578 .52425 .30218 .52127 Mtetra
.928 .718 .598 r
.30218 .52127 .30578 .52425 .31359 .48733 .31006 .48404 Mtetra
.906 .736 .661 r
.31006 .48404 .31359 .48733 .32011 .46948 .31662 .46611 Mtetra
.924 .537 .227 r
.31662 .46611 .32011 .46948 .32465 .48374 .32113 .48058 Mtetra
.947 .643 .43 r
.32113 .48058 .32465 .48374 .32777 .52307 .32419 .52031 Mtetra
.945 .64 .43 r
.32419 .52031 .32777 .52307 .33103 .56262 .32739 .56019 Mtetra
.891 .47 .167 r
.32739 .56019 .33103 .56262 .336 .57414 .33235 .57172 Mtetra
.932 .738 .619 r
.33235 .57172 .336 .57414 .3431 .54721 .3395 .54445 Mtetra
.938 .715 .576 r
.3395 .54445 .3431 .54721 .35123 .49902 .34772 .49582 Mtetra
.932 .719 .592 r
.34772 .49582 .35123 .49902 .35867 .46171 .35522 .45828 Mtetra
.619 .727 .924 r
.35522 .45828 .35867 .46171 .36425 .46033 .3608 .45703 Mtetra
.95 .64 .409 r
.3608 .45703 .36425 .46033 .36801 .49784 .36449 .495 Mtetra
.949 .653 .442 r
.36449 .495 .36801 .49784 .37114 .55215 .36755 .54981 Mtetra
.944 .626 .401 r
.36755 .54981 .37114 .55215 .37534 .58663 .37172 .58447 Mtetra
.911 .794 .718 r
.37172 .58447 .37534 .58663 .38164 .57477 .37804 .57231 Mtetra
.945 .718 .565 r
.37804 .57231 .38164 .57477 .38952 .523 .38602 .51996 Mtetra
.943 .713 .56 r
.38602 .51996 .38952 .523 .39745 .46624 .39403 .46277 Mtetra
.925 .732 .623 r
.39403 .46277 .39745 .46624 .404 .4418 .40061 .43834 Mtetra
.948 .604 .325 r
.40061 .43834 .404 .4418 .40875 .46635 .40532 .46334 Mtetra
.953 .656 .435 r
.40532 .46334 .40875 .46635 .4124 .52677 .40889 .52441 Mtetra
.951 .651 .432 r
.40889 .52441 .4124 .52677 .41636 .58461 .41279 .58267 Mtetra
.896 .481 .189 r
.41279 .58267 .41636 .58461 .42188 .5982 .4183 .5961 Mtetra
.951 .73 .57 r
.4183 .5961 .42188 .5982 .42906 .55548 .42556 .55272 Mtetra
.951 .712 .541 r
.42556 .55272 .42906 .55548 .43684 .48542 .43343 .48201 Mtetra
.946 .716 .558 r
.43343 .48201 .43684 .48542 .44391 .43463 .44057 .43101 Mtetra
.374 .613 .944 r
.44057 .43101 .44391 .43463 .44963 .43525 .44629 .43199 Mtetra
.957 .65 .408 r
.44629 .43199 .44963 .43525 .45426 .48832 .45085 .48578 Mtetra
.955 .658 .432 r
.45085 .48578 .45426 .48832 .45869 .56202 .4552 .56015 Mtetra
.949 .632 .396 r
.4552 .56015 .45869 .56202 .46392 .60647 .46039 .6047 Mtetra
.948 .785 .647 r
.46039 .6047 .46392 .60647 .47034 .58773 .46685 .58538 Mtetra
.957 .716 .531 r
.46685 .58538 .47034 .58773 .47745 .51745 .47405 .51425 Mtetra
.955 .711 .529 r
.47405 .51425 .47745 .51745 .48437 .44382 .48106 .44012 Mtetra
.94 .731 .592 r
.48106 .44012 .48437 .44382 .49058 .41322 .48731 .40965 Mtetra
.954 .614 .32 r
.48731 .40965 .49058 .41322 .49616 .44401 .49286 .44112 Mtetra
.96 .658 .415 r
.49286 .44112 .49616 .44401 .50157 .51862 .4982 .51656 Mtetra
.957 .652 .413 r
.4982 .51656 .50157 .51862 .50729 .58968 .50385 .58808 Mtetra
.904 .498 .204 r
.50385 .58808 .50729 .58968 .51347 .60622 .51003 .60432 Mtetra
.963 .731 .538 r
.51003 .60432 .51347 .60622 .51984 .55422 .51646 .55143 Mtetra
.962 .712 .512 r
.51646 .55143 .51984 .55422 .52602 .47002 .52273 .46644 Mtetra
.958 .715 .528 r
.52273 .46644 .52602 .47002 .53197 .40833 .52875 .40453 Mtetra
.694 .742 .889 r
.52875 .40453 .53197 .40833 .53794 .40538 .53473 .40203 Mtetra
.962 .647 .375 r
.53473 .40203 .53794 .40538 .54428 .46235 .54102 .45983 Mtetra
.962 .657 .403 r
.54102 .45983 .54428 .46235 .55104 .54487 .54772 .54311 Mtetra
.955 .633 .372 r
.54772 .54311 .55104 .54487 .55785 .59732 .55449 .5957 Mtetra
.957 .811 .658 r
.55449 .5957 .55785 .59732 .56408 .58085 .56074 .57858 Mtetra
.968 .718 .505 r
.56074 .57858 .56408 .58085 .5695 .50618 .56623 .50297 Mtetra
.966 .712 .501 r
.56623 .50297 .5695 .50618 .57453 .42377 .57134 .41998 Mtetra
.957 .728 .552 r
.57134 .41998 .57453 .42377 .58 .38397 .57686 .38024 Mtetra
.937 .563 .203 r
.57686 .38024 .58 .38397 .58657 .40792 .58342 .40479 Mtetra
.965 .651 .373 r
.58342 .40479 .58657 .40792 .59426 .48041 .59106 .47813 Mtetra
.963 .648 .376 r
.59106 .47813 .59426 .48041 .60231 .55542 .59907 .55368 Mtetra
.931 .553 .247 r
.59907 .55368 .60231 .55542 .60943 .58061 .60617 .57871 Mtetra
.974 .743 .528 r
.60617 .57871 .60943 .58061 .61482 .53642 .61159 .53374 Mtetra
.972 .715 .486 r
.61159 .53374 .61482 .53642 .61894 .45337 .61578 .44988 Mtetra
.969 .716 .498 r
.61578 .44988 .61894 .45337 .62322 .38521 .62012 .38135 Mtetra
.922 .767 .673 r
.62012 .38135 .62322 .38521 .62899 .37027 .62591 .36663 Mtetra
.959 .62 .294 r
.62591 .36663 .62899 .37027 .63676 .41434 .63367 .41135 Mtetra
.965 .646 .351 r
.63367 .41135 .63676 .41434 .64585 .48935 .64274 .48708 Mtetra
.96 .628 .329 r
.64274 .48708 .64585 .48935 .65455 .54568 .6514 .54373 Mtetra
.744 .893 .946 r
.6514 .54373 .65455 .54568 .66108 .54241 .65794 .54013 Mtetra
.977 .728 .49 r
.65794 .54013 .66108 .54241 .66516 .48119 .66205 .47817 Mtetra
.975 .716 .475 r
.66205 .47817 .66516 .48119 .66828 .40344 .66523 .39978 Mtetra
.971 .729 .513 r
.66523 .39978 .66828 .40344 .67254 .35627 .66952 .3524 Mtetra
0 0 .492 r
.66952 .3524 .67254 .35627 .67929 .36402 .67629 .36043 Mtetra
.961 .625 .292 r
.67629 .36043 .67929 .36402 .68846 .41881 .68546 .41581 Mtetra
.963 .633 .313 r
.68546 .41581 .68846 .41881 .69847 .48463 .69544 .48219 Mtetra
.937 .563 .213 r
.69544 .48219 .69847 .48463 .70687 .51582 .70384 .51353 Mtetra
.978 .779 .567 r
.70384 .51353 .70687 .51582 .71216 .48935 .70914 .48669 Mtetra
.98 .724 .469 r
.70914 .48669 .71216 .48935 .71505 .42327 .71207 .41998 Mtetra
.979 .722 .473 r
.71207 .41998 .71505 .42327 .71789 .36037 .71494 .3566 Mtetra
.962 .761 .586 r
.71494 .3566 .71789 .36037 .72294 .3366 .72001 .33272 Mtetra
.907 .519 .096 r
.72001 .33272 .72294 .3366 .7311 .36186 .72817 .35825 Mtetra
.957 .615 .261 r
.72817 .35825 .7311 .36186 .7414 .41729 .73847 .41418 Mtetra
.951 .6 .242 r
.73847 .41418 .7414 .41729 .7514 .4648 .74847 .46211 Mtetra
0 .164 .642 r
.74847 .46211 .7514 .4648 .75864 .47018 .75572 .46752 Mtetra
.984 .747 .497 r
.75572 .46752 .75864 .47018 .76251 .42878 .75961 .42576 Mtetra
.983 .725 .459 r
.75961 .42576 .76251 .42878 .76481 .36859 .76194 .36506 Mtetra
.98 .738 .496 r
.76194 .36506 .76481 .36859 .76831 .32677 .76545 .32288 Mtetra
.628 .731 .921 r
.76545 .32288 .76831 .32677 .77485 .32522 .772 .32128 Mtetra
.926 .555 .142 r
.772 .32128 .77485 .32522 .78441 .36049 .78156 .35682 Mtetra
.943 .586 .196 r
.78156 .35682 .78441 .36049 .79506 .40675 .79222 .40349 Mtetra
.884 .479 .043 r
.79222 .40349 .79506 .40675 .80401 .43058 .80119 .42762 Mtetra
.966 .813 .641 r
.80119 .42762 .80401 .43058 .80954 .41403 .80674 .41101 Mtetra
.987 .739 .47 r
.80674 .41101 .80954 .41403 .81238 .36815 .8096 .36478 Mtetra
.986 .737 .471 r
.8096 .36478 .81238 .36815 .8151 .32286 .81233 .31908 Mtetra
.963 .784 .614 r
.81233 .31908 .8151 .32286 .82019 .30439 .81741 .30036 Mtetra
.731 .304 0 r
.81741 .30036 .82019 .30439 .82851 .31999 .82573 .31599 Mtetra
.91 .535 .097 r
.82573 .31599 .82851 .31999 .83888 .35548 .83612 .35177 Mtetra
.885 .494 .041 r
.83612 .35177 .83888 .35548 .84875 .38415 .84601 .38077 Mtetra
.457 .691 .967 r
.84601 .38077 .84875 .38415 .85582 .38416 .85311 .38092 Mtetra
.987 .768 .52 r
.85311 .38092 .85582 .38416 .8598 .35466 .8571 .35128 Mtetra
.989 .746 .473 r
.8571 .35128 .8598 .35466 .86263 .31548 .85994 .31176 Mtetra
.981 .772 .549 r
.85994 .31176 .86263 .31548 .8669 .29068 .8642 .28665 Mtetra
.328 .567 .925 r
.8642 .28665 .8669 .29068 .87408 .29264 .87138 .2885 Mtetra
.719 .753 .88 r
.26903 .48098 .2726 .48429 .27811 .48151 .27454 .47822 Mtetra
.941 .604 .361 r
.27454 .47822 .27811 .48151 .28186 .5029 .27825 .49984 Mtetra
.943 .635 .426 r
.27825 .49984 .28186 .5029 .28486 .5359 .2812 .53314 Mtetra
.937 .602 .371 r
.2812 .53314 .28486 .5359 .28872 .55835 .28503 .55576 Mtetra
.824 .801 .829 r
.28503 .55576 .28872 .55835 .29458 .55291 .29091 .55023 Mtetra
.927 .725 .61 r
.29091 .55023 .29458 .55291 .30218 .52127 .29857 .51828 Mtetra
.928 .717 .597 r
.29857 .51828 .30218 .52127 .31006 .48404 .30652 .48076 Mtetra
.906 .736 .66 r
.30652 .48076 .31006 .48404 .31662 .46611 .31311 .46274 Mtetra
.925 .54 .232 r
.31311 .46274 .31662 .46611 .32113 .48058 .31759 .47741 Mtetra
.947 .644 .431 r
.31759 .47741 .32113 .48058 .32419 .52031 .32059 .51753 Mtetra
.945 .641 .431 r
.32059 .51753 .32419 .52031 .32739 .56019 .32373 .55774 Mtetra
.892 .47 .167 r
.32373 .55774 .32739 .56019 .33235 .57172 .32868 .56929 Mtetra
.932 .738 .618 r
.32868 .56929 .33235 .57172 .3395 .54445 .33589 .54169 Mtetra
.938 .715 .575 r
.33589 .54169 .3395 .54445 .34772 .49582 .3442 .49261 Mtetra
.932 .719 .591 r
.3442 .49261 .34772 .49582 .35522 .45828 .35176 .45483 Mtetra
.607 .723 .927 r
.35176 .45483 .35522 .45828 .3608 .45703 .35733 .45372 Mtetra
.951 .64 .41 r
.35733 .45372 .3608 .45703 .36449 .495 .36097 .49213 Mtetra
.949 .653 .443 r
.36097 .49213 .36449 .495 .36755 .54981 .36395 .54744 Mtetra
.944 .626 .402 r
.36395 .54744 .36755 .54981 .37172 .58447 .36807 .5823 Mtetra
.913 .792 .714 r
.36807 .5823 .37172 .58447 .37804 .57231 .37444 .56985 Mtetra
.945 .718 .564 r
.37444 .56985 .37804 .57231 .38602 .51996 .3825 .51692 Mtetra
.943 .713 .559 r
.3825 .51692 .38602 .51996 .39403 .46277 .39059 .4593 Mtetra
.925 .732 .623 r
.39059 .4593 .39403 .46277 .40061 .43834 .3972 .43486 Mtetra
.948 .606 .329 r
.3972 .43486 .40061 .43834 .40532 .46334 .40188 .4603 Mtetra
.953 .656 .435 r
.40188 .4603 .40532 .46334 .40889 .52441 .40537 .52202 Mtetra
.951 .651 .432 r
.40537 .52202 .40889 .52441 .41279 .58267 .4092 .5807 Mtetra
.895 .478 .184 r
.4092 .5807 .41279 .58267 .4183 .5961 .41471 .59398 Mtetra
.951 .73 .569 r
.41471 .59398 .4183 .5961 .42556 .55272 .42204 .54997 Mtetra
.951 .712 .54 r
.42204 .54997 .42556 .55272 .43343 .48201 .43001 .47861 Mtetra
.946 .716 .558 r
.43001 .47861 .43343 .48201 .44057 .43101 .43722 .42739 Mtetra
.322 .587 .939 r
.43722 .42739 .44057 .43101 .44629 .43199 .44293 .42869 Mtetra
.957 .651 .409 r
.44293 .42869 .44629 .43199 .45085 .48578 .44743 .4832 Mtetra
.956 .659 .432 r
.44743 .4832 .45085 .48578 .4552 .56015 .45169 .55823 Mtetra
.949 .632 .395 r
.45169 .55823 .4552 .56015 .46039 .6047 .45684 .60291 Mtetra
.948 .783 .643 r
.45684 .60291 .46039 .6047 .46685 .58538 .46334 .58303 Mtetra
.957 .716 .53 r
.46334 .58303 .46685 .58538 .47405 .51425 .47064 .51107 Mtetra
.955 .711 .529 r
.47064 .51107 .47405 .51425 .48106 .44012 .47774 .43644 Mtetra
.94 .731 .592 r
.47774 .43644 .48106 .44012 .48731 .40965 .48402 .40607 Mtetra
.954 .615 .323 r
.48402 .40607 .48731 .40965 .49286 .44112 .48954 .43818 Mtetra
.96 .658 .416 r
.48954 .43818 .49286 .44112 .4982 .51656 .4948 .51445 Mtetra
.957 .653 .413 r
.4948 .51445 .4982 .51656 .50385 .58808 .50039 .58645 Mtetra
.903 .494 .198 r
.50039 .58645 .50385 .58808 .51003 .60432 .50656 .60241 Mtetra
.964 .73 .537 r
.50656 .60241 .51003 .60432 .51646 .55143 .51306 .54867 Mtetra
.962 .712 .511 r
.51306 .54867 .51646 .55143 .52273 .46644 .51943 .46288 Mtetra
.958 .715 .528 r
.51943 .46288 .52273 .46644 .52875 .40453 .52551 .40075 Mtetra
.67 .736 .899 r
.52551 .40075 .52875 .40453 .53473 .40203 .5315 .39864 Mtetra
.962 .647 .376 r
.5315 .39864 .53473 .40203 .54102 .45983 .53775 .45726 Mtetra
.962 .657 .403 r
.53775 .45726 .54102 .45983 .54772 .54311 .54438 .5413 Mtetra
.955 .633 .372 r
.54438 .5413 .54772 .54311 .55449 .5957 .55111 .59405 Mtetra
.958 .808 .652 r
.55111 .59405 .55449 .5957 .56074 .57858 .55738 .57632 Mtetra
.968 .718 .504 r
.55738 .57632 .56074 .57858 .56623 .50297 .56294 .49979 Mtetra
.966 .712 .5 r
.56294 .49979 .56623 .50297 .57134 .41998 .56813 .4162 Mtetra
.957 .729 .552 r
.56813 .4162 .57134 .41998 .57686 .38024 .5737 .37649 Mtetra
.938 .567 .21 r
.5737 .37649 .57686 .38024 .58342 .40479 .58025 .40163 Mtetra
.965 .651 .373 r
.58025 .40163 .58342 .40479 .59106 .47813 .58785 .4758 Mtetra
.963 .649 .376 r
.58785 .4758 .59106 .47813 .59907 .55368 .59581 .55191 Mtetra
.931 .552 .244 r
.59581 .55191 .59907 .55368 .60617 .57871 .6029 .57681 Mtetra
.974 .743 .527 r
.6029 .57681 .60617 .57871 .61159 .53374 .60835 .53108 Mtetra
.972 .715 .485 r
.60835 .53108 .61159 .53374 .61578 .44988 .61261 .4464 Mtetra
.969 .716 .498 r
.61261 .4464 .61578 .44988 .62012 .38135 .617 .37749 Mtetra
.921 .768 .675 r
.617 .37749 .62012 .38135 .62591 .36663 .62283 .36297 Mtetra
.959 .621 .296 r
.62283 .36297 .62591 .36663 .63367 .41135 .63058 .40832 Mtetra
.966 .647 .352 r
.63058 .40832 .63367 .41135 .64274 .48708 .6396 .48477 Mtetra
.96 .628 .329 r
.6396 .48477 .64274 .48708 .6514 .54373 .64824 .54176 Mtetra
.762 .895 .936 r
.64824 .54176 .6514 .54373 .65794 .54013 .65478 .53785 Mtetra
.977 .728 .489 r
.65478 .53785 .65794 .54013 .66205 .47817 .65893 .47516 Mtetra
.975 .716 .474 r
.65893 .47516 .66205 .47817 .66523 .39978 .66216 .39612 Mtetra
.971 .729 .513 r
.66216 .39612 .66523 .39978 .66952 .3524 .6665 .34852 Mtetra
0 0 .469 r
.6665 .34852 .66952 .3524 .67629 .36043 .67328 .35682 Mtetra
.961 .626 .293 r
.67328 .35682 .67629 .36043 .68546 .41581 .68243 .41278 Mtetra
.963 .633 .313 r
.68243 .41278 .68546 .41581 .69544 .48219 .6924 .47973 Mtetra
.937 .564 .214 r
.6924 .47973 .69544 .48219 .70384 .51353 .70079 .51123 Mtetra
.978 .778 .566 r
.70079 .51123 .70384 .51353 .70914 .48669 .70611 .48402 Mtetra
.98 .723 .468 r
.70611 .48402 .70914 .48669 .71207 .41998 .70907 .41668 Mtetra
.979 .722 .472 r
.70907 .41668 .71207 .41998 .71494 .3566 .71197 .35281 Mtetra
.962 .761 .586 r
.71197 .35281 .71494 .3566 .72001 .33272 .71707 .32881 Mtetra
.908 .521 .099 r
.71707 .32881 .72001 .33272 .72817 .35825 .72523 .35462 Mtetra
.957 .616 .262 r
.72523 .35462 .72817 .35825 .73847 .41418 .73552 .41106 Mtetra
.952 .601 .243 r
.73552 .41106 .73847 .41418 .74847 .46211 .74553 .4594 Mtetra
0 .161 .639 r
.74553 .4594 .74847 .46211 .75572 .46752 .75279 .46485 Mtetra
.984 .747 .496 r
.75279 .46485 .75572 .46752 .75961 .42576 .7567 .42272 Mtetra
.983 .725 .458 r
.7567 .42272 .75961 .42576 .76194 .36506 .75905 .3615 Mtetra
.98 .738 .496 r
.75905 .3615 .76194 .36506 .76545 .32288 .76258 .31896 Mtetra
.63 .731 .921 r
.76258 .31896 .76545 .32288 .772 .32128 .76913 .31732 Mtetra
.926 .556 .143 r
.76913 .31732 .772 .32128 .78156 .35682 .7787 .35314 Mtetra
.943 .587 .198 r
.7787 .35314 .78156 .35682 .79222 .40349 .78937 .40023 Mtetra
.886 .482 .047 r
.78937 .40023 .79222 .40349 .80119 .42762 .79835 .42464 Mtetra
.966 .813 .641 r
.79835 .42464 .80119 .42762 .80674 .41101 .80392 .40797 Mtetra
.987 .739 .469 r
.80392 .40797 .80674 .41101 .8096 .36478 .8068 .36138 Mtetra
.985 .736 .47 r
.8068 .36138 .8096 .36478 .81233 .31908 .80954 .31527 Mtetra
.963 .783 .612 r
.80954 .31527 .81233 .31908 .81741 .30036 .81462 .29631 Mtetra
.732 .305 0 r
.81462 .29631 .81741 .30036 .82573 .31599 .82295 .31199 Mtetra
.91 .536 .099 r
.82295 .31199 .82573 .31599 .83612 .35177 .83335 .34804 Mtetra
.887 .496 .045 r
.83335 .34804 .83612 .35177 .84601 .38077 .84326 .37737 Mtetra
.442 .683 .967 r
.84326 .37737 .84601 .38077 .85311 .38092 .85038 .37766 Mtetra
.987 .768 .519 r
.85038 .37766 .85311 .38092 .8571 .35128 .8544 .34786 Mtetra
.989 .745 .472 r
.8544 .34786 .8571 .35128 .85994 .31176 .85724 .30801 Mtetra
.981 .771 .547 r
.85724 .30801 .85994 .31176 .8642 .28665 .8615 .2826 Mtetra
.338 .573 .926 r
.8615 .2826 .8642 .28665 .87138 .2885 .86867 .28435 Mtetra
.717 .753 .88 r
.26545 .47766 .26903 .48098 .27454 .47822 .27097 .47492 Mtetra
.942 .605 .362 r
.27097 .47492 .27454 .47822 .27825 .49984 .27464 .49672 Mtetra
.943 .636 .426 r
.27464 .49672 .27825 .49984 .2812 .53314 .27754 .53026 Mtetra
.938 .603 .37 r
.27754 .53026 .2812 .53314 .28503 .55576 .28134 .55302 Mtetra
.822 .793 .824 r
.28134 .55302 .28503 .55576 .29091 .55023 .28723 .54741 Mtetra
.926 .724 .609 r
.28723 .54741 .29091 .55023 .29857 .51828 .29496 .51521 Mtetra
.928 .717 .597 r
.29496 .51521 .29857 .51828 .30652 .48076 .30297 .47743 Mtetra
.906 .736 .66 r
.30297 .47743 .30652 .48076 .31311 .46274 .30958 .45935 Mtetra
.926 .542 .236 r
.30958 .45935 .31311 .46274 .31759 .47741 .31405 .47419 Mtetra
.947 .644 .431 r
.31405 .47419 .31759 .47741 .32059 .51753 .31698 .51463 Mtetra
.945 .642 .431 r
.31698 .51463 .32059 .51753 .32373 .55774 .32007 .55511 Mtetra
.892 .469 .156 r
.32007 .55511 .32373 .55774 .32868 .56929 .32501 .56666 Mtetra
.93 .735 .618 r
.32501 .56666 .32868 .56929 .33589 .54169 .33227 .53878 Mtetra
.937 .714 .575 r
.33227 .53878 .33589 .54169 .3442 .49261 .34066 .48934 Mtetra
.932 .718 .591 r
.34066 .48934 .3442 .49261 .35176 .45483 .34828 .45137 Mtetra
.596 .72 .93 r
.34828 .45137 .35176 .45483 .35733 .45372 .35386 .45038 Mtetra
.951 .641 .411 r
.35386 .45038 .35733 .45372 .36097 .49213 .35743 .48916 Mtetra
.949 .654 .443 r
.35743 .48916 .36097 .49213 .36395 .54744 .36034 .54488 Mtetra
.945 .627 .4 r
.36034 .54488 .36395 .54744 .36807 .5823 .36442 .57988 Mtetra
.909 .784 .711 r
.36442 .57988 .36807 .5823 .37444 .56985 .37082 .56717 Mtetra
.944 .717 .564 r
.37082 .56717 .37444 .56985 .3825 .51692 .37897 .51377 Mtetra
.943 .712 .559 r
.37897 .51377 .3825 .51692 .39059 .4593 .38715 .4558 Mtetra
.925 .732 .623 r
.38715 .4558 .39059 .4593 .3972 .43486 .39379 .43138 Mtetra
.949 .607 .331 r
.39379 .43138 .3972 .43486 .40188 .4603 .39843 .45719 Mtetra
.954 .657 .435 r
.39843 .45719 .40188 .4603 .40537 .52202 .40184 .51943 Mtetra
.952 .652 .432 r
.40184 .51943 .40537 .52202 .4092 .5807 .4056 .57845 Mtetra
.894 .474 .166 r
.4056 .57845 .4092 .5807 .41471 .59398 .41111 .59158 Mtetra
.949 .728 .569 r
.41111 .59158 .41471 .59398 .42204 .54997 .41851 .54703 Mtetra
.95 .711 .541 r
.41851 .54703 .42204 .54997 .43001 .47861 .42658 .47514 Mtetra
.946 .715 .558 r
.42658 .47514 .43001 .47861 .43722 .42739 .43385 .42376 Mtetra
.273 .56 .931 r
.43385 .42376 .43722 .42739 .44293 .42869 .43956 .42536 Mtetra
.957 .651 .41 r
.43956 .42536 .44293 .42869 .44743 .4832 .44399 .48046 Mtetra
.956 .659 .431 r
.44399 .48046 .44743 .4832 .45169 .55823 .44817 .55603 Mtetra
.951 .633 .393 r
.44817 .55603 .45169 .55823 .45684 .60291 .45328 .60079 Mtetra
.944 .775 .641 r
.45328 .60079 .45684 .60291 .46334 .58303 .45982 .58041 Mtetra
.956 .714 .531 r
.45982 .58041 .46334 .58303 .47064 .51107 .46722 .50776 Mtetra
.955 .71 .529 r
.46722 .50776 .47064 .51107 .47774 .43644 .4744 .43272 Mtetra
.94 .731 .593 r
.4744 .43272 .47774 .43644 .48402 .40607 .48073 .40247 Mtetra
.955 .617 .326 r
.48073 .40247 .48402 .40607 .48954 .43818 .48621 .43514 Mtetra
.96 .659 .416 r
.48621 .43514 .48954 .43818 .4948 .51445 .49139 .51209 Mtetra
.958 .653 .412 r
.49139 .51209 .4948 .51445 .50039 .58645 .49691 .58447 Mtetra
.902 .489 .177 r
.49691 .58447 .50039 .58645 .50656 .60241 .50308 .60015 Mtetra
.962 .728 .537 r
.50308 .60015 .50656 .60241 .51306 .54867 .50964 .54567 Mtetra
.961 .711 .512 r
.50964 .54567 .51306 .54867 .51943 .46288 .51611 .45924 Mtetra
.958 .715 .528 r
.51611 .45924 .51943 .46288 .52551 .40075 .52226 .39695 Mtetra
.646 .728 .909 r
.52226 .39695 .52551 .40075 .5315 .39864 .52826 .39522 Mtetra
.962 .648 .377 r
.52826 .39522 .5315 .39864 .53775 .45726 .53446 .45453 Mtetra
.962 .658 .402 r
.53446 .45453 .53775 .45726 .54438 .5413 .54102 .53918 Mtetra
.956 .634 .369 r
.54102 .53918 .54438 .5413 .55111 .59405 .54771 .59202 Mtetra
.954 .797 .649 r
.54771 .59202 .55111 .59405 .55738 .57632 .554 .57374 Mtetra
.967 .717 .505 r
.554 .57374 .55738 .57632 .56294 .49979 .55964 .49644 Mtetra
.965 .711 .5 r
.55964 .49644 .56294 .49979 .56813 .4162 .56492 .41238 Mtetra
.957 .729 .552 r
.56492 .41238 .56813 .4162 .5737 .37649 .57053 .37273 Mtetra
.94 .57 .215 r
.57053 .37273 .5737 .37649 .58025 .40163 .57707 .39839 Mtetra
.965 .652 .373 r
.57707 .39839 .58025 .40163 .58785 .4758 .58462 .47324 Mtetra
.963 .649 .375 r
.58462 .47324 .58785 .4758 .59581 .55191 .59252 .54978 Mtetra
.931 .551 .233 r
.59252 .54978 .59581 .55191 .6029 .57681 .5996 .57453 Mtetra
.972 .739 .527 r
.5996 .57453 .6029 .57681 .60835 .53108 .60509 .52816 Mtetra
.971 .714 .486 r
.60509 .52816 .60835 .53108 .61261 .4464 .60942 .4428 Mtetra
.969 .716 .498 r
.60942 .4428 .61261 .4464 .617 .37749 .61388 .3736 Mtetra
.92 .769 .677 r
.61388 .3736 .617 .37749 .62283 .36297 .61973 .35928 Mtetra
.959 .621 .297 r
.61973 .35928 .62283 .36297 .63058 .40832 .62746 .40517 Mtetra
.966 .647 .351 r
.62746 .40517 .63058 .40832 .6396 .48477 .63645 .4822 Mtetra
.96 .629 .327 r
.63645 .4822 .6396 .48477 .64824 .54176 .64505 .53944 Mtetra
.777 .874 .918 r
.64505 .53944 .64824 .54176 .65478 .53785 .65159 .53524 Mtetra
.976 .726 .49 r
.65159 .53524 .65478 .53785 .65893 .47516 .65579 .47194 Mtetra
.975 .715 .475 r
.65579 .47194 .65893 .47516 .66216 .39612 .65908 .39238 Mtetra
.971 .728 .513 r
.65908 .39238 .66216 .39612 .6665 .34852 .66346 .34463 Mtetra
0 0 .45 r
.66346 .34463 .6665 .34852 .67328 .35682 .67025 .35316 Mtetra
.961 .626 .294 r
.67025 .35316 .67328 .35682 .68243 .41278 .67939 .4096 Mtetra
.964 .634 .313 r
.67939 .4096 .68243 .41278 .6924 .47973 .68933 .477 Mtetra
.937 .564 .208 r
.68933 .477 .6924 .47973 .70079 .51123 .69771 .50862 Mtetra
.976 .773 .567 r
.69771 .50862 .70079 .51123 .70611 .48402 .70305 .48109 Mtetra
.98 .722 .469 r
.70305 .48109 .70611 .48402 .70907 .41668 .70604 .41323 Mtetra
.978 .721 .473 r
.70604 .41323 .70907 .41668 .71197 .35281 .70899 .34897 Mtetra
.962 .76 .586 r
.70899 .34897 .71197 .35281 .71707 .32881 .71412 .32489 Mtetra
.909 .523 .102 r
.71412 .32489 .71707 .32881 .72523 .35462 .72228 .35093 Mtetra
.958 .616 .262 r
.72228 .35093 .72523 .35462 .73552 .41106 .73256 .40777 Mtetra
.952 .601 .241 r
.73256 .40777 .73552 .41106 .74553 .4594 .74256 .45644 Mtetra
0 .178 .665 r
.74256 .45644 .74553 .4594 .75279 .46485 .74982 .46192 Mtetra
.983 .745 .498 r
.74982 .46192 .75279 .46485 .7567 .42272 .75376 .41949 Mtetra
.983 .724 .459 r
.75376 .41949 .7567 .42272 .75905 .3615 .75614 .35785 Mtetra
.98 .737 .496 r
.75614 .35785 .75905 .3615 .76258 .31896 .75969 .31502 Mtetra
.632 .731 .92 r
.75969 .31502 .76258 .31896 .76913 .31732 .76626 .31335 Mtetra
.927 .557 .145 r
.76626 .31335 .76913 .31732 .7787 .35314 .77582 .34938 Mtetra
.943 .587 .197 r
.77582 .34938 .7787 .35314 .78937 .40023 .78649 .39681 Mtetra
.885 .482 .043 r
.78649 .39681 .78937 .40023 .79835 .42464 .79549 .42144 Mtetra
.963 .808 .642 r
.79549 .42144 .79835 .42464 .80392 .40797 .80108 .40473 Mtetra
.986 .737 .47 r
.80108 .40473 .80392 .40797 .8068 .36138 .80397 .35786 Mtetra
.985 .735 .47 r
.80397 .35786 .8068 .36138 .80954 .31527 .80673 .31141 Mtetra
.963 .782 .61 r
.80673 .31141 .80954 .31527 .81462 .29631 .81183 .29225 Mtetra
.732 .306 0 r
.81183 .29225 .81462 .29631 .82295 .31199 .82015 .30795 Mtetra
.911 .537 .1 r
.82015 .30795 .82295 .31199 .83335 .34804 .83055 .34423 Mtetra
.887 .497 .044 r
.83055 .34423 .83335 .34804 .84326 .37737 .84048 .37383 Mtetra
.437 .671 .962 r
.84048 .37383 .84326 .37737 .85038 .37766 .84762 .37423 Mtetra
.986 .766 .52 r
.84762 .37423 .85038 .37766 .8544 .34786 .85166 .34431 Mtetra
.988 .744 .473 r
.85166 .34431 .8544 .34786 .85724 .30801 .85452 .30418 Mtetra
.981 .77 .546 r
.85452 .30418 .85724 .30801 .8615 .2826 .85878 .27852 Mtetra
.348 .578 .928 r
.85878 .27852 .8615 .2826 .86867 .28435 .86596 .28018 Mtetra
.716 .753 .881 r
.26185 .47432 .26545 .47766 .27097 .47492 .26737 .4716 Mtetra
.942 .606 .363 r
.26737 .4716 .27097 .47492 .27464 .49672 .27102 .49356 Mtetra
.943 .637 .427 r
.27102 .49356 .27464 .49672 .27754 .53026 .27386 .52732 Mtetra
.939 .604 .37 r
.27386 .52732 .27754 .53026 .28134 .55302 .27763 .5502 Mtetra
.822 .789 .821 r
.27763 .5502 .28134 .55302 .28723 .54741 .28354 .54451 Mtetra
.926 .723 .609 r
.28354 .54451 .28723 .54741 .29496 .51521 .29133 .51208 Mtetra
.928 .716 .597 r
.29133 .51208 .29496 .51521 .30297 .47743 .2994 .47409 Mtetra
.906 .736 .66 r
.2994 .47409 .30297 .47743 .30958 .45935 .30604 .45595 Mtetra
.927 .544 .239 r
.30604 .45595 .30958 .45935 .31405 .47419 .31049 .47094 Mtetra
.947 .645 .431 r
.31049 .47094 .31405 .47419 .31698 .51463 .31336 .51167 Mtetra
.946 .642 .431 r
.31336 .51167 .31698 .51463 .32007 .55511 .31639 .55238 Mtetra
.892 .468 .15 r
.31639 .55238 .32007 .55511 .32501 .56666 .32133 .56392 Mtetra
.929 .734 .617 r
.32133 .56392 .32501 .56666 .33227 .53878 .32865 .53579 Mtetra
.937 .714 .575 r
.32865 .53579 .33227 .53878 .34066 .48934 .33711 .48603 Mtetra
.932 .718 .591 r
.33711 .48603 .34066 .48934 .34828 .45137 .34479 .4479 Mtetra
.586 .716 .933 r
.34479 .4479 .34828 .45137 .35386 .45038 .35036 .44701 Mtetra
.951 .641 .412 r
.35036 .44701 .35386 .45038 .35743 .48916 .35389 .48613 Mtetra
.95 .654 .443 r
.35389 .48613 .35743 .48916 .36034 .54488 .35672 .5422 Mtetra
.946 .628 .399 r
.35672 .5422 .36034 .54488 .36442 .57988 .36076 .57732 Mtetra
.908 .78 .708 r
.36076 .57732 .36442 .57988 .37082 .56717 .36719 .56438 Mtetra
.943 .716 .564 r
.36719 .56438 .37082 .56717 .37897 .51377 .37542 .51056 Mtetra
.943 .712 .559 r
.37542 .51056 .37897 .51377 .38715 .4558 .38368 .45228 Mtetra
.925 .732 .623 r
.38368 .45228 .38715 .4558 .39379 .43138 .39036 .42787 Mtetra
.949 .608 .334 r
.39036 .42787 .39379 .43138 .39843 .45719 .39496 .45402 Mtetra
.954 .657 .436 r
.39496 .45402 .39843 .45719 .40184 .51943 .39829 .51673 Mtetra
.952 .652 .431 r
.39829 .51673 .40184 .51943 .4056 .57845 .40198 .57604 Mtetra
.893 .47 .153 r
.40198 .57604 .4056 .57845 .41111 .59158 .40749 .58904 Mtetra
.948 .726 .568 r
.40749 .58904 .41111 .59158 .41851 .54703 .41496 .544 Mtetra
.95 .71 .54 r
.41496 .544 .41851 .54703 .42658 .47514 .42314 .47164 Mtetra
.946 .715 .558 r
.42314 .47164 .42658 .47514 .43385 .42376 .43047 .42012 Mtetra
.225 .533 .922 r
.43047 .42012 .43385 .42376 .43956 .42536 .43618 .42199 Mtetra
.957 .652 .41 r
.43618 .42199 .43956 .42536 .44399 .48046 .44054 .47762 Mtetra
.956 .66 .431 r
.44054 .47762 .44399 .48046 .44817 .55603 .44464 .55367 Mtetra
.951 .634 .391 r
.44464 .55367 .44817 .55603 .45328 .60079 .44971 .59848 Mtetra
.943 .771 .639 r
.44971 .59848 .45328 .60079 .45982 .58041 .45629 .57766 Mtetra
.956 .714 .531 r
.45629 .57766 .45982 .58041 .46722 .50776 .46378 .50439 Mtetra
.955 .71 .529 r
.46378 .50439 .46722 .50776 .4744 .43272 .47106 .429 Mtetra
.94 .731 .593 r
.47106 .429 .4744 .43272 .48073 .40247 .47742 .39887 Mtetra
.955 .618 .328 r
.47742 .39887 .48073 .40247 .48621 .43514 .48287 .43202 Mtetra
.96 .659 .416 r
.48287 .43202 .48621 .43514 .49139 .51209 .48797 .50959 Mtetra
.958 .654 .411 r
.48797 .50959 .49139 .51209 .49691 .58447 .49342 .58228 Mtetra
.9 .484 .162 r
.49342 .58228 .49691 .58447 .50308 .60015 .49958 .59771 Mtetra
.961 .726 .537 r
.49958 .59771 .50308 .60015 .50964 .54567 .50621 .54258 Mtetra
.961 .71 .512 r
.50621 .54258 .50964 .54567 .51611 .45924 .51278 .45558 Mtetra
.958 .715 .528 r
.51278 .45558 .51611 .45924 .52226 .39695 .519 .39315 Mtetra
.622 .721 .917 r
.519 .39315 .52226 .39695 .52826 .39522 .52501 .39175 Mtetra
.962 .648 .377 r
.52501 .39175 .52826 .39522 .53446 .45453 .53116 .45167 Mtetra
.963 .658 .402 r
.53116 .45167 .53446 .45453 .54102 .53918 .53764 .53687 Mtetra
.957 .634 .368 r
.53764 .53687 .54102 .53918 .54771 .59202 .54429 .58978 Mtetra
.952 .792 .646 r
.54429 .58978 .54771 .59202 .554 .57374 .55061 .57102 Mtetra
.967 .716 .505 r
.55061 .57102 .554 .57374 .55964 .49644 .55632 .49303 Mtetra
.965 .711 .5 r
.55632 .49303 .55964 .49644 .56492 .41238 .56169 .40855 Mtetra
.957 .729 .552 r
.56169 .40855 .56492 .41238 .57053 .37273 .56735 .36896 Mtetra
.941 .573 .22 r
.56735 .36896 .57053 .37273 .57707 .39839 .57388 .39508 Mtetra
.965 .652 .373 r
.57388 .39508 .57707 .39839 .58462 .47324 .58137 .47053 Mtetra
.964 .65 .375 r
.58137 .47053 .58462 .47324 .59252 .54978 .58921 .54746 Mtetra
.931 .55 .226 r
.58921 .54746 .59252 .54978 .5996 .57453 .59627 .57207 Mtetra
.971 .738 .527 r
.59627 .57207 .5996 .57453 .60509 .52816 .60181 .52511 Mtetra
.971 .713 .486 r
.60181 .52511 .60509 .52816 .60942 .4428 .60621 .43916 Mtetra
.969 .716 .498 r
.60621 .43916 .60942 .4428 .61388 .3736 .61074 .36971 Mtetra
.919 .769 .68 r
.61074 .36971 .61388 .3736 .61973 .35928 .61662 .35557 Mtetra
.96 .622 .299 r
.61662 .35557 .61973 .35928 .62746 .40517 .62433 .40193 Mtetra
.966 .647 .351 r
.62433 .40193 .62746 .40517 .63645 .4822 .63327 .47948 Mtetra
.961 .629 .325 r
.63327 .47948 .63645 .4822 .64505 .53944 .64184 .53694 Mtetra
.788 .864 .906 r
.64184 .53694 .64505 .53944 .65159 .53524 .64839 .53248 Mtetra
.976 .725 .49 r
.64839 .53248 .65159 .53524 .65579 .47194 .65263 .46863 Mtetra
.975 .714 .475 r
.65263 .46863 .65579 .47194 .65908 .39238 .65598 .38861 Mtetra
.971 .728 .513 r
.65598 .38861 .65908 .39238 .66346 .34463 .66041 .34072 Mtetra
.56 .102 0 r
.66041 .34072 .66346 .34463 .67025 .35316 .66721 .34946 Mtetra
.962 .627 .294 r
.66721 .34946 .67025 .35316 .67939 .4096 .67633 .40633 Mtetra
.964 .634 .312 r
.67633 .40633 .67939 .4096 .68933 .477 .68623 .47413 Mtetra
.937 .564 .205 r
.68623 .47413 .68933 .477 .69771 .50862 .6946 .50584 Mtetra
.974 .77 .566 r
.6946 .50584 .69771 .50862 .70305 .48109 .69996 .47803 Mtetra
.979 .721 .469 r
.69996 .47803 .70305 .48109 .70604 .41323 .70301 .40971 Mtetra
.978 .72 .473 r
.70301 .40971 .70604 .41323 .70899 .34897 .706 .34511 Mtetra
.961 .76 .585 r
.706 .34511 .70899 .34897 .71412 .32489 .71115 .32096 Mtetra
.91 .524 .104 r
.71115 .32096 .71412 .32489 .72228 .35093 .71931 .3472 Mtetra
.958 .617 .262 r
.71931 .3472 .72228 .35093 .73256 .40777 .72957 .40439 Mtetra
.952 .601 .241 r
.72957 .40439 .73256 .40777 .74256 .45644 .73956 .45336 Mtetra
0 .185 .676 r
.73956 .45336 .74256 .45644 .74982 .46192 .74684 .45886 Mtetra
.982 .744 .498 r
.74684 .45886 .74982 .46192 .75376 .41949 .7508 .41615 Mtetra
.982 .723 .459 r
.7508 .41615 .75376 .41949 .75614 .35785 .75322 .35414 Mtetra
.98 .737 .495 r
.75322 .35414 .75614 .35785 .75969 .31502 .7568 .31106 Mtetra
.633 .732 .919 r
.7568 .31106 .75969 .31502 .76626 .31335 .76337 .30936 Mtetra
.927 .558 .146 r
.76337 .30936 .76626 .31335 .77582 .34938 .77293 .34558 Mtetra
.943 .588 .198 r
.77293 .34558 .77582 .34938 .78649 .39681 .78359 .39331 Mtetra
.885 .483 .042 r
.78359 .39331 .78649 .39681 .79549 .42144 .7926 .41814 Mtetra
.961 .806 .642 r
.7926 .41814 .79549 .42144 .80108 .40473 .79821 .40138 Mtetra
.986 .737 .47 r
.79821 .40138 .80108 .40473 .80397 .35786 .80113 .35425 Mtetra
.985 .735 .47 r
.80113 .35425 .80397 .35786 .80673 .31141 .80391 .3075 Mtetra
.963 .781 .609 r
.80391 .3075 .80673 .31141 .81183 .29225 .80901 .28817 Mtetra
.733 .306 0 r
.80901 .28817 .81183 .29225 .82015 .30795 .81734 .30389 Mtetra
.911 .537 .101 r
.81734 .30389 .82015 .30795 .83055 .34423 .82774 .34037 Mtetra
.887 .498 .045 r
.82774 .34037 .83055 .34423 .84048 .37383 .83768 .3702 Mtetra
.43 .663 .959 r
.83768 .3702 .84048 .37383 .84762 .37423 .84485 .3707 Mtetra
.986 .765 .521 r
.84485 .3707 .84762 .37423 .85166 .34431 .84891 .34067 Mtetra
.988 .743 .473 r
.84891 .34067 .85166 .34431 .85452 .30418 .85178 .30031 Mtetra
.981 .769 .545 r
.85178 .30031 .85452 .30418 .85878 .27852 .85605 .27442 Mtetra
.356 .583 .928 r
.85605 .27442 .85878 .27852 .86596 .28018 .86323 .276 Mtetra
.715 .753 .882 r
.25824 .47097 .26185 .47432 .26737 .4716 .26377 .46826 Mtetra
.942 .607 .364 r
.26377 .46826 .26737 .4716 .27102 .49356 .26738 .49039 Mtetra
.943 .637 .427 r
.26738 .49039 .27102 .49356 .27386 .52732 .27017 .52435 Mtetra
.939 .604 .371 r
.27017 .52435 .27386 .52732 .27763 .5502 .27391 .54736 Mtetra
.823 .789 .82 r
.27391 .54736 .27763 .5502 .28354 .54451 .27984 .5416 Mtetra
.926 .723 .609 r
.27984 .5416 .28354 .54451 .29133 .51208 .28768 .50895 Mtetra
.928 .716 .597 r
.28768 .50895 .29133 .51208 .2994 .47409 .29582 .47074 Mtetra
.906 .736 .66 r
.29582 .47074 .2994 .47409 .30604 .45595 .30249 .45253 Mtetra
.928 .546 .242 r
.30249 .45253 .30604 .45595 .31049 .47094 .30691 .46767 Mtetra
.947 .645 .432 r
.30691 .46767 .31049 .47094 .31336 .51167 .30973 .50868 Mtetra
.946 .642 .431 r
.30973 .50868 .31336 .51167 .31639 .55238 .3127 .54962 Mtetra
.892 .468 .15 r
.3127 .54962 .31639 .55238 .32133 .56392 .31763 .56118 Mtetra
.93 .733 .616 r
.31763 .56118 .32133 .56392 .32865 .53579 .325 .53281 Mtetra
.937 .714 .575 r
.325 .53281 .32865 .53579 .33711 .48603 .33355 .48272 Mtetra
.932 .718 .591 r
.33355 .48272 .33711 .48603 .34479 .4479 .34128 .44442 Mtetra
.577 .713 .936 r
.34128 .44442 .34479 .4479 .35036 .44701 .34686 .44363 Mtetra
.951 .642 .413 r
.34686 .44363 .35036 .44701 .35389 .48613 .35033 .48306 Mtetra
.95 .655 .443 r
.35033 .48306 .35389 .48613 .35672 .5422 .35308 .53949 Mtetra
.946 .628 .399 r
.35308 .53949 .35672 .5422 .36076 .57732 .35709 .57475 Mtetra
.909 .779 .706 r
.35709 .57475 .36076 .57732 .36719 .56438 .36355 .56159 Mtetra
.944 .716 .564 r
.36355 .56159 .36719 .56438 .37542 .51056 .37187 .50736 Mtetra
.943 .712 .559 r
.37187 .50736 .37542 .51056 .38368 .45228 .38021 .44877 Mtetra
.925 .733 .623 r
.38021 .44877 .38368 .45228 .39036 .42787 .38692 .42436 Mtetra
.949 .609 .336 r
.38692 .42436 .39036 .42787 .39496 .45402 .39149 .45081 Mtetra
.954 .658 .436 r
.39149 .45081 .39496 .45402 .39829 .51673 .39473 .51399 Mtetra
.952 .653 .431 r
.39473 .51399 .39829 .51673 .40198 .57604 .39835 .5736 Mtetra
.892 .468 .149 r
.39835 .5736 .40198 .57604 .40749 .58904 .40386 .58649 Mtetra
.948 .726 .568 r
.40386 .58649 .40749 .58904 .41496 .544 .4114 .54099 Mtetra
.95 .71 .54 r
.4114 .54099 .41496 .544 .42314 .47164 .41968 .46816 Mtetra
.946 .715 .558 r
.41968 .46816 .42314 .47164 .43047 .42012 .42708 .41648 Mtetra
.18 .507 .911 r
.42708 .41648 .43047 .42012 .43618 .42199 .43279 .41859 Mtetra
.957 .652 .411 r
.43279 .41859 .43618 .42199 .44054 .47762 .43708 .47473 Mtetra
.956 .66 .431 r
.43708 .47473 .44054 .47762 .44464 .55367 .44109 .55125 Mtetra
.952 .634 .391 r
.44109 .55125 .44464 .55367 .44971 .59848 .44612 .59615 Mtetra
.943 .769 .637 r
.44612 .59615 .44971 .59848 .45629 .57766 .45274 .57492 Mtetra
.956 .714 .53 r
.45274 .57492 .45629 .57766 .46378 .50439 .46033 .50105 Mtetra
.955 .71 .528 r
.46033 .50105 .46378 .50439 .47106 .429 .4677 .42531 Mtetra
.94 .732 .593 r
.4677 .42531 .47106 .429 .47742 .39887 .47409 .39524 Mtetra
.955 .619 .33 r
.47409 .39524 .47742 .39887 .48287 .43202 .47951 .42886 Mtetra
.96 .66 .416 r
.47951 .42886 .48287 .43202 .48797 .50959 .48453 .50701 Mtetra
.958 .654 .411 r
.48453 .50701 .48797 .50959 .49342 .58228 .48991 .58004 Mtetra
.898 .48 .156 r
.48991 .58004 .49342 .58228 .49958 .59771 .49607 .59527 Mtetra
.961 .726 .536 r
.49607 .59527 .49958 .59771 .50621 .54258 .50277 .53952 Mtetra
.961 .71 .511 r
.50277 .53952 .50621 .54258 .51278 .45558 .50944 .45196 Mtetra
.958 .715 .528 r
.50944 .45196 .51278 .45558 .519 .39315 .51573 .38936 Mtetra
.6 .713 .924 r
.51573 .38936 .519 .39315 .52501 .39175 .52175 .38825 Mtetra
.963 .649 .378 r
.52175 .38825 .52501 .39175 .53116 .45167 .52784 .44876 Mtetra
.963 .658 .402 r
.52784 .44876 .53116 .45167 .53764 .53687 .53425 .5345 Mtetra
.957 .635 .367 r
.53425 .5345 .53764 .53687 .54429 .58978 .54085 .58752 Mtetra
.953 .79 .643 r
.54085 .58752 .54429 .58978 .55061 .57102 .5472 .56831 Mtetra
.967 .716 .505 r
.5472 .56831 .55061 .57102 .55632 .49303 .55299 .48965 Mtetra
.965 .711 .5 r
.55299 .48965 .55632 .49303 .56169 .40855 .55844 .40475 Mtetra
.957 .729 .552 r
.55844 .40475 .56169 .40855 .56735 .36896 .56415 .36518 Mtetra
.942 .575 .224 r
.56415 .36518 .56735 .36896 .57388 .39508 .57067 .39172 Mtetra
.965 .652 .374 r
.57067 .39172 .57388 .39508 .58137 .47053 .57811 .46776 Mtetra
.964 .65 .375 r
.57811 .46776 .58137 .47053 .58921 .54746 .58589 .54509 Mtetra
.931 .549 .224 r
.58589 .54509 .58921 .54746 .59627 .57207 .59294 .5696 Mtetra
.971 .737 .527 r
.59294 .5696 .59627 .57207 .60181 .52511 .59852 .52209 Mtetra
.971 .713 .486 r
.59852 .52209 .60181 .52511 .60621 .43916 .603 .43555 Mtetra
.969 .716 .497 r
.603 .43555 .60621 .43916 .61074 .36971 .60759 .36583 Mtetra
.918 .77 .681 r
.60759 .36583 .61074 .36971 .61662 .35557 .6135 .35183 Mtetra
.96 .623 .3 r
.6135 .35183 .61662 .35557 .62433 .40193 .62118 .39865 Mtetra
.966 .648 .351 r
.62118 .39865 .62433 .40193 .63327 .47948 .63008 .47671 Mtetra
.961 .63 .325 r
.63008 .47671 .63327 .47948 .64184 .53694 .63861 .53441 Mtetra
.797 .864 .898 r
.63861 .53441 .64184 .53694 .64839 .53248 .64516 .52972 Mtetra
.976 .725 .49 r
.64516 .52972 .64839 .53248 .65263 .46863 .64946 .46534 Mtetra
.975 .714 .474 r
.64946 .46534 .65263 .46863 .65598 .38861 .65288 .38484 Mtetra
.971 .728 .512 r
.65288 .38484 .65598 .38861 .66041 .34072 .65735 .3368 Mtetra
.575 .117 0 r
.65735 .3368 .66041 .34072 .66721 .34946 .66416 .34574 Mtetra
.962 .627 .295 r
.66416 .34574 .66721 .34946 .67633 .40633 .67325 .40303 Mtetra
.964 .634 .312 r
.67325 .40303 .67633 .40633 .68623 .47413 .68313 .47123 Mtetra
.937 .564 .205 r
.68313 .47123 .68623 .47413 .6946 .50584 .69148 .50305 Mtetra
.975 .77 .565 r
.69148 .50305 .6946 .50584 .69996 .47803 .69687 .47496 Mtetra
.979 .721 .469 r
.69687 .47496 .69996 .47803 .70301 .40971 .69996 .40619 Mtetra
.978 .72 .472 r
.69996 .40619 .70301 .40971 .706 .34511 .703 .34123 Mtetra
.962 .76 .585 r
.703 .34123 .706 .34511 .71115 .32096 .70817 .317 Mtetra
.911 .526 .106 r
.70817 .317 .71115 .32096 .71931 .3472 .71633 .34344 Mtetra
.958 .617 .263 r
.71633 .34344 .71931 .3472 .72957 .40439 .72658 .401 Mtetra
.952 .602 .241 r
.72658 .401 .72957 .40439 .73956 .45336 .73655 .45026 Mtetra
0 .183 .675 r
.73655 .45026 .73956 .45336 .74684 .45886 .74383 .45578 Mtetra
.982 .743 .498 r
.74383 .45578 .74684 .45886 .7508 .41615 .74782 .4128 Mtetra
.982 .723 .459 r
.74782 .4128 .7508 .41615 .75322 .35414 .75028 .35041 Mtetra
.98 .736 .495 r
.75028 .35041 .75322 .35414 .7568 .31106 .75389 .30707 Mtetra
.634 .732 .919 r
.75389 .30707 .7568 .31106 .76337 .30936 .76047 .30535 Mtetra
.927 .558 .147 r
.76047 .30535 .76337 .30936 .77293 .34558 .77002 .34177 Mtetra
.944 .588 .199 r
.77002 .34177 .77293 .34558 .78359 .39331 .78068 .38979 Mtetra
.886 .484 .045 r
.78068 .38979 .78359 .39331 .7926 .41814 .78969 .41482 Mtetra
.962 .806 .642 r
.78969 .41482 .7926 .41814 .79821 .40138 .79533 .39801 Mtetra
.986 .736 .47 r
.79533 .39801 .79821 .40138 .80113 .35425 .79828 .35062 Mtetra
.985 .734 .47 r
.79828 .35062 .80113 .35425 .80391 .3075 .80108 .30357 Mtetra
.964 .781 .608 r
.80108 .30357 .80391 .3075 .80901 .28817 .80619 .28407 Mtetra
.734 .307 0 r
.80619 .28407 .80901 .28817 .81734 .30389 .81452 .29983 Mtetra
.912 .538 .102 r
.81452 .29983 .81734 .30389 .82774 .34037 .82492 .3365 Mtetra
.889 .5 .048 r
.82492 .3365 .82774 .34037 .83768 .3702 .83487 .36656 Mtetra
.42 .658 .958 r
.83487 .36656 .83768 .3702 .84485 .3707 .84206 .36715 Mtetra
.986 .765 .52 r
.84206 .36715 .84485 .3707 .84891 .34067 .84614 .337 Mtetra
.988 .743 .472 r
.84614 .337 .84891 .34067 .85178 .30031 .84903 .2964 Mtetra
.981 .768 .544 r
.84903 .2964 .85178 .30031 .85605 .27442 .85331 .2703 Mtetra
.363 .586 .929 r
.85331 .2703 .85605 .27442 .86323 .276 .86049 .2718 Mtetra
.714 .752 .882 r
.25461 .4676 .25824 .47097 .26377 .46826 .26015 .46491 Mtetra
.942 .607 .365 r
.26015 .46491 .26377 .46826 .26738 .49039 .26373 .48717 Mtetra
.944 .637 .427 r
.26373 .48717 .26738 .49039 .27017 .52435 .26647 .52131 Mtetra
.939 .605 .37 r
.26647 .52131 .27017 .52435 .27391 .54736 .27018 .54441 Mtetra
.823 .785 .816 r
.27018 .54441 .27391 .54736 .27984 .5416 .27613 .5386 Mtetra
.925 .722 .608 r
.27613 .5386 .27984 .5416 .28768 .50895 .28403 .50576 Mtetra
.927 .716 .596 r
.28403 .50576 .28768 .50895 .29582 .47074 .29223 .46736 Mtetra
.906 .735 .659 r
.29223 .46736 .29582 .47074 .30249 .45253 .29893 .4491 Mtetra
.928 .547 .245 r
.29893 .4491 .30249 .45253 .30691 .46767 .30333 .46437 Mtetra
.947 .645 .432 r
.30333 .46437 .30691 .46767 .30973 .50868 .30608 .5056 Mtetra
.946 .643 .431 r
.30608 .5056 .30973 .50868 .3127 .54962 .30901 .54674 Mtetra
.892 .467 .143 r
.30901 .54674 .3127 .54962 .31763 .56118 .31393 .55831 Mtetra
.929 .732 .616 r
.31393 .55831 .31763 .56118 .325 .53281 .32135 .52973 Mtetra
.936 .713 .575 r
.32135 .52973 .325 .53281 .33355 .48272 .32997 .47938 Mtetra
.932 .718 .591 r
.32997 .47938 .33355 .48272 .34128 .44442 .33776 .44093 Mtetra
.569 .71 .938 r
.33776 .44093 .34128 .44442 .34686 .44363 .34334 .44021 Mtetra
.951 .642 .413 r
.34334 .44021 .34686 .44363 .35033 .48306 .34675 .47991 Mtetra
.95 .655 .443 r
.34675 .47991 .35033 .48306 .35308 .53949 .34943 .53664 Mtetra
.947 .629 .398 r
.34943 .53664 .35308 .53949 .35709 .57475 .3534 .57201 Mtetra
.907 .774 .703 r
.3534 .57201 .35709 .57475 .36355 .56159 .35989 .55867 Mtetra
.943 .715 .564 r
.35989 .55867 .36355 .56159 .37187 .50736 .36829 .50409 Mtetra
.943 .711 .559 r
.36829 .50409 .37187 .50736 .38021 .44877 .37672 .44524 Mtetra
.925 .733 .624 r
.37672 .44524 .38021 .44877 .38692 .42436 .38346 .42083 Mtetra
.95 .61 .337 r
.38346 .42083 .38692 .42436 .39149 .45081 .38799 .44754 Mtetra
.954 .658 .436 r
.38799 .44754 .39149 .45081 .39473 .51399 .39116 .5111 Mtetra
.953 .653 .431 r
.39116 .5111 .39473 .51399 .39835 .5736 .39471 .57096 Mtetra
.89 .464 .135 r
.39471 .57096 .39835 .5736 .40386 .58649 .40022 .58376 Mtetra
.948 .725 .568 r
.40022 .58376 .40386 .58649 .4114 .54099 .40783 .53787 Mtetra
.95 .71 .54 r
.40783 .53787 .4114 .54099 .41968 .46816 .41621 .46465 Mtetra
.946 .715 .558 r
.41621 .46465 .41968 .46816 .42708 .41648 .42367 .41284 Mtetra
.141 .483 .9 r
.42367 .41284 .42708 .41648 .43279 .41859 .42938 .41514 Mtetra
.958 .653 .411 r
.42938 .41514 .43279 .41859 .43708 .47473 .43361 .47171 Mtetra
.957 .66 .431 r
.43361 .47171 .43708 .47473 .44109 .55125 .43753 .54862 Mtetra
.953 .635 .389 r
.43753 .54862 .44109 .55125 .44612 .59615 .44252 .5936 Mtetra
.941 .765 .635 r
.44252 .5936 .44612 .59615 .45274 .57492 .44918 .57202 Mtetra
.956 .713 .53 r
.44918 .57202 .45274 .57492 .46033 .50105 .45686 .49765 Mtetra
.955 .71 .528 r
.45686 .49765 .46033 .50105 .4677 .42531 .46432 .4216 Mtetra
.94 .732 .594 r
.46432 .4216 .4677 .42531 .47409 .39524 .47075 .3916 Mtetra
.955 .62 .332 r
.47075 .3916 .47409 .39524 .47951 .42886 .47613 .4256 Mtetra
.961 .66 .416 r
.47613 .4256 .47951 .42886 .48453 .50701 .48107 .50425 Mtetra
.959 .655 .411 r
.48107 .50425 .48453 .50701 .48991 .58004 .48638 .57756 Mtetra
.896 .476 .139 r
.48638 .57756 .48991 .58004 .49607 .59527 .49254 .59261 Mtetra
.96 .724 .537 r
.49254 .59261 .49607 .59527 .50277 .53952 .49931 .53634 Mtetra
.961 .71 .511 r
.49931 .53634 .50277 .53952 .50944 .45196 .50608 .4483 Mtetra
.958 .715 .528 r
.50608 .4483 .50944 .45196 .51573 .38936 .51244 .38557 Mtetra
.579 .706 .929 r
.51244 .38557 .51573 .38936 .52175 .38825 .51847 .38471 Mtetra
.963 .649 .378 r
.51847 .38471 .52175 .38825 .52784 .44876 .5245 .4457 Mtetra
.963 .659 .402 r
.5245 .4457 .52784 .44876 .53425 .5345 .53083 .53189 Mtetra
.958 .635 .365 r
.53083 .53189 .53425 .5345 .54085 .58752 .53739 .58499 Mtetra
.95 .783 .641 r
.53739 .58499 .54085 .58752 .5472 .56831 .54377 .56541 Mtetra
.966 .715 .505 r
.54377 .56541 .5472 .56831 .55299 .48965 .54965 .48619 Mtetra
.965 .711 .5 r
.54965 .48619 .55299 .48965 .55844 .40475 .55519 .40094 Mtetra
.957 .729 .552 r
.55519 .40094 .55844 .40475 .56415 .36518 .56094 .36139 Mtetra
.942 .577 .227 r
.56094 .36139 .56415 .36518 .57067 .39172 .56744 .38828 Mtetra
.965 .653 .374 r
.56744 .38828 .57067 .39172 .57811 .46776 .57483 .46482 Mtetra
.964 .651 .374 r
.57483 .46482 .57811 .46776 .58589 .54509 .58255 .54247 Mtetra
.93 .548 .216 r
.58255 .54247 .58589 .54509 .59294 .5696 .58958 .56689 Mtetra
.97 .735 .527 r
.58958 .56689 .59294 .5696 .59852 .52209 .5952 .51892 Mtetra
.971 .713 .486 r
.5952 .51892 .59852 .52209 .603 .43555 .59976 .43189 Mtetra
.969 .716 .497 r
.59976 .43189 .603 .43555 .60759 .36583 .60443 .36194 Mtetra
.917 .771 .683 r
.60443 .36194 .60759 .36583 .6135 .35183 .61036 .34806 Mtetra
.96 .623 .3 r
.61036 .34806 .6135 .35183 .62118 .39865 .61802 .39526 Mtetra
.966 .648 .351 r
.61802 .39526 .62118 .39865 .63008 .47671 .62686 .47375 Mtetra
.961 .63 .324 r
.62686 .47375 .63008 .47671 .63861 .53441 .63536 .53164 Mtetra
.802 .851 .887 r
.63536 .53164 .63861 .53441 .64516 .52972 .64192 .52675 Mtetra
.975 .724 .49 r
.64192 .52675 .64516 .52972 .64946 .46534 .64627 .46192 Mtetra
.974 .714 .474 r
.64627 .46192 .64946 .46534 .65288 .38484 .64975 .38104 Mtetra
.971 .728 .512 r
.64975 .38104 .65288 .38484 .65735 .3368 .65428 .33287 Mtetra
.587 .128 0 r
.65428 .33287 .65735 .3368 .66416 .34574 .66109 .34197 Mtetra
.962 .628 .295 r
.66109 .34197 .66416 .34574 .67325 .40303 .67016 .39961 Mtetra
.964 .635 .312 r
.67016 .39961 .67325 .40303 .68313 .47123 .67999 .46815 Mtetra
.937 .564 .201 r
.67999 .46815 .68313 .47123 .69148 .50305 .68834 .50005 Mtetra
.973 .767 .566 r
.68834 .50005 .69148 .50305 .69687 .47496 .69375 .47173 Mtetra
.979 .72 .469 r
.69375 .47173 .69687 .47496 .69996 .40619 .69689 .40257 Mtetra
.978 .72 .472 r
.69689 .40257 .69996 .40619 .703 .34123 .69998 .33733 Mtetra
.961 .759 .585 r
.69998 .33733 .703 .34123 .70817 .317 .70518 .31303 Mtetra
.912 .527 .108 r
.70518 .31303 .70817 .317 .71633 .34344 .71334 .33964 Mtetra
.958 .617 .263 r
.71334 .33964 .71633 .34344 .72658 .401 .72356 .39749 Mtetra
.952 .602 .24 r
.72356 .39749 .72658 .401 .73655 .45026 .73351 .44699 Mtetra
0 .193 .689 r
.73351 .44699 .73655 .45026 .74383 .45578 .74081 .45252 Mtetra
.982 .742 .498 r
.74081 .45252 .74383 .45578 .74782 .4128 .74483 .40931 Mtetra
.982 .723 .459 r
.74483 .40931 .74782 .4128 .75028 .35041 .74733 .34662 Mtetra
.98 .736 .495 r
.74733 .34662 .75028 .35041 .75389 .30707 .75096 .30306 Mtetra
.635 .732 .918 r
.75096 .30306 .75389 .30707 .76047 .30535 .75755 .30132 Mtetra
.928 .559 .148 r
.75755 .30132 .76047 .30535 .77002 .34177 .7671 .33791 Mtetra
.944 .589 .199 r
.7671 .33791 .77002 .34177 .78068 .38979 .77775 .38617 Mtetra
.885 .485 .043 r
.77775 .38617 .78068 .38979 .78969 .41482 .78676 .41135 Mtetra
.96 .802 .642 r
.78676 .41135 .78969 .41482 .79533 .39801 .79242 .3945 Mtetra
.985 .736 .471 r
.79242 .3945 .79533 .39801 .79828 .35062 .7954 .34689 Mtetra
.984 .734 .47 r
.7954 .34689 .79828 .35062 .80108 .30357 .79823 .2996 Mtetra
.964 .78 .607 r
.79823 .2996 .80108 .30357 .80619 .28407 .80336 .27995 Mtetra
.734 .308 0 r
.80336 .27995 .80619 .28407 .81452 .29983 .81168 .29574 Mtetra
.912 .539 .103 r
.81168 .29574 .81452 .29983 .82492 .3365 .82208 .33257 Mtetra
.889 .501 .048 r
.82208 .33257 .82492 .3365 .83487 .36656 .83204 .36282 Mtetra
.417 .651 .955 r
.83204 .36282 .83487 .36656 .84206 .36715 .83924 .36349 Mtetra
.985 .763 .521 r
.83924 .36349 .84206 .36715 .84614 .337 .84335 .33324 Mtetra
.987 .742 .472 r
.84335 .33324 .84614 .337 .84903 .2964 .84627 .29243 Mtetra
.981 .767 .543 r
.84627 .29243 .84903 .2964 .85331 .2703 .85055 .26616 Mtetra
.368 .589 .93 r
.85055 .26616 .85331 .2703 .86049 .2718 .85773 .2676 Mtetra
.713 .752 .883 r
.25098 .46422 .25461 .4676 .26015 .46491 .25652 .46154 Mtetra
.942 .608 .366 r
.25652 .46154 .26015 .46491 .26373 .48717 .26006 .48389 Mtetra
.944 .638 .427 r
.26006 .48389 .26373 .48717 .26647 .52131 .26277 .51815 Mtetra
.94 .606 .369 r
.26277 .51815 .26647 .52131 .27018 .54441 .26645 .54132 Mtetra
.821 .778 .813 r
.26645 .54132 .27018 .54441 .27613 .5386 .27241 .53546 Mtetra
.925 .721 .608 r
.27241 .53546 .27613 .5386 .28403 .50576 .28036 .50248 Mtetra
.927 .715 .596 r
.28036 .50248 .28403 .50576 .29223 .46736 .28862 .46396 Mtetra
.906 .735 .659 r
.28862 .46396 .29223 .46736 .29893 .4491 .29535 .44566 Mtetra
.928 .548 .247 r
.29535 .44566 .29893 .4491 .30333 .46437 .29973 .46101 Mtetra
.948 .646 .432 r
.29973 .46101 .30333 .46437 .30608 .5056 .30243 .50241 Mtetra
.947 .644 .43 r
.30243 .50241 .30608 .5056 .30901 .54674 .3053 .54369 Mtetra
.891 .466 .132 r
.3053 .54369 .30901 .54674 .31393 .55831 .31022 .55525 Mtetra
.927 .73 .616 r
.31022 .55525 .31393 .55831 .32135 .52973 .31768 .52651 Mtetra
.936 .712 .575 r
.31768 .52651 .32135 .52973 .32997 .47938 .32638 .47597 Mtetra
.932 .717 .591 r
.32638 .47597 .32997 .47938 .33776 .44093 .33423 .43743 Mtetra
.562 .708 .939 r
.33423 .43743 .33776 .44093 .34334 .44021 .33981 .43677 Mtetra
.951 .642 .413 r
.33981 .43677 .34334 .44021 .34675 .47991 .34317 .47666 Mtetra
.95 .655 .442 r
.34317 .47666 .34675 .47991 .34943 .53664 .34578 .53359 Mtetra
.948 .63 .397 r
.34578 .53359 .34943 .53664 .3534 .57201 .34971 .56903 Mtetra
.904 .768 .701 r
.34971 .56903 .3534 .57201 .35989 .55867 .35623 .55555 Mtetra
.942 .714 .564 r
.35623 .55555 .35989 .55867 .36829 .50409 .36471 .50071 Mtetra
.942 .711 .559 r
.36471 .50071 .36829 .50409 .37672 .44524 .37322 .44169 Mtetra
.925 .732 .624 r
.37322 .44169 .37672 .44524 .38346 .42083 .37999 .41728 Mtetra
.95 .611 .339 r
.37999 .41728 .38346 .42083 .38799 .44754 .38449 .44419 Mtetra
.954 .658 .436 r
.38449 .44419 .38799 .44754 .39116 .5111 .38758 .50802 Mtetra
.953 .654 .43 r
.38758 .50802 .39116 .5111 .39471 .57096 .39107 .56805 Mtetra
.888 .46 .116 r
.39107 .56805 .39471 .57096 .40022 .58376 .39657 .58076 Mtetra
.946 .723 .568 r
.39657 .58076 .40022 .58376 .40783 .53787 .40425 .53458 Mtetra
.949 .709 .54 r
.40425 .53458 .40783 .53787 .41621 .46465 .41272 .46108 Mtetra
.946 .715 .558 r
.41272 .46108 .41621 .46465 .42367 .41284 .42025 .40919 Mtetra
.11 .464 .89 r
.42025 .40919 .42367 .41284 .42938 .41514 .42596 .41165 Mtetra
.958 .653 .411 r
.42596 .41165 .42938 .41514 .43361 .47171 .43012 .46852 Mtetra
.957 .661 .431 r
.43012 .46852 .43361 .47171 .43753 .54862 .43396 .54571 Mtetra
.954 .636 .387 r
.43396 .54571 .43753 .54862 .44252 .5936 .43891 .59071 Mtetra
.938 .759 .634 r
.43891 .59071 .44252 .5936 .44918 .57202 .4456 .56887 Mtetra
.955 .712 .531 r
.4456 .56887 .44918 .57202 .45686 .49765 .45338 .49413 Mtetra
.954 .709 .528 r
.45338 .49413 .45686 .49765 .46432 .4216 .46094 .41788 Mtetra
.94 .732 .594 r
.46094 .41788 .46432 .4216 .47075 .3916 .4674 .38795 Mtetra
.956 .621 .333 r
.4674 .38795 .47075 .3916 .47613 .4256 .47275 .42224 Mtetra
.961 .66 .415 r
.47275 .42224 .47613 .4256 .48107 .50425 .47761 .50124 Mtetra
.96 .656 .409 r
.47761 .50124 .48107 .50425 .48638 .57756 .48284 .57473 Mtetra
.893 .47 .117 r
.48284 .57473 .48638 .57756 .49254 .59261 .48899 .58962 Mtetra
.959 .723 .537 r
.48899 .58962 .49254 .59261 .49931 .53634 .49584 .53296 Mtetra
.96 .709 .512 r
.49584 .53296 .49931 .53634 .50608 .4483 .50271 .44459 Mtetra
.958 .715 .528 r
.50271 .44459 .50608 .4483 .51244 .38557 .50914 .38177 Mtetra
.56 .699 .934 r
.50914 .38177 .51244 .38557 .51847 .38471 .51517 .38111 Mtetra
.963 .649 .378 r
.51517 .38111 .51847 .38471 .5245 .4457 .52115 .44246 Mtetra
.964 .659 .401 r
.52115 .44246 .5245 .4457 .53083 .53189 .5274 .52896 Mtetra
.959 .636 .362 r
.5274 .52896 .53083 .53189 .53739 .58499 .53392 .5821 Mtetra
.946 .776 .64 r
.53392 .5821 .53739 .58499 .54377 .56541 .54032 .56221 Mtetra
.965 .714 .505 r
.54032 .56221 .54377 .56541 .54965 .48619 .54629 .48259 Mtetra
.965 .71 .5 r
.54629 .48259 .54965 .48619 .55519 .40094 .55192 .3971 Mtetra
.957 .729 .553 r
.55192 .3971 .55519 .40094 .56094 .36139 .55772 .35759 Mtetra
.943 .578 .229 r
.55772 .35759 .56094 .36139 .56744 .38828 .5642 .38474 Mtetra
.966 .653 .373 r
.5642 .38474 .56744 .38828 .57483 .46482 .57152 .46163 Mtetra
.965 .651 .372 r
.57152 .46163 .57483 .46482 .58255 .54247 .57918 .53951 Mtetra
.93 .547 .204 r
.57918 .53951 .58255 .54247 .58958 .56689 .58619 .56383 Mtetra
.968 .733 .528 r
.58619 .56383 .58958 .56689 .5952 .51892 .59187 .51551 Mtetra
.97 .712 .487 r
.59187 .51551 .5952 .51892 .59976 .43189 .59652 .42813 Mtetra
.969 .715 .498 r
.59652 .42813 .59976 .43189 .60443 .36194 .60126 .35804 Mtetra
.917 .771 .685 r
.60126 .35804 .60443 .36194 .61036 .34806 .60721 .34426 Mtetra
.96 .624 .301 r
.60721 .34426 .61036 .34806 .61802 .39526 .61484 .39174 Mtetra
.967 .648 .35 r
.61484 .39174 .61802 .39526 .62686 .47375 .62362 .47052 Mtetra
.962 .631 .321 r
.62362 .47052 .62686 .47375 .63536 .53164 .63208 .52854 Mtetra
.803 .832 .873 r
.63208 .52854 .63536 .53164 .64192 .52675 .63865 .52349 Mtetra
.974 .722 .491 r
.63865 .52349 .64192 .52675 .64627 .46192 .64306 .45833 Mtetra
.974 .713 .475 r
.64306 .45833 .64627 .46192 .64975 .38104 .64662 .37718 Mtetra
.97 .727 .512 r
.64662 .37718 .64975 .38104 .65428 .33287 .65119 .32893 Mtetra
.596 .137 0 r
.65119 .32893 .65428 .33287 .66109 .34197 .65801 .33815 Mtetra
.962 .628 .295 r
.65801 .33815 .66109 .34197 .67016 .39961 .66704 .39604 Mtetra
.964 .635 .311 r
.66704 .39604 .67016 .39961 .67999 .46815 .67684 .46481 Mtetra
.936 .564 .194 r
.67684 .46481 .67999 .46815 .68834 .50005 .68516 .49676 Mtetra
.971 .763 .567 r
.68516 .49676 .68834 .50005 .69375 .47173 .6906 .46826 Mtetra
.978 .719 .47 r
.6906 .46826 .69375 .47173 .69689 .40257 .6938 .39883 Mtetra
.977 .719 .473 r
.6938 .39883 .69689 .40257 .69998 .33733 .69695 .33338 Mtetra
.961 .759 .585 r
.69695 .33338 .69998 .33733 .70518 .31303 .70218 .30905 Mtetra
.912 .527 .109 r
.70218 .30905 .70518 .31303 .71334 .33964 .71033 .33577 Mtetra
.958 .618 .262 r
.71033 .33577 .71334 .33964 .72356 .39749 .72052 .39382 Mtetra
.952 .602 .238 r
.72052 .39382 .72356 .39749 .73351 .44699 .73045 .44349 Mtetra
0 .209 .71 r
.73045 .44349 .73351 .44699 .74081 .45252 .73775 .44903 Mtetra
.98 .74 .5 r
.73775 .44903 .74081 .45252 .74483 .40931 .74181 .40565 Mtetra
.981 .722 .46 r
.74181 .40565 .74483 .40931 .74733 .34662 .74436 .34274 Mtetra
.979 .735 .495 r
.74436 .34274 .74733 .34662 .75096 .30306 .74803 .29903 Mtetra
.636 .732 .917 r
.74803 .29903 .75096 .30306 .75755 .30132 .75463 .29727 Mtetra
.928 .559 .148 r
.75463 .29727 .75755 .30132 .7671 .33791 .76416 .33396 Mtetra
.944 .589 .198 r
.76416 .33396 .7671 .33791 .77775 .38617 .77479 .38239 Mtetra
.883 .484 .038 r
.77479 .38239 .77775 .38617 .78676 .41135 .78381 .40769 Mtetra
.957 .798 .643 r
.78381 .40769 .78676 .41135 .79242 .3945 .78949 .3908 Mtetra
.984 .734 .472 r
.78949 .3908 .79242 .3945 .7954 .34689 .79251 .34304 Mtetra
.984 .733 .47 r
.79251 .34304 .7954 .34689 .79823 .2996 .79537 .29557 Mtetra
.963 .779 .606 r
.79537 .29557 .79823 .2996 .80336 .27995 .80051 .27582 Mtetra
.734 .308 0 r
.80051 .27582 .80336 .27995 .81168 .29574 .80883 .29161 Mtetra
.912 .539 .103 r
.80883 .29161 .81168 .29574 .82208 .33257 .81923 .32856 Mtetra
.888 .501 .046 r
.81923 .32856 .82208 .33257 .83204 .36282 .82918 .35894 Mtetra
.418 .643 .95 r
.82918 .35894 .83204 .36282 .83924 .36349 .8364 .35966 Mtetra
.984 .762 .523 r
.8364 .35966 .83924 .36349 .84335 .33324 .84054 .32934 Mtetra
.987 .741 .473 r
.84054 .32934 .84335 .33324 .84627 .29243 .84348 .28839 Mtetra
.98 .766 .543 r
.84348 .28839 .84627 .29243 .85055 .26616 .84779 .26199 Mtetra
.374 .592 .93 r
.84779 .26199 .85055 .26616 .85773 .2676 .85497 .26337 Mtetra
.713 .752 .883 r
.24732 .46083 .25098 .46422 .25652 .46154 .25287 .45815 Mtetra
.942 .608 .367 r
.25287 .45815 .25652 .46154 .26006 .48389 .25639 .48059 Mtetra
.944 .638 .427 r
.25639 .48059 .26006 .48389 .26277 .51815 .25904 .51498 Mtetra
.94 .606 .369 r
.25904 .51498 .26277 .51815 .26645 .54132 .2627 .53822 Mtetra
.821 .778 .812 r
.2627 .53822 .26645 .54132 .27241 .53546 .26867 .53231 Mtetra
.925 .721 .608 r
.26867 .53231 .27241 .53546 .28036 .50248 .27668 .4992 Mtetra
.927 .715 .596 r
.27668 .4992 .28036 .50248 .28862 .46396 .285 .46055 Mtetra
.906 .735 .659 r
.285 .46055 .28862 .46396 .29535 .44566 .29176 .44221 Mtetra
.929 .549 .248 r
.29176 .44221 .29535 .44566 .29973 .46101 .29612 .45764 Mtetra
.948 .646 .433 r
.29612 .45764 .29973 .46101 .30243 .50241 .29877 .49919 Mtetra
.947 .644 .43 r
.29877 .49919 .30243 .50241 .3053 .54369 .30158 .54061 Mtetra
.891 .466 .132 r
.30158 .54061 .3053 .54369 .31022 .55525 .30649 .55217 Mtetra
.927 .73 .616 r
.30649 .55217 .31022 .55525 .31768 .52651 .314 .5233 Mtetra
.936 .712 .575 r
.314 .5233 .31768 .52651 .32638 .47597 .32278 .47257 Mtetra
.932 .717 .59 r
.32278 .47257 .32638 .47597 .33423 .43743 .33068 .43392 Mtetra
.556 .706 .94 r
.33068 .43392 .33423 .43743 .33981 .43677 .33626 .4333 Mtetra
.951 .643 .414 r
.33626 .4333 .33981 .43677 .34317 .47666 .33957 .47337 Mtetra
.951 .656 .443 r
.33957 .47337 .34317 .47666 .34578 .53359 .34211 .53051 Mtetra
.948 .63 .396 r
.34211 .53051 .34578 .53359 .34971 .56903 .34601 .56603 Mtetra
.904 .768 .7 r
.34601 .56603 .34971 .56903 .35623 .55555 .35255 .55243 Mtetra
.942 .714 .564 r
.35255 .55243 .35623 .55555 .36471 .50071 .36111 .49735 Mtetra
.942 .711 .559 r
.36111 .49735 .36471 .50071 .37322 .44169 .3697 .43814 Mtetra
.925 .733 .624 r
.3697 .43814 .37322 .44169 .37999 .41728 .37651 .41372 Mtetra
.95 .611 .34 r
.37651 .41372 .37999 .41728 .38449 .44419 .38098 .4408 Mtetra
.954 .658 .436 r
.38098 .4408 .38449 .44419 .38758 .50802 .38399 .50489 Mtetra
.953 .654 .43 r
.38399 .50489 .38758 .50802 .39107 .56805 .38741 .5651 Mtetra
.887 .458 .112 r
.38741 .5651 .39107 .56805 .39657 .58076 .3929 .57776 Mtetra
.946 .723 .568 r
.3929 .57776 .39657 .58076 .40425 .53458 .40065 .53131 Mtetra
.949 .709 .54 r
.40065 .53131 .40425 .53458 .41272 .46108 .40922 .45753 Mtetra
.946 .715 .558 r
.40922 .45753 .41272 .46108 .42025 .40919 .41682 .40554 Mtetra
.083 .447 .881 r
.41682 .40554 .42025 .40919 .42596 .41165 .42252 .40812 Mtetra
.958 .653 .412 r
.42252 .40812 .42596 .41165 .43012 .46852 .42662 .46528 Mtetra
.957 .661 .43 r
.42662 .46528 .43012 .46852 .43396 .54571 .43037 .54275 Mtetra
.954 .636 .387 r
.43037 .54275 .43396 .54571 .43891 .59071 .43528 .58781 Mtetra
.938 .758 .633 r
.43528 .58781 .43891 .59071 .4456 .56887 .44201 .56574 Mtetra
.955 .712 .531 r
.44201 .56574 .4456 .56887 .45338 .49413 .44988 .49065 Mtetra
.954 .71 .528 r
.44988 .49065 .45338 .49413 .46094 .41788 .45753 .41418 Mtetra
.941 .733 .594 r
.45753 .41418 .46094 .41788 .4674 .38795 .46404 .38427 Mtetra
.956 .621 .334 r
.46404 .38427 .4674 .38795 .47275 .42224 .46935 .41881 Mtetra
.961 .661 .415 r
.46935 .41881 .47275 .42224 .47761 .50124 .47412 .49815 Mtetra
.96 .656 .409 r
.47412 .49815 .47761 .50124 .48284 .57473 .47929 .57184 Mtetra
.892 .468 .112 r
.47929 .57184 .48284 .57473 .48899 .58962 .48543 .58663 Mtetra
.959 .722 .537 r
.48543 .58663 .48899 .58962 .49584 .53296 .49235 .52962 Mtetra
.961 .709 .511 r
.49235 .52962 .49584 .53296 .50271 .44459 .49932 .44091 Mtetra
.958 .715 .528 r
.49932 .44091 .50271 .44459 .50914 .38177 .50583 .37799 Mtetra
.545 .694 .937 r
.50583 .37799 .50914 .38177 .51517 .38111 .51187 .37747 Mtetra
.963 .65 .379 r
.51187 .37747 .51517 .38111 .52115 .44246 .51779 .43914 Mtetra
.964 .659 .401 r
.51779 .43914 .52115 .44246 .5274 .52896 .52396 .52596 Mtetra
.959 .636 .362 r
.52396 .52596 .5274 .52896 .53392 .5821 .53043 .57918 Mtetra
.946 .775 .638 r
.53043 .57918 .53392 .5821 .54032 .56221 .53686 .55904 Mtetra
.965 .714 .505 r
.53686 .55904 .54032 .56221 .54629 .48259 .54291 .47904 Mtetra
.965 .71 .5 r
.54291 .47904 .54629 .48259 .55192 .3971 .54864 .39328 Mtetra
.957 .73 .552 r
.54864 .39328 .55192 .3971 .55772 .35759 .55448 .35377 Mtetra
.943 .579 .231 r
.55448 .35377 .55772 .35759 .5642 .38474 .56095 .38115 Mtetra
.966 .653 .373 r
.56095 .38115 .5642 .38474 .57152 .46163 .56821 .45838 Mtetra
.965 .651 .372 r
.56821 .45838 .57152 .46163 .57918 .53951 .5758 .53649 Mtetra
.93 .547 .202 r
.5758 .53649 .57918 .53951 .58619 .56383 .5828 .56076 Mtetra
.968 .733 .528 r
.5828 .56076 .58619 .56383 .59187 .51551 .58852 .51214 Mtetra
.97 .712 .486 r
.58852 .51214 .59187 .51551 .59652 .42813 .59326 .4244 Mtetra
.969 .715 .497 r
.59326 .4244 .59652 .42813 .60126 .35804 .59807 .35415 Mtetra
.917 .772 .686 r
.59807 .35415 .60126 .35804 .60721 .34426 .60404 .34044 Mtetra
.96 .624 .301 r
.60404 .34044 .60721 .34426 .61484 .39174 .61164 .38816 Mtetra
.967 .649 .35 r
.61164 .38816 .61484 .39174 .62362 .47052 .62037 .46724 Mtetra
.962 .631 .321 r
.62037 .46724 .62362 .47052 .63208 .52854 .62878 .52541 Mtetra
.806 .831 .87 r
.62878 .52541 .63208 .52854 .63865 .52349 .63537 .52023 Mtetra
.974 .722 .491 r
.63537 .52023 .63865 .52349 .64306 .45833 .63983 .45476 Mtetra
.974 .713 .475 r
.63983 .45476 .64306 .45833 .64662 .37718 .64347 .37333 Mtetra
.971 .728 .512 r
.64347 .37333 .64662 .37718 .65119 .32893 .64809 .32498 Mtetra
.603 .144 0 r
.64809 .32498 .65119 .32893 .65801 .33815 .65492 .3343 Mtetra
.962 .628 .295 r
.65492 .3343 .65801 .33815 .66704 .39604 .66391 .39243 Mtetra
.964 .635 .311 r
.66391 .39243 .66704 .39604 .67684 .46481 .67366 .46143 Mtetra
.936 .564 .194 r
.67366 .46143 .67684 .46481 .68516 .49676 .68197 .49345 Mtetra
.971 .763 .566 r
.68197 .49345 .68516 .49676 .6906 .46826 .68744 .46479 Mtetra
.978 .719 .47 r
.68744 .46479 .6906 .46826 .6938 .39883 .6907 .39508 Mtetra
.977 .719 .473 r
.6907 .39508 .6938 .39883 .69695 .33338 .6939 .32943 Mtetra
.961 .759 .585 r
.6939 .32943 .69695 .33338 .70218 .30905 .69916 .30504 Mtetra
.913 .528 .11 r
.69916 .30504 .70218 .30905 .71033 .33577 .7073 .33187 Mtetra
.958 .618 .263 r
.7073 .33187 .71033 .33577 .72052 .39382 .71746 .39013 Mtetra
.952 .603 .238 r
.71746 .39013 .72052 .39382 .73045 .44349 .72737 .43997 Mtetra
0 .208 .71 r
.72737 .43997 .73045 .44349 .73775 .44903 .73468 .44551 Mtetra
.98 .74 .5 r
.73468 .44551 .73775 .44903 .74181 .40565 .73878 .40197 Mtetra
.981 .722 .46 r
.73878 .40197 .74181 .40565 .74436 .34274 .74137 .33884 Mtetra
.979 .735 .495 r
.74137 .33884 .74436 .34274 .74803 .29903 .74508 .29498 Mtetra
.636 .732 .917 r
.74508 .29498 .74803 .29903 .75463 .29727 .75169 .2932 Mtetra
.928 .56 .148 r
.75169 .2932 .75463 .29727 .76416 .33396 .76121 .33001 Mtetra
.944 .589 .199 r
.76121 .33001 .76416 .33396 .77479 .38239 .77183 .3786 Mtetra
.884 .485 .039 r
.77183 .3786 .77479 .38239 .78381 .40769 .78084 .40401 Mtetra
.957 .798 .643 r
.78084 .40401 .78381 .40769 .78949 .3908 .78654 .38708 Mtetra
.984 .734 .472 r
.78654 .38708 .78949 .3908 .79251 .34304 .7896 .33916 Mtetra
.984 .733 .47 r
.7896 .33916 .79251 .34304 .79537 .29557 .79249 .29152 Mtetra
.963 .778 .606 r
.79249 .29152 .79537 .29557 .80051 .27582 .79765 .27167 Mtetra
.735 .308 0 r
.79765 .27167 .80051 .27582 .80883 .29161 .80597 .28748 Mtetra
.913 .539 .104 r
.80597 .28748 .80883 .29161 .81923 .32856 .81636 .32454 Mtetra
.889 .501 .048 r
.81636 .32454 .81923 .32856 .82918 .35894 .82632 .35505 Mtetra
.413 .64 .95 r
.82632 .35505 .82918 .35894 .8364 .35966 .83355 .35581 Mtetra
.984 .761 .522 r
.83355 .35581 .8364 .35966 .84054 .32934 .83772 .32541 Mtetra
.987 .741 .473 r
.83772 .32541 .84054 .32934 .84348 .28839 .84068 .28432 Mtetra
.98 .766 .542 r
.84068 .28432 .84348 .28839 .84779 .26199 .84501 .25779 Mtetra
.377 .594 .93 r
.84501 .25779 .84779 .26199 .85497 .26337 .8522 .25914 Mtetra
.712 .752 .883 r
.24366 .45743 .24732 .46083 .25287 .45815 .24921 .45475 Mtetra
.942 .608 .367 r
.24921 .45475 .25287 .45815 .25639 .48059 .2527 .47726 Mtetra
.944 .638 .428 r
.2527 .47726 .25639 .48059 .25904 .51498 .25531 .51176 Mtetra
.941 .607 .369 r
.25531 .51176 .25904 .51498 .2627 .53822 .25893 .53507 Mtetra
.821 .776 .811 r
.25893 .53507 .2627 .53822 .26867 .53231 .26492 .52912 Mtetra
.924 .72 .608 r
.26492 .52912 .26867 .53231 .27668 .4992 .27298 .4959 Mtetra
.927 .715 .596 r
.27298 .4959 .27668 .4992 .285 .46055 .28136 .45712 Mtetra
.906 .735 .659 r
.28136 .45712 .285 .46055 .29176 .44221 .28815 .43874 Mtetra
.929 .55 .249 r
.28815 .43874 .29176 .44221 .29612 .45764 .29249 .45423 Mtetra
.948 .646 .433 r
.29249 .45423 .29612 .45764 .29877 .49919 .29509 .49593 Mtetra
.947 .644 .43 r
.29509 .49593 .29877 .49919 .30158 .54061 .29785 .53747 Mtetra
.891 .466 .129 r
.29785 .53747 .30158 .54061 .30649 .55217 .30275 .54905 Mtetra
.927 .729 .615 r
.30275 .54905 .30649 .55217 .314 .5233 .31031 .52006 Mtetra
.936 .712 .575 r
.31031 .52006 .314 .5233 .32278 .47257 .31916 .46915 Mtetra
.932 .717 .59 r
.31916 .46915 .32278 .47257 .33068 .43392 .32712 .4304 Mtetra
.553 .705 .941 r
.32712 .4304 .33068 .43392 .33626 .4333 .3327 .42981 Mtetra
.951 .643 .414 r
.3327 .42981 .33626 .4333 .33957 .47337 .33597 .47003 Mtetra
.951 .656 .443 r
.33597 .47003 .33957 .47337 .34211 .53051 .33843 .52736 Mtetra
.949 .631 .396 r
.33843 .52736 .34211 .53051 .34601 .56603 .34229 .56297 Mtetra
.904 .766 .699 r
.34229 .56297 .34601 .56603 .35255 .55243 .34886 .54927 Mtetra
.942 .714 .564 r
.34886 .54927 .35255 .55243 .36111 .49735 .3575 .49398 Mtetra
.942 .711 .558 r
.3575 .49398 .36111 .49735 .3697 .43814 .36617 .43459 Mtetra
.925 .733 .624 r
.36617 .43459 .3697 .43814 .37651 .41372 .37301 .41014 Mtetra
.95 .612 .34 r
.37301 .41014 .37651 .41372 .38098 .4408 .37745 .43736 Mtetra
.954 .659 .436 r
.37745 .43736 .38098 .4408 .38399 .50489 .38039 .50168 Mtetra
.954 .654 .43 r
.38039 .50168 .38399 .50489 .38741 .5651 .38373 .56206 Mtetra
.886 .456 .106 r
.38373 .56206 .38741 .5651 .3929 .57776 .38922 .57469 Mtetra
.946 .722 .568 r
.38922 .57469 .3929 .57776 .40065 .53131 .39704 .52802 Mtetra
.949 .709 .54 r
.39704 .52802 .40065 .53131 .40922 .45753 .40571 .45399 Mtetra
.946 .715 .557 r
.40571 .45399 .40922 .45753 .41682 .40554 .41337 .40189 Mtetra
.064 .436 .874 r
.41337 .40189 .41682 .40554 .42252 .40812 .41907 .40455 Mtetra
.958 .653 .412 r
.41907 .40455 .42252 .40812 .42662 .46528 .42311 .46195 Mtetra
.958 .661 .43 r
.42311 .46195 .42662 .46528 .43037 .54275 .42677 .53967 Mtetra
.954 .636 .386 r
.42677 .53967 .43037 .54275 .43528 .58781 .43164 .58481 Mtetra
.937 .757 .633 r
.43164 .58481 .43528 .58781 .44201 .56574 .43841 .56256 Mtetra
.955 .712 .531 r
.43841 .56256 .44201 .56574 .44988 .49065 .44637 .48718 Mtetra
.955 .71 .528 r
.44637 .48718 .44988 .49065 .45753 .41418 .45412 .41049 Mtetra
.941 .733 .594 r
.45412 .41049 .45753 .41418 .46404 .38427 .46066 .38058 Mtetra
.956 .622 .335 r
.46066 .38058 .46404 .38427 .46935 .41881 .46594 .41531 Mtetra
.961 .661 .415 r
.46594 .41531 .46935 .41881 .47412 .49815 .47063 .49494 Mtetra
.96 .656 .409 r
.47063 .49494 .47412 .49815 .47929 .57184 .47572 .56884 Mtetra
.89 .465 .104 r
.47572 .56884 .47929 .57184 .48543 .58663 .48186 .58357 Mtetra
.959 .722 .537 r
.48186 .58357 .48543 .58663 .49235 .52962 .48884 .52626 Mtetra
.961 .709 .511 r
.48884 .52626 .49235 .52962 .49932 .44091 .49592 .43726 Mtetra
.958 .715 .528 r
.49592 .43726 .49932 .44091 .50583 .37799 .5025 .37421 Mtetra
.535 .691 .94 r
.5025 .37421 .50583 .37799 .51187 .37747 .50855 .37379 Mtetra
.963 .65 .379 r
.50855 .37379 .51187 .37747 .51779 .43914 .51441 .43573 Mtetra
.964 .66 .401 r
.51441 .43573 .51779 .43914 .52396 .52596 .5205 .52283 Mtetra
.96 .637 .361 r
.5205 .52283 .52396 .52596 .53043 .57918 .52692 .57615 Mtetra
.945 .773 .637 r
.52692 .57615 .53043 .57918 .53686 .55904 .53338 .55583 Mtetra
.965 .714 .505 r
.53338 .55583 .53686 .55904 .54291 .47904 .53952 .47549 Mtetra
.965 .71 .5 r
.53952 .47549 .54291 .47904 .54864 .39328 .54534 .38949 Mtetra
.957 .73 .552 r
.54534 .38949 .54864 .39328 .55448 .35377 .55123 .34994 Mtetra
.944 .58 .233 r
.55123 .34994 .55448 .35377 .56095 .38115 .55768 .3775 Mtetra
.966 .654 .373 r
.55768 .3775 .56095 .38115 .56821 .45838 .56487 .45501 Mtetra
.965 .652 .372 r
.56487 .45501 .56821 .45838 .5758 .53649 .5724 .53335 Mtetra
.93 .547 .199 r
.5724 .53335 .5758 .53649 .5828 .56076 .57938 .55761 Mtetra
.968 .732 .528 r
.57938 .55761 .5828 .56076 .58852 .51214 .58516 .50873 Mtetra
.97 .712 .486 r
.58516 .50873 .58852 .51214 .59326 .4244 .58999 .42069 Mtetra
.969 .715 .497 r
.58999 .42069 .59326 .4244 .59807 .35415 .59487 .35026 Mtetra
.917 .773 .686 r
.59487 .35026 .59807 .35415 .60404 .34044 .60087 .33658 Mtetra
.96 .624 .302 r
.60087 .33658 .60404 .34044 .61164 .38816 .60843 .38451 Mtetra
.967 .649 .35 r
.60843 .38451 .61164 .38816 .62037 .46724 .6171 .46386 Mtetra
.962 .631 .32 r
.6171 .46386 .62037 .46724 .62878 .52541 .62547 .52217 Mtetra
.808 .826 .865 r
.62547 .52217 .62878 .52541 .63537 .52023 .63206 .5169 Mtetra
.974 .722 .491 r
.63206 .5169 .63537 .52023 .63983 .45476 .6366 .45116 Mtetra
.974 .713 .475 r
.6366 .45116 .63983 .45476 .64347 .37333 .64031 .36947 Mtetra
.971 .728 .512 r
.64031 .36947 .64347 .37333 .64809 .32498 .64498 .32102 Mtetra
.609 .15 0 r
.64498 .32102 .64809 .32498 .65492 .3343 .65181 .33042 Mtetra
.962 .628 .295 r
.65181 .33042 .65492 .3343 .66391 .39243 .66077 .38875 Mtetra
.964 .635 .31 r
.66077 .38875 .66391 .39243 .67366 .46143 .67047 .45796 Mtetra
.936 .564 .192 r
.67047 .45796 .67366 .46143 .68197 .49345 .67877 .49005 Mtetra
.97 .762 .566 r
.67877 .49005 .68197 .49345 .68744 .46479 .68426 .46126 Mtetra
.978 .719 .47 r
.68426 .46126 .68744 .46479 .6907 .39508 .68758 .39131 Mtetra
.977 .719 .473 r
.68758 .39131 .6907 .39508 .6939 .32943 .69085 .32546 Mtetra
.961 .759 .585 r
.69085 .32546 .6939 .32943 .69916 .30504 .69613 .30102 Mtetra
.913 .529 .111 r
.69613 .30102 .69916 .30504 .7073 .33187 .70426 .32794 Mtetra
.958 .618 .263 r
.70426 .32794 .7073 .33187 .71746 .39013 .71439 .38639 Mtetra
.952 .603 .238 r
.71439 .38639 .71746 .39013 .72737 .43997 .72428 .43638 Mtetra
0 .211 .713 r
.72428 .43638 .72737 .43997 .73468 .44551 .73159 .44193 Mtetra
.98 .74 .5 r
.73159 .44193 .73468 .44551 .73878 .40197 .73573 .39824 Mtetra
.981 .721 .46 r
.73573 .39824 .73878 .40197 .74137 .33884 .73837 .3349 Mtetra
.979 .735 .495 r
.73837 .3349 .74137 .33884 .74508 .29498 .74212 .29091 Mtetra
.636 .732 .917 r
.74212 .29091 .74508 .29498 .75169 .2932 .74874 .28911 Mtetra
.928 .56 .149 r
.74874 .28911 .75169 .2932 .76121 .33001 .75825 .32602 Mtetra
.944 .589 .199 r
.75825 .32602 .76121 .33001 .77183 .3786 .76884 .37477 Mtetra
.884 .485 .039 r
.76884 .37477 .77183 .3786 .78084 .40401 .77785 .40027 Mtetra
.956 .797 .643 r
.77785 .40027 .78084 .40401 .78654 .38708 .78357 .3833 Mtetra
.984 .734 .472 r
.78357 .3833 .78654 .38708 .7896 .33916 .78667 .33523 Mtetra
.984 .732 .47 r
.78667 .33523 .7896 .33916 .79249 .29152 .7896 .28743 Mtetra
.963 .778 .605 r
.7896 .28743 .79249 .29152 .79765 .27167 .79478 .2675 Mtetra
.735 .309 0 r
.79478 .2675 .79765 .27167 .80597 .28748 .8031 .28334 Mtetra
.913 .54 .104 r
.8031 .28334 .80597 .28748 .81636 .32454 .81348 .3205 Mtetra
.889 .502 .048 r
.81348 .3205 .81636 .32454 .82632 .35505 .82343 .35112 Mtetra
.411 .638 .949 r
.82343 .35112 .82632 .35505 .83355 .35581 .83068 .3519 Mtetra
.984 .761 .523 r
.83068 .3519 .83355 .35581 .83772 .32541 .83487 .32143 Mtetra
.987 .741 .473 r
.83487 .32143 .83772 .32541 .84068 .28432 .83787 .28021 Mtetra
.98 .766 .542 r
.83787 .28021 .84068 .28432 .84501 .25779 .84221 .25357 Mtetra
.379 .595 .93 r
.84221 .25357 .84501 .25779 .8522 .25914 .84941 .25489 Mtetra
.712 .752 .883 r
.23997 .45401 .24366 .45743 .24921 .45475 .24554 .45132 Mtetra
.942 .608 .367 r
.24554 .45132 .24921 .45475 .2527 .47726 .249 .47386 Mtetra
.945 .639 .427 r
.249 .47386 .2527 .47726 .25531 .51176 .25157 .50838 Mtetra
.942 .608 .367 r
.25157 .50838 .25531 .51176 .25893 .53507 .25517 .5317 Mtetra
.817 .768 .806 r
.25517 .5317 .25893 .53507 .26492 .52912 .26117 .52574 Mtetra
.923 .719 .608 r
.26117 .52574 .26492 .52912 .27298 .4959 .26928 .49247 Mtetra
.926 .714 .596 r
.26928 .49247 .27298 .4959 .28136 .45712 .27771 .45366 Mtetra
.906 .735 .659 r
.27771 .45366 .28136 .45712 .28815 .43874 .28453 .43526 Mtetra
.929 .55 .25 r
.28453 .43526 .28815 .43874 .29249 .45423 .28885 .45077 Mtetra
.948 .646 .432 r
.28885 .45077 .29249 .45423 .29509 .49593 .2914 .4925 Mtetra
.948 .645 .429 r
.2914 .4925 .29509 .49593 .29785 .53747 .29412 .53407 Mtetra
.89 .463 .113 r
.29412 .53407 .29785 .53747 .30275 .54905 .29901 .54565 Mtetra
.925 .726 .616 r
.29901 .54565 .30275 .54905 .31031 .52006 .30661 .51661 Mtetra
.935 .711 .575 r
.30661 .51661 .31031 .52006 .31916 .46915 .31553 .46564 Mtetra
.931 .717 .59 r
.31553 .46564 .31916 .46915 .32712 .4304 .32354 .42686 Mtetra
.551 .704 .942 r
.32354 .42686 .32712 .4304 .3327 .42981 .32913 .42629 Mtetra
.951 .643 .414 r
.32913 .42629 .3327 .42981 .33597 .47003 .33235 .46655 Mtetra
.951 .656 .442 r
.33235 .46655 .33597 .47003 .33843 .52736 .33475 .52392 Mtetra
.95 .632 .393 r
.33475 .52392 .33843 .52736 .34229 .56297 .33857 .55955 Mtetra
.898 .758 .698 r
.33857 .55955 .34229 .56297 .34886 .54927 .34517 .54581 Mtetra
.941 .712 .564 r
.34517 .54581 .34886 .54927 .3575 .49398 .35388 .49045 Mtetra
.942 .71 .559 r
.35388 .49045 .3575 .49398 .36617 .43459 .36263 .43101 Mtetra
.925 .733 .624 r
.36263 .43101 .36617 .43459 .37301 .41014 .3695 .40655 Mtetra
.95 .612 .341 r
.3695 .40655 .37301 .41014 .37745 .43736 .37391 .43381 Mtetra
.955 .659 .435 r
.37391 .43381 .37745 .43736 .38039 .50168 .37678 .49819 Mtetra
.955 .655 .428 r
.37678 .49819 .38039 .50168 .38373 .56206 .38006 .55861 Mtetra
.883 .452 .08 r
.38006 .55861 .38373 .56206 .38922 .57469 .38554 .57122 Mtetra
.944 .719 .568 r
.38554 .57122 .38922 .57469 .39704 .52802 .39342 .52447 Mtetra
.949 .708 .541 r
.39342 .52447 .39704 .52802 .40571 .45399 .40218 .45036 Mtetra
.946 .715 .558 r
.40218 .45036 .40571 .45399 .41337 .40189 .40991 .39823 Mtetra
.056 .431 .871 r
.40991 .39823 .41337 .40189 .41907 .40455 .41561 .40093 Mtetra
.958 .653 .411 r
.41561 .40093 .41907 .40455 .42311 .46195 .41959 .45839 Mtetra
.958 .662 .429 r
.41959 .45839 .42311 .46195 .42677 .53967 .42317 .53618 Mtetra
.956 .638 .382 r
.42317 .53618 .42677 .53967 .43164 .58481 .42799 .58133 Mtetra
.932 .749 .633 r
.42799 .58133 .43164 .58481 .43841 .56256 .43479 .55901 Mtetra
.954 .71 .531 r
.43479 .55901 .43841 .56256 .44637 .48718 .44285 .48352 Mtetra
.954 .709 .529 r
.44285 .48352 .44637 .48718 .45412 .41049 .45069 .40677 Mtetra
.941 .733 .594 r
.45069 .40677 .45412 .41049 .46066 .38058 .45727 .37687 Mtetra
.956 .622 .335 r
.45727 .37687 .46066 .38058 .46594 .41531 .46251 .41167 Mtetra
.962 .661 .415 r
.46251 .41167 .46594 .41531 .47063 .49494 .46712 .49139 Mtetra
.961 .657 .407 r
.46712 .49139 .47063 .49494 .47572 .56884 .47214 .56533 Mtetra
.885 .459 .074 r
.47214 .56533 .47572 .56884 .48186 .58357 .47827 .58001 Mtetra
.957 .719 .538 r
.47827 .58001 .48186 .58357 .48884 .52626 .48533 .5226 Mtetra
.96 .708 .512 r
.48533 .5226 .48884 .52626 .49592 .43726 .49251 .43349 Mtetra
.958 .715 .528 r
.49251 .43349 .49592 .43726 .5025 .37421 .49916 .37042 Mtetra
.53 .689 .941 r
.49916 .37042 .5025 .37421 .50855 .37379 .50521 .37005 Mtetra
.963 .65 .378 r
.50521 .37005 .50855 .37379 .51441 .43573 .51102 .43207 Mtetra
.964 .66 .4 r
.51102 .43207 .51441 .43573 .5205 .52283 .51702 .51925 Mtetra
.961 .638 .357 r
.51702 .51925 .5205 .52283 .52692 .57615 .52339 .57257 Mtetra
.938 .763 .638 r
.52339 .57257 .52692 .57615 .53338 .55583 .52989 .55217 Mtetra
.964 .712 .506 r
.52989 .55217 .53338 .55583 .53952 .47549 .53612 .47172 Mtetra
.964 .71 .5 r
.53612 .47172 .53952 .47549 .54534 .38949 .54203 .38564 Mtetra
.957 .73 .553 r
.54203 .38564 .54534 .38949 .55123 .34994 .54797 .3461 Mtetra
.944 .58 .233 r
.54797 .3461 .55123 .34994 .55768 .3775 .5544 .37372 Mtetra
.966 .654 .373 r
.5544 .37372 .55768 .3775 .56487 .45501 .56152 .45132 Mtetra
.966 .652 .37 r
.56152 .45132 .56487 .45501 .5724 .53335 .56897 .52971 Mtetra
.929 .545 .183 r
.56897 .52971 .5724 .53335 .57938 .55761 .57594 .55394 Mtetra
.965 .729 .53 r
.57594 .55394 .57938 .55761 .58516 .50873 .58178 .50496 Mtetra
.969 .711 .487 r
.58178 .50496 .58516 .50873 .58999 .42069 .5867 .41682 Mtetra
.968 .715 .498 r
.5867 .41682 .58999 .42069 .59487 .35026 .59166 .34634 Mtetra
.916 .772 .687 r
.59166 .34634 .59487 .35026 .60087 .33658 .59768 .33269 Mtetra
.96 .625 .301 r
.59768 .33269 .60087 .33658 .60843 .38451 .6052 .38068 Mtetra
.967 .649 .349 r
.6052 .38068 .60843 .38451 .6171 .46386 .6138 .4601 Mtetra
.963 .632 .316 r
.6138 .4601 .6171 .46386 .62547 .52217 .62213 .51844 Mtetra
.8 .8 .851 r
.62213 .51844 .62547 .52217 .63206 .5169 .62873 .51312 Mtetra
.972 .72 .493 r
.62873 .51312 .63206 .5169 .6366 .45116 .63333 .44728 Mtetra
.973 .712 .476 r
.63333 .44728 .6366 .45116 .64031 .36947 .63713 .36552 Mtetra
.97 .727 .513 r
.63713 .36552 .64031 .36947 .64498 .32102 .64186 .31704 Mtetra
.611 .151 0 r
.64186 .31704 .64498 .32102 .65181 .33042 .64868 .32647 Mtetra
.962 .628 .295 r
.64868 .32647 .65181 .33042 .66077 .38875 .6576 .38485 Mtetra
.964 .636 .309 r
.6576 .38485 .66077 .38875 .67047 .45796 .66725 .45412 Mtetra
.935 .563 .183 r
.66725 .45412 .67047 .45796 .67877 .49005 .67552 .48622 Mtetra
.966 .756 .569 r
.67552 .48622 .67877 .49005 .68426 .46126 .68105 .45737 Mtetra
.977 .718 .472 r
.68105 .45737 .68426 .46126 .68758 .39131 .68444 .38734 Mtetra
.977 .718 .473 r
.68444 .38734 .68758 .39131 .69085 .32546 .68778 .32143 Mtetra
.961 .758 .585 r
.68778 .32143 .69085 .32546 .69613 .30102 .69309 .29697 Mtetra
.913 .529 .111 r
.69309 .29697 .69613 .30102 .70426 .32794 .70121 .32392 Mtetra
.958 .618 .262 r
.70121 .32392 .70426 .32794 .71439 .38639 .71129 .38241 Mtetra
.952 .603 .235 r
.71129 .38241 .71439 .38639 .72428 .43638 .72115 .43244 Mtetra
0 .232 .738 r
.72115 .43244 .72428 .43638 .73159 .44193 .72846 .43798 Mtetra
.978 .737 .502 r
.72846 .43798 .73159 .44193 .73573 .39824 .73265 .39424 Mtetra
.98 .72 .462 r
.73265 .39424 .73573 .39824 .73837 .3349 .73535 .33084 Mtetra
.979 .734 .495 r
.73535 .33084 .73837 .3349 .74212 .29091 .73915 .2868 Mtetra
.637 .731 .916 r
.73915 .2868 .74212 .29091 .74874 .28911 .74578 .285 Mtetra
.928 .56 .149 r
.74578 .285 .74874 .28911 .75825 .32602 .75526 .32193 Mtetra
.944 .589 .197 r
.75526 .32193 .75825 .32602 .76884 .37477 .76583 .37071 Mtetra
.88 .482 .03 r
.76583 .37071 .76884 .37477 .77785 .40027 .77483 .39623 Mtetra
.952 .79 .644 r
.77483 .39623 .77785 .40027 .78357 .3833 .78057 .37925 Mtetra
.983 .732 .474 r
.78057 .37925 .78357 .3833 .78667 .33523 .78372 .33113 Mtetra
.983 .731 .471 r
.78372 .33113 .78667 .33523 .7896 .28743 .78669 .28328 Mtetra
.963 .777 .605 r
.78669 .28328 .7896 .28743 .79478 .2675 .7919 .26332 Mtetra
.735 .308 0 r
.7919 .26332 .79478 .2675 .8031 .28334 .80021 .27915 Mtetra
.912 .54 .104 r
.80021 .27915 .8031 .28334 .81348 .3205 .81057 .31633 Mtetra
.887 .501 .044 r
.81057 .31633 .81348 .3205 .82343 .35112 .82052 .34697 Mtetra
.42 .631 .942 r
.82052 .34697 .82343 .35112 .83068 .3519 .82777 .34776 Mtetra
.982 .759 .525 r
.82777 .34776 .83068 .3519 .83487 .32143 .832 .31727 Mtetra
.986 .74 .475 r
.832 .31727 .83487 .32143 .83787 .28021 .83504 .276 Mtetra
.979 .764 .543 r
.83504 .276 .83787 .28021 .84221 .25357 .83941 .24933 Mtetra
.381 .595 .93 r
.83941 .24933 .84221 .25357 .84941 .25489 .84661 .25063 Mtetra
.712 .752 .883 r
.23628 .45058 .23997 .45401 .24554 .45132 .24185 .44788 Mtetra
.942 .608 .367 r
.24185 .44788 .24554 .45132 .249 .47386 .24529 .47043 Mtetra
.945 .639 .427 r
.24529 .47043 .249 .47386 .25157 .50838 .24782 .50498 Mtetra
.942 .608 .367 r
.24782 .50498 .25157 .50838 .25517 .5317 .25139 .52832 Mtetra
.817 .767 .806 r
.25139 .52832 .25517 .5317 .26117 .52574 .25741 .52235 Mtetra
.923 .719 .608 r
.25741 .52235 .26117 .52574 .26928 .49247 .26556 .48904 Mtetra
.926 .714 .596 r
.26556 .48904 .26928 .49247 .27771 .45366 .27405 .45018 Mtetra
.906 .735 .659 r
.27405 .45018 .27771 .45366 .28453 .43526 .28089 .43176 Mtetra
.929 .55 .25 r
.28089 .43176 .28453 .43526 .28885 .45077 .2852 .44728 Mtetra
.948 .646 .432 r
.2852 .44728 .28885 .45077 .2914 .4925 .2877 .48905 Mtetra
.948 .645 .429 r
.2877 .48905 .2914 .4925 .29412 .53407 .29038 .53066 Mtetra
.89 .463 .113 r
.29038 .53066 .29412 .53407 .29901 .54565 .29526 .54223 Mtetra
.925 .726 .616 r
.29526 .54223 .29901 .54565 .30661 .51661 .3029 .51316 Mtetra
.935 .711 .575 r
.3029 .51316 .30661 .51661 .31553 .46564 .31189 .46214 Mtetra
.931 .717 .59 r
.31189 .46214 .31553 .46564 .32354 .42686 .31995 .42332 Mtetra
.551 .705 .942 r
.31995 .42332 .32354 .42686 .32913 .42629 .32555 .42274 Mtetra
.951 .643 .414 r
.32555 .42274 .32913 .42629 .33235 .46655 .32872 .46303 Mtetra
.951 .656 .442 r
.32872 .46303 .33235 .46655 .33475 .52392 .33106 .52046 Mtetra
.95 .632 .393 r
.33106 .52046 .33475 .52392 .33857 .55955 .33484 .55611 Mtetra
.898 .758 .698 r
.33484 .55611 .33857 .55955 .34517 .54581 .34146 .54235 Mtetra
.941 .712 .564 r
.34146 .54235 .34517 .54581 .35388 .49045 .35025 .48693 Mtetra
.942 .71 .559 r
.35025 .48693 .35388 .49045 .36263 .43101 .35907 .42742 Mtetra
.925 .733 .624 r
.35907 .42742 .36263 .43101 .3695 .40655 .36597 .40294 Mtetra
.95 .612 .341 r
.36597 .40294 .3695 .40655 .37391 .43381 .37036 .43022 Mtetra
.955 .659 .435 r
.37036 .43022 .37391 .43381 .37678 .49819 .37315 .49466 Mtetra
.955 .656 .428 r
.37315 .49466 .37678 .49819 .38006 .55861 .37637 .55513 Mtetra
.882 .451 .079 r
.37637 .55513 .38006 .55861 .38554 .57122 .38185 .56775 Mtetra
.944 .72 .568 r
.38185 .56775 .38554 .57122 .39342 .52447 .38979 .52094 Mtetra
.949 .708 .541 r
.38979 .52094 .39342 .52447 .40218 .45036 .39864 .44675 Mtetra
.946 .715 .558 r
.39864 .44675 .40218 .45036 .40991 .39823 .40643 .39457 Mtetra
.053 .43 .871 r
.40643 .39457 .40991 .39823 .41561 .40093 .41214 .39727 Mtetra
.958 .654 .411 r
.41214 .39727 .41561 .40093 .41959 .45839 .41605 .45478 Mtetra
.958 .662 .429 r
.41605 .45478 .41959 .45839 .42317 .53618 .41956 .53264 Mtetra
.956 .638 .382 r
.41956 .53264 .42317 .53618 .42799 .58133 .42433 .57783 Mtetra
.932 .749 .633 r
.42433 .57783 .42799 .58133 .43479 .55901 .43116 .55547 Mtetra
.954 .71 .531 r
.43116 .55547 .43479 .55901 .44285 .48352 .43932 .4799 Mtetra
.954 .709 .528 r
.43932 .4799 .44285 .48352 .45069 .40677 .44724 .40307 Mtetra
.941 .733 .594 r
.44724 .40307 .45069 .40677 .45727 .37687 .45386 .37314 Mtetra
.956 .622 .335 r
.45386 .37314 .45727 .37687 .46251 .41167 .45908 .40797 Mtetra
.962 .661 .415 r
.45908 .40797 .46251 .41167 .46712 .49139 .46361 .48775 Mtetra
.961 .657 .407 r
.46361 .48775 .46712 .49139 .47214 .56533 .46855 .56177 Mtetra
.885 .459 .072 r
.46855 .56177 .47214 .56533 .47827 .58001 .47467 .57646 Mtetra
.957 .719 .538 r
.47467 .57646 .47827 .58001 .48533 .5226 .4818 .51898 Mtetra
.96 .708 .512 r
.4818 .51898 .48533 .5226 .49251 .43349 .48908 .42978 Mtetra
.958 .715 .528 r
.48908 .42978 .49251 .43349 .49916 .37042 .49581 .36664 Mtetra
.529 .69 .942 r
.49581 .36664 .49916 .37042 .50521 .37005 .50186 .36626 Mtetra
.963 .65 .378 r
.50186 .36626 .50521 .37005 .51102 .43207 .50761 .42833 Mtetra
.965 .66 .399 r
.50761 .42833 .51102 .43207 .51702 .51925 .51353 .5156 Mtetra
.961 .638 .356 r
.51353 .5156 .51702 .51925 .52339 .57257 .51986 .56897 Mtetra
.938 .763 .638 r
.51986 .56897 .52339 .57257 .52989 .55217 .52638 .54854 Mtetra
.964 .712 .506 r
.52638 .54854 .52989 .55217 .53612 .47172 .5327 .46799 Mtetra
.965 .71 .5 r
.5327 .46799 .53612 .47172 .54203 .38564 .53871 .38183 Mtetra
.957 .73 .552 r
.53871 .38183 .54203 .38564 .54797 .3461 .5447 .34225 Mtetra
.944 .58 .233 r
.5447 .34225 .54797 .3461 .5544 .37372 .5511 .36988 Mtetra
.966 .654 .372 r
.5511 .36988 .5544 .37372 .56152 .45132 .55815 .44754 Mtetra
.966 .652 .369 r
.55815 .44754 .56152 .45132 .56897 .52971 .56554 .52601 Mtetra
.929 .545 .181 r
.56554 .52601 .56897 .52971 .57594 .55394 .57249 .55027 Mtetra
.965 .729 .53 r
.57249 .55027 .57594 .55394 .58178 .50496 .57838 .50122 Mtetra
.969 .711 .487 r
.57838 .50122 .58178 .50496 .5867 .41682 .58339 .41298 Mtetra
.968 .715 .497 r
.58339 .41298 .5867 .41682 .59166 .34634 .58843 .34244 Mtetra
.917 .773 .687 r
.58843 .34244 .59166 .34634 .59768 .33269 .59447 .32877 Mtetra
.96 .625 .301 r
.59447 .32877 .59768 .33269 .6052 .38068 .60196 .3768 Mtetra
.967 .649 .349 r
.60196 .3768 .6052 .38068 .6138 .4601 .61049 .45628 Mtetra
.963 .632 .316 r
.61049 .45628 .6138 .4601 .62213 .51844 .61877 .51468 Mtetra
.8 .799 .851 r
.61877 .51468 .62213 .51844 .62873 .51312 .62539 .50934 Mtetra
.972 .72 .493 r
.62539 .50934 .62873 .51312 .63333 .44728 .63006 .44343 Mtetra
.973 .713 .475 r
.63006 .44343 .63333 .44728 .63713 .36552 .63394 .36159 Mtetra
.97 .727 .512 r
.63394 .36159 .63713 .36552 .64186 .31704 .63872 .31306 Mtetra
.611 .152 0 r
.63872 .31306 .64186 .31704 .64868 .32647 .64555 .32248 Mtetra
.962 .628 .295 r
.64555 .32248 .64868 .32647 .6576 .38485 .65441 .38091 Mtetra
.964 .636 .308 r
.65441 .38091 .6576 .38485 .66725 .45412 .66401 .45024 Mtetra
.935 .563 .182 r
.66401 .45024 .66725 .45412 .67552 .48622 .67227 .48236 Mtetra
.966 .756 .569 r
.67227 .48236 .67552 .48622 .68105 .45737 .67783 .45348 Mtetra
.977 .718 .472 r
.67783 .45348 .68105 .45737 .68444 .38734 .68129 .38338 Mtetra
.977 .718 .473 r
.68129 .38338 .68444 .38734 .68778 .32143 .68469 .3174 Mtetra
.961 .759 .585 r
.68469 .3174 .68778 .32143 .69309 .29697 .69003 .29292 Mtetra
.913 .529 .111 r
.69003 .29292 .69309 .29697 .70121 .32392 .69814 .31988 Mtetra
.958 .618 .262 r
.69814 .31988 .70121 .32392 .71129 .38241 .70818 .37841 Mtetra
.952 .603 .235 r
.70818 .37841 .71129 .38241 .72115 .43244 .718 .42848 Mtetra
0 .232 .739 r
.718 .42848 .72115 .43244 .72846 .43798 .72533 .43402 Mtetra
.978 .737 .502 r
.72533 .43402 .72846 .43798 .73265 .39424 .72955 .39023 Mtetra
.98 .72 .462 r
.72955 .39023 .73265 .39424 .73535 .33084 .73232 .32676 Mtetra
.979 .734 .495 r
.73232 .32676 .73535 .33084 .73915 .2868 .73616 .28268 Mtetra
.637 .731 .916 r
.73616 .28268 .73915 .2868 .74578 .285 .7428 .28087 Mtetra
.928 .56 .149 r
.7428 .28087 .74578 .285 .75526 .32193 .75227 .31782 Mtetra
.944 .589 .197 r
.75227 .31782 .75526 .32193 .76583 .37071 .7628 .36664 Mtetra
.88 .483 .03 r
.7628 .36664 .76583 .37071 .77483 .39623 .77179 .39217 Mtetra
.952 .79 .644 r
.77179 .39217 .77483 .39623 .78057 .37925 .77756 .37517 Mtetra
.983 .732 .474 r
.77756 .37517 .78057 .37925 .78372 .33113 .78075 .327 Mtetra
.983 .731 .471 r
.78075 .327 .78372 .33113 .78669 .28328 .78377 .2791 Mtetra
.963 .777 .605 r
.78377 .2791 .78669 .28328 .7919 .26332 .789 .25912 Mtetra
.735 .308 0 r
.789 .25912 .7919 .26332 .80021 .27915 .79732 .27495 Mtetra
.913 .54 .104 r
.79732 .27495 .80021 .27915 .81057 .31633 .80766 .31216 Mtetra
.887 .501 .045 r
.80766 .31216 .81057 .31633 .82052 .34697 .81759 .34281 Mtetra
.42 .631 .942 r
.81759 .34281 .82052 .34697 .82777 .34776 .82485 .3436 Mtetra
.982 .758 .525 r
.82485 .3436 .82777 .34776 .832 .31727 .82911 .31307 Mtetra
.986 .739 .475 r
.82911 .31307 .832 .31727 .83504 .276 .83219 .27176 Mtetra
.979 .764 .543 r
.83219 .27176 .83504 .276 .83941 .24933 .83659 .24505 Mtetra
.382 .595 .93 r
.83659 .24505 .83941 .24933 .84661 .25063 .8438 .24635 Mtetra
.712 .752 .883 r
.23257 .44713 .23628 .45058 .24185 .44788 .23815 .44443 Mtetra
.942 .608 .367 r
.23815 .44443 .24185 .44788 .24529 .47043 .24156 .46698 Mtetra
.945 .639 .427 r
.24156 .46698 .24529 .47043 .24782 .50498 .24405 .50156 Mtetra
.942 .608 .367 r
.24405 .50156 .24782 .50498 .25139 .52832 .2476 .52492 Mtetra
.817 .767 .807 r
.2476 .52492 .25139 .52832 .25741 .52235 .25363 .51894 Mtetra
.923 .719 .608 r
.25363 .51894 .25741 .52235 .26556 .48904 .26183 .48561 Mtetra
.926 .714 .596 r
.26183 .48561 .26556 .48904 .27405 .45018 .27037 .4467 Mtetra
.906 .735 .659 r
.27037 .4467 .27405 .45018 .28089 .43176 .27724 .42826 Mtetra
.929 .55 .249 r
.27724 .42826 .28089 .43176 .2852 .44728 .28154 .44377 Mtetra
.948 .646 .432 r
.28154 .44377 .2852 .44728 .2877 .48905 .28399 .48557 Mtetra
.948 .645 .429 r
.28399 .48557 .2877 .48905 .29038 .53066 .28662 .52721 Mtetra
.89 .463 .113 r
.28662 .52721 .29038 .53066 .29526 .54223 .29149 .53881 Mtetra
.925 .726 .616 r
.29149 .53881 .29526 .54223 .3029 .51316 .29917 .50971 Mtetra
.935 .711 .575 r
.29917 .50971 .3029 .51316 .31189 .46214 .30823 .45864 Mtetra
.931 .717 .59 r
.30823 .45864 .31189 .46214 .31995 .42332 .31634 .41977 Mtetra
.552 .706 .942 r
.31634 .41977 .31995 .42332 .32555 .42274 .32195 .41917 Mtetra
.951 .643 .414 r
.32195 .41917 .32555 .42274 .32872 .46303 .32508 .45948 Mtetra
.951 .657 .442 r
.32508 .45948 .32872 .46303 .33106 .52046 .32735 .51695 Mtetra
.95 .632 .393 r
.32735 .51695 .33106 .52046 .33484 .55611 .33109 .55265 Mtetra
.898 .757 .698 r
.33109 .55265 .33484 .55611 .34146 .54235 .33773 .53889 Mtetra
.941 .712 .564 r
.33773 .53889 .34146 .54235 .35025 .48693 .34659 .48342 Mtetra
.942 .71 .559 r
.34659 .48342 .35025 .48693 .35907 .42742 .35549 .42385 Mtetra
.925 .733 .624 r
.35549 .42385 .35907 .42742 .36597 .40294 .36244 .39931 Mtetra
.95 .612 .34 r
.36244 .39931 .36597 .40294 .37036 .43022 .36679 .42659 Mtetra
.955 .659 .435 r
.36679 .42659 .37036 .43022 .37315 .49466 .36952 .49107 Mtetra
.955 .656 .428 r
.36952 .49107 .37315 .49466 .37637 .55513 .37267 .55162 Mtetra
.883 .452 .079 r
.37267 .55162 .37637 .55513 .38185 .56775 .37814 .56427 Mtetra
.944 .72 .568 r
.37814 .56427 .38185 .56775 .38979 .52094 .38614 .51744 Mtetra
.949 .709 .54 r
.38614 .51744 .38979 .52094 .39864 .44675 .39508 .44318 Mtetra
.946 .715 .557 r
.39508 .44318 .39864 .44675 .40643 .39457 .40294 .39091 Mtetra
.059 .435 .873 r
.40294 .39091 .40643 .39457 .41214 .39727 .40865 .39356 Mtetra
.958 .654 .411 r
.40865 .39356 .41214 .39727 .41605 .45478 .41251 .4511 Mtetra
.959 .662 .429 r
.41251 .4511 .41605 .45478 .41956 .53264 .41593 .52903 Mtetra
.957 .638 .381 r
.41593 .52903 .41956 .53264 .42433 .57783 .42065 .5743 Mtetra
.932 .749 .633 r
.42065 .5743 .42433 .57783 .43116 .55547 .42752 .55196 Mtetra
.954 .711 .531 r
.42752 .55196 .43116 .55547 .43932 .4799 .43576 .47633 Mtetra
.954 .709 .528 r
.43576 .47633 .43932 .4799 .44724 .40307 .44378 .3994 Mtetra
.941 .734 .594 r
.44378 .3994 .44724 .40307 .45386 .37314 .45044 .36939 Mtetra
.956 .622 .335 r
.45044 .36939 .45386 .37314 .45908 .40797 .45562 .4042 Mtetra
.962 .661 .414 r
.45562 .4042 .45908 .40797 .46361 .48775 .46007 .48404 Mtetra
.962 .658 .406 r
.46007 .48404 .46361 .48775 .46855 .56177 .46494 .55815 Mtetra
.885 .46 .071 r
.46494 .55815 .46855 .56177 .47467 .57646 .47105 .57291 Mtetra
.957 .72 .538 r
.47105 .57291 .47467 .57646 .4818 .51898 .47825 .5154 Mtetra
.96 .709 .512 r
.47825 .5154 .4818 .51898 .48908 .42978 .48563 .42611 Mtetra
.958 .715 .528 r
.48563 .42611 .48908 .42978 .49581 .36664 .49244 .36287 Mtetra
.533 .694 .942 r
.49244 .36287 .49581 .36664 .50186 .36626 .4985 .36243 Mtetra
.963 .65 .378 r
.4985 .36243 .50186 .36626 .50761 .42833 .50419 .42452 Mtetra
.965 .661 .399 r
.50419 .42452 .50761 .42833 .51353 .5156 .51002 .51186 Mtetra
.961 .639 .356 r
.51002 .51186 .51353 .5156 .51986 .56897 .5163 .56533 Mtetra
.938 .762 .638 r
.5163 .56533 .51986 .56897 .52638 .54854 .52285 .54493 Mtetra
.964 .713 .506 r
.52285 .54493 .52638 .54854 .5327 .46799 .52927 .46432 Mtetra
.965 .71 .5 r
.52927 .46432 .5327 .46799 .53871 .38183 .53537 .37805 Mtetra
.958 .73 .552 r
.53537 .37805 .53871 .38183 .5447 .34225 .54141 .33838 Mtetra
.944 .58 .233 r
.54141 .33838 .5447 .34225 .5511 .36988 .54779 .36599 Mtetra
.966 .654 .372 r
.54779 .36599 .5511 .36988 .55815 .44754 .55477 .44369 Mtetra
.966 .653 .369 r
.55477 .44369 .55815 .44754 .56554 .52601 .56208 .52226 Mtetra
.929 .546 .181 r
.56208 .52226 .56554 .52601 .57249 .55027 .56902 .54658 Mtetra
.965 .729 .53 r
.56902 .54658 .57249 .55027 .57838 .50122 .57497 .49751 Mtetra
.969 .711 .487 r
.57497 .49751 .57838 .50122 .58339 .41298 .58008 .40919 Mtetra
.969 .715 .497 r
.58008 .40919 .58339 .41298 .58843 .34244 .5852 .33855 Mtetra
.918 .774 .686 r
.5852 .33855 .58843 .34244 .59447 .32877 .59125 .32482 Mtetra
.96 .625 .301 r
.59125 .32482 .59447 .32877 .60196 .3768 .5987 .37285 Mtetra
.967 .649 .348 r
.5987 .37285 .60196 .3768 .61049 .45628 .60716 .4524 Mtetra
.963 .632 .315 r
.60716 .4524 .61049 .45628 .61877 .51468 .6154 .51088 Mtetra
.799 .798 .851 r
.6154 .51088 .61877 .51468 .62539 .50934 .62203 .50557 Mtetra
.973 .72 .493 r
.62203 .50557 .62539 .50934 .63006 .44343 .62677 .4396 Mtetra
.974 .713 .475 r
.62677 .4396 .63006 .44343 .63394 .36159 .63074 .35767 Mtetra
.971 .728 .512 r
.63074 .35767 .63394 .36159 .63872 .31306 .63557 .30907 Mtetra
.611 .151 0 r
.63557 .30907 .63872 .31306 .64555 .32248 .64239 .31847 Mtetra
.962 .628 .294 r
.64239 .31847 .64555 .32248 .65441 .38091 .65122 .37693 Mtetra
.965 .636 .308 r
.65122 .37693 .65441 .38091 .66401 .45024 .66076 .44632 Mtetra
.935 .563 .182 r
.66076 .44632 .66401 .45024 .67227 .48236 .669 .47849 Mtetra
.966 .756 .569 r
.669 .47849 .67227 .48236 .67783 .45348 .6746 .44959 Mtetra
.977 .718 .472 r
.6746 .44959 .67783 .45348 .68129 .38338 .67813 .37941 Mtetra
.977 .719 .473 r
.67813 .37941 .68129 .38338 .68469 .3174 .68159 .31336 Mtetra
.961 .759 .585 r
.68159 .31336 .68469 .3174 .69003 .29292 .68697 .28884 Mtetra
.913 .529 .111 r
.68697 .28884 .69003 .29292 .69814 .31988 .69505 .31581 Mtetra
.958 .618 .261 r
.69505 .31581 .69814 .31988 .70818 .37841 .70506 .37439 Mtetra
.952 .603 .235 r
.70506 .37439 .70818 .37841 .718 .42848 .71485 .4245 Mtetra
0 .232 .739 r
.71485 .4245 .718 .42848 .72533 .43402 .72217 .43004 Mtetra
.978 .737 .502 r
.72217 .43004 .72533 .43402 .72955 .39023 .72645 .3862 Mtetra
.98 .72 .462 r
.72645 .3862 .72955 .39023 .73232 .32676 .72928 .32267 Mtetra
.979 .734 .495 r
.72928 .32267 .73232 .32676 .73616 .28268 .73316 .27854 Mtetra
.637 .731 .916 r
.73316 .27854 .73616 .28268 .7428 .28087 .73981 .27672 Mtetra
.928 .56 .149 r
.73981 .27672 .7428 .28087 .75227 .31782 .74926 .3137 Mtetra
.944 .589 .197 r
.74926 .3137 .75227 .31782 .7628 .36664 .75976 .36256 Mtetra
.88 .483 .031 r
.75976 .36256 .7628 .36664 .77179 .39217 .76874 .3881 Mtetra
.952 .79 .644 r
.76874 .3881 .77179 .39217 .77756 .37517 .77453 .37106 Mtetra
.983 .732 .474 r
.77453 .37106 .77756 .37517 .78075 .327 .77777 .32284 Mtetra
.983 .731 .472 r
.77777 .32284 .78075 .327 .78377 .2791 .78084 .2749 Mtetra
.962 .777 .606 r
.78084 .2749 .78377 .2791 .789 .25912 .78609 .2549 Mtetra
.735 .309 0 r
.78609 .2549 .789 .25912 .79732 .27495 .79441 .27074 Mtetra
.913 .54 .104 r
.79441 .27074 .79732 .27495 .80766 .31216 .80473 .30798 Mtetra
.888 .501 .045 r
.80473 .30798 .80766 .31216 .81759 .34281 .81465 .33865 Mtetra
.421 .632 .942 r
.81465 .33865 .81759 .34281 .82485 .3436 .82192 .33941 Mtetra
.982 .758 .525 r
.82192 .33941 .82485 .3436 .82911 .31307 .82621 .30884 Mtetra
.986 .739 .475 r
.82621 .30884 .82911 .31307 .83219 .27176 .82933 .26748 Mtetra
.979 .764 .543 r
.82933 .26748 .83219 .27176 .83659 .24505 .83376 .24076 Mtetra
.381 .594 .929 r
.83376 .24076 .83659 .24505 .8438 .24635 .84098 .24206 Mtetra
.713 .752 .883 r
.22884 .44367 .23257 .44713 .23815 .44443 .23443 .44095 Mtetra
.942 .608 .366 r
.23443 .44095 .23815 .44443 .24156 .46698 .23783 .46346 Mtetra
.945 .639 .426 r
.23783 .46346 .24156 .46698 .24405 .50156 .24028 .49798 Mtetra
.943 .609 .364 r
.24028 .49798 .24405 .50156 .2476 .52492 .24381 .52131 Mtetra
.812 .759 .803 r
.24381 .52131 .2476 .52492 .25363 .51894 .24985 .51534 Mtetra
.922 .717 .609 r
.24985 .51534 .25363 .51894 .26183 .48561 .25809 .48205 Mtetra
.926 .713 .597 r
.25809 .48205 .26183 .48561 .27037 .4467 .26668 .44318 Mtetra
.905 .734 .659 r
.26668 .44318 .27037 .4467 .27724 .42826 .27358 .42473 Mtetra
.929 .549 .248 r
.27358 .42473 .27724 .42826 .28154 .44377 .27786 .4402 Mtetra
.948 .647 .432 r
.27786 .4402 .28154 .44377 .28399 .48557 .28028 .48192 Mtetra
.949 .646 .428 r
.28028 .48192 .28399 .48557 .28662 .52721 .28286 .52351 Mtetra
.888 .461 .096 r
.28286 .52351 .28662 .52721 .29149 .53881 .28772 .53511 Mtetra
.922 .724 .616 r
.28772 .53511 .29149 .53881 .29917 .50971 .29544 .50606 Mtetra
.934 .71 .575 r
.29544 .50606 .29917 .50971 .30823 .45864 .30456 .45506 Mtetra
.931 .716 .591 r
.30456 .45506 .30823 .45864 .31634 .41977 .31272 .4162 Mtetra
.556 .707 .941 r
.31272 .4162 .31634 .41977 .32195 .41917 .31834 .41556 Mtetra
.951 .643 .413 r
.31834 .41556 .32195 .41917 .32508 .45948 .32143 .45578 Mtetra
.952 .657 .441 r
.32143 .45578 .32508 .45948 .32735 .51695 .32364 .51316 Mtetra
.952 .634 .39 r
.32364 .51316 .32735 .51695 .33109 .55265 .32735 .54884 Mtetra
.892 .75 .697 r
.32735 .54884 .33109 .55265 .33773 .53889 .33401 .53514 Mtetra
.94 .711 .565 r
.33401 .53514 .33773 .53889 .34659 .48342 .34293 .47976 Mtetra
.941 .71 .559 r
.34293 .47976 .34659 .48342 .35549 .42385 .3519 .42024 Mtetra
.925 .733 .624 r
.3519 .42024 .35549 .42385 .36244 .39931 .35888 .39567 Mtetra
.95 .612 .339 r
.35888 .39567 .36244 .39931 .36679 .42659 .36322 .42285 Mtetra
.955 .659 .435 r
.36322 .42285 .36679 .42659 .36952 .49107 .36588 .48721 Mtetra
.956 .657 .426 r
.36588 .48721 .36952 .49107 .37267 .55162 .36897 .5477 Mtetra
.878 .448 .055 r
.36897 .5477 .37267 .55162 .37814 .56427 .37442 .56039 Mtetra
.942 .717 .57 r
.37442 .56039 .37814 .56427 .38614 .51744 .38248 .51367 Mtetra
.948 .708 .541 r
.38248 .51367 .38614 .51744 .39508 .44318 .39151 .4395 Mtetra
.946 .715 .558 r
.39151 .4395 .39508 .44318 .40294 .39091 .39944 .38724 Mtetra
.075 .446 .88 r
.39944 .38724 .40294 .39091 .40865 .39356 .40515 .3898 Mtetra
.958 .654 .411 r
.40515 .3898 .40865 .39356 .41251 .4511 .40895 .44719 Mtetra
.959 .663 .428 r
.40895 .44719 .41251 .4511 .41593 .52903 .41229 .52502 Mtetra
.958 .64 .378 r
.41229 .52502 .41593 .52903 .42065 .5743 .41698 .57029 Mtetra
.926 .742 .635 r
.41698 .57029 .42065 .5743 .42752 .55196 .42387 .54807 Mtetra
.953 .709 .532 r
.42387 .54807 .42752 .55196 .43576 .47633 .4322 .47256 Mtetra
.954 .709 .529 r
.4322 .47256 .43576 .47633 .44378 .3994 .44031 .3957 Mtetra
.941 .733 .594 r
.44031 .3957 .44378 .3994 .45044 .36939 .44701 .36563 Mtetra
.956 .621 .334 r
.44701 .36563 .45044 .36939 .45562 .4042 .45216 .40029 Mtetra
.962 .662 .414 r
.45216 .40029 .45562 .4042 .46007 .48404 .45653 .47997 Mtetra
.962 .659 .404 r
.45653 .47997 .46007 .48404 .46494 .55815 .46133 .55403 Mtetra
.879 .455 .044 r
.46133 .55403 .46494 .55815 .47105 .57291 .46743 .56886 Mtetra
.955 .717 .54 r
.46743 .56886 .47105 .57291 .47825 .5154 .47469 .51151 Mtetra
.959 .708 .512 r
.47469 .51151 .47825 .5154 .48563 .42611 .48218 .42233 Mtetra
.958 .715 .528 r
.48218 .42233 .48563 .42611 .49244 .36287 .48906 .35909 Mtetra
.543 .699 .941 r
.48906 .35909 .49244 .36287 .4985 .36243 .49513 .35854 Mtetra
.964 .65 .377 r
.49513 .35854 .4985 .36243 .50419 .42452 .50076 .42046 Mtetra
.965 .661 .398 r
.50076 .42046 .50419 .42452 .51002 .51186 .5065 .50768 Mtetra
.963 .64 .352 r
.5065 .50768 .51002 .51186 .5163 .56533 .51273 .56115 Mtetra
.931 .753 .64 r
.51273 .56115 .5163 .56533 .52285 .54493 .51931 .54087 Mtetra
.963 .711 .507 r
.51931 .54087 .52285 .54493 .52927 .46432 .52582 .46041 Mtetra
.964 .709 .501 r
.52582 .46041 .52927 .46432 .53537 .37805 .53202 .37422 Mtetra
.958 .73 .552 r
.53202 .37422 .53537 .37805 .54141 .33838 .53811 .3345 Mtetra
.943 .579 .232 r
.53811 .3345 .54141 .33838 .54779 .36599 .54447 .36197 Mtetra
.967 .654 .371 r
.54447 .36197 .54779 .36599 .55477 .44369 .55137 .43952 Mtetra
.967 .653 .367 r
.55137 .43952 .55477 .44369 .56208 .52226 .55861 .518 Mtetra
.927 .545 .165 r
.55861 .518 .56208 .52226 .56902 .54658 .56553 .54237 Mtetra
.963 .726 .532 r
.56553 .54237 .56902 .54658 .57497 .49751 .57154 .49345 Mtetra
.968 .71 .488 r
.57154 .49345 .57497 .49751 .58008 .40919 .57675 .40524 Mtetra
.968 .715 .498 r
.57675 .40524 .58008 .40919 .5852 .33855 .58194 .33463 Mtetra
.918 .773 .686 r
.58194 .33463 .5852 .33855 .59125 .32482 .58802 .32083 Mtetra
.96 .624 .3 r
.58802 .32083 .59125 .32482 .5987 .37285 .59543 .36873 Mtetra
.967 .65 .347 r
.59543 .36873 .5987 .37285 .60716 .4524 .60381 .44815 Mtetra
.963 .633 .312 r
.60381 .44815 .60716 .4524 .6154 .51088 .61199 .50659 Mtetra
.787 .774 .84 r
.61199 .50659 .6154 .51088 .62203 .50557 .61864 .50134 Mtetra
.971 .718 .495 r
.61864 .50134 .62203 .50557 .62677 .4396 .62346 .4355 Mtetra
.973 .712 .476 r
.62346 .4355 .62677 .4396 .63074 .35767 .62752 .35365 Mtetra
.97 .727 .513 r
.62752 .35365 .63074 .35767 .63557 .30907 .63241 .30506 Mtetra
.606 .146 0 r
.63241 .30506 .63557 .30907 .64239 .31847 .63923 .31438 Mtetra
.962 .628 .294 r
.63923 .31438 .64239 .31847 .65122 .37693 .648 .37273 Mtetra
.965 .636 .306 r
.648 .37273 .65122 .37693 .66076 .44632 .65748 .44203 Mtetra
.933 .562 .172 r
.65748 .44203 .66076 .44632 .669 .47849 .66569 .47417 Mtetra
.962 .751 .572 r
.66569 .47417 .669 .47849 .6746 .44959 .67133 .44533 Mtetra
.976 .716 .473 r
.67133 .44533 .6746 .44959 .67813 .37941 .67494 .37525 Mtetra
.976 .718 .474 r
.67494 .37525 .67813 .37941 .68159 .31336 .67848 .30927 Mtetra
.961 .758 .585 r
.67848 .30927 .68159 .31336 .68697 .28884 .68389 .28474 Mtetra
.913 .528 .11 r
.68389 .28474 .68697 .28884 .69505 .31581 .69195 .31165 Mtetra
.958 .618 .26 r
.69195 .31165 .69505 .31581 .70506 .37439 .70191 .37013 Mtetra
.951 .603 .231 r
.70191 .37013 .70506 .37439 .71485 .4245 .71166 .42017 Mtetra
0 .251 .758 r
.71166 .42017 .71485 .4245 .72217 .43004 .71899 .4257 Mtetra
.976 .735 .505 r
.71899 .4257 .72217 .43004 .72645 .3862 .72331 .38191 Mtetra
.98 .719 .463 r
.72331 .38191 .72645 .3862 .72928 .32267 .72621 .31845 Mtetra
.978 .733 .496 r
.72621 .31845 .72928 .32267 .73316 .27854 .73015 .27437 Mtetra
.636 .73 .916 r
.73015 .27437 .73316 .27854 .73981 .27672 .73681 .27255 Mtetra
.928 .56 .148 r
.73681 .27255 .73981 .27672 .74926 .3137 .74623 .30947 Mtetra
.943 .589 .195 r
.74623 .30947 .74926 .3137 .75976 .36256 .7567 .35825 Mtetra
.876 .479 .021 r
.7567 .35825 .75976 .36256 .76874 .3881 .76566 .38373 Mtetra
.947 .783 .645 r
.76566 .38373 .76874 .3881 .77453 .37106 .77147 .36669 Mtetra
.982 .731 .476 r
.77147 .36669 .77453 .37106 .77777 .32284 .77476 .31851 Mtetra
.982 .73 .473 r
.77476 .31851 .77777 .32284 .78084 .2749 .77789 .27062 Mtetra
.962 .776 .606 r
.77789 .27062 .78084 .2749 .78609 .2549 .78317 .25066 Mtetra
.735 .308 0 r
.78317 .25066 .78609 .2549 .79441 .27074 .79148 .26649 Mtetra
.912 .539 .103 r
.79148 .26649 .79441 .27074 .80473 .30798 .80178 .30367 Mtetra
.885 .499 .04 r
.80178 .30367 .80473 .30798 .81465 .33865 .81168 .33427 Mtetra
.433 .628 .935 r
.81168 .33427 .81465 .33865 .82192 .33941 .81896 .33499 Mtetra
.98 .756 .527 r
.81896 .33499 .82192 .33941 .82621 .30884 .82328 .30442 Mtetra
.985 .738 .477 r
.82328 .30442 .82621 .30884 .82933 .26748 .82645 .26312 Mtetra
.978 .763 .544 r
.82645 .26312 .82933 .26748 .83376 .24076 .83091 .23644 Mtetra
.379 .593 .929 r
.83091 .23644 .83376 .24076 .84098 .24206 .83815 .23775 Mtetra
.713 .752 .883 r
.22511 .44019 .22884 .44367 .23443 .44095 .2307 .43745 Mtetra
.942 .608 .365 r
.2307 .43745 .23443 .44095 .23783 .46346 .23408 .4599 Mtetra
.945 .639 .426 r
.23408 .4599 .23783 .46346 .24028 .49798 .2365 .49436 Mtetra
.943 .609 .363 r
.2365 .49436 .24028 .49798 .24381 .52131 .24001 .51765 Mtetra
.811 .757 .803 r
.24001 .51765 .24381 .52131 .24985 .51534 .24605 .5117 Mtetra
.921 .717 .609 r
.24605 .5117 .24985 .51534 .25809 .48205 .25434 .47846 Mtetra
.926 .713 .597 r
.25434 .47846 .25809 .48205 .26668 .44318 .26297 .43965 Mtetra
.905 .735 .659 r
.26297 .43965 .26668 .44318 .27358 .42473 .2699 .4212 Mtetra
.928 .548 .247 r
.2699 .4212 .27358 .42473 .27786 .4402 .27418 .4366 Mtetra
.948 .647 .431 r
.27418 .4366 .27786 .4402 .28028 .48192 .27655 .47823 Mtetra
.949 .646 .427 r
.27655 .47823 .28028 .48192 .28286 .52351 .27909 .51975 Mtetra
.888 .461 .093 r
.27909 .51975 .28286 .52351 .28772 .53511 .28394 .53135 Mtetra
.922 .723 .617 r
.28394 .53135 .28772 .53511 .29544 .50606 .2917 .50238 Mtetra
.934 .71 .575 r
.2917 .50238 .29544 .50606 .30456 .45506 .30087 .45145 Mtetra
.931 .716 .591 r
.30087 .45145 .30456 .45506 .31272 .4162 .30909 .41263 Mtetra
.561 .709 .94 r
.30909 .41263 .31272 .4162 .31834 .41556 .31471 .41192 Mtetra
.951 .643 .413 r
.31471 .41192 .31834 .41556 .32143 .45578 .31777 .45203 Mtetra
.952 .657 .44 r
.31777 .45203 .32143 .45578 .32364 .51316 .31993 .5093 Mtetra
.952 .634 .389 r
.31993 .5093 .32364 .51316 .32735 .54884 .3236 .54496 Mtetra
.891 .748 .698 r
.3236 .54496 .32735 .54884 .33401 .53514 .33027 .53134 Mtetra
.939 .711 .565 r
.33027 .53134 .33401 .53514 .34293 .47976 .33926 .47607 Mtetra
.941 .71 .559 r
.33926 .47607 .34293 .47976 .3519 .42024 .3483 .41662 Mtetra
.925 .733 .624 r
.3483 .41662 .3519 .42024 .35888 .39567 .35532 .39202 Mtetra
.95 .611 .338 r
.35532 .39202 .35888 .39567 .36322 .42285 .35963 .41905 Mtetra
.955 .659 .434 r
.35963 .41905 .36322 .42285 .36588 .48721 .36223 .48327 Mtetra
.956 .657 .426 r
.36223 .48327 .36588 .48721 .36897 .5477 .36526 .54368 Mtetra
.878 .449 .052 r
.36526 .54368 .36897 .5477 .37442 .56039 .3707 .55645 Mtetra
.941 .717 .57 r
.3707 .55645 .37442 .56039 .38248 .51367 .37881 .50988 Mtetra
.948 .708 .541 r
.37881 .50988 .38248 .51367 .39151 .4395 .38792 .43583 Mtetra
.946 .715 .558 r
.38792 .43583 .39151 .4395 .39944 .38724 .39592 .38357 Mtetra
.098 .462 .888 r
.39592 .38357 .39944 .38724 .40515 .3898 .40164 .386 Mtetra
.958 .654 .41 r
.40164 .386 .40515 .3898 .40895 .44719 .40539 .4432 Mtetra
.959 .663 .427 r
.40539 .4432 .40895 .44719 .41229 .52502 .40865 .52089 Mtetra
.959 .64 .377 r
.40865 .52089 .41229 .52502 .41698 .57029 .41329 .56619 Mtetra
.925 .741 .636 r
.41329 .56619 .41698 .57029 .42387 .54807 .4202 .54413 Mtetra
.953 .709 .532 r
.4202 .54413 .42387 .54807 .4322 .47256 .42862 .46881 Mtetra
.954 .709 .529 r
.42862 .46881 .4322 .47256 .44031 .3957 .43682 .392 Mtetra
.941 .734 .593 r
.43682 .392 .44031 .3957 .44701 .36563 .44357 .36185 Mtetra
.956 .621 .333 r
.44357 .36185 .44701 .36563 .45216 .40029 .44869 .3963 Mtetra
.962 .662 .413 r
.44869 .3963 .45216 .40029 .45653 .47997 .45298 .47579 Mtetra
.963 .659 .404 r
.45298 .47579 .45653 .47997 .46133 .55403 .4577 .54978 Mtetra
.878 .456 .042 r
.4577 .54978 .46133 .55403 .46743 .56886 .46379 .56474 Mtetra
.954 .717 .54 r
.46379 .56474 .46743 .56886 .47469 .51151 .47112 .5076 Mtetra
.959 .708 .513 r
.47112 .5076 .47469 .51151 .48218 .42233 .47871 .41857 Mtetra
.958 .715 .528 r
.47871 .41857 .48218 .42233 .48906 .35909 .48566 .35531 Mtetra
.557 .706 .94 r
.48566 .35531 .48906 .35909 .49513 .35854 .49174 .3546 Mtetra
.964 .65 .377 r
.49174 .3546 .49513 .35854 .50076 .42046 .49731 .41629 Mtetra
.965 .661 .397 r
.49731 .41629 .50076 .42046 .5065 .50768 .50297 .50335 Mtetra
.963 .64 .35 r
.50297 .50335 .5065 .50768 .51273 .56115 .50915 .55686 Mtetra
.929 .752 .642 r
.50915 .55686 .51273 .56115 .51931 .54087 .51576 .53677 Mtetra
.963 .711 .508 r
.51576 .53677 .51931 .54087 .52582 .46041 .52235 .45652 Mtetra
.964 .71 .501 r
.52235 .45652 .52582 .46041 .53202 .37422 .52866 .3704 Mtetra
.958 .73 .552 r
.52866 .3704 .53202 .37422 .53811 .3345 .53479 .3306 Mtetra
.943 .578 .23 r
.53479 .3306 .53811 .3345 .54447 .36197 .54113 .35788 Mtetra
.967 .654 .371 r
.54113 .35788 .54447 .36197 .55137 .43952 .54796 .43522 Mtetra
.967 .653 .366 r
.54796 .43522 .55137 .43952 .55861 .518 .55512 .51362 Mtetra
.927 .545 .162 r
.55512 .51362 .55861 .518 .56553 .54237 .56202 .53808 Mtetra
.962 .725 .533 r
.56202 .53808 .56553 .54237 .57154 .49345 .56809 .48935 Mtetra
.968 .71 .488 r
.56809 .48935 .57154 .49345 .57675 .40524 .5734 .4013 Mtetra
.968 .715 .498 r
.5734 .4013 .57675 .40524 .58194 .33463 .57868 .33072 Mtetra
.919 .774 .685 r
.57868 .33072 .58194 .33463 .58802 .32083 .58477 .31681 Mtetra
.96 .624 .299 r
.58477 .31681 .58802 .32083 .59543 .36873 .59214 .36453 Mtetra
.968 .65 .346 r
.59214 .36453 .59543 .36873 .60381 .44815 .60044 .44379 Mtetra
.963 .633 .31 r
.60044 .44379 .60381 .44815 .61199 .50659 .60858 .50219 Mtetra
.782 .769 .841 r
.60858 .50219 .61199 .50659 .61864 .50134 .61524 .49705 Mtetra
.971 .718 .495 r
.61524 .49705 .61864 .50134 .62346 .4355 .62014 .43137 Mtetra
.973 .712 .477 r
.62014 .43137 .62346 .4355 .62752 .35365 .62429 .34963 Mtetra
.97 .727 .513 r
.62429 .34963 .62752 .35365 .63241 .30506 .62923 .30104 Mtetra
.6 .14 0 r
.62923 .30104 .63241 .30506 .63923 .31438 .63605 .31027 Mtetra
.962 .628 .293 r
.63605 .31027 .63923 .31438 .648 .37273 .64476 .36846 Mtetra
.965 .636 .305 r
.64476 .36846 .648 .37273 .65748 .44203 .65418 .43764 Mtetra
.933 .562 .17 r
.65418 .43764 .65748 .44203 .66569 .47417 .66237 .46977 Mtetra
.961 .75 .573 r
.66237 .46977 .66569 .47417 .67133 .44533 .66805 .44102 Mtetra
.976 .716 .474 r
.66805 .44102 .67133 .44533 .67494 .37525 .67174 .37106 Mtetra
.976 .718 .475 r
.67174 .37106 .67494 .37525 .67848 .30927 .67536 .30515 Mtetra
.961 .758 .585 r
.67536 .30515 .67848 .30927 .68389 .28474 .68079 .28063 Mtetra
.912 .527 .109 r
.68079 .28063 .68389 .28474 .69195 .31165 .68884 .30745 Mtetra
.958 .618 .26 r
.68884 .30745 .69195 .31165 .70191 .37013 .69874 .36582 Mtetra
.951 .602 .23 r
.69874 .36582 .70191 .37013 .71166 .42017 .70845 .41577 Mtetra
0 .254 .761 r
.70845 .41577 .71166 .42017 .71899 .4257 .71578 .42129 Mtetra
.976 .734 .505 r
.71578 .42129 .71899 .4257 .72331 .38191 .72016 .37757 Mtetra
.98 .719 .464 r
.72016 .37757 .72331 .38191 .72621 .31845 .72313 .3142 Mtetra
.978 .733 .497 r
.72313 .3142 .72621 .31845 .73015 .27437 .72712 .27018 Mtetra
.636 .73 .916 r
.72712 .27018 .73015 .27437 .73681 .27255 .73379 .26835 Mtetra
.928 .559 .147 r
.73379 .26835 .73681 .27255 .74623 .30947 .74318 .30521 Mtetra
.943 .588 .195 r
.74318 .30521 .74623 .30947 .7567 .35825 .75361 .35389 Mtetra
.875 .478 .018 r
.75361 .35389 .7567 .35825 .76566 .38373 .76256 .3793 Mtetra
.947 .782 .646 r
.76256 .3793 .76566 .38373 .77147 .36669 .7684 .36225 Mtetra
.982 .731 .477 r
.7684 .36225 .77147 .36669 .77476 .31851 .77174 .31412 Mtetra
.982 .73 .474 r
.77174 .31412 .77476 .31851 .77789 .27062 .77493 .26632 Mtetra
.961 .776 .607 r
.77493 .26632 .77789 .27062 .78317 .25066 .78024 .2464 Mtetra
.734 .308 0 r
.78024 .2464 .78317 .25066 .79148 .26649 .78854 .26222 Mtetra
.912 .539 .102 r
.78854 .26222 .79148 .26649 .80178 .30367 .79882 .29933 Mtetra
.885 .499 .039 r
.79882 .29933 .80178 .30367 .81168 .33427 .80869 .32985 Mtetra
.439 .629 .934 r
.80869 .32985 .81168 .33427 .81896 .33499 .81598 .33051 Mtetra
.98 .756 .528 r
.81598 .33051 .81896 .33499 .82328 .30442 .82034 .29995 Mtetra
.985 .738 .478 r
.82034 .29995 .82328 .30442 .82645 .26312 .82355 .2587 Mtetra
.978 .763 .545 r
.82355 .2587 .82645 .26312 .83091 .23644 .82806 .23209 Mtetra
.376 .591 .928 r
.82806 .23209 .83091 .23644 .83815 .23775 .8353 .23343 Mtetra
.714 .752 .882 r
.22135 .4367 .22511 .44019 .2307 .43745 .22696 .43394 Mtetra
.942 .608 .365 r
.22696 .43394 .2307 .43745 .23408 .4599 .23032 .45633 Mtetra
.945 .639 .425 r
.23032 .45633 .23408 .4599 .2365 .49436 .23271 .49071 Mtetra
.943 .609 .362 r
.23271 .49071 .2365 .49436 .24001 .51765 .23619 .51397 Mtetra
.81 .757 .804 r
.23619 .51397 .24001 .51765 .24605 .5117 .24225 .50805 Mtetra
.921 .717 .609 r
.24225 .50805 .24605 .5117 .25434 .47846 .25057 .47487 Mtetra
.926 .714 .597 r
.25057 .47487 .25434 .47846 .26297 .43965 .25925 .43611 Mtetra
.905 .735 .659 r
.25925 .43611 .26297 .43965 .2699 .4212 .26621 .41765 Mtetra
.928 .547 .245 r
.26621 .41765 .2699 .4212 .27418 .4366 .27047 .43298 Mtetra
.948 .646 .431 r
.27047 .43298 .27418 .4366 .27655 .47823 .27281 .47451 Mtetra
.949 .646 .427 r
.27281 .47451 .27655 .47823 .27909 .51975 .27531 .51597 Mtetra
.888 .461 .094 r
.27531 .51597 .27909 .51975 .28394 .53135 .28015 .52759 Mtetra
.922 .723 .617 r
.28015 .52759 .28394 .53135 .2917 .50238 .28794 .4987 Mtetra
.934 .71 .576 r
.28794 .4987 .2917 .50238 .30087 .45145 .29717 .44786 Mtetra
.931 .717 .591 r
.29717 .44786 .30087 .45145 .30909 .41263 .30544 .40904 Mtetra
.568 .712 .939 r
.30544 .40904 .30909 .41263 .31471 .41192 .31107 .40826 Mtetra
.952 .643 .412 r
.31107 .40826 .31471 .41192 .31777 .45203 .31409 .44824 Mtetra
.952 .657 .44 r
.31409 .44824 .31777 .45203 .31993 .5093 .31619 .50541 Mtetra
.952 .634 .389 r
.31619 .50541 .31993 .5093 .3236 .54496 .31983 .54106 Mtetra
.89 .749 .699 r
.31983 .54106 .3236 .54496 .33027 .53134 .32652 .52754 Mtetra
.939 .711 .565 r
.32652 .52754 .33027 .53134 .33926 .47607 .33557 .47241 Mtetra
.941 .71 .559 r
.33557 .47241 .33926 .47607 .3483 .41662 .34468 .41301 Mtetra
.926 .733 .623 r
.34468 .41301 .3483 .41662 .35532 .39202 .35173 .38834 Mtetra
.95 .61 .337 r
.35173 .38834 .35532 .39202 .35963 .41905 .35603 .41522 Mtetra
.956 .659 .434 r
.35603 .41522 .35963 .41905 .36223 .48327 .35857 .47927 Mtetra
.956 .657 .425 r
.35857 .47927 .36223 .48327 .36526 .54368 .36154 .53963 Mtetra
.879 .451 .055 r
.36154 .53963 .36526 .54368 .3707 .55645 .36696 .5525 Mtetra
.941 .717 .57 r
.36696 .5525 .3707 .55645 .37881 .50988 .37512 .50612 Mtetra
.948 .708 .541 r
.37512 .50612 .37881 .50988 .38792 .43583 .38432 .43219 Mtetra
.946 .715 .558 r
.38432 .43219 .38792 .43583 .39592 .38357 .39238 .3799 Mtetra
.127 .481 .899 r
.39238 .3799 .39592 .38357 .40164 .386 .39811 .38217 Mtetra
.958 .654 .41 r
.39811 .38217 .40164 .386 .40539 .4432 .40181 .43914 Mtetra
.96 .663 .427 r
.40181 .43914 .40539 .4432 .40865 .52089 .40499 .5167 Mtetra
.959 .641 .376 r
.40499 .5167 .40865 .52089 .41329 .56619 .40958 .56206 Mtetra
.924 .741 .637 r
.40958 .56206 .41329 .56619 .4202 .54413 .41652 .54021 Mtetra
.953 .709 .532 r
.41652 .54021 .4202 .54413 .42862 .46881 .42503 .46509 Mtetra
.954 .709 .529 r
.42503 .46509 .42862 .46881 .43682 .392 .43332 .38834 Mtetra
.942 .734 .593 r
.43332 .38834 .43682 .392 .44357 .36185 .4401 .35804 Mtetra
.956 .62 .332 r
.4401 .35804 .44357 .36185 .44869 .3963 .4452 .39226 Mtetra
.962 .662 .413 r
.4452 .39226 .44869 .3963 .45298 .47579 .44942 .47152 Mtetra
.963 .659 .403 r
.44942 .47152 .45298 .47579 .4577 .54978 .45406 .54548 Mtetra
.88 .46 .045 r
.45406 .54548 .4577 .54978 .46379 .56474 .46013 .56062 Mtetra
.954 .717 .541 r
.46013 .56062 .46379 .56474 .47112 .5076 .46753 .50374 Mtetra
.959 .708 .513 r
.46753 .50374 .47112 .5076 .47871 .41857 .47522 .41485 Mtetra
.958 .715 .528 r
.47522 .41485 .47871 .41857 .48566 .35531 .48225 .35155 Mtetra
.576 .715 .937 r
.48225 .35155 .48566 .35531 .49174 .3546 .48834 .35062 Mtetra
.964 .65 .376 r
.48834 .35062 .49174 .3546 .49731 .41629 .49385 .41205 Mtetra
.966 .661 .397 r
.49385 .41205 .49731 .41629 .50297 .50335 .49943 .49896 Mtetra
.963 .641 .35 r
.49943 .49896 .50297 .50335 .50915 .55686 .50555 .55253 Mtetra
.928 .752 .644 r
.50555 .55253 .50915 .55686 .51576 .53677 .51219 .53269 Mtetra
.963 .711 .508 r
.51219 .53269 .51576 .53677 .52235 .45652 .51888 .45266 Mtetra
.964 .71 .501 r
.51888 .45266 .52235 .45652 .52866 .3704 .52528 .36662 Mtetra
.958 .731 .552 r
.52528 .36662 .52866 .3704 .53479 .3306 .53146 .3267 Mtetra
.942 .577 .228 r
.53146 .3267 .53479 .3306 .54113 .35788 .53778 .35374 Mtetra
.967 .654 .37 r
.53778 .35374 .54113 .35788 .54796 .43522 .54453 .43085 Mtetra
.967 .654 .366 r
.54453 .43085 .54796 .43522 .55512 .51362 .55162 .50917 Mtetra
.927 .546 .163 r
.55162 .50917 .55512 .51362 .56202 .53808 .5585 .53377 Mtetra
.962 .726 .533 r
.5585 .53377 .56202 .53808 .56809 .48935 .56463 .48527 Mtetra
.969 .71 .488 r
.56463 .48527 .56809 .48935 .5734 .4013 .57004 .39739 Mtetra
.968 .715 .498 r
.57004 .39739 .5734 .4013 .57868 .33072 .5754 .32682 Mtetra
.92 .774 .683 r
.5754 .32682 .57868 .33072 .58477 .31681 .58151 .31277 Mtetra
.96 .624 .299 r
.58151 .31277 .58477 .31681 .59214 .36453 .58883 .36027 Mtetra
.968 .65 .346 r
.58883 .36027 .59214 .36453 .60044 .44379 .59706 .43937 Mtetra
.963 .633 .31 r
.59706 .43937 .60044 .44379 .60858 .50219 .60514 .49775 Mtetra
.777 .767 .843 r
.60514 .49775 .60858 .50219 .61524 .49705 .61183 .49275 Mtetra
.971 .718 .495 r
.61183 .49275 .61524 .49705 .62014 .43137 .6168 .42725 Mtetra
.973 .712 .477 r
.6168 .42725 .62014 .43137 .62429 .34963 .62104 .34562 Mtetra
.97 .727 .513 r
.62104 .34562 .62429 .34963 .62923 .30104 .62604 .29701 Mtetra
.592 .132 0 r
.62604 .29701 .62923 .30104 .63605 .31027 .63285 .30611 Mtetra
.962 .628 .292 r
.63285 .30611 .63605 .31027 .64476 .36846 .64151 .36415 Mtetra
.965 .636 .305 r
.64151 .36415 .64476 .36846 .65418 .43764 .65087 .43322 Mtetra
.932 .562 .169 r
.65087 .43322 .65418 .43764 .66237 .46977 .65904 .46535 Mtetra
.961 .751 .573 r
.65904 .46535 .66237 .46977 .66805 .44102 .66476 .4367 Mtetra
.976 .717 .474 r
.66476 .4367 .66805 .44102 .67174 .37106 .66853 .36687 Mtetra
.976 .718 .475 r
.66853 .36687 .67174 .37106 .67536 .30515 .67222 .30104 Mtetra
.961 .758 .585 r
.67222 .30104 .67536 .30515 .68079 .28063 .67768 .27649 Mtetra
.912 .527 .107 r
.67768 .27649 .68079 .28063 .68884 .30745 .68571 .30323 Mtetra
.958 .617 .259 r
.68571 .30323 .68884 .30745 .69874 .36582 .69556 .36148 Mtetra
.951 .602 .229 r
.69556 .36148 .69874 .36582 .70845 .41577 .70523 .41134 Mtetra
0 .254 .762 r
.70523 .41134 .70845 .41577 .71578 .42129 .71256 .41686 Mtetra
.976 .735 .506 r
.71256 .41686 .71578 .42129 .72016 .37757 .717 .3732 Mtetra
.98 .719 .464 r
.717 .3732 .72016 .37757 .72313 .3142 .72004 .30992 Mtetra
.978 .733 .497 r
.72004 .30992 .72313 .3142 .72712 .27018 .72408 .26597 Mtetra
.635 .729 .916 r
.72408 .26597 .72712 .27018 .73379 .26835 .73077 .26414 Mtetra
.927 .559 .147 r
.73077 .26414 .73379 .26835 .74318 .30521 .74013 .30093 Mtetra
.943 .588 .194 r
.74013 .30093 .74318 .30521 .75361 .35389 .75052 .34952 Mtetra
.874 .477 .017 r
.75052 .34952 .75361 .35389 .76256 .3793 .75944 .37485 Mtetra
.947 .782 .646 r
.75944 .37485 .76256 .3793 .7684 .36225 .76531 .35778 Mtetra
.982 .731 .477 r
.76531 .35778 .7684 .36225 .77174 .31412 .76871 .30971 Mtetra
.982 .73 .474 r
.76871 .30971 .77174 .31412 .77493 .26632 .77195 .26198 Mtetra
.961 .776 .608 r
.77195 .26198 .77493 .26632 .78024 .2464 .77729 .24213 Mtetra
.734 .308 0 r
.77729 .24213 .78024 .2464 .78854 .26222 .78559 .25795 Mtetra
.912 .539 .102 r
.78559 .25795 .78854 .26222 .79882 .29933 .79584 .29499 Mtetra
.885 .498 .039 r
.79584 .29499 .79882 .29933 .80869 .32985 .80569 .32541 Mtetra
.444 .633 .935 r
.80569 .32541 .80869 .32985 .81598 .33051 .81298 .32601 Mtetra
.98 .756 .528 r
.81298 .32601 .81598 .33051 .82034 .29995 .81738 .29545 Mtetra
.985 .738 .478 r
.81738 .29545 .82034 .29995 .82355 .2587 .82064 .25426 Mtetra
.978 .763 .546 r
.82064 .25426 .82355 .2587 .82806 .23209 .82519 .22772 Mtetra
.372 .588 .927 r
.82519 .22772 .82806 .23209 .8353 .23343 .83245 .2291 Mtetra
.715 .752 .881 r
.21758 .4332 .22135 .4367 .22696 .43394 .2232 .43041 Mtetra
.942 .607 .364 r
.2232 .43041 .22696 .43394 .23032 .45633 .22654 .45269 Mtetra
.946 .639 .424 r
.22654 .45269 .23032 .45633 .23271 .49071 .2289 .48695 Mtetra
.944 .609 .36 r
.2289 .48695 .23271 .49071 .23619 .51397 .23237 .51014 Mtetra
.807 .752 .802 r
.23237 .51014 .23619 .51397 .24225 .50805 .23843 .50426 Mtetra
.92 .716 .61 r
.23843 .50426 .24225 .50805 .25057 .47487 .24679 .4712 Mtetra
.925 .713 .597 r
.24679 .4712 .25057 .47487 .25925 .43611 .25552 .43253 Mtetra
.905 .734 .66 r
.25552 .43253 .25925 .43611 .26621 .41765 .2625 .41408 Mtetra
.928 .546 .242 r
.2625 .41408 .26621 .41765 .27047 .43298 .26676 .42931 Mtetra
.949 .646 .43 r
.26676 .42931 .27047 .43298 .27281 .47451 .26906 .47067 Mtetra
.95 .646 .426 r
.26906 .47067 .27281 .47451 .27531 .51597 .27152 .512 Mtetra
.886 .459 .083 r
.27152 .512 .27531 .51597 .28015 .52759 .27635 .52363 Mtetra
.92 .722 .618 r
.27635 .52363 .28015 .52759 .28794 .4987 .28417 .49487 Mtetra
.933 .71 .576 r
.28417 .49487 .28794 .4987 .29717 .44786 .29346 .4442 Mtetra
.931 .716 .591 r
.29346 .4442 .29717 .44786 .30544 .40904 .30177 .40545 Mtetra
.576 .715 .937 r
.30177 .40545 .30544 .40904 .31107 .40826 .30742 .40457 Mtetra
.952 .642 .411 r
.30742 .40457 .31107 .40826 .31409 .44824 .31041 .44434 Mtetra
.953 .657 .439 r
.31041 .44434 .31409 .44824 .31619 .50541 .31246 .50131 Mtetra
.953 .635 .387 r
.31246 .50131 .31619 .50541 .31983 .54106 .31606 .53691 Mtetra
.886 .744 .699 r
.31606 .53691 .31983 .54106 .32652 .52754 .32276 .52353 Mtetra
.938 .71 .566 r
.32276 .52353 .32652 .52754 .33557 .47241 .33187 .46863 Mtetra
.941 .709 .56 r
.33187 .46863 .33557 .47241 .34468 .41301 .34105 .40938 Mtetra
.925 .733 .623 r
.34105 .40938 .34468 .41301 .35173 .38834 .34814 .38465 Mtetra
.949 .609 .335 r
.34814 .38465 .35173 .38834 .35603 .41522 .35242 .4113 Mtetra
.956 .66 .433 r
.35242 .4113 .35603 .41522 .35857 .47927 .3549 .47507 Mtetra
.957 .658 .424 r
.3549 .47507 .35857 .47927 .36154 .53963 .35781 .53529 Mtetra
.877 .451 .042 r
.35781 .53529 .36154 .53963 .36696 .5525 .36322 .54827 Mtetra
.94 .716 .571 r
.36322 .54827 .36696 .5525 .37512 .50612 .37142 .50218 Mtetra
.947 .707 .542 r
.37142 .50218 .37512 .50612 .38432 .43219 .38071 .42849 Mtetra
.946 .715 .558 r
.38071 .42849 .38432 .43219 .39238 .3799 .38883 .37623 Mtetra
.165 .506 .911 r
.38883 .37623 .39238 .3799 .39811 .38217 .39457 .37828 Mtetra
.959 .653 .409 r
.39457 .37828 .39811 .38217 .40181 .43914 .39822 .43492 Mtetra
.96 .663 .426 r
.39822 .43492 .40181 .43914 .40499 .5167 .40133 .51222 Mtetra
.96 .642 .374 r
.40133 .51222 .40499 .5167 .40958 .56206 .40587 .55759 Mtetra
.92 .737 .639 r
.40587 .55759 .40958 .56206 .41652 .54021 .41284 .53604 Mtetra
.952 .708 .533 r
.41284 .53604 .41652 .54021 .42503 .46509 .42142 .46126 Mtetra
.954 .709 .529 r
.42142 .46126 .42503 .46509 .43332 .38834 .4298 .38465 Mtetra
.942 .734 .593 r
.4298 .38465 .43332 .38834 .4401 .35804 .43663 .35422 Mtetra
.955 .619 .33 r
.43663 .35422 .4401 .35804 .4452 .39226 .4417 .3881 Mtetra
.963 .662 .412 r
.4417 .3881 .4452 .39226 .44942 .47152 .44584 .467 Mtetra
.964 .66 .402 r
.44584 .467 .44942 .47152 .45406 .54548 .45041 .54081 Mtetra
.877 .459 .032 r
.45041 .54081 .45406 .54548 .46013 .56062 .45647 .55616 Mtetra
.953 .715 .542 r
.45647 .55616 .46013 .56062 .46753 .50374 .46393 .49967 Mtetra
.959 .707 .513 r
.46393 .49967 .46753 .50374 .47522 .41485 .47172 .41108 Mtetra
.958 .715 .528 r
.47172 .41108 .47522 .41485 .48225 .35155 .47882 .34778 Mtetra
.597 .724 .933 r
.47882 .34778 .48225 .35155 .48834 .35062 .48493 .34659 Mtetra
.964 .65 .375 r
.48493 .34659 .48834 .35062 .49385 .41205 .49038 .40762 Mtetra
.966 .662 .396 r
.49038 .40762 .49385 .41205 .49943 .49896 .49587 .49423 Mtetra
.964 .641 .347 r
.49587 .49423 .49943 .49896 .50555 .55253 .50194 .54782 Mtetra
.922 .746 .646 r
.50194 .54782 .50555 .55253 .51219 .53269 .5086 .5283 Mtetra
.962 .71 .509 r
.5086 .5283 .51219 .53269 .51888 .45266 .51539 .44867 Mtetra
.964 .709 .501 r
.51539 .44867 .51888 .45266 .52528 .36662 .52188 .3628 Mtetra
.958 .73 .552 r
.52188 .3628 .52528 .36662 .53146 .3267 .52812 .32278 Mtetra
.942 .575 .225 r
.52812 .32278 .53146 .3267 .53778 .35374 .53441 .34949 Mtetra
.967 .654 .369 r
.53441 .34949 .53778 .35374 .54453 .43085 .54109 .42624 Mtetra
.967 .654 .364 r
.54109 .42624 .54453 .43085 .55162 .50917 .5481 .50438 Mtetra
.926 .546 .153 r
.5481 .50438 .55162 .50917 .5585 .53377 .55497 .52911 Mtetra
.96 .724 .535 r
.55497 .52911 .5585 .53377 .56463 .48527 .56116 .48096 Mtetra
.968 .709 .489 r
.56116 .48096 .56463 .48527 .57004 .39739 .56667 .39339 Mtetra
.968 .715 .498 r
.56667 .39339 .57004 .39739 .5754 .32682 .5721 .3229 Mtetra
.921 .774 .682 r
.5721 .3229 .5754 .32682 .58151 .31277 .57824 .30869 Mtetra
.96 .623 .297 r
.57824 .30869 .58151 .31277 .58883 .36027 .58551 .35588 Mtetra
.968 .65 .345 r
.58551 .35588 .58883 .36027 .59706 .43937 .59366 .43468 Mtetra
.964 .633 .307 r
.59366 .43468 .59706 .43937 .60514 .49775 .60169 .49297 Mtetra
.766 .75 .838 r
.60169 .49297 .60514 .49775 .61183 .49275 .60839 .48815 Mtetra
.97 .717 .497 r
.60839 .48815 .61183 .49275 .6168 .42725 .61345 .42296 Mtetra
.972 .712 .477 r
.61345 .42296 .6168 .42725 .62104 .34562 .61778 .34155 Mtetra
.97 .727 .513 r
.61778 .34155 .62104 .34562 .62604 .29701 .62284 .29297 Mtetra
.581 .121 0 r
.62284 .29297 .62604 .29701 .63285 .30611 .62964 .30191 Mtetra
.962 .628 .291 r
.62964 .30191 .63285 .30611 .64151 .36415 .63825 .35968 Mtetra
.965 .636 .303 r
.63825 .35968 .64151 .36415 .65087 .43322 .64754 .42853 Mtetra
.931 .561 .162 r
.64754 .42853 .65087 .43322 .65904 .46535 .65568 .46063 Mtetra
.958 .747 .576 r
.65568 .46063 .65904 .46535 .66476 .4367 .66144 .43214 Mtetra
.975 .716 .475 r
.66144 .43214 .66476 .4367 .66853 .36687 .6653 .36255 Mtetra
.976 .718 .475 r
.6653 .36255 .66853 .36687 .67222 .30104 .66906 .29687 Mtetra
.96 .758 .586 r
.66906 .29687 .67222 .30104 .67768 .27649 .67456 .27234 Mtetra
.911 .526 .106 r
.67456 .27234 .67768 .27649 .68571 .30323 .68256 .29894 Mtetra
.958 .617 .258 r
.68256 .29894 .68571 .30323 .69556 .36148 .69236 .35698 Mtetra
.951 .602 .226 r
.69236 .35698 .69556 .36148 .70523 .41134 .70198 .40668 Mtetra
0 .266 .772 r
.70198 .40668 .70523 .41134 .71256 .41686 .70932 .41218 Mtetra
.975 .733 .508 r
.70932 .41218 .71256 .41686 .717 .3732 .71381 .36865 Mtetra
.979 .719 .465 r
.71381 .36865 .717 .3732 .72004 .30992 .71693 .30556 Mtetra
.978 .733 .498 r
.71693 .30556 .72004 .30992 .72408 .26597 .72103 .26173 Mtetra
.634 .729 .916 r
.72103 .26173 .72408 .26597 .73077 .26414 .72772 .25991 Mtetra
.927 .558 .146 r
.72772 .25991 .73077 .26414 .74013 .30093 .73705 .29658 Mtetra
.942 .588 .192 r
.73705 .29658 .74013 .30093 .75052 .34952 .7474 .34499 Mtetra
.87 .474 .009 r
.7474 .34499 .75052 .34952 .75944 .37485 .7563 .37019 Mtetra
.943 .778 .646 r
.7563 .37019 .75944 .37485 .76531 .35778 .76219 .35312 Mtetra
.981 .73 .479 r
.76219 .35312 .76531 .35778 .76871 .30971 .76565 .30517 Mtetra
.982 .73 .475 r
.76565 .30517 .76871 .30971 .77195 .26198 .76895 .2576 Mtetra
.96 .775 .609 r
.76895 .2576 .77195 .26198 .77729 .24213 .77433 .23783 Mtetra
.734 .307 0 r
.77433 .23783 .77729 .24213 .78559 .25795 .78263 .25364 Mtetra
.911 .538 .101 r
.78263 .25364 .78559 .25795 .79584 .29499 .79285 .29057 Mtetra
.883 .496 .034 r
.79285 .29057 .79584 .29499 .80569 .32541 .80267 .32083 Mtetra
.456 .632 .93 r
.80267 .32083 .80569 .32541 .81298 .32601 .80996 .32134 Mtetra
.979 .754 .529 r
.80996 .32134 .81298 .32601 .81738 .29545 .8144 .29081 Mtetra
.984 .737 .48 r
.8144 .29081 .81738 .29545 .82064 .25426 .81772 .24974 Mtetra
.977 .763 .548 r
.81772 .24974 .82064 .25426 .82519 .22772 .8223 .22332 Mtetra
.367 .585 .927 r
.8223 .22332 .82519 .22772 .83245 .2291 .82958 .22474 Mtetra
.716 .752 .881 r
.2138 .42968 .21758 .4332 .2232 .43041 .21943 .42686 Mtetra
.942 .606 .362 r
.21943 .42686 .2232 .43041 .22654 .45269 .22276 .44901 Mtetra
.946 .639 .424 r
.22276 .44901 .22654 .45269 .2289 .48695 .22509 .4831 Mtetra
.945 .609 .358 r
.22509 .4831 .2289 .48695 .23237 .51014 .22854 .50621 Mtetra
.804 .748 .801 r
.22854 .50621 .23237 .51014 .23843 .50426 .23461 .50037 Mtetra
.92 .715 .61 r
.23461 .50037 .23843 .50426 .24679 .4712 .243 .46746 Mtetra
.925 .713 .598 r
.243 .46746 .24679 .4712 .25552 .43253 .25177 .42893 Mtetra
.905 .734 .66 r
.25177 .42893 .25552 .43253 .2625 .41408 .25878 .4105 Mtetra
.927 .544 .239 r
.25878 .4105 .2625 .41408 .26676 .42931 .26303 .4256 Mtetra
.949 .646 .429 r
.26303 .4256 .26676 .42931 .26906 .47067 .2653 .46675 Mtetra
.95 .646 .425 r
.2653 .46675 .26906 .47067 .27152 .512 .26773 .5079 Mtetra
.885 .458 .075 r
.26773 .5079 .27152 .512 .27635 .52363 .27255 .51953 Mtetra
.919 .72 .618 r
.27255 .51953 .27635 .52363 .28417 .49487 .2804 .49096 Mtetra
.933 .709 .576 r
.2804 .49096 .28417 .49487 .29346 .4442 .28974 .44049 Mtetra
.93 .716 .591 r
.28974 .44049 .29346 .4442 .30177 .40545 .2981 .40183 Mtetra
.585 .719 .935 r
.2981 .40183 .30177 .40545 .30742 .40457 .30375 .40086 Mtetra
.952 .642 .41 r
.30375 .40086 .30742 .40457 .31041 .44434 .30672 .44036 Mtetra
.953 .657 .439 r
.30672 .44036 .31041 .44434 .31246 .50131 .30872 .49707 Mtetra
.954 .635 .385 r
.30872 .49707 .31246 .50131 .31606 .53691 .31228 .53259 Mtetra
.882 .74 .7 r
.31228 .53259 .31606 .53691 .32276 .52353 .31899 .51939 Mtetra
.938 .709 .566 r
.31899 .51939 .32276 .52353 .33187 .46863 .32815 .46479 Mtetra
.941 .709 .56 r
.32815 .46479 .33187 .46863 .34105 .40938 .3374 .40572 Mtetra
.925 .733 .623 r
.3374 .40572 .34105 .40938 .34814 .38465 .34453 .38095 Mtetra
.949 .608 .333 r
.34453 .38095 .34814 .38465 .35242 .4113 .3488 .40732 Mtetra
.956 .66 .432 r
.3488 .40732 .35242 .4113 .3549 .47507 .35123 .47073 Mtetra
.958 .658 .423 r
.35123 .47073 .3549 .47507 .35781 .53529 .35408 .53075 Mtetra
.875 .451 .035 r
.35408 .53075 .35781 .53529 .36322 .54827 .35947 .54386 Mtetra
.939 .715 .572 r
.35947 .54386 .36322 .54827 .37142 .50218 .36772 .49812 Mtetra
.947 .707 .542 r
.36772 .49812 .37142 .50218 .38071 .42849 .37708 .42475 Mtetra
.945 .715 .558 r
.37708 .42475 .38071 .42849 .38883 .37623 .38527 .37254 Mtetra
.208 .533 .923 r
.38527 .37254 .38883 .37623 .39457 .37828 .39102 .37435 Mtetra
.959 .653 .408 r
.39102 .37435 .39457 .37828 .39822 .43492 .39463 .43057 Mtetra
.96 .664 .425 r
.39463 .43057 .39822 .43492 .40133 .51222 .39767 .50752 Mtetra
.961 .643 .372 r
.39767 .50752 .40133 .51222 .40587 .55759 .40216 .55289 Mtetra
.916 .734 .641 r
.40216 .55289 .40587 .55759 .41284 .53604 .40914 .53169 Mtetra
.951 .708 .534 r
.40914 .53169 .41284 .53604 .42142 .46126 .4178 .45735 Mtetra
.953 .709 .529 r
.4178 .45735 .42142 .46126 .4298 .38465 .42626 .38095 Mtetra
.942 .734 .592 r
.42626 .38095 .4298 .38465 .43663 .35422 .43314 .35039 Mtetra
.955 .618 .328 r
.43314 .35039 .43663 .35422 .4417 .3881 .43819 .38384 Mtetra
.963 .662 .411 r
.43819 .38384 .4417 .3881 .44584 .467 .44226 .46228 Mtetra
.964 .66 .401 r
.44226 .46228 .44584 .467 .45041 .54081 .44676 .53589 Mtetra
.875 .461 .025 r
.44676 .53589 .45041 .54081 .45647 .55616 .4528 .55147 Mtetra
.952 .714 .543 r
.4528 .55147 .45647 .55616 .46393 .49967 .46031 .49547 Mtetra
.958 .707 .514 r
.46031 .49547 .46393 .49967 .47172 .41108 .4682 .40726 Mtetra
.958 .715 .528 r
.4682 .40726 .47172 .41108 .47882 .34778 .47538 .34401 Mtetra
.621 .734 .927 r
.47538 .34401 .47882 .34778 .48493 .34659 .4815 .34251 Mtetra
.964 .65 .374 r
.4815 .34251 .48493 .34659 .49038 .40762 .4869 .40305 Mtetra
.966 .662 .395 r
.4869 .40305 .49038 .40762 .49587 .49423 .4923 .48927 Mtetra
.964 .642 .345 r
.4923 .48927 .49587 .49423 .50194 .54782 .49832 .54285 Mtetra
.918 .742 .649 r
.49832 .54285 .50194 .54782 .5086 .5283 .50501 .52373 Mtetra
.961 .71 .51 r
.50501 .52373 .5086 .5283 .51539 .44867 .51188 .44458 Mtetra
.964 .709 .502 r
.51188 .44458 .51539 .44867 .52188 .3628 .51848 .35898 Mtetra
.958 .73 .551 r
.51848 .35898 .52188 .3628 .52812 .32278 .52476 .31885 Mtetra
.941 .573 .221 r
.52476 .31885 .52812 .32278 .53441 .34949 .53103 .34517 Mtetra
.967 .654 .368 r
.53103 .34517 .53441 .34949 .54109 .42624 .53763 .42145 Mtetra
.968 .654 .363 r
.53763 .42145 .54109 .42624 .5481 .50438 .54456 .49932 Mtetra
.925 .546 .147 r
.54456 .49932 .5481 .50438 .55497 .52911 .55141 .5242 Mtetra
.959 .722 .537 r
.55141 .5242 .55497 .52911 .56116 .48096 .55766 .47649 Mtetra
.968 .709 .49 r
.55766 .47649 .56116 .48096 .56667 .39339 .56328 .38933 Mtetra
.968 .715 .498 r
.56328 .38933 .56667 .39339 .5721 .3229 .5688 .31898 Mtetra
.922 .774 .68 r
.5688 .31898 .5721 .3229 .57824 .30869 .57495 .30458 Mtetra
.96 .623 .296 r
.57495 .30458 .57824 .30869 .58551 .35588 .58217 .35138 Mtetra
.968 .65 .344 r
.58217 .35138 .58551 .35588 .59366 .43468 .59025 .4298 Mtetra
.964 .633 .305 r
.59025 .4298 .59366 .43468 .60169 .49297 .59822 .48795 Mtetra
.755 .738 .837 r
.59822 .48795 .60169 .49297 .60839 .48815 .60493 .48334 Mtetra
.969 .716 .498 r
.60493 .48334 .60839 .48815 .61345 .42296 .61007 .41854 Mtetra
.972 .711 .478 r
.61007 .41854 .61345 .42296 .61778 .34155 .61451 .33744 Mtetra
.97 .727 .513 r
.61451 .33744 .61778 .34155 .62284 .29297 .61962 .28892 Mtetra
.568 .107 0 r
.61962 .28892 .62284 .29297 .62964 .30191 .62642 .29766 Mtetra
.962 .627 .29 r
.62642 .29766 .62964 .30191 .63825 .35968 .63496 .35509 Mtetra
.965 .636 .302 r
.63496 .35509 .63825 .35968 .64754 .42853 .64418 .42365 Mtetra
.93 .56 .157 r
.64418 .42365 .64754 .42853 .65568 .46063 .6523 .45569 Mtetra
.956 .745 .578 r
.6523 .45569 .65568 .46063 .66144 .43214 .65811 .42741 Mtetra
.975 .715 .476 r
.65811 .42741 .66144 .43214 .6653 .36255 .66205 .35813 Mtetra
.976 .717 .476 r
.66205 .35813 .6653 .36255 .66906 .29687 .6659 .29268 Mtetra
.96 .758 .586 r
.6659 .29268 .66906 .29687 .67456 .27234 .67143 .26817 Mtetra
.91 .524 .103 r
.67143 .26817 .67456 .27234 .68256 .29894 .67941 .2946 Mtetra
.957 .617 .257 r
.67941 .2946 .68256 .29894 .69236 .35698 .68914 .35236 Mtetra
.95 .601 .224 r
.68914 .35236 .69236 .35698 .70198 .40668 .69871 .40184 Mtetra
0 .273 .778 r
.69871 .40184 .70198 .40668 .70932 .41218 .70605 .40732 Mtetra
.974 .732 .509 r
.70605 .40732 .70932 .41218 .71381 .36865 .7106 .36397 Mtetra
.979 .718 .466 r
.7106 .36397 .71381 .36865 .71693 .30556 .71381 .30113 Mtetra
.977 .733 .499 r
.71381 .30113 .71693 .30556 .72103 .26173 .71796 .25747 Mtetra
.633 .728 .916 r
.71796 .25747 .72103 .26173 .72772 .25991 .72467 .25565 Mtetra
.927 .558 .145 r
.72467 .25565 .72772 .25991 .73705 .29658 .73396 .29217 Mtetra
.942 .587 .191 r
.73396 .29217 .73705 .29658 .7474 .34499 .74426 .34035 Mtetra
.867 .471 .003 r
.74426 .34035 .7474 .34499 .7563 .37019 .75314 .36538 Mtetra
.941 .775 .647 r
.75314 .36538 .7563 .37019 .76219 .35312 .75905 .34832 Mtetra
.98 .729 .48 r
.75905 .34832 .76219 .35312 .76565 .30517 .76258 .30053 Mtetra
.981 .73 .476 r
.76258 .30053 .76565 .30517 .76895 .2576 .76595 .25316 Mtetra
.959 .775 .611 r
.76595 .25316 .76895 .2576 .77433 .23783 .77136 .23352 Mtetra
.733 .306 0 r
.77136 .23352 .77433 .23783 .78263 .25364 .77965 .2493 Mtetra
.911 .537 .099 r
.77965 .2493 .78263 .25364 .79285 .29057 .78983 .28607 Mtetra
.881 .494 .031 r
.78983 .28607 .79285 .29057 .80267 .32083 .79963 .31615 Mtetra
.467 .633 .927 r
.79963 .31615 .80267 .32083 .80996 .32134 .80692 .31655 Mtetra
.978 .753 .531 r
.80692 .31655 .80996 .32134 .8144 .29081 .81139 .28607 Mtetra
.984 .737 .481 r
.81139 .28607 .8144 .29081 .81772 .24974 .81477 .24516 Mtetra
.976 .762 .549 r
.81477 .24516 .81772 .24974 .8223 .22332 .81941 .2189 Mtetra
.361 .581 .926 r
.81941 .2189 .8223 .22332 .82958 .22474 .8267 .22038 Mtetra
.717 .753 .88 r
.21 .42615 .2138 .42968 .21943 .42686 .21564 .42329 Mtetra
.942 .606 .361 r
.21564 .42329 .21943 .42686 .22276 .44901 .21896 .44531 Mtetra
.946 .638 .423 r
.21896 .44531 .22276 .44901 .22509 .4831 .22127 .47924 Mtetra
.945 .609 .357 r
.22127 .47924 .22509 .4831 .22854 .50621 .2247 .50225 Mtetra
.802 .748 .802 r
.2247 .50225 .22854 .50621 .23461 .50037 .23078 .49647 Mtetra
.92 .715 .61 r
.23078 .49647 .23461 .50037 .243 .46746 .2392 .46372 Mtetra
.925 .713 .598 r
.2392 .46372 .243 .46746 .25177 .42893 .24801 .42533 Mtetra
.905 .734 .66 r
.24801 .42533 .25177 .42893 .25878 .4105 .25504 .40691 Mtetra
.926 .542 .236 r
.25504 .40691 .25878 .4105 .26303 .4256 .25929 .42187 Mtetra
.949 .646 .429 r
.25929 .42187 .26303 .4256 .2653 .46675 .26154 .46279 Mtetra
.95 .646 .424 r
.26154 .46279 .2653 .46675 .26773 .5079 .26393 .50378 Mtetra
.885 .458 .075 r
.26393 .50378 .26773 .5079 .27255 .51953 .26874 .51542 Mtetra
.919 .721 .619 r
.26874 .51542 .27255 .51953 .2804 .49096 .27661 .48703 Mtetra
.933 .709 .577 r
.27661 .48703 .2804 .49096 .28974 .44049 .286 .43679 Mtetra
.93 .716 .591 r
.286 .43679 .28974 .44049 .2981 .40183 .2944 .39822 Mtetra
.596 .723 .933 r
.2944 .39822 .2981 .40183 .30375 .40086 .30007 .39712 Mtetra
.952 .642 .409 r
.30007 .39712 .30375 .40086 .30672 .44036 .30301 .43635 Mtetra
.953 .657 .438 r
.30301 .43635 .30672 .44036 .30872 .49707 .30497 .49279 Mtetra
.954 .635 .384 r
.30497 .49279 .30872 .49707 .31228 .53259 .3085 .52825 Mtetra
.881 .74 .702 r
.3085 .52825 .31228 .53259 .31899 .51939 .31521 .51525 Mtetra
.938 .71 .567 r
.31521 .51525 .31899 .51939 .32815 .46479 .32443 .46095 Mtetra
.941 .709 .56 r
.32443 .46095 .32815 .46479 .3374 .40572 .33374 .40207 Mtetra
.926 .733 .623 r
.33374 .40207 .3374 .40572 .34453 .38095 .3409 .37723 Mtetra
.949 .607 .331 r
.3409 .37723 .34453 .38095 .3488 .40732 .34516 .4033 Mtetra
.956 .659 .432 r
.34516 .4033 .3488 .40732 .35123 .47073 .34754 .46634 Mtetra
.958 .658 .423 r
.34754 .46634 .35123 .47073 .35408 .53075 .35034 .52618 Mtetra
.878 .455 .041 r
.35034 .52618 .35408 .53075 .35947 .54386 .35571 .53944 Mtetra
.939 .715 .573 r
.35571 .53944 .35947 .54386 .36772 .49812 .364 .49408 Mtetra
.947 .707 .542 r
.364 .49408 .36772 .49812 .37708 .42475 .37343 .42104 Mtetra
.946 .715 .558 r
.37343 .42104 .37708 .42475 .38527 .37254 .38169 .36886 Mtetra
.255 .561 .934 r
.38169 .36886 .38527 .37254 .39102 .37435 .38746 .37039 Mtetra
.959 .653 .407 r
.38746 .37039 .39102 .37435 .39463 .43057 .39102 .42616 Mtetra
.96 .664 .425 r
.39102 .42616 .39463 .43057 .39767 .50752 .39399 .50277 Mtetra
.961 .643 .371 r
.39399 .50277 .39767 .50752 .40216 .55289 .39843 .54816 Mtetra
.915 .734 .643 r
.39843 .54816 .40216 .55289 .40914 .53169 .40543 .52735 Mtetra
.951 .708 .534 r
.40543 .52735 .40914 .53169 .4178 .45735 .41416 .45348 Mtetra
.954 .709 .529 r
.41416 .45348 .4178 .45735 .42626 .38095 .42271 .37728 Mtetra
.943 .734 .592 r
.42271 .37728 .42626 .38095 .43314 .35039 .42964 .34653 Mtetra
.955 .617 .325 r
.42964 .34653 .43314 .35039 .43819 .38384 .43467 .37953 Mtetra
.963 .662 .41 r
.43467 .37953 .43819 .38384 .44226 .46228 .43867 .4575 Mtetra
.964 .66 .4 r
.43867 .4575 .44226 .46228 .44676 .53589 .44309 .53092 Mtetra
.879 .467 .033 r
.44309 .53092 .44676 .53589 .4528 .55147 .44911 .54677 Mtetra
.951 .715 .544 r
.44911 .54677 .4528 .55147 .46031 .49547 .45668 .49131 Mtetra
.959 .707 .514 r
.45668 .49131 .46031 .49547 .4682 .40726 .46467 .40349 Mtetra
.958 .715 .528 r
.46467 .40349 .4682 .40726 .47538 .34401 .47193 .34025 Mtetra
.646 .744 .921 r
.47193 .34025 .47538 .34401 .4815 .34251 .47806 .33839 Mtetra
.964 .649 .373 r
.47806 .33839 .4815 .34251 .4869 .40305 .4834 .39841 Mtetra
.966 .662 .394 r
.4834 .39841 .4869 .40305 .4923 .48927 .48872 .48423 Mtetra
.965 .642 .344 r
.48872 .48423 .4923 .48927 .49832 .54285 .49469 .53784 Mtetra
.916 .742 .652 r
.49469 .53784 .49832 .54285 .50501 .52373 .5014 .51916 Mtetra
.961 .71 .51 r
.5014 .51916 .50501 .52373 .51188 .44458 .50836 .44054 Mtetra
.964 .71 .502 r
.50836 .44054 .51188 .44458 .51848 .35898 .51505 .35518 Mtetra
.958 .731 .551 r
.51505 .35518 .51848 .35898 .52476 .31885 .52139 .3149 Mtetra
.94 .57 .217 r
.52139 .3149 .52476 .31885 .53103 .34517 .52764 .34079 Mtetra
.967 .654 .367 r
.52764 .34079 .53103 .34517 .53763 .42145 .53416 .41658 Mtetra
.968 .654 .362 r
.53416 .41658 .53763 .42145 .54456 .49932 .54101 .49422 Mtetra
.925 .547 .148 r
.54101 .49422 .54456 .49932 .55141 .5242 .54784 .51927 Mtetra
.959 .723 .538 r
.54784 .51927 .55141 .5242 .55766 .47649 .55416 .47204 Mtetra
.968 .709 .49 r
.55416 .47204 .55766 .47649 .56328 .38933 .55987 .3853 Mtetra
.968 .715 .499 r
.55987 .3853 .56328 .38933 .5688 .31898 .56548 .31506 Mtetra
.923 .774 .678 r
.56548 .31506 .5688 .31898 .57495 .30458 .57165 .30045 Mtetra
.96 .622 .295 r
.57165 .30045 .57495 .30458 .58217 .35138 .57882 .34683 Mtetra
.968 .649 .343 r
.57882 .34683 .58217 .35138 .59025 .4298 .58682 .42486 Mtetra
.964 .633 .304 r
.58682 .42486 .59025 .4298 .59822 .48795 .59473 .4829 Mtetra
.746 .734 .841 r
.59473 .4829 .59822 .48795 .60493 .48334 .60146 .47853 Mtetra
.969 .716 .499 r
.60146 .47853 .60493 .48334 .61007 .41854 .60669 .41413 Mtetra
.972 .712 .478 r
.60669 .41413 .61007 .41854 .61451 .33744 .61122 .33333 Mtetra
.97 .727 .513 r
.61122 .33333 .61451 .33744 .61962 .28892 .61639 .28485 Mtetra
0 0 .441 r
.61639 .28485 .61962 .28892 .62642 .29766 .62318 .29338 Mtetra
.962 .627 .289 r
.62318 .29338 .62642 .29766 .63496 .35509 .63166 .35046 Mtetra
.965 .635 .301 r
.63166 .35046 .63496 .35509 .64418 .42365 .64081 .41874 Mtetra
.93 .56 .156 r
.64081 .41874 .64418 .42365 .6523 .45569 .64891 .45073 Mtetra
.956 .745 .579 r
.64891 .45073 .6523 .45569 .65811 .42741 .65476 .42267 Mtetra
.975 .715 .477 r
.65476 .42267 .65811 .42741 .66205 .35813 .65879 .3537 Mtetra
.976 .718 .476 r
.65879 .3537 .66205 .35813 .6659 .29268 .66272 .28848 Mtetra
.96 .758 .586 r
.66272 .28848 .6659 .29268 .67143 .26817 .66828 .26399 Mtetra
.909 .523 .101 r
.66828 .26399 .67143 .26817 .67941 .2946 .67623 .29023 Mtetra
.957 .616 .256 r
.67623 .29023 .67941 .2946 .68914 .35236 .68591 .34772 Mtetra
.95 .601 .223 r
.68591 .34772 .68914 .35236 .69871 .40184 .69543 .39699 Mtetra
0 .275 .779 r
.69543 .39699 .69871 .40184 .70605 .40732 .70277 .40244 Mtetra
.974 .732 .51 r
.70277 .40244 .70605 .40732 .7106 .36397 .70738 .35927 Mtetra
.979 .719 .467 r
.70738 .35927 .7106 .36397 .71381 .30113 .71067 .29667 Mtetra
.977 .733 .5 r
.71067 .29667 .71381 .30113 .71796 .25747 .71488 .25319 Mtetra
.632 .727 .916 r
.71488 .25319 .71796 .25747 .72467 .25565 .7216 .25138 Mtetra
.926 .557 .144 r
.7216 .25138 .72467 .25565 .73396 .29217 .73086 .28775 Mtetra
.942 .587 .19 r
.73086 .28775 .73396 .29217 .74426 .34035 .74111 .3357 Mtetra
.866 .469 0 r
.74111 .3357 .74426 .34035 .75314 .36538 .74997 .36056 Mtetra
.941 .775 .647 r
.74997 .36056 .75314 .36538 .75905 .34832 .7559 .34349 Mtetra
.98 .729 .481 r
.7559 .34349 .75905 .34832 .76258 .30053 .75949 .29586 Mtetra
.981 .73 .477 r
.75949 .29586 .76258 .30053 .76595 .25316 .76292 .2487 Mtetra
.959 .775 .612 r
.76292 .2487 .76595 .25316 .77136 .23352 .76838 .22919 Mtetra
.733 .306 0 r
.76838 .22919 .77136 .23352 .77965 .2493 .77666 .24496 Mtetra
.91 .536 .099 r
.77666 .24496 .77965 .2493 .78983 .28607 .78681 .28158 Mtetra
.88 .493 .029 r
.78681 .28158 .78983 .28607 .79963 .31615 .79657 .31145 Mtetra
.476 .639 .927 r
.79657 .31145 .79963 .31615 .80692 .31655 .80386 .31173 Mtetra
.978 .753 .531 r
.80386 .31173 .80692 .31655 .81139 .28607 .80838 .28129 Mtetra
.983 .737 .482 r
.80838 .28129 .81139 .28607 .81477 .24516 .81181 .24054 Mtetra
.976 .763 .551 r
.81181 .24054 .81477 .24516 .81941 .2189 .8165 .21445 Mtetra
.354 .576 .924 r
.8165 .21445 .81941 .2189 .8267 .22038 .8238 .216 Mtetra
.719 .753 .879 r
.20619 .4226 .21 .42615 .21564 .42329 .21184 .41971 Mtetra
.942 .605 .359 r
.21184 .41971 .21564 .42329 .21896 .44531 .21515 .44157 Mtetra
.946 .638 .422 r
.21515 .44157 .21896 .44531 .22127 .47924 .21744 .4753 Mtetra
.945 .608 .355 r
.21744 .4753 .22127 .47924 .2247 .50225 .22085 .49821 Mtetra
.799 .745 .802 r
.22085 .49821 .2247 .50225 .23078 .49647 .22693 .49249 Mtetra
.919 .715 .611 r
.22693 .49249 .23078 .49647 .2392 .46372 .23538 .45992 Mtetra
.924 .713 .598 r
.23538 .45992 .2392 .46372 .24801 .42533 .24423 .4217 Mtetra
.905 .734 .66 r
.24423 .4217 .24801 .42533 .25504 .40691 .25129 .40331 Mtetra
.925 .54 .232 r
.25129 .40331 .25504 .40691 .25929 .42187 .25554 .41811 Mtetra
.949 .646 .428 r
.25554 .41811 .25929 .42187 .26154 .46279 .25776 .45877 Mtetra
.95 .646 .423 r
.25776 .45877 .26154 .46279 .26393 .50378 .26012 .49956 Mtetra
.884 .457 .069 r
.26012 .49956 .26393 .50378 .26874 .51542 .26491 .5112 Mtetra
.918 .72 .62 r
.26491 .5112 .26874 .51542 .27661 .48703 .27281 .48303 Mtetra
.932 .709 .577 r
.27281 .48303 .27661 .48703 .286 .43679 .28224 .43305 Mtetra
.93 .716 .592 r
.28224 .43305 .286 .43679 .2944 .39822 .29069 .39459 Mtetra
.607 .726 .93 r
.29069 .39459 .2944 .39822 .30007 .39712 .29638 .39335 Mtetra
.952 .641 .408 r
.29638 .39335 .30007 .39712 .30301 .43635 .2993 .43227 Mtetra
.953 .657 .437 r
.2993 .43227 .30301 .43635 .30497 .49279 .30121 .48839 Mtetra
.955 .636 .383 r
.30121 .48839 .30497 .49279 .3085 .52825 .3047 .52377 Mtetra
.877 .738 .704 r
.3047 .52377 .3085 .52825 .31521 .51525 .31143 .51099 Mtetra
.937 .709 .567 r
.31143 .51099 .31521 .51525 .32443 .46095 .32069 .45706 Mtetra
.941 .709 .56 r
.32069 .45706 .32443 .46095 .33374 .40207 .33006 .39841 Mtetra
.926 .733 .623 r
.33006 .39841 .33374 .40207 .3409 .37723 .33726 .37349 Mtetra
.949 .606 .328 r
.33726 .37349 .3409 .37723 .34516 .4033 .34152 .39922 Mtetra
.956 .659 .431 r
.34152 .39922 .34516 .4033 .34754 .46634 .34385 .46183 Mtetra
.958 .658 .422 r
.34385 .46183 .34754 .46634 .35034 .52618 .34659 .52143 Mtetra
.878 .458 .038 r
.34659 .52143 .35034 .52618 .35571 .53944 .35194 .53486 Mtetra
.938 .714 .574 r
.35194 .53486 .35571 .53944 .364 .49408 .36026 .48996 Mtetra
.947 .707 .543 r
.36026 .48996 .364 .49408 .37343 .42104 .36977 .41729 Mtetra
.946 .715 .558 r
.36977 .41729 .37343 .42104 .38169 .36886 .37809 .36517 Mtetra
.305 .59 .944 r
.37809 .36517 .38169 .36886 .38746 .37039 .38388 .36639 Mtetra
.959 .653 .406 r
.38388 .36639 .38746 .37039 .39102 .42616 .3874 .42164 Mtetra
.961 .664 .424 r
.3874 .42164 .39102 .42616 .39399 .50277 .3903 .49784 Mtetra
.961 .643 .37 r
.3903 .49784 .39399 .50277 .39843 .54816 .3947 .54324 Mtetra
.912 .732 .646 r
.3947 .54324 .39843 .54816 .40543 .52735 .40171 .52289 Mtetra
.951 .708 .535 r
.40171 .52289 .40543 .52735 .41416 .45348 .41051 .44955 Mtetra
.953 .709 .53 r
.41051 .44955 .41416 .45348 .42271 .37728 .41915 .3736 Mtetra
.943 .734 .591 r
.41915 .3736 .42271 .37728 .42964 .34653 .42612 .34266 Mtetra
.954 .615 .322 r
.42612 .34266 .42964 .34653 .43467 .37953 .43114 .37515 Mtetra
.963 .662 .41 r
.43114 .37515 .43467 .37953 .43867 .4575 .43506 .45255 Mtetra
.965 .66 .399 r
.43506 .45255 .43867 .4575 .44309 .53092 .43942 .52574 Mtetra
.879 .47 .032 r
.43942 .52574 .44309 .53092 .44911 .54677 .44542 .54189 Mtetra
.95 .714 .545 r
.44542 .54189 .44911 .54677 .45668 .49131 .45304 .48704 Mtetra
.958 .707 .514 r
.45304 .48704 .45668 .49131 .46467 .40349 .46112 .39969 Mtetra
.958 .715 .528 r
.46112 .39969 .46467 .40349 .47193 .34025 .46846 .33648 Mtetra
.671 .753 .912 r
.46846 .33648 .47193 .34025 .47806 .33839 .4746 .33423 Mtetra
.964 .649 .372 r
.4746 .33423 .47806 .33839 .4834 .39841 .4799 .39364 Mtetra
.967 .662 .393 r
.4799 .39364 .4834 .39841 .48872 .48423 .48513 .479 Mtetra
.965 .643 .343 r
.48513 .479 .48872 .48423 .49469 .53784 .49104 .53262 Mtetra
.911 .739 .656 r
.49104 .53262 .49469 .53784 .5014 .51916 .49777 .51444 Mtetra
.961 .71 .511 r
.49777 .51444 .5014 .51916 .50836 .44054 .50482 .43642 Mtetra
.964 .709 .502 r
.50482 .43642 .50836 .44054 .51505 .35518 .51162 .35137 Mtetra
.959 .731 .551 r
.51162 .35137 .51505 .35518 .52139 .3149 .518 .31095 Mtetra
.938 .567 .212 r
.518 .31095 .52139 .3149 .52764 .34079 .52423 .33635 Mtetra
.967 .654 .366 r
.52423 .33635 .52764 .34079 .53416 .41658 .53068 .41157 Mtetra
.968 .654 .361 r
.53068 .41157 .53416 .41658 .54101 .49422 .53745 .4889 Mtetra
.925 .548 .145 r
.53745 .4889 .54101 .49422 .54784 .51927 .54426 .51415 Mtetra
.957 .722 .54 r
.54426 .51415 .54784 .51927 .55416 .47204 .55064 .46747 Mtetra
.967 .709 .491 r
.55064 .46747 .55416 .47204 .55987 .3853 .55646 .38122 Mtetra
.968 .715 .499 r
.55646 .38122 .55987 .3853 .56548 .31506 .56214 .31113 Mtetra
.924 .774 .675 r
.56214 .31113 .56548 .31506 .57165 .30045 .56833 .29629 Mtetra
.959 .621 .293 r
.56833 .29629 .57165 .30045 .57882 .34683 .57546 .34219 Mtetra
.968 .649 .342 r
.57546 .34219 .57882 .34683 .58682 .42486 .58337 .41976 Mtetra
.964 .633 .302 r
.58337 .41976 .58682 .42486 .59473 .4829 .59123 .47764 Mtetra
.734 .723 .841 r
.59123 .47764 .59473 .4829 .60146 .47853 .59798 .47354 Mtetra
.968 .716 .5 r
.59798 .47354 .60146 .47853 .60669 .41413 .60329 .40963 Mtetra
.972 .711 .479 r
.60329 .40963 .60669 .41413 .61122 .33333 .60792 .32919 Mtetra
.97 .727 .514 r
.60792 .32919 .61122 .33333 .61639 .28485 .61315 .28077 Mtetra
0 0 .46 r
.61315 .28077 .61639 .28485 .62318 .29338 .61993 .28906 Mtetra
.962 .626 .288 r
.61993 .28906 .62318 .29338 .63166 .35046 .62835 .34574 Mtetra
.965 .635 .3 r
.62835 .34574 .63166 .35046 .64081 .41874 .63743 .41367 Mtetra
.929 .559 .152 r
.63743 .41367 .64081 .41874 .64891 .45073 .64549 .4456 Mtetra
.954 .744 .581 r
.64549 .4456 .64891 .45073 .65476 .42267 .65139 .41779 Mtetra
.974 .715 .478 r
.65139 .41779 .65476 .42267 .65879 .3537 .65551 .3492 Mtetra
.975 .717 .477 r
.65551 .3492 .65879 .3537 .66272 .28848 .65952 .28424 Mtetra
.96 .758 .587 r
.65952 .28424 .66272 .28848 .66828 .26399 .66512 .25978 Mtetra
.908 .521 .099 r
.66512 .25978 .66828 .26399 .67623 .29023 .67305 .28582 Mtetra
.957 .616 .255 r
.67305 .28582 .67623 .29023 .68591 .34772 .68266 .34298 Mtetra
.95 .6 .221 r
.68266 .34298 .68591 .34772 .69543 .39699 .69213 .39199 Mtetra
0 .281 .783 r
.69213 .39199 .69543 .39699 .70277 .40244 .69947 .39742 Mtetra
.973 .731 .511 r
.69947 .39742 .70277 .40244 .70738 .35927 .70414 .35445 Mtetra
.978 .718 .468 r
.70414 .35445 .70738 .35927 .71067 .29667 .70751 .29216 Mtetra
.977 .733 .5 r
.70751 .29216 .71067 .29667 .71488 .25319 .71179 .24888 Mtetra
.63 .726 .916 r
.71179 .24888 .71488 .25319 .7216 .25138 .71852 .24709 Mtetra
.926 .556 .142 r
.71852 .24709 .7216 .25138 .73086 .28775 .72775 .28328 Mtetra
.941 .586 .188 r
.72775 .28328 .73086 .28775 .74111 .3357 .73794 .33096 Mtetra
.863 .466 0 r
.73794 .33096 .74111 .3357 .74997 .36056 .74677 .35562 Mtetra
.94 .773 .647 r
.74677 .35562 .74997 .36056 .7559 .34349 .75273 .33855 Mtetra
.98 .729 .482 r
.75273 .33855 .7559 .34349 .75949 .29586 .75638 .29111 Mtetra
.981 .73 .478 r
.75638 .29111 .75949 .29586 .76292 .2487 .75989 .2442 Mtetra
.958 .775 .614 r
.75989 .2442 .76292 .2487 .76838 .22919 .76538 .22484 Mtetra
.732 .305 0 r
.76538 .22484 .76838 .22919 .77666 .24496 .77366 .2406 Mtetra
.91 .536 .097 r
.77366 .2406 .77666 .24496 .78681 .28158 .78377 .27703 Mtetra
.878 .491 .025 r
.78377 .27703 .78681 .28158 .79657 .31145 .7935 .30667 Mtetra
.488 .642 .924 r
.7935 .30667 .79657 .31145 .80386 .31173 .80079 .30682 Mtetra
.977 .752 .532 r
.80079 .30682 .80386 .31173 .80838 .28129 .80534 .27643 Mtetra
.983 .737 .483 r
.80534 .27643 .80838 .28129 .81181 .24054 .80884 .23587 Mtetra
.975 .763 .553 r
.80884 .23587 .81181 .24054 .8165 .21445 .81357 .20997 Mtetra
.346 .57 .923 r
.81357 .20997 .8165 .21445 .8238 .216 .8209 .21161 Mtetra
.72 .753 .878 r
.20236 .41904 .20619 .4226 .21184 .41971 .20802 .4161 Mtetra
.942 .604 .357 r
.20802 .4161 .21184 .41971 .21515 .44157 .21133 .43776 Mtetra
.946 .638 .42 r
.21133 .43776 .21515 .44157 .21744 .4753 .2136 .47125 Mtetra
.946 .609 .352 r
.2136 .47125 .21744 .4753 .22085 .49821 .217 .49401 Mtetra
.795 .739 .801 r
.217 .49401 .22085 .49821 .22693 .49249 .22309 .48836 Mtetra
.918 .714 .612 r
.22309 .48836 .22693 .49249 .23538 .45992 .23156 .45603 Mtetra
.924 .712 .599 r
.23156 .45603 .23538 .45992 .24423 .4217 .24044 .41803 Mtetra
.904 .734 .661 r
.24044 .41803 .24423 .4217 .25129 .40331 .24752 .39968 Mtetra
.924 .537 .227 r
.24752 .39968 .25129 .40331 .25554 .41811 .25177 .41429 Mtetra
.949 .646 .427 r
.25177 .41429 .25554 .41811 .25776 .45877 .25397 .45462 Mtetra
.951 .646 .422 r
.25397 .45462 .25776 .45877 .26012 .49956 .25631 .49514 Mtetra
.881 .455 .057 r
.25631 .49514 .26012 .49956 .26491 .5112 .26109 .50678 Mtetra
.916 .718 .621 r
.26109 .50678 .26491 .5112 .27281 .48303 .269 .47888 Mtetra
.932 .708 .578 r
.269 .47888 .27281 .48303 .28224 .43305 .27848 .42924 Mtetra
.93 .716 .592 r
.27848 .42924 .28224 .43305 .29069 .39459 .28697 .39094 Mtetra
.618 .73 .926 r
.28697 .39094 .29069 .39459 .29638 .39335 .29267 .38956 Mtetra
.952 .641 .407 r
.29267 .38956 .29638 .39335 .2993 .43227 .29557 .42807 Mtetra
.954 .658 .436 r
.29557 .42807 .2993 .43227 .30121 .48839 .29745 .48379 Mtetra
.956 .637 .38 r
.29745 .48379 .30121 .48839 .3047 .52377 .30091 .51902 Mtetra
.872 .732 .705 r
.30091 .51902 .3047 .52377 .31143 .51099 .30764 .50651 Mtetra
.936 .708 .568 r
.30764 .50651 .31143 .51099 .32069 .45706 .31694 .45304 Mtetra
.94 .709 .561 r
.31694 .45304 .32069 .45706 .33006 .39841 .32637 .3947 Mtetra
.926 .733 .623 r
.32637 .3947 .33006 .39841 .33726 .37349 .33361 .36974 Mtetra
.948 .604 .325 r
.33361 .36974 .33726 .37349 .34152 .39922 .33786 .39506 Mtetra
.957 .659 .43 r
.33786 .39506 .34152 .39922 .34385 .46183 .34015 .45712 Mtetra
.959 .659 .42 r
.34015 .45712 .34385 .46183 .34659 .52143 .34284 .5164 Mtetra
.875 .458 .028 r
.34284 .5164 .34659 .52143 .35194 .53486 .34817 .52999 Mtetra
.936 .712 .575 r
.34817 .52999 .35194 .53486 .36026 .48996 .35652 .48563 Mtetra
.946 .706 .543 r
.35652 .48563 .36026 .48996 .36977 .41729 .3661 .41347 Mtetra
.945 .715 .559 r
.3661 .41347 .36977 .41729 .37809 .36517 .37448 .36147 Mtetra
.358 .619 .95 r
.37448 .36147 .37809 .36517 .38388 .36639 .38029 .36234 Mtetra
.959 .652 .405 r
.38029 .36234 .38388 .36639 .3874 .42164 .38378 .41695 Mtetra
.961 .664 .423 r
.38378 .41695 .3874 .42164 .3903 .49784 .38662 .49262 Mtetra
.962 .645 .367 r
.38662 .49262 .3903 .49784 .3947 .54324 .39097 .53797 Mtetra
.906 .727 .648 r
.39097 .53797 .3947 .54324 .40171 .52289 .39798 .51813 Mtetra
.95 .707 .536 r
.39798 .51813 .40171 .52289 .41051 .44955 .40685 .44547 Mtetra
.953 .708 .53 r
.40685 .44547 .41051 .44955 .41915 .3736 .41557 .36988 Mtetra
.943 .734 .591 r
.41557 .36988 .41915 .3736 .42612 .34266 .42259 .33878 Mtetra
.954 .614 .319 r
.42259 .33878 .42612 .34266 .43114 .37515 .42759 .37065 Mtetra
.963 .662 .409 r
.42759 .37065 .43114 .37515 .43506 .45255 .43146 .44734 Mtetra
.965 .661 .397 r
.43146 .44734 .43506 .45255 .43942 .52574 .43574 .52018 Mtetra
.876 .472 .023 r
.43574 .52018 .43942 .52574 .44542 .54189 .44171 .53664 Mtetra
.949 .712 .547 r
.44171 .53664 .44542 .54189 .45304 .48704 .44939 .48253 Mtetra
.958 .707 .515 r
.44939 .48253 .45304 .48704 .46112 .39969 .45756 .3958 Mtetra
.958 .715 .528 r
.45756 .3958 .46112 .39969 .46846 .33648 .46497 .33271 Mtetra
.696 .76 .901 r
.46497 .33271 .46846 .33648 .4746 .33423 .47113 .33003 Mtetra
.964 .648 .371 r
.47113 .33003 .4746 .33423 .4799 .39364 .47638 .3887 Mtetra
.967 .662 .392 r
.47638 .3887 .4799 .39364 .48513 .479 .48153 .47343 Mtetra
.966 .644 .34 r
.48153 .47343 .48513 .479 .49104 .53262 .48739 .52699 Mtetra
.903 .732 .66 r
.48739 .52699 .49104 .53262 .49777 .51444 .49414 .50939 Mtetra
.96 .709 .512 r
.49414 .50939 .49777 .51444 .50482 .43642 .50127 .43213 Mtetra
.963 .709 .503 r
.50127 .43213 .50482 .43642 .51162 .35137 .50816 .34751 Mtetra
.958 .73 .551 r
.50816 .34751 .51162 .35137 .518 .31095 .5146 .30698 Mtetra
.937 .563 .205 r
.5146 .30698 .518 .31095 .52423 .33635 .52081 .33181 Mtetra
.967 .654 .365 r
.52081 .33181 .52423 .33635 .53068 .41157 .52718 .40631 Mtetra
.968 .655 .359 r
.52718 .40631 .53068 .41157 .53745 .4889 .53388 .48322 Mtetra
.923 .548 .136 r
.53388 .48322 .53745 .4889 .54426 .51415 .54067 .50865 Mtetra
.955 .719 .542 r
.54067 .50865 .54426 .51415 .55064 .46747 .5471 .46262 Mtetra
.967 .708 .492 r
.5471 .46262 .55064 .46747 .55646 .38122 .55302 .37702 Mtetra
.968 .715 .499 r
.55302 .37702 .55646 .38122 .56214 .31113 .55879 .30718 Mtetra
.925 .773 .673 r
.55879 .30718 .56214 .31113 .56833 .29629 .565 .2921 Mtetra
.959 .62 .291 r
.565 .2921 .56833 .29629 .57546 .34219 .57208 .33742 Mtetra
.968 .649 .34 r
.57208 .33742 .57546 .34219 .58337 .41976 .57991 .41439 Mtetra
.964 .634 .299 r
.57991 .41439 .58337 .41976 .59123 .47764 .58771 .47203 Mtetra
.718 .705 .837 r
.58771 .47203 .59123 .47764 .59798 .47354 .59447 .46822 Mtetra
.967 .715 .502 r
.59447 .46822 .59798 .47354 .60329 .40963 .59987 .40491 Mtetra
.971 .711 .48 r
.59987 .40491 .60329 .40963 .60792 .32919 .6046 .32497 Mtetra
.97 .727 .514 r
.6046 .32497 .60792 .32919 .61315 .28077 .60989 .27668 Mtetra
0 0 .482 r
.60989 .27668 .61315 .28077 .61993 .28906 .61666 .2847 Mtetra
.961 .626 .287 r
.61666 .2847 .61993 .28906 .62835 .34574 .62502 .34086 Mtetra
.965 .635 .298 r
.62502 .34086 .62835 .34574 .63743 .41367 .63402 .40833 Mtetra
.926 .557 .144 r
.63402 .40833 .63743 .41367 .64549 .4456 .64206 .44015 Mtetra
.95 .74 .584 r
.64206 .44015 .64549 .4456 .65139 .41779 .648 .41264 Mtetra
.973 .714 .479 r
.648 .41264 .65139 .41779 .65551 .3492 .65221 .34455 Mtetra
.975 .717 .478 r
.65221 .34455 .65551 .3492 .65952 .28424 .65631 .27996 Mtetra
.96 .758 .587 r
.65631 .27996 .65952 .28424 .66512 .25978 .66195 .25555 Mtetra
.907 .519 .095 r
.66195 .25555 .66512 .25978 .67305 .28582 .66984 .28134 Mtetra
.957 .615 .253 r
.66984 .28134 .67305 .28582 .68266 .34298 .67939 .33808 Mtetra
.949 .6 .217 r
.67939 .33808 .68266 .34298 .69213 .39199 .6888 .38674 Mtetra
0 .292 .79 r
.6888 .38674 .69213 .39199 .69947 .39742 .69615 .39212 Mtetra
.971 .73 .513 r
.69615 .39212 .69947 .39742 .70414 .35445 .70088 .34944 Mtetra
.978 .718 .469 r
.70088 .34944 .70414 .35445 .70751 .29216 .70434 .28754 Mtetra
.976 .733 .502 r
.70434 .28754 .70751 .29216 .71179 .24888 .70868 .24454 Mtetra
.629 .725 .916 r
.70868 .24454 .71179 .24888 .71852 .24709 .71542 .24277 Mtetra
.925 .555 .141 r
.71542 .24277 .71852 .24709 .72775 .28328 .72461 .27872 Mtetra
.941 .585 .186 r
.72461 .27872 .72775 .28328 .73794 .33096 .73475 .32605 Mtetra
.857 .461 0 r
.73475 .32605 .73794 .33096 .74677 .35562 .74355 .35046 Mtetra
.936 .768 .648 r
.74355 .35046 .74677 .35562 .75273 .33855 .74953 .3334 Mtetra
.979 .728 .484 r
.74953 .3334 .75273 .33855 .75638 .29111 .75325 .28622 Mtetra
.98 .729 .48 r
.75325 .28622 .75638 .29111 .75989 .2442 .75683 .23963 Mtetra
.956 .775 .617 r
.75683 .23963 .75989 .2442 .76538 .22484 .76237 .22048 Mtetra
.731 .304 0 r
.76237 .22048 .76538 .22484 .77366 .2406 .77064 .23619 Mtetra
.909 .534 .095 r
.77064 .23619 .77366 .2406 .78377 .27703 .78071 .27239 Mtetra
.875 .488 .019 r
.78071 .27239 .78377 .27703 .7935 .30667 .7904 .30173 Mtetra
.503 .642 .918 r
.7904 .30173 .7935 .30667 .80079 .30682 .79768 .30172 Mtetra
.976 .751 .534 r
.79768 .30172 .80079 .30682 .80534 .27643 .80228 .27143 Mtetra
.982 .736 .485 r
.80228 .27143 .80534 .27643 .80884 .23587 .80585 .23112 Mtetra
.974 .762 .555 r
.80585 .23112 .80884 .23587 .81357 .20997 .81063 .20547 Mtetra
.337 .564 .921 r
.81063 .20547 .81357 .20997 .8209 .21161 .81798 .20719 Mtetra
.722 .753 .877 r
.19852 .41546 .20236 .41904 .20802 .4161 .20419 .41248 Mtetra
.942 .603 .355 r
.20419 .41248 .20802 .4161 .21133 .43776 .20749 .43394 Mtetra
.946 .638 .419 r
.20749 .43394 .21133 .43776 .2136 .47125 .20975 .46717 Mtetra
.946 .608 .35 r
.20975 .46717 .2136 .47125 .217 .49401 .21314 .48979 Mtetra
.793 .739 .803 r
.21314 .48979 .217 .49401 .22309 .48836 .21923 .48422 Mtetra
.918 .714 .612 r
.21923 .48422 .22309 .48836 .23156 .45603 .22772 .45213 Mtetra
.924 .713 .599 r
.22772 .45213 .23156 .45603 .24044 .41803 .23664 .41436 Mtetra
.904 .734 .661 r
.23664 .41436 .24044 .41803 .24752 .39968 .24374 .39605 Mtetra
.923 .534 .222 r
.24374 .39605 .24752 .39968 .25177 .41429 .24799 .41046 Mtetra
.949 .645 .426 r
.24799 .41046 .25177 .41429 .25397 .45462 .25017 .45045 Mtetra
.951 .646 .421 r
.25017 .45045 .25397 .45462 .25631 .49514 .25248 .4907 Mtetra
.881 .455 .057 r
.25248 .4907 .25631 .49514 .26109 .50678 .25726 .50234 Mtetra
.915 .718 .622 r
.25726 .50234 .26109 .50678 .269 .47888 .26518 .47472 Mtetra
.932 .709 .578 r
.26518 .47472 .269 .47888 .27848 .42924 .2747 .42543 Mtetra
.93 .716 .593 r
.2747 .42543 .27848 .42924 .28697 .39094 .28323 .38728 Mtetra
.63 .734 .922 r
.28323 .38728 .28697 .39094 .29267 .38956 .28895 .38574 Mtetra
.952 .64 .406 r
.28895 .38574 .29267 .38956 .29557 .42807 .29184 .42386 Mtetra
.954 .657 .436 r
.29184 .42386 .29557 .42807 .29745 .48379 .29368 .47916 Mtetra
.956 .636 .38 r
.29368 .47916 .29745 .48379 .30091 .51902 .29711 .51426 Mtetra
.87 .732 .708 r
.29711 .51426 .30091 .51902 .30764 .50651 .30383 .50202 Mtetra
.936 .708 .569 r
.30383 .50202 .30764 .50651 .31694 .45304 .31317 .44902 Mtetra
.94 .709 .561 r
.31317 .44902 .31694 .45304 .32637 .3947 .32266 .391 Mtetra
.926 .733 .623 r
.32266 .391 .32637 .3947 .33361 .36974 .32994 .36598 Mtetra
.948 .602 .321 r
.32994 .36598 .33361 .36974 .33786 .39506 .33419 .39086 Mtetra
.957 .659 .429 r
.33419 .39086 .33786 .39506 .34015 .45712 .33644 .45237 Mtetra
.959 .659 .42 r
.33644 .45237 .34015 .45712 .34284 .5164 .33908 .51132 Mtetra
.878 .463 .035 r
.33908 .51132 .34284 .5164 .34817 .52999 .34439 .5251 Mtetra
.935 .713 .576 r
.34439 .5251 .34817 .52999 .35652 .48563 .35277 .4813 Mtetra
.946 .707 .544 r
.35277 .4813 .35652 .48563 .3661 .41347 .36241 .40966 Mtetra
.945 .715 .559 r
.36241 .40966 .3661 .41347 .37448 .36147 .37085 .35777 Mtetra
.41 .646 .954 r
.37085 .35777 .37448 .36147 .38029 .36234 .37668 .35827 Mtetra
.959 .652 .404 r
.37668 .35827 .38029 .36234 .38378 .41695 .38015 .41223 Mtetra
.961 .664 .422 r
.38015 .41223 .38378 .41695 .38662 .49262 .38292 .48734 Mtetra
.962 .645 .367 r
.38292 .48734 .38662 .49262 .39097 .53797 .38722 .53267 Mtetra
.904 .727 .652 r
.38722 .53267 .39097 .53797 .39798 .51813 .39424 .51337 Mtetra
.95 .707 .536 r
.39424 .51337 .39798 .51813 .40685 .44547 .40317 .44142 Mtetra
.953 .709 .53 r
.40317 .44142 .40685 .44547 .41557 .36988 .41197 .36618 Mtetra
.943 .734 .59 r
.41197 .36618 .41557 .36988 .42259 .33878 .41904 .33488 Mtetra
.953 .612 .315 r
.41904 .33488 .42259 .33878 .42759 .37065 .42403 .36612 Mtetra
.963 .662 .408 r
.42403 .36612 .42759 .37065 .43146 .44734 .42784 .44208 Mtetra
.965 .661 .397 r
.42784 .44208 .43146 .44734 .43574 .52018 .43205 .51458 Mtetra
.881 .479 .033 r
.43205 .51458 .43574 .52018 .44171 .53664 .438 .53138 Mtetra
.948 .713 .548 r
.438 .53138 .44171 .53664 .44939 .48253 .44572 .47805 Mtetra
.958 .707 .515 r
.44572 .47805 .44939 .48253 .45756 .3958 .45399 .39194 Mtetra
.958 .715 .528 r
.45399 .39194 .45756 .3958 .46497 .33271 .46147 .32893 Mtetra
.72 .767 .89 r
.46147 .32893 .46497 .33271 .47113 .33003 .46765 .3258 Mtetra
.964 .648 .369 r
.46765 .3258 .47113 .33003 .47638 .3887 .47285 .3837 Mtetra
.967 .662 .391 r
.47285 .3837 .47638 .3887 .48153 .47343 .47792 .46781 Mtetra
.966 .644 .339 r
.47792 .46781 .48153 .47343 .48739 .52699 .48372 .52133 Mtetra
.901 .732 .664 r
.48372 .52133 .48739 .52699 .49414 .50939 .49049 .50433 Mtetra
.96 .709 .513 r
.49049 .50433 .49414 .50939 .50127 .43213 .49771 .42787 Mtetra
.963 .709 .503 r
.49771 .42787 .50127 .43213 .50816 .34751 .5047 .34367 Mtetra
.959 .731 .55 r
.5047 .34367 .50816 .34751 .5146 .30698 .51118 .303 Mtetra
.935 .559 .199 r
.51118 .303 .5146 .30698 .52081 .33181 .51738 .32723 Mtetra
.967 .653 .364 r
.51738 .32723 .52081 .33181 .52718 .40631 .52367 .401 Mtetra
.968 .655 .358 r
.52367 .401 .52718 .40631 .53388 .48322 .53029 .47749 Mtetra
.924 .55 .138 r
.53029 .47749 .53388 .48322 .54067 .50865 .53706 .50313 Mtetra
.955 .72 .544 r
.53706 .50313 .54067 .50865 .5471 .46262 .54355 .45778 Mtetra
.967 .709 .492 r
.54355 .45778 .5471 .46262 .55302 .37702 .54957 .37284 Mtetra
.968 .715 .5 r
.54957 .37284 .55302 .37702 .55879 .30718 .55543 .30323 Mtetra
.927 .773 .67 r
.55543 .30323 .55879 .30718 .565 .2921 .56166 .28788 Mtetra
.959 .619 .289 r
.56166 .28788 .565 .2921 .57208 .33742 .56869 .3326 Mtetra
.968 .649 .34 r
.56869 .3326 .57208 .33742 .57991 .41439 .57643 .40897 Mtetra
.964 .633 .298 r
.57643 .40897 .57991 .41439 .58771 .47203 .58417 .46639 Mtetra
.706 .7 .842 r
.58417 .46639 .58771 .47203 .59447 .46822 .59095 .46289 Mtetra
.967 .715 .503 r
.59095 .46289 .59447 .46822 .59987 .40491 .59643 .4002 Mtetra
.971 .711 .48 r
.59643 .4002 .59987 .40491 .6046 .32497 .60127 .32075 Mtetra
.97 .727 .514 r
.60127 .32075 .6046 .32497 .60989 .27668 .60662 .27257 Mtetra
0 0 .506 r
.60662 .27257 .60989 .27668 .61666 .2847 .61338 .2803 Mtetra
.961 .625 .285 r
.61338 .2803 .61666 .2847 .62502 .34086 .62167 .33595 Mtetra
.964 .635 .297 r
.62167 .33595 .62502 .34086 .63402 .40833 .6306 .40296 Mtetra
.926 .557 .143 r
.6306 .40296 .63402 .40833 .64206 .44015 .63861 .43467 Mtetra
.95 .74 .585 r
.63861 .43467 .64206 .44015 .648 .41264 .64459 .40747 Mtetra
.973 .714 .48 r
.64459 .40747 .648 .41264 .65221 .34455 .6489 .33988 Mtetra
.975 .717 .479 r
.6489 .33988 .65221 .34455 .65631 .27996 .65309 .27565 Mtetra
.959 .758 .588 r
.65309 .27565 .65631 .27996 .66195 .25555 .65876 .25131 Mtetra
.906 .517 .092 r
.65876 .25131 .66195 .25555 .66984 .28134 .66663 .27685 Mtetra
.957 .615 .252 r
.66663 .27685 .66984 .28134 .67939 .33808 .67611 .33316 Mtetra
.949 .599 .216 r
.67611 .33316 .67939 .33808 .6888 .38674 .68546 .38148 Mtetra
0 .295 .792 r
.68546 .38148 .6888 .38674 .69615 .39212 .69281 .38681 Mtetra
.971 .73 .514 r
.69281 .38681 .69615 .39212 .70088 .34944 .6976 .3444 Mtetra
.977 .718 .47 r
.6976 .3444 .70088 .34944 .70434 .28754 .70115 .2829 Mtetra
.976 .733 .503 r
.70115 .2829 .70434 .28754 .70868 .24454 .70556 .24018 Mtetra
.626 .723 .917 r
.70556 .24018 .70868 .24454 .71542 .24277 .71231 .23843 Mtetra
.925 .554 .139 r
.71231 .23843 .71542 .24277 .72461 .27872 .72147 .27416 Mtetra
.94 .584 .184 r
.72147 .27416 .72461 .27872 .73475 .32605 .73154 .32113 Mtetra
.855 .458 0 r
.73154 .32113 .73475 .32605 .74355 .35046 .74031 .34528 Mtetra
.936 .768 .648 r
.74031 .34528 .74355 .35046 .74953 .3334 .74632 .32823 Mtetra
.979 .728 .485 r
.74632 .32823 .74953 .3334 .75325 .28622 .75011 .2813 Mtetra
.98 .729 .481 r
.75011 .2813 .75325 .28622 .75683 .23963 .75377 .23504 Mtetra
.956 .775 .619 r
.75377 .23504 .75683 .23963 .76237 .22048 .75934 .21609 Mtetra
.731 .303 0 r
.75934 .21609 .76237 .22048 .77064 .23619 .76762 .23178 Mtetra
.908 .533 .093 r
.76762 .23178 .77064 .23619 .78071 .27239 .77764 .26774 Mtetra
.874 .485 .016 r
.77764 .26774 .78071 .27239 .7904 .30173 .78729 .29677 Mtetra
.515 .649 .918 r
.78729 .29677 .7904 .30173 .79768 .30172 .79457 .2966 Mtetra
.975 .751 .535 r
.79457 .2966 .79768 .30172 .80228 .27143 .79921 .26639 Mtetra
.982 .737 .486 r
.79921 .26639 .80228 .27143 .80585 .23112 .80284 .22634 Mtetra
.974 .763 .557 r
.80284 .22634 .80585 .23112 .81063 .20547 .80768 .20095 Mtetra
.326 .558 .92 r
.80768 .20095 .81063 .20547 .81798 .20719 .81505 .20277 Mtetra
.724 .753 .876 r
.19466 .41187 .19852 .41546 .20419 .41248 .20035 .40885 Mtetra
.942 .602 .353 r
.20035 .40885 .20419 .41248 .20749 .43394 .20364 .43009 Mtetra
.946 .637 .418 r
.20364 .43009 .20749 .43394 .20975 .46717 .20589 .46306 Mtetra
.946 .607 .349 r
.20589 .46306 .20975 .46717 .21314 .48979 .20926 .48554 Mtetra
.791 .738 .804 r
.20926 .48554 .21314 .48979 .21923 .48422 .21535 .48005 Mtetra
.917 .714 .613 r
.21535 .48005 .21923 .48422 .22772 .45213 .22387 .44821 Mtetra
.923 .713 .6 r
.22387 .44821 .22772 .45213 .23664 .41436 .23281 .41067 Mtetra
.904 .734 .661 r
.23281 .41067 .23664 .41436 .24374 .39605 .23994 .3924 Mtetra
.922 .531 .216 r
.23994 .3924 .24374 .39605 .24799 .41046 .2442 .40661 Mtetra
.949 .645 .425 r
.2442 .40661 .24799 .41046 .25017 .45045 .24636 .44625 Mtetra
.951 .646 .42 r
.24636 .44625 .25017 .45045 .25248 .4907 .24865 .48622 Mtetra
.881 .455 .056 r
.24865 .48622 .25248 .4907 .25726 .50234 .25341 .49787 Mtetra
.915 .718 .623 r
.25341 .49787 .25726 .50234 .26518 .47472 .26135 .47054 Mtetra
.931 .709 .579 r
.26135 .47054 .26518 .47472 .2747 .42543 .27091 .4216 Mtetra
.93 .716 .593 r
.27091 .4216 .2747 .42543 .28323 .38728 .27947 .38361 Mtetra
.642 .738 .918 r
.27947 .38361 .28323 .38728 .28895 .38574 .28521 .38191 Mtetra
.952 .64 .404 r
.28521 .38191 .28895 .38574 .29184 .42386 .28809 .4196 Mtetra
.954 .657 .435 r
.28809 .4196 .29184 .42386 .29368 .47916 .28989 .47448 Mtetra
.956 .636 .379 r
.28989 .47448 .29368 .47916 .29711 .51426 .29329 .50945 Mtetra
.867 .732 .711 r
.29329 .50945 .29711 .51426 .30383 .50202 .30002 .4975 Mtetra
.936 .709 .569 r
.30002 .4975 .30383 .50202 .31317 .44902 .30939 .44499 Mtetra
.94 .709 .562 r
.30939 .44499 .31317 .44902 .32266 .391 .31893 .3873 Mtetra
.926 .733 .623 r
.31893 .3873 .32266 .391 .32994 .36598 .32626 .3622 Mtetra
.947 .6 .317 r
.32626 .3622 .32994 .36598 .33419 .39086 .33051 .38664 Mtetra
.957 .659 .429 r
.33051 .38664 .33419 .39086 .33644 .45237 .33273 .44756 Mtetra
.959 .659 .419 r
.33273 .44756 .33644 .45237 .33908 .51132 .33531 .5062 Mtetra
.881 .468 .041 r
.33531 .5062 .33908 .51132 .34439 .5251 .3406 .52018 Mtetra
.935 .713 .577 r
.3406 .52018 .34439 .5251 .35277 .4813 .349 .47697 Mtetra
.946 .707 .544 r
.349 .47697 .35277 .4813 .36241 .40966 .35871 .40585 Mtetra
.945 .715 .559 r
.35871 .40585 .36241 .40966 .37085 .35777 .36721 .35406 Mtetra
.461 .671 .954 r
.36721 .35406 .37085 .35777 .37668 .35827 .37307 .35416 Mtetra
.959 .651 .402 r
.37307 .35416 .37668 .35827 .38015 .41223 .3765 .40744 Mtetra
.961 .664 .422 r
.3765 .40744 .38015 .41223 .38292 .48734 .37921 .482 Mtetra
.963 .645 .366 r
.37921 .482 .38292 .48734 .38722 .53267 .38346 .52731 Mtetra
.902 .727 .655 r
.38346 .52731 .38722 .53267 .39424 .51337 .39048 .50859 Mtetra
.949 .707 .537 r
.39048 .50859 .39424 .51337 .40317 .44142 .39948 .43737 Mtetra
.953 .709 .531 r
.39948 .43737 .40317 .44142 .41197 .36618 .40836 .36249 Mtetra
.943 .734 .59 r
.40836 .36249 .41197 .36618 .41904 .33488 .41548 .33097 Mtetra
.953 .61 .311 r
.41548 .33097 .41904 .33488 .42403 .36612 .42046 .36153 Mtetra
.963 .661 .407 r
.42046 .36153 .42403 .36612 .42784 .44208 .4242 .43674 Mtetra
.965 .661 .396 r
.4242 .43674 .42784 .44208 .43205 .51458 .42834 .5089 Mtetra
.885 .485 .042 r
.42834 .5089 .43205 .51458 .438 .53138 .43427 .52607 Mtetra
.948 .713 .549 r
.43427 .52607 .438 .53138 .44572 .47805 .44204 .47355 Mtetra
.958 .707 .516 r
.44204 .47355 .44572 .47805 .45399 .39194 .45039 .38809 Mtetra
.958 .715 .529 r
.45039 .38809 .45399 .39194 .46147 .32893 .45796 .32516 Mtetra
.743 .773 .878 r
.45796 .32516 .46147 .32893 .46765 .3258 .46416 .32153 Mtetra
.964 .647 .368 r
.46416 .32153 .46765 .3258 .47285 .3837 .46931 .37864 Mtetra
.967 .662 .39 r
.46931 .37864 .47285 .3837 .47792 .46781 .4743 .46211 Mtetra
.966 .644 .339 r
.4743 .46211 .47792 .46781 .48372 .52133 .48005 .51561 Mtetra
.897 .732 .669 r
.48005 .51561 .48372 .52133 .49049 .50433 .48683 .49925 Mtetra
.96 .709 .514 r
.48683 .49925 .49049 .50433 .49771 .42787 .49413 .4236 Mtetra
.963 .709 .503 r
.49413 .4236 .49771 .42787 .5047 .34367 .50121 .33984 Mtetra
.959 .731 .55 r
.50121 .33984 .5047 .34367 .51118 .303 .50775 .29901 Mtetra
.933 .555 .191 r
.50775 .29901 .51118 .303 .51738 .32723 .51393 .32261 Mtetra
.967 .653 .363 r
.51393 .32261 .51738 .32723 .52367 .401 .52015 .39562 Mtetra
.968 .654 .357 r
.52015 .39562 .52367 .401 .53029 .47749 .52669 .47168 Mtetra
.924 .551 .139 r
.52669 .47168 .53029 .47749 .53706 .50313 .53343 .49755 Mtetra
.954 .72 .545 r
.53343 .49755 .53706 .50313 .54355 .45778 .53998 .45292 Mtetra
.966 .709 .493 r
.53998 .45292 .54355 .45778 .54957 .37284 .54611 .36865 Mtetra
.968 .715 .5 r
.54611 .36865 .54957 .37284 .55543 .30323 .55205 .29928 Mtetra
.928 .772 .668 r
.55205 .29928 .55543 .30323 .56166 .28788 .5583 .28365 Mtetra
.958 .618 .286 r
.5583 .28365 .56166 .28788 .56869 .3326 .56528 .32775 Mtetra
.968 .649 .339 r
.56528 .32775 .56869 .3326 .57643 .40897 .57294 .40349 Mtetra
.964 .633 .297 r
.57294 .40349 .57643 .40897 .58417 .46639 .58062 .46068 Mtetra
.692 .693 .847 r
.58062 .46068 .58417 .46639 .59095 .46289 .58742 .45752 Mtetra
.967 .715 .503 r
.58742 .45752 .59095 .46289 .59643 .4002 .59298 .39546 Mtetra
.971 .711 .481 r
.59298 .39546 .59643 .4002 .60127 .32075 .59792 .31652 Mtetra
.97 .727 .515 r
.59792 .31652 .60127 .32075 .60662 .27257 .60333 .26845 Mtetra
0 0 .531 r
.60333 .26845 .60662 .27257 .61338 .2803 .61009 .27588 Mtetra
.961 .625 .284 r
.61009 .27588 .61338 .2803 .62167 .33595 .61832 .331 Mtetra
.964 .634 .296 r
.61832 .331 .62167 .33595 .6306 .40296 .62717 .39754 Mtetra
.926 .556 .141 r
.62717 .39754 .6306 .40296 .63861 .43467 .63514 .42915 Mtetra
.949 .74 .587 r
.63514 .42915 .63861 .43467 .64459 .40747 .64117 .40227 Mtetra
.973 .715 .481 r
.64117 .40227 .64459 .40747 .6489 .33988 .64558 .33519 Mtetra
.975 .717 .479 r
.64558 .33519 .6489 .33988 .65309 .27565 .64985 .27133 Mtetra
.959 .758 .588 r
.64985 .27133 .65309 .27565 .65876 .25131 .65555 .24705 Mtetra
.904 .515 .088 r
.65555 .24705 .65876 .25131 .66663 .27685 .6634 .27233 Mtetra
.956 .614 .251 r
.6634 .27233 .66663 .27685 .67611 .33316 .67281 .32821 Mtetra
.948 .598 .214 r
.67281 .32821 .67611 .33316 .68546 .38148 .68211 .37617 Mtetra
0 .299 .795 r
.68211 .37617 .68546 .38148 .69281 .38681 .68946 .38146 Mtetra
.971 .73 .515 r
.68946 .38146 .69281 .38681 .6976 .3444 .69431 .33932 Mtetra
.977 .718 .471 r
.69431 .33932 .6976 .3444 .70115 .2829 .69795 .27823 Mtetra
.976 .733 .504 r
.69795 .27823 .70115 .2829 .70556 .24018 .70242 .2358 Mtetra
.623 .722 .917 r
.70242 .2358 .70556 .24018 .71231 .23843 .70919 .23409 Mtetra
.924 .553 .137 r
.70919 .23409 .71231 .23843 .72147 .27416 .7183 .26958 Mtetra
.94 .583 .183 r
.7183 .26958 .72147 .27416 .73154 .32113 .72833 .31619 Mtetra
.853 .455 0 r
.72833 .31619 .73154 .32113 .74031 .34528 .73706 .34006 Mtetra
.936 .768 .648 r
.73706 .34006 .74031 .34528 .74632 .32823 .74309 .32301 Mtetra
.979 .728 .485 r
.74309 .32301 .74632 .32823 .75011 .2813 .74696 .27634 Mtetra
.98 .73 .482 r
.74696 .27634 .75011 .2813 .75377 .23504 .75069 .23042 Mtetra
.955 .775 .621 r
.75069 .23042 .75377 .23504 .75934 .21609 .75631 .21169 Mtetra
.73 .303 0 r
.75631 .21169 .75934 .21609 .76762 .23178 .76457 .22736 Mtetra
.908 .532 .092 r
.76457 .22736 .76762 .23178 .77764 .26774 .77456 .26307 Mtetra
.872 .483 .012 r
.77456 .26307 .77764 .26774 .78729 .29677 .78416 .29179 Mtetra
.528 .655 .916 r
.78416 .29179 .78729 .29677 .79457 .2966 .79144 .29144 Mtetra
.975 .751 .535 r
.79144 .29144 .79457 .2966 .79921 .26639 .79612 .26131 Mtetra
.982 .737 .488 r
.79612 .26131 .79921 .26639 .80284 .22634 .79982 .22152 Mtetra
.973 .763 .559 r
.79982 .22152 .80284 .22634 .80768 .20095 .80472 .1964 Mtetra
.314 .55 .918 r
.80472 .1964 .80768 .20095 .81505 .20277 .8121 .19833 Mtetra
.725 .753 .875 r
.19079 .40826 .19466 .41187 .20035 .40885 .19648 .40519 Mtetra
.941 .6 .35 r
.19648 .40519 .20035 .40885 .20364 .43009 .19978 .42617 Mtetra
.947 .637 .416 r
.19978 .42617 .20364 .43009 .20589 .46306 .20202 .45881 Mtetra
.947 .607 .344 r
.20202 .45881 .20589 .46306 .20926 .48554 .20539 .48109 Mtetra
.785 .73 .802 r
.20539 .48109 .20926 .48554 .21535 .48005 .21148 .47569 Mtetra
.916 .713 .614 r
.21148 .47569 .21535 .48005 .22387 .44821 .22001 .44417 Mtetra
.923 .712 .6 r
.22001 .44417 .22387 .44821 .23281 .41067 .22898 .40694 Mtetra
.903 .734 .662 r
.22898 .40694 .23281 .41067 .23994 .3924 .23613 .38874 Mtetra
.92 .527 .21 r
.23613 .38874 .23994 .3924 .2442 .40661 .2404 .4027 Mtetra
.949 .644 .423 r
.2404 .4027 .2442 .40661 .24636 .44625 .24255 .4419 Mtetra
.952 .646 .418 r
.24255 .4419 .24636 .44625 .24865 .48622 .24482 .4815 Mtetra
.876 .451 .039 r
.24482 .4815 .24865 .48622 .25341 .49787 .24957 .49313 Mtetra
.912 .716 .624 r
.24957 .49313 .25341 .49787 .26135 .47054 .25752 .46615 Mtetra
.93 .708 .579 r
.25752 .46615 .26135 .47054 .27091 .4216 .2671 .41767 Mtetra
.929 .716 .594 r
.2671 .41767 .27091 .4216 .27947 .38361 .2757 .37992 Mtetra
.654 .741 .914 r
.2757 .37992 .27947 .38361 .28521 .38191 .28146 .37804 Mtetra
.952 .639 .402 r
.28146 .37804 .28521 .38191 .28809 .4196 .28433 .41523 Mtetra
.954 .657 .433 r
.28433 .41523 .28809 .4196 .28989 .47448 .28611 .46955 Mtetra
.957 .637 .375 r
.28611 .46955 .28989 .47448 .29329 .50945 .28949 .50432 Mtetra
.86 .725 .712 r
.28949 .50432 .29329 .50945 .30002 .4975 .2962 .49269 Mtetra
.934 .707 .571 r
.2962 .49269 .30002 .4975 .30939 .44499 .30561 .44079 Mtetra
.939 .709 .562 r
.30561 .44079 .30939 .44499 .31893 .3873 .3152 .38353 Mtetra
.926 .732 .623 r
.3152 .38353 .31893 .3873 .32626 .3622 .32256 .3584 Mtetra
.947 .597 .313 r
.32256 .3584 .32626 .3622 .33051 .38664 .32682 .38232 Mtetra
.957 .659 .427 r
.32682 .38232 .33051 .38664 .33273 .44756 .32901 .44253 Mtetra
.96 .659 .417 r
.32901 .44253 .33273 .44756 .33531 .5062 .33155 .5007 Mtetra
.877 .468 .028 r
.33155 .5007 .33531 .5062 .3406 .52018 .33681 .51486 Mtetra
.932 .71 .579 r
.33681 .51486 .3406 .52018 .349 .47697 .34523 .47235 Mtetra
.945 .706 .545 r
.34523 .47235 .349 .47697 .35871 .40585 .35499 .40193 Mtetra
.945 .715 .559 r
.35499 .40193 .35871 .40585 .36721 .35406 .36355 .35033 Mtetra
.509 .692 .951 r
.36355 .35033 .36721 .35406 .37307 .35416 .36943 .35002 Mtetra
.959 .651 .401 r
.36943 .35002 .37307 .35416 .3765 .40744 .37285 .40248 Mtetra
.962 .664 .42 r
.37285 .40248 .3765 .40744 .37921 .482 .37551 .4763 Mtetra
.964 .646 .363 r
.37551 .4763 .37921 .482 .38346 .52731 .37971 .5215 Mtetra
.894 .72 .659 r
.37971 .5215 .38346 .52731 .39048 .50859 .38673 .50342 Mtetra
.948 .706 .538 r
.38673 .50342 .39048 .50859 .39948 .43737 .39578 .4331 Mtetra
.952 .708 .532 r
.39578 .4331 .39948 .43737 .40836 .36249 .40474 .35874 Mtetra
.943 .733 .589 r
.40474 .35874 .40836 .36249 .41548 .33097 .4119 .32704 Mtetra
.952 .607 .307 r
.4119 .32704 .41548 .33097 .42046 .36153 .41688 .35684 Mtetra
.964 .661 .406 r
.41688 .35684 .42046 .36153 .4242 .43674 .42057 .43111 Mtetra
.966 .662 .394 r
.42057 .43111 .4242 .43674 .42834 .5089 .42464 .50277 Mtetra
.88 .486 .03 r
.42464 .50277 .42834 .5089 .43427 .52607 .43055 .52029 Mtetra
.945 .71 .552 r
.43055 .52029 .43427 .52607 .44204 .47355 .43835 .46872 Mtetra
.957 .706 .517 r
.43835 .46872 .44204 .47355 .45039 .38809 .44679 .3841 Mtetra
.957 .715 .529 r
.44679 .3841 .45039 .38809 .45796 .32516 .45443 .32137 Mtetra
.763 .777 .865 r
.45443 .32137 .45796 .32516 .46416 .32153 .46065 .31723 Mtetra
.964 .646 .366 r
.46065 .31723 .46416 .32153 .46931 .37864 .46576 .37338 Mtetra
.967 .662 .389 r
.46576 .37338 .46931 .37864 .4743 .46211 .47067 .45601 Mtetra
.967 .645 .335 r
.47067 .45601 .4743 .46211 .48005 .51561 .47636 .50938 Mtetra
.886 .722 .674 r
.47636 .50938 .48005 .51561 .48683 .49925 .48316 .49372 Mtetra
.958 .708 .515 r
.48316 .49372 .48683 .49925 .49413 .4236 .49054 .41908 Mtetra
.963 .709 .504 r
.49054 .41908 .49413 .4236 .50121 .33984 .49772 .33594 Mtetra
.958 .73 .55 r
.49772 .33594 .50121 .33984 .50775 .29901 .50431 .29501 Mtetra
.93 .549 .182 r
.50431 .29501 .50775 .29901 .51393 .32261 .51047 .31791 Mtetra
.967 .653 .362 r
.51047 .31791 .51393 .32261 .52015 .39562 .51662 .38997 Mtetra
.969 .655 .355 r
.51662 .38997 .52015 .39562 .52669 .47168 .52308 .46543 Mtetra
.921 .551 .128 r
.52308 .46543 .52669 .47168 .53343 .49755 .5298 .49148 Mtetra
.951 .717 .549 r
.5298 .49148 .53343 .49755 .53998 .45292 .5364 .44768 Mtetra
.965 .708 .495 r
.5364 .44768 .53998 .45292 .54611 .36865 .54263 .36429 Mtetra
.967 .715 .501 r
.54263 .36429 .54611 .36865 .55205 .29928 .54866 .29529 Mtetra
.929 .771 .665 r
.54866 .29529 .55205 .29928 .5583 .28365 .55493 .27938 Mtetra
.958 .616 .284 r
.55493 .27938 .5583 .28365 .56528 .32775 .56186 .32275 Mtetra
.968 .648 .337 r
.56186 .32275 .56528 .32775 .57294 .40349 .56944 .39769 Mtetra
.964 .633 .293 r
.56944 .39769 .57294 .40349 .58062 .46068 .57706 .45452 Mtetra
.672 .669 .839 r
.57706 .45452 .58062 .46068 .58742 .45752 .58387 .45172 Mtetra
.965 .713 .506 r
.58387 .45172 .58742 .45752 .59298 .39546 .58952 .39044 Mtetra
.971 .71 .482 r
.58952 .39044 .59298 .39546 .59792 .31652 .59456 .31217 Mtetra
.969 .727 .516 r
.59456 .31217 .59792 .31652 .60333 .26845 .60003 .26431 Mtetra
0 .025 .559 r
.60003 .26431 .60333 .26845 .61009 .27588 .60678 .27142 Mtetra
.961 .624 .282 r
.60678 .27142 .61009 .27588 .61832 .331 .61494 .32587 Mtetra
.964 .634 .293 r
.61494 .32587 .61832 .331 .62717 .39754 .62371 .39178 Mtetra
.922 .554 .13 r
.62371 .39178 .62717 .39754 .63514 .42915 .63165 .42321 Mtetra
.944 .736 .591 r
.63165 .42321 .63514 .42915 .64117 .40227 .63773 .39672 Mtetra
.972 .713 .483 r
.63773 .39672 .64117 .40227 .64558 .33519 .64224 .33029 Mtetra
.974 .717 .481 r
.64224 .33029 .64558 .33519 .64985 .27133 .6466 .26695 Mtetra
.959 .758 .59 r
.6466 .26695 .64985 .27133 .65555 .24705 .65234 .24277 Mtetra
.903 .512 .084 r
.65234 .24277 .65555 .24705 .6634 .27233 .66015 .26773 Mtetra
.956 .614 .249 r
.66015 .26773 .6634 .27233 .67281 .32821 .66949 .32305 Mtetra
.947 .597 .21 r
.66949 .32305 .67281 .32821 .68211 .37617 .67873 .37054 Mtetra
.021 .312 .801 r
.67873 .37054 .68211 .37617 .68946 .38146 .68607 .37575 Mtetra
.969 .728 .518 r
.68607 .37575 .68946 .38146 .69431 .33932 .691 .33398 Mtetra
.976 .717 .473 r
.691 .33398 .69431 .33932 .69795 .27823 .69473 .27343 Mtetra
.975 .733 .506 r
.69473 .27343 .69795 .27823 .70242 .2358 .69928 .23138 Mtetra
.62 .72 .917 r
.69928 .23138 .70242 .2358 .70919 .23409 .70606 .22971 Mtetra
.923 .552 .135 r
.70606 .22971 .70919 .23409 .7183 .26958 .71513 .2649 Mtetra
.939 .582 .179 r
.71513 .2649 .7183 .26958 .72833 .31619 .72508 .31103 Mtetra
.845 .448 0 r
.72508 .31103 .72833 .31619 .73706 .34006 .73378 .33456 Mtetra
.932 .762 .649 r
.73378 .33456 .73706 .34006 .74309 .32301 .73984 .31752 Mtetra
.977 .727 .488 r
.73984 .31752 .74309 .32301 .74696 .27634 .74378 .27121 Mtetra
.979 .729 .485 r
.74378 .27121 .74696 .27634 .75069 .23042 .74759 .22573 Mtetra
.953 .775 .625 r
.74759 .22573 .75069 .23042 .75631 .21169 .75326 .20727 Mtetra
.729 .301 0 r
.75326 .20727 .75631 .21169 .76457 .22736 .76152 .22289 Mtetra
.906 .53 .089 r
.76152 .22289 .76457 .22736 .77456 .26307 .77146 .25828 Mtetra
.868 .478 .004 r
.77146 .25828 .77456 .26307 .78416 .29179 .78101 .28661 Mtetra
.544 .655 .908 r
.78101 .28661 .78416 .29179 .79144 .29144 .78828 .28606 Mtetra
.973 .749 .538 r
.78828 .28606 .79144 .29144 .79612 .26131 .79301 .25605 Mtetra
.981 .736 .49 r
.79301 .25605 .79612 .26131 .79982 .22152 .79678 .21662 Mtetra
.972 .763 .563 r
.79678 .21662 .79982 .22152 .80472 .1964 .80174 .19183 Mtetra
.303 .542 .915 r
.80174 .19183 .80472 .1964 .8121 .19833 .80914 .19387 Mtetra
.727 .754 .874 r
.1869 .40464 .19079 .40826 .19648 .40519 .19261 .40152 Mtetra
.941 .599 .347 r
.19261 .40152 .19648 .40519 .19978 .42617 .19591 .42224 Mtetra
.947 .636 .415 r
.19591 .42224 .19978 .42617 .20202 .45881 .19814 .45453 Mtetra
.946 .606 .342 r
.19814 .45453 .20202 .45881 .20539 .48109 .2015 .47662 Mtetra
.782 .73 .804 r
.2015 .47662 .20539 .48109 .21148 .47569 .2076 .47132 Mtetra
.915 .713 .615 r
.2076 .47132 .21148 .47569 .22001 .44417 .21614 .44012 Mtetra
.922 .712 .601 r
.21614 .44012 .22001 .44417 .22898 .40694 .22513 .40319 Mtetra
.903 .734 .662 r
.22513 .40319 .22898 .40694 .23613 .38874 .2323 .38506 Mtetra
.918 .523 .202 r
.2323 .38506 .23613 .38874 .2404 .4027 .23658 .39877 Mtetra
.949 .644 .422 r
.23658 .39877 .2404 .4027 .24255 .4419 .23872 .43753 Mtetra
.952 .646 .417 r
.23872 .43753 .24255 .4419 .24482 .4815 .24097 .47677 Mtetra
.876 .451 .038 r
.24097 .47677 .24482 .4815 .24957 .49313 .24571 .48837 Mtetra
.912 .716 .625 r
.24571 .48837 .24957 .49313 .25752 .46615 .25367 .46175 Mtetra
.93 .708 .58 r
.25367 .46175 .25752 .46615 .2671 .41767 .26328 .41374 Mtetra
.929 .716 .594 r
.26328 .41374 .2671 .41767 .2757 .37992 .27192 .37621 Mtetra
.665 .744 .909 r
.27192 .37621 .2757 .37992 .28146 .37804 .2777 .37416 Mtetra
.952 .638 .401 r
.2777 .37416 .28146 .37804 .28433 .41523 .28056 .41082 Mtetra
.954 .657 .433 r
.28056 .41082 .28433 .41523 .28611 .46955 .28232 .46459 Mtetra
.957 .637 .374 r
.28232 .46459 .28611 .46955 .28949 .50432 .28567 .49916 Mtetra
.857 .725 .716 r
.28567 .49916 .28949 .50432 .2962 .49269 .29238 .48786 Mtetra
.934 .707 .571 r
.29238 .48786 .2962 .49269 .30561 .44079 .30181 .43658 Mtetra
.939 .709 .563 r
.30181 .43658 .30561 .44079 .3152 .38353 .31144 .37977 Mtetra
.926 .733 .623 r
.31144 .37977 .3152 .38353 .32256 .3584 .31884 .3546 Mtetra
.946 .595 .308 r
.31884 .3546 .32256 .3584 .32682 .38232 .32311 .37799 Mtetra
.957 .658 .426 r
.32311 .37799 .32682 .38232 .32901 .44253 .32527 .43746 Mtetra
.96 .659 .417 r
.32527 .43746 .32901 .44253 .33155 .5007 .32778 .49518 Mtetra
.881 .473 .035 r
.32778 .49518 .33155 .5007 .33681 .51486 .33301 .50953 Mtetra
.932 .711 .58 r
.33301 .50953 .33681 .51486 .34523 .47235 .34145 .46774 Mtetra
.945 .706 .546 r
.34145 .46774 .34523 .47235 .35499 .40193 .35126 .398 Mtetra
.945 .715 .56 r
.35126 .398 .35499 .40193 .36355 .35033 .35988 .3466 Mtetra
.554 .711 .945 r
.35988 .3466 .36355 .35033 .36943 .35002 .36579 .34585 Mtetra
.959 .65 .399 r
.36579 .34585 .36943 .35002 .37285 .40248 .36918 .39748 Mtetra
.962 .664 .419 r
.36918 .39748 .37285 .40248 .37551 .4763 .37179 .47056 Mtetra
.964 .646 .362 r
.37179 .47056 .37551 .4763 .37971 .5215 .37595 .51566 Mtetra
.891 .72 .663 r
.37595 .51566 .37971 .5215 .38673 .50342 .38297 .49824 Mtetra
.948 .706 .539 r
.38297 .49824 .38673 .50342 .39578 .4331 .39206 .42884 Mtetra
.952 .709 .532 r
.39206 .42884 .39578 .4331 .40474 .35874 .40109 .35499 Mtetra
.943 .733 .589 r
.40109 .35499 .40474 .35874 .4119 .32704 .40831 .3231 Mtetra
.951 .604 .301 r
.40831 .3231 .4119 .32704 .41688 .35684 .41329 .35212 Mtetra
.964 .661 .405 r
.41329 .35212 .41688 .35684 .42057 .43111 .41693 .42544 Mtetra
.966 .661 .393 r
.41693 .42544 .42057 .43111 .42464 .50277 .42093 .4966 Mtetra
.885 .493 .041 r
.42093 .4966 .42464 .50277 .43055 .52029 .42681 .51448 Mtetra
.945 .711 .553 r
.42681 .51448 .43055 .52029 .43835 .46872 .43465 .46389 Mtetra
.957 .706 .518 r
.43465 .46389 .43835 .46872 .44679 .3841 .44317 .38011 Mtetra
.957 .715 .529 r
.44317 .38011 .44679 .3841 .45443 .32137 .45088 .31758 Mtetra
.782 .781 .851 r
.45088 .31758 .45443 .32137 .46065 .31723 .45712 .3129 Mtetra
.963 .646 .364 r
.45712 .3129 .46065 .31723 .46576 .37338 .46219 .36809 Mtetra
.967 .662 .388 r
.46219 .36809 .46576 .37338 .47067 .45601 .46703 .44987 Mtetra
.967 .645 .334 r
.46703 .44987 .47067 .45601 .47636 .50938 .47267 .50312 Mtetra
.881 .722 .68 r
.47267 .50312 .47636 .50938 .48316 .49372 .47947 .48819 Mtetra
.958 .708 .516 r
.47947 .48819 .48316 .49372 .49054 .41908 .48693 .41457 Mtetra
.963 .709 .505 r
.48693 .41457 .49054 .41908 .49772 .33594 .49421 .33203 Mtetra
.959 .73 .55 r
.49421 .33203 .49772 .33594 .50431 .29501 .50085 .291 Mtetra
.927 .543 .172 r
.50085 .291 .50431 .29501 .51047 .31791 .507 .31317 Mtetra
.967 .652 .36 r
.507 .31317 .51047 .31791 .51662 .38997 .51307 .38428 Mtetra
.969 .655 .354 r
.51307 .38428 .51662 .38997 .52308 .46543 .51946 .45915 Mtetra
.922 .552 .13 r
.51946 .45915 .52308 .46543 .5298 .49148 .52615 .48539 Mtetra
.95 .717 .551 r
.52615 .48539 .5298 .49148 .5364 .44768 .53281 .44244 Mtetra
.965 .708 .495 r
.53281 .44244 .5364 .44768 .54263 .36429 .53914 .35993 Mtetra
.967 .715 .501 r
.53914 .35993 .54263 .36429 .54866 .29529 .54525 .29129 Mtetra
.93 .771 .662 r
.54525 .29129 .54866 .29529 .55493 .27938 .55155 .2751 Mtetra
.957 .615 .281 r
.55155 .2751 .55493 .27938 .56186 .32275 .55843 .31772 Mtetra
.968 .648 .336 r
.55843 .31772 .56186 .32275 .56944 .39769 .56592 .39186 Mtetra
.964 .633 .292 r
.56592 .39186 .56944 .39769 .57706 .45452 .57348 .44834 Mtetra
.656 .662 .844 r
.57348 .44834 .57706 .45452 .58387 .45172 .5803 .44589 Mtetra
.965 .714 .507 r
.5803 .44589 .58387 .45172 .58952 .39044 .58604 .38541 Mtetra
.97 .711 .483 r
.58604 .38541 .58952 .39044 .59456 .31217 .59118 .30782 Mtetra
.969 .727 .516 r
.59118 .30782 .59456 .31217 .60003 .26431 .59671 .26015 Mtetra
0 .056 .588 r
.59671 .26015 .60003 .26431 .60678 .27142 .60346 .26693 Mtetra
.96 .623 .28 r
.60346 .26693 .60678 .27142 .61494 .32587 .61155 .32071 Mtetra
.964 .634 .292 r
.61155 .32071 .61494 .32587 .62371 .39178 .62024 .386 Mtetra
.922 .553 .129 r
.62024 .386 .62371 .39178 .63165 .42321 .62815 .41725 Mtetra
.943 .736 .593 r
.62815 .41725 .63165 .42321 .63773 .39672 .63428 .39114 Mtetra
.972 .714 .484 r
.63428 .39114 .63773 .39672 .64224 .33029 .63888 .32538 Mtetra
.974 .717 .482 r
.63888 .32538 .64224 .33029 .6466 .26695 .64333 .26254 Mtetra
.958 .758 .59 r
.64333 .26254 .6466 .26695 .65234 .24277 .64911 .23847 Mtetra
.901 .509 .08 r
.64911 .23847 .65234 .24277 .66015 .26773 .65689 .26312 Mtetra
.956 .613 .247 r
.65689 .26312 .66015 .26773 .66949 .32305 .66616 .31788 Mtetra
.947 .596 .208 r
.66616 .31788 .66949 .32305 .67873 .37054 .67534 .3649 Mtetra
.028 .317 .804 r
.67534 .3649 .67873 .37054 .68607 .37575 .68268 .37003 Mtetra
.969 .728 .519 r
.68268 .37003 .68607 .37575 .691 .33398 .68767 .32862 Mtetra
.976 .717 .474 r
.68767 .32862 .691 .33398 .69473 .27343 .6915 .2686 Mtetra
.975 .733 .507 r
.6915 .2686 .69473 .27343 .69928 .23138 .69611 .22694 Mtetra
.616 .718 .918 r
.69611 .22694 .69928 .23138 .70606 .22971 .70291 .22532 Mtetra
.923 .55 .133 r
.70291 .22532 .70606 .22971 .71513 .2649 .71193 .26021 Mtetra
.938 .581 .178 r
.71193 .26021 .71513 .2649 .72508 .31103 .72183 .30586 Mtetra
.841 .444 0 r
.72183 .30586 .72508 .31103 .73378 .33456 .73049 .32904 Mtetra
.932 .762 .649 r
.73049 .32904 .73378 .33456 .73984 .31752 .73657 .31201 Mtetra
.977 .727 .489 r
.73657 .31201 .73984 .31752 .74378 .27121 .74058 .26605 Mtetra
.979 .729 .486 r
.74058 .26605 .74378 .27121 .74759 .22573 .74448 .22102 Mtetra
.952 .776 .628 r
.74448 .22102 .74759 .22573 .75326 .20727 .75019 .20283 Mtetra
.728 .3 0 r
.75019 .20283 .75326 .20727 .76152 .22289 .75844 .21842 Mtetra
.906 .529 .086 r
.75844 .21842 .76152 .22289 .77146 .25828 .76834 .25348 Mtetra
.865 .475 0 r
.76834 .25348 .77146 .25828 .78101 .28661 .77784 .28141 Mtetra
.558 .662 .906 r
.77784 .28141 .78101 .28661 .78828 .28606 .78511 .28065 Mtetra
.973 .749 .539 r
.78511 .28065 .78828 .28606 .79301 .25605 .78988 .25077 Mtetra
.981 .736 .492 r
.78988 .25077 .79301 .25605 .79678 .21662 .79373 .21168 Mtetra
.971 .764 .566 r
.79373 .21168 .79678 .21662 .80174 .19183 .79875 .18723 Mtetra
.289 .534 .913 r
.79875 .18723 .80174 .19183 .80914 .19387 .80617 .1894 Mtetra
.729 .754 .872 r
.183 .401 .1869 .40464 .19261 .40152 .18872 .39783 Mtetra
.941 .597 .344 r
.18872 .39783 .19261 .40152 .19591 .42224 .19202 .41828 Mtetra
.947 .636 .414 r
.19202 .41828 .19591 .42224 .19814 .45453 .19425 .45024 Mtetra
.946 .605 .34 r
.19425 .45024 .19814 .45453 .2015 .47662 .1976 .47213 Mtetra
.78 .73 .806 r
.1976 .47213 .2015 .47662 .2076 .47132 .2037 .46693 Mtetra
.915 .713 .616 r
.2037 .46693 .2076 .47132 .21614 .44012 .21225 .43605 Mtetra
.922 .712 .602 r
.21225 .43605 .21614 .44012 .22513 .40319 .22127 .39943 Mtetra
.903 .734 .663 r
.22127 .39943 .22513 .40319 .2323 .38506 .22846 .38137 Mtetra
.916 .518 .195 r
.22846 .38137 .2323 .38506 .23658 .39877 .23274 .39483 Mtetra
.949 .643 .421 r
.23274 .39483 .23658 .39877 .23872 .43753 .23488 .43314 Mtetra
.952 .645 .416 r
.23488 .43314 .23872 .43753 .24097 .47677 .23712 .47201 Mtetra
.876 .45 .037 r
.23712 .47201 .24097 .47677 .24571 .48837 .24184 .4836 Mtetra
.911 .716 .626 r
.24184 .4836 .24571 .48837 .25367 .46175 .24981 .45734 Mtetra
.93 .708 .581 r
.24981 .45734 .25367 .46175 .26328 .41374 .25945 .4098 Mtetra
.929 .716 .595 r
.25945 .4098 .26328 .41374 .27192 .37621 .26812 .3725 Mtetra
.676 .747 .904 r
.26812 .3725 .27192 .37621 .2777 .37416 .27392 .37026 Mtetra
.952 .637 .399 r
.27392 .37026 .2777 .37416 .28056 .41082 .27678 .4064 Mtetra
.954 .657 .432 r
.27678 .4064 .28056 .41082 .28232 .46459 .27851 .45961 Mtetra
.957 .637 .373 r
.27851 .45961 .28232 .46459 .28567 .49916 .28183 .49398 Mtetra
.854 .724 .719 r
.28183 .49398 .28567 .49916 .29238 .48786 .28854 .48302 Mtetra
.934 .708 .572 r
.28854 .48302 .29238 .48786 .30181 .43658 .29799 .43236 Mtetra
.939 .709 .563 r
.29799 .43236 .30181 .43658 .31144 .37977 .30768 .37599 Mtetra
.926 .733 .622 r
.30768 .37599 .31144 .37977 .31884 .3546 .31511 .35077 Mtetra
.945 .592 .302 r
.31511 .35077 .31884 .3546 .32311 .37799 .31939 .37363 Mtetra
.957 .658 .425 r
.31939 .37363 .32311 .37799 .32527 .43746 .32153 .43236 Mtetra
.96 .659 .416 r
.32153 .43236 .32527 .43746 .32778 .49518 .32399 .48963 Mtetra
.884 .478 .044 r
.32399 .48963 .32778 .49518 .33301 .50953 .3292 .50418 Mtetra
.931 .711 .582 r
.3292 .50418 .33301 .50953 .34145 .46774 .33765 .46311 Mtetra
.945 .706 .546 r
.33765 .46311 .34145 .46774 .35126 .398 .34751 .39408 Mtetra
.945 .715 .56 r
.34751 .39408 .35126 .398 .35988 .3466 .35619 .34286 Mtetra
.594 .727 .937 r
.35619 .34286 .35988 .3466 .36579 .34585 .36213 .34167 Mtetra
.959 .649 .397 r
.36213 .34167 .36579 .34585 .36918 .39748 .36551 .39245 Mtetra
.962 .664 .419 r
.36551 .39245 .36918 .39748 .37179 .47056 .36807 .46479 Mtetra
.964 .646 .362 r
.36807 .46479 .37179 .47056 .37595 .51566 .37217 .50979 Mtetra
.888 .72 .668 r
.37217 .50979 .37595 .51566 .38297 .49824 .37919 .49305 Mtetra
.948 .706 .54 r
.37919 .49305 .38297 .49824 .39206 .42884 .38833 .42458 Mtetra
.952 .709 .532 r
.38833 .42458 .39206 .42884 .40109 .35499 .39744 .35125 Mtetra
.944 .733 .588 r
.39744 .35125 .40109 .35499 .40831 .3231 .40471 .31915 Mtetra
.95 .601 .296 r
.40471 .31915 .40831 .3231 .41329 .35212 .40968 .34736 Mtetra
.964 .661 .403 r
.40968 .34736 .41329 .35212 .41693 .42544 .41327 .41972 Mtetra
.966 .661 .393 r
.41327 .41972 .41693 .42544 .42093 .4966 .41721 .49039 Mtetra
.89 .5 .052 r
.41721 .49039 .42093 .4966 .42681 .51448 .42306 .50866 Mtetra
.944 .711 .555 r
.42306 .50866 .42681 .51448 .43465 .46389 .43093 .45906 Mtetra
.957 .707 .518 r
.43093 .45906 .43465 .46389 .44317 .38011 .43953 .37614 Mtetra
.958 .715 .529 r
.43953 .37614 .44317 .38011 .45088 .31758 .44732 .31379 Mtetra
.799 .783 .838 r
.44732 .31379 .45088 .31758 .45712 .3129 .45359 .30855 Mtetra
.963 .645 .362 r
.45359 .30855 .45712 .3129 .46219 .36809 .45862 .36276 Mtetra
.967 .662 .387 r
.45862 .36276 .46219 .36809 .46703 .44987 .46338 .44369 Mtetra
.967 .645 .334 r
.46338 .44369 .46703 .44987 .47267 .50312 .46896 .49682 Mtetra
.876 .721 .686 r
.46896 .49682 .47267 .50312 .47947 .48819 .47578 .48264 Mtetra
.958 .708 .517 r
.47578 .48264 .47947 .48819 .48693 .41457 .48331 .41005 Mtetra
.963 .709 .505 r
.48331 .41005 .48693 .41457 .49421 .33203 .49068 .32813 Mtetra
.959 .73 .55 r
.49068 .32813 .49421 .33203 .50085 .291 .49738 .28697 Mtetra
.924 .537 .161 r
.49738 .28697 .50085 .291 .507 .31317 .50351 .3084 Mtetra
.967 .652 .359 r
.50351 .3084 .507 .31317 .51307 .38428 .50952 .37856 Mtetra
.969 .654 .353 r
.50952 .37856 .51307 .38428 .51946 .45915 .51582 .45282 Mtetra
.923 .554 .133 r
.51582 .45282 .51946 .45915 .52615 .48539 .52249 .47927 Mtetra
.95 .718 .553 r
.52249 .47927 .52615 .48539 .53281 .44244 .5292 .43719 Mtetra
.965 .708 .496 r
.5292 .43719 .53281 .44244 .53914 .35993 .53563 .35556 Mtetra
.967 .715 .501 r
.53563 .35556 .53914 .35993 .54525 .29129 .54182 .28729 Mtetra
.931 .77 .66 r
.54182 .28729 .54525 .29129 .55155 .2751 .54815 .27081 Mtetra
.957 .613 .278 r
.54815 .27081 .55155 .2751 .55843 .31772 .55498 .31266 Mtetra
.968 .648 .335 r
.55498 .31266 .55843 .31772 .56592 .39186 .56239 .386 Mtetra
.964 .633 .291 r
.56239 .386 .56592 .39186 .57348 .44834 .56989 .44213 Mtetra
.639 .654 .849 r
.56989 .44213 .57348 .44834 .5803 .44589 .57673 .44005 Mtetra
.964 .714 .508 r
.57673 .44005 .5803 .44589 .58604 .38541 .58254 .38036 Mtetra
.97 .711 .484 r
.58254 .38036 .58604 .38541 .59118 .30782 .58779 .30345 Mtetra
.969 .727 .517 r
.58779 .30345 .59118 .30782 .59671 .26015 .59339 .25597 Mtetra
0 .087 .617 r
.59339 .25597 .59671 .26015 .60346 .26693 .60012 .26242 Mtetra
.96 .622 .278 r
.60012 .26242 .60346 .26693 .61155 .32071 .60815 .31553 Mtetra
.964 .633 .291 r
.60815 .31553 .61155 .32071 .62024 .386 .61676 .3802 Mtetra
.921 .552 .127 r
.61676 .3802 .62024 .386 .62815 .41725 .62464 .41127 Mtetra
.943 .736 .595 r
.62464 .41127 .62815 .41725 .63428 .39114 .63081 .38555 Mtetra
.972 .714 .485 r
.63081 .38555 .63428 .39114 .63888 .32538 .63551 .32044 Mtetra
.974 .717 .482 r
.63551 .32044 .63888 .32538 .64333 .26254 .64005 .25811 Mtetra
.958 .758 .591 r
.64005 .25811 .64333 .26254 .64911 .23847 .64586 .23416 Mtetra
.899 .506 .075 r
.64586 .23416 .64911 .23847 .65689 .26312 .65362 .25849 Mtetra
.955 .612 .246 r
.65362 .25849 .65689 .26312 .66616 .31788 .66282 .3127 Mtetra
.946 .595 .206 r
.66282 .3127 .66616 .31788 .67534 .3649 .67193 .35924 Mtetra
.036 .322 .807 r
.67193 .35924 .67534 .3649 .68268 .37003 .67927 .36428 Mtetra
.968 .728 .52 r
.67927 .36428 .68268 .37003 .68767 .32862 .68433 .32322 Mtetra
.976 .718 .475 r
.68433 .32322 .68767 .32862 .6915 .2686 .68825 .26374 Mtetra
.975 .734 .508 r
.68825 .26374 .6915 .2686 .69611 .22694 .69293 .22248 Mtetra
.611 .716 .919 r
.69293 .22248 .69611 .22694 .70291 .22532 .69974 .22092 Mtetra
.922 .549 .131 r
.69974 .22092 .70291 .22532 .71193 .26021 .70873 .25551 Mtetra
.938 .58 .176 r
.70873 .25551 .71193 .26021 .72183 .30586 .71856 .30068 Mtetra
.838 .439 0 r
.71856 .30068 .72183 .30586 .73049 .32904 .72719 .3235 Mtetra
.932 .762 .649 r
.72719 .3235 .73049 .32904 .73657 .31201 .73329 .30647 Mtetra
.977 .727 .49 r
.73329 .30647 .73657 .31201 .74058 .26605 .73738 .26085 Mtetra
.979 .73 .487 r
.73738 .26085 .74058 .26605 .74448 .22102 .74135 .21627 Mtetra
.95 .776 .631 r
.74135 .21627 .74448 .22102 .75019 .20283 .74712 .19837 Mtetra
.727 .3 0 r
.74712 .19837 .75019 .20283 .75844 .21842 .75536 .21393 Mtetra
.905 .527 .084 r
.75536 .21393 .75844 .21842 .76834 .25348 .76521 .24868 Mtetra
.863 .472 0 r
.76521 .24868 .76834 .25348 .77784 .28141 .77467 .27619 Mtetra
.572 .669 .905 r
.77467 .27619 .77784 .28141 .78511 .28065 .78192 .27522 Mtetra
.973 .749 .539 r
.78192 .27522 .78511 .28065 .78988 .25077 .78674 .24544 Mtetra
.981 .737 .493 r
.78674 .24544 .78988 .25077 .79373 .21168 .79066 .20671 Mtetra
.971 .764 .569 r
.79066 .20671 .79373 .21168 .79875 .18723 .79575 .18261 Mtetra
.275 .524 .909 r
.79575 .18261 .79875 .18723 .80617 .1894 .80319 .18491 Mtetra
.731 .754 .871 r
.17908 .39734 .183 .401 .18872 .39783 .18481 .39412 Mtetra
.94 .596 .341 r
.18481 .39412 .18872 .39783 .19202 .41828 .18812 .41427 Mtetra
.947 .635 .412 r
.18812 .41427 .19202 .41828 .19425 .45024 .19035 .44583 Mtetra
.947 .605 .336 r
.19035 .44583 .19425 .45024 .1976 .47213 .1937 .46749 Mtetra
.774 .724 .805 r
.1937 .46749 .1976 .47213 .2037 .46693 .1998 .46239 Mtetra
.914 .712 .617 r
.1998 .46239 .2037 .46693 .21225 .43605 .20836 .43188 Mtetra
.921 .712 .602 r
.20836 .43188 .21225 .43605 .22127 .39943 .21739 .39563 Mtetra
.902 .734 .664 r
.21739 .39563 .22127 .39943 .22846 .38137 .2246 .37766 Mtetra
.914 .513 .186 r
.2246 .37766 .22846 .38137 .23274 .39483 .22889 .39085 Mtetra
.95 .643 .419 r
.22889 .39085 .23274 .39483 .23488 .43314 .23103 .42863 Mtetra
.953 .645 .414 r
.23103 .42863 .23488 .43314 .23712 .47201 .23326 .46707 Mtetra
.871 .446 .024 r
.23326 .46707 .23712 .47201 .24184 .4836 .23798 .47862 Mtetra
.909 .714 .628 r
.23798 .47862 .24184 .4836 .24981 .45734 .24594 .45277 Mtetra
.929 .707 .582 r
.24594 .45277 .24981 .45734 .25945 .4098 .2556 .40577 Mtetra
.928 .716 .595 r
.2556 .40577 .25945 .4098 .26812 .3725 .2643 .36876 Mtetra
.687 .749 .899 r
.2643 .36876 .26812 .3725 .27392 .37026 .27012 .36633 Mtetra
.952 .636 .397 r
.27012 .36633 .27392 .37026 .27678 .4064 .27299 .40188 Mtetra
.955 .656 .43 r
.27299 .40188 .27678 .4064 .27851 .45961 .27471 .45444 Mtetra
.958 .637 .37 r
.27471 .45444 .27851 .45961 .28183 .49398 .27801 .48854 Mtetra
.847 .718 .721 r
.27801 .48854 .28183 .49398 .28854 .48302 .2847 .47794 Mtetra
.933 .707 .573 r
.2847 .47794 .28854 .48302 .29799 .43236 .29417 .428 Mtetra
.938 .708 .564 r
.29417 .428 .29799 .43236 .30768 .37599 .30389 .37217 Mtetra
.925 .732 .623 r
.30389 .37217 .30768 .37599 .31511 .35077 .31137 .34694 Mtetra
.944 .588 .296 r
.31137 .34694 .31511 .35077 .31939 .37363 .31566 .3692 Mtetra
.957 .658 .424 r
.31566 .3692 .31939 .37363 .32153 .43236 .31778 .42709 Mtetra
.96 .659 .414 r
.31778 .42709 .32153 .43236 .32399 .48963 .32021 .4838 Mtetra
.882 .479 .036 r
.32021 .4838 .32399 .48963 .3292 .50418 .32539 .49852 Mtetra
.929 .709 .584 r
.32539 .49852 .3292 .50418 .33765 .46311 .33385 .45826 Mtetra
.944 .705 .547 r
.33385 .45826 .33765 .46311 .34751 .39408 .34375 .39005 Mtetra
.944 .715 .56 r
.34375 .39005 .34751 .39408 .35619 .34286 .35249 .3391 Mtetra
.631 .739 .926 r
.35249 .3391 .35619 .34286 .36213 .34167 .35846 .33745 Mtetra
.959 .648 .395 r
.35846 .33745 .36213 .34167 .36551 .39245 .36182 .38728 Mtetra
.962 .664 .417 r
.36182 .38728 .36551 .39245 .36807 .46479 .36434 .45875 Mtetra
.965 .647 .359 r
.36434 .45875 .36807 .46479 .37217 .50979 .3684 .50358 Mtetra
.88 .714 .672 r
.3684 .50358 .37217 .50979 .37919 .49305 .3754 .48755 Mtetra
.946 .705 .541 r
.3754 .48755 .37919 .49305 .38833 .42458 .38459 .42014 Mtetra
.952 .708 .533 r
.38459 .42014 .38833 .42458 .39744 .35125 .39376 .34745 Mtetra
.943 .733 .588 r
.39376 .34745 .39744 .35125 .40471 .31915 .40108 .31519 Mtetra
.949 .597 .289 r
.40108 .31519 .40471 .31915 .40968 .34736 .40607 .34253 Mtetra
.964 .66 .402 r
.40607 .34253 .40968 .34736 .41327 .41972 .40961 .41379 Mtetra
.967 .662 .391 r
.40961 .41379 .41327 .41972 .41721 .49039 .41349 .48383 Mtetra
.888 .503 .047 r
.41349 .48383 .41721 .49039 .42306 .50866 .4193 .50245 Mtetra
.942 .709 .557 r
.4193 .50245 .42306 .50866 .43093 .45906 .42721 .45395 Mtetra
.956 .706 .519 r
.42721 .45395 .43093 .45906 .43953 .37614 .43588 .37204 Mtetra
.957 .715 .53 r
.43588 .37204 .43953 .37614 .44732 .31379 .44374 .30997 Mtetra
.814 .784 .825 r
.44374 .30997 .44732 .31379 .45359 .30855 .45004 .30417 Mtetra
.963 .644 .36 r
.45004 .30417 .45359 .30855 .45862 .36276 .45503 .35729 Mtetra
.968 .661 .385 r
.45503 .35729 .45862 .36276 .46338 .44369 .45973 .43722 Mtetra
.967 .645 .33 r
.45973 .43722 .46338 .44369 .46896 .49682 .46525 .49014 Mtetra
.865 .712 .691 r
.46525 .49014 .46896 .49682 .47578 .48264 .47207 .47673 Mtetra
.956 .707 .519 r
.47207 .47673 .47578 .48264 .48331 .41005 .47968 .40532 Mtetra
.962 .709 .506 r
.47968 .40532 .48331 .41005 .49068 .32813 .48713 .32416 Mtetra
.958 .73 .55 r
.48713 .32416 .49068 .32813 .49738 .28697 .49389 .28294 Mtetra
.92 .529 .149 r
.49389 .28294 .49738 .28697 .50351 .3084 .50001 .30357 Mtetra
.967 .651 .357 r
.50001 .30357 .50351 .3084 .50952 .37856 .50595 .37263 Mtetra
.969 .654 .351 r
.50595 .37263 .50952 .37856 .51582 .45282 .51218 .44616 Mtetra
.921 .554 .125 r
.51218 .44616 .51582 .45282 .52249 .47927 .51882 .47277 Mtetra
.947 .715 .556 r
.51882 .47277 .52249 .47927 .5292 .43719 .52558 .43164 Mtetra
.964 .708 .497 r
.52558 .43164 .5292 .43719 .53563 .35556 .53211 .35104 Mtetra
.967 .715 .502 r
.53211 .35104 .53563 .35556 .54182 .28729 .53839 .28324 Mtetra
.932 .769 .657 r
.53839 .28324 .54182 .28729 .54815 .27081 .54473 .26649 Mtetra
.956 .612 .274 r
.54473 .26649 .54815 .27081 .55498 .31266 .55152 .3075 Mtetra
.968 .647 .333 r
.55152 .3075 .55498 .31266 .56239 .386 .55885 .37989 Mtetra
.964 .632 .288 r
.55885 .37989 .56239 .386 .56989 .44213 .56628 .43557 Mtetra
.619 .634 .843 r
.56628 .43557 .56989 .44213 .57673 .44005 .57313 .43386 Mtetra
.963 .713 .511 r
.57313 .43386 .57673 .44005 .58254 .38036 .57903 .37508 Mtetra
.97 .71 .485 r
.57903 .37508 .58254 .38036 .58779 .30345 .58438 .29898 Mtetra
.969 .727 .518 r
.58438 .29898 .58779 .30345 .59339 .25597 .59004 .25178 Mtetra
0 .122 .649 r
.59004 .25178 .59339 .25597 .60012 .26242 .59677 .25787 Mtetra
.96 .621 .276 r
.59677 .25787 .60012 .26242 .60815 .31553 .60473 .31022 Mtetra
.964 .632 .288 r
.60473 .31022 .60815 .31553 .61676 .3802 .61326 .37414 Mtetra
.918 .55 .118 r
.61326 .37414 .61676 .3802 .62464 .41127 .62111 .40497 Mtetra
.938 .732 .598 r
.62111 .40497 .62464 .41127 .63081 .38555 .62732 .37967 Mtetra
.971 .713 .487 r
.62732 .37967 .63081 .38555 .63551 .32044 .63212 .31533 Mtetra
.973 .717 .484 r
.63212 .31533 .63551 .32044 .64005 .25811 .63675 .25362 Mtetra
.957 .758 .593 r
.63675 .25362 .64005 .25811 .64586 .23416 .64261 .22982 Mtetra
.897 .503 .07 r
.64261 .22982 .64586 .23416 .65362 .25849 .65033 .25381 Mtetra
.955 .611 .243 r
.65033 .25381 .65362 .25849 .66282 .3127 .65946 .30736 Mtetra
.945 .594 .201 r
.65946 .30736 .66282 .3127 .67193 .35924 .66851 .35333 Mtetra
.068 .334 .812 r
.66851 .35333 .67193 .35924 .67927 .36428 .67584 .35826 Mtetra
.967 .727 .523 r
.67584 .35826 .67927 .36428 .68433 .32322 .68096 .31762 Mtetra
.975 .717 .477 r
.68096 .31762 .68433 .32322 .68825 .26374 .68498 .25877 Mtetra
.974 .733 .51 r
.68498 .25877 .68825 .26374 .69293 .22248 .68974 .21798 Mtetra
.606 .712 .92 r
.68974 .21798 .69293 .22248 .69974 .22092 .69656 .21649 Mtetra
.921 .547 .128 r
.69656 .21649 .69974 .22092 .70873 .25551 .70551 .25073 Mtetra
.937 .578 .172 r
.70551 .25073 .70873 .25551 .71856 .30068 .71527 .29534 Mtetra
.829 .431 0 r
.71527 .29534 .71856 .30068 .72719 .3235 .72386 .31774 Mtetra
.928 .757 .649 r
.72386 .31774 .72719 .3235 .73329 .30647 .72999 .30072 Mtetra
.976 .726 .492 r
.72999 .30072 .73329 .30647 .73738 .26085 .73415 .25551 Mtetra
.978 .73 .49 r
.73415 .25551 .73738 .26085 .74135 .21627 .73821 .21147 Mtetra
.948 .776 .635 r
.73821 .21147 .74135 .21627 .74712 .19837 .74402 .19389 Mtetra
.726 .298 0 r
.74402 .19389 .74712 .19837 .75536 .21393 .75226 .20941 Mtetra
.903 .525 .081 r
.75226 .20941 .75536 .21393 .76521 .24868 .76206 .24378 Mtetra
.858 .466 0 r
.76206 .24378 .76521 .24868 .77467 .27619 .77147 .27082 Mtetra
.587 .67 .897 r
.77147 .27082 .77467 .27619 .78192 .27522 .77871 .2696 Mtetra
.971 .747 .542 r
.77871 .2696 .78192 .27522 .78674 .24544 .78358 .23998 Mtetra
.98 .736 .496 r
.78358 .23998 .78674 .24544 .79066 .20671 .78758 .20167 Mtetra
.969 .764 .572 r
.78758 .20167 .79066 .20671 .79575 .18261 .79273 .17796 Mtetra
.26 .515 .906 r
.79273 .17796 .79575 .18261 .80319 .18491 .80019 .18041 Mtetra
.733 .754 .87 r
.17514 .39367 .17908 .39734 .18481 .39412 .18089 .39039 Mtetra
.94 .594 .337 r
.18089 .39039 .18481 .39412 .18812 .41427 .18421 .41023 Mtetra
.947 .634 .41 r
.18421 .41023 .18812 .41427 .19035 .44583 .18644 .44137 Mtetra
.947 .604 .333 r
.18644 .44137 .19035 .44583 .1937 .46749 .18979 .46279 Mtetra
.771 .722 .807 r
.18979 .46279 .1937 .46749 .1998 .46239 .19588 .4578 Mtetra
.913 .712 .618 r
.19588 .4578 .1998 .46239 .20836 .43188 .20445 .42768 Mtetra
.921 .712 .603 r
.20445 .42768 .20836 .43188 .21739 .39563 .2135 .39181 Mtetra
.902 .734 .664 r
.2135 .39181 .21739 .39563 .2246 .37766 .22072 .37394 Mtetra
.911 .507 .177 r
.22072 .37394 .2246 .37766 .22889 .39085 .22503 .38684 Mtetra
.95 .642 .417 r
.22503 .38684 .22889 .39085 .23103 .42863 .22717 .42409 Mtetra
.953 .645 .412 r
.22717 .42409 .23103 .42863 .23326 .46707 .2294 .46206 Mtetra
.869 .444 .018 r
.2294 .46206 .23326 .46707 .23798 .47862 .23411 .47357 Mtetra
.908 .714 .629 r
.23411 .47357 .23798 .47862 .24594 .45277 .24207 .44814 Mtetra
.929 .707 .582 r
.24207 .44814 .24594 .45277 .2556 .40577 .25174 .40171 Mtetra
.928 .716 .596 r
.25174 .40171 .2556 .40577 .2643 .36876 .26047 .36501 Mtetra
.697 .751 .894 r
.26047 .36501 .2643 .36876 .27012 .36633 .26632 .36239 Mtetra
.952 .635 .394 r
.26632 .36239 .27012 .36633 .27299 .40188 .26919 .39733 Mtetra
.955 .656 .429 r
.26919 .39733 .27299 .40188 .27471 .45444 .2709 .4492 Mtetra
.958 .637 .368 r
.2709 .4492 .27471 .45444 .27801 .48854 .27417 .48303 Mtetra
.842 .716 .725 r
.27417 .48303 .27801 .48854 .2847 .47794 .28086 .47279 Mtetra
.932 .706 .574 r
.28086 .47279 .2847 .47794 .29417 .428 .29034 .42359 Mtetra
.938 .708 .565 r
.29034 .42359 .29417 .428 .30389 .37217 .3001 .36832 Mtetra
.925 .732 .623 r
.3001 .36832 .30389 .37217 .31137 .34694 .30761 .34309 Mtetra
.943 .585 .289 r
.30761 .34309 .31137 .34694 .31566 .3692 .31192 .36475 Mtetra
.957 .657 .422 r
.31192 .36475 .31566 .3692 .31778 .42709 .31403 .42176 Mtetra
.961 .659 .413 r
.31403 .42176 .31778 .42709 .32021 .4838 .31642 .47788 Mtetra
.883 .483 .039 r
.31642 .47788 .32021 .4838 .32539 .49852 .32158 .49278 Mtetra
.928 .709 .585 r
.32158 .49278 .32539 .49852 .33385 .45826 .33004 .45335 Mtetra
.944 .705 .548 r
.33004 .45335 .33385 .45826 .34375 .39005 .33998 .38599 Mtetra
.944 .715 .561 r
.33998 .38599 .34375 .39005 .35249 .3391 .34877 .33533 Mtetra
.663 .749 .914 r
.34877 .33533 .35249 .3391 .35846 .33745 .35477 .33321 Mtetra
.959 .648 .393 r
.35477 .33321 .35846 .33745 .36182 .38728 .35813 .38207 Mtetra
.962 .663 .416 r
.35813 .38207 .36182 .38728 .36434 .45875 .36061 .45262 Mtetra
.965 .647 .358 r
.36061 .45262 .36434 .45875 .3684 .50358 .36463 .49726 Mtetra
.875 .712 .677 r
.36463 .49726 .3684 .50358 .3754 .48755 .37162 .48196 Mtetra
.946 .705 .542 r
.37162 .48196 .3754 .48755 .38459 .42014 .38084 .41565 Mtetra
.951 .708 .534 r
.38084 .41565 .38459 .42014 .39376 .34745 .39007 .34363 Mtetra
.944 .732 .588 r
.39007 .34363 .39376 .34745 .40108 .31519 .39745 .31122 Mtetra
.948 .593 .282 r
.39745 .31122 .40108 .31519 .40607 .34253 .40244 .33767 Mtetra
.964 .66 .401 r
.40244 .33767 .40607 .34253 .40961 .41379 .40594 .40779 Mtetra
.967 .661 .39 r
.40594 .40779 .40961 .41379 .41349 .48383 .40977 .47716 Mtetra
.891 .508 .053 r
.40977 .47716 .41349 .48383 .4193 .50245 .41554 .49614 Mtetra
.941 .709 .559 r
.41554 .49614 .4193 .50245 .42721 .45395 .42348 .44876 Mtetra
.955 .706 .52 r
.42348 .44876 .42721 .45395 .43588 .37204 .43222 .3679 Mtetra
.957 .715 .53 r
.43222 .3679 .43588 .37204 .44374 .30997 .44015 .30614 Mtetra
.827 .785 .812 r
.44015 .30614 .44374 .30997 .45004 .30417 .44647 .29977 Mtetra
.963 .643 .357 r
.44647 .29977 .45004 .30417 .45503 .35729 .45144 .35176 Mtetra
.968 .661 .384 r
.45144 .35176 .45503 .35729 .45973 .43722 .45607 .43065 Mtetra
.967 .645 .329 r
.45607 .43065 .45973 .43722 .46525 .49014 .46154 .48333 Mtetra
.856 .709 .698 r
.46154 .48333 .46525 .49014 .47207 .47673 .46836 .47072 Mtetra
.956 .707 .52 r
.46836 .47072 .47207 .47673 .47968 .40532 .47603 .40052 Mtetra
.962 .709 .507 r
.47603 .40052 .47968 .40532 .48713 .32416 .48358 .32016 Mtetra
.958 .73 .55 r
.48358 .32016 .48713 .32416 .49389 .28294 .49039 .27889 Mtetra
.915 .52 .135 r
.49039 .27889 .49389 .28294 .50001 .30357 .4965 .29871 Mtetra
.967 .65 .356 r
.4965 .29871 .50001 .30357 .50595 .37263 .50238 .36664 Mtetra
.969 .654 .35 r
.50238 .36664 .50595 .37263 .51218 .44616 .50853 .43939 Mtetra
.921 .555 .125 r
.50853 .43939 .51218 .44616 .51882 .47277 .51514 .46615 Mtetra
.945 .715 .559 r
.51514 .46615 .51882 .47277 .52558 .43164 .52195 .426 Mtetra
.964 .708 .498 r
.52195 .426 .52558 .43164 .53211 .35104 .52858 .34647 Mtetra
.966 .715 .503 r
.52858 .34647 .53211 .35104 .53839 .28324 .53493 .27918 Mtetra
.933 .769 .655 r
.53493 .27918 .53839 .28324 .54473 .26649 .5413 .26215 Mtetra
.955 .61 .271 r
.5413 .26215 .54473 .26649 .55152 .3075 .54805 .3023 Mtetra
.968 .647 .331 r
.54805 .3023 .55152 .3075 .55885 .37989 .55529 .37372 Mtetra
.963 .632 .286 r
.55529 .37372 .55885 .37989 .56628 .43557 .56267 .42891 Mtetra
.6 .622 .845 r
.56267 .42891 .56628 .43557 .57313 .43386 .56953 .42756 Mtetra
.962 .713 .512 r
.56953 .42756 .57313 .43386 .57903 .37508 .57551 .36972 Mtetra
.969 .71 .486 r
.57551 .36972 .57903 .37508 .58438 .29898 .58096 .29447 Mtetra
.968 .727 .518 r
.58096 .29447 .58438 .29898 .59004 .25178 .58668 .24756 Mtetra
0 .157 .679 r
.58668 .24756 .59004 .25178 .59677 .25787 .59341 .2533 Mtetra
.959 .62 .274 r
.59341 .2533 .59677 .25787 .60473 .31022 .6013 .30487 Mtetra
.963 .632 .286 r
.6013 .30487 .60473 .31022 .61326 .37414 .60975 .36801 Mtetra
.917 .548 .113 r
.60975 .36801 .61326 .37414 .62111 .40497 .61756 .39857 Mtetra
.937 .732 .601 r
.61756 .39857 .62111 .40497 .62732 .37967 .62382 .3737 Mtetra
.97 .713 .488 r
.62382 .3737 .62732 .37967 .63212 .31533 .62871 .31015 Mtetra
.973 .717 .485 r
.62871 .31015 .63212 .31533 .63675 .25362 .63344 .2491 Mtetra
.957 .758 .594 r
.63344 .2491 .63675 .25362 .64261 .22982 .63933 .22547 Mtetra
.895 .499 .065 r
.63933 .22547 .64261 .22982 .65033 .25381 .64703 .2491 Mtetra
.954 .61 .241 r
.64703 .2491 .65033 .25381 .65946 .30736 .65608 .30198 Mtetra
.944 .592 .198 r
.65608 .30198 .65946 .30736 .66851 .35333 .66507 .34735 Mtetra
.084 .343 .816 r
.66507 .34735 .66851 .35333 .67584 .35826 .6724 .35216 Mtetra
.966 .727 .524 r
.6724 .35216 .67584 .35826 .68096 .31762 .67758 .31194 Mtetra
.975 .717 .478 r
.67758 .31194 .68096 .31762 .68498 .25877 .6817 .25376 Mtetra
.974 .734 .512 r
.6817 .25376 .68498 .25877 .68974 .21798 .68654 .21346 Mtetra
.6 .709 .921 r
.68654 .21346 .68974 .21798 .69656 .21649 .69337 .21204 Mtetra
.92 .546 .125 r
.69337 .21204 .69656 .21649 .70551 .25073 .70227 .24593 Mtetra
.936 .576 .169 r
.70227 .24593 .70551 .25073 .71527 .29534 .71196 .28995 Mtetra
.823 .424 0 r
.71196 .28995 .71527 .29534 .72386 .31774 .72051 .31191 Mtetra
.927 .756 .65 r
.72051 .31191 .72386 .31774 .72999 .30072 .72666 .29489 Mtetra
.975 .726 .494 r
.72666 .29489 .72999 .30072 .73415 .25551 .73091 .25012 Mtetra
.978 .73 .492 r
.73091 .25012 .73415 .25551 .73821 .21147 .73506 .20663 Mtetra
.946 .776 .639 r
.73506 .20663 .73821 .21147 .74402 .19389 .74092 .1894 Mtetra
.725 .297 0 r
.74092 .1894 .74402 .19389 .75226 .20941 .74915 .20487 Mtetra
.902 .523 .078 r
.74915 .20487 .75226 .20941 .76206 .24378 .7589 .23884 Mtetra
.854 .462 0 r
.7589 .23884 .76206 .24378 .77147 .27082 .76825 .26539 Mtetra
.602 .676 .893 r
.76825 .26539 .77147 .27082 .77871 .2696 .77548 .26392 Mtetra
.971 .747 .543 r
.77548 .26392 .77871 .2696 .78358 .23998 .7804 .23446 Mtetra
.979 .737 .498 r
.7804 .23446 .78358 .23998 .78758 .20167 .78448 .19658 Mtetra
.968 .765 .576 r
.78448 .19658 .78758 .20167 .79273 .17796 .7897 .17329 Mtetra
.244 .504 .902 r
.7897 .17329 .79273 .17796 .80019 .18041 .79719 .17588 Mtetra
.735 .755 .869 r
.17119 .38998 .17514 .39367 .18089 .39039 .17695 .38665 Mtetra
.94 .592 .333 r
.17695 .38665 .18089 .39039 .18421 .41023 .18028 .40617 Mtetra
.947 .634 .408 r
.18028 .40617 .18421 .41023 .18644 .44137 .18252 .4369 Mtetra
.946 .602 .33 r
.18252 .4369 .18644 .44137 .18979 .46279 .18587 .45807 Mtetra
.768 .721 .809 r
.18587 .45807 .18979 .46279 .19588 .4578 .19196 .45319 Mtetra
.913 .712 .619 r
.19196 .45319 .19588 .4578 .20445 .42768 .20053 .42346 Mtetra
.921 .712 .604 r
.20053 .42346 .20445 .42768 .2135 .39181 .20959 .38798 Mtetra
.902 .735 .665 r
.20959 .38798 .2135 .39181 .22072 .37394 .21683 .3702 Mtetra
.909 .501 .167 r
.21683 .3702 .22072 .37394 .22503 .38684 .22116 .38281 Mtetra
.95 .641 .415 r
.22116 .38281 .22503 .38684 .22717 .42409 .2233 .41952 Mtetra
.953 .644 .411 r
.2233 .41952 .22717 .42409 .2294 .46206 .22552 .45704 Mtetra
.868 .443 .016 r
.22552 .45704 .2294 .46206 .23411 .47357 .23022 .46851 Mtetra
.907 .714 .631 r
.23022 .46851 .23411 .47357 .24207 .44814 .23818 .44349 Mtetra
.928 .708 .583 r
.23818 .44349 .24207 .44814 .25174 .40171 .24787 .39764 Mtetra
.928 .716 .597 r
.24787 .39764 .25174 .40171 .26047 .36501 .25662 .36124 Mtetra
.707 .754 .889 r
.25662 .36124 .26047 .36501 .26632 .36239 .26249 .35843 Mtetra
.952 .634 .392 r
.26249 .35843 .26632 .36239 .26919 .39733 .26537 .39276 Mtetra
.955 .656 .428 r
.26537 .39276 .26919 .39733 .2709 .4492 .26707 .44395 Mtetra
.958 .636 .367 r
.26707 .44395 .2709 .4492 .27417 .48303 .27033 .4775 Mtetra
.838 .716 .729 r
.27033 .4775 .27417 .48303 .28086 .47279 .277 .46763 Mtetra
.932 .707 .575 r
.277 .46763 .28086 .47279 .29034 .42359 .28649 .41916 Mtetra
.938 .709 .565 r
.28649 .41916 .29034 .42359 .3001 .36832 .29628 .36446 Mtetra
.925 .732 .623 r
.29628 .36446 .3001 .36832 .30761 .34309 .30383 .33922 Mtetra
.942 .581 .282 r
.30383 .33922 .30761 .34309 .31192 .36475 .30816 .36029 Mtetra
.957 .657 .421 r
.30816 .36029 .31192 .36475 .31403 .42176 .31026 .41641 Mtetra
.961 .658 .412 r
.31026 .41641 .31403 .42176 .31642 .47788 .31263 .47194 Mtetra
.887 .487 .046 r
.31263 .47194 .31642 .47788 .32158 .49278 .31775 .48701 Mtetra
.927 .709 .587 r
.31775 .48701 .32158 .49278 .33004 .45335 .32621 .44841 Mtetra
.943 .706 .549 r
.32621 .44841 .33004 .45335 .33998 .38599 .33619 .38191 Mtetra
.944 .715 .561 r
.33619 .38191 .33998 .38599 .34877 .33533 .34503 .33154 Mtetra
.691 .757 .902 r
.34503 .33154 .34877 .33533 .35477 .33321 .35107 .32897 Mtetra
.959 .647 .391 r
.35107 .32897 .35477 .33321 .35813 .38207 .35442 .37684 Mtetra
.962 .663 .415 r
.35442 .37684 .35813 .38207 .36061 .45262 .35687 .44647 Mtetra
.965 .647 .357 r
.35687 .44647 .36061 .45262 .36463 .49726 .36084 .49091 Mtetra
.87 .711 .682 r
.36084 .49091 .36463 .49726 .37162 .48196 .36781 .47634 Mtetra
.946 .705 .543 r
.36781 .47634 .37162 .48196 .38084 .41565 .37707 .41114 Mtetra
.951 .708 .534 r
.37707 .41114 .38084 .41565 .39007 .34363 .38637 .3398 Mtetra
.944 .732 .587 r
.38637 .3398 .39007 .34363 .39745 .31122 .39379 .30723 Mtetra
.947 .589 .274 r
.39379 .30723 .39745 .31122 .40244 .33767 .39879 .33279 Mtetra
.964 .659 .399 r
.39879 .33279 .40244 .33767 .40594 .40779 .40226 .40176 Mtetra
.967 .661 .389 r
.40226 .40176 .40594 .40779 .40977 .47716 .40603 .47047 Mtetra
.896 .514 .063 r
.40603 .47047 .40977 .47716 .41554 .49614 .41177 .4898 Mtetra
.94 .709 .561 r
.41177 .4898 .41554 .49614 .42348 .44876 .41973 .44355 Mtetra
.955 .706 .521 r
.41973 .44355 .42348 .44876 .43222 .3679 .42854 .36375 Mtetra
.957 .715 .531 r
.42854 .36375 .43222 .3679 .44015 .30614 .43654 .3023 Mtetra
.839 .785 .8 r
.43654 .3023 .44015 .30614 .44647 .29977 .44289 .29537 Mtetra
.963 .641 .355 r
.44289 .29537 .44647 .29977 .45144 .35176 .44783 .34622 Mtetra
.968 .661 .383 r
.44783 .34622 .45144 .35176 .45607 .43065 .45239 .42405 Mtetra
.967 .645 .329 r
.45239 .42405 .45607 .43065 .46154 .48333 .45781 .4765 Mtetra
.849 .707 .705 r
.45781 .4765 .46154 .48333 .46836 .47072 .46463 .46468 Mtetra
.956 .707 .521 r
.46463 .46468 .46836 .47072 .47603 .40052 .47237 .39571 Mtetra
.962 .709 .507 r
.47237 .39571 .47603 .40052 .48358 .32016 .48 .31614 Mtetra
.958 .73 .55 r
.48 .31614 .48358 .32016 .49039 .27889 .48687 .27483 Mtetra
.91 .51 .119 r
.48687 .27483 .49039 .27889 .4965 .29871 .49297 .29383 Mtetra
.967 .65 .354 r
.49297 .29383 .4965 .29871 .50238 .36664 .49879 .36062 Mtetra
.969 .654 .349 r
.49879 .36062 .50238 .36664 .50853 .43939 .50487 .43261 Mtetra
.922 .556 .128 r
.50487 .43261 .50853 .43939 .51514 .46615 .51145 .45951 Mtetra
.944 .715 .561 r
.51145 .45951 .51514 .46615 .52195 .426 .51831 .42033 Mtetra
.964 .708 .499 r
.51831 .42033 .52195 .426 .52858 .34647 .52502 .34188 Mtetra
.966 .715 .504 r
.52502 .34188 .52858 .34647 .53493 .27918 .53147 .27509 Mtetra
.934 .768 .652 r
.53147 .27509 .53493 .27918 .5413 .26215 .53786 .2578 Mtetra
.955 .608 .267 r
.53786 .2578 .5413 .26215 .54805 .3023 .54457 .29709 Mtetra
.967 .646 .33 r
.54457 .29709 .54805 .3023 .55529 .37372 .55172 .36752 Mtetra
.963 .631 .285 r
.55172 .36752 .55529 .37372 .56267 .42891 .55904 .42223 Mtetra
.581 .612 .849 r
.55904 .42223 .56267 .42891 .56953 .42756 .56591 .42125 Mtetra
.962 .713 .514 r
.56591 .42125 .56953 .42756 .57551 .36972 .57197 .36433 Mtetra
.969 .711 .487 r
.57197 .36433 .57551 .36972 .58096 .29447 .57752 .28993 Mtetra
.968 .727 .519 r
.57752 .28993 .58096 .29447 .58668 .24756 .58331 .24332 Mtetra
0 .193 .709 r
.58331 .24332 .58668 .24756 .59341 .2533 .59003 .24872 Mtetra
.959 .619 .272 r
.59003 .24872 .59341 .2533 .6013 .30487 .59786 .29951 Mtetra
.963 .631 .285 r
.59786 .29951 .6013 .30487 .60975 .36801 .60622 .36187 Mtetra
.916 .546 .111 r
.60622 .36187 .60975 .36801 .61756 .39857 .614 .39216 Mtetra
.935 .732 .603 r
.614 .39216 .61756 .39857 .62382 .3737 .6203 .3677 Mtetra
.97 .713 .489 r
.6203 .3677 .62382 .3737 .62871 .31015 .62529 .30495 Mtetra
.973 .717 .486 r
.62529 .30495 .62871 .31015 .63344 .2491 .63012 .24455 Mtetra
.956 .758 .595 r
.63012 .24455 .63344 .2491 .63933 .22547 .63605 .2211 Mtetra
.892 .496 .059 r
.63605 .2211 .63933 .22547 .64703 .2491 .64371 .24438 Mtetra
.954 .609 .24 r
.64371 .24438 .64703 .2491 .65608 .30198 .65269 .29659 Mtetra
.944 .591 .196 r
.65269 .29659 .65608 .30198 .66507 .34735 .66161 .34135 Mtetra
.096 .351 .82 r
.66161 .34135 .66507 .34735 .6724 .35216 .66894 .34603 Mtetra
.966 .727 .526 r
.66894 .34603 .6724 .35216 .67758 .31194 .67419 .30623 Mtetra
.975 .717 .479 r
.67419 .30623 .67758 .31194 .6817 .25376 .67841 .24871 Mtetra
.973 .734 .514 r
.67841 .24871 .6817 .25376 .68654 .21346 .68332 .20891 Mtetra
.593 .706 .922 r
.68332 .20891 .68654 .21346 .69337 .21204 .69017 .20759 Mtetra
.919 .544 .123 r
.69017 .20759 .69337 .21204 .70227 .24593 .69902 .24112 Mtetra
.935 .575 .167 r
.69902 .24112 .70227 .24593 .71196 .28995 .70865 .28455 Mtetra
.818 .417 0 r
.70865 .28455 .71196 .28995 .72051 .31191 .71715 .30606 Mtetra
.927 .756 .65 r
.71715 .30606 .72051 .31191 .72666 .29489 .72333 .28904 Mtetra
.975 .727 .495 r
.72333 .28904 .72666 .29489 .73091 .25012 .72765 .24469 Mtetra
.977 .73 .494 r
.72765 .24469 .73091 .25012 .73506 .20663 .73189 .20176 Mtetra
.945 .777 .643 r
.73189 .20176 .73506 .20663 .74092 .1894 .7378 .18488 Mtetra
.724 .296 0 r
.7378 .18488 .74092 .1894 .74915 .20487 .74603 .20032 Mtetra
.901 .521 .075 r
.74603 .20032 .74915 .20487 .7589 .23884 .75572 .2339 Mtetra
.851 .457 0 r
.75572 .2339 .7589 .23884 .76825 .26539 .76502 .25994 Mtetra
.617 .683 .89 r
.76502 .25994 .76825 .26539 .77548 .26392 .77224 .25821 Mtetra
.97 .747 .544 r
.77224 .25821 .77548 .26392 .7804 .23446 .77721 .2289 Mtetra
.979 .737 .5 r
.77721 .2289 .7804 .23446 .78448 .19658 .78137 .19146 Mtetra
.967 .765 .58 r
.78137 .19146 .78448 .19658 .7897 .17329 .78665 .1686 Mtetra
.227 .493 .898 r
.78665 .1686 .7897 .17329 .79719 .17588 .79416 .17135 Mtetra
.736 .755 .867 r
.16722 .38628 .17119 .38998 .17695 .38665 .173 .3829 Mtetra
.939 .589 .329 r
.173 .3829 .17695 .38665 .18028 .40617 .17634 .40207 Mtetra
.947 .633 .405 r
.17634 .40207 .18028 .40617 .18252 .4369 .17859 .43235 Mtetra
.947 .601 .326 r
.17859 .43235 .18252 .4369 .18587 .45807 .18194 .45325 Mtetra
.763 .717 .81 r
.18194 .45325 .18587 .45807 .19196 .45319 .18803 .44848 Mtetra
.911 .712 .62 r
.18803 .44848 .19196 .45319 .20053 .42346 .1966 .41917 Mtetra
.92 .712 .605 r
.1966 .41917 .20053 .42346 .20959 .38798 .20567 .38411 Mtetra
.901 .734 .666 r
.20567 .38411 .20959 .38798 .21683 .3702 .21293 .36645 Mtetra
.905 .494 .156 r
.21293 .36645 .21683 .3702 .22116 .38281 .21727 .37876 Mtetra
.95 .64 .413 r
.21727 .37876 .22116 .38281 .2233 .41952 .21942 .41489 Mtetra
.953 .644 .408 r
.21942 .41489 .2233 .41952 .22552 .45704 .22164 .45191 Mtetra
.864 .439 .006 r
.22164 .45191 .22552 .45704 .23022 .46851 .22633 .46331 Mtetra
.905 .713 .632 r
.22633 .46331 .23022 .46851 .23818 .44349 .23429 .43874 Mtetra
.928 .707 .584 r
.23429 .43874 .23818 .44349 .24787 .39764 .24399 .3935 Mtetra
.927 .716 .597 r
.24399 .3935 .24787 .39764 .25662 .36124 .25276 .35745 Mtetra
.716 .755 .883 r
.25276 .35745 .25662 .36124 .26249 .35843 .25865 .35446 Mtetra
.951 .633 .389 r
.25865 .35446 .26249 .35843 .26537 .39276 .26155 .38814 Mtetra
.955 .655 .426 r
.26155 .38814 .26537 .39276 .26707 .44395 .26324 .43858 Mtetra
.959 .636 .364 r
.26324 .43858 .26707 .44395 .27033 .4775 .26648 .47181 Mtetra
.832 .712 .732 r
.26648 .47181 .27033 .4775 .277 .46763 .27314 .46231 Mtetra
.931 .706 .576 r
.27314 .46231 .277 .46763 .28649 .41916 .28264 .41464 Mtetra
.937 .708 .566 r
.28264 .41464 .28649 .41916 .29628 .36446 .29245 .36056 Mtetra
.925 .732 .623 r
.29245 .36056 .29628 .36446 .30383 .33922 .30004 .33535 Mtetra
.94 .576 .274 r
.30004 .33535 .30383 .33922 .30816 .36029 .30439 .35578 Mtetra
.957 .656 .42 r
.30439 .35578 .30816 .36029 .31026 .41641 .30648 .41096 Mtetra
.961 .658 .41 r
.30648 .41096 .31026 .41641 .31263 .47194 .30882 .46583 Mtetra
.886 .489 .044 r
.30882 .46583 .31263 .47194 .31775 .48701 .31392 .48105 Mtetra
.926 .708 .589 r
.31392 .48105 .31775 .48701 .32621 .44841 .32238 .44332 Mtetra
.943 .705 .55 r
.32238 .44332 .32621 .44841 .33619 .38191 .33239 .37776 Mtetra
.944 .715 .562 r
.33239 .37776 .33619 .38191 .34503 .33154 .34128 .32773 Mtetra
.715 .762 .89 r
.34128 .32773 .34503 .33154 .35107 .32897 .34735 .3247 Mtetra
.959 .645 .389 r
.34735 .3247 .35107 .32897 .35442 .37684 .35071 .37153 Mtetra
.963 .663 .414 r
.35071 .37153 .35442 .37684 .35687 .44647 .35312 .44016 Mtetra
.965 .647 .355 r
.35312 .44016 .35687 .44647 .36084 .49091 .35705 .48435 Mtetra
.863 .707 .687 r
.35705 .48435 .36084 .49091 .36781 .47634 .36401 .47053 Mtetra
.945 .705 .545 r
.36401 .47053 .36781 .47634 .37707 .41114 .37329 .4065 Mtetra
.951 .708 .535 r
.37329 .4065 .37707 .41114 .38637 .3398 .38265 .33592 Mtetra
.943 .732 .587 r
.38265 .33592 .38637 .3398 .39379 .30723 .39013 .30324 Mtetra
.945 .584 .265 r
.39013 .30324 .39379 .30723 .39879 .33279 .39514 .32787 Mtetra
.964 .659 .398 r
.39514 .32787 .39879 .33279 .40226 .40176 .39857 .39561 Mtetra
.967 .661 .387 r
.39857 .39561 .40226 .40176 .40603 .47047 .40229 .46357 Mtetra
.896 .517 .064 r
.40229 .46357 .40603 .47047 .41177 .4898 .408 .48322 Mtetra
.938 .708 .564 r
.408 .48322 .41177 .4898 .41973 .44355 .41597 .43816 Mtetra
.954 .706 .522 r
.41597 .43816 .41973 .44355 .42854 .36375 .42485 .35951 Mtetra
.957 .715 .531 r
.42485 .35951 .42854 .36375 .43654 .3023 .43292 .29844 Mtetra
.849 .784 .788 r
.43292 .29844 .43654 .3023 .44289 .29537 .4393 .29094 Mtetra
.962 .64 .352 r
.4393 .29094 .44289 .29537 .44783 .34622 .44421 .34061 Mtetra
.968 .66 .382 r
.44421 .34061 .44783 .34622 .45239 .42405 .44871 .4173 Mtetra
.967 .645 .326 r
.44871 .4173 .45239 .42405 .45781 .4765 .45407 .46944 Mtetra
.837 .7 .712 r
.45407 .46944 .45781 .4765 .46463 .46468 .4609 .45842 Mtetra
.954 .707 .523 r
.4609 .45842 .46463 .46468 .47237 .39571 .4687 .39075 Mtetra
.961 .709 .508 r
.4687 .39075 .47237 .39571 .48 .31614 .47641 .31207 Mtetra
.958 .729 .55 r
.47641 .31207 .48 .31614 .48687 .27483 .48333 .27076 Mtetra
.903 .499 .102 r
.48333 .27076 .48687 .27483 .49297 .29383 .48943 .28893 Mtetra
.967 .649 .352 r
.48943 .28893 .49297 .29383 .49879 .36062 .49519 .3545 Mtetra
.969 .653 .347 r
.49519 .3545 .49879 .36062 .50487 .43261 .50119 .42562 Mtetra
.921 .556 .124 r
.50119 .42562 .50487 .43261 .51145 .45951 .50775 .45263 Mtetra
.942 .714 .564 r
.50775 .45263 .51145 .45951 .51831 .42033 .51465 .41446 Mtetra
.963 .707 .501 r
.51465 .41446 .51831 .42033 .52502 .34188 .52146 .33717 Mtetra
.966 .715 .505 r
.52146 .33717 .52502 .34188 .53147 .27509 .52798 .27098 Mtetra
.934 .767 .65 r
.52798 .27098 .53147 .27509 .53786 .2578 .5344 .25344 Mtetra
.954 .605 .263 r
.5344 .25344 .53786 .2578 .54457 .29709 .54107 .29183 Mtetra
.967 .645 .328 r
.54107 .29183 .54457 .29709 .55172 .36752 .54814 .3612 Mtetra
.963 .631 .282 r
.54814 .3612 .55172 .36752 .55904 .42223 .5554 .41534 Mtetra
.561 .596 .846 r
.5554 .41534 .55904 .42223 .56591 .42125 .56227 .41471 Mtetra
.961 .712 .516 r
.56227 .41471 .56591 .42125 .57197 .36433 .56842 .35878 Mtetra
.969 .71 .488 r
.56842 .35878 .57197 .36433 .57752 .28993 .57407 .28531 Mtetra
.968 .727 .52 r
.57407 .28531 .57752 .28993 .58331 .24332 .57992 .23906 Mtetra
0 .229 .738 r
.57992 .23906 .58331 .24332 .59003 .24872 .58664 .24412 Mtetra
.958 .617 .269 r
.58664 .24412 .59003 .24872 .59786 .29951 .5944 .29407 Mtetra
.963 .63 .283 r
.5944 .29407 .59786 .29951 .60622 .36187 .60269 .35558 Mtetra
.913 .544 .104 r
.60269 .35558 .60622 .36187 .614 .39216 .61043 .38555 Mtetra
.932 .73 .606 r
.61043 .38555 .614 .39216 .6203 .3677 .61677 .36153 Mtetra
.969 .713 .491 r
.61677 .36153 .6203 .3677 .62529 .30495 .62186 .29963 Mtetra
.973 .717 .488 r
.62186 .29963 .62529 .30495 .63012 .24455 .62677 .23994 Mtetra
.955 .758 .597 r
.62677 .23994 .63012 .24455 .63605 .2211 .63275 .2167 Mtetra
.89 .492 .054 r
.63275 .2167 .63605 .2211 .64371 .24438 .64038 .23963 Mtetra
.953 .608 .237 r
.64038 .23963 .64371 .24438 .65269 .29659 .64929 .2911 Mtetra
.943 .589 .192 r
.64929 .2911 .65269 .29659 .66161 .34135 .65814 .33521 Mtetra
.122 .363 .824 r
.65814 .33521 .66161 .34135 .66894 .34603 .66546 .33973 Mtetra
.964 .726 .528 r
.66546 .33973 .66894 .34603 .67419 .30623 .67078 .30038 Mtetra
.974 .717 .481 r
.67078 .30038 .67419 .30623 .67841 .24871 .6751 .24358 Mtetra
.973 .734 .516 r
.6751 .24358 .67841 .24871 .68332 .20891 .68008 .20434 Mtetra
.585 .702 .923 r
.68008 .20434 .68332 .20891 .69017 .20759 .68695 .20311 Mtetra
.918 .542 .12 r
.68695 .20311 .69017 .20759 .69902 .24112 .69576 .23626 Mtetra
.934 .573 .163 r
.69576 .23626 .69902 .24112 .70865 .28455 .70531 .27905 Mtetra
.808 .408 0 r
.70531 .27905 .70865 .28455 .71715 .30606 .71378 .30007 Mtetra
.925 .754 .65 r
.71378 .30007 .71715 .30606 .72333 .28904 .71998 .28305 Mtetra
.974 .726 .497 r
.71998 .28305 .72333 .28904 .72765 .24469 .72438 .23917 Mtetra
.977 .73 .496 r
.72438 .23917 .72765 .24469 .73189 .20176 .72871 .19684 Mtetra
.942 .777 .648 r
.72871 .19684 .73189 .20176 .7378 .18488 .73467 .18035 Mtetra
.723 .295 0 r
.73467 .18035 .7378 .18488 .74603 .20032 .74289 .19574 Mtetra
.899 .519 .071 r
.74289 .19574 .74603 .20032 .75572 .2339 .75253 .22889 Mtetra
.845 .45 0 r
.75253 .22889 .75572 .2339 .76502 .25994 .76177 .25439 Mtetra
.631 .687 .884 r
.76177 .25439 .76502 .25994 .77224 .25821 .76898 .25239 Mtetra
.969 .746 .546 r
.76898 .25239 .77224 .25821 .77721 .2289 .774 .22326 Mtetra
.978 .737 .503 r
.774 .22326 .77721 .2289 .78137 .19146 .77824 .1863 Mtetra
.966 .766 .584 r
.77824 .1863 .78137 .19146 .78665 .1686 .7836 .16389 Mtetra
.21 .482 .893 r
.7836 .16389 .78665 .1686 .79416 .17135 .79113 .1668 Mtetra
.738 .755 .866 r
.16324 .38256 .16722 .38628 .173 .3829 .16903 .37912 Mtetra
.939 .587 .324 r
.16903 .37912 .173 .3829 .17634 .40207 .17239 .39794 Mtetra
.947 .632 .403 r
.17239 .39794 .17634 .40207 .17859 .43235 .17465 .42774 Mtetra
.947 .6 .321 r
.17465 .42774 .17859 .43235 .18194 .45325 .17801 .44835 Mtetra
.759 .714 .81 r
.17801 .44835 .18194 .45325 .18803 .44848 .18409 .44369 Mtetra
.91 .711 .621 r
.18409 .44369 .18803 .44848 .1966 .41917 .19266 .41482 Mtetra
.919 .712 .606 r
.19266 .41482 .1966 .41917 .20567 .38411 .20173 .38021 Mtetra
.9 .734 .667 r
.20173 .38021 .20567 .38411 .21293 .36645 .209 .36268 Mtetra
.902 .487 .144 r
.209 .36268 .21293 .36645 .21727 .37876 .21336 .37468 Mtetra
.95 .639 .411 r
.21336 .37468 .21727 .37876 .21942 .41489 .21553 .4102 Mtetra
.953 .643 .406 r
.21553 .4102 .21942 .41489 .22164 .45191 .21775 .44667 Mtetra
.86 .435 0 r
.21775 .44667 .22164 .45191 .22633 .46331 .22244 .458 Mtetra
.903 .712 .634 r
.22244 .458 .22633 .46331 .23429 .43874 .23039 .43389 Mtetra
.927 .707 .585 r
.23039 .43389 .23429 .43874 .24399 .3935 .24009 .38931 Mtetra
.927 .716 .598 r
.24009 .38931 .24399 .3935 .25276 .35745 .24888 .35364 Mtetra
.724 .756 .878 r
.24888 .35364 .25276 .35745 .25865 .35446 .2548 .35046 Mtetra
.951 .631 .386 r
.2548 .35046 .25865 .35446 .26155 .38814 .25771 .38346 Mtetra
.955 .655 .425 r
.25771 .38346 .26155 .38814 .26324 .43858 .2594 .43311 Mtetra
.959 .636 .362 r
.2594 .43311 .26324 .43858 .26648 .47181 .26263 .46598 Mtetra
.826 .708 .735 r
.26263 .46598 .26648 .47181 .27314 .46231 .26927 .45685 Mtetra
.93 .706 .578 r
.26927 .45685 .27314 .46231 .28264 .41464 .27877 .41002 Mtetra
.937 .708 .567 r
.27877 .41002 .28264 .41464 .29245 .36056 .28861 .35662 Mtetra
.925 .732 .623 r
.28861 .35662 .29245 .36056 .30004 .33535 .29623 .33145 Mtetra
.939 .571 .265 r
.29623 .33145 .30004 .33535 .30439 .35578 .3006 .35125 Mtetra
.957 .655 .418 r
.3006 .35125 .30439 .35578 .30648 .41096 .3027 .40542 Mtetra
.961 .658 .409 r
.3027 .40542 .30648 .41096 .30882 .46583 .30502 .45958 Mtetra
.886 .49 .043 r
.30502 .45958 .30882 .46583 .31392 .48105 .31009 .47492 Mtetra
.924 .707 .591 r
.31009 .47492 .31392 .48105 .32238 .44332 .31854 .4381 Mtetra
.942 .705 .551 r
.31854 .4381 .32238 .44332 .33239 .37776 .32858 .37354 Mtetra
.943 .715 .563 r
.32858 .37354 .33239 .37776 .34128 .32773 .33751 .32391 Mtetra
.736 .766 .877 r
.33751 .32391 .34128 .32773 .34735 .3247 .34362 .32041 Mtetra
.959 .644 .386 r
.34362 .32041 .34735 .3247 .35071 .37153 .34698 .36617 Mtetra
.963 .662 .412 r
.34698 .36617 .35071 .37153 .35312 .44016 .34937 .43372 Mtetra
.966 .647 .353 r
.34937 .43372 .35312 .44016 .35705 .48435 .35326 .47761 Mtetra
.855 .703 .693 r
.35326 .47761 .35705 .48435 .36401 .47053 .3602 .46453 Mtetra
.944 .704 .546 r
.3602 .46453 .36401 .47053 .37329 .4065 .36951 .40175 Mtetra
.95 .708 .536 r
.36951 .40175 .37329 .4065 .38265 .33592 .37892 .332 Mtetra
.943 .732 .587 r
.37892 .332 .38265 .33592 .39013 .30324 .38644 .29923 Mtetra
.943 .579 .256 r
.38644 .29923 .39013 .30324 .39514 .32787 .39147 .32292 Mtetra
.964 .658 .396 r
.39147 .32292 .39514 .32787 .39857 .39561 .39488 .38937 Mtetra
.967 .661 .386 r
.39488 .38937 .39857 .39561 .40229 .46357 .39854 .4565 Mtetra
.897 .521 .066 r
.39854 .4565 .40229 .46357 .408 .48322 .40422 .47644 Mtetra
.936 .707 .566 r
.40422 .47644 .408 .48322 .41597 .43816 .41221 .4326 Mtetra
.954 .705 .523 r
.41221 .4326 .41597 .43816 .42485 .35951 .42114 .35518 Mtetra
.956 .715 .532 r
.42114 .35518 .42485 .35951 .43292 .29844 .42928 .29455 Mtetra
.858 .783 .777 r
.42928 .29455 .43292 .29844 .4393 .29094 .43569 .2865 Mtetra
.962 .638 .349 r
.43569 .2865 .4393 .29094 .44421 .34061 .44058 .33493 Mtetra
.968 .66 .38 r
.44058 .33493 .44421 .34061 .44871 .4173 .44503 .4104 Mtetra
.967 .645 .324 r
.44503 .4104 .44871 .4173 .45407 .46944 .45033 .46217 Mtetra
.825 .693 .718 r
.45033 .46217 .45407 .46944 .4609 .45842 .45716 .45195 Mtetra
.953 .706 .525 r
.45716 .45195 .4609 .45842 .4687 .39075 .46501 .38564 Mtetra
.961 .708 .509 r
.46501 .38564 .4687 .39075 .47641 .31207 .47281 .30794 Mtetra
.958 .729 .55 r
.47281 .30794 .47641 .31207 .48333 .27076 .47978 .26667 Mtetra
.896 .487 .083 r
.47978 .26667 .48333 .27076 .48943 .28893 .48588 .28399 Mtetra
.966 .648 .35 r
.48588 .28399 .48943 .28893 .49519 .3545 .49158 .34829 Mtetra
.969 .653 .345 r
.49158 .34829 .49519 .3545 .50119 .42562 .49751 .41847 Mtetra
.92 .556 .121 r
.49751 .41847 .50119 .42562 .50775 .45263 .50404 .44554 Mtetra
.939 .712 .567 r
.50404 .44554 .50775 .45263 .51465 .41446 .51098 .40841 Mtetra
.962 .707 .502 r
.51098 .40841 .51465 .41446 .52146 .33717 .51788 .33236 Mtetra
.966 .715 .506 r
.51788 .33236 .52146 .33717 .52798 .27098 .52448 .26682 Mtetra
.935 .766 .649 r
.52448 .26682 .52798 .27098 .5344 .25344 .53093 .24906 Mtetra
.953 .603 .258 r
.53093 .24906 .5344 .25344 .54107 .29183 .53756 .28652 Mtetra
.967 .645 .326 r
.53756 .28652 .54107 .29183 .54814 .3612 .54455 .35476 Mtetra
.963 .63 .279 r
.54455 .35476 .54814 .3612 .5554 .41534 .55174 .40828 Mtetra
.542 .581 .843 r
.55174 .40828 .5554 .41534 .56227 .41471 .55863 .40799 Mtetra
.959 .711 .518 r
.55863 .40799 .56227 .41471 .56842 .35878 .56485 .35309 Mtetra
.968 .71 .49 r
.56485 .35309 .56842 .35878 .57407 .28531 .5706 .28062 Mtetra
.967 .727 .521 r
.5706 .28062 .57407 .28531 .57992 .23906 .57652 .23478 Mtetra
0 .265 .765 r
.57652 .23478 .57992 .23906 .58664 .24412 .58323 .23949 Mtetra
.958 .616 .267 r
.58323 .23949 .58664 .24412 .5944 .29407 .59093 .28857 Mtetra
.962 .629 .28 r
.59093 .28857 .5944 .29407 .60269 .35558 .59913 .34916 Mtetra
.91 .541 .097 r
.59913 .34916 .60269 .35558 .61043 .38555 .60684 .37877 Mtetra
.929 .728 .609 r
.60684 .37877 .61043 .38555 .61677 .36153 .61322 .35519 Mtetra
.968 .713 .493 r
.61322 .35519 .61677 .36153 .62186 .29963 .61841 .29419 Mtetra
.972 .717 .489 r
.61841 .29419 .62186 .29963 .62677 .23994 .62342 .23529 Mtetra
.955 .758 .599 r
.62342 .23529 .62677 .23994 .63275 .2167 .62943 .2123 Mtetra
.887 .488 .047 r
.62943 .2123 .63275 .2167 .64038 .23963 .63704 .23484 Mtetra
.953 .606 .235 r
.63704 .23484 .64038 .23963 .64929 .2911 .64587 .28554 Mtetra
.941 .587 .187 r
.64587 .28554 .64929 .2911 .65814 .33521 .65465 .32894 Mtetra
.146 .374 .828 r
.65465 .32894 .65814 .33521 .66546 .33973 .66197 .33328 Mtetra
.963 .725 .53 r
.66197 .33328 .66546 .33973 .67078 .30038 .66735 .2944 Mtetra
.974 .717 .483 r
.66735 .2944 .67078 .30038 .6751 .24358 .67177 .23837 Mtetra
.972 .734 .518 r
.67177 .23837 .6751 .24358 .68008 .20434 .67683 .19973 Mtetra
.577 .697 .924 r
.67683 .19973 .68008 .20434 .68695 .20311 .68372 .19861 Mtetra
.916 .54 .116 r
.68372 .19861 .68695 .20311 .69576 .23626 .69248 .23136 Mtetra
.932 .571 .159 r
.69248 .23136 .69576 .23626 .70531 .27905 .70196 .27346 Mtetra
.798 .398 0 r
.70196 .27346 .70531 .27905 .71378 .30007 .71038 .29396 Mtetra
.924 .751 .65 r
.71038 .29396 .71378 .30007 .71998 .28305 .71661 .27694 Mtetra
.974 .726 .5 r
.71661 .27694 .71998 .28305 .72438 .23917 .72109 .23356 Mtetra
.976 .73 .499 r
.72109 .23356 .72438 .23917 .72871 .19684 .72551 .19188 Mtetra
.94 .778 .653 r
.72551 .19188 .72871 .19684 .73467 .18035 .73152 .1758 Mtetra
.722 .293 0 r
.73152 .1758 .73467 .18035 .74289 .19574 .73973 .19114 Mtetra
.897 .516 .067 r
.73973 .19114 .74289 .19574 .75253 .22889 .74932 .22382 Mtetra
.84 .444 0 r
.74932 .22382 .75253 .22889 .76177 .25439 .75851 .24875 Mtetra
.645 .69 .877 r
.75851 .24875 .76177 .25439 .76898 .25239 .7657 .24646 Mtetra
.968 .745 .547 r
.7657 .24646 .76898 .25239 .774 .22326 .77077 .21753 Mtetra
.978 .737 .505 r
.77077 .21753 .774 .22326 .77824 .1863 .7751 .18108 Mtetra
.964 .766 .589 r
.7751 .18108 .77824 .1863 .7836 .16389 .78052 .15916 Mtetra
.192 .47 .888 r
.78052 .15916 .7836 .16389 .79113 .1668 .78808 .16222 Mtetra
.74 .755 .865 r
.15924 .37882 .16324 .38256 .16903 .37912 .16505 .37533 Mtetra
.938 .584 .319 r
.16505 .37533 .16903 .37912 .17239 .39794 .16843 .39378 Mtetra
.947 .631 .4 r
.16843 .39378 .17239 .39794 .17465 .42774 .1707 .42311 Mtetra
.946 .598 .317 r
.1707 .42311 .17465 .42774 .17801 .44835 .17406 .44342 Mtetra
.755 .713 .813 r
.17406 .44342 .17801 .44835 .18409 .44369 .18014 .43888 Mtetra
.91 .712 .622 r
.18014 .43888 .18409 .44369 .19266 .41482 .1887 .41045 Mtetra
.919 .712 .607 r
.1887 .41045 .19266 .41482 .20173 .38021 .19778 .37629 Mtetra
.9 .735 .668 r
.19778 .37629 .20173 .38021 .209 .36268 .20507 .3589 Mtetra
.898 .479 .131 r
.20507 .3589 .209 .36268 .21336 .37468 .20944 .37059 Mtetra
.95 .638 .409 r
.20944 .37059 .21336 .37468 .21553 .4102 .21162 .40549 Mtetra
.953 .642 .404 r
.21162 .40549 .21553 .4102 .21775 .44667 .21385 .44142 Mtetra
.858 .432 0 r
.21385 .44142 .21775 .44667 .22244 .458 .21853 .45267 Mtetra
.902 .713 .636 r
.21853 .45267 .22244 .458 .23039 .43389 .22647 .42902 Mtetra
.927 .707 .586 r
.22647 .42902 .23039 .43389 .24009 .38931 .23618 .3851 Mtetra
.926 .716 .599 r
.23618 .3851 .24009 .38931 .24888 .35364 .24499 .34981 Mtetra
.731 .758 .874 r
.24499 .34981 .24888 .35364 .2548 .35046 .25093 .34646 Mtetra
.951 .63 .383 r
.25093 .34646 .2548 .35046 .25771 .38346 .25386 .37878 Mtetra
.955 .654 .423 r
.25386 .37878 .25771 .38346 .2594 .43311 .25555 .42763 Mtetra
.959 .635 .36 r
.25555 .42763 .2594 .43311 .26263 .46598 .25877 .46013 Mtetra
.821 .707 .74 r
.25877 .46013 .26263 .46598 .26927 .45685 .26539 .45138 Mtetra
.929 .706 .579 r
.26539 .45138 .26927 .45685 .27877 .41002 .27489 .40537 Mtetra
.937 .708 .568 r
.27489 .40537 .27877 .41002 .28861 .35662 .28476 .35266 Mtetra
.925 .732 .624 r
.28476 .35266 .28861 .35662 .29623 .33145 .29241 .32755 Mtetra
.937 .566 .256 r
.29241 .32755 .29623 .33145 .3006 .35125 .2968 .3467 Mtetra
.957 .655 .416 r
.2968 .3467 .3006 .35125 .3027 .40542 .29891 .39988 Mtetra
.961 .658 .407 r
.29891 .39988 .3027 .40542 .30502 .45958 .30121 .45331 Mtetra
.888 .494 .048 r
.30121 .45331 .30502 .45958 .31009 .47492 .30625 .46877 Mtetra
.923 .707 .593 r
.30625 .46877 .31009 .47492 .31854 .4381 .31469 .43285 Mtetra
.942 .705 .551 r
.31469 .43285 .31854 .4381 .32858 .37354 .32475 .36928 Mtetra
.943 .715 .563 r
.32475 .36928 .32858 .37354 .33751 .32391 .33373 .32006 Mtetra
.754 .77 .866 r
.33373 .32006 .33751 .32391 .34362 .32041 .33987 .31612 Mtetra
.958 .643 .384 r
.33987 .31612 .34362 .32041 .34698 .36617 .34324 .3608 Mtetra
.963 .662 .411 r
.34324 .3608 .34698 .36617 .34937 .43372 .3456 .42728 Mtetra
.966 .647 .352 r
.3456 .42728 .34937 .43372 .35326 .47761 .34946 .47085 Mtetra
.849 .702 .699 r
.34946 .47085 .35326 .47761 .3602 .46453 .35638 .45851 Mtetra
.943 .705 .547 r
.35638 .45851 .3602 .46453 .36951 .40175 .3657 .39696 Mtetra
.95 .708 .537 r
.3657 .39696 .36951 .40175 .37892 .332 .37517 .32805 Mtetra
.943 .732 .587 r
.37517 .32805 .37892 .332 .38644 .29923 .38274 .29521 Mtetra
.941 .573 .245 r
.38274 .29521 .38644 .29923 .39147 .32292 .38779 .31796 Mtetra
.964 .657 .395 r
.38779 .31796 .39147 .32292 .39488 .38937 .39117 .38311 Mtetra
.967 .661 .385 r
.39117 .38311 .39488 .38937 .39854 .4565 .39479 .44941 Mtetra
.901 .525 .074 r
.39479 .44941 .39854 .4565 .40422 .47644 .40043 .46963 Mtetra
.935 .707 .568 r
.40043 .46963 .40422 .47644 .41221 .4326 .40843 .42701 Mtetra
.954 .706 .524 r
.40843 .42701 .41221 .4326 .42114 .35518 .41742 .35082 Mtetra
.956 .715 .533 r
.41742 .35082 .42114 .35518 .42928 .29455 .42562 .29065 Mtetra
.865 .782 .768 r
.42562 .29065 .42928 .29455 .43569 .2865 .43206 .28206 Mtetra
.962 .637 .346 r
.43206 .28206 .43569 .2865 .44058 .33493 .43694 .32925 Mtetra
.968 .66 .379 r
.43694 .32925 .44058 .33493 .44503 .4104 .44133 .40349 Mtetra
.967 .645 .323 r
.44133 .40349 .44503 .4104 .45033 .46217 .44659 .45489 Mtetra
.815 .69 .727 r
.44659 .45489 .45033 .46217 .45716 .45195 .4534 .44545 Mtetra
.953 .706 .526 r
.4534 .44545 .45716 .45195 .46501 .38564 .46131 .3805 Mtetra
.961 .709 .51 r
.46131 .3805 .46501 .38564 .47281 .30794 .46919 .30378 Mtetra
.958 .729 .551 r
.46919 .30378 .47281 .30794 .47978 .26667 .47622 .26256 Mtetra
.888 .473 .061 r
.47622 .26256 .47978 .26667 .48588 .28399 .48231 .27905 Mtetra
.966 .647 .348 r
.48231 .27905 .48588 .28399 .49158 .34829 .48796 .34208 Mtetra
.969 .652 .344 r
.48796 .34208 .49158 .34829 .49751 .41847 .49382 .41131 Mtetra
.92 .557 .122 r
.49382 .41131 .49751 .41847 .50404 .44554 .50032 .43843 Mtetra
.938 .713 .57 r
.50032 .43843 .50404 .44554 .51098 .40841 .5073 .40232 Mtetra
.962 .707 .503 r
.5073 .40232 .51098 .40841 .51788 .33236 .51428 .32751 Mtetra
.965 .715 .506 r
.51428 .32751 .51788 .33236 .52448 .26682 .52097 .26264 Mtetra
.935 .766 .647 r
.52097 .26264 .52448 .26682 .53093 .24906 .52744 .24466 Mtetra
.952 .6 .254 r
.52744 .24466 .53093 .24906 .53756 .28652 .53403 .2812 Mtetra
.967 .644 .325 r
.53403 .2812 .53756 .28652 .54455 .35476 .54095 .34831 Mtetra
.962 .63 .277 r
.54095 .34831 .54455 .35476 .55174 .40828 .54808 .40121 Mtetra
.522 .571 .845 r
.54808 .40121 .55174 .40828 .55863 .40799 .55497 .40124 Mtetra
.959 .712 .52 r
.55497 .40124 .55863 .40799 .56485 .35309 .56127 .34736 Mtetra
.968 .71 .491 r
.56127 .34736 .56485 .35309 .5706 .28062 .56712 .27589 Mtetra
.967 .727 .522 r
.56712 .27589 .5706 .28062 .57652 .23478 .5731 .23047 Mtetra
0 .299 .79 r
.5731 .23047 .57652 .23478 .58323 .23949 .57981 .23486 Mtetra
.957 .614 .264 r
.57981 .23486 .58323 .23949 .59093 .28857 .58744 .28306 Mtetra
.962 .628 .278 r
.58744 .28306 .59093 .28857 .59913 .34916 .59557 .34274 Mtetra
.909 .538 .093 r
.59557 .34274 .59913 .34916 .60684 .37877 .60324 .37198 Mtetra
.928 .728 .611 r
.60324 .37198 .60684 .37877 .61322 .35519 .60966 .34882 Mtetra
.968 .713 .494 r
.60966 .34882 .61322 .35519 .61841 .29419 .61494 .28872 Mtetra
.972 .717 .491 r
.61494 .28872 .61841 .29419 .62342 .23529 .62005 .23061 Mtetra
.954 .758 .601 r
.62005 .23061 .62342 .23529 .62943 .2123 .6261 .20787 Mtetra
.884 .484 .041 r
.6261 .20787 .62943 .2123 .63704 .23484 .63368 .23005 Mtetra
.952 .605 .232 r
.63368 .23005 .63704 .23484 .64587 .28554 .64244 .27998 Mtetra
.94 .585 .184 r
.64244 .27998 .64587 .28554 .65465 .32894 .65116 .32265 Mtetra
.163 .386 .833 r
.65116 .32265 .65465 .32894 .66197 .33328 .65846 .32681 Mtetra
.963 .725 .532 r
.65846 .32681 .66197 .33328 .66735 .2944 .66391 .28839 Mtetra
.974 .717 .485 r
.66391 .28839 .66735 .2944 .67177 .23837 .66843 .23313 Mtetra
.972 .735 .521 r
.66843 .23313 .67177 .23837 .67683 .19973 .67357 .1951 Mtetra
.567 .692 .925 r
.67357 .1951 .67683 .19973 .68372 .19861 .68047 .19411 Mtetra
.915 .538 .113 r
.68047 .19411 .68372 .19861 .69248 .23136 .68919 .22645 Mtetra
.931 .569 .156 r
.68919 .22645 .69248 .23136 .70196 .27346 .6986 .26786 Mtetra
.791 .388 0 r
.6986 .26786 .70196 .27346 .71038 .29396 .70697 .28783 Mtetra
.924 .751 .65 r
.70697 .28783 .71038 .29396 .71661 .27694 .71322 .2708 Mtetra
.973 .726 .501 r
.71322 .2708 .71661 .27694 .72109 .23356 .71778 .22792 Mtetra
.976 .731 .501 r
.71778 .22792 .72109 .23356 .72551 .19188 .72229 .1869 Mtetra
.937 .778 .659 r
.72229 .1869 .72551 .19188 .73152 .1758 .72836 .17124 Mtetra
.721 .292 0 r
.72836 .17124 .73152 .1758 .73973 .19114 .73656 .18653 Mtetra
.895 .513 .063 r
.73656 .18653 .73973 .19114 .74932 .22382 .7461 .21874 Mtetra
.835 .437 0 r
.7461 .21874 .74932 .22382 .75851 .24875 .75523 .24309 Mtetra
.66 .697 .873 r
.75523 .24309 .75851 .24875 .7657 .24646 .76241 .24051 Mtetra
.968 .746 .549 r
.76241 .24051 .7657 .24646 .77077 .21753 .76753 .21176 Mtetra
.977 .738 .508 r
.76753 .21176 .77077 .21753 .7751 .18108 .77194 .17583 Mtetra
.963 .767 .593 r
.77194 .17583 .7751 .18108 .78052 .15916 .77744 .1544 Mtetra
.173 .457 .883 r
.77744 .1544 .78052 .15916 .78808 .16222 .78501 .15764 Mtetra
.742 .755 .863 r
.15523 .37507 .15924 .37882 .16505 .37533 .16105 .37153 Mtetra
.937 .581 .314 r
.16105 .37153 .16505 .37533 .16843 .39378 .16445 .38961 Mtetra
.947 .63 .398 r
.16445 .38961 .16843 .39378 .1707 .42311 .16674 .41843 Mtetra
.946 .596 .313 r
.16674 .41843 .1707 .42311 .17406 .44342 .17011 .43845 Mtetra
.751 .711 .814 r
.17011 .43845 .17406 .44342 .18014 .43888 .17618 .43401 Mtetra
.909 .712 .624 r
.17618 .43401 .18014 .43888 .1887 .41045 .18474 .40604 Mtetra
.919 .712 .608 r
.18474 .40604 .1887 .41045 .19778 .37629 .19381 .37235 Mtetra
.899 .735 .669 r
.19381 .37235 .19778 .37629 .20507 .3589 .20111 .35511 Mtetra
.893 .47 .117 r
.20111 .35511 .20507 .3589 .20944 .37059 .20551 .36647 Mtetra
.95 .637 .407 r
.20551 .36647 .20944 .37059 .21162 .40549 .20771 .40074 Mtetra
.953 .642 .402 r
.20771 .40074 .21162 .40549 .21385 .44142 .20994 .43611 Mtetra
.855 .428 0 r
.20994 .43611 .21385 .44142 .21853 .45267 .21462 .44727 Mtetra
.901 .712 .638 r
.21462 .44727 .21853 .45267 .22647 .42902 .22255 .42409 Mtetra
.926 .707 .587 r
.22255 .42409 .22647 .42902 .23618 .3851 .23225 .38085 Mtetra
.926 .716 .6 r
.23225 .38085 .23618 .3851 .24499 .34981 .24108 .34596 Mtetra
.738 .758 .869 r
.24108 .34596 .24499 .34981 .25093 .34646 .24704 .34244 Mtetra
.951 .628 .38 r
.24704 .34244 .25093 .34646 .25386 .37878 .24999 .37406 Mtetra
.955 .653 .421 r
.24999 .37406 .25386 .37878 .25555 .42763 .25169 .4221 Mtetra
.959 .634 .357 r
.25169 .4221 .25555 .42763 .25877 .46013 .2549 .45421 Mtetra
.815 .705 .744 r
.2549 .45421 .25877 .46013 .26539 .45138 .26151 .44582 Mtetra
.928 .706 .58 r
.26151 .44582 .26539 .45138 .27489 .40537 .271 .40067 Mtetra
.936 .708 .569 r
.271 .40067 .27489 .40537 .28476 .35266 .28088 .34866 Mtetra
.924 .732 .624 r
.28088 .34866 .28476 .35266 .29241 .32755 .28857 .32363 Mtetra
.935 .56 .246 r
.28857 .32363 .29241 .32755 .2968 .3467 .29299 .34214 Mtetra
.957 .654 .415 r
.29299 .34214 .2968 .3467 .29891 .39988 .2951 .39429 Mtetra
.961 .657 .406 r
.2951 .39429 .29891 .39988 .30121 .45331 .29739 .44697 Mtetra
.889 .495 .05 r
.29739 .44697 .30121 .45331 .30625 .46877 .3024 .46253 Mtetra
.921 .707 .595 r
.3024 .46253 .30625 .46877 .31469 .43285 .31083 .42751 Mtetra
.941 .705 .553 r
.31083 .42751 .31469 .43285 .32475 .36928 .32091 .36498 Mtetra
.943 .715 .564 r
.32091 .36498 .32475 .36928 .33373 .32006 .32993 .31619 Mtetra
.77 .771 .854 r
.32993 .31619 .33373 .32006 .33987 .31612 .33611 .31181 Mtetra
.958 .642 .381 r
.33611 .31181 .33987 .31612 .34324 .3608 .33949 .3554 Mtetra
.963 .661 .41 r
.33949 .3554 .34324 .3608 .3456 .42728 .34183 .42077 Mtetra
.966 .646 .351 r
.34183 .42077 .3456 .42728 .34946 .47085 .34565 .46398 Mtetra
.841 .699 .705 r
.34565 .46398 .34946 .47085 .35638 .45851 .35255 .45237 Mtetra
.942 .704 .549 r
.35255 .45237 .35638 .45851 .3657 .39696 .36189 .39209 Mtetra
.95 .708 .537 r
.36189 .39209 .3657 .39696 .37517 .32805 .3714 .32406 Mtetra
.943 .731 .587 r
.3714 .32406 .37517 .32805 .38274 .29521 .37903 .29118 Mtetra
.938 .566 .234 r
.37903 .29118 .38274 .29521 .38779 .31796 .38409 .31299 Mtetra
.964 .657 .393 r
.38409 .31299 .38779 .31796 .39117 .38311 .38745 .37682 Mtetra
.967 .66 .383 r
.38745 .37682 .39117 .38311 .39479 .44941 .39103 .44223 Mtetra
.902 .528 .078 r
.39103 .44223 .39479 .44941 .40043 .46963 .39664 .46271 Mtetra
.934 .707 .571 r
.39664 .46271 .40043 .46963 .40843 .42701 .40464 .42131 Mtetra
.953 .705 .525 r
.40464 .42131 .40843 .42701 .41742 .35082 .41368 .3464 Mtetra
.956 .715 .533 r
.41368 .3464 .41742 .35082 .42562 .29065 .42195 .28672 Mtetra
.872 .781 .758 r
.42195 .28672 .42562 .29065 .43206 .28206 .42843 .2776 Mtetra
.961 .635 .343 r
.42843 .2776 .43206 .28206 .43694 .32925 .43329 .32355 Mtetra
.968 .659 .378 r
.43329 .32355 .43694 .32925 .44133 .40349 .43762 .39652 Mtetra
.967 .645 .322 r
.43762 .39652 .44133 .40349 .44659 .45489 .44283 .44749 Mtetra
.803 .684 .734 r
.44283 .44749 .44659 .45489 .4534 .44545 .44964 .43883 Mtetra
.952 .706 .528 r
.44964 .43883 .4534 .44545 .46131 .3805 .4576 .37527 Mtetra
.96 .709 .511 r
.4576 .37527 .46131 .3805 .46919 .30378 .46556 .29957 Mtetra
.957 .729 .551 r
.46556 .29957 .46919 .30378 .47622 .26256 .47264 .25844 Mtetra
.878 .457 .038 r
.47264 .25844 .47622 .26256 .48231 .27905 .47873 .2741 Mtetra
.966 .646 .346 r
.47873 .2741 .48231 .27905 .48796 .34208 .48432 .33583 Mtetra
.969 .652 .343 r
.48432 .33583 .48796 .34208 .49382 .41131 .49012 .40407 Mtetra
.92 .557 .121 r
.49012 .40407 .49382 .41131 .50032 .43843 .49659 .43121 Mtetra
.936 .712 .573 r
.49659 .43121 .50032 .43843 .5073 .40232 .5036 .39613 Mtetra
.962 .707 .505 r
.5036 .39613 .5073 .40232 .51428 .32751 .51067 .32259 Mtetra
.965 .715 .507 r
.51067 .32259 .51428 .32751 .52097 .26264 .51744 .25842 Mtetra
.936 .765 .646 r
.51744 .25842 .52097 .26264 .52744 .24466 .52394 .24026 Mtetra
.951 .597 .249 r
.52394 .24026 .52744 .24466 .53403 .2812 .53049 .27587 Mtetra
.967 .643 .323 r
.53049 .27587 .53403 .2812 .54095 .34831 .53734 .34182 Mtetra
.962 .629 .275 r
.53734 .34182 .54095 .34831 .54808 .40121 .54441 .39404 Mtetra
.503 .558 .845 r
.54441 .39404 .54808 .40121 .55497 .40124 .5513 .39437 Mtetra
.958 .712 .522 r
.5513 .39437 .55497 .40124 .56127 .34736 .55767 .34153 Mtetra
.968 .71 .492 r
.55767 .34153 .56127 .34736 .56712 .27589 .56362 .27111 Mtetra
.967 .727 .524 r
.56362 .27111 .56712 .27589 .5731 .23047 .56967 .22613 Mtetra
0 .332 .813 r
.56967 .22613 .5731 .23047 .57981 .23486 .57637 .23021 Mtetra
.956 .613 .261 r
.57637 .23021 .57981 .23486 .58744 .28306 .58394 .27753 Mtetra
.962 .627 .276 r
.58394 .27753 .58744 .28306 .59557 .34274 .59199 .33626 Mtetra
.906 .535 .087 r
.59199 .33626 .59557 .34274 .60324 .37198 .59962 .36509 Mtetra
.926 .727 .614 r
.59962 .36509 .60324 .37198 .60966 .34882 .60609 .34235 Mtetra
.968 .713 .496 r
.60609 .34235 .60966 .34882 .61494 .28872 .61146 .28317 Mtetra
.971 .718 .492 r
.61146 .28317 .61494 .28872 .62005 .23061 .61666 .22588 Mtetra
.953 .759 .603 r
.61666 .22588 .62005 .23061 .6261 .20787 .62275 .20342 Mtetra
.881 .479 .035 r
.62275 .20342 .6261 .20787 .63368 .23005 .63031 .22525 Mtetra
.951 .604 .23 r
.63031 .22525 .63368 .23005 .64244 .27998 .63899 .27438 Mtetra
.939 .583 .18 r
.63899 .27438 .64244 .27998 .65116 .32265 .64764 .3163 Mtetra
.186 .399 .838 r
.64764 .3163 .65116 .32265 .65846 .32681 .65494 .32025 Mtetra
.962 .725 .534 r
.65494 .32025 .65846 .32681 .66391 .28839 .66046 .28229 Mtetra
.973 .718 .486 r
.66046 .28229 .66391 .28839 .66843 .23313 .66507 .22784 Mtetra
.971 .735 .523 r
.66507 .22784 .66843 .23313 .67357 .1951 .67029 .19044 Mtetra
.555 .686 .927 r
.67029 .19044 .67357 .1951 .68047 .19411 .67721 .18959 Mtetra
.914 .536 .11 r
.67721 .18959 .68047 .19411 .68919 .22645 .68588 .22151 Mtetra
.93 .567 .152 r
.68588 .22151 .68919 .22645 .6986 .26786 .69522 .26222 Mtetra
.78 .377 0 r
.69522 .26222 .6986 .26786 .70697 .28783 .70355 .28162 Mtetra
.923 .75 .65 r
.70355 .28162 .70697 .28783 .71322 .2708 .70982 .26458 Mtetra
.973 .726 .503 r
.70982 .26458 .71322 .2708 .71778 .22792 .71446 .22221 Mtetra
.975 .731 .503 r
.71446 .22221 .71778 .22792 .72229 .1869 .71907 .18188 Mtetra
.934 .779 .664 r
.71907 .18188 .72229 .1869 .72836 .17124 .72519 .16665 Mtetra
.72 .291 0 r
.72519 .16665 .72836 .17124 .73656 .18653 .73338 .1819 Mtetra
.893 .51 .058 r
.73338 .1819 .73656 .18653 .7461 .21874 .74286 .21363 Mtetra
.828 .429 0 r
.74286 .21363 .7461 .21874 .75523 .24309 .75193 .23737 Mtetra
.674 .702 .868 r
.75193 .23737 .75523 .24309 .76241 .24051 .75911 .23448 Mtetra
.967 .745 .55 r
.75911 .23448 .76241 .24051 .76753 .21176 .76427 .20594 Mtetra
.977 .738 .51 r
.76427 .20594 .76753 .21176 .77194 .17583 .76877 .17055 Mtetra
.961 .768 .598 r
.76877 .17055 .77194 .17583 .77744 .1544 .77434 .14962 Mtetra
.154 .444 .877 r
.77434 .14962 .77744 .1544 .78501 .15764 .78194 .15303 Mtetra
.743 .755 .862 r
.1512 .3713 .15523 .37507 .16105 .37153 .15703 .3677 Mtetra
.937 .578 .308 r
.15703 .3677 .16105 .37153 .16445 .38961 .16045 .38539 Mtetra
.948 .628 .395 r
.16045 .38539 .16445 .38961 .16674 .41843 .16277 .41368 Mtetra
.946 .595 .307 r
.16277 .41368 .16674 .41843 .17011 .43845 .16615 .43336 Mtetra
.746 .707 .815 r
.16615 .43336 .17011 .43845 .17618 .43401 .17221 .42904 Mtetra
.908 .711 .625 r
.17221 .42904 .17618 .43401 .18474 .40604 .18076 .40156 Mtetra
.918 .712 .609 r
.18076 .40156 .18474 .40604 .19381 .37235 .18983 .36838 Mtetra
.899 .735 .67 r
.18983 .36838 .19381 .37235 .20111 .35511 .19714 .35129 Mtetra
.888 .46 .102 r
.19714 .35129 .20111 .35511 .20551 .36647 .20156 .36233 Mtetra
.95 .636 .404 r
.20156 .36233 .20551 .36647 .20771 .40074 .20378 .39593 Mtetra
.954 .641 .399 r
.20378 .39593 .20771 .40074 .20994 .43611 .20603 .43069 Mtetra
.848 .422 0 r
.20603 .43069 .20994 .43611 .21462 .44727 .2107 .44173 Mtetra
.899 .711 .64 r
.2107 .44173 .21462 .44727 .22255 .42409 .21862 .41904 Mtetra
.925 .707 .588 r
.21862 .41904 .22255 .42409 .23225 .38085 .22832 .37653 Mtetra
.925 .716 .601 r
.22832 .37653 .23225 .38085 .24108 .34596 .23715 .34208 Mtetra
.744 .759 .865 r
.23715 .34208 .24108 .34596 .24704 .34244 .24314 .3384 Mtetra
.951 .627 .377 r
.24314 .3384 .24704 .34244 .24999 .37406 .24611 .3693 Mtetra
.956 .653 .419 r
.24611 .3693 .24999 .37406 .25169 .4221 .24783 .41644 Mtetra
.959 .634 .354 r
.24783 .41644 .25169 .4221 .2549 .45421 .25103 .44812 Mtetra
.807 .7 .746 r
.25103 .44812 .2549 .45421 .26151 .44582 .25762 .44009 Mtetra
.927 .705 .582 r
.25762 .44009 .26151 .44582 .271 .40067 .26711 .39584 Mtetra
.935 .708 .57 r
.26711 .39584 .271 .40067 .28088 .34866 .277 .34461 Mtetra
.924 .731 .625 r
.277 .34461 .28088 .34866 .28857 .32363 .28471 .3197 Mtetra
.932 .554 .234 r
.28471 .3197 .28857 .32363 .29299 .34214 .28916 .33755 Mtetra
.958 .653 .412 r
.28916 .33755 .29299 .34214 .2951 .39429 .29129 .38861 Mtetra
.962 .657 .404 r
.29129 .38861 .2951 .39429 .29739 .44697 .29357 .44046 Mtetra
.887 .495 .044 r
.29357 .44046 .29739 .44697 .3024 .46253 .29856 .45607 Mtetra
.919 .705 .598 r
.29856 .45607 .3024 .46253 .31083 .42751 .30697 .42199 Mtetra
.94 .705 .554 r
.30697 .42199 .31083 .42751 .32091 .36498 .31706 .36057 Mtetra
.942 .715 .565 r
.31706 .36057 .32091 .36498 .32993 .31619 .32611 .31229 Mtetra
.783 .772 .843 r
.32611 .31229 .32993 .31619 .33611 .31181 .33233 .3075 Mtetra
.958 .64 .378 r
.33233 .3075 .33611 .31181 .33949 .3554 .33573 .34994 Mtetra
.963 .661 .408 r
.33573 .34994 .33949 .3554 .34183 .42077 .33806 .4141 Mtetra
.966 .646 .348 r
.33806 .4141 .34183 .42077 .34565 .46398 .34185 .45689 Mtetra
.831 .692 .71 r
.34185 .45689 .34565 .46398 .35255 .45237 .34872 .44601 Mtetra
.941 .704 .551 r
.34872 .44601 .35255 .45237 .36189 .39209 .35807 .38706 Mtetra
.949 .708 .538 r
.35807 .38706 .36189 .39209 .3714 .32406 .36762 .32001 Mtetra
.943 .731 .587 r
.36762 .32001 .3714 .32406 .37903 .29118 .37529 .28713 Mtetra
.935 .558 .221 r
.37529 .28713 .37903 .29118 .38409 .31299 .38038 .30799 Mtetra
.964 .656 .391 r
.38038 .30799 .38409 .31299 .38745 .37682 .38373 .37042 Mtetra
.968 .66 .381 r
.38373 .37042 .38745 .37682 .39103 .44223 .38727 .43485 Mtetra
.901 .53 .076 r
.38727 .43485 .39103 .44223 .39664 .46271 .39284 .45552 Mtetra
.931 .705 .574 r
.39284 .45552 .39664 .46271 .40464 .42131 .40085 .41538 Mtetra
.952 .705 .526 r
.40085 .41538 .40464 .42131 .41368 .3464 .40994 .34184 Mtetra
.955 .715 .534 r
.40994 .34184 .41368 .3464 .42195 .28672 .41826 .28275 Mtetra
.877 .779 .75 r
.41826 .28275 .42195 .28672 .42843 .2776 .42477 .27314 Mtetra
.961 .633 .339 r
.42477 .27314 .42843 .2776 .43329 .32355 .42962 .3178 Mtetra
.968 .658 .376 r
.42962 .3178 .43329 .32355 .43762 .39652 .43391 .3894 Mtetra
.967 .644 .319 r
.43391 .3894 .43762 .39652 .44283 .44749 .43907 .43985 Mtetra
.787 .674 .74 r
.43907 .43985 .44283 .44749 .44964 .43883 .44588 .43194 Mtetra
.951 .705 .53 r
.44588 .43194 .44964 .43883 .4576 .37527 .45388 .36984 Mtetra
.96 .708 .512 r
.45388 .36984 .4576 .37527 .46556 .29957 .46191 .29527 Mtetra
.957 .729 .552 r
.46191 .29527 .46556 .29957 .47264 .25844 .46904 .25431 Mtetra
.866 .439 .011 r
.46904 .25431 .47264 .25844 .47873 .2741 .47514 .26913 Mtetra
.966 .645 .344 r
.47514 .26913 .47873 .2741 .48432 .33583 .48068 .32949 Mtetra
.969 .651 .34 r
.48068 .32949 .48432 .33583 .49012 .40407 .48642 .39663 Mtetra
.918 .556 .116 r
.48642 .39663 .49012 .40407 .49659 .43121 .49285 .42372 Mtetra
.933 .71 .577 r
.49285 .42372 .49659 .43121 .5036 .39613 .4999 .38969 Mtetra
.961 .707 .506 r
.4999 .38969 .5036 .39613 .51067 .32259 .50705 .31752 Mtetra
.964 .714 .509 r
.50705 .31752 .51067 .32259 .51744 .25842 .51389 .25415 Mtetra
.936 .764 .645 r
.51389 .25415 .51744 .25842 .52394 .24026 .52043 .23584 Mtetra
.949 .594 .243 r
.52043 .23584 .52394 .24026 .53049 .27587 .52694 .27049 Mtetra
.966 .642 .321 r
.52694 .27049 .53049 .27587 .53734 .34182 .53371 .3352 Mtetra
.962 .628 .271 r
.53371 .3352 .53734 .34182 .54441 .39404 .54072 .38666 Mtetra
.487 .543 .839 r
.54072 .38666 .54441 .39404 .5513 .39437 .54762 .38727 Mtetra
.957 .711 .524 r
.54762 .38727 .5513 .39437 .55767 .34153 .55407 .33551 Mtetra
.967 .71 .494 r
.55407 .33551 .55767 .34153 .56362 .27111 .56011 .26622 Mtetra
.966 .727 .525 r
.56011 .26622 .56362 .27111 .56967 .22613 .56622 .22177 Mtetra
0 .363 .833 r
.56622 .22177 .56967 .22613 .57637 .23021 .57292 .22554 Mtetra
.956 .611 .258 r
.57292 .22554 .57637 .23021 .58394 .27753 .58043 .27193 Mtetra
.961 .626 .273 r
.58043 .27193 .58394 .27753 .59199 .33626 .5884 .32962 Mtetra
.902 .531 .077 r
.5884 .32962 .59199 .33626 .59962 .36509 .596 .35799 Mtetra
.922 .724 .617 r
.596 .35799 .59962 .36509 .60609 .34235 .6025 .33567 Mtetra
.967 .712 .498 r
.6025 .33567 .60609 .34235 .61146 .28317 .60797 .27749 Mtetra
.971 .717 .494 r
.60797 .27749 .61146 .28317 .61666 .22588 .61326 .22109 Mtetra
.952 .759 .606 r
.61326 .22109 .61666 .22588 .62275 .20342 .61939 .19896 Mtetra
.878 .475 .028 r
.61939 .19896 .62275 .20342 .63031 .22525 .62692 .22041 Mtetra
.951 .602 .227 r
.62692 .22041 .63031 .22525 .63899 .27438 .63553 .26869 Mtetra
.938 .581 .174 r
.63553 .26869 .63899 .27438 .64764 .3163 .64411 .30979 Mtetra
.216 .412 .84 r
.64411 .30979 .64764 .3163 .65494 .32025 .65141 .3135 Mtetra
.96 .724 .536 r
.65141 .3135 .65494 .32025 .66046 .28229 .65699 .27605 Mtetra
.972 .717 .489 r
.65699 .27605 .66046 .28229 .66507 .22784 .6617 .22246 Mtetra
.97 .735 .526 r
.6617 .22246 .66507 .22784 .67029 .19044 .66699 .18575 Mtetra
.543 .68 .928 r
.66699 .18575 .67029 .19044 .67721 .18959 .67393 .18504 Mtetra
.912 .533 .106 r
.67393 .18504 .67721 .18959 .68588 .22151 .68256 .21653 Mtetra
.928 .564 .147 r
.68256 .21653 .68588 .22151 .69522 .26222 .69183 .25646 Mtetra
.765 .363 0 r
.69183 .25646 .69522 .26222 .70355 .28162 .70011 .27527 Mtetra
.921 .748 .65 r
.70011 .27527 .70355 .28162 .70982 .26458 .7064 .25821 Mtetra
.972 .726 .505 r
.7064 .25821 .70982 .26458 .71446 .22221 .71113 .21641 Mtetra
.974 .732 .506 r
.71113 .21641 .71446 .22221 .71907 .18188 .71582 .17682 Mtetra
.931 .779 .671 r
.71582 .17682 .71907 .18188 .72519 .16665 .722 .16205 Mtetra
.718 .289 0 r
.722 .16205 .72519 .16665 .73338 .1819 .73019 .17724 Mtetra
.891 .507 .053 r
.73019 .17724 .73338 .1819 .74286 .21363 .73961 .20844 Mtetra
.82 .42 0 r
.73961 .20844 .74286 .21363 .75193 .23737 .74862 .23154 Mtetra
.686 .703 .86 r
.74862 .23154 .75193 .23737 .75911 .23448 .75578 .22834 Mtetra
.966 .744 .552 r
.75578 .22834 .75911 .23448 .76427 .20594 .761 .20002 Mtetra
.976 .738 .513 r
.761 .20002 .76427 .20594 .76877 .17055 .76558 .16521 Mtetra
.959 .769 .604 r
.76558 .16521 .76877 .17055 .77434 .14962 .77122 .14483 Mtetra
.135 .431 .871 r
.77122 .14483 .77434 .14962 .78194 .15303 .77884 .1484 Mtetra
.745 .755 .861 r
.14715 .36751 .1512 .3713 .15703 .3677 .153 .36387 Mtetra
.936 .575 .301 r
.153 .36387 .15703 .3677 .16045 .38539 .15644 .38115 Mtetra
.947 .627 .392 r
.15644 .38115 .16045 .38539 .16277 .41368 .15878 .40891 Mtetra
.945 .592 .302 r
.15878 .40891 .16277 .41368 .16615 .43336 .16217 .42826 Mtetra
.743 .706 .817 r
.16217 .42826 .16615 .43336 .17221 .42904 .16824 .42405 Mtetra
.907 .711 .627 r
.16824 .42405 .17221 .42904 .18076 .40156 .17677 .39705 Mtetra
.917 .712 .61 r
.17677 .39705 .18076 .40156 .18983 .36838 .18583 .36438 Mtetra
.898 .735 .671 r
.18583 .36438 .18983 .36838 .19714 .35129 .19315 .34746 Mtetra
.882 .45 .086 r
.19315 .34746 .19714 .35129 .20156 .36233 .19759 .35818 Mtetra
.95 .635 .401 r
.19759 .35818 .20156 .36233 .20378 .39593 .19984 .3911 Mtetra
.954 .64 .397 r
.19984 .3911 .20378 .39593 .20603 .43069 .2021 .42524 Mtetra
.845 .417 0 r
.2021 .42524 .20603 .43069 .2107 .44173 .20678 .43616 Mtetra
.898 .711 .642 r
.20678 .43616 .2107 .44173 .21862 .41904 .21468 .41396 Mtetra
.924 .707 .59 r
.21468 .41396 .21862 .41904 .22832 .37653 .22437 .37218 Mtetra
.925 .716 .602 r
.22437 .37218 .22832 .37653 .23715 .34208 .23321 .33819 Mtetra
.75 .76 .861 r
.23321 .33819 .23715 .34208 .24314 .3384 .23922 .33435 Mtetra
.951 .625 .373 r
.23922 .33435 .24314 .3384 .24611 .3693 .24222 .36453 Mtetra
.956 .652 .417 r
.24222 .36453 .24611 .3693 .24783 .41644 .24395 .41079 Mtetra
.959 .633 .351 r
.24395 .41079 .24783 .41644 .25103 .44812 .24715 .44201 Mtetra
.802 .699 .751 r
.24715 .44201 .25103 .44812 .25762 .44009 .25373 .43433 Mtetra
.926 .705 .583 r
.25373 .43433 .25762 .44009 .26711 .39584 .2632 .39098 Mtetra
.935 .708 .571 r
.2632 .39098 .26711 .39584 .277 .34461 .2731 .34053 Mtetra
.923 .732 .625 r
.2731 .34053 .277 .34461 .28471 .3197 .28084 .31575 Mtetra
.929 .546 .222 r
.28084 .31575 .28471 .3197 .28916 .33755 .28532 .33295 Mtetra
.957 .652 .41 r
.28532 .33295 .28916 .33755 .29129 .38861 .28746 .38293 Mtetra
.962 .656 .402 r
.28746 .38293 .29129 .38861 .29357 .44046 .28973 .43394 Mtetra
.888 .497 .047 r
.28973 .43394 .29357 .44046 .29856 .45607 .2947 .44959 Mtetra
.918 .706 .6 r
.2947 .44959 .29856 .45607 .30697 .42199 .3031 .41643 Mtetra
.94 .705 .555 r
.3031 .41643 .30697 .42199 .31706 .36057 .3132 .35613 Mtetra
.942 .715 .566 r
.3132 .35613 .31706 .36057 .32611 .31229 .32228 .30837 Mtetra
.794 .773 .834 r
.32228 .30837 .32611 .31229 .33233 .3075 .32853 .30318 Mtetra
.958 .638 .374 r
.32853 .30318 .33233 .3075 .33573 .34994 .33195 .34449 Mtetra
.963 .66 .407 r
.33195 .34449 .33573 .34994 .33806 .4141 .33427 .40745 Mtetra
.966 .646 .346 r
.33427 .40745 .33806 .4141 .34185 .45689 .33804 .44979 Mtetra
.823 .69 .717 r
.33804 .44979 .34185 .45689 .34872 .44601 .34488 .4396 Mtetra
.941 .704 .552 r
.34488 .4396 .34872 .44601 .35807 .38706 .35424 .38198 Mtetra
.949 .708 .539 r
.35424 .38198 .35807 .38706 .36762 .32001 .36383 .31591 Mtetra
.942 .731 .588 r
.36383 .31591 .36762 .32001 .37529 .28713 .37155 .28308 Mtetra
.931 .55 .207 r
.37155 .28308 .37529 .28713 .38038 .30799 .37666 .303 Mtetra
.964 .655 .389 r
.37666 .303 .38038 .30799 .38373 .37042 .38 .36403 Mtetra
.968 .659 .38 r
.38 .36403 .38373 .37042 .38727 .43485 .38349 .42746 Mtetra
.904 .533 .082 r
.38349 .42746 .38727 .43485 .39284 .45552 .38904 .4483 Mtetra
.93 .705 .577 r
.38904 .4483 .39284 .45552 .40085 .41538 .39705 .4094 Mtetra
.952 .705 .528 r
.39705 .4094 .40085 .41538 .40994 .34184 .40618 .33724 Mtetra
.955 .715 .535 r
.40618 .33724 .40994 .34184 .41826 .28275 .41456 .27875 Mtetra
.882 .778 .743 r
.41456 .27875 .41826 .28275 .42477 .27314 .4211 .26867 Mtetra
.961 .631 .335 r
.4211 .26867 .42477 .27314 .42962 .3178 .42594 .31205 Mtetra
.968 .658 .374 r
.42594 .31205 .42962 .3178 .43391 .3894 .43019 .38228 Mtetra
.967 .644 .318 r
.43019 .38228 .43391 .3894 .43907 .43985 .4353 .4322 Mtetra
.774 .669 .748 r
.4353 .4322 .43907 .43985 .44588 .43194 .4421 .42502 Mtetra
.95 .705 .532 r
.4421 .42502 .44588 .43194 .45388 .36984 .45015 .36436 Mtetra
.959 .708 .513 r
.45015 .36436 .45388 .36984 .46191 .29527 .45824 .29093 Mtetra
.957 .729 .552 r
.45824 .29093 .46191 .29527 .46904 .25431 .46543 .25015 Mtetra
.852 .419 0 r
.46543 .25015 .46904 .25431 .47514 .26913 .47153 .26416 Mtetra
.966 .644 .342 r
.47153 .26416 .47514 .26913 .48068 .32949 .47703 .32316 Mtetra
.969 .651 .339 r
.47703 .32316 .48068 .32949 .48642 .39663 .4827 .38919 Mtetra
.918 .556 .116 r
.4827 .38919 .48642 .39663 .49285 .42372 .4891 .41621 Mtetra
.932 .71 .58 r
.4891 .41621 .49285 .42372 .4999 .38969 .49619 .38321 Mtetra
.96 .707 .508 r
.49619 .38321 .4999 .38969 .50705 .31752 .50342 .3124 Mtetra
.964 .715 .51 r
.50342 .3124 .50705 .31752 .51389 .25415 .51033 .24984 Mtetra
.936 .764 .644 r
.51033 .24984 .51389 .25415 .52043 .23584 .51689 .23142 Mtetra
.948 .591 .238 r
.51689 .23142 .52043 .23584 .52694 .27049 .52338 .26512 Mtetra
.966 .641 .319 r
.52338 .26512 .52694 .27049 .53371 .3352 .53008 .32859 Mtetra
.961 .627 .269 r
.53008 .32859 .53371 .3352 .54072 .38666 .53703 .37928 Mtetra
.47 .534 .84 r
.53703 .37928 .54072 .38666 .54762 .38727 .54393 .38013 Mtetra
.956 .711 .526 r
.54393 .38013 .54762 .38727 .55407 .33551 .55044 .32945 Mtetra
.967 .71 .495 r
.55044 .32945 .55407 .33551 .56011 .26622 .55659 .26129 Mtetra
.966 .728 .527 r
.55659 .26129 .56011 .26622 .56622 .22177 .56276 .21738 Mtetra
.035 .391 .85 r
.56276 .21738 .56622 .22177 .57292 .22554 .56946 .22087 Mtetra
.955 .609 .255 r
.56946 .22087 .57292 .22554 .58043 .27193 .57691 .26633 Mtetra
.961 .625 .271 r
.57691 .26633 .58043 .27193 .5884 .32962 .5848 .32299 Mtetra
.9 .528 .072 r
.5848 .32299 .5884 .32962 .596 .35799 .59236 .35087 Mtetra
.921 .724 .619 r
.59236 .35087 .596 .35799 .6025 .33567 .5989 .32896 Mtetra
.966 .712 .5 r
.5989 .32896 .6025 .33567 .60797 .27749 .60446 .27176 Mtetra
.97 .718 .496 r
.60446 .27176 .60797 .27749 .61326 .22109 .60984 .21626 Mtetra
.951 .759 .609 r
.60984 .21626 .61326 .22109 .61939 .19896 .61602 .19447 Mtetra
.875 .47 .021 r
.61602 .19447 .61939 .19896 .62692 .22041 .62352 .21556 Mtetra
.95 .6 .224 r
.62352 .21556 .62692 .22041 .63553 .26869 .63206 .26299 Mtetra
.936 .578 .17 r
.63206 .26299 .63553 .26869 .64411 .30979 .64057 .30327 Mtetra
.238 .427 .846 r
.64057 .30327 .64411 .30979 .65141 .3135 .64786 .30673 Mtetra
.96 .724 .538 r
.64786 .30673 .65141 .3135 .65699 .27605 .6535 .26976 Mtetra
.972 .718 .49 r
.6535 .26976 .65699 .27605 .6617 .22246 .65832 .21704 Mtetra
.97 .736 .529 r
.65832 .21704 .6617 .22246 .66699 .18575 .66369 .18103 Mtetra
.529 .673 .929 r
.66369 .18103 .66699 .18575 .67393 .18504 .67064 .18049 Mtetra
.911 .531 .102 r
.67064 .18049 .67393 .18504 .68256 .21653 .67923 .21153 Mtetra
.927 .561 .143 r
.67923 .21153 .68256 .21653 .69183 .25646 .68842 .25069 Mtetra
.753 .35 0 r
.68842 .25069 .69183 .25646 .70011 .27527 .69666 .26889 Mtetra
.921 .748 .649 r
.69666 .26889 .70011 .27527 .7064 .25821 .70297 .25182 Mtetra
.971 .726 .507 r
.70297 .25182 .7064 .25821 .71113 .21641 .70778 .21058 Mtetra
.974 .732 .509 r
.70778 .21058 .71113 .21641 .71582 .17682 .71257 .17172 Mtetra
.927 .78 .677 r
.71257 .17172 .71582 .17682 .722 .16205 .7188 .15743 Mtetra
.717 .287 0 r
.7188 .15743 .722 .16205 .73019 .17724 .72697 .17257 Mtetra
.889 .504 .048 r
.72697 .17257 .73019 .17724 .73961 .20844 .73634 .20324 Mtetra
.813 .411 0 r
.73634 .20324 .73961 .20844 .74862 .23154 .74529 .22568 Mtetra
.7 .709 .855 r
.74529 .22568 .74862 .23154 .75578 .22834 .75244 .22216 Mtetra
.966 .745 .554 r
.75244 .22216 .75578 .22834 .761 .20002 .75771 .19408 Mtetra
.975 .739 .516 r
.75771 .19408 .761 .20002 .76558 .16521 .76238 .15985 Mtetra
.957 .77 .609 r
.76238 .15985 .76558 .16521 .77122 .14483 .7681 .14001 Mtetra
.116 .418 .864 r
.7681 .14001 .77122 .14483 .77884 .1484 .77574 .14376 Mtetra
.747 .756 .86 r
.14309 .36371 .14715 .36751 .153 .36387 .14895 .36001 Mtetra
.935 .571 .295 r
.14895 .36001 .153 .36387 .15644 .38115 .15242 .3769 Mtetra
.947 .626 .388 r
.15242 .3769 .15644 .38115 .15878 .40891 .15478 .40412 Mtetra
.945 .59 .297 r
.15478 .40412 .15878 .40891 .16217 .42826 .15819 .42314 Mtetra
.739 .705 .819 r
.15819 .42314 .16217 .42826 .16824 .42405 .16425 .41904 Mtetra
.906 .711 .628 r
.16425 .41904 .16824 .42405 .17677 .39705 .17277 .39252 Mtetra
.917 .713 .612 r
.17277 .39252 .17677 .39705 .18583 .36438 .18182 .36036 Mtetra
.897 .735 .672 r
.18182 .36036 .18583 .36438 .19315 .34746 .18915 .34362 Mtetra
.876 .439 .069 r
.18915 .34362 .19315 .34746 .19759 .35818 .19361 .35401 Mtetra
.95 .634 .398 r
.19361 .35401 .19759 .35818 .19984 .3911 .19589 .38626 Mtetra
.954 .639 .394 r
.19589 .38626 .19984 .3911 .2021 .42524 .19817 .41978 Mtetra
.841 .412 0 r
.19817 .41978 .2021 .42524 .20678 .43616 .20284 .43058 Mtetra
.896 .711 .644 r
.20284 .43058 .20678 .43616 .21468 .41396 .21073 .40885 Mtetra
.924 .707 .591 r
.21073 .40885 .21468 .41396 .22437 .37218 .2204 .36781 Mtetra
.924 .717 .603 r
.2204 .36781 .22437 .37218 .23321 .33819 .22925 .33427 Mtetra
.755 .76 .857 r
.22925 .33427 .23321 .33819 .23922 .33435 .23529 .33029 Mtetra
.95 .623 .369 r
.23529 .33029 .23922 .33435 .24222 .36453 .23831 .35975 Mtetra
.956 .651 .416 r
.23831 .35975 .24222 .36453 .24395 .41079 .24007 .40512 Mtetra
.959 .632 .349 r
.24007 .40512 .24395 .41079 .24715 .44201 .24326 .43588 Mtetra
.796 .697 .755 r
.24326 .43588 .24715 .44201 .25373 .43433 .24982 .42854 Mtetra
.926 .705 .585 r
.24982 .42854 .25373 .43433 .2632 .39098 .25928 .38608 Mtetra
.935 .708 .572 r
.25928 .38608 .2632 .39098 .2731 .34053 .26918 .33642 Mtetra
.923 .732 .626 r
.26918 .33642 .2731 .34053 .28084 .31575 .27695 .31178 Mtetra
.926 .539 .209 r
.27695 .31178 .28084 .31575 .28532 .33295 .28146 .32835 Mtetra
.957 .651 .408 r
.28146 .32835 .28532 .33295 .28746 .38293 .28362 .37725 Mtetra
.962 .656 .401 r
.28362 .37725 .28746 .38293 .28973 .43394 .28589 .4274 Mtetra
.889 .498 .049 r
.28589 .4274 .28973 .43394 .2947 .44959 .29084 .44307 Mtetra
.917 .706 .602 r
.29084 .44307 .2947 .44959 .3031 .41643 .29922 .41083 Mtetra
.94 .705 .556 r
.29922 .41083 .3031 .41643 .3132 .35613 .30932 .35164 Mtetra
.941 .715 .567 r
.30932 .35164 .3132 .35613 .32228 .30837 .31844 .30443 Mtetra
.804 .773 .825 r
.31844 .30443 .32228 .30837 .32853 .30318 .32472 .29885 Mtetra
.958 .637 .371 r
.32472 .29885 .32853 .30318 .33195 .34449 .32816 .33905 Mtetra
.963 .66 .405 r
.32816 .33905 .33195 .34449 .33427 .40745 .33048 .40079 Mtetra
.966 .645 .345 r
.33048 .40079 .33427 .40745 .33804 .44979 .33421 .44266 Mtetra
.815 .688 .724 r
.33421 .44266 .33804 .44979 .34488 .4396 .34104 .43315 Mtetra
.94 .704 .554 r
.34104 .43315 .34488 .4396 .35424 .38198 .3504 .37685 Mtetra
.948 .708 .54 r
.3504 .37685 .35424 .38198 .36383 .31591 .36002 .31178 Mtetra
.942 .731 .588 r
.36002 .31178 .36383 .31591 .37155 .28308 .36778 .27901 Mtetra
.927 .541 .191 r
.36778 .27901 .37155 .28308 .37666 .303 .37292 .29802 Mtetra
.964 .654 .387 r
.37292 .29802 .37666 .303 .38 .36403 .37625 .35764 Mtetra
.967 .659 .379 r
.37625 .35764 .38 .36403 .38349 .42746 .37971 .42007 Mtetra
.906 .535 .086 r
.37971 .42007 .38349 .42746 .38904 .4483 .38522 .44105 Mtetra
.928 .705 .579 r
.38522 .44105 .38904 .4483 .39705 .4094 .39323 .40336 Mtetra
.951 .705 .529 r
.39323 .40336 .39705 .4094 .40618 .33724 .4024 .33258 Mtetra
.955 .715 .536 r
.4024 .33258 .40618 .33724 .41456 .27875 .41084 .27473 Mtetra
.886 .777 .736 r
.41084 .27473 .41456 .27875 .4211 .26867 .41742 .2642 Mtetra
.96 .629 .331 r
.41742 .2642 .4211 .26867 .42594 .31205 .42225 .30632 Mtetra
.968 .657 .373 r
.42225 .30632 .42594 .31205 .43019 .38228 .42646 .37517 Mtetra
.967 .643 .317 r
.42646 .37517 .43019 .38228 .4353 .4322 .43153 .42452 Mtetra
.76 .664 .756 r
.43153 .42452 .4353 .4322 .4421 .42502 .43831 .41804 Mtetra
.95 .705 .534 r
.43831 .41804 .4421 .42502 .45015 .36436 .4464 .35881 Mtetra
.959 .708 .515 r
.4464 .35881 .45015 .36436 .45824 .29093 .45456 .28654 Mtetra
.956 .729 .553 r
.45456 .28654 .45824 .29093 .46543 .25015 .4618 .24598 Mtetra
.836 .397 0 r
.4618 .24598 .46543 .25015 .47153 .26416 .46791 .2592 Mtetra
.965 .643 .339 r
.46791 .2592 .47153 .26416 .47703 .32316 .47336 .31684 Mtetra
.968 .65 .337 r
.47336 .31684 .47703 .32316 .4827 .38919 .47897 .38176 Mtetra
.918 .555 .115 r
.47897 .38176 .4827 .38919 .4891 .41621 .48535 .40867 Mtetra
.93 .71 .584 r
.48535 .40867 .4891 .41621 .49619 .38321 .49246 .37667 Mtetra
.96 .707 .509 r
.49246 .37667 .49619 .38321 .50342 .3124 .49976 .30721 Mtetra
.964 .715 .511 r
.49976 .30721 .50342 .3124 .51033 .24984 .50676 .24549 Mtetra
.936 .763 .643 r
.50676 .24549 .51033 .24984 .51689 .23142 .51335 .22698 Mtetra
.947 .588 .232 r
.51335 .22698 .51689 .23142 .52338 .26512 .5198 .25976 Mtetra
.966 .64 .317 r
.5198 .25976 .52338 .26512 .53008 .32859 .52643 .32198 Mtetra
.961 .626 .267 r
.52643 .32198 .53008 .32859 .53703 .37928 .53333 .37188 Mtetra
.454 .525 .841 r
.53333 .37188 .53703 .37928 .54393 .38013 .54023 .37295 Mtetra
.955 .711 .528 r
.54023 .37295 .54393 .38013 .55044 .32945 .54681 .32332 Mtetra
.966 .71 .496 r
.54681 .32332 .55044 .32945 .55659 .26129 .55304 .2563 Mtetra
.965 .728 .528 r
.55304 .2563 .55659 .26129 .56276 .21738 .55928 .21296 Mtetra
.072 .416 .865 r
.55928 .21296 .56276 .21738 .56946 .22087 .56598 .21619 Mtetra
.954 .608 .252 r
.56598 .21619 .56946 .22087 .57691 .26633 .57337 .26074 Mtetra
.96 .624 .269 r
.57337 .26074 .57691 .26633 .5848 .32299 .58119 .31635 Mtetra
.897 .524 .066 r
.58119 .31635 .5848 .32299 .59236 .35087 .58871 .34373 Mtetra
.92 .724 .622 r
.58871 .34373 .59236 .35087 .5989 .32896 .59528 .32221 Mtetra
.966 .713 .502 r
.59528 .32221 .5989 .32896 .60446 .27176 .60094 .26598 Mtetra
.97 .718 .497 r
.60094 .26598 .60446 .27176 .60984 .21626 .60641 .2114 Mtetra
.949 .759 .612 r
.60641 .2114 .60984 .21626 .61602 .19447 .61263 .18997 Mtetra
.872 .466 .014 r
.61263 .18997 .61602 .19447 .62352 .21556 .6201 .21071 Mtetra
.949 .598 .221 r
.6201 .21071 .62352 .21556 .63206 .26299 .62857 .25729 Mtetra
.935 .576 .166 r
.62857 .25729 .63206 .26299 .64057 .30327 .63702 .29673 Mtetra
.261 .442 .851 r
.63702 .29673 .64057 .30327 .64786 .30673 .6443 .29992 Mtetra
.959 .724 .539 r
.6443 .29992 .64786 .30673 .6535 .26976 .65 .26343 Mtetra
.972 .718 .492 r
.65 .26343 .6535 .26976 .65832 .21704 .65492 .21158 Mtetra
.969 .737 .532 r
.65492 .21158 .65832 .21704 .66369 .18103 .66036 .17629 Mtetra
.514 .665 .93 r
.66036 .17629 .66369 .18103 .67064 .18049 .66733 .17592 Mtetra
.909 .528 .098 r
.66733 .17592 .67064 .18049 .67923 .21153 .67588 .20653 Mtetra
.925 .558 .138 r
.67588 .20653 .67923 .21153 .68842 .25069 .685 .2449 Mtetra
.74 .335 0 r
.685 .2449 .68842 .25069 .69666 .26889 .69319 .26248 Mtetra
.921 .747 .649 r
.69319 .26248 .69666 .26889 .70297 .25182 .69953 .24538 Mtetra
.971 .727 .509 r
.69953 .24538 .70297 .25182 .70778 .21058 .70441 .2047 Mtetra
.973 .733 .512 r
.70441 .2047 .70778 .21058 .71257 .17172 .70929 .16661 Mtetra
.924 .78 .684 r
.70929 .16661 .71257 .17172 .7188 .15743 .71558 .1528 Mtetra
.716 .286 0 r
.71558 .1528 .7188 .15743 .72697 .17257 .72375 .16788 Mtetra
.886 .5 .043 r
.72375 .16788 .72697 .17257 .73634 .20324 .73306 .19802 Mtetra
.805 .402 0 r
.73306 .19802 .73634 .20324 .74529 .22568 .74195 .2198 Mtetra
.712 .714 .85 r
.74195 .2198 .74529 .22568 .75244 .22216 .74909 .21595 Mtetra
.965 .745 .555 r
.74909 .21595 .75244 .22216 .75771 .19408 .75441 .1881 Mtetra
.975 .739 .519 r
.75441 .1881 .75771 .19408 .76238 .15985 .75917 .15447 Mtetra
.955 .771 .615 r
.75917 .15447 .76238 .15985 .7681 .14001 .76495 .13518 Mtetra
.096 .404 .857 r
.76495 .13518 .7681 .14001 .77574 .14376 .77262 .1391 Mtetra
.748 .756 .858 r
.13901 .35989 .14309 .36371 .14895 .36001 .14489 .35614 Mtetra
.934 .567 .287 r
.14489 .35614 .14895 .36001 .15242 .3769 .14839 .3726 Mtetra
.947 .624 .385 r
.14839 .3726 .15242 .3769 .15478 .40412 .15078 .39925 Mtetra
.944 .588 .29 r
.15078 .39925 .15478 .40412 .15819 .42314 .1542 .4179 Mtetra
.734 .7 .819 r
.1542 .4179 .15819 .42314 .16425 .41904 .16025 .41391 Mtetra
.905 .711 .63 r
.16025 .41391 .16425 .41904 .17277 .39252 .16875 .38792 Mtetra
.916 .712 .613 r
.16875 .38792 .17277 .39252 .18182 .36036 .1778 .35631 Mtetra
.896 .735 .674 r
.1778 .35631 .18182 .36036 .18915 .34362 .18513 .33976 Mtetra
.869 .427 .05 r
.18513 .33976 .18915 .34362 .19361 .35401 .18962 .34981 Mtetra
.95 .632 .395 r
.18962 .34981 .19361 .35401 .19589 .38626 .19192 .38135 Mtetra
.954 .638 .391 r
.19192 .38135 .19589 .38626 .19817 .41978 .19423 .4142 Mtetra
.832 .403 0 r
.19423 .4142 .19817 .41978 .20284 .43058 .1989 .42484 Mtetra
.894 .71 .646 r
.1989 .42484 .20284 .43058 .21073 .40885 .20677 .40361 Mtetra
.923 .707 .592 r
.20677 .40361 .21073 .40885 .2204 .36781 .21643 .36335 Mtetra
.924 .716 .605 r
.21643 .36335 .2204 .36781 .22925 .33427 .22528 .33033 Mtetra
.759 .76 .853 r
.22528 .33033 .22925 .33427 .23529 .33029 .23134 .32621 Mtetra
.95 .621 .365 r
.23134 .32621 .23529 .33029 .23831 .35975 .2344 .35492 Mtetra
.956 .65 .413 r
.2344 .35492 .23831 .35975 .24007 .40512 .23617 .39934 Mtetra
.959 .631 .344 r
.23617 .39934 .24007 .40512 .24326 .43588 .23938 .42958 Mtetra
.788 .691 .757 r
.23938 .42958 .24326 .43588 .24982 .42854 .24592 .42256 Mtetra
.924 .704 .586 r
.24592 .42256 .24982 .42854 .25928 .38608 .25535 .38105 Mtetra
.934 .708 .573 r
.25535 .38105 .25928 .38608 .26918 .33642 .26526 .33225 Mtetra
.922 .731 .627 r
.26526 .33225 .26918 .33642 .27695 .31178 .27305 .3078 Mtetra
.922 .53 .195 r
.27305 .3078 .27695 .31178 .28146 .32835 .27759 .32373 Mtetra
.957 .65 .406 r
.27759 .32373 .28146 .32835 .28362 .37725 .27977 .37148 Mtetra
.962 .655 .398 r
.27977 .37148 .28362 .37725 .28589 .4274 .28205 .4207 Mtetra
.885 .496 .041 r
.28205 .4207 .28589 .4274 .29084 .44307 .28698 .43634 Mtetra
.914 .704 .605 r
.28698 .43634 .29084 .44307 .29922 .41083 .29533 .40503 Mtetra
.938 .704 .557 r
.29533 .40503 .29922 .41083 .30932 .35164 .30543 .34704 Mtetra
.941 .714 .568 r
.30543 .34704 .30932 .35164 .31844 .30443 .31457 .30044 Mtetra
.812 .772 .816 r
.31457 .30044 .31844 .30443 .32472 .29885 .3209 .29451 Mtetra
.957 .635 .367 r
.3209 .29451 .32472 .29885 .32816 .33905 .32436 .33355 Mtetra
.963 .659 .403 r
.32436 .33355 .32816 .33905 .33048 .40079 .32668 .39399 Mtetra
.966 .645 .342 r
.32668 .39399 .33048 .40079 .33421 .44266 .33039 .4353 Mtetra
.803 .68 .729 r
.33039 .4353 .33421 .44266 .34104 .43315 .33719 .42645 Mtetra
.938 .703 .555 r
.33719 .42645 .34104 .43315 .3504 .37685 .34655 .37153 Mtetra
.948 .707 .542 r
.34655 .37153 .3504 .37685 .36002 .31178 .3562 .30757 Mtetra
.942 .73 .588 r
.3562 .30757 .36002 .31178 .36778 .27901 .364 .27492 Mtetra
.922 .531 .174 r
.364 .27492 .36778 .27901 .37292 .29802 .36916 .29301 Mtetra
.964 .653 .385 r
.36916 .29301 .37292 .29802 .37625 .35764 .37249 .35117 Mtetra
.968 .658 .377 r
.37249 .35117 .37625 .35764 .37971 .42007 .37593 .41248 Mtetra
.904 .535 .082 r
.37593 .41248 .37971 .42007 .38522 .44105 .38141 .43352 Mtetra
.925 .703 .583 r
.38141 .43352 .38522 .44105 .39323 .40336 .38942 .39708 Mtetra
.95 .704 .53 r
.38942 .39708 .39323 .40336 .4024 .33258 .39862 .32778 Mtetra
.954 .714 .537 r
.39862 .32778 .4024 .33258 .41084 .27473 .4071 .27065 Mtetra
.889 .775 .73 r
.4071 .27065 .41084 .27473 .41742 .2642 .41372 .25973 Mtetra
.959 .627 .327 r
.41372 .25973 .41742 .2642 .42225 .30632 .41855 .30055 Mtetra
.967 .656 .371 r
.41855 .30055 .42225 .30632 .42646 .37517 .42272 .36792 Mtetra
.967 .643 .313 r
.42272 .36792 .42646 .37517 .43153 .42452 .42775 .4166 Mtetra
.742 .652 .76 r
.42775 .4166 .43153 .42452 .43831 .41804 .43452 .41079 Mtetra
.948 .704 .536 r
.43452 .41079 .43831 .41804 .4464 .35881 .44264 .35305 Mtetra
.958 .708 .516 r
.44264 .35305 .4464 .35881 .45456 .28654 .45087 .28205 Mtetra
.956 .728 .554 r
.45087 .28205 .45456 .28654 .4618 .24598 .45816 .24178 Mtetra
.818 .372 0 r
.45816 .24178 .4618 .24598 .46791 .2592 .46427 .25423 Mtetra
.965 .641 .337 r
.46427 .25423 .46791 .2592 .47336 .31684 .46968 .31045 Mtetra
.968 .649 .335 r
.46968 .31045 .47336 .31684 .47897 .38176 .47524 .37414 Mtetra
.915 .553 .108 r
.47524 .37414 .47897 .38176 .48535 .40867 .48159 .40087 Mtetra
.926 .708 .587 r
.48159 .40087 .48535 .40867 .49246 .37667 .48873 .36988 Mtetra
.959 .706 .511 r
.48873 .36988 .49246 .37667 .49976 .30721 .4961 .30187 Mtetra
.963 .714 .513 r
.4961 .30187 .49976 .30721 .50676 .24549 .50316 .24109 Mtetra
.935 .762 .643 r
.50316 .24109 .50676 .24549 .51335 .22698 .50978 .22252 Mtetra
.945 .584 .226 r
.50978 .22252 .51335 .22698 .5198 .25976 .51621 .25436 Mtetra
.965 .639 .314 r
.51621 .25436 .5198 .25976 .52643 .32198 .52278 .31526 Mtetra
.96 .624 .263 r
.52278 .31526 .52643 .32198 .53333 .37188 .52961 .36427 Mtetra
.444 .513 .835 r
.52961 .36427 .53333 .37188 .54023 .37295 .53652 .36552 Mtetra
.954 .71 .531 r
.53652 .36552 .54023 .37295 .54681 .32332 .54316 .31699 Mtetra
.965 .71 .498 r
.54316 .31699 .54681 .32332 .55304 .2563 .54949 .25121 Mtetra
.965 .728 .53 r
.54949 .25121 .55304 .2563 .55928 .21296 .55578 .2085 Mtetra
.107 .439 .877 r
.55578 .2085 .55928 .21296 .56598 .21619 .56249 .21149 Mtetra
.953 .606 .248 r
.56249 .21149 .56598 .21619 .57337 .26074 .56982 .25509 Mtetra
.96 .622 .265 r
.56982 .25509 .57337 .26074 .58119 .31635 .57756 .30956 Mtetra
.891 .518 .053 r
.57756 .30956 .58119 .31635 .58871 .34373 .58505 .33638 Mtetra
.916 .721 .624 r
.58505 .33638 .58871 .34373 .59528 .32221 .59166 .31524 Mtetra
.965 .712 .504 r
.59166 .31524 .59528 .32221 .60094 .26598 .5974 .26005 Mtetra
.969 .718 .5 r
.5974 .26005 .60094 .26598 .60641 .2114 .60296 .20647 Mtetra
.948 .759 .615 r
.60296 .20647 .60641 .2114 .61263 .18997 .60923 .18545 Mtetra
.869 .461 .007 r
.60923 .18545 .61263 .18997 .6201 .21071 .61668 .20583 Mtetra
.948 .597 .217 r
.61668 .20583 .6201 .21071 .62857 .25729 .62507 .2515 Mtetra
.933 .572 .159 r
.62507 .2515 .62857 .25729 .63702 .29673 .63345 .29002 Mtetra
.293 .456 .852 r
.63345 .29002 .63702 .29673 .6443 .29992 .64072 .29292 Mtetra
.958 .723 .542 r
.64072 .29292 .6443 .29992 .65 .26343 .64649 .25695 Mtetra
.971 .718 .495 r
.64649 .25695 .65 .26343 .65492 .21158 .6515 .20604 Mtetra
.968 .737 .535 r
.6515 .20604 .65492 .21158 .66036 .17629 .65702 .17151 Mtetra
.497 .656 .93 r
.65702 .17151 .66036 .17629 .66733 .17592 .66401 .17134 Mtetra
.908 .525 .094 r
.66401 .17134 .66733 .17592 .67588 .20653 .67251 .20147 Mtetra
.923 .555 .132 r
.67251 .20147 .67588 .20653 .685 .2449 .68156 .239 Mtetra
.719 .316 0 r
.68156 .239 .685 .2449 .69319 .26248 .68971 .25592 Mtetra
.919 .744 .649 r
.68971 .25592 .69319 .26248 .69953 .24538 .69607 .2388 Mtetra
.97 .726 .512 r
.69607 .2388 .69953 .24538 .70441 .2047 .70103 .19874 Mtetra
.972 .733 .516 r
.70103 .19874 .70441 .2047 .70929 .16661 .70601 .16145 Mtetra
.919 .78 .691 r
.70601 .16145 .70929 .16661 .71558 .1528 .71235 .14814 Mtetra
.714 .284 0 r
.71235 .14814 .71558 .1528 .72375 .16788 .72051 .16316 Mtetra
.883 .496 .036 r
.72051 .16316 .72375 .16788 .73306 .19802 .72976 .19271 Mtetra
.793 .389 0 r
.72976 .19271 .73306 .19802 .74195 .2198 .73859 .21379 Mtetra
.723 .715 .842 r
.73859 .21379 .74195 .2198 .74909 .21595 .74572 .20962 Mtetra
.964 .744 .557 r
.74572 .20962 .74909 .21595 .75441 .1881 .75109 .18203 Mtetra
.974 .74 .523 r
.75109 .18203 .75441 .1881 .75917 .15447 .75594 .14904 Mtetra
.952 .771 .621 r
.75594 .14904 .75917 .15447 .76495 .13518 .7618 .13033 Mtetra
.077 .391 .85 r
.7618 .13033 .76495 .13518 .77262 .1391 .76948 .13441 Mtetra
.75 .756 .857 r
.13492 .35605 .13901 .35989 .14489 .35614 .1408 .35225 Mtetra
.932 .563 .279 r
.1408 .35225 .14489 .35614 .14839 .3726 .14433 .36829 Mtetra
.947 .622 .381 r
.14433 .36829 .14839 .3726 .15078 .39925 .14676 .39437 Mtetra
.943 .585 .284 r
.14676 .39437 .15078 .39925 .1542 .4179 .1502 .41265 Mtetra
.73 .699 .822 r
.1502 .41265 .1542 .4179 .16025 .41391 .15624 .40877 Mtetra
.904 .711 .632 r
.15624 .40877 .16025 .41391 .16875 .38792 .16473 .38328 Mtetra
.915 .713 .615 r
.16473 .38328 .16875 .38792 .1778 .35631 .17375 .35223 Mtetra
.896 .736 .675 r
.17375 .35223 .1778 .35631 .18513 .33976 .18109 .33589 Mtetra
.86 .413 .03 r
.18109 .33589 .18513 .33976 .18962 .34981 .1856 .34561 Mtetra
.949 .631 .392 r
.1856 .34561 .18962 .34981 .19192 .38135 .18795 .37642 Mtetra
.954 .636 .388 r
.18795 .37642 .19192 .38135 .19423 .4142 .19028 .4086 Mtetra
.826 .396 0 r
.19028 .4086 .19423 .4142 .1989 .42484 .19495 .41909 Mtetra
.892 .71 .648 r
.19495 .41909 .1989 .42484 .20677 .40361 .2028 .39835 Mtetra
.922 .707 .594 r
.2028 .39835 .20677 .40361 .21643 .36335 .21244 .35887 Mtetra
.923 .717 .606 r
.21244 .35887 .21643 .36335 .22528 .33033 .22129 .32636 Mtetra
.763 .76 .85 r
.22129 .32636 .22528 .33033 .23134 .32621 .22737 .32213 Mtetra
.95 .618 .36 r
.22737 .32213 .23134 .32621 .2344 .35492 .23046 .35009 Mtetra
.956 .649 .411 r
.23046 .35009 .2344 .35492 .23617 .39934 .23227 .39355 Mtetra
.959 .629 .341 r
.23227 .39355 .23617 .39934 .23938 .42958 .23548 .42326 Mtetra
.783 .69 .762 r
.23548 .42326 .23938 .42958 .24592 .42256 .242 .41656 Mtetra
.924 .704 .588 r
.242 .41656 .24592 .42256 .25535 .38105 .25141 .37598 Mtetra
.933 .708 .574 r
.25141 .37598 .25535 .38105 .26526 .33225 .26132 .32805 Mtetra
.922 .731 .628 r
.26132 .32805 .26526 .33225 .27305 .3078 .26912 .3038 Mtetra
.918 .521 .179 r
.26912 .3038 .27305 .3078 .27759 .32373 .2737 .31911 Mtetra
.957 .649 .404 r
.2737 .31911 .27759 .32373 .27977 .37148 .27591 .36572 Mtetra
.962 .654 .396 r
.27591 .36572 .27977 .37148 .28205 .4207 .2782 .41399 Mtetra
.885 .495 .04 r
.2782 .41399 .28205 .4207 .28698 .43634 .28311 .42957 Mtetra
.912 .704 .607 r
.28311 .42957 .28698 .43634 .29533 .40503 .29144 .39918 Mtetra
.938 .704 .559 r
.29144 .39918 .29533 .40503 .30543 .34704 .30153 .34238 Mtetra
.94 .715 .569 r
.30153 .34238 .30543 .34704 .31457 .30044 .3107 .29643 Mtetra
.818 .772 .809 r
.3107 .29643 .31457 .30044 .3209 .29451 .31705 .29017 Mtetra
.957 .633 .363 r
.31705 .29017 .3209 .29451 .32436 .33355 .32055 .32807 Mtetra
.963 .658 .401 r
.32055 .32807 .32436 .33355 .32668 .39399 .32287 .3872 Mtetra
.966 .644 .34 r
.32287 .3872 .32668 .39399 .33039 .4353 .32656 .42793 Mtetra
.794 .677 .735 r
.32656 .42793 .33039 .4353 .33719 .42645 .33333 .4197 Mtetra
.938 .703 .557 r
.33333 .4197 .33719 .42645 .34655 .37153 .34268 .36616 Mtetra
.947 .708 .543 r
.34268 .36616 .34655 .37153 .3562 .30757 .35236 .30331 Mtetra
.941 .73 .589 r
.35236 .30331 .3562 .30757 .364 .27492 .3602 .27082 Mtetra
.917 .519 .156 r
.3602 .27082 .364 .27492 .36916 .29301 .36539 .28802 Mtetra
.963 .652 .382 r
.36539 .28802 .36916 .29301 .37249 .35117 .36872 .34472 Mtetra
.968 .658 .375 r
.36872 .34472 .37249 .35117 .37593 .41248 .37214 .40489 Mtetra
.905 .536 .084 r
.37214 .40489 .37593 .41248 .38141 .43352 .37759 .42597 Mtetra
.924 .703 .586 r
.37759 .42597 .38141 .43352 .38942 .39708 .38559 .39074 Mtetra
.95 .705 .532 r
.38559 .39074 .38942 .39708 .39862 .32778 .39482 .32291 Mtetra
.953 .714 .538 r
.39482 .32291 .39862 .32778 .4071 .27065 .40335 .26654 Mtetra
.891 .773 .725 r
.40335 .26654 .4071 .27065 .41372 .25973 .41 .25525 Mtetra
.959 .624 .322 r
.41 .25525 .41372 .25973 .41855 .30055 .41483 .29479 Mtetra
.967 .655 .369 r
.41483 .29479 .41855 .30055 .42272 .36792 .41897 .36069 Mtetra
.967 .642 .311 r
.41897 .36069 .42272 .36792 .42775 .4166 .42396 .40868 Mtetra
.727 .646 .767 r
.42396 .40868 .42775 .4166 .43452 .41079 .43072 .40348 Mtetra
.947 .704 .538 r
.43072 .40348 .43452 .41079 .44264 .35305 .43888 .34723 Mtetra
.958 .708 .517 r
.43888 .34723 .44264 .35305 .45087 .28205 .44716 .2775 Mtetra
.955 .728 .555 r
.44716 .2775 .45087 .28205 .45816 .24178 .4545 .23756 Mtetra
.796 .344 0 r
.4545 .23756 .45816 .24178 .46427 .25423 .46062 .24926 Mtetra
.965 .64 .334 r
.46062 .24926 .46427 .25423 .46968 .31045 .46599 .30407 Mtetra
.968 .648 .333 r
.46599 .30407 .46968 .31045 .47524 .37414 .4715 .36652 Mtetra
.914 .552 .106 r
.4715 .36652 .47524 .37414 .48159 .40087 .47782 .39304 Mtetra
.924 .708 .591 r
.47782 .39304 .48159 .40087 .48873 .36988 .48498 .36303 Mtetra
.958 .706 .513 r
.48498 .36303 .48873 .36988 .4961 .30187 .49242 .29646 Mtetra
.963 .715 .514 r
.49242 .29646 .4961 .30187 .50316 .24109 .49956 .23663 Mtetra
.935 .762 .643 r
.49956 .23663 .50316 .24109 .50978 .22252 .50621 .21806 Mtetra
.943 .58 .219 r
.50621 .21806 .50978 .22252 .51621 .25436 .5126 .24898 Mtetra
.965 .638 .312 r
.5126 .24898 .51621 .25436 .52278 .31526 .51911 .30855 Mtetra
.959 .623 .26 r
.51911 .30855 .52278 .31526 .52961 .36427 .52589 .35665 Mtetra
.432 .506 .835 r
.52589 .35665 .52961 .36427 .53652 .36552 .53279 .35805 Mtetra
.953 .71 .533 r
.53279 .35805 .53652 .36552 .54316 .31699 .5395 .31061 Mtetra
.965 .71 .5 r
.5395 .31061 .54316 .31699 .54949 .25121 .54592 .24606 Mtetra
.964 .728 .532 r
.54592 .24606 .54949 .25121 .55578 .2085 .55227 .20402 Mtetra
.138 .459 .887 r
.55227 .20402 .55578 .2085 .56249 .21149 .55898 .20679 Mtetra
.953 .603 .244 r
.55898 .20679 .56249 .21149 .56982 .25509 .56626 .24944 Mtetra
.959 .621 .262 r
.56626 .24944 .56982 .25509 .57756 .30956 .57393 .30278 Mtetra
.888 .513 .046 r
.57393 .30278 .57756 .30956 .58505 .33638 .58137 .329 Mtetra
.914 .721 .627 r
.58137 .329 .58505 .33638 .59166 .31524 .58802 .30823 Mtetra
.964 .712 .506 r
.58802 .30823 .59166 .31524 .5974 .26005 .59385 .25407 Mtetra
.969 .718 .502 r
.59385 .25407 .5974 .26005 .60296 .20647 .5995 .20151 Mtetra
.946 .76 .619 r
.5995 .20151 .60296 .20647 .60923 .18545 .60581 .18091 Mtetra
.865 .456 0 r
.60581 .18091 .60923 .18545 .61668 .20583 .61323 .20095 Mtetra
.947 .594 .214 r
.61323 .20095 .61668 .20583 .62507 .2515 .62156 .24571 Mtetra
.931 .569 .153 r
.62156 .24571 .62507 .2515 .63345 .29002 .62987 .28331 Mtetra
.319 .472 .856 r
.62987 .28331 .63345 .29002 .64072 .29292 .63713 .28589 Mtetra
.957 .723 .544 r
.63713 .28589 .64072 .29292 .64649 .25695 .64296 .25042 Mtetra
.97 .718 .497 r
.64296 .25042 .64649 .25695 .6515 .20604 .64807 .20046 Mtetra
.967 .738 .538 r
.64807 .20046 .6515 .20604 .65702 .17151 .65367 .16671 Mtetra
.479 .646 .931 r
.65367 .16671 .65702 .17151 .66401 .17134 .66068 .16674 Mtetra
.906 .522 .089 r
.66068 .16674 .66401 .17134 .67251 .20147 .66913 .19641 Mtetra
.921 .552 .127 r
.66913 .19641 .67251 .20147 .68156 .239 .67811 .23308 Mtetra
.701 .297 0 r
.67811 .23308 .68156 .239 .68971 .25592 .68621 .24933 Mtetra
.919 .744 .649 r
.68621 .24933 .68971 .25592 .69607 .2388 .69259 .23219 Mtetra
.969 .726 .514 r
.69259 .23219 .69607 .2388 .70103 .19874 .69764 .19274 Mtetra
.972 .734 .519 r
.69764 .19274 .70103 .19874 .70601 .16145 .70271 .15626 Mtetra
.914 .781 .699 r
.70271 .15626 .70601 .16145 .71235 .14814 .7091 .14347 Mtetra
.712 .282 0 r
.7091 .14347 .71235 .14814 .72051 .16316 .71725 .15842 Mtetra
.881 .491 .03 r
.71725 .15842 .72051 .16316 .72976 .19271 .72645 .18739 Mtetra
.783 .377 0 r
.72645 .18739 .72976 .19271 .73859 .21379 .73522 .20776 Mtetra
.735 .719 .836 r
.73522 .20776 .73859 .21379 .74572 .20962 .74233 .20325 Mtetra
.963 .744 .559 r
.74233 .20325 .74572 .20962 .75109 .18203 .74776 .17593 Mtetra
.973 .74 .526 r
.74776 .17593 .75109 .18203 .75594 .14904 .75269 .14358 Mtetra
.95 .773 .628 r
.75269 .14358 .75594 .14904 .7618 .13033 .75863 .12546 Mtetra
.058 .378 .843 r
.75863 .12546 .7618 .13033 .76948 .13441 .76634 .12971 Mtetra
.751 .756 .856 r
.1308 .3522 .13492 .35605 .1408 .35225 .13671 .34835 Mtetra
.931 .558 .271 r
.13671 .34835 .1408 .35225 .14433 .36829 .14027 .36397 Mtetra
.947 .62 .377 r
.14027 .36397 .14433 .36829 .14676 .39437 .14273 .38947 Mtetra
.943 .582 .278 r
.14273 .38947 .14676 .39437 .1502 .41265 .14618 .40738 Mtetra
.726 .698 .824 r
.14618 .40738 .1502 .41265 .15624 .40877 .15222 .4036 Mtetra
.903 .711 .633 r
.15222 .4036 .15624 .40877 .16473 .38328 .16069 .37863 Mtetra
.915 .713 .616 r
.16069 .37863 .16473 .38328 .17375 .35223 .1697 .34814 Mtetra
.895 .736 .677 r
.1697 .34814 .17375 .35223 .18109 .33589 .17704 .33199 Mtetra
.851 .399 .008 r
.17704 .33199 .18109 .33589 .1856 .34561 .18158 .34139 Mtetra
.949 .629 .388 r
.18158 .34139 .1856 .34561 .18795 .37642 .18395 .37149 Mtetra
.954 .635 .385 r
.18395 .37149 .18795 .37642 .19028 .4086 .18631 .40299 Mtetra
.82 .389 0 r
.18631 .40299 .19028 .4086 .19495 .41909 .19099 .41331 Mtetra
.891 .71 .65 r
.19099 .41331 .19495 .41909 .2028 .39835 .19882 .39305 Mtetra
.922 .707 .595 r
.19882 .39305 .2028 .39835 .21244 .35887 .20844 .35436 Mtetra
.922 .717 .607 r
.20844 .35436 .21244 .35887 .22129 .32636 .21729 .32237 Mtetra
.766 .76 .848 r
.21729 .32237 .22129 .32636 .22737 .32213 .22338 .31803 Mtetra
.949 .616 .356 r
.22338 .31803 .22737 .32213 .23046 .35009 .22651 .34526 Mtetra
.956 .648 .408 r
.22651 .34526 .23046 .35009 .23227 .39355 .22835 .38776 Mtetra
.959 .628 .337 r
.22835 .38776 .23227 .39355 .23548 .42326 .23157 .41693 Mtetra
.777 .688 .766 r
.23157 .41693 .23548 .42326 .242 .41656 .23807 .41052 Mtetra
.923 .705 .59 r
.23807 .41052 .242 .41656 .25141 .37598 .24746 .37087 Mtetra
.933 .708 .575 r
.24746 .37087 .25141 .37598 .26132 .32805 .25736 .32382 Mtetra
.921 .731 .629 r
.25736 .32382 .26132 .32805 .26912 .3038 .26519 .29979 Mtetra
.914 .511 .163 r
.26519 .29979 .26912 .3038 .2737 .31911 .2698 .31449 Mtetra
.957 .648 .401 r
.2698 .31449 .2737 .31911 .27591 .36572 .27204 .35997 Mtetra
.962 .653 .394 r
.27204 .35997 .27591 .36572 .2782 .41399 .27433 .40728 Mtetra
.885 .494 .039 r
.27433 .40728 .2782 .41399 .28311 .42957 .27923 .42279 Mtetra
.911 .704 .61 r
.27923 .42279 .28311 .42957 .29144 .39918 .28753 .39329 Mtetra
.937 .704 .56 r
.28753 .39329 .29144 .39918 .30153 .34238 .29762 .33768 Mtetra
.94 .715 .57 r
.29762 .33768 .30153 .34238 .3107 .29643 .3068 .29239 Mtetra
.824 .772 .803 r
.3068 .29239 .3107 .29643 .31705 .29017 .31319 .28583 Mtetra
.957 .631 .359 r
.31319 .28583 .31705 .29017 .32055 .32807 .31671 .3226 Mtetra
.963 .657 .399 r
.31671 .3226 .32055 .32807 .32287 .3872 .31905 .38042 Mtetra
.965 .643 .338 r
.31905 .38042 .32287 .3872 .32656 .42793 .32273 .42055 Mtetra
.785 .674 .742 r
.32273 .42055 .32656 .42793 .33333 .4197 .32947 .41291 Mtetra
.937 .703 .559 r
.32947 .41291 .33333 .4197 .34268 .36616 .33881 .36072 Mtetra
.947 .708 .544 r
.33881 .36072 .34268 .36616 .35236 .30331 .34851 .299 Mtetra
.941 .73 .59 r
.34851 .299 .35236 .30331 .3602 .27082 .35639 .2667 Mtetra
.91 .507 .136 r
.35639 .2667 .3602 .27082 .36539 .28802 .36161 .28305 Mtetra
.963 .651 .38 r
.36161 .28305 .36539 .28802 .36872 .34472 .36494 .3383 Mtetra
.967 .657 .373 r
.36494 .3383 .36872 .34472 .37214 .40489 .36834 .39732 Mtetra
.906 .537 .086 r
.36834 .39732 .37214 .40489 .37759 .42597 .37376 .41839 Mtetra
.922 .703 .589 r
.37376 .41839 .37759 .42597 .38559 .39074 .38175 .38433 Mtetra
.949 .705 .533 r
.38175 .38433 .38559 .39074 .39482 .32291 .39101 .31797 Mtetra
.953 .714 .539 r
.39101 .31797 .39482 .32291 .40335 .26654 .39959 .2624 Mtetra
.894 .772 .72 r
.39959 .2624 .40335 .26654 .41 .25525 .40627 .25078 Mtetra
.958 .622 .317 r
.40627 .25078 .41 .25525 .41483 .29479 .4111 .28906 Mtetra
.967 .654 .367 r
.4111 .28906 .41483 .29479 .41897 .36069 .41521 .35349 Mtetra
.966 .641 .31 r
.41521 .35349 .41897 .36069 .42396 .40868 .42016 .40075 Mtetra
.712 .639 .775 r
.42016 .40075 .42396 .40868 .43072 .40348 .42692 .39613 Mtetra
.946 .705 .54 r
.42692 .39613 .43072 .40348 .43888 .34723 .4351 .34133 Mtetra
.957 .708 .519 r
.4351 .34133 .43888 .34723 .44716 .2775 .44344 .2729 Mtetra
.955 .728 .556 r
.44344 .2729 .44716 .2775 .4545 .23756 .45082 .23332 Mtetra
.772 .313 0 r
.45082 .23332 .4545 .23756 .46062 .24926 .45695 .24431 Mtetra
.964 .638 .331 r
.45695 .24431 .46062 .24926 .46599 .30407 .46229 .29773 Mtetra
.968 .647 .331 r
.46229 .29773 .46599 .30407 .4715 .36652 .46775 .35893 Mtetra
.913 .551 .104 r
.46775 .35893 .4715 .36652 .47782 .39304 .47404 .38519 Mtetra
.923 .708 .594 r
.47404 .38519 .47782 .39304 .48498 .36303 .48122 .35612 Mtetra
.958 .706 .514 r
.48122 .35612 .48498 .36303 .49242 .29646 .48873 .29098 Mtetra
.962 .715 .515 r
.48873 .29098 .49242 .29646 .49956 .23663 .49593 .23214 Mtetra
.934 .761 .644 r
.49593 .23214 .49956 .23663 .50621 .21806 .50261 .21359 Mtetra
.942 .576 .212 r
.50261 .21359 .50621 .21806 .5126 .24898 .50898 .24361 Mtetra
.965 .636 .309 r
.50898 .24361 .5126 .24898 .51911 .30855 .51543 .30187 Mtetra
.959 .621 .257 r
.51543 .30187 .51911 .30855 .52589 .35665 .52216 .34903 Mtetra
.422 .501 .835 r
.52216 .34903 .52589 .35665 .53279 .35805 .52906 .35055 Mtetra
.952 .71 .535 r
.52906 .35055 .53279 .35805 .5395 .31061 .53583 .30416 Mtetra
.965 .71 .502 r
.53583 .30416 .5395 .31061 .54592 .24606 .54233 .24086 Mtetra
.964 .728 .534 r
.54233 .24086 .54592 .24606 .55227 .20402 .54875 .1995 Mtetra
.164 .475 .895 r
.54875 .1995 .55227 .20402 .55898 .20679 .55546 .20209 Mtetra
.952 .601 .241 r
.55546 .20209 .55898 .20679 .56626 .24944 .56269 .2438 Mtetra
.958 .619 .26 r
.56269 .2438 .56626 .24944 .57393 .30278 .57028 .296 Mtetra
.884 .508 .037 r
.57028 .296 .57393 .30278 .58137 .329 .57769 .32161 Mtetra
.913 .721 .629 r
.57769 .32161 .58137 .329 .58802 .30823 .58437 .30118 Mtetra
.964 .713 .508 r
.58437 .30118 .58802 .30823 .59385 .25407 .59028 .24805 Mtetra
.968 .719 .504 r
.59028 .24805 .59385 .25407 .5995 .20151 .59602 .1965 Mtetra
.945 .76 .622 r
.59602 .1965 .5995 .20151 .60581 .18091 .60237 .17635 Mtetra
.862 .451 0 r
.60237 .17635 .60581 .18091 .61323 .20095 .60977 .19606 Mtetra
.946 .592 .21 r
.60977 .19606 .61323 .20095 .62156 .24571 .61803 .23991 Mtetra
.929 .566 .147 r
.61803 .23991 .62156 .24571 .62987 .28331 .62628 .27658 Mtetra
.345 .489 .86 r
.62628 .27658 .62987 .28331 .63713 .28589 .63353 .27884 Mtetra
.956 .724 .546 r
.63353 .27884 .63713 .28589 .64296 .25042 .63942 .24386 Mtetra
.97 .719 .499 r
.63942 .24386 .64296 .25042 .64807 .20046 .64462 .19484 Mtetra
.966 .738 .542 r
.64462 .19484 .64807 .20046 .65367 .16671 .6503 .16189 Mtetra
.459 .635 .931 r
.6503 .16189 .65367 .16671 .66068 .16674 .65733 .16213 Mtetra
.904 .519 .085 r
.65733 .16213 .66068 .16674 .66913 .19641 .66574 .19133 Mtetra
.919 .548 .121 r
.66574 .19133 .66913 .19641 .67811 .23308 .67464 .22715 Mtetra
.682 .277 0 r
.67464 .22715 .67811 .23308 .68621 .24933 .6827 .24272 Mtetra
.919 .744 .649 r
.6827 .24272 .68621 .24933 .69259 .23219 .6891 .22554 Mtetra
.969 .727 .516 r
.6891 .22554 .69259 .23219 .69764 .19274 .69423 .18671 Mtetra
.971 .735 .522 r
.69423 .18671 .69764 .19274 .70271 .15626 .69939 .15105 Mtetra
.909 .781 .707 r
.69939 .15105 .70271 .15626 .7091 .14347 .70584 .13879 Mtetra
.711 .28 0 r
.70584 .13879 .7091 .14347 .71725 .15842 .71399 .15367 Mtetra
.877 .487 .023 r
.71399 .15367 .71725 .15842 .72645 .18739 .72312 .18205 Mtetra
.772 .364 0 r
.72312 .18205 .72645 .18739 .73522 .20776 .73183 .2017 Mtetra
.746 .723 .83 r
.73183 .2017 .73522 .20776 .74233 .20325 .73893 .19685 Mtetra
.963 .744 .561 r
.73893 .19685 .74233 .20325 .74776 .17593 .74441 .1698 Mtetra
.972 .741 .53 r
.74441 .1698 .74776 .17593 .75269 .14358 .74944 .13811 Mtetra
.947 .774 .635 r
.74944 .13811 .75269 .14358 .75863 .12546 .75545 .12057 Mtetra
.039 .364 .835 r
.75545 .12057 .75863 .12546 .76634 .12971 .76317 .12499 Mtetra
.753 .756 .855 r
.12667 .34833 .1308 .3522 .13671 .34835 .13259 .34443 Mtetra
.929 .553 .261 r
.13259 .34443 .13671 .34835 .14027 .36397 .13619 .35961 Mtetra
.947 .618 .372 r
.13619 .35961 .14027 .36397 .14273 .38947 .13868 .38451 Mtetra
.942 .578 .27 r
.13868 .38451 .14273 .38947 .14618 .40738 .14216 .40204 Mtetra
.721 .695 .825 r
.14216 .40204 .14618 .40738 .15222 .4036 .1482 .39836 Mtetra
.901 .711 .635 r
.1482 .39836 .15222 .4036 .16069 .37863 .15663 .37393 Mtetra
.914 .713 .618 r
.15663 .37393 .16069 .37863 .1697 .34814 .16563 .34401 Mtetra
.894 .736 .679 r
.16563 .34401 .1697 .34814 .17704 .33199 .17297 .32809 Mtetra
.841 .383 0 r
.17297 .32809 .17704 .33199 .18158 .34139 .17753 .33715 Mtetra
.949 .627 .384 r
.17753 .33715 .18158 .34139 .18395 .37149 .17995 .36651 Mtetra
.954 .634 .381 r
.17995 .36651 .18395 .37149 .18631 .40299 .18234 .39731 Mtetra
.81 .378 0 r
.18234 .39731 .18631 .40299 .19099 .41331 .18702 .40744 Mtetra
.889 .709 .653 r
.18702 .40744 .19099 .41331 .19882 .39305 .19484 .38767 Mtetra
.921 .707 .597 r
.19484 .38767 .19882 .39305 .20844 .35436 .20443 .34979 Mtetra
.922 .717 .609 r
.20443 .34979 .20844 .35436 .21729 .32237 .21327 .31836 Mtetra
.769 .76 .845 r
.21327 .31836 .21729 .32237 .22338 .31803 .21938 .31392 Mtetra
.949 .613 .351 r
.21938 .31392 .22338 .31803 .22651 .34526 .22255 .3404 Mtetra
.956 .647 .406 r
.22255 .3404 .22651 .34526 .22835 .38776 .22442 .38191 Mtetra
.958 .626 .333 r
.22442 .38191 .22835 .38776 .23157 .41693 .22765 .4105 Mtetra
.77 .684 .769 r
.22765 .4105 .23157 .41693 .23807 .41052 .23414 .40437 Mtetra
.921 .704 .591 r
.23414 .40437 .23807 .41052 .24746 .37087 .24351 .36566 Mtetra
.932 .708 .577 r
.24351 .36566 .24746 .37087 .25736 .32382 .25339 .31952 Mtetra
.92 .731 .63 r
.25339 .31952 .25736 .32382 .26519 .29979 .26123 .29576 Mtetra
.908 .501 .146 r
.26123 .29576 .26519 .29979 .2698 .31449 .26588 .30986 Mtetra
.957 .646 .398 r
.26588 .30986 .2698 .31449 .27204 .35997 .26815 .35417 Mtetra
.962 .652 .391 r
.26815 .35417 .27204 .35997 .27433 .40728 .27046 .40047 Mtetra
.881 .491 .032 r
.27046 .40047 .27433 .40728 .27923 .42279 .27535 .41587 Mtetra
.909 .703 .613 r
.27535 .41587 .27923 .42279 .28753 .39329 .28362 .38726 Mtetra
.936 .704 .562 r
.28362 .38726 .28753 .39329 .29762 .33768 .2937 .33289 Mtetra
.939 .714 .571 r
.2937 .33289 .29762 .33768 .3068 .29239 .30289 .28831 Mtetra
.829 .771 .797 r
.30289 .28831 .3068 .29239 .31319 .28583 .30932 .28148 Mtetra
.956 .628 .355 r
.30932 .28148 .31319 .28583 .31671 .3226 .31287 .31712 Mtetra
.963 .656 .397 r
.31287 .31712 .31671 .3226 .31905 .38042 .31522 .37358 Mtetra
.965 .642 .334 r
.31522 .37358 .31905 .38042 .32273 .42055 .31888 .41304 Mtetra
.773 .668 .747 r
.31888 .41304 .32273 .42055 .32947 .41291 .3256 .40596 Mtetra
.936 .702 .561 r
.3256 .40596 .32947 .41291 .33881 .36072 .33493 .35514 Mtetra
.946 .707 .545 r
.33493 .35514 .33881 .36072 .34851 .299 .34465 .29461 Mtetra
.94 .73 .591 r
.34465 .29461 .34851 .299 .35639 .2667 .35256 .26256 Mtetra
.903 .493 .114 r
.35256 .26256 .35639 .2667 .36161 .28305 .35781 .27807 Mtetra
.963 .649 .377 r
.35781 .27807 .36161 .28305 .36494 .3383 .36115 .33184 Mtetra
.967 .656 .371 r
.36115 .33184 .36494 .3383 .36834 .39732 .36453 .38964 Mtetra
.904 .536 .082 r
.36453 .38964 .36834 .39732 .37376 .41839 .36993 .41064 Mtetra
.919 .702 .592 r
.36993 .41064 .37376 .41839 .38175 .38433 .37791 .37776 Mtetra
.948 .704 .535 r
.37791 .37776 .38175 .38433 .39101 .31797 .38719 .31292 Mtetra
.952 .714 .541 r
.38719 .31292 .39101 .31797 .39959 .2624 .39581 .2582 Mtetra
.895 .771 .717 r
.39581 .2582 .39959 .2624 .40627 .25078 .40252 .2463 Mtetra
.957 .619 .312 r
.40252 .2463 .40627 .25078 .4111 .28906 .40735 .28333 Mtetra
.967 .653 .365 r
.40735 .28333 .4111 .28906 .41521 .35349 .41144 .34622 Mtetra
.966 .64 .306 r
.41144 .34622 .41521 .35349 .42016 .40075 .41636 .39268 Mtetra
.695 .629 .778 r
.41636 .39268 .42016 .40075 .42692 .39613 .4231 .3886 Mtetra
.945 .704 .542 r
.4231 .3886 .42692 .39613 .4351 .34133 .43131 .33528 Mtetra
.956 .708 .52 r
.43131 .33528 .4351 .34133 .44344 .2729 .43971 .2682 Mtetra
.954 .728 .557 r
.43971 .2682 .44344 .2729 .45082 .23332 .44713 .22905 Mtetra
.744 .28 0 r
.44713 .22905 .45082 .23332 .45695 .24431 .45327 .23935 Mtetra
.964 .637 .328 r
.45327 .23935 .45695 .24431 .46229 .29773 .45858 .29136 Mtetra
.968 .646 .328 r
.45858 .29136 .46229 .29773 .46775 .35893 .46399 .35124 Mtetra
.911 .548 .097 r
.46399 .35124 .46775 .35893 .47404 .38519 .47025 .37718 Mtetra
.919 .706 .598 r
.47025 .37718 .47404 .38519 .48122 .35612 .47746 .34904 Mtetra
.957 .706 .517 r
.47746 .34904 .48122 .35612 .48873 .29098 .48503 .28538 Mtetra
.962 .715 .517 r
.48503 .28538 .48873 .29098 .49593 .23214 .4923 .22758 Mtetra
.933 .761 .644 r
.4923 .22758 .49593 .23214 .50261 .21359 .499 .2091 Mtetra
.94 .572 .205 r
.499 .2091 .50261 .21359 .50898 .24361 .50535 .23823 Mtetra
.964 .635 .307 r
.50535 .23823 .50898 .24361 .51543 .30187 .51174 .29513 Mtetra
.958 .62 .253 r
.51174 .29513 .51543 .30187 .52216 .34903 .51842 .3413 Mtetra
.418 .496 .832 r
.51842 .3413 .52216 .34903 .52906 .35055 .52532 .34289 Mtetra
.951 .71 .538 r
.52532 .34289 .52906 .35055 .53583 .30416 .53215 .29757 Mtetra
.964 .71 .504 r
.53215 .29757 .53583 .30416 .54233 .24086 .53873 .23557 Mtetra
.963 .728 .536 r
.53873 .23557 .54233 .24086 .54875 .1995 .54521 .19495 Mtetra
.187 .489 .901 r
.54521 .19495 .54875 .1995 .55546 .20209 .55192 .19737 Mtetra
.951 .599 .237 r
.55192 .19737 .55546 .20209 .56269 .2438 .5591 .23814 Mtetra
.958 .617 .256 r
.5591 .23814 .56269 .2438 .57028 .296 .56662 .28914 Mtetra
.877 .501 .024 r
.56662 .28914 .57028 .296 .57769 .32161 .57399 .31409 Mtetra
.91 .719 .631 r
.57399 .31409 .57769 .32161 .58437 .30118 .5807 .29399 Mtetra
.963 .712 .51 r
.5807 .29399 .58437 .30118 .59028 .24805 .5867 .24191 Mtetra
.968 .719 .506 r
.5867 .24191 .59028 .24805 .59602 .1965 .59253 .19144 Mtetra
.943 .761 .627 r
.59253 .19144 .59602 .1965 .60237 .17635 .59892 .17177 Mtetra
.858 .446 0 r
.59892 .17177 .60237 .17635 .60977 .19606 .6063 .19115 Mtetra
.945 .59 .206 r
.6063 .19115 .60977 .19606 .61803 .23991 .61449 .23406 Mtetra
.926 .562 .14 r
.61449 .23406 .61803 .23991 .62628 .27658 .62268 .26975 Mtetra
.376 .504 .86 r
.62268 .26975 .62628 .27658 .63353 .27884 .62991 .27166 Mtetra
.955 .723 .548 r
.62991 .27166 .63353 .27884 .63942 .24386 .63587 .23719 Mtetra
.969 .719 .502 r
.63587 .23719 .63942 .24386 .64462 .19484 .64116 .18915 Mtetra
.965 .739 .546 r
.64116 .18915 .64462 .19484 .6503 .16189 .64692 .15704 Mtetra
.437 .623 .931 r
.64692 .15704 .6503 .16189 .65733 .16213 .65396 .1575 Mtetra
.902 .516 .08 r
.65396 .1575 .65733 .16213 .66574 .19133 .66233 .18621 Mtetra
.916 .544 .114 r
.66233 .18621 .66574 .19133 .67464 .22715 .67116 .22114 Mtetra
.655 .252 0 r
.67116 .22114 .67464 .22715 .6827 .24272 .67918 .236 Mtetra
.918 .743 .648 r
.67918 .236 .6827 .24272 .6891 .22554 .6856 .2188 Mtetra
.968 .727 .519 r
.6856 .2188 .6891 .22554 .69423 .18671 .69081 .18061 Mtetra
.97 .735 .526 r
.69081 .18061 .69423 .18671 .69939 .15105 .69607 .14581 Mtetra
.904 .781 .716 r
.69607 .14581 .69939 .15105 .70584 .13879 .70257 .13408 Mtetra
.709 .278 0 r
.70257 .13408 .70584 .13879 .71399 .15367 .7107 .14889 Mtetra
.874 .482 .016 r
.7107 .14889 .71399 .15367 .72312 .18205 .71978 .17664 Mtetra
.757 .349 0 r
.71978 .17664 .72312 .18205 .73183 .2017 .72843 .19555 Mtetra
.756 .725 .823 r
.72843 .19555 .73183 .2017 .73893 .19685 .73552 .19037 Mtetra
.961 .744 .563 r
.73552 .19037 .73893 .19685 .74441 .1698 .74105 .16361 Mtetra
.971 .742 .534 r
.74105 .16361 .74441 .1698 .74944 .13811 .74617 .1326 Mtetra
.944 .775 .642 r
.74617 .1326 .74944 .13811 .75545 .12057 .75225 .11566 Mtetra
.021 .352 .828 r
.75225 .11566 .75545 .12057 .76317 .12499 .75999 .12024 Mtetra
.754 .756 .854 r
.12253 .34444 .12667 .34833 .13259 .34443 .12846 .34049 Mtetra
.927 .547 .251 r
.12846 .34049 .13259 .34443 .13619 .35961 .13209 .35523 Mtetra
.947 .616 .368 r
.13209 .35523 .13619 .35961 .13868 .38451 .13463 .37953 Mtetra
.941 .575 .263 r
.13463 .37953 .13868 .38451 .14216 .40204 .13813 .39666 Mtetra
.717 .693 .826 r
.13813 .39666 .14216 .40204 .1482 .39836 .14416 .39309 Mtetra
.9 .711 .637 r
.14416 .39309 .1482 .39836 .15663 .37393 .15257 .36919 Mtetra
.913 .713 .619 r
.15257 .36919 .15663 .37393 .16563 .34401 .16154 .33986 Mtetra
.893 .736 .68 r
.16154 .33986 .16563 .34401 .17297 .32809 .16888 .32416 Mtetra
.829 .366 0 r
.16888 .32416 .17297 .32809 .17753 .33715 .17347 .3329 Mtetra
.949 .625 .38 r
.17347 .3329 .17753 .33715 .17995 .36651 .17593 .36152 Mtetra
.954 .632 .377 r
.17593 .36152 .17995 .36651 .18234 .39731 .17836 .39159 Mtetra
.8 .367 0 r
.17836 .39159 .18234 .39731 .18702 .40744 .18305 .40152 Mtetra
.887 .709 .655 r
.18305 .40152 .18702 .40744 .19484 .38767 .19084 .38224 Mtetra
.92 .707 .598 r
.19084 .38224 .19484 .38767 .20443 .34979 .2004 .34518 Mtetra
.921 .717 .611 r
.2004 .34518 .20443 .34979 .21327 .31836 .20923 .31432 Mtetra
.771 .76 .843 r
.20923 .31432 .21327 .31836 .21938 .31392 .21537 .3098 Mtetra
.948 .611 .345 r
.21537 .3098 .21938 .31392 .22255 .3404 .21857 .33553 Mtetra
.956 .646 .403 r
.21857 .33553 .22255 .3404 .22442 .38191 .22048 .37603 Mtetra
.958 .624 .328 r
.22048 .37603 .22442 .38191 .22765 .4105 .22373 .40403 Mtetra
.764 .682 .772 r
.22373 .40403 .22765 .4105 .23414 .40437 .2302 .39816 Mtetra
.92 .704 .593 r
.2302 .39816 .23414 .40437 .24351 .36566 .23954 .36039 Mtetra
.931 .708 .578 r
.23954 .36039 .24351 .36566 .25339 .31952 .24941 .31519 Mtetra
.92 .731 .631 r
.24941 .31519 .25339 .31952 .26123 .29576 .25726 .29171 Mtetra
.902 .489 .127 r
.25726 .29171 .26123 .29576 .26588 .30986 .26194 .30522 Mtetra
.957 .645 .395 r
.26194 .30522 .26588 .30986 .26815 .35417 .26425 .34837 Mtetra
.962 .651 .389 r
.26425 .34837 .26815 .35417 .27046 .40047 .26658 .39364 Mtetra
.879 .488 .026 r
.26658 .39364 .27046 .40047 .27535 .41587 .27146 .40889 Mtetra
.907 .703 .616 r
.27146 .40889 .27535 .41587 .28362 .38726 .27971 .38115 Mtetra
.936 .704 .563 r
.27971 .38115 .28362 .38726 .2937 .33289 .28977 .32803 Mtetra
.939 .715 .572 r
.28977 .32803 .2937 .33289 .30289 .28831 .29897 .28419 Mtetra
.833 .77 .792 r
.29897 .28419 .30289 .28831 .30932 .28148 .30542 .27713 Mtetra
.956 .626 .35 r
.30542 .27713 .30932 .28148 .31287 .31712 .30901 .31165 Mtetra
.963 .655 .395 r
.30901 .31165 .31287 .31712 .31522 .37358 .31137 .36674 Mtetra
.965 .641 .332 r
.31137 .36674 .31522 .37358 .31888 .41304 .31504 .40549 Mtetra
.763 .663 .753 r
.31504 .40549 .31888 .41304 .3256 .40596 .32173 .39892 Mtetra
.934 .702 .563 r
.32173 .39892 .3256 .40596 .33493 .35514 .33105 .34948 Mtetra
.945 .707 .547 r
.33105 .34948 .33493 .35514 .34465 .29461 .34077 .29017 Mtetra
.94 .729 .592 r
.34077 .29017 .34465 .29461 .35256 .26256 .34872 .2584 Mtetra
.894 .478 .09 r
.34872 .2584 .35256 .26256 .35781 .27807 .35399 .2731 Mtetra
.963 .648 .375 r
.35399 .2731 .35781 .27807 .36115 .33184 .35735 .32539 Mtetra
.967 .655 .369 r
.35735 .32539 .36115 .33184 .36453 .38964 .36072 .38194 Mtetra
.903 .535 .08 r
.36072 .38194 .36453 .38964 .36993 .41064 .36609 .40283 Mtetra
.917 .701 .595 r
.36609 .40283 .36993 .41064 .37791 .37776 .37406 .37108 Mtetra
.948 .704 .537 r
.37406 .37108 .37791 .37776 .38719 .31292 .38336 .30777 Mtetra
.952 .714 .542 r
.38336 .30777 .38719 .31292 .39581 .2582 .39201 .25395 Mtetra
.896 .769 .714 r
.39201 .25395 .39581 .2582 .40252 .2463 .39875 .24182 Mtetra
.956 .616 .307 r
.39875 .24182 .40252 .2463 .40735 .28333 .40359 .27762 Mtetra
.967 .652 .363 r
.40359 .27762 .40735 .28333 .41144 .34622 .40766 .33896 Mtetra
.966 .638 .304 r
.40766 .33896 .41144 .34622 .41636 .39268 .41255 .38457 Mtetra
.679 .621 .784 r
.41255 .38457 .41636 .39268 .4231 .3886 .41928 .38099 Mtetra
.944 .704 .545 r
.41928 .38099 .4231 .3886 .43131 .33528 .42751 .32912 Mtetra
.956 .708 .522 r
.42751 .32912 .43131 .33528 .43971 .2682 .43596 .26343 Mtetra
.954 .728 .559 r
.43596 .26343 .43971 .2682 .44713 .22905 .44343 .22475 Mtetra
.712 .244 0 r
.44343 .22475 .44713 .22905 .45327 .23935 .44957 .23441 Mtetra
.963 .635 .325 r
.44957 .23441 .45327 .23935 .45858 .29136 .45485 .285 Mtetra
.967 .645 .326 r
.45485 .285 .45858 .29136 .46399 .35124 .46022 .34354 Mtetra
.909 .545 .092 r
.46022 .34354 .46399 .35124 .47025 .37718 .46646 .36911 Mtetra
.917 .706 .602 r
.46646 .36911 .47025 .37718 .47746 .34904 .47369 .34186 Mtetra
.956 .706 .518 r
.47369 .34186 .47746 .34904 .48503 .28538 .48132 .27968 Mtetra
.961 .715 .519 r
.48132 .27968 .48503 .28538 .4923 .22758 .48864 .22297 Mtetra
.933 .76 .645 r
.48864 .22297 .4923 .22758 .499 .2091 .49538 .20461 Mtetra
.938 .567 .197 r
.49538 .20461 .499 .2091 .50535 .23823 .50171 .23286 Mtetra
.964 .633 .304 r
.50171 .23286 .50535 .23823 .51174 .29513 .50803 .28839 Mtetra
.957 .618 .249 r
.50803 .28839 .51174 .29513 .51842 .3413 .51467 .33353 Mtetra
.414 .493 .832 r
.51467 .33353 .51842 .3413 .52532 .34289 .52157 .33516 Mtetra
.949 .709 .54 r
.52157 .33516 .52532 .34289 .53215 .29757 .52845 .2909 Mtetra
.963 .71 .506 r
.52845 .2909 .53215 .29757 .53873 .23557 .53511 .23021 Mtetra
.962 .728 .539 r
.53511 .23021 .53873 .23557 .54521 .19495 .54165 .19037 Mtetra
.205 .5 .905 r
.54165 .19037 .54521 .19495 .55192 .19737 .54837 .19265 Mtetra
.95 .596 .232 r
.54837 .19265 .55192 .19737 .5591 .23814 .55549 .23247 Mtetra
.957 .615 .252 r
.55549 .23247 .5591 .23814 .56662 .28914 .56295 .28227 Mtetra
.872 .493 .012 r
.56295 .28227 .56662 .28914 .57399 .31409 .57029 .30652 Mtetra
.909 .718 .633 r
.57029 .30652 .57399 .31409 .5807 .29399 .57703 .28673 Mtetra
.962 .712 .512 r
.57703 .28673 .5807 .29399 .5867 .24191 .58311 .23571 Mtetra
.967 .719 .509 r
.58311 .23571 .5867 .24191 .59253 .19144 .58902 .18634 Mtetra
.941 .761 .631 r
.58902 .18634 .59253 .19144 .59892 .17177 .59545 .16718 Mtetra
.854 .44 0 r
.59545 .16718 .59892 .17177 .6063 .19115 .60281 .18624 Mtetra
.944 .588 .202 r
.60281 .18624 .6063 .19115 .61449 .23406 .61094 .2282 Mtetra
.923 .557 .132 r
.61094 .2282 .61449 .23406 .62268 .26975 .61906 .26289 Mtetra
.404 .52 .861 r
.61906 .26289 .62268 .26975 .62991 .27166 .62628 .26442 Mtetra
.954 .723 .55 r
.62628 .26442 .62991 .27166 .63587 .23719 .6323 .23046 Mtetra
.968 .719 .504 r
.6323 .23046 .63587 .23719 .64116 .18915 .63769 .18343 Mtetra
.964 .74 .55 r
.63769 .18343 .64116 .18915 .64692 .15704 .64352 .15217 Mtetra
.414 .61 .929 r
.64352 .15217 .64692 .15704 .65396 .1575 .65058 .15286 Mtetra
.9 .512 .075 r
.65058 .15286 .65396 .1575 .66233 .18621 .65891 .18108 Mtetra
.914 .54 .107 r
.65891 .18108 .66233 .18621 .67116 .22114 .66767 .21509 Mtetra
.628 .226 0 r
.66767 .21509 .67116 .22114 .67918 .236 .67564 .22924 Mtetra
.918 .742 .648 r
.67564 .22924 .67918 .236 .6856 .2188 .68208 .21201 Mtetra
.967 .727 .522 r
.68208 .21201 .6856 .2188 .69081 .18061 .68738 .17448 Mtetra
.969 .736 .53 r
.68738 .17448 .69081 .18061 .69607 .14581 .69272 .14055 Mtetra
.897 .781 .725 r
.69272 .14055 .69607 .14581 .70257 .13408 .69928 .12936 Mtetra
.707 .275 0 r
.69928 .12936 .70257 .13408 .7107 .14889 .7074 .14408 Mtetra
.87 .476 .008 r
.7074 .14408 .7107 .14889 .71978 .17664 .71642 .1712 Mtetra
.742 .332 0 r
.71642 .1712 .71978 .17664 .72843 .19555 .72501 .18936 Mtetra
.766 .727 .817 r
.72501 .18936 .72843 .19555 .73552 .19037 .73209 .18385 Mtetra
.961 .744 .565 r
.73209 .18385 .73552 .19037 .74105 .16361 .73768 .15739 Mtetra
.97 .742 .538 r
.73768 .15739 .74105 .16361 .74617 .1326 .74288 .12707 Mtetra
.94 .776 .65 r
.74288 .12707 .74617 .1326 .75225 .11566 .74904 .11074 Mtetra
.004 .339 .82 r
.74904 .11074 .75225 .11566 .75999 .12024 .7568 .11547 Mtetra
.756 .756 .853 r
.11836 .34054 .12253 .34444 .12846 .34049 .12431 .33654 Mtetra
.925 .541 .24 r
.12431 .33654 .12846 .34049 .13209 .35523 .12798 .35083 Mtetra
.947 .614 .363 r
.12798 .35083 .13209 .35523 .13463 .37953 .13056 .37453 Mtetra
.939 .571 .255 r
.13056 .37453 .13463 .37953 .13813 .39666 .13408 .39127 Mtetra
.713 .692 .829 r
.13408 .39127 .13813 .39666 .14416 .39309 .14011 .38779 Mtetra
.899 .711 .639 r
.14011 .38779 .14416 .39309 .15257 .36919 .14849 .36442 Mtetra
.912 .714 .621 r
.14849 .36442 .15257 .36919 .16154 .33986 .15744 .33569 Mtetra
.892 .737 .682 r
.15744 .33569 .16154 .33986 .16888 .32416 .16478 .32022 Mtetra
.817 .347 0 r
.16478 .32022 .16888 .32416 .17347 .3329 .1694 .32863 Mtetra
.949 .623 .376 r
.1694 .32863 .17347 .3329 .17593 .36152 .1719 .35651 Mtetra
.954 .63 .373 r
.1719 .35651 .17593 .36152 .17836 .39159 .17436 .38586 Mtetra
.791 .356 0 r
.17436 .38586 .17836 .39159 .18305 .40152 .17906 .39559 Mtetra
.885 .709 .658 r
.17906 .39559 .18305 .40152 .19084 .38224 .18683 .37678 Mtetra
.919 .707 .6 r
.18683 .37678 .19084 .38224 .2004 .34518 .19636 .34054 Mtetra
.92 .718 .612 r
.19636 .34054 .2004 .34518 .20923 .31432 .20518 .31026 Mtetra
.773 .76 .841 r
.20518 .31026 .20923 .31432 .21537 .3098 .21133 .30566 Mtetra
.948 .608 .34 r
.21133 .30566 .21537 .3098 .21857 .33553 .21457 .33065 Mtetra
.956 .644 .4 r
.21457 .33065 .21857 .33553 .22048 .37603 .21653 .37016 Mtetra
.958 .622 .324 r
.21653 .37016 .22048 .37603 .22373 .40403 .2198 .39754 Mtetra
.758 .68 .776 r
.2198 .39754 .22373 .40403 .2302 .39816 .22626 .39192 Mtetra
.919 .704 .595 r
.22626 .39192 .2302 .39816 .23954 .36039 .23556 .35508 Mtetra
.931 .708 .58 r
.23556 .35508 .23954 .36039 .24941 .31519 .24541 .31082 Mtetra
.919 .731 .633 r
.24541 .31082 .24941 .31519 .25726 .29171 .25327 .28764 Mtetra
.895 .476 .107 r
.25327 .28764 .25726 .29171 .26194 .30522 .25798 .30059 Mtetra
.957 .643 .392 r
.25798 .30059 .26194 .30522 .26425 .34837 .26034 .34259 Mtetra
.962 .65 .386 r
.26034 .34259 .26425 .34837 .26658 .39364 .26269 .38681 Mtetra
.876 .484 .021 r
.26269 .38681 .26658 .39364 .27146 .40889 .26756 .40188 Mtetra
.905 .703 .618 r
.26756 .40188 .27146 .40889 .27971 .38115 .27578 .37499 Mtetra
.935 .704 .565 r
.27578 .37499 .27971 .38115 .28977 .32803 .28582 .32311 Mtetra
.938 .715 .574 r
.28582 .32311 .28977 .32803 .29897 .28419 .29503 .28004 Mtetra
.836 .769 .788 r
.29503 .28004 .29897 .28419 .30542 .27713 .30151 .27277 Mtetra
.955 .623 .345 r
.30151 .27277 .30542 .27713 .30901 .31165 .30513 .3062 Mtetra
.963 .654 .393 r
.30513 .3062 .30901 .31165 .31137 .36674 .30752 .35991 Mtetra
.965 .639 .329 r
.30752 .35991 .31137 .36674 .31504 .40549 .31118 .39793 Mtetra
.753 .66 .759 r
.31118 .39793 .31504 .40549 .32173 .39892 .31785 .39184 Mtetra
.934 .702 .565 r
.31785 .39184 .32173 .39892 .33105 .34948 .32715 .34374 Mtetra
.945 .707 .548 r
.32715 .34374 .33105 .34948 .34077 .29017 .33688 .28566 Mtetra
.939 .729 .593 r
.33688 .28566 .34077 .29017 .34872 .2584 .34485 .25422 Mtetra
.884 .461 .064 r
.34485 .25422 .34872 .2584 .35399 .2731 .35016 .26815 Mtetra
.963 .646 .372 r
.35016 .26815 .35399 .2731 .35735 .32539 .35353 .31898 Mtetra
.967 .654 .367 r
.35353 .31898 .35735 .32539 .36072 .38194 .35689 .37427 Mtetra
.903 .533 .079 r
.35689 .37427 .36072 .38194 .36609 .40283 .36225 .39499 Mtetra
.915 .701 .599 r
.36225 .39499 .36609 .40283 .37406 .37108 .3702 .36434 Mtetra
.947 .704 .538 r
.3702 .36434 .37406 .37108 .38336 .30777 .37951 .30256 Mtetra
.951 .714 .544 r
.37951 .30256 .38336 .30777 .39201 .25395 .3882 .24966 Mtetra
.897 .768 .711 r
.3882 .24966 .39201 .25395 .39875 .24182 .39497 .23733 Mtetra
.955 .613 .301 r
.39497 .23733 .39875 .24182 .40359 .27762 .39982 .27193 Mtetra
.966 .651 .36 r
.39982 .27193 .40359 .27762 .40766 .33896 .40387 .33174 Mtetra
.965 .637 .301 r
.40387 .33174 .40766 .33896 .41255 .38457 .40874 .37647 Mtetra
.664 .614 .789 r
.40874 .37647 .41255 .38457 .41928 .38099 .41546 .37332 Mtetra
.943 .704 .547 r
.41546 .37332 .41928 .38099 .42751 .32912 .42371 .32288 Mtetra
.955 .708 .523 r
.42371 .32288 .42751 .32912 .43596 .26343 .43219 .25859 Mtetra
.953 .728 .56 r
.43219 .25859 .43596 .26343 .44343 .22475 .4397 .22042 Mtetra
.678 .206 0 r
.4397 .22042 .44343 .22475 .44957 .23441 .44585 .22947 Mtetra
.963 .633 .322 r
.44585 .22947 .44957 .23441 .45485 .285 .45111 .27868 Mtetra
.967 .644 .323 r
.45111 .27868 .45485 .285 .46022 .34354 .45644 .33586 Mtetra
.907 .542 .088 r
.45644 .33586 .46022 .34354 .46646 .36911 .46265 .36103 Mtetra
.915 .705 .605 r
.46265 .36103 .46646 .36911 .47369 .34186 .4699 .33463 Mtetra
.955 .706 .52 r
.4699 .33463 .47369 .34186 .48132 .27968 .47759 .27392 Mtetra
.961 .715 .521 r
.47759 .27392 .48132 .27968 .48864 .22297 .48497 .21831 Mtetra
.932 .76 .647 r
.48497 .21831 .48864 .22297 .49538 .20461 .49174 .2001 Mtetra
.935 .563 .189 r
.49174 .2001 .49538 .20461 .50171 .23286 .49804 .22751 Mtetra
.963 .632 .301 r
.49804 .22751 .50171 .23286 .50803 .28839 .50432 .28167 Mtetra
.956 .616 .245 r
.50432 .28167 .50803 .28839 .51467 .33353 .51091 .32577 Mtetra
.413 .493 .832 r
.51091 .32577 .51467 .33353 .52157 .33516 .51781 .3274 Mtetra
.949 .71 .543 r
.51781 .3274 .52157 .33516 .52845 .2909 .52474 .28416 Mtetra
.963 .711 .508 r
.52474 .28416 .52845 .2909 .53511 .23021 .53148 .22479 Mtetra
.961 .729 .541 r
.53148 .22479 .53511 .23021 .54165 .19037 .53808 .18576 Mtetra
.219 .508 .909 r
.53808 .18576 .54165 .19037 .54837 .19265 .5448 .18793 Mtetra
.949 .594 .228 r
.5448 .18793 .54837 .19265 .55549 .23247 .55188 .22682 Mtetra
.956 .613 .249 r
.55188 .22682 .55549 .23247 .56295 .28227 .55927 .27539 Mtetra
.865 .485 0 r
.55927 .27539 .56295 .28227 .57029 .30652 .56657 .29894 Mtetra
.907 .718 .635 r
.56657 .29894 .57029 .30652 .57703 .28673 .57334 .27943 Mtetra
.961 .713 .514 r
.57334 .27943 .57703 .28673 .58311 .23571 .5795 .22946 Mtetra
.966 .719 .511 r
.5795 .22946 .58311 .23571 .58902 .18634 .5855 .1812 Mtetra
.939 .762 .636 r
.5855 .1812 .58902 .18634 .59545 .16718 .59197 .16256 Mtetra
.851 .435 0 r
.59197 .16256 .59545 .16718 .60281 .18624 .59931 .18132 Mtetra
.943 .585 .198 r
.59931 .18132 .60281 .18624 .61094 .2282 .60737 .22233 Mtetra
.92 .553 .124 r
.60737 .22233 .61094 .2282 .61906 .26289 .61543 .25601 Mtetra
.431 .536 .863 r
.61543 .25601 .61906 .26289 .62628 .26442 .62265 .25716 Mtetra
.953 .723 .552 r
.62265 .25716 .62628 .26442 .6323 .23046 .62872 .22369 Mtetra
.968 .719 .507 r
.62872 .22369 .6323 .23046 .63769 .18343 .6342 .17766 Mtetra
.963 .741 .554 r
.6342 .17766 .63769 .18343 .64352 .15217 .64011 .14727 Mtetra
.389 .596 .928 r
.64011 .14727 .64352 .15217 .65058 .15286 .64719 .1482 Mtetra
.897 .509 .069 r
.64719 .1482 .65058 .15286 .65891 .18108 .65547 .17593 Mtetra
.911 .535 .1 r
.65547 .17593 .65891 .18108 .66767 .21509 .66416 .20903 Mtetra
0 0 .369 r
.66416 .20903 .66767 .21509 .67564 .22924 .67209 .22244 Mtetra
.918 .742 .648 r
.67209 .22244 .67564 .22924 .68208 .21201 .67856 .20519 Mtetra
.967 .727 .524 r
.67856 .20519 .68208 .21201 .68738 .17448 .68393 .16832 Mtetra
.968 .737 .534 r
.68393 .16832 .68738 .17448 .69272 .14055 .68936 .13527 Mtetra
.89 .781 .734 r
.68936 .13527 .69272 .14055 .69928 .12936 .69597 .12463 Mtetra
.704 .273 0 r
.69597 .12463 .69928 .12936 .7074 .14408 .70409 .13926 Mtetra
.866 .471 0 r
.70409 .13926 .7074 .14408 .71642 .1712 .71305 .16573 Mtetra
.725 .314 0 r
.71305 .16573 .71642 .1712 .72501 .18936 .72158 .18314 Mtetra
.775 .731 .812 r
.72158 .18314 .72501 .18936 .73209 .18385 .72865 .1773 Mtetra
.96 .744 .567 r
.72865 .1773 .73209 .18385 .73768 .15739 .73429 .15115 Mtetra
.969 .743 .542 r
.73429 .15115 .73768 .15739 .74288 .12707 .73959 .12153 Mtetra
.937 .777 .657 r
.73959 .12153 .74288 .12707 .74904 .11074 .74581 .1058 Mtetra
0 .327 .813 r
.74581 .1058 .74904 .11074 .7568 .11547 .75359 .11067 Mtetra
.757 .756 .852 r
.11418 .33663 .11836 .34054 .12431 .33654 .12015 .33257 Mtetra
.922 .534 .229 r
.12015 .33257 .12431 .33654 .12798 .35083 .12385 .34642 Mtetra
.946 .611 .357 r
.12385 .34642 .12798 .35083 .13056 .37453 .12647 .36949 Mtetra
.938 .566 .246 r
.12647 .36949 .13056 .37453 .13408 .39127 .13002 .38584 Mtetra
.709 .69 .83 r
.13002 .38584 .13408 .39127 .14011 .38779 .13604 .38246 Mtetra
.898 .711 .641 r
.13604 .38246 .14011 .38779 .14849 .36442 .1444 .35963 Mtetra
.911 .714 .623 r
.1444 .35963 .14849 .36442 .15744 .33569 .15332 .33149 Mtetra
.891 .737 .684 r
.15332 .33149 .15744 .33569 .16478 .32022 .16066 .31626 Mtetra
.802 .327 0 r
.16066 .31626 .16478 .32022 .1694 .32863 .1653 .32435 Mtetra
.949 .621 .372 r
.1653 .32435 .1694 .32863 .1719 .35651 .16785 .35148 Mtetra
.954 .628 .368 r
.16785 .35148 .1719 .35651 .17436 .38586 .17036 .3801 Mtetra
.779 .343 0 r
.17036 .3801 .17436 .38586 .17906 .39559 .17507 .38961 Mtetra
.883 .709 .66 r
.17507 .38961 .17906 .39559 .18683 .37678 .18281 .37127 Mtetra
.918 .707 .602 r
.18281 .37127 .18683 .37678 .19636 .34054 .19231 .33585 Mtetra
.919 .718 .614 r
.19231 .33585 .19636 .34054 .20518 .31026 .20111 .30617 Mtetra
.774 .76 .84 r
.20111 .30617 .20518 .31026 .21133 .30566 .20728 .30152 Mtetra
.947 .604 .334 r
.20728 .30152 .21133 .30566 .21457 .33065 .21056 .32577 Mtetra
.956 .643 .397 r
.21056 .32577 .21457 .33065 .21653 .37016 .21256 .36426 Mtetra
.957 .62 .318 r
.21256 .36426 .21653 .37016 .2198 .39754 .21586 .391 Mtetra
.752 .677 .779 r
.21586 .391 .2198 .39754 .22626 .39192 .2223 .3856 Mtetra
.918 .704 .597 r
.2223 .3856 .22626 .39192 .23556 .35508 .23157 .3497 Mtetra
.93 .708 .581 r
.23157 .3497 .23556 .35508 .24541 .31082 .24139 .30641 Mtetra
.918 .731 .635 r
.24139 .30641 .24541 .31082 .25327 .28764 .24927 .28356 Mtetra
.888 .462 .085 r
.24927 .28356 .25327 .28764 .25798 .30059 .25401 .29596 Mtetra
.957 .642 .389 r
.25401 .29596 .25798 .30059 .26034 .34259 .25641 .33679 Mtetra
.962 .649 .383 r
.25641 .33679 .26034 .34259 .26269 .38681 .25879 .37995 Mtetra
.872 .479 .012 r
.25879 .37995 .26269 .38681 .26756 .40188 .26366 .39481 Mtetra
.903 .702 .621 r
.26366 .39481 .26756 .40188 .27578 .37499 .27185 .36875 Mtetra
.934 .704 .566 r
.27185 .36875 .27578 .37499 .28582 .32311 .28186 .31812 Mtetra
.937 .715 .575 r
.28186 .31812 .28582 .32311 .29503 .28004 .29107 .27585 Mtetra
.838 .768 .785 r
.29107 .27585 .29503 .28004 .30151 .27277 .29759 .26841 Mtetra
.954 .62 .34 r
.29759 .26841 .30151 .27277 .30513 .3062 .30124 .30075 Mtetra
.963 .653 .39 r
.30124 .30075 .30513 .3062 .30752 .35991 .30365 .35308 Mtetra
.964 .638 .325 r
.30365 .35308 .30752 .35991 .31118 .39793 .30731 .39032 Mtetra
.743 .655 .763 r
.30731 .39032 .31118 .39793 .31785 .39184 .31397 .38467 Mtetra
.932 .702 .567 r
.31397 .38467 .31785 .39184 .32715 .34374 .32324 .33791 Mtetra
.944 .707 .55 r
.32324 .33791 .32715 .34374 .33688 .28566 .33298 .28109 Mtetra
.938 .729 .594 r
.33298 .28109 .33688 .28566 .34485 .25422 .34097 .25002 Mtetra
.873 .443 .036 r
.34097 .25002 .34485 .25422 .35016 .26815 .34631 .26321 Mtetra
.962 .645 .369 r
.34631 .26321 .35016 .26815 .35353 .31898 .3497 .31258 Mtetra
.967 .653 .364 r
.3497 .31258 .35353 .31898 .35689 .37427 .35306 .36656 Mtetra
.901 .531 .074 r
.35306 .36656 .35689 .37427 .36225 .39499 .3584 .38707 Mtetra
.913 .701 .602 r
.3584 .38707 .36225 .39499 .3702 .36434 .36634 .35748 Mtetra
.946 .704 .54 r
.36634 .35748 .3702 .36434 .37951 .30256 .37565 .29724 Mtetra
.951 .714 .545 r
.37565 .29724 .37951 .30256 .3882 .24966 .38437 .24532 Mtetra
.897 .767 .709 r
.38437 .24532 .3882 .24966 .39497 .23733 .39117 .23285 Mtetra
.954 .609 .295 r
.39117 .23285 .39497 .23733 .39982 .27193 .39603 .26627 Mtetra
.966 .65 .358 r
.39603 .26627 .39982 .27193 .40387 .33174 .40007 .32452 Mtetra
.965 .636 .298 r
.40007 .32452 .40387 .33174 .40874 .37647 .40491 .36831 Mtetra
.649 .606 .793 r
.40491 .36831 .40874 .37647 .41546 .37332 .41162 .36556 Mtetra
.942 .704 .549 r
.41162 .36556 .41546 .37332 .42371 .32288 .41989 .31653 Mtetra
.955 .708 .525 r
.41989 .31653 .42371 .32288 .43219 .25859 .42841 .25367 Mtetra
.952 .728 .562 r
.42841 .25367 .43219 .25859 .4397 .22042 .43596 .21607 Mtetra
.64 .166 0 r
.43596 .21607 .4397 .22042 .44585 .22947 .44212 .22455 Mtetra
.962 .631 .318 r
.44212 .22455 .44585 .22947 .45111 .27868 .44736 .27237 Mtetra
.966 .642 .321 r
.44736 .27237 .45111 .27868 .45644 .33586 .45265 .32816 Mtetra
.903 .538 .08 r
.45265 .32816 .45644 .33586 .46265 .36103 .45884 .35287 Mtetra
.912 .705 .609 r
.45884 .35287 .46265 .36103 .4699 .33463 .46611 .32728 Mtetra
.955 .706 .522 r
.46611 .32728 .4699 .33463 .47759 .27392 .47385 .26805 Mtetra
.96 .715 .523 r
.47385 .26805 .47759 .27392 .48497 .21831 .48129 .21359 Mtetra
.93 .76 .649 r
.48129 .21359 .48497 .21831 .49174 .2001 .48808 .19557 Mtetra
.933 .558 .181 r
.48808 .19557 .49174 .2001 .49804 .22751 .49437 .22217 Mtetra
.963 .63 .298 r
.49437 .22217 .49804 .22751 .50432 .28167 .5006 .27495 Mtetra
.955 .613 .241 r
.5006 .27495 .50432 .28167 .51091 .32577 .50714 .31796 Mtetra
.415 .493 .832 r
.50714 .31796 .51091 .32577 .51781 .3274 .51404 .31955 Mtetra
.947 .709 .545 r
.51404 .31955 .51781 .3274 .52474 .28416 .52103 .27733 Mtetra
.962 .711 .51 r
.52103 .27733 .52474 .28416 .53148 .22479 .52784 .2193 Mtetra
.96 .729 .544 r
.52784 .2193 .53148 .22479 .53808 .18576 .53449 .18111 Mtetra
.23 .514 .911 r
.53449 .18111 .53808 .18576 .5448 .18793 .54121 .1832 Mtetra
.947 .591 .224 r
.54121 .1832 .5448 .18793 .55188 .22682 .54825 .22116 Mtetra
.955 .611 .245 r
.54825 .22116 .55188 .22682 .55927 .27539 .55558 .26849 Mtetra
.857 .476 0 r
.55558 .26849 .55927 .27539 .56657 .29894 .56285 .29129 Mtetra
.906 .718 .637 r
.56285 .29129 .56657 .29894 .57334 .27943 .56964 .27204 Mtetra
.961 .713 .517 r
.56964 .27204 .57334 .27943 .5795 .22946 .57588 .22314 Mtetra
.966 .72 .514 r
.57588 .22314 .5795 .22946 .5855 .1812 .58196 .17601 Mtetra
.936 .762 .641 r
.58196 .17601 .5855 .1812 .59197 .16256 .58847 .15793 Mtetra
.847 .43 0 r
.58847 .15793 .59197 .16256 .59931 .18132 .59579 .17639 Mtetra
.941 .582 .193 r
.59579 .17639 .59931 .18132 .60737 .22233 .60379 .21643 Mtetra
.917 .547 .115 r
.60379 .21643 .60737 .22233 .61543 .25601 .61179 .24908 Mtetra
.46 .551 .862 r
.61179 .24908 .61543 .25601 .62265 .25716 .619 .24983 Mtetra
.952 .723 .554 r
.619 .24983 .62265 .25716 .62872 .22369 .62512 .21686 Mtetra
.967 .72 .51 r
.62512 .21686 .62872 .22369 .6342 .17766 .6307 .17186 Mtetra
.962 .741 .559 r
.6307 .17186 .6342 .17766 .64011 .14727 .63668 .14235 Mtetra
.363 .58 .925 r
.63668 .14235 .64011 .14727 .64719 .1482 .64378 .14353 Mtetra
.895 .505 .064 r
.64378 .14353 .64719 .1482 .65547 .17593 .65202 .17075 Mtetra
.908 .53 .092 r
.65202 .17075 .65547 .17593 .66416 .20903 .66064 .20292 Mtetra
0 0 .404 r
.66064 .20292 .66416 .20903 .67209 .22244 .66853 .21559 Mtetra
.918 .741 .647 r
.66853 .21559 .67209 .22244 .67856 .20519 .67502 .19831 Mtetra
.966 .728 .527 r
.67502 .19831 .67856 .20519 .68393 .16832 .68047 .16212 Mtetra
.967 .738 .538 r
.68047 .16212 .68393 .16832 .68936 .13527 .68599 .12996 Mtetra
.883 .781 .744 r
.68599 .12996 .68936 .13527 .69597 .12463 .69265 .11987 Mtetra
.702 .27 0 r
.69265 .11987 .69597 .12463 .70409 .13926 .70075 .13441 Mtetra
.861 .464 0 r
.70075 .13441 .70409 .13926 .71305 .16573 .70966 .16022 Mtetra
.706 .294 0 r
.70966 .16022 .71305 .16573 .72158 .18314 .71813 .17686 Mtetra
.784 .732 .805 r
.71813 .17686 .72158 .18314 .72865 .1773 .7252 .1707 Mtetra
.959 .744 .57 r
.7252 .1707 .72865 .1773 .73429 .15115 .7309 .14488 Mtetra
.968 .744 .546 r
.7309 .14488 .73429 .15115 .73959 .12153 .73628 .11597 Mtetra
.933 .778 .666 r
.73628 .11597 .73959 .12153 .74581 .1058 .74257 .10085 Mtetra
0 .316 .806 r
.74257 .10085 .74581 .1058 .75359 .11067 .75037 .10585 Mtetra
.759 .757 .851 r
.10999 .33269 .11418 .33663 .12015 .33257 .11597 .32859 Mtetra
.919 .527 .216 r
.11597 .32859 .12015 .33257 .12385 .34642 .11971 .34198 Mtetra
.946 .609 .352 r
.11971 .34198 .12385 .34642 .12647 .36949 .12238 .36443 Mtetra
.936 .562 .236 r
.12238 .36443 .12647 .36949 .13002 .38584 .12596 .38036 Mtetra
.704 .688 .832 r
.12596 .38036 .13002 .38584 .13604 .38246 .13197 .37709 Mtetra
.897 .711 .644 r
.13197 .37709 .13604 .38246 .1444 .35963 .14029 .3548 Mtetra
.911 .714 .625 r
.14029 .3548 .1444 .35963 .15332 .33149 .14918 .32727 Mtetra
.89 .737 .686 r
.14918 .32727 .15332 .33149 .16066 .31626 .15652 .31229 Mtetra
.786 .305 0 r
.15652 .31229 .16066 .31626 .1653 .32435 .16119 .32005 Mtetra
.948 .618 .367 r
.16119 .32005 .1653 .32435 .16785 .35148 .16379 .34643 Mtetra
.953 .626 .364 r
.16379 .34643 .16785 .35148 .17036 .3801 .16634 .3743 Mtetra
.765 .329 0 r
.16634 .3743 .17036 .3801 .17507 .38961 .17106 .38357 Mtetra
.881 .708 .663 r
.17106 .38357 .17507 .38961 .18281 .37127 .17878 .36571 Mtetra
.917 .707 .603 r
.17878 .36571 .18281 .37127 .19231 .33585 .18825 .33113 Mtetra
.919 .718 .616 r
.18825 .33113 .19231 .33585 .20111 .30617 .19703 .30206 Mtetra
.775 .759 .839 r
.19703 .30206 .20111 .30617 .20728 .30152 .20321 .29736 Mtetra
.946 .601 .327 r
.20321 .29736 .20728 .30152 .21056 .32577 .20654 .32088 Mtetra
.956 .641 .393 r
.20654 .32088 .21056 .32577 .21256 .36426 .20859 .35833 Mtetra
.957 .618 .313 r
.20859 .35833 .21256 .36426 .21586 .391 .21191 .38442 Mtetra
.746 .675 .781 r
.21191 .38442 .21586 .391 .2223 .3856 .21834 .37923 Mtetra
.917 .704 .599 r
.21834 .37923 .2223 .3856 .23157 .3497 .22757 .34426 Mtetra
.929 .709 .583 r
.22757 .34426 .23157 .3497 .24139 .30641 .23737 .30194 Mtetra
.917 .732 .636 r
.23737 .30194 .24139 .30641 .24927 .28356 .24524 .27946 Mtetra
.879 .448 .062 r
.24524 .27946 .24927 .28356 .25401 .29596 .25002 .29132 Mtetra
.957 .64 .386 r
.25002 .29132 .25401 .29596 .25641 .33679 .25247 .33099 Mtetra
.962 .648 .38 r
.25247 .33099 .25641 .33679 .25879 .37995 .25488 .37306 Mtetra
.867 .473 .002 r
.25488 .37306 .25879 .37995 .26366 .39481 .25975 .38767 Mtetra
.901 .701 .624 r
.25975 .38767 .26366 .39481 .27185 .36875 .26791 .36242 Mtetra
.933 .704 .568 r
.26791 .36242 .27185 .36875 .28186 .31812 .27789 .31306 Mtetra
.936 .715 .577 r
.27789 .31306 .28186 .31812 .29107 .27585 .2871 .27162 Mtetra
.839 .767 .782 r
.2871 .27162 .29107 .27585 .29759 .26841 .29364 .26405 Mtetra
.954 .617 .334 r
.29364 .26405 .29759 .26841 .30124 .30075 .29733 .29532 Mtetra
.962 .652 .388 r
.29733 .29532 .30124 .30075 .30365 .35308 .29978 .34624 Mtetra
.964 .636 .321 r
.29978 .34624 .30365 .35308 .30731 .39032 .30344 .38266 Mtetra
.732 .65 .768 r
.30344 .38266 .30731 .39032 .31397 .38467 .31007 .3774 Mtetra
.931 .702 .569 r
.31007 .3774 .31397 .38467 .32324 .33791 .31933 .33198 Mtetra
.943 .707 .551 r
.31933 .33198 .32324 .33791 .33298 .28109 .32906 .27645 Mtetra
.937 .729 .596 r
.32906 .27645 .33298 .28109 .34097 .25002 .33708 .2458 Mtetra
.86 .423 .007 r
.33708 .2458 .34097 .25002 .34631 .26321 .34244 .25829 Mtetra
.962 .643 .366 r
.34244 .25829 .34631 .26321 .3497 .31258 .34585 .3062 Mtetra
.967 .652 .361 r
.34585 .3062 .3497 .31258 .35306 .36656 .34921 .35884 Mtetra
.898 .528 .068 r
.34921 .35884 .35306 .36656 .3584 .38707 .35454 .37908 Mtetra
.91 .7 .605 r
.35454 .37908 .3584 .38707 .36634 .35748 .36247 .35052 Mtetra
.945 .704 .542 r
.36247 .35052 .36634 .35748 .37565 .29724 .37179 .29182 Mtetra
.95 .714 .547 r
.37179 .29182 .37565 .29724 .38437 .24532 .38053 .24093 Mtetra
.897 .766 .708 r
.38053 .24093 .38437 .24532 .39117 .23285 .38735 .22836 Mtetra
.953 .606 .289 r
.38735 .22836 .39117 .23285 .39603 .26627 .39223 .26062 Mtetra
.966 .648 .355 r
.39223 .26062 .39603 .26627 .40007 .32452 .39626 .3173 Mtetra
.964 .634 .294 r
.39626 .3173 .40007 .32452 .40491 .36831 .40108 .36012 Mtetra
.636 .599 .796 r
.40108 .36012 .40491 .36831 .41162 .36556 .40778 .3577 Mtetra
.94 .703 .552 r
.40778 .3577 .41162 .36556 .41989 .31653 .41606 .31007 Mtetra
.954 .708 .527 r
.41606 .31007 .41989 .31653 .42841 .25367 .42462 .24866 Mtetra
.951 .728 .564 r
.42462 .24866 .42841 .25367 .43596 .21607 .4322 .21168 Mtetra
.6 .125 0 r
.4322 .21168 .43596 .21607 .44212 .22455 .43838 .21964 Mtetra
.962 .629 .314 r
.43838 .21964 .44212 .22455 .44736 .27237 .4436 .26608 Mtetra
.966 .641 .318 r
.4436 .26608 .44736 .27237 .45265 .32816 .44885 .32044 Mtetra
.9 .533 .072 r
.44885 .32044 .45265 .32816 .45884 .35287 .45503 .34464 Mtetra
.91 .704 .612 r
.45503 .34464 .45884 .35287 .46611 .32728 .46231 .31984 Mtetra
.954 .706 .524 r
.46231 .31984 .46611 .32728 .47385 .26805 .4701 .26209 Mtetra
.959 .715 .525 r
.4701 .26209 .47385 .26805 .48129 .21359 .47759 .20881 Mtetra
.929 .759 .651 r
.47759 .20881 .48129 .21359 .48808 .19557 .48441 .19104 Mtetra
.93 .553 .173 r
.48441 .19104 .48808 .19557 .49437 .22217 .49068 .21683 Mtetra
.962 .628 .294 r
.49068 .21683 .49437 .22217 .5006 .27495 .49686 .26823 Mtetra
.954 .611 .236 r
.49686 .26823 .5006 .27495 .50714 .31796 .50336 .31011 Mtetra
.42 .495 .831 r
.50336 .31011 .50714 .31796 .51404 .31955 .51026 .31162 Mtetra
.946 .709 .548 r
.51026 .31162 .51404 .31955 .52103 .27733 .51729 .27041 Mtetra
.961 .711 .512 r
.51729 .27041 .52103 .27733 .52784 .2193 .52418 .21374 Mtetra
.959 .729 .547 r
.52418 .21374 .52784 .2193 .53449 .18111 .53088 .17643 Mtetra
.237 .517 .912 r
.53088 .17643 .53449 .18111 .54121 .1832 .53761 .17847 Mtetra
.946 .588 .219 r
.53761 .17847 .54121 .1832 .54825 .22116 .54461 .2155 Mtetra
.954 .609 .24 r
.54461 .2155 .54825 .22116 .55558 .26849 .55187 .26157 Mtetra
.848 .465 0 r
.55187 .26157 .55558 .26849 .56285 .29129 .55911 .28358 Mtetra
.904 .717 .639 r
.55911 .28358 .56285 .29129 .56964 .27204 .56593 .26458 Mtetra
.96 .713 .519 r
.56593 .26458 .56964 .27204 .57588 .22314 .57225 .21675 Mtetra
.965 .72 .517 r
.57225 .21675 .57588 .22314 .58196 .17601 .57841 .17078 Mtetra
.933 .763 .647 r
.57841 .17078 .58196 .17601 .58847 .15793 .58496 .15328 Mtetra
.843 .425 0 r
.58496 .15328 .58847 .15793 .59579 .17639 .59226 .17145 Mtetra
.94 .579 .188 r
.59226 .17145 .59579 .17639 .60379 .21643 .6002 .21051 Mtetra
.913 .542 .106 r
.6002 .21051 .60379 .21643 .61179 .24908 .60814 .2421 Mtetra
.488 .566 .861 r
.60814 .2421 .61179 .24908 .619 .24983 .61533 .24244 Mtetra
.951 .723 .556 r
.61533 .24244 .619 .24983 .62512 .21686 .62152 .20997 Mtetra
.966 .72 .513 r
.62152 .20997 .62512 .21686 .6307 .17186 .62719 .16601 Mtetra
.96 .742 .564 r
.62719 .16601 .6307 .17186 .63668 .14235 .63324 .13741 Mtetra
.335 .564 .922 r
.63324 .13741 .63668 .14235 .64378 .14353 .64035 .13885 Mtetra
.892 .501 .058 r
.64035 .13885 .64378 .14353 .65202 .17075 .64855 .16555 Mtetra
.904 .525 .083 r
.64855 .16555 .65202 .17075 .66064 .20292 .65711 .19676 Mtetra
0 0 .442 r
.65711 .19676 .66064 .20292 .66853 .21559 .66495 .20869 Mtetra
.917 .74 .647 r
.66495 .20869 .66853 .21559 .67502 .19831 .67146 .19138 Mtetra
.965 .728 .53 r
.67146 .19138 .67502 .19831 .68047 .16212 .67699 .15588 Mtetra
.966 .739 .543 r
.67699 .15588 .68047 .16212 .68599 .12996 .68261 .12464 Mtetra
.874 .78 .755 r
.68261 .12464 .68599 .12996 .69265 .11987 .68932 .11511 Mtetra
.699 .266 0 r
.68932 .11511 .69265 .11987 .70075 .13441 .69741 .12953 Mtetra
.856 .458 0 r
.69741 .12953 .70075 .13441 .70966 .16022 .70626 .15467 Mtetra
.684 .272 0 r
.70626 .15467 .70966 .16022 .71813 .17686 .71467 .17053 Mtetra
.791 .734 .799 r
.71467 .17053 .71813 .17686 .7252 .1707 .72173 .16405 Mtetra
.958 .744 .572 r
.72173 .16405 .7252 .1707 .7309 .14488 .72748 .13857 Mtetra
.967 .745 .55 r
.72748 .13857 .7309 .14488 .73628 .11597 .73295 .11039 Mtetra
.929 .779 .674 r
.73295 .11039 .73628 .11597 .74257 .10085 .73931 .09588 Mtetra
0 .306 .799 r
.73931 .09588 .74257 .10085 .75037 .10585 .74713 .10101 Mtetra
.76 .757 .85 r
.10577 .32874 .10999 .33269 .11597 .32859 .11177 .32459 Mtetra
.916 .518 .202 r
.11177 .32459 .11597 .32859 .11971 .34198 .11555 .33752 Mtetra
.945 .606 .346 r
.11555 .33752 .11971 .34198 .12238 .36443 .11827 .35935 Mtetra
.934 .557 .226 r
.11827 .35935 .12238 .36443 .12596 .38036 .12188 .37488 Mtetra
.7 .687 .834 r
.12188 .37488 .12596 .38036 .13197 .37709 .12788 .37169 Mtetra
.895 .712 .646 r
.12788 .37169 .13197 .37709 .14029 .3548 .13617 .34995 Mtetra
.91 .715 .626 r
.13617 .34995 .14029 .3548 .14918 .32727 .14503 .32303 Mtetra
.889 .738 .688 r
.14503 .32303 .14918 .32727 .15652 .31229 .15236 .3083 Mtetra
.768 .282 0 r
.15236 .3083 .15652 .31229 .16119 .32005 .15707 .31574 Mtetra
.948 .616 .361 r
.15707 .31574 .16119 .32005 .16379 .34643 .15972 .34136 Mtetra
.953 .624 .359 r
.15972 .34136 .16379 .34643 .16634 .3743 .16231 .36848 Mtetra
.752 .314 0 r
.16231 .36848 .16634 .3743 .17106 .38357 .16705 .37752 Mtetra
.88 .708 .665 r
.16705 .37752 .17106 .38357 .17878 .36571 .17474 .36012 Mtetra
.916 .708 .605 r
.17474 .36012 .17878 .36571 .18825 .33113 .18417 .32637 Mtetra
.918 .718 .618 r
.18417 .32637 .18825 .33113 .19703 .30206 .19293 .29792 Mtetra
.775 .759 .838 r
.19293 .29792 .19703 .30206 .20321 .29736 .19912 .29319 Mtetra
.945 .597 .32 r
.19912 .29319 .20321 .29736 .20654 .32088 .20249 .31598 Mtetra
.955 .64 .39 r
.20249 .31598 .20654 .32088 .20859 .35833 .2046 .35241 Mtetra
.956 .615 .307 r
.2046 .35241 .20859 .35833 .21191 .38442 .20795 .37783 Mtetra
.742 .673 .784 r
.20795 .37783 .21191 .38442 .21834 .37923 .21437 .37283 Mtetra
.916 .704 .601 r
.21437 .37283 .21834 .37923 .22757 .34426 .22356 .33877 Mtetra
.928 .709 .585 r
.22356 .33877 .22757 .34426 .23737 .30194 .23333 .29744 Mtetra
.916 .732 .638 r
.23333 .29744 .23737 .30194 .24524 .27946 .2412 .27533 Mtetra
.869 .432 .038 r
.2412 .27533 .24524 .27946 .25002 .29132 .24602 .28669 Mtetra
.956 .638 .382 r
.24602 .28669 .25002 .29132 .25247 .33099 .24851 .32521 Mtetra
.961 .646 .377 r
.24851 .32521 .25247 .33099 .25488 .37306 .25096 .36617 Mtetra
.862 .467 0 r
.25096 .36617 .25488 .37306 .25975 .38767 .25583 .38051 Mtetra
.899 .701 .627 r
.25583 .38051 .25975 .38767 .26791 .36242 .26396 .35604 Mtetra
.932 .704 .57 r
.26396 .35604 .26791 .36242 .27789 .31306 .27391 .30794 Mtetra
.936 .715 .579 r
.27391 .30794 .27789 .31306 .2871 .27162 .28312 .26735 Mtetra
.84 .766 .78 r
.28312 .26735 .2871 .27162 .29364 .26405 .28968 .25968 Mtetra
.953 .614 .328 r
.28968 .25968 .29364 .26405 .29733 .29532 .29341 .28991 Mtetra
.962 .65 .385 r
.29341 .28991 .29733 .29532 .29978 .34624 .29589 .33942 Mtetra
.964 .634 .317 r
.29589 .33942 .29978 .34624 .30344 .38266 .29956 .37499 Mtetra
.723 .647 .772 r
.29956 .37499 .30344 .38266 .31007 .3774 .30618 .37009 Mtetra
.93 .702 .571 r
.30618 .37009 .31007 .3774 .31933 .33198 .3154 .32597 Mtetra
.943 .707 .553 r
.3154 .32597 .31933 .33198 .32906 .27645 .32513 .27175 Mtetra
.937 .729 .597 r
.32513 .27175 .32906 .27645 .33708 .2458 .33316 .24156 Mtetra
.846 .402 0 r
.33316 .24156 .33708 .2458 .34244 .25829 .33856 .25337 Mtetra
.962 .641 .362 r
.33856 .25337 .34244 .25829 .34585 .3062 .34199 .29985 Mtetra
.966 .65 .359 r
.34199 .29985 .34585 .3062 .34921 .35884 .34536 .35114 Mtetra
.896 .524 .063 r
.34536 .35114 .34921 .35884 .35454 .37908 .35067 .37106 Mtetra
.908 .7 .609 r
.35067 .37106 .35454 .37908 .36247 .35052 .35859 .34348 Mtetra
.944 .704 .544 r
.35859 .34348 .36247 .35052 .37179 .29182 .36791 .28633 Mtetra
.949 .714 .549 r
.36791 .28633 .37179 .29182 .38053 .24093 .37667 .23648 Mtetra
.897 .765 .708 r
.37667 .23648 .38053 .24093 .38735 .22836 .38352 .22386 Mtetra
.952 .602 .282 r
.38352 .22386 .38735 .22836 .39223 .26062 .38841 .25501 Mtetra
.966 .647 .352 r
.38841 .25501 .39223 .26062 .39626 .3173 .39243 .31012 Mtetra
.963 .632 .29 r
.39243 .31012 .39626 .3173 .40108 .36012 .39724 .35192 Mtetra
.624 .594 .799 r
.39724 .35192 .40108 .36012 .40778 .3577 .40393 .34979 Mtetra
.939 .703 .554 r
.40393 .34979 .40778 .3577 .41606 .31007 .41223 .30353 Mtetra
.953 .708 .529 r
.41223 .30353 .41606 .31007 .42462 .24866 .42082 .24359 Mtetra
.951 .728 .566 r
.42082 .24359 .42462 .24866 .4322 .21168 .42843 .20727 Mtetra
.558 .084 0 r
.42843 .20727 .4322 .21168 .43838 .21964 .43462 .21473 Mtetra
.961 .627 .31 r
.43462 .21473 .43838 .21964 .4436 .26608 .43982 .25982 Mtetra
.966 .639 .315 r
.43982 .25982 .4436 .26608 .44885 .32044 .44504 .31275 Mtetra
.896 .528 .064 r
.44504 .31275 .44885 .32044 .45503 .34464 .4512 .3364 Mtetra
.907 .703 .616 r
.4512 .3364 .45503 .34464 .46231 .31984 .4585 .31233 Mtetra
.953 .706 .527 r
.4585 .31233 .46231 .31984 .4701 .26209 .46633 .25605 Mtetra
.958 .715 .527 r
.46633 .25605 .4701 .26209 .47759 .20881 .47388 .20399 Mtetra
.927 .759 .654 r
.47388 .20399 .47759 .20881 .48441 .19104 .48071 .18649 Mtetra
.928 .547 .164 r
.48071 .18649 .48441 .19104 .49068 .21683 .48697 .21152 Mtetra
.961 .626 .291 r
.48697 .21152 .49068 .21683 .49686 .26823 .49311 .26153 Mtetra
.953 .608 .231 r
.49311 .26153 .49686 .26823 .50336 .31011 .49957 .30226 Mtetra
.426 .5 .832 r
.49957 .30226 .50336 .31011 .51026 .31162 .50647 .30365 Mtetra
.945 .709 .55 r
.50647 .30365 .51026 .31162 .51729 .27041 .51355 .26342 Mtetra
.96 .711 .514 r
.51355 .26342 .51729 .27041 .52418 .21374 .52051 .20812 Mtetra
.959 .73 .55 r
.52051 .20812 .52418 .21374 .53088 .17643 .52726 .17171 Mtetra
.24 .519 .912 r
.52726 .17171 .53088 .17643 .53761 .17847 .534 .17373 Mtetra
.945 .585 .214 r
.534 .17373 .53761 .17847 .54461 .2155 .54095 .20985 Mtetra
.953 .606 .235 r
.54095 .20985 .54461 .2155 .55187 .26157 .54816 .25465 Mtetra
.839 .454 0 r
.54816 .25465 .55187 .26157 .55911 .28358 .55537 .27586 Mtetra
.903 .717 .64 r
.55537 .27586 .55911 .28358 .56593 .26458 .56222 .25708 Mtetra
.959 .713 .522 r
.56222 .25708 .56593 .26458 .57225 .21675 .56861 .21031 Mtetra
.964 .72 .52 r
.56861 .21031 .57225 .21675 .57841 .17078 .57484 .16552 Mtetra
.93 .763 .653 r
.57484 .16552 .57841 .17078 .58496 .15328 .58143 .14861 Mtetra
.839 .42 0 r
.58143 .14861 .58496 .15328 .59226 .17145 .58871 .1665 Mtetra
.938 .576 .183 r
.58871 .1665 .59226 .17145 .6002 .21051 .59659 .20459 Mtetra
.909 .535 .095 r
.59659 .20459 .6002 .21051 .60814 .2421 .60447 .23511 Mtetra
.515 .58 .859 r
.60447 .23511 .60814 .2421 .61533 .24244 .61166 .23501 Mtetra
.951 .723 .558 r
.61166 .23501 .61533 .24244 .62152 .20997 .6179 .20305 Mtetra
.966 .721 .516 r
.6179 .20305 .62152 .20997 .62719 .16601 .62366 .16014 Mtetra
.959 .743 .569 r
.62366 .16014 .62719 .16601 .63324 .13741 .62978 .13244 Mtetra
.306 .547 .917 r
.62978 .13244 .63324 .13741 .64035 .13885 .63691 .13414 Mtetra
.89 .497 .051 r
.63691 .13414 .64035 .13885 .64855 .16555 .64507 .16033 Mtetra
.9 .519 .074 r
.64507 .16033 .64855 .16555 .65711 .19676 .65356 .19058 Mtetra
0 0 .481 r
.65356 .19058 .65711 .19676 .66495 .20869 .66136 .20175 Mtetra
.917 .74 .647 r
.66136 .20175 .66495 .20869 .67146 .19138 .6679 .18443 Mtetra
.964 .728 .533 r
.6679 .18443 .67146 .19138 .67699 .15588 .6735 .14963 Mtetra
.965 .74 .548 r
.6735 .14963 .67699 .15588 .68261 .12464 .67921 .1193 Mtetra
.865 .78 .765 r
.67921 .1193 .68261 .12464 .68932 .11511 .68596 .11032 Mtetra
.696 .263 0 r
.68596 .11032 .68932 .11511 .69741 .12953 .69405 .12463 Mtetra
.851 .45 0 r
.69405 .12463 .69741 .12953 .70626 .15467 .70284 .14908 Mtetra
.66 .248 0 r
.70284 .14908 .70626 .15467 .71467 .17053 .7112 .16417 Mtetra
.799 .736 .794 r
.7112 .16417 .71467 .17053 .72173 .16405 .71825 .15737 Mtetra
.957 .745 .575 r
.71825 .15737 .72173 .16405 .72748 .13857 .72406 .13225 Mtetra
.966 .746 .555 r
.72406 .13225 .72748 .13857 .73295 .11039 .72961 .10479 Mtetra
.924 .78 .683 r
.72961 .10479 .73295 .11039 .73931 .09588 .73604 .09089 Mtetra
0 .296 .793 r
.73604 .09089 .73931 .09588 .74713 .10101 .74387 .09613 Mtetra
.761 .757 .849 r
.10154 .32478 .10577 .32874 .11177 .32459 .10755 .32057 Mtetra
.912 .509 .187 r
.10755 .32057 .11177 .32459 .11555 .33752 .11138 .33304 Mtetra
.945 .603 .339 r
.11138 .33304 .11555 .33752 .11827 .35935 .11415 .35425 Mtetra
.932 .551 .216 r
.11415 .35425 .11827 .35935 .12188 .37488 .11778 .36936 Mtetra
.696 .685 .836 r
.11778 .36936 .12188 .37488 .12788 .37169 .12378 .36628 Mtetra
.894 .712 .648 r
.12378 .36628 .12788 .37169 .13617 .34995 .13204 .34507 Mtetra
.909 .715 .629 r
.13204 .34507 .13617 .34995 .14503 .32303 .14086 .31877 Mtetra
.887 .738 .69 r
.14086 .31877 .14503 .32303 .15236 .3083 .14819 .30429 Mtetra
.747 .256 0 r
.14819 .30429 .15236 .3083 .15707 .31574 .15292 .31142 Mtetra
.947 .613 .356 r
.15292 .31142 .15707 .31574 .15972 .34136 .15563 .33629 Mtetra
.953 .621 .353 r
.15563 .33629 .15972 .34136 .16231 .36848 .15827 .36265 Mtetra
.736 .297 0 r
.15827 .36265 .16231 .36848 .16705 .37752 .16302 .37145 Mtetra
.878 .708 .668 r
.16302 .37145 .16705 .37752 .17474 .36012 .17069 .3545 Mtetra
.916 .708 .607 r
.17069 .3545 .17474 .36012 .18417 .32637 .18007 .32158 Mtetra
.917 .719 .62 r
.18007 .32158 .18417 .32637 .19293 .29792 .18881 .29376 Mtetra
.775 .759 .838 r
.18881 .29376 .19293 .29792 .19912 .29319 .19502 .28901 Mtetra
.944 .593 .313 r
.19502 .28901 .19912 .29319 .20249 .31598 .19843 .31109 Mtetra
.955 .638 .386 r
.19843 .31109 .20249 .31598 .2046 .35241 .20059 .34648 Mtetra
.955 .612 .3 r
.20059 .34648 .2046 .35241 .20795 .37783 .20397 .37121 Mtetra
.737 .672 .787 r
.20397 .37121 .20795 .37783 .21437 .37283 .21038 .36638 Mtetra
.915 .704 .603 r
.21038 .36638 .21437 .37283 .22356 .33877 .21954 .33324 Mtetra
.928 .709 .586 r
.21954 .33324 .22356 .33877 .23333 .29744 .22927 .2929 Mtetra
.915 .732 .64 r
.22927 .2929 .23333 .29744 .2412 .27533 .23715 .27119 Mtetra
.859 .415 .013 r
.23715 .27119 .2412 .27533 .24602 .28669 .24199 .28206 Mtetra
.956 .636 .378 r
.24199 .28206 .24602 .28669 .24851 .32521 .24454 .31943 Mtetra
.961 .644 .373 r
.24454 .31943 .24851 .32521 .25096 .36617 .24703 .35928 Mtetra
.855 .459 0 r
.24703 .35928 .25096 .36617 .25583 .38051 .2519 .37331 Mtetra
.897 .701 .63 r
.2519 .37331 .25583 .38051 .26396 .35604 .26 .3496 Mtetra
.932 .704 .572 r
.26 .3496 .26396 .35604 .27391 .30794 .26992 .30275 Mtetra
.935 .715 .58 r
.26992 .30275 .27391 .30794 .28312 .26735 .27912 .26305 Mtetra
.841 .766 .779 r
.27912 .26305 .28312 .26735 .28968 .25968 .2857 .25531 Mtetra
.952 .611 .322 r
.2857 .25531 .28968 .25968 .29341 .28991 .28947 .28451 Mtetra
.962 .649 .382 r
.28947 .28451 .29341 .28991 .29589 .33942 .29198 .33262 Mtetra
.963 .632 .313 r
.29198 .33262 .29589 .33942 .29956 .37499 .29567 .36732 Mtetra
.715 .643 .777 r
.29567 .36732 .29956 .37499 .30618 .37009 .30227 .36273 Mtetra
.929 .702 .574 r
.30227 .36273 .30618 .37009 .3154 .32597 .31147 .31989 Mtetra
.942 .707 .555 r
.31147 .31989 .3154 .32597 .32513 .27175 .32119 .26698 Mtetra
.936 .729 .599 r
.32119 .26698 .32513 .27175 .33316 .24156 .32923 .23728 Mtetra
.829 .379 0 r
.32923 .23728 .33316 .24156 .33856 .25337 .33465 .24848 Mtetra
.961 .639 .359 r
.33465 .24848 .33856 .25337 .34199 .29985 .33811 .29353 Mtetra
.966 .649 .356 r
.33811 .29353 .34199 .29985 .34536 .35114 .3415 .34345 Mtetra
.892 .52 .055 r
.3415 .34345 .34536 .35114 .35067 .37106 .3468 .36302 Mtetra
.906 .699 .612 r
.3468 .36302 .35067 .37106 .35859 .34348 .3547 .33637 Mtetra
.943 .704 .546 r
.3547 .33637 .35859 .34348 .36791 .28633 .36402 .28075 Mtetra
.948 .714 .55 r
.36402 .28075 .36791 .28633 .37667 .23648 .3728 .23199 Mtetra
.896 .764 .708 r
.3728 .23199 .37667 .23648 .38352 .22386 .37967 .21936 Mtetra
.951 .598 .275 r
.37967 .21936 .38352 .22386 .38841 .25501 .38457 .24943 Mtetra
.965 .645 .349 r
.38457 .24943 .38841 .25501 .39243 .31012 .38859 .30297 Mtetra
.963 .63 .286 r
.38859 .30297 .39243 .31012 .39724 .35192 .39339 .34373 Mtetra
.614 .589 .802 r
.39339 .34373 .39724 .35192 .40393 .34979 .40007 .34183 Mtetra
.938 .703 .557 r
.40007 .34183 .40393 .34979 .41223 .30353 .40838 .29691 Mtetra
.952 .708 .531 r
.40838 .29691 .41223 .30353 .42082 .24359 .417 .23844 Mtetra
.95 .728 .568 r
.417 .23844 .42082 .24359 .42843 .20727 .42464 .20282 Mtetra
0 0 .482 r
.42464 .20282 .42843 .20727 .43462 .21473 .43084 .20984 Mtetra
.96 .625 .306 r
.43084 .20984 .43462 .21473 .43982 .25982 .43603 .2536 Mtetra
.965 .637 .311 r
.43603 .2536 .43982 .25982 .44504 .31275 .44122 .30508 Mtetra
.892 .522 .054 r
.44122 .30508 .44504 .31275 .4512 .3364 .44737 .32814 Mtetra
.905 .703 .619 r
.44737 .32814 .4512 .3364 .4585 .31233 .45468 .30476 Mtetra
.952 .706 .529 r
.45468 .30476 .4585 .31233 .46633 .25605 .46255 .24993 Mtetra
.958 .715 .529 r
.46255 .24993 .46633 .25605 .47388 .20399 .47015 .1991 Mtetra
.925 .759 .657 r
.47015 .1991 .47388 .20399 .48071 .18649 .47701 .18192 Mtetra
.925 .542 .155 r
.47701 .18192 .48071 .18649 .48697 .21152 .48325 .20622 Mtetra
.961 .624 .287 r
.48325 .20622 .48697 .21152 .49311 .26153 .48935 .25486 Mtetra
.951 .605 .225 r
.48935 .25486 .49311 .26153 .49957 .30226 .49577 .29441 Mtetra
.436 .506 .833 r
.49577 .29441 .49957 .30226 .50647 .30365 .50267 .29565 Mtetra
.944 .709 .553 r
.50267 .29565 .50647 .30365 .51355 .26342 .5098 .25637 Mtetra
.96 .711 .517 r
.5098 .25637 .51355 .26342 .52051 .20812 .51682 .20244 Mtetra
.957 .73 .553 r
.51682 .20244 .52051 .20812 .52726 .17171 .52363 .16697 Mtetra
.239 .518 .912 r
.52363 .16697 .52726 .17171 .534 .17373 .53037 .16899 Mtetra
.943 .582 .209 r
.53037 .16899 .534 .17373 .54095 .20985 .53728 .2042 Mtetra
.951 .603 .231 r
.53728 .2042 .54095 .20985 .54816 .25465 .54443 .24772 Mtetra
.828 .441 0 r
.54443 .24772 .54816 .25465 .55537 .27586 .55161 .26811 Mtetra
.902 .716 .642 r
.55161 .26811 .55537 .27586 .56222 .25708 .55849 .24954 Mtetra
.958 .713 .524 r
.55849 .24954 .56222 .25708 .56861 .21031 .56495 .20382 Mtetra
.963 .721 .523 r
.56495 .20382 .56861 .21031 .57484 .16552 .57126 .16021 Mtetra
.927 .764 .66 r
.57126 .16021 .57484 .16552 .58143 .14861 .57789 .14393 Mtetra
.836 .415 0 r
.57789 .14393 .58143 .14861 .58871 .1665 .58515 .16155 Mtetra
.937 .573 .178 r
.58515 .16155 .58871 .1665 .59659 .20459 .59297 .19865 Mtetra
.905 .529 .084 r
.59297 .19865 .59659 .20459 .60447 .23511 .6008 .22809 Mtetra
.541 .594 .857 r
.6008 .22809 .60447 .23511 .61166 .23501 .60798 .22755 Mtetra
.95 .723 .56 r
.60798 .22755 .61166 .23501 .6179 .20305 .61427 .19609 Mtetra
.965 .721 .519 r
.61427 .19609 .6179 .20305 .62366 .16014 .62011 .15423 Mtetra
.957 .744 .574 r
.62011 .15423 .62366 .16014 .62978 .13244 .6263 .12746 Mtetra
.275 .528 .912 r
.6263 .12746 .62978 .13244 .63691 .13414 .63345 .12943 Mtetra
.887 .492 .045 r
.63345 .12943 .63691 .13414 .64507 .16033 .64157 .15509 Mtetra
.896 .512 .064 r
.64157 .15509 .64507 .16033 .65356 .19058 .64999 .18436 Mtetra
0 0 .521 r
.64999 .18436 .65356 .19058 .66136 .20175 .65776 .19478 Mtetra
.917 .74 .647 r
.65776 .19478 .66136 .20175 .6679 .18443 .66432 .17744 Mtetra
.963 .729 .536 r
.66432 .17744 .6679 .18443 .6735 .14963 .67 .14335 Mtetra
.964 .741 .552 r
.67 .14335 .6735 .14963 .67921 .1193 .67579 .11394 Mtetra
.855 .779 .776 r
.67579 .11394 .67921 .1193 .68596 .11032 .6826 .10552 Mtetra
.692 .259 0 r
.6826 .10552 .68596 .11032 .69405 .12463 .69067 .1197 Mtetra
.845 .442 0 r
.69067 .1197 .69405 .12463 .70284 .14908 .6994 .14346 Mtetra
.633 .221 0 r
.6994 .14346 .70284 .14908 .7112 .16417 .70771 .15777 Mtetra
.806 .738 .789 r
.70771 .15777 .7112 .16417 .71825 .15737 .71475 .15067 Mtetra
.956 .745 .577 r
.71475 .15067 .71825 .15737 .72406 .13225 .72062 .12591 Mtetra
.965 .747 .56 r
.72062 .12591 .72406 .13225 .72961 .10479 .72626 .09919 Mtetra
.919 .781 .692 r
.72626 .09919 .72961 .10479 .73604 .09089 .73276 .08589 Mtetra
0 .288 .787 r
.73276 .08589 .73604 .09089 .74387 .09613 .7406 .09123 Mtetra
.763 .757 .847 r
.09729 .3208 .10154 .32478 .10755 .32057 .10332 .31653 Mtetra
.908 .499 .17 r
.10332 .31653 .10755 .32057 .11138 .33304 .10719 .32854 Mtetra
.944 .599 .332 r
.10719 .32854 .11138 .33304 .11415 .35425 .11001 .34912 Mtetra
.929 .545 .205 r
.11001 .34912 .11415 .35425 .11778 .36936 .11368 .36382 Mtetra
.691 .684 .838 r
.11368 .36382 .11778 .36936 .12378 .36628 .11967 .36083 Mtetra
.893 .712 .651 r
.11967 .36083 .12378 .36628 .13204 .34507 .12789 .34017 Mtetra
.908 .715 .631 r
.12789 .34017 .13204 .34507 .14086 .31877 .13668 .31448 Mtetra
.886 .739 .693 r
.13668 .31448 .14086 .31877 .14819 .30429 .144 .30027 Mtetra
.724 .229 0 r
.144 .30027 .14819 .30429 .15292 .31142 .14876 .30708 Mtetra
.947 .61 .35 r
.14876 .30708 .15292 .31142 .15563 .33629 .15152 .33119 Mtetra
.952 .619 .348 r
.15152 .33119 .15563 .33629 .15827 .36265 .15422 .3568 Mtetra
.718 .278 0 r
.15422 .3568 .15827 .36265 .16302 .37145 .15898 .36534 Mtetra
.876 .708 .671 r
.15898 .36534 .16302 .37145 .17069 .3545 .16663 .34884 Mtetra
.915 .708 .609 r
.16663 .34884 .17069 .3545 .18007 .32158 .17597 .31676 Mtetra
.916 .719 .622 r
.17597 .31676 .18007 .32158 .18881 .29376 .18467 .28957 Mtetra
.775 .758 .838 r
.18467 .28957 .18881 .29376 .19502 .28901 .19089 .28482 Mtetra
.943 .589 .305 r
.19089 .28482 .19502 .28901 .19843 .31109 .19436 .30618 Mtetra
.955 .636 .382 r
.19436 .30618 .19843 .31109 .20059 .34648 .19657 .34054 Mtetra
.954 .609 .293 r
.19657 .34054 .20059 .34648 .20397 .37121 .19999 .36457 Mtetra
.732 .67 .789 r
.19999 .36457 .20397 .37121 .21038 .36638 .20639 .35989 Mtetra
.914 .704 .606 r
.20639 .35989 .21038 .36638 .21954 .33324 .21551 .32765 Mtetra
.927 .709 .588 r
.21551 .32765 .21954 .33324 .22927 .2929 .22521 .28832 Mtetra
.914 .732 .643 r
.22521 .28832 .22927 .2929 .23715 .27119 .23308 .26703 Mtetra
.847 .397 0 r
.23308 .26703 .23715 .27119 .24199 .28206 .23795 .27743 Mtetra
.956 .634 .374 r
.23795 .27743 .24199 .28206 .24454 .31943 .24055 .31366 Mtetra
.961 .643 .369 r
.24055 .31366 .24454 .31943 .24703 .35928 .24309 .35238 Mtetra
.848 .449 0 r
.24309 .35238 .24703 .35928 .2519 .37331 .24797 .36608 Mtetra
.895 .701 .633 r
.24797 .36608 .2519 .37331 .26 .3496 .25604 .34309 Mtetra
.931 .704 .573 r
.25604 .34309 .26 .3496 .26992 .30275 .26592 .2975 Mtetra
.934 .715 .582 r
.26592 .2975 .26992 .30275 .27912 .26305 .2751 .25871 Mtetra
.841 .765 .778 r
.2751 .25871 .27912 .26305 .2857 .25531 .2817 .25093 Mtetra
.951 .607 .316 r
.2817 .25093 .2857 .25531 .28947 .28451 .28551 .27913 Mtetra
.962 .647 .379 r
.28551 .27913 .28947 .28451 .29198 .33262 .28807 .32583 Mtetra
.962 .63 .308 r
.28807 .32583 .29198 .33262 .29567 .36732 .29177 .35961 Mtetra
.707 .64 .78 r
.29177 .35961 .29567 .36732 .30227 .36273 .29836 .3553 Mtetra
.928 .702 .576 r
.29836 .3553 .30227 .36273 .31147 .31989 .30753 .31372 Mtetra
.941 .707 .557 r
.30753 .31372 .31147 .31989 .32119 .26698 .31723 .26215 Mtetra
.935 .729 .601 r
.31723 .26215 .32119 .26698 .32923 .23728 .32529 .23299 Mtetra
.811 .355 0 r
.32529 .23299 .32923 .23728 .33465 .24848 .33073 .2436 Mtetra
.961 .637 .355 r
.33073 .2436 .33465 .24848 .33811 .29353 .33422 .28724 Mtetra
.966 .647 .353 r
.33422 .28724 .33811 .29353 .3415 .34345 .33762 .33576 Mtetra
.888 .514 .046 r
.33762 .33576 .3415 .34345 .3468 .36302 .34292 .35492 Mtetra
.904 .699 .615 r
.34292 .35492 .3468 .36302 .3547 .33637 .35081 .32918 Mtetra
.943 .704 .548 r
.35081 .32918 .3547 .33637 .36402 .28075 .36012 .27509 Mtetra
.948 .714 .552 r
.36012 .27509 .36402 .28075 .3728 .23199 .36891 .22744 Mtetra
.895 .763 .708 r
.36891 .22744 .3728 .23199 .37967 .21936 .3758 .21486 Mtetra
.949 .594 .267 r
.3758 .21486 .37967 .21936 .38457 .24943 .38072 .24387 Mtetra
.965 .643 .346 r
.38072 .24387 .38457 .24943 .38859 .30297 .38474 .29584 Mtetra
.962 .628 .282 r
.38474 .29584 .38859 .30297 .39339 .34373 .38954 .33551 Mtetra
.605 .585 .804 r
.38954 .33551 .39339 .34373 .40007 .34183 .39621 .33379 Mtetra
.937 .703 .559 r
.39621 .33379 .40007 .34183 .40838 .29691 .40452 .29018 Mtetra
.952 .708 .533 r
.40452 .29018 .40838 .29691 .417 .23844 .41317 .23322 Mtetra
.949 .728 .57 r
.41317 .23322 .417 .23844 .42464 .20282 .42084 .19834 Mtetra
0 0 .523 r
.42084 .19834 .42464 .20282 .43084 .20984 .42704 .20496 Mtetra
.959 .622 .302 r
.42704 .20496 .43084 .20984 .43603 .2536 .43222 .2474 Mtetra
.964 .635 .308 r
.43222 .2474 .43603 .2536 .44122 .30508 .43739 .29741 Mtetra
.886 .515 .042 r
.43739 .29741 .44122 .30508 .44737 .32814 .44352 .31983 Mtetra
.903 .702 .622 r
.44352 .31983 .44737 .32814 .45468 .30476 .45085 .2971 Mtetra
.951 .706 .531 r
.45085 .2971 .45468 .30476 .46255 .24993 .45876 .24373 Mtetra
.957 .715 .531 r
.45876 .24373 .46255 .24993 .47015 .1991 .4664 .19417 Mtetra
.923 .759 .66 r
.4664 .19417 .47015 .1991 .47701 .18192 .47328 .17734 Mtetra
.922 .536 .146 r
.47328 .17734 .47701 .18192 .48325 .20622 .47952 .20093 Mtetra
.96 .622 .283 r
.47952 .20093 .48325 .20622 .48935 .25486 .48557 .24819 Mtetra
.95 .601 .219 r
.48557 .24819 .48935 .25486 .49577 .29441 .49196 .28654 Mtetra
.448 .513 .833 r
.49196 .28654 .49577 .29441 .50267 .29565 .49886 .28758 Mtetra
.943 .709 .555 r
.49886 .28758 .50267 .29565 .5098 .25637 .50604 .24925 Mtetra
.959 .711 .519 r
.50604 .24925 .5098 .25637 .51682 .20244 .51312 .1967 Mtetra
.956 .731 .556 r
.51312 .1967 .51682 .20244 .52363 .16697 .51997 .16219 Mtetra
.235 .514 .91 r
.51997 .16219 .52363 .16697 .53037 .16899 .52672 .16424 Mtetra
.942 .579 .203 r
.52672 .16424 .53037 .16899 .53728 .2042 .53359 .19856 Mtetra
.95 .6 .225 r
.53359 .19856 .53728 .2042 .54443 .24772 .54069 .24078 Mtetra
.814 .426 0 r
.54069 .24078 .54443 .24772 .55161 .26811 .54784 .26032 Mtetra
.901 .716 .643 r
.54784 .26032 .55161 .26811 .55849 .24954 .55474 .24193 Mtetra
.957 .713 .527 r
.55474 .24193 .55849 .24954 .56495 .20382 .56128 .19728 Mtetra
.962 .721 .526 r
.56128 .19728 .56495 .20382 .57126 .16021 .56766 .15488 Mtetra
.923 .765 .667 r
.56766 .15488 .57126 .16021 .57789 .14393 .57432 .13923 Mtetra
.832 .41 0 r
.57432 .13923 .57789 .14393 .58515 .16155 .58157 .15658 Mtetra
.935 .569 .172 r
.58157 .15658 .58515 .16155 .59297 .19865 .58933 .19269 Mtetra
.899 .521 .072 r
.58933 .19269 .59297 .19865 .6008 .22809 .59711 .22103 Mtetra
.566 .607 .853 r
.59711 .22103 .6008 .22809 .60798 .22755 .60428 .22005 Mtetra
.949 .723 .563 r
.60428 .22005 .60798 .22755 .61427 .19609 .61063 .18909 Mtetra
.964 .721 .522 r
.61063 .18909 .61427 .19609 .62011 .15423 .61655 .1483 Mtetra
.955 .745 .58 r
.61655 .1483 .62011 .15423 .6263 .12746 .62281 .12246 Mtetra
.244 .509 .905 r
.62281 .12246 .6263 .12746 .63345 .12943 .62998 .12469 Mtetra
.883 .487 .037 r
.62998 .12469 .63345 .12943 .64157 .15509 .63806 .14982 Mtetra
.891 .505 .052 r
.63806 .14982 .64157 .15509 .64999 .18436 .64642 .17811 Mtetra
0 0 .564 r
.64642 .17811 .64999 .18436 .65776 .19478 .65415 .18776 Mtetra
.917 .74 .647 r
.65415 .18776 .65776 .19478 .66432 .17744 .66073 .17042 Mtetra
.962 .729 .539 r
.66073 .17042 .66432 .17744 .67 .14335 .66649 .13705 Mtetra
.962 .742 .558 r
.66649 .13705 .67 .14335 .67579 .11394 .67236 .10857 Mtetra
.844 .777 .787 r
.67236 .10857 .67579 .11394 .6826 .10552 .67922 .10069 Mtetra
.688 .254 0 r
.67922 .10069 .6826 .10552 .69067 .1197 .68727 .11474 Mtetra
.838 .434 0 r
.68727 .11474 .69067 .1197 .6994 .14346 .69595 .13779 Mtetra
0 0 .369 r
.69595 .13779 .6994 .14346 .70771 .15777 .70421 .15132 Mtetra
.812 .739 .784 r
.70421 .15132 .70771 .15777 .71475 .15067 .71125 .14393 Mtetra
.955 .745 .58 r
.71125 .14393 .71475 .15067 .72062 .12591 .71717 .11955 Mtetra
.963 .748 .565 r
.71717 .11955 .72062 .12591 .72626 .09919 .7229 .09357 Mtetra
.913 .781 .702 r
.7229 .09357 .72626 .09919 .73276 .08589 .72946 .08087 Mtetra
0 .28 .782 r
.72946 .08087 .73276 .08589 .7406 .09123 .73731 .0863 Mtetra
.765 .757 .846 r
.09302 .31681 .09729 .3208 .10332 .31653 .09906 .31248 Mtetra
.902 .488 .152 r
.09906 .31248 .10332 .31653 .10719 .32854 .10299 .32403 Mtetra
.944 .595 .324 r
.10299 .32403 .10719 .32854 .11001 .34912 .10586 .34397 Mtetra
.926 .539 .193 r
.10586 .34397 .11001 .34912 .11368 .36382 .10956 .35827 Mtetra
.687 .682 .84 r
.10956 .35827 .11368 .36382 .11967 .36083 .11554 .35537 Mtetra
.891 .712 .653 r
.11554 .35537 .11967 .36083 .12789 .34017 .12373 .33525 Mtetra
.907 .716 .633 r
.12373 .33525 .12789 .34017 .13668 .31448 .13248 .31018 Mtetra
.885 .739 .695 r
.13248 .31018 .13668 .31448 .144 .30027 .13979 .29622 Mtetra
.699 .199 0 r
.13979 .29622 .144 .30027 .14876 .30708 .14458 .30273 Mtetra
.946 .606 .343 r
.14458 .30273 .14876 .30708 .15152 .33119 .1474 .32608 Mtetra
.952 .616 .341 r
.1474 .32608 .15152 .33119 .15422 .3568 .15015 .35092 Mtetra
.699 .259 0 r
.15015 .35092 .15422 .3568 .15898 .36534 .15493 .35921 Mtetra
.874 .708 .674 r
.15493 .35921 .15898 .36534 .16663 .34884 .16255 .34315 Mtetra
.914 .708 .611 r
.16255 .34315 .16663 .34884 .17597 .31676 .17184 .31191 Mtetra
.915 .719 .624 r
.17184 .31191 .17597 .31676 .18467 .28957 .18052 .28536 Mtetra
.775 .758 .838 r
.18052 .28536 .18467 .28957 .19089 .28482 .18675 .28061 Mtetra
.942 .585 .297 r
.18675 .28061 .19089 .28482 .19436 .30618 .19026 .30127 Mtetra
.955 .634 .378 r
.19026 .30127 .19436 .30618 .19657 .34054 .19254 .33459 Mtetra
.953 .605 .286 r
.19254 .33459 .19657 .34054 .19999 .36457 .196 .35791 Mtetra
.728 .669 .791 r
.196 .35791 .19999 .36457 .20639 .35989 .20239 .35337 Mtetra
.912 .704 .608 r
.20239 .35337 .20639 .35989 .21551 .32765 .21146 .32202 Mtetra
.926 .709 .59 r
.21146 .32202 .21551 .32765 .22521 .28832 .22112 .2837 Mtetra
.913 .733 .645 r
.22112 .2837 .22521 .28832 .23308 .26703 .22898 .26284 Mtetra
.833 .378 0 r
.22898 .26284 .23308 .26703 .23795 .27743 .23389 .2728 Mtetra
.955 .632 .37 r
.23389 .2728 .23795 .27743 .24055 .31366 .23654 .3079 Mtetra
.961 .641 .365 r
.23654 .3079 .24055 .31366 .24309 .35238 .23913 .34548 Mtetra
.839 .439 0 r
.23913 .34548 .24309 .35238 .24797 .36608 .24402 .35882 Mtetra
.893 .701 .636 r
.24402 .35882 .24797 .36608 .25604 .34309 .25206 .33653 Mtetra
.93 .704 .575 r
.25206 .33653 .25604 .34309 .26592 .2975 .26191 .2922 Mtetra
.933 .715 .584 r
.26191 .2922 .26592 .2975 .2751 .25871 .27107 .25432 Mtetra
.84 .764 .778 r
.27107 .25432 .2751 .25871 .2817 .25093 .27768 .24655 Mtetra
.95 .603 .309 r
.27768 .24655 .2817 .25093 .28551 .27913 .28153 .27378 Mtetra
.961 .645 .375 r
.28153 .27378 .28551 .27913 .28807 .32583 .28414 .31906 Mtetra
.962 .628 .303 r
.28414 .31906 .28807 .32583 .29177 .35961 .28787 .35191 Mtetra
.7 .637 .783 r
.28787 .35191 .29177 .35961 .29836 .3553 .29444 .34783 Mtetra
.926 .702 .578 r
.29444 .34783 .29836 .3553 .30753 .31372 .30358 .30749 Mtetra
.94 .707 .558 r
.30358 .30749 .30753 .31372 .31723 .26215 .31326 .25726 Mtetra
.934 .729 .603 r
.31326 .25726 .31723 .26215 .32529 .23299 .32132 .22867 Mtetra
.792 .329 0 r
.32132 .22867 .32529 .23299 .33073 .2436 .3268 .23873 Mtetra
.96 .635 .351 r
.3268 .23873 .33073 .2436 .33422 .28724 .33032 .28098 Mtetra
.965 .645 .349 r
.33032 .28098 .33422 .28724 .33762 .33576 .33374 .3281 Mtetra
.883 .507 .035 r
.33374 .3281 .33762 .33576 .34292 .35492 .33904 .3468 Mtetra
.901 .699 .619 r
.33904 .3468 .34292 .35492 .35081 .32918 .34691 .32191 Mtetra
.942 .704 .55 r
.34691 .32191 .35081 .32918 .36012 .27509 .35621 .26934 Mtetra
.947 .714 .554 r
.35621 .26934 .36012 .27509 .36891 .22744 .36501 .22284 Mtetra
.894 .763 .709 r
.36501 .22284 .36891 .22744 .3758 .21486 .37192 .21035 Mtetra
.948 .59 .26 r
.37192 .21035 .3758 .21486 .38072 .24387 .37685 .23835 Mtetra
.964 .642 .343 r
.37685 .23835 .38072 .24387 .38474 .29584 .38088 .28875 Mtetra
.961 .625 .277 r
.38088 .28875 .38474 .29584 .38954 .33551 .38567 .32731 Mtetra
.599 .582 .806 r
.38567 .32731 .38954 .33551 .39621 .33379 .39234 .32572 Mtetra
.936 .703 .562 r
.39234 .32572 .39621 .33379 .40452 .29018 .40066 .28339 Mtetra
.951 .708 .535 r
.40066 .28339 .40452 .29018 .41317 .23322 .40932 .22792 Mtetra
.948 .728 .573 r
.40932 .22792 .41317 .23322 .42084 .19834 .41702 .19382 Mtetra
0 .033 .56 r
.41702 .19382 .42084 .19834 .42704 .20496 .42323 .20009 Mtetra
.959 .619 .297 r
.42323 .20009 .42704 .20496 .43222 .2474 .4284 .24123 Mtetra
.964 .633 .304 r
.4284 .24123 .43222 .2474 .43739 .29741 .43355 .28976 Mtetra
.88 .507 .03 r
.43355 .28976 .43739 .29741 .44352 .31983 .43967 .3115 Mtetra
.901 .702 .625 r
.43967 .3115 .44352 .31983 .45085 .2971 .44701 .28939 Mtetra
.95 .706 .533 r
.44701 .28939 .45085 .2971 .45876 .24373 .45496 .23746 Mtetra
.956 .716 .534 r
.45496 .23746 .45876 .24373 .4664 .19417 .46264 .18918 Mtetra
.921 .759 .664 r
.46264 .18918 .4664 .19417 .47328 .17734 .46954 .17275 Mtetra
.919 .531 .137 r
.46954 .17275 .47328 .17734 .47952 .20093 .47576 .19566 Mtetra
.959 .619 .279 r
.47576 .19566 .47952 .20093 .48557 .24819 .48179 .24154 Mtetra
.948 .598 .212 r
.48179 .24154 .48557 .24819 .49196 .28654 .48815 .27867 Mtetra
.461 .521 .833 r
.48815 .27867 .49196 .28654 .49886 .28758 .49505 .27949 Mtetra
.942 .709 .558 r
.49505 .27949 .49886 .28758 .50604 .24925 .50226 .24207 Mtetra
.958 .711 .522 r
.50226 .24207 .50604 .24925 .51312 .1967 .50941 .19091 Mtetra
.955 .731 .56 r
.50941 .19091 .51312 .1967 .51997 .16219 .5163 .15738 Mtetra
.227 .509 .908 r
.5163 .15738 .51997 .16219 .52672 .16424 .52305 .15949 Mtetra
.94 .575 .198 r
.52305 .15949 .52672 .16424 .53359 .19856 .52989 .19292 Mtetra
.949 .597 .219 r
.52989 .19292 .53359 .19856 .54069 .24078 .53694 .23383 Mtetra
.799 .409 0 r
.53694 .23383 .54069 .24078 .54784 .26032 .54407 .25251 Mtetra
.9 .716 .645 r
.54407 .25251 .54784 .26032 .55474 .24193 .55099 .23429 Mtetra
.956 .713 .529 r
.55099 .23429 .55474 .24193 .56128 .19728 .55759 .1907 Mtetra
.962 .722 .529 r
.55759 .1907 .56128 .19728 .56766 .15488 .56405 .14951 Mtetra
.919 .765 .674 r
.56405 .14951 .56766 .15488 .57432 .13923 .57075 .13451 Mtetra
.828 .405 0 r
.57075 .13451 .57432 .13923 .58157 .15658 .57798 .15161 Mtetra
.933 .565 .165 r
.57798 .15161 .58157 .15658 .58933 .19269 .58568 .18672 Mtetra
.894 .512 .058 r
.58568 .18672 .58933 .19269 .59711 .22103 .59341 .21395 Mtetra
.59 .619 .849 r
.59341 .21395 .59711 .22103 .60428 .22005 .60058 .21251 Mtetra
.948 .723 .565 r
.60058 .21251 .60428 .22005 .61063 .18909 .60697 .18205 Mtetra
.963 .722 .525 r
.60697 .18205 .61063 .18909 .61655 .1483 .61298 .14234 Mtetra
.954 .747 .586 r
.61298 .14234 .61655 .1483 .62281 .12246 .61931 .11744 Mtetra
.212 .488 .897 r
.61931 .11744 .62281 .12246 .62998 .12469 .62649 .11994 Mtetra
.88 .482 .03 r
.62649 .11994 .62998 .12469 .63806 .14982 .63453 .14453 Mtetra
.885 .497 .04 r
.63453 .14453 .63806 .14982 .64642 .17811 .64283 .17182 Mtetra
0 .043 .606 r
.64283 .17182 .64642 .17811 .65415 .18776 .65052 .18071 Mtetra
.917 .739 .647 r
.65052 .18071 .65415 .18776 .66073 .17042 .65713 .16337 Mtetra
.961 .73 .542 r
.65713 .16337 .66073 .17042 .66649 .13705 .66296 .13074 Mtetra
.961 .743 .563 r
.66296 .13074 .66649 .13705 .67236 .10857 .66892 .10319 Mtetra
.832 .775 .799 r
.66892 .10319 .67236 .10857 .67922 .10069 .67582 .09586 Mtetra
.684 .249 0 r
.67582 .09586 .67922 .10069 .68727 .11474 .68386 .10975 Mtetra
.83 .424 0 r
.68386 .10975 .68727 .11474 .69595 .13779 .69249 .13208 Mtetra
0 0 .404 r
.69249 .13208 .69595 .13779 .70421 .15132 .70069 .14484 Mtetra
.818 .74 .779 r
.70069 .14484 .70421 .15132 .71125 .14393 .70773 .13716 Mtetra
.954 .745 .583 r
.70773 .13716 .71125 .14393 .71717 .11955 .71371 .11318 Mtetra
.962 .75 .57 r
.71371 .11318 .71717 .11955 .7229 .09357 .71952 .08795 Mtetra
.907 .782 .711 r
.71952 .08795 .7229 .09357 .72946 .08087 .72615 .07584 Mtetra
0 .274 .778 r
.72615 .07584 .72946 .08087 .73731 .0863 .73401 .08134 Mtetra
.766 .758 .845 r
.08873 .3128 .09302 .31681 .09906 .31248 .0948 .30841 Mtetra
.896 .476 .131 r
.0948 .30841 .09906 .31248 .10299 .32403 .09877 .31949 Mtetra
.943 .591 .316 r
.09877 .31949 .10299 .32403 .10586 .34397 .10169 .3388 Mtetra
.923 .532 .18 r
.10169 .3388 .10586 .34397 .10956 .35827 .10543 .35269 Mtetra
.682 .681 .842 r
.10543 .35269 .10956 .35827 .11554 .35537 .11141 .34988 Mtetra
.89 .713 .656 r
.11141 .34988 .11554 .35537 .12373 .33525 .11955 .33031 Mtetra
.906 .716 .635 r
.11955 .33031 .12373 .33525 .13248 .31018 .12826 .30586 Mtetra
.884 .739 .698 r
.12826 .30586 .13248 .31018 .13979 .29622 .13557 .29216 Mtetra
.67 .166 0 r
.13557 .29216 .13979 .29622 .14458 .30273 .14039 .29836 Mtetra
.946 .603 .336 r
.14039 .29836 .14458 .30273 .1474 .32608 .14327 .32096 Mtetra
.951 .613 .335 r
.14327 .32096 .1474 .32608 .15015 .35092 .14607 .34504 Mtetra
.678 .237 0 r
.14607 .34504 .15015 .35092 .15493 .35921 .15087 .35306 Mtetra
.871 .708 .676 r
.15087 .35306 .15493 .35921 .16255 .34315 .15846 .33743 Mtetra
.913 .709 .613 r
.15846 .33743 .16255 .34315 .17184 .31191 .16771 .30703 Mtetra
.914 .72 .626 r
.16771 .30703 .17184 .31191 .18052 .28536 .17636 .28113 Mtetra
.774 .758 .839 r
.17636 .28113 .18052 .28536 .18675 .28061 .1826 .27639 Mtetra
.94 .58 .288 r
.1826 .27639 .18675 .28061 .19026 .30127 .18615 .29635 Mtetra
.955 .632 .373 r
.18615 .29635 .19026 .30127 .19254 .33459 .18849 .32864 Mtetra
.952 .601 .277 r
.18849 .32864 .19254 .33459 .196 .35791 .19199 .35125 Mtetra
.725 .668 .794 r
.19199 .35125 .196 .35791 .20239 .35337 .19838 .34682 Mtetra
.911 .704 .61 r
.19838 .34682 .20239 .35337 .21146 .32202 .20741 .31635 Mtetra
.925 .709 .592 r
.20741 .31635 .21146 .32202 .22112 .2837 .21703 .27904 Mtetra
.911 .733 .647 r
.21703 .27904 .22112 .2837 .22898 .26284 .22488 .25864 Mtetra
.819 .357 0 r
.22488 .25864 .22898 .26284 .23389 .2728 .22981 .26817 Mtetra
.955 .63 .365 r
.22981 .26817 .23389 .2728 .23654 .3079 .23252 .30215 Mtetra
.96 .639 .361 r
.23252 .30215 .23654 .3079 .23913 .34548 .23516 .33858 Mtetra
.828 .427 0 r
.23516 .33858 .23913 .34548 .24402 .35882 .24007 .35154 Mtetra
.891 .7 .639 r
.24007 .35154 .24402 .35882 .25206 .33653 .24808 .32993 Mtetra
.929 .704 .578 r
.24808 .32993 .25206 .33653 .26191 .2922 .25788 .28684 Mtetra
.932 .715 .587 r
.25788 .28684 .26191 .2922 .27107 .25432 .26702 .24991 Mtetra
.839 .763 .779 r
.26702 .24991 .27107 .25432 .27768 .24655 .27365 .24215 Mtetra
.949 .599 .301 r
.27365 .24215 .27768 .24655 .28153 .27378 .27754 .26844 Mtetra
.961 .644 .372 r
.27754 .26844 .28153 .27378 .28414 .31906 .28019 .31231 Mtetra
.961 .625 .297 r
.28019 .31231 .28414 .31906 .28787 .35191 .28395 .3442 Mtetra
.694 .635 .786 r
.28395 .3442 .28787 .35191 .29444 .34783 .29051 .34031 Mtetra
.925 .701 .581 r
.29051 .34031 .29444 .34783 .30358 .30749 .29962 .30118 Mtetra
.939 .707 .56 r
.29962 .30118 .30358 .30749 .31326 .25726 .30928 .2523 Mtetra
.932 .729 .606 r
.30928 .2523 .31326 .25726 .32132 .22867 .31734 .22432 Mtetra
.77 .302 0 r
.31734 .22432 .32132 .22867 .3268 .23873 .32284 .23387 Mtetra
.96 .633 .347 r
.32284 .23387 .3268 .23873 .33032 .28098 .32639 .27476 Mtetra
.965 .643 .345 r
.32639 .27476 .33032 .28098 .33374 .3281 .32984 .32045 Mtetra
.877 .499 .023 r
.32984 .32045 .33374 .3281 .33904 .3468 .33514 .33867 Mtetra
.899 .698 .622 r
.33514 .33867 .33904 .3468 .34691 .32191 .343 .31459 Mtetra
.941 .704 .552 r
.343 .31459 .34691 .32191 .35621 .26934 .35229 .26352 Mtetra
.946 .715 .557 r
.35229 .26352 .35621 .26934 .36501 .22284 .36109 .21818 Mtetra
.892 .762 .711 r
.36109 .21818 .36501 .22284 .37192 .21035 .36802 .20583 Mtetra
.946 .585 .251 r
.36802 .20583 .37192 .21035 .37685 .23835 .37296 .23285 Mtetra
.964 .64 .339 r
.37296 .23285 .37685 .23835 .38088 .28875 .377 .28169 Mtetra
.96 .622 .272 r
.377 .28169 .38088 .28875 .38567 .32731 .3818 .31911 Mtetra
.594 .58 .807 r
.3818 .31911 .38567 .32731 .39234 .32572 .38846 .3176 Mtetra
.934 .703 .564 r
.38846 .3176 .39234 .32572 .40066 .28339 .39679 .27651 Mtetra
.95 .708 .537 r
.39679 .27651 .40066 .28339 .40932 .22792 .40547 .22256 Mtetra
.947 .729 .576 r
.40547 .22256 .40932 .22792 .41702 .19382 .41318 .18927 Mtetra
0 .067 .593 r
.41318 .18927 .41702 .19382 .42323 .20009 .4194 .19523 Mtetra
.958 .617 .293 r
.4194 .19523 .42323 .20009 .4284 .24123 .42456 .23509 Mtetra
.963 .631 .3 r
.42456 .23509 .4284 .24123 .43355 .28976 .4297 .28214 Mtetra
.873 .497 .015 r
.4297 .28214 .43355 .28976 .43967 .3115 .43582 .30316 Mtetra
.899 .702 .628 r
.43582 .30316 .43967 .3115 .44701 .28939 .44317 .28163 Mtetra
.949 .706 .536 r
.44317 .28163 .44701 .28939 .45496 .23746 .45115 .23111 Mtetra
.955 .716 .536 r
.45115 .23111 .45496 .23746 .46264 .18918 .45886 .18414 Mtetra
.919 .759 .668 r
.45886 .18414 .46264 .18918 .46954 .17275 .46579 .16814 Mtetra
.915 .525 .127 r
.46579 .16814 .46954 .17275 .47576 .19566 .472 .1904 Mtetra
.958 .617 .275 r
.472 .1904 .47576 .19566 .48179 .24154 .47799 .23491 Mtetra
.946 .594 .205 r
.47799 .23491 .48179 .24154 .48815 .27867 .48432 .2708 Mtetra
.477 .531 .834 r
.48432 .2708 .48815 .27867 .49505 .27949 .49122 .27136 Mtetra
.94 .709 .561 r
.49122 .27136 .49505 .27949 .50226 .24207 .49848 .23483 Mtetra
.957 .712 .524 r
.49848 .23483 .50226 .24207 .50941 .19091 .50568 .18506 Mtetra
.954 .732 .564 r
.50568 .18506 .50941 .19091 .5163 .15738 .51262 .15254 Mtetra
.217 .502 .905 r
.51262 .15254 .5163 .15738 .52305 .15949 .51937 .15472 Mtetra
.938 .572 .192 r
.51937 .15472 .52305 .15949 .52989 .19292 .52618 .18728 Mtetra
.947 .593 .213 r
.52618 .18728 .52989 .19292 .53694 .23383 .53318 .22689 Mtetra
.782 .39 0 r
.53318 .22689 .53694 .23383 .54407 .25251 .54028 .24467 Mtetra
.899 .716 .646 r
.54028 .24467 .54407 .25251 .55099 .23429 .54723 .22661 Mtetra
.956 .714 .532 r
.54723 .22661 .55099 .23429 .55759 .1907 .55389 .18407 Mtetra
.961 .723 .533 r
.55389 .18407 .55759 .1907 .56405 .14951 .56042 .14411 Mtetra
.915 .766 .682 r
.56042 .14411 .56405 .14951 .57075 .13451 .56715 .12977 Mtetra
.824 .399 0 r
.56715 .12977 .57075 .13451 .57798 .15161 .57437 .14662 Mtetra
.93 .561 .159 r
.57437 .14662 .57798 .15161 .58568 .18672 .58202 .18073 Mtetra
.887 .503 .043 r
.58202 .18073 .58568 .18672 .59341 .21395 .5897 .20685 Mtetra
.613 .63 .845 r
.5897 .20685 .59341 .21395 .60058 .21251 .59686 .20495 Mtetra
.947 .723 .567 r
.59686 .20495 .60058 .21251 .60697 .18205 .60331 .17499 Mtetra
.962 .723 .529 r
.60331 .17499 .60697 .18205 .61298 .14234 .6094 .13636 Mtetra
.951 .748 .592 r
.6094 .13636 .61298 .14234 .61931 .11744 .61579 .11241 Mtetra
.18 .468 .889 r
.61579 .11241 .61931 .11744 .62649 .11994 .62298 .11517 Mtetra
.876 .477 .022 r
.62298 .11517 .62649 .11994 .63453 .14453 .63099 .13921 Mtetra
.879 .489 .027 r
.63099 .13921 .63453 .14453 .64283 .17182 .63922 .1655 Mtetra
0 .093 .648 r
.63922 .1655 .64283 .17182 .65052 .18071 .64688 .17363 Mtetra
.916 .739 .647 r
.64688 .17363 .65052 .18071 .65713 .16337 .65351 .15631 Mtetra
.961 .731 .546 r
.65351 .15631 .65713 .16337 .66296 .13074 .65942 .12441 Mtetra
.959 .744 .569 r
.65942 .12441 .66296 .13074 .66892 .10319 .66546 .0978 Mtetra
.818 .773 .81 r
.66546 .0978 .66892 .10319 .67582 .09586 .67241 .091 Mtetra
.679 .244 0 r
.67241 .091 .67582 .09586 .68386 .10975 .68044 .10472 Mtetra
.822 .414 0 r
.68044 .10472 .68386 .10975 .69249 .13208 .68901 .12633 Mtetra
0 0 .441 r
.68901 .12633 .69249 .13208 .70069 .14484 .69716 .13832 Mtetra
.823 .741 .774 r
.69716 .13832 .70069 .14484 .70773 .13716 .7042 .13038 Mtetra
.953 .746 .586 r
.7042 .13038 .70773 .13716 .71371 .11318 .71024 .1068 Mtetra
.96 .751 .576 r
.71024 .1068 .71371 .11318 .71952 .08795 .71613 .08232 Mtetra
.901 .783 .721 r
.71613 .08232 .71952 .08795 .72615 .07584 .72282 .07079 Mtetra
0 .269 .774 r
.72282 .07079 .72615 .07584 .73401 .08134 .73069 .07634 Mtetra
.768 .758 .844 r
.08443 .30878 .08873 .3128 .0948 .30841 .09051 .30433 Mtetra
.889 .462 .109 r
.09051 .30433 .0948 .30841 .09877 .31949 .09453 .31494 Mtetra
.942 .587 .308 r
.09453 .31494 .09877 .31949 .10169 .3388 .09751 .33362 Mtetra
.92 .525 .166 r
.09751 .33362 .10169 .3388 .10543 .35269 .10128 .3471 Mtetra
.678 .68 .844 r
.10128 .3471 .10543 .35269 .11141 .34988 .10725 .34439 Mtetra
.888 .713 .659 r
.10725 .34439 .11141 .34988 .11955 .33031 .11535 .32536 Mtetra
.905 .717 .637 r
.11535 .32536 .11955 .33031 .12826 .30586 .12403 .30152 Mtetra
.882 .74 .7 r
.12403 .30152 .12826 .30586 .13557 .29216 .13132 .28809 Mtetra
.638 .132 0 r
.13132 .28809 .13557 .29216 .14039 .29836 .13618 .29398 Mtetra
.945 .599 .329 r
.13618 .29398 .14039 .29836 .14327 .32096 .13911 .31583 Mtetra
.951 .609 .328 r
.13911 .31583 .14327 .32096 .14607 .34504 .14197 .33915 Mtetra
.655 .215 0 r
.14197 .33915 .14607 .34504 .15087 .35306 .14679 .3469 Mtetra
.87 .708 .679 r
.14679 .3469 .15087 .35306 .15846 .33743 .15436 .33171 Mtetra
.912 .709 .616 r
.15436 .33171 .15846 .33743 .16771 .30703 .16356 .30212 Mtetra
.913 .72 .629 r
.16356 .30212 .16771 .30703 .17636 .28113 .17217 .27687 Mtetra
.773 .758 .839 r
.17217 .27687 .17636 .28113 .1826 .27639 .17842 .27216 Mtetra
.939 .575 .279 r
.17842 .27216 .1826 .27639 .18615 .29635 .18203 .29144 Mtetra
.954 .629 .368 r
.18203 .29144 .18615 .29635 .18849 .32864 .18443 .32269 Mtetra
.95 .597 .268 r
.18443 .32269 .18849 .32864 .19199 .35125 .18797 .34458 Mtetra
.722 .667 .796 r
.18797 .34458 .19199 .35125 .19838 .34682 .19436 .34026 Mtetra
.91 .704 .613 r
.19436 .34026 .19838 .34682 .20741 .31635 .20334 .31065 Mtetra
.924 .71 .594 r
.20334 .31065 .20741 .31635 .21703 .27904 .21291 .27435 Mtetra
.91 .733 .65 r
.21291 .27435 .21703 .27904 .22488 .25864 .22075 .25442 Mtetra
.803 .336 0 r
.22075 .25442 .22488 .25864 .22981 .26817 .22572 .26354 Mtetra
.955 .627 .36 r
.22572 .26354 .22981 .26817 .23252 .30215 .22849 .29642 Mtetra
.96 .636 .356 r
.22849 .29642 .23252 .30215 .23516 .33858 .23118 .3317 Mtetra
.817 .413 0 r
.23118 .3317 .23516 .33858 .24007 .35154 .2361 .34425 Mtetra
.889 .7 .642 r
.2361 .34425 .24007 .35154 .24808 .32993 .24409 .3233 Mtetra
.928 .704 .58 r
.24409 .3233 .24808 .32993 .25788 .28684 .25384 .28143 Mtetra
.931 .716 .589 r
.25384 .28143 .25788 .28684 .26702 .24991 .26296 .24545 Mtetra
.838 .763 .78 r
.26296 .24545 .26702 .24991 .27365 .24215 .26959 .23775 Mtetra
.948 .595 .294 r
.26959 .23775 .27365 .24215 .27754 .26844 .27353 .26312 Mtetra
.961 .642 .368 r
.27353 .26312 .27754 .26844 .28019 .31231 .27623 .3056 Mtetra
.96 .622 .291 r
.27623 .3056 .28019 .31231 .28395 .3442 .28002 .33652 Mtetra
.689 .634 .789 r
.28002 .33652 .28395 .3442 .29051 .34031 .28657 .33278 Mtetra
.924 .702 .583 r
.28657 .33278 .29051 .34031 .29962 .30118 .29565 .29483 Mtetra
.938 .708 .562 r
.29565 .29483 .29962 .30118 .30928 .2523 .30528 .24729 Mtetra
.931 .73 .608 r
.30528 .24729 .30928 .2523 .31734 .22432 .31335 .21994 Mtetra
.747 .275 0 r
.31335 .21994 .31734 .22432 .32284 .23387 .31887 .22903 Mtetra
.959 .63 .342 r
.31887 .22903 .32284 .23387 .32639 .27476 .32245 .26858 Mtetra
.964 .641 .341 r
.32245 .26858 .32639 .27476 .32984 .32045 .32593 .31285 Mtetra
.87 .491 .01 r
.32593 .31285 .32984 .32045 .33514 .33867 .33124 .33054 Mtetra
.897 .698 .625 r
.33124 .33054 .33514 .33867 .343 .31459 .33908 .30722 Mtetra
.94 .704 .554 r
.33908 .30722 .343 .31459 .35229 .26352 .34836 .25763 Mtetra
.945 .715 .559 r
.34836 .25763 .35229 .26352 .36109 .21818 .35715 .21348 Mtetra
.891 .762 .713 r
.35715 .21348 .36109 .21818 .36802 .20583 .3641 .20131 Mtetra
.944 .58 .243 r
.3641 .20131 .36802 .20583 .37296 .23285 .36906 .22739 Mtetra
.963 .638 .336 r
.36906 .22739 .37296 .23285 .377 .28169 .37311 .27469 Mtetra
.959 .619 .266 r
.37311 .27469 .377 .28169 .3818 .31911 .37791 .31093 Mtetra
.592 .581 .809 r
.37791 .31093 .3818 .31911 .38846 .3176 .38457 .30946 Mtetra
.933 .703 .567 r
.38457 .30946 .38846 .3176 .39679 .27651 .3929 .26958 Mtetra
.949 .708 .539 r
.3929 .26958 .39679 .27651 .40547 .22256 .40159 .21713 Mtetra
.945 .729 .579 r
.40159 .21713 .40547 .22256 .41318 .18927 .40932 .18469 Mtetra
0 .097 .621 r
.40932 .18469 .41318 .18927 .4194 .19523 .41555 .19037 Mtetra
.957 .614 .288 r
.41555 .19037 .4194 .19523 .42456 .23509 .42071 .229 Mtetra
.962 .628 .295 r
.42071 .229 .42456 .23509 .4297 .28214 .42584 .27456 Mtetra
.865 .487 0 r
.42584 .27456 .4297 .28214 .43582 .30316 .43195 .29483 Mtetra
.897 .702 .631 r
.43195 .29483 .43582 .30316 .44317 .28163 .43931 .27382 Mtetra
.948 .706 .538 r
.43931 .27382 .44317 .28163 .45115 .23111 .44733 .22472 Mtetra
.954 .716 .539 r
.44733 .22472 .45115 .23111 .45886 .18414 .45507 .17905 Mtetra
.916 .76 .673 r
.45507 .17905 .45886 .18414 .46579 .16814 .46201 .16352 Mtetra
.912 .518 .118 r
.46201 .16352 .46579 .16814 .472 .1904 .46821 .18515 Mtetra
.957 .614 .27 r
.46821 .18515 .472 .1904 .47799 .23491 .47417 .22831 Mtetra
.944 .589 .197 r
.47417 .22831 .47799 .23491 .48432 .2708 .48048 .26294 Mtetra
.494 .541 .834 r
.48048 .26294 .48432 .2708 .49122 .27136 .48739 .26322 Mtetra
.939 .709 .563 r
.48739 .26322 .49122 .27136 .49848 .23483 .49468 .22756 Mtetra
.957 .712 .527 r
.49468 .22756 .49848 .23483 .50568 .18506 .50194 .17917 Mtetra
.953 .733 .568 r
.50194 .17917 .50568 .18506 .51262 .15254 .50892 .14768 Mtetra
.203 .493 .902 r
.50892 .14768 .51262 .15254 .51937 .15472 .51567 .14996 Mtetra
.937 .568 .186 r
.51567 .14996 .51937 .15472 .52618 .18728 .52245 .18165 Mtetra
.945 .589 .207 r
.52245 .18165 .52618 .18728 .53318 .22689 .5294 .21995 Mtetra
.762 .369 0 r
.5294 .21995 .53318 .22689 .54028 .24467 .53648 .23684 Mtetra
.898 .716 .647 r
.53648 .23684 .54028 .24467 .54723 .22661 .54346 .21892 Mtetra
.955 .714 .535 r
.54346 .21892 .54723 .22661 .55389 .18407 .55018 .17742 Mtetra
.96 .723 .537 r
.55018 .17742 .55389 .18407 .56042 .14411 .55677 .13868 Mtetra
.91 .767 .691 r
.55677 .13868 .56042 .14411 .56715 .12977 .56354 .12502 Mtetra
.82 .394 0 r
.56354 .12502 .56715 .12977 .57437 .14662 .57074 .14162 Mtetra
.928 .557 .151 r
.57074 .14162 .57437 .14662 .58202 .18073 .57835 .17473 Mtetra
.879 .493 .027 r
.57835 .17473 .58202 .18073 .5897 .20685 .58597 .19974 Mtetra
.634 .641 .84 r
.58597 .19974 .5897 .20685 .59686 .20495 .59313 .19738 Mtetra
.946 .724 .57 r
.59313 .19738 .59686 .20495 .60331 .17499 .59963 .16792 Mtetra
.961 .724 .532 r
.59963 .16792 .60331 .17499 .6094 .13636 .6058 .13037 Mtetra
.949 .749 .599 r
.6058 .13037 .6094 .13636 .61579 .11241 .61225 .10736 Mtetra
.147 .447 .879 r
.61225 .10736 .61579 .11241 .62298 .11517 .61946 .11038 Mtetra
.872 .471 .013 r
.61946 .11038 .62298 .11517 .63099 .13921 .62743 .13386 Mtetra
.873 .479 .013 r
.62743 .13386 .63099 .13921 .63922 .1655 .63561 .15916 Mtetra
0 .144 .688 r
.63561 .15916 .63922 .1655 .64688 .17363 .64323 .16654 Mtetra
.916 .739 .647 r
.64323 .16654 .64688 .17363 .65351 .15631 .64989 .14923 Mtetra
.96 .731 .549 r
.64989 .14923 .65351 .15631 .65942 .12441 .65587 .11808 Mtetra
.958 .746 .575 r
.65587 .11808 .65942 .12441 .66546 .0978 .66199 .0924 Mtetra
.804 .77 .822 r
.66199 .0924 .66546 .0978 .67241 .091 .66898 .08612 Mtetra
.673 .238 0 r
.66898 .08612 .67241 .091 .68044 .10472 .67699 .09967 Mtetra
.813 .403 0 r
.67699 .09967 .68044 .10472 .68901 .12633 .68551 .12055 Mtetra
0 0 .479 r
.68551 .12055 .68901 .12633 .69716 .13832 .69362 .13177 Mtetra
.828 .743 .77 r
.69362 .13177 .69716 .13832 .7042 .13038 .70065 .12358 Mtetra
.952 .747 .59 r
.70065 .12358 .7042 .13038 .71024 .1068 .70675 .10042 Mtetra
.959 .752 .581 r
.70675 .10042 .71024 .1068 .71613 .08232 .71273 .07669 Mtetra
.894 .783 .731 r
.71273 .07669 .71613 .08232 .72282 .07079 .71947 .06572 Mtetra
0 .265 .772 r
.71947 .06572 .72282 .07079 .73069 .07634 .72735 .07131 Mtetra
.77 .758 .842 r
.0801 .30474 .08443 .30878 .09051 .30433 .0862 .30023 Mtetra
.88 .446 .085 r
.0862 .30023 .09051 .30433 .09453 .31494 .09028 .31036 Mtetra
.94 .582 .298 r
.09028 .31036 .09453 .31494 .09751 .33362 .09332 .32842 Mtetra
.915 .517 .152 r
.09332 .32842 .09751 .33362 .10128 .3471 .09712 .3415 Mtetra
.673 .678 .847 r
.09712 .3415 .10128 .3471 .10725 .34439 .10308 .33888 Mtetra
.887 .714 .662 r
.10308 .33888 .10725 .34439 .11535 .32536 .11114 .32039 Mtetra
.904 .718 .64 r
.11114 .32039 .11535 .32536 .12403 .30152 .11978 .29717 Mtetra
.881 .741 .703 r
.11978 .29717 .12403 .30152 .13132 .28809 .12706 .284 Mtetra
.603 .095 0 r
.12706 .284 .13132 .28809 .13618 .29398 .13195 .28958 Mtetra
.944 .595 .321 r
.13195 .28958 .13618 .29398 .13911 .31583 .13495 .31068 Mtetra
.95 .606 .32 r
.13495 .31068 .13911 .31583 .14197 .33915 .13786 .33324 Mtetra
.63 .19 0 r
.13786 .33324 .14197 .33915 .14679 .3469 .14271 .34073 Mtetra
.867 .708 .682 r
.14271 .34073 .14679 .3469 .15436 .33171 .15024 .32595 Mtetra
.91 .709 .618 r
.15024 .32595 .15436 .33171 .16356 .30212 .15939 .29719 Mtetra
.912 .721 .631 r
.15939 .29719 .16356 .30212 .17217 .27687 .16797 .2726 Mtetra
.771 .757 .84 r
.16797 .2726 .17217 .27687 .17842 .27216 .17422 .26791 Mtetra
.937 .569 .269 r
.17422 .26791 .17842 .27216 .18203 .29144 .17788 .28651 Mtetra
.954 .627 .362 r
.17788 .28651 .18203 .29144 .18443 .32269 .18036 .31674 Mtetra
.948 .592 .259 r
.18036 .31674 .18443 .32269 .18797 .34458 .18394 .3379 Mtetra
.719 .666 .797 r
.18394 .3379 .18797 .34458 .19436 .34026 .19032 .33367 Mtetra
.909 .705 .615 r
.19032 .33367 .19436 .34026 .20334 .31065 .19926 .30491 Mtetra
.923 .71 .597 r
.19926 .30491 .20334 .31065 .21291 .27435 .20879 .26963 Mtetra
.909 .734 .653 r
.20879 .26963 .21291 .27435 .22075 .25442 .21661 .25017 Mtetra
.786 .314 0 r
.21661 .25017 .22075 .25442 .22572 .26354 .2216 .2589 Mtetra
.954 .624 .355 r
.2216 .2589 .22572 .26354 .22849 .29642 .22443 .29069 Mtetra
.96 .634 .351 r
.22443 .29069 .22849 .29642 .23118 .3317 .22718 .32482 Mtetra
.803 .397 0 r
.22718 .32482 .23118 .3317 .2361 .34425 .23213 .33695 Mtetra
.887 .7 .645 r
.23213 .33695 .2361 .34425 .24409 .3233 .24009 .31662 Mtetra
.927 .704 .582 r
.24009 .31662 .24409 .3233 .25384 .28143 .24979 .27597 Mtetra
.93 .716 .591 r
.24979 .27597 .25384 .28143 .26296 .24545 .25888 .24096 Mtetra
.836 .762 .781 r
.25888 .24096 .26296 .24545 .26959 .23775 .26552 .23335 Mtetra
.946 .591 .286 r
.26552 .23335 .26959 .23775 .27353 .26312 .2695 .25781 Mtetra
.96 .64 .364 r
.2695 .25781 .27353 .26312 .27623 .3056 .27225 .29891 Mtetra
.959 .618 .284 r
.27225 .29891 .27623 .3056 .28002 .33652 .27608 .32883 Mtetra
.685 .632 .791 r
.27608 .32883 .28002 .33652 .28657 .33278 .28262 .32521 Mtetra
.923 .702 .586 r
.28262 .32521 .28657 .33278 .29565 .29483 .29167 .28841 Mtetra
.938 .708 .565 r
.29167 .28841 .29565 .29483 .30528 .24729 .30127 .24223 Mtetra
.93 .73 .611 r
.30127 .24223 .30528 .24729 .31335 .21994 .30933 .21554 Mtetra
.724 .247 0 r
.30933 .21554 .31335 .21994 .31887 .22903 .31488 .2242 Mtetra
.959 .628 .337 r
.31488 .2242 .31887 .22903 .32245 .26858 .3185 .26242 Mtetra
.964 .639 .337 r
.3185 .26242 .32245 .26858 .32593 .31285 .322 .30527 Mtetra
.862 .48 0 r
.322 .30527 .32593 .31285 .33124 .33054 .32732 .32239 Mtetra
.895 .698 .629 r
.32732 .32239 .33124 .33054 .33908 .30722 .33515 .2998 Mtetra
.939 .704 .556 r
.33515 .2998 .33908 .30722 .34836 .25763 .34441 .25167 Mtetra
.944 .715 .561 r
.34441 .25167 .34836 .25763 .35715 .21348 .35321 .20873 Mtetra
.888 .761 .716 r
.35321 .20873 .35715 .21348 .3641 .20131 .36016 .19677 Mtetra
.942 .575 .234 r
.36016 .19677 .3641 .20131 .36906 .22739 .36514 .22194 Mtetra
.963 .635 .331 r
.36514 .22194 .36906 .22739 .37311 .27469 .36921 .26772 Mtetra
.957 .616 .259 r
.36921 .26772 .37311 .27469 .37791 .31093 .37401 .30277 Mtetra
.592 .581 .81 r
.37401 .30277 .37791 .31093 .38457 .30946 .38068 .30129 Mtetra
.932 .703 .57 r
.38068 .30129 .38457 .30946 .3929 .26958 .38901 .26258 Mtetra
.948 .708 .542 r
.38901 .26258 .3929 .26958 .40159 .21713 .39771 .21164 Mtetra
.944 .729 .582 r
.39771 .21164 .40159 .21713 .40932 .18469 .40545 .18008 Mtetra
0 .124 .646 r
.40545 .18008 .40932 .18469 .41555 .19037 .41169 .18553 Mtetra
.956 .611 .282 r
.41169 .18553 .41555 .19037 .42071 .229 .41684 .22293 Mtetra
.961 .626 .29 r
.41684 .22293 .42071 .229 .42584 .27456 .42197 .26699 Mtetra
.855 .475 0 r
.42197 .26699 .42584 .27456 .43195 .29483 .42807 .28649 Mtetra
.895 .702 .634 r
.42807 .28649 .43195 .29483 .43931 .27382 .43545 .26597 Mtetra
.947 .706 .541 r
.43545 .26597 .43931 .27382 .44733 .22472 .44349 .21825 Mtetra
.953 .716 .542 r
.44349 .21825 .44733 .22472 .45507 .17905 .45127 .17392 Mtetra
.913 .76 .678 r
.45127 .17392 .45507 .17905 .46201 .16352 .45822 .15888 Mtetra
.908 .512 .108 r
.45822 .15888 .46201 .16352 .46821 .18515 .46441 .17992 Mtetra
.956 .611 .265 r
.46441 .17992 .46821 .18515 .47417 .22831 .47035 .22173 Mtetra
.941 .584 .188 r
.47035 .22173 .47417 .22831 .48048 .26294 .47663 .25509 Mtetra
.512 .552 .833 r
.47663 .25509 .48048 .26294 .48739 .26322 .48355 .25505 Mtetra
.938 .71 .566 r
.48355 .25505 .48739 .26322 .49468 .22756 .49087 .22024 Mtetra
.956 .712 .53 r
.49087 .22024 .49468 .22756 .50194 .17917 .49818 .17324 Mtetra
.951 .733 .572 r
.49818 .17324 .50194 .17917 .50892 .14768 .5052 .14278 Mtetra
.187 .482 .897 r
.5052 .14278 .50892 .14768 .51567 .14996 .51196 .14518 Mtetra
.935 .564 .179 r
.51196 .14518 .51567 .14996 .52245 .18165 .5187 .17603 Mtetra
.943 .585 .199 r
.5187 .17603 .52245 .18165 .5294 .21995 .52562 .21301 Mtetra
.738 .344 0 r
.52562 .21301 .5294 .21995 .53648 .23684 .53268 .22899 Mtetra
.898 .716 .648 r
.53268 .22899 .53648 .23684 .54346 .21892 .53968 .21119 Mtetra
.954 .714 .537 r
.53968 .21119 .54346 .21892 .55018 .17742 .54646 .17073 Mtetra
.959 .724 .541 r
.54646 .17073 .55018 .17742 .55677 .13868 .55312 .13324 Mtetra
.904 .767 .7 r
.55312 .13324 .55677 .13868 .56354 .12502 .55991 .12025 Mtetra
.816 .389 0 r
.55991 .12025 .56354 .12502 .57074 .14162 .5671 .13661 Mtetra
.925 .552 .144 r
.5671 .13661 .57074 .14162 .57835 .17473 .57465 .16871 Mtetra
.871 .481 .009 r
.57465 .16871 .57835 .17473 .58597 .19974 .58224 .1926 Mtetra
.654 .651 .834 r
.58224 .1926 .58597 .19974 .59313 .19738 .58939 .18977 Mtetra
.945 .724 .572 r
.58939 .18977 .59313 .19738 .59963 .16792 .59594 .16083 Mtetra
.96 .724 .536 r
.59594 .16083 .59963 .16792 .6058 .13037 .60219 .12436 Mtetra
.947 .751 .606 r
.60219 .12436 .6058 .13037 .61225 .10736 .6087 .1023 Mtetra
.115 .425 .869 r
.6087 .1023 .61225 .10736 .61946 .11038 .61592 .10556 Mtetra
.868 .464 .004 r
.61592 .10556 .61946 .11038 .62743 .13386 .62385 .12848 Mtetra
.865 .469 0 r
.62385 .12848 .62743 .13386 .63561 .15916 .63197 .15278 Mtetra
0 .197 .727 r
.63197 .15278 .63561 .15916 .64323 .16654 .63957 .15941 Mtetra
.916 .739 .648 r
.63957 .15941 .64323 .16654 .64989 .14923 .64625 .14214 Mtetra
.959 .732 .553 r
.64625 .14214 .64989 .14923 .65587 .11808 .65231 .11174 Mtetra
.956 .747 .581 r
.65231 .11174 .65587 .11808 .66199 .0924 .65851 .08699 Mtetra
.789 .767 .833 r
.65851 .08699 .66199 .0924 .66898 .08612 .66553 .08123 Mtetra
.667 .231 0 r
.66553 .08123 .66898 .08612 .67699 .09967 .67353 .09458 Mtetra
.803 .391 0 r
.67353 .09458 .67699 .09967 .68551 .12055 .682 .11472 Mtetra
0 0 .518 r
.682 .11472 .68551 .12055 .69362 .13177 .69006 .12518 Mtetra
.832 .743 .766 r
.69006 .12518 .69362 .13177 .70065 .12358 .6971 .11676 Mtetra
.951 .747 .593 r
.6971 .11676 .70065 .12358 .70675 .10042 .70325 .09403 Mtetra
.957 .754 .587 r
.70325 .09403 .70675 .10042 .71273 .07669 .70931 .07105 Mtetra
.887 .784 .741 r
.70931 .07105 .71273 .07669 .71947 .06572 .71611 .06064 Mtetra
0 .263 .77 r
.71611 .06064 .71947 .06572 .72735 .07131 .724 .06625 Mtetra
.772 .758 .841 r
.07576 .30069 .0801 .30474 .0862 .30023 .08188 .29611 Mtetra
.87 .428 .057 r
.08188 .29611 .0862 .30023 .09028 .31036 .08601 .30577 Mtetra
.939 .577 .288 r
.08601 .30577 .09028 .31036 .09332 .32842 .08911 .3232 Mtetra
.911 .508 .136 r
.08911 .3232 .09332 .32842 .09712 .3415 .09295 .33587 Mtetra
.667 .676 .849 r
.09295 .33587 .09712 .3415 .10308 .33888 .0989 .33336 Mtetra
.885 .714 .665 r
.0989 .33336 .10308 .33888 .11114 .32039 .10692 .31541 Mtetra
.903 .718 .643 r
.10692 .31541 .11114 .32039 .11978 .29717 .11551 .2928 Mtetra
.879 .741 .705 r
.11551 .2928 .11978 .29717 .12706 .284 .12278 .27988 Mtetra
.563 .055 0 r
.12278 .27988 .12706 .284 .13195 .28958 .1277 .28516 Mtetra
.943 .59 .312 r
.1277 .28516 .13195 .28958 .13495 .31068 .13076 .30552 Mtetra
.949 .602 .312 r
.13076 .30552 .13495 .31068 .13786 .33324 .13374 .32732 Mtetra
.602 .164 0 r
.13374 .32732 .13786 .33324 .14271 .34073 .1386 .33453 Mtetra
.865 .708 .686 r
.1386 .33453 .14271 .34073 .15024 .32595 .14612 .32018 Mtetra
.909 .71 .621 r
.14612 .32018 .15024 .32595 .15939 .29719 .15521 .29224 Mtetra
.911 .721 .634 r
.15521 .29224 .15939 .29719 .16797 .2726 .16375 .2683 Mtetra
.77 .757 .841 r
.16375 .2683 .16797 .2726 .17422 .26791 .17001 .26365 Mtetra
.935 .563 .258 r
.17001 .26365 .17422 .26791 .17788 .28651 .17372 .28158 Mtetra
.953 .624 .357 r
.17372 .28158 .17788 .28651 .18036 .31674 .17626 .31078 Mtetra
.946 .586 .248 r
.17626 .31078 .18036 .31674 .18394 .3379 .1799 .33121 Mtetra
.716 .665 .799 r
.1799 .33121 .18394 .3379 .19032 .33367 .18628 .32705 Mtetra
.907 .705 .618 r
.18628 .32705 .19032 .33367 .19926 .30491 .19517 .29914 Mtetra
.922 .71 .599 r
.19517 .29914 .19926 .30491 .20879 .26963 .20464 .26486 Mtetra
.907 .734 .656 r
.20464 .26486 .20879 .26963 .21661 .25017 .21245 .24591 Mtetra
.767 .29 0 r
.21245 .24591 .21661 .25017 .2216 .2589 .21747 .25426 Mtetra
.953 .621 .349 r
.21747 .25426 .2216 .2589 .22443 .29069 .22036 .28497 Mtetra
.959 .631 .345 r
.22036 .28497 .22443 .29069 .22718 .32482 .22317 .31794 Mtetra
.786 .378 0 r
.22317 .31794 .22718 .32482 .23213 .33695 .22814 .32962 Mtetra
.884 .7 .648 r
.22814 .32962 .23213 .33695 .24009 .31662 .23607 .30989 Mtetra
.926 .705 .584 r
.23607 .30989 .24009 .31662 .24979 .27597 .24573 .27046 Mtetra
.929 .716 .594 r
.24573 .27046 .24979 .27597 .25888 .24096 .25478 .23643 Mtetra
.834 .762 .783 r
.25478 .23643 .25888 .24096 .26552 .23335 .26143 .22893 Mtetra
.945 .586 .277 r
.26143 .22893 .26552 .23335 .2695 .25781 .26545 .25252 Mtetra
.96 .637 .359 r
.26545 .25252 .2695 .25781 .27225 .29891 .26826 .29223 Mtetra
.957 .615 .277 r
.26826 .29223 .27225 .29891 .27608 .32883 .27212 .32114 Mtetra
.682 .632 .793 r
.27212 .32114 .27608 .32883 .28262 .32521 .27867 .31759 Mtetra
.921 .702 .588 r
.27867 .31759 .28262 .32521 .29167 .28841 .28768 .28193 Mtetra
.937 .708 .567 r
.28768 .28193 .29167 .28841 .30127 .24223 .29725 .2371 Mtetra
.929 .73 .614 r
.29725 .2371 .30127 .24223 .30933 .21554 .3053 .21112 Mtetra
.699 .219 0 r
.3053 .21112 .30933 .21554 .31488 .2242 .31086 .21937 Mtetra
.958 .625 .332 r
.31086 .21937 .31488 .2242 .3185 .26242 .31453 .2563 Mtetra
.963 .637 .332 r
.31453 .2563 .3185 .26242 .322 .30527 .31807 .2977 Mtetra
.852 .468 0 r
.31807 .2977 .322 .30527 .32732 .32239 .3234 .31422 Mtetra
.893 .698 .632 r
.3234 .31422 .32732 .32239 .33515 .2998 .33122 .29231 Mtetra
.938 .704 .559 r
.33122 .29231 .33515 .2998 .34441 .25167 .34046 .24565 Mtetra
.943 .715 .564 r
.34046 .24565 .34441 .25167 .35321 .20873 .34924 .20393 Mtetra
.886 .761 .719 r
.34924 .20393 .35321 .20873 .36016 .19677 .3562 .19223 Mtetra
.94 .57 .225 r
.3562 .19223 .36016 .19677 .36514 .22194 .3612 .21653 Mtetra
.962 .633 .327 r
.3612 .21653 .36514 .22194 .36921 .26772 .36529 .26077 Mtetra
.956 .612 .252 r
.36529 .26077 .36921 .26772 .37401 .30277 .37011 .29461 Mtetra
.594 .583 .81 r
.37011 .29461 .37401 .30277 .38068 .30129 .37678 .29308 Mtetra
.93 .703 .572 r
.37678 .29308 .38068 .30129 .38901 .26258 .3851 .25551 Mtetra
.947 .708 .544 r
.3851 .25551 .38901 .26258 .39771 .21164 .39381 .20608 Mtetra
.943 .729 .585 r
.39381 .20608 .39771 .21164 .40545 .18008 .40156 .17544 Mtetra
0 .146 .666 r
.40156 .17544 .40545 .18008 .41169 .18553 .40781 .18068 Mtetra
.955 .608 .277 r
.40781 .18068 .41169 .18553 .41684 .22293 .41296 .21688 Mtetra
.96 .623 .285 r
.41296 .21688 .41684 .22293 .42197 .26699 .41808 .25944 Mtetra
.843 .461 0 r
.41808 .25944 .42197 .26699 .42807 .28649 .42419 .27812 Mtetra
.893 .701 .636 r
.42419 .27812 .42807 .28649 .43545 .26597 .43157 .25807 Mtetra
.946 .707 .543 r
.43157 .25807 .43545 .26597 .44349 .21825 .43964 .21173 Mtetra
.952 .717 .545 r
.43964 .21173 .44349 .21825 .45127 .17392 .44745 .16875 Mtetra
.909 .76 .684 r
.44745 .16875 .45127 .17392 .45822 .15888 .45441 .15423 Mtetra
.904 .506 .098 r
.45441 .15423 .45822 .15888 .46441 .17992 .46059 .17469 Mtetra
.955 .608 .26 r
.46059 .17469 .46441 .17992 .47035 .22173 .46651 .21515 Mtetra
.938 .579 .178 r
.46651 .21515 .47035 .22173 .47663 .25509 .47278 .24723 Mtetra
.531 .562 .832 r
.47278 .24723 .47663 .25509 .48355 .25505 .47969 .24686 Mtetra
.937 .71 .568 r
.47969 .24686 .48355 .25505 .49087 .22024 .48706 .21287 Mtetra
.955 .713 .533 r
.48706 .21287 .49087 .22024 .49818 .17324 .49441 .16726 Mtetra
.95 .734 .577 r
.49441 .16726 .49818 .17324 .5052 .14278 .50146 .13786 Mtetra
.168 .47 .892 r
.50146 .13786 .5052 .14278 .51196 .14518 .50823 .1404 Mtetra
.932 .56 .172 r
.50823 .1404 .51196 .14518 .5187 .17603 .51494 .17039 Mtetra
.941 .581 .191 r
.51494 .17039 .5187 .17603 .52562 .21301 .52182 .20605 Mtetra
.71 .315 0 r
.52182 .20605 .52562 .21301 .53268 .22899 .52886 .22111 Mtetra
.897 .716 .649 r
.52886 .22111 .53268 .22899 .53968 .21119 .53589 .20343 Mtetra
.953 .715 .54 r
.53589 .20343 .53968 .21119 .54646 .17073 .54273 .16402 Mtetra
.957 .725 .545 r
.54273 .16402 .54646 .17073 .55312 .13324 .54944 .12776 Mtetra
.898 .768 .71 r
.54944 .12776 .55312 .13324 .55991 .12025 .55627 .11546 Mtetra
.812 .383 0 r
.55627 .11546 .55991 .12025 .5671 .13661 .56344 .13158 Mtetra
.922 .547 .135 r
.56344 .13158 .5671 .13661 .57465 .16871 .57095 .16267 Mtetra
.86 .468 0 r
.57095 .16267 .57465 .16871 .58224 .1926 .57849 .18543 Mtetra
.673 .659 .828 r
.57849 .18543 .58224 .1926 .58939 .18977 .58564 .18214 Mtetra
.944 .724 .574 r
.58564 .18214 .58939 .18977 .59594 .16083 .59224 .15371 Mtetra
.959 .725 .54 r
.59224 .15371 .59594 .16083 .60219 .12436 .59856 .11834 Mtetra
.944 .752 .613 r
.59856 .11834 .60219 .12436 .6087 .1023 .60513 .09723 Mtetra
.084 .404 .858 r
.60513 .09723 .6087 .1023 .61592 .10556 .61237 .10073 Mtetra
.863 .457 0 r
.61237 .10073 .61592 .10556 .62385 .12848 .62026 .12307 Mtetra
.856 .457 0 r
.62026 .12307 .62385 .12848 .63197 .15278 .62833 .14636 Mtetra
0 .249 .762 r
.62833 .14636 .63197 .15278 .63957 .15941 .63589 .15225 Mtetra
.916 .739 .648 r
.63589 .15225 .63957 .15941 .64625 .14214 .6426 .13503 Mtetra
.957 .733 .557 r
.6426 .13503 .64625 .14214 .65231 .11174 .64873 .10539 Mtetra
.954 .749 .588 r
.64873 .10539 .65231 .11174 .65851 .08699 .655 .08157 Mtetra
.772 .763 .844 r
.655 .08157 .65851 .08699 .66553 .08123 .66207 .07631 Mtetra
.659 .223 0 r
.66207 .07631 .66553 .08123 .67353 .09458 .67006 .08945 Mtetra
.792 .377 0 r
.67006 .08945 .67353 .09458 .682 .11472 .67847 .10884 Mtetra
0 0 .559 r
.67847 .10884 .682 .11472 .69006 .12518 .68649 .11856 Mtetra
.835 .744 .763 r
.68649 .11856 .69006 .12518 .6971 .11676 .69353 .10993 Mtetra
.949 .748 .597 r
.69353 .10993 .6971 .11676 .70325 .09403 .69974 .08764 Mtetra
.955 .755 .594 r
.69974 .08764 .70325 .09403 .70931 .07105 .70588 .06541 Mtetra
.879 .784 .752 r
.70588 .06541 .70931 .07105 .71611 .06064 .71274 .05553 Mtetra
0 .262 .769 r
.71274 .05553 .71611 .06064 .724 .06625 .72063 .06115 Mtetra
.774 .759 .839 r
.0714 .29663 .07576 .30069 .08188 .29611 .07754 .29197 Mtetra
.858 .408 .027 r
.07754 .29197 .08188 .29611 .08601 .30577 .08172 .30116 Mtetra
.937 .571 .277 r
.08172 .30116 .08601 .30577 .08911 .3232 .08488 .31797 Mtetra
.906 .499 .121 r
.08488 .31797 .08911 .3232 .09295 .33587 .08875 .33025 Mtetra
.662 .675 .852 r
.08875 .33025 .09295 .33587 .0989 .33336 .0947 .32784 Mtetra
.883 .715 .668 r
.0947 .32784 .0989 .33336 .10692 .31541 .10267 .31043 Mtetra
.902 .719 .645 r
.10267 .31043 .10692 .31541 .11551 .2928 .11122 .28842 Mtetra
.878 .742 .708 r
.11122 .28842 .11551 .2928 .12278 .27988 .11848 .27576 Mtetra
.52 .012 0 r
.11848 .27576 .12278 .27988 .1277 .28516 .12344 .28073 Mtetra
.941 .585 .303 r
.12344 .28073 .1277 .28516 .13076 .30552 .12656 .30036 Mtetra
.948 .597 .303 r
.12656 .30036 .13076 .30552 .13374 .32732 .1296 .32141 Mtetra
0 0 .409 r
.1296 .32141 .13374 .32732 .1386 .33453 .13449 .32835 Mtetra
.863 .709 .689 r
.13449 .32835 .1386 .33453 .14612 .32018 .14197 .31441 Mtetra
.908 .71 .623 r
.14197 .31441 .14612 .32018 .15521 .29224 .15101 .28727 Mtetra
.91 .722 .637 r
.15101 .28727 .15521 .29224 .16375 .2683 .15952 .26398 Mtetra
.768 .757 .842 r
.15952 .26398 .16375 .2683 .17001 .26365 .16578 .25937 Mtetra
.933 .556 .247 r
.16578 .25937 .17001 .26365 .17372 .28158 .16954 .27665 Mtetra
.953 .621 .351 r
.16954 .27665 .17372 .28158 .17626 .31078 .17216 .30485 Mtetra
.944 .58 .237 r
.17216 .30485 .17626 .31078 .1799 .33121 .17584 .32454 Mtetra
.714 .666 .801 r
.17584 .32454 .1799 .33121 .18628 .32705 .18222 .32045 Mtetra
.906 .705 .62 r
.18222 .32045 .18628 .32705 .19517 .29914 .19107 .29336 Mtetra
.921 .711 .601 r
.19107 .29336 .19517 .29914 .20464 .26486 .20048 .26008 Mtetra
.905 .735 .659 r
.20048 .26008 .20464 .26486 .21245 .24591 .20827 .24162 Mtetra
.747 .265 0 r
.20827 .24162 .21245 .24591 .21747 .25426 .21332 .24963 Mtetra
.953 .618 .343 r
.21332 .24963 .21747 .25426 .22036 .28497 .21627 .27927 Mtetra
.958 .628 .34 r
.21627 .27927 .22036 .28497 .22317 .31794 .21915 .3111 Mtetra
.769 .359 0 r
.21915 .3111 .22317 .31794 .22814 .32962 .22414 .32233 Mtetra
.883 .701 .651 r
.22414 .32233 .22814 .32962 .23607 .30989 .23205 .30317 Mtetra
.925 .705 .586 r
.23205 .30317 .23607 .30989 .24573 .27046 .24166 .26492 Mtetra
.928 .717 .596 r
.24166 .26492 .24573 .27046 .25478 .23643 .25067 .23187 Mtetra
.831 .761 .786 r
.25067 .23187 .25478 .23643 .26143 .22893 .25732 .2245 Mtetra
.943 .581 .268 r
.25732 .2245 .26143 .22893 .26545 .25252 .26139 .24726 Mtetra
.96 .635 .355 r
.26139 .24726 .26545 .25252 .26826 .29223 .26425 .28561 Mtetra
.956 .61 .269 r
.26425 .28561 .26826 .29223 .27212 .32114 .26816 .3135 Mtetra
.681 .633 .795 r
.26816 .3135 .27212 .32114 .27867 .31759 .2747 .31001 Mtetra
.92 .702 .591 r
.2747 .31001 .27867 .31759 .28768 .28193 .28368 .27543 Mtetra
.936 .708 .569 r
.28368 .27543 .28768 .28193 .29725 .2371 .29321 .23194 Mtetra
.927 .731 .617 r
.29321 .23194 .29725 .2371 .3053 .21112 .30125 .20666 Mtetra
.674 .192 0 r
.30125 .20666 .3053 .21112 .31086 .21937 .30684 .21456 Mtetra
.957 .622 .327 r
.30684 .21456 .31086 .21937 .31453 .2563 .31054 .25023 Mtetra
.963 .634 .328 r
.31054 .25023 .31453 .2563 .31807 .2977 .31412 .2902 Mtetra
.842 .454 0 r
.31412 .2902 .31807 .2977 .3234 .31422 .31947 .3061 Mtetra
.891 .698 .635 r
.31947 .3061 .3234 .31422 .33122 .29231 .32727 .28483 Mtetra
.937 .704 .561 r
.32727 .28483 .33122 .29231 .34046 .24565 .33649 .23958 Mtetra
.942 .715 .566 r
.33649 .23958 .34046 .24565 .34924 .20393 .34526 .19909 Mtetra
.883 .761 .723 r
.34526 .19909 .34924 .20393 .3562 .19223 .35223 .18768 Mtetra
.937 .564 .216 r
.35223 .18768 .3562 .19223 .3612 .21653 .35724 .21114 Mtetra
.961 .63 .323 r
.35724 .21114 .3612 .21653 .36529 .26077 .36135 .25389 Mtetra
.954 .608 .245 r
.36135 .25389 .36529 .26077 .37011 .29461 .36619 .28651 Mtetra
.598 .587 .812 r
.36619 .28651 .37011 .29461 .37678 .29308 .37286 .2849 Mtetra
.929 .703 .575 r
.37286 .2849 .37678 .29308 .3851 .25551 .38119 .24842 Mtetra
.946 .709 .547 r
.38119 .24842 .3851 .25551 .39381 .20608 .3899 .20048 Mtetra
.941 .73 .589 r
.3899 .20048 .39381 .20608 .40156 .17544 .39766 .17077 Mtetra
0 .165 .682 r
.39766 .17077 .40156 .17544 .40781 .18068 .40391 .17585 Mtetra
.953 .604 .271 r
.40391 .17585 .40781 .18068 .41296 .21688 .40906 .21088 Mtetra
.959 .62 .28 r
.40906 .21088 .41296 .21688 .41808 .25944 .41418 .25196 Mtetra
.831 .446 0 r
.41418 .25196 .41808 .25944 .42419 .27812 .42029 .26981 Mtetra
.892 .702 .639 r
.42029 .26981 .42419 .27812 .43157 .25807 .42769 .25018 Mtetra
.945 .707 .546 r
.42769 .25018 .43157 .25807 .43964 .21173 .43578 .20517 Mtetra
.951 .717 .548 r
.43578 .20517 .43964 .21173 .44745 .16875 .44361 .16353 Mtetra
.905 .76 .69 r
.44361 .16353 .44745 .16875 .45441 .15423 .45059 .14956 Mtetra
.901 .499 .088 r
.45059 .14956 .45441 .15423 .46059 .17469 .45676 .16948 Mtetra
.953 .605 .254 r
.45676 .16948 .46059 .17469 .46651 .21515 .46265 .20862 Mtetra
.935 .573 .168 r
.46265 .20862 .46651 .21515 .47278 .24723 .46891 .23941 Mtetra
.55 .575 .832 r
.46891 .23941 .47278 .24723 .47969 .24686 .47583 .23869 Mtetra
.936 .71 .571 r
.47583 .23869 .47969 .24686 .48706 .21287 .48323 .20551 Mtetra
.954 .713 .536 r
.48323 .20551 .48706 .21287 .49441 .16726 .49063 .16126 Mtetra
.948 .735 .582 r
.49063 .16126 .49441 .16726 .50146 .13786 .49771 .13292 Mtetra
.147 .456 .885 r
.49771 .13292 .50146 .13786 .50823 .1404 .50448 .1356 Mtetra
.93 .555 .165 r
.50448 .1356 .50823 .1404 .51494 .17039 .51117 .16477 Mtetra
.938 .576 .183 r
.51117 .16477 .51494 .17039 .52182 .20605 .51801 .19913 Mtetra
.68 .285 0 r
.51801 .19913 .52182 .20605 .52886 .22111 .52503 .21326 Mtetra
.897 .717 .649 r
.52503 .21326 .52886 .22111 .53589 .20343 .53208 .19568 Mtetra
.952 .715 .543 r
.53208 .19568 .53589 .20343 .54273 .16402 .53898 .1573 Mtetra
.956 .726 .549 r
.53898 .1573 .54273 .16402 .54944 .12776 .54575 .12228 Mtetra
.891 .769 .72 r
.54575 .12228 .54944 .12776 .55627 .11546 .55261 .11066 Mtetra
.807 .378 0 r
.55261 .11066 .55627 .11546 .56344 .13158 .55977 .12654 Mtetra
.919 .541 .126 r
.55977 .12654 .56344 .13158 .57095 .16267 .56723 .15663 Mtetra
.849 .453 0 r
.56723 .15663 .57095 .16267 .57849 .18543 .57473 .17827 Mtetra
.69 .668 .823 r
.57473 .17827 .57849 .18543 .58564 .18214 .58188 .17453 Mtetra
.943 .725 .577 r
.58188 .17453 .58564 .18214 .59224 .15371 .58853 .14661 Mtetra
.958 .726 .544 r
.58853 .14661 .59224 .15371 .59856 .11834 .59492 .11232 Mtetra
.941 .754 .621 r
.59492 .11232 .59856 .11834 .60513 .09723 .60155 .09214 Mtetra
.054 .384 .846 r
.60155 .09214 .60513 .09723 .61237 .10073 .60879 .09588 Mtetra
.858 .45 0 r
.60879 .09588 .61237 .10073 .62026 .12307 .61665 .11764 Mtetra
.847 .445 0 r
.61665 .11764 .62026 .12307 .62833 .14636 .62467 .13992 Mtetra
.021 .3 .793 r
.62467 .13992 .62833 .14636 .63589 .15225 .63221 .1451 Mtetra
.916 .74 .649 r
.63221 .1451 .63589 .15225 .6426 .13503 .63894 .12793 Mtetra
.956 .734 .561 r
.63894 .12793 .6426 .13503 .64873 .10539 .64514 .09906 Mtetra
.952 .75 .594 r
.64514 .09906 .64873 .10539 .655 .08157 .65149 .07615 Mtetra
.755 .758 .855 r
.65149 .07615 .655 .08157 .66207 .07631 .65859 .07137 Mtetra
.652 .215 0 r
.65859 .07137 .66207 .07631 .67006 .08945 .66656 .08429 Mtetra
.78 .363 0 r
.66656 .08429 .67006 .08945 .67847 .10884 .67493 .10294 Mtetra
0 .038 .598 r
.67493 .10294 .67847 .10884 .68649 .11856 .6829 .11193 Mtetra
.839 .745 .76 r
.6829 .11193 .68649 .11856 .69353 .10993 .68995 .1031 Mtetra
.948 .749 .6 r
.68995 .1031 .69353 .10993 .69974 .08764 .69622 .08127 Mtetra
.953 .757 .6 r
.69622 .08127 .69974 .08764 .70588 .06541 .70243 .05977 Mtetra
.871 .784 .762 r
.70243 .05977 .70588 .06541 .71274 .05553 .70935 .05041 Mtetra
0 .262 .769 r
.70935 .05041 .71274 .05553 .72063 .06115 .71724 .05601 Mtetra
.776 .759 .838 r
.06702 .29256 .0714 .29663 .07754 .29197 .07318 .28782 Mtetra
.843 .385 0 r
.07318 .28782 .07754 .29197 .08172 .30116 .07741 .29654 Mtetra
.935 .565 .265 r
.07741 .29654 .08172 .30116 .08488 .31797 .08064 .31273 Mtetra
.9 .489 .104 r
.08064 .31273 .08488 .31797 .08875 .33025 .08455 .32462 Mtetra
.656 .673 .855 r
.08455 .32462 .08875 .33025 .0947 .32784 .09048 .32231 Mtetra
.881 .715 .671 r
.09048 .32231 .0947 .32784 .10267 .31043 .09841 .30543 Mtetra
.901 .72 .648 r
.09841 .30543 .10267 .31043 .11122 .28842 .10691 .28402 Mtetra
.876 .742 .711 r
.10691 .28402 .11122 .28842 .11848 .27576 .11416 .27161 Mtetra
0 .032 .527 r
.11416 .27161 .11848 .27576 .12344 .28073 .11915 .27629 Mtetra
.94 .58 .293 r
.11915 .27629 .12344 .28073 .12656 .30036 .12235 .29518 Mtetra
.947 .593 .294 r
.12235 .29518 .12656 .30036 .1296 .32141 .12545 .31549 Mtetra
0 0 .44 r
.12545 .31549 .1296 .32141 .13449 .32835 .13036 .32217 Mtetra
.861 .709 .692 r
.13036 .32217 .13449 .32835 .14197 .31441 .13781 .30863 Mtetra
.907 .711 .626 r
.13781 .30863 .14197 .31441 .15101 .28727 .14679 .28229 Mtetra
.908 .723 .64 r
.14679 .28229 .15101 .28727 .15952 .26398 .15526 .25964 Mtetra
.767 .756 .844 r
.15526 .25964 .15952 .26398 .16578 .25937 .16153 .25507 Mtetra
.93 .549 .234 r
.16153 .25507 .16578 .25937 .16954 .27665 .16534 .27171 Mtetra
.952 .618 .344 r
.16534 .27171 .16954 .27665 .17216 .30485 .16803 .29891 Mtetra
.941 .574 .224 r
.16803 .29891 .17216 .30485 .17584 .32454 .17177 .31787 Mtetra
.712 .666 .802 r
.17177 .31787 .17584 .32454 .18222 .32045 .17815 .31383 Mtetra
.905 .705 .623 r
.17815 .31383 .18222 .32045 .19107 .29336 .18695 .28755 Mtetra
.92 .711 .604 r
.18695 .28755 .19107 .29336 .20048 .26008 .19631 .25527 Mtetra
.904 .735 .663 r
.19631 .25527 .20048 .26008 .20827 .24162 .20407 .23732 Mtetra
.726 .24 0 r
.20407 .23732 .20827 .24162 .21332 .24963 .20915 .24498 Mtetra
.952 .615 .337 r
.20915 .24498 .21332 .24963 .21627 .27927 .21217 .27358 Mtetra
.958 .625 .333 r
.21217 .27358 .21627 .27927 .21915 .3111 .21511 .30427 Mtetra
.748 .336 0 r
.21511 .30427 .21915 .3111 .22414 .32233 .22013 .31503 Mtetra
.881 .7 .654 r
.22013 .31503 .22414 .32233 .23205 .30317 .22801 .29642 Mtetra
.924 .705 .589 r
.22801 .29642 .23205 .30317 .24166 .26492 .23757 .25935 Mtetra
.927 .717 .599 r
.23757 .25935 .24166 .26492 .25067 .23187 .24654 .22728 Mtetra
.828 .761 .789 r
.24654 .22728 .25067 .23187 .25732 .2245 .2532 .22007 Mtetra
.941 .575 .259 r
.2532 .22007 .25732 .2245 .26139 .24726 .2573 .24201 Mtetra
.959 .632 .35 r
.2573 .24201 .26139 .24726 .26425 .28561 .26023 .27901 Mtetra
.954 .606 .26 r
.26023 .27901 .26425 .28561 .26816 .3135 .26418 .30587 Mtetra
.68 .633 .796 r
.26418 .30587 .26816 .3135 .2747 .31001 .27072 .30239 Mtetra
.919 .702 .593 r
.27072 .30239 .2747 .31001 .28368 .27543 .27966 .26888 Mtetra
.935 .708 .572 r
.27966 .26888 .28368 .27543 .29321 .23194 .28916 .22673 Mtetra
.926 .731 .62 r
.28916 .22673 .29321 .23194 .30125 .20666 .29719 .20219 Mtetra
.648 .165 0 r
.29719 .20219 .30125 .20666 .30684 .21456 .30279 .20975 Mtetra
.956 .619 .321 r
.30279 .20975 .30684 .21456 .31054 .25023 .30653 .24418 Mtetra
.962 .631 .322 r
.30653 .24418 .31054 .25023 .31412 .2902 .31015 .28273 Mtetra
.828 .438 0 r
.31015 .28273 .31412 .2902 .31947 .3061 .31552 .29797 Mtetra
.889 .698 .638 r
.31552 .29797 .31947 .3061 .32727 .28483 .32332 .2773 Mtetra
.936 .704 .564 r
.32332 .2773 .32727 .28483 .33649 .23958 .33251 .23345 Mtetra
.941 .716 .569 r
.33251 .23345 .33649 .23958 .34526 .19909 .34127 .19421 Mtetra
.879 .761 .727 r
.34127 .19421 .34526 .19909 .35223 .18768 .34823 .18311 Mtetra
.935 .558 .206 r
.34823 .18311 .35223 .18768 .35724 .21114 .35326 .20578 Mtetra
.961 .628 .318 r
.35326 .20578 .35724 .21114 .36135 .25389 .3574 .24705 Mtetra
.952 .603 .236 r
.3574 .24705 .36135 .25389 .36619 .28651 .36226 .27843 Mtetra
.603 .591 .812 r
.36226 .27843 .36619 .28651 .37286 .2849 .36894 .27669 Mtetra
.928 .703 .578 r
.36894 .27669 .37286 .2849 .38119 .24842 .37727 .24129 Mtetra
.945 .709 .549 r
.37727 .24129 .38119 .24842 .3899 .20048 .38597 .19483 Mtetra
.94 .731 .593 r
.38597 .19483 .3899 .20048 .39766 .17077 .39373 .16606 Mtetra
0 .18 .695 r
.39373 .16606 .39766 .17077 .40391 .17585 .39999 .17101 Mtetra
.952 .601 .265 r
.39999 .17101 .40391 .17585 .40906 .21088 .40515 .20491 Mtetra
.958 .617 .273 r
.40515 .20491 .40906 .21088 .41418 .25196 .41027 .24449 Mtetra
.815 .427 0 r
.41027 .24449 .41418 .25196 .42029 .26981 .41638 .2615 Mtetra
.89 .702 .641 r
.41638 .2615 .42029 .26981 .42769 .25018 .4238 .24225 Mtetra
.944 .707 .549 r
.4238 .24225 .42769 .25018 .43578 .20517 .43191 .19857 Mtetra
.95 .718 .552 r
.43191 .19857 .43578 .20517 .44361 .16353 .43976 .15828 Mtetra
.901 .761 .697 r
.43976 .15828 .44361 .16353 .45059 .14956 .44674 .14488 Mtetra
.897 .492 .077 r
.44674 .14488 .45059 .14956 .45676 .16948 .45291 .16427 Mtetra
.952 .601 .248 r
.45291 .16427 .45676 .16948 .46265 .20862 .45879 .2021 Mtetra
.931 .566 .156 r
.45879 .2021 .46265 .20862 .46891 .23941 .46503 .2316 Mtetra
.57 .586 .83 r
.46503 .2316 .46891 .23941 .47583 .23869 .47196 .2305 Mtetra
.935 .71 .574 r
.47196 .2305 .47583 .23869 .48323 .20551 .47939 .19811 Mtetra
.953 .714 .539 r
.47939 .19811 .48323 .20551 .49063 .16126 .48683 .15523 Mtetra
.946 .736 .587 r
.48683 .15523 .49063 .16126 .49771 .13292 .49394 .12796 Mtetra
.124 .441 .878 r
.49394 .12796 .49771 .13292 .50448 .1356 .50071 .1308 Mtetra
.928 .551 .158 r
.50071 .1308 .50448 .1356 .51117 .16477 .50738 .15914 Mtetra
.935 .57 .174 r
.50738 .15914 .51117 .16477 .51801 .19913 .51418 .19219 Mtetra
.642 .248 0 r
.51418 .19219 .51801 .19913 .52503 .21326 .5212 .2054 Mtetra
.897 .717 .65 r
.5212 .2054 .52503 .21326 .53208 .19568 .52827 .18792 Mtetra
.951 .716 .546 r
.52827 .18792 .53208 .19568 .53898 .1573 .53522 .15056 Mtetra
.955 .727 .554 r
.53522 .15056 .53898 .1573 .54575 .12228 .54205 .11677 Mtetra
.884 .769 .73 r
.54205 .11677 .54575 .12228 .55261 .11066 .54893 .10584 Mtetra
.803 .372 0 r
.54893 .10584 .55261 .11066 .55977 .12654 .55607 .12148 Mtetra
.916 .535 .117 r
.55607 .12148 .55977 .12654 .56723 .15663 .5635 .15056 Mtetra
.836 .437 0 r
.5635 .15056 .56723 .15663 .57473 .17827 .57096 .17109 Mtetra
.706 .675 .817 r
.57096 .17109 .57473 .17827 .58188 .17453 .57811 .16691 Mtetra
.942 .725 .58 r
.57811 .16691 .58188 .17453 .58853 .14661 .58481 .1395 Mtetra
.957 .727 .548 r
.58481 .1395 .58853 .14661 .59492 .11232 .59127 .10629 Mtetra
.938 .755 .629 r
.59127 .10629 .59492 .11232 .60155 .09214 .59795 .08704 Mtetra
.025 .364 .835 r
.59795 .08704 .60155 .09214 .60879 .09588 .6052 .091 Mtetra
.852 .442 0 r
.6052 .091 .60879 .09588 .61665 .11764 .61303 .11217 Mtetra
.836 .431 0 r
.61303 .11217 .61665 .11764 .62467 .13992 .62099 .13346 Mtetra
.091 .349 .819 r
.62099 .13346 .62467 .13992 .63221 .1451 .62851 .13792 Mtetra
.915 .74 .65 r
.62851 .13792 .63221 .1451 .63894 .12793 .63527 .12084 Mtetra
.955 .735 .565 r
.63527 .12084 .63894 .12793 .64514 .09906 .64154 .09273 Mtetra
.95 .752 .602 r
.64154 .09273 .64514 .09906 .65149 .07615 .64796 .07073 Mtetra
.736 .753 .865 r
.64796 .07073 .65149 .07615 .65859 .07137 .6551 .06641 Mtetra
.643 .205 0 r
.6551 .06641 .65859 .07137 .66656 .08429 .66305 .07909 Mtetra
.766 .347 0 r
.66305 .07909 .66656 .08429 .67493 .10294 .67137 .09699 Mtetra
0 .084 .638 r
.67137 .09699 .67493 .10294 .6829 .11193 .67931 .10526 Mtetra
.842 .746 .757 r
.67931 .10526 .6829 .11193 .68995 .1031 .68636 .09627 Mtetra
.947 .749 .604 r
.68636 .09627 .68995 .1031 .69622 .08127 .69269 .07489 Mtetra
.951 .758 .607 r
.69269 .07489 .69622 .08127 .70243 .05977 .69897 .05413 Mtetra
.862 .783 .772 r
.69897 .05413 .70243 .05977 .70935 .05041 .70594 .04527 Mtetra
0 .264 .771 r
.70594 .04527 .70935 .05041 .71724 .05601 .71384 .05083 Mtetra
.778 .759 .836 r
.06262 .28847 .06702 .29256 .07318 .28782 .0688 .28365 Mtetra
.826 .359 0 r
.0688 .28365 .07318 .28782 .07741 .29654 .0731 .29189 Mtetra
.933 .558 .252 r
.0731 .29189 .07741 .29654 .08064 .31273 .07639 .30746 Mtetra
.894 .478 .085 r
.07639 .30746 .08064 .31273 .08455 .32462 .08033 .31896 Mtetra
.65 .671 .857 r
.08033 .31896 .08455 .32462 .09048 .32231 .08625 .31676 Mtetra
.879 .716 .675 r
.08625 .31676 .09048 .32231 .09841 .30543 .09413 .30042 Mtetra
.899 .72 .651 r
.09413 .30042 .09841 .30543 .10691 .28402 .10259 .27961 Mtetra
.875 .743 .714 r
.10259 .27961 .10691 .28402 .11416 .27161 .10983 .26745 Mtetra
0 .08 .575 r
.10983 .26745 .11416 .27161 .11915 .27629 .11485 .27182 Mtetra
.938 .574 .281 r
.11485 .27182 .11915 .27629 .12235 .29518 .11811 .28998 Mtetra
.945 .588 .283 r
.11811 .28998 .12235 .29518 .12545 .31549 .12128 .30955 Mtetra
0 0 .472 r
.12128 .30955 .12545 .31549 .13036 .32217 .12621 .31596 Mtetra
.858 .709 .695 r
.12621 .31596 .13036 .32217 .13781 .30863 .13364 .30282 Mtetra
.906 .711 .629 r
.13364 .30282 .13781 .30863 .14679 .28229 .14256 .27729 Mtetra
.907 .723 .643 r
.14256 .27729 .14679 .28229 .15526 .25964 .15099 .25529 Mtetra
.765 .756 .845 r
.15099 .25529 .15526 .25964 .16153 .25507 .15726 .25076 Mtetra
.927 .541 .221 r
.15726 .25076 .16153 .25507 .16534 .27171 .16113 .26675 Mtetra
.952 .614 .337 r
.16113 .26675 .16534 .27171 .16803 .29891 .16389 .29295 Mtetra
.938 .567 .21 r
.16389 .29295 .16803 .29891 .17177 .31787 .16769 .31118 Mtetra
.711 .665 .803 r
.16769 .31118 .17177 .31787 .17815 .31383 .17406 .30719 Mtetra
.903 .706 .626 r
.17406 .30719 .17815 .31383 .18695 .28755 .18281 .28171 Mtetra
.919 .712 .607 r
.18281 .28171 .18695 .28755 .19631 .25527 .19212 .25043 Mtetra
.902 .736 .666 r
.19212 .25043 .19631 .25527 .20407 .23732 .19986 .233 Mtetra
.703 .213 0 r
.19986 .233 .20407 .23732 .20915 .24498 .20496 .24033 Mtetra
.951 .611 .33 r
.20496 .24033 .20915 .24498 .21217 .27358 .20804 .26789 Mtetra
.957 .622 .326 r
.20804 .26789 .21217 .27358 .21511 .30427 .21106 .29744 Mtetra
.722 .31 0 r
.21106 .29744 .21511 .30427 .22013 .31503 .21611 .30771 Mtetra
.878 .7 .657 r
.21611 .30771 .22013 .31503 .22801 .29642 .22396 .28963 Mtetra
.922 .705 .591 r
.22396 .28963 .22801 .29642 .23757 .25935 .23346 .25373 Mtetra
.926 .718 .602 r
.23346 .25373 .23757 .25935 .24654 .22728 .2424 .22265 Mtetra
.824 .76 .792 r
.2424 .22265 .24654 .22728 .2532 .22007 .24905 .21562 Mtetra
.939 .57 .249 r
.24905 .21562 .2532 .22007 .2573 .24201 .2532 .23676 Mtetra
.958 .629 .344 r
.2532 .23676 .2573 .24201 .26023 .27901 .25619 .27242 Mtetra
.952 .601 .249 r
.25619 .27242 .26023 .27901 .26418 .30587 .26019 .29823 Mtetra
.68 .633 .796 r
.26019 .29823 .26418 .30587 .27072 .30239 .26674 .29475 Mtetra
.917 .702 .596 r
.26674 .29475 .27072 .30239 .27966 .26888 .27564 .26228 Mtetra
.933 .709 .574 r
.27564 .26228 .27966 .26888 .28916 .22673 .2851 .22147 Mtetra
.924 .732 .624 r
.2851 .22147 .28916 .22673 .29719 .20219 .2931 .19768 Mtetra
.623 .138 0 r
.2931 .19768 .29719 .20219 .30279 .20975 .29872 .20494 Mtetra
.955 .616 .315 r
.29872 .20494 .30279 .20975 .30653 .24418 .3025 .23815 Mtetra
.961 .628 .316 r
.3025 .23815 .30653 .24418 .31015 .28273 .30617 .27527 Mtetra
.811 .419 0 r
.30617 .27527 .31015 .28273 .31552 .29797 .31157 .28983 Mtetra
.887 .698 .641 r
.31157 .28983 .31552 .29797 .32332 .2773 .31935 .26973 Mtetra
.934 .704 .566 r
.31935 .26973 .32332 .2773 .33251 .23345 .32852 .22727 Mtetra
.94 .716 .572 r
.32852 .22727 .33251 .23345 .34127 .19421 .33726 .18928 Mtetra
.875 .761 .732 r
.33726 .18928 .34127 .19421 .34823 .18311 .34422 .17853 Mtetra
.932 .552 .196 r
.34422 .17853 .34823 .18311 .35326 .20578 .34927 .20042 Mtetra
.96 .625 .312 r
.34927 .20042 .35326 .20578 .3574 .24705 .35344 .24022 Mtetra
.95 .598 .226 r
.35344 .24022 .3574 .24705 .36226 .27843 .35832 .27035 Mtetra
.61 .594 .811 r
.35832 .27035 .36226 .27843 .36894 .27669 .36501 .26845 Mtetra
.926 .703 .58 r
.36501 .26845 .36894 .27669 .37727 .24129 .37333 .23409 Mtetra
.944 .709 .552 r
.37333 .23409 .37727 .24129 .38597 .19483 .38203 .18912 Mtetra
.938 .731 .597 r
.38203 .18912 .38597 .19483 .39373 .16606 .38979 .16133 Mtetra
0 .191 .705 r
.38979 .16133 .39373 .16606 .39999 .17101 .39605 .16618 Mtetra
.951 .597 .258 r
.39605 .16618 .39999 .17101 .40515 .20491 .40122 .19894 Mtetra
.957 .613 .267 r
.40122 .19894 .40515 .20491 .41027 .24449 .40634 .23703 Mtetra
.795 .406 0 r
.40634 .23703 .41027 .24449 .41638 .2615 .41247 .25317 Mtetra
.889 .702 .644 r
.41247 .25317 .41638 .2615 .4238 .24225 .4199 .23428 Mtetra
.943 .707 .552 r
.4199 .23428 .4238 .24225 .43191 .19857 .42802 .19192 Mtetra
.949 .718 .555 r
.42802 .19192 .43191 .19857 .43976 .15828 .43589 .15299 Mtetra
.896 .761 .704 r
.43589 .15299 .43976 .15828 .44674 .14488 .44288 .14018 Mtetra
.892 .486 .067 r
.44288 .14018 .44674 .14488 .45291 .16427 .44904 .15906 Mtetra
.951 .598 .241 r
.44904 .15906 .45291 .16427 .45879 .2021 .45491 .19558 Mtetra
.926 .559 .143 r
.45491 .19558 .45879 .2021 .46503 .2316 .46114 .22378 Mtetra
.589 .596 .827 r
.46114 .22378 .46503 .2316 .47196 .2305 .46808 .22229 Mtetra
.934 .71 .576 r
.46808 .22229 .47196 .2305 .47939 .19811 .47554 .19067 Mtetra
.952 .714 .542 r
.47554 .19067 .47939 .19811 .48683 .15523 .48302 .14916 Mtetra
.944 .737 .593 r
.48302 .14916 .48683 .15523 .49394 .12796 .49016 .12297 Mtetra
.1 .425 .869 r
.49016 .12297 .49394 .12796 .50071 .1308 .49693 .12598 Mtetra
.925 .546 .15 r
.49693 .12598 .50071 .1308 .50738 .15914 .50357 .1535 Mtetra
.932 .564 .163 r
.50357 .1535 .50738 .15914 .51418 .19219 .51035 .18523 Mtetra
0 0 .364 r
.51035 .18523 .51418 .19219 .5212 .2054 .51735 .19751 Mtetra
.896 .717 .651 r
.51735 .19751 .5212 .2054 .52827 .18792 .52445 .18013 Mtetra
.95 .716 .55 r
.52445 .18013 .52827 .18792 .53522 .15056 .53145 .1438 Mtetra
.954 .728 .558 r
.53145 .1438 .53522 .15056 .54205 .11677 .53833 .11126 Mtetra
.875 .769 .741 r
.53833 .11126 .54205 .11677 .54893 .10584 .54523 .10101 Mtetra
.798 .365 0 r
.54523 .10101 .54893 .10584 .55607 .12148 .55237 .11639 Mtetra
.912 .529 .106 r
.55237 .11639 .55607 .12148 .5635 .15056 .55975 .14445 Mtetra
.82 .418 0 r
.55975 .14445 .5635 .15056 .57096 .17109 .56718 .16387 Mtetra
.72 .68 .811 r
.56718 .16387 .57096 .17109 .57811 .16691 .57433 .15926 Mtetra
.941 .725 .582 r
.57433 .15926 .57811 .16691 .58481 .1395 .58107 .13238 Mtetra
.956 .728 .553 r
.58107 .13238 .58481 .1395 .59127 .10629 .5876 .10026 Mtetra
.934 .757 .638 r
.5876 .10026 .59127 .10629 .59795 .08704 .59433 .08193 Mtetra
0 .345 .824 r
.59433 .08193 .59795 .08704 .6052 .091 .6016 .08609 Mtetra
.845 .434 0 r
.6016 .08609 .6052 .091 .61303 .11217 .60939 .10665 Mtetra
.823 .416 0 r
.60939 .10665 .61303 .11217 .62099 .13346 .61731 .12694 Mtetra
.161 .395 .841 r
.61731 .12694 .62099 .13346 .62851 .13792 .6248 .13071 Mtetra
.915 .74 .651 r
.6248 .13071 .62851 .13792 .63527 .12084 .63159 .11373 Mtetra
.954 .736 .569 r
.63159 .11373 .63527 .12084 .64154 .09273 .63792 .08641 Mtetra
.947 .754 .609 r
.63792 .08641 .64154 .09273 .64796 .07073 .64441 .0653 Mtetra
.717 .747 .875 r
.64441 .0653 .64796 .07073 .6551 .06641 .65158 .06142 Mtetra
.632 .195 0 r
.65158 .06142 .6551 .06641 .66305 .07909 .65953 .07384 Mtetra
.751 .33 0 r
.65953 .07384 .66305 .07909 .67137 .09699 .6678 .09099 Mtetra
0 .132 .677 r
.6678 .09099 .67137 .09699 .67931 .10526 .67569 .09856 Mtetra
.844 .746 .755 r
.67569 .09856 .67931 .10526 .68636 .09627 .68276 .08942 Mtetra
.945 .75 .609 r
.68276 .08942 .68636 .09627 .69269 .07489 .68914 .06852 Mtetra
.949 .76 .614 r
.68914 .06852 .69269 .07489 .69897 .05413 .6955 .04849 Mtetra
.853 .783 .782 r
.6955 .04849 .69897 .05413 .70594 .04527 .70252 .04011 Mtetra
0 .268 .773 r
.70252 .04011 .70594 .04527 .71384 .05083 .71042 .04561 Mtetra
.78 .76 .834 r
.0582 .28438 .06262 .28847 .0688 .28365 .06441 .27946 Mtetra
.804 .329 0 r
.06441 .27946 .0688 .28365 .0731 .29189 .06876 .28722 Mtetra
.93 .55 .238 r
.06876 .28722 .0731 .29189 .07639 .30746 .07211 .30219 Mtetra
.887 .466 .067 r
.07211 .30219 .07639 .30746 .08033 .31896 .07609 .31332 Mtetra
.644 .67 .86 r
.07609 .31332 .08033 .31896 .08625 .31676 .082 .31123 Mtetra
.878 .716 .678 r
.082 .31123 .08625 .31676 .09413 .30042 .08984 .29542 Mtetra
.898 .721 .654 r
.08984 .29542 .09413 .30042 .10259 .27961 .09825 .27519 Mtetra
.873 .744 .716 r
.09825 .27519 .10259 .27961 .10983 .26745 .10547 .26327 Mtetra
0 .128 .623 r
.10547 .26327 .10983 .26745 .11485 .27182 .11054 .26734 Mtetra
.936 .568 .269 r
.11054 .26734 .11485 .27182 .11811 .28998 .11386 .28478 Mtetra
.943 .582 .272 r
.11386 .28478 .11811 .28998 .12128 .30955 .1171 .30362 Mtetra
0 0 .501 r
.1171 .30362 .12128 .30955 .12621 .31596 .12205 .30977 Mtetra
.856 .709 .699 r
.12205 .30977 .12621 .31596 .13364 .30282 .12945 .29704 Mtetra
.905 .712 .631 r
.12945 .29704 .13364 .30282 .14256 .27729 .13832 .27228 Mtetra
.906 .724 .646 r
.13832 .27228 .14256 .27729 .15099 .25529 .1467 .25091 Mtetra
.763 .756 .847 r
.1467 .25091 .15099 .25529 .15726 .25076 .15298 .24644 Mtetra
.923 .533 .206 r
.15298 .24644 .15726 .25076 .16113 .26675 .1569 .26179 Mtetra
.951 .61 .329 r
.1569 .26179 .16113 .26675 .16389 .29295 .15974 .28702 Mtetra
.934 .559 .196 r
.15974 .28702 .16389 .29295 .16769 .31118 .16358 .30453 Mtetra
.71 .667 .806 r
.16358 .30453 .16769 .31118 .17406 .30719 .16996 .30058 Mtetra
.902 .706 .629 r
.16996 .30058 .17406 .30719 .18281 .28171 .17866 .27588 Mtetra
.918 .712 .609 r
.17866 .27588 .18281 .28171 .19212 .25043 .18791 .24557 Mtetra
.9 .737 .67 r
.18791 .24557 .19212 .25043 .19986 .233 .19562 .22865 Mtetra
.679 .186 0 r
.19562 .22865 .19986 .233 .20496 .24033 .20075 .23567 Mtetra
.95 .608 .323 r
.20075 .23567 .20496 .24033 .20804 .26789 .2039 .26222 Mtetra
.956 .618 .319 r
.2039 .26222 .20804 .26789 .21106 .29744 .20698 .29064 Mtetra
.696 .282 0 r
.20698 .29064 .21106 .29744 .21611 .30771 .21207 .30043 Mtetra
.877 .701 .66 r
.21207 .30043 .21611 .30771 .22396 .28963 .2199 .28286 Mtetra
.921 .706 .594 r
.2199 .28286 .22396 .28963 .23346 .25373 .22935 .24809 Mtetra
.925 .718 .605 r
.22935 .24809 .23346 .25373 .2424 .22265 .23824 .218 Mtetra
.82 .76 .796 r
.23824 .218 .2424 .22265 .24905 .21562 .24489 .21115 Mtetra
.937 .564 .238 r
.24489 .21115 .24905 .21562 .2532 .23676 .24908 .23153 Mtetra
.958 .626 .338 r
.24908 .23153 .2532 .23676 .25619 .27242 .25214 .26587 Mtetra
.949 .595 .239 r
.25214 .26587 .25619 .27242 .26019 .29823 .25618 .29065 Mtetra
.681 .636 .798 r
.25618 .29065 .26019 .29823 .26674 .29475 .26274 .28714 Mtetra
.916 .703 .599 r
.26274 .28714 .26674 .29475 .27564 .26228 .27161 .25567 Mtetra
.933 .709 .577 r
.27161 .25567 .27564 .26228 .2851 .22147 .28102 .21618 Mtetra
.922 .732 .628 r
.28102 .21618 .2851 .22147 .2931 .19768 .289 .19315 Mtetra
.598 .113 0 r
.289 .19315 .2931 .19768 .29872 .20494 .29463 .20014 Mtetra
.954 .612 .309 r
.29463 .20014 .29872 .20494 .3025 .23815 .29846 .23216 Mtetra
.96 .625 .31 r
.29846 .23216 .3025 .23815 .30617 .27527 .30218 .26787 Mtetra
.793 .399 0 r
.30218 .26787 .30617 .27527 .31157 .28983 .3076 .28174 Mtetra
.885 .698 .644 r
.3076 .28174 .31157 .28983 .31935 .26973 .31538 .26217 Mtetra
.933 .705 .569 r
.31538 .26217 .31935 .26973 .32852 .22727 .32452 .22106 Mtetra
.939 .717 .575 r
.32452 .22106 .32852 .22727 .33726 .18928 .33323 .18432 Mtetra
.871 .761 .738 r
.33323 .18432 .33726 .18928 .34422 .17853 .34019 .17394 Mtetra
.929 .546 .185 r
.34019 .17394 .34422 .17853 .34927 .20042 .34526 .1951 Mtetra
.959 .622 .307 r
.34526 .1951 .34927 .20042 .35344 .24022 .34946 .23345 Mtetra
.947 .593 .216 r
.34946 .23345 .35344 .24022 .35832 .27035 .35436 .26234 Mtetra
.618 .601 .811 r
.35436 .26234 .35832 .27035 .36501 .26845 .36107 .26026 Mtetra
.926 .704 .583 r
.36107 .26026 .36501 .26845 .37333 .23409 .36938 .22689 Mtetra
.943 .71 .555 r
.36938 .22689 .37333 .23409 .38203 .18912 .37808 .18339 Mtetra
.936 .732 .601 r
.37808 .18339 .38203 .18912 .38979 .16133 .38584 .15657 Mtetra
0 .199 .712 r
.38584 .15657 .38979 .16133 .39605 .16618 .3921 .16135 Mtetra
.949 .593 .252 r
.3921 .16135 .39605 .16618 .40122 .19894 .39727 .19302 Mtetra
.955 .609 .26 r
.39727 .19302 .40122 .19894 .40634 .23703 .40241 .22964 Mtetra
.774 .383 0 r
.40241 .22964 .40634 .23703 .41247 .25317 .40854 .24489 Mtetra
.888 .703 .646 r
.40854 .24489 .41247 .25317 .4199 .23428 .41598 .22634 Mtetra
.942 .708 .554 r
.41598 .22634 .4199 .23428 .42802 .19192 .42412 .18526 Mtetra
.948 .719 .559 r
.42412 .18526 .42802 .19192 .43589 .15299 .432 .14768 Mtetra
.891 .762 .712 r
.432 .14768 .43589 .15299 .44288 .14018 .439 .13546 Mtetra
.888 .479 .057 r
.439 .13546 .44288 .14018 .44904 .15906 .44516 .15386 Mtetra
.949 .593 .234 r
.44516 .15386 .44904 .15906 .45491 .19558 .45101 .18909 Mtetra
.921 .55 .129 r
.45101 .18909 .45491 .19558 .46114 .22378 .45723 .21601 Mtetra
.608 .608 .825 r
.45723 .21601 .46114 .22378 .46808 .22229 .46419 .21411 Mtetra
.933 .711 .579 r
.46419 .21411 .46808 .22229 .47554 .19067 .47167 .18325 Mtetra
.951 .715 .546 r
.47167 .18325 .47554 .19067 .48302 .14916 .47919 .14309 Mtetra
.942 .738 .598 r
.47919 .14309 .48302 .14916 .49016 .12297 .48636 .11797 Mtetra
.074 .407 .86 r
.48636 .11797 .49016 .12297 .49693 .12598 .49313 .12116 Mtetra
.922 .54 .141 r
.49313 .12116 .49693 .12598 .50357 .1535 .49975 .14787 Mtetra
.928 .558 .153 r
.49975 .14787 .50357 .1535 .51035 .18523 .5065 .1783 Mtetra
0 0 .412 r
.5065 .1783 .51035 .18523 .51735 .19751 .51349 .18965 Mtetra
.896 .718 .652 r
.51349 .18965 .51735 .19751 .52445 .18013 .52061 .17238 Mtetra
.949 .717 .553 r
.52061 .17238 .52445 .18013 .53145 .1438 .52766 .13706 Mtetra
.952 .729 .563 r
.52766 .13706 .53145 .1438 .53833 .11126 .53459 .10573 Mtetra
.866 .769 .753 r
.53459 .10573 .53833 .11126 .54523 .10101 .54152 .09615 Mtetra
.793 .359 0 r
.54152 .09615 .54523 .10101 .55237 .11639 .54864 .11129 Mtetra
.907 .522 .095 r
.54864 .11129 .55237 .11639 .55975 .14445 .55599 .13835 Mtetra
.803 .397 0 r
.55599 .13835 .55975 .14445 .56718 .16387 .56338 .15667 Mtetra
.734 .687 .806 r
.56338 .15667 .56718 .16387 .57433 .15926 .57054 .15163 Mtetra
.94 .726 .585 r
.57054 .15163 .57433 .15926 .58107 .13238 .57732 .12529 Mtetra
.955 .729 .558 r
.57732 .12529 .58107 .13238 .5876 .10026 .58392 .09424 Mtetra
.93 .758 .647 r
.58392 .09424 .5876 .10026 .59433 .08193 .5907 .07681 Mtetra
0 .328 .812 r
.5907 .07681 .59433 .08193 .6016 .08609 .59797 .08116 Mtetra
.838 .424 0 r
.59797 .08116 .6016 .08609 .60939 .10665 .60573 .10111 Mtetra
.809 .399 0 r
.60573 .10111 .60939 .10665 .61731 .12694 .6136 .12041 Mtetra
.224 .437 .858 r
.6136 .12041 .61731 .12694 .6248 .13071 .62108 .12352 Mtetra
.914 .74 .652 r
.62108 .12352 .6248 .13071 .63159 .11373 .6279 .10664 Mtetra
.953 .737 .574 r
.6279 .10664 .63159 .11373 .63792 .08641 .6343 .0801 Mtetra
.944 .755 .617 r
.6343 .0801 .63792 .08641 .64441 .0653 .64085 .05987 Mtetra
.697 .74 .884 r
.64085 .05987 .64441 .0653 .65158 .06142 .64805 .05641 Mtetra
.621 .183 0 r
.64805 .05641 .65158 .06142 .65953 .07384 .65598 .06856 Mtetra
.734 .311 0 r
.65598 .06856 .65953 .07384 .6678 .09099 .6642 .08496 Mtetra
0 .178 .712 r
.6642 .08496 .6678 .09099 .67569 .09856 .67207 .09185 Mtetra
.847 .747 .754 r
.67207 .09185 .67569 .09856 .68276 .08942 .67914 .08258 Mtetra
.944 .751 .613 r
.67914 .08258 .68276 .08942 .68914 .06852 .68558 .06217 Mtetra
.946 .762 .621 r
.68558 .06217 .68914 .06852 .6955 .04849 .69202 .04285 Mtetra
.843 .782 .792 r
.69202 .04285 .6955 .04849 .70252 .04011 .69908 .03492 Mtetra
0 .273 .777 r
.69908 .03492 .70252 .04011 .71042 .04561 .70698 .04036 Mtetra
.783 .76 .832 r
.05376 .28027 .0582 .28438 .06441 .27946 .05999 .27526 Mtetra
.779 .295 0 r
.05999 .27526 .06441 .27946 .06876 .28722 .0644 .28254 Mtetra
.927 .542 .223 r
.0644 .28254 .06876 .28722 .07211 .30219 .06782 .29691 Mtetra
.879 .454 .047 r
.06782 .29691 .07211 .30219 .07609 .31332 .07184 .30767 Mtetra
.637 .668 .864 r
.07184 .30767 .07609 .31332 .082 .31123 .07773 .3057 Mtetra
.875 .717 .682 r
.07773 .3057 .082 .31123 .08984 .29542 .08552 .29041 Mtetra
.897 .722 .657 r
.08552 .29041 .08984 .29542 .09825 .27519 .09388 .27076 Mtetra
.872 .744 .719 r
.09388 .27076 .09825 .27519 .10547 .26327 .1011 .25907 Mtetra
0 .178 .67 r
.1011 .25907 .10547 .26327 .11054 .26734 .1062 .26284 Mtetra
.934 .56 .257 r
.1062 .26284 .11054 .26734 .11386 .28478 .1096 .27957 Mtetra
.941 .576 .261 r
.1096 .27957 .11386 .28478 .1171 .30362 .11289 .2977 Mtetra
0 0 .53 r
.11289 .2977 .1171 .30362 .12205 .30977 .11787 .3036 Mtetra
.853 .71 .703 r
.11787 .3036 .12205 .30977 .12945 .29704 .12524 .29125 Mtetra
.903 .713 .634 r
.12524 .29125 .12945 .29704 .13832 .27228 .13405 .26727 Mtetra
.904 .725 .649 r
.13405 .26727 .13832 .27228 .1467 .25091 .14239 .24652 Mtetra
.761 .756 .848 r
.14239 .24652 .1467 .25091 .15298 .24644 .14867 .24209 Mtetra
.919 .524 .191 r
.14867 .24209 .15298 .24644 .1569 .26179 .15265 .25683 Mtetra
.95 .606 .321 r
.15265 .25683 .1569 .26179 .15974 .28702 .15556 .28109 Mtetra
.93 .55 .18 r
.15556 .28109 .15974 .28702 .16358 .30453 .15947 .29789 Mtetra
.709 .667 .807 r
.15947 .29789 .16358 .30453 .16996 .30058 .16584 .29398 Mtetra
.9 .707 .632 r
.16584 .29398 .16996 .30058 .17866 .27588 .1745 .27004 Mtetra
.917 .713 .612 r
.1745 .27004 .17866 .27588 .18791 .24557 .18369 .24069 Mtetra
.898 .737 .674 r
.18369 .24069 .18791 .24557 .19562 .22865 .19137 .22429 Mtetra
.653 .158 0 r
.19137 .22429 .19562 .22865 .20075 .23567 .19653 .23101 Mtetra
.949 .603 .315 r
.19653 .23101 .20075 .23567 .2039 .26222 .19974 .25657 Mtetra
.955 .614 .311 r
.19974 .25657 .2039 .26222 .20698 .29064 .2029 .28388 Mtetra
.665 .251 0 r
.2029 .28388 .20698 .29064 .21207 .30043 .20802 .29318 Mtetra
.875 .701 .663 r
.20802 .29318 .21207 .30043 .2199 .28286 .21583 .27609 Mtetra
.92 .706 .597 r
.21583 .27609 .2199 .28286 .22935 .24809 .22522 .24244 Mtetra
.924 .719 .608 r
.22522 .24244 .22935 .24809 .23824 .218 .23406 .21333 Mtetra
.816 .76 .8 r
.23406 .21333 .23824 .218 .24489 .21115 .2407 .20668 Mtetra
.934 .557 .227 r
.2407 .20668 .24489 .21115 .24908 .23153 .24493 .22631 Mtetra
.957 .623 .332 r
.24493 .22631 .24908 .23153 .25214 .26587 .24806 .25936 Mtetra
.947 .589 .227 r
.24806 .25936 .25214 .26587 .25618 .29065 .25216 .2831 Mtetra
.683 .639 .799 r
.25216 .2831 .25618 .29065 .26274 .28714 .25873 .27955 Mtetra
.915 .703 .602 r
.25873 .27955 .26274 .28714 .27161 .25567 .26756 .24905 Mtetra
.932 .71 .58 r
.26756 .24905 .27161 .25567 .28102 .21618 .27692 .21086 Mtetra
.921 .733 .632 r
.27692 .21086 .28102 .21618 .289 .19315 .28488 .1886 Mtetra
.575 .09 0 r
.28488 .1886 .289 .19315 .29463 .20014 .29053 .19535 Mtetra
.953 .609 .302 r
.29053 .19535 .29463 .20014 .29846 .23216 .2944 .22621 Mtetra
.959 .621 .303 r
.2944 .22621 .29846 .23216 .30218 .26787 .29817 .26052 Mtetra
.772 .375 0 r
.29817 .26052 .30218 .26787 .3076 .28174 .30362 .27369 Mtetra
.884 .699 .647 r
.30362 .27369 .3076 .28174 .31538 .26217 .31139 .25461 Mtetra
.932 .705 .572 r
.31139 .25461 .31538 .26217 .32452 .22106 .3205 .21483 Mtetra
.937 .717 .579 r
.3205 .21483 .32452 .22106 .33323 .18432 .32919 .17933 Mtetra
.866 .76 .744 r
.32919 .17933 .33323 .18432 .34019 .17394 .33615 .16934 Mtetra
.926 .539 .174 r
.33615 .16934 .34019 .17394 .34526 .1951 .34123 .18979 Mtetra
.958 .618 .301 r
.34123 .18979 .34526 .1951 .34946 .23345 .34546 .22672 Mtetra
.944 .586 .205 r
.34546 .22672 .34946 .23345 .35436 .26234 .3504 .25437 Mtetra
.627 .607 .811 r
.3504 .25437 .35436 .26234 .36107 .26026 .35711 .25208 Mtetra
.924 .704 .586 r
.35711 .25208 .36107 .26026 .36938 .22689 .36543 .21968 Mtetra
.942 .71 .558 r
.36543 .21968 .36938 .22689 .37808 .18339 .37411 .17762 Mtetra
.935 .733 .606 r
.37411 .17762 .37808 .18339 .38584 .15657 .38186 .15179 Mtetra
0 .204 .716 r
.38186 .15179 .38584 .15657 .3921 .16135 .38812 .15651 Mtetra
.947 .589 .244 r
.38812 .15651 .3921 .16135 .39727 .19302 .3933 .18712 Mtetra
.953 .605 .252 r
.3933 .18712 .39727 .19302 .40241 .22964 .39845 .22228 Mtetra
.749 .355 0 r
.39845 .22228 .40241 .22964 .40854 .24489 .40461 .23665 Mtetra
.887 .703 .648 r
.40461 .23665 .40854 .24489 .41598 .22634 .41206 .2184 Mtetra
.941 .708 .557 r
.41206 .2184 .41598 .22634 .42412 .18526 .42021 .17858 Mtetra
.947 .72 .563 r
.42021 .17858 .42412 .18526 .432 .14768 .4281 .14234 Mtetra
.885 .762 .72 r
.4281 .14234 .432 .14768 .439 .13546 .4351 .13073 Mtetra
.883 .471 .046 r
.4351 .13073 .439 .13546 .44516 .15386 .44125 .14867 Mtetra
.947 .589 .227 r
.44125 .14867 .44516 .15386 .45101 .18909 .4471 .18263 Mtetra
.916 .541 .113 r
.4471 .18263 .45101 .18909 .45723 .21601 .45332 .20826 Mtetra
.626 .618 .823 r
.45332 .20826 .45723 .21601 .46419 .21411 .46028 .20596 Mtetra
.932 .712 .582 r
.46028 .20596 .46419 .21411 .47167 .18325 .4678 .17583 Mtetra
.95 .716 .549 r
.4678 .17583 .47167 .18325 .47919 .14309 .47535 .137 Mtetra
.94 .739 .605 r
.47535 .137 .47919 .14309 .48636 .11797 .48254 .11295 Mtetra
.047 .389 .85 r
.48254 .11295 .48636 .11797 .49313 .12116 .48931 .11631 Mtetra
.919 .535 .132 r
.48931 .11631 .49313 .12116 .49975 .14787 .49591 .14223 Mtetra
.924 .551 .141 r
.49591 .14223 .49975 .14787 .5065 .1783 .50263 .17137 Mtetra
0 0 .463 r
.50263 .17137 .5065 .1783 .51349 .18965 .50962 .18182 Mtetra
.896 .718 .653 r
.50962 .18182 .51349 .18965 .52061 .17238 .51676 .16464 Mtetra
.948 .718 .556 r
.51676 .16464 .52061 .17238 .52766 .13706 .52386 .13032 Mtetra
.951 .73 .569 r
.52386 .13032 .52766 .13706 .53459 .10573 .53084 .1002 Mtetra
.856 .769 .765 r
.53084 .1002 .53459 .10573 .54152 .09615 .53779 .09129 Mtetra
.787 .352 0 r
.53779 .09129 .54152 .09615 .54864 .11129 .5449 .10617 Mtetra
.903 .514 .083 r
.5449 .10617 .54864 .11129 .55599 .13835 .55221 .13222 Mtetra
.783 .374 0 r
.55221 .13222 .55599 .13835 .56338 .15667 .55957 .14946 Mtetra
.746 .693 .8 r
.55957 .14946 .56338 .15667 .57054 .15163 .56673 .14402 Mtetra
.939 .727 .588 r
.56673 .14402 .57054 .15163 .57732 .12529 .57356 .11821 Mtetra
.954 .73 .563 r
.57356 .11821 .57732 .12529 .58392 .09424 .58022 .08822 Mtetra
.926 .76 .656 r
.58022 .08822 .58392 .09424 .5907 .07681 .58705 .07167 Mtetra
0 .311 .802 r
.58705 .07167 .5907 .07681 .59797 .08116 .59433 .0762 Mtetra
.831 .414 0 r
.59433 .0762 .59797 .08116 .60573 .10111 .60206 .09554 Mtetra
.793 .38 0 r
.60206 .09554 .60573 .10111 .6136 .12041 .60989 .11387 Mtetra
.283 .474 .87 r
.60989 .11387 .6136 .12041 .62108 .12352 .61734 .11632 Mtetra
.914 .741 .653 r
.61734 .11632 .62108 .12352 .6279 .10664 .62419 .09958 Mtetra
.951 .738 .578 r
.62419 .09958 .6279 .10664 .6343 .0801 .63066 .0738 Mtetra
.942 .757 .625 r
.63066 .0738 .6343 .0801 .64085 .05987 .63728 .05444 Mtetra
.677 .733 .893 r
.63728 .05444 .64085 .05987 .64805 .05641 .64451 .05138 Mtetra
.609 .171 0 r
.64451 .05138 .64805 .05641 .65598 .06856 .65242 .06323 Mtetra
.715 .291 0 r
.65242 .06323 .65598 .06856 .6642 .08496 .6606 .07889 Mtetra
0 .224 .746 r
.6606 .07889 .6642 .08496 .67207 .09185 .66843 .08513 Mtetra
.848 .748 .752 r
.66843 .08513 .67207 .09185 .67914 .08258 .67552 .07576 Mtetra
.942 .752 .617 r
.67552 .07576 .67914 .08258 .68558 .06217 .68201 .05584 Mtetra
.944 .763 .628 r
.68201 .05584 .68558 .06217 .69202 .04285 .68852 .03721 Mtetra
.834 .781 .802 r
.68852 .03721 .69202 .04285 .69908 .03492 .69562 .02972 Mtetra
0 .279 .781 r
.69562 .02972 .69908 .03492 .70698 .04036 .70352 .03506 Mtetra
.785 .76 .83 r
.0493 .27615 .05376 .28027 .05999 .27526 .05556 .27104 Mtetra
.747 .255 0 r
.05556 .27104 .05999 .27526 .0644 .28254 .06003 .27784 Mtetra
.923 .532 .205 r
.06003 .27784 .0644 .28254 .06782 .29691 .06352 .2916 Mtetra
.87 .441 .026 r
.06352 .2916 .06782 .29691 .07184 .30767 .06757 .30201 Mtetra
.629 .665 .866 r
.06757 .30201 .07184 .30767 .07773 .3057 .07345 .30015 Mtetra
.873 .718 .686 r
.07345 .30015 .07773 .3057 .08552 .29041 .08119 .28539 Mtetra
.895 .723 .66 r
.08119 .28539 .08552 .29041 .09388 .27076 .0895 .26632 Mtetra
.87 .745 .722 r
.0895 .26632 .09388 .27076 .1011 .25907 .09671 .25486 Mtetra
0 .23 .716 r
.09671 .25486 .1011 .25907 .1062 .26284 .10185 .25832 Mtetra
.931 .552 .242 r
.10185 .25832 .1062 .26284 .1096 .27957 .10532 .27433 Mtetra
.939 .569 .247 r
.10532 .27433 .1096 .27957 .11289 .2977 .10868 .29176 Mtetra
0 .007 .56 r
.10868 .29176 .11289 .2977 .11787 .3036 .11368 .29741 Mtetra
.85 .71 .706 r
.11368 .29741 .11787 .3036 .12524 .29125 .12101 .28545 Mtetra
.902 .713 .638 r
.12101 .28545 .12524 .29125 .13405 .26727 .12976 .26224 Mtetra
.903 .726 .652 r
.12976 .26224 .13405 .26727 .14239 .24652 .13806 .24212 Mtetra
.759 .756 .85 r
.13806 .24212 .14239 .24652 .14867 .24209 .14435 .23773 Mtetra
.915 .513 .173 r
.14435 .23773 .14867 .24209 .15265 .25683 .14838 .25185 Mtetra
.949 .601 .311 r
.14838 .25185 .15265 .25683 .15556 .28109 .15137 .27514 Mtetra
.925 .54 .162 r
.15137 .27514 .15556 .28109 .15947 .29789 .15534 .29124 Mtetra
.707 .667 .808 r
.15534 .29124 .15947 .29789 .16584 .29398 .16172 .28736 Mtetra
.899 .707 .635 r
.16172 .28736 .16584 .29398 .1745 .27004 .17032 .26418 Mtetra
.915 .714 .615 r
.17032 .26418 .1745 .27004 .18369 .24069 .17945 .23579 Mtetra
.896 .738 .678 r
.17945 .23579 .18369 .24069 .19137 .22429 .1871 .2199 Mtetra
.625 .128 0 r
.1871 .2199 .19137 .22429 .19653 .23101 .19228 .22633 Mtetra
.948 .599 .307 r
.19228 .22633 .19653 .23101 .19974 .25657 .19557 .2509 Mtetra
.954 .61 .301 r
.19557 .2509 .19974 .25657 .2029 .28388 .1988 .2771 Mtetra
.627 .215 0 r
.1988 .2771 .2029 .28388 .20802 .29318 .20395 .2859 Mtetra
.873 .701 .666 r
.20395 .2859 .20802 .29318 .21583 .27609 .21174 .26929 Mtetra
.919 .707 .6 r
.21174 .26929 .21583 .27609 .22522 .24244 .22107 .23675 Mtetra
.922 .719 .611 r
.22107 .23675 .22522 .24244 .23406 .21333 .22986 .20862 Mtetra
.811 .759 .805 r
.22986 .20862 .23406 .21333 .2407 .20668 .2365 .20219 Mtetra
.931 .55 .215 r
.2365 .20219 .2407 .20668 .24493 .22631 .24077 .22108 Mtetra
.956 .62 .325 r
.24077 .22108 .24493 .22631 .24806 .25936 .24397 .25285 Mtetra
.943 .582 .213 r
.24397 .25285 .24806 .25936 .25216 .2831 .24813 .27555 Mtetra
.685 .64 .798 r
.24813 .27555 .25216 .2831 .25873 .27955 .25471 .27192 Mtetra
.913 .703 .605 r
.25471 .27192 .25873 .27955 .26756 .24905 .2635 .24239 Mtetra
.93 .71 .583 r
.2635 .24239 .26756 .24905 .27692 .21086 .27281 .2055 Mtetra
.918 .733 .636 r
.27281 .2055 .27692 .21086 .28488 .1886 .28075 .18402 Mtetra
.551 .067 0 r
.28075 .18402 .28488 .1886 .29053 .19535 .2864 .19054 Mtetra
.952 .605 .295 r
.2864 .19054 .29053 .19535 .2944 .22621 .29032 .22025 Mtetra
.958 .617 .295 r
.29032 .22025 .2944 .22621 .29817 .26052 .29415 .25317 Mtetra
.744 .346 0 r
.29415 .25317 .29817 .26052 .30362 .27369 .29963 .26561 Mtetra
.882 .698 .649 r
.29963 .26561 .30362 .27369 .31139 .25461 .3074 .24701 Mtetra
.931 .705 .575 r
.3074 .24701 .31139 .25461 .3205 .21483 .31647 .20854 Mtetra
.936 .718 .582 r
.31647 .20854 .3205 .21483 .32919 .17933 .32513 .1743 Mtetra
.861 .76 .75 r
.32513 .1743 .32919 .17933 .33615 .16934 .33208 .16472 Mtetra
.922 .532 .163 r
.33208 .16472 .33615 .16934 .34123 .18979 .33718 .18449 Mtetra
.957 .615 .294 r
.33718 .18449 .34123 .18979 .34546 .22672 .34145 .22 Mtetra
.94 .579 .191 r
.34145 .22 .34546 .22672 .3504 .25437 .34642 .24639 Mtetra
.636 .612 .809 r
.34642 .24639 .3504 .25437 .35711 .25208 .35315 .24388 Mtetra
.923 .704 .589 r
.35315 .24388 .35711 .25208 .36543 .21968 .36146 .21242 Mtetra
.941 .71 .561 r
.36146 .21242 .36543 .21968 .37411 .17762 .37013 .17181 Mtetra
.933 .733 .611 r
.37013 .17181 .37411 .17762 .38186 .15179 .37787 .14698 Mtetra
0 .208 .719 r
.37787 .14698 .38186 .15179 .38812 .15651 .38413 .15167 Mtetra
.946 .584 .237 r
.38413 .15167 .38812 .15651 .3933 .18712 .38932 .18121 Mtetra
.951 .6 .243 r
.38932 .18121 .3933 .18712 .39845 .22228 .39449 .21492 Mtetra
.716 .323 0 r
.39449 .21492 .39845 .22228 .40461 .23665 .40066 .22839 Mtetra
.886 .703 .65 r
.40066 .22839 .40461 .23665 .41206 .2184 .40813 .21043 Mtetra
.94 .709 .56 r
.40813 .21043 .41206 .2184 .42021 .17858 .41629 .17186 Mtetra
.945 .72 .567 r
.41629 .17186 .42021 .17858 .4281 .14234 .42418 .13697 Mtetra
.879 .762 .729 r
.42418 .13697 .4281 .14234 .4351 .13073 .43119 .12598 Mtetra
.879 .464 .035 r
.43119 .12598 .4351 .13073 .44125 .14867 .43733 .14346 Mtetra
.945 .584 .219 r
.43733 .14346 .44125 .14867 .4471 .18263 .44317 .17614 Mtetra
.908 .53 .095 r
.44317 .17614 .4471 .18263 .45332 .20826 .44939 .2005 Mtetra
.644 .627 .818 r
.44939 .2005 .45332 .20826 .46028 .20596 .45637 .19778 Mtetra
.931 .712 .585 r
.45637 .19778 .46028 .20596 .4678 .17583 .46391 .16838 Mtetra
.948 .716 .553 r
.46391 .16838 .4678 .17583 .47535 .137 .47149 .13089 Mtetra
.937 .74 .611 r
.47149 .13089 .47535 .137 .48254 .11295 .4787 .10791 Mtetra
.021 .371 .839 r
.4787 .10791 .48254 .11295 .48931 .11631 .48547 .11145 Mtetra
.916 .529 .123 r
.48547 .11145 .48931 .11631 .49591 .14223 .49205 .13656 Mtetra
.92 .543 .127 r
.49205 .13656 .49591 .14223 .50263 .17137 .49876 .16441 Mtetra
0 0 .519 r
.49876 .16441 .50263 .17137 .50962 .18182 .50574 .17395 Mtetra
.896 .718 .654 r
.50574 .17395 .50962 .18182 .51676 .16464 .51291 .15687 Mtetra
.947 .718 .56 r
.51291 .15687 .51676 .16464 .52386 .13032 .52005 .12357 Mtetra
.949 .731 .574 r
.52005 .12357 .52386 .13032 .53084 .1002 .52707 .09466 Mtetra
.844 .768 .777 r
.52707 .09466 .53084 .1002 .53779 .09129 .53404 .0864 Mtetra
.781 .345 0 r
.53404 .0864 .53779 .09129 .5449 .10617 .54114 .10101 Mtetra
.897 .505 .069 r
.54114 .10101 .5449 .10617 .55221 .13222 .54841 .12605 Mtetra
.758 .347 0 r
.54841 .12605 .55221 .13222 .55957 .14946 .55575 .14222 Mtetra
.757 .696 .794 r
.55575 .14222 .55957 .14946 .56673 .14402 .56292 .13639 Mtetra
.938 .727 .591 r
.56292 .13639 .56673 .14402 .57356 .11821 .56979 .11113 Mtetra
.952 .732 .568 r
.56979 .11113 .57356 .11821 .58022 .08822 .57651 .08221 Mtetra
.921 .762 .666 r
.57651 .08221 .58022 .08822 .58705 .07167 .58338 .06653 Mtetra
0 .297 .792 r
.58338 .06653 .58705 .07167 .59433 .0762 .59067 .0712 Mtetra
.822 .403 0 r
.59067 .0712 .59433 .0762 .60206 .09554 .59837 .08991 Mtetra
.775 .359 0 r
.59837 .08991 .60206 .09554 .60989 .11387 .60616 .10727 Mtetra
.34 .508 .878 r
.60616 .10727 .60989 .11387 .61734 .11632 .6136 .1091 Mtetra
.913 .741 .655 r
.6136 .1091 .61734 .11632 .62419 .09958 .62047 .09251 Mtetra
.95 .739 .584 r
.62047 .09251 .62419 .09958 .63066 .0738 .627 .06752 Mtetra
.938 .759 .633 r
.627 .06752 .63066 .0738 .63728 .05444 .63369 .049 Mtetra
.656 .725 .9 r
.63369 .049 .63728 .05444 .64451 .05138 .64094 .04631 Mtetra
.595 .156 0 r
.64094 .04631 .64451 .05138 .65242 .06323 .64884 .05785 Mtetra
.694 .268 0 r
.64884 .05785 .65242 .06323 .6606 .07889 .65698 .07277 Mtetra
0 .27 .776 r
.65698 .07277 .6606 .07889 .66843 .08513 .66478 .07837 Mtetra
.849 .748 .751 r
.66478 .07837 .66843 .08513 .67552 .07576 .67188 .06892 Mtetra
.94 .753 .622 r
.67188 .06892 .67552 .07576 .68201 .05584 .67843 .04951 Mtetra
.941 .765 .636 r
.67843 .04951 .68201 .05584 .68852 .03721 .685 .03157 Mtetra
.824 .78 .811 r
.685 .03157 .68852 .03721 .69562 .02972 .69215 .02448 Mtetra
0 .288 .787 r
.69215 .02448 .69562 .02972 .70352 .03506 .70005 .02971 Mtetra
.788 .761 .828 r
.04482 .27202 .0493 .27615 .05556 .27104 .0511 .2668 Mtetra
.709 .209 0 r
.0511 .2668 .05556 .27104 .06003 .27784 .05564 .27312 Mtetra
.918 .522 .187 r
.05564 .27312 .06003 .27784 .06352 .2916 .0592 .28629 Mtetra
.861 .427 .004 r
.0592 .28629 .06352 .2916 .06757 .30201 .06328 .29634 Mtetra
.62 .663 .87 r
.06328 .29634 .06757 .30201 .07345 .30015 .06915 .29462 Mtetra
.871 .718 .69 r
.06915 .29462 .07345 .30015 .08119 .28539 .07683 .28038 Mtetra
.894 .724 .663 r
.07683 .28038 .08119 .28539 .0895 .26632 .0851 .26187 Mtetra
.869 .746 .725 r
.0851 .26187 .0895 .26632 .09671 .25486 .0923 .25063 Mtetra
0 .281 .759 r
.0923 .25063 .09671 .25486 .10185 .25832 .09747 .25378 Mtetra
.928 .544 .226 r
.09747 .25378 .10185 .25832 .10532 .27433 .10102 .26909 Mtetra
.936 .562 .234 r
.10102 .26909 .10532 .27433 .10868 .29176 .10445 .28582 Mtetra
0 .036 .587 r
.10445 .28582 .10868 .29176 .11368 .29741 .10947 .29123 Mtetra
.848 .71 .71 r
.10947 .29123 .11368 .29741 .12101 .28545 .11677 .27967 Mtetra
.9 .714 .641 r
.11677 .27967 .12101 .28545 .12976 .26224 .12546 .25721 Mtetra
.901 .727 .656 r
.12546 .25721 .12976 .26224 .13806 .24212 .13372 .23769 Mtetra
.757 .756 .851 r
.13372 .23769 .13806 .24212 .14435 .23773 .14001 .23335 Mtetra
.909 .502 .155 r
.14001 .23335 .14435 .23773 .14838 .25185 .14409 .24685 Mtetra
.947 .596 .302 r
.14409 .24685 .14838 .25185 .15137 .27514 .14717 .26921 Mtetra
.919 .529 .143 r
.14717 .26921 .15137 .27514 .15534 .29124 .15119 .28461 Mtetra
.706 .668 .81 r
.15119 .28461 .15534 .29124 .16172 .28736 .15757 .28075 Mtetra
.897 .708 .638 r
.15757 .28075 .16172 .28736 .17032 .26418 .16612 .25832 Mtetra
.914 .714 .618 r
.16612 .25832 .17032 .26418 .17945 .23579 .17519 .23088 Mtetra
.894 .739 .682 r
.17519 .23088 .17945 .23579 .1871 .2199 .18281 .2155 Mtetra
.595 .098 0 r
.18281 .2155 .1871 .2199 .19228 .22633 .18802 .22164 Mtetra
.947 .594 .297 r
.18802 .22164 .19228 .22633 .19557 .2509 .19137 .24524 Mtetra
.952 .605 .292 r
.19137 .24524 .19557 .2509 .1988 .2771 .19468 .27035 Mtetra
0 0 .385 r
.19468 .27035 .1988 .2771 .20395 .2859 .19987 .27866 Mtetra
.871 .702 .669 r
.19987 .27866 .20395 .2859 .21174 .26929 .20764 .26251 Mtetra
.918 .707 .603 r
.20764 .26251 .21174 .26929 .22107 .23675 .21691 .23105 Mtetra
.921 .72 .615 r
.21691 .23105 .22107 .23675 .22986 .20862 .22565 .2039 Mtetra
.806 .759 .809 r
.22565 .2039 .22986 .20862 .2365 .20219 .23228 .19768 Mtetra
.928 .543 .203 r
.23228 .19768 .2365 .20219 .24077 .22108 .2366 .21587 Mtetra
.955 .616 .318 r
.2366 .21587 .24077 .22108 .24397 .25285 .23986 .24637 Mtetra
.94 .574 .199 r
.23986 .24637 .24397 .25285 .24813 .27555 .24408 .26803 Mtetra
.689 .643 .799 r
.24408 .26803 .24813 .27555 .25471 .27192 .25067 .26433 Mtetra
.912 .703 .608 r
.25067 .26433 .25471 .27192 .2635 .24239 .25943 .23573 Mtetra
.929 .71 .586 r
.25943 .23573 .2635 .24239 .27281 .2055 .26869 .20011 Mtetra
.916 .734 .641 r
.26869 .20011 .27281 .2055 .28075 .18402 .27659 .17942 Mtetra
.529 .046 0 r
.27659 .17942 .28075 .18402 .2864 .19054 .28226 .18574 Mtetra
.951 .6 .287 r
.28226 .18574 .2864 .19054 .29032 .22025 .28623 .21433 Mtetra
.956 .613 .287 r
.28623 .21433 .29032 .22025 .29415 .25317 .29011 .24586 Mtetra
.714 .315 0 r
.29011 .24586 .29415 .25317 .29963 .26561 .29563 .25758 Mtetra
.88 .699 .652 r
.29563 .25758 .29963 .26561 .3074 .24701 .30339 .23943 Mtetra
.93 .706 .577 r
.30339 .23943 .3074 .24701 .31647 .20854 .31243 .20224 Mtetra
.935 .718 .586 r
.31243 .20224 .31647 .20854 .32513 .1743 .32106 .16924 Mtetra
.855 .76 .757 r
.32106 .16924 .32513 .1743 .33208 .16472 .32799 .16009 Mtetra
.919 .525 .151 r
.32799 .16009 .33208 .16472 .33718 .18449 .33312 .17919 Mtetra
.955 .611 .287 r
.33312 .17919 .33718 .18449 .34145 .22 .33742 .21332 Mtetra
.936 .571 .177 r
.33742 .21332 .34145 .22 .34642 .24639 .34243 .23847 Mtetra
.646 .619 .808 r
.34243 .23847 .34642 .24639 .35315 .24388 .34918 .23571 Mtetra
.922 .705 .592 r
.34918 .23571 .35315 .24388 .36146 .21242 .35748 .20517 Mtetra
.94 .711 .564 r
.35748 .20517 .36146 .21242 .37013 .17181 .36613 .16598 Mtetra
.93 .734 .616 r
.36613 .16598 .37013 .17181 .37787 .14698 .37386 .14215 Mtetra
0 .209 .72 r
.37386 .14215 .37787 .14698 .38413 .15167 .38012 .14682 Mtetra
.944 .579 .228 r
.38012 .14682 .38413 .15167 .38932 .18121 .38532 .17533 Mtetra
.949 .595 .234 r
.38532 .17533 .38932 .18121 .39449 .21492 .39051 .2076 Mtetra
.681 .287 0 r
.39051 .2076 .39449 .21492 .40066 .22839 .3967 .22017 Mtetra
.885 .704 .652 r
.3967 .22017 .40066 .22839 .40813 .21043 .40418 .20249 Mtetra
.939 .709 .564 r
.40418 .20249 .40813 .21043 .41629 .17186 .41235 .16515 Mtetra
.944 .721 .571 r
.41235 .16515 .41629 .17186 .42418 .13697 .42025 .13158 Mtetra
.872 .763 .739 r
.42025 .13158 .42418 .13697 .43119 .12598 .42726 .12121 Mtetra
.874 .456 .024 r
.42726 .12121 .43119 .12598 .43733 .14346 .4334 .13825 Mtetra
.942 .579 .21 r
.4334 .13825 .43733 .14346 .44317 .17614 .43923 .16968 Mtetra
.901 .518 .075 r
.43923 .16968 .44317 .17614 .44939 .2005 .44546 .19276 Mtetra
.661 .636 .815 r
.44546 .19276 .44939 .2005 .45637 .19778 .45245 .18964 Mtetra
.93 .712 .587 r
.45245 .18964 .45637 .19778 .46391 .16838 .46001 .16095 Mtetra
.947 .717 .557 r
.46001 .16095 .46391 .16838 .47149 .13089 .46762 .12478 Mtetra
.935 .742 .618 r
.46762 .12478 .47149 .13089 .4787 .10791 .47485 .10285 Mtetra
0 .353 .828 r
.47485 .10285 .4787 .10791 .48547 .11145 .48162 .10657 Mtetra
.912 .522 .112 r
.48162 .10657 .48547 .11145 .49205 .13656 .48818 .13088 Mtetra
.914 .534 .113 r
.48818 .13088 .49205 .13656 .49876 .16441 .49487 .15746 Mtetra
0 .002 .573 r
.49487 .15746 .49876 .16441 .50574 .17395 .50185 .16611 Mtetra
.896 .719 .655 r
.50185 .16611 .50574 .17395 .51291 .15687 .50904 .14914 Mtetra
.946 .719 .564 r
.50904 .14914 .51291 .15687 .52005 .12357 .51623 .11684 Mtetra
.947 .733 .58 r
.51623 .11684 .52005 .12357 .52707 .09466 .52328 .08912 Mtetra
.832 .767 .79 r
.52328 .08912 .52707 .09466 .53404 .0864 .53028 .08149 Mtetra
.775 .337 0 r
.53028 .08149 .53404 .0864 .54114 .10101 .53736 .09582 Mtetra
.891 .496 .055 r
.53736 .09582 .54114 .10101 .54841 .12605 .54461 .11986 Mtetra
.73 .317 0 r
.54461 .11986 .54841 .12605 .55575 .14222 .55192 .13497 Mtetra
.767 .701 .789 r
.55192 .13497 .55575 .14222 .56292 .13639 .55909 .12878 Mtetra
.937 .728 .594 r
.55909 .12878 .56292 .13639 .56979 .11113 .56601 .10408 Mtetra
.951 .733 .573 r
.56601 .10408 .56979 .11113 .57651 .08221 .57278 .07621 Mtetra
.916 .763 .676 r
.57278 .07621 .57651 .08221 .58338 .06653 .5797 .06138 Mtetra
0 .285 .784 r
.5797 .06138 .58338 .06653 .59067 .0712 .58699 .06618 Mtetra
.812 .391 0 r
.58699 .06618 .59067 .0712 .59837 .08991 .59466 .08424 Mtetra
.754 .335 0 r
.59466 .08424 .59837 .08991 .60616 .10727 .60241 .10064 Mtetra
.389 .538 .883 r
.60241 .10064 .60616 .10727 .6136 .1091 .60984 .10188 Mtetra
.912 .741 .657 r
.60984 .10188 .6136 .1091 .62047 .09251 .61675 .08546 Mtetra
.948 .741 .589 r
.61675 .08546 .62047 .09251 .627 .06752 .62334 .06125 Mtetra
.935 .761 .642 r
.62334 .06125 .627 .06752 .63369 .049 .63008 .04357 Mtetra
.635 .717 .907 r
.63008 .04357 .63369 .049 .64094 .04631 .63736 .04121 Mtetra
.579 .141 0 r
.63736 .04121 .64094 .04631 .64884 .05785 .64524 .05243 Mtetra
.67 .244 0 r
.64524 .05243 .64884 .05785 .65698 .07277 .65334 .06661 Mtetra
.015 .313 .802 r
.65334 .06661 .65698 .07277 .66478 .07837 .66111 .07161 Mtetra
.85 .749 .751 r
.66111 .07161 .66478 .07837 .67188 .06892 .66823 .06211 Mtetra
.938 .754 .627 r
.66823 .06211 .67188 .06892 .67843 .04951 .67484 .0432 Mtetra
.938 .767 .643 r
.67484 .0432 .67843 .04951 .685 .03157 .68147 .02594 Mtetra
.814 .778 .82 r
.68147 .02594 .685 .03157 .69215 .02448 .68866 .01923 Mtetra
0 .297 .793 r
.68866 .01923 .69215 .02448 .70005 .02971 .69655 .02432 Mtetra
.791 .761 .826 r
.04032 .26788 .04482 .27202 .0511 .2668 .04663 .26255 Mtetra
.663 .157 0 r
.04663 .26255 .0511 .2668 .05564 .27312 .05124 .26839 Mtetra
.913 .51 .167 r
.05124 .26839 .05564 .27312 .0592 .28629 .05486 .28098 Mtetra
.851 .413 0 r
.05486 .28098 .0592 .28629 .06328 .29634 .05898 .2907 Mtetra
.611 .661 .874 r
.05898 .2907 .06328 .29634 .06915 .29462 .06482 .2891 Mtetra
.868 .72 .695 r
.06482 .2891 .06915 .29462 .07683 .28038 .07246 .27538 Mtetra
.893 .725 .667 r
.07246 .27538 .07683 .28038 .0851 .26187 .08068 .25742 Mtetra
.867 .747 .727 r
.08068 .25742 .0851 .26187 .0923 .25063 .08787 .24638 Mtetra
0 .332 .799 r
.08787 .24638 .0923 .25063 .09747 .25378 .09308 .24922 Mtetra
.924 .534 .209 r
.09308 .24922 .09747 .25378 .10102 .26909 .0967 .26385 Mtetra
.933 .554 .219 r
.0967 .26385 .10102 .26909 .10445 .28582 .10019 .27991 Mtetra
0 .062 .611 r
.10019 .27991 .10445 .28582 .10947 .29123 .10524 .2851 Mtetra
.845 .711 .715 r
.10524 .2851 .10947 .29123 .11677 .27967 .11251 .27391 Mtetra
.899 .715 .644 r
.11251 .27391 .11677 .27967 .12546 .25721 .12114 .25218 Mtetra
.9 .728 .659 r
.12114 .25218 .12546 .25721 .13372 .23769 .12935 .23326 Mtetra
.756 .756 .852 r
.12935 .23326 .13372 .23769 .14001 .23335 .13565 .22895 Mtetra
.903 .49 .135 r
.13565 .22895 .14001 .23335 .14409 .24685 .13979 .24186 Mtetra
.946 .591 .291 r
.13979 .24186 .14409 .24685 .14717 .26921 .14294 .2633 Mtetra
.913 .518 .124 r
.14294 .2633 .14717 .26921 .15119 .28461 .14702 .27802 Mtetra
.706 .67 .812 r
.14702 .27802 .15119 .28461 .15757 .28075 .1534 .2742 Mtetra
.896 .709 .641 r
.1534 .2742 .15757 .28075 .16612 .25832 .16191 .25249 Mtetra
.913 .715 .622 r
.16191 .25249 .16612 .25832 .17519 .23088 .17091 .22596 Mtetra
.892 .74 .687 r
.17091 .22596 .17519 .23088 .18281 .2155 .1785 .21107 Mtetra
.564 .067 0 r
.1785 .21107 .18281 .2155 .18802 .22164 .18373 .21695 Mtetra
.945 .589 .288 r
.18373 .21695 .18802 .22164 .19137 .24524 .18716 .23961 Mtetra
.951 .599 .282 r
.18716 .23961 .19137 .24524 .19468 .27035 .19054 .26366 Mtetra
0 0 .426 r
.19054 .26366 .19468 .27035 .19987 .27866 .19577 .27148 Mtetra
.87 .703 .673 r
.19577 .27148 .19987 .27866 .20764 .26251 .20352 .25576 Mtetra
.917 .708 .606 r
.20352 .25576 .20764 .26251 .21691 .23105 .21273 .22536 Mtetra
.919 .721 .619 r
.21273 .22536 .21691 .23105 .22565 .2039 .22142 .19916 Mtetra
.8 .758 .814 r
.22142 .19916 .22565 .2039 .23228 .19768 .22804 .19316 Mtetra
.925 .535 .19 r
.22804 .19316 .23228 .19768 .2366 .21587 .2324 .21067 Mtetra
.954 .612 .31 r
.2324 .21067 .2366 .21587 .23986 .24637 .23574 .23994 Mtetra
.935 .565 .184 r
.23574 .23994 .23986 .24637 .24408 .26803 .24002 .2606 Mtetra
.693 .647 .8 r
.24002 .2606 .24408 .26803 .25067 .26433 .24661 .2568 Mtetra
.911 .704 .611 r
.24661 .2568 .25067 .26433 .25943 .23573 .25534 .22909 Mtetra
.928 .711 .589 r
.25534 .22909 .25943 .23573 .26869 .20011 .26454 .19472 Mtetra
.914 .735 .646 r
.26454 .19472 .26869 .20011 .27659 .17942 .27242 .1748 Mtetra
0 0 .49 r
.27242 .1748 .27659 .17942 .28226 .18574 .27809 .18093 Mtetra
.949 .596 .279 r
.27809 .18093 .28226 .18574 .28623 .21433 .28211 .20845 Mtetra
.955 .608 .278 r
.28211 .20845 .28623 .21433 .29011 .24586 .28606 .23864 Mtetra
.682 .281 0 r
.28606 .23864 .29011 .24586 .29563 .25758 .29161 .24964 Mtetra
.88 .7 .655 r
.29161 .24964 .29563 .25758 .30339 .23943 .29936 .2319 Mtetra
.929 .707 .58 r
.29936 .2319 .30339 .23943 .31243 .20224 .30837 .19595 Mtetra
.934 .719 .589 r
.30837 .19595 .31243 .20224 .32106 .16924 .31696 .16417 Mtetra
.849 .76 .764 r
.31696 .16417 .32106 .16924 .32799 .16009 .32389 .15544 Mtetra
.915 .517 .139 r
.32389 .15544 .32799 .16009 .33312 .17919 .32903 .17392 Mtetra
.954 .607 .28 r
.32903 .17392 .33312 .17919 .33742 .21332 .33337 .2067 Mtetra
.932 .562 .163 r
.33337 .2067 .33742 .21332 .34243 .23847 .33842 .23063 Mtetra
.657 .627 .808 r
.33842 .23063 .34243 .23847 .34918 .23571 .34519 .22761 Mtetra
.921 .706 .595 r
.34519 .22761 .34918 .23571 .35748 .20517 .35348 .19795 Mtetra
.939 .712 .568 r
.35348 .19795 .35748 .20517 .36613 .16598 .36212 .16014 Mtetra
.928 .735 .621 r
.36212 .16014 .36613 .16598 .37386 .14215 .36983 .13729 Mtetra
0 .208 .719 r
.36983 .13729 .37386 .14215 .38012 .14682 .37609 .14197 Mtetra
.941 .574 .22 r
.37609 .14197 .38012 .14682 .38532 .17533 .38131 .16948 Mtetra
.947 .589 .224 r
.38131 .16948 .38532 .17533 .39051 .2076 .38652 .20034 Mtetra
.642 .248 0 r
.38652 .20034 .39051 .2076 .3967 .22017 .39273 .21203 Mtetra
.885 .705 .654 r
.39273 .21203 .3967 .22017 .40418 .20249 .40022 .1946 Mtetra
.938 .71 .567 r
.40022 .1946 .40418 .20249 .41235 .16515 .4084 .15845 Mtetra
.943 .722 .575 r
.4084 .15845 .41235 .16515 .42025 .13158 .4163 .12618 Mtetra
.864 .763 .749 r
.4163 .12618 .42025 .13158 .42726 .12121 .4233 .11643 Mtetra
.868 .448 .012 r
.4233 .11643 .42726 .12121 .4334 .13825 .42944 .13304 Mtetra
.94 .574 .201 r
.42944 .13304 .4334 .13825 .43923 .16968 .43527 .16325 Mtetra
.892 .505 .055 r
.43527 .16325 .43923 .16968 .44546 .19276 .44151 .18509 Mtetra
.677 .646 .812 r
.44151 .18509 .44546 .19276 .45245 .18964 .44852 .18156 Mtetra
.929 .713 .59 r
.44852 .18156 .45245 .18964 .46001 .16095 .4561 .15357 Mtetra
.946 .718 .561 r
.4561 .15357 .46001 .16095 .46762 .12478 .46373 .11868 Mtetra
.932 .744 .625 r
.46373 .11868 .46762 .12478 .47485 .10285 .47097 .09779 Mtetra
0 .335 .816 r
.47097 .09779 .47485 .10285 .48162 .10657 .47775 .10168 Mtetra
.908 .515 .102 r
.47775 .10168 .48162 .10657 .48818 .13088 .4843 .1252 Mtetra
.909 .524 .098 r
.4843 .1252 .48818 .13088 .49487 .15746 .49097 .15054 Mtetra
0 .062 .624 r
.49097 .15054 .49487 .15746 .50185 .16611 .49795 .15832 Mtetra
.896 .72 .656 r
.49795 .15832 .50185 .16611 .50904 .14914 .50516 .14147 Mtetra
.945 .72 .567 r
.50516 .14147 .50904 .14914 .51623 .11684 .51239 .11014 Mtetra
.946 .734 .586 r
.51239 .11014 .51623 .11684 .52328 .08912 .51948 .08358 Mtetra
.818 .765 .803 r
.51948 .08358 .52328 .08912 .53028 .08149 .52649 .07657 Mtetra
.768 .328 0 r
.52649 .07657 .53028 .08149 .53736 .09582 .53356 .09061 Mtetra
.884 .486 .04 r
.53356 .09061 .53736 .09582 .54461 .11986 .54078 .11367 Mtetra
.699 .284 0 r
.54078 .11367 .54461 .11986 .55192 .13497 .54808 .12776 Mtetra
.776 .706 .785 r
.54808 .12776 .55192 .13497 .55909 .12878 .55526 .12122 Mtetra
.936 .729 .598 r
.55526 .12122 .55909 .12878 .56601 .10408 .56221 .09707 Mtetra
.949 .735 .579 r
.56221 .09707 .56601 .10408 .57278 .07621 .56904 .07023 Mtetra
.911 .765 .687 r
.56904 .07023 .57278 .07621 .5797 .06138 .576 .05621 Mtetra
0 .274 .776 r
.576 .05621 .5797 .06138 .58699 .06618 .5833 .06112 Mtetra
.802 .378 0 r
.5833 .06112 .58699 .06618 .59466 .08424 .59094 .07855 Mtetra
.731 .31 0 r
.59094 .07855 .59466 .08424 .60241 .10064 .59866 .09403 Mtetra
.433 .564 .887 r
.59866 .09403 .60241 .10064 .60984 .10188 .60607 .0947 Mtetra
.912 .743 .659 r
.60607 .0947 .60984 .10188 .61675 .08546 .61301 .07846 Mtetra
.947 .742 .594 r
.61301 .07846 .61675 .08546 .62334 .06125 .61966 .05502 Mtetra
.932 .763 .651 r
.61966 .05502 .62334 .06125 .63008 .04357 .62646 .03813 Mtetra
.615 .709 .912 r
.62646 .03813 .63008 .04357 .63736 .04121 .63376 .03609 Mtetra
0 0 .424 r
.63376 .03609 .63736 .04121 .64524 .05243 .64162 .04697 Mtetra
.645 .219 0 r
.64162 .04697 .64524 .05243 .65334 .06661 .64968 .06044 Mtetra
.071 .352 .825 r
.64968 .06044 .65334 .06661 .66111 .07161 .65744 .06485 Mtetra
.851 .75 .751 r
.65744 .06485 .66111 .07161 .66823 .06211 .66457 .05532 Mtetra
.937 .756 .633 r
.66457 .05532 .66823 .06211 .67484 .0432 .67123 .03692 Mtetra
.935 .769 .651 r
.67123 .03692 .67484 .0432 .68147 .02594 .67793 .0203 Mtetra
.804 .777 .828 r
.67793 .0203 .68147 .02594 .68866 .01923 .68515 .01394 Mtetra
0 .308 .8 r
.68515 .01394 .68866 .01923 .69655 .02432 .69304 .01888 Mtetra
.794 .761 .824 r
.0358 .26374 .04032 .26788 .04663 .26255 .04214 .25828 Mtetra
.607 .097 0 r
.04214 .25828 .04663 .26255 .05124 .26839 .04681 .26364 Mtetra
.907 .497 .145 r
.04681 .26364 .05124 .26839 .05486 .28098 .0505 .27564 Mtetra
.839 .397 0 r
.0505 .27564 .05486 .28098 .05898 .2907 .05466 .28503 Mtetra
.601 .657 .877 r
.05466 .28503 .05898 .2907 .06482 .2891 .06049 .28357 Mtetra
.865 .72 .699 r
.06049 .28357 .06482 .2891 .07246 .27538 .06807 .27037 Mtetra
.891 .726 .67 r
.06807 .27037 .07246 .27538 .08068 .25742 .07624 .25296 Mtetra
.866 .747 .73 r
.07624 .25296 .08068 .25742 .08787 .24638 .08341 .24212 Mtetra
0 .381 .835 r
.08341 .24212 .08787 .24638 .09308 .24922 .08868 .24464 Mtetra
.919 .523 .19 r
.08868 .24464 .09308 .24922 .0967 .26385 .09237 .25858 Mtetra
.929 .545 .203 r
.09237 .25858 .0967 .26385 .10019 .27991 .09593 .27397 Mtetra
0 .091 .637 r
.09593 .27397 .10019 .27991 .10524 .2851 .10099 .27894 Mtetra
.842 .711 .719 r
.10099 .27894 .10524 .2851 .11251 .27391 .10823 .26814 Mtetra
.898 .716 .648 r
.10823 .26814 .11251 .27391 .12114 .25218 .1168 .24715 Mtetra
.898 .729 .663 r
.1168 .24715 .12114 .25218 .12935 .23326 .12496 .22881 Mtetra
.754 .756 .853 r
.12496 .22881 .12935 .23326 .13565 .22895 .13127 .22452 Mtetra
.896 .476 .112 r
.13127 .22452 .13565 .22895 .13979 .24186 .13547 .23684 Mtetra
.944 .585 .28 r
.13547 .23684 .13979 .24186 .14294 .2633 .1387 .25737 Mtetra
.905 .504 .1 r
.1387 .25737 .14294 .2633 .14702 .27802 .14284 .27142 Mtetra
.704 .669 .813 r
.14284 .27142 .14702 .27802 .1534 .2742 .14922 .26763 Mtetra
.894 .709 .645 r
.14922 .26763 .1534 .2742 .16191 .25249 .15768 .24664 Mtetra
.912 .716 .625 r
.15768 .24664 .16191 .25249 .17091 .22596 .16661 .22103 Mtetra
.889 .741 .691 r
.16661 .22103 .17091 .22596 .1785 .21107 .17418 .20663 Mtetra
.531 .034 0 r
.17418 .20663 .1785 .21107 .18373 .21695 .17943 .21223 Mtetra
.943 .583 .277 r
.17943 .21223 .18373 .21695 .18716 .23961 .18293 .23395 Mtetra
.949 .593 .27 r
.18293 .23395 .18716 .23961 .19054 .26366 .18639 .25694 Mtetra
0 0 .474 r
.18639 .25694 .19054 .26366 .19577 .27148 .19166 .26429 Mtetra
.867 .702 .676 r
.19166 .26429 .19577 .27148 .20352 .25576 .19938 .249 Mtetra
.915 .708 .609 r
.19938 .249 .20352 .25576 .21273 .22536 .20853 .21964 Mtetra
.918 .722 .622 r
.20853 .21964 .21273 .22536 .22142 .19916 .21717 .19439 Mtetra
.794 .758 .82 r
.21717 .19439 .22142 .19916 .22804 .19316 .22378 .18863 Mtetra
.921 .527 .175 r
.22378 .18863 .22804 .19316 .2324 .21067 .22818 .20545 Mtetra
.953 .607 .301 r
.22818 .20545 .2324 .21067 .23574 .23994 .2316 .2335 Mtetra
.93 .555 .165 r
.2316 .2335 .23574 .23994 .24002 .2606 .23594 .25315 Mtetra
.696 .648 .799 r
.23594 .25315 .24002 .2606 .24661 .2568 .24255 .24925 Mtetra
.909 .704 .614 r
.24255 .24925 .24661 .2568 .25534 .22909 .25123 .22242 Mtetra
.927 .712 .592 r
.25123 .22242 .25534 .22909 .26454 .19472 .26038 .18929 Mtetra
.912 .736 .651 r
.26038 .18929 .26454 .19472 .27242 .1748 .26822 .17016 Mtetra
0 0 .51 r
.26822 .17016 .27242 .1748 .27809 .18093 .27391 .17612 Mtetra
.948 .591 .27 r
.27391 .17612 .27809 .18093 .28211 .20845 .27798 .20256 Mtetra
.953 .603 .268 r
.27798 .20256 .28211 .20845 .28606 .23864 .28199 .2314 Mtetra
.637 .239 0 r
.28199 .2314 .28606 .23864 .29161 .24964 .28758 .24167 Mtetra
.878 .7 .658 r
.28758 .24167 .29161 .24964 .29936 .2319 .29533 .22434 Mtetra
.928 .707 .584 r
.29533 .22434 .29936 .2319 .30837 .19595 .3043 .18963 Mtetra
.932 .72 .594 r
.3043 .18963 .30837 .19595 .31696 .16417 .31285 .15906 Mtetra
.842 .76 .772 r
.31285 .15906 .31696 .16417 .32389 .15544 .31977 .15078 Mtetra
.91 .509 .126 r
.31977 .15078 .32389 .15544 .32903 .17392 .32493 .16863 Mtetra
.952 .602 .271 r
.32493 .16863 .32903 .17392 .33337 .2067 .32931 .20007 Mtetra
.926 .552 .144 r
.32931 .20007 .33337 .2067 .33842 .23063 .3344 .22277 Mtetra
.667 .631 .804 r
.3344 .22277 .33842 .23063 .34519 .22761 .34119 .21949 Mtetra
.919 .706 .598 r
.34119 .21949 .34519 .22761 .35348 .19795 .34947 .1907 Mtetra
.938 .712 .571 r
.34947 .1907 .35348 .19795 .36212 .16014 .35809 .15428 Mtetra
.926 .736 .627 r
.35809 .15428 .36212 .16014 .36983 .13729 .36579 .13242 Mtetra
0 .206 .718 r
.36579 .13242 .36983 .13729 .37609 .14197 .37205 .1371 Mtetra
.939 .569 .211 r
.37205 .1371 .37609 .14197 .38131 .16948 .37727 .16362 Mtetra
.944 .583 .213 r
.37727 .16362 .38131 .16948 .38652 .20034 .38251 .19307 Mtetra
0 0 .373 r
.38251 .19307 .38652 .20034 .39273 .21203 .38875 .20387 Mtetra
.883 .705 .656 r
.38875 .20387 .39273 .21203 .40022 .1946 .39625 .18669 Mtetra
.937 .71 .57 r
.39625 .18669 .40022 .1946 .4084 .15845 .40443 .15172 Mtetra
.941 .723 .58 r
.40443 .15172 .4084 .15845 .4163 .12618 .41233 .12077 Mtetra
.856 .763 .759 r
.41233 .12077 .4163 .12618 .4233 .11643 .41933 .11163 Mtetra
.863 .44 0 r
.41933 .11163 .4233 .11643 .42944 .13304 .42547 .12781 Mtetra
.937 .568 .19 r
.42547 .12781 .42944 .13304 .43527 .16325 .4313 .15679 Mtetra
.88 .489 .029 r
.4313 .15679 .43527 .16325 .44151 .18509 .43755 .17739 Mtetra
.691 .652 .806 r
.43755 .17739 .44151 .18509 .44852 .18156 .44457 .17346 Mtetra
.927 .713 .593 r
.44457 .17346 .44852 .18156 .4561 .15357 .45218 .14617 Mtetra
.945 .719 .565 r
.45218 .14617 .4561 .15357 .46373 .11868 .45983 .11257 Mtetra
.929 .745 .633 r
.45983 .11257 .46373 .11868 .47097 .09779 .46708 .09271 Mtetra
0 .318 .805 r
.46708 .09271 .47097 .09779 .47775 .10168 .47386 .09676 Mtetra
.903 .508 .09 r
.47386 .09676 .47775 .10168 .4843 .1252 .48039 .11949 Mtetra
.901 .513 .079 r
.48039 .11949 .4843 .1252 .49097 .15054 .48705 .14358 Mtetra
0 .127 .676 r
.48705 .14358 .49097 .15054 .49795 .15832 .49403 .15051 Mtetra
.895 .72 .657 r
.49403 .15051 .49795 .15832 .50516 .14147 .50127 .13378 Mtetra
.943 .721 .572 r
.50127 .13378 .50516 .14147 .51239 .11014 .50853 .10344 Mtetra
.943 .736 .592 r
.50853 .10344 .51239 .11014 .51948 .08358 .51566 .07804 Mtetra
.804 .763 .816 r
.51566 .07804 .51948 .08358 .52649 .07657 .52269 .07162 Mtetra
.76 .318 0 r
.52269 .07162 .52649 .07657 .53356 .09061 .52975 .08536 Mtetra
.876 .475 .022 r
.52975 .08536 .53356 .09061 .54078 .11367 .53694 .10742 Mtetra
.66 .245 0 r
.53694 .10742 .54078 .11367 .54808 .12776 .54422 .12051 Mtetra
.783 .708 .78 r
.54422 .12051 .54808 .12776 .55526 .12122 .55141 .11365 Mtetra
.935 .729 .601 r
.55141 .11365 .55526 .12122 .56221 .09707 .55841 .09007 Mtetra
.947 .736 .585 r
.55841 .09007 .56221 .09707 .56904 .07023 .56529 .06426 Mtetra
.905 .767 .698 r
.56529 .06426 .56904 .07023 .576 .05621 .57228 .05104 Mtetra
0 .266 .77 r
.57228 .05104 .576 .05621 .5833 .06112 .57958 .05602 Mtetra
.79 .364 0 r
.57958 .05602 .5833 .06112 .59094 .07855 .5872 .0728 Mtetra
.703 .281 0 r
.5872 .0728 .59094 .07855 .59866 .09403 .59488 .08735 Mtetra
.474 .586 .886 r
.59488 .08735 .59866 .09403 .60607 .0947 .60229 .08749 Mtetra
.91 .742 .661 r
.60229 .08749 .60607 .0947 .61301 .07846 .60926 .07147 Mtetra
.945 .743 .6 r
.60926 .07147 .61301 .07846 .61966 .05502 .61596 .0488 Mtetra
.928 .765 .66 r
.61596 .0488 .61966 .05502 .62646 .03813 .62282 .03268 Mtetra
.596 .702 .917 r
.62282 .03268 .62646 .03813 .63376 .03609 .63015 .03092 Mtetra
0 0 .443 r
.63015 .03092 .63376 .03609 .64162 .04697 .63799 .04145 Mtetra
.616 .19 0 r
.63799 .04145 .64162 .04697 .64968 .06044 .64601 .0542 Mtetra
.127 .39 .844 r
.64601 .0542 .64968 .06044 .65744 .06485 .65374 .05806 Mtetra
.851 .75 .751 r
.65374 .05806 .65744 .06485 .66457 .05532 .66089 .04853 Mtetra
.934 .757 .638 r
.66089 .04853 .66457 .05532 .67123 .03692 .66761 .03064 Mtetra
.932 .771 .659 r
.66761 .03064 .67123 .03692 .67793 .0203 .67437 .01467 Mtetra
.794 .775 .836 r
.67437 .01467 .67793 .0203 .68515 .01394 .68163 .00863 Mtetra
0 .321 .809 r
.68163 .00863 .68515 .01394 .69304 .01888 .68951 .0134 Mtetra
0 g
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.1391 .21522 m
.14374 .21986 L
s
[(-10)] .12983 .20593 .99848 1 Mshowa
.29214 .1553 m
.29652 .16018 L
s
[(-5)] .28339 .14552 .89526 1 Mshowa
.45462 .09167 m
.45869 .09682 L
s
[(0)] .44647 .08139 .79205 1 Mshowa
.62744 .024 m
.63116 .0294 L
s
[(5)] .62 .01319 .68883 1 Mshowa
.125 Mabswid
.16899 .20352 m
.17175 .20633 L
s
.19924 .19167 m
.20196 .19452 L
s
.22984 .17969 m
.23253 .18256 L
s
.2608 .16757 m
.26346 .17047 L
s
.32385 .14288 m
.32644 .14584 L
s
.35595 .13031 m
.35851 .1333 L
s
.38844 .11759 m
.39096 .12061 L
s
.42133 .10471 m
.42381 .10776 L
s
.48833 .07847 m
.49073 .08159 L
s
.52245 .06511 m
.52482 .06826 L
s
.55701 .05158 m
.55933 .05476 L
s
.592 .03788 m
.59428 .04109 L
s
.10955 .22679 m
.11236 .22955 L
s
.08035 .23823 m
.08318 .24096 L
s
.05147 .24953 m
.05434 .25223 L
s
.66334 .00995 m
.66552 .01322 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 233.562},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00c`3oool3000000@0oooo0P0000180?ooo`00[P3oool3000001l0oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000170?ooo`00[@3oool01@000000oooo
0?ooo`3oool0000001H0oooo1@0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool00000A`3oool00;40oooo00<000000?ooo`3oool0703oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo000004L0oooo002a0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`0000170?ooo`00[@3oool4000001<0oooo0P0000090?ooo`80
0000103oool010000000oooo0?ooo`0000170?ooo`00[@3oool00`000000oooo0?ooo`0A0?ooo`<0
000000<0oooo0000003oool02@3oool00`000000oooo0?ooo`030?ooo`800000B03oool00:d0oooo
1@00000=0?ooo`800000103oool2000005T0oooo002l0?ooo`<000001P3oool00`000000oooo0000
001H0?ooo`00^P3oool2000000<0oooo00<000000?ooo`3oool00P3;a]H01000D/l000000?ooo`00
001H0?ooo`00]`3oool3000000L0oooo0`3;a]H01@00C/`000000?ooo`3oool0000005L0oooo002d
0?ooo`<000002P3oool01@3^aJP0blKF0<g6d`3=a]<0000000<0oooo00<000000?ooo`3oool0E03o
ool00;80oooo0P0000000`3oool000000?ooo`090?ooo`80k/FX00D0klBV0<g6d`3@am400000001<
b`020?ooo`030000003oool0oooo05@0oooo002_0?ooo`<00000103oool00`000000oooo0?ooo`07
0?ooo`80k/FX00T0klBV0=37d@3@am4000000=;7c`00BLT000000?ooo`000000E@3oool00:d0oooo
0P00000A0?ooo`080>k5Z03_a:H0klBV0?34Y03@am40d/O?00000000AlL30?ooo`030000003oool0
oooo0580oooo002Z0?ooo`<000001P3oool309RcjPT0oooo00<0kl6S0>k5Z03_a:H00P3`a:@01@3`
`j80d/O?0000003Eald004O70080oooo00<000000?ooo`3oool0DP3oool00:P0oooo0P0000000`3o
ool00000000000060?ooo`040>g3Z02H/nX0WKGY0000L@P0oooo00<0kl6S0>o4YP3_a:H00P3`a:@0
103``j80eLO=0000003Eald20015aP80oooo00<000000?ooo`3oool0D@3oool00:D0oooo0`00000:
0?ooo`80kL>X00<0k/>V09fej@2R]nP01`3oool20>o1X`030>o1XP3_a:H0l<BT0080l<>R00D0lL>P
0000003Gb<X0f/S80014a@020?ooo`030000003oool0oooo0540oooo002S0?ooo`8000003@3oool2
0>g3Z0040>k3YP3_`Z@0X[OX0::gj0H0oooo00<0kl6S0>o1XP3_`J800P3`a:@0203``j80lL>P0?73
X0000000elS:0=[8b000@lD004C50P3oool00`000000oooo0?ooo`1@0?ooo`00P@3oool2000001d0
oooo0`00000>0?ooo`80kL>X0P3^`jH0103_`Z@0YkWV0:NiiP2U>0040?ooo`80kl6S0P3_`J800`3`
`J00l<BT0?33XP020?73X0050000003Jb<P0f/S80=c8a@00@lD00`3oool00`000000oooo0?ooo`1?
0?ooo`00P03oool010000000oooo0?ooo`00000J0?ooo`8000000P3oool01P000000oooo0?ooo`3o
ool0ilBb0014a@T0oooo00<0lKjI0>g3Z03^`jH00P3_`Z@0103``Z80YkWV0:fki02K:`030?ooo`03
0=Vo`03_`J<0kl6R0080l<6P00H0l<2O0?33XP3a`j00l/>N0000003Jb<P20=c8a@030=k8``00@l@0
oooo00800000D@3oool00800oooo00@000000?ooo`3oool000005`3oool3000000P0oooo00<0ilBb
0016aP3oool0203oool0103a_YT0k/>V0>k3YP3_`Z@20?32XP030?71W`2]^n@0/[gR008086?H0P3I
_l020>o1XP80l<6P00L0l<2O0?73X03a`j00l/>N0000003c`Y/0g<S50080g/S300D004?40?ooo`3o
ool0oooo0000001@0?ooo`00P03oool010000000oooo0?ooo`00000D0?ooo`<000002P3oool20>O4
/P030>W3[`00A/H0oooo00L0oooo00@0lKjI0?:mV03^`jH0kl:T0P3``Z801@3a`Il0/[gR0;:mhP0B
F]<086?H00<0fKo000T0kl6R0?31X03``9l0l<2O0?70W@3a`j00l/>N0000003c`Y/00`3Nb<<00`3Q
b<0004?40?ooo`020?ooo`030000003oool0oooo04d0oooo00200?ooo`040000003oool0oooo0000
0180oooo0P0000000`3oool000000?ooo`090?ooo`80ilBb0P3Y`jl00`3Z`jd0cF000?ooo`050?oo
o`80lKjI00@0l[fH0?:mUP3_`Z@0l<:R0P3a`Il0103a`Id0/[gR0;Nog`0BF]<30=Vo`080l<6P00<0
l<2O0?70W@3a`9d00P3b`ih010000000ll:K0??1V@3Nb<<20>78`0050>?8_@00@lD0oooo0?ooo`00
0000C`3oool00800oooo00@000000?ooo`3oool000003`3oool3000000<0oooo00<000000?ooo`3o
ool0203oool01`3b_9D0ilBb0>W3[`3Y`jl0j/>]0<YM003?I0001@3oool20?6nV@050?:mV03b_IH0
l<:R0?32XP3a`Il00P3a`Id0103b`I/0]koO00=@c@03D<d30=Vo`00;0?31X03``9l0lL2M0?70W@3a
`9`0l/:M0000003c`Y/0ll6I0?C1V03Qb<000P3Sb;d01@3Tb;/004?50?ooo`3oool0000004h0oooo
00210?ooo`8000003P3oool200000140oooo00<0l[bE0>W3[`3Y`jl00P3Z`jd00`3[`jX0cF000?oo
o`040?ooo`070?6nV@3b_IP0l[fH0?:mUP3c_ID0l<:R0?71W`020?71W@040?;1V`2l`=d0_<3M00=@
c@<0fKo00P3``9l0203a`9d0lL2L0?70W03a_i/000000??2V`3c`IT0m<6H0`3Sb;d00`3Tb;/004C6
0?ooo`020?ooo`030000003oool0oooo04/0oooo002>0?ooo`<000001`3oool20<g3d0T0oooo0P3b
_9D00`3b_9@0jL>_0>[3[@020>_3ZP030;=7003?I000oooo00<0oooo00D0j;fY0?:mV03b_IP0l[fF
0?>mU@020?71W`070?71W@3b`I/0l/6K0??0VP2l`=d0`L;J0015aP030=Vo`080lL2M0P3a`9`01`3a
_i/000000??1V@3c`IT0m<6H0?C1UP3Sb;d00P3Tb;/00`3Vb;P004C60?ooo`02000004d0oooo002<
0?ooo`8000000P3oool00`000000oooo0?ooo`040?ooo`<0cL?@00<0a5<00?ooo`3oool01P3oool2
0?:lU@040?:lU03c^i80j/>]0>_3ZP80kL:W00@0cf@00=AY003oool0oooo0P3X_JT01@3b_IP0l[fF
0?:mUP3c_ID0lkbC0080lL6M00H0l/6K0??0VP3c`9X0lknH0<72fP00>Kh40=Vo`0050?70W@3a`9`0
lKnK0?6oV`0000000P3c`IT0103d`IP0m<6F0?G0U03Tb;/20>K8^0050>S8]P00A/L0oooo0?ooo`00
0000C03oool008T0oooo0`00000;0?ooo`050?6lU`3=`m00dL?=0=73c@36EP001`3oool0103b_9D0
l[bD0?:lU03c^i820>_3ZP80kL:W00@0/dL00=9W003FK000oooo0P3X_JT0203Y_ZP0l[fF0?>mU@3c
_ID0lkbC0?>lTP3a`Id0l/6K0P3c`9X0103c_iP0aL?H0<G3f000>Kh30=Vo`080lL2L00@0lKnK0?:o
VP000000ll6I0P3d`IP00`3d`IH0mL2D0>K8^0020>K8^0030>S8]P00AlP004O80080oooo00<00000
0?ooo`3oool0B@3oool008L0oooo0P00000>0?ooo`050?6lU`3b^iH0dL?=0=C4bP3PN@D01P3oool2
0?:lU@80l[bD00@0lk^B0?>kT@3[`jX0kL:W0P3^`ZD01031E@00e6T00?ooo`3X_JT20>VnZ0050?:m
UP3c_ID0lkfE0?>lT`3c_9800P3b`I/01P3c`9X0lknH0?>oV03d_iH0aL?H000]]P<0fKo000L0f;o1
0?70W03a_i/0l[nJ0000003b_iT0m<6H0080m<6F00<0mL2D0?G0T`3Vb;P00P3Xb;H20019b@80oooo
00<000000?ooo`3oool0B@3oool008@0oooo1000000>0?ooo`80lKbG00D0l[^F0=C4bP3Da<X0e<C:
0<IF00050?ooo`80l[bE00L0l[bD0?>kTP3c^i80lk^A0?BjT03]`ZL0k/:U0080kl6S00<0NIKR0>Rm
Z@3X_JT00P3Y_ZP01P3Y_JP0lkfE0?>lT`3c_9<0lkbB0?BlT@80ll2J00L0lknH0?BoUP3d_iH0m;nD
0<W4e@00;KH0fKo00080f;o10P3a_i/0103b_iX000000?:oV@3b_iP20?C1UP060?G0U03e`9<0m[nA
0>S8]P3Yak<0jlNa0P00BLT20?ooo`030000003oool0oooo04P0oooo00220?ooo`800000103oool0
10000000oooo0>fnXP00DLh:0?ooo`80lKbG00H0l[^F0?:kU03Da<X0f<C60>9l2P39FP040?ooo`04
0>njV@3b_9@0l[bD0?>kTP80lk^A00<0m;Z@0>k2Y@3^`ZD00P3_`J<206j@h`050>RmZ@3Y_ZP0jKfX
0>VmZ03c_ID00P3c_9<01@3c_980m;bA0??0VP3c`9X0lknH0080m;nF00<0m;nD0?FnT`3=aM800`3H
_l40203H_/40l[nJ0?:oVP3b_iT000000?:oV03d`IH0mL2D0P3e`9<01P3f_i40jLNc0>W7/`3[ak40
k<N^001;b`<0oooo00<000000?ooo`3oool0A`3oool007l0oooo0`0000080?ooo`030>fnXP00EM00
ih8G00T0oooo00T0lKbG0?:kUP3b^iH0l[^D0?:kTP3Ha<H0h7T50>An3P3;F`000`3oool0103_^YT0
l[bD0?:lU03c^i820?>kT@040?BjT03d^Xh0k/:U0>o1X`80l<6Q0P1^T><01@3Y_ZP0jKfX0>VmZ03Y
_JL0lkbC0080lkbB00D0m;bA0?BlT03c_iP0lknH0?BoUP020?BoU0040?FnT`3AaLl001FS0=Ro`@80
f;k10P3b_iX01P3b_iT000000?:oV03c_iL0mL2D0?G0T`80m[nA00H0m[n@0>_7/@3[ak40k<N^0>g7
[000C/`20?ooo`030000003oool0oooo04L0oooo001l0?ooo`<000002P3oool20>fnXP030>jnW`00
EM00oooo00L0oooo0P3a_9L0203b^iH0l[^D0?:kU03b^i80lkZA0=_4``3RO0X0bEX00P3oool30>nj
V@80lk^B00@0lk^A0?BjT03d^Y00m;Z>0P3_`J<0103``J40l<6N06>9hP1SRN820>VmZ080jKfW00H0
lkbC0?>lTP3c_980m;bA0?BlT03d^hl20?BoUP80m;nD00D0mKjC0?FnT@3AaLl001FS0=Rn`@020=Nn
`@80l[nI00D000000?>oU`3c_iL0mL2D0?G0T`020?JoT@0:0?JoT03g_hl0k<N^0>c7[P3]aj`0053>
0?ooo`000000oooo000000d0oooo0`00000h0?ooo`00NP3oool2000000<0oooo00<000000?ooo`3o
ool01`3oool01@3]_Z80k[jO0>jnW`3__Ih0j8<J00L0oooo0P3a_9L02P3b^iH0l[^D0?:kU03b^i80
lkZA0=g4`03RO0X0iH4A0<]K003oool30>njV@80lk^B00T0lk^A0?BjT03d^Xh0m;Z>0?BjS@3_`J<0
l<6Q0?31WP3a`9`00P1SRN801@3Y_JP0jKfW0>VmY`3Y_JL0lkbB0080m;bA00D0m;b@0?BkS`3d_iH0
m;nF0?BoU0020?FnT`030?FnT@3Da/`0f<K900<0ekk10P3b_iT00`000000lknG0?>oU`020?G0T`04
0?JoT@3f_i00m[n@0?NoS`80k<N^00<0kLN/0>k7ZP00D<h00`3oool00`000000oooo0?ooo`090?oo
o`050000003oool0oooo0?ooo`000000=`3oool007L0oooo0`00000?0?ooo`060>fnXP3^_Yl0k[jO
0>nmWP3WPQL0jHDL1P3oool0103a^980l[^F0?:kUP3b^i@20?:kTP060?>jT@3c^Y00h7T50>An3P3W
PaD0cEl00`3_^YT0103_^YP0lk^A0?>kT@3d^Y020?BjSP050?BjS@3d^X`0l<6Q0?31WP3a`9`00P1G
P^040>VmY`060?>lTP3d_940m;b@0?BlT03d^hl0m;^>0P3d_i@00`3e_Y<0mKjA0?FnT@020=S6b@06
0009V@3G_/40e[k20=Jn`P3b_iP000000P3c_iL00`3c_YH0m[nA0?JoT@020?JoT0030?NoS`3g_Xh0
kLN/0080k/NZ00D0klJX001Cd03oool0oooo000000050?ooo`D000001@3oool00`000000oooo0?oo
o`0e0?ooo`00E@3oool3000001d0oooo0P0000060?ooo`030=a`003oool0oooo00P0oooo0P3]_Z80
1P3^_Yl0kkfN0>nmWP3__I`0j8<J0>Z77`D0oooo00D0lKRB0?6hT@3b^i@0l[^D0?:kTP020?>jT@04
0?>jT03d^Xh0hW`:0>N35@@0kkZI00D0kkZH0?>kT@3c^i40m;Z@0?BjSP020?BjS@050?BjS03``Ih0
l<6N0?70W03b`9/00P1GP^030>VmY`060>VmYP3d_940m;b@0?BlT03d^hl0m;^>0P3d_i@01P3e_Y<0
mKjA0?FnT@3f_Hh0f<K90=[7aP<0e[k200D0eKk30000003c_iL0lknG0?>nUP020?JoT@050?JoT03g
_hl0mkn?0?NnSP3]aj`00P3^ajX00`3_aZP0l<JV005Fd@020?ooo`030000003oool0oooo00`0oooo
00<000000?ooo`3oool0=@3oool005@0oooo00D000000?ooo`3oool0oooo0000000I0?ooo`D00000
1P3oool00`3K`l80oooo0?ooo`080?ooo`040?6hT03^_Yl0k[jO0>nmWP80kkfL00<0j8<J0>Z77`3o
ool00`3oool20?6hTP050?6hT@3b^i@0l[^D0?:kTP3c^Y400P3c^Y000`3d^Xh0/TP00<Rea`030>nj
V@80kkZH00@0l;ZG0?BjT03d^Y00m;Z>0P3d^Xd01`3d^X`0mKV;0?70W03a`9`0l/2K0?:oV@18NMh0
0P3Y_JL20>VmYP060>ZmYP3d_900m;^?0?BkS`3d^hh0mK^=0P3e_Y<01`3e_Y40m[j@0?JmSP3f_Hd0
f/O60000S`3F_/800P3E_/<01@000000lknG0?>oU`3c_YH0m;jE0080m[n@00<0mkn?0?NnSP3g_Xh0
0P3^ajX20>o6Z0050?36YP05F]<01E[C0?ooo`0000002P3oool4000003P0oooo001>0?ooo`D00000
1@3oool00`000000oooo0?ooo`0E0?ooo`8000002P3oool20=_3`P030=a`003oool0oooo00L0oooo
00@0lKR@0>jnW`3^_Yl0kkfN0P3__I`00`3WPQL0jHDL0>^88@030?ooo`80lKRB00D0lKRA0?:hT03b
^i80l[^B0?>jT@020?>jT0040?BjSP38]LL0b;G70<Rea`80kkZI0P3_^YP01@3`^YL0m;Z@0?BjT03d
^Xh0m;Z=0080m;Z<00D0mKV;0?FiRP3a`9`0l/2K0?:oV@0203U_f`050>VmY`3Y_JH0jKfV0>ZmYP3d
_9000P3d^hl00`3d^hh0mK^=0?FkS0020?FnT@030?JnT03f_Hh0m[f=0080gLO30`3E_/<01@000000
lknG0?>oU`3c_YH0m;jE0080m[n@00H0mkn?0?NnSP3g_Xh0mkj;0>k7ZP3_aZP20?36YP802EgE0P3o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo03T0oooo001H0?ooo`030000003oool0
oooo0180oooo0`00000<0?ooo`030?2iU03M`kl0gL>o0080gg@61P3oool20?6hT0090?:gS`3__Ih0
kkfN0>nmW03`_IX0iX<D0>R36P3ZQal0k8XT0080oooo00@0lKRB0?6hT@3a^940l[R@0P3b^i801`3c
^Y40lkZ@0?BjSP3d^Xh0m;Z=0<Rea`36]<P00P3_^YT0103_^YP0l;ZG0?2jU`3`^YH20?BjSP050?Bj
S@3d^X`0mKV;0?FiR`3e^HX00P3b`9/00`3b_iT0lknG03U_f`020>VmYP<0j[fV00D0m;^?0?BkSP3d
^hh0mK^=0?FkS0020?FnT@0:0?JnT03f_Hh0m[f=0?NmS03Mal<0glO10=Fn``3D_/@000000?>oU`80
lkjF00`0m;jE0?BnU03g_hl0mkn?0?NnSP3g_X`0mkj;0?RnRP3_aZP0l<JV0?76Y03baZ8200UMe@<0
0000203oool5000003L0oooo001D0?ooo`@000004`3oool3000000d0oooo0P3`^I@01@3a^9<0gL>o
0=ib0`3OM0H0hGH800D0oooo0P3a^9003@3b]hl0l[N>0>nmW03__I`0l;fJ0>J3503XQQT0jXLO0>b:
903/RbH0oooo0?6hTP3a^9400P3b^9001@3b]hl0lkZA0?>jT@3c^Y00m;Z>0080m;Z=00<0m;V<0<Jd
b036]<P00P3_^YP20?2jU`050?2jUP3d^Xh0m;Z>0?BjS@3d^X`00P3e^H/00`3e^HX0mKV90?:oV@02
0?>oU`80:FGG00D0jKfV0>ZmYP3Z_JH0j[fV0?BkS`020?BkSP040?FkS@3e^h`0m[^;0?JnT080m[f>
00T0m[f=0?NmS03g_H/0glO10000NP3D_/@000000=>na@3c_YH00P3d_YD01`3d_Y@0mkn?0?NoS`3g
_Xh0mkj<0?NnR`3h_XX00P3`aZH0103aaZ@0l/JR0??5X00>H=L20?ooo`030000003oool0oooo0480
oooo001D0?ooo`030000003oool0oooo0140oooo0`0000020?ooo`030000003oool0oooo00/0oooo
0P3`^I@01P3a^9<0gl>m0>nA<03OM0H0hGH80>9h2`@0oooo00@0lKR@0?:gS`3b]hl0l[N>0P3__I`0
1P3`_IX0lKbI0>R66@3YQA`0jhPQ0>b;9P80lKRB00@0lKRA0?:hT03b^900l[N?0P3c^Y401`3c^Y00
m;Z>0?BjS@3d^Xd0m;V<0?BiR`36]<P00P3_^YP0103`^YL0l;ZF0?2jUP3`^ID20?BjS@060?BjS03e
^H/0mKV:0?FiRP3e^HT0l[nI0P3c_iL00`3d_iH0:FGG0>ZmYP040>ZmYP070?BkSP3e^hd0mK^<0?Fk
S03f^h/0m[j@0?JmSP020?JmS@080?NmS03g_H/0mkb90>;7_P3C_/D000000=>na@3c_YH20?BnU@09
0?BnU03d_Y<0mkj>0?NnSP3g_X`0mkj;0?RnRP3h_HT0l<JV0080l/JR00<0llFP0??5WP0CI=T00P3o
ool00`000000oooo0?ooo`110?ooo`00E03oool5000000d0oooo0P0000070?ooo`030>flX000=;L0
oooo00T0oooo00P0l;VD0?6hT`3a^9<0lKRB0=o3_@3`TS<0gg@60>9h2`@0oooo00D0lKR@0?:gS`3b
]hl0l[N>0?:gS@020?2mVP050?6lV@3XQQT0jHPL0>Z77`3/RR@00P3a^9801@3a^940l[R@0?:gS`3b
]hl0l[N>0080lkZ@00D0m;Z>0?BjS@3d^H`0m;V<0?BiR`020<Bcb@80l;ZG0P3`^YH01P3`^ID0l;VD
0?BjS03d^X`0mKV;0?FiRP80mKV900@0m[V80?>oU`3d_iH0m;nF0P0GFM440>ZmYP030?BkSP3e^hd0
mK^<0080m[^;00L0m[Z:0?JmSP3f_Hd0m[f=0?NmS03g_H/0mkb90080hlNk00@000000=:maP3B_LH0
m;jE0P3d_Y@20?BnT`060?NnS03g_X/0mkj;0?RnRP3h_HT0n;f80P3baZ80103caJ00llFN01QWf`0H
Im/20?ooo`030000003oool0oooo0400oooo001S0?ooo`<000002@3oool00`3]_:00kKbN0?2A=P08
0?ooo`80l;VD0P3a^9<01P3a^980lKRA0?2B<`3aU3D0hGH80>=j3P<0oooo00H0lKR@0?:gS`3b]hh0
l[N>0?:gS@3c]h`20?6lV@050>J3503YR1`0jh/P0>b:903U^:P00P3a^940103b^900l[N?0?:gS`3b
]hh20?>jT0030?BjSP3d^Xd0m;V<0080m;V;00D0mKV:0<Bcb@3`^YL0l;ZG0?2jUP020?2iU@050?2i
U03d^X`0m;Z<0?FiR`3e^HX00P3e^HT00`3f^HP0m[V70?BoUP020?BnU00301MId@3Z_JH0j[fV0080
j[fV00<0j[fU0?FkS@3e^h`00P3f^h/00`3f^XX0m[Z90?JmS@020?NmS0050?NmR`3g_8T0mkb80>?7
^`0000000P3B_LH00`3d_YD0m;jD0?BnU0020?BnT`070?NnS03g_X/0mkj;0?RnRP3h_HT0n;f80?;6
XP020??5X0030??5WP3daId066OK0080oooo00<000000?ooo`3oool0@03oool00640oooo0P000002
0?ooo`030000003oool0oooo00H0oooo0P3]_:000`3]_9h0l94f0?2B>0070?ooo`80l;VD00X0lKRC
0?6hTP3a^980lKRA0>nA<03aU3D0hGH80>9h2`3TO140oooo0P3a^9001@3b]hl0l[N>0?:gS@3b]hd0
lkN<0080lKbI00<0iX<D0>R66@3[Rb000P3U^:P20?6hT@050?:hT03b]hl0l[N>0?:gSP3b]hd00P3d
^Xh01@3d^Xd0m;V<0?BiR`3d^H/0mKV:0080`K;;0P3`^YH20?2iU@060?2iU03a^I@0mKV;0?FiR`3e
^HX0mKV90P3f^HP00`3f^HL0m;nF0?BnU0020?BnTP0300E<b`3Z_JH0j[fV0080j[fU00<0mK^=0?Fk
S03f^h/00P3f^XX02P3f^XT0m[f=0?NmS03g_H`0mkf;0?NlR@3g_8P0n;b70000003B_LH20=6ma`06
0?BnU03d_Y<0m;jC0?BnT`3e_Y80mkj;0P3h_XX01@3h_HT0n;f80?RmQ`3caJ00llFN0080m<FM00D0
m<FK01e[g@3oool0oooo000000110?ooo`00GP3oool3000000d0oooo00D0kKbP0>flWP3]_9h0l94f
0?2B>0070?ooo`030?2iU03a^9<0lKRC0080lKRB00L0lKRA0>nA<03`TS<0lIDh0>9h2`3TO140iGdC
0080lKR@00H0l[N?0?:gSP3b]hd0l[N=0?>gS03c]h/20?6lU`05000P[@3[Rb00iKRX0>FhZ03U^:L0
0P3b^9001@3b]hl0l[N>0?:gSP3b]hd0lkN<0080m;Z=00H0m;V<0?BiR`3e^HX0mKV:0?FiR@31///2
0?2jUP040?2iU@3`^I@0l;VD0?6iU080mKV;00L0mKV:0?FiR@3f^HP0m[V80?JiQ`3f^8H0m;jD0080
m;jB00<003o30>ZmYP3Z_JH00P3Z_JD20?FkS0030?JkR`3f^XX0m[Z:0080m[Z900L0mkf<0?NmR`3g
_H/0mkb90?NlR03h_8L0000000<0dKg700L0ckg80?BnT`3d_Y<0m;jC0?FnTP3g_X/0n;j:0080n;f9
00@0n;f80?RmQ`3i_HH0llFN0P3daId0103daI/08VkN029^gP3oool200000400oooo001K0?ooo`<0
0000403oool01P3]_:00kKbN0>jkW@3^^id0l98h0?6D>PD0oooo0P3`^I@20?6hT`0:0?6hTP3a^940
lKRA0?:hT03`TS<0lI@e0?:F>P3SNPh0iGdC0>ffU`80l[N?00D0l[N>0?:gS@3c]h`0lkN<0?>gR`02
0?6lU`03000?W`3U^:P0iKRX0080iKRW0P3b^9001@3b]hl0l[N>0?:gS@3b]hd0lkN<0080m;Z=00<0
m;V<0?BiR`3e^HX00P3e^HT20;jac080l;VE00@0l;VD0?6iU03a^I@0lKVC0P3e^HX02`3e^HT0m[V8
0?JiQ`3f^HL0m[R60?JhQ@3d_Y80mKjA0?FmT000?l<0j[fV0080j[fU0P3e^h`00`3f^h/0m[Z:0?Jj
R@020?JjR@090?NmS03g_H/0mkb90?NlR@3g_8P0n;b70000003Xak@0dKg70080ckg80`3d_Y<00`3e
_Y80mKjA0?RnRP020?RmR@050?RmR03h_HL0nKf60??5WP3daId00P3daI/01@3fa9T09g7P0?ooo`3o
ool000000400oooo001I0?ooo`80000000<0oooo0000003oool01@3oool00`3XPR00oooo0?ooo`07
0?ooo`80kKbP00H0kKbN0>jkW@3^^id0l94f0?6D>P3bUC`40?ooo`060>neT@3`^I@0lKRC0?6hT`3a
^980lKRA0P3b^9001P3`TS<0lI@e0?:F>P3SNPh0i7`A0>ffU`80l[N?00H0l[N>0?:gS@3c]h`0lkN<
0?>gR`3c]XX20?:lUP03000?W`3U^:P0iKRW0080iKRW0P3b]hl01@3b]hh0l[N=0?:gS@3c]h`0lkN;
0080m;V<00H0m;V;0?FiRP3e^HT0mKV90?JiR02n/L`20?2iU@050?2iU03a^I@0lKVD0?6iT`3e^HX0
0P3e^HT02@3f^HP0m[V70?JiQ`3f^8H0m[R50?BnTP3e_Y40mKf@000b^P040>ZmY@80m[^;00P0m[Z:
0?JjR@3f^XT0m[Z90?JjR03g_H/0mkb90?NlR080n;b700@0n;b60000002X?`00ckg80P3>_<T00`3d
_Y<0mKjB0?FnTP020?FnT@050?RmR@3h_HP0n;f80?RmQ`3i_HH00P3daId00`3daI/0mLBJ0?K4V@02
02adhP80oooo00<000000?ooo`3oool0?@3oool005H0oooo0`0000040?ooo`030000003oool0oooo
0080oooo0P3G`/D00`3ZQ2<0oooo0?ooo`060?ooo`090?2fTP3]_9h0kKbN0>jkW@3^^i`0l94f0?6D
>P3bUC`0lYHn00<0oooo00H0kkFA0?2eT@3a^9<0lKRC0?6hTP3a^9420?:hT0040>nA<03aU3D0lIDh
0?:G>`<0kKJG0P3b]hh0203b]hd0lkN<0?>gR`3c]h/0lkJ:0?>fR@3b_9@0002B103U^:L20?:gS`06
0?:gSP3b]hd0lkN<0?>gS03c]h/0m;V<0P3d^H/0103e^HX0mKV90?JiR03f^HP20;^_cP80l;VD00@0
lKVD0?6iT`3a^I<0lKVB0P3e^HT02P3f^HP0m[V70?JhQP3f^8H0m[R50?NhQ03e_Y40mKf@0?JmS`00
<[X30>ZmY@80m[^;00T0m[Z:0?JjR@3f^XT0m[Z90?JjR03g^XL0mkb90?NlR03h_8L00P3h_8H00`00
0000jLNb0<jlb@020<jlb@030?BnT`3e_Y80mKjA0080mKjA00<0n;f90?RmR03h_HL00P3i_HH01P3i
_H@0m<FM0?C5V`3ea9X0m/BI0?K4U`80;7CR0P3oool00`000000oooo0?ooo`0l0?ooo`00E03oool2
000000/0oooo00D0k[RH0=O2a@3I`/<0jX@S0>^69P070?ooo`0:0?2fTP3`]Y40k[^M0>jkW@3^^i`0
l94f0?2B>03bUC`0lYHn000`]080oooo00<0kkFA0?2eT@3`]I400P3a^9801`3a^940l[R@0?:hS`3Q
O@L0l98c0?6E>03bUSX00`3]]YL0103b]hh0l[N=0?:gS@3c]h`20?>gR`050?>fRP3c]XT0l[bD0?:l
U00009800`3U^:L01@3U]jL0l[N>0?:gSP3b]hd0lkN<00<0lkN;0P3d^H/01P3e^HX0mKV90?JiR03f
^HP0m[R70;^_cP80l;VD00D0lKVD0?6iT`3a^I<0lKVB0?FiR@020?JiR0050?JiQ`3f^8H0m[R60?Jh
Q@3g^8@00P3e_I000`3f_Hl0m[f=0>ZmY@030>ZmY@80m[Z:0P3f^XT20?JjR0040?NjQ`3g_8T0mkb8
0?RlQ`80n;b600@000000>_7/02_A@00c[c90P3<_</02@3e_Y80mKjA0?FnT@3e_Y40m[j@0?RmR03h
_HL0nKf60?VmQ@020?VmQ0060?C5V`3ea9X0m/BI0?K4U`3fa9H0<GSS0P3oool00`000000oooo0?oo
o`0l0?ooo`00D@3oool3000000d0oooo00H0k[RH0>nhUP3I`/<0j88P0>Z48`3/R2T50?ooo`80l;JB
00X0l;JA0>jkW@3^^id0k[^L0?6E=P3`TSP0lYDl0?:F?P3bUd00oooo0P3_]I420?2eT@80lKRB00L0
lKRA0?:hT03b^8l0l[N>0>B13P3aUCP0lYHj00<0kKJG00D0k[JF0?:gS@3b]hd0lkN<0?>gR`020?>f
RP040?>fR@3d]XT0lk^C0000TP80iKRW0P3U]jL20?:gSP030?:gS@3c]h`0lkN;0080lkN;00D0m;V;
0?FiRP3e^HX0mKV90?JiR0020?JhQ`80^:k?0P3a^I@0103a^I<0lKVB0?6iTP3a^I820?JiR0050?Ji
Q`3f^8H0m[R50?JhQ@3g^8@00P3e_I000`3f_Hl0m[f=000GY@030>ZmY@80m[Z:0P3f^XT20?JjR009
0?NjQ`3g^XH0mkb80?RlQ`3h_8H0n;b50000003h^h@0jlN`00<0c;c;00@0mKjB0?FnT@3e_Y40mKjA
0P3f_Y000`3h_HL0nKf60?VmQ@020?VmQ0070?G4VP3fa9T0m/BI0?K4U`3fa9H0mlBE03Eki0020?oo
o`030000003oool0oooo03/0oooo001?0?ooo`8000000`3oool00`000000oooo0?ooo`0:0?ooo`06
0>jhV03_^9H0f/;10>R2803ZQ2<0jhHV1@3oool20?2fTP070?2fT@3`]Y00k[^L0>jkW03aUCH0l98h
0?6D>P020?:F?P030?>H@P3_]I40l;FA0080l;FA00P0l;F@0?6hT@3a^940l[R@0?:hS`3b]hh0i84>
0?6D=@@0kKJG00D0k[JF0?:gS@3c]h`0lkN<0?>gR`020?>fRP060?>fR@3d]XT0m;J80?>kTP000980
iKRW0`3U]jL20?:gS@060?>gS03c]h/0lkN;0?>gR`3c]hX0mKV:0P3e^HT01@3f^HP0m[R70?JhQ`3f
^8H0^:k?0080lKVD00D0lKVC0?6iTP3a^I80lKVB0?JiR0020?JiQ`050?JhQP3f^8D0mkR40?NhQ03g
^8<00P3f_Hl00`3f_Hd0m[f<000GY@030>ZmY@<0m[Z900h0m[Z80?NjQ`3g^XL0mkZ60?NlR03h_8L0
n;b60?RlQ@000000n;^40?VkP`3/ajl0c;c;0<Zkc0<0mKjA0`3f_Y000`3h_HL0nKf60?VmQ@020?Vm
Q0090?VlP`3fa9T0m/BG0?K4U`3fa9H0mlBE0?O3U00jO^D0oooo00800000?03oool002H0oooo0`00
00040?ooo`8000007@3oool3000000H0oooo00<0jKbV0000PP3oool0203oool20>jhV0060>nhUP3_
]iH0liY50>Z48`3[QRH0k8PY103oool0103`]Y80l;JA0?2fT@3`]Y020>jkW0070>nkV`3bUST0lI@j
0?:E?03bUSh0liQ20>neT@030?2eT@080?2eT03a^940l[R@0?:hT03b^8l0l[N>0>B13P2`Y/h30>ff
U`80k[JF00D0k[JE0?>gS03c]h`0lkN;0?>fRP020?>fR@050?BfR@3d]XP0lk^B0000Q03U^:L00`3U
]jL20?:gS@060?>gS03c]h/0lkN;0?>gR`3c]hX0m;J90P3e^HT0103f^HP0m[R70?JhQP3f^8H20;B/
d@80lKVC0`3a^I801@3b^I40m[V70?JiQ`3f^8H0m[R50080mkR400H0mkR30?JmS`3f_Hl0m[f=0?Jm
S0002i/30>ZmY@<0m[Z900@0m[Z80?NjQ`3g^XH0mkZ60P3h_8L02@3h_8H0n;b50000003h^h@0nK^3
0?VkPP2dB`00b[_<0<RkcP020?FnT@<0m[j@0P3i_HH30?VmQ0030?VlP`3j_880m/BG0080m/BF00H0
mlBE0?O3U00nPNH0?X7V0?ooo`00000l0?ooo`009`3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo000001X0oooo0P0000090?ooo`030>VlYP3Y_:D0lYM500P0oooo00D0k[RH0>nhUP3_
^9H0kkNF0?>JA@020?BKA`030>b8:@3]Rbl0oooo0080oooo00D0l;JB0?2fT@3`]Y40l;J@0?2eS`02
0>nkV`060?6E=P3aU3X0lYDl0?:F?P3bUd00kkFA0P3`]I420?2eT0050?2eS`3b^900l[R@0?:hS`3b
]hh00`2`Y/h20>ffU`80k[JF00H0k[JE0?>gS03c]h/0lkN;0?>fRP3c]XT20?BfR@030?BfR03d]XL0
lk^A00@0iKNW00<0iKNV0?>gS03c]h`00P3c]h/20?>gRP060?BfR@3e^HT0m[V80?JiR03f^8L0m[R6
0P3f^8D00`2d[=40lKVC0?6iT`030?6iTP050?:iT@3f^HL0m[R60?JhQP3f^8D00P3g^8@01`3g^8<0
mkR20?JmS@3f_Hd0m[f<0?NmR`002i/00`3Z_JD20?JjR@050?JjR03g^XL0mkZ60?NjQP3g^XD00P3h
_8H01P3h_8D000000?RkQ03i^h<0nK^20;A;0080b;_>0P3e_Y430?JnT080nKf60`3i_H@00`3i_8<0
n[b20?ZlPP020?K4UP80ml>D0P0nPNH20?ooo`030000003oool0oooo03T0oooo000O0?ooo`D00000
0`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000001L0oooo0`0000020?ooo`03
0000003oool0oooo00D0oooo0P3Y_:H00`3Y_:D0lYM508L;00070?ooo`050>jhV03_^9H0kkNF0>ng
UP3cVTD00P3dVdL01`3dW4T0kHT/0>j=<P3^SC80oooo0?2fTP3`]Y400P3`]Y002@3`]Hl0lKF>0>nk
V@3aUCH0lYPk0?:E?03bUSh0lYM00>neT@020?2eT@80l;F@00H0l;F?0?:hT03b^8l0l[R?0?:gSP3c
]hd20;2VcP80kKJG00@0k[JF0>jfU@3^]YD0k[JD0P3c]h/0203c]XX0lkJ90?BfR@3d]XT0m;J80?Bf
Q`3c^i40001f0P3U]jL20>FgYP040?>gS03c]h/0lkN;0?>gR`80lkN:00H0m;J90?BfR03f^HP0m[V8
0?JhQ`3f^8H20?JhQ@80/:_B0`3a^I830?:iT@80m[R600H0m[R50?NhQ03g^8@0mkR30?NhPP3g^842
0?JmS0030?NmR`3UPa00j[fU00<0j[fU0P3f^XP0103g^XL0mkZ60?NjQP3g^XD20?RlQP070?RkQ000
0000n;^40?VkP`3i^h80nK^10<RkcP020<Jkc`<0m[j@0P3f_Xl01@3i_HD0nKf40?VmQ03i_H@0nKb3
0080n[b200D0m/BF0?O4U@3g`i@0ml>D0?S3TP0204:3i`030?ooo`000000oooo03X0oooo000W0?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool000005@3oool2000000d0oooo00H0jKbV
0>VlY@3Y_:D0lYM50?:HA`2=4@060?ooo`0;0>jhV03_^9H0kkNF0>ngUP3_]i@0liY50?BKA`3dW4T0
k8PY0>f;;`3^SC800P3`]Y802P3`]Y40l;J@0?2fT03`]Hl0lKF>0>nkV@3aUCH0lYHi0?>I?P3bUSh2
0>neT@80l;FA00D0l;F@0?2eS`3`]Hl0l;F>0?:hS`020?:gSP030?>gS@2`Y/h0[JG?0080kKJG00D0
k[JF0>jfU@3^]YD0k[JD0?>gR`020?>fRP070?>fR@3d]XT0m;J80?BfR03d]XL0m;J60?BkT0020>Fg
Y`<0iKNV0`3c]h/01@3c]hX0m;J90?BfR@3d]XP0m[V80080m[R700D0m[R60?JhQ@3f^8D0m[R50;2[
dP030?6iTP<0l[VA00<0m[R60?JhQ@3f^8D00P3g^8@00`3g^8<0mkR20?NhP@020?JmS0030?NmR`3g
_8X0002@00<0j[fU0P3f^XP0303g^XL0mkZ60?NjQP3g^XD0mkZ40?RlQ@3h^h@000000?RkQ03i^h<0
nK^20?VkP@<0a[_?0`3f_Y020?JnS`030?JnSP3i_H@0nKf40080nKb30P3j_8801`3j_840mlBE0?O3
U03g`i<0n<>B0?S3T@16Q^P00P3oool00`000000oooo0?ooo`0h0?ooo`009`3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo00000180oooo0`00000?0?ooo`060>VlYP3Y_:D0jKbU0>Zk
Y03bV4L0liU91@3oool20>jhV00:0>nhUP3_]iH0kkND0>ngU03cVTD0m9]70?BLB@3dWD/0kH/_0>j=
<P80l;JB00@0l;JA0?2fT03`]Hl0l;F?0P3a]Hh01@3_^iT0lYHi0?>I?P3cVT00kkFA0080l;FA0P3`
]I020?2eS`050?2eSP3a]Hd0l[N>0?:gSP3c]hd00`2]YLl20>jfUP040>jfU@3^]Y@0k[JD0>jfU080
lkJ:00<0lkJ90?BfR@3d]XP00P3d]XL20?BfQP030000J@3U]jL0iKNV0080iKNV0`3c]h/00`3c]hX0
m;J90?BfR@020?BfR080m[R700@0m[R60?JhQ@3f^8D0mkR40P2/Z=<20?6iTP<0l[VA00<0l[V@0?Jh
Q@3g^8@00P3g^8@0103g^8<0mkR20?NhP@3g^8420?NmR`030?NlR@0008D0j[fU00<0j[fU0P3g^XL2
0?NjQP0;0?NjQ@3g^X@0n;b50?RkQ0000000n;^40?VkP`3i^h80nK^10?VkP036^ll00P34^]420?Jn
T080m[j?00<0m[j>0?VmQ03i_H@00P3i_8<20?ZlPP080?ZlP@3g`i@0ml>D0?O3T`3h`i80n<>A0?S3
T019R>T20?ooo`030000003oool0oooo03L0oooo000V0?ooo`800000103oool010000000oooo0?oo
o`00000?0?ooo`<000000P3oool00`000000oooo0?ooo`020?ooo`030<_2d@3[QR`0oooo00L0oooo
00P0kKJG0>VlYP3Y_:D0jKbU0>ZkY03bV4L0liU90?>JB`@0oooo00@0kKBE0>nhUP3_^9H0kkNF0P3_
]i@01`3cVTD0m9]70?BLB@3dWD/0mIi=0>j=<P3`]Y800P3`]Y400`3`]Y00l;F?0?2eS`020?6eSP05
0?6eS@3bUST0lYPk0?>J@03R]:L00P3`]I420?2eT0050?2eS`3`]Hh0l;F>0?6eS@3b]hh00P3c]hd0
0`3c]h`0[JG?0:VRd0020>jfUP050>jfU@3^]Y@0k[JD0>jfU03c]XX00P3c]XT0103d]XT0m;J80?Bf
Q`3d]XL20?BfQP030?BkS`3U]jH0iKNV00<0iKNV0P3c]h/00`3c]hX0m;J90?BfR0020?BfR0030?Jh
Q`3f^8H0m[R60080m[R500<0mkR40?NhP`2/Z=<00P3a^I830?:iT@80l[V@0P3g^8@20?NhP`080?Nh
PP3g^840mkR10?RhP03g_8X0mkb90000N`0008D30>ZmY@090?NjQ`3g^XH0mkZ60?NjQP3g^XD0mkZ4
0?RjQ03h^h@000000080nK^300H0nK^20?VkP@3i^h00nK^00<Bjd@31^M820?JnT080m[j?00@0m[j>
0?NnSP3i_H@0nKb30`3j_8801`3j_840ml>D0?O3U03g`i<0n<>B0?S3T@3h`i000P1=R^X2000003T0
oooo000W0?ooo`030000003oool0oooo00<0oooo0P00000>0?ooo`8000002@3oool0103[^9l0bl;A
0<c2d03/R3070?ooo`030>ffU`3Y_:D0jKbU0080j[^T00@0lYM50?>IB@3cVT/0VA`00`3oool0103]
]9D0kkRF0>nhUP3_]iH20>ngU0070?>JA@3dVdL0m9]70?BMB`3eWTd0kH/_0>^dV@020?2fT@030?2f
T03`]Hl0lKF>0080lKF>00<0lKF=0?6E=P3bV3/00P3R]:L20?2eT@030?2eT03`]Hl0l;F?0080l;F>
00D0lKF=0?6dS@3c]hd0lkN=0?>gS0030:VRd080k[JE0`3^]Y@01P3_]I<0lkJ90?>fR@3d]XT0m;J8
0?BfQ`<0m;J600<0mKJ50?BkSP3U]jH00`3U]jH0103c]h/0lkN:0?>gRP3d]XT30?BfR0030?BfQ`3f
^8H0m[R50080m[R500@0mkR40?NhP`3g^880YjKE0`3b^I430?:iT080mkR40P3g^8<0203g^880mkR1
0?NhP@3h^800mkb:0?NlR@3g_8P0001k103Z_JD30?NjQP060?NjQ@3g^X@0n;Z40?RiP`000000nK^3
0P3i^h800`3i^h40nK^00?VkP0030<6idP<0m[j?00@0m[j>0?NnSP3g_Xd0nKb30`3j_8800`3j_840
n[ao0?O3T`020?S3TP040?S3T@3h`i00n<>@04f:jP80oooo00<000000?ooo`3oool0=P3oool003X0
oooo0`00000;0?ooo`050>^hW`3<`]00c<;@0>b8<03]Rc<01P3oool00`3]]YL0kKJF0>VlY@020>Zk
Y0060?:GA@3bV4L0liY;0?>KC@2O8`00oooo0P3]]9D00`3]]9@0kkNF0>ngUP020>ngU080liY500H0
m9]70?BMB`3eWTd0mIm>0>^dV@3`]Y420?2fT0040?2eS`3a]Hh0lKF>0?6eSP80lKF=00@0lYHi0>:d
Y`3R]:L0h[BW0P3`]I020?2eS`050?2eSP3a]Hd0lKF=0?6dS@3c]hd00P3c]h`00`3c]h/0ZJ;@0:BP
d@020>jfU@<0k[JD00H0kkFC0?>fR@3d]XT0m;J90?BfR03d]XL30?BfQP030?FfQ@3e]X@0iKNV00@0
iKNV0P3c]hX01P3d]XT0m;J80?BfR03d]XP0m;J70?BfQP<0m[R500@0mkR40?NhP`3g^880XZCG0`3b
^I430?:iT0030?>iS`3g^8@0mkR30080mkR20P3g^840103h^800n;Qo0?NlR@3g_8P20000N`<0j[fU
0P3g^XH20?NjQ@060?NjQ03h^X@0n;V30000003i^h<0nK^20P3i^h420?VkP0050?ZjOP31^M80_[WD
0;jie03f_Xl00P3f_Xh00`3g_Xh0mkj=0?VlP`030?ZlPP040?ZlP03j_7l0n[ao0?S3TP80n<>A0P3h
`i02052<j`80oooo00<000000?ooo`3oool0=@3oool003P0oooo0P0000020?ooo`030000003oool0
oooo00P0oooo0P3[^9l01@3[^9h0c<;@0>^6;03]Rc<0kX`g00@0oooo0P3]]YL02P3]]YH0kKFF0>fe
UP3[^j80lYM50?:HA`3cVT/0li]=0?BLC`2U:P020>fdU@030>fdU03_]iH0kkNF0080kkND0P3]SB@0
0`3dVdL0m9a90?FNC@020>^dV@040>^dV03`]Y00l;J@0?2eS`<0lKF>0P3a]Hd0102T?`00h[BW0>:d
Y`3R]:L20?2eT0030?2eS`3`]Hh0l;F>0080lKF=00D0lKB=0?6dS03c]h`0lkN<0?>gR`030:BPd@<0
k[JD0P3_]I<01@3_]I80m;J90?BfR@3d]XP0m;J700<0m;J600<0mKJ50?FfQ03d^Xd0103U]jH00`3c
]hX0m;J90?BfR@030?BfR0030?BfQ`3d]XH0m[R50080m[R50P3g^8<20?NhPP030::Te`3b^I40l[VA
00<0l[V@00<0lkV?0?NhQ03g^8<00P3g^8820?NhP@060?RhP03h^7l0n;Mo0?NlR03h_8P0001k0`3Z
_JD00`3[_JD0mkZ60?NjQ@020?NjQ0050?RjQ03h^H<000000?VkP`3i^h800P3i^h420?VkP0050?Zj
OP2n^M@0_[WD0;jie03f_Xl00P3f_Xh00`3g_Xh0mkj=0?NnS@020?ZlPP060?ZlP@3j_800n[ao0?Zl
O`3j_7h0n<>A0`3h`i001@3i`hh0Dhk[05>>j`3oool0000003L0oooo000e0?ooo`<00000103oool0
0`3S_K00Q`P00?ooo`080?ooo`80jkRO00H0jkRN0>^hW@3cVdd0k8P`0>j<=`3_SSX30?ooo`030>ff
U`3]]YH0kKJF0080kKFF00P0k[FE0?>JA03bV4L0liU90?>KC@3dW4l0m9e@0>fdU@80kKBD00T0k[BC
0>ngU03_]i@0kkND0?2gT`3]SB@0m9]70?BLB@3eWTd00P3[]9T0103[]9P0l;J@0?2eS`3`]Hl20?6e
SP80lKF=00<0lKF<0>:dY`3R]:L00P3R]:L00`3R]:H0l;F?0?2eS`020?2eSP050?6eS@3a]8d0lKB=
0?6dS03c]h`00P3c]h/00`3c]hX0Y:3A0:2NdP030>jfU080kkFC00D0kkFB0?BfR@3d]XP0m;J80?Bf
Q`020?BfQP80mKJ50P3e]X@50>FgYP80m;J90P3d]XP20?BfQ`050?BfQP3e]XH0m[R50?JhQ@3g^8<0
0`3g^8800`2LXMP0l[VA0?:iT@020?:iT080lkV?00<0lkV>0?NhP`3g^8800`3g^8401P3h^800n;Qo
0?RgO`3g_8P0n;b80?RlQ`80j[fU0P3[_JD02P3g^XH0mkZ50?NjQ03g^X@0n;Z40?RiP`000000n;Z2
0?VkPP3i^h420?VkP0040?VjO`3j^Wh0n[Yn0;jie080_;SF00<0m[j>0?NnSP3g_Xh00P3g_Xd20?Zl
PP060?ZlP@3j_800n[ao0?ZlO`3j_7h0n<>A0P3h`i00103i`hl0nL>>0?W3SP1FT>/20?ooo`030000
003oool0oooo03@0oooo000c0?ooo`8000001`3oool20>>m/0P0oooo0P3[^9l20>^hWP050>^hW@3c
Vdd0k8P`0>f;<`3_SSX00`3oool00`3]]YL0kKJF0>ffUP020>feUP060>jeU@3cVT@0m9]70?>IB@3c
VT/0m9a?0P3]]9D20>fdU080k[BC0P3_]i@01P3`]i<0kHdT0>j?:@3dW4T0m9e;0>^dV@80jkBH00<0
k;BG0?2eS`3`]Hl00P3a]Hh20?6eS@80lKF<0P3R]:L20>:dYP80l;F?00<0l;F>0?6eS@3a]Hd00P3a
]8d00`3a]8`0lKB;0?>gR`020?>gRP<0X9kB0P3^]Y@0103_]I<0kkFB0>neTP3_]I820?BfR0030?Bf
Q`3d]XH0m;J60080mKJ50P3e]X@00`3e]X<0iKNV0>FgYP020>FgYP040?BfR@3d]XP0m;J80?BfR080
m;J700D0m;J60?FfQP3f^8D0mkR40?NhP`030?NhPP030>B33P2LXMP0l[V@0080l[V@0P3c^Hl00`3c
^Hh0mkR30?NhPP030?NhP@060?RhP03h^7l0n;Mo0?RgOP3h_8P0n;b70P3Z_JD30>^mY@090?NjQ@3g
^X@0n;Z40?RjQ03h^H<000000?RjPP3i^h80nK^10080nK^000P0nKYo0?ZjOP3j^Wh0n[Ym0;bheP2i
]mL0m[j>0?NnSP<0mkj=00@0mkj<0?ZlPP3j_840n[b00P3j_7l01@3j_7h0nkan0?S3T03h`i00nL>?
0080nL>>00D0nL>=05RAk03oool0oooo0000000e0?ooo`00<03oool4000000L0oooo0`3S_K000`3a
UDH0oooo0?ooo`050?ooo`80jkRO0P3[^9h01P3[^9d0li]=0?BLC`3]Rc<0kX`g0>n@?080oooo00<0
kKJG0>ffUP3]]IH00P3]]IH01P3^]ID0liY40?BKA`3cVDT0liY;0?BLC`80kKBE00@0kKBD0>jdT`3^
]9<0k[BC0P3_]i@01P3`]i<0kHdT0>j?:@3dW4T0m9e;0>^dV@80jkBH00<0k;BG0?2eS`3a]Hh00P3a
]Hh20?6eS@040?6eS03b]H`0h[BW0>:dY`80h[BV00<0h[>V0?2eSP3`]Hh00P3a]Hd01@3a]8d0lKB<
0?6dS03a]8/0l[B;0080lkN:00<0m;N90:2NdP2KVm<00P3^]Y@01@3_]I<0kkFB0>neTP3_]I80m;J8
0080m;J70P3d]XH01@3e]XD0mKJ40?FfQ03e]X@0mKJ300@0iKNV00D0iKNU0?BfR03d]XP0m;J80?Bf
Q`020?BfQP040?FfQP3e]XD0mkR40?NhP`<0mkR200<0mkR109NNf@3b^I000P3b^I001@3c^Hl0lkV>
0?>iSP3c^Hh0mkR200<0mkR100P0n;R00?RhO`3h]gl0n;Mn0?RgO@3h_8L0n;b60>ZmY@@0jkfU00P0
mkZ40?RjQ03h^X@0n;V30000003h^X80n;V10?VkP@80nK^000@0nKYo0?ZjOP3j^Wh0n[Ym0`2i]mL0
103g_Xh0mkj=0?NnS@3g_Xd20?NnS0060?ZlP@3j_7l0n[ao0?ZlO`3j_7h0nkan0P3h`i00103i`hl0
nL>>0?W3SP3i`hd205ZCk0800000203oool2000002/0oooo000^0?ooo`800000103oool00`000000
oooo0?ooo`040?ooo`80hkf`00<0i;f_0?6EAP3aUTT01P3oool20>^hW`090>^hWP3[^9d0jkRM0>bh
W03dW4l0m9eA0>j<=`3_T3`0l94o0080kKJG00<0kKJF0>feUP3]]IH00P3^]ID01@3^]I@0m9]70?BL
B@3cVT/0li]=0080kKBE00D0kKBD0>jdT`3^]9<0k[BC0>jdTP020?2gT`030?2gTP3]SB@0ki8]0080
jkBI00@0jkBH0>bdU`3/]9L0k;BF0`3a]Hh20?6eS@050?6eS03b]H`0l[F;0>:dY`3R]:H00P3R/jH2
0?2eSP80lKF=00H0lKB=0?6dS03a]8`0lKB;0?:dR`3c]hX20?BgR@<0Vi_C0P3_]I<30>neTP030>ne
T@3d]XL0m;J70080m;J600H0mKJ50?FfQ03e]X@0mKJ40?FfP`3f]X<20>FgYP80iKNU0`3d]XP01`3d
]XL0m;J60?FfQP3e]XH0mKJ50?NhQ03g^8<00`3g^8800`3g^840UikI09NNf@020?:iT0050?>iS`3c
^Hh0lkV>0?>iSP3g^8800P3g^8420?RhP0030?RhO`3h]gl0n;Mn0080n;Mm00<0n;b60?RlQ@3[_JD0
0`3[_JD00`3g^X@0n;Z40?RiP`020?RiP`030000003h^H40n;V10080nK^000<0nKYo0?ZjOP3j^Wh0
0P3j^Wd00`2i]mL0][KI0;Jff@020?NnS@<0mkj<00P0n[b00?ZlO`3j_7l0n[ao0?ZlOP3k_7h0nkam
0?W3S`<0nL>>00<0nL>=05bDk@1LU>d00P3oool00`000000oooo0?ooo`040?ooo`040000003oool0
oooo000002X0oooo000[0?ooo`<00000303oool20>VgW`050>>m/03T_Jl0i;f_0?6FB@3bV4`0103o
ool20>ZeV`80jkRN00P0jkRM0>bhW03/^9`0m9a?0?BMD@3dWU<0khhj0?2A?`80kKJG00@0kKJF0>fe
UP3]]IH0k[FE0P3^]I@00`3dVdL0m9a90?FMB`030>fdU@050>fdU03^]9<0k[BC0>jdT`3^]9800P3`
]i<00`3`]i80kHdT0:ZQc@020>^dV@040>^dV03/]9L0k;BG0>bdUP<0lKF>00D0lKF=0?6eS03a]H`0
l[F<0?:eR`020>:dYP80h[>V00H0hk>U0?6eS@3a]Hd0lKF=0?6dS@3a]8`20?6dR`030?:dR`3b]8X0
m;N90080m;N900@0Vi_C09JHd`3_]I<0kkFC0`3_]I800`3_]I40m;J70?BfQP020?BfQP060?FfQ@3e
]X@0mKJ40?FfQ03e]X<0m[J30P3U]jH30>FgY@80m;J800L0m;J70?BfQP3e]XH0mKJ60?FfQ@3e]X@0
mkR30080mkR20P3g^842092KfP80l[V@00D0lkV?0?>iSP3c^Hh0lkV>0?>iS@020?NhP@050?RhP03h
^7l0n;Qo0?RgO`3h]gh00P3h]gd00`3h_8H0n;b50>^mY@030>^mY@030>^nY@3h^X@0n;V30080n;V3
00<000000?RiP@3h^H400P3i^h030?ZjOP80n[Ym00<0n[Yl0;Jff@2c]MX00P3g_Xd30?NnS0080?Zl
P03j_7l0n[ao0?ZlO`3j_7h0nkan0?^lO@3k_7`30?W3SP040?W3S@3i`h`0G9C]05bDk@80oooo00<0
00000?ooo`3oool00`3oool010000000oooo0?ooo`00000Z0?ooo`00:@3oool4000000<0oooo00<0
`L7J0>Ei703oool01`3oool20>VgW`80i;f_00@0i;f^0?6FB@3bV4`0YbP00`3oool20>ZeV`80jkRN
00T0jkRM0>bhW03/^9/0li]=0?BMD@3dWU<0khhj0>n@?03X]9d00P3]]YH20>feUP080>jeU@3^]I@0
k[FD0?>JA03dW4T0mIe;0>2cZ03]]9D20>fdU0<0k[BC00@0k[BB0>jdT@3`]i80l;NB0`2ZXLd20>^d
V0040>bdU`3/]9H0k;BF0>bdUP80lKF>00P0lKF=0?6eS03a]H`0l[F<0?:eR`3b]HX0h[BV0>:cYP80
hk>U0`3a]Hd01P3a]8d0lKB<0?6dR`3a]8/0l[B;0?:dRP<0m;N90`2FV=<00`3_]I<0kkFB0>neTP02
0>neT@050?2eT03d]XH0m;J60?BfQP3e]XD00P3e]X@20?FfP`030?JfP`3f]X80iKNV00<0iKNU0P3d
]XP00`3d]XL0m;J60?FfQP020?FfQ@040?FfQ03f]X@0mkR20?NhPP<0mkR10P2@VmX20?>iS`<0lkV>
00@0lkV=0?NhP@3g^840n;R00P3h^7l00`3h]gl0n;Mn0?RgO@020?RgO@80n;b50P3[_JD20>^nY@05
0?RjQ03h^H<0n;V30?RiP`0000000P3h^H400`3i^h00nKYo0?ZjOP020?ZjOP80n[Ym00D0n[Yl0;>e
fP2c]MX0/kGJ0?NnS@030?NnS0030?RnR`3j_7l0n[ao0080n[an00<0nkan0?^lO@3k_7`00P3i`hh2
0?W3S@060?W3S03j`h`0GIG]05fEk@3oool000001@3oool010000000oooo0?ooo`00000Z0?ooo`00
9P3oool3000000H0oooo00@0iKZY0<71fP31`MX0igdR1`3oool30>VgW`060>Bm[`3T_Jh0lIE60?:H
C03bVDh0[Bl00P3oool30>ZeV`80jkRM00H0k;RL0>bhV`3cVdd0m9eA0?BND`3dWe@20>RdW@80kKJF
00P0kKFF0>jeU@3^]ID0k[FD0>jeT`3cVT@0m9]70?FMB`80h;>X0P3]]9@20>jdT`80k[BB00H0k[BA
0>ndT03`]i40l;NA0:ZQc@2XX<h20>^dV0050>bdU`3/]9H0k;BF0>bdUP3a]Hh00P3a]Hd01@3a]H`0
l[F<0?:eS03b]H/0l[F:0080h[>V0`3S/jD01@3a]Hd0lKB=0?6dS@3a]8`0lKB;0080l[B;00<0l[B:
0?:dR@3d]hT00P3d]hP209JHd`<0kkFB0P3_]I401@3`]I00m;J60?BfQP3d]XH0mKJ50080mKJ40P3e
]X<00`3f]X<0m[J20>FgY@030>FgY@050?BfR03d]XL0m;J70?BfQP3e]XH00P3e]XD0103e]X@0m[J4
0?NhPP3g^8830?NhP@80RYSK0P3c^Hl20?>iSP<0lkV=00<0mkR10?RhP03h^7l00P3h]gl0103h]gh0
n;Mm0?RgO@3h]gd20?RlQ@80jkfU0P3[_ZD01@3[_ZH0n;V30?RiP`3h^X8000000080n;V100<0nKV0
0?VjO`3j^Wh00P3j^Wh20?ZjO@80n[Yl00<0/kGJ0:ncg03g_Xd00`3g_X`0103h_X/0n[ao0?ZlO`3j
_7h20?^lOP040?^lO@3k_7`0nkal0?W3SP80nL>=00<0nL><0?[3S03j`h/00P1OU^d00`3oool00000
0?ooo`030?ooo`040000003oool0oooo000002X0oooo000S0?ooo`<000002@3oool01@3U^ZT0i[ZX
0>JjZ03WOB80j80W00D0oooo103Y]il01`3Y]Yh0i;f^0?6EAP3aUTT0lYU>0?:JD02];`00103Z]I/0
203[]9X0k;RL0>bhW03/^9/0li]=0?BLC`3dWU<0m9mD0P3X]9d0103Y]9`0kKFF0>feUP3^]ID20>je
U0030>jeT`3cVT@0m9]700<0h;>X00@0kKBD0>jdT`3^]9<0k[BC0P3^]980103^]940kkB@0?2gT@3`
]i430:RPcP80k;BG0`3/]9H01@3]]9D0lKF=0?6eS@3a]H`0l[F<0080l[F;00<0l[F:0?:eR@3R/jH0
103S/jD20?6dS@030?6dS03a]8/0l[B;0080l[B:0P3b]8T20?BgR0030?BgQ`2AU]@0kkFB0080kkFB
00D0kkFA0?2eT03`]I00l;F@0?BfQP020?FfQ@80mKJ400<0mKJ30?JfP`3f]X<00P3f]X830>FgY@06
0>JgY@3d]XL0m;J70?BfQP3e]XH0mKJ50P3e]X@00`3f]X@0m[J30?NhPP020?NhP@80n;N00P2:V=/3
0?>iSP<0lkV=00<0m;V<0?RhP03h^7l00P3h]gl02@3h]gh0n;Mm0?RgO@3h]gd0n;b50?RkQ03i^h@0
jkfU0>^nY@020>^nYP80n;V300H0n;Z20000003h^H40n;V10?ViP03i^Wl20?ZjOP<0n[Ym0P3j^W`0
0`3CK@00[k?L0?NnS0030?NnS0040?RnR`3h_h/0n[ao0?ZlOP80nkan00D0nkam0?^lO03k_7`0nkal
0?W3S@020?W3S0050?[3S03j`h/0H9O]062Gk@3oool00P0000030?ooo`040000003oool0oooo0000
02X0oooo000Q0?ooo`@000002@3oool20>FjZ@80i[ZX00<0iGTL0>R09`3ZPb`0103oool40>VgW`07
0>VfWP3Z]Yd0lYM50?6FB@3bV4`0lYY@0?>KDP040>ZeV`080>^dVP3/^9`0k;RL0>bhV`3^SRX0m9a?
0?BMD@3dWe@20>RdW@040>VdW03]]IH0kKFF0>jeU@80k[FD00<0k[FC0>jeTP3dVdL00`3P/jP01@3Q
/jL0k[BC0>jdT`3^]9<0k[BB0080k[BA0P3_]9020?6gT0040:RPcP2UW/h0k;BG0>bdU`<0k;BF00D0
kKBE0>fcU03a]H`0lKF<0?:eS0020?:eR`030?:eRP3b]HT0hk>U00@0hk>U00D0lKB=0?6dS03a]8`0
lKB;0?:dR`020?:dRP80l[B900D0m;N80?BgQ`3d]hL0mKN7096Fe0020>neTP050>neT@3`]I00l;F@
0?2eT03d]XH00P3e]XD20?FfQ0030?FfP`3f]X<0m[J30080m[J20P3U]jD20>JgY@050?BfQ`3d]XH0
m;J60?FfQP3e]XD00P3e]X@00`3f]X@0m[J30?NhPP020?NhP@040?RgP03h]gl0PiCK08>Df`<0lkV>
0`3c^Hd0103d^H`0n;R00?RhO`3h]gl20?RgOP<0n;Mm00<0nKMl0?RkQ03i^h@00P3[_ZD30>^nYP04
0?RiP`3h^X8000000?RiP@80nKV000<0nKUo0?ZjOP3j^Wh00`3j^Wd20?ZjO0030?ZjN`2//mh0[;?N
00<0mkj<00D0n;j;0?RoR`3h_h/0n[an0?^lOP020?^lO@<0nkal00@0nL>=0?W3S03i`h`0n/><0P3j
`h/0101QUnd000000?ooo`0000040?ooo`800000:`3oool001h0oooo0`00000=0?ooo`080>FjZ@3V
^ZP0i[ZX0>JjZ03aUDL0igdR0>R09`3ZPb`30?ooo`<0jKNO0P3Y]Yh01P3Z]Yd0lYM50?>IB03bV4`0
lYY@0?>KDP<0j[FK0P3[]9X01P3[]9T0k;RK0>bhV`3^SRX0m9a?0?BMD@80j;BM0P3Y]9`0103Y/i/0
k[FE0>jeU@3^]I@20>jeT`040>jeTP3dVdL0h;>X0>2cZ080hK>W0`3^]9<00`3^]980k[BA0>jdT@02
0>ndT080lKN@0`2UW/h30>bdUP80kKBE00D0kK>D0?6eS03a]H`0l[F<0?:eR`020?:eRP030?:eR@3c
]HT0hk>U00<0hk>U00H0hk>T0?6dS03a]8`0lKB;0?:dR`3b]8X30?:dR@050?>dR03d]hL0mKN70?Fg
Q`2<Tm@00P3_]I801P3_]I40l;F@0?2eT03`]I00l;F?0?FfQ@<0mKJ400<0mKJ30?JfP`3f]X800P3f
]X800`3f]H40iKNU0>JgY@020>JgY@80m;J600<0mKJ60?FfQ@3e]X@00P3f]X@20?JfP`80mkR100<0
n;N00?RgO`3h]gl00P23U=/20?>iSP<0lkV=0P3d^H`00`3h^7l0n;Mo0?RgOP040?RgO@050?VgO03i
]g/0nK^40?VkP`3[_ZD00`3[_ZH0103h^H<0n;Z20000003h^H420?ViP080nKUo00@0n[Yn0?ZjO@3j
^Wd0n[Ym0P3j^W`00`3j^W/0[;?N0:Rbg`020?NnS080n;j;0P3h_h/0103j_7h0nkan0?^lO@3k_7d3
0?^lO0040?^lN`3i`h`0n/><0?[3S0<0n/>;00@0HIS]0?ooo`3oool00000<03oool001`0oooo0P00
00060?ooo`030=fo^P00HMD0oooo00L0oooo00X0iKZY0>JjZ03V^ZP0i[ZW0?6EA`3bUdX0j80W0>Z3
;03[QS00oooo103Y]il01`3Y]Yh0j[JM0>ZfW@3Z]Y`0liU80?:HC03bVDh0103Z]I/0103[]9X0jkBI
0>^dV@3[]9P20>bgVP040>n@;`3dWE40j;BM0>RdW@80jKBL00D0jK>K0>VcVP3^]I@0k[FD0>jeT`02
0>jeTP80h;>X0`3Q/jL01@3Q/ZH0k[BC0>jdT`3^]980k[BA00<0kkB@00D0kkB?0?6gT03a]i00YIk>
0::Lc`030>bdUP80kKBE00D0kK>D0>fcT`3b]H`0l[F<0?:eR`020?:eRP030?:eR@3c]HT0hk>U0080
hk>U0P3S/j@01@3a]8`0lKB;0?6dR`3b]8/0l[B:00<0l[B900H0lkB80?BgQ`3e]hL0mKN70?FgQP2<
Tm@20>neT@<0l;F@00<0l;F?0?FfQ@3e]X@00P3e]X@00`3e]X<0m[J30?JfPP020?JfPP030?JeP@3V
]jD0i[NU0080i[NU00H0m;J60?FfQP3e]XH0mKJ50?FfQ03f]X@30?JfP`030?JfPP3g^840n;N00080
n;Mo00@0n;Mn07b@g03c^Hh0lkV>0P3c^Hd30?BiS0030?RhO`3h]gl0n;Mn00<0n;Mm0P3i]g`20?Vg
N`030?VkP`3[_ZH0jkjV00<0jkjV0P0000000`3h^H40nKV00?ViP0020?ViO`030?ZjOP3j^Wd0n[Ym
00<0n[Yl0P3j^W/20:Rbg`030?NnS03h_X/0n;j;0080n;n;00<0n;n:0?^lOP3k_7d0103k_7`00`3k
_7/0nL><0?[3S0040?[3R`80HIS^0P3oool00`000000oooo0?ooo`0]0?ooo`006@3oool5000000H0
oooo0P3M_kX00`3[QC00oooo0?ooo`040?ooo`040>FgY@3U^ZT0i[ZX0>JjZ080i[ZW00H0lYM:0?:H
C@3bV4d0jhH`0>b8=03T]JD20>VgW`80jKJN00H0j[JM0>ZfW03Z]Y`0liU80?>JBP3bVDh40>ZeV`04
0>^dVP3[]9T0jkBI0>^dV080k;NJ00D0ki0_0?2B<P3X]9d0j;BM0>VdW0020>VcV`040>VcVP3^]I@0
k[FD0>jeT`80k[FB00@0kkFB0>2cZ03Q/jL0hK>W0P3Q/ZH0103^]9<0k[BB0>jdTP3^]9430>ndT003
0>ndS`3`]8l0lKN?00<0XYc?0P3/]9H0103]]9D0kK>D0>fcU03]/i<20?:eS0060?:eR`3b]HX0l[F9
0?:eR@3c]HT0lkF80P3S/jD30>>cY080lKB;00<0l[B;0?:dRP3b]8T00P3b]8T00`3c]8P0lkB70?Fg
Q`020?FgQP0308N?e03_]I40kkFA0080l;F@0P3`]Hl01P3a]Hh0mKJ40?FfQ03e]X@0mKJ30?JfP`80
m[J20`3f]H430>JgY@060>JgY03e]XH0mKJ60?FfQ@3e]X@0m[J40`3f]X<00`3f]X80mkR10?RgP002
0?RgO`030?RgOP1eSM`0MHgL00<0lkV=0`3d^H`00`3d^H/0n;Mo0?RgOP030?RgO@80nKMl0P3i]g/2
0?VkP`070>^nYP00000000000000003[_jH000000?RiP@020?ViP080nKUo00<0nKYn0?ZjO@3j^Wd0
0`3j^W`20?ZjN`<0YK3P00L0n;j;0?RoR`3h_h/0n;n;0?RoRP3i_hT0nkam00@0nkal0P3k_7/00`3j
`h`0n/>;0?[3R`030?[3R`80HIS^00<0oooo0000003oool0;P3oool001P0oooo0P0000090?ooo`@0
gKnj00<0k8Pe0?ooo`3oool00`3oool00`3U]jD0i[ZX0>JjZ0020>JjY`070>NiYP3aUDL0lYQ=0?:H
C@3ZPb`0k8Pd0>BeY@020>VgW`030>VfWP3Z]Yd0j[JM0080j[JL00@0lYM50?>JBP3dW4d0gK>]0P3Z
]I/20>^dVP070>^dV@3[]9P0jkBH0>^dV03]]iX0kXhZ0;:Uc0020>RdW@050>VdW03Y/i/0jK>K0>Vc
VP3Z/iX00P3^]I<0103^]I80kkFB0>neTP3_]I420>6cY`<0hK:V0P3^]9802P3^]940kkB@0>ndT03_
]900kkB?0?2dS`3`]8h0lKN?0::Lc`2PVll20>bdUP030>fdU@3]/i@0kK>C0080kK>C0P3b]H/0103b
]HX0l[F90?>eR@3c]HT20?>eR0050>>cY@3S/j@0hk>T0>>cY03a]8/00P3b]8/00`3b]8X0l[B90?:d
R@020?>dR080lkB70`3e]hH01027Sm@0l;F@0?2eT03`]I020?2eS`80lKF>00@0mKJ40?FfP`3e]X<0
m[J30P3f]X830?JeP@80i[NU0P3V]j@01@3e]XH0mKJ50?FfQ@3e]X@0m[J400<0m[J30P3f]X800`3h
]h00n;Mo0?RgO`020?RgOP0407F=g03c^Hd0lkV=0?>iS@<0m;V<00<0m;V;0?RgO`3h]gh00`3h]gd2
0?VgO080nKMk0`0000030>^nYP030>^oYP3h^H4000000080nKV00P3i^Gl00`3i^Wh0nKUn0?ZjO@03
0?ZjO080n[Yk00@0n[Yj0:F`h02Q[n80n;j;0`3h_h/00`3h_hX0nKn90?^lO@040?^lO080nkak00<0
nkaj0?[3R`3j`h/00`3j`h/2066HkP80oooo00<000000?ooo`3oool0;03oool001P0oooo0`000007
0?ooo`80i;V[0`3M_kX00`3[QC00kH/i0?ooo`020?ooo`80iKNU00H0i[NT0>JjZ03V^ZL0i[ZW0>Ni
YP3aUDL20?:HC@060?:IC`3T]JD0i;FU0>FeY03Y]il0jKJN0P3Z]Yd20>ZfW0040?:GA@3cVDP0gK>]
0=fc[@80j[FK00<0jkBJ0>^dV@3[]9T00`3[]9P0103/]9L0/ZG<0;:Uc02bYL`20>VdW0040>VcV`3Y
/iX0jK>J0>ZcVP80k[FC00H0k[FB0>neTP3_]I40kkFA0;I@003Q/jL30>6bYP030>jdTP3^]940k[BA
0080kkB@0P3_]8l00`3`]8l0l;B>0?2dSP030:2Kc`80kKBE00@0kK>D0>fcT`3]/i<0kK>C0P3b]H/0
103b]HX0l[F90?>eR@3c]HT20?>eR0@0hk>T00@0i;>S0?:dR`3b]8/0l[B:0P3b]8T20?>dR080lkB7
0`3e]hH01@23SMD0l;F@0?2eT03`]I00l;F?00<0lKF>00@0mKJ40?FfP`3e]X<0m[J30P3f]X830?Je
P@030?NeP03V]jD0i[NT0080i[NT0P3e]XD00`3e]X@0m[J40?JfP`020?JfP`80m[J200<0m[J10?Rg
O`3h]gl00P3h]gh206j9g080lkV=0P3d^H`30?BiR`050?RgOP3h]gd0n;Mm0?RgO@3i]g`00`000002
0?VgNP030?VkPP3[_ZH0jkjV0080jknV0P3h^H401`000000nKV00?ViO`3i^Gl0nKYn0?ViOP3j^Wd0
0`3j^W`20?ZjN`040?ZjNP3k^WX0XJoR0:6_hP<0n;n;00<0n;n:0?VoR@3k_7d0103k_7`20?^lN`03
0?^lNP3l_7X0n/>;00<0n/>;00@0n/B:066HkP1QV>h0oooo0P00000]0?ooo`004@3oool2000000D0
oooo00@000000<_2dP3;`]8000001P3oool20>BiZ`060>BiZP3M_kX0g[ji0>f;<`3]RcT0kXdm0P3o
ool00`3U]jD0i[NT0>JgY0020>JfY0070>JjY`3W^JH0ih4I0?:GBP3bV4d0lYU?0>BeY@020>FeY003
0>FeX`3Y]Yh0j[JM0080j[JL00<0jkJK0000N@3cVDP00P3M/jd00`3N/j`0j[FK0>^dVP020>^dV@<0
jkBH00@0k;BG0>fgV@2bYL`0/JG<0P3Y]9`01@3Y/i/0jK>J0>ZcVP3Z/iX0j[>I0080k[FB00@0kkFB
0>neT@3_]I40kkFA103Q/ZH00`3R/ZD0k[BA0>jdT@020>ndT080kkB?00H0l;B?0?2dSP3`]8h0l;B=
0:2Kc`2NVLl20>fdU@050>fcU03]/i<0kK>C0>fcT`3^/i800P3b]HX00`3b]HT0lkF90?>eR0020?>e
R0030?>eQ`3S/j@0hk>T0080i;>S00<0l[B;0?:dRP3b]8X00P3b]8T01P3c]8P0lkB70?>dQ`3c]8L0
lkB60?FgQP80mKN500@0PhgE0?2eT03`]I00l;F?0`3a]Hh0103a]Hd0mKJ30?JfP`3f]X<20?JfPP80
m[F10P3g]H040>JgY0040?FfQ@3e]X@0mKJ40?JfQ080m[J30`3f]X800`3f]X40n;Mo0?RgO`020?Rg
OP040?RgO@1^RM`0lkV=0?>iS@80m;V<0`3d^H/00`3e^HX0n;Mm00000002000000030?VgO03i]g/0
nKMk00<0nKMj00D0nK^20>^nYP3[_jH0jknV0?RiP@020?ViP0060000003i^Gl0nKUo0?VjOP3i^Gh0
nKUm0P3j^W`30?ZjN`030?ZjNP3k^WX0WJkS0080WJkS00<0n;n;0?RoRP3i_hT00P3i_hT30?^lO0<0
nkak00<0nkaj0?blNP3j`h/00`3j`h/20?[4RP80H9S^00<0oooo0000003oool0;03oool00100oooo
00@000000?ooo`3oool00000103oool01@000000bl;B0<[2d`2Y:000000000@0oooo0`3T^J/02@3T
^JX0i;VY0=jn^@3]Rc<0k8Pe0>j=?@3_Sd40oooo0>FgY@020>JgY080i[JT00L0i[JS0>NiYP3W^JH0
lYM:0?:HC@3bVDl0i;FU0080iKFT00<0iKFS0>ZfW@3Z]Yd00P3Z]Y`20>^fV`040?>IB03M/jd0g[>/
0=jc[080jkBJ00<0jkBI0>^dV03[]9P00P3[]9P00`3/]9L0k;BF0;6Uc0020;6Uc080jK>K00@0jK>J
0>ZcVP3Z/iX0j[>I0P3^]I801@3_]I80kkFA0>neT@3_]I40_UP00080hK:V0P3R/ZD01@3^]940kkB@
0>ndT03_]900kkB?0080l;B?0P3`]8h01P3`]8d0WYW?09jIc`2NVLl0kKBE0>fcU0<0kK>C00D0k[>B
0?:eRP3b]HX0l[F90?>eR@030?>eR0030?>eQ`3S/j@0hk>T0080i;>S00<0i;>R0?:dRP3b]8X00P3b
]8T02@3c]8P0lkB70?>dQ`3c]8L0lkB60?FgQP3e]hD0m[N507j:e@020?2eT0060?2eS`3a]Hh0lKF>
0?6eSP3a]Hd0mKJ30P3f]X<20?JfPP80m[F10P3g]H001@3g]Gl0i[NT0>JgY03V]j@0ikNS0080mKJ4
00<0m[J40?JfP`3f]X<00`3f]X800`3f]X40mkJ10?RgOP020?RgOP030?RgO@1WQM`0IhGL00<0m;V<
0P3d^H/300000080n;Mm0P3i]g`20?VgN`<0nKMj00<0nK^20>^oYP3[_jH00P3[_jH20?ViP0080000
003i^Gl0nKUo0?VjOP3i^Gh0nKUm0?ZjO@3j^W`30?ZjN`070?ZjNP3k^WX0nkYi09f^h`2J[N@0n;n;
0?RoRP030?VoR@030?W0R03k_7`0nkal00<0nkak00<0nkaj0?blNP3l_7X00`3j`h/20?[4RP050?[4
R`1OUnh0GiO^0?ooo`000000;03oool00100oooo00@000000?ooo`3oool000000`3oool200000080
b/;C00<0j7lU0;De000000000`3oool20>BiZ`80i;VZ00H0i;VY0>FiZ03N_[P0kXdh0>f;>@3_Sd42
0>FgY@050>JgY03V]Z@0i[JT0>JfY03V]Z<00P3W^JH01@3YQ1l0]:_@0>BeY@3T]JD0iKFT0080iKFS
00@0i[BR0>ZfW@3Z]Y`0j[JL0P3[]Y/01@3[]YX0gK>]0=jc[03N/j`0g[>[0080jkBI0`3[]9P20>bd
U`80k;BF00H0/JG<0;2Tc03Y/i/0jK>K0>VcVP3Z/iX20>ZcV@030>ZcV03_]I80kkFB00<0kkFA00<0
l;F@0>6bYP3Q/ZH00P3R/ZD01P3R/Z@0kkB@0>ndT03_]900kkB?0?2dS`<0l;B>0P3`]8d209jIc`80
kK>D0P3]/i<20>jcTP040>jcT@3b]HT0l[F90?>eR@<0lkF80P3c]HL01@3S/j@0i;>S0>BcXP3T/j80
l[B:00<0l[B900L0lkB80?>dQ`3c]8L0lkB70?>dQP3d]8H0mKN50080m[N500<0OX[E0?2eS`3`]Hl0
0`3a]Hh00`3a]Hd0lKF<0?JfP`030?JfPP80m[F100<0mkF00?NeO`3g]Gl00P3V]j@20>NgX`030?Ff
Q03f]X@0m[J40080m[J30`3f]X800`3f]X40mkJ10?RgOP020?RgOP80n;Mm0P1WQM`01P3d^H`00000
000000000000m;V;0?FiRP<0n;Mm0P3i]g`20?VgN`<0nKMj00<0nKMi0?VkP@3[_jH00P3[_jH02P3/
_jH0nKV00?ViO`000000nKUo0?VjOP3i^Gh0nKUm0?ZjO@3j^W`20?ZjN`80n[Yj00<0nkYj0?^jN@3k
^WT00P2J[N@0103h_hX0nKn90?VoR@3i_hT20?W0R0050?^lO03k_7/0nkak0?^lN`3k_7X00P3l_7X3
0?[3R`80n/B:00D0n/B;05jFkP1NU^h0oooo0000000/0?ooo`00403oool010000000oooo0?ooo`00
00030?ooo`0;0000003oool0oooo0<[2d`39`]<0jH8Z0;m100000000oooo0=fh/P3T^J/00P3T^JX2
0>BiZ@060>FiZ03U^:P0kH/c0>n?>`3^SCd0ekJh0P3V]j@20>JfY080i[JS00<0ikJR0>NiY@2dZm00
0P2dZm020>FeY080iKFS00@0i[BR0>JdX@3Z]Y`0j[JL0P3[]Y/00`3[]YX0g[>/0=jc[0020=jcZ`80
jkBI0`3[]9P0103/]9L0k;BF0>bdUP3/]9H30;2Tc080jK>J00D0j[>J0>ZcV@3Z/iT0j[>H0>^cU`04
0>neT@040?2eT03`]Hl0hK:V0>:bY@80h[:T0`3_]900103_]8l0l;B?0?2dSP3`]8h30?2dS@80W9S?
00@0kK>D0>fcT`3]/i<0kK>C0P3^/i80103^/i40l[F90?>eR@3c]HT20?>eR0<0lkF70P3T/j<20>Bc
XP050>FcXP3b]8T0l[B90?:dR@3c]8P00`3c]8L01P3c]8H0m;B60?BdQ@3f]hD0m[N407Z7e@80l;F?
0P3a]Hh20?6eS@030?6eS03f]X<0m[J20080m[J20P3f]H400`3g]H00mkEo0?NeO`020>JgY0<0ikNS
00@0m[J40?JfP`3f]X<0m[J30P3f]X820?JfP@040?NfP@3h]gh0n;Mn0?RgOP80n;Mm0`0000000`3d
^H`0m;V;0?BiR`020?FiRP80n;Mm0P3i]g`30?VgN`<0nKMj00<0nKMi0?VkP@3i^h400P3[_jH02P3/
_jH0nKV00?ViO`3i^Gl000000?VjOP3i^Gh0nKUm0?ZjO@3j^W`20?ZjN`030?ZjNP3k^WX0nkYj0080
nkYi0P2FZnD40?VoR@80nL2800D0nkal0?^lN`3k_7/0nkak0?^lNP020?blNP030?bmN@3j`h/0n/B:
0080n/B:00<0n/B;0?_4R`1LU^d00P3oool00`000000oooo0?ooo`0Y0?ooo`00403oool010000000
oooo0?ooo`0000030?ooo`0;0000003oool0oooo0?ooo`39`]<0j7lU0>^5;`3oool000000=fh/P3N
^;400P3T^JX01P3T^JT0iKVX0>FiZ03U^:P001NS0>n?>`80ekJh0P3V]j@20>JfY0070>JfX`3W]Z80
ikJR0>NfX@3X^J@0]:_@0;B[c`020>FeY0030>FeX`3V]:80i[BR0080i[BQ0`3[]Y/00`3[]YX0jkJI
0=jc[0020=jcZ`030=ncZP3[]9P0jkBH0080jkBH00L0k;BG0>bdUP3/]9H0k;BF0>fdU@2`Y<`0[j?<
0080jK>J00D0j[>J0>ZcV@3Z/iP0j[>H0>^cU`040>neT@040?2eT03`]Hl0h[:U0>:bY@80h[:T00D0
hk:T0>ndT03_]900kkB?0?2dS`020?2dSP<0l;B=00<0lKB<09bHc`2LV<l00`3]/i<0103^/i80k[>A
0>jcT@3^/i420?>eR@80lkF80`3c]HL00`3d]HH0i;>S0>BcXP020>FcXP<0l[B900<0lkB80?>dQ`3c
]8L00P3c]8H00`3d]8H0m;B50?JgQ@020?JgQ00407Z7e@3a]Hh0lKF>0?6eSP80lKF=00<0lKF<0?:e
S03f]X800P3f]X820?JeP@050?NeP03g]Gl0mkEo0?NeOP3V]j@00`3W]j<0103f]X@0m[J30?JfP`3f
]X<20?JfPP80m[J100<0mkJ10?NfO`3h]gh00`0000000`3i]g`0H87L0621g0030?BiR`040?FiRP3e
^HT0mKV90?RgO@80nKMl0`3i]g/30?VgNP80nKMi00D0nK^10>^oYP3[_jH0k;nV0>c0YP020?ViO`06
0000003i^Wh0nKUn0?ViO@3j^Wd0n[Yl0P3j^W/00`3j^WX0nkYj0?^jNP030?^jN@0309J[i@3i_hT0
nKn90080nKn90`3i`8P20?^lN`80nkaj0P3l_7X20?bmN@<0n/B:00@0n/B;0?_4R`3ka8/0FiG]0P3o
ool00`000000oooo0?ooo`0X0?ooo`00403oool010000000oooo0?ooo`0000030?ooo`030000003o
ool0oooo0080oooo00<0eVD00>V2:P3/R3@00P3M^;820=jh/@030>BiZP3T^JT0iKVX0080iKRX00D0
iKRW0=Nf^03G][P0ekJh0=Rf]`020>JfY080i[JS0P3W]Z820>NfX@<0]:_?0P3U]J<00`3V]:80i[BQ
0>JdX@020>JdX@80jkJK00@0jkJJ0>^fV@3N/j/0g[>[0P3O/jX01@3O/jT0jkBH0>^dV03[]9P0k;BG
00<0k;BF00@0kKBE0:nSc02_Xl`0[j?<0P3Z/iX00`3Z/iT0j[>H0>ZcV0020>^cU`<0kkFA00D0l;F@
0?2eS`3`]8l0h[:U0>:bY0020>>bY0040>ndT03_]8l0kkB?0?2dS`80l;B>0`3`]8d00`3a]8`0VYO?
09ZGc`030>fcT`050>jcTP3^/i40k[>A0>jcT@3c]HT00`3c]HP30?>eQ`030?BeQP3T/j80i;>R0080
iK>R00@0iK>Q0?:dR@3c]8P0lkB80P3c]8L20?>dQP030?BdQP3d]8D0m;B50080m[N400D0MXGE0?6e
SP3a]Hh0lKF>0?6eS@020?6eS0040?:eS03f]X80m[J20?JfPP80m[F100@0mkF00?NeO`3g]Gl0mkEn
1@3W]j<30?JfP`80m[J200<0m[J10?NfP@0000000P0000030?RgO@030?VgO01HOM`0F7gL00<0m;V;
00@0mKV:0?FiR@3e^HT0mKV90P3i]g`30?VgN`<0nKMj0P3i]gT01@3j]gP0nK^00>boYP3/_jH0k<2V
0080nKUo00D0nKYn0000003i^Gh0nKUm0?ZjO@020?ZjO0040?ZjN`3j^WX0nkYj0?^jNP<0nkYi0P2B
ZnL30?VoR@<0nL280P3k_7/0103k_7X0o;aj0?blNP3l_7X20?bmN@80n/B:0P3ja8/20?_4R`040?_5
R`1ITnd00000000002X0oooo000A0?ooo`800000103oool2000000@0oooo00<0fFT00>b8=03M^;80
0`3N^;40103N]k00i;VY0>FiZ03U^:P20>FhY`070>JhYP3G][P0f;Jg0=Rf]`3I]KD0i[JT0>JfX`02
0>NfXP<0ikJQ00<0j;VS0;B[c`2dZll00P3U]J<00`3V]:80i[BQ0>JdX@020>JdX@80jkJK00@0jkJJ
0>^fV@3/]IT0g[>[0P3O/jX01@3O/jT0h;>X0>^dV03[]9P0k;BG00<0k;BF00@0kKBE0>fdU02_Xl`0
[Z?<0P3Z/iX00`3Z/iT0j[>H0>^cU`020>^cU`060>^cUP3_]I40l;F@0?2eT03`]Hl0l;B?0P3R/Z@2
0>>bY0040>>bX`3_]8l0kkB?0?2dS`80l;B>0P3`]8d30?6dS080VYO?0P3]/i<01@3^/i80k[>A0>jc
T@3^/i40kk>@00<0lkF80P3c]HL30?BeQP050>BcXP3U/j80iK>Q0>FcX@3b]8T00P3c]8P20?>dQ`03
0?>dQP3d]8H0m;B60080m;B500<0m;B40?JgQ03f]h<00`3a]Hh01P3a]Hd0lKF<0?6eS03b]H`0l[F;
0?JfPP<0m[F100<0mkF00?NeO`3g]Gl00P3g]Gh40>NgX`040>RgXP3f]X<0m[J30?JfPP<0000000<0
mkJ10?NfO`3g]Wl00`3h]gd20?VgO080F7gL0P3d^H/0103e^HX0mKV90?FiR@3e^HT20?VgO080nKMk
103i]gX20?VgN@030?ZgN03i^h00k;nV00<0k<2V00H0nKUo0?VjOP3i^Gh000000?ViO@3j^Wd30?Zj
O0030?ZjNP3k^WX0nkYi00@0nkYi0P2>ZNL00`3i_hT0nL280?W0R0020?W0R0030?[0Q`3k_7/0nkaj
00<0o;aj0`3l_GT00`3ja8X0n/B;0?_4R`020?_4R`050?_5R`1FT^d0oooo0?ooo`000000:@3oool0
01L0oooo00<000000?ooo`3oool00`3oool209VXh0080=fh/P3N^;40g[Ra0=jh/@3N]k00gkN_0>Fi
Z03U^:P20>FhY`050>JhYP3H][L0f;Jg0=Rf]`3I]KD00P3V]Z<20>NfXP<0ikJQ00@0j;JP0;B[c`2d
Zll0]:_?0P3V]:840>JdX@050>NdX03[]YX0jkJJ0>^fV@3/]IT00P3O/jX20=ncZ@80h;>X0P3/]9L2
0>bdUP80kKBE00@0kKBD0:jSc02^Xl`0[Z?<0P3Z/iT0103Z/iP0jk>G0>^cU`3[/iL20>^cUP80l;F@
00D0l;F?0?2dS`3`]8h0h[:T0>>bY0020>>bX`040>ndS`3`]8l0l;B?0?2dSP<0l;B=0`3a]8`209VF
c`030>fcT`3^/i80k[>B00<0k[>A00@0kk>@0>ncS`3c]HP0lkF80P3c]HL30?BeQP80iK>R0P3U/j40
0`3V/j00lkB80?>dQ`020?>dQ`030?>dQP3d]8H0m;B60080m;B500@0m;B40?JgQ03f]h<0LX?E0P3a
]Hh01P3a]Hd0lKF<0?:eS03b]H`0l[F;0?JfPP<0m[F100<0mkF00?NeO`3g]Gl00P3g]Gh40>NgX`08
0>RgXP00000000000000003f]X80m[J10?NfP@3g]X020?NfO`030?NfOP3h]gd0n;Mm00<0nKMl00@0
DGSK0?BiR`3d^H/0mKV:0`3e^HT0103f^HP0nKMl0?VgN`3i]g/40?VgNP80nKMi0P3j]gP02P3i^h00
k<2V0>c0YP3/`:H0k<6V0?VjOP3i^Gh0nKUm0000003j^Wd30?ZjO0030?ZjNP3k^WX0nkYi00@0nkYi
0P2;YnP00`3i_hT0nL280?W0R0020?W0R0030?[0Q`3k_7/0nkaj00<0o;aj103l_GT01@3ja8/0nlB;
0?_4R`3ka8/0nlF;0080Di7/0P3oool00`000000oooo0?ooo`0V0?ooo`005P3oool00`000000oooo
0?ooo`050?ooo`0409VXh02LZMl0g[Ra0=jh/@80g[N`00@0gkN_0>FhZ03U^:P0iKRW0`3V^:H01@3H
][L0fKFe0=Ve]@3I]K@0i[JS0080ikJR0`3W]Z400`3X]Z00j;FO0;B[c`020;BZcP@0i[BQ0P3W]:00
1`3W]9l0jkJI0>^fV@3/]IT0k;FH0=ncZP3O/jT00`3P/jP01@3/]9L0k;BF0>bdUP3/]9H0kKBE00<0
kKBD00D0[Z?<0:jRc03Z/iT0j[>I0>ZcV0030>^cU`80jk>F00D0l;F@0?2eS`3`]Hl0l;B?0?2dSP02
0>>bY080hk:S00@0i;:R0?2dS`3`]8l0l;B>0`3`]8d30?6dS0030?6dR`2IU/l0VIK?0080k[>B0`3^
/i400`3_/i00kk>?0?>eR0030?>eQ`<0m;F600<0m;F50>FcXP3U/j400P3V/j001P3c]8P0lkB70?>d
Q`3c]8L0lkB60?BdQP<0m;B50P3d]8@20?JgP`040?6eSP3a]Hd0lKF=0?6eS080l[F<0P3b]H/30?Je
P@030?NeP03g]Gl0mkEo00<0mkEn00D0ikNS00000000000000000>RgXP030?JfPP030?JfP@3g]X40
mkJ00080mkIo0P3g]Wh0103h]gd0nKMl0?VgO03i]g`204]dfP80mKV:0`3e^HT0103f^HP0nKMl0?Vg
N`3i]g/40?VgNP80nKMi0`3j]gP02@3<I@00k<2V0>c0YP3/`JH0nKYn0?ViOP3i^Gd000000?ZjO@03
0?ZjO0030?ZjN`3k^WX0nkYi00@0nkYi00<0nk]h08^Wj02;YnP00`3i`8P0103j`8P0n/270?[0Q`3k
_7X20?blNPH0o;ei0`3ka8/01P3kaH/0nlF<05>Ak01CTN`0oooo000002P0oooo000F0?ooo`800000
1`3oool209bYg`050=jh/@3N]k00gkN_0=ng[`3O]jh00P3U^:L20>JhYP80i[RU00<0fKFe0=Ve]03I
]K@00P3J]K<30>NfX@80j;JP00@0j;FO0>ReWP2dZ/h0]J[>103V]:420>NdX0050>NdW`3[]YT0jkJI
0>beV@3/]IP00P3O/jT40>2cZ0<0k;BF00@0kKBE0>fdU03]]9@0kKBD0`2^X/`20>ZcV080jk>G0`3[
/iH0103//iH0l;F?0?2dS`3`]8l20?2dSP050>>bY03S/Z<0i;:R0>BbXP3`]8l00P3`]8h30?2dS@80
lKB<0P3a]8/00`2IU/l0V9G?0>jcTP030>jcT@80kk>@0P3_/hl30?>eQ`<0m;F600<0m;F50>FcX@3U
/j400P3V/j001P3V/il0lkB70?>dQ`3c]8L0lkB60?BdQP<0m;B50P3d]8@00`3e]8<0m[N307:3e@02
0?6eS@030?6eS03b]H`0l[F;0080l[F;00@0l[F:0?JeP@3g]H00mkF00P3g]Gl20?NeOP80000000@0
ikNS0>RgXP3X]j80j;NR0`3f]X800`3f]X40mkJ10?NfP0020?NfO`80mkIn00L0n;Mm0?VgO03i]g`0
nKMl0?VgN`1;M=X0mKV:00@0mKV90P3f^HP20?VgN`@0nKMj0P3i]gT30?ZgN0090?ZgM`3/`:H0k<6V
0>c1YP3]`JH0nKUn0?ViO@3j^Wd0000000<0n[Yl0P3j^W/50?^jN@80nk]h0P27YnX20?W0R0040?[0
R03j`8L0n/270?[1Q`80o;aj1P3l_GT20?_4R`040?_5R`3kaH`0nlF<0?_5S080DHo/00<0oooo0000
003oool09P3oool001H0oooo00<000000?ooo`3oool01P3oool309jYgP070=jg/03O]jl0gkN^0=ng
[P3P]jd0iKRW0>JhYP030>JhY@<0fKFd0P3J]K<30>NfX@80j;JP00<0j;FO0>ReWP3X]Ih00P2eZ/h2
0>JdX@80ikBP0P3W]9l00`3W]9h0k;FI0>beV@020>beV0030=ncZ@3P/jP0h;>X0080h;>X0`3/]9H0
0`3]]9D0kKBD0>fdU0020>fdU0040:jRc02^X//0j[>H0>ZcV080jk>G0`3[/iH0103//iH0k;>E0?2d
S`3`]8l20?2dSP80hk:S0P3T/Z800`3T/Z40l;B>0?2dSP030?2dS@80lKB<0P3a]8/309REc`<0k[>A
0P3_/i020>ncS`<0lkF70`3d]HH0103d]HD0iK>Q0>FcX@3V/j020>JcW`<0lkB700<0lkB60?BdQP3d
]8D00P3d]8D20?BdQ080mKB300D0Kh7E0?6eS@3a]H`0lKF<0?:eS0030?:eR`050?:eRP3f]H40mkF0
0?NeP03g]Gl00`0000000`3g]Gh0mkEm0>NgX`030>RgXP060>RhX@3f]X80m[J10?JfP@3g]X40mkJ0
0P3g]Wl30?NfOP<0nKMl00<0nKMk049af@12LMT0103e^HT20?JiR0030?JiQ`3i]g/0nKMj0080nKMj
0`3i]gT30?ZgN0030?ZgM`3/`:H0k<6V00<0kL6V00@0nKUm0?ZjO@3j^W`000000P3j^W`20?ZjN`D0
nkYi0`3k^gP208>Vj`040?W0R03j`8P0n/270?[0Q`80n/6700<0o;aj0?bmN@3l_GT0103l_GT00`3l
_WP0nlB;0?_5R`030?_5S080CHg[00<0oooo0000000000009P3oool001H0oooo00<000000?ooo`3o
ool01`3oool0102NZMh0XJ[M0=ng[`3O]jl20=ng[P030>2g[@3Q]j`0i[RV00<0i[RU00<0ikNT0=Ve
]03J]K<00P3J]K<0103K]K80ikJQ0>NfX@3X]Z020>ReW`<0j;FN00<0]J[>0>JdX@3V]:400P3W]:00
103W]9l0ikBN0>NdWP3X]9h30>beV0D0h;>X00@0hK>W0>bdUP3/]9H0kKBE0`3]]9@0103]]9<0[Z;;
0:jRb`2^X//30>^cU`80jk>F0P3//iH00`3//iD0l;B?0?2dSP020?2dSP030==`003S/Z<0i;:R0080
i;:Q0P3`]8h20?2dS@<0lKB<0`3a]8/00`2HULl0UiC?0>jcT@020>jcT@050>ncT03_/hl0kk>?0>nc
S`3`/hh00P3c]HL30?BeQP80m;F50P3V/j020>JcW`050>NcW`3c]8L0lkB60?>dQP3d]8H00P3d]8D3
0?BdQ080mKB300D0m[J306n1e@3a]H`0lKF<0?:eS0030?:eR`030?:eRP3c]HT000000080000000D0
mkEo0?NeOP3g]Gh0mkEn0?NeO@030>RgXP80j;RQ00D0m[J20?JfP@3f]X40mkJ10?NfP0020?NfO`<0
mkIn00<0n;Im0?VgO03i]g`00P3i]g/00`12LMT0mKV90?FiR@020?FiR@80m[V800<0m[V70?VgN`3i
]gX00P3i]gX30?VgN@<0n[Mh00<0n[Mg0>c1YP3/`JH00`3]`JH0103i^Gd0n[Ym0?ZjO00000020?Zj
O080n[Yk00@0n[Yj0?^jN@3k^WT0nkYi103k^gP2082Tj`040?W0R03j`8L0n/270?[0Q`80n/6700<0
o;aj0?bmN@3l_GT0103l_GT00`3l_WP0o;ii0?_5R`030?_5S0050?_6SP1:Rn/0BX_[0?ooo`000000
9P3oool001H0oooo0P0000090?ooo`80XJ[M00D0gkN_0=ng[P3P]jd0h;N]0>6g[0040>JhY@040>Ng
Y0000800f[Fc0=Ze/`80fkFb00@0fkFa0>RfX03X]Z00j;FO103X]Ih20;FZcP040>JdX@3W]:00ikBO
0>NdW`80ikBN00D0j;BN0>beV03/]IP0k;FH0>beU`030>2cZ080hK>W00<0k;BF0>fdU@3]]9D00`3]
]9@0103]]9<0k[BC0:jRb`2^X//30>^cU`80jk>F0P3//iH00`3//iD0k;>D0?2dSP020?2dSP030?6d
SP3T/Z80i;:R0080i;:Q00@0iK:Q0?2dS@3`]8d0l;B=0`3a]8`20?6dR`040?6dRP2GU<l0UiC?09ND
c`80k[>A00H0kk>@0>ncS`3_/hl0kk>?0?2cSP3c]HL40?BeQP80m;F50P3V/j00103V/il0ik>O0>Nc
W`3c]8L20?>dQP030?BdQP3d]8D0m;B500<0m;B40P3e]8<00`3e]880KGoD0?6eS0020?:eS080l[F;
0`000000103g]H00mkEo0?NeO`3g]Gl30?NeOP80mkEm0P3X]j820>RhX@040>VhX@3f]X40mkJ10?Nf
P@<0mkIo0`3g]Wh00`3h]Wd0nKMl0?VgO0020?VgN`80?6gH0P3e^HT30?JiR080m[V70`3i]gX30?Vg
N@<0n[Mh0P3j]gL00`3/`JH0kL6V0>g1YP020>g1YP050?ZjO@3j^W`0n[Yl0000003j^W`00P3j^W/0
103j^WX0nkYi0?^jN@3k^WT50?^kN003082Tj`3j`8P0n/270080n/270P3j`HL00`3j`HH0o;ei0?bm
N@040?bmN@030?bnN03l_WT0nlF<00<0nlF<00H0nlJ>0?_7SP16RNX0AXWZ0?ooo`00000U0?ooo`00
5P3oool00`000000oooo0?ooo`080?ooo`<0Xj_M00D0gkN^0>2g[@3Q]j`0hKN/0>6gZ`030>JhY@04
0>NgY03W]j<000200=Ze/`80fkFb00@0fkFa0>RfX03X]Z00j;FO103X]Ih01@3Y]Id0]J[>0>NdX03W
]:00ikBO00<0ikBN00H0j;BN0>RdW@3/]IP0k;FH0>beU`3]]IL20>2cZ080hK>W00<0h[>V0>fdU@3]
]9@00`3]]9@00`3]]9<0k[BC0:jRb`020:jRb`80jk>G0P3[/iH0103//iH0k;>E0>bcU@3//i@20?2d
SP80lKB>0P3T/Z800`3T/Z40iK:Q0>FbX@030?2dS@<0lKB<0P3a]8/20?6dRP80UiC?0P3^/i401P3_
/i00kk>?0>ncS`3_/hl0l;>>0?2cS@@0m;F60`3d]HD20>JcW`80ik>O00@0ik>N0?>dQP3d]8H0m;B6
0P3d]8D30?BdQ080mKB30P3e]8800`1]Om@0l[F<0000000200000080l[F:00@0lkF90?>eR03g]Gl0
mkEo103g]Gh20?NeO@80j;NR00@0j;RQ0>VhX@3Y^:40m[J10P3g]X430?NfO`<0mkIn0P3h]Wd01@3i
]g`0nKMk0?VgN`3i]g/0?6gH0080mKV90`3f^HP20?JiQ`030?NjQP3i]gX0nKMj00<0nKMi0`3j]gP2
0?ZgM`030?ZhM`3]`JH0kL6V0080kL6V00D0n[Ym0?ZjO03j^W`0n[Yl000000020?ZjN`040?ZjNP3k
^WX0nkYi0?^jN@D0nk]h0P1lY>`30?[0Q`80n/6700<0n/660?_2QP3l_GT0103l_GT00`3l_WP0o;ii
0?fnN0030?_5S0040?_6SP3kahh0nlN?04:6j@80oooo00<000000?ooo`3oool08P3oool000H0oooo
1@0000030?ooo`8000001@3oool00`000000oooo0?ooo`0:0?ooo`050:>[g@2TZm`0Y:_L0>2g[@3Q
]j`00P3Q]j/20>:gZ`80ikNT0P3W]j<01@0007P0fkFb0=^e/@3K]K40g;Fa0080j;FO0`3X]Ih20>Ve
W@80]Z[=00@0ikBP0>NdW`3W]9h0ikBN0P3X]9h0203X]9d0j;BL0>beU`3/]IL0kKFG0;mF003P/jP0
hK>W0P3R/jH0103R/jD0kKBD0>fdU03]]9@20>fdT`050>jdT`3^]980[Z;;0:jRb`3[/iL00P3[/iH2
0>bcUP050>bcU@3//i@0k;>D0>fcT`3`]8h00P3a]8h00`3a]8d0i;:Q0>BbX@020>FbX@030>FbW`3`
]8d0l;B=0080lKB<0`3a]8/01@3a]8X0l[B:09NDc`2GU<l0k[>A0080kk>@0P3_/hl20?2cSP<0l;>=
00<0m;F60?BeQ@3d]HD00P3d]HD20>JcW`040>NcW`3W/ih0ik>N0?>dQP80m;B60P3d]8D20?BdQ0<0
mKB300@0mKB200000000000000000`3b]H/00`3b]HX0lkF90?>eR@020?>eR0030?NeO`3g]Gh0mkEn
0080mkEn0`3g]Gd20>RhX@80jKRQ00<0jKRP0?NfP@3g]X000`3g]Wl30?NfOP80n;Im00L0n;Il0?Vg
N`3i]g/0nKMk0?VgNP0gJML0mKV900<0m[V80P3f^HL00`3g^XH0nKMj0?VgNP020?VgN@@0n[Mh0P3j
]gL00`3j^7L0kL6V0>g1YP020>g1YP0;0?ZjO@3j^W`0n[Yl0?ZjO03j^W/000000?ZjN`3j^WX0nkYj
0?^kNP3k^WT01P3k^gP207VSk@060?[0Q`3j`HL0n/670?[1Q`3j`HH0nl:61@3l_GT02P3l_WP0o;ii
0?fnN03m_WT0nlF<0?_6S@3kaXh0nlN>0?_7S`0nQ>P20?ooo`030000003oool0oooo0280oooo0007
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`0;0?ooo`040:B[g02VZm/0hKN/0>6g[080hKN[0P3R]j/01@3R]ZX0ikNS0>NgX`3W]j<0ikNR
0080fkFa0P3L]K400`3L]K00j;FN0>ReWP020>ReWP030>VeW@3Y]I`0jKFL0080]Z[=00@0ikBO0>Nd
WP3W]9h0j;BN0P3X]9d01@3X]9`0k;FG0>beU`3]]IL0kKFF0080hK>W0P3R/jH0103R/jD0kKBD0>fd
U03]]9@20>fdT`030>jdT`3^]980[Z;;0080[Z;;0P3[/iH20>bcUP030>bcU@3//i@0k;>D0080kK>C
00<0lKB>0?6dS@3a]8d00P3T/Z400`3U/Z40iK:O0>FbW`020?2dS@80lKB<0`3a]8/00`3a]8X0l[B:
0?:dRP0209NDc`80kk>@0P3_/hl20?2cSP<0l;>=00<0m;F60?BeQ@3d]HD00P3d]HD00`3d]H@0ik>O
0>NcW`020>NcWP030>RcW@3d]8H0m;B50080m;B50P3d]8@0103e]8<000000000000000020?FdPP05
06]ne03b]H/0l[F;0?:eR`3b]HX00P3c]HT20?>eR0030?NeO`3g]Gh0mkEn0080mkEn0`3g]Gd20>Rh
X@050>VhX@3Y^:00jKRP0?NfP@3g]X000P3g]Wl40?NfOP80n;Im0P3h]W`20?VgN`030?VgNP0_I]H0
;fKF00<0m[V80P3f^HL20?NjQP030?VgNP3i]gT0nKMi00@0n[Mh0P3j]gL0103j^7L0n[Qf0>g1YP3]
`JH20>k3YP<0n[Yl00D0n[Yk0000003j^W/0n[Yj0?^jNP020?^kNPH0nk]h0P1gX^d01@3j`8L0n/67
0?[1Q`3j`HL0n/660080nl:60`3l_GT01P3l_GP0o;ih0?bnN@3m_WP0oKii0?foN@80nlJ>00D0nlN>
0?_7S`3jb940>X7W0?ooo`02000000L0oooo0`00000I0?ooo`00203oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000@0oooo0P00000=0?ooo`80YZ_K00<0hKN/0>6gZ`3R]j/00P3R
]j/01`3R]ZX0ikNS0>NgX`3W]j<0ikNR0>RgXP3K]K400P3L]K40103L]K00j;FN0>ReWP3X]Ih20>Ve
W@<0jKFL0P2fZ/d20>NdWP050>RdWP3X]9d0j;BM0>RdW03Y]9`00P3]]IL0103]]IH0a5/00>6cY`3R
/jH20>:cY@040>>cY@3]]9@0kKBD0>fdT`80k[BC0P3^]9801@2^X//0[Z7;0>^cUP3[/iH0k;>F0080
k;>E00D0k;>D0>fcT`3]/i<0kK>C0?6dSP030?6dS@80iK:Q0P3U/Yl0103V/Yl0lKB<0?6dS03a]8`3
0?6dR`030?6dRP3b]8X0l[B90080V9C>00D0kk>@0>ncS`3_/hl0kk>?0?2cSP040?2cS@030?6dS03d
]HD0m;F50080m;F500<0m;F40>NcW`3W/il00P3W/ih00`3X/id0m;B60?BdQ@020?BdQ@<000000P3e
]8<30?FdPP0606Yne03b]H/0l[F;0?:eR`3b]HX0lkF90`3c]HP00`3d]HL0mkEn0?NeOP020?NeOP<0
mkEm00<0n;El0>VhX@3Y^:400P3Y^:00103Z^9l0mkJ00?NfO`3g]Wl40?NfOP80n;Im0P3h]W`20?Vg
N`80nKMj00<0;fKF0?JiR03f^HP00`3f^HL20?NjQP030?NjQ@3i]gT0nKMi00@0n[Mh0P3j]gL0103j
^7L0n[Qf0?ZhMP3]`JH30>k3YP80n[Yl0P3j^W/00`000000n[Yj0?^jNP020?^kNPL0nk]h0P1gX^d3
0?[1Q`040?[1QP3k`XH0nl:60?_2QP80o;ei00L0o;eh0?bnN03l_WT0oKih0?fnN@3m_gT0nlJ>0080
nlN>00@0nlN@0?[8T@3jb940=WkV0P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo
0?ooo`000000603oool000T0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool03@3oool00`2VZm/0YjcJ0>6gZ`020>:gZ`80h[JZ00D0hkJY
0>NgX`3W]j<0ikNR0>RgXP020=be/@80g;F`00<0gKF_0>ReWP3X]Ih00P3Y]Id20>VeW0040>ZeV`2f
Z/d0]Z[=0;JZc@80j;BN00D0j;BM0>RdW03X]9`0jKBL0>VdV`030>feUP80h[>V00<0h[>U0>>cY@3S
/jD00P3]]9@00`3]]9<0k[BC0>jdTP020>jdTP<0[Z7;0P3//iH00`3//iD0k;>D0>bcU0030>fcT`04
0>fcTP3a]8d0lKB=0?6dS@80iK:Q00<0iK:O0>JbW`3V/Yl00`3a]8`20?6dR`80lKB:00<0l[B:0?:d
R@3b]8T00P2HU<h30>ncS`030?2cSP3`/hd0l;>=0080l;>=00<0lKB<0?BeQ@3d]HD00P3d]HD0103d
]H@0mKF40>NcWP3W/ih20>RcW@040>RdW0000000000000000080m;B40P3e]8<40?FdPP060?JdP@1Z
O]@0l[F;0?:eR`3b]HX0lkF90`3c]HP00`3d]HL0mkEn0?NeOP020?NeOP<0mkEm00@0n;El0>VhX@3Y
^:40jKRP0P3Z^9l00`3g]X00mkIo0?NfO`040?NfOP80n;Im0`3h]W`00`3i]g/0nKMj0?VgNP0202UR
e@040?JiR03f^HL0m[V70?JiQ`80mkZ600<0mkZ50?VgN@3i]gT0103j]gP20?ZgM`030?ZhM`3j^7H0
n[Qf00@0k/>V00<0klBU0?ZjO03j^W/00P3j^W/01@000000nkYj0?^kNP3k^gX0nk]i00H0nk]h00@0
o;ah07BQkP1dXNh0n/670P3j`HH30?_2QP80o;ei00D0o;eh0?bnN@3l_WT0oKih0?fnN@020?foN@03
0?_7SP3kahl0nlN@0080n/RA0P0aNnD00`3oool000000?ooo`080?ooo`030000003oool0oooo01H0
oooo00060?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?oo
o`030000003oool0oooo00h0oooo00<0YjcJ0>:gZ`3R]j/00P3R]ZX20>>fZ@070>>fZ03W]j80ikNR
0>RgXP3X]j40g;Fa0=be/0020=fe[`030=fe[P3X]Ih0jKFM00<0jKFL0P3Z]I/01P2fZ/d0]j[<0>Rd
WP3X]9h0j;BM0>RdW080jKBL00L0jKBK0>feUP3]]IH0kKFF0<UP003R/jH0h[>U0080hk>U00@0hk>T
0>fdT`3]]9<0k[BC0`3^]9800`3^]940[Z7;0:nQbP020>bcUP030>bcU@3//i@0k;>D00<0kK>C00<0
kK>B0>jcTP3a]8d00P3a]8`20>FbW`80i[:O00<0i[:N0?6dS03a]8`00P3a]8/20?6dRP030?:dRP3b
]8T0l[B90080VIC>0`3_/hl0103`/hh0l;>=0?2cS@3`/hd30?6dS080m;F50P3d]H@00`3e]H@0ik>N
0>NcWP03000000<0m;B50P3d]8@20?FdP`@0mKB200<0m[B106Une03b]H/00P3b]HX01P3c]HT0lkF8
0?>eR03c]HP0m;F70?BfQ`80mkEn0`3g]Gd20?ReO0030?RfO03Y^:00jKRP0080j[RO00<0jkVO0?Nf
O`3g]Wl0103g]Wh20?RfO@<0n;Il00H0nKMk0?VgNP3i]gX0nKMj02URe@3f^HP30?JiQ`80mkZ600<0
mkZ50?VgN@3i]gT00`3j]gP30?ZgM`040?ZhM`3j^7H0n[Qf0?ZhMP<0k/>V00@0klBU0?ZjO03j^W/0
n[Yk0P3j^WX00`000000nk]j0?^kNP020?^kN@D0nk]h0P3l_7P2076Rk`030?[1QP3k`XH0nl:60080
nl:600<0nl:50?bmN@3l_GP00P3l_WT00`3m_WP0oKii0?foN@020?foN@060?_7S`3kai00n/RA0?[8
T@3jbI@0;7SS0P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00060?oo
o`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`030000003o
ool0oooo00h0oooo0P2Y[=X00`3R]j/0h[JZ0>:fZP020>>fZ@040>>fZ03S]ZL0j;NR0>RgXP80j;NQ
00@0g;F`0=fe[`3M]Jl0gKF^0P3Y]Id30>VeW080j[FK0`2gZ/`20>RdW@030>RdW03Y]9`0jKBL0080
jKBK0P3]]IH0103]]ID0h[>U0>:cY@3S/jD20>>cY080kKBC00D0k[BC0>jdTP3^]980k[BB0>jdT@03
0:nQbP80k;>E00@0k;>D0>fcT`3]/i<0kK>C0P3]/i80103^/i80lKB=0?6dS03a]8`20>FbW`040>Jb
W`3V/Yh0i[:N0?6dS0<0lKB;00<0lKB:0?:dRP3b]8X00P3b]8T00`3b]8P0VIC>09VDcP020>ncS`04
0?2cSP3`/hd0l;>=0?2cS@<0lKB<00@0lKB;0?BeQ@3d]H@0m;F40`0000001@3X/id0j;BL0>RdW03Y
]9/0m;B500<0m;B40P3e]8<40?FdPP80m[B100@0JGkD0?:eRP3b]HX0lkF90P3c]HP20?BeQ`030?Bf
Q`3d]XH0mkEn00<0mkEm00<0n;El0?RfO03h]W`00P3Y^:001@3Z^9l0jkVO0>^iW`3[^Ih0mkIo00@0
mkIn0P3h]Wd30?RfO0030?RfN`3i]gX0nKMj0080nKMj00<09EoC0?JiQ`3f^HL00P3g^XH20?NjQ@03
0?RjQ03i]gT0n[Mh0080n[Mh00@0n[Mg0?ZhM`3j]gL0n[Qg103j^7H20>k3YP80klBU0P3j^W/00`3j
^WX0nkYj000000020?^kNP<0nk]i0`3k^gP00`3l^gP0o;ah0?blN002072Qk`030?[1QP3k`XH0nl:6
0080nl:600<0nl:50?_3Q@3l_GP00P3l_WT00`3m_WP0oKii0?foN@020?foN@090?_7T03jb940n/RA
0?[9TP3jbI@0n/ZE02MdhP3oool0000000@0oooo1000000I0?ooo`001`3oool3000000@0oooo0P00
00050?ooo`800000403oool01@2Y[=X0ZZgI0:Z]f@3R]ZX0hkJY0080hkJX00<0hkJW0>RgXP3X]j80
0P3X]j420=fe[`80gKF^00@0g[F]0>VeW@3Y]I`0jKFL103Z]I/01P2gZ/`0^:[<0>RdW@3X]9d0j;BL
0>VdW0<0jKBK00@0j[BJ0>feU@3]]ID0kKFE0P3S/jD20>>cY0030>BcX`3^]9<0k[BC0080k[BB0`3^
]9401@2_XLX0/:;90>bcU@3//iD0k;>D00<0kK>C0P3]/i800`3^/i80k[>A0?6dS0020?6dS080i[:O
0P3V/Yh01@3W/Yd0lKB;0?6dR`3a]8/0lKB:0080l[B:0P3b]8T0103b]8P0VYG=09ZEc@3_/hl20?2c
SP<0l;>=0`3a]8`0103a]8/000000000000000020?FeQ080j;>M0P3X]9`00`3Y]9/0m;B50?BdQ002
0?BdQ080mKB3103e]8820?JdP@0406Une03b]HX0lkF90?>eR@80lkF80P3d]HL00`3d]XL0m;J60?Ne
OP030?NeO@040?ReO03h]W`0n;El0?ReO080j[RO0P3[^Il00`3[^Ih0mkIo0?NfOP020?NfOP<0n;Im
0`3h]W`00`3h]W/0nKMj0?VgNP020?VgNP0301mLdP3f^HL0m[V70080mkZ60P3g^XD20?RjQ0<0n[Mh
00@0n[Mg0?ZhM`3j]gL0n[Qg103j^7H00`3^`jH0klBU0>o4Y@020>o4Y@060?ZjN`3j^WX0nkYj0?^j
NP000000nk]j0`3k^gT30?^kN0040?bkN03l_7P0o;ah0?blN080KZ3_0`3k`XH20?_2Q@040?_3Q@3l
`hD0o;ii0?bnN@80oKii0`3m_gT01P3m`7X0n/RA0?[8T@3jbI80n/VD0?[:U@808W7P00<0oooo0000
003oool00P3oool00`000000oooo0?ooo`0J0?ooo`00503oool00`000000oooo0?ooo`0A0?ooo`05
0:Z]f@2/[MP0hkJY0>>fZ@3S]ZP00P3S]ZL01`3T]ZL0j;NQ0>RgX@3X]j40j;NP0=fe[`3M]Jh00`3N
]Jd20>VeW0<0j[FK00@0j[FJ0;RZc02hZ/`0^:[<0P3X]9`01P3Y]9`0jKBK0>VdV`3Y]9/0j[BJ0>Zd
V@80kKFE0P3S/jD0103S/j@0i;>S0>BcX`3T/j830>jdTP<0k[BA0`2`X/T20>bcU0<0kK>C00@0kK>B
0>jcTP3^/i80k[>A0`3a]8`20>JbW`80i[:N00H0ik:M0?6dR`3a]8/0lKB;0?6dRP3b]8X30?:dR@80
l[B80P2JULd20?2cSP<0l;>=00H0lKB<00000000000000000?6dRP3d]H@30?FeQ080j;>M00@0j;BL
0>VdV`3Y]9/0j[BJ0`3d]8@20?FdP`@0mKB20P3f]840103f]800JGkD0?>eR@3c]HT20?>eR0030?Be
Q`3d]XL0m;J70080m;J60`3g]Gd0103h]G`0n;Il0?ReO03h]G`20>ZhW`040>^iW`3[^Ih0jkVN0>bi
W@<0mkIn0`3h]Wd30?RfO0030?RfN`3i]g/0nKMj0080nKMj00<0nKMi01mLdP3f^HL00P3g^XH20?Nj
Q@80n;Z40`3j]gP0103j]gL0n[Qg0?ZhM`3j^7L50?ZhMP@0klBU00<0n[Yk0?ZjNP3k^WX00P3k^gX0
10000000nk]i0?^kN@3k^gT30?^kN0030?bkN03l_7P0o;ah0080o;ah00@0Jj7a0?_2QP3k`XH0nl:6
0P3k`XD01@3k`hD0o<>50?bnN@3l_WT0oKii00@0oKmi0P3m`7X02@3jb940n/VD0?[9U03jbYD0nL^H
01e]gP000000oooo000000020?ooo`D00000603oool001@0oooo00<000000?ooo`3oool04P3oool2
0:b]f0030>>fZ@3S]ZP0hkJW0080i;JW00<0i;JV0>RgX@3X]j400P3X]j00103M]Jh0g[F]0=je[@3N
]Jd20>VeW0<0j[FK00<0j[FJ0>ZdVP2hZ/`00P2hZ//20>VdW0<0jKBK00D0j[BJ0>ZdV@3Z]9T0kKFE
0>jeU0020>>cY080i;>S00@0i;>R0>jdTP3^]980k[BB0`3^]9400`3_]900/:;90;6Rb@020>bcU0<0
kK>C00<0kK>B0>jcTP3^/i400P3^/i430?6dS080i[:N0P3W/Yd01@3W/Y`0lKB;0?6dRP3a]8X0l[B:
00<0l[B90P3b]8P00`2JULd0WIK=0?2cSP030?2cS@80000000D0lKB<0?6dR`3a]8/0lKB:0?BeQ003
0?FeQ0030?FeP`3X]9`0j;BL0080jKBK00@0j[BJ0?BdQ03d]8@0m;B40P3e]8<30?FdPP<0m[B100<0
m[B006]ne03c]HT00`3c]HP00`3d]HL0m;J70?BfQ`020?BfQP<0mkEm00<0n;El0?RfO03h]G`00P3h
]G`20>^iW`030>^iWP3/^Id0k;VM00<0mkIn0`3h]Wd30?RfO0030?RfN`3i]g/0nKIj0080nKMj00<0
nKMi01QId@0HFM400P3g^XH20?NjQ@80n;Z400@0n;Z30?ZgN03j]gP0n[Mg0`3j^7L50?ZhMP@0klBU
00<0l<FU0?ZjNP3k^WX00P3k^gX010000000nk]i0?^kN@3k^gT30?^kN0030?bkN03l_7P0o;ah0080
o;ah00@0hh0;06^Ql@3k`XH0nl:60P3k`XD01@3k`hD0o<>50?c3Q@3l_WT0oKii00@0oKmi0P3m`7X0
2@3jbI80n/VD0?[:U@3jbiH0nL^H0?W<V@0IJ]d0oooo0000000O0?ooo`00503oool2000001<0oooo
0`2][]P02@3S]ZP0hkJW0>BfY`3T]ZL0i;JV0>BfY@3X]j40j;NP0>VfW`040=je[@030=ne[03Z]I/0
j[FK0080j[FK00<0j[FJ0>ZdVP2hZ//00P2hZ//20>VdW080jKBK0P3Z]9X30>ZdV@040>jeU03S/j@0
hk>T0>BcX`80i;>R00<0iK>R0>jdTP3^]9800P3^]9430>ndT080/J;90`3]/i<20>fcTP050>jcTP3^
/i40k[>A0>jcT@3_/i000P3a]8`20>JbWP80ik:M00D0ik:L0>RcV`3a]8X0lKB:0?:dRP030?:dR@80
l[B800<0lkB809fFc@2MU/d00`0000030?6dS0040?6dR`3a]8X0lKB:0?:dRP80mKF40P3e]H<20>Rd
W0050>VdV`3Z]9X0j[BJ0>ZdVP3d]8@00`3e]8<30?FdPP<0m[B10P3f]8001P1[O]@0lkF80?>eR03c
]HP0m;F70?BfQ`<0m;J600D0mKJ50?NeO@3g]Gd0n;El0?RfO0020?ReO080n;Ik00D0jkVO0>^iWP3/
^Id0k;VM0>fjW@020?NfOP80n;Im0`3h]W`20?RfN`040?VgN`3i]WX0nKIj0?VgNP80nKMi00<065WA
0?NjQP3g^XH00P3g^XD20?RjQ080n;Z300@0n[Mh0?ZgM`3j^7L0n[Qg1P3j^7H00`3k^7D0klBU0>o4
Y@020?35Y@060?ZjNP3k^WX0nk]j0?^kNP3k^gT000000P3k^gT20?^kN0030?blN03l^gP0o;ah00<0
o;ah00@0o;eh06^Ql@1[XO40nl:60P3k`XD01@3k`hD0o<>50?c3Q@3la8D0oKii00@0oKmi0P3m`7X0
1P3m`GX0oL5k0?[:U@3jbiH0nL^H0?W<V@804fKK00<0oooo0000003oool07@3oool001@0oooo00<0
00000?ooo`3oool04`3oool01@2][]P0[ZkG0>>fY`3S]ZL0i;JW0080i;JV00<0i;JU0>RgX03X]j00
0P3Y]Yl20=je[@80gkF/00P0h;F[0>ZeV`3Z]I/0j[FK0>ZeVP3Z]9X0jkBJ0;RZb`80^J_;0`3Y]9/0
0`3Z]9X0j[BI0>ZdV@020>ZdV@80k[FD0P3T/j<20>BcXP030>FcXP3^]980k[BB0080k[BA103_]900
102aX/T0kK>C0>fcT`3]/i<20>fcTP060>jcTP3^/i40k[>A0>jcT@3_/i00lKB<0P3b]8/01P3V/Yh0
ik:M0>NbW03W/Y`0j;>K0?6dRP80l[B:0P3b]8T30?:dR0<000000`3`/hd30?6dS0060?6dR`3a]8X0
lKB:0?:dRP3b]8T0mKF40`3e]H<20>VdV`<0j[BJ00@0m;B40?FdP`3e]8<0mKB30`3e]8820?JdP@<0
m[B000H0K83E0?>eR03c]HP0lkF80?BeQ`3d]XL30?BfQP80mKJ500<0mkEm0?ReO03h]W`00P3h]G`2
0?RfN`80jkVN00<0k;VM0>fjW@3]^Yd00P3g]Wh20?RfO@<0n;Il0P3h]W/0103i]g/0nKIj0?VfNP3i
]gX20?VgN@0301EGd03g^XH0mkZ50080mkZ50P3h^X@30?RjP`030?ZgM`3j^7L0n[Qg00H0n[Qf00<0
nkQe0>o4Y@3_a:D00P3`aJD0103`aZD0nkYj0?^kNP3k^gX20?^kN@040000003k^gT0nk]h0?^kN0H0
o;ah00<0o;eh06^Ql@1[XO400P3k`XD20?_3Q@80o<>500<0o<B50?fnN@3m_gT00`3m_gT20?g0NP03
0?g1NP3m`G/0n/ZE0080nL^H00<0nLbI0?S=W00?HmT00P3oool00`000000oooo0?ooo`0K0?ooo`00
503oool00`000000oooo0?ooo`0D0?ooo`80[ZkG0P3T]ZL01@3T]ZH0i;JU0>BfY@3U]ZD0j;NP0080
jKJO0P3N]Jd20=ne[080h;F[0P3Z]I/01P3Z]IX0j[BJ0>^dVP3[]9T0^J_;0;Z[bP<0jKBK00<0j[BJ
0>ZdV@3Z]9T00P3Z]9T01@3[]9P0k[FD0>BcX`3T/j<0i;>R0080iK>R00@0iK>Q0>jdT@3^]940k[BA
103_]9020;>Sb080kK>C00<0kK>B0>jcTP3^/i800`3^/i420>ncT0040?:dR`3b]H/0ik:M0>NbW@80
ik:L00@0j;>K0>RcVP3b]8X0l[B:0P3b]8T3000000040?>dR03c]8L0WiS<09nHc080l;>=0`3a]8`0
1P3a]8/0lKB:0?:dRP3b]8X0l[B90?FeQ0<0mKF30P3Y]9/30>ZdVP040>^dV@3e]8<0mKB30?FdP`<0
mKB20P3f]8430?JdP0060?JeO`1/P=D0lkF80?>eR03d]HL0m;J70`3d]XH20?FfQ@030?NeO@3h]G`0
n;Il0080n;El0P3h]W/00`3h]G/0k;VM0>biW@020>fjW@040>fjW03g]Wh0n;Im0?RfO@<0n;Il0P3h
]W/00`3i]g/0nKIj0?VfNP020?VgNP030?VgN@0AELl04EG?0080mkZ50`3h^X@30?RjP`030?ZgM`3j
^7L0n[Qg00H0n[Qf0P3k^7D01@3_a:D0l<FU0?36Y@3`aZD0lLNU0080nk]j0`3k^gT00`000000nk]h
0?^kN0050?blN080o;eh00D0o;ei06VSlP1YXo80nl:50?_3Q@030?c3Q@<0o<B50P3m_gT03@3m`7T0
oL1j0?g0NP3m`GX0oL5k0?g2O03ibiP0nLbI0?W<V`3hcI`0n<fN00YOe`3oool00P00000L0?ooo`00
503oool2000001D0oooo0`2_[]L00`3T]ZL0i;JV0>BfY@020>FfY@060>FfY03Y]Yl0jKJO0>VfW`3N
]Jd0gkF/103P]J/20>ZeVP030>ZdVP3[]9X0jkBI00<0^Z_:0P3Y]9/00`3Z]9X0j[BI0>ZdV@020>Zd
V@80jkBH00@0k[FC0>BcXP3T/j80iK>R0P3U/j430>jdT@@0kkB@00H0kkB?0;>Sb03]/i<0kK>C0>fc
TP3^/i830>jcT@<0kk>@00D0kk>?0?:eR`3W/Yd0ik:M0>NbW0020>RcV`030>RcVP3b]8X000000080
00000`3b]8P0103c]8P0lkB70?>dQ`2OV<`20?2cS@80lKB<0P3a]8/00`3a]8X0l[B:0?:dRP020?:d
R@@0mKF3103Z]9X00`3[]9T0mKB30?FdP`040?FdPP80m[B10`3f]8000`3f]Gl0KX7E0?>eR0020?Be
Q`030?BfQ`3d]XH0m;J600<0mKJ500<0mKJ40?ReO03h]W`00P3h]G`20?RfN`040?ReN`3/^Id0k;VM
0>fjW@80kKZL00<0kKZK0?RfO@3h]Wd00`3h]W`20?RfN`030?VgN`3i]WX0nKIj0080nKMj0P3i]gT0
0`0AELl0mkZ50?NjQ@030?RjQ0<0n;Z300<0nK^20?ZhM`3j^7L01P3j^7H20?^hM@070?^iM@3`aJD0
l<JU0?36Y@3aajD0l/RU0?^kNP030?^kN@030000003k^gP0nk]h00D0o;ah0P3l_GP20?bmN@80JJ?c
00@0nl>50?c3Q@3l`hD0o<>50`3la8D00`3maH@0oKmi0?g0N@020?g0NP080?g1NP3m`G/0oL9l0?g3
O03ic9T0nLbK0?S=W03hcIh200ILe@030?ooo`000000oooo01/0oooo000C0?ooo`030000003oool0
oooo01H0oooo00D0[jkG0;2_eP3T]ZH0i;JV0>BfY@020>FfY@<0iKJT0P3Y]Yh00`3O]J`0h;F[0>2e
Z`020>2eZ`040>6eZP3Z]9X0j[BJ0>^dVP80jkBI00D0^Z_:0;^[b@3Y]9/0jKBK0>ZdVP030>ZdV@<0
jkBH00@0jkBG0>BcXP3T/j80iK>R0P3U/j400`3V/j00k[BA0>jdT@040>ndT0030>ndS`2dXlL0]:?7
0080kK>B00@0k[>B0>jcT@3^/i40k[>A0`3_/i000`3_/hl0l[F;0?:eR`020>NbW0040>RcV`000000
0000000000<0l[B90P3b]8P20?>dR080lkB70P2RVL/30?6dS080lKB;00<0lKB:0?:dRP3b]8T00P3b
]8T0103c]8P0mKF30?FeP`3e]H830>ZdVP80jkBI00<0k;FH0?FdP`3e]8800`3e]8820?JdP@<0m[B0
0P3f]Gl0101^PMD0m;F70?BeQ`3d]XL20?BfQP<0mKJ500<0mKJ40?JfQ03h]W`00P3h]G`20?RfN`04
0?ReN`3h]W/0kKZM0>fjW@80kKZL00<0kKZK0?RfO@3h]Wd00`3h]W`20?RfN`030?VgN`3i]WX0nKIj
0080nKMj0`3i]gT00`09D/h0mkZ50?RjQ0020?RjQ0<0n;Z30P3i^h800`3j^7L0n[Qf0?ZhMP040?Zh
MP80nkQe0P3k^GD20?36Y@030?77Y@3bb:D0nk]j00<0nk]i00<0nk]h0000003k^gP00`3l_7P0103l
_GP0o;ah0?bmN03l_GP30?bmN@80JjCc0`3l`hD30?c4Q@040?g5Q03m_gT0oL1i0?g0NP80oL5j00@0
oL5k0?g2O03m`g`0nLbI0P3hcI`00`3hcIh0mlnR005Id`020?ooo`030000003oool0oooo01T0oooo
00060?ooo`<000000`3oool2000000D0oooo00<000000?ooo`3oool05`3oool20;2_eP80i;JU00<0
iKJU0>FfY03U]Z@00P3U]Z@00`3V]Z<0jKJN0>2eZ`040>2eZ`040>6eZP3Z]9X0jkBJ0>^dVP80jkBI
0`2kZlT20>ZdVP<0j[BI0`3[]9P01@3[]9L0k[FC0>FcXP3U/j80iK>Q0080i[>P00<0i[>O0>ndT03_
]9000P3_]9030>ndS`040;BSa`3]/i80kK>B0>jcTP<0k[>A0`3_/i020>ncS`040?:eR`0000000000
00000080j;>J00@0jK>J0?:dR@3b]8T0l[B90P3b]8P00`3c]8P0lkB70?>dQ`020?>dQ`050::Ib`3a
]8`0lKB<0?6dS03a]8/00P3a]8X01@3b]8X0l[B90?:dR@3b]8T0lkB80080mKF300@0mKF20?JePP3Z
]9X0j[BJ0P3[]9T00`3/]IP0mKB30?FdPP030?FdPP80m[B10`3f]8020?JeO`040763e@3d]HL0m;J7
0?BfQ`80m;J60`3e]XD00`3e]X@0m[J40?JfP`020?ReO080n;Ik00D0n;Ek0?RfN`3]^Yd0kKZM0>fj
W0020>fjV`030>jjV`3h]Wd0n;Il0080n;Il0P3h]W/00`3i]g/0nKIj0?VfNP020?VgNP<0nKMi00@0
1e7=0?NjQ@3h^X@0n;Z4103h^X<20?VkPP030?ZhM`3j^7H0n[Qf00@0n[Qf0P3k^7D20?^iM@030?36
Y@3aajD0lLNU0080l/RU0`3k^gT20?^kN0040000003l_7P0o;ah0?blN0@0o;eh0`3l_GT0103l_WX0
JZKd0?c3Q@3l`hD40?c4Q@040?g5Q03maHD0oL1i0?g0NP80oL5j00`0oL5k0?g2O03m`g`0oLAn0?S=
W03hcIh0mljP0?O?XP3fcj@005KA0?ooo`00000K0?ooo`001`3oool01@000000oooo0?ooo`3oool0
00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0H0?ooo`80/ZoF0P3U]ZD4
0>FfY0030>JfX`3Y]Yh0jKJN00<0h;F[0P3Q]JX00`3Q]JT0jkBJ0>^dVP020>^dV@040>^dV02kZlT0
_:c90;b/b@@0j[BI0`3[]9P20>^dU`030>jeT`3U/j40iK>Q0080i[>P00<0i[>O0>ndT03_]9000P3_
]9030>ndS`80]jC60P3^/i830>jcT@<0kk>@0`000000103b]8X0j;>K0>RcV`3X/iX20>VcVP030>Zc
V@3b]8T0l[B90080l[B800<0lkB80?>dQ`3c]8L00P3c]8L20:JKb`80lKB<00@0lKB;0?6dRP3a]8X0
l[B:0`3b]8T20?>dR0030?FeP`3e]H80m[F20080j[BJ00@0jkBI0>beV03/]IP0k;FG103e]8820?Jd
P@<0m[B00`3f]Gl00`1aPmD0m;J70?BfQ`020?BfQP<0mKJ500<0mKJ40?JfQ03f]X<00P3h]G`20?Rf
N`030?ReN`3h]W/0n;Ij0080kKZL0P3]^Y/00`3^^Y/0n;Im0?RfO0020?RfO080n;Ik00<0nKMk0?Vf
NP3i]WX00P3i]gX40?VgN@0300MAc@3h^X@0n;Z400@0n;Z30`3i^h850?ZhMP<0nkQe0`3k^GD00`3a
ajD0l/RU0?;8Y@020?;8Y@80nk]i0P3k^gP010000000o;ah0?blN03l_7P40?bmN080o;ei00D0o;ii
0?bnNP1[Z?D0JjSe0?c3Q@040?c4Q@090?g5Q03maHD0oLJ40?g0NP3m`GX0oL5k0?g2N`3m`W`0oL=l
0080oLAn00@0n<fN0?O>X03gcj80m/nT0P00D/l00`3oool000000?ooo`0I0?ooo`00103oool50000
0080oooo00@000000?ooo`3oool00000103oool2000001X0oooo00<0/ZoF0;>_e@3U]ZD00`3U]Z@3
0>JfX`030>VfWP3P]J/0h;F[0080hKFZ0P3Q]JT01@3R]JP0jkBI0>^dV@3[]9T0jkBH00<0_:c90`3Z
]9T30>^dV0<0jkBG00@0k;BG0>FcX@3U/j40i[>P0P3V/il0103W/ih0kkB@0>ndT03_]9020>ndS`80
l;B?00<0]jC60>jcTP3^/i800P3^/i40103_/i0000000000000000020>ncS`80l;>>0P3X/i/01@3X
/iX0jK>J0>VcVP3Z/iT0l[B900<0l[B800<0lkB80?>dQ`3c]8L00P3c]8L01P3c]8H0YY_;0?6dS03a
]8`0lKB;0?6dRP80l[B:0P3b]8T30?>dR0040?>dQ`3f]H80m[F20?JePP80jkBI0P3/]IP00`3/]IL0
kKFF0?FdPP020?FdPP80m[B10`3f]8030?JeO`0307B6e`3d]XL0m;J60080m;J60P3e]XD20?FfQ004
0?JfQ03f]X<0m[J30?ReO080n;Ik00<0n;Ek0?RfN`3h]WX00P3]^Y`0103]^Y/0k[ZK0>jjV`3_^iX3
0?RfO0030?RfN`3i]g/0nKMk0080nKIj0P3i]gX40?VgN@030?ZhN@05Cld0n;Z400@0n;Z30`3i^h85
0?ZhMP<0nkQe103k^GD40?;8Y@80nk]i0P3k^gP0103l_7P000000?blN03l_7P40?bmN080o;ei00<0
o;ii0?bnNP3l_WX00P1^ZOD40?c4Q@090?g5Q03maHD0oLJ40?g6Q@3m`GX0oL5k0?g2N`3m`W`0oL=l
0080oLAn00L0oLF00?O?XP3gcj80m/nT0?C@Z@00D<d0oooo008000006@3oool000@0oooo00@00000
0?ooo`3oool000000`3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo01X0oooo
00<0/joE0>FfY03U]Z@00P3U]Z@30>JfX`030>JfXP3Z]Yd0h;F[0080hKFZ0P3Q]JT01`3R]JP0jkBI
0>^dV@3[]9T0jkBH0>bdV02l[<T00P2m[<P20>ZdV@<0jkBH0`3[]9L0103/]9L0k;BF0>JcX03V/j02
0>JcW`040>NcWP3_]900kkB@0>ndT080kkB?0P3`]8l20;VUa@040>jcT@000000000000000080kk>@
0`3_/hl20?2cSP040?:eRP3X/iX0j;>J0>VcVP80j[>I00D0j[>H0?:dR03b]8P0l[B80?>dR0040?>d
Q`030?>dQP2YWLT0ZIg90080lKB;00<0lKB:0?:dRP3b]8X00P3b]8T30?>dR0040?>dQ`3f]H80m[F2
0?JePP80jkBI00@0k;FH0>beU`3/]IL0kKFF0P3e]8830?JdP@<0m[B00`3f]Gl00`3g]Gh0M8KG0?Bf
QP020?BfQP80mKJ500<0mKJ40?JfQ03f]X@00P3f]X<01@3f]X80n;Ik0?ReN`3h]G/0n;Ik0080n;Ij
0P3]^Y/00`3^^Y/0kk^J0>nkVP030?RfO0030?RfN`3i]g/0nKIj0080nKIj0P3i]gX40?VgN@030?Zh
N@00C</0n;Z400@0n;Z30`3i^h800`3i_840n[Qf0?ZhMP020?ZhMP<0nkQe103k^GD40?;8Y@040??:
Y03k^gT0nk]h0?^kN080o;ah00<000000?blN03l_GP00`3l_GP20?bmN@040?bnN@3l_WX0o;ij0?bo
N`80Kj_f0P3la8D20?g5Q0060?g5Q@3maX@0oLJ50?g6Q@3m`G/0oL9k0P3m`g`20?g4OP090?g5P03m
aH40m/nT0?K@Y`3dd:T0lm6/001=c03oool0000001T0oooo00050?ooo`030000003oool0000000<0
oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0J0?ooo`80];3D0P3U]Z@40>Jf
X`060>JfXP3W]Z80j[JM0<=D003Q]JX0hKFY0`3R]JP00`3[]9T0jkBH0>^dV0020>bdV0040;f/b02n
[<L0j[BI0>ZdV@<0jkBH0`3[]9L01@3/]9L0k;BF0>JcX03V/j00i[>O00<0ik>N0P3_]9020>ndS`03
0?2dS`3`]8h00000008000000P3^/i430>ncT0<0kk>?0P3`/hh0103`]8d0j;>J0>RcVP3Y/iX20>Zc
V@050>ZcV03[/iL0l[B80?:dR03c]8P0103c]8L20?>dQP050:VMb@3a]8/0lKB;0?6dRP3b]8X00`3b
]8T30?>dR0070?>dQ`3f]H80m[F20?JePP3f]H40jkBI0>beV0020>beU`030>feUP3^]ID0mKB200<0
m[B10`3f]8020?JeO`80mkEn00@0N8SG0?BfQP3d]XH0m;J60P3e]XD00`3e]X@0m[J40?JfQ0020?Jf
P`030?JfPP3h]W/0n;Ek0080n;Ik0P3h]WX20>fjV`030>jjV`3_^iX0kk^J0080n;Il0P3h]W/0103i
]g/0nKIj0?VfNP3i]WX20?VgNP@0nKMi00<0n[Mh0?ZgN@00C</00`3h^X<40?VkPP030?VlP@3i^h40
n[Qf0080n[Qf0`3k^7D50?^iM@80l/RU0`3cbZ@20?^kN0<0o;ah00<000000?bmN03l_GP00P3l_GP0
1@3m_WP0o;ei0?bnN@3l_WX0o;mj0080o;mk0P1d/?L01@3la8D0oLF40?g5Q03maHD0oLJ40080oLJ5
00@0oL5k0?g2N`3m`g`0oL=m0P3ma7h01P3maH00oLF10?K?Y03fd:L0m=2Y0??A[08004_:00<0oooo
0000003oool05`3oool000H0oooo0P0000030?ooo`040000003oool0oooo000000<0oooo00<00000
0?ooo`3oool0703oool00`2d/=@0]K3D0>FfY0030>JfX`80i[JR00<0ikJR0>NfX@3Z]Y`00P3Q]JT3
0>:eZ0030>>eY`3[]9P0jkBH0080k;BH0`2n[<L30>^dV0<0jkBG0P3/]9L20>bdUP80i[>O0`3W/ih0
0`3X/id0kkB?0>ndS`03000000030?2dSP2kY/@0^jK40080k[>A0`3_/i020>ncS`<0l;>>0P3`]8d2
0>VcVP050>ZcV@3Z/iP0j[>H0>^cU`3b]8P00P3c]8P30?>dQ`<0lkB60P2]W/P20?6dRP040?:dRP3b
]8T0l[B90?:dR@<0lkB800D0lkB70?>dQP3f]H80m[F20?JeP@020>beV0050>beU`3]]IH0kKFF0>je
U@3e]8800`3f]8420?JdP0<0m[Eo0`3g]Gh00`1hR=L0m;J60?FfQ@020?FfQ@030?FfQ03f]X@0m[J3
0080m[J30P3f]X800`3h]G/0n;Ik0?RfNP030?RfNP80k[ZK00@0kk^J0>nkV@3`^iT0n;Il0P3h]W/0
103i]g/0nKIj0?VfNP3i]WX20?VgNP@0nKMi0P3j]gP0103j^7T004_:0?RjP`3h^X<40?VkPP030?Vl
P@3i^h40nKb10080n[Qf0`3k^7D60?^iM@060?;8Y@3cbZ@0llZT0??:Y03dc:@0nk]h0`3l_7P00`00
0000o;eh0?bmN0020?bmN080oKih00<0o;ii0?bnNP3l_gX00P3l_g/0103l`7`0N;?g07Rcm`3maH@2
0?g5Q@030?g6Q03maXD0oLJ50080oLN500P0oL=l0?g3O@3ma7h0oLAn0?g5P03maH40oLJ30?C@Z@80
lm6/00D0lM:a0019b@3oool0oooo0000000G0?ooo`001`3oool00`000000oooo0?ooo`020?ooo`80
0000103oool2000001h0oooo00<0]K3D0>JfX`3V]Z<00P3V]Z<0103V]Z80ikJR0>NfXP3W]Z420>Zf
W0060>6eZ@3R]JP0h[FX0>:eZ03S]JL0jkBH0`3/]9P0103/]9L0_Zc70<2]a`30[LL20>^dV0<0jkBG
00@0k;BG0>bdUP3/]9H0k;BF0P3V/il30>NcWP050>RcW@00000000000>ndS`3`]8l00`3`]8h00`2k
Y/@0_ZO30>ncT0030>ncT080kk>?0`3`/hh20?2dS@80jK>J00D0j[>I0>ZcV03Z/iP0jk>G0>bcUP02
0?>dR0<0lkB70`3c]8H01@3d]8H0[Ik80?6dRP3a]8X0l[B:00<0l[B90P3c]8P20?>dQ`80lkB600H0
m[F20?JeP@3/]IP0k;FH0>beU`3]]IH20>jeU@030>jeU03f]840m[B100<0m[B00`3f]Gl30?NeOP03
07b;eP3d]XH0mKJ50080mKJ500<0mKJ40?JfQ03f]X<00P3f]X<20?JfPP030?ReN`3h]W/0n;Ij00@0
n;Ij0P3_^iX00`3_^iT0l;^I0?6lV0020?RfN`030?VgN`3i]WX0nKIj00<0nKMj103i]gT20?ZgN080
n[Qi00<004[:0?RjP`3i^h800`3i^h801@3i_840nK^10?VlP@3j_800n[Qf00<0nkQe1P3k^GD01P3k
^WD0llZT0??:Y03cbZ@0m<bT0?^kN0<0o;ah00<0o;eh0000003l_GP00P3l_GP30?fnN0030?bnNP3l
_gX0o;mk0080o<1l00@0oL5m07Zgn@3maH@0oLF50P3maX@20?g6Q@80oLN500l0oL=l0?g3O@3ma7h0
oLAo0?g5P03maH40oLJ30?g7Q03cdJ`0l]:^0?7B/@3`d[@004O70?ooo`0000005`3oool00180oooo
00<000000?ooo`3oool07@3oool20;Jae080i[JS0P3V]Z820>NfXP80ikJQ00@0j[JL0<YK003R]JP0
h[FX0`3S]JL30>bdV0040>bdU`30[LL0`:g70<2]a`80jkBH0`3[]9L01@3/]9L0k;BF0>bdUP3/]9H0
kKBE0080ik>N0`000000103X/i`0kkB?0?2dS`3`]8l30?2dSP80_ZO3103_/i020>ncS`<0l;>>0`3`
]8d20>ZcV@050>ZcV03[/iL0jk>G0>bcUP3c]8P0103c]8L20?>dQP80m;B600@0[Ik80;6Qa`3b]8X0
l[B:0P3b]8T30?>dR080lkB70P3c]8H00`3d]8D0m[F10?JeP@020>beU`060>feUP3^]ID0k[FE0>je
U03^]I<0m[B10`3f]8030?JeO`@0mkEn00H0O8_F0?FfQ@3e]XD0mKJ50?FfQ03f]X@30?JfP`80m[J2
00<0mkJ10?RfN`3h]WX0103h]WX20>nkVP030>nkV@3`^iT0lKbH0080n;Ik00<0nKMk0?VfNP3i]WX0
0`3i]gX40?VgN@80n[Mh00@0n[Qh0?ZhN@00AlP0n;Z3103i^h801@3i_840nK^10?VlP@3j_800n[Qf
00<0nkQe1P3k^GD00`3k^WD0llZT0??:Y0030?C<Y0<0o;ah0P3l_GP00`000000o;eh0?bmN0030?fn
N0030?bnNP3l_gX0o;mk0080o<1l00D0oL5m07nin@1o^OT0oLF50?g6Q0030?g6Q@80oLN500T0oLR5
0?g3O@3ma7h0oLAo0?g5P03maH40oLJ30?g7Q03mb8L00P3ad[400`3`d[@004K60016aP02000001H0
oooo000B0?ooo`030000003oool0oooo01h0oooo00<0][7D0;Nad`3V]Z<00P3V]Z801P3W]Z80ikJQ
0>NfX@3W]Z40ikJP0>ZfW080h[FX0`3S]JL00`3T]JH0k;BH0>bdV0020>bdU`030<2]a`32[/H0`Zk6
00<0jkBG0P3/]9L30>bdUP<0000000D0ik>N0>RcW@3X/id0j;>L0>VdW0020?2dS`@0l;B>00<0_ZO3
0<2X`P3_/i000P3_/i020>ncS`80l;>>103`]8d20>ZcV@030>ZcV03[/iL0k;>F0080k;>F103c]8L2
0?>dQP80m;B60P2aXLL20?:dRP80l[B90`3c]8P20?>dQ`80lkB600<0m;B50?JeP@3f]H400P3/]IL0
1P3]]IH0k[FE0>jeU03^]I@0k[FC0?JdP@<0m[B00`3f]Gl40?NeOP06082>f03e]XD0mKJ50?FfQ@3e
]X@0m[J40P3f]X<30?JfPP030?NfP@3h]W/0n;Ij00D0n;Ij00L0kk^I0?2kV@3`^iT0lKbH0?6lU`3h
]W/0nKMk0080nKIj0P3i]gX50?VgN@80n[Mh0P3j^7P00`3j^7T004O80?VkPP030?VkPP030?VlP@3i
^h40nKb10080n[b00`3k^7D60?^iM@80nkYe00D0llZT0?C<Y03dc:@0m<bT0?G=Y0020?blN0<0o;eh
00<000000?bmN03m_WP00P3m_WP20?foN0030?boN`3l`7`0oL5m0080oL5n0P24_?T00`3maX@0oLJ5
0?g6Q@030?g7Q@0:0?g8Q@3mb8H0oLAn0?g4O`3maH40oLJ20?g6P`3mah@0oLR70?g9R080l=:d00@0
kM>j0014aP3oool000005P3oool00180oooo0P00000P0?ooo`030;Nad`2h/M<0^;7C0080ikJR0`3W
]Z40103W]Z00j;JP0>^fV`3R]JP30>>eY`030>BeYP3T]JD0k;BG00<0k;BG0P32[/H30>^dU`030>bd
U`3/]9H00000008000000P3]]9D20>NcWP050>RcW@3X/i`0j;>L0>VdW03`]8l01@3`]8h20<2X`P03
0<>Y`03_/i00kk>?0080kk>?0P3`/hh40?2dS@040?6dS03Z/iP0j[>H0>^cU`<0k;>F00@0k;>E0?>d
Q`3c]8L0lkB70P3c]8H01@3d]8H0m;B50?BdQ@2aXLL0]Z?600<0l[B90`3c]8P0103c]8L0lkB60?>d
QP3c]8H20?BdQ@80m[F10P3]]IH01@3^]ID0k[FD0>jeU03^]I<0kkJB00<0m[B00`3f]Gl40?NeOP80
P8kH00@0mKJ50?FfQ03e]X@0m[J40P3f]X<30?JfPP030?NfP@3g]h00n;Ij00D0n;Ij00@0kk^I0?2k
V@3`^iT0lKbH0P3a_9L00`3i]g/0nKIj0?VfNP020?VgNPD0nKMi0P3j]gP30?ZhN0040016a`3i^h80
nK^20?VkPP80nKb100D0nK^10?VlP@3j_800n[b00?ZmO`020?^hM@H0nkUe0P3k^WD01`3cbZ@0m<bT
0?C<Y03dc:@0mLfT0?K>Y03l_7P00`3l_GP00`000000o;eh0?fnN0020?fnN080oKmh00P0o;mk0?c0
O03m`Gd0oL5n0?g2OP3m`Wl0Ql3j08c3nP80oLJ50`3mahD01@3mb8D0oLR60?k9QP3ma7l0oLF10080
oLJ300H0oLN40?g8Q`3mbHP0l=:d0>kC]`3]dkX20014a@030?ooo`000000oooo01@0oooo000B0?oo
o`030000003oool0oooo0200oooo00@0^;7C0;VbdP3W]Z80ikJR0`3W]Z40103W]Z00j;JP0>RfW`3[
]Y/20>>eY`80i;FV00<0i;FU0>bdU`3/]9L00P3/]9L0103/]9H0`Zk60<>^a@3[]9L300000080k;BF
0`3]]9D20>NcWP050>RcW@3X/i`0j;>L0>VdW03Y]9/01@3`]8h0103`]8d0`:S20<>Y`033ZL030>nc
S`80l;>>103`]8d0103a]8`0j[>H0>ZcV03[/iL30>bcUP040>bcU@3c]8L0lkB70?>dQ`80lkB600<0
m;B60?BdQ@3d]8D00P2fXlH30?:dR@<0lkB800@0lkB70?>dQP3c]8H0lkB60`3d]8D01@3f]H40kKFF
0>feUP3^]ID0k[FD0080k[FC00@0kkJB0?JdP03f]800m[B00`3f]Gl40?NeOP80QI;H00@0mKJ50?Ff
Q03f]X@0m[J40P3f]X<30?JfPP030?NfP@3g]h00mkN000D0n;Ij00@0nKIj0?2kV@3a_9P0lKbH0P3a
_9L00`3b_IH0nKIj0?VfNP020?VgNPD0nKMi0P3j]gP40?ZhN0040015a`3i^h80nK^20?VlP@80nK^1
00<0nKb10?ZlP03j_8000P3j_Gl00`3k^7D0nkUe0?^iM@040?^iM@80nkYe00D0o;Ye0?C<Y03dc:@0
m<bT0?G=Y0020?K>Y0@0o;eh00@000000?fnN03m_WP0oKih0P3m_gP20?g0N@050?g1O@3m`Gh0oL9o
0?g2O`3m`h000P2BaOT00`3maXD0oLN50?g7Q@020?g8Q@0>0?g8QP3nbHH0o/V60?g5P@3maX<0oLN4
0?g8Q@3mb8L0oLV80?g:R`3]dkX0jm>m0>WC`000@lD20?ooo`030000003oool0oooo0180oooo000A
0?ooo`030000003oool0oooo0240oooo0`2i/]830>NfX@80ikJP00<0j;JP0>RfW`3X]Yl00P3S]JL0
103T]JH0i;FU0>BeY@3T]JD30>bdU`040>bdUP000000000000000080k;BG0`3/]9H20>fdU@80kKBD
0P3X/id0103X/i`0jKBL0>VdW03Y]9/20>VdVP<0l;B>00@0l;B=0<>Y`033ZL00`jW00`3_/hl20?2c
SP@0l;B=0P3a]8`20>^cU`<0k;>F00@0k;>E0>fdU03c]8L0lkB70P3c]8H01P3d]8H0m;B50?BdQ@3d
]8D0]Z?60;ZUa080l[B90P3c]8P20?>dQ`<0lkB60`3d]8D01P3d]8@0m[F10>jeU@3^]ID0k[FD0>je
T`80kkJB00<0l;JA0?JdP03f]8000`3f]Gl40?NeOP040?NeO@25T]P0QI;H0?FfQ080m[J40P3f]X<2
0?JfPP80mkJ10`3g]h040?RfNP80nKIj00D0lKbH0?6lU`3a_9L0lKbG0?:mUP020?VfNP80nKMj1@3i
]gT20?ZgN0@0n[Qh00D004C50?VkPP3i^h80nKb10?VkP@020?VlP@80n[b00`3j_Gl50?^iM@<0nkYe
00<0o;Ye0?bkMP3dc:@00P3ecJ@20?K>Y0@0o;eh00@0o;ih0000003m_WP0oKih0P3m_gP20?g0N@08
0?g1O@3m`Gh0oL9o0?g3P03m`h40oLB209O9n@2LcOT20?g7Q@80oLR500H0oLR60?k9QP3nbHH0o/Z7
0?g6P`3mah@20?g8Q`090?g9R03mbX/0o<b>0>_C_@3Ydl00im?30013a@3oool0000000P0oooo0`00
00040?ooo`8000000`3oool00140oooo00<000000?ooo`3oool08P3oool00`2i/]80^[;B0;ZbdP02
0>NfX@030>NfX03X]Z00j;JP00<0j;JO00<0hkFW0>BeYP3T]JD00P3T]JD01@3U]Z@0000000000000
0000kKBF0080aJo40P3/]9L20>bdUP<0kKBE0P3]]9@20>RcW@040>RcW03Y]9`0jKBK0>VdV`80jKBJ
0P3`]8h30?2dS@040<>Y`035Zkl0aJ^o0>ncS`<0l;>>0`3`]8d30?6dS080jk>G0P3//iH20>bcU@03
0>fdU03c]8L0lkB60080lkB600@0m;B60?BdQ@3d]8D0m;B50P2jYL@0103b]8T0lkB80?>dR03c]8P2
0?>dQ`80lkB6103d]8D01P3d]8@0mKF40>jeU@3^]ID0k[FD0>jeT`80kkJB0P3`]Y40103f]800m[Eo
0?JeO`3f]Gl40?NeOP050?NeO@2:U=L0RYCG08ZDe`3f]X@00`3f]X<20?JfPP80mkJ10`3g]h00103g
]gl0n;Ij0?RfNP3h]WX20?VfNP070?6lV03a_9L0lKbG0?6lU`3b_IH0lkfE0?VfNP020?VgNPD0nKMi
0P3j]gP50?ZhN0050014a@3i^h80nKb10?VkP@3i_8400`3j_8030?ZmO`D0nkUe0`3k^WD0103l^WD0
o;]f0?bkMP3ecJ@30?K>Y080mm2T0P3l_GP0103l_WP000000?fnN03m_WP20?foN080oL1i00@0oL5j
0?g2NP3m`Wl0oL>00P3ma8801P3ma8<0W<gi0:;?m`3mahD0oLR50?g8QP<0o/V600@0o/Z70?k;R03m
ah@0oLR70P3mbHP01@3mbX/0o<b>0?c<T03Ydl00im?3008004?50P0000080?ooo`030000003oool0
oooo0080oooo00@000000?ooo`3oool000000P3oool00140oooo0`00000S0?ooo`060;ZbdP2k/m40
ikJQ0>NfX@3W]Z00j;JP103X]Yl20>BeYP040>BeY@000000000000000080k;BG00D0k;BF0>fdUP3]
]9H0aJo40<J`a0030>bdUP<0kKBE0`3]]9@20>RcW0030>VdW03Y]9/0jKBK0080jKBJ00<0j[BJ0?2d
SP3`]8d00P3`]8d30<F[_`040>ncS`3`/hh0l;>>0?2cSP<0l;B=0`3a]8`01@3a]8/0k;>F0>bcUP3/
/iH0k;>E0080kKBD00D0k[BC0?>dQP3c]8H0lkB60?BdQP040?BdQ@030;ZUa02mY/80lkB80080lkB8
0P3c]8L20?>dQP@0m;B500<0m;B40?FeQ03f]H400P3^]I@00`3^]I<0kkJB0?2fT@020?2fT@040?Jd
P03f]Gl0m[Eo0?JeO`@0mkEn0P3g]Gd00`2:U=L0SiSH0?JfQ0030?JfP`80m[J20P3g]X430?NgP004
0?NgO`3h]gl0n;Ij0?RfNP80nKIj00D0nKIi0?6lU`3a_9L0lKbG0?:mUP020?>mU@80nKMj1@3i]gT2
0?ZgN0H0n[Qh00@004730?VlP@3i^h40nKb10`3j_8030?ZmO`030?^nO`3k^GD0nkUe0080nkUe0P3k
^WD20?bjM@<0o;]f0`3fcZ@30?O@Y0040?bmN03l_WP0oKih000000<0oKmh0P3m`7T01@3m`GX0oL9j
0?g2O`3m`h00oLB20080oLB300D0o<F50:OBmP2/eOH0oLR50?g8QP030?k9QP0=0?k:Q`3nbhP0o/^9
0?g8Q`3mbHP0oLV90?g:R`3lc8h0o<b@0>OC``3TdlH0h]?90014a@020?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`000`3oool30000
00@0oooo0P0000050?ooo`030000003oool0oooo02<0oooo0`2k/m420>NfX0030>RfX03X]Yl0j;JO
0080j;JO0`000000103T]JD0iKJT0>FfY03U]Z@20>bdUP80kKBF0P36/<@00`38/<<0k;BF0>bdUP03
0>fdU@<0kKBD0P3X/i`0103Y]9`0jKBK0>VdVP3Y]9X20>ZdVP060>^dV@3`]8d0l;B=0?2dS@3a]8d0
aJ^o0P38[;d30?2cSP<0l;B=0`3a]8`01@3a]8/0k;>F0>bcUP3//iH0k;>E0080kKBD00<0k[BC0>jd
TP3c]8H00P3d]8H40?BdQ@80_JK20`3c]8P20?>dQ`80lkB6103d]8D00`3d]8@0mKF40?FeQ0020>je
U0030>jeT`3_]Y80l;JA0080l;JA00@0lKJ@0?JeO`3f]Gl0m[Eo103g]Gh30?NeO@80SiSH0`3f]X<2
0?JfPP80mkJ10`3g]h001@3g]gl0n;Mo0?RfNP3h]WX0nKIj0080nKIi0P3a_9L0103b_IH0lkfE0?>m
U@3c_ID20?VgNP@0nKMi0`3j]gP60?ZhN0040?ZiM`00@L80nK^10?VlP@<0n[b00`3j_Gl20?^nO`<0
nkUe0P3k^WD20?bjM@<0o;]f00<0o;af0?K>Y03fcZ@00`3gd:@01@3l_GP0o;ih0?fnN03m_WP00000
0080oKmh0P3m`7T01P3m`GX0oL9j0?g2N`3m`g/0oLB20?g4P`80o<F500@0o<J70:cEmP2aeo@0oLR6
0P3nbHH20?k:Q`0:0?k;R03nbhT0o/b:0?g9R03mbX/0oL^=0?c<SP3lc900o<fD0>CCaP80gm?<00<0
04K70?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo
00020?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0oooo02@0oooo00<0^k?A0;fdd@2m]=400P3X]Z001P3X]Yl00000000000000000j;JN
0>VfWP80i;FU0`3U]Z@01`3V]Z<0kKBF0>fdUP3]]9H0kKBE0<J`a038/<<00P3/]9H20>fdU@D0kKBD
0P3Y]9`00`3Y]9/0jKBJ0>VdVP020>ZdVP030>^dV@3`]8d0l;B=0080lKB=0`38[;d20?2cSP@0l;B=
0P3a]8`30?6dR`80k;>F00H0k;>E0>fdU03^]9<0k[BC0>jdTP3c]8H20?BdQP@0m;B500<0m;B40;fV
`P32ZL400P3c]8P20?>dQ`80lkB6103d]8D0103d]8@0mKF40?FeQ03e]H<20>jeT`070>nfTP3`]Y40
l;JA0?2fT@3a]Y00lKN?0?JeO`050?NeOP<0mkEm0P2DW=T20?JfP`<0m[J20P3g]X430?NgP0050?Ng
O`3h]gl0n;Mo0?RfNP3i]WX00`3i]WT00`3a_9L0l[fF0?>mU@020?>mU@030?BnU03i]gX0nKMi00<0
nKMi0`3j]gP60?ZhN0040?ZiM`3j^GP004320?VlP@<0n[b00`3j_Gl30?^nO`80nkUe0P3k^WD20?bj
M@<0o;]f0P3l_7H40?O@Y080n=:S0P3m_WP00`3m_gP000000?g0N@020?g0N@070?g1NP3m`WX0oL9k
0?g3N`3ma880oLB30?c5Q@020?c6Q`030?c7R@2ffO80^mca0080o/V600L0o/Z70?k;R03nbhP0o/^9
0?k<RP3ncH/0oLZ;0080o<b>00T0o<b@0?c=U03kciP0gm?<0=cBcP3IdM4004K70?ooo`0000001P3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00020?ooo`050000003o
ool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo02D0
oooo00<0_KCA0;jdd@0000000P0000020>RfW`80j;JN00<0jKJN0>BeY@3T]JD00`3U]Z@20>JfX`80
kKBF0P3]]9D00`38/<<0bK310>fdU@020>fdU@@0kKBD0P3^]9<20>VdV`80jKBJ00D0j[BJ0>^dV@3[
]9T0jkBI0?2dS@030?6dS@040<R/_@3;[K`0bjfl0?2cSP@0l;B=0P3a]8`30?6dR`80k;>F00L0k;>E
0>fdU03^]9<0k[BC0>jdTP3_]980m;B600D0m;B500@0m;B40<:Y`@32ZL40lkB80`3c]8L20?>dQP@0
m;B500D0m;B40?FeQ03e]H@0mKF30>jeT`020>nfTP80l;JA0P3a]Y000`3a]hl0m[Eo0?NeOP040?Ne
OP@0mkEm0P2DW=T0103f]X<0m[J20?JfPP3f]X820?NfP@<0mkN000D0mkMo0?RgO`3h]gl0n;Mo0?Vf
NP030?VfN@030>f>903b_IH0lkfE0080lkfE0P3d_Y@40?VgN@<0n[Mh1P3j^7P0103j^GL0n[Uh0?Zi
N000>kd20?ZlP0@0n[eo0`3k_Wl0103k_gh0nkUe0?^jM@3k^WD20?bjM@<0o;]f0P3l_7H00`3l_7L0
mm2T0?O@Y0030?SBX`80oKih00<0oKmh0000003m`7T00P3m`7T0203m`GX0oL9j0?g2N`3m`g/0o/=l
0?k4O@3laHD0o<J70P3lahT01@3lbHd0^mca0<CNk034g^`0o/Z70080o/^800d0o/^90?k<RP3ncH/0
oLf<0?c<SP3lc900o<fB0?c=U03kciP0n/nK0=cBcP3IdM4004[900<00000103oool2000000@0oooo
00@000000?ooo`3oool000000P3oool00080oooo100000030?ooo`040000003oool0oooo000000<0
oooo0`00000U0?ooo`<0000000<0_[C@0>RfW`3X]Yl00P3X]Yl20>RfWP80jKJN0`3U]Z@30>JfX`04
0>JfXP3]]9D0kKBE0>fdU@80bK310`3]]9D40>fdU080k[BC0P3Y]9/00`3Y]9X0j[BJ0>ZdVP030>^d
V@040>^dV03a]8d0lKB=0?6dS@<0bjfl00<0cJjj0?2dS@3`]8d00P3`]8d20?6dS080lKB;0P3b]8/2
0>bcU@060>fdU03^]9<0k[BB0>jdTP3_]980kkBA1@3d]8D20?BdQ0030<:Y`@36Zkl0lkB70080lkB7
0P3c]8H30?BdQ@80m;B40P3e]H@20?FeP`80kkJB0P3`]Y420?6fT080lKN?1@3g]Gh40?NeO@<0VIoH
0`3f]X800`3g]X40mkN00?NgP0020?NgP0050?NgO`3h]gl0n;Mo0?RgO`3h]gh0103i]WT00`3b_IH0
lkfE0?>mU@030?BnU0040?BnT`3i]gT0nKMi0?VgN@<0n[Mh1P3j^7P0103j^GL0n[Uh0?ZiN000>kd2
0?ZlP0@0n[eo0`3k_Wl0103k_gh0nkmo0?^jM@3k^WD20?bjM@<0o;]f0P3l_7H00`3l_7L0mm2T0?O@
Y0030?SBX`80nM>S0P3m_gP05P000000oL1i0?g1N@3m`GX0oL9j0?g2N`3m`g/0o/=l0?k4O@3naGh0
o<J70?c7R@3lb8/0o<V=0=9U0034g^`0b>3Z0<cQi`3nbhP0o/^90?k<R@3nc8X20?g=S00:0?g>SP3l
c900o<fD0?c=U03kciP0n/nK0=WAd@3GdM<0dm3F001:b@8000001@3oool00`000000oooo0?ooo`03
0?ooo`8000000`3oool00080oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`000003
0?ooo`030000003oool0oooo0280oooo0`0000020?ooo`<0_[C@0`3X]Yl00`3X]Yh0jKJN0>VfWP02
0>VfWP80iKJT0`3V]Z<01`3V]Z80kKBE0>fdU@3]]9D0kKFE0<V``@3;//400P3]]9D40>fdU0<0k[BC
0P3Y]9X20>ZdVP<0jkBI00<0jkBH0?6dS@3a]8d00P3a]8`00`3;[K`0cJjj0<f^^P040?2dS@80lKB<
0P3a]8/20?:dR`040>bcU@3]]9@0kKBD0>jdT`80k[BB00<0kkBB0>ndT@3d]8D0103d]8D20?BdQ080
aZ^o0P3c]8L30?>dQP<0m;B500@0m;B40?FeQ03e]H@0mKF40P3e]H<01@3_]Y80l;JA0?2fT@3`]Y40
lKJ@00<0lKN?1@3g]Gh50?NeO@0309VOf02NX]L0m[J20080m[J200<0mkJ10?NgP03g]h000P3g]h00
1@3g]gl0n;Mo0?RgO`3h]gl0n;Mn00@0nKIi0`3c_ID30?BnU0040?BnT`3i]gT0nKMi0?VgN@<0n[Mh
1P3j^7P0103j^GL0n[Uh0?ZiN03k^GP20?ZlP0<0n[eo00P0nkeo0?^nO`3k_Wl0nkio0?^oOP3k_gl0
o<1n0?^jM@80o;Ye0`3l^gH20?blMP030?blM`3l_GL0o;eg0080n=:S00P0n=>S0?WCX`3idj<0nMBS
0?foN03m`7T000000?g1N@80oL9j00l0oL9k0?g3N`3n`g`0o/Am0?k5OP3naGl0o<N90?c8R`3lbHd0
o<Z?0<SPjP3<hNL0d>;U0?k;R03nbhT00P3nc8X20?g=S0030?g>SP3mchl0o<fD0080nlnH00L0n/nK
0?W@W`3GdM<0dm3F0=7?f03oool000000100oooo00030?ooo`030000003oool0oooo00<0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`0P0?ooo`8000001P3oool00`2n]=00`;K@
0<2fd0020>RfW`030>RfWP3Y]Yh0jKJN0080jKJN0P3U]Z@20>JfX`80i[JR00@0ikJR0>fdU@3]]9D0
kKFE0P3;//400`3=//00kKBD0>fdU0030>fdU0<0k[BC0P3Y]9X0103Z]9X0jkBI0>^dV@3[]9T20>^d
V0040>bdU`3a]8d0lKB<0?6dS0<0cJjj00@0d;2i0?2dS@3`]8d0l;B=0P3a]8`20?6dR`030?:dR`3b
]8X0l[B:0080kKBD00H0k[BC0>jdTP3_]980kkBB0>ndT@3_]9040?BdQ@<0m;B400<0aZ^o0<V/_@3c
]8L00`3c]8H30?BdQ@040?BdQ03e]H@0mKF40?FeQ0<0mKF30`3`]Y40103a]Y00lKN?0?6gS`3a]hl5
0?NeOPD0mkEm0`2NX]L00`3f]X80mkJ10?NfP@040?NgP0040?NgO`3h]gl0n;Mo0?RgO`80n;Mn103i
]WT20?>mU@<0m;jD00@0m;jC0?K0TP3i]gT0nKMi0`3j]gP60?ZhN0030?ZiM`3j^GP0n[Uh0080nkUh
00@0n[b00?ZmO`3j_Gl0n[eo103k_Wl0103k_gh0nkmo0?c0OP3l`7l20?bjM@<0o;]f00<0o;af0?bl
M`3l_7L00P3l_GL00`3l_WP0n=:S0?SCX`020?WCX`050?WDX`3ieJ<0oL1i0000003m`GT00P3m`WX0
3@3m`W/0oL=k0?k3O03na7d0o/En0?k5O`3naX40o<V=0?c:S`3kbY40nl^C0?_<U@3@h^D00P3Fi>00
203nc8X0o/f;0?g=S03mcH`0oLj>0?g?S`3md980nlnH0P3jci/00`3id9l0n=6R0=?@eP020?ooo`03
0000003oool0oooo00h0oooo00040?ooo`800000103oool2000000@0oooo00<000000?ooo`3oool0
7@3oool3000000T0oooo00<0`;K@0<6fd031]]000P3X]Yh40>VfWP040>VfW@3V]Z<0i[JS0>JfX`80
i[JR00P0ikJR0>NfX@3]]ID0kKFE0>fdU03;//40cK;00<jc_P@0kKBD0`3^]9<00`3^]980j[BJ0>Zd
VP030>^dV@80jkBH0P3/]9L30?6dS0030<f^^P3@/;T0d;2i0080l;B=0`3a]8`20?6dR`040?:dR`3b
]8X0l[B:0>fdU080k[BC00H0k[BB0>ndTP3_]980kkBA0>ndT03`]I030?BdQ@<0m;B40P39[;d0103c
]8L0lkB60?>dQP3c]8H30?BdQ@040?BdQ03e]H@0mKF40?FeQ0<0mKF30`3`]Y401@3a]Y00lKN?0?6g
S`3a]hl0lkN=00<0mkEn1`3g]Gd00`2NX]L0XjOI0?JfPP020?NfP@@0mkN000@0mkMo0?RgO`3h]gl0
n;Mo0P3h]gh0103i^7h0nKIi0?VfN@3i]WT20?>mU@80m;jD0P3d_Y<00`3f`980nKMi0?VgN@030?Zg
N0H0n[Qh00<0n[Ug0?ZiN03j^GP00P3k^GP0103k^WL0n[eo0?ZmO`3j_Gl40?^nO`060?^oOP3k_gl0
o<1n0?c0O`3l`Gh0o;Ye0`3l^gH00`3l_7H0o;ag0?blM`020?bmM`040?bnN03hdZ<0nM>S0?WCX`80
nMBS00@0nMFS0?WEXP3m`7T000000P3m`WX02@3m`g/0oL=l0?k3O03na7d0o/En0?k5O`3naX40o/N2
0?c:S`020?_;T`050?_<U@3jcIX0e^CP0=WTgP3Ki=/00P3mcH`02@3mcXd0oLj>0?g?T@3md980o=2D
0?[?V`3jd9d0nM2O0?SAXP030?ooo`030000003oool0oooo00h0oooo000@0?ooo`8000006`3oool3
000000d0oooo00<0`KK@0<:fc`32]/l0103Y]Yh20>VfW@040>ZfW@3V]Z<0i[JS0>JfXP80ikJR00<0
ikJQ0>RfX@3]]9@00P3]]9@00`3=//00c[>n0<jc_P030>fdU0<0k[BC00<0k[BB0>ZdVP3Z]9X00`3[
]9T01@3[]9P0k;BG0>bdU`3/]9L0kKFF0080lKB<0`3@/;T00`3B/;L0l;B=0?6dS0020?6dS080lKB;
00@0l[B;0?:dRP3b]8X0l[B:0P3^]9<0203^]980kkBB0>ndT@3_]940kkB@0?2eT03`]Hl0m;B51@3d
]8@01039[;d0cJnk0?>dQP3c]8H40?BdQ@030?BdQ03e]H@0mKF400D0mKF300<0l;JA0?6fT03a]Y00
0`3a]hl20?>gS@80mkEn1P3g]Gd20?ReO080XjOI0P3g]X430?NgP080mkMo0`3h]gl20?RgOP030?Vh
OP3h^7h0nKIi0080nKIi0`3d_Y@01@3d_Y<0mKnC0?K0TP3f_i80nKMi00<0n[Mh1P3j^7P00`3j^GL0
n[Uh0?ZiN0020?^iN0040?^jM`3k^WP0n[eo0?ZmO`@0nkio00D0nkmn0?^oO`3l`7h0o<1o0?c1OP02
0?c1O`80o;]f00X0o;af0?blM`3l_7L0o;eg0?bmN03l_WP0o;ii0?foN@3idj<0nMBS0P3ieJ<01`3i
eJ80n]JR0?[FXP000000oL9j0?g3N`3m`g`00P3na7d0503naGh0o/Eo0?k6P@3nah80o/R30?_;T`3k
c9D0n/fG0?[=VP3icY`0fNCN0=kTf@3Pi=L0oLf<0?g>SP3mchl0oLnA0?g@TP3ld9@0o=6F0P3id9l0
0`3hdJ80oooo0?ooo`020?ooo`030000003oool0oooo00d0oooo000@0?ooo`030000003oool0oooo
01L0oooo0`00000@0?ooo`<0`[K?103Y]Yh0103Y]Yd0j[JM0>ZfW@3Z]Yd20>JfXP030>NfXP3W]Z40
ikJQ0080j;JQ0P3]]9@30<jc_P030=2d_P3]]9@0kKBD00<0k[BC0P3^]9830>^dV@80jkBH0`3/]9L0
1@3]]IH0lKB<0?6dS03a]8`0d;2i0080d[2g00@0e;6e0?6dS03a]8`0lKB<0P3a]8/01@3b]8/0l[B:
0?:dRP3b]8X0k[BC0080k[BB00L0kkBB0>ndT@3_]900kkB@0?2eT03`]Hl0m;B500D0m;B40P3=[k/0
0`3@/;X0lkB60?BdQ@030?BdQ@030?BdQ03e]H@0mKF400D0mKF300<0m[F20?6fT03a]Y000P3a]hl0
0`3b]hh0lkN=0?>gS@020?NeOPH0mkEm00<0n;El0?NeO02WZMP00P2WZMP01@3g]X40mkN00?NgP03g
]h00mkMo00<0n;Mo0`3h]gh00`3i^7h0n;Qn0?RhOP030?VfN@80m;jD00D0m;jC0?FoT`3f`980m[nB
0?K0TP030?ZgN0H0n[Qh00<0n[Ug0?ZiN03j^GP00P3k^GP0103k^WL0nkYh000a/03j_Gl30?^nO`06
0?^oOP3k_gl0nkmo0?c0OP3l`7l0o<5n0P3l`Gl20?bkMP0:0?blMP3l_7L0o;ag0?bmM`3l_GP0o;ih
0?bnN@3m_gT0oKmj0?WDX`80nMFS0`3jeZ801@3jej4000000?g3N`3m`g`0o/Am0080o/En00H0o/Eo
0?k6P@3nah80o/R30?k9QP3kc9D20?[=VP070?W>W03hcj80g^CI0>3Te`3Ri=D0oLj>0?g?S`020?g@
TP050?c@U03ldIH0o=:I0?SAXP3gdJ@0103oool00`000000oooo0?ooo`0=0?ooo`00403oool00`00
0000oooo0?ooo`0D0?ooo`<00000503oool00`32]/l0`kO?0<>gc`030>VfWP040>VfW@3Z]Yd0j[JM
0>ZfW@80i[JR00<0ikJR0>NfX@3W]Z400P3X]Z420>fdU0050>jeU03>/kh0d;Bn0=2d_P3]]9@0103^
]9<20>jdTP030>neTP3[]9T0jkBI0080jkBH0`3/]9L20>feUP80lKB<0`3B/;L0103D/KD0lKB<0?6d
S03a]8`20?6dR`050?:dR`3b]8X0l[B:0?:dRP3b]8T00P3^]9801@3_]980kkBA0>ndT03_]900l;F@
0080l;F?1@3d]8@0103e]8@0cJnk0=2`^P3c]8H40?BdQ@030?BdQ03e]H@0mKF400D0mKF300<0m[F2
0?6fT03a]hl00P3a]hl01@3b]hh0lkN=0?>gS@3c]h`0mkEn00H0mkEm00H0n;El0?NeO03g]G`0YjWH
0:b[eP3g]X430?NgP0040?NgO`3h]gl0n;Mo0?RgO`<0n;Mn00@0nKQn0?RhOP3h^7h0nKQm0`3i]WT2
0?BnT`050?FoT`3f`980m[nB0?K0TP3g`I400P3j]gP60?ZhN0030?ZiM`3j^GP0n[Uh0080nkUh00@0
nkYg0?^jN03k^gP002j/0`3k_Wl01P3k_gh0nkmo0?^oO`3l`7h0o<1o0?c1OP80o<5o0P3m`Wl01P3l
_7H0o;ag0?blM`3l_GL0o;eh0?bnN@80oKmi00@0oKmj0?g1N`3ieJ<0nMFR0`3jeZ801P3jej400000
0?g3N`3m`g`0o/Am0?k5OP80o/Eo00l0o/J10?k7PP3nb8<0o/V60?g9Q`3jcIX0nLjL0?S?W`3hcj80
oooo0>;Te@3Si=<0iNCA0?g?T@3md9800P3ld9@00`3ldYP0o=:I0?_CW@050?ooo`030000003oool0
oooo00d0oooo000?0?ooo`8000004`3oool3000001P0oooo00<0`kO?0<Bhc`34^<l00P3Y]Yh00`3Y
]Yd0j[JM0>ZfW@020>ZfW@80ikJR00D0ikJQ0>RfX@3X]Z40j;JQ0>RfX0030>jeU0030=2d_P3B];d0
d[Bm00@0k[BC0P3^]980103_]I80jkBI0>^dV@3[]9P30>bdU`<0kKFF00@0kKFE0?6dS03a]8/0d[2g
0P3D/KD00`3G/[@0lKB<0?6dR`020?6dR`060?:dR`3b]8X0l[B:0?:dRP3b]8T0k[BB0P3_]980103_
]940kkB@0?2eT03`]I020?2eS`030?6eSP3d]8@0m;B40080m;B400@0mKB40=2`^P3@/;X0dk6g103d
]8D00`3d]8@0mKF40?FeQ0050?FeP`80m[F20`3a]hl01@3b]hh0lkN=0?>gS@3c]h`0m;R;00H0mkEm
00<0n;El0?NeO03g]G`00`2/ZmH30?NgP0040?NgO`3h]gl0n;Mo0?RgO`<0n;Mn00<0nKQn0?RhOP3h
^7h00P3i^7d20?VfN@80m;jC0P3f`9801@3f_i80m/2B0?O1T@3g`I40n[Mh00D0n[Qh00@0n[Ug0?Zi
N03j^GP0n[Uh0P3k^GP00`3k^WL0nkYh0?^kN0020?^kN080nkio00H0nkmn0?^oO`3l`7h0o<1n0?c0
O`3l`Gh20?c1O`80oL9o00`0oL=o0?blM`3l_7L0o;eg0?bmN03l_WT0oKmi0?foNP3m`7/0oL5k0?g1
O03ieJ820?[FXP090?[GXP3jej40n]NQ0000003kej40o/Am0?k5OP3naGl0o/J10080o/N200L0o/R3
0?k9QP3mbHL0oL^:0?W>W03hcil0n<nR0080oooo00T0hnCC0>KTd03Wi<h0j>?=0?c@U03ldIH0o=:H
0?cBV@3kdid01@3oool00`000000oooo0?ooo`0=0?ooo`003`3oool00`000000oooo0?ooo`0?0?oo
o`<000007@3oool01034^<l0aKS>0>VfW@3Y]Yd40>ZfW@030>ZfW03W]Z40ikJQ00<0j;JQ00@0j;JP
0>VgX03^]I@0k[FD0`3B];d0103C]K`0k[BC0>jdT`3^]9<20>jdTP040>neTP3_]980jkBH0>^dV0<0
k;BG0`3]]IH20>feU@80lKB;00@0e;6e0=Nb]03G/[@0lKB<0`3a]8/0103b]8/0l[B:0?:dRP3b]8X2
0?:dR@80kkBB00<0kkBA0>ndT03`]I000`3`]Hl00`3a]Hh0lKJ>0?BdQ0020?BdQ0040?FdQ03e]8<0
dk6g0=>a]`@0m;B500<0m;B40?FeQ03e]H@0103e]H<30?JePP<0lKN?00@0l[N>0?>gS@3c]hd0lkN<
0P3d^8/50?NeO@050?ReO03g]G`0mkEl0?RfO02/ZmH00P2a/MP20?NgP0040?NgO`3h]gl0n;Mo0?Rg
O`<0n;Mn00<0nKQn0?RhOP3h^7h00`3i^7d20?VfN@050?FoT`3f`980m[nB0?JoTP3f`9800`3g`I45
0?ZhN0040?ZiM`3j^GP0n[Uh0?ZiN080nkUh00<0nkYg0?^jN03k^gP00P3k^gP01@3l_7P0nkio0?^o
OP3k_gl0o<1n0080o<1o00<0o<5n0?c1O`3l`Gl00P3m`Wl03P3m`gl0oLB00?g4P03l_GL0o;eh0?bn
N@3m_gT0oKmj0?g0N`3m`G/0oL5l0?g2O@3m`Wh0n]JR0P3jej420?_GX@060000003kf:00o/En0?k5
O`3naX40o/N20P3nb8<01P3nbHH0oLV70?g;RP3mc8d0n<nR0?O@Y0<0oooo00D0i^C@0>OTcP3Xhld0
jN?;0?cAUP020?cBV@030?_CW@3oool0oooo00<0oooo00<000000?ooo`3oool03@3oool000l0oooo
00<000000?ooo`3oool0303oool300000240oooo00<0aKS>0<JicP3Z]Yd0103Z]Yd00`3Z]Y`0ikJQ
0>NfX@020>RfX@80j;JP00D0jKNP0>VgW`3^]I@0k[FD0=:d_@020=>e_0030=Bf^`3^]9<0k[BC0080
k[BB00@0kkFB0>ndTP3[]9P0jkBH0`3/]9L30>feUP80kKFE00<0k[JD0?6dR`3G/[@00P3G/[@00`3I
/k80lKB;0?6dR`020?:dR`<0l[B:0P3b]8T01@3_]980kkBA0>ndT@3_]900l;F@00<0l;F?00@0lKF>
0?6fSP3d]8@0m;B40P3e]8@0103e]8<0dk6g0=>a]`3F/kH20?BdQ@80m;B40P3e]H@40?FeP`@0m[F2
0P3a]hl30?>gS@040?>gS03d^8/0m;R;0?BhRP@0mkEm00<0n;El0?NeO03g]G`00P3h]W`01@2a/MP0
];?G0?NgP03g]h00mkMo00<0n;Mo0`3h]gh00`3i^7h0n;Qn0?RhOP030?VhO@80nKIi00<0nKMi0?K0
TP3f_i800P3f`9830?O1T@D0n[Qh00@0n[Ug0?ZiN03j^GP0nkUg0P3k^GP00`3k^WL0nkYh0?^kN002
0?^kN0060?blN000:J@0nkmn0?^oO`3l`7h0o<1o0P3l`Gh20?c1O`80oL9o00T0oL=o0?g4P03ma800
oLF10?bmN03l_WT0oKmi0?foNP3m`7/00P3m`G`00`3m`Wd0oL9n0?g4P0020?[GX@<0nmNQ00H00000
0?_HX03kf:00o/J10?k7PP3nb8<20?k9QP040?g9Q`3mbhX0oLb=0?g=S`D0oooo00D0j>?=0>WSc03Y
hl/0j^?90?cBV@020?_CW@D0oooo00<000000?ooo`3oool03@3oool000l0oooo00<000000?ooo`3o
ool02@3oool3000002@0oooo0P36^Lh01037^/h0j[JM0>ZfW@3Z]Yd20>ZfW0040>^fW03X]Z40j;JQ
0>RfX@80j;JP00@0jKNP0>VgW`3Y]il0k[FD0`3C]K`00`3D][/0k[BC0>jdTP020>jdTP030>neTP3_
]980kkBB00<0k;BG0`3]]IH30>feU@040>jfU03a]8/0lKB;0=Nb]080fK>b00@0f[>a0?6dR`3b]8/0
l[B;0`3b]8X30?:dR@80kkBA00<0kkB@0?2eT03`]Hl00P3`]Hl01@3a]Hh0lKJ>0?6fS@3d]8@0mKB4
00<0mKB30P3F/kH00`3I];@0m;B50?BdQ0030?FeQ0@0mKF3103f]H800`3a]hl0l[N>0?>gS@020?>g
S@040?>gS03d^8/0m;R;0?BhRP@0mkEm00<0n;El0?NeO03g]G`00P3h]W`30;Bce`030?NgP03g]gl0
n;Mo0080n;Mo0`3h]gh00`3i^7h0n;Qn0?RhOP030?VhO@060?ViO@3i]WT0nKMi0?VgN@3f_i80m/2B
103g`I400`3h`i00n[Qh0?ZhN0020?ZhN0040?ZiM`3j^GP0n[Uh0?^iM`80nkUh00<0nkYg0?^jN03k
^gP00P3k^gP20?blN0050?bmN@3k_gl0o<1n0?c0O`3l`Gh00`3l`Gl20?g2O`030?g3O`3ma800oLB0
0080oLF100@0o;ii0?foN@3m_gX0oL1k0P3m`G`01@3m`Wh0oL=o0?g4P03ma840n]NQ0080nmNQ00<0
nmRQ0000003kf:000`3kf:001`3nb8<0o/V60?g9Q`3mbXP0oL^:0?g<S@3mcHl01P3oool01@3Yhl/0
j^?:0>[Sb@3Zh/T0nm>M00H0oooo00<000000?ooo`3oool03@3oool000l0oooo0P0000070?ooo`<0
0000:03oool00`36^Lh0ak[>0>ZfW@020>ZfW@040>ZfW03[]Y`0jkJL0>^fW080j;JQ00<0j;JP0>Vg
X03Y]j000P3Y]il00`3Z]il0k[FC0=>e_0020=Bf^`050=Jg^P3^]980k[BB0>jdTP3_]I800P3_]980
0`3_]I40k;BG0>bdU`030>feUP<0kKFE0P3^]Y@01`3a]8/0fK>b0=Vc/P3I/k80f[>a0?6dR`3b]8/0
103b]8X30?:dR@040>ndT@3_]900kkB@0?2eT080l;F?0P3a]Hh0103a]Xh0lKJ=0?6eS@3e]8@30?Fd
P`80e[>f00<0fKBd0?BdQ@3d]8@00`3e]H@40?FeP`D0m[F200D0l[N>0?>gS@3c]hd0lkN=0?>gS002
0?BhR`80m;R:0`3g]Gd00`3h]G`0mkEl0?NeO0030?RfO0040;Bce`2g]=H0]kCF0?NgO`<0n;Mo0`3h
]gh00`3i^7h0n;Qn0?RhOP030?VhO@80nKUm0`3i]gT00`3f`980ml6A0?O1T@020?O1T@030?S3T03h
`i40n[Qh0080n[Qh00D0n[Ug0?ZiN03j^GP0nkUg0?^iN0020?^jM`040?^jN03k^gP0nk]h0?^kN080
o;ah0P3l_GT00`3l`7h0o<1o0?c1OP020?c1O`040?c2O`3m`Wl0oL9o0?g3O`80oLB00P3maH420?g6
PP050?foNP3m`7/0oL5l0?g1O03m`Wh00P3ma800103ma840oLF30?g6Q@3kej420?_HX0030000003k
f:00nmRP0080nmRP00H0o/V60?g9Q`3mbhX0oL^:0?g<S@3mcHl70?ooo`040>[Sb@3Zh/T0j^;80>_R
b0L0oooo00<000000?ooo`3oool0303oool000040?ooo`0000000000000000@0oooo0P0000050?oo
o`030000003oool0oooo00<0oooo0`00000/0?ooo`050<NjcP38^/d0j[JM0>ZfW@3Z]Y`00`3[]Y`0
103[]i`0j;JP0>RfX03Y]j030>VgW`<0j[NO00D0e;Jk0=Jg^P3F]kX0ekNi0>jdTP020>neTP80kkBB
00<0kkFA0>bdU`3/]9L00`3]]IH20>feU@<0k[JD00<0k[FD0?:dR`3I/k800P3J/k400`3L]:l0l[B;
0?:dRP030?:dRP<0l[B900@0lkB90>ndT03_]900l;F@0P3`]Hl01P3a]Hh0lKJ>0?6fSP3a]Xd0lKF=
0?:fS0@0mKB30P3I];@00`3K]K80m;B40?FeQ0020?FeQ0@0mKF3103f]H80103f]X80l[N>0?>gS@3c
]hd20?>gS080m;R;0P3d^8X0103e^HT0mkEm0?NeO@3h]G`20?NeO0@0n;Il00<0]kCF0;^ie`2k^ML0
0`3h]gl20?RgOP80nKQn0P3h^7h30?VhO@<0nKUm00<0n[Ym0?VgN@3i]gT00`3g`I420?S3T0050?S3
T@3ia900nLF@0?ZhN03j^GL00P3j^GP00`3k^GL0nkUh0?^jM`020?^jN0<0nk]h0P3l_7P30?bmN@04
000XWP3l`Gh0o<5o0?c1O`<0oL9o00<0oL=o0?g4P03ma8000P3maH420?g6PP0;0?k7P`3nb8<0oL5l
0?g1O03m`Wh0oLB00?g4P@3maH80oLF30?g6Q@3mahL00`3kf:0010000000nmRP0?_HX03kf:020?_H
X@040?g;RP3mc8d0oLb=0?g=S`T0oooo00<0j^;80?ooo`3oool01P3oool00`000000oooo0?ooo`0<
0?ooo`0000D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo000000<0oooo00@0
00000?ooo`3oool0oooo0`00000`0?ooo`80b;[=0P3Z]Y`20>^fW080jkNL0P3X]Z00103Y]j00jKNO
0>VgW`3Y]il30>ZgW`<0e[Nj00<0ekNi0>jdTP3_]I800`3_]9820>neT@<0kKFF0`3]]ID30>jfU004
0>jeU03_]Y<0f[>a0=Zc/@80g;B_00<0g[J^0?:dRP3b]8X00P3b]8X30?:dR@040?>dR@3_]900l;F@
0?2eT080l;F?00D0lKF>0?6fSP3a]Xd0lKJ=0?6eS@020?:fS0<0mKB30P3I];@0103K]K80gKJ`0?Fe
Q03e]H@50?FeP`@0m[F20P3f]X820?>gS@040?>gS03d^8/0m;R;0?BhR`80m;R:00@0mKV90?FhR@3g
]Gd0n;El0P3g]G`50?RfO0030;^ie`2n^mL0n;Mo0080n;Mo0P3h]gh0103i^7h0n;Qn0?RhOP3h^7h3
0?VhO@<0nKUm0P3j^Wd0103i]gT0ml6A0?O1T@3g`I420?S3T0050?S3T@3ia900nLF@0?W5T03j^GL0
0P3j^GP0103k^GL0nkUh0?^jM`3k^WP40?^kN080o;ah0`3l_GT0103l_WX0o<5n0?c1O`3l`Gl20?g2
O`040?g3O`3ma800oLB00?g4P080oLF10P3maX80203nah<0o/R30?k8Q03nbHD0oL9n0?g4P03ma840
oLF30P3maXD01@3mahL0o<V;0?c9S@3kf:00000000<0nmRP0P3kf:400`3kf:80oLb=0?g=S`0C0?oo
o`030000003oool0oooo00`0oooo00001@000000oooo0?ooo`3oool000000080oooo00@000000?oo
o`3oool000000`3oool4000003@0oooo00<0b;[=0<Zlc@3[]Y`00P3[]Y`30>^gW080jKNP0P3Y]il4
0>ZgW`060>ZgWP3F]kX0ekNi0=Ng^@3H]kP0kkFB0`3_]9820>neT@<0kKFF0`3]]ID30>jfU0040>je
U03_]Y<0kkJC0=Zc/@80g;B_00<0g[J^0?:dRP3b]8X00P3b]8X30?:dR@80lkB900H0l;F@0?2eS`3`
]Hl0l;F?0?6eSP3a]Xh20?6fS@030?6eS@3b]X`0l[J<00@0mKB30P3K]K800`3M][00mKF40?FeQ005
0?FeP`@0m[F20`3f]X800`3c]hd0lkN<0?BhR`020?BhR`80m;R:00@0mKV90?FhR@3e^HP0n;El0P3g
]G`50?RfO0<0_[_G00D0n;Mo0?RgOP3h]gh0n;Mn0?VhOP030?RhOP80nKQm103i^Gd20?ZjO@80nKMi
0P3g`I420?S3T0050?S3T@3ia900nLF@0?W5T03j^GL00P3j^GP0103k^GL0nkUh0?^jM`3k^WP40?^k
N080o;ah0`3l_GT20?bnNP050?boN`3l`Gl0oL9o0?g2O`3m`gl00P3ma8030?g5P@80oLJ200d0o/N3
0?k8P`3nb8@0o/V50?k:QP3ma800oLB10?g5P`3maXD0oLN70?c8R@3lbH/0o<V=0080oooo00<00000
0?_HX03kf:400P3kf:400`3kf:80n]VS0?g=S`0C0?ooo`030000003oool0oooo00`0oooo0000103o
ool000000000000000030?ooo`040000003oool0oooo000000<0oooo0P00000g0?ooo`040<Zlc@3;
_Ld0jkJL0>^fW0@0jkNL0`3Y]il30>ZgW`80j[NN00D0jkRN0=Ng^@3H]kP0f;Nh0=Zi^0020>ndTP@0
kkFA0P3]]IH20>feU@<0k[JD0P3^]I@20>nfT`80g;B_0P3N]Zh00`3O]Zd0l[B:0?:dRP040?:dR@80
lkB900L0lkF80?2eS`3`]Hl0l;F?0?6eSP3a]Xh0lKJ=0080lKF=0`3b]X`40?FdP`80gKJ`00<0h;R_
0?FeQ03e]H<0103e]H<40?JePP80m[J200<0m[J10?>gS@3c]h`00`3d^8/20?BhRP040?FiR@3e^8T0
mKV80?JiR080mkEl1P3h]W`00`2n^mL0`KcF0?RgO`030?RgOP030?VhOP3h^7h0n;Qn00<0nKQm103i
^Gd20?ZjO@030?ZkO@3i]gT0nKMi0080n<>@0P3h`i402P3ia900nLF@0?W5T03jai00n/NA0?ZiN03k
^GL0nkUh0?^jM`3k^WP30?^kN0<0o;ah0`3l_GT20?bnNP050?boN`3l`7/0oL9o0?g2O`3m`gl00P3m
a8020?g5P@0=0?g6P@3maX80oLJ20?k7P`3nb8<0o/R40?k9Q@3nbXH0o/^70?k;R03maH<0oLJ50?g7
Q`020?c9R`050?c9S@3oool0oooo0?ooo`0000000`3kf:400`3kf:80n]VS0?[IY00C0?ooo`030000
003oool0oooo00`0oooo00001@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0
00001@3oool00`000000oooo0?ooo`0e0?ooo`80bkg=1P3[]i`20>VgW`<0j[NO0P3Z]ih20>^hWP05
0=Rg^03J^KP0f[Vh0=^i]`3_]9801@3_]I430>feU@<0k[JD00<0k[FD0>nfT`3_]Y<00P3_]Y<01P3L
]:l0g[J^0=nf[@3O]Zd0hKJ/0?:dRP@0l[B90P3c]8T0203c]HP0l;F?0?2eS`3`]Hl0lKF>0?6fSP3a
]Xd0lKF=103b]X`0103c]X/0mKB30?FdP`3e]8<20=ff/0030>2h[`3Q^:h0mKF300@0mKF3103f]H82
0?JfPP80m[J100<0lkN<0?BhR`3d^8/00P3d^8X20?FiR@050?FhR@3e^HP0m[V80?JiR03g]G`01`3h
]W`00`31_=H0a;oF0?RgOP020?RgOP030?VhOP3h^7h0n;Qn00<0nKQm103i^Gd20?ZjO@<0n[]m00<0
n[Qi0?S3T03h`i400P3ia9020?W5T0070?[7T03jai40n/NA0?^iM`3k^GP0nkYg0?^jN0030?^kN080
o;ah00@0o;ai0?bmN@3l_GT0o;ei0P3l_WX01@3l_g/0o<1k0?g1O03m`Gd0oL=o0080oLB00P3maH42
0?g6PP0<0?k7PP3nah<0o/R30?k8Q03nbHD0o/Z60?k;Q`3nbhP0o/b90?k<RP3mahL0o<V;0P3lbHd4
0?ooo`060000003kf:40nmRR0?_IXP3jfJ<0n]VT4`3oool00`000000oooo0?ooo`0<0?ooo`0000D0
00000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3o
ool0=03oool20<^mc@030<bnc@3[]i`0jkNL0080jkNL0P3[]i/40>ZgW`040>ZgWP3[^9h0jkRN0>^h
WP<0f[Vh00<0fkVg0=bi]P3_]I40103_]I430>feU@<0k[JD00<0k[FD0>nfT`3_]Y<00P3_]Y<01P3`
]Y80g[J^0=nf[@3O]Zd0hKJ/0?:dRP@0l[B90P3c]8T20?>eR080l;F?00@0lKF>0?6fSP3a]Xd0lKF=
103b]X`01@3c]X/0lkN;0?FdP`3e]8<0mKF30080h;R_00<0hKR^0?FeP`3e]H<00`3e]H<40?JePP80
m[J20`3f]X420?BhR`80m;R:00@0mKV90?FhR@3e^8T0mKV80`3f^HP80?RfO0050<BoeP36a=L0n;Mn
0?RgOP3i^7h00P3h^7h30?VhO@@0nKUm0P3j^Wd40?ZkO@030?ZhN@3h`i40nLB@0080nLF@00P0nLFA
0?[7T03jai40n/NA0?_9T@3k^GP0nkYg0?^jN0<0nk]h0P3l_7P0103l_7T0o;ei0?bmN@3l_GT20?bn
NP070?boN`3l`7/0oL5l0?g1O@3m`Wh0oL=n0?g4P0020?g5P@80oLJ200d0o/N30?k8P`3nb8@0o/R4
0?k9Q@3nbXH0o/^70?k;R03nc8T0o/b:0?g=S03lbH/0o<V=00D0oooo00H000000?ooo`3kf:80n]VS
0?[IY03jfJDC0?ooo`030000003oool0oooo00`0oooo0000103oool000000000000000040?ooo`80
0000203oool00`000000oooo0?ooo`0d0?ooo`030<^mc@3<_/d0cKo=00<0jkNL0P3[]i/30>ZgW`80
j[NN103[^9h0103J^KP0fkVg0=^i]`3L^KH50>neT@030?2eT@3]]ID0kKFE0080k[JD0P3^]I@40>nf
T`030?2fTP3O]Zd0gkJ]0080hKJ/00<0hkR[0?:dR@3b]8T00P3b]8T20?>dR@80lkF800H0l;F?0?6e
SP3a]Hh0lKJ>0?6fS@3a]Hd40?:fS0060?>fR`3c]h/0lkJ;0?FdP`3e]H<0h;R_0P3Q^:h00`3R^:`0
mKF30?FeP`020?FeP`@0m[F20P3f]X830?JfP@80m;R;0P3d^8X0103e^HT0mKR90?FiR03e^HP30?Ji
R0030?NjQ`3h]W`0n;Il00D0n;Il0P36a=L00`38a=L0n;Mn0?VhOP020?RhOP<0nKQm103i^Gd20?Zj
O@@0n[]m00<0nkam0?ZhN@3ia9000P3iaI00203iaI40n/N@0?[7T@3jai40nlVA0?_9TP3k^WL0nkYh
0`3k^gP20?blN0030?blN@3l_GT0o;ei00<0o;ij00T0o;mk0?c0N`3m`G`0oL5m0?g2OP3m`gh0oL>0
001U`03maH400P3maX80103nah<0o/R30?k8Q03nbHD20?k:QP070?k;Q`3nbhP0o/b90?k<RP3mcH`0
oLj?0?g?T0060?ooo`040000003oool0=Ikc0?[IY1@0oooo00<000000?ooo`3oool0303oool001<0
oooo0P00000e0?ooo`030<bnc@3=_ld0cKo=0080jkNL0P3[]i/0103/]i/0j[NO0>ZgW`3Z]ih60>^h
WP040=^i]`3L^KH0g;Vf0=fk]P@0kkFA00<0l;FA0?2eT03^]Y@00P3^]Y@00`3^]I@0kkJC0>nfT`02
0>nfT`80l;JB00<0l;NB0=nf[@3Q]Z`00P3S^:/00`3T^:T0l[B90?:dR@030?>dR@<0lkF800D0lKF>
0?6fSP3a]Xh0lKJ=0?6eS@040?:fS0070?>fR`3c]h/0lkJ;0?>gRP3e]H<0h;R_0>6h[P020>:h[003
0>FkZ`3e]H<0mKF300D0m[F20P3f]X840?JfP@060?BhR`3d^8X0m;R:0?FiR@3e^8T0mKV8103f^HP0
0`3g^XL0n;Il0?RfO0060?RfO0040<K4e`38a=L0bLKG0?VhOP80n;Qn0`3i^7d40?ViO@80n[Ym103j
^gd20?^lO@030?ZhN@3iaI00nLF@0080n/N@0P3jai40103kbI40nlVB0?_;TP3kc9830?^kN080o;ah
00<0o;ai0?bmN@3l_GT00P3l_WX20?boN`080?c0N`3m`G`0oL5m0?g2OP3m`gh0oL>00?g4P@3maH82
0069f@060?k7P`3nb8<0o/R40?k9Q@3nbXH0o/^70P3nbhP01@3nc8T0o/b:0?g=S03mcXl0oLn@00L0
oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`0;0?ooo`005@3oool00`000000oooo
0?ooo`0c0?ooo`80cKo=00P0c/3=0>^gV`3[]i/0jkNK0>bgV`3/^9/0j[NO0>ZgWPH0jkRN0P3L^KH2
0=fk]P030=jk]@3_]I40kkFA0080l;FA00D0l;F@0>jfU03^]Y@0k[JD0>jeU0040>nfT`030?2fTP3`
]i80l;NB0080hKJ/0P3S^:/00`3T^:T0i;RX0?:dR@030?>dR@@0lkF800@0lKJ>0?6fS@3a]Xd0lKF=
0`3b]X`20?>fR`040?>gR`3c]X/0lkN:0?BgRP80hKR^0P3R^:`00`3U^j/0mKF30?FeP`050?JePP80
m[J2103f]X401P3g]X40m;R:0?BhRP3e^HT0mKR90?FiR0@0m[V80P3g^XL70?RfO0040<S4e`39a]L0
bLKG0<c<f@80n;Qn0`3i^7d40?ViO@80n[Ym103j^gd20?^lO@040?^mO@3iaI00nLFA0?[7T080n/NA
0P3kbI40103kbI80nl^B0?_<TP3lcI<20?^kN080o;ah00<0o;ai0?bmN@3l_GT00P3l_WX00`3l_g/0
o<1k0?g0O0020?g1O@070?g2OP3m`gh0oL>00?g4P@3maH80oLF30?g7Q@0203J_k`060?k8Q03nbHD0
o/Z60?k;Q`3nbhP0o/b90P3nc8X00`3mcH`0oLj?0?g?T0070?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool02`3oool001H0oooo00<000000?ooo`3oool0<`3oool00`3=_ld0c/3=0<o1
c@020>^gV`040>bgV`3/^9/0k;RK0>ZgWPD0jkRN0P3/^Id01`3L^KH0gK^f0=fk]P3N^kD0gk^d0>ne
T@3`]I400`3`]I020>jfU0030>jeU03_]Y<0kkJC0080kkJC00H0l;JB0?2gTP3`]i80l;NB0>6f[03S
^:/20>BhZ@040>BhZ03b]8T0lkB90?>dR@D0lkF800@0lKJ>0?6fS@3a]Xd0lKF=0`3b]X`01@3c]X/0
lkN;0?>gR`3c]X/0lkN:0080m;N:00H0hKR^0>:h[03U^j/0iK^[0>JkZ@3e]H<50?JePP80m[J2103f
]X401P3g]X40m;R:0?BhRP3e^HT0mKR90?FiR0@0m[V80P3g^XL00`3g^hL0n;Il0?RfO0040?RfO003
0?RgO039a]L0c<cI0080c<cI00@0n;Qn0?VhO@3i^7d0nKQm0`3i^Gd30?ZjO@@0n[]m0P3k_7d0103k
_Gd0nken0?^nOP3jai020?[7T@80nlVA00H0nlVB0?_;TP3kc980o<fC0?c>T`3lci@20?blN0030?bl
N@3l_GT0o;ei0080o;ij00l0o;mk0?c0N`3m`7`0oL5m0?g2O@3m`Wh0oL=n0?g3P03ma840oLF20?g5
P`3mahD0oLN60?ooo`1/d?`00P1lf?d0203nbhL0o/^80?k<R@3nc8X0oLf<0?g>S@3mcXl0oLn@203o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00/0oooo000G0?ooo`030000003oool0
oooo03<0oooo00<0c/3=0<o1c@3?`Ld00P3/]i/30>bhV`D0jkRN0`3/^Id01P3M^kH0g[^e0=jk]@3O
^k@0h;bd0?2eT@<0l;F@00<0l;J@0>jeU03^]I@0103_]Y<00`3`]Y80l;NB0?2gTP020?2gTP050>>h
Z`3T^:T0i;RX0>BhZ03V^ZL00P3c]8T60?>eR0030?6fS@3a]Hd0lKF=00<0l[J<00D0lkJ;0?>gR`3c
]h/0lkJ;0?>gRP030?BgRP050>:h[03U^j/0i[^Y0>JkZ@3W^jP01@3f]H820?JfPP@0m[J100H0mkJ1
0?BhRP3e^HT0mKV90?FhR@3e^HP30?JiR0<0mkZ70P3g^hL40?RfO0<0n;Ml103<c=T30?VhO@<0nKUm
0`3j^Wd40?ZkO@80nkam00@0nkem0?^mOP3k_Wh0nkin0P3jai402`3kbI40nlVB0?_9TP3kbi80nlbC
0?c=T`3lcY<0o<nD0?cAU@3ldIH0o;ai0080o;ei0P3l_WX03@3l_g/0o<1k0?g0O03m`Gd0oL9m0?g3
OP3m`gl0oLB10?g5P@3maH80oLF30?g7Q@3mahH00`3oool0202IiO`0Y^Sk0;3/n02ik_D0o/b:0?g=
S03mcXl0oLn@2P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00/0oooo000H0?oo
o`030000003oool0oooo03<0oooo0P3?`Ld00`3?`/d0k;RK0>bhV`030>bhV`<0jkRN1@3/^Id01@3N
^kD0gk^d0=nk]03P_;@0hKfc0080l;F@0`3`]Y040>nfT`80l;JB103`]i820>BhZ@050>BhZ03V^ZL0
i[ZW0>NjYP3c]8T01`3c]HP00`3a]Hd0l[J<0?:fS0020?:fS0050?>fR`3c]h/0lkJ;0?>fR`3c]hX0
0`3d]hX20>FkZ`80i[^Y00<0ik^X0>VmY`3f]H800P3f]H830?JfPP@0m[J10P3g]X40103e^HT0mKR9
0?FhR@3e^HP30?JiR0<0mkZ70`3g^hL30?RfO0<0n;Ml00H0nKMl0<c<f@3<c=T0c<cI0<kCg@3i^7d4
0?ViO@<0n[Ym103j^gd20?^lO@050?^mO@3k_Gh0nkin0?^nOP3k_gl00P3kbI40303kbI80nl^B0?_<
TP3kc9<0o<fC0?c>T`3lci@0o=6E0?cAUP3ldYL0oMBH0?bmN@80o;ij00T0o;mk0?c0N`3m`7`0oL5m
0?g2O@3m`gh0oL=o0?g4P@3maH800P3maH<00`3mahD0oLN60?ooo`040?ooo`060;W^m@31ko40b>o^
0<g`jP3mcXl0oLn@2`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00/0oooo000I
0?ooo`800000=03oool00`3?`Ld0cl;=0=74cP050>bhV`80jkRN1P3/^Id00`3O^k@0h;bd0>2l]002
0>6m/`040?2eT03`]Y00l;J@0?2fT0@0kkJC00<0l;JB0?2gTP3`]i800P3`]i820?2gT@060>BhZ@3T
^:P0i[ZW0>JjY`3W^ZH0ikZU1`3c]HP00`3a]Hd0l[J<0?:fS0020?:fS0030?>fR`3c]h/0lkJ;0080
lkN:0`3d]hX00`3d^8T0iK^[0>JkZ@020>NkZ0040>VmY`3Z_JH0m[F20?JePP<0m[J20`3f]X430?Nf
P@040?NgP@3e^8T0mKR90?FiR0<0m[V80`3g^XL30?NkQ`030?RlQP3h]W`0n;Il00<0n;Ml0P3i]g`0
103<c=T0c]?M0<kCg@3>e=h40?ViO@80n[Ym1@3j^gd20?^lO@050?^mO@3k_Gh0nkin0?^nOP3k_gl0
0P3l`7l00`3kbI80nl^B0?_<TP020?c=T`0D0?c>T`3ld9D0o=6E0?cAUP3ldYL0oMBH0?cDV@3meYX0
oMNJ0?gGV`3l`7/0oL1l0?g1O@3m`Wd0oL=n0?g3O`3ma840oLF20?g5P`3mahD20?g7QPL0oooo00@0
cO3Z0=;_i`3Jk^40f^kQ2`3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo00/0oooo
000K0?ooo`030000003oool0oooo0380oooo00<0cl;=0=74cP3Aa<h01@3/^9/00`3[^9h0k;VM0>bi
W@040>biW@80h;bd0`3Q_K<00`3R_[80l;J@0?2fT0020?2fT0<0kkJC00<0l;JB0?2gTP3`]i800P3`
]i830?2gT@060>BhZ03V^ZL0ikZV0>NjYP3W^ZD0jK^U1`3c]HP40?:fS0040?>fR`3c]h/0lkJ;0?>g
RP@0m;N:0P3d^8T01@3V^jT0ik^X0>VmY`3Y_JL0j[fV0080m[F20`3f]X830?JfP@<0mkJ100@0mkN1
0?FhR@3e^HP0mKV80`3f^HP30?NjQ`<0mk^70P3h_8H0103h]W`0n;Ml0?RgO03h]g`30?VgO0030<kC
g@3>e=h0c]CN00@0nKUm0P3j^Wd50?ZkO@80nkam00D0nkem0?^mOP3k_Wh0nkin0?^oO`020?c0O`0?
0?c1P03l`X40nlbC0?c=T`3lcY<0o<nD0?c@U@3ldID0o=:G0?gCU`3me9P0o=BI0?gFVP3meiX0oMNK
0080o=VL00T0o=ZM0?g2O@3m`gh0oL=o0?g4P@3maH80oLF30?g7Q@3mahH02P3oool00`3Jk^40oooo
0?ooo`0;0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool02`3oool001`0oooo00<0
00000?ooo`3oool0<P3oool30=74cPD0k;RK1`3/^Id01P3P_;@0hKfc0>6m/`3Q_K<0h[jb0>>o/P@0
l;J@0P3_]Y<00`3`]Y80l;NB0?2gTP020?2gTP80l;NA00@0lKNA0>JjY`3V^ZL0ikZV0P3W^ZD00`3Y
^jD0j[^T0?>eR0050?>eR0080?BeQ`3b]X`0l[J<0?:fS03c]X/0lkN;0?>fR`3c]hX40?BgRP80m;R9
0P3W^jP01@3Y_JL0j[fV0>ZmYP3[_JH0m[F20080m[J2103f]X430?NfP@80mkN100<0mKV80?JiR03f
^HP00P3f^HP30?NjQ`<0mk^70`3h_8H30?RgO0<0nKMl00@0nKQl0<kDgP3=e=l0cMWS0`3i^Gd20?Zj
O@@0n[]m0`3k_7d01@3k_Gd0nken0?^nOP3k_Wh0nkmo0080o<1o00T0o<600?c2P@3l`X40oLB20?c>
T`3lci@0o=6E0?cAUP3ldYL00P3me9P0103meYT0oMJJ0?gGV`3mei/20?cIW0090?cJW@3lfYh0o=ZO
0?cKW`3lfj00oLF20?g5P`3mahD0oLN601T0oooo00<000000?ooo`3oool04@3oool00`000000oooo
0?ooo`0:0?ooo`007@3oool00`000000oooo0?ooo`0c0?ooo`030=74cP3Ba/l0k;RK00<0k;RK00<0
kKVK0>biW@3/^Id00`3/^Id20>fjW@80hKfc0P3R_[800`3S_k80i;nb0?2fT0030?2fT080l;JB103`
]i820?2gT@050?6gT@3a^940i[ZW0>NjYP3W^ZD00P3Y^jD00`3Z^j@0lkF80?>eR0040?>eR0030?Be
Q`3b]X`0l[J<0080lkJ;00<0lkN;0?>fR`3c]hX0103d]hX30?BhR@030>NkZ03Y_JL0j[fV0080jkfV
00<0k;jU0?JfPP3f]X80103f]X430?NfP@<0mkN1103f^HP30?NjQ`<0mk^70`3h_8H00`3i_XH0n;Ml
0?RgO0030?VgO080nKQl00<0cMWS0<cMi@3<gND00P3i^Gd20?ZjO@@0n[]m0`3k_7d01@3k_Gd0nken
0?^nOP3k_Wh0o;mo0080o<1o00<0o<600?c2P@3l`X400P3ma8805@3maH<0o=6E0?cAUP3ldYL0oMBH
0?cDV@3meYX0oMNJ0?gGV`3mf9/0o=VL0?cIW@3lfYd0o=ZN0?cJW`3lfil0o=^P0?cKX@3kfj40nm^R
0?_KX`0J0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool02P3oool001h0oooo0P00
000d0?ooo`030=;6c`3Ball0d/O@0080k;RK0P3]^I/40>biW@<0kKZM00@0hKfc0>:n/P3S_k80hknb
0P3T_k840?2fT0@0l;NB0`3`]i401P3a]i40lKRA0?6hT@3W^ZH0ikZU0>VkY@<0j[^T1@3c]HP20?Be
Q`060?:fS03c]X/0lkN;0?>gR`3c]X/0lkN:0`3d]hX40?BhR@030?FhR@3Y_JL0j[fV0080jkfV00<0
k;jU0>g0Y03f]X80103f]X430?NfP@@0mkN10`3f^HP20?NjQ`<0mk^7103h_8H00`3i_XH0nKj70?Rg
O0030?VgO0<0nKQl00@0c=gU0<WMi`36gn/0a]o[0P3j^Wd40?ZkO@80nkam00<0nkem0?^mOP3k_Gh0
0P3k_Wh0103l_gl0o<1o0?c0O`3l`X020?c2P@80oLB200T0oLF30?g6Q03maXD0oLN60?g8Q`3le9T0
oMJJ0?gGVP3mei/00P3lfI`20?cJW@080?cJWP3lfYl0o=^P0?cKX03lfj40nm^Q0?_KXP3kfj<J0?oo
o`030000003oool0oooo0100oooo00<000000?ooo`3oool02P3oool00200oooo00<000000?ooo`3o
ool0<P3oool00`3Ball0d/O@0=;8d0040>fiV`<0k;VM103]^Yd00`3R_[80hknb0>Bo/P020>Bo/P04
0>G1/P3`]Y00l;J@0?6fT0@0l;NB0`3`]i401P3a]i40lKRA0?6hT@3a^940ikZU0>VkY@<0j[^T00D0
jkbS0?>eR03c]HP0lkF80?BfQ`020?BeQ`060?BfQ`3c]X/0lkN;0?>gR`3c]X/0lkN:0`3d]hX40?Bh
R@80mKR900@0j[fV0>^mYP3/_ZD0k;jU0P3]`:@40?JfP@<0mkJ11@3g]h40103f^HP0mkZ70?NjQ`3g
^XL30?NkQ`@0n;b600@0nKj60?VnQ`3i_XL0n[n70P3i]g`40?VhO0050?ViO@36gn/0`nG_0<?Uk`3j
^Wd0103j^gd20?^lO@060?^mO@3k_Gh0nkin0?^nOP3k_gl0o;mo0P3l`7l00`3l`X00o<:10?c2P@02
0?g4PP090?g5P`3maX@0oLJ50?g7QP3mb8L0oLV80?g9R@3mbXX0oL^;0080o=VL00@0o=ZM0?cJWP3l
fYl0o=^O0P3lfj00103lfj40nm^R0?_KXP3kfj<K0?ooo`030000003oool0oooo00l0oooo00<00000
0?ooo`3oool02P3oool00240oooo00<000000?ooo`3oool0<P3oool00`3Bam00d/S@0=;9d@030>fi
V`030>fiW03/^Id0k;VM00<0kKZM0P3]^id01`3S_k80i;nb0>Bo/P3T_k80iL6b0>G2/P3`]Y000P3a
]Y030?2gTP80l;NA0P3a]i420?6hT@030?:hT@3Y^jD0jK^U00<0j[^T00D0jkbS0>bmX`3c]HP0lkF8
0?BfQ`020?BeQ`80m;J700@0lkN;0?>fR`3c]X/0lkN:0`3d]hX40?BhR@80mKR90P3[_JH01@3/_ZD0
kL2T0>g0Y03]`:@0k/2S00<0m[J10`3g]X460?NgP@<0mkZ70`3g^hL30?RlQP040?RmQP3i_XH0nKj7
0?VnQ`80n[n700<0nKMl0?VhO03i^7`00P3i^7`20?ViO@030<?Uk`2ni?80^>Cd00@0n[]m0P3k_7d0
1@3k_Gd0nken0?^nOP3k_Wh0nkmo0080o<1o00@0o<600?c2P03l`X40o<:10P3ma8802P3maH<0oLJ4
0?g7Q@3mahH0oLR70?g9R03mbHT0oLZ:0?g;R`3mc8d50?ooo`040?cKX03lfj40nm^Q0?_KXP80nm^S
703oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00X0oooo000R0?ooo`030000003o
ool0oooo0380oooo00@0d/S@0=;9d@3BbM80kKVK0`3]^I`40>fjW@030>fkW@3^^id0k[^M0080i;nb
0P3U`K820>G2/P<0lKJ@0P3`]i820?2gT@060?6gT@3a^940lKRA0?6hT@3b^940l[VA0`3Z^j@20>^l
X`040>bmX`3/_J80lkF80?BfQ`80m;F70P3d]XL0103c]h/0lkJ;0?>gRP3c]hX30?BgRP<0m;R90`3e
^8T00`3e^HT0jkfV0>bnY@030>g0Y0040>k0X`3``j<0m[J10?JfP@<0mkJ11@3g]h420?NhP@80mkZ7
0`3g^hL30?RlQP040?RmQP3i_XH0nKj70?VnQ`80n[n700<0n/270?VhO03i^7`00P3i^7`30?ViO@04
0?VjO@2hi?@0YNOk0:GWn`80n[]m0P3k_7d01@3k_Gd0nken0?^nOP3k_Wh0nkmo0080o<1o00<0o<60
0?c2P@3l`X400`3ma8802P3maH<0oLJ40?g7Q@3mahH0oLR70?g9R03mbHT0oLZ:0?g;R`3mc8dW0?oo
o`030000003oool0oooo00h0oooo00<000000?ooo`3oool02P3oool002<0oooo0P00000d0?ooo`03
0=;9dP3Bbm80d/gD00<0kKVL0`3]^Yd01P3]^id0k[^M0>fkW@3^_9h0i;nb0>G1/P<0iL:b00@0ilBb
0?6fT03a]Y00lKN@0`3`]i401@3a]i40lKRA0?6hT@3a^940l[RA0080l[VA0P3Z^j@01@3[_:<0k;fS
0>bmX`3/_J80kKfR00<0m;F70`3d]XL00`3c]X/0lkN:0?BgRP030?BgRP<0m;R90`3e^8T00`3e^HT0
m[V90>bnY@020>g0Y080k/2S0P3``j<00`3f]X40mkJ10?NfP@060?NgP@040?NhP@3h^840n;R10?Nj
Q`<0mk^70`3h_8H0103h_HH0nKj60?VnQ`3i_XL20?ZoQ`030?[0Q`3j`HP0n/:80080nKQl0`3i^Gd0
103i^Wd0n[Ym0?ZjOP2Ki?d208SQo080nkam00D0nkem0?^mOP3k_Wh0nkin0?^oO`020?c0O`030?c1
P03l`X40o<:10080oLB200@0oLF30?g6Q03maXD0oLN60P3mb8L01@3mbHP0oLV90?g:RP3mbhd0oLb=
02P0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0:0?ooo`009@3oool00`000000
oooo0?ooo`0b0?ooo`040=;;dP3BcM@0d/gD0>fiW080kKZL00D0kKZM0>fkW@3]^id0k[^M0>fkW@02
0>jlWP070>G1/P3U`[80iL:b0>G2/P3Wa;80ilBc0?6fT0020?6gT080l;NA00D0lKNA0?6hT@3a^940
lKRA0?:hT@030?:iT@030>ZkY03[_:<0k;fS0080k;fR00@0kKfR0?BeQ`3d]HL0m;F7103d]XL00`3c
]hX0m;N:0?BgRP020?BgRP<0m;R90P3e^8T20?FiR@80m[V90P3]`:@00`3^`:<0l<>S0?33X`020?33
X`80mkJ11P3g]h40103g^840n;R10?RhP@3h^8430?NkQ`<0n;b600@0n;f60?VnQP3i_XL0nKj70P3j
_hL01@3j`8L0n/680?[2R03k`hP0nlB900<0nKUm00H0nKYm0?ZjO@3j^Wh0n[]n0?ZlOP1XdoP20538
k`050?^mO@3k_Gh0nkin0?^nOP3l_gl00P3l`7l00`3l`X00o<:10?c2P@020?g4PP0:0?g5P`3maX@0
oLJ50?g7QP3mb8L0oLV80?g9R@3mbXX0oL^;0?g<SBX0oooo00<000000?ooo`3oool0303oool00`00
0000oooo0?ooo`0:0?ooo`009P3oool00`000000oooo0?ooo`0c0?ooo`030=;=e03AcMD0d/oG00<0
kKZL0P3^^id0103]^id0k[bN0>jlWP3^_9h20>G2/P80ilBb0P3Wa;<30?6gT080lKNA0`3a^9400`3b
^940l[VA0?:iT@020?:iT@030>^lX`3/_J<0k;fR0080kKfR00<0k[nR0?BeQ`3d]XL01@3d]XL40?Bg
RP<0m;R90P3e^8T20?FiR@80m[V900<0m[Z90>g0Y03^`:<0103``j<00`3aaJ<0mkJ10?NgP@050?Ng
P@050?NhP@3h^840n;R10?RhP@3h^H400P3g^hL30?RlQP80nKj60P3i_XL20?ZoQ`0<0?[0Q`3j`HP0
n/:80?_3R03ka8T0nlF:0?c6RP3i^Gd0nKYm0?ZjO@3j^Wh0n[]n0P3j_7h0103j_7l0nkeo0?^nP03k
_X020?^nOP040?boO`3l`7l0o<1o0?c2P080o<:10P3ma8802P3maH<0oLJ40?g6Q@3mahH0oLR70?g9
R03mbHT0oLZ:0?g;R`3mc8d[0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool02@3o
ool002L0oooo00<000000?ooo`3oool0<`3oool0103AcMD0d/oG0=7@f03]^Y`40>fkW@<0k[bN00<0
k[fN0>G2/P3Wa;800`3Wa;<0103Xa[<0j<Nd0?6gT03a]i040?6hT@030?:hT@3b^I40l[VA0080l[VA
0P3/_J<00`3/_J80kKfR0>joXP020>joXPL0m;J70P3d]hX40?BhR@80mKR90P3e^HT20?JiR@80m[Z9
00<0k/2S0?33X`3``j<00P3``j<00`3aaJ<0mkJ10?NgP@050?NgP@040?NhP@3h^840n;R10?RhP@80
n;V1103h_8H04P3i_XH0nKj70?VnQ`3i_XL0n[n70?[0Q`3j`HL0n/680?[2R03k`hP0nlB90?_5RP3l
aXX0o<N;0?c8S03j^Wd0n[Yn0?ZkOP80n[an00X0n[ao0?^mO`3k_X00nkj00?^oP@3k_h80nl230?_1
P`3k`X@0nl:50P3l`X420?g4PP0:0?g5P`3maX@0oLN50?g7QP3mb8L0oLV80?g9R@3mbXX0oL^=0?g<
SB/0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`090?ooo`00:03oool2000003D0
oooo0P3Ad=P00`3@d]X0kK^M0>fkW@040>jlWP030>jmWP3__Ih0ilBb00<0ilBc00<0j<Jc0>S7]03a
]i000P3a]i030?6hT@030?:hT@3b^I40l[VA00<0l[VA0P3/_J801P3]_J80k[nR0>joXP3^_j80kl6R
0?32XPH0m;J700<0m;N:0?BhR@3d^8T00P3d^8T20?FhR@80mKV90P3f^HT20?JjR@040?JkR@3``j<0
l<>S0?33X`80lLFS00<0l/JS0??8Y03g]h40103g]h40103g^840n;R10?RhP@3h^8420?RiP@@0n;b6
00<0nKj60?VnQ`3i_XL00P3j_hL0103j`8L0n/670?[1R03j`XP20?_4R@0;0?_5RP3laXX0o<N;0?c8
S03lbXd0o<^>0?c<S`3mcY00n[an0?ZlO`3k_Gl00P3k_X002@3k_h40nkn20?_0P`3k`H<0nl:40?_2
Q@3k`hH0nlB80?_5R@090?ooo`0309?[mP3oool0oooo02/0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`090?ooo`00:P3oool00`000000oooo0?ooo`0c0?ooo`030=7@f03@d]X0d=?K
00<0kK^M0P3^_9h01P3^_Ih0kkfN0>jnW`3^_Yl0ilBc0>S6/`80j<Nd00D0j<Rf0?6gT03a]i00lKR@
0?6hT@020?:hT@D0l[VA00<0l[ZA0>fmXP3]_J800`3^_j800`3_`J80l<:R0?32XP040?BfQ`80m;N7
103d^8T20?FhR@050?FiR@3f^HT0m[V90?JiR@3f^XT00`3f^hT20?33X`050?75X`3baZ<0l/JS0??8
Y03cbZ@0103g]h40103g^840n;R10?RhP@3h^8420?RiP@050?RjP@3h^X80n;b60?RmQP3i_XH00P3i
_XL20?ZoQ`040?[0Q`3j`HL0n/680?[2R080nlB901H0nlF:0?c6RP3lah/0o<R<0?c:S@3lbhh0o<b?
0?g>T03mci40oM2B0?gBU03mdiD0oMBF0?gEV@3meYX0o=RL0?cHW@3lfId0nl:50?_3QP3ka8P0nlF9
>03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00T0oooo000[0?ooo`030000003o
ool0oooo03<0oooo00L0d=?K0<oCg03>e=h0c]CN0>jlWP3]_9h0k[fN0080kkfN0P3^_Yl02P3__il0
j<Jc0>S7]03XakD0j<Rf0>W:]P3YbkL0lKR@0?:hT03b^9460?:iT@030?:jT@3c^Y40k[nR00<0k[nR
00@0kl6R0?32XP3``Z80l<>R0`3d]XL20?BgQ`030?BgR03d^8T0m;R900<0mKR900D0mKV90?JiR@3f
^HT0m[V90?JjR@020?JkR@80mkb900L0l<>S0?75X`3baZ<0l/JS0??8Y03cbZ@0llZU00<0mkN100<0
mkR10?RhP@3h^8400`3h^H401@3h^X40n;Z20?VjPP3h_HH0nKj60080nKj70P3j_hL0103j`8L0n/68
0?[2R03j`XP20?_4R@0F0?_5RP3laXX0o<R<0?c9S03lbXd0o<^>0?c<S`3mcY00oLnA0?g@TP3mdY@0
oM>E0?gDUP3meIT0oMJJ0?cHW03lf9d0o=VM0?cIW`3lfZ00nmZR0?_KXcP0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`090?ooo`00;03oool00`000000oooo0?ooo`0d0?ooo`060<kD
gP3>e]l0cMKP0<gFh03]_9h0k[bO0`3^_Yl00`3__il0kknP0>S7]0020>S8]P050>W:]P3YbkL0j<^h
0>[>^P3b^9001P3b^I400`3b^Y40lkZA0?>jT@020>joXP80kl6R0P3``Z80103``j80lLBS0?BfQ`3d
]XL20?BgQ`030?BgR03e]hL0m;R900<0mKR900<0mKV90?JiR@3f^HT00P3f^XT20?JkR@80mkb900/0
mkb:0?75X`3baZ<0l/JS0??8Y03cbZ@0llZU0?C<YP3ecZH0mkN10?NhP@020?RhP@<0n;V100<0n;Z1
0?RjPP3i^X800P3i^h820?VnQ`80n[n700H0n/270?[1R03j`XP0nl>80?_4R@3kaHX20?c6RP0>0?c8
S03lbH`0o<Z=0?c;SP3mcHl0oLj@0?g?T@3mdI<0oM:D0?gCU@3me9L0oMFI0?gGVP3lf9`20?cIW@04
0?cIW`3lfZ00nmZR0?_KXcT0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?oo
o`00;@3oool00`000000oooo0?ooo`0e0?ooo`040<gFh03<en80bmSS0<_Hh`80k[fO0P3__il20>no
X0080>o0X@3Yb[H0jL^g0>W;]`3XbkP0j/jj0>W?^`3b^9450?:iT@060?:jT@3c^Y40lkZA0?>kT@3^
_j80kl6R0`3``Z80103``j80lLBS0?75X`3aaZ@20?BgQ`030?BgR03e]hL0mKN80080mKR90P3e^HT2
0?JiR@80m[Z90P3f^hT20?NlR@050?NlRP3g_HX0l/JS0??8Y03cbZ@00P3cbZD0103dc:H0mLjV0?C?
Z03dd:T20?RhP@<0n;V100<0n;Z10?RjPP3i^X800P3i^h820?VlP`0>0?ZoQ`3j`8L0n/670?[1R03j
`XP0nl>80?_4R@3kaHX0o<J:0?c7R`3lb8`0o<Z=0?c;SP3lc8l20?g>T00=0?g?T@3mdI<0oM:D0?gC
U@3meIT0oMJJ0?cHW03lf9d0o=VM0?cIWP3lfIl0nmZQ0?_JXP0k0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool02@3oool002h0oooo0P00000g0?ooo`050<_Hh`3:f>@0b=WV0>jmX03^
_Z400P3__j020>o0X@080>o1X@3_`J80j<^h0>S;^03Zc[X0jLnk0>W?_03Yd[h30?:iT@80l[ZA0P3c
^Y400`3c^i40lkbA0?>lTP030?32XP80lLBS00T0lLFS0?76Y03bb:@0m;N70?BgR03e]hL0mKN80?Fh
R03e^8T00P3e^HT20?JiR@80m[Z90P3f^hT20?NlR@070?NlRP3g_HX0mkf:0??8Y03cbZ@0llZU0?C<
YP020?G>YP040?C?Z03dd:T0n;R10?RhP@<0n;V100<0n;Z10?VjPP3i^h800P3i^h820?VlP`050?Vm
P`3j`8L0n/670?[1R03j`XP00P3ka8T05P3kaHX0o<J:0?c7R`3lb8`0o<Z=0?c;SP3lc8l0oLj@0?g?
T@3md980oM:D0?gCU@3me9H0oMFI0?gFVP3lf9`0o=RM0?cIW@3lfIl0o=ZP0?_JXP3kfj<l0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00300oooo00<000000?ooo`3oool0
=P3oool01038fNH0am[W0<KJj03^_Z420>jnXP050>o1X@3_`J80kl6R0>o2X`3Zc[X00P3Yck/01P3Y
ck`0jM:n0>WC_`3Xe<40l[VA0?:jT@<0lkZA00P0lk^A0?>lT@3c_980lkbB0?32XP3``j80lLBS0?75
X`80lLJT00D0l/RT0?;8Y@3bbJH0mKN70?FgR0020?FhR080mKV90P3f^HT20?JjR@80m[^90P3g_8T0
2@3g_8X0mkf:0?NmRP3g_X/0llZT0??:Y@3dc:H0mLjV0?C?Z0020?C@Z@030?GF[@3eejl0m]ba0080
n;V100<0n;Z10?VjPP3i^h800P3i^h800`3i_8<0nKf30?VmP`030?ZnQ00@0?[0Q@3ka8T0nlB90?_5
RP3laXX0o<R<0?c9S03lbXd0o<^>0?g=S`3mcY00oLnA0?gAT`3mdY@0oM>E0?gDUdD0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`00<@3oool00`000000oooo0?ooo`0g0?oo
o`040<KJj034fnX0`mc[0>joXP80kKnS00H0kl6R0>o2X`3_`j<0kl>T0?34Y03Yd[h20>WC_`030>SD
`@3Xel<0j=W50080lkZA0P3c^i40203c_940lkbB0?>lTP3d_I80l<>R0?74X`3aaJ<0lLJT0P3bb:@0
103bb:D0l/VV0??<Y`3ccJP30?FhR0030?FiR@3f^HT0m[V90080m[Z90P3f^hT20?NlR@0B0?NlRP3g
_HX0mkf:0?NnR`3h_h/0n;n<0?C<YP3ecZH0m<nX0?C@Z@3fe:/0mMJ]0?GG[`3fg;40mMjd0?CP]`3h
^X40nKZ20`3i^h800`3i_8<0nKf30?VmP`020?ZnQ0040?ZoQ@3j`8D0n/250?_1QP80nl:70P3ka8T0
1P3kaHX0nlF;0?_6S03kahd0nlR?0?_8T4T0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`080?ooo`00<P3oool00`000000oooo0?ooo`0h0?ooo`040<?Lj`32g>d0`=c^0>foX`80kL2T
00H0kl>S0>o3Y03`a:@0l<BU0>WC_`3Xe<420>SG``050>SIa@3Wf/L0i]c90?>kT@3c_9400`3c_980
1`3d_I80lLBS0?74X`3aaJ<0lLJT0?;8Y03bb:D00P3bbJH00`3cc:L0llfX0??>ZP020?FhR080m[V8
00<0m[V90?JjR@3f^hT00P3f^hT20?NlR@0C0?NlRP3g_HX0mkj;0?NnR`3h_h/0n;n<0?S0S03i`H`0
m<nX0?C@Z@3fe:/0mMJ]0?GG[`3fg;40mMjd0?CP]`3diKX0lNc30>k`a`020?VkPP030?VlP`3i_H<0
nKf30080n[j400@0n[n50?[0Q@3j`8D0nl660P3k`XL20?_4R@060?_5RP3kaX/0nlJ<0?_7S@1ji>`0
QNS^BP3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo000c0?ooo`800000
>@3oool01`30g>h0_]c_0;cMl02lgO00kL2T0>g1Y@3]`JH00P3`a:D01P3_aJH0l<JV0>SG``3XfLD0
im[70>KLb@80i]k<00@0lkbA0?>lTP3c_980m;fB0P3d_I<01`3d_Y<0lLJT0?76Y03bb:@0l/RU0?;9
YP3cc:L00P3ccJP00`3ccZX0m=>]0??D[`020?JiR0040?JiR@3f^XT0m[^90?JkR@<0mkb900h0mkb:
0?NmRP3g_X/0n;j;0?RoR`3h_h`0n<2<0?W1S03i`Xd0nL:>0?GF[@3eejl0m]ba0?GN]080m>2g00h0
m>Fj0?7/``3^l<L0joG;0>Khd@3Pn]H0c?kM0:kjg`2Lm=h0R^gL07GSe`1@cL/0@LC603Bj_eD0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`00=@3oool00`000000oooo0?oo
o`0i0?ooo`040;_Ml@2igO80]mgc0>g1YP80kL:W00@0kL:X0?36YP3`aZL0klNY0P3_b:X01P3Vg/`0
iMo>0>?Qd@3Si=@0lkbB0?BmTP80m;fC0100m;jC0?BoT`3d_i@0l/RT0?;8Y@3bbJH0llbW0??=Z03c
cZX0m=6[0?CC[@3ce:l0lmNa0?CJ/`3cfkH0m[Z90P3f^hT20?NlR@80mkb:0100mkf:0?NnR`3h_X/0
n;n;0?RoS03h`8`0nL:=0?W2SP3i`hh0nLB?0?W5S`3jaY00n/NA0?CP]`3diKX0lNc30P3^l<L02P3V
n=40h?[F0=Knf@3<o]d0n]>N0?[CW`3jeJ40n]JR0?WFX`3iejIF0?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0203oool003H0oooo00<000000?ooo`3oool0>P3oool01@2ggO<0]Mgd
0;?Lm@3]`ZL0kL:X0080k<>Z00`0k<B[0>o8ZP3_b:/0klV/0>o:[03_bZd0kl^^0>7UeP3MjM/0fn[N
0?BmT`3d_i<20?BoU00?0?G0U03e`ID0l/VV0??<Y`3ccJP0lljZ0?CAZ`3ddjd0lmB_0??G/@3df[<0
lm^f0?;N^@3bh[`0lNFo0080mkb901h0mkb:0?NmRP3g_HX0mkj;0?RnR`3h_h/0n;n<0?S0S03i`Xd0
nL:>0?W3SP3ia8l0nLF?0?[7T@3jb940n/RB0?[:T`3jc9D0nlfF0?_=U`3kcYP0nm2J0?_AV`3jdY`0
n]>O0?[DX03jeJ40nMJS0?WFY@3iejIG0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0203oool003L0oooo00<000000?ooo`3oool0?03oool01P2ag?H0[]cg0>c3ZP3/a:/0k<B/0>_5
[@80jlF^00`0klZ/0>o:[@3_bjh0k/b_0>k</@3^cK80kLfc0=O/h`3d_i@0mL2D0?G1U@3e`IH20?G2
UP040?K3U`3ccZX0m=>]0??D[`80lmNa0P3cfkH01P3bg[T0l^:l0?7U_`3^k<L0k>k;0>Wac`80mkf:
01P0mkj;0?RoR`3h_h`0n<2<0?W1S03i`Xd0nL:>0?W3SP3ia8l0nLF?0?[7T@3jb940n/RB0?[:T`3j
c9D0nlfF0?_>V03kciT0nm2J0?_AV`3jdY`0n]>O0?[DX03jeJ5K0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0203oool003P0oooo0P00000n0?ooo`0=0:WKn@2Vf_X0k<B/0>_5[@3[
aJh0j/F_0>[6/03Ya[80jLNc0>k</@3^cK80kLfc0>g>]0020>g?]@040>c?^03[d;T0jm6k0<W_k@80
m/>G01l0m/BH0?K5V@3faYX0m/NK0?CJ/`3cfkH0l]ji0?;R_03aiKl0knO30>k/a`3/k//0iOGC0>7g
e`3LnM/0e__O0?RoR`3h_h`0n<2<0?W1S03i`Xd0nL:>0?W4S`3iaHl0n/J@0?[7T@3jb940n/ZC0?[;
U03jc9D0nlfF06<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`00>P3o
ool00`000000oooo0?ooo`0m0?ooo`030:CInP2Qf?/0jlF^0080j/J`00<0jLJb0>W7/`3Xak@00P3o
ool01`3]c[@0kLne0>c?^03/ckP0jm2i0>_A^`3ZdK`00`3oool04P31k_40`>kb0;o]lP2nkO<0_Ngc
0?;6X@3fbil0m/bQ0?K<XP3fcJ<0m/jT0?K?Y@3fcjH0mM6X0?GAZ@3edZX0m=:/0??C[W00oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`00>`3oool00`000000oooo0?ooo`0l
0?ooo`060000003oool0VMKm09WFo@3Ya[80jLNc0P3Xak@50?ooo`040>_@^@3[dK/0j]6l0>WB_PL0
oooo00<0_Ncc0;g[l`2ljo@0O03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo000l0?ooo`030000003oool0oooo03/0oooo00L000000?ooo`3oool0oooo097CoP2<dOh0j<Nd
0940oooo00D000000?ooo`3oool0oooo000000090?ooo`00?@3oool00`000000oooo0?ooo`0j0?oo
o`030000003oool0oooo09D0oooo00D000000?ooo`3oool0oooo000000090?ooo`00?P3oool20000
03X0oooo00<000000?ooo`3oool0UP3oool010000000oooo0?ooo`0000090?ooo`00@03oool00`00
0000oooo0?ooo`0g0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`0000002@3oool00440
oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`2G0?ooo`040000003oool0oooo0000
00P0oooo00120?ooo`030000003oool0oooo03D0oooo00<000000?ooo`3oool0V03oool00`000000
oooo000000080?ooo`00@`3oool2000003D0oooo00<000000?ooo`3oool0V@3oool2000000P0oooo
00150?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0V@3oool3000000P0oooo0016
0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0U@3oool4000000/0oooo00170?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool0TP3oool3000000l0oooo00180?ooo`80
0000;`3oool00`000000oooo0?ooo`2>0?ooo`@000004P3oool004X0oooo00<000000?ooo`3oool0
;03oool00`000000oooo0?ooo`2:0?ooo`@000005P3oool004/0oooo00<000000?ooo`3oool0:`3o
ool00`000000oooo0?ooo`260?ooo`@000006P3oool004`0oooo00<000000?ooo`3oool0:P3oool0
0`000000oooo0?ooo`220?ooo`@000007P3oool004d0oooo00<000000?ooo`3oool0:@3oool00`00
0000oooo0?ooo`1o0?ooo`<000008P3oool004h0oooo0P00000Y0?ooo`030000003oool0oooo07/0
oooo1000000U0?ooo`00D03oool00`000000oooo0?ooo`0V0?ooo`030000003oool0oooo07L0oooo
1000000Y0?ooo`00D@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo07<0oooo1000
000]0?ooo`00DP3oool00`000000oooo0?ooo`0T0?ooo`030000003oool0oooo06l0oooo1000000a
0?ooo`00D`3oool2000002@0oooo00<000000?ooo`3oool0K03oool3000003D0oooo001E0?ooo`03
0000003oool0oooo0240oooo00<000000?ooo`3oool0J03oool4000003P0oooo001F0?ooo`030000
003oool0oooo0200oooo00<000000?ooo`3oool0I03oool4000003`0oooo001G0?ooo`030000003o
ool0oooo01l0oooo00<000000?ooo`3oool0H03oool400000400oooo001H0?ooo`8000007`3oool0
0`000000oooo0?ooo`1M0?ooo`<00000A03oool005X0oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`1I0?ooo`@00000A`3oool005/0oooo00<000000?ooo`3oool06`3oool00`000000
oooo0?ooo`1E0?ooo`@00000B`3oool005`0oooo00<000000?ooo`3oool06P3oool00`000000oooo
0?ooo`1A0?ooo`@00000C`3oool005d0oooo0P00000J0?ooo`030000003oool0oooo04d0oooo1000
001C0?ooo`00G`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo04X0oooo0`00001G
0?ooo`00H03oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo04H0oooo1000001J0?oo
o`00H@3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo0480oooo1000001N0?ooo`00
HP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo03h0oooo1000001R0?ooo`00H`3o
ool2000001@0oooo00<000000?ooo`3oool0>P3oool4000006H0oooo001U0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool0=`3oool3000006X0oooo001V0?ooo`030000003oool0oooo
0100oooo00<000000?ooo`3oool0<`3oool4000006d0oooo001W0?ooo`030000003oool0oooo00l0
oooo00<000000?ooo`3oool0;`3oool400000740oooo001X0?ooo`8000003P3oool00`000000oooo
0?ooo`0/0?ooo`@00000M@3oool006X0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?oo
o`0Y0?ooo`<00000N@3oool006/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0U
0?ooo`@00000O03oool006`0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0Q0?oo
o`@00000P03oool006d0oooo0P0000090?ooo`030000003oool0oooo01d0oooo100000240?ooo`00
K`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01T0oooo100000280?ooo`00L03o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo0`00002<0?ooo`00L@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo1000002?0?ooo`00LP3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo1000002C0?ooo`00L`3oool2000000<0
oooo00<000000?ooo`3oool02P3oool4000009L0oooo001e0?ooo`040000003oool0oooo000000P0
oooo1000002K0?ooo`00MP3oool00`000000oooo000000050?ooo`<00000W`3oool007L0oooo0P00
00000`3oool000000000000200000:80oooo001h0?ooo`800000YP3oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00001\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.052783, 0.0197231, \
0.00359325, 0.00359325}},
  CellTags->"Michelson Interferometer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["More Elaborate Interference Example", "Section",
  CellTags->"More Elaborate Interference Example"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .31195 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.551793 0.00100568 0.104839 0.00100568 [
[.31563 .25725 -3 -4.5 ]
[.31563 .25725 3 4.5 ]
[.12689 .25382 -3 -4.5 ]
[.12689 .25382 3 4.5 ]
[.54802 .01648 -3 -4.5 ]
[.54802 .01648 3 4.5 ]
[.51383 .20225 -6 -4.5 ]
[.51383 .20225 6 4.5 ]
[.47913 .00743 -6 -4.5 ]
[.47913 .00743 6 4.5 ]
[.09883 .05608 -9 -4.5 ]
[.09883 .05608 9 4.5 ]
[.17913 .05017 -6 -4.5 ]
[.17913 .05017 6 4.5 ]
[ 0 0 0 0 ]
[ 1 .31195 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.12438 .27832 m
.12787 .27832 L
.12816 .27958 L
.12438 .27958 L
.12438 .27832 L
F
.12438 .27958 m
.12816 .27958 L
.12843 .28083 L
.12438 .28083 L
.12438 .27958 L
F
.12438 .28083 m
.12843 .28083 L
.12866 .28209 L
.12438 .28209 L
.12438 .28083 L
F
.12438 .28209 m
.12866 .28209 L
.12886 .28335 L
.12438 .28335 L
.12438 .28209 L
F
.12438 .28335 m
.12886 .28335 L
.12903 .2846 L
.12438 .2846 L
.12438 .28335 L
F
.12438 .2846 m
.12903 .2846 L
.12916 .28586 L
.12438 .28586 L
.12438 .2846 L
F
.12438 .28586 m
.12916 .28586 L
.12927 .28712 L
.12438 .28712 L
.12438 .28586 L
F
.12438 .28712 m
.12927 .28712 L
.12935 .28838 L
.12438 .28838 L
.12438 .28712 L
F
.12438 .28838 m
.12935 .28838 L
.12939 .28963 L
.12438 .28963 L
.12438 .28838 L
F
.12438 .28963 m
.12939 .28963 L
.12941 .29089 L
.12438 .29089 L
.12438 .28963 L
F
.12438 .29089 m
.12941 .29089 L
.12939 .29215 L
.12438 .29215 L
.12438 .29089 L
F
.12438 .29215 m
.12939 .29215 L
.12935 .2934 L
.12438 .2934 L
.12438 .29215 L
F
.12438 .2934 m
.12935 .2934 L
.12927 .29466 L
.12438 .29466 L
.12438 .2934 L
F
.12438 .29466 m
.12927 .29466 L
.12916 .29592 L
.12438 .29592 L
.12438 .29466 L
F
.12438 .29592 m
.12916 .29592 L
.12903 .29718 L
.12438 .29718 L
.12438 .29592 L
F
.12438 .29718 m
.12903 .29718 L
.12886 .29843 L
.12438 .29843 L
.12438 .29718 L
F
.12438 .29843 m
.12886 .29843 L
.12866 .29969 L
.12438 .29969 L
.12438 .29843 L
F
.12438 .29969 m
.12866 .29969 L
.12843 .30095 L
.12438 .30095 L
.12438 .29969 L
F
.12438 .30095 m
.12843 .30095 L
.12816 .3022 L
.12438 .3022 L
.12438 .30095 L
F
.12438 .3022 m
.12816 .3022 L
.12787 .30346 L
.12438 .30346 L
.12438 .3022 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.12438 .27832 m
.12438 .27958 L
.12438 .28083 L
.12438 .28209 L
.12438 .28335 L
.12438 .2846 L
.12438 .28586 L
.12438 .28712 L
.12438 .28838 L
.12438 .28963 L
.12438 .29089 L
.12438 .29215 L
.12438 .2934 L
.12438 .29466 L
.12438 .29592 L
.12438 .29718 L
.12438 .29843 L
.12438 .29969 L
.12438 .30095 L
.12438 .3022 L
.12438 .30346 L
.12787 .30346 L
.12816 .3022 L
.12843 .30095 L
.12866 .29969 L
.12886 .29843 L
.12903 .29718 L
.12916 .29592 L
.12927 .29466 L
.12935 .2934 L
.12939 .29215 L
.12941 .29089 L
.12939 .28963 L
.12935 .28838 L
.12927 .28712 L
.12916 .28586 L
.12903 .2846 L
.12886 .28335 L
.12866 .28209 L
.12843 .28083 L
.12816 .27958 L
.12787 .27832 L
.12438 .27832 L
s
.5 g
.12438 .29089 m
.12787 .29089 L
.12816 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12816 .29089 L
.12843 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12843 .29089 L
.12866 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12866 .29089 L
.12886 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12886 .29089 L
.12903 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12903 .29089 L
.12916 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12916 .29089 L
.12927 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12927 .29089 L
.12935 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12935 .29089 L
.12939 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12939 .29089 L
.12941 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12941 .29089 L
.12939 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12939 .29089 L
.12935 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12935 .29089 L
.12927 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12927 .29089 L
.12916 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12916 .29089 L
.12903 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12903 .29089 L
.12886 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12886 .29089 L
.12866 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12866 .29089 L
.12843 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12843 .29089 L
.12816 .29089 L
.12438 .29089 L
.12438 .29089 L
F
.12438 .29089 m
.12816 .29089 L
.12787 .29089 L
.12438 .29089 L
.12438 .29089 L
F
0 g
.12438 .29089 m
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12438 .29089 L
.12787 .29089 L
.12816 .29089 L
.12843 .29089 L
.12866 .29089 L
.12886 .29089 L
.12903 .29089 L
.12916 .29089 L
.12927 .29089 L
.12935 .29089 L
.12939 .29089 L
.12941 .29089 L
.12939 .29089 L
.12935 .29089 L
.12927 .29089 L
.12916 .29089 L
.12903 .29089 L
.12886 .29089 L
.12866 .29089 L
.12843 .29089 L
.12816 .29089 L
.12787 .29089 L
.12438 .29089 L
s
.12438 .30346 m
.12787 .30346 L
.12787 .30342 L
.12438 .30342 L
.12438 .30346 L
s
.12438 .30342 m
.12787 .30342 L
.12787 .30331 L
.12438 .30331 L
.12438 .30342 L
s
.12438 .30331 m
.12787 .30331 L
.12787 .30311 L
.12438 .30311 L
.12438 .30331 L
s
.12438 .30311 m
.12787 .30311 L
.12787 .30285 L
.12438 .30285 L
.12438 .30311 L
s
.12438 .30285 m
.12787 .30285 L
.12787 .3025 L
.12438 .3025 L
.12438 .30285 L
s
.12438 .3025 m
.12787 .3025 L
.12787 .30209 L
.12438 .30209 L
.12438 .3025 L
s
.12438 .30209 m
.12787 .30209 L
.12787 .30161 L
.12438 .30161 L
.12438 .30209 L
s
.12438 .30161 m
.12787 .30161 L
.12787 .30106 L
.12438 .30106 L
.12438 .30161 L
s
.12438 .30106 m
.12787 .30106 L
.12787 .30045 L
.12438 .30045 L
.12438 .30106 L
s
.12438 .30045 m
.12787 .30045 L
.12787 .29978 L
.12438 .29978 L
.12438 .30045 L
s
.12438 .29978 m
.12787 .29978 L
.12787 .29905 L
.12438 .29905 L
.12438 .29978 L
s
.12438 .29905 m
.12787 .29905 L
.12787 .29828 L
.12438 .29828 L
.12438 .29905 L
s
.12438 .29828 m
.12787 .29828 L
.12787 .29746 L
.12438 .29746 L
.12438 .29828 L
s
.12438 .29746 m
.12787 .29746 L
.12787 .2966 L
.12438 .2966 L
.12438 .29746 L
s
.12438 .2966 m
.12787 .2966 L
.12787 .2957 L
.12438 .2957 L
.12438 .2966 L
s
.12438 .2957 m
.12787 .2957 L
.12787 .29477 L
.12438 .29477 L
.12438 .2957 L
s
.12438 .29477 m
.12787 .29477 L
.12787 .29382 L
.12438 .29382 L
.12438 .29477 L
s
.12438 .29382 m
.12787 .29382 L
.12787 .29286 L
.12438 .29286 L
.12438 .29382 L
s
.12438 .29286 m
.12787 .29286 L
.12787 .29188 L
.12438 .29188 L
.12438 .29286 L
s
.12438 .29188 m
.12787 .29188 L
.12787 .29089 L
.12438 .29089 L
.12438 .29188 L
s
.12438 .29089 m
.12787 .29089 L
.12787 .2899 L
.12438 .2899 L
.12438 .29089 L
s
.12438 .2899 m
.12787 .2899 L
.12787 .28892 L
.12438 .28892 L
.12438 .2899 L
s
.12438 .28892 m
.12787 .28892 L
.12787 .28796 L
.12438 .28796 L
.12438 .28892 L
s
.12438 .28796 m
.12787 .28796 L
.12787 .28701 L
.12438 .28701 L
.12438 .28796 L
s
.12438 .28701 m
.12787 .28701 L
.12787 .28608 L
.12438 .28608 L
.12438 .28701 L
s
.12438 .28608 m
.12787 .28608 L
.12787 .28518 L
.12438 .28518 L
.12438 .28608 L
s
.12438 .28518 m
.12787 .28518 L
.12787 .28432 L
.12438 .28432 L
.12438 .28518 L
s
.12438 .28432 m
.12787 .28432 L
.12787 .2835 L
.12438 .2835 L
.12438 .28432 L
s
.12438 .2835 m
.12787 .2835 L
.12787 .28273 L
.12438 .28273 L
.12438 .2835 L
s
.12438 .28273 m
.12787 .28273 L
.12787 .282 L
.12438 .282 L
.12438 .28273 L
s
.12438 .282 m
.12787 .282 L
.12787 .28133 L
.12438 .28133 L
.12438 .282 L
s
.12438 .28133 m
.12787 .28133 L
.12787 .28072 L
.12438 .28072 L
.12438 .28133 L
s
.12438 .28072 m
.12787 .28072 L
.12787 .28017 L
.12438 .28017 L
.12438 .28072 L
s
.12438 .28017 m
.12787 .28017 L
.12787 .27969 L
.12438 .27969 L
.12438 .28017 L
s
.12438 .27969 m
.12787 .27969 L
.12787 .27928 L
.12438 .27928 L
.12438 .27969 L
s
.12438 .27928 m
.12787 .27928 L
.12787 .27893 L
.12438 .27893 L
.12438 .27928 L
s
.12438 .27893 m
.12787 .27893 L
.12787 .27867 L
.12438 .27867 L
.12438 .27893 L
s
.12438 .27867 m
.12787 .27867 L
.12787 .27847 L
.12438 .27847 L
.12438 .27867 L
s
.12438 .27847 m
.12787 .27847 L
.12787 .27836 L
.12438 .27836 L
.12438 .27847 L
s
.12438 .27836 m
.12787 .27836 L
.12787 .27832 L
.12438 .27832 L
.12438 .27836 L
s
.12438 .27832 m
.12787 .27832 L
.12787 .27836 L
.12438 .27836 L
.12438 .27832 L
s
.12438 .27836 m
.12787 .27836 L
.12787 .27847 L
.12438 .27847 L
.12438 .27836 L
s
.12438 .27847 m
.12787 .27847 L
.12787 .27867 L
.12438 .27867 L
.12438 .27847 L
s
.12438 .27867 m
.12787 .27867 L
.12787 .27893 L
.12438 .27893 L
.12438 .27867 L
s
.12438 .27893 m
.12787 .27893 L
.12787 .27928 L
.12438 .27928 L
.12438 .27893 L
s
.12438 .27928 m
.12787 .27928 L
.12787 .27969 L
.12438 .27969 L
.12438 .27928 L
s
.12438 .27969 m
.12787 .27969 L
.12787 .28017 L
.12438 .28017 L
.12438 .27969 L
s
.12438 .28017 m
.12787 .28017 L
.12787 .28072 L
.12438 .28072 L
.12438 .28017 L
s
.12438 .28072 m
.12787 .28072 L
.12787 .28133 L
.12438 .28133 L
.12438 .28072 L
s
.12438 .28133 m
.12787 .28133 L
.12787 .282 L
.12438 .282 L
.12438 .28133 L
s
.12438 .282 m
.12787 .282 L
.12787 .28273 L
.12438 .28273 L
.12438 .282 L
s
.12438 .28273 m
.12787 .28273 L
.12787 .2835 L
.12438 .2835 L
.12438 .28273 L
s
.12438 .2835 m
.12787 .2835 L
.12787 .28432 L
.12438 .28432 L
.12438 .2835 L
s
.12438 .28432 m
.12787 .28432 L
.12787 .28518 L
.12438 .28518 L
.12438 .28432 L
s
.12438 .28518 m
.12787 .28518 L
.12787 .28608 L
.12438 .28608 L
.12438 .28518 L
s
.12438 .28608 m
.12787 .28608 L
.12787 .28701 L
.12438 .28701 L
.12438 .28608 L
s
.12438 .28701 m
.12787 .28701 L
.12787 .28796 L
.12438 .28796 L
.12438 .28701 L
s
.12438 .28796 m
.12787 .28796 L
.12787 .28892 L
.12438 .28892 L
.12438 .28796 L
s
.12438 .28892 m
.12787 .28892 L
.12787 .2899 L
.12438 .2899 L
.12438 .28892 L
s
.12438 .2899 m
.12787 .2899 L
.12787 .29089 L
.12438 .29089 L
.12438 .2899 L
s
.12438 .29089 m
.12787 .29089 L
.12787 .29188 L
.12438 .29188 L
.12438 .29089 L
s
.12438 .29188 m
.12787 .29188 L
.12787 .29286 L
.12438 .29286 L
.12438 .29188 L
s
.12438 .29286 m
.12787 .29286 L
.12787 .29382 L
.12438 .29382 L
.12438 .29286 L
s
.12438 .29382 m
.12787 .29382 L
.12787 .29477 L
.12438 .29477 L
.12438 .29382 L
s
.12438 .29477 m
.12787 .29477 L
.12787 .2957 L
.12438 .2957 L
.12438 .29477 L
s
.12438 .2957 m
.12787 .2957 L
.12787 .2966 L
.12438 .2966 L
.12438 .2957 L
s
.12438 .2966 m
.12787 .2966 L
.12787 .29746 L
.12438 .29746 L
.12438 .2966 L
s
.12438 .29746 m
.12787 .29746 L
.12787 .29828 L
.12438 .29828 L
.12438 .29746 L
s
.12438 .29828 m
.12787 .29828 L
.12787 .29905 L
.12438 .29905 L
.12438 .29828 L
s
.12438 .29905 m
.12787 .29905 L
.12787 .29978 L
.12438 .29978 L
.12438 .29905 L
s
.12438 .29978 m
.12787 .29978 L
.12787 .30045 L
.12438 .30045 L
.12438 .29978 L
s
.12438 .30045 m
.12787 .30045 L
.12787 .30106 L
.12438 .30106 L
.12438 .30045 L
s
.12438 .30106 m
.12787 .30106 L
.12787 .30161 L
.12438 .30161 L
.12438 .30106 L
s
.12438 .30161 m
.12787 .30161 L
.12787 .30209 L
.12438 .30209 L
.12438 .30161 L
s
.12438 .30209 m
.12787 .30209 L
.12787 .3025 L
.12438 .3025 L
.12438 .30209 L
s
.12438 .3025 m
.12787 .3025 L
.12787 .30285 L
.12438 .30285 L
.12438 .3025 L
s
.12438 .30285 m
.12787 .30285 L
.12787 .30311 L
.12438 .30311 L
.12438 .30285 L
s
.12438 .30311 m
.12787 .30311 L
.12787 .30331 L
.12438 .30331 L
.12438 .30311 L
s
.12438 .30331 m
.12787 .30331 L
.12787 .30342 L
.12438 .30342 L
.12438 .30331 L
s
.12438 .30342 m
.12787 .30342 L
.12787 .30346 L
.12438 .30346 L
.12438 .30342 L
s
.5 g
.30037 .29089 m
.29996 .29205 L
.29996 .29205 L
.30037 .29089 L
.30037 .29089 L
F
.29996 .29205 m
.29954 .29321 L
.29954 .2932 L
.29996 .29205 L
.29996 .29205 L
F
.29954 .29321 m
.29913 .29437 L
.29913 .29436 L
.29954 .2932 L
.29954 .29321 L
F
.29913 .29437 m
.29871 .29553 L
.29871 .29551 L
.29913 .29436 L
.29913 .29437 L
F
.29871 .29553 m
.29829 .29669 L
.2983 .29667 L
.29871 .29551 L
.29871 .29553 L
F
.29829 .29669 m
.29788 .29785 L
.29789 .29783 L
.2983 .29667 L
.29829 .29669 L
F
.29788 .29785 m
.29746 .29901 L
.29747 .29898 L
.29789 .29783 L
.29788 .29785 L
F
.29746 .29901 m
.29705 .30017 L
.29706 .30014 L
.29747 .29898 L
.29746 .29901 L
F
.29705 .30017 m
.29663 .30133 L
.29664 .3013 L
.29706 .30014 L
.29705 .30017 L
F
.29663 .30133 m
.29622 .30249 L
.29623 .30245 L
.29664 .3013 L
.29663 .30133 L
F
.30037 .29089 m
.29996 .29205 L
.29996 .29204 L
.30037 .29089 L
.30037 .29089 L
F
.29996 .29205 m
.29954 .2932 L
.29955 .29318 L
.29996 .29204 L
.29996 .29205 L
F
.29954 .2932 m
.29913 .29436 L
.29914 .29433 L
.29955 .29318 L
.29954 .2932 L
F
.29913 .29436 m
.29871 .29551 L
.29873 .29547 L
.29914 .29433 L
.29913 .29436 L
F
.29871 .29551 m
.2983 .29667 L
.29832 .29662 L
.29873 .29547 L
.29871 .29551 L
F
.2983 .29667 m
.29789 .29783 L
.29791 .29776 L
.29832 .29662 L
.2983 .29667 L
F
.29789 .29783 m
.29747 .29898 L
.2975 .29891 L
.29791 .29776 L
.29789 .29783 L
F
.29747 .29898 m
.29706 .30014 L
.29709 .30005 L
.2975 .29891 L
.29747 .29898 L
F
.29706 .30014 m
.29664 .3013 L
.29668 .3012 L
.29709 .30005 L
.29706 .30014 L
F
.29664 .3013 m
.29623 .30245 L
.29627 .30234 L
.29668 .3012 L
.29664 .3013 L
F
.30037 .29089 m
.29996 .29204 L
.29997 .29202 L
.30037 .29089 L
.30037 .29089 L
F
.29996 .29204 m
.29955 .29318 L
.29956 .29315 L
.29997 .29202 L
.29996 .29204 L
F
.29955 .29318 m
.29914 .29433 L
.29916 .29427 L
.29956 .29315 L
.29955 .29318 L
F
.29914 .29433 m
.29873 .29547 L
.29876 .2954 L
.29916 .29427 L
.29914 .29433 L
F
.29873 .29547 m
.29832 .29662 L
.29835 .29653 L
.29876 .2954 L
.29873 .29547 L
F
.29832 .29662 m
.29791 .29776 L
.29795 .29766 L
.29835 .29653 L
.29832 .29662 L
F
.29791 .29776 m
.2975 .29891 L
.29754 .29878 L
.29795 .29766 L
.29791 .29776 L
F
.2975 .29891 m
.29709 .30005 L
.29714 .29991 L
.29754 .29878 L
.2975 .29891 L
F
.29709 .30005 m
.29668 .3012 L
.29674 .30104 L
.29714 .29991 L
.29709 .30005 L
F
.29668 .3012 m
.29627 .30234 L
.29633 .30217 L
.29674 .30104 L
.29668 .3012 L
F
.30037 .29089 m
.29997 .29202 L
.29998 .29199 L
.30037 .29089 L
.30037 .29089 L
F
.29997 .29202 m
.29956 .29315 L
.29958 .2931 L
.29998 .29199 L
.29997 .29202 L
F
.29956 .29315 m
.29916 .29427 L
.29919 .2942 L
.29958 .2931 L
.29956 .29315 L
F
.29916 .29427 m
.29876 .2954 L
.29879 .2953 L
.29919 .2942 L
.29916 .29427 L
F
.29876 .2954 m
.29835 .29653 L
.2984 .29641 L
.29879 .2953 L
.29876 .2954 L
F
.29835 .29653 m
.29795 .29766 L
.298 .29751 L
.2984 .29641 L
.29835 .29653 L
F
.29795 .29766 m
.29754 .29878 L
.29761 .29861 L
.298 .29751 L
.29795 .29766 L
F
.29754 .29878 m
.29714 .29991 L
.29721 .29971 L
.29761 .29861 L
.29754 .29878 L
F
.29714 .29991 m
.29674 .30104 L
.29682 .30082 L
.29721 .29971 L
.29714 .29991 L
F
.29674 .30104 m
.29633 .30217 L
.29642 .30192 L
.29682 .30082 L
.29674 .30104 L
F
.30037 .29089 m
.29998 .29199 L
.29999 .29196 L
.30037 .29089 L
.30037 .29089 L
F
.29998 .29199 m
.29958 .2931 L
.2996 .29303 L
.29999 .29196 L
.29998 .29199 L
F
.29958 .2931 m
.29919 .2942 L
.29922 .2941 L
.2996 .29303 L
.29958 .2931 L
F
.29919 .2942 m
.29879 .2953 L
.29884 .29518 L
.29922 .2941 L
.29919 .2942 L
F
.29879 .2953 m
.2984 .29641 L
.29845 .29625 L
.29884 .29518 L
.29879 .2953 L
F
.2984 .29641 m
.298 .29751 L
.29807 .29732 L
.29845 .29625 L
.2984 .29641 L
F
.298 .29751 m
.29761 .29861 L
.29768 .29839 L
.29807 .29732 L
.298 .29751 L
F
.29761 .29861 m
.29721 .29971 L
.2973 .29946 L
.29768 .29839 L
.29761 .29861 L
F
.29721 .29971 m
.29682 .30082 L
.29692 .30053 L
.2973 .29946 L
.29721 .29971 L
F
.29682 .30082 m
.29642 .30192 L
.29653 .3016 L
.29692 .30053 L
.29682 .30082 L
F
.30037 .29089 m
.29999 .29196 L
.3 .29192 L
.30037 .29089 L
.30037 .29089 L
F
.29999 .29196 m
.2996 .29303 L
.29963 .29296 L
.3 .29192 L
.29999 .29196 L
F
.2996 .29303 m
.29922 .2941 L
.29926 .29399 L
.29963 .29296 L
.2996 .29303 L
F
.29922 .2941 m
.29884 .29518 L
.29889 .29502 L
.29926 .29399 L
.29922 .2941 L
F
.29884 .29518 m
.29845 .29625 L
.29852 .29606 L
.29889 .29502 L
.29884 .29518 L
F
.29845 .29625 m
.29807 .29732 L
.29815 .29709 L
.29852 .29606 L
.29845 .29625 L
F
.29807 .29732 m
.29768 .29839 L
.29778 .29812 L
.29815 .29709 L
.29807 .29732 L
F
.29768 .29839 m
.2973 .29946 L
.29741 .29916 L
.29778 .29812 L
.29768 .29839 L
F
.2973 .29946 m
.29692 .30053 L
.29704 .30019 L
.29741 .29916 L
.2973 .29946 L
F
.29692 .30053 m
.29653 .3016 L
.29667 .30122 L
.29704 .30019 L
.29692 .30053 L
F
.30037 .29089 m
.3 .29192 L
.30002 .29188 L
.30037 .29089 L
.30037 .29089 L
F
.3 .29192 m
.29963 .29296 L
.29966 .29287 L
.30002 .29188 L
.3 .29192 L
F
.29963 .29296 m
.29926 .29399 L
.29931 .29386 L
.29966 .29287 L
.29963 .29296 L
F
.29926 .29399 m
.29889 .29502 L
.29895 .29485 L
.29931 .29386 L
.29926 .29399 L
F
.29889 .29502 m
.29852 .29606 L
.2986 .29583 L
.29895 .29485 L
.29889 .29502 L
F
.29852 .29606 m
.29815 .29709 L
.29825 .29682 L
.2986 .29583 L
.29852 .29606 L
F
.29815 .29709 m
.29778 .29812 L
.29789 .29781 L
.29825 .29682 L
.29815 .29709 L
F
.29778 .29812 m
.29741 .29916 L
.29754 .2988 L
.29789 .29781 L
.29778 .29812 L
F
.29741 .29916 m
.29704 .30019 L
.29718 .29979 L
.29754 .2988 L
.29741 .29916 L
F
.29704 .30019 m
.29667 .30122 L
.29683 .30078 L
.29718 .29979 L
.29704 .30019 L
F
.30037 .29089 m
.30002 .29188 L
.30004 .29183 L
.30037 .29089 L
.30037 .29089 L
F
.30002 .29188 m
.29966 .29287 L
.2997 .29277 L
.30004 .29183 L
.30002 .29188 L
F
.29966 .29287 m
.29931 .29386 L
.29936 .2937 L
.2997 .29277 L
.29966 .29287 L
F
.29931 .29386 m
.29895 .29485 L
.29903 .29464 L
.29936 .2937 L
.29931 .29386 L
F
.29895 .29485 m
.2986 .29583 L
.29869 .29558 L
.29903 .29464 L
.29895 .29485 L
F
.2986 .29583 m
.29825 .29682 L
.29835 .29652 L
.29869 .29558 L
.2986 .29583 L
F
.29825 .29682 m
.29789 .29781 L
.29802 .29746 L
.29835 .29652 L
.29825 .29682 L
F
.29789 .29781 m
.29754 .2988 L
.29768 .2984 L
.29802 .29746 L
.29789 .29781 L
F
.29754 .2988 m
.29718 .29979 L
.29735 .29933 L
.29768 .2984 L
.29754 .2988 L
F
.29718 .29979 m
.29683 .30078 L
.29701 .30027 L
.29735 .29933 L
.29718 .29979 L
F
.30037 .29089 m
.30004 .29183 L
.30006 .29177 L
.30037 .29089 L
.30037 .29089 L
F
.30004 .29183 m
.2997 .29277 L
.29974 .29265 L
.30006 .29177 L
.30004 .29183 L
F
.2997 .29277 m
.29936 .2937 L
.29942 .29354 L
.29974 .29265 L
.2997 .29277 L
F
.29936 .2937 m
.29903 .29464 L
.29911 .29442 L
.29942 .29354 L
.29936 .2937 L
F
.29903 .29464 m
.29869 .29558 L
.29879 .2953 L
.29911 .29442 L
.29903 .29464 L
F
.29869 .29558 m
.29835 .29652 L
.29848 .29618 L
.29879 .2953 L
.29869 .29558 L
F
.29835 .29652 m
.29802 .29746 L
.29816 .29706 L
.29848 .29618 L
.29835 .29652 L
F
.29802 .29746 m
.29768 .2984 L
.29784 .29795 L
.29816 .29706 L
.29802 .29746 L
F
.29768 .2984 m
.29735 .29933 L
.29753 .29883 L
.29784 .29795 L
.29768 .2984 L
F
.29735 .29933 m
.29701 .30027 L
.29721 .29971 L
.29753 .29883 L
.29735 .29933 L
F
.30037 .29089 m
.30006 .29177 L
.30008 .29171 L
.30037 .29089 L
.30037 .29089 L
F
.30006 .29177 m
.29974 .29265 L
.29978 .29253 L
.30008 .29171 L
.30006 .29177 L
F
.29974 .29265 m
.29942 .29354 L
.29949 .29335 L
.29978 .29253 L
.29974 .29265 L
F
.29942 .29354 m
.29911 .29442 L
.2992 .29417 L
.29949 .29335 L
.29942 .29354 L
F
.29911 .29442 m
.29879 .2953 L
.2989 .29499 L
.2992 .29417 L
.29911 .29442 L
F
.29879 .2953 m
.29848 .29618 L
.29861 .29581 L
.2989 .29499 L
.29879 .2953 L
F
.29848 .29618 m
.29816 .29706 L
.29832 .29663 L
.29861 .29581 L
.29848 .29618 L
F
.29816 .29706 m
.29784 .29795 L
.29802 .29745 L
.29832 .29663 L
.29816 .29706 L
F
.29784 .29795 m
.29753 .29883 L
.29773 .29827 L
.29802 .29745 L
.29784 .29795 L
F
.29753 .29883 m
.29721 .29971 L
.29743 .29909 L
.29773 .29827 L
.29753 .29883 L
F
.30037 .29089 m
.30008 .29171 L
.3001 .29164 L
.30037 .29089 L
.30037 .29089 L
F
.30008 .29171 m
.29978 .29253 L
.29983 .2924 L
.3001 .29164 L
.30008 .29171 L
F
.29978 .29253 m
.29949 .29335 L
.29956 .29315 L
.29983 .2924 L
.29978 .29253 L
F
.29949 .29335 m
.2992 .29417 L
.29929 .2939 L
.29956 .29315 L
.29949 .29335 L
F
.2992 .29417 m
.2989 .29499 L
.29902 .29466 L
.29929 .2939 L
.2992 .29417 L
F
.2989 .29499 m
.29861 .29581 L
.29875 .29541 L
.29902 .29466 L
.2989 .29499 L
F
.29861 .29581 m
.29832 .29663 L
.29848 .29616 L
.29875 .29541 L
.29861 .29581 L
F
.29832 .29663 m
.29802 .29745 L
.29821 .29692 L
.29848 .29616 L
.29832 .29663 L
F
.29802 .29745 m
.29773 .29827 L
.29794 .29767 L
.29821 .29692 L
.29802 .29745 L
F
.29773 .29827 m
.29743 .29909 L
.29767 .29842 L
.29794 .29767 L
.29773 .29827 L
F
.30037 .29089 m
.3001 .29164 L
.30013 .29157 L
.30037 .29089 L
.30037 .29089 L
F
.3001 .29164 m
.29983 .2924 L
.29988 .29225 L
.30013 .29157 L
.3001 .29164 L
F
.29983 .2924 m
.29956 .29315 L
.29964 .29294 L
.29988 .29225 L
.29983 .2924 L
F
.29956 .29315 m
.29929 .2939 L
.2994 .29362 L
.29964 .29294 L
.29956 .29315 L
F
.29929 .2939 m
.29902 .29466 L
.29915 .2943 L
.2994 .29362 L
.29929 .2939 L
F
.29902 .29466 m
.29875 .29541 L
.29891 .29498 L
.29915 .2943 L
.29902 .29466 L
F
.29875 .29541 m
.29848 .29616 L
.29866 .29566 L
.29891 .29498 L
.29875 .29541 L
F
.29848 .29616 m
.29821 .29692 L
.29842 .29634 L
.29866 .29566 L
.29848 .29616 L
F
.29821 .29692 m
.29794 .29767 L
.29817 .29703 L
.29842 .29634 L
.29821 .29692 L
F
.29794 .29767 m
.29767 .29842 L
.29793 .29771 L
.29817 .29703 L
.29794 .29767 L
F
.30037 .29089 m
.30013 .29157 L
.30015 .2915 L
.30037 .29089 L
.30037 .29089 L
F
.30013 .29157 m
.29988 .29225 L
.29994 .2921 L
.30015 .2915 L
.30013 .29157 L
F
.29988 .29225 m
.29964 .29294 L
.29972 .29271 L
.29994 .2921 L
.29988 .29225 L
F
.29964 .29294 m
.2994 .29362 L
.2995 .29331 L
.29972 .29271 L
.29964 .29294 L
F
.2994 .29362 m
.29915 .2943 L
.29929 .29392 L
.2995 .29331 L
.2994 .29362 L
F
.29915 .2943 m
.29891 .29498 L
.29907 .29453 L
.29929 .29392 L
.29915 .2943 L
F
.29891 .29498 m
.29866 .29566 L
.29885 .29513 L
.29907 .29453 L
.29891 .29498 L
F
.29866 .29566 m
.29842 .29634 L
.29864 .29574 L
.29885 .29513 L
.29866 .29566 L
F
.29842 .29634 m
.29817 .29703 L
.29842 .29634 L
.29864 .29574 L
.29842 .29634 L
F
.29817 .29703 m
.29793 .29771 L
.2982 .29695 L
.29842 .29634 L
.29817 .29703 L
F
.30037 .29089 m
.30015 .2915 L
.30018 .29142 L
.30037 .29089 L
.30037 .29089 L
F
.30015 .2915 m
.29994 .2921 L
.29999 .29194 L
.30018 .29142 L
.30015 .2915 L
F
.29994 .2921 m
.29972 .29271 L
.29981 .29247 L
.29999 .29194 L
.29994 .2921 L
F
.29972 .29271 m
.2995 .29331 L
.29962 .293 L
.29981 .29247 L
.29972 .29271 L
F
.2995 .29331 m
.29929 .29392 L
.29943 .29352 L
.29962 .293 L
.2995 .29331 L
F
.29929 .29392 m
.29907 .29453 L
.29924 .29405 L
.29943 .29352 L
.29929 .29392 L
F
.29907 .29453 m
.29885 .29513 L
.29905 .29458 L
.29924 .29405 L
.29907 .29453 L
F
.29885 .29513 m
.29864 .29574 L
.29886 .2951 L
.29905 .29458 L
.29885 .29513 L
F
.29864 .29574 m
.29842 .29634 L
.29867 .29563 L
.29886 .2951 L
.29864 .29574 L
F
.29842 .29634 m
.2982 .29695 L
.29849 .29616 L
.29867 .29563 L
.29842 .29634 L
F
.30037 .29089 m
.30018 .29142 L
.30021 .29133 L
.30037 .29089 L
.30037 .29089 L
F
.30018 .29142 m
.29999 .29194 L
.30005 .29178 L
.30021 .29133 L
.30018 .29142 L
F
.29999 .29194 m
.29981 .29247 L
.2999 .29222 L
.30005 .29178 L
.29999 .29194 L
F
.29981 .29247 m
.29962 .293 L
.29974 .29267 L
.2999 .29222 L
.29981 .29247 L
F
.29962 .293 m
.29943 .29352 L
.29958 .29311 L
.29974 .29267 L
.29962 .293 L
F
.29943 .29352 m
.29924 .29405 L
.29942 .29355 L
.29958 .29311 L
.29943 .29352 L
F
.29924 .29405 m
.29905 .29458 L
.29926 .294 L
.29942 .29355 L
.29924 .29405 L
F
.29905 .29458 m
.29886 .2951 L
.2991 .29444 L
.29926 .294 L
.29905 .29458 L
F
.29886 .2951 m
.29867 .29563 L
.29894 .29488 L
.2991 .29444 L
.29886 .2951 L
F
.29867 .29563 m
.29849 .29616 L
.29878 .29533 L
.29894 .29488 L
.29867 .29563 L
F
.30037 .29089 m
.30021 .29133 L
.30024 .29125 L
.30037 .29089 L
.30037 .29089 L
F
.30021 .29133 m
.30005 .29178 L
.30012 .29161 L
.30024 .29125 L
.30021 .29133 L
F
.30005 .29178 m
.2999 .29222 L
.29999 .29197 L
.30012 .29161 L
.30005 .29178 L
F
.2999 .29222 m
.29974 .29267 L
.29986 .29232 L
.29999 .29197 L
.2999 .29222 L
F
.29974 .29267 m
.29958 .29311 L
.29973 .29268 L
.29986 .29232 L
.29974 .29267 L
F
.29958 .29311 m
.29942 .29355 L
.2996 .29304 L
.29973 .29268 L
.29958 .29311 L
F
.29942 .29355 m
.29926 .294 L
.29947 .2934 L
.2996 .29304 L
.29942 .29355 L
F
.29926 .294 m
.2991 .29444 L
.29934 .29376 L
.29947 .2934 L
.29926 .294 L
F
.2991 .29444 m
.29894 .29488 L
.29922 .29412 L
.29934 .29376 L
.2991 .29444 L
F
.29894 .29488 m
.29878 .29533 L
.29909 .29447 L
.29922 .29412 L
.29894 .29488 L
F
.30037 .29089 m
.30024 .29125 L
.30028 .29116 L
.30037 .29089 L
.30037 .29089 L
F
.30024 .29125 m
.30012 .29161 L
.30018 .29143 L
.30028 .29116 L
.30024 .29125 L
F
.30012 .29161 m
.29999 .29197 L
.30008 .2917 L
.30018 .29143 L
.30012 .29161 L
F
.29999 .29197 m
.29986 .29232 L
.29998 .29197 L
.30008 .2917 L
.29999 .29197 L
F
.29986 .29232 m
.29973 .29268 L
.29989 .29224 L
.29998 .29197 L
.29986 .29232 L
F
.29973 .29268 m
.2996 .29304 L
.29979 .29251 L
.29989 .29224 L
.29973 .29268 L
F
.2996 .29304 m
.29947 .2934 L
.29969 .29279 L
.29979 .29251 L
.2996 .29304 L
F
.29947 .2934 m
.29934 .29376 L
.2996 .29306 L
.29969 .29279 L
.29947 .2934 L
F
.29934 .29376 m
.29922 .29412 L
.2995 .29333 L
.2996 .29306 L
.29934 .29376 L
F
.29922 .29412 m
.29909 .29447 L
.2994 .2936 L
.2995 .29333 L
.29922 .29412 L
F
.30037 .29089 m
.30028 .29116 L
.30031 .29107 L
.30037 .29089 L
.30037 .29089 L
F
.30028 .29116 m
.30018 .29143 L
.30024 .29125 L
.30031 .29107 L
.30028 .29116 L
F
.30018 .29143 m
.30008 .2917 L
.30018 .29143 L
.30024 .29125 L
.30018 .29143 L
F
.30008 .2917 m
.29998 .29197 L
.30011 .29162 L
.30018 .29143 L
.30008 .2917 L
F
.29998 .29197 m
.29989 .29224 L
.30005 .2918 L
.30011 .29162 L
.29998 .29197 L
F
.29989 .29224 m
.29979 .29251 L
.29998 .29198 L
.30005 .2918 L
.29989 .29224 L
F
.29979 .29251 m
.29969 .29279 L
.29992 .29216 L
.29998 .29198 L
.29979 .29251 L
F
.29969 .29279 m
.2996 .29306 L
.29985 .29234 L
.29992 .29216 L
.29969 .29279 L
F
.2996 .29306 m
.2995 .29333 L
.29979 .29252 L
.29985 .29234 L
.2996 .29306 L
F
.2995 .29333 m
.2994 .2936 L
.29972 .2927 L
.29979 .29252 L
.2995 .29333 L
F
.30037 .29089 m
.30031 .29107 L
.30034 .29098 L
.30037 .29089 L
.30037 .29089 L
F
.30031 .29107 m
.30024 .29125 L
.30031 .29107 L
.30034 .29098 L
.30031 .29107 L
F
.30024 .29125 m
.30018 .29143 L
.30027 .29116 L
.30031 .29107 L
.30024 .29125 L
F
.30018 .29143 m
.30011 .29162 L
.30024 .29125 L
.30027 .29116 L
.30018 .29143 L
F
.30011 .29162 m
.30005 .2918 L
.30021 .29135 L
.30024 .29125 L
.30011 .29162 L
F
.30005 .2918 m
.29998 .29198 L
.30018 .29144 L
.30021 .29135 L
.30005 .2918 L
F
.29998 .29198 m
.29992 .29216 L
.30014 .29153 L
.30018 .29144 L
.29998 .29198 L
F
.29992 .29216 m
.29985 .29234 L
.30011 .29162 L
.30014 .29153 L
.29992 .29216 L
F
.29985 .29234 m
.29979 .29252 L
.30008 .29171 L
.30011 .29162 L
.29985 .29234 L
F
.29979 .29252 m
.29972 .2927 L
.30005 .2918 L
.30008 .29171 L
.29979 .29252 L
F
.30037 .29089 m
.30034 .29098 L
.30037 .29089 L
.30037 .29089 L
.30037 .29089 L
F
.30034 .29098 m
.30031 .29107 L
.30037 .29089 L
.30037 .29089 L
.30034 .29098 L
F
.30031 .29107 m
.30027 .29116 L
.30037 .29089 L
.30037 .29089 L
.30031 .29107 L
F
.30027 .29116 m
.30024 .29125 L
.30037 .29089 L
.30037 .29089 L
.30027 .29116 L
F
.30024 .29125 m
.30021 .29135 L
.30037 .29089 L
.30037 .29089 L
.30024 .29125 L
F
.30021 .29135 m
.30018 .29144 L
.30037 .29089 L
.30037 .29089 L
.30021 .29135 L
F
.30018 .29144 m
.30014 .29153 L
.30037 .29089 L
.30037 .29089 L
.30018 .29144 L
F
.30014 .29153 m
.30011 .29162 L
.30037 .29089 L
.30037 .29089 L
.30014 .29153 L
F
.30011 .29162 m
.30008 .29171 L
.30037 .29089 L
.30037 .29089 L
.30011 .29162 L
F
.30008 .29171 m
.30005 .2918 L
.30037 .29089 L
.30037 .29089 L
.30008 .29171 L
F
.30037 .29089 m
.30037 .29089 L
.3004 .2908 L
.30037 .29089 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30044 .29071 L
.3004 .2908 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30047 .29062 L
.30044 .29071 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.3005 .29053 L
.30047 .29062 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30054 .29044 L
.3005 .29053 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30057 .29034 L
.30054 .29044 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.3006 .29025 L
.30057 .29034 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30063 .29016 L
.3006 .29025 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30067 .29007 L
.30063 .29016 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.3007 .28998 L
.30067 .29007 L
.30037 .29089 L
F
.30037 .29089 m
.3004 .2908 L
.30044 .29071 L
.30037 .29089 L
.30037 .29089 L
F
.3004 .2908 m
.30044 .29071 L
.3005 .29053 L
.30044 .29071 L
.3004 .2908 L
F
.30044 .29071 m
.30047 .29062 L
.30057 .29035 L
.3005 .29053 L
.30044 .29071 L
F
.30047 .29062 m
.3005 .29053 L
.30063 .29016 L
.30057 .29035 L
.30047 .29062 L
F
.3005 .29053 m
.30054 .29044 L
.3007 .28998 L
.30063 .29016 L
.3005 .29053 L
F
.30054 .29044 m
.30057 .29034 L
.30076 .2898 L
.3007 .28998 L
.30054 .29044 L
F
.30057 .29034 m
.3006 .29025 L
.30083 .28962 L
.30076 .2898 L
.30057 .29034 L
F
.3006 .29025 m
.30063 .29016 L
.30089 .28944 L
.30083 .28962 L
.3006 .29025 L
F
.30063 .29016 m
.30067 .29007 L
.30096 .28926 L
.30089 .28944 L
.30063 .29016 L
F
.30067 .29007 m
.3007 .28998 L
.30102 .28908 L
.30096 .28926 L
.30067 .29007 L
F
.30037 .29089 m
.30044 .29071 L
.30047 .29062 L
.30037 .29089 L
.30037 .29089 L
F
.30044 .29071 m
.3005 .29053 L
.30057 .29035 L
.30047 .29062 L
.30044 .29071 L
F
.3005 .29053 m
.30057 .29035 L
.30066 .29008 L
.30057 .29035 L
.3005 .29053 L
F
.30057 .29035 m
.30063 .29016 L
.30076 .28981 L
.30066 .29008 L
.30057 .29035 L
F
.30063 .29016 m
.3007 .28998 L
.30086 .28954 L
.30076 .28981 L
.30063 .29016 L
F
.3007 .28998 m
.30076 .2898 L
.30095 .28927 L
.30086 .28954 L
.3007 .28998 L
F
.30076 .2898 m
.30083 .28962 L
.30105 .28899 L
.30095 .28927 L
.30076 .2898 L
F
.30083 .28962 m
.30089 .28944 L
.30115 .28872 L
.30105 .28899 L
.30083 .28962 L
F
.30089 .28944 m
.30096 .28926 L
.30125 .28845 L
.30115 .28872 L
.30089 .28944 L
F
.30096 .28926 m
.30102 .28908 L
.30134 .28818 L
.30125 .28845 L
.30096 .28926 L
F
.30037 .29089 m
.30047 .29062 L
.3005 .29053 L
.30037 .29089 L
.30037 .29089 L
F
.30047 .29062 m
.30057 .29035 L
.30063 .29017 L
.3005 .29053 L
.30047 .29062 L
F
.30057 .29035 m
.30066 .29008 L
.30076 .28981 L
.30063 .29017 L
.30057 .29035 L
F
.30066 .29008 m
.30076 .28981 L
.30089 .28946 L
.30076 .28981 L
.30066 .29008 L
F
.30076 .28981 m
.30086 .28954 L
.30101 .2891 L
.30089 .28946 L
.30076 .28981 L
F
.30086 .28954 m
.30095 .28927 L
.30114 .28874 L
.30101 .2891 L
.30086 .28954 L
F
.30095 .28927 m
.30105 .28899 L
.30127 .28838 L
.30114 .28874 L
.30095 .28927 L
F
.30105 .28899 m
.30115 .28872 L
.3014 .28802 L
.30127 .28838 L
.30105 .28899 L
F
.30115 .28872 m
.30125 .28845 L
.30153 .28766 L
.3014 .28802 L
.30115 .28872 L
F
.30125 .28845 m
.30134 .28818 L
.30166 .28731 L
.30153 .28766 L
.30125 .28845 L
F
.30037 .29089 m
.3005 .29053 L
.30053 .29045 L
.30037 .29089 L
.30037 .29089 L
F
.3005 .29053 m
.30063 .29017 L
.30069 .29 L
.30053 .29045 L
.3005 .29053 L
F
.30063 .29017 m
.30076 .28981 L
.30085 .28956 L
.30069 .29 L
.30063 .29017 L
F
.30076 .28981 m
.30089 .28946 L
.30101 .28911 L
.30085 .28956 L
.30076 .28981 L
F
.30089 .28946 m
.30101 .2891 L
.30117 .28867 L
.30101 .28911 L
.30089 .28946 L
F
.30101 .2891 m
.30114 .28874 L
.30133 .28823 L
.30117 .28867 L
.30101 .2891 L
F
.30114 .28874 m
.30127 .28838 L
.30149 .28778 L
.30133 .28823 L
.30114 .28874 L
F
.30127 .28838 m
.3014 .28802 L
.30164 .28734 L
.30149 .28778 L
.30127 .28838 L
F
.3014 .28802 m
.30153 .28766 L
.3018 .2869 L
.30164 .28734 L
.3014 .28802 L
F
.30153 .28766 m
.30166 .28731 L
.30196 .28645 L
.3018 .2869 L
.30153 .28766 L
F
.30037 .29089 m
.30053 .29045 L
.30056 .29036 L
.30037 .29089 L
.30037 .29089 L
F
.30053 .29045 m
.30069 .29 L
.30075 .28984 L
.30056 .29036 L
.30053 .29045 L
F
.30069 .29 m
.30085 .28956 L
.30094 .28931 L
.30075 .28984 L
.30069 .29 L
F
.30085 .28956 m
.30101 .28911 L
.30113 .28878 L
.30094 .28931 L
.30085 .28956 L
F
.30101 .28911 m
.30117 .28867 L
.30132 .28826 L
.30113 .28878 L
.30101 .28911 L
F
.30117 .28867 m
.30133 .28823 L
.3015 .28773 L
.30132 .28826 L
.30117 .28867 L
F
.30133 .28823 m
.30149 .28778 L
.30169 .2872 L
.3015 .28773 L
.30133 .28823 L
F
.30149 .28778 m
.30164 .28734 L
.30188 .28668 L
.30169 .2872 L
.30149 .28778 L
F
.30164 .28734 m
.3018 .2869 L
.30207 .28615 L
.30188 .28668 L
.30164 .28734 L
F
.3018 .2869 m
.30196 .28645 L
.30226 .28562 L
.30207 .28615 L
.3018 .2869 L
F
.30037 .29089 m
.30056 .29036 L
.30059 .29028 L
.30037 .29089 L
.30037 .29089 L
F
.30056 .29036 m
.30075 .28984 L
.30081 .28968 L
.30059 .29028 L
.30056 .29036 L
F
.30075 .28984 m
.30094 .28931 L
.30102 .28907 L
.30081 .28968 L
.30075 .28984 L
F
.30094 .28931 m
.30113 .28878 L
.30124 .28847 L
.30102 .28907 L
.30094 .28931 L
F
.30113 .28878 m
.30132 .28826 L
.30146 .28786 L
.30124 .28847 L
.30113 .28878 L
F
.30132 .28826 m
.3015 .28773 L
.30167 .28725 L
.30146 .28786 L
.30132 .28826 L
F
.3015 .28773 m
.30169 .2872 L
.30189 .28665 L
.30167 .28725 L
.3015 .28773 L
F
.30169 .2872 m
.30188 .28668 L
.30211 .28604 L
.30189 .28665 L
.30169 .2872 L
F
.30188 .28668 m
.30207 .28615 L
.30233 .28544 L
.30211 .28604 L
.30188 .28668 L
F
.30207 .28615 m
.30226 .28562 L
.30254 .28483 L
.30233 .28544 L
.30207 .28615 L
F
.30037 .29089 m
.30059 .29028 L
.30062 .29021 L
.30037 .29089 L
.30037 .29089 L
F
.30059 .29028 m
.30081 .28968 L
.30086 .28953 L
.30062 .29021 L
.30059 .29028 L
F
.30081 .28968 m
.30102 .28907 L
.3011 .28885 L
.30086 .28953 L
.30081 .28968 L
F
.30102 .28907 m
.30124 .28847 L
.30135 .28816 L
.3011 .28885 L
.30102 .28907 L
F
.30124 .28847 m
.30146 .28786 L
.30159 .28748 L
.30135 .28816 L
.30124 .28847 L
F
.30146 .28786 m
.30167 .28725 L
.30184 .2868 L
.30159 .28748 L
.30146 .28786 L
F
.30167 .28725 m
.30189 .28665 L
.30208 .28612 L
.30184 .2868 L
.30167 .28725 L
F
.30189 .28665 m
.30211 .28604 L
.30233 .28544 L
.30208 .28612 L
.30189 .28665 L
F
.30211 .28604 m
.30233 .28544 L
.30257 .28475 L
.30233 .28544 L
.30211 .28604 L
F
.30233 .28544 m
.30254 .28483 L
.30281 .28407 L
.30257 .28475 L
.30233 .28544 L
F
.30037 .29089 m
.30062 .29021 L
.30064 .29014 L
.30037 .29089 L
.30037 .29089 L
F
.30062 .29021 m
.30086 .28953 L
.30091 .28938 L
.30064 .29014 L
.30062 .29021 L
F
.30086 .28953 m
.3011 .28885 L
.30118 .28863 L
.30091 .28938 L
.30086 .28953 L
F
.3011 .28885 m
.30135 .28816 L
.30145 .28788 L
.30118 .28863 L
.3011 .28885 L
F
.30135 .28816 m
.30159 .28748 L
.30172 .28712 L
.30145 .28788 L
.30135 .28816 L
F
.30159 .28748 m
.30184 .2868 L
.30199 .28637 L
.30172 .28712 L
.30159 .28748 L
F
.30184 .2868 m
.30208 .28612 L
.30226 .28562 L
.30199 .28637 L
.30184 .2868 L
F
.30208 .28612 m
.30233 .28544 L
.30253 .28486 L
.30226 .28562 L
.30208 .28612 L
F
.30233 .28544 m
.30257 .28475 L
.3028 .28411 L
.30253 .28486 L
.30233 .28544 L
F
.30257 .28475 m
.30281 .28407 L
.30307 .28336 L
.3028 .28411 L
.30257 .28475 L
F
.30037 .29089 m
.30064 .29014 L
.30067 .29007 L
.30037 .29089 L
.30037 .29089 L
F
.30064 .29014 m
.30091 .28938 L
.30096 .28925 L
.30067 .29007 L
.30064 .29014 L
F
.30091 .28938 m
.30118 .28863 L
.30125 .28843 L
.30096 .28925 L
.30091 .28938 L
F
.30118 .28863 m
.30145 .28788 L
.30155 .28761 L
.30125 .28843 L
.30118 .28863 L
F
.30145 .28788 m
.30172 .28712 L
.30184 .28679 L
.30155 .28761 L
.30145 .28788 L
F
.30172 .28712 m
.30199 .28637 L
.30214 .28597 L
.30184 .28679 L
.30172 .28712 L
F
.30199 .28637 m
.30226 .28562 L
.30243 .28515 L
.30214 .28597 L
.30199 .28637 L
F
.30226 .28562 m
.30253 .28486 L
.30272 .28433 L
.30243 .28515 L
.30226 .28562 L
F
.30253 .28486 m
.3028 .28411 L
.30302 .28351 L
.30272 .28433 L
.30253 .28486 L
F
.3028 .28411 m
.30307 .28336 L
.30331 .28269 L
.30302 .28351 L
.3028 .28411 L
F
.30037 .29089 m
.30067 .29007 L
.30069 .29001 L
.30037 .29089 L
.30037 .29089 L
F
.30067 .29007 m
.30096 .28925 L
.301 .28913 L
.30069 .29001 L
.30067 .29007 L
F
.30096 .28925 m
.30125 .28843 L
.30132 .28824 L
.301 .28913 L
.30096 .28925 L
F
.30125 .28843 m
.30155 .28761 L
.30164 .28736 L
.30132 .28824 L
.30125 .28843 L
F
.30155 .28761 m
.30184 .28679 L
.30195 .28648 L
.30164 .28736 L
.30155 .28761 L
F
.30184 .28679 m
.30214 .28597 L
.30227 .2856 L
.30195 .28648 L
.30184 .28679 L
F
.30214 .28597 m
.30243 .28515 L
.30258 .28472 L
.30227 .2856 L
.30214 .28597 L
F
.30243 .28515 m
.30272 .28433 L
.3029 .28384 L
.30258 .28472 L
.30243 .28515 L
F
.30272 .28433 m
.30302 .28351 L
.30322 .28295 L
.3029 .28384 L
.30272 .28433 L
F
.30302 .28351 m
.30331 .28269 L
.30353 .28207 L
.30322 .28295 L
.30302 .28351 L
F
.30037 .29089 m
.30069 .29001 L
.30071 .28995 L
.30037 .29089 L
.30037 .29089 L
F
.30069 .29001 m
.301 .28913 L
.30104 .28901 L
.30071 .28995 L
.30069 .29001 L
F
.301 .28913 m
.30132 .28824 L
.30138 .28808 L
.30104 .28901 L
.301 .28913 L
F
.30132 .28824 m
.30164 .28736 L
.30172 .28714 L
.30138 .28808 L
.30132 .28824 L
F
.30164 .28736 m
.30195 .28648 L
.30205 .2862 L
.30172 .28714 L
.30164 .28736 L
F
.30195 .28648 m
.30227 .2856 L
.30239 .28526 L
.30205 .2862 L
.30195 .28648 L
F
.30227 .2856 m
.30258 .28472 L
.30273 .28432 L
.30239 .28526 L
.30227 .2856 L
F
.30258 .28472 m
.3029 .28384 L
.30306 .28338 L
.30273 .28432 L
.30258 .28472 L
F
.3029 .28384 m
.30322 .28295 L
.3034 .28245 L
.30306 .28338 L
.3029 .28384 L
F
.30322 .28295 m
.30353 .28207 L
.30373 .28151 L
.3034 .28245 L
.30322 .28295 L
F
.30037 .29089 m
.30071 .28995 L
.30073 .2899 L
.30037 .29089 L
.30037 .29089 L
F
.30071 .28995 m
.30104 .28901 L
.30108 .28891 L
.30073 .2899 L
.30071 .28995 L
F
.30104 .28901 m
.30138 .28808 L
.30144 .28792 L
.30108 .28891 L
.30104 .28901 L
F
.30138 .28808 m
.30172 .28714 L
.30179 .28693 L
.30144 .28792 L
.30138 .28808 L
F
.30172 .28714 m
.30205 .2862 L
.30214 .28595 L
.30179 .28693 L
.30172 .28714 L
F
.30205 .2862 m
.30239 .28526 L
.3025 .28496 L
.30214 .28595 L
.30205 .2862 L
F
.30239 .28526 m
.30273 .28432 L
.30285 .28397 L
.3025 .28496 L
.30239 .28526 L
F
.30273 .28432 m
.30306 .28338 L
.30321 .28298 L
.30285 .28397 L
.30273 .28432 L
F
.30306 .28338 m
.3034 .28245 L
.30356 .28199 L
.30321 .28298 L
.30306 .28338 L
F
.3034 .28245 m
.30373 .28151 L
.30392 .281 L
.30356 .28199 L
.3034 .28245 L
F
.30037 .29089 m
.30073 .2899 L
.30074 .28986 L
.30037 .29089 L
.30037 .29089 L
F
.30073 .2899 m
.30108 .28891 L
.30111 .28882 L
.30074 .28986 L
.30073 .2899 L
F
.30108 .28891 m
.30144 .28792 L
.30148 .28779 L
.30111 .28882 L
.30108 .28891 L
F
.30144 .28792 m
.30179 .28693 L
.30185 .28676 L
.30148 .28779 L
.30144 .28792 L
F
.30179 .28693 m
.30214 .28595 L
.30222 .28572 L
.30185 .28676 L
.30179 .28693 L
F
.30214 .28595 m
.3025 .28496 L
.30259 .28469 L
.30222 .28572 L
.30214 .28595 L
F
.3025 .28496 m
.30285 .28397 L
.30296 .28366 L
.30259 .28469 L
.3025 .28496 L
F
.30285 .28397 m
.30321 .28298 L
.30333 .28262 L
.30296 .28366 L
.30285 .28397 L
F
.30321 .28298 m
.30356 .28199 L
.3037 .28159 L
.30333 .28262 L
.30321 .28298 L
F
.30356 .28199 m
.30392 .281 L
.30407 .28056 L
.3037 .28159 L
.30356 .28199 L
F
.30037 .29089 m
.30074 .28986 L
.30076 .28982 L
.30037 .29089 L
.30037 .29089 L
F
.30074 .28986 m
.30111 .28882 L
.30114 .28875 L
.30076 .28982 L
.30074 .28986 L
F
.30111 .28882 m
.30148 .28779 L
.30152 .28768 L
.30114 .28875 L
.30111 .28882 L
F
.30148 .28779 m
.30185 .28676 L
.30191 .2866 L
.30152 .28768 L
.30148 .28779 L
F
.30185 .28676 m
.30222 .28572 L
.30229 .28553 L
.30191 .2866 L
.30185 .28676 L
F
.30222 .28572 m
.30259 .28469 L
.30268 .28446 L
.30229 .28553 L
.30222 .28572 L
F
.30259 .28469 m
.30296 .28366 L
.30306 .28339 L
.30268 .28446 L
.30259 .28469 L
F
.30296 .28366 m
.30333 .28262 L
.30344 .28232 L
.30306 .28339 L
.30296 .28366 L
F
.30333 .28262 m
.3037 .28159 L
.30383 .28125 L
.30344 .28232 L
.30333 .28262 L
F
.3037 .28159 m
.30407 .28056 L
.30421 .28018 L
.30383 .28125 L
.3037 .28159 L
F
.30037 .29089 m
.30076 .28982 L
.30077 .28979 L
.30037 .29089 L
.30037 .29089 L
F
.30076 .28982 m
.30114 .28875 L
.30116 .28868 L
.30077 .28979 L
.30076 .28982 L
F
.30114 .28875 m
.30152 .28768 L
.30156 .28758 L
.30116 .28868 L
.30114 .28875 L
F
.30152 .28768 m
.30191 .2866 L
.30195 .28648 L
.30156 .28758 L
.30152 .28768 L
F
.30191 .2866 m
.30229 .28553 L
.30235 .28538 L
.30195 .28648 L
.30191 .2866 L
F
.30229 .28553 m
.30268 .28446 L
.30274 .28427 L
.30235 .28538 L
.30229 .28553 L
F
.30268 .28446 m
.30306 .28339 L
.30314 .28317 L
.30274 .28427 L
.30268 .28446 L
F
.30306 .28339 m
.30344 .28232 L
.30353 .28207 L
.30314 .28317 L
.30306 .28339 L
F
.30344 .28232 m
.30383 .28125 L
.30393 .28096 L
.30353 .28207 L
.30344 .28232 L
F
.30383 .28125 m
.30421 .28018 L
.30432 .27986 L
.30393 .28096 L
.30383 .28125 L
F
.30037 .29089 m
.30077 .28979 L
.30078 .28976 L
.30037 .29089 L
.30037 .29089 L
F
.30077 .28979 m
.30116 .28868 L
.30118 .28863 L
.30078 .28976 L
.30077 .28979 L
F
.30116 .28868 m
.30156 .28758 L
.30158 .28751 L
.30118 .28863 L
.30116 .28868 L
F
.30156 .28758 m
.30195 .28648 L
.30199 .28638 L
.30158 .28751 L
.30156 .28758 L
F
.30195 .28648 m
.30235 .28538 L
.30239 .28525 L
.30199 .28638 L
.30195 .28648 L
F
.30235 .28538 m
.30274 .28427 L
.3028 .28412 L
.30239 .28525 L
.30235 .28538 L
F
.30274 .28427 m
.30314 .28317 L
.3032 .283 L
.3028 .28412 L
.30274 .28427 L
F
.30314 .28317 m
.30353 .28207 L
.3036 .28187 L
.3032 .283 L
.30314 .28317 L
F
.30353 .28207 m
.30393 .28096 L
.30401 .28074 L
.3036 .28187 L
.30353 .28207 L
F
.30393 .28096 m
.30432 .27986 L
.30441 .27961 L
.30401 .28074 L
.30393 .28096 L
F
.30037 .29089 m
.30078 .28976 L
.30078 .28974 L
.30037 .29089 L
.30037 .29089 L
F
.30078 .28976 m
.30118 .28863 L
.30119 .2886 L
.30078 .28974 L
.30078 .28976 L
F
.30118 .28863 m
.30158 .28751 L
.3016 .28745 L
.30119 .2886 L
.30118 .28863 L
F
.30158 .28751 m
.30199 .28638 L
.30201 .28631 L
.3016 .28745 L
.30158 .28751 L
F
.30199 .28638 m
.30239 .28525 L
.30242 .28516 L
.30201 .28631 L
.30199 .28638 L
F
.30239 .28525 m
.3028 .28412 L
.30283 .28402 L
.30242 .28516 L
.30239 .28525 L
F
.3028 .28412 m
.3032 .283 L
.30325 .28287 L
.30283 .28402 L
.3028 .28412 L
F
.3032 .283 m
.3036 .28187 L
.30366 .28173 L
.30325 .28287 L
.3032 .283 L
F
.3036 .28187 m
.30401 .28074 L
.30407 .28058 L
.30366 .28173 L
.3036 .28187 L
F
.30401 .28074 m
.30441 .27961 L
.30448 .27944 L
.30407 .28058 L
.30401 .28074 L
F
.30037 .29089 m
.30078 .28974 L
.30079 .28973 L
.30037 .29089 L
.30037 .29089 L
F
.30078 .28974 m
.30119 .2886 L
.3012 .28858 L
.30079 .28973 L
.30078 .28974 L
F
.30119 .2886 m
.3016 .28745 L
.30161 .28742 L
.3012 .28858 L
.30119 .2886 L
F
.3016 .28745 m
.30201 .28631 L
.30203 .28627 L
.30161 .28742 L
.3016 .28745 L
F
.30201 .28631 m
.30242 .28516 L
.30244 .28511 L
.30203 .28627 L
.30201 .28631 L
F
.30242 .28516 m
.30283 .28402 L
.30286 .28395 L
.30244 .28511 L
.30242 .28516 L
F
.30283 .28402 m
.30325 .28287 L
.30327 .2828 L
.30286 .28395 L
.30283 .28402 L
F
.30325 .28287 m
.30366 .28173 L
.30369 .28164 L
.30327 .2828 L
.30325 .28287 L
F
.30366 .28173 m
.30407 .28058 L
.3041 .28048 L
.30369 .28164 L
.30366 .28173 L
F
.30407 .28058 m
.30448 .27944 L
.30451 .27933 L
.3041 .28048 L
.30407 .28058 L
F
.30037 .29089 m
.30079 .28973 L
.30079 .28973 L
.30037 .29089 L
.30037 .29089 L
F
.30079 .28973 m
.3012 .28858 L
.3012 .28857 L
.30079 .28973 L
.30079 .28973 L
F
.3012 .28858 m
.30161 .28742 L
.30162 .28741 L
.3012 .28857 L
.3012 .28858 L
F
.30161 .28742 m
.30203 .28627 L
.30203 .28625 L
.30162 .28741 L
.30161 .28742 L
F
.30203 .28627 m
.30244 .28511 L
.30245 .28509 L
.30203 .28625 L
.30203 .28627 L
F
.30244 .28511 m
.30286 .28395 L
.30287 .28393 L
.30245 .28509 L
.30244 .28511 L
F
.30286 .28395 m
.30327 .2828 L
.30328 .28277 L
.30287 .28393 L
.30286 .28395 L
F
.30327 .2828 m
.30369 .28164 L
.3037 .28161 L
.30328 .28277 L
.30327 .2828 L
F
.30369 .28164 m
.3041 .28048 L
.30411 .28045 L
.3037 .28161 L
.30369 .28164 L
F
.3041 .28048 m
.30451 .27933 L
.30453 .27929 L
.30411 .28045 L
.3041 .28048 L
F
.30037 .29089 m
.30079 .28973 L
.30079 .28973 L
.30037 .29089 L
.30037 .29089 L
F
.30079 .28973 m
.3012 .28857 L
.3012 .28858 L
.30079 .28973 L
.30079 .28973 L
F
.3012 .28857 m
.30162 .28741 L
.30161 .28742 L
.3012 .28858 L
.3012 .28857 L
F
.30162 .28741 m
.30203 .28625 L
.30203 .28627 L
.30161 .28742 L
.30162 .28741 L
F
.30203 .28625 m
.30245 .28509 L
.30244 .28511 L
.30203 .28627 L
.30203 .28625 L
F
.30245 .28509 m
.30287 .28393 L
.30286 .28395 L
.30244 .28511 L
.30245 .28509 L
F
.30287 .28393 m
.30328 .28277 L
.30327 .2828 L
.30286 .28395 L
.30287 .28393 L
F
.30328 .28277 m
.3037 .28161 L
.30369 .28164 L
.30327 .2828 L
.30328 .28277 L
F
.3037 .28161 m
.30411 .28045 L
.3041 .28048 L
.30369 .28164 L
.3037 .28161 L
F
.30411 .28045 m
.30453 .27929 L
.30451 .27933 L
.3041 .28048 L
.30411 .28045 L
F
.30037 .29089 m
.30079 .28973 L
.30078 .28974 L
.30037 .29089 L
.30037 .29089 L
F
.30079 .28973 m
.3012 .28858 L
.30119 .2886 L
.30078 .28974 L
.30079 .28973 L
F
.3012 .28858 m
.30161 .28742 L
.3016 .28745 L
.30119 .2886 L
.3012 .28858 L
F
.30161 .28742 m
.30203 .28627 L
.30201 .28631 L
.3016 .28745 L
.30161 .28742 L
F
.30203 .28627 m
.30244 .28511 L
.30242 .28516 L
.30201 .28631 L
.30203 .28627 L
F
.30244 .28511 m
.30286 .28395 L
.30283 .28402 L
.30242 .28516 L
.30244 .28511 L
F
.30286 .28395 m
.30327 .2828 L
.30325 .28287 L
.30283 .28402 L
.30286 .28395 L
F
.30327 .2828 m
.30369 .28164 L
.30366 .28173 L
.30325 .28287 L
.30327 .2828 L
F
.30369 .28164 m
.3041 .28048 L
.30407 .28058 L
.30366 .28173 L
.30369 .28164 L
F
.3041 .28048 m
.30451 .27933 L
.30448 .27944 L
.30407 .28058 L
.3041 .28048 L
F
.30037 .29089 m
.30078 .28974 L
.30078 .28976 L
.30037 .29089 L
.30037 .29089 L
F
.30078 .28974 m
.30119 .2886 L
.30118 .28863 L
.30078 .28976 L
.30078 .28974 L
F
.30119 .2886 m
.3016 .28745 L
.30158 .28751 L
.30118 .28863 L
.30119 .2886 L
F
.3016 .28745 m
.30201 .28631 L
.30199 .28638 L
.30158 .28751 L
.3016 .28745 L
F
.30201 .28631 m
.30242 .28516 L
.30239 .28525 L
.30199 .28638 L
.30201 .28631 L
F
.30242 .28516 m
.30283 .28402 L
.3028 .28412 L
.30239 .28525 L
.30242 .28516 L
F
.30283 .28402 m
.30325 .28287 L
.3032 .283 L
.3028 .28412 L
.30283 .28402 L
F
.30325 .28287 m
.30366 .28173 L
.3036 .28187 L
.3032 .283 L
.30325 .28287 L
F
.30366 .28173 m
.30407 .28058 L
.30401 .28074 L
.3036 .28187 L
.30366 .28173 L
F
.30407 .28058 m
.30448 .27944 L
.30441 .27961 L
.30401 .28074 L
.30407 .28058 L
F
.30037 .29089 m
.30078 .28976 L
.30077 .28979 L
.30037 .29089 L
.30037 .29089 L
F
.30078 .28976 m
.30118 .28863 L
.30116 .28868 L
.30077 .28979 L
.30078 .28976 L
F
.30118 .28863 m
.30158 .28751 L
.30156 .28758 L
.30116 .28868 L
.30118 .28863 L
F
.30158 .28751 m
.30199 .28638 L
.30195 .28648 L
.30156 .28758 L
.30158 .28751 L
F
.30199 .28638 m
.30239 .28525 L
.30235 .28538 L
.30195 .28648 L
.30199 .28638 L
F
.30239 .28525 m
.3028 .28412 L
.30274 .28427 L
.30235 .28538 L
.30239 .28525 L
F
.3028 .28412 m
.3032 .283 L
.30314 .28317 L
.30274 .28427 L
.3028 .28412 L
F
.3032 .283 m
.3036 .28187 L
.30353 .28207 L
.30314 .28317 L
.3032 .283 L
F
.3036 .28187 m
.30401 .28074 L
.30393 .28096 L
.30353 .28207 L
.3036 .28187 L
F
.30401 .28074 m
.30441 .27961 L
.30432 .27986 L
.30393 .28096 L
.30401 .28074 L
F
.30037 .29089 m
.30077 .28979 L
.30076 .28982 L
.30037 .29089 L
.30037 .29089 L
F
.30077 .28979 m
.30116 .28868 L
.30114 .28875 L
.30076 .28982 L
.30077 .28979 L
F
.30116 .28868 m
.30156 .28758 L
.30152 .28768 L
.30114 .28875 L
.30116 .28868 L
F
.30156 .28758 m
.30195 .28648 L
.30191 .2866 L
.30152 .28768 L
.30156 .28758 L
F
.30195 .28648 m
.30235 .28538 L
.30229 .28553 L
.30191 .2866 L
.30195 .28648 L
F
.30235 .28538 m
.30274 .28427 L
.30268 .28446 L
.30229 .28553 L
.30235 .28538 L
F
.30274 .28427 m
.30314 .28317 L
.30306 .28339 L
.30268 .28446 L
.30274 .28427 L
F
.30314 .28317 m
.30353 .28207 L
.30344 .28232 L
.30306 .28339 L
.30314 .28317 L
F
.30353 .28207 m
.30393 .28096 L
.30383 .28125 L
.30344 .28232 L
.30353 .28207 L
F
.30393 .28096 m
.30432 .27986 L
.30421 .28018 L
.30383 .28125 L
.30393 .28096 L
F
.30037 .29089 m
.30076 .28982 L
.30074 .28986 L
.30037 .29089 L
.30037 .29089 L
F
.30076 .28982 m
.30114 .28875 L
.30111 .28882 L
.30074 .28986 L
.30076 .28982 L
F
.30114 .28875 m
.30152 .28768 L
.30148 .28779 L
.30111 .28882 L
.30114 .28875 L
F
.30152 .28768 m
.30191 .2866 L
.30185 .28676 L
.30148 .28779 L
.30152 .28768 L
F
.30191 .2866 m
.30229 .28553 L
.30222 .28572 L
.30185 .28676 L
.30191 .2866 L
F
.30229 .28553 m
.30268 .28446 L
.30259 .28469 L
.30222 .28572 L
.30229 .28553 L
F
.30268 .28446 m
.30306 .28339 L
.30296 .28366 L
.30259 .28469 L
.30268 .28446 L
F
.30306 .28339 m
.30344 .28232 L
.30333 .28262 L
.30296 .28366 L
.30306 .28339 L
F
.30344 .28232 m
.30383 .28125 L
.3037 .28159 L
.30333 .28262 L
.30344 .28232 L
F
.30383 .28125 m
.30421 .28018 L
.30407 .28056 L
.3037 .28159 L
.30383 .28125 L
F
.30037 .29089 m
.30074 .28986 L
.30073 .2899 L
.30037 .29089 L
.30037 .29089 L
F
.30074 .28986 m
.30111 .28882 L
.30108 .28891 L
.30073 .2899 L
.30074 .28986 L
F
.30111 .28882 m
.30148 .28779 L
.30144 .28792 L
.30108 .28891 L
.30111 .28882 L
F
.30148 .28779 m
.30185 .28676 L
.30179 .28693 L
.30144 .28792 L
.30148 .28779 L
F
.30185 .28676 m
.30222 .28572 L
.30214 .28595 L
.30179 .28693 L
.30185 .28676 L
F
.30222 .28572 m
.30259 .28469 L
.3025 .28496 L
.30214 .28595 L
.30222 .28572 L
F
.30259 .28469 m
.30296 .28366 L
.30285 .28397 L
.3025 .28496 L
.30259 .28469 L
F
.30296 .28366 m
.30333 .28262 L
.30321 .28298 L
.30285 .28397 L
.30296 .28366 L
F
.30333 .28262 m
.3037 .28159 L
.30356 .28199 L
.30321 .28298 L
.30333 .28262 L
F
.3037 .28159 m
.30407 .28056 L
.30392 .281 L
.30356 .28199 L
.3037 .28159 L
F
.30037 .29089 m
.30073 .2899 L
.30071 .28995 L
.30037 .29089 L
.30037 .29089 L
F
.30073 .2899 m
.30108 .28891 L
.30104 .28901 L
.30071 .28995 L
.30073 .2899 L
F
.30108 .28891 m
.30144 .28792 L
.30138 .28808 L
.30104 .28901 L
.30108 .28891 L
F
.30144 .28792 m
.30179 .28693 L
.30172 .28714 L
.30138 .28808 L
.30144 .28792 L
F
.30179 .28693 m
.30214 .28595 L
.30205 .2862 L
.30172 .28714 L
.30179 .28693 L
F
.30214 .28595 m
.3025 .28496 L
.30239 .28526 L
.30205 .2862 L
.30214 .28595 L
F
.3025 .28496 m
.30285 .28397 L
.30273 .28432 L
.30239 .28526 L
.3025 .28496 L
F
.30285 .28397 m
.30321 .28298 L
.30306 .28338 L
.30273 .28432 L
.30285 .28397 L
F
.30321 .28298 m
.30356 .28199 L
.3034 .28245 L
.30306 .28338 L
.30321 .28298 L
F
.30356 .28199 m
.30392 .281 L
.30373 .28151 L
.3034 .28245 L
.30356 .28199 L
F
.30037 .29089 m
.30071 .28995 L
.30069 .29001 L
.30037 .29089 L
.30037 .29089 L
F
.30071 .28995 m
.30104 .28901 L
.301 .28913 L
.30069 .29001 L
.30071 .28995 L
F
.30104 .28901 m
.30138 .28808 L
.30132 .28824 L
.301 .28913 L
.30104 .28901 L
F
.30138 .28808 m
.30172 .28714 L
.30164 .28736 L
.30132 .28824 L
.30138 .28808 L
F
.30172 .28714 m
.30205 .2862 L
.30195 .28648 L
.30164 .28736 L
.30172 .28714 L
F
.30205 .2862 m
.30239 .28526 L
.30227 .2856 L
.30195 .28648 L
.30205 .2862 L
F
.30239 .28526 m
.30273 .28432 L
.30258 .28472 L
.30227 .2856 L
.30239 .28526 L
F
.30273 .28432 m
.30306 .28338 L
.3029 .28384 L
.30258 .28472 L
.30273 .28432 L
F
.30306 .28338 m
.3034 .28245 L
.30322 .28295 L
.3029 .28384 L
.30306 .28338 L
F
.3034 .28245 m
.30373 .28151 L
.30353 .28207 L
.30322 .28295 L
.3034 .28245 L
F
.30037 .29089 m
.30069 .29001 L
.30067 .29007 L
.30037 .29089 L
.30037 .29089 L
F
.30069 .29001 m
.301 .28913 L
.30096 .28925 L
.30067 .29007 L
.30069 .29001 L
F
.301 .28913 m
.30132 .28824 L
.30125 .28843 L
.30096 .28925 L
.301 .28913 L
F
.30132 .28824 m
.30164 .28736 L
.30155 .28761 L
.30125 .28843 L
.30132 .28824 L
F
.30164 .28736 m
.30195 .28648 L
.30184 .28679 L
.30155 .28761 L
.30164 .28736 L
F
.30195 .28648 m
.30227 .2856 L
.30214 .28597 L
.30184 .28679 L
.30195 .28648 L
F
.30227 .2856 m
.30258 .28472 L
.30243 .28515 L
.30214 .28597 L
.30227 .2856 L
F
.30258 .28472 m
.3029 .28384 L
.30272 .28433 L
.30243 .28515 L
.30258 .28472 L
F
.3029 .28384 m
.30322 .28295 L
.30302 .28351 L
.30272 .28433 L
.3029 .28384 L
F
.30322 .28295 m
.30353 .28207 L
.30331 .28269 L
.30302 .28351 L
.30322 .28295 L
F
.30037 .29089 m
.30067 .29007 L
.30064 .29014 L
.30037 .29089 L
.30037 .29089 L
F
.30067 .29007 m
.30096 .28925 L
.30091 .28938 L
.30064 .29014 L
.30067 .29007 L
F
.30096 .28925 m
.30125 .28843 L
.30118 .28863 L
.30091 .28938 L
.30096 .28925 L
F
.30125 .28843 m
.30155 .28761 L
.30145 .28788 L
.30118 .28863 L
.30125 .28843 L
F
.30155 .28761 m
.30184 .28679 L
.30172 .28712 L
.30145 .28788 L
.30155 .28761 L
F
.30184 .28679 m
.30214 .28597 L
.30199 .28637 L
.30172 .28712 L
.30184 .28679 L
F
.30214 .28597 m
.30243 .28515 L
.30226 .28562 L
.30199 .28637 L
.30214 .28597 L
F
.30243 .28515 m
.30272 .28433 L
.30253 .28486 L
.30226 .28562 L
.30243 .28515 L
F
.30272 .28433 m
.30302 .28351 L
.3028 .28411 L
.30253 .28486 L
.30272 .28433 L
F
.30302 .28351 m
.30331 .28269 L
.30307 .28336 L
.3028 .28411 L
.30302 .28351 L
F
.30037 .29089 m
.30064 .29014 L
.30062 .29021 L
.30037 .29089 L
.30037 .29089 L
F
.30064 .29014 m
.30091 .28938 L
.30086 .28953 L
.30062 .29021 L
.30064 .29014 L
F
.30091 .28938 m
.30118 .28863 L
.3011 .28885 L
.30086 .28953 L
.30091 .28938 L
F
.30118 .28863 m
.30145 .28788 L
.30135 .28816 L
.3011 .28885 L
.30118 .28863 L
F
.30145 .28788 m
.30172 .28712 L
.30159 .28748 L
.30135 .28816 L
.30145 .28788 L
F
.30172 .28712 m
.30199 .28637 L
.30184 .2868 L
.30159 .28748 L
.30172 .28712 L
F
.30199 .28637 m
.30226 .28562 L
.30208 .28612 L
.30184 .2868 L
.30199 .28637 L
F
.30226 .28562 m
.30253 .28486 L
.30233 .28544 L
.30208 .28612 L
.30226 .28562 L
F
.30253 .28486 m
.3028 .28411 L
.30257 .28475 L
.30233 .28544 L
.30253 .28486 L
F
.3028 .28411 m
.30307 .28336 L
.30281 .28407 L
.30257 .28475 L
.3028 .28411 L
F
.30037 .29089 m
.30062 .29021 L
.30059 .29028 L
.30037 .29089 L
.30037 .29089 L
F
.30062 .29021 m
.30086 .28953 L
.30081 .28968 L
.30059 .29028 L
.30062 .29021 L
F
.30086 .28953 m
.3011 .28885 L
.30102 .28907 L
.30081 .28968 L
.30086 .28953 L
F
.3011 .28885 m
.30135 .28816 L
.30124 .28847 L
.30102 .28907 L
.3011 .28885 L
F
.30135 .28816 m
.30159 .28748 L
.30146 .28786 L
.30124 .28847 L
.30135 .28816 L
F
.30159 .28748 m
.30184 .2868 L
.30167 .28725 L
.30146 .28786 L
.30159 .28748 L
F
.30184 .2868 m
.30208 .28612 L
.30189 .28665 L
.30167 .28725 L
.30184 .2868 L
F
.30208 .28612 m
.30233 .28544 L
.30211 .28604 L
.30189 .28665 L
.30208 .28612 L
F
.30233 .28544 m
.30257 .28475 L
.30233 .28544 L
.30211 .28604 L
.30233 .28544 L
F
.30257 .28475 m
.30281 .28407 L
.30254 .28483 L
.30233 .28544 L
.30257 .28475 L
F
.30037 .29089 m
.30059 .29028 L
.30056 .29036 L
.30037 .29089 L
.30037 .29089 L
F
.30059 .29028 m
.30081 .28968 L
.30075 .28984 L
.30056 .29036 L
.30059 .29028 L
F
.30081 .28968 m
.30102 .28907 L
.30094 .28931 L
.30075 .28984 L
.30081 .28968 L
F
.30102 .28907 m
.30124 .28847 L
.30113 .28878 L
.30094 .28931 L
.30102 .28907 L
F
.30124 .28847 m
.30146 .28786 L
.30132 .28826 L
.30113 .28878 L
.30124 .28847 L
F
.30146 .28786 m
.30167 .28725 L
.3015 .28773 L
.30132 .28826 L
.30146 .28786 L
F
.30167 .28725 m
.30189 .28665 L
.30169 .2872 L
.3015 .28773 L
.30167 .28725 L
F
.30189 .28665 m
.30211 .28604 L
.30188 .28668 L
.30169 .2872 L
.30189 .28665 L
F
.30211 .28604 m
.30233 .28544 L
.30207 .28615 L
.30188 .28668 L
.30211 .28604 L
F
.30233 .28544 m
.30254 .28483 L
.30226 .28562 L
.30207 .28615 L
.30233 .28544 L
F
.30037 .29089 m
.30056 .29036 L
.30053 .29045 L
.30037 .29089 L
.30037 .29089 L
F
.30056 .29036 m
.30075 .28984 L
.30069 .29 L
.30053 .29045 L
.30056 .29036 L
F
.30075 .28984 m
.30094 .28931 L
.30085 .28956 L
.30069 .29 L
.30075 .28984 L
F
.30094 .28931 m
.30113 .28878 L
.30101 .28911 L
.30085 .28956 L
.30094 .28931 L
F
.30113 .28878 m
.30132 .28826 L
.30117 .28867 L
.30101 .28911 L
.30113 .28878 L
F
.30132 .28826 m
.3015 .28773 L
.30133 .28823 L
.30117 .28867 L
.30132 .28826 L
F
.3015 .28773 m
.30169 .2872 L
.30149 .28778 L
.30133 .28823 L
.3015 .28773 L
F
.30169 .2872 m
.30188 .28668 L
.30164 .28734 L
.30149 .28778 L
.30169 .2872 L
F
.30188 .28668 m
.30207 .28615 L
.3018 .2869 L
.30164 .28734 L
.30188 .28668 L
F
.30207 .28615 m
.30226 .28562 L
.30196 .28645 L
.3018 .2869 L
.30207 .28615 L
F
.30037 .29089 m
.30053 .29045 L
.3005 .29053 L
.30037 .29089 L
.30037 .29089 L
F
.30053 .29045 m
.30069 .29 L
.30063 .29017 L
.3005 .29053 L
.30053 .29045 L
F
.30069 .29 m
.30085 .28956 L
.30076 .28981 L
.30063 .29017 L
.30069 .29 L
F
.30085 .28956 m
.30101 .28911 L
.30089 .28946 L
.30076 .28981 L
.30085 .28956 L
F
.30101 .28911 m
.30117 .28867 L
.30101 .2891 L
.30089 .28946 L
.30101 .28911 L
F
.30117 .28867 m
.30133 .28823 L
.30114 .28874 L
.30101 .2891 L
.30117 .28867 L
F
.30133 .28823 m
.30149 .28778 L
.30127 .28838 L
.30114 .28874 L
.30133 .28823 L
F
.30149 .28778 m
.30164 .28734 L
.3014 .28802 L
.30127 .28838 L
.30149 .28778 L
F
.30164 .28734 m
.3018 .2869 L
.30153 .28766 L
.3014 .28802 L
.30164 .28734 L
F
.3018 .2869 m
.30196 .28645 L
.30166 .28731 L
.30153 .28766 L
.3018 .2869 L
F
.30037 .29089 m
.3005 .29053 L
.30047 .29062 L
.30037 .29089 L
.30037 .29089 L
F
.3005 .29053 m
.30063 .29017 L
.30057 .29035 L
.30047 .29062 L
.3005 .29053 L
F
.30063 .29017 m
.30076 .28981 L
.30066 .29008 L
.30057 .29035 L
.30063 .29017 L
F
.30076 .28981 m
.30089 .28946 L
.30076 .28981 L
.30066 .29008 L
.30076 .28981 L
F
.30089 .28946 m
.30101 .2891 L
.30086 .28954 L
.30076 .28981 L
.30089 .28946 L
F
.30101 .2891 m
.30114 .28874 L
.30095 .28927 L
.30086 .28954 L
.30101 .2891 L
F
.30114 .28874 m
.30127 .28838 L
.30105 .28899 L
.30095 .28927 L
.30114 .28874 L
F
.30127 .28838 m
.3014 .28802 L
.30115 .28872 L
.30105 .28899 L
.30127 .28838 L
F
.3014 .28802 m
.30153 .28766 L
.30125 .28845 L
.30115 .28872 L
.3014 .28802 L
F
.30153 .28766 m
.30166 .28731 L
.30134 .28818 L
.30125 .28845 L
.30153 .28766 L
F
.30037 .29089 m
.30047 .29062 L
.30044 .29071 L
.30037 .29089 L
.30037 .29089 L
F
.30047 .29062 m
.30057 .29035 L
.3005 .29053 L
.30044 .29071 L
.30047 .29062 L
F
.30057 .29035 m
.30066 .29008 L
.30057 .29035 L
.3005 .29053 L
.30057 .29035 L
F
.30066 .29008 m
.30076 .28981 L
.30063 .29016 L
.30057 .29035 L
.30066 .29008 L
F
.30076 .28981 m
.30086 .28954 L
.3007 .28998 L
.30063 .29016 L
.30076 .28981 L
F
.30086 .28954 m
.30095 .28927 L
.30076 .2898 L
.3007 .28998 L
.30086 .28954 L
F
.30095 .28927 m
.30105 .28899 L
.30083 .28962 L
.30076 .2898 L
.30095 .28927 L
F
.30105 .28899 m
.30115 .28872 L
.30089 .28944 L
.30083 .28962 L
.30105 .28899 L
F
.30115 .28872 m
.30125 .28845 L
.30096 .28926 L
.30089 .28944 L
.30115 .28872 L
F
.30125 .28845 m
.30134 .28818 L
.30102 .28908 L
.30096 .28926 L
.30125 .28845 L
F
.30037 .29089 m
.30044 .29071 L
.3004 .2908 L
.30037 .29089 L
.30037 .29089 L
F
.30044 .29071 m
.3005 .29053 L
.30044 .29071 L
.3004 .2908 L
.30044 .29071 L
F
.3005 .29053 m
.30057 .29035 L
.30047 .29062 L
.30044 .29071 L
.3005 .29053 L
F
.30057 .29035 m
.30063 .29016 L
.3005 .29053 L
.30047 .29062 L
.30057 .29035 L
F
.30063 .29016 m
.3007 .28998 L
.30054 .29044 L
.3005 .29053 L
.30063 .29016 L
F
.3007 .28998 m
.30076 .2898 L
.30057 .29034 L
.30054 .29044 L
.3007 .28998 L
F
.30076 .2898 m
.30083 .28962 L
.3006 .29025 L
.30057 .29034 L
.30076 .2898 L
F
.30083 .28962 m
.30089 .28944 L
.30063 .29016 L
.3006 .29025 L
.30083 .28962 L
F
.30089 .28944 m
.30096 .28926 L
.30067 .29007 L
.30063 .29016 L
.30089 .28944 L
F
.30096 .28926 m
.30102 .28908 L
.3007 .28998 L
.30067 .29007 L
.30096 .28926 L
F
.30037 .29089 m
.3004 .2908 L
.30037 .29089 L
.30037 .29089 L
.30037 .29089 L
F
.3004 .2908 m
.30044 .29071 L
.30037 .29089 L
.30037 .29089 L
.3004 .2908 L
F
.30044 .29071 m
.30047 .29062 L
.30037 .29089 L
.30037 .29089 L
.30044 .29071 L
F
.30047 .29062 m
.3005 .29053 L
.30037 .29089 L
.30037 .29089 L
.30047 .29062 L
F
.3005 .29053 m
.30054 .29044 L
.30037 .29089 L
.30037 .29089 L
.3005 .29053 L
F
.30054 .29044 m
.30057 .29034 L
.30037 .29089 L
.30037 .29089 L
.30054 .29044 L
F
.30057 .29034 m
.3006 .29025 L
.30037 .29089 L
.30037 .29089 L
.30057 .29034 L
F
.3006 .29025 m
.30063 .29016 L
.30037 .29089 L
.30037 .29089 L
.3006 .29025 L
F
.30063 .29016 m
.30067 .29007 L
.30037 .29089 L
.30037 .29089 L
.30063 .29016 L
F
.30067 .29007 m
.3007 .28998 L
.30037 .29089 L
.30037 .29089 L
.30067 .29007 L
F
.30037 .29089 m
.30037 .29089 L
.30034 .29098 L
.30037 .29089 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30031 .29107 L
.30034 .29098 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30027 .29116 L
.30031 .29107 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30024 .29125 L
.30027 .29116 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30021 .29135 L
.30024 .29125 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30018 .29144 L
.30021 .29135 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30014 .29153 L
.30018 .29144 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30011 .29162 L
.30014 .29153 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30008 .29171 L
.30011 .29162 L
.30037 .29089 L
F
.30037 .29089 m
.30037 .29089 L
.30005 .2918 L
.30008 .29171 L
.30037 .29089 L
F
.30037 .29089 m
.30034 .29098 L
.30031 .29107 L
.30037 .29089 L
.30037 .29089 L
F
.30034 .29098 m
.30031 .29107 L
.30024 .29125 L
.30031 .29107 L
.30034 .29098 L
F
.30031 .29107 m
.30027 .29116 L
.30018 .29143 L
.30024 .29125 L
.30031 .29107 L
F
.30027 .29116 m
.30024 .29125 L
.30011 .29162 L
.30018 .29143 L
.30027 .29116 L
F
.30024 .29125 m
.30021 .29135 L
.30005 .2918 L
.30011 .29162 L
.30024 .29125 L
F
.30021 .29135 m
.30018 .29144 L
.29998 .29198 L
.30005 .2918 L
.30021 .29135 L
F
.30018 .29144 m
.30014 .29153 L
.29992 .29216 L
.29998 .29198 L
.30018 .29144 L
F
.30014 .29153 m
.30011 .29162 L
.29985 .29234 L
.29992 .29216 L
.30014 .29153 L
F
.30011 .29162 m
.30008 .29171 L
.29979 .29252 L
.29985 .29234 L
.30011 .29162 L
F
.30008 .29171 m
.30005 .2918 L
.29972 .2927 L
.29979 .29252 L
.30008 .29171 L
F
.30037 .29089 m
.30031 .29107 L
.30028 .29116 L
.30037 .29089 L
.30037 .29089 L
F
.30031 .29107 m
.30024 .29125 L
.30018 .29143 L
.30028 .29116 L
.30031 .29107 L
F
.30024 .29125 m
.30018 .29143 L
.30008 .2917 L
.30018 .29143 L
.30024 .29125 L
F
.30018 .29143 m
.30011 .29162 L
.29998 .29197 L
.30008 .2917 L
.30018 .29143 L
F
.30011 .29162 m
.30005 .2918 L
.29989 .29224 L
.29998 .29197 L
.30011 .29162 L
F
.30005 .2918 m
.29998 .29198 L
.29979 .29251 L
.29989 .29224 L
.30005 .2918 L
F
.29998 .29198 m
.29992 .29216 L
.29969 .29279 L
.29979 .29251 L
.29998 .29198 L
F
.29992 .29216 m
.29985 .29234 L
.2996 .29306 L
.29969 .29279 L
.29992 .29216 L
F
.29985 .29234 m
.29979 .29252 L
.2995 .29333 L
.2996 .29306 L
.29985 .29234 L
F
.29979 .29252 m
.29972 .2927 L
.2994 .2936 L
.2995 .29333 L
.29979 .29252 L
F
.30037 .29089 m
.30028 .29116 L
.30024 .29125 L
.30037 .29089 L
.30037 .29089 L
F
.30028 .29116 m
.30018 .29143 L
.30012 .29161 L
.30024 .29125 L
.30028 .29116 L
F
.30018 .29143 m
.30008 .2917 L
.29999 .29197 L
.30012 .29161 L
.30018 .29143 L
F
.30008 .2917 m
.29998 .29197 L
.29986 .29232 L
.29999 .29197 L
.30008 .2917 L
F
.29998 .29197 m
.29989 .29224 L
.29973 .29268 L
.29986 .29232 L
.29998 .29197 L
F
.29989 .29224 m
.29979 .29251 L
.2996 .29304 L
.29973 .29268 L
.29989 .29224 L
F
.29979 .29251 m
.29969 .29279 L
.29947 .2934 L
.2996 .29304 L
.29979 .29251 L
F
.29969 .29279 m
.2996 .29306 L
.29934 .29376 L
.29947 .2934 L
.29969 .29279 L
F
.2996 .29306 m
.2995 .29333 L
.29922 .29412 L
.29934 .29376 L
.2996 .29306 L
F
.2995 .29333 m
.2994 .2936 L
.29909 .29447 L
.29922 .29412 L
.2995 .29333 L
F
.30037 .29089 m
.30024 .29125 L
.30021 .29133 L
.30037 .29089 L
.30037 .29089 L
F
.30024 .29125 m
.30012 .29161 L
.30005 .29178 L
.30021 .29133 L
.30024 .29125 L
F
.30012 .29161 m
.29999 .29197 L
.2999 .29222 L
.30005 .29178 L
.30012 .29161 L
F
.29999 .29197 m
.29986 .29232 L
.29974 .29267 L
.2999 .29222 L
.29999 .29197 L
F
.29986 .29232 m
.29973 .29268 L
.29958 .29311 L
.29974 .29267 L
.29986 .29232 L
F
.29973 .29268 m
.2996 .29304 L
.29942 .29355 L
.29958 .29311 L
.29973 .29268 L
F
.2996 .29304 m
.29947 .2934 L
.29926 .294 L
.29942 .29355 L
.2996 .29304 L
F
.29947 .2934 m
.29934 .29376 L
.2991 .29444 L
.29926 .294 L
.29947 .2934 L
F
.29934 .29376 m
.29922 .29412 L
.29894 .29488 L
.2991 .29444 L
.29934 .29376 L
F
.29922 .29412 m
.29909 .29447 L
.29878 .29533 L
.29894 .29488 L
.29922 .29412 L
F
.30037 .29089 m
.30021 .29133 L
.30018 .29142 L
.30037 .29089 L
.30037 .29089 L
F
.30021 .29133 m
.30005 .29178 L
.29999 .29194 L
.30018 .29142 L
.30021 .29133 L
F
.30005 .29178 m
.2999 .29222 L
.29981 .29247 L
.29999 .29194 L
.30005 .29178 L
F
.2999 .29222 m
.29974 .29267 L
.29962 .293 L
.29981 .29247 L
.2999 .29222 L
F
.29974 .29267 m
.29958 .29311 L
.29943 .29352 L
.29962 .293 L
.29974 .29267 L
F
.29958 .29311 m
.29942 .29355 L
.29924 .29405 L
.29943 .29352 L
.29958 .29311 L
F
.29942 .29355 m
.29926 .294 L
.29905 .29458 L
.29924 .29405 L
.29942 .29355 L
F
.29926 .294 m
.2991 .29444 L
.29886 .2951 L
.29905 .29458 L
.29926 .294 L
F
.2991 .29444 m
.29894 .29488 L
.29867 .29563 L
.29886 .2951 L
.2991 .29444 L
F
.29894 .29488 m
.29878 .29533 L
.29849 .29616 L
.29867 .29563 L
.29894 .29488 L
F
.30037 .29089 m
.30018 .29142 L
.30015 .2915 L
.30037 .29089 L
.30037 .29089 L
F
.30018 .29142 m
.29999 .29194 L
.29994 .2921 L
.30015 .2915 L
.30018 .29142 L
F
.29999 .29194 m
.29981 .29247 L
.29972 .29271 L
.29994 .2921 L
.29999 .29194 L
F
.29981 .29247 m
.29962 .293 L
.2995 .29331 L
.29972 .29271 L
.29981 .29247 L
F
.29962 .293 m
.29943 .29352 L
.29929 .29392 L
.2995 .29331 L
.29962 .293 L
F
.29943 .29352 m
.29924 .29405 L
.29907 .29453 L
.29929 .29392 L
.29943 .29352 L
F
.29924 .29405 m
.29905 .29458 L
.29885 .29513 L
.29907 .29453 L
.29924 .29405 L
F
.29905 .29458 m
.29886 .2951 L
.29864 .29574 L
.29885 .29513 L
.29905 .29458 L
F
.29886 .2951 m
.29867 .29563 L
.29842 .29634 L
.29864 .29574 L
.29886 .2951 L
F
.29867 .29563 m
.29849 .29616 L
.2982 .29695 L
.29842 .29634 L
.29867 .29563 L
F
.30037 .29089 m
.30015 .2915 L
.30013 .29157 L
.30037 .29089 L
.30037 .29089 L
F
.30015 .2915 m
.29994 .2921 L
.29988 .29225 L
.30013 .29157 L
.30015 .2915 L
F
.29994 .2921 m
.29972 .29271 L
.29964 .29294 L
.29988 .29225 L
.29994 .2921 L
F
.29972 .29271 m
.2995 .29331 L
.2994 .29362 L
.29964 .29294 L
.29972 .29271 L
F
.2995 .29331 m
.29929 .29392 L
.29915 .2943 L
.2994 .29362 L
.2995 .29331 L
F
.29929 .29392 m
.29907 .29453 L
.29891 .29498 L
.29915 .2943 L
.29929 .29392 L
F
.29907 .29453 m
.29885 .29513 L
.29866 .29566 L
.29891 .29498 L
.29907 .29453 L
F
.29885 .29513 m
.29864 .29574 L
.29842 .29634 L
.29866 .29566 L
.29885 .29513 L
F
.29864 .29574 m
.29842 .29634 L
.29817 .29703 L
.29842 .29634 L
.29864 .29574 L
F
.29842 .29634 m
.2982 .29695 L
.29793 .29771 L
.29817 .29703 L
.29842 .29634 L
F
.30037 .29089 m
.30013 .29157 L
.3001 .29164 L
.30037 .29089 L
.30037 .29089 L
F
.30013 .29157 m
.29988 .29225 L
.29983 .2924 L
.3001 .29164 L
.30013 .29157 L
F
.29988 .29225 m
.29964 .29294 L
.29956 .29315 L
.29983 .2924 L
.29988 .29225 L
F
.29964 .29294 m
.2994 .29362 L
.29929 .2939 L
.29956 .29315 L
.29964 .29294 L
F
.2994 .29362 m
.29915 .2943 L
.29902 .29466 L
.29929 .2939 L
.2994 .29362 L
F
.29915 .2943 m
.29891 .29498 L
.29875 .29541 L
.29902 .29466 L
.29915 .2943 L
F
.29891 .29498 m
.29866 .29566 L
.29848 .29616 L
.29875 .29541 L
.29891 .29498 L
F
.29866 .29566 m
.29842 .29634 L
.29821 .29692 L
.29848 .29616 L
.29866 .29566 L
F
.29842 .29634 m
.29817 .29703 L
.29794 .29767 L
.29821 .29692 L
.29842 .29634 L
F
.29817 .29703 m
.29793 .29771 L
.29767 .29842 L
.29794 .29767 L
.29817 .29703 L
F
.30037 .29089 m
.3001 .29164 L
.30008 .29171 L
.30037 .29089 L
.30037 .29089 L
F
.3001 .29164 m
.29983 .2924 L
.29978 .29253 L
.30008 .29171 L
.3001 .29164 L
F
.29983 .2924 m
.29956 .29315 L
.29949 .29335 L
.29978 .29253 L
.29983 .2924 L
F
.29956 .29315 m
.29929 .2939 L
.2992 .29417 L
.29949 .29335 L
.29956 .29315 L
F
.29929 .2939 m
.29902 .29466 L
.2989 .29499 L
.2992 .29417 L
.29929 .2939 L
F
.29902 .29466 m
.29875 .29541 L
.29861 .29581 L
.2989 .29499 L
.29902 .29466 L
F
.29875 .29541 m
.29848 .29616 L
.29832 .29663 L
.29861 .29581 L
.29875 .29541 L
F
.29848 .29616 m
.29821 .29692 L
.29802 .29745 L
.29832 .29663 L
.29848 .29616 L
F
.29821 .29692 m
.29794 .29767 L
.29773 .29827 L
.29802 .29745 L
.29821 .29692 L
F
.29794 .29767 m
.29767 .29842 L
.29743 .29909 L
.29773 .29827 L
.29794 .29767 L
F
.30037 .29089 m
.30008 .29171 L
.30006 .29177 L
.30037 .29089 L
.30037 .29089 L
F
.30008 .29171 m
.29978 .29253 L
.29974 .29265 L
.30006 .29177 L
.30008 .29171 L
F
.29978 .29253 m
.29949 .29335 L
.29942 .29354 L
.29974 .29265 L
.29978 .29253 L
F
.29949 .29335 m
.2992 .29417 L
.29911 .29442 L
.29942 .29354 L
.29949 .29335 L
F
.2992 .29417 m
.2989 .29499 L
.29879 .2953 L
.29911 .29442 L
.2992 .29417 L
F
.2989 .29499 m
.29861 .29581 L
.29848 .29618 L
.29879 .2953 L
.2989 .29499 L
F
.29861 .29581 m
.29832 .29663 L
.29816 .29706 L
.29848 .29618 L
.29861 .29581 L
F
.29832 .29663 m
.29802 .29745 L
.29784 .29795 L
.29816 .29706 L
.29832 .29663 L
F
.29802 .29745 m
.29773 .29827 L
.29753 .29883 L
.29784 .29795 L
.29802 .29745 L
F
.29773 .29827 m
.29743 .29909 L
.29721 .29971 L
.29753 .29883 L
.29773 .29827 L
F
.30037 .29089 m
.30006 .29177 L
.30004 .29183 L
.30037 .29089 L
.30037 .29089 L
F
.30006 .29177 m
.29974 .29265 L
.2997 .29277 L
.30004 .29183 L
.30006 .29177 L
F
.29974 .29265 m
.29942 .29354 L
.29936 .2937 L
.2997 .29277 L
.29974 .29265 L
F
.29942 .29354 m
.29911 .29442 L
.29903 .29464 L
.29936 .2937 L
.29942 .29354 L
F
.29911 .29442 m
.29879 .2953 L
.29869 .29558 L
.29903 .29464 L
.29911 .29442 L
F
.29879 .2953 m
.29848 .29618 L
.29835 .29652 L
.29869 .29558 L
.29879 .2953 L
F
.29848 .29618 m
.29816 .29706 L
.29802 .29746 L
.29835 .29652 L
.29848 .29618 L
F
.29816 .29706 m
.29784 .29795 L
.29768 .2984 L
.29802 .29746 L
.29816 .29706 L
F
.29784 .29795 m
.29753 .29883 L
.29735 .29933 L
.29768 .2984 L
.29784 .29795 L
F
.29753 .29883 m
.29721 .29971 L
.29701 .30027 L
.29735 .29933 L
.29753 .29883 L
F
.30037 .29089 m
.30004 .29183 L
.30002 .29188 L
.30037 .29089 L
.30037 .29089 L
F
.30004 .29183 m
.2997 .29277 L
.29966 .29287 L
.30002 .29188 L
.30004 .29183 L
F
.2997 .29277 m
.29936 .2937 L
.29931 .29386 L
.29966 .29287 L
.2997 .29277 L
F
.29936 .2937 m
.29903 .29464 L
.29895 .29485 L
.29931 .29386 L
.29936 .2937 L
F
.29903 .29464 m
.29869 .29558 L
.2986 .29583 L
.29895 .29485 L
.29903 .29464 L
F
.29869 .29558 m
.29835 .29652 L
.29825 .29682 L
.2986 .29583 L
.29869 .29558 L
F
.29835 .29652 m
.29802 .29746 L
.29789 .29781 L
.29825 .29682 L
.29835 .29652 L
F
.29802 .29746 m
.29768 .2984 L
.29754 .2988 L
.29789 .29781 L
.29802 .29746 L
F
.29768 .2984 m
.29735 .29933 L
.29718 .29979 L
.29754 .2988 L
.29768 .2984 L
F
.29735 .29933 m
.29701 .30027 L
.29683 .30078 L
.29718 .29979 L
.29735 .29933 L
F
.30037 .29089 m
.30002 .29188 L
.3 .29192 L
.30037 .29089 L
.30037 .29089 L
F
.30002 .29188 m
.29966 .29287 L
.29963 .29296 L
.3 .29192 L
.30002 .29188 L
F
.29966 .29287 m
.29931 .29386 L
.29926 .29399 L
.29963 .29296 L
.29966 .29287 L
F
.29931 .29386 m
.29895 .29485 L
.29889 .29502 L
.29926 .29399 L
.29931 .29386 L
F
.29895 .29485 m
.2986 .29583 L
.29852 .29606 L
.29889 .29502 L
.29895 .29485 L
F
.2986 .29583 m
.29825 .29682 L
.29815 .29709 L
.29852 .29606 L
.2986 .29583 L
F
.29825 .29682 m
.29789 .29781 L
.29778 .29812 L
.29815 .29709 L
.29825 .29682 L
F
.29789 .29781 m
.29754 .2988 L
.29741 .29916 L
.29778 .29812 L
.29789 .29781 L
F
.29754 .2988 m
.29718 .29979 L
.29704 .30019 L
.29741 .29916 L
.29754 .2988 L
F
.29718 .29979 m
.29683 .30078 L
.29667 .30122 L
.29704 .30019 L
.29718 .29979 L
F
.30037 .29089 m
.3 .29192 L
.29999 .29196 L
.30037 .29089 L
.30037 .29089 L
F
.3 .29192 m
.29963 .29296 L
.2996 .29303 L
.29999 .29196 L
.3 .29192 L
F
.29963 .29296 m
.29926 .29399 L
.29922 .2941 L
.2996 .29303 L
.29963 .29296 L
F
.29926 .29399 m
.29889 .29502 L
.29884 .29518 L
.29922 .2941 L
.29926 .29399 L
F
.29889 .29502 m
.29852 .29606 L
.29845 .29625 L
.29884 .29518 L
.29889 .29502 L
F
.29852 .29606 m
.29815 .29709 L
.29807 .29732 L
.29845 .29625 L
.29852 .29606 L
F
.29815 .29709 m
.29778 .29812 L
.29768 .29839 L
.29807 .29732 L
.29815 .29709 L
F
.29778 .29812 m
.29741 .29916 L
.2973 .29946 L
.29768 .29839 L
.29778 .29812 L
F
.29741 .29916 m
.29704 .30019 L
.29692 .30053 L
.2973 .29946 L
.29741 .29916 L
F
.29704 .30019 m
.29667 .30122 L
.29653 .3016 L
.29692 .30053 L
.29704 .30019 L
F
.30037 .29089 m
.29999 .29196 L
.29998 .29199 L
.30037 .29089 L
.30037 .29089 L
F
.29999 .29196 m
.2996 .29303 L
.29958 .2931 L
.29998 .29199 L
.29999 .29196 L
F
.2996 .29303 m
.29922 .2941 L
.29919 .2942 L
.29958 .2931 L
.2996 .29303 L
F
.29922 .2941 m
.29884 .29518 L
.29879 .2953 L
.29919 .2942 L
.29922 .2941 L
F
.29884 .29518 m
.29845 .29625 L
.2984 .29641 L
.29879 .2953 L
.29884 .29518 L
F
.29845 .29625 m
.29807 .29732 L
.298 .29751 L
.2984 .29641 L
.29845 .29625 L
F
.29807 .29732 m
.29768 .29839 L
.29761 .29861 L
.298 .29751 L
.29807 .29732 L
F
.29768 .29839 m
.2973 .29946 L
.29721 .29971 L
.29761 .29861 L
.29768 .29839 L
F
.2973 .29946 m
.29692 .30053 L
.29682 .30082 L
.29721 .29971 L
.2973 .29946 L
F
.29692 .30053 m
.29653 .3016 L
.29642 .30192 L
.29682 .30082 L
.29692 .30053 L
F
.30037 .29089 m
.29998 .29199 L
.29997 .29202 L
.30037 .29089 L
.30037 .29089 L
F
.29998 .29199 m
.29958 .2931 L
.29956 .29315 L
.29997 .29202 L
.29998 .29199 L
F
.29958 .2931 m
.29919 .2942 L
.29916 .29427 L
.29956 .29315 L
.29958 .2931 L
F
.29919 .2942 m
.29879 .2953 L
.29876 .2954 L
.29916 .29427 L
.29919 .2942 L
F
.29879 .2953 m
.2984 .29641 L
.29835 .29653 L
.29876 .2954 L
.29879 .2953 L
F
.2984 .29641 m
.298 .29751 L
.29795 .29766 L
.29835 .29653 L
.2984 .29641 L
F
.298 .29751 m
.29761 .29861 L
.29754 .29878 L
.29795 .29766 L
.298 .29751 L
F
.29761 .29861 m
.29721 .29971 L
.29714 .29991 L
.29754 .29878 L
.29761 .29861 L
F
.29721 .29971 m
.29682 .30082 L
.29674 .30104 L
.29714 .29991 L
.29721 .29971 L
F
.29682 .30082 m
.29642 .30192 L
.29633 .30217 L
.29674 .30104 L
.29682 .30082 L
F
.30037 .29089 m
.29997 .29202 L
.29996 .29204 L
.30037 .29089 L
.30037 .29089 L
F
.29997 .29202 m
.29956 .29315 L
.29955 .29318 L
.29996 .29204 L
.29997 .29202 L
F
.29956 .29315 m
.29916 .29427 L
.29914 .29433 L
.29955 .29318 L
.29956 .29315 L
F
.29916 .29427 m
.29876 .2954 L
.29873 .29547 L
.29914 .29433 L
.29916 .29427 L
F
.29876 .2954 m
.29835 .29653 L
.29832 .29662 L
.29873 .29547 L
.29876 .2954 L
F
.29835 .29653 m
.29795 .29766 L
.29791 .29776 L
.29832 .29662 L
.29835 .29653 L
F
.29795 .29766 m
.29754 .29878 L
.2975 .29891 L
.29791 .29776 L
.29795 .29766 L
F
.29754 .29878 m
.29714 .29991 L
.29709 .30005 L
.2975 .29891 L
.29754 .29878 L
F
.29714 .29991 m
.29674 .30104 L
.29668 .3012 L
.29709 .30005 L
.29714 .29991 L
F
.29674 .30104 m
.29633 .30217 L
.29627 .30234 L
.29668 .3012 L
.29674 .30104 L
F
.30037 .29089 m
.29996 .29204 L
.29996 .29205 L
.30037 .29089 L
.30037 .29089 L
F
.29996 .29204 m
.29955 .29318 L
.29954 .2932 L
.29996 .29205 L
.29996 .29204 L
F
.29955 .29318 m
.29914 .29433 L
.29913 .29436 L
.29954 .2932 L
.29955 .29318 L
F
.29914 .29433 m
.29873 .29547 L
.29871 .29551 L
.29913 .29436 L
.29914 .29433 L
F
.29873 .29547 m
.29832 .29662 L
.2983 .29667 L
.29871 .29551 L
.29873 .29547 L
F
.29832 .29662 m
.29791 .29776 L
.29789 .29783 L
.2983 .29667 L
.29832 .29662 L
F
.29791 .29776 m
.2975 .29891 L
.29747 .29898 L
.29789 .29783 L
.29791 .29776 L
F
.2975 .29891 m
.29709 .30005 L
.29706 .30014 L
.29747 .29898 L
.2975 .29891 L
F
.29709 .30005 m
.29668 .3012 L
.29664 .3013 L
.29706 .30014 L
.29709 .30005 L
F
.29668 .3012 m
.29627 .30234 L
.29623 .30245 L
.29664 .3013 L
.29668 .3012 L
F
.30037 .29089 m
.29996 .29205 L
.29996 .29205 L
.30037 .29089 L
.30037 .29089 L
F
.29996 .29205 m
.29954 .2932 L
.29954 .29321 L
.29996 .29205 L
.29996 .29205 L
F
.29954 .2932 m
.29913 .29436 L
.29913 .29437 L
.29954 .29321 L
.29954 .2932 L
F
.29913 .29436 m
.29871 .29551 L
.29871 .29553 L
.29913 .29437 L
.29913 .29436 L
F
.29871 .29551 m
.2983 .29667 L
.29829 .29669 L
.29871 .29553 L
.29871 .29551 L
F
.2983 .29667 m
.29789 .29783 L
.29788 .29785 L
.29829 .29669 L
.2983 .29667 L
F
.29789 .29783 m
.29747 .29898 L
.29746 .29901 L
.29788 .29785 L
.29789 .29783 L
F
.29747 .29898 m
.29706 .30014 L
.29705 .30017 L
.29746 .29901 L
.29747 .29898 L
F
.29706 .30014 m
.29664 .3013 L
.29663 .30133 L
.29705 .30017 L
.29706 .30014 L
F
.29664 .3013 m
.29623 .30245 L
.29622 .30249 L
.29663 .30133 L
.29664 .3013 L
F
0 g
.29622 .30249 m
.29623 .30245 L
.29627 .30234 L
.29633 .30217 L
.29642 .30192 L
.29653 .3016 L
.29667 .30122 L
.29683 .30078 L
.29701 .30027 L
.29721 .29971 L
.29743 .29909 L
.29767 .29842 L
.29793 .29771 L
.2982 .29695 L
.29849 .29616 L
.29878 .29533 L
.29909 .29447 L
.2994 .2936 L
.29972 .2927 L
.30005 .2918 L
.30037 .29089 L
.3007 .28998 L
.30102 .28908 L
.30134 .28818 L
.30166 .28731 L
.30196 .28645 L
.30226 .28562 L
.30254 .28483 L
.30281 .28407 L
.30307 .28336 L
.30331 .28269 L
.30353 .28207 L
.30373 .28151 L
.30392 .281 L
.30407 .28056 L
.30421 .28018 L
.30432 .27986 L
.30441 .27961 L
.30448 .27944 L
.30451 .27933 L
.30453 .27929 L
.30451 .27933 L
.30448 .27944 L
.30441 .27961 L
.30432 .27986 L
.30421 .28018 L
.30407 .28056 L
.30392 .281 L
.30373 .28151 L
.30353 .28207 L
Mistroke
.30331 .28269 L
.30307 .28336 L
.30281 .28407 L
.30254 .28483 L
.30226 .28562 L
.30196 .28645 L
.30166 .28731 L
.30134 .28818 L
.30102 .28908 L
.3007 .28998 L
.30037 .29089 L
.30005 .2918 L
.29972 .2927 L
.2994 .2936 L
.29909 .29447 L
.29878 .29533 L
.29849 .29616 L
.2982 .29695 L
.29793 .29771 L
.29767 .29842 L
.29743 .29909 L
.29721 .29971 L
.29701 .30027 L
.29683 .30078 L
.29667 .30122 L
.29653 .3016 L
.29642 .30192 L
.29633 .30217 L
.29627 .30234 L
.29623 .30245 L
.29622 .30249 L
Mfstroke
.5 g
.30605 .29293 m
.30564 .29409 L
.30564 .29408 L
.30605 .29293 L
.30605 .29293 L
F
.30564 .29409 m
.30522 .29525 L
.30522 .29524 L
.30564 .29408 L
.30564 .29409 L
F
.30522 .29525 m
.30481 .2964 L
.30481 .29639 L
.30522 .29524 L
.30522 .29525 L
F
.30481 .2964 m
.30439 .29756 L
.3044 .29755 L
.30481 .29639 L
.30481 .2964 L
F
.30439 .29756 m
.30397 .29872 L
.30398 .29871 L
.3044 .29755 L
.30439 .29756 L
F
.30397 .29872 m
.30356 .29988 L
.30357 .29986 L
.30398 .29871 L
.30397 .29872 L
F
.30356 .29988 m
.30314 .30104 L
.30315 .30102 L
.30357 .29986 L
.30356 .29988 L
F
.30314 .30104 m
.30273 .3022 L
.30274 .30217 L
.30315 .30102 L
.30314 .30104 L
F
.30273 .3022 m
.30231 .30336 L
.30232 .30333 L
.30274 .30217 L
.30273 .3022 L
F
.30231 .30336 m
.3019 .30452 L
.30191 .30449 L
.30232 .30333 L
.30231 .30336 L
F
.30605 .29293 m
.30564 .29408 L
.30564 .29407 L
.30605 .29293 L
.30605 .29293 L
F
.30564 .29408 m
.30522 .29524 L
.30523 .29522 L
.30564 .29407 L
.30564 .29408 L
F
.30522 .29524 m
.30481 .29639 L
.30482 .29636 L
.30523 .29522 L
.30522 .29524 L
F
.30481 .29639 m
.3044 .29755 L
.30441 .29751 L
.30482 .29636 L
.30481 .29639 L
F
.3044 .29755 m
.30398 .29871 L
.304 .29865 L
.30441 .29751 L
.3044 .29755 L
F
.30398 .29871 m
.30357 .29986 L
.30359 .2998 L
.304 .29865 L
.30398 .29871 L
F
.30357 .29986 m
.30315 .30102 L
.30318 .30094 L
.30359 .2998 L
.30357 .29986 L
F
.30315 .30102 m
.30274 .30217 L
.30277 .30209 L
.30318 .30094 L
.30315 .30102 L
F
.30274 .30217 m
.30232 .30333 L
.30236 .30323 L
.30277 .30209 L
.30274 .30217 L
F
.30232 .30333 m
.30191 .30449 L
.30195 .30438 L
.30236 .30323 L
.30232 .30333 L
F
.30605 .29293 m
.30564 .29407 L
.30565 .29405 L
.30605 .29293 L
.30605 .29293 L
F
.30564 .29407 m
.30523 .29522 L
.30524 .29518 L
.30565 .29405 L
.30564 .29407 L
F
.30523 .29522 m
.30482 .29636 L
.30484 .29631 L
.30524 .29518 L
.30523 .29522 L
F
.30482 .29636 m
.30441 .29751 L
.30444 .29744 L
.30484 .29631 L
.30482 .29636 L
F
.30441 .29751 m
.304 .29865 L
.30403 .29856 L
.30444 .29744 L
.30441 .29751 L
F
.304 .29865 m
.30359 .2998 L
.30363 .29969 L
.30403 .29856 L
.304 .29865 L
F
.30359 .2998 m
.30318 .30094 L
.30322 .30082 L
.30363 .29969 L
.30359 .2998 L
F
.30318 .30094 m
.30277 .30209 L
.30282 .30195 L
.30322 .30082 L
.30318 .30094 L
F
.30277 .30209 m
.30236 .30323 L
.30242 .30307 L
.30282 .30195 L
.30277 .30209 L
F
.30236 .30323 m
.30195 .30438 L
.30201 .3042 L
.30242 .30307 L
.30236 .30323 L
F
.30605 .29293 m
.30565 .29405 L
.30566 .29403 L
.30605 .29293 L
.30605 .29293 L
F
.30565 .29405 m
.30524 .29518 L
.30526 .29513 L
.30566 .29403 L
.30565 .29405 L
F
.30524 .29518 m
.30484 .29631 L
.30487 .29623 L
.30526 .29513 L
.30524 .29518 L
F
.30484 .29631 m
.30444 .29744 L
.30447 .29734 L
.30487 .29623 L
.30484 .29631 L
F
.30444 .29744 m
.30403 .29856 L
.30408 .29844 L
.30447 .29734 L
.30444 .29744 L
F
.30403 .29856 m
.30363 .29969 L
.30368 .29954 L
.30408 .29844 L
.30403 .29856 L
F
.30363 .29969 m
.30322 .30082 L
.30329 .30065 L
.30368 .29954 L
.30363 .29969 L
F
.30322 .30082 m
.30282 .30195 L
.30289 .30175 L
.30329 .30065 L
.30322 .30082 L
F
.30282 .30195 m
.30242 .30307 L
.3025 .30285 L
.30289 .30175 L
.30282 .30195 L
F
.30242 .30307 m
.30201 .3042 L
.3021 .30396 L
.3025 .30285 L
.30242 .30307 L
F
.30605 .29293 m
.30566 .29403 L
.30567 .294 L
.30605 .29293 L
.30605 .29293 L
F
.30566 .29403 m
.30526 .29513 L
.30528 .29507 L
.30567 .294 L
.30566 .29403 L
F
.30526 .29513 m
.30487 .29623 L
.3049 .29614 L
.30528 .29507 L
.30526 .29513 L
F
.30487 .29623 m
.30447 .29734 L
.30452 .29721 L
.3049 .29614 L
.30487 .29623 L
F
.30447 .29734 m
.30408 .29844 L
.30413 .29828 L
.30452 .29721 L
.30447 .29734 L
F
.30408 .29844 m
.30368 .29954 L
.30375 .29935 L
.30413 .29828 L
.30408 .29844 L
F
.30368 .29954 m
.30329 .30065 L
.30336 .30043 L
.30375 .29935 L
.30368 .29954 L
F
.30329 .30065 m
.30289 .30175 L
.30298 .3015 L
.30336 .30043 L
.30329 .30065 L
F
.30289 .30175 m
.3025 .30285 L
.3026 .30257 L
.30298 .3015 L
.30289 .30175 L
F
.3025 .30285 m
.3021 .30396 L
.30221 .30364 L
.3026 .30257 L
.3025 .30285 L
F
.30605 .29293 m
.30567 .294 L
.30568 .29396 L
.30605 .29293 L
.30605 .29293 L
F
.30567 .294 m
.30528 .29507 L
.30531 .29499 L
.30568 .29396 L
.30567 .294 L
F
.30528 .29507 m
.3049 .29614 L
.30494 .29603 L
.30531 .29499 L
.30528 .29507 L
F
.3049 .29614 m
.30452 .29721 L
.30457 .29706 L
.30494 .29603 L
.3049 .29614 L
F
.30452 .29721 m
.30413 .29828 L
.3042 .29809 L
.30457 .29706 L
.30452 .29721 L
F
.30413 .29828 m
.30375 .29935 L
.30383 .29913 L
.3042 .29809 L
.30413 .29828 L
F
.30375 .29935 m
.30336 .30043 L
.30346 .30016 L
.30383 .29913 L
.30375 .29935 L
F
.30336 .30043 m
.30298 .3015 L
.30309 .30119 L
.30346 .30016 L
.30336 .30043 L
F
.30298 .3015 m
.3026 .30257 L
.30272 .30223 L
.30309 .30119 L
.30298 .3015 L
F
.3026 .30257 m
.30221 .30364 L
.30235 .30326 L
.30272 .30223 L
.3026 .30257 L
F
.30605 .29293 m
.30568 .29396 L
.3057 .29391 L
.30605 .29293 L
.30605 .29293 L
F
.30568 .29396 m
.30531 .29499 L
.30534 .2949 L
.3057 .29391 L
.30568 .29396 L
F
.30531 .29499 m
.30494 .29603 L
.30499 .29589 L
.30534 .2949 L
.30531 .29499 L
F
.30494 .29603 m
.30457 .29706 L
.30464 .29688 L
.30499 .29589 L
.30494 .29603 L
F
.30457 .29706 m
.3042 .29809 L
.30428 .29787 L
.30464 .29688 L
.30457 .29706 L
F
.3042 .29809 m
.30383 .29913 L
.30393 .29886 L
.30428 .29787 L
.3042 .29809 L
F
.30383 .29913 m
.30346 .30016 L
.30357 .29985 L
.30393 .29886 L
.30383 .29913 L
F
.30346 .30016 m
.30309 .30119 L
.30322 .30084 L
.30357 .29985 L
.30346 .30016 L
F
.30309 .30119 m
.30272 .30223 L
.30286 .30183 L
.30322 .30084 L
.30309 .30119 L
F
.30272 .30223 m
.30235 .30326 L
.30251 .30281 L
.30286 .30183 L
.30272 .30223 L
F
.30605 .29293 m
.3057 .29391 L
.30572 .29386 L
.30605 .29293 L
.30605 .29293 L
F
.3057 .29391 m
.30534 .2949 L
.30538 .2948 L
.30572 .29386 L
.3057 .29391 L
F
.30534 .2949 m
.30499 .29589 L
.30504 .29574 L
.30538 .2948 L
.30534 .2949 L
F
.30499 .29589 m
.30464 .29688 L
.30471 .29668 L
.30504 .29574 L
.30499 .29589 L
F
.30464 .29688 m
.30428 .29787 L
.30437 .29762 L
.30471 .29668 L
.30464 .29688 L
F
.30428 .29787 m
.30393 .29886 L
.30404 .29856 L
.30437 .29762 L
.30428 .29787 L
F
.30393 .29886 m
.30357 .29985 L
.3037 .29949 L
.30404 .29856 L
.30393 .29886 L
F
.30357 .29985 m
.30322 .30084 L
.30336 .30043 L
.3037 .29949 L
.30357 .29985 L
F
.30322 .30084 m
.30286 .30183 L
.30303 .30137 L
.30336 .30043 L
.30322 .30084 L
F
.30286 .30183 m
.30251 .30281 L
.30269 .30231 L
.30303 .30137 L
.30286 .30183 L
F
.30605 .29293 m
.30572 .29386 L
.30574 .29381 L
.30605 .29293 L
.30605 .29293 L
F
.30572 .29386 m
.30538 .2948 L
.30542 .29469 L
.30574 .29381 L
.30572 .29386 L
F
.30538 .2948 m
.30504 .29574 L
.3051 .29557 L
.30542 .29469 L
.30538 .2948 L
F
.30504 .29574 m
.30471 .29668 L
.30479 .29645 L
.3051 .29557 L
.30504 .29574 L
F
.30471 .29668 m
.30437 .29762 L
.30447 .29733 L
.30479 .29645 L
.30471 .29668 L
F
.30437 .29762 m
.30404 .29856 L
.30416 .29822 L
.30447 .29733 L
.30437 .29762 L
F
.30404 .29856 m
.3037 .29949 L
.30384 .2991 L
.30416 .29822 L
.30404 .29856 L
F
.3037 .29949 m
.30336 .30043 L
.30352 .29998 L
.30384 .2991 L
.3037 .29949 L
F
.30336 .30043 m
.30303 .30137 L
.30321 .30086 L
.30352 .29998 L
.30336 .30043 L
F
.30303 .30137 m
.30269 .30231 L
.30289 .30174 L
.30321 .30086 L
.30303 .30137 L
F
.30605 .29293 m
.30574 .29381 L
.30576 .29375 L
.30605 .29293 L
.30605 .29293 L
F
.30574 .29381 m
.30542 .29469 L
.30546 .29457 L
.30576 .29375 L
.30574 .29381 L
F
.30542 .29469 m
.3051 .29557 L
.30517 .29539 L
.30546 .29457 L
.30542 .29469 L
F
.3051 .29557 m
.30479 .29645 L
.30488 .29621 L
.30517 .29539 L
.3051 .29557 L
F
.30479 .29645 m
.30447 .29733 L
.30458 .29703 L
.30488 .29621 L
.30479 .29645 L
F
.30447 .29733 m
.30416 .29822 L
.30429 .29785 L
.30458 .29703 L
.30447 .29733 L
F
.30416 .29822 m
.30384 .2991 L
.304 .29867 L
.30429 .29785 L
.30416 .29822 L
F
.30384 .2991 m
.30352 .29998 L
.3037 .29949 L
.304 .29867 L
.30384 .2991 L
F
.30352 .29998 m
.30321 .30086 L
.30341 .30031 L
.3037 .29949 L
.30352 .29998 L
F
.30321 .30086 m
.30289 .30174 L
.30311 .30113 L
.30341 .30031 L
.30321 .30086 L
F
.30605 .29293 m
.30576 .29375 L
.30578 .29368 L
.30605 .29293 L
.30605 .29293 L
F
.30576 .29375 m
.30546 .29457 L
.30551 .29443 L
.30578 .29368 L
.30576 .29375 L
F
.30546 .29457 m
.30517 .29539 L
.30524 .29519 L
.30551 .29443 L
.30546 .29457 L
F
.30517 .29539 m
.30488 .29621 L
.30497 .29594 L
.30524 .29519 L
.30517 .29539 L
F
.30488 .29621 m
.30458 .29703 L
.3047 .29669 L
.30497 .29594 L
.30488 .29621 L
F
.30458 .29703 m
.30429 .29785 L
.30443 .29744 L
.3047 .29669 L
.30458 .29703 L
F
.30429 .29785 m
.304 .29867 L
.30416 .2982 L
.30443 .29744 L
.30429 .29785 L
F
.304 .29867 m
.3037 .29949 L
.30389 .29895 L
.30416 .2982 L
.304 .29867 L
F
.3037 .29949 m
.30341 .30031 L
.30362 .2997 L
.30389 .29895 L
.3037 .29949 L
F
.30341 .30031 m
.30311 .30113 L
.30335 .30046 L
.30362 .2997 L
.30341 .30031 L
F
.30605 .29293 m
.30578 .29368 L
.30581 .29361 L
.30605 .29293 L
.30605 .29293 L
F
.30578 .29368 m
.30551 .29443 L
.30556 .29429 L
.30581 .29361 L
.30578 .29368 L
F
.30551 .29443 m
.30524 .29519 L
.30532 .29497 L
.30556 .29429 L
.30551 .29443 L
F
.30524 .29519 m
.30497 .29594 L
.30508 .29565 L
.30532 .29497 L
.30524 .29519 L
F
.30497 .29594 m
.3047 .29669 L
.30483 .29633 L
.30508 .29565 L
.30497 .29594 L
F
.3047 .29669 m
.30443 .29744 L
.30459 .29702 L
.30483 .29633 L
.3047 .29669 L
F
.30443 .29744 m
.30416 .2982 L
.30434 .2977 L
.30459 .29702 L
.30443 .29744 L
F
.30416 .2982 m
.30389 .29895 L
.3041 .29838 L
.30434 .2977 L
.30416 .2982 L
F
.30389 .29895 m
.30362 .2997 L
.30385 .29906 L
.3041 .29838 L
.30389 .29895 L
F
.30362 .2997 m
.30335 .30046 L
.30361 .29974 L
.30385 .29906 L
.30362 .2997 L
F
.30605 .29293 m
.30581 .29361 L
.30584 .29353 L
.30605 .29293 L
.30605 .29293 L
F
.30581 .29361 m
.30556 .29429 L
.30562 .29414 L
.30584 .29353 L
.30581 .29361 L
F
.30556 .29429 m
.30532 .29497 L
.3054 .29474 L
.30562 .29414 L
.30556 .29429 L
F
.30532 .29497 m
.30508 .29565 L
.30518 .29535 L
.3054 .29474 L
.30532 .29497 L
F
.30508 .29565 m
.30483 .29633 L
.30497 .29596 L
.30518 .29535 L
.30508 .29565 L
F
.30483 .29633 m
.30459 .29702 L
.30475 .29656 L
.30497 .29596 L
.30483 .29633 L
F
.30459 .29702 m
.30434 .2977 L
.30453 .29717 L
.30475 .29656 L
.30459 .29702 L
F
.30434 .2977 m
.3041 .29838 L
.30432 .29777 L
.30453 .29717 L
.30434 .2977 L
F
.3041 .29838 m
.30385 .29906 L
.3041 .29838 L
.30432 .29777 L
.3041 .29838 L
F
.30385 .29906 m
.30361 .29974 L
.30388 .29899 L
.3041 .29838 L
.30385 .29906 L
F
.30605 .29293 m
.30584 .29353 L
.30586 .29345 L
.30605 .29293 L
.30605 .29293 L
F
.30584 .29353 m
.30562 .29414 L
.30568 .29398 L
.30586 .29345 L
.30584 .29353 L
F
.30562 .29414 m
.3054 .29474 L
.30549 .29451 L
.30568 .29398 L
.30562 .29414 L
F
.3054 .29474 m
.30518 .29535 L
.3053 .29503 L
.30549 .29451 L
.3054 .29474 L
F
.30518 .29535 m
.30497 .29596 L
.30511 .29556 L
.3053 .29503 L
.30518 .29535 L
F
.30497 .29596 m
.30475 .29656 L
.30492 .29608 L
.30511 .29556 L
.30497 .29596 L
F
.30475 .29656 m
.30453 .29717 L
.30473 .29661 L
.30492 .29608 L
.30475 .29656 L
F
.30453 .29717 m
.30432 .29777 L
.30454 .29714 L
.30473 .29661 L
.30453 .29717 L
F
.30432 .29777 m
.3041 .29838 L
.30435 .29766 L
.30454 .29714 L
.30432 .29777 L
F
.3041 .29838 m
.30388 .29899 L
.30417 .29819 L
.30435 .29766 L
.3041 .29838 L
F
.30605 .29293 m
.30586 .29345 L
.30589 .29337 L
.30605 .29293 L
.30605 .29293 L
F
.30586 .29345 m
.30568 .29398 L
.30573 .29381 L
.30589 .29337 L
.30586 .29345 L
F
.30568 .29398 m
.30549 .29451 L
.30558 .29426 L
.30573 .29381 L
.30568 .29398 L
F
.30549 .29451 m
.3053 .29503 L
.30542 .2947 L
.30558 .29426 L
.30549 .29451 L
F
.3053 .29503 m
.30511 .29556 L
.30526 .29514 L
.30542 .2947 L
.3053 .29503 L
F
.30511 .29556 m
.30492 .29608 L
.3051 .29559 L
.30526 .29514 L
.30511 .29556 L
F
.30492 .29608 m
.30473 .29661 L
.30494 .29603 L
.3051 .29559 L
.30492 .29608 L
F
.30473 .29661 m
.30454 .29714 L
.30478 .29648 L
.30494 .29603 L
.30473 .29661 L
F
.30454 .29714 m
.30435 .29766 L
.30462 .29692 L
.30478 .29648 L
.30454 .29714 L
F
.30435 .29766 m
.30417 .29819 L
.30446 .29736 L
.30462 .29692 L
.30435 .29766 L
F
.30605 .29293 m
.30589 .29337 L
.30592 .29328 L
.30605 .29293 L
.30605 .29293 L
F
.30589 .29337 m
.30573 .29381 L
.3058 .29364 L
.30592 .29328 L
.30589 .29337 L
F
.30573 .29381 m
.30558 .29426 L
.30567 .294 L
.3058 .29364 L
.30573 .29381 L
F
.30558 .29426 m
.30542 .2947 L
.30554 .29436 L
.30567 .294 L
.30558 .29426 L
F
.30542 .2947 m
.30526 .29514 L
.30541 .29472 L
.30554 .29436 L
.30542 .2947 L
F
.30526 .29514 m
.3051 .29559 L
.30528 .29508 L
.30541 .29472 L
.30526 .29514 L
F
.3051 .29559 m
.30494 .29603 L
.30515 .29543 L
.30528 .29508 L
.3051 .29559 L
F
.30494 .29603 m
.30478 .29648 L
.30503 .29579 L
.30515 .29543 L
.30494 .29603 L
F
.30478 .29648 m
.30462 .29692 L
.3049 .29615 L
.30503 .29579 L
.30478 .29648 L
F
.30462 .29692 m
.30446 .29736 L
.30477 .29651 L
.3049 .29615 L
.30462 .29692 L
F
.30605 .29293 m
.30592 .29328 L
.30596 .2932 L
.30605 .29293 L
.30605 .29293 L
F
.30592 .29328 m
.3058 .29364 L
.30586 .29347 L
.30596 .2932 L
.30592 .29328 L
F
.3058 .29364 m
.30567 .294 L
.30576 .29374 L
.30586 .29347 L
.3058 .29364 L
F
.30567 .294 m
.30554 .29436 L
.30566 .29401 L
.30576 .29374 L
.30567 .294 L
F
.30554 .29436 m
.30541 .29472 L
.30557 .29428 L
.30566 .29401 L
.30554 .29436 L
F
.30541 .29472 m
.30528 .29508 L
.30547 .29455 L
.30557 .29428 L
.30541 .29472 L
F
.30528 .29508 m
.30515 .29543 L
.30537 .29482 L
.30547 .29455 L
.30528 .29508 L
F
.30515 .29543 m
.30503 .29579 L
.30528 .29509 L
.30537 .29482 L
.30515 .29543 L
F
.30503 .29579 m
.3049 .29615 L
.30518 .29536 L
.30528 .29509 L
.30503 .29579 L
F
.3049 .29615 m
.30477 .29651 L
.30508 .29563 L
.30518 .29536 L
.3049 .29615 L
F
.30605 .29293 m
.30596 .2932 L
.30599 .29311 L
.30605 .29293 L
.30605 .29293 L
F
.30596 .2932 m
.30586 .29347 L
.30592 .29329 L
.30599 .29311 L
.30596 .2932 L
F
.30586 .29347 m
.30576 .29374 L
.30586 .29347 L
.30592 .29329 L
.30586 .29347 L
F
.30576 .29374 m
.30566 .29401 L
.30579 .29365 L
.30586 .29347 L
.30576 .29374 L
F
.30566 .29401 m
.30557 .29428 L
.30573 .29383 L
.30579 .29365 L
.30566 .29401 L
F
.30557 .29428 m
.30547 .29455 L
.30566 .29401 L
.30573 .29383 L
.30557 .29428 L
F
.30547 .29455 m
.30537 .29482 L
.3056 .2942 L
.30566 .29401 L
.30547 .29455 L
F
.30537 .29482 m
.30528 .29509 L
.30553 .29438 L
.3056 .2942 L
.30537 .29482 L
F
.30528 .29509 m
.30518 .29536 L
.30547 .29456 L
.30553 .29438 L
.30528 .29509 L
F
.30518 .29536 m
.30508 .29563 L
.3054 .29474 L
.30547 .29456 L
.30518 .29536 L
F
.30605 .29293 m
.30599 .29311 L
.30602 .29302 L
.30605 .29293 L
.30605 .29293 L
F
.30599 .29311 m
.30592 .29329 L
.30599 .29311 L
.30602 .29302 L
.30599 .29311 L
F
.30592 .29329 m
.30586 .29347 L
.30595 .2932 L
.30599 .29311 L
.30592 .29329 L
F
.30586 .29347 m
.30579 .29365 L
.30592 .29329 L
.30595 .2932 L
.30586 .29347 L
F
.30579 .29365 m
.30573 .29383 L
.30589 .29338 L
.30592 .29329 L
.30579 .29365 L
F
.30573 .29383 m
.30566 .29401 L
.30586 .29347 L
.30589 .29338 L
.30573 .29383 L
F
.30566 .29401 m
.3056 .2942 L
.30582 .29356 L
.30586 .29347 L
.30566 .29401 L
F
.3056 .2942 m
.30553 .29438 L
.30579 .29365 L
.30582 .29356 L
.3056 .2942 L
F
.30553 .29438 m
.30547 .29456 L
.30576 .29374 L
.30579 .29365 L
.30553 .29438 L
F
.30547 .29456 m
.3054 .29474 L
.30573 .29384 L
.30576 .29374 L
.30547 .29456 L
F
.30605 .29293 m
.30602 .29302 L
.30605 .29293 L
.30605 .29293 L
.30605 .29293 L
F
.30602 .29302 m
.30599 .29311 L
.30605 .29293 L
.30605 .29293 L
.30602 .29302 L
F
.30599 .29311 m
.30595 .2932 L
.30605 .29293 L
.30605 .29293 L
.30599 .29311 L
F
.30595 .2932 m
.30592 .29329 L
.30605 .29293 L
.30605 .29293 L
.30595 .2932 L
F
.30592 .29329 m
.30589 .29338 L
.30605 .29293 L
.30605 .29293 L
.30592 .29329 L
F
.30589 .29338 m
.30586 .29347 L
.30605 .29293 L
.30605 .29293 L
.30589 .29338 L
F
.30586 .29347 m
.30582 .29356 L
.30605 .29293 L
.30605 .29293 L
.30586 .29347 L
F
.30582 .29356 m
.30579 .29365 L
.30605 .29293 L
.30605 .29293 L
.30582 .29356 L
F
.30579 .29365 m
.30576 .29374 L
.30605 .29293 L
.30605 .29293 L
.30579 .29365 L
F
.30576 .29374 m
.30573 .29384 L
.30605 .29293 L
.30605 .29293 L
.30576 .29374 L
F
.30605 .29293 m
.30605 .29293 L
.30609 .29283 L
.30605 .29293 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30612 .29274 L
.30609 .29283 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30615 .29265 L
.30612 .29274 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30618 .29256 L
.30615 .29265 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30622 .29247 L
.30618 .29256 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30625 .29238 L
.30622 .29247 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30628 .29229 L
.30625 .29238 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30631 .2922 L
.30628 .29229 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30635 .29211 L
.30631 .2922 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30638 .29202 L
.30635 .29211 L
.30605 .29293 L
F
.30605 .29293 m
.30609 .29283 L
.30612 .29274 L
.30605 .29293 L
.30605 .29293 L
F
.30609 .29283 m
.30612 .29274 L
.30618 .29256 L
.30612 .29274 L
.30609 .29283 L
F
.30612 .29274 m
.30615 .29265 L
.30625 .29238 L
.30618 .29256 L
.30612 .29274 L
F
.30615 .29265 m
.30618 .29256 L
.30631 .2922 L
.30625 .29238 L
.30615 .29265 L
F
.30618 .29256 m
.30622 .29247 L
.30638 .29202 L
.30631 .2922 L
.30618 .29256 L
F
.30622 .29247 m
.30625 .29238 L
.30644 .29184 L
.30638 .29202 L
.30622 .29247 L
F
.30625 .29238 m
.30628 .29229 L
.30651 .29166 L
.30644 .29184 L
.30625 .29238 L
F
.30628 .29229 m
.30631 .2922 L
.30657 .29147 L
.30651 .29166 L
.30628 .29229 L
F
.30631 .2922 m
.30635 .29211 L
.30664 .29129 L
.30657 .29147 L
.30631 .2922 L
F
.30635 .29211 m
.30638 .29202 L
.3067 .29111 L
.30664 .29129 L
.30635 .29211 L
F
.30605 .29293 m
.30612 .29274 L
.30615 .29265 L
.30605 .29293 L
.30605 .29293 L
F
.30612 .29274 m
.30618 .29256 L
.30625 .29238 L
.30615 .29265 L
.30612 .29274 L
F
.30618 .29256 m
.30625 .29238 L
.30634 .29211 L
.30625 .29238 L
.30618 .29256 L
F
.30625 .29238 m
.30631 .2922 L
.30644 .29184 L
.30634 .29211 L
.30625 .29238 L
F
.30631 .2922 m
.30638 .29202 L
.30654 .29157 L
.30644 .29184 L
.30631 .2922 L
F
.30638 .29202 m
.30644 .29184 L
.30663 .2913 L
.30654 .29157 L
.30638 .29202 L
F
.30644 .29184 m
.30651 .29166 L
.30673 .29103 L
.30663 .2913 L
.30644 .29184 L
F
.30651 .29166 m
.30657 .29147 L
.30683 .29076 L
.30673 .29103 L
.30651 .29166 L
F
.30657 .29147 m
.30664 .29129 L
.30693 .29049 L
.30683 .29076 L
.30657 .29147 L
F
.30664 .29129 m
.3067 .29111 L
.30702 .29022 L
.30693 .29049 L
.30664 .29129 L
F
.30605 .29293 m
.30615 .29265 L
.30618 .29257 L
.30605 .29293 L
.30605 .29293 L
F
.30615 .29265 m
.30625 .29238 L
.30631 .29221 L
.30618 .29257 L
.30615 .29265 L
F
.30625 .29238 m
.30634 .29211 L
.30644 .29185 L
.30631 .29221 L
.30625 .29238 L
F
.30634 .29211 m
.30644 .29184 L
.30657 .29149 L
.30644 .29185 L
.30634 .29211 L
F
.30644 .29184 m
.30654 .29157 L
.30669 .29113 L
.30657 .29149 L
.30644 .29184 L
F
.30654 .29157 m
.30663 .2913 L
.30682 .29078 L
.30669 .29113 L
.30654 .29157 L
F
.30663 .2913 m
.30673 .29103 L
.30695 .29042 L
.30682 .29078 L
.30663 .2913 L
F
.30673 .29103 m
.30683 .29076 L
.30708 .29006 L
.30695 .29042 L
.30673 .29103 L
F
.30683 .29076 m
.30693 .29049 L
.30721 .2897 L
.30708 .29006 L
.30683 .29076 L
F
.30693 .29049 m
.30702 .29022 L
.30734 .28934 L
.30721 .2897 L
.30693 .29049 L
F
.30605 .29293 m
.30618 .29257 L
.30621 .29248 L
.30605 .29293 L
.30605 .29293 L
F
.30618 .29257 m
.30631 .29221 L
.30637 .29204 L
.30621 .29248 L
.30618 .29257 L
F
.30631 .29221 m
.30644 .29185 L
.30653 .29159 L
.30637 .29204 L
.30631 .29221 L
F
.30644 .29185 m
.30657 .29149 L
.30669 .29115 L
.30653 .29159 L
.30644 .29185 L
F
.30657 .29149 m
.30669 .29113 L
.30685 .29071 L
.30669 .29115 L
.30657 .29149 L
F
.30669 .29113 m
.30682 .29078 L
.30701 .29026 L
.30685 .29071 L
.30669 .29113 L
F
.30682 .29078 m
.30695 .29042 L
.30717 .28982 L
.30701 .29026 L
.30682 .29078 L
F
.30695 .29042 m
.30708 .29006 L
.30732 .28937 L
.30717 .28982 L
.30695 .29042 L
F
.30708 .29006 m
.30721 .2897 L
.30748 .28893 L
.30732 .28937 L
.30708 .29006 L
F
.30721 .2897 m
.30734 .28934 L
.30764 .28849 L
.30748 .28893 L
.30721 .2897 L
F
.30605 .29293 m
.30621 .29248 L
.30624 .2924 L
.30605 .29293 L
.30605 .29293 L
F
.30621 .29248 m
.30637 .29204 L
.30643 .29187 L
.30624 .2924 L
.30621 .29248 L
F
.30637 .29204 m
.30653 .29159 L
.30662 .29135 L
.30643 .29187 L
.30637 .29204 L
F
.30653 .29159 m
.30669 .29115 L
.30681 .29082 L
.30662 .29135 L
.30653 .29159 L
F
.30669 .29115 m
.30685 .29071 L
.307 .29029 L
.30681 .29082 L
.30669 .29115 L
F
.30685 .29071 m
.30701 .29026 L
.30718 .28977 L
.307 .29029 L
.30685 .29071 L
F
.30701 .29026 m
.30717 .28982 L
.30737 .28924 L
.30718 .28977 L
.30701 .29026 L
F
.30717 .28982 m
.30732 .28937 L
.30756 .28871 L
.30737 .28924 L
.30717 .28982 L
F
.30732 .28937 m
.30748 .28893 L
.30775 .28819 L
.30756 .28871 L
.30732 .28937 L
F
.30748 .28893 m
.30764 .28849 L
.30794 .28766 L
.30775 .28819 L
.30748 .28893 L
F
.30605 .29293 m
.30624 .2924 L
.30627 .29232 L
.30605 .29293 L
.30605 .29293 L
F
.30624 .2924 m
.30643 .29187 L
.30649 .29171 L
.30627 .29232 L
.30624 .2924 L
F
.30643 .29187 m
.30662 .29135 L
.3067 .29111 L
.30649 .29171 L
.30643 .29187 L
F
.30662 .29135 m
.30681 .29082 L
.30692 .2905 L
.3067 .29111 L
.30662 .29135 L
F
.30681 .29082 m
.307 .29029 L
.30714 .2899 L
.30692 .2905 L
.30681 .29082 L
F
.307 .29029 m
.30718 .28977 L
.30736 .28929 L
.30714 .2899 L
.307 .29029 L
F
.30718 .28977 m
.30737 .28924 L
.30757 .28868 L
.30736 .28929 L
.30718 .28977 L
F
.30737 .28924 m
.30756 .28871 L
.30779 .28808 L
.30757 .28868 L
.30737 .28924 L
F
.30756 .28871 m
.30775 .28819 L
.30801 .28747 L
.30779 .28808 L
.30756 .28871 L
F
.30775 .28819 m
.30794 .28766 L
.30822 .28687 L
.30801 .28747 L
.30775 .28819 L
F
.30605 .29293 m
.30627 .29232 L
.3063 .29224 L
.30605 .29293 L
.30605 .29293 L
F
.30627 .29232 m
.30649 .29171 L
.30654 .29156 L
.3063 .29224 L
.30627 .29232 L
F
.30649 .29171 m
.3067 .29111 L
.30679 .29088 L
.30654 .29156 L
.30649 .29171 L
F
.3067 .29111 m
.30692 .2905 L
.30703 .2902 L
.30679 .29088 L
.3067 .29111 L
F
.30692 .2905 m
.30714 .2899 L
.30727 .28952 L
.30703 .2902 L
.30692 .2905 L
F
.30714 .2899 m
.30736 .28929 L
.30752 .28884 L
.30727 .28952 L
.30714 .2899 L
F
.30736 .28929 m
.30757 .28868 L
.30776 .28815 L
.30752 .28884 L
.30736 .28929 L
F
.30757 .28868 m
.30779 .28808 L
.30801 .28747 L
.30776 .28815 L
.30757 .28868 L
F
.30779 .28808 m
.30801 .28747 L
.30825 .28679 L
.30801 .28747 L
.30779 .28808 L
F
.30801 .28747 m
.30822 .28687 L
.3085 .28611 L
.30825 .28679 L
.30801 .28747 L
F
.30605 .29293 m
.3063 .29224 L
.30632 .29217 L
.30605 .29293 L
.30605 .29293 L
F
.3063 .29224 m
.30654 .29156 L
.30659 .29142 L
.30632 .29217 L
.3063 .29224 L
F
.30654 .29156 m
.30679 .29088 L
.30686 .29067 L
.30659 .29142 L
.30654 .29156 L
F
.30679 .29088 m
.30703 .2902 L
.30713 .28991 L
.30686 .29067 L
.30679 .29088 L
F
.30703 .2902 m
.30727 .28952 L
.3074 .28916 L
.30713 .28991 L
.30703 .2902 L
F
.30727 .28952 m
.30752 .28884 L
.30767 .28841 L
.3074 .28916 L
.30727 .28952 L
F
.30752 .28884 m
.30776 .28815 L
.30794 .28765 L
.30767 .28841 L
.30752 .28884 L
F
.30776 .28815 m
.30801 .28747 L
.30821 .2869 L
.30794 .28765 L
.30776 .28815 L
F
.30801 .28747 m
.30825 .28679 L
.30848 .28615 L
.30821 .2869 L
.30801 .28747 L
F
.30825 .28679 m
.3085 .28611 L
.30875 .28539 L
.30848 .28615 L
.30825 .28679 L
F
.30605 .29293 m
.30632 .29217 L
.30635 .29211 L
.30605 .29293 L
.30605 .29293 L
F
.30632 .29217 m
.30659 .29142 L
.30664 .29129 L
.30635 .29211 L
.30632 .29217 L
F
.30659 .29142 m
.30686 .29067 L
.30693 .29047 L
.30664 .29129 L
.30659 .29142 L
F
.30686 .29067 m
.30713 .28991 L
.30723 .28965 L
.30693 .29047 L
.30686 .29067 L
F
.30713 .28991 m
.3074 .28916 L
.30752 .28883 L
.30723 .28965 L
.30713 .28991 L
F
.3074 .28916 m
.30767 .28841 L
.30782 .28801 L
.30752 .28883 L
.3074 .28916 L
F
.30767 .28841 m
.30794 .28765 L
.30811 .28719 L
.30782 .28801 L
.30767 .28841 L
F
.30794 .28765 m
.30821 .2869 L
.3084 .28636 L
.30811 .28719 L
.30794 .28765 L
F
.30821 .2869 m
.30848 .28615 L
.3087 .28554 L
.3084 .28636 L
.30821 .2869 L
F
.30848 .28615 m
.30875 .28539 L
.30899 .28472 L
.3087 .28554 L
.30848 .28615 L
F
.30605 .29293 m
.30635 .29211 L
.30637 .29204 L
.30605 .29293 L
.30605 .29293 L
F
.30635 .29211 m
.30664 .29129 L
.30668 .29116 L
.30637 .29204 L
.30635 .29211 L
F
.30664 .29129 m
.30693 .29047 L
.307 .29028 L
.30668 .29116 L
.30664 .29129 L
F
.30693 .29047 m
.30723 .28965 L
.30732 .2894 L
.307 .29028 L
.30693 .29047 L
F
.30723 .28965 m
.30752 .28883 L
.30763 .28852 L
.30732 .2894 L
.30723 .28965 L
F
.30752 .28883 m
.30782 .28801 L
.30795 .28763 L
.30763 .28852 L
.30752 .28883 L
F
.30782 .28801 m
.30811 .28719 L
.30826 .28675 L
.30795 .28763 L
.30782 .28801 L
F
.30811 .28719 m
.3084 .28636 L
.30858 .28587 L
.30826 .28675 L
.30811 .28719 L
F
.3084 .28636 m
.3087 .28554 L
.3089 .28499 L
.30858 .28587 L
.3084 .28636 L
F
.3087 .28554 m
.30899 .28472 L
.30921 .28411 L
.3089 .28499 L
.3087 .28554 L
F
.30605 .29293 m
.30637 .29204 L
.30639 .29199 L
.30605 .29293 L
.30605 .29293 L
F
.30637 .29204 m
.30668 .29116 L
.30672 .29105 L
.30639 .29199 L
.30637 .29204 L
F
.30668 .29116 m
.307 .29028 L
.30706 .29011 L
.30672 .29105 L
.30668 .29116 L
F
.307 .29028 m
.30732 .2894 L
.3074 .28917 L
.30706 .29011 L
.307 .29028 L
F
.30732 .2894 m
.30763 .28852 L
.30773 .28823 L
.3074 .28917 L
.30732 .2894 L
F
.30763 .28852 m
.30795 .28763 L
.30807 .2873 L
.30773 .28823 L
.30763 .28852 L
F
.30795 .28763 m
.30826 .28675 L
.30841 .28636 L
.30807 .2873 L
.30795 .28763 L
F
.30826 .28675 m
.30858 .28587 L
.30874 .28542 L
.30841 .28636 L
.30826 .28675 L
F
.30858 .28587 m
.3089 .28499 L
.30908 .28448 L
.30874 .28542 L
.30858 .28587 L
F
.3089 .28499 m
.30921 .28411 L
.30941 .28354 L
.30908 .28448 L
.3089 .28499 L
F
.30605 .29293 m
.30639 .29199 L
.30641 .29194 L
.30605 .29293 L
.30605 .29293 L
F
.30639 .29199 m
.30672 .29105 L
.30676 .29095 L
.30641 .29194 L
.30639 .29199 L
F
.30672 .29105 m
.30706 .29011 L
.30712 .28996 L
.30676 .29095 L
.30672 .29105 L
F
.30706 .29011 m
.3074 .28917 L
.30747 .28897 L
.30712 .28996 L
.30706 .29011 L
F
.3074 .28917 m
.30773 .28823 L
.30782 .28798 L
.30747 .28897 L
.3074 .28917 L
F
.30773 .28823 m
.30807 .2873 L
.30818 .28699 L
.30782 .28798 L
.30773 .28823 L
F
.30807 .2873 m
.30841 .28636 L
.30853 .286 L
.30818 .28699 L
.30807 .2873 L
F
.30841 .28636 m
.30874 .28542 L
.30889 .28501 L
.30853 .286 L
.30841 .28636 L
F
.30874 .28542 m
.30908 .28448 L
.30924 .28403 L
.30889 .28501 L
.30874 .28542 L
F
.30908 .28448 m
.30941 .28354 L
.3096 .28304 L
.30924 .28403 L
.30908 .28448 L
F
.30605 .29293 m
.30641 .29194 L
.30642 .29189 L
.30605 .29293 L
.30605 .29293 L
F
.30641 .29194 m
.30676 .29095 L
.30679 .29086 L
.30642 .29189 L
.30641 .29194 L
F
.30676 .29095 m
.30712 .28996 L
.30716 .28983 L
.30679 .29086 L
.30676 .29095 L
F
.30712 .28996 m
.30747 .28897 L
.30753 .28879 L
.30716 .28983 L
.30712 .28996 L
F
.30747 .28897 m
.30782 .28798 L
.3079 .28776 L
.30753 .28879 L
.30747 .28897 L
F
.30782 .28798 m
.30818 .28699 L
.30827 .28673 L
.3079 .28776 L
.30782 .28798 L
F
.30818 .28699 m
.30853 .286 L
.30864 .28569 L
.30827 .28673 L
.30818 .28699 L
F
.30853 .286 m
.30889 .28501 L
.30901 .28466 L
.30864 .28569 L
.30853 .286 L
F
.30889 .28501 m
.30924 .28403 L
.30939 .28363 L
.30901 .28466 L
.30889 .28501 L
F
.30924 .28403 m
.3096 .28304 L
.30976 .28259 L
.30939 .28363 L
.30924 .28403 L
F
.30605 .29293 m
.30642 .29189 L
.30644 .29185 L
.30605 .29293 L
.30605 .29293 L
F
.30642 .29189 m
.30679 .29086 L
.30682 .29078 L
.30644 .29185 L
.30642 .29189 L
F
.30679 .29086 m
.30716 .28983 L
.3072 .28971 L
.30682 .29078 L
.30679 .29086 L
F
.30716 .28983 m
.30753 .28879 L
.30759 .28864 L
.3072 .28971 L
.30716 .28983 L
F
.30753 .28879 m
.3079 .28776 L
.30797 .28757 L
.30759 .28864 L
.30753 .28879 L
F
.3079 .28776 m
.30827 .28673 L
.30836 .2865 L
.30797 .28757 L
.3079 .28776 L
F
.30827 .28673 m
.30864 .28569 L
.30874 .28543 L
.30836 .2865 L
.30827 .28673 L
F
.30864 .28569 m
.30901 .28466 L
.30912 .28435 L
.30874 .28543 L
.30864 .28569 L
F
.30901 .28466 m
.30939 .28363 L
.30951 .28328 L
.30912 .28435 L
.30901 .28466 L
F
.30939 .28363 m
.30976 .28259 L
.30989 .28221 L
.30951 .28328 L
.30939 .28363 L
F
.30605 .29293 m
.30644 .29185 L
.30645 .29182 L
.30605 .29293 L
.30605 .29293 L
F
.30644 .29185 m
.30682 .29078 L
.30684 .29072 L
.30645 .29182 L
.30644 .29185 L
F
.30682 .29078 m
.3072 .28971 L
.30724 .28962 L
.30684 .29072 L
.30682 .29078 L
F
.3072 .28971 m
.30759 .28864 L
.30763 .28851 L
.30724 .28962 L
.3072 .28971 L
F
.30759 .28864 m
.30797 .28757 L
.30803 .28741 L
.30763 .28851 L
.30759 .28864 L
F
.30797 .28757 m
.30836 .2865 L
.30842 .28631 L
.30803 .28741 L
.30797 .28757 L
F
.30836 .2865 m
.30874 .28543 L
.30882 .2852 L
.30842 .28631 L
.30836 .2865 L
F
.30874 .28543 m
.30912 .28435 L
.30921 .2841 L
.30882 .2852 L
.30874 .28543 L
F
.30912 .28435 m
.30951 .28328 L
.30961 .283 L
.30921 .2841 L
.30912 .28435 L
F
.30951 .28328 m
.30989 .28221 L
.31 .2819 L
.30961 .283 L
.30951 .28328 L
F
.30605 .29293 m
.30645 .29182 L
.30646 .2918 L
.30605 .29293 L
.30605 .29293 L
F
.30645 .29182 m
.30684 .29072 L
.30686 .29067 L
.30646 .2918 L
.30645 .29182 L
F
.30684 .29072 m
.30724 .28962 L
.30726 .28954 L
.30686 .29067 L
.30684 .29072 L
F
.30724 .28962 m
.30763 .28851 L
.30767 .28841 L
.30726 .28954 L
.30724 .28962 L
F
.30763 .28851 m
.30803 .28741 L
.30807 .28729 L
.30767 .28841 L
.30763 .28851 L
F
.30803 .28741 m
.30842 .28631 L
.30848 .28616 L
.30807 .28729 L
.30803 .28741 L
F
.30842 .28631 m
.30882 .2852 L
.30888 .28503 L
.30848 .28616 L
.30842 .28631 L
F
.30882 .2852 m
.30921 .2841 L
.30929 .2839 L
.30888 .28503 L
.30882 .2852 L
F
.30921 .2841 m
.30961 .283 L
.30969 .28278 L
.30929 .2839 L
.30921 .2841 L
F
.30961 .283 m
.31 .2819 L
.31009 .28165 L
.30969 .28278 L
.30961 .283 L
F
.30605 .29293 m
.30646 .2918 L
.30646 .29178 L
.30605 .29293 L
.30605 .29293 L
F
.30646 .2918 m
.30686 .29067 L
.30687 .29063 L
.30646 .29178 L
.30646 .2918 L
F
.30686 .29067 m
.30726 .28954 L
.30728 .28949 L
.30687 .29063 L
.30686 .29067 L
F
.30726 .28954 m
.30767 .28841 L
.30769 .28834 L
.30728 .28949 L
.30726 .28954 L
F
.30767 .28841 m
.30807 .28729 L
.3081 .2872 L
.30769 .28834 L
.30767 .28841 L
F
.30807 .28729 m
.30848 .28616 L
.30852 .28605 L
.3081 .2872 L
.30807 .28729 L
F
.30848 .28616 m
.30888 .28503 L
.30893 .28491 L
.30852 .28605 L
.30848 .28616 L
F
.30888 .28503 m
.30929 .2839 L
.30934 .28376 L
.30893 .28491 L
.30888 .28503 L
F
.30929 .2839 m
.30969 .28278 L
.30975 .28262 L
.30934 .28376 L
.30929 .2839 L
F
.30969 .28278 m
.31009 .28165 L
.31016 .28147 L
.30975 .28262 L
.30969 .28278 L
F
.30605 .29293 m
.30646 .29178 L
.30647 .29177 L
.30605 .29293 L
.30605 .29293 L
F
.30646 .29178 m
.30687 .29063 L
.30688 .29061 L
.30647 .29177 L
.30646 .29178 L
F
.30687 .29063 m
.30728 .28949 L
.3073 .28946 L
.30688 .29061 L
.30687 .29063 L
F
.30728 .28949 m
.30769 .28834 L
.30771 .2883 L
.3073 .28946 L
.30728 .28949 L
F
.30769 .28834 m
.3081 .2872 L
.30812 .28714 L
.30771 .2883 L
.30769 .28834 L
F
.3081 .2872 m
.30852 .28605 L
.30854 .28599 L
.30812 .28714 L
.3081 .2872 L
F
.30852 .28605 m
.30893 .28491 L
.30895 .28483 L
.30854 .28599 L
.30852 .28605 L
F
.30893 .28491 m
.30934 .28376 L
.30937 .28368 L
.30895 .28483 L
.30893 .28491 L
F
.30934 .28376 m
.30975 .28262 L
.30978 .28252 L
.30937 .28368 L
.30934 .28376 L
F
.30975 .28262 m
.31016 .28147 L
.3102 .28136 L
.30978 .28252 L
.30975 .28262 L
F
.30605 .29293 m
.30647 .29177 L
.30647 .29177 L
.30605 .29293 L
.30605 .29293 L
F
.30647 .29177 m
.30688 .29061 L
.30688 .29061 L
.30647 .29177 L
.30647 .29177 L
F
.30688 .29061 m
.3073 .28946 L
.3073 .28945 L
.30688 .29061 L
.30688 .29061 L
F
.3073 .28946 m
.30771 .2883 L
.30771 .28829 L
.3073 .28945 L
.3073 .28946 L
F
.30771 .2883 m
.30812 .28714 L
.30813 .28713 L
.30771 .28829 L
.30771 .2883 L
F
.30812 .28714 m
.30854 .28599 L
.30855 .28597 L
.30813 .28713 L
.30812 .28714 L
F
.30854 .28599 m
.30895 .28483 L
.30896 .28481 L
.30855 .28597 L
.30854 .28599 L
F
.30895 .28483 m
.30937 .28368 L
.30938 .28365 L
.30896 .28481 L
.30895 .28483 L
F
.30937 .28368 m
.30978 .28252 L
.30979 .28249 L
.30938 .28365 L
.30937 .28368 L
F
.30978 .28252 m
.3102 .28136 L
.31021 .28133 L
.30979 .28249 L
.30978 .28252 L
F
.30605 .29293 m
.30647 .29177 L
.30647 .29177 L
.30605 .29293 L
.30605 .29293 L
F
.30647 .29177 m
.30688 .29061 L
.30688 .29061 L
.30647 .29177 L
.30647 .29177 L
F
.30688 .29061 m
.3073 .28945 L
.3073 .28946 L
.30688 .29061 L
.30688 .29061 L
F
.3073 .28945 m
.30771 .28829 L
.30771 .2883 L
.3073 .28946 L
.3073 .28945 L
F
.30771 .28829 m
.30813 .28713 L
.30812 .28714 L
.30771 .2883 L
.30771 .28829 L
F
.30813 .28713 m
.30855 .28597 L
.30854 .28599 L
.30812 .28714 L
.30813 .28713 L
F
.30855 .28597 m
.30896 .28481 L
.30895 .28483 L
.30854 .28599 L
.30855 .28597 L
F
.30896 .28481 m
.30938 .28365 L
.30937 .28368 L
.30895 .28483 L
.30896 .28481 L
F
.30938 .28365 m
.30979 .28249 L
.30978 .28252 L
.30937 .28368 L
.30938 .28365 L
F
.30979 .28249 m
.31021 .28133 L
.3102 .28136 L
.30978 .28252 L
.30979 .28249 L
F
.30605 .29293 m
.30647 .29177 L
.30646 .29178 L
.30605 .29293 L
.30605 .29293 L
F
.30647 .29177 m
.30688 .29061 L
.30687 .29063 L
.30646 .29178 L
.30647 .29177 L
F
.30688 .29061 m
.3073 .28946 L
.30728 .28949 L
.30687 .29063 L
.30688 .29061 L
F
.3073 .28946 m
.30771 .2883 L
.30769 .28834 L
.30728 .28949 L
.3073 .28946 L
F
.30771 .2883 m
.30812 .28714 L
.3081 .2872 L
.30769 .28834 L
.30771 .2883 L
F
.30812 .28714 m
.30854 .28599 L
.30852 .28605 L
.3081 .2872 L
.30812 .28714 L
F
.30854 .28599 m
.30895 .28483 L
.30893 .28491 L
.30852 .28605 L
.30854 .28599 L
F
.30895 .28483 m
.30937 .28368 L
.30934 .28376 L
.30893 .28491 L
.30895 .28483 L
F
.30937 .28368 m
.30978 .28252 L
.30975 .28262 L
.30934 .28376 L
.30937 .28368 L
F
.30978 .28252 m
.3102 .28136 L
.31016 .28147 L
.30975 .28262 L
.30978 .28252 L
F
.30605 .29293 m
.30646 .29178 L
.30646 .2918 L
.30605 .29293 L
.30605 .29293 L
F
.30646 .29178 m
.30687 .29063 L
.30686 .29067 L
.30646 .2918 L
.30646 .29178 L
F
.30687 .29063 m
.30728 .28949 L
.30726 .28954 L
.30686 .29067 L
.30687 .29063 L
F
.30728 .28949 m
.30769 .28834 L
.30767 .28841 L
.30726 .28954 L
.30728 .28949 L
F
.30769 .28834 m
.3081 .2872 L
.30807 .28729 L
.30767 .28841 L
.30769 .28834 L
F
.3081 .2872 m
.30852 .28605 L
.30848 .28616 L
.30807 .28729 L
.3081 .2872 L
F
.30852 .28605 m
.30893 .28491 L
.30888 .28503 L
.30848 .28616 L
.30852 .28605 L
F
.30893 .28491 m
.30934 .28376 L
.30929 .2839 L
.30888 .28503 L
.30893 .28491 L
F
.30934 .28376 m
.30975 .28262 L
.30969 .28278 L
.30929 .2839 L
.30934 .28376 L
F
.30975 .28262 m
.31016 .28147 L
.31009 .28165 L
.30969 .28278 L
.30975 .28262 L
F
.30605 .29293 m
.30646 .2918 L
.30645 .29182 L
.30605 .29293 L
.30605 .29293 L
F
.30646 .2918 m
.30686 .29067 L
.30684 .29072 L
.30645 .29182 L
.30646 .2918 L
F
.30686 .29067 m
.30726 .28954 L
.30724 .28962 L
.30684 .29072 L
.30686 .29067 L
F
.30726 .28954 m
.30767 .28841 L
.30763 .28851 L
.30724 .28962 L
.30726 .28954 L
F
.30767 .28841 m
.30807 .28729 L
.30803 .28741 L
.30763 .28851 L
.30767 .28841 L
F
.30807 .28729 m
.30848 .28616 L
.30842 .28631 L
.30803 .28741 L
.30807 .28729 L
F
.30848 .28616 m
.30888 .28503 L
.30882 .2852 L
.30842 .28631 L
.30848 .28616 L
F
.30888 .28503 m
.30929 .2839 L
.30921 .2841 L
.30882 .2852 L
.30888 .28503 L
F
.30929 .2839 m
.30969 .28278 L
.30961 .283 L
.30921 .2841 L
.30929 .2839 L
F
.30969 .28278 m
.31009 .28165 L
.31 .2819 L
.30961 .283 L
.30969 .28278 L
F
.30605 .29293 m
.30645 .29182 L
.30644 .29185 L
.30605 .29293 L
.30605 .29293 L
F
.30645 .29182 m
.30684 .29072 L
.30682 .29078 L
.30644 .29185 L
.30645 .29182 L
F
.30684 .29072 m
.30724 .28962 L
.3072 .28971 L
.30682 .29078 L
.30684 .29072 L
F
.30724 .28962 m
.30763 .28851 L
.30759 .28864 L
.3072 .28971 L
.30724 .28962 L
F
.30763 .28851 m
.30803 .28741 L
.30797 .28757 L
.30759 .28864 L
.30763 .28851 L
F
.30803 .28741 m
.30842 .28631 L
.30836 .2865 L
.30797 .28757 L
.30803 .28741 L
F
.30842 .28631 m
.30882 .2852 L
.30874 .28543 L
.30836 .2865 L
.30842 .28631 L
F
.30882 .2852 m
.30921 .2841 L
.30912 .28435 L
.30874 .28543 L
.30882 .2852 L
F
.30921 .2841 m
.30961 .283 L
.30951 .28328 L
.30912 .28435 L
.30921 .2841 L
F
.30961 .283 m
.31 .2819 L
.30989 .28221 L
.30951 .28328 L
.30961 .283 L
F
.30605 .29293 m
.30644 .29185 L
.30642 .29189 L
.30605 .29293 L
.30605 .29293 L
F
.30644 .29185 m
.30682 .29078 L
.30679 .29086 L
.30642 .29189 L
.30644 .29185 L
F
.30682 .29078 m
.3072 .28971 L
.30716 .28983 L
.30679 .29086 L
.30682 .29078 L
F
.3072 .28971 m
.30759 .28864 L
.30753 .28879 L
.30716 .28983 L
.3072 .28971 L
F
.30759 .28864 m
.30797 .28757 L
.3079 .28776 L
.30753 .28879 L
.30759 .28864 L
F
.30797 .28757 m
.30836 .2865 L
.30827 .28673 L
.3079 .28776 L
.30797 .28757 L
F
.30836 .2865 m
.30874 .28543 L
.30864 .28569 L
.30827 .28673 L
.30836 .2865 L
F
.30874 .28543 m
.30912 .28435 L
.30901 .28466 L
.30864 .28569 L
.30874 .28543 L
F
.30912 .28435 m
.30951 .28328 L
.30939 .28363 L
.30901 .28466 L
.30912 .28435 L
F
.30951 .28328 m
.30989 .28221 L
.30976 .28259 L
.30939 .28363 L
.30951 .28328 L
F
.30605 .29293 m
.30642 .29189 L
.30641 .29194 L
.30605 .29293 L
.30605 .29293 L
F
.30642 .29189 m
.30679 .29086 L
.30676 .29095 L
.30641 .29194 L
.30642 .29189 L
F
.30679 .29086 m
.30716 .28983 L
.30712 .28996 L
.30676 .29095 L
.30679 .29086 L
F
.30716 .28983 m
.30753 .28879 L
.30747 .28897 L
.30712 .28996 L
.30716 .28983 L
F
.30753 .28879 m
.3079 .28776 L
.30782 .28798 L
.30747 .28897 L
.30753 .28879 L
F
.3079 .28776 m
.30827 .28673 L
.30818 .28699 L
.30782 .28798 L
.3079 .28776 L
F
.30827 .28673 m
.30864 .28569 L
.30853 .286 L
.30818 .28699 L
.30827 .28673 L
F
.30864 .28569 m
.30901 .28466 L
.30889 .28501 L
.30853 .286 L
.30864 .28569 L
F
.30901 .28466 m
.30939 .28363 L
.30924 .28403 L
.30889 .28501 L
.30901 .28466 L
F
.30939 .28363 m
.30976 .28259 L
.3096 .28304 L
.30924 .28403 L
.30939 .28363 L
F
.30605 .29293 m
.30641 .29194 L
.30639 .29199 L
.30605 .29293 L
.30605 .29293 L
F
.30641 .29194 m
.30676 .29095 L
.30672 .29105 L
.30639 .29199 L
.30641 .29194 L
F
.30676 .29095 m
.30712 .28996 L
.30706 .29011 L
.30672 .29105 L
.30676 .29095 L
F
.30712 .28996 m
.30747 .28897 L
.3074 .28917 L
.30706 .29011 L
.30712 .28996 L
F
.30747 .28897 m
.30782 .28798 L
.30773 .28823 L
.3074 .28917 L
.30747 .28897 L
F
.30782 .28798 m
.30818 .28699 L
.30807 .2873 L
.30773 .28823 L
.30782 .28798 L
F
.30818 .28699 m
.30853 .286 L
.30841 .28636 L
.30807 .2873 L
.30818 .28699 L
F
.30853 .286 m
.30889 .28501 L
.30874 .28542 L
.30841 .28636 L
.30853 .286 L
F
.30889 .28501 m
.30924 .28403 L
.30908 .28448 L
.30874 .28542 L
.30889 .28501 L
F
.30924 .28403 m
.3096 .28304 L
.30941 .28354 L
.30908 .28448 L
.30924 .28403 L
F
.30605 .29293 m
.30639 .29199 L
.30637 .29204 L
.30605 .29293 L
.30605 .29293 L
F
.30639 .29199 m
.30672 .29105 L
.30668 .29116 L
.30637 .29204 L
.30639 .29199 L
F
.30672 .29105 m
.30706 .29011 L
.307 .29028 L
.30668 .29116 L
.30672 .29105 L
F
.30706 .29011 m
.3074 .28917 L
.30732 .2894 L
.307 .29028 L
.30706 .29011 L
F
.3074 .28917 m
.30773 .28823 L
.30763 .28852 L
.30732 .2894 L
.3074 .28917 L
F
.30773 .28823 m
.30807 .2873 L
.30795 .28763 L
.30763 .28852 L
.30773 .28823 L
F
.30807 .2873 m
.30841 .28636 L
.30826 .28675 L
.30795 .28763 L
.30807 .2873 L
F
.30841 .28636 m
.30874 .28542 L
.30858 .28587 L
.30826 .28675 L
.30841 .28636 L
F
.30874 .28542 m
.30908 .28448 L
.3089 .28499 L
.30858 .28587 L
.30874 .28542 L
F
.30908 .28448 m
.30941 .28354 L
.30921 .28411 L
.3089 .28499 L
.30908 .28448 L
F
.30605 .29293 m
.30637 .29204 L
.30635 .29211 L
.30605 .29293 L
.30605 .29293 L
F
.30637 .29204 m
.30668 .29116 L
.30664 .29129 L
.30635 .29211 L
.30637 .29204 L
F
.30668 .29116 m
.307 .29028 L
.30693 .29047 L
.30664 .29129 L
.30668 .29116 L
F
.307 .29028 m
.30732 .2894 L
.30723 .28965 L
.30693 .29047 L
.307 .29028 L
F
.30732 .2894 m
.30763 .28852 L
.30752 .28883 L
.30723 .28965 L
.30732 .2894 L
F
.30763 .28852 m
.30795 .28763 L
.30782 .28801 L
.30752 .28883 L
.30763 .28852 L
F
.30795 .28763 m
.30826 .28675 L
.30811 .28719 L
.30782 .28801 L
.30795 .28763 L
F
.30826 .28675 m
.30858 .28587 L
.3084 .28636 L
.30811 .28719 L
.30826 .28675 L
F
.30858 .28587 m
.3089 .28499 L
.3087 .28554 L
.3084 .28636 L
.30858 .28587 L
F
.3089 .28499 m
.30921 .28411 L
.30899 .28472 L
.3087 .28554 L
.3089 .28499 L
F
.30605 .29293 m
.30635 .29211 L
.30632 .29217 L
.30605 .29293 L
.30605 .29293 L
F
.30635 .29211 m
.30664 .29129 L
.30659 .29142 L
.30632 .29217 L
.30635 .29211 L
F
.30664 .29129 m
.30693 .29047 L
.30686 .29067 L
.30659 .29142 L
.30664 .29129 L
F
.30693 .29047 m
.30723 .28965 L
.30713 .28991 L
.30686 .29067 L
.30693 .29047 L
F
.30723 .28965 m
.30752 .28883 L
.3074 .28916 L
.30713 .28991 L
.30723 .28965 L
F
.30752 .28883 m
.30782 .28801 L
.30767 .28841 L
.3074 .28916 L
.30752 .28883 L
F
.30782 .28801 m
.30811 .28719 L
.30794 .28765 L
.30767 .28841 L
.30782 .28801 L
F
.30811 .28719 m
.3084 .28636 L
.30821 .2869 L
.30794 .28765 L
.30811 .28719 L
F
.3084 .28636 m
.3087 .28554 L
.30848 .28615 L
.30821 .2869 L
.3084 .28636 L
F
.3087 .28554 m
.30899 .28472 L
.30875 .28539 L
.30848 .28615 L
.3087 .28554 L
F
.30605 .29293 m
.30632 .29217 L
.3063 .29224 L
.30605 .29293 L
.30605 .29293 L
F
.30632 .29217 m
.30659 .29142 L
.30654 .29156 L
.3063 .29224 L
.30632 .29217 L
F
.30659 .29142 m
.30686 .29067 L
.30679 .29088 L
.30654 .29156 L
.30659 .29142 L
F
.30686 .29067 m
.30713 .28991 L
.30703 .2902 L
.30679 .29088 L
.30686 .29067 L
F
.30713 .28991 m
.3074 .28916 L
.30727 .28952 L
.30703 .2902 L
.30713 .28991 L
F
.3074 .28916 m
.30767 .28841 L
.30752 .28884 L
.30727 .28952 L
.3074 .28916 L
F
.30767 .28841 m
.30794 .28765 L
.30776 .28815 L
.30752 .28884 L
.30767 .28841 L
F
.30794 .28765 m
.30821 .2869 L
.30801 .28747 L
.30776 .28815 L
.30794 .28765 L
F
.30821 .2869 m
.30848 .28615 L
.30825 .28679 L
.30801 .28747 L
.30821 .2869 L
F
.30848 .28615 m
.30875 .28539 L
.3085 .28611 L
.30825 .28679 L
.30848 .28615 L
F
.30605 .29293 m
.3063 .29224 L
.30627 .29232 L
.30605 .29293 L
.30605 .29293 L
F
.3063 .29224 m
.30654 .29156 L
.30649 .29171 L
.30627 .29232 L
.3063 .29224 L
F
.30654 .29156 m
.30679 .29088 L
.3067 .29111 L
.30649 .29171 L
.30654 .29156 L
F
.30679 .29088 m
.30703 .2902 L
.30692 .2905 L
.3067 .29111 L
.30679 .29088 L
F
.30703 .2902 m
.30727 .28952 L
.30714 .2899 L
.30692 .2905 L
.30703 .2902 L
F
.30727 .28952 m
.30752 .28884 L
.30736 .28929 L
.30714 .2899 L
.30727 .28952 L
F
.30752 .28884 m
.30776 .28815 L
.30757 .28868 L
.30736 .28929 L
.30752 .28884 L
F
.30776 .28815 m
.30801 .28747 L
.30779 .28808 L
.30757 .28868 L
.30776 .28815 L
F
.30801 .28747 m
.30825 .28679 L
.30801 .28747 L
.30779 .28808 L
.30801 .28747 L
F
.30825 .28679 m
.3085 .28611 L
.30822 .28687 L
.30801 .28747 L
.30825 .28679 L
F
.30605 .29293 m
.30627 .29232 L
.30624 .2924 L
.30605 .29293 L
.30605 .29293 L
F
.30627 .29232 m
.30649 .29171 L
.30643 .29187 L
.30624 .2924 L
.30627 .29232 L
F
.30649 .29171 m
.3067 .29111 L
.30662 .29135 L
.30643 .29187 L
.30649 .29171 L
F
.3067 .29111 m
.30692 .2905 L
.30681 .29082 L
.30662 .29135 L
.3067 .29111 L
F
.30692 .2905 m
.30714 .2899 L
.307 .29029 L
.30681 .29082 L
.30692 .2905 L
F
.30714 .2899 m
.30736 .28929 L
.30718 .28977 L
.307 .29029 L
.30714 .2899 L
F
.30736 .28929 m
.30757 .28868 L
.30737 .28924 L
.30718 .28977 L
.30736 .28929 L
F
.30757 .28868 m
.30779 .28808 L
.30756 .28871 L
.30737 .28924 L
.30757 .28868 L
F
.30779 .28808 m
.30801 .28747 L
.30775 .28819 L
.30756 .28871 L
.30779 .28808 L
F
.30801 .28747 m
.30822 .28687 L
.30794 .28766 L
.30775 .28819 L
.30801 .28747 L
F
.30605 .29293 m
.30624 .2924 L
.30621 .29248 L
.30605 .29293 L
.30605 .29293 L
F
.30624 .2924 m
.30643 .29187 L
.30637 .29204 L
.30621 .29248 L
.30624 .2924 L
F
.30643 .29187 m
.30662 .29135 L
.30653 .29159 L
.30637 .29204 L
.30643 .29187 L
F
.30662 .29135 m
.30681 .29082 L
.30669 .29115 L
.30653 .29159 L
.30662 .29135 L
F
.30681 .29082 m
.307 .29029 L
.30685 .29071 L
.30669 .29115 L
.30681 .29082 L
F
.307 .29029 m
.30718 .28977 L
.30701 .29026 L
.30685 .29071 L
.307 .29029 L
F
.30718 .28977 m
.30737 .28924 L
.30717 .28982 L
.30701 .29026 L
.30718 .28977 L
F
.30737 .28924 m
.30756 .28871 L
.30732 .28937 L
.30717 .28982 L
.30737 .28924 L
F
.30756 .28871 m
.30775 .28819 L
.30748 .28893 L
.30732 .28937 L
.30756 .28871 L
F
.30775 .28819 m
.30794 .28766 L
.30764 .28849 L
.30748 .28893 L
.30775 .28819 L
F
.30605 .29293 m
.30621 .29248 L
.30618 .29257 L
.30605 .29293 L
.30605 .29293 L
F
.30621 .29248 m
.30637 .29204 L
.30631 .29221 L
.30618 .29257 L
.30621 .29248 L
F
.30637 .29204 m
.30653 .29159 L
.30644 .29185 L
.30631 .29221 L
.30637 .29204 L
F
.30653 .29159 m
.30669 .29115 L
.30657 .29149 L
.30644 .29185 L
.30653 .29159 L
F
.30669 .29115 m
.30685 .29071 L
.30669 .29113 L
.30657 .29149 L
.30669 .29115 L
F
.30685 .29071 m
.30701 .29026 L
.30682 .29078 L
.30669 .29113 L
.30685 .29071 L
F
.30701 .29026 m
.30717 .28982 L
.30695 .29042 L
.30682 .29078 L
.30701 .29026 L
F
.30717 .28982 m
.30732 .28937 L
.30708 .29006 L
.30695 .29042 L
.30717 .28982 L
F
.30732 .28937 m
.30748 .28893 L
.30721 .2897 L
.30708 .29006 L
.30732 .28937 L
F
.30748 .28893 m
.30764 .28849 L
.30734 .28934 L
.30721 .2897 L
.30748 .28893 L
F
.30605 .29293 m
.30618 .29257 L
.30615 .29265 L
.30605 .29293 L
.30605 .29293 L
F
.30618 .29257 m
.30631 .29221 L
.30625 .29238 L
.30615 .29265 L
.30618 .29257 L
F
.30631 .29221 m
.30644 .29185 L
.30634 .29211 L
.30625 .29238 L
.30631 .29221 L
F
.30644 .29185 m
.30657 .29149 L
.30644 .29184 L
.30634 .29211 L
.30644 .29185 L
F
.30657 .29149 m
.30669 .29113 L
.30654 .29157 L
.30644 .29184 L
.30657 .29149 L
F
.30669 .29113 m
.30682 .29078 L
.30663 .2913 L
.30654 .29157 L
.30669 .29113 L
F
.30682 .29078 m
.30695 .29042 L
.30673 .29103 L
.30663 .2913 L
.30682 .29078 L
F
.30695 .29042 m
.30708 .29006 L
.30683 .29076 L
.30673 .29103 L
.30695 .29042 L
F
.30708 .29006 m
.30721 .2897 L
.30693 .29049 L
.30683 .29076 L
.30708 .29006 L
F
.30721 .2897 m
.30734 .28934 L
.30702 .29022 L
.30693 .29049 L
.30721 .2897 L
F
.30605 .29293 m
.30615 .29265 L
.30612 .29274 L
.30605 .29293 L
.30605 .29293 L
F
.30615 .29265 m
.30625 .29238 L
.30618 .29256 L
.30612 .29274 L
.30615 .29265 L
F
.30625 .29238 m
.30634 .29211 L
.30625 .29238 L
.30618 .29256 L
.30625 .29238 L
F
.30634 .29211 m
.30644 .29184 L
.30631 .2922 L
.30625 .29238 L
.30634 .29211 L
F
.30644 .29184 m
.30654 .29157 L
.30638 .29202 L
.30631 .2922 L
.30644 .29184 L
F
.30654 .29157 m
.30663 .2913 L
.30644 .29184 L
.30638 .29202 L
.30654 .29157 L
F
.30663 .2913 m
.30673 .29103 L
.30651 .29166 L
.30644 .29184 L
.30663 .2913 L
F
.30673 .29103 m
.30683 .29076 L
.30657 .29147 L
.30651 .29166 L
.30673 .29103 L
F
.30683 .29076 m
.30693 .29049 L
.30664 .29129 L
.30657 .29147 L
.30683 .29076 L
F
.30693 .29049 m
.30702 .29022 L
.3067 .29111 L
.30664 .29129 L
.30693 .29049 L
F
.30605 .29293 m
.30612 .29274 L
.30609 .29283 L
.30605 .29293 L
.30605 .29293 L
F
.30612 .29274 m
.30618 .29256 L
.30612 .29274 L
.30609 .29283 L
.30612 .29274 L
F
.30618 .29256 m
.30625 .29238 L
.30615 .29265 L
.30612 .29274 L
.30618 .29256 L
F
.30625 .29238 m
.30631 .2922 L
.30618 .29256 L
.30615 .29265 L
.30625 .29238 L
F
.30631 .2922 m
.30638 .29202 L
.30622 .29247 L
.30618 .29256 L
.30631 .2922 L
F
.30638 .29202 m
.30644 .29184 L
.30625 .29238 L
.30622 .29247 L
.30638 .29202 L
F
.30644 .29184 m
.30651 .29166 L
.30628 .29229 L
.30625 .29238 L
.30644 .29184 L
F
.30651 .29166 m
.30657 .29147 L
.30631 .2922 L
.30628 .29229 L
.30651 .29166 L
F
.30657 .29147 m
.30664 .29129 L
.30635 .29211 L
.30631 .2922 L
.30657 .29147 L
F
.30664 .29129 m
.3067 .29111 L
.30638 .29202 L
.30635 .29211 L
.30664 .29129 L
F
.30605 .29293 m
.30609 .29283 L
.30605 .29293 L
.30605 .29293 L
.30605 .29293 L
F
.30609 .29283 m
.30612 .29274 L
.30605 .29293 L
.30605 .29293 L
.30609 .29283 L
F
.30612 .29274 m
.30615 .29265 L
.30605 .29293 L
.30605 .29293 L
.30612 .29274 L
F
.30615 .29265 m
.30618 .29256 L
.30605 .29293 L
.30605 .29293 L
.30615 .29265 L
F
.30618 .29256 m
.30622 .29247 L
.30605 .29293 L
.30605 .29293 L
.30618 .29256 L
F
.30622 .29247 m
.30625 .29238 L
.30605 .29293 L
.30605 .29293 L
.30622 .29247 L
F
.30625 .29238 m
.30628 .29229 L
.30605 .29293 L
.30605 .29293 L
.30625 .29238 L
F
.30628 .29229 m
.30631 .2922 L
.30605 .29293 L
.30605 .29293 L
.30628 .29229 L
F
.30631 .2922 m
.30635 .29211 L
.30605 .29293 L
.30605 .29293 L
.30631 .2922 L
F
.30635 .29211 m
.30638 .29202 L
.30605 .29293 L
.30605 .29293 L
.30635 .29211 L
F
.30605 .29293 m
.30605 .29293 L
.30602 .29302 L
.30605 .29293 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30599 .29311 L
.30602 .29302 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30595 .2932 L
.30599 .29311 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30592 .29329 L
.30595 .2932 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30589 .29338 L
.30592 .29329 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30586 .29347 L
.30589 .29338 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30582 .29356 L
.30586 .29347 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30579 .29365 L
.30582 .29356 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30576 .29374 L
.30579 .29365 L
.30605 .29293 L
F
.30605 .29293 m
.30605 .29293 L
.30573 .29384 L
.30576 .29374 L
.30605 .29293 L
F
.30605 .29293 m
.30602 .29302 L
.30599 .29311 L
.30605 .29293 L
.30605 .29293 L
F
.30602 .29302 m
.30599 .29311 L
.30592 .29329 L
.30599 .29311 L
.30602 .29302 L
F
.30599 .29311 m
.30595 .2932 L
.30586 .29347 L
.30592 .29329 L
.30599 .29311 L
F
.30595 .2932 m
.30592 .29329 L
.30579 .29365 L
.30586 .29347 L
.30595 .2932 L
F
.30592 .29329 m
.30589 .29338 L
.30573 .29383 L
.30579 .29365 L
.30592 .29329 L
F
.30589 .29338 m
.30586 .29347 L
.30566 .29401 L
.30573 .29383 L
.30589 .29338 L
F
.30586 .29347 m
.30582 .29356 L
.3056 .2942 L
.30566 .29401 L
.30586 .29347 L
F
.30582 .29356 m
.30579 .29365 L
.30553 .29438 L
.3056 .2942 L
.30582 .29356 L
F
.30579 .29365 m
.30576 .29374 L
.30547 .29456 L
.30553 .29438 L
.30579 .29365 L
F
.30576 .29374 m
.30573 .29384 L
.3054 .29474 L
.30547 .29456 L
.30576 .29374 L
F
.30605 .29293 m
.30599 .29311 L
.30596 .2932 L
.30605 .29293 L
.30605 .29293 L
F
.30599 .29311 m
.30592 .29329 L
.30586 .29347 L
.30596 .2932 L
.30599 .29311 L
F
.30592 .29329 m
.30586 .29347 L
.30576 .29374 L
.30586 .29347 L
.30592 .29329 L
F
.30586 .29347 m
.30579 .29365 L
.30566 .29401 L
.30576 .29374 L
.30586 .29347 L
F
.30579 .29365 m
.30573 .29383 L
.30557 .29428 L
.30566 .29401 L
.30579 .29365 L
F
.30573 .29383 m
.30566 .29401 L
.30547 .29455 L
.30557 .29428 L
.30573 .29383 L
F
.30566 .29401 m
.3056 .2942 L
.30537 .29482 L
.30547 .29455 L
.30566 .29401 L
F
.3056 .2942 m
.30553 .29438 L
.30528 .29509 L
.30537 .29482 L
.3056 .2942 L
F
.30553 .29438 m
.30547 .29456 L
.30518 .29536 L
.30528 .29509 L
.30553 .29438 L
F
.30547 .29456 m
.3054 .29474 L
.30508 .29563 L
.30518 .29536 L
.30547 .29456 L
F
.30605 .29293 m
.30596 .2932 L
.30592 .29328 L
.30605 .29293 L
.30605 .29293 L
F
.30596 .2932 m
.30586 .29347 L
.3058 .29364 L
.30592 .29328 L
.30596 .2932 L
F
.30586 .29347 m
.30576 .29374 L
.30567 .294 L
.3058 .29364 L
.30586 .29347 L
F
.30576 .29374 m
.30566 .29401 L
.30554 .29436 L
.30567 .294 L
.30576 .29374 L
F
.30566 .29401 m
.30557 .29428 L
.30541 .29472 L
.30554 .29436 L
.30566 .29401 L
F
.30557 .29428 m
.30547 .29455 L
.30528 .29508 L
.30541 .29472 L
.30557 .29428 L
F
.30547 .29455 m
.30537 .29482 L
.30515 .29543 L
.30528 .29508 L
.30547 .29455 L
F
.30537 .29482 m
.30528 .29509 L
.30503 .29579 L
.30515 .29543 L
.30537 .29482 L
F
.30528 .29509 m
.30518 .29536 L
.3049 .29615 L
.30503 .29579 L
.30528 .29509 L
F
.30518 .29536 m
.30508 .29563 L
.30477 .29651 L
.3049 .29615 L
.30518 .29536 L
F
.30605 .29293 m
.30592 .29328 L
.30589 .29337 L
.30605 .29293 L
.30605 .29293 L
F
.30592 .29328 m
.3058 .29364 L
.30573 .29381 L
.30589 .29337 L
.30592 .29328 L
F
.3058 .29364 m
.30567 .294 L
.30558 .29426 L
.30573 .29381 L
.3058 .29364 L
F
.30567 .294 m
.30554 .29436 L
.30542 .2947 L
.30558 .29426 L
.30567 .294 L
F
.30554 .29436 m
.30541 .29472 L
.30526 .29514 L
.30542 .2947 L
.30554 .29436 L
F
.30541 .29472 m
.30528 .29508 L
.3051 .29559 L
.30526 .29514 L
.30541 .29472 L
F
.30528 .29508 m
.30515 .29543 L
.30494 .29603 L
.3051 .29559 L
.30528 .29508 L
F
.30515 .29543 m
.30503 .29579 L
.30478 .29648 L
.30494 .29603 L
.30515 .29543 L
F
.30503 .29579 m
.3049 .29615 L
.30462 .29692 L
.30478 .29648 L
.30503 .29579 L
F
.3049 .29615 m
.30477 .29651 L
.30446 .29736 L
.30462 .29692 L
.3049 .29615 L
F
.30605 .29293 m
.30589 .29337 L
.30586 .29345 L
.30605 .29293 L
.30605 .29293 L
F
.30589 .29337 m
.30573 .29381 L
.30568 .29398 L
.30586 .29345 L
.30589 .29337 L
F
.30573 .29381 m
.30558 .29426 L
.30549 .29451 L
.30568 .29398 L
.30573 .29381 L
F
.30558 .29426 m
.30542 .2947 L
.3053 .29503 L
.30549 .29451 L
.30558 .29426 L
F
.30542 .2947 m
.30526 .29514 L
.30511 .29556 L
.3053 .29503 L
.30542 .2947 L
F
.30526 .29514 m
.3051 .29559 L
.30492 .29608 L
.30511 .29556 L
.30526 .29514 L
F
.3051 .29559 m
.30494 .29603 L
.30473 .29661 L
.30492 .29608 L
.3051 .29559 L
F
.30494 .29603 m
.30478 .29648 L
.30454 .29714 L
.30473 .29661 L
.30494 .29603 L
F
.30478 .29648 m
.30462 .29692 L
.30435 .29766 L
.30454 .29714 L
.30478 .29648 L
F
.30462 .29692 m
.30446 .29736 L
.30417 .29819 L
.30435 .29766 L
.30462 .29692 L
F
.30605 .29293 m
.30586 .29345 L
.30584 .29353 L
.30605 .29293 L
.30605 .29293 L
F
.30586 .29345 m
.30568 .29398 L
.30562 .29414 L
.30584 .29353 L
.30586 .29345 L
F
.30568 .29398 m
.30549 .29451 L
.3054 .29474 L
.30562 .29414 L
.30568 .29398 L
F
.30549 .29451 m
.3053 .29503 L
.30518 .29535 L
.3054 .29474 L
.30549 .29451 L
F
.3053 .29503 m
.30511 .29556 L
.30497 .29596 L
.30518 .29535 L
.3053 .29503 L
F
.30511 .29556 m
.30492 .29608 L
.30475 .29656 L
.30497 .29596 L
.30511 .29556 L
F
.30492 .29608 m
.30473 .29661 L
.30453 .29717 L
.30475 .29656 L
.30492 .29608 L
F
.30473 .29661 m
.30454 .29714 L
.30432 .29777 L
.30453 .29717 L
.30473 .29661 L
F
.30454 .29714 m
.30435 .29766 L
.3041 .29838 L
.30432 .29777 L
.30454 .29714 L
F
.30435 .29766 m
.30417 .29819 L
.30388 .29899 L
.3041 .29838 L
.30435 .29766 L
F
.30605 .29293 m
.30584 .29353 L
.30581 .29361 L
.30605 .29293 L
.30605 .29293 L
F
.30584 .29353 m
.30562 .29414 L
.30556 .29429 L
.30581 .29361 L
.30584 .29353 L
F
.30562 .29414 m
.3054 .29474 L
.30532 .29497 L
.30556 .29429 L
.30562 .29414 L
F
.3054 .29474 m
.30518 .29535 L
.30508 .29565 L
.30532 .29497 L
.3054 .29474 L
F
.30518 .29535 m
.30497 .29596 L
.30483 .29633 L
.30508 .29565 L
.30518 .29535 L
F
.30497 .29596 m
.30475 .29656 L
.30459 .29702 L
.30483 .29633 L
.30497 .29596 L
F
.30475 .29656 m
.30453 .29717 L
.30434 .2977 L
.30459 .29702 L
.30475 .29656 L
F
.30453 .29717 m
.30432 .29777 L
.3041 .29838 L
.30434 .2977 L
.30453 .29717 L
F
.30432 .29777 m
.3041 .29838 L
.30385 .29906 L
.3041 .29838 L
.30432 .29777 L
F
.3041 .29838 m
.30388 .29899 L
.30361 .29974 L
.30385 .29906 L
.3041 .29838 L
F
.30605 .29293 m
.30581 .29361 L
.30578 .29368 L
.30605 .29293 L
.30605 .29293 L
F
.30581 .29361 m
.30556 .29429 L
.30551 .29443 L
.30578 .29368 L
.30581 .29361 L
F
.30556 .29429 m
.30532 .29497 L
.30524 .29519 L
.30551 .29443 L
.30556 .29429 L
F
.30532 .29497 m
.30508 .29565 L
.30497 .29594 L
.30524 .29519 L
.30532 .29497 L
F
.30508 .29565 m
.30483 .29633 L
.3047 .29669 L
.30497 .29594 L
.30508 .29565 L
F
.30483 .29633 m
.30459 .29702 L
.30443 .29744 L
.3047 .29669 L
.30483 .29633 L
F
.30459 .29702 m
.30434 .2977 L
.30416 .2982 L
.30443 .29744 L
.30459 .29702 L
F
.30434 .2977 m
.3041 .29838 L
.30389 .29895 L
.30416 .2982 L
.30434 .2977 L
F
.3041 .29838 m
.30385 .29906 L
.30362 .2997 L
.30389 .29895 L
.3041 .29838 L
F
.30385 .29906 m
.30361 .29974 L
.30335 .30046 L
.30362 .2997 L
.30385 .29906 L
F
.30605 .29293 m
.30578 .29368 L
.30576 .29375 L
.30605 .29293 L
.30605 .29293 L
F
.30578 .29368 m
.30551 .29443 L
.30546 .29457 L
.30576 .29375 L
.30578 .29368 L
F
.30551 .29443 m
.30524 .29519 L
.30517 .29539 L
.30546 .29457 L
.30551 .29443 L
F
.30524 .29519 m
.30497 .29594 L
.30488 .29621 L
.30517 .29539 L
.30524 .29519 L
F
.30497 .29594 m
.3047 .29669 L
.30458 .29703 L
.30488 .29621 L
.30497 .29594 L
F
.3047 .29669 m
.30443 .29744 L
.30429 .29785 L
.30458 .29703 L
.3047 .29669 L
F
.30443 .29744 m
.30416 .2982 L
.304 .29867 L
.30429 .29785 L
.30443 .29744 L
F
.30416 .2982 m
.30389 .29895 L
.3037 .29949 L
.304 .29867 L
.30416 .2982 L
F
.30389 .29895 m
.30362 .2997 L
.30341 .30031 L
.3037 .29949 L
.30389 .29895 L
F
.30362 .2997 m
.30335 .30046 L
.30311 .30113 L
.30341 .30031 L
.30362 .2997 L
F
.30605 .29293 m
.30576 .29375 L
.30574 .29381 L
.30605 .29293 L
.30605 .29293 L
F
.30576 .29375 m
.30546 .29457 L
.30542 .29469 L
.30574 .29381 L
.30576 .29375 L
F
.30546 .29457 m
.30517 .29539 L
.3051 .29557 L
.30542 .29469 L
.30546 .29457 L
F
.30517 .29539 m
.30488 .29621 L
.30479 .29645 L
.3051 .29557 L
.30517 .29539 L
F
.30488 .29621 m
.30458 .29703 L
.30447 .29733 L
.30479 .29645 L
.30488 .29621 L
F
.30458 .29703 m
.30429 .29785 L
.30416 .29822 L
.30447 .29733 L
.30458 .29703 L
F
.30429 .29785 m
.304 .29867 L
.30384 .2991 L
.30416 .29822 L
.30429 .29785 L
F
.304 .29867 m
.3037 .29949 L
.30352 .29998 L
.30384 .2991 L
.304 .29867 L
F
.3037 .29949 m
.30341 .30031 L
.30321 .30086 L
.30352 .29998 L
.3037 .29949 L
F
.30341 .30031 m
.30311 .30113 L
.30289 .30174 L
.30321 .30086 L
.30341 .30031 L
F
.30605 .29293 m
.30574 .29381 L
.30572 .29386 L
.30605 .29293 L
.30605 .29293 L
F
.30574 .29381 m
.30542 .29469 L
.30538 .2948 L
.30572 .29386 L
.30574 .29381 L
F
.30542 .29469 m
.3051 .29557 L
.30504 .29574 L
.30538 .2948 L
.30542 .29469 L
F
.3051 .29557 m
.30479 .29645 L
.30471 .29668 L
.30504 .29574 L
.3051 .29557 L
F
.30479 .29645 m
.30447 .29733 L
.30437 .29762 L
.30471 .29668 L
.30479 .29645 L
F
.30447 .29733 m
.30416 .29822 L
.30404 .29856 L
.30437 .29762 L
.30447 .29733 L
F
.30416 .29822 m
.30384 .2991 L
.3037 .29949 L
.30404 .29856 L
.30416 .29822 L
F
.30384 .2991 m
.30352 .29998 L
.30336 .30043 L
.3037 .29949 L
.30384 .2991 L
F
.30352 .29998 m
.30321 .30086 L
.30303 .30137 L
.30336 .30043 L
.30352 .29998 L
F
.30321 .30086 m
.30289 .30174 L
.30269 .30231 L
.30303 .30137 L
.30321 .30086 L
F
.30605 .29293 m
.30572 .29386 L
.3057 .29391 L
.30605 .29293 L
.30605 .29293 L
F
.30572 .29386 m
.30538 .2948 L
.30534 .2949 L
.3057 .29391 L
.30572 .29386 L
F
.30538 .2948 m
.30504 .29574 L
.30499 .29589 L
.30534 .2949 L
.30538 .2948 L
F
.30504 .29574 m
.30471 .29668 L
.30464 .29688 L
.30499 .29589 L
.30504 .29574 L
F
.30471 .29668 m
.30437 .29762 L
.30428 .29787 L
.30464 .29688 L
.30471 .29668 L
F
.30437 .29762 m
.30404 .29856 L
.30393 .29886 L
.30428 .29787 L
.30437 .29762 L
F
.30404 .29856 m
.3037 .29949 L
.30357 .29985 L
.30393 .29886 L
.30404 .29856 L
F
.3037 .29949 m
.30336 .30043 L
.30322 .30084 L
.30357 .29985 L
.3037 .29949 L
F
.30336 .30043 m
.30303 .30137 L
.30286 .30183 L
.30322 .30084 L
.30336 .30043 L
F
.30303 .30137 m
.30269 .30231 L
.30251 .30281 L
.30286 .30183 L
.30303 .30137 L
F
.30605 .29293 m
.3057 .29391 L
.30568 .29396 L
.30605 .29293 L
.30605 .29293 L
F
.3057 .29391 m
.30534 .2949 L
.30531 .29499 L
.30568 .29396 L
.3057 .29391 L
F
.30534 .2949 m
.30499 .29589 L
.30494 .29603 L
.30531 .29499 L
.30534 .2949 L
F
.30499 .29589 m
.30464 .29688 L
.30457 .29706 L
.30494 .29603 L
.30499 .29589 L
F
.30464 .29688 m
.30428 .29787 L
.3042 .29809 L
.30457 .29706 L
.30464 .29688 L
F
.30428 .29787 m
.30393 .29886 L
.30383 .29913 L
.3042 .29809 L
.30428 .29787 L
F
.30393 .29886 m
.30357 .29985 L
.30346 .30016 L
.30383 .29913 L
.30393 .29886 L
F
.30357 .29985 m
.30322 .30084 L
.30309 .30119 L
.30346 .30016 L
.30357 .29985 L
F
.30322 .30084 m
.30286 .30183 L
.30272 .30223 L
.30309 .30119 L
.30322 .30084 L
F
.30286 .30183 m
.30251 .30281 L
.30235 .30326 L
.30272 .30223 L
.30286 .30183 L
F
.30605 .29293 m
.30568 .29396 L
.30567 .294 L
.30605 .29293 L
.30605 .29293 L
F
.30568 .29396 m
.30531 .29499 L
.30528 .29507 L
.30567 .294 L
.30568 .29396 L
F
.30531 .29499 m
.30494 .29603 L
.3049 .29614 L
.30528 .29507 L
.30531 .29499 L
F
.30494 .29603 m
.30457 .29706 L
.30452 .29721 L
.3049 .29614 L
.30494 .29603 L
F
.30457 .29706 m
.3042 .29809 L
.30413 .29828 L
.30452 .29721 L
.30457 .29706 L
F
.3042 .29809 m
.30383 .29913 L
.30375 .29935 L
.30413 .29828 L
.3042 .29809 L
F
.30383 .29913 m
.30346 .30016 L
.30336 .30043 L
.30375 .29935 L
.30383 .29913 L
F
.30346 .30016 m
.30309 .30119 L
.30298 .3015 L
.30336 .30043 L
.30346 .30016 L
F
.30309 .30119 m
.30272 .30223 L
.3026 .30257 L
.30298 .3015 L
.30309 .30119 L
F
.30272 .30223 m
.30235 .30326 L
.30221 .30364 L
.3026 .30257 L
.30272 .30223 L
F
.30605 .29293 m
.30567 .294 L
.30566 .29403 L
.30605 .29293 L
.30605 .29293 L
F
.30567 .294 m
.30528 .29507 L
.30526 .29513 L
.30566 .29403 L
.30567 .294 L
F
.30528 .29507 m
.3049 .29614 L
.30487 .29623 L
.30526 .29513 L
.30528 .29507 L
F
.3049 .29614 m
.30452 .29721 L
.30447 .29734 L
.30487 .29623 L
.3049 .29614 L
F
.30452 .29721 m
.30413 .29828 L
.30408 .29844 L
.30447 .29734 L
.30452 .29721 L
F
.30413 .29828 m
.30375 .29935 L
.30368 .29954 L
.30408 .29844 L
.30413 .29828 L
F
.30375 .29935 m
.30336 .30043 L
.30329 .30065 L
.30368 .29954 L
.30375 .29935 L
F
.30336 .30043 m
.30298 .3015 L
.30289 .30175 L
.30329 .30065 L
.30336 .30043 L
F
.30298 .3015 m
.3026 .30257 L
.3025 .30285 L
.30289 .30175 L
.30298 .3015 L
F
.3026 .30257 m
.30221 .30364 L
.3021 .30396 L
.3025 .30285 L
.3026 .30257 L
F
.30605 .29293 m
.30566 .29403 L
.30565 .29405 L
.30605 .29293 L
.30605 .29293 L
F
.30566 .29403 m
.30526 .29513 L
.30524 .29518 L
.30565 .29405 L
.30566 .29403 L
F
.30526 .29513 m
.30487 .29623 L
.30484 .29631 L
.30524 .29518 L
.30526 .29513 L
F
.30487 .29623 m
.30447 .29734 L
.30444 .29744 L
.30484 .29631 L
.30487 .29623 L
F
.30447 .29734 m
.30408 .29844 L
.30403 .29856 L
.30444 .29744 L
.30447 .29734 L
F
.30408 .29844 m
.30368 .29954 L
.30363 .29969 L
.30403 .29856 L
.30408 .29844 L
F
.30368 .29954 m
.30329 .30065 L
.30322 .30082 L
.30363 .29969 L
.30368 .29954 L
F
.30329 .30065 m
.30289 .30175 L
.30282 .30195 L
.30322 .30082 L
.30329 .30065 L
F
.30289 .30175 m
.3025 .30285 L
.30242 .30307 L
.30282 .30195 L
.30289 .30175 L
F
.3025 .30285 m
.3021 .30396 L
.30201 .3042 L
.30242 .30307 L
.3025 .30285 L
F
.30605 .29293 m
.30565 .29405 L
.30564 .29407 L
.30605 .29293 L
.30605 .29293 L
F
.30565 .29405 m
.30524 .29518 L
.30523 .29522 L
.30564 .29407 L
.30565 .29405 L
F
.30524 .29518 m
.30484 .29631 L
.30482 .29636 L
.30523 .29522 L
.30524 .29518 L
F
.30484 .29631 m
.30444 .29744 L
.30441 .29751 L
.30482 .29636 L
.30484 .29631 L
F
.30444 .29744 m
.30403 .29856 L
.304 .29865 L
.30441 .29751 L
.30444 .29744 L
F
.30403 .29856 m
.30363 .29969 L
.30359 .2998 L
.304 .29865 L
.30403 .29856 L
F
.30363 .29969 m
.30322 .30082 L
.30318 .30094 L
.30359 .2998 L
.30363 .29969 L
F
.30322 .30082 m
.30282 .30195 L
.30277 .30209 L
.30318 .30094 L
.30322 .30082 L
F
.30282 .30195 m
.30242 .30307 L
.30236 .30323 L
.30277 .30209 L
.30282 .30195 L
F
.30242 .30307 m
.30201 .3042 L
.30195 .30438 L
.30236 .30323 L
.30242 .30307 L
F
.30605 .29293 m
.30564 .29407 L
.30564 .29408 L
.30605 .29293 L
.30605 .29293 L
F
.30564 .29407 m
.30523 .29522 L
.30522 .29524 L
.30564 .29408 L
.30564 .29407 L
F
.30523 .29522 m
.30482 .29636 L
.30481 .29639 L
.30522 .29524 L
.30523 .29522 L
F
.30482 .29636 m
.30441 .29751 L
.3044 .29755 L
.30481 .29639 L
.30482 .29636 L
F
.30441 .29751 m
.304 .29865 L
.30398 .29871 L
.3044 .29755 L
.30441 .29751 L
F
.304 .29865 m
.30359 .2998 L
.30357 .29986 L
.30398 .29871 L
.304 .29865 L
F
.30359 .2998 m
.30318 .30094 L
.30315 .30102 L
.30357 .29986 L
.30359 .2998 L
F
.30318 .30094 m
.30277 .30209 L
.30274 .30217 L
.30315 .30102 L
.30318 .30094 L
F
.30277 .30209 m
.30236 .30323 L
.30232 .30333 L
.30274 .30217 L
.30277 .30209 L
F
.30236 .30323 m
.30195 .30438 L
.30191 .30449 L
.30232 .30333 L
.30236 .30323 L
F
.30605 .29293 m
.30564 .29408 L
.30564 .29409 L
.30605 .29293 L
.30605 .29293 L
F
.30564 .29408 m
.30522 .29524 L
.30522 .29525 L
.30564 .29409 L
.30564 .29408 L
F
.30522 .29524 m
.30481 .29639 L
.30481 .2964 L
.30522 .29525 L
.30522 .29524 L
F
.30481 .29639 m
.3044 .29755 L
.30439 .29756 L
.30481 .2964 L
.30481 .29639 L
F
.3044 .29755 m
.30398 .29871 L
.30397 .29872 L
.30439 .29756 L
.3044 .29755 L
F
.30398 .29871 m
.30357 .29986 L
.30356 .29988 L
.30397 .29872 L
.30398 .29871 L
F
.30357 .29986 m
.30315 .30102 L
.30314 .30104 L
.30356 .29988 L
.30357 .29986 L
F
.30315 .30102 m
.30274 .30217 L
.30273 .3022 L
.30314 .30104 L
.30315 .30102 L
F
.30274 .30217 m
.30232 .30333 L
.30231 .30336 L
.30273 .3022 L
.30274 .30217 L
F
.30232 .30333 m
.30191 .30449 L
.3019 .30452 L
.30231 .30336 L
.30232 .30333 L
F
0 g
.3019 .30452 m
.30191 .30449 L
.30195 .30438 L
.30201 .3042 L
.3021 .30396 L
.30221 .30364 L
.30235 .30326 L
.30251 .30281 L
.30269 .30231 L
.30289 .30174 L
.30311 .30113 L
.30335 .30046 L
.30361 .29974 L
.30388 .29899 L
.30417 .29819 L
.30446 .29736 L
.30477 .29651 L
.30508 .29563 L
.3054 .29474 L
.30573 .29384 L
.30605 .29293 L
.30638 .29202 L
.3067 .29111 L
.30702 .29022 L
.30734 .28934 L
.30764 .28849 L
.30794 .28766 L
.30822 .28687 L
.3085 .28611 L
.30875 .28539 L
.30899 .28472 L
.30921 .28411 L
.30941 .28354 L
.3096 .28304 L
.30976 .28259 L
.30989 .28221 L
.31 .2819 L
.31009 .28165 L
.31016 .28147 L
.3102 .28136 L
.31021 .28133 L
.3102 .28136 L
.31016 .28147 L
.31009 .28165 L
.31 .2819 L
.30989 .28221 L
.30976 .28259 L
.3096 .28304 L
.30941 .28354 L
.30921 .28411 L
Mistroke
.30899 .28472 L
.30875 .28539 L
.3085 .28611 L
.30822 .28687 L
.30794 .28766 L
.30764 .28849 L
.30734 .28934 L
.30702 .29022 L
.3067 .29111 L
.30638 .29202 L
.30605 .29293 L
.30573 .29384 L
.3054 .29474 L
.30508 .29563 L
.30477 .29651 L
.30446 .29736 L
.30417 .29819 L
.30388 .29899 L
.30361 .29974 L
.30335 .30046 L
.30311 .30113 L
.30289 .30174 L
.30269 .30231 L
.30251 .30281 L
.30235 .30326 L
.30221 .30364 L
.3021 .30396 L
.30201 .3042 L
.30195 .30438 L
.30191 .30449 L
.3019 .30452 L
Mfstroke
.5 g
.29622 .30249 m
.3019 .30452 L
.30191 .30449 L
.29623 .30245 L
.29622 .30249 L
F
.29623 .30245 m
.30191 .30449 L
.30195 .30438 L
.29627 .30234 L
.29623 .30245 L
F
.29627 .30234 m
.30195 .30438 L
.30201 .3042 L
.29633 .30217 L
.29627 .30234 L
F
.29633 .30217 m
.30201 .3042 L
.3021 .30396 L
.29642 .30192 L
.29633 .30217 L
F
.29642 .30192 m
.3021 .30396 L
.30221 .30364 L
.29653 .3016 L
.29642 .30192 L
F
.29653 .3016 m
.30221 .30364 L
.30235 .30326 L
.29667 .30122 L
.29653 .3016 L
F
.29667 .30122 m
.30235 .30326 L
.30251 .30281 L
.29683 .30078 L
.29667 .30122 L
F
.29683 .30078 m
.30251 .30281 L
.30269 .30231 L
.29701 .30027 L
.29683 .30078 L
F
.29701 .30027 m
.30269 .30231 L
.30289 .30174 L
.29721 .29971 L
.29701 .30027 L
F
.29721 .29971 m
.30289 .30174 L
.30311 .30113 L
.29743 .29909 L
.29721 .29971 L
F
.29743 .29909 m
.30311 .30113 L
.30335 .30046 L
.29767 .29842 L
.29743 .29909 L
F
.29767 .29842 m
.30335 .30046 L
.30361 .29974 L
.29793 .29771 L
.29767 .29842 L
F
.29793 .29771 m
.30361 .29974 L
.30388 .29899 L
.2982 .29695 L
.29793 .29771 L
F
.2982 .29695 m
.30388 .29899 L
.30417 .29819 L
.29849 .29616 L
.2982 .29695 L
F
.29849 .29616 m
.30417 .29819 L
.30446 .29736 L
.29878 .29533 L
.29849 .29616 L
F
.29878 .29533 m
.30446 .29736 L
.30477 .29651 L
.29909 .29447 L
.29878 .29533 L
F
.29909 .29447 m
.30477 .29651 L
.30508 .29563 L
.2994 .2936 L
.29909 .29447 L
F
.2994 .2936 m
.30508 .29563 L
.3054 .29474 L
.29972 .2927 L
.2994 .2936 L
F
.29972 .2927 m
.3054 .29474 L
.30573 .29384 L
.30005 .2918 L
.29972 .2927 L
F
.30005 .2918 m
.30573 .29384 L
.30605 .29293 L
.30037 .29089 L
.30005 .2918 L
F
.30037 .29089 m
.30605 .29293 L
.30638 .29202 L
.3007 .28998 L
.30037 .29089 L
F
.3007 .28998 m
.30638 .29202 L
.3067 .29111 L
.30102 .28908 L
.3007 .28998 L
F
.30102 .28908 m
.3067 .29111 L
.30702 .29022 L
.30134 .28818 L
.30102 .28908 L
F
.30134 .28818 m
.30702 .29022 L
.30734 .28934 L
.30166 .28731 L
.30134 .28818 L
F
.30166 .28731 m
.30734 .28934 L
.30764 .28849 L
.30196 .28645 L
.30166 .28731 L
F
.30196 .28645 m
.30764 .28849 L
.30794 .28766 L
.30226 .28562 L
.30196 .28645 L
F
.30226 .28562 m
.30794 .28766 L
.30822 .28687 L
.30254 .28483 L
.30226 .28562 L
F
.30254 .28483 m
.30822 .28687 L
.3085 .28611 L
.30281 .28407 L
.30254 .28483 L
F
.30281 .28407 m
.3085 .28611 L
.30875 .28539 L
.30307 .28336 L
.30281 .28407 L
F
.30307 .28336 m
.30875 .28539 L
.30899 .28472 L
.30331 .28269 L
.30307 .28336 L
F
.30331 .28269 m
.30899 .28472 L
.30921 .28411 L
.30353 .28207 L
.30331 .28269 L
F
.30353 .28207 m
.30921 .28411 L
.30941 .28354 L
.30373 .28151 L
.30353 .28207 L
F
.30373 .28151 m
.30941 .28354 L
.3096 .28304 L
.30392 .281 L
.30373 .28151 L
F
.30392 .281 m
.3096 .28304 L
.30976 .28259 L
.30407 .28056 L
.30392 .281 L
F
.30407 .28056 m
.30976 .28259 L
.30989 .28221 L
.30421 .28018 L
.30407 .28056 L
F
.30421 .28018 m
.30989 .28221 L
.31 .2819 L
.30432 .27986 L
.30421 .28018 L
F
.30432 .27986 m
.31 .2819 L
.31009 .28165 L
.30441 .27961 L
.30432 .27986 L
F
.30441 .27961 m
.31009 .28165 L
.31016 .28147 L
.30448 .27944 L
.30441 .27961 L
F
.30448 .27944 m
.31016 .28147 L
.3102 .28136 L
.30451 .27933 L
.30448 .27944 L
F
.30451 .27933 m
.3102 .28136 L
.31021 .28133 L
.30453 .27929 L
.30451 .27933 L
F
.30453 .27929 m
.31021 .28133 L
.3102 .28136 L
.30451 .27933 L
.30453 .27929 L
F
.30451 .27933 m
.3102 .28136 L
.31016 .28147 L
.30448 .27944 L
.30451 .27933 L
F
.30448 .27944 m
.31016 .28147 L
.31009 .28165 L
.30441 .27961 L
.30448 .27944 L
F
.30441 .27961 m
.31009 .28165 L
.31 .2819 L
.30432 .27986 L
.30441 .27961 L
F
.30432 .27986 m
.31 .2819 L
.30989 .28221 L
.30421 .28018 L
.30432 .27986 L
F
.30421 .28018 m
.30989 .28221 L
.30976 .28259 L
.30407 .28056 L
.30421 .28018 L
F
.30407 .28056 m
.30976 .28259 L
.3096 .28304 L
.30392 .281 L
.30407 .28056 L
F
.30392 .281 m
.3096 .28304 L
.30941 .28354 L
.30373 .28151 L
.30392 .281 L
F
.30373 .28151 m
.30941 .28354 L
.30921 .28411 L
.30353 .28207 L
.30373 .28151 L
F
.30353 .28207 m
.30921 .28411 L
.30899 .28472 L
.30331 .28269 L
.30353 .28207 L
F
.30331 .28269 m
.30899 .28472 L
.30875 .28539 L
.30307 .28336 L
.30331 .28269 L
F
.30307 .28336 m
.30875 .28539 L
.3085 .28611 L
.30281 .28407 L
.30307 .28336 L
F
.30281 .28407 m
.3085 .28611 L
.30822 .28687 L
.30254 .28483 L
.30281 .28407 L
F
.30254 .28483 m
.30822 .28687 L
.30794 .28766 L
.30226 .28562 L
.30254 .28483 L
F
.30226 .28562 m
.30794 .28766 L
.30764 .28849 L
.30196 .28645 L
.30226 .28562 L
F
.30196 .28645 m
.30764 .28849 L
.30734 .28934 L
.30166 .28731 L
.30196 .28645 L
F
.30166 .28731 m
.30734 .28934 L
.30702 .29022 L
.30134 .28818 L
.30166 .28731 L
F
.30134 .28818 m
.30702 .29022 L
.3067 .29111 L
.30102 .28908 L
.30134 .28818 L
F
.30102 .28908 m
.3067 .29111 L
.30638 .29202 L
.3007 .28998 L
.30102 .28908 L
F
.3007 .28998 m
.30638 .29202 L
.30605 .29293 L
.30037 .29089 L
.3007 .28998 L
F
.30037 .29089 m
.30605 .29293 L
.30573 .29384 L
.30005 .2918 L
.30037 .29089 L
F
.30005 .2918 m
.30573 .29384 L
.3054 .29474 L
.29972 .2927 L
.30005 .2918 L
F
.29972 .2927 m
.3054 .29474 L
.30508 .29563 L
.2994 .2936 L
.29972 .2927 L
F
.2994 .2936 m
.30508 .29563 L
.30477 .29651 L
.29909 .29447 L
.2994 .2936 L
F
.29909 .29447 m
.30477 .29651 L
.30446 .29736 L
.29878 .29533 L
.29909 .29447 L
F
.29878 .29533 m
.30446 .29736 L
.30417 .29819 L
.29849 .29616 L
.29878 .29533 L
F
.29849 .29616 m
.30417 .29819 L
.30388 .29899 L
.2982 .29695 L
.29849 .29616 L
F
.2982 .29695 m
.30388 .29899 L
.30361 .29974 L
.29793 .29771 L
.2982 .29695 L
F
.29793 .29771 m
.30361 .29974 L
.30335 .30046 L
.29767 .29842 L
.29793 .29771 L
F
.29767 .29842 m
.30335 .30046 L
.30311 .30113 L
.29743 .29909 L
.29767 .29842 L
F
.29743 .29909 m
.30311 .30113 L
.30289 .30174 L
.29721 .29971 L
.29743 .29909 L
F
.29721 .29971 m
.30289 .30174 L
.30269 .30231 L
.29701 .30027 L
.29721 .29971 L
F
.29701 .30027 m
.30269 .30231 L
.30251 .30281 L
.29683 .30078 L
.29701 .30027 L
F
.29683 .30078 m
.30251 .30281 L
.30235 .30326 L
.29667 .30122 L
.29683 .30078 L
F
.29667 .30122 m
.30235 .30326 L
.30221 .30364 L
.29653 .3016 L
.29667 .30122 L
F
.29653 .3016 m
.30221 .30364 L
.3021 .30396 L
.29642 .30192 L
.29653 .3016 L
F
.29642 .30192 m
.3021 .30396 L
.30201 .3042 L
.29633 .30217 L
.29642 .30192 L
F
.29633 .30217 m
.30201 .3042 L
.30195 .30438 L
.29627 .30234 L
.29633 .30217 L
F
.29627 .30234 m
.30195 .30438 L
.30191 .30449 L
.29623 .30245 L
.29627 .30234 L
F
.29623 .30245 m
.30191 .30449 L
.3019 .30452 L
.29622 .30249 L
.29623 .30245 L
F
.62481 .06461 m
.62352 .05156 L
.60192 .05689 L
.60767 .06864 L
.62481 .06461 L
F
.60767 .06864 m
.60192 .05689 L
.5932 .06222 L
.60107 .07266 L
.60767 .06864 L
F
.60107 .07266 m
.5932 .06222 L
.58712 .06755 L
.59648 .07668 L
.60107 .07266 L
F
.59648 .07668 m
.58712 .06755 L
.58255 .07287 L
.59302 .0807 L
.59648 .07668 L
F
.59302 .0807 m
.58255 .07287 L
.57904 .0782 L
.59037 .08473 L
.59302 .0807 L
F
.59037 .08473 m
.57904 .0782 L
.57635 .08353 L
.58834 .08875 L
.59037 .08473 L
F
.58834 .08875 m
.57635 .08353 L
.57436 .08886 L
.58683 .09277 L
.58834 .08875 L
F
.58683 .09277 m
.57436 .08886 L
.57298 .09418 L
.58579 .09679 L
.58683 .09277 L
F
.58579 .09679 m
.57298 .09418 L
.57217 .09951 L
.58518 .10082 L
.58579 .09679 L
F
.58518 .10082 m
.57217 .09951 L
.57191 .10484 L
.58498 .10484 L
.58518 .10082 L
F
.58498 .10484 m
.57191 .10484 L
.57217 .11017 L
.58518 .10886 L
.58498 .10484 L
F
.58518 .10886 m
.57217 .11017 L
.57298 .11549 L
.58579 .11288 L
.58518 .10886 L
F
.58579 .11288 m
.57298 .11549 L
.57436 .12082 L
.58683 .11691 L
.58579 .11288 L
F
.58683 .11691 m
.57436 .12082 L
.57635 .12615 L
.58834 .12093 L
.58683 .11691 L
F
.58834 .12093 m
.57635 .12615 L
.57904 .13148 L
.59037 .12495 L
.58834 .12093 L
F
.59037 .12495 m
.57904 .13148 L
.58255 .1368 L
.59302 .12897 L
.59037 .12495 L
F
.59302 .12897 m
.58255 .1368 L
.58712 .14213 L
.59648 .133 L
.59302 .12897 L
F
.59648 .133 m
.58712 .14213 L
.5932 .14746 L
.60107 .13702 L
.59648 .133 L
F
.60107 .13702 m
.5932 .14746 L
.60192 .15279 L
.60767 .14104 L
.60107 .13702 L
F
.60767 .14104 m
.60192 .15279 L
.62352 .15811 L
.62481 .14506 L
.60767 .14104 L
F
0 g
.62481 .06461 m
.60767 .06864 L
.60107 .07266 L
.59648 .07668 L
.59302 .0807 L
.59037 .08473 L
.58834 .08875 L
.58683 .09277 L
.58579 .09679 L
.58518 .10082 L
.58498 .10484 L
.58518 .10886 L
.58579 .11288 L
.58683 .11691 L
.58834 .12093 L
.59037 .12495 L
.59302 .12897 L
.59648 .133 L
.60107 .13702 L
.60767 .14104 L
.62481 .14506 L
.62352 .15811 L
.60192 .15279 L
.5932 .14746 L
.58712 .14213 L
.58255 .1368 L
.57904 .13148 L
.57635 .12615 L
.57436 .12082 L
.57298 .11549 L
.57217 .11017 L
.57191 .10484 L
.57217 .09951 L
.57298 .09418 L
.57436 .08886 L
.57635 .08353 L
.57904 .0782 L
.58255 .07287 L
.58712 .06755 L
.5932 .06222 L
.60192 .05689 L
.62352 .05156 L
.62481 .06461 L
s
.5 g
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
.58498 .10484 m
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
.58498 .10484 L
F
0 g
.58498 .10484 m
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.58498 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.57191 .10484 L
.58498 .10484 L
s
.62481 .06461 m
.62352 .05156 L
.60192 .05689 L
.60767 .06864 L
.62481 .06461 L
s
.60767 .06864 m
.60192 .05689 L
.5932 .06222 L
.60107 .07266 L
.60767 .06864 L
s
.60107 .07266 m
.5932 .06222 L
.58712 .06755 L
.59648 .07668 L
.60107 .07266 L
s
.59648 .07668 m
.58712 .06755 L
.58255 .07287 L
.59302 .0807 L
.59648 .07668 L
s
.59302 .0807 m
.58255 .07287 L
.57904 .0782 L
.59037 .08473 L
.59302 .0807 L
s
.59037 .08473 m
.57904 .0782 L
.57635 .08353 L
.58834 .08875 L
.59037 .08473 L
s
.58834 .08875 m
.57635 .08353 L
.57436 .08886 L
.58683 .09277 L
.58834 .08875 L
s
.58683 .09277 m
.57436 .08886 L
.57298 .09418 L
.58579 .09679 L
.58683 .09277 L
s
.58579 .09679 m
.57298 .09418 L
.57217 .09951 L
.58518 .10082 L
.58579 .09679 L
s
.58518 .10082 m
.57217 .09951 L
.57191 .10484 L
.58498 .10484 L
.58518 .10082 L
s
.58498 .10484 m
.57191 .10484 L
.57217 .11017 L
.58518 .10886 L
.58498 .10484 L
s
.58518 .10886 m
.57217 .11017 L
.57298 .11549 L
.58579 .11288 L
.58518 .10886 L
s
.58579 .11288 m
.57298 .11549 L
.57436 .12082 L
.58683 .11691 L
.58579 .11288 L
s
.58683 .11691 m
.57436 .12082 L
.57635 .12615 L
.58834 .12093 L
.58683 .11691 L
s
.58834 .12093 m
.57635 .12615 L
.57904 .13148 L
.59037 .12495 L
.58834 .12093 L
s
.59037 .12495 m
.57904 .13148 L
.58255 .1368 L
.59302 .12897 L
.59037 .12495 L
s
.59302 .12897 m
.58255 .1368 L
.58712 .14213 L
.59648 .133 L
.59302 .12897 L
s
.59648 .133 m
.58712 .14213 L
.5932 .14746 L
.60107 .13702 L
.59648 .133 L
s
.60107 .13702 m
.5932 .14746 L
.60192 .15279 L
.60767 .14104 L
.60107 .13702 L
s
.60767 .14104 m
.60192 .15279 L
.62352 .15811 L
.62481 .14506 L
.60767 .14104 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.62352 .15811 L
.62481 .14506 L
.62481 .14506 L
s
.62481 .14506 m
.62352 .15811 L
.60192 .15279 L
.60767 .14104 L
.62481 .14506 L
s
.60767 .14104 m
.60192 .15279 L
.5932 .14746 L
.60107 .13702 L
.60767 .14104 L
s
.60107 .13702 m
.5932 .14746 L
.58712 .14213 L
.59648 .133 L
.60107 .13702 L
s
.59648 .133 m
.58712 .14213 L
.58255 .1368 L
.59302 .12897 L
.59648 .133 L
s
.59302 .12897 m
.58255 .1368 L
.57904 .13148 L
.59037 .12495 L
.59302 .12897 L
s
.59037 .12495 m
.57904 .13148 L
.57635 .12615 L
.58834 .12093 L
.59037 .12495 L
s
.58834 .12093 m
.57635 .12615 L
.57436 .12082 L
.58683 .11691 L
.58834 .12093 L
s
.58683 .11691 m
.57436 .12082 L
.57298 .11549 L
.58579 .11288 L
.58683 .11691 L
s
.58579 .11288 m
.57298 .11549 L
.57217 .11017 L
.58518 .10886 L
.58579 .11288 L
s
.58518 .10886 m
.57217 .11017 L
.57191 .10484 L
.58498 .10484 L
.58518 .10886 L
s
.58498 .10484 m
.57191 .10484 L
.57217 .09951 L
.58518 .10082 L
.58498 .10484 L
s
.58518 .10082 m
.57217 .09951 L
.57298 .09418 L
.58579 .09679 L
.58518 .10082 L
s
.58579 .09679 m
.57298 .09418 L
.57436 .08886 L
.58683 .09277 L
.58579 .09679 L
s
.58683 .09277 m
.57436 .08886 L
.57635 .08353 L
.58834 .08875 L
.58683 .09277 L
s
.58834 .08875 m
.57635 .08353 L
.57904 .0782 L
.59037 .08473 L
.58834 .08875 L
s
.59037 .08473 m
.57904 .0782 L
.58255 .07287 L
.59302 .0807 L
.59037 .08473 L
s
.59302 .0807 m
.58255 .07287 L
.58712 .06755 L
.59648 .07668 L
.59302 .0807 L
s
.59648 .07668 m
.58712 .06755 L
.5932 .06222 L
.60107 .07266 L
.59648 .07668 L
s
.60107 .07266 m
.5932 .06222 L
.60192 .05689 L
.60767 .06864 L
.60107 .07266 L
s
.60767 .06864 m
.60192 .05689 L
.62352 .05156 L
.62481 .06461 L
.60767 .06864 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.62481 .06461 m
.62352 .05156 L
.62352 .05156 L
.62481 .06461 L
.62481 .06461 L
s
.5 g
.55682 .13752 m
.55682 .16267 L
.55682 .16267 L
.55682 .13752 L
.55682 .13752 L
F
0 g
.55682 .13752 m
.55682 .16267 L
.55682 .16267 L
.55682 .13752 L
.55682 .13752 L
s
.5 g
.55682 .04701 m
.55682 .07215 L
.55682 .07215 L
.55682 .04701 L
.55682 .04701 L
F
0 g
.55682 .04701 m
.55682 .07215 L
.55682 .07215 L
.55682 .04701 L
.55682 .04701 L
s
.5 g
.54727 .04098 m
.54878 .04098 L
.54878 .04736 L
.54727 .04736 L
.54727 .04098 L
F
.54727 .04736 m
.54878 .04736 L
.54878 .05375 L
.54727 .05375 L
.54727 .04736 L
F
.54727 .05375 m
.54878 .05375 L
.54878 .06014 L
.54727 .06014 L
.54727 .05375 L
F
.54727 .06014 m
.54878 .06014 L
.54878 .06652 L
.54727 .06652 L
.54727 .06014 L
F
.54727 .06652 m
.54878 .06652 L
.54878 .07291 L
.54727 .07291 L
.54727 .06652 L
F
.54727 .07291 m
.54878 .07291 L
.54878 .07929 L
.54727 .07929 L
.54727 .07291 L
F
.54727 .07929 m
.54878 .07929 L
.54878 .08568 L
.54727 .08568 L
.54727 .07929 L
F
.54727 .08568 m
.54878 .08568 L
.54878 .09207 L
.54727 .09207 L
.54727 .08568 L
F
.54727 .09207 m
.54878 .09207 L
.54878 .09845 L
.54727 .09845 L
.54727 .09207 L
F
.54727 .09845 m
.54878 .09845 L
.54878 .10484 L
.54727 .10484 L
.54727 .09845 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .11122 L
.54727 .11122 L
.54727 .10484 L
F
.54727 .11122 m
.54878 .11122 L
.54878 .11761 L
.54727 .11761 L
.54727 .11122 L
F
.54727 .11761 m
.54878 .11761 L
.54878 .124 L
.54727 .124 L
.54727 .11761 L
F
.54727 .124 m
.54878 .124 L
.54878 .13038 L
.54727 .13038 L
.54727 .124 L
F
.54727 .13038 m
.54878 .13038 L
.54878 .13677 L
.54727 .13677 L
.54727 .13038 L
F
.54727 .13677 m
.54878 .13677 L
.54878 .14316 L
.54727 .14316 L
.54727 .13677 L
F
.54727 .14316 m
.54878 .14316 L
.54878 .14954 L
.54727 .14954 L
.54727 .14316 L
F
.54727 .14954 m
.54878 .14954 L
.54878 .15593 L
.54727 .15593 L
.54727 .14954 L
F
.54727 .15593 m
.54878 .15593 L
.54878 .16231 L
.54727 .16231 L
.54727 .15593 L
F
.54727 .16231 m
.54878 .16231 L
.54878 .1687 L
.54727 .1687 L
.54727 .16231 L
F
0 g
.54727 .04098 m
.54727 .04736 L
.54727 .05375 L
.54727 .06014 L
.54727 .06652 L
.54727 .07291 L
.54727 .07929 L
.54727 .08568 L
.54727 .09207 L
.54727 .09845 L
.54727 .10484 L
.54727 .11122 L
.54727 .11761 L
.54727 .124 L
.54727 .13038 L
.54727 .13677 L
.54727 .14316 L
.54727 .14954 L
.54727 .15593 L
.54727 .16231 L
.54727 .1687 L
.54878 .1687 L
.54878 .16231 L
.54878 .15593 L
.54878 .14954 L
.54878 .14316 L
.54878 .13677 L
.54878 .13038 L
.54878 .124 L
.54878 .11761 L
.54878 .11122 L
.54878 .10484 L
.54878 .09845 L
.54878 .09207 L
.54878 .08568 L
.54878 .07929 L
.54878 .07291 L
.54878 .06652 L
.54878 .06014 L
.54878 .05375 L
.54878 .04736 L
.54878 .04098 L
.54727 .04098 L
s
.5 g
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
.54727 .10484 m
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
.54727 .10484 L
F
0 g
.54727 .10484 m
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54727 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54878 .10484 L
.54727 .10484 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04736 L
.54727 .04736 L
.54727 .04098 L
s
.54727 .04736 m
.54878 .04736 L
.54878 .05375 L
.54727 .05375 L
.54727 .04736 L
s
.54727 .05375 m
.54878 .05375 L
.54878 .06014 L
.54727 .06014 L
.54727 .05375 L
s
.54727 .06014 m
.54878 .06014 L
.54878 .06652 L
.54727 .06652 L
.54727 .06014 L
s
.54727 .06652 m
.54878 .06652 L
.54878 .07291 L
.54727 .07291 L
.54727 .06652 L
s
.54727 .07291 m
.54878 .07291 L
.54878 .07929 L
.54727 .07929 L
.54727 .07291 L
s
.54727 .07929 m
.54878 .07929 L
.54878 .08568 L
.54727 .08568 L
.54727 .07929 L
s
.54727 .08568 m
.54878 .08568 L
.54878 .09207 L
.54727 .09207 L
.54727 .08568 L
s
.54727 .09207 m
.54878 .09207 L
.54878 .09845 L
.54727 .09845 L
.54727 .09207 L
s
.54727 .09845 m
.54878 .09845 L
.54878 .10484 L
.54727 .10484 L
.54727 .09845 L
s
.54727 .10484 m
.54878 .10484 L
.54878 .11122 L
.54727 .11122 L
.54727 .10484 L
s
.54727 .11122 m
.54878 .11122 L
.54878 .11761 L
.54727 .11761 L
.54727 .11122 L
s
.54727 .11761 m
.54878 .11761 L
.54878 .124 L
.54727 .124 L
.54727 .11761 L
s
.54727 .124 m
.54878 .124 L
.54878 .13038 L
.54727 .13038 L
.54727 .124 L
s
.54727 .13038 m
.54878 .13038 L
.54878 .13677 L
.54727 .13677 L
.54727 .13038 L
s
.54727 .13677 m
.54878 .13677 L
.54878 .14316 L
.54727 .14316 L
.54727 .13677 L
s
.54727 .14316 m
.54878 .14316 L
.54878 .14954 L
.54727 .14954 L
.54727 .14316 L
s
.54727 .14954 m
.54878 .14954 L
.54878 .15593 L
.54727 .15593 L
.54727 .14954 L
s
.54727 .15593 m
.54878 .15593 L
.54878 .16231 L
.54727 .16231 L
.54727 .15593 L
s
.54727 .16231 m
.54878 .16231 L
.54878 .1687 L
.54727 .1687 L
.54727 .16231 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .1687 L
.54727 .1687 L
.54727 .1687 L
s
.54727 .1687 m
.54878 .1687 L
.54878 .16231 L
.54727 .16231 L
.54727 .1687 L
s
.54727 .16231 m
.54878 .16231 L
.54878 .15593 L
.54727 .15593 L
.54727 .16231 L
s
.54727 .15593 m
.54878 .15593 L
.54878 .14954 L
.54727 .14954 L
.54727 .15593 L
s
.54727 .14954 m
.54878 .14954 L
.54878 .14316 L
.54727 .14316 L
.54727 .14954 L
s
.54727 .14316 m
.54878 .14316 L
.54878 .13677 L
.54727 .13677 L
.54727 .14316 L
s
.54727 .13677 m
.54878 .13677 L
.54878 .13038 L
.54727 .13038 L
.54727 .13677 L
s
.54727 .13038 m
.54878 .13038 L
.54878 .124 L
.54727 .124 L
.54727 .13038 L
s
.54727 .124 m
.54878 .124 L
.54878 .11761 L
.54727 .11761 L
.54727 .124 L
s
.54727 .11761 m
.54878 .11761 L
.54878 .11122 L
.54727 .11122 L
.54727 .11761 L
s
.54727 .11122 m
.54878 .11122 L
.54878 .10484 L
.54727 .10484 L
.54727 .11122 L
s
.54727 .10484 m
.54878 .10484 L
.54878 .09845 L
.54727 .09845 L
.54727 .10484 L
s
.54727 .09845 m
.54878 .09845 L
.54878 .09207 L
.54727 .09207 L
.54727 .09845 L
s
.54727 .09207 m
.54878 .09207 L
.54878 .08568 L
.54727 .08568 L
.54727 .09207 L
s
.54727 .08568 m
.54878 .08568 L
.54878 .07929 L
.54727 .07929 L
.54727 .08568 L
s
.54727 .07929 m
.54878 .07929 L
.54878 .07291 L
.54727 .07291 L
.54727 .07929 L
s
.54727 .07291 m
.54878 .07291 L
.54878 .06652 L
.54727 .06652 L
.54727 .07291 L
s
.54727 .06652 m
.54878 .06652 L
.54878 .06014 L
.54727 .06014 L
.54727 .06652 L
s
.54727 .06014 m
.54878 .06014 L
.54878 .05375 L
.54727 .05375 L
.54727 .06014 L
s
.54727 .05375 m
.54878 .05375 L
.54878 .04736 L
.54727 .04736 L
.54727 .05375 L
s
.54727 .04736 m
.54878 .04736 L
.54878 .04098 L
.54727 .04098 L
.54727 .04736 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.54727 .04098 m
.54878 .04098 L
.54878 .04098 L
.54727 .04098 L
.54727 .04098 L
s
.5 g
.52162 .17775 m
.51764 .17775 L
.51539 .17046 L
.52162 .17046 L
.52162 .17775 L
F
.52162 .17046 m
.51539 .17046 L
.5134 .16317 L
.52162 .16317 L
.52162 .17046 L
F
.52162 .16317 m
.5134 .16317 L
.51165 .15588 L
.52162 .15588 L
.52162 .16317 L
F
.52162 .15588 m
.51165 .15588 L
.51015 .14859 L
.52162 .14859 L
.52162 .15588 L
F
.52162 .14859 m
.51015 .14859 L
.50888 .14129 L
.52162 .14129 L
.52162 .14859 L
F
.52162 .14129 m
.50888 .14129 L
.50785 .134 L
.52162 .134 L
.52162 .14129 L
F
.52162 .134 m
.50785 .134 L
.50706 .12671 L
.52162 .12671 L
.52162 .134 L
F
.52162 .12671 m
.50706 .12671 L
.50649 .11942 L
.52162 .11942 L
.52162 .12671 L
F
.52162 .11942 m
.50649 .11942 L
.50615 .11213 L
.52162 .11213 L
.52162 .11942 L
F
.52162 .11213 m
.50615 .11213 L
.50603 .10484 L
.52162 .10484 L
.52162 .11213 L
F
.52162 .10484 m
.50603 .10484 L
.50615 .09755 L
.52162 .09755 L
.52162 .10484 L
F
.52162 .09755 m
.50615 .09755 L
.50649 .09026 L
.52162 .09026 L
.52162 .09755 L
F
.52162 .09026 m
.50649 .09026 L
.50706 .08297 L
.52162 .08297 L
.52162 .09026 L
F
.52162 .08297 m
.50706 .08297 L
.50785 .07567 L
.52162 .07567 L
.52162 .08297 L
F
.52162 .07567 m
.50785 .07567 L
.50888 .06838 L
.52162 .06838 L
.52162 .07567 L
F
.52162 .06838 m
.50888 .06838 L
.51015 .06109 L
.52162 .06109 L
.52162 .06838 L
F
.52162 .06109 m
.51015 .06109 L
.51165 .0538 L
.52162 .0538 L
.52162 .06109 L
F
.52162 .0538 m
.51165 .0538 L
.5134 .04651 L
.52162 .04651 L
.52162 .0538 L
F
.52162 .04651 m
.5134 .04651 L
.51539 .03922 L
.52162 .03922 L
.52162 .04651 L
F
.52162 .03922 m
.51539 .03922 L
.51764 .03193 L
.52162 .03193 L
.52162 .03922 L
F
0 g
.52162 .17775 m
.52162 .17046 L
.52162 .16317 L
.52162 .15588 L
.52162 .14859 L
.52162 .14129 L
.52162 .134 L
.52162 .12671 L
.52162 .11942 L
.52162 .11213 L
.52162 .10484 L
.52162 .09755 L
.52162 .09026 L
.52162 .08297 L
.52162 .07567 L
.52162 .06838 L
.52162 .06109 L
.52162 .0538 L
.52162 .04651 L
.52162 .03922 L
.52162 .03193 L
.51764 .03193 L
.51539 .03922 L
.5134 .04651 L
.51165 .0538 L
.51015 .06109 L
.50888 .06838 L
.50785 .07567 L
.50706 .08297 L
.50649 .09026 L
.50615 .09755 L
.50603 .10484 L
.50615 .11213 L
.50649 .11942 L
.50706 .12671 L
.50785 .134 L
.50888 .14129 L
.51015 .14859 L
.51165 .15588 L
.5134 .16317 L
.51539 .17046 L
.51764 .17775 L
.52162 .17775 L
s
.5 g
.52162 .10484 m
.51764 .10484 L
.51539 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51539 .10484 L
.5134 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.5134 .10484 L
.51165 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51165 .10484 L
.51015 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51015 .10484 L
.50888 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50888 .10484 L
.50785 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50785 .10484 L
.50706 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50706 .10484 L
.50649 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50649 .10484 L
.50615 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50615 .10484 L
.50603 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50603 .10484 L
.50615 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50615 .10484 L
.50649 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50649 .10484 L
.50706 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50706 .10484 L
.50785 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50785 .10484 L
.50888 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.50888 .10484 L
.51015 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51015 .10484 L
.51165 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51165 .10484 L
.5134 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.5134 .10484 L
.51539 .10484 L
.52162 .10484 L
.52162 .10484 L
F
.52162 .10484 m
.51539 .10484 L
.51764 .10484 L
.52162 .10484 L
.52162 .10484 L
F
0 g
.52162 .10484 m
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.52162 .10484 L
.51764 .10484 L
.51539 .10484 L
.5134 .10484 L
.51165 .10484 L
.51015 .10484 L
.50888 .10484 L
.50785 .10484 L
.50706 .10484 L
.50649 .10484 L
.50615 .10484 L
.50603 .10484 L
.50615 .10484 L
.50649 .10484 L
.50706 .10484 L
.50785 .10484 L
.50888 .10484 L
.51015 .10484 L
.51165 .10484 L
.5134 .10484 L
.51539 .10484 L
.51764 .10484 L
.52162 .10484 L
s
.52162 .03193 m
.51764 .03193 L
.51764 .03215 L
.52162 .03215 L
.52162 .03193 L
s
.52162 .03215 m
.51764 .03215 L
.51764 .03282 L
.52162 .03282 L
.52162 .03215 L
s
.52162 .03282 m
.51764 .03282 L
.51764 .03394 L
.52162 .03394 L
.52162 .03282 L
s
.52162 .03394 m
.51764 .03394 L
.51764 .0355 L
.52162 .0355 L
.52162 .03394 L
s
.52162 .0355 m
.51764 .0355 L
.51764 .03748 L
.52162 .03748 L
.52162 .0355 L
s
.52162 .03748 m
.51764 .03748 L
.51764 .03987 L
.52162 .03987 L
.52162 .03748 L
s
.52162 .03987 m
.51764 .03987 L
.51764 .04267 L
.52162 .04267 L
.52162 .03987 L
s
.52162 .04267 m
.51764 .04267 L
.51764 .04585 L
.52162 .04585 L
.52162 .04267 L
s
.52162 .04585 m
.51764 .04585 L
.51764 .0494 L
.52162 .0494 L
.52162 .04585 L
s
.52162 .0494 m
.51764 .0494 L
.51764 .05328 L
.52162 .05328 L
.52162 .0494 L
s
.52162 .05328 m
.51764 .05328 L
.51764 .05749 L
.52162 .05749 L
.52162 .05328 L
s
.52162 .05749 m
.51764 .05749 L
.51764 .06198 L
.52162 .06198 L
.52162 .05749 L
s
.52162 .06198 m
.51764 .06198 L
.51764 .06674 L
.52162 .06674 L
.52162 .06198 L
s
.52162 .06674 m
.51764 .06674 L
.51764 .07174 L
.52162 .07174 L
.52162 .06674 L
s
.52162 .07174 m
.51764 .07174 L
.51764 .07694 L
.52162 .07694 L
.52162 .07174 L
s
.52162 .07694 m
.51764 .07694 L
.51764 .08231 L
.52162 .08231 L
.52162 .07694 L
s
.52162 .08231 m
.51764 .08231 L
.51764 .08782 L
.52162 .08782 L
.52162 .08231 L
s
.52162 .08782 m
.51764 .08782 L
.51764 .09343 L
.52162 .09343 L
.52162 .08782 L
s
.52162 .09343 m
.51764 .09343 L
.51764 .09912 L
.52162 .09912 L
.52162 .09343 L
s
.52162 .09912 m
.51764 .09912 L
.51764 .10484 L
.52162 .10484 L
.52162 .09912 L
s
.52162 .10484 m
.51764 .10484 L
.51764 .11056 L
.52162 .11056 L
.52162 .10484 L
s
.52162 .11056 m
.51764 .11056 L
.51764 .11624 L
.52162 .11624 L
.52162 .11056 L
s
.52162 .11624 m
.51764 .11624 L
.51764 .12186 L
.52162 .12186 L
.52162 .11624 L
s
.52162 .12186 m
.51764 .12186 L
.51764 .12737 L
.52162 .12737 L
.52162 .12186 L
s
.52162 .12737 m
.51764 .12737 L
.51764 .13274 L
.52162 .13274 L
.52162 .12737 L
s
.52162 .13274 m
.51764 .13274 L
.51764 .13794 L
.52162 .13794 L
.52162 .13274 L
s
.52162 .13794 m
.51764 .13794 L
.51764 .14294 L
.52162 .14294 L
.52162 .13794 L
s
.52162 .14294 m
.51764 .14294 L
.51764 .1477 L
.52162 .1477 L
.52162 .14294 L
s
.52162 .1477 m
.51764 .1477 L
.51764 .15219 L
.52162 .15219 L
.52162 .1477 L
s
.52162 .15219 m
.51764 .15219 L
.51764 .1564 L
.52162 .1564 L
.52162 .15219 L
s
.52162 .1564 m
.51764 .1564 L
.51764 .16028 L
.52162 .16028 L
.52162 .1564 L
s
.52162 .16028 m
.51764 .16028 L
.51764 .16383 L
.52162 .16383 L
.52162 .16028 L
s
.52162 .16383 m
.51764 .16383 L
.51764 .16701 L
.52162 .16701 L
.52162 .16383 L
s
.52162 .16701 m
.51764 .16701 L
.51764 .1698 L
.52162 .1698 L
.52162 .16701 L
s
.52162 .1698 m
.51764 .1698 L
.51764 .1722 L
.52162 .1722 L
.52162 .1698 L
s
.52162 .1722 m
.51764 .1722 L
.51764 .17418 L
.52162 .17418 L
.52162 .1722 L
s
.52162 .17418 m
.51764 .17418 L
.51764 .17574 L
.52162 .17574 L
.52162 .17418 L
s
.52162 .17574 m
.51764 .17574 L
.51764 .17685 L
.52162 .17685 L
.52162 .17574 L
s
.52162 .17685 m
.51764 .17685 L
.51764 .17753 L
.52162 .17753 L
.52162 .17685 L
s
.52162 .17753 m
.51764 .17753 L
.51764 .17775 L
.52162 .17775 L
.52162 .17753 L
s
.52162 .17775 m
.51764 .17775 L
.51764 .17753 L
.52162 .17753 L
.52162 .17775 L
s
.52162 .17753 m
.51764 .17753 L
.51764 .17685 L
.52162 .17685 L
.52162 .17753 L
s
.52162 .17685 m
.51764 .17685 L
.51764 .17574 L
.52162 .17574 L
.52162 .17685 L
s
.52162 .17574 m
.51764 .17574 L
.51764 .17418 L
.52162 .17418 L
.52162 .17574 L
s
.52162 .17418 m
.51764 .17418 L
.51764 .1722 L
.52162 .1722 L
.52162 .17418 L
s
.52162 .1722 m
.51764 .1722 L
.51764 .1698 L
.52162 .1698 L
.52162 .1722 L
s
.52162 .1698 m
.51764 .1698 L
.51764 .16701 L
.52162 .16701 L
.52162 .1698 L
s
.52162 .16701 m
.51764 .16701 L
.51764 .16383 L
.52162 .16383 L
.52162 .16701 L
s
.52162 .16383 m
.51764 .16383 L
.51764 .16028 L
.52162 .16028 L
.52162 .16383 L
s
.52162 .16028 m
.51764 .16028 L
.51764 .1564 L
.52162 .1564 L
.52162 .16028 L
s
.52162 .1564 m
.51764 .1564 L
.51764 .15219 L
.52162 .15219 L
.52162 .1564 L
s
.52162 .15219 m
.51764 .15219 L
.51764 .1477 L
.52162 .1477 L
.52162 .15219 L
s
.52162 .1477 m
.51764 .1477 L
.51764 .14294 L
.52162 .14294 L
.52162 .1477 L
s
.52162 .14294 m
.51764 .14294 L
.51764 .13794 L
.52162 .13794 L
.52162 .14294 L
s
.52162 .13794 m
.51764 .13794 L
.51764 .13274 L
.52162 .13274 L
.52162 .13794 L
s
.52162 .13274 m
.51764 .13274 L
.51764 .12737 L
.52162 .12737 L
.52162 .13274 L
s
.52162 .12737 m
.51764 .12737 L
.51764 .12186 L
.52162 .12186 L
.52162 .12737 L
s
.52162 .12186 m
.51764 .12186 L
.51764 .11624 L
.52162 .11624 L
.52162 .12186 L
s
.52162 .11624 m
.51764 .11624 L
.51764 .11056 L
.52162 .11056 L
.52162 .11624 L
s
.52162 .11056 m
.51764 .11056 L
.51764 .10484 L
.52162 .10484 L
.52162 .11056 L
s
.52162 .10484 m
.51764 .10484 L
.51764 .09912 L
.52162 .09912 L
.52162 .10484 L
s
.52162 .09912 m
.51764 .09912 L
.51764 .09343 L
.52162 .09343 L
.52162 .09912 L
s
.52162 .09343 m
.51764 .09343 L
.51764 .08782 L
.52162 .08782 L
.52162 .09343 L
s
.52162 .08782 m
.51764 .08782 L
.51764 .08231 L
.52162 .08231 L
.52162 .08782 L
s
.52162 .08231 m
.51764 .08231 L
.51764 .07694 L
.52162 .07694 L
.52162 .08231 L
s
.52162 .07694 m
.51764 .07694 L
.51764 .07174 L
.52162 .07174 L
.52162 .07694 L
s
.52162 .07174 m
.51764 .07174 L
.51764 .06674 L
.52162 .06674 L
.52162 .07174 L
s
.52162 .06674 m
.51764 .06674 L
.51764 .06198 L
.52162 .06198 L
.52162 .06674 L
s
.52162 .06198 m
.51764 .06198 L
.51764 .05749 L
.52162 .05749 L
.52162 .06198 L
s
.52162 .05749 m
.51764 .05749 L
.51764 .05328 L
.52162 .05328 L
.52162 .05749 L
s
.52162 .05328 m
.51764 .05328 L
.51764 .0494 L
.52162 .0494 L
.52162 .05328 L
s
.52162 .0494 m
.51764 .0494 L
.51764 .04585 L
.52162 .04585 L
.52162 .0494 L
s
.52162 .04585 m
.51764 .04585 L
.51764 .04267 L
.52162 .04267 L
.52162 .04585 L
s
.52162 .04267 m
.51764 .04267 L
.51764 .03987 L
.52162 .03987 L
.52162 .04267 L
s
.52162 .03987 m
.51764 .03987 L
.51764 .03748 L
.52162 .03748 L
.52162 .03987 L
s
.52162 .03748 m
.51764 .03748 L
.51764 .0355 L
.52162 .0355 L
.52162 .03748 L
s
.52162 .0355 m
.51764 .0355 L
.51764 .03394 L
.52162 .03394 L
.52162 .0355 L
s
.52162 .03394 m
.51764 .03394 L
.51764 .03282 L
.52162 .03282 L
.52162 .03394 L
s
.52162 .03282 m
.51764 .03282 L
.51764 .03215 L
.52162 .03215 L
.52162 .03282 L
s
.52162 .03215 m
.51764 .03215 L
.51764 .03193 L
.52162 .03193 L
.52162 .03215 L
s
.5 g
.47134 .03193 m
.47532 .03193 L
.47757 .03922 L
.47134 .03922 L
.47134 .03193 L
F
.47134 .03922 m
.47757 .03922 L
.47956 .04651 L
.47134 .04651 L
.47134 .03922 L
F
.47134 .04651 m
.47956 .04651 L
.48131 .0538 L
.47134 .0538 L
.47134 .04651 L
F
.47134 .0538 m
.48131 .0538 L
.48281 .06109 L
.47134 .06109 L
.47134 .0538 L
F
.47134 .06109 m
.48281 .06109 L
.48408 .06838 L
.47134 .06838 L
.47134 .06109 L
F
.47134 .06838 m
.48408 .06838 L
.48511 .07567 L
.47134 .07567 L
.47134 .06838 L
F
.47134 .07567 m
.48511 .07567 L
.4859 .08297 L
.47134 .08297 L
.47134 .07567 L
F
.47134 .08297 m
.4859 .08297 L
.48647 .09026 L
.47134 .09026 L
.47134 .08297 L
F
.47134 .09026 m
.48647 .09026 L
.48681 .09755 L
.47134 .09755 L
.47134 .09026 L
F
.47134 .09755 m
.48681 .09755 L
.48693 .10484 L
.47134 .10484 L
.47134 .09755 L
F
.47134 .10484 m
.48693 .10484 L
.48681 .11213 L
.47134 .11213 L
.47134 .10484 L
F
.47134 .11213 m
.48681 .11213 L
.48647 .11942 L
.47134 .11942 L
.47134 .11213 L
F
.47134 .11942 m
.48647 .11942 L
.4859 .12671 L
.47134 .12671 L
.47134 .11942 L
F
.47134 .12671 m
.4859 .12671 L
.48511 .134 L
.47134 .134 L
.47134 .12671 L
F
.47134 .134 m
.48511 .134 L
.48408 .14129 L
.47134 .14129 L
.47134 .134 L
F
.47134 .14129 m
.48408 .14129 L
.48281 .14859 L
.47134 .14859 L
.47134 .14129 L
F
.47134 .14859 m
.48281 .14859 L
.48131 .15588 L
.47134 .15588 L
.47134 .14859 L
F
.47134 .15588 m
.48131 .15588 L
.47956 .16317 L
.47134 .16317 L
.47134 .15588 L
F
.47134 .16317 m
.47956 .16317 L
.47757 .17046 L
.47134 .17046 L
.47134 .16317 L
F
.47134 .17046 m
.47757 .17046 L
.47532 .17775 L
.47134 .17775 L
.47134 .17046 L
F
0 g
.47134 .03193 m
.47134 .03922 L
.47134 .04651 L
.47134 .0538 L
.47134 .06109 L
.47134 .06838 L
.47134 .07567 L
.47134 .08297 L
.47134 .09026 L
.47134 .09755 L
.47134 .10484 L
.47134 .11213 L
.47134 .11942 L
.47134 .12671 L
.47134 .134 L
.47134 .14129 L
.47134 .14859 L
.47134 .15588 L
.47134 .16317 L
.47134 .17046 L
.47134 .17775 L
.47532 .17775 L
.47757 .17046 L
.47956 .16317 L
.48131 .15588 L
.48281 .14859 L
.48408 .14129 L
.48511 .134 L
.4859 .12671 L
.48647 .11942 L
.48681 .11213 L
.48693 .10484 L
.48681 .09755 L
.48647 .09026 L
.4859 .08297 L
.48511 .07567 L
.48408 .06838 L
.48281 .06109 L
.48131 .0538 L
.47956 .04651 L
.47757 .03922 L
.47532 .03193 L
.47134 .03193 L
s
.5 g
.47134 .10484 m
.47532 .10484 L
.47757 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.47757 .10484 L
.47956 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.47956 .10484 L
.48131 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48131 .10484 L
.48281 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48281 .10484 L
.48408 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48408 .10484 L
.48511 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48511 .10484 L
.4859 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.4859 .10484 L
.48647 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48647 .10484 L
.48681 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48681 .10484 L
.48693 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48693 .10484 L
.48681 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48681 .10484 L
.48647 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48647 .10484 L
.4859 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.4859 .10484 L
.48511 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48511 .10484 L
.48408 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48408 .10484 L
.48281 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48281 .10484 L
.48131 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.48131 .10484 L
.47956 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.47956 .10484 L
.47757 .10484 L
.47134 .10484 L
.47134 .10484 L
F
.47134 .10484 m
.47757 .10484 L
.47532 .10484 L
.47134 .10484 L
.47134 .10484 L
F
0 g
.47134 .10484 m
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47134 .10484 L
.47532 .10484 L
.47757 .10484 L
.47956 .10484 L
.48131 .10484 L
.48281 .10484 L
.48408 .10484 L
.48511 .10484 L
.4859 .10484 L
.48647 .10484 L
.48681 .10484 L
.48693 .10484 L
.48681 .10484 L
.48647 .10484 L
.4859 .10484 L
.48511 .10484 L
.48408 .10484 L
.48281 .10484 L
.48131 .10484 L
.47956 .10484 L
.47757 .10484 L
.47532 .10484 L
.47134 .10484 L
s
.47134 .17775 m
.47532 .17775 L
.47532 .17753 L
.47134 .17753 L
.47134 .17775 L
s
.47134 .17753 m
.47532 .17753 L
.47532 .17685 L
.47134 .17685 L
.47134 .17753 L
s
.47134 .17685 m
.47532 .17685 L
.47532 .17574 L
.47134 .17574 L
.47134 .17685 L
s
.47134 .17574 m
.47532 .17574 L
.47532 .17418 L
.47134 .17418 L
.47134 .17574 L
s
.47134 .17418 m
.47532 .17418 L
.47532 .1722 L
.47134 .1722 L
.47134 .17418 L
s
.47134 .1722 m
.47532 .1722 L
.47532 .1698 L
.47134 .1698 L
.47134 .1722 L
s
.47134 .1698 m
.47532 .1698 L
.47532 .16701 L
.47134 .16701 L
.47134 .1698 L
s
.47134 .16701 m
.47532 .16701 L
.47532 .16383 L
.47134 .16383 L
.47134 .16701 L
s
.47134 .16383 m
.47532 .16383 L
.47532 .16028 L
.47134 .16028 L
.47134 .16383 L
s
.47134 .16028 m
.47532 .16028 L
.47532 .1564 L
.47134 .1564 L
.47134 .16028 L
s
.47134 .1564 m
.47532 .1564 L
.47532 .15219 L
.47134 .15219 L
.47134 .1564 L
s
.47134 .15219 m
.47532 .15219 L
.47532 .1477 L
.47134 .1477 L
.47134 .15219 L
s
.47134 .1477 m
.47532 .1477 L
.47532 .14294 L
.47134 .14294 L
.47134 .1477 L
s
.47134 .14294 m
.47532 .14294 L
.47532 .13794 L
.47134 .13794 L
.47134 .14294 L
s
.47134 .13794 m
.47532 .13794 L
.47532 .13274 L
.47134 .13274 L
.47134 .13794 L
s
.47134 .13274 m
.47532 .13274 L
.47532 .12737 L
.47134 .12737 L
.47134 .13274 L
s
.47134 .12737 m
.47532 .12737 L
.47532 .12186 L
.47134 .12186 L
.47134 .12737 L
s
.47134 .12186 m
.47532 .12186 L
.47532 .11624 L
.47134 .11624 L
.47134 .12186 L
s
.47134 .11624 m
.47532 .11624 L
.47532 .11056 L
.47134 .11056 L
.47134 .11624 L
s
.47134 .11056 m
.47532 .11056 L
.47532 .10484 L
.47134 .10484 L
.47134 .11056 L
s
.47134 .10484 m
.47532 .10484 L
.47532 .09912 L
.47134 .09912 L
.47134 .10484 L
s
.47134 .09912 m
.47532 .09912 L
.47532 .09343 L
.47134 .09343 L
.47134 .09912 L
s
.47134 .09343 m
.47532 .09343 L
.47532 .08782 L
.47134 .08782 L
.47134 .09343 L
s
.47134 .08782 m
.47532 .08782 L
.47532 .08231 L
.47134 .08231 L
.47134 .08782 L
s
.47134 .08231 m
.47532 .08231 L
.47532 .07694 L
.47134 .07694 L
.47134 .08231 L
s
.47134 .07694 m
.47532 .07694 L
.47532 .07174 L
.47134 .07174 L
.47134 .07694 L
s
.47134 .07174 m
.47532 .07174 L
.47532 .06674 L
.47134 .06674 L
.47134 .07174 L
s
.47134 .06674 m
.47532 .06674 L
.47532 .06198 L
.47134 .06198 L
.47134 .06674 L
s
.47134 .06198 m
.47532 .06198 L
.47532 .05749 L
.47134 .05749 L
.47134 .06198 L
s
.47134 .05749 m
.47532 .05749 L
.47532 .05328 L
.47134 .05328 L
.47134 .05749 L
s
.47134 .05328 m
.47532 .05328 L
.47532 .0494 L
.47134 .0494 L
.47134 .05328 L
s
.47134 .0494 m
.47532 .0494 L
.47532 .04585 L
.47134 .04585 L
.47134 .0494 L
s
.47134 .04585 m
.47532 .04585 L
.47532 .04267 L
.47134 .04267 L
.47134 .04585 L
s
.47134 .04267 m
.47532 .04267 L
.47532 .03987 L
.47134 .03987 L
.47134 .04267 L
s
.47134 .03987 m
.47532 .03987 L
.47532 .03748 L
.47134 .03748 L
.47134 .03987 L
s
.47134 .03748 m
.47532 .03748 L
.47532 .0355 L
.47134 .0355 L
.47134 .03748 L
s
.47134 .0355 m
.47532 .0355 L
.47532 .03394 L
.47134 .03394 L
.47134 .0355 L
s
.47134 .03394 m
.47532 .03394 L
.47532 .03282 L
.47134 .03282 L
.47134 .03394 L
s
.47134 .03282 m
.47532 .03282 L
.47532 .03215 L
.47134 .03215 L
.47134 .03282 L
s
.47134 .03215 m
.47532 .03215 L
.47532 .03193 L
.47134 .03193 L
.47134 .03215 L
s
.47134 .03193 m
.47532 .03193 L
.47532 .03215 L
.47134 .03215 L
.47134 .03193 L
s
.47134 .03215 m
.47532 .03215 L
.47532 .03282 L
.47134 .03282 L
.47134 .03215 L
s
.47134 .03282 m
.47532 .03282 L
.47532 .03394 L
.47134 .03394 L
.47134 .03282 L
s
.47134 .03394 m
.47532 .03394 L
.47532 .0355 L
.47134 .0355 L
.47134 .03394 L
s
.47134 .0355 m
.47532 .0355 L
.47532 .03748 L
.47134 .03748 L
.47134 .0355 L
s
.47134 .03748 m
.47532 .03748 L
.47532 .03987 L
.47134 .03987 L
.47134 .03748 L
s
.47134 .03987 m
.47532 .03987 L
.47532 .04267 L
.47134 .04267 L
.47134 .03987 L
s
.47134 .04267 m
.47532 .04267 L
.47532 .04585 L
.47134 .04585 L
.47134 .04267 L
s
.47134 .04585 m
.47532 .04585 L
.47532 .0494 L
.47134 .0494 L
.47134 .04585 L
s
.47134 .0494 m
.47532 .0494 L
.47532 .05328 L
.47134 .05328 L
.47134 .0494 L
s
.47134 .05328 m
.47532 .05328 L
.47532 .05749 L
.47134 .05749 L
.47134 .05328 L
s
.47134 .05749 m
.47532 .05749 L
.47532 .06198 L
.47134 .06198 L
.47134 .05749 L
s
.47134 .06198 m
.47532 .06198 L
.47532 .06674 L
.47134 .06674 L
.47134 .06198 L
s
.47134 .06674 m
.47532 .06674 L
.47532 .07174 L
.47134 .07174 L
.47134 .06674 L
s
.47134 .07174 m
.47532 .07174 L
.47532 .07694 L
.47134 .07694 L
.47134 .07174 L
s
.47134 .07694 m
.47532 .07694 L
.47532 .08231 L
.47134 .08231 L
.47134 .07694 L
s
.47134 .08231 m
.47532 .08231 L
.47532 .08782 L
.47134 .08782 L
.47134 .08231 L
s
.47134 .08782 m
.47532 .08782 L
.47532 .09343 L
.47134 .09343 L
.47134 .08782 L
s
.47134 .09343 m
.47532 .09343 L
.47532 .09912 L
.47134 .09912 L
.47134 .09343 L
s
.47134 .09912 m
.47532 .09912 L
.47532 .10484 L
.47134 .10484 L
.47134 .09912 L
s
.47134 .10484 m
.47532 .10484 L
.47532 .11056 L
.47134 .11056 L
.47134 .10484 L
s
.47134 .11056 m
.47532 .11056 L
.47532 .11624 L
.47134 .11624 L
.47134 .11056 L
s
.47134 .11624 m
.47532 .11624 L
.47532 .12186 L
.47134 .12186 L
.47134 .11624 L
s
.47134 .12186 m
.47532 .12186 L
.47532 .12737 L
.47134 .12737 L
.47134 .12186 L
s
.47134 .12737 m
.47532 .12737 L
.47532 .13274 L
.47134 .13274 L
.47134 .12737 L
s
.47134 .13274 m
.47532 .13274 L
.47532 .13794 L
.47134 .13794 L
.47134 .13274 L
s
.47134 .13794 m
.47532 .13794 L
.47532 .14294 L
.47134 .14294 L
.47134 .13794 L
s
.47134 .14294 m
.47532 .14294 L
.47532 .1477 L
.47134 .1477 L
.47134 .14294 L
s
.47134 .1477 m
.47532 .1477 L
.47532 .15219 L
.47134 .15219 L
.47134 .1477 L
s
.47134 .15219 m
.47532 .15219 L
.47532 .1564 L
.47134 .1564 L
.47134 .15219 L
s
.47134 .1564 m
.47532 .1564 L
.47532 .16028 L
.47134 .16028 L
.47134 .1564 L
s
.47134 .16028 m
.47532 .16028 L
.47532 .16383 L
.47134 .16383 L
.47134 .16028 L
s
.47134 .16383 m
.47532 .16383 L
.47532 .16701 L
.47134 .16701 L
.47134 .16383 L
s
.47134 .16701 m
.47532 .16701 L
.47532 .1698 L
.47134 .1698 L
.47134 .16701 L
s
.47134 .1698 m
.47532 .1698 L
.47532 .1722 L
.47134 .1722 L
.47134 .1698 L
s
.47134 .1722 m
.47532 .1722 L
.47532 .17418 L
.47134 .17418 L
.47134 .1722 L
s
.47134 .17418 m
.47532 .17418 L
.47532 .17574 L
.47134 .17574 L
.47134 .17418 L
s
.47134 .17574 m
.47532 .17574 L
.47532 .17685 L
.47134 .17685 L
.47134 .17574 L
s
.47134 .17685 m
.47532 .17685 L
.47532 .17753 L
.47134 .17753 L
.47134 .17685 L
s
.47134 .17753 m
.47532 .17753 L
.47532 .17775 L
.47134 .17775 L
.47134 .17753 L
s
.5 g
.17466 .0797 m
.17714 .0797 L
.17844 .08221 L
.17466 .08221 L
.17466 .0797 L
F
.17466 .08221 m
.17844 .08221 L
.17957 .08473 L
.17466 .08473 L
.17466 .08221 L
F
.17466 .08473 m
.17957 .08473 L
.18054 .08724 L
.17466 .08724 L
.17466 .08473 L
F
.17466 .08724 m
.18054 .08724 L
.18137 .08975 L
.17466 .08975 L
.17466 .08724 L
F
.17466 .08975 m
.18137 .08975 L
.18207 .09227 L
.17466 .09227 L
.17466 .08975 L
F
.17466 .09227 m
.18207 .09227 L
.18262 .09478 L
.17466 .09478 L
.17466 .09227 L
F
.17466 .09478 m
.18262 .09478 L
.18305 .0973 L
.17466 .0973 L
.17466 .09478 L
F
.17466 .0973 m
.18305 .0973 L
.18336 .09981 L
.17466 .09981 L
.17466 .0973 L
F
.17466 .09981 m
.18336 .09981 L
.18354 .10232 L
.17466 .10232 L
.17466 .09981 L
F
.17466 .10232 m
.18354 .10232 L
.1836 .10484 L
.17466 .10484 L
.17466 .10232 L
F
.17466 .10484 m
.1836 .10484 L
.18354 .10735 L
.17466 .10735 L
.17466 .10484 L
F
.17466 .10735 m
.18354 .10735 L
.18336 .10987 L
.17466 .10987 L
.17466 .10735 L
F
.17466 .10987 m
.18336 .10987 L
.18305 .11238 L
.17466 .11238 L
.17466 .10987 L
F
.17466 .11238 m
.18305 .11238 L
.18262 .1149 L
.17466 .1149 L
.17466 .11238 L
F
.17466 .1149 m
.18262 .1149 L
.18207 .11741 L
.17466 .11741 L
.17466 .1149 L
F
.17466 .11741 m
.18207 .11741 L
.18137 .11992 L
.17466 .11992 L
.17466 .11741 L
F
.17466 .11992 m
.18137 .11992 L
.18054 .12244 L
.17466 .12244 L
.17466 .11992 L
F
.17466 .12244 m
.18054 .12244 L
.17957 .12495 L
.17466 .12495 L
.17466 .12244 L
F
.17466 .12495 m
.17957 .12495 L
.17844 .12747 L
.17466 .12747 L
.17466 .12495 L
F
.17466 .12747 m
.17844 .12747 L
.17714 .12998 L
.17466 .12998 L
.17466 .12747 L
F
0 g
.17466 .0797 m
.17466 .08221 L
.17466 .08473 L
.17466 .08724 L
.17466 .08975 L
.17466 .09227 L
.17466 .09478 L
.17466 .0973 L
.17466 .09981 L
.17466 .10232 L
.17466 .10484 L
.17466 .10735 L
.17466 .10987 L
.17466 .11238 L
.17466 .1149 L
.17466 .11741 L
.17466 .11992 L
.17466 .12244 L
.17466 .12495 L
.17466 .12747 L
.17466 .12998 L
.17714 .12998 L
.17844 .12747 L
.17957 .12495 L
.18054 .12244 L
.18137 .11992 L
.18207 .11741 L
.18262 .1149 L
.18305 .11238 L
.18336 .10987 L
.18354 .10735 L
.1836 .10484 L
.18354 .10232 L
.18336 .09981 L
.18305 .0973 L
.18262 .09478 L
.18207 .09227 L
.18137 .08975 L
.18054 .08724 L
.17957 .08473 L
.17844 .08221 L
.17714 .0797 L
.17466 .0797 L
s
.5 g
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
.17466 .10484 m
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
.17466 .10484 L
F
0 g
.17466 .10484 m
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.17466 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.1836 .10484 L
.17466 .10484 L
s
.17466 .0797 m
.17714 .0797 L
.17844 .08221 L
.17466 .08221 L
.17466 .0797 L
s
.17466 .08221 m
.17844 .08221 L
.17957 .08473 L
.17466 .08473 L
.17466 .08221 L
s
.17466 .08473 m
.17957 .08473 L
.18054 .08724 L
.17466 .08724 L
.17466 .08473 L
s
.17466 .08724 m
.18054 .08724 L
.18137 .08975 L
.17466 .08975 L
.17466 .08724 L
s
.17466 .08975 m
.18137 .08975 L
.18207 .09227 L
.17466 .09227 L
.17466 .08975 L
s
.17466 .09227 m
.18207 .09227 L
.18262 .09478 L
.17466 .09478 L
.17466 .09227 L
s
.17466 .09478 m
.18262 .09478 L
.18305 .0973 L
.17466 .0973 L
.17466 .09478 L
s
.17466 .0973 m
.18305 .0973 L
.18336 .09981 L
.17466 .09981 L
.17466 .0973 L
s
.17466 .09981 m
.18336 .09981 L
.18354 .10232 L
.17466 .10232 L
.17466 .09981 L
s
.17466 .10232 m
.18354 .10232 L
.1836 .10484 L
.17466 .10484 L
.17466 .10232 L
s
.17466 .10484 m
.1836 .10484 L
.18354 .10735 L
.17466 .10735 L
.17466 .10484 L
s
.17466 .10735 m
.18354 .10735 L
.18336 .10987 L
.17466 .10987 L
.17466 .10735 L
s
.17466 .10987 m
.18336 .10987 L
.18305 .11238 L
.17466 .11238 L
.17466 .10987 L
s
.17466 .11238 m
.18305 .11238 L
.18262 .1149 L
.17466 .1149 L
.17466 .11238 L
s
.17466 .1149 m
.18262 .1149 L
.18207 .11741 L
.17466 .11741 L
.17466 .1149 L
s
.17466 .11741 m
.18207 .11741 L
.18137 .11992 L
.17466 .11992 L
.17466 .11741 L
s
.17466 .11992 m
.18137 .11992 L
.18054 .12244 L
.17466 .12244 L
.17466 .11992 L
s
.17466 .12244 m
.18054 .12244 L
.17957 .12495 L
.17466 .12495 L
.17466 .12244 L
s
.17466 .12495 m
.17957 .12495 L
.17844 .12747 L
.17466 .12747 L
.17466 .12495 L
s
.17466 .12747 m
.17844 .12747 L
.17714 .12998 L
.17466 .12998 L
.17466 .12747 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17714 .12998 L
.17466 .12998 L
.17466 .12998 L
s
.17466 .12998 m
.17714 .12998 L
.17844 .12747 L
.17466 .12747 L
.17466 .12998 L
s
.17466 .12747 m
.17844 .12747 L
.17957 .12495 L
.17466 .12495 L
.17466 .12747 L
s
.17466 .12495 m
.17957 .12495 L
.18054 .12244 L
.17466 .12244 L
.17466 .12495 L
s
.17466 .12244 m
.18054 .12244 L
.18137 .11992 L
.17466 .11992 L
.17466 .12244 L
s
.17466 .11992 m
.18137 .11992 L
.18207 .11741 L
.17466 .11741 L
.17466 .11992 L
s
.17466 .11741 m
.18207 .11741 L
.18262 .1149 L
.17466 .1149 L
.17466 .11741 L
s
.17466 .1149 m
.18262 .1149 L
.18305 .11238 L
.17466 .11238 L
.17466 .1149 L
s
.17466 .11238 m
.18305 .11238 L
.18336 .10987 L
.17466 .10987 L
.17466 .11238 L
s
.17466 .10987 m
.18336 .10987 L
.18354 .10735 L
.17466 .10735 L
.17466 .10987 L
s
.17466 .10735 m
.18354 .10735 L
.1836 .10484 L
.17466 .10484 L
.17466 .10735 L
s
.17466 .10484 m
.1836 .10484 L
.18354 .10232 L
.17466 .10232 L
.17466 .10484 L
s
.17466 .10232 m
.18354 .10232 L
.18336 .09981 L
.17466 .09981 L
.17466 .10232 L
s
.17466 .09981 m
.18336 .09981 L
.18305 .0973 L
.17466 .0973 L
.17466 .09981 L
s
.17466 .0973 m
.18305 .0973 L
.18262 .09478 L
.17466 .09478 L
.17466 .0973 L
s
.17466 .09478 m
.18262 .09478 L
.18207 .09227 L
.17466 .09227 L
.17466 .09478 L
s
.17466 .09227 m
.18207 .09227 L
.18137 .08975 L
.17466 .08975 L
.17466 .09227 L
s
.17466 .08975 m
.18137 .08975 L
.18054 .08724 L
.17466 .08724 L
.17466 .08975 L
s
.17466 .08724 m
.18054 .08724 L
.17957 .08473 L
.17466 .08473 L
.17466 .08724 L
s
.17466 .08473 m
.17957 .08473 L
.17844 .08221 L
.17466 .08221 L
.17466 .08473 L
s
.17466 .08221 m
.17844 .08221 L
.17714 .0797 L
.17466 .0797 L
.17466 .08221 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.17466 .0797 m
.17714 .0797 L
.17714 .0797 L
.17466 .0797 L
.17466 .0797 L
s
.5 g
.08737 .07775 m
.08872 .07841 L
.0874 .08112 L
.08604 .08046 L
.08737 .07775 L
F
.08604 .08046 m
.0874 .08112 L
.08607 .08383 L
.08471 .08316 L
.08604 .08046 L
F
.08471 .08316 m
.08607 .08383 L
.08474 .08654 L
.08339 .08587 L
.08471 .08316 L
F
.08339 .08587 m
.08474 .08654 L
.08341 .08925 L
.08206 .08858 L
.08339 .08587 L
F
.08206 .08858 m
.08341 .08925 L
.08209 .09196 L
.08073 .09129 L
.08206 .08858 L
F
.08073 .09129 m
.08209 .09196 L
.08076 .09467 L
.0794 .094 L
.08073 .09129 L
F
.0794 .094 m
.08076 .09467 L
.07943 .09737 L
.07808 .09671 L
.0794 .094 L
F
.07808 .09671 m
.07943 .09737 L
.0781 .10008 L
.07675 .09942 L
.07808 .09671 L
F
.07675 .09942 m
.0781 .10008 L
.07678 .10279 L
.07542 .10213 L
.07675 .09942 L
F
.07542 .10213 m
.07678 .10279 L
.07545 .1055 L
.07409 .10484 L
.07542 .10213 L
F
.07409 .10484 m
.07545 .1055 L
.07412 .10821 L
.07277 .10755 L
.07409 .10484 L
F
.07277 .10755 m
.07412 .10821 L
.07279 .11092 L
.07144 .11026 L
.07277 .10755 L
F
.07144 .11026 m
.07279 .11092 L
.07147 .11363 L
.07011 .11297 L
.07144 .11026 L
F
.07011 .11297 m
.07147 .11363 L
.07014 .11634 L
.06878 .11568 L
.07011 .11297 L
F
.06878 .11568 m
.07014 .11634 L
.06881 .11905 L
.06746 .11839 L
.06878 .11568 L
F
.06746 .11839 m
.06881 .11905 L
.06748 .12176 L
.06613 .12109 L
.06746 .11839 L
F
.06613 .12109 m
.06748 .12176 L
.06616 .12447 L
.0648 .1238 L
.06613 .12109 L
F
.0648 .1238 m
.06616 .12447 L
.06483 .12718 L
.06347 .12651 L
.0648 .1238 L
F
.06347 .12651 m
.06483 .12718 L
.0635 .12989 L
.06215 .12922 L
.06347 .12651 L
F
.06215 .12922 m
.0635 .12989 L
.06217 .1326 L
.06082 .13193 L
.06215 .12922 L
F
0 g
.08737 .07775 m
.08604 .08046 L
.08471 .08316 L
.08339 .08587 L
.08206 .08858 L
.08073 .09129 L
.0794 .094 L
.07808 .09671 L
.07675 .09942 L
.07542 .10213 L
.07409 .10484 L
.07277 .10755 L
.07144 .11026 L
.07011 .11297 L
.06878 .11568 L
.06746 .11839 L
.06613 .12109 L
.0648 .1238 L
.06347 .12651 L
.06215 .12922 L
.06082 .13193 L
.06217 .1326 L
.0635 .12989 L
.06483 .12718 L
.06616 .12447 L
.06748 .12176 L
.06881 .11905 L
.07014 .11634 L
.07147 .11363 L
.07279 .11092 L
.07412 .10821 L
.07545 .1055 L
.07678 .10279 L
.0781 .10008 L
.07943 .09737 L
.08076 .09467 L
.08209 .09196 L
.08341 .08925 L
.08474 .08654 L
.08607 .08383 L
.0874 .08112 L
.08872 .07841 L
.08737 .07775 L
s
.5 g
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
.07409 .10484 m
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
.07409 .10484 L
F
0 g
.07409 .10484 m
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07409 .10484 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07545 .1055 L
.07409 .10484 L
s
.06082 .13193 m
.06217 .1326 L
.06221 .13251 L
.06086 .13185 L
.06082 .13193 L
s
.06086 .13185 m
.06221 .13251 L
.06234 .13226 L
.06098 .1316 L
.06086 .13185 L
s
.06098 .1316 m
.06234 .13226 L
.06254 .13185 L
.06119 .13118 L
.06098 .1316 L
s
.06119 .13118 m
.06254 .13185 L
.06282 .13127 L
.06147 .13061 L
.06119 .13118 L
s
.06147 .13061 m
.06282 .13127 L
.06318 .13053 L
.06183 .12987 L
.06147 .13061 L
s
.06183 .12987 m
.06318 .13053 L
.06362 .12964 L
.06227 .12898 L
.06183 .12987 L
s
.06227 .12898 m
.06362 .12964 L
.06413 .1286 L
.06277 .12794 L
.06227 .12898 L
s
.06277 .12794 m
.06413 .1286 L
.06471 .12742 L
.06335 .12676 L
.06277 .12794 L
s
.06335 .12676 m
.06471 .12742 L
.06535 .1261 L
.064 .12544 L
.06335 .12676 L
s
.064 .12544 m
.06535 .1261 L
.06606 .12466 L
.06471 .124 L
.064 .12544 L
s
.06471 .124 m
.06606 .12466 L
.06683 .1231 L
.06547 .12243 L
.06471 .124 L
s
.06547 .12243 m
.06683 .1231 L
.06765 .12143 L
.06629 .12076 L
.06547 .12243 L
s
.06629 .12076 m
.06765 .12143 L
.06851 .11966 L
.06716 .11899 L
.06629 .12076 L
s
.06716 .11899 m
.06851 .11966 L
.06942 .1178 L
.06807 .11714 L
.06716 .11899 L
s
.06807 .11714 m
.06942 .1178 L
.07037 .11587 L
.06901 .11521 L
.06807 .11714 L
s
.06901 .11521 m
.07037 .11587 L
.07135 .11387 L
.06999 .11321 L
.06901 .11521 L
s
.06999 .11321 m
.07135 .11387 L
.07235 .11183 L
.07099 .11116 L
.06999 .11321 L
s
.07099 .11116 m
.07235 .11183 L
.07337 .10974 L
.07202 .10908 L
.07099 .11116 L
s
.07202 .10908 m
.07337 .10974 L
.07441 .10763 L
.07305 .10696 L
.07202 .10908 L
s
.07305 .10696 m
.07441 .10763 L
.07545 .1055 L
.07409 .10484 L
.07305 .10696 L
s
.07409 .10484 m
.07545 .1055 L
.07649 .10338 L
.07514 .10271 L
.07409 .10484 L
s
.07514 .10271 m
.07649 .10338 L
.07752 .10126 L
.07617 .1006 L
.07514 .10271 L
s
.07617 .1006 m
.07752 .10126 L
.07855 .09918 L
.07719 .09851 L
.07617 .1006 L
s
.07719 .09851 m
.07855 .09918 L
.07955 .09713 L
.0782 .09647 L
.07719 .09851 L
s
.0782 .09647 m
.07955 .09713 L
.08053 .09513 L
.07917 .09447 L
.0782 .09647 L
s
.07917 .09447 m
.08053 .09513 L
.08147 .0932 L
.08012 .09254 L
.07917 .09447 L
s
.08012 .09254 m
.08147 .0932 L
.08238 .09135 L
.08103 .09068 L
.08012 .09254 L
s
.08103 .09068 m
.08238 .09135 L
.08325 .08958 L
.0819 .08891 L
.08103 .09068 L
s
.0819 .08891 m
.08325 .08958 L
.08407 .08791 L
.08272 .08724 L
.0819 .08891 L
s
.08272 .08724 m
.08407 .08791 L
.08484 .08634 L
.08348 .08568 L
.08272 .08724 L
s
.08348 .08568 m
.08484 .08634 L
.08554 .0849 L
.08419 .08424 L
.08348 .08568 L
s
.08419 .08424 m
.08554 .0849 L
.08619 .08358 L
.08483 .08292 L
.08419 .08424 L
s
.08483 .08292 m
.08619 .08358 L
.08677 .0824 L
.08541 .08174 L
.08483 .08292 L
s
.08541 .08174 m
.08677 .0824 L
.08728 .08136 L
.08592 .0807 L
.08541 .08174 L
s
.08592 .0807 m
.08728 .08136 L
.08771 .08047 L
.08636 .07981 L
.08592 .0807 L
s
.08636 .07981 m
.08771 .08047 L
.08807 .07974 L
.08672 .07907 L
.08636 .07981 L
s
.08672 .07907 m
.08807 .07974 L
.08836 .07916 L
.087 .07849 L
.08672 .07907 L
s
.087 .07849 m
.08836 .07916 L
.08856 .07874 L
.08721 .07808 L
.087 .07849 L
s
.08721 .07808 m
.08856 .07874 L
.08868 .07849 L
.08733 .07783 L
.08721 .07808 L
s
.08733 .07783 m
.08868 .07849 L
.08872 .07841 L
.08737 .07775 L
.08733 .07783 L
s
.08737 .07775 m
.08872 .07841 L
.08868 .07849 L
.08733 .07783 L
.08737 .07775 L
s
.08733 .07783 m
.08868 .07849 L
.08856 .07874 L
.08721 .07808 L
.08733 .07783 L
s
.08721 .07808 m
.08856 .07874 L
.08836 .07916 L
.087 .07849 L
.08721 .07808 L
s
.087 .07849 m
.08836 .07916 L
.08807 .07974 L
.08672 .07907 L
.087 .07849 L
s
.08672 .07907 m
.08807 .07974 L
.08771 .08047 L
.08636 .07981 L
.08672 .07907 L
s
.08636 .07981 m
.08771 .08047 L
.08728 .08136 L
.08592 .0807 L
.08636 .07981 L
s
.08592 .0807 m
.08728 .08136 L
.08677 .0824 L
.08541 .08174 L
.08592 .0807 L
s
.08541 .08174 m
.08677 .0824 L
.08619 .08358 L
.08483 .08292 L
.08541 .08174 L
s
.08483 .08292 m
.08619 .08358 L
.08554 .0849 L
.08419 .08424 L
.08483 .08292 L
s
.08419 .08424 m
.08554 .0849 L
.08484 .08634 L
.08348 .08568 L
.08419 .08424 L
s
.08348 .08568 m
.08484 .08634 L
.08407 .08791 L
.08272 .08724 L
.08348 .08568 L
s
.08272 .08724 m
.08407 .08791 L
.08325 .08958 L
.0819 .08891 L
.08272 .08724 L
s
.0819 .08891 m
.08325 .08958 L
.08238 .09135 L
.08103 .09068 L
.0819 .08891 L
s
.08103 .09068 m
.08238 .09135 L
.08147 .0932 L
.08012 .09254 L
.08103 .09068 L
s
.08012 .09254 m
.08147 .0932 L
.08053 .09513 L
.07917 .09447 L
.08012 .09254 L
s
.07917 .09447 m
.08053 .09513 L
.07955 .09713 L
.0782 .09647 L
.07917 .09447 L
s
.0782 .09647 m
.07955 .09713 L
.07855 .09918 L
.07719 .09851 L
.0782 .09647 L
s
.07719 .09851 m
.07855 .09918 L
.07752 .10126 L
.07617 .1006 L
.07719 .09851 L
s
.07617 .1006 m
.07752 .10126 L
.07649 .10338 L
.07514 .10271 L
.07617 .1006 L
s
.07514 .10271 m
.07649 .10338 L
.07545 .1055 L
.07409 .10484 L
.07514 .10271 L
s
.07409 .10484 m
.07545 .1055 L
.07441 .10763 L
.07305 .10696 L
.07409 .10484 L
s
.07305 .10696 m
.07441 .10763 L
.07337 .10974 L
.07202 .10908 L
.07305 .10696 L
s
.07202 .10908 m
.07337 .10974 L
.07235 .11183 L
.07099 .11116 L
.07202 .10908 L
s
.07099 .11116 m
.07235 .11183 L
.07135 .11387 L
.06999 .11321 L
.07099 .11116 L
s
.06999 .11321 m
.07135 .11387 L
.07037 .11587 L
.06901 .11521 L
.06999 .11321 L
s
.06901 .11521 m
.07037 .11587 L
.06942 .1178 L
.06807 .11714 L
.06901 .11521 L
s
.06807 .11714 m
.06942 .1178 L
.06851 .11966 L
.06716 .11899 L
.06807 .11714 L
s
.06716 .11899 m
.06851 .11966 L
.06765 .12143 L
.06629 .12076 L
.06716 .11899 L
s
.06629 .12076 m
.06765 .12143 L
.06683 .1231 L
.06547 .12243 L
.06629 .12076 L
s
.06547 .12243 m
.06683 .1231 L
.06606 .12466 L
.06471 .124 L
.06547 .12243 L
s
.06471 .124 m
.06606 .12466 L
.06535 .1261 L
.064 .12544 L
.06471 .124 L
s
.064 .12544 m
.06535 .1261 L
.06471 .12742 L
.06335 .12676 L
.064 .12544 L
s
.06335 .12676 m
.06471 .12742 L
.06413 .1286 L
.06277 .12794 L
.06335 .12676 L
s
.06277 .12794 m
.06413 .1286 L
.06362 .12964 L
.06227 .12898 L
.06277 .12794 L
s
.06227 .12898 m
.06362 .12964 L
.06318 .13053 L
.06183 .12987 L
.06227 .12898 L
s
.06183 .12987 m
.06318 .13053 L
.06282 .13127 L
.06147 .13061 L
.06183 .12987 L
s
.06147 .13061 m
.06282 .13127 L
.06254 .13185 L
.06119 .13118 L
.06147 .13061 L
s
.06119 .13118 m
.06254 .13185 L
.06234 .13226 L
.06098 .1316 L
.06119 .13118 L
s
.06098 .1316 m
.06234 .13226 L
.06221 .13251 L
.06086 .13185 L
.06098 .1316 L
s
.06086 .13185 m
.06221 .13251 L
.06217 .1326 L
.06082 .13193 L
.06086 .13185 L
s
.06337 .05815 m
.11485 .08337 L
.07724 .16014 L
.02576 .13491 L
.06337 .05815 L
s
.0759 .10572 m
.07582 .10586 L
.07574 .106 L
.07564 .10612 L
.07554 .10624 L
.07542 .10635 L
.0753 .10645 L
.07517 .10654 L
.07503 .10662 L
.07489 .10668 L
.07475 .10674 L
.07459 .10679 L
.07444 .10682 L
.07428 .10684 L
.07413 .10685 L
.07397 .10685 L
.07381 .10683 L
.07365 .1068 L
.0735 .10676 L
.07335 .10671 L
.07321 .10665 L
.07307 .10657 L
.07294 .10648 L
.07281 .10639 L
.07269 .10628 L
.07258 .10617 L
.07249 .10605 L
.0724 .10592 L
.07232 .10578 L
.07225 .10564 L
.07219 .10549 L
.07215 .10534 L
.07211 .10518 L
.07209 .10503 L
.07208 .10487 L
.07209 .10471 L
.0721 .10456 L
.07213 .1044 L
.07217 .10425 L
.07222 .1041 L
.07229 .10395 L
.07236 .10381 L
.07245 .10368 L
.07254 .10356 L
.07265 .10344 L
.07276 .10333 L
.07289 .10323 L
.07302 .10314 L
.07315 .10306 L
.07329 .10299 L
Mistroke
.07344 .10294 L
.07359 .10289 L
.07375 .10286 L
.0739 .10284 L
.07406 .10283 L
.07422 .10283 L
.07438 .10285 L
.07453 .10288 L
.07469 .10292 L
.07483 .10297 L
.07498 .10303 L
.07512 .10311 L
.07525 .10319 L
.07538 .10329 L
.07549 .10339 L
.0756 .10351 L
.0757 .10363 L
.07579 .10376 L
.07587 .1039 L
.07594 .10404 L
.076 .10419 L
.07604 .10434 L
.07608 .10449 L
.0761 .10465 L
.0761 .10481 L
.0761 .10497 L
.07608 .10512 L
.07606 .10528 L
.07602 .10543 L
.07596 .10558 L
.0759 .10572 L
Mfstroke
.039 .916 .04 r
.97619 .10484 m
.59253 .1283 L
s
% Start of user PostScript
422. 0 40.5104 23.3329 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.59253 .1283 Mdot
.039 .916 .04 r
.5 Mabswid
.97619 .10484 m
.58498 .10484 L
s
% Start of user PostScript
422. 0 33. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.58498 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.97619 .10484 m
.59253 .08137 L
s
% Start of user PostScript
422. 0 40.5104 -23.3329 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.59253 .08137 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29089 m
.12438 .28209 L
s
% Start of user PostScript
-525. 185. -425. 176.251 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12438 .28209 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29089 m
.12438 .29089 L
s
% Start of user PostScript
-525. 185. -425. 185. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12438 .29089 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29089 m
.12438 .29969 L
s
% Start of user PostScript
-525. 185. -425. 193.749 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12438 .29969 Mdot
.039 .916 .04 r
.5 Mabswid
.59253 .1283 m
.57917 .13171 L
s
% Start of user PostScript
40.5104 23.3329 27.2274 26.7183 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.57917 .13171 Mdot
.039 .916 .04 r
.5 Mabswid
.58498 .10484 m
.57191 .10484 L
s
% Start of user PostScript
33. 0 20. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.57191 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.59253 .08137 m
.57917 .07797 L
s
% Start of user PostScript
40.5104 -23.3329 27.2274 -26.7183 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.57917 .07797 Mdot
.039 .916 .04 r
.5 Mabswid
.12438 .28209 m
.12862 .28185 L
s
% Start of user PostScript
-425. 176.251 -420.785 176.009 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12862 .28185 Mdot
.039 .916 .04 r
.5 Mabswid
.12438 .29089 m
.12941 .29089 L
s
% Start of user PostScript
-425. 185. -420. 185. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12941 .29089 Mdot
.039 .916 .04 r
.5 Mabswid
.12438 .29969 m
.12862 .29993 L
s
% Start of user PostScript
-425. 193.749 -420.785 193.991 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.12862 .29993 Mdot
.039 .916 .04 r
.5 Mabswid
.57917 .13171 m
.54878 .13521 L
s
% Start of user PostScript
27.2274 26.7183 -3. 30.1995 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54878 .13521 Mdot
.039 .916 .04 r
.5 Mabswid
.57191 .10484 m
.54878 .10484 L
s
% Start of user PostScript
20. 0 -3. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54878 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.57917 .07797 m
.54878 .07447 L
s
% Start of user PostScript
27.2274 -26.7183 -3. -30.1995 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54878 .07447 Mdot
.039 .916 .04 r
.5 Mabswid
.12862 .28185 m
.30337 .28252 L
s
% Start of user PostScript
-420.785 176.009 -247.017 176.674 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30337 .28252 Mdot
.039 .916 .04 r
.5 Mabswid
.12941 .29089 m
.30037 .29089 L
s
% Start of user PostScript
-420. 185. -250. 185. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30037 .29089 Mdot
.039 .916 .04 r
.5 Mabswid
.12862 .29993 m
.29736 .29929 L
s
% Start of user PostScript
-420.785 193.991 -252.991 193.348 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.29736 .29929 Mdot
.039 .916 .04 r
.5 Mabswid
.54878 .13521 m
.54727 .13532 L
s
% Start of user PostScript
-3. 30.1995 -4.5 30.3128 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54727 .13532 Mdot
.039 .916 .04 r
.5 Mabswid
.54878 .10484 m
.54727 .10484 L
s
% Start of user PostScript
-3. 0 -4.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54727 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.54878 .07447 m
.54727 .07435 L
s
% Start of user PostScript
-3. -30.1995 -4.5 -30.3128 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.54727 .07435 Mdot
.039 .916 .04 r
.5 Mabswid
.30337 .28252 m
.07857 .09912 L
s
% Start of user PostScript
-247.017 176.674 -470.544 -5.68458 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07857 .09912 Mdot
.039 .916 .04 r
.5 Mabswid
.30037 .29089 m
.07529 .10582 L
s
% Start of user PostScript
-250. 185. -473.809 0.979011 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07529 .10582 Mdot
.039 .916 .04 r
.5 Mabswid
.29736 .29929 m
.072 .11254 L
s
% Start of user PostScript
-252.991 193.348 -477.08 7.6547 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.072 .11254 Mdot
.039 .916 .04 r
.5 Mabswid
.54727 .13532 m
.52162 .13828 L
s
% Start of user PostScript
-4.5 30.3128 -30. 33.2496 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52162 .13828 Mdot
.039 .916 .04 r
.5 Mabswid
.54727 .10484 m
.52162 .10484 L
s
% Start of user PostScript
-4.5 0 -30. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52162 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.54727 .07435 m
.52162 .0714 L
s
% Start of user PostScript
-4.5 -30.3128 -30. -33.2496 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.52162 .0714 Mdot
.039 .916 .04 r
.5 Mabswid
.07857 .09912 m
.07732 .09825 L
s
% Start of user PostScript
-470.544 -5.68458 -471.792 -6.54784 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07732 .09825 Mdot
.039 .916 .04 r
.5 Mabswid
.07529 .10582 m
.07404 .10495 L
s
% Start of user PostScript
-473.809 0.979011 -475.055 0.112323 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07404 .10495 Mdot
.039 .916 .04 r
.5 Mabswid
.072 .11254 m
.07075 .11166 L
s
% Start of user PostScript
-477.08 7.6547 -478.324 6.78459 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07075 .11166 Mdot
.039 .916 .04 r
.5 Mabswid
.52162 .13828 m
.50857 .13926 L
s
% Start of user PostScript
-30. 33.2496 -42.9766 34.2295 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50857 .13926 Mdot
.039 .916 .04 r
.5 Mabswid
.52162 .10484 m
.50603 .10484 L
s
% Start of user PostScript
-30. 0 -45.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50603 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.52162 .0714 m
.50857 .07041 L
s
% Start of user PostScript
-30. -33.2496 -42.9766 -34.2295 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50857 .07041 Mdot
.039 .916 .04 r
.5 Mabswid
.50857 .13926 m
.48425 .14019 L
s
% Start of user PostScript
-42.9766 34.2295 -67.1613 35.1476 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48425 .14019 Mdot
.039 .916 .04 r
.5 Mabswid
.50603 .10484 m
.48693 .10484 L
s
% Start of user PostScript
-45.5 0 -64.5 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48693 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.50857 .07041 m
.48425 .06949 L
s
% Start of user PostScript
-42.9766 -34.2295 -67.1613 -35.1476 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.48425 .06949 Mdot
.039 .916 .04 r
.5 Mabswid
.48425 .14019 m
.47134 .13984 L
s
% Start of user PostScript
-67.1613 35.1476 -80. 34.7993 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47134 .13984 Mdot
.039 .916 .04 r
.5 Mabswid
.48693 .10484 m
.47134 .10484 L
s
% Start of user PostScript
-64.5 0 -80. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47134 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.48425 .06949 m
.47134 .06984 L
s
% Start of user PostScript
-67.1613 -35.1476 -80. -34.7993 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.47134 .06984 Mdot
.039 .916 .04 r
.5 Mabswid
.47134 .13984 m
.1783 .12775 L
s
% Start of user PostScript
-80. 34.7993 -371.38 22.7815 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.1783 .12775 Mdot
.039 .916 .04 r
.5 Mabswid
.47134 .10484 m
.1836 .10484 L
s
% Start of user PostScript
-80. 0 -366.11 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.1836 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.47134 .06984 m
.1783 .08193 L
s
% Start of user PostScript
-80. -34.7993 -371.38 -22.7815 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.1783 .08193 Mdot
.039 .916 .04 r
.5 Mabswid
.1783 .12775 m
.17466 .12706 L
s
% Start of user PostScript
-371.38 22.7815 -375. 22.0963 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.17466 .12706 Mdot
.039 .916 .04 r
.5 Mabswid
.1836 .10484 m
.17466 .10484 L
s
% Start of user PostScript
-366.11 0 -375. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.17466 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.1783 .08193 m
.17466 .08262 L
s
% Start of user PostScript
-371.38 -22.7815 -375. -22.0963 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.17466 .08262 Mdot
.039 .916 .04 r
.5 Mabswid
.17466 .12706 m
.07873 .0988 L
s
% Start of user PostScript
-375. 22.0963 -470.387 -6.00657 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07873 .0988 Mdot
.039 .916 .04 r
.5 Mabswid
.17466 .10484 m
.07577 .10484 L
s
% Start of user PostScript
-375. 0 -473.33 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07577 .10484 Mdot
.039 .916 .04 r
.5 Mabswid
.17466 .08262 m
.07181 .11292 L
s
% Start of user PostScript
-375. -22.0963 -477.266 8.03334 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07181 .11292 Mdot
.039 .916 .04 r
.5 Mabswid
.07873 .0988 m
.0773 .09829 L
s
% Start of user PostScript
-470.387 -6.00657 -471.807 -6.51647 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.0773 .09829 Mdot
.039 .916 .04 r
.5 Mabswid
.07577 .10484 m
.07422 .10458 L
s
% Start of user PostScript
-473.33 0 -474.876 -0.252484 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07422 .10458 Mdot
.039 .916 .04 r
.5 Mabswid
.07181 .11292 m
.07013 .11293 L
s
% Start of user PostScript
-477.266 8.03334 -478.941 8.04229 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.07013 .11293 Mdot
[(M)] .31563 .25725 0 0 Mshowa
[(L)] .12689 .25382 0 0 Mshowa
[(H)] .54802 .01648 0 0 Mshowa
[(L1)] .51383 .20225 0 0 Mshowa
[(L2)] .47913 .00743 0 0 Mshowa
[(HOE)] .09883 .05608 0 0 Mshowa
[(CL)] .17913 .05017 0 0 Mshowa
0 0 m
1 0 L
1 .31195 L
0 .31195 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{750, 233.812},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;^0000jB000`400?l00000o`00003oo`3ooooo
0?oooo00oooo003o0?ooool0ooool03oool00?l0ooooo`3oooo`0?ooo`00o`3ooomR0?ooo`D00000
00<0oooo0000000000000P00003o0?oooh@0oooo003o0?ooof<0oooo00H000000?ooo`3oool00000
0?ooo`0000020?ooo`030000003oool0oooo0?l0ooooPP3oool00?l0ooooH`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0?l0ooooQ03oool00?l0ooooH`3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo0?l0ooooP`3oool00?l0ooooH`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0?l0ooooPP3oool00?l0ooooH`3oool00`000000oooo0?ooo`020?oo
o`040000003oool0oooo00000?l0ooooQ03oool00?l0ooooHP3oool3000000@0oooo0P00000/0?oo
o`<0000000@0oooo0000000000000000o`3ooomB0?ooo`00o`3ooonH0?ooo`050000003oool0oooo
0?ooo`000000o`3ooomC0?ooo`00o`3ooonH0?ooo`050000003oool0oooo0?ooo`000000o`3ooomC
0?ooo`00o`3ooonH0?ooo`D00000o`3ooomC0?ooo`00o`3ooonH0?ooo`050000003oool0oooo0?oo
o`000000o`3ooomC0?ooo`00o`3ooonH0?ooo`050000003oool0oooo0?ooo`000000o`3ooomC0?oo
o`00o`3ooonG0?ooo`<0000000@0oooo0000000000000000o`3ooomB0?ooo`00o`3ooooo0?oooo00
oooo003o0?ooool0ooool03oool00?l0ooooo`3oooo`0?ooo`00o`3ooooo0?oooo00oooo003o0?oo
ool0ooool03oool00?l0ooooo`3oooo`0?ooo`00o`3ooooo0?oooo00oooo003o0?ooool0ooool03o
ool00?l0ooooHP3oool4000001h0oooo1000003o0?ooofP0oooo003o0?ooof80oooo1000000N0?oo
o`@00000o`3ooomX0?ooo`00o`3ooomR0?ooo`@000007@3oool500000?l0ooooJ03oool00?l0oooo
HP3oool00`000000Ogmo07moO`02000001`0oooo0P00000207moO`030000003oool0oooo0?l0oooo
IP3oool00?l0ooooHP3oool5000001`0oooo1@00003o0?ooofP0oooo003o0?ooof80oooo1@00000K
0?ooo`030000001oOgl0000000<00000o`3ooomX0?ooo`00o`3ooomR0?ooo`030000001oOgl0Ogmo
008000006`3oool00`000000Ogmo0000000207moO`030000003oool0oooo0100oooo0`00003o0?oo
oe<0oooo003o0?ooof80oooo00H0000007moO`1oOgl0000007moO`00000J0?ooo`030000001oOgl0
00000080Ogmo00<000000?ooo`3oool0403oool200000?l0ooooE03oool00?l0ooooHP3oool40000
000307moO`000000oooo01P0oooo00<0000007moO`1oOgl01000000B0?ooo`800000o`3ooomD0?oo
o`00o`3ooomR0?ooo`060000001oOgl0Ogmo0000001oOgl000006@3oool010000000Ogmo07moO`00
000207moO`030000003oool0oooo0100oooo0P00003o0?oooe@0oooo003o0?ooof80oooo10000002
07moO`030000003oool0oooo01H0oooo00<0000007moO`1oOgl01000000B0?ooo`800000o`3ooomD
0?ooo`00PP3oool300000080oooo1@00003E0?ooo`040000001oOgl0Ogmo00000080Ogmo00<00000
0?ooo`3oool05P3oool010000000Ogmo07moO`00000207moO`030000003oool0oooo0100oooo0P00
00050?ooo`800000o`3ooom=0?ooo`00P@3oool01@000000oooo0?ooo`3oool000000080oooo00@0
00000?ooo`3oool00000e@3oool010000000Ogmo07moO`00000207moO`030000003oool0oooo01H0
oooo00@0000007moO`1oOgl000000P1oOgl00`000000oooo0?ooo`0@0?ooo`8000001@3oool00`00
0000oooo0?ooo`3o0?oood`0oooo00200?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0eP3oool400000080Ogmo00<000000?ooo`3oool05P3oool00`000000Ogmo07moO`0400000180
oooo0P0000050?ooo`030000003oool0oooo0?l0ooooC03oool00800oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`3F0?ooo`040000001oOgl0Ogmo000000<0Ogmo00<000000?ooo`3o
ool0503oool01@000000Ogmo07moO`1oOgl000000080Ogmo00<000000?ooo`3oool0403oool20000
00D0oooo00<000000?ooo`3oool0;@3oool300000?l0oooo703oool00440oooo0`000000103oool0
00000000000000020?ooo`8000000`3oool5000002`0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`3F0?ooo`@000000`1oOgl00`000000oooo0?ooo`0D0?ooo`040000001oOgl0Ogmo
07moO`@000004P3oool2000000D0oooo00<000000?ooo`3oool0:@3oool400000080Ogmo00<00000
0?ooo`3oool0o`3ooolJ0?ooo`00@P3oool01@000000oooo0?ooo`3oool000000080oooo00@00000
0?ooo`3oool000000`3oool010000000oooo0?ooo`00000]0?ooo`050000003oool0oooo0?ooo`00
00000P3oool00`000000oooo0?ooo`3F0?ooo`040000001oOgl0Ogmo000000<0Ogmo00<000000?oo
o`3oool0503oool01@000000Ogmo07moO`1oOgl000000080Ogmo00<000000?ooo`3oool0403oool2
000000D0oooo00<000000?ooo`3oool09@3oool4000000H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`00@P3oool01`000000oooo0?ooo`3oool000000?ooo`000000103oool010000000oooo0?oo
o`00000a0?ooo`@0000000@0oooo0000000000000000e`3oool010000000Ogmo07moO`00000307mo
O`030000003oool0oooo01@0oooo00D0000007moO`1oOgl0Ogmo0000000207moO`030000003oool0
oooo0100oooo0P0000050?ooo`030000003oool0oooo0240oooo1000000:07moO`030000003oool0
oooo0?l0oooo6P3oool00480oooo1@0000000`3oool000000?ooo`030?ooo`030000003oool0oooo
00<00000o`3oool?0?ooo`040000001oOgl0Ogmo000000<0Ogmo00<000000?ooo`3oool0503oool0
1@000000Ogmo07moO`1oOgl000000080Ogmo00<000000?ooo`3oool0403oool2000000D0oooo00<0
00000?ooo`3oool07P3oool3000000h0Ogmo00<000000?ooo`3oool0o`3ooolJ0?ooo`00<03oool2
00000100oooo00L000000?ooo`3oool0oooo0000003oool0000000@0oooo00@000000?ooo`3oool0
0000o`3ooolA0?ooo`@00000101oOgl00`000000oooo0?ooo`0B0?ooo`030000001oOgl0Ogmo0080
Ogmo1000000B0?ooo`8000001@3oool00`000000oooo0?ooo`0M0?ooo`030000001oOgl0000000l0
Ogmo00<000000?ooo`3oool0o`3ooolJ0?ooo`00<03oool010000000oooo00000000000>0?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000030?ooo`040000003oool0
oooo00000?l0oooo3P3oool010000000Ogmo07moO`00000407moO`030000003oool0oooo0180oooo
00<0000007moO`1oOgl00P1oOgl010000000Ogmo07moO`00000B0?ooo`8000001@3oool00`000000
oooo0?ooo`0K0?ooo`8000000`1oOgl00`000000Ogmo07moO`0=07moO`030000003oool0oooo0?l0
oooo6@3oool002l0oooo00<000000?ooo`3oool00P3oool2000000/0oooo0`000000103oool00000
0000000000020?ooo`8000000`3oool500000?l0oooo3P3oool010000000Ogmo07moO`00000407mo
O`030000003oool0oooo0180oooo00<0000007moO`1oOgl00P1oOgl010000000Ogmo07moO`00000B
0?ooo`8000001@3oool00`000000oooo0?ooo`0J0?ooo`030000001oOgl0Ogmo00<0Ogmo00<00000
07moO`1oOgl03@1oOgl00`000000oooo0?ooo`3o0?oooaT0oooo000_0?ooo`030000003oool0oooo
00@0oooo0P00003o0?ooobX0oooo1000000407moO`030000003oool0oooo0180oooo00<0000007mo
O`1oOgl00P1oOgl400000180oooo0P0000050?ooo`030000003oool0oooo01P0oooo0P00000707mo
O`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooolI0?ooo`00;P3oool00`000000
oooo0?ooo`070?ooo`800000o`3ooolX0?ooo`040000001oOgl0Ogmo000000@0Ogmo00<000000?oo
o`3oool04P3oool00`000000Ogmo07moO`0207moO`040000001oOgl0Ogmo00000180oooo0P000005
0?ooo`030000003oool0oooo01L0oooo00<0000007moO`0000001`1oOgl00`000000Ogmo07moO`0<
07moO`030000003oool0oooo0?l0oooo6@3oool002h0oooo00<000000?ooo`3oool02@3oool20000
0?l0oooo9P3oool010000000Ogmo07moO`00000407moO`030000003oool0oooo0180oooo00<00000
07moO`1oOgl00P1oOgl010000000Ogmo07moO`00000B0?ooo`8000001@3oool00`000000oooo0?oo
o`0F0?ooo`050000001oOgl0Ogmo07moO`0000001P1oOgl00`000000Ogmo07moO`0:07moO`<00000
o`3ooolK0?ooo`00;@3oool00`000000oooo0?ooo`0<0?ooo`800000o`3ooolT0?ooo`@000001@1o
Ogl00`000000oooo0?ooo`0@0?ooo`030000001oOgl0Ogmo00<0Ogmo1000000B0?ooo`8000001@3o
ool00`000000oooo0?ooo`0E0?ooo`030000001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0101o
Ogl00`000000Ogmo07moO`0407moO`D00000o`3ooolN0?ooo`00;@3oool00`000000oooo0?ooo`0>
0?ooo`800000o`3ooolR0?ooo`040000001oOgl0Ogmo00000080Ogmo0`09jPX00`000000oooo0?oo
o`030?ooo`<02NX:2P3oool00`000000Ogmo07moO`0307moO`040000001oOgl0Ogmo00000180oooo
0P0000050?ooo`030000003oool0oooo01@0oooo00<0000007moO`1oOgl0101oOgl00`000000Ogmo
07moO`0407moO`030000001oOgl0Ogmo00@00000o`3ooolS0?ooo`00;03oool00`000000oooo0?oo
o`0A0?ooo`800000o`3ooolO0?ooo`80000000<0Ogmo00WZ2P09jPX01009jPX00`1oOgl000000000
000600WZ2P/0oooo00@0000007moO`1oOgl0Ogmo1@09jPX00`000000oooo0?ooo`0@0?ooo`800000
1@3oool00`000000oooo0?ooo`0D0?ooo`8000001P1oOgl00`000000Ogmo07moO`0307moO`<00000
o`3ooolW0?ooo`00;03oool00`000000oooo0?ooo`0C0?ooo`<00000o`3ooolA0?oooaH02NX:00<0
000000WZ2P09jPX03`09jPX00`0000002NX:00WZ2P0400WZ2P80Ogmo0P0000020?ooo`D02NX:2P3o
ool2000000D0oooo00<000000?ooo`3oool04`3oool010000000Ogmo07moO`00000507moO`040000
001oOgl0Ogmo07moO`800000o`3ooolZ0?ooo`00:`3oool00`000000oooo0?ooo`0G0?ooo`800000
m@3ooolI00WZ2P`0oooo0`00000500WZ2P0407moO`000000oooo0?ooo`D02NX:2P3oool2000000T0
2NX:00<0000000WZ2P09jPX01009jPX;0?ooo`8000001@3oool2000001<0oooo00<0000007moO`1o
Ogl00P1oOgl00`000000Ogmo07moO`0307moO`030000001oOgl000000?l0oooo;03oool002/0oooo
00<000000?ooo`3oool06@3oool200000=/0oooo6009jPXU0?ooo`040000001oOgl0Ogmo000000<0
Ogmo0P09jPX00`1oOgl000000?ooo`040?ooo`802NX:2@3oool00`000000Ogmo07moO`0207moO`<0
2NX:0P1oOgl00`000000oooo00WZ2P0<00WZ2P@0oooo0P0000020?ooo`L02NX:403oool2000000D0
Ogmo00<0000007moO`1oOgl00`1oOgl00`000000oooo0?ooo`3o0?ooob/0oooo000Z0?ooo`030000
003oool0oooo01`0oooo0P0000310?oooaP02NX:?@3oool010000000Ogmo07moO`00000607moO`03
0000003oool0oooo00h0oooo00<0000007moO`1oOgl0101oOgl0100000002NX:07moO`0000040?oo
o`<02NX:1`3oool500WZ2P0300000009jPX02NX:00D02NX:4P3oool00`000000Ogmo0000000507mo
O`050000001oOgl0Ogmo07moO`000000o`3oool^0?ooo`00:P3oool00`000000oooo0?ooo`0N0?oo
o`800000YP3ooolI00WZ2UD0oooo00@0000007moO`1oOgl000001P1oOgl00`000000oooo0?ooo`0>
0?ooo`030000001oOgl0Ogmo00@0Ogmo00@0000007moO`1oOgl000001`3oool00`09jPX0oooo0?oo
o`080?ooo`8000003009jPX<0?ooo`050000001oOgl0Ogmo07moO`0000001@1oOgl00`000000Ogmo
0000003o0?ooobl0oooo000Y0?ooo`030000003oool0oooo0240oooo0P00002<0?oooaP02NX:KP3o
ool4000000H0Ogmo00<000000?ooo`3oool03P3oool00`000000Ogmo07moO`0407moO`@000004P3o
ool2000000<0oooo1009jPX50?ooo`L02NX:0`3oool2000000D0Ogmo00<0000007moO`1oOgl00`1o
Ogl00`000000oooo0?ooo`3o0?ooobh0oooo000Y0?ooo`030000003oool0oooo01H0oooo0P00000;
0?ooo`800000>@3oool200WZ2SL0oooo6009jPZ60?ooo`040000001oOgl0Ogmo000000H0Ogmo00<0
00000?ooo`3oool03P3oool00`000000Ogmo07moO`0407moO`040000001oOgl0Ogmo00000180oooo
0P0000060?ooo`802NX:2`3oool400WZ2P0300000009jPX02NX:00D02NX:0`1oOgl00`000000oooo
0?ooo`3o0?ooobl0oooo000X0?ooo`030000003oool0oooo01H0oooo0`00000=0?ooo`800000<03o
ool3000000030?ooo`09jPX02NX:00802NX:00@0oooo00WZ2P09jPX02NX:6`3ooolI00WZ2Yh0oooo
00@0000007moO`1oOgl000001P1oOgl00`000000oooo0?ooo`0>0?ooo`030000001oOgl0Ogmo00@0
Ogmo00@0000007moO`1oOgl000004P3oool2000001H0oooo00<0000007moO`09jPX01P09jPX00`00
0000Ogmo000000020?ooo`D02NX:o`3oool[0?ooo`00:03oool00`000000oooo0?ooo`0F0?ooo`80
0000403oool2000002h0oooo00<0000000WZ2P09jPX02009jPX40?oooaP02NX:]`3oool010000000
Ogmo07moO`00000607moO`030000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl01000
0000Ogmo07moO`00000B0?ooo`8000005@3oool01@000000Ogmo07moO`1oOgl0000000<02NX:0P1o
Ogl200WZ2P0300000009jPX02NX:00D02NX:o`3oool[0?ooo`009`3oool00`000000oooo0?ooo`0G
0?ooo`8000004P3oool2000002X0oooo0`09jPX00`0000002NX:00WZ2P0;00WZ2/l0oooo10000006
07moO`030000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl400000180oooo0P00000E
0?ooo`030000001oOgl0Ogmo00<0Ogmo0`09jPX207moO`8000001@09jPX20?oooa002NX:o`3ooolK
0?ooo`009`3oool00`000000oooo0?ooo`0F0?ooo`8000005@3oool00`000000oooo0?ooo`0T0?oo
o`<02NX:0P3oool20000000307moO`000000oooo00H02NX:d`3oool010000000Ogmo07moO`000006
07moO`030000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo07moO`00
000B0?ooo`800000503oool2000000L0Ogmo00<02NX:07moO`0000001@3oool300WZ2Q40oooo4009
jP[o0?ooo`/0oooo000V0?ooo`030000003oool0oooo01L0oooo0P00000E0?ooo`030000003oool0
oooo0240oooo0`09jPX50?ooo`D000001@3oool200WZ2]80oooo00@0000007moO`1oOgl000001P1o
Ogl00`000000oooo0?ooo`0=0?ooo`030000001oOgl0Ogmo00D0Ogmo00@0000007moO`1oOgl00000
4P3oool2000001@0oooo00@0000007moO`00000000001P1oOgl00`000000oooo0?ooo`070?ooo`03
00WZ2P3oool0oooo01h0oooo4009jP[j0?ooo`009P3oool00`000000oooo0?ooo`0F0?ooo`800000
5@3oool00`000000oooo0?ooo`0N0?ooo`@02NX:203oool01@000000Ogmo07moO`1oOgl000000=T0
oooo00@0000007moO`1oOgl000001P1oOgl00`000000oooo0?ooo`0=0?ooo`030000001oOgl0Ogmo
00D0Ogmo00@0000007moO`1oOgl000004P3oool2000001<0oooo00<0000007moO`1oOgl00P1oOgl3
000000<0Ogmo00<000000?ooo`3oool0>03oool@00WZ2^X0oooo000U0?ooo`030000003oool0oooo
01L0oooo0P00000E0?ooo`030000003oool0oooo01/0oooo0`09jPX<0?ooo`H00000f03oool40000
00L0Ogmo00<000000?ooo`3oool0303oool00`000000Ogmo07moO`0507moO`@000004P3oool20000
01<0oooo00<0000007moO`1oOgl01@1oOgl3000004/0oooo3`09jP[K0?ooo`009@3oool00`000000
oooo0?ooo`0F0?ooo`<00000503oool00`000000oooo0?ooo`0I0?ooo`<02NX:3`3oool00`000000
Ogmo07moO`0207moO`030000003oool0oooo0=H0oooo00@0000007moO`1oOgl000001`1oOgl00`00
0000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00D0Ogmo00@0000007moO`1oOgl000004P3oool2
00000180oooo0`00000807moO`030000003oool0oooo05P0oooo4009jP[;0?ooo`00903oool00`00
0000oooo0?ooo`0F0?ooo`<000005@3oool00`000000oooo0?ooo`0E0?ooo`@02NX:4P3oool60000
0=P0oooo00@0000007moO`1oOgl000001`1oOgl00`000000oooo0?ooo`0<0?ooo`030000001oOgl0
Ogmo00D0Ogmo00@0000007moO`1oOgl000004P3oool200000180oooo00<0000007moO`1oOgl00`00
000507moO`030000003oool0oooo06P0oooo4009jPZk0?ooo`00903oool00`000000oooo0?ooo`0F
0?ooo`8000005@3oool00`000000oooo0?ooo`0C0?ooo`<02NX:5P3oool00`000000Ogmo07moO`02
07moO`030000003oool0oooo0=H0oooo00@0000007moO`1oOgl000001`1oOgl00`000000oooo0?oo
o`0<0?ooo`030000001oOgl0Ogmo00D0Ogmo00@0000007moO`1oOgl000004P3oool200000180oooo
00<0000007moO`1oOgl00`1oOgl30000000307moO`000000oooo07X0oooo4009jPZ[0?ooo`008`3o
ool00`000000oooo0?ooo`0G0?ooo`8000005@3oool00`000000oooo0?ooo`0@0?ooo`<02NX:6@3o
ool700000=L0oooo1000000707moO`030000003oool0oooo00`0oooo00<0000007moO`1oOgl01@1o
Ogl400000180oooo0P00000A0?ooo`030000001oOgl0Ogmo00L0Ogmo0P00002;0?oooa002NX:V`3o
ool002<0oooo00<000000?ooo`3oool05P3oool3000001@0oooo00<000000?ooo`3oool03@3oool4
00WZ2Q`0oooo1`00003G0?ooo`040000001oOgl0Ogmo000000L0Ogmo00<000000?ooo`3oool0303o
ool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180oooo0P00000A0?ooo`@00000
1`1oOgl00`000000oooo0?ooo`2I0?oooa002NX:R`3oool00280oooo00<000000?ooo`3oool05`3o
ool2000001D0oooo00<000000?ooo`3oool02P3oool300WZ2R00oooo00<0000007moO`1oOgl00`1o
Ogl00`000000oooo0?ooo`3E0?ooo`040000001oOgl0Ogmo000000L0Ogmo00<000000?ooo`3oool0
303oool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180oooo0P00000A0?ooo`04
0000001oOgl0Ogmo07moO`D0000000<0Ogmo0000003oool0Z`3oool@00WZ2W/0oooo000R0?ooo`03
0000003oool0oooo01H0oooo0P00000E0?ooo`030000003oool0oooo00L0oooo1009jPXS0?ooo`L0
0000e`3oool010000000Ogmo07moO`00000707moO`030000003oool0oooo00`0oooo00<0000007mo
O`1oOgl01@1oOgl010000000Ogmo07moO`00000B0?ooo`8000004@3oool00`000000Ogmo07moO`06
07moO`800000_03oool@00WZ2V/0oooo000R0?ooo`030000003oool0oooo01D0oooo0P00000500WZ
2Q40oooo00<000000?ooo`3oool0103oool300WZ2RL0oooo00<0000007moO`1oOgl00`1oOgl00`00
0000oooo0?ooo`3E0?ooo`040000001oOgl0Ogmo000000L0Ogmo00<000000?ooo`3oool0303oool0
0`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180oooo0P00000A0?ooo`030000001o
Ogl0Ogmo00L0Ogmo00<000000?ooo`3oool0bP3oool@00WZ2U/0oooo000Q0?ooo`030000003oool0
oooo01H0oooo0`00000800WZ2P`0oooo00<000000?ooo`3oool00P3oool300WZ2RX0oooo2000003F
0?ooo`@000001`1oOgl00`000000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00D0Ogmo1000000B
0?ooo`8000004@3oool6000000@0Ogmo00<000000?ooo`3oool0fP3oool?00WZ2T`0oooo000Q0?oo
o`030000003oool0oooo01H0oooo00<0000000WZ2P09jPX02009jPX<0?ooo`0300000009jPX02NX:
00802NX:;@3oool00`000000Ogmo07moO`0407moO`030000003oool0oooo0=@0oooo00@0000007mo
O`1oOgl000001`1oOgl00`000000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00D0Ogmo00@00000
07moO`1oOgl000004P3oool200000140oooo00<0000007moO`1oOgl00`1oOgl500000>/0oooo4009
jPXl0?ooo`00803oool00`000000oooo0?ooo`0E0?ooo`@000001`09jPX20?ooo`<02NX:1`3oool3
00WZ2S40oooo1P00000300WZ2P@0oooo0`09jP[>0?ooo`040000001oOgl0Ogmo00000080Ogmo0`09
jPX207moO`030000003oool0oooo00<0oooo0`09jPX60?ooo`030000001oOgl0Ogmo00<0Ogmo0`09
jPX207moO`030000003oool0oooo00<0oooo0`09jPX:0?ooo`800000103oool400WZ2PT0oooo00<0
000007moO`1oOgl00`1oOgl300WZ2P0307moO`000000oooo00<0oooo0`09jP[d0?oooa002NX:;03o
ool00200oooo00<000000?ooo`3oool0503oool4000000T02NX:103oool700WZ2P030?ooo`000000
oooo0340oooo0P00000600WZ2P030?ooo`09jPX02NX:00@02NX:cP3oool20000000307moO`09jPX0
2NX:00@02NX:0`1oOgl2000000H02NX:1P3oool20000000307moO`09jPX02NX:00@02NX:00<00000
07moO`1oOgl00P00000600WZ2P/0oooo0P00000700WZ2PT0oooo0P0000000`1oOgl02NX:00WZ2P04
00WZ2P0307moO`000000000000H02NX:o`3oool60?oooa002NX:703oool001l0oooo00<000000?oo
o`3oool05@3oool3000004X02NX:00<0000000WZ2P09jPX0iP09jPX00`0000002NX:00WZ2P0G00WZ
2P0300000009jPX02NX:01002NX:00<0000000WZ2P09jPX06@09jPX00`0000002NX:00WZ2P3o00WZ
2R802NX:503oool001l0oooo00<000000?ooo`3oool05@3oool3000000L02NX:00@0oooo00WZ2P3o
ool0oooo0`09jPX70?ooo`<02NX:<@3oool00`000000Ogmo07moO`0500WZ2P80oooo1@09jP[?0?oo
o`030000001oOgl0Ogmo00D02NX:0`1oOgl00`000000oooo0?ooo`0500WZ2PL0oooo00<0000007mo
O`1oOgl01@09jPX010000000Ogmo07moO`0000020?ooo`D02NX:2`3oool2000000030?ooo`09jPX0
2NX:00@02NX:2P3oool00`000000Ogmo07moO`0500WZ2P0407moO`000000oooo0?ooo`D02NX:o`3o
ool40?oooa402NX:7@3oool001h0oooo00<000000?ooo`3oool05P3oool2000000`02NX:2@3oool0
10000000oooo0?ooo`3oool300WZ2Rh0oooo1`00000200WZ2PD0oooo0P09jP[>0?ooo`040000001o
Ogl0Ogmo000000<0Ogmo0P09jPX207moO`030000003oool0oooo00@0oooo0P09jPX60?ooo`030000
001oOgl0Ogmo00@0Ogmo0P09jPX207moO`030000003oool0oooo00@0oooo0P09jPX:0?ooo`800000
1@3oool300WZ2PT0oooo00<0000007moO`1oOgl0101oOgl200WZ2P0307moO`000000oooo00@0oooo
0P09jP[a0?oooa402NX:;P3oool001h0oooo00<000000?ooo`3oool05P3oool2000000030?ooo`09
jPX02NX:00H02NX:0P3oool00`09jPX0oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo0`09
jPX[0?ooo`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0e03oool010000000Ogmo07mo
O`00000707moO`030000003oool0oooo00`0oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo
07moO`00000B0?ooo`8000004@3oool00`000000Ogmo07moO`0207moO`H00000i`3ooolA00WZ2Sl0
oooo000M0?ooo`030000003oool0oooo01H0oooo0`00000800WZ2P@0oooo00<02NX:0?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`@02NX:9`3oool800000=H0oooo1000000707moO`030000
003oool0oooo00`0oooo00<0000007moO`1oOgl01@1oOgl400000180oooo0P00000A0?ooo`D00000
1@1oOgl00`000000oooo0?ooo`3D0?oooa402NX:D03oool001d0oooo00<000000?ooo`3oool05@3o
ool2000000P02NX:1`3oool200WZ2PD0oooo00<000000?ooo`3oool0303oool300WZ2R@0oooo00<0
000007moO`1oOgl0101oOgl00`000000oooo0?ooo`3D0?ooo`040000001oOgl0Ogmo000000L0Ogmo
00<000000?ooo`3oool0303oool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180
oooo0P00000A0?ooo`030000001oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0``3ooolA00WZ2V40
oooo000L0?ooo`030000003oool0oooo01H0oooo0P00000:00WZ2PL0oooo00D02NX:0?ooo`3oool0
oooo0000000B0?ooo`<02NX:8@3oool700000=L0oooo00@0000007moO`1oOgl000001`1oOgl00`00
0000oooo0?ooo`0<0?ooo`030000001oOgl0Ogmo00D0Ogmo00@0000007moO`1oOgl000004P3oool2
00000140oooo00<0000007moO`1oOgl01@1oOgl300000;D0oooo4009jPYb0?ooo`00703oool00`00
0000oooo0?ooo`0F0?ooo`8000001P09jPX01@3oool02NX:0?ooo`3oool02NX:00L0oooo00@02NX:
0?ooo`3oool000005@3oool300WZ2Qh0oooo1`00003G0?ooo`040000001oOgl0Ogmo000000L0Ogmo
00<000000?ooo`3oool0303oool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180
oooo0P00000A0?ooo`030000001oOgl0Ogmo00D000000P1oOgl00`000000oooo0?ooo`2R0?oooa40
2NX:PP3oool001/0oooo00<000000?ooo`3oool05P3oool200000080oooo1P09jPX40?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0000003oool0603oool400WZ2QX0oooo00<0000007moO`1oOgl0
0`1oOgl00`000000oooo0?ooo`3E0?ooo`@000001`1oOgl00`000000oooo0?ooo`0<0?ooo`030000
001oOgl0Ogmo00D0Ogmo1000000B0?ooo`8000004@3oool3000000P0Ogmo00<000000?ooo`3oool0
T03ooolA00WZ2Y<0oooo000K0?ooo`030000003oool0oooo01H0oooo0P0000030?ooo`H02NX:103o
ool00`09jPX0oooo0?ooo`050?ooo`802NX:703oool300WZ2QL0oooo1`00003G0?ooo`040000001o
Ogl0Ogmo000000L0Ogmo00<000000?ooo`3oool0303oool00`000000Ogmo07moO`0507moO`040000
001oOgl0Ogmo00000180oooo0P00000A0?ooo`030000001oOgl0Ogmo00H0Ogmo0`0000210?oooa40
2NX:Y03oool001X0oooo00<000000?ooo`3oool05P3oool00`000000Ogmo000000030?ooo`@02NX:
1`3oool200WZ2P@0oooo00@000000?ooo`3oool02NX:7P3oool300WZ2Q@0oooo00<0000007moO`1o
Ogl00`1oOgl00`000000oooo0?ooo`3E0?ooo`040000001oOgl0Ogmo000000L0Ogmo00<000000?oo
o`3oool0303oool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180oooo0P00000A
0?ooo`030000001oOgl0Ogmo00<0Ogmo0`00000207moO`030000003oool0oooo06h0oooo4@09jPZe
0?ooo`006P3oool00`000000oooo0?ooo`0F0?ooo`8000001@3oool200WZ2P030?ooo`09jPX02NX:
00L0oooo00D02NX:0?ooo`3oool0oooo000000030?ooo`0300WZ2P3oool0oooo01h0oooo0`09jPXA
0?ooo`H00000f03oool010000000Ogmo07moO`00000707moO`030000003oool0oooo00`0oooo00<0
000007moO`1oOgl01@1oOgl010000000Ogmo07moO`00000B0?ooo`8000004P3oool00`000000Ogmo
00000002000000H0Ogmo00<000000?ooo`3oool0G@3oool@00WZ2/H0oooo000I0?ooo`030000003o
ool0oooo01H0oooo0`0000060?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01`3oool00`09jPX0oooo
000000050?ooo`0300WZ2P3oool0oooo0200oooo0`09jPX>0?ooo`030000001oOgl0Ogmo0080Ogmo
00<000000?ooo`3oool0eP3oool010000000Ogmo07moO`00000707moO`030000003oool0oooo00`0
oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo07moO`00000B0?ooo`8000004P3oool20000
00P0Ogmo0P00001>0?oooa402NX:eP3oool001T0oooo00<000000?ooo`3oool05P3oool2000000`0
oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo0280
oooo1009jPX:0?ooo`H00000f03oool4000000L0Ogmo00<000000?ooo`3oool0303oool00`000000
Ogmo07moO`0507moO`@000004P3oool200000180oooo00<0000007moO`1oOgl01@1oOgl200000003
07moO`000000oooo03`0oooo4@09jP[W0?ooo`00603oool00`000000oooo0?ooo`0F0?ooo`030000
001oOgl0000000d0oooo00<02NX:0?ooo`3oool0103oool00`0000002NX:0?ooo`060?ooo`802NX:
9P3oool300WZ2PL0oooo00<0000007moO`1oOgl00P1oOgl00`000000oooo0?ooo`3F0?ooo`040000
001oOgl0Ogmo000000H0Ogmo00<000000?ooo`3oool03@3oool00`000000Ogmo07moO`0507moO`04
0000001oOgl0Ogmo00000180oooo0P00000C0?ooo`040000001oOgl0Ogmo07moO`<00000101oOgl0
0`000000oooo0?ooo`0Y0?oooa402NX:n03oool001P0oooo00<000000?ooo`3oool05P3oool20000
00l0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`0200WZ2PL0oooo00<02NX:0?oo
o`3oool09P3oool300WZ2P@0oooo1@0000040?ooo`<02NX:dP3oool010000000Ogmo07moO`000006
07moO`030000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo07moO`00
000B0?ooo`8000004`3oool010000000Ogmo00000000000607moO`8000001`3oool300WZ2Q00oooo
4@09jP[o0?ooo`X0oooo000G0?ooo`030000003oool0oooo01H0oooo00<0000007moO`000000403o
ool200WZ2P80oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3o
ool0oooo02P0oooo0`09jPX00`3oool000000000000207moO`L02NX:d`3oool010000000Ogmo07mo
O`00000607moO`030000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo
07moO`00000B0?ooo`800000503oool00`000000Ogmo07moO`0507moO`802NX:00@000000?ooo`3o
ool0oooo5`09jP[o0?oooa/0oooo000G0?ooo`030000003oool0oooo01H0oooo0P00000C0?ooo`03
00WZ2P000000oooo00D0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0Z0?ooo`80
2NX:00<0000000WZ2P09jPX03009jP[>0?ooo`@000001P1oOgl00`000000oooo0?ooo`0=0?ooo`03
0000001oOgl0Ogmo00D0Ogmo1000000B0?ooo`800000503oool00`000000Ogmo07moO`0307moO`L0
2NX:00<0000000WZ2P09jPX01009jP[o0?ooob`0oooo000F0?ooo`030000003oool0oooo01H0oooo
0`00000D0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01@3oool200WZ2R/0oooo
00<0000007moO`09jPX02009jPX50?oooaT02NX:]@3oool010000000Ogmo07moO`00000607moO`03
0000003oool0oooo00d0oooo00<0000007moO`1oOgl01@1oOgl010000000Ogmo07moO`00000B0?oo
o`8000005@3oool010000000Ogmo07moO`00000500WZ2P0507moO`00000000000000003oool01@09
jP[o0?ooob`0oooo000F0?ooo`030000003oool0oooo01H0oooo0P00000D0?ooo`030000003oool0
2NX:00L0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo02P0oooo0`0000020?ooo`<02NX:0P3oool2
00WZ2Qd0oooo6009jPZM0?ooo`040000001oOgl0Ogmo000000H0Ogmo00<000000?ooo`3oool03@3o
ool00`000000Ogmo07moO`0507moO`040000001oOgl0Ogmo00000180oooo0P00000E0?ooo`<00000
1P09jPX010000000Ogmo07moO`0000050?ooo`802NX:o`3oool[0?ooo`005@3oool00`000000oooo
0?ooo`0F0?ooo`<00000503oool00`000000oooo0?ooo`0200WZ2PL0oooo00<02NX:0?ooo`3oool0
1@3oool00`09jPX0oooo0?ooo`0_0?ooo`0300WZ2P3oool0oooo03H0oooo6009jPZ50?ooo`040000
001oOgl0Ogmo000000H0Ogmo00<000000?ooo`3oool03P3oool00`000000Ogmo07moO`0407moO`04
0000001oOgl0Ogmo00000180oooo0P0000050?ooo`<02NX:2P3oool500WZ2P0300000009jPX02NX:
00D02NX:0`1oOgl00`000000oooo0?ooo`3o0?ooobl0oooo000E0?ooo`030000003oool0oooo01L0
oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00D0
oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`1o0?oooaT02NX:K03oool4000000H0
Ogmo00<000000?ooo`3oool03P3oool00`000000Ogmo07moO`0407moO`@000004P3oool200000080
oooo1@09jPX30?ooo`P02NX:103oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00@0
Ogmo00<000000?ooo`3oool0o`3oool^0?ooo`00503oool2000002h0oooo00<000000?ooo`3oool0
103oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0
U`3ooolH00WZ2U@0oooo00@0000007moO`1oOgl000001P1oOgl00`000000oooo0?ooo`0>0?ooo`03
0000001oOgl0Ogmo00@0Ogmo00@0000007moO`1oOgl000001P3oool200WZ2PX0oooo0P00000:00WZ
2Pd0oooo00D0000007moO`1oOgl0Ogmo0000000607moO`030000001oOgl000000?l0oooo;`3oool0
01H0oooo0P00000[0?ooo`030000003oool0oooo00H0oooo00<02NX:0?ooo`3oool01@3oool00`09
jPX0oooo0?ooo`050?ooo`802NX:[`3ooolH00WZ2S`0oooo00@0000007moO`1oOgl000001P1oOgl0
0`000000oooo0?ooo`0>0?ooo`030000001oOgl0Ogmo00@0Ogmo0P09jPX00`1oOgl000000?ooo`02
0?ooo`@02NX:1P3oool600WZ2P0300000009jPX02NX:00H02NX:403oool00`000000Ogmo00000006
07moO`050000001oOgl0Ogmo07moO`000000o`3oool^0?ooo`00603oool2000002T0oooo00<00000
0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`34
0?oooaT02NX:8`3oool010000000Ogmo07moO`00000207moO`<02NX:00<0Ogmo0000003oool00`3o
ool300WZ2PT0oooo00@0000007moO`1oOgl0Ogmo1009jPX207moO`8000003009jPX50?ooo`800000
0`3oool600WZ2Q00oooo00<0000007moO`1oOgl0101oOgl00`000000Ogmo07moO`0307moO`800000
o`3oool/0?ooo`006P3oool2000002H0oooo00<000000?ooo`3oool02@3oool200WZ2PL0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`3L0?oooaP02NX:2`3oool2000000H02NX:00<0
Ogmo0000003oool01P09jPX:0?ooo`8000002@09jPX00`0000002NX:00WZ2P0400WZ2P/0oooo0P00
00050?ooo`030000003oool0oooo0140oooo00<0000007moO`1oOgl00`1oOgl00`000000Ogmo07mo
O`0407moO`040000001oOgl0000000000?l0oooo:P3oool001`0oooo0P00000T0?ooo`030000003o
ool0oooo00/0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3o
ool0oooo0?<0oooo5@09jPX00`0000002NX:00WZ2P0?00WZ2P0300000009jPX02NX:00@02NX:0P1o
Ogl00`000000oooo0?ooo`020?ooo`@02NX:2P3oool2000000D0oooo00<000000?ooo`3oool04P3o
ool01@000000Ogmo07moO`1oOgl0000000H0Ogmo00<0000007moO`1oOgl00P1oOgl00`000000oooo
0?ooo`3o0?ooobL0oooo000N0?ooo`8000008@3oool00`000000oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00D0oooo00<02NX:0?ooo`3oool01@3oool200WZ2_d0oooo0P00000207moO`D02NX:00@0
Ogmo000000000000oooo1@09jPX;0?ooo`040000001oOgl0Ogmo07moO`@02NX:00<0Ogmo0000003o
ool04@3oool2000000D0oooo00<000000?ooo`3oool04`3oool00`000000Ogmo0000000607moO`03
0000001oOgl0Ogmo00@0Ogmo0`00003o0?ooobH0oooo000P0?ooo`8000007`3oool00`000000oooo
0?ooo`0>0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo
0?ooo`3k0?ooo`@000000`1oOgl200WZ2P030000003oool0oooo00@0oooo0P09jPX:0?ooo`030000
001oOgl0Ogmo00<0Ogmo1000000B0?ooo`8000001@3oool00`000000oooo0?ooo`0D0?ooo`800000
1P1oOgl00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00D00000o`3ooolQ0?ooo`008P3o
ool2000001`0oooo00<000000?ooo`3oool0403oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3o
ool00`09jPX0oooo0?ooo`3j0?ooo`040000001oOgl0Ogmo000000D0Ogmo00<000000?ooo`3oool0
403oool00`000000Ogmo07moO`0307moO`040000001oOgl0Ogmo00000180oooo0P0000050?ooo`03
0000003oool0oooo01H0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0407moO`03
0000001oOgl0Ogmo00H0Ogmo1000003o0?oooad0oooo000T0?ooo`8000006P3oool00`000000oooo
0?ooo`0A0?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo0?T0oooo
00@0000007moO`1oOgl000001@1oOgl00`000000oooo0?ooo`0@0?ooo`030000001oOgl0Ogmo00<0
Ogmo00@0000007moO`1oOgl000004P3oool2000000D0oooo00<000000?ooo`3oool05`3oool01@00
0000Ogmo07moO`1oOgl0000000H0Ogmo00<0000007moO`1oOgl02P1oOgl200000?l0oooo6`3oool0
02H0oooo0P00000G0?ooo`030000003oool0oooo01@0oooo00<02NX:0?ooo`3oool01@3oool00`09
jPX0oooo0?ooo`050?ooo`802NX:n@3oool010000000Ogmo07moO`00000407moO`030000003oool0
oooo0180oooo00<0000007moO`1oOgl00P1oOgl010000000Ogmo07moO`00000B0?ooo`8000001@3o
ool00`000000oooo0?ooo`0H0?ooo`030000001oOgl0000000H0Ogmo00<0000007moO`1oOgl0301o
Ogl00`000000oooo0?ooo`3o0?oooaT0oooo000X0?ooo`8000005@3oool00`000000oooo0?ooo`0E
0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3f
0?ooo`@00000101oOgl00`000000oooo0?ooo`0B0?ooo`030000001oOgl0Ogmo0080Ogmo1000000B
0?ooo`8000001@3oool00`000000oooo0?ooo`0I0?ooo`8000001P1oOgl00`000000Ogmo07moO`0<
07moO`030000003oool0oooo0?l0oooo6@3oool002X0oooo0P00000B0?ooo`030000003oool0oooo
01L0oooo00<02NX:0?ooo`3oool01@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool0m@3oool01000
0000Ogmo07moO`00000407moO`030000003oool0oooo0180oooo00<0000007moO`1oOgl00P1oOgl0
10000000Ogmo07moO`00000B0?ooo`8000001@3oool00`000000oooo0?ooo`0K0?ooo`030000001o
Ogl0Ogmo00<0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?oooaT0oooo000/
0?ooo`800000403oool00`000000oooo0?ooo`0H0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:
0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`3d0?ooo`040000001oOgl0Ogmo000000@0Ogmo00<0
00000?ooo`3oool04P3oool00`000000Ogmo07moO`0207moO`040000001oOgl0Ogmo00000180oooo
0P0000050?ooo`030000003oool0oooo01`0oooo0P00000207moO`030000001oOgl0Ogmo00d0Ogmo
00<000000?ooo`3oool0o`3ooolI0?ooo`00;P3oool2000000d0oooo00<000000?ooo`3oool06P3o
ool200WZ2PL0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`3c0?ooo`@00000101o
Ogl00`000000oooo0?ooo`0B0?ooo`030000001oOgl0Ogmo0080Ogmo1000000B0?ooo`8000001@3o
ool00`000000oooo0?ooo`0N0?ooo`030000001oOgl0000000l0Ogmo00<000000?ooo`3oool0o`3o
oolI0?ooo`00<03oool2000000/0oooo00<000000?ooo`3oool0703oool00`09jPX0oooo0?ooo`05
0?ooo`0300WZ2P3oool0oooo00D0oooo0P09jP[c0?ooo`040000001oOgl0Ogmo000000<0Ogmo00<0
00000?ooo`3oool0503oool01@000000Ogmo07moO`1oOgl000000080Ogmo00<000000?ooo`3oool0
403oool2000000D0oooo00<000000?ooo`3oool07`3oool3000000d0Ogmo00<000000?ooo`3oool0
o`3ooolJ0?ooo`00<P3oool2000000P0oooo00<000000?ooo`3oool07P3oool00`09jPX0oooo0?oo
o`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0l03oool010000000Ogmo07mo
O`00000307moO`030000003oool0oooo01@0oooo00D0000007moO`1oOgl0Ogmo0000000207moO`03
0000003oool0oooo0100oooo0P0000050?ooo`030000003oool0oooo0280oooo1000000907moO`03
0000003oool0oooo0?l0oooo6P3oool003@0oooo0P0000060?ooo`030000003oool0oooo01l0oooo
00<02NX:0?ooo`3oool01@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool0k`3oool4000000<0Ogmo
00<000000?ooo`3oool0503oool010000000Ogmo07moO`1oOgl400000180oooo0P0000050?ooo`03
0000003oool0oooo02H0oooo1000000507moO`030000003oool0oooo0?l0oooo6P3oool003H0oooo
0P0000030?ooo`030000003oool0oooo0240oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo0>h0oooo00@0000007moO`1oOgl000000`1oOgl00`000000
oooo0?ooo`0D0?ooo`050000001oOgl0Ogmo07moO`0000000P1oOgl00`000000oooo0?ooo`0@0?oo
o`8000001@3oool00`000000oooo0?ooo`0Z0?ooo`@0000000<0Ogmo0000003oool0o`3ooolK0?oo
o`00>03oool2000000030?ooo`000000oooo02<0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00D0
oooo0P09jP[^0?ooo`040000001oOgl0Ogmo000000<0Ogmo00<000000?ooo`3oool0503oool01@00
0000Ogmo07moO`1oOgl000000080Ogmo00<000000?ooo`3oool0403oool2000000D0oooo00<00000
0?ooo`3oool0;P3oool200000?l0oooo703oool003X0oooo00<000000?ooo`3oool09@3oool00`09
jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0j`3oool40000
0080Ogmo00<000000?ooo`3oool05P3oool00`000000Ogmo07moO`0400000180oooo0P0000050?oo
o`030000003oool0oooo0?l0ooooC03oool006<0oooo00<02NX:0?ooo`3oool01@3oool200WZ2PL0
oooo00<02NX:0?ooo`3oool0jP3oool010000000Ogmo07moO`00000207moO`030000003oool0oooo
01H0oooo00@0000007moO`1oOgl000000P1oOgl00`000000oooo0?ooo`0@0?ooo`8000001@3oool0
0`000000oooo0?ooo`3o0?oood`0oooo001T0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool01@3oool00`09jPX0oooo0?ooo`3Y0?ooo`040000001oOgl0Ogmo00000080Ogmo00<00000
0?ooo`3oool05P3oool010000000Ogmo07moO`00000207moO`030000003oool0oooo0100oooo0P00
00050?ooo`800000o`3ooom=0?ooo`00I@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool01@3oool0
0`09jPX0oooo0?ooo`3X0?ooo`@000000P1oOgl00`000000oooo0?ooo`0F0?ooo`030000001oOgl0
Ogmo00@000004P3oool200000?l0ooooE03oool006L0oooo00<02NX:0?ooo`3oool01@3oool00`09
jPX0oooo0?ooo`050?ooo`802NX:j03oool01P000000Ogmo07moO`000000Ogmo000001T0oooo00@0
000007moO`1oOgl000000P1oOgl00`000000oooo0?ooo`0@0?ooo`800000o`3ooomD0?ooo`00J03o
ool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0i@3o
ool40000000307moO`000000oooo01P0oooo00<0000007moO`1oOgl01000000B0?ooo`800000o`3o
oomD0?ooo`00J@3oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`3T
0?ooo`060000001oOgl0Ogmo0000001oOgl000006P3oool00`000000Ogmo0000000207moO`030000
003oool0oooo0100oooo0`00003o0?oooe<0oooo001Z0?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`3S0?ooo`D000006`3oool00`000000Ogmo0000
000300000180oooo0P00003o0?oooe@0oooo001[0?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`05
0?ooo`802NX:h`3oool00`000000Ogmo07moO`02000001/0oooo00<0000007moO`0000000P1oOgl0
0`000000oooo0?ooo`3o0?ooofH0oooo001]0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?oo
o`3oool01P3oool00`09jPX0oooo0?ooo`3P0?ooo`D000006`3oool00`000000Ogmo000000030000
0?l0ooooJ03oool006h0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`03
00WZ2P3oool0oooo0=l0oooo00<0000007moO`1oOgl00P00000L0?ooo`8000000P1oOgl00`000000
oooo0?ooo`3o0?ooofH0oooo001_0?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ
2P3oool0oooo0=h0oooo1000000M0?ooo`D00000o`3ooomX0?ooo`00L03oool00`09jPX0oooo0?oo
o`060?ooo`0300WZ2P3oool0oooo00D0oooo0P09jP[N0?ooo`@000007@3oool500000?l0ooooJ03o
ool00740oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0f`3oool4
000001h0oooo1000003o0?ooofP0oooo001c0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?oo
o`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0ooooJ@3oool007@0oooo00<02NX:0?ooo`3o
ool01@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooofP0oooo001e0?ooo`0300WZ
2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo
I`3oool007H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`050?ooo`802NX:o`3o
oooo0?ooofL0oooo001g0?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo0?l0ooooo`3ooomT0?ooo`00N@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo
00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooof<0oooo001j0?ooo`0300WZ2P3oool0oooo00D0
oooo0P09jPX70?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooomR0?ooo`00N`3oool00`09jPX0oooo
0?ooo`060?ooo`0300WZ2P3oool0oooo00D0oooo0P09jP[o0?ooool0ooooHP3oool007`0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3o
oomO0?ooo`00O@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o
0?ooool0ooooGP3oool007l0oooo00<02NX:0?ooo`3oool01@3oool200WZ2PL0oooo00<02NX:0?oo
o`3oool0o`3ooooo0?oooed0oooo00200?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`3o0?ooool0ooooG03oool00840oooo00<02NX:0?ooo`3oool0
1P3oool00`09jPX0oooo0?ooo`050?ooo`802NX:o`3ooooo0?oooe`0oooo00220?ooo`802NX:1`3o
ool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooomI0?ooo`00Q03oool0
0`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo
0?oooeP0oooo00250?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo
0>80oooo1@0000020?ooo`<00000o`3ooomZ0?ooo`00QP3oool00`09jPX0oooo0?ooo`060?ooo`03
00WZ2P3oool0oooo00D0oooo0P09jP[S0?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`3oool0o`3ooomY0?ooo`00Q`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0
oooo00<02NX:0?ooo`3oool0h03oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0
ooooJ@3oool008P0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0
g`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooJ@3oool008X0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0=h0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?ooofT0oooo002;0?ooo`0300WZ2P3oool0
oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo0=d0oooo00<000000?ooo`3oool00`3oool2
00000?l0ooooJ`3oool008`0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`050?oo
o`802NX:g03oool3000000D0oooo00<000000?ooo`3oool0o`3ooomY0?ooo`00S@3oool00`09jPX0
oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooodh0
oooo002>0?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0oooo
o`3ooom=0?ooo`00T03oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?oo
o`3o0?ooool0ooooC03oool00940oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`05
0?ooo`802NX:o`3ooooo0?oood`0oooo002B0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0ooooB@3oool009<0oooo00<02NX:0?ooo`3o
ool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooom80?ooo`00
U03oool200WZ2PL0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo
A`3oool009H0oooo00<02NX:0?ooo`3oool01@3oool200WZ2PL0oooo0P09jP[o0?ooool0ooooA`3o
ool009L0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo0?l0ooooo`3ooom40?ooo`00V03oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo
00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?oood<0oooo002I0?ooo`802NX:1`3oool00`09jPX0
oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooom20?ooo`00V`3oool00`09jPX0oooo
0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo@@3oool009`0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`050?ooo`802NX:o`3ooooo0?oood40oooo002M
0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o
0?ooool0oooo?P3oool009h0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?oo
o`0300WZ2P3oool0oooo0?l0ooooo`3ooolm0?ooo`00W`3oool200WZ2PL0oooo00<02NX:0?ooo`3o
ool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo?03oool00:40oooo00<02NX:0?ooo`3oool0
1@3oool200WZ2PL0oooo0P09jP[o0?ooool0oooo?03oool00:80oooo00<02NX:0?ooo`3oool01P3o
ool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3oooli0?ooo`00X`3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo
0?ooocP0oooo002T0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`3o0?ooool0oooo=`3oool00:D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00H0
oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooocH0oooo002W0?ooo`0300WZ2P3oool0oooo00D0oooo
0P09jPX70?ooo`802NX:o`3ooooo0?ooocH0oooo002X0?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo<`3oool00:T0oooo00<02NX:
0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooolb
0?ooo`00ZP3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool0o`3ooooo0?oooc40oooo002[0?ooo`802NX:1`3oool200WZ2PL0oooo0P09jP[o0?ooool0
oooo<@3oool00:d0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ
2P3oool0oooo0?l0ooooo`3oool^0?ooo`00[P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooobd0oooo002_0?ooo`0300WZ2P3oool0
oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo;03oool0
0;00oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`802NX:o`3ooooo0?oo
ob`0oooo002a0?ooo`802NX:1`3oool200WZ2PP0oooo00<02NX:0?ooo`3oool0o`3ooooo0?ooobT0
oooo002c0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo
0?ooo`3o0?ooool0oooo:03oool005d0oooo1@00001B0?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o0?ooool0oooo9`3oool005h0oooo00@00000
0?ooo`3oool00000D`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool0o`3ooooo0?ooobH0oooo001N0?ooo`030000003oool0oooo05D0oooo0P09jPX7
0?ooo`802NX:1`3oool200WZ2Qh0oooo0`0000030?ooo`<00000o`3oooon0?ooo`00GP3oool00`00
0000oooo0?ooo`1G0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`0L0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0o`3oooom
0?ooo`00GP3oool00`000000oooo0?ooo`1H0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool01P3oool00`09jPX0oooo0?ooo`0K0?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool0o`3oooom0?ooo`00GP3oool00`000000oooo0?ooo`1I0?ooo`0300WZ2P3oool0oooo
00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0J0?ooo`070000003oool00000
0?ooo`000000oooo0000003o0?ooool0oooo001M0?ooo`<00000F`3oool00`09jPX0oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00H0oooo0P09jPXJ0?ooo`070000003oool000000?ooo`000000oooo
0000003o0?ooool0oooo002l0?ooo`802NX:1`3oool200WZ2PP0oooo00<02NX:0?ooo`3oool05`3o
ool2000000<0oooo0P00003o0?ooool0oooo002n0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:
0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0E0?ooo`<000000`3oool300000?l0oooooP3oool0
0;l0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo
0?l0ooooo`3ooolL0?ooo`00`03oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0
oooo00<02NX:0?ooo`3oool0o`3ooooo0?oooa/0oooo00310?ooo`0300WZ2P3oool0oooo00H0oooo
00<02NX:0?ooo`3oool01P3oool200WZ2_l0ooooo`3ooolK0?ooo`00`P3oool200WZ2PL0oooo0P09
jPX80?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooolH0?ooo`00a03oool00`09jPX0oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?oooaL0oooo00350?oo
o`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`3o0?oo
ool0oooo5P3oool00<H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`80
2NX:o`3ooooo0?oooaH0oooo00370?ooo`0300WZ2P3oool0oooo00H0oooo0P09jPX80?ooo`0300WZ
2P3oool0oooo0?l0ooooo`3ooolC0?ooo`00b03oool200WZ2PP0oooo00<02NX:0?ooo`3oool01P3o
ool00`09jPX0oooo0?ooo`3o0?ooool0oooo4P3oool00<X0oooo00<02NX:0?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0?l0ooooo`3ooolA0?ooo`00b`3oool00`09
jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0o`3ooooo0?oo
oa00oooo001N0?ooo`@00000JP3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0
oooo0P09jP[o0?ooool0oooo403oool005h0oooo0`00001/0?ooo`0300WZ2P3oool0oooo00H0oooo
0P09jPX80?ooo`0500WZ2P3oool0oooo0?ooo`000000o`3ooooo0?ooo`/0oooo001E0?ooo`T02NX:
1000001/0?ooo`802NX:203oool00`09jPX0oooo0?ooo`0300WZ2P<0oooo00<02NX:0?ooo`3oool0
0P1oOgl30?ooo`030000003oool0oooo0?l0ooooo`3oool40?ooo`00E`3oool900WZ2P0300000009
jPX02NX:04002NX:;@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00L02NX:0P00
000307moO`030000003oool0oooo0?l0ooooo`3oool50?ooo`00CP3ooolB00WZ2P800000@@3ooom1
00WZ2P050000001oOgl0Ogmo07moO`000000o`3ooooo0?ooo`L0oooo00130?ooo`/02NX:2@3oool6
00WZ2P030?ooo`000000000000800000L03oool00`09jPX0oooo0?ooo`060?ooo`H02NX:0P3oool5
07moO`030000003oool0oooo0?l0ooooo`3oool50?ooo`00>03oool;00WZ2Q<0oooo00@02NX:0?oo
o`3oool02NX:103oool400000740oooo0P09jPX60?ooo`<02NX:103oool00`000000Ogmo07moO`02
07moO`030000003oool0oooo0?l0ooooo`3oool60?ooo`00;P3oool:00WZ2RH0oooo1000001c0?oo
o`0300WZ2P3oool0oooo00H0oooo00@02NX:0?ooo`3oool0oooo1@1oOgl00`000000oooo0?ooo`3o
0?ooool0oooo1P3oool002<0oooo2`09jPXX0?ooo`H02NX:0P3oool4000007@0oooo00<02NX:0?oo
o`3oool00`09jPX30?ooo`0300WZ2P3oool0oooo00D0Ogmoo`3ooooo0?ooo`T0oooo000H0?ooo`/0
2NX:=03oool900WZ2P<00000M03oool00`09jPX0oooo0?ooo`0700WZ2P8000000`1oOgl00`000000
oooo0?ooo`3o0?ooool0oooo1`3oool001<0ooooc`09jPX01@000000Ogmo07moO`1oOgl000000?l0
ooooo`3oool90?ooo`006P3oool=00WZ2S00oooo2009jPX3000007L0oooo1P09jPX20?ooo`D0Ogmo
00<000000?ooo`3oool0o`3ooooo0?ooo`L0oooo000W0?ooo``02NX:8`3oool200WZ2P030?ooo`09
jPX02NX:00<0oooo1000001g0?ooo`<02NX:103oool00`000000Ogmo07moO`0207moO`030000003o
ool0oooo0?l0ooooo`3oool80?ooo`00<`3oool=00WZ2Qh0oooo1000001j0?ooo`0400WZ2P3oool0
oooo0?ooo`D0Ogmo00<000000?ooo`3oool0o`3ooooo0?ooo`P0oooo00100?ooo``02NX:2P3oool5
00WZ2P<0oooo1000001e0?ooo`<02NX:0`3oool00`09jPX0oooo0000000507moOol0ooooo`3oool;
0?ooo`00C03ooolB00WZ2P@00000MP3oool700WZ2PD0Ogmo00<000000?ooo`3oool0o`3ooooo0?oo
o`T0oooo001G0?ooo`T02NX:0P00000n0?oooch02NX:00<0000000WZ2P1oOgl00`1oOgl00`000000
oooo0?ooo`3o0?ooool0oooo2@3oool005H0oooo2P09jPX00`0000002NX:00WZ2P0m00WZ2SP0oooo
1@09jPX00`3oool000000000000307moO`030000003oool0oooo0?l0ooooo`3oool:0?ooo`00E@3o
ool200WZ2P80oooo1009jPX0103oool0000000000000001f0?ooo`802NX:1@3oool507moO`030000
003oool0oooo0?l0ooooo`3oool:0?ooo`00GP3oool4000007h0oooo0`1oOgl00`000000oooo0?oo
o`3o0?ooool0oooo2P3oool00>80oooo00<000000?ooo`3oool0o`3ooooo0?ooo`/0oooo003o0?oo
ool0ooool03oool00?l0ooooo`3oooo`0?ooo`00o`3ooooo0?oooo00oooo003o0?ooool0ooool03o
ool00?l0ooooo`3oooo`0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 749}, {232.812, 0}} -> {-550.471, -104.248, 1.33237, \
1.33237}},
  CellTags->"More Elaborate Interference Example"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.518324 0.0646861 0.0146766 0.00134787 [
[.00084 -0.0125 -6 -9 ]
[.00084 -0.0125 6 0 ]
[.13021 -0.0125 -6 -9 ]
[.13021 -0.0125 6 0 ]
[.25958 -0.0125 -6 -9 ]
[.25958 -0.0125 6 0 ]
[.38895 -0.0125 -6 -9 ]
[.38895 -0.0125 6 0 ]
[.51832 -0.0125 -3 -9 ]
[.51832 -0.0125 3 0 ]
[.6477 -0.0125 -3 -9 ]
[.6477 -0.0125 3 0 ]
[.77707 -0.0125 -3 -9 ]
[.77707 -0.0125 3 0 ]
[.90644 -0.0125 -3 -9 ]
[.90644 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .01468 -6 -4.5 ]
[-0.0125 .01468 0 4.5 ]
[-0.0125 .14946 -18 -4.5 ]
[-0.0125 .14946 0 4.5 ]
[-0.0125 .28425 -18 -4.5 ]
[-0.0125 .28425 0 4.5 ]
[-0.0125 .41904 -18 -4.5 ]
[-0.0125 .41904 0 4.5 ]
[-0.0125 .55382 -18 -4.5 ]
[-0.0125 .55382 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[.5 .63053 -66 0 ]
[.5 .63053 66 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.00084 0 m
.00084 .00625 L
s
[(-8)] .00084 -0.0125 0 1 Mshowa
.13021 0 m
.13021 .00625 L
s
[(-6)] .13021 -0.0125 0 1 Mshowa
.25958 0 m
.25958 .00625 L
s
[(-4)] .25958 -0.0125 0 1 Mshowa
.38895 0 m
.38895 .00625 L
s
[(-2)] .38895 -0.0125 0 1 Mshowa
.51832 0 m
.51832 .00625 L
s
[(0)] .51832 -0.0125 0 1 Mshowa
.6477 0 m
.6477 .00625 L
s
[(2)] .6477 -0.0125 0 1 Mshowa
.77707 0 m
.77707 .00625 L
s
[(4)] .77707 -0.0125 0 1 Mshowa
.90644 0 m
.90644 .00625 L
s
[(6)] .90644 -0.0125 0 1 Mshowa
.125 Mabswid
.03318 0 m
.03318 .00375 L
s
.06552 0 m
.06552 .00375 L
s
.09786 0 m
.09786 .00375 L
s
.16255 0 m
.16255 .00375 L
s
.19489 0 m
.19489 .00375 L
s
.22724 0 m
.22724 .00375 L
s
.29192 0 m
.29192 .00375 L
s
.32427 0 m
.32427 .00375 L
s
.35661 0 m
.35661 .00375 L
s
.42129 0 m
.42129 .00375 L
s
.45364 0 m
.45364 .00375 L
s
.48598 0 m
.48598 .00375 L
s
.55067 0 m
.55067 .00375 L
s
.58301 0 m
.58301 .00375 L
s
.61535 0 m
.61535 .00375 L
s
.68004 0 m
.68004 .00375 L
s
.71238 0 m
.71238 .00375 L
s
.74473 0 m
.74473 .00375 L
s
.80941 0 m
.80941 .00375 L
s
.84175 0 m
.84175 .00375 L
s
.8741 0 m
.8741 .00375 L
s
.93878 0 m
.93878 .00375 L
s
.97113 0 m
.97113 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .01468 m
.00625 .01468 L
s
[(0)] -0.0125 .01468 1 0 Mshowa
0 .14946 m
.00625 .14946 L
s
[(100)] -0.0125 .14946 1 0 Mshowa
0 .28425 m
.00625 .28425 L
s
[(200)] -0.0125 .28425 1 0 Mshowa
0 .41904 m
.00625 .41904 L
s
[(300)] -0.0125 .41904 1 0 Mshowa
0 .55382 m
.00625 .55382 L
s
[(400)] -0.0125 .55382 1 0 Mshowa
.125 Mabswid
0 .04163 m
.00375 .04163 L
s
0 .06859 m
.00375 .06859 L
s
0 .09555 m
.00375 .09555 L
s
0 .12251 m
.00375 .12251 L
s
0 .17642 m
.00375 .17642 L
s
0 .20338 m
.00375 .20338 L
s
0 .23034 m
.00375 .23034 L
s
0 .25729 m
.00375 .25729 L
s
0 .31121 m
.00375 .31121 L
s
0 .33816 m
.00375 .33816 L
s
0 .36512 m
.00375 .36512 L
s
0 .39208 m
.00375 .39208 L
s
0 .44599 m
.00375 .44599 L
s
0 .47295 m
.00375 .47295 L
s
0 .49991 m
.00375 .49991 L
s
0 .52687 m
.00375 .52687 L
s
0 .58078 m
.00375 .58078 L
s
0 .60774 m
.00375 .60774 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
.00084 .61178 m
.00084 .61803 L
s
.13021 .61178 m
.13021 .61803 L
s
.25958 .61178 m
.25958 .61803 L
s
.38895 .61178 m
.38895 .61803 L
s
.51832 .61178 m
.51832 .61803 L
s
.6477 .61178 m
.6477 .61803 L
s
.77707 .61178 m
.77707 .61803 L
s
.90644 .61178 m
.90644 .61803 L
s
.125 Mabswid
.03318 .61428 m
.03318 .61803 L
s
.06552 .61428 m
.06552 .61803 L
s
.09786 .61428 m
.09786 .61803 L
s
.16255 .61428 m
.16255 .61803 L
s
.19489 .61428 m
.19489 .61803 L
s
.22724 .61428 m
.22724 .61803 L
s
.29192 .61428 m
.29192 .61803 L
s
.32427 .61428 m
.32427 .61803 L
s
.35661 .61428 m
.35661 .61803 L
s
.42129 .61428 m
.42129 .61803 L
s
.45364 .61428 m
.45364 .61803 L
s
.48598 .61428 m
.48598 .61803 L
s
.55067 .61428 m
.55067 .61803 L
s
.58301 .61428 m
.58301 .61803 L
s
.61535 .61428 m
.61535 .61803 L
s
.68004 .61428 m
.68004 .61803 L
s
.71238 .61428 m
.71238 .61803 L
s
.74473 .61428 m
.74473 .61803 L
s
.80941 .61428 m
.80941 .61803 L
s
.84175 .61428 m
.84175 .61803 L
s
.8741 .61428 m
.8741 .61803 L
s
.93878 .61428 m
.93878 .61803 L
s
.97113 .61428 m
.97113 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
.99375 .01468 m
1 .01468 L
s
.99375 .14946 m
1 .14946 L
s
.99375 .28425 m
1 .28425 L
s
.99375 .41904 m
1 .41904 L
s
.99375 .55382 m
1 .55382 L
s
.125 Mabswid
.99625 .04163 m
1 .04163 L
s
.99625 .06859 m
1 .06859 L
s
.99625 .09555 m
1 .09555 L
s
.99625 .12251 m
1 .12251 L
s
.99625 .17642 m
1 .17642 L
s
.99625 .20338 m
1 .20338 L
s
.99625 .23034 m
1 .23034 L
s
.99625 .25729 m
1 .25729 L
s
.99625 .31121 m
1 .31121 L
s
.99625 .33816 m
1 .33816 L
s
.99625 .36512 m
1 .36512 L
s
.99625 .39208 m
1 .39208 L
s
.99625 .44599 m
1 .44599 L
s
.99625 .47295 m
1 .47295 L
s
.99625 .49991 m
1 .49991 L
s
.99625 .52687 m
1 .52687 L
s
.99625 .58078 m
1 .58078 L
s
.99625 .60774 m
1 .60774 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
.51832 0 m
.51832 .61803 L
s
[(Interference Intensity)] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .02515 m
.02403 .37828 L
.02423 .05275 L
.02447 .30876 L
.02469 .02379 L
.02489 .21691 L
.02508 .09224 L
.02529 .02192 L
.02551 .22103 L
.02573 .48514 L
.02596 .18034 L
.02619 .4791 L
.02639 .3918 L
.02663 .32056 L
.02677 .15396 L
.02689 .3276 L
.02714 .47214 L
.02736 .02403 L
.02759 .47647 L
.0278 .47298 L
.02804 .12104 L
.02828 .0843 L
.02853 .10931 L
.02876 .32821 L
.02889 .48227 L
.02901 .07207 L
.02915 .11334 L
.02928 .43912 L
.0295 .10069 L
.02974 .48794 L
.02994 .17225 L
.03016 .48121 L
.0304 .14123 L
.03053 .03689 L
.03065 .40663 L
.03087 .41414 L
.03111 .22909 L
.03123 .36445 L
.03137 .44741 L
.03161 .14686 L
.03185 .23555 L
.03206 .12987 L
.0323 .4575 L
.03243 .12067 L
.03256 .39564 L
.03269 .36939 L
.03281 .33439 L
.03295 .46142 L
.03308 .28013 L
.0333 .46348 L
Mistroke
.03354 .0238 L
.03376 .13477 L
.03396 .235 L
.03419 .42535 L
.03433 .06844 L
.03445 .48778 L
.03468 .15194 L
.03491 .48625 L
.03505 .17789 L
.03517 .29793 L
.03541 .36268 L
.03554 .02348 L
.03566 .47149 L
.0358 .15981 L
.03594 .12902 L
.03618 .2923 L
.0364 .08297 L
.03664 .41013 L
.03677 .4701 L
.0369 .05985 L
.03702 .48326 L
.03716 .25134 L
.0374 .04107 L
.03755 .24024 L
.03769 .14838 L
.03782 .31926 L
.03796 .48685 L
.03809 .31191 L
.03824 .45816 L
.03839 .29699 L
.03854 .25939 L
.03867 .49078 L
.0388 .03224 L
.03894 .05144 L
.03907 .35685 L
.03929 .3628 L
.03952 .11136 L
.03974 .25828 L
.03994 .11251 L
.04016 .0395 L
.0404 .10781 L
.04053 .31276 L
.04066 .03091 L
.04089 .47521 L
.04102 .17771 L
.04114 .48152 L
.04128 .227 L
.04142 .0955 L
.04165 .35502 L
.04178 .45345 L
Mistroke
.04191 .07105 L
.04214 .42909 L
.04235 .34507 L
.0426 .12618 L
.04283 .38318 L
.04305 .20647 L
.04325 .37666 L
.04348 .27053 L
.04369 .22277 L
.04389 .42334 L
.04408 .49066 L
.04428 .15467 L
.0445 .1168 L
.04471 .16789 L
.04494 .38483 L
.04516 .23188 L
.04536 .37591 L
.04559 .10329 L
.04573 .48164 L
.04585 .02771 L
.04607 .21507 L
.04631 .09904 L
.04653 .08364 L
.04676 .48591 L
.04701 .36201 L
.04724 .3216 L
.04745 .31957 L
.04765 .12891 L
.04787 .48296 L
.04808 .43685 L
.04831 .10525 L
.04856 .31196 L
.04877 .47644 L
.049 .02117 L
.04925 .05856 L
.04939 .19962 L
.04951 .37683 L
.04976 .20419 L
.04999 .2706 L
.05021 .29033 L
.05041 .40702 L
.05064 .1231 L
.05085 .30442 L
.05105 .31452 L
.05123 .45267 L
.05143 .0224 L
.05165 .03837 L
.05186 .0352 L
.05209 .42238 L
.05231 .47752 L
Mistroke
.05251 .02952 L
.05274 .48044 L
.05287 .06839 L
.05299 .49488 L
.05321 .34554 L
.05345 .29331 L
.05368 .42344 L
.05392 .47576 L
.05416 .08624 L
.05438 .19599 L
.05459 .23025 L
.05479 .34066 L
.05501 .0208 L
.05523 .03596 L
.05546 .48101 L
.0557 .34674 L
.05591 .14969 L
.05614 .43934 L
.05639 .4878 L
.05653 .47462 L
.05666 .0234 L
.0569 .10339 L
.05714 .44174 L
.05734 .04534 L
.05755 .02852 L
.05778 .47196 L
.058 .46969 L
.0582 .02076 L
.05838 .09067 L
.05858 .26453 L
.05879 .37896 L
.05901 .35176 L
.05924 .085 L
.05946 .17341 L
.05965 .31757 L
.05989 .18834 L
.06002 .10207 L
.06014 .24656 L
.06036 .48452 L
.0606 .02242 L
.06082 .45585 L
.06107 .41846 L
.06131 .03593 L
.06153 .02831 L
.06174 .05317 L
.06194 .48156 L
.06217 .08787 L
.06238 .15192 L
.06261 .332 L
.06283 .3854 L
Mistroke
.06305 .41233 L
.0633 .48719 L
.06343 .19582 L
.06355 .48961 L
.06369 .44253 L
.06382 .02501 L
.06405 .46176 L
.06429 .39268 L
.06451 .37069 L
.06471 .03779 L
.06493 .06091 L
.06517 .29883 L
.0654 .33996 L
.06565 .22533 L
.06586 .10437 L
.06609 .45522 L
.06631 .33196 L
.06651 .24608 L
.06674 .41467 L
.06695 .37541 L
.06715 .27471 L
.06734 .46127 L
.06754 .03904 L
.06775 .02875 L
.06798 .48955 L
.06823 .48269 L
.06847 .02746 L
.06869 .11901 L
.0689 .06884 L
.0691 .33493 L
.06931 .49304 L
.06954 .02169 L
.06977 .49557 L
.07002 .46944 L
.07023 .34603 L
.07046 .24812 L
.07071 .30855 L
.07085 .43899 L
.07098 .13142 L
.07122 .0352 L
.07146 .47208 L
.07166 .11928 L
.07188 .31883 L
.07211 .33136 L
.07232 .32415 L
.07252 .34897 L
.07271 .48083 L
.07292 .40709 L
.07312 .02168 L
.07333 .02289 L
Mistroke
.07357 .49424 L
.07378 .48751 L
.07398 .03718 L
.07421 .48051 L
.07434 .22239 L
.07446 .45791 L
.07469 .19465 L
.07492 .38939 L
.07515 .2064 L
.07528 .47371 L
.0754 .19397 L
.07562 .02321 L
.07586 .49311 L
.07607 .44496 L
.07626 .07767 L
.07648 .05225 L
.07671 .46518 L
.07695 .04267 L
.07708 .4328 L
.0772 .034 L
.07745 .01962 L
.07759 .08018 L
.07771 .4655 L
.07794 .25777 L
.07819 .43541 L
.07842 .06911 L
.07863 .051 L
.07883 .38396 L
.07905 .39131 L
.07925 .35575 L
.07943 .49839 L
.07965 .49438 L
.07989 .08977 L
.08011 .36556 L
.08032 .01947 L
.08055 .46559 L
.08077 .48726 L
.08097 .0984 L
.08118 .30516 L
.08141 .08845 L
.08166 .08516 L
.08187 .40422 L
.0821 .024 L
.08235 .22059 L
.08257 .03884 L
.08269 .3984 L
.08283 .02455 L
.08296 .26576 L
.08309 .31724 L
.08333 .20603 L
Mistroke
.08354 .2837 L
.08379 .45352 L
.08403 .09874 L
.08424 .03752 L
.08447 .09409 L
.08468 .02299 L
.08487 .29413 L
.0851 .49831 L
.08535 .30896 L
.08558 .37825 L
.08579 .49021 L
.08602 .14325 L
.08627 .4768 L
.0865 .03975 L
.08671 .27727 L
.08696 .49303 L
.0871 .43965 L
.08723 .03433 L
.08746 .49633 L
.08758 .23482 L
.08772 .46148 L
.08784 .04311 L
.08798 .41685 L
.08822 .28922 L
.08835 .02445 L
.08848 .46164 L
.08862 .16354 L
.08876 .21704 L
.08889 .3072 L
.08903 .50022 L
.08916 .0599 L
.08928 .4539 L
.08951 .39161 L
.08975 .3183 L
.08998 .48247 L
.09023 .4607 L
.09046 .09448 L
.09068 .09788 L
.09089 .17395 L
.09109 .17243 L
.09132 .45892 L
.09153 .26557 L
.09176 .38439 L
.09201 .47929 L
.09222 .19915 L
.09245 .49094 L
.0927 .43225 L
.09283 .10007 L
.09296 .34582 L
.09308 .01886 L
Mistroke
.09322 .45779 L
.09344 .07534 L
.09366 .22989 L
.09386 .31669 L
.09408 .39008 L
.09432 .10545 L
.09455 .38012 L
.0948 .10834 L
.09501 .02823 L
.09524 .34956 L
.09546 .35269 L
.09566 .24146 L
.09587 .42452 L
.0961 .01934 L
.09632 .0799 L
.09651 .35817 L
.0967 .50171 L
.0969 .01873 L
.09713 .34412 L
.09738 .14765 L
.09762 .39258 L
.09784 .38129 L
.09805 .42915 L
.09825 .02064 L
.09848 .2552 L
.09869 .06472 L
.09892 .49763 L
.09917 .35415 L
.09938 .06762 L
.09961 .48859 L
.09986 .3193 L
.1 .08657 L
.10013 .44672 L
.10037 .45115 L
.10061 .17459 L
.10081 .31792 L
.10103 .37049 L
.10124 .19652 L
.10147 .49672 L
.10168 .48718 L
.10188 .12194 L
.10208 .30587 L
.10227 .48856 L
.10248 .44662 L
.10271 .29578 L
.10291 .19265 L
.10313 .0958 L
.10326 .23474 L
.10338 .07703 L
.10362 .34792 L
Mistroke
.10384 .37665 L
.10407 .01903 L
.1043 .36538 L
.10443 .06528 L
.10455 .20109 L
.10477 .31243 L
.10501 .27994 L
.10521 .5032 L
.10541 .06683 L
.10563 .14938 L
.10586 .21195 L
.10609 .43534 L
.10622 .26376 L
.10635 .42806 L
.1066 .49452 L
.10673 .30323 L
.10686 .25987 L
.10709 .09549 L
.10734 .07797 L
.10755 .39959 L
.10778 .01823 L
.10799 .1157 L
.10822 .10828 L
.10844 .04737 L
.10863 .50385 L
.10886 .24812 L
.10911 .47612 L
.10934 .01956 L
.10956 .01873 L
.10978 .02817 L
.10999 .26872 L
.11017 .10341 L
.11038 .4498 L
.1106 .48701 L
.11083 .15506 L
.11103 .29299 L
.11124 .2533 L
.11149 .02855 L
.11172 .3819 L
.11184 .44463 L
.11197 .23334 L
.11211 .01849 L
.11224 .49146 L
.11247 .02841 L
.11269 .01818 L
.11293 .50186 L
.11318 .44913 L
.11339 .17199 L
.11361 .43747 L
.11382 .2142 L
Mistroke
.11402 .50299 L
.11424 .24025 L
.11449 .50179 L
.11472 .0549 L
.11494 .19747 L
.11517 .04323 L
.11541 .16799 L
.11564 .14968 L
.11585 .01987 L
.1161 .21591 L
.11624 .43471 L
.11637 .16344 L
.11661 .31976 L
.11673 .01827 L
.11686 .40138 L
.11699 .14684 L
.11712 .08322 L
.11736 .50438 L
.1175 .20214 L
.11762 .40059 L
.11776 .48284 L
.11791 .50121 L
.11803 .02288 L
.11817 .2433 L
.1183 .39898 L
.11842 .40237 L
.11865 .05243 L
.11889 .49362 L
.11912 .15918 L
.11937 .39335 L
.1196 .08403 L
.11982 .07979 L
.12004 .03158 L
.12023 .48609 L
.12046 .4078 L
.12067 .50587 L
.1209 .05983 L
.12115 .37767 L
.12136 .49316 L
.12159 .20606 L
.12184 .44544 L
.12198 .49037 L
.12211 .03999 L
.12235 .32064 L
.12259 .0966 L
.12278 .4677 L
.123 .44633 L
.12323 .06042 L
.12345 .17539 L
.12363 .03326 L
Mistroke
.12383 .40195 L
.12405 .29712 L
.12424 .33147 L
.12446 .42361 L
.12469 .02225 L
.12491 .03147 L
.1251 .43512 L
.12534 .23744 L
.12547 .42951 L
.12559 .35002 L
.12581 .19118 L
.12604 .27477 L
.12627 .49162 L
.12652 .38765 L
.12676 .31989 L
.12698 .43859 L
.12719 .50551 L
.12739 .206 L
.12762 .05534 L
.12783 .38156 L
.12806 .01769 L
.12831 .39024 L
.12852 .41482 L
.12875 .46333 L
.129 .37681 L
.12914 .06246 L
.12927 .50298 L
.12951 .19313 L
.12975 .50621 L
.12994 .06031 L
.13016 .1289 L
.13039 .0259 L
.13061 .1144 L
.1308 .09954 L
.13102 .06306 L
.13122 .40481 L
.13141 .46786 L
.13162 .39437 L
.13186 .38452 L
.13208 .49535 L
.13227 .07521 L
.1325 .10154 L
.13275 .06675 L
.13299 .31051 L
.13321 .12782 L
.13345 .46131 L
.13367 .33006 L
.13388 .26976 L
.13409 .1209 L
.13433 .49557 L
Mistroke
.13455 .50531 L
.13479 .12117 L
.13492 .50584 L
.13505 .07821 L
.13526 .49027 L
.13548 .50064 L
.13566 .41335 L
.13587 .23414 L
.13609 .28562 L
.13633 .31941 L
.13654 .4136 L
.13676 .38244 L
.13689 .32275 L
.13702 .48582 L
.13727 .01915 L
.1374 .38851 L
.13755 .43646 L
.13769 .42463 L
.13781 .2143 L
.13806 .43596 L
.1382 .06765 L
.13832 .48971 L
.13856 .06239 L
.13881 .4042 L
.13905 .16574 L
.13918 .10176 L
.13931 .2559 L
.13954 .5047 L
.13978 .02434 L
.14 .03588 L
.1402 .49163 L
.14043 .50663 L
.14067 .03334 L
.1409 .16883 L
.14103 .27639 L
.14115 .044 L
.1414 .20679 L
.14154 .4926 L
.14167 .01816 L
.14188 .12714 L
.14212 .20554 L
.14236 .10467 L
.14259 .02549 L
.14272 .47262 L
.14287 .48632 L
.143 .03257 L
.14312 .46126 L
.14336 .29159 L
.1436 .48735 L
.14373 .06108 L
Mistroke
.14387 .43238 L
.14412 .41932 L
.14426 .20105 L
.14441 .34689 L
.14454 .18526 L
.14469 .3882 L
.14481 .03323 L
.14494 .50783 L
.14517 .08275 L
.14531 .50465 L
.14545 .44884 L
.14557 .37824 L
.14571 .30098 L
.14595 .15149 L
.14608 .51033 L
.14621 .13946 L
.14645 .38007 L
.14667 .5052 L
.14689 .47434 L
.14713 .31684 L
.14733 .13574 L
.14754 .01938 L
.14778 .34795 L
.14799 .1732 L
.14813 .22043 L
.14825 .17065 L
.14849 .47178 L
.14872 .02796 L
.14886 .50487 L
.14898 .14161 L
.1492 .06576 L
.14944 .34871 L
.14965 .03089 L
.14985 .48089 L
.15007 .35242 L
.1503 .44473 L
.15055 .40224 L
.15069 .11113 L
.15082 .39788 L
.15106 .07111 L
.15118 .42637 L
.15131 .02528 L
.15154 .1123 L
.15179 .16734 L
.15202 .07355 L
.15223 .08113 L
.15243 .42484 L
.15265 .21217 L
.15286 .27845 L
.15304 .24831 L
Mistroke
.15326 .3875 L
.1535 .0401 L
.15372 .07946 L
.15393 .3554 L
.15414 .50157 L
.15434 .12465 L
.15456 .24756 L
.15479 .07879 L
.15504 .24363 L
.15527 .04302 L
.15548 .28129 L
.15571 .05175 L
.15583 .24535 L
.15596 .27373 L
.15619 .01834 L
.15644 .2292 L
.15658 .46158 L
.15671 .15272 L
.15695 .39902 L
.15717 .49414 L
.15729 .14799 L
.15742 .44077 L
.15766 .15673 L
.15787 .49007 L
.15811 .06082 L
.15835 .51113 L
.15858 .30975 L
.1588 .51287 L
.15899 .18868 L
.15921 .45271 L
.15943 .30245 L
.15968 .50884 L
.15991 .47438 L
.16003 .01797 L
.16017 .40514 L
.16042 .36258 L
.16065 .49225 L
.16089 .15292 L
.1611 .16105 L
.16133 .01788 L
.16147 .23635 L
.1616 .37696 L
.16184 .01673 L
.16198 .31341 L
.16211 .14473 L
.16225 .02542 L
.1624 .01772 L
.16264 .45334 L
.16287 .12911 L
.16301 .47103 L
Mistroke
.16313 .37831 L
.16326 .28719 L
.1634 .02665 L
.16363 .40034 L
.16376 .06994 L
.16388 .14674 L
.1641 .04245 L
.16434 .48957 L
.16456 .45849 L
.16476 .13055 L
.16497 .471 L
.1652 .21649 L
.16545 .50498 L
.16559 .23967 L
.16572 .28359 L
.16595 .12942 L
.16609 .27094 L
.16621 .01629 L
.16643 .12843 L
.16668 .1646 L
.16691 .06717 L
.16713 .07869 L
.16733 .37671 L
.16754 .11997 L
.16774 .41106 L
.16793 .39572 L
.16815 .50607 L
.16838 .0371 L
.16861 .0203 L
.16881 .50114 L
.16902 .32797 L
.16922 .38132 L
.16944 .4854 L
.16968 .03341 L
.16991 .23757 L
.17016 .23677 L
.17037 .41149 L
.17059 .50331 L
.17084 .06577 L
.17107 .23662 L
.1712 .49557 L
.17133 .02423 L
.17147 .42691 L
.17159 .04578 L
.17183 .47749 L
.17205 .17972 L
.17217 .45681 L
.1723 .09609 L
.17254 .19199 L
.17277 .33276 L
Mistroke
.17298 .01812 L
.17323 .44675 L
.17345 .47266 L
.17365 .07832 L
.17386 .50942 L
.17409 .48447 L
.1743 .18618 L
.17455 .21098 L
.17478 .21932 L
.1749 .06154 L
.17504 .34417 L
.17528 .25374 L
.17551 .43252 L
.17576 .10772 L
.17596 .47117 L
.17619 .51587 L
.17633 .15872 L
.17646 .38978 L
.17671 .21612 L
.17685 .09069 L
.17697 .29555 L
.17711 .01617 L
.17726 .02145 L
.17739 .4891 L
.17753 .14035 L
.17767 .34549 L
.17779 .02831 L
.17802 .08097 L
.17826 .43241 L
.17849 .24114 L
.17862 .23651 L
.17874 .49779 L
.17897 .37139 L
.1792 .49417 L
.17941 .10937 L
.17961 .44472 L
.17982 .08094 L
.18005 .35586 L
.18029 .5168 L
.18042 .01892 L
.18054 .33729 L
.18079 .05731 L
.18093 .46137 L
.18106 .01968 L
.18128 .01613 L
.18153 .50544 L
.18176 .30102 L
.18197 .49117 L
.18217 .28511 L
.18239 .5037 L
Mistroke
.18259 .13934 L
.18277 .25208 L
.18299 .51609 L
.18323 .19082 L
.18345 .29748 L
.18366 .23775 L
.18389 .50231 L
.18411 .32783 L
.18431 .51109 L
.18452 .20394 L
.18475 .48191 L
.185 .02361 L
.18521 .50608 L
.18544 .37573 L
.18569 .29051 L
.18591 .41689 L
.18603 .5144 L
.18616 .02093 L
.1863 .35852 L
.18643 .08599 L
.18667 .48009 L
.18688 .14679 L
.18712 .5186 L
.18737 .11308 L
.18758 .24972 L
.18781 .26016 L
.18802 .48023 L
.18821 .50938 L
.18844 .47833 L
.18868 .10777 L
.18892 .38081 L
.18913 .01766 L
.18936 .06372 L
.1896 .44577 L
.18984 .21454 L
.19005 .47605 L
.19029 .01632 L
.19043 .32874 L
.19056 .13024 L
.1908 .5173 L
.19092 .38632 L
.19105 .19042 L
.19118 .46436 L
.19132 .1872 L
.19156 .45012 L
.19169 .19066 L
.19182 .51399 L
.19195 .17811 L
.1921 .06771 L
.19223 .51938 L
Mistroke
.19237 .13867 L
.1925 .43542 L
.19262 .13697 L
.19284 .06291 L
.19309 .38653 L
.19331 .46808 L
.19356 .0172 L
.1938 .30282 L
.19401 .0447 L
.19423 .15308 L
.19443 .02193 L
.19465 .02808 L
.19486 .32347 L
.1951 .04912 L
.19534 .51541 L
.19555 .03379 L
.19578 .1874 L
.19603 .17704 L
.19617 .5196 L
.1963 .07017 L
.19654 .51217 L
.19678 .38195 L
.19699 .48142 L
.1972 .20285 L
.19741 .47666 L
.19764 .47472 L
.19784 .0453 L
.19802 .18674 L
.19822 .1333 L
.19844 .19051 L
.19865 .51254 L
.19888 .38371 L
.1991 .5143 L
.1993 .3162 L
.19953 .05663 L
.19966 .47105 L
.19978 .4588 L
.2 .51795 L
.20024 .21382 L
.20047 .08304 L
.20072 .51863 L
.20095 .19063 L
.20117 .45711 L
.20139 .45703 L
.20158 .4694 L
.20181 .44088 L
.20202 .34622 L
.20226 .51945 L
.2025 .05242 L
.20271 .35985 L
Mistroke
.20294 .14186 L
.20319 .51335 L
.20333 .14555 L
.20346 .511 L
.2037 .08112 L
.20394 .39215 L
.20414 .43869 L
.20436 .51979 L
.20459 .49172 L
.2048 .34631 L
.205 .43772 L
.20518 .52106 L
.2054 .12618 L
.2056 .52145 L
.20581 .30102 L
.20604 .48112 L
.20626 .18945 L
.20646 .5121 L
.20669 .42312 L
.20682 .10293 L
.20694 .41718 L
.20716 .2821 L
.2074 .52304 L
.20763 .4444 L
.20775 .10726 L
.20788 .33998 L
.20812 .48328 L
.20833 .49073 L
.20854 .01614 L
.20874 .22018 L
.20896 .02436 L
.20919 .11646 L
.20942 .41106 L
.20955 .11166 L
.20968 .09144 L
.20992 .29339 L
.21006 .50285 L
.21019 .19217 L
.21042 .14399 L
.21066 .45029 L
.21089 .50884 L
.21111 .19725 L
.21131 .49834 L
.21152 .02454 L
.21172 .41054 L
.21191 .17483 L
.21212 .11411 L
.21236 .0212 L
.21258 .09451 L
.21279 .32612 L
Mistroke
.21302 .47206 L
.21324 .11797 L
.21344 .36823 L
.21365 .06791 L
.21388 .0153 L
.21413 .50929 L
.21434 .02962 L
.21457 .01712 L
.21482 .51496 L
.21505 .50777 L
.21517 .50364 L
.2153 .0159 L
.21543 .46686 L
.21556 .01636 L
.2158 .14703 L
.21602 .13929 L
.21625 .03119 L
.2165 .47562 L
.21671 .08869 L
.21694 .01719 L
.21715 .49101 L
.21734 .43879 L
.21757 .4905 L
.21782 .01929 L
.21805 .07723 L
.21826 .3192 L
.21849 .35141 L
.21873 .08129 L
.21897 .15564 L
.21918 .33816 L
.21942 .16723 L
.21956 .12623 L
.21969 .25169 L
.21993 .51696 L
.22006 .03883 L
.22018 .04219 L
.22031 .4981 L
.22045 .02419 L
.22069 .31524 L
.22082 .19258 L
.22095 .04702 L
.22108 .37917 L
.22123 .52133 L
.22136 .10452 L
.2215 .52411 L
.22163 .06994 L
.22175 .02615 L
.22197 .01645 L
.22222 .41327 L
.22244 .36402 L
Mistroke
.22269 .1605 L
.22293 .01921 L
.22314 .37673 L
.22336 .4009 L
.22356 .51889 L
.22378 .45394 L
.22399 .02733 L
.22423 .02765 L
.22447 .52685 L
.22468 .01525 L
.22491 .0212 L
.22504 .46477 L
.22518 .02052 L
.22531 .52438 L
.22543 .40519 L
.22566 .50389 L
.22591 .05351 L
.22612 .27862 L
.22633 .03121 L
.22654 .40254 L
.22677 .33533 L
.227 .14867 L
.22722 .52493 L
.22745 .52097 L
.2277 .0226 L
.22792 .2808 L
.22812 .01511 L
.22835 .0358 L
.22857 .20638 L
.22877 .01649 L
.22895 .14103 L
.22915 .08901 L
.22937 .31384 L
.22959 .32472 L
.22984 .27219 L
.23008 .49751 L
.2303 .11179 L
.23051 .17078 L
.23071 .02761 L
.23094 .08634 L
.23115 .51895 L
.23138 .49982 L
.23163 .02066 L
.23184 .51793 L
.23207 .48875 L
.23232 .07012 L
.23246 .25972 L
.23258 .04889 L
.23283 .51783 L
.23306 .40546 L
Mistroke
.23326 .0876 L
.23348 .4531 L
.23371 .44969 L
.23393 .28364 L
.23413 .52913 L
.23431 .3677 L
.23451 .51811 L
.23472 .10151 L
.23494 .13817 L
.23514 .10365 L
.23538 .50988 L
.2356 .12833 L
.23583 .10559 L
.23608 .4658 L
.23631 .30412 L
.23652 .43883 L
.23676 .48618 L
.23699 .52987 L
.23719 .1815 L
.23741 .49616 L
.23765 .11855 L
.23777 .01687 L
.2379 .52843 L
.23814 .36155 L
.23836 .53017 L
.23857 .0155 L
.23879 .22708 L
.23898 .3203 L
.23919 .09761 L
.23941 .01883 L
.23965 .22152 L
.23986 .37839 L
.24008 .527 L
.2402 .28299 L
.24034 .41677 L
.24058 .37556 L
.24072 .27594 L
.24086 .0528 L
.241 .34037 L
.24113 .01677 L
.24137 .483 L
.24151 .01586 L
.24164 .44366 L
.24187 .53093 L
.24212 .02566 L
.24236 .45045 L
.2425 .0375 L
.24262 .20729 L
.24285 .25287 L
.2431 .47729 L
Mistroke
.24331 .38236 L
.24352 .42205 L
.24374 .53141 L
.24398 .23621 L
.24421 .16899 L
.24434 .28276 L
.24447 .53027 L
.24471 .01685 L
.24485 .44622 L
.24498 .01676 L
.2452 .45927 L
.24543 .20878 L
.24568 .24013 L
.2459 .22119 L
.24604 .40362 L
.24618 .3766 L
.24633 .37994 L
.24647 .01509 L
.2466 .51438 L
.24672 .42209 L
.24686 .15846 L
.247 .02276 L
.24713 .37025 L
.24727 .02245 L
.2474 .49144 L
.24752 .47853 L
.24775 .43685 L
.248 .03652 L
.24824 .40801 L
.24837 .10047 L
.24849 .07288 L
.24872 .0457 L
.24896 .45592 L
.24918 .02003 L
.24938 .36054 L
.2496 .05491 L
.24984 .32342 L
.24997 .30098 L
.25009 .0628 L
.25022 .42002 L
.25036 .01491 L
.2506 .09637 L
.25074 .46521 L
.25086 .07768 L
.2511 .0242 L
.25132 .53242 L
.25156 .04249 L
.2518 .0178 L
.25203 .04544 L
.25217 .53293 L
Mistroke
.25229 .45254 L
.25251 .48848 L
.25275 .53327 L
.25296 .01655 L
.25316 .05828 L
.25338 .35162 L
.25361 .32893 L
.25386 .08439 L
.254 .29423 L
.25413 .05256 L
.25437 .24115 L
.25449 .40232 L
.25462 .26195 L
.25485 .42565 L
.25509 .01505 L
.25533 .01506 L
.25554 .5338 L
.25574 .31099 L
.25596 .36063 L
.25615 .08881 L
.25635 .42671 L
.25659 .53432 L
.25681 .34765 L
.25703 .03092 L
.25723 .12657 L
.25745 .33714 L
.25768 .3788 L
.2579 .38981 L
.2581 .53212 L
.25832 .2748 L
.25853 .30303 L
.25876 .41739 L
.25889 .01531 L
.25902 .08418 L
.25926 .49149 L
.25938 .50937 L
.25952 .02402 L
.25975 .17732 L
.25998 .04599 L
.26011 .48667 L
.26024 .36439 L
.26048 .10446 L
.26061 .37958 L
.26074 .53535 L
.26087 .01514 L
.26102 .31605 L
.26124 .52888 L
.26148 .43634 L
.2617 .53339 L
.26191 .16025 L
Mistroke
.26214 .26806 L
.26227 .07885 L
.26239 .2536 L
.26264 .52181 L
.26277 .05216 L
.2629 .34636 L
.26312 .02107 L
.26335 .02168 L
.26355 .05063 L
.26377 .33671 L
.264 .25055 L
.26413 .13792 L
.26425 .29477 L
.26449 .32738 L
.26471 .01515 L
.26491 .34864 L
.26513 .03544 L
.26532 .27223 L
.26553 .0426 L
.26575 .24881 L
.26599 .05543 L
.26621 .3404 L
.26642 .0209 L
.26666 .25215 L
.26688 .06129 L
.26709 .44032 L
.26731 .03904 L
.26755 .33825 L
.26767 .50907 L
.26781 .08517 L
.26804 .01568 L
.26827 .34699 L
.26849 .5157 L
.2687 .08638 L
.26889 .24909 L
.26909 .06496 L
.26932 .08942 L
.26956 .02055 L
.26978 .13117 L
.26999 .07553 L
.27023 .51258 L
.27035 .47607 L
.27049 .06871 L
.27073 .33525 L
.27095 .03124 L
.27109 .52236 L
.27122 .09834 L
.27146 .04669 L
.27159 .52391 L
.27172 .2507 L
Mistroke
.27185 .34481 L
.272 .02208 L
.27222 .18069 L
.27246 .01963 L
.27269 .06086 L
.2729 .33911 L
.27313 .29152 L
.27326 .4408 L
.27339 .21264 L
.27363 .1256 L
.27377 .41175 L
.2739 .02821 L
.27413 .02294 L
.27425 .1196 L
.27439 .51278 L
.27452 .12796 L
.27466 .52379 L
.2749 .03722 L
.27513 .08406 L
.27535 .48452 L
.27558 .52459 L
.27583 .0766 L
.27597 .52307 L
.27611 .04242 L
.27625 .46111 L
.2764 .53486 L
.27653 .03962 L
.27665 .0652 L
.27679 .50771 L
.27693 .36233 L
.27706 .46856 L
.2772 .23256 L
.27733 .46215 L
.27746 .24604 L
.27769 .32947 L
.27793 .01908 L
.27817 .05954 L
.27838 .43499 L
.27862 .28681 L
.27887 .12799 L
.27908 .26558 L
.27928 .02187 L
.27951 .39622 L
.27974 .24586 L
.27988 .2697 L
.28 .52503 L
.28014 .02348 L
.28028 .40016 L
.28052 .04824 L
.28066 .53426 L
Mistroke
.28079 .22942 L
.28103 .02225 L
.28125 .48778 L
.28137 .32676 L
.2815 .0788 L
.28174 .33603 L
.28197 .20538 L
.28218 .44883 L
.28241 .49026 L
.28265 .08314 L
.28287 .44967 L
.28306 .53492 L
.28328 .03627 L
.28351 .02779 L
.28364 .52667 L
.28377 .50783 L
.2839 .01693 L
.28404 .41199 L
.28428 .21671 L
.28441 .30767 L
.28454 .53766 L
.28477 .50313 L
.28499 .09534 L
.28524 .53855 L
.28547 .49158 L
.2856 .04472 L
.28572 .02877 L
.28595 .06597 L
.28619 .18972 L
.28633 .29203 L
.28646 .01472 L
.28667 .53697 L
.2869 .5361 L
.28714 .38432 L
.28737 .53367 L
.2875 .14985 L
.28764 .49967 L
.28789 .41016 L
.28803 .21421 L
.28818 .01832 L
.2883 .1751 L
.28844 .3125 L
.28869 .01932 L
.28883 .51591 L
.28896 .17014 L
.28919 .19554 L
.28944 .06176 L
.28967 .0196 L
.28981 .4672 L
.28993 .53416 L
Mistroke
.29015 .09442 L
.29039 .09018 L
.2906 .54264 L
.2908 .54149 L
.29101 .01813 L
.29125 .03274 L
.29149 .23606 L
.29163 .23416 L
.29176 .03921 L
.292 .06887 L
.29214 .53973 L
.29226 .54013 L
.29248 .38253 L
.29273 .52175 L
.29296 .53746 L
.29318 .08049 L
.29338 .01482 L
.29359 .542 L
.2938 .43078 L
.29398 .44427 L
.2942 .08124 L
.29444 .08052 L
.29466 .52983 L
.29487 .22242 L
.29508 .16305 L
.29528 .24752 L
.2955 .23869 L
.29573 .29775 L
.29598 .01938 L
.29621 .07116 L
.29642 .21628 L
.29665 .01618 L
.29677 .08127 L
.2969 .48278 L
.29713 .28457 L
.29738 .52367 L
.29752 .11864 L
.29765 .54412 L
.29789 .5318 L
.29811 .04305 L
.29823 .09646 L
.29836 .5324 L
.2986 .54452 L
.29881 .10641 L
.29904 .21087 L
.29929 .01613 L
.29951 .20274 L
.29973 .21335 L
.29992 .15691 L
.30014 .4702 L
Mistroke
.30036 .45008 L
.30059 .18185 L
.30084 .45146 L
.30096 .50833 L
.3011 .09978 L
.30135 .46597 L
.30158 .28831 L
.30183 .51711 L
.30207 .53743 L
.30228 .0151 L
.30242 .53607 L
.30254 .40627 L
.30269 .5455 L
.30283 .02539 L
.30296 .30164 L
.30308 .46894 L
.30321 .41951 L
.30335 .21922 L
.3036 .54487 L
.30372 .44578 L
.30386 .07014 L
.3041 .25572 L
.30433 .02669 L
.30456 .13236 L
.30468 .02765 L
.30481 .27379 L
.30505 .34958 L
.30527 .08787 L
.30548 .24322 L
.30568 .26906 L
.3059 .28844 L
.30613 .40893 L
.30636 .4727 L
.3065 .015 L
.30662 .09203 L
.30687 .5387 L
.30701 .01482 L
.30714 .23429 L
.30736 .0148 L
.30761 .30766 L
.30784 .16508 L
.30806 .47105 L
.30826 .3464 L
.30847 .15144 L
.30868 .39691 L
.30886 .01778 L
.30908 .54182 L
.30931 .54273 L
.30954 .1899 L
.30974 .52955 L
Mistroke
.30996 .17216 L
.31015 .10027 L
.31037 .50634 L
.31061 .48635 L
.31084 .38788 L
.31109 .52882 L
.3113 .07355 L
.31153 .31434 L
.31178 .02285 L
.31201 .1083 L
.31213 .06142 L
.31226 .28768 L
.3124 .27896 L
.31252 .01853 L
.31276 .02446 L
.31298 .53734 L
.3131 .51298 L
.31323 .06879 L
.31347 .03854 L
.3137 .1589 L
.31391 .1502 L
.31415 .41701 L
.31438 .11402 L
.31459 .54297 L
.31479 .5483 L
.315 .03724 L
.31523 .39173 L
.31547 .03348 L
.3157 .44762 L
.31582 .20365 L
.31596 .24308 L
.3162 .54121 L
.31643 .3445 L
.31668 .54596 L
.31689 .26885 L
.31712 .51056 L
.31725 .06129 L
.31738 .49487 L
.31763 .45477 L
.31818 .35994 L
.31843 .01568 L
.31857 .54503 L
.3187 .20675 L
.31894 .20224 L
.31905 .16204 L
.31919 .12699 L
.31942 .10479 L
.31955 .54963 L
.31967 .53113 L
.31991 .5489 L
Mistroke
.32013 .14654 L
.32034 .5151 L
.32054 .49591 L
.32076 .07969 L
.32099 .01736 L
.32112 .35719 L
.32124 .42898 L
.32137 .38549 L
.32151 .22472 L
.32175 .13303 L
.32188 .54718 L
.322 .41838 L
.32223 .53043 L
.32244 .06868 L
.32269 .18385 L
.32292 .04963 L
.32312 .03297 L
.32334 .53092 L
.32357 .16727 L
.32378 .53229 L
.32398 .51907 L
.32417 .15728 L
.32438 .54778 L
.32458 .54948 L
.3248 .03967 L
.32503 .35934 L
.32525 .1283 L
.32545 .06045 L
.32568 .04805 L
.32581 .20447 L
.32593 .24028 L
.32615 .36743 L
.32639 .43091 L
.32663 .49602 L
.32685 .2677 L
.32707 .32002 L
.32728 .18849 L
.3275 .33362 L
.32774 .40309 L
.32786 .52828 L
.32799 .35402 L
.32823 .53071 L
.32843 .45078 L
.32865 .20288 L
.32889 .11684 L
.32911 .40626 L
.32932 .03837 L
.32951 .3457 L
.32974 .25083 L
.32994 .53486 L
Mistroke
.33017 .03821 L
.33042 .29601 L
.33054 .4713 L
.33068 .3315 L
.33092 .24625 L
.33116 .22398 L
.33139 .55275 L
.33159 .47518 L
.33182 .22604 L
.33196 .42837 L
.33208 .0645 L
.33233 .02371 L
.33246 .45225 L
.33259 .55135 L
.33273 .05507 L
.33287 .54765 L
.33311 .53673 L
.33334 .1617 L
.33358 .42867 L
.33372 .20755 L
.33385 .0313 L
.33407 .55075 L
.33428 .27511 L
.33451 .55345 L
.33476 .40046 L
.335 .17423 L
.33513 .06432 L
.33526 .32421 L
.3355 .28977 L
.33572 .18225 L
.33595 .54711 L
.33616 .20754 L
.33636 .51807 L
.33656 .25372 L
.33679 .52556 L
.33703 .51332 L
.33723 .55181 L
.33746 .10912 L
.33759 .3272 L
.33772 .37896 L
.33797 .0554 L
.33821 .02112 L
.33844 .52606 L
.33868 .49158 L
.33882 .02818 L
.33895 .3411 L
.33908 .40979 L
.33921 .22522 L
.33934 .20432 L
.33949 .19575 L
Mistroke
.33971 .5453 L
.33996 .55466 L
.34019 .2247 L
.34039 .51079 L
.34064 .55441 L
.34078 .02548 L
.3409 .10626 L
.34114 .01812 L
.34138 .14868 L
.34161 .12332 L
.34186 .03299 L
.3421 .04725 L
.34231 .46223 L
.34253 .28251 L
.34272 .462 L
.34295 .32821 L
.34316 .51577 L
.3434 .50636 L
.34364 .54482 L
.34385 .21782 L
.34408 .54419 L
.34433 .29227 L
.34447 .2379 L
.3446 .49513 L
.34484 .54337 L
.34508 .48516 L
.34527 .42537 L
.34549 .1939 L
.34572 .55488 L
.34594 .091 L
.34614 .09977 L
.34632 .54209 L
.34652 .55276 L
.34673 .26075 L
.34695 .12553 L
.34718 .06491 L
.3474 .41684 L
.34759 .30781 L
.34783 .03872 L
.34796 .43252 L
.34808 .45772 L
.3483 .06047 L
.34853 .23716 L
.34876 .55675 L
.34901 .33384 L
.34923 .22379 L
.34947 .0335 L
.3497 .12381 L
.34991 .06383 L
.35012 .47188 L
Mistroke
.35032 .41797 L
.35055 .14845 L
.3508 .40318 L
.35101 .52679 L
.35124 .42825 L
.35149 .54468 L
.35163 .01974 L
.35175 .20191 L
.352 .4617 L
.35223 .18865 L
.35243 .14462 L
.35265 .45635 L
.35288 .46614 L
.3531 .31993 L
.3533 .31516 L
.35348 .39284 L
.35368 .43695 L
.35389 .47092 L
.35411 .01881 L
.35434 .22932 L
.35456 .22963 L
.35475 .12127 L
.35499 .02582 L
.35512 .25034 L
.35524 .27512 L
.35546 .22413 L
.35569 .44877 L
.35592 .49556 L
.35605 .46768 L
.35617 .46171 L
.3564 .12511 L
.35663 .01512 L
.35684 .24937 L
.35703 .1053 L
.35725 .55793 L
.35748 .32605 L
.35772 .01577 L
.35785 .24729 L
.35797 .27496 L
.35822 .4305 L
.35836 .28468 L
.35848 .12003 L
.35871 .52437 L
.35896 .54806 L
.35919 .13128 L
.3594 .51898 L
.3596 .3819 L
.35981 .53471 L
.36002 .55273 L
.3602 .04761 L
Mistroke
.36042 .49567 L
.36065 .1732 L
.36088 .44412 L
.36108 .32262 L
.36132 .54985 L
.36154 .12955 L
.36173 .38795 L
.36195 .04502 L
.36218 .45219 L
.36242 .3894 L
.36263 .13031 L
.36286 .56016 L
.36311 .53258 L
.36334 .17348 L
.36346 .07538 L
.36359 .42947 L
.36373 .35731 L
.36386 .0972 L
.36409 .42256 L
.36431 .01752 L
.36455 .19034 L
.3648 .03226 L
.36501 .08647 L
.36523 .45751 L
.36544 .11674 L
.36564 .51535 L
.36586 .1549 L
.36611 .21979 L
.36634 .0539 L
.36655 .15729 L
.36678 .24908 L
.36703 .22321 L
.36726 .55538 L
.36747 .44643 L
.36772 .33724 L
.36786 .13275 L
.36799 .42644 L
.36822 .14828 L
.36836 .52863 L
.36848 .47304 L
.36898 .29824 L
.36912 .07895 L
.36924 .28592 L
.36938 .55949 L
.36952 .07486 L
.36977 .20766 L
.36991 .54632 L
.37004 .33312 L
.37028 .22075 L
.37051 .38998 L
Mistroke
.37072 .47111 L
.37096 .46564 L
.37118 .25558 L
.37138 .34328 L
.37161 .56247 L
.37175 .25502 L
.37187 .19086 L
.3721 .47835 L
.37234 .38043 L
.37246 .39349 L
.37259 .56231 L
.37273 .01775 L
.37286 .18144 L
.3731 .01933 L
.37323 .30044 L
.37336 .41237 L
.37359 .02914 L
.3738 .33099 L
.37405 .3793 L
.37428 .01647 L
.37448 .04672 L
.3747 .43573 L
.37493 .01506 L
.37515 .39054 L
.37535 .2999 L
.37553 .21716 L
.37573 .31499 L
.37595 .01658 L
.37617 .50196 L
.37637 .50368 L
.37661 .43675 L
.37683 .29643 L
.37706 .50344 L
.37731 .56236 L
.37755 .37344 L
.37776 .47345 L
.378 .54812 L
.37823 .02156 L
.37843 .04904 L
.37865 .41061 L
.37889 .17079 L
.37902 .55142 L
.37914 .52619 L
.37937 .19328 L
.3796 .47746 L
.3798 .27023 L
.38002 .16744 L
.38021 .20497 L
.38042 .10221 L
.38064 .42864 L
Mistroke
.38088 .18288 L
.3811 .35871 L
.38131 .30618 L
.38155 .39048 L
.38167 .38556 L
.38181 .01521 L
.38205 .1226 L
.38227 .43736 L
.3824 .56311 L
.38253 .23069 L
.38277 .39532 L
.38291 .01712 L
.38303 .02434 L
.38317 .51278 L
.38331 .0164 L
.38356 .01732 L
.3837 .53348 L
.38382 .5483 L
.38406 .40525 L
.38431 .52526 L
.38453 .09746 L
.38474 .01791 L
.38496 .53421 L
.38521 .52634 L
.38544 .24083 L
.38557 .54041 L
.38569 .55124 L
.38594 .56463 L
.38608 .0417 L
.3862 .03663 L
.38642 .42577 L
.38665 .06865 L
.3869 .09488 L
.38713 .31774 L
.38726 .03612 L
.3874 .52668 L
.38753 .382 L
.38766 .33175 L
.38789 .55912 L
.38814 .55597 L
.38826 .39908 L
.3884 .03756 L
.38865 .16085 L
.3888 .07245 L
.38895 .54359 L
.38908 .5022 L
.38922 .0474 L
.38934 .09083 L
.38947 .5255 L
.38972 .48912 L
Mistroke
.38995 .18167 L
.39017 .56292 L
.39041 .41208 L
.39054 .50194 L
.39067 .45594 L
.3908 .14948 L
.39092 .30575 L
.39106 .06354 L
.39119 .32983 L
.39141 .50613 L
.39164 .33456 L
.39184 .08221 L
.39206 .55519 L
.3923 .16003 L
.39243 .50049 L
.39256 .43114 L
.39278 .26048 L
.39302 .56666 L
.39325 .10047 L
.39338 .39324 L
.3935 .27905 L
.39373 .47654 L
.39396 .43768 L
.39417 .55269 L
.39437 .2487 L
.39459 .56219 L
.39482 .06596 L
.39507 .04452 L
.39521 .55655 L
.39534 .52785 L
.39558 .42321 L
.39571 .56088 L
.39583 .54922 L
.39606 .02895 L
.3963 .06834 L
.39654 .5667 L
.39675 .41248 L
.39695 .55621 L
.39717 .27527 L
.39737 .4117 L
.39756 .13926 L
.39777 .53105 L
.39801 .10005 L
.39823 .56606 L
.39844 .56864 L
.39865 .47286 L
.39885 .55357 L
.39907 .33756 L
.3993 .51969 L
.39955 .43298 L
Mistroke
.39978 .01825 L
.39999 .02419 L
.40022 .54183 L
.40034 .56775 L
.40047 .48248 L
.4007 .21775 L
.40095 .22088 L
.40109 .49821 L
.40122 .20607 L
.40146 .54833 L
.40168 .17523 L
.4018 .33584 L
.40193 .08183 L
.40217 .47042 L
.40238 .29866 L
.40261 .50319 L
.40286 .34239 L
.40309 .1857 L
.4033 .02262 L
.40349 .39733 L
.40371 .0956 L
.40393 .44191 L
.40418 .43294 L
.40441 .23409 L
.40453 .20479 L
.40467 .045 L
.40491 .01678 L
.40514 .53314 L
.40539 .56828 L
.4056 .56908 L
.40583 .03293 L
.40596 .51105 L
.4061 .54858 L
.40634 .5697 L
.40648 .15251 L
.40661 .05287 L
.40675 .37609 L
.4069 .06708 L
.40703 .0255 L
.40717 .55092 L
.4073 .46153 L
.40742 .52329 L
.40765 .18909 L
.4079 .06337 L
.40813 .41408 L
.40826 .1565 L
.40838 .29775 L
.4086 .06624 L
.40884 .24464 L
.40903 .57071 L
Mistroke
.40924 .51265 L
.40947 .20405 L
.40969 .5547 L
.40992 .05578 L
.41006 .35048 L
.41018 .30086 L
.41043 .3171 L
.41057 .48896 L
.41069 .41379 L
.41092 .14903 L
.41117 .07267 L
.4114 .3547 L
.41161 .08555 L
.41181 .34856 L
.41203 .06096 L
.41223 .19789 L
.41241 .34291 L
.41263 .57082 L
.41287 .23831 L
.41309 .51351 L
.4133 .52278 L
.41351 .26096 L
.41374 .46131 L
.41396 .49103 L
.41416 .56573 L
.41439 .11509 L
.41464 .09198 L
.41485 .13596 L
.41508 .43217 L
.41533 .43495 L
.41556 .21423 L
.41567 .06487 L
.41581 .35062 L
.41594 .50889 L
.41607 .3337 L
.41631 .55879 L
.41653 .40483 L
.41665 .54312 L
.41678 .3322 L
.41701 .56908 L
.41725 .04913 L
.41746 .14804 L
.4177 .0203 L
.41793 .55497 L
.41814 .40119 L
.41834 .52731 L
.41855 .53128 L
.41878 .03688 L
.41902 .01657 L
.41925 .55457 L
Mistroke
.41937 .55472 L
.41951 .37215 L
.41975 .47275 L
.41998 .18128 L
.42022 .04473 L
.42043 .07086 L
.42066 .4545 L
.42079 .19319 L
.42093 .10675 L
.42118 .04509 L
.42131 .50611 L
.42144 .56872 L
.42158 .12872 L
.42173 .56736 L
.42186 .52212 L
.422 .01559 L
.42213 .21511 L
.42226 .14819 L
.42249 .26649 L
.42273 .3813 L
.42296 .16042 L
.42321 .06228 L
.42345 .40103 L
.42366 .0965 L
.42388 .0172 L
.42408 .42377 L
.4243 .0286 L
.42452 .07555 L
.42464 .01598 L
.42477 .04961 L
.425 .46085 L
.42525 .56562 L
.42539 .2209 L
.42551 .16254 L
.42574 .20397 L
.42599 .02038 L
.42622 .56717 L
.42643 .48982 L
.42663 .51515 L
.42685 .57154 L
.42705 .48705 L
.42724 .19812 L
.42744 .57195 L
.42765 .57419 L
.42786 .53613 L
.42809 .14059 L
.42833 .25846 L
.42855 .10864 L
.42879 .2993 L
.42903 .37137 L
Mistroke
.42924 .55289 L
.42944 .16129 L
.42966 .48477 L
.42989 .11173 L
.43012 .41911 L
.43025 .53062 L
.43037 .32341 L
.43059 .57577 L
.43083 .04744 L
.43104 .02524 L
.43123 .36972 L
.43145 .16774 L
.43168 .45749 L
.43191 .10063 L
.43204 .01574 L
.43217 .0489 L
.43241 .18364 L
.43255 .08706 L
.43268 .08912 L
.43291 .57636 L
.43315 .43703 L
.43338 .13765 L
.4336 .04085 L
.4338 .44008 L
.43401 .29149 L
.4342 .13195 L
.4344 .02993 L
.43463 .55918 L
.43486 .08568 L
.43508 .04431 L
.43528 .08386 L
.43551 .54577 L
.43573 .47676 L
.43593 .41751 L
.43614 .50553 L
.43637 .05232 L
.43662 .27571 L
.43683 .2943 L
.43706 .2537 L
.43731 .0586 L
.43754 .57658 L
.43765 .44913 L
.43779 .57004 L
.43792 .34231 L
.43805 .23754 L
.43829 .5089 L
.4385 .57507 L
.43874 .14415 L
.43899 .06091 L
.4392 .06417 L
Mistroke
.43943 .55658 L
.43964 .5756 L
.43983 .0353 L
.44006 .56471 L
.4403 .37192 L
.44052 .52892 L
.44075 .07626 L
.441 .3159 L
.44123 .22027 L
.44137 .56855 L
.4415 .3719 L
.44175 .46977 L
.44188 .43404 L
.44201 .08316 L
.44226 .4276 L
.4424 .24206 L
.44255 .56294 L
.44267 .56624 L
.44281 .24419 L
.44304 .26909 L
.44317 .42877 L
.44329 .22788 L
.44353 .02198 L
.44367 .37729 L
.4438 .32421 L
.44402 .54381 L
.44426 .46476 L
.44449 .20751 L
.4447 .15329 L
.44494 .55018 L
.44516 .30545 L
.44536 .57701 L
.44558 .3299 L
.44582 .49618 L
.44595 .57396 L
.44607 .51771 L
.44631 .02167 L
.44653 .25086 L
.44673 .08267 L
.44695 .34774 L
.44717 .57246 L
.44741 .14606 L
.44762 .0528 L
.44784 .47994 L
.44805 .45632 L
.44824 .0799 L
.44848 .49844 L
.4486 .57752 L
.44874 .35518 L
.44897 .4806 L
Mistroke
.4492 .443 L
.44933 .39695 L
.44946 .08858 L
.4497 .53831 L
.44983 .26673 L
.44996 .33772 L
.45009 .02919 L
.45024 .5642 L
.45049 .41084 L
.45072 .12015 L
.45095 .30636 L
.45116 .26629 L
.45138 .50935 L
.45163 .57175 L
.45176 .5779 L
.45189 .34149 L
.45214 .57912 L
.45227 .52339 L
.45239 .58003 L
.45262 .03668 L
.45286 .23555 L
.453 .0493 L
.45313 .07496 L
.45334 .18107 L
.45358 .29896 L
.45382 .55901 L
.45405 .01709 L
.45418 .04265 L
.45432 .51582 L
.45445 .58092 L
.45458 .50073 L
.45481 .1809 L
.45506 .53354 L
.45518 .55339 L
.45532 .24947 L
.45557 .54773 L
.45571 .0358 L
.45587 .57798 L
.45599 .58108 L
.45614 .22027 L
.45626 .4273 L
.45639 .22137 L
.45663 .56891 L
.45687 .02421 L
.45709 .02299 L
.45732 .57584 L
.45746 .45942 L
.45758 .55308 L
.45771 .46674 L
.45783 .57153 L
Mistroke
.45797 .38699 L
.4581 .25544 L
.45832 .05022 L
.45856 .5221 L
.45876 .04135 L
.45898 .26802 L
.45922 .28773 L
.45935 .11229 L
.45947 .35534 L
.4597 .01977 L
.45993 .58089 L
.46017 .03643 L
.4603 .01594 L
.46042 .16667 L
.46064 .05407 L
.46088 .57963 L
.46109 .57354 L
.46129 .2814 L
.4615 .21749 L
.46173 .57243 L
.46198 .38188 L
.46212 .56586 L
.46225 .54867 L
.46249 .08809 L
.46262 .23245 L
.46274 .01797 L
.46297 .43876 L
.46321 .04982 L
.46344 .5825 L
.46366 .58258 L
.46386 .18762 L
.46407 .23203 L
.46428 .02674 L
.46446 .35456 L
.46468 .4701 L
.46491 .10646 L
.46514 .05012 L
.46534 .07178 L
.46556 .13705 L
.46576 .58274 L
.46597 .54037 L
.46621 .05232 L
.46644 .57801 L
.46669 .32931 L
.4669 .15422 L
.46713 .5808 L
.46738 .46301 L
.46761 .35431 L
.46785 .58344 L
.46799 .2393 L
Mistroke
.46813 .12303 L
.46835 .01744 L
.46858 .56522 L
.46871 .53514 L
.46884 .58069 L
.46907 .08661 L
.46928 .14485 L
.46951 .09113 L
.46972 .06761 L
.46991 .52376 L
.47014 .0432 L
.47039 .41894 L
.47062 .08281 L
.47083 .07067 L
.47106 .57801 L
.47131 .23323 L
.47154 .48863 L
.47175 .55609 L
.472 .4924 L
.47214 .47942 L
.47227 .44447 L
.47251 .24088 L
.47264 .37244 L
.47276 .07652 L
.473 .35428 L
.47313 .44415 L
.47326 .27765 L
.47348 .01724 L
.47373 .40356 L
.47387 .02316 L
.47399 .03968 L
.47414 .48616 L
.47428 .5348 L
.47453 .4716 L
.47466 .53293 L
.47479 .54514 L
.47503 .12253 L
.47526 .54133 L
.47546 .11954 L
.47568 .36865 L
.47592 .09522 L
.47604 .38494 L
.47617 .17768 L
.47641 .43203 L
.47663 .58508 L
.47684 .52695 L
.47706 .56737 L
.47725 .02406 L
.47745 .23842 L
.47768 .01645 L
Mistroke
.47792 .56567 L
.47814 .19017 L
.47835 .54026 L
.47859 .33684 L
.47871 .11178 L
.47885 .36694 L
.47908 .11808 L
.47931 .05072 L
.47944 .26265 L
.47957 .24838 L
.47981 .15466 L
.47995 .02068 L
.48007 .09147 L
.48021 .04719 L
.48035 .58289 L
.4806 .26487 L
.48074 .58069 L
.48087 .57118 L
.4811 .0425 L
.48135 .35532 L
.48157 .05569 L
.48178 .2781 L
.482 .05304 L
.48225 .2471 L
.48248 .16257 L
.48261 .3391 L
.48273 .08591 L
.48286 .07299 L
.483 .42569 L
.48325 .12895 L
.48346 .17386 L
.4837 .43135 L
.48395 .5466 L
.48417 .29766 L
.4843 .19217 L
.48445 .10387 L
.48458 .31773 L
.4847 .12531 L
.48494 .51919 L
.48519 .41021 L
.48543 .01667 L
.48557 .22342 L
.4857 .10003 L
.48585 .56041 L
.48599 .15406 L
.48612 .14911 L
.48627 .08355 L
.48639 .02214 L
.48653 .03077 L
.48677 .48961 L
Mistroke
.48701 .04493 L
.48722 .03912 L
.48746 .5865 L
.48759 .56262 L
.48772 .56253 L
.48785 .58053 L
.48797 .25699 L
.48811 .54284 L
.48824 .5533 L
.48846 .58726 L
.4887 .08494 L
.4889 .58617 L
.48912 .57258 L
.48935 .01729 L
.48949 .02523 L
.48961 .15759 L
.48983 .05859 L
.49007 .53954 L
.49031 .01773 L
.49054 .28291 L
.49076 .47786 L
.49097 .03884 L
.49119 .16214 L
.49144 .2605 L
.49156 .53608 L
.49169 .50376 L
.49193 .06062 L
.49215 .19305 L
.49239 .33037 L
.49262 .02054 L
.49283 .18039 L
.49302 .17444 L
.49323 .01745 L
.49345 .01673 L
.49366 .34655 L
.49388 .02069 L
.49401 .03282 L
.49414 .36856 L
.49438 .40132 L
.49452 .56649 L
.49464 .36152 L
.49486 .5206 L
.4951 .04885 L
.49533 .13455 L
.49554 .02124 L
.49578 .57912 L
.49601 .29624 L
.49626 .58422 L
.4964 .41946 L
.49653 .51442 L
Mistroke
.49666 .43953 L
.49678 .58862 L
.49692 .52366 L
.49706 .05315 L
.4972 .04848 L
.49733 .02907 L
.49757 .53534 L
.49779 .45977 L
.49803 .04703 L
.49825 .19222 L
.49845 .14415 L
.49869 .40668 L
.49883 .5297 L
.49895 .29948 L
.49918 .58761 L
.49942 .02552 L
.49965 .44613 L
.4999 .02257 L
.50013 .54831 L
.50035 .4592 L
.50061 .34831 L
.50085 .23232 L
.50097 .55998 L
.5011 .57916 L
.50124 .15265 L
.50137 .16692 L
.50159 .14874 L
.50182 .12105 L
.50202 .44788 L
.50224 .48886 L
.50247 .0175 L
.5026 .01739 L
.50272 .34697 L
.50295 .02731 L
.50317 .05872 L
.50337 .26015 L
.50359 .28928 L
.50378 .01728 L
.50398 .36815 L
.5042 .31654 L
.50444 .16404 L
.50466 .37963 L
.50487 .01654 L
.50511 .58855 L
.50533 .33338 L
.50554 .55212 L
.50576 .59013 L
.506 .02374 L
.50612 .16776 L
.50626 .06802 L
Mistroke
.50649 .45374 L
.50671 .56116 L
.50694 .58624 L
.50715 .50337 L
.50734 .35283 L
.50754 .585 L
.50777 .52444 L
.50801 .06035 L
.50823 .32058 L
.50844 .03284 L
.50868 .56275 L
.5088 .53907 L
.50894 .58993 L
.50918 .0175 L
.5094 .13301 L
.50953 .01648 L
.50966 .07261 L
.50991 .32442 L
.51006 .08717 L
.51019 .27898 L
.51032 .08076 L
.51045 .14844 L
.51067 .38597 L
.51091 .16148 L
.51114 .03604 L
.51135 .13522 L
.51158 .15466 L
.51171 .17107 L
.51184 .02045 L
.51208 .49374 L
.51222 .20905 L
.51235 .4236 L
.51257 .11994 L
.51278 .38501 L
.51301 .01853 L
.51326 .34641 L
.51339 .55197 L
.51352 .39472 L
.51377 .49696 L
.51401 .08782 L
.51423 .01653 L
.51446 .27248 L
.51468 .1412 L
.51487 .56151 L
.51508 .46774 L
.5153 .59043 L
.51554 .04829 L
.51575 .58127 L
.51597 .53188 L
.51696 .29384 L
Mistroke
.51709 .19283 L
.51724 .1125 L
.51738 .33985 L
.51751 .1599 L
.51775 .47528 L
.51787 .55209 L
.51801 .58464 L
.51825 .01735 L
.51848 .06185 L
.5186 .07983 L
.51874 .0293 L
.51899 .58785 L
.51922 .36578 L
.51946 .30327 L
.51969 .58764 L
.5199 .23009 L
.52013 .42433 L
.52034 .06276 L
.52057 .44048 L
.52082 .0335 L
.52095 .28089 L
.52108 .16589 L
.52133 .5454 L
.52157 .15375 L
.5218 .11515 L
.5222 .0622 L
.52243 .03689 L
.52264 .07343 L
.52287 .0202 L
.52307 .49947 L
.5233 .31463 L
.52354 .10765 L
.52378 .42583 L
.52401 .34574 L
.52413 .59029 L
.52427 .57753 L
.52451 .03325 L
.52474 .23204 L
.52498 .44381 L
.52519 .44669 L
.52542 .58524 L
.52555 .57739 L
.52568 .59233 L
.52593 .01671 L
.52606 .04586 L
.52619 .0474 L
.52633 .03515 L
.52648 .53059 L
.52661 .39825 L
.52675 .57752 L
Mistroke
.52688 .5543 L
.527 .12942 L
.52723 .43686 L
.52747 .22723 L
.5277 .01668 L
.52783 .03408 L
.52795 .45326 L
.52818 .46651 L
.52841 .02866 L
.52862 .42125 L
.52882 .09635 L
.52903 .01736 L
.52927 .27271 L
.5295 .59357 L
.52963 .59068 L
.52975 .30255 L
.53 .12969 L
.53014 .0172 L
.53027 .154 L
.5305 .02884 L
.53074 .59371 L
.53097 .34606 L
.53119 .5809 L
.53139 .03463 L
.5316 .07621 L
.5318 .58669 L
.53199 .49661 L
.53221 .59224 L
.53244 .15562 L
.53266 .12087 L
.53287 .59298 L
.53311 .25015 L
.53332 .33923 L
.53352 .17731 L
.53373 .02013 L
.53397 .26859 L
.53421 .27165 L
.53442 .59435 L
.53465 .43176 L
.5349 .34669 L
.53513 .57283 L
.53525 .11571 L
.53538 .08009 L
.53552 .2349 L
.53565 .09231 L
.53589 .58285 L
.5361 .45628 L
.53622 .02249 L
.53635 .02083 L
.53659 .44594 L
Mistroke
.53682 .57519 L
.53703 .39378 L
.53726 .54397 L
.5375 .04706 L
.53773 .03341 L
.53794 .26543 L
.53814 .36473 L
.53835 .02968 L
.5386 .54135 L
.53882 .4615 L
.53895 .58481 L
.53908 .59501 L
.53933 .02395 L
.53956 .22637 L
.5398 .39829 L
.54001 .52582 L
.54024 .57245 L
.54037 .59491 L
.54051 .53308 L
.54075 .13143 L
.54089 .28095 L
.54102 .08369 L
.54116 .33231 L
.54131 .4987 L
.54144 .57745 L
.54158 .35275 L
.54171 .36804 L
.54183 .59151 L
.54206 .39641 L
.54231 .27359 L
.54254 .52573 L
.54279 .01705 L
.54302 .42039 L
.54324 .28055 L
.54346 .08799 L
.54365 .59007 L
.54388 .50382 L
.54409 .56646 L
.54433 .40995 L
.54457 .29829 L
.54478 .02885 L
.54501 .14398 L
.54526 .55255 L
.54549 .47101 L
.54563 .3082 L
.54576 .43393 L
.54601 .15504 L
.54621 .57295 L
.54643 .55647 L
.54665 .59434 L
Mistroke
.54687 .27679 L
.54707 .45646 L
.54725 .36159 L
.54745 .1212 L
.54767 .12837 L
.54788 .44759 L
.54809 .1242 L
.54833 .58718 L
.54854 .37236 L
.54877 .45545 L
.54902 .21102 L
.54925 .0232 L
.54947 .35939 L
.54971 .01852 L
.54993 .02137 L
.55013 .58242 L
.55035 .44009 L
.55059 .51848 L
.55071 .38507 L
.55085 .30253 L
.55108 .58815 L
.5513 .49247 L
.55151 .01686 L
.55174 .08831 L
.55192 .03612 L
.55213 .50989 L
.55235 .57752 L
.55259 .16527 L
.55282 .20399 L
.55302 .45166 L
.55326 .37647 L
.55339 .56417 L
.55352 .55163 L
.55376 .30871 L
.55398 .50354 L
.55412 .56086 L
.55424 .52051 L
.55438 .46022 L
.55452 .57327 L
.55465 .5062 L
.55478 .49232 L
.55503 .32781 L
.55527 .19226 L
.5554 .03092 L
.55554 .04802 L
.55566 .3507 L
.55579 .49893 L
.55602 .31008 L
.55625 .34453 L
.55649 .04181 L
Mistroke
.55672 .07658 L
.55692 .40576 L
.55715 .50479 L
.55736 .32944 L
.55759 .46752 L
.55783 .18698 L
.55808 .30839 L
.5582 .01879 L
.55834 .02282 L
.55858 .32958 L
.5588 .19332 L
.55903 .19859 L
.55924 .06212 L
.55943 .13454 L
.55964 .32307 L
.55986 .30529 L
.5601 .03249 L
.56031 .56296 L
.56053 .58056 L
.56066 .44979 L
.5608 .48863 L
.56104 .11738 L
.56129 .25976 L
.56151 .20282 L
.56165 .28244 L
.56178 .07204 L
.56202 .58177 L
.56216 .58294 L
.56228 .22796 L
.56242 .27559 L
.56256 .56557 L
.56279 .57073 L
.56303 .23877 L
.56326 .14546 L
.56347 .58125 L
.56371 .13445 L
.56385 .06927 L
.56398 .35995 L
.56421 .07717 L
.56446 .52307 L
.56468 .55685 L
.56493 .06435 L
.56517 .06902 L
.56539 .05668 L
.5656 .42357 L
.5658 .0175 L
.56602 .01699 L
.56623 .38365 L
.56647 .1318 L
.56671 .38206 L
Mistroke
.56692 .04165 L
.56715 .02268 L
.5674 .59624 L
.56754 .54637 L
.56767 .54663 L
.56791 .12738 L
.56815 .0202 L
.56835 .55104 L
.56856 .30515 L
.56879 .40484 L
.56901 .03235 L
.56921 .59395 L
.56939 .59486 L
.56959 .02035 L
.5698 .45946 L
.57002 .57031 L
.57025 .59561 L
.57047 .44849 L
.57066 .39795 L
.5709 .15237 L
.57103 .32756 L
.57115 .55676 L
.57137 .44336 L
.5716 .59329 L
.57183 .55768 L
.57208 .06999 L
.57232 .4042 L
.57254 .1117 L
.57275 .05579 L
.57295 .30945 L
.57317 .31477 L
.57339 .02522 L
.57362 .1022 L
.57387 .56812 L
.57408 .26492 L
.57431 .44491 L
.57456 .28755 L
.5747 .24682 L
.57482 .59137 L
.57507 .0854 L
.5753 .02934 L
.5755 .34063 L
.57572 .02067 L
.57595 .01723 L
.57616 .4741 L
.57636 .01706 L
.57655 .0205 L
.57675 .46921 L
.57696 .03917 L
.57718 .51784 L
Mistroke
.57741 .51833 L
.57762 .46392 L
.57782 .51709 L
.57805 .45242 L
.57818 .59864 L
.57831 .11017 L
.57853 .03275 L
.57876 .02694 L
.57899 .01985 L
.57924 .58299 L
.57948 .57259 L
.5797 .42207 L
.57989 .5688 L
.58011 .36499 L
.58034 .21433 L
.58055 .18643 L
.58078 .07329 L
.58103 .31682 L
.58124 .17299 L
.58147 .16148 L
.58172 .28682 L
.58186 .33558 L
.58199 .01893 L
.58223 .51269 L
.58247 .57608 L
.58267 .28201 L
.58289 .59396 L
.58312 .59916 L
.58333 .17319 L
.58353 .59578 L
.58371 .59937 L
.58393 .0782 L
.58413 .59582 L
.58434 .16635 L
.58457 .17377 L
.58479 .07691 L
.58499 .18004 L
.58521 .10282 L
.58544 .06306 L
.58557 .21996 L
.58569 .57488 L
.58593 .55475 L
.58616 .59932 L
.5864 .11857 L
.58664 .05529 L
.58685 .55147 L
.58708 .59261 L
.58732 .15358 L
.58745 .5905 L
.58758 .58751 L
Mistroke
.58782 .35892 L
.58804 .42575 L
.58827 .46416 L
.58851 .56024 L
.58873 .59239 L
.58895 .0302 L
.58914 .24195 L
.58934 .45816 L
.58957 .58004 L
.58981 .08497 L
.58995 .21161 L
.59007 .59495 L
.5903 .55169 L
.59054 .48863 L
.59067 .56789 L
.59082 .2702 L
.59096 .23802 L
.59109 .55831 L
.59133 .10732 L
.59147 .1784 L
.59159 .6004 L
.59184 .13557 L
.59207 .2718 L
.59231 .16881 L
.59244 .08622 L
.59258 .11331 L
.59281 .08194 L
.59306 .34633 L
.59329 .4759 L
.5935 .02267 L
.59373 .17135 L
.59394 .52568 L
.59417 .52232 L
.59441 .29122 L
.59454 .58304 L
.59467 .51742 L
.59492 .36425 L
.59516 .05202 L
.59538 .30227 L
.59561 .44315 L
.59582 .42 L
.59601 .59768 L
.59622 .0185 L
.59645 .06617 L
.59669 .08367 L
.59689 .58542 L
.59712 .57424 L
.59724 .15863 L
.59738 .12025 L
.59763 .588 L
Mistroke
.59787 .19479 L
.5981 .4173 L
.59834 .03645 L
.59848 .04268 L
.59861 .32229 L
.59874 .41522 L
.59887 .54031 L
.599 .50189 L
.59915 .6008 L
.59937 .5574 L
.59962 .44976 L
.59984 .50559 L
.60005 .12947 L
.6003 .58706 L
.60043 .58318 L
.60056 .22878 L
.6008 .36294 L
.60104 .47384 L
.60127 .53671 L
.60152 .01778 L
.60176 .08897 L
.60197 .1395 L
.60219 .58893 L
.60239 .23938 L
.60262 .24566 L
.60282 .42043 L
.60306 .51319 L
.6033 .37133 L
.60351 .35976 L
.60374 .30794 L
.60399 .59501 L
.60413 .60138 L
.60426 .20952 L
.60451 .58106 L
.60474 .55201 L
.60494 .46555 L
.60512 .52783 L
.60532 .3238 L
.60553 .31482 L
.60575 .16268 L
.60598 .3569 L
.60619 .34977 L
.60638 .54774 L
.60662 .43563 L
.60675 .06731 L
.60687 .48086 L
.60709 .47848 L
.60732 .43168 L
.60754 .05427 L
.60774 .25417 L
Mistroke
.60796 .0387 L
.6082 .01722 L
.60843 .01735 L
.60857 .19362 L
.60869 .57293 L
.60891 .25564 L
.60915 .4315 L
.60939 .46214 L
.60961 .03513 L
.60981 .38797 L
.61003 .11259 L
.61026 .11735 L
.61039 .40395 L
.61052 .46242 L
.61065 .10936 L
.61077 .44875 L
.61091 .54164 L
.61104 .5186 L
.61127 .40051 L
.61148 .14278 L
.61172 .15838 L
.61196 .10536 L
.61218 .39151 L
.61238 .08006 L
.6126 .34883 L
.61282 .44255 L
.61301 .34693 L
.6132 .59878 L
.61342 .06386 L
.61362 .51736 L
.61386 .55853 L
.61399 .30917 L
.61411 .12186 L
.61434 .45938 L
.61458 .32836 L
.61479 .38575 L
.61499 .59163 L
.61521 .22978 L
.61545 .22992 L
.61568 .07309 L
.61581 .08831 L
.61593 .60196 L
.61618 .27764 L
.61632 .34938 L
.61645 .58372 L
.61666 .01835 L
.6169 .01851 L
.61714 .28493 L
.61737 .06743 L
.6175 .1024 L
Mistroke
.61764 .08431 L
.61778 .33369 L
.6179 .49971 L
.61813 .4616 L
.61838 .54173 L
.61851 .44981 L
.61865 .32407 L
.61889 .58889 L
.61905 .26359 L
.61919 .15423 L
.61932 .55709 L
.61946 .55842 L
.6197 .39293 L
.61982 .363 L
.61995 .07566 L
.6201 .16206 L
.62023 .02002 L
.62036 .48226 L
.62049 .5942 L
.62061 .09071 L
.62075 .01716 L
.62099 .28199 L
.62123 .4563 L
.62146 .02884 L
.62167 .51766 L
.62187 .05518 L
.62209 .51229 L
.62233 .39994 L
.62257 .33452 L
.62282 .02328 L
.62303 .58529 L
.62326 .60226 L
.62338 .04469 L
.62351 .12743 L
.62375 .05979 L
.62398 .16091 L
.6242 .50697 L
.62443 .3619 L
.62456 .04316 L
.62468 .44427 L
.62493 .04391 L
.62507 .09538 L
.62519 .57251 L
.62542 .58376 L
.62563 .02991 L
.62587 .0703 L
.62611 .16252 L
.62633 .37084 L
.62653 .01743 L
.62675 .42864 L
Mistroke
.62699 .31911 L
.62722 .42274 L
.62747 .02175 L
.62761 .01751 L
.62774 .27381 L
.62787 .59061 L
.62799 .16737 L
.62812 .06981 L
.62826 .21898 L
.6285 .01718 L
.62864 .09032 L
.62876 .5578 L
.6289 .58465 L
.62905 .3164 L
.6293 .05488 L
.62943 .14507 L
.62956 .58114 L
.6298 .59501 L
.63005 .15551 L
.63029 .03135 L
.63052 .02755 L
.63073 .50216 L
.63095 .10802 L
.63119 .10371 L
.6314 .43494 L
.63165 .04001 L
.63188 .05814 L
.6321 .60223 L
.6323 .29015 L
.63252 .57159 L
.63275 .52334 L
.63298 .36004 L
.63311 .0173 L
.63323 .60271 L
.63345 .09042 L
.63369 .02377 L
.63381 .59047 L
.63394 .40466 L
.63418 .33816 L
.63433 .40324 L
.63446 .16394 L
.63459 .32933 L
.63472 .59864 L
.63497 .41869 L
.6352 .60119 L
.63533 .37524 L
.63546 .19495 L
.6356 .34156 L
.63573 .60291 L
.63586 .17431 L
Mistroke
.63599 .01855 L
.63624 .1035 L
.63639 .3223 L
.63653 .22211 L
.63666 .14428 L
.63679 .39828 L
.63702 .60112 L
.63716 .30965 L
.63728 .22663 L
.63753 .03851 L
.63766 .18523 L
.63779 .58419 L
.63801 .11846 L
.63826 .28036 L
.63849 .04375 L
.6387 .60275 L
.63893 .26705 L
.63915 .35106 L
.63937 .60017 L
.63962 .45881 L
.63984 .17407 L
.64007 .01921 L
.64029 .60115 L
.64049 .50587 L
.64072 .58708 L
.64097 .30623 L
.6411 .59774 L
.64124 .59093 L
.64138 .16553 L
.6415 .39609 L
.64174 .37716 L
.64196 .37193 L
.64208 .20185 L
.64221 .58274 L
.64245 .5827 L
.64269 .45529 L
.64292 .59595 L
.64306 .23673 L
.64318 .3513 L
.64332 .45587 L
.64345 .55056 L
.6437 .58587 L
.64383 .36482 L
.64397 .20651 L
.64411 .31731 L
.64425 .1311 L
.64438 .32592 L
.64451 .5846 L
.64474 .47192 L
.64487 .04037 L
Mistroke
.645 .53532 L
.64524 .32314 L
.64538 .51758 L
.64551 .32695 L
.64573 .03504 L
.64598 .03339 L
.64621 .09762 L
.64642 .4904 L
.64667 .57793 L
.64679 .01769 L
.64692 .23076 L
.64716 .29515 L
.64738 .53457 L
.64752 .21857 L
.64765 .1239 L
.64789 .148 L
.64802 .50854 L
.64814 .23558 L
.64828 .02542 L
.64842 .02667 L
.64865 .44151 L
.64889 .45379 L
.64911 .52568 L
.64932 .40217 L
.64955 .60265 L
.64968 .22778 L
.6498 .35145 L
.65004 .16891 L
.65018 .42687 L
.65031 .35858 L
.65053 .12746 L
.65076 .39621 L
.65096 .15406 L
.65118 .53113 L
.65141 .35697 L
.65154 .01921 L
.65166 .59991 L
.6519 .5327 L
.65212 .0171 L
.65232 .37614 L
.65254 .14599 L
.65273 .3354 L
.65293 .02511 L
.65315 .50097 L
.65339 .545 L
.65362 .38229 L
.65382 .55472 L
.65406 .54462 L
.65429 .46361 L
.6545 .55864 L
Mistroke
.65472 .22544 L
.65496 .26976 L
.65508 .28683 L
.65521 .58632 L
.65545 .60248 L
.65567 .08464 L
.65589 .33142 L
.6561 .1202 L
.65629 .05946 L
.6565 .5438 L
.65673 .04055 L
.65696 .02603 L
.65719 .33888 L
.65739 .01754 L
.65764 .06904 L
.65776 .45574 L
.6579 .60267 L
.65814 .60195 L
.65836 .13446 L
.6585 .02086 L
.65862 .47944 L
.65887 .45059 L
.659 .60032 L
.65912 .04779 L
.65926 .05055 L
.65941 .03116 L
.65963 .53115 L
.65987 .49516 L
.6601 .53307 L
.66031 .3309 L
.66054 .58034 L
.66067 .39645 L
.66079 .15165 L
.66104 .01872 L
.66118 .1216 L
.6613 .60016 L
.66153 .17833 L
.66174 .57378 L
.66197 .54265 L
.66222 .60332 L
.66234 .02724 L
.66248 .20552 L
.66273 .1487 L
.66297 .32048 L
.66319 .38098 L
.6634 .59218 L
.66362 .12495 L
.66384 .6014 L
.66403 .59788 L
.66426 .12322 L
Mistroke
.6645 .0432 L
.66471 .24439 L
.66493 .29396 L
.66505 .46975 L
.66519 .13373 L
.66544 .30044 L
.66569 .2324 L
.66591 .23325 L
.66615 .32446 L
.66629 .58387 L
.66642 .21714 L
.66656 .02094 L
.66668 .60203 L
.66682 .41011 L
.66696 .2896 L
.66719 .10384 L
.66743 .18595 L
.66764 .06671 L
.66787 .36294 L
.66801 .58421 L
.66814 .16838 L
.66826 .45712 L
.66839 .41164 L
.66861 .09252 L
.66886 .06177 L
.6691 .05112 L
.66933 .58089 L
.66958 .47445 L
.66971 .26966 L
.66985 .04472 L
.67008 .20271 L
.67021 .60013 L
.67033 .05035 L
.67055 .57648 L
.67078 .18721 L
.67099 .59515 L
.67122 .02601 L
.67143 .49606 L
.67162 .37844 L
.67185 .06671 L
.6721 .05648 L
.67233 .48546 L
.67254 .01812 L
.67277 .48483 L
.67301 .50931 L
.67324 .4589 L
.67345 .50299 L
.6737 .46204 L
.67384 .60288 L
.67397 .13498 L
Mistroke
.67421 .01858 L
.67434 .42441 L
.67446 .11691 L
.67459 .33778 L
.67472 .60089 L
.67496 .54059 L
.6751 .10936 L
.67522 .43037 L
.67536 .60173 L
.67551 .60191 L
.67563 .04733 L
.67577 .08783 L
.6759 .59187 L
.67602 .01702 L
.67625 .48218 L
.67649 .56179 L
.67671 .02002 L
.67694 .25858 L
.67719 .23674 L
.67742 .58935 L
.67763 .16502 L
.67783 .19976 L
.67805 .552 L
.67826 .3318 L
.6785 .59641 L
.67874 .59726 L
.67895 .33112 L
.67918 .57816 L
.67943 .60123 L
.67957 .42537 L
.67969 .07157 L
.67994 .05 L
.68017 .41958 L
.68039 .12451 L
.68059 .16847 L
.68082 .18443 L
.68103 .20832 L
.68123 .3273 L
.68142 .01725 L
.68162 .06455 L
.68183 .56159 L
.68204 .22161 L
.68227 .60262 L
.68249 .05485 L
.68269 .03258 L
.68292 .43197 L
.68305 .48809 L
.68317 .18269 L
.68339 .48646 L
.68363 .14935 L
Mistroke
.68386 .22657 L
.68411 .12294 L
.68434 .49161 L
.68456 .05848 L
.68477 .60124 L
.68497 .59755 L
.6852 .04582 L
.68541 .55548 L
.68564 .13987 L
.68589 .15919 L
.6861 .58485 L
.68633 .1272 L
.68657 .22373 L
.68671 .02613 L
.68684 .51361 L
.68709 .47449 L
.68732 .56593 L
.68752 .59459 L
.68774 .04895 L
.68797 .56098 L
.68818 .02451 L
.68838 .02563 L
.68856 .26195 L
.68876 .09724 L
.68898 .21992 L
.68919 .55221 L
.68942 .38572 L
.68964 .35806 L
.68984 .3062 L
.69005 .15234 L
.69029 .07754 L
.69042 .53446 L
.69054 .06546 L
.69078 .02782 L
.691 .59399 L
.69125 .59507 L
.69148 .24742 L
.69169 .60288 L
.69194 .55435 L
.69216 .12816 L
.69229 .44346 L
.69242 .0172 L
.69266 .17433 L
.69289 .51609 L
.6931 .52955 L
.69333 .02578 L
.69357 .0839 L
.69378 .0584 L
.69397 .0655 L
.69419 .43117 L
Mistroke
.6944 .6026 L
.69463 .01709 L
.69488 .02687 L
.695 .59109 L
.69514 .12691 L
.69538 .01701 L
.69561 .55505 L
.69585 .56418 L
.69606 .5951 L
.69629 .02535 L
.69642 .22274 L
.69655 .54762 L
.6968 .34256 L
.69694 .01697 L
.69706 .60241 L
.6972 .34158 L
.69735 .19261 L
.69759 .02038 L
.69782 .5895 L
.69806 .60209 L
.6982 .39302 L
.69833 .15692 L
.69855 .32938 L
.69876 .56444 L
.69899 .01974 L
.69924 .07423 L
.69948 .26415 L
.69961 .26942 L
.69974 .05838 L
.69998 .44448 L
.7002 .08068 L
.70043 .54913 L
.70064 .1499 L
.70083 .47869 L
.70104 .24207 L
.70126 .38368 L
.7015 .03992 L
.70171 .12097 L
.70193 .51589 L
.70206 .0916 L
.70219 .16204 L
.70244 .24779 L
.70268 .54361 L
.70291 .04923 L
.70305 .20069 L
.70317 .53152 L
.70342 .22119 L
.70355 .07093 L
.70368 .53034 L
.70381 .08714 L
Mistroke
.70396 .01713 L
.70418 .60231 L
.70443 .42818 L
.70463 .60127 L
.70486 .01879 L
.705 .25582 L
.70513 .45595 L
.70525 .26534 L
.70538 .50577 L
.70561 .13592 L
.70585 .21972 L
.70609 .58408 L
.70634 .54955 L
.70657 .05599 L
.70678 .4588 L
.70702 .10793 L
.70725 .47605 L
.7075 .5911 L
.70763 .40449 L
.70776 .1453 L
.70797 .01791 L
.70817 .05906 L
.70838 .20473 L
.70861 .24268 L
.70884 .39062 L
.70908 .06512 L
.70931 .52268 L
.70951 .36639 L
.70964 .24901 L
.70977 .05786 L
.71002 .21611 L
.71016 .55775 L
.7103 .59747 L
.71043 .02564 L
.71057 .23622 L
.7107 .55415 L
.71082 .23699 L
.71096 .59316 L
.71109 .12441 L
.71132 .27997 L
.71145 .51945 L
.71157 .23799 L
.7118 .32761 L
.71201 .58811 L
.71224 .02965 L
.71248 .01688 L
.71261 .59527 L
.71274 .1567 L
.71299 .05062 L
.71323 .11994 L
Mistroke
.71345 .41172 L
.7137 .12414 L
.71382 .5693 L
.71395 .311 L
.71419 .01826 L
.71441 .55158 L
.71455 .0552 L
.71467 .52234 L
.71491 .52071 L
.71504 .02517 L
.71517 .60215 L
.7153 .22455 L
.71545 .04936 L
.71567 .60197 L
.71591 .3293 L
.71613 .28999 L
.71634 .08549 L
.71657 .59415 L
.7167 .03441 L
.71682 .59663 L
.71707 .47746 L
.7172 .05168 L
.71733 .58037 L
.71755 .04571 L
.71778 .58507 L
.71798 .60195 L
.7182 .13638 L
.71843 .60001 L
.71856 .1227 L
.71868 .59442 L
.71891 .19534 L
.71914 .54259 L
.71934 .41124 L
.71956 .03128 L
.71977 .15548 L
.71995 .08752 L
.72017 .37037 L
.72041 .02451 L
.72064 .59828 L
.72084 .47895 L
.72106 .0235 L
.7213 .54686 L
.72153 .02024 L
.72173 .01917 L
.72198 .34719 L
.7221 .07944 L
.72223 .34989 L
.72247 .38389 L
.72269 .57252 L
.7229 .45232 L
Mistroke
.72312 .01929 L
.72331 .46811 L
.72351 .43214 L
.72374 .022 L
.72398 .44441 L
.7242 .03414 L
.72441 .02319 L
.72465 .24658 L
.72477 .18214 L
.72491 .20128 L
.72515 .59475 L
.72537 .18907 L
.72551 .58715 L
.72563 .03283 L
.72587 .50907 L
.72601 .30432 L
.72613 .44659 L
.72627 .4552 L
.72642 .15901 L
.72666 .02265 L
.7268 .44845 L
.72693 .14164 L
.72716 .35637 L
.72741 .59069 L
.72763 .10147 L
.72784 .06048 L
.72807 .46638 L
.72831 .0512 L
.72854 .55489 L
.72868 .14863 L
.7288 .57947 L
.72905 .55179 L
.72918 .07552 L
.72932 .5262 L
.72956 .58475 L
.7298 .02449 L
.73003 .60111 L
.73024 .47116 L
.73037 .24965 L
.73052 .01743 L
.73065 .54107 L
.73077 .0173 L
.73101 .56818 L
.73126 .54553 L
.73138 .06773 L
.73152 .55645 L
.73177 .57664 L
.73192 .53733 L
.73207 .21091 L
.7322 .37848 L
Mistroke
.73234 .58633 L
.73257 .01968 L
.73279 .42962 L
.73303 .02138 L
.73317 .43601 L
.7333 .08111 L
.73353 .36459 L
.73367 .45417 L
.73379 .28251 L
.73392 .46506 L
.73404 .43335 L
.73418 .52353 L
.73431 .04306 L
.73454 .3073 L
.73477 .18368 L
.73497 .26942 L
.73519 .01811 L
.73543 .57097 L
.73564 .15851 L
.73578 .5781 L
.73591 .06648 L
.73614 .59266 L
.73638 .11309 L
.73651 .36281 L
.73663 .0699 L
.73686 .59712 L
.7371 .06411 L
.73731 .28993 L
.73751 .08024 L
.73773 .48123 L
.73796 .07919 L
.73821 .31603 L
.73835 .59969 L
.73848 .0183 L
.73872 .45755 L
.73884 .01714 L
.73897 .5493 L
.7392 .03364 L
.73945 .12909 L
.73968 .53051 L
.73989 .59277 L
.7401 .60031 L
.74031 .38058 L
.74052 .41307 L
.7407 .40736 L
.74092 .57877 L
.74116 .16979 L
.74138 .59752 L
.74159 .5951 L
.7418 .42479 L
Mistroke
.742 .57571 L
.74222 .17646 L
.74245 .53796 L
.7427 .18297 L
.74293 .36933 L
.74314 .23631 L
.74337 .26166 L
.7436 .41934 L
.74381 .24609 L
.74404 .3655 L
.74428 .01877 L
.7445 .14179 L
.74469 .01649 L
.74491 .26382 L
.74514 .32416 L
.74527 .40347 L
.7454 .45482 L
.74553 .32827 L
.74567 .01703 L
.74591 .51071 L
.74604 .31557 L
.74617 .3763 L
.7464 .21893 L
.74662 .59314 L
.74674 .19205 L
.74687 .52107 L
.7471 .10188 L
.74723 .53692 L
.74737 .09038 L
.7475 .42165 L
.74762 .03114 L
.74786 .59273 L
.7481 .35018 L
.74822 .33754 L
.74836 .50982 L
.7486 .10709 L
.74875 .02341 L
.7489 .24187 L
.74902 .32078 L
.74916 .03512 L
.74939 .54115 L
.74952 .04239 L
.74964 .41829 L
.74989 .07243 L
.75003 .23088 L
.75015 .3271 L
.75037 .5625 L
.7506 .02356 L
.75084 .37898 L
.75107 .01764 L
Mistroke
.75131 .54707 L
.75143 .06451 L
.75157 .58403 L
.7518 .03741 L
.75203 .12239 L
.75216 .43259 L
.75229 .06173 L
.75252 .53221 L
.75266 .11725 L
.75278 .59694 L
.75292 .02868 L
.75306 .253 L
.7533 .55965 L
.75344 .01983 L
.75357 .56435 L
.7538 .1625 L
.75405 .59879 L
.75427 .44864 L
.75447 .57325 L
.7547 .14273 L
.75494 .56658 L
.75517 .07698 L
.75539 .0202 L
.75563 .57966 L
.75575 .1416 L
.75588 .50359 L
.75611 .55789 L
.75635 .10369 L
.75657 .55669 L
.75678 .45724 L
.75699 .51053 L
.75719 .09701 L
.75741 .28134 L
.75764 .51666 L
.75786 .21034 L
.75806 .31744 L
.75825 .36765 L
.75845 .08502 L
.75869 .58085 L
.7589 .53019 L
.75915 .3845 L
.75938 .34825 L
.7596 .15016 L
.7598 .39123 L
.76001 .34034 L
.76025 .18438 L
.76048 .46878 L
.76062 .17511 L
.76074 .59782 L
.76096 .43474 L
Mistroke
.76119 .06714 L
.76131 .56827 L
.76145 .05525 L
.76168 .54782 L
.76183 .13401 L
.76196 .3258 L
.76209 .04174 L
.76222 .55335 L
.76247 .3691 L
.7627 .43755 L
.76283 .20773 L
.76295 .59895 L
.76309 .13955 L
.76322 .44007 L
.76335 .07631 L
.76349 .41306 L
.76373 .46937 L
.76388 .20673 L
.76402 .10018 L
.76415 .37053 L
.76429 .08596 L
.76452 .34411 L
.76465 .29553 L
.76477 .04872 L
.76502 .29186 L
.76516 .52375 L
.76528 .26419 L
.76551 .02927 L
.76575 .41038 L
.76598 .05144 L
.7662 .11296 L
.76642 .50758 L
.76666 .17188 L
.76686 .50401 L
.76708 .23427 L
.76731 .37593 L
.76745 .21086 L
.76757 .05944 L
.7678 .59161 L
.76802 .34449 L
.76823 .44731 L
.76845 .15408 L
.76864 .53944 L
.76884 .41015 L
.76906 .59753 L
.7693 .02057 L
.76953 .3773 L
.76973 .18061 L
.76997 .31176 L
.77009 .0342 L
Mistroke
.77023 .53439 L
.77046 .08305 L
.77069 .46635 L
.77081 .29482 L
.77095 .4012 L
.77119 .12791 L
.77132 .53501 L
.77145 .2955 L
.77158 .47809 L
.77173 .09971 L
.77197 .27159 L
.77211 .53327 L
.77224 .19693 L
.77247 .32026 L
.77272 .02167 L
.77294 .18606 L
.77315 .10486 L
.77338 .5875 L
.77363 .0863 L
.77376 .56981 L
.77388 .0875 L
.77411 .24102 L
.77435 .10318 L
.77449 .59812 L
.77462 .05766 L
.77483 .02516 L
.77506 .54379 L
.77531 .02444 L
.77554 .50157 L
.77567 .17655 L
.77581 .59796 L
.77594 .01874 L
.77606 .48758 L
.77629 .26547 L
.77654 .59054 L
.77667 .09558 L
.77681 .59631 L
.77705 .2078 L
.7772 .04857 L
.77735 .22154 L
.77748 .30832 L
.77762 .04082 L
.77774 .34136 L
.77788 .21769 L
.77812 .5341 L
.77835 .11611 L
.77857 .01724 L
.77881 .58165 L
.77894 .01803 L
.77906 .48226 L
Mistroke
.7792 .13417 L
.77932 .11271 L
.77946 .27395 L
.77959 .3411 L
.77981 .58099 L
.78004 .08023 L
.78026 .05938 L
.78046 .08674 L
.7807 .51045 L
.78083 .07232 L
.78095 .25223 L
.78118 .59697 L
.78142 .10067 L
.78165 .14075 L
.78178 .57101 L
.7819 .21721 L
.78212 .07565 L
.78236 .29204 L
.78257 .09991 L
.78276 .28256 L
.78298 .29635 L
.78321 .03222 L
.78345 .50986 L
.78358 .18415 L
.7837 .06302 L
.78395 .41476 L
.78409 .32638 L
.78422 .5481 L
.78444 .2347 L
.78469 .44938 L
.78492 .51796 L
.78514 .57041 L
.78534 .34126 L
.78555 .28541 L
.78575 .01731 L
.78594 .54531 L
.78616 .55052 L
.78639 .27302 L
.78662 .08749 L
.78682 .39961 L
.78703 .53477 L
.78723 .35648 L
.78745 .40479 L
.78769 .47617 L
.78792 .02572 L
.78816 .59682 L
.78837 .50869 L
.7886 .52489 L
.78885 .23493 L
.78908 .58304 L
Mistroke
.7892 .45189 L
.78933 .07727 L
.78947 .47395 L
.7896 .02356 L
.78984 .55864 L
.79005 .56377 L
.79018 .41664 L
.79031 .07195 L
.79054 .57614 L
.79077 .50327 L
.79098 .56844 L
.79122 .05329 L
.79145 .1279 L
.79165 .12967 L
.79186 .26908 L
.79209 .04001 L
.79231 .01711 L
.79255 .56792 L
.79278 .35441 L
.7929 .01821 L
.79304 .59488 L
.79328 .03243 L
.79351 .38819 L
.79376 .21811 L
.79396 .48574 L
.79419 .08853 L
.79432 .39713 L
.79446 .14655 L
.79471 .52425 L
.79484 .05249 L
.79497 .35174 L
.79511 .12055 L
.79526 .5169 L
.79539 .01763 L
.79553 .5251 L
.79566 .04024 L
.79579 .43743 L
.79602 .53351 L
.79626 .11669 L
.79649 .50702 L
.79674 .0171 L
.79698 .46611 L
.7972 .51828 L
.79741 .52425 L
.79761 .01644 L
.79784 .20481 L
.79805 .10316 L
.79828 .58085 L
.79853 .01604 L
.79874 .07579 L
Mistroke
.79897 .14744 L
.7991 .59051 L
.79924 .07824 L
.79937 .58724 L
.79949 .24277 L
.79972 .02363 L
.79997 .58409 L
.80018 .59207 L
.80038 .14494 L
.8006 .20841 L
.80083 .58603 L
.80108 .0972 L
.80132 .5928 L
.80153 .52585 L
.80176 .46798 L
.80198 .36795 L
.80218 .53749 L
.80241 .47941 L
.80262 .47254 L
.80283 .50138 L
.80301 .23859 L
.80321 .58612 L
.80343 .5952 L
.80366 .28514 L
.80379 .15893 L
.80391 .52931 L
.80413 .5907 L
.80436 .20271 L
.80457 .43681 L
.80477 .40652 L
.80499 .37811 L
.80522 .5545 L
.80545 .08364 L
.80558 .44133 L
.80571 .54299 L
.80595 .18983 L
.80609 .30064 L
.80622 .05753 L
.80645 .34786 L
.80669 .19386 L
.80692 .07074 L
.80714 .03156 L
.80734 .32579 L
.80755 .39595 L
.80775 .57337 L
.80794 .12825 L
.80816 .13365 L
.80839 .23018 L
.80861 .43451 L
.80882 .12066 L
Mistroke
.80905 .58075 L
.80927 .5947 L
.80947 .13143 L
.80968 .05369 L
.80992 .52437 L
.81016 .04435 L
.81037 .20444 L
.8106 .03505 L
.81085 .50529 L
.81108 .13203 L
.8112 .034 L
.81133 .59383 L
.81147 .01967 L
.8116 .54646 L
.81183 .26801 L
.81205 .29246 L
.81229 .01755 L
.81254 .59457 L
.81275 .36476 L
.81297 .43045 L
.81317 .1959 L
.81338 .54852 L
.81362 .02481 L
.81386 .27865 L
.81409 .4278 L
.8143 .05255 L
.81452 .17888 L
.81477 .56314 L
.815 .35138 L
.81521 .59348 L
.81546 .03109 L
.8156 .58306 L
.81573 .25416 L
.81597 .02326 L
.81609 .19491 L
.81622 .57038 L
.81635 .11962 L
.81648 .35917 L
.81672 .53066 L
.81686 .01776 L
.81698 .33221 L
.81712 .34197 L
.81727 .49609 L
.81739 .4802 L
.81753 .09635 L
.81766 .58472 L
.81778 .51921 L
.81801 .38975 L
.81825 .02157 L
.81848 .09549 L
Mistroke
.81873 .55544 L
.81896 .21992 L
.81918 .37883 L
.8194 .55633 L
.81959 .06325 L
.81982 .12778 L
.82003 .024 L
.82026 .12171 L
.82051 .57677 L
.82072 .43301 L
.82095 .5845 L
.8212 .05535 L
.82134 .55211 L
.82146 .40999 L
.82171 .08818 L
.82194 .40339 L
.82214 .10989 L
.82236 .21824 L
.82259 .06736 L
.8228 .29396 L
.823 .46613 L
.82319 .49727 L
.82339 .29544 L
.8236 .02749 L
.82382 .05476 L
.82405 .02952 L
.82426 .02948 L
.82446 .59308 L
.82469 .45213 L
.82482 .01716 L
.82495 .18885 L
.82517 .16392 L
.8254 .52276 L
.82563 .5931 L
.82588 .01931 L
.82612 .22239 L
.82634 .09975 L
.82655 .01642 L
.82675 .58757 L
.82697 .54484 L
.82719 .55174 L
.82742 .52821 L
.82767 .02185 L
.82788 .19652 L
.82811 .02936 L
.82836 .55319 L
.8285 .05391 L
.82862 .2049 L
.82887 .51226 L
.8291 .19861 L
Mistroke
.8293 .51927 L
.82952 .43128 L
.82975 .56965 L
.82997 .37785 L
.83017 .08532 L
.83035 .17885 L
.83056 .01834 L
.83076 .54672 L
.83098 .58737 L
.83121 .53098 L
.83143 .5921 L
.83162 .03002 L
.83186 .25835 L
.83199 .55956 L
.83211 .31842 L
.83233 .35007 L
.83256 .04007 L
.83279 .03751 L
.83292 .53303 L
.83305 .57484 L
.83327 .59074 L
.8335 .34402 L
.8337 .26838 L
.83391 .01585 L
.83414 .1398 L
.83435 .02833 L
.83459 .25846 L
.83472 .54498 L
.83484 .22106 L
.83509 .30524 L
.83523 .31356 L
.83535 .01627 L
.83558 .04872 L
.83583 .59114 L
.83606 .47328 L
.83627 .59167 L
.83647 .04195 L
.83669 .0562 L
.83689 .58088 L
.83707 .11572 L
.83729 .31582 L
.83753 .01892 L
.83775 .01975 L
.83796 .42583 L
.83819 .11253 L
.83841 .20661 L
.8386 .46085 L
.83882 .1567 L
.83905 .46626 L
.8393 .28847 L
Mistroke
.83951 .58796 L
.83974 .46057 L
.84021 .20245 L
.84034 .58625 L
.84048 .01641 L
.84073 .58628 L
.84096 .5305 L
.84118 .59054 L
.84141 .3168 L
.84155 .11371 L
.84167 .43861 L
.84188 .11843 L
.84208 .42293 L
.84229 .56422 L
.84253 .35744 L
.84277 .05771 L
.843 .22655 L
.84321 .06439 L
.84343 .05816 L
.84367 .27134 L
.8439 .27533 L
.84404 .58632 L
.84416 .50638 L
.8443 .02652 L
.84443 .45593 L
.84456 .57527 L
.84469 .06106 L
.84493 .12407 L
.84507 .5908 L
.8452 .3955 L
.84534 .09249 L
.84549 .33464 L
.84572 .34748 L
.84585 .01599 L
.84597 .06914 L
.84621 .48701 L
.84635 .30869 L
.84647 .05224 L
.8467 .20095 L
.84694 .02027 L
.84717 .01683 L
.84738 .39798 L
.84762 .22485 L
.84784 .41134 L
.84804 .18837 L
.84826 .01535 L
.8485 .10991 L
.84863 .57269 L
.84875 .5828 L
.84899 .51425 L
Mistroke
.84921 .58326 L
.84942 .05445 L
.84964 .06123 L
.84983 .17159 L
.85003 .28684 L
.85025 .51427 L
.85049 .29137 L
.85072 .45425 L
.85092 .25392 L
.85116 .55584 L
.85128 .58115 L
.85142 .09211 L
.85166 .01622 L
.85188 .07968 L
.85201 .08003 L
.85214 .57254 L
.85238 .51615 L
.85252 .0328 L
.85264 .08051 L
.85278 .58918 L
.85292 .01836 L
.85317 .36829 L
.85331 .40686 L
.85343 .06193 L
.85367 .01691 L
.85392 .3888 L
.85414 .1503 L
.85435 .25813 L
.85457 .32157 L
.85482 .0153 L
.85495 .32431 L
.85507 .52545 L
.8553 .49702 L
.85555 .46987 L
.85568 .03724 L
.85581 .35348 L
.85603 .01532 L
.85626 .04581 L
.85651 .44195 L
.85673 .38985 L
.85698 .51584 L
.85712 .03228 L
.85725 .4046 L
.85749 .5718 L
.85761 .58488 L
.85774 .16334 L
.85788 .34243 L
.85803 .0694 L
.85818 .51467 L
.85831 .46512 L
Mistroke
.85843 .32382 L
.85856 .01648 L
.85869 .52543 L
.85882 .53557 L
.85906 .31764 L
.85919 .0476 L
.85932 .25928 L
.85954 .17896 L
.85978 .48437 L
.86 .07618 L
.8602 .52825 L
.86042 .57377 L
.86066 .56446 L
.86078 .40571 L
.86091 .02925 L
.86105 .56038 L
.86118 .35358 L
.86142 .14075 L
.86156 .20314 L
.86168 .53533 L
.86192 .58786 L
.86213 .26347 L
.86237 .45717 L
.86262 .43499 L
.86285 .35755 L
.86298 .01523 L
.8631 .07922 L
.86333 .018 L
.86356 .04876 L
.86377 .31189 L
.86397 .1771 L
.86419 .03215 L
.86442 .01534 L
.86467 .36453 L
.86481 .36953 L
.86494 .02214 L
.86517 .0608 L
.86531 .53147 L
.86543 .58832 L
.86565 .57279 L
.8659 .34554 L
.86613 .27159 L
.86635 .58754 L
.86655 .01781 L
.86676 .34962 L
.86696 .31722 L
.86715 .58674 L
.86737 .31756 L
.8676 .49468 L
.86783 .29703 L
Mistroke
.86803 .15571 L
.86824 .58613 L
.86844 .01693 L
.86866 .25218 L
.8689 .10927 L
.86913 .04594 L
.86938 .20676 L
.86959 .14479 L
.86981 .16578 L
.87352 .45074 L
.87377 .4429 L
.8739 .13168 L
.87404 .30392 L
.87419 .1352 L
.87432 .35121 L
.87445 .58768 L
.87459 .0601 L
.87472 .14651 L
.87486 .52298 L
.87499 .04691 L
.87512 .04185 L
.87535 .09522 L
.8756 .56427 L
.87584 .55266 L
.87598 .07162 L
.87611 .01928 L
.87634 .0305 L
.87659 .05205 L
.87681 .21809 L
.87702 .31846 L
.87724 .03415 L
.87748 .09712 L
.87772 .0221 L
.87785 .27116 L
.87797 .29164 L
.8782 .12647 L
.87842 .12654 L
.87865 .47169 L
.87889 .2276 L
.87902 .01622 L
.87916 .43259 L
.87929 .58154 L
.87941 .5805 L
.87955 .0781 L
.87968 .03564 L
.87982 .56837 L
.87997 .02581 L
.8801 .12471 L
.88023 .19158 L
.88036 .55989 L
Mistroke
.8805 .15878 L
.88063 .01526 L
.88077 .49804 L
.88091 .52935 L
.88103 .43915 L
.88126 .55439 L
.88151 .33722 L
.88174 .45124 L
.88196 .33525 L
.88219 .2625 L
.88244 .53108 L
.88266 .02292 L
.88286 .55578 L
.88308 .11972 L
.88332 .08319 L
.88345 .49445 L
.88357 .57259 L
.88371 .33372 L
.88385 .13354 L
.8841 .23724 L
.88423 .58427 L
.88436 .41399 L
.8846 .37578 L
.88482 .51546 L
.88494 .54724 L
.88507 .4994 L
.88531 .45735 L
.88544 .35774 L
.88557 .07767 L
.8858 .23935 L
.88593 .01755 L
.88607 .43734 L
.8862 .57457 L
.88632 .56112 L
.88655 .58214 L
.88677 .1504 L
.88701 .13562 L
.88714 .53792 L
.88727 .58639 L
.88748 .01966 L
.88768 .46874 L
.88789 .0153 L
.88813 .05389 L
.88835 .29179 L
.8886 .12946 L
.88883 .3565 L
.88904 .2628 L
.88929 .52974 L
.88952 .43739 L
.88965 .56101 L
Mistroke
.88979 .03721 L
.88991 .02446 L
.89005 .18078 L
.89017 .41479 L
.89031 .5264 L
.89056 .31738 L
.8907 .2619 L
.89084 .54518 L
.89097 .3813 L
.89111 .01563 L
.89133 .18209 L
.89146 .01591 L
.89158 .01869 L
.89183 .09932 L
.89196 .56149 L
.89209 .57285 L
.8923 .08042 L
.89253 .01535 L
.89278 .04887 L
.893 .10621 L
.89324 .06318 L
.89336 .03338 L
.8935 .18741 L
.89373 .13076 L
.89395 .11734 L
.89409 .06956 L
.89421 .26149 L
.89445 .25218 L
.89458 .57426 L
.89471 .58368 L
.89484 .22159 L
.89499 .24004 L
.89523 .3988 L
.89537 .52147 L
.89549 .33862 L
.89572 .49875 L
.89597 .30632 L
.89619 .56796 L
.8964 .07873 L
.89662 .42863 L
.89686 .33224 L
.8971 .42714 L
.89731 .43185 L
.89755 .43934 L
.89767 .47259 L
.8978 .54726 L
.89803 .40855 L
.89827 .43654 L
.89849 .09419 L
.8987 .53375 L
Mistroke
.8989 .01547 L
.89909 .1261 L
.89931 .07226 L
.89951 .39887 L
.89973 .07477 L
.89993 .35911 L
.90014 .11988 L
.90037 .32759 L
.90061 .46862 L
.90082 .25824 L
.90106 .47485 L
.9013 .34111 L
.90151 .09031 L
.90171 .25953 L
.90193 .07097 L
.90216 .20108 L
.9023 .02767 L
.90242 .07664 L
.90255 .4918 L
.90269 .29858 L
.90293 .27342 L
.90307 .02478 L
.90319 .15422 L
.90343 .11499 L
.90365 .29234 L
.90389 .04237 L
.90413 .09379 L
.90436 .34818 L
.90449 .05909 L
.90461 .02371 L
.90486 .05838 L
.90499 .54046 L
.90512 .57975 L
.90534 .39145 L
.90559 .54871 L
.90582 .39882 L
.90604 .05197 L
.90617 .06974 L
.90631 .57787 L
.90644 .40044 L
.90656 .30689 L
.90679 .48235 L
.90704 .28977 L
.90717 .07919 L
.9073 .18098 L
.90755 .41441 L
.9077 .14841 L
.90784 .26738 L
.90797 .50732 L
.90811 .35939 L
Mistroke
.90834 .55536 L
.90855 .05654 L
.90878 .17012 L
.90902 .27605 L
.90922 .01986 L
.90943 .52893 L
.90966 .14544 L
.90988 .45335 L
.91001 .23054 L
.91013 .29336 L
.91027 .05911 L
.91041 .20278 L
.91065 .02079 L
.91078 .23672 L
.91091 .31238 L
.91114 .0159 L
.91136 .58062 L
.91148 .58366 L
.91161 .51653 L
.91184 .46286 L
.91197 .5654 L
.91211 .38303 L
.91224 .14769 L
.91236 .20491 L
.91259 .57966 L
.91284 .57925 L
.91296 .5844 L
.9131 .38118 L
.91334 .45753 L
.91349 .04319 L
.91363 .47825 L
.91376 .54037 L
.9139 .48163 L
.91413 .45567 L
.91426 .57047 L
.91438 .55411 L
.91463 .53445 L
.91476 .48149 L
.91489 .40581 L
.91512 .56286 L
.91534 .04979 L
.91556 .56834 L
.91581 .58078 L
.91605 .56321 L
.91617 .53824 L
.91631 .55548 L
.91654 .53495 L
.91676 .01595 L
.9169 .1354 L
.91703 .22411 L
Mistroke
.91726 .03586 L
.9174 .23839 L
.91752 .23067 L
.91766 .53167 L
.9178 .33375 L
.91804 .41464 L
.91818 .05933 L
.91831 .02688 L
.91854 .35796 L
.91879 .41202 L
.91901 .30465 L
.91921 .55302 L
.91944 .2512 L
.91968 .09707 L
.91991 .03581 L
.92013 .5762 L
.92037 .43144 L
.92049 .34733 L
.92062 .55382 L
.92085 .01773 L
.92109 .07637 L
.92131 .57236 L
.92152 .07943 L
.92173 .44165 L
.92193 .58012 L
.92215 .0222 L
.92238 .2539 L
.9226 .45293 L
.9228 .39021 L
.92299 .36367 L
.92319 .01797 L
.92343 .26563 L
.92364 .26005 L
.92389 .24628 L
.92412 .01482 L
.92434 .58439 L
.92454 .35003 L
.92476 .32854 L
.92499 .02051 L
.92522 .22107 L
.92535 .05855 L
.92547 .13074 L
.92569 .55529 L
.92593 .19899 L
.92605 .20165 L
.92618 .4411 L
.92642 .18645 L
.92657 .57514 L
.9267 .2714 L
.92683 .27612 L
Mistroke
.92696 .04295 L
.92721 .04046 L
.92744 .42472 L
.92757 .17034 L
.92769 .23361 L
.92783 .02995 L
.92797 .21606 L
.92809 .3429 L
.92823 .58231 L
.92848 .56853 L
.92863 .09645 L
.92877 .1513 L
.92889 .23901 L
.92903 .56037 L
.92926 .16402 L
.92939 .37244 L
.92952 .33186 L
.92976 .31769 L
.9299 .58443 L
.93003 .57783 L
.93025 .17512 L
.9305 .11346 L
.93073 .09809 L
.93094 .43633 L
.93116 .03183 L
.9314 .30684 L
.9316 .01516 L
.93182 .57651 L
.93206 .49921 L
.93219 .58225 L
.93231 .5782 L
.93254 .31604 L
.93276 .15436 L
.93297 .20531 L
.93319 .29851 L
.93338 .2373 L
.93359 .09068 L
.93381 .37794 L
.93404 .56803 L
.93427 .18908 L
.93447 .58425 L
.93472 .52905 L
.93484 .49208 L
.93497 .57363 L
.93521 .51067 L
.93543 .01523 L
.93556 .02884 L
.93569 .24723 L
.93593 .07176 L
.93607 .32786 L
Mistroke
.93619 .35376 L
.93633 .58375 L
.93647 .12491 L
.93672 .1835 L
.93686 .02997 L
.93698 .08635 L
.93722 .06394 L
.93747 .0492 L
.93769 .58328 L
.9379 .09771 L
.93812 .56074 L
.93837 .57825 L
.9385 .49469 L
.93862 .5246 L
.93885 .38019 L
.9391 .3363 L
.93923 .58353 L
.93936 .5579 L
.93957 .017 L
.93981 .19953 L
.94005 .3294 L
.94028 .57064 L
.94041 .56243 L
.94055 .12052 L
.9408 .09832 L
.94094 .1309 L
.94109 .56093 L
.94122 .49872 L
.94136 .06738 L
.94161 .03132 L
.94175 .24428 L
.94188 .3921 L
.94212 .07642 L
.94237 .01731 L
.9426 .43811 L
.94282 .01715 L
.94307 .08013 L
.94331 .57445 L
.94352 .04683 L
.94373 .02417 L
.94395 .57629 L
.94418 .05393 L
.94442 .33196 L
.94455 .24832 L
.94467 .46906 L
.9449 .34868 L
.94512 .34914 L
.94525 .45409 L
.94538 .35382 L
.94562 .55213 L
Mistroke
.94577 .39681 L
.94591 .16313 L
.94603 .30545 L
.94616 .18324 L
.9464 .57965 L
.94661 .21165 L
.94686 .47989 L
.9471 .33996 L
.94731 .49343 L
.94751 .33187 L
.94773 .11195 L
.94797 .30707 L
.9482 .48853 L
.94833 .52934 L
.94845 .32002 L
.94868 .1018 L
.94891 .3967 L
.94903 .2631 L
.94916 .35568 L
.9494 .01829 L
.94955 .27334 L
.94968 .49002 L
.94981 .35428 L
.94994 .46988 L
.95019 .22104 L
.95042 .20351 L
.95055 .10487 L
.95068 .29329 L
.95082 .04364 L
.95095 .01549 L
.95108 .01684 L
.95121 .06692 L
.95146 .0671 L
.9516 .01556 L
.95172 .01487 L
.95186 .16048 L
.95202 .58282 L
.95225 .07376 L
.95238 .11713 L
.9525 .02102 L
.95275 .11498 L
.95289 .01487 L
.95301 .02655 L
.95393 .08759 L
.95415 .52989 L
.95436 .06109 L
.95461 .35069 L
.95483 .22307 L
.95505 .58161 L
.95524 .58264 L
Mistroke
.95546 .1368 L
.95568 .52424 L
.95592 .0834 L
.95615 .51602 L
.95635 .29148 L
.95657 .13239 L
.95682 .0156 L
.95694 .05079 L
.95708 .02251 L
.95732 .23111 L
.95755 .3656 L
.95768 .31465 L
.95781 .53051 L
.95794 .55214 L
.95806 .37726 L
.95829 .15853 L
.95854 .54167 L
.95866 .58077 L
.95879 .51959 L
.95904 .50812 L
.95918 .5591 L
.95933 .10909 L
.95945 .16256 L
.95959 .01808 L
.95984 .18448 L
.96006 .39194 L
.96019 .27226 L
.96032 .43244 L
.96057 .09628 L
.9608 .41186 L
.96104 .57161 L
.96125 .43747 L
.96148 .21892 L
.96172 .01504 L
.96195 .57854 L
.9622 .52772 L
.96233 .46953 L
.96246 .58332 L
.9627 .08049 L
.96283 .11216 L
.96295 .01482 L
.96317 .54858 L
.9634 .01962 L
.96361 .35346 L
.96384 .28589 L
.96405 .02327 L
.96424 .0181 L
.96447 .57788 L
.96471 .45387 L
.96494 .03642 L
Mistroke
.96516 .31217 L
.96538 .25281 L
.96563 .56325 L
.96586 .11028 L
.96607 .53309 L
.96632 .25031 L
.96646 .51192 L
.96659 .51975 L
.96682 .03872 L
.96695 .09243 L
.96708 .01626 L
.9672 .02477 L
.96734 .02504 L
.96758 .24954 L
.96771 .12226 L
.96784 .21567 L
.96797 .04429 L
.96812 .22713 L
.96825 .17154 L
.96839 .41259 L
.96852 .44488 L
.96864 .21889 L
.96887 .31923 L
.96911 .58388 L
.96932 .20774 L
.96955 .5498 L
.9698 .20995 L
.97002 .36347 L
.97024 .01624 L
.97043 .01639 L
.97065 .58216 L
.97087 .29749 L
.9711 .41165 L
.97134 .05601 L
.97155 .40003 L
.97178 .13217 L
.97202 .45708 L
.97216 .22265 L
.97228 .307 L
.97253 .57723 L
.97276 .10756 L
.97298 .58336 L
.97317 .58025 L
.9734 .02105 L
.97361 .44163 L
.97381 .52917 L
.97399 .23992 L
.97419 .4027 L
.9744 .55577 L
.97462 .09401 L
Mistroke
.97484 .54716 L
.97506 .28375 L
.97526 .21046 L
.97549 .49725 L
.97562 .51752 L
.97574 .303 L
.97596 .43289 L
.97619 .38915 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{580, 358.312},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000940001IR000`400?l00000o`00003oo`3ooooo
0?ooodH0oooo000W0?ooo`<00000@@3oool300000480oooo0`0000100?ooo`D00000?P3oool20000
0400oooo1@0000110?ooo`<00000@@3oool3000003l0oooo000V0?ooo`050000003oool0oooo0?oo
o`000000?`3oool01@000000oooo0?ooo`3oool000000480oooo00<000000?ooo`3oool0@03oool0
10000000oooo0?ooo`00000m0?ooo`040000003oool0oooo00000400oooo00@000000?ooo`3oool0
0000@P3oool00`000000oooo0?ooo`0o0?ooo`050000003oool0oooo0?ooo`000000?P3oool00200
oooo1@0000000`3oool000000?ooo`020?ooo`030000003oool0oooo03L0oooo1@0000000`3oool0
00000?ooo`020?ooo`030000003oool0oooo03L0oooo1@0000000`3oool0000000000003000003X0
oooo1@0000030?ooo`030000003oool0oooo03d0oooo00@000000?ooo`3oool00000@@3oool00`00
0000oooo0?ooo`0o0?ooo`D00000@03oool01@000000oooo0?ooo`3oool0000003h0oooo000W0?oo
o`<00000@03oool400000400oooo00@000000?ooo`3oool00000A03oool00`000000oooo0?ooo`0l
0?ooo`040000003oool0oooo00000480oooo00<000000?ooo`3oool0?P3oool010000000oooo0?oo
o`0000110?ooo`@00000?`3oool002H0oooo00D000000?ooo`3oool0oooo0000000o0?ooo`030000
003oool0oooo0480oooo00<000000?ooo`000000@@3oool01@000000oooo0?ooo`3oool0000003d0
oooo00@000000?ooo`3oool00000?`3oool01@000000oooo0?ooo`3oool000000400oooo00<00000
0?ooo`000000@@3oool00`000000oooo0?ooo`100?ooo`009P3oool01@000000oooo0?ooo`3oool0
00000400oooo00<000000?ooo`3oool0@P3oool200000440oooo00D000000?ooo`3oool0oooo0000
000m0?ooo`040000003oool0oooo000003l0oooo00D000000?ooo`3oool0oooo000000110?ooo`80
0000@P3oool00`000000oooo0?ooo`0o0?ooo`009`3oool300000480oooo0P0000130?ooo`030000
003oool0oooo0400oooo0`00000o0?ooo`800000@@3oool3000004<0oooo00<000000?ooo`3oool0
@@3oool2000003l0oooo003o0?ooool0ooooAP3oool00?l0ooooo`3ooom60?ooo`00o`3ooooo0?oo
odH0oooo003o0?ooool0ooooAP3oool00?l0ooooo`3ooom60?ooo`00o`3ooooo0?ooodH0oooo003o
0?ooool0ooooAP3oool00?l0ooooo`3ooom60?ooo`009@3ooooo00000?l000004`00000>0?ooo`00
9@3oool200000100oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000
003oool0oooo00`0oooo00<000000?ooo`3oool0303oool002D0oooo0P00000@0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003o
ool0oooo00h0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0<0?ooo`030000003o
ool0oooo00`0oooo000U0?ooo`800000@`3oool00`000000oooo0?ooo`110?ooo`030000003oool0
oooo0480oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`110?ooo`030000003oool0
oooo0440oooo00<000000?ooo`3oool0@P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`3k0?oo
o`030000003oool0oooo00`0oooo000K0?ooo`800000203oool00`000000oooo0?ooo`3o0?oooa00
oooo00<000000?ooo`3oool0n`3oool00`000000oooo0?ooo`0<0?ooo`006P3oool010000000oooo
0?ooo`0000070?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`3k0?ooo`03
0000003oool0oooo00`0oooo000J0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3o
ool0o`3oool@0?ooo`030000003oool0oooo0?/0oooo00<000000?ooo`3oool0303oool001X0oooo
00@000000?ooo`3oool000001`3oool5000005<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo000000040?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P0000030?ooo`80
000000<0oooo0000003oool00`3oool01@000000oooo0000003oool000000080oooo00@000000?oo
o`000000oooo0P000000103oool000000?ooo`0000090?ooo`050000003oool0oooo0000003oool0
0P0000000`3oool000000?ooo`02000000@0oooo00<000000?ooo`3oool04P3oool00`000000oooo
0?ooo`060?ooo`040000003oool0oooo0?ooo`8000004`3oool2000000<0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`1d0?ooo`030000003oool0oooo01T0oooo0P00000>0?ooo`03
0000003oool0oooo008000000P3oool00`000000oooo0?ooo`02000000030?ooo`00000000000080
00000P3oool2000000H0oooo0P0000030?ooo`030000003oool0000000<0oooo00<000000?ooo`3o
ool00`3oool010000000oooo0?ooo`0000030?ooo`070000003oool0oooo0?ooo`000000oooo0000
00070?ooo`80000000@0oooo0000003oool0oooo0P0000000`3oool000000000000<0?ooo`@00000
3P3oool001X0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0f0?ooo`060000
003oool0oooo0000003oool000001@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00D0oooo00H000000?ooo`00000000000?ooo`0000030?ooo`050000003oool000000?ooo`000000
0`3oool2000000030?ooo`000000oooo00D0oooo00<000000?ooo`3oool00`0000020?ooo`800000
00<0oooo0000003oool00`3oool01@000000oooo0000003oool000000080oooo0`0000001`3oool0
00000000003oool000000?ooo`0000001`3oool010000000oooo0000003oool2000000060?ooo`00
000000000?ooo`000000oooo0P0000040?ooo`030000003oool0000000T0oooo00<000000?ooo`3o
ool01P3oool01@000000oooo0?ooo`3oool0000000<0oooo0`0000020?ooo`8000001`3oool01000
0000oooo0?ooo`0000070?ooo`<000000`3oool00`000000oooo0?ooo`090?ooo`060000003oool0
oooo0000003oool000000P3oool01@000000oooo0000003oool0000000@0oooo00D000000?ooo`00
0000oooo000000040?ooo`80000000L0oooo0000003oool0oooo0000003oool0000000<0oooo0`00
00060?ooo`050000003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`020?ooo`800000
303oool010000000oooo0?ooo`0000040?ooo`030000003oool000000080oooo0P0000000`3oool0
00000?ooo`060?ooo`060000003oool0oooo0000003oool000001`3oool00`000000oooo00000002
0?ooo`030000003oool0oooo00<0oooo0`0000030?ooo`040000003oool000000?ooo`800000203o
ool01@000000oooo0000003oool000000080oooo0P0000020?ooo`030000003oool0oooo00/0oooo
00D000000?ooo`3oool0oooo000000020?ooo`D000001P3oool00`000000oooo000000040?ooo`80
000000@0oooo00000000000000000P3oool00`000000oooo0?ooo`02000000030?ooo`0000000000
008000000P3oool4000000@0oooo0P0000020?ooo`80000000<0oooo0000003oool00P3oool00`00
0000oooo0?ooo`030?ooo`080000003oool0oooo0000003oool000000?ooo`0000030?ooo`070000
003oool000000?ooo`000000oooo000000020?ooo`<0000000<0oooo0000003oool00`0000000`3o
ool000000000000?0?ooo`030000003oool0oooo00`0oooo000J0?ooo`040000003oool0oooo0000
00L0oooo00<000000?ooo`3oool09P3oool00`000000oooo000000060?ooo`<000000P3oool02000
0000oooo000000000000oooo0000003oool000001@3oool00`000000oooo0?ooo`020?ooo`030000
003oool000000080oooo00<000000?ooo`3oool00P3oool01@000000oooo000000000000oooo0080
00000P3oool01@000000oooo0000003oool0000000<0oooo0P0000000`3oool000000?ooo`050?oo
o`030000003oool0oooo00<000000P3oool2000000030?ooo`000000oooo00<0oooo0`0000000`3o
ool000000?ooo`04000000090?ooo`00000000000?ooo`000000oooo0000003oool000000080oooo
00D000000?ooo`3oool000000?ooo`04000000060?ooo`00000000000?ooo`000000oooo0P000000
1`3oool000000?ooo`3oool000000?ooo`0000002@3oool00`000000oooo0?ooo`030?ooo`800000
00<0oooo0000003oool00P3oool010000000oooo0?ooo`3oool300000080oooo0P0000070?ooo`04
0000003oool0oooo000000H0oooo100000030?ooo`030000003oool0oooo00T0oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`050000003oool000000?ooo`000000103oool01@000000oooo
0000003oool0000000@0oooo0P0000000`3oool000000?ooo`02000000050?ooo`000000oooo0000
003oool00`0000000`3oool000000?ooo`030?ooo`030000003oool0oooo008000000`3oool01000
0000oooo0?ooo`3oool2000000<0oooo0`0000000`3oool000000?ooo`050?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool00P3oool00`000000oooo000000020?ooo`80000000H0
oooo0000003oool000000?ooo`0000030?ooo`080000003oool000000000003oool000000?ooo`00
00050?ooo`<000000P3oool00`000000oooo0?ooo`030?ooo`@000000P3oool010000000oooo0000
003oool2000000<0oooo0P0000030?ooo`<0000000@0oooo0000003oool0oooo0P0000020?ooo`<0
00002P3oool2000000<0oooo00<000000?ooo`3oool01@0000060?ooo`030000003oool0000000@0
oooo0P0000000`3oool0000000000002000000040?ooo`000000oooo0?ooo`80000000<0oooo0000
000000000P0000020?ooo`@000000`3oool300000080oooo0P0000000`3oool000000?ooo`020?oo
o`030000003oool0oooo0080oooo0P0000020?ooo`050000003oool000000?ooo`0000000`3oool0
1`000000oooo0000003oool000000?ooo`0000000P3oool3000000030?ooo`000000oooo00<00000
00<0oooo0000000000003`3oool00`000000oooo0?ooo`0<0?ooo`006`3oool2000000P0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`090?ooo`060000003oool0oooo0000003oool0
00001@3oool01`000000oooo0000003oool000000?ooo`0000001P3oool300000080oooo00P00000
0?ooo`00000000000?ooo`000000oooo000000D0oooo00<000000?ooo`3oool00P3oool00`000000
oooo000000020?ooo`030000003oool0oooo0080oooo00D000000?ooo`00000000000?ooo`020000
0080oooo00D000000?ooo`000000oooo000000020?ooo`<0000000<0oooo0000003oool01@3oool0
0`000000oooo0000000300000080oooo0P000000103oool000000?ooo`0000020?ooo`<0000000<0
oooo0000003oool0100000000`3oool000000000000600000080oooo0P0000000`3oool000000?oo
o`04000000060?ooo`00000000000?ooo`000000oooo0P0000001`3oool000000?ooo`3oool00000
0?ooo`000000203oool2000000D0oooo0P0000000`3oool000000?ooo`020?ooo`040000003oool0
oooo0?ooo`@0000000<0oooo0000000000001`3oool010000000oooo0?ooo`0000060?ooo`D00000
0P3oool00`000000oooo0?ooo`030?ooo`030000003oool0000000<0oooo00H000000?ooo`3oool0
00000?ooo`0000020?ooo`070000003oool000000?ooo`000000oooo000000020?ooo`030000003o
ool0000000<000000`3oool2000000030?ooo`00000000000080000000D0oooo0000003oool00000
0?ooo`03000000030?ooo`000000000000<0oooo00<000000?ooo`3oool00P0000030?ooo`040000
003oool0oooo0?ooo`<000000P3oool3000000030?ooo`000000oooo00D0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool000000080oooo0P0000001P3o
ool000000?ooo`000000oooo000000<0oooo00D000000?ooo`00000000000?ooo`0300000080oooo
00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo00<0oooo100000020?ooo`040000
003oool000000?ooo`8000000`3oool2000000<0oooo0`000000103oool000000?ooo`3oool20000
0080oooo0`0000060?ooo`040000003oool000000?ooo`8000000`3oool00`000000oooo0?ooo`05
000000H0oooo00@000000?ooo`00000000000`3oool2000000030?ooo`00000000000080000000@0
oooo0000003oool0oooo0P0000000`3oool000000000000200000080oooo100000030?ooo`<00000
0P3oool2000000030?ooo`000000oooo0080oooo00<000000?ooo`3oool00P3oool200000080oooo
00<000000?ooo`0000000P0000030?ooo`070000003oool000000?ooo`000000oooo000000020?oo
o`<0000000<0oooo0000003oool00`0000001@3oool000000000003oool0000000d0oooo00<00000
0?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3oool300000080oooo0P0000060?oo
o`030000003oool0000000@00000103oool00`000000oooo00000002000000040?ooo`0000000000
000000@0oooo0`0000020?ooo`070000003oool000000000003oool000000?ooo`0200000080oooo
00<000000?ooo`000000103oool00`000000oooo000000020?ooo`030000003oool0oooo0080oooo
00D000000?ooo`00000000000?ooo`0200000080oooo00H000000?ooo`000000oooo0000003oool4
000000030?ooo`000000oooo00D0oooo00<000000?ooo`0000000`000000203oool0000000000000
0000oooo0000003oool000000P3oool3000000030?ooo`000000000000@0000000<0oooo00000000
00001`0000000`3oool0000000000002000000030?ooo`00000000000080000000H0oooo00000000
0000oooo0000003oool2000000070?ooo`000000oooo0?ooo`000000oooo000000050?ooo`030000
003oool0oooo008000001@3oool2000000030?ooo`000000oooo0080oooo00@000000?ooo`3oool0
oooo100000000`3oool00000000000070?ooo`040000003oool00000000000H0oooo1@0000020?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool01P000000oooo000000000000
oooo00000080oooo00L000000?ooo`000000oooo0000003oool000000080oooo00<000000?ooo`00
00000`0000000`3oool000000?ooo`02000000030?ooo`00000000000080000000D0oooo0000003o
ool000000?ooo`03000000070?ooo`00000000000?ooo`000000oooo000000020?ooo`8000000`3o
ool010000000oooo0?ooo`3oool300000080oooo0`0000000`3oool000000?ooo`040?ooo`800000
0P3oool010000000oooo0?ooo`0000040?ooo`050000003oool000000000003oool00P0000001P3o
ool00000000000000000oooo000000<0oooo00D000000?ooo`00000000000?ooo`0300000080oooo
00<000000?ooo`3oool00`0000020?ooo`030000003oool0oooo00<0oooo100000020?ooo`040000
003oool000000?ooo`8000000`3oool4000000060?ooo`00000000000000003oool000000P3oool7
000000H0oooo00@000000?ooo`000000oooo0P0000030?ooo`030000003oool0000000D000001P3o
ool00`000000oooo0000000200000080oooo0P0000000`3oool0000000000002000000040?ooo`00
0000oooo0?ooo`80000000<0oooo0000000000000P0000020?ooo`@000000`3oool4000000050?oo
o`00000000000?ooo`0000000`3oool01@000000oooo0?ooo`000000oooo008000000P3oool00`00
0000oooo00000002000000<0oooo00L000000?ooo`000000oooo0000003oool000000080oooo0`00
00000`3oool000000?ooo`03000000050?ooo`00000000000?ooo`0000003@3oool00`000000oooo
0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<000000P3oool2000000H0oooo00<0
00000?ooo`000000100000001P3oool000000?ooo`3oool000000?ooo`<0000000H0oooo00000000
000000000?ooo`0000020?ooo`<000000P3oool01`000000oooo000000000000oooo0000003oool0
0P0000020?ooo`040000003oool00000000000<0oooo10000000103oool000000?ooo`0000020?oo
o`050000003oool000000000003oool00P000000203oool000000000003oool000000?ooo`000000
oooo100000000`3oool000000?ooo`050?ooo`H0000000P0oooo00000000000000000?ooo`000000
oooo00000080oooo0`0000000`3oool0000000000004000000030?ooo`000000000000L0000000<0
oooo0000000000000P0000000`3oool0000000000002000000060?ooo`00000000000?ooo`000000
oooo0P0000001`3oool000000?ooo`3oool000000?ooo`0000001@3oool00`000000oooo0?ooo`02
000000D0oooo100000030?ooo`040000003oool0oooo0?ooo`@0000000<0oooo0000000000001`3o
ool00`000000oooo00000002000000D0oooo1@0000020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`0000000`3oool40000000;0?ooo`000000oooo0?ooo`000000oooo0000003oool00000
0?ooo`0000000P3oool00`000000oooo00000003000000030?ooo`000000oooo0080000000<0oooo
0000000000000P0000001@3oool000000?ooo`000000oooo00<0000000L0oooo000000000000oooo
0000003oool000000080oooo0P0000030?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000
000000000P0000000`3oool000000?ooo`040?ooo`8000000P3oool010000000oooo0?ooo`000004
0?ooo`050000003oool000000000003oool00P0000001P3oool00000000000000000oooo000000<0
oooo00D000000?ooo`00000000000?ooo`0300000080oooo00<000000?ooo`3oool00`0000020?oo
o`060000003oool0oooo0?ooo`000000oooo100000020?ooo`030000003oool0000000@000000P3o
ool8000000040?ooo`000000oooo0?ooo`L000001P3oool00`000000oooo00000003000000<0oooo
200000060?ooo`D000000P3oool2000000030?ooo`00000000000080000000@0oooo0000003oool0
oooo0P0000000`3oool000000000000200000080oooo100000030?ooo`@0000000<0oooo00000000
00000P0000030?ooo`050000003oool000000000003oool00P0000020?ooo`030000003oool00000
008000000`3oool01`000000oooo0000003oool000000?ooo`0000000P3oool3000000030?ooo`00
0000oooo00<0000000D0oooo000000000000oooo0000000=0?ooo`030000003oool0oooo00`0oooo
000U0?ooo`030000003oool0oooo00X0oooo0`0000020?ooo`8000001@3oool2000000030?ooo`00
0000000000<0000000H0oooo0000003oool0oooo0000003oool3000000060?ooo`00000000000000
003oool000000P3oool300000080oooo00L000000?ooo`00000000000?ooo`000000oooo00800000
0P3oool010000000oooo0000000000030?ooo`@0000000@0oooo0000003oool000000P3oool00`00
0000oooo00000004000000080?ooo`00000000000?ooo`000000oooo0000003oool4000000030?oo
o`000000oooo00D0oooo1P0000001@3oool00000000000000000oooo00<000000P3oool300000003
0?ooo`000000000000@0000000<0oooo0000000000001`0000000`3oool000000000000200000003
0?ooo`00000000000080000000@0oooo000000000000oooo100000001`3oool000000?ooo`3oool0
00000?ooo`0000001@3oool00`000000oooo0?ooo`02000000D0oooo100000030?ooo`040000003o
ool0oooo0?ooo`@0000000<0oooo0000000000001`3oool00`000000oooo00000002000000D0oooo
1@0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool40000000;0?oo
o`000000oooo0?ooo`000000oooo0000003oool000000?ooo`0000000P3oool00`000000oooo0000
0003000000030?ooo`000000oooo0080000000<0oooo0000000000000P0000001@3oool000000?oo
o`000000oooo00<0000000L0oooo000000000000oooo0000003oool000000080oooo0P0000030?oo
o`040000003oool0oooo0?ooo`<0000000<0oooo0000000000000P0000000`3oool000000?ooo`04
0?ooo`8000000P3oool010000000oooo0?ooo`0000040?ooo`050000003oool000000000003oool0
1P0000000`3oool000000?ooo`020?ooo`@0000000<0oooo0000000000000P000000103oool00000
0?ooo`3oool300000080oooo00<000000?ooo`3oool01`0000020?ooo`030000003oool0000000@0
00000P3oool8000000040?ooo`000000oooo0?ooo`L000001P3oool00`000000oooo000000030000
00<0oooo200000060?ooo`D0000000D0oooo00000000000000000?ooo`04000000030?ooo`000000
oooo00<0000000<0oooo0000000000000P0000020?ooo`@000000`3oool4000000030?ooo`000000
0000008000000`3oool01@000000oooo000000000000oooo008000000P3oool5000000<0oooo00L0
00000?ooo`000000oooo0000003oool000000080oooo0`0000000`3oool000000?ooo`0300000005
0?ooo`00000000000?ooo`0000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000
oooo0?ooo`0:0?ooo`<000000P3oool2000000D0oooo0P0000000`3oool000000000000500000004
0?ooo`00000000000?ooo`<0000000H0oooo00000000000000000?ooo`0000020?ooo`<000000P3o
ool00`000000oooo00000003000000030?ooo`00000000000080oooo00@000000?ooo`0000000000
0`3oool4000000040?ooo`000000000000000080oooo00<000000?ooo`00000010000000203oool0
00000000003oool000000?ooo`000000oooo100000000`3oool000000?ooo`050?ooo`H0000000D0
oooo00000000000000000?ooo`0300000080oooo0`0000000`3oool0000000000004000000030?oo
o`000000000000L0000000<0oooo0000000000001`000000103oool000000000003oool400000007
0?ooo`000000oooo0?ooo`000000oooo000000050?ooo`030000003oool0oooo008000001@3oool4
000000<0oooo00@000000?ooo`3oool0oooo100000000`3oool00000000000050?ooo`040000003o
ool000000?ooo`<000001@3oool500000080oooo00<000000?ooo`3oool00`3oool01P000000oooo
0000003oool000000?ooo`@0000000/0oooo0000003oool0oooo0000003oool000000?ooo`000000
oooo000000020?ooo`030000003oool0000000D0000000@0oooo000000000000oooo100000001@3o
ool000000?ooo`000000oooo00<0000000<0oooo0000000000000P000000103oool000000000003o
ool2000000<0oooo00@000000?ooo`3oool0oooo0`0000000`3oool0000000000002000000030?oo
o`000000oooo00@0oooo0P0000020?ooo`040000003oool0oooo000000@0oooo00D000000?ooo`00
000000000?ooo`06000000030?ooo`000000oooo0080oooo100000000`3oool00000000000020000
00040?ooo`000000oooo0?ooo`<000000P3oool00`000000oooo0?ooo`0700000080oooo00<00000
0?ooo`000000100000020?ooo`P0000000@0oooo0000003oool0oooo1`0000040?ooo`040000003o
ool000000?ooo`@000000`3oool8000000H0oooo1@0000001@3oool00000000000000000oooo00@0
000000<0oooo0000003oool00`0000000`3oool0000000000002000000030?ooo`000000000000<0
00000`3oool4000000030?ooo`0000000000008000000`3oool01@000000oooo000000000000oooo
008000000P3oool5000000<0oooo00L000000?ooo`000000oooo0000003oool000000080oooo0`00
00000`3oool000000?ooo`03000000050?ooo`00000000000?ooo`0000003@3oool00`000000oooo
0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<000000P3oool200000080oooo00<0
00000?ooo`3oool00P0000000`3oool0000000000005000000040?ooo`00000000000?ooo`<00000
00H0oooo00000000000000000?ooo`0000020?ooo`<000000P3oool00`000000oooo000000030000
00070?ooo`00000000000000003oool000000?ooo`02000000<0oooo10000000103oool000000000
000000020?ooo`030000003oool0000000@0000000P0oooo000000000000oooo0000003oool00000
0?ooo`@0000000<0oooo0000003oool01@3oool6000000030?ooo`000000000000D000000P3oool3
000000030?ooo`000000000000h0000000<0oooo0000000000001`000000103oool000000000003o
ool4000000070?ooo`000000oooo0?ooo`000000oooo000000050?ooo`80000000<0oooo00000000
00001@3oool4000000<0oooo00@000000?ooo`3oool0oooo100000000`3oool00000000000050?oo
o`040000003oool000000?ooo`<000001@3oool500000080oooo00<000000?ooo`0000000`3oool0
1P000000oooo0000003oool000000?ooo`@0000000/0oooo0000003oool0oooo0000003oool00000
0?ooo`000000oooo000000020?ooo`030000003oool0000000D0000000@0oooo000000000000oooo
100000001@3oool000000?ooo`000000oooo00<0000000<0oooo0000000000000P000000103oool0
00000000003oool2000000040?ooo`000000oooo000000<0oooo0`0000000`3oool0000000000002
000000050?ooo`000000oooo0?ooo`0000000P3oool200000080oooo00@000000?ooo`3oool00000
103oool01@000000oooo000000000000oooo00H0000000<0oooo0000003oool00P3oool400000003
0?ooo`00000000000080000000@0oooo0000003oool0oooo0`0000020?ooo`030000003oool0oooo
00L000000P3oool00`000000oooo00000004000000030?ooo`000000000000L0000000@0oooo0000
003oool0oooo1`0000040?ooo`040000003oool000000?ooo`@000000`3oool8000000<0oooo00<0
00000?ooo`3oool01@0000001@3oool00000000000000000oooo00@0000000<0oooo0000003oool0
0`0000000`3oool0000000000002000000030?ooo`000000000000<000000`3oool4000000030?oo
o`0000000000008000000`3oool01@000000oooo000000000000oooo008000000P3oool500000005
0?ooo`000000oooo0000003oool01@0000020?ooo`<0000000<0oooo0000003oool00`0000001@3o
ool000000000003oool0000000d0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?oo
o`3oool02P3oool300000080oooo0P0000000`3oool00000000000020?ooo`80000000<0oooo0000
000000001@000000103oool000000000003oool3000000060?ooo`00000000000000003oool00000
0P3oool300000080oooo00<000000?ooo`0000000`0000001`3oool00000000000000000oooo0000
003oool00P0000030?ooo`P000000P3oool00`000000oooo00000007000000050?ooo`000000oooo
0000003oool0100000000`3oool000000?ooo`050?ooo`H0000000<0oooo0000000000001@000002
0?ooo`<0000000<0oooo0000000000003P0000000`3oool0000000000007000000040?ooo`000000
00000?ooo`@0000000<0oooo0000003oool00P0000000`3oool00000000000040?ooo`80000000@0
oooo00000000000000000`3oool5000000<0oooo00@000000?ooo`3oool0oooo100000000`3oool0
0000000000050?ooo`040000003oool000000?ooo`<000001@3oool500000080oooo00<000000?oo
o`0000000`3oool01P000000oooo0000003oool000000?ooo`@0000000H0oooo0000003oool0oooo
0000003oool3000000060?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003o
ool4000000030?ooo`000000000000D0000000<0oooo0000000000000P000000103oool000000000
003oool2000000030?ooo`000000oooo008000000P3oool3000000030?ooo`000000000000800000
00D0oooo0000003oool0oooo000000020?ooo`8000000P3oool010000000oooo0?ooo`0000040?oo
o`050000003oool000000000003oool01P000000103oool000000?ooo`3oool5000000030?ooo`00
000000000080000000@0oooo0000003oool0oooo0`0000020?ooo`80000000<0oooo000000000000
1@0000020?ooo`030000003oool0000000@0000000<0oooo0000000000001`000000103oool00000
0?ooo`3oool7000000@0oooo00@000000?ooo`000000oooo100000020?ooo`T000000`3oool00`00
0000oooo0?ooo`05000000050?ooo`00000000000000003oool0100000000`3oool000000?ooo`03
000000030?ooo`00000000000080000000<0oooo0000000000000`0000030?ooo`@0000000<0oooo
0000000000000`0000020?ooo`050000003oool000000000003oool00P0000020?ooo`D0000000D0
oooo0000003oool000000?ooo`0500000080oooo0`0000000`3oool000000?ooo`03000000050?oo
o`00000000000?ooo`0000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0:0?ooo`<000000P3oool2000000030?ooo`00000000000080oooo0P0000000`3oool00000
00000005000000030?ooo`000000000000@0000000<0oooo0000000000000`0000020?ooo`<00000
0P3oool00`000000oooo00000003000000070?ooo`00000000000000003oool000000?ooo`020000
00<0oooo200000020?ooo`030000003oool0000000L0000000D0oooo0000003oool000000?ooo`04
000000030?ooo`000000000000D0oooo1P0000000`3oool000000000000500000080oooo0`000000
0`3oool000000000000>000000030?ooo`000000000000L0000000@0oooo000000000000oooo1000
00000`3oool000000?ooo`02000000030?ooo`000000000000@0oooo0P000000103oool000000000
000000030?ooo`D000000`3oool010000000oooo0?ooo`3oool4000000030?ooo`000000000000D0
oooo00@000000?ooo`000000oooo0`0000050?ooo`D000000P3oool030000000oooo0000003oool0
00000?ooo`000000oooo0000003oool000000?ooo`@0000000H0oooo0000003oool0oooo0000003o
ool3000000060?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003oool40000
00030?ooo`000000000000X0000000@0oooo000000000000oooo0P0000000`3oool000000?ooo`02
00000080oooo0`0000000`3oool0000000000002000000050?ooo`000000oooo0?ooo`0000000P3o
ool200000080oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool000000000003oool0
1P000000103oool000000?ooo`3oool5000000030?ooo`00000000000080000000@0oooo0000003o
ool0oooo0`0000020?ooo`80000000<0oooo0000000000001@0000020?ooo`030000003oool00000
00h0000000@0oooo0000003oool0oooo1`0000040?ooo`030000003oool0000000D000000P3oool9
000000<0oooo00<000000?ooo`0000001@0000001@3oool00000000000000000oooo00@0000000<0
oooo0000003oool00`0000000`3oool0000000000002000000030?ooo`000000000000<000000`3o
ool4000000030?ooo`000000000000<000000P3oool01@000000oooo000000000000oooo00800000
0P3oool5000000050?ooo`000000oooo0000003oool01@0000020?ooo`<0000000<0oooo0000003o
ool00`0000001@3oool000000000003oool0000000d0oooo00<000000?ooo`3oool0303oool002D0
oooo00<000000?ooo`3oool02P3oool3000000050?ooo`00000000000000003oool00P0000020?oo
o`80000000<0oooo0000000000001@0000000`3oool0000000000004000000030?ooo`0000000000
00<000000P3oool300000080oooo00<000000?ooo`0000000`0000001`3oool00000000000000000
oooo0000003oool00P0000030?ooo`P000000P3oool00`000000oooo00000007000000050?ooo`00
0000oooo0000003oool0100000000`3oool00000000000050?ooo`H0000000<0oooo000000000000
1@0000020?ooo`<0000000<0oooo0000000000003P0000000`3oool0000000000007000000040?oo
o`00000000000?ooo`@0000000<0oooo0000003oool00P0000000`3oool00000000000040?ooo`80
000000@0oooo00000000000000000`3oool5000000<0oooo00@000000?ooo`3oool0oooo10000000
0`3oool0000000000002000000<0oooo00@000000?ooo`000000oooo0`0000050?ooo`D000000P3o
ool02P000000oooo0000003oool000000?ooo`000000oooo0000003oool6000000060?ooo`000000
oooo0?ooo`000000oooo0`0000001P3oool000000?ooo`3oool000000?ooo`H0000000@0oooo0000
00000000oooo100000000`3oool000000000000:000000040?ooo`00000000000?ooo`@0000000<0
oooo0000000000000P3oool3000000030?ooo`00000000000080000000D0oooo0000003oool0oooo
000000020?ooo`<0000000@0oooo0000003oool0oooo0P0000030?ooo`050000003oool000000000
003oool01P000000103oool000000?ooo`3oool5000000030?ooo`00000000000080000000@0oooo
0000003oool0oooo0`0000020?ooo`80000000<0oooo0000000000001@0000020?ooo`030000003o
ool0000000h0000000@0oooo0000003oool0oooo1`0000040?ooo`030000003oool0000000D00000
0P3oool9000000<0oooo00<000000?ooo`0000001@0000001@3oool00000000000000000oooo00@0
000000<0oooo0000003oool00`0000000`3oool0000000000002000000030?ooo`000000000000<0
00000`3oool4000000030?ooo`000000000000<000000P3oool01@000000oooo000000000000oooo
008000000P3oool5000000050?ooo`000000oooo0000003oool01@0000020?ooo`<0000000<0oooo
0000003oool01P0000000`3oool000000?ooo`0<0?ooo`030000003oool0oooo00`0oooo000U0?oo
o`030000003oool0oooo00X0oooo0`0000001@3oool00000000000000000oooo008000000P3oool2
000000030?ooo`000000000000`0000000<0oooo0000000000000`0000020?ooo`<000000P3oool0
0`000000oooo00000003000000070?ooo`00000000000000003oool000000?ooo`02000000<0oooo
200000020?ooo`030000003oool0000000L0000000D0oooo0000003oool000000?ooo`0400000003
0?ooo`000000000000D0oooo1P0000000`3oool000000000000500000080oooo0`0000000`3oool0
00000000000>000000030?ooo`000000000000L0000000@0oooo000000000000oooo100000000`3o
ool0000000000002000000030?ooo`00000000000080oooo10000000103oool00000000000000002
0?ooo`H000000`3oool010000000oooo0?ooo`3oool4000000030?ooo`0000000000008000000`3o
ool010000000oooo0000003oool3000000D0oooo1@0000020?ooo`0:0000003oool000000?ooo`00
0000oooo0000003oool000000?ooo`H0000000H0oooo0000003oool0oooo0000003oool300000006
0?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003oool4000000030?ooo`00
0000000000X0000000@0oooo000000000000oooo100000000`3oool00000000000020?ooo`<00000
00<0oooo0000000000000P0000001@3oool000000?ooo`3oool000000080oooo0`000000103oool0
00000?ooo`3oool2000000<0oooo00D000000?ooo`00000000000?ooo`0800000080oooo1@000000
0`3oool0000000000002000000040?ooo`000000oooo0?ooo`<000000P3oool2000000030?ooo`00
0000000000D000000P3oool00`000000oooo0000000>000000040?ooo`000000oooo0?ooo`L00000
103oool00`000000oooo0000000500000080oooo2@0000030?ooo`030000003oool0000000D00000
00D0oooo00000000000000000?ooo`04000000030?ooo`000000oooo00<0000000<0oooo00000000
00000P0000000`3oool0000000000003000000<0oooo100000000`3oool000000000000300000080
oooo00D000000?ooo`00000000000?ooo`0200000080oooo1@0000001@3oool000000?ooo`000000
oooo00D000000P3oool3000000030?ooo`000000oooo00H0000000<0oooo0000003oool0303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo0000
00000000100000020?ooo`80000000<0oooo000000000000300000000`3oool00000000000030000
0080oooo0`0000020?ooo`030000003oool0000000<0000000<0oooo0000000000000`0000000`3o
ool00000000000030?ooo`T0000000<0oooo0000003oool0200000001@3oool000000?ooo`000000
oooo00@0000000<0oooo0000000000001@3oool6000000030?ooo`000000000000D000000P3oool3
000000030?ooo`000000000001P0000000@0oooo000000000000oooo100000000`3oool000000000
0002000000050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`H0
00000`3oool010000000oooo0?ooo`3oool4000000030?ooo`0000000000008000000`3oool01000
0000oooo0000003oool3000000D0oooo1@0000020?ooo`<0000000L0oooo0000003oool000000?oo
o`000000oooo00H0000000H0oooo0000003oool0oooo0000003oool3000000060?ooo`000000oooo
0?ooo`000000oooo1P000000103oool000000000003oool4000000030?ooo`000000000000X00000
00@0oooo000000000000oooo1`0000020?ooo`<0000000<0oooo0000000000000P0000001@3oool0
00000?ooo`3oool000000080oooo0`000000103oool000000?ooo`3oool2000000<0oooo00D00000
0?ooo`00000000000?ooo`0800000080oooo1@0000000`3oool0000000000002000000040?ooo`00
0000oooo0?ooo`<000000P3oool2000000030?ooo`000000000000D0000000@0oooo000000000000
oooo3`000000103oool000000?ooo`3oool7000000@0oooo00<000000?ooo`0000001@0000020?oo
o`T000000`3oool00`000000oooo00000005000000050?ooo`00000000000000003oool010000000
0`3oool000000?ooo`03000000030?ooo`00000000000080000000<0oooo0000000000000`000003
0?ooo`@0000000<0oooo0000000000000`0000020?ooo`050000003oool000000000003oool00P00
00020?ooo`D0000000D0oooo0000003oool000000?ooo`0500000080oooo0`0000000`3oool00000
0?ooo`06000000030?ooo`000000oooo00`0oooo00<000000?ooo`3oool0303oool002D0oooo0`00
000:0?ooo`<0000000<0oooo000000000000100000020?ooo`80000000<0oooo0000000000003000
00000`3oool000000000000300000080oooo0`0000020?ooo`030000003oool0000000<0000000<0
oooo0000000000000`0000000`3oool00000000000030?ooo`/0000000<0oooo0000000000001P00
00001@3oool000000?ooo`000000oooo00@0000000<0oooo0000000000001@3oool6000000030?oo
o`000000000000D000000P3oool3000000030?ooo`000000000001P0000000@0oooo000000000000
oooo100000000`3oool0000000000002000000050?ooo`00000000000000003oool010000000103o
ool000000000000000020?ooo`H000000`3oool010000000oooo0?ooo`3oool4000000030?ooo`00
00000000008000000`3oool010000000oooo0000003oool3000000D0oooo1@0000020?ooo`<00000
00L0oooo0000003oool000000?ooo`000000oooo00H0000000H0oooo0000003oool0oooo0000003o
ool3000000060?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003oool40000
00030?ooo`000000000000X0000000@0oooo000000000000oooo1`0000020?ooo`<0000000<0oooo
0000000000000P0000001@3oool000000?ooo`3oool000000080oooo0`000000103oool000000?oo
o`3oool2000000<0oooo00D000000?ooo`00000000000?ooo`0800000080oooo1@0000000`3oool0
000000000002000000040?ooo`000000oooo0?ooo`<000000P3oool2000000030?ooo`0000000000
00D0000000@0oooo000000000000oooo3`000000103oool000000?ooo`3oool7000000<0oooo0P00
00000`3oool000000000000400000080oooo2@0000030?ooo`030000003oool0000000D0000000D0
oooo00000000000000000?ooo`04000000030?ooo`000000oooo00<0000000<0oooo000000000000
0P0000000`3oool000000000000300000080oooo1@0000000`3oool000000000000300000080oooo
00D000000?ooo`00000000000?ooo`0200000080oooo1@0000001@3oool000000?ooo`000000oooo
00D000000P3oool3000000030?ooo`000000oooo00H0000000<0oooo0000003oool02P3oool30000
00h0oooo000U0?ooo`030000003oool0oooo00X0oooo0`0000000`3oool000000000000400000080
oooo0P0000000`3oool000000000000<000000030?ooo`000000000000<000000P3oool300000080
oooo00<000000?ooo`0000002@0000000`3oool00000000000030?ooo`/0000000<0oooo00000000
00001P0000001@3oool000000?ooo`000000oooo00@0000000<0oooo0000000000001@3oool60000
00030?ooo`000000000000D000000P3oool3000000030?ooo`000000000001P0000000@0oooo0000
00000000oooo100000000`3oool0000000000002000000050?ooo`00000000000000003oool01000
0000103oool000000000000000020?ooo`H000000`3oool010000000oooo0?ooo`3oool400000003
0?ooo`0000000000008000000`3oool010000000oooo0000003oool3000000D0oooo1@0000020?oo
o`<0000000L0oooo0000003oool000000?ooo`000000oooo00H0000000H0oooo0000003oool0oooo
0000003oool3000000060?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003o
ool4000000030?ooo`000000000000X0000000@0oooo000000000000oooo1`0000020?ooo`<00000
00<0oooo0000000000000P0000001@3oool000000?ooo`3oool000000080oooo0`000000103oool0
00000?ooo`3oool2000000<0oooo00<000000?ooo`0000002P0000020?ooo`D0000000<0oooo0000
00000000100000000`3oool000000000000200000080oooo0P0000000`3oool00000000000050000
00040?ooo`00000000000?ooo`l0000000@0oooo0000003oool0oooo1`0000030?ooo`80000000<0
oooo000000000000100000020?ooo`T000000`3oool00`000000oooo00000005000000050?ooo`00
000000000000003oool0100000000`3oool000000?ooo`03000000030?ooo`000000000000800000
00<0oooo0000000000000`0000020?ooo`D0000000<0oooo0000000000000`0000020?ooo`050000
003oool000000000003oool00`0000000`3oool0000000000003000000050?ooo`000000oooo0000
003oool01@0000020?ooo`<0000000<0oooo0000003oool01P0000000`3oool000000?ooo`0<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo0`0000000`3oool0
00000000000400000080oooo0P0000000`3oool000000000000<000000030?ooo`000000000000<0
00000P3oool300000080oooo00<000000?ooo`0000002@0000000`3oool00000000000030?ooo`/0
000000<0oooo0000000000001P0000001@3oool000000?ooo`000000oooo00@0000000@0oooo0000
000000000000103oool6000000030?ooo`000000000000D000000P3oool3000000030?ooo`000000
000001P0000000@0oooo000000000000oooo100000000`3oool0000000000002000000050?ooo`00
000000000000003oool010000000103oool000000000000000020?ooo`H0000000@0oooo0000003o
ool000000`3oool4000000030?ooo`0000000000008000000`3oool010000000oooo0000003oool3
000000D0oooo1@0000020?ooo`<0000000L0oooo0000003oool000000?ooo`000000oooo00H00000
00H0oooo0000003oool0oooo0000003oool3000000060?ooo`000000oooo0?ooo`000000oooo1P00
0000103oool000000000003oool4000000030?ooo`000000000000X0000000@0oooo000000000000
oooo1`0000020?ooo`<0000000<0oooo0000000000000P0000001@3oool000000?ooo`3oool00000
0080oooo0`000000103oool000000?ooo`3oool2000000<0oooo00<000000?ooo`0000002P000002
0?ooo`D0000000<0oooo000000000000100000000`3oool000000000000200000080oooo2P000000
103oool000000000003oool?000000040?ooo`000000oooo0?ooo`L000000`3oool2000000030?oo
o`000000000000@000000P3oool9000000<0oooo00<000000?ooo`0000001@0000001@3oool00000
000000000000oooo00@0000000<0oooo0000003oool00`0000000`3oool000000000000200000003
0?ooo`000000000000<000000P3oool5000000030?ooo`000000000000<000000P3oool01@000000
oooo000000000000oooo00<0000000<0oooo0000000000000`0000001@3oool000000?ooo`000000
oooo00D000000P3oool3000000030?ooo`000000oooo00H0000000<0oooo0000003oool0303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo0000
00000000100000020?ooo`80000000<0oooo000000000000300000000`3oool00000000000030000
0080oooo0`0000020?ooo`030000003oool0000000T0000000<0oooo0000000000000`3oool;0000
00030?ooo`000000000000H0000000D0oooo0000003oool000000?ooo`04000000040?ooo`000000
0000000000@0oooo1P0000000`3oool000000000000500000080oooo0`0000000`3oool000000000
000H000000040?ooo`00000000000?ooo`@0000000<0oooo0000000000000P0000001@3oool00000
000000000000oooo00@0000000@0oooo00000000000000000P3oool8000000030?ooo`000000oooo
0080oooo100000000`3oool000000000000300000080oooo00@000000?ooo`000000oooo0`000005
0?ooo`D000000P3oool3000000070?ooo`000000oooo0000003oool000000?ooo`06000000060?oo
o`000000oooo0?ooo`000000oooo0`0000001P3oool000000?ooo`3oool000000?ooo`H0000000@0
oooo000000000000oooo100000000`3oool000000000000:000000040?ooo`00000000000?ooo`L0
00000P3oool3000000030?ooo`00000000000080000000D0oooo0000003oool0oooo000000020?oo
o`<0000000@0oooo0000003oool0oooo0P0000030?ooo`030000003oool0000000X000000P3oool5
000000030?ooo`000000000000@0000000<0oooo0000000000000P0000020?ooo`X0000000@0oooo
000000000000oooo3`000000103oool000000?ooo`3oool7000000<0oooo0P0000000`3oool00000
0000000400000080oooo2@0000030?ooo`030000003oool0000000D0000000D0oooo000000000000
00000?ooo`04000000030?ooo`000000oooo00<0000000<0oooo000000000000200000020?ooo`D0
000000<0oooo0000000000000`0000020?ooo`050000003oool000000000003oool00`0000000`3o
ool0000000000003000000050?ooo`000000oooo0000003oool01@0000020?ooo`<0000000<0oooo
0000003oool01P0000000`3oool000000?ooo`0<0?ooo`030000003oool0oooo00`0oooo000U0?oo
o`030000003oool0oooo00X0oooo0`0000000`3oool000000000000400000080oooo0P0000000`3o
ool000000000000<000000030?ooo`000000000000<000000P3oool300000080oooo00<000000?oo
o`0000002@0000000`3oool00000000000030?ooo`/0000000<0oooo0000000000001P0000001@3o
ool000000?ooo`000000oooo00@0000000@0oooo0000000000000000103oool6000000030?ooo`00
0000000000D000000P3oool3000000030?ooo`000000000001P0000000@0oooo000000000000oooo
100000000`3oool0000000000002000000050?ooo`00000000000000003oool010000000103oool0
00000000000000020?ooo`P0000000<0oooo0000003oool00P3oool4000000030?ooo`0000000000
00<000000P3oool3000000040?ooo`0000000000000000D0oooo1@0000020?ooo`<0000000L0oooo
0000003oool000000?ooo`000000oooo00H0000000H0oooo000000000000oooo0000003oool30000
00060?ooo`000000oooo0?ooo`000000oooo1P000000103oool000000000003oool4000000030?oo
o`000000000000X0000000@0oooo000000000000oooo1`0000020?ooo`<0000000<0oooo00000000
00000P0000001@3oool000000?ooo`3oool000000080oooo0`000000103oool000000?ooo`3oool2
000000<0oooo00<000000?ooo`0000002P0000020?ooo`D0000000<0oooo00000000000010000000
0`3oool0000000000002000000030?ooo`000000000000T0000000@0oooo000000000000oooo3`00
0000103oool000000?ooo`3oool7000000<0oooo0P0000000`3oool000000000000400000080oooo
2@0000030?ooo`030000003oool0000000D0000000D0oooo00000000000000000?ooo`0400000003
0?ooo`000000oooo00<0000000<0oooo000000000000200000020?ooo`D0000000<0oooo00000000
00000`0000020?ooo`050000003oool000000000003oool02@0000001@3oool000000?ooo`000000
oooo00D000000P3oool3000000030?ooo`000000oooo00H0000000<0oooo0000003oool0303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo0000
00000000100000020?ooo`80000000<0oooo0000000000004P0000020?ooo`<000000P3oool00`00
0000oooo00000009000000030?ooo`000000000000<0oooo2`0000000`3oool00000000000060000
00050?ooo`000000oooo0000003oool0100000001P3oool00000000000000000oooo00000080oooo
1P0000000`3oool000000000000500000080oooo0`0000000`3oool000000000000H000000040?oo
o`00000000000?ooo`@0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo
00@0000000@0oooo00000000000000000P3oool8000000030?ooo`000000oooo0080oooo10000000
0`3oool000000000000300000080oooo0`000000103oool000000000000000050?ooo`D000000P3o
ool5000000050?ooo`000000oooo0000003oool01P0000001P3oool000000000003oool000000?oo
o`D000000P3oool00`000000oooo00000005000000040?ooo`00000000000?ooo`@0000000<0oooo
0000000000002P000000103oool000000000003oool700000080oooo0`0000000`3oool000000000
0002000000050?ooo`000000oooo0?ooo`0000000P3oool3000000040?ooo`000000oooo0?ooo`80
00000`3oool00`000000oooo0000000:00000080oooo1@0000000`3oool000000000000900000003
0?ooo`000000000000T0000000@0oooo000000000000oooo3`000000103oool000000?ooo`3oool7
000000<0oooo2@0000020?ooo`T000000`3oool00`000000oooo00000005000000050?ooo`000000
00000000003oool0100000000`3oool000000?ooo`03000000030?ooo`000000000000P000000P3o
ool5000000030?ooo`000000000000<000000P3oool01@000000oooo000000000000oooo00T00000
00D0oooo0000003oool000000?ooo`0500000080oooo0`0000000`3oool000000?ooo`0600000003
0?ooo`000000oooo00`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
2P3oool3000000030?ooo`000000000000@000000P3oool2000000030?ooo`000000000001800000
0P3oool300000080oooo00<000000?ooo`0000002@0000000`3oool00000000000030?ooo`/00000
00<0oooo0000000000001P0000001@3oool000000?ooo`000000oooo00@0000000H0oooo00000000
000000000?ooo`0000020?ooo`H0000000<0oooo0000000000001@0000020?ooo`<0000000<0oooo
00000000000060000000103oool000000000003oool4000000030?ooo`00000000000080000000D0
oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo200000000`3oool0
0000000000020?ooo`@0000000<0oooo0000000000000`0000020?ooo`<0000000@0oooo00000000
000000001@3oool500000080oooo1@0000000`3oool000000?ooo`08000000060?ooo`0000000000
0?ooo`000000oooo1P0000000`3oool000000?ooo`06000000040?ooo`00000000000?ooo`@00000
00<0oooo0000000000002P000000103oool000000000003oool700000080oooo0`0000000`3oool0
000000000002000000050?ooo`000000oooo0?ooo`0000000P3oool3000000040?ooo`000000oooo
0?ooo`8000000`3oool00`000000oooo0000000:00000080oooo1@0000000`3oool0000000000009
000000030?ooo`000000000000T0000000@0oooo000000000000oooo3`000000103oool000000?oo
o`3oool7000000<0oooo2@0000020?ooo`T000000`3oool00`000000oooo00000005000000030?oo
o`000000000000H0000000<0oooo0000003oool00`0000000`3oool000000000000800000080oooo
1@0000000`3oool000000000000300000080oooo00D000000?ooo`00000000000?ooo`0900000005
0?ooo`000000oooo0000003oool01P0000001`3oool00000000000000000oooo0000003oool01P00
00000`3oool000000?ooo`0<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo00X0oooo0`0000000`3oool000000000000400000080oooo0P0000000`3oool000000000000B
00000080oooo0`0000020?ooo`030000003oool0000000T0000000<0oooo0000000000000`3oool;
000000030?ooo`000000000000H0000000D0oooo0000003oool000000?ooo`04000000060?ooo`00
000000000000003oool000000P3oool6000000030?ooo`000000000000D000000P3oool300000003
0?ooo`000000000001P0000000@0oooo000000000000oooo100000000`3oool00000000000020000
00050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`P0000000<0
oooo0000000000000P3oool4000000030?ooo`000000000000<000000P3oool3000000060?ooo`00
000000000000003oool000000`3oool500000080oooo1@0000000`3oool000000?ooo`0800000006
0?ooo`00000000000?ooo`000000oooo1P0000000`3oool000000?ooo`06000000040?ooo`000000
00000?ooo`@0000000<0oooo0000000000002P000000103oool000000000003oool700000080oooo
0`0000000`3oool0000000000002000000030?ooo`000000oooo008000000P3oool3000000040?oo
o`000000oooo0?ooo`8000000`3oool00`000000oooo0000000:00000080oooo1@0000000`3oool0
000000000009000000030?ooo`000000000000T0000000<0oooo00000000000040000000103oool0
00000?ooo`3oool700000080oooo2P0000020?ooo`T000000`3oool00`000000oooo0000000>0000
00030?ooo`000000oooo00h000000P3oool5000000030?ooo`000000000000<000000P3oool01@00
0000oooo000000000000oooo00T0000000D0oooo0000003oool000000?ooo`06000000070?ooo`00
000000000000003oool000000?ooo`08000000d0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3oool3000000030?ooo`000000000000@000000P3oool2000000030?oo
o`0000000000018000000P3oool300000080oooo00<000000?ooo`0000002@0000000`3oool00000
000000030?ooo`/0000000<0oooo0000000000001P0000001@3oool000000?ooo`000000oooo00@0
000000<0oooo0000000000000`0000020?ooo`H0000000<0oooo0000000000001@0000020?ooo`<0
000000<0oooo00000000000060000000103oool000000000003oool4000000030?ooo`0000000000
0080000000D0oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo2000
00000`3oool00000000000020?ooo`@0000000<0oooo0000000000000`0000020?ooo`<0000000H0
oooo00000000000000000?ooo`0000030?ooo`D000000P3oool5000000030?ooo`000000oooo00P0
000000H0oooo000000000000oooo0000003oool6000000030?ooo`000000oooo00H0000000@0oooo
000000000000oooo100000000`3oool000000000000:000000040?ooo`00000000000?ooo`L00000
0P3oool3000000030?ooo`00000000000080000000<0oooo0000003oool00P0000020?ooo`<00000
00@0oooo0000003oool0oooo0P0000030?ooo`030000003oool0000000X000000P3oool500000003
0?ooo`000000000000T0000000<0oooo0000000000002@0000000`3oool000000000000@00000004
0?ooo`000000oooo0?ooo`L000000P3oool:00000080oooo2@0000030?ooo`030000003oool00000
00h0000000<0oooo0000000000003P0000020?ooo`D0000000<0oooo0000000000000`0000020?oo
o`050000003oool000000000003oool02@0000001@3oool000000?ooo`000000oooo00H0000000L0
oooo00000000000000000?ooo`000000oooo00P000003@3oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo000000000000100000020?ooo`800000
00<0oooo0000000000004P0000020?ooo`<000000P3oool00`000000oooo00000009000000030?oo
o`000000000000<0oooo2`0000000`3oool0000000000006000000050?ooo`000000oooo0000003o
ool0100000000`3oool000000000000300000080oooo1P0000000`3oool000000000000500000080
oooo0`0000000`3oool000000000000H000000040?ooo`00000000000?ooo`@0000000<0oooo0000
000000000P0000001@3oool00000000000000000oooo00@0000000@0oooo00000000000000000P3o
ool8000000030?ooo`00000000000080oooo100000000`3oool000000000000300000080oooo0`00
00001P3oool00000000000000000oooo000000<0oooo1@0000020?ooo`D0000000<0oooo0000003o
ool0200000001P3oool000000000003oool000000?ooo`H0000000<0oooo0000003oool01P000000
103oool000000000003oool4000000030?ooo`000000000000X0000000@0oooo000000000000oooo
1`0000020?ooo`<0000000<0oooo0000000000000P0000000`3oool000000?ooo`0200000080oooo
0`000000103oool000000?ooo`3oool2000000<0oooo00<000000?ooo`0000002P0000020?ooo`D0
000000<0oooo0000000000002@0000000`3oool000000000000L000000040?ooo`000000oooo0?oo
o`L000000P3oool;000000030?ooo`000000000000L000000`3oool00`000000oooo0000000>0000
00030?ooo`000000000000h000000P3oool5000000030?ooo`000000000000<000000P3oool01@00
0000oooo000000000000oooo00/0000000<0oooo0000003oool01P0000000`3oool0000000000003
000000030?ooo`000000000000H000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooo`<0000000<0oooo000000000000100000020?ooo`80000000<0oooo0000
000000004P0000020?ooo`<000000P3oool00`000000oooo00000009000000030?ooo`0000000000
00<0oooo5P0000000`3oool000000?ooo`04000000030?ooo`000000000000<000000P3oool60000
00030?ooo`000000000000D000000P3oool3000000030?ooo`000000000001P0000000@0oooo0000
00000000oooo100000000`3oool0000000000002000000050?ooo`00000000000000003oool01000
0000103oool000000000000000020?ooo`P0000000<0oooo0000000000000P3oool4000000030?oo
o`000000000000<000000P3oool3000000050?ooo`00000000000000003oool00P0000020?ooo`D0
00000P3oool5000000030?ooo`000000oooo00P0000000H0oooo000000000000oooo0000003oool6
000000030?ooo`000000oooo00H0000000<0oooo0000000000001@0000000`3oool000000000000:
000000040?ooo`00000000000?ooo`L000000P3oool3000000030?ooo`00000000000080000000<0
oooo0000003oool00P0000020?ooo`<0000000@0oooo0000003oool0oooo0P0000030?ooo`030000
003oool0000000X000000P3oool5000000030?ooo`000000000000T0000000<0oooo000000000000
70000000103oool000000?ooo`3oool700000080oooo2`0000000`3oool0000000000007000000<0
oooo00<000000?ooo`0000003P0000000`3oool000000000000>00000080oooo1@0000000`3oool0
00000000000300000080oooo00D000000?ooo`00000000000?ooo`0;000000030?ooo`000000oooo
00H0000000<0oooo0000000000000`0000000`3oool0000000000006000000d0oooo00<000000?oo
o`3oool0303oool002D0oooo00<000000?ooo`3oool02P3oool3000000030?ooo`000000000000@0
00000P3oool2000000030?ooo`0000000000018000000P3oool300000080oooo00<000000?ooo`00
00002@000000103oool000000000000000020?oooaH0000000<0oooo0000003oool02P0000020?oo
o`H0000000<0oooo0000000000001@0000020?ooo`<0000000<0oooo00000000000060000000103o
ool000000000003oool4000000030?ooo`00000000000080000000D0oooo00000000000000000?oo
o`04000000040?ooo`000000000000000080oooo200000000`3oool00000000000020?ooo`@00000
00<0oooo000000000000100000001@3oool00000000000000000oooo00H000000P3oool500000080
oooo1@0000000`3oool000000?ooo`08000000060?ooo`00000000000?ooo`000000oooo1P000000
0`3oool000000?ooo`06000000030?ooo`000000000000D0000000<0oooo0000000000002P000000
103oool000000000003oool700000080oooo0`0000000`3oool0000000000002000000030?ooo`00
00000000008000000P3oool3000000040?ooo`000000oooo0?ooo`80000000D0oooo0000003oool0
00000?ooo`0;00000080oooo1@0000000`3oool0000000000009000000030?ooo`000000000001`0
000000@0oooo0000003oool0oooo1`0000020?ooo`/0000000<0oooo0000000000001`0000030?oo
o`030000003oool0000000h0000000<0oooo0000000000003P0000020?ooo`D0000000<0oooo0000
000000000`0000020?ooo`030000003oool0000000d0000000<0oooo0000003oool01P0000000`3o
ool0000000000003000000030?ooo`000000000000H000003@3oool00`000000oooo0?ooo`0<0?oo
o`009@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo000000000000100000020?ooo`80
000000<0oooo0000000000004P0000020?ooo`<000000P3oool<000000040?ooo`00000000000000
0080oooo5P0000000`3oool000000?ooo`0:00000080oooo1P0000000`3oool00000000000050000
0080oooo0`0000000`3oool000000000000H000000040?ooo`00000000000?ooo`@0000000<0oooo
0000000000000P0000001@3oool00000000000000000oooo00@0000000@0oooo0000000000000000
0P3oool8000000030?ooo`00000000000080oooo100000000`3oool0000000000004000000050?oo
o`00000000000000003oool01P0000000`3oool000000000000400000080oooo1@0000000`3oool0
00000?ooo`08000000060?ooo`00000000000?ooo`000000oooo1P0000000`3oool000000?ooo`06
000000030?ooo`000000000000D0000000<0oooo0000000000002P000000103oool000000000003o
ool7000000030?ooo`00000000000080000000<0oooo0000000000000P0000000`3oool000000000
000200000080oooo0`000000103oool000000?ooo`3oool2000000050?ooo`000000oooo0000003o
ool02`0000020?ooo`D0000000<0oooo0000000000002@0000000`3oool000000000000N00000080
oooo1`0000020?ooo`/0000000<0oooo0000000000001`0000030?ooo`030000003oool0000000h0
000000<0oooo0000000000003P0000020?ooo`D0000000<0oooo0000000000000`0000020?ooo`03
0000003oool0000000d0000000<0oooo0000003oool01P0000000`3oool000000000000300000003
0?ooo`000000000000H000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0:0?ooo`<0000000<0oooo000000000000100000020?ooo`80000000<0oooo000000000000
4P0000020?ooo`@0000000<0oooo0000000000002P000000103oool000000000000000020?oooaH0
000000<0oooo0000003oool02P0000020?ooo`H0000000<0oooo0000000000001@0000020?ooo`<0
000000<0oooo00000000000060000000103oool000000000003oool4000000030?ooo`0000000000
0080000000D0oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo2000
00000`3oool00000000000020?ooo`@0000000<0oooo000000000000100000001@3oool000000000
00000000oooo00H0000000<0oooo000000000000100000020?ooo`D0000000<0oooo0000003oool0
200000001P3oool000000000003oool000000?ooo`H0000000<0oooo0000003oool01P0000000`3o
ool0000000000005000000030?ooo`000000000000X0000000@0oooo000000000000oooo1`000000
0`3oool0000000000002000000030?ooo`00000000000080000000<0oooo0000000000000P000002
0?ooo`<0000000@0oooo0000003oool0oooo0P0000001@3oool000000?ooo`000000oooo00/00000
0P3oool5000000030?ooo`000000000000T0000000<0oooo0000000000007P0000020?ooo`L00000
0P3oool;000000030?ooo`000000000000L000000`3oool00`000000oooo0000000>000000030?oo
o`000000000000h000000P3oool5000000030?ooo`000000000000<000000P3oool00`000000oooo
0000000=000000030?ooo`000000oooo00H0000000<0oooo0000000000000`0000000`3oool00000
00000006000000d0oooo00<000000?ooo`3oool0303oool002D0oooo0`00000:0?ooo`<0000000<0
oooo000000000000100000020?ooo`80000000<0oooo0000000000004P0000020?ooo`@0000000<0
oooo0000000000002P000000103oool000000000000000020?oooaH0000000<0oooo0000003oool0
2P0000020?ooo`H0000000<0oooo0000000000001@0000020?ooo`<0000000<0oooo000000000000
60000000103oool000000000003oool4000000030?ooo`00000000000080000000D0oooo00000000
000000000?ooo`04000000040?ooo`000000000000000080oooo200000000`3oool0000000000002
0?ooo`@0000000<0oooo000000000000100000001@3oool00000000000000000oooo00H0000000<0
oooo000000000000100000020?ooo`D0000000<0oooo0000003oool0200000001P3oool000000000
003oool000000?ooo`H0000000<0oooo0000003oool01P0000000`3oool000000000000500000003
0?ooo`000000000000X0000000@0oooo000000000000oooo1`0000000`3oool00000000000020000
00030?ooo`00000000000080000000<0oooo0000000000000P0000020?ooo`<0000000@0oooo0000
003oool0oooo0P0000001@3oool000000?ooo`000000oooo00/000000P3oool5000000030?ooo`00
0000000000T0000000<0oooo0000000000007P0000020?ooo`L000000P3oool;000000030?ooo`00
0000000000L000000`3oool00`000000oooo0000000>000000030?ooo`000000000000h000000P3o
ool5000000030?ooo`000000000000<000000P3oool00`000000oooo0000000=000000030?ooo`00
0000oooo00H0000000<0oooo0000000000000`0000000`3oool0000000000006000000/0oooo0`00
000>0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`<0000000<0oooo0000000000001@000000
103oool000000000003ooolD00000080oooo100000000`3oool000000000000:000000040?ooo`00
0000000000000080oooo5P0000000`3oool000000?ooo`0:00000080oooo1P0000000`3oool00000
0000000500000080oooo0`0000000`3oool000000000000H000000040?ooo`00000000000?ooo`@0
000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00@0000000@0oooo0000
0000000000000P3oool8000000030?ooo`00000000000080oooo100000000`3oool0000000000004
000000050?ooo`00000000000000003oool01P0000000`3oool000000000000400000080oooo1@00
00000`3oool000000?ooo`08000000040?ooo`00000000000?ooo`P0000000<0oooo0000003oool0
1P0000000`3oool0000000000005000000030?ooo`000000000000X0000000@0oooo000000000000
oooo1`0000000`3oool0000000000007000000030?ooo`0000000000008000000P3oool300000004
0?ooo`000000oooo0?ooo`80000000D0oooo0000003oool000000?ooo`0;00000080oooo1@000000
0`3oool0000000000009000000030?ooo`000000000001h000000P3oool700000080oooo2`000000
0`3oool0000000000007000000<0oooo00<000000?ooo`0000003P0000000`3oool000000000000>
00000080oooo1@0000000`3oool000000000000300000080oooo400000000`3oool000000?ooo`06
000000030?ooo`000000000000<0000000<0oooo0000000000001P00000=0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo2`000000103oool000000000003ooolD
00000080oooo100000000`3oool000000000000:000000040?ooo`000000000000000080oooo5P00
00000`3oool000000?ooo`0:00000080oooo1P0000000`3oool000000000000500000080oooo0`00
00000`3oool000000000000H000000040?ooo`00000000000?ooo`@0000000<0oooo000000000000
0P0000001@3oool00000000000000000oooo00@0000000@0oooo00000000000000000P3oool80000
00030?ooo`00000000000080oooo100000000`3oool0000000000004000000050?ooo`0000000000
0000003oool01P0000000`3oool000000000000400000080oooo1@0000000`3oool000000?ooo`08
000000030?ooo`000000000000T0000000<0oooo0000003oool01P0000000`3oool0000000000005
000000030?ooo`000000000000X0000000@0oooo000000000000oooo5P0000020?ooo`<0000000@0
oooo0000003oool0oooo0P0000001@3oool00000000000000000oooo00/000000P3oool500000003
0?ooo`000000000000T0000000<0oooo0000000000007P0000020?ooo`L000000P3oool;00000003
0?ooo`000000000000L000000`3oool00`000000oooo0000000>000000030?ooo`000000000000h0
00000P3oool5000000030?ooo`000000000000<000000P3oool@000000030?ooo`000000oooo00H0
000000<0oooo0000000000000`0000000`3oool0000000000006000000d0oooo00<000000?ooo`3o
ool0303oool002D0oooo00<000000?ooo`3oool02P3oool;000000040?ooo`00000000000?oooa@0
00000P3oool4000000030?ooo`000000000000X0000000@0oooo00000000000000000P3ooolF0000
00030?ooo`000000oooo00X000000P3oool6000000030?ooo`000000000000D000000P3oool30000
00030?ooo`000000000001P0000000@0oooo000000000000oooo100000000`3oool0000000000002
000000050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`P00000
00D0oooo00000000000000000?ooo`04000000030?ooo`000000000000@0000000D0oooo00000000
000000000?ooo`06000000030?ooo`000000000000@000000P3oool5000000030?ooo`000000oooo
00P0000000<0oooo0000000000002@0000000`3oool000000?ooo`06000000030?ooo`0000000000
00D0000000<0oooo0000000000002P000000103oool000000000003ooolF00000080oooo0`000000
103oool000000?ooo`3oool2000000050?ooo`00000000000000003oool02`0000020?ooo`D00000
00<0oooo0000000000002@0000000`3oool000000000000N00000080oooo1`0000020?ooo`/00000
00<0oooo0000000000001`0000030?ooo`030000003oool0000000h0000000<0oooo000000000000
3P0000020?ooo`D0000000<0oooo0000000000000`0000020?oooa00000000<0oooo0000003oool0
1P0000000`3oool0000000000003000000030?ooo`000000000000H000003@3oool00`000000oooo
0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`/0000000@0oooo000000000000oooo
500000020?ooo`@0000000<0oooo0000000000002P000000103oool000000000000000020?oooaH0
000000<0oooo0000003oool02P0000020?ooo`H0000000<0oooo0000000000001@0000020?ooo`<0
000000<0oooo00000000000060000000103oool000000000003oool4000000030?ooo`0000000000
0080000000D0oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo3000
00000`3oool0000000000002000000030?ooo`000000000000@0000000D0oooo0000000000000000
0?ooo`06000000030?ooo`000000000000@000000P3oool7000000030?ooo`000000000000H00000
00<0oooo0000000000002@0000000`3oool000000?ooo`06000000030?ooo`000000000000D00000
00<0oooo0000000000002P000000103oool000000000003ooolF00000080oooo0`000000103oool0
00000?ooo`3oool2000000050?ooo`00000000000000003oool02`0000020?ooo`D0000000<0oooo
0000000000002@0000000`3oool000000000000N00000080oooo1`0000020?oooaD000000`3oool0
0`000000oooo0000000>000000030?ooo`000000000000h000000P3oool5000000030?ooo`000000
000000<000000P3oool@000000030?ooo`000000oooo00H0000000<0oooo0000000000000`000000
0`3oool0000000000006000000d0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?oo
o`3oool02P3oool;000000040?ooo`00000000000?oooa@000000P3oool4000000030?ooo`000000
000000X0000000D0oooo00000000000000000?ooo`0G000000030?ooo`000000oooo00X000000P3o
ool6000000030?ooo`000000000000D000000P3oool3000000030?ooo`000000000001P0000000@0
oooo000000000000oooo100000000`3oool0000000000002000000050?ooo`00000000000000003o
ool010000000103oool000000000000000020?ooo``0000000<0oooo0000000000000P0000000`3o
ool0000000000004000000050?ooo`00000000000000003oool01P0000000`3oool0000000000004
00000080oooo1`0000000`3oool0000000000006000000030?ooo`000000000000T0000000<0oooo
0000003oool01P0000000`3oool0000000000005000000030?ooo`000000000000X0000000@0oooo
000000000000oooo5P0000020?ooo`<0000000@0oooo0000003oool0oooo0P0000001@3oool00000
000000000000oooo00/000000P3oool5000000030?ooo`000000000000T0000000<0oooo00000000
00007P0000020?ooo`L000000P3ooolE000000<0oooo00<000000?ooo`0000003P0000000`3oool0
00000000000>00000080oooo1@0000000`3oool0000000000004000000030?ooo`000000000000h0
000000<0oooo0000003oool01P0000000`3oool0000000000003000000030?ooo`000000000000H0
00003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`/00000
00@0oooo000000000000oooo500000020?ooo`@0000000<0oooo0000000000002P0000001@3oool0
0000000000000000oooo01T0000000<0oooo000000000000200000020?ooo`H0000000<0oooo0000
000000001@0000020?ooo`<0000000<0oooo0000000000006`0000000`3oool00000000000020000
00030?ooo`00000000000080000000D0oooo00000000000000000?ooo`04000000040?ooo`000000
000000000080oooo300000000`3oool0000000000002000000030?ooo`000000000000@0000000D0
oooo00000000000000000?ooo`06000000030?ooo`000000000000@000000P3oool7000000030?oo
o`000000000000H0000000<0oooo0000000000002@0000000`3oool000000?ooo`06000000030?oo
o`000000000000D0000000<0oooo0000000000002P000000103oool000000000003ooolF00000080
oooo0`000000103oool000000?ooo`3oool2000000050?ooo`00000000000000003oool02`000002
0?ooo`D0000000<0oooo0000000000002@0000000`3oool000000000000N00000080oooo1`000002
0?oooaD000000`3oool00`000000oooo0000000>000000030?ooo`000000000000h000000P3oool5
000000030?ooo`000000000000@0000000<0oooo0000000000003P0000000`3oool000000?ooo`06
000000030?ooo`000000000000<0000000<0oooo0000000000001P00000=0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo2`000000103oool000000000003ooolD
00000080oooo100000000`3oool000000000000:000000050?ooo`00000000000000003oool06@00
00000`3oool0000000000009000000030?ooo`000000000000`000000P3oool3000000030?ooo`00
0000000001/0000000<0oooo0000000000000P0000000`3oool0000000000002000000050?ooo`00
000000000000003oool010000000103oool000000000000000020?ooo``0000000<0oooo00000000
00000P0000000`3oool0000000000004000000030?ooo`000000000000P0000000<0oooo00000000
0000100000020?ooo`L0000000<0oooo0000000000001P0000000`3oool000000000000900000003
0?ooo`000000oooo00H0000000<0oooo0000000000001@0000000`3oool000000000000:00000004
0?ooo`00000000000?oooaH0000000<0oooo0000000000000P000000103oool000000?ooo`3oool2
000000050?ooo`00000000000000003oool02`0000020?ooo`D0000000<0oooo0000000000002@00
00000`3oool000000000000N00000080oooo1`0000020?oooaD000000`3oool00`000000oooo0000
000>000000030?ooo`000000000000h000000P3oool5000000030?ooo`000000000000@0000000<0
oooo0000000000003P0000000`3oool000000?ooo`06000000030?ooo`000000000000<0000000<0
oooo0000000000001P00000=0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo00X0oooo2`000000103oool000000000003ooolD00000080oooo100000000`3oool000000000
000:000000050?ooo`00000000000000003oool06@0000000`3oool0000000000009000000030?oo
o`000000000000`000000P3oool3000000030?ooo`000000000001/0000000<0oooo000000000000
0P0000000`3oool0000000000002000000050?ooo`00000000000000003oool010000000103oool0
00000000000000020?ooo``0000000<0oooo0000000000000P0000000`3oool00000000000040000
00030?ooo`000000000000P0000000<0oooo000000000000100000020?ooo`L0000000<0oooo0000
000000001P0000000`3oool0000000000009000000030?ooo`000000oooo00H0000000<0oooo0000
000000001@0000000`3oool000000000000=000000030?ooo`000000000001@0000000<0oooo0000
000000000P000000103oool000000?ooo`3oool2000000050?ooo`00000000000000003oool02`00
00020?oooa40000000<0oooo0000000000007`0000000`3oool000000000000500000080oooo5@00
00020?ooo`80000000<0oooo0000000000003@0000000`3oool000000000000>00000080oooo3000
00000`3oool000000000000>000000030?ooo`000000oooo00H0000000<0oooo0000000000000`00
00000`3oool0000000000006000000d0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02P3oool;000000040?ooo`00000000000?oooa@000000P3oool4000000030?ooo`00
0000000000X0000000D0oooo00000000000000000?ooo`0I000000030?ooo`000000000000T00000
00<0oooo000000000000300000020?ooo`<0000000<0oooo0000000000006`0000000`3oool00000
00000002000000030?ooo`00000000000080000000D0oooo00000000000000000?ooo`0400000004
0?ooo`000000000000000080oooo300000000`3oool0000000000002000000030?ooo`0000000000
00@0000000<0oooo000000000000200000000`3oool000000000000400000080oooo1`0000000`3o
ool0000000000006000000030?ooo`000000000000T0000000<0oooo0000000000001P0000000`3o
ool0000000000005000000030?ooo`000000000000d0000000<0oooo0000000000006@000000103o
ool000000?ooo`3oool2000000050?ooo`00000000000000003oool02`0000020?oooa40000000<0
oooo0000000000007`0000000`3oool0000000000005000000030?ooo`000000000001@000000P3o
ool2000000030?ooo`000000000000d0000000<0oooo0000000000003P0000020?ooo``0000000<0
oooo0000000000003P0000000`3oool000000?ooo`06000000030?ooo`000000000000<0000000<0
oooo0000000000001P00000=0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo00X0oooo2`000000103oool000000000003ooolD00000080oooo100000000`3oool000000000
000:000000050?ooo`00000000000000003oool06@0000000`3oool0000000000009000000030?oo
o`000000000000`000000P3oool3000000030?ooo`000000000001/0000000<0oooo000000000000
0P0000000`3oool0000000000002000000050?ooo`00000000000000003oool010000000103oool0
00000000000000020?ooo``0000000<0oooo0000000000000P0000000`3oool00000000000040000
00030?ooo`000000000000P0000000<0oooo000000000000100000020?ooo`L0000000<0oooo0000
000000004P0000000`3oool0000000000006000000030?ooo`000000000000D0000000<0oooo0000
000000003@0000000`3oool000000000000I000000040?ooo`000000oooo0?ooo`80000000D0oooo
00000000000000000?ooo`0;00000080oooo4@0000000`3oool000000000000O000000030?ooo`00
0000000000D0000000<0oooo000000000000500000020?ooo`80000000<0oooo0000000000003@00
00000`3oool000000000000>00000080oooo300000000`3oool000000000000>000000030?ooo`00
0000oooo00H0000000<0oooo0000000000000`0000000`3oool0000000000006000000d0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3oool;000000040?ooo`000000
00000?oooa@000000P3oool4000000030?ooo`000000000000X0000000D0oooo0000000000000000
0?ooo`0I000000030?ooo`000000000000T0000000<0oooo000000000000300000020?ooo`<00000
00<0oooo0000000000006`0000000`3oool0000000000002000000030?ooo`000000000000800000
00D0oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo300000000`3o
ool0000000000002000000030?ooo`000000000000@0000000<0oooo000000000000200000000`3o
ool000000000000400000080oooo1`0000000`3oool000000000000B000000030?ooo`0000000000
00H0000000<0oooo0000000000001@0000000`3oool000000000000=000000030?ooo`0000000000
01T0000000@0oooo0000003oool0oooo0P0000001@3oool00000000000000000oooo00/000000P3o
oolA000000030?ooo`000000000001l0000000<0oooo0000000000001@0000000`3oool000000000
000D00000080oooo0P0000000`3oool000000000000=000000030?ooo`000000000000h000000P3o
ool<000000030?ooo`000000000000h0000000<0oooo0000003oool01P0000000`3oool000000000
0003000000030?ooo`000000000000H000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`0:0?ooo`/0000000@0oooo000000000000oooo500000020?ooo`@0000000<0
oooo0000000000002P0000001@3oool00000000000000000oooo01T0000000<0oooo000000000000
2@0000000`3oool000000000000<00000080oooo0`0000000`3oool000000000000K000000030?oo
o`00000000000080000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00@0
000000D0oooo00000000000000000?ooo`0=000000030?ooo`00000000000080000000<0oooo0000
00000000100000000`3oool000000000000?00000080oooo1`0000000`3oool000000000000B0000
00030?ooo`000000000000H0000000<0oooo0000000000001@0000000`3oool000000000000=0000
00030?ooo`000000000001T0000000@0oooo0000003oool0oooo0P0000001@3oool0000000000000
0000oooo00/000000P3ooolA000000030?ooo`000000000001l0000000<0oooo0000000000001@00
00000`3oool000000000000D00000080oooo0P0000000`3oool000000000000=000000030?ooo`00
0000000000h000000P3oool<000000030?ooo`000000000000h0000000<0oooo0000000000001P00
00000`3oool0000000000003000000030?ooo`000000000000H000003@3oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`/0000000@0oooo000000000000oooo5000
00020?ooo`@0000000<0oooo0000000000002P0000001@3oool00000000000000000oooo01T00000
00<0oooo0000000000002@0000000`3oool000000000000<00000080oooo0`0000000`3oool00000
0000000K000000030?ooo`00000000000080000000<0oooo0000000000000P0000001@3oool00000
000000000000oooo00@0000000D0oooo00000000000000000?ooo`0=000000030?ooo`0000000000
0080000000<0oooo000000000000100000000`3oool000000000000?00000080oooo1`0000000`3o
ool000000000000B000000030?ooo`000000000000H0000000<0oooo0000000000001@0000000`3o
ool000000000000=000000030?ooo`000000000001T0000000@0oooo0000003oool0oooo0P000000
1@3oool00000000000000000oooo00/000000P3ooolA000000030?ooo`000000000001l0000000<0
oooo0000000000001@0000000`3oool000000000000D00000080oooo0P0000000`3oool000000000
000=000000030?ooo`000000000000h000000P3oool<000000030?ooo`000000000000h0000000<0
oooo0000000000001P0000000`3oool0000000000003000000030?ooo`000000000000L00000303o
ool00`000000oooo0?ooo`0<0?ooo`009@3oool3000000X0oooo2`000000103oool000000000003o
oolE000000030?ooo`00000000000080000000<0oooo0000000000002P0000001@3oool000000000
00000000oooo01T0000000<0oooo0000000000002@0000000`3oool000000000000<00000080oooo
0`0000000`3oool000000000000K000000030?ooo`00000000000080000000<0oooo000000000000
0P0000001@3oool00000000000000000oooo00@0000000D0oooo00000000000000000?ooo`0=0000
00030?ooo`00000000000080000000<0oooo000000000000100000000`3oool000000000000?0000
0080oooo1`0000000`3oool000000000000B000000030?ooo`000000000000H0000000<0oooo0000
000000001@0000000`3oool000000000000=000000030?ooo`000000000001T0000000@0oooo0000
003oool0oooo0P0000001@3oool00000000000000000oooo00/000000P3ooolA000000030?ooo`00
0000000001l0000000<0oooo0000000000001@0000000`3oool000000000000D00000080oooo0P00
00000`3oool000000000000=000000030?ooo`000000000000h000000P3oool<000000030?ooo`00
0000000000h0000000<0oooo0000000000001P0000000`3oool0000000000003000000030?ooo`00
0000000000L000002P3oool3000000h0oooo000U0?ooo`030000003oool0oooo00X0oooo2`000000
103oool000000000003ooolE000000030?ooo`00000000000080000000<0oooo0000000000002P00
00001@3oool00000000000000000oooo01T0000000<0oooo0000000000002@0000000`3oool00000
0000000<00000080oooo0`0000000`3oool000000000000K000000030?ooo`000000000000800000
00<0oooo0000000000000P0000001@3oool00000000000000000oooo00@0000000D0oooo00000000
000000000?ooo`0=000000030?ooo`00000000000080000000<0oooo000000000000100000000`3o
ool000000000000?00000080oooo1`0000000`3oool000000000000B000000030?ooo`0000000000
00H0000000<0oooo0000000000001@0000000`3oool000000000000=000000030?ooo`0000000000
01T0000000@0oooo0000003oool0oooo0P0000001@3oool00000000000000000oooo00/000000P3o
oolA000000030?ooo`000000000001l0000000<0oooo0000000000007@000000103oool000000000
003oool?000000030?ooo`000000000000h000000P3oool<000000030?ooo`000000000000h00000
00<0oooo0000000000001P0000000`3oool0000000000003000000030?ooo`000000000000L00000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`/0000000@0
oooo000000000000oooo5@0000000`3oool0000000000002000000030?ooo`000000000000X00000
00D0oooo00000000000000000?ooo`0I000000030?ooo`000000000000T0000000<0oooo00000000
0000300000020?ooo`<0000000<0oooo000000000000800000000`3oool000000000000200000005
0?ooo`00000000000000003oool0100000001@3oool00000000000000000oooo00d0000000<0oooo
0000000000000P0000000`3oool0000000000004000000030?ooo`000000000000l000000P3oool7
000000030?ooo`00000000000180000000<0oooo0000000000001P0000000`3oool0000000000005
000000030?ooo`000000000000d0000000<0oooo0000000000006@000000103oool000000?ooo`3o
ool2000000050?ooo`00000000000000003oool02`0000020?oooa40000000<0oooo000000000000
7`0000000`3oool000000000000M000000040?ooo`00000000000?ooo`l0000000<0oooo00000000
00003P0000020?ooo``0000000<0oooo0000000000003P0000000`3oool000000000000600000003
0?ooo`000000000000<0000000<0oooo0000000000001`00000<0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`030000003oool0oooo00X0oooo2`000000103oool000000000003ooolJ00000003
0?ooo`000000000000X0000000D0oooo00000000000000000?ooo`0I000000030?ooo`0000000000
00T0000000<0oooo0000000000003@0000001@3oool00000000000000000oooo02L0000000D0oooo
00000000000000000?ooo`04000000050?ooo`00000000000000003oool03@0000000`3oool00000
00000002000000030?ooo`000000000001H000000P3oool7000000030?ooo`000000000001800000
00<0oooo0000000000001P0000000`3oool0000000000005000000030?ooo`000000000000d00000
00<0oooo0000000000006@000000103oool000000?ooo`3oool2000000050?ooo`00000000000000
003oool02`0000020?oooa40000000<0oooo0000000000007`0000000`3oool000000000000M0000
00040?ooo`00000000000?ooo`l0000000<0oooo0000000000003P0000020?ooo``0000000<0oooo
0000000000003P0000000`3oool0000000000006000000030?ooo`000000000000<0000000<0oooo
0000000000001`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo
00X0oooo3P0000000`3oool000000000000H000000030?ooo`000000000000X0000000D0oooo0000
0000000000000?ooo`0I000000030?ooo`000000000000T0000000<0oooo0000000000003@000000
1@3oool00000000000000000oooo02L0000000D0oooo00000000000000000?ooo`04000000050?oo
o`00000000000000003oool03@0000000`3oool000000000000K00000080oooo1`0000000`3oool0
00000000000B000000030?ooo`000000000000H0000000<0oooo0000000000001@0000000`3oool0
00000000000=000000030?ooo`000000000001T0000000@0oooo0000003oool0oooo0P0000001@3o
ool00000000000000000oooo00/000000P3ooolA000000030?ooo`000000000001l0000000<0oooo
0000000000007@000000103oool000000000003oool?000000030?ooo`000000000000h000000P3o
ool<000000030?ooo`000000000000h0000000<0oooo0000000000001P0000000`3oool000000000
0003000000030?ooo`000000000000L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`0:0?ooo`h0000000<0oooo000000000000600000000`3oool000000000000:
000000050?ooo`00000000000000003oool06@0000000`3oool0000000000009000000030?ooo`00
0000000000d0000000D0oooo00000000000000000?ooo`0[000000030?ooo`000000000000800000
00D0oooo00000000000000000?ooo`0=000000030?ooo`000000000001/000000P3oool700000003
0?ooo`000000000001/0000000<0oooo0000000000001@0000000`3oool000000000000=00000003
0?ooo`000000000001T0000000@0oooo0000003oool0oooo1P0000000`3oool00000000000090000
0080oooo4@0000000`3oool000000000000O000000030?ooo`000000000001d0000000@0oooo0000
00000000oooo3`0000000`3oool000000000000>00000080oooo300000000`3oool000000000000>
000000030?ooo`000000000000H0000000<0oooo0000000000000`0000000`3oool0000000000007
000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3oool>0000
00030?ooo`000000000001P0000000<0oooo0000000000002P0000001@3oool00000000000000000
oooo01T0000000<0oooo0000000000002@0000000`3oool000000000000A000000030?ooo`000000
000002T0000000<0oooo0000000000000P0000001@3oool00000000000000000oooo00d0000000<0
oooo0000000000006`0000020?ooo`L0000000<0oooo0000000000006`0000000`3oool000000000
0005000000030?ooo`000000000000d0000000<0oooo0000000000006@000000103oool000000?oo
o`3oool6000000030?ooo`000000000000T000000P3ooolA000000030?ooo`000000000001l00000
00<0oooo0000000000007@000000103oool000000000003oool?000000030?ooo`000000000000h0
00000P3oool<000000030?ooo`000000000000h0000000<0oooo0000000000001P0000000`3oool0
000000000003000000030?ooo`000000000000L00000303oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`0:0?ooo`h0000000<0oooo000000000000600000000`3oool00000
0000000:000000050?ooo`00000000000000003oool06@0000000`3oool000000000000900000003
0?ooo`00000000000140000000<0oooo000000000000:@0000000`3oool000000000000600000003
0?ooo`000000000000/0000000<0oooo0000000000006`0000000`3oool000000000000600000003
0?ooo`000000000001/0000000<0oooo0000000000001@0000000`3oool000000000000=00000003
0?ooo`000000000001T0000000@0oooo0000003oool0oooo1P0000000`3oool00000000000090000
0080oooo4@0000000`3oool000000000000O000000030?ooo`000000000001d0000000@0oooo0000
00000000oooo3`0000000`3oool000000000000>00000080oooo300000000`3oool000000000000G
000000030?ooo`000000000000<0000000<0oooo0000000000001`00000<0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo3P0000000`3oool000000000000H0000
00030?ooo`000000000000X0000000D0oooo00000000000000000?ooo`0I000000030?ooo`000000
000000T0000000<0oooo0000000000004@0000000`3oool000000000000Y000000030?ooo`000000
000000H0000000<0oooo0000000000002`0000000`3oool000000000000K000000030?ooo`000000
000000H0000000<0oooo0000000000006`0000000`3oool0000000000005000000030?ooo`000000
000000d0000000<0oooo0000000000006@000000103oool000000?ooo`3oool6000000030?ooo`00
0000000000T000000P3ooolA000000030?ooo`000000000001l0000000<0oooo0000000000007@00
0000103oool000000000003oool?000000030?ooo`000000000000h000000P3oool<000000030?oo
o`000000000001L0000000<0oooo0000000000000`0000000`3oool0000000000007000000`0oooo
00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3oool>000000030?ooo`00
0000000001P0000000<0oooo0000000000002P0000001@3oool00000000000000000oooo01T00000
00<0oooo0000000000002@0000000`3oool000000000000A000000030?ooo`000000000002T00000
00<0oooo0000000000001P0000000`3oool000000000000;000000030?ooo`000000000001/00000
00<0oooo0000000000001P0000000`3oool000000000000K000000030?ooo`000000000001D00000
00<0oooo0000000000006@000000103oool000000?ooo`3oool6000000030?ooo`000000000000T0
00000P3ooolA000000030?ooo`000000000001l0000000<0oooo0000000000007@000000103oool0
00000000003ooolP00000080oooo300000000`3oool000000000000M000000030?ooo`0000000000
00L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`h0
000000<0oooo000000000000600000000`3oool000000000000:000000050?ooo`00000000000000
003oool06@0000000`3oool0000000000009000000030?ooo`00000000000140000000<0oooo0000
00000000:@0000000`3oool0000000000006000000030?ooo`000000000000/0000000<0oooo0000
000000006`0000000`3oool0000000000006000000030?ooo`000000000001/0000000<0oooo0000
000000005@0000000`3oool000000000000I000000040?ooo`000000oooo0?ooo`H0000000<0oooo
0000000000002@0000020?oooa40000000<0oooo0000000000007`0000000`3oool000000000000M
000000040?ooo`00000000000?ooob0000000P3oool<000000030?ooo`000000000001d0000000<0
oooo0000000000001`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo00X0oooo3P0000000`3oool000000000000H000000030?ooo`000000000000X0000000D0oooo
00000000000000000?ooo`0I000000030?ooo`000000000000T0000000<0oooo0000000000004@00
00000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo0000000000002`00
00000`3oool000000000000K000000030?ooo`000000000000H0000000<0oooo0000000000006`00
00000`3oool000000000000E000000030?ooo`000000000001T0000000@0oooo0000003oool0oooo
1P0000000`3oool000000000000900000080oooo4@0000000`3oool000000000000O000000030?oo
o`000000000001d0000000@0oooo000000000000oooo800000020?ooo``0000000<0oooo00000000
00007@0000000`3oool0000000000007000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3oool>000000030?ooo`000000000001P0000000<0oooo000000000000
2P0000001@3oool00000000000000000oooo01T0000000<0oooo0000000000002@0000000`3oool0
00000000000A000000030?ooo`000000000002T0000000<0oooo0000000000001P0000000`3oool0
00000000000;000000030?ooo`000000000001/0000000<0oooo0000000000001P0000000`3oool0
00000000000K000000030?ooo`000000000001D0000000<0oooo0000000000006@000000103oool0
00000?ooo`3oool6000000030?ooo`000000000000T000000P3ooolA000000030?ooo`0000000000
01l0000000<0oooo0000000000007@000000103oool000000000003ooolP00000080oooo30000000
0`3oool000000000000M000000030?ooo`000000000000L00000303oool00`000000oooo0?ooo`0<
0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooo`h0000000<0oooo000000000000600000000`3o
ool000000000000:000000050?ooo`00000000000000003oool06@0000000`3oool0000000000009
000000030?ooo`00000000000140000000<0oooo000000000000:@0000000`3oool0000000000006
000000030?ooo`000000000000/0000000<0oooo0000000000006`0000000`3oool0000000000006
000000030?ooo`000000000001/0000000<0oooo0000000000005@0000000`3oool000000000000I
000000040?ooo`000000oooo0?ooo`H0000000<0oooo0000000000002@0000020?oooa40000000<0
oooo0000000000007`0000000`3oool000000000000M000000030?ooo`0000000000024000000P3o
ool<000000030?ooo`000000000001d0000000<0oooo0000000000001`00000<0?ooo`030000003o
ool0oooo00`0oooo000U0?ooo`<000002P3oool>000000030?ooo`000000000002D0000000<0oooo
0000000000006`0000000`3oool0000000000009000000030?ooo`00000000000140000000<0oooo
000000000000:@0000000`3oool0000000000006000000030?ooo`000000000000/0000000<0oooo
0000000000006`0000000`3oool0000000000006000000030?ooo`000000000004l0000000@0oooo
0000003oool0oooo1P0000000`3oool000000000000900000080oooo4@0000000`3oool000000000
000O000000030?ooo`000000000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0
oooo0000000000007@0000000`3oool0000000000007000000X0oooo0`00000>0?ooo`009@3oool0
0`000000oooo0?ooo`0:0?ooocH0000000<0oooo0000000000006`0000000`3oool0000000000009
000000030?ooo`00000000000140000000<0oooo000000000000:@0000000`3oool0000000000006
000000030?ooo`000000000000/0000000<0oooo0000000000006`0000000`3oool0000000000006
000000030?ooo`000000000004l0000000@0oooo0000003oool0oooo1P0000000`3oool000000000
000900000080oooo4@0000000`3oool000000000000O000000030?ooo`000000000001d0000000<0
oooo0000000000008@0000020?ooo``0000000<0oooo0000000000007@0000000`3oool000000000
0007000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooolf
000000030?ooo`000000000001/0000000<0oooo0000000000007@0000000`3oool000000000000Y
000000030?ooo`000000000000H0000000<0oooo0000000000002`0000000`3oool000000000000K
000000030?ooo`000000000000H0000000<0oooo000000000000C`000000103oool000000?ooo`3o
ool6000000030?ooo`000000000000T000000P3ooolA000000030?ooo`000000000001l0000000<0
oooo0000000000007@0000000`3oool000000000000Q00000080oooo300000000`3oool000000000
000M000000030?ooo`000000000000L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`0:0?ooocH0000000<0oooo0000000000006`0000000`3oool000000000000M
000000030?ooo`000000000002T0000000<0oooo0000000000001P0000000`3oool000000000000;
000000030?ooo`000000000001/0000000<0oooo0000000000001P0000000`3oool000000000001?
000000040?ooo`000000oooo0?ooo`H0000000<0oooo0000000000002@0000020?oooa40000000<0
oooo0000000000007`0000000`3oool000000000000M000000030?ooo`0000000000024000000P3o
ool<000000030?ooo`000000000001d0000000<0oooo0000000000001`00000<0?ooo`030000003o
ool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3oool000000000000K
000000030?ooo`000000000001d0000000<0oooo000000000000:@0000000`3oool0000000000006
000000030?ooo`000000000000/0000000<0oooo0000000000006`0000000`3oool0000000000006
000000030?ooo`0000000000054000000P3oool6000000030?ooo`000000000000T000000P3ooolA
000000030?ooo`000000000001l0000000<0oooo0000000000007@0000000`3oool000000000000Q
00000080oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool0
02D0oooo00<000000?ooo`3oool02P3ooolf000000030?ooo`000000000001/0000000<0oooo0000
000000007@0000000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo0000
000000002`0000000`3oool000000000000K000000030?ooo`000000000000H0000000<0oooo0000
00000000D@0000020?ooo`H0000000<0oooo0000000000002@0000000`3oool000000000000@0000
00030?ooo`000000000001l0000000<0oooo0000000000007@0000000`3oool000000000000Q0000
0080oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0
oooo00<000000?ooo`3oool02P3ooolf000000030?ooo`000000000001/0000000<0oooo00000000
00007@0000000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo00000000
00002`0000000`3oool000000000000K000000030?ooo`000000000000H0000000<0oooo00000000
0000D@0000020?ooo`H0000000<0oooo0000000000002@0000000`3oool000000000000@00000003
0?ooo`000000000001l0000000<0oooo0000000000007@0000000`3oool000000000000Q00000080
oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3ooolf000000030?ooo`000000000001/0000000<0oooo000000000000
7@0000000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo000000000000
2`0000000`3oool000000000000K000000030?ooo`000000000000H0000000<0oooo000000000000
D@0000020?ooo`H0000000<0oooo0000000000002@0000000`3oool000000000000@000000030?oo
o`000000000001l0000000<0oooo0000000000007@0000000`3oool000000000000Q00000080oooo
300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<0
00000?ooo`3oool02P3ooolf000000030?ooo`000000000001/0000000<0oooo0000000000007@00
00000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo0000000000002`00
00000`3oool000000000000K000000030?ooo`000000000000H0000000<0oooo000000000000D@00
00020?ooo`H0000000<0oooo0000000000002@0000000`3oool000000000000@000000030?ooo`00
0000000001l0000000<0oooo0000000000007@0000000`3oool000000000000Q00000080oooo3000
00000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02P3ooolf000000030?ooo`000000000003/0000000<0oooo000000000000:@000000
0`3oool0000000000006000000030?ooo`000000000000/0000000<0oooo0000000000006`000000
0`3oool0000000000006000000030?ooo`0000000000054000000P3oool6000000030?ooo`000000
000000T0000000<0oooo000000000000400000000`3oool000000000000O000000030?ooo`000000
000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00000<
0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3o
ool000000000000k000000030?ooo`000000000002T0000000<0oooo0000000000001P0000000`3o
ool000000000000;000000030?ooo`000000000002@0000000<0oooo000000000000D@0000020?oo
o`H0000000<0oooo0000000000002@0000000`3oool000000000000b000000030?ooo`0000000000
01d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3oool0
00000000000k000000030?ooo`000000000002T0000000<0oooo0000000000001P0000000`3oool0
00000000000b000000030?ooo`0000000000054000000P3oool6000000030?ooo`000000000000T0
000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`00000000000240
00000P3oool<000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`00
3P3oool3000000@0oooo0P0000040?ooo`800000203oool00`000000oooo0?ooo`0:0?ooocH00000
00<0oooo000000000000>`0000000`3oool000000000000Y000000030?ooo`000000000000H00000
00<0oooo000000000000<P0000000`3oool000000000001A00000080oooo1P0000000`3oool00000
00000009000000030?ooo`00000000000380000000<0oooo0000000000007@0000000`3oool00000
0000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0
303oool000l0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo000000L0oooo00<000000?ooo`3oool02P3ooolf000000030?ooo`000000000003/0
000000<0oooo000000000000:@0000000`3oool0000000000006000000030?ooo`00000000000380
000000<0oooo000000000000D@0000020?ooo`H0000000<0oooo0000000000002@0000000`3oool0
00000000000b000000030?ooo`000000000001d0000000<0oooo0000000000008@0000020?ooo``0
000000<0oooo0000000000009`00000<0?ooo`030000003oool0oooo00`0oooo000?0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?oo
o`030000003oool0oooo00X0oooo=P0000000`3oool000000000000k000000030?ooo`0000000000
02T0000000<0oooo0000000000001P0000000`3oool000000000000b000000030?ooo`0000000000
054000000P3oool6000000030?ooo`000000000000T0000000<0oooo000000000000<P0000000`3o
ool000000000000M000000030?ooo`0000000000024000000P3oool<000000030?ooo`0000000000
02L00000303oool00`000000oooo0?ooo`0<0?ooo`003`3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool5000000P0oooo=P000000
0`3oool000000000000k000000030?ooo`000000000002T0000000<0oooo0000000000001P000000
0`3oool000000000000b000000030?ooo`0000000000054000000P3oool6000000030?ooo`000000
000000T0000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`000000
0000024000000P3oool<000000030?ooo`000000000002L000002@3oool4000000h0oooo000?0?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00070?ooo`030000003oool0oooo00X0oooo=P0000000`3oool000000000000k000000030?ooo`00
0000000002T0000000<0oooo0000000000001P0000000`3oool000000000000b000000030?ooo`00
00000000054000000P3oool6000000030?ooo`000000000000T0000000<0oooo000000000000<P00
00000`3oool000000000000M000000030?ooo`0000000000024000000P3oool<000000030?ooo`00
0000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`003P3oool2000000@0oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo00X0oooo
=P0000000`3oool000000000000k000000030?ooo`000000000002T0000000<0oooo000000000000
1P0000000`3oool000000000002600000080oooo4P0000000`3oool000000000000b000000030?oo
o`000000000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo000000000000
9`00000<0?ooo`030000003oool0oooo00`0oooo000?0?ooo`030000003oool0oooo00<0oooo0P00
00040?ooo`800000203oool00`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`00
00000`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo000000000000QP00
00020?oooa80000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`00
00000000024000000P3oool<000000030?ooo`000000000002L00000303oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`000000
0`3oool000000000000Y000000030?ooo`000000000000H0000000<0oooo000000000000QP000002
0?oooa80000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`000000
0000024000000P3oool<000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<
0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`0000000`3o
ool000000000000Y000000030?ooo`000000000000H0000000<0oooo000000000000QP0000020?oo
oa80000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`0000000000
024000000P3oool<000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?oo
o`009@3oool00`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`0000000`3oool0
00000000000Y000000030?ooo`000000000000H0000000<0oooo000000000000QP0000020?oooa80
000000<0oooo000000000000<P0000000`3oool000000000000M000000030?ooo`00000000000240
00000P3oool<000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`0000000`3oool00000
0000000Y000000030?ooo`000000000000H0000000<0oooo000000000000QP0000000`3oool00000
0000000A000000030?ooo`00000000000380000000<0oooo0000000000007@0000000`3oool00000
0000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool02P3ooolf000000030?ooo`000000000003/0000000<0
oooo000000000000:@0000000`3oool0000000000006000000030?ooo`000000000008H0000000<0
oooo000000000000AP0000000`3oool000000000000M000000030?ooo`0000000000024000000P3o
ool<000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000>`0000000`3oool000000000000Y
000000030?ooo`000000000000H0000000<0oooo000000000000QP0000000`3oool0000000000016
000000030?ooo`000000000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo
0000000000009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo
00X0oooo=P0000000`3oool000000000001W000000030?ooo`000000000000H0000000<0oooo0000
00000000QP0000000`3oool0000000000016000000030?ooo`000000000001d0000000<0oooo0000
000000008@0000020?ooo``0000000<0oooo0000000000009`00000<0?ooo`030000003oool0oooo
00`0oooo000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3oool000000000001W00000003
0?ooo`000000000000H0000000<0oooo000000000000QP0000000`3oool000000000001600000003
0?ooo`000000000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo00000000
00009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo
=P0000000`3oool000000000001W000000030?ooo`000000000000H0000000<0oooo000000000000
QP0000000`3oool0000000000016000000030?ooo`000000000001d0000000<0oooo000000000000
8@0000020?ooo``0000000<0oooo0000000000009`00000<0?ooo`030000003oool0oooo00`0oooo
000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3oool000000000001W000000030?ooo`00
0000000000H0000000<0oooo000000000000QP0000000`3oool0000000000016000000030?ooo`00
0000000001d0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00
000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`<000002P3ooolf000000030?ooo`000000
000006L0000000<0oooo0000000000001P0000000`3oool0000000000026000000030?ooo`000000
000006H0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00000:
0?ooo`<000003P3oool002D0oooo00<000000?ooo`3oool02P3ooolf000000030?ooo`0000000000
06L0000000<0oooo0000000000001P0000000`3oool0000000000026000000030?ooo`0000000000
06H0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo=P0000000`3oool0
00000000001W000000030?ooo`000000000000H0000000<0oooo000000000000QP0000000`3oool0
00000000001V000000030?ooo`0000000000024000000P3oool<000000030?ooo`000000000002L0
0000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooocH00000
00<0oooo000000000000I`0000000`3oool0000000000006000000030?ooo`000000000008H00000
00<0oooo000000000000IP0000000`3oool000000000000Q00000080oooo300000000`3oool00000
0000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3o
oolf000000030?ooo`000000000006L0000000<0oooo0000000000001P0000000`3oool000000000
0026000000030?ooo`000000000006H0000000<0oooo0000000000008@0000020?ooo``0000000<0
oooo0000000000009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo00X0oooo=P0000000`3oool000000000001W000000030?ooo`000000000000H0000000<0oooo
000000000000QP0000000`3oool000000000001V000000030?ooo`0000000000024000000P3oool<
000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooocH0000000<0oooo000000000000L00000000`3oool00000000000260000
00030?ooo`000000000006H0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000
000000009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0
oooo=P0000000`3oool000000000001`000000030?ooo`000000000008H0000000<0oooo00000000
0000IP0000000`3oool000000000000Q00000080oooo300000000`3oool000000000000W000000`0
oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooonY000000030?oo
o`000000000008H0000000<0oooo000000000000IP0000000`3oool000000000000Q00000080oooo
300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<0
00000?ooo`3oool02P3ooonY000000030?ooo`000000000008H0000000<0oooo000000000000IP00
00000`3oool000000000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooonY000000030?ooo`000000
000008H0000000<0oooo000000000000IP0000000`3oool000000000000Q00000080oooo30000000
0`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?oo
o`3oool02P3ooonY000000030?ooo`000000000008H0000000<0oooo000000000000IP0000000`3o
ool000000000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<000000?oo
o`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooonY000000030?ooo`000000000008H0
000000<0oooo000000000000IP0000000`3oool000000000000Q00000080oooo300000000`3oool0
00000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
2P3ooonY000000030?ooo`000000000008H0000000<0oooo000000000000IP0000000`3oool00000
0000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo0`00000:0?ooojT0000000<0oooo000000000000QP0000000`3oool000000000
001V000000030?ooo`0000000000024000000P3oool<000000030?ooo`000000000002L000002P3o
ool3000000h0oooo000U0?ooo`030000003oool0oooo00X0ooooZ@0000000`3oool0000000000026
000000030?ooo`000000000006H0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo
0000000000009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo
00X0ooooZ@0000000`3oool0000000000026000000030?ooo`000000000006H0000000<0oooo0000
000000008@0000020?ooo``0000000<0oooo0000000000009`00000<0?ooo`030000003oool0oooo
00`0oooo000U0?ooo`030000003oool0oooo00X0ooooZ@0000000`3oool000000000003_00000003
0?ooo`0000000000024000000P3oool<000000030?ooo`000000000002L00000303oool00`000000
oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooojT0000000<0oooo000000000000
k`0000000`3oool000000000000Q00000080oooo300000000`3oool000000000000W000000`0oooo
00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooonY000000030?ooo`00
000000000>l0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo0000000000009`00
000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooZ@000000
0`3oool000000000003_000000030?ooo`0000000000024000000P3oool<000000030?ooo`000000
000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?oo
ojT0000000<0oooo000000000000k`0000000`3oool000000000000Q00000080oooo300000000`3o
ool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3o
ool02P3ooooo000009`0000000<0oooo0000000000008@0000020?ooo``0000000<0oooo00000000
00009`00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0oooo
o`00002L000000030?ooo`0000000000024000000P3oool<000000030?ooo`000000000002L00000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000W000
00000`3oool000000000000Q00000080oooo300000000`3oool000000000000W000000`0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooooo00000<0000000P3oool<
000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooool00000`00000020?ooo``0000000<0oooo0000000000009`00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooo`00003000000080
oooo300000000`3oool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
0`00000:0?ooool00000`00000020?ooo``0000000<0oooo0000000000009`00000:0?ooo`<00000
3P3oool002D0oooo00<000000?ooo`3oool02P3ooooo00000<0000000P3oool<000000030?ooo`00
0000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:
0?ooool00000`00000020?ooo``0000000<0oooo0000000000009`00000<0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooo`00003000000080oooo300000000`3o
ool000000000000W000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3o
ool02P3ooooo00000<0000000P3oool<000000030?ooo`000000000002L00000303oool00`000000
oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3oool00000
0000000:000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3o
ool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3oool000000000000:000000030?ooo`00
0000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:
0?ooool00000`@0000000`3oool000000000000:000000030?ooo`000000000002L00000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3o
ool000000000000:000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?oo
o`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3oool000000000000:00000003
0?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0:0?ooool00000`@0000000`3oool000000000000:000000030?ooo`000000000002L00000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@00
00000`3oool000000000000:000000030?ooo`000000000002L00000303oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3oool000000000000:
000000030?ooo`000000000002L00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooool00000`@0000000`3oool000000000000d000000`0oooo00<000000?oo
o`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooooo00000<40000000<0oooo00000000
0000=000000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`<000002P3ooooo00000<400000
00<0oooo000000000000=000000:0?ooo`<000003P3oool002D0oooo00<000000?ooo`3oool02P3o
oooo00000<40000000<0oooo000000000000=000000<0?ooo`030000003oool0oooo00`0oooo000U
0?ooo`030000003oool0oooo00X0ooooo`000031000000030?ooo`000000000003@00000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3o
ool000000000000d000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3o
ool02P3ooooo00000<40000000<0oooo000000000000=000000<0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`030000003oool0oooo00X0ooooo`000031000000030?ooo`000000000003@00000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool00000`@00
00000`3oool000000000000d000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02P3ooooo00000<40000000<0oooo000000000000=000000<0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooo`000031000000030?ooo`0000000000
03@00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooool0
0000`@0000000`3oool000000000000d000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3ooooo00000<40000000<0oooo000000000000=000000<0?ooo`030000
003oool0oooo00`0oooo000=0?ooo`D000000`3oool2000000@0oooo0P0000080?ooo`030000003o
ool0oooo00X0ooooo`000031000000030?ooo`000000000003@00000303oool00`000000oooo0?oo
o`0<0?ooo`003P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0:0?ooool00000`@0000000`3oool0
00000000000d000000`0oooo00<000000?ooo`3oool0303oool000l0oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo00<000000?oo
o`3oool02P3ooooo00000<40000000<0oooo000000000000=000000<0?ooo`030000003oool0oooo
00`0oooo000@0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00D0oooo1@0000080?ooool00000`@0000000`3oool000000000000d
000000T0oooo1000000>0?ooo`003@3oool01@000000oooo0?ooo`3oool000000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo00X0oooo
o`000031000000030?ooo`000000000003@00000303oool00`000000oooo0?ooo`0<0?ooo`003@3o
ool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000070?ooo`030000003oool0oooo00X0ooooo`00003h000000`0oooo00<000000?oo
o`3oool0303oool000h0oooo0`0000040?ooo`800000103oool2000000P0oooo00<000000?ooo`3o
ool02P3ooooo00000?P00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0:0?ooool00000n000000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003o
ool0oooo00X0ooooo`00003h000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02P3ooooo00000?P00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooool00000n000000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`03
0000003oool0oooo00X0ooooo`00003h000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3ooooo00000?P00000303oool00`000000oooo0?ooo`0<0?ooo`009@3o
ool00`000000oooo0?ooo`0:0?ooool00000n000000<0?ooo`030000003oool0oooo00`0oooo000U
0?ooo`030000003oool0oooo00X0ooooo`00003h000000`0oooo00<000000?ooo`3oool0303oool0
02D0oooo00<000000?ooo`3oool02P3ooooo00000?P00000303oool00`000000oooo0?ooo`0<0?oo
o`009@3oool00`000000oooo0?ooo`0:0?ooool00000n000000<0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`<000002P3ooooo00000?P000002P3oool3000000h0oooo000U0?ooo`030000003o
ool0oooo00X0ooooo`00003h000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02P3ooooo00000?P00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooool00000n000000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`03
0000003oool0oooo00X0ooooo`00003h000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000?l00000R@00000<0?ooo`030000
003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooK00000000`3oool000000000
003o000008T00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:
0?ooof`0000000<0oooo000000000000o`000029000000`0oooo00<000000?ooo`3oool0303oool0
02D0oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000?l00000R@00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooK00000000`3oool0
00000000003o000008T00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0:0?ooof`0000000<0oooo000000000000o`000029000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000?l00000R@00
000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00X0ooooK0000000
0`3oool000000000003o000008T00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooof`0000000<0oooo000000000000o`000029000000`0oooo00<000000?oo
o`3oool0303oool002D0oooo0`00000:0?ooof`0000000<0oooo000000000000o`000029000000X0
oooo0`00000>0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0000000<0oooo000000000000
o`000029000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3o
oom/000000030?ooo`00000000000?l00000R@00000<0?ooo`030000003oool0oooo00`0oooo000U
0?ooo`030000003oool0oooo00X0ooooK00000000`3oool000000000003o000008T00000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0000000<0oooo0000
00000000o`000029000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3o
ool02P3ooom/000000030?ooo`00000000000?l00000R@00000<0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`030000003oool0oooo00X0ooooK00000000`3oool000000000003o000008T00000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0000000<0
oooo000000000000400000000`3oool000000000003o000007H00000303oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0000000<0oooo00000000000040000000
0`3oool000000000003o000007H00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`0:0?ooof`0000000<0oooo000000000000400000000`3oool000000000003o0000
07H00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0
000000<0oooo000000000000400000000`3oool000000000003o000007H00000303oool00`000000
oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:0?ooof`0000000<0oooo000000000000
400000000`3oool000000000003o000007H00000303oool00`000000oooo0?ooo`0<0?ooo`009@3o
ool00`000000oooo0?ooo`0:0?ooof`0000000<0oooo000000000000400000000`3oool000000000
003o000007H00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0:
0?ooof`0000000<0oooo000000000000400000000`3oool000000000003o000007H00000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool3000000X0ooooK00000000`3oool000000000000@0000
00030?ooo`00000000000?l00000MP00000:0?ooo`<000003P3oool002D0oooo00<000000?ooo`3o
ool02P3ooom/000000030?ooo`00000000000100000000<0oooo000000000000o`00001f000000`0
oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02P3ooom/000000030?oo
o`00000000000100000000<0oooo000000000000o`00001f000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000100000000<0
oooo000000000000N`0000000`3oool000000000003g000000`0oooo00<000000?ooo`3oool0303o
ool002D0oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000100000000<0oooo
000000000000N`0000000`3oool000000000003g000000`0oooo00<000000?ooo`3oool0303oool0
02D0oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000100000000<0oooo0000
00000000N`0000000`3oool000000000003g000000`0oooo00<000000?ooo`3oool0303oool002D0
oooo00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000100000000<0oooo00000000
0000N`0000000`3oool000000000003g000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02P3ooom/000000030?ooo`00000000000100000000<0oooo000000000000
N`0000000`3oool000000000003g000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<0
00000?ooo`3oool02`3ooolY000000030?ooo`000000000003l0000000<0oooo0000000000004000
00000`3oool000000000001k000000030?ooo`00000000000?L00000303oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`0;0?ooobT0000000<0oooo000000000000?`000000
0`3oool000000000000@000000030?ooo`000000000007/0000000<0oooo000000000000_`000000
0`3oool000000000000e000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?oo
o`3oool02`3ooolY000000030?ooo`000000000003l0000000<0oooo000000000000400000000`3o
ool000000000001k000000030?ooo`00000000000;l0000000<0oooo000000000000=@00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo:@0000000`3oool0
00000000000o000000030?ooo`00000000000100000000<0oooo000000000000N`0000000`3oool0
00000000002o000000030?ooo`000000000003D00000303oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`0;0?ooobT0000000<0oooo000000000000?`0000000`3oool00000
0000000@000000030?ooo`000000000007/0000000D0oooo00000000000000000?ooo`2m00000003
0?ooo`000000000003D00000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`0;0?ooobT0000000<0oooo000000000000?`0000000`3oool000000000000@000000030?oo
o`000000000007/0000000D0oooo00000000000000000?ooo`2m000000030?ooo`000000000003H0
00002`3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0;0?ooobT00000
00<0oooo000000000000?`0000000`3oool000000000000@000000030?ooo`000000000007/00000
00D0oooo00000000000000000?ooo`2m000000030?ooo`000000000003H000002`3oool00`000000
oooo0?ooo`0<0?ooo`009@3oool3000000/0oooo:@0000000`3oool000000000000o000000030?oo
o`00000000000100000000<0oooo000000000000N`0000001@3oool00000000000000000oooo0;d0
000000<0oooo000000000000=P0000090?ooo`<000003P3oool002D0oooo00<000000?ooo`3oool0
2`3ooolY000000030?ooo`000000000003l0000000<0oooo000000000000400000000`3oool00000
0000001k000000050?ooo`00000000000000003oool0_@0000000`3oool000000000000f000000/0
oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3ooolY000000030?oo
o`000000000003l0000000<0oooo000000000000400000000`3oool000000000001k000000050?oo
o`00000000000000003oool0_@0000000`3oool000000000000f000000/0oooo00<000000?ooo`3o
ool0303oool002D0oooo00<000000?ooo`3oool02`3ooolY000000030?ooo`000000000003l00000
00<0oooo000000000000400000000`3oool000000000001k000000050?ooo`00000000000000003o
ool0_@0000000`3oool000000000000f000000/0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02`3ooolY000000030?ooo`000000000003l0000000<0oooo000000000000
400000000`3oool000000000001k000000050?ooo`00000000000000003oool0_@0000000`3oool0
00000000000f000000/0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
2`3ooolY000000030?ooo`000000000003l0000000<0oooo000000000000400000000`3oool00000
0000001k000000050?ooo`00000000000000003oool0_@0000000`3oool000000000000f000000/0
oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3ooolY000000030?oo
o`000000000003l0000000<0oooo000000000000400000000`3oool000000000001k000000050?oo
o`00000000000000003oool0_@0000000`3oool000000000000f000000/0oooo00<000000?ooo`3o
ool0303oool002D0oooo00<000000?ooo`3oool02`3ooolN000000030?ooo`000000000000P00000
00<0oooo000000000000?`0000000`3oool000000000000@000000030?ooo`000000000007/00000
00D0oooo00000000000000000?ooo`2m000000030?ooo`000000000003H000002`3oool00`000000
oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0;0?oooah0000000<0oooo000000000000
200000000`3oool000000000000o000000030?ooo`00000000000100000000<0oooo000000000000
N`0000001@3oool00000000000000000oooo0;@0000000<0oooo0000000000001P0000000`3oool0
00000000000f000000/0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
2`3ooolN000000030?ooo`000000000000P0000000<0oooo000000000000?`0000000`3oool00000
0000000@000000030?ooo`000000000007/0000000D0oooo00000000000000000?ooo`2d00000003
0?ooo`000000000000H0000000<0oooo000000000000=P00000;0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`030000003oool0oooo00/0oooo7P0000000`3oool0000000000008000000030?oo
o`000000000003l0000000<0oooo000000000000400000000`3oool000000000001k000000050?oo
o`00000000000000003oool0]00000000`3oool0000000000006000000030?ooo`000000000003D0
0000303oool00`000000oooo0?ooo`0<0?ooo`003P3oool3000000@0oooo0P0000040?ooo`800000
203oool00`000000oooo0?ooo`0;0?oooah0000000<0oooo000000000000200000000`3oool00000
0000000o000000030?ooo`00000000000100000000<0oooo000000000000N`0000001@3oool00000
000000000000oooo0;@0000000<0oooo0000000000001P0000000`3oool000000000000e000000`0
oooo00<000000?ooo`3oool0303oool000d0oooo00D000000?ooo`3oool0oooo000000020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0;
0?oooah0000000<0oooo000000000000200000000`3oool000000000000o000000030?ooo`000000
00000100000000<0oooo000000000000N`0000001@3oool00000000000000000oooo0;@0000000<0
oooo0000000000001P0000000`3oool000000000000e000000`0oooo00<000000?ooo`3oool0303o
ool00140oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02`3ooolN000000030?ooo`000000000000P00000
00<0oooo000000000000?`0000000`3oool000000000000@000000030?ooo`000000000007/00000
00D0oooo00000000000000000?ooo`2d000000030?ooo`000000000000H0000000<0oooo00000000
0000=@00000<0?ooo`030000003oool0oooo00`0oooo000?0?ooo`8000000`3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo1@0000090?oooah0000000<0oooo0000
00000000200000000`3oool000000000000o000000030?ooo`00000000000100000000<0oooo0000
00000000N`0000001@3oool00000000000000000oooo0;@0000000<0oooo0000000000001P000000
0`3oool000000000000e000000T0oooo1000000>0?ooo`004@3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0;0?oooah0000000<0oooo000000000000200000000`3oool000000000000o000000030?ooo`00
000000000100000000<0oooo000000000000N`0000001@3oool00000000000000000oooo07X00000
00<0oooo000000000000=`0000000`3oool0000000000006000000030?ooo`000000000003D00000
303oool00`000000oooo0?ooo`0<0?ooo`003@3oool01@000000oooo0?ooo`3oool000000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
00/0oooo7P0000000`3oool0000000000008000000030?ooo`000000000003l0000000<0oooo0000
00000000400000000`3oool000000000001k000000050?ooo`00000000000000003oool0NP000000
0`3oool000000000000g000000030?ooo`000000000000H0000000<0oooo000000000000=@00000<
0?ooo`030000003oool0oooo00`0oooo000>0?ooo`<00000103oool2000000@0oooo0P0000080?oo
o`030000003oool0oooo00/0oooo7P0000000`3oool0000000000008000000030?ooo`0000000000
03l0000000<0oooo000000000000400000000`3oool000000000001A000000030?ooo`0000000000
02L0000000D0oooo00000000000000000?ooo`0L000000030?ooo`000000000005/0000000<0oooo
000000000000=`0000000`3oool0000000000006000000030?ooo`000000000003D00000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0;0?oooah0000000<0oooo0000
00000000200000000`3oool000000000000G000000030?ooo`000000000002D0000000<0oooo0000
00000000400000000`3oool000000000001A000000030?ooo`000000000001`0000000<0oooo0000
00000000200000001@3oool00000000000000000oooo01`0000000<0oooo000000000000F`000000
0`3oool000000000000g000000030?ooo`000000000000H0000000<0oooo000000000000=@00000<
0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo7P0000000`3o
ool0000000000008000000030?ooo`000000000001L0000000<0oooo0000000000009@0000000`3o
ool000000000000@000000030?ooo`00000000000540000000<0oooo000000000000700000000`3o
ool0000000000008000000050?ooo`00000000000000003oool0700000000`3oool000000000001K
000000030?ooo`000000000003L0000000<0oooo0000000000001P0000000`3oool000000000000e
000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool90000
00030?ooo`00000000000180000000<0oooo0000000000001@000000103oool000000000003ooolI
000000030?ooo`000000000002D0000000<0oooo000000000000400000000`3oool000000000001A
000000030?ooo`000000000001`0000000<0oooo000000000000200000001@3oool0000000000000
0000oooo01`0000000<0oooo0000000000007@0000000`3oool000000000000k000000030?ooo`00
0000000003L0000000<0oooo0000000000001P0000000`3oool000000000000e000000`0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool9000000030?ooo`000000
00000180000000<0oooo0000000000001@000000103oool000000000003ooolI000000030?ooo`00
0000000002D0000000<0oooo000000000000400000000`3oool000000000001A000000030?ooo`00
0000000001`0000000<0oooo000000000000200000001@3oool00000000000000000oooo01`00000
00<0oooo0000000000007@0000000`3oool000000000000k000000030?ooo`000000000003L00000
00<0oooo0000000000001P0000000`3oool000000000000e000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool02`3oool9000000030?ooo`00000000000180000000<0
oooo0000000000001@000000103oool000000000003ooolI000000030?ooo`000000000002D00000
00<0oooo000000000000400000000`3oool000000000001A000000030?ooo`000000000001`00000
00<0oooo000000000000200000001@3oool00000000000000000oooo01`0000000<0oooo00000000
00007@0000000`3oool000000000000k000000030?ooo`000000000003L0000000<0oooo00000000
00001P0000000`3oool000000000000e000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02`3oool9000000030?ooo`00000000000180000000<0oooo000000000000
1@000000103oool000000000003oool:000000030?ooo`000000000000`0000000<0oooo00000000
00009@0000000`3oool000000000000@000000030?ooo`00000000000540000000<0oooo00000000
0000700000000`3oool0000000000008000000050?ooo`00000000000000003oool0700000000`3o
ool000000000000M000000030?ooo`000000000003/0000000<0oooo000000000000=`0000000`3o
ool0000000000006000000030?ooo`000000000003D00000303oool00`000000oooo0?ooo`0<0?oo
o`009@3oool00`000000oooo0?ooo`0;0?ooo`T0000000<0oooo0000000000004P0000000`3oool0
000000000005000000040?ooo`00000000000?ooo`X0000000<0oooo000000000000300000000`3o
ool000000000000U000000030?ooo`00000000000100000000<0oooo000000000000=`0000000`3o
ool000000000000G000000030?ooo`000000000001`0000000<0oooo000000000000200000001@3o
ool00000000000000000oooo01`0000000<0oooo0000000000007@0000000`3oool000000000000k
000000030?ooo`000000000003L0000000<0oooo0000000000001P0000000`3oool000000000000e
000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool90000
00030?ooo`00000000000180000000<0oooo0000000000001@000000103oool000000000003oool:
000000030?ooo`000000000000`0000000<0oooo0000000000009@0000000`3oool000000000000@
000000030?ooo`000000000003L0000000<0oooo0000000000005`0000000`3oool000000000000L
000000030?ooo`000000000000P0000000D0oooo00000000000000000?ooo`0L000000030?ooo`00
0000000001d0000000<0oooo000000000000>`0000000`3oool000000000000g000000030?ooo`00
0000000000H0000000<0oooo000000000000=@00000<0?ooo`030000003oool0oooo00`0oooo000U
0?ooo`030000003oool0oooo00/0oooo2@0000000`3oool000000000000B000000030?ooo`000000
000000D0000000@0oooo000000000000oooo2P0000000`3oool000000000000<000000030?ooo`00
0000000002D0000000<0oooo000000000000400000020?ooocP0000000<0oooo0000000000005`00
00000`3oool000000000000L000000030?ooo`000000000000P0000000D0oooo0000000000000000
0?ooo`0L000000030?ooo`000000000001d0000000<0oooo000000000000>`0000000`3oool00000
0000000g000000030?ooo`000000000000H0000000<0oooo000000000000=@00000<0?ooo`030000
003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo2@0000000`3oool000000000
000B000000030?ooo`000000000000D0000000@0oooo000000000000oooo2P0000000`3oool00000
0000000<000000030?ooo`000000000002D0000000<0oooo000000000000400000020?ooocP00000
00<0oooo0000000000005`0000000`3oool000000000000L000000030?ooo`000000000000P00000
00D0oooo00000000000000000?ooo`0L000000030?ooo`000000000001d0000000<0oooo00000000
0000>`0000000`3oool000000000000g000000030?ooo`000000000000H0000000<0oooo00000000
0000=@00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`<000002`3oool9000000030?oo
o`00000000000180000000<0oooo0000000000001@000000103oool000000000003oool:00000003
0?ooo`000000000000/000000P3ooolW000000030?ooo`0000000000010000000P3ooolh00000003
0?ooo`000000000001L0000000<0oooo000000000000700000000`3oool000000000000800000005
0?ooo`00000000000000003oool0700000000`3oool000000000000M000000030?ooo`0000000000
03/0000000<0oooo000000000000=`0000000`3oool0000000000006000000030?ooo`0000000000
03D000002P3oool3000000h0oooo000U0?ooo`030000003oool0oooo00/0oooo2@0000000`3oool0
00000000000B000000030?ooo`000000000000D0000000@0oooo000000000000oooo2P0000000`3o
ool000000000000;00000080oooo9`0000000`3oool000000000000@00000080oooo>00000000`3o
ool000000000000G000000030?ooo`000000000001`0000000<0oooo000000000000200000001@3o
ool00000000000000000oooo01`0000000<0oooo0000000000007@0000000`3oool000000000000k
000000030?ooo`000000000003L0000000<0oooo0000000000000P0000001@3oool0000000000000
0000oooo0380000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U
0?ooo`030000003oool0oooo00/0oooo2@0000000`3oool000000000000B000000030?ooo`000000
000000D0000000@0oooo000000000000oooo2P0000000`3oool000000000000;00000080oooo9`00
00000`3oool000000000000@00000080oooo>00000000`3oool000000000000G000000030?ooo`00
0000000001`0000000<0oooo000000000000200000001@3oool00000000000000000oooo01`00000
00<0oooo0000000000007@0000000`3oool000000000000k000000030?ooo`000000000003L00000
00<0oooo0000000000000P0000001@3oool00000000000000000oooo0380000000<0oooo00000000
00000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo
2@0000000`3oool000000000000B000000030?ooo`000000000000D0000000@0oooo000000000000
oooo2P0000000`3oool000000000000;00000080oooo9`0000000`3oool000000000000@00000080
oooo>00000000`3oool000000000000G000000030?ooo`000000000001`0000000<0oooo00000000
0000200000001@3oool00000000000000000oooo01`0000000<0oooo0000000000007@0000000`3o
ool000000000000k000000030?ooo`000000000003L0000000<0oooo0000000000000P0000001@3o
ool00000000000000000oooo0380000000<0oooo0000000000000P00000<0?ooo`030000003oool0
oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo2@0000000`3oool000000000000B0000
00030?ooo`000000000000D0000000@0oooo000000000000oooo2P0000000`3oool000000000000;
00000080oooo9`0000000`3oool000000000000@00000080oooo>00000000`3oool000000000000G
000000030?ooo`000000000001`0000000<0oooo000000000000200000001@3oool0000000000000
0000oooo01`0000000<0oooo0000000000007@0000000`3oool000000000000k000000030?ooo`00
0000000003L0000000<0oooo0000000000000P000000103oool000000000000000020?oooc400000
00<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003o
ool0oooo00/0oooo2@0000001@3oool00000000000000000oooo0100000000<0oooo000000000000
1@000000103oool000000000003oool:000000030?ooo`000000000000/000000P3ooolW00000003
0?ooo`0000000000010000000P3ooolh000000030?ooo`000000000001L0000000<0oooo00000000
0000700000000`3oool0000000000008000000050?ooo`00000000000000003oool0700000000`3o
ool000000000000M000000030?ooo`000000000003/0000000<0oooo000000000000=`0000000`3o
ool0000000000002000000040?ooo`000000000000000080oooo<@0000000`3oool0000000000002
000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool90000
00050?ooo`00000000000000003oool01`0000000`3oool0000000000006000000030?ooo`000000
000000D0000000@0oooo000000000000oooo2P0000000`3oool000000000000;00000080oooo9`00
00000`3oool0000000000008000000030?ooo`000000000000D000000P3ooolh000000030?ooo`00
0000000001L0000000<0oooo000000000000700000000`3oool0000000000008000000050?ooo`00
000000000000003oool0700000000`3oool000000000000M000000030?ooo`000000000003/00000
00<0oooo000000000000=`0000000`3oool0000000000002000000040?ooo`000000000000000080
oooo<@0000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo
00<000000?ooo`3oool02`3oool3000000030?ooo`000000000000<0000000D0oooo000000000000
00000?ooo`07000000030?ooo`000000000000H0000000<0oooo0000000000000`0000000`3oool0
00000?ooo`02000000030?ooo`000000000000P0000000<0oooo0000000000002`0000020?ooobL0
000000<0oooo000000000000200000000`3oool000000000000500000080oooo>00000000`3oool0
00000000000G000000030?ooo`000000000001`0000000<0oooo000000000000200000001@3oool0
0000000000000000oooo01`0000000<0oooo0000000000007@0000000`3oool000000000000k0000
00030?ooo`000000000003L0000000<0oooo0000000000000P000000103oool00000000000000002
0?oooc40000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?oo
o`030000003oool0oooo00/0oooo0`0000000`3oool0000000000003000000050?ooo`0000000000
0000003oool01`0000000`3oool0000000000006000000030?ooo`000000000000<0000000<0oooo
0000003oool00P0000000`3oool0000000000008000000030?ooo`000000000000/000000P3ooolW
000000030?ooo`000000000000H0000000<0oooo0000003oool01`0000020?ooocP0000000<0oooo
0000000000005`0000000`3oool000000000000L000000030?ooo`000000000000P0000000D0oooo
00000000000000000?ooo`0L000000030?ooo`000000000001d0000000<0oooo000000000000>`00
00000`3oool000000000000g000000030?ooo`00000000000080000000@0oooo0000000000000000
0P3ooola000000030?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?ooo`009@3o
ool00`000000oooo0?ooo`0;0?ooo`<0000000<0oooo0000000000000`0000001@3oool000000000
00000000oooo00L0000000<0oooo0000000000001P0000000`3oool0000000000003000000030?oo
o`000000oooo0080000000<0oooo000000000000200000000`3oool000000000000;00000080oooo
9`0000000`3oool0000000000006000000030?ooo`000000oooo00L000000P3ooolh000000030?oo
o`000000000001L0000000<0oooo000000000000700000000`3oool0000000000008000000050?oo
o`00000000000000003oool0700000000`3oool000000000000M000000030?ooo`000000000003/0
000000<0oooo000000000000=`0000000`3oool0000000000002000000040?ooo`00000000000000
0080oooo<@0000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0
oooo00<000000?ooo`3oool02`3oool300000080oooo100000001@3oool00000000000000000oooo
00L0000000<0oooo0000000000001P0000000`3oool0000000000003000000030?ooo`000000oooo
0080000000<0oooo000000000000200000000`3oool000000000000;00000080oooo9`0000000`3o
ool0000000000006000000030?ooo`000000oooo00L000000P3ooolh000000030?ooo`0000000000
01L0000000<0oooo000000000000700000000`3oool0000000000008000000050?ooo`0000000000
0000003oool0700000000`3oool000000000000M000000030?ooo`000000000003/0000000<0oooo
000000000000=`0000000`3oool0000000000002000000040?ooo`000000000000000080oooo<@00
00000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<00000
0?ooo`3oool02`3oool300000080oooo100000001@3oool00000000000000000oooo00L0000000<0
oooo0000000000001P0000000`3oool0000000000003000000030?ooo`000000oooo0080000000<0
oooo000000000000200000000`3oool000000000000;00000080oooo9`0000000`3oool000000000
0006000000030?ooo`000000oooo00L000000P3ooolh000000030?ooo`000000000001L0000000<0
oooo000000000000700000000`3oool0000000000008000000050?ooo`00000000000000003oool0
700000000`3oool000000000000M000000030?ooo`000000000003/0000000<0oooo000000000000
=`0000000`3oool0000000000002000000040?ooo`000000000000000080oooo<@0000000`3oool0
000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
2`3oool300000080oooo100000001@3oool00000000000000000oooo00L0000000<0oooo00000000
00001P0000000`3oool0000000000003000000030?ooo`000000oooo0080000000<0oooo00000000
0000200000000`3oool000000000000;00000080oooo9`0000000`3oool000000000000600000003
0?ooo`000000oooo00L000000P3ooolh000000030?ooo`000000000001L0000000<0oooo00000000
0000700000000`3oool0000000000008000000050?ooo`00000000000000003oool0200000000`3o
ool000000000000=000000050?ooo`00000000000000003oool01`0000000`3oool000000000000E
000000030?ooo`000000000003/0000000<0oooo000000000000=`0000000`3oool0000000000002
000000040?ooo`000000000000000080oooo<@0000000`3oool0000000000002000000`0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool300000080oooo10000000
1@3oool00000000000000000oooo00L0000000<0oooo0000000000000`000000103oool000000000
003oool5000000030?ooo`000000oooo0080000000<0oooo000000000000200000000`3oool00000
0000000;00000080oooo9`0000000`3oool0000000000006000000030?ooo`000000oooo00L00000
0P3oool5000000030?ooo`00000000000300000000<0oooo0000000000005`0000000`3oool00000
0000000L000000030?ooo`000000000000P0000000D0oooo00000000000000000?ooo`0800000003
0?ooo`000000000000d0000000D0oooo00000000000000000?ooo`07000000030?ooo`0000000000
01D0000000<0oooo000000000000>`0000000`3oool000000000000g000000030?ooo`0000000000
0080000000@0oooo00000000000000000P3ooola000000030?ooo`000000000000800000303oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool3000000/0oooo0`0000020?ooo`@0000000D0oooo0000
0000000000000?ooo`07000000030?ooo`000000000000<0000000@0oooo000000000000oooo1@00
00000`3oool000000?ooo`02000000030?ooo`000000000000P0000000<0oooo0000000000002`00
00020?ooo`@0000000<0oooo000000000000800000000`3oool0000000000006000000030?ooo`00
0000oooo00L000000P3oool5000000030?ooo`000000000002D0000000<0oooo0000000000002000
00000`3oool000000000000G000000030?ooo`000000000001`0000000<0oooo0000000000002000
00001@3oool00000000000000000oooo00P0000000<0oooo0000000000003@0000001@3oool00000
000000000000oooo00L0000000<0oooo0000000000005@0000000`3oool000000000000k00000003
0?ooo`000000000003L0000000<0oooo0000000000000P000000103oool000000000000000020?oo
oc40000000<0oooo0000000000000P00000:0?ooo`<000003P3oool002D0oooo00<000000?ooo`3o
ool02`3oool300000080oooo100000001@3oool00000000000000000oooo00<0000000D0oooo0000
0000000000000?ooo`02000000040?ooo`00000000000?ooo`80000000<0oooo0000000000000`00
00000`3oool000000?ooo`02000000030?ooo`000000000000P0000000<0oooo0000000000002`00
00020?ooo`@0000000<0oooo000000000000800000000`3oool0000000000006000000030?ooo`00
0000oooo00L000000P3oool5000000030?ooo`000000000002<0000000<0oooo0000003oool02P00
00000`3oool000000000000G000000030?ooo`000000000001`0000000<0oooo0000000000002000
00001@3oool00000000000000000oooo00P0000000<0oooo0000000000003@0000001@3oool00000
000000000000oooo00L0000000<0oooo0000000000005@0000000`3oool000000000000k00000003
0?ooo`000000000003L0000000<0oooo0000000000000P000000103oool000000000000000020?oo
oc40000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`03
0000003oool0oooo00/0oooo0`0000020?ooo`@0000000D0oooo00000000000000000?ooo`030000
00050?ooo`00000000000000003oool00P000000103oool000000000003oool2000000030?ooo`00
0000000000<0000000<0oooo0000003oool00P0000000`3oool0000000000008000000030?ooo`00
0000000000/000000P3oool4000000030?ooo`00000000000200000000<0oooo0000000000001P00
00000`3oool000000?ooo`0700000080oooo1@0000000`3oool000000000000S000000030?ooo`00
0000oooo00X0000000<0oooo0000000000005`0000000`3oool000000000000L000000030?ooo`00
0000000000P0000000D0oooo00000000000000000?ooo`08000000030?ooo`000000000000d00000
00D0oooo00000000000000000?ooo`07000000030?ooo`000000000001D0000000<0oooo00000000
0000>`0000000`3oool000000000000g000000030?ooo`00000000000080000000@0oooo00000000
000000000P3oool>000000030?ooo`00000000000200000000<0oooo0000000000000P00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`00
00000P3oool4000000090?ooo`00000000000000003oool000000?ooo`000000oooo00<0000000@0
oooo000000000000oooo0P000000103oool000000000003oool5000000030?ooo`000000oooo0080
000000<0oooo000000000000200000000`3oool000000000000;00000080oooo100000000`3oool0
00000000000P000000030?ooo`000000000000H0000000<0oooo0000003oool01`0000020?ooo`D0
000000<0oooo0000000000008`0000000`3oool000000?ooo`0:000000030?ooo`000000000001L0
000000<0oooo000000000000700000000`3oool0000000000008000000050?ooo`00000000000000
003oool0200000000`3oool000000000000=000000050?ooo`00000000000000003oool01`000000
0`3oool000000000000E000000030?ooo`000000000003/0000000<0oooo000000000000=`000000
0`3oool0000000000002000000040?ooo`000000000000000080oooo3P0000000`3oool000000000
000P000000030?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool000000080oooo100000002@3oool0000000000000
0000oooo0000003oool000000?ooo`03000000040?ooo`00000000000?ooo`80000000@0oooo0000
00000000oooo1@0000000`3oool000000?ooo`02000000030?ooo`000000000000P0000000<0oooo
0000000000002`0000020?ooo`@0000000<0oooo000000000000800000000`3oool0000000000006
000000030?ooo`000000oooo00L000000P3oool5000000030?ooo`000000000002<0000000<0oooo
0000003oool02P000000103oool000000000003ooolF000000030?ooo`000000000001`0000000<0
oooo000000000000200000001@3oool00000000000000000oooo00P0000000<0oooo000000000000
3@0000001@3oool00000000000000000oooo00L0000000<0oooo0000000000005@0000000`3oool0
00000000000k000000030?ooo`000000000003L0000000<0oooo0000000000000P000000103oool0
00000000000000020?ooo`h0000000<0oooo000000000000800000000`3oool00000000000020000
00`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool02`3oool00`000000
oooo000000020?ooo`@0000000T0oooo00000000000000000?ooo`000000oooo0000003oool00`00
0000103oool000000000003oool2000000040?ooo`00000000000?ooo`D0000000<0oooo0000003o
ool00P0000000`3oool0000000000008000000030?ooo`000000000000/000000P3oool400000003
0?ooo`00000000000200000000<0oooo0000000000001P0000000`3oool000000?ooo`0700000080
oooo1@0000000`3oool000000000000S000000030?ooo`000000oooo00X0000000@0oooo00000000
0000oooo5P0000000`3oool000000000000L000000030?ooo`000000000000P0000000D0oooo0000
0000000000000?ooo`08000000030?ooo`000000000000d0000000D0oooo00000000000000000?oo
o`07000000030?ooo`000000000001D0000000<0oooo000000000000>`0000000`3oool000000000
000g000000030?ooo`00000000000080000000@0oooo00000000000000000P3oool>000000030?oo
o`00000000000200000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo
000U0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`0000000P3oool300000080oooo0`00
00002@3oool000000?ooo`000000oooo0000003oool000000?ooo`02000000040?ooo`0000000000
0?ooo`80000000T0oooo00000000000000000?ooo`000000oooo0000003oool00P0000000`3oool0
000000000008000000030?ooo`000000000000/000000P3oool4000000030?ooo`00000000000200
000000<0oooo0000000000001P0000000`3oool000000?ooo`0700000080oooo1@0000000`3oool0
00000000000S000000030?ooo`000000oooo00X0000000@0oooo000000000000oooo5P0000000`3o
ool000000000000L000000030?ooo`000000000000P0000000D0oooo00000000000000000?ooo`08
000000030?ooo`000000000000d0000000D0oooo00000000000000000?ooo`07000000030?ooo`00
0000000000/0000000<0oooo0000000000001`0000000`3oool000000000000k000000030?ooo`00
0000000003L0000000<0oooo0000000000000P000000103oool000000000000000020?ooo`h00000
00<0oooo000000000000800000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool02`3oool00`000000oooo000000020?ooo`<000000P3o
ool200000080oooo00<000000?ooo`0000000`3oool01@000000oooo000000000000oooo00800000
00@0oooo000000000000oooo0`0000001@3oool000000?ooo`000000oooo0080000000<0oooo0000
00000000200000000`3oool000000000000;00000080oooo100000000`3oool000000000000P0000
00030?ooo`000000000000H0000000<0oooo0000003oool01`0000020?ooo`D0000000<0oooo0000
000000008`0000000`3oool000000?ooo`0:000000040?ooo`00000000000?oooaH0000000<0oooo
000000000000700000000`3oool0000000000008000000050?ooo`00000000000000003oool02000
00000`3oool000000000000=000000050?ooo`00000000000000003oool01`0000000`3oool00000
0000000;000000030?ooo`000000000000L0000000<0oooo000000000000>`0000000`3oool00000
0000000g000000030?ooo`00000000000080000000@0oooo00000000000000000P3oool>00000003
0?ooo`00000000000200000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0
oooo000U0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool00`0000020?ooo`070000
003oool0oooo0?ooo`000000oooo000000030?ooo`050000003oool000000000003oool00P000000
103oool000000000003oool3000000050?ooo`000000oooo0000003oool00P0000000`3oool00000
00000008000000030?ooo`000000000000/000000P3oool4000000030?ooo`000000000002000000
00<0oooo0000000000001P0000000`3oool000000?ooo`0700000080oooo1@0000000`3oool00000
0000000S000000030?ooo`000000oooo00X0000000@0oooo000000000000oooo5P0000000`3oool0
00000000000G000000030?ooo`00000000000080000000<0oooo000000000000200000001@3oool0
0000000000000000oooo00P0000000<0oooo0000000000003@0000001@3oool00000000000000000
oooo00L0000000<0oooo0000000000002`0000000`3oool0000000000007000000030?ooo`000000
000003/0000000<0oooo000000000000=`0000000`3oool0000000000002000000040?ooo`000000
000000000080oooo3P0000000`3oool000000000000P000000030?ooo`000000000000800000303o
ool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0B0?ooo`040000003oool0
oooo000000<0oooo00<000000?ooo`3oool00`3oool01@000000oooo000000000000oooo00800000
00@0oooo0000003oool0oooo0`0000001@3oool000000?ooo`000000oooo0080000000D0oooo0000
0000000000000?ooo`06000000030?ooo`000000000000L0000000@0oooo00000000000000000P3o
ool4000000030?ooo`00000000000200000000<0oooo0000000000001P0000000`3oool000000?oo
o`0700000080oooo1@0000000`3oool000000000000S000000030?ooo`000000oooo00X0000000@0
oooo000000000000oooo5P0000000`3oool000000000000G000000030?ooo`000000000000800000
00<0oooo000000000000200000001@3oool00000000000000000oooo00P0000000<0oooo00000000
00003@0000001@3oool00000000000000000oooo00L0000000<0oooo0000000000002`0000000`3o
ool0000000000007000000030?ooo`000000000001/0000000<0oooo0000000000007@0000000`3o
ool000000000000c000000050?ooo`00000000000000003oool010000000103oool0000000000000
00020?ooo`h0000000<0oooo000000000000800000000`3oool0000000000002000000`0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool04P3oool010000000oooo0?ooo`00
00030?ooo`030000003oool0oooo00H0oooo00H000000?ooo`00000000000?ooo`0000020?ooo`<0
000000D0oooo0000003oool000000?ooo`02000000050?ooo`00000000000000003oool01P000000
0`3oool0000000000004000000040?ooo`00000000000?ooo`<000000P3oool400000080oooo1P00
00000`3oool000000000000H000000030?ooo`000000000000H0000000<0oooo0000003oool01`00
00020?ooo`D0000000<0oooo0000003oool08`0000000`3oool000000?ooo`0:000000040?ooo`00
000000000?oooaH0000000<0oooo0000000000005`0000000`3oool0000000000002000000030?oo
o`000000000000P0000000D0oooo00000000000000000?ooo`08000000030?ooo`000000000000d0
000000D0oooo00000000000000000?ooo`07000000030?ooo`000000000000/0000000<0oooo0000
000000001`0000000`3oool000000000000K000000030?ooo`000000000001d0000000<0oooo0000
00000000<`0000001@3oool00000000000000000oooo00@0000000@0oooo00000000000000000P3o
ool>000000030?ooo`000000000001L0000000<0oooo0000000000001P0000000`3oool000000000
0002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool06@3oool0
0`000000oooo0?ooo`060?ooo`060000003oool000000000003oool000000P3oool3000000<0oooo
00D000000?ooo`00000000000?ooo`03000000030?ooo`000000000000<000000`3oool500000004
0?ooo`00000000000?ooo`<000000P3oool400000080oooo1P0000000`3oool000000000000B0000
00030?ooo`000000000000<0000000<0oooo0000000000001P0000000`3oool000000?ooo`070000
0080oooo1@0000000`3oool000000?ooo`0S000000030?ooo`000000oooo00X0000000@0oooo0000
00000000oooo5P0000000`3oool000000000000G000000030?ooo`00000000000080000000<0oooo
000000000000200000001@3oool00000000000000000oooo00P0000000<0oooo0000000000003@00
00001@3oool00000000000000000oooo00L0000000<0oooo0000000000002`0000000`3oool00000
00000007000000030?ooo`000000000001/0000000<0oooo0000000000007@0000000`3oool00000
0000000c000000050?ooo`00000000000000003oool010000000103oool000000000000000020?oo
o`h000000P3ooolH000000030?ooo`000000000000H0000000<0oooo0000000000000P00000<0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo000000020?ooo`060000003oool0oooo0000003oool000000`3oool0
1@000000oooo000000000000oooo00<0000000<0oooo0000000000000`0000030?ooo`D0000000@0
oooo000000000000oooo0`0000020?ooo`@000000P3oool6000000030?ooo`000000000001800000
00<0oooo0000000000000`0000000`3oool0000000000006000000030?ooo`000000oooo00L00000
0P3oool5000000030?ooo`000000oooo02<0000000<0oooo0000003oool02P000000103oool00000
0000003ooolF000000030?ooo`000000000001L0000000<0oooo0000000000000P0000000`3oool0
000000000008000000050?ooo`00000000000000003oool0200000000`3oool000000000000=0000
00050?ooo`00000000000000003oool01`0000000`3oool000000000000;000000030?ooo`000000
000000L0000000<0oooo0000000000006`0000000`3oool000000000000M000000030?ooo`000000
000003<0000000D0oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo
3P0000020?oooaP0000000<0oooo0000000000001P0000000`3oool0000000000002000000`0oooo
00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool09`3oool01P000000oooo0?oo
o`000000oooo000000<0oooo00T000000?ooo`00000000000?ooo`000000oooo0000003oool01@00
00030?ooo`80000000@0oooo000000000000oooo0P000000103oool000000000000000020?ooo`04
0000003oool0000000000080oooo0`000000103oool000000000003ooolD000000030?ooo`000000
000000<0000000<0oooo0000000000001P0000000`3oool000000?ooo`0700000080oooo1@000000
0`3oool000000?ooo`0S000000040?ooo`000000oooo0?ooo`T0000000@0oooo000000000000oooo
5P0000000`3oool000000000000G000000030?ooo`00000000000080000000<0oooo000000000000
200000001@3oool00000000000000000oooo00P0000000<0oooo0000000000003@0000001@3oool0
0000000000000000oooo00L0000000<0oooo0000000000002`0000000`3oool00000000000070000
00030?ooo`000000000001/0000000<0oooo0000000000007@0000000`3oool000000000000c0000
00050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`h000000P3o
oolH000000030?ooo`000000000000H0000000<0oooo0000000000000P00000<0?ooo`030000003o
ool0oooo00`0oooo000U0?ooo`030000003oool0oooo02L0oooo00H000000?ooo`3oool000000?oo
o`0000030?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000oooo1@0000030?ooo`80
000000@0oooo000000000000oooo0P000000103oool000000000000000020?ooo`040000003oool0
000000000080oooo0`0000000`3oool00000000000020?oooa<0000000<0oooo0000000000000`00
00000`3oool0000000000006000000030?ooo`000000oooo00L000000P3oool5000000030?ooo`00
0000oooo02<0000000@0oooo0000003oool0oooo2@000000103oool000000000003ooolF00000003
0?ooo`000000000001L0000000<0oooo0000000000000P0000000`3oool000000000000800000005
0?ooo`00000000000000003oool0200000000`3oool000000000000=000000050?ooo`0000000000
0000003oool01`0000000`3oool000000000000;000000030?ooo`000000000000L0000000<0oooo
0000000000005@0000000`3oool0000000000003000000030?ooo`000000000001d0000000<0oooo
000000000000<`0000001@3oool00000000000000000oooo00@0000000@0oooo0000000000000000
0P3oool>00000080oooo600000000`3oool0000000000006000000030?ooo`000000000000800000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool3000002`0oooo00D000000?ooo`3oool0oooo
000000040?ooo`040000003oool000000?ooo`D000000`3oool2000000040?ooo`00000000000?oo
o`80000000@0oooo00000000000000000P3oool010000000oooo0000000000020?ooo`<0000000<0
oooo0000000000000P3ooolC000000030?ooo`000000000000<0000000<0oooo0000000000001P00
00000`3oool000000?ooo`0700000080oooo1@0000000`3oool000000?ooo`0S000000040?ooo`00
0000oooo0?ooo`T0000000@0oooo000000000000oooo5P0000000`3oool000000000000G00000003
0?ooo`00000000000080000000<0oooo000000000000200000001@3oool00000000000000000oooo
00D0000000@0oooo000000000000oooo3`0000001@3oool00000000000000000oooo00L0000000<0
oooo0000000000002`0000000`3oool0000000000007000000030?ooo`000000000001D0000000<0
oooo0000000000000`0000000`3oool000000000000M000000030?ooo`000000000003<0000000D0
oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo3P0000020?oooaP0
000000<0oooo0000000000001P0000000`3oool0000000000002000000X0oooo0`00000>0?ooo`00
9@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo0080oooo00@000000?ooo`000000
oooo0`0000000`3oool000000?ooo`020?ooo`80000000@0oooo000000000000oooo0P000000103o
ool000000000000000040?ooo`8000000P3oool3000000030?ooo`00000000000080oooo4`000000
0`3oool0000000000003000000030?ooo`000000000000H0000000<0oooo0000003oool01`000002
0?ooo`D0000000<0oooo0000003oool08`000000103oool000000?ooo`3oool9000000040?ooo`00
000000000?oooaH0000000<0oooo0000000000005`0000000`3oool0000000000002000000030?oo
o`000000000000P0000000D0oooo00000000000000000?ooo`05000000040?ooo`00000000000?oo
o`l0000000D0oooo00000000000000000?ooo`07000000030?ooo`000000000000/0000000<0oooo
0000000000001`0000000`3oool000000000000E000000030?ooo`000000000000<0000000<0oooo
0000000000007@0000000`3oool000000000000c000000050?ooo`00000000000000003oool01000
0000103oool000000000000000020?ooo`h000000P3ooolH000000030?ooo`000000000000H00000
00<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003o
ool0oooo03L0oooo00L000000?ooo`3oool0oooo0000003oool0000000<0oooo0P000000103oool0
00000000003oool2000000040?ooo`0000000000000000@0oooo0P0000020?ooo`8000000P3oool2
00000080oooo3`0000001@3oool00000000000000000oooo00D0000000<0oooo0000000000001P00
00000`3oool000000?ooo`0700000080oooo1@0000000`3oool000000?ooo`0S000000040?ooo`00
0000oooo0?ooo`T0000000@0oooo000000000000oooo2`0000000`3oool000000000000800000003
0?ooo`000000000001L0000000<0oooo0000000000000P0000000`3oool000000000000800000005
0?ooo`00000000000000003oool01@000000103oool000000000003oool?000000050?ooo`000000
00000000003oool01`0000000`3oool000000000000;000000030?ooo`000000000000L0000000<0
oooo0000000000005@0000000`3oool0000000000003000000030?ooo`000000000001d0000000<0
oooo000000000000<`0000001@3oool00000000000000000oooo00@0000000@0oooo000000000000
00000P3oool>00000080oooo600000000`3oool0000000000006000000030?ooo`00000000000080
0000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`0m0?ooo`040000
003oool0oooo0?ooo`8000000P3oool01P000000oooo0?ooo`000000oooo000000H0oooo0P000003
0?ooo`030000003oool0oooo008000000P3oool?000000050?ooo`00000000000000003oool01@00
00000`3oool0000000000006000000030?ooo`000000oooo00L000000P3oool5000000030?ooo`00
0000oooo02<0000000@0oooo0000003oool0oooo2@000000103oool000000000003oool;00000003
0?ooo`000000000000P0000000<0oooo0000000000005`0000000`3oool000000000000200000003
0?ooo`000000000000P0000000D0oooo00000000000000000?ooo`05000000040?ooo`0000000000
0?ooo`h000000P3oool3000000030?ooo`000000000000D0000000<0oooo0000000000002`000000
0`3oool0000000000007000000030?ooo`000000000001D0000000<0oooo0000000000000`000000
0`3oool000000000000M000000030?ooo`000000000003<0000000D0oooo00000000000000000?oo
o`04000000040?ooo`000000000000000080oooo3P0000020?oooaP0000000<0oooo000000000000
1P0000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<0
00000?ooo`3oool0BP3oool00`000000oooo0?ooo`040?ooo`8000001P3oool200000080oooo3`00
00001@3oool00000000000000000oooo00D0000000<0oooo0000000000001P0000000`3oool00000
0?ooo`0700000080oooo1@0000000`3oool000000?ooo`0S000000040?ooo`000000oooo0?ooo`T0
000000@0oooo000000000000oooo2`0000000`3oool0000000000008000000030?ooo`0000000000
01L0000000<0oooo0000000000000P0000000`3oool0000000000008000000050?ooo`0000000000
0000003oool01@000000103oool000000000003oool>00000080oooo0`0000000`3oool000000000
0005000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool000000000
000E000000030?ooo`000000000000<0000000<0oooo0000000000007@0000000`3oool000000000
000c000000050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`h0
00000P3ooolH000000030?ooo`000000000000H0000000<0oooo0000000000000P00000<0?ooo`03
0000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`050?ooo`8000000P3oool?00000080oooo0P0000000`3oool00000
00000003000000030?ooo`000000000000H0000000<0oooo0000003oool01`0000020?ooo`D00000
00<0oooo0000003oool02@0000000`3oool000000000000G000000040?ooo`000000oooo0?ooo`T0
000000@0oooo000000000000oooo2`0000000`3oool0000000000008000000030?ooo`0000000000
01L0000000<0oooo0000000000000P0000000`3oool0000000000008000000050?ooo`0000000000
0000003oool01@000000103oool000000000003oool>00000080oooo0`0000000`3oool000000000
0005000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool000000000
000E000000030?ooo`000000000000<0000000<0oooo0000000000007@0000000`3oool000000000
0009000000030?ooo`000000000002L0000000D0oooo00000000000000000?ooo`04000000040?oo
o`000000000000000080oooo3P0000020?oooaP0000000<0oooo0000000000001P0000000`3oool0
000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0
D@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080000000<0oooo0000003oool0
2P0000030?ooo`030000003oool0000000@0000000<0oooo0000000000001P0000000`3oool00000
0?ooo`0700000080oooo1@0000000`3oool000000?ooo`09000000030?ooo`000000000001L00000
00@0oooo0000003oool0oooo2@000000103oool000000000003oool;000000030?ooo`0000000000
00P0000000<0oooo0000000000005`0000000`3oool0000000000002000000030?ooo`0000000000
00P0000000D0oooo00000000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3o
ool3000000030?ooo`000000000000D0000000<0oooo0000000000002`0000000`3oool000000000
0007000000030?ooo`000000000001D0000000<0oooo0000000000000`0000000`3oool000000000
000M000000030?ooo`000000000000T0000000<0oooo0000000000009`0000001@3oool000000000
00000000oooo00@0000000@0oooo00000000000000000P3oool>00000080oooo600000000`3oool0
000000000006000000030?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo0080000000<0oooo0000003oool0
2P0000030?ooo`030000003oool0000000@0000000<0oooo0000000000001P0000000`3oool00000
0?ooo`0700000080oooo1@0000000`3oool000000?ooo`09000000030?ooo`000000000001L00000
00@0oooo0000003oool0oooo2@000000103oool000000000003oool;000000030?ooo`0000000000
00P0000000<0oooo0000000000005`0000000`3oool0000000000002000000030?ooo`0000000000
00P0000000D0oooo00000000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3o
ool3000000030?ooo`000000000000D0000000<0oooo0000000000002`0000000`3oool000000000
0007000000030?ooo`000000000001D0000000<0oooo0000000000000`0000000`3oool000000000
000M000000030?ooo`000000000000T0000000<0oooo0000000000009`0000001@3oool000000000
00000000oooo00@0000000@0oooo00000000000000000P3oool>00000080oooo600000000`3oool0
000000000006000000030?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?ooo`00
9@3oool00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo0080000000<0oooo0000003oool0
100000000`3oool0000000000003000000<0oooo00<000000?ooo`000000100000000`3oool00000
00000006000000<0oooo1`0000020?ooo`D0000000<0oooo0000003oool02@0000000`3oool00000
0000000G000000040?ooo`000000oooo0?ooo`T0000000@0oooo000000000000oooo2`0000000`3o
ool0000000000008000000030?ooo`000000000001L0000000<0oooo0000000000000P0000000`3o
ool0000000000008000000050?ooo`00000000000000003oool01@000000103oool000000000003o
ool>00000080oooo0`0000000`3oool0000000000005000000030?ooo`000000000000/0000000<0
oooo0000000000001`0000000`3oool000000000000E000000030?ooo`000000000000<0000000<0
oooo0000000000007@0000000`3oool0000000000009000000030?ooo`000000000002L0000000D0
oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo3P0000020?oooaP0
000000<0oooo0000000000001P0000000`3oool0000000000002000000`0oooo00<000000?ooo`3o
ool0303oool002D0oooo00<000000?ooo`3oool0H03oool01`000000oooo000000000000oooo0000
003oool01@0000050?ooo`D0000000<0oooo0000000000001P0000030?ooo`L000000`3oool40000
00030?ooo`000000oooo00T0000000<0oooo0000000000004`0000001P3oool00000000000000000
oooo00000080oooo100000000`3oool0000000000002000000040?ooo`00000000000?ooo`/00000
00<0oooo000000000000200000000`3oool000000000000G000000030?ooo`000000000000800000
00<0oooo000000000000200000001@3oool00000000000000000oooo00D0000000@0oooo00000000
0000oooo3P0000020?ooo`<0000000<0oooo0000000000001@0000000`3oool000000000000;0000
00030?ooo`000000000000L0000000<0oooo0000000000005@0000000`3oool00000000000030000
00030?ooo`000000000001d0000000<0oooo0000000000002@0000000`3oool000000000000W0000
00050?ooo`00000000000000003oool010000000103oool000000000000000020?ooo`h000000P3o
oolH000000030?ooo`000000000000H0000000<0oooo0000000000000P00000<0?ooo`030000003o
ool0oooo00`0oooo000U0?ooo`030000003oool0oooo06<0oooo00<000000?ooo`0000000P3oool4
000000H0oooo100000000`3oool000000?ooo`06000000<0oooo1`0000030?ooo`@0000000<0oooo
0000003oool02@0000000`3oool000000000000C000000060?ooo`00000000000000003oool00000
0P3oool4000000030?ooo`00000000000080000000@0oooo000000000000oooo2`0000000`3oool0
000000000008000000030?ooo`000000000001L0000000<0oooo0000000000000P0000000`3oool0
000000000008000000050?ooo`00000000000000003oool01@000000103oool000000000003oool>
00000080oooo0`0000000`3oool0000000000005000000030?ooo`000000000000/0000000<0oooo
0000000000001`0000000`3oool000000000000E000000030?ooo`000000000000<0000000<0oooo
0000000000007@0000000`3oool0000000000009000000030?ooo`000000000002L0000000D0oooo
00000000000000000?ooo`04000000040?ooo`000000000000000080oooo3P0000020?oooaP00000
00<0oooo0000000000001P0000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0
303oool002D0oooo00<000000?ooo`3oool0JP3oool2000000H0oooo00@000000?ooo`0000000000
0`3oool6000000<0oooo1`0000030?ooo`@0000000<0oooo0000003oool02@0000000`3oool00000
0000000C000000060?ooo`00000000000000003oool000000P3oool4000000030?ooo`0000000000
0080000000@0oooo000000000000oooo2`0000000`3oool0000000000008000000030?ooo`000000
000001L0000000<0oooo0000000000000P0000000`3oool0000000000008000000050?ooo`000000
00000000003oool01@000000103oool000000000003oool>00000080oooo0`0000000`3oool00000
00000005000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool00000
0000000E000000030?ooo`000000000000<0000000<0oooo0000000000007@0000000`3oool00000
00000009000000030?ooo`000000000002L0000000D0oooo00000000000000000?ooo`0400000004
0?ooo`000000000000000080oooo3P0000020?oooaP0000000<0oooo0000000000001P0000000`3o
ool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3o
ool0J`3oool00`000000oooo0?ooo`040?ooo`040000003oool00000000000<0oooo1P0000030?oo
o`H000001@3oool3000000030?ooo`000000oooo00T0000000<0oooo0000000000004`0000001P3o
ool00000000000000000oooo00000080oooo100000000`3oool0000000000002000000040?ooo`00
000000000?ooo`/0000000<0oooo000000000000200000000`3oool000000000000G000000030?oo
o`00000000000080000000<0oooo000000000000200000001@3oool00000000000000000oooo00D0
000000@0oooo000000000000oooo3P0000020?ooo`<0000000<0oooo0000000000001@0000000`3o
ool000000000000;000000030?ooo`000000000000L0000000<0oooo0000000000005@0000000`3o
ool0000000000003000000030?ooo`000000000001d0000000<0oooo0000000000002@0000000`3o
ool000000000000W000000050?ooo`00000000000000003oool010000000103oool0000000000000
00020?ooo`h000000P3ooolH000000030?ooo`000000000000H0000000<0oooo0000000000000P00
000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo07@0oooo0P000003
0?ooo`H000000`3oool6000000L0oooo00@000000?ooo`000000oooo2@0000000`3oool000000000
000C000000060?ooo`00000000000000003oool000000P3oool4000000030?ooo`00000000000080
000000@0oooo000000000000oooo2`0000000`3oool0000000000008000000030?ooo`0000000000
01L0000000<0oooo0000000000000P0000000`3oool0000000000008000000050?ooo`0000000000
0000003oool01@000000103oool000000000003oool>00000080oooo0`0000000`3oool000000000
0005000000030?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool000000000
000E000000030?ooo`000000000000<0000000<0oooo0000000000007@0000000`3oool000000000
000800000080oooo3`0000000`3oool0000000000004000000030?ooo`00000000000100000000D0
oooo00000000000000000?ooo`04000000040?ooo`000000000000000080oooo3P0000020?oooaP0
000000@0oooo000000000000oooo1@0000000`3oool0000000000002000000`0oooo00<000000?oo
o`3oool0303oool002D0oooo0`00001d0?ooo`030000003oool0oooo0080oooo1P0000030?ooo`H0
00001`3oool010000000oooo0000003oool9000000030?ooo`00000000000140000000<0oooo0000
003oool00`000000103oool000000?ooo`3oool4000000030?ooo`00000000000080000000@0oooo
000000000000oooo2`0000000`3oool0000000000008000000030?ooo`000000000001L0000000<0
oooo0000000000000P0000000`3oool0000000000008000000050?ooo`00000000000000003oool0
1@000000103oool000000000003oool>00000080oooo0`0000000`3oool000000000000500000003
0?ooo`000000000000/0000000<0oooo0000000000001`0000000`3oool000000000000E00000003
0?ooo`000000000000<0000000<0oooo0000000000007@0000000`3oool000000000000800000080
oooo3`0000000`3oool0000000000004000000030?ooo`00000000000100000000@0oooo00000000
000000000P3oool3000000040?ooo`000000000000000080oooo3P0000020?oooaP0000000@0oooo
000000000000oooo1@0000000`3oool0000000000002000000X0oooo0`00000>0?ooo`009@3oool0
0`000000oooo0?ooo`1i0?ooo`<0000000<0oooo0000000000000`3oool6000000L0oooo00@00000
0?ooo`000000oooo2@0000000`3oool000000000000A000000030?ooo`000000oooo00<0000000@0
oooo0000003oool0oooo100000000`3oool0000000000002000000040?ooo`00000000000?ooo`/0
000000<0oooo000000000000200000000`3oool000000000000G000000030?ooo`00000000000080
000000<0oooo000000000000200000001@3oool00000000000000000oooo00D0000000@0oooo0000
00000000oooo3P0000020?ooo`<0000000<0oooo0000000000001@0000000`3oool000000000000;
000000030?ooo`000000000000L0000000<0oooo0000000000005@0000000`3oool0000000000003
000000030?ooo`000000000001d0000000<0oooo000000000000200000020?ooo`l0000000<0oooo
000000000000100000000`3oool000000000000@000000040?ooo`000000000000000080oooo0`00
0000103oool000000000000000020?ooo`h000000P3ooolH000000040?ooo`00000000000?ooo`D0
000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000
003oool0oooo07/0oooo00@000000?ooo`00000000000`3oool6000000L0oooo00@000000?ooo`00
0000oooo1P000000103oool000000000003oool5000000030?ooo`000000000000D0000000<0oooo
0000000000000`0000000`3oool000000?ooo`03000000040?ooo`000000oooo0?ooo`@0000000<0
oooo0000000000000P000000103oool000000000003oool;000000030?ooo`000000000000P00000
00<0oooo0000000000005`0000000`3oool0000000000002000000030?ooo`000000000000P00000
00D0oooo00000000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool30000
00030?ooo`000000000000D0000000<0oooo0000000000002`0000000`3oool00000000000070000
00030?ooo`000000000001D0000000<0oooo0000000000000`0000000`3oool000000000000M0000
00030?ooo`000000000000P000000P3oool?000000030?ooo`000000000000@0000000<0oooo0000
0000000040000000103oool000000000000000020?ooo`<0000000@0oooo00000000000000000P3o
ool>00000080oooo5`0000020?ooo`80000000<0oooo0000000000000`0000000`3oool000000000
0002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0PP3oool6
000000L0oooo00@000000?ooo`000000oooo1P000000103oool000000000003oool5000000030?oo
o`000000000000D000000P3oool4000000030?ooo`000000oooo00<0000000@0oooo0000003oool0
oooo100000000`3oool0000000000002000000040?ooo`00000000000?ooo`/0000000<0oooo0000
00000000200000000`3oool000000000000G000000030?ooo`00000000000080000000<0oooo0000
00000000200000001@3oool00000000000000000oooo00D0000000@0oooo000000000000oooo3P00
00020?ooo`<0000000<0oooo0000000000001@0000000`3oool000000000000;000000030?ooo`00
0000000000L0000000<0oooo0000000000005@0000000`3oool0000000000003000000030?ooo`00
0000000001d0000000<0oooo000000000000200000020?ooo`l0000000<0oooo0000000000001000
00000`3oool000000000000@000000040?ooo`000000000000000080oooo0`000000103oool00000
0000000000020?ooo`h000000P3ooolG00000080oooo0P0000000`3oool000000000000300000003
0?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo
0?ooo`250?ooo`030000003oool0000000L0oooo00@000000?ooo`000000oooo1P000000103oool0
00000000003oool5000000030?ooo`000000000000<0000000@0oooo0000003oool0oooo10000000
0`3oool000000?ooo`03000000040?ooo`000000oooo0?ooo`@0000000<0oooo0000000000000P00
0000103oool000000000003oool;000000030?ooo`000000000000P0000000<0oooo000000000000
5`0000000`3oool0000000000002000000030?ooo`000000000000P0000000D0oooo000000000000
00000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`0000000000
00D0000000<0oooo0000000000002`0000000`3oool0000000000007000000030?ooo`0000000000
01D0000000<0oooo0000000000000`0000000`3oool000000000000M000000030?ooo`0000000000
00P000000P3oool>00000080oooo1P0000000`3oool000000000000@000000040?ooo`0000000000
00000080oooo0`000000103oool000000000000000020?ooo`d000000`3ooolG00000080oooo0P00
00000`3oool0000000000003000000030?ooo`000000000000800000303oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`2D0?ooo`80000000@0oooo000000000000oooo0P00
00000`3oool0000000000003000000030?ooo`000000000000<0000000@0oooo0000003oool0oooo
100000000`3oool000000?ooo`03000000040?ooo`000000oooo0?ooo`@0000000<0oooo00000000
00000P000000103oool000000000003oool;000000030?ooo`000000000000P0000000<0oooo0000
000000005`0000000`3oool0000000000002000000030?ooo`000000000000P0000000D0oooo0000
0000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`00
0000000000D0000000<0oooo0000000000002`0000000`3oool0000000000007000000030?ooo`00
0000000000L0000000<0oooo0000000000002`0000000`3oool0000000000003000000030?ooo`00
0000000001d0000000<0oooo000000000000200000020?ooo`030000003oool0000000/000000P3o
ool6000000030?ooo`00000000000100000000@0oooo00000000000000000P3oool3000000040?oo
o`000000000000000080oooo3@0000030?oooaL000000P3oool2000000030?ooo`000000000000<0
000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000
003oool0oooo09@0oooo00<000000?ooo`3oool00P000000103oool000000000003oool500000003
0?ooo`000000000000<0000000@0oooo0000003oool0oooo100000000`3oool000000?ooo`030000
00040?ooo`000000oooo0?ooo`@0000000<0oooo0000000000000P000000103oool000000000003o
ool;000000030?ooo`000000000000P0000000<0oooo0000000000005`0000000`3oool000000000
0002000000030?ooo`00000000000080000000<0oooo0000000000000`0000001@3oool000000000
00000000oooo00D0000000@0oooo000000000000oooo3P0000020?ooo`<0000000<0oooo00000000
00001@0000000`3oool000000000000;000000030?ooo`000000000000L0000000<0oooo00000000
00001`0000000`3oool000000000000;000000030?ooo`000000000000<0000000<0oooo00000000
00007@0000000`3oool000000000000800000080oooo00<000000?ooo`0000002`0000020?ooo`H0
000000<0oooo00000000000040000000103oool000000000000000020?ooo`<0000000@0oooo0000
0000000000000P3oool=000000<0oooo5`0000020?ooo`80000000<0oooo0000000000000`000000
0`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool002D0oooo00<000000?oo
o`3oool0U`3oool2000000040?ooo`00000000000?ooo`80000000@0oooo000000000000oooo1@00
0000103oool000000?ooo`3oool4000000030?ooo`000000oooo00<0000000@0oooo0000003oool0
oooo100000000`3oool0000000000002000000040?ooo`00000000000?ooo`/0000000<0oooo0000
00000000200000000`3oool000000000000G000000030?ooo`00000000000080000000@0oooo0000
0000000000000P3oool5000000050?ooo`00000000000000003oool01@000000103oool000000000
003oool>00000080oooo0`0000000`3oool0000000000005000000030?ooo`000000000000/00000
00<0oooo0000000000001`0000000`3oool0000000000007000000030?ooo`000000000000/00000
00<0oooo0000000000000`0000000`3oool000000000000M000000030?ooo`000000000000P00000
0P3oool00`000000oooo0000000;00000080oooo1P0000000`3oool000000000000@000000040?oo
o`000000000000000080oooo0`000000103oool000000000000000020?ooo`d000000`3ooolG0000
0080oooo0P0000000`3oool0000000000003000000030?ooo`000000000000800000303oool00`00
0000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`2G0?ooo`80000000@0oooo00000000
0000oooo0P000000103oool000000000003oool5000000040?ooo`000000oooo0?ooo`@0000000<0
oooo0000003oool00`000000103oool000000?ooo`3oool4000000030?ooo`000000000000800000
00@0oooo000000000000oooo2`0000000`3oool0000000000008000000030?ooo`000000000001L0
000000<0oooo0000000000000P000000103oool000000000000000020?ooo`D0000000D0oooo0000
0000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`00
0000000000D0000000<0oooo0000000000002`0000000`3oool0000000000007000000030?ooo`00
0000000000L0000000<0oooo0000000000002`0000000`3oool0000000000003000000030?ooo`00
0000000001d0000000<0oooo000000000000200000020?ooo`030000003oool0000000/000000P3o
ool6000000030?ooo`00000000000100000000@0oooo00000000000000000P3oool3000000040?oo
o`000000000000000080oooo3@0000030?oooaL000000P3oool2000000030?ooo`000000000000<0
000000<0oooo0000000000000P00000<0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000
003oool0oooo09X0oooo0P0000000`3oool00000000000040?ooo`D0000000@0oooo0000003oool0
oooo100000000`3oool000000?ooo`03000000040?ooo`000000oooo0?ooo`@0000000<0oooo0000
000000000P000000103oool000000000003oool;000000030?ooo`000000000000P0000000<0oooo
0000000000005`0000000`3oool0000000000002000000040?ooo`000000000000000080oooo1@00
00001@3oool00000000000000000oooo00D0000000@0oooo000000000000oooo3P0000020?ooo`<0
000000<0oooo0000000000001@0000000`3oool000000000000;000000030?ooo`000000oooo00L0
000000<0oooo0000000000001`0000000`3oool000000000000;000000030?ooo`000000000000<0
000000<0oooo0000000000007@0000000`3oool000000000000800000080oooo00<000000?ooo`00
00002`0000020?ooo`@0000000<0oooo0000003oool04P000000103oool000000000000000020?oo
o`<0000000@0oooo00000000000000000P3oool=000000<0oooo5`0000020?ooo`80000000<0oooo
0000000000000`0000000`3oool0000000000002000000`0oooo00<000000?ooo`3oool0303oool0
02D0oooo00<000000?ooo`3oool0W@3oool00`000000oooo0?ooo`040?ooo`@0000000@0oooo0000
003oool0oooo10000000103oool000000?ooo`3oool2000000@0oooo100000000`3oool000000000
0002000000040?ooo`00000000000?ooo`/0000000<0oooo000000000000200000000`3oool00000
0000000G00000080oooo0`000000103oool000000000000000020?ooo`D0000000D0oooo00000000
000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`000000
000000D0000000<0oooo0000000000002`0000000`3oool000000?ooo`07000000030?ooo`000000
000000L0000000<0oooo0000000000000`0000000`3oool0000000000005000000030?ooo`000000
000000<0000000<0oooo0000000000001`0000000`3oool000000000000C000000030?ooo`000000
000000P000000P3oool00`000000oooo0000000;00000080oooo100000000`3oool000000?ooo`0B
000000040?ooo`000000000000000080oooo0`000000103oool000000000000000020?ooo`d00000
0`3ooolG00000080oooo0P0000000`3oool0000000000003000000030?ooo`000000000000800000
303oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`2T0?ooo`060000003o
ool000000000003oool000000P3oool4000000040?ooo`000000oooo0?ooo`800000103oool40000
00030?ooo`00000000000080000000@0oooo000000000000oooo2`0000000`3oool0000000000008
000000030?ooo`000000000001L000000P3oool300000080oooo0P0000020?ooo`D0000000D0oooo
00000000000000000?ooo`05000000040?ooo`00000000000?ooo`h000000P3oool3000000030?oo
o`000000000000D0000000<0oooo0000000000002`0000000`3oool000000?ooo`07000000030?oo
o`000000000000L0000000<0oooo0000000000000`0000000`3oool0000000000005000000030?oo
o`000000000000<0000000<0oooo0000000000001`0000000`3oool000000000000C000000030?oo
o`000000000000P000000P3oool00`000000oooo0000000;00000080oooo100000000`3oool00000
0?ooo`0B000000040?ooo`000000000000000080oooo0`000000103oool000000000000000020?oo
o`d000000`3ooolG00000080oooo0P0000000`3oool0000000000003000000030?ooo`0000000000
00800000303oool00`000000oooo0?ooo`0<0?ooo`003`3oool3000000<0oooo0P0000040?ooo`80
0000203oool00`000000oooo0?ooo`2V0?ooo`040000003oool0oooo00000080oooo10000000103o
ool000000?ooo`3oool2000000@0oooo100000000`3oool0000000000002000000060?ooo`000000
00000?ooo`000000oooo2@0000000`3oool0000000000008000000030?ooo`000000000001L00000
0P3oool300000080oooo0P0000020?ooo`D0000000D0oooo00000000000000000?ooo`0500000004
0?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`000000000000D0000000<0oooo0000
000000002`0000000`3oool000000?ooo`07000000030?ooo`000000000000L0000000<0oooo0000
000000000`0000000`3oool0000000000005000000030?ooo`000000000000<0000000<0oooo0000
000000001`0000000`3oool000000000000C000000030?ooo`000000000000P000000P3oool00`00
0000oooo00000005000000030?ooo`000000000000<000000P3oool4000000030?ooo`000000oooo
0180000000@0oooo00000000000000000P3oool3000000040?ooo`000000000000000080oooo3000
00040?oooaL000000P3oool2000000030?ooo`000000000000<0000000<0oooo0000000000000P00
000<0?ooo`030000003oool0oooo00`0oooo000@0?ooo`050000003oool0oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
[03oool4000000040?ooo`000000oooo0?ooo`800000103oool2000000030?ooo`000000oooo00@0
000000H0oooo000000000000oooo0000003oool9000000030?ooo`000000000000P0000000<0oooo
0000000000005`0000020?ooo`<000000P3oool200000080oooo1@0000001@3oool0000000000000
0000oooo00D0000000@0oooo000000000000oooo3P0000020?ooo`<0000000<0oooo000000000000
1@0000000`3oool000000000000;000000030?ooo`000000oooo00L0000000<0oooo000000000000
1`0000000`3oool0000000000003000000030?ooo`000000000000D0000000<0oooo000000000000
0`0000000`3oool000000000000600000080oooo5@0000000`3oool000000000000800000080oooo
00<000000?ooo`0000001@0000000`3oool000000000000300000080oooo100000000`3oool00000
0?ooo`0B000000040?ooo`000000000000000080oooo0`000000103oool000000000000000020?oo
o``00000103ooolG00000080oooo0P0000000`3oool0000000000003000000030?ooo`0000000000
00800000303oool00`000000oooo0?ooo`0<0?ooo`003@3oool500000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000070?ooo`D00000[03oool010000000oooo0?ooo`00
00020?ooo`800000103oool01@000000oooo0?ooo`000000oooo00@0000000H0oooo0000003oool0
oooo0000003oool9000000030?ooo`000000000000P0000000<0oooo0000000000005`0000020?oo
o`<000000P3oool200000080oooo1@000000103oool000000000000000020?ooo`@0000000@0oooo
000000000000oooo3P0000020?ooo`<0000000<0oooo0000000000001@0000000`3oool000000000
000;000000030?ooo`000000oooo00L0000000<0oooo0000000000001`0000000`3oool000000000
0003000000030?ooo`000000000000D0000000<0oooo0000000000000`000000103oool000000000
003oool500000080oooo5@0000000`3oool000000000000800000080oooo00<000000?ooo`000000
1@0000000`3oool000000000000300000080oooo100000000`3oool000000?ooo`0B000000040?oo
o`000000000000000080oooo0`000000103oool000000000000000020?ooo``00000103ooolE0000
00040?ooo`000000oooo0?ooo`80000000<0oooo0000000000000`0000000`3oool0000000000002
000000T0oooo1000000>0?ooo`003@3oool010000000oooo0?ooo`0000030?ooo`040000003oool0
oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`2d0?ooo`800000
103oool01@000000oooo0?ooo`000000oooo00@0000000H0oooo0000003oool0oooo0000003oool9
000000050?ooo`00000000000000003oool0100000000`3oool000000?ooo`02000000030?ooo`00
0000000001@000000P3oool300000080oooo0P0000020?ooo`D0000000@0oooo0000000000000000
0P3oool4000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`000000000000D0
000000<0oooo0000000000002`0000000`3oool000000?ooo`07000000030?ooo`000000000000L0
000000L0oooo00000000000000000?ooo`000000oooo00L0000000<0oooo0000000000000`000000
103oool000000000003oool500000080oooo5@0000000`3oool000000000000800000080oooo00<0
00000?ooo`0000001@0000000`3oool000000000000300000080oooo100000000`3oool000000?oo
o`0B000000040?ooo`000000000000000080oooo0`000000103oool000000000000000020?ooo``0
0000103oool7000000030?ooo`000000000000/0000000@0oooo0000003oool0oooo0P0000000`3o
ool0000000000003000000030?ooo`000000000000800000303oool00`000000oooo0?ooo`0<0?oo
o`003P3oool00`000000oooo000000030?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool000001`3oool00`000000oooo0?ooo`2e0?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool000000P3oool3000000060?ooo`000000oooo0?ooo`000000oooo0`0000000`3oool0
000000000003000000050?ooo`00000000000000003oool00`0000020?ooo`050000003oool00000
0000003oool05P0000020?ooo`<000000P3oool200000080oooo1@000000103oool0000000000000
00020?ooo`@0000000@0oooo000000000000oooo3P0000020?ooo`<0000000<0oooo000000000000
1@0000000`3oool000000000000;000000030?ooo`000000oooo00L0000000<0oooo000000000000
1`0000001`3oool00000000000000000oooo0000003oool01`0000000`3oool00000000000030000
00040?ooo`00000000000?ooo`D000000P3ooolE000000030?ooo`000000000000P000000P3oool0
0`000000oooo00000005000000030?ooo`000000000000<000000P3oool4000000030?ooo`000000
oooo0180000000@0oooo00000000000000000P3oool3000000040?ooo`000000000000000080oooo
100000000`3oool0000000000005000000@0oooo0P0000000`3oool0000000000002000000030?oo
o`000000000000/0000000@0oooo0000003oool0oooo0P0000000`3oool000000000000300000004
0?ooo`0000000000000000d0oooo00<000000?ooo`3oool0303oool000l0oooo0P0000030?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`2m
0?ooo`030000003oool0oooo00<0000000H0oooo0000003oool0oooo0000003oool3000000030?oo
o`000000000000<0000000D0oooo00000000000000000?ooo`0300000080oooo00D000000?ooo`00
000000000?ooo`0F00000080oooo0`0000020?ooo`8000000P3oool5000000040?ooo`0000000000
00000080oooo10000000103oool000000000003oool>00000080oooo0`0000000`3oool000000000
0005000000030?ooo`000000000000/0000000<0oooo0000003oool01`0000000`3oool000000000
0007000000070?ooo`00000000000000003oool000000?ooo`07000000030?ooo`000000000000<0
000000@0oooo000000000000oooo1@0000020?oooaD0000000<0oooo00000000000010000000103o
ool000000000000000020?ooo`030000003oool0000000D0000000<0oooo0000000000000`000002
0?ooo`@0000000<0oooo0000003oool04P000000103oool000000000000000020?ooo`<0000000@0
oooo00000000000000000P3oool01@000000oooo000000000000oooo00L00000103oool200000003
0?ooo`00000000000080000000<0oooo0000000000002`000000103oool000000?ooo`3oool20000
00030?ooo`000000000000<0000000@0oooo00000000000000003@3oool00`000000oooo0?ooo`0<
0?ooo`00403oool00`000000oooo0?ooo`020?ooo`800000103oool2000000P0oooo00<000000?oo
o`3oool0`@3oool20000000:0?ooo`000000oooo0?ooo`000000oooo0000003oool000000?ooo`D0
000000D0oooo00000000000000000?ooo`0300000080oooo00D000000?ooo`00000000000?ooo`02
000000030?ooo`0000000000014000000P3oool3000000<0oooo00<000000?ooo`3oool01@000000
103oool000000000000000020?ooo`@0000000@0oooo000000000000oooo3P0000020?ooo`<00000
00<0oooo0000000000001@0000000`3oool000000000000;000000030?ooo`000000oooo00L00000
00<0oooo0000000000001`0000001`3oool00000000000000000oooo0000003oool01`0000000`3o
ool0000000000003000000040?ooo`00000000000?ooo`D000000P3ooolE000000030?ooo`000000
000000@0000000@0oooo00000000000000000P3oool00`000000oooo00000005000000030?ooo`00
0000000000<000000P3oool4000000030?ooo`000000oooo0180000000@0oooo0000000000000000
0P3oool3000000040?ooo`000000000000000080oooo00D000000?ooo`00000000000?ooo`070000
00@0oooo0P0000000`3oool0000000000002000000030?ooo`000000000000/0000000@0oooo0000
003oool0oooo0P0000000`3oool000000?ooo`03000000040?ooo`0000000000000000d0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0`@3oool010000000oooo0?ooo`00
00020?ooo`080000003oool000000?ooo`000000oooo0000003oool3000000050?ooo`0000000000
0000003oool00`0000020?ooo`050000003oool000000000003oool00P0000000`3oool000000000
000A00000080oooo0`0000030?ooo`030000003oool0oooo00D0000000@0oooo0000000000000000
0P3oool4000000040?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`000000000000D0
000000<0oooo0000000000002`0000000`3oool000000?ooo`07000000030?ooo`000000000000L0
000000L0oooo00000000000000000?ooo`000000oooo00L0000000<0oooo0000000000000`000000
103oool000000000003oool500000080oooo5@0000000`3oool0000000000004000000040?ooo`00
0000000000000080oooo00<000000?ooo`0000001@0000000`3oool000000000000300000080oooo
100000000`3oool000000?ooo`0B000000040?ooo`000000000000000080oooo0`000000103oool0
00000000000000020?ooo`050000003oool000000000003oool00`000000103oool0000000000000
00040?ooo`80000000<0oooo0000000000000P0000000`3oool000000000000;000000040?ooo`00
0000oooo0?ooo`80000000<0oooo0000003oool00`000000103oool0000000000000000=0?ooo`03
0000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo0<T0oooo00H000000?ooo`3oool0
oooo0000003oool3000000050?ooo`00000000000000003oool00`0000020?ooo`050000003oool0
00000000003oool00P0000000`3oool0000000000005000000030?ooo`000000000000T000000P3o
ool3000000<0oooo00<000000?ooo`3oool01@000000103oool000000000000000020?ooo`@00000
00@0oooo000000000000oooo3P0000020?ooo`<0000000<0oooo0000000000001@0000000`3oool0
00000000000;000000030?ooo`000000oooo00L0000000<0oooo0000000000001`0000001`3oool0
0000000000000000oooo0000003oool01`0000000`3oool0000000000003000000040?ooo`000000
00000?ooo`D000000P3ooolE000000040?ooo`00000000000?ooo`<0000000@0oooo000000000000
00000P3oool00`000000oooo00000005000000030?ooo`000000000000<000000P3oool400000005
0?ooo`000000oooo0000003oool040000000103oool000000000000000020?ooo`<0000000@0oooo
00000000000000000P3oool01@000000oooo000000000000oooo00<0000000@0oooo000000000000
0000103oool2000000030?ooo`00000000000080000000<0oooo0000000000002`000000103oool0
00000?ooo`3oool2000000030?ooo`000000oooo008000000P3oool3000000d0oooo00<000000?oo
o`3oool0303oool002D0oooo00<000000?ooo`3oool0c@3oool00`000000oooo0000000200000008
0?ooo`00000000000000003oool000000?ooo`0000020?ooo`050000003oool000000000003oool0
0P0000000`3oool0000000000005000000030?ooo`000000000000T000000P3oool00`000000oooo
000000030?ooo`030000003oool0oooo00D0000000@0oooo00000000000000000P3oool400000004
0?ooo`00000000000?ooo`h000000P3oool3000000030?ooo`000000000000D0000000<0oooo0000
000000002P0000020?ooo`030000003oool0000000H0000000<0oooo0000000000001`0000001`3o
ool00000000000000000oooo0000003oool01`0000000`3oool0000000000003000000040?ooo`00
000000000?ooo`D000000P3ooolE000000040?ooo`00000000000?ooo`<0000000@0oooo00000000
000000000P3oool00`000000oooo00000005000000030?ooo`000000000000<000000P3oool40000
00050?ooo`000000oooo0000003oool03P0000000`3oool000000?ooo`0300000080oooo0`000000
103oool000000000000000020?ooo`050000003oool000000000003oool00`000000103oool00000
0000000000040?ooo`80000000<0oooo0000000000000P0000000`3oool000000000000;00000004
0?ooo`000000oooo0?ooo`80000000<0oooo0000003oool00P0000020?ooo`<000003@3oool00`00
0000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`3@0?ooo`030000003oool0oooo00<0
000000@0oooo0000003oool000000P3oool01@000000oooo0?ooo`000000oooo0080000000D0oooo
00000000000000000?ooo`03000000030?ooo`000000000000T000000P3oool00`000000oooo0000
00030?ooo`040000003oool0oooo0?ooo`@0000000@0oooo00000000000000000P3oool400000004
0?ooo`00000000000?ooo`P0000000<0oooo0000000000000`0000020?ooo`<0000000<0oooo0000
000000001@0000000`3oool000000000000:00000080oooo00<000000?ooo`0000001P0000000`3o
ool0000000000007000000070?ooo`00000000000000003oool000000?ooo`07000000030?ooo`00
0000000000<0000000@0oooo000000000000oooo1@0000020?oooaD0000000@0oooo000000000000
oooo0`000000103oool000000000000000020?ooo`030000003oool0000000D0000000<0oooo0000
000000000`0000020?ooo`@0000000D0oooo0000003oool000000?ooo`0>000000030?ooo`000000
oooo00<000000P3oool3000000040?ooo`000000000000000080oooo00D000000?ooo`0000000000
0?ooo`03000000040?ooo`0000000000000000@0oooo0P0000000`3oool000000000000200000003
0?ooo`000000000000/0000000@0oooo0000003oool0oooo0P0000000`3oool000000?ooo`020000
0080oooo0`00000=0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo0=D0
oooo00<000000?ooo`0000001`3oool01@000000oooo000000000000oooo008000000P3oool30000
00030?ooo`000000000000T000000P3oool00`000000oooo000000030?ooo`040000003oool0oooo
0?ooo`@0000000@0oooo00000000000000000P3oool4000000040?ooo`00000000000?ooo`P00000
00<0oooo0000000000000`0000020?ooo`<0000000D0oooo00000000000000000?ooo`0300000003
0?ooo`000000000000X000000P3oool00`000000oooo00000006000000030?ooo`000000000000L0
000000L0oooo00000000000000000?ooo`000000oooo00L0000000<0oooo0000000000000`000000
103oool000000000003oool500000080oooo1@0000000`3oool000000000000=000000040?ooo`00
000000000?ooo`<0000000@0oooo00000000000000000P3oool00`000000oooo0000000500000003
0?ooo`000000000000<000000P3oool4000000050?ooo`000000oooo0000003oool01`0000000`3o
ool0000000000004000000030?ooo`000000oooo00<000000P3oool3000000040?ooo`0000000000
00000080oooo00<000000?ooo`0000000P3oool3000000040?ooo`0000000000000000@0oooo0P00
00000`3oool0000000000002000000030?ooo`000000000000/0000000@0oooo0000003oool0oooo
0P0000000`3oool000000?ooo`0200000080oooo0`00000=0?ooo`030000003oool0oooo00`0oooo
000U0?ooo`030000003oool0oooo0=l0oooo00D000000?ooo`00000000000?ooo`0200000080oooo
0`0000000`3oool000000000000900000080oooo00<000000?ooo`0000000`3oool010000000oooo
0?ooo`3oool4000000040?ooo`000000000000000080oooo10000000103oool000000000003oool8
000000030?ooo`000000000000<000000P3oool3000000050?ooo`00000000000000003oool00`00
00000`3oool000000000000:00000080oooo00<000000?ooo`0000001P0000000`3oool000000000
0007000000070?ooo`00000000000000003oool000000?ooo`07000000030?ooo`000000000000<0
000000@0oooo000000000000oooo1@0000020?ooo`D0000000<0oooo000000000000200000000`3o
ool0000000000002000000040?ooo`00000000000?ooo`<0000000@0oooo00000000000000000P3o
ool00`000000oooo0000000500000080oooo100000020?ooo`@0000000D0oooo0000003oool00000
0?ooo`07000000030?ooo`000000000000@0000000<0oooo0000003oool00`0000020?ooo`<00000
00@0oooo00000000000000000P3oool00`000000oooo000000020?ooo`<0000000@0oooo00000000
00000000103oool2000000060?ooo`00000000000?ooo`000000oooo2`000000103oool000000?oo
o`0000020?ooo`80000000<0oooo0000003oool00P0000020?ooo`<000003@3oool00`000000oooo
0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`3O0?ooo`050000003oool000000000003oool0
0P0000020?ooo`<0000000<0oooo0000000000002@0000020?ooo`030000003oool0000000<0oooo
00@000000?ooo`3oool0oooo10000000103oool000000000000000020?ooo`@0000000@0oooo0000
00000000oooo200000000`3oool0000000000002000000<0oooo0`0000001@3oool0000000000000
0000oooo00<0000000<0oooo0000000000002P0000040?ooo`L0000000<0oooo0000000000001`00
00001`3oool00000000000000000oooo0000003oool01`0000000`3oool000000000000300000004
0?ooo`00000000000?ooo`D000000P3oool5000000030?ooo`00000000000080000000<0oooo0000
000000000`0000000`3oool0000000000002000000040?ooo`00000000000?ooo`<0000000@0oooo
00000000000000000P3oool00`000000oooo0000000500000080oooo100000020?ooo`@0000000D0
oooo0000003oool000000?ooo`07000000030?ooo`000000000000@0000000<0oooo0000003oool0
0`0000020?ooo`<0000000@0oooo00000000000000000P3oool00`000000oooo000000020?ooo`<0
00000P3oool2000000@0oooo0P0000001P3oool000000000003oool000000?ooo`/0000000@0oooo
0000003oool000000P3oool2000000030?ooo`000000oooo008000000P3oool3000000d0oooo00<0
00000?ooo`3oool0303oool002D0oooo00<000000?ooo`3oool0h@3oool2000000030?ooo`000000
00000080oooo00@000000?ooo`000000oooo2`0000020?ooo`030000003oool0000000<0oooo00@0
00000?ooo`3oool0oooo10000000103oool000000000000000020?ooo`@0000000@0oooo00000000
0000oooo100000001@3oool00000000000000000oooo00@000000`3oool3000000050?ooo`000000
00000000003oool00`0000000`3oool000000000000:000000@0oooo1`0000000`3oool000000000
0007000000070?ooo`00000000000000003oool000000?ooo`07000000030?ooo`000000000000<0
000000@0oooo000000000000oooo1@0000020?ooo`D0000000<0oooo0000000000000P0000000`3o
ool0000000000003000000030?ooo`00000000000080000000@0oooo000000000000oooo0`000000
103oool000000000000000020?ooo`030000003oool0000000D000000P3oool400000080oooo1000
00001@3oool000000?ooo`000000oooo00L0000000<0oooo000000000000100000000`3oool00000
0?ooo`0300000080oooo00@000000?ooo`000000oooo0`0000020?ooo`030000003oool000000080
oooo0`0000020?ooo`800000103oool2000000060?ooo`00000000000?ooo`000000oooo0`000000
0`3oool0000000000005000000040?ooo`000000oooo00000080oooo0P0000000`3oool000000?oo
o`0200000080oooo0`00000=0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0
oooo0>X0oooo00<000000?ooo`0000000P0000000`3oool000000000000500000080oooo00<00000
0?ooo`0000000`3oool010000000oooo0?ooo`3oool4000000040?ooo`000000000000000080oooo
10000000103oool000000000003oool4000000050?ooo`00000000000000003oool0100000030?oo
o`<0000000D0oooo00000000000000000?ooo`03000000030?ooo`000000000000X00000103oool7
000000030?ooo`000000000000L0000000L0oooo00000000000000000?ooo`000000oooo00L00000
00<0oooo0000000000000`000000103oool000000000003oool500000080oooo1@0000000`3oool0
000000000002000000030?ooo`000000000000<0000000<0oooo0000000000000P000000103oool0
00000000003oool3000000040?ooo`000000000000000080oooo00<000000?ooo`0000001@000002
0?ooo`80000000@0oooo0000003oool0oooo100000001@3oool000000?ooo`000000oooo00800000
00<0oooo0000000000000P0000000`3oool0000000000004000000030?ooo`000000oooo00<00000
0P3oool010000000oooo0000003oool300000080oooo00<000000?ooo`0000000P3oool300000080
oooo0P0000040?ooo`80000000D0oooo000000000000oooo000000020?ooo`80000000<0oooo0000
000000001@0000030?ooo`030000003oool0oooo0080000000<0oooo0000003oool00P0000020?oo
o`<000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool300000>`0oooo0`0000000`3oool0
000000000004000000<0oooo00<000000?ooo`0000000`3oool010000000oooo0?ooo`3oool30000
0080oooo0`0000020?ooo`@0000000@0oooo000000000000oooo100000001@3oool0000000000000
0000oooo00<00000103oool3000000050?ooo`00000000000000003oool00`0000000`3oool00000
0000000:000000@0oooo1`0000000`3oool000000000000700000080oooo0P0000000`3oool00000
0?ooo`07000000030?ooo`000000000000<0000000H0oooo000000000000oooo0000003oool30000
0080oooo1@0000000`3oool0000000000002000000030?ooo`000000000000<0000000<0oooo0000
000000000P000000103oool000000000003oool3000000040?ooo`000000000000000080oooo00<0
00000?ooo`0000001@0000020?ooo`80000000@0oooo0000003oool0oooo100000001@3oool00000
0?ooo`000000oooo0080000000<0oooo0000000000000P0000000`3oool000000000000400000003
0?ooo`000000oooo00<000000P3oool010000000oooo0000003oool300000080oooo00<000000?oo
o`0000000P3oool3000000<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020000
00040?ooo`000000oooo0?ooo`80000000<0oooo0000000000001@0000030?ooo`030000003oool0
oooo0080000000@0oooo0000003oool000000`3oool3000000/0oooo0`00000>0?ooo`009@3oool0
0`000000oooo0?ooo`3b0?ooo`<00000103oool00`000000oooo000000030?ooo`040000003oool0
oooo0?ooo`<000000P3oool300000080oooo10000000103oool000000000003oool4000000050?oo
o`00000000000000003oool00`0000050?ooo`030000003oool0oooo00<0000000D0oooo00000000
000000000?ooo`0<000000@0oooo1`0000000`3oool000000000000700000080oooo0P0000000`3o
ool000000?ooo`07000000030?ooo`000000000000<0000000H0oooo000000000000oooo0000003o
ool300000080oooo1@0000000`3oool0000000000002000000030?ooo`000000000000<0000000<0
oooo0000000000000P000000103oool000000000003oool2000000<0oooo0P0000020?ooo`030000
003oool0000000<0000000@0oooo0000003oool0oooo0P000000103oool000000?ooo`3oool40000
00050?ooo`000000oooo0000003oool00P0000000`3oool0000000000002000000030?ooo`000000
000000@0000000<0oooo0000003oool00`0000020?ooo`040000003oool000000?ooo`<000000P3o
ool00`000000oooo000000020?ooo`<000000`3oool00`000000oooo0?ooo`050?ooo`8000001@3o
ool00`000000oooo00000006000000H0oooo0P0000030?ooo`040000003oool0oooo0?ooo`<00000
3@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`3d0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool300000080oooo
0`0000020?ooo`050000003oool000000000003oool00P000000103oool000000000000000020?oo
o`<0000000@0oooo0000000000000000203oool3000000030?ooo`00000000000080oooo1P000000
0`3oool0000000000003000000@0oooo1`0000000`3oool000000000000700000080oooo0P000000
0`3oool000000?ooo`07000000030?ooo`000000000000<0000000H0oooo000000000000oooo0000
003oool300000080oooo1@0000000`3oool0000000000002000000030?ooo`000000000000<00000
00<0oooo0000000000000P000000103oool000000000003oool2000000<0oooo0P0000020?ooo`03
0000003oool00000008000000P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
00@0000000D0oooo0000003oool000000?ooo`02000000030?ooo`00000000000080000000<0oooo
00000000000010000000103oool000000?ooo`3oool200000080oooo00@000000?ooo`000000oooo
0`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000`3oool00`000000oooo
0?ooo`050?ooo`8000001@3oool01@000000oooo0?ooo`000000oooo00@000002`3oool01`000000
oooo0?ooo`3oool000000?ooo`0000003@3oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`3i0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool20000
0080oooo0`0000020?ooo`050000003oool000000000003oool00P000000103oool0000000000000
00020?ooo`<0000000@0oooo0000000000000000203oool3000000030?ooo`00000000000080oooo
1P0000000`3oool0000000000003000000@0oooo0P000000103oool000000000000000020?ooo`T0
00000P3oool2000000030?ooo`000000oooo00D0000000<0oooo0000003oool01@0000001P3oool0
00000000003oool000000?ooo`<000000P3oool00`000000oooo00000002000000030?ooo`000000
00000080000000@0oooo000000000000oooo0P0000000`3oool0000000000002000000030?ooo`00
000000000080oooo00@000000?ooo`3oool0oooo0P0000020?ooo`030000003oool0000000800000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0000000H0oooo0000003o
ool000000?ooo`0000030?ooo`<0000000<0oooo000000000000100000000`3oool000000?ooo`02
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`0000000P0000020?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0<0?ooo`009@3oool00`00
0000oooo0?ooo`3o0?ooo`030000003oool0oooo0080oooo0P0000020?ooo`030000003oool00000
0080oooo00D000000?ooo`00000000000?ooo`02000000040?ooo`000000000000000080oooo0`00
0000103oool000000000000000080?ooo`<0000000<0oooo0000000000000P3oool6000000030?oo
o`000000000000<00000103oool2000000040?ooo`000000000000000080oooo2@0000020?ooo`80
000000<0oooo0000003oool01@0000000`3oool000000?ooo`05000000060?ooo`00000000000?oo
o`000000oooo0`0000020?ooo`030000003oool000000080000000<0oooo0000000000000P000000
1@3oool000000000003oool000000080oooo100000000`3oool00000000000020?ooo`040000003o
ool0oooo0?ooo`8000000P3oool00`000000oooo0000000200000080oooo00@000000?ooo`3oool0
00000P3oool00`000000oooo0?ooo`04000000060?ooo`000000oooo0000003oool000000`3oool3
000000030?ooo`000000000000@0000000<0oooo0000003oool00P3oool00`000000oooo0?ooo`02
0?ooo`040000003oool00000000000<0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?oo
o`0<0?ooo`009@3oool00`000000oooo0?ooo`3o0?ooo`T0oooo00<000000?ooo`0000000P3oool0
0`000000oooo000000020?ooo`80000000@0oooo00000000000000000P3oool3000000030?ooo`00
0000oooo00T0oooo0`0000000`3oool00000000000020?ooo`H0000000<0oooo0000003oool00`00
00040?ooo`80000000@0oooo00000000000000000P3oool900000080oooo0P0000000`3oool00000
0?ooo`05000000030?ooo`000000oooo00D0000000H0oooo000000000000oooo0000003oool30000
0080oooo00<000000?ooo`0000000P0000000`3oool0000000000002000000050?ooo`0000000000
0?ooo`0000000P3oool4000000030?ooo`00000000000080oooo00@000000?ooo`3oool0oooo0P00
00020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo00@0000000H0oooo0000003oool000000?ooo`0000030?ooo`8000000P3oool40000
00040?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`0<
0?ooo`009@3oool00`000000oooo0?ooo`3o0?oooa00oooo00H000000?ooo`3oool0oooo0000003o
ool300000080oooo0P0000020?ooo`030000003oool0oooo00P0oooo0`0000000`3oool000000000
00020?ooo`H0000000H0oooo0000003oool000000?ooo`0000040?ooo`8000000P3oool2000000<0
oooo200000020?ooo`80000000<0oooo0000003oool01@0000000`3oool000000?ooo`0500000006
0?ooo`00000000000?ooo`000000oooo0`0000020?ooo`030000003oool000000080000000<0oooo
0000000000000P0000001@3oool000000?ooo`3oool000000080oooo100000000`3oool000000000
00020?ooo`040000003oool0oooo0?ooo`8000000P3oool00`000000oooo0?ooo`0200000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`3oool200000080oooo00D000000?oo
o`000000oooo000000030?ooo`8000000P3oool4000000<0oooo00<000000?ooo`3oool0C`3oool0
0`000000oooo0?ooo`0<0?ooo`009@3oool00`000000oooo0?ooo`3o0?oooa00oooo00<000000?oo
o`3oool00`3oool00`000000oooo000000020?ooo`8000000P3oool00`000000oooo0?ooo`080?oo
o`<000000P3oool00`000000oooo0?ooo`03000000090?ooo`00000000000?ooo`000000oooo0000
003oool0000000@0oooo0P0000020?ooo`8000000`3oool800000080oooo0P0000000`3oool00000
0?ooo`05000000030?ooo`000000oooo00D0000000H0oooo000000000000oooo0000003oool30000
0080oooo00<000000?ooo`3oool00P0000000`3oool0000000000002000000050?ooo`000000oooo
0?ooo`0000000P3oool4000000030?ooo`00000000000080oooo00@000000?ooo`3oool0oooo0P00
00020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?ooo`0000020?ooo`040000
003oool0oooo0?ooo`8000000P3oool01@000000oooo0000003oool0000000<0oooo0P00001K0?oo
o`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo0?l0oooo403oool00`000000
oooo0?ooo`080?ooo`8000003@3oool2000000<0oooo00<000000?ooo`3oool00`0000002@3oool0
00000000003oool000000?ooo`000000oooo000000040?ooo`8000000`3oool010000000oooo0?oo
o`3oool800000080oooo0P0000000`3oool000000?ooo`05000000030?ooo`000000oooo00D00000
00H0oooo000000000000oooo0000003oool300000080oooo00<000000?ooo`3oool00P0000001`3o
ool000000000003oool000000?ooo`0000000P3oool00`000000oooo0?ooo`04000000D0oooo00@0
00000?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo008000000P3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0oooo0080oooo00H000000?ooo`3oool000000?ooo`00001R
0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo0?l0oooo403oool00`00
0000oooo0?ooo`0L0?ooo`060000003oool0oooo0000003oool000000P3oool01`000000oooo0000
003oool000000?ooo`000000103oool2000000<0oooo00<000000?ooo`3oool00P3oool6000000<0
oooo0P0000000`3oool000000?ooo`05000000030?ooo`000000oooo0080000000D0oooo00000000
0000oooo000000020?ooo`030000003oool00000008000000P3oool010000000oooo0?ooo`000002
0?ooo`80000000<0oooo0000003oool00`3oool00`000000oooo0?ooo`04000000D0oooo00@00000
0?ooo`3oool0oooo0P0000020?ooo`030000003oool0oooo008000000P3oool010000000oooo0?oo
o`00001_0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003oool0oooo0?l0oooo403o
ool00`000000oooo0?ooo`0L0?ooo`060000003oool0oooo0000003oool000000P3oool01`000000
oooo0?ooo`3oool000000?ooo`000000103oool2000000<0oooo00<000000?ooo`3oool00P3oool5
000000@0oooo0P0000000`3oool000000?ooo`05000000030?ooo`000000oooo0080000000D0oooo
000000000000oooo000000020?ooo`030000003oool00000008000000P3oool00`000000oooo0?oo
o`030?ooo`8000001P3oool010000000oooo0?ooo`3oool2000000H0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`1j0?ooo`030000003oool0oooo00`0oooo000U0?ooo`030000003o
ool0oooo0?l0oooo403oool00`000000oooo0?ooo`0T0?ooo`070000003oool0oooo0?ooo`000000
oooo000000050?ooo`050000003oool0oooo0?ooo`000000103oool5000000@0oooo00L000000?oo
o`3oool000000?ooo`000000oooo00<000000`3oool2000000050?ooo`00000000000?ooo`000000
0P3oool00`000000oooo0000000200000080oooo00<000000?ooo`3oool00`3oool2000000H0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`260?ooo`030000003oool0oooo00`0oooo
000U0?ooo`030000003oool0oooo0?l0oooo403oool00`000000oooo0?ooo`0d0?ooo`030000003o
ool0oooo0080oooo100000050?ooo`080000003oool0oooo0000003oool000000?ooo`0000050?oo
o`050000003oool0oooo0?ooo`000000103oool010000000oooo0000000000030?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0T`3oool00`000000oooo0?ooo`0<0?ooo`009@3oool0
0`000000oooo0?ooo`3o0?oooa00oooo00<000000?ooo`3oool0n`3oool00`000000oooo0?ooo`0<
0?ooo`009@3oool300000?l0oooo403oool00`000000oooo0?ooo`3i0?ooo`<000003P3oool002D0
oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo0?/0oooo00<000000?ooo`3o
ool0303oool002D0oooo00<000000?ooo`3oool0o`3oool@0?ooo`030000003oool0oooo0?/0oooo
00<000000?ooo`3oool0303oool002D0oooo0P0000130?ooo`030000003oool0oooo0440oooo00<0
00000?ooo`3oool0@P3oool00`000000oooo0?ooo`110?ooo`030000003oool0oooo0440oooo00<0
00000?ooo`3oool0@@3oool00`000000oooo0?ooo`120?ooo`030000003oool0oooo02h0oooo00<0
00000?ooo`3oool0303oool002D0oooo0P00000@0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool03P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo00`0oooo000U0?oo
o`800000403oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool03P3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool0303oool00`000000oooo0?ooo`0<0?ooo`009@3ooooo00000?l000004`00000>0?ooo`00
o`3ooooo0?ooodH0oooo003o0?ooool0ooooAP3oool00?l0ooooo`3ooom60?ooo`00o`3ooooo0?oo
odH0oooo003o0?ooool0ooooAP3oool00?l0ooooo`3ooom60?ooo`00o`3ooomZ0?ooo`<00000f03o
ool00?l0ooooJ`3oool00`000000oooo0?ooo`3G0?ooo`00j`3oool5000000050?ooo`0000000000
0000003oool00P0000020?ooo`8000000`3oool300000080oooo0`0000030?ooo`D000000P3oool3
00000080oooo0`0000040?ooo`<000000P3oool3000000040?ooo`00000000000?ooo`<000000`3o
ool3000000P0oooo1@0000001@3oool00000000000000000oooo008000000P3oool2000000<0oooo
0`0000020?ooo`<0000000<0oooo000000000000100000020?ooo`D000000`3oool2000000@0oooo
00<000000?ooo`3oool0eP3oool00>d0oooo00<000000?ooo`3oool00P3oool010000000oooo0?oo
o`0000020?ooo`060000003oool0oooo0000003oool000001P3oool00`000000oooo0?ooo`040?oo
o`050000003oool0oooo0?ooo`0000001P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00@0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0000000d0oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000
003oool000001P3oool010000000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`000000
103oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo0=H0oooo003]0?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`D0
00000P3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo0?ooo`D000000P3oool00`00
0000oooo0?ooo`020?ooo`D000000P3oool01P000000oooo0?ooo`000000oooo000000D0oooo1@00
00090?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo
0?ooo`020?ooo`D000000P3oool010000000oooo0?ooo`0000020?ooo`<00000103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000e`3oool00>d0oooo
00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo000000020?ooo`8000001@3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool00P0000030?ooo`050000003oool0oooo0?ooo`0000000P3o
ool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`0000000`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000000P3oool01P000000oooo0?ooo`00
0000oooo000000L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`030000
003oool000000=L0oooo003]0?ooo`040000003oool0oooo0?ooo`@000000P3oool4000000<0oooo
0`0000020?ooo`80000000<0oooo0000000000000P3oool400000080oooo0`0000020?ooo`800000
00<0oooo0000000000000P3oool300000080oooo100000030?ooo`<000000`3oool3000000X0oooo
00@000000?ooo`3oool0oooo100000020?ooo`@000000`3oool300000080oooo100000030?ooo`@0
000000@0oooo00000000000000000`3oool400000080oooo0P0000000`3oool000000000003F0?oo
o`00k@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00<000000?ooo`3o
ool0;@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3o
ool0g@3oool00>/0oooo1@0000080?ooo`030000003oool0oooo0140oooo0P00000[0?ooo`D00000
203oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
g@3oool00001\
\>"],
  ImageRangeCache->{{{0, 579}, {357.312, 0}} -> {-9.12325, -32.8191, \
0.0292971, 1.40601}},
  CellTags->"More Elaborate Interference Example"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 95.2381 -0.0175093 0.00186758 [
[.02381 -0.0125 -3 -9 ]
[.02381 -0.0125 3 0 ]
[.21429 -0.0125 -15 -9 ]
[.21429 -0.0125 15 0 ]
[.40476 -0.0125 -15 -9 ]
[.40476 -0.0125 15 0 ]
[.59524 -0.0125 -15 -9 ]
[.59524 -0.0125 15 0 ]
[.78571 -0.0125 -15 -9 ]
[.78571 -0.0125 15 0 ]
[.97619 -0.0125 -12 -9 ]
[.97619 -0.0125 12 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .07587 -12 -4.5 ]
[-0.0125 .07587 0 4.5 ]
[-0.0125 .16925 -18 -4.5 ]
[-0.0125 .16925 0 4.5 ]
[-0.0125 .26263 -18 -4.5 ]
[-0.0125 .26263 0 4.5 ]
[-0.0125 .35601 -18 -4.5 ]
[-0.0125 .35601 0 4.5 ]
[-0.0125 .44939 -18 -4.5 ]
[-0.0125 .44939 0 4.5 ]
[-0.0125 .54276 -18 -4.5 ]
[-0.0125 .54276 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 .61803 .125 0 ]
[ 1 0 .125 0 ]
[.5 .63053 -66 0 ]
[.5 .63053 66 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.02381 0 m
.02381 .00625 L
s
[(0)] .02381 -0.0125 0 1 Mshowa
.21429 0 m
.21429 .00625 L
s
[(0.002)] .21429 -0.0125 0 1 Mshowa
.40476 0 m
.40476 .00625 L
s
[(0.004)] .40476 -0.0125 0 1 Mshowa
.59524 0 m
.59524 .00625 L
s
[(0.006)] .59524 -0.0125 0 1 Mshowa
.78571 0 m
.78571 .00625 L
s
[(0.008)] .78571 -0.0125 0 1 Mshowa
.97619 0 m
.97619 .00625 L
s
[(0.01)] .97619 -0.0125 0 1 Mshowa
.125 Mabswid
.07143 0 m
.07143 .00375 L
s
.11905 0 m
.11905 .00375 L
s
.16667 0 m
.16667 .00375 L
s
.2619 0 m
.2619 .00375 L
s
.30952 0 m
.30952 .00375 L
s
.35714 0 m
.35714 .00375 L
s
.45238 0 m
.45238 .00375 L
s
.5 0 m
.5 .00375 L
s
.54762 0 m
.54762 .00375 L
s
.64286 0 m
.64286 .00375 L
s
.69048 0 m
.69048 .00375 L
s
.7381 0 m
.7381 .00375 L
s
.83333 0 m
.83333 .00375 L
s
.88095 0 m
.88095 .00375 L
s
.92857 0 m
.92857 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .07587 m
.00625 .07587 L
s
[(50)] -0.0125 .07587 1 0 Mshowa
0 .16925 m
.00625 .16925 L
s
[(100)] -0.0125 .16925 1 0 Mshowa
0 .26263 m
.00625 .26263 L
s
[(150)] -0.0125 .26263 1 0 Mshowa
0 .35601 m
.00625 .35601 L
s
[(200)] -0.0125 .35601 1 0 Mshowa
0 .44939 m
.00625 .44939 L
s
[(250)] -0.0125 .44939 1 0 Mshowa
0 .54276 m
.00625 .54276 L
s
[(300)] -0.0125 .54276 1 0 Mshowa
.125 Mabswid
0 .09455 m
.00375 .09455 L
s
0 .11322 m
.00375 .11322 L
s
0 .1319 m
.00375 .1319 L
s
0 .15057 m
.00375 .15057 L
s
0 .18792 m
.00375 .18792 L
s
0 .2066 m
.00375 .2066 L
s
0 .22528 m
.00375 .22528 L
s
0 .24395 m
.00375 .24395 L
s
0 .2813 m
.00375 .2813 L
s
0 .29998 m
.00375 .29998 L
s
0 .31866 m
.00375 .31866 L
s
0 .33733 m
.00375 .33733 L
s
0 .37468 m
.00375 .37468 L
s
0 .39336 m
.00375 .39336 L
s
0 .41203 m
.00375 .41203 L
s
0 .43071 m
.00375 .43071 L
s
0 .46806 m
.00375 .46806 L
s
0 .48674 m
.00375 .48674 L
s
0 .50541 m
.00375 .50541 L
s
0 .52409 m
.00375 .52409 L
s
0 .05719 m
.00375 .05719 L
s
0 .03852 m
.00375 .03852 L
s
0 .01984 m
.00375 .01984 L
s
0 .00117 m
.00375 .00117 L
s
0 .56144 m
.00375 .56144 L
s
0 .58012 m
.00375 .58012 L
s
0 .59879 m
.00375 .59879 L
s
0 .61747 m
.00375 .61747 L
s
.25 Mabswid
0 0 m
0 .61803 L
s
.02381 .61178 m
.02381 .61803 L
s
.21429 .61178 m
.21429 .61803 L
s
.40476 .61178 m
.40476 .61803 L
s
.59524 .61178 m
.59524 .61803 L
s
.78571 .61178 m
.78571 .61803 L
s
.97619 .61178 m
.97619 .61803 L
s
.125 Mabswid
.07143 .61428 m
.07143 .61803 L
s
.11905 .61428 m
.11905 .61803 L
s
.16667 .61428 m
.16667 .61803 L
s
.2619 .61428 m
.2619 .61803 L
s
.30952 .61428 m
.30952 .61803 L
s
.35714 .61428 m
.35714 .61803 L
s
.45238 .61428 m
.45238 .61803 L
s
.5 .61428 m
.5 .61803 L
s
.54762 .61428 m
.54762 .61803 L
s
.64286 .61428 m
.64286 .61803 L
s
.69048 .61428 m
.69048 .61803 L
s
.7381 .61428 m
.7381 .61803 L
s
.83333 .61428 m
.83333 .61803 L
s
.88095 .61428 m
.88095 .61803 L
s
.92857 .61428 m
.92857 .61803 L
s
.25 Mabswid
0 .61803 m
1 .61803 L
s
.99375 .07587 m
1 .07587 L
s
.99375 .16925 m
1 .16925 L
s
.99375 .26263 m
1 .26263 L
s
.99375 .35601 m
1 .35601 L
s
.99375 .44939 m
1 .44939 L
s
.99375 .54276 m
1 .54276 L
s
.125 Mabswid
.99625 .09455 m
1 .09455 L
s
.99625 .11322 m
1 .11322 L
s
.99625 .1319 m
1 .1319 L
s
.99625 .15057 m
1 .15057 L
s
.99625 .18792 m
1 .18792 L
s
.99625 .2066 m
1 .2066 L
s
.99625 .22528 m
1 .22528 L
s
.99625 .24395 m
1 .24395 L
s
.99625 .2813 m
1 .2813 L
s
.99625 .29998 m
1 .29998 L
s
.99625 .31866 m
1 .31866 L
s
.99625 .33733 m
1 .33733 L
s
.99625 .37468 m
1 .37468 L
s
.99625 .39336 m
1 .39336 L
s
.99625 .41203 m
1 .41203 L
s
.99625 .43071 m
1 .43071 L
s
.99625 .46806 m
1 .46806 L
s
.99625 .48674 m
1 .48674 L
s
.99625 .50541 m
1 .50541 L
s
.99625 .52409 m
1 .52409 L
s
.99625 .05719 m
1 .05719 L
s
.99625 .03852 m
1 .03852 L
s
.99625 .01984 m
1 .01984 L
s
.99625 .00117 m
1 .00117 L
s
.99625 .56144 m
1 .56144 L
s
.99625 .58012 m
1 .58012 L
s
.99625 .59879 m
1 .59879 L
s
.99625 .61747 m
1 .61747 L
s
.25 Mabswid
1 0 m
1 .61803 L
s
0 .07587 m
1 .07587 L
s
[(Interference Intensity)] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .54593 m
.02551 .56853 L
.02736 .58712 L
.0283 .59389 L
.02882 .59685 L
.0293 .59914 L
.02976 .60083 L
.03 .60155 L
.03025 .60217 L
.03046 .6026 L
.0307 .60295 L
.03091 .60317 L
.03111 .60329 L
.03123 .60332 L
.03137 .60332 L
.0316 .60322 L
.03175 .6031 L
.03188 .60295 L
.03214 .60256 L
.03238 .60206 L
.03261 .60149 L
.03311 .5998 L
.03354 .59798 L
.03401 .59554 L
.03495 .58926 L
.03598 .58033 L
.03708 .56847 L
.03907 .54138 L
.04309 .46764 L
.04689 .3808 L
.05413 .20299 L
.0578 .12406 L
.05974 .08893 L
.06184 .05781 L
.06281 .04602 L
.06384 .03555 L
.06478 .02769 L
.06567 .02202 L
.0665 .01815 L
.06696 .01662 L
.06738 .01562 L
.06762 .01522 L
.06785 .01495 L
.06809 .01479 L
.06821 .01475 L
.06835 .01475 L
.06858 .01483 L
.06882 .01504 L
.06905 .01535 L
.06926 .01574 L
Mistroke
.06973 .01695 L
.07016 .01845 L
.07113 .02322 L
.07202 .02934 L
.07286 .03656 L
.07474 .05774 L
.07677 .08782 L
.08055 .16024 L
.08453 .25291 L
.09172 .42855 L
.09572 .51137 L
.09762 .54299 L
.09937 .56684 L
.10118 .58555 L
.10214 .59281 L
.10262 .59579 L
.10315 .59846 L
.10361 .60031 L
.10403 .60162 L
.10443 .60252 L
.10463 .60285 L
.10485 .60311 L
.1051 .60327 L
.10532 .60331 L
.10545 .60328 L
.10558 .60322 L
.10583 .60301 L
.10605 .60269 L
.1063 .60224 L
.10673 .60112 L
.10721 .59942 L
.10766 .59736 L
.10852 .59235 L
.10944 .58528 L
.11044 .57569 L
.11223 .55366 L
.1139 .52817 L
.12131 .37052 L
.12844 .19587 L
.1324 .1126 L
.13413 .08258 L
.13603 .05535 L
.13692 .04481 L
.13787 .03521 L
.1387 .02835 L
.13959 .02246 L
.14011 .01976 L
.1406 .01778 L
.14106 .01635 L
.1413 .0158 L
Mistroke
.14155 .01532 L
.14179 .01502 L
.142 .01483 L
.14224 .01474 L
.14247 .01478 L
.14269 .01491 L
.14289 .01511 L
.14311 .01544 L
.14334 .0159 L
.14383 .01724 L
.14435 .01922 L
.14528 .02417 L
.14629 .03149 L
.14739 .04183 L
.14936 .06612 L
.1512 .09494 L
.15856 .25343 L
.16638 .44332 L
.17029 .5214 L
.17201 .5488 L
.17391 .57307 L
.17478 .58196 L
.17572 .58987 L
.17661 .59569 L
.17742 .5996 L
.17788 .60116 L
.17829 .60224 L
.17853 .60268 L
.17875 .60299 L
.17887 .60311 L
.17901 .60321 L
.17924 .6033 L
.17947 .60326 L
.1796 .6032 L
.17973 .6031 L
.17997 .60281 L
.18011 .60259 L
.18024 .60235 L
.18071 .60118 L
.18116 .59963 L
.18165 .59744 L
.18211 .59492 L
.18298 .58905 L
.18491 .57048 L
.18658 .54874 L
.18839 .51986 L
.19615 .34999 L
.20363 .16921 L
.20739 .09494 L
.20903 .06895 L
Mistroke
.21082 .04603 L
.2118 .03589 L
.21272 .02823 L
.21359 .02248 L
.21407 .01998 L
.21451 .01811 L
.21498 .01657 L
.21524 .01592 L
.21548 .01544 L
.21571 .0151 L
.21592 .01489 L
.21615 .01476 L
.21639 .01475 L
.21653 .0148 L
.21666 .01488 L
.21681 .01501 L
.21695 .0152 L
.21721 .01562 L
.21748 .01623 L
.21799 .01778 L
.21847 .01973 L
.21941 .02499 L
.22044 .03278 L
.22231 .05231 L
.22413 .07752 L
.22582 .1058 L
.23324 .27016 L
.24037 .4431 L
.24433 .52204 L
.24607 .54953 L
.24796 .57363 L
.24886 .5826 L
.24981 .59046 L
.25071 .5962 L
.25152 .59996 L
.25176 .60077 L
.252 .60152 L
.25222 .60205 L
.25245 .60252 L
.2527 .6029 L
.25293 .60314 L
.25307 .60323 L
.2532 .60328 L
.25332 .60329 L
.25345 .60326 L
.25369 .60312 L
.25391 .60289 L
.25403 .60272 L
.25416 .6025 L
.2544 .60201 L
Mistroke
.25485 .60072 L
.25527 .59916 L
.25616 .59462 L
.25712 .58795 L
.25884 .57135 L
.26088 .54438 L
.26274 .51363 L
.27028 .34684 L
.27753 .17137 L
.28127 .09699 L
.28319 .06679 L
.28419 .05344 L
.28525 .04141 L
.28616 .03268 L
.28717 .02507 L
.28761 .02237 L
.28808 .01993 L
.28852 .01807 L
.28893 .01672 L
.28914 .01615 L
.28938 .01563 L
.28961 .01523 L
.28986 .01494 L
.29008 .01479 L
.29032 .01474 L
.29054 .0148 L
.29074 .01494 L
.29095 .01519 L
.29115 .0155 L
.29159 .01649 L
.29197 .01771 L
.29239 .01935 L
.29331 .02429 L
.29415 .03035 L
.29606 .04924 L
.29774 .07155 L
.29951 .10028 L
.30671 .25696 L
.31436 .44288 L
.3179 .51436 L
.31976 .54499 L
.32173 .571 L
.32273 .58139 L
.32383 .59057 L
.32431 .59383 L
.32482 .5968 L
.32531 .59908 L
.32576 .60076 L
.32625 .6021 L
.3265 .6026 L
Mistroke
.32664 .60281 L
.32678 .60299 L
.32692 .60312 L
.32704 .6032 L
.32729 .60327 L
.32751 .60323 L
.32775 .60306 L
.32796 .60281 L
.3282 .60242 L
.32861 .60144 L
.32911 .5998 L
.32957 .59785 L
.33047 .59265 L
.33144 .58528 L
.33317 .56743 L
.33504 .542 L
.3371 .5072 L
.3447 .33656 L
.35201 .16098 L
.3558 .08817 L
.3577 .05974 L
.35877 .04656 L
.35978 .03611 L
.36072 .02826 L
.36121 .02483 L
.36173 .02173 L
.36216 .01956 L
.36264 .01764 L
.36308 .01631 L
.36329 .01581 L
.36349 .01543 L
.36374 .01507 L
.36387 .01493 L
.364 .01483 L
.36413 .01476 L
.36426 .01473 L
.36449 .01477 L
.36472 .01492 L
.36493 .01515 L
.36516 .01551 L
.3654 .01601 L
.36591 .01746 L
.36638 .0193 L
.36745 .02519 L
.3684 .03238 L
.36943 .04222 L
.37131 .06526 L
.37481 .1244 L
.38253 .30229 L
.38637 .39677 L
Mistroke
.38996 .47714 L
.39341 .53957 L
.39534 .56636 L
.39711 .58482 L
.39801 .59184 L
.3985 .59499 L
.39897 .5975 L
.3994 .59945 L
.39987 .6011 L
.40008 .60168 L
.4003 .6022 L
.4005 .60259 L
.40069 .60287 L
.40094 .60312 L
.40116 .60324 L
.4014 .60325 L
.40153 .60321 L
.40166 .60313 L
.40187 .60293 L
.4021 .6026 L
.40234 .60213 L
.40256 .60159 L
.40307 .59994 L
.40355 .59794 L
.40461 .59174 L
.4055 .58474 L
.40646 .5755 L
.40818 .55447 L
.41209 .48816 L
.41993 .30581 L
.42386 .20967 L
.42748 .13046 L
.43101 .06939 L
.43279 .04641 L
.43379 .03606 L
.43475 .02805 L
.43566 .02209 L
.43618 .01949 L
.43666 .01758 L
.43689 .01684 L
.43711 .01624 L
.43731 .01579 L
.43751 .01539 L
.43774 .01507 L
.43795 .01486 L
.43817 .01475 L
.43842 .01474 L
.43854 .01479 L
.43868 .01488 L
.43881 .01501 L
Mistroke
.43893 .01515 L
.43916 .01551 L
.4394 .01601 L
.43991 .01745 L
.44046 .01965 L
.44144 .02512 L
.44236 .03205 L
.44422 .05114 L
.44618 .07816 L
.44968 .14167 L
.45689 .31108 L
.46091 .40945 L
.46456 .48902 L
.46638 .52276 L
.46836 .55353 L
.47022 .57628 L
.47112 .58488 L
.47194 .59134 L
.47283 .59676 L
.47331 .59906 L
.47378 .60078 L
.47398 .6014 L
.4742 .60196 L
.47439 .60237 L
.4746 .60272 L
.47484 .60302 L
.47507 .60319 L
.47529 .60325 L
.47549 .60321 L
.47572 .60307 L
.47596 .6028 L
.47619 .60242 L
.4764 .60198 L
.47691 .60053 L
.47739 .59865 L
.47835 .59346 L
.47939 .5857 L
.48118 .56743 L
.48314 .54048 L
.48711 .46729 L
.49473 .28597 L
.50205 .11935 L
.50396 .08552 L
.50605 .05531 L
.507 .04409 L
.50802 .03404 L
.5089 .02692 L
.50984 .02114 L
.51033 .01888 L
.51086 .01696 L
Mistroke
.51109 .0163 L
.51134 .01572 L
.51157 .0153 L
.51179 .01501 L
.51192 .01489 L
.51205 .01479 L
.5123 .01473 L
.51244 .01475 L
.51257 .0148 L
.51271 .0149 L
.51287 .01506 L
.51299 .01522 L
.51313 .01544 L
.5134 .016 L
.51389 .01738 L
.51439 .01932 L
.51484 .02153 L
.51586 .02805 L
.51681 .03597 L
.5177 .04506 L
.52148 .0996 L
.52497 .16903 L
.53241 .34902 L
.53615 .43806 L
.53957 .50833 L
.54133 .5383 L
.54325 .56515 L
.5443 .57703 L
.54527 .58614 L
.5462 .59308 L
.5472 .59852 L
.54769 .60047 L
.54796 .60131 L
.54821 .60197 L
.54844 .60245 L
.54866 .60279 L
.54889 .60306 L
.54902 .60315 L
.54914 .60321 L
.54926 .60324 L
.5494 .60323 L
.54954 .60318 L
.54967 .6031 L
.5499 .60286 L
.55003 .60268 L
.55015 .60248 L
.55069 .60122 L
.55096 .60036 L
.55125 .59925 L
.5522 .59438 L
Mistroke
.55323 .5871 L
.55506 .5688 L
.557 .54263 L
.5591 .50719 L
.56291 .42777 L
.57065 .23853 L
.57451 .15044 L
.57639 .113 L
.57811 .08317 L
.57977 .05897 L
.58157 .03823 L
.58256 .02952 L
.58347 .02321 L
.58435 .01879 L
.58479 .01716 L
.58504 .01642 L
.58528 .01585 L
.58551 .0154 L
.58572 .01509 L
.58596 .01486 L
.58608 .01478 L
.58621 .01474 L
.58645 .01475 L
.58667 .01487 L
.58692 .01512 L
.58705 .0153 L
.58718 .01554 L
.58762 .01654 L
.58808 .01807 L
.58893 .02199 L
.58943 .02503 L
.58998 .02895 L
.59099 .03765 L
.59287 .05922 L
.59482 .08829 L
.59659 .11989 L
.60055 .20496 L
.60813 .39081 L
.6116 .46946 L
.61358 .50833 L
.61542 .53958 L
.61739 .56682 L
.61919 .58538 L
.62017 .59286 L
.62111 .5981 L
.62162 .60021 L
.62209 .60166 L
.62234 .60224 L
.62261 .60272 L
.62275 .6029 L
Mistroke
.6229 .60305 L
.62304 .60315 L
.62317 .60321 L
.62341 .60322 L
.62364 .60311 L
.62384 .60293 L
.62406 .60262 L
.62431 .60217 L
.62456 .60156 L
.62502 .60012 L
.62545 .5984 L
.62584 .59645 L
.62675 .59079 L
.62773 .58273 L
.62863 .57368 L
.63066 .54778 L
.63426 .48503 L
.63817 .39835 L
.64587 .20956 L
.64943 .1316 L
.65328 .06566 L
.65431 .05215 L
.65539 .04003 L
.6564 .03083 L
.65733 .02408 L
.65821 .01938 L
.6587 .01745 L
.65915 .01614 L
.65941 .01559 L
.65964 .01519 L
.65977 .01504 L
.6599 .0149 L
.66004 .0148 L
.66018 .01474 L
.66042 .01474 L
.66064 .01484 L
.66077 .01494 L
.6609 .01509 L
.66115 .01546 L
.6614 .01598 L
.66163 .01656 L
.66215 .0183 L
.66261 .02031 L
.6631 .02291 L
.66394 .02856 L
.66486 .03643 L
.66691 .05974 L
.66882 .08832 L
.67617 .24365 L
.68399 .43417 L
Mistroke
.6879 .51409 L
.68962 .5426 L
.69151 .56828 L
.69238 .57785 L
.69332 .58651 L
.69414 .59258 L
.69502 .59768 L
.69551 .5998 L
.69597 .60131 L
.69622 .60196 L
.69645 .60244 L
.69658 .60265 L
.69672 .60284 L
.69685 .60299 L
.69697 .60309 L
.69718 .6032 L
.69742 .6032 L
.69765 .60309 L
.6979 .60285 L
.69813 .60251 L
.69835 .60208 L
.69875 .60101 L
.69924 .59926 L
.69971 .59715 L
.70057 .59203 L
.7015 .58482 L
.7025 .5751 L
.70431 .55273 L
.70598 .52708 L
.71345 .36766 L
.72063 .19194 L
.72463 .10867 L
.72652 .07674 L
.72828 .05254 L
.73009 .03345 L
.73104 .02599 L
.73153 .02289 L
.73206 .0201 L
.73251 .01814 L
.73293 .01673 L
.73334 .01573 L
.73354 .01536 L
.73376 .01505 L
.734 .01482 L
.73423 .01473 L
.73435 .01472 L
.73449 .01475 L
.73473 .01491 L
.73496 .01516 L
.7352 .01556 L
Mistroke
.73541 .01599 L
.73563 .01657 L
.73611 .01813 L
.73662 .02036 L
.73756 .02582 L
.73847 .03286 L
.73931 .04086 L
.74123 .06401 L
.74326 .0957 L
.75039 .24884 L
.75798 .43389 L
.76146 .50614 L
.76344 .53984 L
.76528 .56542 L
.76711 .58462 L
.76813 .59251 L
.76906 .59783 L
.76957 .59999 L
.77004 .60149 L
.77029 .60209 L
.77056 .6026 L
.7707 .6028 L
.77084 .60297 L
.77098 .60309 L
.77111 .60316 L
.77135 .6032 L
.77158 .60313 L
.77171 .60303 L
.77183 .60292 L
.7721 .60255 L
.77233 .6021 L
.77259 .60149 L
.77304 .60003 L
.77349 .59818 L
.77397 .59573 L
.77484 .59011 L
.77587 .58144 L
.77681 .57171 L
.77886 .54489 L
.78079 .51293 L
.78804 .35318 L
.7917 .26202 L
.79574 .16698 L
.79962 .09138 L
.80131 .06522 L
.80317 .04239 L
.80403 .034 L
.80495 .02667 L
.80546 .02334 L
.80592 .02079 L
Mistroke
.80636 .01877 L
.80682 .01708 L
.80706 .01638 L
.80733 .01575 L
.80757 .01531 L
.8078 .015 L
.80793 .01487 L
.80806 .01479 L
.8083 .01472 L
.80844 .01473 L
.80857 .01478 L
.8087 .01488 L
.80885 .01502 L
.8091 .01537 L
.80937 .01589 L
.80985 .01723 L
.81033 .01901 L
.81076 .02105 L
.81165 .02647 L
.81261 .03405 L
.81433 .05225 L
.81637 .08096 L
.81824 .11309 L
.82578 .28304 L
.83303 .45711 L
.83678 .52916 L
.83866 .55751 L
.83968 .57014 L
.84075 .58133 L
.84166 .58914 L
.84215 .59259 L
.84266 .59574 L
.84314 .59817 L
.84357 .59996 L
.844 .60136 L
.84441 .60232 L
.84464 .60271 L
.84477 .60288 L
.84489 .603 L
.84514 .60316 L
.84527 .60319 L
.8454 .60319 L
.84562 .60309 L
.84586 .60287 L
.84609 .60255 L
.84631 .60215 L
.84678 .60093 L
.8473 .59903 L
.84784 .59644 L
.84836 .59345 L
Mistroke
.85021 .57815 L
.85114 .5679 L
.85217 .55482 L
.85566 .4968 L
.86332 .32134 L
.87069 .14675 L
.87263 .10882 L
.87472 .07379 L
.8767 .04751 L
.87853 .02979 L
.87941 .02362 L
.8799 .0209 L
.88036 .01877 L
.88079 .01719 L
.88101 .01652 L
.88125 .01591 L
.88148 .01546 L
.88168 .01515 L
.88188 .01492 L
.88207 .01478 L
.8823 .01472 L
.88255 .01477 L
.88267 .01485 L
.88281 .01497 L
.88305 .01528 L
.88329 .01572 L
.88352 .01624 L
.88395 .01752 L
.88445 .01952 L
.88492 .02185 L
.88597 .02876 L
.88685 .03621 L
.88779 .04594 L
.8895 .06777 L
.8934 .13556 L
.90117 .31785 L
.90506 .41257 L
.90867 .49083 L
.91215 .55037 L
.9141 .57479 L
.91495 .58313 L
.91587 .59068 L
.91679 .59643 L
.91729 .59884 L
.91776 .60061 L
.91799 .6013 L
.9182 .60185 L
.91839 .60227 L
.9186 .60263 L
.91882 .60292 L
Mistroke
.91903 .60309 L
.91928 .60318 L
.9195 .60314 L
.91975 .60298 L
.91987 .60285 L
.92001 .60267 L
.92025 .60226 L
.92048 .60176 L
.92098 .60024 L
.92153 .59802 L
.92253 .59234 L
.92343 .58541 L
.92531 .56588 L
.92705 .54203 L
.93098 .47043 L
.93841 .29416 L
.94556 .1292 L
.94923 .06649 L
.95028 .05253 L
.95129 .04118 L
.95227 .0319 L
.95317 .02516 L
.95362 .02241 L
.9541 .01991 L
.95452 .01813 L
.95498 .01661 L
.95523 .01596 L
.95547 .01548 L
.95572 .01509 L
.95586 .01494 L
.95599 .01483 L
.95621 .01472 L
.95646 .01473 L
.9567 .01486 L
.95691 .01508 L
.95711 .01538 L
.95733 .01578 L
.95771 .01677 L
.95817 .01835 L
.9586 .02019 L
.95947 .02517 L
.96039 .03208 L
.96219 .0505 L
.96412 .07686 L
.96759 .13938 L
.97543 .32409 L
.97619 .34309 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00803oool200000240oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?oo
o`8000000P3oool5000001@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?oo
o`800000103oool3000001@0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?oo
o`8000000`3oool3000001D0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?oo
o`8000000`3oool3000001P0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000030?oo
o`<000002P3oool001l0oooo00@000000?ooo`3oool000007`3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`00000C0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo0180oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000`3oool0
0`000000oooo0?ooo`0A0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000
0P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0503oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool02@3o
ool001l0oooo00@000000?ooo`3oool000007`3oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0C0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool01@000000oooo0?oo
o`000000oooo00D000004`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo0000
0080oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo0140oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000
003oool000000`3oool00`000000oooo0?ooo`0D0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000`3oool00`000000oooo0?ooo`090?ooo`007`3oool010000000oooo0?oo
o`00000O0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000040?ooo`030000003oool0oooo0180oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000P3oool00`00
0000oooo0?ooo`0B0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3o
ool01@000000oooo0?ooo`000000oooo00@00000503oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool3000001L0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00T0oooo
000O0?ooo`040000003oool0oooo000001l0oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000`3oool00`000000oooo0?oo
o`0A0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0000001@0oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000005`3oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?oo
o`0000030?ooo`030000003oool0oooo01@0oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000030?ooo`030000003oool0oooo00T0oooo000O0?ooo`040000003oool0oooo0000
01l0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`060000003o
ool0oooo0000003oool000000`3oool00`000000oooo0?ooo`0A0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000030?ooo`800000503o
ool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0?ooo`0D0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3o
ool0503oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo0P00000;
0?ooo`00803oool200000240oooo0P00000:0?ooo`800000103oool2000000<0oooo0`00000E0?oo
o`8000002P3oool2000000@0oooo0P0000050?ooo`030000003oool0oooo01<0oooo0P00000:0?oo
o`800000103oool2000000@0oooo0P00000E0?ooo`8000002P3oool2000000@0oooo0P0000030?oo
o`<00000603oool2000000X0oooo0P0000040?ooo`030000003oool0oooo00T0oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo000K0?ooooP000003@3oool001/0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo
0?ooo`3d0?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00h0oooo00<0
00000?ooo`3oool03`3oool00`000000oooo0?ooo`0?0?ooo`800000403oool200000140oooo00<0
00000?ooo`3oool03`3oool200000100oooo0P00000A0?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool03`3oool200000140oooo00<000000?ooo`3oool03`3oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02`3oool001/0oooo00<00000
0?ooo`3oool03@3oool200000140oooo0P00000@0?ooo`800000403oool200000100oooo0P00000A
0?ooo`800000403oool200000100oooo0P00000A0?ooo`800000403oool200000100oooo0P00000A
0?ooo`800000403oool2000000T0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000>0?oo
o`800000403oool300000100oooo0P00000@0?ooo`800000403oool200000140oooo0P00000@0?oo
o`800000403oool200000140oooo0P00000@0?ooo`800000403oool200000100oooo00<000000?oo
o`000000403oool2000000P0oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`0=0?ooo`80
0000403oool00`000000oooo0000000@0?ooo`800000403oool200000100oooo00<000000?ooo`00
0000403oool200000100oooo0P00000@0?ooo`030000003oool0000000l0oooo00<000000?ooo`00
0000403oool200000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`03
0000003oool0000000T0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool0
3@3oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
403oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
403oool200000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`800000
403oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
2@3oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`030000003o
ool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`030000003o
ool000000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`030000003o
ool000000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`030000003o
ool0000000T0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000>0?ooo`030000003oool0
000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`030000003oool0
000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`040000003oool0
oooo000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`030000003o
ool000000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`030000003o
ool0000000P0oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`0<0?ooo`040000003oool0
oooo000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`040000003o
ool0oooo000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`040000
003oool0oooo000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`04
0000003oool0oooo000000h0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0000000?
0?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?oo
o`3oool0303oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000l0oooo00@00000
0?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000l0oooo
00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool00000
00l0oooo00<000000?ooo`0000003`3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0
oooo000000l0oooo00<000000?ooo`0000003`3oool010000000oooo0?ooo`0000080?ooo`030000
003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool00000
3`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3o
ool000003`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo000000h0oooo00@00000
0?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`040000003oool0oooo000000h0
oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0
000000l0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`0;0?ooo`006`3oool0
0`000000oooo0?ooo`0<0?ooo`040000003oool0oooo000000l0oooo00<000000?ooo`0000003`3o
ool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3o
ool000003`3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo00@0
00000?ooo`3oool000003`3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo0000
00h0oooo00@000000?ooo`3oool000003`3oool00`000000oooo0000000?0?ooo`040000003oool0
oooo000000P0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000=0?ooo`040000003oool0
oooo000000l0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000>0?ooo`04
0000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000003oool0
oooo000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`04
0000003oool0oooo000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00
000?0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool000001`3oool2000000d0
oooo000K0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool000003`3oool010000000
oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool000003P3o
ool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`04
0000003oool0oooo000000h0oooo00@000000?ooo`3oool000003P3oool01@000000oooo0?ooo`3o
ool0000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000>0?ooo`05
0000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`0000080?ooo`030000003oool0
oooo00/0oooo000=0?ooo`<00000103oool2000000D0oooo00<000000?ooo`3oool0303oool01000
0000oooo0?ooo`00000?0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool00000
3P3oool010000000oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@00
0000oooo0?ooo`3oool0000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?oo
o`00000>0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00000>0?oo
o`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000003o
ool0oooo000000P0oooo00<000000?ooo`3oool02`3oool000`0oooo00D000000?ooo`3oool0oooo
000000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0303oool010000000
oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00
000>0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`05
0000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0
oooo000000h0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`00
00003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool02`3oool00100oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooooP000003@3oool00100oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00`0oooo00D0
00000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000
oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?oo
o`0000003@3oool01@000000oooo0?ooo`3oool0000000h0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`0000080?ooo`03
0000003oool0oooo00/0oooo000<0?ooo`@000000`3oool010000000oooo0?ooo`0000040?ooo`03
0000003oool0oooo00`0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo
0?ooo`0000003P3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=
0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`00
00003P3oool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo00/0oooo000<0?ooo`03
0000003oool0oooo00@0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0<0?oo
o`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D0
00000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0
000000d0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0
oooo0000000>0?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool02`3oool000`0
oooo1@0000030?ooo`8000001@3oool00`000000oooo0?ooo`0<0?ooo`050000003oool0oooo0?oo
o`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo0?oo
o`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool0
1@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000
003oool0oooo000000P0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000=0?ooo`050000
003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo0?oo
o`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?oo
o`3oool0oooo0000000>0?ooo`040000003oool0oooo000000L0oooo0P00000=0?ooo`006`3oool0
0`000000oooo0?ooo`0<0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?oo
o`3oool0000000d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool0
1@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000
003oool0oooo000000P0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool0
303oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?oo
o`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0
2`3oool001/0oooo00<000000?ooo`3oool0303oool01@000000oooo0?ooo`3oool0000000d0oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3o
ool0000000P0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000<0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool02`3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool20000
00d0oooo000K0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?oo
o`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00/0oooo000K0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00/0oooo000K0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00/0oooo000K0?ooo`800000303oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
0P00000=0?ooo`006`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`0;0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`006`3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0;0?ooo`006`3oool2000000`0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`040?ooo`8000003@3oool001/0oooo
00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool02`3oool000L0oooo0`0000040?ooo`800000103oool2000000D0oooo00<0
00000?ooo`3oool02`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool02`3oool000P0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool02`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02`3oool000P0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0
oooo0P00000;0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool2000000d0
oooo00080?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo00080?ooo`030000003oool0oooo0080
oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00/0oooo00070?ooo`800000103oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool02`3oool000P0oooo00<000000?ooo`3oool00`3oool2
000000@0oooo0P0000050?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo000K0?ooo`8000002`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P00000=0?ooo`006`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0;0?ooo`006`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0;0?ooo`006`3oool2000000/0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`8000003@3oool001/0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool02`3oool001/0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02`3o
ool001/0oooo0P00000;0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool2
000000d0oooo000K0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/0
oooo000K0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo000K
0?ooo`8000002`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo0P00000=
0?ooo`006`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0;0?ooo`001`3oool3000000<0oooo0`0000040?ooo`80
00001@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0;0?ooo`00203oool01@000000oooo0?ooo`3oool0000000<0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00/0oooo00080?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00/0oooo00080?ooo`030000003oool0oooo00D0
oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`8000002P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo0P00000=0?ooo`00203oool010000000
oooo0?ooo`3oool4000000<0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0;
0?ooo`001`3oool2000000<0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`000004
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00/0oooo00080?ooo`040000003oool0oooo0?ooo`D000000`3oool2
000000D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000:0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool00P3oool2000000d0oooo000K0?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00/0
oooo000K0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00/0oooo000K
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00/0oooo000K0?ooo`8000002P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo0080oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`090?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`00
6`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0;0?ooo`006`3oool2
000000X0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`8000003@3oool0
01/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool001/0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool001/0oooo0P00000:
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool2000000d0oooo000K0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00/0oooo00060?ooo`D000000`3oool2000000@0oooo0P0000050?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0;0?ooo`00
1`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?oo
o`3oool00000103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00d0oooo00<00000
0?ooo`3oool02`3oool000P0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo00/0oooo00090?ooo`050000003oool0oooo0?ooo`0000000P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo0P0000090?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00`0oooo0P00000=0?ooo`001P3oool01@000000oooo0?ooo`3oool000000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0;0?ooo`001P3oool01@000000
oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0;0?ooo`001`3oool3000000@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02`3oool001/0oooo0P0000090?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00`0oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00d0oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0;0?ooo`006`3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02`3oool0
01/0oooo0P0000090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00`0oooo0P00000=0?ooo`006`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool02`3oool001/0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00/0oooo
000K0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?oo
o`0;0?ooo`006`3oool2000000T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0303oool2000000d0oooo000K0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`0;0?oo
o`006`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3o
ool02`3oool001/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0=0?ooo`030000
003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03@3o
ool00`000000oooo0?ooo`0;0?ooo`006`3oool2000000T0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03@3oool2
000000d0oooo000K0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool00`00
0000oooo0?ooo`0;0?ooo`001P3oool500000080oooo0`0000040?ooo`8000001@3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool02`3oool000L0oooo
00H000000?ooo`3oool000000?ooo`0000030?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<00000
0?ooo`3oool02`3oool000P0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo00/0oooo00090?ooo`030000003oool0oooo00@0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`020?ooo`8000002@3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=
0?ooo`8000003@3oool000H0oooo00H000000?ooo`3oool0oooo0000003oool4000000<0oooo00@0
00000?ooo`3oool00000103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo
00<000000?ooo`3oool02`3oool000H0oooo00L000000?ooo`3oool0oooo0000003oool0000000H0
oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00h0oooo00<000000?ooo`3oool02`3oool000L0oooo0`0000020?ooo`D000000`3oool2000000D0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00/0
oooo000K0?ooo`8000002@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`8000003@3oool001/0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00/0oooo000K
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`09
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0;
0?ooo`006`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?oo
o`3oool02`3oool001/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?ooo`03
0000003oool0oooo00/0oooo000K0?ooo`8000002@3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000d0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`8000003@3oool001/0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`00
00003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000=
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>
0?ooo`030000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool02P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`020?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`05
0000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000d0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000303o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool02`3o
ool001/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`050000003oool0
oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0
oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000
oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>0?oo
o`030000003oool0oooo00/0oooo000K0?ooo`800000203oool00`000000oooo0?ooo`0;0?ooo`05
0000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00D00000
0?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo
0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo
0?ooo`3oool0000000`0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`80
00003@3oool001/0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0;0?ooo`050000
003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo0?oo
o`3oool0000000`0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0?0?ooo`030000
003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02`3o
ool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`05
0000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo
0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00D00000
0?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03`3o
ool00`000000oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`000000
3@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
2P3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0
000000d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0
oooo0?ooo`000000303oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00l0oooo00<0
00000?ooo`3oool02`3oool001/0oooo0P0000080?ooo`030000003oool0oooo00/0oooo00D00000
0?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool00000
00d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo
0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo
0?ooo`3oool000000100oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?oo
o`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool0
1@000000oooo0?ooo`3oool0000000h0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000
003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000h0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?oo
o`3oool000000140oooo00<000000?ooo`3oool02`3oool000L0oooo0`0000040?ooo`800000103o
ool2000000D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0;0?ooo`050000003o
ool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3o
ool0oooo0000000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3o
ool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`050000003oool0oooo0?ooo`00
00003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000
003oool0oooo0?ooo`0000004@3oool00`000000oooo0?ooo`0;0?ooo`001P3oool01@000000oooo
0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`000004
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3o
ool0000000d0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`00
00003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000=
0?ooo`050000003oool0oooo0?ooo`0000003P3oool01@000000oooo0?ooo`3oool0000000d0oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003P3oool01000
0000oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?oo
o`3oool000000140oooo00<000000?ooo`3oool02`3oool000X0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@00
0000oooo0?ooo`3oool0000000h0oooo00@000000?ooo`3oool000003P3oool01@000000oooo0?oo
o`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000003oool0oooo0000
00h0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003@3o
ool01@000000oooo0?ooo`3oool0000000h0oooo00@000000?ooo`3oool000003P3oool01@000000
oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000A0?ooo`030000003oool0
oooo00/0oooo00080?ooo`8000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000@0oooo0P0000080?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo
0000000=0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00000>0?oo
o`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000h0oooo00@0
00000?ooo`3oool000003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3o
ool0oooo0000000=0?ooo`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00
000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool000000100
oooo0P00000=0?ooo`002P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo
0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo
0000000>0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000=0?oo
o`050000003oool0oooo0?ooo`0000003P3oool010000000oooo0?ooo`00000>0?ooo`050000003o
ool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3o
ool0oooo0000000>0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000
000=0?ooo`050000003oool0oooo0?ooo`0000004@3oool00`000000oooo0?ooo`0;0?ooo`001P3o
ool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo0000000=
0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool0000000h0oooo
00@000000?ooo`3oool000003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?oo
o`3oool0oooo0000000>0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo
0000000=0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3oool00000
00h0oooo00@000000?ooo`3oool000003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D0
00000?ooo`3oool0oooo0000000A0?ooo`030000003oool0oooo00/0oooo00070?ooo`<00000103o
ool2000000@0oooo0P0000050?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
3P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3oool0oooo0000000>0?oo
o`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000003o
ool0oooo000000h0oooo00@000000?ooo`3oool000003P3oool01@000000oooo0?ooo`3oool00000
00h0oooo00@000000?ooo`3oool000003@3oool01@000000oooo0?ooo`3oool0000000h0oooo00@0
00000?ooo`3oool000003P3oool01@000000oooo0?ooo`3oool0000000d0oooo00D000000?ooo`3o
ool0oooo0000000A0?ooo`030000003oool0oooo00/0oooo000K0?ooo`800000103oool010000000
oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3o
ool0000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`04
0000003oool0oooo000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00
000?0?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool000003P3oool010000000
oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`0000003@3oool01@000000oooo0?ooo`3o
ool000000100oooo0P00000=0?ooo`006`3oool00`000000oooo0?ooo`030?ooo`040000003oool0
oooo000000h0oooo00D000000?ooo`3oool0oooo0000000>0?ooo`040000003oool0oooo000000h0
oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`040000003oool0
oooo000000h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`03
0000003oool0000000l0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000>
0?ooo`040000003oool0oooo000000h0oooo00D000000?ooo`3oool0oooo0000000A0?ooo`030000
003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00<0oooo00@000000?ooo`3oool00000
3P3oool010000000oooo0?ooo`00000?0?ooo`040000003oool0oooo000000h0oooo00@000000?oo
o`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000l0oooo00@0
00000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000l0
oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0
oooo000000l0oooo00@000000?ooo`3oool000004@3oool00`000000oooo0?ooo`0;0?ooo`006`3o
ool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool0
00003`3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000h0oooo00@00000
0?ooo`3oool000003`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo000000h0oooo
00@000000?ooo`3oool000003`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo0000
00h0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`040000003o
ool0oooo00000140oooo00<000000?ooo`3oool02`3oool001/0oooo00<000000?ooo`3oool00`3o
ool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000l0oooo00@000000?ooo`3o
ool000003P3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000l0oooo00<0
00000?ooo`0000003`3oool010000000oooo0?ooo`00000>0?ooo`040000003oool0oooo000000l0
oooo00<000000?ooo`0000003`3oool010000000oooo0?ooo`00000?0?ooo`030000003oool00000
00h0oooo00@000000?ooo`3oool000003`3oool010000000oooo0?ooo`00000A0?ooo`030000003o
ool0oooo00/0oooo000K0?ooo`8000001@3oool00`000000oooo0000000?0?ooo`030000003oool0
000000l0oooo00@000000?ooo`3oool000003P3oool010000000oooo0?ooo`00000?0?ooo`030000
003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000?0?ooo`040000
003oool0oooo000000l0oooo00<000000?ooo`0000003`3oool010000000oooo0?ooo`00000?0?oo
o`030000003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000A0?oo
o`8000003@3oool001/0oooo00<000000?ooo`3oool0103oool00`000000oooo0000000?0?ooo`03
0000003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`03
0000003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`03
0000003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000@0?ooo`03
0000003oool0000000l0oooo00<000000?ooo`0000003`3oool00`000000oooo0000000B0?ooo`03
0000003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`000000
3`3oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
403oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
403oool00`000000oooo0000000?0?ooo`030000003oool0000000l0oooo00<000000?ooo`000000
403oool200000100oooo00<000000?ooo`0000003`3oool00`000000oooo0000000B0?ooo`030000
003oool0oooo00/0oooo000K0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`0000003`3o
ool00`000000oooo0000000?0?ooo`030000003oool000000100oooo0P00000@0?ooo`030000003o
ool0000000l0oooo00<000000?ooo`000000403oool200000100oooo00<000000?ooo`0000003`3o
ool00`000000oooo0000000?0?ooo`030000003oool000000100oooo0P00000@0?ooo`030000003o
ool0000000l0oooo00<000000?ooo`0000004P3oool00`000000oooo0?ooo`0;0?ooo`006`3oool0
0`000000oooo0?ooo`040?ooo`800000403oool00`000000oooo0000000@0?ooo`800000403oool2
00000100oooo0P00000@0?ooo`<00000403oool200000100oooo0P00000@0?ooo`030000003oool0
00000100oooo0P00000@0?ooo`800000403oool200000140oooo0P00000B0?ooo`030000003oool0
oooo00/0oooo000K0?ooo`8000001@3oool200000100oooo0P00000A0?ooo`800000403oool20000
0100oooo0P00000A0?ooo`800000403oool200000100oooo0P00000A0?ooo`030000003oool0oooo
00l0oooo0P00000@0?ooo`800000403oool200000140oooo0P00000A0?ooo`8000003@3oool001/0
oooo00<000000?ooo`3oool0103oool200000140oooo00<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`0?0?ooo`8000004@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0
oooo0P00000@0?ooo`8000004@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0
oooo0P00000A0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool04@3oool00`000000
oooo0?ooo`0;0?ooo`006`3oool00`000000oooo0?ooo`3d0?ooo`030000003oool0oooo00/0oooo
000K0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02`3oool001/0oooon000000=
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00dP3oool3000004/0oooo003C
0?ooo`030000003oool0oooo04X0oooo001D0?ooo`D0000000D0oooo00000000000000000?ooo`02
00000080oooo0P0000030?ooo`<000000P3oool3000000<0oooo1@0000020?ooo`<000000P3oool3
000000@0oooo0`0000020?ooo`<0000000@0oooo000000000000oooo0`0000030?ooo`<00000203o
ool5000000050?ooo`00000000000000003oool00P0000020?ooo`8000000`3oool300000080oooo
0`0000000`3oool000000000000400000080oooo1@0000030?ooo`800000103oool00`000000oooo
0?ooo`190?ooo`00EP3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo
00H000000?ooo`3oool000000?ooo`0000060?ooo`030000003oool0oooo00@0oooo00D000000?oo
o`3oool0oooo000000060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0103oool0
1P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`0000003@3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo00000080oooo00H000000?ooo`3oool000000?ooo`000006
0?ooo`040000003oool0oooo000000D0oooo00D000000?ooo`3oool0oooo000000040?ooo`040000
003oool0oooo000000<0oooo00<000000?ooo`3oool0B@3oool005H0oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo1@0000020?ooo`03
0000003oool0oooo00@0oooo00@000000?ooo`3oool0oooo1@0000020?ooo`030000003oool0oooo
0080oooo1@0000020?ooo`060000003oool0oooo0000003oool000001@3oool5000000T0oooo00<0
00000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo
1@0000020?ooo`040000003oool0oooo00000080oooo0`0000040?ooo`030000003oool0oooo0080
oooo00<000000?ooo`3oool00`3oool00`000000oooo0000001:0?ooo`00EP3oool00`000000oooo
0?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool000000080oooo0P0000050?ooo`050000003oool0oooo0?ooo`0000000`3oool0
0`000000oooo0?ooo`02000000<0oooo00D000000?ooo`3oool0oooo000000020?ooo`060000003o
ool0oooo0000003oool000000`3oool00`000000oooo000000030?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo
0080oooo00D000000?ooo`3oool0oooo000000020?ooo`060000003oool0oooo0000003oool00000
1`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`000000
BP3oool005H0oooo00@000000?ooo`3oool0oooo100000020?ooo`@000000`3oool300000080oooo
0P0000000`3oool00000000000020?ooo`@000000P3oool300000080oooo0P0000000`3oool00000
000000020?ooo`<000000P3oool4000000<0oooo0`0000030?ooo`<000002P3oool010000000oooo
0?ooo`3oool400000080oooo100000030?ooo`<000000P3oool4000000<0oooo10000000103oool0
00000000000000030?ooo`@000000P3oool2000000030?ooo`000000000004T0oooo001F0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0]0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`1@0?ooo`00
E03oool5000000P0oooo00<000000?ooo`3oool04@3oool2000002/0oooo1@0000080?ooo`030000
003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1@0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-0.00141415, -16.8167, \
4.24814*^-5, 2.16636}},
  CellTags->"More Elaborate Interference Example"]
}, Open  ]]
}, Open  ]],

Cell["FindGratingFunction", "Section"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Diffraction", "Subtitle",
  CellTags->{
  "GaussianPlot", "Three Wavelets with Lens", 
    "PointSpreadFunction and FindField"}],

Cell[CellGroupData[{

Cell["Gaussian Beam Propagation", "Section",
  CellTags->"GaussianPlot"],

Cell[CellGroupData[{

Cell["\<\
opticalsystemoffaxis = {
Move[GaussianBeam[{5.,5.},{.01,.01},SymbolicWaveLength->\[Lambda]],{0,10}],
Move[PlanoConvexLens[{f,100},{a,50},{t,10},DesignWaveLength->.532],{d1,50}],
Move[Mirror[20],175,-45],
Move[Screen[50],{175,50},90]};
ShowSystem[opticalsystemoffaxis, ShowGaussian->True];\
\>", "Input",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .63055 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics3D
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
-0.0176837 1.01768 -0.170106 1.01768 [
[ 0 0 0 0 ]
[ 1 .63055 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 0 m
1 0 L
1 .63055 L
0 .63055 L
closepath
clip
newpath
.039 .916 .04 r
1 Mabswid
[ ] 0 setdash
.12975 .46098 m
.14027 .45766 L
s
.12783 .45935 m
.12852 .45997 L
s
.12714 .45874 m
.12783 .45935 L
s
.11954 .43344 m
.13002 .43 L
s
.12645 .45812 m
.12714 .45874 L
s
.11933 .43518 m
.11925 .43621 L
s
.12576 .4575 m
.12645 .45812 L
s
.11925 .43621 m
.11917 .43724 L
s
.14027 .45766 m
.15082 .45433 L
s
.12506 .45688 m
.12576 .4575 L
s
.11917 .43724 m
.11909 .43827 L
s
.11909 .43827 m
.11901 .4393 L
s
.12437 .45626 m
.12506 .45688 L
s
.11901 .4393 m
.11893 .44033 L
s
.12367 .45564 m
.12437 .45626 L
s
.13002 .43 m
.14054 .42654 L
s
.11893 .44033 m
.11884 .44136 L
s
.12298 .45502 m
.12367 .45564 L
s
.11884 .44136 m
.11876 .4424 L
s
.12228 .4544 m
.12298 .45502 L
s
.14362 .45436 m
.14431 .45499 L
s
.11876 .4424 m
.11868 .44343 L
s
.12158 .45379 m
.12228 .4544 L
s
.14293 .45374 m
.14362 .45436 L
s
.15082 .45433 m
.1614 .451 L
s
.11868 .44343 m
.11859 .44447 L
s
.11859 .44447 m
.11851 .4455 L
s
.12088 .45317 m
.12158 .45379 L
s
.14224 .45311 m
.14293 .45374 L
s
.13507 .43002 m
.13499 .43106 L
s
.11851 .4455 m
.11842 .44654 L
s
.12018 .45255 m
.12088 .45317 L
s
.14154 .45249 m
.14224 .45311 L
s
.13499 .43106 m
.13491 .43209 L
s
.11842 .44654 m
.11834 .44757 L
s
.14054 .42654 m
.15108 .42308 L
s
.11948 .45193 m
.12018 .45255 L
s
.14085 .45187 m
.14154 .45249 L
s
.13491 .43209 m
.13484 .43313 L
s
.11834 .44757 m
.11825 .44861 L
s
.11878 .45131 m
.11948 .45193 L
s
.13484 .43313 m
.13476 .43416 L
s
.14016 .45124 m
.14085 .45187 L
s
.11825 .44861 m
.11816 .44965 L
s
.13476 .43416 m
.13468 .4352 L
s
.11807 .45069 m
.11878 .45131 L
s
.13946 .45062 m
.14016 .45124 L
s
.11816 .44965 m
.11807 .45069 L
s
.1614 .451 m
.17202 .44765 L
s
.13468 .4352 m
.1346 .43624 L
s
.11807 .45069 m
.11798 .45172 L
s
.11737 .45007 m
.11807 .45069 L
s
.13876 .44999 m
.13946 .45062 L
s
.1346 .43624 m
.13452 .43728 L
s
.11798 .45172 m
.11789 .45276 L
s
.11666 .44944 m
.11737 .45007 L
s
.13807 .44937 m
.13876 .44999 L
s
.15948 .44935 m
.16017 .44998 L
s
.13452 .43728 m
.13444 .43832 L
s
.11789 .45276 m
.1178 .45381 L
s
.11596 .44882 m
.11666 .44944 L
s
.13737 .44874 m
.13807 .44937 L
s
.15879 .44872 m
.15948 .44935 L
s
.13444 .43832 m
.13436 .43936 L
s
.15108 .42308 m
.16166 .4196 L
s
.1178 .45381 m
.11771 .45485 L
s
.11525 .4482 m
.11596 .44882 L
s
.13436 .43936 m
.13428 .4404 L
s
.13667 .44812 m
.13737 .44874 L
s
.1581 .44809 m
.15879 .44872 L
s
.11771 .45485 m
.11762 .45589 L
s
.15088 .42484 m
.1508 .42588 L
s
.13428 .4404 m
.13419 .44144 L
s
.11454 .44758 m
.11525 .4482 L
s
.13597 .44749 m
.13667 .44812 L
s
.11762 .45589 m
.11753 .45693 L
s
.15741 .44746 m
.1581 .44809 L
s
.1508 .42588 m
.15073 .42692 L
s
.13419 .44144 m
.13411 .44248 L
s
.17202 .44765 m
.18267 .4443 L
s
.11753 .45693 m
.11744 .45797 L
s
.11383 .44696 m
.11454 .44758 L
s
.13526 .44687 m
.13597 .44749 L
s
.15671 .44683 m
.15741 .44746 L
s
.15073 .42692 m
.15066 .42796 L
s
.13411 .44248 m
.13403 .44353 L
s
.11744 .45797 m
.11734 .45902 L
s
.11312 .44634 m
.11383 .44696 L
s
.13456 .44624 m
.13526 .44687 L
s
.15066 .42796 m
.15058 .429 L
s
.15602 .4462 m
.15671 .44683 L
s
.13403 .44353 m
.13394 .44457 L
s
.11734 .45902 m
.11725 .46006 L
s
.11241 .44572 m
.11312 .44634 L
s
.15058 .429 m
.15051 .43005 L
s
.13386 .44561 m
.13456 .44624 L
s
.15532 .44557 m
.15602 .4462 L
s
.13394 .44457 m
.13386 .44561 L
s
.11725 .46006 m
.11716 .46111 L
s
.16166 .4196 m
.17227 .41612 L
s
.15051 .43005 m
.15043 .43109 L
s
.1117 .4451 m
.11241 .44572 L
s
.13386 .44561 m
.13377 .44666 L
s
.13315 .44499 m
.13386 .44561 L
s
.15462 .44494 m
.15532 .44557 L
s
.11716 .46111 m
.11706 .46215 L
s
.15043 .43109 m
.15035 .43214 L
s
.11098 .44447 m
.1117 .4451 L
s
.13377 .44666 m
.13369 .44771 L
s
.11706 .46215 m
.11696 .4632 L
s
.13245 .44436 m
.13315 .44499 L
s
.17542 .44431 m
.17611 .44494 L
s
.15393 .44431 m
.15462 .44494 L
s
.15035 .43214 m
.15028 .43318 L
s
.13369 .44771 m
.1336 .44875 L
s
.11696 .4632 m
.11687 .46425 L
s
.11027 .44385 m
.11098 .44447 L
s
.13174 .44374 m
.13245 .44436 L
s
.17473 .44367 m
.17542 .44431 L
s
.15323 .44368 m
.15393 .44431 L
s
.18267 .4443 m
.19335 .44093 L
s
.15028 .43318 m
.1502 .43423 L
s
.1336 .44875 m
.13351 .4498 L
s
.11687 .46425 m
.11677 .4653 L
s
.10955 .44323 m
.11027 .44385 L
s
.13103 .44311 m
.13174 .44374 L
s
.1502 .43423 m
.15012 .43527 L
s
.15253 .44305 m
.15323 .44368 L
s
.17403 .44304 m
.17473 .44367 L
s
.13351 .4498 m
.13342 .45085 L
s
.11677 .4653 m
.11667 .46634 L
s
.16676 .41963 m
.16669 .42068 L
s
.10884 .44261 m
.10955 .44323 L
s
.15012 .43527 m
.15004 .43632 L
s
.13032 .44248 m
.13103 .44311 L
s
.15183 .44241 m
.15253 .44305 L
s
.17334 .4424 m
.17403 .44304 L
s
.13342 .45085 m
.13333 .4519 L
s
.16669 .42068 m
.16662 .42172 L
s
.15004 .43632 m
.14996 .43737 L
s
.10812 .44199 m
.10884 .44261 L
s
.17227 .41612 m
.18291 .41262 L
s
.13333 .4519 m
.13324 .45294 L
s
.12961 .44186 m
.13032 .44248 L
s
.15112 .44178 m
.15183 .44241 L
s
.17265 .44177 m
.17334 .4424 L
s
.16662 .42172 m
.16655 .42277 L
s
.14996 .43737 m
.14988 .43842 L
s
.11659 .46807 m
.12714 .46476 L
s
.1074 .44136 m
.10812 .44199 L
s
.13324 .45294 m
.13315 .45399 L
s
.1289 .44123 m
.12961 .44186 L
s
.15042 .44115 m
.15112 .44178 L
s
.16655 .42277 m
.16648 .42382 L
s
.17195 .44113 m
.17265 .44177 L
s
.14988 .43842 m
.1498 .43947 L
s
.13315 .45399 m
.13306 .45505 L
s
.16648 .42382 m
.16641 .42487 L
s
.12819 .4406 m
.1289 .44123 L
s
.14972 .44052 m
.15042 .44115 L
s
.17126 .4405 m
.17195 .44113 L
s
.1498 .43947 m
.14972 .44052 L
s
.19335 .44093 m
.20406 .43755 L
s
.13306 .45505 m
.13297 .4561 L
s
.16641 .42487 m
.16633 .42592 L
s
.12748 .43997 m
.12819 .4406 L
s
.14972 .44052 m
.14963 .44157 L
s
.14901 .43989 m
.14972 .44052 L
s
.17056 .43986 m
.17126 .4405 L
s
.13297 .4561 m
.13288 .45715 L
s
.10628 .4403 m
.1168 .43686 L
s
.16633 .42592 m
.16626 .42697 L
s
.14963 .44157 m
.14955 .44262 L
s
.12677 .43935 m
.12748 .43997 L
s
.19143 .43925 m
.19212 .43989 L
s
.14831 .43926 m
.14901 .43989 L
s
.13288 .45715 m
.13279 .4582 L
s
.16986 .43922 m
.17056 .43986 L
s
.16626 .42697 m
.16619 .42802 L
s
.14955 .44262 m
.14947 .44367 L
s
.13279 .4582 m
.13269 .45925 L
s
.12605 .43872 m
.12677 .43935 L
s
.1476 .43862 m
.14831 .43926 L
s
.19074 .43861 m
.19143 .43925 L
s
.16916 .43859 m
.16986 .43922 L
s
.18291 .41262 m
.19359 .40911 L
s
.16619 .42802 m
.16611 .42907 L
s
.14947 .44367 m
.14938 .44473 L
s
.13269 .45925 m
.1326 .46031 L
s
.12534 .43809 m
.12605 .43872 L
s
.14689 .43799 m
.1476 .43862 L
s
.19004 .43797 m
.19074 .43861 L
s
.12714 .46476 m
.13773 .46143 L
s
.16611 .42907 m
.16604 .43013 L
s
.16846 .43795 m
.16916 .43859 L
s
.14938 .44473 m
.1493 .44578 L
s
.1326 .46031 m
.13251 .46136 L
s
.18272 .4144 m
.18265 .41545 L
s
.12462 .43746 m
.12534 .43809 L
s
.16604 .43013 m
.16596 .43118 L
s
.14618 .43736 m
.14689 .43799 L
s
.18935 .43732 m
.19004 .43797 L
s
.16776 .43731 m
.16846 .43795 L
s
.1493 .44578 m
.14921 .44684 L
s
.18265 .41545 m
.18259 .41651 L
s
.20406 .43755 m
.21481 .43416 L
s
.16596 .43118 m
.16588 .43223 L
s
.1239 .43683 m
.12462 .43746 L
s
.14921 .44684 m
.14913 .44789 L
s
.14547 .43673 m
.14618 .43736 L
s
.18866 .43668 m
.18935 .43732 L
s
.16706 .43668 m
.16776 .43731 L
s
.18259 .41651 m
.18252 .41756 L
s
.16588 .43223 m
.16581 .43329 L
s
.1168 .43686 m
.12734 .4334 L
s
.12318 .43621 m
.1239 .43683 L
s
.14913 .44789 m
.14904 .44895 L
s
.14476 .43609 m
.14547 .43673 L
s
.18252 .41756 m
.18245 .41861 L
s
.18796 .43604 m
.18866 .43668 L
s
.16636 .43604 m
.16706 .43668 L
s
.16581 .43329 m
.16573 .43434 L
s
.14904 .44895 m
.14895 .45 L
s
.18245 .41861 m
.18238 .41967 L
s
.14405 .43546 m
.14476 .43609 L
s
.18726 .4354 m
.18796 .43604 L
s
.16565 .4354 m
.16636 .43604 L
s
.16573 .43434 m
.16565 .4354 L
s
.14895 .45 m
.14886 .45106 L
s
.19359 .40911 m
.2043 .40559 L
s
.18238 .41967 m
.18231 .42072 L
s
.14334 .43483 m
.14405 .43546 L
s
.16565 .4354 m
.16557 .43646 L
s
.16495 .43476 m
.16565 .4354 L
s
.18657 .43476 m
.18726 .4354 L
s
.14886 .45106 m
.14878 .45212 L
s
.13773 .46143 m
.14834 .4581 L
s
.18231 .42072 m
.18224 .42178 L
s
.16557 .43646 m
.16549 .43752 L
s
.14262 .43419 m
.14334 .43483 L
s
.20751 .43416 m
.2082 .43481 L
s
.16424 .43413 m
.16495 .43476 L
s
.18587 .43412 m
.18657 .43476 L
s
.14878 .45212 m
.14869 .45318 L
s
.18224 .42178 m
.18217 .42284 L
s
.16549 .43752 m
.16541 .43857 L
s
.14869 .45318 m
.1486 .45424 L
s
.14191 .43356 m
.14262 .43419 L
s
.21481 .43416 m
.22559 .43077 L
s
.20682 .43352 m
.20751 .43416 L
s
.16353 .43349 m
.16424 .43413 L
s
.18517 .43347 m
.18587 .43412 L
s
.18217 .42284 m
.1821 .4239 L
s
.16541 .43857 m
.16533 .43963 L
s
0 g
.5 Mabswid
.34761 .36764 m
.33968 .34132 L
s
.33968 .34132 m
.35273 .33706 L
s
.33968 .34132 m
.329 .31643 L
s
.039 .916 .04 r
1 Mabswid
.1486 .45424 m
.1485 .4553 L
s
.14119 .43293 m
.14191 .43356 L
s
.20613 .43287 m
.20682 .43352 L
s
.16282 .43285 m
.16353 .43349 L
s
.1821 .4239 m
.18203 .42495 L
s
.18447 .43283 m
.18517 .43347 L
s
.12734 .4334 m
.13792 .42994 L
s
.16533 .43963 m
.16525 .44069 L
s
.19875 .40914 m
.19869 .4102 L
s
.1485 .4553 m
.14841 .45636 L
s
0 g
.5 Mabswid
.35229 .39376 m
.34761 .36764 L
s
.34761 .36764 m
.36068 .36343 L
s
.039 .916 .04 r
1 Mabswid
.18203 .42495 m
.18196 .42601 L
s
.14047 .43229 m
.14119 .43293 L
s
.20543 .43222 m
.20613 .43287 L
s
.16212 .43221 m
.16282 .43285 L
s
.18377 .43219 m
.18447 .43283 L
s
.16525 .44069 m
.16517 .44175 L
s
.19869 .4102 m
.19862 .41126 L
s
.18196 .42601 m
.18188 .42707 L
s
.2043 .40559 m
.21504 .40207 L
s
.13976 .43166 m
.14047 .43229 L
s
.20474 .43157 m
.20543 .43222 L
s
.16517 .44175 m
.16508 .44281 L
s
.1614 .43157 m
.16212 .43221 L
s
.18307 .43154 m
.18377 .43219 L
s
.19862 .41126 m
.19856 .41232 L
s
.18188 .42707 m
.18181 .42813 L
s
.14834 .4581 m
.15899 .45476 L
s
.16508 .44281 m
.165 .44388 L
s
.13904 .43102 m
.13976 .43166 L
s
.19856 .41232 m
.1985 .41338 L
s
.20404 .43093 m
.20474 .43157 L
s
.16069 .43093 m
.1614 .43157 L
s
.18236 .4309 m
.18307 .43154 L
s
.18181 .42813 m
.18173 .4292 L
s
.165 .44388 m
.16492 .44494 L
s
.1985 .41338 m
.19843 .41444 L
s
.15998 .43029 m
.16069 .43093 L
s
.20335 .43028 m
.20404 .43093 L
s
.18166 .43026 m
.18236 .4309 L
s
.18173 .4292 m
.18166 .43026 L
s
.22559 .43077 m
.23641 .42736 L
s
.16492 .44494 m
.16483 .446 L
s
.19843 .41444 m
.19836 .4155 L
s
.15927 .42966 m
.15998 .43029 L
s
.20265 .42963 m
.20335 .43028 L
s
.18166 .43026 m
.18158 .43132 L
s
.18095 .42961 m
.18166 .43026 L
s
.16483 .446 m
.16474 .44707 L
s
.19836 .4155 m
.1983 .41657 L
s
.13792 .42994 m
.14853 .42646 L
s
0 g
.5 Mabswid
.329 .31643 m
.34205 .31211 L
s
.329 .31643 m
.31621 .29452 L
s
.039 .916 .04 r
1 Mabswid
.18158 .43132 m
.18151 .43238 L
s
.22367 .42905 m
.22436 .42971 L
s
.15855 .42902 m
.15927 .42966 L
s
.20195 .42898 m
.20265 .42963 L
s
0 g
.5 Mabswid
.35273 .33706 m
.36068 .36343 L
s
.34205 .31211 m
.35273 .33706 L
s
.039 .916 .04 r
1 Mabswid
.18025 .42897 m
.18095 .42961 L
s
.16474 .44707 m
.16466 .44813 L
s
.1983 .41657 m
.19823 .41763 L
s
.18151 .43238 m
.18143 .43345 L
s
.22298 .4284 m
.22367 .42905 L
s
.16466 .44813 m
.16457 .4492 L
s
.15784 .42838 m
.15855 .42902 L
s
.20125 .42834 m
.20195 .42898 L
s
.17954 .42833 m
.18025 .42897 L
s
.21504 .40207 m
.22582 .39853 L
s
0 g
.5 Mabswid
.36068 .36343 m
.3654 .38958 L
s
.039 .916 .04 r
1 Mabswid
.19823 .41763 m
.19816 .41869 L
s
.18143 .43345 m
.18135 .43451 L
s
.16457 .4492 m
.16448 .45026 L
s
.22229 .42775 m
.22298 .4284 L
s
.15712 .42774 m
.15784 .42838 L
s
.19816 .41869 m
.19809 .41976 L
s
.20055 .42769 m
.20125 .42834 L
s
.17883 .42768 m
.17954 .42833 L
s
.15899 .45476 m
.16968 .4514 L
s
.18135 .43451 m
.18127 .43558 L
s
.21486 .40387 m
.2148 .40493 L
s
.16448 .45026 m
.1644 .45133 L
s
.19809 .41976 m
.19803 .42082 L
s
.22159 .4271 m
.22229 .42775 L
s
.1564 .4271 m
.15712 .42774 L
s
.19985 .42704 m
.20055 .42769 L
s
.17812 .42704 m
.17883 .42768 L
s
0 g
.5 Mabswid
.35229 .39376 m
.3654 .38958 L
s
.039 .916 .04 r
1 Mabswid
.18127 .43558 m
.18119 .43665 L
s
.2148 .40493 m
.21474 .40599 L
s
.23641 .42736 m
.24725 .42394 L
s
.19803 .42082 m
.19796 .42189 L
s
.15569 .42646 m
.1564 .4271 L
s
.2209 .42644 m
.22159 .4271 L
s
.18119 .43665 m
.18112 .43771 L
s
.17741 .42639 m
.17812 .42704 L
s
.19915 .42639 m
.19985 .42704 L
s
.21474 .40599 m
.21468 .40706 L
s
.19796 .42189 m
.19789 .42296 L
s
.18112 .43771 m
.18103 .43878 L
s
.14853 .42646 m
.15918 .42298 L
s
.15497 .42582 m
.15569 .42646 L
s
.21468 .40706 m
.21462 .40812 L
s
.2202 .42579 m
.2209 .42644 L
s
.1767 .42575 m
.17741 .42639 L
s
.19845 .42574 m
.19915 .42639 L
s
.19789 .42296 m
.19781 .42402 L
s
.18103 .43878 m
.18095 .43985 L
s
.21462 .40812 m
.21455 .40919 L
s
.21951 .42514 m
.2202 .42579 L
s
.17599 .4251 m
.1767 .42575 L
s
.19774 .42509 m
.19845 .42574 L
s
0 g
.5 Mabswid
.32928 .29015 m
.34205 .31211 L
s
.039 .916 .04 r
1 Mabswid
.19781 .42402 m
.19774 .42509 L
s
.22582 .39853 m
.23662 .39497 L
s
.18095 .43985 m
.18087 .44092 L
s
.21455 .40919 m
.21449 .41026 L
s
.21881 .42448 m
.21951 .42514 L
s
.17527 .42446 m
.17599 .4251 L
s
.19774 .42509 m
.19767 .42616 L
s
.19704 .42444 m
.19774 .42509 L
s
.18087 .44092 m
.18079 .44199 L
s
.21449 .41026 m
.21443 .41133 L
s
.16968 .4514 m
.1804 .44804 L
s
.2399 .42392 m
.24059 .42458 L
s
.19767 .42616 m
.1976 .42723 L
s
.21811 .42383 m
.21881 .42448 L
s
.17456 .42381 m
.17527 .42446 L
s
.19633 .42379 m
.19704 .42444 L
s
.18079 .44199 m
.18071 .44306 L
s
.21443 .41133 m
.21437 .4124 L
s
.1976 .42723 m
.19752 .4283 L
s
.24725 .42394 m
.25813 .42051 L
s
.23921 .42326 m
.2399 .42392 L
s
.21741 .42317 m
.21811 .42383 L
s
.18071 .44306 m
.18062 .44413 L
s
.17384 .42317 m
.17456 .42381 L
s
.19562 .42314 m
.19633 .42379 L
s
.21437 .4124 m
.2143 .41347 L
s
.19752 .4283 m
.19745 .42937 L
s
.18062 .44413 m
.18054 .4452 L
s
.23852 .4226 m
.23921 .42326 L
s
.2143 .41347 m
.21424 .41454 L
s
.21671 .42252 m
.21741 .42317 L
s
.17313 .42252 m
.17384 .42317 L
s
.19492 .42249 m
.19562 .42314 L
s
.15918 .42298 m
.16986 .41948 L
s
.23104 .39856 m
.23098 .39963 L
s
.19745 .42937 m
.19737 .43044 L
s
.18054 .4452 m
.18045 .44628 L
s
.21424 .41454 m
.21417 .41561 L
s
.23783 .42195 m
.23852 .4226 L
s
.17241 .42188 m
.17313 .42252 L
s
.21601 .42186 m
.21671 .42252 L
s
.19421 .42184 m
.19492 .42249 L
s
.23098 .39963 m
.23093 .4007 L
s
.19737 .43044 m
.1973 .43151 L
s
.23662 .39497 m
.24747 .39141 L
s
.21417 .41561 m
.2141 .41668 L
s
.23713 .42129 m
.23783 .42195 L
s
.17169 .42123 m
.17241 .42188 L
s
.21531 .42121 m
.21601 .42186 L
s
.1973 .43151 m
.19722 .43259 L
s
.1935 .42119 m
.19421 .42184 L
s
.23093 .4007 m
.23087 .40177 L
s
.2141 .41668 m
.21404 .41775 L
s
0 g
.5 Mabswid
.31621 .29452 m
.32928 .29015 L
s
.039 .916 .04 r
1 Mabswid
.19722 .43259 m
.19715 .43366 L
s
.23087 .40177 m
.23081 .40284 L
s
.23644 .42063 m
.23713 .42129 L
s
.1804 .44804 m
.19115 .44466 L
s
.17097 .42059 m
.17169 .42123 L
s
.21461 .42055 m
.21531 .42121 L
s
.19278 .42054 m
.1935 .42119 L
s
.21404 .41775 m
.21397 .41883 L
s
.19715 .43366 m
.19707 .43474 L
s
.23081 .40284 m
.23075 .40392 L
s
.23574 .41997 m
.23644 .42063 L
s
.2139 .4199 m
.21461 .42055 L
s
.19207 .41989 m
.19278 .42054 L
s
.25813 .42051 m
.26905 .41707 L
s
.21397 .41883 m
.2139 .4199 L
s
.19707 .43474 m
.19699 .43581 L
s
.23075 .40392 m
.2307 .40499 L
s
.23505 .41931 m
.23574 .41997 L
s
.2139 .4199 m
.21383 .42097 L
s
.2132 .41924 m
.2139 .4199 L
s
.19136 .41924 m
.19207 .41989 L
s
.19699 .43581 m
.19691 .43689 L
s
.2307 .40499 m
.23064 .40606 L
s
.16986 .41948 m
.18057 .41597 L
s
.25621 .41877 m
.2569 .41943 L
s
.21383 .42097 m
.21376 .42205 L
s
.23435 .41865 m
.23505 .41931 L
s
.21249 .41859 m
.2132 .41924 L
s
.19064 .41859 m
.19136 .41924 L
s
.19691 .43689 m
.19683 .43796 L
s
.23064 .40606 m
.23058 .40714 L
s
.21376 .42205 m
.21369 .42313 L
s
.25552 .4181 m
.25621 .41877 L
s
.24747 .39141 m
.25834 .38784 L
s
.23365 .41799 m
.23435 .41865 L
s
.19683 .43796 m
.19675 .43904 L
s
.21178 .41793 m
.21249 .41859 L
s
.18993 .41794 m
.19064 .41859 L
s
.23058 .40714 m
.23052 .40821 L
s
.21369 .42313 m
.21362 .4242 L
s
.25483 .41744 m
.25552 .4181 L
s
.19675 .43904 m
.19667 .44012 L
s
.32184 .40443 m .36657 .41389 L .35341 .41804 L .656 .751 .92 r
F
0 g
.5 Mabswid
.35084 .43892 m
.35341 .41804 L
s
.35229 .39376 m
.35309 .41104 L
s
.039 .916 .04 r
1 Mabswid
.23052 .40821 m
.23045 .40929 L
s
.23295 .41733 m
.23365 .41799 L
s
.18921 .41729 m
.18993 .41794 L
s
.21107 .41728 m
.21178 .41793 L
s
.19115 .44466 m
.20193 .44128 L
s
.2473 .39323 m
.24724 .39431 L
s
.21362 .4242 m
.21355 .42528 L
s
.19667 .44012 m
.19659 .4412 L
s
.23045 .40929 m
.23039 .41037 L
s
.25414 .41677 m
.25483 .41744 L
s
.23225 .41667 m
.23295 .41733 L
s
.18849 .41663 m
.18921 .41729 L
s
.21037 .41662 m
.21107 .41728 L
s
.24724 .39431 m
.24719 .39538 L
s
.21355 .42528 m
.21348 .42636 L
s
.26905 .41707 m
.28 .41362 L
s
.23039 .41037 m
.23033 .41145 L
s
.25344 .41611 m
.25414 .41677 L
s
.23155 .41601 m
.23225 .41667 L
s
.24719 .39538 m
.24714 .39646 L
s
.18777 .41598 m
.18849 .41663 L
s
.21348 .42636 m
.21341 .42744 L
s
.20965 .41596 m
.21037 .41662 L
s
.23033 .41145 m
.23027 .41252 L
s
.24714 .39646 m
.24708 .39754 L
s
.25275 .41544 m
.25344 .41611 L
s
.21341 .42744 m
.21333 .42852 L
s
.23084 .41534 m
.23155 .41601 L
s
.18705 .41533 m
.18777 .41598 L
s
.18057 .41597 m
.19132 .41245 L
s
.20894 .41531 m
.20965 .41596 L
s
.23027 .41252 m
.2302 .4136 L
s
.24708 .39754 m
.24703 .39862 L
s
.21333 .42852 m
.21326 .4296 L
s
.25205 .41478 m
.25275 .41544 L
s
.23014 .41468 m
.23084 .41534 L
s
.20823 .41465 m
.20894 .41531 L
s
.2302 .4136 m
.23014 .41468 L
s
.25834 .38784 m
.26926 .38425 L
s
.24703 .39862 m
.24698 .3997 L
s
.21326 .4296 m
.21318 .43068 L
s
.25136 .41411 m
.25205 .41478 L
s
.23014 .41468 m
.23007 .41576 L
s
.22943 .41402 m
.23014 .41468 L
s
.20752 .41399 m
.20823 .41465 L
s
.24698 .3997 m
.24692 .40078 L
s
.21318 .43068 m
.21311 .43176 L
s
.20193 .44128 m
.21276 .43788 L
s
.2726 .41359 m
.27329 .41426 L
s
.23007 .41576 m
.23001 .41685 L
s
.25066 .41344 m
.25136 .41411 L
s
.22873 .41336 m
.22943 .41402 L
s
.2068 .41334 m
.20752 .41399 L
s
.32184 .40443 m .34854 .39593 L .36657 .41389 L .656 .751 .92 r
F
0 g
.5 Mabswid
.36408 .43479 m
.36657 .41389 L
s
.3654 .38958 m
.36657 .41389 L
s
.35341 .41804 m
.36657 .41389 L
s
.039 .916 .04 r
1 Mabswid
.24692 .40078 m
.24686 .40186 L
s
.21311 .43176 m
.21303 .43285 L
s
.28 .41362 m
.29098 .41016 L
s
.27191 .41291 m
.2726 .41359 L
s
.23001 .41685 m
.22994 .41793 L
s
.24996 .41278 m
.25066 .41344 L
s
.22802 .4127 m
.22873 .41336 L
s
.21303 .43285 m
.21296 .43393 L
s
.20609 .41268 m
.2068 .41334 L
s
.24686 .40186 m
.24681 .40294 L
s
.22994 .41793 m
.22987 .41901 L
s
.27122 .41224 m
.27191 .41291 L
s
.21296 .43393 m
.21288 .43501 L
s
.24681 .40294 m
.24675 .40402 L
s
.24926 .41211 m
.24996 .41278 L
s
.22731 .41204 m
.22802 .4127 L
s
.20537 .41202 m
.20609 .41268 L
s
.26363 .38788 m
.26358 .38896 L
s
.22987 .41901 m
.2298 .4201 L
s
.19132 .41245 m
.2021 .40892 L
s
.21288 .43501 m
.2128 .4361 L
s
.27052 .41157 m
.27122 .41224 L
s
.24675 .40402 m
.24669 .4051 L
s
.24856 .41144 m
.24926 .41211 L
s
.2266 .41138 m
.22731 .41204 L
s
.26358 .38896 m
.26353 .39004 L
s
.20465 .41137 m
.20537 .41202 L
s
.2298 .4201 m
.22974 .42118 L
s
.26926 .38425 m
.2802 .38066 L
s
.24669 .4051 m
.24663 .40619 L
s
.26983 .4109 m
.27052 .41157 L
s
.26353 .39004 m
.26348 .39112 L
s
.24786 .41078 m
.24856 .41144 L
s
.22974 .42118 m
.22967 .42226 L
s
.22589 .41071 m
.2266 .41138 L
s
.20393 .41071 m
.20465 .41137 L
s
.24663 .40619 m
.24657 .40727 L
s
.26348 .39112 m
.26343 .39221 L
s
.26914 .41023 m
.26983 .4109 L
s
.22967 .42226 m
.2296 .42335 L
s
.24715 .41011 m
.24786 .41078 L
s
.21276 .43788 m
.22361 .43447 L
s
.22518 .41005 m
.22589 .41071 L
s
.20321 .41005 m
.20393 .41071 L
s
.24657 .40727 m
.24651 .40836 L
s
.26343 .39221 m
.26338 .39329 L
s
.2296 .42335 m
.22953 .42444 L
s
.26844 .40956 m
.26914 .41023 L
s
.29098 .41016 m
.302 .40668 L
s
.24645 .40944 m
.24715 .41011 L
s
.22447 .40939 m
.22518 .41005 L
s
.24651 .40836 m
.24645 .40944 L
s
.26338 .39329 m
.26333 .39438 L
s
.22953 .42444 m
.22946 .42552 L
s
.26774 .40889 m
.26844 .40956 L
s
.24645 .40944 m
.24639 .41053 L
s
.24575 .40878 m
.24645 .40944 L
s
.22375 .40872 m
.22447 .40939 L
s
.26333 .39438 m
.26328 .39546 L
s
.22946 .42552 m
.22938 .42661 L
s
.3021 .27701 m .31402 .30103 L .28738 .30992 L .539 .317 .527 r
F
.3021 .27701 m .31522 .27258 L .31402 .30103 L F
0 g
.5 Mabswid
.31439 .29227 m
.31621 .29452 L
s
.3021 .27701 m
.31522 .27258 L
s
.31522 .27258 m
.32928 .29015 L
s
.28755 .26509 m
.3021 .27701 L
s
.039 .916 .04 r
1 Mabswid
.28906 .40838 m
.28975 .40906 L
s
.2021 .40892 m
.21291 .40538 L
s
.24639 .41053 m
.24633 .41162 L
s
.26705 .40821 m
.26774 .40889 L
s
.24504 .40811 m
.24575 .40878 L
s
.22304 .40806 m
.22375 .40872 L
s
.26328 .39546 m
.26323 .39655 L
s
.22938 .42661 m
.22931 .4277 L
s
.28837 .4077 m
.28906 .40838 L
s
.24633 .41162 m
.24626 .41271 L
s
.2802 .38066 m
.29118 .37705 L
s
.26635 .40754 m
.26705 .40821 L
s
.24433 .40744 m
.24504 .40811 L
s
.26323 .39655 m
.26317 .39764 L
s
.22931 .4277 m
.22924 .42879 L
s
.22232 .4074 m
.22304 .40806 L
s
.24626 .41271 m
.2462 .41379 L
s
.28768 .40703 m
.28837 .4077 L
s
.26317 .39764 m
.26312 .39873 L
s
.26565 .40687 m
.26635 .40754 L
s
.22924 .42879 m
.22916 .42988 L
s
.24362 .40677 m
.24433 .40744 L
s
.22161 .40673 m
.22232 .4074 L
s
.28004 .3825 m
.28 .38358 L
s
.22361 .43447 m
.2345 .43106 L
s
.2462 .41379 m
.24614 .41488 L
s
.28699 .40635 m
.28768 .40703 L
s
.26312 .39873 m
.26307 .39981 L
s
.22916 .42988 m
.22909 .43097 L
s
.26495 .4062 m
.26565 .40687 L
s
.28 .38358 m
.27995 .38467 L
s
.24291 .4061 m
.24362 .40677 L
s
.22089 .40607 m
.22161 .40673 L
s
.24614 .41488 m
.24607 .41598 L
s
.26307 .39981 m
.26301 .4009 L
s
.2863 .40567 m
.28699 .40635 L
s
.27995 .38467 m
.27991 .38576 L
s
.26425 .40552 m
.26495 .4062 L
s
.24607 .41598 m
.246 .41707 L
s
.2422 .40544 m
.24291 .4061 L
s
.22017 .40541 m
.22089 .40607 L
s
.26301 .4009 m
.26295 .40199 L
s
.27991 .38576 m
.27986 .38685 L
s
.2856 .40499 m
.2863 .40567 L
s
.246 .41707 m
.24594 .41816 L
s
.26354 .40485 m
.26425 .40552 L
s
.24149 .40477 m
.2422 .40544 L
s
.21945 .40474 m
.22017 .40541 L
s
.21291 .40538 m
.22376 .40183 L
s
.26295 .40199 m
.2629 .40309 L
s
.27986 .38685 m
.27981 .38794 L
s
.28491 .40432 m
.2856 .40499 L
s
.24594 .41816 m
.24587 .41925 L
s
0 g
.5 Mabswid
.30073 .26061 m
.31522 .27258 L
s
.039 .916 .04 r
1 Mabswid
.26284 .40418 m
.26354 .40485 L
s
.29118 .37705 m
.30216 .37343 L
s
.24078 .4041 m
.24149 .40477 L
s
.2629 .40309 m
.26284 .40418 L
s
0 g
.5 Mabswid
.34469 .455 m
.35084 .43892 L
s
.35084 .43892 m
.36408 .43479 L
s
.039 .916 .04 r
1 Mabswid
.27981 .38794 m
.27976 .38903 L
s
.24587 .41925 m
.2458 .42034 L
s
.29573 .38878 m .34854 .39593 L .32184 .40443 L .656 .751 .92 r
F
.039 .916 .04 r
.302 .40668 m
.3144 .40283 L
s
0 g
.5 Mabswid
.32184 .40443 m
.35341 .41804 L
s
.039 .916 .04 r
1 Mabswid
.28421 .40364 m
.28491 .40432 L
s
.26284 .40418 m
.26278 .40527 L
s
.26214 .4035 m
.26284 .40418 L
s
.24007 .40343 m
.24078 .4041 L
s
.27976 .38903 m
.27972 .39012 L
s
.2458 .42034 m
.24574 .42144 L
s
.3056 .40315 m
.30629 .40383 L
s
.2345 .43106 m
.24542 .42763 L
s
.28351 .40296 m
.28421 .40364 L
s
.26278 .40527 m
.26272 .40636 L
s
.26143 .40283 m
.26214 .4035 L
s
.23935 .40276 m
.24007 .40343 L
s
.27972 .39012 m
.27967 .39122 L
s
.24574 .42144 m
.24567 .42253 L
s
.30491 .40247 m
.3056 .40315 L
s
.26272 .40636 m
.26266 .40746 L
s
.28282 .40228 m
.28351 .40296 L
s
.27967 .39122 m
.27962 .39231 L
s
.3144 .40283 m
.32475 .39867 L
s
.26072 .40216 m
.26143 .40283 L
s
.24567 .42253 m
.2456 .42363 L
s
.23864 .40209 m
.23935 .40276 L
s
.26266 .40746 m
.2626 .40855 L
s
.30422 .40179 m
.30491 .40247 L
s
.27962 .39231 m
.27957 .3934 L
s
.28212 .4016 m
.28282 .40228 L
s
.2456 .42363 m
.24553 .42473 L
s
.26001 .40148 m
.26072 .40216 L
s
.29653 .37709 m
.29649 .37819 L
s
.23792 .40142 m
.23864 .40209 L
s
.2626 .40855 m
.26254 .40965 L
s
.22376 .40183 m
.23465 .39827 L
s
.30353 .4011 m
.30422 .40179 L
s
.27957 .3934 m
.27952 .3945 L
s
.24553 .42473 m
.24546 .42582 L
s
.28142 .40092 m
.28212 .4016 L
s
.29649 .37819 m
.29645 .37928 L
s
.2593 .40081 m
.26001 .40148 L
s
.2372 .40075 m
.23792 .40142 L
s
.26254 .40965 m
.26248 .41075 L
s
.30216 .37343 m
.31272 .36975 L
s
.27952 .3945 m
.27947 .3956 L
s
.30284 .40042 m
.30353 .4011 L
s
.29645 .37928 m
.2964 .38037 L
s
.28071 .40025 m
.28142 .40092 L
s
.26248 .41075 m
.26242 .41184 L
s
.25859 .40013 m
.2593 .40081 L
s
.23648 .40008 m
.2372 .40075 L
s
.27947 .3956 m
.27941 .39669 L
s
0 g
.5 Mabswid
.36408 .43479 m
.35802 .45087 L
s
.039 .916 .04 r
1 Mabswid
.2964 .38037 m
.29636 .38147 L
s
.30214 .39973 m
.30284 .40042 L
s
.26242 .41184 m
.26236 .41294 L
s
.28001 .39957 m
.28071 .40025 L
s
.24542 .42763 m
.25638 .42419 L
s
.25788 .39946 m
.25859 .40013 L
s
.23576 .39941 m
.23648 .40008 L
s
.27941 .39669 m
.27936 .39779 L
s
.29636 .38147 m
.29632 .38257 L
s
.30145 .39905 m
.30214 .39973 L
s
.26236 .41294 m
.26229 .41404 L
s
.27931 .39889 m
.28001 .39957 L
s
.25717 .39878 m
.25788 .39946 L
s
.27936 .39779 m
.27931 .39889 L
s
.29632 .38257 m
.29628 .38366 L
s
.26229 .41404 m
.26223 .41514 L
s
.30075 .39837 m
.30145 .39905 L
s
.27931 .39889 m
.27925 .39999 L
s
.2786 .39821 m
.27931 .39889 L
s
.25646 .39811 m
.25717 .39878 L
s
.29628 .38366 m
.29623 .38476 L
s
.26223 .41514 m
.26217 .41624 L
s
.28738 .30992 m .31282 .32988 L .27837 .34123 L .539 .317 .527 r
F
.28738 .30992 m .31402 .30103 L .31282 .32988 L F
0 g
.5 Mabswid
.28738 .30992 m
.3021 .27701 L
s
.31402 .30103 m
.31522 .27258 L
s
.039 .916 .04 r
1 Mabswid
.30006 .39768 m
.30075 .39837 L
s
.27925 .39999 m
.2792 .40109 L
s
.23465 .39827 m
.24557 .39469 L
s
.2779 .39753 m
.2786 .39821 L
s
.29623 .38476 m
.29619 .38586 L
s
.25574 .39743 m
.25646 .39811 L
s
.26217 .41624 m
.2621 .41734 L
s
.2792 .40109 m
.27914 .40219 L
s
.29936 .397 m
.30006 .39768 L
s
.29619 .38586 m
.29614 .38696 L
s
.27719 .39685 m
.2779 .39753 L
s
.32297 .39684 m
.32378 .39747 L
s
.2621 .41734 m
.26203 .41844 L
s
.25503 .39676 m
.25574 .39743 L
s
.27914 .40219 m
.27909 .40329 L
s
.31272 .36975 m
.32332 .36606 L
s
.29614 .38696 m
.2961 .38806 L
s
.29866 .39631 m
.29936 .397 L
s
.26203 .41844 m
.26197 .41955 L
s
.27648 .39617 m
.27719 .39685 L
s
.32217 .3962 m
.32297 .39684 L
s
.25431 .39608 m
.25503 .39676 L
s
.27909 .40329 m
.27903 .40439 L
s
.25638 .42419 m
.26738 .42073 L
s
.29606 .38882 m
.2961 .38806 L
s
.26197 .41955 m
.2619 .42065 L
s
.27577 .39549 m
.27648 .39617 L
s
.31294 .37144 m
.31285 .37253 L
s
.25359 .39541 m
.25431 .39608 L
s
.27903 .40439 m
.27897 .40549 L
s
.29573 .38878 m .33022 .37767 L .34854 .39593 L .656 .751 .92 r
F
.039 .916 .04 r
.32138 .39556 m
.32217 .3962 L
s
.29796 .39563 m
.29866 .39631 L
s
.29605 .38916 m
.29606 .38897 L
s
.32475 .39867 m
.33514 .3945 L
s
0 0 0 r
.11807 .45069 m
.30056 .39206 L
s
0 g
.5 Mabswid
.34854 .39593 m
.36657 .41389 L
s
.039 .916 .04 r
1 Mabswid
.296 .39026 m
.29605 .38916 L
s
.29726 .39494 m
.29796 .39563 L
s
.32058 .39492 m
.32138 .39556 L
s
.31285 .37253 m
.31277 .37362 L
s
.27897 .40549 m
.27891 .40659 L
s
.27506 .39481 m
.27577 .39549 L
s
.25287 .39473 m
.25359 .39541 L
s
.29595 .39136 m
.296 .39026 L
s
.31277 .37362 m
.3127 .37471 L
s
.29656 .39426 m
.29726 .39494 L
s
.27891 .40659 m
.27886 .4077 L
s
.31979 .39427 m
.32058 .39492 L
s
.27435 .39413 m
.27506 .39481 L
s
.25215 .39405 m
.25287 .39473 L
s
.2959 .39247 m
.29595 .39136 L
s
.24557 .39469 m
.25652 .3911 L
s
.33514 .3945 m
.34611 .39001 L
s
.3127 .37471 m
.31262 .3758 L
s
.27886 .4077 m
.2788 .4088 L
s
.319 .39363 m
.31979 .39427 L
s
.29585 .39357 m
.29656 .39426 L
s
.29585 .39357 m
.2959 .39247 L
s
.27364 .39344 m
.27435 .39413 L
s
.31262 .3758 m
.31255 .37689 L
s
.2788 .4088 m
.27874 .40991 L
s
.31821 .39298 m
.319 .39363 L
s
0 g
.5 Mabswid
.28755 .26509 m
.30073 .26061 L
s
.28755 .26509 m
.2735 .25966 L
s
.039 .916 .04 r
1 Mabswid
.2958 .39468 m
.29585 .39357 L
s
.29515 .39289 m
.29585 .39357 L
s
.27293 .39276 m
.27364 .39344 L
s
.31248 .37798 m
.31255 .37689 L
s
.27874 .40991 m
.27868 .41102 L
s
.29575 .39578 m
.2958 .39468 L
s
.26738 .42073 m
.27841 .41727 L
s
.31742 .39234 m
.31821 .39298 L
s
.32332 .36606 m
.33395 .36235 L
s
.29444 .3922 m
.29515 .39289 L
s
.31242 .37907 m
.31248 .37798 L
s
.27221 .39208 m
.27293 .39276 L
s
.27868 .41102 m
.27861 .41212 L
s
.2957 .39689 m
.29575 .39578 L
s
.31663 .39169 m
.31742 .39234 L
s
.31235 .38016 m
.31242 .37907 L
s
.29374 .39151 m
.29444 .3922 L
s
.27861 .41212 m
.27855 .41323 L
s
.2715 .3914 m
.27221 .39208 L
s
.2957 .39689 m
.29565 .398 L
s
.31585 .39104 m
.31663 .39169 L
s
.31229 .38125 m
.31235 .38016 L
s
.27855 .41323 m
.27849 .41434 L
s
.29303 .39083 m
.29374 .39151 L
s
.27078 .39072 m
.2715 .3914 L
s
.29565 .398 m
.2956 .3991 L
s
.33863 .39061 m
.33941 .39123 L
s
.31223 .38233 m
.31229 .38125 L
s
.25652 .3911 m
.26751 .3875 L
s
.31507 .39039 m
.31585 .39104 L
s
.27849 .41434 m
.27843 .41545 L
s
.29232 .39014 m
.29303 .39083 L
s
.27006 .39004 m
.27078 .39072 L
s
.2956 .3991 m
.29554 .40021 L
s
.33786 .38998 m
.33863 .39061 L
s
.31217 .38342 m
.31223 .38233 L
s
.31429 .38973 m
.31507 .39039 L
s
.29554 .40021 m
.29549 .40132 L
s
.29161 .38945 m
.29232 .39014 L
s
.26934 .38935 m
.27006 .39004 L
s
.34611 .39001 m
.35618 .38549 L
s
.31217 .38348 m
.31217 .38342 L
s
.33708 .38936 m
.33786 .38998 L
s
.32886 .36585 m
.32878 .36691 L
s
.31352 .38908 m
.31429 .38973 L
s
.29549 .40132 m
.29543 .40243 L
s
.27841 .41727 m
.28947 .4138 L
s
0 g
.5 Mabswid
.28676 .25513 m
.30073 .26061 L
s
.039 .916 .04 r
1 Mabswid
.33631 .38873 m
.33708 .38936 L
s
.26863 .38867 m
.26934 .38935 L
s
.32878 .36691 m
.32871 .36797 L
s
.29543 .40243 m
.29538 .40354 L
s
.32871 .36797 m
.32864 .36904 L
s
.33395 .36235 m
.34436 .35858 L
s
.27443 .37121 m .33022 .37767 L .29573 .38878 L .656 .751 .92 r
F
.039 .916 .04 r
.31274 .38842 m
.31352 .38908 L
s
.2909 .38877 m
.29161 .38945 L
s
0 0 0 r
.30056 .39206 m
.33257 .38002 L
s
0 g
.5 Mabswid
.29573 .38878 m
.32184 .40443 L
s
.039 .916 .04 r
1 Mabswid
.29019 .38808 m
.2909 .38877 L
s
.33554 .3881 m
.33631 .38873 L
s
.29538 .40354 m
.29532 .40465 L
s
.31197 .38777 m
.31274 .38842 L
s
0 g
.5 Mabswid
.33529 .46511 m
.34469 .455 L
s
.34469 .455 m
.35802 .45087 L
s
.039 .916 .04 r
1 Mabswid
.32864 .36904 m
.32857 .3701 L
s
.33478 .38747 m
.33554 .3881 L
s
.28948 .38739 m
.29019 .38808 L
s
.29532 .40465 m
.29526 .40577 L
s
.31193 .38885 m
.31197 .38777 L
s
.3112 .38711 m
.31197 .38777 L
s
.32857 .3701 m
.3285 .37116 L
s
.26751 .3875 m
.27854 .38389 L
s
.33401 .38684 m
.33478 .38747 L
s
.28876 .3867 m
.28948 .38739 L
s
.29526 .40577 m
.29521 .40688 L
s
.31189 .38994 m
.31193 .38885 L
s
.32844 .37222 m
.3285 .37116 L
s
.31044 .38645 m
.3112 .38711 L
s
0 g
.5 Mabswid
.80437 .27132 m
.78491 .29137 L
s
.82759 .25524 m
.80437 .27132 L
s
.039 .916 .04 r
1 Mabswid
.33325 .38621 m
.33401 .38684 L
s
.29521 .40688 m
.29515 .40799 L
s
.28805 .38602 m
.28876 .3867 L
s
.32838 .37328 m
.32844 .37222 L
s
.31185 .39102 m
.31189 .38994 L
s
.30967 .38579 m
.31044 .38645 L
s
.33249 .38558 m
.33325 .38621 L
s
.29515 .40799 m
.29509 .40911 L
s
.32832 .37434 m
.32838 .37328 L
s
.31181 .39211 m
.31185 .39102 L
s
.28733 .38533 m
.28805 .38602 L
s
.28947 .4138 m
.30054 .41025 L
s
.30891 .38513 m
.30967 .38579 L
s
0 g
.5 Mabswid
.78491 .29137 m
.77046 .31413 L
s
.27837 .34123 m .31159 .35911 L .27443 .37121 L .539 .317 .527 r
F
.27837 .34123 m .31282 .32988 L .31159 .35911 L F
0 g
.27837 .34123 m
.28738 .30992 L
s
.31282 .32988 m
.31402 .30103 L
s
.039 .916 .04 r
1 Mabswid
.33173 .38494 m
.33249 .38558 L
s
.32826 .3754 m
.32832 .37434 L
s
.29509 .40911 m
.29503 .41023 L
s
.31178 .39319 m
.31181 .39211 L
s
.35618 .38549 m
.36629 .38094 L
s
.28661 .38464 m
.28733 .38533 L
s
.30815 .38446 m
.30891 .38513 L
s
.32821 .37646 m
.32826 .3754 L
s
.33098 .38431 m
.33173 .38494 L
s
.31175 .39427 m
.31178 .39319 L
s
.2859 .38395 m
.28661 .38464 L
s
.32816 .37743 m
.32821 .37646 L
s
.30739 .3838 m
.30815 .38446 L
s
.31172 .39536 m
.31175 .39427 L
s
.33022 .38367 m
.33098 .38431 L
s
.34436 .35858 m
.35482 .3548 L
s
0 g
.5 Mabswid
.8531 .24417 m
.82759 .25524 L
s
.039 .916 .04 r
1 Mabswid
.35476 .38366 m
.35558 .38423 L
s
0 g
.5 Mabswid
.35802 .45087 m
.34871 .46096 L
s
.039 .916 .04 r
1 Mabswid
.28518 .38326 m
.2859 .38395 L
s
.27854 .38389 m
.28818 .38058 L
s
.30664 .38313 m
.30739 .3838 L
s
.31169 .39644 m
.31172 .39536 L
s
.32947 .38303 m
.33022 .38367 L
s
.35394 .38309 m
.35476 .38366 L
s
.31169 .39644 m
.31167 .39752 L
s
.34492 .36001 m
.34481 .36106 L
s
.30588 .38246 m
.30664 .38313 L
s
.35313 .38252 m
.35394 .38309 L
s
.32872 .38239 m
.32947 .38303 L
s
.34481 .36106 m
.3447 .3621 L
s
.31167 .39752 m
.31165 .3986 L
s
.35232 .38195 m
.35313 .38252 L
s
.30513 .38179 m
.30588 .38246 L
s
.32798 .38175 m
.32872 .38239 L
s
.30054 .41025 m
.31122 .40594 L
s
.3447 .3621 m
.34459 .36314 L
s
.31165 .3986 m
.31163 .39968 L
s
.35152 .38137 m
.35232 .38195 L
s
.30438 .38112 m
.30513 .38179 L
s
.32794 .3828 m
.32798 .38175 L
s
.32723 .3811 m
.32798 .38175 L
s
.34459 .36314 m
.3445 .36417 L
s
.31163 .39968 m
.31162 .40076 L
s
.35072 .38079 m
.35152 .38137 L
s
.3279 .38386 m
.32794 .3828 L
s
.3445 .36417 m
.34441 .36521 L
s
.30364 .38045 m
.30438 .38112 L
s
.32649 .38046 m
.32723 .3811 L
s
0 g
.5 Mabswid
.77046 .31413 m
.76195 .33815 L
s
.039 .916 .04 r
1 Mabswid
.36629 .38094 m
.37644 .37637 L
s
.31162 .40076 m
.3116 .40184 L
s
.34993 .38021 m
.35072 .38079 L
s
.34441 .36521 m
.34432 .36624 L
s
.32787 .38492 m
.3279 .38386 L
s
.32575 .37981 m
.32649 .38046 L
s
.30289 .37978 m
.30364 .38045 L
s
.3116 .40184 m
.31159 .40292 L
s
.34914 .37963 m
.34993 .38021 L
s
.34432 .36624 m
.34424 .36727 L
s
.32784 .38597 m
.32787 .38492 L
s
.32501 .37917 m
.32575 .37981 L
s
.35482 .3548 m
.36532 .35101 L
s
.30215 .3791 m
.30289 .37978 L
s
.31159 .40292 m
.31158 .404 L
s
.34424 .36727 m
.34416 .3683 L
s
.34836 .37904 m
.34914 .37963 L
s
.32781 .38703 m
.32784 .38597 L
s
.32428 .37852 m
.32501 .37917 L
s
.34416 .3683 m
.34409 .36933 L
s
.30141 .37842 m
.30215 .3791 L
s
.34759 .37845 m
.34836 .37904 L
s
.32778 .38808 m
.32781 .38703 L
s
.34409 .36933 m
.34403 .37036 L
s
.32354 .37787 m
.32428 .37852 L
s
.34682 .37786 m
.34759 .37845 L
s
.30067 .37775 m
.30141 .37842 L
s
.32776 .38913 m
.32778 .38808 L
s
.31122 .40594 m
.32194 .4016 L
s
0 g
.5 Mabswid
.8793 .23885 m
.8531 .24417 L
s
.8531 .24417 m
.8531 .24417 L
s
.8531 .24417 m
.85558 .27277 L
s
.039 .916 .04 r
1 Mabswid
.34403 .37036 m
.34397 .37138 L
s
.32774 .39019 m
.32776 .38913 L
s
.34605 .37726 m
.34682 .37786 L
s
.27443 .37121 m .31159 .35911 L .33022 .37767 L .656 .751 .92 r
F
.039 .916 .04 r
.32281 .37722 m
.32354 .37787 L
s
.28818 .38058 m
.29907 .37675 L
s
0 g
.5 Mabswid
.33022 .37767 m
.34854 .39593 L
s
.039 .916 .04 r
1 Mabswid
.34397 .37138 m
.34391 .3724 L
s
.37001 .37691 m
.37079 .37745 L
s
.32774 .39019 m
.32772 .39124 L
s
.34529 .37666 m
.34605 .37726 L
s
.32208 .37657 m
.32281 .37722 L
s
.34391 .3724 m
.34387 .37342 L
s
.36923 .37636 m
.37001 .37691 L
s
.29907 .37675 m
.31001 .37292 L
s
.32772 .39124 m
.3277 .39229 L
s
.34453 .37606 m
.34529 .37666 L
s
.32135 .37591 m
.32208 .37657 L
s
.34387 .37342 m
.34382 .37444 L
s
.3606 .35427 m
.3605 .35527 L
s
.37644 .37637 m
.38663 .37179 L
s
.36846 .37581 m
.36923 .37636 L
s
.3277 .39229 m
.32769 .39335 L
s
.34379 .37546 m
.34453 .37606 L
s
.34382 .37444 m
.34379 .37546 L
s
.3605 .35527 m
.3604 .35626 L
s
.32063 .37526 m
.32135 .37591 L
s
.36769 .37526 m
.36846 .37581 L
s
0 g
.5 Mabswid
.2735 .25966 m
.28676 .25513 L
s
.2735 .25966 m
.26091 .26124 L
s
.039 .916 .04 r
1 Mabswid
.32769 .39335 m
.32768 .3944 L
s
.3604 .35626 m
.3603 .35726 L
s
.34379 .37546 m
.34375 .37648 L
s
.34304 .37486 m
.34379 .37546 L
s
.36532 .35101 m
.37586 .34719 L
s
.36693 .37471 m
.36769 .37526 L
s
.31991 .3746 m
.32063 .37526 L
s
.32768 .3944 m
.32767 .39545 L
s
.3603 .35726 m
.36021 .35825 L
s
.34375 .37648 m
.34373 .37749 L
s
.3423 .37425 m
.34304 .37486 L
s
.36617 .37416 m
.36693 .37471 L
s
.31919 .37394 m
.31991 .3746 L
s
.36021 .35825 m
.36013 .35924 L
s
.32767 .39545 m
.32766 .3965 L
s
.32194 .4016 m
.33267 .39723 L
s
.34373 .37749 m
.34371 .3785 L
s
.34157 .37364 m
.3423 .37425 L
s
.36541 .3736 m
.36617 .37416 L
s
.36013 .35924 m
.36005 .36023 L
s
.31847 .37328 m
.31919 .37394 L
s
.32766 .3965 m
.32766 .39755 L
s
.34371 .3785 m
.34369 .37951 L
s
.34084 .37302 m
.34157 .37364 L
s
.36467 .37304 m
.36541 .3736 L
s
.36005 .36023 m
.35998 .36121 L
s
.34369 .37951 m
.34368 .38052 L
s
.31775 .37262 m
.31847 .37328 L
s
.35998 .36121 m
.35991 .3622 L
s
.36392 .37247 m
.36467 .37304 L
s
.34012 .37241 m
.34084 .37302 L
s
0 g
.5 Mabswid
.76195 .33815 m
.76001 .36192 L
s
.039 .916 .04 r
1 Mabswid
.34368 .38052 m
.34367 .38153 L
s
.31704 .37196 m
.31775 .37262 L
s
.35991 .3622 m
.35984 .36318 L
s
.36318 .37191 m
.36392 .37247 L
s
.3394 .37179 m
.34012 .37241 L
s
.34367 .38153 m
.34368 .38253 L
s
.35984 .36318 m
.35978 .36416 L
s
.36245 .37134 m
.36318 .37191 L
s
.38663 .37179 m
.39686 .36719 L
s
.33869 .37117 m
.3394 .37179 L
s
.34368 .38253 m
.34368 .38354 L
s
.35978 .36416 m
.35973 .36514 L
s
0 g
.5 Mabswid
.27426 .25667 m
.28676 .25513 L
s
.039 .916 .04 r
1 Mabswid
.36172 .37077 m
.36245 .37134 L
s
.27443 .37121 m .31035 .38876 L .27544 .39997 L .539 .317 .527 r
F
.27443 .37121 m .31159 .35911 L .31035 .38876 L F
.25778 .35172 m .31159 .35911 L .27443 .37121 L .656 .751 .92 r
F
.039 .916 .04 r
.31103 .37256 m
.32039 .36933 L
s
0 g
.5 Mabswid
.27665 .35431 m
.27837 .34123 L
s
.039 .916 .04 r
1 Mabswid
.33798 .37054 m
.33869 .37117 L
s
.34368 .38354 m
.34369 .38454 L
s
.35973 .36514 m
.35968 .36612 L
s
.361 .3702 m
.36172 .37077 L
s
.37586 .34719 m
.38644 .34337 L
s
.38535 .37011 m
.3861 .37063 L
s
.33267 .39723 m
.3432 .39247 L
s
.34369 .38454 m
.34371 .38554 L
s
.35968 .36612 m
.35964 .3671 L
s
.33728 .36992 m
.33798 .37054 L
s
.36028 .36962 m
.361 .3702 L
s
.38461 .36959 m
.38535 .37011 L
s
.35964 .3671 m
.3596 .36807 L
s
0 g
.5 Mabswid
.32319 .46842 m
.33529 .46511 L
s
.33529 .46511 m
.34871 .46096 L
s
.039 .916 .04 r
1 Mabswid
.34371 .38554 m
.34373 .38654 L
s
.33658 .36929 m
.33728 .36992 L
s
.37638 .3485 m
.37629 .34945 L
s
.35957 .36904 m
.36028 .36962 L
s
.38388 .36907 m
.38461 .36959 L
s
.3596 .36807 m
.35957 .36904 L
s
.34373 .38654 m
.34376 .38753 L
s
.32039 .36933 m
.33128 .36535 L
s
.33589 .36865 m
.33658 .36929 L
s
.37629 .34945 m
.37619 .3504 L
s
.38315 .36854 m
.38388 .36907 L
s
.35957 .36904 m
.35954 .37001 L
s
.35886 .36846 m
.35957 .36904 L
s
.34376 .38753 m
.34379 .38853 L
s
0 g
.5 Mabswid
.90448 .23971 m
.8793 .23885 L
s
.039 .916 .04 r
1 Mabswid
.37619 .3504 m
.37611 .35134 L
s
.3352 .36802 m
.33589 .36865 L
s
.38242 .36801 m
.38315 .36854 L
s
.35954 .37001 m
.35952 .37098 L
s
.35816 .36788 m
.35886 .36846 L
s
.34379 .38853 m
.34383 .38952 L
s
.37611 .35134 m
.37602 .35229 L
s
.33452 .36738 m
.3352 .36802 L
s
.35952 .37098 m
.3595 .37195 L
s
.3817 .36748 m
.38242 .36801 L
s
.35746 .36729 m
.35816 .36788 L
s
.37602 .35229 m
.37595 .35324 L
s
.34383 .38952 m
.34388 .39051 L
s
.3595 .37195 m
.35949 .37292 L
s
.38099 .36695 m
.3817 .36748 L
s
.33385 .36674 m
.33452 .36738 L
s
.37595 .35324 m
.37587 .35418 L
s
.35677 .36671 m
.35746 .36729 L
s
.39686 .36719 m
.40713 .36256 L
s
.35949 .37292 m
.35949 .37388 L
s
.38028 .36641 m
.38099 .36695 L
s
.37587 .35418 m
.37581 .35512 L
s
.33318 .3661 m
.33385 .36674 L
s
.35608 .36611 m
.35677 .36671 L
s
.3432 .39247 m
.35377 .3877 L
s
.35949 .37388 m
.35949 .37484 L
s
.37581 .35512 m
.37574 .35606 L
s
.37957 .36587 m
.38028 .36641 L
s
.38644 .34337 m
.39707 .33952 L
s
.3554 .36552 m
.35608 .36611 L
s
.37574 .35606 m
.37569 .357 L
s
.35949 .37484 m
.35949 .37581 L
s
.37887 .36533 m
.37957 .36587 L
s
0 g
.5 Mabswid
.34871 .46096 m
.3367 .46424 L
s
.039 .916 .04 r
1 Mabswid
.35472 .36493 m
.3554 .36552 L
s
.37569 .357 m
.37563 .35793 L
s
.35949 .37581 m
.3595 .37676 L
s
.33128 .36535 m
.34221 .36135 L
s
.37818 .36479 m
.37887 .36533 L
s
.37563 .35793 m
.37559 .35887 L
s
.35405 .36433 m
.35472 .36493 L
s
.3595 .37676 m
.35951 .37772 L
s
.37749 .36424 m
.37818 .36479 L
s
.37559 .35887 m
.37554 .3598 L
s
.35951 .37772 m
.35953 .37868 L
s
.35339 .36373 m
.35405 .36433 L
s
.3768 .36369 m
.37749 .36424 L
s
.37554 .3598 m
.37551 .36073 L
s
.35953 .37868 m
.35956 .37963 L
s
.40079 .36328 m
.40149 .36378 L
s
.35272 .36312 m
.35339 .36373 L
s
.37612 .36314 m
.3768 .36369 L
s
.37551 .36073 m
.37547 .36166 L
s
.40009 .36278 m
.40079 .36328 L
s
.35956 .37963 m
.35959 .38058 L
s
.37545 .36259 m
.37612 .36314 L
s
.35207 .36252 m
.35272 .36312 L
s
.37547 .36166 m
.37545 .36259 L
s
.39226 .34269 m
.39217 .34359 L
s
.39939 .36228 m
.40009 .36278 L
s
.35959 .38058 m
.35963 .38154 L
s
0 g
.5 Mabswid
.85558 .27277 m
.8581 .30177 L
s
.039 .916 .04 r
1 Mabswid
.37545 .36259 m
.37542 .36352 L
s
.37477 .36203 m
.37545 .36259 L
s
.40713 .36256 m
.41745 .35792 L
s
.35142 .36191 m
.35207 .36252 L
s
.35377 .3877 m
.36438 .3829 L
s
.39217 .34359 m
.39208 .34449 L
s
.3987 .36178 m
.39939 .36228 L
s
.35963 .38154 m
.35967 .38248 L
s
.37542 .36352 m
.37541 .36444 L
s
.37411 .36148 m
.37477 .36203 L
s
.39208 .34449 m
.392 .3454 L
s
0 g
.5 Mabswid
.76001 .36192 m
.76485 .38386 L
s
.76001 .36192 m
.79325 .35176 L
s
.76001 .36192 m
.76001 .36192 L
s
.039 .916 .04 r
1 Mabswid
.35077 .3613 m
.35142 .36191 L
s
.39802 .36127 m
.3987 .36178 L
s
.35967 .38248 m
.35971 .38343 L
s
.37541 .36444 m
.37539 .36536 L
s
.39707 .33952 m
.40774 .33566 L
s
.392 .3454 m
.39193 .3463 L
s
.37345 .36092 m
.37411 .36148 L
s
.34221 .36135 m
.35317 .35734 L
s
.35013 .36068 m
.35077 .3613 L
s
.39733 .36077 m
.39802 .36127 L
s
.39193 .3463 m
.39186 .3472 L
s
.37539 .36536 m
.37539 .36628 L
s
.37279 .36035 m
.37345 .36092 L
s
.39666 .36026 m
.39733 .36077 L
s
.34949 .36007 m
.35013 .36068 L
s
.39186 .3472 m
.39179 .34809 L
s
.37539 .36628 m
.37538 .3672 L
s
.37214 .35979 m
.37279 .36035 L
s
.39599 .35974 m
.39666 .36026 L
s
.39179 .34809 m
.39173 .34899 L
s
.37538 .3672 m
.37539 .36812 L
s
.37149 .35922 m
.37214 .35979 L
s
.39173 .34899 m
.39167 .34988 L
s
.39532 .35923 m
.39599 .35974 L
s
.37539 .36812 m
.37539 .36904 L
s
.39167 .34988 m
.39162 .35078 L
s
.39465 .35871 m
.39532 .35923 L
s
.37085 .35865 m
.37149 .35922 L
s
.25778 .35172 m .29265 .34025 L .31159 .35911 L .656 .751 .92 r
F
0 g
.5 Mabswid
.31159 .35911 m
.31282 .32988 L
s
.31159 .35911 m
.33022 .37767 L
s
.039 .916 .04 r
1 Mabswid
.37539 .36904 m
.37541 .36995 L
s
.39162 .35078 m
.39157 .35167 L
s
.394 .35819 m
.39465 .35871 L
s
.37021 .35808 m
.37085 .35865 L
s
.37541 .36995 m
.37542 .37087 L
s
.36438 .3829 m
.37503 .3781 L
s
.39157 .35167 m
.39153 .35256 L
s
.39334 .35767 m
.394 .35819 L
s
.37542 .37087 m
.37545 .37178 L
s
.36958 .3575 m
.37021 .35808 L
s
.39153 .35256 m
.39149 .35344 L
s
.41745 .35792 m
.4278 .35326 L
s
.39269 .35715 m
.39334 .35767 L
s
.37545 .37178 m
.37547 .37269 L
s
.36895 .35693 m
.36958 .3575 L
s
.39149 .35344 m
.39146 .35433 L
s
.35317 .35734 m
.36417 .35331 L
s
.39205 .35663 m
.39269 .35715 L
s
.37547 .37269 m
.37551 .3736 L
s
.39146 .35433 m
.39143 .35521 L
s
.40774 .33566 m
.41845 .33179 L
s
.36833 .35635 m
.36895 .35693 L
s
.41632 .3564 m
.41698 .35688 L
s
0 g
.5 Mabswid
.26091 .26124 m
.25068 .26989 L
s
.27426 .25667 m
.26091 .26124 L
s
.92699 .24677 m
.90448 .23971 L
s
.039 .916 .04 r
1 Mabswid
.39141 .3561 m
.39205 .35663 L
s
.39143 .35521 m
.39141 .3561 L
s
.37551 .3736 m
.37555 .3745 L
s
.41566 .35593 m
.41632 .3564 L
s
.36772 .35577 m
.36833 .35635 L
s
.39141 .3561 m
.39139 .35698 L
s
.39078 .35557 m
.39141 .3561 L
s
.40823 .33684 m
.40815 .3377 L
s
.37555 .3745 m
.37559 .37541 L
s
.415 .35545 m
.41566 .35593 L
s
.3671 .35518 m
.36772 .35577 L
s
.39139 .35698 m
.39138 .35786 L
s
.40815 .3377 m
.40807 .33856 L
s
.39015 .35504 m
.39078 .35557 L
s
.37559 .37541 m
.37564 .37631 L
s
.41435 .35497 m
.415 .35545 L
s
.40807 .33856 m
.40799 .33941 L
s
.3665 .35459 m
.3671 .35518 L
s
.39138 .35786 m
.39137 .35874 L
s
.38952 .3545 m
.39015 .35504 L
s
.4137 .35449 m
.41435 .35497 L
s
.27544 .39997 m .30909 .41882 L .28173 .42749 L .539 .317 .527 r
F
.27544 .39997 m .31035 .38876 L .30909 .41882 L F
0 g
.5 Mabswid
.27443 .37121 m
.27544 .39997 L
s
.31035 .38876 m
.31159 .35911 L
s
.039 .916 .04 r
1 Mabswid
.40799 .33941 m
.40793 .34027 L
s
.39137 .35874 m
.39137 .35961 L
s
.36589 .354 m
.3665 .35459 L
s
.3889 .35396 m
.38952 .3545 L
s
.41306 .35401 m
.4137 .35449 L
s
.37503 .3781 m
.38571 .37327 L
s
.40793 .34027 m
.40786 .34112 L
s
.39137 .35961 m
.39137 .36049 L
s
.41242 .35353 m
.41306 .35401 L
s
.38828 .35343 m
.3889 .35396 L
s
.40786 .34112 m
.4078 .34197 L
s
.39137 .36049 m
.39137 .36136 L
s
.41178 .35304 m
.41242 .35353 L
s
.4078 .34197 m
.40775 .34282 L
s
.38767 .35288 m
.38828 .35343 L
s
.36417 .35331 m
.37522 .34928 L
s
.4278 .35326 m
.4382 .34858 L
s
.39137 .36136 m
.39138 .36223 L
s
.40775 .34282 m
.4077 .34367 L
s
.41115 .35255 m
.41178 .35304 L
s
.38707 .35234 m
.38767 .35288 L
s
.39138 .36223 m
.3914 .3631 L
s
.4077 .34367 m
.40765 .34452 L
s
.41053 .35206 m
.41115 .35255 L
s
0 g
.5 Mabswid
.26412 .2653 m
.27426 .25667 L
s
.039 .916 .04 r
1 Mabswid
.41845 .33179 m
.42921 .3279 L
s
.38646 .35179 m
.38707 .35234 L
s
.3914 .3631 m
.39142 .36397 L
s
.40765 .34452 m
.40761 .34536 L
s
.40991 .35156 m
.41053 .35206 L
s
.39142 .36397 m
.39145 .36484 L
s
.38587 .35125 m
.38646 .35179 L
s
.40761 .34536 m
.40757 .34621 L
s
0 g
.5 Mabswid
.79325 .35176 m
.8268 .34152 L
s
.2461 .33015 m .29265 .34025 L .25778 .35172 L .656 .751 .92 r
F
0 g
.25778 .35172 m
.27443 .37121 L
s
.039 .916 .04 r
1 Mabswid
.40929 .35107 m
.40991 .35156 L
s
.40757 .34621 m
.40754 .34705 L
s
.39145 .36484 m
.39148 .36571 L
s
.38527 .3507 m
.38587 .35125 L
s
.40868 .35057 m
.40929 .35107 L
s
0 g
.5 Mabswid
.30916 .46454 m
.32319 .46842 L
s
.32319 .46842 m
.3367 .46424 L
s
.039 .916 .04 r
1 Mabswid
.40754 .34705 m
.40751 .34789 L
s
.39148 .36571 m
.39151 .36657 L
s
.38469 .35014 m
.38527 .3507 L
s
.40807 .35007 m
.40868 .35057 L
s
.40751 .34789 m
.40749 .34873 L
s
.39151 .36657 m
.39155 .36743 L
s
.38571 .37327 m
.39643 .36843 L
s
.3841 .34959 m
.38469 .35014 L
s
.40747 .34957 m
.40807 .35007 L
s
.40749 .34873 m
.40747 .34957 L
s
.43194 .34948 m
.43257 .34993 L
s
.39155 .36743 m
.3916 .36829 L
s
.38352 .34903 m
.3841 .34959 L
s
.40747 .34957 m
.40745 .35041 L
s
.40687 .34907 m
.40747 .34957 L
s
.43132 .34903 m
.43194 .34948 L
s
.3916 .36829 m
.39164 .36915 L
s
.37522 .34928 m
.3863 .34522 L
s
.42429 .33096 m
.42422 .33177 L
s
.40745 .35041 m
.40744 .35124 L
s
.40628 .34856 m
.40687 .34907 L
s
.4307 .34858 m
.43132 .34903 L
s
.38295 .34847 m
.38352 .34903 L
s
.42422 .33177 m
.42415 .33258 L
s
0 g
.5 Mabswid
.76485 .38386 m
.77627 .40248 L
s
.039 .916 .04 r
1 Mabswid
.40744 .35124 m
.40744 .35207 L
s
.4382 .34858 m
.44865 .34389 L
s
.43009 .34813 m
.4307 .34858 L
s
.40569 .34805 m
.40628 .34856 L
s
.38238 .34791 m
.38295 .34847 L
s
.42415 .33258 m
.42408 .33339 L
s
.40744 .35207 m
.40744 .35291 L
s
.42948 .34767 m
.43009 .34813 L
s
.4051 .34754 m
.40569 .34805 L
s
.42408 .33339 m
.42402 .3342 L
s
.40744 .35291 m
.40744 .35374 L
s
.42921 .3279 m
.44001 .32399 L
s
.42887 .34721 m
.42948 .34767 L
s
.42402 .3342 m
.42396 .33501 L
s
.40452 .34703 m
.4051 .34754 L
s
.40744 .35374 m
.40745 .35456 L
s
.42827 .34675 m
.42887 .34721 L
s
.42396 .33501 m
.42391 .33582 L
s
0 g
.5 Mabswid
.8581 .30177 m
.86065 .33118 L
s
.039 .916 .04 r
1 Mabswid
.40394 .34651 m
.40452 .34703 L
s
.40745 .35456 m
.40747 .35539 L
s
.42768 .34629 m
.42827 .34675 L
s
.42391 .33582 m
.42386 .33662 L
s
0 g
.5 Mabswid
.3367 .46424 m
.32275 .46032 L
s
.039 .916 .04 r
1 Mabswid
.40337 .34599 m
.40394 .34651 L
s
.40747 .35539 m
.40748 .35622 L
s
.42386 .33662 m
.42381 .33742 L
s
.42708 .34583 m
.42768 .34629 L
s
.39643 .36843 m
.40719 .36357 L
s
.82576 .32291 m
.82975 .32965 L
s
.40281 .34548 m
.40337 .34599 L
s
.40748 .35622 m
.40751 .35704 L
s
.42381 .33742 m
.42377 .33823 L
s
.4265 .34536 m
.42708 .34583 L
s
.42377 .33823 m
.42374 .33903 L
s
.40224 .34495 m
.40281 .34548 L
s
.40751 .35704 m
.40753 .35786 L
s
.42591 .3449 m
.4265 .34536 L
s
.3863 .34522 m
.39742 .34115 L
s
.42374 .33903 m
.4237 .33982 L
s
.40753 .35786 m
.40757 .35868 L
s
.40168 .34443 m
.40224 .34495 L
s
.42533 .34443 m
.42591 .3449 L
s
.4237 .33982 m
.42368 .34062 L
s
.40757 .35868 m
.4076 .3595 L
s
.40113 .3439 m
.40168 .34443 L
s
.42476 .34395 m
.42533 .34443 L
s
.42368 .34062 m
.42365 .34142 L
s
.4076 .3595 m
.40764 .36032 L
s
.42419 .34348 m
.42476 .34395 L
s
.40058 .34338 m
.40113 .3439 L
s
.44865 .34389 m
.45913 .33917 L
s
.42365 .34142 m
.42363 .34221 L
s
.81344 .33625 m
.81688 .34362 L
s
.40764 .36032 m
.40769 .36114 L
s
.42362 .343 m
.42419 .34348 L
s
.42363 .34221 m
.42362 .343 L
s
.40004 .34285 m
.40058 .34338 L
s
.40769 .36114 m
.40774 .36195 L
s
.44001 .32399 m
.45086 .32007 L
s
.42362 .343 m
.42361 .34379 L
s
.42306 .34253 m
.42362 .343 L
s
0 g
.5 Mabswid
.94525 .25969 m
.92699 .24677 L
s
.039 .916 .04 r
1 Mabswid
.44766 .34252 m
.44825 .34295 L
s
.3995 .34231 m
.40004 .34285 L
s
.42361 .34379 m
.4236 .34458 L
s
.4225 .34204 m
.42306 .34253 L
s
.44708 .3421 m
.44766 .34252 L
s
.39896 .34178 m
.3995 .34231 L
s
.44046 .32504 m
.44039 .32581 L
s
.4236 .34458 m
.4236 .34537 L
s
.40719 .36357 m
.41799 .35869 L
s
.4465 .34167 m
.44708 .3421 L
s
.42194 .34156 m
.4225 .34204 L
s
.44039 .32581 m
.44033 .32657 L
s
.4236 .34537 m
.4236 .34616 L
s
.44592 .34124 m
.4465 .34167 L
s
.42139 .34108 m
.42194 .34156 L
s
0 g
.5 Mabswid
.86065 .33118 m
.8268 .34152 L
s
.039 .916 .04 r
1 Mabswid
.44033 .32657 m
.44027 .32734 L
s
.4236 .34616 m
.42361 .34694 L
s
.44535 .34081 m
.44592 .34124 L
s
.39742 .34115 m
.40858 .33707 L
s
.44027 .32734 m
.44021 .3281 L
s
.42085 .34059 m
.42139 .34108 L
s
.42361 .34694 m
.42362 .34773 L
s
.44478 .34038 m
.44535 .34081 L
s
.44021 .3281 m
.44016 .32886 L
s
.42031 .3401 m
.42085 .34059 L
s
.42362 .34773 m
.42364 .34851 L
s
.44422 .33994 m
.44478 .34038 L
s
0 0 0 r
.8306 .34036 m
.8306 .34036 L
s
.039 .916 .04 r
.44016 .32886 m
.44011 .32962 L
s
.2461 .33015 m .2734 .32107 L .29265 .34025 L .656 .751 .92 r
F
0 g
.5 Mabswid
.29265 .34025 m
.31159 .35911 L
s
.039 .916 .04 r
1 Mabswid
.41977 .33961 m
.42031 .3401 L
s
.42364 .34851 m
.42366 .34929 L
s
.44366 .33951 m
.44422 .33994 L
s
.44011 .32962 m
.44007 .33038 L
s
.41924 .33912 m
.41977 .33961 L
s
.44007 .33038 m
.44003 .33114 L
s
.42366 .34929 m
.42368 .35007 L
s
.44311 .33907 m
.44366 .33951 L
s
.45913 .33917 m
.46966 .33443 L
s
.44003 .33114 m
.43999 .33189 L
s
.41871 .33863 m
.41924 .33912 L
s
.42368 .35007 m
.42371 .35085 L
s
.44256 .33863 m
.44311 .33907 L
s
.43999 .33189 m
.43996 .33265 L
s
.42371 .35085 m
.42374 .35163 L
s
.44201 .33819 m
.44256 .33863 L
s
.41818 .33813 m
.41871 .33863 L
s
.82175 .31612 m
.82576 .32291 L
s
.45086 .32007 m
.46175 .31613 L
s
.43996 .33265 m
.43993 .3334 L
s
.42374 .35163 m
.42378 .3524 L
s
.44147 .33774 m
.44201 .33819 L
s
.41766 .33763 m
.41818 .33813 L
s
0 g
.5 Mabswid
.25068 .26989 m
.26412 .2653 L
s
.25068 .26989 m
.24359 .28517 L
s
.039 .916 .04 r
1 Mabswid
.43993 .3334 m
.43991 .33415 L
s
.41799 .35869 m
.42883 .35379 L
s
.42378 .3524 m
.42382 .35317 L
s
.44093 .3373 m
.44147 .33774 L
s
.41715 .33713 m
.41766 .33763 L
s
.43991 .33415 m
.43989 .3349 L
s
.42382 .35317 m
.42387 .35395 L
s
.44039 .33685 m
.44093 .3373 L
s
.43989 .3349 m
.43987 .33565 L
s
.41664 .33663 m
.41715 .33713 L
s
.83973 .32998 m
.84436 .33709 L
s
.40858 .33707 m
.41978 .33297 L
s
.42387 .35395 m
.42392 .35472 L
s
.43986 .3364 m
.44039 .33685 L
s
.43987 .33565 m
.43986 .3364 L
s
.41613 .33612 m
.41664 .33663 L
s
.28173 .42749 m .30781 .44929 L .29416 .45356 L .539 .317 .527 r
F
.28173 .42749 m .30909 .41882 L .30781 .44929 L F
0 g
.5 Mabswid
.27544 .39997 m
.28173 .42749 L
s
.28173 .42749 m
.29416 .45356 L
s
.30909 .41882 m
.31035 .38876 L
s
.039 .916 .04 r
1 Mabswid
.43986 .3364 m
.43986 .33714 L
s
.43934 .33595 m
.43986 .3364 L
s
.80997 .32883 m
.81344 .33625 L
s
.41563 .33562 m
.41613 .33612 L
s
.43986 .33714 m
.43985 .33789 L
s
.43881 .33549 m
.43934 .33595 L
s
.46348 .33552 m
.46402 .33592 L
s
.43985 .33789 m
.43985 .33863 L
s
.46293 .33512 m
.46348 .33552 L
s
.43829 .33504 m
.43881 .33549 L
s
.45672 .31909 m
.45666 .31981 L
s
.43985 .33863 m
.43986 .33937 L
s
.46239 .33472 m
.46293 .33512 L
s
.43778 .33458 m
.43829 .33504 L
s
.45666 .31981 m
.4566 .32053 L
s
.43986 .33937 m
.43987 .34011 L
s
.46185 .33431 m
.46239 .33472 L
s
.82737 .34338 m
.83146 .35112 L
s
.43727 .33412 m
.43778 .33458 L
s
.4566 .32053 m
.45655 .32125 L
s
.46966 .33443 m
.48024 .32968 L
s
.43987 .34011 m
.43988 .34085 L
s
.46132 .33391 m
.46185 .33431 L
s
0 g
.5 Mabswid
.77627 .40248 m
.79362 .41646 L
s
.039 .916 .04 r
1 Mabswid
.45655 .32125 m
.4565 .32196 L
s
.43676 .33366 m
.43727 .33412 L
s
.8237 .32027 m
.82376 .32089 L
s
.43988 .34085 m
.4399 .34159 L
s
.46079 .3335 m
.46132 .33391 L
s
.42883 .35379 m
.43971 .34888 L
s
.4565 .32196 m
.45645 .32268 L
s
.82376 .32089 m
.82382 .32152 L
s
.46175 .31613 m
.47268 .31218 L
s
.43626 .3332 m
.43676 .33366 L
s
0 g
.5 Mabswid
.25712 .28058 m
.26412 .2653 L
s
.039 .916 .04 r
1 Mabswid
.4399 .34159 m
.43992 .34233 L
s
.46027 .33309 m
.46079 .3335 L
s
.82382 .32152 m
.82389 .32215 L
s
.45645 .32268 m
.45641 .32339 L
s
.82389 .32215 m
.82395 .32277 L
s
.43576 .33273 m
.43626 .3332 L
s
.43992 .34233 m
.43995 .34306 L
s
.45641 .32339 m
.45637 .3241 L
s
.45974 .33268 m
.46027 .33309 L
s
.41978 .33297 m
.43102 .32886 L
s
.82395 .32277 m
.82401 .32339 L
s
.43527 .33227 m
.43576 .33273 L
s
.45637 .3241 m
.45634 .32482 L
s
.43995 .34306 m
.43998 .34379 L
s
.45923 .33227 m
.45974 .33268 L
s
.82401 .32339 m
.82406 .32401 L
s
0 g
.5 Mabswid
.29416 .45356 m
.30916 .46454 L
s
.30916 .46454 m
.32275 .46032 L
s
.039 .916 .04 r
1 Mabswid
.45634 .32482 m
.4563 .32553 L
s
.82406 .32401 m
.82412 .32462 L
s
.43998 .34379 m
.44001 .34453 L
s
.45871 .33185 m
.45923 .33227 L
s
.43478 .3318 m
.43527 .33227 L
s
.4563 .32553 m
.45628 .32623 L
s
.82412 .32462 m
.82418 .32524 L
s
.81362 .33181 m
.81283 .33196 L
s
.44001 .34453 m
.44005 .34526 L
s
.4582 .33144 m
.45871 .33185 L
s
.81441 .33166 m
.81362 .33181 L
s
.43429 .33133 m
.43478 .3318 L
s
.82418 .32524 m
.82423 .32585 L
s
.8152 .33151 m
.81441 .33166 L
s
.45628 .32623 m
.45625 .32694 L
s
.81598 .33135 m
.8152 .33151 L
s
.44005 .34526 m
.44009 .34599 L
s
.4577 .33102 m
.4582 .33144 L
s
.82423 .32585 m
.82429 .32646 L
s
.81677 .3312 m
.81598 .33135 L
s
.43381 .33085 m
.43429 .33133 L
s
.45625 .32694 m
.45623 .32765 L
s
.81755 .33104 m
.81677 .3312 L
s
0 g
.5 Mabswid
.86324 .36099 m
.86065 .33118 L
s
.86065 .33118 m
.89481 .32075 L
s
.039 .916 .04 r
1 Mabswid
.81771 .30929 m
.82175 .31612 L
s
.82429 .32646 m
.82434 .32707 L
s
.81833 .33087 m
.81755 .33104 L
s
.44009 .34599 m
.44014 .34671 L
s
.45719 .3306 m
.4577 .33102 L
s
.45623 .32765 m
.45622 .32835 L
s
.81911 .33071 m
.81833 .33087 L
s
.43333 .33038 m
.43381 .33085 L
s
.82434 .32707 m
.82439 .32768 L
s
.81989 .33054 m
.81911 .33071 L
s
.45669 .33018 m
.45719 .3306 L
s
.44014 .34671 m
.44019 .34744 L
s
.82067 .33037 m
.81989 .33054 L
s
.45622 .32835 m
.45621 .32905 L
s
.82439 .32768 m
.82444 .32828 L
s
.43285 .3299 m
.43333 .33038 L
s
.82144 .3302 m
.82067 .33037 L
s
.82222 .33002 m
.82144 .3302 L
s
.4562 .32976 m
.45669 .33018 L
s
.24021 .30614 m .2734 .32107 L .2461 .33015 L .656 .751 .92 r
F
0 g
.5 Mabswid
.2461 .33015 m
.25778 .35172 L
s
.039 .916 .04 r
1 Mabswid
.45621 .32905 m
.4562 .32976 L
s
.82444 .32828 m
.82449 .32888 L
s
.82299 .32984 m
.82222 .33002 L
s
.83506 .32283 m
.83973 .32998 L
s
.43238 .32942 m
.43285 .3299 L
s
.82377 .32966 m
.82299 .32984 L
s
.82449 .32888 m
.82454 .32948 L
s
.4562 .32976 m
.4562 .33046 L
s
.45571 .32933 m
.4562 .32976 L
s
.43971 .34888 m
.45063 .34395 L
s
.48024 .32968 m
.49085 .3249 L
s
.82454 .32948 m
.82377 .32966 L
s
.82454 .32948 m
.82458 .33008 L
s
.82531 .3293 m
.82454 .32948 L
s
.4562 .33046 m
.4562 .33116 L
s
.45522 .32891 m
.45571 .32933 L
s
.82608 .32911 m
.82531 .3293 L
s
.82458 .33008 m
.82463 .33068 L
s
.82684 .32892 m
.82608 .32911 L
s
.4562 .33116 m
.4562 .33185 L
s
.47268 .31218 m
.48366 .30821 L
s
.82761 .32873 m
.82684 .32892 L
s
.45474 .32848 m
.45522 .32891 L
s
.43102 .32886 m
.4423 .32474 L
s
.47939 .32847 m
.4799 .32885 L
s
.80649 .32137 m
.80997 .32883 L
s
.82463 .33068 m
.82467 .33127 L
s
.82837 .32853 m
.82761 .32873 L
s
.4562 .33185 m
.45621 .33255 L
s
.82914 .32833 m
.82837 .32853 L
s
.82467 .33127 m
.82471 .33186 L
s
.45426 .32805 m
.45474 .32848 L
s
.47888 .3281 m
.47939 .32847 L
s
.8299 .32813 m
.82914 .32833 L
s
.47308 .3131 m
.47303 .31377 L
s
.45621 .33255 m
.45622 .33325 L
s
.82471 .33186 m
.82476 .33245 L
s
0 g
.5 Mabswid
.95794 .27768 m
.94525 .25969 L
s
.039 .916 .04 r
1 Mabswid
.83066 .32793 m
.8299 .32813 L
s
.47838 .32772 m
.47888 .3281 L
s
.45378 .32761 m
.45426 .32805 L
s
0 g
.5 Mabswid
.30781 .44929 m
.32275 .46032 L
s
.039 .916 .04 r
1 Mabswid
.83142 .32772 m
.83066 .32793 L
s
.47303 .31377 m
.47298 .31444 L
s
.45622 .33325 m
.45624 .33394 L
s
.82476 .33245 m
.8248 .33304 L
s
.83218 .32752 m
.83142 .32772 L
s
.47788 .32734 m
.47838 .32772 L
s
.45331 .32718 m
.45378 .32761 L
s
.82326 .33559 m
.82737 .34338 L
s
.47298 .31444 m
.47293 .31512 L
s
.83294 .3273 m
.83218 .32752 L
s
.8248 .33304 m
.82483 .33362 L
s
0 g
.5 Mabswid
.30781 .44929 m
.30909 .41882 L
s
.039 .916 .04 r
1 Mabswid
.45624 .33394 m
.45625 .33463 L
s
.47739 .32696 m
.47788 .32734 L
s
.83369 .32709 m
.83294 .3273 L
s
.47293 .31512 m
.47288 .31579 L
s
.45284 .32674 m
.45331 .32718 L
s
.82483 .33362 m
.82487 .33421 L
s
.83445 .32688 m
.83369 .32709 L
s
.45625 .33463 m
.45628 .33532 L
s
.4769 .32658 m
.47739 .32696 L
s
.47288 .31579 m
.47284 .31646 L
s
.8352 .32666 m
.83445 .32688 L
s
.82487 .33421 m
.82491 .33479 L
s
.45238 .32631 m
.45284 .32674 L
s
.45628 .33532 m
.45631 .33601 L
s
.83596 .32644 m
.8352 .32666 L
s
.47641 .3262 m
.4769 .32658 L
s
.47284 .31646 m
.47281 .31712 L
s
.82491 .33479 m
.82494 .33537 L
s
.45192 .32587 m
.45238 .32631 L
s
.45631 .33601 m
.45634 .3367 L
s
.47281 .31712 m
.47277 .31779 L
s
.47592 .32582 m
.47641 .3262 L
s
.82494 .33537 m
.82498 .33595 L
s
.45634 .3367 m
.45637 .33739 L
s
.47277 .31779 m
.47274 .31846 L
s
.45146 .32543 m
.45192 .32587 L
s
.47544 .32543 m
.47592 .32582 L
s
.82498 .33595 m
.82501 .33652 L
s
.47274 .31846 m
.47271 .31912 L
s
.45063 .34395 m
.46159 .339 L
s
.45637 .33739 m
.45641 .33807 L
s
.82501 .33652 m
.82504 .3371 L
s
.47496 .32504 m
.47544 .32543 L
s
.45101 .32498 m
.45146 .32543 L
s
.47271 .31912 m
.47269 .31978 L
s
.45641 .33807 m
.45645 .33876 L
s
.82504 .3371 m
.82507 .33767 L
s
.47449 .32465 m
.47496 .32504 L
s
.45056 .32454 m
.45101 .32498 L
s
.49085 .3249 m
.50152 .3201 L
s
.47269 .31978 m
.47267 .32044 L
s
.4423 .32474 m
.45362 .32059 L
s
.82507 .33767 m
.8251 .33824 L
s
.45645 .33876 m
.4565 .33944 L
s
.47402 .32426 m
.47449 .32465 L
s
.45011 .32409 m
.45056 .32454 L
s
.47267 .32044 m
.47266 .3211 L
s
.4565 .33944 m
.45655 .34012 L
s
.47355 .32387 m
.47402 .32426 L
s
.48366 .30821 m
.49468 .30422 L
s
.47266 .3211 m
.47265 .32176 L
s
.44967 .32364 m
.45011 .32409 L
s
.47309 .32347 m
.47355 .32387 L
s
.47265 .32176 m
.47264 .32242 L
s
.44923 .32319 m
.44967 .32364 L
s
.81364 .30242 m
.81771 .30929 L
s
.47263 .32308 m
.47309 .32347 L
s
.47264 .32242 m
.47263 .32308 L
s
.47263 .32308 m
.47263 .32373 L
s
.47218 .32268 m
.47263 .32308 L
s
.83037 .31563 m
.83506 .32283 L
s
.81765 .30998 m
.81771 .31056 L
s
.47263 .32373 m
.47263 .32438 L
s
.47172 .32228 m
.47218 .32268 L
s
.81771 .31056 m
.81776 .31114 L
s
.47263 .32438 m
.47264 .32504 L
s
.47128 .32188 m
.47172 .32228 L
s
.81776 .31114 m
.81782 .31172 L
s
.47264 .32504 m
.47265 .32569 L
s
.81782 .31172 m
.81788 .3123 L
s
.47083 .32147 m
.47128 .32188 L
s
.4954 .32138 m
.49587 .32173 L
s
.81788 .3123 m
.81793 .31287 L
s
.47265 .32569 m
.47266 .32634 L
s
.47039 .32107 m
.47083 .32147 L
s
.81793 .31287 m
.81798 .31344 L
s
.49493 .32103 m
.4954 .32138 L
s
.80298 .31385 m
.80649 .32137 L
s
.46159 .339 m
.47258 .33403 L
s
.47266 .32634 m
.47268 .32699 L
s
.48955 .30707 m
.4895 .3077 L
s
.81798 .31344 m
.81804 .31401 L
s
.46995 .32066 m
.47039 .32107 L
s
.24021 .30614 m .25382 .30156 L .2734 .32107 L .656 .751 .92 r
F
0 g
.5 Mabswid
.25382 .30156 m
.2734 .32107 L
s
.2734 .32107 m
.29265 .34025 L
s
.24021 .30614 m
.2461 .33015 L
s
.039 .916 .04 r
1 Mabswid
.49447 .32068 m
.49493 .32103 L
s
.47268 .32699 m
.4727 .32763 L
s
.4895 .3077 m
.48945 .30832 L
s
.81804 .31401 m
.81809 .31458 L
s
.80827 .32068 m
.80753 .32082 L
s
0 g
.5 Mabswid
.89481 .32075 m
.92928 .31022 L
s
.24021 .30614 m
.24359 .28517 L
s
.25712 .28058 m
.24359 .28517 L
s
.039 .916 .04 r
1 Mabswid
.49401 .32033 m
.49447 .32068 L
s
.809 .32054 m
.80827 .32068 L
s
.46952 .32026 m
.46995 .32066 L
s
.45362 .32059 m
.46498 .31644 L
s
.81809 .31458 m
.81814 .31515 L
s
.48945 .30832 m
.48941 .30895 L
s
.81913 .32775 m
.82326 .33559 L
s
.4727 .32763 m
.47273 .32828 L
s
.80973 .3204 m
.809 .32054 L
s
.81046 .32025 m
.80973 .3204 L
s
.49355 .31998 m
.49401 .32033 L
s
.81814 .31515 m
.81819 .31571 L
s
.46909 .31985 m
.46952 .32026 L
s
.81119 .32011 m
.81046 .32025 L
s
.48941 .30895 m
.48937 .30957 L
s
.47273 .32828 m
.47275 .32892 L
s
.81192 .31996 m
.81119 .32011 L
s
.50152 .3201 m
.51222 .31529 L
s
.81819 .31571 m
.81824 .31627 L
s
.4931 .31962 m
.49355 .31998 L
s
.81264 .3198 m
.81192 .31996 L
s
.48937 .30957 m
.48933 .3102 L
s
.46866 .31943 m
.46909 .31985 L
s
.47275 .32892 m
.47279 .32957 L
s
.81337 .31965 m
.81264 .3198 L
s
.81824 .31627 m
.81828 .31683 L
s
.81409 .31949 m
.81337 .31965 L
s
.49265 .31927 m
.4931 .31962 L
s
.48933 .3102 m
.4893 .31082 L
s
.49468 .30422 m
.50575 .30022 L
s
.81482 .31933 m
.81409 .31949 L
s
.47279 .32957 m
.47282 .33021 L
s
.46824 .31902 m
.46866 .31943 L
s
.81828 .31683 m
.81833 .31739 L
s
.81554 .31917 m
.81482 .31933 L
s
.4893 .31082 m
.48927 .31144 L
s
.4922 .31891 m
.49265 .31927 L
s
0 g
.5 Mabswid
.79362 .41646 m
.81582 .42474 L
s
.039 .916 .04 r
1 Mabswid
.81626 .31901 m
.81554 .31917 L
s
.81833 .31739 m
.81837 .31795 L
s
.47282 .33021 m
.47286 .33085 L
s
.46782 .31861 m
.46824 .31902 L
s
.81698 .31884 m
.81626 .31901 L
s
.48927 .31144 m
.48925 .31206 L
s
.49175 .31855 m
.4922 .31891 L
s
.8177 .31867 m
.81698 .31884 L
s
.81837 .31795 m
.81842 .3185 L
s
.47286 .33085 m
.4729 .33149 L
s
.81842 .3185 m
.8177 .31867 L
s
.48925 .31206 m
.48922 .31267 L
s
.4674 .31819 m
.46782 .31861 L
s
.49131 .31819 m
.49175 .31855 L
s
.81842 .3185 m
.81846 .31906 L
s
.81913 .31833 m
.81842 .3185 L
s
.81985 .31815 m
.81913 .31833 L
s
.48922 .31267 m
.4892 .31329 L
s
.4729 .33149 m
.47295 .33213 L
s
.81846 .31906 m
.8185 .31961 L
s
.46699 .31777 m
.4674 .31819 L
s
.49088 .31782 m
.49131 .31819 L
s
.82056 .31798 m
.81985 .31815 L
s
.4892 .31329 m
.48919 .31391 L
s
.82127 .3178 m
.82056 .31798 L
s
.47295 .33213 m
.473 .33277 L
s
.8185 .31961 m
.81854 .32016 L
s
.49044 .31746 m
.49088 .31782 L
s
.82198 .31761 m
.82127 .3178 L
s
.46658 .31735 m
.46699 .31777 L
s
.48919 .31391 m
.48918 .31452 L
s
.82269 .31743 m
.82198 .31761 L
s
.81854 .32016 m
.81858 .3207 L
s
.49001 .31709 m
.49044 .31746 L
s
.8234 .31724 m
.82269 .31743 L
s
.46617 .31693 m
.46658 .31735 L
s
.48918 .31452 m
.48917 .31513 L
s
.81858 .3207 m
.81861 .32125 L
s
.82411 .31705 m
.8234 .31724 L
s
.47258 .33403 m
.48362 .32905 L
s
.48958 .31673 m
.49001 .31709 L
s
.82482 .31686 m
.82411 .31705 L
s
.48917 .31513 m
.48916 .31575 L
s
.81861 .32125 m
.81865 .32179 L
s
.82552 .31666 m
.82482 .31686 L
s
.48916 .31636 m
.48958 .31673 L
s
.48916 .31575 m
.48916 .31636 L
s
.82623 .31647 m
.82552 .31666 L
s
.81865 .32179 m
.81869 .32233 L
s
.82693 .31627 m
.82623 .31647 L
s
.46498 .31644 m
.47639 .31227 L
s
.48916 .31636 m
.48916 .31697 L
s
.48874 .31599 m
.48916 .31636 L
s
.81869 .32233 m
.81872 .32287 L
s
.82763 .31607 m
.82693 .31627 L
s
0 g
.5 Mabswid
.25382 .30156 m
.25712 .28058 L
s
.039 .916 .04 r
1 Mabswid
.82833 .31586 m
.82763 .31607 L
s
.81872 .32287 m
.81875 .32341 L
s
.48916 .31697 m
.48917 .31757 L
s
.48832 .31561 m
.48874 .31599 L
s
0 g
.5 Mabswid
.29416 .45356 m
.30781 .44929 L
s
.27924 .43614 m
.29416 .45356 L
s
.039 .916 .04 r
1 Mabswid
.80954 .2955 m
.81364 .30242 L
s
.82903 .31566 m
.82833 .31586 L
s
.81875 .32341 m
.81879 .32394 L
s
.48917 .31757 m
.48917 .31818 L
s
.82565 .30839 m
.83037 .31563 L
s
.48791 .31524 m
.48832 .31561 L
s
.81879 .32394 m
.81882 .32448 L
s
.48917 .31818 m
.48919 .31879 L
s
.51222 .31529 m
.52297 .31045 L
s
.4875 .31486 m
.48791 .31524 L
s
0 g
.5 Mabswid
.86324 .36099 m
.86586 .39123 L
s
.039 .916 .04 r
1 Mabswid
.81882 .32448 m
.81885 .32501 L
s
.48919 .31879 m
.4892 .31939 L
s
.48709 .31449 m
.4875 .31486 L
s
.50575 .30022 m
.51687 .2962 L
s
.81885 .32501 m
.81887 .32554 L
s
.4892 .31939 m
.48922 .31999 L
s
.51151 .31425 m
.51194 .31457 L
s
.48669 .31411 m
.48709 .31449 L
s
.81887 .32554 m
.8189 .32607 L
s
.48922 .31999 m
.48924 .3206 L
s
.51108 .31393 m
.51151 .31425 L
s
.48629 .31373 m
.48669 .31411 L
s
.50611 .30101 m
.50607 .30159 L
s
.8189 .32607 m
.81893 .32659 L
s
.48924 .3206 m
.48927 .3212 L
s
.51065 .3136 m
.51108 .31393 L
s
.79945 .30629 m
.80298 .31385 L
s
.50607 .30159 m
.50603 .30217 L
s
.48589 .31335 m
.48629 .31373 L
s
.48927 .3212 m
.4893 .3218 L
s
.51023 .31328 m
.51065 .3136 L
s
.50603 .30217 m
.50599 .30275 L
s
.81497 .31987 m
.81913 .32775 L
s
0 g
.5 Mabswid
.96406 .29959 m
.95794 .27768 L
s
.039 .916 .04 r
1 Mabswid
.4855 .31297 m
.48589 .31335 L
s
.4893 .3218 m
.48933 .32239 L
s
.50981 .31295 m
.51023 .31328 L
s
.50599 .30275 m
.50596 .30332 L
s
.48511 .31258 m
.4855 .31297 L
s
.48933 .32239 m
.48936 .32299 L
s
.5094 .31262 m
.50981 .31295 L
s
.48362 .32905 m
.4947 .32404 L
s
.50596 .30332 m
.50592 .3039 L
s
.50898 .31229 m
.5094 .31262 L
s
.50592 .3039 m
.5059 .30447 L
s
.48936 .32299 m
.4894 .32359 L
s
.48472 .31219 m
.48511 .31258 L
s
.5059 .30447 m
.50587 .30505 L
s
.50857 .31196 m
.50898 .31229 L
s
.47639 .31227 m
.48783 .30808 L
s
.4894 .32359 m
.48945 .32418 L
s
.48433 .31181 m
.48472 .31219 L
s
.50587 .30505 m
.50585 .30562 L
s
.50816 .31162 m
.50857 .31196 L
s
.48945 .32418 m
.48949 .32478 L
s
.48395 .31142 m
.48433 .31181 L
s
.50585 .30562 m
.50583 .30619 L
s
.50776 .31129 m
.50816 .31162 L
s
.48949 .32478 m
.48954 .32537 L
s
.50583 .30619 m
.50582 .30676 L
s
.48358 .31103 m
.48395 .31142 L
s
.81154 .29959 m
.81159 .30013 L
s
0 g
.5 Mabswid
.29294 .43181 m
.30781 .44929 L
s
.039 .916 .04 r
1 Mabswid
.50736 .31095 m
.50776 .31129 L
s
.81159 .30013 m
.81165 .30066 L
s
.50582 .30676 m
.5058 .30733 L
s
.4832 .31064 m
.48358 .31103 L
s
.50696 .31062 m
.50736 .31095 L
s
.81165 .30066 m
.8117 .30119 L
s
.5058 .30733 m
.50579 .3079 L
s
.8117 .30119 m
.81175 .30172 L
s
.50657 .31028 m
.50696 .31062 L
s
.50579 .3079 m
.50579 .30847 L
s
.52297 .31045 m
.53377 .30559 L
s
.81175 .30172 m
.8118 .30225 L
s
.50617 .30994 m
.50657 .31028 L
s
0 g
.5 Mabswid
.92928 .31022 m
.96406 .29959 L
s
.039 .916 .04 r
1 Mabswid
.50579 .30847 m
.50578 .30903 L
s
.8118 .30225 m
.81185 .30277 L
s
.51687 .2962 m
.52803 .29216 L
s
.50579 .3096 m
.50617 .30994 L
s
.50578 .30903 m
.50579 .3096 L
s
.81185 .30277 m
.81189 .3033 L
s
.50579 .3096 m
.50579 .31016 L
s
.5054 .30925 m
.50579 .3096 L
s
.81189 .3033 m
.81194 .30382 L
s
.80286 .30944 m
.80218 .30957 L
s
.80353 .30931 m
.80286 .30944 L
s
.81194 .30382 m
.81198 .30434 L
s
.80421 .30918 m
.80353 .30931 L
s
.50579 .31016 m
.5058 .31072 L
s
.50502 .30891 m
.5054 .30925 L
s
.80489 .30905 m
.80421 .30918 L
s
.81198 .30434 m
.81203 .30486 L
s
.80556 .30891 m
.80489 .30905 L
s
.5058 .31072 m
.50581 .31128 L
s
.50464 .30856 m
.50502 .30891 L
s
.80623 .30877 m
.80556 .30891 L
s
.81203 .30486 m
.81207 .30537 L
s
.8069 .30863 m
.80623 .30877 L
s
.4947 .32404 m
.50582 .31902 L
s
.50581 .31128 m
.50582 .31184 L
s
.80757 .30848 m
.8069 .30863 L
s
.50426 .30822 m
.50464 .30856 L
s
.81207 .30537 m
.81211 .30589 L
s
.80824 .30834 m
.80757 .30848 L
s
.8209 .3011 m
.82565 .30839 L
s
.50582 .31184 m
.50583 .3124 L
s
.80891 .30819 m
.80824 .30834 L
s
.81211 .30589 m
.81216 .3064 L
s
.50389 .30787 m
.50426 .30822 L
s
.80542 .28853 m
.80954 .2955 L
s
.80958 .30804 m
.80891 .30819 L
s
.48783 .30808 m
.49932 .30388 L
s
.81024 .30789 m
.80958 .30804 L
s
.50583 .3124 m
.50585 .31296 L
s
.81216 .3064 m
.8122 .30691 L
s
.81091 .30773 m
.81024 .30789 L
s
.50352 .30752 m
.50389 .30787 L
s
.81157 .30758 m
.81091 .30773 L
s
.50585 .31296 m
.50588 .31352 L
s
.8122 .30691 m
.81224 .30742 L
s
.81224 .30742 m
.81157 .30758 L
s
.50315 .30717 m
.50352 .30752 L
s
.81224 .30742 m
.81227 .30793 L
s
.8129 .30726 m
.81224 .30742 L
s
.50588 .31352 m
.5059 .31407 L
s
.52772 .30707 m
.52811 .30737 L
s
.81356 .3071 m
.8129 .30726 L
s
.50279 .30681 m
.50315 .30717 L
s
.81227 .30793 m
.81231 .30843 L
s
.81422 .30693 m
.81356 .3071 L
s
.5059 .31407 m
.50593 .31463 L
s
.52733 .30678 m
.52772 .30707 L
s
.52278 .29491 m
.52274 .29544 L
s
.81487 .30676 m
.81422 .30693 L
s
.81231 .30843 m
.81235 .30894 L
s
.50243 .30646 m
.50279 .30681 L
s
.52694 .30648 m
.52733 .30678 L
s
.81553 .30659 m
.81487 .30676 L
s
.50593 .31463 m
.50596 .31518 L
s
.52274 .29544 m
.5227 .29597 L
s
.81619 .30642 m
.81553 .30659 L
s
.81235 .30894 m
.81238 .30944 L
s
.52656 .30618 m
.52694 .30648 L
s
.50207 .3061 m
.50243 .30646 L
s
.50596 .31518 m
.506 .31573 L
s
.81684 .30625 m
.81619 .30642 L
s
.5227 .29597 m
.52267 .2965 L
s
.81078 .31194 m
.81497 .31987 L
s
.79589 .29868 m
.79945 .30629 L
s
.81238 .30944 m
.81241 .30994 L
s
.8175 .30607 m
.81684 .30625 L
s
.52617 .30588 m
.52656 .30618 L
s
0 g
.5 Mabswid
.24021 .30614 m
.25382 .30156 L
s
.24021 .30614 m
.24087 .33136 L
s
.039 .916 .04 r
1 Mabswid
.52267 .2965 m
.52264 .29703 L
s
.506 .31573 m
.50604 .31628 L
s
.50171 .30575 m
.50207 .3061 L
s
.81815 .30589 m
.8175 .30607 L
s
.81241 .30994 m
.81245 .31044 L
s
.8188 .30571 m
.81815 .30589 L
s
.52579 .30557 m
.52617 .30588 L
s
.52264 .29703 m
.52262 .29756 L
s
.50604 .31628 m
.50608 .31683 L
s
.50136 .30539 m
.50171 .30575 L
s
.81945 .30553 m
.8188 .30571 L
s
.81245 .31044 m
.81248 .31093 L
s
.53377 .30559 m
.54461 .30072 L
s
.52262 .29756 m
.52259 .29809 L
s
.52542 .30527 m
.52579 .30557 L
s
.8201 .30534 m
.81945 .30553 L
s
.50608 .31683 m
.50612 .31738 L
s
.81248 .31093 m
.81251 .31143 L
s
.50102 .30503 m
.50136 .30539 L
s
.82075 .30516 m
.8201 .30534 L
s
.52259 .29809 m
.52257 .29862 L
s
.52504 .30497 m
.52542 .30527 L
s
.8214 .30497 m
.82075 .30516 L
s
.50612 .31738 m
.50617 .31793 L
s
.52803 .29216 m
.53924 .28811 L
s
.81251 .31143 m
.81254 .31192 L
s
.52257 .29862 m
.52255 .29914 L
s
.50067 .30467 m
.50102 .30503 L
s
.82204 .30478 m
.8214 .30497 L
s
.52467 .30466 m
.52504 .30497 L
s
0 g
.5 Mabswid
.81582 .42474 m
.84137 .42663 L
s
.039 .916 .04 r
1 Mabswid
.81254 .31192 m
.81257 .31241 L
s
.52255 .29914 m
.52254 .29967 L
s
.50033 .3043 m
.50067 .30467 L
s
.5243 .30435 m
.52467 .30466 L
s
.81257 .31241 m
.8126 .3129 L
s
.52254 .29967 m
.52253 .30019 L
s
.50582 .31902 m
.51698 .31398 L
s
.52394 .30404 m
.5243 .30435 L
s
.8126 .3129 m
.81262 .31339 L
s
.52253 .30019 m
.52252 .30072 L
s
.52358 .30374 m
.52394 .30404 L
s
.81262 .31339 m
.81265 .31388 L
s
.52252 .30072 m
.52251 .30124 L
s
.49932 .30388 m
.51084 .29966 L
s
.52322 .30342 m
.52358 .30374 L
s
.52251 .30124 m
.52251 .30176 L
s
.81265 .31388 m
.81267 .31436 L
s
.52286 .30311 m
.52322 .30342 L
s
.52251 .30176 m
.52251 .30228 L
s
.81267 .31436 m
.81269 .31484 L
s
.52251 .3028 m
.52286 .30311 L
s
.52251 .30228 m
.52251 .3028 L
s
.52251 .3028 m
.52251 .30332 L
s
.52216 .30248 m
.52251 .3028 L
s
.52251 .30332 m
.52252 .30383 L
s
.52181 .30217 m
.52216 .30248 L
s
0 g
.5 Mabswid
.2655 .41344 m
.27924 .43614 L
s
.27924 .43614 m
.29294 .43181 L
s
.039 .916 .04 r
1 Mabswid
.52252 .30383 m
.52253 .30435 L
s
.52146 .30185 m
.52181 .30217 L
s
.52253 .30435 m
.52255 .30486 L
s
.52112 .30153 m
.52146 .30185 L
s
.52255 .30486 m
.52256 .30538 L
s
0 g
.5 Mabswid
.25382 .30156 m
.25454 .32681 L
s
.039 .916 .04 r
1 Mabswid
.52078 .30121 m
.52112 .30153 L
s
.52256 .30538 m
.52258 .30589 L
s
.52045 .30089 m
.52078 .30121 L
s
.81612 .29377 m
.8209 .3011 L
s
.52258 .30589 m
.52261 .3064 L
s
.52011 .30057 m
.52045 .30089 L
s
.52261 .3064 m
.52263 .30691 L
s
.54461 .30072 m
.5555 .29582 L
s
.51978 .30024 m
.52011 .30057 L
s
.80127 .28152 m
.80542 .28853 L
s
.52263 .30691 m
.52266 .30742 L
s
.53924 .28811 m
.55049 .28404 L
s
.51945 .29992 m
.51978 .30024 L
s
.52266 .30742 m
.52269 .30793 L
s
.51698 .31398 m
.52818 .30892 L
s
.54403 .29985 m
.54439 .30012 L
s
.51913 .29959 m
.51945 .29992 L
s
.52269 .30793 m
.52273 .30843 L
s
.80537 .2891 m
.80542 .28959 L
s
.54368 .29958 m
.54403 .29985 L
s
.53955 .28877 m
.53952 .28925 L
s
.51084 .29966 m
.52241 .29543 L
s
.80542 .28959 m
.80547 .29007 L
s
0 g
.5 Mabswid
.96307 .32394 m
.96406 .29959 L
s
.96406 .29959 m
.96406 .29959 L
s
.039 .916 .04 r
1 Mabswid
.51881 .29926 m
.51913 .29959 L
s
.52273 .30843 m
.52276 .30894 L
s
.54333 .29931 m
.54368 .29958 L
s
.53952 .28925 m
.53948 .28974 L
s
.80547 .29007 m
.80551 .29056 L
s
.54298 .29903 m
.54333 .29931 L
s
.52276 .30894 m
.52281 .30944 L
s
.51849 .29893 m
.51881 .29926 L
s
.53948 .28974 m
.53946 .29022 L
s
.80657 .30395 m
.81078 .31194 L
s
.80551 .29056 m
.80556 .29104 L
s
.54263 .29876 m
.54298 .29903 L
s
.53946 .29022 m
.53943 .29071 L
s
.52281 .30944 m
.52285 .30995 L
s
.51817 .2986 m
.51849 .29893 L
s
.80556 .29104 m
.8056 .29152 L
s
0 g
.5 Mabswid
.86586 .39123 m
.86852 .42189 L
s
.039 .916 .04 r
1 Mabswid
.54229 .29849 m
.54263 .29876 L
s
.53943 .29071 m
.53941 .29119 L
s
.8056 .29152 m
.80565 .292 L
s
.52285 .30995 m
.5229 .31045 L
s
.79231 .29102 m
.79589 .29868 L
s
.51786 .29827 m
.51817 .2986 L
s
.53941 .29119 m
.53939 .29167 L
s
.54195 .29821 m
.54229 .29849 L
s
.80565 .292 m
.80569 .29247 L
s
.51755 .29794 m
.51786 .29827 L
s
.53939 .29167 m
.53937 .29215 L
s
.80569 .29247 m
.80573 .29295 L
s
.7974 .2981 m
.79677 .29821 L
s
.54162 .29793 m
.54195 .29821 L
s
.79802 .29797 m
.7974 .2981 L
s
.53937 .29215 m
.53936 .29263 L
s
.79864 .29785 m
.79802 .29797 L
s
.80573 .29295 m
.80577 .29342 L
s
.54128 .29765 m
.54162 .29793 L
s
.79926 .29773 m
.79864 .29785 L
s
0 g
.5 Mabswid
.29294 .43181 m
.27924 .40905 L
s
.039 .916 .04 r
1 Mabswid
.53936 .29263 m
.53934 .29311 L
s
.80577 .29342 m
.80581 .29389 L
s
.79987 .2976 m
.79926 .29773 L
s
.54095 .29737 m
.54128 .29765 L
s
.80049 .29747 m
.79987 .2976 L
s
.53934 .29311 m
.53933 .29359 L
s
.80581 .29389 m
.80585 .29436 L
s
.80111 .29734 m
.80049 .29747 L
s
.54062 .29709 m
.54095 .29737 L
s
.80172 .29721 m
.80111 .29734 L
s
.53933 .29359 m
.53933 .29406 L
s
.80585 .29436 m
.80589 .29483 L
s
.80233 .29708 m
.80172 .29721 L
s
.54029 .29681 m
.54062 .29709 L
s
.80295 .29694 m
.80233 .29708 L
s
.53933 .29406 m
.53932 .29454 L
s
.80589 .29483 m
.80592 .2953 L
s
.80356 .2968 m
.80295 .29694 L
s
.53997 .29653 m
.54029 .29681 L
s
.80417 .29666 m
.80356 .2968 L
s
.53932 .29454 m
.53932 .29501 L
s
.80592 .2953 m
.80596 .29576 L
s
.80478 .29652 m
.80417 .29666 L
s
.53965 .29624 m
.53997 .29653 L
s
.80539 .29637 m
.80478 .29652 L
s
.80596 .29576 m
.806 .29623 L
s
.53932 .29501 m
.53932 .29549 L
s
.806 .29623 m
.80539 .29637 L
s
.53933 .29596 m
.53965 .29624 L
s
.806 .29623 m
.80603 .29669 L
s
.8066 .29608 m
.806 .29623 L
s
.53932 .29549 m
.53933 .29596 L
s
.80721 .29593 m
.8066 .29608 L
s
.80603 .29669 m
.80606 .29715 L
s
.53933 .29596 m
.53934 .29643 L
s
.53901 .29567 m
.53933 .29596 L
s
.80781 .29578 m
.80721 .29593 L
s
.52818 .30892 m
.53942 .30384 L
s
.5555 .29582 m
.56643 .2909 L
s
.80842 .29562 m
.80781 .29578 L
s
.80606 .29715 m
.80609 .29761 L
s
.53934 .29643 m
.53934 .2969 L
s
.5387 .29539 m
.53901 .29567 L
s
.80902 .29547 m
.80842 .29562 L
s
.80962 .29531 m
.80902 .29547 L
s
.80609 .29761 m
.80613 .29807 L
s
.55049 .28404 m
.5618 .27995 L
s
.53934 .2969 m
.53936 .29737 L
s
.52241 .29543 m
.53403 .29118 L
s
0 g
.5 Mabswid
.24087 .33136 m
.25454 .32681 L
s
.24087 .33136 m
.24557 .35903 L
s
.039 .916 .04 r
1 Mabswid
.53839 .2951 m
.5387 .29539 L
s
.81022 .29515 m
.80962 .29531 L
s
.80613 .29807 m
.80616 .29852 L
s
.53936 .29737 m
.53937 .29784 L
s
.81082 .29499 m
.81022 .29515 L
s
.53808 .29481 m
.53839 .2951 L
s
.81142 .29482 m
.81082 .29499 L
s
.80616 .29852 m
.80619 .29897 L
s
.53937 .29784 m
.53939 .29831 L
s
.81201 .29465 m
.81142 .29482 L
s
.53777 .29451 m
.53808 .29481 L
s
.80619 .29897 m
.80621 .29943 L
s
.81261 .29449 m
.81201 .29465 L
s
.53939 .29831 m
.53941 .29877 L
s
.53747 .29422 m
.53777 .29451 L
s
.81321 .29432 m
.81261 .29449 L
s
.80621 .29943 m
.80624 .29988 L
s
.53941 .29877 m
.53943 .29924 L
s
.8138 .29414 m
.81321 .29432 L
s
.53717 .29393 m
.53747 .29422 L
s
.81439 .29397 m
.8138 .29414 L
s
.80624 .29988 m
.80627 .30033 L
s
.53943 .29924 m
.53946 .2997 L
s
.81499 .29379 m
.81439 .29397 L
s
.53687 .29363 m
.53717 .29393 L
s
.80627 .30033 m
.80629 .30077 L
s
.53946 .2997 m
.53949 .30017 L
s
.81131 .28639 m
.81612 .29377 L
s
.53658 .29334 m
.53687 .29363 L
s
.80629 .30077 m
.80632 .30122 L
s
.53949 .30017 m
.53952 .30063 L
s
.53628 .29304 m
.53658 .29334 L
s
.80632 .30122 m
.80634 .30166 L
s
.53952 .30063 m
.53955 .30109 L
s
.53599 .29274 m
.53628 .29304 L
s
0 g
.5 Mabswid
.25399 .38708 m
.2655 .41344 L
s
.2655 .41344 m
.27924 .40905 L
s
.039 .916 .04 r
1 Mabswid
.80634 .30166 m
.80636 .3021 L
s
.53955 .30109 m
.53959 .30155 L
s
.56044 .29258 m
.56076 .29282 L
s
.80636 .3021 m
.80638 .30254 L
s
.53959 .30155 m
.53963 .30201 L
s
.53571 .29244 m
.53599 .29274 L
s
.7971 .27446 m
.80127 .28152 L
s
.56013 .29234 m
.56044 .29258 L
s
.55642 .28259 m
.55639 .28303 L
s
.80638 .30254 m
.8064 .30298 L
s
.53963 .30201 m
.53967 .30247 L
s
.53542 .29214 m
.53571 .29244 L
s
.55981 .29209 m
.56013 .29234 L
s
0 g
.5 Mabswid
.84137 .42663 m
.86852 .42189 L
s
.039 .916 .04 r
1 Mabswid
.55639 .28303 m
.55637 .28347 L
s
.53967 .30247 m
.53971 .30293 L
s
.53514 .29184 m
.53542 .29214 L
s
.5595 .29185 m
.55981 .29209 L
s
.55637 .28347 m
.55634 .2839 L
s
.80233 .29592 m
.80657 .30395 L
s
.5592 .2916 m
.5595 .29185 L
s
.55634 .2839 m
.55632 .28434 L
s
.53486 .29154 m
.53514 .29184 L
s
.55632 .28434 m
.5563 .28478 L
s
.53942 .30384 m
.5507 .29875 L
s
.55889 .29135 m
.5592 .2916 L
s
.5563 .28478 m
.55629 .28521 L
s
.55859 .29111 m
.55889 .29135 L
s
.53403 .29118 m
.54568 .28692 L
s
.55629 .28521 m
.55627 .28564 L
s
.55829 .29086 m
.55859 .29111 L
s
.78871 .28331 m
.79231 .29102 L
s
.55627 .28564 m
.55626 .28608 L
s
.56643 .2909 m
.57741 .28596 L
s
.55799 .29061 m
.55829 .29086 L
s
0 g
.5 Mabswid
.25929 .35452 m
.25454 .32681 L
s
.039 .916 .04 r
1 Mabswid
.55626 .28608 m
.55625 .28651 L
s
.55769 .29035 m
.55799 .29061 L
s
.5618 .27995 m
.57314 .27584 L
s
.55625 .28651 m
.55625 .28694 L
s
.5574 .2901 m
.55769 .29035 L
s
.55625 .28694 m
.55624 .28737 L
s
.55711 .28985 m
.5574 .2901 L
s
.55624 .28737 m
.55624 .2878 L
s
.55682 .28959 m
.55711 .28985 L
s
.55624 .2878 m
.55624 .28823 L
s
.55653 .28934 m
.55682 .28959 L
s
.55624 .28823 m
.55624 .28865 L
s
0 g
.5 Mabswid
.24557 .35903 m
.25929 .35452 L
s
.24557 .35903 m
.25399 .38708 L
s
.039 .916 .04 r
1 Mabswid
.55625 .28908 m
.55653 .28934 L
s
.55624 .28865 m
.55625 .28908 L
s
.55625 .28908 m
.55626 .28951 L
s
.55597 .28882 m
.55625 .28908 L
s
.55626 .28951 m
.55627 .28993 L
s
.55569 .28856 m
.55597 .28882 L
s
.55627 .28993 m
.55628 .29035 L
s
0 g
.5 Mabswid
.25399 .38708 m
.26773 .38263 L
s
.039 .916 .04 r
1 Mabswid
.55541 .2883 m
.55569 .28856 L
s
0 g
.5 Mabswid
.27924 .40905 m
.26773 .38263 L
s
.039 .916 .04 r
1 Mabswid
.55628 .29035 m
.55629 .29078 L
s
.55513 .28804 m
.55541 .2883 L
s
.79914 .27851 m
.79918 .27895 L
s
.55629 .29078 m
.55631 .2912 L
s
.55486 .28778 m
.55513 .28804 L
s
.79918 .27895 m
.79922 .27938 L
s
.55631 .2912 m
.55633 .29162 L
s
0 g
.5 Mabswid
.95494 .349 m
.96307 .32394 L
s
.039 .916 .04 r
1 Mabswid
.79922 .27938 m
.79927 .27982 L
s
.55459 .28752 m
.55486 .28778 L
s
.55633 .29162 m
.55635 .29204 L
s
.79927 .27982 m
.79931 .28025 L
s
.55432 .28725 m
.55459 .28752 L
s
.55635 .29204 m
.55638 .29246 L
s
.79931 .28025 m
.79935 .28069 L
s
.5507 .29875 m
.56203 .29363 L
s
.55406 .28699 m
.55432 .28725 L
s
.79935 .28069 m
.79939 .28112 L
s
.55638 .29246 m
.55641 .29288 L
s
.5538 .28672 m
.55406 .28699 L
s
.79939 .28112 m
.79942 .28155 L
s
.54568 .28692 m
.55738 .28264 L
s
.55641 .29288 m
.55644 .29329 L
s
.79188 .28663 m
.79132 .28674 L
s
.79942 .28155 m
.79946 .28197 L
s
.55354 .28645 m
.5538 .28672 L
s
.55644 .29329 m
.55647 .29371 L
s
.79244 .28652 m
.79188 .28663 L
s
.79301 .28641 m
.79244 .28652 L
s
.79946 .28197 m
.7995 .2824 L
s
.55328 .28619 m
.55354 .28645 L
s
.55647 .29371 m
.5565 .29413 L
s
.79357 .2863 m
.79301 .28641 L
s
.80647 .27896 m
.81131 .28639 L
s
.79413 .28618 m
.79357 .2863 L
s
.7995 .2824 m
.79953 .28283 L
s
.55302 .28592 m
.55328 .28619 L
s
.79469 .28607 m
.79413 .28618 L
s
.5565 .29413 m
.55654 .29454 L
s
.79953 .28283 m
.79957 .28325 L
s
.79525 .28595 m
.79469 .28607 L
s
.57741 .28596 m
.58843 .281 L
s
.79581 .28583 m
.79525 .28595 L
s
.55654 .29454 m
.55658 .29496 L
s
.55277 .28565 m
.55302 .28592 L
s
.79957 .28325 m
.7996 .28367 L
s
.79637 .2857 m
.79581 .28583 L
s
.79693 .28558 m
.79637 .2857 L
s
.57314 .27584 m
.58454 .27172 L
s
.55658 .29496 m
.55662 .29537 L
s
.55252 .28537 m
.55277 .28565 L
s
.7996 .28367 m
.79963 .28409 L
s
.79748 .28545 m
.79693 .28558 L
s
.57696 .28527 m
.57724 .28548 L
s
.79804 .28532 m
.79748 .28545 L
s
.79963 .28409 m
.79966 .28451 L
s
.55227 .2851 m
.55252 .28537 L
s
.79859 .28519 m
.79804 .28532 L
s
.57668 .28505 m
.57696 .28527 L
s
.5734 .27637 m
.57338 .27677 L
s
.79914 .28506 m
.79859 .28519 L
s
.79966 .28451 m
.7997 .28493 L
s
.7997 .28493 m
.79914 .28506 L
s
.57641 .28484 m
.57668 .28505 L
s
.57338 .27677 m
.57336 .27716 L
s
.7997 .28493 m
.79973 .28535 L
s
.80025 .28479 m
.7997 .28493 L
s
.79289 .26735 m
.7971 .27446 L
s
.57613 .28462 m
.57641 .28484 L
s
.57336 .27716 m
.57334 .27755 L
s
.8008 .28466 m
.80025 .28479 L
s
0 g
.5 Mabswid
.26773 .38263 m
.25929 .35452 L
s
.039 .916 .04 r
1 Mabswid
.79807 .28784 m
.80233 .29592 L
s
.79973 .28535 m
.79975 .28576 L
s
.80135 .28452 m
.8008 .28466 L
s
.57334 .27755 m
.57332 .27794 L
s
.57586 .2844 m
.57613 .28462 L
s
.80189 .28438 m
.80135 .28452 L
s
.79975 .28576 m
.79978 .28617 L
s
.57332 .27794 m
.5733 .27832 L
s
.57559 .28418 m
.57586 .2844 L
s
.80244 .28423 m
.80189 .28438 L
s
.80299 .28409 m
.80244 .28423 L
s
.5733 .27832 m
.57329 .27871 L
s
.79978 .28617 m
.79981 .28658 L
s
.57533 .28396 m
.57559 .28418 L
s
.80353 .28394 m
.80299 .28409 L
s
.57329 .27871 m
.57328 .2791 L
s
.79981 .28658 m
.79984 .28699 L
s
.57506 .28374 m
.57533 .28396 L
s
.80408 .28379 m
.80353 .28394 L
s
.57328 .2791 m
.57327 .27948 L
s
.80462 .28364 m
.80408 .28379 L
s
.79984 .28699 m
.79986 .2874 L
s
.5748 .28351 m
.57506 .28374 L
s
.80516 .28349 m
.80462 .28364 L
s
.57327 .27948 m
.57326 .27987 L
s
.57454 .28329 m
.5748 .28351 L
s
.79986 .2874 m
.79989 .28781 L
s
.80571 .28334 m
.80516 .28349 L
s
.57326 .27987 m
.57326 .28025 L
s
.80625 .28318 m
.80571 .28334 L
s
.78508 .27555 m
.78871 .28331 L
s
.57428 .28307 m
.57454 .28329 L
s
.79989 .28781 m
.79991 .28822 L
s
.57326 .28025 m
.57326 .28064 L
s
.80679 .28302 m
.80625 .28318 L
s
.57402 .28284 m
.57428 .28307 L
s
.80732 .28286 m
.80679 .28302 L
s
.79991 .28822 m
.79993 .28862 L
s
.57326 .28064 m
.57326 .28102 L
s
.56203 .29363 m
.57339 .2885 L
s
.80786 .2827 m
.80732 .28286 L
s
.57377 .28262 m
.57402 .28284 L
s
.57326 .28102 m
.57326 .2814 L
s
.79993 .28862 m
.79996 .28902 L
s
.55738 .28264 m
.56911 .27835 L
s
.57352 .28239 m
.57377 .28262 L
s
.57326 .2814 m
.57326 .28178 L
s
.79996 .28902 m
.79998 .28942 L
s
.57327 .28216 m
.57352 .28239 L
s
.57326 .28178 m
.57327 .28216 L
s
.79998 .28942 m
.8 .28982 L
s
0 g
.5 Mabswid
.86852 .42189 m
.86852 .42189 L
s
.86852 .42189 m
.89532 .4108 L
s
.039 .916 .04 r
1 Mabswid
.57327 .28216 m
.57328 .28254 L
s
.57302 .28193 m
.57327 .28216 L
s
.8 .28982 m
.80002 .29022 L
s
.57328 .28254 m
.57329 .28292 L
s
.57277 .2817 m
.57302 .28193 L
s
.80002 .29022 m
.80004 .29062 L
s
.57329 .28292 m
.5733 .2833 L
s
.57253 .28147 m
.57277 .2817 L
s
.5733 .2833 m
.57332 .28367 L
s
.80004 .29062 m
.80005 .29101 L
s
.57229 .28124 m
.57253 .28147 L
s
.57332 .28367 m
.57333 .28405 L
s
.57205 .28101 m
.57229 .28124 L
s
.57333 .28405 m
.57335 .28442 L
s
.57181 .28077 m
.57205 .28101 L
s
.58843 .281 m
.59951 .27602 L
s
.57335 .28442 m
.57337 .2848 L
s
.57158 .28054 m
.57181 .28077 L
s
.58454 .27172 m
.59599 .26758 L
s
.57337 .2848 m
.5734 .28517 L
s
.57134 .2803 m
.57158 .28054 L
s
.5734 .28517 m
.57342 .28554 L
s
.57111 .28007 m
.57134 .2803 L
s
.57342 .28554 m
.57345 .28592 L
s
.57089 .27983 m
.57111 .28007 L
s
.57345 .28592 m
.57348 .28629 L
s
.57066 .27959 m
.57089 .27983 L
s
.57348 .28629 m
.57351 .28666 L
s
.57043 .27935 m
.57066 .27959 L
s
.57351 .28666 m
.57355 .28703 L
s
.57021 .27911 m
.57043 .27935 L
s
.57355 .28703 m
.57359 .2874 L
s
.56999 .27887 m
.57021 .27911 L
s
.57359 .2874 m
.57362 .28776 L
s
0 g
.5 Mabswid
.94017 .37297 m
.95494 .349 L
s
.039 .916 .04 r
1 Mabswid
.8016 .27149 m
.80647 .27896 L
s
.56977 .27863 m
.56999 .27887 L
s
.57339 .2885 m
.5848 .28334 L
s
.56911 .27835 m
.5809 .27404 L
s
.59358 .27791 m
.59382 .2781 L
s
.59334 .27772 m
.59358 .27791 L
s
.59049 .27012 m
.59047 .27046 L
s
.59047 .27046 m
.59045 .27081 L
s
.5931 .27753 m
.59334 .27772 L
s
.59045 .27081 m
.59043 .27115 L
s
.59286 .27734 m
.5931 .27753 L
s
.79378 .27971 m
.79807 .28784 L
s
.59043 .27115 m
.59042 .27149 L
s
.59263 .27715 m
.59286 .27734 L
s
.59042 .27149 m
.59041 .27183 L
s
.5924 .27696 m
.59263 .27715 L
s
.59041 .27183 m
.5904 .27217 L
s
.78866 .26019 m
.79289 .26735 L
s
.59217 .27677 m
.5924 .27696 L
s
.5904 .27217 m
.59039 .27251 L
s
.59194 .27657 m
.59217 .27677 L
s
.59039 .27251 m
.59038 .27285 L
s
.59171 .27638 m
.59194 .27657 L
s
.59038 .27285 m
.59038 .27319 L
s
.79285 .2678 m
.79288 .2682 L
s
.59149 .27619 m
.59171 .27638 L
s
.59038 .27319 m
.59037 .27352 L
s
.79288 .2682 m
.79292 .26858 L
s
.59126 .27599 m
.59149 .27619 L
s
.59037 .27352 m
.59037 .27386 L
s
.79292 .26858 m
.79296 .26897 L
s
.59951 .27602 m
.61063 .27102 L
s
.59104 .27579 m
.59126 .27599 L
s
.59037 .27386 m
.59037 .2742 L
s
.79296 .26897 m
.79299 .26936 L
s
.59599 .26758 m
.60748 .26343 L
s
.59082 .2756 m
.59104 .27579 L
s
.59037 .2742 m
.59038 .27453 L
s
.79299 .26936 m
.79303 .26974 L
s
.5906 .2754 m
.59082 .2756 L
s
.59038 .27453 m
.59038 .27487 L
s
.78143 .26773 m
.78508 .27555 L
s
.79303 .26974 m
.79306 .27013 L
s
0 g
.5 Mabswid
.89532 .4108 m
.9198 .39409 L
s
.039 .916 .04 r
1 Mabswid
.59039 .2752 m
.5906 .2754 L
s
.59038 .27487 m
.59039 .2752 L
s
.79306 .27013 m
.7931 .27051 L
s
.59039 .2752 m
.5904 .27553 L
s
.59018 .275 m
.59039 .2752 L
s
.78631 .27506 m
.7858 .27516 L
s
.7931 .27051 m
.79313 .27089 L
s
.78682 .27496 m
.78631 .27506 L
s
.5904 .27553 m
.59041 .27586 L
s
.58996 .2748 m
.59018 .275 L
s
.78732 .27486 m
.78682 .27496 L
s
.79313 .27089 m
.79316 .27127 L
s
.78783 .27476 m
.78732 .27486 L
s
.59041 .27586 m
.59042 .2762 L
s
.58975 .2746 m
.58996 .2748 L
s
.78833 .27465 m
.78783 .27476 L
s
.79316 .27127 m
.79319 .27165 L
s
.78884 .27455 m
.78833 .27465 L
s
.59042 .2762 m
.59044 .27653 L
s
.58954 .2744 m
.58975 .2746 L
s
.78934 .27444 m
.78884 .27455 L
s
.79319 .27165 m
.79322 .27203 L
s
.59044 .27653 m
.59045 .27686 L
s
.78984 .27433 m
.78934 .27444 L
s
.58934 .27419 m
.58954 .2744 L
s
.79322 .27203 m
.79325 .2724 L
s
.79035 .27422 m
.78984 .27433 L
s
.5848 .28334 m
.59625 .27817 L
s
.59045 .27686 m
.59047 .27719 L
s
.79085 .27411 m
.79035 .27422 L
s
.58913 .27399 m
.58934 .27419 L
s
.79325 .2724 m
.79328 .27278 L
s
.79134 .27399 m
.79085 .27411 L
s
.59047 .27719 m
.59049 .27751 L
s
.5809 .27404 m
.59272 .26971 L
s
.79184 .27388 m
.79134 .27399 L
s
.58893 .27379 m
.58913 .27399 L
s
.79328 .27278 m
.79331 .27315 L
s
.79234 .27376 m
.79184 .27388 L
s
.59049 .27751 m
.59051 .27784 L
s
0 g
.5 Mabswid
.9198 .39409 m
.94017 .37297 L
s
.039 .916 .04 r
1 Mabswid
.58873 .27358 m
.58893 .27379 L
s
.79284 .27364 m
.79234 .27376 L
s
.79331 .27315 m
.79333 .27352 L
s
.59051 .27784 m
.59054 .27817 L
s
.79333 .27352 m
.79284 .27364 L
s
.58853 .27338 m
.58873 .27358 L
s
.79333 .27352 m
.79336 .27389 L
s
.79383 .2734 m
.79333 .27352 L
s
.59054 .27817 m
.59056 .2785 L
s
.79432 .27327 m
.79383 .2734 L
s
.58833 .27317 m
.58853 .27338 L
s
.79336 .27389 m
.79339 .27426 L
s
.59056 .2785 m
.59059 .27882 L
s
.79482 .27315 m
.79432 .27327 L
s
.58814 .27296 m
.58833 .27317 L
s
.79531 .27302 m
.79482 .27315 L
s
.79339 .27426 m
.79341 .27463 L
s
.59059 .27882 m
.59062 .27915 L
s
.7958 .27289 m
.79531 .27302 L
s
.58794 .27275 m
.58814 .27296 L
s
.59062 .27915 m
.59065 .27947 L
s
.79629 .27276 m
.7958 .27289 L
s
.79341 .27463 m
.79343 .27499 L
s
.79678 .27263 m
.79629 .27276 L
s
.58775 .27254 m
.58794 .27275 L
s
.59065 .27947 m
.59069 .27979 L
s
.79343 .27499 m
.79346 .27536 L
s
.79727 .27249 m
.79678 .27263 L
s
.58756 .27233 m
.58775 .27254 L
s
.59069 .27979 m
.59072 .28012 L
s
.79776 .27236 m
.79727 .27249 L
s
.79346 .27536 m
.79348 .27572 L
s
.79825 .27222 m
.79776 .27236 L
s
.58737 .27212 m
.58756 .27233 L
s
.79348 .27572 m
.7935 .27608 L
s
.79873 .27208 m
.79825 .27222 L
s
.79922 .27194 m
.79873 .27208 L
s
.7935 .27608 m
.79352 .27644 L
s
.7997 .2718 m
.79922 .27194 L
s
.79352 .27644 m
.79354 .2768 L
s
.80019 .27165 m
.7997 .2718 L
s
.80067 .27151 m
.80019 .27165 L
s
.79354 .2768 m
.79356 .27716 L
s
.7967 .26397 m
.8016 .27149 L
s
.79356 .27716 m
.79358 .27752 L
s
.79358 .27752 m
.7936 .27787 L
s
.61063 .27102 m
.62179 .26599 L
s
.7936 .27787 m
.79361 .27823 L
s
.60748 .26343 m
.61902 .25925 L
s
.79361 .27823 m
.79363 .27858 L
s
.6103 .2705 m
.6105 .27066 L
s
.60768 .26383 m
.60766 .26412 L
s
.6101 .27034 m
.6103 .2705 L
s
.79363 .27858 m
.79365 .27893 L
s
.60766 .26412 m
.60765 .26442 L
s
.6099 .27018 m
.6101 .27034 L
s
.60765 .26442 m
.60764 .26471 L
s
.6097 .27002 m
.6099 .27018 L
s
.60764 .26471 m
.60762 .26501 L
s
.78946 .27153 m
.79378 .27971 L
s
.6095 .26986 m
.6097 .27002 L
s
.60762 .26501 m
.60762 .2653 L
s
.59625 .27817 m
.60774 .27298 L
s
.6093 .2697 m
.6095 .26986 L
s
.60762 .2653 m
.60761 .26559 L
s
.59272 .26971 m
.60459 .26537 L
s
.60911 .26953 m
.6093 .2697 L
s
.60761 .26559 m
.6076 .26588 L
s
.60892 .26937 m
.60911 .26953 L
s
.6076 .26588 m
.6076 .26618 L
s
.60873 .2692 m
.60892 .26937 L
s
.6076 .26618 m
.60759 .26647 L
s
.60854 .26904 m
.60873 .2692 L
s
.60759 .26647 m
.60759 .26676 L
s
.78439 .25299 m
.78866 .26019 L
s
.60835 .26887 m
.60854 .26904 L
s
.60759 .26676 m
.60759 .26705 L
s
.60816 .2687 m
.60835 .26887 L
s
.60759 .26705 m
.6076 .26733 L
s
.60798 .26854 m
.60816 .2687 L
s
.6076 .26733 m
.6076 .26762 L
s
.60779 .26837 m
.60798 .26854 L
s
.6076 .26762 m
.6076 .26791 L
s
.60761 .2682 m
.60779 .26837 L
s
.6076 .26791 m
.60761 .2682 L
s
.60761 .2682 m
.60762 .26848 L
s
.60743 .26803 m
.60761 .2682 L
s
.60762 .26848 m
.60763 .26877 L
s
.60725 .26786 m
.60743 .26803 L
s
.60763 .26877 m
.60764 .26905 L
s
.60708 .26769 m
.60725 .26786 L
s
.77776 .25986 m
.78143 .26773 L
s
.60764 .26905 m
.60766 .26934 L
s
.6069 .26751 m
.60708 .26769 L
s
.60766 .26934 m
.60767 .26962 L
s
.60673 .26734 m
.6069 .26751 L
s
.60767 .26962 m
.60769 .26991 L
s
.60655 .26717 m
.60673 .26734 L
s
.60769 .26991 m
.60771 .27019 L
s
.60638 .267 m
.60655 .26717 L
s
.60771 .27019 m
.60773 .27047 L
s
.60621 .26682 m
.60638 .267 L
s
.60773 .27047 m
.60775 .27075 L
s
.60605 .26665 m
.60621 .26682 L
s
.60775 .27075 m
.60777 .27103 L
s
.60588 .26647 m
.60605 .26665 L
s
.60777 .27103 m
.6078 .27131 L
s
.60572 .26629 m
.60588 .26647 L
s
.6078 .27131 m
.60783 .27159 L
s
.60555 .26612 m
.60572 .26629 L
s
.60783 .27159 m
.60786 .27187 L
s
.60539 .26594 m
.60555 .26612 L
s
.60786 .27187 m
.60789 .27215 L
s
.62179 .26599 m
.63301 .26095 L
s
.60523 .26576 m
.60539 .26594 L
s
.61902 .25925 m
.63061 .25506 L
s
.60789 .27215 m
.60792 .27243 L
s
.60507 .26558 m
.60523 .26576 L
s
.60774 .27298 m
.61928 .26777 L
s
.60459 .26537 m
.6165 .26101 L
s
.78649 .25699 m
.78652 .25734 L
s
.78652 .25734 m
.78655 .25768 L
s
.78655 .25768 m
.78659 .25802 L
s
.78659 .25802 m
.78662 .25836 L
s
.79177 .2564 m
.7967 .26397 L
s
.78662 .25836 m
.78665 .25869 L
s
.78665 .25869 m
.78668 .25903 L
s
.78668 .25903 m
.78671 .25936 L
s
.78069 .26337 m
.78024 .26346 L
s
.78671 .25936 m
.78673 .2597 L
s
.78114 .26328 m
.78069 .26337 L
s
.78158 .26319 m
.78114 .26328 L
s
.78673 .2597 m
.78676 .26003 L
s
.78203 .2631 m
.78158 .26319 L
s
.62713 .26305 m
.6273 .26318 L
s
.62498 .25749 m
.62497 .25774 L
s
.78248 .26301 m
.78203 .2631 L
s
.78676 .26003 m
.78679 .26036 L
s
.62696 .26292 m
.62713 .26305 L
s
.78293 .26292 m
.78248 .26301 L
s
.62497 .25774 m
.62496 .25799 L
s
.6268 .26279 m
.62696 .26292 L
s
.78337 .26282 m
.78293 .26292 L
s
.78679 .26036 m
.78681 .26069 L
s
.62496 .25799 m
.62495 .25824 L
s
.78382 .26272 m
.78337 .26282 L
s
.62664 .26265 m
.6268 .26279 L
s
.62495 .25824 m
.62494 .25848 L
s
.78681 .26069 m
.78684 .26102 L
s
.78426 .26262 m
.78382 .26272 L
s
.62648 .26252 m
.62664 .26265 L
s
.78512 .26329 m
.78946 .27153 L
s
.78471 .26252 m
.78426 .26262 L
s
.62494 .25848 m
.62493 .25873 L
s
.78684 .26102 m
.78686 .26135 L
s
.78515 .26242 m
.78471 .26252 L
s
.62632 .26239 m
.62648 .26252 L
s
.62493 .25873 m
.62492 .25897 L
s
.78559 .26232 m
.78515 .26242 L
s
.62616 .26225 m
.62632 .26239 L
s
.78686 .26135 m
.78689 .26167 L
s
.62492 .25897 m
.62492 .25922 L
s
.78603 .26221 m
.78559 .26232 L
s
.626 .26212 m
.62616 .26225 L
s
.62492 .25922 m
.62492 .25946 L
s
.78647 .26211 m
.78603 .26221 L
s
.78689 .26167 m
.78691 .262 L
s
.62585 .26198 m
.626 .26212 L
s
.78691 .262 m
.78647 .26211 L
s
.62492 .25946 m
.62492 .2597 L
s
.78691 .262 m
.78693 .26232 L
s
.78735 .26189 m
.78691 .262 L
s
.62569 .26184 m
.62585 .26198 L
s
.62492 .2597 m
.62492 .25995 L
s
.78779 .26178 m
.78735 .26189 L
s
.62554 .26171 m
.62569 .26184 L
s
.62492 .25995 m
.62492 .26019 L
s
.78693 .26232 m
.78696 .26265 L
s
.78822 .26167 m
.78779 .26178 L
s
.62539 .26157 m
.62554 .26171 L
s
.62492 .26019 m
.62492 .26043 L
s
.78866 .26155 m
.78822 .26167 L
s
.78696 .26265 m
.78698 .26297 L
s
.62524 .26143 m
.62539 .26157 L
s
.62492 .26043 m
.62492 .26067 L
s
.7891 .26144 m
.78866 .26155 L
s
.78698 .26297 m
.787 .26329 L
s
.78953 .26132 m
.7891 .26144 L
s
.62509 .26129 m
.62524 .26143 L
s
.62492 .26067 m
.62493 .26091 L
s
.78997 .2612 m
.78953 .26132 L
s
.62494 .26115 m
.62509 .26129 L
s
.62493 .26091 m
.62494 .26115 L
s
.787 .26329 m
.78702 .26361 L
s
.7904 .26108 m
.78997 .2612 L
s
.62494 .26115 m
.62495 .26139 L
s
.62479 .26101 m
.62494 .26115 L
s
.61928 .26777 m
.63086 .26254 L
s
.79083 .26096 m
.7904 .26108 L
s
.78702 .26361 m
.78704 .26392 L
s
.7801 .24574 m
.78439 .25299 L
s
.62495 .26139 m
.62496 .26163 L
s
.62465 .26087 m
.62479 .26101 L
s
.6165 .26101 m
.62846 .25664 L
s
.79126 .26084 m
.79083 .26096 L
s
.63301 .26095 m
.64427 .25588 L
s
.63061 .25506 m
.64225 .25085 L
s
.62496 .26163 m
.62497 .26187 L
s
.78704 .26392 m
.78705 .26424 L
s
.6245 .26073 m
.62465 .26087 L
s
.7917 .26072 m
.79126 .26084 L
s
.62497 .26187 m
.62498 .26211 L
s
.62436 .26059 m
.6245 .26073 L
s
.79213 .26059 m
.7917 .26072 L
s
.78705 .26424 m
.78707 .26456 L
s
.62498 .26211 m
.62499 .26235 L
s
.79256 .26047 m
.79213 .26059 L
s
.62422 .26045 m
.62436 .26059 L
s
.78707 .26456 m
.78709 .26487 L
s
.62499 .26235 m
.62501 .26258 L
s
.79298 .26034 m
.79256 .26047 L
s
.62408 .26031 m
.62422 .26045 L
s
.79341 .26021 m
.79298 .26034 L
s
.62501 .26258 m
.62503 .26282 L
s
.62394 .26016 m
.62408 .26031 L
s
.78709 .26487 m
.78711 .26518 L
s
.62503 .26282 m
.62504 .26306 L
s
.6238 .26002 m
.62394 .26016 L
s
.78711 .26518 m
.78712 .2655 L
s
.62504 .26306 m
.62506 .26329 L
s
.62366 .25988 m
.6238 .26002 L
s
.62506 .26329 m
.62508 .26353 L
s
.78712 .2655 m
.78714 .26581 L
s
.62353 .25973 m
.62366 .25988 L
s
.77406 .25195 m
.77776 .25986 L
s
.62508 .26353 m
.62511 .26376 L
s
.62339 .25959 m
.62353 .25973 L
s
.78714 .26581 m
.78715 .26612 L
s
.62511 .26376 m
.62513 .26399 L
s
.62326 .25944 m
.62339 .25959 L
s
.78715 .26612 m
.78716 .26642 L
s
.62513 .26399 m
.62516 .26423 L
s
.62313 .25929 m
.62326 .25944 L
s
.62516 .26423 m
.62518 .26446 L
s
.78716 .26642 m
.78718 .26673 L
s
.623 .25915 m
.62313 .25929 L
s
.62518 .26446 m
.62521 .26469 L
s
.62287 .259 m
.623 .25915 L
s
.63086 .26254 m
.64248 .25729 L
s
.62846 .25664 m
.64046 .25225 L
s
.7868 .24878 m
.79177 .2564 L
s
.64225 .25085 m
.65394 .24662 L
s
.64427 .25588 m
.65558 .25079 L
s
.64239 .25112 m
.64238 .25132 L
s
.64406 .25555 m
.64419 .25565 L
s
.64238 .25132 m
.64237 .25152 L
s
.64394 .25545 m
.64406 .25555 L
s
.64237 .25152 m
.64236 .25172 L
s
.64381 .25535 m
.64394 .25545 L
s
.64236 .25172 m
.64236 .25192 L
s
.64368 .25524 m
.64381 .25535 L
s
.64236 .25192 m
.64235 .25211 L
s
.64356 .25514 m
.64368 .25524 L
s
.78075 .25501 m
.78512 .26329 L
s
.64235 .25211 m
.64235 .25231 L
s
.64344 .25503 m
.64356 .25514 L
s
.64235 .25231 m
.64235 .25251 L
s
.64331 .25493 m
.64344 .25503 L
s
.64235 .25251 m
.64235 .2527 L
s
.64319 .25482 m
.64331 .25493 L
s
.64235 .2527 m
.64235 .2529 L
s
.64307 .25471 m
.64319 .25482 L
s
.64235 .2529 m
.64235 .2531 L
s
.64295 .25461 m
.64307 .25471 L
s
.64235 .2531 m
.64235 .25329 L
s
.64283 .2545 m
.64295 .25461 L
s
.64235 .25329 m
.64235 .25349 L
s
.64271 .25439 m
.64283 .2545 L
s
.64235 .25349 m
.64236 .25368 L
s
.6426 .25428 m
.64271 .25439 L
s
.64236 .25368 m
.64236 .25387 L
s
.64248 .25418 m
.6426 .25428 L
s
.64236 .25387 m
.64237 .25407 L
s
.64237 .25407 m
.64248 .25418 L
s
.64237 .25407 m
.64237 .25426 L
s
.64225 .25396 m
.64237 .25407 L
s
.64214 .25385 m
.64225 .25396 L
s
.64237 .25426 m
.64238 .25445 L
s
.64203 .25374 m
.64214 .25385 L
s
.64238 .25445 m
.64239 .25465 L
s
.64192 .25363 m
.64203 .25374 L
s
.64239 .25465 m
.6424 .25484 L
s
.64181 .25352 m
.64192 .25363 L
s
.6424 .25484 m
.64242 .25503 L
s
.6417 .25341 m
.64181 .25352 L
s
.64242 .25503 m
.64243 .25522 L
s
.64159 .25329 m
.6417 .25341 L
s
.64243 .25522 m
.64244 .25541 L
s
.64149 .25318 m
.64159 .25329 L
s
.64244 .25541 m
.64246 .2556 L
s
.64138 .25307 m
.64149 .25318 L
s
.64246 .2556 m
.64248 .25579 L
s
.64128 .25296 m
.64138 .25307 L
s
.64248 .25579 m
.64249 .25598 L
s
.77578 .23843 m
.7801 .24574 L
s
.64117 .25284 m
.64128 .25296 L
s
.64249 .25598 m
.64251 .25617 L
s
.64107 .25273 m
.64117 .25284 L
s
.64251 .25617 m
.64253 .25635 L
s
.64097 .25261 m
.64107 .25273 L
s
.64253 .25635 m
.64255 .25654 L
s
.78007 .24608 m
.7801 .24637 L
s
.64087 .2525 m
.64097 .25261 L
s
.64255 .25654 m
.64258 .25673 L
s
.64077 .25238 m
.64087 .2525 L
s
.64258 .25673 m
.6426 .25692 L
s
.7801 .24637 m
.78012 .24666 L
s
.78012 .24666 m
.78015 .24695 L
s
.64046 .25225 m
.65251 .24784 L
s
.64248 .25729 m
.65415 .25202 L
s
.78015 .24695 m
.78018 .24724 L
s
.78018 .24724 m
.7802 .24753 L
s
.77033 .24397 m
.77406 .25195 L
s
.7802 .24753 m
.78023 .24782 L
s
.78023 .24782 m
.78025 .24811 L
s
.775 .25157 m
.77461 .25164 L
s
.78025 .24811 m
.78027 .24839 L
s
.7754 .25149 m
.775 .25157 L
s
.77579 .25141 m
.7754 .25149 L
s
.78027 .24839 m
.7803 .24868 L
s
.77618 .25133 m
.77579 .25141 L
s
.77657 .25125 m
.77618 .25133 L
s
.7803 .24868 m
.78032 .24896 L
s
.77696 .25117 m
.77657 .25125 L
s
.77734 .25108 m
.77696 .25117 L
s
.78032 .24896 m
.78034 .24924 L
s
.77773 .251 m
.77734 .25108 L
s
.77812 .25091 m
.77773 .251 L
s
.78034 .24924 m
.78036 .24953 L
s
.7785 .25082 m
.77812 .25091 L
s
.65394 .24662 m
.66568 .24238 L
s
.78036 .24953 m
.78038 .24981 L
s
.77889 .25073 m
.7785 .25082 L
s
.65558 .25079 m
.66694 .24568 L
s
.77927 .25064 m
.77889 .25073 L
s
.78038 .24981 m
.7804 .25009 L
s
.77966 .25055 m
.77927 .25064 L
s
.78004 .25046 m
.77966 .25055 L
s
.7804 .25009 m
.78042 .25036 L
s
.78042 .25036 m
.78004 .25046 L
s
.78042 .25036 m
.78044 .25064 L
s
.78081 .25027 m
.78042 .25036 L
s
.78119 .25017 m
.78081 .25027 L
s
.78044 .25064 m
.78046 .25092 L
s
.78157 .25007 m
.78119 .25017 L
s
.78195 .24998 m
.78157 .25007 L
s
.78046 .25092 m
.78048 .25119 L
s
.78233 .24987 m
.78195 .24998 L
s
.78048 .25119 m
.7805 .25147 L
s
.78271 .24977 m
.78233 .24987 L
s
.78308 .24967 m
.78271 .24977 L
s
.7805 .25147 m
.78051 .25174 L
s
.78346 .24956 m
.78308 .24967 L
s
.78384 .24946 m
.78346 .24956 L
s
.78051 .25174 m
.78053 .25201 L
s
.78421 .24935 m
.78384 .24946 L
s
.78053 .25201 m
.78054 .25229 L
s
.78459 .24924 m
.78421 .24935 L
s
.78496 .24913 m
.78459 .24924 L
s
.78054 .25229 m
.78056 .25256 L
s
.78534 .24902 m
.78496 .24913 L
s
.78056 .25256 m
.78057 .25283 L
s
.78571 .24891 m
.78534 .24902 L
s
.78608 .2488 m
.78571 .24891 L
s
.78057 .25283 m
.78059 .25309 L
s
.7818 .24112 m
.7868 .24878 L
s
.78059 .25309 m
.7806 .25336 L
s
.7806 .25336 m
.78061 .25363 L
s
.78061 .25363 m
.78062 .25389 L
s
.78062 .25389 m
.78063 .25416 L
s
.65991 .24471 m
.6599 .24486 L
s
.66111 .248 m
.6612 .24808 L
s
.6599 .24486 m
.6599 .24501 L
s
.78063 .25416 m
.78065 .25442 L
s
.66102 .24793 m
.66111 .248 L
s
.6599 .24501 m
.65989 .24516 L
s
.66093 .24786 m
.66102 .24793 L
s
.65989 .24516 m
.65989 .24531 L
s
.66084 .24778 m
.66093 .24786 L
s
.65251 .24784 m
.6646 .24342 L
s
.65989 .24531 m
.65988 .24546 L
s
.66075 .24771 m
.66084 .24778 L
s
.65415 .25202 m
.66586 .24673 L
s
.65988 .24546 m
.65988 .24561 L
s
.77635 .24667 m
.78075 .25501 L
s
.66066 .24763 m
.66075 .24771 L
s
.65988 .24561 m
.65988 .24576 L
s
.66057 .24756 m
.66066 .24763 L
s
.65988 .24576 m
.65988 .24591 L
s
.66049 .24748 m
.66057 .24756 L
s
.65988 .24591 m
.65988 .24606 L
s
.6604 .2474 m
.66049 .24748 L
s
.65988 .24606 m
.65988 .2462 L
s
.66032 .24733 m
.6604 .2474 L
s
.65988 .2462 m
.65988 .24635 L
s
.66023 .24725 m
.66032 .24733 L
s
.65988 .24635 m
.65989 .2465 L
s
.66015 .24717 m
.66023 .24725 L
s
.65989 .2465 m
.65989 .24665 L
s
.66006 .24709 m
.66015 .24717 L
s
.65989 .24665 m
.6599 .24679 L
s
.65998 .24702 m
.66006 .24709 L
s
.6599 .24679 m
.6599 .24694 L
s
.6599 .24694 m
.65998 .24702 L
s
.6599 .24694 m
.65991 .24708 L
s
.65982 .24686 m
.6599 .24694 L
s
.65974 .24678 m
.65982 .24686 L
s
.65991 .24708 m
.65991 .24723 L
s
.65966 .2467 m
.65974 .24678 L
s
.65991 .24723 m
.65992 .24738 L
s
.65958 .24662 m
.65966 .2467 L
s
.65992 .24738 m
.65993 .24752 L
s
.6595 .24654 m
.65958 .24662 L
s
.65993 .24752 m
.65994 .24767 L
s
.65943 .24646 m
.6595 .24654 L
s
.65994 .24767 m
.65995 .24781 L
s
.65935 .24638 m
.65943 .24646 L
s
.65995 .24781 m
.65996 .24795 L
s
.65927 .2463 m
.65935 .24638 L
s
.65996 .24795 m
.65998 .2481 L
s
.6592 .24622 m
.65927 .2463 L
s
.65998 .2481 m
.65999 .24824 L
s
.65913 .24614 m
.6592 .24622 L
s
.65999 .24824 m
.66 .24838 L
s
.65905 .24606 m
.65913 .24614 L
s
.66 .24838 m
.66002 .24853 L
s
.65898 .24598 m
.65905 .24606 L
s
.66002 .24853 m
.66003 .24867 L
s
.65891 .2459 m
.65898 .24598 L
s
.66003 .24867 m
.66005 .24881 L
s
.65884 .24581 m
.65891 .2459 L
s
.66005 .24881 m
.66007 .24895 L
s
.65877 .24573 m
.65884 .24581 L
s
.66568 .24238 m
.67747 .23811 L
s
.66007 .24895 m
.66009 .24909 L
s
.66694 .24568 m
.67835 .24055 L
s
.77143 .23108 m
.77578 .23843 L
s
.76658 .23595 m
.77033 .24397 L
s
.6646 .24342 m
.67673 .23898 L
s
.66586 .24673 m
.67761 .24142 L
s
.77677 .2334 m
.7818 .24112 L
s
.67747 .23811 m
.68931 .23383 L
s
.67754 .23825 m
.67754 .23836 L
s
.67835 .24055 m
.6898 .2354 L
s
.67754 .23836 m
.67753 .23846 L
s
.77358 .23504 m
.7736 .23529 L
s
.67753 .23846 m
.67753 .23856 L
s
.67826 .24041 m
.67832 .24045 L
s
.67753 .23856 m
.67753 .23866 L
s
.67821 .24036 m
.67826 .24041 L
s
.7736 .23529 m
.77363 .23553 L
s
.67753 .23866 m
.67752 .23876 L
s
.67815 .24032 m
.67821 .24036 L
s
.67752 .23876 m
.67752 .23886 L
s
.6781 .24027 m
.67815 .24032 L
s
.67805 .24023 m
.6781 .24027 L
s
.67752 .23886 m
.67752 .23897 L
s
.77363 .23553 m
.77365 .23577 L
s
.67799 .24018 m
.67805 .24023 L
s
.67752 .23897 m
.67752 .23907 L
s
.77192 .23827 m
.77635 .24667 L
s
.67794 .24014 m
.67799 .24018 L
s
.67752 .23907 m
.67752 .23917 L
s
.77365 .23577 m
.77367 .23602 L
s
.67789 .24009 m
.67794 .24014 L
s
.67752 .23917 m
.67753 .23927 L
s
.67784 .24005 m
.67789 .24009 L
s
.67753 .23927 m
.67753 .23937 L
s
.67779 .24 m
.67784 .24005 L
s
.77367 .23602 m
.77369 .23626 L
s
.67774 .23995 m
.67779 .24 L
s
.67753 .23937 m
.67753 .23947 L
s
.67769 .23991 m
.67774 .23995 L
s
.67753 .23947 m
.67753 .23957 L
s
.67764 .23986 m
.67769 .23991 L
s
.77369 .23626 m
.77371 .2365 L
s
.67753 .23957 m
.67754 .23967 L
s
.67759 .23981 m
.67764 .23986 L
s
.67754 .23967 m
.67754 .23977 L
s
.67754 .23977 m
.67759 .23981 L
s
.77371 .2365 m
.77373 .23674 L
s
.67754 .23977 m
.67754 .23987 L
s
.67749 .23972 m
.67754 .23977 L
s
.67744 .23967 m
.67749 .23972 L
s
.67754 .23987 m
.67755 .23997 L
s
.76927 .23964 m
.76893 .23971 L
s
.6774 .23962 m
.67744 .23967 L
s
.67755 .23997 m
.67756 .24006 L
s
.77373 .23674 m
.77375 .23697 L
s
.7696 .23958 m
.76927 .23964 L
s
.67735 .23958 m
.6774 .23962 L
s
.67756 .24006 m
.67756 .24016 L
s
.76993 .23951 m
.7696 .23958 L
s
.6773 .23953 m
.67735 .23958 L
s
.67756 .24016 m
.67757 .24026 L
s
.67726 .23948 m
.6773 .23953 L
s
.77375 .23697 m
.77377 .23721 L
s
.77026 .23944 m
.76993 .23951 L
s
.67721 .23943 m
.67726 .23948 L
s
.67757 .24026 m
.67758 .24036 L
s
.77059 .23937 m
.77026 .23944 L
s
.67717 .23938 m
.67721 .23943 L
s
.67758 .24036 m
.67759 .24046 L
s
.77377 .23721 m
.77379 .23745 L
s
.67712 .23934 m
.67717 .23938 L
s
.77092 .2393 m
.77059 .23937 L
s
.67759 .24046 m
.67759 .24055 L
s
.67708 .23929 m
.67712 .23934 L
s
.67759 .24055 m
.6776 .24065 L
s
.77125 .23923 m
.77092 .2393 L
s
.67703 .23924 m
.67708 .23929 L
s
.77379 .23745 m
.77381 .23768 L
s
.6776 .24065 m
.67761 .24075 L
s
.67699 .23919 m
.67703 .23924 L
s
.77158 .23916 m
.77125 .23923 L
s
.67695 .23914 m
.67699 .23919 L
s
.67761 .24075 m
.67762 .24084 L
s
.77191 .23908 m
.77158 .23916 L
s
.77381 .23768 m
.77382 .23792 L
s
.67691 .23909 m
.67695 .23914 L
s
.67762 .24084 m
.67764 .24094 L
s
.67686 .23904 m
.67691 .23909 L
s
.77224 .23901 m
.77191 .23908 L
s
.67764 .24094 m
.67765 .24104 L
s
.77382 .23792 m
.77384 .23815 L
s
.77257 .23893 m
.77224 .23901 L
s
.67765 .24104 m
.67766 .24113 L
s
.67673 .23898 m
.68891 .23453 L
s
.67766 .24113 m
.67767 .24123 L
s
.7729 .23885 m
.77257 .23893 L
s
.77384 .23815 m
.77386 .23838 L
s
.77322 .23878 m
.7729 .23885 L
s
.67761 .24142 m
.68941 .23609 L
s
.77355 .2387 m
.77322 .23878 L
s
.77386 .23838 m
.77387 .23862 L
s
.77387 .23862 m
.77355 .2387 L
s
.77387 .23862 m
.77389 .23885 L
s
.7742 .23853 m
.77387 .23862 L
s
.77452 .23845 m
.7742 .23853 L
s
.77389 .23885 m
.7739 .23908 L
s
.77485 .23837 m
.77452 .23845 L
s
.77517 .23828 m
.77485 .23837 L
s
.7739 .23908 m
.77392 .23931 L
s
.77549 .2382 m
.77517 .23828 L
s
.77392 .23931 m
.77393 .23953 L
s
.77581 .23811 m
.77549 .2382 L
s
.77613 .23802 m
.77581 .23811 L
s
.77393 .23953 m
.77395 .23976 L
s
.77645 .23793 m
.77613 .23802 L
s
.77395 .23976 m
.77396 .23999 L
s
.77677 .23784 m
.77645 .23793 L
s
.77709 .23775 m
.77677 .23784 L
s
.77396 .23999 m
.77397 .24021 L
s
.77741 .23766 m
.77709 .23775 L
s
.77397 .24021 m
.77398 .24044 L
s
.77773 .23756 m
.77741 .23766 L
s
.77805 .23747 m
.77773 .23756 L
s
.77398 .24044 m
.77399 .24066 L
s
.77837 .23737 m
.77805 .23747 L
s
.77399 .24066 m
.77401 .24089 L
s
.77868 .23728 m
.77837 .23737 L
s
.77401 .24089 m
.77402 .24111 L
s
.77402 .24111 m
.77403 .24133 L
s
.77403 .24133 m
.77403 .24155 L
s
.77403 .24155 m
.77404 .24177 L
s
.76705 .22368 m
.77143 .23108 L
s
.77404 .24177 m
.77405 .24199 L
s
.76281 .22787 m
.76658 .23595 L
s
.68931 .23383 m
.70119 .22953 L
s
.6898 .2354 m
.70131 .23022 L
s
.68891 .23453 m
.70114 .23005 L
s
.68941 .23609 m
.70126 .23074 L
s
.77171 .22563 m
.77677 .2334 L
s
.69528 .23176 m
.69528 .23181 L
s
.69528 .23181 m
.69528 .23187 L
s
.69528 .23187 m
.69528 .23192 L
s
.69528 .23192 m
.69528 .23197 L
s
.69528 .23197 m
.69528 .23203 L
s
.69528 .23203 m
.69528 .23208 L
s
.69528 .23208 m
.69528 .23213 L
s
.69528 .23213 m
.69528 .23218 L
s
.69552 .23277 m
.69554 .23278 L
s
.69551 .23275 m
.69552 .23277 L
s
.69528 .23218 m
.69528 .23224 L
s
.69549 .23274 m
.69551 .23275 L
s
.69547 .23272 m
.69549 .23274 L
s
.69528 .23224 m
.69528 .23229 L
s
.69545 .23271 m
.69547 .23272 L
s
.69544 .23269 m
.69545 .23271 L
s
.69528 .23229 m
.69528 .23234 L
s
.69542 .23268 m
.69544 .23269 L
s
.6954 .23266 m
.69542 .23268 L
s
.69528 .23234 m
.69528 .2324 L
s
.69538 .23265 m
.6954 .23266 L
s
.69537 .23263 m
.69538 .23265 L
s
.69528 .2324 m
.69528 .23245 L
s
.69535 .23261 m
.69537 .23263 L
s
.69533 .2326 m
.69535 .23261 L
s
.69528 .23245 m
.69528 .2325 L
s
.76746 .22983 m
.77192 .23827 L
s
.69532 .23258 m
.69533 .2326 L
s
.6953 .23257 m
.69532 .23258 L
s
.69528 .2325 m
.69529 .23255 L
s
.69529 .23255 m
.6953 .23257 L
s
.69529 .23255 m
.69529 .2326 L
s
.69527 .23254 m
.69529 .23255 L
s
.69525 .23252 m
.69527 .23254 L
s
.77541 .18824 m .77834 .17742 L .78899 .18299 L .766 .489 .516 r
F
.76789 .18599 m .77834 .17742 L .77541 .18824 L F
.76789 .18599 m .76708 .17405 L .77834 .17742 L F
.039 .916 .04 r
.69529 .2326 m
.69529 .23266 L
s
.69524 .23251 m
.69525 .23252 L
s
.69522 .23249 m
.69524 .23251 L
s
.69529 .23266 m
.6953 .23271 L
s
.69521 .23247 m
.69522 .23249 L
s
.69519 .23246 m
.69521 .23247 L
s
.6953 .23271 m
.6953 .23276 L
s
.69518 .23244 m
.69519 .23246 L
s
.69516 .23243 m
.69518 .23244 L
s
.6953 .23276 m
.6953 .23281 L
s
.69515 .23241 m
.69516 .23243 L
s
.69513 .23239 m
.69515 .23241 L
s
.6953 .23281 m
.69531 .23286 L
s
.78254 .19196 m .78899 .18299 L .79834 .19039 L .766 .489 .516 r
F
.77541 .18824 m .78899 .18299 L .78254 .19196 L F
0 g
.5 Mabswid
.77834 .17742 m
.78899 .18299 L
s
.039 .916 .04 r
1 Mabswid
.69512 .23238 m
.69513 .23239 L
s
.69511 .23236 m
.69512 .23238 L
s
.69531 .23286 m
.69531 .23291 L
s
.69509 .23234 m
.69511 .23236 L
s
.69508 .23233 m
.69509 .23234 L
s
.69531 .23291 m
.69532 .23296 L
s
.69506 .23231 m
.69508 .23233 L
s
.69532 .23296 m
.69532 .23302 L
s
.69532 .23302 m
.69533 .23307 L
s
.69533 .23307 m
.69533 .23312 L
s
.69533 .23312 m
.69534 .23317 L
s
.69534 .23317 m
.69535 .23322 L
s
.69535 .23322 m
.69535 .23327 L
s
.69535 .23327 m
.69536 .23332 L
s
.76046 .18537 m .76708 .17405 L .76789 .18599 L .766 .489 .516 r
F
.76046 .18537 m .75597 .17312 L .76708 .17405 L F
0 g
.5 Mabswid
.76708 .17405 m
.77834 .17742 L
s
.76708 .17405 m
.76708 .17405 L
s
.78878 .19692 m .79834 .19039 L .80575 .19914 L .766 .489 .516 r
F
.78254 .19196 m .79834 .19039 L .78878 .19692 L F
0 g
.78899 .18299 m
.79834 .19039 L
s
.039 .916 .04 r
1 Mabswid
.70119 .22953 m
.71314 .22521 L
s
.70131 .23022 m
.71341 .22556 L
s
.70114 .23005 m
.71287 .22502 L
s
.70126 .23074 m
.71314 .22537 L
s
.76264 .21622 m
.76705 .22368 L
s
.75363 .18643 m .75597 .17312 L .76046 .18537 L .766 .489 .516 r
F
.75363 .18643 m .74574 .17468 L .75597 .17312 L F
0 g
.5 Mabswid
.75597 .17312 m
.76708 .17405 L
s
.039 .916 .04 r
1 Mabswid
.76703 .2239 m
.76705 .2241 L
s
.76705 .2241 m
.76706 .22429 L
s
.76706 .22429 m
.76708 .22448 L
s
.76708 .22448 m
.7671 .22468 L
s
.7671 .22468 m
.76711 .22487 L
s
.75901 .21973 m
.76281 .22787 L
s
.76711 .22487 m
.76713 .22506 L
s
.79373 .20277 m .80575 .19914 L .81073 .20866 L .766 .489 .516 r
F
.78878 .19692 m .80575 .19914 L .79373 .20277 L F
0 g
.5 Mabswid
.79834 .19039 m
.80575 .19914 L
s
.039 .916 .04 r
1 Mabswid
.76713 .22506 m
.76715 .22525 L
s
.76347 .2276 m
.7632 .22765 L
s
.76374 .22755 m
.76347 .2276 L
s
.76715 .22525 m
.76716 .22544 L
s
.76402 .22749 m
.76374 .22755 L
s
.76429 .22743 m
.76402 .22749 L
s
.76716 .22544 m
.76718 .22563 L
s
.76456 .22738 m
.76429 .22743 L
s
.76718 .22563 m
.76719 .22582 L
s
.76483 .22732 m
.76456 .22738 L
s
.76511 .22726 m
.76483 .22732 L
s
.76719 .22582 m
.76721 .22601 L
s
.76538 .2272 m
.76511 .22726 L
s
.76565 .22714 m
.76538 .2272 L
s
.76721 .22601 m
.76722 .22619 L
s
.76592 .22707 m
.76565 .22714 L
s
.76619 .22701 m
.76592 .22707 L
s
.76722 .22619 m
.76723 .22638 L
s
.76645 .22695 m
.76619 .22701 L
s
.76723 .22638 m
.76725 .22657 L
s
.76672 .22688 m
.76645 .22695 L
s
.76699 .22682 m
.76672 .22688 L
s
.76725 .22657 m
.76726 .22675 L
s
.76726 .22675 m
.76699 .22682 L
s
.76726 .22675 m
.76727 .22693 L
s
.76752 .22668 m
.76726 .22675 L
s
.76779 .22661 m
.76752 .22668 L
s
.76727 .22693 m
.76728 .22712 L
s
.76806 .22655 m
.76779 .22661 L
s
.76832 .22647 m
.76806 .22655 L
s
.76728 .22712 m
.76729 .2273 L
s
.76859 .2264 m
.76832 .22647 L
s
.76729 .2273 m
.7673 .22748 L
s
.76885 .22633 m
.76859 .2264 L
s
.76912 .22626 m
.76885 .22633 L
s
.7673 .22748 m
.76731 .22766 L
s
.76938 .22618 m
.76912 .22626 L
s
.76731 .22766 m
.76732 .22785 L
s
.76964 .22611 m
.76938 .22618 L
s
.7699 .22603 m
.76964 .22611 L
s
.76732 .22785 m
.76733 .22803 L
s
.77017 .22596 m
.7699 .22603 L
s
.76733 .22803 m
.76734 .2282 L
s
.77043 .22588 m
.77017 .22596 L
s
.77069 .2258 m
.77043 .22588 L
s
.76734 .2282 m
.76735 .22838 L
s
.77095 .22572 m
.77069 .2258 L
s
.76735 .22838 m
.76736 .22856 L
s
.77121 .22564 m
.77095 .22572 L
s
.76736 .22856 m
.76737 .22874 L
s
.76662 .21782 m
.77171 .22563 L
s
.71341 .22556 m
.72573 .22106 L
s
.71335 .22553 m
.71337 .22554 L
s
.76737 .22874 m
.76738 .22891 L
s
.71334 .22551 m
.71335 .22553 L
s
.71332 .22549 m
.71334 .22551 L
s
.71331 .22548 m
.71332 .22549 L
s
.7133 .22546 m
.71331 .22548 L
s
.71328 .22544 m
.7133 .22546 L
s
.71327 .22543 m
.71328 .22544 L
s
.71325 .22541 m
.71327 .22543 L
s
.76738 .22891 m
.76738 .22909 L
s
.71324 .22539 m
.71325 .22541 L
s
.71322 .22538 m
.71324 .22539 L
s
.7132 .22536 m
.71322 .22538 L
s
.71319 .22534 m
.7132 .22536 L
s
.71317 .22533 m
.71319 .22534 L
s
.71314 .22521 m
.72508 .21998 L
s
.71314 .22522 m
.71314 .22522 L
s
.71314 .22522 m
.71314 .22523 L
s
.71314 .22523 m
.71314 .22523 L
s
.71314 .22523 m
.71314 .22524 L
s
.71316 .22531 m
.71317 .22533 L
s
.71314 .22524 m
.71314 .22524 L
s
.71314 .22524 m
.71314 .22525 L
s
.71314 .22525 m
.71314 .22525 L
s
.71314 .22525 m
.71314 .22526 L
s
.71314 .22526 m
.71314 .22526 L
s
.71314 .22526 m
.71314 .22527 L
s
.71314 .22529 m
.71316 .22531 L
s
.71314 .22527 m
.71314 .22527 L
s
.71314 .22527 m
.71314 .22528 L
s
.71314 .22528 m
.71314 .22528 L
s
.76738 .22909 m
.76739 .22926 L
s
.71314 .22528 m
.71314 .22529 L
s
.71314 .22529 m
.71314 .22529 L
s
.71314 .22529 m
.71314 .2253 L
s
.71312 .22528 m
.71314 .22529 L
s
.71314 .2253 m
.71314 .2253 L
s
.71314 .2253 m
.71314 .22531 L
s
.71314 .22531 m
.71314 .22531 L
s
.71314 .22531 m
.71314 .22532 L
s
.71314 .22532 m
.71314 .22532 L
s
.71311 .22526 m
.71312 .22528 L
s
.71314 .22532 m
.71314 .22533 L
s
.71314 .22533 m
.71314 .22533 L
s
.71314 .22533 m
.71314 .22534 L
s
.71314 .22534 m
.71314 .22534 L
s
.71314 .22534 m
.71314 .22535 L
s
.71314 .22535 m
.71314 .22535 L
s
.71309 .22525 m
.71311 .22526 L
s
.71314 .22535 m
.71315 .22536 L
s
.71315 .22536 m
.71315 .22536 L
s
.71315 .22536 m
.71315 .22536 L
s
.71314 .22537 m
.72513 .22088 L
s
.71307 .22523 m
.71309 .22525 L
s
.71306 .22521 m
.71307 .22523 L
s
.71304 .2252 m
.71306 .22521 L
s
.71302 .22518 m
.71304 .2252 L
s
.76739 .22926 m
.7674 .22944 L
s
.713 .22517 m
.71302 .22518 L
s
.71299 .22515 m
.713 .22517 L
s
.71297 .22513 m
.71299 .22515 L
s
.71295 .22512 m
.71297 .22513 L
s
.71293 .2251 m
.71295 .22512 L
s
.71291 .22509 m
.71293 .2251 L
s
.77247 .19912 m .77541 .18824 L .78254 .19196 L .766 .489 .516 r
F
.76869 .198 m .77541 .18824 L .77247 .19912 L F
.76869 .198 m .76789 .18599 L .77541 .18824 L F
.039 .916 .04 r
.7129 .22507 m
.71291 .22509 L
s
.71288 .22506 m
.7129 .22507 L
s
.71287 .22502 m
.72447 .2198 L
s
.77604 .20099 m .78254 .19196 L .78878 .19692 L .766 .489 .516 r
F
.77247 .19912 m .78254 .19196 L .77604 .20099 L F
.039 .916 .04 r
.76298 .22133 m
.76746 .22983 L
s
.74787 .1891 m .74574 .17468 L .75363 .18643 L .766 .489 .516 r
F
.74787 .1891 m .73709 .17866 L .74574 .17468 L F
0 g
.5 Mabswid
.74574 .17468 m
.75597 .17312 L
s
.76497 .19769 m .76789 .18599 L .76869 .198 L .766 .489 .516 r
F
.76497 .19769 m .76046 .18537 L .76789 .18599 L F
0 g
.76708 .17405 m
.76789 .18599 L
s
.77917 .20348 m .78878 .19692 L .79373 .20277 L .766 .489 .516 r
F
.77604 .20099 m .78878 .19692 L .77917 .20348 L F
.79704 .20913 m .81073 .20866 L .81293 .21831 L F
.79373 .20277 m .81073 .20866 L .79704 .20913 L F
0 g
.80575 .19914 m
.81073 .20866 L
s
.76155 .19823 m .76046 .18537 L .76497 .19769 L .766 .489 .516 r
F
.76155 .19823 m .75363 .18643 L .76046 .18537 L F
.78165 .20641 m .79373 .20277 L .79704 .20913 L F
.77917 .20348 m .79373 .20277 L .78165 .20641 L F
.039 .916 .04 r
1 Mabswid
.72573 .22106 m
.73809 .21654 L
s
.72508 .21998 m
.73706 .21457 L
s
.72513 .22088 m
.73717 .21652 L
s
.72447 .2198 m
.73613 .21456 L
s
.75518 .21154 m
.75901 .21973 L
s
.75867 .19958 m .75363 .18643 L .76155 .19823 L .766 .489 .516 r
F
.75867 .19958 m .74787 .1891 L .75363 .18643 L F
.74356 .19321 m .73709 .17866 L .74787 .1891 L F
.74356 .19321 m .7306 .18479 L .73709 .17866 L F
0 g
.5 Mabswid
.73709 .17866 m
.74574 .17468 L
s
.79704 .20913 m .81293 .21831 L .79849 .21557 L .766 .489 .516 r
F
.7833 .2096 m .79704 .20913 L .79849 .21557 L F
.78165 .20641 m .79704 .20913 L .7833 .2096 L F
.039 .916 .04 r
1 Mabswid
.73173 .21869 m
.73177 .21874 L
s
.73169 .21864 m
.73173 .21869 L
s
.73165 .21859 m
.73169 .21864 L
s
.73161 .21854 m
.73165 .21859 L
s
.73156 .21849 m
.73161 .21854 L
s
.73152 .21844 m
.73156 .21849 L
s
.73147 .21838 m
.73152 .21844 L
s
.73143 .21834 m
.73147 .21838 L
s
.73104 .21736 m
.73104 .2174 L
s
.73104 .2174 m
.73105 .21745 L
s
.73138 .21829 m
.73143 .21834 L
s
.73105 .21745 m
.73105 .21749 L
s
.79849 .21557 m .81293 .21831 L .81218 .22744 L .766 .489 .516 r
F
0 g
.5 Mabswid
.81073 .20866 m
.81293 .21831 L
s
.81293 .21831 m
.81293 .21831 L
s
.039 .916 .04 r
1 Mabswid
.73105 .21749 m
.73106 .21753 L
s
.73134 .21824 m
.73138 .21829 L
s
.73106 .21753 m
.73106 .21757 L
s
.73106 .21757 m
.73107 .21761 L
s
.73129 .21819 m
.73134 .21824 L
s
.73107 .21761 m
.73107 .21765 L
s
.73107 .21765 m
.73108 .21769 L
s
.73124 .21814 m
.73129 .21819 L
s
.73108 .21769 m
.73108 .21774 L
s
.73108 .21774 m
.73109 .21778 L
s
.7312 .21809 m
.73124 .21814 L
s
.73109 .21778 m
.73109 .21782 L
s
.73109 .21782 m
.73109 .21786 L
s
.73115 .21804 m
.7312 .21809 L
s
.73109 .21786 m
.7311 .21791 L
s
.7311 .21791 m
.7311 .21795 L
s
.7311 .21799 m
.73115 .21804 L
s
.7311 .21795 m
.7311 .21799 L
s
.7311 .21799 m
.7311 .21803 L
s
.73105 .21794 m
.7311 .21799 L
s
.7311 .21803 m
.73111 .21808 L
s
.731 .21789 m
.73105 .21794 L
s
.73111 .21808 m
.73111 .21812 L
s
.73111 .21812 m
.73111 .21816 L
s
.73095 .21785 m
.731 .21789 L
s
.73111 .21816 m
.73111 .21821 L
s
.73111 .21821 m
.73111 .21825 L
s
.7309 .2178 m
.73095 .21785 L
s
.73111 .21825 m
.73111 .21829 L
s
.73111 .21829 m
.73111 .21834 L
s
.73085 .21775 m
.7309 .2178 L
s
.73111 .21834 m
.73111 .21838 L
s
.73111 .21838 m
.73111 .21842 L
s
.7308 .2177 m
.73085 .21775 L
s
.73111 .21842 m
.73111 .21847 L
s
.73111 .21847 m
.73111 .21851 L
s
.73075 .21766 m
.7308 .2177 L
s
.73111 .21851 m
.73111 .21855 L
s
.73111 .21855 m
.73111 .2186 L
s
.7307 .21761 m
.73075 .21766 L
s
.73111 .2186 m
.73111 .21864 L
s
.73065 .21756 m
.7307 .21761 L
s
.76951 .21007 m .77247 .19912 L .77604 .20099 L .766 .489 .516 r
F
.76951 .21007 m .76869 .198 L .77247 .19912 L F
.76951 .21007 m .77604 .20099 L .77917 .20348 L F
.039 .916 .04 r
.7306 .21751 m
.73065 .21756 L
s
.73054 .21747 m
.7306 .21751 L
s
.73049 .21742 m
.73054 .21747 L
s
.73044 .21738 m
.73049 .21742 L
s
.73038 .21733 m
.73044 .21738 L
s
.73033 .21728 m
.73038 .21733 L
s
.76951 .21007 m .76497 .19769 L .76869 .198 L .766 .489 .516 r
F
0 g
.5 Mabswid
.76789 .18599 m
.76869 .198 L
s
.76951 .21007 m .77917 .20348 L .78165 .20641 L .766 .489 .516 r
F
.039 .916 .04 r
1 Mabswid
.73809 .21654 m
.7505 .212 L
s
.76951 .21007 m .76155 .19823 L .76497 .19769 L .766 .489 .516 r
F
.75653 .20164 m .74787 .1891 L .75867 .19958 L F
.75653 .20164 m .74356 .19321 L .74787 .1891 L F
.039 .916 .04 r
.73706 .21457 m
.74908 .20914 L
s
.76951 .21007 m .78165 .20641 L .7833 .2096 L .766 .489 .516 r
F
.039 .916 .04 r
.76041 .21264 m
.76042 .21279 L
s
.76042 .21279 m
.76043 .21293 L
s
.76043 .21293 m
.76045 .21308 L
s
.76045 .21308 m
.76046 .21322 L
s
.76046 .21322 m
.76047 .21336 L
s
.7833 .2096 m .79849 .21557 L .78401 .21283 L .766 .489 .516 r
F
.79849 .21557 m .81218 .22744 L .79797 .22166 L F
.78401 .21283 m .79849 .21557 L .79797 .22166 L F
0 g
.5 Mabswid
.79849 .21557 m
.81293 .21831 L
s
.039 .916 .04 r
1 Mabswid
.76047 .21336 m
.76048 .21351 L
s
.75762 .21543 m
.7574 .21548 L
s
.76048 .21351 m
.76049 .21365 L
s
.75783 .21539 m
.75762 .21543 L
s
.75804 .21535 m
.75783 .21539 L
s
.76049 .21365 m
.76051 .21379 L
s
.75826 .2153 m
.75804 .21535 L
s
.76051 .21379 m
.76052 .21393 L
s
.75847 .21526 m
.75826 .2153 L
s
.75868 .21521 m
.75847 .21526 L
s
.76052 .21393 m
.76053 .21407 L
s
.75889 .21517 m
.75868 .21521 L
s
.75911 .21512 m
.75889 .21517 L
s
.76053 .21407 m
.76054 .21421 L
s
.75932 .21507 m
.75911 .21512 L
s
.76054 .21421 m
.76055 .21435 L
s
.75953 .21502 m
.75932 .21507 L
s
.75974 .21497 m
.75953 .21502 L
s
.76055 .21435 m
.76056 .21449 L
s
.73717 .21652 m
.74927 .21215 L
s
.75995 .21492 m
.75974 .21497 L
s
.76056 .21449 m
.76057 .21463 L
s
.76016 .21487 m
.75995 .21492 L
s
.76037 .21482 m
.76016 .21487 L
s
.76057 .21463 m
.76058 .21477 L
s
.76951 .21007 m .75867 .19958 L .76155 .19823 L .766 .489 .516 r
F
.039 .916 .04 r
.76058 .21477 m
.76037 .21482 L
s
.76058 .21477 m
.76058 .2149 L
s
.76078 .21471 m
.76058 .21477 L
s
.76099 .21466 m
.76078 .21471 L
s
.76058 .2149 m
.76059 .21504 L
s
.7612 .2146 m
.76099 .21466 L
s
.76141 .21455 m
.7612 .2146 L
s
.76059 .21504 m
.7606 .21518 L
s
.76951 .21007 m .7833 .2096 L .78401 .21283 L .766 .489 .516 r
F
.039 .916 .04 r
.73613 .21456 m
.74784 .20929 L
s
.76161 .21449 m
.76141 .21455 L
s
.7606 .21518 m
.76061 .21531 L
s
.76182 .21444 m
.76161 .21449 L
s
.76061 .21531 m
.76062 .21545 L
s
.76203 .21438 m
.76182 .21444 L
s
.76223 .21432 m
.76203 .21438 L
s
.76062 .21545 m
.76062 .21558 L
s
.76244 .21426 m
.76223 .21432 L
s
.76062 .21558 m
.76063 .21572 L
s
.76264 .2142 m
.76244 .21426 L
s
.76285 .21414 m
.76264 .2142 L
s
.76063 .21572 m
.76064 .21585 L
s
.76305 .21408 m
.76285 .21414 L
s
.76064 .21585 m
.76064 .21598 L
s
.76326 .21402 m
.76305 .21408 L
s
.76064 .21598 m
.76065 .21611 L
s
.76346 .21396 m
.76326 .21402 L
s
.76366 .2139 m
.76346 .21396 L
s
.76065 .21611 m
.76066 .21625 L
s
.76066 .21625 m
.76066 .21638 L
s
.76066 .21638 m
.76067 .21651 L
s
.76067 .21651 m
.76067 .21664 L
s
.76067 .21664 m
.76068 .21677 L
s
.741 .19848 m .7306 .18479 L .74356 .19321 L .766 .489 .516 r
F
.741 .19848 m .72674 .19267 L .7306 .18479 L F
0 g
.5 Mabswid
.7306 .18479 m
.73709 .17866 L
s
.76951 .21007 m .75653 .20164 L .75867 .19958 L .766 .489 .516 r
F
.039 .916 .04 r
1 Mabswid
.7582 .20872 m
.76264 .21622 L
s
.78401 .21283 m .79797 .22166 L .78374 .21587 L .766 .489 .516 r
F
.76951 .21007 m .78401 .21283 L .78374 .21587 L F
0 g
.5 Mabswid
.78401 .21283 m
.79849 .21557 L
s
.79797 .22166 m .81218 .22744 L .80852 .23544 L .766 .489 .516 r
F
0 g
.81218 .22744 m
.81293 .21831 L
s
.75526 .20428 m .74356 .19321 L .75653 .20164 L .766 .489 .516 r
F
.75526 .20428 m .741 .19848 L .74356 .19321 L F
.039 .916 .04 r
1 Mabswid
.7505 .212 m
.75518 .21154 L
s
.74908 .20914 m
.7582 .20872 L
s
.75022 .21181 m
.75029 .2119 L
s
.75015 .21172 m
.75022 .21181 L
s
.79797 .22166 m .80852 .23544 L .7955 .22697 L .766 .489 .516 r
F
.78374 .21587 m .79797 .22166 L .7955 .22697 L F
.039 .916 .04 r
.75008 .21164 m
.75015 .21172 L
s
.75001 .21156 m
.75008 .21164 L
s
.74993 .21147 m
.75001 .21156 L
s
.74986 .21139 m
.74993 .21147 L
s
.74903 .20932 m
.74904 .2094 L
s
.74904 .2094 m
.74905 .20949 L
s
.74979 .2113 m
.74986 .21139 L
s
.74905 .20949 m
.74907 .20958 L
s
.74971 .21122 m
.74979 .2113 L
s
.74907 .20958 m
.74908 .20967 L
s
.74908 .20967 m
.74909 .20975 L
s
.76951 .21007 m .75526 .20428 L .75653 .20164 L .766 .489 .516 r
F
.039 .916 .04 r
.74964 .21114 m
.74971 .21122 L
s
.74909 .20975 m
.7491 .20984 L
s
.74956 .21105 m
.74964 .21114 L
s
.7491 .20984 m
.74911 .20993 L
s
.74911 .20993 m
.74912 .21002 L
s
.74949 .21097 m
.74956 .21105 L
s
.74912 .21002 m
.74913 .21011 L
s
.74941 .21089 m
.74949 .21097 L
s
.74913 .21011 m
.74914 .2102 L
s
.74914 .2102 m
.74915 .21028 L
s
.78374 .21587 m .7955 .22697 L .7825 .21852 L .766 .489 .516 r
F
.76951 .21007 m .78374 .21587 L .7825 .21852 L F
.039 .916 .04 r
.74933 .21081 m
.74941 .21089 L
s
.74915 .21028 m
.74915 .21037 L
s
.74925 .21072 m
.74933 .21081 L
s
.74915 .21037 m
.74916 .21046 L
s
.74916 .21046 m
.74917 .21055 L
s
.74917 .21064 m
.74925 .21072 L
s
.74917 .21055 m
.74917 .21064 L
s
.74917 .21064 m
.74918 .21073 L
s
.74909 .21056 m
.74917 .21064 L
s
.74918 .21073 m
.74918 .21082 L
s
.74901 .21048 m
.74909 .21056 L
s
.74918 .21082 m
.74919 .21092 L
s
.74919 .21092 m
.74919 .21101 L
s
.74893 .2104 m
.74901 .21048 L
s
.74919 .21101 m
.74919 .2111 L
s
.74885 .21032 m
.74893 .2104 L
s
.74919 .2111 m
.7492 .21119 L
s
.7492 .21119 m
.7492 .21128 L
s
.74876 .21024 m
.74885 .21032 L
s
.7492 .21128 m
.7492 .21137 L
s
.74868 .21016 m
.74876 .21024 L
s
.7492 .21137 m
.7492 .21146 L
s
.7492 .21146 m
.7492 .21156 L
s
.74859 .21008 m
.74868 .21016 L
s
.7492 .21156 m
.7492 .21165 L
s
.74851 .21 m
.74859 .21008 L
s
.7492 .21165 m
.7492 .21174 L
s
.76951 .21007 m .75496 .20732 L .75526 .20428 L .766 .489 .516 r
F
.76951 .21007 m .75566 .21055 L .75496 .20732 L F
0 0 0 r
.33257 .38002 m
.75516 .20821 L
s
.039 .916 .04 r
.76174 .21034 m
.76662 .21782 L
s
0 0 0 r
.75818 .21046 m
.8306 .34036 L
s
.76951 .21007 m .7573 .21375 L .75566 .21055 L .766 .489 .516 r
F
.76951 .21007 m .75978 .21671 L .7573 .21375 L F
.039 .916 .04 r
.76034 .21633 m
.76298 .22133 L
s
.76951 .21007 m .76293 .21922 L .75978 .21671 L .766 .489 .516 r
F
.76951 .21007 m .76652 .2211 L .76293 .21922 L F
.76951 .21007 m .77032 .22222 L .76652 .2211 L F
.76951 .21007 m .77406 .22252 L .77032 .22222 L F
.76951 .21007 m .77749 .22197 L .77406 .22252 L F
.76951 .21007 m .78037 .2206 L .77749 .22197 L F
.76951 .21007 m .7825 .21852 L .78037 .2206 L F
0 g
.5 Mabswid
.76951 .21007 m
.78401 .21283 L
s
.76869 .198 m
.76951 .21007 L
s
.039 .916 .04 r
1 Mabswid
.7492 .21174 m
.7492 .21183 L
s
.74842 .20993 m
.74851 .21 L
s
.7492 .21183 m
.7492 .21193 L
s
.74784 .20929 m
.75547 .20966 L
s
.7492 .21193 m
.7492 .21202 L
s
.74834 .20985 m
.74842 .20993 L
s
.74825 .20977 m
.74834 .20985 L
s
.74816 .20969 m
.74825 .20977 L
s
.74927 .21215 m
.75674 .21266 L
s
.74807 .20961 m
.74816 .20969 L
s
.74798 .20954 m
.74807 .20961 L
s
.74789 .20946 m
.74798 .20954 L
s
.75496 .20732 m .741 .19848 L .75526 .20428 L .766 .489 .516 r
F
.7825 .21852 m .79125 .23115 L .78037 .2206 L F
.7825 .21852 m .7955 .22697 L .79125 .23115 L F
.74039 .20455 m .72674 .19267 L .741 .19848 L F
.75496 .20732 m .74039 .20455 L .741 .19848 L F
.7955 .22697 m .80217 .24173 L .79125 .23115 L F
.7955 .22697 m .80852 .23544 L .80217 .24173 L F
0 g
.5 Mabswid
.80852 .23544 m
.81218 .22744 L
s
.74039 .20455 m .72578 .20178 L .72674 .19267 L .766 .489 .516 r
F
0 g
.72674 .19267 m
.7306 .18479 L
s
.75566 .21055 m .74039 .20455 L .75496 .20732 L .766 .489 .516 r
F
0 g
.75496 .20732 m
.76951 .21007 L
s
.78037 .2206 m .7855 .2339 L .77749 .22197 L .766 .489 .516 r
F
.78037 .2206 m .79125 .23115 L .7855 .2339 L F
.75566 .21055 m .74177 .21103 L .74039 .20455 L F
.7573 .21375 m .74177 .21103 L .75566 .21055 L F
.77749 .22197 m .77865 .23503 L .77406 .22252 L F
.77749 .22197 m .7855 .2339 L .77865 .23503 L F
.74177 .21103 m .72578 .20178 L .74039 .20455 L F
0 g
.74039 .20455 m
.75496 .20732 L
s
.7573 .21375 m .74504 .21745 L .74177 .21103 L .766 .489 .516 r
F
.75978 .21671 m .74504 .21745 L .7573 .21375 L F
.79125 .23115 m .79355 .24589 L .7855 .2339 L F
.79125 .23115 m .80217 .24173 L .79355 .24589 L F
0 g
.80217 .24173 m
.80852 .23544 L
s
.77406 .22252 m .77115 .23444 L .77032 .22222 L .766 .489 .516 r
F
.77406 .22252 m .77865 .23503 L .77115 .23444 L F
.75978 .21671 m .75001 .22339 L .74504 .21745 L F
.76293 .21922 m .75001 .22339 L .75978 .21671 L F
.77032 .22222 m .76352 .23219 L .76652 .2211 L F
.77032 .22222 m .77115 .23444 L .76352 .23219 L F
0 g
.76951 .21007 m
.77032 .22222 L
s
.76293 .21922 m .75631 .22841 L .75001 .22339 L .766 .489 .516 r
F
.76652 .2211 m .75631 .22841 L .76293 .21922 L F
.76652 .2211 m .76352 .23219 L .75631 .22841 L F
.74177 .21103 m .72782 .21151 L .72578 .20178 L F
0 g
.72578 .20178 m
.72674 .19267 L
s
.72578 .20178 m
.74039 .20455 L
s
.72578 .20178 m
.72578 .20178 L
s
.74504 .21745 m .72782 .21151 L .74177 .21103 L .766 .489 .516 r
F
.7855 .2339 m .78325 .2476 L .77865 .23503 L F
.7855 .2339 m .79355 .24589 L .78325 .2476 L F
0 g
.79355 .24589 m
.80217 .24173 L
s
.74504 .21745 m .73272 .22117 L .72782 .21151 L .766 .489 .516 r
F
0 g
.72578 .20178 m
.72782 .21151 L
s
.75001 .22339 m .73272 .22117 L .74504 .21745 L .766 .489 .516 r
F
.77865 .23503 m .77197 .24674 L .77115 .23444 L F
.77865 .23503 m .78325 .2476 L .77197 .24674 L F
.75001 .22339 m .74017 .2301 L .73272 .22117 L F
0 g
.72782 .21151 m
.73272 .22117 L
s
.75631 .22841 m .74017 .2301 L .75001 .22339 L .766 .489 .516 r
F
.77115 .23444 m .76051 .24335 L .76352 .23219 L F
.77115 .23444 m .77197 .24674 L .76051 .24335 L F
0 g
.77032 .22222 m
.77115 .23444 L
s
.77115 .23444 m
.77197 .24674 L
s
.78325 .2476 m
.79355 .24589 L
s
.75631 .22841 m .74965 .23767 L .74017 .2301 L .766 .489 .516 r
F
.76352 .23219 m .74965 .23767 L .75631 .22841 L F
.76352 .23219 m .76051 .24335 L .74965 .23767 L F
0 g
.73272 .22117 m
.74017 .2301 L
s
.77197 .24674 m
.78325 .2476 L
s
.74017 .2301 m
.74965 .23767 L
s
.76051 .24335 m
.77197 .24674 L
s
.77197 .24674 m
.77197 .24674 L
s
.74965 .23767 m
.76051 .24335 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{606, 382},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40009N0001OR000`400?l00000o`00003oo`3ooooo
0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo
003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0
ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool0
0?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3o
oomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00
o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?oo
of00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o
0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0oooo
H03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0
ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP
0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3o
oooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00
oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?oo
ool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03o
ool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0oooo
o`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?oo
o`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo
0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo
003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0
ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool0
0?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3o
oomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00
o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?oo
of00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o
0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0oooo
H03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0
ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP
0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3o
oooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00
oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3oooo70?ooo`L000000`3oool0
0`000000oooo0?ooo`2;0?ooo`00o`3oooo20?ooo`D000001`34OH@5000008`0oooo003o0?oookl0
oooo0`00000>0<AmQ00300000034OH@0a7f400<00000R@3oool00?l0oooo_P3oool00`000000a7f4
0<AmQ00?0<AmQ00300000034OH@0a7f400<0a7f40`0000260?ooo`00o`3ooonm0?ooo`0300000034
OH@0a7f40100a7f400<000000<AmQ034OH@01P34OH@3000008<0oooo003o0?oook`0oooo00<00000
0<AmQ034OH@04P34OH@00`000000a7f40<AmQ0080<AmQ0800000P@3oool00?l0oooo^`3oool00`00
0000a7f40<AmQ00C0<AmQ00300000034OH@0a7f400X0a7f400<000000?ooo`3oool0OP3oool00?l0
oooo^P3oool00`000000a7f40<AmQ00D0<AmQ00300000034OH@0a7f400/0a7f400<000000?ooo`3o
ool0O@3oool00?l0oooo^P3oool00`000000a7f40<AmQ00D0<AmQ00300000034OH@0a7f400`0a7f4
00<000000?ooo`3oool0O03oool00?l0oooo^@3oool00`000000a7f40<AmQ00E0<AmQ00300000034
OH@0a7f400d0a7f400<000000?ooo`3oool0N`3oool00?l0oooo^@3oool00`000000a7f40<AmQ00E
0<AmQ00300000034OH@0a7f400h0a7f400<000000?ooo`3oool0NP3oool00?l0oooo^@3oool00`00
0000a7f40<AmQ00E0<AmQ00300000034OH@0a7f400l0a7f400<000000?ooo`3oool0N@3oool00?l0
oooo^03oool00`000000a7f40<AmQ00F0<AmQ00300000034OH@0a7f40100a7f400<000000?ooo`3o
ool0N03oool00?l0oooo^03oool00`000000a7f40<AmQ00F0<AmQ00300000034OH@0a7f40140a7f4
00<000000?ooo`3oool0M`3oool00?l0oooo^03oool00`000000a7f40<AmQ00F0<AmQ00300000034
OH@0a7f40180a7f400<000000?ooo`3oool0MP3oool00?l0oooo]`3oool00`000000a7f40<AmQ00G
0<AmQ00300000034OH@0a7f401<0a7f400<000000?ooo`3oool0M@3oool00?l0oooo]`3oool00`00
0000a7f40<AmQ00G0<AmQ00300000034OH@0a7f401@0a7f400<000000?ooo`3oool0M03oool00?l0
oooo]`3oool3000001L0a7f400<000000<AmQ034OH@05034OH@00`000000oooo0?ooo`1d0?ooo`00
o`3ooong0?ooo`0300000034OH@0a7f400D000004P34OH@00`000000a7f40<AmQ00E0<AmQ0030000
003oool0oooo07<0oooo003o0?oookP0oooo00<000000<AmQ034OH@01034OH@4000000l0a7f400<0
00000<AmQ034OH@05034OH@00`000000oooo0?ooo`1c0?ooo`00o`3ooonh0?ooo`0300000034OH@0
a7f400P0a7f41@00000:0<AmQ00300000034OH@0a7f401D0a7f400<000000?ooo`3oool0LP3oool0
0?l0oooo^03oool00`000000a7f40<AmQ00=0<AmQ0L000000`34OH@00`000000a7f40<AmQ00E0<Am
Q0030000003oool0oooo0780oooo003o0?oookT0oooo00<000000<AmQ034OH@03@34OH@00`09jPX0
a7f40<AmQ0030<AmQ0H000005P34OH@00`000000oooo0?ooo`1a0?ooo`00o`3oooni0?ooo`030000
0034OH@0a7f400l0a7f400<000000<AmQ009jPX01034OH@00`000000a7f40<AmQ00500000140a7f4
00<000000?ooo`3oool0L@3oool00?l0oooo^@3oool00`000000a7f40<AmQ00=0<AmQ0802NX:1`34
OH@00`000000a7f40<AmQ0050<AmQ0@000003@34OH@00`000000oooo0?ooo`1a0?ooo`00o`3ooonj
0?ooo`0300000034OH@0a7f401D0a7f400<000000<AmQ034OH@02@34OH@4000000X0a7f400<00000
0?ooo`3oool0L03oool00?l0oooo^P3oool00`000000a7f40<AmQ00?0<AmQ00300WZ2P34OH@0a7f4
00<0a7f400<000000<AmQ034OH@03@34OH@7000000<0a7f400<000000?ooo`3oool0L03oool00?l0
oooo^03oool01009jPX0000000000000000F0<AmQ00300000034OH@0a7f401@0a7f41000001b0?oo
o`00o`3ooonf0?ooo`0300WZ2P000000000000802NX:00<000000<AmQ034OH@05034OH@00`000000
a7f40<AmQ00G0<AmQ0030000003oool0oooo0700oooo003o0?oook<0oooo00D02NX:000000000000
000000WZ2P040?ooo`0300000034OH@0a7f401<0a7f400<000000<AmQ034OH@05`34OH@00`000000
oooo0?ooo`1`0?ooo`00o`3ooona0?ooo`0300WZ2P000000000000802NX:1P3oool00`000000a7f4
0<AmQ00C0<AmQ00300000034OH@0a7f401L0a7f400<000000?ooo`3oool0L03oool00?l0oooo[`3o
ool30000000300WZ2P3oool0oooo00P0oooo00<000000<AmQ034OH@04P34OH@00`000000a7f40<Am
Q00G0<AmQ0030000003oool0oooo0700oooo003o0?ooojd0oooo0P00000200WZ2Pd0oooo00<00000
0<AmQ034OH@04@34OH@00`000000a7f40<AmQ00G0<AmQ0030000003oool0oooo0700oooo003o0?oo
ojX0oooo0`00000200WZ2Pl0oooo00<000000<AmQ034OH@04@34OH@00`000000a7f40<AmQ00G0<Am
Q0030000003oool0oooo0700oooo003o0?ooojP0oooo0P00000200WZ2Q<0oooo00<000000<AmQ034
OH@04@34OH@00`000000a7f40<AmQ00F0<AmQ0030000003oool0oooo0700oooo003o0?ooojD0oooo
0`00000200WZ2QH0oooo0P00000A0<AmQ00300000034OH@0a7f401D0a7f400<000000?ooo`3oool0
L@3oool00?l0ooooXP3oool00`09jPX000000000000300WZ2QX0oooo00<000000<AmQ034OH@03P34
OH@00`000000a7f40<AmQ00D0<AmQ0030000003oool0oooo0780oooo003o0?oooil0oooo0P09jPX2
000000802NX:7P3oool2000000h0a7f400<000000<AmQ034OH@05034OH@00`000000oooo0?ooo`1b
0?ooo`00o`3ooonL0?ooo`802NX:0`00000200WZ2R80oooo00<000000<AmQ034OH@02`34OH@00`00
0000a7f40<AmQ00C0<AmQ0030000003oool0oooo07<0oooo003o0?oooiT0oooo0`09jPX2000000<0
2NX:9@3oool2000000/0a7f400<000000<AmQ034OH@04`34OH@00`000000oooo0?ooo`1c0?ooo`00
o`3ooonF0?ooo`<02NX:0`00000200WZ2RX0oooo00<000000<AmQ034OH@02034OH@00`000000a7f4
0<AmQ00B0<AmQ0030000003oool0oooo02H0oooo5000000j0?ooo`00o`3ooonD0?ooo`<02NX:0P00
000300WZ2Rd0oooo0P0000080<AmQ00300000034OH@0a7f40140a7f400<000000?ooo`3oool08P3o
ool5000001@0oooo0`00000g0?ooo`00o`3ooonB0?ooo`802NX:0`00000300WZ2S40oooo00<00000
0<AmQ034OH@01@34OH@00`000000a7f40<AmQ00?0<AmQ0800000803oool5000001`0oooo0`00000d
0?ooo`00o`3ooon?0?ooo`<02NX:0P0000000`3oool02NX:00WZ2P0e0?ooo`<000001034OH@00`00
0000a7f40<AmQ00<0<AmQ0<000007P3oool4000002@0oooo0`00000a0?ooo`00o`3ooon=0?ooo`80
2NX:0`000000103oool02NX:00WZ2P09jPXi0?ooo`<0000000<0a7f40000000000002034OH@50000
01l0oooo0P0000000`3oool000000?ooo`0X0?ooo`<00000;P3oool00?l0ooooRP3oool300WZ2P80
00001@09jPXn0?ooo`/000008P3oool2000000<0oooo00<000000?ooo`3oool0:P3oool2000002`0
oooo003o0?ooohL0oooo0`09jPX3000000030?ooo`09jPX02NX:00802NX:@P3oool01@09jPX0oooo
00WZ2P3oool0000000@02NX:7`3oool3000000D0oooo00<000000?ooo`3oool0;03oool00`000000
oooo0?ooo`0Y0?ooo`00o`3ooon40?ooo`<02NX:00<0oooo0000000000000P3oool300WZ2TD0oooo
1009jPX01@0000002NX:00WZ2P3oool02NX:01d0oooo0P0000080?ooo`030000003oool0oooo02d0
oooo0P00000Y0?ooo`00o`3ooon10?ooo`D02NX:0P0000000`3oool02NX:00WZ2P0200WZ2TP0oooo
00T02NX:0?ooo`3oool02NX:0000003oool02NX:0?ooo`09jPX06P3oool2000000/0oooo00<00000
0?ooo`3oool0;P3oool2000002L0oooo003o0?ooogl0oooo1009jPX3000000D02NX:BP3oool01`09
jPX0oooo0?ooo`09jPX000000?ooo`09jPX00P3oool00`09jPX0oooo0?ooo`0E0?ooo`8000003@3o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo02@0oooo002Z0?ooo`H00000b`3oool4
00WZ2P030?ooo`00000000000080oooo0`09jPY>0?ooo`0700WZ2P3oool0oooo00WZ2P000000oooo
00WZ2P020?ooo`0300WZ2P3oool0oooo0180oooo0P00000?0?ooo`030000003oool0oooo0340oooo
0P00000T0?ooo`00Y03oool7000000D0oooo0`0000350?ooo`D02NX:0`0000000`3oool02NX:00WZ
2P0200WZ2U00oooo00L02NX:0?ooo`3oool02NX:0?ooo`0000002NX:0080oooo00<02NX:0?ooo`3o
ool04@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3o
ool08@3oool00:00oooo1`00000<0?ooo`<00000_`3oool600WZ2P8000000P3oool400WZ2U80oooo
00L02NX:0?ooo`3oool0oooo00WZ2P0000002NX:00<0oooo00<02NX:0?ooo`3oool03P3oool20000
0180oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0P0?ooo`00W@3oool7000000<0
oooo0P00000<0?ooo`<00000^P3oool400WZ2P80oooo0`0000020?ooo`<02NX:EP3oool01P09jPX0
oooo0?ooo`09jPX0oooo000000D02NX:3P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0
oooo03@0oooo00<000000?ooo`3oool0803oool009`0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`050?ooo`<000001P3oool3000000<0oooo00<000000?ooo`3oool0]@3oool300WZ
2P<0oooo0P0000020?ooo`@02NX:F03oool00`09jPX0oooo00WZ2P0200WZ2P0300000009jPX0oooo
0080oooo00<02NX:0?ooo`3oool02P3oool2000001D0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`0O0?ooo`00V`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0
oooo0P000000103oool000000000000000070?ooo`030000003oool0oooo0;40oooo0`09jPX30?oo
o`<000000`3oool300WZ2U/0oooo0P09jPX01@3oool02NX:00WZ2P0000002NX:00<0oooo00<02NX:
0?ooo`3oool01`3oool2000001L0oooo00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0N
0?ooo`00VP3oool010000000oooo0?ooo`3oool2000000h0oooo0P00000:0?ooo`030000003oool0
oooo0:d0oooo1P09jPX00`3oool00000000000040?ooo`802NX:GP3oool00`09jPX0oooo0?ooo`02
00WZ2P030000003oool02NX:0080oooo00<02NX:0?ooo`3oool01P3oool00`000000oooo0?ooo`0G
0?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3oool07@3oool009T0oooo00<000000?oo
o`0000000P0000000`3oool000000?ooo`0?0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0Z@3oool400WZ2P<0oooo00<02NX:0000000000000`3oool300WZ2V40oooo00<02NX:0?oo
o`3oool00P09jPX00`000000oooo00WZ2P020?ooo`0300WZ2P3oool0oooo00<0oooo0P00000K0?oo
o`030000003oool0oooo03H0oooo00<000000?ooo`3oool07@3oool009P0oooo0`0000030?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2U0?ooo`@0
2NX:103oool3000000802NX:00@0oooo00WZ2P09jPX02NX:H`3oool02009jPX0oooo0?ooo`3oool0
2NX:0000003oool02NX:0`3oool01@09jPX0oooo0?ooo`3oool0000001d0oooo00<000000?ooo`3o
ool0=`3oool00`000000oooo0?ooo`0L0?ooo`00U`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0140oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2R0?ooo`@02NX:
103oool2000000<0oooo0`09jPYW0?ooo`0600WZ2P3oool0oooo00WZ2P3oool000000P09jPX20?oo
o`0400WZ2P3oool0oooo000001h0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0K
0?ooo`00U`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01<0oooo00<000000?oo
o`3oool01`3oool200000:00oooo0`09jPX01@3oool02NX:0?ooo`09jPX0oooo00<000000`3oool3
00WZ2VT0oooo00L02NX:0?ooo`3oool0oooo00WZ2P3oool0000000D02NX:00<0oooo0000003oool0
7@3oool00`000000oooo0?ooo`0h0?ooo`030000003oool0oooo01/0oooo002F0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`030?ooo`<0000000<0
RE660000003oool0W03oool400WZ2P<0oooo0P09jPX2000000@0oooo0`09jPY[0?ooo`0300WZ2P3o
ool0oooo00<02NX:00L0000000WZ2P3oool02NX:0?ooo`09jPX0000001l0oooo00<000000?ooo`3o
ool0>@3oool00`000000oooo0?ooo`0J0?ooo`00UP3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo01D0oooo00<000000?ooo`0000000P00000408UAQP800000V@3oool500WZ2P@0oooo
0`0000001009jPX0oooo0?ooo`3oool300WZ2Vh0oooo0`09jPX02@3oool02NX:00WZ2P000000oooo
00WZ2P3oool0000000WZ2P0O0?ooo`030000003oool0oooo03X0oooo00<000000?ooo`3oool06@3o
ool009D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0G0?ooo`0300000029DHH0
RE6600D0RE6600<000000?ooo`000000U@3oool500WZ2PD0oooo0P0000030?ooo`H02NX:K`3oool0
0`09jPX0oooo0?ooo`020?ooo`0500WZ2P000000oooo0?ooo`09jPX00P3oool00`09jPX0oooo0?oo
o`0L0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0603oool009D0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0G0?ooo`0300000029DHH0RE6600D0RE6600@00000
0?ooo`3oool00000TP3oool700WZ2P80oooo0`0000040?ooo`802NX:00<0oooo00WZ2P09jPX0LP3o
ool01P09jPX0oooo0?ooo`3oool02NX:0?ooo`80000000D02NX:0?ooo`3oool0oooo00WZ2P0M0?oo
o`030000003oool0oooo03/0oooo00<000000?ooo`3oool0603oool009D0oooo00<000000?ooo`3o
ool00P3oool2000001T0oooo00<0000008UAQP29DHH01P29DHH01@000000oooo0?ooo`3oool00000
08l0oooo1009jPX30?ooo`802NX:0P0000050?ooo`D02NX:M03oool00`09jPX0oooo0?ooo`020?oo
o`0400WZ2P000000oooo00WZ2P<0oooo00<02NX:0?ooo`3oool06`3oool00`000000oooo0?ooo`0k
0?ooo`030000003oool0oooo01P0oooo002D0?ooo`030000003oool0oooo00<0000000<0oooo0000
003oool0603oool00`000000RE6608UAQP0608UAQP030000003oool0oooo0080oooo00<000000?oo
o`3oool0R@3oool400WZ2PD0oooo0`0000000`09jPX0oooo0?ooo`020?ooo`@02NX:M`3oool00`09
jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0000000802NX:0`3oool00`09jPX0oooo0?ooo`0J0?oo
o`030000003oool0oooo03`0oooo00<000000?ooo`3oool05`3oool009@0oooo0`0000040?ooo`03
0000003oool0oooo01L0oooo00<0000008UAQP29DHH01P29DHH00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo08H0oooo1@09jPX50?ooo`8000000P3oool300WZ2P030?ooo`09jPX02NX:0080
2NX:NP3oool02009jPX0oooo0?ooo`000000oooo00WZ2P3oool000001009jPX00`3oool02NX:0?oo
o`0J0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool05`3oool009<0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`0F0?ooo`0300000029DHH0RE6600L0RE6600<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`220?ooo`@02NX:00@0oooo00WZ2P3oool02NX:0`3o
ool2000000@0oooo00<02NX:0?ooo`09jPX00`09jPYl0?ooo`0300WZ2P3oool0000000@02NX:00<0
00000?ooo`09jPX00`3oool00`09jPX0oooo0?ooo`0I0?ooo`030000003oool0oooo03`0oooo00<0
00000?ooo`3oool05`3oool009<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0G
0?ooo`0300000029DHH0RE6600L0RE6600<000000?ooo`3oool0103oool00`000000oooo0?ooo`1o
0?ooo`@02NX:0`3oool300WZ2P<000001@3oool400WZ2X00oooo0`09jPX20?ooo`802NX:00<00000
0?ooo`09jPX00`3oool00`09jPX0oooo0?ooo`0H0?ooo`030000003oool0oooo03`0oooo00<00000
0?ooo`3oool05`3oool009<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0F0?oo
o`0300000029DHH0RE6600P0RE6600<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1k0?oo
o`@02NX:1`3oool2000000H0oooo1009jPZ10?ooo`030000003oool02NX:00<0oooo0P09jPX01000
0000oooo0?ooo`09jPX20?ooo`0300WZ2P3oool0oooo01T0oooo00<000000?ooo`3oool0>`3oool0
0`000000oooo0?ooo`0G0?ooo`00T`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
01H0oooo00<0000008UAQP29DHH02029DHH00`000000oooo0?ooo`040?ooo`<00000N@3oool400WZ
2P030?ooo`09jPX0oooo00@0oooo0`0000000`3oool02NX:00WZ2P030?ooo`@02NX:PP3oool01@00
0000oooo0?ooo`3oool02NX:00<0oooo00D02NX:0?ooo`000000oooo00WZ2P030?ooo`0300WZ2P3o
ool0oooo01P0oooo00<000000?ooo`3oool0?03oool00`000000oooo0?ooo`0F0?ooo`00TP3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo00<0000008UAQP29DHH02029DHH0
0`000000oooo0?ooo`0400000080oooo00<000000?ooo`3oool0L`3oool500WZ2P050?ooo`09jPX0
2NX:0?ooo`09jPX00`3oool2000000@0oooo00<02NX:0?ooo`09jPX00`09jPZ40?ooo`030000003o
ool0oooo0080oooo00<02NX:0?ooo`3oool00P3oool00`09jPX000000?ooo`0200WZ2P<0oooo00<0
2NX:0?ooo`3oool05`3oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01H0oooo002B
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool00`000000RE6608UAQP09
08UAQP<000001`3oool00`000000oooo0?ooo`1_0?ooo`D02NX:1@3oool300WZ2P<000001P3oool4
00WZ2XH0oooo00<000000?ooo`3oool00`3oool01`09jPX0oooo0?ooo`3oool02NX:0?ooo`000000
0P09jPX20?ooo`<02NX:603oool00`000000oooo0?ooo`0l0?ooo`030000003oool0oooo01H0oooo
002B0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool05@3oool00`000000RE6608UA
QP0908UAQP8000002@3oool00`000000oooo0?ooo`1[0?ooo`<02NX:00<0oooo00WZ2P09jPX0203o
ool2000000P0oooo0`09jPZ70?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool00P3o
ool00`09jPX0000000WZ2P0400WZ2P030?ooo`09jPX0oooo01L0oooo00<000000?ooo`3oool0?03o
ool00`000000oooo0?ooo`0F0?ooo`00TP3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo01@0oooo00<0000008UAQP29DHH02P29DHH00`000000oooo000000080?ooo`030000003oool0
oooo06P0oooo0`09jPX01P3oool02NX:00WZ2P09jPX0oooo00WZ2PD0oooo0`0000000`3oool02NX:
00WZ2P040?ooo`@02NX:R03oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool02NX:00@02NX:
00<000000?ooo`09jPX0103oool00`09jPX0oooo0?ooo`0E0?ooo`030000003oool0oooo03`0oooo
00<000000?ooo`3oool05P3oool00980oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0E0?ooo`0300000029DHH0RE6600X0RE6600<000000?ooo`0000002@3oool00`000000oooo0?oo
o`1U0?ooo`802NX:0P3oool200WZ2P050?ooo`09jPX0oooo0?ooo`09jPX00`3oool2000000@0oooo
0`09jPX00`3oool02NX:00WZ2P0200WZ2XX0oooo00<000000?ooo`3oool01P3oool200WZ2P<0oooo
0P09jPX00`000000oooo00WZ2P040?ooo`0300WZ2P3oool0oooo01@0oooo00<000000?ooo`3oool0
?@3oool2000001H0oooo002B0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool05@3o
ool00`000000RE6608UAQP0:08UAQP040000003oool0oooo000000P0oooo00<000000?ooo`3oool0
H`3oool600WZ2P@0oooo0`09jPX3000000H0oooo00<02NX:0?ooo`09jPX00`09jPZ;0?ooo`030000
003oool0oooo00L0oooo00<02NX:0?ooo`3oool00P3oool200WZ2P040000003oool02NX:00WZ2P@0
oooo00<02NX:0?ooo`3oool04`3oool00`000000oooo0?ooo`0k0?ooo`<000005`3oool00940oooo
00<000000?ooo`3oool00`3oool4000001D0oooo00<0000008UAQP29DHH02`29DHH01@000000oooo
0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0G`3oool600WZ2PP0oooo0P0000080?ooo`@0
2NX:S@3oool00`000000oooo0?ooo`090?ooo`0400WZ2P3oool0oooo0?ooo`802NX:00D0oooo0000
0009jPX0oooo00WZ2P030?ooo`0300WZ2P3oool0oooo01<0oooo00<000000?ooo`3oool0>03oool3
00000080oooo00<000000?ooo`3oool05@3oool00940oooo00<000000?ooo`0000000`0000020:O0
j`030000002W`>/0000001@0oooo00<0000008UAQP29DHH02`29DHH01@000000oooo0?ooo`3oool0
000000T0oooo00<000000?ooo`3oool0F`3oool600WZ2P80oooo00<02NX:0?ooo`3oool0103oool2
000000030?ooo`09jPX02NX:00D0oooo1009jPZ>0?ooo`030000003oool0oooo00X0oooo00<02NX:
0?ooo`3oool00P3oool00`09jPX0oooo0000000300WZ2P@0oooo00<02NX:0?ooo`3oool04P3oool0
0`000000oooo0?ooo`0d0?ooo`@000001@3oool00`000000oooo0?ooo`0E0?ooo`00T@3oool20000
00H0Yl3[00@000000:O0j`2W`>/000004P3oool00`000000RE6608UAQP0<08UAQP030000003oool0
oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`1H0?ooo`H02NX:00<0oooo
00WZ2P09jPX00P3oool01009jPX0oooo0?ooo`3oool3000000<0oooo0`09jPX20?ooo`@02NX:T03o
ool00`000000oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo0080oooo00H02NX:0?ooo`3oool00000
00WZ2P3oool600WZ2Q<0oooo00<000000?ooo`3oool0<@3oool3000000T0oooo00<000000?ooo`3o
ool05@3oool00940oooo00<000000:O0j`2W`>/01@2W`>/01@000000Yl3[0:O0j`2W`>/000000140
oooo00<0000008UAQP29DHH03029DHH00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0E@3oool200WZ2P030?ooo`09jPX02NX:00D0oooo0P09jPX00`3oool0
2NX:0?ooo`02000000H0oooo00<02NX:0?ooo`09jPX00`09jPZB0?ooo`030000003oool0oooo00`0
oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0000000300WZ2P@0oooo00<02NX:0?ooo`3o
ool04@3oool00`000000oooo0?ooo`0]0?ooo`@00000303oool00`000000oooo0?ooo`0E0?ooo`00
T@3oool00`000000Yl3[0:O0j`050:O0j`030000002W`>/0Yl3[0080Yl3[00<000000?ooo`3oool0
3P3oool00`000000RE6608UAQP0<08UAQP030000003oool0oooo00<0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`1B0?ooo`L02NX:1`3oool01009jPX000000000000000080?ooo`@0
2NX:T`3oool00`000000oooo0?ooo`0=0?ooo`0300WZ2P3oool02NX:00@02NX:00D0oooo0000003o
ool0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo0100oooo00<000000?ooo`3oool0:P3oool30000
0100oooo00<000000?ooo`3oool05@3oool00940oooo0P0000060:O0j`030000002W`>/0Yl3[00<0
Yl3[00<000000?ooo`3oool0303oool00`000000RE6608UAQP0=08UAQP030000003oool0oooo00<0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1>0?ooo`H02NX:0`3oool00`09jPX0
oooo0?ooo`040?ooo`80000000<0oooo00WZ2P3oool01`3oool300WZ2YD0oooo00<000000?ooo`3o
ool03P3oool200WZ2P<0oooo00H02NX:0?ooo`09jPX000000?ooo`09jPX40?ooo`0300WZ2P3oool0
oooo0140oooo00<000000?ooo`3oool09@3oool4000001<0oooo00<000000?ooo`3oool05@3oool0
0940oooo0P0000060:O0j`030000002W`>/0Yl3[00@0Yl3[00<000000?ooo`3oool02`3oool00`00
0000RE6608UAQP0=08UAQP030000003oool0oooo00@0oooo00<000000?ooo`3oool01P3oool20000
04`0oooo1P09jPX20?ooo`802NX:00<0oooo00WZ2P09jPX00`3oool3000000<0oooo0`09jPX30?oo
o`<02NX:U`3oool00`000000oooo0?ooo`0?0?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX01000
0000oooo00WZ2P09jPX40?ooo`0300WZ2P3oool0oooo0100oooo00<000000?ooo`3oool08P3oool3
000001L0oooo00<000000?ooo`3oool05@3oool00940oooo0P0000060:O0j`030000002W`>/0Yl3[
00D0Yl3[00<000000?ooo`3oool02P3oool00`000000RE6608UAQP0=08UAQP030000003oool0oooo
00D0oooo00<000000?ooo`3oool00P3oool3000000030?ooo`000000oooo04T0oooo1@09jPX60?oo
o`<02NX:0P3oool2000000H0oooo00<02NX:0?ooo`09jPX01009jPZH0?ooo`030000003oool0oooo
0140oooo00<02NX:0?ooo`3oool00P3oool200WZ2P040?ooo`0000002NX:00WZ2PD0oooo00<02NX:
0?ooo`3oool03`3oool00`000000oooo0?ooo`0O0?ooo`<000006P3oool00`000000oooo0?ooo`0E
0?ooo`00T@3oool2000000L0Yl3[00<000000:O0j`2W`>/01@2W`>/00`000000oooo0?ooo`080?oo
o`0300000029DHH0RE6600h0RE6600<000000?ooo`3oool01@3oool00`000000oooo000000020000
00D0oooo00<000000?ooo`3oool0A@3oool400WZ2P80oooo00<02NX:0?ooo`3oool01@3oool01009
jPX000000000000000080?ooo`0300WZ2P3oool02NX:00802NX:VP3oool00`000000oooo0?ooo`0A
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`0000000P09jPX40?ooo`<02NX:403oool0
0`000000oooo0?ooo`0K0?ooo`@000007@3oool00`000000oooo0?ooo`0E0?ooo`00T@3oool00`00
0000oooo000000060:O0j`030000002W`>/0Yl3[00H0Yl3[00<000000?ooo`3oool01`3oool00`00
0000RE6608UAQP0=08UAQP030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`120?ooo`H02NX:0`3oool00`09jPX0oooo0?ooo`040?ooo`8000000P09jPX90?oo
o`<02NX:V`3oool00`000000oooo0?ooo`0C0?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?oo
o`3oool000000?ooo`0500WZ2P030?ooo`09jPX0oooo00l0oooo00<000000?ooo`3oool0603oool3
00000240oooo00<000000?ooo`3oool05@3oool00940oooo00<000000?ooo`0000001P2W`>/00`00
0000Yl3[0:O0j`070:O0j`030000003oool0oooo00H0oooo00<0000008UAQP29DHH03@29DHH00`00
0000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0?`3oool500WZ
2P<0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`<000000P3oool400WZ2PD0oooo0`09jPZM
0?ooo`030000003oool0oooo01<0oooo00<02NX:0?ooo`3oool00P3oool300WZ2P0300000009jPX0
2NX:00H0oooo00<02NX:0?ooo`3oool03@3oool00`000000oooo0?ooo`0E0?ooo`<00000903oool0
0`000000oooo0?ooo`0E0?ooo`00T@3oool00`000000oooo000000060:O0j`030000002W`>/0Yl3[
00P0Yl3[00<000000?ooo`3oool0103oool00`000000RE6608UAQP0>08UAQP030000003oool0oooo
00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0k0?ooo`H02NX:1P3oool400WZ
2P030?ooo`000000000000D0oooo0P09jPX00`3oool02NX:00WZ2P020?ooo`<02NX:W`3oool00`00
0000oooo0?ooo`0C0?ooo`0300WZ2P3oool02NX:00@02NX:00@0oooo00WZ2P000000oooo0P09jPX4
0?ooo`0300WZ2P3oool0oooo00d0oooo00<000000?ooo`3oool04P3oool3000002L0oooo00<00000
0?ooo`3oool05@3oool00940oooo00@000000?ooo`3oool000001@2W`>/00`000000Yl3[0:O0j`09
0:O0j`030000003oool0oooo00<0oooo00<0000008UAQP29DHH03P29DHH00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0>03oool500WZ2P<0oooo00<02NX:
0?ooo`3oool01@3oool200WZ2P800000203oool00`09jPX0oooo0?ooo`0300WZ2Z40oooo00<00000
0?ooo`3oool05@3oool00`09jPX0oooo0?ooo`020?ooo`0700WZ2P3oool0oooo00WZ2P000000oooo
00WZ2P040?ooo`0300WZ2P3oool0oooo00d0oooo00<000000?ooo`3oool03`3oool3000002X0oooo
00<000000?ooo`3oool05@3oool00940oooo00@000000?ooo`3oool000001@2W`>/00`000000Yl3[
0:O0j`0:0:O0j`030000003oool0oooo0080oooo00<0000008UAQP29DHH03P29DHH00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0=03oool500WZ2P030?oo
o`09jPX02NX:00<0oooo00<02NX:0?ooo`3oool0103oool30000000300WZ2P3oool0oooo00L0oooo
1009jPZS0?ooo`030000003oool0oooo01D0oooo00<02NX:0?ooo`3oool00`3oool01@09jPX0oooo
00WZ2P000000oooo00802NX:103oool00`09jPX0oooo0?ooo`0<0?ooo`030000003oool0oooo00`0
oooo0`00000]0?ooo`030000003oool0oooo01D0oooo002A0?ooo`040000003oool0oooo000000D0
Yl3[00<000000:O0j`2W`>/02`2W`>/010000000oooo0?ooo`00000A08UAQP030000003oool0oooo
00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0a0?ooo`H02NX:103oool200WZ
2P80oooo00<02NX:0?ooo`3oool00P3oool200000080oooo00<02NX:0?ooo`09jPX01`3oool300WZ
2ZD0oooo00<000000?ooo`3oool05P3oool00`09jPX0oooo0?ooo`030?ooo`802NX:00@0oooo0000
0009jPX02NX:103oool00`09jPX0oooo0?ooo`0=0?ooo`030000003oool0oooo00P0oooo0`00000`
0?ooo`030000003oool0oooo01D0oooo002A0?ooo`040000003oool0oooo000000@0Yl3[0P00000>
0:O0j`030000003oool000000140RE6600<000000?ooo`3oool02@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo02l0oooo1@09jPX00`3oool02NX:0?ooo`050?ooo`802NX:00<0oooo
00WZ2P3oool00`0000040?ooo`802NX:00<0oooo00WZ2P09jPX00`3oool200WZ2ZL0oooo00<00000
0?ooo`3oool05`3oool00`09jPX0oooo0?ooo`030?ooo`802NX:00D0oooo00000009jPX0oooo00WZ
2P020?ooo`<02NX:3P3oool00`000000oooo0?ooo`050?ooo`<00000<P3oool00`000000oooo0?oo
o`0F0?ooo`00T@3oool010000000oooo0?ooo`3oool4000000030:O0j`000000Yl3[00h0Yl3[0P00
000A08UAQP030000003oool0oooo00X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0/0?ooo`@02NX:103oool00`09jPX0oooo0?ooo`050?ooo`802NX:0P0000080?ooo`0300WZ2P3o
ool0oooo00@02NX:Z@3oool00`000000oooo0?ooo`0H0?ooo`0300WZ2P3oool0oooo00<0oooo00@0
2NX:0?ooo`3oool000001009jPX30?ooo`0300WZ2P3oool0oooo00/0oooo00<000000?ooo`3oool0
0P3oool3000003D0oooo00<000000?ooo`3oool05P3oool00940oooo00<000000?ooo`0000000P00
00040:O0j`030000002W`>/0Yl3[00h0Yl3[00<0000008UAQP29DHH03`29DHH00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0:@3oool400WZ2P80oooo0P09
jPX30?ooo`0300WZ2P3oool0oooo00@0oooo0`0000000`09jPX0oooo0?ooo`070?ooo`0300WZ2P3o
ool02NX:00802NX:Z`3oool00`000000oooo0?ooo`0H0?ooo`0300WZ2P3oool0oooo0080oooo1009
jPX010000000oooo0?ooo`09jPX50?ooo`0300WZ2P3oool0oooo00X0oooo00<000000?ooo`000000
0P00000h0?ooo`030000003oool0oooo01H0oooo002A0?ooo`8000000P3oool00`000000Yl3[0:O0
j`020:O0j`030000002W`>/0Yl3[00l0Yl3[00<0000008UAQP29DHH03P29DHH00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0903oool600WZ2PD0oooo0P09
jPX20?ooo`0300WZ2P3oool0oooo0080oooo0P0000030?ooo`802NX:203oool300WZ2Z`0oooo00<0
00000?ooo`3oool06P3oool500WZ2P050?ooo`09jPX0oooo00WZ2P0000001`3oool00`09jPX0oooo
0?ooo`080?ooo`@00000>P3oool00`000000oooo0?ooo`0G0?ooo`00T@3oool00`000000oooo0?oo
o`020?ooo`030000002W`>/0Yl3[0080Yl3[00<000000:O0j`2W`>/03`2W`>/00`000000RE6608UA
QP0=08UAQP030000003oool0oooo00/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0Q0?ooo`<02NX:00H0oooo00WZ2P09jPX02NX:0?ooo`09jPX60?ooo`802NX:00<0oooo00WZ2P3o
ool00`0000050?ooo`0400WZ2P3oool02NX:00WZ2P@0oooo0`09jPZ^0?ooo`030000003oool0oooo
01X0oooo00<02NX:0?ooo`3oool00`3oool01009jPX0oooo00WZ2P0000080?ooo`0300WZ2P3oool0
oooo00@0oooo0`0000020?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool05`3oool0
0940oooo00<000000?ooo`3oool00P3oool00`000000Yl3[0:O0j`020:O0j`030000002W`>/0Yl3[
0100Yl3[00<0000008UAQP29DHH03029DHH00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool07P3oool300WZ2P040?ooo`09jPX02NX:00WZ2P@0oooo00<02NX:
0?ooo`3oool01@3oool200WZ2P800000203oool00`09jPX0oooo0?ooo`0200WZ2P040?ooo`09jPX0
2NX:00WZ2[00oooo00<000000?ooo`3oool06P3oool00`09jPX0oooo0?ooo`040?ooo`802NX:00<0
oooo0000003oool01`3oool00`09jPX0oooo00000003000000D0oooo00<000000?ooo`3oool0>@3o
ool00`000000oooo0?ooo`0G0?ooo`00T@3oool00`000000oooo0?ooo`030?ooo`050000002W`>/0
Yl3[0:O0j`0000004`2W`>/00`000000RE6608UAQP0;08UAQP030000003oool0oooo00`0oooo00<0
00000?ooo`3oool01@3oool2000001d0oooo0P09jPX0103oool02NX:00WZ2P09jPX20?ooo`802NX:
0`3oool00`09jPX0oooo0?ooo`050?ooo`80000000<02NX:0?ooo`3oool01`3oool00`09jPX0oooo
0?ooo`0300WZ2[80oooo00<000000?ooo`3oool0703oool00`09jPX0oooo0?ooo`030?ooo`802NX:
0P3oool00`000000oooo0?ooo`040?ooo`80000000<02NX:0?ooo`3oool01`3oool00`000000oooo
0?ooo`0h0?ooo`030000003oool0oooo01P0oooo002B0?ooo`030000003oool0oooo0080oooo00D0
00000:O0j`2W`>/0Yl3[0000000D0:O0j`0300000029DHH0RE6600X0RE6600<000000?ooo`3oool0
303oool00`000000oooo0?ooo`020?ooo`<0000000<0oooo0000003oool06P3oool700WZ2P@0oooo
0P09jPX20?ooo`0300WZ2P3oool0oooo0080oooo0`0000020?ooo`<02NX:1`3oool400WZ2[@0oooo
00<000000?ooo`3oool0703oool00`09jPX0oooo0?ooo`040?ooo`0400WZ2P3oool0oooo00000080
oooo1000000<0?ooo`030000003oool0oooo03P0oooo00<000000?ooo`3oool0603oool00980oooo
00<000000?ooo`3oool00`3oool010000000Yl3[0:O0j`00000E0:O0j`0300000029DHH0RE6600T0
RE6600<000000?ooo`3oool0303oool00`000000oooo00000002000000@0oooo00<000000?ooo`3o
ool05P3oool500WZ2P<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo00WZ2P020?ooo`80
00001@3oool01009jPX0oooo00WZ2P09jPX40?ooo`@02NX:]P3oool00`000000oooo0?ooo`0M0?oo
o`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`0000000P00000@0?ooo`030000003oool0oooo
03P0oooo00<000000?ooo`3oool0603oool00980oooo00<000000?ooo`3oool0103oool010000000
Yl3[0:O0j`00000E0:O0j`0300000029DHH0RE6600P0RE6600<000000?ooo`3oool03@3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0180oooo1`09jPX40?ooo`0300WZ2P3oool0oooo
00H0oooo00@02NX:00000000000000001`3oool00`09jPX0oooo0?ooo`0200WZ2P040?ooo`09jPX0
2NX:00WZ2[T0oooo00<000000?ooo`3oool07@3oool00`09jPX0oooo0?ooo`020?ooo`80000000<0
2NX:0000003oool04P3oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo01T0oooo002B
0?ooo`030000003oool0oooo00@0oooo00@000000:O0j`2W`>/000005P2W`>/00`000000RE6608UA
QP0708UAQP030000003oool0oooo00d0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?oo
o`0?0?ooo`H02NX:103oool01@09jPX0oooo0?ooo`3oool02NX:00L0oooo0P00000200WZ2PP0oooo
00@02NX:0?ooo`3oool0oooo0`09jPZk0?ooo`030000003oool0oooo01h0oooo00@02NX:00000000
000000000`3oool00`09jPX0oooo0?ooo`0A0?ooo`030000003oool0oooo03L0oooo00<000000?oo
o`3oool06@3oool00980oooo00<000000?ooo`3oool01@3oool00`000000Yl3[0000000G0:O0j`03
00000029DHH0RE6600D0RE6600<000000?ooo`3oool03P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00`0oooo1P09jPX20?ooo`0300WZ2P3oool0oooo00<0oooo00@02NX:0?ooo`3o
ool02NX:103oool300000080oooo0`09jPX70?ooo`0300WZ2P3oool02NX:00802NX:_@3oool00`00
0000oooo0?ooo`0L0?ooo`<000001P3oool00`09jPX0oooo0?ooo`0A0?ooo`030000003oool0oooo
03L0oooo00<000000?ooo`3oool06@3oool009<0oooo00<000000?ooo`3oool0103oool00`000000
Yl3[0000000H0:O0j`0300000029DHH0RE6600@0RE6600<000000?ooo`3oool03`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo0`09jPX00`3oool02NX:00WZ2P050?ooo`03
00WZ2P3oool0oooo00@0oooo0`09jPX20?ooo`8000001@3oool01009jPX0oooo00WZ2P09jPX60?oo
o`<02NX:_`3oool00`000000oooo0?ooo`0H0?ooo`@000002P3oool00`09jPX0oooo0?ooo`0@0?oo
o`030000003oool0oooo03H0oooo00<000000?ooo`3oool06P3oool009<0oooo00<000000?ooo`3o
ool01@3oool2000001T0Yl3[00<0000008UAQP29DHH00`29DHH00`000000oooo0?ooo`0?0?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool200WZ2P050?ooo`09jPX02NX:00WZ
2P3oool00P09jPX40?ooo`0300WZ2P3oool0oooo00D0oooo00@02NX:00000000000000001`3oool0
0`09jPX0oooo0?ooo`0300WZ2P80oooo0`09jP[10?ooo`030000003oool0oooo01D0oooo0`00000>
0?ooo`0300WZ2P3oool0oooo0140oooo00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0J
0?ooo`00T`3oool00`000000oooo0?ooo`050?ooo`8000006P2W`>/00`000000RE6608UAQP0208UA
QP030000003oool0oooo00l0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`040?oo
o`802NX:00@0oooo00WZ2P09jPX02NX:103oool200WZ2P<0oooo00<02NX:0?ooo`3oool0103oool2
000000802NX:203oool00`09jPX0oooo0?ooo`020?ooo`@02NX:``3oool00`000000oooo0?ooo`0B
0?ooo`<000004@3oool00`09jPX0oooo0?ooo`0A0?ooo`030000003oool0oooo03D0oooo00<00000
0?ooo`3oool06P3oool009<0oooo00<000000?ooo`3oool01P3oool2000001X0Yl3[00D0000008UA
QP29DHH0RE660000000B0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P09jPX2
0?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX00`3oool02NX:0?ooo`030?ooo`<000000P3oool3
00WZ2PL0oooo00<02NX:0?ooo`3oool00`09jP[50?ooo`030000003oool0oooo00l0oooo1000000E
0?ooo`0300WZ2P3oool0oooo0100oooo00<000000?ooo`3oool0=03oool00`000000oooo0?ooo`0K
0?ooo`00T`3oool00`000000oooo0?ooo`060?ooo`8000006`2W`>/010000000RE6608UAQP00000B
0?ooo`030000003oool0oooo00H0oooo1P09jPX50?ooo`0300WZ2P3oool0oooo00@0oooo0`09jPX2
0?ooo`8000001@3oool01009jPX0oooo00WZ2P09jPX60?ooo`@02NX:a`3oool00`000000oooo0?oo
o`0<0?ooo`<00000;03oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo01`0oooo002D
0?ooo`030000003oool0oooo00@0oooo0`0000090:O0j`030000002W`>/0Yl3[0100Yl3[00<00000
08UAQP0000004P3oool00`000000oooo0?ooo`030?ooo`H02NX:0P3oool200WZ2P@0oooo00<02NX:
0?ooo`3oool01@3oool200WZ2P8000001`3oool01009jPX0oooo0?ooo`3oool200WZ2P<0oooo0`09
jP[90?ooo`030000003oool0oooo00T0oooo0`00000_0?ooo`030000003oool0oooo03<0oooo00<0
00000?ooo`3oool0703oool009@0oooo00<000000?ooo`000000100000020?ooo`800000702W`>/2
000001<0oooo00<000000?ooo`09jPX01009jPX20?ooo`0300000009jPX0oooo0080oooo0P09jPX3
0?ooo`0300WZ2P3oool0oooo00@0oooo0`0000000`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo0080oooo1009jP[<0?ooo`030000003oool0oooo00D0oooo1000000b0?ooo`030000003oool0
oooo0380oooo00<000000?ooo`3oool07@3oool009@0oooo0P0000070?ooo`030000003oool00000
01`0Yl3[00<000000?ooo`3oool0403oool500WZ2PD0oooo00<0000000WZ2P3oool00`3oool200WZ
2P80oooo00<02NX:0?ooo`3oool00P3oool200000080oooo00<02NX:0?ooo`09jPX01`3oool00`09
jPX0oooo0?ooo`020?ooo`802NX:cP3oool00`000000oooo0?ooo`020?ooo`<00000=P3oool00`00
0000oooo0?ooo`0b0?ooo`030000003oool0oooo01d0oooo002D0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`0000006P2W`>/00`29DHH000000?ooo`0>0?ooo`<02NX:00D0oooo00WZ2P09
jPX0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo00@0oooo0P09jPX00`3oool02NX:0?ooo`030000
00@0oooo00<02NX:0?ooo`3oool00P09jPX50?ooo`0300WZ2P3oool0oooo00802NX:d03oool00`00
0000oooo00000002000003T0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0N0?oo
o`00U03oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo000001H0Yl3[1029DHH20000
00/0oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2P040000003oool0oooo00WZ2P@0oooo00<02NX:
0000003oool01P3oool00`09jPX00000000000070?ooo`0400WZ2P3oool0oooo0?ooo`802NX:103o
ool300WZ2]80oooo0P00000l0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool07`3o
ool009D0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000C0:O0j`L0RE6600<0
00000:O0j`0000001`3oool300WZ2P040?ooo`09jPX02NX:00WZ2P<0oooo00<02NX:0000003oool0
0P3oool01P09jPX0oooo0?ooo`3oool02NX:000000D0oooo0`00000200WZ2PL0oooo00<02NX:0?oo
o`3oool00`3oool00`09jPX0oooo0?ooo`0200WZ2]@0oooo00<000000?ooo`3oool0>`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01l0oooo002E0?ooo`030000003oool0oooo00L0
oooo00@000000?ooo`3oool000003`2W`>/:08UAQP040000002W`>/0Yl3[000000@0oooo0P09jPX0
103oool02NX:00WZ2P09jPX60?ooo`0300WZ2P000000oooo00<0oooo0P09jPX00`0000002NX:0000
00030?ooo`8000000`3oool300WZ2PH0oooo00<02NX:0?ooo`3oool00`3oool300WZ2]H0oooo00<0
00000?ooo`3oool0>`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0200oooo002E
0?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo0000000<0:O0j``0RE6600H0
00000:O0j`2W`>/0Yl3[0000003oool600WZ2P030?ooo`09jPX02NX:00D0oooo00<02NX:0?ooo`00
00000`000000103oool02NX:00WZ2P09jPX4000000D0oooo00@02NX:0?ooo`09jPX02NX:1@3oool0
0`09jPX0oooo0?ooo`0300WZ2]X0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo0200oooo002F0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool00P3oool00`000000Yl3[0:O0j`060:O0j`l0RE6600<000000:O0j`2W`>/00P2W`>/00`00
00002NX:00WZ2P020?ooo`802NX:0P3oool200WZ2P@0oooo00<02NX:0?ooo`0000001@3oool00`09
jPX00000000000080?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool400WZ2]`0oooo00<00000
0?ooo`3oool0>P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0240oooo002F0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3oool00`000000Yl3[0:O0j`020:O0
ja80RE6600@000000:O0j`2W`>/0Yl3[0P09jPX01@000000oooo0?ooo`3oool02NX:00@0oooo0P09
jPX30?ooo`0300WZ2P3oool0000000<0oooo0`00000200WZ2P030000003oool0oooo00D0oooo00<0
2NX:0?ooo`3oool00P3oool200WZ2P040?ooo`09jPX02NX:00WZ2]h0oooo00<000000?ooo`3oool0
>`3oool00`000000oooo0?ooo`0/0?ooo`030000003oool0oooo0280oooo002F0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool00`3oool00`000000RE6608UAQP0C08UAQP0400000009
jPX02NX:00WZ2P<0Yl3[00@000000?ooo`3oool02NX:1P3oool01`09jPX0oooo0?ooo`09jPX0oooo
0000003oool00P0000030?ooo`<02NX:1`3oool00`09jPX0oooo0?ooo`030?ooo`<02NX:h03oool0
0`000000oooo0?ooo`0k0?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool08P3oool0
09L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?ooo`0300000029DHH0RE66
01<0RE6600@000000:O0j`2W`>/0Yl3[0P09jPX20:O0j`030000003oool02NX:00H0oooo0P09jPX0
0`3oool02NX:0?ooo`02000000D0oooo00<02NX:0?ooo`0000000P09jPX50?ooo`0300WZ2P3oool0
oooo00@02NX:h`3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool08`3oool009L0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`030?oo
o`0300000029DHH0RE660180RE6600<000000:O0j`2W`>/00`2W`>/200WZ2P80Yl3[00<0000000WZ
2P3oool01`3oool3000000030?ooo`000000oooo00@0oooo00@02NX:0?ooo`000000oooo0P09jPX4
0?ooo`D02NX:i@3oool00`000000oooo0?ooo`0j0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool08`3oool009L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`020?oo
o`0300000029DHH0RE660180RE6600<000000:O0j`2W`>/0102W`>/200WZ2P80Yl3[00<000000?oo
o`3oool0103oool2000000050?ooo`09jPX02NX:0?ooo`0000001@3oool00`09jPX0oooo00000003
0?ooo`0300WZ2P3oool0oooo00<02NX:j03oool00`000000oooo0?ooo`0j0?ooo`030000003oool0
oooo02X0oooo00<000000?ooo`3oool0903oool009L0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`020?ooo`0300000029DHH0RE660180RE6600<000000:O0j`2W`>/01@2W`>/01@09
jPX0Yl3[0:O0j`2W`>/000000080oooo0`0000030?ooo`<02NX:00<000000?ooo`3oool00`3oool0
1009jPX0oooo0?ooo`0000030?ooo`<02NX:jP3oool00`000000oooo0?ooo`0j0?ooo`030000003o
ool0oooo02T0oooo00<000000?ooo`3oool09@3oool009P0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`020?ooo`0300000029DHH0RE660180RE6600<000000:O0j`2W`>/01P2W`>/2
00WZ2P80Yl3[0P0000060?ooo`0400WZ2P3oool02NX:00WZ2PD0oooo00D02NX:0?ooo`3oool00000
0?ooo`0300WZ2^`0oooo00<000000?ooo`3oool0>P3oool00`000000oooo0?ooo`0X0?ooo`030000
003oool0oooo02H0oooo002H0?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo
0000000D08UAQP030000002W`>/0Yl3[00L0Yl3[00D0000000WZ2P000000Yl3[000000060?ooo`04
00WZ2P3oool0oooo0?ooo`802NX:0`3oool00`09jPX0oooo0?ooo`0300WZ2^l0oooo00<000000?oo
o`3oool0>@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo02L0oooo002H0?ooo`03
0000003oool0oooo00D0oooo0`0000020?ooo`0300WZ2P000000RE6601<0RE6600<000000:O0j`2W
`>/0102W`>/3000000030:O0j`09jPX02NX:0080Yl3[00<000000?ooo`3oool00`3oool01@09jPX0
oooo0?ooo`3oool0000000802NX:0P3oool400WZ2_40oooo00<000000?ooo`3oool0>@3oool00`00
0000oooo0?ooo`0V0?ooo`030000003oool0oooo02P0oooo002I0?ooo`030000003oool0000000@0
000000<0oooo00WZ2P0000000`09jPX00`000000RE6608UAQP0B08UAQP040000002W`>/0Yl3[0:O0
j`<00000102W`>/01P09jPX0Yl3[00WZ2P09jPX0Yl3[000000@0oooo00H02NX:0?ooo`3oool0oooo
0000003oool500WZ2P030?ooo`000000oooo0?00oooo00<000000?ooo`3oool0>P3oool00`000000
oooo0?ooo`0T0?ooo`030000003oool0oooo02T0oooo002I0?ooo`8000000`3oool300WZ2P80oooo
00@0000000WZ2P3oool000005029DHH0100000002NX:0000000000070:O0j`0300WZ2P2W`>/0Yl3[
00802NX:00<0Yl3[0000003oool00P3oool01009jPX0oooo0?ooo`3oool200WZ2P030?ooo`09jPX0
2NX:00@0oooo00<000000?ooo`3oool0k`3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0
oooo02<0oooo00<000000?ooo`3oool0:P3oool009T0oooo00<0000000WZ2P09jPX00P09jPX00`3o
ool02NX:00WZ2P0200WZ2P040000003oool0oooo000001@0RE6600<0000000WZ2P09jPX0202W`>/0
1009jPX0Yl3[0:O0j`2W`>/200WZ2P060:O0j`000000oooo0?ooo`09jPX0oooo0P09jPX00`000000
2NX:00WZ2P060?ooo`030000003oool0oooo0>l0oooo00<000000?ooo`3oool0>@3oool00`000000
oooo0?ooo`0R0?ooo`030000003oool0oooo02/0oooo002G0?ooo`<02NX:00<000000?ooo`3oool0
0`09jPX30?ooo`0400WZ2P000000oooo000001@0RE6600@0000000WZ2P09jPX02NX:1`2W`>/00`09
jPX0Yl3[0:O0j`030:O0j`0400WZ2P2W`>/000000?ooo`D02NX:00<000000?ooo`3oool00`3oool3
00000?80oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0
oooo02`0oooo002D0?ooo`<02NX:0P3oool01009jPX0000000WZ2P09jPX20?ooo`0300WZ2P3oool0
oooo0080oooo00<000000?ooo`0000005029DHH01@0000002NX:0:O0j`2W`>/02NX:00H0Yl3[00<0
2NX:0:O0j`2W`>/00`2W`>/300WZ2P0300000009jPX02NX:00<0oooo00<000000?ooo`0000000`00
00020?ooo`030000003oool0oooo0?40oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?oo
o`0P0?ooo`030000003oool0oooo02d0oooo002A0?ooo`<02NX:00<0oooo00WZ2P09jPX00P09jPX2
0?ooo`050000003oool0oooo0?ooo`09jPX0103oool00`0000002NX:0000000D08UAQP0300000009
jPX0Yl3[0080Yl3[0P09jPX40:O0j`0300WZ2P2W`>/0Yl3[0080Yl3[0P09jPX0102W`>/02NX:00WZ
2P0000040?ooo`8000001P3oool00`000000oooo0?ooo`3a0?ooo`030000003oool0oooo03L0oooo
00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0^0?ooo`00S@3oool400WZ2P80oooo0`09
jPX20?ooo`802NX:00<0oooo0000003oool00P3oool00`09jPX0oooo0?ooo`030?ooo`8000005029
DHH00`0000002NX:0:O0j`030:O0j`802NX:0`2W`>/00`09jPX0Yl3[0:O0j`0200WZ2P030:O0j`09
jPX02NX:00<0Yl3[00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo0?80oooo
00<000000?ooo`3oool0=P3oool00`000000oooo0?ooo`0M0?ooo`800000<@3oool008X0oooo0`09
jPX30?ooo`<02NX:0P3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P000000oooo0080oooo00<0
2NX:0?ooo`3oool00`3oool2000001@0RE6600<0000000WZ2P2W`>/0102W`>/200WZ2P80Yl3[0`09
jPX00`2W`>/02NX:00WZ2P060:O0j`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0
lP3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0
<@3oool008L0oooo0`09jPX00`3oool02NX:00WZ2P0300WZ2PD0oooo00<02NX:0?ooo`3oool00P3o
ool200WZ2P040000003oool0oooo00WZ2PH0oooo00<0000008UAQP29DHH04P29DHH00`0000002NX:
000000050:O0j`L02NX:2@2W`>/00`000000oooo000000070?ooo`030000003oool0oooo0?<0oooo
00<000000?ooo`3oool0=@3oool00`000000oooo0?ooo`0J0?ooo`800000=03oool008@0oooo0`09
jPX20?ooo`<02NX:0P3oool200WZ2PD0oooo00<02NX:0?ooo`3oool0103oool010000000oooo0?oo
o`09jPX40?ooo`<000005029DHH0100000002NX:0?ooo`0000020:O0j`802NX:00@0Yl3[00WZ2P09
jPX02NX:3@2W`>/2000000L0oooo00<000000?ooo`3oool0m03oool00`000000oooo0?ooo`0e0?oo
o`030000003oool0oooo01P0oooo00<000000?ooo`3oool0=03oool00840oooo0`09jPX20?ooo`<0
2NX:0P3oool01009jPX0oooo0?ooo`3oool200WZ2P@0oooo00<02NX:0?ooo`3oool01@3oool01000
0000oooo00WZ2P3oool300000080oooo0P00000C08UAQP0400000009jPX0oooo0?ooo`8000000`09
jPXA0:O0j`030000003oool0oooo00D0oooo00<000000?ooo`3oool0m03oool00`000000oooo0?oo
o`0e0?ooo`030000003oool0oooo01H0oooo0P00000g0?ooo`00OP3oool300WZ2P80oooo0`09jPX5
0?ooo`0300WZ2P3oool0oooo00<0oooo00D02NX:0?ooo`3oool0oooo00WZ2P070?ooo`@000001@3o
ool2000001<0RE6600<0000000WZ2P09jPX00`09jPX00`000000Yl3[0:O0j`0B0:O0j`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0m@3oool2000003D0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`0g0?ooo`00O03oool200WZ2P80oooo0`09jPX00`3oool02NX:00WZ2P05
0?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX20?ooo`0300WZ2P3oool0oooo00<0oooo10000000
0`09jPX0oooo0?ooo`050?ooo`0300000029DHH0RE660140RE6600@0000000WZ2P09jPX02NX:0`3o
ool2000001<0Yl3[00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3g0?ooo`030000003o
ool0oooo0380oooo00<000000?ooo`3oool04`3oool2000003X0oooo001j0?ooo`802NX:00@0oooo
00WZ2P09jPX02NX:0P3oool00`09jPX0oooo0?ooo`0200WZ2P@0oooo00<02NX:0?ooo`3oool01@3o
ool00`09jPX0oooo00WZ2P020?ooo`<000000`3oool00`0000002NX:00WZ2P060?ooo`8000004P29
DHH00`0000002NX:0?ooo`060?ooo`<000004@2W`>/00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0?P0oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?ooo`0B0?ooo`030000003o
ool0oooo03X0oooo001g0?ooo`<02NX:00<0oooo00WZ2P09jPX01@3oool01009jPX0oooo0?ooo`3o
ool200WZ2P<0oooo00<02NX:0?ooo`3oool01P3oool01009jPX000000000000000060?ooo`040000
0009jPX0oooo00WZ2PD0oooo0P00000B08UAQP030000003oool0oooo00T0oooo0P00000@0:O0j`05
0000003oool0oooo0?ooo`000000n`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo
0100oooo0P00000m0?ooo`00L`3oool400WZ2P030?ooo`09jPX02NX:00802NX:1@3oool200WZ2PD0
oooo00@02NX:0?ooo`3oool02NX:1P3oool30000000300WZ2P3oool0oooo00L0oooo00<000000?oo
o`3oool00P09jPX30?ooo`<000004@29DHH00`000000oooo0?ooo`0;0?ooo`8000003`2W`>/01000
0000oooo0?ooo`00003l0?ooo`800000<03oool00`000000oooo0?ooo`0?0?ooo`030000003oool0
oooo03d0oooo001`0?ooo`<02NX:0P3oool400WZ2P80oooo0P09jPX40?ooo`0300WZ2P3oool0oooo
00@0oooo0P09jPX00`3oool02NX:0?ooo`020?ooo`<000000`3oool200WZ2PL0oooo00@02NX:0000
003oool0oooo1@0000000`3oool000000000000A08UAQP030000003oool0oooo00d0oooo0`00000=
0:O0j`030000003oool000000?h0oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0=
0?ooo`800000@03oool006d0oooo0`09jPX20?ooo`<02NX:0`3oool01009jPX0oooo0?ooo`3oool2
00WZ2P<0oooo00<02NX:0?ooo`3oool01P3oool200WZ2P<000001P3oool300WZ2PH0oooo00@02NX:
0?ooo`00000000000P3oool200WZ2P80oooo00<0000008UAQP0000004029DHH00`000000oooo0?oo
o`0@0?ooo`800000302W`>/200000?l0oooo00<000000?ooo`3oool0;03oool00`000000oooo0?oo
o`0:0?ooo`<00000@P3oool006X0oooo0`09jPX00`3oool02NX:00WZ2P0200WZ2PH0oooo00<02NX:
0?ooo`3oool00P3oool200WZ2P80oooo00<02NX:0?ooo`3oool01@3oool3000000T0oooo00@02NX:
0?ooo`3oool02NX:1@3oool00`09jPX0oooo000000040?ooo`<02NX:00@0000008UAQP29DHH00000
3`29DHH00`000000oooo0?ooo`0B0?ooo`8000002@2W`>/300000?l0oooo0@3oool00`000000oooo
0?ooo`0/0?ooo`030000003oool0oooo00H0oooo0`0000150?ooo`00I`3oool300WZ2P80oooo0`09
jPX20?ooo`802NX:1@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool02NX:00@0oooo0`00
00020?ooo`802NX:203oool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00D02NX:0?ooo`3oool0
00000?ooo`0200WZ2P<0oooo00@0000008UAQP29DHH000003`29DHH00`000000oooo0?ooo`0D0?oo
o`<000000P2W`>/400000080oooo00<000000?ooo`3oool0o`3oool2000002`0oooo00<000000?oo
o`3oool0103oool2000004P0oooo001T0?ooo`<02NX:0P3oool300WZ2P80oooo00@02NX:0?ooo`3o
ool0oooo0P09jPX40?ooo`0300WZ2P3oool0oooo00@0oooo0`09jPX0103oool00000000000000005
0?ooo`0300WZ2P3oool02NX:00H0oooo0P09jPX40?ooo`0500WZ2P3oool0oooo0?ooo`09jPX00P3o
ool00`09jPX000000?ooo`020?ooo`802NX:00D0000008UAQP29DHH0RE660000000>08UAQP030000
003oool0oooo01L0oooo0P0000060?ooo`030000003oool0oooo0?l0oooo0P3oool3000002T0oooo
00@000000?ooo`3oool0oooo0`00001:0?ooo`00H03oool400WZ2P030?ooo`09jPX02NX:00802NX:
1@3oool00`09jPX0oooo0?ooo`030?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01`3oool3000000P0
oooo00@02NX:0?ooo`3oool02NX:1@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo
00<02NX:00<0oooo00000009jPX00P09jPX30?ooo`0400000029DHH0RE66000000h0RE6600<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0oooo1@3oool3
000002H0oooo1000001=0?ooo`00G@3oool300WZ2P80oooo1009jPX00`3oool02NX:00WZ2P050?oo
o`0300WZ2P3oool0oooo00<0oooo0P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`@0000000<0oooo
00WZ2P09jPX0203oool01009jPX0oooo0?ooo`3oool200WZ2P<0oooo00<02NX:0?ooo`3oool00`3o
ool500WZ2P050?ooo`09jPX02NX:00WZ2P0000001@3oool01@000000RE6608UAQP29DHH0000000d0
RE6600<000000?ooo`3oool05`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0?l0
oooo203oool300000200oooo1000001@0?ooo`00FP3oool300WZ2P80oooo0`09jPX30?ooo`0300WZ
2P3oool0oooo00802NX:103oool00`09jPX0oooo0?ooo`050?ooo`802NX:00@0oooo000000000000
00001@3oool00`09jPX0oooo00WZ2P070?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?ooo`3o
ool0oooo00WZ2P020?ooo`<02NX:0`3oool300WZ2P@0oooo00<000000?ooo`3oool00P3oool00`00
0000RE6608UAQP0208UAQP0300000029DHH0RE6600X0RE6600<000000?ooo`3oool05`3oool00`00
0000oooo0?ooo`050?ooo`030000003oool0oooo0?l0oooo2`3oool3000001L0oooo1P00001D0?oo
o`00E`3oool300WZ2P030?ooo`09jPX02NX:00802NX:1@3oool00`09jPX0oooo0?ooo`020?ooo`80
2NX:0`3oool00`09jPX0oooo0?ooo`050?ooo`<00000203oool00`09jPX0oooo0?ooo`0200WZ2PD0
oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0300WZ2P80oooo1009jPX70?ooo`03
0000003oool0oooo0080oooo00<0000008UAQP29DHH00P29DHH00`000000RE6608UAQP0:08UAQP03
0000003oool0oooo01L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?ooo`h0
oooo2@0000090?ooo`D00000FP3oool005<0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2P80oooo
00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`0400WZ2P3oool0oooo00WZ2P@0
oooo0`0000000`3oool02NX:00WZ2P080?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool200WZ
2PD0oooo1009jPX0103oool02NX:00WZ2P09jPX<0?ooo`030000003oool0oooo0080oooo00<00000
08UAQP29DHH00P29DHH00`000000RE6608UAQP0908UAQP030000003oool0oooo01L0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oooaP0oooo2@00001O0?ooo`00D03oool300WZ
2P80oooo0`09jPX30?ooo`0300WZ2P3oool0oooo00802NX:103oool00`09jPX0oooo0?ooo`050?oo
o`0400WZ2P3oool02NX:0?ooo`<00000103oool00`09jPX0oooo00WZ2P070?ooo`0300WZ2P3oool0
oooo0080oooo0P09jPX20?ooo`0300WZ2P3oool0oooo00@02NX:0P3oool300WZ2Pl0oooo00<00000
0?ooo`3oool00P3oool00`000000RE6608UAQP0208UAQP0300000029DHH0RE6600T0RE6600<00000
0?ooo`3oool05`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooP03oool0
04d0oooo0`09jPX20?ooo`<02NX:1P3oool00`09jPX0oooo0?ooo`020?ooo`802NX:0P3oool00`09
jPX0oooo0?ooo`060?ooo`<000001`3oool00`09jPX0oooo0?ooo`0200WZ2PD0oooo00<02NX:0?oo
o`3oool00`3oool00`09jPX0oooo0?ooo`0300WZ2P<0oooo0`09jPXC0?ooo`050000003oool0oooo
0?ooo`0000001@29DHH00`000000RE6608UAQP0808UAQP030000003oool0oooo01H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`3o0?oooh00oooo001:0?ooo`<02NX:0P3oool300WZ
2P80oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`030?ooo`0400WZ2P3oool0oooo
00WZ2PD0oooo0`0000000`3oool02NX:00WZ2P070?ooo`0400WZ2P3oool0oooo0?ooo`802NX:103o
ool00`09jPX0oooo0?ooo`030?ooo`@02NX:00<0oooo00WZ2P09jPX00P09jPXG0?ooo`050000003o
ool0oooo0?ooo`0000001029DHH2000000T0RE6600<000000?ooo`3oool05P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo0?l0ooooP03oool004P0oooo0P09jPX00`3oool02NX:00WZ
2P0200WZ2P80oooo00@02NX:0?ooo`3oool0oooo0P09jPX40?ooo`0300WZ2P3oool0oooo00@0oooo
0`09jPX20?ooo`<00000103oool300WZ2PH0oooo00<02NX:0?ooo`3oool00P3oool200WZ2P<0oooo
00<02NX:0?ooo`3oool00`09jPX20?ooo`<02NX:6`3oool01P000000oooo0?ooo`3oool0000008UA
QP<0000000<0RE6600000029DHH02029DHH00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0o`3ooon00?ooo`00B03oool300WZ2PH0oooo00<02NX:0?ooo`3o
ool00P3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00D0oooo00@02NX:00000000
000000001P3oool00`09jPX0oooo0?ooo`0200WZ2PD0oooo00<02NX:0?ooo`3oool00`3oool200WZ
2P030?ooo`09jPX02NX:00802NX:00<0oooo00WZ2P09jPX00P09jPXO0?ooo`030000003oool00000
008000001@29DHH00`000000RE6608UAQP0608UAQP030000003oool0oooo01H0oooo00<000000?oo
o`3oool0103oool200000?l0ooooPP3oool004D0oooo1009jPX00`3oool02NX:00WZ2P050?ooo`03
00WZ2P3oool0oooo00<0oooo0P09jPX20?ooo`0300WZ2P3oool0oooo00<0oooo0`00000200WZ2PL0
oooo00@02NX:0?ooo`3oool0oooo0P09jPX40?ooo`0300WZ2P3oool0oooo00<0oooo1009jPX0103o
ool02NX:00WZ2P09jPXT0?ooo`040000003oool0oooo000000H0RE6600<0000008UAQP29DHH01029
DHH00`000000oooo0?ooo`0G0?ooo`040000003oool0oooo0?ooo`<0000000<0oooo0000003oool0
o`3ooon10?ooo`00@`3oool200WZ2P<0oooo00<02NX:0?ooo`3oool00P09jPX40?ooo`0300WZ2P3o
ool0oooo00@0oooo0`09jPX30?ooo`<000000`3oool300WZ2PH0oooo00<02NX:0?ooo`3oool00P3o
ool200WZ2P<0oooo00<02NX:0?ooo`3oool00`09jPX20?ooo`<02NX:9`3oool01@000000oooo0?oo
o`3oool0000000H0RE6600<0000008UAQP29DHH00`29DHH00`000000oooo0?ooo`0G0?ooo`@00000
0`3oool00`000000oooo0?ooo`3o0?oooh40oooo00110?ooo`802NX:1@3oool01009jPX0oooo0?oo
o`3oool200WZ2P<0oooo00<02NX:0?ooo`3oool01@3oool200WZ2P<000001P3oool01009jPX0oooo
00WZ2P09jPX50?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX20?ooo`<02NX:0P3oool300WZ2R/0
oooo00@000000?ooo`3oool000001`29DHH00`000000RE6608UAQP0208UAQP030000003oool0oooo
01L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oooh40oooo00100?ooo`80
2NX:1P3oool00`09jPX0oooo0?ooo`020?ooo`802NX:0P3oool00`09jPX0oooo0?ooo`040?ooo`<0
000000<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0200WZ2P@0oooo00<02NX:0?ooo`3o
ool00`3oool900WZ2Rl0oooo00@000000?ooo`3oool000001`29DHH01@000000RE6608UAQP29DHH0
000001T0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oooh40oooo00110?oo
o`802NX:1@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool02NX:00<0oooo0`0000020?oo
o`0300WZ2P3oool02NX:00L0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo0?ooo`3oool0
2NX:0080oooo0`09jPX20?ooo`<02NX:=03oool00`000000oooo0000000708UAQP0500000029DHH0
RE6608UAQP000000603oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooPP3o
ool004<0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`<02NX:0`000005
0?ooo`0400WZ2P3oool02NX:00WZ2PH0oooo00<02NX:0?ooo`3oool00P3oool200WZ2P80oooo0`09
jPX20?ooo`<02NX:>03oool00`000000oooo0000000708UAQP0400000029DHH0RE66000001P0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oooh80oooo00140?ooo`0400WZ2P3o
ool0oooo00WZ2PL0oooo0`0000080?ooo`0400WZ2P3oool0oooo0?ooo`802NX:0`3oool00`09jPX0
oooo0?ooo`040?ooo`@02NX:00@0oooo00WZ2P09jPX02NX:?03oool2000000P0RE6600<0000008UA
QP0000005`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0?l0ooooP`3oool004D0
oooo0`09jPX40?ooo`<000000P3oool200WZ2PL0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0
oooo0?ooo`3oool02NX:0080oooo1009jPX00`3oool02NX:00WZ2P0200WZ2Sl0oooo00<000000?oo
o`0000002029DHH2000001L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3o0?oo
oh<0oooo00160?ooo`802NX:00@0oooo00000000000000001@3oool01009jPX0oooo00WZ2P09jPX5
0?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX0103oool02NX:00WZ2P09jPX20?ooo`<02NX:A03o
ool2000000P0RE660`00000F0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0o`3o
oon30?ooo`00A`3oool2000000P0oooo00<02NX:0?ooo`3oool00P09jPX40?ooo`0300WZ2P3oool0
oooo00<0oooo1009jPX0103oool02NX:00WZ2P09jPY80?ooo`8000001029DHH3000000<0oooo00<0
00000?ooo`3oool04P3oool00`000000oooo0?ooo`020?ooo`<00000o`3ooon60?ooo`00A`3oool3
00WZ2PH0oooo00<02NX:0?ooo`3oool00P3oool200WZ2P<0oooo00<02NX:0?ooo`3oool00`09jPX2
0?ooo`<02NX:C03oool00`000000RE6600000002000000L0oooo00<000000?ooo`3oool04@3oool5
00000080oooo00<000000?ooo`3oool0o`3ooon40?ooo`00A`3oool01009jPX0oooo00WZ2P09jPX5
0?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX20?ooo`<02NX:0P3oool300WZ2U00oooo0P00000:
0?ooo`800000403oool2000000D0oooo00<000000?ooo`3oool0o`3ooon50?ooo`00A`3oool01@09
jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool0103oool400WZ2P040?ooo`09jPX0
2NX:00WZ2UD0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0=0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0o`3ooon60?ooo`00A`3oool01009jPX0oooo0?ooo`3o
ool200WZ2P<0oooo00<02NX:0?ooo`3oool01009jPX00`3oool02NX:00WZ2P0200WZ2UT0oooo0P00
000:0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`3o0?ooohL0oooo00170?ooo`0300WZ2P3oool0oooo00<0oooo0P09jPX0103oool02NX:00WZ2P09
jPX20?ooo`<02NX:G`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`3o0?ooohP0oooo00170?ooo`0300WZ2P3oool0
oooo00@0oooo0`09jPX0103oool02NX:00WZ2P09jPYS0?ooo`8000001`3oool5000000L0oooo00@0
00000?ooo`3oool0oooo0`00003o0?oooh/0oooo00170?ooo`0300WZ2P3oool0oooo00D0oooo0`09
jPYX0?ooo`030000003oool0oooo00@000001@3oool400000080oooo1P00003o0?ooohd0oooo0017
0?ooo`0400WZ2P3oool0oooo0?ooo`@02NX:K03oool2000000d0oooo1@00003o0?oooi00oooo0016
0?ooo`0300WZ2P3oool02NX:00802NX:LP3oool3000000L0oooo1@00003o0?oooi<0oooo00160?oo
o`802NX:N03oool3000000030?ooo`000000000000800000o`3ooonG0?ooo`00``3oool200000?l0
ooooVP3oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool0
0?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3o
oomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00
o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?oo
of00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o
0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0oooo
H03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0
ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP
0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3o
oooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00
oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?oo
ool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03o
ool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0oooo
o`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?oo
o`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo
0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo
003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0
ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool0
0?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3o
oomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00
o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?oo
of00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o
0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0oooo
H03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0
ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP
0?ooo`00o`3ooooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3o
oooo0?ooof00oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00o`3ooooo0?ooof00
oooo003o0?ooool0ooooH03oool00?l0ooooo`3ooomP0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 605}, {381, 0}} -> {0.016749, 0.167148, 0.00162625, \
0.00162625}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
ShowSystem[opticalsystemoffaxis, PlotType->TopView, \
ShowGaussian->True];\
\>", "Input",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .3933 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238977 0.00463403 0.150702 0.00463403 [
[.27877 .00936 -3 -4.5 ]
[.27877 .00936 3 4.5 ]
[.78406 .09991 -3 -4.5 ]
[.78406 .09991 3 4.5 ]
[.97619 .3824 -3 -4.5 ]
[.97619 .3824 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .3933 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
0 0 Mdot
grestore
} def
% End of user PostScript
.5 g
.28531 .03485 m
.30194 .03485 L
.30194 .07347 L
.26833 .07347 L
.28531 .03485 L
F
.26833 .07347 m
.30194 .07347 L
.30194 .11209 L
.25872 .11209 L
.26833 .07347 L
F
.25872 .11209 m
.30194 .11209 L
.30194 .1507 L
.2556 .1507 L
.25872 .11209 L
F
.2556 .1507 m
.30194 .1507 L
.30194 .18932 L
.25872 .18932 L
.2556 .1507 L
F
.25872 .18932 m
.30194 .18932 L
.30194 .22794 L
.26833 .22794 L
.25872 .18932 L
F
.26833 .22794 m
.30194 .22794 L
.30194 .26655 L
.28531 .26655 L
.26833 .22794 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.28531 .03485 m
.26833 .07347 L
.25872 .11209 L
.2556 .1507 L
.25872 .18932 L
.26833 .22794 L
.28531 .26655 L
.30194 .26655 L
.30194 .22794 L
.30194 .18932 L
.30194 .1507 L
.30194 .11209 L
.30194 .07347 L
.30194 .03485 L
.28531 .03485 L
s
.5 g
.28531 .1507 m
.30194 .1507 L
.30194 .1507 L
.26833 .1507 L
.28531 .1507 L
F
.26833 .1507 m
.30194 .1507 L
.30194 .1507 L
.25872 .1507 L
.26833 .1507 L
F
.25872 .1507 m
.30194 .1507 L
.30194 .1507 L
.2556 .1507 L
.25872 .1507 L
F
.2556 .1507 m
.30194 .1507 L
.30194 .1507 L
.25872 .1507 L
.2556 .1507 L
F
.25872 .1507 m
.30194 .1507 L
.30194 .1507 L
.26833 .1507 L
.25872 .1507 L
F
.26833 .1507 m
.30194 .1507 L
.30194 .1507 L
.28531 .1507 L
.26833 .1507 L
F
0 g
.28531 .1507 m
.26833 .1507 L
.25872 .1507 L
.2556 .1507 L
.25872 .1507 L
.26833 .1507 L
.28531 .1507 L
.30194 .1507 L
.30194 .1507 L
.30194 .1507 L
.30194 .1507 L
.30194 .1507 L
.30194 .1507 L
.30194 .1507 L
.28531 .1507 L
s
.28531 .26655 m
.30194 .26655 L
.30194 .26261 L
.28531 .26261 L
.28531 .26655 L
s
.28531 .26261 m
.30194 .26261 L
.30194 .25103 L
.28531 .25103 L
.28531 .26261 L
s
.28531 .25103 m
.30194 .25103 L
.30194 .23262 L
.28531 .23262 L
.28531 .25103 L
s
.28531 .23262 m
.30194 .23262 L
.30194 .20863 L
.28531 .20863 L
.28531 .23262 L
s
.28531 .20863 m
.30194 .20863 L
.30194 .18069 L
.28531 .18069 L
.28531 .20863 L
s
.28531 .18069 m
.30194 .18069 L
.30194 .1507 L
.28531 .1507 L
.28531 .18069 L
s
.28531 .1507 m
.30194 .1507 L
.30194 .12072 L
.28531 .12072 L
.28531 .1507 L
s
.28531 .12072 m
.30194 .12072 L
.30194 .09278 L
.28531 .09278 L
.28531 .12072 L
s
.28531 .09278 m
.30194 .09278 L
.30194 .06878 L
.28531 .06878 L
.28531 .09278 L
s
.28531 .06878 m
.30194 .06878 L
.30194 .05037 L
.28531 .05037 L
.28531 .06878 L
s
.28531 .05037 m
.30194 .05037 L
.30194 .0388 L
.28531 .0388 L
.28531 .05037 L
s
.28531 .0388 m
.30194 .0388 L
.30194 .03485 L
.28531 .03485 L
.28531 .0388 L
s
.28531 .03485 m
.30194 .03485 L
.30194 .0388 L
.28531 .0388 L
.28531 .03485 L
s
.28531 .0388 m
.30194 .0388 L
.30194 .05037 L
.28531 .05037 L
.28531 .0388 L
s
.28531 .05037 m
.30194 .05037 L
.30194 .06878 L
.28531 .06878 L
.28531 .05037 L
s
.28531 .06878 m
.30194 .06878 L
.30194 .09278 L
.28531 .09278 L
.28531 .06878 L
s
.28531 .09278 m
.30194 .09278 L
.30194 .12072 L
.28531 .12072 L
.28531 .09278 L
s
.28531 .12072 m
.30194 .12072 L
.30194 .1507 L
.28531 .1507 L
.28531 .12072 L
s
.28531 .1507 m
.30194 .1507 L
.30194 .18069 L
.28531 .18069 L
.28531 .1507 L
s
.28531 .18069 m
.30194 .18069 L
.30194 .20863 L
.28531 .20863 L
.28531 .18069 L
s
.28531 .20863 m
.30194 .20863 L
.30194 .23262 L
.28531 .23262 L
.28531 .20863 L
s
.28531 .23262 m
.30194 .23262 L
.30194 .25103 L
.28531 .25103 L
.28531 .23262 L
s
.28531 .25103 m
.30194 .25103 L
.30194 .26261 L
.28531 .26261 L
.28531 .25103 L
s
.28531 .26261 m
.30194 .26261 L
.30194 .26655 L
.28531 .26655 L
.28531 .26261 L
s
.5 g
.80209 .11793 m
.80209 .11793 L
.81301 .12886 L
.81301 .12886 L
.80209 .11793 L
F
.81301 .12886 m
.81301 .12886 L
.82393 .13978 L
.82393 .13978 L
.81301 .12886 L
F
.82393 .13978 m
.82393 .13978 L
.83485 .1507 L
.83485 .1507 L
.82393 .13978 L
F
.83485 .1507 m
.83485 .1507 L
.84578 .16162 L
.84578 .16162 L
.83485 .1507 L
F
.84578 .16162 m
.84578 .16162 L
.8567 .17255 L
.8567 .17255 L
.84578 .16162 L
F
.8567 .17255 m
.8567 .17255 L
.86762 .18347 L
.86762 .18347 L
.8567 .17255 L
F
0 g
.80209 .11793 m
.81301 .12886 L
.82393 .13978 L
.83485 .1507 L
.84578 .16162 L
.8567 .17255 L
.86762 .18347 L
.86762 .18347 L
.8567 .17255 L
.84578 .16162 L
.83485 .1507 L
.82393 .13978 L
.81301 .12886 L
.80209 .11793 L
.80209 .11793 L
s
.5 g
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
0 g
.83485 .1507 m
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
s
.5 g
.83485 .1507 m
.84578 .16162 L
.8454 .16125 L
.83485 .1507 L
.83485 .1507 L
F
.84578 .16162 m
.8567 .17255 L
.85595 .1718 L
.8454 .16125 L
.84578 .16162 L
F
.8567 .17255 m
.86762 .18347 L
.8665 .18235 L
.85595 .1718 L
.8567 .17255 L
F
.83485 .1507 m
.8454 .16125 L
.84431 .16016 L
.83485 .1507 L
.83485 .1507 L
F
.8454 .16125 m
.85595 .1718 L
.85377 .16962 L
.84431 .16016 L
.8454 .16125 L
F
.85595 .1718 m
.8665 .18235 L
.86323 .17908 L
.85377 .16962 L
.85595 .1718 L
F
.83485 .1507 m
.84431 .16016 L
.84258 .15843 L
.83485 .1507 L
.83485 .1507 L
F
.84431 .16016 m
.85377 .16962 L
.8503 .16615 L
.84258 .15843 L
.84431 .16016 L
F
.85377 .16962 m
.86323 .17908 L
.85802 .17387 L
.8503 .16615 L
.85377 .16962 L
F
.83485 .1507 m
.84258 .15843 L
.84031 .15616 L
.83485 .1507 L
.83485 .1507 L
F
.84258 .15843 m
.8503 .16615 L
.84578 .16162 L
.84031 .15616 L
.84258 .15843 L
F
.8503 .16615 m
.85802 .17387 L
.85124 .16709 L
.84578 .16162 L
.8503 .16615 L
F
.83485 .1507 m
.84031 .15616 L
.83768 .15353 L
.83485 .1507 L
.83485 .1507 L
F
.84031 .15616 m
.84578 .16162 L
.84051 .15636 L
.83768 .15353 L
.84031 .15616 L
F
.84578 .16162 m
.85124 .16709 L
.84333 .15918 L
.84051 .15636 L
.84578 .16162 L
F
.83485 .1507 m
.83768 .15353 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83768 .15353 m
.84051 .15636 L
.83485 .1507 L
.83485 .1507 L
.83768 .15353 L
F
.84051 .15636 m
.84333 .15918 L
.83485 .1507 L
.83485 .1507 L
.84051 .15636 L
F
.83485 .1507 m
.83485 .1507 L
.83203 .14788 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.8292 .14505 L
.83203 .14788 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.82637 .14222 L
.8292 .14505 L
.83485 .1507 L
F
.83485 .1507 m
.83203 .14788 L
.82939 .14524 L
.83485 .1507 L
.83485 .1507 L
F
.83203 .14788 m
.8292 .14505 L
.82393 .13978 L
.82939 .14524 L
.83203 .14788 L
F
.8292 .14505 m
.82637 .14222 L
.81847 .13432 L
.82393 .13978 L
.8292 .14505 L
F
.83485 .1507 m
.82939 .14524 L
.82713 .14298 L
.83485 .1507 L
.83485 .1507 L
F
.82939 .14524 m
.82393 .13978 L
.81941 .13526 L
.82713 .14298 L
.82939 .14524 L
F
.82393 .13978 m
.81847 .13432 L
.81168 .12753 L
.81941 .13526 L
.82393 .13978 L
F
.83485 .1507 m
.82713 .14298 L
.82539 .14124 L
.83485 .1507 L
.83485 .1507 L
F
.82713 .14298 m
.81941 .13526 L
.81593 .13178 L
.82539 .14124 L
.82713 .14298 L
F
.81941 .13526 m
.81168 .12753 L
.80648 .12232 L
.81593 .13178 L
.81941 .13526 L
F
.83485 .1507 m
.82539 .14124 L
.8243 .14015 L
.83485 .1507 L
.83485 .1507 L
F
.82539 .14124 m
.81593 .13178 L
.81375 .1296 L
.8243 .14015 L
.82539 .14124 L
F
.81593 .13178 m
.80648 .12232 L
.8032 .11905 L
.81375 .1296 L
.81593 .13178 L
F
.83485 .1507 m
.8243 .14015 L
.82393 .13978 L
.83485 .1507 L
.83485 .1507 L
F
.8243 .14015 m
.81375 .1296 L
.81301 .12886 L
.82393 .13978 L
.8243 .14015 L
F
.81375 .1296 m
.8032 .11905 L
.80209 .11793 L
.81301 .12886 L
.81375 .1296 L
F
.83485 .1507 m
.82393 .13978 L
.8243 .14015 L
.83485 .1507 L
.83485 .1507 L
F
.82393 .13978 m
.81301 .12886 L
.81375 .1296 L
.8243 .14015 L
.82393 .13978 L
F
.81301 .12886 m
.80209 .11793 L
.8032 .11905 L
.81375 .1296 L
.81301 .12886 L
F
.83485 .1507 m
.8243 .14015 L
.82539 .14124 L
.83485 .1507 L
.83485 .1507 L
F
.8243 .14015 m
.81375 .1296 L
.81593 .13178 L
.82539 .14124 L
.8243 .14015 L
F
.81375 .1296 m
.8032 .11905 L
.80648 .12232 L
.81593 .13178 L
.81375 .1296 L
F
.83485 .1507 m
.82539 .14124 L
.82713 .14298 L
.83485 .1507 L
.83485 .1507 L
F
.82539 .14124 m
.81593 .13178 L
.81941 .13526 L
.82713 .14298 L
.82539 .14124 L
F
.81593 .13178 m
.80648 .12232 L
.81168 .12753 L
.81941 .13526 L
.81593 .13178 L
F
.83485 .1507 m
.82713 .14298 L
.82939 .14524 L
.83485 .1507 L
.83485 .1507 L
F
.82713 .14298 m
.81941 .13526 L
.82393 .13978 L
.82939 .14524 L
.82713 .14298 L
F
.81941 .13526 m
.81168 .12753 L
.81847 .13432 L
.82393 .13978 L
.81941 .13526 L
F
.83485 .1507 m
.82939 .14524 L
.83203 .14788 L
.83485 .1507 L
.83485 .1507 L
F
.82939 .14524 m
.82393 .13978 L
.8292 .14505 L
.83203 .14788 L
.82939 .14524 L
F
.82393 .13978 m
.81847 .13432 L
.82637 .14222 L
.8292 .14505 L
.82393 .13978 L
F
.83485 .1507 m
.83203 .14788 L
.83485 .1507 L
.83485 .1507 L
.83485 .1507 L
F
.83203 .14788 m
.8292 .14505 L
.83485 .1507 L
.83485 .1507 L
.83203 .14788 L
F
.8292 .14505 m
.82637 .14222 L
.83485 .1507 L
.83485 .1507 L
.8292 .14505 L
F
.83485 .1507 m
.83485 .1507 L
.83768 .15353 L
.83485 .1507 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.84051 .15636 L
.83768 .15353 L
.83485 .1507 L
F
.83485 .1507 m
.83485 .1507 L
.84333 .15918 L
.84051 .15636 L
.83485 .1507 L
F
.83485 .1507 m
.83768 .15353 L
.84031 .15616 L
.83485 .1507 L
.83485 .1507 L
F
.83768 .15353 m
.84051 .15636 L
.84578 .16162 L
.84031 .15616 L
.83768 .15353 L
F
.84051 .15636 m
.84333 .15918 L
.85124 .16709 L
.84578 .16162 L
.84051 .15636 L
F
.83485 .1507 m
.84031 .15616 L
.84258 .15843 L
.83485 .1507 L
.83485 .1507 L
F
.84031 .15616 m
.84578 .16162 L
.8503 .16615 L
.84258 .15843 L
.84031 .15616 L
F
.84578 .16162 m
.85124 .16709 L
.85802 .17387 L
.8503 .16615 L
.84578 .16162 L
F
.83485 .1507 m
.84258 .15843 L
.84431 .16016 L
.83485 .1507 L
.83485 .1507 L
F
.84258 .15843 m
.8503 .16615 L
.85377 .16962 L
.84431 .16016 L
.84258 .15843 L
F
.8503 .16615 m
.85802 .17387 L
.86323 .17908 L
.85377 .16962 L
.8503 .16615 L
F
.83485 .1507 m
.84431 .16016 L
.8454 .16125 L
.83485 .1507 L
.83485 .1507 L
F
.84431 .16016 m
.85377 .16962 L
.85595 .1718 L
.8454 .16125 L
.84431 .16016 L
F
.85377 .16962 m
.86323 .17908 L
.8665 .18235 L
.85595 .1718 L
.85377 .16962 L
F
.83485 .1507 m
.8454 .16125 L
.84578 .16162 L
.83485 .1507 L
.83485 .1507 L
F
.8454 .16125 m
.85595 .1718 L
.8567 .17255 L
.84578 .16162 L
.8454 .16125 L
F
.85595 .1718 m
.8665 .18235 L
.86762 .18347 L
.8567 .17255 L
.85595 .1718 L
F
0 g
.86762 .18347 m
.8665 .18235 L
.86323 .17908 L
.85802 .17387 L
.85124 .16709 L
.84333 .15918 L
.83485 .1507 L
.82637 .14222 L
.81847 .13432 L
.81168 .12753 L
.80648 .12232 L
.8032 .11905 L
.80209 .11793 L
.8032 .11905 L
.80648 .12232 L
.81168 .12753 L
.81847 .13432 L
.82637 .14222 L
.83485 .1507 L
.84333 .15918 L
.85124 .16709 L
.85802 .17387 L
.86323 .17908 L
.8665 .18235 L
.86762 .18347 L
s
.9507 .3824 m
.91209 .3824 L
.87347 .3824 L
.83485 .3824 L
.79624 .3824 L
.75762 .3824 L
.719 .3824 L
.719 .3824 L
.75762 .3824 L
.79624 .3824 L
.83485 .3824 L
.87347 .3824 L
.91209 .3824 L
.9507 .3824 L
.9507 .3824 L
s
.83485 .3824 m
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
.83485 .3824 L
s
.719 .3824 m
.72295 .3824 L
.73452 .3824 L
.75293 .3824 L
.77693 .3824 L
.80487 .3824 L
.83485 .3824 L
.86484 .3824 L
.89278 .3824 L
.91677 .3824 L
.93518 .3824 L
.94676 .3824 L
.9507 .3824 L
.94676 .3824 L
.93518 .3824 L
.91677 .3824 L
.89278 .3824 L
.86484 .3824 L
.83485 .3824 L
.80487 .3824 L
.77693 .3824 L
.75293 .3824 L
.73452 .3824 L
.72295 .3824 L
.719 .3824 L
s
0 0 0 r
[(L)] .27877 .00936 0 0 Mshowa
[(M)] .78406 .09991 0 0 Mshowa
[(S)] .97619 .3824 0 0 Mshowa
.039 .916 .04 r
1 Mabswid
.0239 .22021 m
.03785 .22028 L
.05181 .22035 L
.06577 .22042 L
.07972 .22049 L
.09368 .22056 L
.10763 .22063 L
.12159 .2207 L
.13555 .22077 L
.1495 .22084 L
.16346 .22091 L
.17741 .22098 L
.19137 .22105 L
.20533 .22112 L
.21928 .22119 L
.23324 .22126 L
.24719 .22133 L
.26278 .2215 L
.27668 .22011 L
.29057 .21873 L
.30526 .21716 L
.31907 .21505 L
.33289 .21295 L
.3467 .21084 L
.36052 .20874 L
.37433 .20663 L
.38814 .20453 L
.40196 .20242 L
.41577 .20032 L
.42958 .19821 L
.4434 .1961 L
.45721 .194 L
.47103 .19189 L
.48484 .18979 L
.49865 .18768 L
.51247 .18558 L
.52628 .18347 L
.5401 .18137 L
.55391 .17926 L
.56772 .17716 L
.58154 .17505 L
.59535 .17295 L
.60916 .17084 L
.62298 .16874 L
.63679 .16663 L
.65061 .16453 L
.66442 .16242 L
.67823 .16032 L
.69205 .15821 L
.70586 .15611 L
Mistroke
.71968 .154 L
.73349 .1519 L
.7473 .14979 L
.76112 .14769 L
.77504 .14664 L
.78899 .14592 L
.80295 .14519 L
.8169 .14447 L
.82131 .14604 L
.81921 .15985 L
.8171 .17366 L
.815 .18748 L
.81289 .20129 L
.81078 .2151 L
.80868 .22892 L
.80657 .24273 L
.80447 .25655 L
.80236 .27036 L
.80026 .28417 L
.79815 .29799 L
.79605 .3118 L
.79394 .32562 L
.79184 .33943 L
.78973 .35324 L
.78763 .36706 L
.78552 .38087 L
Mfstroke
.0239 .17387 m
.03785 .1738 L
.05181 .17373 L
.06577 .17366 L
.07972 .17359 L
.09368 .17352 L
.10763 .17345 L
.12159 .17338 L
.13555 .17331 L
.1495 .17324 L
.16346 .17317 L
.17741 .1731 L
.19137 .17303 L
.20533 .17297 L
.21928 .1729 L
.23324 .17283 L
.24719 .17276 L
.25951 .17245 L
.27346 .17197 L
.28742 .1715 L
.30058 .17114 L
.31453 .17042 L
.32849 .1697 L
.34244 .16898 L
.3564 .16826 L
.37035 .16754 L
.38431 .16682 L
.39826 .1661 L
.41222 .16538 L
.42617 .16465 L
.44012 .16393 L
.45408 .16321 L
.46803 .16249 L
.48199 .16177 L
.49594 .16105 L
.5099 .16033 L
.52385 .15961 L
.53781 .15889 L
.55176 .15817 L
.56572 .15745 L
.57967 .15673 L
.59363 .15601 L
.60758 .15528 L
.62154 .15456 L
.63549 .15384 L
.64945 .15312 L
.6634 .1524 L
.67736 .15168 L
.69131 .15096 L
.70526 .15024 L
Mistroke
.71922 .14952 L
.73317 .1488 L
.74713 .14808 L
.76108 .14736 L
.77493 .14558 L
.78874 .14348 L
.80256 .14137 L
.81637 .13927 L
.8279 .14671 L
.82718 .16066 L
.82646 .17462 L
.82574 .18857 L
.82502 .20253 L
.8243 .21648 L
.82358 .23043 L
.82286 .24439 L
.82214 .25834 L
.82142 .2723 L
.8207 .28625 L
.81998 .30021 L
.81925 .31416 L
.81853 .32812 L
.81781 .34207 L
.81709 .35603 L
.81637 .36998 L
.81565 .38394 L
Mfstroke
.0239 .19704 m
.03785 .19704 L
.05181 .19704 L
.06577 .19704 L
.07972 .19704 L
.09368 .19704 L
.10763 .19704 L
.12159 .19704 L
.13555 .19704 L
.1495 .19704 L
.16346 .19704 L
.17741 .19704 L
.19137 .19704 L
.20533 .19704 L
.21928 .19704 L
.23324 .19704 L
.24719 .19704 L
.26115 .19697 L
.27507 .19604 L
.289 .19511 L
.30292 .19415 L
.3168 .19274 L
.33069 .19132 L
.34457 .18991 L
.35846 .1885 L
.37234 .18708 L
.38622 .18567 L
.40011 .18426 L
.41399 .18285 L
.42788 .18143 L
.44176 .18002 L
.45565 .17861 L
.46953 .17719 L
.48341 .17578 L
.4973 .17437 L
.51118 .17295 L
.52507 .17154 L
.53895 .17013 L
.55284 .16872 L
.56672 .1673 L
.5806 .16589 L
.59449 .16448 L
.60837 .16306 L
.62226 .16165 L
.63614 .16024 L
.65003 .15883 L
.66391 .15741 L
.67779 .156 L
.69168 .15459 L
.70556 .15317 L
Mistroke
.71945 .15176 L
.73333 .15035 L
.74722 .14893 L
.7611 .14752 L
.77498 .14611 L
.78887 .1447 L
.80275 .14328 L
.81664 .14187 L
.82461 .14637 L
.82319 .16026 L
.82178 .17414 L
.82037 .18802 L
.81896 .20191 L
.81754 .21579 L
.81613 .22968 L
.81472 .24356 L
.8133 .25745 L
.81189 .27133 L
.81048 .28521 L
.80906 .2991 L
.80765 .31298 L
.80624 .32687 L
.80483 .34075 L
.80341 .35464 L
.802 .36852 L
.80059 .3824 L
Mfstroke
.0239 .19704 m
.03785 .19704 L
.05181 .19704 L
.06577 .19704 L
.07972 .19704 L
.09368 .19704 L
.10763 .19704 L
.12159 .19704 L
.13555 .19704 L
.1495 .19704 L
.16346 .19704 L
.17741 .19704 L
.19137 .19704 L
.20533 .19704 L
.21928 .19704 L
.23324 .19704 L
.24719 .19704 L
.26115 .19697 L
.27507 .19604 L
.289 .19511 L
.30292 .19415 L
.3168 .19274 L
.33069 .19132 L
.34457 .18991 L
.35846 .1885 L
.37234 .18708 L
.38622 .18567 L
.40011 .18426 L
.41399 .18285 L
.42788 .18143 L
.44176 .18002 L
.45565 .17861 L
.46953 .17719 L
.48341 .17578 L
.4973 .17437 L
.51118 .17295 L
.52507 .17154 L
.53895 .17013 L
.55284 .16872 L
.56672 .1673 L
.5806 .16589 L
.59449 .16448 L
.60837 .16306 L
.62226 .16165 L
.63614 .16024 L
.65003 .15883 L
.66391 .15741 L
.67779 .156 L
.69168 .15459 L
.70556 .15317 L
Mistroke
.71945 .15176 L
.73333 .15035 L
.74722 .14893 L
.7611 .14752 L
.77498 .14611 L
.78887 .1447 L
.80275 .14328 L
.81664 .14187 L
.82461 .14637 L
.82319 .16026 L
.82178 .17414 L
.82037 .18802 L
.81896 .20191 L
.81754 .21579 L
.81613 .22968 L
.81472 .24356 L
.8133 .25745 L
.81189 .27133 L
.81048 .28521 L
.80906 .2991 L
.80765 .31298 L
.80624 .32687 L
.80483 .34075 L
.80341 .35464 L
.802 .36852 L
.80059 .3824 L
Mfstroke
0 0 0 r
.0239 .19704 m
.2601 .19704 L
s
% Start of user PostScript
0 10. 50.9716 10. MAarrowhead1
% End of user PostScript
.2601 .19704 m
.30194 .19425 L
s
% Start of user PostScript
50.9716 10. 60. 9.39709 MAarrowhead1
% End of user PostScript
.30194 .19425 m
.82515 .141 L
s
% Start of user PostScript
60. 9.39709 172.907 -2.09305 MAarrowhead1
% End of user PostScript
.82515 .141 m
.80059 .3824 L
s
% Start of user PostScript
172.907 -2.09305 167.606 50. MAarrowhead1
% End of user PostScript
.80059 .3824 m
.80059 .3824 L
s
% Start of user PostScript
167.606 50. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .17619 m
.02382 .17758 L
.02383 .17897 L
.02384 .18036 L
.02385 .18175 L
.02386 .18314 L
.02387 .18453 L
.02387 .18592 L
.02388 .18731 L
.02388 .1887 L
.02389 .19009 L
.02389 .19148 L
.02389 .19287 L
.0239 .19426 L
.0239 .19565 L
.0239 .19704 L
.0239 .19843 L
.0239 .19982 L
.02389 .20121 L
.02389 .2026 L
.02389 .20399 L
.02388 .20538 L
.02388 .20677 L
.02387 .20816 L
.02387 .20955 L
.02386 .21094 L
.02385 .21233 L
.02384 .21372 L
.02383 .21512 L
.02382 .21651 L
.02381 .2179 L
s
.04474 .1761 m
.04475 .17749 L
.04477 .17889 L
.04477 .18028 L
.04478 .18168 L
.04479 .18308 L
.0448 .18447 L
.04481 .18587 L
.04481 .18727 L
.04482 .18866 L
.04482 .19006 L
.04483 .19146 L
.04483 .19285 L
.04483 .19425 L
.04483 .19565 L
.04483 .19704 L
.04483 .19844 L
.04483 .19984 L
.04483 .20123 L
.04483 .20263 L
.04482 .20402 L
.04482 .20542 L
.04481 .20682 L
.04481 .20821 L
.0448 .20961 L
.04479 .21101 L
.04478 .2124 L
.04477 .2138 L
.04477 .2152 L
.04475 .21659 L
.04474 .21799 L
s
.06568 .176 m
.06569 .1774 L
.0657 .17881 L
.06571 .18021 L
.06572 .18161 L
.06573 .18301 L
.06573 .18442 L
.06574 .18582 L
.06575 .18722 L
.06575 .18863 L
.06576 .19003 L
.06576 .19143 L
.06576 .19283 L
.06576 .19424 L
.06577 .19564 L
.06577 .19704 L
.06577 .19845 L
.06576 .19985 L
.06576 .20125 L
.06576 .20265 L
.06576 .20406 L
.06575 .20546 L
.06575 .20686 L
.06574 .20826 L
.06573 .20967 L
.06573 .21107 L
.06572 .21247 L
.06571 .21388 L
.0657 .21528 L
.06569 .21668 L
.06568 .21808 L
s
.08661 .17591 m
.08662 .17732 L
.08663 .17872 L
.08664 .18013 L
.08665 .18154 L
.08666 .18295 L
.08667 .18436 L
.08667 .18577 L
.08668 .18718 L
.08669 .18859 L
.08669 .19 L
.08669 .19141 L
.0867 .19282 L
.0867 .19422 L
.0867 .19563 L
.0867 .19704 L
.0867 .19845 L
.0867 .19986 L
.0867 .20127 L
.08669 .20268 L
.08669 .20409 L
.08669 .2055 L
.08668 .20691 L
.08667 .20831 L
.08667 .20972 L
.08666 .21113 L
.08665 .21254 L
.08664 .21395 L
.08663 .21536 L
.08662 .21677 L
.08661 .21818 L
s
.10754 .17581 m
.10756 .17723 L
.10757 .17864 L
.10758 .18006 L
.10759 .18147 L
.10759 .18289 L
.1076 .1843 L
.10761 .18572 L
.10761 .18714 L
.10762 .18855 L
.10762 .18997 L
.10763 .19138 L
.10763 .1928 L
.10763 .19421 L
.10763 .19563 L
.10763 .19704 L
.10763 .19846 L
.10763 .19987 L
.10763 .20129 L
.10763 .2027 L
.10762 .20412 L
.10762 .20553 L
.10761 .20695 L
.10761 .20837 L
.1076 .20978 L
.10759 .2112 L
.10759 .21261 L
.10758 .21403 L
.10757 .21544 L
.10756 .21686 L
.10754 .21827 L
s
.12848 .17572 m
.12849 .17714 L
.1285 .17856 L
.12851 .17998 L
.12852 .1814 L
.12853 .18283 L
.12854 .18425 L
.12854 .18567 L
.12855 .18709 L
.12855 .18851 L
.12856 .18993 L
.12856 .19136 L
.12856 .19278 L
.12857 .1942 L
.12857 .19562 L
.12857 .19704 L
.12857 .19846 L
.12857 .19989 L
.12856 .20131 L
.12856 .20273 L
.12856 .20415 L
.12855 .20557 L
.12855 .20699 L
.12854 .20842 L
.12854 .20984 L
.12853 .21126 L
.12852 .21268 L
.12851 .2141 L
.1285 .21552 L
.12849 .21694 L
.12848 .21837 L
s
.14941 .17562 m
.14942 .17705 L
.14943 .17848 L
.14944 .17991 L
.14945 .18134 L
.14946 .18276 L
.14947 .18419 L
.14948 .18562 L
.14948 .18705 L
.14949 .18848 L
.14949 .1899 L
.1495 .19133 L
.1495 .19276 L
.1495 .19419 L
.1495 .19561 L
.1495 .19704 L
.1495 .19847 L
.1495 .1999 L
.1495 .20133 L
.1495 .20275 L
.14949 .20418 L
.14949 .20561 L
.14948 .20704 L
.14948 .20847 L
.14947 .20989 L
.14946 .21132 L
.14945 .21275 L
.14944 .21418 L
.14943 .2156 L
.14942 .21703 L
.14941 .21846 L
s
.17034 .17553 m
.17036 .17696 L
.17037 .1784 L
.17038 .17983 L
.17039 .18127 L
.1704 .1827 L
.1704 .18413 L
.17041 .18557 L
.17042 .187 L
.17042 .18844 L
.17043 .18987 L
.17043 .19131 L
.17043 .19274 L
.17043 .19417 L
.17044 .19561 L
.17044 .19704 L
.17044 .19848 L
.17043 .19991 L
.17043 .20134 L
.17043 .20278 L
.17043 .20421 L
.17042 .20565 L
.17042 .20708 L
.17041 .20852 L
.1704 .20995 L
.1704 .21138 L
.17039 .21282 L
.17038 .21425 L
.17037 .21569 L
.17036 .21712 L
.17034 .21855 L
s
.19128 .17544 m
.19129 .17688 L
.1913 .17832 L
.19131 .17976 L
.19132 .1812 L
.19133 .18264 L
.19134 .18408 L
.19134 .18552 L
.19135 .18696 L
.19135 .1884 L
.19136 .18984 L
.19136 .19128 L
.19137 .19272 L
.19137 .19416 L
.19137 .1956 L
.19137 .19704 L
.19137 .19848 L
.19137 .19992 L
.19137 .20136 L
.19136 .2028 L
.19136 .20424 L
.19135 .20569 L
.19135 .20713 L
.19134 .20857 L
.19134 .21001 L
.19133 .21145 L
.19132 .21289 L
.19131 .21433 L
.1913 .21577 L
.19129 .21721 L
.19128 .21865 L
s
.21221 .17534 m
.21222 .17679 L
.21223 .17823 L
.21224 .17968 L
.21225 .18113 L
.21226 .18258 L
.21227 .18402 L
.21228 .18547 L
.21228 .18692 L
.21229 .18836 L
.21229 .18981 L
.2123 .19126 L
.2123 .1927 L
.2123 .19415 L
.2123 .1956 L
.2123 .19704 L
.2123 .19849 L
.2123 .19994 L
.2123 .20138 L
.2123 .20283 L
.21229 .20428 L
.21229 .20572 L
.21228 .20717 L
.21228 .20862 L
.21227 .21006 L
.21226 .21151 L
.21225 .21296 L
.21224 .2144 L
.21223 .21585 L
.21222 .2173 L
.21221 .21874 L
s
.23315 .17525 m
.23316 .1767 L
.23317 .17815 L
.23318 .17961 L
.23319 .18106 L
.2332 .18251 L
.2332 .18397 L
.23321 .18542 L
.23322 .18687 L
.23322 .18832 L
.23323 .18978 L
.23323 .19123 L
.23323 .19268 L
.23324 .19414 L
.23324 .19559 L
.23324 .19704 L
.23324 .1985 L
.23324 .19995 L
.23323 .2014 L
.23323 .20285 L
.23323 .20431 L
.23322 .20576 L
.23322 .20721 L
.23321 .20867 L
.2332 .21012 L
.2332 .21157 L
.23319 .21303 L
.23318 .21448 L
.23317 .21593 L
.23316 .21738 L
.23315 .21884 L
s
.25408 .17515 m
.25409 .17661 L
.2541 .17807 L
.25411 .17953 L
.25412 .18099 L
.25413 .18245 L
.25414 .18391 L
.25415 .18537 L
.25415 .18683 L
.25416 .18829 L
.25416 .18975 L
.25416 .19121 L
.25417 .19266 L
.25417 .19412 L
.25417 .19558 L
.25417 .19704 L
.25417 .1985 L
.25417 .19996 L
.25417 .20142 L
.25416 .20288 L
.25416 .20434 L
.25416 .2058 L
.25415 .20726 L
.25415 .20872 L
.25414 .21018 L
.25413 .21164 L
.25412 .21309 L
.25411 .21455 L
.2541 .21601 L
.25409 .21747 L
.25408 .21893 L
s
.27402 .17435 m
.27407 .1758 L
.27411 .17725 L
.27417 .17869 L
.27422 .18014 L
.27428 .18159 L
.27435 .18303 L
.27441 .18448 L
.27448 .18593 L
.27456 .18737 L
.27463 .18882 L
.27471 .19026 L
.2748 .19171 L
.27489 .19315 L
.27498 .1946 L
.27507 .19604 L
.27517 .19749 L
.27527 .19893 L
.27538 .20037 L
.27549 .20182 L
.2756 .20326 L
.27571 .2047 L
.27583 .20615 L
.27596 .20759 L
.27608 .20903 L
.27621 .21047 L
.27635 .21192 L
.27648 .21336 L
.27662 .2148 L
.27677 .21624 L
.27691 .21768 L
s
.29494 .17357 m
.29498 .17498 L
.29503 .17639 L
.29508 .17779 L
.29513 .1792 L
.29519 .1806 L
.29525 .18201 L
.29532 .18341 L
.29539 .18482 L
.29546 .18622 L
.29553 .18763 L
.29561 .18903 L
.29569 .19044 L
.29578 .19184 L
.29587 .19324 L
.29596 .19465 L
.29605 .19605 L
.29615 .19745 L
.29626 .19886 L
.29636 .20026 L
.29647 .20166 L
.29658 .20306 L
.2967 .20447 L
.29682 .20587 L
.29694 .20727 L
.29707 .20867 L
.2972 .21007 L
.29733 .21147 L
.29747 .21287 L
.29761 .21427 L
.29775 .21567 L
s
.31561 .17257 m
.31563 .17392 L
.31567 .17527 L
.31571 .17661 L
.31576 .17796 L
.31582 .17931 L
.31588 .18065 L
.31595 .182 L
.31603 .18334 L
.31612 .18469 L
.31622 .18603 L
.31632 .18737 L
.31643 .18872 L
.31655 .19006 L
.31667 .1914 L
.3168 .19274 L
.31694 .19407 L
.31709 .19541 L
.31725 .19675 L
.31741 .19809 L
.31758 .19942 L
.31776 .20076 L
.31794 .20209 L
.31813 .20342 L
.31833 .20476 L
.31854 .20609 L
.31876 .20742 L
.31898 .20875 L
.31921 .21008 L
.31945 .21141 L
.31969 .21273 L
s
.33649 .17138 m
.33651 .17267 L
.33655 .17396 L
.33659 .17524 L
.33663 .17653 L
.33669 .17781 L
.33675 .1791 L
.33682 .18038 L
.3369 .18166 L
.33698 .18294 L
.33707 .18422 L
.33717 .1855 L
.33727 .18678 L
.33738 .18806 L
.3375 .18934 L
.33763 .19062 L
.33776 .19189 L
.3379 .19317 L
.33805 .19444 L
.33821 .19572 L
.33837 .19699 L
.33854 .19826 L
.33872 .19953 L
.3389 .20081 L
.33909 .20208 L
.33929 .20335 L
.33949 .20462 L
.33971 .20588 L
.33993 .20715 L
.34015 .20842 L
.34039 .20968 L
s
.35737 .1702 m
.3574 .17143 L
.35743 .17265 L
.35746 .17388 L
.35751 .1751 L
.35756 .17632 L
.35762 .17754 L
.35769 .17876 L
.35776 .17998 L
.35784 .1812 L
.35792 .18242 L
.35802 .18363 L
.35812 .18485 L
.35822 .18607 L
.35834 .18728 L
.35846 .1885 L
.35858 .18971 L
.35872 .19092 L
.35886 .19214 L
.35901 .19335 L
.35916 .19456 L
.35932 .19577 L
.35949 .19698 L
.35966 .19819 L
.35984 .1994 L
.36003 .20061 L
.36023 .20181 L
.36043 .20302 L
.36064 .20422 L
.36086 .20543 L
.36108 .20663 L
s
.37825 .16902 m
.37828 .17018 L
.37831 .17135 L
.37834 .17251 L
.37838 .17367 L
.37843 .17482 L
.37849 .17598 L
.37855 .17714 L
.37862 .1783 L
.3787 .17945 L
.37878 .18061 L
.37887 .18176 L
.37896 .18292 L
.37906 .18407 L
.37917 .18523 L
.37928 .18638 L
.3794 .18753 L
.37953 .18868 L
.37966 .18983 L
.3798 .19098 L
.37995 .19213 L
.3801 .19328 L
.38026 .19443 L
.38043 .19557 L
.3806 .19672 L
.38078 .19786 L
.38096 .19901 L
.38116 .20015 L
.38135 .2013 L
.38156 .20244 L
.38177 .20358 L
s
.39913 .16784 m
.39916 .16894 L
.39919 .17004 L
.39922 .17114 L
.39926 .17223 L
.39931 .17333 L
.39936 .17443 L
.39942 .17552 L
.39948 .17661 L
.39955 .17771 L
.39963 .1788 L
.39971 .17989 L
.3998 .18099 L
.3999 .18208 L
.4 .18317 L
.40011 .18426 L
.40022 .18535 L
.40034 .18644 L
.40047 .18752 L
.4006 .18861 L
.40074 .1897 L
.40088 .19079 L
.40104 .19187 L
.40119 .19296 L
.40136 .19404 L
.40152 .19512 L
.4017 .19621 L
.40188 .19729 L
.40207 .19837 L
.40226 .19945 L
.40246 .20053 L
s
.42002 .16666 m
.42004 .1677 L
.42006 .16873 L
.4201 .16977 L
.42013 .1708 L
.42018 .17184 L
.42023 .17287 L
.42028 .1739 L
.42035 .17493 L
.42041 .17596 L
.42048 .17699 L
.42056 .17802 L
.42065 .17905 L
.42074 .18008 L
.42083 .18111 L
.42094 .18214 L
.42104 .18317 L
.42116 .18419 L
.42128 .18522 L
.4214 .18624 L
.42153 .18727 L
.42167 .18829 L
.42181 .18932 L
.42196 .19034 L
.42211 .19136 L
.42227 .19238 L
.42244 .1934 L
.42261 .19443 L
.42278 .19545 L
.42297 .19647 L
.42315 .19748 L
s
.4409 .16548 m
.44092 .16645 L
.44094 .16743 L
.44097 .1684 L
.44101 .16937 L
.44105 .17034 L
.4411 .17131 L
.44115 .17228 L
.44121 .17325 L
.44127 .17422 L
.44134 .17519 L
.44141 .17615 L
.44149 .17712 L
.44158 .17809 L
.44167 .17905 L
.44176 .18002 L
.44186 .18098 L
.44197 .18195 L
.44208 .18291 L
.4422 .18388 L
.44232 .18484 L
.44245 .1858 L
.44258 .18676 L
.44272 .18772 L
.44287 .18868 L
.44302 .18964 L
.44317 .1906 L
.44333 .19156 L
.4435 .19252 L
.44367 .19348 L
.44385 .19443 L
s
.46178 .1643 m
.4618 .16521 L
.46182 .16612 L
.46185 .16703 L
.46188 .16794 L
.46192 .16885 L
.46197 .16975 L
.46202 .17066 L
.46207 .17157 L
.46213 .17247 L
.46219 .17338 L
.46226 .17428 L
.46234 .17519 L
.46241 .17609 L
.4625 .177 L
.46259 .1779 L
.46268 .1788 L
.46278 .1797 L
.46289 .18061 L
.463 .18151 L
.46311 .18241 L
.46323 .18331 L
.46336 .18421 L
.46349 .18511 L
.46362 .186 L
.46376 .1869 L
.46391 .1878 L
.46406 .1887 L
.46421 .18959 L
.46437 .19049 L
.46454 .19138 L
s
.48266 .16312 m
.48268 .16397 L
.4827 .16481 L
.48273 .16566 L
.48276 .16651 L
.4828 .16735 L
.48284 .1682 L
.48288 .16904 L
.48293 .16988 L
.48299 .17073 L
.48305 .17157 L
.48311 .17241 L
.48318 .17326 L
.48325 .1741 L
.48333 .17494 L
.48341 .17578 L
.4835 .17662 L
.4836 .17746 L
.48369 .1783 L
.48379 .17914 L
.4839 .17998 L
.48401 .18081 L
.48413 .18165 L
.48425 .18249 L
.48438 .18333 L
.48451 .18416 L
.48464 .185 L
.48478 .18583 L
.48493 .18667 L
.48508 .1875 L
.48523 .18833 L
s
.50355 .16194 m
.50356 .16272 L
.50358 .16351 L
.50361 .16429 L
.50363 .16507 L
.50367 .16586 L
.50371 .16664 L
.50375 .16742 L
.50379 .1682 L
.50384 .16898 L
.5039 .16976 L
.50396 .17054 L
.50402 .17132 L
.50409 .1721 L
.50416 .17288 L
.50424 .17366 L
.50432 .17444 L
.50441 .17522 L
.5045 .17599 L
.50459 .17677 L
.50469 .17755 L
.50479 .17832 L
.5049 .1791 L
.50501 .17987 L
.50513 .18065 L
.50525 .18142 L
.50538 .18219 L
.50551 .18297 L
.50564 .18374 L
.50578 .18451 L
.50592 .18528 L
s
.52443 .16076 m
.52444 .16148 L
.52446 .1622 L
.52448 .16292 L
.52451 .16364 L
.52454 .16436 L
.52457 .16508 L
.52461 .1658 L
.52466 .16652 L
.5247 .16724 L
.52475 .16796 L
.52481 .16867 L
.52487 .16939 L
.52493 .17011 L
.525 .17083 L
.52507 .17154 L
.52514 .17226 L
.52522 .17297 L
.5253 .17369 L
.52539 .1744 L
.52548 .17512 L
.52558 .17583 L
.52568 .17654 L
.52578 .17726 L
.52589 .17797 L
.526 .17868 L
.52611 .17939 L
.52623 .1801 L
.52635 .18081 L
.52648 .18152 L
.52661 .18223 L
s
.54531 .15958 m
.54532 .16023 L
.54534 .16089 L
.54536 .16155 L
.54538 .16221 L
.54541 .16287 L
.54544 .16352 L
.54548 .16418 L
.54552 .16484 L
.54556 .16549 L
.54561 .16615 L
.54566 .1668 L
.54571 .16746 L
.54577 .16811 L
.54583 .16877 L
.54589 .16942 L
.54596 .17008 L
.54603 .17073 L
.54611 .17138 L
.54619 .17203 L
.54627 .17269 L
.54636 .17334 L
.54645 .17399 L
.54654 .17464 L
.54664 .17529 L
.54674 .17594 L
.54685 .17659 L
.54696 .17724 L
.54707 .17789 L
.54719 .17854 L
.54731 .17918 L
s
.56619 .15839 m
.5662 .15899 L
.56622 .15959 L
.56624 .16018 L
.56626 .16078 L
.56628 .16137 L
.56631 .16197 L
.56635 .16256 L
.56638 .16316 L
.56642 .16375 L
.56646 .16434 L
.56651 .16493 L
.56655 .16553 L
.56661 .16612 L
.56666 .16671 L
.56672 .1673 L
.56678 .16789 L
.56685 .16848 L
.56692 .16908 L
.56699 .16967 L
.56706 .17026 L
.56714 .17084 L
.56722 .17143 L
.56731 .17202 L
.5674 .17261 L
.56749 .1732 L
.56758 .17379 L
.56768 .17437 L
.56778 .17496 L
.56789 .17555 L
.568 .17613 L
s
.58707 .15721 m
.58708 .15775 L
.5871 .15828 L
.58711 .15881 L
.58713 .15935 L
.58716 .15988 L
.58718 .16041 L
.58721 .16094 L
.58724 .16147 L
.58728 .162 L
.58731 .16253 L
.58736 .16306 L
.5874 .16359 L
.58744 .16412 L
.58749 .16465 L
.58755 .16518 L
.5876 .16571 L
.58766 .16624 L
.58772 .16677 L
.58779 .1673 L
.58785 .16782 L
.58792 .16835 L
.588 .16888 L
.58807 .16941 L
.58815 .16993 L
.58823 .17046 L
.58832 .17098 L
.58841 .17151 L
.5885 .17204 L
.58859 .17256 L
.58869 .17308 L
s
.60796 .15603 m
.60797 .1565 L
.60798 .15697 L
.60799 .15744 L
.60801 .15791 L
.60803 .15838 L
.60805 .15885 L
.60808 .15932 L
.6081 .15979 L
.60814 .16026 L
.60817 .16073 L
.6082 .16119 L
.60824 .16166 L
.60828 .16213 L
.60833 .1626 L
.60837 .16306 L
.60842 .16353 L
.60847 .164 L
.60853 .16446 L
.60858 .16493 L
.60864 .16539 L
.60871 .16586 L
.60877 .16632 L
.60884 .16679 L
.60891 .16725 L
.60898 .16772 L
.60905 .16818 L
.60913 .16865 L
.60921 .16911 L
.6093 .16957 L
.60938 .17003 L
s
.62884 .15485 m
.62885 .15526 L
.62886 .15567 L
.62887 .15607 L
.62888 .15648 L
.6289 .15689 L
.62892 .1573 L
.62894 .1577 L
.62897 .15811 L
.62899 .15851 L
.62902 .15892 L
.62905 .15932 L
.62909 .15973 L
.62912 .16014 L
.62916 .16054 L
.6292 .16094 L
.62924 .16135 L
.62929 .16175 L
.62933 .16216 L
.62938 .16256 L
.62943 .16296 L
.62949 .16337 L
.62954 .16377 L
.6296 .16417 L
.62966 .16458 L
.62972 .16498 L
.62979 .16538 L
.62986 .16578 L
.62993 .16618 L
.63 .16658 L
.63007 .16698 L
s
.64972 .15367 m
.64973 .15402 L
.64974 .15436 L
.64975 .15471 L
.64976 .15505 L
.64977 .15539 L
.64979 .15574 L
.64981 .15608 L
.64983 .15643 L
.64985 .15677 L
.64988 .15711 L
.6499 .15745 L
.64993 .1578 L
.64996 .15814 L
.64999 .15848 L
.65003 .15883 L
.65006 .15917 L
.6501 .15951 L
.65014 .15985 L
.65018 .16019 L
.65022 .16053 L
.65027 .16087 L
.65032 .16122 L
.65037 .16156 L
.65042 .1619 L
.65047 .16224 L
.65053 .16258 L
.65058 .16292 L
.65064 .16326 L
.6507 .1636 L
.65076 .16394 L
s
.6706 .15249 m
.67061 .15277 L
.67062 .15305 L
.67062 .15334 L
.67063 .15362 L
.67065 .1539 L
.67066 .15418 L
.67067 .15446 L
.67069 .15474 L
.67071 .15502 L
.67073 .1553 L
.67075 .15558 L
.67077 .15587 L
.6708 .15615 L
.67082 .15643 L
.67085 .15671 L
.67088 .15699 L
.67091 .15726 L
.67094 .15754 L
.67098 .15782 L
.67101 .1581 L
.67105 .15838 L
.67109 .15866 L
.67113 .15894 L
.67117 .15922 L
.67122 .1595 L
.67126 .15977 L
.67131 .16005 L
.67136 .16033 L
.67141 .16061 L
.67146 .16089 L
s
.69148 .15131 m
.69149 .15153 L
.69149 .15175 L
.6915 .15197 L
.69151 .15219 L
.69152 .1524 L
.69153 .15262 L
.69154 .15284 L
.69155 .15306 L
.69157 .15328 L
.69158 .1535 L
.6916 .15371 L
.69162 .15393 L
.69164 .15415 L
.69166 .15437 L
.69168 .15459 L
.6917 .1548 L
.69173 .15502 L
.69175 .15524 L
.69178 .15546 L
.6918 .15567 L
.69183 .15589 L
.69186 .15611 L
.69189 .15632 L
.69193 .15654 L
.69196 .15676 L
.692 .15697 L
.69203 .15719 L
.69207 .1574 L
.69211 .15762 L
.69215 .15784 L
s
.71237 .15013 m
.71237 .15028 L
.71237 .15044 L
.71238 .1506 L
.71238 .15075 L
.71239 .15091 L
.7124 .15107 L
.71241 .15122 L
.71242 .15138 L
.71243 .15153 L
.71244 .15169 L
.71245 .15185 L
.71246 .152 L
.71248 .15216 L
.71249 .15231 L
.71251 .15247 L
.71252 .15262 L
.71254 .15278 L
.71256 .15293 L
.71258 .15309 L
.7126 .15324 L
.71262 .1534 L
.71264 .15355 L
.71266 .15371 L
.71268 .15386 L
.71271 .15401 L
.71273 .15417 L
.71276 .15432 L
.71278 .15448 L
.71281 .15463 L
.71284 .15479 L
s
.73325 .14895 m
.73325 .14904 L
.73325 .14913 L
.73326 .14923 L
.73326 .14932 L
.73326 .14942 L
.73327 .14951 L
.73327 .1496 L
.73328 .1497 L
.73328 .14979 L
.73329 .14988 L
.7333 .14998 L
.73331 .15007 L
.73331 .15016 L
.73332 .15025 L
.73333 .15035 L
.73334 .15044 L
.73335 .15053 L
.73336 .15063 L
.73337 .15072 L
.73339 .15081 L
.7334 .1509 L
.73341 .151 L
.73342 .15109 L
.73344 .15118 L
.73345 .15127 L
.73347 .15137 L
.73348 .15146 L
.7335 .15155 L
.73352 .15164 L
.73353 .15174 L
s
.75413 .14777 m
.75413 .1478 L
.75413 .14783 L
.75413 .14786 L
.75413 .14789 L
.75414 .14792 L
.75414 .14795 L
.75414 .14798 L
.75414 .14801 L
.75414 .14804 L
.75414 .14807 L
.75415 .14811 L
.75415 .14814 L
.75415 .14817 L
.75415 .1482 L
.75416 .14823 L
.75416 .14826 L
.75416 .14829 L
.75417 .14832 L
.75417 .14835 L
.75418 .14838 L
.75418 .14841 L
.75418 .14844 L
.75419 .14847 L
.75419 .1485 L
.7542 .14853 L
.7542 .14856 L
.75421 .14859 L
.75421 .14862 L
.75422 .14866 L
.75422 .14869 L
s
.77492 .14564 m
.77492 .14567 L
.77493 .1457 L
.77493 .14573 L
.77494 .14576 L
.77494 .14579 L
.77495 .14582 L
.77495 .14586 L
.77496 .14589 L
.77496 .14592 L
.77497 .14595 L
.77497 .14598 L
.77497 .14601 L
.77498 .14605 L
.77498 .14608 L
.77498 .14611 L
.77499 .14614 L
.77499 .14617 L
.77499 .1462 L
.775 .14624 L
.775 .14627 L
.775 .1463 L
.775 .14633 L
.775 .14636 L
.77501 .14639 L
.77501 .14643 L
.77501 .14646 L
.77501 .14649 L
.77501 .14652 L
.77501 .14655 L
.77501 .14659 L
s
.79561 .14259 m
.79563 .14268 L
.79564 .14277 L
.79566 .14287 L
.79567 .14296 L
.79569 .14305 L
.7957 .14315 L
.79572 .14324 L
.79573 .14333 L
.79574 .14343 L
.79576 .14352 L
.79577 .14361 L
.79578 .14371 L
.79579 .1438 L
.7958 .1439 L
.79581 .14399 L
.79582 .14408 L
.79583 .14418 L
.79584 .14427 L
.79584 .14437 L
.79585 .14446 L
.79586 .14455 L
.79586 .14465 L
.79587 .14474 L
.79588 .14484 L
.79588 .14493 L
.79588 .14503 L
.79589 .14512 L
.79589 .14522 L
.79589 .14531 L
.79589 .1454 L
s
.8163 .13954 m
.81633 .13969 L
.81636 .13985 L
.81638 .14 L
.81641 .14016 L
.81643 .14031 L
.81646 .14047 L
.81648 .14062 L
.8165 .14078 L
.81653 .14093 L
.81655 .14109 L
.81657 .14125 L
.81659 .1414 L
.8166 .14156 L
.81662 .14171 L
.81664 .14187 L
.81665 .14203 L
.81667 .14218 L
.81668 .14234 L
.81669 .1425 L
.81671 .14265 L
.81672 .14281 L
.81673 .14297 L
.81674 .14312 L
.81674 .14328 L
.81675 .14344 L
.81676 .14359 L
.81676 .14375 L
.81677 .14391 L
.81677 .14407 L
.81678 .14422 L
s
.82719 .15351 m
.82697 .1535 L
.82675 .1535 L
.82653 .15349 L
.82631 .15348 L
.82609 .15347 L
.82587 .15346 L
.82565 .15345 L
.82543 .15344 L
.82521 .15342 L
.82499 .15341 L
.82478 .15339 L
.82456 .15337 L
.82434 .15336 L
.82412 .15333 L
.8239 .15331 L
.82368 .15329 L
.82346 .15327 L
.82325 .15324 L
.82303 .15321 L
.82281 .15319 L
.82259 .15316 L
.82237 .15313 L
.82216 .1531 L
.82194 .15306 L
.82172 .15303 L
.8215 .15299 L
.82129 .15296 L
.82107 .15292 L
.82085 .15288 L
.82064 .15284 L
s
.82601 .17439 m
.82573 .17438 L
.82545 .17438 L
.82516 .17437 L
.82488 .17436 L
.8246 .17435 L
.82432 .17433 L
.82403 .17432 L
.82375 .1743 L
.82347 .17428 L
.82319 .17426 L
.82291 .17424 L
.82262 .17422 L
.82234 .17419 L
.82206 .17417 L
.82178 .17414 L
.8215 .17411 L
.82122 .17408 L
.82094 .17405 L
.82066 .17401 L
.82038 .17398 L
.8201 .17394 L
.81982 .1739 L
.81954 .17386 L
.81926 .17382 L
.81898 .17377 L
.8187 .17373 L
.81842 .17368 L
.81814 .17363 L
.81786 .17358 L
.81759 .17353 L
s
.82483 .19527 m
.82449 .19527 L
.82414 .19526 L
.82379 .19525 L
.82345 .19523 L
.8231 .19522 L
.82276 .1952 L
.82241 .19518 L
.82207 .19516 L
.82172 .19514 L
.82138 .19512 L
.82104 .19509 L
.82069 .19506 L
.82035 .19503 L
.82 .195 L
.81966 .19497 L
.81932 .19493 L
.81898 .19489 L
.81863 .19485 L
.81829 .19481 L
.81795 .19477 L
.81761 .19472 L
.81726 .19467 L
.81692 .19462 L
.81658 .19457 L
.81624 .19452 L
.8159 .19447 L
.81556 .19441 L
.81522 .19435 L
.81488 .19429 L
.81454 .19423 L
s
.82365 .21615 m
.82324 .21615 L
.82283 .21614 L
.82242 .21612 L
.82202 .21611 L
.82161 .21609 L
.8212 .21607 L
.82079 .21605 L
.82039 .21603 L
.81998 .216 L
.81957 .21597 L
.81917 .21594 L
.81876 .21591 L
.81835 .21587 L
.81795 .21583 L
.81754 .21579 L
.81714 .21575 L
.81673 .21571 L
.81633 .21566 L
.81592 .21561 L
.81552 .21556 L
.81511 .2155 L
.81471 .21545 L
.81431 .21539 L
.8139 .21533 L
.8135 .21527 L
.8131 .2152 L
.81269 .21513 L
.81229 .21506 L
.81189 .21499 L
.81149 .21492 L
s
.82247 .23704 m
.822 .23703 L
.82153 .23702 L
.82106 .237 L
.82058 .23698 L
.82011 .23696 L
.81964 .23694 L
.81917 .23692 L
.8187 .23689 L
.81823 .23686 L
.81776 .23682 L
.8173 .23679 L
.81683 .23675 L
.81636 .23671 L
.81589 .23667 L
.81542 .23662 L
.81496 .23657 L
.81449 .23652 L
.81402 .23646 L
.81355 .23641 L
.81309 .23635 L
.81262 .23629 L
.81216 .23622 L
.81169 .23615 L
.81122 .23608 L
.81076 .23601 L
.81029 .23594 L
.80983 .23586 L
.80936 .23578 L
.8089 .23569 L
.80844 .23561 L
s
.82129 .25792 m
.82075 .25791 L
.82022 .25789 L
.81969 .25788 L
.81915 .25786 L
.81862 .25784 L
.81809 .25781 L
.81755 .25778 L
.81702 .25775 L
.81649 .25772 L
.81596 .25768 L
.81543 .25764 L
.81489 .25759 L
.81436 .25755 L
.81383 .2575 L
.8133 .25745 L
.81277 .25739 L
.81224 .25733 L
.81171 .25727 L
.81119 .25721 L
.81066 .25714 L
.81013 .25707 L
.8096 .25699 L
.80907 .25692 L
.80855 .25684 L
.80802 .25676 L
.80749 .25667 L
.80696 .25658 L
.80644 .25649 L
.80591 .2564 L
.80539 .2563 L
s
.82011 .2788 m
.81951 .27879 L
.81891 .27877 L
.81832 .27876 L
.81772 .27873 L
.81712 .27871 L
.81653 .27868 L
.81593 .27865 L
.81534 .27861 L
.81474 .27857 L
.81415 .27853 L
.81356 .27849 L
.81296 .27844 L
.81237 .27839 L
.81178 .27833 L
.81118 .27827 L
.81059 .27821 L
.81 .27814 L
.80941 .27808 L
.80882 .278 L
.80823 .27793 L
.80764 .27785 L
.80705 .27777 L
.80646 .27768 L
.80587 .27759 L
.80528 .2775 L
.80469 .27741 L
.8041 .27731 L
.80351 .27721 L
.80292 .2771 L
.80234 .27699 L
s
.81893 .29968 m
.81827 .29967 L
.81761 .29965 L
.81695 .29963 L
.81629 .29961 L
.81563 .29958 L
.81497 .29955 L
.81431 .29951 L
.81366 .29947 L
.813 .29943 L
.81234 .29939 L
.81169 .29933 L
.81103 .29928 L
.81037 .29922 L
.80972 .29916 L
.80906 .2991 L
.80841 .29903 L
.80776 .29896 L
.8071 .29888 L
.80645 .2988 L
.8058 .29872 L
.80514 .29863 L
.80449 .29854 L
.80384 .29845 L
.80319 .29835 L
.80254 .29825 L
.80189 .29814 L
.80124 .29803 L
.80059 .29792 L
.79994 .2978 L
.79929 .29768 L
s
.81775 .32057 m
.81702 .32055 L
.8163 .32053 L
.81558 .32051 L
.81486 .32048 L
.81414 .32045 L
.81341 .32042 L
.81269 .32038 L
.81197 .32034 L
.81125 .32029 L
.81054 .32024 L
.80982 .32018 L
.8091 .32013 L
.80838 .32006 L
.80766 .32 L
.80695 .31992 L
.80623 .31985 L
.80551 .31977 L
.8048 .31969 L
.80408 .3196 L
.80337 .31951 L
.80265 .31941 L
.80194 .31931 L
.80122 .31921 L
.80051 .3191 L
.7998 .31899 L
.79908 .31888 L
.79837 .31876 L
.79766 .31864 L
.79695 .31851 L
.79624 .31838 L
s
.81656 .34145 m
.81578 .34143 L
.81499 .34141 L
.81421 .34139 L
.81342 .34136 L
.81264 .34132 L
.81186 .34129 L
.81107 .34124 L
.81029 .3412 L
.80951 .34115 L
.80873 .34109 L
.80795 .34103 L
.80717 .34097 L
.80639 .3409 L
.80561 .34083 L
.80483 .34075 L
.80405 .34067 L
.80327 .34058 L
.80249 .34049 L
.80171 .3404 L
.80094 .3403 L
.80016 .3402 L
.79938 .34009 L
.79861 .33998 L
.79783 .33986 L
.79706 .33974 L
.79628 .33961 L
.79551 .33948 L
.79473 .33935 L
.79396 .33921 L
.79319 .33907 L
s
.81538 .36233 m
.81454 .36231 L
.81369 .36229 L
.81284 .36226 L
.81199 .36223 L
.81115 .3622 L
.8103 .36216 L
.80945 .36211 L
.80861 .36206 L
.80776 .36201 L
.80692 .36195 L
.80608 .36188 L
.80523 .36181 L
.80439 .36174 L
.80355 .36166 L
.80271 .36158 L
.80186 .36149 L
.80102 .3614 L
.80018 .3613 L
.79934 .3612 L
.7985 .36109 L
.79767 .36098 L
.79683 .36086 L
.79599 .36074 L
.79515 .36061 L
.79431 .36048 L
.79348 .36035 L
.79264 .36021 L
.79181 .36006 L
.79097 .35991 L
.79014 .35976 L
s
0 0 0 r
.0239 .19704 m
.2601 .19704 L
s
% Start of user PostScript
0 10. 50.9716 10. MAarrowhead1
% End of user PostScript
.2601 .19704 m
.30194 .19425 L
s
% Start of user PostScript
50.9716 10. 60. 9.39709 MAarrowhead1
% End of user PostScript
.30194 .19425 m
.82515 .141 L
s
% Start of user PostScript
60. 9.39709 172.907 -2.09305 MAarrowhead1
% End of user PostScript
.82515 .141 m
.80059 .3824 L
s
% Start of user PostScript
172.907 -2.09305 167.606 50. MAarrowhead1
% End of user PostScript
.80059 .3824 m
.80059 .3824 L
s
% Start of user PostScript
167.606 50. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .19704 m
.02382 .19704 L
.02383 .19704 L
.02384 .19704 L
.02385 .19704 L
.02386 .19704 L
.02387 .19704 L
.02387 .19704 L
.02388 .19704 L
.02388 .19704 L
.02389 .19704 L
.02389 .19704 L
.02389 .19704 L
.0239 .19704 L
.0239 .19704 L
.0239 .19704 L
.0239 .19704 L
.0239 .19704 L
.02389 .19704 L
.02389 .19704 L
.02389 .19704 L
.02388 .19704 L
.02388 .19704 L
.02387 .19704 L
.02387 .19704 L
.02386 .19704 L
.02385 .19704 L
.02384 .19704 L
.02383 .19704 L
.02382 .19704 L
.02381 .19704 L
s
.04474 .19704 m
.04475 .19704 L
.04477 .19704 L
.04477 .19704 L
.04478 .19704 L
.04479 .19704 L
.0448 .19704 L
.04481 .19704 L
.04481 .19704 L
.04482 .19704 L
.04482 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04483 .19704 L
.04482 .19704 L
.04482 .19704 L
.04481 .19704 L
.04481 .19704 L
.0448 .19704 L
.04479 .19704 L
.04478 .19704 L
.04477 .19704 L
.04477 .19704 L
.04475 .19704 L
.04474 .19704 L
s
.06568 .19704 m
.06569 .19704 L
.0657 .19704 L
.06571 .19704 L
.06572 .19704 L
.06573 .19704 L
.06573 .19704 L
.06574 .19704 L
.06575 .19704 L
.06575 .19704 L
.06576 .19704 L
.06576 .19704 L
.06576 .19704 L
.06576 .19704 L
.06577 .19704 L
.06577 .19704 L
.06577 .19704 L
.06576 .19704 L
.06576 .19704 L
.06576 .19704 L
.06576 .19704 L
.06575 .19704 L
.06575 .19704 L
.06574 .19704 L
.06573 .19704 L
.06573 .19704 L
.06572 .19704 L
.06571 .19704 L
.0657 .19704 L
.06569 .19704 L
.06568 .19704 L
s
.08661 .19704 m
.08662 .19704 L
.08663 .19704 L
.08664 .19704 L
.08665 .19704 L
.08666 .19704 L
.08667 .19704 L
.08667 .19704 L
.08668 .19704 L
.08669 .19704 L
.08669 .19704 L
.08669 .19704 L
.0867 .19704 L
.0867 .19704 L
.0867 .19704 L
.0867 .19704 L
.0867 .19704 L
.0867 .19704 L
.0867 .19704 L
.08669 .19704 L
.08669 .19704 L
.08669 .19704 L
.08668 .19704 L
.08667 .19704 L
.08667 .19704 L
.08666 .19704 L
.08665 .19704 L
.08664 .19704 L
.08663 .19704 L
.08662 .19704 L
.08661 .19704 L
s
.10754 .19704 m
.10756 .19704 L
.10757 .19704 L
.10758 .19704 L
.10759 .19704 L
.10759 .19704 L
.1076 .19704 L
.10761 .19704 L
.10761 .19704 L
.10762 .19704 L
.10762 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10763 .19704 L
.10762 .19704 L
.10762 .19704 L
.10761 .19704 L
.10761 .19704 L
.1076 .19704 L
.10759 .19704 L
.10759 .19704 L
.10758 .19704 L
.10757 .19704 L
.10756 .19704 L
.10754 .19704 L
s
.12848 .19704 m
.12849 .19704 L
.1285 .19704 L
.12851 .19704 L
.12852 .19704 L
.12853 .19704 L
.12854 .19704 L
.12854 .19704 L
.12855 .19704 L
.12855 .19704 L
.12856 .19704 L
.12856 .19704 L
.12856 .19704 L
.12857 .19704 L
.12857 .19704 L
.12857 .19704 L
.12857 .19704 L
.12857 .19704 L
.12856 .19704 L
.12856 .19704 L
.12856 .19704 L
.12855 .19704 L
.12855 .19704 L
.12854 .19704 L
.12854 .19704 L
.12853 .19704 L
.12852 .19704 L
.12851 .19704 L
.1285 .19704 L
.12849 .19704 L
.12848 .19704 L
s
.14941 .19704 m
.14942 .19704 L
.14943 .19704 L
.14944 .19704 L
.14945 .19704 L
.14946 .19704 L
.14947 .19704 L
.14948 .19704 L
.14948 .19704 L
.14949 .19704 L
.14949 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.1495 .19704 L
.14949 .19704 L
.14949 .19704 L
.14948 .19704 L
.14948 .19704 L
.14947 .19704 L
.14946 .19704 L
.14945 .19704 L
.14944 .19704 L
.14943 .19704 L
.14942 .19704 L
.14941 .19704 L
s
.17034 .19704 m
.17036 .19704 L
.17037 .19704 L
.17038 .19704 L
.17039 .19704 L
.1704 .19704 L
.1704 .19704 L
.17041 .19704 L
.17042 .19704 L
.17042 .19704 L
.17043 .19704 L
.17043 .19704 L
.17043 .19704 L
.17043 .19704 L
.17044 .19704 L
.17044 .19704 L
.17044 .19704 L
.17043 .19704 L
.17043 .19704 L
.17043 .19704 L
.17043 .19704 L
.17042 .19704 L
.17042 .19704 L
.17041 .19704 L
.1704 .19704 L
.1704 .19704 L
.17039 .19704 L
.17038 .19704 L
.17037 .19704 L
.17036 .19704 L
.17034 .19704 L
s
.19128 .19704 m
.19129 .19704 L
.1913 .19704 L
.19131 .19704 L
.19132 .19704 L
.19133 .19704 L
.19134 .19704 L
.19134 .19704 L
.19135 .19704 L
.19135 .19704 L
.19136 .19704 L
.19136 .19704 L
.19137 .19704 L
.19137 .19704 L
.19137 .19704 L
.19137 .19704 L
.19137 .19704 L
.19137 .19704 L
.19137 .19704 L
.19136 .19704 L
.19136 .19704 L
.19135 .19704 L
.19135 .19704 L
.19134 .19704 L
.19134 .19704 L
.19133 .19704 L
.19132 .19704 L
.19131 .19704 L
.1913 .19704 L
.19129 .19704 L
.19128 .19704 L
s
.21221 .19704 m
.21222 .19704 L
.21223 .19704 L
.21224 .19704 L
.21225 .19704 L
.21226 .19704 L
.21227 .19704 L
.21228 .19704 L
.21228 .19704 L
.21229 .19704 L
.21229 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.2123 .19704 L
.21229 .19704 L
.21229 .19704 L
.21228 .19704 L
.21228 .19704 L
.21227 .19704 L
.21226 .19704 L
.21225 .19704 L
.21224 .19704 L
.21223 .19704 L
.21222 .19704 L
.21221 .19704 L
s
.23315 .19704 m
.23316 .19704 L
.23317 .19704 L
.23318 .19704 L
.23319 .19704 L
.2332 .19704 L
.2332 .19704 L
.23321 .19704 L
.23322 .19704 L
.23322 .19704 L
.23323 .19704 L
.23323 .19704 L
.23323 .19704 L
.23324 .19704 L
.23324 .19704 L
.23324 .19704 L
.23324 .19704 L
.23324 .19704 L
.23323 .19704 L
.23323 .19704 L
.23323 .19704 L
.23322 .19704 L
.23322 .19704 L
.23321 .19704 L
.2332 .19704 L
.2332 .19704 L
.23319 .19704 L
.23318 .19704 L
.23317 .19704 L
.23316 .19704 L
.23315 .19704 L
s
.25408 .19704 m
.25409 .19704 L
.2541 .19704 L
.25411 .19704 L
.25412 .19704 L
.25413 .19704 L
.25414 .19704 L
.25415 .19704 L
.25415 .19704 L
.25416 .19704 L
.25416 .19704 L
.25416 .19704 L
.25417 .19704 L
.25417 .19704 L
.25417 .19704 L
.25417 .19704 L
.25417 .19704 L
.25417 .19704 L
.25417 .19704 L
.25416 .19704 L
.25416 .19704 L
.25416 .19704 L
.25415 .19704 L
.25415 .19704 L
.25414 .19704 L
.25413 .19704 L
.25412 .19704 L
.25411 .19704 L
.2541 .19704 L
.25409 .19704 L
.25408 .19704 L
s
.27545 .19602 m
.2754 .19602 L
.27536 .19602 L
.27531 .19603 L
.27528 .19603 L
.27524 .19603 L
.27521 .19603 L
.27518 .19604 L
.27515 .19604 L
.27513 .19604 L
.27511 .19604 L
.2751 .19604 L
.27509 .19604 L
.27508 .19604 L
.27507 .19604 L
.27507 .19604 L
.27507 .19604 L
.27508 .19604 L
.27509 .19604 L
.2751 .19604 L
.27511 .19604 L
.27513 .19604 L
.27515 .19604 L
.27518 .19604 L
.27521 .19603 L
.27524 .19603 L
.27528 .19603 L
.27531 .19603 L
.27536 .19602 L
.2754 .19602 L
.27545 .19602 L
s
.29633 .19462 m
.29628 .19463 L
.29624 .19463 L
.2962 .19463 L
.29616 .19463 L
.29612 .19464 L
.29609 .19464 L
.29606 .19464 L
.29604 .19464 L
.29602 .19464 L
.296 .19465 L
.29599 .19465 L
.29597 .19465 L
.29597 .19465 L
.29596 .19465 L
.29596 .19465 L
.29596 .19465 L
.29597 .19465 L
.29597 .19465 L
.29599 .19465 L
.296 .19465 L
.29602 .19464 L
.29604 .19464 L
.29606 .19464 L
.29609 .19464 L
.29612 .19464 L
.29616 .19463 L
.2962 .19463 L
.29624 .19463 L
.29628 .19463 L
.29633 .19462 L
s
.31762 .19265 m
.31751 .19266 L
.31741 .19267 L
.31732 .19268 L
.31724 .19269 L
.31717 .1927 L
.3171 .19271 L
.31703 .19271 L
.31698 .19272 L
.31693 .19272 L
.31689 .19273 L
.31686 .19273 L
.31684 .19273 L
.31682 .19273 L
.31681 .19274 L
.3168 .19274 L
.31681 .19274 L
.31682 .19273 L
.31684 .19273 L
.31686 .19273 L
.31689 .19273 L
.31693 .19272 L
.31698 .19272 L
.31703 .19271 L
.3171 .19271 L
.31717 .1927 L
.31724 .19269 L
.31732 .19268 L
.31741 .19267 L
.31751 .19266 L
.31762 .19265 L
s
.33841 .19054 m
.33831 .19055 L
.33821 .19056 L
.33813 .19057 L
.33805 .19057 L
.33798 .19058 L
.33791 .19059 L
.33785 .19059 L
.3378 .1906 L
.33775 .1906 L
.33772 .19061 L
.33769 .19061 L
.33766 .19061 L
.33764 .19062 L
.33763 .19062 L
.33763 .19062 L
.33763 .19062 L
.33764 .19062 L
.33766 .19061 L
.33769 .19061 L
.33772 .19061 L
.33775 .1906 L
.3378 .1906 L
.33785 .19059 L
.33791 .19059 L
.33798 .19058 L
.33805 .19057 L
.33813 .19057 L
.33821 .19056 L
.33831 .19055 L
.33841 .19054 L
s
.3592 .18842 m
.3591 .18843 L
.35901 .18844 L
.35893 .18845 L
.35885 .18846 L
.35879 .18846 L
.35872 .18847 L
.35867 .18848 L
.35862 .18848 L
.35857 .18848 L
.35854 .18849 L
.35851 .18849 L
.35849 .18849 L
.35847 .1885 L
.35846 .1885 L
.35846 .1885 L
.35846 .1885 L
.35847 .1885 L
.35849 .18849 L
.35851 .18849 L
.35854 .18849 L
.35857 .18848 L
.35862 .18848 L
.35867 .18848 L
.35872 .18847 L
.35879 .18846 L
.35885 .18846 L
.35893 .18845 L
.35901 .18844 L
.3591 .18843 L
.3592 .18842 L
s
.37999 .18631 m
.3799 .18632 L
.37981 .18632 L
.37973 .18633 L
.37966 .18634 L
.3796 .18635 L
.37954 .18635 L
.37948 .18636 L
.37944 .18636 L
.3794 .18637 L
.37936 .18637 L
.37933 .18637 L
.37931 .18637 L
.3793 .18638 L
.37929 .18638 L
.37928 .18638 L
.37929 .18638 L
.3793 .18638 L
.37931 .18637 L
.37933 .18637 L
.37936 .18637 L
.3794 .18637 L
.37944 .18636 L
.37948 .18636 L
.37954 .18635 L
.3796 .18635 L
.37966 .18634 L
.37973 .18633 L
.37981 .18632 L
.3799 .18632 L
.37999 .18631 L
s
.40078 .18419 m
.40069 .1842 L
.40061 .18421 L
.40054 .18421 L
.40047 .18422 L
.40041 .18423 L
.40035 .18423 L
.4003 .18424 L
.40025 .18424 L
.40022 .18425 L
.40018 .18425 L
.40016 .18425 L
.40014 .18426 L
.40012 .18426 L
.40011 .18426 L
.40011 .18426 L
.40011 .18426 L
.40012 .18426 L
.40014 .18426 L
.40016 .18425 L
.40018 .18425 L
.40022 .18425 L
.40025 .18424 L
.4003 .18424 L
.40035 .18423 L
.40041 .18423 L
.40047 .18422 L
.40054 .18421 L
.40061 .18421 L
.40069 .1842 L
.40078 .18419 L
s
.42157 .18207 m
.42148 .18208 L
.42141 .18209 L
.42134 .1821 L
.42127 .1821 L
.42122 .18211 L
.42116 .18212 L
.42111 .18212 L
.42107 .18212 L
.42104 .18213 L
.42101 .18213 L
.42098 .18213 L
.42096 .18214 L
.42095 .18214 L
.42094 .18214 L
.42094 .18214 L
.42094 .18214 L
.42095 .18214 L
.42096 .18214 L
.42098 .18213 L
.42101 .18213 L
.42104 .18213 L
.42107 .18212 L
.42111 .18212 L
.42116 .18212 L
.42122 .18211 L
.42127 .1821 L
.42134 .1821 L
.42141 .18209 L
.42148 .18208 L
.42157 .18207 L
s
.44235 .17996 m
.44228 .17997 L
.44221 .17997 L
.44214 .17998 L
.44208 .17999 L
.44203 .17999 L
.44198 .18 L
.44193 .18 L
.44189 .18001 L
.44186 .18001 L
.44183 .18001 L
.4418 .18002 L
.44179 .18002 L
.44177 .18002 L
.44176 .18002 L
.44176 .18002 L
.44176 .18002 L
.44177 .18002 L
.44179 .18002 L
.4418 .18002 L
.44183 .18001 L
.44186 .18001 L
.44189 .18001 L
.44193 .18 L
.44198 .18 L
.44203 .17999 L
.44208 .17999 L
.44214 .17998 L
.44221 .17997 L
.44228 .17997 L
.44235 .17996 L
s
.46314 .17784 m
.46307 .17785 L
.46301 .17786 L
.46294 .17786 L
.46289 .17787 L
.46284 .17787 L
.46279 .17788 L
.46275 .17788 L
.46271 .17789 L
.46268 .17789 L
.46265 .17789 L
.46263 .1779 L
.46261 .1779 L
.4626 .1779 L
.46259 .1779 L
.46259 .1779 L
.46259 .1779 L
.4626 .1779 L
.46261 .1779 L
.46263 .1779 L
.46265 .17789 L
.46268 .17789 L
.46271 .17789 L
.46275 .17788 L
.46279 .17788 L
.46284 .17787 L
.46289 .17787 L
.46294 .17786 L
.46301 .17786 L
.46307 .17785 L
.46314 .17784 L
s
.48393 .17573 m
.48387 .17573 L
.4838 .17574 L
.48375 .17575 L
.48369 .17575 L
.48365 .17576 L
.4836 .17576 L
.48356 .17577 L
.48353 .17577 L
.4835 .17577 L
.48347 .17577 L
.48345 .17578 L
.48344 .17578 L
.48342 .17578 L
.48342 .17578 L
.48341 .17578 L
.48342 .17578 L
.48342 .17578 L
.48344 .17578 L
.48345 .17578 L
.48347 .17577 L
.4835 .17577 L
.48353 .17577 L
.48356 .17577 L
.4836 .17576 L
.48365 .17576 L
.48369 .17575 L
.48375 .17575 L
.4838 .17574 L
.48387 .17573 L
.48393 .17573 L
s
.50472 .17361 m
.50466 .17362 L
.5046 .17362 L
.50455 .17363 L
.5045 .17363 L
.50446 .17364 L
.50441 .17364 L
.50438 .17365 L
.50435 .17365 L
.50432 .17365 L
.50429 .17366 L
.50428 .17366 L
.50426 .17366 L
.50425 .17366 L
.50424 .17366 L
.50424 .17366 L
.50424 .17366 L
.50425 .17366 L
.50426 .17366 L
.50428 .17366 L
.50429 .17366 L
.50432 .17365 L
.50435 .17365 L
.50438 .17365 L
.50441 .17364 L
.50446 .17364 L
.5045 .17363 L
.50455 .17363 L
.5046 .17362 L
.50466 .17362 L
.50472 .17361 L
s
.52551 .1715 m
.52546 .1715 L
.5254 .17151 L
.52535 .17151 L
.52531 .17152 L
.52527 .17152 L
.52523 .17153 L
.52519 .17153 L
.52516 .17153 L
.52514 .17153 L
.52512 .17154 L
.5251 .17154 L
.52509 .17154 L
.52508 .17154 L
.52507 .17154 L
.52507 .17154 L
.52507 .17154 L
.52508 .17154 L
.52509 .17154 L
.5251 .17154 L
.52512 .17154 L
.52514 .17153 L
.52516 .17153 L
.52519 .17153 L
.52523 .17153 L
.52527 .17152 L
.52531 .17152 L
.52535 .17151 L
.5254 .17151 L
.52546 .1715 L
.52551 .1715 L
s
.5463 .16938 m
.54625 .16939 L
.5462 .16939 L
.54616 .1694 L
.54611 .1694 L
.54608 .1694 L
.54604 .16941 L
.54601 .16941 L
.54598 .16941 L
.54596 .16942 L
.54594 .16942 L
.54592 .16942 L
.54591 .16942 L
.5459 .16942 L
.5459 .16942 L
.54589 .16942 L
.5459 .16942 L
.5459 .16942 L
.54591 .16942 L
.54592 .16942 L
.54594 .16942 L
.54596 .16942 L
.54598 .16941 L
.54601 .16941 L
.54604 .16941 L
.54608 .1694 L
.54611 .1694 L
.54616 .1694 L
.5462 .16939 L
.54625 .16939 L
.5463 .16938 L
s
.56709 .16726 m
.56704 .16727 L
.567 .16727 L
.56696 .16728 L
.56692 .16728 L
.56689 .16729 L
.56685 .16729 L
.56683 .16729 L
.5668 .16729 L
.56678 .1673 L
.56676 .1673 L
.56675 .1673 L
.56674 .1673 L
.56673 .1673 L
.56672 .1673 L
.56672 .1673 L
.56672 .1673 L
.56673 .1673 L
.56674 .1673 L
.56675 .1673 L
.56676 .1673 L
.56678 .1673 L
.5668 .16729 L
.56683 .16729 L
.56685 .16729 L
.56689 .16729 L
.56692 .16728 L
.56696 .16728 L
.567 .16727 L
.56704 .16727 L
.56709 .16726 L
s
.58788 .16515 m
.58784 .16515 L
.5878 .16516 L
.58776 .16516 L
.58773 .16516 L
.5877 .16517 L
.58767 .16517 L
.58764 .16517 L
.58762 .16518 L
.5876 .16518 L
.58758 .16518 L
.58757 .16518 L
.58756 .16518 L
.58755 .16518 L
.58755 .16518 L
.58755 .16518 L
.58755 .16518 L
.58755 .16518 L
.58756 .16518 L
.58757 .16518 L
.58758 .16518 L
.5876 .16518 L
.58762 .16518 L
.58764 .16517 L
.58767 .16517 L
.5877 .16517 L
.58773 .16516 L
.58776 .16516 L
.5878 .16516 L
.58784 .16515 L
.58788 .16515 L
s
.60867 .16303 m
.60863 .16304 L
.6086 .16304 L
.60856 .16304 L
.60853 .16305 L
.60851 .16305 L
.60848 .16305 L
.60846 .16306 L
.60844 .16306 L
.60842 .16306 L
.60841 .16306 L
.60839 .16306 L
.60839 .16306 L
.60838 .16306 L
.60837 .16306 L
.60837 .16306 L
.60837 .16306 L
.60838 .16306 L
.60839 .16306 L
.60839 .16306 L
.60841 .16306 L
.60842 .16306 L
.60844 .16306 L
.60846 .16306 L
.60848 .16305 L
.60851 .16305 L
.60853 .16305 L
.60856 .16304 L
.6086 .16304 L
.60863 .16304 L
.60867 .16303 L
s
.62946 .16092 m
.62943 .16092 L
.6294 .16092 L
.62937 .16093 L
.62934 .16093 L
.62932 .16093 L
.62929 .16093 L
.62927 .16094 L
.62926 .16094 L
.62924 .16094 L
.62923 .16094 L
.62922 .16094 L
.62921 .16094 L
.6292 .16094 L
.6292 .16094 L
.6292 .16094 L
.6292 .16094 L
.6292 .16094 L
.62921 .16094 L
.62922 .16094 L
.62923 .16094 L
.62924 .16094 L
.62926 .16094 L
.62927 .16094 L
.62929 .16093 L
.62932 .16093 L
.62934 .16093 L
.62937 .16093 L
.6294 .16092 L
.62943 .16092 L
.62946 .16092 L
s
.65025 .1588 m
.65022 .15881 L
.65019 .15881 L
.65017 .15881 L
.65015 .15881 L
.65013 .15881 L
.65011 .15882 L
.65009 .15882 L
.65007 .15882 L
.65006 .15882 L
.65005 .15882 L
.65004 .15882 L
.65003 .15882 L
.65003 .15882 L
.65003 .15882 L
.65003 .15883 L
.65003 .15882 L
.65003 .15882 L
.65003 .15882 L
.65004 .15882 L
.65005 .15882 L
.65006 .15882 L
.65007 .15882 L
.65009 .15882 L
.65011 .15882 L
.65013 .15881 L
.65015 .15881 L
.65017 .15881 L
.65019 .15881 L
.65022 .15881 L
.65025 .1588 L
s
.67104 .15669 m
.67102 .15669 L
.67099 .15669 L
.67097 .15669 L
.67095 .1567 L
.67094 .1567 L
.67092 .1567 L
.67091 .1567 L
.67089 .1567 L
.67088 .1567 L
.67087 .1567 L
.67087 .1567 L
.67086 .1567 L
.67086 .15671 L
.67085 .15671 L
.67085 .15671 L
.67085 .15671 L
.67086 .15671 L
.67086 .1567 L
.67087 .1567 L
.67087 .1567 L
.67088 .1567 L
.67089 .1567 L
.67091 .1567 L
.67092 .1567 L
.67094 .1567 L
.67095 .1567 L
.67097 .15669 L
.67099 .15669 L
.67102 .15669 L
.67104 .15669 L
s
.69183 .15457 m
.69181 .15457 L
.69179 .15457 L
.69178 .15458 L
.69176 .15458 L
.69175 .15458 L
.69173 .15458 L
.69172 .15458 L
.69171 .15458 L
.6917 .15458 L
.6917 .15458 L
.69169 .15459 L
.69168 .15459 L
.69168 .15459 L
.69168 .15459 L
.69168 .15459 L
.69168 .15459 L
.69168 .15459 L
.69168 .15459 L
.69169 .15459 L
.6917 .15458 L
.6917 .15458 L
.69171 .15458 L
.69172 .15458 L
.69173 .15458 L
.69175 .15458 L
.69176 .15458 L
.69178 .15458 L
.69179 .15457 L
.69181 .15457 L
.69183 .15457 L
s
.71262 .15246 m
.7126 .15246 L
.71259 .15246 L
.71258 .15246 L
.71257 .15246 L
.71256 .15246 L
.71255 .15246 L
.71254 .15246 L
.71253 .15246 L
.71252 .15246 L
.71252 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71251 .15247 L
.71252 .15247 L
.71252 .15246 L
.71253 .15246 L
.71254 .15246 L
.71255 .15246 L
.71256 .15246 L
.71257 .15246 L
.71258 .15246 L
.71259 .15246 L
.7126 .15246 L
.71262 .15246 L
s
.73341 .15034 m
.7334 .15034 L
.73339 .15034 L
.73338 .15034 L
.73337 .15034 L
.73337 .15034 L
.73336 .15034 L
.73335 .15035 L
.73335 .15035 L
.73334 .15035 L
.73334 .15035 L
.73334 .15035 L
.73333 .15035 L
.73333 .15035 L
.73333 .15035 L
.73333 .15035 L
.73333 .15035 L
.73333 .15035 L
.73333 .15035 L
.73334 .15035 L
.73334 .15035 L
.73334 .15035 L
.73335 .15035 L
.73335 .15035 L
.73336 .15034 L
.73337 .15034 L
.73337 .15034 L
.73338 .15034 L
.73339 .15034 L
.7334 .15034 L
.73341 .15034 L
s
.7542 .14822 m
.75419 .14822 L
.75419 .14822 L
.75418 .14823 L
.75418 .14823 L
.75418 .14823 L
.75417 .14823 L
.75417 .14823 L
.75417 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75416 .14823 L
.75417 .14823 L
.75417 .14823 L
.75417 .14823 L
.75418 .14823 L
.75418 .14823 L
.75418 .14823 L
.75419 .14822 L
.75419 .14822 L
.7542 .14822 L
s
.77499 .14611 m
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77498 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
.77499 .14611 L
s
.79578 .14399 m
.79578 .14399 L
.79579 .14399 L
.79579 .14399 L
.79579 .14399 L
.7958 .14399 L
.7958 .14399 L
.7958 .14399 L
.7958 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.79581 .14399 L
.7958 .14399 L
.7958 .14399 L
.7958 .14399 L
.7958 .14399 L
.79579 .14399 L
.79579 .14399 L
.79579 .14399 L
.79578 .14399 L
.79578 .14399 L
s
.81657 .14188 m
.81658 .14188 L
.81658 .14187 L
.81659 .14187 L
.8166 .14187 L
.81661 .14187 L
.81661 .14187 L
.81662 .14187 L
.81662 .14187 L
.81663 .14187 L
.81663 .14187 L
.81663 .14187 L
.81663 .14187 L
.81664 .14187 L
.81664 .14187 L
.81664 .14187 L
.81664 .14187 L
.81664 .14187 L
.81663 .14187 L
.81663 .14187 L
.81663 .14187 L
.81663 .14187 L
.81662 .14187 L
.81662 .14187 L
.81661 .14187 L
.81661 .14187 L
.8166 .14187 L
.81659 .14187 L
.81658 .14187 L
.81658 .14188 L
.81657 .14188 L
s
.82391 .15321 m
.82391 .15322 L
.82391 .15323 L
.82391 .15324 L
.82391 .15326 L
.82391 .15327 L
.8239 .15327 L
.8239 .15328 L
.8239 .15329 L
.8239 .1533 L
.8239 .1533 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .15331 L
.8239 .1533 L
.8239 .1533 L
.8239 .15329 L
.8239 .15328 L
.8239 .15327 L
.82391 .15327 L
.82391 .15326 L
.82391 .15324 L
.82391 .15323 L
.82391 .15322 L
.82391 .15321 L
s
.8218 .174 m
.82179 .17401 L
.82179 .17403 L
.82179 .17405 L
.82179 .17406 L
.82179 .17408 L
.82179 .17409 L
.82179 .1741 L
.82178 .17411 L
.82178 .17412 L
.82178 .17412 L
.82178 .17413 L
.82178 .17413 L
.82178 .17414 L
.82178 .17414 L
.82178 .17414 L
.82178 .17414 L
.82178 .17414 L
.82178 .17413 L
.82178 .17413 L
.82178 .17412 L
.82178 .17412 L
.82178 .17411 L
.82179 .1741 L
.82179 .17409 L
.82179 .17408 L
.82179 .17406 L
.82179 .17405 L
.82179 .17403 L
.82179 .17401 L
.8218 .174 L
s
.81968 .19479 m
.81968 .19481 L
.81968 .19483 L
.81967 .19485 L
.81967 .19487 L
.81967 .19489 L
.81967 .1949 L
.81967 .19491 L
.81967 .19493 L
.81966 .19494 L
.81966 .19495 L
.81966 .19495 L
.81966 .19496 L
.81966 .19496 L
.81966 .19497 L
.81966 .19497 L
.81966 .19497 L
.81966 .19496 L
.81966 .19496 L
.81966 .19495 L
.81966 .19495 L
.81966 .19494 L
.81967 .19493 L
.81967 .19491 L
.81967 .1949 L
.81967 .19489 L
.81967 .19487 L
.81967 .19485 L
.81968 .19483 L
.81968 .19481 L
.81968 .19479 L
s
.81756 .21557 m
.81756 .2156 L
.81756 .21563 L
.81756 .21565 L
.81755 .21568 L
.81755 .2157 L
.81755 .21571 L
.81755 .21573 L
.81755 .21574 L
.81755 .21576 L
.81754 .21577 L
.81754 .21578 L
.81754 .21578 L
.81754 .21579 L
.81754 .21579 L
.81754 .21579 L
.81754 .21579 L
.81754 .21579 L
.81754 .21578 L
.81754 .21578 L
.81754 .21577 L
.81755 .21576 L
.81755 .21574 L
.81755 .21573 L
.81755 .21571 L
.81755 .2157 L
.81755 .21568 L
.81756 .21565 L
.81756 .21563 L
.81756 .2156 L
.81756 .21557 L
s
.81545 .23636 m
.81545 .2364 L
.81544 .23643 L
.81544 .23646 L
.81544 .23648 L
.81543 .23651 L
.81543 .23653 L
.81543 .23655 L
.81543 .23656 L
.81543 .23658 L
.81543 .23659 L
.81542 .2366 L
.81542 .23661 L
.81542 .23661 L
.81542 .23662 L
.81542 .23662 L
.81542 .23662 L
.81542 .23661 L
.81542 .23661 L
.81542 .2366 L
.81543 .23659 L
.81543 .23658 L
.81543 .23656 L
.81543 .23655 L
.81543 .23653 L
.81543 .23651 L
.81544 .23648 L
.81544 .23646 L
.81544 .23643 L
.81545 .2364 L
.81545 .23636 L
s
.81333 .25715 m
.81333 .25719 L
.81333 .25723 L
.81332 .25726 L
.81332 .25729 L
.81332 .25732 L
.81331 .25734 L
.81331 .25736 L
.81331 .25738 L
.81331 .2574 L
.81331 .25741 L
.81331 .25742 L
.8133 .25743 L
.8133 .25744 L
.8133 .25744 L
.8133 .25745 L
.8133 .25744 L
.8133 .25744 L
.8133 .25743 L
.81331 .25742 L
.81331 .25741 L
.81331 .2574 L
.81331 .25738 L
.81331 .25736 L
.81331 .25734 L
.81332 .25732 L
.81332 .25729 L
.81332 .25726 L
.81333 .25723 L
.81333 .25719 L
.81333 .25715 L
s
.81122 .27794 m
.81121 .27799 L
.81121 .27803 L
.81121 .27806 L
.8112 .2781 L
.8112 .27813 L
.8112 .27815 L
.81119 .27818 L
.81119 .2782 L
.81119 .27822 L
.81119 .27824 L
.81119 .27825 L
.81119 .27826 L
.81118 .27827 L
.81118 .27827 L
.81118 .27827 L
.81118 .27827 L
.81118 .27827 L
.81119 .27826 L
.81119 .27825 L
.81119 .27824 L
.81119 .27822 L
.81119 .2782 L
.81119 .27818 L
.8112 .27815 L
.8112 .27813 L
.8112 .2781 L
.81121 .27806 L
.81121 .27803 L
.81121 .27799 L
.81122 .27794 L
s
.8091 .29873 m
.8091 .29878 L
.80909 .29882 L
.80909 .29886 L
.80908 .2989 L
.80908 .29894 L
.80908 .29897 L
.80908 .29899 L
.80907 .29902 L
.80907 .29904 L
.80907 .29906 L
.80907 .29907 L
.80907 .29908 L
.80907 .29909 L
.80906 .2991 L
.80906 .2991 L
.80906 .2991 L
.80907 .29909 L
.80907 .29908 L
.80907 .29907 L
.80907 .29906 L
.80907 .29904 L
.80907 .29902 L
.80908 .29899 L
.80908 .29897 L
.80908 .29894 L
.80908 .2989 L
.80909 .29886 L
.80909 .29882 L
.8091 .29878 L
.8091 .29873 L
s
.80699 .31952 m
.80698 .31957 L
.80698 .31962 L
.80697 .31967 L
.80697 .31971 L
.80696 .31975 L
.80696 .31978 L
.80696 .31981 L
.80695 .31984 L
.80695 .31986 L
.80695 .31988 L
.80695 .3199 L
.80695 .31991 L
.80695 .31992 L
.80695 .31992 L
.80695 .31992 L
.80695 .31992 L
.80695 .31992 L
.80695 .31991 L
.80695 .3199 L
.80695 .31988 L
.80695 .31986 L
.80695 .31984 L
.80696 .31981 L
.80696 .31978 L
.80696 .31975 L
.80697 .31971 L
.80697 .31967 L
.80698 .31962 L
.80698 .31957 L
.80699 .31952 L
s
.80487 .34031 m
.80486 .34037 L
.80486 .34042 L
.80485 .34047 L
.80485 .34052 L
.80485 .34056 L
.80484 .34059 L
.80484 .34063 L
.80484 .34066 L
.80483 .34068 L
.80483 .3407 L
.80483 .34072 L
.80483 .34073 L
.80483 .34074 L
.80483 .34075 L
.80483 .34075 L
.80483 .34075 L
.80483 .34074 L
.80483 .34073 L
.80483 .34072 L
.80483 .3407 L
.80483 .34068 L
.80484 .34066 L
.80484 .34063 L
.80484 .34059 L
.80485 .34056 L
.80485 .34052 L
.80485 .34047 L
.80486 .34042 L
.80486 .34037 L
.80487 .34031 L
s
.80275 .3611 m
.80275 .36116 L
.80274 .36122 L
.80274 .36127 L
.80273 .36132 L
.80273 .36137 L
.80272 .36141 L
.80272 .36144 L
.80272 .36147 L
.80271 .3615 L
.80271 .36152 L
.80271 .36154 L
.80271 .36156 L
.80271 .36157 L
.80271 .36158 L
.80271 .36158 L
.80271 .36158 L
.80271 .36157 L
.80271 .36156 L
.80271 .36154 L
.80271 .36152 L
.80271 .3615 L
.80272 .36147 L
.80272 .36144 L
.80272 .36141 L
.80273 .36137 L
.80273 .36132 L
.80274 .36127 L
.80274 .36122 L
.80275 .36116 L
.80275 .3611 L
s
0 0 m
1 0 L
1 .3933 L
0 .3933 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{562, 220.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008b0000g2000`400?l00000o`00003oo`3ooooo
0?oooc@0oooo003o0?ooool0oooo=03oool009T0oooo1@00003o0?oooiD0oooo002J0?ooo`040000
003oool0oooo00000?l0ooooU@3oool009X0oooo00<000000?ooo`3oool0o`3ooonF0?ooo`00VP3o
ool00`000000oooo0?ooo`3o0?oooiH0oooo002J0?ooo`030000003oool0oooo0?l0ooooUP3oool0
09X0oooo00<000000?ooo`3oool0o`3ooonF0?ooo`00V@3oool300000?l0ooooU`3oool00?l0oooo
o`3ooold0?ooo`00o`3ooooo0?oooc@0oooo003o0?ooool0oooo=03oool00?l0ooooo`3ooold0?oo
o`00o`3ooooo0?oooc@0oooo003o0?ooool0oooo=03oool00?l0ooooo`3ooold0?ooo`00o`3ooooo
0?oooc@0oooo003o0?ooool0oooo=03oool00?l0ooooo`3ooold0?ooo`00X03oool:00000?l0oooo
R@3oool00:00oooo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?ooohL0oooo002O
0?ooo`/00000o`3ooon90?ooo`00W`3oool2000000P0Ogmo00<000000?ooo`3oool0o`3ooon70?oo
o`00WP3oool00`000000Ogmo0000000807moO`030000003oool0oooo0?l0ooooQ`3oool009h0oooo
00<0000007moO`000000201oOgl00`000000oooo0?ooo`3o0?ooohL0oooo002M0?ooo`040000001o
Ogl0Ogmo000000P0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00W@3oool010000000Ogmo07mo
O`00000807moO`030000003oool0oooo0?l0ooooQ`3oool009d0oooo00@0000007moO`1oOgl00000
201oOgl00`000000oooo0?ooo`3o0?ooohL0oooo002L0?ooo`040000001oOgl0Ogmo07moO`X00000
o`3ooon90?ooo`00W03oool01@000000Ogmo07moO`1oOgl0000000P0Ogmo00<000000?ooo`3oool0
o`3ooon70?ooo`00V`3oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo00H0Ogmo00<0
00000?ooo`3oool0o`3ooon70?ooo`00V`3oool00`000000Ogmo07moO`0207moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00VP3oool00`000000Ogmo07moO`0307mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00VP3oool00`000000
Ogmo07moO`0307moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00
V@3oool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0
o`3ooon70?ooo`00V@3oool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<0
00000?ooo`3oool0o`3ooon70?ooo`00V03oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00V03oool00`000000Ogmo07moO`0507mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00V03oool00`000000
Ogmo07moO`0507moO`X00000o`3ooon90?ooo`00U`3oool00`000000Ogmo07moO`0607moO`030000
001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U`3oool00`000000Ogmo07mo
O`0607moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00UP3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon7
0?ooo`00UP3oool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?oo
o`3oool0o`3ooon70?ooo`00UP3oool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U@3oool00`000000Ogmo07moO`0807moO`030000
001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U@3oool00`000000Ogmo07mo
O`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U@3oool0
0`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon7
0?ooo`00U@3oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?oo
o`3oool0o`3ooon70?ooo`00U03oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U03oool00`000000Ogmo07moO`0907moO`030000
001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U03oool00`000000Ogmo07mo
O`0907moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00U03oool0
0`000000Ogmo07moO`0907moO`X00000o`3ooon90?ooo`00T`3oool00`000000Ogmo07moO`0:07mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooon70?ooo`00T`3oool00`000000
Ogmo07moO`0:07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3oool70?ooo`<0
00000`3oool3000007L0oooo002C0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0
1P1oOgl00`000000oooo0?ooo`3o0?ooo`P0oooo00@000000?ooo`3oool000000P3oool00`000000
oooo0?ooo`1f0?ooo`00T`3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00H0Ogmo
00<000000?ooo`3oool0o`3oool80?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool0MP3oool009<0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0607moO`030000
003oool0oooo0?l0oooo203oool01`000000oooo0000003oool000000?ooo`000000N03oool00980
oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0?l0
oooo203oool01`000000oooo0000003oool000000?ooo`000000N03oool00980oooo00<0000007mo
O`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0?l0oooo203oool20000
00<0oooo0P00001h0?ooo`00TP3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool0o`3oool70?ooo`<000000`3oool3000007L0oooo002B0?ooo`030000
001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?ooohL0oooo
002A0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?oo
o`3o0?ooohL0oooo002A0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl0
0`000000oooo0?ooo`3o0?ooohL0oooo002A0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007mo
O`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?ooohL0oooo002A0?ooo`030000001oOgl0Ogmo00`0
Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?ooohL0oooo002A0?ooo`030000
001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?oooaH0oooo
00<000000?ooo`3oool0KP3oool00940oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07mo
O`0607moO`030000003oool0oooo0?l0oooo5P3oool2000006l0oooo002A0?ooo`030000001oOgl0
Ogmo00`0Ogmo2P00003o0?oooaT0oooo00<000000?ooo`3oool0K@3oool00900oooo00<0000007mo
O`1oOgl03@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0?l0oooo603oool00`00
0000oooo0?ooo`1/0?ooo`00T03oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool0o`3ooolI0?ooo`030000003oool0oooo06/0oooo002@0?ooo`030000
001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?oooaX0oooo
00<000000?ooo`3oool0JP3oool00900oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07mo
O`0607moO`030000003oool0oooo0?l0oooo6`3oool00`000000oooo0?ooo`1Y0?ooo`00T03oool0
0`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolL
0?ooo`030000003oool0oooo06P0oooo002@0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007mo
O`1oOgl01P1oOgl00`000000oooo0?ooo`3o0?oooad0oooo00<000000?ooo`3oool0I`3oool00900
oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0?l0
oooo7P3oool00`000000oooo0?ooo`1V0?ooo`00T03oool00`000000Ogmo07moO`0=07moO`030000
001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolO0?ooo`800000IP3oool00900oooo00<0
000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0?l0oooo803o
ool00`1oOgl000000?ooo`1T0?ooo`00T03oool00`000000Ogmo07moO`0=07moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolK0?ooo`D0000000<0oooo07moO`000000I03oool0
0900oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo
0?l0oooo603oool400WZ2PP00000H`3oool008l0oooo00<0000007moO`1oOgl03P1oOgl00`000000
Ogmo07moO`0607moO`030000003oool0oooo0?l0oooo4P3oool200WZ2PX0000000D02NX:00000000
000000000?ooo`0200000680oooo002?0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1o
Ogl01P1oOgl00`000000oooo0?ooo`3o0?ooo`/0oooo1`0000000`09jPX0000000WZ2P0700WZ2P<0
00001009jPX200000680oooo002?0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0
1P1oOgl00`000000oooo0?ooo`3o0?ooo`40oooo1P0000001009jPX0000000000000000?00WZ2P03
0?ooo`000000oooo00@0oooo00D02NX:0?ooo`000000oooo0000001Q0?ooo`00S`3oool00`000000
Ogmo07moO`0>07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0lP3oool400WZ2P@0
000000<02NX:0000000000000`00000:00WZ2QH0oooo00H02NX:0?ooo`0000002NX:0?ooo`00001P
0?ooo`00S`3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?oo
o`3oool0h`3oool900WZ2PX000001@09jPXU0?ooo`0400WZ2P3oool0000000WZ2P80oooo00<00000
0?ooo`3oool0G@3oool008l0oooo6`00003=0?oooaP02NX:2@00000800WZ2R`0oooo00@02NX:0000
0009jPX02NX:0`3oool2000005d0oooo002?0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007mo
O`1oOgl01P1oOgl00`000000oooo0?ooo`2l0?oooa002NX:2`3oool00`09jPX0oooo000000090000
000300WZ2P3oool0oooo00D0oooo1P09jPX^0?ooo`D02NX:103oool00`000000oooo0?ooo`1K0?oo
o`00S`3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool0Y03ooolH00WZ2P@0oooo00<02NX:0?ooo`3oool0203oool01009jPX0oooo0?ooo`3oool80000
000400WZ2P0000002NX:00WZ2PP0oooo2009jPXd0?ooo`0500WZ2P3oool000000?ooo`09jPX01@3o
ool00`000000oooo0?ooo`1J0?ooo`00S`3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0U@3oool?00WZ2P@0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo0080oooo1`0000000`09jPX0000000000004
00WZ2P@0oooo00@02NX:0?ooo`3oool0oooo2009jPXl0?ooo`0500WZ2P3oool000000?ooo`09jPX0
1P3oool00`000000oooo0?ooo`1I0?ooo`00S`3oool00`000000Ogmo07moO`0>07moO`030000001o
Ogl0Ogmo00H0Ogmo00<000000?ooo`3oool0O@3ooolH00WZ2PP0oooo00<02NX:0?ooo`3oool0203o
ool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo1@0000000`09jPX000000000
0002000000P02NX:1`3oool700WZ2T@0oooo00D02NX:0?ooo`000000oooo00WZ2P070?ooo`030000
003oool0oooo05P0oooo002?0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl01P1o
Ogl00`000000oooo0?ooo`1^0?ooo`l02NX:203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`070?ooo`T0000000<0
2NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`090?ooo`P02NX:B`3oool01@09jPX0oooo0000
003oool02NX:00P0oooo00<000000?ooo`3oool0E`3oool00900oooo00<0000007moO`1oOgl03@1o
Ogl00`000000Ogmo07moO`0607moO`030000003oool0oooo05H0oooo6@09jPX;0?ooo`0300WZ2P3o
ool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00P0oooo2P00000300WZ2P/0oooo00<02NX:0?ooo`3oool00`3oool700WZ2U80oooo00D0
2NX:0?ooo`000000oooo00WZ2P090?ooo`030000003oool0oooo05H0oooo002@0?ooo`030000001o
Ogl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`170?ooo`l02NX:00<0
oooo00WZ2P3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0000000000002000000500WZ2PL0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo00WZ
2P0300WZ2UT0oooo00D02NX:0?ooo`000000oooo00WZ2P0:0?ooo`030000003oool0oooo05D0oooo
002@0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?oo
o`0_0?oooaP02NX:103oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo0P09
jPX:0?ooo`0300WZ2P3oool0oooo00T000002009jPX40?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool0103oool600WZ2U`0oooo00H02NX:0?ooo`3oool000000?ooo`09jPX;0?ooo`03
0000003oool0oooo05@0oooo002@0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0
1P1oOgl00`000000oooo0?ooo`0P0?ooo`l02NX:1@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo0080oooo1P00000200WZ2P0300000009jPX0oooo00L0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`L02NX:HP3oool01P09jPX0oooo00000009jPX0oooo00WZ
2P`0oooo00<000000?ooo`3oool0D`3oool00900oooo00<0000007moO`1oOgl03@1oOgl00`000000
Ogmo07moO`0607moO`030000003oool0oooo00P0oooo6009jPX80?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0103oool50000000300WZ2P0000000000008000000`09jPX30?ooo`03
00WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool01009jPX0oooo0?ooo`3oool800WZ
2VT0oooo00<02NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`0;0?ooo`030000003oool0oooo
0580oooo002@0?ooo`030000001oOgl0Ogmo00X0Ogmo5`09jPX90?ooo`0300WZ2P3oool0oooo00P0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`050?ooo`0500WZ2P00000000000000
0009jPX01P00000600WZ2P/0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`050?oo
o`P02NX:L@3oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0oooo00`0oooo00<000000?oo
o`3oool0D@3oool004P0ooooE@09jPX307moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3o
ool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3o
ool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool01`3oool:000000<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`03
00WZ2P3oool0oooo00P0oooo2009jPYh0?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?oo
o`3oool03@3oool200000540oooo000>0?ooocX02NX:B03oool00`000000Ogmo07moO`0707moO`03
00WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl00P1oOgl01@09jPX0Ogmo07moO`1oOgl00000
00L0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P0000000000
00L000000`09jPX:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`030?ooo`H02NX:O`3oool700WZ2Q00oooo0P00001@0?ooo`003P3oool00`09jPX0
oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`0000002@1oOgl00`09jPX0
Ogmo07moO`0307moO`030000001oOgl0Ogmo0080Ogmo00D02NX:07moO`1oOgl0Ogmo000000070?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@00000400WZ2PL0oooo0P09jPX:0?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo00WZ2P0300WZ
2XD0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`0?0?ooo`800000C`3oool0
00h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool00000
00T0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0207moO`0500WZ2P1oOgl0Ogmo
07moO`0000001`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool0203oool01@09jPX0oooo0?ooo`3oool02NX:00L0000000<02NX:0000000000001@09
jPX40?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool200WZ2PX0oooo00<0
2NX:0?ooo`3oool01@3oool600WZ2XT0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo
0?ooo`0@0?ooo`800000CP3oool000h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0000000T0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07mo
O`0207moO`0500WZ2P1oOgl0Ogmo07moO`0000001`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool5000000802NX:0`0000070?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00P0oooo2009jPZ?0?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3o
ool04@3oool2000004d0oooo000>0?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0000000807moO`0300WZ2P1oOgl0Ogmo00<0Ogmo1@00000200WZ2P<00000
1`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00D0oooo100000000`09jPX00000
00000003000000802NX:0`3oool200WZ2PX0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00@02NX:0?ooo`3oool0oooo1`09jPZF0?ooo`05
00WZ2P3oool0oooo0?ooo`0000000P3oool00`09jPX0oooo0?ooo`0B0?ooo`800000C03oool000h0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0000000P0
Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0307moO`0400WZ2P1oOgl0Ogmo0000
00L0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo
00P0oooo00<02NX:0?ooo`3oool0203oool9000000D02NX:2`3oool00`09jPX0oooo0?ooo`080?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`050?oo
o`P02NX:W@3oool01`09jPX0oooo0?ooo`09jPX000000?ooo`09jPX05P3oool2000004/0oooo000>
0?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo00000008
07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl00`1oOgl01009jPX0Ogmo07moO`00
00070?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P000000000000P000001@09jPX80?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`09jPX01@09jPZU0?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool0
H@3oool000h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0000000P0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0307moO`0400WZ2P1o
Ogl0Ogmo000000L0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0000000P000000P09jPX:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
1P3oool400WZ2Z/0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`1Q0?ooo`00
3P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`000000
201oOgl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00<0Ogmo00@02NX:07moO`1oOgl0
00001`3oool00`09jPX0oooo0?ooo`090?ooo`0400WZ2P3oool0oooo0?ooo`P0000000@02NX:0000
0009jPX02NX:203oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00@02NX:
0?ooo`3oool0oooo1@09jPZ_0?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool0
H@3oool000h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0000000P0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0307moO`0400WZ2P1o
Ogl0Ogmo000000L0oooo00<02NX:0?ooo`3oool0103oool5000000802NX:0P00000400WZ2P@0oooo
00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`802NX:2P3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01@3oool800WZ2[@0oooo
00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`1Q0?ooo`003P3oool00`09jPX0oooo
0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`000000201oOgl00`09jPX0Ogmo
07moO`0307moO`H0000000@02NX:07moO`1oOgl00000103oool40000000300WZ2P000000000000<0
00001P09jPX;0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`080?ooo`802NX:2P3oool00`09jPX0oooo0?ooo`090?ooo`P02NX:_03oool01009jPX0
oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo0640oooo000>0?ooo`0300WZ2P3oool0oooo00P0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0103oool300000080oooo00@02NX:0?ooo`3oool000001`1oOgl00`09
jPX0Ogmo07moO`0307moO`030000001oOgl0000000<0000000<02NX:0000000000001@0000040?oo
o`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00P02NX:a03oool400WZ2P80oooo00<02NX:0?ooo`3oool0H@3oool000h0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`050?ooo`H0000000<0oooo0000001o
Ogl00P1oOgl200WZ2P80000000<02NX:0000000000002`0000000`1oOgl000000?ooo`070?ooo`03
00WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`03
00WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`050?ooo`L0
2NX:b`3oool00`09jPX0oooo0?ooo`0500WZ2V<0oooo000>0?ooo`0300WZ2P000000000000P00000
00<02NX:0000000000002@0000000`09jPX00000000000090000000300WZ2P000000000000T00000
00<02NX:000000000000200000000`09jPX00000000000090000000300WZ2P000000000000T00000
00<02NX:000000000000200000000`09jPX00000000000090000000300WZ2P000000000000T00000
00<02NX:0000000000002000000200WZ2PP000000P1oOgl00`09jPX0Ogmo07moO`0307moO`030000
001oOgl000000080000000D0Ogmo00WZ2P1oOgl0Ogmo000000080?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool200WZ2PX0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool02NX:00D02NX:dP3oool01@09jPX0oooo0?ooo`09jPX00000
0080oooo00<02NX:0?ooo`3oool0H@3oool000h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`050?ooo`D000000P3oool00`000000Ogmo07moO`0507moO`0300WZ2P1oOgl0Ogmo00<0
Ogmo0P00000407moO`0400WZ2P1oOgl0Ogmo000000P0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo0P09jPX:0?ooo`0300WZ2P3oool0oooo
00L0oooo1009jP[H0?ooo`0500WZ2P3oool0oooo00WZ2P0000000P3oool00`09jPX0oooo0?ooo`1Q
0?ooo`003P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo0P0000030?oo
o`0400WZ2P3oool0oooo000000L0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`03
07moO`0400WZ2P1oOgl0Ogmo000000P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool01009jPX0oooo0?oo
o`3oool600WZ2]`0oooo00D02NX:0?ooo`3oool02NX:000000020?ooo`0300WZ2P3oool0oooo0640
oooo000>0?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool01@09jPX0oooo
0?ooo`3oool0000000L0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0307moO`04
00WZ2P1oOgl0Ogmo000000P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0103oool800WZ2^80oooo00@02NX:0?oo
o`3oool000000`3oool00`09jPX0oooo0?ooo`1Q0?ooo`003P3oool00`09jPX0oooo0?ooo`080?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00D02NX:0?ooo`3oool0oooo0000000707moO`0300WZ2P1oOgl0
Ogmo0080Ogmo00<0000007moO`1oOgl00`1oOgl01009jPX0Ogmo07moO`0000080?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`L02NX:jP3o
ool01009jPX0oooo0?ooo`0000030?ooo`0300WZ2P3oool0oooo0640oooo000>0?ooo`0300WZ2P3o
ool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool01@09jPX0oooo0?ooo`3oool0000000L0Ogmo
00<02NX:07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0307moO`0400WZ2P1oOgl0Ogmo000000T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0400WZ2P3oool0oooo0?oo
o`P02NX:l@3oool01009jPX0oooo0?ooo`0000030?ooo`0300WZ2P3oool0oooo0640oooo000>0?oo
o`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool01@09jPX0oooo0?ooo`3oool0
000000L0Ogmo00<02NX:07moO`1oOgl00P1oOgl70000000300WZ2P000000000000T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`040?ooo`P02NX:n@3oool01009jPX0oooo0?ooo`00
00030?ooo`0300WZ2P3oool0oooo0640oooo000>0?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`020?ooo`030000001oOgl0Ogmo00@0Ogmo00<02NX:
07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0000000T0oooo00<02NX:
0?ooo`3oool02@3oool700WZ2_l0oooo0@3oool01@09jPX0oooo0?ooo`3oool0000000<0oooo00<0
2NX:0?ooo`3oool0H@3oool000h0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo0080oooo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo07moO`02
07moO`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`0000002@3oool00`09jPX0oooo0?ooo`07
0?ooo`<02NX:o`3oool70?ooo`0500WZ2P3oool0oooo0?ooo`0000000P3oool00`09jPX0oooo0?oo
o`1R0?ooo`003P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool00P3oool00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<00000
07moO`1oOgl0101oOgl00`09jPX0Ogmo000000090?ooo`0400WZ2P3oool0oooo0?ooo`H02NX:o`3o
ool:0?ooo`0500WZ2P3oool0oooo0?ooo`0000000P3oool00`09jPX0oooo0?ooo`1R0?ooo`003P3o
ool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3o
ool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3o
ool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3o
ool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool00`3o
ool00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl0101o
Ogl00`09jPX0Ogmo000000050?ooo`P02NX:o`3oool@0?ooo`P02NX:I03oool000h0oooo00<02NX:
0?ooo`3oool0203oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:
0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00@0oooo00<00000
07moO`1oOgl00`1oOgl00`09jPX0Ogmo07moO`0207moO`030000001oOgl0Ogmo00@0Ogmo2009jP[o
0?oooaP0oooo00D02NX:0?ooo`3oool0oooo000000020?ooo`0300WZ2P3oool0oooo0680oooo000U
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`08
0?ooo`0300WZ2P3oool0oooo00@0oooo00<0000007moO`1oOgl01`1oOgl800WZ2P80Ogmo00<00000
0?ooo`3oool0o`3ooolK0?ooo`0500WZ2P3oool0oooo00000009jPX00P3oool00`09jPX0oooo0?oo
o`1R0?ooo`003P3ooonA00WZ2P0307moO`000000Ogmo00L0Ogmo00<000000?ooo`3oool0o`3ooolK
0?ooo`0500WZ2P3oool0oooo00000009jPX00P3oool00`09jPX0oooo0?ooo`1R0?ooo`00U@3oool0
0`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolK
0?ooo`0500WZ2P3oool0oooo00000009jPX00P3oool00`09jPX0oooo0?ooo`1R0?ooo`00U@3oool0
0`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`1R0?ooo`00UP3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`1R0?ooo`00UP3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`1R0?ooo`00UP3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`1R0?ooo`00U`3oool0
0`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolJ
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`1R0?ooo`00U`3oool0
0`000000Ogmo07moO`0607moO`X00000o`3ooolL0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3o
ool00`09jPX0oooo0?ooo`1R0?ooo`00V03oool00`000000Ogmo07moO`0507moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolI0?ooo`802NX:0`3oool01@000000oooo0?ooo`3o
ool02NX:06@0oooo002H0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl01P1oOgl0
0`000000oooo0?ooo`3o0?oooaT0oooo00<02NX:0?ooo`09jPX01`09jPYT0?ooo`00V@3oool00`00
0000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolI0?oo
o`0500WZ2P3oool0oooo0?ooo`000000103oool00`09jPX0oooo0?ooo`1R0?ooo`00V@3oool00`00
0000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolH0?oo
o`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1R0?oo
o`00V@3oool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool0o`3ooolH0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`1R0?ooo`00VP3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00H0Ogmo
00<000000?ooo`3oool0o`3ooolH0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool00`09jPX0oooo0?ooo`1R0?ooo`00VP3oool00`000000Ogmo07moO`0307moO`030000001o
Ogl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolH0?ooo`0300WZ2P3oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1R0?ooo`00V`3oool00`000000Ogmo07moO`02
07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolH0?ooo`0300WZ2P3oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1R0?ooo`00V`3oool00`00
0000Ogmo07moO`0207moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooolH0?oo
o`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1R0?oo
o`00W03oool010000000Ogmo07moO`1oOgl:00000?l0oooo6@3oool00`09jPX0oooo0?ooo`030?oo
o`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0HP3oool009`0oooo00D0000007moO`1o
Ogl0Ogmo0000000807moO`030000003oool0oooo0?l0oooo5`3oool00`09jPX0oooo0?ooo`020?oo
o`0300WZ2P000000oooo0080oooo00<02NX:0?ooo`3oool0H`3oool009d0oooo00@0000007moO`1o
Ogl00000201oOgl00`000000oooo0?ooo`3o0?oooaL0oooo00<02NX:0?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo06<0oooo002M0?ooo`040000001oOgl0Ogmo0000
00P0Ogmo00<000000?ooo`3oool0o`3ooolG0?ooo`H02NX:103oool00`09jPX0oooo0?ooo`1S0?oo
o`00WP3oool00`000000Ogmo0000000807moO`030000003oool0oooo0?l0oooo5`3oool00`09jPX0
oooo0?ooo`020?ooo`H02NX:I@3oool009h0oooo00<0000007moO`000000201oOgl00`000000oooo
0?ooo`3o0?oooaL0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo06<0oooo002N0?ooo`030000001oOgl0000000T00000o`3ooolI0?ooo`0300WZ2P3o
ool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1S0?ooo`00W`3oool2
000000P0Ogmo00<000000?ooo`3oool0o`3ooolG0?ooo`0300WZ2P3oool0oooo0080oooo00<00000
0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1S0?ooo`00W`3oool2000000P0Ogmo00<000000?oo
o`3oool0o`3ooolF0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0000003oool00`3oool00`09
jPX0oooo0?ooo`1S0?ooo`00X03oool:00000?l0oooo603oool00`09jPX0oooo0?ooo`020?ooo`03
00WZ2P000000oooo00<0oooo00<02NX:0?ooo`3oool0H`3oool00?l0oooo`P3oool00`09jPX0oooo
0?ooo`020?ooo`0300WZ2P000000oooo00<0oooo00<02NX:0?ooo`3oool0H`3oool00?l0oooo`P3o
ool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool0H`3o
ool00?l0oooo`P3oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<02NX:
0?ooo`3oool0H`3oool00?l0oooo`P3oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo
00<0oooo00<02NX:0?ooo`3oool0H`3oool00?l0oooo`P3oool00`09jPX0oooo0?ooo`020?ooo`03
0000003oool0oooo00<0oooo00<02NX:0?ooo`3oool0H`3oool00?l0oooo`@3oool=00WZ2VD0oooo
003o0?oool40oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3o
ool0oooo06<0oooo003o0?oool40oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`02
0?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool40oooo00<02NX:0?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool40oooo00<02NX:0?ooo`3o
ool00`3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool40oooo
00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo06@0oooo
003o0?oool40oooo00<02NX:0?ooo`3oool00P3oool00`0000002NX:0?ooo`030?ooo`0300WZ2P3o
ool0oooo06@0oooo003o0?oool40oooo00<02NX:0?ooo`3oool00P3oool00`0000002NX:0?ooo`03
0?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool00oooo00<02NX:0?ooo`3oool00`3oool00`00
00002NX:0?ooo`030?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool00oooo00<02NX:0?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool00oooo
00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo06@0oooo
003o0?oool00oooo1009jPX20?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool0I03o
ool00?l0oooo`03oool00`09jPX0oooo0?ooo`0:00WZ2VH0oooo003o0?oool00oooo00<02NX:0?oo
o`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oool00
oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo06@0
oooo003o0?oool00oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ
2P3oool0oooo06@0oooo003o0?oookl0oooo00<02NX:0?ooo`3oool00`3oool00`0000002NX:0?oo
o`040?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oookl0oooo00<02NX:0?ooo`3oool00`3oool0
0`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oookl0oooo00<02NX:0?oo
o`3oool00`3oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oookl0
oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06@0
oooo003o0?oookl0oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo06@0oooo003o0?oookl0oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?oo
o`040?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oookh0oooo00<02NX:0?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06@0oooo003o0?oookh0oooo2009jPX60?oo
o`0300WZ2P3oool0oooo06@0oooo003o0?oookh0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0
000000WZ2P0600WZ2VH0oooo003o0?oookh0oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo
0?ooo`040?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oookd0oooo00<02NX:0?ooo`3oool0103o
ool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oookd0oooo00<02NX:
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oo
okd0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo
06D0oooo003o0?oookd0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo06D0oooo003o0?oookd0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oook`0oooo00<02NX:0?ooo`3oool01@3o
ool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oook`0oooo00<02NX:
0?ooo`3oool0103oool00`09jPX000000?ooo`050?ooo`0300WZ2P3oool0oooo06D0oooo003o0?oo
ok`0oooo00<02NX:0?ooo`3oool0103oool00`09jPX000000?ooo`050?ooo`0300WZ2P3oool0oooo
06D0oooo003o0?oook`0oooo1009jPX30?ooo`0300WZ2P000000oooo00D0oooo00<02NX:0?ooo`3o
ool0I@3oool00?l0oooo_03oool00`09jPX0oooo0?ooo`0=00WZ2VL0oooo003o0?oook`0oooo00<0
2NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`802NX:I`3oool00?l0oooo_03oool0
0`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<02NX:0?ooo`3oool0I@3oool0
0?l0oooo_03oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<02NX:0?oo
o`3oool0I@3oool00?l0oooo^`3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<02NX:0?ooo`3oool0I@3oool00?l0oooo^`3oool00`09jPX0oooo0?ooo`050?ooo`030000
003oool0oooo00D0oooo00<02NX:0?ooo`3oool0I@3oool00?l0oooo^`3oool00`09jPX0oooo0?oo
o`050?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^`3oool0
0`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool0IP3oool0
0?l0oooo^`3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<02NX:0?oo
o`3oool0IP3oool00?l0oooo^`3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^`3oool00`09jPX0oooo0?ooo`040?ooo`030000
0009jPX0oooo00D0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^`3oool600WZ2P030?ooo`09
jPX02NX:00H0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^P3oool00`09jPX0oooo0?ooo`03
0?ooo`/02NX:J03oool00?l0oooo^P3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo
00D0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^P3oool00`09jPX0oooo0?ooo`050?ooo`03
0000003oool0oooo00D0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^P3oool00`09jPX0oooo
0?ooo`030?ooo`030000003oool0000000L0oooo00<02NX:0?ooo`3oool0IP3oool00?l0oooo^P3o
ool00`09jPX0oooo0?ooo`030?ooo`D000001@3oool00`09jPX0oooo0?ooo`1V0?ooo`00o`3ooonj
0?ooo`0300WZ2P3oool0oooo00<0oooo1@0000050?ooo`0300WZ2P3oool0oooo06H0oooo003o0?oo
okX0oooo00<02NX:0?ooo`3oool00`3oool4000000H0oooo00<02NX:0?ooo`3oool0IP3oool00?l0
oooo^P3oool00`09jPX0oooo0?ooo`030?ooo`@000001P3oool00`09jPX0oooo0?ooo`1V0?ooo`00
o`3oooni0?ooo`0300WZ2P3oool0oooo00D0oooo0P0000070?ooo`0300WZ2P3oool0oooo06H0oooo
003o0?oookT0oooo00<02NX:0?ooo`3oool01@3oool2000000L0oooo00<02NX:0?ooo`3oool0D`3o
ool010000000oooo00000000000?0?ooo`00o`3oooni0?ooo`0300WZ2P3oool0oooo00D0oooo0P00
00070?ooo`0300WZ2P3oool0oooo05<0oooo0P0000020?ooo`030000003oool0oooo00`0oooo003o
0?oooi<0oooo9P0000000`09jPX000000000000>0000000300WZ2P000000000004T000002P3oool0
0`000000oooo0?ooo`02000000h0oooo003o0?ooolX0oooo00<02NX:0?ooo`3oool0E03oool30000
00l0oooo003o0?ooool0oooo8@3oool200000080oooo00<000000?ooo`3oool0303oool00?l0oooo
o`3ooolQ0?ooo`030000003oool0oooo008000003P3oool00?l0ooooo`3ooolR0?ooo`80000000<0
oooo0000003oool03@3oool00?l0ooooo`3ooold0?ooo`00o`3ooooo0?oooc@0oooo0000\
\>"],
  ImageRangeCache->{{{0, 561}, {219.938, 0}} -> {-5.50227, -32.5207, \
0.385892, 0.385892}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
opticalsystemreflected = {
GaussianBeam[20.,.01, NumberOfRays->6],
Move[PlanoConvexLens[100,50,10,DesignWaveLength->.532],50],
Move[Mirror[20],175,-45],
Move[Screen[50],{175,50},90]};
AnalyzeSystem[opticalsystemreflected, PlotType->TopView];\
\>", "Input",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .39158 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0241622 0.00463274 0.150622 0.00463274 [
[.27896 .00932 -3 -4.5 ]
[.27896 .00932 3 4.5 ]
[.78412 .09985 -3 -4.5 ]
[.78412 .09985 3 4.5 ]
[.97619 .38226 -3 -4.5 ]
[.97619 .38226 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .39158 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
0 0 Mdot
grestore
} def
% End of user PostScript
.5 g
.2855 .0348 m
.30213 .0348 L
.30213 .07341 L
.26852 .07341 L
.2855 .0348 L
F
.26852 .07341 m
.30213 .07341 L
.30213 .11202 L
.25892 .11202 L
.26852 .07341 L
F
.25892 .11202 m
.30213 .11202 L
.30213 .15062 L
.2558 .15062 L
.25892 .11202 L
F
.2558 .15062 m
.30213 .15062 L
.30213 .18923 L
.25892 .18923 L
.2558 .15062 L
F
.25892 .18923 m
.30213 .18923 L
.30213 .22783 L
.26852 .22783 L
.25892 .18923 L
F
.26852 .22783 m
.30213 .22783 L
.30213 .26644 L
.2855 .26644 L
.26852 .22783 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.2855 .0348 m
.26852 .07341 L
.25892 .11202 L
.2558 .15062 L
.25892 .18923 L
.26852 .22783 L
.2855 .26644 L
.30213 .26644 L
.30213 .22783 L
.30213 .18923 L
.30213 .15062 L
.30213 .11202 L
.30213 .07341 L
.30213 .0348 L
.2855 .0348 L
s
.5 g
.2855 .15062 m
.30213 .15062 L
.30213 .15062 L
.26852 .15062 L
.2855 .15062 L
F
.26852 .15062 m
.30213 .15062 L
.30213 .15062 L
.25892 .15062 L
.26852 .15062 L
F
.25892 .15062 m
.30213 .15062 L
.30213 .15062 L
.2558 .15062 L
.25892 .15062 L
F
.2558 .15062 m
.30213 .15062 L
.30213 .15062 L
.25892 .15062 L
.2558 .15062 L
F
.25892 .15062 m
.30213 .15062 L
.30213 .15062 L
.26852 .15062 L
.25892 .15062 L
F
.26852 .15062 m
.30213 .15062 L
.30213 .15062 L
.2855 .15062 L
.26852 .15062 L
F
0 g
.2855 .15062 m
.26852 .15062 L
.25892 .15062 L
.2558 .15062 L
.25892 .15062 L
.26852 .15062 L
.2855 .15062 L
.30213 .15062 L
.30213 .15062 L
.30213 .15062 L
.30213 .15062 L
.30213 .15062 L
.30213 .15062 L
.30213 .15062 L
.2855 .15062 L
s
.2855 .26644 m
.30213 .26644 L
.30213 .26249 L
.2855 .26249 L
.2855 .26644 L
s
.2855 .26249 m
.30213 .26249 L
.30213 .25092 L
.2855 .25092 L
.2855 .26249 L
s
.2855 .25092 m
.30213 .25092 L
.30213 .23252 L
.2855 .23252 L
.2855 .25092 L
s
.2855 .23252 m
.30213 .23252 L
.30213 .20853 L
.2855 .20853 L
.2855 .23252 L
s
.2855 .20853 m
.30213 .20853 L
.30213 .1806 L
.2855 .1806 L
.2855 .20853 L
s
.2855 .1806 m
.30213 .1806 L
.30213 .15062 L
.2855 .15062 L
.2855 .1806 L
s
.2855 .15062 m
.30213 .15062 L
.30213 .12065 L
.2855 .12065 L
.2855 .15062 L
s
.2855 .12065 m
.30213 .12065 L
.30213 .09271 L
.2855 .09271 L
.2855 .12065 L
s
.2855 .09271 m
.30213 .09271 L
.30213 .06873 L
.2855 .06873 L
.2855 .09271 L
s
.2855 .06873 m
.30213 .06873 L
.30213 .05032 L
.2855 .05032 L
.2855 .06873 L
s
.2855 .05032 m
.30213 .05032 L
.30213 .03875 L
.2855 .03875 L
.2855 .05032 L
s
.2855 .03875 m
.30213 .03875 L
.30213 .0348 L
.2855 .0348 L
.2855 .03875 L
s
.2855 .0348 m
.30213 .0348 L
.30213 .03875 L
.2855 .03875 L
.2855 .0348 L
s
.2855 .03875 m
.30213 .03875 L
.30213 .05032 L
.2855 .05032 L
.2855 .03875 L
s
.2855 .05032 m
.30213 .05032 L
.30213 .06873 L
.2855 .06873 L
.2855 .05032 L
s
.2855 .06873 m
.30213 .06873 L
.30213 .09271 L
.2855 .09271 L
.2855 .06873 L
s
.2855 .09271 m
.30213 .09271 L
.30213 .12065 L
.2855 .12065 L
.2855 .09271 L
s
.2855 .12065 m
.30213 .12065 L
.30213 .15062 L
.2855 .15062 L
.2855 .12065 L
s
.2855 .15062 m
.30213 .15062 L
.30213 .1806 L
.2855 .1806 L
.2855 .15062 L
s
.2855 .1806 m
.30213 .1806 L
.30213 .20853 L
.2855 .20853 L
.2855 .1806 L
s
.2855 .20853 m
.30213 .20853 L
.30213 .23252 L
.2855 .23252 L
.2855 .20853 L
s
.2855 .23252 m
.30213 .23252 L
.30213 .25092 L
.2855 .25092 L
.2855 .23252 L
s
.2855 .25092 m
.30213 .25092 L
.30213 .26249 L
.2855 .26249 L
.2855 .25092 L
s
.2855 .26249 m
.30213 .26249 L
.30213 .26644 L
.2855 .26644 L
.2855 .26249 L
s
.5 g
.80213 .11786 m
.80213 .11786 L
.81305 .12878 L
.81305 .12878 L
.80213 .11786 L
F
.81305 .12878 m
.81305 .12878 L
.82397 .1397 L
.82397 .1397 L
.81305 .12878 L
F
.82397 .1397 m
.82397 .1397 L
.83489 .15062 L
.83489 .15062 L
.82397 .1397 L
F
.83489 .15062 m
.83489 .15062 L
.84581 .16154 L
.84581 .16154 L
.83489 .15062 L
F
.84581 .16154 m
.84581 .16154 L
.85673 .17246 L
.85673 .17246 L
.84581 .16154 L
F
.85673 .17246 m
.85673 .17246 L
.86765 .18338 L
.86765 .18338 L
.85673 .17246 L
F
0 g
.80213 .11786 m
.81305 .12878 L
.82397 .1397 L
.83489 .15062 L
.84581 .16154 L
.85673 .17246 L
.86765 .18338 L
.86765 .18338 L
.85673 .17246 L
.84581 .16154 L
.83489 .15062 L
.82397 .1397 L
.81305 .12878 L
.80213 .11786 L
.80213 .11786 L
s
.5 g
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
0 g
.83489 .15062 m
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
s
.5 g
.83489 .15062 m
.84581 .16154 L
.84544 .16117 L
.83489 .15062 L
.83489 .15062 L
F
.84581 .16154 m
.85673 .17246 L
.85599 .17172 L
.84544 .16117 L
.84581 .16154 L
F
.85673 .17246 m
.86765 .18338 L
.86653 .18226 L
.85599 .17172 L
.85673 .17246 L
F
.83489 .15062 m
.84544 .16117 L
.84435 .16008 L
.83489 .15062 L
.83489 .15062 L
F
.84544 .16117 m
.85599 .17172 L
.8538 .16954 L
.84435 .16008 L
.84544 .16117 L
F
.85599 .17172 m
.86653 .18226 L
.86326 .17899 L
.8538 .16954 L
.85599 .17172 L
F
.83489 .15062 m
.84435 .16008 L
.84261 .15834 L
.83489 .15062 L
.83489 .15062 L
F
.84435 .16008 m
.8538 .16954 L
.85033 .16606 L
.84261 .15834 L
.84435 .16008 L
F
.8538 .16954 m
.86326 .17899 L
.85806 .17379 L
.85033 .16606 L
.8538 .16954 L
F
.83489 .15062 m
.84261 .15834 L
.84035 .15608 L
.83489 .15062 L
.83489 .15062 L
F
.84261 .15834 m
.85033 .16606 L
.84581 .16154 L
.84035 .15608 L
.84261 .15834 L
F
.85033 .16606 m
.85806 .17379 L
.85127 .167 L
.84581 .16154 L
.85033 .16606 L
F
.83489 .15062 m
.84035 .15608 L
.83772 .15345 L
.83489 .15062 L
.83489 .15062 L
F
.84035 .15608 m
.84581 .16154 L
.84054 .15627 L
.83772 .15345 L
.84035 .15608 L
F
.84581 .16154 m
.85127 .167 L
.84337 .1591 L
.84054 .15627 L
.84581 .16154 L
F
.83489 .15062 m
.83772 .15345 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83772 .15345 m
.84054 .15627 L
.83489 .15062 L
.83489 .15062 L
.83772 .15345 L
F
.84054 .15627 m
.84337 .1591 L
.83489 .15062 L
.83489 .15062 L
.84054 .15627 L
F
.83489 .15062 m
.83489 .15062 L
.83207 .1478 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.82924 .14497 L
.83207 .1478 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.82641 .14214 L
.82924 .14497 L
.83489 .15062 L
F
.83489 .15062 m
.83207 .1478 L
.82943 .14516 L
.83489 .15062 L
.83489 .15062 L
F
.83207 .1478 m
.82924 .14497 L
.82397 .1397 L
.82943 .14516 L
.83207 .1478 L
F
.82924 .14497 m
.82641 .14214 L
.81851 .13424 L
.82397 .1397 L
.82924 .14497 L
F
.83489 .15062 m
.82943 .14516 L
.82717 .1429 L
.83489 .15062 L
.83489 .15062 L
F
.82943 .14516 m
.82397 .1397 L
.81945 .13518 L
.82717 .1429 L
.82943 .14516 L
F
.82397 .1397 m
.81851 .13424 L
.81173 .12746 L
.81945 .13518 L
.82397 .1397 L
F
.83489 .15062 m
.82717 .1429 L
.82544 .14117 L
.83489 .15062 L
.83489 .15062 L
F
.82717 .1429 m
.81945 .13518 L
.81598 .13171 L
.82544 .14117 L
.82717 .1429 L
F
.81945 .13518 m
.81173 .12746 L
.80652 .12225 L
.81598 .13171 L
.81945 .13518 L
F
.83489 .15062 m
.82544 .14117 L
.82434 .14007 L
.83489 .15062 L
.83489 .15062 L
F
.82544 .14117 m
.81598 .13171 L
.8138 .12953 L
.82434 .14007 L
.82544 .14117 L
F
.81598 .13171 m
.80652 .12225 L
.80325 .11898 L
.8138 .12953 L
.81598 .13171 L
F
.83489 .15062 m
.82434 .14007 L
.82397 .1397 L
.83489 .15062 L
.83489 .15062 L
F
.82434 .14007 m
.8138 .12953 L
.81305 .12878 L
.82397 .1397 L
.82434 .14007 L
F
.8138 .12953 m
.80325 .11898 L
.80213 .11786 L
.81305 .12878 L
.8138 .12953 L
F
.83489 .15062 m
.82397 .1397 L
.82434 .14007 L
.83489 .15062 L
.83489 .15062 L
F
.82397 .1397 m
.81305 .12878 L
.8138 .12953 L
.82434 .14007 L
.82397 .1397 L
F
.81305 .12878 m
.80213 .11786 L
.80325 .11898 L
.8138 .12953 L
.81305 .12878 L
F
.83489 .15062 m
.82434 .14007 L
.82544 .14117 L
.83489 .15062 L
.83489 .15062 L
F
.82434 .14007 m
.8138 .12953 L
.81598 .13171 L
.82544 .14117 L
.82434 .14007 L
F
.8138 .12953 m
.80325 .11898 L
.80652 .12225 L
.81598 .13171 L
.8138 .12953 L
F
.83489 .15062 m
.82544 .14117 L
.82717 .1429 L
.83489 .15062 L
.83489 .15062 L
F
.82544 .14117 m
.81598 .13171 L
.81945 .13518 L
.82717 .1429 L
.82544 .14117 L
F
.81598 .13171 m
.80652 .12225 L
.81173 .12746 L
.81945 .13518 L
.81598 .13171 L
F
.83489 .15062 m
.82717 .1429 L
.82943 .14516 L
.83489 .15062 L
.83489 .15062 L
F
.82717 .1429 m
.81945 .13518 L
.82397 .1397 L
.82943 .14516 L
.82717 .1429 L
F
.81945 .13518 m
.81173 .12746 L
.81851 .13424 L
.82397 .1397 L
.81945 .13518 L
F
.83489 .15062 m
.82943 .14516 L
.83207 .1478 L
.83489 .15062 L
.83489 .15062 L
F
.82943 .14516 m
.82397 .1397 L
.82924 .14497 L
.83207 .1478 L
.82943 .14516 L
F
.82397 .1397 m
.81851 .13424 L
.82641 .14214 L
.82924 .14497 L
.82397 .1397 L
F
.83489 .15062 m
.83207 .1478 L
.83489 .15062 L
.83489 .15062 L
.83489 .15062 L
F
.83207 .1478 m
.82924 .14497 L
.83489 .15062 L
.83489 .15062 L
.83207 .1478 L
F
.82924 .14497 m
.82641 .14214 L
.83489 .15062 L
.83489 .15062 L
.82924 .14497 L
F
.83489 .15062 m
.83489 .15062 L
.83772 .15345 L
.83489 .15062 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.84054 .15627 L
.83772 .15345 L
.83489 .15062 L
F
.83489 .15062 m
.83489 .15062 L
.84337 .1591 L
.84054 .15627 L
.83489 .15062 L
F
.83489 .15062 m
.83772 .15345 L
.84035 .15608 L
.83489 .15062 L
.83489 .15062 L
F
.83772 .15345 m
.84054 .15627 L
.84581 .16154 L
.84035 .15608 L
.83772 .15345 L
F
.84054 .15627 m
.84337 .1591 L
.85127 .167 L
.84581 .16154 L
.84054 .15627 L
F
.83489 .15062 m
.84035 .15608 L
.84261 .15834 L
.83489 .15062 L
.83489 .15062 L
F
.84035 .15608 m
.84581 .16154 L
.85033 .16606 L
.84261 .15834 L
.84035 .15608 L
F
.84581 .16154 m
.85127 .167 L
.85806 .17379 L
.85033 .16606 L
.84581 .16154 L
F
.83489 .15062 m
.84261 .15834 L
.84435 .16008 L
.83489 .15062 L
.83489 .15062 L
F
.84261 .15834 m
.85033 .16606 L
.8538 .16954 L
.84435 .16008 L
.84261 .15834 L
F
.85033 .16606 m
.85806 .17379 L
.86326 .17899 L
.8538 .16954 L
.85033 .16606 L
F
.83489 .15062 m
.84435 .16008 L
.84544 .16117 L
.83489 .15062 L
.83489 .15062 L
F
.84435 .16008 m
.8538 .16954 L
.85599 .17172 L
.84544 .16117 L
.84435 .16008 L
F
.8538 .16954 m
.86326 .17899 L
.86653 .18226 L
.85599 .17172 L
.8538 .16954 L
F
.83489 .15062 m
.84544 .16117 L
.84581 .16154 L
.83489 .15062 L
.83489 .15062 L
F
.84544 .16117 m
.85599 .17172 L
.85673 .17246 L
.84581 .16154 L
.84544 .16117 L
F
.85599 .17172 m
.86653 .18226 L
.86765 .18338 L
.85673 .17246 L
.85599 .17172 L
F
0 g
.86765 .18338 m
.86653 .18226 L
.86326 .17899 L
.85806 .17379 L
.85127 .167 L
.84337 .1591 L
.83489 .15062 L
.82641 .14214 L
.81851 .13424 L
.81173 .12746 L
.80652 .12225 L
.80325 .11898 L
.80213 .11786 L
.80325 .11898 L
.80652 .12225 L
.81173 .12746 L
.81851 .13424 L
.82641 .14214 L
.83489 .15062 L
.84337 .1591 L
.85127 .167 L
.85806 .17379 L
.86326 .17899 L
.86653 .18226 L
.86765 .18338 L
s
.95071 .38226 m
.9121 .38226 L
.8735 .38226 L
.83489 .38226 L
.79629 .38226 L
.75768 .38226 L
.71907 .38226 L
.71907 .38226 L
.75768 .38226 L
.79629 .38226 L
.83489 .38226 L
.8735 .38226 L
.9121 .38226 L
.95071 .38226 L
.95071 .38226 L
s
.83489 .38226 m
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
.83489 .38226 L
s
.71907 .38226 m
.72302 .38226 L
.73459 .38226 L
.753 .38226 L
.77698 .38226 L
.80492 .38226 L
.83489 .38226 L
.86487 .38226 L
.8928 .38226 L
.91679 .38226 L
.93519 .38226 L
.94676 .38226 L
.95071 .38226 L
.94676 .38226 L
.93519 .38226 L
.91679 .38226 L
.8928 .38226 L
.86487 .38226 L
.83489 .38226 L
.80492 .38226 L
.77698 .38226 L
.753 .38226 L
.73459 .38226 L
.72302 .38226 L
.71907 .38226 L
s
.039 .916 .04 r
.02416 .05797 m
.27488 .05671 L
s
% Start of user PostScript
0 -20.0001 54.1182 -20.2707 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.27488 .05671 Mdot
.039 .916 .04 r
.5 Mabswid
.02416 .09503 m
.26248 .09431 L
s
% Start of user PostScript
0 -12.0001 51.4419 -12.1544 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.26248 .09431 Mdot
.039 .916 .04 r
.5 Mabswid
.02416 .13209 m
.25653 .13186 L
s
% Start of user PostScript
0 -4.00003 50.1581 -4.05019 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.25653 .13186 Mdot
.039 .916 .04 r
.5 Mabswid
.02416 .16915 m
.25653 .16939 L
s
% Start of user PostScript
0 4.00003 50.1581 4.05019 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.25653 .16939 Mdot
.039 .916 .04 r
.5 Mabswid
.02416 .20622 m
.26248 .20693 L
s
% Start of user PostScript
0 12.0001 51.4419 12.1544 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.26248 .20693 Mdot
.039 .916 .04 r
.5 Mabswid
.02416 .24328 m
.27488 .24453 L
s
% Start of user PostScript
0 20.0001 54.1182 20.2707 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.27488 .24453 Mdot
.039 .916 .04 r
.5 Mabswid
.27488 .05671 m
.30213 .0605 L
s
% Start of user PostScript
54.1182 -20.2707 60. -19.4538 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .0605 Mdot
.039 .916 .04 r
.5 Mabswid
.26248 .09431 m
.30213 .09748 L
s
% Start of user PostScript
51.4419 -12.1544 60. -11.4715 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .09748 Mdot
.039 .916 .04 r
.5 Mabswid
.25653 .13186 m
.30213 .13305 L
s
% Start of user PostScript
50.1581 -4.05019 60. -3.7937 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .13305 Mdot
.039 .916 .04 r
.5 Mabswid
.25653 .16939 m
.30213 .1682 L
s
% Start of user PostScript
50.1581 4.05019 60. 3.7937 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .1682 Mdot
.039 .916 .04 r
.5 Mabswid
.26248 .20693 m
.30213 .20377 L
s
% Start of user PostScript
51.4419 12.1544 60. 11.4715 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .20377 Mdot
.039 .916 .04 r
.5 Mabswid
.27488 .24453 m
.30213 .24075 L
s
% Start of user PostScript
54.1182 20.2707 60. 19.4538 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30213 .24075 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .0605 m
.86512 .18085 L
s
% Start of user PostScript
60. -19.4538 181.524 6.52388 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.86512 .18085 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .09748 m
.84824 .16397 L
s
% Start of user PostScript
60. -11.4715 177.88 2.88028 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.84824 .16397 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .13305 m
.83857 .1543 L
s
% Start of user PostScript
60. -3.7937 175.794 0.793613 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.83857 .1543 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .1682 m
.8315 .14723 L
s
% Start of user PostScript
60. 3.7937 174.267 -0.733129 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.8315 .14723 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .20377 m
.82444 .14017 L
s
% Start of user PostScript
60. 11.4715 172.745 -2.25505 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.82444 .14017 Mdot
.039 .916 .04 r
.5 Mabswid
.30213 .24075 m
.81531 .13104 L
s
% Start of user PostScript
60. 19.4538 170.774 -4.22593 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.81531 .13104 Mdot
.039 .916 .04 r
.5 Mabswid
.86512 .18085 m
.90817 .38226 L
s
% Start of user PostScript
181.524 6.52388 190.818 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90817 .38226 Mdot
.039 .916 .04 r
.5 Mabswid
.84824 .16397 m
.87481 .38226 L
s
% Start of user PostScript
177.88 2.88028 183.617 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.87481 .38226 Mdot
.039 .916 .04 r
.5 Mabswid
.83857 .1543 m
.8476 .38226 L
s
% Start of user PostScript
175.794 0.793613 177.743 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.8476 .38226 Mdot
.039 .916 .04 r
.5 Mabswid
.8315 .14723 m
.82218 .38226 L
s
% Start of user PostScript
174.267 -0.733129 172.257 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.82218 .38226 Mdot
.039 .916 .04 r
.5 Mabswid
.82444 .14017 m
.79497 .38226 L
s
% Start of user PostScript
172.745 -2.25505 166.383 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.79497 .38226 Mdot
.039 .916 .04 r
.5 Mabswid
.81531 .13104 m
.76161 .38226 L
s
% Start of user PostScript
170.774 -4.22593 159.182 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.76161 .38226 Mdot
[(L)] .27896 .00932 0 0 Mshowa
[(M)] .78412 .09985 0 0 Mshowa
[(S)] .97619 .38226 0 0 Mshowa
.039 .916 .04 r
1 Mabswid
.02416 .24328 m
.03806 .24335 L
.05196 .24342 L
.06586 .24349 L
.07976 .24355 L
.09365 .24362 L
.10755 .24369 L
.12145 .24376 L
.13535 .24383 L
.14925 .2439 L
.16314 .24397 L
.17704 .24404 L
.19094 .24411 L
.20484 .24418 L
.21874 .24425 L
.23264 .24432 L
.24653 .24439 L
.26043 .24383 L
.27433 .24203 L
.28823 .24022 L
.30213 .23841 L
.31602 .23567 L
.32992 .23292 L
.34382 .23018 L
.35772 .22743 L
.37162 .22469 L
.38552 .22194 L
.39941 .2192 L
.41331 .21645 L
.42721 .21371 L
.44111 .21096 L
.45501 .20822 L
.46891 .20547 L
.4828 .20273 L
.4967 .19998 L
.5106 .19724 L
.5245 .1945 L
.5384 .19175 L
.55229 .18901 L
.56619 .18626 L
.58009 .18352 L
.59399 .18077 L
.60789 .17803 L
.62179 .17528 L
.63568 .17254 L
.64958 .16979 L
.66348 .16705 L
.67738 .1643 L
.69128 .16156 L
.70518 .15881 L
Mistroke
.71907 .15607 L
.73297 .15332 L
.74687 .15067 L
.76077 .15341 L
.77467 .15616 L
.78856 .1589 L
.80246 .16165 L
.81636 .16439 L
.83026 .16714 L
.81563 .15989 L
.81289 .17379 L
.81014 .18768 L
.8074 .20158 L
.80465 .21548 L
.80191 .22938 L
.79916 .24328 L
.79642 .25718 L
.79367 .27107 L
.79093 .28497 L
.78818 .29887 L
.78544 .31277 L
.78269 .32667 L
.77995 .34056 L
.7772 .35446 L
.77446 .36836 L
.77171 .38226 L
Mfstroke
.02416 .05797 m
.03806 .0579 L
.05196 .05783 L
.06586 .05776 L
.07976 .05769 L
.09365 .05762 L
.10755 .05755 L
.12145 .05748 L
.13535 .05741 L
.14925 .05734 L
.16314 .05727 L
.17704 .0572 L
.19094 .05713 L
.20484 .05706 L
.21874 .05699 L
.23264 .05692 L
.24653 .05686 L
.26043 .05741 L
.27433 .05922 L
.28823 .06102 L
.30213 .06283 L
.31602 .06558 L
.32992 .06832 L
.34382 .07107 L
.35772 .07381 L
.37162 .07656 L
.38552 .0793 L
.39941 .08204 L
.41331 .08479 L
.42721 .08753 L
.44111 .09028 L
.45501 .09302 L
.46891 .09577 L
.4828 .09851 L
.4967 .10126 L
.5106 .104 L
.5245 .10675 L
.5384 .10949 L
.55229 .11224 L
.56619 .11498 L
.58009 .11773 L
.59399 .12047 L
.60789 .12322 L
.62179 .12596 L
.63568 .12871 L
.64958 .13145 L
.66348 .1342 L
.67738 .13694 L
.69128 .13969 L
.70518 .14243 L
Mistroke
.71907 .14518 L
.73297 .14792 L
.74687 .15058 L
.76077 .14783 L
.77467 .14509 L
.78856 .14234 L
.80246 .1396 L
.81636 .13685 L
.83026 .13411 L
.85415 .15989 L
.8569 .17379 L
.85964 .18768 L
.86239 .20158 L
.86513 .21548 L
.86788 .22938 L
.87062 .24328 L
.87337 .25718 L
.87611 .27107 L
.87886 .28497 L
.8816 .29887 L
.88435 .31277 L
.88709 .32667 L
.88984 .34056 L
.89258 .35446 L
.89533 .36836 L
.89807 .38226 L
Mfstroke
0 0 0 r
.02416 .15062 m
.2558 .15062 L
s
% Start of user PostScript
0 0 50. 0 MAarrowhead1
% End of user PostScript
.2558 .15062 m
.30213 .15062 L
s
% Start of user PostScript
50. 0 60. 0 MAarrowhead1
% End of user PostScript
.30213 .15062 m
.83489 .15062 L
s
% Start of user PostScript
60. 0 175. 0 MAarrowhead1
% End of user PostScript
.83489 .15062 m
.83489 .38226 L
s
% Start of user PostScript
175. 0 175. 50. MAarrowhead1
% End of user PostScript
.83489 .38226 m
.83489 .38226 L
s
% Start of user PostScript
175. 50. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .06723 m
.02385 .07279 L
.0239 .07835 L
.02394 .08391 L
.02397 .08947 L
.02401 .09503 L
.02404 .10059 L
.02406 .10615 L
.02409 .11171 L
.02411 .11727 L
.02412 .12283 L
.02414 .12838 L
.02415 .13394 L
.02416 .1395 L
.02416 .14506 L
.02416 .15062 L
.02416 .15618 L
.02416 .16174 L
.02415 .1673 L
.02414 .17286 L
.02412 .17842 L
.02411 .18398 L
.02409 .18954 L
.02406 .1951 L
.02404 .20066 L
.02401 .20621 L
.02397 .21177 L
.02394 .21733 L
.0239 .22289 L
.02385 .22845 L
.02381 .23401 L
s
.04466 .06714 m
.0447 .0727 L
.04474 .07827 L
.04478 .08384 L
.04482 .0894 L
.04485 .09497 L
.04488 .10053 L
.04491 .1061 L
.04493 .11166 L
.04495 .11723 L
.04497 .12279 L
.04498 .12836 L
.045 .13393 L
.045 .13949 L
.04501 .14506 L
.04501 .15062 L
.04501 .15619 L
.045 .16175 L
.045 .16732 L
.04498 .17288 L
.04497 .17845 L
.04495 .18402 L
.04493 .18958 L
.04491 .19515 L
.04488 .20071 L
.04485 .20628 L
.04482 .21184 L
.04478 .21741 L
.04474 .22297 L
.0447 .22854 L
.04466 .23411 L
s
.0655 .06705 m
.06555 .07262 L
.06559 .07819 L
.06563 .08376 L
.06567 .08933 L
.0657 .0949 L
.06573 .10048 L
.06576 .10605 L
.06578 .11162 L
.0658 .11719 L
.06582 .12276 L
.06583 .12833 L
.06584 .13391 L
.06585 .13948 L
.06586 .14505 L
.06586 .15062 L
.06586 .15619 L
.06585 .16177 L
.06584 .16734 L
.06583 .17291 L
.06582 .17848 L
.0658 .18405 L
.06578 .18962 L
.06576 .1952 L
.06573 .20077 L
.0657 .20634 L
.06567 .21191 L
.06563 .21748 L
.06559 .22306 L
.06555 .22863 L
.0655 .2342 L
s
.08635 .06695 m
.0864 .07253 L
.08644 .07811 L
.08648 .08369 L
.08651 .08926 L
.08655 .09484 L
.08658 .10042 L
.0866 .106 L
.08663 .11158 L
.08665 .11715 L
.08666 .12273 L
.08668 .12831 L
.08669 .13389 L
.0867 .13947 L
.0867 .14504 L
.0867 .15062 L
.0867 .1562 L
.0867 .16178 L
.08669 .16736 L
.08668 .17293 L
.08666 .17851 L
.08665 .18409 L
.08663 .18967 L
.0866 .19525 L
.08658 .20082 L
.08655 .2064 L
.08651 .21198 L
.08648 .21756 L
.08644 .22314 L
.0864 .22871 L
.08635 .23429 L
s
.1072 .06686 m
.10724 .07244 L
.10729 .07803 L
.10732 .08361 L
.10736 .08919 L
.10739 .09478 L
.10742 .10036 L
.10745 .10595 L
.10747 .11153 L
.10749 .11712 L
.10751 .1227 L
.10753 .12828 L
.10754 .13387 L
.10755 .13945 L
.10755 .14504 L
.10755 .15062 L
.10755 .15621 L
.10755 .16179 L
.10754 .16737 L
.10753 .17296 L
.10751 .17854 L
.10749 .18413 L
.10747 .18971 L
.10745 .1953 L
.10742 .20088 L
.10739 .20647 L
.10736 .21205 L
.10732 .21763 L
.10729 .22322 L
.10724 .2288 L
.1072 .23439 L
s
.12804 .06676 m
.12809 .07235 L
.12813 .07794 L
.12817 .08354 L
.12821 .08913 L
.12824 .09472 L
.12827 .10031 L
.1283 .1059 L
.12832 .11149 L
.12834 .11708 L
.12836 .12267 L
.12837 .12826 L
.12838 .13385 L
.12839 .13944 L
.1284 .14503 L
.1284 .15062 L
.1284 .15621 L
.12839 .1618 L
.12838 .16739 L
.12837 .17298 L
.12836 .17857 L
.12834 .18417 L
.12832 .18976 L
.1283 .19535 L
.12827 .20094 L
.12824 .20653 L
.12821 .21212 L
.12817 .21771 L
.12813 .2233 L
.12809 .22889 L
.12804 .23448 L
s
.14889 .06667 m
.14894 .07227 L
.14898 .07786 L
.14902 .08346 L
.14906 .08906 L
.14909 .09465 L
.14912 .10025 L
.14915 .10585 L
.14917 .11144 L
.14919 .11704 L
.14921 .12264 L
.14922 .12823 L
.14923 .13383 L
.14924 .13943 L
.14924 .14503 L
.14925 .15062 L
.14924 .15622 L
.14924 .16182 L
.14923 .16741 L
.14922 .17301 L
.14921 .17861 L
.14919 .1842 L
.14917 .1898 L
.14915 .1954 L
.14912 .20099 L
.14909 .20659 L
.14906 .21219 L
.14902 .21778 L
.14898 .22338 L
.14894 .22898 L
.14889 .23457 L
s
.16974 .06658 m
.16978 .07218 L
.16983 .07778 L
.16987 .08339 L
.1699 .08899 L
.16994 .09459 L
.16997 .10019 L
.16999 .1058 L
.17002 .1114 L
.17004 .117 L
.17005 .12261 L
.17007 .12821 L
.17008 .13381 L
.17009 .13942 L
.17009 .14502 L
.17009 .15062 L
.17009 .15623 L
.17009 .16183 L
.17008 .16743 L
.17007 .17303 L
.17005 .17864 L
.17004 .18424 L
.17002 .18984 L
.16999 .19545 L
.16997 .20105 L
.16994 .20665 L
.1699 .21226 L
.16987 .21786 L
.16983 .22346 L
.16978 .22906 L
.16974 .23467 L
s
.19059 .06648 m
.19063 .07209 L
.19067 .0777 L
.19071 .08331 L
.19075 .08892 L
.19078 .09453 L
.19081 .10014 L
.19084 .10575 L
.19086 .11136 L
.19088 .11697 L
.1909 .12258 L
.19092 .12818 L
.19093 .13379 L
.19093 .1394 L
.19094 .14501 L
.19094 .15062 L
.19094 .15623 L
.19093 .16184 L
.19093 .16745 L
.19092 .17306 L
.1909 .17867 L
.19088 .18428 L
.19086 .18989 L
.19084 .1955 L
.19081 .20111 L
.19078 .20672 L
.19075 .21232 L
.19071 .21793 L
.19067 .22354 L
.19063 .22915 L
.19059 .23476 L
s
.21143 .06639 m
.21148 .072 L
.21152 .07762 L
.21156 .08324 L
.2116 .08885 L
.21163 .09447 L
.21166 .10008 L
.21169 .1057 L
.21171 .11131 L
.21173 .11693 L
.21175 .12254 L
.21176 .12816 L
.21177 .13378 L
.21178 .13939 L
.21179 .14501 L
.21179 .15062 L
.21179 .15624 L
.21178 .16185 L
.21177 .16747 L
.21176 .17308 L
.21175 .1787 L
.21173 .18432 L
.21171 .18993 L
.21169 .19555 L
.21166 .20116 L
.21163 .20678 L
.2116 .21239 L
.21156 .21801 L
.21152 .22362 L
.21148 .22924 L
.21143 .23486 L
s
.23228 .06629 m
.23232 .07192 L
.23237 .07754 L
.23241 .08316 L
.23244 .08878 L
.23248 .0944 L
.23251 .10003 L
.23253 .10565 L
.23256 .11127 L
.23258 .11689 L
.2326 .12251 L
.23261 .12813 L
.23262 .13376 L
.23263 .13938 L
.23263 .145 L
.23264 .15062 L
.23263 .15624 L
.23263 .16187 L
.23262 .16749 L
.23261 .17311 L
.2326 .17873 L
.23258 .18435 L
.23256 .18997 L
.23253 .1956 L
.23251 .20122 L
.23248 .20684 L
.23244 .21246 L
.23241 .21808 L
.23237 .22371 L
.23232 .22933 L
.23228 .23495 L
s
.25313 .0662 m
.25317 .07183 L
.25321 .07746 L
.25325 .08308 L
.25329 .08871 L
.25332 .09434 L
.25335 .09997 L
.25338 .1056 L
.25341 .11123 L
.25343 .11685 L
.25344 .12248 L
.25346 .12811 L
.25347 .13374 L
.25348 .13937 L
.25348 .14499 L
.25348 .15062 L
.25348 .15625 L
.25348 .16188 L
.25347 .16751 L
.25346 .17313 L
.25344 .17876 L
.25343 .18439 L
.25341 .19002 L
.25338 .19565 L
.25335 .20127 L
.25332 .2069 L
.25329 .21253 L
.25325 .21816 L
.25321 .22379 L
.25317 .22942 L
.25313 .23504 L
s
.28028 .06836 m
.27952 .07384 L
.2788 .07933 L
.27814 .08481 L
.27753 .0903 L
.27698 .09578 L
.27647 .10126 L
.27602 .10675 L
.27563 .11223 L
.27528 .11772 L
.27499 .1232 L
.27475 .12868 L
.27457 .13417 L
.27444 .13965 L
.27436 .14514 L
.27433 .15062 L
.27436 .15611 L
.27444 .16159 L
.27457 .16707 L
.27475 .17256 L
.27499 .17804 L
.27528 .18353 L
.27563 .18901 L
.27602 .1945 L
.27647 .19998 L
.27698 .20546 L
.27753 .21095 L
.27814 .21643 L
.2788 .22192 L
.27952 .2274 L
.28028 .23289 L
s
.30095 .0708 m
.30021 .07612 L
.29952 .08144 L
.29887 .08676 L
.29828 .09208 L
.29774 .09741 L
.29726 .10273 L
.29682 .10805 L
.29644 .11337 L
.2961 .11869 L
.29582 .12401 L
.29559 .12934 L
.29541 .13466 L
.29528 .13998 L
.2952 .1453 L
.29518 .15062 L
.2952 .15594 L
.29528 .16127 L
.29541 .16659 L
.29559 .17191 L
.29582 .17723 L
.2961 .18255 L
.29644 .18787 L
.29682 .1932 L
.29726 .19852 L
.29774 .20384 L
.29828 .20916 L
.29887 .21448 L
.29952 .2198 L
.30021 .22513 L
.30095 .23045 L
s
.32881 .07408 m
.32716 .07918 L
.32563 .08429 L
.32421 .08939 L
.3229 .09449 L
.32171 .09959 L
.32063 .1047 L
.31966 .1098 L
.31881 .1149 L
.31807 .12001 L
.31745 .12511 L
.31693 .13021 L
.31654 .13531 L
.31625 .14042 L
.31608 .14552 L
.31602 .15062 L
.31608 .15572 L
.31625 .16083 L
.31654 .16593 L
.31693 .17103 L
.31745 .17614 L
.31807 .18124 L
.31881 .18634 L
.31966 .19144 L
.32063 .19655 L
.32171 .20165 L
.3229 .20675 L
.32421 .21186 L
.32563 .21696 L
.32716 .22206 L
.32881 .22716 L
s
.34904 .07779 m
.34747 .08264 L
.34601 .0875 L
.34466 .09235 L
.34342 .09721 L
.34228 .10206 L
.34125 .10692 L
.34033 .11178 L
.33952 .11663 L
.33882 .12149 L
.33822 .12634 L
.33774 .1312 L
.33736 .13605 L
.33709 .14091 L
.33693 .14577 L
.33687 .15062 L
.33693 .15548 L
.33709 .16033 L
.33736 .16519 L
.33774 .17004 L
.33822 .1749 L
.33882 .17976 L
.33952 .18461 L
.34033 .18947 L
.34125 .19432 L
.34228 .19918 L
.34342 .20404 L
.34466 .20889 L
.34601 .21375 L
.34747 .2186 L
.34904 .22346 L
s
.36927 .08149 m
.36778 .0861 L
.36639 .09071 L
.36511 .09532 L
.36393 .09993 L
.36285 .10453 L
.36188 .10914 L
.361 .11375 L
.36023 .11836 L
.35957 .12297 L
.359 .12758 L
.35854 .13219 L
.35818 .1368 L
.35792 .1414 L
.35777 .14601 L
.35772 .15062 L
.35777 .15523 L
.35792 .15984 L
.35818 .16445 L
.35854 .16906 L
.359 .17367 L
.35957 .17827 L
.36023 .18288 L
.361 .18749 L
.36188 .1921 L
.36285 .19671 L
.36393 .20132 L
.36511 .20593 L
.36639 .21054 L
.36778 .21514 L
.36927 .21975 L
s
.3895 .0852 m
.38809 .08956 L
.38678 .09392 L
.38556 .09828 L
.38444 .10264 L
.38342 .10701 L
.3825 .11137 L
.38168 .11573 L
.38095 .12009 L
.38032 .12445 L
.37978 .12881 L
.37934 .13318 L
.379 .13754 L
.37876 .1419 L
.37862 .14626 L
.37857 .15062 L
.37862 .15498 L
.37876 .15935 L
.379 .16371 L
.37934 .16807 L
.37978 .17243 L
.38032 .17679 L
.38095 .18115 L
.38168 .18552 L
.3825 .18988 L
.38342 .19424 L
.38444 .1986 L
.38556 .20296 L
.38678 .20732 L
.38809 .21169 L
.3895 .21605 L
s
.40972 .0889 m
.4084 .09302 L
.40716 .09713 L
.40601 .10125 L
.40496 .10536 L
.404 .10948 L
.40313 .11359 L
.40235 .1177 L
.40166 .12182 L
.40106 .12593 L
.40056 .13005 L
.40015 .13416 L
.39983 .13828 L
.3996 .14239 L
.39946 .14651 L
.39941 .15062 L
.39946 .15474 L
.3996 .15885 L
.39983 .16297 L
.40015 .16708 L
.40056 .1712 L
.40106 .17531 L
.40166 .17942 L
.40235 .18354 L
.40313 .18765 L
.404 .19177 L
.40496 .19588 L
.40601 .2 L
.40716 .20411 L
.4084 .20823 L
.40972 .21234 L
s
.42995 .09261 m
.4287 .09648 L
.42754 .10034 L
.42646 .10421 L
.42547 .10808 L
.42457 .11195 L
.42375 .11581 L
.42302 .11968 L
.42237 .12355 L
.42181 .12742 L
.42134 .13128 L
.42095 .13515 L
.42065 .13902 L
.42043 .14289 L
.4203 .14675 L
.42026 .15062 L
.4203 .15449 L
.42043 .15836 L
.42065 .16222 L
.42095 .16609 L
.42134 .16996 L
.42181 .17383 L
.42237 .1777 L
.42302 .18156 L
.42375 .18543 L
.42457 .1893 L
.42547 .19317 L
.42646 .19703 L
.42754 .2009 L
.4287 .20477 L
.42995 .20864 L
s
.45018 .09631 m
.44901 .09993 L
.44792 .10355 L
.44692 .10718 L
.44599 .1108 L
.44514 .11442 L
.44438 .11804 L
.44369 .12166 L
.44308 .12528 L
.44256 .1289 L
.44212 .13252 L
.44175 .13614 L
.44147 .13976 L
.44127 .14338 L
.44115 .147 L
.44111 .15062 L
.44115 .15424 L
.44127 .15786 L
.44147 .16148 L
.44175 .1651 L
.44212 .16872 L
.44256 .17235 L
.44308 .17597 L
.44369 .17959 L
.44438 .18321 L
.44514 .18683 L
.44599 .19045 L
.44692 .19407 L
.44792 .19769 L
.44901 .20131 L
.45018 .20493 L
s
.47041 .10002 m
.46932 .10339 L
.46831 .10677 L
.46737 .11014 L
.4665 .11351 L
.46571 .11689 L
.465 .12026 L
.46436 .12363 L
.4638 .12701 L
.46331 .13038 L
.4629 .13375 L
.46256 .13713 L
.46229 .1405 L
.46211 .14387 L
.46199 .14725 L
.46196 .15062 L
.46199 .154 L
.46211 .15737 L
.46229 .16074 L
.46256 .16412 L
.4629 .16749 L
.46331 .17086 L
.4638 .17424 L
.46436 .17761 L
.465 .18098 L
.46571 .18436 L
.4665 .18773 L
.46737 .1911 L
.46831 .19448 L
.46932 .19785 L
.47041 .20122 L
s
.49064 .10373 m
.48963 .10685 L
.48869 .10998 L
.48782 .1131 L
.48702 .11623 L
.48629 .11936 L
.48562 .12248 L
.48503 .12561 L
.48451 .12874 L
.48406 .13186 L
.48367 .13499 L
.48336 .13812 L
.48312 .14124 L
.48294 .14437 L
.48284 .1475 L
.4828 .15062 L
.48284 .15375 L
.48294 .15687 L
.48312 .16 L
.48336 .16313 L
.48367 .16625 L
.48406 .16938 L
.48451 .17251 L
.48503 .17563 L
.48562 .17876 L
.48629 .18189 L
.48702 .18501 L
.48782 .18814 L
.48869 .19127 L
.48963 .19439 L
.49064 .19752 L
s
.51087 .10743 m
.50994 .11031 L
.50907 .11319 L
.50827 .11607 L
.50753 .11895 L
.50686 .12183 L
.50625 .12471 L
.5057 .12759 L
.50522 .13047 L
.50481 .13335 L
.50445 .13622 L
.50416 .1391 L
.50394 .14198 L
.50378 .14486 L
.50368 .14774 L
.50365 .15062 L
.50368 .1535 L
.50378 .15638 L
.50394 .15926 L
.50416 .16214 L
.50445 .16502 L
.50481 .1679 L
.50522 .17078 L
.5057 .17366 L
.50625 .17654 L
.50686 .17942 L
.50753 .1823 L
.50827 .18518 L
.50907 .18805 L
.50994 .19093 L
.51087 .19381 L
s
.53109 .11114 m
.53024 .11377 L
.52945 .1164 L
.52872 .11903 L
.52805 .12167 L
.52743 .1243 L
.52687 .12693 L
.52637 .12956 L
.52593 .1322 L
.52555 .13483 L
.52523 .13746 L
.52497 .14009 L
.52476 .14272 L
.52462 .14536 L
.52453 .14799 L
.5245 .15062 L
.52453 .15325 L
.52462 .15589 L
.52476 .15852 L
.52497 .16115 L
.52523 .16378 L
.52555 .16642 L
.52593 .16905 L
.52637 .17168 L
.52687 .17431 L
.52743 .17695 L
.52805 .17958 L
.52872 .18221 L
.52945 .18484 L
.53024 .18748 L
.53109 .19011 L
s
.55132 .11484 m
.55055 .11723 L
.54984 .11961 L
.54917 .122 L
.54856 .12438 L
.548 .12677 L
.5475 .12915 L
.54705 .13154 L
.54665 .13392 L
.5463 .13631 L
.54601 .1387 L
.54577 .14108 L
.54558 .14347 L
.54545 .14585 L
.54537 .14824 L
.54535 .15062 L
.54537 .15301 L
.54545 .15539 L
.54558 .15778 L
.54577 .16016 L
.54601 .16255 L
.5463 .16493 L
.54665 .16732 L
.54705 .1697 L
.5475 .17209 L
.548 .17448 L
.54856 .17686 L
.54917 .17925 L
.54984 .18163 L
.55055 .18402 L
.55132 .1864 L
s
.57155 .11855 m
.57086 .12069 L
.57022 .12282 L
.56962 .12496 L
.56907 .1271 L
.56857 .12924 L
.56812 .13138 L
.56772 .13352 L
.56736 .13565 L
.56705 .13779 L
.56679 .13993 L
.56657 .14207 L
.56641 .14421 L
.56629 .14635 L
.56622 .14848 L
.56619 .15062 L
.56622 .15276 L
.56629 .1549 L
.56641 .15704 L
.56657 .15918 L
.56679 .16131 L
.56705 .16345 L
.56736 .16559 L
.56772 .16773 L
.56812 .16987 L
.56857 .172 L
.56907 .17414 L
.56962 .17628 L
.57022 .17842 L
.57086 .18056 L
.57155 .1827 L
s
.59178 .12225 m
.59117 .12414 L
.5906 .12604 L
.59007 .12793 L
.58959 .12982 L
.58915 .13171 L
.58875 .1336 L
.58839 .13549 L
.58807 .13738 L
.5878 .13927 L
.58757 .14117 L
.58738 .14306 L
.58723 .14495 L
.58712 .14684 L
.58706 .14873 L
.58704 .15062 L
.58706 .15251 L
.58712 .1544 L
.58723 .1563 L
.58738 .15819 L
.58757 .16008 L
.5878 .16197 L
.58807 .16386 L
.58839 .16575 L
.58875 .16764 L
.58915 .16953 L
.58959 .17143 L
.59007 .17332 L
.5906 .17521 L
.59117 .1771 L
.59178 .17899 L
s
.61201 .12596 m
.61148 .1276 L
.61098 .12925 L
.61052 .13089 L
.6101 .13254 L
.60972 .13418 L
.60937 .13582 L
.60906 .13747 L
.60878 .13911 L
.60855 .14076 L
.60835 .1424 L
.60818 .14405 L
.60805 .14569 L
.60796 .14733 L
.60791 .14898 L
.60789 .15062 L
.60791 .15227 L
.60796 .15391 L
.60805 .15555 L
.60818 .1572 L
.60835 .15884 L
.60855 .16049 L
.60878 .16213 L
.60906 .16378 L
.60937 .16542 L
.60972 .16706 L
.6101 .16871 L
.61052 .17035 L
.61098 .172 L
.61148 .17364 L
.61201 .17529 L
s
.63224 .12966 m
.63178 .13106 L
.63136 .13246 L
.63098 .13386 L
.63062 .13525 L
.63029 .13665 L
.63 .13805 L
.62973 .13944 L
.6295 .14084 L
.6293 .14224 L
.62912 .14364 L
.62898 .14503 L
.62887 .14643 L
.6288 .14783 L
.62875 .14922 L
.62873 .15062 L
.62875 .15202 L
.6288 .15342 L
.62887 .15481 L
.62898 .15621 L
.62912 .15761 L
.6293 .15901 L
.6295 .1604 L
.62973 .1618 L
.63 .1632 L
.63029 .16459 L
.63062 .16599 L
.63098 .16739 L
.63136 .16879 L
.63178 .17018 L
.63224 .17158 L
s
.65246 .13337 m
.65209 .13452 L
.65175 .13567 L
.65143 .13682 L
.65113 .13797 L
.65086 .13912 L
.65062 .14027 L
.6504 .14142 L
.65021 .14257 L
.65004 .14372 L
.6499 .14487 L
.64979 .14602 L
.6497 .14717 L
.64963 .14832 L
.6496 .14947 L
.64958 .15062 L
.6496 .15177 L
.64963 .15292 L
.6497 .15407 L
.64979 .15522 L
.6499 .15637 L
.65004 .15752 L
.65021 .15867 L
.6504 .15982 L
.65062 .16097 L
.65086 .16212 L
.65113 .16327 L
.65143 .16442 L
.65175 .16557 L
.65209 .16672 L
.65246 .16787 L
s
.67269 .13708 m
.6724 .13798 L
.67213 .13888 L
.67188 .13978 L
.67165 .14069 L
.67144 .14159 L
.67124 .14249 L
.67107 .1434 L
.67092 .1443 L
.67079 .1452 L
.67068 .14611 L
.67059 .14701 L
.67052 .14791 L
.67047 .14882 L
.67044 .14972 L
.67043 .15062 L
.67044 .15153 L
.67047 .15243 L
.67052 .15333 L
.67059 .15423 L
.67068 .15514 L
.67079 .15604 L
.67092 .15694 L
.67107 .15785 L
.67124 .15875 L
.67144 .15965 L
.67165 .16056 L
.67188 .16146 L
.67213 .16236 L
.6724 .16327 L
.67269 .16417 L
s
.69292 .14078 m
.69271 .14144 L
.69251 .14209 L
.69233 .14275 L
.69216 .14341 L
.69201 .14406 L
.69187 .14472 L
.69174 .14537 L
.69163 .14603 L
.69154 .14669 L
.69146 .14734 L
.69139 .148 L
.69134 .14865 L
.69131 .14931 L
.69128 .14997 L
.69128 .15062 L
.69128 .15128 L
.69131 .15193 L
.69134 .15259 L
.69139 .15325 L
.69146 .1539 L
.69154 .15456 L
.69163 .15521 L
.69174 .15587 L
.69187 .15653 L
.69201 .15718 L
.69216 .15784 L
.69233 .15849 L
.69251 .15915 L
.69271 .15981 L
.69292 .16046 L
s
.71315 .14449 m
.71302 .1449 L
.71289 .1453 L
.71278 .14571 L
.71268 .14612 L
.71258 .14653 L
.71249 .14694 L
.71242 .14735 L
.71235 .14776 L
.71229 .14817 L
.71224 .14858 L
.7122 .14899 L
.71217 .14939 L
.71214 .1498 L
.71213 .15021 L
.71212 .15062 L
.71213 .15103 L
.71214 .15144 L
.71217 .15185 L
.7122 .15226 L
.71224 .15267 L
.71229 .15308 L
.71235 .15349 L
.71242 .15389 L
.71249 .1543 L
.71258 .15471 L
.71268 .15512 L
.71278 .15553 L
.71289 .15594 L
.71302 .15635 L
.71315 .15676 L
s
.73338 .14819 m
.73333 .14835 L
.73328 .14852 L
.73323 .14868 L
.73319 .14884 L
.73315 .149 L
.73312 .14916 L
.73309 .14933 L
.73306 .14949 L
.73304 .14965 L
.73302 .14981 L
.733 .14997 L
.73299 .15014 L
.73298 .1503 L
.73297 .15046 L
.73297 .15062 L
.73297 .15078 L
.73298 .15095 L
.73299 .15111 L
.733 .15127 L
.73302 .15143 L
.73304 .15159 L
.73306 .15176 L
.73309 .15192 L
.73312 .15208 L
.73315 .15224 L
.73319 .1524 L
.73323 .15257 L
.73328 .15273 L
.73333 .15289 L
.73338 .15305 L
s
.75361 .14935 m
.75363 .14943 L
.75366 .14952 L
.75368 .1496 L
.7537 .14969 L
.75372 .14977 L
.75374 .14986 L
.75376 .14994 L
.75377 .15003 L
.75378 .15011 L
.7538 .1502 L
.7538 .15028 L
.75381 .15037 L
.75382 .15045 L
.75382 .15054 L
.75382 .15062 L
.75382 .15071 L
.75382 .15079 L
.75381 .15088 L
.7538 .15096 L
.7538 .15105 L
.75378 .15113 L
.75377 .15122 L
.75376 .1513 L
.75374 .15139 L
.75372 .15147 L
.7537 .15156 L
.75368 .15164 L
.75366 .15173 L
.75363 .15181 L
.75361 .1519 L
s
.77383 .14564 m
.77394 .14597 L
.77404 .1463 L
.77413 .14664 L
.77422 .14697 L
.7743 .1473 L
.77437 .14763 L
.77443 .14797 L
.77449 .1483 L
.77453 .14863 L
.77457 .14896 L
.77461 .14929 L
.77463 .14963 L
.77465 .14996 L
.77466 .15029 L
.77467 .15062 L
.77466 .15095 L
.77465 .15129 L
.77463 .15162 L
.77461 .15195 L
.77457 .15228 L
.77453 .15261 L
.77449 .15295 L
.77443 .15328 L
.77437 .15361 L
.7743 .15394 L
.77422 .15428 L
.77413 .15461 L
.77404 .15494 L
.77394 .15527 L
.77383 .1556 L
s
.79406 .14193 m
.79425 .14251 L
.79442 .14309 L
.79458 .14367 L
.79473 .14425 L
.79487 .14483 L
.79499 .14541 L
.7951 .14599 L
.7952 .14657 L
.79528 .14715 L
.79535 .14773 L
.79541 .14831 L
.79546 .14888 L
.79549 .14946 L
.79551 .15004 L
.79551 .15062 L
.79551 .1512 L
.79549 .15178 L
.79546 .15236 L
.79541 .15294 L
.79535 .15352 L
.79528 .1541 L
.7952 .15468 L
.7951 .15526 L
.79499 .15583 L
.79487 .15641 L
.79473 .15699 L
.79458 .15757 L
.79442 .15815 L
.79425 .15873 L
.79406 .15931 L
s
.81429 .13823 m
.81456 .13906 L
.81481 .13988 L
.81504 .14071 L
.81525 .14153 L
.81544 .14236 L
.81562 .14319 L
.81577 .14401 L
.81591 .14484 L
.81603 .14566 L
.81613 .14649 L
.81621 .14732 L
.81628 .14814 L
.81632 .14897 L
.81635 .1498 L
.81636 .15062 L
.81635 .15145 L
.81632 .15227 L
.81628 .1531 L
.81621 .15393 L
.81613 .15475 L
.81603 .15558 L
.81591 .15641 L
.81577 .15723 L
.81562 .15806 L
.81544 .15888 L
.81525 .15971 L
.81504 .16054 L
.81481 .16136 L
.81456 .16219 L
.81429 .16301 L
s
.85099 .15025 m
.84992 .1506 L
.84884 .15092 L
.84777 .15122 L
.8467 .15149 L
.84562 .15174 L
.84455 .15197 L
.84348 .15217 L
.8424 .15235 L
.84133 .15251 L
.84026 .15264 L
.83918 .15275 L
.83811 .15283 L
.83704 .15289 L
.83597 .15293 L
.83489 .15294 L
.83382 .15293 L
.83275 .15289 L
.83167 .15283 L
.8306 .15275 L
.82953 .15264 L
.82845 .15251 L
.82738 .15235 L
.82631 .15217 L
.82523 .15197 L
.82416 .15174 L
.82309 .15149 L
.82201 .15122 L
.82094 .15092 L
.81987 .1506 L
.81879 .15025 L
s
.8547 .17048 m
.85338 .1709 L
.85206 .1713 L
.85074 .17167 L
.84941 .17201 L
.84809 .17232 L
.84677 .17259 L
.84545 .17284 L
.84413 .17307 L
.84281 .17326 L
.84149 .17342 L
.84017 .17355 L
.83885 .17365 L
.83753 .17373 L
.83621 .17377 L
.83489 .17379 L
.83357 .17377 L
.83225 .17373 L
.83093 .17365 L
.82961 .17355 L
.82829 .17342 L
.82697 .17326 L
.82565 .17307 L
.82433 .17284 L
.82301 .17259 L
.82169 .17232 L
.82037 .17201 L
.81905 .17167 L
.81773 .1713 L
.81641 .1709 L
.81509 .17048 L
s
.8584 .19071 m
.85683 .19121 L
.85527 .19168 L
.8537 .19212 L
.85213 .19252 L
.85057 .19289 L
.849 .19322 L
.84743 .19352 L
.84586 .19378 L
.8443 .194 L
.84273 .1942 L
.84116 .19435 L
.83959 .19448 L
.83803 .19456 L
.83646 .19462 L
.83489 .19463 L
.83332 .19462 L
.83176 .19456 L
.83019 .19448 L
.82862 .19435 L
.82706 .1942 L
.82549 .194 L
.82392 .19378 L
.82235 .19352 L
.82079 .19322 L
.81922 .19289 L
.81765 .19252 L
.81608 .19212 L
.81452 .19168 L
.81295 .19121 L
.81138 .19071 L
s
.86211 .21093 m
.86029 .21152 L
.85848 .21207 L
.85666 .21257 L
.85485 .21304 L
.85304 .21346 L
.85122 .21384 L
.84941 .21419 L
.84759 .21449 L
.84578 .21475 L
.84396 .21498 L
.84215 .21516 L
.84033 .2153 L
.83852 .2154 L
.83671 .21546 L
.83489 .21548 L
.83308 .21546 L
.83126 .2154 L
.82945 .2153 L
.82763 .21516 L
.82582 .21498 L
.82401 .21475 L
.82219 .21449 L
.82038 .21419 L
.81856 .21384 L
.81675 .21346 L
.81493 .21304 L
.81312 .21257 L
.81131 .21207 L
.80949 .21152 L
.80768 .21093 L
s
.86581 .23116 m
.86375 .23183 L
.86169 .23245 L
.85963 .23302 L
.85757 .23355 L
.85551 .23403 L
.85344 .23447 L
.85138 .23486 L
.84932 .2352 L
.84726 .2355 L
.8452 .23575 L
.84314 .23596 L
.84108 .23612 L
.83901 .23624 L
.83695 .2363 L
.83489 .23633 L
.83283 .2363 L
.83077 .23624 L
.82871 .23612 L
.82665 .23596 L
.82458 .23575 L
.82252 .2355 L
.82046 .2352 L
.8184 .23486 L
.81634 .23447 L
.81428 .23403 L
.81222 .23355 L
.81016 .23302 L
.80809 .23245 L
.80603 .23183 L
.80397 .23116 L
s
.86952 .25139 m
.86721 .25214 L
.8649 .25283 L
.86259 .25347 L
.86028 .25406 L
.85798 .2546 L
.85567 .25509 L
.85336 .25553 L
.85105 .25592 L
.84874 .25625 L
.84643 .25653 L
.84413 .25676 L
.84182 .25694 L
.83951 .25707 L
.8372 .25715 L
.83489 .25718 L
.83258 .25715 L
.83028 .25707 L
.82797 .25694 L
.82566 .25676 L
.82335 .25653 L
.82104 .25625 L
.81873 .25592 L
.81642 .25553 L
.81412 .25509 L
.81181 .2546 L
.8095 .25406 L
.80719 .25347 L
.80488 .25283 L
.80257 .25214 L
.80027 .25139 L
s
.87322 .27162 m
.87067 .27244 L
.86811 .27321 L
.86556 .27392 L
.863 .27458 L
.86045 .27518 L
.85789 .27572 L
.85534 .2762 L
.85278 .27663 L
.85022 .277 L
.84767 .27731 L
.84511 .27757 L
.84256 .27777 L
.84 .27791 L
.83745 .27799 L
.83489 .27802 L
.83234 .27799 L
.82978 .27791 L
.82723 .27777 L
.82467 .27757 L
.82211 .27731 L
.81956 .277 L
.817 .27663 L
.81445 .2762 L
.81189 .27572 L
.80934 .27518 L
.80678 .27458 L
.80423 .27392 L
.80167 .27321 L
.79912 .27244 L
.79656 .27162 L
s
.87693 .29185 m
.87413 .29275 L
.87132 .29359 L
.86852 .29438 L
.86572 .29509 L
.86292 .29575 L
.86011 .29634 L
.85731 .29687 L
.85451 .29734 L
.85171 .29775 L
.8489 .29809 L
.8461 .29837 L
.8433 .29859 L
.8405 .29874 L
.83769 .29884 L
.83489 .29887 L
.83209 .29884 L
.82929 .29874 L
.82648 .29859 L
.82368 .29837 L
.82088 .29809 L
.81808 .29775 L
.81527 .29734 L
.81247 .29687 L
.80967 .29634 L
.80687 .29575 L
.80406 .29509 L
.80126 .29438 L
.79846 .29359 L
.79566 .29275 L
.79285 .29185 L
s
.88064 .31208 m
.87759 .31306 L
.87454 .31398 L
.87149 .31483 L
.86844 .31561 L
.86539 .31632 L
.86234 .31697 L
.85929 .31754 L
.85624 .31805 L
.85319 .31849 L
.85014 .31887 L
.84709 .31917 L
.84404 .31941 L
.84099 .31958 L
.83794 .31968 L
.83489 .31972 L
.83184 .31968 L
.82879 .31958 L
.82574 .31941 L
.82269 .31917 L
.81964 .31887 L
.81659 .31849 L
.81354 .31805 L
.8105 .31754 L
.80745 .31697 L
.8044 .31632 L
.80135 .31561 L
.7983 .31483 L
.79525 .31398 L
.7922 .31306 L
.78915 .31208 L
s
.88434 .3323 m
.88104 .33337 L
.87775 .33436 L
.87445 .33528 L
.87115 .33612 L
.86786 .33689 L
.86456 .33759 L
.86126 .33821 L
.85797 .33877 L
.85467 .33924 L
.85137 .33965 L
.84808 .33998 L
.84478 .34023 L
.84149 .34042 L
.83819 .34053 L
.83489 .34056 L
.8316 .34053 L
.8283 .34042 L
.825 .34023 L
.82171 .33998 L
.81841 .33965 L
.81511 .33924 L
.81182 .33877 L
.80852 .33821 L
.80522 .33759 L
.80193 .33689 L
.79863 .33612 L
.79533 .33528 L
.79204 .33436 L
.78874 .33337 L
.78544 .3323 L
s
.88805 .35253 m
.8845 .35368 L
.88096 .35474 L
.87742 .35573 L
.87387 .35664 L
.87033 .35747 L
.86678 .35821 L
.86324 .35889 L
.8597 .35948 L
.85615 .35999 L
.85261 .36043 L
.84907 .36078 L
.84552 .36106 L
.84198 .36125 L
.83844 .36137 L
.83489 .36141 L
.83135 .36137 L
.8278 .36125 L
.82426 .36106 L
.82072 .36078 L
.81717 .36043 L
.81363 .35999 L
.81009 .35948 L
.80654 .35889 L
.803 .35821 L
.79946 .35747 L
.79591 .35664 L
.79237 .35573 L
.78882 .35474 L
.78528 .35368 L
.78174 .35253 L
s
0 0 m
1 0 L
1 .39158 L
0 .39158 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{679, 265.812},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000:W00012B000`400?l00000o`00003oo`3ooooo
0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00^P3oool500000?l0oooo
j@3oool00;/0oooo00@000000?ooo`3oool00000o`3ooooY0?ooo`00^`3oool00`000000oooo0?oo
o`3o0?ooonX0oooo002k0?ooo`030000003oool0oooo0?l0oooojP3oool00;/0oooo00<000000?oo
o`3oool0o`3ooooZ0?ooo`00^`3oool00`000000oooo0?ooo`3o0?ooonX0oooo002j0?ooo`<00000
o`3oooo[0?ooo`00o`3ooooo0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?oo
o`00o`3ooooo0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo
0?ooojT0oooo003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo0?ooojT0oooo
003o0?ooool0ooooZ@3oool00?l0ooooo`3ooonY0?ooo`00o`3ooooo0?ooojT0oooo00310?ooo`d0
0000o`3ooooJ0?ooo`00`@3oool00`000000Ogmo07moO`0907moO`030000003oool0oooo0?l0oooo
f03oool00<00oooo0P00000;07moO`030000003oool0oooo0?l0oooof03oool00<00oooo3P00003o
0?ooomX0oooo00300?ooo`8000002`1oOgl00`000000oooo0?ooo`3o0?ooomP0oooo002o0?ooo`03
0000001oOgl0000000/0Ogmo00<000000?ooo`3oool0o`3ooooH0?ooo`00_`3oool00`000000Ogmo
0000000;07moO`030000003oool0oooo0?l0oooof03oool00;h0oooo00@0000007moO`1oOgl00000
2`1oOgl00`000000oooo0?ooo`3o0?ooomP0oooo002n0?ooo`040000001oOgl0Ogmo000000/0Ogmo
00<000000?ooo`3oool0o`3ooooH0?ooo`00_@3oool01@000000Ogmo07moO`1oOgl0000000/0Ogmo
00<000000?ooo`3oool0o`3ooooH0?ooo`00_@3oool01@000000Ogmo07moO`1oOgl0000000/0Ogmo
00<000000?ooo`3oool0o`3ooooH0?ooo`00_@3oool010000000Ogmo07moO`1oOgl=00000?l0oooo
fP3oool00;`0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0907moO`030000003o
ool0oooo0?l0oooof03oool00;80oooo0`09jPX70?ooo`030000001oOgl0Ogmo0080Ogmo00<00000
07moO`1oOgl02@1oOgl00`000000oooo0?ooo`3o0?ooomP0oooo002c0?ooo`H02NX:0P3oool00`00
0000Ogmo07moO`0307moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool0o`3ooooH0?oo
o`00H@3ooomM00WZ2P<0Ogmo00@0000007moO`1oOgl0Ogmo0P09jPX607moO`030000003oool0oooo
0?l0oooof03oool00140ooooE@09jPY70?ooo`/02NX:0P3oool200000080Ogmo1`09jPX00`1oOgl0
2NX:00WZ2P0200WZ2P<0Ogmo00<000000?ooo`3oool0o`3ooooH0?ooo`00/P3oool200WZ2P80oooo
2P09jPX00`1oOgl0000007moO`0207moO`L02NX:0P00003o0?ooomX0oooo002j0?ooo`030000001o
Ogl0Ogmo00<0Ogmo3009jPX0100000002NX:00WZ2P09jP[o0?ooomP0oooo002i0?ooo`030000001o
Ogl0Ogmo00D0Ogmo00<0000007moO`1oOgl04@09jP[o0?ooom<0oooo002i0?ooo`030000001oOgl0
Ogmo00D0Ogmo00<0000007moO`1oOgl02@1oOgl00`000000oooo0?ooo`0:00WZ2_l0oooocP3oool0
0:`0oooo00<02NX:0?ooo`3oool02@3oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo
00T0Ogmo00<000000?ooo`3oool01@3oool400WZ2P030?ooo`09jPX02NX:00802NX:o`3oooo:0?oo
o`00403oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02@3oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3o
ool02@3oool:00WZ2_l0ooooa@3oool00100oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00P0oooo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo
07moO`0=00000100oooo2P09jP[o0?oool00oooo000@0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`080?ooo`030000001oOgl0Ogmo00@0Ogmo00@0
2NX:07moO`1oOgl000002`1oOgl00`000000oooo0?ooo`0C0?ooo`T02NX:o`3ooonl0?ooo`004@3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0203o
ool00`000000Ogmo07moO`0407moO`0400WZ2P1oOgl0Ogmo000000X0Ogmo00<02NX:0000003oool0
6@3oool900WZ2_l0oooo]`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00L0oooo00<0000007moO`1oOgl0101oOgl01@09jPX0Ogmo07mo
O`1oOgl0000000X0Ogmo00<02NX:0000003oool07@3oool:00WZ2_l0oooo/P3oool00140oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00L0oooo00<0
000007moO`1oOgl0101oOgl01@09jPX0Ogmo07moO`1oOgl0000000T0Ogmo00<02NX:07moO`000000
4@3oool00`09jPX0oooo0?ooo`0?0?ooo`X02NX:o`3ooon]0?ooo`004@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool01`3oool00`000000Ogmo07mo
O`0407moO`0500WZ2P1oOgl0Ogmo07moO`0000002@1oOgl00`09jPX0Ogmo0000000A0?ooo`0300WZ
2P3oool0oooo01H0oooo1`09jP[o0?ooojT0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`060?ooo`030000001oOgl0Ogmo00D0Ogmo00D0
2NX:07moO`1oOgl0Ogmo0000000907moO`0300WZ2P1oOgl000000100oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0@0?ooo`D02NX:o`3ooonT0?ooo`004@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool01P3oool00`000000Ogmo07mo
O`0507moO`0500WZ2P1oOgl0Ogmo07moO`0000002@1oOgl00`09jPX0Ogmo0000000@0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool05@3oool500WZ2_l0ooooW`3oool00140oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00H0oooo00<0
000007moO`1oOgl01@1oOgl01@09jPX0Ogmo07moO`1oOgl0000000T0Ogmo00<02NX:07moO`000000
403oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo01T0oooo1@09jP[o0?oooi/0oooo
000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`060?ooo`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000907moO`0300WZ
2P1oOgl000000100oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo0100oooo1@09jP[o0?oooiH0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?ooo`030000001oOgl0Ogmo00D0Ogmo00<0
2NX:07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0707moO`0300WZ2P1oOgl0000000l0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo01D0oooo1@09
jP[o0?oooi40oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`050?ooo`030000001oOgl0Ogmo00D0Ogmo00<02NX:07moO`1oOgl00P1oOgl0
0`000000Ogmo07moO`0607moO`0400WZ2P1oOgl0Ogmo000000l0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303o
ool400WZ2_l0ooooS@3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00D0oooo00<0000007moO`1oOgl01@1oOgl00`09jPX0Ogmo07moO`02
07moO`030000001oOgl0Ogmo00H0Ogmo00@02NX:07moO`1oOgl000003`3oool00`09jPX0oooo0?oo
o`0:0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0@0?ooo`D02NX:o`3ooon80?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0103oool00`000000Ogmo07moO`0607moO`0300WZ2P1oOgl0
Ogmo0080Ogmo00<0000007moO`1oOgl01P1oOgl01009jPX0Ogmo07moO`00000>0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo01H0oooo1@09jP[o0?oooh<0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`030000001oOgl0Ogmo00H0Ogmo00<02NX:
07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0607moO`0400WZ2P1oOgl0Ogmo000000h0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0=0?ooo`D02NX:o`3ooomn0?ooo`004@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103oool0
0`000000Ogmo07moO`0607moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl01P1oOgl0
1009jPX0Ogmo07moO`00000>0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool04@3o
ool500WZ2_l0ooooNP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`09
0?ooo`D02NX:103oool00`000000Ogmo07moO`0607moO`0300WZ2P1oOgl0Ogmo0080Ogmo2@000000
1009jPX0000000000000000>0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`080?ooo`D02NX:o`3ooome0?ooo`004@3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0203ooom?00WZ2P0300000009jPX0
2NX:00@02NX:101oOgl00`09jPX0Ogmo07moO`0207moO`040000001oOgl0Ogmo07moO`802NX:0`1o
Ogl01009jPX0Ogmo07moO`00000=0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0=0?ooo`L02NX:o`3ooom^0?ooo`004@3ooomA00WZ2P<0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`D02NX:0P00000507moO`T02NX:00<0
000007moO`1oOgl00P1oOgl500WZ2P80Ogmo00<000000?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool04`3oool900WZ2_l0ooooI`3o
ool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`<02NX:103oool0
0`000000Ogmo07moO`0707moO`0300WZ2P1oOgl0Ogmo0080Ogmo2`09jPX2000000d0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0203oool:00WZ2/P0oooo0`0000030?ooo`<00000T03oool00140oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool02NX:00D0oooo00<0000007mo
O`1oOgl01`1oOgl00`09jPX0Ogmo07moO`0207moO`030000001oOgl0Ogmo0080Ogmo1P09jPX00`00
00002NX:00WZ2P0300WZ2PP0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool900WZ2/D0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`2?0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool00P3oool00`000000Ogmo07moO`0707mo
O`0300WZ2P1oOgl0Ogmo00<0Ogmo00@0000007moO`1oOgl0Ogmo1009jPX01@1oOgl02NX:07moO`1o
Ogl0000000@0oooo2@09jPX>0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00D0oooo2@09jP[00?ooo`040000003o
ool0oooo00000080oooo00<000000?ooo`3oool0S`3oool00140oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo0080oooo00<0000007moO`1oOgl01`1o
Ogl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo
0000000<0?ooo`T02NX:1@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`X02NX:^`3oool01`000000oooo
0000003oool000000?ooo`000000T@3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo0080oooo00<0000007moO`1oOgl01`1oOgl00`09jPX0
Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;0?oo
o`0300WZ2P3oool0oooo00L0oooo2009jPX;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0>0?ooo`X02NX:]P3oool01`000000oooo0000003oool0
00000?ooo`000000T@3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0500WZ2P3oool0oooo0?ooo`0000002P1oOgl00`09jPX0Ogmo07moO`0307moO`030000001o
Ogl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool02009jPX30?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00D0oooo1009jPX00`3oool02NX:
00WZ2P0200WZ2[80oooo0P0000030?ooo`800000T@3oool00140oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0500WZ2P3oool0oooo0?ooo`0000002P1oOgl00`09jPX0Ogmo
07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02@3oool800WZ2PT0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00T0oooo2P09jPZ/0?ooo`<0
00000`3oool300000900oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool01@09jPX0oooo0?ooo`3oool0000000X0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000
Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07moO`0000002`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool00`3oool800WZ2P030?ooo`09jPX0oooo
00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00T02NX:o`3ooom20?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00D02NX:0?ooo`3oool0oooo0000000:07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007mo
O`1oOgl01@1oOgl01@09jPX0Ogmo07moO`1oOgl0000000/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo2@09jPX60?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`050?ooo`T02NX:o`3ooolm
0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?oo
o`3oool000002`1oOgl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:
07moO`1oOgl0Ogmo0000000;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00H0oooo2009jPX<0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02P3oool:00WZ2_l0oooo>03oool00140oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo000000/0Ogmo00<0
2NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07moO`000000
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool02NX:00L02NX:0`3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02P09jP[o0?oooc<0oooo
000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool01009jPX0oooo0?oo
o`00000;07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl01@1oOgl01@09jPX0Ogmo
07moO`1oOgl0000000X0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`080?ooo`P0
2NX:2P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00D0oooo3009jP[o0?ooob`0
oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool01009jPX0oooo
0?ooo`00000;07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl01@1oOgl01@09jPX0
Ogmo07moO`1oOgl0000000X0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo0080oooo2009jPX00`3oool02NX:0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo1009jPX30?ooo`L02NX:o`3ooolU0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool000002`1oOgl00`09jPX0Ogmo07moO`0307mo
O`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000:0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0:0?ooo`T02NX:1P3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo0?ooo`D02NX:1@3oool500WZ2_l0oooo803o
ool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0
oooo000000/0Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0507moO`0500WZ2P1o
Ogl0Ogmo07moO`0000002P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?ooo`P02NX:3@3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`060?ooo`D02NX:1@3oool400WZ2Y<0oooo00<000000?ooo`3oool0Q@3oool00140oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo000000/0Ogmo
00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07moO`00
00002@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool02NX:00L02NX:103oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0;0?ooo`@02NX:1@3oool500WZ2Xh0oooo00<0Ogmo0000003oool0Q@3oool00140oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo000000/0
Ogmo00<02NX:07moO`1oOgl00`1oOgl80000000300WZ2P0000000000008000002@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo2009jPX;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo0080
oooo1@09jPX50?ooo`@02NX:R`3oool00`1oOgl000000?ooo`240?ooo`004@3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool000002P1oOgl00`09jPX0
Ogmo07moO`0407moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo000000090?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool01009jPX0oooo0?ooo`3oool8
00WZ2P80oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool01`3oool600WZ2P<0oooo1@09jPZ70?ooo`0307moO`000000
oooo08<0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0000000;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09
jPX0Ogmo07moO`0207moO`030000003oool0oooo00L0oooo00<02NX:0?ooo`3oool0303oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00T0oooo2@09jPX70?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`@02NX:1@3oool500WZ
2X<0oooo00<000000?ooo`3oool0PP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000
Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`040?ooo`P02NX:3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool00P3oool500WZ2PD0oooo1@09jPYo0?ooo`030000003oool0oooo0840
oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0000000;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo
07moO`0207moO`030000003oool0oooo00L0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool900WZ2PD0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo
1@09jPX50?ooo`@02NX:O03oool00`000000oooo0?ooo`200?ooo`004@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`0000002`1oOgl00`09jPX0Ogmo07mo
O`0407moO`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000oooo0?oo
o`070?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool01P3oool800WZ2P/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`D02NX:1@3oool500WZ2WP0oooo0P00
00200?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00D0oooo0`09jPX3
0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl010000000Ogmo07moO`1o
Ogl200WZ2P0307moO`09jPX0Ogmo00<0Ogmo00<000000?ooo`3oool01`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02009jPX30?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`020?ooo`D02NX:103o
ool600WZ2W@0oooo00<0Ogmo0000003oool0OP3oool00140oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`060?ooo`H02NX:0P00000;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00@00000
07moO`1oOgl0Ogmo1@09jPX307moO`030000003oool0oooo00L0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00P0oooo2@09jPX80?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0203oool500WZ2PD0oooo1@09jPYX0?ooo`P02NX:00<0
000000WZ2P3oool0O@3oool00140ooooW009jPX00`0000002NX:00WZ2P0?00WZ2P80Ogmo00<00000
07moO`1oOgl00P1oOgl600WZ2P8000002@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`030?ooo`T02NX:3@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool02NX:00@02NX:1@3oool700WZ2V<0oooo1P09jPX0
0`0000002NX:0000001m0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00H0oooo1P09jPX00`3oool0000007moO`0:07moO`0300WZ2P1oOgl0Ogmo0080Ogmo3@09jPX00`00
00002NX:00WZ2P0<00WZ2PX0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo2009jPX60?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0103oool400WZ2P@0oooo00@02NX:0?ooo`3oool0oooo1P09jPYH0?ooo`D02NX:00@0oooo
00WZ2P09jPX02NX:0`3oool00`09jPX0oooo000000050?ooo`<02NX:M03oool00140oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?ooo`802NX:103oool00`09jPX0oooo0000000;
07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00@0000007moO`1oOgl0Ogmo1009jPX407moO`030000003o
ool0oooo00H0oooo00<02NX:0?ooo`3oool00P3ooolJ00WZ2P`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`060?ooo`P02NX:303oool00`09jPX0oooo0?ooo`080?ooo`D02NX:2@3o
ool500WZ2Tl0oooo1009jPX50?ooo`802NX:103oool01009jPX0oooo0?ooo`00000500WZ2P80oooo
00<02NX:0?ooo`3oool0LP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07mo
O`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`09jPX06P09jPX=0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00P02NX:103oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool02NX:00@02NX:1`3o
ool00`09jPX0oooo00WZ2P0400WZ2TD0oooo1@09jPX80?ooo`0300WZ2P3oool0oooo00<0oooo1@09
jPX2000000H0oooo00<02NX:0?ooo`3oool0L@3oool00140oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl0
0`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?oooaX02NX:0P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0203oool900WZ2PT0oooo00<02NX:0?ooo`3oool0103oool4
00WZ2P<0oooo00<02NX:0?ooo`3oool0103oool500WZ2S/0oooo1@09jPX>0?ooo`X02NX:00<0oooo
0000000000001P3oool00`09jPX0oooo0?ooo`1`0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`0000002`1oOgl00`09jPX0Ogmo07moO`0407mo
O`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000oooo0?ooo`060?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?oo
oaT02NX:1@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00<0oooo2009jPX00`3o
ool02NX:0?ooo`090?ooo`D02NX:2P3oool400WZ2S<0oooo1009jPX?0?ooo`@02NX:1P3oool600WZ
2P0300000009jPX0oooo00D0oooo00<02NX:0?ooo`3oool0K`3oool00140oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1o
Ogl0101oOgl00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3o
ool01P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00H0oooo6P09jPX70?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`P0
2NX:1P3oool200WZ2P030?ooo`09jPX02NX:00<02NX:1`3oool00`09jPX0oooo00WZ2P0400WZ2RT0
oooo1@09jPX>0?ooo`D02NX:1@3oool;00WZ2P0300000009jPX0oooo00H0oooo00<02NX:0?ooo`3o
ool0KP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P000000Ogmo00/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0407moO`0300WZ
2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?oooaX02NX:
2P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00D0oooo2009jPX60?ooo`@02NX:
0`3oool00`09jPX0oooo0?ooo`040?ooo`D02NX:7`3oool500WZ2Pl0oooo1009jPX00`3oool02NX:
00WZ2P0700WZ2P@0oooo1009jPX40?ooo`0300WZ2P000000oooo00H0oooo00<02NX:0?ooo`3oool0
K@3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P00
0000Ogmo00/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0407moO`0300WZ2P1o
Ogl0Ogmo0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool00P3ooolJ00WZ2P`0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`09jPX01`09
jPX20?ooo`D02NX:2P3oool500WZ2QD0oooo1@09jPX?0?ooo`X02NX:00<0oooo00WZ2P3oool02P3o
ool00`09jPX0oooo00WZ2P050?ooo`0300WZ2P3oool0000000L0oooo00<02NX:0?ooo`3oool0K03o
ool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P000000
Ogmo00/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0
Ogmo0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo01/02NX:3@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo3009jPX6
0?ooo`802NX:0P3oool400WZ2Pd0oooo1009jPX>0?ooo`P02NX:2@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool02NX:0080oooo1@09jPX00`3oool000000?ooo`060?ooo`0300WZ2P3oool0
oooo06/0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0000007moO`0;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09
jPX0Ogmo07moO`0207moO`030000003oool0oooo00H0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo6P09jPX20?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool00P3oool800WZ2P030?ooo`09jPX0oooo00H0oooo1@09jPX30?oo
o`D02NX:2P3oool900WZ2P80oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?oo
o``02NX:00<0000000WZ2P3oool01@3oool00`09jPX0oooo0?ooo`1Z0?ooo`004@3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00@0oooo0`0000040?ooo`0300WZ2P000000Ogmo00/0
Ogmo00<02NX:07moO`1oOgl0101oOgl010000000Ogmo07moO`1oOgl30000000300WZ2P1oOgl0Ogmo
0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00T0oooo6P09jPX20?ooo`T02NX:103oool600WZ2PH0oooo3009jPX70?oooaX02NX:0P3oool00`09
jPX0oooo0?ooo`020?ooo`<000000P09jPX00`0000002NX:0?ooo`050?ooo`0300WZ2P3oool0oooo
06X0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool01@3oool600000003
00WZ2P000000Ogmo00/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0207moO`80
000000H02NX:000000000000000007moO`0000080?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo;`09jPX=
0?ooo`0300WZ2P3oool0oooo00P0oooo00L02NX:0?ooo`3oool02NX:0?ooo`09jPX0oooo00802NX:
200000050?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0I03oool00140oooo00<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000`0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:000000000000300000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000<0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000/0000000<0
2NX:0000000000002`0000000`09jPX000000000000;0000000300WZ2P000000000000@02NX:2000
00050?ooo`@02NX:I`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`05
0?ooo`D0000000<0oooo00WZ2P000000301oOgl00`09jPX0Ogmo07moO`0407moO`030000001oOgl0
Ogmo0080Ogmo0P0000000`09jPX000000000000207moO`030000003oool0oooo00H0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?oooaT02NX:1P3oool900WZ2PH0oooo1`09jPX4
0?ooo`d02NX:1P3oool00`09jPX0oooo0?ooo`020?oooaX02NX:0P3oool00`09jPX0000000WZ2P0<
00WZ2P030?ooo`09jPX0oooo06P0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0103oool2000000D0oooo00<02NX:0000001oOgl02`1oOgl00`09jPX0Ogmo07moO`0407mo
O`040000001oOgl0Ogmo07moO`80000000<0Ogmo00WZ2P1oOgl00`1oOgl00`000000oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`07
0?oooaX02NX:1P3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo0?ooo`P02NX:0P3o
ool00`09jPX0oooo0?ooo`040?ooo`D02NX:1@3oool500WZ2PX0oooo2@09jPX00`3oool02NX:0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00P0oooo00@02NX:0?ooo`3oool02NX:0P3oool200WZ2P800000
1P09jPX0100000002NX:00WZ2P0000050?ooo`0300WZ2P3oool0oooo06H0oooo000A0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0000007moO`0;07moO`0300WZ
2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo07moO`0207moO`030000
003oool0oooo00H0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3ooolI00WZ2P@0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo2`09jPX70?ooo`802NX:
00<0oooo00WZ2P09jPX00P09jPX?0?ooo`D02NX:3@3oool800WZ2PP0oooo00<02NX:0?ooo`3oool0
1`3oool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool01@09jPX00`000000
oooo00WZ2P02000000D0oooo00<02NX:0?ooo`3oool0I@3oool00140oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P000000Ogmo00/0Ogmo00<02NX:07moO`1oOgl0
101oOgl00`000000Ogmo07moO`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool0
1P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`09jPX0
6P09jPX>0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`X02NX:00<0oooo00WZ2P09jPX00`09jPX:0?ooo`D02NX:603oool400WZ2Pl0oooo
2`09jPX90?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool01009jPX0oooo00WZ2P09jPX20?oo
o`0800WZ2P3oool000000?ooo`09jPX0oooo07moO`0000050?ooo`0300WZ2P3oool0oooo06@0oooo
000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0000007mo
O`0;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo07mo
O`0207moO`030000003oool0oooo00H0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool00P3ooolI00WZ2Pd0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`P02NX:1P3oool400WZ2P@0oooo00<0
2NX:0?ooo`3oool00`3oool500WZ2R40oooo1@09jPX?0?ooo`d02NX:0P3oool01@09jPX0oooo0?oo
o`3oool02NX:00<0oooo00<02NX:0?ooo`3oool0103oool01@09jPX0oooo0000003oool02NX:0080
oooo00<0Ogmo0000003oool0103oool00`09jPX0oooo0?ooo`1S0?ooo`004@3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0000001oOgl02`1oOgl00`09jPX0Ogmo
07moO`0407moO`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000oooo
0?ooo`060?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103ooolJ00WZ2PT0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00X0oooo
2009jPX70?ooo`L02NX:203oool600WZ2R/0oooo1@09jPX>0?ooo`D02NX:103oool900WZ2P030?oo
o`09jPX0oooo00D0oooo00<02NX:0?ooo`0000000P09jPX30?ooo`030000003oool0oooo00@0oooo
00<02NX:0?ooo`3oool0HP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07mo
O`0407moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool01P3ooolJ00WZ2PL0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`020?ooo`P02NX:00<0oooo00WZ2P09jPX02@3o
ool500WZ2PX0oooo1009jPXe0?ooo`@02NX:3`3oool400WZ2P80oooo00<02NX:0?ooo`3oool00P09
jPX00`3oool02NX:00WZ2P0800WZ2P030?ooo`000000oooo00@02NX:00<0oooo000000000000103o
ool00`09jPX0oooo0?ooo`1R0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`0000002`1oOgl00`09jPX0Ogmo07moO`0407moO`030000001oOgl0
Ogmo00@0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00T0oooo6@09jPX50?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`080?ooo`P02NX:2P3oool00`09jPX0oooo0?ooo`020?ooo`D02NX:103oool0
0`09jPX0oooo0?ooo`030?ooo`D02NX:?@3oool500WZ2Ph0oooo1`09jPX30?ooo`802NX:1@3oool2
00WZ2P0300000009jPX02NX:00H02NX:0P0000020?ooo`0300WZ2P3oool0oooo0680oooo000A0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0000000;07mo
O`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo07moO`0207mo
O`030000003oool0oooo00H0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?oo
oaX02NX:0P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool02NX:00P02NX:103oool00`09
jPX0oooo0?ooo`0;0?ooo`D02NX:2@3oool600WZ2TL0oooo1@09jPX:0?ooo`0400WZ2P3oool0oooo
0?ooo`H02NX:00<0oooo00WZ2P09jPX00P3oool01@09jPX0oooo0?ooo`000000oooo00P02NX:00D0
00000?ooo`3oool0oooo00WZ2P1S0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00D0oooo0`09jPX30?ooo`0300WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101o
Ogl010000000Ogmo07moO`1oOgl500WZ2P<0Ogmo00<000000?ooo`3oool01P3oool01009jPX0oooo
0?ooo`3ooolJ00WZ2Pd0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?ooo`P0
2NX:3@3oool00`09jPX0oooo0?ooo`070?ooo`D02NX:2@3oool500WZ2U40oooo1009jPX60?ooo`05
00WZ2P3oool0oooo0?ooo`09jPX0103oool700WZ2P80oooo00<0000000WZ2P09jPX00P09jPX40?oo
o`0300WZ2P00000000000080oooo00<02NX:0?ooo`3oool0H@3oool00140oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`060?ooo`H02NX:00<0oooo0000001oOgl02P1oOgl01009jPX0
Ogmo07moO`1oOgl>00WZ2P0300000009jPX02NX:00/02NX:2`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool800WZ2PL0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`020?ooo`D02NX:1@3oool00`09jPX0oooo0?ooo`020?oo
o`@02NX:FP3oool500WZ2P030?ooo`09jPX0oooo0080oooo00<02NX:0?ooo`3oool00P3oool00`09
jPX0oooo0?ooo`020?ooo`802NX:0P3oool00`000000oooo00WZ2P060?ooo`0600WZ2P3oool00000
0000003oool02NX:H`3oool00140ooooW009jPX00`0000002NX:00WZ2P0>00WZ2P<0Ogmo00<00000
07moO`1oOgl00`1oOgl500WZ2P8000002@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`030?ooo`P02NX:00<0oooo
00WZ2P3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`D02NX:2P3oool500WZ2V<0oooo1P09jPX4
0?ooo`0300WZ2P3oool0oooo00<0oooo00H02NX:0?ooo`3oool000000?ooo`09jPX60?ooo`0600WZ
2P3oool0oooo07moO`0000002NX:H`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`060?ooo`H02NX:0P00000;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0000007moO`1o
Ogl00P1oOgl300WZ2P@0Ogmo00<000000?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0203oool900WZ2PT0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`070?ooo`H02NX:1P3oool700WZ2VP0oooo00<02NX:0?ooo`3o
ool00P3oool500WZ2PH0oooo00H02NX:0?ooo`3oool000000?ooo`09jPX60?ooo`0300WZ2P3oool0
oooo00<02NX:H`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?oo
o`802NX:103oool00`09jPX0oooo0000000;07moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00D0000007mo
O`1oOgl0Ogmo00WZ2P0207moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`09jPX01`09jPX4
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?ooo`3o
ool500WZ2PD0oooo1`09jPY_0?ooo`0500WZ2P3oool0oooo0?ooo`09jPX00P3oool700WZ2P80oooo
00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`020?ooo`D02NX:00<0oooo07moO`09
jPX0HP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0407moO`0300WZ
2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00H0oooo2009jPX<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool400WZ2PD0oooo1@09jPYf0?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool00`09jPX0
oooo0?ooo`0?00WZ2P80oooo00<02NX:0?ooo`3oool00P3oool00`09jPX000000?ooo`1P0?ooo`00
4@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`000000
2`1oOgl00`09jPX0Ogmo07moO`0407moO`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl0
0P1oOgl00`000000oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo2009jPX60?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`060?ooo`H02NX:
103oool400WZ2W/0oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo00@0
oooo00@02NX:0?ooo`3oool000001009jPX50?ooo`0300WZ2P3oool0oooo00<02NX:00<000000?oo
o`3oool0G`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0000000/0Ogmo00<02NX:07moO`1oOgl0101oOgl00`000000Ogmo07moO`0407moO`03
00WZ2P1oOgl0Ogmo0080Ogmo00<000000?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`030?ooo`T0
2NX:3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3o
ool0oooo1@09jPX50?ooo`D02NX:OP3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo
0080oooo00<02NX:0?ooo`3oool0103oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0
2NX:00<02NX:00@0oooo00WZ2P3oool0oooo1009jPX00`000000oooo0?ooo`1N0?ooo`004@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`0000002`1oOgl0
0`09jPX0Ogmo07moO`0407moO`030000001oOgl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl00P1oOgl0
0`000000oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`080?ooo`T02NX:203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool400WZ2PD0oooo1@09jPZ30?ooo`0500WZ2P3oool0
oooo0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`040?ooo`0400WZ2P3oool0oooo00000080oooo
00<02NX:0?ooo`3oool00`3oool900WZ2P030000003oool0oooo05d0oooo000A0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0000000;07moO`0300WZ2P1o
Ogl0Ogmo00@0Ogmo00<0000007moO`1oOgl0101oOgl00`09jPX0Ogmo07moO`0207moO`030000003o
ool0oooo00L0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00P02NX:0`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`060?ooo`D02NX:00@0oooo00WZ2P3oool0oooo
1@09jPZ80?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`040?ooo`04
00WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool0103oool01009jPX0oooo0?ooo`3oool6
00WZ2P800000G03oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0400WZ2P3oool0oooo000000X0Ogmo00<02NX:07moO`1oOgl0101oOgl80000000300WZ2P000000
0000008000002@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00H0oooo2009jPX;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;
0?ooo`0400WZ2P3oool0oooo0?ooo`D02NX:1@3oool400WZ2Xd0oooo00D02NX:0?ooo`3oool0oooo
00WZ2P050?ooo`0300WZ2P3oool0oooo00@0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0
oooo0?ooo`040?ooo`0300WZ2P3oool02NX:00P02NX:00<000000?ooo`3oool0FP3oool00140oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo000000/0
Ogmo00<02NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07mo
O`0000002@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`T02NX:1@3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`@02NX:1@3oool500WZ2Y00oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo00@0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`04
0?ooo`0300WZ2P3oool0oooo00<0oooo00D02NX:0?ooo`3oool0oooo00WZ2P02000005/0oooo000A
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool01009jPX0oooo0?ooo`00
000;07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl01@1oOgl01@09jPX0Ogmo07mo
O`1oOgl0000000T0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103oool800WZ2Pd0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
1@3oool500WZ2PD0oooo1009jPZE0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0
0P3oool00`09jPX0oooo0?ooo`050?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`020?ooo`0700WZ2P3oool0oooo0?ooo`09jPX0oooo0000001K
0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?oo
o`3oool000002`1oOgl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:
07moO`1oOgl0Ogmo0000000:0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`090?ooo`T02NX:1`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00D02NX:1@3oool500WZ2YT0oooo00D02NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ
2P3oool0oooo00D0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`050?ooo`03
00WZ2P3oool0oooo00<0oooo00D02NX:0?ooo`3oool0oooo00WZ2P1L0?ooo`004@3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool000002`1oOgl00`09
jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000:
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool01009jPX0oooo0?ooo`3o
ool800WZ2P80oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`D02NX:1@3o
ool500WZ2Yh0oooo00D02NX:0?ooo`3oool0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo00D0oooo
00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00<0
oooo00D02NX:0?ooo`3oool0oooo00WZ2P1L0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool000002`1oOgl00`09jPX0Ogmo07moO`0307mo
O`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000:0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool01`3oool800WZ2PX0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`050?ooo`@02NX:1@3oool500WZ2Z<0oooo00D02NX:0?ooo`3oool0oooo00WZ
2P050?ooo`0300WZ2P3oool0oooo00D0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo00<0oooo00D02NX:0?ooo`3oool0oooo00WZ2P1L0?ooo`00
4@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool0
00002`1oOgl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1o
Ogl0Ogmo0000000;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`09jPX01`09jPX40?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo00WZ2P0400WZ
2P80oooo1`09jPZW0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`050?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool01@3oool0
0`09jPX0oooo0?ooo`030?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0G03oool00140oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo000000/0Ogmo00<0
2NX:07moO`1oOgl00`1oOgl00`000000Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07moO`000000
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`050?ooo`P02NX:303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00T0oooo3009jPZ^0?ooo`0300WZ2P3oool0oooo0080oooo1009jPX20?ooo`0300WZ
2P3oool0oooo00D0oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`050?ooo`03
00WZ2P3oool0oooo00@02NX:0`3oool00`09jPX0oooo0?ooo`1J0?ooo`004@3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00@02NX:0?ooo`3oool000002`1oOgl00`09jPX0
Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0:0?oo
o`T02NX:1`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool01@3oool900WZ2[D0oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`@02NX:1P3oool0
1009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo00<0oooo1@09jPX40?ooo`0500WZ2P3o
ool0oooo0?ooo`09jPX0F`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0500WZ2P3oool0oooo0?ooo`0000002P1oOgl00`09jPX0Ogmo07moO`0307moO`030000
001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`020?ooo`P02NX:0P3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo00WZ2P0800WZ2[X0oooo00D02NX:0?ooo`3oool0oooo00WZ2P060?ooo`0300WZ2P3oool02NX:
01402NX:0P3oool00`09jPX0oooo0?ooo`040?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0F`3oool0
0140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0500WZ2P3oool0oooo
0?ooo`0000002P1oOgl00`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:
07moO`1oOgl0Ogmo0000000;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0203o
ool800WZ2PX0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00T0oooo2P09jPZn0?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01@3oool00`09jPX0oooo
0?ooo`060?ooo`0400WZ2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0
oooo0?ooo`030?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0F`3oool00140oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0500WZ2P3oool0oooo0?ooo`0000002P1oOgl00`09
jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000;
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`09jPX01`09jPX40?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00@0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2/80oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00@02NX:0?ooo`3oool000000P3o
ool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00D02NX:0?ooo`3oool0oooo
00WZ2P1K0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00D0
2NX:0?ooo`3oool0oooo0000000:07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0
1@1oOgl01@09jPX0Ogmo07moO`1oOgl0000000/0oooo00<02NX:0?ooo`3oool01P3oool800WZ2P`0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0
oooo2P09jP[60?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`050?ooo`0500WZ2P3oool0oooo0?ooo`0000000P3oool00`09jPX0oooo0?ooo`060?oo
o`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1H0?oo
o`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool00P3oool00`000000Ogmo07moO`0707moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00<0000007moO`1o
Ogl01@1oOgl01@09jPX0Ogmo07moO`1oOgl0000000/0oooo2@09jPX60?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00P0oooo2P09jP[;0?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01P3oool00`09jPX0oooo0?ooo`05
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo00@0oooo00D02NX:0?ooo`3oool0oooo00WZ2P1J0?ooo`004@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool00P3oool00`000000Ogmo07mo
O`0707moO`0300WZ2P1oOgl0Ogmo00<0Ogmo00@0000007moO`1oOgl0Ogmo1@09jPX307moO`040000
003oool0oooo0?ooo`P02NX:00<0oooo00WZ2P3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`T0
2NX:d03oool01@09jPX0oooo0?ooo`3oool02NX:00H0oooo00<02NX:0?ooo`3oool01@3oool01@09
jPX0oooo0?ooo`3oool000000080oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`04
0?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0FP3oool00140oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo0080oooo00<0000007moO`1oOgl01`1oOgl0
0`09jPX0Ogmo07moO`0307moO`030000001oOgl0Ogmo0080Ogmo1P09jPX00`0000002NX:00WZ2P02
00WZ2PT0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool03@3oool900WZ2]@0oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00D0oooo00D02NX:0?ooo`3oool0oooo0000
00020?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0103oool01@09jPX0oooo0?oo
o`3oool02NX:05X0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02@3o
ool300WZ2PD0oooo00<0000007moO`1oOgl01`1oOgl01009jPX0Ogmo07moO`1oOgl<00WZ2P800000
303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`070?ooo`X02NX:f03oool00`09jPX0oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01@3oool01@09jPX0oooo0?ooo`3oool0000000<0
oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`040?ooo`0500WZ2P3oool0oooo0?oo
o`09jPX0FP3oool00140ooooDP09jPX20?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02P3oool600WZ2P800000101oOgl900WZ2P0307moO`000000Ogmo00<0Ogmo0`09jPX01@1oOgl0
2NX:07moO`1oOgl0000000d0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo0180oooo2@09jP[M0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?oo
o`3oool0103oool00`09jPX0oooo0?ooo`050?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool0
0`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`1G0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00/0oooo00<02NX:0?ooo`3oool02@3ooom>00WZ2P0300000009jPX02NX:00<02NX:1@1oOgl00`09
jPX0Ogmo07moO`0207moO`050000001oOgl0Ogmo07moO`09jPX0101oOgl01009jPX0Ogmo07moO`00
000=0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`L02NX:i03oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00<0oooo00<0
2NX:0?ooo`3oool01P3oool01@09jPX0oooo0?ooo`3oool0000000<0oooo00<02NX:0?ooo`3oool0
1@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0
E`3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`D02NX:0P3o
ool00`000000Ogmo07moO`0707moO`0300WZ2P1oOgl0Ogmo0080Ogmo2@0000001009jPX000000000
0000000=0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo
0?ooo`070?ooo`D02NX:j`3oool01@09jPX0oooo0?ooo`3oool02NX:00H0oooo00<02NX:0?ooo`3o
ool01P3oool01@09jPX0oooo0?ooo`3oool0000000<0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`040?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0F@3oool00140oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`<02NX:1P3oool00`000000Ogmo07moO`0607mo
O`0300WZ2P1oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl01P1oOgl01009jPX0Ogmo07moO`00000>
0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0403oool500WZ2^l0oooo00<02NX:
0?ooo`3oool00P3oool00`09jPX0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo00H0oooo00D02NX:
0?ooo`3oool0oooo000000030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00P3o
ool00`09jPX0oooo00WZ2P030?ooo`0300WZ2P3oool0oooo05L0oooo000A0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`030000001oOgl0
Ogmo00H0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0607moO`0400WZ2P1oOgl0
Ogmo000000h0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`D02NX:l`3o
ool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00<02NX:00<0oooo00WZ2P3oool01`3o
ool01@09jPX0oooo0?ooo`3oool0000000<0oooo00<02NX:0?ooo`3oool01P3oool500WZ2P80oooo
00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1F0?ooo`004@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103oool00`000000Ogmo07mo
O`0607moO`0300WZ2P1oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl01P1oOgl01009jPX0Ogmo07mo
O`00000>0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0;0?ooo`0300WZ2P3oool0oooo01D0oooo1@09jP[h0?ooo`0300WZ2P3oool0oooo0080oooo
00<02NX:0?ooo`3oool00`3oool400WZ2PH0oooo00D02NX:0?ooo`3oool0oooo000000030?ooo`03
00WZ2P3oool0oooo00@0oooo0`09jPX60?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3o
ool0EP3oool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00@0oooo00<0000007moO`1oOgl01P1oOgl00`09jPX0Ogmo07moO`0207moO`030000
001oOgl0Ogmo00H0Ogmo00@02NX:07moO`1oOgl000003`3oool00`09jPX0oooo0?ooo`0:0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0?0?ooo`D0
2NX:o@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3o
ool05@09jPX20?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`1F0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool01@3oool00`000000Ogmo07moO`0507moO`0300WZ2P1oOgl0Ogmo0080Ogmo
00<0000007moO`1oOgl01P1oOgl01009jPX0Ogmo07moO`00000?0?ooo`0300WZ2P3oool0oooo00X0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0
oooo1009jP[o0?ooo`80oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00H0oooo00D02NX:0?ooo`3oool0oooo000000030?ooo`0300WZ2P3oool0oooo
00H0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo
05H0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`050?ooo`030000001oOgl0Ogmo00D0Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000
Ogmo07moO`0707moO`0300WZ2P1oOgl0000000l0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo01@0oooo1@09jP[o0?ooo`H0oooo00<02NX:0?ooo`3o
ool00`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00H0oooo00D02NX:0?ooo`3o
ool0oooo000000030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0103oool00`09
jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo05H0oooo000A0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`050?ooo`030000001oOgl0Ogmo00D0
Ogmo00<02NX:07moO`1oOgl00P1oOgl00`000000Ogmo07moO`0707moO`0300WZ2P1oOgl0000000l0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00l0
oooo1@09jP[o0?ooo`/0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00L0oooo00D02NX:0?ooo`3oool0oooo000000030?ooo`0300WZ2P3oool0oooo
00H0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo
05D0oooo000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0
oooo0?ooo`060?ooo`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000907mo
O`0300WZ2P1oOgl000000100oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0I0?oo
o`D02NX:o`3oool@0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0103oool00`09
jPX0oooo0?ooo`070?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`07
0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1E
0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool01P3oool00`000000Ogmo07moO`0507moO`0500WZ2P1oOgl0Ogmo07moO`0000002@1oOgl0
0`09jPX0Ogmo0000000@0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0503oool5
00WZ2_l0oooo503oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:
0?ooo`3oool01`3oool01@09jPX0oooo0?ooo`3oool0000000<0oooo00<02NX:0?ooo`3oool01`3o
ool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0E@3o
ool00140oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00H0oooo00<0000007moO`1oOgl01@1oOgl01@09jPX0Ogmo07moO`1oOgl0000000T0Ogmo00<0
2NX:07moO`000000403oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00l0oooo1@09
jP[o0?oooaP0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo00L0oooo00D02NX:0?ooo`3oool0oooo000000030?ooo`0300WZ2P3oool0oooo00L0oooo
00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo05D0oooo
000A0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`060?ooo`030000001oOgl0Ogmo00D0Ogmo00D02NX:07moO`1oOgl0Ogmo0000000907moO`0300WZ
2P1oOgl000000140oooo00<02NX:0?ooo`3oool05@3oool700WZ2_l0oooo7@3oool00`09jPX0oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool01@09jPX0oooo
0?ooo`3oool0000000<0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0E03oool00140oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00L0oooo00<0000007moO`1oOgl0
101oOgl01@09jPX0Ogmo07moO`1oOgl0000000T0Ogmo00<02NX:07moO`0000004@3oool00`09jPX0
oooo0?ooo`0>0?ooo`X02NX:o`3ooolQ0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`070?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09
jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00P3oool00`09
jPX0oooo0?ooo`1D0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool01`3oool00`000000Ogmo07moO`0407moO`0500WZ2P1oOgl0Ogmo07mo
O`0000002@1oOgl00`09jPX0Ogmo0000000M0?ooo`X02NX:o`3ooolV0?ooo`0300WZ2P3oool0oooo
0080oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`070?ooo`0500WZ2P3oool0oooo
0?ooo`0000000`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:
0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1D0?ooo`004@3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool01`3oool00`000000Ogmo07moO`0407mo
O`0500WZ2P1oOgl0Ogmo07moO`0000002P1oOgl00`09jPX000000?ooo`0H0?ooo`T02NX:o`3oool[
0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`07
0?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3o
ool0oooo00D0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1D0?ooo`004@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0203oool0
0`000000Ogmo07moO`0407moO`0400WZ2P1oOgl0Ogmo000000X0Ogmo00<02NX:0000003oool04`3o
ool900WZ2_l0oooo;`3oool00`09jPX0oooo0?ooo`030?ooo`@02NX:0`3oool00`09jPX0oooo0?oo
o`080?ooo`0500WZ2P3oool0oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo0080oooo1009jPX40?ooo`0300WZ2P3oool0oooo05@0oooo000@0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3o
ool0oooo00/0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`080?ooo`030000001o
Ogl0Ogmo00@0Ogmo00<02NX:07moO`1oOgl03@00000?0?ooo`X02NX:o`3ooolc0?ooo`0300WZ2P3o
ool0oooo00<0oooo00@02NX:0?ooo`3oool0oooo1009jPX90?ooo`0300WZ2P3oool0oooo0080oooo
00D000000?ooo`3oool0oooo00WZ2P0:0?ooo`@02NX:0`3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo05<0oooo000@0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
2`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`080?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0
2@1oOgl00`000000oooo0?ooo`080?ooo`X02NX:o`3ooolh0?ooo`0300WZ2P3oool0oooo0080oooo
00<02NX:0?ooo`3oool01@3oool400WZ2PH0oooo00<02NX:0?ooo`3oool00P3oool01@000000oooo
0?ooo`3oool02NX:00L0oooo1009jPX70?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3o
ool0D`3oool008l0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00T0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0907moO`030000
003oool0oooo00@0oooo1009jPX00`3oool02NX:00WZ2P0200WZ2_l0oooo?@3oool00`09jPX0oooo
0?ooo`020?ooo`0300WZ2P3oool0oooo00D0oooo00@02NX:0?ooo`3oool0oooo2`09jPX00`000000
2NX:00WZ2P0900WZ2P<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`020?ooo`03
00WZ2P3oool0oooo05<0oooo002h0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0
2@1oOgl00`000000oooo00WZ2P0900WZ2_l0oooo@03oool00`09jPX0oooo0?ooo`030?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo0080oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ
2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0D`3oool00;T0oooo00<0000007moO`1oOgl01@1o
Ogl00`000000Ogmo07moO`0407moO``02NX:o`3ooom50?ooo`0300WZ2P3oool0oooo00<0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo0080oooo00<0
00000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<0
2NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1C0?ooo`00^@3oool00`000000Ogmo07moO`03
07moO`d02NX:00<0000000WZ2P09jPX0o`3ooom:0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:
0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo0080oooo00<00000
0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`1B0?ooo`00/P3oool300WZ2P<0oooo1`09jPX207mo
O`030000001oOgl02NX:00P02NX:0P00003o0?oood/0oooo00<02NX:0?ooo`3oool00P3oool00`09
jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0580oooo000A0?oooeH02NX:C03oool600WZ2P04
0?ooo`000000Ogmo07moO`H02NX:101oOgl300WZ2P<0Ogmo00<000000?ooo`3oool0o`3ooom90?oo
o`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`070?oo
o`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`070?oo
o`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1B0?oo
o`00C`3ooom^00WZ2P@0Ogmo00<0000007moO`1oOgl00P1oOgl200WZ2PD0Ogmo00<000000?ooo`3o
ool0o`3ooom80?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0
oooo0?ooo`080?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`1B0?ooo`00/`3oool500WZ2P80oooo0P00000507moO`050000001oOgl0Ogmo07moO`09
jPX01`1oOgl00`000000oooo0?ooo`3o0?ooodP0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0
oooo0?ooo`030?ooo`0300WZ2P3oool0oooo0540oooo002b0?ooo`802NX:1`3oool00`000000Ogmo
07moO`0307moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool0o`3ooom80?ooo`0300WZ
2P3oool0oooo0080oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ
2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ
2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1A0?ooo`00_03o
ool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool0o`3o
oom80?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?oo
o`1A0?ooo`00_03oool00`000000Ogmo07moO`0207moO`d00000o`3ooom90?ooo`0300WZ2P3oool0
oooo00<0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0
oooo00H0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1A0?ooo`00_@3oool01@00
0000Ogmo07moO`1oOgl0000000/0Ogmo00<000000?ooo`3oool0o`3ooom70?ooo`0300WZ2P3oool0
oooo00<0oooo00<02NX:0?ooo`09jPX00P09jPX40?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool00P3oool300WZ2P030?ooo`09jPX0oooo00<0oooo00<02NX:0?ooo`3oool0D@3oool0
0;d0oooo00D0000007moO`1oOgl0Ogmo0000000;07moO`030000003oool0oooo0?l0ooooA`3oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo0080oooo1@09jPX:0?ooo`0300WZ2P3oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`080?ooo`D02NX:103oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo0500oooo002m0?ooo`050000001oOgl0Ogmo
07moO`0000002`1oOgl00`000000oooo0?ooo`3o0?ooodL0oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`070?ooo`D02NX:1P3oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0
oooo0080oooo00<02NX:0?ooo`3oool0103oool500WZ2PT0oooo00<02NX:0?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`1@0?ooo`00_P3oool010000000Ogmo07moO`00000;07moO`030000003oool0
oooo0?l0ooooA`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:
0?ooo`3oool00`3oool800WZ2P<0oooo00@000000?ooo`3oool0oooo2009jPX50?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`1@0?ooo`00_P3oool0
10000000Ogmo07moO`00000;07moO`030000003oool0oooo0?l0ooooAP3oool00`09jPX0oooo0?oo
o`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo00WZ
2P0600WZ2P030?ooo`09jPX0oooo00X0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`020?ooo`0300WZ2P3oool0oooo0500oooo002o0?ooo`030000001oOgl0000000/0Ogmo00<00000
0?ooo`3oool0o`3ooom60?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool00`3oool0
0`09jPX0oooo0?ooo`1?0?ooo`00_`3oool00`000000Ogmo0000000;07moO`030000003oool0oooo
0?l0ooooAP3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?oo
o`3oool0C`3oool00<00oooo3P00003o0?ooodP0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo04l0oooo00300?ooo`8000002`1oOgl00`000000oooo
0?ooo`3o0?ooodH0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo04l0oooo00300?ooo`8000002`1oOgl00`000000oooo0?ooo`3o0?ooodD0oooo00<0
2NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00P0oooo00<0
2NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo04l0oooo0031
0?ooo`d00000o`3ooom70?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01`3oool0
0`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool00`3oool0
0`09jPX0oooo0?ooo`1>0?ooo`00o`3ooooo0?oooaH0oooo00<02NX:0?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool01P3oool00`09
jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04h0oooo003o0?ooool0oooo5P3oool00`09jPX0
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`070?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0CP3oool00?l0oooo
o`3ooolE0?ooo`0300WZ2P3oool0oooo00<0oooo00@02NX:0?ooo`09jPX02NX:1P3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo0P09jPX00`3oool02NX:0?ooo`030?ooo`03
00WZ2P3oool0oooo04h0oooo003o0?ooool0oooo5@3oool00`09jPX0oooo0?ooo`030?ooo`0400WZ
2P3oool0oooo0?ooo`<02NX:0`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`090?ooo`0400WZ2P3oool0oooo0?oo
o`<02NX:0`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04d0oooo003o0?ooool0
oooo5@3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00@0oooo1009jPX;0?ooo`03
00WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`090?ooo`@0
2NX:1P3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04d0oooo003o0?ooool0oooo
5@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00P0oooo1P09jPX60?ooo`0300WZ
2P3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`H02NX:
2P3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo04d0oooo003o0?ooool0oooo5@3o
ool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool00`3o
ool700WZ2PD0oooo00<000000?ooo`3oool00`3oool700WZ2PD0oooo00<02NX:0?ooo`3oool0203o
ool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo04d0oooo003o0?ooool0oooo503oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool=
00WZ2P/0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0
oooo04d0oooo003o0?ooool0oooo503oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo
00L0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`030?ooo`030000003oool0oooo
00<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo
00<0oooo00<02NX:0?ooo`3oool0C03oool00?l0ooooo`3ooolD0?ooo`0300WZ2P3oool0oooo00<0
oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00<0
oooo00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`1<0?ooo`00o`3ooooo0?oooa@0oooo
00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00X0oooo
00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00X0oooo
00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo04`0oooo
003o0?ooool0oooo4`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00P0oooo00<0
2NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<0
2NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo0080oooo00<0
2NX:0?ooo`3oool0C03oool00?l0ooooo`3ooolC0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:
0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00<0oooo00<00000
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`1;0?ooo`00o`3ooooo0?oooa<0oooo00<02NX:0?oo
o`3oool00`3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?oo
o`3oool00`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?oo
o`3oool0203oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04/0oooo003o0?ooool0
oooo4`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool02P3oool00`09jPX0oooo0?ooo`030?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3o
ool02P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3o
ool0B`3oool00?l0ooooo`3ooolC0?ooo`0300WZ2P3oool0oooo0080oooo00<02NX:0?ooo`3oool0
2@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0
0P3oool00`09jPX0oooo0?ooo`1;0?ooo`00o`3ooooo0?oooa80oooo00<02NX:0?ooo`3oool00`3o
ool01009jPX0oooo0?ooo`09jPX70?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0
0`3oool00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0
1P3oool01009jPX0oooo0?ooo`09jPX40?ooo`0300WZ2P3oool0oooo04/0oooo003o0?ooool0oooo
4P3oool00`09jPX0oooo0?ooo`030?ooo`0400WZ2P3oool0oooo0?ooo`@02NX:0`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`0;0?ooo`0400WZ2P3oool0oooo0?ooo`@02NX:0`3oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo04X0oooo003o0?ooool0oooo4P3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo00D0oooo1009jPX=0?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3o
ool00`3oool00`09jPX0oooo0?ooo`0;0?ooo`@02NX:1`3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo04X0oooo003o0?ooool0oooo4P3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo00T0oooo1`09jPX70?ooo`0300WZ2P3oool0oooo00<0oooo00<000000?ooo`3oool0
0`3oool00`09jPX0oooo0?ooo`050?ooo`L02NX:2`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo04X0oooo003o0?ooool0oooo4P3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool0103oool800WZ2PD0oooo00<000000?ooo`3oool00`3o
ool800WZ2PH0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3o
ool0oooo04X0oooo003o0?ooool0oooo4@3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0
oooo00T0oooo00<02NX:0?ooo`3oool02P3oool>00WZ2Pd0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04T0oooo003o0?ooool0oooo4@3oool00`09
jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool00`09
jPX0oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool02`3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0B@3oool00?l0
ooooo`3ooolA0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0
oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0
oooo0?ooo`190?ooo`00o`3ooooo0?oooa40oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo
0?ooo`090?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo
0?ooo`040?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo04T0oooo003o0?ooool0oooo403oool00`09jPX0oooo0?oo
o`040?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`040?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0B@3oool00?l0ooooo`3oool@
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0;
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`18
0?ooo`00o`3ooooo0?oooa00oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo04P0oooo003o0?ooool0oooo403oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`03
00WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0B03oool00?l0ooooo`3oool@0?ooo`0300WZ
2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`180?ooo`00o`3o
oooo0?ooo`l0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo00WZ2P0300WZ2PH0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`@02NX:00<0oooo00WZ2P3oool01@3o
ool00`09jPX0oooo0?ooo`170?ooo`00o`3ooooo0?ooo`l0oooo00<02NX:0?ooo`3oool0103oool0
0`09jPX0oooo0?ooo`030?ooo`802NX:103oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo0080oooo0P09jPX50?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0A`3oool0
0?l0ooooo`3oool?0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01@3oool500WZ
2Pd0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo
00/0oooo1@09jPX70?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0A`3oool00?l0
ooooo`3oool?0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool02@3oool800WZ2PL0
oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00D0
oooo2009jPX;0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0A`3oool00?l0oooo
o`3oool>0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo
0?ooo`050?ooo`H02NX:00<0oooo00WZ2P3oool01@3oool00`000000oooo0?ooo`040?ooo`0300WZ
2P3oool02NX:00D02NX:1`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00<0oooo
00<02NX:0?ooo`3oool0A`3oool00?l0ooooo`3oool>0?ooo`0300WZ2P3oool0oooo00@0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0;0?oooa402NX:3@3oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0AP3oool00?l0ooooo`3oool>
0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`16
0?ooo`00o`3ooooo0?ooo`h0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`090?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo04H0oooo003o0?ooool0oooo3P3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`040?ooo`03
0000003oool0oooo00@0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`03
00WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0AP3oool00?l0ooooo`3oool=0?ooo`0300WZ
2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`150?ooo`00o`3o
oooo0?ooo`d0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo04D0oooo003o0?ooool0oooo3@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0
oooo00T0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0
oooo00@0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0
oooo00@0oooo00<02NX:0?ooo`3oool0A@3oool00?l0ooooo`3oool=0?ooo`0300WZ2P3oool0oooo
00@0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00@0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00T0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`150?ooo`00o`3ooooo0?ooo`d0
oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0200WZ2PP0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`060?ooo`802NX:0P3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo04D0oooo003o0?ooool0oooo303oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo0080oooo0P09jPX60?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
103oool200WZ2P@0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`140?ooo`00o`3o
oooo0?ooo``0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`040?ooo`@02NX:0P3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00D0oooo00<000000?ooo`3oool01@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00@02NX:1P3oool00`09jPX0oooo0?oo
o`040?ooo`0300WZ2P3oool0oooo04@0oooo003o0?ooool0oooo303oool00`09jPX0oooo0?ooo`04
0?ooo`0300WZ2P3oool0oooo00P0oooo0`09jPX>0?ooo`0300WZ2P3oool0oooo00D0oooo00<00000
0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0<0?ooo`<02NX:2P3oool00`09jPX0oooo0?ooo`04
0?ooo`0300WZ2P3oool0oooo04@0oooo003o0?ooool0oooo303oool00`09jPX0oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo00X0oooo1`09jPX80?ooo`0300WZ2P3oool0oooo00D0oooo00<000000?oo
o`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`L02NX:303oool00`09jPX0oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo04@0oooo003o0?ooool0oooo2`3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool0103oool700WZ2P030?ooo`09jPX0oooo00H0
oooo00<000000?ooo`3oool01@3oool00`09jPX0oooo00WZ2P0600WZ2PH0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo04@0oooo003o0?ooool0oooo
2`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool0
303ooolC00WZ2Ph0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo04<0oooo003o0?ooool0oooo2`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3o
ool0oooo00X0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`050?ooo`030000003o
ool0oooo00D0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3o
ool0oooo00@0oooo00<02NX:0?ooo`3oool0@`3oool00?l0ooooo`3oool;0?ooo`0300WZ2P3oool0
oooo00@0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00D0oooo00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00X0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`130?ooo`00o`3ooooo0?oo
o`/0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo
04<0oooo003o0?ooool0oooo2P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00D0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00@0
oooo00<02NX:0?ooo`3oool0@P3oool00?l0ooooo`3oool:0?ooo`0300WZ2P3oool0oooo00@0oooo
00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00D0oooo
00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00/0oooo
00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`120?ooo`00o`3ooooo0?ooo`X0oooo00<0
2NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo0480oooo003o
0?ooool0oooo2P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo00D0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:
0?ooo`3oool0@P3oool00?l0ooooo`3oool90?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?oo
o`3oool00P09jPX90?ooo`0300WZ2P3oool0oooo00h0oooo00<02NX:0?ooo`3oool01@3oool00`00
0000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0203oool200WZ
2P80oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`120?ooo`00o`3ooooo0?ooo`T0
oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`020?ooo`<02NX:1P3oool00`09jPX0
oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`09jPX0
oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX40?ooo`0300WZ2P3oool0oooo00@0
oooo00<02NX:0?ooo`3oool0@@3oool00?l0ooooo`3oool90?ooo`0300WZ2P3oool0oooo00@0oooo
00<02NX:0?ooo`3oool01@3oool500WZ2P030?ooo`09jPX0oooo00l0oooo00<02NX:0?ooo`3oool0
1@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00h0oooo00<02NX:0?ooo`3oool0
1@09jPX60?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0@@3oool00?l0ooooo`3o
ool90?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool02P3oool400WZ2Ph0oooo00<0
2NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00`0oooo1@09
jPX;0?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0@@3oool00?l0ooooo`3oool9
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`05
00WZ2PT0oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0
oooo00L0oooo1@09jPX20?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool00`3oool0
0`09jPX0oooo0?ooo`110?ooo`00o`3ooooo0?ooo`P0oooo00<02NX:0?ooo`3oool0103oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00D0oooo1`09jPX20?ooo`0300WZ2P3oool0oooo
00D0oooo00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0700WZ2PL0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo0400oooo003o0?ooool0
oooo203oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303ooolE00WZ2Ph0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo0400oooo003o0?ooool0oooo203oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`050?ooo`030000
003oool0oooo00D0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0@03oool00?l0ooooo`3oool80?ooo`0300WZ2P3o
ool0oooo00@0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3o
ool0oooo00D0oooo00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`100?ooo`00o`3ooooo
0?ooo`P0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00l0oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0
oooo00l0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0
oooo0400oooo003o0?ooool0oooo1`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00@0oooo00<02NX:0?ooo`3oool0?`3oool00?l0ooooo`3oool70?ooo`0300WZ2P3oool0oooo00@0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`0o0?ooo`00o`3ooooo0?ooo`D0oooo
00<02NX:0?ooo`09jPX01P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool02NX:00l0oooo
0P09jPX20?ooo`0900WZ2P3oool0oooo0?ooo`000000oooo0000003oool0000000<0oooo00<02NX:
0?ooo`3oool00P09jPX?0?ooo`0300WZ2P3oool02NX:00`0oooo00<02NX:0?ooo`3oool0103oool0
0`09jPX0oooo00WZ2P0o0?ooo`00o`3ooooo0?ooo`D0oooo1@09jPX40?ooo`0300WZ2P3oool0oooo
00X0oooo1@09jPX=0?ooo`802NX:00<0oooo00WZ2P09jPX00`3oool5000000<0oooo0P09jPX00`3o
ool02NX:00WZ2P0=0?ooo`D02NX:303oool00`09jPX0oooo0?ooo`020?ooo`D02NX:?`3oool00?l0
ooooo`3oool50?ooo`D02NX:0`3oool00`09jPX0oooo0?ooo`0;0?ooo`D02NX:3@3oool400WZ2P@0
oooo1@0000040?ooo`@02NX:3@3oool500WZ2Pd0oooo00@02NX:0?ooo`3oool0oooo1@09jPXo0?oo
o`00o`3ooooo0?ooo`D0oooo1009jPX40?ooo`0300WZ2P3oool0oooo00/0oooo1009jPX>0?ooo`@0
2NX:1@3oool3000000D0oooo1009jPX>0?ooo`@02NX:3@3oool00`09jPX0oooo0?ooo`020?ooo`@0
2NX:?`3oool00?l0ooooo`3oool50?ooo`@02NX:103oool00`09jPX0oooo0?ooo`0;0?ooo`@02NX:
3P3oool400WZ2PD0oooo0`0000050?ooo`@02NX:3P3oool400WZ2Pd0oooo00<02NX:0?ooo`3oool0
0P3oool400WZ2Sl0oooo003o0?ooool0oooo1@3oool300WZ2PD0oooo00<02NX:0?ooo`3oool0303o
ool200WZ2Q00oooo0P09jPX60?ooo`<000001P3oool200WZ2Q00oooo0P09jPX>0?ooo`0300WZ2P3o
ool0oooo00<0oooo0`09jPXo0?ooo`00o`3ooooo0?ooo`D0oooo0P09jPX60?ooo`0300WZ2P3oool0
oooo00`0oooo0P09jPX@0?ooo`802NX:1P3oool3000000H0oooo0P09jPX@0?ooo`802NX:3P3oool0
0`09jPX0oooo0?ooo`040?ooo`802NX::P3oool010000000oooo00000000000A0?ooo`00o`3ooooo
0?ooo`D0oooo0P09jPX50?ooo`0300WZ2P3oool0oooo00d0oooo0P09jPX@0?ooo`802NX:1`3oool0
0`000000oooo0?ooo`050?ooo`802NX:403oool200WZ2Pl0oooo00<02NX:0?ooo`3oool00`3oool2
00WZ2RX0oooo0P0000020?ooo`030000003oool0oooo00h0oooo003o0?ooonP0oooo8`0000000`09
jPX000000000001C0000000300WZ2P0000000000028000003@3oool00`000000oooo0?ooo`020000
0100oooo003o0?ooool0oooo1@3oool2000001@0oooo0P00000A0?ooo`8000003`3oool200000100
oooo0P00000E0?ooo`800000:`3oool300000140oooo003o0?ooool0ooooU03oool200000080oooo
00<000000?ooo`3oool03P3oool00?l0ooooo`3ooonD0?ooo`030000003oool0oooo00800000403o
ool00?l0ooooo`3ooonE0?ooo`80000000<0oooo0000003oool03`3oool00?l0ooooo`3ooonY0?oo
o`00o`3ooooo0?ooojT0oooo0000\
\>"],
  ImageRangeCache->{{{0, 678}, {264.812, 0}} -> {-5.49324, -32.5129, \
0.319189, 0.319189}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{

Cell["GaussianPlot[opticalsystemreflected];", "Input",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0042328 0 0.0264244 [
[.23545 -0.0125 -6 -9 ]
[.23545 -0.0125 6 0 ]
[.44709 -0.0125 -9 -9 ]
[.44709 -0.0125 9 0 ]
[.65873 -0.0125 -9 -9 ]
[.65873 -0.0125 9 0 ]
[.87037 -0.0125 -9 -9 ]
[.87037 -0.0125 9 0 ]
[.01131 .13212 -6 -4.5 ]
[.01131 .13212 0 4.5 ]
[.01131 .26424 -12 -4.5 ]
[.01131 .26424 0 4.5 ]
[.01131 .39637 -12 -4.5 ]
[.01131 .39637 0 4.5 ]
[.01131 .52849 -12 -4.5 ]
[.01131 .52849 0 4.5 ]
[.5 .63053 -44.0625 0 ]
[.5 .63053 44.0625 12 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.23545 0 m
.23545 .00625 L
s
[(50)] .23545 -0.0125 0 1 Mshowa
.44709 0 m
.44709 .00625 L
s
[(100)] .44709 -0.0125 0 1 Mshowa
.65873 0 m
.65873 .00625 L
s
[(150)] .65873 -0.0125 0 1 Mshowa
.87037 0 m
.87037 .00625 L
s
[(200)] .87037 -0.0125 0 1 Mshowa
.125 Mabswid
.06614 0 m
.06614 .00375 L
s
.10847 0 m
.10847 .00375 L
s
.15079 0 m
.15079 .00375 L
s
.19312 0 m
.19312 .00375 L
s
.27778 0 m
.27778 .00375 L
s
.32011 0 m
.32011 .00375 L
s
.36243 0 m
.36243 .00375 L
s
.40476 0 m
.40476 .00375 L
s
.48942 0 m
.48942 .00375 L
s
.53175 0 m
.53175 .00375 L
s
.57407 0 m
.57407 .00375 L
s
.6164 0 m
.6164 .00375 L
s
.70106 0 m
.70106 .00375 L
s
.74339 0 m
.74339 .00375 L
s
.78571 0 m
.78571 .00375 L
s
.82804 0 m
.82804 .00375 L
s
.9127 0 m
.9127 .00375 L
s
.95503 0 m
.95503 .00375 L
s
.99735 0 m
.99735 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
.02381 .13212 m
.03006 .13212 L
s
[(5)] .01131 .13212 1 0 Mshowa
.02381 .26424 m
.03006 .26424 L
s
[(10)] .01131 .26424 1 0 Mshowa
.02381 .39637 m
.03006 .39637 L
s
[(15)] .01131 .39637 1 0 Mshowa
.02381 .52849 m
.03006 .52849 L
s
[(20)] .01131 .52849 1 0 Mshowa
.125 Mabswid
.02381 .02642 m
.02756 .02642 L
s
.02381 .05285 m
.02756 .05285 L
s
.02381 .07927 m
.02756 .07927 L
s
.02381 .1057 m
.02756 .1057 L
s
.02381 .15855 m
.02756 .15855 L
s
.02381 .18497 m
.02756 .18497 L
s
.02381 .2114 m
.02756 .2114 L
s
.02381 .23782 m
.02756 .23782 L
s
.02381 .29067 m
.02756 .29067 L
s
.02381 .31709 m
.02756 .31709 L
s
.02381 .34352 m
.02756 .34352 L
s
.02381 .36994 m
.02756 .36994 L
s
.02381 .42279 m
.02756 .42279 L
s
.02381 .44922 m
.02756 .44922 L
s
.02381 .47564 m
.02756 .47564 L
s
.02381 .50206 m
.02756 .50206 L
s
.02381 .55491 m
.02756 .55491 L
s
.02381 .58134 m
.02756 .58134 L
s
.02381 .60776 m
.02756 .60776 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.5 .63053 -105.062 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Beam) show
93.125 13.000 moveto
(Spot) show
123.125 13.000 moveto
(Size) show
147.125 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
.039 .916 .04 r
.5 Mabswid
.02381 .52849 m
.09004 .53056 L
.16227 .53281 L
.19739 .53391 L
.21452 .53444 L
.22263 .53469 L
.23011 .53493 L
.23206 .53499 L
.23388 .53505 L
.23578 .53482 L
.23788 .53312 L
.24631 .52628 L
.26163 .51385 L
.29535 .47908 L
.36182 .39713 L
.43249 .31 L
.50056 .22607 L
.56603 .14535 L
.60258 .10029 L
.63571 .05944 L
.6523 .03898 L
.66103 .02822 L
.67025 .01685 L
.67833 .00689 L
.68054 .00416 L
.68176 .00266 L
.68292 .00124 L
.68516 .00153 L
.6872 .00404 L
.70279 .02327 L
.7685 .10428 L
.83841 .19048 L
.90572 .27347 L
.97044 .35327 L
.97619 .36036 L
s
0 0 0 r
gsave
.23545 .5787 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(L) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.27778 .5787 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(L) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.76455 .5787 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.97619 .5787 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(S) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.23545 0 m
.23545 .56185 L
s
.27778 0 m
.27778 .56185 L
s
.76455 0 m
.76455 .56185 L
s
.97619 0 m
.97619 .56185 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00CP3oool3000000@0oooo0P00000X0?ooo`<00000103oool2000000@0oooo0P00000T0?oo
o`<000000`3oool3000000@0oooo0P00000S0?ooo`D000000`3oool2000000@0oooo0P00000/0?oo
o`00C@3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool00000:03oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
903oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`0Q0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`00000[0?ooo`00D@3oool010000000oooo0?ooo`0000020?ooo`030000
003oool0oooo02H0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`04
0000003oool0oooo000002@0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo0280oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000002/0oooo001A0?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool09P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool00000903oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool08`3oool01@000000oooo0?ooo`3oool000000080oooo00@0
00000?ooo`3oool000000P3oool00`000000oooo0?ooo`0Y0?ooo`00C@3oool4000000<0oooo00@0
00000?ooo`3oool00000:03oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool00000903oool010000000oooo0?ooo`3oool4000000<0oooo00@00000
0?ooo`3oool000008P3oool01@000000oooo0?ooo`3oool000000080oooo00@000000?ooo`3oool0
00000P3oool010000000oooo0?ooo`00000[0?ooo`00C@3oool00`000000oooo0?ooo`040?ooo`04
0000003oool0oooo000002L0oooo0P0000040?ooo`040000003oool0oooo00000080oooo00@00000
0?ooo`3oool000008`3oool2000000<0oooo00<000000?ooo`3oool0103oool010000000oooo0?oo
o`00000R0?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000002/0oooo001=0?ooo`D000000`3oool2000002T0oooo00<000000?oo
o`3oool00`3oool2000000@0oooo0P00000U0?ooo`040000003oool0oooo0?ooo`D000000`3oool2
000002@0oooo0`0000040?ooo`800000103oool2000002`0oooo003o0?ooob40oooo003o0?ooob40
oooo003o0?ooob40oooo003o0?ooob40oooo000J0?ooojH000000P09jPY<00000180oooo000P0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0080oooo00<02NX:0?ooo`09jPX00P3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0A0?oo
o`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool0GP3oool01009jPX0oooo0?ooo`09jPXA0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo05d0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`0>0?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo05`0oooo00<02NX:0?ooo`3oool0
103oool00`09jPX0oooo0?ooo`0=0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
5P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo05/0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0<0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo0P00000a0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0FP3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0
oooo00`0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0FP3oool00`09
jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00/0oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool0F@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00X0
oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0F03oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00T0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0F03oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00P0oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0E`3oool00`09jPX0oooo0?ooo`0>
0?ooo`0300WZ2P3oool0oooo00P0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F
0?ooo`00803oool200000340oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1F0?oo
o`0300WZ2P3oool0oooo0100oooo00<02NX:0?ooo`3oool01`3oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`1E0?ooo`0300WZ2P3oool0oooo0180oooo00<02NX:0?ooo`3o
ool01P3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1D0?ooo`0300WZ
2P3oool0oooo01@0oooo00<02NX:0?ooo`3oool01@3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`1D0?ooo`0300WZ2P3oool0oooo01D0oooo00<02NX:0?ooo`3oool0103o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1C0?ooo`0300WZ2P3oool0
oooo01H0oooo00<02NX:0?ooo`3oool0103oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`1B0?ooo`0300WZ2P3oool0oooo01P0oooo00<02NX:0?ooo`3oool00`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1A0?ooo`0300WZ2P3oool0oooo01X0
oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0
oooo000P0?ooo`800000<@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0500oooo
00<02NX:0?ooo`3oool0703oool01@09jPX0oooo0?ooo`3oool000000380oooo00<000000?ooo`3o
ool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo0500oooo00<02NX:0?ooo`3oool07@3oool01009jPX0oooo0?ooo`00000b0?ooo`03
0000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`1?0?ooo`0300WZ2P3oool0oooo01h0oooo00@02NX:0?ooo`3oool0
0000<P3oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0CP3oool00`09jPX0oooo0?ooo`0P0?ooo`0300WZ
2P3oool000000380oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04d0oooo00<02NX:0?ooo`3oool08P3o
ool00`09jPX000000?ooo`0a0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1<0?ooo`0300WZ2P3oool0
oooo02@0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool20000
0340oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1<0?ooo`0300WZ2P3oool0oooo
02@0oooo00<0000000WZ2P3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000
oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0B`3oool00`09jPX0
oooo0?ooo`0U0?ooo`0300000009jPX0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo
00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04X0oooo
00<02NX:0?ooo`3oool09P3oool00`000000oooo00WZ2P0`0?ooo`030000003oool0oooo01H0oooo
000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`190?ooo`0300WZ2P3oool0oooo02L0oooo00@000000?ooo`3oool02NX:;`3oool00`000000oooo
0?ooo`0F0?ooo`00603oool3000000D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo04P0oooo00<02NX:0?ooo`3oool0:03oool01@000000oooo0?oo
o`3oool02NX:02h0oooo00<000000?ooo`3oool05P3oool001L0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`170?ooo`0300WZ2P3oool0oooo02T0oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo
0?ooo`0[0?ooo`030000003oool0oooo01H0oooo000K0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo04L0oooo00<0
2NX:0?ooo`3oool0:@3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo02/0oooo00<0
00000?ooo`3oool05P3oool001/0oooo00<000000?ooo`3oool00P3oool300000300oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`160?ooo`0300WZ2P3oool0oooo02X0oooo00<00000
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0Z0?ooo`030000003oool0oooo01H0oooo000G0?oo
o`@000001@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0A@3oool00`09jPX0oooo0?ooo`0[0?ooo`030000003oool0oooo00@0oooo00<02NX:0?oo
o`3oool0:@3oool00`000000oooo0?ooo`0F0?ooo`005`3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`140?ooo`03
00WZ2P3oool0oooo02`0oooo00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0X0?ooo`03
0000003oool0oooo01H0oooo000G0?ooo`D00000103oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0@`3oool00`09jPX0oooo0?ooo`0]0?ooo`030000
003oool0oooo00H0oooo00<02NX:0?ooo`3oool09`3oool00`000000oooo0?ooo`0F0?ooo`00803o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0@`3o
ool00`09jPX0oooo0?ooo`0]0?ooo`030000003oool0oooo00L0oooo00<02NX:0?ooo`3oool09P3o
ool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool0@P3oool00`09jPX0oooo0?ooo`0^0?ooo`030000003oool0
oooo00L0oooo00<02NX:0?ooo`3oool09P3oool00`000000oooo0?ooo`0F0?ooo`00803oool20000
0340oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`110?ooo`0300WZ2P3oool0oooo
02l0oooo00<000000?ooo`3oool0203oool00`09jPX0oooo0?ooo`0U0?ooo`030000003oool0oooo
01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`100?ooo`0300WZ2P3oool0oooo0300oooo00<000000?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`0T0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0o0?ooo`0300WZ2P3oool0oooo0340oooo
00<000000?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0S0?ooo`030000003oool0oooo01H0oooo
000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0n0?ooo`0300WZ2P3oool0oooo0380oooo00<000000?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`0R0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0n0?ooo`0300WZ2P3oool0oooo0380oooo00<00000
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0R0?ooo`030000003oool0oooo01H0oooo000P0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0m0?oo
o`0300WZ2P3oool0oooo03<0oooo00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`0Q0?oo
o`030000003oool0oooo01H0oooo000P0?ooo`800000<@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo03`0oooo00<02NX:0?ooo`3oool0=03oool00`000000oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo0200oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03/0oooo00<02NX:0?ooo`3oool0
=@3oool00`000000oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo01l0oooo00<000000?ooo`3oool0
5P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo03X0oooo00<02NX:0?ooo`3oool0=P3oool00`000000oooo0?ooo`0?0?ooo`0300WZ2P3o
ool0oooo01h0oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo03T0oooo00<02NX:0?ooo`3oool0=`3oool0
0`000000oooo0?ooo`0?0?ooo`0300WZ2P3oool0oooo01h0oooo00<000000?ooo`3oool05P3oool0
0200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
03P0oooo00<02NX:0?ooo`3oool0>03oool00`000000oooo0?ooo`0@0?ooo`0300WZ2P3oool0oooo
01d0oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo03P0oooo00<02NX:0?ooo`3oool0>03oool00`000000
oooo0?ooo`0A0?ooo`0300WZ2P3oool0oooo01`0oooo00<000000?ooo`3oool05P3oool00200oooo
00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo03L0oooo
00<02NX:0?ooo`3oool0>@3oool00`000000oooo0?ooo`0B0?ooo`0300WZ2P3oool0oooo01/0oooo
00<000000?ooo`3oool05P3oool00200oooo0P00000a0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0=P3oool00`09jPX0oooo0?ooo`0j0?ooo`030000003oool0oooo01<0oooo00<0
2NX:0?ooo`3oool06P3oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0=@3oool00`09jPX0oooo0?ooo`0k
0?ooo`030000003oool0oooo01<0oooo00<02NX:0?ooo`3oool06P3oool00`000000oooo0?ooo`0F
0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0=03oool00`09jPX0oooo0?ooo`0l0?ooo`030000003oool0oooo01@0oooo00<02NX:0?oo
o`3oool06@3oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0<`3oool00`09jPX0oooo0?ooo`0m0?ooo`03
0000003oool0oooo01D0oooo00<02NX:0?ooo`3oool0603oool00`000000oooo0?ooo`0F0?ooo`00
803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
<`3oool00`09jPX0oooo0?ooo`0m0?ooo`030000003oool0oooo01H0oooo00<02NX:0?ooo`3oool0
5`3oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0<P3oool00`09jPX0oooo0?ooo`0n0?ooo`030000003o
ool0oooo01L0oooo00<02NX:0?ooo`3oool05P3oool00`000000oooo0?ooo`0F0?ooo`00803oool2
00000340oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0a0?ooo`0300WZ2P3oool0
oooo03l0oooo00<000000?ooo`3oool05`3oool00`09jPX0oooo0?ooo`0F0?ooo`030000003oool0
oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`0`0?ooo`0300WZ2P3oool0oooo0400oooo00<000000?ooo`3oool0603oool00`09
jPX0oooo0?ooo`0E0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P3oool0oooo0440
oooo00<000000?ooo`3oool06@3oool00`09jPX0oooo0?ooo`0D0?ooo`030000003oool0oooo01H0
oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`0_0?ooo`0300WZ2P3oool0oooo0440oooo00<000000?ooo`3oool06P3oool00`09jPX0oooo
0?ooo`0C0?ooo`030000003oool0oooo01H0oooo000B0?ooo`<00000103oool2000000D0oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02h0oooo00<0
2NX:0?ooo`3oool0@P3oool00`000000oooo0?ooo`0K0?ooo`0300WZ2P3oool0oooo0180oooo00<0
00000?ooo`3oool05P3oool001<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00040?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0]0?ooo`0300WZ2P3oool0oooo04<0oooo00<000000?ooo`3oool06`3oool00`09jPX0oooo0?oo
o`0B0?ooo`030000003oool0oooo01H0oooo000C0?ooo`030000003oool0oooo0080oooo00@00000
0?ooo`3oool00000103oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0;03oool00`09jPX0oooo0?ooo`140?ooo`030000003oool0oooo01`0oooo00<0
2NX:0?ooo`3oool04@3oool00`000000oooo0?ooo`0F0?ooo`004`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000@0oooo0`00000`0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0:`3oool00`09jPX0oooo0?ooo`150?ooo`030000003oool0oooo01d0oooo00<0
2NX:0?ooo`3oool0403oool00`000000oooo0?ooo`0F0?ooo`004`3oool00`000000oooo0?ooo`02
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo02X0oooo00<02NX:0?ooo`3oool0AP3oool00`000000oooo0?oo
o`0N0?ooo`0300WZ2P3oool0oooo00l0oooo00<000000?ooo`3oool05P3oool00180oooo0P000004
0?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo02X0oooo00<02NX:0?ooo`3oool0AP3oool00`000000oooo0?oo
o`0O0?ooo`0300WZ2P3oool0oooo00h0oooo00<000000?ooo`3oool05P3oool001<0oooo00<00000
0?ooo`3oool00`3oool2000000D0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo02T0oooo00<02NX:0?ooo`3oool0A`3oool00`000000oooo0?ooo`0O
0?ooo`0300WZ2P3oool0oooo00h0oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?oo
o`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo02P0oooo00<02NX:0?oo
o`3oool0B03oool00`000000oooo0?ooo`0P0?ooo`0300WZ2P3oool0oooo00d0oooo00<000000?oo
o`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo02L0oooo00<02NX:0?ooo`3oool0B@3oool00`000000oooo0?ooo`0Q0?ooo`03
00WZ2P3oool0oooo00`0oooo00<000000?ooo`3oool05P3oool00200oooo0P00000a0?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool09P3oool00`09jPX0oooo0?ooo`1:0?ooo`030000
003oool0oooo0280oooo00<02NX:0?ooo`3oool02`3oool00`000000oooo0?ooo`0F0?ooo`00803o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool09P3o
ool00`09jPX0oooo0?ooo`1:0?ooo`030000003oool0oooo02<0oooo00<02NX:0?ooo`3oool02P3o
ool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool09@3oool00`09jPX0oooo0?ooo`1;0?ooo`030000003oool0
oooo02@0oooo00<02NX:0?ooo`3oool02@3oool00`000000oooo0?ooo`0F0?ooo`00803oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0903oool00`09
jPX0oooo0?ooo`1<0?ooo`030000003oool0oooo02@0oooo00<02NX:0?ooo`3oool02@3oool00`00
0000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool08`3oool00`09jPX0oooo0?ooo`1=0?ooo`030000003oool0oooo02D0
oooo00<02NX:0?ooo`3oool0203oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool08P3oool00`09jPX0oooo
0?ooo`1>0?ooo`030000003oool0oooo02H0oooo00<02NX:0?ooo`3oool01`3oool00`000000oooo
0?ooo`0F0?ooo`00803oool200000340oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0R0?ooo`0300WZ2P3oool0oooo04h0oooo00<000000?ooo`3oool09`3oool00`09jPX0oooo0?oo
o`060?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0Q0?ooo`0300WZ2P3oool0oooo04l0oooo00<00000
0?ooo`3oool0:03oool00`09jPX0oooo0?ooo`050?ooo`030000003oool0oooo01H0oooo000P0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0P0?oo
o`0300WZ2P3oool0oooo0500oooo00<000000?ooo`3oool0:@3oool00`09jPX0oooo0?ooo`040?oo
o`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`0O0?ooo`0300WZ2P3oool0oooo0540oooo00<000000?ooo`3o
ool0:P3oool00`09jPX0oooo0?ooo`030?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0N0?ooo`0300WZ
2P3oool0oooo0580oooo00<000000?ooo`3oool0:P3oool00`09jPX0oooo0?ooo`030?ooo`030000
003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`0N0?ooo`0300WZ2P3oool0oooo0580oooo00<000000?ooo`3oool0:`3o
ool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0M0?ooo`0300WZ2P3oool0
oooo05<0oooo00<000000?ooo`3oool0;03oool01@09jPX0oooo0?ooo`3oool0000001P0oooo000P
0?ooo`800000<@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo01`0oooo00<02NX:
0?ooo`3oool0E03oool00`000000oooo0?ooo`0]0?ooo`0400WZ2P3oool0oooo000001P0oooo000P
0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0K
0?ooo`0300WZ2P3oool0oooo05D0oooo00<000000?ooo`3oool0;P3oool00`09jPX0oooo0000000H
0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool06P3oool00`09jPX0oooo0?ooo`1F0?ooo`030000003oool0oooo02l0oooo00<02NX:0000
003oool05`3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo01T0oooo00<02NX:0?ooo`3oool0E`3oool00`000000oooo0?ooo`0_0?ooo`03
00WZ2P000000oooo01L0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`0I0?ooo`0300WZ2P3oool0oooo05L0oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo00P0oooo00<000000?ooo`3oool0603oool00`09jPX0oooo0?ooo`1H0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo0P00000a0?ooo`030000003oool0
oooo00P0oooo00<000000?ooo`3oool05`3oool00`09jPX0oooo0?ooo`1I0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo01H0oooo00<02NX:0?ooo`3oool0FP3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`0300WZ2P3oool0oooo05/0
oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool05@3oool00`09jPX0oooo
0?ooo`1K0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool00180oooo0`00
00030?ooo`<000001@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool0503oool00`09jPX0oooo0?ooo`1L0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool05P3oool001<0oooo00D000000?ooo`3oool0oooo000000030?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo01<0oooo00<02NX:0?ooo`3oool0G@3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo01H0oooo000C0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool04P3oool0
0`09jPX0oooo0?ooo`1N0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool0
01<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`<00000<03oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo0140oooo00<02NX:0?ooo`3oool0G`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000C0?ooo`040000003oool0oooo0?oo
o`@000001@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool04@3oool00`09jPX0oooo0?ooo`1O0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool05P3oool00180oooo0P0000030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0100oooo00<02NX:0?ooo`3o
ool0H03oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000C0?ooo`040000
003oool0oooo0?ooo`D00000103oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool03`3oool00`09jPX0oooo0?ooo`1Q0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00h0oooo00<02NX:0?ooo`3oool0HP3oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo06<0oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool200000340oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo06<0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`1T0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00/0oooo00<02NX:0?ooo`3o
ool0I@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000
003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0:0?ooo`0300WZ
2P3oool0oooo06H0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool02@3o
ool00`09jPX0oooo0?ooo`1W0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3o
ool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00T0oooo00<02NX:0?ooo`3oool0I`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0203oool00`00
0000oooo0?ooo`080?ooo`0300WZ2P3oool0oooo06P0oooo00<000000?ooo`3oool0<03oool00`00
0000oooo0?ooo`0F0?ooo`00803oool200000340oooo00<000000?ooo`3oool0203oool00`000000
oooo0?ooo`070?ooo`0300WZ2P3oool0oooo06T0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool01P3oool00`09jPX0oooo0?ooo`1Z0?ooo`030000003oool0oooo0300oooo
00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00D0oooo00<02NX:0?ooo`3oool0J`3oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`0300WZ2P3oool0oooo06/0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`1/0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00<0oooo00<02NX:0?ooo`3o
ool0K@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`800000
<@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0
KP3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool0203oool01@000000oooo0?ooo`3oool02NX:0740oooo
00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool02NX:LP3oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool0203oool00`000000oooo00WZ2P1c0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`08
0?ooo`0300000009jPX0oooo07<0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F
0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0L`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`80
0000<@3oool00`000000oooo0?ooo`070?ooo`0300WZ2P000000oooo07@0oooo00<000000?ooo`3o
ool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00H0oooo00<02NX:0?ooo`000000M@3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01@3o
ool01009jPX0oooo0?ooo`00001e0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool0
5P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`030?ooo`802NX:0`3o
ool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3o
ool00140oooo1@0000030?ooo`8000001@3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0
oooo0080oooo00<02NX:0?ooo`3oool00`3oool00`000000oooo0?ooo`1c0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool05P3oool00180oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000040?ooo`030000003oool0oooo0300oooo00D000000?ooo`3oool0oooo
00WZ2P060?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`0F0?ooo`004`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool0<03oool010000000oooo0?ooo`09jPX70?ooo`030000003oool0oooo07<0
oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00503oool01@000000oooo
0?ooo`3oool000000080oooo00<000000?ooo`3oool00P3ooolJ00WZ2QT0oooo00<000000?ooo`09
jPX0203oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool05P3oool00140oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0000
00@0oooo00<000000?ooo`3oool05`3ooolI00WZ2P0300000009jPX0oooo00P0oooo00<000000?oo
o`3oool0L`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000A0?ooo`05
0000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1c0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool05P3oool00180oooo0`0000040?ooo`8000001@3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0L`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1c0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool05P3oool00200oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo07<0oooo00<000000?ooo`3oool0<03oool00`000000oooo
0?ooo`0F0?ooo`00803oool200000340oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`1c0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool05P3oool00200oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo07<0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`0F0?ooo`00803oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool0L`3oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo01H0oooo000P0?ooo`030000003oool0oooo0?d0oooo000P0?ooo`030000
003oool0oooo02d0oooo1@0000060?ooo`D00000L@3oool2000000040?ooo`0000000000000002h0
oooo0`00000H0?ooo`00803oool00`000000oooo0?ooo`0^0?ooo`040000003oool0oooo000000L0
oooo00@000000?ooo`3oool00000L@3oool01@000000oooo0?ooo`3oool0000002l0oooo00@00000
0?ooo`3oool000005`3oool00200oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo0780oooo00D000000?ooo`3oool0oooo0000000b0?ooo`030000003o
ool0oooo01D0oooo000P0?ooo`800000;`3oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo0780oooo00D000000?ooo`3oool0oooo0000000`0?ooo`800000603oool00200oooo00<00000
0?ooo`3oool0;P3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo0780oooo00D00000
0?ooo`000000oooo0000000_0?ooo`030000003oool0oooo01P0oooo000P0?ooo`030000003oool0
oooo02h0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1b0?ooo`80000000<0oooo
000000000000;`3oool010000000oooo0?ooo`00000G0?ooo`00803oool00`000000oooo0?ooo`0]
0?ooo`<00000203oool3000007<0oooo00@000000?ooo`3oool0oooo0P00000_0?ooo`<000005`3o
ool00200oooo00<000000?ooo`3oool0o@3oool00200oooo00<000000?ooo`3oool0o@3oool00200
oooo0P00003n0?ooo`00803oool00`000000oooo0?ooo`3m0?ooo`00803oool00`000000oooo0?oo
o`3m0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00SP3o
ool3000008l0oooo002?0?ooo`030000003oool0oooo08h0oooo001Z0?ooo`@000000`3oool30000
00<0oooo100000001P3oool000000?ooo`000000oooo000000P0oooo0`0000030?ooo`<000000`3o
ool3000000@0oooo0P0000090?ooo`<000000P3oool5000000030?ooo`000000000000<000000P3o
ool3000006@0oooo001[0?ooo`060000003oool0oooo0000003oool000001@3oool010000000oooo
0?ooo`0000020?ooo`050000003oool000000?ooo`000000203oool010000000oooo0?ooo`000002
0?ooo`060000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo00H0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`020?oo
o`060000003oool0oooo0000003oool00000I`3oool006/0oooo00D000000?ooo`3oool000000?oo
o`0500000080oooo0`0000020?ooo`050000003oool000000?ooo`0000002`3oool010000000oooo
0?ooo`0000020?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000003P3oool01@00
0000oooo0?ooo`3oool0000000D0oooo00@000000?ooo`3oool0oooo1@00001S0?ooo`00J`3oool3
00000080oooo00L000000?ooo`3oool0oooo0000003oool000000080oooo00P000000?ooo`3oool0
00000?ooo`000000oooo000000T0oooo0P0000030?ooo`060000003oool0oooo0000003oool00000
0`3oool010000000oooo0?ooo`00000<0?ooo`800000103oool01@000000oooo0?ooo`3oool00000
0080oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`1Q0?ooo`00J`3oool01000
0000oooo0?ooo`0000020?ooo`<000000`3oool2000000<0oooo0P0000000`3oool000000?ooo`08
0?ooo`030000003oool0oooo0080oooo100000030?ooo`<000000P3oool4000000T0oooo00<00000
0?ooo`3oool00P3oool3000000<0oooo1@0000020?ooo`<00000I03oool006/0oooo00@000000?oo
o`3oool000006P3oool010000000oooo0?ooo`00000>0?ooo`030000003oool0oooo00T0oooo00@0
00000?ooo`3oool00000M@3oool006X0oooo1000000L0?ooo`<000003P3oool00`000000oooo0?oo
o`0:0?ooo`<000000`3oool00`000000oooo0?ooo`1_0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?oo
o`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-31.8099, -1.87767, \
0.974221, 0.156056}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
GaussianPlot[opticalsystemreflected, \
RenderedParameters->BeamCurvature];\
\>", "Input",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.0042328 0.581524 0.000139965 [
[.23545 .56902 -6 -9 ]
[.23545 .56902 6 0 ]
[.44709 .56902 -9 -9 ]
[.44709 .56902 9 0 ]
[.65873 .56902 -9 -9 ]
[.65873 .56902 9 0 ]
[.87037 .56902 -9 -9 ]
[.87037 .56902 9 0 ]
[.01131 .02166 -30 -4.5 ]
[.01131 .02166 0 4.5 ]
[.01131 .16163 -30 -4.5 ]
[.01131 .16163 0 4.5 ]
[.01131 .30159 -30 -4.5 ]
[.01131 .30159 0 4.5 ]
[.01131 .44156 -30 -4.5 ]
[.01131 .44156 0 4.5 ]
[.5 .63053 -74.0625 0 ]
[.5 .63053 74.0625 12 ]
[.23545 -0.03687 -5 -6 ]
[.23545 -0.03687 5 6 ]
[.27778 -0.03687 -5 -6 ]
[.27778 -0.03687 5 6 ]
[.76455 -0.03687 -5 -6 ]
[.76455 -0.03687 5 6 ]
[.97619 -0.03687 -5 -6 ]
[.97619 -0.03687 5 6 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.23545 .58152 m
.23545 .58777 L
s
[(50)] .23545 .56902 0 1 Mshowa
.44709 .58152 m
.44709 .58777 L
s
[(100)] .44709 .56902 0 1 Mshowa
.65873 .58152 m
.65873 .58777 L
s
[(150)] .65873 .56902 0 1 Mshowa
.87037 .58152 m
.87037 .58777 L
s
[(200)] .87037 .56902 0 1 Mshowa
.125 Mabswid
.06614 .58152 m
.06614 .58527 L
s
.10847 .58152 m
.10847 .58527 L
s
.15079 .58152 m
.15079 .58527 L
s
.19312 .58152 m
.19312 .58527 L
s
.27778 .58152 m
.27778 .58527 L
s
.32011 .58152 m
.32011 .58527 L
s
.36243 .58152 m
.36243 .58527 L
s
.40476 .58152 m
.40476 .58527 L
s
.48942 .58152 m
.48942 .58527 L
s
.53175 .58152 m
.53175 .58527 L
s
.57407 .58152 m
.57407 .58527 L
s
.6164 .58152 m
.6164 .58527 L
s
.70106 .58152 m
.70106 .58527 L
s
.74339 .58152 m
.74339 .58527 L
s
.78571 .58152 m
.78571 .58527 L
s
.82804 .58152 m
.82804 .58527 L
s
.9127 .58152 m
.9127 .58527 L
s
.95503 .58152 m
.95503 .58527 L
s
.99735 .58152 m
.99735 .58527 L
s
.25 Mabswid
0 .58152 m
1 .58152 L
s
.02381 .02166 m
.03006 .02166 L
s
[(-4000)] .01131 .02166 1 0 Mshowa
.02381 .16163 m
.03006 .16163 L
s
[(-3000)] .01131 .16163 1 0 Mshowa
.02381 .30159 m
.03006 .30159 L
s
[(-2000)] .01131 .30159 1 0 Mshowa
.02381 .44156 m
.03006 .44156 L
s
[(-1000)] .01131 .44156 1 0 Mshowa
.125 Mabswid
.02381 .04966 m
.02756 .04966 L
s
.02381 .07765 m
.02756 .07765 L
s
.02381 .10564 m
.02756 .10564 L
s
.02381 .13363 m
.02756 .13363 L
s
.02381 .18962 m
.02756 .18962 L
s
.02381 .21761 m
.02756 .21761 L
s
.02381 .24561 m
.02756 .24561 L
s
.02381 .2736 m
.02756 .2736 L
s
.02381 .32959 m
.02756 .32959 L
s
.02381 .35758 m
.02756 .35758 L
s
.02381 .38557 m
.02756 .38557 L
s
.02381 .41357 m
.02756 .41357 L
s
.02381 .46955 m
.02756 .46955 L
s
.02381 .49754 m
.02756 .49754 L
s
.02381 .52554 m
.02756 .52554 L
s
.02381 .55353 m
.02756 .55353 L
s
.02381 .60952 m
.02756 .60952 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
gsave
.5 .63053 -135.062 -4 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(Beam) show
93.125 13.000 moveto
(Radius) show
135.125 13.000 moveto
(Of) show
153.125 13.000 moveto
(Curvature) show
207.125 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.039 .916 .04 r
.5 Mabswid
.02381 .02166 m
.09004 .01947 L
.16227 .01708 L
.19739 .01592 L
.21452 .01536 L
.22263 .01509 L
.23011 .01484 L
.23206 .01478 L
.23388 .01472 L
.23578 .60332 L
.23788 .60325 L
.24631 .60297 L
.26163 .60246 L
.26598 .60232 L
.27011 .60218 L
.27383 .60206 L
.27593 .60199 L
.27788 .59495 L
.27897 .59491 L
.28016 .59488 L
.28231 .5948 L
.28633 .59467 L
.29535 .59437 L
.36564 .59205 L
.43333 .58981 L
.49843 .58766 L
.56773 .58537 L
.63443 .58316 L
.70533 .58082 L
.77364 .57856 L
.83935 .57638 L
.90926 .57407 L
.97619 .57186 L
s
0 0 0 r
gsave
.23545 -0.03687 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(L) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.27778 -0.03687 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(L) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.76455 -0.03687 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(M) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
gsave
.97619 -0.03687 -66 -10 Mabsadd m
1 1 Mabs scale
currentpoint translate
/MISOfy
{
    /newfontname exch def
    /oldfontname exch def

    oldfontname findfont
    dup length dict begin
        {1 index /FID ne {def} {pop pop} ifelse} forall
        /Encoding ISOLatin1Encoding def
        currentdict
    end

    newfontname exch definefont pop
} def

0 20 translate 1 -1 scale
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
63.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
(S) show
69.000 13.000 moveto
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10.000 scalefont
[1 0 0 -1 0 0 ] makefont setfont
0.000 0.000 0.000 setrgbcolor
0.000 0.000 rmoveto
1.000 setlinewidth
grestore
.23545 0 m
.23545 .60442 L
s
.27778 0 m
.27778 .60442 L
s
.76455 0 m
.76455 .60442 L
s
.97619 0 m
.97619 .60442 L
s
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{288, 177.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000/B000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00F`3oool5000000D0oooo1@00
001_0?ooo`80000000@0oooo0000000000000000;@3oool300000140oooo001L0?ooo`040000003o
ool0oooo000000H0oooo00@000000?ooo`3oool00000K`3oool01@000000oooo0?ooo`3oool00000
02h0oooo00@000000?ooo`3oool00000403oool005`0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`1`0?ooo`050000003oool0oooo0?ooo`000000<@3oool00`000000oooo0?ooo`0>
0?ooo`00G03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0700oooo00D000000?oo
o`3oool0oooo0000000_0?ooo`8000004@3oool005`0oooo00<000000?ooo`3oool01`3oool00`00
0000oooo0?ooo`1`0?ooo`050000003oool000000?ooo`000000;P3oool00`000000oooo0?ooo`0A
0?ooo`00G03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0700oooo0P0000000`3o
ool000000000000^0?ooo`040000003oool0oooo00000100oooo001K0?ooo`<000001`3oool30000
0740oooo00@000000?ooo`3oool0oooo0P00000^0?ooo`<00000403oool00?l0oooo8@3oool00?l0
oooo8@3oool00?l0oooo8@3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?oo
o`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool00180oooo0`0000030?ooo`80
0000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool03`3oool001<0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo01H0oooo6P09jPX00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`002P3oool5000000030?ooo`0000000000
00<000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@0
00000?ooo`3oool00000103ooolI00WZ2QT0oooo00<02NX:0000003oool0203oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool00100oooo00@0
00000?ooo`3oool000000`3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000
oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0
oooo00l0oooo000A0?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0
;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0?0?ooo`004P3oool2000000<0oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?oo
o`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`004`3oool00`000000oooo0?ooo`020?ooo`80
0000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo02l0oooo00<02NX:0000003o
ool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000
003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3o
ool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3o
ool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`800000<03oool0
0`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo
00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000
oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo
00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?oo
o`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:
0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?oo
o`00:`3oool200000300oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`03
0000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0
;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P00
0000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003o
ool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool0
0`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool0
02/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo
0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000
oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000
oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`800000<03oool00`09jPX00000
0?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo
0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<0
00000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[
0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?oo
o`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`03
00WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`03
0000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0
203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0
3`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003o
ool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool2
00000300oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0
oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09
jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0
oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0
oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool00140oooo0`00
00040?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo02l0oooo00<0
2NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<0
00000?ooo`3oool03`3oool00100oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?oo
o`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool000X0oooo1@0000050?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00
00020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?oo
o`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`0?0?ooo`004P3oool2000000<0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000000@0oooo0`00000_0?ooo`0300WZ2P000000oooo00P0
oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0
oooo000D0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0;`3oool0
0`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0?0?ooo`00403oool01@000000oooo0?ooo`3oool000000080oooo00@00000
0?ooo`3oool000000P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0
oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`004@3oool3000000@0oooo
0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0;`3oool00`09jPX00000
0?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo
0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<0
00000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[
0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a
0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo0P00000`0?oo
o`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003o
ool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000
003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3o
ool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3o
ool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0
oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0
oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09
jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`00
0000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0
oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0
oooo000[0?ooo`800000<03oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?oo
o`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:
0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?oo
o`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3o
ool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000
003oool0oooo02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000
003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3o
ool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3o
ool00`000000oooo0?ooo`0?0?ooo`00:`3oool200000300oooo00<02NX:0000003oool0203oool0
0`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool0
02/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo
0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000
oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000
oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo
00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo
00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?oo
o`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?oo
o`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<00000
0?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?oo
o`800000<03oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?oo
o`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0_0?ooo`03
00WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`03
0000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0
203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0
3`3oool002/0oooo00<000000?ooo`3oool0;`3oool00`09jPX000000?ooo`080?ooo`030000003o
ool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool0
0`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo00P0oooo00<000000?ooo`3oool0L@3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000@0?ooo`D000000`3oool20000
00@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0?ooo`0_0?ooo`0300WZ2P000000oooo
00P0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
00l0oooo000A0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0
;`3oool00`09jPX000000?ooo`080?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0?0?ooo`002P3oool5000000<0oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool00000103oool3000002l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?oo
o`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool001<0oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3o
ool00`000000oooo0?ooo`020?ooo`030000003oool0oooo02l0oooo00<02NX:0000003oool0203o
ool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3o
ool00100oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo
02l0oooo00<02NX:0000003oool0203oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool03`3oool00100oooo00D000000?ooo`3oool0oooo000000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool00140oooo0`00
00040?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<0
00000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?
0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`80
0000<@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3o
ool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000
003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3o
ool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`00
0000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0
oooo00<000000?ooo`3oool03`3oool002/0oooo0P00000a0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo
000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<00000
0?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<00000
0?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?oo
o`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3o
ool03`3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000
003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3o
ool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`800000<@3oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo
00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo
00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?oo
o`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?oo
o`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?oo
o`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?oo
o`00:`3oool200000340oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`03
0000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0
<03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0
;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003o
ool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool0
0140oooo0`0000040?ooo`800000103oool2000000@0oooo0P0000050?ooo`030000003oool0oooo
0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool03`3oool00180oooo00<000000?ooo`3oool00P3oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103o
ool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3o
ool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000:0?ooo`D000000`3oool0
0`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000040?ooo`<00000<03oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00
4P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0300oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<00000
0?ooo`3oool03`3oool00180oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo
0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000A0?ooo`800000103oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`00
0000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`00
0000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000B0?ooo`030000003oool0oooo00<0
oooo0P0000040?ooo`800000103oool2000000D0oooo00<000000?ooo`3oool0<03oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000
oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo
000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo0P00000a
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_
0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?oo
o`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?oo
o`3oool03`3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00
:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0
L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003o
ool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003o
ool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0<03oool0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool0
0`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo
00l0oooo000[0?ooo`800000<@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo
0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo
0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<0
00000?ooo`3oool03`3oool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`07
0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?
0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?oo
o`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`03
0000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1a0?ooo`03
0000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo0P00000a0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000
003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3o
ool00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3o
ool002/0oooo00<000000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000003oool0
oooo0740oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`00
0000oooo0?ooo`0[0?ooo`<000000P3oool010000000oooo0000000000060?ooo`030000003oool0
oooo01d0oooo0`0000040?ooo`800000103oool2000002<0oooo0`0000030?ooo`<00000103oool2
000001<0oooo00<000000?ooo`3oool03@3oool5000000<0oooo0P0000040?ooo`8000004P3oool0
0`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0Z0?ooo`060000003oool0oooo
0?ooo`000000oooo0P0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool07P3o
ool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00008`3oool01@000000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00h0oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000140oooo00<000000?ooo`3o
ool03`3oool002/0oooo00<000000?ooo`3oool0;P3oool010000000oooo0000000000020?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`020?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000008`3oool00`000000oooo0?ooo`05
0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0?0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`00000A0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo02h0oooo
00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01h0
oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo
000002<0oooo00<000000?ooo`3oool01@3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo0100oooo00<000000?ooo`3oool0403oool01@000000oooo0?ooo`3oool000000080oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0
oooo000[0?ooo`800000:`3oool400000080oooo0P0000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool000008`3oool010000000oooo0?ooo`3oool4000000<0oooo00@00000
0?ooo`3oool000004P3oool00`000000oooo0?ooo`0=0?ooo`050000003oool0oooo0?ooo`000000
0P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo00000140oooo00<000000?oo
o`3oool03`3oool002/0oooo00<000000?ooo`3oool0:P3oool00`000000oooo0?ooo`030?ooo`80
00000P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo01d0oooo0P0000040?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000008P3oool2000000<0oooo00<00000
0?ooo`3oool0103oool010000000oooo0?ooo`00000B0?ooo`030000003oool0oooo00d0oooo00D0
00000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool000004@3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0Z0?ooo`D0
000000<0oooo0000003oool00P0000060?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3o
ool00`3oool2000000@0oooo0P00000T0?ooo`040000003oool0oooo0?ooo`D000000`3oool20000
01<0oooo00<000000?ooo`3oool03P3oool3000000@0oooo0P0000040?ooo`8000004P3oool00`00
0000oooo0?ooo`0?0?ooo`00:`3oool00`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0
oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`1a0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool03`3oool002/0oooo00<0
00000?ooo`3oool0<03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0740oooo00<0
00000?ooo`3oool05`3ooolH00WZ2P030000003oool0oooo00l0oooo000[0?ooo`030000003oool0
oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`1[0?ooo`H02NX:00<00000
00WZ2P09jPX05`09jPXH0?ooo`030000003oool0oooo00l0oooo000V0?ooohl000008@09jPXo0000
00/0oooo000[0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool00P3ooolP00WZ2P<0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00L0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0
oooo000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0:0?ooob002NX:A`3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo
000[0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool01`3oool00`0000002NX:00WZ
2P0:00WZ2VL0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0?0?ooo`00:`3oool0
0`000000oooo0?ooo`0`0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0L@3oool0
0`000000oooo0?ooo`0_0?ooo`030000003oool0oooo00l0oooo000[0?ooo`030000003oool0oooo
0300oooo00<0000000WZ2P09jPX01`09jPX00`000000oooo0?ooo`1a0?ooo`030000003oool0oooo
02l0oooo00<000000?ooo`3oool03`3oool002/0oooo0P00003c0?ooo`00:`3oool00`000000oooo
0?ooo`3b0?ooo`00:`3oool00`000000oooo0?ooo`3b0?ooo`00:`3oool00`000000oooo0?ooo`3b
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00E@3oool4000000<0oooo0`0000030?ooo`@0000000H0oooo0000003oool000000?ooo`00
00070?ooo`<000000P3oool00`000000oooo0000000300000080oooo100000000`3oool000000000
0003000000<0oooo0P0000000`3oool0000000000003000000T0oooo0`0000020?ooo`D000002@3o
ool2000000@0oooo0P0000000`3oool0000000000002000000D0oooo00<000000?ooo`3oool00P3o
ool4000000<0oooo0P0000040?ooo`80000000<0oooo0000000000000P0000040?ooo`<00000?@3o
ool005H0oooo00H000000?ooo`3oool000000?ooo`0000050?ooo`040000003oool0oooo00000080
oooo00D000000?ooo`000000oooo000000080?ooo`060000003oool0oooo0000003oool000000P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool000000P3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo
000000020?ooo`050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`0000020?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool0?P3oool005H0oooo00D000000?oo
o`3oool000000?ooo`0500000080oooo0`0000020?ooo`050000003oool000000?ooo`000000203o
ool00`000000oooo000000030?ooo`<000000P3oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool3000000P0oooo00D000000?ooo`3o
ool0oooo000000030?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0103oool01000
0000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`0000000`3oool3
000000<0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo0080oooo1@00000l0?ooo`00EP3oool300000080oooo00L000000?ooo`3oool0oooo0000
003oool000000080oooo00P000000?ooo`3oool000000?ooo`000000oooo000000P0oooo0`000002
0?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo
0?ooo`020?ooo`060000003oool0oooo0000003oool000002`3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`040?ooo`040000003oool0
oooo00000080oooo0P0000040?ooo`030000003oool000000080oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`030?ooo`040000003oool0oooo00000080oooo0P0000030?ooo`05
0000003oool0oooo0?ooo`000000?03oool005H0oooo00@000000?ooo`3oool000000P3oool30000
00<0oooo0P0000030?ooo`80000000<0oooo0000003oool0203oool010000000oooo0?ooo`000002
0?ooo`800000103oool300000080oooo0`0000030?ooo`80000000<0oooo0000000000000P3oool4
000000L0oooo00D000000?ooo`3oool0oooo000000020?ooo`@000001`3oool00`000000oooo0?oo
o`030?ooo`80000000@0oooo000000000000oooo0P000000103oool000000000003oool200000003
0?ooo`00000000000080oooo0P0000030?ooo`@000000P3oool2000000040?ooo`00000000000?oo
o`80000000<0oooo0000000000000P3oool3000003d0oooo001F0?ooo`040000003oool0oooo0000
01X0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`0H0?ooo`050000003oool0
oooo0?ooo`0000000`3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000001X0oooo
00<000000?ooo`3oool0C`3oool005D0oooo1000000J0?ooo`@000002P3oool2000000@0oooo00<0
00000?ooo`3oool0503oool3000000D0oooo0P0000090?ooo`<000006P3oool00`000000oooo0?oo
o`1?0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {176.938, 0}} -> {-43.4048, -4598.24, \
0.992057, 30.0016}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell["\<\
Here is a more elaborate example. The defining details have not \
been included in order to simplify the presentation.\
\>", "Text",
  CellTags->"GaussianPlot"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .625 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238097 0.000595238 0.3125 0.000595238 [
[.65446 .5908 -6 -4.5 ]
[.65446 .5908 6 4.5 ]
[.66488 .44326 -6 -4.5 ]
[.66488 .44326 6 4.5 ]
[.88571 .24718 -30 -4.5 ]
[.88571 .24718 30 4.5 ]
[.65237 .60417 -6 -4.5 ]
[.65237 .60417 6 4.5 ]
[.65237 .02083 -6 -4.5 ]
[.65237 .02083 6 4.5 ]
[.57578 .26923 -9 -4.5 ]
[.57578 .26923 9 4.5 ]
[.57578 .26923 -9 -4.5 ]
[.57578 .26923 9 4.5 ]
[.65446 .03711 -6 -4.5 ]
[.65446 .03711 6 4.5 ]
[.66488 .18531 -6 -4.5 ]
[.66488 .18531 6 4.5 ]
[ 0 0 0 0 ]
[ 1 .625 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
0 0 Mdot
grestore
} def
% End of user PostScript
.5 g
.59767 .29112 m
.59767 .29112 L
.60479 .29825 L
.60479 .29825 L
.59767 .29112 L
F
.60479 .29825 m
.60479 .29825 L
.61192 .30537 L
.61192 .30537 L
.60479 .29825 L
F
.61192 .30537 m
.61192 .30537 L
.61905 .3125 L
.61905 .3125 L
.61192 .30537 L
F
.61905 .3125 m
.61905 .3125 L
.62617 .31963 L
.62617 .31963 L
.61905 .3125 L
F
.62617 .31963 m
.62617 .31963 L
.6333 .32675 L
.6333 .32675 L
.62617 .31963 L
F
.6333 .32675 m
.6333 .32675 L
.64043 .33388 L
.64043 .33388 L
.6333 .32675 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.59767 .29112 m
.60479 .29825 L
.61192 .30537 L
.61905 .3125 L
.62617 .31963 L
.6333 .32675 L
.64043 .33388 L
.64043 .33388 L
.6333 .32675 L
.62617 .31963 L
.61905 .3125 L
.61192 .30537 L
.60479 .29825 L
.59767 .29112 L
.59767 .29112 L
s
.5 g
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
0 g
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
s
.5 g
.61905 .3125 m
.62617 .31963 L
.62593 .31938 L
.61905 .3125 L
.61905 .3125 L
F
.62617 .31963 m
.6333 .32675 L
.63282 .32627 L
.62593 .31938 L
.62617 .31963 L
F
.6333 .32675 m
.64043 .33388 L
.6397 .33315 L
.63282 .32627 L
.6333 .32675 L
F
.61905 .3125 m
.62593 .31938 L
.62522 .31867 L
.61905 .3125 L
.61905 .3125 L
F
.62593 .31938 m
.63282 .32627 L
.63139 .32484 L
.62522 .31867 L
.62593 .31938 L
F
.63282 .32627 m
.6397 .33315 L
.63756 .33102 L
.63139 .32484 L
.63282 .32627 L
F
.61905 .3125 m
.62522 .31867 L
.62409 .31754 L
.61905 .3125 L
.61905 .3125 L
F
.62522 .31867 m
.63139 .32484 L
.62913 .32258 L
.62409 .31754 L
.62522 .31867 L
F
.63139 .32484 m
.63756 .33102 L
.63417 .32762 L
.62913 .32258 L
.63139 .32484 L
F
.61905 .3125 m
.62409 .31754 L
.62261 .31606 L
.61905 .3125 L
.61905 .3125 L
F
.62409 .31754 m
.62913 .32258 L
.62617 .31963 L
.62261 .31606 L
.62409 .31754 L
F
.62913 .32258 m
.63417 .32762 L
.62974 .32319 L
.62617 .31963 L
.62913 .32258 L
F
.61905 .3125 m
.62261 .31606 L
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
F
.62261 .31606 m
.62617 .31963 L
.62274 .31619 L
.62089 .31434 L
.62261 .31606 L
F
.62617 .31963 m
.62974 .32319 L
.62458 .31803 L
.62274 .31619 L
.62617 .31963 L
F
.61905 .3125 m
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.62089 .31434 m
.62274 .31619 L
.61905 .3125 L
.61905 .3125 L
.62089 .31434 L
F
.62274 .31619 m
.62458 .31803 L
.61905 .3125 L
.61905 .3125 L
.62274 .31619 L
F
.61905 .3125 m
.61905 .3125 L
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61536 .30881 L
.6172 .31066 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61351 .30697 L
.61536 .30881 L
.61905 .3125 L
F
.61905 .3125 m
.6172 .31066 L
.61548 .30894 L
.61905 .3125 L
.61905 .3125 L
F
.6172 .31066 m
.61536 .30881 L
.61192 .30537 L
.61548 .30894 L
.6172 .31066 L
F
.61536 .30881 m
.61351 .30697 L
.60836 .30181 L
.61192 .30537 L
.61536 .30881 L
F
.61905 .3125 m
.61548 .30894 L
.61401 .30746 L
.61905 .3125 L
.61905 .3125 L
F
.61548 .30894 m
.61192 .30537 L
.60897 .30242 L
.61401 .30746 L
.61548 .30894 L
F
.61192 .30537 m
.60836 .30181 L
.60393 .29738 L
.60897 .30242 L
.61192 .30537 L
F
.61905 .3125 m
.61401 .30746 L
.61288 .30633 L
.61905 .3125 L
.61905 .3125 L
F
.61401 .30746 m
.60897 .30242 L
.6067 .30016 L
.61288 .30633 L
.61401 .30746 L
F
.60897 .30242 m
.60393 .29738 L
.60053 .29398 L
.6067 .30016 L
.60897 .30242 L
F
.61905 .3125 m
.61288 .30633 L
.61216 .30562 L
.61905 .3125 L
.61905 .3125 L
F
.61288 .30633 m
.6067 .30016 L
.60528 .29873 L
.61216 .30562 L
.61288 .30633 L
F
.6067 .30016 m
.60053 .29398 L
.59839 .29185 L
.60528 .29873 L
.6067 .30016 L
F
.61905 .3125 m
.61216 .30562 L
.61192 .30537 L
.61905 .3125 L
.61905 .3125 L
F
.61216 .30562 m
.60528 .29873 L
.60479 .29825 L
.61192 .30537 L
.61216 .30562 L
F
.60528 .29873 m
.59839 .29185 L
.59767 .29112 L
.60479 .29825 L
.60528 .29873 L
F
.61905 .3125 m
.61192 .30537 L
.61216 .30562 L
.61905 .3125 L
.61905 .3125 L
F
.61192 .30537 m
.60479 .29825 L
.60528 .29873 L
.61216 .30562 L
.61192 .30537 L
F
.60479 .29825 m
.59767 .29112 L
.59839 .29185 L
.60528 .29873 L
.60479 .29825 L
F
.61905 .3125 m
.61216 .30562 L
.61288 .30633 L
.61905 .3125 L
.61905 .3125 L
F
.61216 .30562 m
.60528 .29873 L
.6067 .30016 L
.61288 .30633 L
.61216 .30562 L
F
.60528 .29873 m
.59839 .29185 L
.60053 .29398 L
.6067 .30016 L
.60528 .29873 L
F
.61905 .3125 m
.61288 .30633 L
.61401 .30746 L
.61905 .3125 L
.61905 .3125 L
F
.61288 .30633 m
.6067 .30016 L
.60897 .30242 L
.61401 .30746 L
.61288 .30633 L
F
.6067 .30016 m
.60053 .29398 L
.60393 .29738 L
.60897 .30242 L
.6067 .30016 L
F
.61905 .3125 m
.61401 .30746 L
.61548 .30894 L
.61905 .3125 L
.61905 .3125 L
F
.61401 .30746 m
.60897 .30242 L
.61192 .30537 L
.61548 .30894 L
.61401 .30746 L
F
.60897 .30242 m
.60393 .29738 L
.60836 .30181 L
.61192 .30537 L
.60897 .30242 L
F
.61905 .3125 m
.61548 .30894 L
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
F
.61548 .30894 m
.61192 .30537 L
.61536 .30881 L
.6172 .31066 L
.61548 .30894 L
F
.61192 .30537 m
.60836 .30181 L
.61351 .30697 L
.61536 .30881 L
.61192 .30537 L
F
.61905 .3125 m
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.6172 .31066 m
.61536 .30881 L
.61905 .3125 L
.61905 .3125 L
.6172 .31066 L
F
.61536 .30881 m
.61351 .30697 L
.61905 .3125 L
.61905 .3125 L
.61536 .30881 L
F
.61905 .3125 m
.61905 .3125 L
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.62274 .31619 L
.62089 .31434 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.62458 .31803 L
.62274 .31619 L
.61905 .3125 L
F
.61905 .3125 m
.62089 .31434 L
.62261 .31606 L
.61905 .3125 L
.61905 .3125 L
F
.62089 .31434 m
.62274 .31619 L
.62617 .31963 L
.62261 .31606 L
.62089 .31434 L
F
.62274 .31619 m
.62458 .31803 L
.62974 .32319 L
.62617 .31963 L
.62274 .31619 L
F
.61905 .3125 m
.62261 .31606 L
.62409 .31754 L
.61905 .3125 L
.61905 .3125 L
F
.62261 .31606 m
.62617 .31963 L
.62913 .32258 L
.62409 .31754 L
.62261 .31606 L
F
.62617 .31963 m
.62974 .32319 L
.63417 .32762 L
.62913 .32258 L
.62617 .31963 L
F
.61905 .3125 m
.62409 .31754 L
.62522 .31867 L
.61905 .3125 L
.61905 .3125 L
F
.62409 .31754 m
.62913 .32258 L
.63139 .32484 L
.62522 .31867 L
.62409 .31754 L
F
.62913 .32258 m
.63417 .32762 L
.63756 .33102 L
.63139 .32484 L
.62913 .32258 L
F
.61905 .3125 m
.62522 .31867 L
.62593 .31938 L
.61905 .3125 L
.61905 .3125 L
F
.62522 .31867 m
.63139 .32484 L
.63282 .32627 L
.62593 .31938 L
.62522 .31867 L
F
.63139 .32484 m
.63756 .33102 L
.6397 .33315 L
.63282 .32627 L
.63139 .32484 L
F
.61905 .3125 m
.62593 .31938 L
.62617 .31963 L
.61905 .3125 L
.61905 .3125 L
F
.62593 .31938 m
.63282 .32627 L
.6333 .32675 L
.62617 .31963 L
.62593 .31938 L
F
.63282 .32627 m
.6397 .33315 L
.64043 .33388 L
.6333 .32675 L
.63282 .32627 L
F
0 g
.64043 .33388 m
.6397 .33315 L
.63756 .33102 L
.63417 .32762 L
.62974 .32319 L
.62458 .31803 L
.61905 .3125 L
.61351 .30697 L
.60836 .30181 L
.60393 .29738 L
.60053 .29398 L
.59839 .29185 L
.59767 .29112 L
.59839 .29185 L
.60053 .29398 L
.60393 .29738 L
.60836 .30181 L
.61351 .30697 L
.61905 .3125 L
.62458 .31803 L
.62974 .32319 L
.63417 .32762 L
.63756 .33102 L
.6397 .33315 L
.64043 .33388 L
s
.5 g
.63393 .44329 m
.63393 .44504 L
.62897 .44504 L
.62897 .44227 L
.63393 .44329 L
F
.62897 .44227 m
.62897 .44504 L
.62401 .44504 L
.62401 .44167 L
.62897 .44227 L
F
.62401 .44167 m
.62401 .44504 L
.61905 .44504 L
.61905 .44147 L
.62401 .44167 L
F
.61905 .44147 m
.61905 .44504 L
.61409 .44504 L
.61409 .44167 L
.61905 .44147 L
F
.61409 .44167 m
.61409 .44504 L
.60913 .44504 L
.60913 .44227 L
.61409 .44167 L
F
.60913 .44227 m
.60913 .44504 L
.60417 .44504 L
.60417 .44329 L
.60913 .44227 L
F
0 g
.63393 .44329 m
.62897 .44227 L
.62401 .44167 L
.61905 .44147 L
.61409 .44167 L
.60913 .44227 L
.60417 .44329 L
.60417 .44504 L
.60913 .44504 L
.61409 .44504 L
.61905 .44504 L
.62401 .44504 L
.62897 .44504 L
.63393 .44504 L
.63393 .44329 L
s
.5 g
.61905 .44329 m
.61905 .44504 L
.61905 .44504 L
.61905 .44227 L
.61905 .44329 L
F
.61905 .44227 m
.61905 .44504 L
.61905 .44504 L
.61905 .44167 L
.61905 .44227 L
F
.61905 .44167 m
.61905 .44504 L
.61905 .44504 L
.61905 .44147 L
.61905 .44167 L
F
.61905 .44147 m
.61905 .44504 L
.61905 .44504 L
.61905 .44167 L
.61905 .44147 L
F
.61905 .44167 m
.61905 .44504 L
.61905 .44504 L
.61905 .44227 L
.61905 .44167 L
F
.61905 .44227 m
.61905 .44504 L
.61905 .44504 L
.61905 .44329 L
.61905 .44227 L
F
0 g
.61905 .44329 m
.61905 .44227 L
.61905 .44167 L
.61905 .44147 L
.61905 .44167 L
.61905 .44227 L
.61905 .44329 L
.61905 .44504 L
.61905 .44504 L
.61905 .44504 L
.61905 .44504 L
.61905 .44504 L
.61905 .44504 L
.61905 .44504 L
.61905 .44329 L
s
.60417 .44329 m
.60417 .44504 L
.60467 .44504 L
.60467 .44329 L
.60417 .44329 L
s
.60467 .44329 m
.60467 .44504 L
.60616 .44504 L
.60616 .44329 L
.60467 .44329 L
s
.60616 .44329 m
.60616 .44504 L
.60853 .44504 L
.60853 .44329 L
.60616 .44329 L
s
.60853 .44329 m
.60853 .44504 L
.61161 .44504 L
.61161 .44329 L
.60853 .44329 L
s
.61161 .44329 m
.61161 .44504 L
.6152 .44504 L
.6152 .44329 L
.61161 .44329 L
s
.6152 .44329 m
.6152 .44504 L
.61905 .44504 L
.61905 .44329 L
.6152 .44329 L
s
.61905 .44329 m
.61905 .44504 L
.6229 .44504 L
.6229 .44329 L
.61905 .44329 L
s
.6229 .44329 m
.6229 .44504 L
.62649 .44504 L
.62649 .44329 L
.6229 .44329 L
s
.62649 .44329 m
.62649 .44504 L
.62957 .44504 L
.62957 .44329 L
.62649 .44329 L
s
.62957 .44329 m
.62957 .44504 L
.63193 .44504 L
.63193 .44329 L
.62957 .44329 L
s
.63193 .44329 m
.63193 .44504 L
.63342 .44504 L
.63342 .44329 L
.63193 .44329 L
s
.63342 .44329 m
.63342 .44504 L
.63393 .44504 L
.63393 .44329 L
.63342 .44329 L
s
.63393 .44329 m
.63393 .44504 L
.63342 .44504 L
.63342 .44329 L
.63393 .44329 L
s
.63342 .44329 m
.63342 .44504 L
.63193 .44504 L
.63193 .44329 L
.63342 .44329 L
s
.63193 .44329 m
.63193 .44504 L
.62957 .44504 L
.62957 .44329 L
.63193 .44329 L
s
.62957 .44329 m
.62957 .44504 L
.62649 .44504 L
.62649 .44329 L
.62957 .44329 L
s
.62649 .44329 m
.62649 .44504 L
.6229 .44504 L
.6229 .44329 L
.62649 .44329 L
s
.6229 .44329 m
.6229 .44504 L
.61905 .44504 L
.61905 .44329 L
.6229 .44329 L
s
.61905 .44329 m
.61905 .44504 L
.6152 .44504 L
.6152 .44329 L
.61905 .44329 L
s
.6152 .44329 m
.6152 .44504 L
.61161 .44504 L
.61161 .44329 L
.6152 .44329 L
s
.61161 .44329 m
.61161 .44504 L
.60853 .44504 L
.60853 .44329 L
.61161 .44329 L
s
.60853 .44329 m
.60853 .44504 L
.60616 .44504 L
.60616 .44329 L
.60853 .44329 L
s
.60616 .44329 m
.60616 .44504 L
.60467 .44504 L
.60467 .44329 L
.60616 .44329 L
s
.60467 .44329 m
.60467 .44504 L
.60417 .44504 L
.60417 .44329 L
.60467 .44329 L
s
.5 g
.62351 .59022 m
.62351 .59139 L
.62202 .59188 L
.62202 .58973 L
.62351 .59022 L
F
.62202 .58973 m
.62202 .59188 L
.62054 .59217 L
.62054 .58944 L
.62202 .58973 L
F
.62054 .58944 m
.62054 .59217 L
.61905 .59226 L
.61905 .58935 L
.62054 .58944 L
F
.61905 .58935 m
.61905 .59226 L
.61756 .59217 L
.61756 .58944 L
.61905 .58935 L
F
.61756 .58944 m
.61756 .59217 L
.61607 .59188 L
.61607 .58973 L
.61756 .58944 L
F
.61607 .58973 m
.61607 .59188 L
.61458 .59139 L
.61458 .59022 L
.61607 .58973 L
F
0 g
.62351 .59022 m
.62202 .58973 L
.62054 .58944 L
.61905 .58935 L
.61756 .58944 L
.61607 .58973 L
.61458 .59022 L
.61458 .59139 L
.61607 .59188 L
.61756 .59217 L
.61905 .59226 L
.62054 .59217 L
.62202 .59188 L
.62351 .59139 L
.62351 .59022 L
s
.5 g
.61905 .59022 m
.61905 .59139 L
.61905 .59188 L
.61905 .58973 L
.61905 .59022 L
F
.61905 .58973 m
.61905 .59188 L
.61905 .59217 L
.61905 .58944 L
.61905 .58973 L
F
.61905 .58944 m
.61905 .59217 L
.61905 .59226 L
.61905 .58935 L
.61905 .58944 L
F
.61905 .58935 m
.61905 .59226 L
.61905 .59217 L
.61905 .58944 L
.61905 .58935 L
F
.61905 .58944 m
.61905 .59217 L
.61905 .59188 L
.61905 .58973 L
.61905 .58944 L
F
.61905 .58973 m
.61905 .59188 L
.61905 .59139 L
.61905 .59022 L
.61905 .58973 L
F
0 g
.61905 .59022 m
.61905 .58973 L
.61905 .58944 L
.61905 .58935 L
.61905 .58944 L
.61905 .58973 L
.61905 .59022 L
.61905 .59139 L
.61905 .59188 L
.61905 .59217 L
.61905 .59226 L
.61905 .59217 L
.61905 .59188 L
.61905 .59139 L
.61905 .59022 L
s
.61458 .59022 m
.61458 .59139 L
.61474 .59139 L
.61474 .59022 L
.61458 .59022 L
s
.61474 .59022 m
.61474 .59139 L
.61518 .59139 L
.61518 .59022 L
.61474 .59022 L
s
.61518 .59022 m
.61518 .59139 L
.61589 .59139 L
.61589 .59022 L
.61518 .59022 L
s
.61589 .59022 m
.61589 .59139 L
.61682 .59139 L
.61682 .59022 L
.61589 .59022 L
s
.61682 .59022 m
.61682 .59139 L
.61789 .59139 L
.61789 .59022 L
.61682 .59022 L
s
.61789 .59022 m
.61789 .59139 L
.61905 .59139 L
.61905 .59022 L
.61789 .59022 L
s
.61905 .59022 m
.61905 .59139 L
.6202 .59139 L
.6202 .59022 L
.61905 .59022 L
s
.6202 .59022 m
.6202 .59139 L
.62128 .59139 L
.62128 .59022 L
.6202 .59022 L
s
.62128 .59022 m
.62128 .59139 L
.6222 .59139 L
.6222 .59022 L
.62128 .59022 L
s
.6222 .59022 m
.6222 .59139 L
.62291 .59139 L
.62291 .59022 L
.6222 .59022 L
s
.62291 .59022 m
.62291 .59139 L
.62336 .59139 L
.62336 .59022 L
.62291 .59022 L
s
.62336 .59022 m
.62336 .59139 L
.62351 .59139 L
.62351 .59022 L
.62336 .59022 L
s
.62351 .59022 m
.62351 .59139 L
.62336 .59139 L
.62336 .59022 L
.62351 .59022 L
s
.62336 .59022 m
.62336 .59139 L
.62291 .59139 L
.62291 .59022 L
.62336 .59022 L
s
.62291 .59022 m
.62291 .59139 L
.6222 .59139 L
.6222 .59022 L
.62291 .59022 L
s
.6222 .59022 m
.6222 .59139 L
.62128 .59139 L
.62128 .59022 L
.6222 .59022 L
s
.62128 .59022 m
.62128 .59139 L
.6202 .59139 L
.6202 .59022 L
.62128 .59022 L
s
.6202 .59022 m
.6202 .59139 L
.61905 .59139 L
.61905 .59022 L
.6202 .59022 L
s
.61905 .59022 m
.61905 .59139 L
.61789 .59139 L
.61789 .59022 L
.61905 .59022 L
s
.61789 .59022 m
.61789 .59139 L
.61682 .59139 L
.61682 .59022 L
.61789 .59022 L
s
.61682 .59022 m
.61682 .59139 L
.61589 .59139 L
.61589 .59022 L
.61682 .59022 L
s
.61589 .59022 m
.61589 .59139 L
.61518 .59139 L
.61518 .59022 L
.61589 .59022 L
s
.61518 .59022 m
.61518 .59139 L
.61474 .59139 L
.61474 .59022 L
.61518 .59022 L
s
.61474 .59022 m
.61474 .59139 L
.61458 .59139 L
.61458 .59022 L
.61474 .59022 L
s
.62141 .60417 m
.62063 .60417 L
.61984 .60417 L
.61905 .60417 L
.61826 .60417 L
.61747 .60417 L
.61668 .60417 L
.61668 .60417 L
.61747 .60417 L
.61826 .60417 L
.61905 .60417 L
.61984 .60417 L
.62063 .60417 L
.62141 .60417 L
.62141 .60417 L
s
.61905 .60417 m
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
.61905 .60417 L
s
.62141 .60417 m
.61668 .60417 L
.61668 .60417 L
.62141 .60417 L
.62141 .60417 L
s
.5 g
.91667 .3125 m
.94097 .28274 L
.96527 .3125 L
.94097 .34226 L
.91667 .3125 L
F
0 g
.91667 .3125 m
.94097 .28274 L
.96527 .3125 L
.94097 .34226 L
.91667 .3125 L
s
.5 g
.91667 .28274 m
.94097 .3125 L
.96527 .3125 L
.94097 .28274 L
.91667 .28274 L
F
0 g
.91667 .28274 m
.94097 .3125 L
.96527 .3125 L
.94097 .28274 L
.91667 .28274 L
s
.5 g
.91667 .34226 m
.94097 .34226 L
.96527 .3125 L
.94097 .3125 L
.91667 .34226 L
F
0 g
.91667 .34226 m
.94097 .34226 L
.96527 .3125 L
.94097 .3125 L
.91667 .34226 L
s
.5 g
.91667 .34226 m
.91667 .3438 L
.91667 .34273 L
.91667 .34125 L
.91667 .34226 L
F
.91667 .34125 m
.91667 .34273 L
.91667 .3396 L
.91667 .33827 L
.91667 .34125 L
F
.91667 .33827 m
.91667 .3396 L
.91667 .33463 L
.91667 .33354 L
.91667 .33827 L
F
.91667 .33354 m
.91667 .33463 L
.91667 .32815 L
.91667 .32738 L
.91667 .33354 L
F
.91667 .32738 m
.91667 .32815 L
.91667 .3206 L
.91667 .3202 L
.91667 .32738 L
F
.91667 .3202 m
.91667 .3206 L
.91667 .3125 L
.91667 .3125 L
.91667 .3202 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .3044 L
.91667 .3048 L
.91667 .3125 L
F
.91667 .3048 m
.91667 .3044 L
.91667 .29685 L
.91667 .29762 L
.91667 .3048 L
F
.91667 .29762 m
.91667 .29685 L
.91667 .29037 L
.91667 .29146 L
.91667 .29762 L
F
.91667 .29146 m
.91667 .29037 L
.91667 .2854 L
.91667 .28673 L
.91667 .29146 L
F
.91667 .28673 m
.91667 .2854 L
.91667 .28227 L
.91667 .28375 L
.91667 .28673 L
F
.91667 .28375 m
.91667 .28227 L
.91667 .2812 L
.91667 .28274 L
.91667 .28375 L
F
.91667 .28274 m
.91667 .2812 L
.91667 .28227 L
.91667 .28375 L
.91667 .28274 L
F
.91667 .28375 m
.91667 .28227 L
.91667 .2854 L
.91667 .28673 L
.91667 .28375 L
F
.91667 .28673 m
.91667 .2854 L
.91667 .29037 L
.91667 .29146 L
.91667 .28673 L
F
.91667 .29146 m
.91667 .29037 L
.91667 .29685 L
.91667 .29762 L
.91667 .29146 L
F
.91667 .29762 m
.91667 .29685 L
.91667 .3044 L
.91667 .3048 L
.91667 .29762 L
F
.91667 .3048 m
.91667 .3044 L
.91667 .3125 L
.91667 .3125 L
.91667 .3048 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .3206 L
.91667 .3202 L
.91667 .3125 L
F
.91667 .3202 m
.91667 .3206 L
.91667 .32815 L
.91667 .32738 L
.91667 .3202 L
F
.91667 .32738 m
.91667 .32815 L
.91667 .33463 L
.91667 .33354 L
.91667 .32738 L
F
.91667 .33354 m
.91667 .33463 L
.91667 .3396 L
.91667 .33827 L
.91667 .33354 L
F
.91667 .33827 m
.91667 .3396 L
.91667 .34273 L
.91667 .34125 L
.91667 .33827 L
F
.91667 .34125 m
.91667 .34273 L
.91667 .3438 L
.91667 .34226 L
.91667 .34125 L
F
.91667 .3438 m
.91667 .34533 L
.91667 .34421 L
.91667 .34273 L
.91667 .3438 L
F
.91667 .34273 m
.91667 .34421 L
.91667 .34093 L
.91667 .3396 L
.91667 .34273 L
F
.91667 .3396 m
.91667 .34093 L
.91667 .33572 L
.91667 .33463 L
.91667 .3396 L
F
.91667 .33463 m
.91667 .33572 L
.91667 .32892 L
.91667 .32815 L
.91667 .33463 L
F
.91667 .32815 m
.91667 .32892 L
.91667 .321 L
.91667 .3206 L
.91667 .32815 L
F
.91667 .3206 m
.91667 .321 L
.91667 .3125 L
.91667 .3125 L
.91667 .3206 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .304 L
.91667 .3044 L
.91667 .3125 L
F
.91667 .3044 m
.91667 .304 L
.91667 .29608 L
.91667 .29685 L
.91667 .3044 L
F
.91667 .29685 m
.91667 .29608 L
.91667 .28928 L
.91667 .29037 L
.91667 .29685 L
F
.91667 .29037 m
.91667 .28928 L
.91667 .28407 L
.91667 .2854 L
.91667 .29037 L
F
.91667 .2854 m
.91667 .28407 L
.91667 .28079 L
.91667 .28227 L
.91667 .2854 L
F
.91667 .28227 m
.91667 .28079 L
.91667 .27967 L
.91667 .2812 L
.91667 .28227 L
F
.91667 .2812 m
.91667 .27967 L
.91667 .28079 L
.91667 .28227 L
.91667 .2812 L
F
.91667 .28227 m
.91667 .28079 L
.91667 .28407 L
.91667 .2854 L
.91667 .28227 L
F
.91667 .2854 m
.91667 .28407 L
.91667 .28928 L
.91667 .29037 L
.91667 .2854 L
F
.91667 .29037 m
.91667 .28928 L
.91667 .29608 L
.91667 .29685 L
.91667 .29037 L
F
.91667 .29685 m
.91667 .29608 L
.91667 .304 L
.91667 .3044 L
.91667 .29685 L
F
.91667 .3044 m
.91667 .304 L
.91667 .3125 L
.91667 .3125 L
.91667 .3044 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .321 L
.91667 .3206 L
.91667 .3125 L
F
.91667 .3206 m
.91667 .321 L
.91667 .32892 L
.91667 .32815 L
.91667 .3206 L
F
.91667 .32815 m
.91667 .32892 L
.91667 .33572 L
.91667 .33463 L
.91667 .32815 L
F
.91667 .33463 m
.91667 .33572 L
.91667 .34093 L
.91667 .3396 L
.91667 .33463 L
F
.91667 .3396 m
.91667 .34093 L
.91667 .34421 L
.91667 .34273 L
.91667 .3396 L
F
.91667 .34273 m
.91667 .34421 L
.91667 .34533 L
.91667 .3438 L
.91667 .34273 L
F
.91667 .34533 m
.91667 .34687 L
.91667 .3457 L
.91667 .34421 L
.91667 .34533 L
F
.91667 .34421 m
.91667 .3457 L
.91667 .34226 L
.91667 .34093 L
.91667 .34421 L
F
.91667 .34093 m
.91667 .34226 L
.91667 .3368 L
.91667 .33572 L
.91667 .34093 L
F
.91667 .33572 m
.91667 .3368 L
.91667 .32968 L
.91667 .32892 L
.91667 .33572 L
F
.91667 .32892 m
.91667 .32968 L
.91667 .32139 L
.91667 .321 L
.91667 .32892 L
F
.91667 .321 m
.91667 .32139 L
.91667 .3125 L
.91667 .3125 L
.91667 .321 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .30361 L
.91667 .304 L
.91667 .3125 L
F
.91667 .304 m
.91667 .30361 L
.91667 .29532 L
.91667 .29608 L
.91667 .304 L
F
.91667 .29608 m
.91667 .29532 L
.91667 .2882 L
.91667 .28928 L
.91667 .29608 L
F
.91667 .28928 m
.91667 .2882 L
.91667 .28274 L
.91667 .28407 L
.91667 .28928 L
F
.91667 .28407 m
.91667 .28274 L
.91667 .2793 L
.91667 .28079 L
.91667 .28407 L
F
.91667 .28079 m
.91667 .2793 L
.91667 .27813 L
.91667 .27967 L
.91667 .28079 L
F
.91667 .27967 m
.91667 .27813 L
.91667 .2793 L
.91667 .28079 L
.91667 .27967 L
F
.91667 .28079 m
.91667 .2793 L
.91667 .28274 L
.91667 .28407 L
.91667 .28079 L
F
.91667 .28407 m
.91667 .28274 L
.91667 .2882 L
.91667 .28928 L
.91667 .28407 L
F
.91667 .28928 m
.91667 .2882 L
.91667 .29532 L
.91667 .29608 L
.91667 .28928 L
F
.91667 .29608 m
.91667 .29532 L
.91667 .30361 L
.91667 .304 L
.91667 .29608 L
F
.91667 .304 m
.91667 .30361 L
.91667 .3125 L
.91667 .3125 L
.91667 .304 L
F
.91667 .3125 m
.91667 .3125 L
.91667 .32139 L
.91667 .321 L
.91667 .3125 L
F
.91667 .321 m
.91667 .32139 L
.91667 .32968 L
.91667 .32892 L
.91667 .321 L
F
.91667 .32892 m
.91667 .32968 L
.91667 .3368 L
.91667 .33572 L
.91667 .32892 L
F
.91667 .33572 m
.91667 .3368 L
.91667 .34226 L
.91667 .34093 L
.91667 .33572 L
F
.91667 .34093 m
.91667 .34226 L
.91667 .3457 L
.91667 .34421 L
.91667 .34093 L
F
.91667 .34421 m
.91667 .3457 L
.91667 .34687 L
.91667 .34533 L
.91667 .34421 L
F
0 g
.91667 .34226 m
.91667 .34125 L
.91667 .33827 L
.91667 .33354 L
.91667 .32738 L
.91667 .3202 L
.91667 .3125 L
.91667 .3048 L
.91667 .29762 L
.91667 .29146 L
.91667 .28673 L
.91667 .28375 L
.91667 .28274 L
.91667 .28375 L
.91667 .28673 L
.91667 .29146 L
.91667 .29762 L
.91667 .3048 L
.91667 .3125 L
.91667 .3202 L
.91667 .32738 L
.91667 .33354 L
.91667 .33827 L
.91667 .34125 L
.91667 .34226 L
s
.91667 .34687 m
.91667 .3457 L
.91667 .34226 L
.91667 .3368 L
.91667 .32968 L
.91667 .32139 L
.91667 .3125 L
.91667 .30361 L
.91667 .29532 L
.91667 .2882 L
.91667 .28274 L
.91667 .2793 L
.91667 .27813 L
.91667 .2793 L
.91667 .28274 L
.91667 .2882 L
.91667 .29532 L
.91667 .30361 L
.91667 .3125 L
.91667 .32139 L
.91667 .32968 L
.91667 .3368 L
.91667 .34226 L
.91667 .3457 L
.91667 .34687 L
s
.5 g
.59767 .29112 m
.59767 .29112 L
.60479 .29825 L
.60479 .29825 L
.59767 .29112 L
F
.60479 .29825 m
.60479 .29825 L
.61192 .30537 L
.61192 .30537 L
.60479 .29825 L
F
.61192 .30537 m
.61192 .30537 L
.61905 .3125 L
.61905 .3125 L
.61192 .30537 L
F
.61905 .3125 m
.61905 .3125 L
.62617 .31963 L
.62617 .31963 L
.61905 .3125 L
F
.62617 .31963 m
.62617 .31963 L
.6333 .32675 L
.6333 .32675 L
.62617 .31963 L
F
.6333 .32675 m
.6333 .32675 L
.64043 .33388 L
.64043 .33388 L
.6333 .32675 L
F
0 g
.59767 .29112 m
.60479 .29825 L
.61192 .30537 L
.61905 .3125 L
.62617 .31963 L
.6333 .32675 L
.64043 .33388 L
.64043 .33388 L
.6333 .32675 L
.62617 .31963 L
.61905 .3125 L
.61192 .30537 L
.60479 .29825 L
.59767 .29112 L
.59767 .29112 L
s
.5 g
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
0 g
.61905 .3125 m
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
s
.5 g
.61905 .3125 m
.62617 .31963 L
.62593 .31938 L
.61905 .3125 L
.61905 .3125 L
F
.62617 .31963 m
.6333 .32675 L
.63282 .32627 L
.62593 .31938 L
.62617 .31963 L
F
.6333 .32675 m
.64043 .33388 L
.6397 .33315 L
.63282 .32627 L
.6333 .32675 L
F
.61905 .3125 m
.62593 .31938 L
.62522 .31867 L
.61905 .3125 L
.61905 .3125 L
F
.62593 .31938 m
.63282 .32627 L
.63139 .32484 L
.62522 .31867 L
.62593 .31938 L
F
.63282 .32627 m
.6397 .33315 L
.63756 .33102 L
.63139 .32484 L
.63282 .32627 L
F
.61905 .3125 m
.62522 .31867 L
.62409 .31754 L
.61905 .3125 L
.61905 .3125 L
F
.62522 .31867 m
.63139 .32484 L
.62913 .32258 L
.62409 .31754 L
.62522 .31867 L
F
.63139 .32484 m
.63756 .33102 L
.63417 .32762 L
.62913 .32258 L
.63139 .32484 L
F
.61905 .3125 m
.62409 .31754 L
.62261 .31606 L
.61905 .3125 L
.61905 .3125 L
F
.62409 .31754 m
.62913 .32258 L
.62617 .31963 L
.62261 .31606 L
.62409 .31754 L
F
.62913 .32258 m
.63417 .32762 L
.62974 .32319 L
.62617 .31963 L
.62913 .32258 L
F
.61905 .3125 m
.62261 .31606 L
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
F
.62261 .31606 m
.62617 .31963 L
.62274 .31619 L
.62089 .31434 L
.62261 .31606 L
F
.62617 .31963 m
.62974 .32319 L
.62458 .31803 L
.62274 .31619 L
.62617 .31963 L
F
.61905 .3125 m
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.62089 .31434 m
.62274 .31619 L
.61905 .3125 L
.61905 .3125 L
.62089 .31434 L
F
.62274 .31619 m
.62458 .31803 L
.61905 .3125 L
.61905 .3125 L
.62274 .31619 L
F
.61905 .3125 m
.61905 .3125 L
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61536 .30881 L
.6172 .31066 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.61351 .30697 L
.61536 .30881 L
.61905 .3125 L
F
.61905 .3125 m
.6172 .31066 L
.61548 .30894 L
.61905 .3125 L
.61905 .3125 L
F
.6172 .31066 m
.61536 .30881 L
.61192 .30537 L
.61548 .30894 L
.6172 .31066 L
F
.61536 .30881 m
.61351 .30697 L
.60836 .30181 L
.61192 .30537 L
.61536 .30881 L
F
.61905 .3125 m
.61548 .30894 L
.61401 .30746 L
.61905 .3125 L
.61905 .3125 L
F
.61548 .30894 m
.61192 .30537 L
.60897 .30242 L
.61401 .30746 L
.61548 .30894 L
F
.61192 .30537 m
.60836 .30181 L
.60393 .29738 L
.60897 .30242 L
.61192 .30537 L
F
.61905 .3125 m
.61401 .30746 L
.61288 .30633 L
.61905 .3125 L
.61905 .3125 L
F
.61401 .30746 m
.60897 .30242 L
.6067 .30016 L
.61288 .30633 L
.61401 .30746 L
F
.60897 .30242 m
.60393 .29738 L
.60053 .29398 L
.6067 .30016 L
.60897 .30242 L
F
.61905 .3125 m
.61288 .30633 L
.61216 .30562 L
.61905 .3125 L
.61905 .3125 L
F
.61288 .30633 m
.6067 .30016 L
.60528 .29873 L
.61216 .30562 L
.61288 .30633 L
F
.6067 .30016 m
.60053 .29398 L
.59839 .29185 L
.60528 .29873 L
.6067 .30016 L
F
.61905 .3125 m
.61216 .30562 L
.61192 .30537 L
.61905 .3125 L
.61905 .3125 L
F
.61216 .30562 m
.60528 .29873 L
.60479 .29825 L
.61192 .30537 L
.61216 .30562 L
F
.60528 .29873 m
.59839 .29185 L
.59767 .29112 L
.60479 .29825 L
.60528 .29873 L
F
.61905 .3125 m
.61192 .30537 L
.61216 .30562 L
.61905 .3125 L
.61905 .3125 L
F
.61192 .30537 m
.60479 .29825 L
.60528 .29873 L
.61216 .30562 L
.61192 .30537 L
F
.60479 .29825 m
.59767 .29112 L
.59839 .29185 L
.60528 .29873 L
.60479 .29825 L
F
.61905 .3125 m
.61216 .30562 L
.61288 .30633 L
.61905 .3125 L
.61905 .3125 L
F
.61216 .30562 m
.60528 .29873 L
.6067 .30016 L
.61288 .30633 L
.61216 .30562 L
F
.60528 .29873 m
.59839 .29185 L
.60053 .29398 L
.6067 .30016 L
.60528 .29873 L
F
.61905 .3125 m
.61288 .30633 L
.61401 .30746 L
.61905 .3125 L
.61905 .3125 L
F
.61288 .30633 m
.6067 .30016 L
.60897 .30242 L
.61401 .30746 L
.61288 .30633 L
F
.6067 .30016 m
.60053 .29398 L
.60393 .29738 L
.60897 .30242 L
.6067 .30016 L
F
.61905 .3125 m
.61401 .30746 L
.61548 .30894 L
.61905 .3125 L
.61905 .3125 L
F
.61401 .30746 m
.60897 .30242 L
.61192 .30537 L
.61548 .30894 L
.61401 .30746 L
F
.60897 .30242 m
.60393 .29738 L
.60836 .30181 L
.61192 .30537 L
.60897 .30242 L
F
.61905 .3125 m
.61548 .30894 L
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
F
.61548 .30894 m
.61192 .30537 L
.61536 .30881 L
.6172 .31066 L
.61548 .30894 L
F
.61192 .30537 m
.60836 .30181 L
.61351 .30697 L
.61536 .30881 L
.61192 .30537 L
F
.61905 .3125 m
.6172 .31066 L
.61905 .3125 L
.61905 .3125 L
.61905 .3125 L
F
.6172 .31066 m
.61536 .30881 L
.61905 .3125 L
.61905 .3125 L
.6172 .31066 L
F
.61536 .30881 m
.61351 .30697 L
.61905 .3125 L
.61905 .3125 L
.61536 .30881 L
F
.61905 .3125 m
.61905 .3125 L
.62089 .31434 L
.61905 .3125 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.62274 .31619 L
.62089 .31434 L
.61905 .3125 L
F
.61905 .3125 m
.61905 .3125 L
.62458 .31803 L
.62274 .31619 L
.61905 .3125 L
F
.61905 .3125 m
.62089 .31434 L
.62261 .31606 L
.61905 .3125 L
.61905 .3125 L
F
.62089 .31434 m
.62274 .31619 L
.62617 .31963 L
.62261 .31606 L
.62089 .31434 L
F
.62274 .31619 m
.62458 .31803 L
.62974 .32319 L
.62617 .31963 L
.62274 .31619 L
F
.61905 .3125 m
.62261 .31606 L
.62409 .31754 L
.61905 .3125 L
.61905 .3125 L
F
.62261 .31606 m
.62617 .31963 L
.62913 .32258 L
.62409 .31754 L
.62261 .31606 L
F
.62617 .31963 m
.62974 .32319 L
.63417 .32762 L
.62913 .32258 L
.62617 .31963 L
F
.61905 .3125 m
.62409 .31754 L
.62522 .31867 L
.61905 .3125 L
.61905 .3125 L
F
.62409 .31754 m
.62913 .32258 L
.63139 .32484 L
.62522 .31867 L
.62409 .31754 L
F
.62913 .32258 m
.63417 .32762 L
.63756 .33102 L
.63139 .32484 L
.62913 .32258 L
F
.61905 .3125 m
.62522 .31867 L
.62593 .31938 L
.61905 .3125 L
.61905 .3125 L
F
.62522 .31867 m
.63139 .32484 L
.63282 .32627 L
.62593 .31938 L
.62522 .31867 L
F
.63139 .32484 m
.63756 .33102 L
.6397 .33315 L
.63282 .32627 L
.63139 .32484 L
F
.61905 .3125 m
.62593 .31938 L
.62617 .31963 L
.61905 .3125 L
.61905 .3125 L
F
.62593 .31938 m
.63282 .32627 L
.6333 .32675 L
.62617 .31963 L
.62593 .31938 L
F
.63282 .32627 m
.6397 .33315 L
.64043 .33388 L
.6333 .32675 L
.63282 .32627 L
F
0 g
.64043 .33388 m
.6397 .33315 L
.63756 .33102 L
.63417 .32762 L
.62974 .32319 L
.62458 .31803 L
.61905 .3125 L
.61351 .30697 L
.60836 .30181 L
.60393 .29738 L
.60053 .29398 L
.59839 .29185 L
.59767 .29112 L
.59839 .29185 L
.60053 .29398 L
.60393 .29738 L
.60836 .30181 L
.61351 .30697 L
.61905 .3125 L
.62458 .31803 L
.62974 .32319 L
.63417 .32762 L
.63756 .33102 L
.6397 .33315 L
.64043 .33388 L
s
.5 g
.63393 .18535 m
.63393 .1871 L
.62897 .1871 L
.62897 .18433 L
.63393 .18535 L
F
.62897 .18433 m
.62897 .1871 L
.62401 .1871 L
.62401 .18373 L
.62897 .18433 L
F
.62401 .18373 m
.62401 .1871 L
.61905 .1871 L
.61905 .18353 L
.62401 .18373 L
F
.61905 .18353 m
.61905 .1871 L
.61409 .1871 L
.61409 .18373 L
.61905 .18353 L
F
.61409 .18373 m
.61409 .1871 L
.60913 .1871 L
.60913 .18433 L
.61409 .18373 L
F
.60913 .18433 m
.60913 .1871 L
.60417 .1871 L
.60417 .18535 L
.60913 .18433 L
F
0 g
.63393 .18535 m
.62897 .18433 L
.62401 .18373 L
.61905 .18353 L
.61409 .18373 L
.60913 .18433 L
.60417 .18535 L
.60417 .1871 L
.60913 .1871 L
.61409 .1871 L
.61905 .1871 L
.62401 .1871 L
.62897 .1871 L
.63393 .1871 L
.63393 .18535 L
s
.5 g
.61905 .18535 m
.61905 .1871 L
.61905 .1871 L
.61905 .18433 L
.61905 .18535 L
F
.61905 .18433 m
.61905 .1871 L
.61905 .1871 L
.61905 .18373 L
.61905 .18433 L
F
.61905 .18373 m
.61905 .1871 L
.61905 .1871 L
.61905 .18353 L
.61905 .18373 L
F
.61905 .18353 m
.61905 .1871 L
.61905 .1871 L
.61905 .18373 L
.61905 .18353 L
F
.61905 .18373 m
.61905 .1871 L
.61905 .1871 L
.61905 .18433 L
.61905 .18373 L
F
.61905 .18433 m
.61905 .1871 L
.61905 .1871 L
.61905 .18535 L
.61905 .18433 L
F
0 g
.61905 .18535 m
.61905 .18433 L
.61905 .18373 L
.61905 .18353 L
.61905 .18373 L
.61905 .18433 L
.61905 .18535 L
.61905 .1871 L
.61905 .1871 L
.61905 .1871 L
.61905 .1871 L
.61905 .1871 L
.61905 .1871 L
.61905 .1871 L
.61905 .18535 L
s
.60417 .18535 m
.60417 .1871 L
.60467 .1871 L
.60467 .18535 L
.60417 .18535 L
s
.60467 .18535 m
.60467 .1871 L
.60616 .1871 L
.60616 .18535 L
.60467 .18535 L
s
.60616 .18535 m
.60616 .1871 L
.60853 .1871 L
.60853 .18535 L
.60616 .18535 L
s
.60853 .18535 m
.60853 .1871 L
.61161 .1871 L
.61161 .18535 L
.60853 .18535 L
s
.61161 .18535 m
.61161 .1871 L
.6152 .1871 L
.6152 .18535 L
.61161 .18535 L
s
.6152 .18535 m
.6152 .1871 L
.61905 .1871 L
.61905 .18535 L
.6152 .18535 L
s
.61905 .18535 m
.61905 .1871 L
.6229 .1871 L
.6229 .18535 L
.61905 .18535 L
s
.6229 .18535 m
.6229 .1871 L
.62649 .1871 L
.62649 .18535 L
.6229 .18535 L
s
.62649 .18535 m
.62649 .1871 L
.62957 .1871 L
.62957 .18535 L
.62649 .18535 L
s
.62957 .18535 m
.62957 .1871 L
.63193 .1871 L
.63193 .18535 L
.62957 .18535 L
s
.63193 .18535 m
.63193 .1871 L
.63342 .1871 L
.63342 .18535 L
.63193 .18535 L
s
.63342 .18535 m
.63342 .1871 L
.63393 .1871 L
.63393 .18535 L
.63342 .18535 L
s
.63393 .18535 m
.63393 .1871 L
.63342 .1871 L
.63342 .18535 L
.63393 .18535 L
s
.63342 .18535 m
.63342 .1871 L
.63193 .1871 L
.63193 .18535 L
.63342 .18535 L
s
.63193 .18535 m
.63193 .1871 L
.62957 .1871 L
.62957 .18535 L
.63193 .18535 L
s
.62957 .18535 m
.62957 .1871 L
.62649 .1871 L
.62649 .18535 L
.62957 .18535 L
s
.62649 .18535 m
.62649 .1871 L
.6229 .1871 L
.6229 .18535 L
.62649 .18535 L
s
.6229 .18535 m
.6229 .1871 L
.61905 .1871 L
.61905 .18535 L
.6229 .18535 L
s
.61905 .18535 m
.61905 .1871 L
.6152 .1871 L
.6152 .18535 L
.61905 .18535 L
s
.6152 .18535 m
.6152 .1871 L
.61161 .1871 L
.61161 .18535 L
.6152 .18535 L
s
.61161 .18535 m
.61161 .1871 L
.60853 .1871 L
.60853 .18535 L
.61161 .18535 L
s
.60853 .18535 m
.60853 .1871 L
.60616 .1871 L
.60616 .18535 L
.60853 .18535 L
s
.60616 .18535 m
.60616 .1871 L
.60467 .1871 L
.60467 .18535 L
.60616 .18535 L
s
.60467 .18535 m
.60467 .1871 L
.60417 .1871 L
.60417 .18535 L
.60467 .18535 L
s
.5 g
.62351 .03653 m
.62351 .0377 L
.62202 .03819 L
.62202 .03604 L
.62351 .03653 L
F
.62202 .03604 m
.62202 .03819 L
.62054 .03848 L
.62054 .03575 L
.62202 .03604 L
F
.62054 .03575 m
.62054 .03848 L
.61905 .03857 L
.61905 .03565 L
.62054 .03575 L
F
.61905 .03565 m
.61905 .03857 L
.61756 .03848 L
.61756 .03575 L
.61905 .03565 L
F
.61756 .03575 m
.61756 .03848 L
.61607 .03819 L
.61607 .03604 L
.61756 .03575 L
F
.61607 .03604 m
.61607 .03819 L
.61458 .0377 L
.61458 .03653 L
.61607 .03604 L
F
0 g
.62351 .03653 m
.62202 .03604 L
.62054 .03575 L
.61905 .03565 L
.61756 .03575 L
.61607 .03604 L
.61458 .03653 L
.61458 .0377 L
.61607 .03819 L
.61756 .03848 L
.61905 .03857 L
.62054 .03848 L
.62202 .03819 L
.62351 .0377 L
.62351 .03653 L
s
.5 g
.61905 .03653 m
.61905 .0377 L
.61905 .03819 L
.61905 .03604 L
.61905 .03653 L
F
.61905 .03604 m
.61905 .03819 L
.61905 .03848 L
.61905 .03575 L
.61905 .03604 L
F
.61905 .03575 m
.61905 .03848 L
.61905 .03857 L
.61905 .03565 L
.61905 .03575 L
F
.61905 .03565 m
.61905 .03857 L
.61905 .03848 L
.61905 .03575 L
.61905 .03565 L
F
.61905 .03575 m
.61905 .03848 L
.61905 .03819 L
.61905 .03604 L
.61905 .03575 L
F
.61905 .03604 m
.61905 .03819 L
.61905 .0377 L
.61905 .03653 L
.61905 .03604 L
F
0 g
.61905 .03653 m
.61905 .03604 L
.61905 .03575 L
.61905 .03565 L
.61905 .03575 L
.61905 .03604 L
.61905 .03653 L
.61905 .0377 L
.61905 .03819 L
.61905 .03848 L
.61905 .03857 L
.61905 .03848 L
.61905 .03819 L
.61905 .0377 L
.61905 .03653 L
s
.61458 .03653 m
.61458 .0377 L
.61474 .0377 L
.61474 .03653 L
.61458 .03653 L
s
.61474 .03653 m
.61474 .0377 L
.61518 .0377 L
.61518 .03653 L
.61474 .03653 L
s
.61518 .03653 m
.61518 .0377 L
.61589 .0377 L
.61589 .03653 L
.61518 .03653 L
s
.61589 .03653 m
.61589 .0377 L
.61682 .0377 L
.61682 .03653 L
.61589 .03653 L
s
.61682 .03653 m
.61682 .0377 L
.61789 .0377 L
.61789 .03653 L
.61682 .03653 L
s
.61789 .03653 m
.61789 .0377 L
.61905 .0377 L
.61905 .03653 L
.61789 .03653 L
s
.61905 .03653 m
.61905 .0377 L
.6202 .0377 L
.6202 .03653 L
.61905 .03653 L
s
.6202 .03653 m
.6202 .0377 L
.62128 .0377 L
.62128 .03653 L
.6202 .03653 L
s
.62128 .03653 m
.62128 .0377 L
.6222 .0377 L
.6222 .03653 L
.62128 .03653 L
s
.6222 .03653 m
.6222 .0377 L
.62291 .0377 L
.62291 .03653 L
.6222 .03653 L
s
.62291 .03653 m
.62291 .0377 L
.62336 .0377 L
.62336 .03653 L
.62291 .03653 L
s
.62336 .03653 m
.62336 .0377 L
.62351 .0377 L
.62351 .03653 L
.62336 .03653 L
s
.62351 .03653 m
.62351 .0377 L
.62336 .0377 L
.62336 .03653 L
.62351 .03653 L
s
.62336 .03653 m
.62336 .0377 L
.62291 .0377 L
.62291 .03653 L
.62336 .03653 L
s
.62291 .03653 m
.62291 .0377 L
.6222 .0377 L
.6222 .03653 L
.62291 .03653 L
s
.6222 .03653 m
.6222 .0377 L
.62128 .0377 L
.62128 .03653 L
.6222 .03653 L
s
.62128 .03653 m
.62128 .0377 L
.6202 .0377 L
.6202 .03653 L
.62128 .03653 L
s
.6202 .03653 m
.6202 .0377 L
.61905 .0377 L
.61905 .03653 L
.6202 .03653 L
s
.61905 .03653 m
.61905 .0377 L
.61789 .0377 L
.61789 .03653 L
.61905 .03653 L
s
.61789 .03653 m
.61789 .0377 L
.61682 .0377 L
.61682 .03653 L
.61789 .03653 L
s
.61682 .03653 m
.61682 .0377 L
.61589 .0377 L
.61589 .03653 L
.61682 .03653 L
s
.61589 .03653 m
.61589 .0377 L
.61518 .0377 L
.61518 .03653 L
.61589 .03653 L
s
.61518 .03653 m
.61518 .0377 L
.61474 .0377 L
.61474 .03653 L
.61518 .03653 L
s
.61474 .03653 m
.61474 .0377 L
.61458 .0377 L
.61458 .03653 L
.61474 .03653 L
s
.62141 .02083 m
.62063 .02083 L
.61984 .02083 L
.61905 .02083 L
.61826 .02083 L
.61747 .02083 L
.61668 .02083 L
.61668 .02083 L
.61747 .02083 L
.61826 .02083 L
.61905 .02083 L
.61984 .02083 L
.62063 .02083 L
.62141 .02083 L
.62141 .02083 L
s
.61905 .02083 m
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
.61905 .02083 L
s
.62141 .02083 m
.61668 .02083 L
.61668 .02083 L
.62141 .02083 L
.62141 .02083 L
s
.97619 .61012 m
.97619 .01488 L
.97619 .01488 L
.97619 .61012 L
.97619 .61012 L
s
.97619 .01488 m
.02381 .01488 L
.02381 .01488 L
.97619 .01488 L
.97619 .01488 L
s
.02381 .01488 m
.02381 .61012 L
.02381 .61012 L
.02381 .01488 L
.02381 .01488 L
s
.02381 .61012 m
.97619 .61012 L
.97619 .61012 L
.02381 .61012 L
.02381 .61012 L
s
.97619 .01488 m
.97619 .61012 L
.02381 .61012 L
.02381 .01488 L
.97619 .01488 L
s
.97619 .61012 m
.97619 .01488 L
.02381 .01488 L
.02381 .61012 L
.97619 .61012 L
s
.039 .916 .04 r
.02381 .32143 m
.62798 .32143 L
s
% Start of user PostScript
0 15. 1015. 15. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.62798 .32143 Mdot
.039 .916 .04 r
.5 Mabswid
.62798 .32143 m
.91667 .32143 L
s
% Start of user PostScript
1015. 15. 1500. 15. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.91667 .32143 Mdot
.039 .916 .04 r
.5 Mabswid
.62798 .32143 m
.62798 .44212 L
s
% Start of user PostScript
1015. 15. 1015. 217.764 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.62798 .44212 Mdot
.039 .916 .04 r
.5 Mabswid
.91667 .32143 m
.95433 .32143 L
s
0 0 0 r
2 Mabswid
.95433 .32143 Mdot
.039 .916 .04 r
.5 Mabswid
.62798 .44212 m
.62783 .44504 L
s
0 0 0 r
2 Mabswid
.62783 .44504 Mdot
.039 .916 .04 r
.5 Mabswid
.95433 .32143 m
.95798 .3125 L
s
0 0 0 r
2 Mabswid
.95798 .3125 Mdot
.039 .916 .04 r
.5 Mabswid
.62783 .44504 m
.61688 .58955 L
s
% Start of user PostScript
1014.76 222.674 996.357 465.437 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.61688 .58955 Mdot
.039 .916 .04 r
.5 Mabswid
.95798 .3125 m
.95433 .30357 L
s
0 0 0 r
2 Mabswid
.95433 .30357 Mdot
.039 .916 .04 r
.5 Mabswid
.61688 .58955 m
.61692 .59207 L
s
0 0 0 r
2 Mabswid
.61692 .59207 Mdot
.039 .916 .04 r
.5 Mabswid
.95433 .30357 m
.91667 .30357 L
s
0 0 0 r
2 Mabswid
.91667 .30357 Mdot
.039 .916 .04 r
.5 Mabswid
.61692 .59207 m
.61835 .60417 L
s
0 0 0 r
2 Mabswid
.61835 .60417 Mdot
.039 .916 .04 r
.5 Mabswid
.91667 .30357 m
.61012 .30357 L
s
% Start of user PostScript
1500. -15. 985. -15. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.61012 .30357 Mdot
.039 .916 .04 r
.5 Mabswid
.61012 .30357 m
.02381 .30357 L
s
% Start of user PostScript
985. -15. 0 -15. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.02381 .30357 Mdot
.039 .916 .04 r
.5 Mabswid
.61012 .30357 m
.61012 .1871 L
s
% Start of user PostScript
985. -15. 985. -210.674 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.61012 .1871 Mdot
.039 .916 .04 r
.5 Mabswid
.61012 .1871 m
.61012 .18418 L
s
0 0 0 r
2 Mabswid
.61012 .18418 Mdot
.039 .916 .04 r
.5 Mabswid
.61012 .18418 m
.62127 .03836 L
s
% Start of user PostScript
985. -215.584 1003.74 -460.555 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.62127 .03836 Mdot
.039 .916 .04 r
.5 Mabswid
.62127 .03836 m
.62123 .03586 L
s
0 0 0 r
2 Mabswid
.62123 .03586 Mdot
.039 .916 .04 r
.5 Mabswid
.62123 .03586 m
.61938 .02083 L
s
0 0 0 r
2 Mabswid
.61938 .02083 Mdot
[(L4)] .65446 .5908 0 0 Mshowa
[(L3)] .66488 .44326 0 0 Mshowa
[(CornerCube)] .88571 .24718 0 0 Mshowa
[(S2)] .65237 .60417 0 0 Mshowa
[(S1)] .65237 .02083 0 0 Mshowa
[(BS2)] .57578 .26923 0 0 Mshowa
[(BS1)] .57578 .26923 0 0 Mshowa
[(L1)] .65446 .03711 0 0 Mshowa
[(L2)] .66488 .18531 0 0 Mshowa
.039 .916 .04 r
1 Mabswid
.02381 .32149 m
.03776 .32156 L
.0517 .32163 L
.06565 .32169 L
.0796 .32176 L
.09355 .32183 L
.10749 .3219 L
.12144 .32197 L
.13539 .32204 L
.14934 .32211 L
.16328 .32218 L
.17723 .32225 L
.19118 .32232 L
.20513 .32239 L
.21908 .32246 L
.23302 .32253 L
.24697 .3226 L
.26092 .32267 L
.27487 .32274 L
.28881 .32281 L
.30276 .32288 L
.31671 .32295 L
.33066 .32302 L
.3446 .32309 L
.35855 .32316 L
.3725 .32323 L
.38645 .3233 L
.40039 .32337 L
.41434 .32344 L
.42829 .32351 L
.44224 .32358 L
.45618 .32365 L
.47013 .32372 L
.48408 .32379 L
.49803 .32386 L
.51197 .32393 L
.52592 .324 L
.53987 .32406 L
.55382 .32413 L
.56776 .3242 L
.58171 .32427 L
.59566 .32434 L
.60961 .32441 L
.62355 .32448 L
.6375 .32455 L
.65145 .32462 L
.6654 .32469 L
.67934 .32476 L
.69329 .32483 L
.70724 .3249 L
Mistroke
.72119 .32497 L
.73513 .32504 L
.74908 .32511 L
.76303 .32518 L
.77698 .32525 L
.79092 .32532 L
.80487 .32539 L
.81882 .32546 L
.83277 .32553 L
.84671 .3256 L
.86066 .32567 L
.87461 .32574 L
.88856 .32581 L
.9025 .32588 L
.91645 .32595 L
.9304 .32602 L
.94435 .32609 L
.95179 .31819 L
.95174 .30681 L
.94435 .2987 L
.9304 .29863 L
.91645 .29856 L
.9025 .29849 L
.88856 .29842 L
.87461 .29835 L
.86066 .29829 L
.84671 .29822 L
.83277 .29815 L
.81882 .29808 L
.80487 .29801 L
.79092 .29794 L
.77698 .29787 L
.76303 .2978 L
.74908 .29773 L
.73513 .29766 L
.72119 .29759 L
.70724 .29752 L
.69329 .29745 L
.67934 .29738 L
.6654 .29731 L
.65145 .29724 L
.6375 .29717 L
.62355 .2971 L
.60961 .29703 L
.59566 .29696 L
.58171 .29689 L
.56776 .29682 L
.55382 .29675 L
.53987 .29668 L
.52592 .29661 L
Mistroke
.51197 .29654 L
.49803 .29647 L
.48408 .2964 L
.47013 .29633 L
.45618 .29626 L
.44224 .29619 L
.42829 .29612 L
.41434 .29605 L
.40039 .29598 L
.38645 .29591 L
.3725 .29584 L
.35855 .29577 L
.3446 .2957 L
.33066 .29563 L
.31671 .29557 L
.30276 .2955 L
.28881 .29543 L
.27487 .29536 L
.26092 .29529 L
.24697 .29522 L
.23302 .29515 L
.21908 .29508 L
.20513 .29501 L
.19118 .29494 L
.17723 .29487 L
.16328 .2948 L
.14934 .29473 L
.13539 .29466 L
.12144 .29459 L
.10749 .29452 L
.09355 .29445 L
.0796 .29438 L
.06565 .29431 L
.0517 .29424 L
.03776 .29417 L
.02381 .2941 L
Mfstroke
.02381 .32137 m
.03776 .3213 L
.0517 .32123 L
.06565 .32116 L
.0796 .32109 L
.09355 .32102 L
.10749 .32095 L
.12144 .32088 L
.13539 .32081 L
.14934 .32074 L
.16328 .32067 L
.17723 .32061 L
.19118 .32054 L
.20513 .32047 L
.21908 .3204 L
.23302 .32033 L
.24697 .32026 L
.26092 .32019 L
.27487 .32012 L
.28881 .32005 L
.30276 .31998 L
.31671 .31991 L
.33066 .31984 L
.3446 .31977 L
.35855 .3197 L
.3725 .31963 L
.38645 .31956 L
.40039 .31949 L
.41434 .31942 L
.42829 .31935 L
.44224 .31928 L
.45618 .31921 L
.47013 .31914 L
.48408 .31907 L
.49803 .319 L
.51197 .31893 L
.52592 .31886 L
.53987 .31879 L
.55382 .31872 L
.56776 .31865 L
.58171 .31858 L
.59566 .31851 L
.60961 .31844 L
.62355 .31837 L
.6375 .3183 L
.65145 .31823 L
.6654 .31816 L
.67934 .31809 L
.69329 .31803 L
.70724 .31796 L
Mistroke
.72119 .31789 L
.73513 .31782 L
.74908 .31775 L
.76303 .31768 L
.77698 .31761 L
.79092 .31754 L
.80487 .31747 L
.81882 .3174 L
.83277 .31733 L
.84671 .31726 L
.86066 .31719 L
.87461 .31712 L
.88856 .31705 L
.9025 .31698 L
.91645 .31691 L
.9304 .31684 L
.94435 .31677 L
.95951 .31819 L
.95957 .30681 L
.94435 .30844 L
.9304 .30851 L
.91645 .30858 L
.9025 .30865 L
.88856 .30872 L
.87461 .30879 L
.86066 .30886 L
.84671 .30893 L
.83277 .309 L
.81882 .30907 L
.80487 .30914 L
.79092 .30921 L
.77698 .30928 L
.76303 .30935 L
.74908 .30942 L
.73513 .30949 L
.72119 .30956 L
.70724 .30962 L
.69329 .30969 L
.67934 .30976 L
.6654 .30983 L
.65145 .3099 L
.6375 .30997 L
.62355 .31004 L
.60961 .31011 L
.59566 .31018 L
.58171 .31025 L
.56776 .31032 L
.55382 .31039 L
.53987 .31046 L
.52592 .31053 L
Mistroke
.51197 .3106 L
.49803 .31067 L
.48408 .31074 L
.47013 .31081 L
.45618 .31088 L
.44224 .31095 L
.42829 .31102 L
.41434 .31109 L
.40039 .31116 L
.38645 .31123 L
.3725 .3113 L
.35855 .31137 L
.3446 .31144 L
.33066 .31151 L
.31671 .31158 L
.30276 .31165 L
.28881 .31172 L
.27487 .31179 L
.26092 .31186 L
.24697 .31193 L
.23302 .312 L
.21908 .31207 L
.20513 .31214 L
.19118 .31221 L
.17723 .31227 L
.16328 .31234 L
.14934 .31241 L
.13539 .31248 L
.12144 .31255 L
.10749 .31262 L
.09355 .31269 L
.0796 .31276 L
.06565 .31283 L
.0517 .3129 L
.03776 .31297 L
.02381 .31304 L
Mfstroke
0 0 0 r
.02381 .32143 m
.62798 .32143 L
s
% Start of user PostScript
0 15. 1015. 15. MAarrowhead1
% End of user PostScript
.62798 .32143 m
.91667 .32143 L
s
% Start of user PostScript
1015. 15. 1500. 15. MAarrowhead1
% End of user PostScript
.91667 .32143 m
.95433 .32143 L
s
% Start of user PostScript
1500. 15. 1563.28 15. MAarrowhead1
% End of user PostScript
.95433 .32143 m
.95798 .3125 L
s
% Start of user PostScript
1563.28 15. 1569.4 0.0000273205 MAarrowhead1
% End of user PostScript
.95798 .3125 m
.95433 .30357 L
s
% Start of user PostScript
1569.4 0.0000273205 1563.28 -15. MAarrowhead1
% End of user PostScript
.95433 .30357 m
.91667 .30357 L
s
% Start of user PostScript
1563.28 -15. 1500. -15. MAarrowhead1
% End of user PostScript
.91667 .30357 m
.61012 .30357 L
s
% Start of user PostScript
1500. -15. 985. -15. MAarrowhead1
% End of user PostScript
.61012 .30357 m
.02381 .30357 L
s
% Start of user PostScript
985. -15. 0 -15. MAarrowhead1
% End of user PostScript
.02381 .30357 m
.02381 .30357 L
s
% Start of user PostScript
0 -15. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .32137 m
.02381 .32138 L
.02381 .32138 L
.02381 .32139 L
.02381 .32139 L
.02381 .32139 L
.02381 .3214 L
.02381 .3214 L
.02381 .3214 L
.02381 .32141 L
.02381 .32141 L
.02381 .32141 L
.02381 .32142 L
.02381 .32142 L
.02381 .32142 L
.02381 .32143 L
.02381 .32143 L
.02381 .32144 L
.02381 .32144 L
.02381 .32144 L
.02381 .32145 L
.02381 .32145 L
.02381 .32145 L
.02381 .32146 L
.02381 .32146 L
.02381 .32146 L
.02381 .32147 L
.02381 .32147 L
.02381 .32147 L
.02381 .32148 L
.02381 .32148 L
s
.04473 .32128 m
.04473 .32129 L
.04473 .3213 L
.04473 .32131 L
.04473 .32132 L
.04473 .32133 L
.04473 .32134 L
.04473 .32135 L
.04473 .32136 L
.04473 .32137 L
.04473 .32138 L
.04473 .32139 L
.04473 .3214 L
.04473 .32141 L
.04473 .32142 L
.04473 .32143 L
.04473 .32144 L
.04473 .32145 L
.04473 .32146 L
.04473 .32147 L
.04473 .32148 L
.04473 .32149 L
.04473 .3215 L
.04473 .32151 L
.04473 .32152 L
.04473 .32153 L
.04473 .32154 L
.04473 .32155 L
.04473 .32155 L
.04473 .32156 L
.04473 .32157 L
s
.06565 .32119 m
.06565 .32121 L
.06565 .32122 L
.06565 .32124 L
.06565 .32125 L
.06565 .32127 L
.06565 .32128 L
.06565 .3213 L
.06565 .32132 L
.06565 .32133 L
.06565 .32135 L
.06565 .32136 L
.06565 .32138 L
.06565 .3214 L
.06565 .32141 L
.06565 .32143 L
.06565 .32144 L
.06565 .32146 L
.06565 .32148 L
.06565 .32149 L
.06565 .32151 L
.06565 .32152 L
.06565 .32154 L
.06565 .32156 L
.06565 .32157 L
.06565 .32159 L
.06565 .3216 L
.06565 .32162 L
.06565 .32164 L
.06565 .32165 L
.06565 .32167 L
s
.08657 .3211 m
.08657 .32112 L
.08657 .32114 L
.08657 .32116 L
.08657 .32118 L
.08657 .32121 L
.08657 .32123 L
.08657 .32125 L
.08657 .32127 L
.08657 .3213 L
.08657 .32132 L
.08657 .32134 L
.08657 .32136 L
.08657 .32138 L
.08657 .32141 L
.08657 .32143 L
.08657 .32145 L
.08657 .32147 L
.08657 .3215 L
.08657 .32152 L
.08657 .32154 L
.08657 .32156 L
.08657 .32158 L
.08657 .32161 L
.08657 .32163 L
.08657 .32165 L
.08657 .32167 L
.08657 .3217 L
.08657 .32172 L
.08657 .32174 L
.08657 .32176 L
s
.10749 .321 m
.10749 .32103 L
.10749 .32106 L
.10749 .32109 L
.10749 .32112 L
.10749 .32114 L
.10749 .32117 L
.10749 .3212 L
.10749 .32123 L
.10749 .32126 L
.10749 .32129 L
.10749 .32131 L
.10749 .32134 L
.10749 .32137 L
.10749 .3214 L
.10749 .32143 L
.10749 .32146 L
.10749 .32149 L
.10749 .32151 L
.10749 .32154 L
.10749 .32157 L
.10749 .3216 L
.10749 .32163 L
.10749 .32166 L
.10749 .32168 L
.10749 .32171 L
.10749 .32174 L
.10749 .32177 L
.10749 .3218 L
.10749 .32183 L
.10749 .32186 L
s
.12841 .32091 m
.12841 .32094 L
.12841 .32098 L
.12841 .32101 L
.12841 .32105 L
.12842 .32108 L
.12842 .32112 L
.12842 .32115 L
.12842 .32119 L
.12842 .32122 L
.12842 .32125 L
.12842 .32129 L
.12842 .32132 L
.12842 .32136 L
.12842 .32139 L
.12842 .32143 L
.12842 .32146 L
.12842 .3215 L
.12842 .32153 L
.12842 .32157 L
.12842 .3216 L
.12842 .32164 L
.12842 .32167 L
.12842 .32171 L
.12842 .32174 L
.12842 .32178 L
.12841 .32181 L
.12841 .32185 L
.12841 .32188 L
.12841 .32192 L
.12841 .32195 L
s
.14933 .32081 m
.14934 .32085 L
.14934 .3209 L
.14934 .32094 L
.14934 .32098 L
.14934 .32102 L
.14934 .32106 L
.14934 .3211 L
.14934 .32114 L
.14934 .32118 L
.14934 .32122 L
.14934 .32126 L
.14934 .32131 L
.14934 .32135 L
.14934 .32139 L
.14934 .32143 L
.14934 .32147 L
.14934 .32151 L
.14934 .32155 L
.14934 .32159 L
.14934 .32163 L
.14934 .32167 L
.14934 .32172 L
.14934 .32176 L
.14934 .3218 L
.14934 .32184 L
.14934 .32188 L
.14934 .32192 L
.14934 .32196 L
.14934 .322 L
.14933 .32204 L
s
.17026 .32072 m
.17026 .32077 L
.17026 .32081 L
.17026 .32086 L
.17026 .32091 L
.17026 .32096 L
.17026 .321 L
.17026 .32105 L
.17026 .3211 L
.17026 .32114 L
.17026 .32119 L
.17026 .32124 L
.17026 .32129 L
.17026 .32133 L
.17026 .32138 L
.17026 .32143 L
.17026 .32148 L
.17026 .32152 L
.17026 .32157 L
.17026 .32162 L
.17026 .32167 L
.17026 .32171 L
.17026 .32176 L
.17026 .32181 L
.17026 .32185 L
.17026 .3219 L
.17026 .32195 L
.17026 .322 L
.17026 .32204 L
.17026 .32209 L
.17026 .32214 L
s
.19118 .32062 m
.19118 .32068 L
.19118 .32073 L
.19118 .32079 L
.19118 .32084 L
.19118 .32089 L
.19118 .32095 L
.19118 .321 L
.19118 .32105 L
.19118 .32111 L
.19118 .32116 L
.19118 .32121 L
.19118 .32127 L
.19118 .32132 L
.19118 .32137 L
.19118 .32143 L
.19118 .32148 L
.19118 .32154 L
.19118 .32159 L
.19118 .32164 L
.19118 .3217 L
.19118 .32175 L
.19118 .3218 L
.19118 .32186 L
.19118 .32191 L
.19118 .32196 L
.19118 .32202 L
.19118 .32207 L
.19118 .32213 L
.19118 .32218 L
.19118 .32223 L
s
.2121 .32053 m
.2121 .32059 L
.2121 .32065 L
.2121 .32071 L
.2121 .32077 L
.2121 .32083 L
.2121 .32089 L
.2121 .32095 L
.2121 .32101 L
.2121 .32107 L
.2121 .32113 L
.2121 .32119 L
.2121 .32125 L
.2121 .32131 L
.2121 .32137 L
.2121 .32143 L
.2121 .32149 L
.2121 .32155 L
.2121 .32161 L
.2121 .32167 L
.2121 .32173 L
.2121 .32179 L
.2121 .32185 L
.2121 .32191 L
.2121 .32197 L
.2121 .32203 L
.2121 .32209 L
.2121 .32215 L
.2121 .32221 L
.2121 .32227 L
.2121 .32233 L
s
.23302 .32044 m
.23302 .3205 L
.23302 .32057 L
.23302 .32063 L
.23302 .3207 L
.23302 .32077 L
.23302 .32083 L
.23302 .3209 L
.23302 .32097 L
.23302 .32103 L
.23302 .3211 L
.23302 .32116 L
.23302 .32123 L
.23302 .3213 L
.23302 .32136 L
.23302 .32143 L
.23302 .32149 L
.23302 .32156 L
.23302 .32163 L
.23302 .32169 L
.23302 .32176 L
.23302 .32183 L
.23302 .32189 L
.23302 .32196 L
.23302 .32202 L
.23302 .32209 L
.23302 .32216 L
.23302 .32222 L
.23302 .32229 L
.23302 .32235 L
.23302 .32242 L
s
.25394 .32034 m
.25394 .32041 L
.25394 .32049 L
.25394 .32056 L
.25394 .32063 L
.25394 .3207 L
.25394 .32078 L
.25394 .32085 L
.25394 .32092 L
.25394 .32099 L
.25394 .32107 L
.25394 .32114 L
.25394 .32121 L
.25394 .32128 L
.25394 .32136 L
.25394 .32143 L
.25394 .3215 L
.25394 .32157 L
.25394 .32165 L
.25394 .32172 L
.25394 .32179 L
.25394 .32186 L
.25394 .32194 L
.25394 .32201 L
.25394 .32208 L
.25394 .32215 L
.25394 .32223 L
.25394 .3223 L
.25394 .32237 L
.25394 .32244 L
.25394 .32251 L
s
.27486 .32025 m
.27486 .32033 L
.27486 .32041 L
.27486 .32048 L
.27486 .32056 L
.27486 .32064 L
.27486 .32072 L
.27486 .3208 L
.27486 .32088 L
.27486 .32096 L
.27486 .32104 L
.27486 .32111 L
.27486 .32119 L
.27487 .32127 L
.27487 .32135 L
.27487 .32143 L
.27487 .32151 L
.27487 .32159 L
.27486 .32166 L
.27486 .32174 L
.27486 .32182 L
.27486 .3219 L
.27486 .32198 L
.27486 .32206 L
.27486 .32214 L
.27486 .32222 L
.27486 .32229 L
.27486 .32237 L
.27486 .32245 L
.27486 .32253 L
.27486 .32261 L
s
.29578 .32015 m
.29578 .32024 L
.29578 .32032 L
.29578 .32041 L
.29578 .32049 L
.29578 .32058 L
.29578 .32066 L
.29578 .32075 L
.29579 .32083 L
.29579 .32092 L
.29579 .321 L
.29579 .32109 L
.29579 .32117 L
.29579 .32126 L
.29579 .32134 L
.29579 .32143 L
.29579 .32151 L
.29579 .3216 L
.29579 .32168 L
.29579 .32177 L
.29579 .32185 L
.29579 .32194 L
.29579 .32202 L
.29578 .32211 L
.29578 .32219 L
.29578 .32228 L
.29578 .32236 L
.29578 .32245 L
.29578 .32253 L
.29578 .32262 L
.29578 .3227 L
s
.3167 .32006 m
.3167 .32015 L
.3167 .32024 L
.3167 .32033 L
.3167 .32042 L
.31671 .32052 L
.31671 .32061 L
.31671 .3207 L
.31671 .32079 L
.31671 .32088 L
.31671 .32097 L
.31671 .32106 L
.31671 .32115 L
.31671 .32125 L
.31671 .32134 L
.31671 .32143 L
.31671 .32152 L
.31671 .32161 L
.31671 .3217 L
.31671 .32179 L
.31671 .32188 L
.31671 .32198 L
.31671 .32207 L
.31671 .32216 L
.31671 .32225 L
.31671 .32234 L
.3167 .32243 L
.3167 .32252 L
.3167 .32261 L
.3167 .32271 L
.3167 .3228 L
s
.33762 .31997 m
.33762 .32006 L
.33762 .32016 L
.33763 .32026 L
.33763 .32036 L
.33763 .32045 L
.33763 .32055 L
.33763 .32065 L
.33763 .32075 L
.33763 .32084 L
.33763 .32094 L
.33763 .32104 L
.33763 .32114 L
.33763 .32123 L
.33763 .32133 L
.33763 .32143 L
.33763 .32153 L
.33763 .32162 L
.33763 .32172 L
.33763 .32182 L
.33763 .32192 L
.33763 .32201 L
.33763 .32211 L
.33763 .32221 L
.33763 .32231 L
.33763 .3224 L
.33763 .3225 L
.33763 .3226 L
.33762 .3227 L
.33762 .32279 L
.33762 .32289 L
s
.35854 .31987 m
.35854 .31998 L
.35855 .32008 L
.35855 .32018 L
.35855 .32029 L
.35855 .32039 L
.35855 .32049 L
.35855 .3206 L
.35855 .3207 L
.35855 .32081 L
.35855 .32091 L
.35855 .32101 L
.35855 .32112 L
.35855 .32122 L
.35855 .32132 L
.35855 .32143 L
.35855 .32153 L
.35855 .32164 L
.35855 .32174 L
.35855 .32184 L
.35855 .32195 L
.35855 .32205 L
.35855 .32216 L
.35855 .32226 L
.35855 .32236 L
.35855 .32247 L
.35855 .32257 L
.35855 .32267 L
.35855 .32278 L
.35854 .32288 L
.35854 .32299 L
s
.37946 .31978 m
.37947 .31989 L
.37947 .32 L
.37947 .32011 L
.37947 .32022 L
.37947 .32033 L
.37947 .32044 L
.37947 .32055 L
.37947 .32066 L
.37947 .32077 L
.37947 .32088 L
.37947 .32099 L
.37947 .3211 L
.37947 .32121 L
.37947 .32132 L
.37947 .32143 L
.37947 .32154 L
.37947 .32165 L
.37947 .32176 L
.37947 .32187 L
.37947 .32198 L
.37947 .32209 L
.37947 .3222 L
.37947 .32231 L
.37947 .32242 L
.37947 .32253 L
.37947 .32264 L
.37947 .32275 L
.37947 .32286 L
.37947 .32297 L
.37946 .32308 L
s
.40039 .31968 m
.40039 .3198 L
.40039 .31992 L
.40039 .32003 L
.40039 .32015 L
.40039 .32027 L
.40039 .32038 L
.40039 .3205 L
.40039 .32061 L
.40039 .32073 L
.40039 .32085 L
.40039 .32096 L
.40039 .32108 L
.40039 .3212 L
.40039 .32131 L
.40039 .32143 L
.40039 .32154 L
.40039 .32166 L
.40039 .32178 L
.40039 .32189 L
.40039 .32201 L
.40039 .32213 L
.40039 .32224 L
.40039 .32236 L
.40039 .32248 L
.40039 .32259 L
.40039 .32271 L
.40039 .32282 L
.40039 .32294 L
.40039 .32306 L
.40039 .32317 L
s
.42131 .31959 m
.42131 .31971 L
.42131 .31983 L
.42131 .31996 L
.42131 .32008 L
.42131 .3202 L
.42131 .32032 L
.42131 .32045 L
.42131 .32057 L
.42131 .32069 L
.42131 .32082 L
.42131 .32094 L
.42131 .32106 L
.42131 .32118 L
.42131 .32131 L
.42131 .32143 L
.42131 .32155 L
.42131 .32167 L
.42131 .3218 L
.42131 .32192 L
.42131 .32204 L
.42131 .32216 L
.42131 .32229 L
.42131 .32241 L
.42131 .32253 L
.42131 .32265 L
.42131 .32278 L
.42131 .3229 L
.42131 .32302 L
.42131 .32315 L
.42131 .32327 L
s
.44223 .3195 m
.44223 .31962 L
.44223 .31975 L
.44223 .31988 L
.44223 .32001 L
.44223 .32014 L
.44223 .32027 L
.44223 .3204 L
.44223 .32053 L
.44223 .32066 L
.44223 .32078 L
.44223 .32091 L
.44224 .32104 L
.44224 .32117 L
.44224 .3213 L
.44224 .32143 L
.44224 .32156 L
.44224 .32169 L
.44224 .32182 L
.44223 .32194 L
.44223 .32207 L
.44223 .3222 L
.44223 .32233 L
.44223 .32246 L
.44223 .32259 L
.44223 .32272 L
.44223 .32285 L
.44223 .32298 L
.44223 .3231 L
.44223 .32323 L
.44223 .32336 L
s
.46315 .3194 m
.46315 .31954 L
.46315 .31967 L
.46315 .31981 L
.46315 .31994 L
.46315 .32008 L
.46315 .32021 L
.46315 .32035 L
.46315 .32048 L
.46316 .32062 L
.46316 .32075 L
.46316 .32089 L
.46316 .32102 L
.46316 .32116 L
.46316 .32129 L
.46316 .32143 L
.46316 .32156 L
.46316 .3217 L
.46316 .32183 L
.46316 .32197 L
.46316 .3221 L
.46316 .32224 L
.46315 .32237 L
.46315 .32251 L
.46315 .32265 L
.46315 .32278 L
.46315 .32292 L
.46315 .32305 L
.46315 .32319 L
.46315 .32332 L
.46315 .32346 L
s
.48407 .31931 m
.48407 .31945 L
.48407 .31959 L
.48407 .31973 L
.48407 .31987 L
.48407 .32001 L
.48407 .32016 L
.48408 .3203 L
.48408 .32044 L
.48408 .32058 L
.48408 .32072 L
.48408 .32086 L
.48408 .321 L
.48408 .32115 L
.48408 .32129 L
.48408 .32143 L
.48408 .32157 L
.48408 .32171 L
.48408 .32185 L
.48408 .32199 L
.48408 .32214 L
.48408 .32228 L
.48408 .32242 L
.48408 .32256 L
.48407 .3227 L
.48407 .32284 L
.48407 .32298 L
.48407 .32313 L
.48407 .32327 L
.48407 .32341 L
.48407 .32355 L
s
.50499 .31921 m
.50499 .31936 L
.50499 .31951 L
.50499 .31966 L
.50499 .3198 L
.505 .31995 L
.505 .3201 L
.505 .32025 L
.505 .32039 L
.505 .32054 L
.505 .32069 L
.505 .32084 L
.505 .32099 L
.505 .32113 L
.505 .32128 L
.505 .32143 L
.505 .32158 L
.505 .32172 L
.505 .32187 L
.505 .32202 L
.505 .32217 L
.505 .32231 L
.505 .32246 L
.505 .32261 L
.505 .32276 L
.505 .32291 L
.50499 .32305 L
.50499 .3232 L
.50499 .32335 L
.50499 .3235 L
.50499 .32364 L
s
.52591 .31912 m
.52591 .31927 L
.52591 .31943 L
.52591 .31958 L
.52592 .31973 L
.52592 .31989 L
.52592 .32004 L
.52592 .3202 L
.52592 .32035 L
.52592 .3205 L
.52592 .32066 L
.52592 .32081 L
.52592 .32097 L
.52592 .32112 L
.52592 .32127 L
.52592 .32143 L
.52592 .32158 L
.52592 .32174 L
.52592 .32189 L
.52592 .32204 L
.52592 .3222 L
.52592 .32235 L
.52592 .32251 L
.52592 .32266 L
.52592 .32281 L
.52592 .32297 L
.52592 .32312 L
.52591 .32328 L
.52591 .32343 L
.52591 .32358 L
.52591 .32374 L
s
.54683 .31902 m
.54683 .31918 L
.54683 .31934 L
.54684 .31951 L
.54684 .31967 L
.54684 .31983 L
.54684 .31999 L
.54684 .32015 L
.54684 .32031 L
.54684 .32047 L
.54684 .32063 L
.54684 .32079 L
.54684 .32095 L
.54684 .32111 L
.54684 .32127 L
.54684 .32143 L
.54684 .32159 L
.54684 .32175 L
.54684 .32191 L
.54684 .32207 L
.54684 .32223 L
.54684 .32239 L
.54684 .32255 L
.54684 .32271 L
.54684 .32287 L
.54684 .32303 L
.54684 .32319 L
.54684 .32335 L
.54683 .32351 L
.54683 .32367 L
.54683 .32383 L
s
.56775 .31893 m
.56775 .3191 L
.56776 .31926 L
.56776 .31943 L
.56776 .3196 L
.56776 .31976 L
.56776 .31993 L
.56776 .3201 L
.56776 .32026 L
.56776 .32043 L
.56776 .3206 L
.56776 .32076 L
.56776 .32093 L
.56776 .3211 L
.56776 .32126 L
.56776 .32143 L
.56776 .3216 L
.56776 .32176 L
.56776 .32193 L
.56776 .32209 L
.56776 .32226 L
.56776 .32243 L
.56776 .32259 L
.56776 .32276 L
.56776 .32293 L
.56776 .32309 L
.56776 .32326 L
.56776 .32343 L
.56776 .32359 L
.56775 .32376 L
.56775 .32393 L
s
.58867 .31884 m
.58867 .31901 L
.58868 .31918 L
.58868 .31935 L
.58868 .31953 L
.58868 .3197 L
.58868 .31987 L
.58868 .32005 L
.58868 .32022 L
.58868 .32039 L
.58868 .32056 L
.58868 .32074 L
.58868 .32091 L
.58868 .32108 L
.58868 .32126 L
.58868 .32143 L
.58868 .3216 L
.58868 .32177 L
.58868 .32195 L
.58868 .32212 L
.58868 .32229 L
.58868 .32247 L
.58868 .32264 L
.58868 .32281 L
.58868 .32298 L
.58868 .32316 L
.58868 .32333 L
.58868 .3235 L
.58868 .32368 L
.58867 .32385 L
.58867 .32402 L
s
.60959 .31874 m
.6096 .31892 L
.6096 .3191 L
.6096 .31928 L
.6096 .31946 L
.6096 .31964 L
.6096 .31982 L
.6096 .32 L
.6096 .32017 L
.6096 .32035 L
.6096 .32053 L
.6096 .32071 L
.60961 .32089 L
.60961 .32107 L
.60961 .32125 L
.60961 .32143 L
.60961 .32161 L
.60961 .32179 L
.60961 .32197 L
.6096 .32214 L
.6096 .32232 L
.6096 .3225 L
.6096 .32268 L
.6096 .32286 L
.6096 .32304 L
.6096 .32322 L
.6096 .3234 L
.6096 .32358 L
.6096 .32376 L
.6096 .32394 L
.60959 .32412 L
s
.63052 .31865 m
.63052 .31883 L
.63052 .31902 L
.63052 .3192 L
.63052 .31939 L
.63052 .31957 L
.63052 .31976 L
.63052 .31995 L
.63052 .32013 L
.63053 .32032 L
.63053 .3205 L
.63053 .32069 L
.63053 .32087 L
.63053 .32106 L
.63053 .32124 L
.63053 .32143 L
.63053 .32161 L
.63053 .3218 L
.63053 .32198 L
.63053 .32217 L
.63053 .32236 L
.63053 .32254 L
.63052 .32273 L
.63052 .32291 L
.63052 .3231 L
.63052 .32328 L
.63052 .32347 L
.63052 .32365 L
.63052 .32384 L
.63052 .32402 L
.63052 .32421 L
s
.65144 .31855 m
.65144 .31875 L
.65144 .31894 L
.65144 .31913 L
.65144 .31932 L
.65144 .31951 L
.65144 .3197 L
.65144 .3199 L
.65145 .32009 L
.65145 .32028 L
.65145 .32047 L
.65145 .32066 L
.65145 .32085 L
.65145 .32105 L
.65145 .32124 L
.65145 .32143 L
.65145 .32162 L
.65145 .32181 L
.65145 .322 L
.65145 .3222 L
.65145 .32239 L
.65145 .32258 L
.65145 .32277 L
.65144 .32296 L
.65144 .32315 L
.65144 .32335 L
.65144 .32354 L
.65144 .32373 L
.65144 .32392 L
.65144 .32411 L
.65144 .3243 L
s
.67236 .31846 m
.67236 .31866 L
.67236 .31886 L
.67236 .31905 L
.67236 .31925 L
.67236 .31945 L
.67237 .31965 L
.67237 .31985 L
.67237 .32004 L
.67237 .32024 L
.67237 .32044 L
.67237 .32064 L
.67237 .32083 L
.67237 .32103 L
.67237 .32123 L
.67237 .32143 L
.67237 .32163 L
.67237 .32182 L
.67237 .32202 L
.67237 .32222 L
.67237 .32242 L
.67237 .32262 L
.67237 .32281 L
.67237 .32301 L
.67237 .32321 L
.67236 .32341 L
.67236 .32361 L
.67236 .3238 L
.67236 .324 L
.67236 .3242 L
.67236 .3244 L
s
.69328 .31837 m
.69328 .31857 L
.69328 .31877 L
.69328 .31898 L
.69328 .31918 L
.69329 .31939 L
.69329 .31959 L
.69329 .31979 L
.69329 .32 L
.69329 .3202 L
.69329 .32041 L
.69329 .32061 L
.69329 .32082 L
.69329 .32102 L
.69329 .32122 L
.69329 .32143 L
.69329 .32163 L
.69329 .32184 L
.69329 .32204 L
.69329 .32225 L
.69329 .32245 L
.69329 .32265 L
.69329 .32286 L
.69329 .32306 L
.69329 .32327 L
.69329 .32347 L
.69328 .32367 L
.69328 .32388 L
.69328 .32408 L
.69328 .32429 L
.69328 .32449 L
s
.7142 .31827 m
.7142 .31848 L
.7142 .31869 L
.7142 .3189 L
.71421 .31911 L
.71421 .31932 L
.71421 .31953 L
.71421 .31974 L
.71421 .31996 L
.71421 .32017 L
.71421 .32038 L
.71421 .32059 L
.71421 .3208 L
.71421 .32101 L
.71421 .32122 L
.71421 .32143 L
.71421 .32164 L
.71421 .32185 L
.71421 .32206 L
.71421 .32227 L
.71421 .32248 L
.71421 .32269 L
.71421 .3229 L
.71421 .32311 L
.71421 .32332 L
.71421 .32353 L
.71421 .32374 L
.7142 .32395 L
.7142 .32416 L
.7142 .32438 L
.7142 .32459 L
s
.73512 .31818 m
.73512 .31839 L
.73512 .31861 L
.73512 .31883 L
.73513 .31904 L
.73513 .31926 L
.73513 .31948 L
.73513 .31969 L
.73513 .31991 L
.73513 .32013 L
.73513 .32034 L
.73513 .32056 L
.73513 .32078 L
.73513 .32099 L
.73513 .32121 L
.73513 .32143 L
.73513 .32165 L
.73513 .32186 L
.73513 .32208 L
.73513 .3223 L
.73513 .32251 L
.73513 .32273 L
.73513 .32295 L
.73513 .32316 L
.73513 .32338 L
.73513 .3236 L
.73513 .32381 L
.73512 .32403 L
.73512 .32425 L
.73512 .32446 L
.73512 .32468 L
s
.75604 .31808 m
.75604 .31831 L
.75604 .31853 L
.75605 .31875 L
.75605 .31898 L
.75605 .3192 L
.75605 .31942 L
.75605 .31964 L
.75605 .31987 L
.75605 .32009 L
.75605 .32031 L
.75605 .32054 L
.75605 .32076 L
.75605 .32098 L
.75605 .32121 L
.75605 .32143 L
.75605 .32165 L
.75605 .32187 L
.75605 .3221 L
.75605 .32232 L
.75605 .32254 L
.75605 .32277 L
.75605 .32299 L
.75605 .32321 L
.75605 .32344 L
.75605 .32366 L
.75605 .32388 L
.75605 .3241 L
.75604 .32433 L
.75604 .32455 L
.75604 .32477 L
s
.77696 .31799 m
.77696 .31822 L
.77697 .31845 L
.77697 .31868 L
.77697 .31891 L
.77697 .31914 L
.77697 .31936 L
.77697 .31959 L
.77697 .31982 L
.77697 .32005 L
.77697 .32028 L
.77698 .32051 L
.77698 .32074 L
.77698 .32097 L
.77698 .3212 L
.77698 .32143 L
.77698 .32166 L
.77698 .32189 L
.77698 .32212 L
.77698 .32235 L
.77697 .32258 L
.77697 .3228 L
.77697 .32303 L
.77697 .32326 L
.77697 .32349 L
.77697 .32372 L
.77697 .32395 L
.77697 .32418 L
.77697 .32441 L
.77696 .32464 L
.77696 .32487 L
s
.79788 .31789 m
.79788 .31813 L
.79789 .31837 L
.79789 .3186 L
.79789 .31884 L
.79789 .31907 L
.79789 .31931 L
.79789 .31954 L
.79789 .31978 L
.79789 .32001 L
.7979 .32025 L
.7979 .32049 L
.7979 .32072 L
.7979 .32096 L
.7979 .32119 L
.7979 .32143 L
.7979 .32166 L
.7979 .3219 L
.7979 .32214 L
.7979 .32237 L
.7979 .32261 L
.79789 .32284 L
.79789 .32308 L
.79789 .32331 L
.79789 .32355 L
.79789 .32378 L
.79789 .32402 L
.79789 .32426 L
.79789 .32449 L
.79788 .32473 L
.79788 .32496 L
s
.8188 .3178 m
.81881 .31804 L
.81881 .31828 L
.81881 .31853 L
.81881 .31877 L
.81881 .31901 L
.81881 .31925 L
.81881 .31949 L
.81882 .31974 L
.81882 .31998 L
.81882 .32022 L
.81882 .32046 L
.81882 .3207 L
.81882 .32094 L
.81882 .32119 L
.81882 .32143 L
.81882 .32167 L
.81882 .32191 L
.81882 .32215 L
.81882 .3224 L
.81882 .32264 L
.81882 .32288 L
.81882 .32312 L
.81881 .32336 L
.81881 .32361 L
.81881 .32385 L
.81881 .32409 L
.81881 .32433 L
.81881 .32457 L
.81881 .32481 L
.8188 .32506 L
s
.83972 .31771 m
.83973 .31795 L
.83973 .3182 L
.83973 .31845 L
.83973 .3187 L
.83973 .31895 L
.83973 .3192 L
.83974 .31944 L
.83974 .31969 L
.83974 .31994 L
.83974 .32019 L
.83974 .32044 L
.83974 .32068 L
.83974 .32093 L
.83974 .32118 L
.83974 .32143 L
.83974 .32168 L
.83974 .32192 L
.83974 .32217 L
.83974 .32242 L
.83974 .32267 L
.83974 .32292 L
.83974 .32317 L
.83974 .32341 L
.83973 .32366 L
.83973 .32391 L
.83973 .32416 L
.83973 .32441 L
.83973 .32465 L
.83973 .3249 L
.83972 .32515 L
s
.86065 .31761 m
.86065 .31787 L
.86065 .31812 L
.86065 .31838 L
.86065 .31863 L
.86065 .31888 L
.86066 .31914 L
.86066 .31939 L
.86066 .31965 L
.86066 .3199 L
.86066 .32016 L
.86066 .32041 L
.86066 .32067 L
.86066 .32092 L
.86066 .32117 L
.86066 .32143 L
.86066 .32168 L
.86066 .32194 L
.86066 .32219 L
.86066 .32245 L
.86066 .3227 L
.86066 .32296 L
.86066 .32321 L
.86066 .32346 L
.86066 .32372 L
.86065 .32397 L
.86065 .32423 L
.86065 .32448 L
.86065 .32474 L
.86065 .32499 L
.86065 .32524 L
s
.88157 .31752 m
.88157 .31778 L
.88157 .31804 L
.88157 .3183 L
.88157 .31856 L
.88158 .31882 L
.88158 .31908 L
.88158 .31934 L
.88158 .3196 L
.88158 .31986 L
.88158 .32013 L
.88158 .32039 L
.88158 .32065 L
.88158 .32091 L
.88158 .32117 L
.88158 .32143 L
.88158 .32169 L
.88158 .32195 L
.88158 .32221 L
.88158 .32247 L
.88158 .32273 L
.88158 .32299 L
.88158 .32325 L
.88158 .32351 L
.88158 .32377 L
.88158 .32404 L
.88157 .3243 L
.88157 .32456 L
.88157 .32482 L
.88157 .32508 L
.88157 .32534 L
s
.90249 .31742 m
.90249 .31769 L
.90249 .31796 L
.90249 .31822 L
.90249 .31849 L
.9025 .31876 L
.9025 .31903 L
.9025 .31929 L
.9025 .31956 L
.9025 .31983 L
.9025 .32009 L
.9025 .32036 L
.9025 .32063 L
.9025 .32089 L
.9025 .32116 L
.9025 .32143 L
.9025 .3217 L
.9025 .32196 L
.9025 .32223 L
.9025 .3225 L
.9025 .32276 L
.9025 .32303 L
.9025 .3233 L
.9025 .32356 L
.9025 .32383 L
.9025 .3241 L
.90249 .32437 L
.90249 .32463 L
.90249 .3249 L
.90249 .32517 L
.90249 .32543 L
s
.92341 .31733 m
.92341 .3176 L
.92341 .31788 L
.92341 .31815 L
.92342 .31842 L
.92342 .3187 L
.92342 .31897 L
.92342 .31924 L
.92342 .31952 L
.92342 .31979 L
.92342 .32006 L
.92342 .32034 L
.92342 .32061 L
.92342 .32088 L
.92343 .32116 L
.92343 .32143 L
.92343 .3217 L
.92342 .32197 L
.92342 .32225 L
.92342 .32252 L
.92342 .32279 L
.92342 .32307 L
.92342 .32334 L
.92342 .32361 L
.92342 .32389 L
.92342 .32416 L
.92342 .32443 L
.92341 .32471 L
.92341 .32498 L
.92341 .32525 L
.92341 .32553 L
s
.94433 .31724 m
.94433 .31752 L
.94433 .31779 L
.94434 .31807 L
.94434 .31835 L
.94434 .31863 L
.94434 .31891 L
.94434 .31919 L
.94434 .31947 L
.94434 .31975 L
.94434 .32003 L
.94435 .32031 L
.94435 .32059 L
.94435 .32087 L
.94435 .32115 L
.94435 .32143 L
.94435 .32171 L
.94435 .32199 L
.94435 .32227 L
.94435 .32255 L
.94434 .32283 L
.94434 .32311 L
.94434 .32339 L
.94434 .32366 L
.94434 .32394 L
.94434 .32422 L
.94434 .3245 L
.94434 .32478 L
.94433 .32506 L
.94433 .32534 L
.94433 .32562 L
s
.96148 .31251 m
.96125 .31251 L
.96102 .31251 L
.96078 .31251 L
.96055 .31251 L
.96031 .31251 L
.96008 .31251 L
.95985 .3125 L
.95961 .3125 L
.95938 .3125 L
.95914 .3125 L
.95891 .3125 L
.95868 .3125 L
.95844 .3125 L
.95821 .3125 L
.95798 .3125 L
.95774 .3125 L
.95751 .3125 L
.95728 .3125 L
.95704 .3125 L
.95681 .3125 L
.95658 .3125 L
.95635 .3125 L
.95611 .3125 L
.95588 .31251 L
.95565 .31251 L
.95541 .31251 L
.95518 .31251 L
.95495 .31251 L
.95472 .31251 L
.95448 .31251 L
s
.94436 .30795 m
.94436 .30766 L
.94436 .30737 L
.94436 .30708 L
.94436 .30678 L
.94435 .30649 L
.94435 .3062 L
.94435 .30591 L
.94435 .30562 L
.94435 .30532 L
.94435 .30503 L
.94435 .30474 L
.94435 .30445 L
.94435 .30416 L
.94435 .30386 L
.94435 .30357 L
.94435 .30328 L
.94435 .30299 L
.94435 .3027 L
.94435 .3024 L
.94435 .30211 L
.94435 .30182 L
.94435 .30153 L
.94435 .30123 L
.94435 .30094 L
.94435 .30065 L
.94436 .30036 L
.94436 .30007 L
.94436 .29977 L
.94436 .29948 L
.94436 .29919 L
s
.92344 .30805 m
.92344 .30775 L
.92344 .30745 L
.92344 .30715 L
.92344 .30685 L
.92343 .30655 L
.92343 .30626 L
.92343 .30596 L
.92343 .30566 L
.92343 .30536 L
.92343 .30506 L
.92343 .30476 L
.92343 .30447 L
.92343 .30417 L
.92343 .30387 L
.92343 .30357 L
.92343 .30327 L
.92343 .30297 L
.92343 .30268 L
.92343 .30238 L
.92343 .30208 L
.92343 .30178 L
.92343 .30148 L
.92343 .30118 L
.92343 .30089 L
.92343 .30059 L
.92344 .30029 L
.92344 .29999 L
.92344 .29969 L
.92344 .29939 L
.92344 .2991 L
s
.90252 .30814 m
.90252 .30784 L
.90252 .30753 L
.90252 .30723 L
.90251 .30692 L
.90251 .30662 L
.90251 .30631 L
.90251 .30601 L
.90251 .3057 L
.90251 .3054 L
.90251 .30509 L
.90251 .30479 L
.9025 .30449 L
.9025 .30418 L
.9025 .30388 L
.9025 .30357 L
.9025 .30327 L
.9025 .30296 L
.9025 .30266 L
.90251 .30235 L
.90251 .30205 L
.90251 .30174 L
.90251 .30144 L
.90251 .30113 L
.90251 .30083 L
.90251 .30053 L
.90251 .30022 L
.90252 .29992 L
.90252 .29961 L
.90252 .29931 L
.90252 .299 L
s
.8816 .30823 m
.8816 .30792 L
.8816 .30761 L
.8816 .3073 L
.88159 .30699 L
.88159 .30668 L
.88159 .30637 L
.88159 .30606 L
.88159 .30575 L
.88159 .30544 L
.88158 .30513 L
.88158 .30481 L
.88158 .3045 L
.88158 .30419 L
.88158 .30388 L
.88158 .30357 L
.88158 .30326 L
.88158 .30295 L
.88158 .30264 L
.88158 .30233 L
.88158 .30202 L
.88159 .30171 L
.88159 .3014 L
.88159 .30108 L
.88159 .30077 L
.88159 .30046 L
.88159 .30015 L
.8816 .29984 L
.8816 .29953 L
.8816 .29922 L
.8816 .29891 L
s
.86068 .30833 m
.86068 .30801 L
.86068 .30769 L
.86067 .30738 L
.86067 .30706 L
.86067 .30674 L
.86067 .30643 L
.86067 .30611 L
.86067 .30579 L
.86066 .30547 L
.86066 .30516 L
.86066 .30484 L
.86066 .30452 L
.86066 .30421 L
.86066 .30389 L
.86066 .30357 L
.86066 .30325 L
.86066 .30294 L
.86066 .30262 L
.86066 .3023 L
.86066 .30199 L
.86066 .30167 L
.86067 .30135 L
.86067 .30103 L
.86067 .30072 L
.86067 .3004 L
.86067 .30008 L
.86067 .29977 L
.86068 .29945 L
.86068 .29913 L
.86068 .29881 L
s
.83976 .30842 m
.83976 .3081 L
.83976 .30778 L
.83975 .30745 L
.83975 .30713 L
.83975 .30681 L
.83975 .30648 L
.83975 .30616 L
.83974 .30584 L
.83974 .30551 L
.83974 .30519 L
.83974 .30487 L
.83974 .30454 L
.83974 .30422 L
.83974 .30389 L
.83974 .30357 L
.83974 .30325 L
.83974 .30292 L
.83974 .3026 L
.83974 .30228 L
.83974 .30195 L
.83974 .30163 L
.83974 .30131 L
.83975 .30098 L
.83975 .30066 L
.83975 .30034 L
.83975 .30001 L
.83975 .29969 L
.83976 .29937 L
.83976 .29904 L
.83976 .29872 L
s
.81884 .30852 m
.81884 .30819 L
.81883 .30786 L
.81883 .30753 L
.81883 .3072 L
.81883 .30687 L
.81883 .30654 L
.81882 .30621 L
.81882 .30588 L
.81882 .30555 L
.81882 .30522 L
.81882 .30489 L
.81882 .30456 L
.81882 .30423 L
.81882 .3039 L
.81882 .30357 L
.81882 .30324 L
.81882 .30291 L
.81882 .30258 L
.81882 .30225 L
.81882 .30192 L
.81882 .30159 L
.81882 .30126 L
.81882 .30093 L
.81883 .3006 L
.81883 .30027 L
.81883 .29994 L
.81883 .29961 L
.81883 .29928 L
.81884 .29896 L
.81884 .29863 L
s
.79792 .30861 m
.79792 .30828 L
.79791 .30794 L
.79791 .3076 L
.79791 .30727 L
.79791 .30693 L
.79791 .3066 L
.7979 .30626 L
.7979 .30592 L
.7979 .30559 L
.7979 .30525 L
.7979 .30492 L
.7979 .30458 L
.7979 .30424 L
.7979 .30391 L
.7979 .30357 L
.7979 .30324 L
.7979 .3029 L
.7979 .30256 L
.7979 .30223 L
.7979 .30189 L
.7979 .30156 L
.7979 .30122 L
.7979 .30088 L
.79791 .30055 L
.79791 .30021 L
.79791 .29988 L
.79791 .29954 L
.79791 .2992 L
.79792 .29887 L
.79792 .29853 L
s
.777 .30871 m
.77699 .30836 L
.77699 .30802 L
.77699 .30768 L
.77699 .30734 L
.77699 .30699 L
.77698 .30665 L
.77698 .30631 L
.77698 .30597 L
.77698 .30563 L
.77698 .30528 L
.77698 .30494 L
.77698 .3046 L
.77698 .30426 L
.77698 .30391 L
.77698 .30357 L
.77698 .30323 L
.77698 .30289 L
.77698 .30254 L
.77698 .3022 L
.77698 .30186 L
.77698 .30152 L
.77698 .30118 L
.77698 .30083 L
.77698 .30049 L
.77699 .30015 L
.77699 .29981 L
.77699 .29946 L
.77699 .29912 L
.77699 .29878 L
.777 .29844 L
s
.75608 .3088 m
.75607 .30845 L
.75607 .3081 L
.75607 .30775 L
.75607 .30741 L
.75606 .30706 L
.75606 .30671 L
.75606 .30636 L
.75606 .30601 L
.75606 .30566 L
.75606 .30531 L
.75606 .30497 L
.75606 .30462 L
.75606 .30427 L
.75605 .30392 L
.75605 .30357 L
.75605 .30322 L
.75606 .30287 L
.75606 .30253 L
.75606 .30218 L
.75606 .30183 L
.75606 .30148 L
.75606 .30113 L
.75606 .30078 L
.75606 .30043 L
.75606 .30009 L
.75607 .29974 L
.75607 .29939 L
.75607 .29904 L
.75607 .29869 L
.75608 .29834 L
s
.73516 .30889 m
.73515 .30854 L
.73515 .30818 L
.73515 .30783 L
.73515 .30747 L
.73514 .30712 L
.73514 .30676 L
.73514 .30641 L
.73514 .30606 L
.73514 .3057 L
.73514 .30535 L
.73514 .30499 L
.73513 .30464 L
.73513 .30428 L
.73513 .30393 L
.73513 .30357 L
.73513 .30322 L
.73513 .30286 L
.73513 .30251 L
.73514 .30215 L
.73514 .3018 L
.73514 .30144 L
.73514 .30109 L
.73514 .30073 L
.73514 .30038 L
.73514 .30002 L
.73515 .29967 L
.73515 .29931 L
.73515 .29896 L
.73515 .2986 L
.73516 .29825 L
s
.71424 .30899 m
.71423 .30863 L
.71423 .30827 L
.71423 .3079 L
.71422 .30754 L
.71422 .30718 L
.71422 .30682 L
.71422 .30646 L
.71422 .3061 L
.71422 .30574 L
.71421 .30538 L
.71421 .30502 L
.71421 .30465 L
.71421 .30429 L
.71421 .30393 L
.71421 .30357 L
.71421 .30321 L
.71421 .30285 L
.71421 .30249 L
.71421 .30213 L
.71421 .30177 L
.71422 .3014 L
.71422 .30104 L
.71422 .30068 L
.71422 .30032 L
.71422 .29996 L
.71422 .2996 L
.71423 .29924 L
.71423 .29888 L
.71423 .29852 L
.71424 .29815 L
s
.69331 .30908 m
.69331 .30871 L
.69331 .30835 L
.69331 .30798 L
.6933 .30761 L
.6933 .30725 L
.6933 .30688 L
.6933 .30651 L
.6933 .30614 L
.69329 .30578 L
.69329 .30541 L
.69329 .30504 L
.69329 .30467 L
.69329 .30431 L
.69329 .30394 L
.69329 .30357 L
.69329 .3032 L
.69329 .30284 L
.69329 .30247 L
.69329 .3021 L
.69329 .30173 L
.69329 .30137 L
.6933 .301 L
.6933 .30063 L
.6933 .30026 L
.6933 .2999 L
.6933 .29953 L
.69331 .29916 L
.69331 .2988 L
.69331 .29843 L
.69331 .29806 L
s
.67239 .30918 m
.67239 .3088 L
.67239 .30843 L
.67238 .30806 L
.67238 .30768 L
.67238 .30731 L
.67238 .30693 L
.67238 .30656 L
.67237 .30619 L
.67237 .30581 L
.67237 .30544 L
.67237 .30507 L
.67237 .30469 L
.67237 .30432 L
.67237 .30395 L
.67237 .30357 L
.67237 .3032 L
.67237 .30282 L
.67237 .30245 L
.67237 .30208 L
.67237 .3017 L
.67237 .30133 L
.67237 .30096 L
.67238 .30058 L
.67238 .30021 L
.67238 .29983 L
.67238 .29946 L
.67238 .29909 L
.67239 .29871 L
.67239 .29834 L
.67239 .29797 L
s
.65147 .30927 m
.65147 .30889 L
.65147 .30851 L
.65146 .30813 L
.65146 .30775 L
.65146 .30737 L
.65146 .30699 L
.65146 .30661 L
.65145 .30623 L
.65145 .30585 L
.65145 .30547 L
.65145 .30509 L
.65145 .30471 L
.65145 .30433 L
.65145 .30395 L
.65145 .30357 L
.65145 .30319 L
.65145 .30281 L
.65145 .30243 L
.65145 .30205 L
.65145 .30167 L
.65145 .30129 L
.65145 .30091 L
.65146 .30053 L
.65146 .30015 L
.65146 .29977 L
.65146 .29939 L
.65146 .29901 L
.65147 .29863 L
.65147 .29825 L
.65147 .29787 L
s
.63055 .30936 m
.63055 .30898 L
.63055 .30859 L
.63054 .30821 L
.63054 .30782 L
.63054 .30743 L
.63054 .30705 L
.63053 .30666 L
.63053 .30627 L
.63053 .30589 L
.63053 .3055 L
.63053 .30512 L
.63053 .30473 L
.63053 .30434 L
.63053 .30396 L
.63053 .30357 L
.63053 .30319 L
.63053 .3028 L
.63053 .30241 L
.63053 .30203 L
.63053 .30164 L
.63053 .30125 L
.63053 .30087 L
.63053 .30048 L
.63054 .3001 L
.63054 .29971 L
.63054 .29932 L
.63054 .29894 L
.63055 .29855 L
.63055 .29816 L
.63055 .29778 L
s
.60963 .30946 m
.60963 .30907 L
.60962 .30867 L
.60962 .30828 L
.60962 .30789 L
.60962 .3075 L
.60961 .3071 L
.60961 .30671 L
.60961 .30632 L
.60961 .30593 L
.60961 .30553 L
.60961 .30514 L
.60961 .30475 L
.60961 .30436 L
.60961 .30396 L
.60961 .30357 L
.60961 .30318 L
.60961 .30279 L
.60961 .30239 L
.60961 .302 L
.60961 .30161 L
.60961 .30122 L
.60961 .30082 L
.60961 .30043 L
.60961 .30004 L
.60962 .29965 L
.60962 .29925 L
.60962 .29886 L
.60962 .29847 L
.60963 .29808 L
.60963 .29768 L
s
.58871 .30955 m
.58871 .30915 L
.5887 .30876 L
.5887 .30836 L
.5887 .30796 L
.5887 .30756 L
.58869 .30716 L
.58869 .30676 L
.58869 .30636 L
.58869 .30596 L
.58869 .30557 L
.58869 .30517 L
.58869 .30477 L
.58868 .30437 L
.58868 .30397 L
.58868 .30357 L
.58868 .30317 L
.58868 .30277 L
.58869 .30238 L
.58869 .30198 L
.58869 .30158 L
.58869 .30118 L
.58869 .30078 L
.58869 .30038 L
.58869 .29998 L
.5887 .29958 L
.5887 .29918 L
.5887 .29879 L
.5887 .29839 L
.58871 .29799 L
.58871 .29759 L
s
.56779 .30965 m
.56779 .30924 L
.56778 .30884 L
.56778 .30843 L
.56778 .30803 L
.56777 .30762 L
.56777 .30722 L
.56777 .30681 L
.56777 .30641 L
.56777 .306 L
.56777 .3056 L
.56777 .30519 L
.56776 .30479 L
.56776 .30438 L
.56776 .30398 L
.56776 .30357 L
.56776 .30317 L
.56776 .30276 L
.56776 .30236 L
.56777 .30195 L
.56777 .30155 L
.56777 .30114 L
.56777 .30074 L
.56777 .30033 L
.56777 .29993 L
.56777 .29952 L
.56778 .29912 L
.56778 .29871 L
.56778 .29831 L
.56779 .2979 L
.56779 .2975 L
s
.54687 .30974 m
.54686 .30933 L
.54686 .30892 L
.54686 .30851 L
.54686 .3081 L
.54685 .30768 L
.54685 .30727 L
.54685 .30686 L
.54685 .30645 L
.54685 .30604 L
.54684 .30563 L
.54684 .30522 L
.54684 .30481 L
.54684 .30439 L
.54684 .30398 L
.54684 .30357 L
.54684 .30316 L
.54684 .30275 L
.54684 .30234 L
.54684 .30193 L
.54684 .30151 L
.54685 .3011 L
.54685 .30069 L
.54685 .30028 L
.54685 .29987 L
.54685 .29946 L
.54686 .29905 L
.54686 .29864 L
.54686 .29822 L
.54686 .29781 L
.54687 .2974 L
s
.52595 .30984 m
.52594 .30942 L
.52594 .309 L
.52594 .30858 L
.52593 .30817 L
.52593 .30775 L
.52593 .30733 L
.52593 .30691 L
.52593 .30649 L
.52592 .30608 L
.52592 .30566 L
.52592 .30524 L
.52592 .30482 L
.52592 .30441 L
.52592 .30399 L
.52592 .30357 L
.52592 .30315 L
.52592 .30274 L
.52592 .30232 L
.52592 .3019 L
.52592 .30148 L
.52592 .30107 L
.52593 .30065 L
.52593 .30023 L
.52593 .29981 L
.52593 .2994 L
.52593 .29898 L
.52594 .29856 L
.52594 .29814 L
.52594 .29772 L
.52595 .29731 L
s
.50503 .30993 m
.50502 .30951 L
.50502 .30908 L
.50502 .30866 L
.50501 .30823 L
.50501 .30781 L
.50501 .30739 L
.50501 .30696 L
.50501 .30654 L
.505 .30611 L
.505 .30569 L
.505 .30527 L
.505 .30484 L
.505 .30442 L
.505 .304 L
.505 .30357 L
.505 .30315 L
.505 .30272 L
.505 .3023 L
.505 .30188 L
.505 .30145 L
.505 .30103 L
.50501 .3006 L
.50501 .30018 L
.50501 .29976 L
.50501 .29933 L
.50501 .29891 L
.50502 .29848 L
.50502 .29806 L
.50502 .29764 L
.50503 .29721 L
s
.48411 .31002 m
.4841 .30959 L
.4841 .30916 L
.4841 .30873 L
.48409 .3083 L
.48409 .30787 L
.48409 .30744 L
.48409 .30701 L
.48408 .30658 L
.48408 .30615 L
.48408 .30572 L
.48408 .30529 L
.48408 .30486 L
.48408 .30443 L
.48408 .304 L
.48408 .30357 L
.48408 .30314 L
.48408 .30271 L
.48408 .30228 L
.48408 .30185 L
.48408 .30142 L
.48408 .30099 L
.48408 .30056 L
.48409 .30013 L
.48409 .2997 L
.48409 .29927 L
.48409 .29884 L
.4841 .29841 L
.4841 .29798 L
.4841 .29755 L
.48411 .29712 L
s
.46318 .31012 m
.46318 .30968 L
.46318 .30924 L
.46317 .30881 L
.46317 .30837 L
.46317 .30794 L
.46317 .3075 L
.46316 .30706 L
.46316 .30663 L
.46316 .30619 L
.46316 .30575 L
.46316 .30532 L
.46316 .30488 L
.46316 .30444 L
.46316 .30401 L
.46316 .30357 L
.46316 .30313 L
.46316 .3027 L
.46316 .30226 L
.46316 .30183 L
.46316 .30139 L
.46316 .30095 L
.46316 .30052 L
.46316 .30008 L
.46317 .29964 L
.46317 .29921 L
.46317 .29877 L
.46317 .29833 L
.46318 .2979 L
.46318 .29746 L
.46318 .29702 L
s
.44226 .31021 m
.44226 .30977 L
.44226 .30933 L
.44225 .30888 L
.44225 .30844 L
.44225 .308 L
.44225 .30756 L
.44224 .30711 L
.44224 .30667 L
.44224 .30623 L
.44224 .30578 L
.44224 .30534 L
.44224 .3049 L
.44224 .30446 L
.44224 .30401 L
.44224 .30357 L
.44224 .30313 L
.44224 .30269 L
.44224 .30224 L
.44224 .3018 L
.44224 .30136 L
.44224 .30092 L
.44224 .30047 L
.44224 .30003 L
.44225 .29959 L
.44225 .29914 L
.44225 .2987 L
.44225 .29826 L
.44226 .29782 L
.44226 .29737 L
.44226 .29693 L
s
.42134 .31031 m
.42134 .30986 L
.42134 .30941 L
.42133 .30896 L
.42133 .30851 L
.42133 .30806 L
.42132 .30761 L
.42132 .30716 L
.42132 .30671 L
.42132 .30627 L
.42132 .30582 L
.42132 .30537 L
.42132 .30492 L
.42131 .30447 L
.42131 .30402 L
.42131 .30357 L
.42131 .30312 L
.42131 .30267 L
.42132 .30222 L
.42132 .30178 L
.42132 .30133 L
.42132 .30088 L
.42132 .30043 L
.42132 .29998 L
.42132 .29953 L
.42133 .29908 L
.42133 .29863 L
.42133 .29818 L
.42134 .29773 L
.42134 .29729 L
.42134 .29684 L
s
.40042 .3104 m
.40042 .30995 L
.40041 .30949 L
.40041 .30903 L
.40041 .30858 L
.40041 .30812 L
.4004 .30767 L
.4004 .30721 L
.4004 .30676 L
.4004 .3063 L
.4004 .30585 L
.40039 .30539 L
.40039 .30494 L
.40039 .30448 L
.40039 .30403 L
.40039 .30357 L
.40039 .30312 L
.40039 .30266 L
.40039 .30221 L
.40039 .30175 L
.4004 .3013 L
.4004 .30084 L
.4004 .30038 L
.4004 .29993 L
.4004 .29947 L
.40041 .29902 L
.40041 .29856 L
.40041 .29811 L
.40041 .29765 L
.40042 .2972 L
.40042 .29674 L
s
.3795 .31049 m
.3795 .31003 L
.37949 .30957 L
.37949 .30911 L
.37949 .30865 L
.37948 .30819 L
.37948 .30773 L
.37948 .30726 L
.37948 .3068 L
.37948 .30634 L
.37947 .30588 L
.37947 .30542 L
.37947 .30496 L
.37947 .30449 L
.37947 .30403 L
.37947 .30357 L
.37947 .30311 L
.37947 .30265 L
.37947 .30219 L
.37947 .30173 L
.37947 .30126 L
.37948 .3008 L
.37948 .30034 L
.37948 .29988 L
.37948 .29942 L
.37948 .29896 L
.37949 .29849 L
.37949 .29803 L
.37949 .29757 L
.3795 .29711 L
.3795 .29665 L
s
.35858 .31059 m
.35858 .31012 L
.35857 .30965 L
.35857 .30919 L
.35857 .30872 L
.35856 .30825 L
.35856 .30778 L
.35856 .30731 L
.35856 .30685 L
.35856 .30638 L
.35855 .30591 L
.35855 .30544 L
.35855 .30497 L
.35855 .30451 L
.35855 .30404 L
.35855 .30357 L
.35855 .3031 L
.35855 .30264 L
.35855 .30217 L
.35855 .3017 L
.35855 .30123 L
.35856 .30076 L
.35856 .3003 L
.35856 .29983 L
.35856 .29936 L
.35856 .29889 L
.35857 .29843 L
.35857 .29796 L
.35857 .29749 L
.35858 .29702 L
.35858 .29655 L
s
.33766 .31068 m
.33766 .31021 L
.33765 .30973 L
.33765 .30926 L
.33765 .30879 L
.33764 .30831 L
.33764 .30784 L
.33764 .30736 L
.33764 .30689 L
.33763 .30642 L
.33763 .30594 L
.33763 .30547 L
.33763 .30499 L
.33763 .30452 L
.33763 .30405 L
.33763 .30357 L
.33763 .3031 L
.33763 .30262 L
.33763 .30215 L
.33763 .30168 L
.33763 .3012 L
.33763 .30073 L
.33764 .30025 L
.33764 .29978 L
.33764 .2993 L
.33764 .29883 L
.33765 .29836 L
.33765 .29788 L
.33765 .29741 L
.33766 .29693 L
.33766 .29646 L
s
.31674 .31078 m
.31673 .3103 L
.31673 .30982 L
.31673 .30934 L
.31672 .30886 L
.31672 .30838 L
.31672 .30789 L
.31672 .30741 L
.31671 .30693 L
.31671 .30645 L
.31671 .30597 L
.31671 .30549 L
.31671 .30501 L
.31671 .30453 L
.31671 .30405 L
.31671 .30357 L
.31671 .30309 L
.31671 .30261 L
.31671 .30213 L
.31671 .30165 L
.31671 .30117 L
.31671 .30069 L
.31671 .30021 L
.31672 .29973 L
.31672 .29925 L
.31672 .29877 L
.31672 .29829 L
.31673 .29781 L
.31673 .29733 L
.31673 .29685 L
.31674 .29637 L
s
.29582 .31087 m
.29581 .31038 L
.29581 .3099 L
.29581 .30941 L
.2958 .30892 L
.2958 .30844 L
.2958 .30795 L
.2958 .30746 L
.29579 .30698 L
.29579 .30649 L
.29579 .306 L
.29579 .30552 L
.29579 .30503 L
.29579 .30454 L
.29579 .30406 L
.29579 .30357 L
.29579 .30308 L
.29579 .3026 L
.29579 .30211 L
.29579 .30162 L
.29579 .30114 L
.29579 .30065 L
.29579 .30016 L
.2958 .29968 L
.2958 .29919 L
.2958 .2987 L
.2958 .29822 L
.29581 .29773 L
.29581 .29725 L
.29581 .29676 L
.29582 .29627 L
s
.2749 .31097 m
.27489 .31047 L
.27489 .30998 L
.27489 .30949 L
.27488 .30899 L
.27488 .3085 L
.27488 .30801 L
.27487 .30751 L
.27487 .30702 L
.27487 .30653 L
.27487 .30604 L
.27487 .30554 L
.27487 .30505 L
.27487 .30456 L
.27487 .30406 L
.27487 .30357 L
.27487 .30308 L
.27487 .30259 L
.27487 .30209 L
.27487 .3016 L
.27487 .30111 L
.27487 .30061 L
.27487 .30012 L
.27487 .29963 L
.27488 .29914 L
.27488 .29864 L
.27488 .29815 L
.27489 .29766 L
.27489 .29716 L
.27489 .29667 L
.2749 .29618 L
s
.25398 .31106 m
.25397 .31056 L
.25397 .31006 L
.25396 .30956 L
.25396 .30906 L
.25396 .30856 L
.25396 .30806 L
.25395 .30756 L
.25395 .30707 L
.25395 .30657 L
.25395 .30607 L
.25395 .30557 L
.25395 .30507 L
.25394 .30457 L
.25394 .30407 L
.25394 .30357 L
.25394 .30307 L
.25394 .30257 L
.25395 .30207 L
.25395 .30157 L
.25395 .30108 L
.25395 .30058 L
.25395 .30008 L
.25395 .29958 L
.25396 .29908 L
.25396 .29858 L
.25396 .29808 L
.25396 .29758 L
.25397 .29708 L
.25397 .29658 L
.25398 .29608 L
s
.23305 .31115 m
.23305 .31065 L
.23305 .31014 L
.23304 .30964 L
.23304 .30913 L
.23304 .30863 L
.23303 .30812 L
.23303 .30762 L
.23303 .30711 L
.23303 .3066 L
.23303 .3061 L
.23302 .30559 L
.23302 .30509 L
.23302 .30458 L
.23302 .30408 L
.23302 .30357 L
.23302 .30307 L
.23302 .30256 L
.23302 .30205 L
.23302 .30155 L
.23303 .30104 L
.23303 .30054 L
.23303 .30003 L
.23303 .29953 L
.23303 .29902 L
.23304 .29852 L
.23304 .29801 L
.23304 .29751 L
.23305 .297 L
.23305 .29649 L
.23305 .29599 L
s
.21213 .31125 m
.21213 .31074 L
.21213 .31022 L
.21212 .30971 L
.21212 .3092 L
.21212 .30869 L
.21211 .30818 L
.21211 .30767 L
.21211 .30715 L
.21211 .30664 L
.2121 .30613 L
.2121 .30562 L
.2121 .30511 L
.2121 .30459 L
.2121 .30408 L
.2121 .30357 L
.2121 .30306 L
.2121 .30255 L
.2121 .30204 L
.2121 .30152 L
.2121 .30101 L
.21211 .3005 L
.21211 .29999 L
.21211 .29948 L
.21211 .29897 L
.21212 .29845 L
.21212 .29794 L
.21212 .29743 L
.21213 .29692 L
.21213 .29641 L
.21213 .2959 L
s
.19121 .31134 m
.19121 .31082 L
.1912 .31031 L
.1912 .30979 L
.1912 .30927 L
.19119 .30875 L
.19119 .30823 L
.19119 .30772 L
.19119 .3072 L
.19119 .30668 L
.19118 .30616 L
.19118 .30564 L
.19118 .30513 L
.19118 .30461 L
.19118 .30409 L
.19118 .30357 L
.19118 .30305 L
.19118 .30254 L
.19118 .30202 L
.19118 .3015 L
.19118 .30098 L
.19119 .30046 L
.19119 .29995 L
.19119 .29943 L
.19119 .29891 L
.19119 .29839 L
.1912 .29787 L
.1912 .29736 L
.1912 .29684 L
.19121 .29632 L
.19121 .2958 L
s
.17029 .31144 m
.17029 .31091 L
.17028 .31039 L
.17028 .30986 L
.17028 .30934 L
.17027 .30881 L
.17027 .30829 L
.17027 .30777 L
.17027 .30724 L
.17026 .30672 L
.17026 .30619 L
.17026 .30567 L
.17026 .30514 L
.17026 .30462 L
.17026 .3041 L
.17026 .30357 L
.17026 .30305 L
.17026 .30252 L
.17026 .302 L
.17026 .30147 L
.17026 .30095 L
.17026 .30043 L
.17027 .2999 L
.17027 .29938 L
.17027 .29885 L
.17027 .29833 L
.17028 .2978 L
.17028 .29728 L
.17028 .29676 L
.17029 .29623 L
.17029 .29571 L
s
.14937 .31153 m
.14937 .311 L
.14936 .31047 L
.14936 .30994 L
.14936 .30941 L
.14935 .30888 L
.14935 .30835 L
.14935 .30782 L
.14934 .30729 L
.14934 .30675 L
.14934 .30622 L
.14934 .30569 L
.14934 .30516 L
.14934 .30463 L
.14934 .3041 L
.14934 .30357 L
.14934 .30304 L
.14934 .30251 L
.14934 .30198 L
.14934 .30145 L
.14934 .30092 L
.14934 .30039 L
.14934 .29986 L
.14935 .29933 L
.14935 .2988 L
.14935 .29827 L
.14936 .29774 L
.14936 .2972 L
.14936 .29667 L
.14937 .29614 L
.14937 .29561 L
s
.12845 .31162 m
.12845 .31109 L
.12844 .31055 L
.12844 .31001 L
.12843 .30948 L
.12843 .30894 L
.12843 .3084 L
.12843 .30787 L
.12842 .30733 L
.12842 .30679 L
.12842 .30626 L
.12842 .30572 L
.12842 .30518 L
.12842 .30465 L
.12842 .30411 L
.12842 .30357 L
.12842 .30303 L
.12842 .3025 L
.12842 .30196 L
.12842 .30142 L
.12842 .30089 L
.12842 .30035 L
.12842 .29981 L
.12843 .29928 L
.12843 .29874 L
.12843 .2982 L
.12843 .29767 L
.12844 .29713 L
.12844 .29659 L
.12845 .29606 L
.12845 .29552 L
s
.10753 .31172 m
.10752 .31118 L
.10752 .31063 L
.10752 .31009 L
.10751 .30955 L
.10751 .309 L
.10751 .30846 L
.1075 .30792 L
.1075 .30737 L
.1075 .30683 L
.1075 .30629 L
.1075 .30574 L
.1075 .3052 L
.1075 .30466 L
.1075 .30411 L
.10749 .30357 L
.1075 .30303 L
.1075 .30249 L
.1075 .30194 L
.1075 .3014 L
.1075 .30086 L
.1075 .30031 L
.1075 .29977 L
.1075 .29923 L
.10751 .29868 L
.10751 .29814 L
.10751 .2976 L
.10752 .29705 L
.10752 .29651 L
.10752 .29597 L
.10753 .29542 L
s
.08661 .31181 m
.0866 .31126 L
.0866 .31071 L
.0866 .31016 L
.08659 .30961 L
.08659 .30907 L
.08659 .30852 L
.08658 .30797 L
.08658 .30742 L
.08658 .30687 L
.08658 .30632 L
.08658 .30577 L
.08657 .30522 L
.08657 .30467 L
.08657 .30412 L
.08657 .30357 L
.08657 .30302 L
.08657 .30247 L
.08657 .30192 L
.08658 .30137 L
.08658 .30082 L
.08658 .30027 L
.08658 .29973 L
.08658 .29918 L
.08659 .29863 L
.08659 .29808 L
.08659 .29753 L
.0866 .29698 L
.0866 .29643 L
.0866 .29588 L
.08661 .29533 L
s
.06569 .31191 m
.06568 .31135 L
.06568 .3108 L
.06567 .31024 L
.06567 .30968 L
.06567 .30913 L
.06566 .30857 L
.06566 .30802 L
.06566 .30746 L
.06566 .30691 L
.06566 .30635 L
.06565 .30579 L
.06565 .30524 L
.06565 .30468 L
.06565 .30413 L
.06565 .30357 L
.06565 .30302 L
.06565 .30246 L
.06565 .3019 L
.06565 .30135 L
.06566 .30079 L
.06566 .30024 L
.06566 .29968 L
.06566 .29913 L
.06566 .29857 L
.06567 .29801 L
.06567 .29746 L
.06567 .2969 L
.06568 .29635 L
.06568 .29579 L
.06569 .29524 L
s
.04477 .312 m
.04476 .31144 L
.04476 .31088 L
.04475 .31031 L
.04475 .30975 L
.04475 .30919 L
.04474 .30863 L
.04474 .30807 L
.04474 .30751 L
.04474 .30694 L
.04473 .30638 L
.04473 .30582 L
.04473 .30526 L
.04473 .3047 L
.04473 .30413 L
.04473 .30357 L
.04473 .30301 L
.04473 .30245 L
.04473 .30189 L
.04473 .30132 L
.04473 .30076 L
.04474 .3002 L
.04474 .29964 L
.04474 .29908 L
.04474 .29851 L
.04475 .29795 L
.04475 .29739 L
.04475 .29683 L
.04476 .29627 L
.04476 .2957 L
.04477 .29514 L
s
.02381 .32149 m
.03226 .32153 L
.04071 .32157 L
.04916 .32161 L
.05762 .32165 L
.06607 .3217 L
.07452 .32174 L
.08297 .32178 L
.09142 .32182 L
.09987 .32187 L
.10832 .32191 L
.11678 .32195 L
.12523 .32199 L
.13368 .32203 L
.14213 .32208 L
.15058 .32212 L
.15903 .32216 L
.16749 .3222 L
.17594 .32225 L
.18439 .32229 L
.19284 .32233 L
.20129 .32237 L
.20974 .32241 L
.21819 .32246 L
.22665 .3225 L
.2351 .32254 L
.24355 .32258 L
.252 .32263 L
.26045 .32267 L
.2689 .32271 L
.27735 .32275 L
.28581 .32279 L
.29426 .32284 L
.30271 .32288 L
.31116 .32292 L
.31961 .32296 L
.32806 .32301 L
.33652 .32305 L
.34497 .32309 L
.35342 .32313 L
.36187 .32317 L
.37032 .32322 L
.37877 .32326 L
.38722 .3233 L
.39568 .32334 L
.40413 .32339 L
.41258 .32343 L
.42103 .32347 L
.42948 .32351 L
.43793 .32356 L
Mistroke
.44639 .3236 L
.45484 .32364 L
.46329 .32368 L
.47174 .32372 L
.48019 .32377 L
.48864 .32381 L
.49709 .32385 L
.50555 .32389 L
.514 .32394 L
.52245 .32398 L
.5309 .32402 L
.53935 .32406 L
.5478 .3241 L
.55625 .32415 L
.56471 .32419 L
.57316 .32423 L
.58161 .32427 L
.59006 .32432 L
.59851 .32436 L
.60696 .3244 L
.61542 .32444 L
.62387 .32448 L
.63107 .32577 L
.63112 .33422 L
.63116 .34267 L
.6312 .35112 L
.63124 .35958 L
.63129 .36803 L
.63133 .37648 L
.63137 .38493 L
.63141 .39338 L
.63146 .40183 L
.6315 .41029 L
.63154 .41874 L
.63158 .42719 L
.63162 .43564 L
.63154 .44427 L
.6307 .45278 L
.62984 .46119 L
.62897 .4696 L
.62811 .47801 L
.62724 .48642 L
.62638 .49483 L
.62552 .50324 L
.62465 .51165 L
.62379 .52006 L
.62293 .52847 L
.62206 .53688 L
.6212 .54529 L
.62034 .5537 L
Mistroke
.61947 .56211 L
.61861 .57052 L
.61774 .57893 L
.61721 .58737 L
.61762 .59574 L
.61865 .60413 L
Mfstroke
.02381 .32137 m
.03226 .32133 L
.04071 .32129 L
.04916 .32124 L
.05762 .3212 L
.06607 .32116 L
.07452 .32112 L
.08297 .32108 L
.09142 .32103 L
.09987 .32099 L
.10832 .32095 L
.11678 .32091 L
.12523 .32087 L
.13368 .32082 L
.14213 .32078 L
.15058 .32074 L
.15903 .3207 L
.16749 .32065 L
.17594 .32061 L
.18439 .32057 L
.19284 .32053 L
.20129 .32048 L
.20974 .32044 L
.21819 .3204 L
.22665 .32036 L
.2351 .32032 L
.24355 .32027 L
.252 .32023 L
.26045 .32019 L
.2689 .32015 L
.27735 .3201 L
.28581 .32006 L
.29426 .32002 L
.30271 .31998 L
.31116 .31994 L
.31961 .31989 L
.32806 .31985 L
.33652 .31981 L
.34497 .31977 L
.35342 .31972 L
.36187 .31968 L
.37032 .31964 L
.37877 .3196 L
.38722 .31956 L
.39568 .31951 L
.40413 .31947 L
.41258 .31943 L
.42103 .31939 L
.42948 .31934 L
.43793 .3193 L
Mistroke
.44639 .31926 L
.45484 .31922 L
.46329 .31918 L
.47174 .31913 L
.48019 .31909 L
.48864 .31905 L
.49709 .31901 L
.50555 .31896 L
.514 .31892 L
.52245 .31888 L
.5309 .31884 L
.53935 .31879 L
.5478 .31875 L
.55625 .31871 L
.56471 .31867 L
.57316 .31863 L
.58161 .31858 L
.59006 .31854 L
.59851 .3185 L
.60696 .31846 L
.61542 .31841 L
.62387 .31837 L
.62488 .32577 L
.62484 .33422 L
.62479 .34267 L
.62475 .35112 L
.62471 .35958 L
.62467 .36803 L
.62462 .37648 L
.62458 .38493 L
.62454 .39338 L
.6245 .40183 L
.62446 .41029 L
.62441 .41874 L
.62437 .42719 L
.62433 .43564 L
.62421 .44391 L
.62383 .45226 L
.62342 .4607 L
.623 .46915 L
.62259 .47759 L
.62217 .48604 L
.62176 .49448 L
.62135 .50292 L
.62093 .51137 L
.62052 .51981 L
.62011 .52826 L
.61969 .5367 L
.61928 .54515 L
.61886 .55359 L
Mistroke
.61845 .56203 L
.61804 .57048 L
.61762 .57892 L
.61688 .58734 L
.6171 .59581 L
.61806 .6042 L
Mfstroke
0 0 0 r
.02381 .32143 m
.62798 .32143 L
s
% Start of user PostScript
0 15. 1015. 15. MAarrowhead1
% End of user PostScript
.62798 .32143 m
.62798 .44212 L
s
% Start of user PostScript
1015. 15. 1015. 217.764 MAarrowhead1
% End of user PostScript
.62798 .44212 m
.62783 .44504 L
s
% Start of user PostScript
1015. 217.764 1014.76 222.674 MAarrowhead1
% End of user PostScript
.62783 .44504 m
.61688 .58955 L
s
% Start of user PostScript
1014.76 222.674 996.357 465.437 MAarrowhead1
% End of user PostScript
.61688 .58955 m
.61692 .59207 L
s
% Start of user PostScript
996.357 465.437 996.417 469.674 MAarrowhead1
% End of user PostScript
.61692 .59207 m
.61835 .60417 L
s
% Start of user PostScript
996.417 469.674 998.835 490. MAarrowhead1
% End of user PostScript
.61835 .60417 m
.61835 .60417 L
s
% Start of user PostScript
998.835 490. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .32137 m
.02381 .32138 L
.02381 .32138 L
.02381 .32139 L
.02381 .32139 L
.02381 .32139 L
.02381 .3214 L
.02381 .3214 L
.02381 .3214 L
.02381 .32141 L
.02381 .32141 L
.02381 .32141 L
.02381 .32142 L
.02381 .32142 L
.02381 .32142 L
.02381 .32143 L
.02381 .32143 L
.02381 .32144 L
.02381 .32144 L
.02381 .32144 L
.02381 .32145 L
.02381 .32145 L
.02381 .32145 L
.02381 .32146 L
.02381 .32146 L
.02381 .32146 L
.02381 .32147 L
.02381 .32147 L
.02381 .32147 L
.02381 .32148 L
.02381 .32148 L
s
.03649 .32132 m
.03649 .32133 L
.03649 .32133 L
.03649 .32134 L
.03649 .32135 L
.03649 .32136 L
.03649 .32136 L
.03649 .32137 L
.03649 .32138 L
.03649 .32138 L
.03649 .32139 L
.03649 .3214 L
.03649 .32141 L
.03649 .32141 L
.03649 .32142 L
.03649 .32143 L
.03649 .32144 L
.03649 .32144 L
.03649 .32145 L
.03649 .32146 L
.03649 .32146 L
.03649 .32147 L
.03649 .32148 L
.03649 .32149 L
.03649 .32149 L
.03649 .3215 L
.03649 .32151 L
.03649 .32152 L
.03649 .32152 L
.03649 .32153 L
.03649 .32154 L
s
.04916 .32126 m
.04916 .32127 L
.04916 .32129 L
.04916 .3213 L
.04916 .32131 L
.04916 .32132 L
.04916 .32133 L
.04916 .32134 L
.04916 .32135 L
.04916 .32136 L
.04916 .32137 L
.04916 .32138 L
.04916 .3214 L
.04916 .32141 L
.04916 .32142 L
.04916 .32143 L
.04916 .32144 L
.04916 .32145 L
.04916 .32146 L
.04916 .32147 L
.04916 .32148 L
.04916 .32149 L
.04916 .32151 L
.04916 .32152 L
.04916 .32153 L
.04916 .32154 L
.04916 .32155 L
.04916 .32156 L
.04916 .32157 L
.04916 .32158 L
.04916 .32159 L
s
.06184 .32121 m
.06184 .32122 L
.06184 .32124 L
.06184 .32125 L
.06184 .32127 L
.06184 .32128 L
.06184 .3213 L
.06184 .32131 L
.06184 .32132 L
.06184 .32134 L
.06184 .32135 L
.06184 .32137 L
.06184 .32138 L
.06184 .3214 L
.06184 .32141 L
.06184 .32143 L
.06184 .32144 L
.06184 .32146 L
.06184 .32147 L
.06184 .32149 L
.06184 .3215 L
.06184 .32152 L
.06184 .32153 L
.06184 .32155 L
.06184 .32156 L
.06184 .32158 L
.06184 .32159 L
.06184 .32161 L
.06184 .32162 L
.06184 .32164 L
.06184 .32165 L
s
.07452 .32115 m
.07452 .32117 L
.07452 .32119 L
.07452 .32121 L
.07452 .32122 L
.07452 .32124 L
.07452 .32126 L
.07452 .32128 L
.07452 .3213 L
.07452 .32132 L
.07452 .32134 L
.07452 .32135 L
.07452 .32137 L
.07452 .32139 L
.07452 .32141 L
.07452 .32143 L
.07452 .32145 L
.07452 .32147 L
.07452 .32148 L
.07452 .3215 L
.07452 .32152 L
.07452 .32154 L
.07452 .32156 L
.07452 .32158 L
.07452 .3216 L
.07452 .32161 L
.07452 .32163 L
.07452 .32165 L
.07452 .32167 L
.07452 .32169 L
.07452 .32171 L
s
.08719 .32109 m
.08719 .32111 L
.08719 .32114 L
.0872 .32116 L
.0872 .32118 L
.0872 .3212 L
.0872 .32123 L
.0872 .32125 L
.0872 .32127 L
.0872 .32129 L
.0872 .32132 L
.0872 .32134 L
.0872 .32136 L
.0872 .32138 L
.0872 .32141 L
.0872 .32143 L
.0872 .32145 L
.0872 .32147 L
.0872 .3215 L
.0872 .32152 L
.0872 .32154 L
.0872 .32156 L
.0872 .32159 L
.0872 .32161 L
.0872 .32163 L
.0872 .32165 L
.0872 .32167 L
.0872 .3217 L
.08719 .32172 L
.08719 .32174 L
.08719 .32176 L
s
.09987 .32104 m
.09987 .32106 L
.09987 .32109 L
.09987 .32111 L
.09987 .32114 L
.09987 .32117 L
.09987 .32119 L
.09987 .32122 L
.09987 .32125 L
.09987 .32127 L
.09987 .3213 L
.09987 .32132 L
.09987 .32135 L
.09987 .32138 L
.09987 .3214 L
.09987 .32143 L
.09987 .32145 L
.09987 .32148 L
.09987 .32151 L
.09987 .32153 L
.09987 .32156 L
.09987 .32159 L
.09987 .32161 L
.09987 .32164 L
.09987 .32166 L
.09987 .32169 L
.09987 .32172 L
.09987 .32174 L
.09987 .32177 L
.09987 .3218 L
.09987 .32182 L
s
.11255 .32098 m
.11255 .32101 L
.11255 .32104 L
.11255 .32107 L
.11255 .3211 L
.11255 .32113 L
.11255 .32116 L
.11255 .32119 L
.11255 .32122 L
.11255 .32125 L
.11255 .32128 L
.11255 .32131 L
.11255 .32134 L
.11255 .32137 L
.11255 .3214 L
.11255 .32143 L
.11255 .32146 L
.11255 .32149 L
.11255 .32152 L
.11255 .32155 L
.11255 .32158 L
.11255 .32161 L
.11255 .32164 L
.11255 .32167 L
.11255 .3217 L
.11255 .32173 L
.11255 .32176 L
.11255 .32179 L
.11255 .32182 L
.11255 .32185 L
.11255 .32188 L
s
.12523 .32092 m
.12523 .32096 L
.12523 .32099 L
.12523 .32102 L
.12523 .32106 L
.12523 .32109 L
.12523 .32112 L
.12523 .32116 L
.12523 .32119 L
.12523 .32123 L
.12523 .32126 L
.12523 .32129 L
.12523 .32133 L
.12523 .32136 L
.12523 .32139 L
.12523 .32143 L
.12523 .32146 L
.12523 .3215 L
.12523 .32153 L
.12523 .32156 L
.12523 .3216 L
.12523 .32163 L
.12523 .32167 L
.12523 .3217 L
.12523 .32173 L
.12523 .32177 L
.12523 .3218 L
.12523 .32183 L
.12523 .32187 L
.12523 .3219 L
.12523 .32194 L
s
.1379 .32086 m
.1379 .3209 L
.1379 .32094 L
.1379 .32098 L
.1379 .32101 L
.1379 .32105 L
.1379 .32109 L
.1379 .32113 L
.1379 .32117 L
.1379 .3212 L
.1379 .32124 L
.1379 .32128 L
.1379 .32132 L
.13791 .32135 L
.13791 .32139 L
.13791 .32143 L
.13791 .32147 L
.13791 .3215 L
.1379 .32154 L
.1379 .32158 L
.1379 .32162 L
.1379 .32165 L
.1379 .32169 L
.1379 .32173 L
.1379 .32177 L
.1379 .3218 L
.1379 .32184 L
.1379 .32188 L
.1379 .32192 L
.1379 .32196 L
.1379 .32199 L
s
.15058 .32081 m
.15058 .32085 L
.15058 .32089 L
.15058 .32093 L
.15058 .32097 L
.15058 .32101 L
.15058 .32106 L
.15058 .3211 L
.15058 .32114 L
.15058 .32118 L
.15058 .32122 L
.15058 .32126 L
.15058 .3213 L
.15058 .32135 L
.15058 .32139 L
.15058 .32143 L
.15058 .32147 L
.15058 .32151 L
.15058 .32155 L
.15058 .32159 L
.15058 .32164 L
.15058 .32168 L
.15058 .32172 L
.15058 .32176 L
.15058 .3218 L
.15058 .32184 L
.15058 .32188 L
.15058 .32193 L
.15058 .32197 L
.15058 .32201 L
.15058 .32205 L
s
.16326 .32075 m
.16326 .3208 L
.16326 .32084 L
.16326 .32089 L
.16326 .32093 L
.16326 .32098 L
.16326 .32102 L
.16326 .32107 L
.16326 .32111 L
.16326 .32116 L
.16326 .3212 L
.16326 .32125 L
.16326 .32129 L
.16326 .32134 L
.16326 .32138 L
.16326 .32143 L
.16326 .32147 L
.16326 .32152 L
.16326 .32156 L
.16326 .32161 L
.16326 .32165 L
.16326 .3217 L
.16326 .32174 L
.16326 .32179 L
.16326 .32184 L
.16326 .32188 L
.16326 .32193 L
.16326 .32197 L
.16326 .32202 L
.16326 .32206 L
.16326 .32211 L
s
.17593 .32069 m
.17593 .32074 L
.17593 .32079 L
.17593 .32084 L
.17594 .32089 L
.17594 .32094 L
.17594 .32099 L
.17594 .32104 L
.17594 .32109 L
.17594 .32113 L
.17594 .32118 L
.17594 .32123 L
.17594 .32128 L
.17594 .32133 L
.17594 .32138 L
.17594 .32143 L
.17594 .32148 L
.17594 .32153 L
.17594 .32158 L
.17594 .32162 L
.17594 .32167 L
.17594 .32172 L
.17594 .32177 L
.17594 .32182 L
.17594 .32187 L
.17594 .32192 L
.17594 .32197 L
.17593 .32202 L
.17593 .32207 L
.17593 .32211 L
.17593 .32216 L
s
.18861 .32064 m
.18861 .32069 L
.18861 .32074 L
.18861 .32079 L
.18861 .32085 L
.18861 .3209 L
.18861 .32095 L
.18861 .32101 L
.18861 .32106 L
.18861 .32111 L
.18861 .32116 L
.18861 .32122 L
.18861 .32127 L
.18861 .32132 L
.18861 .32138 L
.18861 .32143 L
.18861 .32148 L
.18861 .32153 L
.18861 .32159 L
.18861 .32164 L
.18861 .32169 L
.18861 .32175 L
.18861 .3218 L
.18861 .32185 L
.18861 .3219 L
.18861 .32196 L
.18861 .32201 L
.18861 .32206 L
.18861 .32212 L
.18861 .32217 L
.18861 .32222 L
s
.20129 .32058 m
.20129 .32064 L
.20129 .32069 L
.20129 .32075 L
.20129 .32081 L
.20129 .32086 L
.20129 .32092 L
.20129 .32098 L
.20129 .32103 L
.20129 .32109 L
.20129 .32115 L
.20129 .3212 L
.20129 .32126 L
.20129 .32132 L
.20129 .32137 L
.20129 .32143 L
.20129 .32149 L
.20129 .32154 L
.20129 .3216 L
.20129 .32165 L
.20129 .32171 L
.20129 .32177 L
.20129 .32182 L
.20129 .32188 L
.20129 .32194 L
.20129 .32199 L
.20129 .32205 L
.20129 .32211 L
.20129 .32216 L
.20129 .32222 L
.20129 .32228 L
s
.21396 .32052 m
.21397 .32058 L
.21397 .32064 L
.21397 .3207 L
.21397 .32076 L
.21397 .32082 L
.21397 .32088 L
.21397 .32095 L
.21397 .32101 L
.21397 .32107 L
.21397 .32113 L
.21397 .32119 L
.21397 .32125 L
.21397 .32131 L
.21397 .32137 L
.21397 .32143 L
.21397 .32149 L
.21397 .32155 L
.21397 .32161 L
.21397 .32167 L
.21397 .32173 L
.21397 .32179 L
.21397 .32185 L
.21397 .32191 L
.21397 .32197 L
.21397 .32203 L
.21397 .32209 L
.21397 .32215 L
.21397 .32221 L
.21397 .32227 L
.21396 .32233 L
s
.22664 .32047 m
.22664 .32053 L
.22664 .32059 L
.22664 .32066 L
.22664 .32072 L
.22664 .32079 L
.22664 .32085 L
.22664 .32091 L
.22664 .32098 L
.22665 .32104 L
.22665 .32111 L
.22665 .32117 L
.22665 .32124 L
.22665 .3213 L
.22665 .32136 L
.22665 .32143 L
.22665 .32149 L
.22665 .32156 L
.22665 .32162 L
.22665 .32169 L
.22665 .32175 L
.22665 .32181 L
.22664 .32188 L
.22664 .32194 L
.22664 .32201 L
.22664 .32207 L
.22664 .32213 L
.22664 .3222 L
.22664 .32226 L
.22664 .32233 L
.22664 .32239 L
s
.23932 .32041 m
.23932 .32048 L
.23932 .32054 L
.23932 .32061 L
.23932 .32068 L
.23932 .32075 L
.23932 .32082 L
.23932 .32088 L
.23932 .32095 L
.23932 .32102 L
.23932 .32109 L
.23932 .32116 L
.23932 .32122 L
.23932 .32129 L
.23932 .32136 L
.23932 .32143 L
.23932 .3215 L
.23932 .32156 L
.23932 .32163 L
.23932 .3217 L
.23932 .32177 L
.23932 .32184 L
.23932 .3219 L
.23932 .32197 L
.23932 .32204 L
.23932 .32211 L
.23932 .32218 L
.23932 .32224 L
.23932 .32231 L
.23932 .32238 L
.23932 .32245 L
s
.252 .32035 m
.252 .32042 L
.252 .32049 L
.252 .32057 L
.252 .32064 L
.252 .32071 L
.252 .32078 L
.252 .32085 L
.252 .32093 L
.252 .321 L
.252 .32107 L
.252 .32114 L
.252 .32121 L
.252 .32128 L
.252 .32136 L
.252 .32143 L
.252 .3215 L
.252 .32157 L
.252 .32164 L
.252 .32172 L
.252 .32179 L
.252 .32186 L
.252 .32193 L
.252 .322 L
.252 .32207 L
.252 .32215 L
.252 .32222 L
.252 .32229 L
.252 .32236 L
.252 .32243 L
.252 .32251 L
s
.26467 .32029 m
.26467 .32037 L
.26467 .32045 L
.26467 .32052 L
.26468 .3206 L
.26468 .32067 L
.26468 .32075 L
.26468 .32082 L
.26468 .3209 L
.26468 .32097 L
.26468 .32105 L
.26468 .32113 L
.26468 .3212 L
.26468 .32128 L
.26468 .32135 L
.26468 .32143 L
.26468 .3215 L
.26468 .32158 L
.26468 .32166 L
.26468 .32173 L
.26468 .32181 L
.26468 .32188 L
.26468 .32196 L
.26468 .32203 L
.26468 .32211 L
.26468 .32218 L
.26468 .32226 L
.26467 .32234 L
.26467 .32241 L
.26467 .32249 L
.26467 .32256 L
s
.27735 .32024 m
.27735 .32032 L
.27735 .3204 L
.27735 .32048 L
.27735 .32055 L
.27735 .32063 L
.27735 .32071 L
.27735 .32079 L
.27735 .32087 L
.27735 .32095 L
.27735 .32103 L
.27735 .32111 L
.27735 .32119 L
.27735 .32127 L
.27735 .32135 L
.27735 .32143 L
.27735 .32151 L
.27735 .32159 L
.27735 .32167 L
.27735 .32175 L
.27735 .32183 L
.27735 .32191 L
.27735 .32198 L
.27735 .32206 L
.27735 .32214 L
.27735 .32222 L
.27735 .3223 L
.27735 .32238 L
.27735 .32246 L
.27735 .32254 L
.27735 .32262 L
s
.29003 .32018 m
.29003 .32026 L
.29003 .32035 L
.29003 .32043 L
.29003 .32051 L
.29003 .3206 L
.29003 .32068 L
.29003 .32076 L
.29003 .32085 L
.29003 .32093 L
.29003 .32101 L
.29003 .3211 L
.29003 .32118 L
.29003 .32126 L
.29003 .32135 L
.29003 .32143 L
.29003 .32151 L
.29003 .32159 L
.29003 .32168 L
.29003 .32176 L
.29003 .32184 L
.29003 .32193 L
.29003 .32201 L
.29003 .32209 L
.29003 .32218 L
.29003 .32226 L
.29003 .32234 L
.29003 .32243 L
.29003 .32251 L
.29003 .32259 L
.29003 .32268 L
s
.3027 .32012 m
.3027 .32021 L
.30271 .3203 L
.30271 .32038 L
.30271 .32047 L
.30271 .32056 L
.30271 .32065 L
.30271 .32073 L
.30271 .32082 L
.30271 .32091 L
.30271 .32099 L
.30271 .32108 L
.30271 .32117 L
.30271 .32125 L
.30271 .32134 L
.30271 .32143 L
.30271 .32152 L
.30271 .3216 L
.30271 .32169 L
.30271 .32178 L
.30271 .32186 L
.30271 .32195 L
.30271 .32204 L
.30271 .32212 L
.30271 .32221 L
.30271 .3223 L
.30271 .32239 L
.30271 .32247 L
.30271 .32256 L
.3027 .32265 L
.3027 .32273 L
s
.31538 .32007 m
.31538 .32016 L
.31538 .32025 L
.31538 .32034 L
.31538 .32043 L
.31538 .32052 L
.31538 .32061 L
.31539 .3207 L
.31539 .32079 L
.31539 .32088 L
.31539 .32097 L
.31539 .32107 L
.31539 .32116 L
.31539 .32125 L
.31539 .32134 L
.31539 .32143 L
.31539 .32152 L
.31539 .32161 L
.31539 .3217 L
.31539 .32179 L
.31539 .32188 L
.31539 .32197 L
.31539 .32206 L
.31539 .32216 L
.31538 .32225 L
.31538 .32234 L
.31538 .32243 L
.31538 .32252 L
.31538 .32261 L
.31538 .3227 L
.31538 .32279 L
s
.32806 .32001 m
.32806 .3201 L
.32806 .3202 L
.32806 .32029 L
.32806 .32039 L
.32806 .32048 L
.32806 .32058 L
.32806 .32067 L
.32806 .32077 L
.32806 .32086 L
.32806 .32096 L
.32806 .32105 L
.32806 .32114 L
.32806 .32124 L
.32806 .32133 L
.32806 .32143 L
.32806 .32152 L
.32806 .32162 L
.32806 .32171 L
.32806 .32181 L
.32806 .3219 L
.32806 .322 L
.32806 .32209 L
.32806 .32219 L
.32806 .32228 L
.32806 .32237 L
.32806 .32247 L
.32806 .32256 L
.32806 .32266 L
.32806 .32275 L
.32806 .32285 L
s
.34073 .31995 m
.34074 .32005 L
.34074 .32015 L
.34074 .32025 L
.34074 .32035 L
.34074 .32044 L
.34074 .32054 L
.34074 .32064 L
.34074 .32074 L
.34074 .32084 L
.34074 .32094 L
.34074 .32103 L
.34074 .32113 L
.34074 .32123 L
.34074 .32133 L
.34074 .32143 L
.34074 .32153 L
.34074 .32163 L
.34074 .32172 L
.34074 .32182 L
.34074 .32192 L
.34074 .32202 L
.34074 .32212 L
.34074 .32222 L
.34074 .32231 L
.34074 .32241 L
.34074 .32251 L
.34074 .32261 L
.34074 .32271 L
.34074 .32281 L
.34073 .32291 L
s
.35341 .31989 m
.35341 .32 L
.35341 .3201 L
.35341 .3202 L
.35341 .3203 L
.35342 .32041 L
.35342 .32051 L
.35342 .32061 L
.35342 .32071 L
.35342 .32081 L
.35342 .32092 L
.35342 .32102 L
.35342 .32112 L
.35342 .32122 L
.35342 .32133 L
.35342 .32143 L
.35342 .32153 L
.35342 .32163 L
.35342 .32174 L
.35342 .32184 L
.35342 .32194 L
.35342 .32204 L
.35342 .32214 L
.35342 .32225 L
.35342 .32235 L
.35342 .32245 L
.35341 .32255 L
.35341 .32266 L
.35341 .32276 L
.35341 .32286 L
.35341 .32296 L
s
.36609 .31984 m
.36609 .31994 L
.36609 .32005 L
.36609 .32016 L
.36609 .32026 L
.36609 .32037 L
.36609 .32047 L
.36609 .32058 L
.36609 .32069 L
.36609 .32079 L
.36609 .3209 L
.3661 .321 L
.3661 .32111 L
.3661 .32122 L
.3661 .32132 L
.3661 .32143 L
.3661 .32153 L
.3661 .32164 L
.3661 .32175 L
.3661 .32185 L
.36609 .32196 L
.36609 .32206 L
.36609 .32217 L
.36609 .32228 L
.36609 .32238 L
.36609 .32249 L
.36609 .3226 L
.36609 .3227 L
.36609 .32281 L
.36609 .32291 L
.36609 .32302 L
s
.37877 .31978 m
.37877 .31989 L
.37877 .32 L
.37877 .32011 L
.37877 .32022 L
.37877 .32033 L
.37877 .32044 L
.37877 .32055 L
.37877 .32066 L
.37877 .32077 L
.37877 .32088 L
.37877 .32099 L
.37877 .3211 L
.37877 .32121 L
.37877 .32132 L
.37877 .32143 L
.37877 .32154 L
.37877 .32165 L
.37877 .32176 L
.37877 .32187 L
.37877 .32198 L
.37877 .32209 L
.37877 .3222 L
.37877 .32231 L
.37877 .32242 L
.37877 .32253 L
.37877 .32264 L
.37877 .32275 L
.37877 .32286 L
.37877 .32297 L
.37877 .32308 L
s
.39144 .31972 m
.39144 .31984 L
.39144 .31995 L
.39145 .32006 L
.39145 .32018 L
.39145 .32029 L
.39145 .32041 L
.39145 .32052 L
.39145 .32063 L
.39145 .32075 L
.39145 .32086 L
.39145 .32097 L
.39145 .32109 L
.39145 .3212 L
.39145 .32131 L
.39145 .32143 L
.39145 .32154 L
.39145 .32166 L
.39145 .32177 L
.39145 .32188 L
.39145 .322 L
.39145 .32211 L
.39145 .32222 L
.39145 .32234 L
.39145 .32245 L
.39145 .32257 L
.39145 .32268 L
.39145 .32279 L
.39144 .32291 L
.39144 .32302 L
.39144 .32313 L
s
.40412 .31967 m
.40412 .31978 L
.40412 .3199 L
.40412 .32002 L
.40412 .32014 L
.40412 .32025 L
.40412 .32037 L
.40413 .32049 L
.40413 .32061 L
.40413 .32072 L
.40413 .32084 L
.40413 .32096 L
.40413 .32108 L
.40413 .32119 L
.40413 .32131 L
.40413 .32143 L
.40413 .32155 L
.40413 .32166 L
.40413 .32178 L
.40413 .3219 L
.40413 .32202 L
.40413 .32213 L
.40413 .32225 L
.40413 .32237 L
.40412 .32249 L
.40412 .3226 L
.40412 .32272 L
.40412 .32284 L
.40412 .32296 L
.40412 .32307 L
.40412 .32319 L
s
.4168 .31961 m
.4168 .31973 L
.4168 .31985 L
.4168 .31997 L
.4168 .32009 L
.4168 .32022 L
.4168 .32034 L
.4168 .32046 L
.4168 .32058 L
.4168 .3207 L
.4168 .32082 L
.4168 .32094 L
.4168 .32106 L
.4168 .32119 L
.4168 .32131 L
.4168 .32143 L
.4168 .32155 L
.4168 .32167 L
.4168 .32179 L
.4168 .32191 L
.4168 .32203 L
.4168 .32216 L
.4168 .32228 L
.4168 .3224 L
.4168 .32252 L
.4168 .32264 L
.4168 .32276 L
.4168 .32288 L
.4168 .323 L
.4168 .32313 L
.4168 .32325 L
s
.42947 .31955 m
.42948 .31968 L
.42948 .3198 L
.42948 .31993 L
.42948 .32005 L
.42948 .32018 L
.42948 .3203 L
.42948 .32043 L
.42948 .32055 L
.42948 .32068 L
.42948 .3208 L
.42948 .32093 L
.42948 .32105 L
.42948 .32118 L
.42948 .3213 L
.42948 .32143 L
.42948 .32155 L
.42948 .32168 L
.42948 .3218 L
.42948 .32193 L
.42948 .32205 L
.42948 .32218 L
.42948 .3223 L
.42948 .32243 L
.42948 .32255 L
.42948 .32268 L
.42948 .3228 L
.42948 .32293 L
.42948 .32305 L
.42948 .32318 L
.42947 .3233 L
s
.44215 .3195 m
.44215 .31962 L
.44215 .31975 L
.44215 .31988 L
.44215 .32001 L
.44216 .32014 L
.44216 .32027 L
.44216 .3204 L
.44216 .32053 L
.44216 .32066 L
.44216 .32078 L
.44216 .32091 L
.44216 .32104 L
.44216 .32117 L
.44216 .3213 L
.44216 .32143 L
.44216 .32156 L
.44216 .32169 L
.44216 .32182 L
.44216 .32194 L
.44216 .32207 L
.44216 .3222 L
.44216 .32233 L
.44216 .32246 L
.44216 .32259 L
.44216 .32272 L
.44215 .32285 L
.44215 .32297 L
.44215 .3231 L
.44215 .32323 L
.44215 .32336 L
s
.45483 .31944 m
.45483 .31957 L
.45483 .3197 L
.45483 .31984 L
.45483 .31997 L
.45483 .3201 L
.45483 .32023 L
.45483 .32037 L
.45483 .3205 L
.45484 .32063 L
.45484 .32077 L
.45484 .3209 L
.45484 .32103 L
.45484 .32116 L
.45484 .3213 L
.45484 .32143 L
.45484 .32156 L
.45484 .32169 L
.45484 .32183 L
.45484 .32196 L
.45484 .32209 L
.45484 .32222 L
.45483 .32236 L
.45483 .32249 L
.45483 .32262 L
.45483 .32276 L
.45483 .32289 L
.45483 .32302 L
.45483 .32315 L
.45483 .32329 L
.45483 .32342 L
s
.46751 .31938 m
.46751 .31952 L
.46751 .31965 L
.46751 .31979 L
.46751 .31993 L
.46751 .32006 L
.46751 .3202 L
.46751 .32034 L
.46751 .32047 L
.46751 .32061 L
.46751 .32075 L
.46751 .32088 L
.46751 .32102 L
.46751 .32116 L
.46751 .32129 L
.46751 .32143 L
.46751 .32156 L
.46751 .3217 L
.46751 .32184 L
.46751 .32197 L
.46751 .32211 L
.46751 .32225 L
.46751 .32238 L
.46751 .32252 L
.46751 .32266 L
.46751 .32279 L
.46751 .32293 L
.46751 .32307 L
.46751 .3232 L
.46751 .32334 L
.46751 .32348 L
s
.48018 .31932 m
.48018 .31946 L
.48018 .3196 L
.48019 .31975 L
.48019 .31989 L
.48019 .32003 L
.48019 .32017 L
.48019 .32031 L
.48019 .32045 L
.48019 .32059 L
.48019 .32073 L
.48019 .32087 L
.48019 .32101 L
.48019 .32115 L
.48019 .32129 L
.48019 .32143 L
.48019 .32157 L
.48019 .32171 L
.48019 .32185 L
.48019 .32199 L
.48019 .32213 L
.48019 .32227 L
.48019 .32241 L
.48019 .32255 L
.48019 .32269 L
.48019 .32283 L
.48019 .32297 L
.48019 .32311 L
.48018 .32325 L
.48018 .32339 L
.48018 .32353 L
s
.49286 .31927 m
.49286 .31941 L
.49286 .31956 L
.49286 .3197 L
.49286 .31984 L
.49286 .31999 L
.49287 .32013 L
.49287 .32028 L
.49287 .32042 L
.49287 .32056 L
.49287 .32071 L
.49287 .32085 L
.49287 .321 L
.49287 .32114 L
.49287 .32128 L
.49287 .32143 L
.49287 .32157 L
.49287 .32172 L
.49287 .32186 L
.49287 .322 L
.49287 .32215 L
.49287 .32229 L
.49287 .32244 L
.49287 .32258 L
.49287 .32273 L
.49286 .32287 L
.49286 .32301 L
.49286 .32316 L
.49286 .3233 L
.49286 .32345 L
.49286 .32359 L
s
.50554 .31921 m
.50554 .31936 L
.50554 .31951 L
.50554 .31965 L
.50554 .3198 L
.50554 .31995 L
.50554 .3201 L
.50554 .32025 L
.50554 .32039 L
.50554 .32054 L
.50554 .32069 L
.50554 .32084 L
.50555 .32098 L
.50555 .32113 L
.50555 .32128 L
.50555 .32143 L
.50555 .32158 L
.50555 .32172 L
.50555 .32187 L
.50554 .32202 L
.50554 .32217 L
.50554 .32232 L
.50554 .32246 L
.50554 .32261 L
.50554 .32276 L
.50554 .32291 L
.50554 .32306 L
.50554 .3232 L
.50554 .32335 L
.50554 .3235 L
.50554 .32365 L
s
.51821 .31915 m
.51821 .3193 L
.51822 .31946 L
.51822 .31961 L
.51822 .31976 L
.51822 .31991 L
.51822 .32006 L
.51822 .32021 L
.51822 .32037 L
.51822 .32052 L
.51822 .32067 L
.51822 .32082 L
.51822 .32097 L
.51822 .32113 L
.51822 .32128 L
.51822 .32143 L
.51822 .32158 L
.51822 .32173 L
.51822 .32188 L
.51822 .32204 L
.51822 .32219 L
.51822 .32234 L
.51822 .32249 L
.51822 .32264 L
.51822 .32279 L
.51822 .32295 L
.51822 .3231 L
.51822 .32325 L
.51822 .3234 L
.51821 .32355 L
.51821 .3237 L
s
.53089 .3191 m
.53089 .31925 L
.53089 .31941 L
.53089 .31956 L
.53089 .31972 L
.5309 .31987 L
.5309 .32003 L
.5309 .32018 L
.5309 .32034 L
.5309 .3205 L
.5309 .32065 L
.5309 .32081 L
.5309 .32096 L
.5309 .32112 L
.5309 .32127 L
.5309 .32143 L
.5309 .32158 L
.5309 .32174 L
.5309 .32189 L
.5309 .32205 L
.5309 .32221 L
.5309 .32236 L
.5309 .32252 L
.5309 .32267 L
.5309 .32283 L
.5309 .32298 L
.53089 .32314 L
.53089 .32329 L
.53089 .32345 L
.53089 .32361 L
.53089 .32376 L
s
.54357 .31904 m
.54357 .3192 L
.54357 .31936 L
.54357 .31952 L
.54357 .31968 L
.54357 .31984 L
.54357 .31999 L
.54357 .32015 L
.54358 .32031 L
.54358 .32047 L
.54358 .32063 L
.54358 .32079 L
.54358 .32095 L
.54358 .32111 L
.54358 .32127 L
.54358 .32143 L
.54358 .32159 L
.54358 .32175 L
.54358 .32191 L
.54358 .32207 L
.54358 .32222 L
.54358 .32238 L
.54358 .32254 L
.54357 .3227 L
.54357 .32286 L
.54357 .32302 L
.54357 .32318 L
.54357 .32334 L
.54357 .3235 L
.54357 .32366 L
.54357 .32382 L
s
.55624 .31898 m
.55625 .31915 L
.55625 .31931 L
.55625 .31947 L
.55625 .31963 L
.55625 .3198 L
.55625 .31996 L
.55625 .32012 L
.55625 .32029 L
.55625 .32045 L
.55625 .32061 L
.55625 .32078 L
.55625 .32094 L
.55625 .3211 L
.55625 .32127 L
.55625 .32143 L
.55625 .32159 L
.55625 .32175 L
.55625 .32192 L
.55625 .32208 L
.55625 .32224 L
.55625 .32241 L
.55625 .32257 L
.55625 .32273 L
.55625 .3229 L
.55625 .32306 L
.55625 .32322 L
.55625 .32339 L
.55625 .32355 L
.55625 .32371 L
.55624 .32387 L
s
.56892 .31892 m
.56892 .31909 L
.56892 .31926 L
.56893 .31943 L
.56893 .31959 L
.56893 .31976 L
.56893 .31993 L
.56893 .32009 L
.56893 .32026 L
.56893 .32043 L
.56893 .32059 L
.56893 .32076 L
.56893 .32093 L
.56893 .32109 L
.56893 .32126 L
.56893 .32143 L
.56893 .3216 L
.56893 .32176 L
.56893 .32193 L
.56893 .3221 L
.56893 .32226 L
.56893 .32243 L
.56893 .3226 L
.56893 .32276 L
.56893 .32293 L
.56893 .3231 L
.56893 .32326 L
.56893 .32343 L
.56892 .3236 L
.56892 .32377 L
.56892 .32393 L
s
.5816 .31887 m
.5816 .31904 L
.5816 .31921 L
.5816 .31938 L
.5816 .31955 L
.5816 .31972 L
.58161 .31989 L
.58161 .32006 L
.58161 .32023 L
.58161 .3204 L
.58161 .32057 L
.58161 .32075 L
.58161 .32092 L
.58161 .32109 L
.58161 .32126 L
.58161 .32143 L
.58161 .3216 L
.58161 .32177 L
.58161 .32194 L
.58161 .32211 L
.58161 .32228 L
.58161 .32245 L
.58161 .32262 L
.58161 .32279 L
.58161 .32296 L
.5816 .32314 L
.5816 .32331 L
.5816 .32348 L
.5816 .32365 L
.5816 .32382 L
.5816 .32399 L
s
.59428 .31881 m
.59428 .31899 L
.59428 .31916 L
.59428 .31933 L
.59428 .31951 L
.59428 .31968 L
.59428 .31986 L
.59428 .32003 L
.59428 .32021 L
.59428 .32038 L
.59429 .32056 L
.59429 .32073 L
.59429 .3209 L
.59429 .32108 L
.59429 .32125 L
.59429 .32143 L
.59429 .3216 L
.59429 .32178 L
.59429 .32195 L
.59429 .32213 L
.59429 .3223 L
.59428 .32248 L
.59428 .32265 L
.59428 .32282 L
.59428 .323 L
.59428 .32317 L
.59428 .32335 L
.59428 .32352 L
.59428 .3237 L
.59428 .32387 L
.59428 .32405 L
s
.60695 .31875 m
.60695 .31893 L
.60696 .31911 L
.60696 .31929 L
.60696 .31947 L
.60696 .31965 L
.60696 .31982 L
.60696 .32 L
.60696 .32018 L
.60696 .32036 L
.60696 .32054 L
.60696 .32072 L
.60696 .32089 L
.60696 .32107 L
.60696 .32125 L
.60696 .32143 L
.60696 .32161 L
.60696 .32179 L
.60696 .32196 L
.60696 .32214 L
.60696 .32232 L
.60696 .3225 L
.60696 .32268 L
.60696 .32285 L
.60696 .32303 L
.60696 .32321 L
.60696 .32339 L
.60696 .32357 L
.60696 .32375 L
.60695 .32392 L
.60695 .3241 L
s
.61963 .3187 m
.61963 .31888 L
.61963 .31906 L
.61963 .31924 L
.61963 .31943 L
.61964 .31961 L
.61964 .31979 L
.61964 .31997 L
.61964 .32015 L
.61964 .32034 L
.61964 .32052 L
.61964 .3207 L
.61964 .32088 L
.61964 .32106 L
.61964 .32125 L
.61964 .32143 L
.61964 .32161 L
.61964 .32179 L
.61964 .32197 L
.61964 .32216 L
.61964 .32234 L
.61964 .32252 L
.61964 .3227 L
.61964 .32289 L
.61964 .32307 L
.61964 .32325 L
.61963 .32343 L
.61963 .32361 L
.61963 .3238 L
.61963 .32398 L
.61963 .32416 L
s
.62519 .32576 m
.62537 .32576 L
.62556 .32576 L
.62575 .32576 L
.62593 .32576 L
.62612 .32577 L
.6263 .32577 L
.62649 .32577 L
.62667 .32577 L
.62686 .32577 L
.62705 .32577 L
.62723 .32577 L
.62742 .32577 L
.6276 .32577 L
.62779 .32577 L
.62798 .32577 L
.62816 .32577 L
.62835 .32577 L
.62853 .32577 L
.62872 .32577 L
.62891 .32577 L
.62909 .32577 L
.62928 .32577 L
.62946 .32577 L
.62965 .32577 L
.62984 .32577 L
.63002 .32576 L
.63021 .32576 L
.63039 .32576 L
.63058 .32576 L
.63077 .32576 L
s
.62513 .33844 m
.62532 .33844 L
.62551 .33844 L
.6257 .33844 L
.62589 .33844 L
.62608 .33844 L
.62627 .33844 L
.62646 .33844 L
.62665 .33845 L
.62684 .33845 L
.62703 .33845 L
.62722 .33845 L
.62741 .33845 L
.6276 .33845 L
.62779 .33845 L
.62798 .33845 L
.62817 .33845 L
.62836 .33845 L
.62855 .33845 L
.62874 .33845 L
.62892 .33845 L
.62911 .33845 L
.6293 .33845 L
.62949 .33844 L
.62968 .33844 L
.62987 .33844 L
.63006 .33844 L
.63025 .33844 L
.63044 .33844 L
.63063 .33844 L
.63082 .33844 L
s
.62507 .35111 m
.62527 .35111 L
.62546 .35112 L
.62565 .35112 L
.62585 .35112 L
.62604 .35112 L
.62623 .35112 L
.62643 .35112 L
.62662 .35112 L
.62682 .35112 L
.62701 .35112 L
.6272 .35112 L
.6274 .35112 L
.62759 .35112 L
.62778 .35112 L
.62798 .35112 L
.62817 .35112 L
.62836 .35112 L
.62856 .35112 L
.62875 .35112 L
.62894 .35112 L
.62914 .35112 L
.62933 .35112 L
.62952 .35112 L
.62972 .35112 L
.62991 .35112 L
.63011 .35112 L
.6303 .35112 L
.63049 .35112 L
.63069 .35111 L
.63088 .35111 L
s
.62502 .36379 m
.62521 .36379 L
.62541 .36379 L
.62561 .36379 L
.62581 .3638 L
.626 .3638 L
.6262 .3638 L
.6264 .3638 L
.62659 .3638 L
.62679 .3638 L
.62699 .3638 L
.62719 .3638 L
.62738 .3638 L
.62758 .3638 L
.62778 .3638 L
.62798 .3638 L
.62817 .3638 L
.62837 .3638 L
.62857 .3638 L
.62877 .3638 L
.62896 .3638 L
.62916 .3638 L
.62936 .3638 L
.62955 .3638 L
.62975 .3638 L
.62995 .3638 L
.63015 .3638 L
.63034 .36379 L
.63054 .36379 L
.63074 .36379 L
.63094 .36379 L
s
.62496 .37647 m
.62516 .37647 L
.62536 .37647 L
.62556 .37647 L
.62576 .37647 L
.62596 .37647 L
.62617 .37647 L
.62637 .37648 L
.62657 .37648 L
.62677 .37648 L
.62697 .37648 L
.62717 .37648 L
.62737 .37648 L
.62757 .37648 L
.62778 .37648 L
.62798 .37648 L
.62818 .37648 L
.62838 .37648 L
.62858 .37648 L
.62878 .37648 L
.62898 .37648 L
.62918 .37648 L
.62938 .37648 L
.62959 .37648 L
.62979 .37647 L
.62999 .37647 L
.63019 .37647 L
.63039 .37647 L
.63059 .37647 L
.63079 .37647 L
.63099 .37647 L
s
.6249 .38914 m
.62511 .38915 L
.62531 .38915 L
.62552 .38915 L
.62572 .38915 L
.62593 .38915 L
.62613 .38915 L
.62634 .38915 L
.62654 .38915 L
.62675 .38915 L
.62695 .38916 L
.62716 .38916 L
.62736 .38916 L
.62757 .38916 L
.62777 .38916 L
.62798 .38916 L
.62818 .38916 L
.62839 .38916 L
.62859 .38916 L
.6288 .38916 L
.629 .38916 L
.62921 .38915 L
.62941 .38915 L
.62962 .38915 L
.62982 .38915 L
.63003 .38915 L
.63023 .38915 L
.63044 .38915 L
.63064 .38915 L
.63085 .38915 L
.63105 .38914 L
s
.62485 .40182 m
.62505 .40182 L
.62526 .40182 L
.62547 .40183 L
.62568 .40183 L
.62589 .40183 L
.6261 .40183 L
.62631 .40183 L
.62652 .40183 L
.62672 .40183 L
.62693 .40183 L
.62714 .40183 L
.62735 .40183 L
.62756 .40183 L
.62777 .40183 L
.62798 .40183 L
.62819 .40183 L
.62839 .40183 L
.6286 .40183 L
.62881 .40183 L
.62902 .40183 L
.62923 .40183 L
.62944 .40183 L
.62965 .40183 L
.62985 .40183 L
.63006 .40183 L
.63027 .40183 L
.63048 .40183 L
.63069 .40182 L
.6309 .40182 L
.63111 .40182 L
s
.62479 .4145 m
.625 .4145 L
.62521 .4145 L
.62543 .4145 L
.62564 .4145 L
.62585 .41451 L
.62606 .41451 L
.62628 .41451 L
.62649 .41451 L
.6267 .41451 L
.62691 .41451 L
.62713 .41451 L
.62734 .41451 L
.62755 .41451 L
.62776 .41451 L
.62798 .41451 L
.62819 .41451 L
.6284 .41451 L
.62861 .41451 L
.62883 .41451 L
.62904 .41451 L
.62925 .41451 L
.62946 .41451 L
.62968 .41451 L
.62989 .41451 L
.6301 .41451 L
.63031 .4145 L
.63053 .4145 L
.63074 .4145 L
.63095 .4145 L
.63116 .4145 L
s
.62473 .42717 m
.62495 .42718 L
.62516 .42718 L
.62538 .42718 L
.6256 .42718 L
.62581 .42718 L
.62603 .42718 L
.62625 .42718 L
.62646 .42719 L
.62668 .42719 L
.62689 .42719 L
.62711 .42719 L
.62733 .42719 L
.62754 .42719 L
.62776 .42719 L
.62798 .42719 L
.62819 .42719 L
.62841 .42719 L
.62863 .42719 L
.62884 .42719 L
.62906 .42719 L
.62927 .42719 L
.62949 .42719 L
.62971 .42718 L
.62992 .42718 L
.63014 .42718 L
.63036 .42718 L
.63057 .42718 L
.63079 .42718 L
.63101 .42718 L
.63122 .42717 L
s
.62467 .43985 m
.62489 .43985 L
.62511 .43986 L
.62533 .43986 L
.62555 .43986 L
.62577 .43986 L
.62599 .43986 L
.62622 .43986 L
.62644 .43986 L
.62666 .43986 L
.62688 .43986 L
.6271 .43986 L
.62732 .43987 L
.62754 .43987 L
.62776 .43987 L
.62798 .43987 L
.6282 .43987 L
.62842 .43987 L
.62864 .43987 L
.62886 .43986 L
.62908 .43986 L
.6293 .43986 L
.62952 .43986 L
.62974 .43986 L
.62996 .43986 L
.63018 .43986 L
.6304 .43986 L
.63062 .43986 L
.63084 .43986 L
.63106 .43985 L
.63128 .43985 L
s
.62417 .45235 m
.62437 .45236 L
.62458 .45237 L
.62479 .45238 L
.62499 .45238 L
.6252 .45239 L
.62541 .4524 L
.62561 .45241 L
.62582 .45242 L
.62603 .45244 L
.62623 .45245 L
.62644 .45246 L
.62665 .45247 L
.62685 .45249 L
.62706 .4525 L
.62726 .45252 L
.62747 .45253 L
.62768 .45255 L
.62788 .45257 L
.62809 .45259 L
.62829 .4526 L
.6285 .45262 L
.62871 .45264 L
.62891 .45266 L
.62912 .45268 L
.62932 .45271 L
.62953 .45273 L
.62973 .45275 L
.62994 .45277 L
.63015 .4528 L
.63035 .45282 L
s
.62351 .46501 m
.6237 .46502 L
.62389 .46502 L
.62407 .46503 L
.62426 .46504 L
.62445 .46505 L
.62463 .46505 L
.62482 .46506 L
.625 .46507 L
.62519 .46508 L
.62538 .4651 L
.62556 .46511 L
.62575 .46512 L
.62593 .46513 L
.62612 .46515 L
.62631 .46516 L
.62649 .46517 L
.62668 .46519 L
.62686 .4652 L
.62705 .46522 L
.62724 .46524 L
.62742 .46525 L
.62761 .46527 L
.62779 .46529 L
.62798 .46531 L
.62816 .46533 L
.62835 .46535 L
.62853 .46537 L
.62872 .46539 L
.6289 .46541 L
.62909 .46543 L
s
.62286 .47767 m
.62303 .47767 L
.62319 .47768 L
.62336 .47769 L
.62352 .47769 L
.62369 .4777 L
.62386 .47771 L
.62402 .47772 L
.62419 .47772 L
.62435 .47773 L
.62452 .47774 L
.62469 .47775 L
.62485 .47776 L
.62502 .47778 L
.62518 .47779 L
.62535 .4778 L
.62551 .47781 L
.62568 .47783 L
.62584 .47784 L
.62601 .47785 L
.62618 .47787 L
.62634 .47788 L
.62651 .4779 L
.62667 .47792 L
.62684 .47793 L
.627 .47795 L
.62717 .47797 L
.62733 .47799 L
.6275 .47801 L
.62766 .47802 L
.62783 .47804 L
s
.62221 .49032 m
.62235 .49033 L
.6225 .49033 L
.62264 .49034 L
.62279 .49035 L
.62293 .49035 L
.62308 .49036 L
.62323 .49037 L
.62337 .49037 L
.62352 .49038 L
.62366 .49039 L
.62381 .4904 L
.62395 .49041 L
.6241 .49042 L
.62424 .49043 L
.62439 .49044 L
.62454 .49045 L
.62468 .49046 L
.62483 .49048 L
.62497 .49049 L
.62512 .4905 L
.62526 .49051 L
.62541 .49053 L
.62555 .49054 L
.6257 .49056 L
.62584 .49057 L
.62599 .49059 L
.62613 .4906 L
.62628 .49062 L
.62642 .49064 L
.62657 .49066 L
s
.62155 .50298 m
.62168 .50299 L
.6218 .50299 L
.62193 .503 L
.62205 .503 L
.62218 .50301 L
.6223 .50301 L
.62243 .50302 L
.62256 .50302 L
.62268 .50303 L
.62281 .50304 L
.62293 .50305 L
.62306 .50306 L
.62318 .50306 L
.62331 .50307 L
.62343 .50308 L
.62356 .50309 L
.62368 .5031 L
.62381 .50311 L
.62393 .50312 L
.62406 .50313 L
.62418 .50315 L
.62431 .50316 L
.62443 .50317 L
.62456 .50318 L
.62468 .5032 L
.62481 .50321 L
.62493 .50322 L
.62506 .50324 L
.62518 .50325 L
.62531 .50327 L
s
.6209 .51564 m
.621 .51564 L
.62111 .51565 L
.62121 .51565 L
.62132 .51565 L
.62142 .51566 L
.62153 .51566 L
.62163 .51567 L
.62174 .51568 L
.62184 .51568 L
.62195 .51569 L
.62205 .51569 L
.62216 .5157 L
.62226 .51571 L
.62237 .51572 L
.62247 .51572 L
.62258 .51573 L
.62268 .51574 L
.62279 .51575 L
.62289 .51576 L
.623 .51577 L
.6231 .51578 L
.62321 .51579 L
.62331 .5158 L
.62342 .51581 L
.62352 .51582 L
.62363 .51583 L
.62373 .51584 L
.62384 .51585 L
.62394 .51587 L
.62404 .51588 L
s
.62024 .5283 m
.62033 .5283 L
.62041 .5283 L
.6205 .52831 L
.62058 .52831 L
.62067 .52831 L
.62075 .52832 L
.62084 .52832 L
.62092 .52833 L
.62101 .52833 L
.62109 .52834 L
.62118 .52834 L
.62126 .52835 L
.62135 .52835 L
.62143 .52836 L
.62152 .52836 L
.6216 .52837 L
.62169 .52838 L
.62177 .52838 L
.62185 .52839 L
.62194 .5284 L
.62202 .52841 L
.62211 .52842 L
.62219 .52842 L
.62228 .52843 L
.62236 .52844 L
.62245 .52845 L
.62253 .52846 L
.62261 .52847 L
.6227 .52848 L
.62278 .52849 L
s
.61959 .54095 m
.61966 .54096 L
.61972 .54096 L
.61978 .54096 L
.61985 .54096 L
.61991 .54097 L
.61998 .54097 L
.62004 .54097 L
.62011 .54098 L
.62017 .54098 L
.62024 .54098 L
.6203 .54099 L
.62036 .54099 L
.62043 .541 L
.62049 .541 L
.62056 .541 L
.62062 .54101 L
.62069 .54102 L
.62075 .54102 L
.62082 .54103 L
.62088 .54103 L
.62094 .54104 L
.62101 .54104 L
.62107 .54105 L
.62114 .54106 L
.6212 .54106 L
.62127 .54107 L
.62133 .54108 L
.62139 .54108 L
.62146 .54109 L
.62152 .5411 L
s
.61894 .55361 m
.61898 .55361 L
.61903 .55361 L
.61907 .55362 L
.61911 .55362 L
.61916 .55362 L
.6192 .55362 L
.61925 .55362 L
.61929 .55363 L
.61934 .55363 L
.61938 .55363 L
.61942 .55363 L
.61947 .55364 L
.61951 .55364 L
.61956 .55364 L
.6196 .55365 L
.61964 .55365 L
.61969 .55365 L
.61973 .55366 L
.61978 .55366 L
.61982 .55366 L
.61986 .55367 L
.61991 .55367 L
.61995 .55368 L
.62 .55368 L
.62004 .55369 L
.62008 .55369 L
.62013 .5537 L
.62017 .5537 L
.62022 .55371 L
.62026 .55371 L
s
.61828 .56627 m
.61831 .56627 L
.61833 .56627 L
.61836 .56627 L
.61838 .56627 L
.6184 .56627 L
.61843 .56627 L
.61845 .56627 L
.61847 .56628 L
.6185 .56628 L
.61852 .56628 L
.61855 .56628 L
.61857 .56628 L
.61859 .56628 L
.61862 .56629 L
.61864 .56629 L
.61867 .56629 L
.61869 .56629 L
.61871 .56629 L
.61874 .56629 L
.61876 .5663 L
.61879 .5663 L
.61881 .5663 L
.61883 .5663 L
.61886 .56631 L
.61888 .56631 L
.6189 .56631 L
.61893 .56631 L
.61895 .56632 L
.61898 .56632 L
.619 .56632 L
s
.61763 .57893 m
.61763 .57893 L
.61764 .57893 L
.61764 .57893 L
.61764 .57893 L
.61765 .57893 L
.61765 .57893 L
.61765 .57893 L
.61766 .57893 L
.61766 .57893 L
.61767 .57893 L
.61767 .57893 L
.61767 .57893 L
.61768 .57893 L
.61768 .57893 L
.61768 .57893 L
.61769 .57893 L
.61769 .57893 L
.61769 .57893 L
.6177 .57893 L
.6177 .57893 L
.61771 .57893 L
.61771 .57893 L
.61771 .57893 L
.61772 .57893 L
.61772 .57893 L
.61772 .57893 L
.61773 .57893 L
.61773 .57893 L
.61773 .57893 L
.61774 .57893 L
s
.61668 .59158 m
.6167 .59158 L
.61671 .59158 L
.61673 .59158 L
.61674 .59158 L
.61676 .59158 L
.61677 .59158 L
.61679 .59158 L
.6168 .59158 L
.61682 .59158 L
.61683 .59158 L
.61685 .59158 L
.61686 .59158 L
.61688 .59157 L
.61689 .59157 L
.61691 .59157 L
.61692 .59157 L
.61694 .59157 L
.61695 .59157 L
.61697 .59157 L
.61698 .59157 L
.617 .59157 L
.61701 .59157 L
.61703 .59157 L
.61704 .59157 L
.61706 .59157 L
.61707 .59157 L
.61709 .59157 L
.6171 .59157 L
.61712 .59157 L
.61713 .59157 L
s
.02381 .32149 m
.03191 .32153 L
.04001 .32157 L
.04812 .32161 L
.05622 .32165 L
.06432 .32169 L
.07242 .32173 L
.08052 .32177 L
.08863 .32181 L
.09673 .32185 L
.10483 .32189 L
.11293 .32193 L
.12103 .32197 L
.12914 .32201 L
.13724 .32205 L
.14534 .32209 L
.15344 .32213 L
.16154 .32217 L
.16965 .32221 L
.17775 .32225 L
.18585 .32229 L
.19395 .32234 L
.20205 .32238 L
.21016 .32242 L
.21826 .32246 L
.22636 .3225 L
.23446 .32254 L
.24256 .32258 L
.25067 .32262 L
.25877 .32266 L
.26687 .3227 L
.27497 .32274 L
.28307 .32278 L
.29117 .32282 L
.29928 .32286 L
.30738 .3229 L
.31548 .32294 L
.32358 .32298 L
.33168 .32302 L
.33979 .32306 L
.34789 .32311 L
.35599 .32315 L
.36409 .32319 L
.37219 .32323 L
.3803 .32327 L
.3884 .32331 L
.3965 .32335 L
.4046 .32339 L
.4127 .32343 L
.42081 .32347 L
Mistroke
.42891 .32351 L
.43701 .32355 L
.44511 .32359 L
.45321 .32363 L
.46132 .32367 L
.46942 .32371 L
.47752 .32375 L
.48562 .32379 L
.49372 .32383 L
.50183 .32387 L
.50993 .32392 L
.51803 .32396 L
.52613 .324 L
.53423 .32404 L
.54234 .32408 L
.55044 .32412 L
.55854 .32416 L
.56664 .3242 L
.57474 .32424 L
.58285 .32428 L
.59095 .32432 L
.59905 .32436 L
.60715 .3244 L
.61525 .32444 L
.62336 .32448 L
.63146 .32452 L
.63956 .32456 L
.64766 .3246 L
.65576 .32464 L
.66387 .32468 L
.67197 .32473 L
.68007 .32477 L
.68817 .32481 L
.69627 .32485 L
.70438 .32489 L
.71248 .32493 L
.72058 .32497 L
.72868 .32501 L
.73678 .32505 L
.74489 .32509 L
.75299 .32513 L
.76109 .32517 L
.76919 .32521 L
.77729 .32525 L
.7854 .32529 L
.7935 .32533 L
.8016 .32537 L
.8097 .32541 L
.8178 .32545 L
.82591 .3255 L
Mistroke
.83401 .32554 L
.84211 .32558 L
.85021 .32562 L
.85831 .32566 L
.86642 .3257 L
.87452 .32574 L
.88262 .32578 L
.89072 .32582 L
.89882 .32586 L
.90693 .3259 L
.91503 .32594 L
.92313 .32598 L
.93123 .32602 L
.93933 .32606 L
.94743 .3261 L
.95088 .32045 L
.95355 .31383 L
.9519 .30721 L
.95069 .29874 L
.94259 .29869 L
.93449 .29865 L
.92639 .29861 L
.91828 .29857 L
.91018 .29853 L
.90208 .29849 L
.89398 .29845 L
.88588 .29841 L
.87777 .29837 L
.86967 .29833 L
.86157 .29829 L
.85347 .29825 L
.84537 .29821 L
.83726 .29817 L
.82916 .29813 L
.82106 .29809 L
.81296 .29805 L
.80486 .29801 L
.79675 .29797 L
.78865 .29792 L
.78055 .29788 L
.77245 .29784 L
.76435 .2978 L
.75625 .29776 L
.74814 .29772 L
.74004 .29768 L
.73194 .29764 L
.72384 .2976 L
.71574 .29756 L
.70763 .29752 L
.69953 .29748 L
Mistroke
.69143 .29744 L
.68333 .2974 L
.67523 .29736 L
.66712 .29732 L
.65902 .29728 L
.65092 .29724 L
.64282 .2972 L
.63472 .29716 L
.62661 .29711 L
.61851 .29707 L
.61041 .29703 L
.60354 .29576 L
.6035 .28766 L
.60346 .27956 L
.60342 .27145 L
.60338 .26335 L
.60334 .25525 L
.6033 .24715 L
.60326 .23905 L
.60322 .23094 L
.60318 .22284 L
.60314 .21474 L
.6031 .20664 L
.60305 .19854 L
.60301 .19043 L
.60336 .18181 L
.60444 .17377 L
.60553 .16572 L
.60662 .15768 L
.6077 .14964 L
.60879 .1416 L
.60988 .13355 L
.61096 .12551 L
.61205 .11747 L
.61314 .10943 L
.61422 .10138 L
.61531 .09334 L
.6164 .0853 L
.61748 .07726 L
.61857 .06921 L
.6194 .06115 L
.61955 .05304 L
.6197 .04492 L
.61978 .03695 L
.61954 .02898 L
.61922 .02085 L
Mfstroke
.02381 .32137 m
.03191 .32133 L
.04001 .32129 L
.04812 .32125 L
.05622 .32121 L
.06432 .32117 L
.07242 .32113 L
.08052 .32109 L
.08863 .32105 L
.09673 .32101 L
.10483 .32097 L
.11293 .32093 L
.12103 .32089 L
.12914 .32085 L
.13724 .32081 L
.14534 .32076 L
.15344 .32072 L
.16154 .32068 L
.16965 .32064 L
.17775 .3206 L
.18585 .32056 L
.19395 .32052 L
.20205 .32048 L
.21016 .32044 L
.21826 .3204 L
.22636 .32036 L
.23446 .32032 L
.24256 .32028 L
.25067 .32024 L
.25877 .3202 L
.26687 .32016 L
.27497 .32012 L
.28307 .32008 L
.29117 .32004 L
.29928 .32 L
.30738 .31995 L
.31548 .31991 L
.32358 .31987 L
.33168 .31983 L
.33979 .31979 L
.34789 .31975 L
.35599 .31971 L
.36409 .31967 L
.37219 .31963 L
.3803 .31959 L
.3884 .31955 L
.3965 .31951 L
.4046 .31947 L
.4127 .31943 L
.42081 .31939 L
Mistroke
.42891 .31935 L
.43701 .31931 L
.44511 .31927 L
.45321 .31923 L
.46132 .31918 L
.46942 .31914 L
.47752 .3191 L
.48562 .31906 L
.49372 .31902 L
.50183 .31898 L
.50993 .31894 L
.51803 .3189 L
.52613 .31886 L
.53423 .31882 L
.54234 .31878 L
.55044 .31874 L
.55854 .3187 L
.56664 .31866 L
.57474 .31862 L
.58285 .31858 L
.59095 .31854 L
.59905 .3185 L
.60715 .31846 L
.61525 .31842 L
.62336 .31837 L
.63146 .31833 L
.63956 .31829 L
.64766 .31825 L
.65576 .31821 L
.66387 .31817 L
.67197 .31813 L
.68007 .31809 L
.68817 .31805 L
.69627 .31801 L
.70438 .31797 L
.71248 .31793 L
.72058 .31789 L
.72868 .31785 L
.73678 .31781 L
.74489 .31777 L
.75299 .31773 L
.76109 .31769 L
.76919 .31765 L
.77729 .31761 L
.7854 .31756 L
.7935 .31752 L
.8016 .31748 L
.8097 .31744 L
.8178 .3174 L
.82591 .31736 L
Mistroke
.83401 .31732 L
.84211 .31728 L
.85021 .31724 L
.85831 .3172 L
.86642 .31716 L
.87452 .31712 L
.88262 .31708 L
.89072 .31704 L
.89882 .317 L
.90693 .31696 L
.91503 .31692 L
.92313 .31688 L
.93123 .31684 L
.93933 .31679 L
.94743 .31675 L
.95858 .32045 L
.96132 .31383 L
.95974 .30721 L
.95069 .30841 L
.94259 .30845 L
.93449 .30849 L
.92639 .30853 L
.91828 .30857 L
.91018 .30861 L
.90208 .30865 L
.89398 .30869 L
.88588 .30873 L
.87777 .30877 L
.86967 .30881 L
.86157 .30885 L
.85347 .30889 L
.84537 .30893 L
.83726 .30897 L
.82916 .30902 L
.82106 .30906 L
.81296 .3091 L
.80486 .30914 L
.79675 .30918 L
.78865 .30922 L
.78055 .30926 L
.77245 .3093 L
.76435 .30934 L
.75625 .30938 L
.74814 .30942 L
.74004 .30946 L
.73194 .3095 L
.72384 .30954 L
.71574 .30958 L
.70763 .30962 L
.69953 .30966 L
Mistroke
.69143 .3097 L
.68333 .30974 L
.67523 .30978 L
.66712 .30983 L
.65902 .30987 L
.65092 .30991 L
.64282 .30995 L
.63472 .30999 L
.62661 .31003 L
.61851 .31007 L
.61041 .31011 L
.6167 .29576 L
.61674 .28766 L
.61678 .27956 L
.61682 .27145 L
.61686 .26335 L
.6169 .25525 L
.61694 .24715 L
.61698 .23905 L
.61702 .23094 L
.61706 .22284 L
.6171 .21474 L
.61714 .20664 L
.61718 .19854 L
.61722 .19043 L
.61716 .18287 L
.61731 .17475 L
.61746 .16664 L
.61761 .15852 L
.61776 .15041 L
.61791 .14229 L
.61806 .13418 L
.61821 .12607 L
.61836 .11795 L
.61851 .10984 L
.61865 .10172 L
.6188 .09361 L
.61895 .08549 L
.6191 .07738 L
.61925 .06927 L
.61966 .06117 L
.62074 .05313 L
.62183 .04509 L
.62273 .0369 L
.6212 .02877 L
.61954 .02081 L
Mfstroke
0 0 0 r
.02381 .32143 m
.62798 .32143 L
s
% Start of user PostScript
0 15. 1015. 15. MAarrowhead1
% End of user PostScript
.62798 .32143 m
.91667 .32143 L
s
% Start of user PostScript
1015. 15. 1500. 15. MAarrowhead1
% End of user PostScript
.91667 .32143 m
.95433 .32143 L
s
% Start of user PostScript
1500. 15. 1563.28 15. MAarrowhead1
% End of user PostScript
.95433 .32143 m
.95798 .3125 L
s
% Start of user PostScript
1563.28 15. 1569.4 0.0000273205 MAarrowhead1
% End of user PostScript
.95798 .3125 m
.95433 .30357 L
s
% Start of user PostScript
1569.4 0.0000273205 1563.28 -15. MAarrowhead1
% End of user PostScript
.95433 .30357 m
.91667 .30357 L
s
% Start of user PostScript
1563.28 -15. 1500. -15. MAarrowhead1
% End of user PostScript
.91667 .30357 m
.61012 .30357 L
s
% Start of user PostScript
1500. -15. 985. -15. MAarrowhead1
% End of user PostScript
.61012 .30357 m
.61012 .1871 L
s
% Start of user PostScript
985. -15. 985. -210.674 MAarrowhead1
% End of user PostScript
.61012 .1871 m
.61012 .18418 L
s
% Start of user PostScript
985. -210.674 985. -215.584 MAarrowhead1
% End of user PostScript
.61012 .18418 m
.62127 .03836 L
s
% Start of user PostScript
985. -215.584 1003.74 -460.555 MAarrowhead1
% End of user PostScript
.62127 .03836 m
.62123 .03586 L
s
% Start of user PostScript
1003.74 -460.555 1003.67 -464.758 MAarrowhead1
% End of user PostScript
.62123 .03586 m
.61938 .02083 L
s
% Start of user PostScript
1003.67 -464.758 1000.55 -490. MAarrowhead1
% End of user PostScript
.61938 .02083 m
.61938 .02083 L
s
% Start of user PostScript
1000.55 -490. MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .32137 m
.02381 .32138 L
.02381 .32138 L
.02381 .32139 L
.02381 .32139 L
.02381 .32139 L
.02381 .3214 L
.02381 .3214 L
.02381 .3214 L
.02381 .32141 L
.02381 .32141 L
.02381 .32141 L
.02381 .32142 L
.02381 .32142 L
.02381 .32142 L
.02381 .32143 L
.02381 .32143 L
.02381 .32144 L
.02381 .32144 L
.02381 .32144 L
.02381 .32145 L
.02381 .32145 L
.02381 .32145 L
.02381 .32146 L
.02381 .32146 L
.02381 .32146 L
.02381 .32147 L
.02381 .32147 L
.02381 .32147 L
.02381 .32148 L
.02381 .32148 L
s
.03596 .32132 m
.03596 .32133 L
.03596 .32134 L
.03596 .32134 L
.03596 .32135 L
.03596 .32136 L
.03596 .32136 L
.03596 .32137 L
.03596 .32138 L
.03596 .32139 L
.03596 .32139 L
.03596 .3214 L
.03596 .32141 L
.03596 .32141 L
.03596 .32142 L
.03596 .32143 L
.03596 .32144 L
.03596 .32144 L
.03596 .32145 L
.03596 .32146 L
.03596 .32146 L
.03596 .32147 L
.03596 .32148 L
.03596 .32149 L
.03596 .32149 L
.03596 .3215 L
.03596 .32151 L
.03596 .32151 L
.03596 .32152 L
.03596 .32153 L
.03596 .32154 L
s
.04811 .32127 m
.04812 .32128 L
.04812 .32129 L
.04812 .3213 L
.04812 .32131 L
.04812 .32132 L
.04812 .32133 L
.04812 .32134 L
.04812 .32135 L
.04812 .32136 L
.04812 .32137 L
.04812 .32139 L
.04812 .3214 L
.04812 .32141 L
.04812 .32142 L
.04812 .32143 L
.04812 .32144 L
.04812 .32145 L
.04812 .32146 L
.04812 .32147 L
.04812 .32148 L
.04812 .32149 L
.04812 .3215 L
.04812 .32151 L
.04812 .32152 L
.04812 .32154 L
.04812 .32155 L
.04812 .32156 L
.04812 .32157 L
.04812 .32158 L
.04811 .32159 L
s
.06027 .32121 m
.06027 .32123 L
.06027 .32124 L
.06027 .32126 L
.06027 .32127 L
.06027 .32129 L
.06027 .3213 L
.06027 .32131 L
.06027 .32133 L
.06027 .32134 L
.06027 .32136 L
.06027 .32137 L
.06027 .32139 L
.06027 .3214 L
.06027 .32141 L
.06027 .32143 L
.06027 .32144 L
.06027 .32146 L
.06027 .32147 L
.06027 .32149 L
.06027 .3215 L
.06027 .32151 L
.06027 .32153 L
.06027 .32154 L
.06027 .32156 L
.06027 .32157 L
.06027 .32159 L
.06027 .3216 L
.06027 .32162 L
.06027 .32163 L
.06027 .32164 L
s
.07242 .32116 m
.07242 .32118 L
.07242 .32119 L
.07242 .32121 L
.07242 .32123 L
.07242 .32125 L
.07242 .32127 L
.07242 .32128 L
.07242 .3213 L
.07242 .32132 L
.07242 .32134 L
.07242 .32136 L
.07242 .32137 L
.07242 .32139 L
.07242 .32141 L
.07242 .32143 L
.07242 .32145 L
.07242 .32146 L
.07242 .32148 L
.07242 .3215 L
.07242 .32152 L
.07242 .32154 L
.07242 .32155 L
.07242 .32157 L
.07242 .32159 L
.07242 .32161 L
.07242 .32163 L
.07242 .32164 L
.07242 .32166 L
.07242 .32168 L
.07242 .3217 L
s
.08457 .3211 m
.08457 .32113 L
.08457 .32115 L
.08457 .32117 L
.08457 .32119 L
.08457 .32121 L
.08457 .32123 L
.08457 .32126 L
.08457 .32128 L
.08457 .3213 L
.08457 .32132 L
.08457 .32134 L
.08457 .32136 L
.08457 .32139 L
.08457 .32141 L
.08457 .32143 L
.08457 .32145 L
.08457 .32147 L
.08457 .32149 L
.08457 .32151 L
.08457 .32154 L
.08457 .32156 L
.08457 .32158 L
.08457 .3216 L
.08457 .32162 L
.08457 .32164 L
.08457 .32167 L
.08457 .32169 L
.08457 .32171 L
.08457 .32173 L
.08457 .32175 L
s
.09673 .32105 m
.09673 .32107 L
.09673 .3211 L
.09673 .32113 L
.09673 .32115 L
.09673 .32118 L
.09673 .3212 L
.09673 .32123 L
.09673 .32125 L
.09673 .32128 L
.09673 .3213 L
.09673 .32133 L
.09673 .32135 L
.09673 .32138 L
.09673 .3214 L
.09673 .32143 L
.09673 .32145 L
.09673 .32148 L
.09673 .3215 L
.09673 .32153 L
.09673 .32155 L
.09673 .32158 L
.09673 .32161 L
.09673 .32163 L
.09673 .32166 L
.09673 .32168 L
.09673 .32171 L
.09673 .32173 L
.09673 .32176 L
.09673 .32178 L
.09673 .32181 L
s
.10888 .32099 m
.10888 .32102 L
.10888 .32105 L
.10888 .32108 L
.10888 .32111 L
.10888 .32114 L
.10888 .32117 L
.10888 .3212 L
.10888 .32123 L
.10888 .32126 L
.10888 .32128 L
.10888 .32131 L
.10888 .32134 L
.10888 .32137 L
.10888 .3214 L
.10888 .32143 L
.10888 .32146 L
.10888 .32149 L
.10888 .32152 L
.10888 .32154 L
.10888 .32157 L
.10888 .3216 L
.10888 .32163 L
.10888 .32166 L
.10888 .32169 L
.10888 .32172 L
.10888 .32175 L
.10888 .32178 L
.10888 .3218 L
.10888 .32183 L
.10888 .32186 L
s
.12103 .32094 m
.12103 .32097 L
.12103 .32101 L
.12103 .32104 L
.12103 .32107 L
.12103 .3211 L
.12103 .32114 L
.12103 .32117 L
.12103 .3212 L
.12103 .32123 L
.12103 .32127 L
.12103 .3213 L
.12103 .32133 L
.12103 .32136 L
.12103 .3214 L
.12103 .32143 L
.12103 .32146 L
.12103 .32149 L
.12103 .32153 L
.12103 .32156 L
.12103 .32159 L
.12103 .32162 L
.12103 .32166 L
.12103 .32169 L
.12103 .32172 L
.12103 .32175 L
.12103 .32179 L
.12103 .32182 L
.12103 .32185 L
.12103 .32188 L
.12103 .32192 L
s
.13318 .32089 m
.13318 .32092 L
.13318 .32096 L
.13318 .32099 L
.13319 .32103 L
.13319 .32107 L
.13319 .3211 L
.13319 .32114 L
.13319 .32118 L
.13319 .32121 L
.13319 .32125 L
.13319 .32128 L
.13319 .32132 L
.13319 .32136 L
.13319 .32139 L
.13319 .32143 L
.13319 .32146 L
.13319 .3215 L
.13319 .32154 L
.13319 .32157 L
.13319 .32161 L
.13319 .32165 L
.13319 .32168 L
.13319 .32172 L
.13319 .32175 L
.13319 .32179 L
.13319 .32183 L
.13318 .32186 L
.13318 .3219 L
.13318 .32194 L
.13318 .32197 L
s
.14534 .32083 m
.14534 .32087 L
.14534 .32091 L
.14534 .32095 L
.14534 .32099 L
.14534 .32103 L
.14534 .32107 L
.14534 .32111 L
.14534 .32115 L
.14534 .32119 L
.14534 .32123 L
.14534 .32127 L
.14534 .32131 L
.14534 .32135 L
.14534 .32139 L
.14534 .32143 L
.14534 .32147 L
.14534 .32151 L
.14534 .32155 L
.14534 .32159 L
.14534 .32163 L
.14534 .32167 L
.14534 .32171 L
.14534 .32175 L
.14534 .32179 L
.14534 .32183 L
.14534 .32187 L
.14534 .32191 L
.14534 .32195 L
.14534 .32199 L
.14534 .32203 L
s
.15749 .32078 m
.15749 .32082 L
.15749 .32086 L
.15749 .32091 L
.15749 .32095 L
.15749 .32099 L
.15749 .32104 L
.15749 .32108 L
.15749 .32112 L
.15749 .32117 L
.15749 .32121 L
.15749 .32125 L
.15749 .3213 L
.15749 .32134 L
.15749 .32139 L
.15749 .32143 L
.15749 .32147 L
.15749 .32152 L
.15749 .32156 L
.15749 .3216 L
.15749 .32165 L
.15749 .32169 L
.15749 .32173 L
.15749 .32178 L
.15749 .32182 L
.15749 .32186 L
.15749 .32191 L
.15749 .32195 L
.15749 .32199 L
.15749 .32204 L
.15749 .32208 L
s
.16964 .32072 m
.16964 .32077 L
.16964 .32082 L
.16964 .32086 L
.16964 .32091 L
.16964 .32096 L
.16964 .321 L
.16964 .32105 L
.16964 .3211 L
.16964 .32115 L
.16964 .32119 L
.16965 .32124 L
.16965 .32129 L
.16965 .32133 L
.16965 .32138 L
.16965 .32143 L
.16965 .32148 L
.16965 .32152 L
.16965 .32157 L
.16965 .32162 L
.16964 .32166 L
.16964 .32171 L
.16964 .32176 L
.16964 .32181 L
.16964 .32185 L
.16964 .3219 L
.16964 .32195 L
.16964 .32199 L
.16964 .32204 L
.16964 .32209 L
.16964 .32214 L
s
.1818 .32067 m
.1818 .32072 L
.1818 .32077 L
.1818 .32082 L
.1818 .32087 L
.1818 .32092 L
.1818 .32097 L
.1818 .32102 L
.1818 .32107 L
.1818 .32112 L
.1818 .32117 L
.1818 .32123 L
.1818 .32128 L
.1818 .32133 L
.1818 .32138 L
.1818 .32143 L
.1818 .32148 L
.1818 .32153 L
.1818 .32158 L
.1818 .32163 L
.1818 .32168 L
.1818 .32173 L
.1818 .32178 L
.1818 .32183 L
.1818 .32189 L
.1818 .32194 L
.1818 .32199 L
.1818 .32204 L
.1818 .32209 L
.1818 .32214 L
.1818 .32219 L
s
.19395 .32061 m
.19395 .32067 L
.19395 .32072 L
.19395 .32078 L
.19395 .32083 L
.19395 .32088 L
.19395 .32094 L
.19395 .32099 L
.19395 .32105 L
.19395 .3211 L
.19395 .32116 L
.19395 .32121 L
.19395 .32127 L
.19395 .32132 L
.19395 .32137 L
.19395 .32143 L
.19395 .32148 L
.19395 .32154 L
.19395 .32159 L
.19395 .32165 L
.19395 .3217 L
.19395 .32175 L
.19395 .32181 L
.19395 .32186 L
.19395 .32192 L
.19395 .32197 L
.19395 .32203 L
.19395 .32208 L
.19395 .32214 L
.19395 .32219 L
.19395 .32224 L
s
.2061 .32056 m
.2061 .32062 L
.2061 .32067 L
.2061 .32073 L
.2061 .32079 L
.2061 .32085 L
.2061 .32091 L
.2061 .32096 L
.2061 .32102 L
.2061 .32108 L
.2061 .32114 L
.2061 .3212 L
.2061 .32125 L
.2061 .32131 L
.2061 .32137 L
.2061 .32143 L
.2061 .32149 L
.2061 .32154 L
.2061 .3216 L
.2061 .32166 L
.2061 .32172 L
.2061 .32178 L
.2061 .32183 L
.2061 .32189 L
.2061 .32195 L
.2061 .32201 L
.2061 .32207 L
.2061 .32213 L
.2061 .32218 L
.2061 .32224 L
.2061 .3223 L
s
.21825 .3205 m
.21825 .32056 L
.21825 .32063 L
.21825 .32069 L
.21826 .32075 L
.21826 .32081 L
.21826 .32087 L
.21826 .32093 L
.21826 .321 L
.21826 .32106 L
.21826 .32112 L
.21826 .32118 L
.21826 .32124 L
.21826 .32131 L
.21826 .32137 L
.21826 .32143 L
.21826 .32149 L
.21826 .32155 L
.21826 .32161 L
.21826 .32168 L
.21826 .32174 L
.21826 .3218 L
.21826 .32186 L
.21826 .32192 L
.21826 .32198 L
.21826 .32205 L
.21826 .32211 L
.21825 .32217 L
.21825 .32223 L
.21825 .32229 L
.21825 .32235 L
s
.23041 .32045 m
.23041 .32051 L
.23041 .32058 L
.23041 .32064 L
.23041 .32071 L
.23041 .32077 L
.23041 .32084 L
.23041 .32091 L
.23041 .32097 L
.23041 .32104 L
.23041 .3211 L
.23041 .32117 L
.23041 .32123 L
.23041 .3213 L
.23041 .32136 L
.23041 .32143 L
.23041 .32149 L
.23041 .32156 L
.23041 .32162 L
.23041 .32169 L
.23041 .32176 L
.23041 .32182 L
.23041 .32189 L
.23041 .32195 L
.23041 .32202 L
.23041 .32208 L
.23041 .32215 L
.23041 .32221 L
.23041 .32228 L
.23041 .32234 L
.23041 .32241 L
s
.24256 .32039 m
.24256 .32046 L
.24256 .32053 L
.24256 .3206 L
.24256 .32067 L
.24256 .32074 L
.24256 .32081 L
.24256 .32088 L
.24256 .32095 L
.24256 .32101 L
.24256 .32108 L
.24256 .32115 L
.24256 .32122 L
.24256 .32129 L
.24256 .32136 L
.24256 .32143 L
.24256 .3215 L
.24256 .32157 L
.24256 .32164 L
.24256 .3217 L
.24256 .32177 L
.24256 .32184 L
.24256 .32191 L
.24256 .32198 L
.24256 .32205 L
.24256 .32212 L
.24256 .32219 L
.24256 .32226 L
.24256 .32233 L
.24256 .32239 L
.24256 .32246 L
s
.25471 .32034 m
.25471 .32041 L
.25471 .32048 L
.25471 .32056 L
.25471 .32063 L
.25471 .3207 L
.25471 .32077 L
.25471 .32085 L
.25472 .32092 L
.25472 .32099 L
.25472 .32107 L
.25472 .32114 L
.25472 .32121 L
.25472 .32128 L
.25472 .32136 L
.25472 .32143 L
.25472 .3215 L
.25472 .32157 L
.25472 .32165 L
.25472 .32172 L
.25472 .32179 L
.25472 .32186 L
.25472 .32194 L
.25471 .32201 L
.25471 .32208 L
.25471 .32215 L
.25471 .32223 L
.25471 .3223 L
.25471 .32237 L
.25471 .32245 L
.25471 .32252 L
s
.26686 .32028 m
.26686 .32036 L
.26687 .32044 L
.26687 .32051 L
.26687 .32059 L
.26687 .32067 L
.26687 .32074 L
.26687 .32082 L
.26687 .32089 L
.26687 .32097 L
.26687 .32105 L
.26687 .32112 L
.26687 .3212 L
.26687 .32128 L
.26687 .32135 L
.26687 .32143 L
.26687 .3215 L
.26687 .32158 L
.26687 .32166 L
.26687 .32173 L
.26687 .32181 L
.26687 .32189 L
.26687 .32196 L
.26687 .32204 L
.26687 .32212 L
.26687 .32219 L
.26687 .32227 L
.26687 .32234 L
.26687 .32242 L
.26686 .3225 L
.26686 .32257 L
s
.27902 .32023 m
.27902 .32031 L
.27902 .32039 L
.27902 .32047 L
.27902 .32055 L
.27902 .32063 L
.27902 .32071 L
.27902 .32079 L
.27902 .32087 L
.27902 .32095 L
.27902 .32103 L
.27902 .32111 L
.27902 .32119 L
.27902 .32127 L
.27902 .32135 L
.27902 .32143 L
.27902 .32151 L
.27902 .32159 L
.27902 .32167 L
.27902 .32175 L
.27902 .32183 L
.27902 .32191 L
.27902 .32199 L
.27902 .32207 L
.27902 .32215 L
.27902 .32223 L
.27902 .32231 L
.27902 .32239 L
.27902 .32247 L
.27902 .32255 L
.27902 .32263 L
s
.29117 .32017 m
.29117 .32026 L
.29117 .32034 L
.29117 .32043 L
.29117 .32051 L
.29117 .32059 L
.29117 .32068 L
.29117 .32076 L
.29117 .32084 L
.29117 .32093 L
.29117 .32101 L
.29117 .32109 L
.29117 .32118 L
.29117 .32126 L
.29117 .32134 L
.29117 .32143 L
.29117 .32151 L
.29117 .3216 L
.29117 .32168 L
.29117 .32176 L
.29117 .32185 L
.29117 .32193 L
.29117 .32201 L
.29117 .3221 L
.29117 .32218 L
.29117 .32226 L
.29117 .32235 L
.29117 .32243 L
.29117 .32252 L
.29117 .3226 L
.29117 .32268 L
s
.30332 .32012 m
.30332 .32021 L
.30332 .32029 L
.30332 .32038 L
.30332 .32047 L
.30333 .32056 L
.30333 .32064 L
.30333 .32073 L
.30333 .32082 L
.30333 .32091 L
.30333 .32099 L
.30333 .32108 L
.30333 .32117 L
.30333 .32125 L
.30333 .32134 L
.30333 .32143 L
.30333 .32152 L
.30333 .3216 L
.30333 .32169 L
.30333 .32178 L
.30333 .32186 L
.30333 .32195 L
.30333 .32204 L
.30333 .32213 L
.30333 .32221 L
.30333 .3223 L
.30332 .32239 L
.30332 .32248 L
.30332 .32256 L
.30332 .32265 L
.30332 .32274 L
s
.31548 .32007 m
.31548 .32016 L
.31548 .32025 L
.31548 .32034 L
.31548 .32043 L
.31548 .32052 L
.31548 .32061 L
.31548 .3207 L
.31548 .32079 L
.31548 .32088 L
.31548 .32097 L
.31548 .32107 L
.31548 .32116 L
.31548 .32125 L
.31548 .32134 L
.31548 .32143 L
.31548 .32152 L
.31548 .32161 L
.31548 .3217 L
.31548 .32179 L
.31548 .32188 L
.31548 .32197 L
.31548 .32206 L
.31548 .32216 L
.31548 .32225 L
.31548 .32234 L
.31548 .32243 L
.31548 .32252 L
.31548 .32261 L
.31548 .3227 L
.31548 .32279 L
s
.32763 .32001 m
.32763 .32011 L
.32763 .3202 L
.32763 .32029 L
.32763 .32039 L
.32763 .32048 L
.32763 .32058 L
.32763 .32067 L
.32763 .32077 L
.32763 .32086 L
.32763 .32096 L
.32763 .32105 L
.32763 .32114 L
.32763 .32124 L
.32763 .32133 L
.32763 .32143 L
.32763 .32152 L
.32763 .32162 L
.32763 .32171 L
.32763 .32181 L
.32763 .3219 L
.32763 .322 L
.32763 .32209 L
.32763 .32218 L
.32763 .32228 L
.32763 .32237 L
.32763 .32247 L
.32763 .32256 L
.32763 .32266 L
.32763 .32275 L
.32763 .32285 L
s
.33978 .31996 m
.33978 .32005 L
.33978 .32015 L
.33978 .32025 L
.33978 .32035 L
.33978 .32045 L
.33978 .32055 L
.33978 .32064 L
.33979 .32074 L
.33979 .32084 L
.33979 .32094 L
.33979 .32104 L
.33979 .32113 L
.33979 .32123 L
.33979 .32133 L
.33979 .32143 L
.33979 .32153 L
.33979 .32162 L
.33979 .32172 L
.33979 .32182 L
.33979 .32192 L
.33979 .32202 L
.33979 .32212 L
.33978 .32221 L
.33978 .32231 L
.33978 .32241 L
.33978 .32251 L
.33978 .32261 L
.33978 .3227 L
.33978 .3228 L
.33978 .3229 L
s
.35193 .3199 m
.35193 .32 L
.35193 .32011 L
.35194 .32021 L
.35194 .32031 L
.35194 .32041 L
.35194 .32051 L
.35194 .32061 L
.35194 .32072 L
.35194 .32082 L
.35194 .32092 L
.35194 .32102 L
.35194 .32112 L
.35194 .32122 L
.35194 .32133 L
.35194 .32143 L
.35194 .32153 L
.35194 .32163 L
.35194 .32173 L
.35194 .32184 L
.35194 .32194 L
.35194 .32204 L
.35194 .32214 L
.35194 .32224 L
.35194 .32234 L
.35194 .32245 L
.35194 .32255 L
.35194 .32265 L
.35193 .32275 L
.35193 .32285 L
.35193 .32296 L
s
.36409 .31985 m
.36409 .31995 L
.36409 .32006 L
.36409 .32016 L
.36409 .32027 L
.36409 .32037 L
.36409 .32048 L
.36409 .32058 L
.36409 .32069 L
.36409 .3208 L
.36409 .3209 L
.36409 .32101 L
.36409 .32111 L
.36409 .32122 L
.36409 .32132 L
.36409 .32143 L
.36409 .32153 L
.36409 .32164 L
.36409 .32174 L
.36409 .32185 L
.36409 .32196 L
.36409 .32206 L
.36409 .32217 L
.36409 .32227 L
.36409 .32238 L
.36409 .32248 L
.36409 .32259 L
.36409 .32269 L
.36409 .3228 L
.36409 .3229 L
.36409 .32301 L
s
.37624 .31979 m
.37624 .3199 L
.37624 .32001 L
.37624 .32012 L
.37624 .32023 L
.37624 .32034 L
.37624 .32045 L
.37624 .32056 L
.37624 .32066 L
.37624 .32077 L
.37624 .32088 L
.37625 .32099 L
.37625 .3211 L
.37625 .32121 L
.37625 .32132 L
.37625 .32143 L
.37625 .32154 L
.37625 .32165 L
.37625 .32176 L
.37625 .32186 L
.37624 .32197 L
.37624 .32208 L
.37624 .32219 L
.37624 .3223 L
.37624 .32241 L
.37624 .32252 L
.37624 .32263 L
.37624 .32274 L
.37624 .32285 L
.37624 .32296 L
.37624 .32306 L
s
.38839 .31974 m
.38839 .31985 L
.38839 .31996 L
.38839 .32008 L
.38839 .32019 L
.3884 .3203 L
.3884 .32041 L
.3884 .32053 L
.3884 .32064 L
.3884 .32075 L
.3884 .32086 L
.3884 .32098 L
.3884 .32109 L
.3884 .3212 L
.3884 .32132 L
.3884 .32143 L
.3884 .32154 L
.3884 .32165 L
.3884 .32177 L
.3884 .32188 L
.3884 .32199 L
.3884 .3221 L
.3884 .32222 L
.3884 .32233 L
.3884 .32244 L
.3884 .32256 L
.38839 .32267 L
.38839 .32278 L
.38839 .32289 L
.38839 .32301 L
.38839 .32312 L
s
.40054 .31968 m
.40055 .3198 L
.40055 .31992 L
.40055 .32003 L
.40055 .32015 L
.40055 .32026 L
.40055 .32038 L
.40055 .3205 L
.40055 .32061 L
.40055 .32073 L
.40055 .32085 L
.40055 .32096 L
.40055 .32108 L
.40055 .3212 L
.40055 .32131 L
.40055 .32143 L
.40055 .32154 L
.40055 .32166 L
.40055 .32178 L
.40055 .32189 L
.40055 .32201 L
.40055 .32213 L
.40055 .32224 L
.40055 .32236 L
.40055 .32248 L
.40055 .32259 L
.40055 .32271 L
.40055 .32283 L
.40055 .32294 L
.40055 .32306 L
.40054 .32317 L
s
.4127 .31963 m
.4127 .31975 L
.4127 .31987 L
.4127 .31999 L
.4127 .32011 L
.4127 .32023 L
.4127 .32035 L
.4127 .32047 L
.4127 .32059 L
.4127 .32071 L
.4127 .32083 L
.4127 .32095 L
.4127 .32107 L
.4127 .32119 L
.4127 .32131 L
.4127 .32143 L
.4127 .32155 L
.4127 .32167 L
.4127 .32179 L
.4127 .32191 L
.4127 .32203 L
.4127 .32215 L
.4127 .32227 L
.4127 .32239 L
.4127 .32251 L
.4127 .32263 L
.4127 .32275 L
.4127 .32287 L
.4127 .32299 L
.4127 .32311 L
.4127 .32323 L
s
.42485 .31957 m
.42485 .3197 L
.42485 .31982 L
.42485 .31994 L
.42485 .32007 L
.42485 .32019 L
.42485 .32032 L
.42486 .32044 L
.42486 .32056 L
.42486 .32069 L
.42486 .32081 L
.42486 .32093 L
.42486 .32106 L
.42486 .32118 L
.42486 .3213 L
.42486 .32143 L
.42486 .32155 L
.42486 .32168 L
.42486 .3218 L
.42486 .32192 L
.42486 .32205 L
.42486 .32217 L
.42486 .32229 L
.42486 .32242 L
.42485 .32254 L
.42485 .32267 L
.42485 .32279 L
.42485 .32291 L
.42485 .32304 L
.42485 .32316 L
.42485 .32328 L
s
.437 .31952 m
.437 .31965 L
.437 .31977 L
.43701 .3199 L
.43701 .32003 L
.43701 .32016 L
.43701 .32028 L
.43701 .32041 L
.43701 .32054 L
.43701 .32066 L
.43701 .32079 L
.43701 .32092 L
.43701 .32105 L
.43701 .32117 L
.43701 .3213 L
.43701 .32143 L
.43701 .32156 L
.43701 .32168 L
.43701 .32181 L
.43701 .32194 L
.43701 .32207 L
.43701 .32219 L
.43701 .32232 L
.43701 .32245 L
.43701 .32257 L
.43701 .3227 L
.43701 .32283 L
.43701 .32296 L
.437 .32308 L
.437 .32321 L
.437 .32334 L
s
.44916 .31946 m
.44916 .31959 L
.44916 .31973 L
.44916 .31986 L
.44916 .31999 L
.44916 .32012 L
.44916 .32025 L
.44916 .32038 L
.44916 .32051 L
.44916 .32064 L
.44916 .32077 L
.44916 .3209 L
.44916 .32104 L
.44916 .32117 L
.44916 .3213 L
.44916 .32143 L
.44916 .32156 L
.44916 .32169 L
.44916 .32182 L
.44916 .32195 L
.44916 .32208 L
.44916 .32221 L
.44916 .32235 L
.44916 .32248 L
.44916 .32261 L
.44916 .32274 L
.44916 .32287 L
.44916 .323 L
.44916 .32313 L
.44916 .32326 L
.44916 .32339 L
s
.46131 .31941 m
.46131 .31954 L
.46131 .31968 L
.46131 .31981 L
.46131 .31995 L
.46131 .32008 L
.46131 .32022 L
.46131 .32035 L
.46131 .32049 L
.46132 .32062 L
.46132 .32076 L
.46132 .32089 L
.46132 .32102 L
.46132 .32116 L
.46132 .32129 L
.46132 .32143 L
.46132 .32156 L
.46132 .3217 L
.46132 .32183 L
.46132 .32197 L
.46132 .3221 L
.46132 .32224 L
.46131 .32237 L
.46131 .32251 L
.46131 .32264 L
.46131 .32277 L
.46131 .32291 L
.46131 .32304 L
.46131 .32318 L
.46131 .32331 L
.46131 .32345 L
s
.47346 .31935 m
.47346 .31949 L
.47346 .31963 L
.47346 .31977 L
.47346 .31991 L
.47347 .32005 L
.47347 .32018 L
.47347 .32032 L
.47347 .32046 L
.47347 .3206 L
.47347 .32074 L
.47347 .32088 L
.47347 .32101 L
.47347 .32115 L
.47347 .32129 L
.47347 .32143 L
.47347 .32157 L
.47347 .32171 L
.47347 .32184 L
.47347 .32198 L
.47347 .32212 L
.47347 .32226 L
.47347 .3224 L
.47347 .32253 L
.47347 .32267 L
.47347 .32281 L
.47346 .32295 L
.47346 .32309 L
.47346 .32323 L
.47346 .32336 L
.47346 .3235 L
s
.48561 .3193 m
.48561 .31944 L
.48562 .31958 L
.48562 .31973 L
.48562 .31987 L
.48562 .32001 L
.48562 .32015 L
.48562 .32029 L
.48562 .32044 L
.48562 .32058 L
.48562 .32072 L
.48562 .32086 L
.48562 .321 L
.48562 .32114 L
.48562 .32129 L
.48562 .32143 L
.48562 .32157 L
.48562 .32171 L
.48562 .32185 L
.48562 .322 L
.48562 .32214 L
.48562 .32228 L
.48562 .32242 L
.48562 .32256 L
.48562 .32271 L
.48562 .32285 L
.48562 .32299 L
.48562 .32313 L
.48562 .32327 L
.48561 .32342 L
.48561 .32356 L
s
.49777 .31925 m
.49777 .31939 L
.49777 .31954 L
.49777 .31968 L
.49777 .31983 L
.49777 .31997 L
.49777 .32012 L
.49777 .32026 L
.49777 .32041 L
.49777 .32056 L
.49777 .3207 L
.49777 .32085 L
.49777 .32099 L
.49778 .32114 L
.49778 .32128 L
.49778 .32143 L
.49778 .32157 L
.49778 .32172 L
.49777 .32187 L
.49777 .32201 L
.49777 .32216 L
.49777 .3223 L
.49777 .32245 L
.49777 .32259 L
.49777 .32274 L
.49777 .32288 L
.49777 .32303 L
.49777 .32318 L
.49777 .32332 L
.49777 .32347 L
.49777 .32361 L
s
.50992 .31919 m
.50992 .31934 L
.50992 .31949 L
.50992 .31964 L
.50992 .31979 L
.50992 .31994 L
.50992 .32009 L
.50993 .32023 L
.50993 .32038 L
.50993 .32053 L
.50993 .32068 L
.50993 .32083 L
.50993 .32098 L
.50993 .32113 L
.50993 .32128 L
.50993 .32143 L
.50993 .32158 L
.50993 .32173 L
.50993 .32188 L
.50993 .32203 L
.50993 .32217 L
.50993 .32232 L
.50993 .32247 L
.50993 .32262 L
.50992 .32277 L
.50992 .32292 L
.50992 .32307 L
.50992 .32322 L
.50992 .32337 L
.50992 .32352 L
.50992 .32367 L
s
.52207 .31914 m
.52207 .31929 L
.52207 .31944 L
.52207 .31959 L
.52208 .31975 L
.52208 .3199 L
.52208 .32005 L
.52208 .32021 L
.52208 .32036 L
.52208 .32051 L
.52208 .32066 L
.52208 .32082 L
.52208 .32097 L
.52208 .32112 L
.52208 .32128 L
.52208 .32143 L
.52208 .32158 L
.52208 .32173 L
.52208 .32189 L
.52208 .32204 L
.52208 .32219 L
.52208 .32235 L
.52208 .3225 L
.52208 .32265 L
.52208 .3228 L
.52208 .32296 L
.52208 .32311 L
.52207 .32326 L
.52207 .32342 L
.52207 .32357 L
.52207 .32372 L
s
.53422 .31908 m
.53423 .31924 L
.53423 .31939 L
.53423 .31955 L
.53423 .31971 L
.53423 .31986 L
.53423 .32002 L
.53423 .32018 L
.53423 .32033 L
.53423 .32049 L
.53423 .32065 L
.53423 .3208 L
.53423 .32096 L
.53423 .32112 L
.53423 .32127 L
.53423 .32143 L
.53423 .32158 L
.53423 .32174 L
.53423 .3219 L
.53423 .32205 L
.53423 .32221 L
.53423 .32237 L
.53423 .32252 L
.53423 .32268 L
.53423 .32284 L
.53423 .32299 L
.53423 .32315 L
.53423 .32331 L
.53423 .32346 L
.53423 .32362 L
.53422 .32378 L
s
.54638 .31903 m
.54638 .31919 L
.54638 .31935 L
.54638 .31951 L
.54638 .31967 L
.54638 .31983 L
.54638 .31999 L
.54638 .32015 L
.54638 .32031 L
.54639 .32047 L
.54639 .32063 L
.54639 .32079 L
.54639 .32095 L
.54639 .32111 L
.54639 .32127 L
.54639 .32143 L
.54639 .32159 L
.54639 .32175 L
.54639 .32191 L
.54639 .32207 L
.54639 .32223 L
.54639 .32239 L
.54638 .32255 L
.54638 .32271 L
.54638 .32287 L
.54638 .32303 L
.54638 .32319 L
.54638 .32335 L
.54638 .32351 L
.54638 .32367 L
.54638 .32383 L
s
.55853 .31897 m
.55853 .31914 L
.55853 .3193 L
.55853 .31946 L
.55853 .31963 L
.55854 .31979 L
.55854 .31995 L
.55854 .32012 L
.55854 .32028 L
.55854 .32045 L
.55854 .32061 L
.55854 .32077 L
.55854 .32094 L
.55854 .3211 L
.55854 .32126 L
.55854 .32143 L
.55854 .32159 L
.55854 .32176 L
.55854 .32192 L
.55854 .32208 L
.55854 .32225 L
.55854 .32241 L
.55854 .32257 L
.55854 .32274 L
.55854 .3229 L
.55854 .32307 L
.55853 .32323 L
.55853 .32339 L
.55853 .32356 L
.55853 .32372 L
.55853 .32389 L
s
.57068 .31892 m
.57068 .31908 L
.57069 .31925 L
.57069 .31942 L
.57069 .31959 L
.57069 .31975 L
.57069 .31992 L
.57069 .32009 L
.57069 .32026 L
.57069 .32042 L
.57069 .32059 L
.57069 .32076 L
.57069 .32093 L
.57069 .32109 L
.57069 .32126 L
.57069 .32143 L
.57069 .3216 L
.57069 .32176 L
.57069 .32193 L
.57069 .3221 L
.57069 .32227 L
.57069 .32243 L
.57069 .3226 L
.57069 .32277 L
.57069 .32294 L
.57069 .3231 L
.57069 .32327 L
.57069 .32344 L
.57069 .32361 L
.57068 .32377 L
.57068 .32394 L
s
.58284 .31886 m
.58284 .31903 L
.58284 .3192 L
.58284 .31938 L
.58284 .31955 L
.58284 .31972 L
.58284 .31989 L
.58284 .32006 L
.58284 .32023 L
.58284 .3204 L
.58284 .32057 L
.58285 .32074 L
.58285 .32092 L
.58285 .32109 L
.58285 .32126 L
.58285 .32143 L
.58285 .3216 L
.58285 .32177 L
.58285 .32194 L
.58285 .32211 L
.58284 .32228 L
.58284 .32245 L
.58284 .32263 L
.58284 .3228 L
.58284 .32297 L
.58284 .32314 L
.58284 .32331 L
.58284 .32348 L
.58284 .32365 L
.58284 .32382 L
.58284 .32399 L
s
.59499 .31881 m
.59499 .31898 L
.59499 .31916 L
.59499 .31933 L
.59499 .31951 L
.59499 .31968 L
.59499 .31986 L
.595 .32003 L
.595 .32021 L
.595 .32038 L
.595 .32055 L
.595 .32073 L
.595 .3209 L
.595 .32108 L
.595 .32125 L
.595 .32143 L
.595 .3216 L
.595 .32178 L
.595 .32195 L
.595 .32213 L
.595 .3223 L
.595 .32248 L
.595 .32265 L
.595 .32283 L
.59499 .323 L
.59499 .32318 L
.59499 .32335 L
.59499 .32353 L
.59499 .3237 L
.59499 .32387 L
.59499 .32405 L
s
.60714 .31875 m
.60714 .31893 L
.60714 .31911 L
.60714 .31929 L
.60715 .31947 L
.60715 .31964 L
.60715 .31982 L
.60715 .32 L
.60715 .32018 L
.60715 .32036 L
.60715 .32054 L
.60715 .32072 L
.60715 .32089 L
.60715 .32107 L
.60715 .32125 L
.60715 .32143 L
.60715 .32161 L
.60715 .32179 L
.60715 .32196 L
.60715 .32214 L
.60715 .32232 L
.60715 .3225 L
.60715 .32268 L
.60715 .32286 L
.60715 .32303 L
.60715 .32321 L
.60715 .32339 L
.60714 .32357 L
.60714 .32375 L
.60714 .32393 L
.60714 .3241 L
s
.61929 .3187 m
.61929 .31888 L
.6193 .31906 L
.6193 .31924 L
.6193 .31943 L
.6193 .31961 L
.6193 .31979 L
.6193 .31997 L
.6193 .32015 L
.6193 .32034 L
.6193 .32052 L
.6193 .3207 L
.6193 .32088 L
.6193 .32106 L
.6193 .32125 L
.6193 .32143 L
.6193 .32161 L
.6193 .32179 L
.6193 .32197 L
.6193 .32216 L
.6193 .32234 L
.6193 .32252 L
.6193 .3227 L
.6193 .32288 L
.6193 .32307 L
.6193 .32325 L
.6193 .32343 L
.6193 .32361 L
.6193 .32379 L
.61929 .32398 L
.61929 .32416 L
s
.63145 .31864 m
.63145 .31883 L
.63145 .31901 L
.63145 .3192 L
.63145 .31939 L
.63145 .31957 L
.63145 .31976 L
.63145 .31994 L
.63146 .32013 L
.63146 .32031 L
.63146 .3205 L
.63146 .32069 L
.63146 .32087 L
.63146 .32106 L
.63146 .32124 L
.63146 .32143 L
.63146 .32161 L
.63146 .3218 L
.63146 .32199 L
.63146 .32217 L
.63146 .32236 L
.63146 .32254 L
.63146 .32273 L
.63145 .32291 L
.63145 .3231 L
.63145 .32329 L
.63145 .32347 L
.63145 .32366 L
.63145 .32384 L
.63145 .32403 L
.63145 .32421 L
s
.6436 .31859 m
.6436 .31878 L
.6436 .31897 L
.6436 .31916 L
.6436 .31935 L
.64361 .31954 L
.64361 .31972 L
.64361 .31991 L
.64361 .3201 L
.64361 .32029 L
.64361 .32048 L
.64361 .32067 L
.64361 .32086 L
.64361 .32105 L
.64361 .32124 L
.64361 .32143 L
.64361 .32162 L
.64361 .32181 L
.64361 .322 L
.64361 .32219 L
.64361 .32238 L
.64361 .32256 L
.64361 .32275 L
.64361 .32294 L
.64361 .32313 L
.64361 .32332 L
.6436 .32351 L
.6436 .3237 L
.6436 .32389 L
.6436 .32408 L
.6436 .32427 L
s
.65575 .31853 m
.65575 .31873 L
.65575 .31892 L
.65576 .31911 L
.65576 .31931 L
.65576 .3195 L
.65576 .31969 L
.65576 .31988 L
.65576 .32008 L
.65576 .32027 L
.65576 .32046 L
.65576 .32066 L
.65576 .32085 L
.65576 .32104 L
.65576 .32124 L
.65576 .32143 L
.65576 .32162 L
.65576 .32181 L
.65576 .32201 L
.65576 .3222 L
.65576 .32239 L
.65576 .32259 L
.65576 .32278 L
.65576 .32297 L
.65576 .32317 L
.65576 .32336 L
.65576 .32355 L
.65576 .32374 L
.65575 .32394 L
.65575 .32413 L
.65575 .32432 L
s
.6679 .31848 m
.66791 .31868 L
.66791 .31887 L
.66791 .31907 L
.66791 .31927 L
.66791 .31946 L
.66791 .31966 L
.66791 .31986 L
.66791 .32005 L
.66791 .32025 L
.66792 .32045 L
.66792 .32064 L
.66792 .32084 L
.66792 .32104 L
.66792 .32123 L
.66792 .32143 L
.66792 .32163 L
.66792 .32182 L
.66792 .32202 L
.66792 .32221 L
.66792 .32241 L
.66791 .32261 L
.66791 .3228 L
.66791 .323 L
.66791 .3232 L
.66791 .32339 L
.66791 .32359 L
.66791 .32379 L
.66791 .32398 L
.66791 .32418 L
.6679 .32438 L
s
.68006 .31842 m
.68006 .31863 L
.68006 .31883 L
.68006 .31903 L
.68006 .31923 L
.68006 .31943 L
.68007 .31963 L
.68007 .31983 L
.68007 .32003 L
.68007 .32023 L
.68007 .32043 L
.68007 .32063 L
.68007 .32083 L
.68007 .32103 L
.68007 .32123 L
.68007 .32143 L
.68007 .32163 L
.68007 .32183 L
.68007 .32203 L
.68007 .32223 L
.68007 .32243 L
.68007 .32263 L
.68007 .32283 L
.68007 .32303 L
.68007 .32323 L
.68006 .32343 L
.68006 .32363 L
.68006 .32383 L
.68006 .32403 L
.68006 .32423 L
.68006 .32443 L
s
.69221 .31837 m
.69221 .31857 L
.69221 .31878 L
.69221 .31898 L
.69222 .31919 L
.69222 .31939 L
.69222 .31959 L
.69222 .3198 L
.69222 .32 L
.69222 .32021 L
.69222 .32041 L
.69222 .32061 L
.69222 .32082 L
.69222 .32102 L
.69222 .32122 L
.69222 .32143 L
.69222 .32163 L
.69222 .32184 L
.69222 .32204 L
.69222 .32224 L
.69222 .32245 L
.69222 .32265 L
.69222 .32286 L
.69222 .32306 L
.69222 .32326 L
.69222 .32347 L
.69222 .32367 L
.69221 .32388 L
.69221 .32408 L
.69221 .32428 L
.69221 .32449 L
s
.70436 .31832 m
.70436 .31852 L
.70437 .31873 L
.70437 .31894 L
.70437 .31915 L
.70437 .31935 L
.70437 .31956 L
.70437 .31977 L
.70437 .31998 L
.70437 .32018 L
.70437 .32039 L
.70437 .3206 L
.70438 .32081 L
.70438 .32101 L
.70438 .32122 L
.70438 .32143 L
.70438 .32164 L
.70438 .32184 L
.70438 .32205 L
.70437 .32226 L
.70437 .32247 L
.70437 .32267 L
.70437 .32288 L
.70437 .32309 L
.70437 .3233 L
.70437 .3235 L
.70437 .32371 L
.70437 .32392 L
.70437 .32413 L
.70436 .32433 L
.70436 .32454 L
s
.71652 .31826 m
.71652 .31847 L
.71652 .31868 L
.71652 .31889 L
.71652 .31911 L
.71652 .31932 L
.71652 .31953 L
.71652 .31974 L
.71653 .31995 L
.71653 .32016 L
.71653 .32037 L
.71653 .32058 L
.71653 .32079 L
.71653 .32101 L
.71653 .32122 L
.71653 .32143 L
.71653 .32164 L
.71653 .32185 L
.71653 .32206 L
.71653 .32227 L
.71653 .32248 L
.71653 .3227 L
.71653 .32291 L
.71652 .32312 L
.71652 .32333 L
.71652 .32354 L
.71652 .32375 L
.71652 .32396 L
.71652 .32417 L
.71652 .32439 L
.71652 .3246 L
s
.72867 .31821 m
.72867 .31842 L
.72867 .31864 L
.72867 .31885 L
.72867 .31907 L
.72868 .31928 L
.72868 .3195 L
.72868 .31971 L
.72868 .31992 L
.72868 .32014 L
.72868 .32035 L
.72868 .32057 L
.72868 .32078 L
.72868 .321 L
.72868 .32121 L
.72868 .32143 L
.72868 .32164 L
.72868 .32186 L
.72868 .32207 L
.72868 .32229 L
.72868 .3225 L
.72868 .32272 L
.72868 .32293 L
.72868 .32315 L
.72868 .32336 L
.72868 .32358 L
.72867 .32379 L
.72867 .32401 L
.72867 .32422 L
.72867 .32444 L
.72867 .32465 L
s
.74082 .31815 m
.74082 .31837 L
.74082 .31859 L
.74083 .31881 L
.74083 .31903 L
.74083 .31924 L
.74083 .31946 L
.74083 .31968 L
.74083 .3199 L
.74083 .32012 L
.74083 .32034 L
.74083 .32055 L
.74083 .32077 L
.74083 .32099 L
.74083 .32121 L
.74083 .32143 L
.74083 .32165 L
.74083 .32187 L
.74083 .32208 L
.74083 .3223 L
.74083 .32252 L
.74083 .32274 L
.74083 .32296 L
.74083 .32318 L
.74083 .32339 L
.74083 .32361 L
.74083 .32383 L
.74083 .32405 L
.74082 .32427 L
.74082 .32449 L
.74082 .32471 L
s
.75297 .3181 m
.75298 .31832 L
.75298 .31854 L
.75298 .31876 L
.75298 .31899 L
.75298 .31921 L
.75298 .31943 L
.75298 .31965 L
.75298 .31987 L
.75299 .3201 L
.75299 .32032 L
.75299 .32054 L
.75299 .32076 L
.75299 .32098 L
.75299 .32121 L
.75299 .32143 L
.75299 .32165 L
.75299 .32187 L
.75299 .32209 L
.75299 .32232 L
.75299 .32254 L
.75299 .32276 L
.75298 .32298 L
.75298 .32321 L
.75298 .32343 L
.75298 .32365 L
.75298 .32387 L
.75298 .32409 L
.75298 .32432 L
.75298 .32454 L
.75297 .32476 L
s
.76513 .31804 m
.76513 .31827 L
.76513 .31849 L
.76513 .31872 L
.76513 .31895 L
.76513 .31917 L
.76514 .3194 L
.76514 .31962 L
.76514 .31985 L
.76514 .32007 L
.76514 .3203 L
.76514 .32053 L
.76514 .32075 L
.76514 .32098 L
.76514 .3212 L
.76514 .32143 L
.76514 .32165 L
.76514 .32188 L
.76514 .32211 L
.76514 .32233 L
.76514 .32256 L
.76514 .32278 L
.76514 .32301 L
.76514 .32323 L
.76514 .32346 L
.76513 .32369 L
.76513 .32391 L
.76513 .32414 L
.76513 .32436 L
.76513 .32459 L
.76513 .32481 L
s
.77728 .31799 m
.77728 .31822 L
.77728 .31845 L
.77728 .31868 L
.77729 .31891 L
.77729 .31913 L
.77729 .31936 L
.77729 .31959 L
.77729 .31982 L
.77729 .32005 L
.77729 .32028 L
.77729 .32051 L
.77729 .32074 L
.77729 .32097 L
.77729 .3212 L
.77729 .32143 L
.77729 .32166 L
.77729 .32189 L
.77729 .32212 L
.77729 .32235 L
.77729 .32258 L
.77729 .3228 L
.77729 .32303 L
.77729 .32326 L
.77729 .32349 L
.77729 .32372 L
.77729 .32395 L
.77728 .32418 L
.77728 .32441 L
.77728 .32464 L
.77728 .32487 L
s
.78943 .31793 m
.78943 .31817 L
.78944 .3184 L
.78944 .31863 L
.78944 .31886 L
.78944 .3191 L
.78944 .31933 L
.78944 .31956 L
.78944 .3198 L
.78944 .32003 L
.78944 .32026 L
.78945 .3205 L
.78945 .32073 L
.78945 .32096 L
.78945 .3212 L
.78945 .32143 L
.78945 .32166 L
.78945 .32189 L
.78945 .32213 L
.78945 .32236 L
.78944 .32259 L
.78944 .32283 L
.78944 .32306 L
.78944 .32329 L
.78944 .32353 L
.78944 .32376 L
.78944 .32399 L
.78944 .32423 L
.78944 .32446 L
.78943 .32469 L
.78943 .32492 L
s
.80158 .31788 m
.80159 .31811 L
.80159 .31835 L
.80159 .31859 L
.80159 .31882 L
.80159 .31906 L
.80159 .3193 L
.8016 .31953 L
.8016 .31977 L
.8016 .32001 L
.8016 .32024 L
.8016 .32048 L
.8016 .32072 L
.8016 .32096 L
.8016 .32119 L
.8016 .32143 L
.8016 .32167 L
.8016 .3219 L
.8016 .32214 L
.8016 .32238 L
.8016 .32261 L
.8016 .32285 L
.8016 .32309 L
.8016 .32332 L
.80159 .32356 L
.80159 .3238 L
.80159 .32403 L
.80159 .32427 L
.80159 .32451 L
.80159 .32474 L
.80158 .32498 L
s
.81374 .31782 m
.81374 .31806 L
.81374 .3183 L
.81374 .31854 L
.81374 .31878 L
.81375 .31903 L
.81375 .31927 L
.81375 .31951 L
.81375 .31975 L
.81375 .31999 L
.81375 .32023 L
.81375 .32047 L
.81375 .32071 L
.81375 .32095 L
.81375 .32119 L
.81375 .32143 L
.81375 .32167 L
.81375 .32191 L
.81375 .32215 L
.81375 .32239 L
.81375 .32263 L
.81375 .32287 L
.81375 .32311 L
.81375 .32335 L
.81375 .32359 L
.81375 .32383 L
.81374 .32407 L
.81374 .32431 L
.81374 .32455 L
.81374 .32479 L
.81374 .32503 L
s
.82589 .31777 m
.82589 .31801 L
.82589 .31826 L
.8259 .3185 L
.8259 .31874 L
.8259 .31899 L
.8259 .31923 L
.8259 .31948 L
.8259 .31972 L
.8259 .31996 L
.8259 .32021 L
.8259 .32045 L
.8259 .3207 L
.8259 .32094 L
.82591 .32118 L
.82591 .32143 L
.82591 .32167 L
.8259 .32192 L
.8259 .32216 L
.8259 .3224 L
.8259 .32265 L
.8259 .32289 L
.8259 .32314 L
.8259 .32338 L
.8259 .32362 L
.8259 .32387 L
.8259 .32411 L
.8259 .32436 L
.82589 .3246 L
.82589 .32484 L
.82589 .32509 L
s
.83804 .31771 m
.83804 .31796 L
.83805 .31821 L
.83805 .31846 L
.83805 .3187 L
.83805 .31895 L
.83805 .3192 L
.83805 .31945 L
.83805 .3197 L
.83806 .31994 L
.83806 .32019 L
.83806 .32044 L
.83806 .32069 L
.83806 .32093 L
.83806 .32118 L
.83806 .32143 L
.83806 .32168 L
.83806 .32192 L
.83806 .32217 L
.83806 .32242 L
.83806 .32267 L
.83806 .32291 L
.83805 .32316 L
.83805 .32341 L
.83805 .32366 L
.83805 .3239 L
.83805 .32415 L
.83805 .3244 L
.83805 .32465 L
.83804 .3249 L
.83804 .32514 L
s
.8502 .31766 m
.8502 .31791 L
.8502 .31816 L
.8502 .31841 L
.8502 .31866 L
.8502 .31892 L
.85021 .31917 L
.85021 .31942 L
.85021 .31967 L
.85021 .31992 L
.85021 .32017 L
.85021 .32042 L
.85021 .32067 L
.85021 .32093 L
.85021 .32118 L
.85021 .32143 L
.85021 .32168 L
.85021 .32193 L
.85021 .32218 L
.85021 .32243 L
.85021 .32268 L
.85021 .32294 L
.85021 .32319 L
.85021 .32344 L
.85021 .32369 L
.8502 .32394 L
.8502 .32419 L
.8502 .32444 L
.8502 .3247 L
.8502 .32495 L
.8502 .3252 L
s
.86235 .3176 m
.86235 .31786 L
.86235 .31811 L
.86235 .31837 L
.86236 .31862 L
.86236 .31888 L
.86236 .31913 L
.86236 .31939 L
.86236 .31964 L
.86236 .3199 L
.86236 .32015 L
.86236 .32041 L
.86236 .32066 L
.86236 .32092 L
.86236 .32117 L
.86236 .32143 L
.86236 .32168 L
.86236 .32194 L
.86236 .32219 L
.86236 .32245 L
.86236 .3227 L
.86236 .32296 L
.86236 .32321 L
.86236 .32347 L
.86236 .32372 L
.86236 .32398 L
.86236 .32423 L
.86235 .32449 L
.86235 .32474 L
.86235 .325 L
.86235 .32525 L
s
.8745 .31755 m
.8745 .31781 L
.8745 .31807 L
.87451 .31833 L
.87451 .31858 L
.87451 .31884 L
.87451 .3191 L
.87451 .31936 L
.87451 .31962 L
.87451 .31988 L
.87452 .32014 L
.87452 .32039 L
.87452 .32065 L
.87452 .32091 L
.87452 .32117 L
.87452 .32143 L
.87452 .32169 L
.87452 .32195 L
.87452 .3222 L
.87452 .32246 L
.87452 .32272 L
.87451 .32298 L
.87451 .32324 L
.87451 .3235 L
.87451 .32376 L
.87451 .32401 L
.87451 .32427 L
.87451 .32453 L
.8745 .32479 L
.8745 .32505 L
.8745 .32531 L
s
.88665 .3175 m
.88666 .31776 L
.88666 .31802 L
.88666 .31828 L
.88666 .31854 L
.88666 .31881 L
.88666 .31907 L
.88667 .31933 L
.88667 .31959 L
.88667 .31986 L
.88667 .32012 L
.88667 .32038 L
.88667 .32064 L
.88667 .3209 L
.88667 .32117 L
.88667 .32143 L
.88667 .32169 L
.88667 .32195 L
.88667 .32222 L
.88667 .32248 L
.88667 .32274 L
.88667 .323 L
.88667 .32326 L
.88667 .32353 L
.88666 .32379 L
.88666 .32405 L
.88666 .32431 L
.88666 .32458 L
.88666 .32484 L
.88666 .3251 L
.88665 .32536 L
s
.89881 .31744 m
.89881 .31771 L
.89881 .31797 L
.89881 .31824 L
.89881 .3185 L
.89882 .31877 L
.89882 .31904 L
.89882 .3193 L
.89882 .31957 L
.89882 .31983 L
.89882 .3201 L
.89882 .32037 L
.89882 .32063 L
.89882 .3209 L
.89882 .32116 L
.89882 .32143 L
.89882 .32169 L
.89882 .32196 L
.89882 .32223 L
.89882 .32249 L
.89882 .32276 L
.89882 .32302 L
.89882 .32329 L
.89882 .32356 L
.89882 .32382 L
.89882 .32409 L
.89881 .32435 L
.89881 .32462 L
.89881 .32488 L
.89881 .32515 L
.89881 .32542 L
s
.91096 .31739 m
.91096 .31766 L
.91096 .31792 L
.91097 .31819 L
.91097 .31846 L
.91097 .31873 L
.91097 .319 L
.91097 .31927 L
.91097 .31954 L
.91097 .31981 L
.91097 .32008 L
.91097 .32035 L
.91098 .32062 L
.91098 .32089 L
.91098 .32116 L
.91098 .32143 L
.91098 .3217 L
.91098 .32197 L
.91098 .32224 L
.91097 .32251 L
.91097 .32278 L
.91097 .32305 L
.91097 .32332 L
.91097 .32358 L
.91097 .32385 L
.91097 .32412 L
.91097 .32439 L
.91097 .32466 L
.91096 .32493 L
.91096 .3252 L
.91096 .32547 L
s
.92311 .31733 m
.92311 .3176 L
.92312 .31788 L
.92312 .31815 L
.92312 .31842 L
.92312 .3187 L
.92312 .31897 L
.92312 .31924 L
.92313 .31952 L
.92313 .31979 L
.92313 .32006 L
.92313 .32034 L
.92313 .32061 L
.92313 .32088 L
.92313 .32116 L
.92313 .32143 L
.92313 .3217 L
.92313 .32197 L
.92313 .32225 L
.92313 .32252 L
.92313 .32279 L
.92313 .32307 L
.92313 .32334 L
.92312 .32361 L
.92312 .32389 L
.92312 .32416 L
.92312 .32443 L
.92312 .32471 L
.92312 .32498 L
.92311 .32525 L
.92311 .32553 L
s
.93526 .31728 m
.93527 .31755 L
.93527 .31783 L
.93527 .31811 L
.93527 .31838 L
.93527 .31866 L
.93528 .31894 L
.93528 .31921 L
.93528 .31949 L
.93528 .31977 L
.93528 .32004 L
.93528 .32032 L
.93528 .3206 L
.93528 .32087 L
.93528 .32115 L
.93528 .32143 L
.93528 .32171 L
.93528 .32198 L
.93528 .32226 L
.93528 .32254 L
.93528 .32281 L
.93528 .32309 L
.93528 .32337 L
.93528 .32364 L
.93528 .32392 L
.93527 .3242 L
.93527 .32447 L
.93527 .32475 L
.93527 .32503 L
.93527 .3253 L
.93526 .32558 L
s
.94742 .31722 m
.94742 .3175 L
.94742 .31778 L
.94742 .31806 L
.94743 .31834 L
.94743 .31862 L
.94743 .3189 L
.94743 .31918 L
.94743 .31947 L
.94743 .31975 L
.94743 .32003 L
.94743 .32031 L
.94743 .32059 L
.94743 .32087 L
.94743 .32115 L
.94743 .32143 L
.94743 .32171 L
.94743 .32199 L
.94743 .32227 L
.94743 .32255 L
.94743 .32283 L
.94743 .32311 L
.94743 .32339 L
.94743 .32367 L
.94743 .32395 L
.94743 .32423 L
.94743 .32451 L
.94742 .32479 L
.94742 .32507 L
.94742 .32535 L
.94742 .32564 L
s
.95956 .31715 m
.95933 .31715 L
.9591 .31715 L
.95886 .31715 L
.95863 .31715 L
.9584 .31714 L
.95817 .31714 L
.95794 .31714 L
.95771 .31714 L
.95748 .31714 L
.95724 .31714 L
.95701 .31714 L
.95678 .31714 L
.95655 .31714 L
.95632 .31714 L
.95608 .31714 L
.95585 .31714 L
.95562 .31714 L
.95539 .31714 L
.95516 .31714 L
.95492 .31714 L
.95469 .31714 L
.95446 .31714 L
.95423 .31714 L
.95399 .31714 L
.95376 .31714 L
.95353 .31715 L
.9533 .31715 L
.95306 .31715 L
.95283 .31715 L
.9526 .31715 L
s
.95935 .30723 m
.95911 .30723 L
.95888 .30723 L
.95864 .30722 L
.95841 .30722 L
.95817 .30722 L
.95794 .30722 L
.9577 .30722 L
.95747 .30722 L
.95723 .30722 L
.957 .30722 L
.95676 .30722 L
.95652 .30722 L
.95629 .30721 L
.95605 .30721 L
.95582 .30721 L
.95558 .30721 L
.95535 .30721 L
.95512 .30722 L
.95488 .30722 L
.95465 .30722 L
.95441 .30722 L
.95418 .30722 L
.95394 .30722 L
.95371 .30722 L
.95347 .30722 L
.95324 .30722 L
.953 .30722 L
.95277 .30723 L
.95254 .30723 L
.9523 .30723 L
s
.94666 .30794 m
.94666 .30765 L
.94666 .30736 L
.94665 .30707 L
.94665 .30678 L
.94665 .30649 L
.94665 .30619 L
.94665 .3059 L
.94665 .30561 L
.94664 .30532 L
.94664 .30503 L
.94664 .30474 L
.94664 .30445 L
.94664 .30415 L
.94664 .30386 L
.94664 .30357 L
.94664 .30328 L
.94664 .30299 L
.94664 .3027 L
.94664 .30241 L
.94664 .30211 L
.94664 .30182 L
.94665 .30153 L
.94665 .30124 L
.94665 .30095 L
.94665 .30066 L
.94665 .30037 L
.94665 .30007 L
.94666 .29978 L
.94666 .29949 L
.94666 .2992 L
s
.93451 .308 m
.9345 .3077 L
.9345 .30741 L
.9345 .30711 L
.9345 .30682 L
.9345 .30652 L
.9345 .30623 L
.93449 .30593 L
.93449 .30564 L
.93449 .30534 L
.93449 .30505 L
.93449 .30475 L
.93449 .30446 L
.93449 .30416 L
.93449 .30387 L
.93449 .30357 L
.93449 .30328 L
.93449 .30298 L
.93449 .30269 L
.93449 .30239 L
.93449 .3021 L
.93449 .3018 L
.93449 .30151 L
.93449 .30121 L
.9345 .30092 L
.9345 .30062 L
.9345 .30033 L
.9345 .30003 L
.9345 .29974 L
.9345 .29944 L
.93451 .29915 L
s
.92235 .30805 m
.92235 .30775 L
.92235 .30745 L
.92235 .30716 L
.92235 .30686 L
.92234 .30656 L
.92234 .30626 L
.92234 .30596 L
.92234 .30566 L
.92234 .30536 L
.92234 .30506 L
.92234 .30477 L
.92234 .30447 L
.92234 .30417 L
.92234 .30387 L
.92234 .30357 L
.92234 .30327 L
.92234 .30297 L
.92234 .30268 L
.92234 .30238 L
.92234 .30208 L
.92234 .30178 L
.92234 .30148 L
.92234 .30118 L
.92234 .30088 L
.92234 .30058 L
.92235 .30029 L
.92235 .29999 L
.92235 .29969 L
.92235 .29939 L
.92235 .29909 L
s
.9102 .30811 m
.9102 .3078 L
.9102 .3075 L
.91019 .3072 L
.91019 .3069 L
.91019 .30659 L
.91019 .30629 L
.91019 .30599 L
.91019 .30569 L
.91019 .30539 L
.91018 .30508 L
.91018 .30478 L
.91018 .30448 L
.91018 .30418 L
.91018 .30387 L
.91018 .30357 L
.91018 .30327 L
.91018 .30297 L
.91018 .30266 L
.91018 .30236 L
.91018 .30206 L
.91019 .30176 L
.91019 .30146 L
.91019 .30115 L
.91019 .30085 L
.91019 .30055 L
.91019 .30025 L
.91019 .29994 L
.9102 .29964 L
.9102 .29934 L
.9102 .29904 L
s
.89805 .30816 m
.89805 .30785 L
.89804 .30755 L
.89804 .30724 L
.89804 .30694 L
.89804 .30663 L
.89804 .30633 L
.89804 .30602 L
.89803 .30571 L
.89803 .30541 L
.89803 .3051 L
.89803 .3048 L
.89803 .30449 L
.89803 .30418 L
.89803 .30388 L
.89803 .30357 L
.89803 .30327 L
.89803 .30296 L
.89803 .30265 L
.89803 .30235 L
.89803 .30204 L
.89803 .30174 L
.89803 .30143 L
.89804 .30112 L
.89804 .30082 L
.89804 .30051 L
.89804 .30021 L
.89804 .2999 L
.89804 .29959 L
.89805 .29929 L
.89805 .29898 L
s
.8859 .30822 m
.88589 .30791 L
.88589 .3076 L
.88589 .30729 L
.88589 .30698 L
.88589 .30667 L
.88588 .30636 L
.88588 .30605 L
.88588 .30574 L
.88588 .30543 L
.88588 .30512 L
.88588 .30481 L
.88588 .3045 L
.88588 .30419 L
.88588 .30388 L
.88588 .30357 L
.88588 .30326 L
.88588 .30295 L
.88588 .30264 L
.88588 .30233 L
.88588 .30202 L
.88588 .30171 L
.88588 .3014 L
.88588 .30109 L
.88588 .30078 L
.88589 .30048 L
.88589 .30017 L
.88589 .29986 L
.88589 .29955 L
.88589 .29924 L
.8859 .29893 L
s
.87374 .30827 m
.87374 .30796 L
.87374 .30764 L
.87374 .30733 L
.87373 .30702 L
.87373 .3067 L
.87373 .30639 L
.87373 .30608 L
.87373 .30576 L
.87373 .30545 L
.87373 .30514 L
.87373 .30482 L
.87372 .30451 L
.87372 .3042 L
.87372 .30388 L
.87372 .30357 L
.87372 .30326 L
.87372 .30294 L
.87372 .30263 L
.87373 .30232 L
.87373 .30201 L
.87373 .30169 L
.87373 .30138 L
.87373 .30107 L
.87373 .30075 L
.87373 .30044 L
.87373 .30013 L
.87374 .29981 L
.87374 .2995 L
.87374 .29919 L
.87374 .29887 L
s
.86159 .30833 m
.86159 .30801 L
.86159 .30769 L
.86158 .30737 L
.86158 .30706 L
.86158 .30674 L
.86158 .30642 L
.86158 .30611 L
.86158 .30579 L
.86157 .30547 L
.86157 .30516 L
.86157 .30484 L
.86157 .30452 L
.86157 .30421 L
.86157 .30389 L
.86157 .30357 L
.86157 .30325 L
.86157 .30294 L
.86157 .30262 L
.86157 .3023 L
.86157 .30199 L
.86157 .30167 L
.86158 .30135 L
.86158 .30104 L
.86158 .30072 L
.86158 .3004 L
.86158 .30009 L
.86158 .29977 L
.86159 .29945 L
.86159 .29913 L
.86159 .29882 L
s
.84944 .30838 m
.84944 .30806 L
.84943 .30774 L
.84943 .30742 L
.84943 .3071 L
.84943 .30678 L
.84943 .30646 L
.84942 .30614 L
.84942 .30582 L
.84942 .30549 L
.84942 .30517 L
.84942 .30485 L
.84942 .30453 L
.84942 .30421 L
.84942 .30389 L
.84942 .30357 L
.84942 .30325 L
.84942 .30293 L
.84942 .30261 L
.84942 .30229 L
.84942 .30197 L
.84942 .30165 L
.84942 .30133 L
.84942 .30101 L
.84943 .30069 L
.84943 .30037 L
.84943 .30005 L
.84943 .29972 L
.84943 .2994 L
.84944 .29908 L
.84944 .29876 L
s
.83729 .30843 m
.83728 .30811 L
.83728 .30779 L
.83728 .30746 L
.83728 .30714 L
.83727 .30681 L
.83727 .30649 L
.83727 .30616 L
.83727 .30584 L
.83727 .30552 L
.83727 .30519 L
.83727 .30487 L
.83727 .30454 L
.83727 .30422 L
.83726 .3039 L
.83726 .30357 L
.83726 .30325 L
.83727 .30292 L
.83727 .3026 L
.83727 .30227 L
.83727 .30195 L
.83727 .30163 L
.83727 .3013 L
.83727 .30098 L
.83727 .30065 L
.83727 .30033 L
.83728 .30001 L
.83728 .29968 L
.83728 .29936 L
.83728 .29903 L
.83729 .29871 L
s
.82513 .30849 m
.82513 .30816 L
.82513 .30783 L
.82513 .30751 L
.82512 .30718 L
.82512 .30685 L
.82512 .30652 L
.82512 .30619 L
.82512 .30587 L
.82512 .30554 L
.82511 .30521 L
.82511 .30488 L
.82511 .30455 L
.82511 .30423 L
.82511 .3039 L
.82511 .30357 L
.82511 .30324 L
.82511 .30292 L
.82511 .30259 L
.82511 .30226 L
.82511 .30193 L
.82512 .3016 L
.82512 .30128 L
.82512 .30095 L
.82512 .30062 L
.82512 .30029 L
.82512 .29997 L
.82513 .29964 L
.82513 .29931 L
.82513 .29898 L
.82513 .29865 L
s
.81298 .30854 m
.81298 .30821 L
.81297 .30788 L
.81297 .30755 L
.81297 .30722 L
.81297 .30689 L
.81297 .30655 L
.81296 .30622 L
.81296 .30589 L
.81296 .30556 L
.81296 .30523 L
.81296 .3049 L
.81296 .30457 L
.81296 .30423 L
.81296 .3039 L
.81296 .30357 L
.81296 .30324 L
.81296 .30291 L
.81296 .30258 L
.81296 .30225 L
.81296 .30191 L
.81296 .30158 L
.81296 .30125 L
.81296 .30092 L
.81297 .30059 L
.81297 .30026 L
.81297 .29992 L
.81297 .29959 L
.81297 .29926 L
.81298 .29893 L
.81298 .2986 L
s
.80083 .3086 m
.80082 .30826 L
.80082 .30793 L
.80082 .30759 L
.80082 .30726 L
.80082 .30692 L
.80081 .30659 L
.80081 .30625 L
.80081 .30592 L
.80081 .30558 L
.80081 .30525 L
.80081 .30491 L
.80081 .30458 L
.80081 .30424 L
.80081 .30391 L
.80081 .30357 L
.80081 .30324 L
.80081 .3029 L
.80081 .30257 L
.80081 .30223 L
.80081 .3019 L
.80081 .30156 L
.80081 .30123 L
.80081 .30089 L
.80081 .30056 L
.80082 .30022 L
.80082 .29988 L
.80082 .29955 L
.80082 .29921 L
.80082 .29888 L
.80083 .29854 L
s
.78867 .30865 m
.78867 .30831 L
.78867 .30798 L
.78867 .30764 L
.78866 .3073 L
.78866 .30696 L
.78866 .30662 L
.78866 .30628 L
.78866 .30594 L
.78866 .3056 L
.78866 .30527 L
.78865 .30493 L
.78865 .30459 L
.78865 .30425 L
.78865 .30391 L
.78865 .30357 L
.78865 .30323 L
.78865 .30289 L
.78865 .30256 L
.78865 .30222 L
.78866 .30188 L
.78866 .30154 L
.78866 .3012 L
.78866 .30086 L
.78866 .30052 L
.78866 .30018 L
.78866 .29984 L
.78867 .29951 L
.78867 .29917 L
.78867 .29883 L
.78867 .29849 L
s
.77652 .30871 m
.77652 .30837 L
.77652 .30802 L
.77651 .30768 L
.77651 .30734 L
.77651 .307 L
.77651 .30665 L
.77651 .30631 L
.7765 .30597 L
.7765 .30563 L
.7765 .30528 L
.7765 .30494 L
.7765 .3046 L
.7765 .30426 L
.7765 .30391 L
.7765 .30357 L
.7765 .30323 L
.7765 .30289 L
.7765 .30254 L
.7765 .3022 L
.7765 .30186 L
.7765 .30152 L
.7765 .30117 L
.77651 .30083 L
.77651 .30049 L
.77651 .30015 L
.77651 .2998 L
.77651 .29946 L
.77652 .29912 L
.77652 .29878 L
.77652 .29843 L
s
.76437 .30876 m
.76437 .30842 L
.76436 .30807 L
.76436 .30772 L
.76436 .30738 L
.76436 .30703 L
.76435 .30669 L
.76435 .30634 L
.76435 .30599 L
.76435 .30565 L
.76435 .3053 L
.76435 .30496 L
.76435 .30461 L
.76435 .30426 L
.76435 .30392 L
.76435 .30357 L
.76435 .30323 L
.76435 .30288 L
.76435 .30253 L
.76435 .30219 L
.76435 .30184 L
.76435 .30149 L
.76435 .30115 L
.76435 .3008 L
.76435 .30046 L
.76436 .30011 L
.76436 .29976 L
.76436 .29942 L
.76436 .29907 L
.76437 .29873 L
.76437 .29838 L
s
.75222 .30882 m
.75221 .30847 L
.75221 .30812 L
.75221 .30777 L
.75221 .30742 L
.7522 .30707 L
.7522 .30672 L
.7522 .30637 L
.7522 .30602 L
.7522 .30567 L
.7522 .30532 L
.7522 .30497 L
.7522 .30462 L
.75219 .30427 L
.75219 .30392 L
.75219 .30357 L
.75219 .30322 L
.75219 .30287 L
.7522 .30252 L
.7522 .30217 L
.7522 .30182 L
.7522 .30147 L
.7522 .30112 L
.7522 .30077 L
.7522 .30042 L
.7522 .30007 L
.75221 .29972 L
.75221 .29937 L
.75221 .29902 L
.75221 .29868 L
.75222 .29833 L
s
.74006 .30887 m
.74006 .30852 L
.74006 .30817 L
.74006 .30781 L
.74005 .30746 L
.74005 .30711 L
.74005 .30675 L
.74005 .3064 L
.74005 .30604 L
.74004 .30569 L
.74004 .30534 L
.74004 .30498 L
.74004 .30463 L
.74004 .30428 L
.74004 .30392 L
.74004 .30357 L
.74004 .30322 L
.74004 .30286 L
.74004 .30251 L
.74004 .30216 L
.74004 .3018 L
.74004 .30145 L
.74005 .3011 L
.74005 .30074 L
.74005 .30039 L
.74005 .30004 L
.74005 .29968 L
.74006 .29933 L
.74006 .29898 L
.74006 .29862 L
.74006 .29827 L
s
.72791 .30893 m
.72791 .30857 L
.72791 .30821 L
.7279 .30786 L
.7279 .3075 L
.7279 .30714 L
.7279 .30678 L
.72789 .30643 L
.72789 .30607 L
.72789 .30571 L
.72789 .30536 L
.72789 .305 L
.72789 .30464 L
.72789 .30429 L
.72789 .30393 L
.72789 .30357 L
.72789 .30321 L
.72789 .30286 L
.72789 .3025 L
.72789 .30214 L
.72789 .30179 L
.72789 .30143 L
.72789 .30107 L
.72789 .30072 L
.7279 .30036 L
.7279 .3 L
.7279 .29964 L
.7279 .29929 L
.72791 .29893 L
.72791 .29857 L
.72791 .29822 L
s
.71576 .30898 m
.71576 .30862 L
.71575 .30826 L
.71575 .3079 L
.71575 .30754 L
.71575 .30718 L
.71574 .30682 L
.71574 .30646 L
.71574 .3061 L
.71574 .30574 L
.71574 .30537 L
.71574 .30501 L
.71574 .30465 L
.71574 .30429 L
.71574 .30393 L
.71574 .30357 L
.71574 .30321 L
.71574 .30285 L
.71574 .30249 L
.71574 .30213 L
.71574 .30177 L
.71574 .30141 L
.71574 .30105 L
.71574 .30069 L
.71574 .30033 L
.71575 .29996 L
.71575 .2996 L
.71575 .29924 L
.71575 .29888 L
.71576 .29852 L
.71576 .29816 L
s
.70361 .30904 m
.7036 .30867 L
.7036 .30831 L
.7036 .30794 L
.70359 .30758 L
.70359 .30721 L
.70359 .30685 L
.70359 .30649 L
.70359 .30612 L
.70359 .30576 L
.70358 .30539 L
.70358 .30503 L
.70358 .30466 L
.70358 .3043 L
.70358 .30394 L
.70358 .30357 L
.70358 .30321 L
.70358 .30284 L
.70358 .30248 L
.70358 .30211 L
.70358 .30175 L
.70359 .30139 L
.70359 .30102 L
.70359 .30066 L
.70359 .30029 L
.70359 .29993 L
.70359 .29956 L
.7036 .2992 L
.7036 .29884 L
.7036 .29847 L
.70361 .29811 L
s
.69145 .30909 m
.69145 .30872 L
.69145 .30835 L
.69144 .30799 L
.69144 .30762 L
.69144 .30725 L
.69144 .30688 L
.69144 .30651 L
.69143 .30615 L
.69143 .30578 L
.69143 .30541 L
.69143 .30504 L
.69143 .30468 L
.69143 .30431 L
.69143 .30394 L
.69143 .30357 L
.69143 .3032 L
.69143 .30284 L
.69143 .30247 L
.69143 .3021 L
.69143 .30173 L
.69143 .30136 L
.69143 .301 L
.69144 .30063 L
.69144 .30026 L
.69144 .29989 L
.69144 .29952 L
.69144 .29916 L
.69145 .29879 L
.69145 .29842 L
.69145 .29805 L
s
.6793 .30915 m
.6793 .30877 L
.67929 .3084 L
.67929 .30803 L
.67929 .30766 L
.67929 .30729 L
.67928 .30692 L
.67928 .30654 L
.67928 .30617 L
.67928 .3058 L
.67928 .30543 L
.67928 .30506 L
.67928 .30469 L
.67928 .30431 L
.67928 .30394 L
.67928 .30357 L
.67928 .3032 L
.67928 .30283 L
.67928 .30246 L
.67928 .30208 L
.67928 .30171 L
.67928 .30134 L
.67928 .30097 L
.67928 .3006 L
.67928 .30023 L
.67929 .29986 L
.67929 .29948 L
.67929 .29911 L
.67929 .29874 L
.6793 .29837 L
.6793 .298 L
s
.66715 .3092 m
.66714 .30882 L
.66714 .30845 L
.66714 .30807 L
.66714 .3077 L
.66713 .30732 L
.66713 .30695 L
.66713 .30657 L
.66713 .3062 L
.66713 .30582 L
.66713 .30545 L
.66713 .30507 L
.66712 .3047 L
.66712 .30432 L
.66712 .30395 L
.66712 .30357 L
.66712 .3032 L
.66712 .30282 L
.66712 .30245 L
.66713 .30207 L
.66713 .3017 L
.66713 .30132 L
.66713 .30094 L
.66713 .30057 L
.66713 .30019 L
.66713 .29982 L
.66714 .29944 L
.66714 .29907 L
.66714 .29869 L
.66714 .29832 L
.66715 .29794 L
s
.65499 .30925 m
.65499 .30888 L
.65499 .3085 L
.65499 .30812 L
.65498 .30774 L
.65498 .30736 L
.65498 .30698 L
.65498 .3066 L
.65498 .30622 L
.65497 .30584 L
.65497 .30547 L
.65497 .30509 L
.65497 .30471 L
.65497 .30433 L
.65497 .30395 L
.65497 .30357 L
.65497 .30319 L
.65497 .30281 L
.65497 .30243 L
.65497 .30206 L
.65497 .30168 L
.65497 .3013 L
.65498 .30092 L
.65498 .30054 L
.65498 .30016 L
.65498 .29978 L
.65498 .2994 L
.65499 .29902 L
.65499 .29865 L
.65499 .29827 L
.65499 .29789 L
s
.64284 .30931 m
.64284 .30893 L
.64284 .30854 L
.64283 .30816 L
.64283 .30778 L
.64283 .3074 L
.64283 .30701 L
.64282 .30663 L
.64282 .30625 L
.64282 .30587 L
.64282 .30548 L
.64282 .3051 L
.64282 .30472 L
.64282 .30434 L
.64282 .30395 L
.64282 .30357 L
.64282 .30319 L
.64282 .30281 L
.64282 .30242 L
.64282 .30204 L
.64282 .30166 L
.64282 .30128 L
.64282 .30089 L
.64282 .30051 L
.64283 .30013 L
.64283 .29975 L
.64283 .29936 L
.64283 .29898 L
.64284 .2986 L
.64284 .29822 L
.64284 .29783 L
s
.63069 .30936 m
.63069 .30898 L
.63068 .30859 L
.63068 .30821 L
.63068 .30782 L
.63068 .30743 L
.63067 .30705 L
.63067 .30666 L
.63067 .30627 L
.63067 .30589 L
.63067 .3055 L
.63067 .30512 L
.63067 .30473 L
.63066 .30434 L
.63066 .30396 L
.63066 .30357 L
.63066 .30319 L
.63066 .3028 L
.63067 .30241 L
.63067 .30203 L
.63067 .30164 L
.63067 .30125 L
.63067 .30087 L
.63067 .30048 L
.63067 .3001 L
.63068 .29971 L
.63068 .29932 L
.63068 .29894 L
.63068 .29855 L
.63069 .29816 L
.63069 .29778 L
s
.61854 .30942 m
.61853 .30903 L
.61853 .30864 L
.61853 .30825 L
.61852 .30786 L
.61852 .30747 L
.61852 .30708 L
.61852 .30669 L
.61852 .3063 L
.61852 .30591 L
.61851 .30552 L
.61851 .30513 L
.61851 .30474 L
.61851 .30435 L
.61851 .30396 L
.61851 .30357 L
.61851 .30318 L
.61851 .30279 L
.61851 .3024 L
.61851 .30201 L
.61851 .30162 L
.61852 .30123 L
.61852 .30084 L
.61852 .30045 L
.61852 .30006 L
.61852 .29967 L
.61852 .29928 L
.61853 .29889 L
.61853 .2985 L
.61853 .29811 L
.61854 .29772 L
s
.61602 .29984 m
.61563 .29983 L
.61523 .29983 L
.61484 .29983 L
.61445 .29982 L
.61405 .29982 L
.61366 .29982 L
.61327 .29982 L
.61287 .29982 L
.61248 .29981 L
.61209 .29981 L
.61169 .29981 L
.6113 .29981 L
.61091 .29981 L
.61051 .29981 L
.61012 .29981 L
.60973 .29981 L
.60933 .29981 L
.60894 .29981 L
.60855 .29981 L
.60815 .29981 L
.60776 .29981 L
.60736 .29982 L
.60697 .29982 L
.60658 .29982 L
.60618 .29982 L
.60579 .29982 L
.6054 .29983 L
.605 .29983 L
.60461 .29983 L
.60422 .29984 L
s
.61608 .28768 m
.61568 .28768 L
.61528 .28768 L
.61488 .28767 L
.61449 .28767 L
.61409 .28767 L
.61369 .28767 L
.6133 .28767 L
.6129 .28766 L
.6125 .28766 L
.6121 .28766 L
.61171 .28766 L
.61131 .28766 L
.61091 .28766 L
.61052 .28766 L
.61012 .28766 L
.60972 .28766 L
.60932 .28766 L
.60893 .28766 L
.60853 .28766 L
.60813 .28766 L
.60774 .28766 L
.60734 .28766 L
.60694 .28767 L
.60655 .28767 L
.60615 .28767 L
.60575 .28767 L
.60535 .28767 L
.60496 .28768 L
.60456 .28768 L
.60416 .28768 L
s
.61613 .27553 m
.61573 .27553 L
.61533 .27552 L
.61493 .27552 L
.61453 .27552 L
.61413 .27552 L
.61373 .27551 L
.61333 .27551 L
.61292 .27551 L
.61252 .27551 L
.61212 .27551 L
.61172 .27551 L
.61132 .27551 L
.61092 .27551 L
.61052 .2755 L
.61012 .2755 L
.60972 .2755 L
.60932 .27551 L
.60892 .27551 L
.60852 .27551 L
.60812 .27551 L
.60771 .27551 L
.60731 .27551 L
.60691 .27551 L
.60651 .27551 L
.60611 .27552 L
.60571 .27552 L
.60531 .27552 L
.60491 .27552 L
.60451 .27553 L
.60411 .27553 L
s
.61619 .26338 m
.61578 .26337 L
.61538 .26337 L
.61497 .26337 L
.61457 .26337 L
.61416 .26336 L
.61376 .26336 L
.61335 .26336 L
.61295 .26336 L
.61255 .26336 L
.61214 .26335 L
.61174 .26335 L
.61133 .26335 L
.61093 .26335 L
.61052 .26335 L
.61012 .26335 L
.60971 .26335 L
.60931 .26335 L
.60891 .26335 L
.6085 .26335 L
.6081 .26335 L
.60769 .26336 L
.60729 .26336 L
.60688 .26336 L
.60648 .26336 L
.60608 .26336 L
.60567 .26337 L
.60527 .26337 L
.60486 .26337 L
.60446 .26337 L
.60405 .26338 L
s
.61624 .25122 m
.61583 .25122 L
.61542 .25122 L
.61502 .25122 L
.61461 .25121 L
.6142 .25121 L
.61379 .25121 L
.61338 .25121 L
.61298 .2512 L
.61257 .2512 L
.61216 .2512 L
.61175 .2512 L
.61134 .2512 L
.61094 .2512 L
.61053 .2512 L
.61012 .2512 L
.60971 .2512 L
.6093 .2512 L
.60889 .2512 L
.60849 .2512 L
.60808 .2512 L
.60767 .2512 L
.60726 .2512 L
.60685 .25121 L
.60645 .25121 L
.60604 .25121 L
.60563 .25121 L
.60522 .25122 L
.60481 .25122 L
.60441 .25122 L
.604 .25122 L
s
.61629 .23907 m
.61588 .23907 L
.61547 .23907 L
.61506 .23906 L
.61465 .23906 L
.61424 .23906 L
.61382 .23906 L
.61341 .23905 L
.613 .23905 L
.61259 .23905 L
.61218 .23905 L
.61177 .23905 L
.61135 .23905 L
.61094 .23905 L
.61053 .23905 L
.61012 .23905 L
.60971 .23905 L
.6093 .23905 L
.60888 .23905 L
.60847 .23905 L
.60806 .23905 L
.60765 .23905 L
.60724 .23905 L
.60683 .23905 L
.60641 .23906 L
.606 .23906 L
.60559 .23906 L
.60518 .23906 L
.60477 .23907 L
.60436 .23907 L
.60394 .23907 L
s
.61635 .22692 m
.61593 .22692 L
.61552 .22691 L
.6151 .22691 L
.61469 .22691 L
.61427 .2269 L
.61386 .2269 L
.61344 .2269 L
.61303 .2269 L
.61261 .2269 L
.6122 .2269 L
.61178 .22689 L
.61137 .22689 L
.61095 .22689 L
.61053 .22689 L
.61012 .22689 L
.6097 .22689 L
.60929 .22689 L
.60887 .22689 L
.60846 .22689 L
.60804 .2269 L
.60763 .2269 L
.60721 .2269 L
.6068 .2269 L
.60638 .2269 L
.60597 .2269 L
.60555 .22691 L
.60513 .22691 L
.60472 .22691 L
.6043 .22692 L
.60389 .22692 L
s
.6164 .21477 m
.61599 .21476 L
.61557 .21476 L
.61515 .21476 L
.61473 .21475 L
.61431 .21475 L
.61389 .21475 L
.61347 .21475 L
.61305 .21475 L
.61263 .21474 L
.61221 .21474 L
.6118 .21474 L
.61138 .21474 L
.61096 .21474 L
.61054 .21474 L
.61012 .21474 L
.6097 .21474 L
.60928 .21474 L
.60886 .21474 L
.60844 .21474 L
.60802 .21474 L
.60761 .21474 L
.60719 .21475 L
.60677 .21475 L
.60635 .21475 L
.60593 .21475 L
.60551 .21475 L
.60509 .21476 L
.60467 .21476 L
.60425 .21476 L
.60383 .21477 L
s
.61646 .20261 m
.61604 .20261 L
.61561 .20261 L
.61519 .2026 L
.61477 .2026 L
.61435 .2026 L
.61392 .2026 L
.6135 .20259 L
.61308 .20259 L
.61265 .20259 L
.61223 .20259 L
.61181 .20259 L
.61139 .20259 L
.61096 .20259 L
.61054 .20259 L
.61012 .20259 L
.6097 .20259 L
.60927 .20259 L
.60885 .20259 L
.60843 .20259 L
.60801 .20259 L
.60758 .20259 L
.60716 .20259 L
.60674 .20259 L
.60632 .2026 L
.60589 .2026 L
.60547 .2026 L
.60505 .2026 L
.60462 .20261 L
.6042 .20261 L
.60378 .20261 L
s
.61651 .19046 m
.61609 .19046 L
.61566 .19045 L
.61523 .19045 L
.61481 .19045 L
.61438 .19045 L
.61396 .19044 L
.61353 .19044 L
.6131 .19044 L
.61268 .19044 L
.61225 .19044 L
.61182 .19044 L
.6114 .19044 L
.61097 .19043 L
.61055 .19043 L
.61012 .19043 L
.60969 .19043 L
.60927 .19043 L
.60884 .19044 L
.60841 .19044 L
.60799 .19044 L
.60756 .19044 L
.60714 .19044 L
.60671 .19044 L
.60628 .19044 L
.60586 .19045 L
.60543 .19045 L
.605 .19045 L
.60458 .19045 L
.60415 .19046 L
.60372 .19046 L
s
.61659 .17846 m
.61619 .17847 L
.61579 .17848 L
.61539 .17848 L
.61498 .17848 L
.61458 .17847 L
.61418 .17847 L
.61378 .17846 L
.61337 .17845 L
.61297 .17843 L
.61257 .17842 L
.61217 .1784 L
.61177 .17838 L
.61137 .17835 L
.61097 .17833 L
.61057 .1783 L
.61017 .17827 L
.60977 .17823 L
.60937 .17819 L
.60897 .17815 L
.60857 .17811 L
.60817 .17807 L
.60777 .17802 L
.60737 .17797 L
.60698 .17792 L
.60658 .17786 L
.60618 .1778 L
.60578 .17774 L
.60538 .17768 L
.60499 .17761 L
.60459 .17754 L
s
.61689 .16633 m
.61652 .16633 L
.61616 .16634 L
.6158 .16634 L
.61544 .16634 L
.61508 .16634 L
.61472 .16633 L
.61437 .16632 L
.61401 .16632 L
.61365 .1663 L
.61329 .16629 L
.61293 .16627 L
.61257 .16625 L
.61221 .16623 L
.61185 .16621 L
.6115 .16618 L
.61114 .16615 L
.61078 .16612 L
.61042 .16609 L
.61007 .16605 L
.60971 .16601 L
.60935 .16597 L
.60899 .16593 L
.60864 .16589 L
.60828 .16584 L
.60793 .16579 L
.60757 .16574 L
.60721 .16568 L
.60686 .16563 L
.6065 .16557 L
.60615 .16551 L
s
.61718 .15419 m
.61686 .1542 L
.61654 .1542 L
.61622 .1542 L
.61591 .1542 L
.61559 .1542 L
.61527 .1542 L
.61495 .15419 L
.61464 .15418 L
.61432 .15417 L
.614 .15416 L
.61369 .15414 L
.61337 .15413 L
.61305 .15411 L
.61274 .15409 L
.61242 .15406 L
.61211 .15404 L
.61179 .15401 L
.61148 .15398 L
.61116 .15395 L
.61085 .15392 L
.61053 .15388 L
.61022 .15384 L
.6099 .1538 L
.60959 .15376 L
.60927 .15372 L
.60896 .15367 L
.60864 .15362 L
.60833 .15357 L
.60802 .15352 L
.6077 .15347 L
s
.61747 .14206 m
.61719 .14206 L
.61692 .14207 L
.61664 .14207 L
.61637 .14207 L
.61609 .14207 L
.61582 .14206 L
.61554 .14206 L
.61527 .14205 L
.61499 .14204 L
.61472 .14203 L
.61444 .14202 L
.61417 .142 L
.6139 .14198 L
.61362 .14197 L
.61335 .14195 L
.61308 .14192 L
.6128 .1419 L
.61253 .14187 L
.61226 .14185 L
.61198 .14182 L
.61171 .14179 L
.61144 .14176 L
.61117 .14172 L
.61089 .14168 L
.61062 .14165 L
.61035 .14161 L
.61008 .14157 L
.6098 .14152 L
.60953 .14148 L
.60926 .14143 L
s
.61776 .12992 m
.61753 .12993 L
.61729 .12993 L
.61706 .12993 L
.61683 .12993 L
.6166 .12993 L
.61636 .12993 L
.61613 .12992 L
.6159 .12991 L
.61567 .12991 L
.61543 .1299 L
.6152 .12989 L
.61497 .12987 L
.61474 .12986 L
.61451 .12985 L
.61428 .12983 L
.61405 .12981 L
.61381 .12979 L
.61358 .12977 L
.61335 .12975 L
.61312 .12972 L
.61289 .12969 L
.61266 .12967 L
.61243 .12964 L
.6122 .12961 L
.61197 .12958 L
.61174 .12954 L
.61151 .12951 L
.61128 .12947 L
.61105 .12943 L
.61082 .12939 L
s
.61805 .11779 m
.61786 .11779 L
.61767 .11779 L
.61748 .1178 L
.61729 .11779 L
.6171 .11779 L
.61691 .11779 L
.61672 .11779 L
.61653 .11778 L
.61634 .11778 L
.61615 .11777 L
.61596 .11776 L
.61577 .11775 L
.61558 .11774 L
.61539 .11772 L
.6152 .11771 L
.61501 .1177 L
.61483 .11768 L
.61464 .11766 L
.61445 .11764 L
.61426 .11762 L
.61407 .1176 L
.61388 .11758 L
.61369 .11756 L
.6135 .11753 L
.61332 .1175 L
.61313 .11748 L
.61294 .11745 L
.61275 .11742 L
.61256 .11739 L
.61238 .11735 L
s
.61834 .10565 m
.6182 .10566 L
.61805 .10566 L
.6179 .10566 L
.61775 .10566 L
.6176 .10566 L
.61746 .10566 L
.61731 .10565 L
.61716 .10565 L
.61701 .10564 L
.61687 .10564 L
.61672 .10563 L
.61657 .10562 L
.61642 .10561 L
.61628 .1056 L
.61613 .10559 L
.61598 .10558 L
.61584 .10557 L
.61569 .10555 L
.61554 .10554 L
.6154 .10552 L
.61525 .10551 L
.6151 .10549 L
.61496 .10547 L
.61481 .10545 L
.61466 .10543 L
.61452 .10541 L
.61437 .10539 L
.61423 .10537 L
.61408 .10534 L
.61393 .10532 L
s
.61864 .09352 m
.61853 .09352 L
.61842 .09352 L
.61832 .09352 L
.61821 .09352 L
.61811 .09352 L
.618 .09352 L
.6179 .09352 L
.61779 .09351 L
.61769 .09351 L
.61758 .09351 L
.61748 .0935 L
.61737 .0935 L
.61727 .09349 L
.61716 .09348 L
.61706 .09348 L
.61695 .09347 L
.61685 .09346 L
.61674 .09345 L
.61664 .09344 L
.61653 .09343 L
.61643 .09341 L
.61632 .0934 L
.61622 .09339 L
.61612 .09338 L
.61601 .09336 L
.61591 .09335 L
.6158 .09333 L
.6157 .09331 L
.6156 .0933 L
.61549 .09328 L
s
.61893 .08138 m
.61886 .08138 L
.6188 .08139 L
.61874 .08139 L
.61867 .08139 L
.61861 .08139 L
.61855 .08138 L
.61849 .08138 L
.61842 .08138 L
.61836 .08138 L
.6183 .08138 L
.61823 .08137 L
.61817 .08137 L
.61811 .08137 L
.61805 .08136 L
.61798 .08136 L
.61792 .08135 L
.61786 .08135 L
.6178 .08134 L
.61773 .08134 L
.61767 .08133 L
.61761 .08132 L
.61755 .08131 L
.61748 .08131 L
.61742 .0813 L
.61736 .08129 L
.6173 .08128 L
.61724 .08127 L
.61717 .08126 L
.61711 .08125 L
.61705 .08124 L
s
.61922 .06925 m
.6192 .06925 L
.61918 .06925 L
.61916 .06925 L
.61914 .06925 L
.61912 .06925 L
.6191 .06925 L
.61907 .06925 L
.61905 .06925 L
.61903 .06925 L
.61901 .06925 L
.61899 .06925 L
.61897 .06924 L
.61895 .06924 L
.61893 .06924 L
.61891 .06924 L
.61889 .06924 L
.61887 .06924 L
.61885 .06924 L
.61883 .06923 L
.61881 .06923 L
.61879 .06923 L
.61877 .06923 L
.61875 .06922 L
.61873 .06922 L
.61871 .06922 L
.61869 .06922 L
.61867 .06921 L
.61865 .06921 L
.61863 .06921 L
.61861 .0692 L
s
.62016 .05716 m
.62014 .05716 L
.62012 .05716 L
.6201 .05715 L
.62008 .05715 L
.62006 .05715 L
.62003 .05714 L
.62001 .05714 L
.61999 .05714 L
.61997 .05714 L
.61995 .05713 L
.61993 .05713 L
.6199 .05713 L
.61988 .05713 L
.61986 .05712 L
.61984 .05712 L
.61982 .05712 L
.61979 .05712 L
.61977 .05712 L
.61975 .05712 L
.61973 .05712 L
.61971 .05712 L
.61969 .05711 L
.61966 .05711 L
.61964 .05711 L
.61962 .05711 L
.6196 .05711 L
.61958 .05711 L
.61955 .05711 L
.61953 .05711 L
.61951 .05711 L
s
.62172 .04513 m
.62166 .04511 L
.62159 .0451 L
.62153 .04509 L
.62147 .04508 L
.6214 .04508 L
.62134 .04507 L
.62128 .04506 L
.62121 .04505 L
.62115 .04504 L
.62108 .04503 L
.62102 .04503 L
.62096 .04502 L
.62089 .04502 L
.62083 .04501 L
.62077 .04501 L
.6207 .045 L
.62064 .045 L
.62057 .04499 L
.62051 .04499 L
.62044 .04499 L
.62038 .04498 L
.62032 .04498 L
.62025 .04498 L
.62019 .04498 L
.62012 .04498 L
.62006 .04498 L
.62 .04498 L
.61993 .04498 L
.61987 .04498 L
.6198 .04498 L
s
.62191 .03269 m
.62184 .03271 L
.62177 .03273 L
.6217 .03274 L
.62163 .03276 L
.62156 .03277 L
.6215 .03279 L
.62143 .0328 L
.62136 .03282 L
.62129 .03283 L
.62122 .03284 L
.62115 .03285 L
.62108 .03287 L
.62101 .03288 L
.62094 .03289 L
.62087 .03289 L
.6208 .0329 L
.62073 .03291 L
.62066 .03292 L
.62059 .03292 L
.62052 .03293 L
.62045 .03293 L
.62038 .03294 L
.6203 .03294 L
.62023 .03295 L
.62016 .03295 L
.62009 .03295 L
.62002 .03295 L
.61995 .03295 L
.61988 .03295 L
.61981 .03295 L
s
0 0 m
1 0 L
1 .625 L
0 .625 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{717, 448.125},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000;=0001`2000`400?l00000o`00003oo`3ooooo
0?oooll0oooo003o0?ooool0ooooc`3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo0?oooll0oooo
003o0?ooool0ooooc`3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo0?oooll0oooo003o0?ooool0
ooooc`3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo0?oooll0oooo003o0?ooool0ooooc`3oool0
0140ooooo`00003o00000:`000004P3oool00140oooo00<000000?ooo`3oool0o`3ooooo0?ooojP0
oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonj0?ooo`040000
003oool00000000000<0oooo0`00003S0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0oooo^P3oool200000080oooo00D000000?ooo`3oool0oooo0000003T0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooYP3oool5000000l0oooo
00<000000?ooo`3oool00P0000030?ooo`030000003oool0oooo0>80oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`8000004P3oool3000000@0oooo00<0
00000?ooo`3oool0hP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o
0?ooojP0oooo0P00000@0?ooo`8000000P3oool01@000000oooo0?ooo`3oool000000>@0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonX0?ooo`800000403oool0
0`000000oooo0?ooo`0200000080oooo0P00003T0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooZ03oool200000140oooo0P0000000`3oool000000?ooo`020?oo
o`030000003oool0oooo0>80oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3o
ool0o`3ooonW0?ooo`@00000o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?ooojL0oooo1000003l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooY`3oool400000?`0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonW0?ooo`0500000009jPX000000?ooo`000000n`3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo0`09jPXA0?ooo`D000000P3oool3
00000>40oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonX0?oo
o`0300WZ2P0000002NX:0180oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`3P
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY@3oool30000
000300WZ2P0000002NX:0180oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3P0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03oool400000004
00WZ2P0000002NX:00000140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3P0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooYP3oool200000003
00WZ2P0000002NX:0180oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3P0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool300000180oooo
00<000000?ooo`3oool00`3oool200000>80oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonX0?ooo`<000004@3oool3000000D0oooo00<000000?ooo`3oool0h03o
ool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo0`00003l
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool30000
0?`0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`05
00000009jPX02NX:00WZ2P000000n`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000
oooo0?ooo`3o0?ooojL0oooo1@00003k0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooY`3oool2000000030?ooo`00000000000?/0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`80000000<02NX:0?ooo`000000n`3o
ool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<00000
00WZ2P3oool0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
ojP0oooo00<0000000WZ2P3oool0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000
oooo0?ooo`3o0?ooojP0oooo00<0000000WZ2P3oool0o03oool00`000000oooo0?ooo`0@0?ooo`00
4@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<0000000WZ2P3oool0o03oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo0P09jP[m0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`000000oooo0?ooo`3l
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`00
0000oooo0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooZ03oool00`000000oooo0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooZ03oool00`000000oooo0?ooo`3l0?ooo`030000003oool0oooo0100oooo
000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`000000oooo0?ooo`3l0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`000000oooo0?ooo`3l
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`00
00002NX:0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooY`3oool00`0000002NX:0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooY`3oool200WZ2_h0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<00000
0?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo
0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`03
00000009jPX0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<00000
0?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonV0?ooo`0300WZ2P0000002NX:
0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonV0?ooo`<0
2NX:oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojH0oooo
00<02NX:00000009jPX0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?ooojH0oooo00<000000?ooo`09jPX0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojH0oooo00<000000?ooo`09jPX0oP3oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojH0oooo00<000000?ooo`09jPX0oP3oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojH0oooo00<000000?ooo`09
jPX0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojD0oooo
00<02NX:00000009jPX0o`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?ooojD0oooo00<02NX:00000009jPX0o`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojD0oooo0`09jP[o0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooY@3oool00`09jPX0000000WZ2P3o0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY@3oool00`09jPX0000000WZ2P3o0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY@3oool00`09jPX00000
00WZ2P3o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03o
ool01009jPX0oooo00000009jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooY03oool01009jPX0oooo00000009jP[o0?ooo`030000003oool0oooo0100oooo
000A0?ooo`030000003oool0oooo0?l0ooooY03oool01009jPX0oooo00000009jP[o0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03oool01009jPX000000?oo
o`09jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03o
ool01009jPX000000?ooo`09jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooY03oool400WZ2_l0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonS0?ooo`0500WZ2P3oool000000?ooo`09jPX0o`3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj<0oooo00D02NX:0?ooo`000000oooo00WZ
2P3o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX`3oool0
1@09jPX0oooo0000003oool02NX:0?l0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonS0?ooo`0500WZ2P3oool000000?ooo`09jPX0o`3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj<0oooo00D02NX:0?ooo`000000oooo00WZ
2P3o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX`3oool0
1@09jPX0oooo0000003oool02NX:0?l0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonS0?ooo`0500WZ2P3oool000000?ooo`09jPX0o`3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj<0oooo0P09jPX00`000000oooo00WZ2P3o
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX`3oool500WZ
2_l0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonS0?ooo`05
00WZ2P3oool000000?ooo`09jPX0o`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000
oooo0?ooo`3o0?oooj<0oooo00D02NX:0000003oool0oooo00WZ2P3o0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooXP3oool00`09jPX0oooo000000020?ooo`03
00WZ2P3oool0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonR0?ooo`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0o@3oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj80oooo00<02NX:0?ooo`0000000P3o
ool00`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0
oooo0?l0ooooXP3oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0oooo0?d0oooo00<00000
0?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonR0?ooo`0300WZ2P3oool00000
0080oooo00<02NX:0?ooo`3oool0o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000
oooo0?ooo`3o0?oooj80oooo1P09jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooX@3oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo0?d0
oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonQ0?ooo`0400WZ
2P3oool0oooo00000080oooo00<02NX:0?ooo`3oool0o@3oool00`000000oooo0?ooo`0@0?ooo`00
4@3oool00`000000oooo0?ooo`3o0?oooj40oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0
oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo
X@3oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo0?d0oooo00<000000?ooo`3o
ool0403oool00140oooo00<000000?ooo`3oool0o`3ooonQ0?ooo`0400WZ2P3oool0oooo00000080
oooo00<02NX:0?ooo`3oool0o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj40oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`3m0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX03oool01009jPX0oooo
0?ooo`0000030?ooo`0300WZ2P3oool0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0o`3ooonP0?ooo`0400WZ2P3oool0oooo000000<0oooo00<02NX:0?ooo`3o
ool0o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj00oooo
2009jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX03o
ool01009jPX0oooo0?ooo`0000030?ooo`0300WZ2P3oool0oooo0?d0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooonP0?ooo`0400WZ2P3oool0oooo000000<0oooo
00<02NX:0?ooo`3oool0o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?oooj00oooo00@02NX:0?ooo`3oool000000`3oool00`09jPX0oooo0?ooo`3m0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooX03oool01009jPX0oooo0?oo
o`0000030?ooo`0300WZ2P3oool0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonP0?ooo`0400WZ2P3oool0oooo000000<0oooo00<02NX:0?ooo`3oool0
o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj00oooo00@0
2NX:0?ooo`3oool000000`3oool00`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo
000A0?ooo`030000003oool0oooo0?l0ooooX03oool01009jPX0oooo0?ooo`0000030?ooo`0300WZ
2P3oool0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3o
oonP0?ooo`<02NX:00D000000?ooo`3oool0oooo00WZ2P3o0?ooo`030000003oool0oooo0100oooo
000A0?ooo`030000003oool0oooo0?l0ooooW`3oool00`09jPX0oooo0?ooo`0600WZ2_l0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonO0?ooo`0500WZ2P3oool0
oooo0?ooo`0000000`3oool00`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A
0?ooo`030000003oool0oooo0?l0ooooW`3oool01009jPX0oooo0?ooo`0000040?ooo`0300WZ2P3o
ool0oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonO
0?ooo`0400WZ2P3oool0oooo000000@0oooo00<02NX:0?ooo`3oool0o@3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooil0oooo00@02NX:0?ooo`3oool00000103o
ool00`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0
oooo0?l0ooooW`3oool01009jPX0oooo0?ooo`0000040?ooo`0300WZ2P3oool0oooo0?d0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonN0?ooo`0500WZ2P3oool0
oooo0?ooo`000000103oool00`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A
0?ooo`030000003oool0oooo0?l0ooooWP3oool01@09jPX0oooo0?ooo`3oool0000000@0oooo00<0
2NX:0?ooo`3oool0o@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o
0?oooih0oooo2P09jP[o0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
0?l0ooooWP3oool01@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0o@3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooih0oooo00D02NX:0?oo
o`3oool0oooo000000040?ooo`0300WZ2P3oool0oooo0?d0oooo00<000000?ooo`3oool0403oool0
0140oooo00<000000?ooo`3oool0o`3ooonN0?ooo`0500WZ2P3oool0oooo0?ooo`000000103oool0
0`09jPX0oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
0?l0ooooW@3oool00`09jPX0oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`09jPX0o`3oool1
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool00`09
jPX0oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`09jPX0o`3oool10?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool00`09jPX0oooo0?ooo`020?oo
o`050000003oool0oooo0?ooo`09jPX0o`3oool10?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooW@3oool01@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:
0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
oid0oooo0P09jPX20?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`09
jPX02009jP[o0?ooo`40oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo
0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03o
ool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool06P3o
ool5000000030?ooo`000000000000800000fP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`0300WZ2P3oool0oooo01/0oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000
003oool0oooo0=P0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3o
oonL0?ooo`0300WZ2P3oool0oooo00L0000000<02NX:0000000000002@00000B0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0fP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0000000000001`0000000`09jPX000000000000:
00000140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3I0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX00000000000070000
000300WZ2P000000000000X000004@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0=P0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`04
00WZ2P3oool0oooo0?ooo`<000000`3oool00`09jPX0oooo0?ooo`0K0?ooo`030000003oool0oooo
0080oooo00@000000?ooo`3oool00000fP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooi`0oooo00@02NX:0?ooo`3oool0oooo0`0000030?ooo`0300WZ2P3oool0
oooo01X0oooo0`0000040?ooo`800000f`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooi`0oooo2`09jP[o0?ooo`40oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonL0?ooo`0400WZ2P3oool0oooo0?ooo`<000000`3oool00`09
jPX0oooo0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooW03oool00`09jPX0oooo0?ooo`0500000080oooo00<02NX:0?ooo`3oool0oP3oool00`000000
oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool0
1@0000020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo00D000000P3oool00`09jPX0oooo0?oo
o`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool0
2009jPX0oooo0?ooo`000000oooo0000003oool000000P3oool00`09jPX0oooo0?ooo`3n0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`/02NX:o`3oool10?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?oo
o`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?oo
o`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0
2NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o
0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0
oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?oo
o`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3n0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000
oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`/02NX:o`3oool10?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3o
ool00P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3o
ool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL
0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3n
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09
jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3o
ool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`/02NX:o`3oool10?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?oo
o`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool0
0140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?oo
o`3oool00P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080
oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3o
oonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?oo
o`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool0
0`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo2`09jP[o0?oo
o`40oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`03
00WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3n0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo
0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3o
ool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<00000
0?ooo`3oool00P3oool00`09jPX0oooo0?ooo`2W0?ooo`<000000`3oool200000080oooo00<00000
0?ooo`3oool01@0000001@3oool000000000003oool0000000@0oooo0`0000040?ooo`030000003o
ool0000000<000000`3oool2000002X0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool0
0`09jPX0oooo0?ooo`2V0?ooo`070000003oool0oooo0?ooo`000000oooo000000020?ooo`030000
003oool0000000<0oooo00D000000?ooo`000000oooo000000030?ooo`050000003oool0oooo0?oo
o`0000000`3oool01P000000oooo0?ooo`000000oooo00000080oooo00D000000?ooo`000000oooo
0000000/0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03o
ool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0Y@3o
ool00`000000oooo0?ooo`040?ooo`060000003oool0oooo0000003oool000000`3oool010000000
oooo0000003oool3000000050?ooo`000000oooo0?ooo`0000001`3oool00`000000oooo00000002
0?ooo`040000003oool000000?ooo`<00000:P3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`02
0?ooo`0300WZ2P3oool0oooo0:D0oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`00
0000oooo008000000P3oool020000000oooo0000003oool000000?ooo`000000oooo0P0000000`3o
ool000000?ooo`060?ooo`030000003oool000000080oooo00L000000?ooo`000000oooo0000003o
ool0000002X0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL
0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`2U
0?ooo`030000003oool0oooo00D0oooo0P0000020?ooo`030000003oool0000000<000000`3oool0
1@000000oooo0?ooo`000000oooo008000001P3oool2000000040?ooo`000000oooo0?ooo`800000
0`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooW03oool;00WZ2ZP0oooo00D000000?ooo`3oool0oooo0000000F0?ooo`050000
003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?ooo`030000
003oool0oooo0080oooo00<02NX:0?ooo`3oool0Y`3oool4000001L0oooo100000060?ooo`800000
<03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<0
2NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0
oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?oo
o`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?oo
o`004@3oool00`000000oooo0?ooo`3o0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0o`3ooonL0?ooo`0300WZ2P3oool0oooo0080oooo00<000000?ooo`3oool0
0P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooW03oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<0
2NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o
0?oooi`0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0
oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonL0?oo
o`/02NX:o`3oool10?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooP03oool400000080oooo00@000000?ooo`00000000000P3oool4000000`0oooo00<02NX:0?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?oo
o`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon10?ooo`050000003oool0oooo0000
003oool00P0000020?ooo`040000003oool000000?ooo`800000303oool00`09jPX0oooo0?ooo`02
0?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooh40oooo00H000000?ooo`3oool000000?ooo`00
00020?ooo`8000000P3oool2000000d0oooo00<02NX:0?ooo`3oool00P3oool00`000000oooo0?oo
o`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon10?ooo`<000000`3oool3000000@0oooo00<000000?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0oP3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooh40oooo00D000000?oo
o`3oool000000?ooo`0200000080oooo00@000000?ooo`3oool0oooo0P00000<0?ooo`0300WZ2P3o
ool0oooo0080oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3n0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooP@3oool01P000000oooo0?ooo`00
0000oooo00000080oooo0P0000000`3oool0000000000002000000`0oooo00<02NX:0?ooo`3oool0
0P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0?h0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooon00?ooo`@000000`3oool2000000040?ooo`00
0000oooo0?ooo`8000003@3oool00`09jPX0oooo0?ooo`020?ooo`030000003oool0oooo0080oooo
00<02NX:0?ooo`3oool0oP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?oooi`0oooo2`09jP[o0?ooo`40oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonM0?ooo`0500WZ2P3oool0oooo0?ooo`000000103oool00`09jPX0oooo0?oo
o`3n0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool0
1@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0e03oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool0
1@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0e03oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool0
1@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0e03oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool0
1@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0e03oool00`000000oooo0?oo
o`0W0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool0
1@09jPX0oooo0?ooo`3oool0000000@0oooo00<02NX:0?ooo`3oool0e03ooolB000001P0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonM0?ooo`0500WZ2P3oool0
oooo0?ooo`000000103oool00`09jPX0oooo0?ooo`3D0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o
0?oooid0oooo00D02NX:0?ooo`3oool0oooo000000040?ooo`0300WZ2P3oool0oooo0=@0oooo0P00
000@07moO`030000003oool0oooo01D0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonM0?ooo`X02NX:eP3oool00`000000oooo0000000@07moO`030000003oool0
oooo01@0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonM0?oo
o`0500WZ2P3oool0oooo0?ooo`000000103oool00`09jPX0oooo0?ooo`3D0?ooo`040000003oool0
oooo00000100Ogmo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?oooiT0oooo00D000000?ooo`3oool0oooo00WZ2P030?ooo`030000003o
ool0oooo0080oooo00<02NX:0?ooo`3oool0e03oool01@000000oooo0?ooo`3oool000000100Ogmo
00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?oooiP0oooo0P0000030?ooo`0500WZ2P3oool0oooo0?ooo`000000103oool00`09jPX0oooo
0?ooo`3D0?ooo`050000003oool0oooo0?ooo`000000401oOgl00`000000oooo0?ooo`0B0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooV@3oool01@000000oooo
0?ooo`3oool02NX:00<0oooo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`3D0?ooo`03
0000003oool0oooo0080oooo00<0000007moO`1oOgl03P1oOgl00`000000oooo0?ooo`0A0?ooo`03
0000003oool0oooo0100oooo000A0?oooi802NX:o`3oool;0?ooo`80000000<0oooo00WZ2P3oool0
0P3oool00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo0=@0oooo00<000000?ooo`3oool0
0`3oool00`000000Ogmo07moO`0>07moO`030000003oool0oooo0100oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0203oooo700WZ2T@0oooo00<0Ogmo00000009jPX00P09
jPX00`3oool000000?ooo`030?ooo`0300WZ2P3oool0oooo0=@0oooo00<000000?ooo`3oool0103o
ool00`000000Ogmo07moO`0>07moO`030000003oool0oooo00l0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?oood/02NX:00<00000
00WZ2P09jPX0N`09jPYN0?ooo`030000003oool0oooo00D0oooo00<0000007moO`1oOgl03P1oOgl0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo
00P0oooo00D0Ogmo0000003oool0oooo000000030?ooo`0300WZ2P3oool02NX:00P0oooo00<02NX:
0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool02NX:00P0oooo00D02NX:
0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`09jPX01P3o
ool00`09jPX0oooo0?ooo`050?ooo`802NX:203oool00`09jPX0oooo0?ooo`020?ooo`0400WZ2P3o
ool0oooo00WZ2PP0oooo00@02NX:0?ooo`3oool02NX:1@3oool00`09jPX0oooo0?ooo`050?ooo`80
2NX:1@3ooomg00WZ2P0307moO`000000oooo00h0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool0203oool;00WZ2PP0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo
0?ooo`030?ooo`0300WZ2P3oool02NX:00P0oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`03
00WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`09jPX01P3oool00`09jPX0oooo0?ooo`050?ooo`80
2NX:203oool00`09jPX0oooo0?ooo`020?ooo`0400WZ2P3oool0oooo00WZ2PP0oooo00@02NX:0?oo
o`3oool02NX:1@3oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`04
0?ooo`0300WZ2P3oool02NX:00L0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo0?ooo`3o
ool02NX:00P0oooo00<02NX:0?ooo`09jPX01@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo0?ooo`3oool02NX:00L0oooo
00@02NX:0?ooo`3oool02NX:1@3oool00`09jPX0oooo0?ooo`020?ooo`050000003oool0oooo0?oo
o`09jPX00`3oool200000080Ogmo00<02NX:07moO`1oOgl0101oOgl300WZ2P80Ogmo00<02NX:07mo
O`0000003`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`030?ooo`<0
00001P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02P3oool00`1oOgl00000000000020?ooo`0400WZ2P3oool0oooo00WZ2P8000001P3oool00`09
jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`09jPX0203oool01@09
jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo00WZ2P06
0?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX80?ooo`0300WZ2P3oool0oooo0080oooo00@02NX:
0?ooo`3oool02NX:203oool01009jPX0oooo0?ooo`09jPX50?ooo`0300WZ2P3oool0oooo00D0oooo
0P09jPX70?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`09jPX01`3oool00`09jPX0oooo
0?ooo`020?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0203oool00`09jPX0oooo00WZ2P050?ooo`03
00WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`020?ooo`05
00WZ2P3oool0oooo0?ooo`09jPX01`3oool01009jPX0oooo0?ooo`09jPX50?ooo`0300WZ2P3oool0
oooo0080oooo00H000000?ooo`3oool0oooo00WZ2P3oool30000000407moO`000000Ogmo00WZ2PH0
Ogmo00<02NX:07moO`09jPX00P1oOgl01009jPX0Ogmo07moO`00000>0?ooo`030000003oool0oooo
0100oooo000@0?ooo`80000000<0oooo000000000000100000070?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0307moO`000000000000@0
000000<02NX:0000003oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0
oooo00<02NX:0?ooo`09jPX0203oool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?oo
o`3oool01@3oool00`09jPX0oooo00WZ2P060?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX80?oo
o`0300WZ2P3oool0oooo0080oooo00@02NX:0?ooo`3oool02NX:203oool01009jPX0oooo0?ooo`09
jPX50?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00@0oooo00<0
2NX:0?ooo`09jPX01`3oool00`09jPX0oooo0?ooo`020?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0
203oool00`09jPX0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0
1P3oool00`09jPX0oooo0?ooo`020?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01`3oool01009jPX0
oooo0?ooo`09jPX50?ooo`0400WZ2P3oool0oooo0?ooo`80000000@0oooo0000000000002NX:0`00
000307moO`0300000009jPX0Ogmo00D0Ogmo00L02NX:07moO`09jPX02NX:07moO`09jPX0Ogmo00<0
00003@3oool00`000000oooo0?ooo`0@0?ooo`00403oool@0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000/00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000<0000000300WZ2P000000000000`00000
00<02NX:000000000000300000000`09jPX000000000000B0000000300WZ2P000000000000H00000
00<02NX:0000000000001P0000000`09jPX00000000000050000000300WZ2P000000000000H00000
00<02NX:0000000000001P0000000`09jPX00000000000050000000300WZ2P000000000000H00000
00<02NX:0000000000001P0000000`09jPX00000000000060000000300WZ2P000000000000D00000
00<02NX:0000000000001P0000000`09jPX00000000000060000000300WZ2P000000000000D00000
00<02NX:0000000000001P0000000`09jPX00000000000060000000300WZ2P000000000000D00000
00<02NX:0000000000001P0000000`09jPX00000000000060000000300WZ2P000000000000D00000
00<02NX:0000000000001P0000000`09jPX00000000000060000000300WZ2P000000000000H00000
00<02NX:0000000000001@0000000`09jPX00000000000060000000300WZ2P000000000000H00000
00<02NX:0000000000001@0000000`09jPX00000000000060000000300WZ2P000000000000@00000
00<0Ogmo0000003oool02`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`05000000L0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:07moO`09jPX00`0000000`09jPX000000?ooo`060?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo00WZ2P080?ooo`0500WZ2P3o
ool0oooo0?ooo`09jPX0103oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool02NX:00H0oooo
00<02NX:0?ooo`3oool01@3oool200WZ2PP0oooo00<02NX:0?ooo`3oool00P3oool01009jPX0oooo
0?ooo`09jPX80?ooo`0400WZ2P3oool0oooo00WZ2PD0oooo00<02NX:0?ooo`3oool01@3oool200WZ
2PL0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo00WZ2P070?ooo`0300WZ2P3oool0oooo
0080oooo00D02NX:0?ooo`3oool0oooo00WZ2P080?ooo`0300WZ2P3oool02NX:00D0oooo00<02NX:
0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:
0?ooo`3oool0oooo00WZ2P070?ooo`0400WZ2P3oool0oooo00WZ2PD0oooo00<02NX:0?ooo`3oool0
0P3oool01@000000oooo0?ooo`0000002NX:00<00000101oOgl00`09jPX0000007moO`0407moO`03
00WZ2P1oOgl02NX:0080Ogmo0P09jPX01@1oOgl0000007moO`1oOgl0000000/0oooo00<000000?oo
o`3oool0403oool00140oooo00<000000?ooo`3oool0103oool2000000H0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo0P09jPX01@1oOgl0
00000?ooo`3oool02NX:008000001P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo
00<0oooo00<02NX:0?ooo`09jPX0203oool01@09jPX0oooo0?ooo`3oool02NX:00@0oooo00<02NX:
0?ooo`3oool01@3oool00`09jPX0oooo00WZ2P060?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX8
0?ooo`0300WZ2P3oool0oooo0080oooo00@02NX:0?ooo`3oool02NX:203oool01009jPX0oooo0?oo
o`09jPX50?ooo`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00@0oooo
00<02NX:0?ooo`09jPX01`3oool00`09jPX0oooo0?ooo`020?ooo`0500WZ2P3oool0oooo0?ooo`09
jPX0203oool00`09jPX0oooo00WZ2P050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3o
ool01P3oool00`09jPX0oooo0?ooo`020?ooo`0500WZ2P3oool0oooo0?ooo`09jPX01`3oool01009
jPX0oooo0?ooo`09jPX50?ooo`0300WZ2P3oool0oooo0080oooo00D000000?ooo`3oool0oooo00WZ
2P0207moO`8000000`1oOgl00`09jPX0000007moO`0407moO`0300WZ2P1oOgl02NX:00<0Ogmo1P09
jPX;0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo0P09jPX2
0?ooo`030000003oool02NX:00P0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`03
0?ooo`0300WZ2P3oool02NX:00P0oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ2P3o
ool0oooo00D0oooo00<02NX:0?ooo`09jPX01P3oool00`09jPX0oooo0?ooo`050?ooo`802NX:203o
ool00`09jPX0oooo0?ooo`020?ooo`0400WZ2P3oool0oooo00WZ2PP0oooo00@02NX:0?ooo`3oool0
2NX:1@3oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool02NX:00L0ooooIP09jPX30000000300WZ2P000000oooo00T0oooo00<000000?ooo`3o
ool0403oool00140oooo00<000000?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool00P3oooo;00WZ2TP0oooo00<000000?ooo`000000
301oOgl00`000000Ogmo07moO`0707moO`0300WZ2P1oOgl00000008000000P09jPX00`000000oooo
0?ooo`070?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo00`0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool02`3oooo800WZ2S`0oooo00<0Ogmo0000003oool0e03oool2000000h0Ogmo00<0
000007moO`1oOgl01P1oOgl200WZ2P0707moO`000000000000000009jPX0Ogmo000000080?ooo`03
0000003oool0oooo0100oooo000A0?oooj@02NX:o`3oool70?ooo`030000003oool0oooo0=80oooo
00<0000007moO`1oOgl03P1oOgl8000000<02NX:0P0000000`09jPX0000000WZ2P02000000L0oooo
00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonX0?ooo`0307moO`00
0000oooo0=80oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0507moO`802NX:00P0
Ogmo0000000000002NX:07moO`09jPX0Ogmo000000L0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonY0?ooo`0307moO`000000oooo0=40oooo0P00000>07moO`03
0000001oOgl0Ogmo00H0Ogmo0P09jPX01`1oOgl0000000000009jPX0Ogmo00WZ2P000000203oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojX0oooo00<0Ogmo0000
003oool0NP3ooomf00WZ2P030000003oool0oooo00L0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooomP0?ooodH02NX:0P00002100WZ2P030?ooo`09jPX0oooo00L0
oooo00D02NX:0?ooo`3oool0oooo00WZ2P040?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?oo
o`09jPX01P3oool00`09jPX0oooo0?ooo`050?ooo`802NX:1`3oool00`09jPX0oooo0?ooo`020?oo
o`0500WZ2P3oool0oooo0?ooo`09jPX0203oool00`09jPX0oooo00WZ2P020?ooo`<000000P09jPX3
0?ooo`050000003oool0oooo00000009jPX0201oOgl00`09jPX0000007moO`0307moO`<0000000@0
2NX:07moO`09jPX02NX:1000000200WZ2PX0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0U`3oooo;00WZ2P80oooo00L02NX:0?ooo`3oool0oooo00WZ2P3oool02NX:00H0
oooo00<02NX:0?ooo`09jPX01P3oool200WZ2PH0oooo0`09jPX70?ooo`802NX:0`3oool01@09jPX0
oooo0?ooo`3oool02NX:00P0oooo00<02NX:0?ooo`09jPX01@3oool00`0000002NX:000000040000
0080oooo0P09jPX70?ooo`0300WZ2P3oool0oooo00<0oooo00@02NX:0?ooo`3oool02NX:203oool0
1009jPX0oooo0?ooo`09jPX40?ooo`0300WZ2P3oool0oooo00H0oooo0P09jPX70?ooo`0300WZ2P3o
ool0oooo00@0oooo0P09jPX80?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?ooo`3oool0oooo
00WZ2P070?ooo`0400WZ2P3oool0oooo00WZ2PD0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0
oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`09jPX0203oool01@09jPX0
oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo00WZ2P060?oo
o`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?oo
o`3oool0oooo00WZ2P080?ooo`0300WZ2P3oool02NX:00<0oooo0`0000001@09jPX000000000003o
ool0000000<0oooo00<02NX:07moO`1oOgl01P1oOgl00`09jPX0Ogmo07moO`0307moO`0400WZ2P00
0000000000WZ2PH0000000<02NX:00000009jPX02P3oool00`000000oooo0?ooo`0@0?ooo`004@3o
ool00`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001@00
00000`09jPX00000000000060000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000050000000300WZ2P000000000000H0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000D0000000<02NX:0000000000001P00
00000`09jPX00000000000060000000300WZ2P000000000000@0000000<0Ogmo00WZ2P3oool02P3o
ool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`0G0?oool`02NX:1@3oool2
00WZ2P80oooo00L02NX:0?ooo`3oool0oooo00WZ2P3oool02NX:00H0oooo00<02NX:0?ooo`09jPX0
1P3oool00`09jPX0oooo00WZ2P050?ooo`0400WZ2P3oool0oooo00WZ2PD0oooo00@02NX:0?ooo`3o
ool02NX:0P3oool01009jPX0oooo0?ooo`09jPX20?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:
0?ooo`3oool0oooo00WZ2P040?ooo`0500WZ2P3oool0oooo0?ooo`09jPX0103oool200WZ2P80oooo
00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo0?ooo`3oool02NX:0080oooo0P09jPX40?ooo`05
00WZ2P3oool0oooo0?ooo`09jPX0103oool01@09jPX0oooo0?ooo`3oool02NX:00D0oooo00<02NX:
0?ooo`09jPX00P3oool01`09jPX0oooo0?ooo`3oool02NX:0?ooo`09jPX01P3oool00`09jPX0oooo
00WZ2P060?ooo`802NX:1P3oool300WZ2PL0oooo0P09jPX30?ooo`0500WZ2P3oool0oooo0?ooo`09
jPX0203oool00`09jPX0oooo00WZ2P050?ooo`0300000009jPX000000080000000@02NX:0?ooo`00
000000000P09jPX70?ooo`0300WZ2P3oool0oooo00<0oooo00@02NX:0?ooo`3oool02NX:203oool0
1009jPX0oooo0?ooo`09jPX40?ooo`0300WZ2P3oool0oooo00H0oooo0P09jPX70?ooo`0300WZ2P3o
ool0oooo00@0oooo0P09jPX80?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?ooo`3oool0oooo
00WZ2P070?ooo`0400WZ2P3oool0oooo00WZ2PD0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0
oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`09jPX0203oool01@09jPX0
oooo0?ooo`3oool02NX:00@0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo00WZ2P060?oo
o`0300WZ2P3oool0oooo00D0oooo0P09jPX70?ooo`0300WZ2P3oool0oooo0080oooo00D02NX:0?oo
o`3oool0oooo00WZ2P080?ooo`0300WZ2P3oool02NX:00<0oooo0`0000000`09jPX000000?ooo`02
000000<0oooo00<02NX:0000001oOgl01@1oOgl00`0000002NX:07moO`0407moO`0400WZ2P000000
000000WZ2P80000000<0Ogmo0000000000000P00000<0?ooo`030000003oool0oooo0100oooo000A
0?ooo`030000003oool0oooo0=h0ooooa`09jPX20000000600WZ2P3oool0oooo0?ooo`09jPX0oooo
0P00000200WZ2PL0oooo00<02NX:0?ooo`3oool00`3oool01009jPX0oooo0?ooo`09jPX80?ooo`04
00WZ2P3oool0oooo00WZ2P@0oooo00<02NX:0?ooo`3oool01P3oool200WZ2PL0oooo00<02NX:0?oo
o`3oool0103oool200WZ2PP0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo0?ooo`3oool0
2NX:00L0oooo00@02NX:0?ooo`3oool02NX:1@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo00WZ2P080?ooo`0500WZ2P3o
ool0oooo0?ooo`09jPX0103oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool02NX:00H0oooo
00<02NX:0?ooo`3oool01@3oool200WZ2PL0oooo00<02NX:0?ooo`3oool00P3oool01@09jPX0oooo
0?ooo`3oool02NX:00P0oooo00<02NX:0?ooo`09jPX00P3oool200000080oooo00D02NX:0?ooo`3o
ool0oooo000000030?ooo`0300WZ2P3oool0000000@0Ogmo00<0000007moO`09jPX01@1oOgl20000
00<02NX:101oOgl00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo0?l0ooooY`3oooo=00WZ2P@0oooo0P09jPX30?ooo`050000003oool0oooo0?oo
o`09jPX00P3oool010000000Ogmo07moO`00000207moO`0300WZ2P1oOgl0Ogmo00<0Ogmo0P09jPX0
0`1oOgl02NX:00WZ2P0307moO`030000003oool0oooo00`0oooo00<000000?ooo`3oool0403oool0
0140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX00P00002k
0?ooobH02NX:0`1oOgl00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0oooo[03oool01P09jPX0oooo0000003oool02NX:0?ooo`800000b@3o
ool00`000000oooo0?ooo`050?ooo`030000001oOgl0Ogmo00h0Ogmo00<000000?ooo`3oool03P3o
ool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D02NX:
0?ooo`000000oooo00WZ2P020?ooo`0307moO`000000oooo0<L0oooo00<000000?ooo`3oool01@3o
ool00`000000Ogmo07moO`0>07moO`030000003oool0oooo00h0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX00`3o
ool00`1oOgl000000?ooo`360?ooo`030000003oool0oooo00@0oooo00<0000007moO`1oOgl03P1o
Ogl00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0
oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:00@0oooo0P0000360?ooo`030000003o
ool0oooo00<0oooo00<0000007moO`1oOgl03P1oOgl00`000000oooo0?ooo`0@0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003o
ool02NX:00D0oooo0P0000350?ooo`030000003oool0oooo0080oooo00<0000007moO`1oOgl03P1o
Ogl00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0
oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0<`0oooo00D000000?ooo`3oool0oooo
0000000@07moO`030000003oool0oooo0180oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX0c03oool01@000000oooo
0?ooo`3oool000000100Ogmo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0@0?ooo`00
4@3oool00`000000oooo0?ooo`3o0?oooj`0oooo1@09jP[<0?ooo`040000003oool0oooo00000100
Ogmo00<000000?ooo`3oool04`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3<0?ooo`030000003oool000000100
Ogmo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3<0?ooo`800000401oOgl00`000000
oooo0?ooo`0E0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo
[03oool01@09jPX0oooo0000003oool02NX:0<`0oooo4P00000H0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0<`0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3<0?ooo`030000003oool0oooo02L0
oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0500WZ
2P3oool000000?ooo`09jPX0c03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0<`0
oooo00<000000?ooo`3oool09`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0?H0
oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`D02NX:
mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D0
2NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX0
mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D0
2NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX0
mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D0
2NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`D02NX:mP3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ
2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool0
1@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX0mP3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ
2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool0
1@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon/0?ooo`0500WZ2P3oool000000?ooo`09jPX0mP3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ
2P3f0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool0
1@09jPX0oooo0000003oool02NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon/0?ooo`D02NX:mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool0
2NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?oo
o`0500WZ2P3oool000000?ooo`09jPX0mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool0
2NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?oo
o`0500WZ2P3oool000000?ooo`09jPX0mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooj`0oooo00D02NX:0?ooo`000000oooo00WZ2P3f0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool01@09jPX0oooo0000003oool0
2NX:0?H0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?oo
o`D02NX:mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0
oooo00<02NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool00`09jPX0oooo000000020?ooo`0300WZ
2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3o
oon/0?ooo`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0l`3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool0
0`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
0?l0oooo[03oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?oo
o`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0300WZ2P3oool000000080
oooo00<02NX:0?ooo`3oool0l`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool00`09jPX0oooo0000
00020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon/0?ooo`H02NX:m@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`3c0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool00`09jPX0
oooo000000020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo
00<000000?ooo`3oool0o`3ooon/0?ooo`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0
l`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00<0
2NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A
0?ooo`030000003oool0oooo0?l0oooo[03oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0
oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?oo
o`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0l`3oool00`000000oooo0?ooo`0@0?oo
o`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool00`09jPX0
oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo
[03oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0
403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`H02NX:m@3oool00`000000oooo0?oo
o`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool0
0`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
0?l0oooo[03oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?oo
o`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon/0?ooo`0300WZ2P3oool000000080
oooo00<02NX:0?ooo`3oool0l`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oooj`0oooo00<02NX:0?ooo`0000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo[03oool00`09jPX0oooo0000
00020?ooo`0300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooon/0?ooo`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0l`3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj/0oooo00@02NX:0?oo
o`3oool000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooZ`3oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0
oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon[0?oo
o`L02NX:m@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj/0
oooo00@02NX:0?ooo`3oool000000P3oool00`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ`3oool01009jPX0oooo0?ooo`0000020?oo
o`0300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3o
ool0o`3ooon[0?ooo`0700WZ2P000000oooo0000003oool0000000WZ2P3e0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ`3oool00`09jPX00000000000030000
000300WZ2P3oool0oooo0?<0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3o
ool0o`3ooon[0?ooo`0300WZ2P000000000000<0000000<02NX:0?ooo`3oool0l`3oool00`000000
oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj/0oooo00<02NX:000000000000
0`0000000`09jPX0oooo0?ooo`3c0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003o
ool0oooo0?l0ooooZ`3oool00`09jPX00000000000030000000300WZ2P3oool0oooo0?<0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon[0?ooo`0300WZ2P3oool0
00000080000000<0oooo00WZ2P3oool0m03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?oooj/0oooo1`09jPXA0?ooo`D000000P3oool200000=/0oooo00<000000?oo
o`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonS0?ooo`P0000000<02NX:00000000
00000P0000000`3oool02NX:0?ooo`0A0?ooo`060000003oool0oooo0000003oool000000P3oool0
0`000000oooo0?ooo`3H0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo
0?l0ooooW`3oool4000000D0Ogmo00D0000007moO`1oOgl02NX:07moO`040000000300WZ2P3oool0
oooo0100oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`3H0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooW@3oool>0000000300WZ2P0000000000
00<0000000<02NX:0000003oool0403oool00`000000oooo0?ooo`030?ooo`800000f`3oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooid0oooo3P0000000`09jPX0
0000000000030000000300WZ2P000000oooo0100oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`3H0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo
Z`3oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo0100oooo00<000000?ooo`3o
ool00P3oool010000000oooo0?ooo`00003J0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo0?l0ooooZ`3oool01009jPX0oooo0?ooo`0000020?ooo`0300WZ2P3oool0oooo
00l0oooo0`0000040?ooo`800000f`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000
oooo0?ooo`3o0?oooj/0oooo00H02NX:0?ooo`3oool000000?ooo`09jP[f0?ooo`030000003oool0
oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ`3oool01P09jPX0oooo0?ooo`000000
oooo00WZ2_H0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon[
0?ooo`H02NX:mP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
oj/0oooo00H02NX:0?ooo`3oool000000?ooo`09jP[f0?ooo`030000003oool0oooo0100oooo000A
0?ooo`030000003oool0oooo0?l0ooooZ`3oool00`09jPX0oooo000000020?ooo`0300WZ2P3oool0
oooo0?@0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooon[0?oo
o`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0m03oool00`000000oooo0?ooo`0@0?oo
o`004@3oool00`000000oooo0?ooo`3o0?oooj/0oooo00D02NX:0?ooo`000000oooo00WZ2P3g0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ`3oool01@09jPX0
oooo0000003oool02NX:0?L0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3o
ool0o`3ooon[0?ooo`0500WZ2P3oool000000?ooo`09jPX0m`3oool00`000000oooo0?ooo`0@0?oo
o`004@3oool00`000000oooo0?ooo`3o0?oooj/0oooo00D02NX:0?ooo`000000oooo00WZ2P3g0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ`3oool01@09jPX0
oooo0000003oool02NX:0?L0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3o
ool0o`3ooon[0?ooo`D02NX:m`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?ooojX0oooo00H02NX:0?ooo`3oool000000?ooo`09jP[g0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3oool01P09jPX0oooo0?ooo`000000oooo
00WZ2_L0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonZ0?oo
o`0600WZ2P3oool0oooo0000003oool02NX:m`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojX0oooo00H02NX:0?ooo`3oool000000?ooo`09jP[g0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3oool01P09jPX0oooo0?oo
o`000000oooo00WZ2_L0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonZ0?ooo`0300WZ2P3oool000000080oooo00<02NX:0?ooo`3oool0m@3oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojX0oooo00D02NX:0?ooo`000000oooo
00WZ2P3h0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3o
ool01@09jPX0oooo0000003oool02NX:0?P0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonZ0?ooo`D02NX:n03oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojX0oooo00D02NX:0?ooo`000000oooo00WZ2P3h0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3oool01@09jPX0oooo0000003o
ool02NX:0?P0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonZ
0?ooo`0500WZ2P3oool000000?ooo`09jPX0n03oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojX0oooo00D02NX:0?ooo`000000oooo00WZ2P3h0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3oool01@09jPX0oooo0000003o
ool02NX:0?P0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonZ
0?ooo`0500WZ2P3oool000000?ooo`09jPX0n03oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojX0oooo00D02NX:0?ooo`000000oooo00WZ2P3h0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZP3oool01@09jPX0oooo0000003o
ool02NX:0?P0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonZ
0?ooo`D02NX:n03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
ojX0oooo00@02NX:0000003oool02NX:n@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?ooojX0oooo00@02NX:0000003oool02NX:n@3oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojX0oooo00@02NX:0000003oool02NX:n@3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojX0oooo00@02NX:0000
003oool02NX:n@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
ojX0oooo00@02NX:0000003oool02NX:n@3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?ooojX0oooo00@02NX:0000003oool02NX:n@3oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojT0oooo00@02NX:0?ooo`0000002NX:nP3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojT0oooo00@02NX:0?oo
o`0000002NX:nP3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oo
ojT0oooo1009jP[j0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooZ@3oool01009jPX0oooo00000009jP[j0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo0?l0ooooZ@3oool01009jPX0oooo00000009jP[j0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ@3oool01009jPX0oooo00000009jP[j0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ@3oool01009jPX0
oooo00000009jP[j0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooZ@3oool01009jPX000000?ooo`09jP[j0?ooo`030000003oool0oooo0100oooo000A0?ooo`03
0000003oool0oooo0?l0ooooZ@3oool01009jPX000000?ooo`09jP[j0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ@3oool01009jPX000000?ooo`09jP[j0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ@3oool01009jPX0
00000?ooo`09jP[j0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooZ@3oool400WZ2_X0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonY0?ooo`0300WZ2P0000002NX:0?/0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonY0?ooo`0300WZ2P0000002NX:0?/0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonY0?ooo`0300WZ2P0000002NX:0?/0oooo00<00000
0?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonY0?ooo`0300WZ2P0000002NX:
0?/0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonY0?ooo`03
00WZ2P0000002NX:0?/0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0
o`3ooonY0?ooo`0300WZ2P0000002NX:0?/0oooo00<000000?ooo`3oool0403oool00140oooo00<0
00000?ooo`3oool0o`3ooonX0?ooo`0300WZ2P3oool000000?`0oooo00<000000?ooo`3oool0403o
ool00140oooo00<000000?ooo`3oool0o`3ooonX0?ooo`0300WZ2P3oool000000?`0oooo00<00000
0?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonX0?ooo`<02NX:o03oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<02NX:00000009
jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo
00<02NX:00000009jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?ooojP0oooo00<02NX:00000009jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojP0oooo00<02NX:00000009jPX0o03oool00`000000oooo0?ooo`0@
0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<02NX:00000009jPX0o03oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo00<02NX:00000009
jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojP0oooo
00<02NX:00000009jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?ooojP0oooo00<02NX:00000009jPX0o03oool00`000000oooo0?ooo`0@0?ooo`004@3oool0
0`000000oooo0?ooo`3o0?ooojP0oooo0`09jP[l0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooZ03oool00`09jPX000000?ooo`3l0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`09jPX000000?ooo`3l0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`09jPX00000
0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03o
ool00`0000002NX:0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0
oooo0?l0ooooZ03oool00`0000002NX:0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?oo
o`030000003oool0oooo0?l0ooooZ03oool00`0000002NX:0?ooo`3l0?ooo`030000003oool0oooo
0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`0000002NX:0?ooo`3l0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03oool00`0000002NX:
0?ooo`3l0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooZ03o
ool200WZ2_d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonX
0?ooo`0300000009jPX0oooo0?`0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?oo
o`3oool0o`3ooonX0?ooo`0300000009jPX0oooo0?`0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonX0?ooo`0300000009jPX0oooo0?`0oooo00<000000?ooo`3o
ool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300WZ2P000000oooo0?d0oooo
00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300WZ2P00
0000oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW
0?ooo`0300WZ2P000000oooo0?d0oooo00<000000?ooo`3oool0403oool00140oooo00<000000?oo
o`3oool0o`3ooonW0?ooo`0300WZ2P000000oooo0?d0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonW0?ooo`0300000009jPX0oooo0?d0oooo00<000000?ooo`3o
ool0403oool00140oooo00<000000?ooo`3oool0o`3ooonW0?ooo`802NX:oP3oool00`000000oooo
0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojL0oooo0P09jP[n0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`000000oooo0?ooo`3m
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`00
0000oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooY`3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000
003oool0oooo0?l0ooooY`3oool00`000000oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo
000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`000000oooo0?ooo`3m0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`000000oooo0?ooo`3m
0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY`3oool00`00
0000oooo0?ooo`3m0?ooo`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0
ooooY@3oool01@000000oooo0000003oool000000?d0oooo00<000000?ooo`3oool0403oool00140
oooo00<000000?ooo`3oool0o`3ooonU0?ooo`80000000<02NX:000000000000o@3oool00`000000
oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?oooj@0oooo1@00003n0?ooo`030000
003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03oool500000?h0oooo00<0
00000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonT0?ooo`D00000oP3oool0
0`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojD0oooo0`00003o0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY@3oool300000?l0
oooo00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonU0?ooo`<00000
503oool5000000@0oooo00<000000?ooo`3oool0g`3oool00`000000oooo0?ooo`0@0?ooo`004@3o
ool00`000000oooo0?ooo`3o0?ooojD0oooo1P00000B0?ooo`040000003oool0oooo000000@0oooo
00<000000?ooo`3oool0g`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?oo
o`3o0?oooj@0oooo2000000A0?ooo`030000003oool0oooo0080oooo1000003Q0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooYP3oool00`09jPX0000000000002
00000180oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00003Q0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03oool01@000000oooo00000009
jPX0000001@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000003Q0?ooo`030000003o
ool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY03oool5000001@0oooo00<00000
0?ooo`3oool0103oool200000>40oooo00<000000?ooo`3oool0403oool00140oooo00<000000?oo
o`3oool0o`3ooonU0?ooo`@000004`3oool3000000H0oooo00<000000?ooo`3oool0g`3oool00`00
0000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo0?ooo`3o0?ooojD0oooo1000003n0?ooo`03
0000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0ooooY@3oool300000?l0oooo
00<000000?ooo`3oool0403oool00140oooo00<000000?ooo`3oool0o`3ooonV0?ooo`8000004P3o
ool010000000oooo0000000000020?ooo`@00000h`3oool00`000000oooo0?ooo`0@0?ooo`004@3o
ool00`000000oooo0?ooo`3o0?ooojH0oooo0P00000B0?ooo`8000000P3oool00`000000oooo0000
00020?ooo`030000003oool0oooo0>40oooo00<000000?ooo`3oool0403oool00140oooo00<00000
0?ooo`3oool0o`3ooonV0?ooo`<0000000<0oooo0000003oool03P3oool00`000000oooo0?ooo`02
00000080oooo00<000000?ooo`3oool0h`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`00
0000oooo0?ooo`3o0?ooojH0oooo1000000A0?ooo`<00000103oool00`000000oooo0?ooo`3R0?oo
o`030000003oool0oooo0100oooo000A0?ooo`030000003oool0oooo0?l0oooo^P3oool200000080
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`3Q0?ooo`030000003oool0oooo0100
oooo000A0?ooo`030000003oool0oooo0?l0oooo^P3oool00`000000oooo0?ooo`02000000050?oo
o`000000oooo0?ooo`000000h`3oool00`000000oooo0?ooo`0@0?ooo`004@3oool00`000000oooo
0?ooo`3o0?oook/0oooo0P000000103oool000000?ooo`3oool200000>@0oooo00<000000?ooo`3o
ool0403oool00140ooooo`00003o00000:`000004P3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo
0?oooll0oooo003o0?ooool0ooooc`3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo0?oooll0oooo
003o0?ooool0ooooc`3oool00?l0ooooo`3oooo?0?ooo`00o`3ooooo0?oooll0oooo003o0?ooool0
ooooc`3oool00?l0ooooo`3oooo?0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 716}, {447.125, 0}} -> {-40.7132, -525.005, 2.34836, \
2.34836}},
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gaussian Beam Interference", "Section",
  CellTags->"Three Wavelets with Lens"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .34679 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.335042 0.00622464 0.18292 0.00622464 [
[.36616 .00826 -3 -4.5 ]
[.36616 .00826 3 4.5 ]
[.97618 .00826 -3 -4.5 ]
[.97618 .00826 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .34679 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
0 0 Mdot
grestore
} def
% End of user PostScript
.5 g
.37502 .0273 m
.39729 .0273 L
.39729 .07918 L
.35216 .07918 L
.37502 .0273 L
F
.35216 .07918 m
.39729 .07918 L
.39729 .13105 L
.33924 .13105 L
.35216 .07918 L
F
.33924 .13105 m
.39729 .13105 L
.39729 .18292 L
.33504 .18292 L
.33924 .13105 L
F
.33504 .18292 m
.39729 .18292 L
.39729 .23479 L
.33924 .23479 L
.33504 .18292 L
F
.33924 .23479 m
.39729 .23479 L
.39729 .28666 L
.35216 .28666 L
.33924 .23479 L
F
.35216 .28666 m
.39729 .28666 L
.39729 .33854 L
.37502 .33854 L
.35216 .28666 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.37502 .0273 m
.35216 .07918 L
.33924 .13105 L
.33504 .18292 L
.33924 .23479 L
.35216 .28666 L
.37502 .33854 L
.39729 .33854 L
.39729 .28666 L
.39729 .23479 L
.39729 .18292 L
.39729 .13105 L
.39729 .07918 L
.39729 .0273 L
.37502 .0273 L
s
.5 g
.37502 .18292 m
.39729 .18292 L
.39729 .18292 L
.35216 .18292 L
.37502 .18292 L
F
.35216 .18292 m
.39729 .18292 L
.39729 .18292 L
.33924 .18292 L
.35216 .18292 L
F
.33924 .18292 m
.39729 .18292 L
.39729 .18292 L
.33504 .18292 L
.33924 .18292 L
F
.33504 .18292 m
.39729 .18292 L
.39729 .18292 L
.33924 .18292 L
.33504 .18292 L
F
.33924 .18292 m
.39729 .18292 L
.39729 .18292 L
.35216 .18292 L
.33924 .18292 L
F
.35216 .18292 m
.39729 .18292 L
.39729 .18292 L
.37502 .18292 L
.35216 .18292 L
F
0 g
.37502 .18292 m
.35216 .18292 L
.33924 .18292 L
.33504 .18292 L
.33924 .18292 L
.35216 .18292 L
.37502 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.37502 .18292 L
s
.37502 .33854 m
.39729 .33854 L
.39729 .33323 L
.37502 .33323 L
.37502 .33854 L
s
.37502 .33323 m
.39729 .33323 L
.39729 .31769 L
.37502 .31769 L
.37502 .33323 L
s
.37502 .31769 m
.39729 .31769 L
.39729 .29296 L
.37502 .29296 L
.37502 .31769 L
s
.37502 .29296 m
.39729 .29296 L
.39729 .26073 L
.37502 .26073 L
.37502 .29296 L
s
.37502 .26073 m
.39729 .26073 L
.39729 .2232 L
.37502 .2232 L
.37502 .26073 L
s
.37502 .2232 m
.39729 .2232 L
.39729 .18292 L
.37502 .18292 L
.37502 .2232 L
s
.37502 .18292 m
.39729 .18292 L
.39729 .14264 L
.37502 .14264 L
.37502 .18292 L
s
.37502 .14264 m
.39729 .14264 L
.39729 .10511 L
.37502 .10511 L
.37502 .14264 L
s
.37502 .10511 m
.39729 .10511 L
.39729 .07288 L
.37502 .07288 L
.37502 .10511 L
s
.37502 .07288 m
.39729 .07288 L
.39729 .04815 L
.37502 .04815 L
.37502 .07288 L
s
.37502 .04815 m
.39729 .04815 L
.39729 .03261 L
.37502 .03261 L
.37502 .04815 L
s
.37502 .03261 m
.39729 .03261 L
.39729 .0273 L
.37502 .0273 L
.37502 .03261 L
s
.37502 .0273 m
.39729 .0273 L
.39729 .03261 L
.37502 .03261 L
.37502 .0273 L
s
.37502 .03261 m
.39729 .03261 L
.39729 .04815 L
.37502 .04815 L
.37502 .03261 L
s
.37502 .04815 m
.39729 .04815 L
.39729 .07288 L
.37502 .07288 L
.37502 .04815 L
s
.37502 .07288 m
.39729 .07288 L
.39729 .10511 L
.37502 .10511 L
.37502 .07288 L
s
.37502 .10511 m
.39729 .10511 L
.39729 .14264 L
.37502 .14264 L
.37502 .10511 L
s
.37502 .14264 m
.39729 .14264 L
.39729 .18292 L
.37502 .18292 L
.37502 .14264 L
s
.37502 .18292 m
.39729 .18292 L
.39729 .2232 L
.37502 .2232 L
.37502 .18292 L
s
.37502 .2232 m
.39729 .2232 L
.39729 .26073 L
.37502 .26073 L
.37502 .2232 L
s
.37502 .26073 m
.39729 .26073 L
.39729 .29296 L
.37502 .29296 L
.37502 .26073 L
s
.37502 .29296 m
.39729 .29296 L
.39729 .31769 L
.37502 .31769 L
.37502 .29296 L
s
.37502 .31769 m
.39729 .31769 L
.39729 .33323 L
.37502 .33323 L
.37502 .31769 L
s
.37502 .33323 m
.39729 .33323 L
.39729 .33854 L
.37502 .33854 L
.37502 .33323 L
s
.97618 .0273 m
.97618 .07918 L
.97618 .13105 L
.97618 .18292 L
.97618 .23479 L
.97618 .28666 L
.97618 .33854 L
.97618 .33854 L
.97618 .28666 L
.97618 .23479 L
.97618 .18292 L
.97618 .13105 L
.97618 .07918 L
.97618 .0273 L
.97618 .0273 L
s
.97618 .18292 m
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
.97618 .18292 L
s
.97618 .33854 m
.97618 .33323 L
.97618 .31769 L
.97618 .29296 L
.97618 .26073 L
.97618 .2232 L
.97618 .18292 L
.97618 .14264 L
.97618 .10511 L
.97618 .07288 L
.97618 .04815 L
.97618 .03261 L
.97618 .0273 L
.97618 .03261 L
.97618 .04815 L
.97618 .07288 L
.97618 .10511 L
.97618 .14264 L
.97618 .18292 L
.97618 .2232 L
.97618 .26073 L
.97618 .29296 L
.97618 .31769 L
.97618 .33323 L
.97618 .33854 L
s
0 0 0 r
[(L)] .36616 .00826 0 0 Mshowa
[(S)] .97618 .00826 0 0 Mshowa
.039 .916 .04 r
1 Mabswid
.02381 .15491 m
.0397 .15491 L
.05558 .15491 L
.07147 .15491 L
.08735 .15491 L
.10324 .15491 L
.11912 .15491 L
.13501 .15491 L
.15089 .15491 L
.16678 .15491 L
.18267 .15491 L
.19855 .15491 L
.21444 .15491 L
.23032 .15491 L
.24621 .15491 L
.26209 .15491 L
.27798 .15491 L
.29386 .15491 L
.30975 .15491 L
.32564 .15491 L
.34142 .15507 L
.35729 .15554 L
.37317 .15601 L
.38905 .15648 L
.40488 .15707 L
.42075 .15779 L
.43662 .15851 L
.45248 .15922 L
.46835 .15994 L
.48422 .16066 L
.50009 .16138 L
.51596 .1621 L
.53183 .16281 L
.5477 .16353 L
.56357 .16425 L
.57944 .16497 L
.59531 .16569 L
.61118 .1664 L
.62705 .16712 L
.64292 .16784 L
.65879 .16856 L
.67466 .16928 L
.69053 .16999 L
.7064 .17071 L
.72227 .17143 L
.73814 .17215 L
.75401 .17287 L
.76988 .17359 L
.78575 .17431 L
.80161 .17503 L
Mistroke
.81748 .17575 L
.83335 .17647 L
.84922 .17719 L
.86509 .17791 L
.88096 .17863 L
.89683 .17936 L
.9127 .18009 L
.92857 .18083 L
.94444 .18157 L
.9603 .18234 L
.97617 .18313 L
Mfstroke
.02381 .14868 m
.0397 .14868 L
.05558 .14868 L
.07147 .14868 L
.08735 .14868 L
.10324 .14868 L
.11912 .14868 L
.13501 .14868 L
.15089 .14868 L
.16678 .14868 L
.18267 .14868 L
.19855 .14868 L
.21444 .14868 L
.23032 .14868 L
.24621 .14868 L
.26209 .14868 L
.27798 .14868 L
.29386 .14868 L
.30975 .14868 L
.32564 .14868 L
.34162 .14886 L
.3575 .14944 L
.37337 .15001 L
.38925 .15059 L
.40517 .15132 L
.42103 .1522 L
.43689 .15308 L
.45275 .15395 L
.46861 .15483 L
.48447 .15571 L
.50033 .15659 L
.5162 .15746 L
.53206 .15834 L
.54792 .15922 L
.56378 .1601 L
.57964 .16098 L
.5955 .16185 L
.61136 .16273 L
.62723 .16361 L
.64309 .16449 L
.65895 .16536 L
.67481 .16624 L
.69067 .16712 L
.70653 .168 L
.7224 .16887 L
.73826 .16975 L
.75412 .17063 L
.76998 .1715 L
.78584 .17238 L
.8017 .17326 L
Mistroke
.81757 .17413 L
.83343 .17501 L
.84929 .17588 L
.86515 .17676 L
.88101 .17763 L
.89687 .1785 L
.91274 .17936 L
.9286 .18022 L
.94446 .18107 L
.96033 .18191 L
.97619 .18271 L
Mfstroke
0 0 0 r
.02381 .1518 m
.33655 .1518 L
s
% Start of user PostScript
-50. -5. 0.24154 -5. MAarrowhead1
% End of user PostScript
.33655 .1518 m
.39729 .15381 L
s
% Start of user PostScript
0.24154 -5. 10. -4.67726 MAarrowhead1
% End of user PostScript
.39729 .15381 m
.97618 .18292 L
s
% Start of user PostScript
10. -4.67726 103. -0.000304527 MAarrowhead1
% End of user PostScript
.97618 .18292 m
.97618 .18292 L
s
% Start of user PostScript
103. -0.000304527 MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .149 m
.02381 .14918 L
.02381 .14937 L
.02381 .14956 L
.02381 .14974 L
.02381 .14993 L
.02381 .15012 L
.02381 .1503 L
.02381 .15049 L
.02381 .15068 L
.02381 .15086 L
.02381 .15105 L
.02381 .15124 L
.02381 .15142 L
.02381 .15161 L
.02381 .1518 L
.02381 .15198 L
.02381 .15217 L
.02381 .15236 L
.02381 .15254 L
.02381 .15273 L
.02381 .15292 L
.02381 .1531 L
.02381 .15329 L
.02381 .15348 L
.02381 .15366 L
.02381 .15385 L
.02381 .15404 L
.02381 .15422 L
.02381 .15441 L
.02381 .1546 L
s
.04764 .149 m
.04764 .14918 L
.04764 .14937 L
.04764 .14956 L
.04764 .14974 L
.04764 .14993 L
.04764 .15012 L
.04764 .1503 L
.04764 .15049 L
.04764 .15068 L
.04764 .15086 L
.04764 .15105 L
.04764 .15124 L
.04764 .15142 L
.04764 .15161 L
.04764 .1518 L
.04764 .15198 L
.04764 .15217 L
.04764 .15236 L
.04764 .15254 L
.04764 .15273 L
.04764 .15292 L
.04764 .1531 L
.04764 .15329 L
.04764 .15348 L
.04764 .15366 L
.04764 .15385 L
.04764 .15404 L
.04764 .15422 L
.04764 .15441 L
.04764 .1546 L
s
.07147 .149 m
.07147 .14918 L
.07147 .14937 L
.07147 .14956 L
.07147 .14974 L
.07147 .14993 L
.07147 .15012 L
.07147 .1503 L
.07147 .15049 L
.07147 .15068 L
.07147 .15086 L
.07147 .15105 L
.07147 .15124 L
.07147 .15142 L
.07147 .15161 L
.07147 .1518 L
.07147 .15198 L
.07147 .15217 L
.07147 .15236 L
.07147 .15254 L
.07147 .15273 L
.07147 .15292 L
.07147 .1531 L
.07147 .15329 L
.07147 .15348 L
.07147 .15366 L
.07147 .15385 L
.07147 .15404 L
.07147 .15422 L
.07147 .15441 L
.07147 .1546 L
s
.09529 .149 m
.09529 .14918 L
.09529 .14937 L
.09529 .14956 L
.09529 .14974 L
.09529 .14993 L
.09529 .15012 L
.09529 .1503 L
.09529 .15049 L
.09529 .15068 L
.09529 .15086 L
.09529 .15105 L
.09529 .15124 L
.09529 .15142 L
.09529 .15161 L
.09529 .1518 L
.09529 .15198 L
.09529 .15217 L
.09529 .15236 L
.09529 .15254 L
.09529 .15273 L
.09529 .15292 L
.09529 .1531 L
.09529 .15329 L
.09529 .15348 L
.09529 .15366 L
.09529 .15385 L
.09529 .15404 L
.09529 .15422 L
.09529 .15441 L
.09529 .1546 L
s
.11912 .149 m
.11912 .14918 L
.11912 .14937 L
.11912 .14956 L
.11912 .14974 L
.11912 .14993 L
.11912 .15012 L
.11912 .1503 L
.11912 .15049 L
.11912 .15068 L
.11912 .15086 L
.11912 .15105 L
.11912 .15124 L
.11912 .15142 L
.11912 .15161 L
.11912 .1518 L
.11912 .15198 L
.11912 .15217 L
.11912 .15236 L
.11912 .15254 L
.11912 .15273 L
.11912 .15292 L
.11912 .1531 L
.11912 .15329 L
.11912 .15348 L
.11912 .15366 L
.11912 .15385 L
.11912 .15404 L
.11912 .15423 L
.11912 .15441 L
.11912 .1546 L
s
.14295 .149 m
.14295 .14918 L
.14295 .14937 L
.14295 .14956 L
.14295 .14974 L
.14295 .14993 L
.14295 .15012 L
.14295 .1503 L
.14295 .15049 L
.14295 .15068 L
.14295 .15086 L
.14295 .15105 L
.14295 .15124 L
.14295 .15142 L
.14295 .15161 L
.14295 .1518 L
.14295 .15198 L
.14295 .15217 L
.14295 .15236 L
.14295 .15254 L
.14295 .15273 L
.14295 .15292 L
.14295 .1531 L
.14295 .15329 L
.14295 .15348 L
.14295 .15366 L
.14295 .15385 L
.14295 .15404 L
.14295 .15423 L
.14295 .15441 L
.14295 .1546 L
s
.16678 .149 m
.16678 .14918 L
.16678 .14937 L
.16678 .14956 L
.16678 .14974 L
.16678 .14993 L
.16678 .15012 L
.16678 .1503 L
.16678 .15049 L
.16678 .15068 L
.16678 .15086 L
.16678 .15105 L
.16678 .15124 L
.16678 .15142 L
.16678 .15161 L
.16678 .1518 L
.16678 .15198 L
.16678 .15217 L
.16678 .15236 L
.16678 .15254 L
.16678 .15273 L
.16678 .15292 L
.16678 .1531 L
.16678 .15329 L
.16678 .15348 L
.16678 .15366 L
.16678 .15385 L
.16678 .15404 L
.16678 .15423 L
.16678 .15441 L
.16678 .1546 L
s
.19061 .149 m
.19061 .14918 L
.19061 .14937 L
.19061 .14956 L
.19061 .14974 L
.19061 .14993 L
.19061 .15012 L
.19061 .1503 L
.19061 .15049 L
.19061 .15068 L
.19061 .15086 L
.19061 .15105 L
.19061 .15124 L
.19061 .15142 L
.19061 .15161 L
.19061 .1518 L
.19061 .15198 L
.19061 .15217 L
.19061 .15236 L
.19061 .15254 L
.19061 .15273 L
.19061 .15292 L
.19061 .1531 L
.19061 .15329 L
.19061 .15348 L
.19061 .15366 L
.19061 .15385 L
.19061 .15404 L
.19061 .15423 L
.19061 .15441 L
.19061 .1546 L
s
.21444 .149 m
.21444 .14918 L
.21444 .14937 L
.21444 .14956 L
.21444 .14974 L
.21444 .14993 L
.21444 .15012 L
.21444 .1503 L
.21444 .15049 L
.21444 .15068 L
.21444 .15086 L
.21444 .15105 L
.21444 .15124 L
.21444 .15142 L
.21444 .15161 L
.21444 .1518 L
.21444 .15198 L
.21444 .15217 L
.21444 .15236 L
.21444 .15254 L
.21444 .15273 L
.21444 .15292 L
.21444 .1531 L
.21444 .15329 L
.21444 .15348 L
.21444 .15367 L
.21444 .15385 L
.21444 .15404 L
.21444 .15423 L
.21444 .15441 L
.21444 .1546 L
s
.23826 .149 m
.23826 .14918 L
.23826 .14937 L
.23826 .14956 L
.23826 .14974 L
.23826 .14993 L
.23826 .15012 L
.23826 .1503 L
.23826 .15049 L
.23826 .15068 L
.23826 .15086 L
.23826 .15105 L
.23826 .15124 L
.23826 .15142 L
.23826 .15161 L
.23826 .1518 L
.23826 .15198 L
.23826 .15217 L
.23826 .15236 L
.23826 .15254 L
.23826 .15273 L
.23826 .15292 L
.23826 .1531 L
.23826 .15329 L
.23826 .15348 L
.23826 .15367 L
.23826 .15385 L
.23826 .15404 L
.23826 .15423 L
.23826 .15441 L
.23826 .1546 L
s
.26209 .149 m
.26209 .14918 L
.26209 .14937 L
.26209 .14956 L
.26209 .14974 L
.26209 .14993 L
.26209 .15012 L
.26209 .1503 L
.26209 .15049 L
.26209 .15068 L
.26209 .15086 L
.26209 .15105 L
.26209 .15124 L
.26209 .15142 L
.26209 .15161 L
.26209 .1518 L
.26209 .15198 L
.26209 .15217 L
.26209 .15236 L
.26209 .15254 L
.26209 .15273 L
.26209 .15292 L
.26209 .1531 L
.26209 .15329 L
.26209 .15348 L
.26209 .15367 L
.26209 .15385 L
.26209 .15404 L
.26209 .15423 L
.26209 .15441 L
.26209 .1546 L
s
.28592 .14899 m
.28592 .14918 L
.28592 .14937 L
.28592 .14956 L
.28592 .14974 L
.28592 .14993 L
.28592 .15012 L
.28592 .1503 L
.28592 .15049 L
.28592 .15068 L
.28592 .15086 L
.28592 .15105 L
.28592 .15124 L
.28592 .15142 L
.28592 .15161 L
.28592 .1518 L
.28592 .15198 L
.28592 .15217 L
.28592 .15236 L
.28592 .15254 L
.28592 .15273 L
.28592 .15292 L
.28592 .1531 L
.28592 .15329 L
.28592 .15348 L
.28592 .15367 L
.28592 .15385 L
.28592 .15404 L
.28592 .15423 L
.28592 .15441 L
.28592 .1546 L
s
.30975 .14899 m
.30975 .14918 L
.30975 .14937 L
.30975 .14956 L
.30975 .14974 L
.30975 .14993 L
.30975 .15012 L
.30975 .1503 L
.30975 .15049 L
.30975 .15068 L
.30975 .15086 L
.30975 .15105 L
.30975 .15124 L
.30975 .15142 L
.30975 .15161 L
.30975 .1518 L
.30975 .15198 L
.30975 .15217 L
.30975 .15236 L
.30975 .15254 L
.30975 .15273 L
.30975 .15292 L
.30975 .15311 L
.30975 .15329 L
.30975 .15348 L
.30975 .15367 L
.30975 .15385 L
.30975 .15404 L
.30975 .15423 L
.30975 .15441 L
.30975 .1546 L
s
.33358 .14899 m
.33358 .14918 L
.33358 .14937 L
.33358 .14956 L
.33358 .14974 L
.33358 .14993 L
.33358 .15012 L
.33358 .1503 L
.33358 .15049 L
.33358 .15068 L
.33358 .15086 L
.33358 .15105 L
.33358 .15124 L
.33358 .15142 L
.33358 .15161 L
.33358 .1518 L
.33358 .15198 L
.33358 .15217 L
.33358 .15236 L
.33358 .15254 L
.33358 .15273 L
.33358 .15292 L
.33358 .15311 L
.33358 .15329 L
.33358 .15348 L
.33358 .15367 L
.33358 .15385 L
.33358 .15404 L
.33358 .15423 L
.33358 .15441 L
.33358 .1546 L
s
.35749 .14974 m
.35748 .14992 L
.35748 .15011 L
.35747 .15029 L
.35746 .15047 L
.35746 .15066 L
.35745 .15084 L
.35745 .15102 L
.35744 .15121 L
.35743 .15139 L
.35743 .15157 L
.35742 .15175 L
.35741 .15194 L
.35741 .15212 L
.3574 .1523 L
.3574 .15249 L
.35739 .15267 L
.35738 .15285 L
.35738 .15304 L
.35737 .15322 L
.35737 .1534 L
.35736 .15359 L
.35735 .15377 L
.35735 .15395 L
.35734 .15413 L
.35734 .15432 L
.35733 .1545 L
.35733 .15468 L
.35732 .15487 L
.35732 .15505 L
.35731 .15523 L
s
.3813 .1506 m
.3813 .15078 L
.38129 .15096 L
.38128 .15113 L
.38128 .15131 L
.38127 .15149 L
.38127 .15167 L
.38126 .15185 L
.38125 .15203 L
.38125 .1522 L
.38124 .15238 L
.38123 .15256 L
.38123 .15274 L
.38122 .15292 L
.38122 .1531 L
.38121 .15327 L
.3812 .15345 L
.3812 .15363 L
.38119 .15381 L
.38119 .15399 L
.38118 .15417 L
.38118 .15434 L
.38117 .15452 L
.38117 .1547 L
.38116 .15488 L
.38115 .15506 L
.38115 .15524 L
.38114 .15541 L
.38114 .15559 L
.38113 .15577 L
.38113 .15595 L
s
.40516 .15161 m
.40515 .15178 L
.40514 .15195 L
.40513 .15212 L
.40512 .1523 L
.40511 .15247 L
.4051 .15264 L
.40509 .15281 L
.40508 .15299 L
.40507 .15316 L
.40507 .15333 L
.40506 .1535 L
.40505 .15368 L
.40504 .15385 L
.40503 .15402 L
.40502 .1542 L
.40501 .15437 L
.405 .15454 L
.405 .15471 L
.40499 .15489 L
.40498 .15506 L
.40497 .15523 L
.40496 .1554 L
.40495 .15558 L
.40495 .15575 L
.40494 .15592 L
.40493 .15609 L
.40492 .15627 L
.40492 .15644 L
.40491 .15661 L
.4049 .15678 L
s
.42895 .15291 m
.42894 .15308 L
.42893 .15324 L
.42893 .15341 L
.42892 .15357 L
.42891 .15374 L
.4289 .1539 L
.42889 .15407 L
.42888 .15423 L
.42887 .1544 L
.42886 .15457 L
.42885 .15473 L
.42884 .1549 L
.42884 .15506 L
.42883 .15523 L
.42882 .15539 L
.42881 .15556 L
.4288 .15572 L
.42879 .15589 L
.42879 .15605 L
.42878 .15622 L
.42877 .15638 L
.42876 .15655 L
.42876 .15671 L
.42875 .15688 L
.42874 .15705 L
.42873 .15721 L
.42873 .15738 L
.42872 .15754 L
.42871 .15771 L
.4287 .15787 L
s
.45275 .15422 m
.45274 .15438 L
.45273 .15453 L
.45272 .15469 L
.45271 .15485 L
.4527 .15501 L
.45269 .15517 L
.45268 .15532 L
.45268 .15548 L
.45267 .15564 L
.45266 .1558 L
.45265 .15596 L
.45264 .15611 L
.45263 .15627 L
.45263 .15643 L
.45262 .15659 L
.45261 .15675 L
.4526 .1569 L
.45259 .15706 L
.45259 .15722 L
.45258 .15738 L
.45257 .15754 L
.45256 .1577 L
.45256 .15785 L
.45255 .15801 L
.45254 .15817 L
.45254 .15833 L
.45253 .15849 L
.45252 .15864 L
.45251 .1588 L
.45251 .15896 L
s
.47654 .15552 m
.47653 .15567 L
.47652 .15582 L
.47651 .15597 L
.4765 .15613 L
.4765 .15628 L
.47649 .15643 L
.47648 .15658 L
.47647 .15673 L
.47646 .15688 L
.47645 .15703 L
.47645 .15718 L
.47644 .15733 L
.47643 .15748 L
.47642 .15763 L
.47642 .15779 L
.47641 .15794 L
.4764 .15809 L
.47639 .15824 L
.47639 .15839 L
.47638 .15854 L
.47637 .15869 L
.47636 .15884 L
.47636 .15899 L
.47635 .15914 L
.47634 .15929 L
.47634 .15945 L
.47633 .1596 L
.47632 .15975 L
.47632 .1599 L
.47631 .16005 L
s
.50033 .15683 m
.50032 .15697 L
.50031 .15711 L
.50031 .15726 L
.5003 .1574 L
.50029 .15755 L
.50028 .15769 L
.50027 .15783 L
.50027 .15798 L
.50026 .15812 L
.50025 .15826 L
.50024 .15841 L
.50024 .15855 L
.50023 .15869 L
.50022 .15884 L
.50021 .15898 L
.50021 .15913 L
.5002 .15927 L
.50019 .15941 L
.50019 .15956 L
.50018 .1597 L
.50017 .15984 L
.50017 .15999 L
.50016 .16013 L
.50015 .16028 L
.50015 .16042 L
.50014 .16056 L
.50013 .16071 L
.50013 .16085 L
.50012 .16099 L
.50011 .16114 L
s
.52412 .15813 m
.52412 .15827 L
.52411 .1584 L
.5241 .15854 L
.52409 .15868 L
.52408 .15881 L
.52408 .15895 L
.52407 .15909 L
.52406 .15922 L
.52405 .15936 L
.52405 .1595 L
.52404 .15963 L
.52403 .15977 L
.52403 .15991 L
.52402 .16004 L
.52401 .16018 L
.52401 .16032 L
.524 .16045 L
.52399 .16059 L
.52399 .16073 L
.52398 .16086 L
.52397 .161 L
.52397 .16113 L
.52396 .16127 L
.52395 .16141 L
.52395 .16154 L
.52394 .16168 L
.52394 .16182 L
.52393 .16195 L
.52392 .16209 L
.52392 .16223 L
s
.54792 .15944 m
.54791 .15957 L
.5479 .1597 L
.54789 .15982 L
.54789 .15995 L
.54788 .16008 L
.54787 .16021 L
.54786 .16034 L
.54786 .16047 L
.54785 .1606 L
.54784 .16073 L
.54784 .16086 L
.54783 .16099 L
.54782 .16112 L
.54782 .16125 L
.54781 .16138 L
.5478 .16151 L
.5478 .16163 L
.54779 .16176 L
.54779 .16189 L
.54778 .16202 L
.54777 .16215 L
.54777 .16228 L
.54776 .16241 L
.54775 .16254 L
.54775 .16267 L
.54774 .1628 L
.54774 .16293 L
.54773 .16306 L
.54773 .16319 L
.54772 .16332 L
s
.57171 .16074 m
.5717 .16086 L
.57169 .16099 L
.57169 .16111 L
.57168 .16123 L
.57167 .16135 L
.57167 .16147 L
.57166 .1616 L
.57165 .16172 L
.57165 .16184 L
.57164 .16196 L
.57163 .16208 L
.57163 .16221 L
.57162 .16233 L
.57161 .16245 L
.57161 .16257 L
.5716 .16269 L
.5716 .16282 L
.57159 .16294 L
.57158 .16306 L
.57158 .16318 L
.57157 .16331 L
.57157 .16343 L
.57156 .16355 L
.57156 .16367 L
.57155 .16379 L
.57155 .16392 L
.57154 .16404 L
.57153 .16416 L
.57153 .16428 L
.57152 .16441 L
s
.5955 .16205 m
.59549 .16216 L
.59549 .16228 L
.59548 .16239 L
.59547 .16251 L
.59547 .16262 L
.59546 .16274 L
.59546 .16285 L
.59545 .16297 L
.59544 .16308 L
.59544 .16319 L
.59543 .16331 L
.59542 .16342 L
.59542 .16354 L
.59541 .16365 L
.59541 .16377 L
.5954 .16388 L
.5954 .164 L
.59539 .16411 L
.59538 .16423 L
.59538 .16434 L
.59537 .16446 L
.59537 .16457 L
.59536 .16469 L
.59536 .1648 L
.59535 .16492 L
.59535 .16503 L
.59534 .16515 L
.59534 .16526 L
.59533 .16538 L
.59533 .16549 L
s
.61929 .16335 m
.61929 .16346 L
.61928 .16357 L
.61927 .16367 L
.61927 .16378 L
.61926 .16389 L
.61926 .164 L
.61925 .1641 L
.61924 .16421 L
.61924 .16432 L
.61923 .16443 L
.61923 .16454 L
.61922 .16464 L
.61922 .16475 L
.61921 .16486 L
.61921 .16497 L
.6192 .16507 L
.61919 .16518 L
.61919 .16529 L
.61918 .1654 L
.61918 .16551 L
.61917 .16561 L
.61917 .16572 L
.61916 .16583 L
.61916 .16594 L
.61915 .16604 L
.61915 .16615 L
.61914 .16626 L
.61914 .16637 L
.61914 .16648 L
.61913 .16658 L
s
.64309 .16465 m
.64308 .16476 L
.64307 .16486 L
.64307 .16496 L
.64306 .16506 L
.64306 .16516 L
.64305 .16526 L
.64305 .16536 L
.64304 .16546 L
.64304 .16556 L
.64303 .16566 L
.64302 .16576 L
.64302 .16586 L
.64301 .16596 L
.64301 .16606 L
.643 .16616 L
.643 .16626 L
.64299 .16636 L
.64299 .16646 L
.64298 .16657 L
.64298 .16667 L
.64297 .16677 L
.64297 .16687 L
.64297 .16697 L
.64296 .16707 L
.64296 .16717 L
.64295 .16727 L
.64295 .16737 L
.64294 .16747 L
.64294 .16757 L
.64293 .16767 L
s
.66688 .16596 m
.66687 .16605 L
.66687 .16615 L
.66686 .16624 L
.66686 .16633 L
.66685 .16643 L
.66685 .16652 L
.66684 .16661 L
.66684 .16671 L
.66683 .1668 L
.66683 .16689 L
.66682 .16699 L
.66682 .16708 L
.66681 .16717 L
.66681 .16727 L
.6668 .16736 L
.6668 .16745 L
.66679 .16755 L
.66679 .16764 L
.66678 .16773 L
.66678 .16783 L
.66677 .16792 L
.66677 .16801 L
.66677 .16811 L
.66676 .1682 L
.66676 .16829 L
.66675 .16839 L
.66675 .16848 L
.66675 .16857 L
.66674 .16867 L
.66674 .16876 L
s
.69067 .16726 m
.69067 .16735 L
.69066 .16744 L
.69066 .16752 L
.69065 .16761 L
.69065 .16769 L
.69064 .16778 L
.69064 .16787 L
.69063 .16795 L
.69063 .16804 L
.69062 .16813 L
.69062 .16821 L
.69061 .1683 L
.69061 .16838 L
.6906 .16847 L
.6906 .16856 L
.6906 .16864 L
.69059 .16873 L
.69059 .16882 L
.69058 .1689 L
.69058 .16899 L
.69058 .16907 L
.69057 .16916 L
.69057 .16925 L
.69056 .16933 L
.69056 .16942 L
.69056 .16951 L
.69055 .16959 L
.69055 .16968 L
.69054 .16976 L
.69054 .16985 L
s
.71446 .16857 m
.71446 .16865 L
.71445 .16873 L
.71445 .1688 L
.71445 .16888 L
.71444 .16896 L
.71444 .16904 L
.71443 .16912 L
.71443 .1692 L
.71442 .16928 L
.71442 .16936 L
.71441 .16944 L
.71441 .16952 L
.71441 .1696 L
.7144 .16967 L
.7144 .16975 L
.71439 .16983 L
.71439 .16991 L
.71439 .16999 L
.71438 .17007 L
.71438 .17015 L
.71438 .17023 L
.71437 .17031 L
.71437 .17039 L
.71436 .17047 L
.71436 .17054 L
.71436 .17062 L
.71435 .1707 L
.71435 .17078 L
.71435 .17086 L
.71434 .17094 L
s
.73826 .16987 m
.73825 .16994 L
.73825 .17001 L
.73824 .17009 L
.73824 .17016 L
.73824 .17023 L
.73823 .1703 L
.73823 .17037 L
.73822 .17045 L
.73822 .17052 L
.73822 .17059 L
.73821 .17066 L
.73821 .17073 L
.7382 .17081 L
.7382 .17088 L
.7382 .17095 L
.73819 .17102 L
.73819 .17109 L
.73819 .17117 L
.73818 .17124 L
.73818 .17131 L
.73818 .17138 L
.73817 .17145 L
.73817 .17153 L
.73817 .1716 L
.73816 .17167 L
.73816 .17174 L
.73816 .17181 L
.73815 .17189 L
.73815 .17196 L
.73815 .17203 L
s
.76205 .17117 m
.76204 .17124 L
.76204 .1713 L
.76204 .17137 L
.76203 .17143 L
.76203 .1715 L
.76203 .17156 L
.76202 .17163 L
.76202 .17169 L
.76202 .17176 L
.76201 .17182 L
.76201 .17189 L
.76201 .17195 L
.762 .17202 L
.762 .17208 L
.762 .17215 L
.76199 .17221 L
.76199 .17228 L
.76199 .17234 L
.76198 .17241 L
.76198 .17247 L
.76198 .17254 L
.76197 .1726 L
.76197 .17267 L
.76197 .17273 L
.76196 .1728 L
.76196 .17286 L
.76196 .17293 L
.76196 .17299 L
.76195 .17306 L
.76195 .17312 L
s
.78584 .17248 m
.78584 .17254 L
.78583 .17259 L
.78583 .17265 L
.78583 .17271 L
.78582 .17277 L
.78582 .17282 L
.78582 .17288 L
.78581 .17294 L
.78581 .173 L
.78581 .17306 L
.78581 .17311 L
.7858 .17317 L
.7858 .17323 L
.7858 .17329 L
.78579 .17334 L
.78579 .1734 L
.78579 .17346 L
.78578 .17352 L
.78578 .17358 L
.78578 .17363 L
.78578 .17369 L
.78577 .17375 L
.78577 .17381 L
.78577 .17386 L
.78577 .17392 L
.78576 .17398 L
.78576 .17404 L
.78576 .1741 L
.78576 .17415 L
.78575 .17421 L
s
.80963 .17378 m
.80963 .17383 L
.80963 .17388 L
.80962 .17393 L
.80962 .17398 L
.80962 .17403 L
.80962 .17408 L
.80961 .17413 L
.80961 .17419 L
.80961 .17424 L
.8096 .17429 L
.8096 .17434 L
.8096 .17439 L
.8096 .17444 L
.80959 .17449 L
.80959 .17454 L
.80959 .17459 L
.80959 .17464 L
.80958 .17469 L
.80958 .17474 L
.80958 .17479 L
.80958 .17485 L
.80957 .1749 L
.80957 .17495 L
.80957 .175 L
.80957 .17505 L
.80957 .1751 L
.80956 .17515 L
.80956 .1752 L
.80956 .17525 L
.80956 .1753 L
s
.83343 .17508 m
.83342 .17512 L
.83342 .17517 L
.83342 .17521 L
.83342 .17526 L
.83341 .1753 L
.83341 .17534 L
.83341 .17539 L
.83341 .17543 L
.8334 .17547 L
.8334 .17552 L
.8334 .17556 L
.8334 .17561 L
.83339 .17565 L
.83339 .17569 L
.83339 .17574 L
.83339 .17578 L
.83339 .17583 L
.83338 .17587 L
.83338 .17591 L
.83338 .17596 L
.83338 .176 L
.83338 .17604 L
.83337 .17609 L
.83337 .17613 L
.83337 .17618 L
.83337 .17622 L
.83337 .17626 L
.83336 .17631 L
.83336 .17635 L
.83336 .17639 L
s
.85722 .17638 m
.85722 .17642 L
.85721 .17645 L
.85721 .17649 L
.85721 .17653 L
.85721 .17657 L
.85721 .1766 L
.8572 .17664 L
.8572 .17668 L
.8572 .17671 L
.8572 .17675 L
.8572 .17679 L
.85719 .17682 L
.85719 .17686 L
.85719 .1769 L
.85719 .17693 L
.85719 .17697 L
.85718 .17701 L
.85718 .17705 L
.85718 .17708 L
.85718 .17712 L
.85718 .17716 L
.85718 .17719 L
.85717 .17723 L
.85717 .17727 L
.85717 .1773 L
.85717 .17734 L
.85717 .17738 L
.85717 .17741 L
.85716 .17745 L
.85716 .17749 L
s
.88101 .17768 m
.88101 .17771 L
.88101 .17774 L
.88101 .17777 L
.881 .1778 L
.881 .17783 L
.881 .17786 L
.881 .17789 L
.881 .17792 L
.881 .17795 L
.88099 .17798 L
.88099 .17801 L
.88099 .17804 L
.88099 .17807 L
.88099 .1781 L
.88099 .17813 L
.88099 .17816 L
.88098 .17819 L
.88098 .17822 L
.88098 .17825 L
.88098 .17828 L
.88098 .17831 L
.88098 .17834 L
.88098 .17837 L
.88097 .1784 L
.88097 .17843 L
.88097 .17846 L
.88097 .17849 L
.88097 .17852 L
.88097 .17855 L
.88097 .17858 L
s
.9048 .17897 m
.9048 .17899 L
.9048 .17902 L
.9048 .17904 L
.9048 .17907 L
.9048 .17909 L
.9048 .17911 L
.90479 .17914 L
.90479 .17916 L
.90479 .17919 L
.90479 .17921 L
.90479 .17923 L
.90479 .17926 L
.90479 .17928 L
.90479 .1793 L
.90479 .17933 L
.90478 .17935 L
.90478 .17938 L
.90478 .1794 L
.90478 .17942 L
.90478 .17945 L
.90478 .17947 L
.90478 .17949 L
.90478 .17952 L
.90477 .17954 L
.90477 .17957 L
.90477 .17959 L
.90477 .17961 L
.90477 .17964 L
.90477 .17966 L
.90477 .17969 L
s
.9286 .18025 m
.9286 .18027 L
.9286 .18029 L
.92859 .18031 L
.92859 .18033 L
.92859 .18034 L
.92859 .18036 L
.92859 .18038 L
.92859 .1804 L
.92859 .18042 L
.92859 .18043 L
.92859 .18045 L
.92859 .18047 L
.92859 .18049 L
.92858 .18051 L
.92858 .18052 L
.92858 .18054 L
.92858 .18056 L
.92858 .18058 L
.92858 .1806 L
.92858 .18062 L
.92858 .18063 L
.92858 .18065 L
.92858 .18067 L
.92858 .18069 L
.92857 .18071 L
.92857 .18072 L
.92857 .18074 L
.92857 .18076 L
.92857 .18078 L
.92857 .1808 L
s
.95239 .18152 m
.95239 .18153 L
.95239 .18154 L
.95239 .18156 L
.95239 .18157 L
.95239 .18158 L
.95239 .1816 L
.95239 .18161 L
.95239 .18163 L
.95239 .18164 L
.95239 .18165 L
.95238 .18167 L
.95238 .18168 L
.95238 .18169 L
.95238 .18171 L
.95238 .18172 L
.95238 .18174 L
.95238 .18175 L
.95238 .18176 L
.95238 .18178 L
.95238 .18179 L
.95238 .1818 L
.95238 .18182 L
.95238 .18183 L
.95238 .18185 L
.95237 .18186 L
.95237 .18187 L
.95237 .18189 L
.95237 .1819 L
.95237 .18191 L
.95237 .18193 L
s
.02381 .18603 m
.03968 .18603 L
.05556 .18603 L
.07143 .18603 L
.0873 .18603 L
.10317 .18603 L
.11905 .18603 L
.13492 .18603 L
.15079 .18603 L
.16667 .18603 L
.18254 .18603 L
.19841 .18603 L
.21428 .18603 L
.23016 .18603 L
.24603 .18603 L
.2619 .18603 L
.27777 .18603 L
.29365 .18603 L
.30952 .18603 L
.32539 .18603 L
.34127 .18601 L
.35714 .18596 L
.37301 .18591 L
.38888 .18586 L
.40476 .18579 L
.42063 .18571 L
.4365 .18563 L
.45238 .18555 L
.46825 .18548 L
.48412 .1854 L
.49999 .18532 L
.51587 .18524 L
.53174 .18516 L
.54761 .18508 L
.56349 .185 L
.57936 .18492 L
.59523 .18484 L
.6111 .18476 L
.62698 .18468 L
.64285 .18461 L
.65872 .18453 L
.6746 .18445 L
.69047 .18437 L
.70634 .18429 L
.72221 .18421 L
.73809 .18413 L
.75396 .18406 L
.76983 .18398 L
.78571 .1839 L
.80158 .18382 L
Mistroke
.81745 .18374 L
.83332 .18367 L
.8492 .18359 L
.86507 .18352 L
.88094 .18344 L
.89682 .18337 L
.91269 .1833 L
.92856 .18324 L
.94443 .18319 L
.96031 .18315 L
.97618 .18313 L
Mfstroke
.02381 .17981 m
.03968 .17981 L
.05556 .17981 L
.07143 .17981 L
.0873 .17981 L
.10317 .17981 L
.11905 .17981 L
.13492 .17981 L
.15079 .17981 L
.16667 .17981 L
.18254 .17981 L
.19841 .17981 L
.21428 .17981 L
.23016 .17981 L
.24603 .17981 L
.2619 .17981 L
.27777 .17981 L
.29365 .17981 L
.30952 .17981 L
.32539 .17981 L
.34127 .17983 L
.35714 .17988 L
.37301 .17993 L
.38888 .17998 L
.40476 .18005 L
.42063 .18013 L
.4365 .18021 L
.45238 .18029 L
.46825 .18037 L
.48412 .18044 L
.49999 .18052 L
.51587 .1806 L
.53174 .18068 L
.54761 .18076 L
.56349 .18084 L
.57936 .18092 L
.59523 .181 L
.6111 .18108 L
.62698 .18116 L
.64285 .18124 L
.65872 .18131 L
.6746 .18139 L
.69047 .18147 L
.70634 .18155 L
.72221 .18163 L
.73809 .18171 L
.75396 .18179 L
.76983 .18186 L
.78571 .18194 L
.80158 .18202 L
Mistroke
.81745 .1821 L
.83332 .18217 L
.8492 .18225 L
.86507 .18232 L
.88094 .1824 L
.89682 .18247 L
.91269 .18254 L
.92856 .1826 L
.94443 .18266 L
.96031 .1827 L
.97618 .18271 L
Mfstroke
0 0 0 r
.02381 .18292 m
.33504 .18292 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
.33504 .18292 m
.39729 .18292 L
s
% Start of user PostScript
0 0 10. 0 MAarrowhead1
% End of user PostScript
.39729 .18292 m
.97618 .18292 L
s
% Start of user PostScript
10. 0 103. 0 MAarrowhead1
% End of user PostScript
.97618 .18292 m
.97618 .18292 L
s
% Start of user PostScript
103. 0 MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .18012 m
.02381 .18031 L
.02381 .18049 L
.02381 .18068 L
.02381 .18087 L
.02381 .18105 L
.02381 .18124 L
.02381 .18143 L
.02381 .18161 L
.02381 .1818 L
.02381 .18199 L
.02381 .18217 L
.02381 .18236 L
.02381 .18255 L
.02381 .18273 L
.02381 .18292 L
.02381 .18311 L
.02381 .18329 L
.02381 .18348 L
.02381 .18367 L
.02381 .18385 L
.02381 .18404 L
.02381 .18423 L
.02381 .18441 L
.02381 .1846 L
.02381 .18479 L
.02381 .18497 L
.02381 .18516 L
.02381 .18535 L
.02381 .18553 L
.02381 .18572 L
s
.04762 .18012 m
.04762 .18031 L
.04762 .18049 L
.04762 .18068 L
.04762 .18087 L
.04762 .18105 L
.04762 .18124 L
.04762 .18143 L
.04762 .18161 L
.04762 .1818 L
.04762 .18199 L
.04762 .18217 L
.04762 .18236 L
.04762 .18255 L
.04762 .18273 L
.04762 .18292 L
.04762 .18311 L
.04762 .18329 L
.04762 .18348 L
.04762 .18367 L
.04762 .18385 L
.04762 .18404 L
.04762 .18423 L
.04762 .18441 L
.04762 .1846 L
.04762 .18479 L
.04762 .18497 L
.04762 .18516 L
.04762 .18535 L
.04762 .18553 L
.04762 .18572 L
s
.07143 .18012 m
.07143 .18031 L
.07143 .18049 L
.07143 .18068 L
.07143 .18087 L
.07143 .18105 L
.07143 .18124 L
.07143 .18143 L
.07143 .18161 L
.07143 .1818 L
.07143 .18199 L
.07143 .18217 L
.07143 .18236 L
.07143 .18255 L
.07143 .18273 L
.07143 .18292 L
.07143 .18311 L
.07143 .18329 L
.07143 .18348 L
.07143 .18367 L
.07143 .18385 L
.07143 .18404 L
.07143 .18423 L
.07143 .18441 L
.07143 .1846 L
.07143 .18479 L
.07143 .18497 L
.07143 .18516 L
.07143 .18535 L
.07143 .18553 L
.07143 .18572 L
s
.09524 .18012 m
.09524 .18031 L
.09524 .18049 L
.09524 .18068 L
.09524 .18087 L
.09524 .18105 L
.09524 .18124 L
.09524 .18143 L
.09524 .18161 L
.09524 .1818 L
.09524 .18199 L
.09524 .18217 L
.09524 .18236 L
.09524 .18255 L
.09524 .18273 L
.09524 .18292 L
.09524 .18311 L
.09524 .18329 L
.09524 .18348 L
.09524 .18367 L
.09524 .18385 L
.09524 .18404 L
.09524 .18423 L
.09524 .18441 L
.09524 .1846 L
.09524 .18479 L
.09524 .18497 L
.09524 .18516 L
.09524 .18535 L
.09524 .18553 L
.09524 .18572 L
s
.11905 .18012 m
.11905 .18031 L
.11905 .18049 L
.11905 .18068 L
.11905 .18087 L
.11905 .18105 L
.11905 .18124 L
.11905 .18143 L
.11905 .18161 L
.11905 .1818 L
.11905 .18199 L
.11905 .18217 L
.11905 .18236 L
.11905 .18255 L
.11905 .18273 L
.11905 .18292 L
.11905 .18311 L
.11905 .18329 L
.11905 .18348 L
.11905 .18367 L
.11905 .18385 L
.11905 .18404 L
.11905 .18423 L
.11905 .18441 L
.11905 .1846 L
.11905 .18479 L
.11905 .18497 L
.11905 .18516 L
.11905 .18535 L
.11905 .18553 L
.11905 .18572 L
s
.14286 .18012 m
.14286 .18031 L
.14286 .18049 L
.14286 .18068 L
.14286 .18087 L
.14286 .18105 L
.14286 .18124 L
.14286 .18143 L
.14286 .18161 L
.14286 .1818 L
.14286 .18199 L
.14286 .18217 L
.14286 .18236 L
.14286 .18255 L
.14286 .18273 L
.14286 .18292 L
.14286 .18311 L
.14286 .18329 L
.14286 .18348 L
.14286 .18367 L
.14286 .18385 L
.14286 .18404 L
.14286 .18423 L
.14286 .18441 L
.14286 .1846 L
.14286 .18479 L
.14286 .18497 L
.14286 .18516 L
.14286 .18535 L
.14286 .18554 L
.14286 .18572 L
s
.16667 .18012 m
.16667 .18031 L
.16667 .18049 L
.16667 .18068 L
.16667 .18087 L
.16667 .18105 L
.16667 .18124 L
.16667 .18143 L
.16667 .18161 L
.16667 .1818 L
.16667 .18199 L
.16667 .18217 L
.16667 .18236 L
.16667 .18255 L
.16667 .18273 L
.16667 .18292 L
.16667 .18311 L
.16667 .18329 L
.16667 .18348 L
.16667 .18367 L
.16667 .18385 L
.16667 .18404 L
.16667 .18423 L
.16667 .18441 L
.16667 .1846 L
.16667 .18479 L
.16667 .18497 L
.16667 .18516 L
.16667 .18535 L
.16667 .18554 L
.16667 .18572 L
s
.19047 .18012 m
.19047 .18031 L
.19047 .18049 L
.19047 .18068 L
.19047 .18087 L
.19047 .18105 L
.19047 .18124 L
.19047 .18143 L
.19047 .18161 L
.19047 .1818 L
.19047 .18199 L
.19047 .18217 L
.19047 .18236 L
.19047 .18255 L
.19047 .18273 L
.19047 .18292 L
.19047 .18311 L
.19047 .18329 L
.19047 .18348 L
.19047 .18367 L
.19047 .18385 L
.19047 .18404 L
.19047 .18423 L
.19047 .18441 L
.19047 .1846 L
.19047 .18479 L
.19047 .18497 L
.19047 .18516 L
.19047 .18535 L
.19047 .18554 L
.19047 .18572 L
s
.21428 .18012 m
.21428 .18031 L
.21428 .18049 L
.21428 .18068 L
.21428 .18087 L
.21428 .18105 L
.21428 .18124 L
.21428 .18143 L
.21428 .18161 L
.21428 .1818 L
.21428 .18199 L
.21428 .18217 L
.21428 .18236 L
.21428 .18255 L
.21428 .18273 L
.21428 .18292 L
.21428 .18311 L
.21428 .18329 L
.21428 .18348 L
.21428 .18367 L
.21428 .18385 L
.21428 .18404 L
.21428 .18423 L
.21428 .18441 L
.21428 .1846 L
.21428 .18479 L
.21428 .18498 L
.21428 .18516 L
.21428 .18535 L
.21428 .18554 L
.21428 .18572 L
s
.23809 .18012 m
.23809 .18031 L
.23809 .18049 L
.23809 .18068 L
.23809 .18087 L
.23809 .18105 L
.23809 .18124 L
.23809 .18143 L
.23809 .18161 L
.23809 .1818 L
.23809 .18199 L
.23809 .18217 L
.23809 .18236 L
.23809 .18255 L
.23809 .18273 L
.23809 .18292 L
.23809 .18311 L
.23809 .18329 L
.23809 .18348 L
.23809 .18367 L
.23809 .18385 L
.23809 .18404 L
.23809 .18423 L
.23809 .18441 L
.23809 .1846 L
.23809 .18479 L
.23809 .18498 L
.23809 .18516 L
.23809 .18535 L
.23809 .18554 L
.23809 .18572 L
s
.2619 .18012 m
.2619 .18031 L
.2619 .18049 L
.2619 .18068 L
.2619 .18087 L
.2619 .18105 L
.2619 .18124 L
.2619 .18143 L
.2619 .18161 L
.2619 .1818 L
.2619 .18199 L
.2619 .18217 L
.2619 .18236 L
.2619 .18255 L
.2619 .18273 L
.2619 .18292 L
.2619 .18311 L
.2619 .18329 L
.2619 .18348 L
.2619 .18367 L
.2619 .18385 L
.2619 .18404 L
.2619 .18423 L
.2619 .18441 L
.2619 .1846 L
.2619 .18479 L
.2619 .18498 L
.2619 .18516 L
.2619 .18535 L
.2619 .18554 L
.2619 .18572 L
s
.28571 .18012 m
.28571 .18031 L
.28571 .18049 L
.28571 .18068 L
.28571 .18087 L
.28571 .18105 L
.28571 .18124 L
.28571 .18143 L
.28571 .18161 L
.28571 .1818 L
.28571 .18199 L
.28571 .18217 L
.28571 .18236 L
.28571 .18255 L
.28571 .18273 L
.28571 .18292 L
.28571 .18311 L
.28571 .18329 L
.28571 .18348 L
.28571 .18367 L
.28571 .18385 L
.28571 .18404 L
.28571 .18423 L
.28571 .18442 L
.28571 .1846 L
.28571 .18479 L
.28571 .18498 L
.28571 .18516 L
.28571 .18535 L
.28571 .18554 L
.28571 .18572 L
s
.30952 .18012 m
.30952 .1803 L
.30952 .18049 L
.30952 .18068 L
.30952 .18087 L
.30952 .18105 L
.30952 .18124 L
.30952 .18143 L
.30952 .18161 L
.30952 .1818 L
.30952 .18199 L
.30952 .18217 L
.30952 .18236 L
.30952 .18255 L
.30952 .18273 L
.30952 .18292 L
.30952 .18311 L
.30952 .18329 L
.30952 .18348 L
.30952 .18367 L
.30952 .18385 L
.30952 .18404 L
.30952 .18423 L
.30952 .18442 L
.30952 .1846 L
.30952 .18479 L
.30952 .18498 L
.30952 .18516 L
.30952 .18535 L
.30952 .18554 L
.30952 .18572 L
s
.33333 .18012 m
.33333 .1803 L
.33333 .18049 L
.33333 .18068 L
.33333 .18087 L
.33333 .18105 L
.33333 .18124 L
.33333 .18143 L
.33333 .18161 L
.33333 .1818 L
.33333 .18199 L
.33333 .18217 L
.33333 .18236 L
.33333 .18255 L
.33333 .18273 L
.33333 .18292 L
.33333 .18311 L
.33333 .18329 L
.33333 .18348 L
.33333 .18367 L
.33333 .18385 L
.33333 .18404 L
.33333 .18423 L
.33333 .18442 L
.33333 .1846 L
.33333 .18479 L
.33333 .18498 L
.33333 .18516 L
.33333 .18535 L
.33333 .18554 L
.33333 .18572 L
s
.35714 .18018 m
.35714 .18037 L
.35714 .18055 L
.35714 .18073 L
.35714 .18091 L
.35714 .1811 L
.35714 .18128 L
.35714 .18146 L
.35714 .18164 L
.35714 .18183 L
.35714 .18201 L
.35714 .18219 L
.35714 .18237 L
.35714 .18256 L
.35714 .18274 L
.35714 .18292 L
.35714 .1831 L
.35714 .18329 L
.35714 .18347 L
.35714 .18365 L
.35714 .18383 L
.35714 .18402 L
.35714 .1842 L
.35714 .18438 L
.35714 .18456 L
.35714 .18475 L
.35714 .18493 L
.35714 .18511 L
.35714 .18529 L
.35714 .18548 L
.35714 .18566 L
s
.38095 .18025 m
.38095 .18043 L
.38095 .18061 L
.38095 .18079 L
.38095 .18096 L
.38095 .18114 L
.38095 .18132 L
.38095 .1815 L
.38095 .18168 L
.38095 .18185 L
.38095 .18203 L
.38095 .18221 L
.38095 .18239 L
.38095 .18256 L
.38095 .18274 L
.38095 .18292 L
.38095 .1831 L
.38095 .18328 L
.38095 .18345 L
.38095 .18363 L
.38095 .18381 L
.38095 .18399 L
.38095 .18417 L
.38095 .18434 L
.38095 .18452 L
.38095 .1847 L
.38095 .18488 L
.38095 .18505 L
.38095 .18523 L
.38095 .18541 L
.38095 .18559 L
s
.40477 .18034 m
.40477 .18051 L
.40477 .18068 L
.40476 .18085 L
.40476 .18102 L
.40476 .1812 L
.40476 .18137 L
.40476 .18154 L
.40476 .18171 L
.40476 .18189 L
.40476 .18206 L
.40476 .18223 L
.40476 .1824 L
.40476 .18258 L
.40476 .18275 L
.40476 .18292 L
.40476 .18309 L
.40476 .18327 L
.40476 .18344 L
.40476 .18361 L
.40476 .18378 L
.40476 .18395 L
.40476 .18413 L
.40476 .1843 L
.40476 .18447 L
.40476 .18464 L
.40476 .18482 L
.40476 .18499 L
.40477 .18516 L
.40477 .18533 L
.40477 .18551 L
s
.42858 .18044 m
.42858 .18061 L
.42857 .18077 L
.42857 .18094 L
.42857 .1811 L
.42857 .18127 L
.42857 .18143 L
.42857 .1816 L
.42857 .18176 L
.42857 .18193 L
.42857 .18209 L
.42857 .18226 L
.42857 .18242 L
.42857 .18259 L
.42857 .18276 L
.42857 .18292 L
.42857 .18309 L
.42857 .18325 L
.42857 .18342 L
.42857 .18358 L
.42857 .18375 L
.42857 .18391 L
.42857 .18408 L
.42857 .18424 L
.42857 .18441 L
.42857 .18457 L
.42857 .18474 L
.42857 .1849 L
.42857 .18507 L
.42858 .18523 L
.42858 .1854 L
s
.45239 .18055 m
.45238 .18071 L
.45238 .18087 L
.45238 .18102 L
.45238 .18118 L
.45238 .18134 L
.45238 .1815 L
.45238 .18166 L
.45238 .18181 L
.45238 .18197 L
.45238 .18213 L
.45238 .18229 L
.45238 .18245 L
.45238 .1826 L
.45238 .18276 L
.45238 .18292 L
.45238 .18308 L
.45238 .18324 L
.45238 .18339 L
.45238 .18355 L
.45238 .18371 L
.45238 .18387 L
.45238 .18403 L
.45238 .18418 L
.45238 .18434 L
.45238 .1845 L
.45238 .18466 L
.45238 .18482 L
.45238 .18498 L
.45238 .18513 L
.45239 .18529 L
s
.4762 .18066 m
.47619 .18081 L
.47619 .18096 L
.47619 .18111 L
.47619 .18126 L
.47619 .18141 L
.47619 .18156 L
.47619 .18171 L
.47619 .18186 L
.47619 .18201 L
.47619 .18217 L
.47619 .18232 L
.47619 .18247 L
.47619 .18262 L
.47619 .18277 L
.47619 .18292 L
.47619 .18307 L
.47619 .18322 L
.47619 .18337 L
.47619 .18352 L
.47619 .18368 L
.47619 .18383 L
.47619 .18398 L
.47619 .18413 L
.47619 .18428 L
.47619 .18443 L
.47619 .18458 L
.47619 .18473 L
.47619 .18488 L
.47619 .18503 L
.4762 .18518 L
s
.5 .18076 m
.5 .18091 L
.5 .18105 L
.5 .1812 L
.5 .18134 L
.5 .18148 L
.5 .18163 L
.5 .18177 L
.5 .18191 L
.5 .18206 L
.5 .1822 L
.5 .18235 L
.5 .18249 L
.49999 .18263 L
.49999 .18278 L
.49999 .18292 L
.49999 .18306 L
.49999 .18321 L
.5 .18335 L
.5 .1835 L
.5 .18364 L
.5 .18378 L
.5 .18393 L
.5 .18407 L
.5 .18421 L
.5 .18436 L
.5 .1845 L
.5 .18465 L
.5 .18479 L
.5 .18493 L
.5 .18508 L
s
.52381 .18087 m
.52381 .18101 L
.52381 .18114 L
.52381 .18128 L
.52381 .18142 L
.52381 .18155 L
.52381 .18169 L
.52381 .18183 L
.52381 .18196 L
.52381 .1821 L
.5238 .18224 L
.5238 .18237 L
.5238 .18251 L
.5238 .18265 L
.5238 .18278 L
.5238 .18292 L
.5238 .18306 L
.5238 .18319 L
.5238 .18333 L
.5238 .18347 L
.5238 .1836 L
.52381 .18374 L
.52381 .18388 L
.52381 .18401 L
.52381 .18415 L
.52381 .18429 L
.52381 .18442 L
.52381 .18456 L
.52381 .1847 L
.52381 .18483 L
.52381 .18497 L
s
.54762 .18098 m
.54762 .18111 L
.54762 .18124 L
.54762 .18137 L
.54762 .1815 L
.54762 .18163 L
.54762 .18175 L
.54762 .18188 L
.54762 .18201 L
.54761 .18214 L
.54761 .18227 L
.54761 .1824 L
.54761 .18253 L
.54761 .18266 L
.54761 .18279 L
.54761 .18292 L
.54761 .18305 L
.54761 .18318 L
.54761 .18331 L
.54761 .18344 L
.54761 .18357 L
.54761 .1837 L
.54762 .18383 L
.54762 .18396 L
.54762 .18409 L
.54762 .18422 L
.54762 .18435 L
.54762 .18447 L
.54762 .1846 L
.54762 .18473 L
.54762 .18486 L
s
.57143 .18108 m
.57143 .18121 L
.57143 .18133 L
.57143 .18145 L
.57143 .18157 L
.57143 .1817 L
.57143 .18182 L
.57142 .18194 L
.57142 .18206 L
.57142 .18219 L
.57142 .18231 L
.57142 .18243 L
.57142 .18255 L
.57142 .18268 L
.57142 .1828 L
.57142 .18292 L
.57142 .18304 L
.57142 .18317 L
.57142 .18329 L
.57142 .18341 L
.57142 .18353 L
.57142 .18365 L
.57142 .18378 L
.57142 .1839 L
.57143 .18402 L
.57143 .18414 L
.57143 .18427 L
.57143 .18439 L
.57143 .18451 L
.57143 .18463 L
.57143 .18476 L
s
.59524 .18119 m
.59524 .18131 L
.59524 .18142 L
.59524 .18154 L
.59524 .18165 L
.59524 .18177 L
.59523 .18188 L
.59523 .182 L
.59523 .18211 L
.59523 .18223 L
.59523 .18234 L
.59523 .18246 L
.59523 .18257 L
.59523 .18269 L
.59523 .18281 L
.59523 .18292 L
.59523 .18304 L
.59523 .18315 L
.59523 .18327 L
.59523 .18338 L
.59523 .1835 L
.59523 .18361 L
.59523 .18373 L
.59523 .18384 L
.59523 .18396 L
.59524 .18407 L
.59524 .18419 L
.59524 .1843 L
.59524 .18442 L
.59524 .18453 L
.59524 .18465 L
s
.61905 .1813 m
.61905 .18141 L
.61905 .18151 L
.61905 .18162 L
.61904 .18173 L
.61904 .18184 L
.61904 .18195 L
.61904 .18205 L
.61904 .18216 L
.61904 .18227 L
.61904 .18238 L
.61904 .18249 L
.61904 .1826 L
.61904 .1827 L
.61904 .18281 L
.61904 .18292 L
.61904 .18303 L
.61904 .18314 L
.61904 .18325 L
.61904 .18335 L
.61904 .18346 L
.61904 .18357 L
.61904 .18368 L
.61904 .18379 L
.61904 .18389 L
.61904 .184 L
.61904 .18411 L
.61905 .18422 L
.61905 .18433 L
.61905 .18444 L
.61905 .18454 L
s
.64286 .1814 m
.64286 .18151 L
.64286 .18161 L
.64285 .18171 L
.64285 .18181 L
.64285 .18191 L
.64285 .18201 L
.64285 .18211 L
.64285 .18221 L
.64285 .18231 L
.64285 .18242 L
.64285 .18252 L
.64285 .18262 L
.64285 .18272 L
.64285 .18282 L
.64285 .18292 L
.64285 .18302 L
.64285 .18312 L
.64285 .18322 L
.64285 .18332 L
.64285 .18343 L
.64285 .18353 L
.64285 .18363 L
.64285 .18373 L
.64285 .18383 L
.64285 .18393 L
.64285 .18403 L
.64285 .18413 L
.64286 .18423 L
.64286 .18434 L
.64286 .18444 L
s
.66667 .18151 m
.66666 .1816 L
.66666 .1817 L
.66666 .18179 L
.66666 .18189 L
.66666 .18198 L
.66666 .18207 L
.66666 .18217 L
.66666 .18226 L
.66666 .18236 L
.66666 .18245 L
.66666 .18254 L
.66666 .18264 L
.66666 .18273 L
.66666 .18283 L
.66666 .18292 L
.66666 .18301 L
.66666 .18311 L
.66666 .1832 L
.66666 .1833 L
.66666 .18339 L
.66666 .18348 L
.66666 .18358 L
.66666 .18367 L
.66666 .18377 L
.66666 .18386 L
.66666 .18395 L
.66666 .18405 L
.66666 .18414 L
.66666 .18424 L
.66667 .18433 L
s
.69047 .18162 m
.69047 .1817 L
.69047 .18179 L
.69047 .18188 L
.69047 .18196 L
.69047 .18205 L
.69047 .18214 L
.69047 .18223 L
.69047 .18231 L
.69047 .1824 L
.69047 .18249 L
.69047 .18257 L
.69047 .18266 L
.69047 .18275 L
.69047 .18283 L
.69047 .18292 L
.69047 .18301 L
.69047 .18309 L
.69047 .18318 L
.69047 .18327 L
.69047 .18335 L
.69047 .18344 L
.69047 .18353 L
.69047 .18362 L
.69047 .1837 L
.69047 .18379 L
.69047 .18388 L
.69047 .18396 L
.69047 .18405 L
.69047 .18414 L
.69047 .18422 L
s
.71428 .18172 m
.71428 .1818 L
.71428 .18188 L
.71428 .18196 L
.71428 .18204 L
.71428 .18212 L
.71428 .1822 L
.71428 .18228 L
.71428 .18236 L
.71428 .18244 L
.71428 .18252 L
.71428 .1826 L
.71428 .18268 L
.71428 .18276 L
.71428 .18284 L
.71428 .18292 L
.71428 .183 L
.71428 .18308 L
.71428 .18316 L
.71428 .18324 L
.71428 .18332 L
.71428 .1834 L
.71428 .18348 L
.71428 .18356 L
.71428 .18364 L
.71428 .18372 L
.71428 .1838 L
.71428 .18388 L
.71428 .18396 L
.71428 .18404 L
.71428 .18412 L
s
.73809 .18183 m
.73809 .1819 L
.73809 .18197 L
.73809 .18205 L
.73809 .18212 L
.73809 .18219 L
.73809 .18227 L
.73809 .18234 L
.73809 .18241 L
.73809 .18248 L
.73809 .18256 L
.73809 .18263 L
.73809 .1827 L
.73809 .18277 L
.73809 .18285 L
.73809 .18292 L
.73809 .18299 L
.73809 .18307 L
.73809 .18314 L
.73809 .18321 L
.73809 .18328 L
.73809 .18336 L
.73809 .18343 L
.73809 .1835 L
.73809 .18358 L
.73809 .18365 L
.73809 .18372 L
.73809 .18379 L
.73809 .18387 L
.73809 .18394 L
.73809 .18401 L
s
.7619 .18193 m
.7619 .182 L
.7619 .18207 L
.7619 .18213 L
.7619 .1822 L
.7619 .18226 L
.7619 .18233 L
.7619 .18239 L
.7619 .18246 L
.7619 .18253 L
.7619 .18259 L
.7619 .18266 L
.7619 .18272 L
.7619 .18279 L
.7619 .18285 L
.7619 .18292 L
.7619 .18299 L
.7619 .18305 L
.7619 .18312 L
.7619 .18318 L
.7619 .18325 L
.7619 .18331 L
.7619 .18338 L
.7619 .18345 L
.7619 .18351 L
.7619 .18358 L
.7619 .18364 L
.7619 .18371 L
.7619 .18377 L
.7619 .18384 L
.7619 .18391 L
s
.78571 .18204 m
.78571 .1821 L
.78571 .18216 L
.78571 .18222 L
.78571 .18227 L
.78571 .18233 L
.78571 .18239 L
.78571 .18245 L
.78571 .18251 L
.78571 .18257 L
.78571 .18263 L
.78571 .18269 L
.78571 .18274 L
.78571 .1828 L
.78571 .18286 L
.78571 .18292 L
.78571 .18298 L
.78571 .18304 L
.78571 .1831 L
.78571 .18316 L
.78571 .18321 L
.78571 .18327 L
.78571 .18333 L
.78571 .18339 L
.78571 .18345 L
.78571 .18351 L
.78571 .18357 L
.78571 .18363 L
.78571 .18368 L
.78571 .18374 L
.78571 .1838 L
s
.80952 .18214 m
.80952 .1822 L
.80952 .18225 L
.80952 .1823 L
.80952 .18235 L
.80952 .1824 L
.80952 .18245 L
.80952 .18251 L
.80952 .18256 L
.80952 .18261 L
.80952 .18266 L
.80952 .18271 L
.80952 .18277 L
.80952 .18282 L
.80952 .18287 L
.80952 .18292 L
.80952 .18297 L
.80952 .18302 L
.80952 .18308 L
.80952 .18313 L
.80952 .18318 L
.80952 .18323 L
.80952 .18328 L
.80952 .18333 L
.80952 .18339 L
.80952 .18344 L
.80952 .18349 L
.80952 .18354 L
.80952 .18359 L
.80952 .18365 L
.80952 .1837 L
s
.83333 .18225 m
.83333 .18229 L
.83333 .18234 L
.83333 .18238 L
.83333 .18243 L
.83333 .18247 L
.83333 .18252 L
.83333 .18256 L
.83332 .18261 L
.83332 .18265 L
.83332 .1827 L
.83332 .18274 L
.83332 .18279 L
.83332 .18283 L
.83332 .18288 L
.83332 .18292 L
.83332 .18297 L
.83332 .18301 L
.83332 .18306 L
.83332 .1831 L
.83332 .18314 L
.83332 .18319 L
.83332 .18323 L
.83333 .18328 L
.83333 .18332 L
.83333 .18337 L
.83333 .18341 L
.83333 .18346 L
.83333 .1835 L
.83333 .18355 L
.83333 .18359 L
s
.85714 .18235 m
.85714 .18239 L
.85714 .18243 L
.85714 .18246 L
.85713 .1825 L
.85713 .18254 L
.85713 .18258 L
.85713 .18262 L
.85713 .18265 L
.85713 .18269 L
.85713 .18273 L
.85713 .18277 L
.85713 .18281 L
.85713 .18284 L
.85713 .18288 L
.85713 .18292 L
.85713 .18296 L
.85713 .183 L
.85713 .18303 L
.85713 .18307 L
.85713 .18311 L
.85713 .18315 L
.85713 .18319 L
.85713 .18322 L
.85713 .18326 L
.85713 .1833 L
.85713 .18334 L
.85714 .18338 L
.85714 .18341 L
.85714 .18345 L
.85714 .18349 L
s
.88094 .18245 m
.88094 .18248 L
.88094 .18251 L
.88094 .18254 L
.88094 .18258 L
.88094 .18261 L
.88094 .18264 L
.88094 .18267 L
.88094 .1827 L
.88094 .18273 L
.88094 .18276 L
.88094 .18279 L
.88094 .18283 L
.88094 .18286 L
.88094 .18289 L
.88094 .18292 L
.88094 .18295 L
.88094 .18298 L
.88094 .18301 L
.88094 .18305 L
.88094 .18308 L
.88094 .18311 L
.88094 .18314 L
.88094 .18317 L
.88094 .1832 L
.88094 .18323 L
.88094 .18327 L
.88094 .1833 L
.88094 .18333 L
.88094 .18336 L
.88094 .18339 L
s
.90475 .18255 m
.90475 .18257 L
.90475 .1826 L
.90475 .18262 L
.90475 .18265 L
.90475 .18267 L
.90475 .1827 L
.90475 .18272 L
.90475 .18275 L
.90475 .18277 L
.90475 .1828 L
.90475 .18282 L
.90475 .18285 L
.90475 .18287 L
.90475 .1829 L
.90475 .18292 L
.90475 .18295 L
.90475 .18297 L
.90475 .183 L
.90475 .18302 L
.90475 .18305 L
.90475 .18307 L
.90475 .1831 L
.90475 .18312 L
.90475 .18315 L
.90475 .18317 L
.90475 .1832 L
.90475 .18322 L
.90475 .18325 L
.90475 .18327 L
.90475 .1833 L
s
.92856 .18263 m
.92856 .18265 L
.92856 .18267 L
.92856 .18269 L
.92856 .18271 L
.92856 .18273 L
.92856 .18275 L
.92856 .18277 L
.92856 .18279 L
.92856 .18281 L
.92856 .18282 L
.92856 .18284 L
.92856 .18286 L
.92856 .18288 L
.92856 .1829 L
.92856 .18292 L
.92856 .18294 L
.92856 .18296 L
.92856 .18298 L
.92856 .183 L
.92856 .18302 L
.92856 .18304 L
.92856 .18305 L
.92856 .18307 L
.92856 .18309 L
.92856 .18311 L
.92856 .18313 L
.92856 .18315 L
.92856 .18317 L
.92856 .18319 L
.92856 .18321 L
s
.95237 .1827 m
.95237 .18272 L
.95237 .18273 L
.95237 .18275 L
.95237 .18276 L
.95237 .18277 L
.95237 .18279 L
.95237 .1828 L
.95237 .18282 L
.95237 .18283 L
.95237 .18285 L
.95237 .18286 L
.95237 .18288 L
.95237 .18289 L
.95237 .18291 L
.95237 .18292 L
.95237 .18294 L
.95237 .18295 L
.95237 .18296 L
.95237 .18298 L
.95237 .18299 L
.95237 .18301 L
.95237 .18302 L
.95237 .18304 L
.95237 .18305 L
.95237 .18307 L
.95237 .18308 L
.95237 .1831 L
.95237 .18311 L
.95237 .18312 L
.95237 .18314 L
s
.02381 .21716 m
.0397 .21716 L
.05558 .21716 L
.07147 .21716 L
.08735 .21716 L
.10324 .21716 L
.11912 .21716 L
.13501 .21716 L
.15089 .21716 L
.16678 .21716 L
.18267 .21716 L
.19855 .21716 L
.21444 .21716 L
.23032 .21716 L
.24621 .21716 L
.26209 .21716 L
.27798 .21716 L
.29386 .21716 L
.30975 .21716 L
.32564 .21716 L
.34162 .21698 L
.3575 .21641 L
.37337 .21583 L
.38925 .21525 L
.40517 .21452 L
.42103 .21364 L
.43689 .21277 L
.45275 .21189 L
.46861 .21101 L
.48447 .21013 L
.50033 .20925 L
.5162 .20838 L
.53206 .2075 L
.54792 .20662 L
.56378 .20574 L
.57964 .20486 L
.5955 .20399 L
.61136 .20311 L
.62723 .20223 L
.64309 .20135 L
.65895 .20048 L
.67481 .1996 L
.69067 .19872 L
.70653 .19784 L
.7224 .19697 L
.73826 .19609 L
.75412 .19521 L
.76998 .19434 L
.78584 .19346 L
.8017 .19258 L
Mistroke
.81757 .19171 L
.83343 .19083 L
.84929 .18996 L
.86515 .18909 L
.88101 .18821 L
.89687 .18734 L
.91274 .18648 L
.9286 .18562 L
.94446 .18477 L
.96033 .18394 L
.97619 .18313 L
Mfstroke
.02381 .21093 m
.0397 .21093 L
.05558 .21093 L
.07147 .21093 L
.08735 .21093 L
.10324 .21093 L
.11912 .21093 L
.13501 .21093 L
.15089 .21093 L
.16678 .21093 L
.18267 .21093 L
.19855 .21093 L
.21444 .21093 L
.23032 .21093 L
.24621 .21093 L
.26209 .21093 L
.27798 .21093 L
.29386 .21093 L
.30975 .21093 L
.32564 .21093 L
.34142 .21077 L
.35729 .2103 L
.37317 .20983 L
.38905 .20936 L
.40488 .20877 L
.42075 .20805 L
.43662 .20733 L
.45248 .20662 L
.46835 .2059 L
.48422 .20518 L
.50009 .20446 L
.51596 .20375 L
.53183 .20303 L
.5477 .20231 L
.56357 .20159 L
.57944 .20087 L
.59531 .20016 L
.61118 .19944 L
.62705 .19872 L
.64292 .198 L
.65879 .19728 L
.67466 .19656 L
.69053 .19585 L
.7064 .19513 L
.72227 .19441 L
.73814 .19369 L
.75401 .19297 L
.76988 .19225 L
.78575 .19153 L
.80161 .19081 L
Mistroke
.81748 .19009 L
.83335 .18937 L
.84922 .18865 L
.86509 .18793 L
.88096 .18721 L
.89683 .18648 L
.9127 .18575 L
.92857 .18501 L
.94444 .18427 L
.9603 .1835 L
.97617 .18271 L
Mfstroke
0 0 0 r
.02381 .21404 m
.33655 .21404 L
s
% Start of user PostScript
-50. 5. 0.24154 5. MAarrowhead1
% End of user PostScript
.33655 .21404 m
.39729 .21203 L
s
% Start of user PostScript
0.24154 5. 10. 4.67726 MAarrowhead1
% End of user PostScript
.39729 .21203 m
.97618 .18292 L
s
% Start of user PostScript
10. 4.67726 103. 0.000304527 MAarrowhead1
% End of user PostScript
.97618 .18292 m
.97618 .18292 L
s
% Start of user PostScript
103. 0.000304527 MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .21124 m
.02381 .21143 L
.02381 .21162 L
.02381 .2118 L
.02381 .21199 L
.02381 .21218 L
.02381 .21236 L
.02381 .21255 L
.02381 .21274 L
.02381 .21292 L
.02381 .21311 L
.02381 .2133 L
.02381 .21348 L
.02381 .21367 L
.02381 .21386 L
.02381 .21404 L
.02381 .21423 L
.02381 .21442 L
.02381 .2146 L
.02381 .21479 L
.02381 .21498 L
.02381 .21516 L
.02381 .21535 L
.02381 .21554 L
.02381 .21572 L
.02381 .21591 L
.02381 .2161 L
.02381 .21628 L
.02381 .21647 L
.02381 .21666 L
.02381 .21684 L
s
.04764 .21124 m
.04764 .21143 L
.04764 .21162 L
.04764 .2118 L
.04764 .21199 L
.04764 .21218 L
.04764 .21236 L
.04764 .21255 L
.04764 .21274 L
.04764 .21292 L
.04764 .21311 L
.04764 .2133 L
.04764 .21348 L
.04764 .21367 L
.04764 .21386 L
.04764 .21404 L
.04764 .21423 L
.04764 .21442 L
.04764 .2146 L
.04764 .21479 L
.04764 .21498 L
.04764 .21516 L
.04764 .21535 L
.04764 .21554 L
.04764 .21572 L
.04764 .21591 L
.04764 .2161 L
.04764 .21628 L
.04764 .21647 L
.04764 .21666 L
.04764 .21684 L
s
.07147 .21124 m
.07147 .21143 L
.07147 .21162 L
.07147 .2118 L
.07147 .21199 L
.07147 .21218 L
.07147 .21236 L
.07147 .21255 L
.07147 .21274 L
.07147 .21292 L
.07147 .21311 L
.07147 .2133 L
.07147 .21348 L
.07147 .21367 L
.07147 .21386 L
.07147 .21404 L
.07147 .21423 L
.07147 .21442 L
.07147 .2146 L
.07147 .21479 L
.07147 .21498 L
.07147 .21516 L
.07147 .21535 L
.07147 .21554 L
.07147 .21572 L
.07147 .21591 L
.07147 .2161 L
.07147 .21628 L
.07147 .21647 L
.07147 .21666 L
.07147 .21684 L
s
.09529 .21124 m
.09529 .21143 L
.09529 .21162 L
.09529 .2118 L
.09529 .21199 L
.09529 .21218 L
.09529 .21236 L
.09529 .21255 L
.09529 .21274 L
.09529 .21292 L
.09529 .21311 L
.09529 .2133 L
.09529 .21348 L
.09529 .21367 L
.09529 .21386 L
.09529 .21404 L
.09529 .21423 L
.09529 .21442 L
.09529 .2146 L
.09529 .21479 L
.09529 .21498 L
.09529 .21516 L
.09529 .21535 L
.09529 .21554 L
.09529 .21572 L
.09529 .21591 L
.09529 .2161 L
.09529 .21628 L
.09529 .21647 L
.09529 .21666 L
.09529 .21684 L
s
.11912 .21124 m
.11912 .21143 L
.11912 .21162 L
.11912 .2118 L
.11912 .21199 L
.11912 .21218 L
.11912 .21236 L
.11912 .21255 L
.11912 .21274 L
.11912 .21292 L
.11912 .21311 L
.11912 .2133 L
.11912 .21348 L
.11912 .21367 L
.11912 .21386 L
.11912 .21404 L
.11912 .21423 L
.11912 .21442 L
.11912 .2146 L
.11912 .21479 L
.11912 .21498 L
.11912 .21516 L
.11912 .21535 L
.11912 .21554 L
.11912 .21572 L
.11912 .21591 L
.11912 .2161 L
.11912 .21628 L
.11912 .21647 L
.11912 .21666 L
.11912 .21684 L
s
.14295 .21124 m
.14295 .21143 L
.14295 .21162 L
.14295 .2118 L
.14295 .21199 L
.14295 .21218 L
.14295 .21236 L
.14295 .21255 L
.14295 .21274 L
.14295 .21292 L
.14295 .21311 L
.14295 .2133 L
.14295 .21348 L
.14295 .21367 L
.14295 .21386 L
.14295 .21404 L
.14295 .21423 L
.14295 .21442 L
.14295 .2146 L
.14295 .21479 L
.14295 .21498 L
.14295 .21516 L
.14295 .21535 L
.14295 .21554 L
.14295 .21572 L
.14295 .21591 L
.14295 .2161 L
.14295 .21628 L
.14295 .21647 L
.14295 .21666 L
.14295 .21685 L
s
.16678 .21124 m
.16678 .21143 L
.16678 .21162 L
.16678 .2118 L
.16678 .21199 L
.16678 .21218 L
.16678 .21236 L
.16678 .21255 L
.16678 .21274 L
.16678 .21292 L
.16678 .21311 L
.16678 .2133 L
.16678 .21348 L
.16678 .21367 L
.16678 .21386 L
.16678 .21404 L
.16678 .21423 L
.16678 .21442 L
.16678 .2146 L
.16678 .21479 L
.16678 .21498 L
.16678 .21516 L
.16678 .21535 L
.16678 .21554 L
.16678 .21572 L
.16678 .21591 L
.16678 .2161 L
.16678 .21628 L
.16678 .21647 L
.16678 .21666 L
.16678 .21685 L
s
.19061 .21124 m
.19061 .21143 L
.19061 .21162 L
.19061 .2118 L
.19061 .21199 L
.19061 .21218 L
.19061 .21236 L
.19061 .21255 L
.19061 .21274 L
.19061 .21292 L
.19061 .21311 L
.19061 .2133 L
.19061 .21348 L
.19061 .21367 L
.19061 .21386 L
.19061 .21404 L
.19061 .21423 L
.19061 .21442 L
.19061 .2146 L
.19061 .21479 L
.19061 .21498 L
.19061 .21516 L
.19061 .21535 L
.19061 .21554 L
.19061 .21572 L
.19061 .21591 L
.19061 .2161 L
.19061 .21628 L
.19061 .21647 L
.19061 .21666 L
.19061 .21685 L
s
.21444 .21124 m
.21444 .21143 L
.21444 .21162 L
.21444 .2118 L
.21444 .21199 L
.21444 .21218 L
.21444 .21236 L
.21444 .21255 L
.21444 .21274 L
.21444 .21292 L
.21444 .21311 L
.21444 .2133 L
.21444 .21348 L
.21444 .21367 L
.21444 .21386 L
.21444 .21404 L
.21444 .21423 L
.21444 .21442 L
.21444 .2146 L
.21444 .21479 L
.21444 .21498 L
.21444 .21516 L
.21444 .21535 L
.21444 .21554 L
.21444 .21572 L
.21444 .21591 L
.21444 .2161 L
.21444 .21629 L
.21444 .21647 L
.21444 .21666 L
.21444 .21685 L
s
.23826 .21124 m
.23826 .21143 L
.23826 .21162 L
.23826 .2118 L
.23826 .21199 L
.23826 .21218 L
.23826 .21236 L
.23826 .21255 L
.23826 .21274 L
.23826 .21292 L
.23826 .21311 L
.23826 .2133 L
.23826 .21348 L
.23826 .21367 L
.23826 .21386 L
.23826 .21404 L
.23826 .21423 L
.23826 .21442 L
.23826 .2146 L
.23826 .21479 L
.23826 .21498 L
.23826 .21516 L
.23826 .21535 L
.23826 .21554 L
.23826 .21572 L
.23826 .21591 L
.23826 .2161 L
.23826 .21629 L
.23826 .21647 L
.23826 .21666 L
.23826 .21685 L
s
.26209 .21124 m
.26209 .21143 L
.26209 .21162 L
.26209 .2118 L
.26209 .21199 L
.26209 .21218 L
.26209 .21236 L
.26209 .21255 L
.26209 .21274 L
.26209 .21292 L
.26209 .21311 L
.26209 .2133 L
.26209 .21348 L
.26209 .21367 L
.26209 .21386 L
.26209 .21404 L
.26209 .21423 L
.26209 .21442 L
.26209 .2146 L
.26209 .21479 L
.26209 .21498 L
.26209 .21516 L
.26209 .21535 L
.26209 .21554 L
.26209 .21572 L
.26209 .21591 L
.26209 .2161 L
.26209 .21629 L
.26209 .21647 L
.26209 .21666 L
.26209 .21685 L
s
.28592 .21124 m
.28592 .21143 L
.28592 .21162 L
.28592 .2118 L
.28592 .21199 L
.28592 .21218 L
.28592 .21236 L
.28592 .21255 L
.28592 .21274 L
.28592 .21292 L
.28592 .21311 L
.28592 .2133 L
.28592 .21348 L
.28592 .21367 L
.28592 .21386 L
.28592 .21404 L
.28592 .21423 L
.28592 .21442 L
.28592 .2146 L
.28592 .21479 L
.28592 .21498 L
.28592 .21516 L
.28592 .21535 L
.28592 .21554 L
.28592 .21573 L
.28592 .21591 L
.28592 .2161 L
.28592 .21629 L
.28592 .21647 L
.28592 .21666 L
.28592 .21685 L
s
.30975 .21124 m
.30975 .21143 L
.30975 .21161 L
.30975 .2118 L
.30975 .21199 L
.30975 .21218 L
.30975 .21236 L
.30975 .21255 L
.30975 .21274 L
.30975 .21292 L
.30975 .21311 L
.30975 .2133 L
.30975 .21348 L
.30975 .21367 L
.30975 .21386 L
.30975 .21404 L
.30975 .21423 L
.30975 .21442 L
.30975 .2146 L
.30975 .21479 L
.30975 .21498 L
.30975 .21516 L
.30975 .21535 L
.30975 .21554 L
.30975 .21573 L
.30975 .21591 L
.30975 .2161 L
.30975 .21629 L
.30975 .21647 L
.30975 .21666 L
.30975 .21685 L
s
.33358 .21124 m
.33358 .21143 L
.33358 .21161 L
.33358 .2118 L
.33358 .21199 L
.33358 .21218 L
.33358 .21236 L
.33358 .21255 L
.33358 .21274 L
.33358 .21292 L
.33358 .21311 L
.33358 .2133 L
.33358 .21348 L
.33358 .21367 L
.33358 .21386 L
.33358 .21404 L
.33358 .21423 L
.33358 .21442 L
.33358 .2146 L
.33358 .21479 L
.33358 .21498 L
.33358 .21516 L
.33358 .21535 L
.33358 .21554 L
.33358 .21573 L
.33358 .21591 L
.33358 .2161 L
.33358 .21629 L
.33358 .21647 L
.33358 .21666 L
.33358 .21685 L
s
.35731 .21061 m
.35732 .21079 L
.35732 .21097 L
.35733 .21116 L
.35733 .21134 L
.35734 .21152 L
.35734 .21171 L
.35735 .21189 L
.35735 .21207 L
.35736 .21226 L
.35737 .21244 L
.35737 .21262 L
.35738 .2128 L
.35738 .21299 L
.35739 .21317 L
.3574 .21335 L
.3574 .21354 L
.35741 .21372 L
.35741 .2139 L
.35742 .21409 L
.35743 .21427 L
.35743 .21445 L
.35744 .21464 L
.35745 .21482 L
.35745 .215 L
.35746 .21518 L
.35746 .21537 L
.35747 .21555 L
.35748 .21573 L
.35748 .21592 L
.35749 .2161 L
s
.38113 .20989 m
.38113 .21007 L
.38114 .21025 L
.38114 .21043 L
.38115 .2106 L
.38115 .21078 L
.38116 .21096 L
.38117 .21114 L
.38117 .21132 L
.38118 .2115 L
.38118 .21167 L
.38119 .21185 L
.38119 .21203 L
.3812 .21221 L
.3812 .21239 L
.38121 .21257 L
.38122 .21274 L
.38122 .21292 L
.38123 .2131 L
.38123 .21328 L
.38124 .21346 L
.38125 .21364 L
.38125 .21381 L
.38126 .21399 L
.38127 .21417 L
.38127 .21435 L
.38128 .21453 L
.38128 .21471 L
.38129 .21488 L
.3813 .21506 L
.3813 .21524 L
s
.4049 .20906 m
.40491 .20923 L
.40492 .2094 L
.40492 .20957 L
.40493 .20975 L
.40494 .20992 L
.40495 .21009 L
.40495 .21027 L
.40496 .21044 L
.40497 .21061 L
.40498 .21078 L
.40499 .21096 L
.405 .21113 L
.405 .2113 L
.40501 .21147 L
.40502 .21165 L
.40503 .21182 L
.40504 .21199 L
.40505 .21216 L
.40506 .21234 L
.40507 .21251 L
.40507 .21268 L
.40508 .21285 L
.40509 .21303 L
.4051 .2132 L
.40511 .21337 L
.40512 .21354 L
.40513 .21372 L
.40514 .21389 L
.40515 .21406 L
.40516 .21423 L
s
.4287 .20797 m
.42871 .20813 L
.42872 .2083 L
.42873 .20846 L
.42873 .20863 L
.42874 .2088 L
.42875 .20896 L
.42876 .20913 L
.42876 .20929 L
.42877 .20946 L
.42878 .20962 L
.42879 .20979 L
.42879 .20995 L
.4288 .21012 L
.42881 .21028 L
.42882 .21045 L
.42883 .21061 L
.42884 .21078 L
.42884 .21095 L
.42885 .21111 L
.42886 .21128 L
.42887 .21144 L
.42888 .21161 L
.42889 .21177 L
.4289 .21194 L
.42891 .2121 L
.42892 .21227 L
.42893 .21243 L
.42893 .2126 L
.42894 .21276 L
.42895 .21293 L
s
.45251 .20688 m
.45251 .20704 L
.45252 .2072 L
.45253 .20735 L
.45254 .20751 L
.45254 .20767 L
.45255 .20783 L
.45256 .20799 L
.45256 .20815 L
.45257 .2083 L
.45258 .20846 L
.45259 .20862 L
.45259 .20878 L
.4526 .20894 L
.45261 .20909 L
.45262 .20925 L
.45263 .20941 L
.45263 .20957 L
.45264 .20973 L
.45265 .20988 L
.45266 .21004 L
.45267 .2102 L
.45268 .21036 L
.45268 .21052 L
.45269 .21068 L
.4527 .21083 L
.45271 .21099 L
.45272 .21115 L
.45273 .21131 L
.45274 .21147 L
.45275 .21162 L
s
.47631 .20579 m
.47632 .20594 L
.47632 .20609 L
.47633 .20624 L
.47634 .2064 L
.47634 .20655 L
.47635 .2067 L
.47636 .20685 L
.47636 .207 L
.47637 .20715 L
.47638 .2073 L
.47639 .20745 L
.47639 .2076 L
.4764 .20775 L
.47641 .2079 L
.47642 .20806 L
.47642 .20821 L
.47643 .20836 L
.47644 .20851 L
.47645 .20866 L
.47645 .20881 L
.47646 .20896 L
.47647 .20911 L
.47648 .20926 L
.47649 .20941 L
.4765 .20956 L
.4765 .20972 L
.47651 .20987 L
.47652 .21002 L
.47653 .21017 L
.47654 .21032 L
s
.50011 .2047 m
.50012 .20485 L
.50013 .20499 L
.50013 .20513 L
.50014 .20528 L
.50015 .20542 L
.50015 .20556 L
.50016 .20571 L
.50017 .20585 L
.50017 .206 L
.50018 .20614 L
.50019 .20628 L
.50019 .20643 L
.5002 .20657 L
.50021 .20671 L
.50021 .20686 L
.50022 .207 L
.50023 .20715 L
.50024 .20729 L
.50024 .20743 L
.50025 .20758 L
.50026 .20772 L
.50027 .20786 L
.50027 .20801 L
.50028 .20815 L
.50029 .2083 L
.5003 .20844 L
.50031 .20858 L
.50031 .20873 L
.50032 .20887 L
.50033 .20901 L
s
.52392 .20361 m
.52392 .20375 L
.52393 .20389 L
.52394 .20402 L
.52394 .20416 L
.52395 .2043 L
.52395 .20443 L
.52396 .20457 L
.52397 .20471 L
.52397 .20484 L
.52398 .20498 L
.52399 .20512 L
.52399 .20525 L
.524 .20539 L
.52401 .20553 L
.52401 .20566 L
.52402 .2058 L
.52403 .20593 L
.52403 .20607 L
.52404 .20621 L
.52405 .20634 L
.52405 .20648 L
.52406 .20662 L
.52407 .20675 L
.52408 .20689 L
.52408 .20703 L
.52409 .20716 L
.5241 .2073 L
.52411 .20744 L
.52412 .20757 L
.52412 .20771 L
s
.54772 .20252 m
.54773 .20265 L
.54773 .20278 L
.54774 .20291 L
.54774 .20304 L
.54775 .20317 L
.54775 .2033 L
.54776 .20343 L
.54777 .20356 L
.54777 .20369 L
.54778 .20382 L
.54779 .20395 L
.54779 .20408 L
.5478 .20421 L
.5478 .20434 L
.54781 .20446 L
.54782 .20459 L
.54782 .20472 L
.54783 .20485 L
.54784 .20498 L
.54784 .20511 L
.54785 .20524 L
.54786 .20537 L
.54786 .2055 L
.54787 .20563 L
.54788 .20576 L
.54789 .20589 L
.54789 .20602 L
.5479 .20615 L
.54791 .20628 L
.54792 .2064 L
s
.57152 .20144 m
.57153 .20156 L
.57153 .20168 L
.57154 .2018 L
.57155 .20192 L
.57155 .20205 L
.57156 .20217 L
.57156 .20229 L
.57157 .20241 L
.57157 .20254 L
.57158 .20266 L
.57158 .20278 L
.57159 .2029 L
.5716 .20302 L
.5716 .20315 L
.57161 .20327 L
.57161 .20339 L
.57162 .20351 L
.57163 .20363 L
.57163 .20376 L
.57164 .20388 L
.57165 .204 L
.57165 .20412 L
.57166 .20425 L
.57167 .20437 L
.57167 .20449 L
.57168 .20461 L
.57169 .20473 L
.57169 .20486 L
.5717 .20498 L
.57171 .2051 L
s
.59533 .20035 m
.59533 .20046 L
.59534 .20058 L
.59534 .20069 L
.59535 .20081 L
.59535 .20092 L
.59536 .20104 L
.59536 .20115 L
.59537 .20127 L
.59537 .20138 L
.59538 .2015 L
.59538 .20161 L
.59539 .20173 L
.5954 .20184 L
.5954 .20196 L
.59541 .20207 L
.59541 .20219 L
.59542 .2023 L
.59542 .20242 L
.59543 .20253 L
.59544 .20265 L
.59544 .20276 L
.59545 .20288 L
.59546 .20299 L
.59546 .20311 L
.59547 .20322 L
.59547 .20334 L
.59548 .20345 L
.59549 .20357 L
.59549 .20368 L
.5955 .2038 L
s
.61913 .19926 m
.61914 .19937 L
.61914 .19947 L
.61914 .19958 L
.61915 .19969 L
.61915 .1998 L
.61916 .1999 L
.61916 .20001 L
.61917 .20012 L
.61917 .20023 L
.61918 .20034 L
.61918 .20044 L
.61919 .20055 L
.61919 .20066 L
.6192 .20077 L
.61921 .20087 L
.61921 .20098 L
.61922 .20109 L
.61922 .2012 L
.61923 .20131 L
.61923 .20141 L
.61924 .20152 L
.61924 .20163 L
.61925 .20174 L
.61926 .20184 L
.61926 .20195 L
.61927 .20206 L
.61927 .20217 L
.61928 .20228 L
.61929 .20238 L
.61929 .20249 L
s
.64293 .19817 m
.64294 .19827 L
.64294 .19837 L
.64295 .19847 L
.64295 .19857 L
.64296 .19867 L
.64296 .19877 L
.64297 .19887 L
.64297 .19897 L
.64297 .19907 L
.64298 .19917 L
.64298 .19928 L
.64299 .19938 L
.64299 .19948 L
.643 .19958 L
.643 .19968 L
.64301 .19978 L
.64301 .19988 L
.64302 .19998 L
.64302 .20008 L
.64303 .20018 L
.64304 .20028 L
.64304 .20038 L
.64305 .20048 L
.64305 .20058 L
.64306 .20068 L
.64306 .20078 L
.64307 .20088 L
.64307 .20099 L
.64308 .20109 L
.64309 .20119 L
s
.66674 .19708 m
.66674 .19717 L
.66675 .19727 L
.66675 .19736 L
.66675 .19745 L
.66676 .19755 L
.66676 .19764 L
.66677 .19773 L
.66677 .19783 L
.66677 .19792 L
.66678 .19801 L
.66678 .19811 L
.66679 .1982 L
.66679 .19829 L
.6668 .19839 L
.6668 .19848 L
.66681 .19857 L
.66681 .19867 L
.66682 .19876 L
.66682 .19885 L
.66683 .19895 L
.66683 .19904 L
.66684 .19913 L
.66684 .19923 L
.66685 .19932 L
.66685 .19941 L
.66686 .19951 L
.66686 .1996 L
.66687 .1997 L
.66687 .19979 L
.66688 .19988 L
s
.69054 .19599 m
.69054 .19608 L
.69055 .19616 L
.69055 .19625 L
.69056 .19634 L
.69056 .19642 L
.69056 .19651 L
.69057 .19659 L
.69057 .19668 L
.69058 .19677 L
.69058 .19685 L
.69058 .19694 L
.69059 .19703 L
.69059 .19711 L
.6906 .1972 L
.6906 .19728 L
.6906 .19737 L
.69061 .19746 L
.69061 .19754 L
.69062 .19763 L
.69062 .19772 L
.69063 .1978 L
.69063 .19789 L
.69064 .19797 L
.69064 .19806 L
.69065 .19815 L
.69065 .19823 L
.69066 .19832 L
.69066 .19841 L
.69067 .19849 L
.69067 .19858 L
s
.71434 .1949 m
.71435 .19498 L
.71435 .19506 L
.71435 .19514 L
.71436 .19522 L
.71436 .1953 L
.71436 .19538 L
.71437 .19545 L
.71437 .19553 L
.71438 .19561 L
.71438 .19569 L
.71438 .19577 L
.71439 .19585 L
.71439 .19593 L
.71439 .19601 L
.7144 .19609 L
.7144 .19617 L
.71441 .19625 L
.71441 .19632 L
.71441 .1964 L
.71442 .19648 L
.71442 .19656 L
.71443 .19664 L
.71443 .19672 L
.71444 .1968 L
.71444 .19688 L
.71445 .19696 L
.71445 .19704 L
.71445 .19712 L
.71446 .19719 L
.71446 .19727 L
s
.73815 .19381 m
.73815 .19388 L
.73815 .19395 L
.73816 .19403 L
.73816 .1941 L
.73816 .19417 L
.73817 .19424 L
.73817 .19431 L
.73817 .19439 L
.73818 .19446 L
.73818 .19453 L
.73818 .1946 L
.73819 .19467 L
.73819 .19475 L
.73819 .19482 L
.7382 .19489 L
.7382 .19496 L
.7382 .19503 L
.73821 .19511 L
.73821 .19518 L
.73822 .19525 L
.73822 .19532 L
.73822 .19539 L
.73823 .19547 L
.73823 .19554 L
.73824 .19561 L
.73824 .19568 L
.73824 .19575 L
.73825 .19583 L
.73825 .1959 L
.73826 .19597 L
s
.76195 .19272 m
.76195 .19279 L
.76196 .19285 L
.76196 .19292 L
.76196 .19298 L
.76196 .19304 L
.76197 .19311 L
.76197 .19317 L
.76197 .19324 L
.76198 .1933 L
.76198 .19337 L
.76198 .19343 L
.76199 .1935 L
.76199 .19356 L
.76199 .19363 L
.762 .19369 L
.762 .19376 L
.762 .19382 L
.76201 .19389 L
.76201 .19395 L
.76201 .19402 L
.76202 .19408 L
.76202 .19415 L
.76202 .19421 L
.76203 .19428 L
.76203 .19434 L
.76203 .19441 L
.76204 .19447 L
.76204 .19454 L
.76204 .1946 L
.76205 .19467 L
s
.78575 .19163 m
.78576 .19169 L
.78576 .19175 L
.78576 .1918 L
.78576 .19186 L
.78577 .19192 L
.78577 .19198 L
.78577 .19203 L
.78577 .19209 L
.78578 .19215 L
.78578 .19221 L
.78578 .19227 L
.78578 .19232 L
.78579 .19238 L
.78579 .19244 L
.78579 .1925 L
.7858 .19255 L
.7858 .19261 L
.7858 .19267 L
.78581 .19273 L
.78581 .19279 L
.78581 .19284 L
.78581 .1929 L
.78582 .19296 L
.78582 .19302 L
.78582 .19307 L
.78583 .19313 L
.78583 .19319 L
.78583 .19325 L
.78584 .19331 L
.78584 .19336 L
s
.80956 .19054 m
.80956 .19059 L
.80956 .19064 L
.80956 .19069 L
.80957 .19074 L
.80957 .19079 L
.80957 .19084 L
.80957 .19089 L
.80957 .19094 L
.80958 .191 L
.80958 .19105 L
.80958 .1911 L
.80958 .19115 L
.80959 .1912 L
.80959 .19125 L
.80959 .1913 L
.80959 .19135 L
.8096 .1914 L
.8096 .19145 L
.8096 .1915 L
.8096 .19155 L
.80961 .1916 L
.80961 .19166 L
.80961 .19171 L
.80962 .19176 L
.80962 .19181 L
.80962 .19186 L
.80962 .19191 L
.80963 .19196 L
.80963 .19201 L
.80963 .19206 L
s
.83336 .18945 m
.83336 .18949 L
.83336 .18953 L
.83337 .18958 L
.83337 .18962 L
.83337 .18967 L
.83337 .18971 L
.83337 .18975 L
.83338 .1898 L
.83338 .18984 L
.83338 .18988 L
.83338 .18993 L
.83338 .18997 L
.83339 .19002 L
.83339 .19006 L
.83339 .1901 L
.83339 .19015 L
.83339 .19019 L
.8334 .19023 L
.8334 .19028 L
.8334 .19032 L
.8334 .19037 L
.83341 .19041 L
.83341 .19045 L
.83341 .1905 L
.83341 .19054 L
.83342 .19058 L
.83342 .19063 L
.83342 .19067 L
.83342 .19072 L
.83343 .19076 L
s
.85716 .18835 m
.85716 .18839 L
.85717 .18843 L
.85717 .18846 L
.85717 .1885 L
.85717 .18854 L
.85717 .18857 L
.85717 .18861 L
.85718 .18865 L
.85718 .18868 L
.85718 .18872 L
.85718 .18876 L
.85718 .1888 L
.85718 .18883 L
.85719 .18887 L
.85719 .18891 L
.85719 .18894 L
.85719 .18898 L
.85719 .18902 L
.8572 .18905 L
.8572 .18909 L
.8572 .18913 L
.8572 .18916 L
.8572 .1892 L
.85721 .18924 L
.85721 .18928 L
.85721 .18931 L
.85721 .18935 L
.85721 .18939 L
.85722 .18942 L
.85722 .18946 L
s
.88097 .18726 m
.88097 .18729 L
.88097 .18732 L
.88097 .18735 L
.88097 .18738 L
.88097 .18741 L
.88097 .18744 L
.88098 .18747 L
.88098 .1875 L
.88098 .18753 L
.88098 .18756 L
.88098 .18759 L
.88098 .18762 L
.88098 .18765 L
.88099 .18768 L
.88099 .18771 L
.88099 .18774 L
.88099 .18777 L
.88099 .1878 L
.88099 .18783 L
.88099 .18786 L
.881 .18789 L
.881 .18792 L
.881 .18795 L
.881 .18798 L
.881 .18801 L
.881 .18804 L
.88101 .18807 L
.88101 .1881 L
.88101 .18813 L
.88101 .18816 L
s
.90477 .18616 m
.90477 .18618 L
.90477 .1862 L
.90477 .18623 L
.90477 .18625 L
.90477 .18627 L
.90477 .1863 L
.90478 .18632 L
.90478 .18635 L
.90478 .18637 L
.90478 .18639 L
.90478 .18642 L
.90478 .18644 L
.90478 .18647 L
.90478 .18649 L
.90479 .18651 L
.90479 .18654 L
.90479 .18656 L
.90479 .18658 L
.90479 .18661 L
.90479 .18663 L
.90479 .18666 L
.90479 .18668 L
.90479 .1867 L
.9048 .18673 L
.9048 .18675 L
.9048 .18677 L
.9048 .1868 L
.9048 .18682 L
.9048 .18685 L
.9048 .18687 L
s
.92857 .18505 m
.92857 .18506 L
.92857 .18508 L
.92857 .1851 L
.92857 .18512 L
.92857 .18514 L
.92858 .18515 L
.92858 .18517 L
.92858 .18519 L
.92858 .18521 L
.92858 .18523 L
.92858 .18524 L
.92858 .18526 L
.92858 .18528 L
.92858 .1853 L
.92858 .18532 L
.92858 .18533 L
.92859 .18535 L
.92859 .18537 L
.92859 .18539 L
.92859 .18541 L
.92859 .18542 L
.92859 .18544 L
.92859 .18546 L
.92859 .18548 L
.92859 .1855 L
.92859 .18551 L
.92859 .18553 L
.9286 .18555 L
.9286 .18557 L
.9286 .18559 L
s
.95237 .18391 m
.95237 .18393 L
.95237 .18394 L
.95237 .18395 L
.95237 .18397 L
.95237 .18398 L
.95238 .184 L
.95238 .18401 L
.95238 .18402 L
.95238 .18404 L
.95238 .18405 L
.95238 .18406 L
.95238 .18408 L
.95238 .18409 L
.95238 .18411 L
.95238 .18412 L
.95238 .18413 L
.95238 .18415 L
.95238 .18416 L
.95238 .18417 L
.95239 .18419 L
.95239 .1842 L
.95239 .18422 L
.95239 .18423 L
.95239 .18424 L
.95239 .18426 L
.95239 .18427 L
.95239 .18428 L
.95239 .1843 L
.95239 .18431 L
.95239 .18433 L
s
0 0 m
1 0 L
1 .34679 L
0 .34679 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{512, 177.5},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000800000/B000`400?l00000o`00003oo`3ooooo
0?ooo`80oooo003o0?ooool0oooo0P3oool00;P0oooo1@00003o0?oooc80oooo00@000000?ooo`00
000000003P3oool00;T0oooo00@000000?ooo`3oool00000o`3ooolb0?ooo`8000000P3oool00`00
0000oooo0?ooo`0;0?ooo`00^@3oool00`000000oooo0?ooo`3o0?oooc<0oooo00<000000?ooo`3o
ool00P00000=0?ooo`00^@3oool00`000000oooo0?ooo`3o0?oooc@0oooo0`00000>0?ooo`00^@3o
ool00`000000oooo0?ooo`3o0?oooc<0oooo0P0000020?ooo`030000003oool0oooo00/0oooo002i
0?ooo`030000003oool0oooo0?l0oooo<`3oool00`000000oooo0?ooo`02000000d0oooo002h0?oo
o`<00000o`3ooole0?ooo`80000000<0oooo0000003oool0303oool00?l0ooooo`3oool20?ooo`00
o`3ooooo0?ooo`80oooo003o0?ooool0oooo0P3oool00?l0ooooo`3oool20?ooo`00o`3ooooo0?oo
o`80oooo00300?ooo``00000o`3ooolV0?ooo`030000003oool0oooo00`0oooo00300?ooo`030000
001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo
002o0?ooo`8000002P1oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303o
ool00;l0oooo3@00003o0?ooobH0oooo00<000000?ooo`3oool0303oool00;h0oooo00<0000007mo
O`0000002P1oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;h0
oooo00<0000007moO`0000002P1oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3o
ool0303oool00;h0oooo00<0000007moO`0000002P1oOgl00`000000oooo0?ooo`3o0?ooob@0oooo
00<000000?ooo`3oool0303oool00;d0oooo00@0000007moO`1oOgl000002P1oOgl00`000000oooo
0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;d0oooo00@0000007moO`1oOgl00000
2P1oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;`0oooo00D0
000007moO`1oOgl0Ogmo0000000:07moO`030000003oool0oooo0?l0oooo903oool00`000000oooo
0?ooo`0<0?ooo`00_03oool01@000000Ogmo07moO`1oOgl0000000X0Ogmo00<000000?ooo`3oool0
o`3ooolT0?ooo`030000003oool0oooo00`0oooo002k0?ooo`030000001oOgl0Ogmo0080Ogmo3000
003o0?ooobH0oooo00<000000?ooo`3oool0303oool00;/0oooo00<0000007moO`1oOgl00P1oOgl0
0`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<
0?ooo`00^P3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00P0Ogmo00<000000?oo
o`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002j0?ooo`030000001oOgl0Ogmo00<0
Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3o
ool0303oool00;X0oooo00<0000007moO`1oOgl00`1oOgl00`000000Ogmo07moO`0807moO`030000
003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00^@3oool00`000000Ogmo07mo
O`0407moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003o
ool0oooo00`0oooo002i0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0201oOgl0
0`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;P0oooo00<0000007mo
O`1oOgl01@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`00
0000oooo0?ooo`0<0?ooo`00^03oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo00P0
Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002g0?ooo`030000
001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo
00<000000?ooo`3oool0303oool00;L0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07mo
O`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00]P3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT
0?ooo`030000003oool0oooo00`0oooo002f0?ooo`030000001oOgl0Ogmo00L0Ogmo3000003o0?oo
obH0oooo00<000000?ooo`3oool0303oool00;H0oooo00<0000007moO`1oOgl01`1oOgl00`000000
Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00
]@3oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0
o`3ooolT0?ooo`030000003oool0oooo00`0oooo002e0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0
000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303o
ool00;@0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0
oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00]03oool00`000000Ogmo07moO`0907mo
O`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo
00`0oooo002d0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0201oOgl00`000000
oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;<0oooo00<0000007moO`1oOgl0
2P1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo
0?ooo`0<0?ooo`00/`3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00P0Ogmo00<0
00000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002c0?ooo`030000001oOgl0
Ogmo00X0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<00000
0?ooo`3oool0303oool00;<0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0807mo
O`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00/P3oool00`000000
Ogmo07moO`0;07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`03
0000003oool0oooo00`0oooo002b0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0
201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;80oooo00<0
000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903o
ool00`000000oooo0?ooo`0<0?ooo`00/@3oool00`000000Ogmo07moO`0<07moO`030000001oOgl0
Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002a0?oo
o`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?oo
ob@0oooo00<000000?ooo`3oool0303oool00;40oooo00<0000007moO`1oOgl0301oOgl00`000000
Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00
/@3oool00`000000Ogmo07moO`0<07moO``00000o`3ooolV0?ooo`030000003oool0oooo00`0oooo
002`0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?oo
o`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;00oooo00<0000007moO`1oOgl03@1oOgl0
0`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<
0?ooo`00/03oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?oo
o`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002`0?ooo`030000001oOgl0Ogmo00d0
Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3o
ool0303oool00:l0oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0807moO`030000
003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00[`3oool00`000000Ogmo07mo
O`0>07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003o
ool0oooo00`0oooo002_0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0201oOgl0
0`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00:h0oooo00<0000007mo
O`1oOgl03`1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`00
0000oooo0?ooo`0<0?ooo`00[P3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00P0
Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002^0?ooo`030000
001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo
00<000000?ooo`3oool0303oool00:h0oooo00<0000007moO`1oOgl03`1oOgl00`000000Ogmo07mo
O`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00[@3oool0
0`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT
0?ooo`030000003oool0oooo00`0oooo002]0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007mo
O`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00:d0
oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0
oooo903oool00`000000oooo0?ooo`0<0?ooo`00[@3oool00`000000Ogmo07moO`0@07moO`030000
001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo
002]0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?oo
o`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00:d0oooo00<0000007moO`1oOgl0401oOgl0
0`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<
0?ooo`00[@3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?oo
o`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002]0?ooo`030000001oOgl0Ogmo0100
Ogmo3000003o0?ooobH0oooo00<000000?ooo`3oool0303oool00:`0oooo00<0000007moO`1oOgl0
4@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo
0?ooo`0<0?ooo`00Y03oool3000000D0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07mo
O`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`003@3ooonH
00WZ2PD000004P09jPX407moO`030000001oOgl0Ogmo00<000001@1oOgl00`000000oooo0?ooo`3o
0?ooob@0oooo00<000000?ooo`3oool0303oool000d0oooo00<02NX:0000000000002@0000000`09
jPX00000000000090000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09
jPX000000000000:0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09
jPX00000000000090000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09
jPX00000000000090000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09
jPX000000000000:0000000300WZ2P000000000000<000001`09jPX6000000X02NX:o`3ooolN0?oo
o`030000003oool0oooo00`0oooo000=0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool02P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3o
ool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo1@0000000`09jPX0
oooo0000000:07moO`0300WZ2P1oOgl0Ogmo00<0Ogmo1P0000000`09jPX000000000000900000003
00WZ2P000000000000@000003P09jP[o0?ooo`h0oooo00<000000?ooo`3oool0303oool000d0oooo
U`09jPX2000001H02NX:101oOgl010000000Ogmo07moO`09jPX500000080Ogmo00D000000?ooo`3o
ool0oooo00WZ2P060?ooo`D0000000<02NX:0000000000002@0000000`09jPX0000000WZ2P0B00WZ
2_D0oooo00<000000?ooo`3oool0303oool00:`0oooo00<0000007moO`1oOgl03@1oOgl800WZ2P03
00000009jPX02NX:01D02NX:2`3oool00`09jPX0oooo000000090000000300WZ2P000000000000L0
00003`09jP[U0?ooo`030000003oool0oooo00`0oooo002/0?ooo`030000001oOgl0Ogmo0140Ogmo
00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`0=0?oooa402NX:1`3oool00`09jPX0oooo
0?ooo`070?ooo`80000000<02NX:0000000000002@0000000`09jPX0000000000003000000/02NX:
e@3oool00`000000oooo0?ooo`0<0?ooo`00[03oool00`000000Ogmo07moO`0A07moO`030000001o
Ogl0Ogmo00P0Ogmo00<000000?ooo`3oool07P3ooolH00WZ2PL0oooo00<02NX:0?ooo`3oool00`3o
ool60000000300WZ2P000000000000T000002P09jP[40?ooo`030000003oool0oooo00`0oooo002/
0?ooo`030000001oOgl0Ogmo0140Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`0f
0?oooaP02NX:1`3oool00`09jPX0000000000009000000802NX:1`00000=00WZ2Z`0oooo00<00000
0?ooo`3oool0303oool00:`0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0807mo
O`030000003oool0oooo04h0oooo6009jPX40?ooo`@0000000<02NX:0000000000002@0000000`09
jPX000000000000:00WZ2Y`0oooo00<000000?ooo`3oool0303oool00:`0oooo00<0000007moO`1o
Ogl04@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo06H0oooo4@09jPX30?ooo`03
00WZ2P3oool0oooo00T0000000<02NX:0000000000002000000600WZ2X`0oooo00<000000?ooo`3o
ool0303oool00:`0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0807moO`030000
003oool0oooo07L0oooo6009jPX20?ooo`0300000009jPX0000000X0000000<02NX:000000000000
1000000200WZ2W`0oooo00<000000?ooo`3oool0303oool00:/0oooo00<0000007moO`1oOgl04P1o
Ogl00`000000Ogmo07moO`0807moO`030000003oool0oooo08l0oooo5P09jPX50000000300WZ2P00
0000000000T0000000<02NX:00000009jPX01P09jPYT0?ooo`030000003oool0oooo00`0oooo002[
0?ooo`030000001oOgl0Ogmo0180Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`2W
0?oooa402NX:2P0000000`09jPX0000000000007000000<02NX:E03oool00`000000oooo0?ooo`0<
0?ooo`00Z`3oool00`000000Ogmo07moO`0B07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?oo
o`3oool0_`3oool=00WZ2P80000000<02NX:0000000000002@0000000`09jPX00000000000020000
04@0oooo00<000000?ooo`3oool0303oool00:/0oooo00<0000007moO`1oOgl04P1oOgl00`000000
Ogmo07moO`0807moO`030000003oool0oooo0<l0oooo4009jPX70000000300WZ2P000000000000X0
0000<03oool00`000000oooo0?ooo`0<0?ooo`00X`3oool3000000D0oooo00<0000007moO`1oOgl0
4P1oOgl00`000000Ogmo07moO`03000000D0Ogmo00<000000?ooo`3oool0i`3oool=00WZ2P/00000
00<02NX:0000000000001@0000000`09jPX0oooo0?ooo`0A0?ooo`<000001@3oool00`000000oooo
0?ooo`0<0?ooo`003@3ooonG00WZ2PH000006P09jPX6000009<02NX:L03oool800WZ2P@0000000<0
2NX:000000000000300000000`3oool0000000000005000000030?ooo`000000oooo00d0oooo000=
0?ooo`0300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002P0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX000000000000:
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002P0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX000000000000:
0000000300WZ2P000000000000T0000000<02NX:0000000000002@0000000`09jPX0000000000009
0000000300WZ2P000000000000X000003P3oool000d0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09
jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool00`3oool50000
00030?ooo`09jPX0000000X0Ogmo00<02NX:07moO`1oOgl01`1oOgl010000000Ogmo07moO`09jPX5
00000080Ogmo00D000000?ooo`3oool0oooo00WZ2P0;0?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02@3ooooB00WZ2Pl0oooo1@0000000`09jPX00000000000090000000300WZ2P00
00002NX:00<02NX:1@0000000`3oool000000?ooo`0=0?ooo`003@3ooonF00WZ2P8000007`09jPX0
0`0000002NX:00WZ2P0/00WZ2/X0oooo0`09jPX00`0000002NX:0000000:0000000300WZ2P000000
000000@000002@09jPX<0?ooo`@00000103oool00`000000oooo0?ooo`0<0?ooo`00Z`3oool00`00
0000Ogmo07moO`0B07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0gP3oool80000
000300WZ2P000000000000T000001@09jPXT0?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0303oool00:/0oooo00<0000007moO`1oOgl04P1oOgl00`000000Ogmo07moO`0807moO`03
0000003oool0oooo0<H0oooo1@09jPX30000000300WZ2P000000000000T0000000@02NX:00000000
000000002@09jPXl0?ooo`030000003oool0oooo00`0oooo002[0?ooo`030000001oOgl0Ogmo0180
Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`2^0?ooo`T02NX:2`0000000`09jPX0
000000000006000000/02NX:C@3oool00`000000oooo0?ooo`0<0?ooo`00Z`3oool00`000000Ogmo
07moO`0B07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0UP3oool>00WZ2PH00000
00<02NX:0000000000002@00000@00WZ2Ud0oooo00<000000?ooo`3oool0303oool00:/0oooo00<0
000007moO`1oOgl04P1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo08H0oooo2P09
jPX20000000300WZ2P000000000000T0000000<02NX:0000000000000`00000:00WZ2WD0oooo00<0
00000?ooo`3oool0303oool00:`0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`08
07moO`030000003oool0oooo06h0oooo3P09jPX:0000000300WZ2P000000000000L000003`09jPZ4
0?ooo`030000003oool0oooo00`0oooo002/0?ooo`030000001oOgl0Ogmo0140Ogmo00<0000007mo
O`1oOgl0201oOgl00`000000oooo0?ooo`1E0?oooa@02NX:1@0000000`09jPX00000000000090000
000400WZ2P000000oooo0?oooa002NX:U@3oool00`000000oooo0?ooo`0<0?ooo`00[03oool00`00
0000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0?@3ooolI00WZ
2P/000000P09jPX6000001D02NX:Y@3oool00`000000oooo0?ooo`0<0?ooo`00[03oool00`000000
Ogmo07moO`0A07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0;@3ooolA00WZ2P@0
oooo1`0000000`09jPX0000000000009000001402NX:_@3oool00`000000oooo0?ooo`0<0?ooo`00
[03oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0
5@3ooolH00WZ2P050?ooo`000000000000000009jPX02`0000000`09jPX0000000000002000000<0
oooo4@09jP[=0?ooo`030000003oool0oooo00`0oooo002/0?ooo`030000001oOgl0Ogmo0140Ogmo
00<0000007moO`1oOgl00`00000507moOaP02NX:103oool00`09jPX00000000000090000000300WZ
2P000000000000H000000`3oool01009jPX0oooo0?ooo`3oool@00WZ2]h0oooo00<000000?ooo`3o
ool0303oool000d0ooooU`09jPX3000001d02NX:1P0000000`09jPX000000?ooo`020?ooo`0300WZ
2P3oool0oooo00<0oooo1P0000000`09jPX00000000000090000000300WZ2P3oool0oooo00T0oooo
4009jP[^0?ooo`030000003oool0oooo00`0oooo000=0?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00@0oooo1@00
00000`09jPX0oooo0000000:07moO`0300WZ2P1oOgl0Ogmo0080Ogmo1`0000000`09jPX000000000
00090000000300WZ2P000000000000<000001P3ooolH00WZ2_h0oooo00<000000?ooo`3oool0303o
ool000d0oooo00<02NX:0000000000002@0000000`09jPX00000000000090000000300WZ2P000000
000000T0000000<02NX:0000000000002@0000000`09jPX000000000000:0000000300WZ2P000000
000000T0000000<02NX:0000000000002@0000000`09jPX00000000000090000000300WZ2P000000
000000T0000000<02NX:0000000000002@0000000`09jPX00000000000090000000300WZ2P000000
000000T0000000<02NX:0000000000002@0000000`09jPX000000000000:0000000300WZ2P000000
000000800000101oOgl010000000Ogmo07moO`09jPX500000080Ogmo4009jP[o0?oooaL0oooo00<0
00000?ooo`3oool0303oool000d0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0:
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`09
0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0103oool50000000300WZ2P3oool0
000000H0Ogmo4@09jPX00`0000002NX:00WZ2P0400WZ2P030000003oool0oooo0?l0oooo903oool0
0`000000oooo0?ooo`0<0?ooo`003@3ooonG00WZ2P8000003@09jPX=07moO`030000001oOgl0Ogmo
00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002/0?ooo`03
0000001oOgl0Ogmo0140Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0
oooo00<000000?ooo`3oool0303oool00:`0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo
07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00[@3o
ool00`000000Ogmo07moO`0@07moO``00000o`3ooolV0?ooo`030000003oool0oooo00`0oooo002]
0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o
0?ooob@0oooo00<000000?ooo`3oool0303oool00:d0oooo00<0000007moO`1oOgl0401oOgl00`00
0000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?oo
o`00[@3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3o
ool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002]0?ooo`030000001oOgl0Ogmo0100Ogmo
00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0
303oool00:d0oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0807moO`030000003o
ool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00[@3oool00`000000Ogmo07moO`0@
07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0
oooo00`0oooo002]0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0201oOgl00`00
0000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00:d0oooo00<0000007moO`1o
Ogl0401oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000
oooo0?ooo`0<0?ooo`00[P3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00P0Ogmo
00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002^0?ooo`030000001o
Ogl0Ogmo00l0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<0
00000?ooo`3oool0303oool00:h0oooo00<0000007moO`1oOgl03`1oOgl00`000000Ogmo07moO`08
07moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00[P3oool00`00
0000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?oo
o`030000003oool0oooo00`0oooo002_0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1o
Ogl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00:l0oooo
00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo
903oool00`000000oooo0?ooo`0<0?ooo`00[`3oool00`000000Ogmo07moO`0>07moO`030000001o
Ogl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002`
0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o
0?ooob@0oooo00<000000?ooo`3oool0303oool00;00oooo00<0000007moO`1oOgl03@1oOgl00`00
0000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?oo
o`00/03oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3o
ool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002`0?ooo`030000001oOgl0Ogmo00d0Ogmo
3000003o0?ooobH0oooo00<000000?ooo`3oool0303oool00;40oooo00<0000007moO`1oOgl0301o
Ogl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?oo
o`0<0?ooo`00/@3oool00`000000Ogmo07moO`0<07moO`030000001oOgl0Ogmo00P0Ogmo00<00000
0?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002a0?ooo`030000001oOgl0Ogmo
00`0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?oo
o`3oool0303oool00;40oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0807moO`03
0000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00/P3oool00`000000Ogmo
07moO`0;07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000
003oool0oooo00`0oooo002b0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0201o
Ogl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;80oooo00<00000
07moO`1oOgl02`1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool0
0`000000oooo0?ooo`0<0?ooo`00/`3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo
00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002c0?ooo`03
0000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0
oooo00<000000?ooo`3oool0303oool00;<0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo
07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00/`3o
ool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3o
oolT0?ooo`030000003oool0oooo00`0oooo002d0?ooo`030000001oOgl0Ogmo00T0Ogmo00<00000
07moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool0
0;@0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo
0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00]03oool00`000000Ogmo07moO`0907moO`03
0000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0
oooo002e0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo
0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;D0oooo00<0000007moO`1oOgl0201o
Ogl<00000?l0oooo9P3oool00`000000oooo0?ooo`0<0?ooo`00]P3oool00`000000Ogmo07moO`07
07moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0
oooo00`0oooo002f0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0201oOgl00`00
0000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;L0oooo00<0000007moO`1o
Ogl01P1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000
oooo0?ooo`0<0?ooo`00]`3oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00P0Ogmo
00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002g0?ooo`030000001o
Ogl0Ogmo00H0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<0
00000?ooo`3oool0303oool00;P0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`08
07moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00^03oool00`00
0000Ogmo07moO`0507moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?oo
o`030000003oool0oooo00`0oooo002i0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1o
Ogl0201oOgl00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0303oool00;T0oooo
00<0000007moO`1oOgl0101oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo
903oool00`000000oooo0?ooo`0<0?ooo`00^P3oool00`000000Ogmo07moO`0307moO`030000001o
Ogl0Ogmo00P0Ogmo00<000000?ooo`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo002j
0?ooo`030000001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`3o
0?ooob@0oooo00<000000?ooo`3oool0303oool00;/0oooo00<0000007moO`1oOgl00P1oOgl00`00
0000Ogmo07moO`0807moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?oo
o`00^`3oool00`000000Ogmo07moO`0207moO``00000o`3ooolV0?ooo`030000003oool0oooo00`0
oooo002l0?ooo`050000001oOgl0Ogmo07moO`0000002P1oOgl00`000000oooo0?ooo`3o0?ooob@0
oooo00<000000?ooo`3oool0303oool00;`0oooo00D0000007moO`1oOgl0Ogmo0000000:07moO`03
0000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00_@3oool010000000Ogmo
07moO`00000:07moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00
_@3oool010000000Ogmo07moO`00000:07moO`030000003oool0oooo0?l0oooo903oool00`000000
oooo0?ooo`0<0?ooo`00_@3oool010000000Ogmo07moO`00000:07moO`030000003oool0oooo0?l0
oooo903oool00`000000oooo0?ooo`0<0?ooo`00_P3oool00`000000Ogmo0000000:07moO`030000
003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00_P3oool00`000000Ogmo0000
000:07moO`030000003oool0oooo0?l0oooo903oool00`000000oooo0?ooo`0<0?ooo`00_`3oool=
00000?l0oooo9P3oool00`000000oooo0?ooo`0<0?ooo`00_`3oool2000000X0Ogmo00<000000?oo
o`3oool0o`3ooolT0?ooo`030000003oool0oooo00`0oooo00300?ooo``00000o`3ooolV0?ooo`03
0000003oool0oooo00`0oooo003o0?ooool0oooo0P3oool00?l0ooooo`3oool20?ooo`00o`3ooooo
0?ooo`80oooo003o0?ooool0oooo0P3oool00001\
\>"],
  ImageRangeCache->{{{0, 511}, {176.5, 0}} -> {-54.2877, -29.4826, 0.316198, \
0.316198}},
  CellTags->"Three Wavelets with Lens"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 6.80272 0.0146882 0.0119712 [
[.09184 .00219 -15 -9 ]
[.09184 .00219 15 0 ]
[.22789 .00219 -15 -9 ]
[.22789 .00219 15 0 ]
[.36395 .00219 -15 -9 ]
[.36395 .00219 15 0 ]
[.63605 .00219 -12 -9 ]
[.63605 .00219 12 0 ]
[.77211 .00219 -12 -9 ]
[.77211 .00219 12 0 ]
[.90816 .00219 -12 -9 ]
[.90816 .00219 12 0 ]
[.4875 .1344 -12 -4.5 ]
[.4875 .1344 0 4.5 ]
[.4875 .25411 -12 -4.5 ]
[.4875 .25411 0 4.5 ]
[.4875 .37382 -12 -4.5 ]
[.4875 .37382 0 4.5 ]
[.4875 .49354 -12 -4.5 ]
[.4875 .49354 0 4.5 ]
[.4875 .61325 -12 -4.5 ]
[.4875 .61325 0 4.5 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.09184 .01469 m
.09184 .02094 L
s
[(-0.06)] .09184 .00219 0 1 Mshowa
.22789 .01469 m
.22789 .02094 L
s
[(-0.04)] .22789 .00219 0 1 Mshowa
.36395 .01469 m
.36395 .02094 L
s
[(-0.02)] .36395 .00219 0 1 Mshowa
.63605 .01469 m
.63605 .02094 L
s
[(0.02)] .63605 .00219 0 1 Mshowa
.77211 .01469 m
.77211 .02094 L
s
[(0.04)] .77211 .00219 0 1 Mshowa
.90816 .01469 m
.90816 .02094 L
s
[(0.06)] .90816 .00219 0 1 Mshowa
.125 Mabswid
.12585 .01469 m
.12585 .01844 L
s
.15986 .01469 m
.15986 .01844 L
s
.19388 .01469 m
.19388 .01844 L
s
.2619 .01469 m
.2619 .01844 L
s
.29592 .01469 m
.29592 .01844 L
s
.32993 .01469 m
.32993 .01844 L
s
.39796 .01469 m
.39796 .01844 L
s
.43197 .01469 m
.43197 .01844 L
s
.46599 .01469 m
.46599 .01844 L
s
.53401 .01469 m
.53401 .01844 L
s
.56803 .01469 m
.56803 .01844 L
s
.60204 .01469 m
.60204 .01844 L
s
.67007 .01469 m
.67007 .01844 L
s
.70408 .01469 m
.70408 .01844 L
s
.7381 .01469 m
.7381 .01844 L
s
.80612 .01469 m
.80612 .01844 L
s
.84014 .01469 m
.84014 .01844 L
s
.87415 .01469 m
.87415 .01844 L
s
.05782 .01469 m
.05782 .01844 L
s
.02381 .01469 m
.02381 .01844 L
s
.94218 .01469 m
.94218 .01844 L
s
.97619 .01469 m
.97619 .01844 L
s
.25 Mabswid
0 .01469 m
1 .01469 L
s
.5 .1344 m
.50625 .1344 L
s
[(10)] .4875 .1344 1 0 Mshowa
.5 .25411 m
.50625 .25411 L
s
[(20)] .4875 .25411 1 0 Mshowa
.5 .37382 m
.50625 .37382 L
s
[(30)] .4875 .37382 1 0 Mshowa
.5 .49354 m
.50625 .49354 L
s
[(40)] .4875 .49354 1 0 Mshowa
.5 .61325 m
.50625 .61325 L
s
[(50)] .4875 .61325 1 0 Mshowa
.125 Mabswid
.5 .03863 m
.50375 .03863 L
s
.5 .06257 m
.50375 .06257 L
s
.5 .08652 m
.50375 .08652 L
s
.5 .11046 m
.50375 .11046 L
s
.5 .15834 m
.50375 .15834 L
s
.5 .18228 m
.50375 .18228 L
s
.5 .20623 m
.50375 .20623 L
s
.5 .23017 m
.50375 .23017 L
s
.5 .27805 m
.50375 .27805 L
s
.5 .302 m
.50375 .302 L
s
.5 .32594 m
.50375 .32594 L
s
.5 .34988 m
.50375 .34988 L
s
.5 .39777 m
.50375 .39777 L
s
.5 .42171 m
.50375 .42171 L
s
.5 .44565 m
.50375 .44565 L
s
.5 .46959 m
.50375 .46959 L
s
.5 .51748 m
.50375 .51748 L
s
.5 .54142 m
.50375 .54142 L
s
.5 .56536 m
.50375 .56536 L
s
.5 .5893 m
.50375 .5893 L
s
.25 Mabswid
.5 0 m
.5 .61803 L
s
.5 Mabswid
.02381 .01479 m
.02605 .01482 L
.02846 .01484 L
.02962 .01486 L
.03072 .01487 L
.0317 .01487 L
.03279 .01488 L
.03398 .01488 L
.03524 .01489 L
.03641 .01488 L
.0375 .01488 L
.03879 .01487 L
.03997 .01486 L
.04262 .01483 L
.04748 .01476 L
.04881 .01475 L
.05023 .01473 L
.05092 .01473 L
.05157 .01472 L
.05278 .01472 L
.05396 .01472 L
.0552 .01472 L
.05626 .01472 L
.05742 .01473 L
.05868 .01474 L
.06002 .01476 L
.06244 .01479 L
.06507 .01483 L
.0664 .01484 L
.06716 .01484 L
.06787 .01485 L
.06863 .01485 L
.06934 .01485 L
.07011 .01485 L
.07093 .01485 L
.07163 .01484 L
.07228 .01484 L
.07376 .01482 L
.07643 .01479 L
.07774 .01477 L
.07895 .01475 L
.07962 .01475 L
.08034 .01474 L
.08106 .01474 L
.08185 .01474 L
.0825 .01474 L
.08321 .01475 L
.08448 .01478 L
.08513 .0148 L
.08582 .01482 L
Mistroke
.08706 .01488 L
.08854 .01497 L
.08987 .01507 L
.09499 .01563 L
.09956 .01619 L
.10082 .01633 L
.10216 .01645 L
.10343 .01655 L
.10458 .01661 L
.10578 .01664 L
.10709 .01665 L
.10833 .01662 L
.10947 .01656 L
.11066 .01648 L
.11197 .01635 L
.11463 .01603 L
.11698 .01571 L
.11945 .01538 L
.12156 .01516 L
.12275 .01508 L
.12386 .01502 L
.12518 .015 L
.12637 .01501 L
.12703 .01503 L
.12775 .01507 L
.12904 .01516 L
.13045 .01531 L
.13194 .01549 L
.13462 .01584 L
.13693 .01613 L
.13823 .01625 L
.13942 .01633 L
.14009 .01636 L
.14082 .01638 L
.14151 .01638 L
.14215 .01637 L
.14338 .01632 L
.1447 .01622 L
.14925 .01564 L
.15036 .01549 L
.15154 .01536 L
.15284 .01526 L
.15405 .01524 L
.15473 .01526 L
.15547 .01531 L
.15617 .01539 L
.15681 .0155 L
.15803 .01579 L
.15932 .01622 L
.1605 .01674 L
Mistroke
.16161 .01733 L
.16415 .01903 L
.16866 .02279 L
.17089 .02465 L
.17295 .02614 L
.17419 .02685 L
.17531 .02736 L
.17656 .02773 L
.17725 .02785 L
.17789 .0279 L
.17903 .02784 L
.18007 .02762 L
.18121 .02721 L
.18242 .02659 L
.18729 .0227 L
.18969 .02051 L
.1919 .01874 L
.19314 .01796 L
.19445 .01735 L
.19577 .01698 L
.19652 .0169 L
.19722 .01691 L
.19844 .0171 L
.19956 .01748 L
.20078 .01811 L
.20207 .01896 L
.20631 .02252 L
.20742 .02345 L
.20863 .02436 L
.2097 .02503 L
.21083 .02558 L
.21148 .0258 L
.21218 .02597 L
.21343 .02604 L
.21465 .02585 L
.21579 .02542 L
.21696 .02478 L
.21802 .02402 L
.22041 .02198 L
.22159 .02091 L
.22288 .01985 L
.22408 .01903 L
.2252 .01851 L
.2265 .01829 L
.22715 .01836 L
.22787 .01861 L
.22912 .01948 L
.23029 .02084 L
.23148 .0228 L
.23261 .02519 L
Mistroke
.23471 .03099 L
.23945 .04854 L
.24194 .05839 L
.24427 .06646 L
.24554 .06998 L
.24671 .07248 L
.248 .07436 L
.24871 .07494 L
.24939 .0752 L
.25006 .07515 L
.25078 .07476 L
.25207 .07321 L
.25287 .07174 L
.25361 .07002 L
.255 .066 L
.26019 .04562 L
.26243 .03682 L
.26367 .03268 L
.26484 .02944 L
.2655 .02796 L
.26622 .02666 L
.26748 .02522 L
.26876 .02489 L
.26995 .02562 L
.27117 .02737 L
.27232 .02986 L
.27495 .0379 L
.27753 .04747 L
.27894 .05256 L
.28026 .05681 L
.28142 .05993 L
.28247 .06211 L
.28364 .06369 L
.28489 .06428 L
.28594 .06388 L
.28708 .06252 L
.28815 .06042 L
.28914 .05783 L
.29171 .04909 L
.29415 .03988 L
.29521 .03628 L
.29634 .03307 L
.29758 .03061 L
.29873 .02961 L
.29999 .03021 L
.30118 .0326 L
.30224 .03638 L
.3034 .04226 L
.30467 .05089 L
.30601 .06232 L
Mistroke
.30842 .08777 L
.31279 .14228 L
.3152 .17001 L
.31639 .18144 L
.31748 .1902 L
.31876 .19785 L
.31943 .20065 L
.32015 .20264 L
.3213 .20364 L
.32258 .20151 L
.32376 .19658 L
.32503 .18825 L
.32623 .17784 L
.32733 .16645 L
.33255 .10087 L
.33392 .08444 L
.33541 .06901 L
.3361 .06301 L
.33682 .05752 L
.33812 .05011 L
.33939 .04613 L
.34057 .04544 L
.34187 .04802 L
.3426 .05093 L
.34327 .05443 L
.34442 .06219 L
.34567 .07272 L
.34794 .09547 L
.35024 .11943 L
.3515 .13136 L
.35268 .14099 L
.35368 .14756 L
.35477 .15271 L
.35597 .1558 L
.35707 .15605 L
.35828 .15346 L
.35956 .14751 L
.36078 .13919 L
.36188 .12974 L
.36462 .10164 L
.36715 .07594 L
.36843 .0656 L
.36907 .06145 L
.36977 .0579 L
.37048 .05554 L
.37124 .05447 L
.37196 .05498 L
.37262 .05682 L
.37388 .06422 L
.3746 .07073 L
Mistroke
.37527 .07827 L
.37648 .09577 L
.37778 .11935 L
.38279 .24342 L
.38552 .3162 L
.38807 .3727 L
.38941 .39448 L
.39015 .4038 L
.39084 .41031 L
.39158 .41516 L
.39239 .41767 L
.39316 .41733 L
.39387 .41468 L
.3951 .40484 L
.3958 .39639 L
.39645 .38669 L
.3992 .33039 L
.40393 .20307 L
.40651 .13982 L
.40777 .11518 L
.40891 .09749 L
.41017 .0838 L
.41086 .07904 L
.41152 .07639 L
.41223 .07553 L
.41288 .0766 L
.41361 .07975 L
.41437 .08523 L
.4156 .09836 L
.41675 .11475 L
.41937 .16196 L
.42179 .20902 L
.42311 .23256 L
.42435 .25148 L
.42506 .26045 L
.42583 .26839 L
.42653 .2739 L
.42717 .27743 L
.42844 .2799 L
.42908 .27883 L
.42978 .27587 L
.43108 .26576 L
.43225 .25172 L
.4349 .20746 L
.43738 .15873 L
.43847 .13818 L
.43967 .11791 L
.44073 .10303 L
.44188 .09133 L
.44309 .08484 L
Mistroke
.44423 .08496 L
.44487 .08783 L
.44556 .09334 L
.44682 .10982 L
.44805 .13371 L
.44919 .16243 L
.45355 .31517 L
.4582 .49371 L
.45955 .53497 L
.4608 .56588 L
.46211 .58882 L
.46281 .59675 L
.46355 .60183 L
.46487 .60193 L
.46613 .5915 L
.46725 .57374 L
.46848 .54612 L
.47128 .4568 L
.47425 .33957 L
.47682 .23981 L
.47817 .19399 L
.4796 .15354 L
.48083 .12641 L
.48152 .11459 L
.48217 .10602 L
.48332 .09672 L
.48454 .0949 L
.48579 .10131 L
.48697 .11434 L
.48803 .13102 L
.48918 .15339 L
.49181 .21461 L
.49464 .2803 L
.49602 .3063 L
.49732 .32518 L
.49849 .33629 L
.49976 .34147 L
.50101 .33924 L
.50214 .33111 L
.50344 .31499 L
.50467 .29409 L
.50921 .18978 L
.51165 .13694 L
.51287 .11659 L
.51357 .10767 L
.51421 .1013 L
.51493 .09667 L
.51557 .09473 L
.51632 .09532 L
.51703 .09875 L
Mistroke
.51827 .11162 L
.51897 .12271 L
.51962 .13533 L
.52484 .3033 L
.52759 .41335 L
.52908 .46983 L
.53047 .51634 L
.5318 .55316 L
.53301 .5786 L
.5337 .58931 L
.53435 .5967 L
.53504 .60155 L
.53579 .60332 L
.53702 .59826 L
.53832 .58233 L
.53943 .56068 L
.54066 .52922 L
.54528 .36204 L
.54967 .19674 L
.55084 .16156 L
.55209 .13067 L
.5528 .11627 L
.55346 .10549 L
.55472 .09079 L
.55587 .08469 L
.5571 .08544 L
.55827 .09257 L
.55934 .10393 L
.56062 .12245 L
.56181 .1433 L
.56452 .1963 L
.566 .22395 L
.56739 .24662 L
.56864 .26272 L
.56934 .26966 L
.56999 .27454 L
.5711 .2793 L
.57233 .27913 L
.5736 .27296 L
.5748 .26195 L
.5761 .24506 L
.57728 .22592 L
.57995 .17531 L
.5824 .12881 L
.58361 .1093 L
.58471 .09457 L
.58599 .08237 L
.58667 .07832 L
.58738 .07596 L
.58853 .07651 L
Mistroke
.58979 .08348 L
.59099 .09609 L
.59207 .11241 L
.59452 .16333 L
.59893 .28185 L
.6014 .3446 L
.60276 .37292 L
.60403 .39396 L
.60469 .40244 L
.6054 .40957 L
.60618 .41495 L
.60691 .41747 L
.60821 .41611 L
.60886 .41259 L
.60957 .40665 L
.61089 .39013 L
.6121 .36952 L
.61479 .30825 L
.61965 .17822 L
.62216 .12055 L
.62338 .09797 L
.6245 .08126 L
.62568 .06799 L
.62694 .05879 L
.6276 .05605 L
.62832 .0546 L
.62963 .05584 L
.63085 .06096 L
.63195 .06835 L
.63441 .09134 L
.63656 .11429 L
.63883 .13607 L
.64012 .14554 L
.64084 .14971 L
.64152 .15272 L
.64271 .1558 L
.64398 .15587 L
.6447 .15443 L
.64548 .15172 L
.64622 .14812 L
.6469 .14395 L
.64955 .12154 L
.6544 .07208 L
.65573 .06107 L
.65646 .05609 L
.65713 .05223 L
.65833 .04741 L
.65963 .04535 L
.66089 .04672 L
.66208 .05102 L
Mistroke
.66314 .05728 L
.6643 .0664 L
.66689 .09398 L
.66928 .1244 L
.67155 .15342 L
.67368 .17692 L
.67484 .18719 L
.67589 .19458 L
.67707 .20032 L
.67833 .20337 L
.6796 .20309 L
.68025 .20167 L
.68096 .19912 L
.68222 .19227 L
.6834 .18332 L
.68605 .1562 L
.68891 .12079 L
.69142 .08968 L
.69411 .06122 L
.69541 .05029 L
.69664 .04204 L
.69775 .03643 L
.69894 .03227 L
.70009 .03011 L
.70136 .02964 L
.70268 .03101 L
.70391 .03372 L
.70507 .03718 L
.70612 .04088 L
.7085 .04988 L
.70974 .05432 L
.71106 .05842 L
.71182 .06036 L
.71251 .06182 L
.71321 .06296 L
.71386 .06371 L
.71514 .06428 L
.71631 .06373 L
.7176 .06199 L
.71825 .0607 L
.71896 .05899 L
.72422 .0409 L
.72561 .03598 L
.72712 .03132 L
.72781 .02953 L
.72855 .02791 L
.72987 .02582 L
.73117 .0249 L
.7324 .02514 L
.7331 .02575 L
Mistroke
.73374 .0266 L
.73445 .02786 L
.73519 .02952 L
.73751 .03662 L
.74005 .04661 L
.74259 .05717 L
.74392 .06232 L
.74534 .06708 L
.74658 .07048 L
.74723 .07194 L
.74794 .07323 L
.74917 .07472 L
.75033 .07521 L
.75153 .07478 L
.75283 .07326 L
.75407 .07089 L
.75521 .06797 L
.75967 .0521 L
.76218 .04205 L
.7649 .03222 L
.76615 .02842 L
.76747 .02502 L
.7686 .02264 L
.76982 .02069 L
.77055 .0198 L
.77122 .01918 L
.77253 .01845 L
.77326 .0183 L
.77405 .01833 L
.7748 .01851 L
.77549 .0188 L
.77668 .01952 L
.77798 .02055 L
.78062 .0229 L
.78182 .0239 L
.7831 .02481 L
.78384 .02524 L
.78451 .02556 L
.78581 .02595 L
.78703 .02605 L
.78836 .02585 L
.7896 .02539 L
.79075 .02476 L
.79554 .0209 L
.79788 .01899 L
.79891 .0183 L
.80002 .01768 L
.80122 .0172 L
.80235 .01695 L
.80365 .01691 L
Mistroke
.80486 .01712 L
.80608 .01757 L
.80678 .01792 L
.80743 .0183 L
.81017 .02039 L
.81529 .02497 L
.81669 .02603 L
.81746 .02652 L
.81819 .02693 L
.81887 .02725 L
.81961 .02753 L
.82089 .02783 L
.82208 .0279 L
.82338 .02775 L
.82403 .02758 L
.82473 .02734 L
.826 .02675 L
.82847 .02515 L
.83072 .02333 L
.83567 .01917 L
.83702 .01819 L
.83847 .01729 L
.83971 .01664 L
.84106 .01608 L
.84171 .01586 L
.8424 .01567 L
.84363 .01542 L
.84478 .01529 L
.84604 .01524 L
.84717 .01526 L
.84838 .01535 L
.84952 .01548 L
.85055 .01561 L
.85277 .01592 L
.85394 .01607 L
.85518 .01621 L
.85627 .0163 L
.85746 .01636 L
.85855 .01638 L
.85956 .01637 L
.86074 .01632 L
.862 .01623 L
.86319 .01611 L
.86427 .01599 L
.86941 .01532 L
.87066 .01519 L
.87197 .01509 L
.87266 .01505 L
.87342 .01502 L
.8741 .015 L
Mistroke
.87475 .015 L
.87601 .01502 L
.87717 .01507 L
.87781 .01511 L
.87851 .01517 L
.87977 .01529 L
.88443 .0159 L
.88698 .01624 L
.88824 .01637 L
.88938 .01648 L
.89037 .01655 L
.89142 .01661 L
.89247 .01664 L
.89361 .01665 L
.89478 .01663 L
.89603 .01658 L
.89721 .0165 L
.89829 .01641 L
.90758 .01532 L
.90984 .0151 L
.91227 .01492 L
.91366 .01484 L
.91494 .0148 L
.91622 .01476 L
.91744 .01475 L
.91873 .01474 L
.91946 .01474 L
.92012 .01474 L
.9214 .01476 L
.9226 .01477 L
.92554 .01481 L
.92683 .01483 L
.92751 .01484 L
.92824 .01484 L
.92945 .01485 L
.93057 .01485 L
.93186 .01485 L
.93304 .01484 L
.93431 .01483 L
.9357 .01482 L
.93822 .01478 L
.94039 .01475 L
.94153 .01474 L
.94273 .01473 L
.94379 .01472 L
.94495 .01472 L
.946 .01472 L
.94697 .01472 L
.94823 .01472 L
.94942 .01473 L
Mistroke
.95049 .01474 L
.95164 .01475 L
.95663 .01482 L
.95919 .01485 L
.96043 .01486 L
.96158 .01487 L
.96278 .01488 L
.96407 .01488 L
.96474 .01489 L
.96547 .01488 L
.96617 .01488 L
.96681 .01488 L
.96804 .01487 L
.96919 .01487 L
.97135 .01485 L
.97619 .01479 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{472, 291.562},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007H00018b000`400?l00000o`00003oo`3ooooI
0?ooo`00:`3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`00000Z0?oo
o`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool3000002P0oooo0P0000040?oo
o`030000003oool0oooo00<0oooo0P0000020?ooo`D00000I03oool2000000@0oooo00<000000?oo
o`3oool00`3oool200000080oooo1@00000X0?ooo`800000103oool00`000000oooo0?ooo`030?oo
o`800000103oool3000002T0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000030?oo
o`<00000:P3oool002X0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000
oooo000000<0oooo00<000000?ooo`3oool09P3oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool09P3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool00000H`3oool010000000oooo0?oo
o`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000009`3oool01000
0000oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool09`3o
ool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool000000`3oool00`00
0000oooo0?ooo`0W0?ooo`008`3oool500000080oooo00@000000?ooo`3oool00000203oool01P00
0000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool07`3oool500000080oooo00@0
00000?ooo`3oool00000203oool01@000000oooo0?ooo`000000oooo00D00000803oool500000080
oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo06<0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo02L0oooo00@000000?ooo`3oool00000203oool01@000000oooo0?ooo`000000oooo
00D00000:03oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0W0?ooo`00:P3oool010000000oooo0?ooo`0000080?ooo`050000
003oool0oooo0000003oool01000000Y0?ooo`040000003oool0oooo000000P0oooo00H000000?oo
o`3oool000000?ooo`0000020?ooo`030000003oool0oooo02H0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo0680oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000040?ooo`030000003oool0oooo02H0oooo00@00000
0?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3o
ool09`3oool010000000oooo0?ooo`0000080?ooo`050000003oool0oooo0000003oool01000000Z
0?ooo`00:P3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
;03oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`000000:03oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`1Q0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3o
ool000000?ooo`0000030?ooo`030000003oool0oooo02D0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0000002T0oooo00@000000?ooo`3oool0
0000203oool01P000000oooo0?ooo`000000oooo000002d0oooo000Z0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`0Y0?ooo`040000003o
ool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool2000002P0oooo00@000000?ooo`3o
ool00000203oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0H@3o
ool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool000000`3oool00`00
0000oooo0?ooo`0U0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3o
ool2000002T0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`03
0000003oool0oooo02X0oooo000[0?ooo`8000002P3oool2000000@0oooo0P00000Z0?ooo`800000
2P3oool2000000D0oooo00<000000?ooo`3oool09`3oool2000000X0oooo0P0000030?ooo`<00000
I@3oool2000000X0oooo0P0000030?ooo`<00000:@3oool2000000X0oooo0P0000050?ooo`030000
003oool0oooo02P0oooo0P00000:0?ooo`800000103oool2000002X0oooo003[0?ooo`030000003o
ool0oooo0>X0oooo003[0?ooo`030000003oool0oooo0>X0oooo003[0?ooo`030000003oool0oooo
0>X0oooo003[0?ooo`030000003oool0oooo0>X0oooo003[0?ooo`030000003oool0oooo0>X0oooo
003[0?ooo`030000003oool0oooo0>X0oooo003[0?ooo`030000003oool0oooo0>X0oooo00080?oo
ool00000b00000090?ooo`004`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`800000303oool5000000X0
oooo0`00000>0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0=0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3oool03@3oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0303oool00`000000
oooo0?ooo`0<0?ooo`<000002P3oool5000000`0oooo0P00000?0?ooo`030000003oool0oooo00`0
oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0180
oooo000b0?ooo`030000003oool0oooo01h0oooo0P0000090?ooo`030000003oool0oooo00<0oooo
0P0000070?ooo`80000000<0oooo000000000000>`3oool00`000000oooo0?ooo`0k0?ooo`030000
003oool0oooo03/0oooo00<000000?ooo`3oool0>@3oool2000000030?ooo`000000000000L0oooo
0P0000050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool07P3oool00`000000oooo
0?ooo`0a0?ooo`00E@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo07L0oooo00<0
00000?ooo`3oool0M`3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo05<0oooo001F
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01`3oool200000080oooo0P000006
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0IP3oool00`000000oooo0?ooo`1V
0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0103oool2000000030?ooo`000000
000000X0oooo00<000000?ooo`3oool00`3oool2000005H0oooo001G0?ooo`80000000<0oooo0000
00000000303oool3000000L0oooo00<000000?ooo`3oool0303oool00`000000oooo0000001W0?oo
o`030000003oool0oooo06D0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`050?oo
o`<00000303oool2000000030?ooo`000000000005P0oooo001H0?ooo`8000006@3oool00`000000
oooo0?ooo`0:0?ooo`8000000P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo05P0
oooo00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`090?ooo`80000000<0oooo00000000
00003@3oool00`000000oooo0?ooo`0E0?ooo`<00000F@3oool007<0oooo00<000000?ooo`3oool0
2P3oool01@000000oooo0?ooo`3oool0000000X0oooo0P00001J0?ooo`030000003oool0oooo05P0
oooo0P00000:0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`1a0?oo
o`00L`3oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000002P3oool00`00
0000oooo0000001I0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`0000002P3oool01@00
0000oooo0?ooo`3oool0000000`0oooo00<000000?ooo`3oool0LP3oool007<0oooo00<000000?oo
o`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00@000000?oo
o`3oool00000F@3oool00`000000oooo0?ooo`1G0?ooo`030000003oool0000000T0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0780oooo001d0?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?oo
o`040000003oool0oooo000005T0oooo0`00001G0?ooo`040000003oool0oooo000000P0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo0780oooo001d
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`06
0?ooo`050000003oool0oooo0?ooo`000000F03oool00`000000oooo0?ooo`1F0?ooo`050000003o
ool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0L`3oool007@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000001H0?ooo`030000
003oool0oooo05H0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`1c0?ooo`00M03oool00`000000oooo
0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool01@3oool01@000000oooo
0?ooo`3oool0000005P0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo07<0oooo001e0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
3@3oool2000004L0oooo00<000000?ooo`3oool0A@3oool2000000l0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`1c0?ooo`00M@3oool00`000000oooo0?ooo`060?ooo`030000003o
ool0oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00d0oooo0P0000170?ooo`030000003oool0oooo04D0oooo0P00000?0?ooo`030000003o
ool0oooo0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0M03oool007D0oooo00<000000?ooo`3oool01P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0=0?ooo`030000003oool0000004H0oooo00<000000?ooo`3oool0A03oool0
0`000000oooo0000000?0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0M03oool0
07D0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool00000
04H0oooo00<000000?ooo`3oool0A03oool00`000000oooo0000000?0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo
00D0oooo00<000000?ooo`3oool0M03oool007H0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0<0?ooo`040000003oool0oooo000000/0oooo0P00000i0?ooo`030000003oool0oooo
03L0oooo0P00000;0?ooo`040000003oool0oooo000000h0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`1d0?ooo`00MP3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003oool0oooo00/0oooo00@00000
0?ooo`3oool000002`3oool2000003T0oooo00<000000?ooo`3oool0=`3oool2000000/0oooo00@0
00000?ooo`3oool000003@3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo000000X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1d0?ooo`00MP3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool000001`3oool00`000000
oooo0?ooo`0;0?ooo`040000003oool0oooo000000/0oooo0P00000i0?ooo`030000003oool0oooo
03L0oooo0P00000;0?ooo`040000003oool0oooo000000d0oooo00<000000?ooo`3oool01@3oool0
10000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0M@3o
ool007H0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0
000000P0oooo00<000000?ooo`3oool02`3oool010000000oooo0?ooo`00000;0?ooo`030000003o
ool0000003P0oooo0`00000g0?ooo`8000002`3oool010000000oooo0?ooo`00000=0?ooo`030000
003oool0oooo00D0oooo0P0000000`3oool000000?ooo`0:0?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0M@3oool007L0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`800000203oool00`000000oooo0?ooo`0;0?ooo`040000003oool0oooo000000/0oooo
00<000000?ooo`000000>03oool00`000000oooo0?ooo`0g0?ooo`8000002`3oool010000000oooo
0?ooo`00000=0?ooo`030000003oool0oooo00H0oooo0P00000<0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0M@3oool007L0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo00/0oooo00@000000?ooo`3oool000002P3oool010000000
oooo0?ooo`00000h0?ooo`030000003oool0oooo03H0oooo00@000000?ooo`3oool000002P3oool0
10000000oooo0?ooo`00000=0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`1f0?ooo`00M`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo01@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00L0oooo00@000000?ooo`3oool00000>03oool00`000000oooo0?ooo`0f0?ooo`040000003o
ool0oooo000000T0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo01@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`1f0?ooo`00N03oool010000000oooo
0?ooo`00000G0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`070?ooo`040000003oool0oooo000003P0oooo00<000000?ooo`3oool0=P3oool01000
0000oooo0?ooo`0000090?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?oo
o`0E0?ooo`040000003oool0oooo000007T0oooo001h0?ooo`040000003oool0oooo000001L0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00L0oooo
00@000000?ooo`3oool00000>03oool00`000000oooo0?ooo`0f0?ooo`040000003oool0oooo0000
00T0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo01D0oooo00@00000
0?ooo`3oool00000N@3oool007T0oooo0P00000H0?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo00000100oooo00<0
00000?ooo`3oool09@3oool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo00h0oooo00@0
00000?ooo`3oool000002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool05P3oool2000007X0oooo002D0?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`070?ooo`040000003oool0oooo00000100oooo
0P00000V0?ooo`030000003oool0oooo02@0oooo0P00000?0?ooo`050000003oool0oooo0?ooo`00
00002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool0T`3oool009@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00L0oooo00@000000?ooo`3oool00000403oool2000002H0oooo00<000000?ooo`3o
ool0903oool2000000l0oooo00D000000?ooo`3oool0oooo000000090?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2C0?ooo`00U03oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool010000000
oooo0?ooo`00000@0?ooo`8000009P3oool00`000000oooo0?ooo`0T0?ooo`030000003oool00000
00h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2C0?ooo`00U03oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool010000000
oooo0?ooo`00000?0?ooo`030000003oool0000000`0oooo0P00000H0?ooo`030000003oool0oooo
01H0oooo00<000000?ooo`3oool02`3oool00`000000oooo0000000>0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool0T`3oool009@0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00@000000?ooo`3oool000003`3oool00`00
0000oooo0000000<0?ooo`800000603oool3000001H0oooo0P00000<0?ooo`030000003oool00000
00h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2C0?ooo`00U03oool00`000000
oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool01@000000
oooo0?ooo`3oool0000000h0oooo00<000000?ooo`000000303oool2000001P0oooo00<000000?oo
o`3oool05P3oool2000000`0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?oo
o`030000003oool0oooo09<0oooo002D0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0303oool00`000000oooo0000000<0?ooo`800000603oool00`000000oooo0?ooo`0F0?ooo`80
00002`3oool010000000oooo0?ooo`00000>0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool0T`3oool009@0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0<0?ooo`03
0000003oool0000000`0oooo0P00000H0?ooo`030000003oool0oooo01H0oooo0P00000;0?ooo`04
0000003oool0oooo000000h0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2C0?oo
o`00U03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3o
ool000002`3oool200000140oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00l0oooo0P00000;0?ooo`040000003oool0oooo000000h0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`2C0?ooo`00U03oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00`0oooo00@000000?ooo`3oool000002`3oool200000100oooo0P000006
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool03`3oool2000000/0oooo00@00000
0?ooo`3oool000003P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo09<0oooo002D
0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`00
000:0?ooo`030000003oool000000100oooo00<000000?ooo`0000001@3oool00`000000oooo0?oo
o`040?ooo`8000003`3oool010000000oooo0?ooo`00000:0?ooo`040000003oool0oooo000000h0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`2C0?ooo`00U03oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool000002P3oool00`000000
oooo0000000@0?ooo`030000003oool0000000D0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0000000?0?ooo`040000003oool0oooo000000X0oooo00@000000?ooo`3oool000003P3oool0
0`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo09<0oooo002E0?ooo`030000003oool0oooo
00L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`00000:0?ooo`040000003oool0
oooo000000l0oooo00<000000?ooo`0000001@3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0000000l0oooo00@000000?ooo`3oool000002P3oool010000000oooo0?ooo`00000>0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00P0oooo00<000000?ooo`3oool0T`3oool009D0oooo00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`0<0?ooo`040000003oool0oooo000000X0oooo00@000000?ooo`3o
ool000003`3oool00`000000oooo000000050?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`0000003`3oool010000000oooo0?ooo`00000:0?ooo`050000003oool0oooo0?ooo`0000003@3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo09<0oooo002E0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000X0oooo00@0
00000?ooo`3oool000003`3oool00`000000oooo000000050?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`0000003`3oool010000000oooo0?ooo`00000:0?ooo`050000003oool0oooo0?oo
o`0000003@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo09@0oooo002E0?ooo`03
0000003oool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool00000
00X0oooo00@000000?ooo`3oool000003`3oool00`000000oooo000000050?ooo`<000000`3oool0
0`000000oooo0000000?0?ooo`040000003oool0oooo000000X0oooo00D000000?ooo`3oool0oooo
0000000<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0U03oool009D0oooo00<0
00000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`000000
2P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000D0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo000000X0oooo00D000000?oo
o`3oool0oooo0000000<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0U03oool0
09D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo
0?ooo`0000002P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool0000000D0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo000000X0oooo
00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0U03oool009D0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`050000
003oool0oooo0?ooo`0000002P3oool010000000oooo0?ooo`00000?0?ooo`030000003oool00000
00D0oooo00<000000?ooo`3oool00`3oool00`000000oooo0000000?0?ooo`040000003oool0oooo
000000X0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0U03oool009D0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:
0?ooo`050000003oool0oooo0?ooo`0000002P3oool010000000oooo0?ooo`00000?0?ooo`030000
003oool0000000D0oooo00<000000?ooo`3oool00`3oool010000000oooo0?ooo`00000>0?ooo`04
0000003oool0oooo000000X0oooo00D000000?ooo`3oool0oooo0000000<0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`060?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool0U03oool009D0oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000002P3oool010000000oooo0?ooo`00
000>0?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`00000>0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0U03oool009D0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?oo
o`0000002P3oool010000000oooo0?ooo`00000>0?ooo`050000003oool0oooo0?ooo`000000103o
ool00`000000oooo0?ooo`030?ooo`040000003oool0oooo000000h0oooo00@000000?ooo`3oool0
00002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`2D0?ooo`00U@3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00X0oooo00D000000?ooo`3oool0oooo0000000:0?ooo`040000003oool0oooo0000
00h0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo00<0oooo00@00000
0?ooo`3oool000003P3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo09@0oooo
002E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?oo
o`3oool0000000L0oooo00<000000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000X0
oooo00@000000?ooo`3oool000001P3oool3000000@0oooo0P0000030?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000h0oooo00@00000
0?ooo`3oool000002@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`2D0?ooo`00UP3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003o
ool0oooo00X0oooo00D000000?ooo`3oool0oooo000000090?ooo`050000003oool0oooo0?ooo`00
00001`3oool00`000000oooo0?ooo`020?ooo`040000003oool0000000000080oooo00<000000?oo
o`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000003P3oool0
10000000oooo0?ooo`0000090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo09@0oooo002F0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000000L0oooo00<0
00000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000T0oooo00D000000?ooo`3oool0
oooo000000070?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0U@3oool009H0oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?ooo`0000001`3o
ool00`000000oooo0?ooo`0:0?ooo`050000003oool0oooo0?ooo`0000002@3oool01@000000oooo
0?ooo`3oool0000000L0oooo00<000000?ooo`3oool00P3oool010000000oooo0000000000020?oo
o`030000003oool0oooo0080oooo100000000`3oool000000?ooo`020?ooo`030000003oool0oooo
00`0oooo00D000000?ooo`3oool0oooo000000080?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`0000002@3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo09D0oooo002F0?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000000L0oooo00<0
00000?ooo`3oool02P3oool01@000000oooo0?ooo`3oool0000000T0oooo00D000000?ooo`3oool0
oooo000000070?ooo`030000003oool0oooo0080oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000T0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2E0?ooo`00UP3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`050000
003oool0oooo0?ooo`0000001P3oool2000000@0oooo00@000000?ooo`00000000000P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000T0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2E0?ooo`00UP3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`050000
003oool0oooo0?ooo`0000001`3oool00`000000oooo0?ooo`030?ooo`8000000`3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000>0?oo
o`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool01@3oool01@000000oooo0?ooo`3oool0000000X0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`2E0?ooo`00UP3oool00`000000oooo0?ooo`05
0?ooo`030000003oool0oooo00L0oooo00D000000?ooo`3oool0oooo000000070?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`050000003o
ool0oooo0?ooo`0000003P3oool01@000000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3o
ool00P3oool01@000000oooo0?ooo`3oool0000000h0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`06
0?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`2E0?ooo`00UP3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`000000203oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000h0oooo00D000000?ooo`3oool0oooo
000000040?ooo`030000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000>0?ooo`05
0000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0U@3oool009H0oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0000000P0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo0000000>
0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?ooo`050000003o
ool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`0000002`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo09D0oooo
002F0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool00`000000oooo0000
00080?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?oo
o`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@000000oooo0?oo
o`3oool0000000@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool0000000d0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0000000/0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2F0?ooo`00UP3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`0000002@3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`03
0000003oool0oooo0080oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo
0080oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0000000;0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0UP3oool009H0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`090?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000
oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`020?oo
o`050000003oool0oooo0?ooo`0000003@3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`0000002`3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo09H0oooo002G0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool01@00
0000oooo0?ooo`3oool0000000@0oooo00<000000?ooo`3oool00P3oool01@000000oooo0?ooo`3o
ool0000000d0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`2F0?ooo`00U`3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000103oool300000080oooo00D0
00000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
5@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo09H0oooo002G0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo0080oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool05@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo09H0oooo002G0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`030000003oool0oooo0080
oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo0080oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?oo
o`3oool05@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo09H0oooo002G0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo
0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool05@3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo09H0oooo002G0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?oo
o`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0
oooo0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo09H0oooo002G
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`08
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003o
ool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo09H0oooo
002G0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`030?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000
003oool0oooo0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0
oooo00<000000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool0000009T0oooo002G0?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo000000040?ooo`050000003oool0oooo
0?ooo`000000103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<00000
0?ooo`3oool05P3oool01@000000oooo0?ooo`3oool0000009T0oooo002H0?ooo`050000003oool0
oooo0?ooo`000000603oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`000000
103oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool0
5P3oool01@000000oooo0?ooo`3oool0000009T0oooo002H0?ooo`050000003oool0oooo0?ooo`00
0000603oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00P3oool00`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000001@3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool05P3oool01@00
0000oooo0?ooo`3oool0000009T0oooo002H0?ooo`050000003oool0oooo0?ooo`000000603oool0
0`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`020?ooo`050000003oool0oooo0?ooo`0000001@3oool00`000000oooo0?oo
o`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool05P3oool01@000000oooo0?oo
o`3oool0000009T0oooo002H0?ooo`050000003oool0oooo0?ooo`000000603oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`020?ooo`<0000000<0oooo0000003oool0103oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool0000009T0
oooo002H0?ooo`050000003oool0oooo0?ooo`000000603oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool00000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool0000009T0oooo002H0?oo
o`050000003oool0oooo0?ooo`000000603oool00`000000oooo0?ooo`080?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<0
00000?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool05P3oool01@000000oooo0?ooo`3oool0000009T0oooo002H0?ooo`050000003o
ool0oooo0?ooo`000000603oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3o
ool05P3oool01@000000oooo0?ooo`3oool0000009T0oooo002H0?ooo`050000003oool0oooo0?oo
o`000000603oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00D0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?oo
o`3oool00`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`040?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool05`3oool0
10000000oooo0?ooo`00002I0?ooo`00V03oool010000000oooo0?ooo`00000I0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`050000003o
ool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo
00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0G0?ooo`040000003oool0oooo000009T0
oooo002I0?ooo`030000003oool0000001T0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00D000000?ooo`3oool0oooo000000030?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`03
0000003oool0oooo01L0oooo00<000000?ooo`000000VP3oool009T0oooo00<000000?ooo`000000
6@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0
0`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool05`3oool00`000000
oooo0000002J0?ooo`00V@3oool00`000000oooo0000000I0?ooo`030000003oool0oooo00L0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`050000003oool0oooo0?ooo`00
00000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0000009X0oooo002I0?ooo`800000
6P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
0`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`2I0?ooo`00]@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool00`3oool010000000oooo0?ooo`3oool3000000030?ooo`000000oooo00@0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0;@0
oooo002e0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`030?ooo`050000003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`030?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`2d0?ooo`00
]@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
0P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool0
0`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0]03oool00;D0oooo
00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00<0oooo
00D000000?ooo`3oool0oooo000000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0;@0oooo002f0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`030?ooo`050000
003oool0oooo0?ooo`0000000`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool00`3oool01@000000oooo
0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo00H0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0
oooo000000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo0;D0oooo002f0?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool0203oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`00
00000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool0103oool01@000000oooo0?ooo`3oool000000080
oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0
oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`080?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`03
0000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`060?ooo`03
0000003oool0oooo0;D0oooo002f0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo
00<000000?ooo`3oool0103oool010000000oooo0?ooo`3oool4000000H0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0;D0oooo002f0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo0000
0080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`060?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`02
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2e
0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00L0oooo00D000000?oo
o`3oool0oooo000000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01@3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`050?ooo`050000003oool0oooo0?ooo`000000203oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo0;D0oooo002f0?ooo`030000003oool0oooo00D0oooo00<0
00000?ooo`3oool01`3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0
203oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00D0oooo00D000000?ooo`3o
ool0oooo000000080?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0]@3oool00;H0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`070?ooo`050000003oool0oooo0?oo
o`000000203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3o
ool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000003oool0
oooo00P0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`080?ooo`030000003o
ool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000P0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo
0?ooo`050?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool00000203oool00`000000
oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool01@00
0000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2e
0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00@000000?oo
o`3oool00000203oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00D0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00P0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`3oool500000080
oooo0`0000050?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00D000000?ooo`3oool0oooo00000008
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000000P0oooo00<00000
0?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000@0oooo
00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool01P3oool01@000000oooo0?ooo`3oool0000000P0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00P0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`04
000000H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`050000003oool0
oooo0?ooo`0000002@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0;D0oooo002f
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`00
00080?ooo`030000003oool0oooo00@0oooo00D000000?ooo`3oool0oooo000000020?ooo`030000
003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000:0?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000000P0oooo00D000000?oo
o`3oool0oooo000000030?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
2@3oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3o
ool01@3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo00P0oooo00@000000?ooo`3oool00000203oool01@000000oooo0?ooo`3oool00000
00<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`020?ooo`040000003oool0
oooo00000080oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`090?ooo`030000003o
ool0oooo00H0oooo00@000000?ooo`3oool000002P3oool00`000000oooo0?ooo`050?ooo`030000
003oool0oooo0;D0oooo002f0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203o
ool010000000oooo0?ooo`0000080?ooo`030000003oool0oooo0080oooo0`0000030?ooo`<00000
1@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3o
ool0203oool00`000000oooo0?ooo`060?ooo`040000003oool0oooo000000X0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`03
0000003oool0oooo00P0oooo00@000000?ooo`3oool00000203oool00`000000oooo0?ooo`080?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`0000000P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool010000000oooo0?ooo`00000:
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<000000?oo
o`3oool01@3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000000P0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool000000080oooo00<00000
0?ooo`3oool01@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00@00000
0?ooo`3oool000002P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0;D0oooo002f
0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`00
00080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool01@000000oooo0000
003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000
003oool0000000/0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`2e0?ooo`00]P3o
ool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo00<000000?ooo`0000002@3o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00H0oooo00D000000?ooo`000000oooo
000000080?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0000000;0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0]@3oool00;H0oooo00<0
00000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`8000002@3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00H0oooo00D000000?ooo`000000oooo000000080?ooo`030000
003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool2000000/0oooo00<000000?ooo`3oool0
1@3oool00`000000oooo0?ooo`2e0?ooo`00]P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00T0oooo0P0000090?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01P3o
ool01@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo
0?ooo`070?ooo`8000002`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0;D0oooo
002f0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool2000000T0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`060?ooo`030000003oool0000000800000203o
ool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo0P00000;0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo0?ooo`060?ooo`050000003oool000000?ooo`000000203oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00L0oooo0P00000;0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool01@000000oooo0000003o
ool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool01P3oool0
1@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00L0oooo00<00000
0?ooo`3oool01P3oool01@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3o
ool00;L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool01P3oool01@000000oooo0000003oool0000000P0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003o
ool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool0
1@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203o
ool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3o
ool00;L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0E0?ooo`030000003oool0
oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<0
00000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003o
ool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool0
0`000000oooo00000002000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool0
0;L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003oool0
000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool01`3oool01@00
0000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0D
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<000000?ooo`3oool0203oool0
0`000000oooo0?ooo`0D0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0]P3oool0
0;L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo
00H0oooo00<000000?ooo`3oool01`3oool01@000000oooo0000003oool0000000P0oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00<0oooo00<00000
0?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool2000000030?ooo`000000oooo
00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo
00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`000000
oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool200000003
0?ooo`000000oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0E0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
203oool2000000030?ooo`000000oooo00L0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool0203oool3000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`0F0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<00000
0?ooo`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<00000
0?ooo`3oool0203oool4000000P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0F
0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?oo
o`3oool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?oo
o`3oool0203oool3000000T0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?ooo`0F0?oo
o`030000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3o
ool00`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3o
ool0203oool3000000X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`03
0000003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool0
0`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0
203oool3000000X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203o
ool3000000X0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`030000003o
ool0oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool0
0`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0203oool2
000000/0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0]P3oool00;L0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`00
0000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool05P3oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo0;L0oooo002g0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0
oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2g0?ooo`00]`3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo
0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool0]`3oool00;P0oooo00<0
00000?ooo`3oool00P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo00<0
00000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo0;L0oooo002h
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`06
0?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2g
0?ooo`00^03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01H0oooo00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`090?ooo`<000002@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo01H0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2g0?oo
o`00^03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3o
ool01P3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3o
ool0]`3oool00;P0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`0F0?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000
003oool0oooo00H0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?ooo`020?ooo`030000
003oool0oooo0;L0oooo002h0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool05P3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3o
ool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01H0oooo00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`2g0?ooo`00^03oool01@000000oooo0?ooo`3oool0000001T0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo0?ooo`000000
^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo00H0oooo
00<000000?ooo`3oool05`3oool01@000000oooo0?ooo`3oool000000;T0oooo002h0?ooo`050000
003oool0oooo0?ooo`0000006P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo01L0
oooo00D000000?ooo`3oool0oooo0000002i0?ooo`00^03oool01@000000oooo0?ooo`3oool00000
01X0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`090?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo
0?ooo`000000^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0
oooo00<000000P3oool010000000oooo0000000000080?ooo`030000003oool0oooo00T0oooo00<0
00000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo0?ooo`000000
^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0000000<0oooo
00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo0?oo
o`000000^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0oooo
00<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`050?ooo`@00000203oool0
0`000000oooo0?ooo`060?ooo`030000003oool0oooo01L0oooo00D000000?ooo`3oool0oooo0000
002i0?ooo`00^03oool01@000000oooo0?ooo`3oool0000001X0oooo00@000000?ooo`3oool0oooo
0P0000020?ooo`8000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo0?ooo`00
0000^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0oooo00<0
oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003oool0oooo
0?ooo`000000^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000003oool0
000000<0oooo00@000000?ooo`00000000000P3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00T0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`050000003o
ool0oooo0?ooo`000000^@3oool00;P0oooo00D000000?ooo`3oool0oooo0000000J0?ooo`030000
003oool0oooo00<000000P3oool010000000oooo0000000000080?ooo`030000003oool0oooo00T0
oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0G0?ooo`040000003oool0oooo0000
0;X0oooo002h0?ooo`050000003oool0oooo0?ooo`0000006P3oool00`000000oooo0?ooo`050?oo
o`030000003oool0oooo00T0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`060?oo
o`030000003oool0oooo01L0oooo00@000000?ooo`3oool00000^P3oool00;T0oooo00@000000?oo
o`3oool000006P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo00@00000
0?ooo`3oool00000^P3oool00;T0oooo00@000000?ooo`3oool000006P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo01L0oooo00@000000?ooo`3oool00000^P3oool00;T0oooo00@0
00000?ooo`3oool000006P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo
00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo01L0oooo
00@000000?ooo`3oool00000^P3oool00;T0oooo00@000000?ooo`3oool000006P3oool00`000000
oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01P0oooo00@000000?ooo`3oool00000^P3oool00;T0
oooo00@000000?ooo`3oool000006P3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
00T0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
01P0oooo00@000000?ooo`3oool00000^P3oool00;T0oooo00@000000?ooo`3oool000006P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00T0oooo0`00000:0?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0603oool010000000oooo0?ooo`00002j0?ooo`00^@3oool0
10000000oooo0?ooo`00000J0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0603o
ool010000000oooo0?ooo`00002j0?ooo`00^@3oool010000000oooo0?ooo`00000J0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0603oool010000000oooo0?ooo`00002j0?ooo`00
^@3oool00`000000oooo0000000K0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
2P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0
603oool010000000oooo0?ooo`00002j0?ooo`00^@3oool00`000000oooo0000000K0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00@0oooo00<000000?ooo`3oool0603oool010000000oooo0?ooo`00002j0?ooo`00
^P3oool2000001/0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0I0?ooo`030000
003oool000000;X0oooo002j0?ooo`8000006`3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003o
ool0oooo01T0oooo0P00002k0?ooo`00^P3oool2000001/0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0I0?ooo`800000^`3oool00;X0oooo0P00000K0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo
00@0oooo00<000000?ooo`3oool06@3oool200000;/0oooo002j0?ooo`8000006`3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000
oooo0?ooo`040?ooo`030000003oool0oooo01T0oooo0P00002k0?ooo`00e`3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`040?ooo`030000003oool0oooo0=H0oooo003G0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool02P3oool3000000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`3F0?ooo`00e`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<00000
0?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0=H0oooo003G0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool0eP3oool00=L0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool0103oool00`000000oooo0?ooo`3F0?ooo`00e`3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000
003oool0oooo0=H0oooo003G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0eP3o
ool00=L0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`3F0?ooo`00e`3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo0=H0oooo003G0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00@0
oooo00<000000?ooo`3oool0eP3oool00=L0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool0103oool00`000000oooo
0?ooo`3F0?ooo`00e`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0=H0oooo003G
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool02P3oool3000000X0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`3F0?ooo`00e`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?oo
o`030000003oool0oooo0=L0oooo003G0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0e`3oool00=P0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3G0?ooo`00f03o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3o
ool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=L0oooo003H0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00<0oooo00<000000?ooo`3oool0e`3oool00=P0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3oool00`00
0000oooo0?ooo`3G0?ooo`00f03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=L0
oooo003H0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0e`3oool00=P0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<0
00000?ooo`3oool00`3oool00`000000oooo0?ooo`3G0?ooo`00f03oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`03
0?ooo`030000003oool0oooo0=L0oooo003H0?ooo`030000003oool0oooo00<0oooo00<000000?oo
o`3oool02P3oool3000000X0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3G0?oo
o`00f03oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=L0oooo003H0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool0e`3oool00=P0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool00`3o
ool00`000000oooo0?ooo`3G0?ooo`00f03oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0
oooo0=L0oooo003H0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02P3oool00`00
0000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0e`3oool00=P0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00X0
oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`3G0?ooo`00f03oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02P3oool00`000000oooo
0?ooo`030?ooo`030000003oool0oooo0=L0oooo003H0?ooo`030000003oool0oooo00@000000P3o
ool2000000P0oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo0=L0oooo003H0?ooo`090000003oool0oooo0?ooo`000000oooo0000003oool000000080
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0
oooo00<000000?ooo`3oool0e`3oool00=P0oooo1`0000001@3oool000000?ooo`3oool0000000L0
oooo00<000000?ooo`3oool02P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0=L0
oooo003H0?ooo`8000000P3oool01@000000oooo0000003oool000000080oooo00<000000?ooo`3o
ool01@3oool4000000X0oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`3G0?ooo`00
f03oool02@000000oooo0000003oool000000?ooo`000000oooo000000020?ooo`030000003oool0
oooo00D0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo0=L0oooo003H0?ooo`030000003oool0oooo0080000000@0oooo0000003oool000000P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`3G0?ooo`00f03oool01`000000oooo0?ooo`3oool000000?ooo`0000000P3o
ool2000000P0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`020?ooo`030000003o
ool0oooo0=L0oooo003H0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool0
0`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=P0oooo00<00000
0?ooo`3oool00P3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00D00000
0?ooo`3oool0oooo0000003J0?ooo`00f03oool00`000000oooo0?ooo`020?ooo`030000003oool0
oooo00/0oooo00<000000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool000000=X0oooo003H
0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0;
0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=P0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000
003J0?ooo`00f03oool00`000000oooo0?ooo`020?ooo`030000003oool0oooo00/0oooo00<00000
0?ooo`3oool02`3oool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0
oooo0?ooo`0000003@3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000
fP3oool00=T0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`<000002`3oool01@000000oooo
0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`000000
oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=T0oooo00D000000?ooo`3o
ool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000003J
0?ooo`00f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool02`3oool0
1@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo0?ooo`0000003@3o
ool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=T0oooo00D0
00000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0
oooo0000003J0?ooo`00f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3o
ool02`3oool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo0?oo
o`0000003@3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool0
0=T0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D00000
0?ooo`3oool0oooo0000003J0?ooo`00f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<0
00000?ooo`3oool02`3oool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003o
ool0oooo0?ooo`0000003@3oool3000000/0oooo00D000000?ooo`3oool0oooo0000003J0?ooo`00
f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool02`3oool01@000000
oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo0?ooo`0000003@3oool00`00
0000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=T0oooo00D000000?oo
o`3oool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000
003J0?ooo`00f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?ooo`3oool02`3o
ool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo0?ooo`000000
3@3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3oool00=T0oooo
00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D000000?ooo`3o
ool0oooo0000003J0?ooo`00f@3oool01@000000oooo0?ooo`3oool0000000d0oooo00<000000?oo
o`3oool02`3oool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`050000003oool0oooo
0?ooo`0000003@3oool00`000000oooo0?ooo`0;0?ooo`050000003oool0oooo0?ooo`000000fP3o
ool00=T0oooo00D000000?ooo`3oool0oooo0000000=0?ooo`030000003oool0oooo00/0oooo00D0
00000?ooo`3oool0oooo0000003J0?ooo`00f@3oool010000000oooo0?ooo`00000>0?ooo`030000
003oool0oooo00/0oooo00D000000?ooo`3oool0oooo0000003J0?ooo`00f@3oool010000000oooo
0?ooo`00000>0?ooo`<000002`3oool01@000000oooo0?ooo`3oool000000=X0oooo003I0?ooo`04
0000003oool0oooo000000h0oooo00<000000?ooo`3oool0303oool010000000oooo0?ooo`00003J
0?ooo`00f@3oool010000000oooo0?ooo`00000>0?ooo`030000003oool0oooo00`0oooo00@00000
0?ooo`3oool00000fP3oool00=T0oooo00@000000?ooo`3oool000003P3oool00`000000oooo0?oo
o`0<0?ooo`040000003oool0oooo00000=X0oooo003I0?ooo`040000003oool0oooo000000h0oooo
00<000000?ooo`3oool0303oool00`000000oooo0000003K0?ooo`00f@3oool010000000oooo0?oo
o`00000>0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`000000f`3oool00=T0oooo00@0
00000?ooo`3oool000003P3oool00`000000oooo0?ooo`0<0?ooo`030000003oool000000=/0oooo
003J0?ooo`030000003oool0000000h0oooo00<000000?ooo`3oool0303oool00`000000oooo0000
003K0?ooo`00fP3oool00`000000oooo0000000>0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`000000f`3oool00=X0oooo00<000000?ooo`0000003P3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool000000=/0oooo003J0?ooo`030000003oool0000000h0oooo00<000000?ooo`3o
ool0303oool00`000000oooo0000003K0?ooo`00fP3oool00`000000oooo0000000>0?ooo`<00000
303oool00`000000oooo0000003K0?ooo`00fP3oool00`000000oooo0000000>0?ooo`030000003o
ool0oooo00`0oooo00<000000?ooo`000000f`3oool00=X0oooo00<000000?ooo`0000003P3oool0
0`000000oooo0?ooo`0=0?ooo`800000f`3oool00=X0oooo00<000000?ooo`0000003P3oool00`00
0000oooo0?ooo`0=0?ooo`800000f`3oool00=X0oooo0P00000?0?ooo`030000003oool0oooo00d0
oooo0P00003K0?ooo`00fP3oool2000000l0oooo00<000000?ooo`3oool03@3oool200000=/0oooo
003J0?ooo`8000003`3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo0=X0oooo003[
0?ooo`030000003oool0oooo0>X0oooo003J0?ooo`<00000103oool2000000P0oooo00<000000?oo
o`3oool0jP3oool00=T0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo
000000L0oooo00<000000?ooo`3oool0jP3oool00=d0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0>X0oooo003M0?ooo`040000003oool0oooo
00000080oooo00<000000?ooo`3oool01@3oool400000>T0oooo003I0?ooo`@000000`3oool01000
0000oooo0?ooo`0000070?ooo`030000003oool0oooo0>X0oooo003I0?ooo`030000003oool0oooo
00@0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`3Z0?ooo`00f@3oool50000
00<0oooo0P00003e0?ooo`00o`3ooooI0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 471}, {290.562, 0}} -> {-0.0763517, -2.70239, \
0.000324211, 0.184235}},
  CellTags->"Three Wavelets with Lens"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-7.37803e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -12 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.17646 .18758 -11.7989 -9 ]
[.17646 .18758 .20112 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.50253 .05935 -5.27396 -9 ]
[.50253 .05935 .72604 0 ]
[.68156 -0.01098 -4.96123 -9 ]
[.68156 -0.01098 1.03877 0 ]
[.70096 -0.00478 0 -6.26206 ]
[.70096 -0.00478 24 2.73794 ]
[.78313 .12104 0 -6.13858 ]
[.78313 .12104 30 2.86142 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 6 2.96873 ]
[.9224 .33431 0 -5.93715 ]
[.9224 .33431 24 3.06285 ]
[.98191 .42546 0 -5.85393 ]
[.98191 .42546 18 3.14607 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.01371 .3303 -12 -2.79746 ]
[.01371 .3303 0 6.20254 ]
[.00286 .39831 -12 -2.85523 ]
[.00286 .39831 0 6.14477 ]
[-0.00847 .46933 -12 -2.91582 ]
[-0.00847 .46933 0 6.08418 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(-1)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(1)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(2)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
[(-0.1)] .70096 -0.00478 -1 .39157 Mshowa
.7708 .12553 m
.76464 .12778 L
s
[(-0.05)] .78313 .12104 -1 .36413 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(0)] .8565 .23339 -1 .34028 Mshowa
.9099 .3383 m
.90365 .34029 L
s
[(0.05)] .9224 .33431 -1 .31937 Mshowa
.96935 .42924 m
.96306 .43113 L
s
[(0.1)] .98191 .42546 -1 .30087 Mshowa
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02599 .32565 m
.03212 .32333 L
s
[(20)] .01371 .3303 1 -0.37834 Mshowa
.01519 .3938 m
.02135 .39155 L
s
[(40)] .00286 .39831 1 -0.36551 Mshowa
.00391 .46497 m
.0101 .46279 L
s
[(60)] -0.00847 .46933 1 -0.35204 Mshowa
.125 Mabswid
.03379 .27641 m
.03746 .27499 L
s
.03122 .29265 m
.03489 .29124 L
s
.02861 .30907 m
.03229 .30766 L
s
.02333 .34242 m
.02701 .34104 L
s
.02064 .35936 m
.02433 .35799 L
s
.01793 .37649 m
.02162 .37513 L
s
.01241 .4113 m
.01611 .40996 L
s
.00961 .429 m
.01331 .42767 L
s
.00677 .44688 m
.01048 .44557 L
s
.00101 .48325 m
.00473 .48196 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.639 .717 .904 r
.40123 .62356 .40432 .62671 .40952 .62517 .40643 .62235 Metetra
.662 .745 .912 r
.40643 .62235 .40952 .62517 .41474 .6233 .41165 .62081 Metetra
.685 .774 .919 r
.41165 .62081 .41474 .6233 .41999 .6211 .41689 .61892 Metetra
.707 .801 .923 r
.41689 .61892 .41999 .6211 .42525 .61861 .42214 .61671 Metetra
.726 .824 .926 r
.42214 .61671 .42525 .61861 .43052 .61587 .42742 .6142 Metetra
.743 .844 .927 r
.42742 .6142 .43052 .61587 .4358 .61292 .43271 .61144 Metetra
.755 .86 .927 r
.43271 .61144 .4358 .61292 .4411 .60982 .43801 .60847 Metetra
.764 .871 .926 r
.43801 .60847 .4411 .60982 .4464 .60661 .44332 .60535 Metetra
.77 .878 .925 r
.44332 .60535 .4464 .60661 .45171 .60335 .44864 .60213 Metetra
.773 .882 .925 r
.44864 .60213 .45171 .60335 .45702 .60008 .45396 .59886 Metetra
.773 .882 .925 r
.45396 .59886 .45702 .60008 .46234 .59687 .45929 .59558 Metetra
.77 .878 .925 r
.45929 .59558 .46234 .59687 .46766 .59374 .46463 .59236 Metetra
.765 .871 .926 r
.46463 .59236 .46766 .59374 .47299 .59072 .46997 .58921 Metetra
.758 .862 .926 r
.46997 .58921 .47299 .59072 .47832 .58784 .47531 .58619 Metetra
.749 .85 .926 r
.47531 .58619 .47832 .58784 .48365 .58511 .48065 .58329 Metetra
.739 .838 .925 r
.48065 .58329 .48365 .58511 .48899 .58253 .486 .58055 Metetra
.729 .825 .924 r
.486 .58055 .48899 .58253 .49434 .58009 .49136 .57796 Metetra
.719 .812 .923 r
.49136 .57796 .49434 .58009 .49969 .57779 .49672 .57552 Metetra
.71 .801 .921 r
.49672 .57552 .49969 .57779 .50505 .57562 .50209 .57321 Metetra
.702 .79 .919 r
.50209 .57321 .50505 .57562 .51042 .57355 .50747 .57102 Metetra
.694 .781 .918 r
.50747 .57102 .51042 .57355 .51579 .57157 .51285 .56895 Metetra
.688 .772 .916 r
.51285 .56895 .51579 .57157 .52118 .56967 .51824 .56696 Metetra
.682 .765 .914 r
.51824 .56696 .52118 .56967 .52657 .56784 .52365 .56506 Metetra
.678 .76 .913 r
.52365 .56506 .52657 .56784 .53198 .56605 .52906 .56321 Metetra
.674 .755 .912 r
.52906 .56321 .53198 .56605 .5374 .56431 .53448 .56142 Metetra
.671 .751 .911 r
.53448 .56142 .5374 .56431 .54282 .5626 .53992 .55967 Metetra
.669 .749 .91 r
.53992 .55967 .54282 .5626 .54826 .5609 .54536 .55794 Metetra
.668 .746 .909 r
.54536 .55794 .54826 .5609 .55371 .55923 .55082 .55624 Metetra
.666 .745 .909 r
.55082 .55624 .55371 .55923 .55916 .55756 .55628 .55456 Metetra
.665 .744 .909 r
.55628 .55456 .55916 .55756 .56463 .5559 .56176 .55288 Metetra
.665 .743 .908 r
.56176 .55288 .56463 .5559 .57011 .55424 .56724 .55121 Metetra
.664 .742 .908 r
.56724 .55121 .57011 .55424 .5756 .55258 .57274 .54954 Metetra
.664 .742 .908 r
.57274 .54954 .5756 .55258 .58111 .55093 .57825 .54788 Metetra
.664 .742 .908 r
.57825 .54788 .58111 .55093 .58662 .54927 .58377 .54621 Metetra
.664 .742 .908 r
.58377 .54621 .58662 .54927 .59214 .54761 .5893 .54454 Metetra
.664 .741 .908 r
.5893 .54454 .59214 .54761 .59768 .54595 .59484 .54288 Metetra
.664 .741 .908 r
.59484 .54288 .59768 .54595 .60322 .54428 .6004 .5412 Metetra
.664 .741 .908 r
.6004 .5412 .60322 .54428 .60878 .54262 .60596 .53953 Metetra
.664 .741 .908 r
.60596 .53953 .60878 .54262 .61435 .54095 .61154 .53785 Metetra
.664 .741 .908 r
.61154 .53785 .61435 .54095 .61993 .53927 .61712 .53617 Metetra
.664 .741 .908 r
.61712 .53617 .61993 .53927 .62552 .53759 .62272 .53449 Metetra
.664 .741 .908 r
.62272 .53449 .62552 .53759 .63112 .53591 .62833 .5328 Metetra
.664 .741 .908 r
.62833 .5328 .63112 .53591 .63673 .53423 .63395 .53111 Metetra
.664 .741 .908 r
.63395 .53111 .63673 .53423 .64235 .53254 .63958 .52942 Metetra
.664 .741 .908 r
.63958 .52942 .64235 .53254 .64799 .53085 .64522 .52772 Metetra
.664 .741 .908 r
.64522 .52772 .64799 .53085 .65364 .52916 .65088 .52602 Metetra
.664 .741 .908 r
.65088 .52602 .65364 .52916 .65929 .52746 .65654 .52432 Metetra
.664 .741 .908 r
.65654 .52432 .65929 .52746 .66496 .52576 .66222 .52261 Metetra
.664 .741 .908 r
.66222 .52261 .66496 .52576 .67064 .52406 .66791 .5209 Metetra
.664 .741 .908 r
.66791 .5209 .67064 .52406 .67633 .52235 .67361 .51919 Metetra
.664 .741 .908 r
.67361 .51919 .67633 .52235 .68204 .52064 .67932 .51747 Metetra
.664 .741 .908 r
.67932 .51747 .68204 .52064 .68775 .51892 .68504 .51575 Metetra
.664 .741 .908 r
.68504 .51575 .68775 .51892 .69348 .51721 .69078 .51403 Metetra
.664 .741 .908 r
.69078 .51403 .69348 .51721 .69922 .51548 .69652 .5123 Metetra
.664 .741 .908 r
.69652 .5123 .69922 .51548 .70497 .51376 .70228 .51057 Metetra
.664 .741 .908 r
.70228 .51057 .70497 .51376 .71073 .51203 .70805 .50883 Metetra
.664 .741 .908 r
.70805 .50883 .71073 .51203 .7165 .5103 .71383 .50709 Metetra
.664 .741 .908 r
.71383 .50709 .7165 .5103 .72229 .50856 .71962 .50535 Metetra
.664 .741 .908 r
.71962 .50535 .72229 .50856 .72808 .50683 .72543 .50361 Metetra
.664 .741 .908 r
.72543 .50361 .72808 .50683 .73389 .50508 .73125 .50186 Metetra
.664 .741 .908 r
.73125 .50186 .73389 .50508 .73971 .50334 .73707 .5001 Metetra
.663 .741 .908 r
.73707 .5001 .73971 .50334 .74554 .50159 .74292 .49835 Metetra
.663 .741 .908 r
.74292 .49835 .74554 .50159 .75139 .49984 .74877 .49659 Metetra
.663 .741 .908 r
.74877 .49659 .75139 .49984 .75724 .49808 .75463 .49483 Metetra
.663 .741 .908 r
.75463 .49483 .75724 .49808 .76311 .49632 .76051 .49307 Metetra
.663 .741 .908 r
.76051 .49307 .76311 .49632 .76899 .49456 .7664 .4913 Metetra
.663 .741 .908 r
.7664 .4913 .76899 .49456 .77489 .4928 .7723 .48954 Metetra
.662 .742 .909 r
.7723 .48954 .77489 .4928 .78079 .49104 .77821 .48778 Metetra
.662 .742 .909 r
.77821 .48778 .78079 .49104 .78671 .48928 .78414 .48602 Metetra
.661 .742 .91 r
.78414 .48602 .78671 .48928 .79264 .48753 .79008 .48427 Metetra
.66 .742 .911 r
.79008 .48427 .79264 .48753 .79858 .48578 .79603 .48253 Metetra
.659 .743 .912 r
.79603 .48253 .79858 .48578 .80454 .48405 .802 .48081 Metetra
.657 .743 .914 r
.802 .48081 .80454 .48405 .81051 .48233 .80799 .47912 Metetra
.654 .744 .916 r
.80799 .47912 .81051 .48233 .8165 .48064 .81398 .47745 Metetra
.651 .745 .919 r
.81398 .47745 .8165 .48064 .8225 .47898 .82 .47583 Metetra
.647 .747 .922 r
.82 .47583 .8225 .47898 .82852 .47736 .82603 .47426 Metetra
.641 .748 .927 r
.82603 .47426 .82852 .47736 .83456 .4758 .83209 .47276 Metetra
.634 .75 .932 r
.83209 .47276 .83456 .4758 .84062 .4743 .83816 .47134 Metetra
.626 .753 .938 r
.83816 .47134 .84062 .4743 .8467 .47289 .84426 .47001 Metetra
.615 .755 .945 r
.84426 .47001 .8467 .47289 .85281 .47157 .85039 .46879 Metetra
.601 .758 .954 r
.85039 .46879 .85281 .47157 .85894 .47035 .85654 .4677 Metetra
.585 .761 .962 r
.85654 .4677 .85894 .47035 .86509 .46926 .86272 .46673 Metetra
.566 .764 .971 r
.86272 .46673 .86509 .46926 .87128 .4683 .86894 .46591 Metetra
.545 .766 .98 r
.86894 .46591 .87128 .4683 .8775 .46748 .87518 .46521 Metetra
.521 .767 .986 r
.87518 .46521 .8775 .46748 .88375 .46679 .88146 .46465 Metetra
.498 .767 .991 r
.88146 .46465 .88375 .46679 .89004 .46623 .88776 .4642 Metetra
.475 .766 .995 r
.88776 .4642 .89004 .46623 .89635 .46578 .8941 .46384 Metetra
.456 .765 .996 r
.8941 .46384 .89635 .46578 .90269 .46542 .90046 .46355 Metetra
.443 .765 .996 r
.90046 .46355 .90269 .46542 .90906 .46513 .90685 .4633 Metetra
.439 .766 .997 r
.90685 .4633 .90906 .46513 .91546 .46488 .91326 .46304 Metetra
.445 .77 .997 r
.91326 .46304 .91546 .46488 .92187 .46461 .91968 .46274 Metetra
.462 .775 .997 r
.91968 .46274 .92187 .46461 .9283 .4643 .92611 .46233 Metetra
.49 .782 .997 r
.92611 .46233 .9283 .4643 .93473 .46389 .93253 .46178 Metetra
.526 .787 .992 r
.93253 .46178 .93473 .46389 .94116 .46333 .93896 .46103 Metetra
.564 .788 .983 r
.93896 .46103 .94116 .46333 .94759 .46258 .94537 .46004 Metetra
.6 .785 .969 r
.94537 .46004 .94759 .46258 .95401 .46159 .95176 .45879 Metetra
.631 .777 .951 r
.95176 .45879 .95401 .46159 .96041 .46034 .95814 .45725 Metetra
.656 .767 .931 r
.95814 .45725 .96041 .46034 .96679 .4588 .96448 .45541 Metetra
.676 .755 .911 r
.96448 .45541 .96679 .4588 .97314 .45697 .97081 .4533 Metetra
.617 .69 .896 r
.39814 .62007 .40123 .62356 .40643 .62235 .40333 .61917 Metetra
.638 .716 .904 r
.40333 .61917 .40643 .62235 .41165 .62081 .40855 .61797 Metetra
.661 .745 .912 r
.40855 .61797 .41165 .62081 .41689 .61892 .41378 .61642 Metetra
.685 .774 .919 r
.41378 .61642 .41689 .61892 .42214 .61671 .41904 .61452 Metetra
.707 .801 .924 r
.41904 .61452 .42214 .61671 .42742 .6142 .42431 .6123 Metetra
.727 .826 .926 r
.42431 .6123 .42742 .6142 .43271 .61144 .42961 .60977 Metetra
.743 .845 .927 r
.42961 .60977 .43271 .61144 .43801 .60847 .43491 .60699 Metetra
.756 .861 .927 r
.43491 .60699 .43801 .60847 .44332 .60535 .44023 .604 Metetra
.765 .872 .926 r
.44023 .604 .44332 .60535 .44864 .60213 .44556 .60085 Metetra
.77 .878 .925 r
.44556 .60085 .44864 .60213 .45396 .59886 .45089 .59762 Metetra
.773 .882 .925 r
.45089 .59762 .45396 .59886 .45929 .59558 .45623 .59434 Metetra
.773 .881 .925 r
.45623 .59434 .45929 .59558 .46463 .59236 .46158 .59106 Metetra
.77 .878 .925 r
.46158 .59106 .46463 .59236 .46997 .58921 .46693 .58782 Metetra
.765 .872 .926 r
.46693 .58782 .46997 .58921 .47531 .58619 .47228 .58467 Metetra
.758 .862 .926 r
.47228 .58467 .47531 .58619 .48065 .58329 .47764 .58163 Metetra
.749 .851 .926 r
.47764 .58163 .48065 .58329 .486 .58055 .483 .57872 Metetra
.739 .838 .925 r
.483 .57872 .486 .58055 .49136 .57796 .48837 .57597 Metetra
.729 .825 .924 r
.48837 .57597 .49136 .57796 .49672 .57552 .49374 .57337 Metetra
.719 .812 .923 r
.49374 .57337 .49672 .57552 .50209 .57321 .49912 .57091 Metetra
.71 .8 .921 r
.49912 .57091 .50209 .57321 .50747 .57102 .5045 .5686 Metetra
.701 .79 .919 r
.5045 .5686 .50747 .57102 .51285 .56895 .5099 .56641 Metetra
.694 .78 .917 r
.5099 .56641 .51285 .56895 .51824 .56696 .5153 .56432 Metetra
.688 .772 .916 r
.5153 .56432 .51824 .56696 .52365 .56506 .52071 .56233 Metetra
.682 .765 .914 r
.52071 .56233 .52365 .56506 .52906 .56321 .52613 .56041 Metetra
.678 .76 .913 r
.52613 .56041 .52906 .56321 .53448 .56142 .53156 .55856 Metetra
.674 .755 .912 r
.53156 .55856 .53448 .56142 .53992 .55967 .537 .55676 Metetra
.671 .751 .911 r
.537 .55676 .53992 .55967 .54536 .55794 .54245 .555 Metetra
.669 .749 .91 r
.54245 .555 .54536 .55794 .55082 .55624 .54791 .55327 Metetra
.668 .746 .909 r
.54791 .55327 .55082 .55624 .55628 .55456 .55339 .55156 Metetra
.666 .745 .909 r
.55339 .55156 .55628 .55456 .56176 .55288 .55887 .54986 Metetra
.665 .744 .909 r
.55887 .54986 .56176 .55288 .56724 .55121 .56436 .54818 Metetra
.665 .743 .908 r
.56436 .54818 .56724 .55121 .57274 .54954 .56987 .5465 Metetra
.664 .742 .908 r
.56987 .5465 .57274 .54954 .57825 .54788 .57539 .54482 Metetra
.664 .742 .908 r
.57539 .54482 .57825 .54788 .58377 .54621 .58091 .54314 Metetra
.664 .742 .908 r
.58091 .54314 .58377 .54621 .5893 .54454 .58645 .54147 Metetra
.664 .742 .908 r
.58645 .54147 .5893 .54454 .59484 .54288 .592 .53979 Metetra
.664 .741 .908 r
.592 .53979 .59484 .54288 .6004 .5412 .59756 .53811 Metetra
.664 .741 .908 r
.59756 .53811 .6004 .5412 .60596 .53953 .60313 .53643 Metetra
.664 .741 .908 r
.60313 .53643 .60596 .53953 .61154 .53785 .60872 .53475 Metetra
.664 .741 .908 r
.60872 .53475 .61154 .53785 .61712 .53617 .61431 .53306 Metetra
.664 .741 .908 r
.61431 .53306 .61712 .53617 .62272 .53449 .61991 .53137 Metetra
.664 .741 .908 r
.61991 .53137 .62272 .53449 .62833 .5328 .62553 .52968 Metetra
.664 .741 .908 r
.62553 .52968 .62833 .5328 .63395 .53111 .63116 .52798 Metetra
.664 .741 .908 r
.63116 .52798 .63395 .53111 .63958 .52942 .6368 .52628 Metetra
.664 .741 .908 r
.6368 .52628 .63958 .52942 .64522 .52772 .64245 .52458 Metetra
.664 .741 .908 r
.64245 .52458 .64522 .52772 .65088 .52602 .64811 .52288 Metetra
.664 .741 .908 r
.64811 .52288 .65088 .52602 .65654 .52432 .65378 .52117 Metetra
.664 .741 .908 r
.65378 .52117 .65654 .52432 .66222 .52261 .65947 .51945 Metetra
.664 .741 .908 r
.65947 .51945 .66222 .52261 .66791 .5209 .66516 .51773 Metetra
.664 .741 .908 r
.66516 .51773 .66791 .5209 .67361 .51919 .67087 .51601 Metetra
.664 .741 .908 r
.67087 .51601 .67361 .51919 .67932 .51747 .67659 .51429 Metetra
.664 .741 .908 r
.67659 .51429 .67932 .51747 .68504 .51575 .68232 .51256 Metetra
.664 .741 .908 r
.68232 .51256 .68504 .51575 .69078 .51403 .68806 .51083 Metetra
.664 .741 .908 r
.68806 .51083 .69078 .51403 .69652 .5123 .69382 .5091 Metetra
.664 .741 .908 r
.69382 .5091 .69652 .5123 .70228 .51057 .69958 .50736 Metetra
.664 .741 .908 r
.69958 .50736 .70228 .51057 .70805 .50883 .70536 .50562 Metetra
.664 .741 .908 r
.70536 .50562 .70805 .50883 .71383 .50709 .71115 .50387 Metetra
.664 .741 .908 r
.71115 .50387 .71383 .50709 .71962 .50535 .71695 .50213 Metetra
.664 .741 .908 r
.71695 .50213 .71962 .50535 .72543 .50361 .72277 .50037 Metetra
.664 .741 .908 r
.72277 .50037 .72543 .50361 .73125 .50186 .72859 .49862 Metetra
.663 .741 .908 r
.72859 .49862 .73125 .50186 .73707 .5001 .73443 .49686 Metetra
.663 .741 .908 r
.73443 .49686 .73707 .5001 .74292 .49835 .74028 .4951 Metetra
.663 .741 .908 r
.74028 .4951 .74292 .49835 .74877 .49659 .74614 .49334 Metetra
.663 .741 .908 r
.74614 .49334 .74877 .49659 .75463 .49483 .75201 .49157 Metetra
.663 .741 .908 r
.75201 .49157 .75463 .49483 .76051 .49307 .7579 .4898 Metetra
.663 .741 .908 r
.7579 .4898 .76051 .49307 .7664 .4913 .76379 .48804 Metetra
.663 .742 .909 r
.76379 .48804 .7664 .4913 .7723 .48954 .7697 .48627 Metetra
.662 .742 .909 r
.7697 .48627 .7723 .48954 .77821 .48778 .77563 .48451 Metetra
.661 .742 .91 r
.77563 .48451 .77821 .48778 .78414 .48602 .78156 .48276 Metetra
.66 .742 .911 r
.78156 .48276 .78414 .48602 .79008 .48427 .78751 .48101 Metetra
.659 .743 .912 r
.78751 .48101 .79008 .48427 .79603 .48253 .79348 .47929 Metetra
.657 .743 .914 r
.79348 .47929 .79603 .48253 .802 .48081 .79946 .47759 Metetra
.654 .744 .916 r
.79946 .47759 .802 .48081 .80799 .47912 .80545 .47592 Metetra
.651 .745 .919 r
.80545 .47592 .80799 .47912 .81398 .47745 .81146 .47429 Metetra
.647 .747 .922 r
.81146 .47429 .81398 .47745 .82 .47583 .81749 .47272 Metetra
.642 .748 .926 r
.81749 .47272 .82 .47583 .82603 .47426 .82354 .47121 Metetra
.635 .75 .932 r
.82354 .47121 .82603 .47426 .83209 .47276 .82961 .46978 Metetra
.626 .753 .938 r
.82961 .46978 .83209 .47276 .83816 .47134 .83571 .46845 Metetra
.615 .755 .945 r
.83571 .46845 .83816 .47134 .84426 .47001 .84183 .46723 Metetra
.601 .758 .954 r
.84183 .46723 .84426 .47001 .85039 .46879 .84798 .46613 Metetra
.585 .761 .963 r
.84798 .46613 .85039 .46879 .85654 .4677 .85415 .46516 Metetra
.566 .764 .971 r
.85415 .46516 .85654 .4677 .86272 .46673 .86036 .46433 Metetra
.545 .766 .98 r
.86036 .46433 .86272 .46673 .86894 .46591 .8666 .46364 Metetra
.522 .767 .986 r
.8666 .46364 .86894 .46591 .87518 .46521 .87287 .46306 Metetra
.498 .767 .991 r
.87287 .46306 .87518 .46521 .88146 .46465 .87916 .46261 Metetra
.476 .766 .994 r
.87916 .46261 .88146 .46465 .88776 .4642 .88549 .46225 Metetra
.456 .765 .996 r
.88549 .46225 .88776 .4642 .8941 .46384 .89185 .46196 Metetra
.442 .764 .996 r
.89185 .46196 .8941 .46384 .90046 .46355 .89823 .46172 Metetra
.436 .765 .996 r
.89823 .46172 .90046 .46355 .90685 .4633 .90463 .46147 Metetra
.441 .769 .997 r
.90463 .46147 .90685 .4633 .91326 .46304 .91104 .46118 Metetra
.459 .775 .998 r
.91104 .46118 .91326 .46304 .91968 .46274 .91747 .46078 Metetra
.488 .782 .997 r
.91747 .46078 .91968 .46274 .92611 .46233 .92389 .46023 Metetra
.525 .787 .993 r
.92389 .46023 .92611 .46233 .93253 .46178 .93031 .45948 Metetra
.564 .788 .983 r
.93031 .45948 .93253 .46178 .93896 .46103 .93671 .45849 Metetra
.6 .785 .969 r
.93671 .45849 .93896 .46103 .94537 .46004 .9431 .45723 Metetra
.631 .777 .951 r
.9431 .45723 .94537 .46004 .95176 .45879 .94947 .45569 Metetra
.656 .766 .931 r
.94947 .45569 .95176 .45879 .95814 .45725 .95582 .45386 Metetra
.675 .755 .911 r
.95582 .45386 .95814 .45725 .96448 .45541 .96214 .45175 Metetra
.69 .744 .892 r
.96214 .45175 .96448 .45541 .97081 .4533 .96844 .44936 Metetra
.599 .668 .888 r
.39506 .61628 .39814 .62007 .40333 .61917 .40024 .61566 Metetra
.617 .69 .895 r
.40024 .61566 .40333 .61917 .40855 .61797 .40545 .61476 Metetra
.638 .715 .903 r
.40545 .61476 .40855 .61797 .41378 .61642 .41068 .61354 Metetra
.661 .744 .912 r
.41068 .61354 .41378 .61642 .41904 .61452 .41593 .61199 Metetra
.684 .773 .919 r
.41593 .61199 .41904 .61452 .42431 .6123 .42121 .6101 Metetra
.707 .801 .924 r
.42121 .6101 .42431 .6123 .42961 .60977 .4265 .60787 Metetra
.727 .826 .926 r
.4265 .60787 .42961 .60977 .43491 .60699 .43181 .60532 Metetra
.744 .847 .927 r
.43181 .60532 .43491 .60699 .44023 .604 .43713 .60251 Metetra
.757 .862 .927 r
.43713 .60251 .44023 .604 .44556 .60085 .44246 .5995 Metetra
.766 .872 .926 r
.44246 .5995 .44556 .60085 .45089 .59762 .4478 .59634 Metetra
.771 .879 .925 r
.4478 .59634 .45089 .59762 .45623 .59434 .45315 .59308 Metetra
.773 .881 .925 r
.45315 .59308 .45623 .59434 .46158 .59106 .45851 .58979 Metetra
.772 .881 .925 r
.45851 .58979 .46158 .59106 .46693 .58782 .46387 .5865 Metetra
.769 .877 .925 r
.46387 .5865 .46693 .58782 .47228 .58467 .46924 .58326 Metetra
.764 .871 .926 r
.46924 .58326 .47228 .58467 .47764 .58163 .47461 .5801 Metetra
.757 .862 .926 r
.47461 .5801 .47764 .58163 .483 .57872 .47998 .57705 Metetra
.749 .851 .926 r
.47998 .57705 .483 .57872 .48837 .57597 .48536 .57413 Metetra
.739 .839 .926 r
.48536 .57413 .48837 .57597 .49374 .57337 .49074 .57136 Metetra
.729 .825 .924 r
.49074 .57136 .49374 .57337 .49912 .57091 .49613 .56875 Metetra
.719 .812 .923 r
.49613 .56875 .49912 .57091 .5045 .5686 .50153 .56629 Metetra
.71 .8 .921 r
.50153 .56629 .5045 .5686 .5099 .56641 .50693 .56396 Metetra
.701 .789 .919 r
.50693 .56396 .5099 .56641 .5153 .56432 .51234 .56176 Metetra
.694 .78 .917 r
.51234 .56176 .5153 .56432 .52071 .56233 .51776 .55967 Metetra
.687 .772 .916 r
.51776 .55967 .52071 .56233 .52613 .56041 .52319 .55767 Metetra
.682 .765 .914 r
.52319 .55767 .52613 .56041 .53156 .55856 .52863 .55575 Metetra
.678 .76 .913 r
.52863 .55575 .53156 .55856 .537 .55676 .53407 .55389 Metetra
.674 .755 .912 r
.53407 .55389 .537 .55676 .54245 .555 .53953 .55208 Metetra
.671 .751 .911 r
.53953 .55208 .54245 .555 .54791 .55327 .545 .5503 Metetra
.669 .749 .91 r
.545 .5503 .54791 .55327 .55339 .55156 .55048 .54856 Metetra
.668 .746 .909 r
.55048 .54856 .55339 .55156 .55887 .54986 .55597 .54684 Metetra
.666 .745 .909 r
.55597 .54684 .55887 .54986 .56436 .54818 .56147 .54514 Metetra
.665 .744 .909 r
.56147 .54514 .56436 .54818 .56987 .5465 .56699 .54344 Metetra
.665 .743 .908 r
.56699 .54344 .56987 .5465 .57539 .54482 .57251 .54176 Metetra
.664 .742 .908 r
.57251 .54176 .57539 .54482 .58091 .54314 .57804 .54007 Metetra
.664 .742 .908 r
.57804 .54007 .58091 .54314 .58645 .54147 .58359 .53839 Metetra
.664 .742 .908 r
.58359 .53839 .58645 .54147 .592 .53979 .58915 .5367 Metetra
.664 .742 .908 r
.58915 .5367 .592 .53979 .59756 .53811 .59471 .53501 Metetra
.664 .742 .908 r
.59471 .53501 .59756 .53811 .60313 .53643 .60029 .53333 Metetra
.664 .741 .908 r
.60029 .53333 .60313 .53643 .60872 .53475 .60588 .53164 Metetra
.664 .741 .908 r
.60588 .53164 .60872 .53475 .61431 .53306 .61148 .52994 Metetra
.664 .741 .908 r
.61148 .52994 .61431 .53306 .61991 .53137 .6171 .52825 Metetra
.664 .741 .908 r
.6171 .52825 .61991 .53137 .62553 .52968 .62272 .52655 Metetra
.664 .741 .908 r
.62272 .52655 .62553 .52968 .63116 .52798 .62836 .52484 Metetra
.664 .741 .908 r
.62836 .52484 .63116 .52798 .6368 .52628 .634 .52314 Metetra
.664 .741 .908 r
.634 .52314 .6368 .52628 .64245 .52458 .63966 .52143 Metetra
.664 .741 .908 r
.63966 .52143 .64245 .52458 .64811 .52288 .64533 .51972 Metetra
.664 .741 .908 r
.64533 .51972 .64811 .52288 .65378 .52117 .65101 .518 Metetra
.664 .741 .908 r
.65101 .518 .65378 .52117 .65947 .51945 .6567 .51628 Metetra
.664 .741 .908 r
.6567 .51628 .65947 .51945 .66516 .51773 .66241 .51456 Metetra
.664 .741 .908 r
.66241 .51456 .66516 .51773 .67087 .51601 .66812 .51283 Metetra
.664 .741 .908 r
.66812 .51283 .67087 .51601 .67659 .51429 .67385 .5111 Metetra
.664 .741 .908 r
.67385 .5111 .67659 .51429 .68232 .51256 .67959 .50937 Metetra
.664 .741 .908 r
.67959 .50937 .68232 .51256 .68806 .51083 .68534 .50763 Metetra
.664 .741 .908 r
.68534 .50763 .68806 .51083 .69382 .5091 .6911 .50589 Metetra
.664 .741 .908 r
.6911 .50589 .69382 .5091 .69958 .50736 .69688 .50414 Metetra
.664 .741 .908 r
.69688 .50414 .69958 .50736 .70536 .50562 .70266 .50239 Metetra
.664 .741 .908 r
.70266 .50239 .70536 .50562 .71115 .50387 .70846 .50064 Metetra
.664 .741 .908 r
.70846 .50064 .71115 .50387 .71695 .50213 .71427 .49889 Metetra
.664 .741 .908 r
.71427 .49889 .71695 .50213 .72277 .50037 .72009 .49713 Metetra
.663 .741 .908 r
.72009 .49713 .72277 .50037 .72859 .49862 .72592 .49537 Metetra
.663 .741 .908 r
.72592 .49537 .72859 .49862 .73443 .49686 .73177 .49361 Metetra
.663 .741 .908 r
.73177 .49361 .73443 .49686 .74028 .4951 .73763 .49184 Metetra
.663 .741 .908 r
.73763 .49184 .74028 .4951 .74614 .49334 .7435 .49007 Metetra
.663 .741 .908 r
.7435 .49007 .74614 .49334 .75201 .49157 .74938 .4883 Metetra
.663 .741 .908 r
.74938 .4883 .75201 .49157 .7579 .4898 .75527 .48653 Metetra
.663 .742 .909 r
.75527 .48653 .7579 .4898 .76379 .48804 .76118 .48476 Metetra
.662 .742 .909 r
.76118 .48476 .76379 .48804 .7697 .48627 .7671 .48299 Metetra
.661 .742 .91 r
.7671 .48299 .7697 .48627 .77563 .48451 .77303 .48124 Metetra
.66 .742 .911 r
.77303 .48124 .77563 .48451 .78156 .48276 .77898 .47949 Metetra
.659 .743 .912 r
.77898 .47949 .78156 .48276 .78751 .48101 .78494 .47776 Metetra
.657 .743 .914 r
.78494 .47776 .78751 .48101 .79348 .47929 .79091 .47606 Metetra
.654 .744 .916 r
.79091 .47606 .79348 .47929 .79946 .47759 .7969 .47439 Metetra
.651 .745 .918 r
.7969 .47439 .79946 .47759 .80545 .47592 .80291 .47276 Metetra
.647 .747 .922 r
.80291 .47276 .80545 .47592 .81146 .47429 .80894 .47118 Metetra
.642 .748 .926 r
.80894 .47118 .81146 .47429 .81749 .47272 .81498 .46966 Metetra
.635 .75 .931 r
.81498 .46966 .81749 .47272 .82354 .47121 .82105 .46823 Metetra
.626 .752 .938 r
.82105 .46823 .82354 .47121 .82961 .46978 .82714 .46689 Metetra
.615 .755 .945 r
.82714 .46689 .82961 .46978 .83571 .46845 .83325 .46566 Metetra
.601 .758 .954 r
.83325 .46566 .83571 .46845 .84183 .46723 .83939 .46456 Metetra
.585 .762 .963 r
.83939 .46456 .84183 .46723 .84798 .46613 .84556 .46359 Metetra
.566 .764 .971 r
.84556 .46359 .84798 .46613 .85415 .46516 .85176 .46276 Metetra
.545 .766 .98 r
.85176 .46276 .85415 .46516 .86036 .46433 .858 .46205 Metetra
.523 .767 .986 r
.858 .46205 .86036 .46433 .8666 .46364 .86426 .46147 Metetra
.499 .767 .991 r
.86426 .46147 .8666 .46364 .87287 .46306 .87055 .46101 Metetra
.476 .766 .994 r
.87055 .46101 .87287 .46306 .87916 .46261 .87687 .46065 Metetra
.455 .764 .996 r
.87687 .46065 .87916 .46261 .88549 .46225 .88322 .46037 Metetra
.439 .763 .996 r
.88322 .46037 .88549 .46225 .89185 .46196 .88959 .46014 Metetra
.432 .765 .996 r
.88959 .46014 .89185 .46196 .89823 .46172 .89599 .4599 Metetra
.438 .769 .997 r
.89599 .4599 .89823 .46172 .90463 .46147 .9024 .45961 Metetra
.456 .775 .998 r
.9024 .45961 .90463 .46147 .91104 .46118 .90881 .45922 Metetra
.487 .783 .997 r
.90881 .45922 .91104 .46118 .91747 .46078 .91523 .45867 Metetra
.525 .788 .993 r
.91523 .45867 .91747 .46078 .92389 .46023 .92164 .45792 Metetra
.564 .788 .983 r
.92164 .45792 .92389 .46023 .93031 .45948 .92804 .45692 Metetra
.6 .784 .968 r
.92804 .45692 .93031 .45948 .93671 .45849 .93442 .45566 Metetra
.631 .776 .95 r
.93442 .45566 .93671 .45849 .9431 .45723 .94079 .45413 Metetra
.655 .766 .931 r
.94079 .45413 .9431 .45723 .94947 .45569 .94713 .45231 Metetra
.675 .755 .912 r
.94713 .45231 .94947 .45569 .95582 .45386 .95345 .4502 Metetra
.69 .745 .893 r
.95345 .4502 .95582 .45386 .96214 .45175 .95975 .44782 Metetra
.701 .734 .876 r
.95975 .44782 .96214 .45175 .96844 .44936 .96602 .44517 Metetra
.584 .651 .882 r
.39197 .61228 .39506 .61628 .40024 .61566 .39715 .61187 Metetra
.6 .669 .888 r
.39715 .61187 .40024 .61566 .40545 .61476 .40235 .61122 Metetra
.618 .69 .895 r
.40235 .61122 .40545 .61476 .41068 .61354 .40758 .61031 Metetra
.638 .715 .903 r
.40758 .61031 .41068 .61354 .41593 .61199 .41283 .60909 Metetra
.66 .742 .911 r
.41283 .60909 .41593 .61199 .42121 .6101 .41809 .60754 Metetra
.684 .772 .918 r
.41809 .60754 .42121 .6101 .4265 .60787 .42338 .60564 Metetra
.706 .801 .924 r
.42338 .60564 .4265 .60787 .43181 .60532 .42869 .60341 Metetra
.727 .827 .927 r
.42869 .60341 .43181 .60532 .43713 .60251 .43402 .60085 Metetra
.744 .848 .928 r
.43402 .60085 .43713 .60251 .44246 .5995 .43935 .59803 Metetra
.758 .864 .927 r
.43935 .59803 .44246 .5995 .4478 .59634 .4447 .59499 Metetra
.767 .874 .926 r
.4447 .59499 .4478 .59634 .45315 .59308 .45006 .5918 Metetra
.772 .88 .925 r
.45006 .5918 .45315 .59308 .45851 .58979 .45543 .58852 Metetra
.773 .881 .924 r
.45543 .58852 .45851 .58979 .46387 .5865 .4608 .58521 Metetra
.772 .88 .925 r
.4608 .58521 .46387 .5865 .46924 .58326 .46618 .58191 Metetra
.769 .876 .925 r
.46618 .58191 .46924 .58326 .47461 .5801 .47156 .57866 Metetra
.764 .87 .926 r
.47156 .57866 .47461 .5801 .47998 .57705 .47695 .5755 Metetra
.757 .862 .926 r
.47695 .5755 .47998 .57705 .48536 .57413 .48234 .57244 Metetra
.749 .851 .926 r
.48234 .57244 .48536 .57413 .49074 .57136 .48773 .56952 Metetra
.739 .839 .926 r
.48773 .56952 .49074 .57136 .49613 .56875 .49313 .56674 Metetra
.729 .826 .925 r
.49313 .56674 .49613 .56875 .50153 .56629 .49854 .56411 Metetra
.719 .813 .923 r
.49854 .56411 .50153 .56629 .50693 .56396 .50395 .56163 Metetra
.71 .8 .921 r
.50395 .56163 .50693 .56396 .51234 .56176 .50937 .5593 Metetra
.701 .789 .919 r
.50937 .5593 .51234 .56176 .51776 .55967 .5148 .55709 Metetra
.694 .78 .917 r
.5148 .55709 .51776 .55967 .52319 .55767 .52024 .55499 Metetra
.687 .772 .916 r
.52024 .55499 .52319 .55767 .52863 .55575 .52568 .55299 Metetra
.682 .765 .914 r
.52568 .55299 .52863 .55575 .53407 .55389 .53114 .55106 Metetra
.678 .76 .913 r
.53114 .55106 .53407 .55389 .53953 .55208 .5366 .54919 Metetra
.674 .755 .912 r
.5366 .54919 .53953 .55208 .545 .5503 .54208 .54737 Metetra
.671 .752 .911 r
.54208 .54737 .545 .5503 .55048 .54856 .54757 .54558 Metetra
.669 .749 .91 r
.54757 .54558 .55048 .54856 .55597 .54684 .55306 .54383 Metetra
.668 .746 .909 r
.55306 .54383 .55597 .54684 .56147 .54514 .55857 .5421 Metetra
.666 .745 .909 r
.55857 .5421 .56147 .54514 .56699 .54344 .56409 .54039 Metetra
.665 .744 .909 r
.56409 .54039 .56699 .54344 .57251 .54176 .56962 .53868 Metetra
.665 .743 .908 r
.56962 .53868 .57251 .54176 .57804 .54007 .57516 .53699 Metetra
.664 .742 .908 r
.57516 .53699 .57804 .54007 .58359 .53839 .58072 .53529 Metetra
.664 .742 .908 r
.58072 .53529 .58359 .53839 .58915 .5367 .58628 .5336 Metetra
.664 .742 .908 r
.58628 .5336 .58915 .5367 .59471 .53501 .59186 .5319 Metetra
.664 .742 .908 r
.59186 .5319 .59471 .53501 .60029 .53333 .59744 .53021 Metetra
.664 .742 .908 r
.59744 .53021 .60029 .53333 .60588 .53164 .60304 .52851 Metetra
.664 .741 .908 r
.60304 .52851 .60588 .53164 .61148 .52994 .60865 .52681 Metetra
.664 .741 .908 r
.60865 .52681 .61148 .52994 .6171 .52825 .61427 .52511 Metetra
.664 .741 .908 r
.61427 .52511 .6171 .52825 .62272 .52655 .6199 .5234 Metetra
.664 .741 .908 r
.6199 .5234 .62272 .52655 .62836 .52484 .62554 .52169 Metetra
.664 .741 .908 r
.62554 .52169 .62836 .52484 .634 .52314 .6312 .51998 Metetra
.664 .741 .908 r
.6312 .51998 .634 .52314 .63966 .52143 .63686 .51826 Metetra
.664 .741 .908 r
.63686 .51826 .63966 .52143 .64533 .51972 .64254 .51654 Metetra
.664 .741 .908 r
.64254 .51654 .64533 .51972 .65101 .518 .64823 .51482 Metetra
.664 .741 .908 r
.64823 .51482 .65101 .518 .6567 .51628 .65393 .5131 Metetra
.664 .741 .908 r
.65393 .5131 .6567 .51628 .66241 .51456 .65964 .51137 Metetra
.664 .741 .908 r
.65964 .51137 .66241 .51456 .66812 .51283 .66537 .50963 Metetra
.664 .741 .908 r
.66537 .50963 .66812 .51283 .67385 .5111 .6711 .5079 Metetra
.664 .741 .908 r
.6711 .5079 .67385 .5111 .67959 .50937 .67685 .50616 Metetra
.664 .741 .908 r
.67685 .50616 .67959 .50937 .68534 .50763 .68261 .50441 Metetra
.664 .741 .908 r
.68261 .50441 .68534 .50763 .6911 .50589 .68838 .50266 Metetra
.664 .741 .908 r
.68838 .50266 .6911 .50589 .69688 .50414 .69416 .50091 Metetra
.664 .741 .908 r
.69416 .50091 .69688 .50414 .70266 .50239 .69995 .49916 Metetra
.664 .741 .908 r
.69995 .49916 .70266 .50239 .70846 .50064 .70576 .4974 Metetra
.664 .741 .908 r
.70576 .4974 .70846 .50064 .71427 .49889 .71158 .49564 Metetra
.663 .741 .908 r
.71158 .49564 .71427 .49889 .72009 .49713 .71741 .49388 Metetra
.663 .741 .908 r
.71741 .49388 .72009 .49713 .72592 .49537 .72325 .49211 Metetra
.663 .741 .908 r
.72325 .49211 .72592 .49537 .73177 .49361 .7291 .49034 Metetra
.663 .741 .908 r
.7291 .49034 .73177 .49361 .73763 .49184 .73497 .48857 Metetra
.663 .741 .908 r
.73497 .48857 .73763 .49184 .7435 .49007 .74085 .48679 Metetra
.663 .741 .908 r
.74085 .48679 .7435 .49007 .74938 .4883 .74674 .48502 Metetra
.663 .742 .909 r
.74674 .48502 .74938 .4883 .75527 .48653 .75264 .48325 Metetra
.662 .742 .909 r
.75264 .48325 .75527 .48653 .76118 .48476 .75855 .48148 Metetra
.661 .742 .91 r
.75855 .48148 .76118 .48476 .7671 .48299 .76448 .47972 Metetra
.66 .742 .911 r
.76448 .47972 .7671 .48299 .77303 .48124 .77043 .47797 Metetra
.659 .743 .912 r
.77043 .47797 .77303 .48124 .77898 .47949 .77638 .47624 Metetra
.657 .743 .914 r
.77638 .47624 .77898 .47949 .78494 .47776 .78235 .47453 Metetra
.655 .744 .916 r
.78235 .47453 .78494 .47776 .79091 .47606 .78834 .47285 Metetra
.652 .745 .918 r
.78834 .47285 .79091 .47606 .7969 .47439 .79434 .47121 Metetra
.647 .746 .922 r
.79434 .47121 .7969 .47439 .80291 .47276 .80036 .46963 Metetra
.642 .748 .926 r
.80036 .46963 .80291 .47276 .80894 .47118 .8064 .46811 Metetra
.635 .75 .931 r
.8064 .46811 .80894 .47118 .81498 .46966 .81247 .46667 Metetra
.626 .752 .938 r
.81247 .46667 .81498 .46966 .82105 .46823 .81855 .46533 Metetra
.615 .755 .945 r
.81855 .46533 .82105 .46823 .82714 .46689 .82466 .4641 Metetra
.601 .759 .954 r
.82466 .4641 .82714 .46689 .83325 .46566 .8308 .463 Metetra
.585 .762 .963 r
.8308 .463 .83325 .46566 .83939 .46456 .83696 .46202 Metetra
.567 .765 .971 r
.83696 .46202 .83939 .46456 .84556 .46359 .84315 .46118 Metetra
.546 .766 .979 r
.84315 .46118 .84556 .46359 .85176 .46276 .84938 .46046 Metetra
.524 .767 .986 r
.84938 .46046 .85176 .46276 .858 .46205 .85563 .45988 Metetra
.5 .766 .991 r
.85563 .45988 .858 .46205 .86426 .46147 .86192 .45941 Metetra
.475 .765 .994 r
.86192 .45941 .86426 .46147 .87055 .46101 .86823 .45906 Metetra
.453 .763 .996 r
.86823 .45906 .87055 .46101 .87687 .46065 .87458 .45878 Metetra
.436 .763 .996 r
.87458 .45878 .87687 .46065 .88322 .46037 .88094 .45856 Metetra
.428 .764 .996 r
.88094 .45856 .88322 .46037 .88959 .46014 .88733 .45833 Metetra
.434 .769 .997 r
.88733 .45833 .88959 .46014 .89599 .4599 .89373 .45805 Metetra
.455 .776 .998 r
.89373 .45805 .89599 .4599 .9024 .45961 .90014 .45766 Metetra
.487 .783 .997 r
.90014 .45766 .9024 .45961 .90881 .45922 .90655 .4571 Metetra
.526 .787 .993 r
.90655 .4571 .90881 .45922 .91523 .45867 .91295 .45634 Metetra
.565 .787 .983 r
.91295 .45634 .91523 .45867 .92164 .45792 .91935 .45534 Metetra
.6 .783 .968 r
.91935 .45534 .92164 .45792 .92804 .45692 .92573 .45409 Metetra
.63 .776 .951 r
.92573 .45409 .92804 .45692 .93442 .45566 .93209 .45257 Metetra
.654 .766 .932 r
.93209 .45257 .93442 .45566 .94079 .45413 .93843 .45076 Metetra
.674 .756 .913 r
.93843 .45076 .94079 .45413 .94713 .45231 .94475 .44866 Metetra
.69 .746 .894 r
.94475 .44866 .94713 .45231 .95345 .4502 .95105 .44628 Metetra
.702 .735 .877 r
.95105 .44628 .95345 .4502 .95975 .44782 .95732 .44362 Metetra
.71 .725 .861 r
.95732 .44362 .95975 .44782 .96602 .44517 .96357 .44071 Metetra
.571 .637 .877 r
.38888 .6081 .39197 .61228 .39715 .61187 .39406 .60787 Metetra
.585 .652 .883 r
.39406 .60787 .39715 .61187 .40235 .61122 .39926 .60744 Metetra
.601 .671 .889 r
.39926 .60744 .40235 .61122 .40758 .61031 .40448 .60677 Metetra
.619 .691 .895 r
.40448 .60677 .40758 .61031 .41283 .60909 .40972 .60583 Metetra
.639 .715 .903 r
.40972 .60583 .41283 .60909 .41809 .60754 .41498 .60459 Metetra
.66 .741 .91 r
.41498 .60459 .41809 .60754 .42338 .60564 .42027 .60304 Metetra
.683 .77 .917 r
.42027 .60304 .42338 .60564 .42869 .60341 .42557 .60114 Metetra
.705 .799 .923 r
.42557 .60114 .42869 .60341 .43402 .60085 .4309 .59891 Metetra
.727 .826 .927 r
.4309 .59891 .43402 .60085 .43935 .59803 .43624 .59636 Metetra
.745 .849 .928 r
.43624 .59636 .43935 .59803 .4447 .59499 .44159 .59352 Metetra
.758 .866 .927 r
.44159 .59352 .4447 .59499 .45006 .5918 .44696 .59046 Metetra
.768 .876 .926 r
.44696 .59046 .45006 .5918 .45543 .58852 .45234 .58724 Metetra
.773 .881 .925 r
.45234 .58724 .45543 .58852 .4608 .58521 .45772 .58393 Metetra
.774 .882 .924 r
.45772 .58393 .4608 .58521 .46618 .58191 .46311 .5806 Metetra
.772 .88 .924 r
.46311 .5806 .46618 .58191 .47156 .57866 .4685 .57729 Metetra
.769 .875 .925 r
.4685 .57729 .47156 .57866 .47695 .5755 .4739 .57403 Metetra
.763 .869 .926 r
.4739 .57403 .47695 .5755 .48234 .57244 .4793 .57087 Metetra
.757 .861 .926 r
.4793 .57087 .48234 .57244 .48773 .56952 .48471 .56781 Metetra
.748 .851 .926 r
.48471 .56781 .48773 .56952 .49313 .56674 .49012 .56488 Metetra
.739 .839 .926 r
.49012 .56488 .49313 .56674 .49854 .56411 .49554 .56209 Metetra
.73 .827 .925 r
.49554 .56209 .49854 .56411 .50395 .56163 .50096 .55945 Metetra
.72 .813 .923 r
.50096 .55945 .50395 .56163 .50937 .5593 .50639 .55696 Metetra
.71 .801 .921 r
.50639 .55696 .50937 .5593 .5148 .55709 .51183 .55461 Metetra
.701 .789 .919 r
.51183 .55461 .5148 .55709 .52024 .55499 .51727 .55239 Metetra
.693 .779 .917 r
.51727 .55239 .52024 .55499 .52568 .55299 .52273 .55028 Metetra
.687 .771 .915 r
.52273 .55028 .52568 .55299 .53114 .55106 .52819 .54827 Metetra
.682 .765 .914 r
.52819 .54827 .53114 .55106 .5366 .54919 .53366 .54634 Metetra
.678 .759 .913 r
.53366 .54634 .5366 .54919 .54208 .54737 .53915 .54446 Metetra
.674 .755 .912 r
.53915 .54446 .54208 .54737 .54757 .54558 .54464 .54263 Metetra
.671 .752 .911 r
.54464 .54263 .54757 .54558 .55306 .54383 .55014 .54084 Metetra
.669 .749 .91 r
.55014 .54084 .55306 .54383 .55857 .5421 .55566 .53908 Metetra
.668 .747 .909 r
.55566 .53908 .55857 .5421 .56409 .54039 .56119 .53734 Metetra
.666 .745 .909 r
.56119 .53734 .56409 .54039 .56962 .53868 .56673 .53561 Metetra
.665 .744 .909 r
.56673 .53561 .56962 .53868 .57516 .53699 .57227 .5339 Metetra
.665 .743 .908 r
.57227 .5339 .57516 .53699 .58072 .53529 .57783 .53219 Metetra
.664 .742 .908 r
.57783 .53219 .58072 .53529 .58628 .5336 .58341 .53049 Metetra
.664 .742 .908 r
.58341 .53049 .58628 .5336 .59186 .5319 .58899 .52878 Metetra
.664 .742 .908 r
.58899 .52878 .59186 .5319 .59744 .53021 .59458 .52708 Metetra
.664 .742 .908 r
.59458 .52708 .59744 .53021 .60304 .52851 .60019 .52537 Metetra
.664 .742 .908 r
.60019 .52537 .60304 .52851 .60865 .52681 .6058 .52367 Metetra
.664 .741 .908 r
.6058 .52367 .60865 .52681 .61427 .52511 .61143 .52196 Metetra
.664 .741 .908 r
.61143 .52196 .61427 .52511 .6199 .5234 .61707 .52024 Metetra
.664 .741 .908 r
.61707 .52024 .6199 .5234 .62554 .52169 .62272 .51853 Metetra
.664 .741 .908 r
.62272 .51853 .62554 .52169 .6312 .51998 .62838 .51681 Metetra
.664 .741 .908 r
.62838 .51681 .6312 .51998 .63686 .51826 .63406 .51509 Metetra
.664 .741 .908 r
.63406 .51509 .63686 .51826 .64254 .51654 .63974 .51336 Metetra
.664 .741 .908 r
.63974 .51336 .64254 .51654 .64823 .51482 .64544 .51163 Metetra
.664 .741 .908 r
.64544 .51163 .64823 .51482 .65393 .5131 .65115 .5099 Metetra
.664 .741 .908 r
.65115 .5099 .65393 .5131 .65964 .51137 .65687 .50816 Metetra
.664 .741 .908 r
.65687 .50816 .65964 .51137 .66537 .50963 .6626 .50642 Metetra
.664 .741 .908 r
.6626 .50642 .66537 .50963 .6711 .5079 .66834 .50468 Metetra
.664 .741 .908 r
.66834 .50468 .6711 .5079 .67685 .50616 .6741 .50293 Metetra
.664 .741 .908 r
.6741 .50293 .67685 .50616 .68261 .50441 .67986 .50118 Metetra
.664 .741 .908 r
.67986 .50118 .68261 .50441 .68838 .50266 .68564 .49943 Metetra
.664 .741 .908 r
.68564 .49943 .68838 .50266 .69416 .50091 .69143 .49767 Metetra
.664 .741 .908 r
.69143 .49767 .69416 .50091 .69995 .49916 .69723 .49591 Metetra
.663 .741 .908 r
.69723 .49591 .69995 .49916 .70576 .4974 .70305 .49415 Metetra
.663 .741 .908 r
.70305 .49415 .70576 .4974 .71158 .49564 .70887 .49238 Metetra
.663 .741 .908 r
.70887 .49238 .71158 .49564 .71741 .49388 .71471 .49061 Metetra
.663 .741 .908 r
.71471 .49061 .71741 .49388 .72325 .49211 .72056 .48884 Metetra
.663 .741 .908 r
.72056 .48884 .72325 .49211 .7291 .49034 .72642 .48706 Metetra
.663 .741 .908 r
.72642 .48706 .7291 .49034 .73497 .48857 .7323 .48528 Metetra
.663 .741 .908 r
.7323 .48528 .73497 .48857 .74085 .48679 .73818 .4835 Metetra
.663 .741 .909 r
.73818 .4835 .74085 .48679 .74674 .48502 .74408 .48173 Metetra
.662 .742 .909 r
.74408 .48173 .74674 .48502 .75264 .48325 .75 .47996 Metetra
.661 .742 .91 r
.75 .47996 .75264 .48325 .75855 .48148 .75592 .4782 Metetra
.66 .742 .911 r
.75592 .4782 .75855 .48148 .76448 .47972 .76186 .47644 Metetra
.659 .743 .912 r
.76186 .47644 .76448 .47972 .77043 .47797 .76781 .47471 Metetra
.657 .743 .914 r
.76781 .47471 .77043 .47797 .77638 .47624 .77378 .473 Metetra
.655 .744 .915 r
.77378 .473 .77638 .47624 .78235 .47453 .77976 .47131 Metetra
.652 .745 .918 r
.77976 .47131 .78235 .47453 .78834 .47285 .78576 .46967 Metetra
.648 .746 .921 r
.78576 .46967 .78834 .47285 .79434 .47121 .79178 .46807 Metetra
.642 .748 .926 r
.79178 .46807 .79434 .47121 .80036 .46963 .79781 .46655 Metetra
.635 .75 .931 r
.79781 .46655 .80036 .46963 .8064 .46811 .80387 .46511 Metetra
.626 .752 .938 r
.80387 .46511 .8064 .46811 .81247 .46667 .80995 .46377 Metetra
.615 .756 .946 r
.80995 .46377 .81247 .46667 .81855 .46533 .81605 .46254 Metetra
.601 .759 .954 r
.81605 .46254 .81855 .46533 .82466 .4641 .82218 .46143 Metetra
.586 .762 .963 r
.82218 .46143 .82466 .4641 .8308 .463 .82834 .46044 Metetra
.568 .765 .971 r
.82834 .46044 .8308 .463 .83696 .46202 .83453 .45959 Metetra
.548 .766 .979 r
.83453 .45959 .83696 .46202 .84315 .46118 .84075 .45886 Metetra
.525 .767 .985 r
.84075 .45886 .84315 .46118 .84938 .46046 .84699 .45827 Metetra
.5 .766 .991 r
.84699 .45827 .84938 .46046 .85563 .45988 .85327 .45781 Metetra
.474 .764 .994 r
.85327 .45781 .85563 .45988 .86192 .45941 .85958 .45746 Metetra
.449 .763 .996 r
.85958 .45746 .86192 .45941 .86823 .45906 .86592 .4572 Metetra
.431 .762 .996 r
.86592 .4572 .86823 .45906 .87458 .45878 .87228 .45699 Metetra
.424 .764 .996 r
.87228 .45699 .87458 .45878 .88094 .45856 .87866 .45677 Metetra
.432 .769 .997 r
.87866 .45677 .88094 .45856 .88733 .45833 .88505 .45649 Metetra
.455 .776 .998 r
.88505 .45649 .88733 .45833 .89373 .45805 .89145 .45609 Metetra
.489 .783 .997 r
.89145 .45609 .89373 .45805 .90014 .45766 .89785 .45552 Metetra
.527 .787 .992 r
.89785 .45552 .90014 .45766 .90655 .4571 .90425 .45475 Metetra
.565 .786 .982 r
.90425 .45475 .90655 .4571 .91295 .45634 .91064 .45376 Metetra
.599 .782 .968 r
.91064 .45376 .91295 .45634 .91935 .45534 .91702 .45252 Metetra
.628 .776 .952 r
.91702 .45252 .91935 .45534 .92573 .45409 .92338 .45101 Metetra
.652 .767 .934 r
.92338 .45101 .92573 .45409 .93209 .45257 .92972 .44922 Metetra
.673 .758 .915 r
.92972 .44922 .93209 .45257 .93843 .45076 .93604 .44713 Metetra
.69 .747 .895 r
.93604 .44713 .93843 .45076 .94475 .44866 .94233 .44475 Metetra
.703 .736 .877 r
.94233 .44475 .94475 .44866 .95105 .44628 .9486 .44207 Metetra
.711 .724 .86 r
.9486 .44207 .95105 .44628 .95732 .44362 .95484 .43913 Metetra
.717 .714 .846 r
.95484 .43913 .95732 .44362 .96357 .44071 .96107 .43598 Metetra
.559 .622 .872 r
.38579 .60372 .38888 .6081 .39406 .60787 .39096 .60368 Metetra
.57 .637 .878 r
.39096 .60368 .39406 .60787 .39926 .60744 .39616 .60346 Metetra
.585 .654 .884 r
.39616 .60346 .39926 .60744 .40448 .60677 .40137 .60301 Metetra
.602 .673 .89 r
.40137 .60301 .40448 .60677 .40972 .60583 .40661 .60231 Metetra
.62 .694 .897 r
.40661 .60231 .40972 .60583 .41498 .60459 .41187 .60134 Metetra
.64 .716 .903 r
.41187 .60134 .41498 .60459 .42027 .60304 .41715 .60007 Metetra
.661 .741 .909 r
.41715 .60007 .42027 .60304 .42557 .60114 .42246 .5985 Metetra
.682 .768 .916 r
.42246 .5985 .42557 .60114 .4309 .59891 .42778 .5966 Metetra
.704 .796 .922 r
.42778 .5966 .4309 .59891 .43624 .59636 .43312 .59438 Metetra
.725 .824 .926 r
.43312 .59438 .43624 .59636 .44159 .59352 .43847 .59183 Metetra
.744 .848 .928 r
.43847 .59183 .44159 .59352 .44696 .59046 .44385 .589 Metetra
.758 .867 .928 r
.44385 .589 .44696 .59046 .45234 .58724 .44923 .58592 Metetra
.768 .878 .926 r
.44923 .58592 .45234 .58724 .45772 .58393 .45462 .58267 Metetra
.774 .884 .925 r
.45462 .58267 .45772 .58393 .46311 .5806 .46002 .57933 Metetra
.775 .884 .924 r
.46002 .57933 .46311 .5806 .4685 .57729 .46543 .57597 Metetra
.773 .88 .924 r
.46543 .57597 .4685 .57729 .4739 .57403 .47084 .57263 Metetra
.769 .875 .925 r
.47084 .57263 .4739 .57403 .4793 .57087 .47625 .56937 Metetra
.763 .868 .925 r
.47625 .56937 .4793 .57087 .48471 .56781 .48167 .5662 Metetra
.756 .859 .926 r
.48167 .5662 .48471 .56781 .49012 .56488 .48709 .56315 Metetra
.748 .85 .926 r
.48709 .56315 .49012 .56488 .49554 .56209 .49252 .56022 Metetra
.739 .839 .926 r
.49252 .56022 .49554 .56209 .50096 .55945 .49795 .55742 Metetra
.73 .827 .925 r
.49795 .55742 .50096 .55945 .50639 .55696 .50339 .55477 Metetra
.72 .814 .923 r
.50339 .55477 .50639 .55696 .51183 .55461 .50884 .55226 Metetra
.71 .801 .921 r
.50884 .55226 .51183 .55461 .51727 .55239 .5143 .5499 Metetra
.701 .789 .919 r
.5143 .5499 .51727 .55239 .52273 .55028 .51976 .54766 Metetra
.693 .779 .917 r
.51976 .54766 .52273 .55028 .52819 .54827 .52523 .54555 Metetra
.687 .771 .915 r
.52523 .54555 .52819 .54827 .53366 .54634 .53071 .54353 Metetra
.681 .764 .914 r
.53071 .54353 .53366 .54634 .53915 .54446 .5362 .54159 Metetra
.677 .759 .913 r
.5362 .54159 .53915 .54446 .54464 .54263 .5417 .5397 Metetra
.674 .755 .912 r
.5417 .5397 .54464 .54263 .55014 .54084 .54722 .53787 Metetra
.671 .752 .911 r
.54722 .53787 .55014 .54084 .55566 .53908 .55274 .53607 Metetra
.669 .749 .91 r
.55274 .53607 .55566 .53908 .56119 .53734 .55827 .53429 Metetra
.668 .747 .909 r
.55827 .53429 .56119 .53734 .56673 .53561 .56382 .53254 Metetra
.666 .745 .909 r
.56382 .53254 .56673 .53561 .57227 .5339 .56937 .53081 Metetra
.665 .744 .909 r
.56937 .53081 .57227 .5339 .57783 .53219 .57494 .52908 Metetra
.665 .743 .908 r
.57494 .52908 .57783 .53219 .58341 .53049 .58052 .52737 Metetra
.664 .742 .908 r
.58052 .52737 .58341 .53049 .58899 .52878 .58611 .52565 Metetra
.664 .742 .908 r
.58611 .52565 .58899 .52878 .59458 .52708 .59171 .52394 Metetra
.664 .742 .908 r
.59171 .52394 .59458 .52708 .60019 .52537 .59732 .52223 Metetra
.664 .742 .908 r
.59732 .52223 .60019 .52537 .6058 .52367 .60295 .52051 Metetra
.664 .742 .908 r
.60295 .52051 .6058 .52367 .61143 .52196 .60858 .5188 Metetra
.664 .741 .908 r
.60858 .5188 .61143 .52196 .61707 .52024 .61423 .51708 Metetra
.664 .741 .908 r
.61423 .51708 .61707 .52024 .62272 .51853 .61989 .51535 Metetra
.664 .741 .908 r
.61989 .51535 .62272 .51853 .62838 .51681 .62556 .51363 Metetra
.664 .741 .908 r
.62556 .51363 .62838 .51681 .63406 .51509 .63124 .5119 Metetra
.664 .741 .908 r
.63124 .5119 .63406 .51509 .63974 .51336 .63693 .51017 Metetra
.664 .741 .908 r
.63693 .51017 .63974 .51336 .64544 .51163 .64264 .50843 Metetra
.664 .741 .908 r
.64264 .50843 .64544 .51163 .65115 .5099 .64835 .50669 Metetra
.664 .741 .908 r
.64835 .50669 .65115 .5099 .65687 .50816 .65408 .50495 Metetra
.664 .741 .908 r
.65408 .50495 .65687 .50816 .6626 .50642 .65982 .5032 Metetra
.664 .741 .908 r
.65982 .5032 .6626 .50642 .66834 .50468 .66557 .50145 Metetra
.664 .741 .908 r
.66557 .50145 .66834 .50468 .6741 .50293 .67133 .4997 Metetra
.664 .741 .908 r
.67133 .4997 .6741 .50293 .67986 .50118 .67711 .49794 Metetra
.664 .741 .908 r
.67711 .49794 .67986 .50118 .68564 .49943 .6829 .49618 Metetra
.664 .741 .908 r
.6829 .49618 .68564 .49943 .69143 .49767 .68869 .49442 Metetra
.663 .741 .908 r
.68869 .49442 .69143 .49767 .69723 .49591 .6945 .49265 Metetra
.663 .741 .908 r
.6945 .49265 .69723 .49591 .70305 .49415 .70033 .49088 Metetra
.663 .741 .908 r
.70033 .49088 .70305 .49415 .70887 .49238 .70616 .48911 Metetra
.663 .741 .908 r
.70616 .48911 .70887 .49238 .71471 .49061 .71201 .48733 Metetra
.663 .741 .908 r
.71201 .48733 .71471 .49061 .72056 .48884 .71786 .48555 Metetra
.663 .741 .908 r
.71786 .48555 .72056 .48884 .72642 .48706 .72374 .48377 Metetra
.663 .741 .908 r
.72374 .48377 .72642 .48706 .7323 .48528 .72962 .48199 Metetra
.663 .741 .909 r
.72962 .48199 .7323 .48528 .73818 .4835 .73551 .48021 Metetra
.662 .742 .909 r
.73551 .48021 .73818 .4835 .74408 .48173 .74142 .47844 Metetra
.661 .742 .91 r
.74142 .47844 .74408 .48173 .75 .47996 .74734 .47667 Metetra
.66 .742 .911 r
.74734 .47667 .75 .47996 .75592 .4782 .75328 .47492 Metetra
.659 .743 .912 r
.75328 .47492 .75592 .4782 .76186 .47644 .75923 .47318 Metetra
.657 .743 .913 r
.75923 .47318 .76186 .47644 .76781 .47471 .76519 .47146 Metetra
.655 .744 .915 r
.76519 .47146 .76781 .47471 .77378 .473 .77117 .46977 Metetra
.652 .745 .918 r
.77117 .46977 .77378 .473 .77976 .47131 .77716 .46811 Metetra
.648 .746 .921 r
.77716 .46811 .77976 .47131 .78576 .46967 .78317 .46652 Metetra
.642 .748 .926 r
.78317 .46652 .78576 .46967 .79178 .46807 .78921 .46499 Metetra
.635 .75 .931 r
.78921 .46499 .79178 .46807 .79781 .46655 .79526 .46355 Metetra
.626 .753 .938 r
.79526 .46355 .79781 .46655 .80387 .46511 .80133 .46221 Metetra
.615 .756 .946 r
.80133 .46221 .80387 .46511 .80995 .46377 .80743 .46098 Metetra
.602 .759 .954 r
.80743 .46098 .80995 .46377 .81605 .46254 .81356 .45986 Metetra
.587 .762 .962 r
.81356 .45986 .81605 .46254 .82218 .46143 .81971 .45886 Metetra
.57 .764 .97 r
.81971 .45886 .82218 .46143 .82834 .46044 .82589 .45799 Metetra
.549 .766 .978 r
.82589 .45799 .82834 .46044 .83453 .45959 .8321 .45726 Metetra
.526 .766 .985 r
.8321 .45726 .83453 .45959 .84075 .45886 .83834 .45666 Metetra
.499 .765 .991 r
.83834 .45666 .84075 .45886 .84699 .45827 .84461 .45621 Metetra
.471 .764 .994 r
.84461 .45621 .84699 .45827 .85327 .45781 .85091 .45588 Metetra
.444 .762 .996 r
.85091 .45588 .85327 .45781 .85958 .45746 .85724 .45563 Metetra
.426 .762 .996 r
.85724 .45563 .85958 .45746 .86592 .4572 .8636 .45543 Metetra
.421 .764 .996 r
.8636 .45543 .86592 .4572 .87228 .45699 .86997 .4552 Metetra
.432 .77 .997 r
.86997 .4552 .87228 .45699 .87866 .45677 .87636 .45491 Metetra
.458 .777 .998 r
.87636 .45491 .87866 .45677 .88505 .45649 .88275 .45449 Metetra
.492 .783 .997 r
.88275 .45449 .88505 .45649 .89145 .45609 .88914 .45392 Metetra
.529 .785 .991 r
.88914 .45392 .89145 .45609 .89785 .45552 .89553 .45315 Metetra
.564 .785 .982 r
.89553 .45315 .89785 .45552 .90425 .45475 .90192 .45217 Metetra
.596 .782 .969 r
.90192 .45217 .90425 .45475 .91064 .45376 .90829 .45096 Metetra
.625 .777 .954 r
.90829 .45096 .91064 .45376 .91702 .45252 .91465 .44948 Metetra
.651 .77 .936 r
.91465 .44948 .91702 .45252 .92338 .45101 .92099 .4477 Metetra
.673 .76 .916 r
.92099 .4477 .92338 .45101 .92972 .44922 .92731 .44561 Metetra
.691 .749 .896 r
.92731 .44561 .92972 .44922 .93604 .44713 .9336 .4432 Metetra
.704 .736 .876 r
.9336 .4432 .93604 .44713 .94233 .44475 .93986 .44049 Metetra
.712 .723 .858 r
.93986 .44049 .94233 .44475 .9486 .44207 .9461 .43753 Metetra
.717 .712 .844 r
.9461 .43753 .9486 .44207 .95484 .43913 .95232 .43435 Metetra
.719 .703 .834 r
.95232 .43435 .95484 .43913 .96107 .43598 .95854 .43104 Metetra
.55 .609 .865 r
.3827 .59913 .38579 .60372 .39096 .60368 .38787 .59924 Metetra
.557 .619 .87 r
.38787 .59924 .39096 .60368 .39616 .60346 .39306 .59923 Metetra
.569 .635 .877 r
.39306 .59923 .39616 .60346 .40137 .60301 .39827 .59902 Metetra
.584 .654 .885 r
.39827 .59902 .40137 .60301 .40661 .60231 .4035 .59858 Metetra
.603 .676 .892 r
.4035 .59858 .40661 .60231 .41187 .60134 .40876 .59785 Metetra
.622 .698 .898 r
.40876 .59785 .41187 .60134 .41715 .60007 .41403 .59684 Metetra
.642 .719 .904 r
.41403 .59684 .41715 .60007 .42246 .5985 .41933 .59553 Metetra
.662 .742 .909 r
.41933 .59553 .42246 .5985 .42778 .5966 .42465 .59392 Metetra
.683 .767 .915 r
.42465 .59392 .42778 .5966 .43312 .59438 .42999 .59201 Metetra
.703 .793 .921 r
.42999 .59201 .43312 .59438 .43847 .59183 .43535 .58979 Metetra
.724 .821 .925 r
.43535 .58979 .43847 .59183 .44385 .589 .44072 .58726 Metetra
.742 .846 .928 r
.44072 .58726 .44385 .589 .44923 .58592 .44611 .58444 Metetra
.758 .866 .928 r
.44611 .58444 .44923 .58592 .45462 .58267 .45151 .58136 Metetra
.769 .88 .927 r
.45151 .58136 .45462 .58267 .46002 .57933 .45692 .5781 Metetra
.775 .887 .926 r
.45692 .5781 .46002 .57933 .46543 .57597 .46234 .57473 Metetra
.777 .887 .924 r
.46234 .57473 .46543 .57597 .47084 .57263 .46776 .57133 Metetra
.774 .882 .924 r
.46776 .57133 .47084 .57263 .47625 .56937 .47319 .56796 Metetra
.769 .875 .924 r
.47319 .56796 .47625 .56937 .48167 .5662 .47862 .56467 Metetra
.763 .866 .925 r
.47862 .56467 .48167 .5662 .48709 .56315 .48405 .5615 Metetra
.755 .857 .926 r
.48405 .5615 .48709 .56315 .49252 .56022 .48949 .55844 Metetra
.747 .848 .926 r
.48949 .55844 .49252 .56022 .49795 .55742 .49494 .55552 Metetra
.738 .838 .926 r
.49494 .55552 .49795 .55742 .50339 .55477 .50039 .55273 Metetra
.729 .827 .925 r
.50039 .55273 .50339 .55477 .50884 .55226 .50584 .55007 Metetra
.72 .815 .924 r
.50584 .55007 .50884 .55226 .5143 .5499 .51131 .54755 Metetra
.711 .802 .922 r
.51131 .54755 .5143 .5499 .51976 .54766 .51678 .54517 Metetra
.702 .79 .919 r
.51678 .54517 .51976 .54766 .52523 .54555 .52226 .54292 Metetra
.694 .78 .917 r
.52226 .54292 .52523 .54555 .53071 .54353 .52775 .54079 Metetra
.687 .771 .915 r
.52775 .54079 .53071 .54353 .5362 .54159 .53325 .53875 Metetra
.681 .764 .914 r
.53325 .53875 .5362 .54159 .5417 .5397 .53876 .5368 Metetra
.677 .758 .912 r
.53876 .5368 .5417 .5397 .54722 .53787 .54427 .53492 Metetra
.674 .754 .912 r
.54427 .53492 .54722 .53787 .55274 .53607 .54981 .53308 Metetra
.671 .751 .911 r
.54981 .53308 .55274 .53607 .55827 .53429 .55535 .53127 Metetra
.669 .749 .91 r
.55535 .53127 .55827 .53429 .56382 .53254 .5609 .52949 Metetra
.668 .747 .91 r
.5609 .52949 .56382 .53254 .56937 .53081 .56646 .52772 Metetra
.667 .745 .909 r
.56646 .52772 .56937 .53081 .57494 .52908 .57204 .52598 Metetra
.666 .744 .909 r
.57204 .52598 .57494 .52908 .58052 .52737 .57762 .52424 Metetra
.665 .743 .908 r
.57762 .52424 .58052 .52737 .58611 .52565 .58322 .52252 Metetra
.664 .742 .908 r
.58322 .52252 .58611 .52565 .59171 .52394 .58883 .52079 Metetra
.664 .742 .908 r
.58883 .52079 .59171 .52394 .59732 .52223 .59445 .51907 Metetra
.664 .742 .908 r
.59445 .51907 .59732 .52223 .60295 .52051 .60008 .51735 Metetra
.664 .742 .908 r
.60008 .51735 .60295 .52051 .60858 .5188 .60572 .51562 Metetra
.664 .742 .908 r
.60572 .51562 .60858 .5188 .61423 .51708 .61138 .5139 Metetra
.664 .741 .908 r
.61138 .5139 .61423 .51708 .61989 .51535 .61705 .51217 Metetra
.664 .741 .908 r
.61705 .51217 .61989 .51535 .62556 .51363 .62272 .51043 Metetra
.664 .741 .908 r
.62272 .51043 .62556 .51363 .63124 .5119 .62841 .5087 Metetra
.664 .741 .908 r
.62841 .5087 .63124 .5119 .63693 .51017 .63411 .50696 Metetra
.664 .741 .908 r
.63411 .50696 .63693 .51017 .64264 .50843 .63982 .50522 Metetra
.664 .741 .908 r
.63982 .50522 .64264 .50843 .64835 .50669 .64555 .50347 Metetra
.664 .741 .908 r
.64555 .50347 .64835 .50669 .65408 .50495 .65128 .50172 Metetra
.664 .741 .908 r
.65128 .50172 .65408 .50495 .65982 .5032 .65703 .49997 Metetra
.664 .741 .908 r
.65703 .49997 .65982 .5032 .66557 .50145 .66279 .49821 Metetra
.664 .741 .908 r
.66279 .49821 .66557 .50145 .67133 .4997 .66856 .49645 Metetra
.664 .741 .908 r
.66856 .49645 .67133 .4997 .67711 .49794 .67434 .49469 Metetra
.664 .741 .908 r
.67434 .49469 .67711 .49794 .6829 .49618 .68014 .49292 Metetra
.663 .741 .908 r
.68014 .49292 .6829 .49618 .68869 .49442 .68595 .49115 Metetra
.663 .741 .908 r
.68595 .49115 .68869 .49442 .6945 .49265 .69176 .48938 Metetra
.663 .741 .908 r
.69176 .48938 .6945 .49265 .70033 .49088 .69759 .4876 Metetra
.663 .741 .908 r
.69759 .4876 .70033 .49088 .70616 .48911 .70344 .48582 Metetra
.663 .741 .908 r
.70344 .48582 .70616 .48911 .71201 .48733 .70929 .48404 Metetra
.663 .741 .908 r
.70929 .48404 .71201 .48733 .71786 .48555 .71516 .48225 Metetra
.663 .741 .908 r
.71516 .48225 .71786 .48555 .72374 .48377 .72104 .48047 Metetra
.662 .742 .909 r
.72104 .48047 .72374 .48377 .72962 .48199 .72693 .47869 Metetra
.662 .742 .909 r
.72693 .47869 .72962 .48199 .73551 .48021 .73283 .47692 Metetra
.661 .742 .91 r
.73283 .47692 .73551 .48021 .74142 .47844 .73875 .47515 Metetra
.66 .742 .911 r
.73875 .47515 .74142 .47844 .74734 .47667 .74468 .47339 Metetra
.659 .743 .912 r
.74468 .47339 .74734 .47667 .75328 .47492 .75063 .47164 Metetra
.658 .743 .913 r
.75063 .47164 .75328 .47492 .75923 .47318 .75659 .46991 Metetra
.655 .744 .915 r
.75659 .46991 .75923 .47318 .76519 .47146 .76256 .46822 Metetra
.652 .745 .917 r
.76256 .46822 .76519 .47146 .77117 .46977 .76855 .46656 Metetra
.648 .746 .921 r
.76855 .46656 .77117 .46977 .77716 .46811 .77456 .46496 Metetra
.642 .748 .926 r
.77456 .46496 .77716 .46811 .78317 .46652 .78059 .46344 Metetra
.634 .75 .932 r
.78059 .46344 .78317 .46652 .78921 .46499 .78663 .462 Metetra
.625 .753 .939 r
.78663 .462 .78921 .46499 .79526 .46355 .7927 .46065 Metetra
.615 .757 .946 r
.7927 .46065 .79526 .46355 .80133 .46221 .7988 .45941 Metetra
.603 .76 .954 r
.7988 .45941 .80133 .46221 .80743 .46098 .80491 .45828 Metetra
.589 .762 .961 r
.80491 .45828 .80743 .46098 .81356 .45986 .81106 .45726 Metetra
.571 .764 .969 r
.81106 .45726 .81356 .45986 .81971 .45886 .81723 .45638 Metetra
.55 .764 .977 r
.81723 .45638 .81971 .45886 .82589 .45799 .82343 .45564 Metetra
.525 .765 .985 r
.82343 .45564 .82589 .45799 .8321 .45726 .82967 .45506 Metetra
.496 .764 .991 r
.82967 .45506 .8321 .45726 .83834 .45666 .83593 .45462 Metetra
.465 .763 .995 r
.83593 .45462 .83834 .45666 .84461 .45621 .84223 .4543 Metetra
.439 .762 .996 r
.84223 .4543 .84461 .45621 .85091 .45588 .84856 .45407 Metetra
.422 .762 .996 r
.84856 .45407 .85091 .45588 .85724 .45563 .8549 .45386 Metetra
.421 .766 .996 r
.8549 .45386 .85724 .45563 .8636 .45543 .86127 .45363 Metetra
.436 .771 .997 r
.86127 .45363 .8636 .45543 .86997 .4552 .86764 .45331 Metetra
.463 .777 .998 r
.86764 .45331 .86997 .4552 .87636 .45491 .87402 .45287 Metetra
.495 .781 .996 r
.87402 .45287 .87636 .45491 .88275 .45449 .88041 .45229 Metetra
.528 .783 .991 r
.88041 .45229 .88275 .45449 .88914 .45392 .8868 .45154 Metetra
.56 .783 .982 r
.8868 .45154 .88914 .45392 .89553 .45315 .89318 .4506 Metetra
.591 .782 .971 r
.89318 .4506 .89553 .45315 .90192 .45217 .89955 .44941 Metetra
.621 .779 .957 r
.89955 .44941 .90192 .45217 .90829 .45096 .90591 .44796 Metetra
.649 .773 .939 r
.90591 .44796 .90829 .45096 .91465 .44948 .91225 .44619 Metetra
.674 .763 .918 r
.91225 .44619 .91465 .44948 .92099 .4477 .91856 .44408 Metetra
.692 .75 .895 r
.91856 .44408 .92099 .4477 .92731 .44561 .92484 .44164 Metetra
.705 .735 .874 r
.92484 .44164 .92731 .44561 .9336 .4432 .9311 .43889 Metetra
.713 .721 .856 r
.9311 .43889 .9336 .4432 .93986 .44049 .93734 .43589 Metetra
.717 .709 .842 r
.93734 .43589 .93986 .44049 .9461 .43753 .94356 .43271 Metetra
.718 .701 .833 r
.94356 .43271 .9461 .43753 .95232 .43435 .94978 .4294 Metetra
.719 .696 .827 r
.94978 .4294 .95232 .43435 .95854 .43104 .95599 .42602 Metetra
.548 .603 .861 r
.3796 .59443 .3827 .59913 .38787 .59924 .38477 .59457 Metetra
.549 .606 .862 r
.38477 .59457 .38787 .59924 .39306 .59923 .38996 .5947 Metetra
.554 .615 .868 r
.38996 .5947 .39306 .59923 .39827 .59902 .39516 .59472 Metetra
.566 .631 .876 r
.39516 .59472 .39827 .59902 .4035 .59858 .40039 .59456 Metetra
.582 .653 .885 r
.40039 .59456 .4035 .59858 .40876 .59785 .40564 .59413 Metetra
.602 .677 .894 r
.40564 .59413 .40876 .59785 .41403 .59684 .41091 .5934 Metetra
.624 .702 .901 r
.41091 .5934 .41403 .59684 .41933 .59553 .41621 .59235 Metetra
.645 .725 .906 r
.41621 .59235 .41933 .59553 .42465 .59392 .42153 .59099 Metetra
.665 .746 .911 r
.42153 .59099 .42465 .59392 .42999 .59201 .42687 .58933 Metetra
.684 .768 .915 r
.42687 .58933 .42999 .59201 .43535 .58979 .43222 .58738 Metetra
.703 .791 .919 r
.43222 .58738 .43535 .58979 .44072 .58726 .4376 .58515 Metetra
.722 .816 .923 r
.4376 .58515 .44072 .58726 .44611 .58444 .44299 .58263 Metetra
.74 .841 .927 r
.44299 .58263 .44611 .58444 .45151 .58136 .44839 .57983 Metetra
.756 .864 .928 r
.44839 .57983 .45151 .58136 .45692 .5781 .4538 .57678 Metetra
.768 .88 .928 r
.4538 .57678 .45692 .5781 .46234 .57473 .45923 .57351 Metetra
.775 .889 .926 r
.45923 .57351 .46234 .57473 .46776 .57133 .46466 .57012 Metetra
.778 .891 .925 r
.46466 .57012 .46776 .57133 .47319 .56796 .4701 .56668 Metetra
.776 .886 .924 r
.4701 .56668 .47319 .56796 .47862 .56467 .47555 .56327 Metetra
.771 .877 .924 r
.47555 .56327 .47862 .56467 .48405 .5615 .48099 .55995 Metetra
.763 .866 .924 r
.48099 .55995 .48405 .5615 .48949 .55844 .48645 .55675 Metetra
.754 .856 .925 r
.48645 .55675 .48949 .55844 .49494 .55552 .4919 .5537 Metetra
.746 .845 .925 r
.4919 .5537 .49494 .55552 .50039 .55273 .49736 .55078 Metetra
.737 .836 .926 r
.49736 .55078 .50039 .55273 .50584 .55007 .50283 .54799 Metetra
.728 .826 .925 r
.50283 .54799 .50584 .55007 .51131 .54755 .5083 .54534 Metetra
.72 .815 .924 r
.5083 .54534 .51131 .54755 .51678 .54517 .51379 .54282 Metetra
.711 .803 .922 r
.51379 .54282 .51678 .54517 .52226 .54292 .51927 .54042 Metetra
.702 .792 .92 r
.51927 .54042 .52226 .54292 .52775 .54079 .52477 .53815 Metetra
.694 .781 .917 r
.52477 .53815 .52775 .54079 .53325 .53875 .53028 .536 Metetra
.687 .771 .915 r
.53028 .536 .53325 .53875 .53876 .5368 .5358 .53395 Metetra
.681 .763 .913 r
.5358 .53395 .53876 .5368 .54427 .53492 .54132 .53199 Metetra
.677 .758 .912 r
.54132 .53199 .54427 .53492 .54981 .53308 .54686 .5301 Metetra
.673 .754 .911 r
.54686 .5301 .54981 .53308 .55535 .53127 .55241 .52825 Metetra
.671 .751 .911 r
.55241 .52825 .55535 .53127 .5609 .52949 .55797 .52644 Metetra
.669 .749 .91 r
.55797 .52644 .5609 .52949 .56646 .52772 .56354 .52465 Metetra
.668 .747 .91 r
.56354 .52465 .56646 .52772 .57204 .52598 .56912 .52288 Metetra
.667 .745 .909 r
.56912 .52288 .57204 .52598 .57762 .52424 .57472 .52112 Metetra
.666 .744 .909 r
.57472 .52112 .57762 .52424 .58322 .52252 .58032 .51938 Metetra
.665 .743 .908 r
.58032 .51938 .58322 .52252 .58883 .52079 .58594 .51764 Metetra
.664 .742 .908 r
.58594 .51764 .58883 .52079 .59445 .51907 .59157 .5159 Metetra
.664 .742 .908 r
.59157 .5159 .59445 .51907 .60008 .51735 .5972 .51417 Metetra
.664 .742 .908 r
.5972 .51417 .60008 .51735 .60572 .51562 .60286 .51244 Metetra
.664 .741 .908 r
.60286 .51244 .60572 .51562 .61138 .5139 .60852 .51071 Metetra
.664 .741 .908 r
.60852 .51071 .61138 .5139 .61705 .51217 .61419 .50897 Metetra
.664 .741 .908 r
.61419 .50897 .61705 .51217 .62272 .51043 .61988 .50723 Metetra
.664 .741 .908 r
.61988 .50723 .62272 .51043 .62841 .5087 .62557 .50549 Metetra
.664 .741 .908 r
.62557 .50549 .62841 .5087 .63411 .50696 .63128 .50374 Metetra
.664 .741 .908 r
.63128 .50374 .63411 .50696 .63982 .50522 .637 .50199 Metetra
.664 .741 .908 r
.637 .50199 .63982 .50522 .64555 .50347 .64273 .50024 Metetra
.664 .741 .908 r
.64273 .50024 .64555 .50347 .65128 .50172 .64848 .49848 Metetra
.664 .741 .908 r
.64848 .49848 .65128 .50172 .65703 .49997 .65423 .49672 Metetra
.664 .741 .908 r
.65423 .49672 .65703 .49997 .66279 .49821 .66 .49496 Metetra
.664 .741 .908 r
.66 .49496 .66279 .49821 .66856 .49645 .66578 .49319 Metetra
.664 .741 .908 r
.66578 .49319 .66856 .49645 .67434 .49469 .67157 .49142 Metetra
.664 .741 .908 r
.67157 .49142 .67434 .49469 .68014 .49292 .67737 .48965 Metetra
.664 .741 .908 r
.67737 .48965 .68014 .49292 .68595 .49115 .68319 .48787 Metetra
.663 .741 .908 r
.68319 .48787 .68595 .49115 .69176 .48938 .68901 .48609 Metetra
.663 .741 .908 r
.68901 .48609 .69176 .48938 .69759 .4876 .69485 .48431 Metetra
.663 .741 .908 r
.69485 .48431 .69759 .4876 .70344 .48582 .7007 .48252 Metetra
.663 .741 .908 r
.7007 .48252 .70344 .48582 .70929 .48404 .70657 .48074 Metetra
.663 .741 .908 r
.70657 .48074 .70929 .48404 .71516 .48225 .71244 .47895 Metetra
.662 .742 .909 r
.71244 .47895 .71516 .48225 .72104 .48047 .71833 .47717 Metetra
.662 .742 .909 r
.71833 .47717 .72104 .48047 .72693 .47869 .72423 .47539 Metetra
.661 .742 .91 r
.72423 .47539 .72693 .47869 .73283 .47692 .73014 .47362 Metetra
.661 .742 .911 r
.73014 .47362 .73283 .47692 .73875 .47515 .73607 .47185 Metetra
.659 .743 .912 r
.73607 .47185 .73875 .47515 .74468 .47339 .74201 .4701 Metetra
.658 .743 .913 r
.74201 .4701 .74468 .47339 .75063 .47164 .74797 .46836 Metetra
.655 .743 .915 r
.74797 .46836 .75063 .47164 .75659 .46991 .75394 .46666 Metetra
.652 .744 .917 r
.75394 .46666 .75659 .46991 .76256 .46822 .75992 .46501 Metetra
.647 .746 .921 r
.75992 .46501 .76256 .46822 .76855 .46656 .76593 .46341 Metetra
.641 .748 .926 r
.76593 .46341 .76855 .46656 .77456 .46496 .77195 .46189 Metetra
.634 .751 .932 r
.77195 .46189 .77456 .46496 .78059 .46344 .77799 .46045 Metetra
.626 .754 .939 r
.77799 .46045 .78059 .46344 .78663 .462 .78406 .45909 Metetra
.616 .757 .946 r
.78406 .45909 .78663 .462 .7927 .46065 .79014 .45783 Metetra
.605 .759 .953 r
.79014 .45783 .7927 .46065 .7988 .45941 .79626 .45668 Metetra
.591 .761 .96 r
.79626 .45668 .7988 .45941 .80491 .45828 .80239 .45565 Metetra
.573 .762 .968 r
.80239 .45565 .80491 .45828 .81106 .45726 .80856 .45476 Metetra
.55 .763 .976 r
.80856 .45476 .81106 .45726 .81723 .45638 .81476 .45403 Metetra
.523 .764 .985 r
.81476 .45403 .81723 .45638 .82343 .45564 .82098 .45346 Metetra
.491 .764 .992 r
.82098 .45346 .82343 .45564 .82967 .45506 .82725 .45304 Metetra
.459 .763 .995 r
.82725 .45304 .82967 .45506 .83593 .45462 .83354 .45274 Metetra
.434 .763 .996 r
.83354 .45274 .83593 .45462 .84223 .4543 .83985 .45251 Metetra
.422 .764 .996 r
.83985 .45251 .84223 .4543 .84856 .45407 .84619 .45228 Metetra
.426 .767 .996 r
.84619 .45228 .84856 .45407 .8549 .45386 .85254 .45202 Metetra
.444 .772 .997 r
.85254 .45202 .8549 .45386 .86127 .45363 .85891 .45168 Metetra
.469 .776 .997 r
.85891 .45168 .86127 .45363 .86764 .45331 .86528 .45123 Metetra
.497 .779 .995 r
.86528 .45123 .86764 .45331 .87402 .45287 .87167 .45067 Metetra
.525 .781 .991 r
.87167 .45067 .87402 .45287 .88041 .45229 .87805 .44995 Metetra
.554 .783 .984 r
.87805 .44995 .88041 .45229 .8868 .45154 .88443 .44905 Metetra
.585 .784 .975 r
.88443 .44905 .8868 .45154 .89318 .4506 .8908 .4479 Metetra
.618 .783 .961 r
.8908 .4479 .89318 .4506 .89955 .44941 .89716 .44646 Metetra
.65 .777 .941 r
.89716 .44646 .89955 .44941 .90591 .44796 .90349 .44468 Metetra
.676 .764 .917 r
.90349 .44468 .90591 .44796 .91225 .44619 .9098 .44253 Metetra
.695 .748 .893 r
.9098 .44253 .91225 .44619 .91856 .44408 .91607 .44004 Metetra
.706 .732 .871 r
.91607 .44004 .91856 .44408 .92484 .44164 .92232 .43726 Metetra
.713 .717 .853 r
.92232 .43726 .92484 .44164 .9311 .43889 .92856 .43424 Metetra
.716 .707 .841 r
.92856 .43424 .9311 .43889 .93734 .43589 .93478 .43106 Metetra
.717 .7 .833 r
.93478 .43106 .93734 .43589 .94356 .43271 .941 .42777 Metetra
.718 .697 .829 r
.941 .42777 .94356 .43271 .94978 .4294 .94722 .42442 Metetra
.719 .696 .827 r
.94722 .42442 .94978 .4294 .95599 .42602 .95344 .42102 Metetra
.553 .61 .864 r
.3765 .5898 .3796 .59443 .38477 .59457 .38167 .58985 Metetra
.549 .604 .86 r
.38167 .58985 .38477 .59457 .38996 .5947 .38686 .58997 Metetra
.549 .603 .86 r
.38686 .58997 .38996 .5947 .39516 .59472 .39206 .5901 Metetra
.553 .61 .865 r
.39206 .5901 .39516 .59472 .40039 .59456 .39728 .59015 Metetra
.563 .626 .872 r
.39728 .59015 .40039 .59456 .40564 .59413 .40252 .59004 Metetra
.579 .649 .883 r
.40252 .59004 .40564 .59413 .41091 .5934 .40779 .58965 Metetra
.6 .676 .894 r
.40779 .58965 .41091 .5934 .41621 .59235 .41308 .58894 Metetra
.624 .705 .903 r
.41308 .58894 .41621 .59235 .42153 .59099 .41839 .58788 Metetra
.648 .731 .91 r
.41839 .58788 .42153 .59099 .42687 .58933 .42373 .58646 Metetra
.669 .753 .913 r
.42373 .58646 .42687 .58933 .43222 .58738 .42909 .58474 Metetra
.688 .772 .916 r
.42909 .58474 .43222 .58738 .4376 .58515 .43446 .58273 Metetra
.705 .792 .918 r
.43446 .58273 .4376 .58515 .44299 .58263 .43986 .58046 Metetra
.722 .813 .922 r
.43986 .58046 .44299 .58263 .44839 .57983 .44526 .57794 Metetra
.738 .836 .925 r
.44526 .57794 .44839 .57983 .4538 .57678 .45068 .57516 Metetra
.753 .858 .927 r
.45068 .57516 .4538 .57678 .45923 .57351 .45611 .57214 Metetra
.766 .878 .928 r
.45611 .57214 .45923 .57351 .46466 .57012 .46155 .5689 Metetra
.775 .89 .927 r
.46155 .5689 .46466 .57012 .4701 .56668 .467 .56551 Metetra
.779 .894 .926 r
.467 .56551 .4701 .56668 .47555 .56327 .47246 .56204 Metetra
.778 .89 .925 r
.47246 .56204 .47555 .56327 .48099 .55995 .47792 .55859 Metetra
.773 .881 .925 r
.47792 .55859 .48099 .55995 .48645 .55675 .48338 .55522 Metetra
.765 .868 .924 r
.48338 .55522 .48645 .55675 .4919 .5537 .48885 .55198 Metetra
.755 .855 .924 r
.48885 .55198 .4919 .5537 .49736 .55078 .49433 .54891 Metetra
.745 .843 .925 r
.49433 .54891 .49736 .55078 .50283 .54799 .4998 .54599 Metetra
.735 .833 .925 r
.4998 .54599 .50283 .54799 .5083 .54534 .50529 .54322 Metetra
.727 .823 .925 r
.50529 .54322 .5083 .54534 .51379 .54282 .51078 .54058 Metetra
.719 .814 .924 r
.51078 .54058 .51379 .54282 .51927 .54042 .51628 .53806 Metetra
.711 .804 .923 r
.51628 .53806 .51927 .54042 .52477 .53815 .52179 .53565 Metetra
.703 .793 .921 r
.52179 .53565 .52477 .53815 .53028 .536 .5273 .53337 Metetra
.695 .782 .918 r
.5273 .53337 .53028 .536 .5358 .53395 .53283 .5312 Metetra
.688 .772 .916 r
.53283 .5312 .5358 .53395 .54132 .53199 .53836 .52913 Metetra
.682 .764 .913 r
.53836 .52913 .54132 .53199 .54686 .5301 .54391 .52715 Metetra
.677 .758 .912 r
.54391 .52715 .54686 .5301 .55241 .52825 .54946 .52525 Metetra
.673 .753 .911 r
.54946 .52525 .55241 .52825 .55797 .52644 .55503 .5234 Metetra
.671 .75 .91 r
.55503 .5234 .55797 .52644 .56354 .52465 .56061 .52158 Metetra
.669 .748 .91 r
.56061 .52158 .56354 .52465 .56912 .52288 .5662 .51979 Metetra
.668 .747 .91 r
.5662 .51979 .56912 .52288 .57472 .52112 .5718 .51801 Metetra
.667 .746 .909 r
.5718 .51801 .57472 .52112 .58032 .51938 .57741 .51624 Metetra
.666 .744 .909 r
.57741 .51624 .58032 .51938 .58594 .51764 .58303 .51448 Metetra
.665 .743 .909 r
.58303 .51448 .58594 .51764 .59157 .5159 .58867 .51273 Metetra
.665 .743 .908 r
.58867 .51273 .59157 .5159 .5972 .51417 .59432 .51099 Metetra
.664 .742 .908 r
.59432 .51099 .5972 .51417 .60286 .51244 .59997 .50924 Metetra
.664 .742 .908 r
.59997 .50924 .60286 .51244 .60852 .51071 .60564 .5075 Metetra
.664 .741 .908 r
.60564 .5075 .60852 .51071 .61419 .50897 .61133 .50576 Metetra
.664 .741 .908 r
.61133 .50576 .61419 .50897 .61988 .50723 .61702 .50401 Metetra
.664 .741 .908 r
.61702 .50401 .61988 .50723 .62557 .50549 .62272 .50226 Metetra
.664 .741 .908 r
.62272 .50226 .62557 .50549 .63128 .50374 .62844 .50051 Metetra
.664 .741 .908 r
.62844 .50051 .63128 .50374 .637 .50199 .63417 .49875 Metetra
.664 .741 .908 r
.63417 .49875 .637 .50199 .64273 .50024 .63991 .49699 Metetra
.664 .741 .908 r
.63991 .49699 .64273 .50024 .64848 .49848 .64566 .49523 Metetra
.664 .741 .908 r
.64566 .49523 .64848 .49848 .65423 .49672 .65142 .49347 Metetra
.664 .741 .908 r
.65142 .49347 .65423 .49672 .66 .49496 .6572 .4917 Metetra
.664 .741 .908 r
.6572 .4917 .66 .49496 .66578 .49319 .66298 .48992 Metetra
.664 .741 .908 r
.66298 .48992 .66578 .49319 .67157 .49142 .66878 .48815 Metetra
.664 .741 .908 r
.66878 .48815 .67157 .49142 .67737 .48965 .67459 .48637 Metetra
.664 .741 .908 r
.67459 .48637 .67737 .48965 .68319 .48787 .68042 .48458 Metetra
.663 .741 .908 r
.68042 .48458 .68319 .48787 .68901 .48609 .68625 .48279 Metetra
.663 .741 .908 r
.68625 .48279 .68901 .48609 .69485 .48431 .6921 .48101 Metetra
.663 .741 .908 r
.6921 .48101 .69485 .48431 .7007 .48252 .69796 .47922 Metetra
.663 .741 .909 r
.69796 .47922 .7007 .48252 .70657 .48074 .70383 .47743 Metetra
.662 .742 .909 r
.70383 .47743 .70657 .48074 .71244 .47895 .70972 .47565 Metetra
.662 .742 .909 r
.70972 .47565 .71244 .47895 .71833 .47717 .71561 .47386 Metetra
.662 .742 .91 r
.71561 .47386 .71833 .47717 .72423 .47539 .72152 .47208 Metetra
.661 .742 .91 r
.72152 .47208 .72423 .47539 .73014 .47362 .72744 .47031 Metetra
.66 .742 .911 r
.72744 .47031 .73014 .47362 .73607 .47185 .73338 .46855 Metetra
.658 .743 .912 r
.73338 .46855 .73607 .47185 .74201 .4701 .73933 .46681 Metetra
.655 .743 .914 r
.73933 .46681 .74201 .4701 .74797 .46836 .7453 .46511 Metetra
.652 .744 .918 r
.7453 .46511 .74797 .46836 .75394 .46666 .75128 .46346 Metetra
.647 .746 .922 r
.75128 .46346 .75394 .46666 .75992 .46501 .75728 .46186 Metetra
.641 .749 .927 r
.75728 .46186 .75992 .46501 .76593 .46341 .7633 .46034 Metetra
.634 .752 .933 r
.7633 .46034 .76593 .46341 .77195 .46189 .76934 .45889 Metetra
.627 .755 .939 r
.76934 .45889 .77195 .46189 .77799 .46045 .7754 .45752 Metetra
.618 .757 .945 r
.7754 .45752 .77799 .46045 .78406 .45909 .78148 .45624 Metetra
.607 .758 .951 r
.78148 .45624 .78406 .45909 .79014 .45783 .78758 .45507 Metetra
.592 .76 .958 r
.78758 .45507 .79014 .45783 .79626 .45668 .79371 .45403 Metetra
.573 .761 .967 r
.79371 .45403 .79626 .45668 .80239 .45565 .79987 .45314 Metetra
.548 .762 .977 r
.79987 .45314 .80239 .45565 .80856 .45476 .80606 .45243 Metetra
.518 .764 .986 r
.80606 .45243 .80856 .45476 .81476 .45403 .81229 .45189 Metetra
.484 .764 .993 r
.81229 .45189 .81476 .45403 .82098 .45346 .81854 .45149 Metetra
.454 .765 .996 r
.81854 .45149 .82098 .45346 .82725 .45304 .82483 .45119 Metetra
.433 .765 .996 r
.82483 .45119 .82725 .45304 .83354 .45274 .83113 .45094 Metetra
.427 .766 .996 r
.83113 .45094 .83354 .45274 .83985 .45251 .83746 .45068 Metetra
.436 .769 .997 r
.83746 .45068 .83985 .45251 .84619 .45228 .8438 .45038 Metetra
.453 .771 .997 r
.8438 .45038 .84619 .45228 .85254 .45202 .85016 .45002 Metetra
.473 .773 .996 r
.85016 .45002 .85254 .45202 .85891 .45168 .85653 .44958 Metetra
.493 .775 .995 r
.85653 .44958 .85891 .45168 .86528 .45123 .8629 .44905 Metetra
.515 .779 .992 r
.8629 .44905 .86528 .45123 .87167 .45067 .86929 .44839 Metetra
.543 .784 .988 r
.86929 .44839 .87167 .45067 .87805 .44995 .87567 .44754 Metetra
.578 .789 .979 r
.87567 .44754 .87805 .44995 .88443 .44905 .88204 .44642 Metetra
.616 .788 .964 r
.88204 .44642 .88443 .44905 .8908 .4479 .88839 .44497 Metetra
.652 .779 .941 r
.88839 .44497 .8908 .4479 .89716 .44646 .89471 .44314 Metetra
.679 .764 .915 r
.89471 .44314 .89716 .44646 .90349 .44468 .90101 .44094 Metetra
.697 .745 .888 r
.90101 .44094 .90349 .44468 .9098 .44253 .90728 .4384 Metetra
.706 .727 .867 r
.90728 .4384 .9098 .44253 .91607 .44004 .91352 .43558 Metetra
.711 .714 .851 r
.91352 .43558 .91607 .44004 .92232 .43726 .91976 .43257 Metetra
.714 .705 .84 r
.91976 .43257 .92232 .43726 .92856 .43424 .92599 .42942 Metetra
.716 .701 .835 r
.92599 .42942 .92856 .43424 .93478 .43106 .93221 .42618 Metetra
.718 .699 .831 r
.93221 .42618 .93478 .43106 .941 .42777 .93843 .42286 Metetra
.72 .699 .83 r
.93843 .42286 .941 .42777 .94722 .42442 .94466 .41947 Metetra
.722 .699 .828 r
.94466 .41947 .94722 .42442 .95344 .42102 .95088 .41601 Metetra
.561 .623 .872 r
.37337 .58538 .3765 .5898 .38167 .58985 .37856 .58529 Metetra
.557 .615 .867 r
.37856 .58529 .38167 .58985 .38686 .58997 .38375 .58528 Metetra
.553 .608 .862 r
.38375 .58528 .38686 .58997 .39206 .5901 .38896 .58534 Metetra
.551 .604 .86 r
.38896 .58534 .39206 .5901 .39728 .59015 .39418 .58544 Metetra
.552 .607 .861 r
.39418 .58544 .39728 .59015 .40252 .59004 .39941 .5855 Metetra
.56 .619 .868 r
.39941 .5855 .40252 .59004 .40779 .58965 .40467 .58544 Metetra
.575 .641 .879 r
.40467 .58544 .40779 .58965 .41308 .58894 .40995 .58512 Metetra
.596 .671 .892 r
.40995 .58512 .41308 .58894 .41839 .58788 .41526 .58446 Metetra
.622 .705 .904 r
.41526 .58446 .41839 .58788 .42373 .58646 .42059 .58341 Metetra
.649 .736 .913 r
.42059 .58341 .42373 .58646 .42909 .58474 .42595 .58197 Metetra
.673 .762 .917 r
.42595 .58197 .42909 .58474 .43446 .58273 .43132 .58017 Metetra
.693 .781 .918 r
.43132 .58017 .43446 .58273 .43986 .58046 .43672 .57808 Metetra
.709 .796 .919 r
.43672 .57808 .43986 .58046 .44526 .57794 .44213 .57574 Metetra
.723 .812 .92 r
.44213 .57574 .44526 .57794 .45068 .57516 .44755 .57318 Metetra
.737 .83 .923 r
.44755 .57318 .45068 .57516 .45611 .57214 .45299 .57041 Metetra
.75 .851 .925 r
.45299 .57041 .45611 .57214 .46155 .5689 .45843 .56743 Metetra
.762 .871 .927 r
.45843 .56743 .46155 .5689 .467 .56551 .46389 .56424 Metetra
.772 .887 .927 r
.46389 .56424 .467 .56551 .47246 .56204 .46936 .56087 Metetra
.778 .896 .927 r
.46936 .56087 .47246 .56204 .47792 .55859 .47483 .5574 Metetra
.779 .895 .926 r
.47483 .5574 .47792 .55859 .48338 .55522 .48031 .55391 Metetra
.775 .887 .925 r
.48031 .55391 .48338 .55522 .48885 .55198 .48579 .55049 Metetra
.767 .873 .925 r
.48579 .55049 .48885 .55198 .49433 .54891 .49127 .5472 Metetra
.756 .857 .924 r
.49127 .5472 .49433 .54891 .4998 .54599 .49677 .54409 Metetra
.745 .842 .924 r
.49677 .54409 .4998 .54599 .50529 .54322 .50226 .54116 Metetra
.734 .829 .924 r
.50226 .54116 .50529 .54322 .51078 .54058 .50776 .53839 Metetra
.725 .819 .923 r
.50776 .53839 .51078 .54058 .51628 .53806 .51327 .53577 Metetra
.717 .811 .923 r
.51327 .53577 .51628 .53806 .52179 .53565 .51879 .53326 Metetra
.71 .803 .923 r
.51879 .53326 .52179 .53565 .5273 .53337 .52431 .53086 Metetra
.703 .794 .921 r
.52431 .53086 .5273 .53337 .53283 .5312 .52984 .52857 Metetra
.696 .784 .919 r
.52984 .52857 .53283 .5312 .53836 .52913 .53539 .52638 Metetra
.689 .774 .916 r
.53539 .52638 .53836 .52913 .54391 .52715 .54094 .52429 Metetra
.682 .765 .914 r
.54094 .52429 .54391 .52715 .54946 .52525 .5465 .52229 Metetra
.677 .758 .912 r
.5465 .52229 .54946 .52525 .55503 .5234 .55208 .52037 Metetra
.673 .753 .911 r
.55208 .52037 .55503 .5234 .56061 .52158 .55766 .51851 Metetra
.67 .749 .91 r
.55766 .51851 .56061 .52158 .5662 .51979 .56326 .51669 Metetra
.668 .747 .91 r
.56326 .51669 .5662 .51979 .5718 .51801 .56887 .51489 Metetra
.667 .746 .909 r
.56887 .51489 .5718 .51801 .57741 .51624 .57449 .51311 Metetra
.666 .745 .909 r
.57449 .51311 .57741 .51624 .58303 .51448 .58012 .51133 Metetra
.666 .745 .909 r
.58012 .51133 .58303 .51448 .58867 .51273 .58576 .50956 Metetra
.665 .744 .909 r
.58576 .50956 .58867 .51273 .59432 .51099 .59142 .5078 Metetra
.665 .743 .908 r
.59142 .5078 .59432 .51099 .59997 .50924 .59708 .50604 Metetra
.664 .742 .908 r
.59708 .50604 .59997 .50924 .60564 .5075 .60276 .50429 Metetra
.664 .742 .908 r
.60276 .50429 .60564 .5075 .61133 .50576 .60845 .50254 Metetra
.664 .741 .908 r
.60845 .50254 .61133 .50576 .61702 .50401 .61415 .50078 Metetra
.664 .741 .908 r
.61415 .50078 .61702 .50401 .62272 .50226 .61986 .49903 Metetra
.664 .741 .908 r
.61986 .49903 .62272 .50226 .62844 .50051 .62559 .49727 Metetra
.664 .741 .908 r
.62559 .49727 .62844 .50051 .63417 .49875 .63132 .49551 Metetra
.664 .741 .908 r
.63132 .49551 .63417 .49875 .63991 .49699 .63707 .49374 Metetra
.664 .741 .908 r
.63707 .49374 .63991 .49699 .64566 .49523 .64283 .49197 Metetra
.664 .741 .908 r
.64283 .49197 .64566 .49523 .65142 .49347 .6486 .4902 Metetra
.664 .741 .908 r
.6486 .4902 .65142 .49347 .6572 .4917 .65439 .48842 Metetra
.664 .741 .908 r
.65439 .48842 .6572 .4917 .66298 .48992 .66018 .48664 Metetra
.664 .741 .908 r
.66018 .48664 .66298 .48992 .66878 .48815 .66599 .48486 Metetra
.664 .741 .908 r
.66599 .48486 .66878 .48815 .67459 .48637 .67181 .48307 Metetra
.663 .741 .908 r
.67181 .48307 .67459 .48637 .68042 .48458 .67764 .48128 Metetra
.663 .741 .908 r
.67764 .48128 .68042 .48458 .68625 .48279 .68348 .47949 Metetra
.663 .741 .908 r
.68348 .47949 .68625 .48279 .6921 .48101 .68934 .4777 Metetra
.663 .742 .909 r
.68934 .4777 .6921 .48101 .69796 .47922 .6952 .47591 Metetra
.662 .742 .909 r
.6952 .47591 .69796 .47922 .70383 .47743 .70109 .47412 Metetra
.662 .742 .909 r
.70109 .47412 .70383 .47743 .70972 .47565 .70698 .47233 Metetra
.662 .742 .91 r
.70698 .47233 .70972 .47565 .71561 .47386 .71288 .47054 Metetra
.661 .742 .91 r
.71288 .47054 .71561 .47386 .72152 .47208 .7188 .46876 Metetra
.66 .742 .911 r
.7188 .46876 .72152 .47208 .72744 .47031 .72473 .467 Metetra
.658 .742 .912 r
.72473 .467 .72744 .47031 .73338 .46855 .73068 .46526 Metetra
.655 .743 .915 r
.73068 .46526 .73338 .46855 .73933 .46681 .73664 .46356 Metetra
.651 .745 .918 r
.73664 .46356 .73933 .46681 .7453 .46511 .74262 .46191 Metetra
.646 .747 .923 r
.74262 .46191 .7453 .46511 .75128 .46346 .74862 .46032 Metetra
.641 .75 .928 r
.74862 .46032 .75128 .46346 .75728 .46186 .75463 .45879 Metetra
.635 .752 .933 r
.75463 .45879 .75728 .46186 .7633 .46034 .76067 .45733 Metetra
.628 .754 .938 r
.76067 .45733 .7633 .46034 .76934 .45889 .76672 .45594 Metetra
.62 .756 .943 r
.76672 .45594 .76934 .45889 .7754 .45752 .77279 .45463 Metetra
.608 .757 .949 r
.77279 .45463 .7754 .45752 .78148 .45624 .77889 .45344 Metetra
.593 .758 .957 r
.77889 .45344 .78148 .45624 .78758 .45507 .78501 .45241 Metetra
.571 .759 .967 r
.78501 .45241 .78758 .45507 .79371 .45403 .79117 .45154 Metetra
.543 .762 .978 r
.79117 .45154 .79371 .45403 .79987 .45314 .79736 .45086 Metetra
.511 .765 .988 r
.79736 .45086 .79987 .45314 .80606 .45243 .80358 .45034 Metetra
.478 .766 .994 r
.80358 .45034 .80606 .45243 .81229 .45189 .80983 .44995 Metetra
.452 .767 .997 r
.80983 .44995 .81229 .45189 .81854 .45149 .8161 .44963 Metetra
.439 .768 .997 r
.8161 .44963 .81854 .45149 .82483 .45119 .8224 .44933 Metetra
.44 .769 .997 r
.8224 .44933 .82483 .45119 .83113 .45094 .82871 .44903 Metetra
.449 .769 .997 r
.82871 .44903 .83113 .45094 .83746 .45068 .83504 .44869 Metetra
.46 .769 .996 r
.83504 .44869 .83746 .45068 .8438 .45038 .84139 .44833 Metetra
.471 .769 .996 r
.84139 .44833 .8438 .45038 .85016 .45002 .84776 .44794 Metetra
.482 .772 .995 r
.84776 .44794 .85016 .45002 .85653 .44958 .85413 .44747 Metetra
.5 .779 .995 r
.85413 .44747 .85653 .44958 .8629 .44905 .86052 .44688 Metetra
.531 .788 .992 r
.86052 .44688 .8629 .44905 .86929 .44839 .8669 .44607 Metetra
.573 .795 .983 r
.8669 .44607 .86929 .44839 .87567 .44754 .87326 .44495 Metetra
.619 .793 .965 r
.87326 .44495 .87567 .44754 .88204 .44642 .8796 .44345 Metetra
.657 .78 .939 r
.8796 .44345 .88204 .44642 .88839 .44497 .88592 .44156 Metetra
.683 .759 .909 r
.88592 .44156 .88839 .44497 .89471 .44314 .8922 .43928 Metetra
.698 .739 .883 r
.8922 .43928 .89471 .44314 .90101 .44094 .89846 .4367 Metetra
.705 .722 .863 r
.89846 .4367 .90101 .44094 .90728 .4384 .90471 .43389 Metetra
.709 .711 .85 r
.90471 .43389 .90728 .4384 .91352 .43558 .91095 .43092 Metetra
.712 .705 .842 r
.91095 .43092 .91352 .43558 .91976 .43257 .91718 .42783 Metetra
.715 .704 .838 r
.91718 .42783 .91976 .43257 .92599 .42942 .92341 .42464 Metetra
.718 .704 .835 r
.92341 .42464 .92599 .42942 .93221 .42618 .92964 .42134 Metetra
.722 .703 .832 r
.92964 .42134 .93221 .42618 .93843 .42286 .93586 .41793 Metetra
.724 .701 .828 r
.93586 .41793 .93843 .42286 .94466 .41947 .94208 .41442 Metetra
.724 .697 .823 r
.94208 .41442 .94466 .41947 .95088 .41601 .9483 .41086 Metetra
.563 .631 .877 r
.37023 .58108 .37337 .58538 .37856 .58529 .37542 .58094 Metetra
.561 .628 .875 r
.37542 .58094 .37856 .58529 .38375 .58528 .38062 .58082 Metetra
.56 .622 .871 r
.38062 .58082 .38375 .58528 .38896 .58534 .38584 .58074 Metetra
.557 .615 .866 r
.38584 .58074 .38896 .58534 .39418 .58544 .39106 .58071 Metetra
.555 .608 .861 r
.39106 .58071 .39418 .58544 .39941 .5855 .39631 .58074 Metetra
.555 .607 .86 r
.39631 .58074 .39941 .5855 .40467 .58544 .40156 .58078 Metetra
.559 .614 .864 r
.40156 .58078 .40467 .58544 .40995 .58512 .40684 .58073 Metetra
.571 .632 .874 r
.40684 .58073 .40995 .58512 .41526 .58446 .41213 .58049 Metetra
.59 .662 .888 r
.41213 .58049 .41526 .58446 .42059 .58341 .41745 .57992 Metetra
.617 .699 .903 r
.41745 .57992 .42059 .58341 .42595 .58197 .4228 .57893 Metetra
.647 .738 .915 r
.4228 .57893 .42595 .58197 .43132 .58017 .42817 .5775 Metetra
.676 .77 .922 r
.42817 .5775 .43132 .58017 .43672 .57808 .43357 .57566 Metetra
.699 .793 .923 r
.43357 .57566 .43672 .57808 .44213 .57574 .43898 .57347 Metetra
.716 .807 .922 r
.43898 .57347 .44213 .57574 .44755 .57318 .44441 .57102 Metetra
.728 .817 .92 r
.44441 .57102 .44755 .57318 .45299 .57041 .44985 .56838 Metetra
.738 .828 .921 r
.44985 .56838 .45299 .57041 .45843 .56743 .45531 .56559 Metetra
.748 .843 .923 r
.45531 .56559 .45843 .56743 .46389 .56424 .46077 .56263 Metetra
.758 .862 .925 r
.46077 .56263 .46389 .56424 .46936 .56087 .46624 .55949 Metetra
.768 .88 .927 r
.46624 .55949 .46936 .56087 .47483 .5574 .47172 .55619 Metetra
.775 .893 .927 r
.47172 .55619 .47483 .5574 .48031 .55391 .47721 .55275 Metetra
.779 .898 .927 r
.47721 .55275 .48031 .55391 .48579 .55049 .48271 .54925 Metetra
.777 .893 .926 r
.48271 .54925 .48579 .55049 .49127 .5472 .48821 .54578 Metetra
.77 .88 .926 r
.48821 .54578 .49127 .5472 .49677 .54409 .49371 .54243 Metetra
.759 .862 .925 r
.49371 .54243 .49677 .54409 .50226 .54116 .49922 .53926 Metetra
.747 .843 .924 r
.49922 .53926 .50226 .54116 .50776 .53839 .50473 .53629 Metetra
.734 .827 .922 r
.50473 .53629 .50776 .53839 .51327 .53577 .51025 .53352 Metetra
.724 .815 .922 r
.51025 .53352 .51327 .53577 .51879 .53326 .51577 .5309 Metetra
.715 .807 .922 r
.51577 .5309 .51879 .53326 .52431 .53086 .52131 .52842 Metetra
.708 .8 .922 r
.52131 .52842 .52431 .53086 .52984 .52857 .52685 .52604 Metetra
.702 .793 .921 r
.52685 .52604 .52984 .52857 .53539 .52638 .5324 .52375 Metetra
.696 .785 .92 r
.5324 .52375 .53539 .52638 .54094 .52429 .53796 .52155 Metetra
.689 .776 .917 r
.53796 .52155 .54094 .52429 .5465 .52229 .54353 .51944 Metetra
.683 .767 .915 r
.54353 .51944 .5465 .52229 .55208 .52037 .54912 .51741 Metetra
.678 .759 .912 r
.54912 .51741 .55208 .52037 .55766 .51851 .55471 .51547 Metetra
.673 .753 .911 r
.55471 .51547 .55766 .51851 .56326 .51669 .56031 .51359 Metetra
.67 .749 .91 r
.56031 .51359 .56326 .51669 .56887 .51489 .56593 .51176 Metetra
.668 .747 .909 r
.56593 .51176 .56887 .51489 .57449 .51311 .57156 .50996 Metetra
.667 .745 .909 r
.57156 .50996 .57449 .51311 .58012 .51133 .5772 .50817 Metetra
.666 .745 .909 r
.5772 .50817 .58012 .51133 .58576 .50956 .58285 .50639 Metetra
.666 .744 .909 r
.58285 .50639 .58576 .50956 .59142 .5078 .58851 .50462 Metetra
.665 .744 .909 r
.58851 .50462 .59142 .5078 .59708 .50604 .59418 .50284 Metetra
.665 .743 .909 r
.59418 .50284 .59708 .50604 .60276 .50429 .59987 .50107 Metetra
.664 .742 .908 r
.59987 .50107 .60276 .50429 .60845 .50254 .60556 .49931 Metetra
.664 .742 .908 r
.60556 .49931 .60845 .50254 .61415 .50078 .61127 .49754 Metetra
.664 .741 .908 r
.61127 .49754 .61415 .50078 .61986 .49903 .61699 .49578 Metetra
.664 .741 .908 r
.61699 .49578 .61986 .49903 .62559 .49727 .62272 .49401 Metetra
.664 .741 .908 r
.62272 .49401 .62559 .49727 .63132 .49551 .62847 .49224 Metetra
.664 .741 .908 r
.62847 .49224 .63132 .49551 .63707 .49374 .63422 .49047 Metetra
.664 .741 .908 r
.63422 .49047 .63707 .49374 .64283 .49197 .63999 .48869 Metetra
.664 .741 .908 r
.63999 .48869 .64283 .49197 .6486 .4902 .64577 .48691 Metetra
.664 .741 .908 r
.64577 .48691 .6486 .4902 .65439 .48842 .65156 .48513 Metetra
.664 .741 .908 r
.65156 .48513 .65439 .48842 .66018 .48664 .65737 .48334 Metetra
.663 .741 .908 r
.65737 .48334 .66018 .48664 .66599 .48486 .66318 .48155 Metetra
.663 .741 .908 r
.66318 .48155 .66599 .48486 .67181 .48307 .66901 .47976 Metetra
.663 .741 .908 r
.66901 .47976 .67181 .48307 .67764 .48128 .67485 .47797 Metetra
.663 .741 .908 r
.67485 .47797 .67764 .48128 .68348 .47949 .6807 .47618 Metetra
.663 .742 .909 r
.6807 .47618 .68348 .47949 .68934 .4777 .68656 .47438 Metetra
.663 .742 .909 r
.68656 .47438 .68934 .4777 .6952 .47591 .69244 .47259 Metetra
.662 .742 .909 r
.69244 .47259 .6952 .47591 .70109 .47412 .69833 .47079 Metetra
.662 .742 .909 r
.69833 .47079 .70109 .47412 .70698 .47233 .70423 .469 Metetra
.661 .742 .91 r
.70423 .469 .70698 .47233 .71288 .47054 .71015 .46721 Metetra
.66 .742 .911 r
.71015 .46721 .71288 .47054 .7188 .46876 .71607 .46544 Metetra
.657 .742 .912 r
.71607 .46544 .7188 .46876 .72473 .467 .72202 .46371 Metetra
.654 .743 .915 r
.72202 .46371 .72473 .467 .73068 .46526 .72798 .46202 Metetra
.65 .745 .919 r
.72798 .46202 .73068 .46526 .73664 .46356 .73395 .46037 Metetra
.646 .748 .923 r
.73395 .46037 .73664 .46356 .74262 .46191 .73994 .45878 Metetra
.642 .751 .928 r
.73994 .45878 .74262 .46191 .74862 .46032 .74595 .45724 Metetra
.637 .752 .932 r
.74595 .45724 .74862 .46032 .75463 .45879 .75198 .45575 Metetra
.631 .753 .936 r
.75198 .45575 .75463 .45879 .76067 .45733 .75802 .45433 Metetra
.622 .754 .941 r
.75802 .45433 .76067 .45733 .76672 .45594 .76409 .453 Metetra
.609 .754 .947 r
.76409 .453 .76672 .45594 .77279 .45463 .77018 .45182 Metetra
.591 .756 .957 r
.77018 .45182 .77279 .45463 .77889 .45344 .7763 .4508 Metetra
.566 .759 .969 r
.7763 .4508 .77889 .45344 .78501 .45241 .78246 .44996 Metetra
.536 .763 .981 r
.78246 .44996 .78501 .45241 .79117 .45154 .78864 .44931 Metetra
.503 .767 .99 r
.78864 .44931 .79117 .45154 .79736 .45086 .79485 .44881 Metetra
.475 .769 .995 r
.79485 .44881 .79736 .45086 .80358 .45034 .80109 .4484 Metetra
.457 .77 .997 r
.80109 .4484 .80358 .45034 .80983 .44995 .80736 .44803 Metetra
.453 .771 .997 r
.80736 .44803 .80983 .44995 .8161 .44963 .81364 .44768 Metetra
.456 .769 .997 r
.81364 .44768 .8161 .44963 .8224 .44933 .81994 .44732 Metetra
.46 .767 .996 r
.81994 .44732 .8224 .44933 .82871 .44903 .82626 .44698 Metetra
.461 .764 .995 r
.82626 .44698 .82871 .44903 .83504 .44869 .83261 .44666 Metetra
.459 .764 .996 r
.83261 .44666 .83504 .44869 .84139 .44833 .83897 .44634 Metetra
.462 .77 .996 r
.83897 .44634 .84139 .44833 .84776 .44794 .84535 .44596 Metetra
.48 .781 .997 r
.84535 .44596 .84776 .44794 .85413 .44747 .85173 .44543 Metetra
.519 .794 .996 r
.85173 .44543 .85413 .44747 .86052 .44688 .85811 .44463 Metetra
.573 .801 .986 r
.85811 .44463 .86052 .44688 .8669 .44607 .86446 .44346 Metetra
.626 .794 .963 r
.86446 .44346 .8669 .44607 .87326 .44495 .87079 .44188 Metetra
.664 .775 .932 r
.87079 .44188 .87326 .44495 .8796 .44345 .87709 .43989 Metetra
.686 .751 .901 r
.87709 .43989 .8796 .44345 .88592 .44156 .88337 .43756 Metetra
.697 .731 .877 r
.88337 .43756 .88592 .44156 .8922 .43928 .88963 .43497 Metetra
.702 .717 .861 r
.88963 .43497 .8922 .43928 .89846 .4367 .89588 .43221 Metetra
.706 .711 .852 r
.89588 .43221 .89846 .4367 .90471 .43389 .90212 .42932 Metetra
.71 .709 .847 r
.90212 .42932 .90471 .43389 .91095 .43092 .90837 .42631 Metetra
.715 .71 .844 r
.90837 .42631 .91095 .43092 .91718 .42783 .9146 .42316 Metetra
.72 .71 .839 r
.9146 .42316 .91718 .42783 .92341 .42464 .92083 .41985 Metetra
.725 .707 .833 r
.92083 .41985 .92341 .42464 .92964 .42134 .92705 .41638 Metetra
.727 .701 .826 r
.92705 .41638 .92964 .42134 .93586 .41793 .93325 .41278 Metetra
.726 .694 .819 r
.93325 .41278 .93586 .41793 .94208 .41442 .93946 .40914 Metetra
.722 .687 .816 r
.93946 .40914 .94208 .41442 .9483 .41086 .94568 .40552 Metetra
.56 .625 .873 r
.36709 .57667 .37023 .58108 .37542 .58094 .37228 .57657 Metetra
.558 .626 .876 r
.37228 .57657 .37542 .58094 .38062 .58082 .37748 .57649 Metetra
.559 .629 .877 r
.37748 .57649 .38062 .58082 .38584 .58074 .3827 .57638 Metetra
.561 .629 .876 r
.3827 .57638 .38584 .58074 .39106 .58071 .38793 .57625 Metetra
.562 .624 .872 r
.38793 .57625 .39106 .58071 .39631 .58074 .39318 .57613 Metetra
.561 .617 .866 r
.39318 .57613 .39631 .58074 .40156 .58078 .39844 .57605 Metetra
.56 .611 .861 r
.39844 .57605 .40156 .58078 .40684 .58073 .40372 .576 Metetra
.561 .612 .861 r
.40372 .576 .40684 .58073 .41213 .58049 .40901 .57593 Metetra
.568 .624 .867 r
.40901 .57593 .41213 .58049 .41745 .57992 .41433 .57574 Metetra
.584 .649 .88 r
.41433 .57574 .41745 .57992 .4228 .57893 .41966 .57527 Metetra
.61 .687 .898 r
.41966 .57527 .4228 .57893 .42817 .5775 .42502 .57439 Metetra
.642 .732 .915 r
.42502 .57439 .42817 .5775 .43357 .57566 .43041 .57303 Metetra
.675 .774 .925 r
.43041 .57303 .43357 .57566 .43898 .57347 .43583 .57119 Metetra
.703 .805 .928 r
.43583 .57119 .43898 .57347 .44441 .57102 .44126 .56893 Metetra
.723 .822 .926 r
.44126 .56893 .44441 .57102 .44985 .56838 .44671 .56636 Metetra
.735 .829 .923 r
.44671 .56636 .44985 .56838 .45531 .56559 .45217 .56359 Metetra
.742 .832 .92 r
.45217 .56359 .45531 .56559 .46077 .56263 .45764 .56071 Metetra
.748 .839 .92 r
.45764 .56071 .46077 .56263 .46624 .55949 .46312 .55773 Metetra
.755 .851 .922 r
.46312 .55773 .46624 .55949 .47172 .55619 .46861 .55464 Metetra
.763 .868 .925 r
.46861 .55464 .47172 .55619 .47721 .55275 .4741 .55141 Metetra
.771 .885 .928 r
.4741 .55141 .47721 .55275 .48271 .54925 .47961 .54804 Metetra
.776 .896 .928 r
.47961 .54804 .48271 .54925 .48821 .54578 .48512 .54458 Metetra
.777 .897 .928 r
.48512 .54458 .48821 .54578 .49371 .54243 .49064 .5411 Metetra
.773 .887 .927 r
.49064 .5411 .49371 .54243 .49922 .53926 .49616 .5377 Metetra
.763 .87 .926 r
.49616 .5377 .49922 .53926 .50473 .53629 .50168 .53445 Metetra
.75 .849 .924 r
.50168 .53445 .50473 .53629 .51025 .53352 .50721 .53141 Metetra
.736 .829 .922 r
.50721 .53141 .51025 .53352 .51577 .5309 .51275 .5286 Metetra
.723 .813 .921 r
.51275 .5286 .51577 .5309 .52131 .52842 .51829 .52598 Metetra
.713 .802 .92 r
.51829 .52598 .52131 .52842 .52685 .52604 .52385 .52351 Metetra
.705 .795 .92 r
.52385 .52351 .52685 .52604 .5324 .52375 .52941 .52116 Metetra
.7 .79 .92 r
.52941 .52116 .5324 .52375 .53796 .52155 .53498 .51889 Metetra
.695 .784 .92 r
.53498 .51889 .53796 .52155 .54353 .51944 .54055 .51669 Metetra
.69 .777 .918 r
.54055 .51669 .54353 .51944 .54912 .51741 .54614 .51457 Metetra
.684 .77 .916 r
.54614 .51457 .54912 .51741 .55471 .51547 .55174 .51252 Metetra
.679 .762 .913 r
.55174 .51252 .55471 .51547 .56031 .51359 .55736 .51055 Metetra
.674 .755 .911 r
.55736 .51055 .56031 .51359 .56593 .51176 .56298 .50865 Metetra
.671 .749 .91 r
.56298 .50865 .56593 .51176 .57156 .50996 .56861 .5068 Metetra
.668 .746 .909 r
.56861 .5068 .57156 .50996 .5772 .50817 .57426 .50499 Metetra
.666 .744 .909 r
.57426 .50499 .5772 .50817 .58285 .50639 .57992 .5032 Metetra
.666 .744 .909 r
.57992 .5032 .58285 .50639 .58851 .50462 .58559 .50142 Metetra
.665 .744 .909 r
.58559 .50142 .58851 .50462 .59418 .50284 .59127 .49964 Metetra
.665 .744 .909 r
.59127 .49964 .59418 .50284 .59987 .50107 .59696 .49786 Metetra
.665 .743 .909 r
.59696 .49786 .59987 .50107 .60556 .49931 .60267 .49608 Metetra
.664 .743 .908 r
.60267 .49608 .60556 .49931 .61127 .49754 .60838 .4943 Metetra
.664 .742 .908 r
.60838 .4943 .61127 .49754 .61699 .49578 .61411 .49252 Metetra
.664 .742 .908 r
.61411 .49252 .61699 .49578 .62272 .49401 .61985 .49074 Metetra
.664 .741 .908 r
.61985 .49074 .62272 .49401 .62847 .49224 .6256 .48897 Metetra
.664 .741 .908 r
.6256 .48897 .62847 .49224 .63422 .49047 .63137 .48719 Metetra
.664 .741 .908 r
.63137 .48719 .63422 .49047 .63999 .48869 .63714 .4854 Metetra
.664 .741 .908 r
.63714 .4854 .63999 .48869 .64577 .48691 .64293 .48362 Metetra
.663 .741 .908 r
.64293 .48362 .64577 .48691 .65156 .48513 .64873 .48183 Metetra
.663 .741 .908 r
.64873 .48183 .65156 .48513 .65737 .48334 .65454 .48004 Metetra
.663 .741 .908 r
.65454 .48004 .65737 .48334 .66318 .48155 .66036 .47824 Metetra
.663 .742 .908 r
.66036 .47824 .66318 .48155 .66901 .47976 .6662 .47645 Metetra
.663 .742 .909 r
.6662 .47645 .66901 .47976 .67485 .47797 .67205 .47465 Metetra
.663 .742 .909 r
.67205 .47465 .67485 .47797 .6807 .47618 .67791 .47285 Metetra
.663 .742 .909 r
.67791 .47285 .6807 .47618 .68656 .47438 .68378 .47105 Metetra
.663 .742 .909 r
.68378 .47105 .68656 .47438 .69244 .47259 .68966 .46925 Metetra
.662 .741 .909 r
.68966 .46925 .69244 .47259 .69833 .47079 .69556 .46745 Metetra
.661 .741 .909 r
.69556 .46745 .69833 .47079 .70423 .469 .70147 .46566 Metetra
.659 .742 .911 r
.70147 .46566 .70423 .469 .71015 .46721 .7074 .4639 Metetra
.657 .743 .913 r
.7074 .4639 .71015 .46721 .71607 .46544 .71334 .46217 Metetra
.653 .744 .916 r
.71334 .46217 .71607 .46544 .72202 .46371 .71929 .46048 Metetra
.65 .747 .92 r
.71929 .46048 .72202 .46371 .72798 .46202 .72526 .45884 Metetra
.647 .749 .924 r
.72526 .45884 .72798 .46202 .73395 .46037 .73125 .45723 Metetra
.643 .751 .927 r
.73125 .45723 .73395 .46037 .73994 .45878 .73725 .45566 Metetra
.639 .751 .93 r
.73725 .45566 .73994 .45878 .74595 .45724 .74327 .45414 Metetra
.633 .751 .933 r
.74327 .45414 .74595 .45724 .75198 .45575 .74931 .4527 Metetra
.623 .751 .938 r
.74931 .4527 .75198 .45575 .75802 .45433 .75537 .45137 Metetra
.608 .752 .947 r
.75537 .45137 .75802 .45433 .76409 .453 .76146 .4502 Metetra
.586 .756 .959 r
.76146 .4502 .76409 .453 .77018 .45182 .76758 .44922 Metetra
.559 .761 .972 r
.76758 .44922 .77018 .45182 .7763 .4508 .77373 .44843 Metetra
.528 .767 .984 r
.77373 .44843 .7763 .4508 .78246 .44996 .77991 .4478 Metetra
.5 .771 .992 r
.77991 .4478 .78246 .44996 .78864 .44931 .78611 .44728 Metetra
.48 .773 .996 r
.78611 .44728 .78864 .44931 .79485 .44881 .79234 .44682 Metetra
.472 .774 .997 r
.79234 .44682 .79485 .44881 .80109 .4484 .79859 .44638 Metetra
.472 .771 .996 r
.79859 .44638 .80109 .4484 .80736 .44803 .80486 .44595 Metetra
.471 .766 .995 r
.80486 .44595 .80736 .44803 .81364 .44768 .81115 .44558 Metetra
.464 .761 .994 r
.81115 .44558 .81364 .44768 .81994 .44732 .81747 .44527 Metetra
.449 .758 .995 r
.81747 .44527 .81994 .44732 .82626 .44698 .82381 .44503 Metetra
.433 .759 .996 r
.82381 .44503 .82626 .44698 .83261 .44666 .83018 .44482 Metetra
.431 .768 .997 r
.83018 .44482 .83261 .44666 .83897 .44634 .83656 .44452 Metetra
.458 .785 .999 r
.83656 .44452 .83897 .44634 .84535 .44596 .84294 .44402 Metetra
.515 .802 .998 r
.84294 .44402 .84535 .44596 .85173 .44543 .8493 .44317 Metetra
.584 .806 .984 r
.8493 .44317 .85173 .44543 .85811 .44463 .85564 .4419 Metetra
.638 .79 .955 r
.85564 .4419 .85811 .44463 .86446 .44346 .86196 .4402 Metetra
.671 .765 .921 r
.86196 .4402 .86446 .44346 .87079 .44188 .86824 .43813 Metetra
.686 .741 .893 r
.86824 .43813 .87079 .44188 .87709 .43989 .87451 .43579 Metetra
.693 .724 .874 r
.87451 .43579 .87709 .43989 .88337 .43756 .88078 .43326 Metetra
.697 .716 .863 r
.88078 .43326 .88337 .43756 .88963 .43497 .88704 .4306 Metetra
.702 .715 .859 r
.88704 .4306 .88963 .43497 .89588 .43221 .8933 .42782 Metetra
.709 .717 .856 r
.8933 .42782 .89588 .43221 .90212 .42932 .89955 .42487 Metetra
.717 .718 .85 r
.89955 .42487 .90212 .42932 .90837 .42631 .90579 .42172 Metetra
.724 .715 .842 r
.90579 .42172 .90837 .42631 .9146 .42316 .912 .41834 Metetra
.728 .707 .831 r
.912 .41834 .9146 .42316 .92083 .41985 .91821 .41477 Metetra
.729 .697 .82 r
.91821 .41477 .92083 .41985 .92705 .41638 .9244 .41106 Metetra
.726 .688 .813 r
.9244 .41106 .92705 .41638 .93325 .41278 .9306 .40734 Metetra
.721 .681 .811 r
.9306 .40734 .93325 .41278 .93946 .40914 .93682 .4037 Metetra
.715 .679 .814 r
.93682 .4037 .93946 .40914 .94568 .40552 .94307 .40022 Metetra
.563 .619 .866 r
.36394 .57211 .36709 .57667 .37228 .57657 .36914 .57198 Metetra
.554 .615 .867 r
.36914 .57198 .37228 .57657 .37748 .57649 .37434 .57197 Metetra
.551 .617 .872 r
.37434 .57197 .37748 .57649 .3827 .57638 .37955 .57199 Metetra
.553 .624 .877 r
.37955 .57199 .3827 .57638 .38793 .57625 .38479 .57195 Metetra
.559 .632 .88 r
.38479 .57195 .38793 .57625 .39318 .57613 .39004 .57183 Metetra
.564 .634 .879 r
.39004 .57183 .39318 .57613 .39844 .57605 .39531 .57164 Metetra
.567 .63 .874 r
.39531 .57164 .39844 .57605 .40372 .576 .40059 .57142 Metetra
.568 .623 .867 r
.40059 .57142 .40372 .576 .40901 .57593 .40589 .57123 Metetra
.567 .617 .862 r
.40589 .57123 .40901 .57593 .41433 .57574 .41121 .57106 Metetra
.57 .62 .863 r
.41121 .57106 .41433 .57574 .41966 .57527 .41654 .57085 Metetra
.58 .637 .872 r
.41654 .57085 .41966 .57527 .42502 .57439 .42189 .57046 Metetra
.601 .67 .889 r
.42189 .57046 .42502 .57439 .43041 .57303 .42726 .56972 Metetra
.632 .718 .909 r
.42726 .56972 .43041 .57303 .43583 .57119 .43266 .5685 Metetra
.668 .77 .926 r
.43266 .5685 .43583 .57119 .44126 .56893 .43809 .56674 Metetra
.703 .813 .933 r
.43809 .56674 .44126 .56893 .44671 .56636 .44354 .56447 Metetra
.729 .839 .932 r
.44354 .56447 .44671 .56636 .45217 .56359 .44901 .56179 Metetra
.744 .847 .927 r
.44901 .56179 .45217 .56359 .45764 .56071 .4545 .55887 Metetra
.751 .845 .922 r
.4545 .55887 .45764 .56071 .46312 .55773 .45999 .55584 Metetra
.753 .842 .919 r
.45999 .55584 .46312 .55773 .46861 .55464 .46548 .55277 Metetra
.754 .844 .919 r
.46548 .55277 .46861 .55464 .4741 .55141 .47099 .54967 Metetra
.758 .855 .922 r
.47099 .54967 .4741 .55141 .47961 .54804 .4765 .5465 Metetra
.764 .871 .926 r
.4765 .5465 .47961 .54804 .48512 .54458 .48202 .54324 Metetra
.77 .887 .928 r
.48202 .54324 .48512 .54458 .49064 .5411 .48755 .53987 Metetra
.774 .895 .929 r
.48755 .53987 .49064 .5411 .49616 .5377 .49308 .53642 Metetra
.773 .893 .929 r
.49308 .53642 .49616 .5377 .50168 .53445 .49862 .53299 Metetra
.766 .88 .928 r
.49862 .53299 .50168 .53445 .50721 .53141 .50416 .52968 Metetra
.755 .859 .926 r
.50416 .52968 .50721 .53141 .51275 .5286 .50971 .52655 Metetra
.74 .835 .923 r
.50971 .52655 .51275 .5286 .51829 .52598 .51527 .52367 Metetra
.725 .814 .92 r
.51527 .52367 .51829 .52598 .52385 .52351 .52083 .52101 Metetra
.712 .798 .918 r
.52083 .52101 .52385 .52351 .52941 .52116 .5264 .51854 Metetra
.703 .789 .918 r
.5264 .51854 .52941 .52116 .53498 .51889 .53197 .51622 Metetra
.697 .784 .918 r
.53197 .51622 .53498 .51889 .54055 .51669 .53756 .51398 Metetra
.693 .781 .919 r
.53756 .51398 .54055 .51669 .54614 .51457 .54316 .51181 Metetra
.689 .777 .918 r
.54316 .51181 .54614 .51457 .55174 .51252 .54877 .50969 Metetra
.685 .771 .917 r
.54877 .50969 .55174 .51252 .55736 .51055 .55439 .50762 Metetra
.68 .764 .915 r
.55439 .50762 .55736 .51055 .56298 .50865 .56002 .50563 Metetra
.676 .757 .912 r
.56002 .50563 .56298 .50865 .56861 .5068 .56566 .50369 Metetra
.672 .751 .91 r
.56566 .50369 .56861 .5068 .57426 .50499 .57131 .50182 Metetra
.668 .747 .909 r
.57131 .50182 .57426 .50499 .57992 .5032 .57698 .49999 Metetra
.666 .744 .908 r
.57698 .49999 .57992 .5032 .58559 .50142 .58266 .4982 Metetra
.665 .743 .908 r
.58266 .4982 .58559 .50142 .59127 .49964 .58835 .49641 Metetra
.665 .743 .908 r
.58835 .49641 .59127 .49964 .59696 .49786 .59405 .49463 Metetra
.665 .743 .909 r
.59405 .49463 .59696 .49786 .60267 .49608 .59976 .49284 Metetra
.665 .743 .909 r
.59976 .49284 .60267 .49608 .60838 .4943 .60548 .49106 Metetra
.664 .743 .909 r
.60548 .49106 .60838 .4943 .61411 .49252 .61122 .48927 Metetra
.664 .743 .909 r
.61122 .48927 .61411 .49252 .61985 .49074 .61697 .48748 Metetra
.664 .742 .908 r
.61697 .48748 .61985 .49074 .6256 .48897 .62273 .48568 Metetra
.664 .742 .908 r
.62273 .48568 .6256 .48897 .63137 .48719 .6285 .48389 Metetra
.664 .741 .908 r
.6285 .48389 .63137 .48719 .63714 .4854 .63428 .4821 Metetra
.663 .741 .908 r
.63428 .4821 .63714 .4854 .64293 .48362 .64008 .48031 Metetra
.663 .741 .908 r
.64008 .48031 .64293 .48362 .64873 .48183 .64588 .47852 Metetra
.663 .742 .908 r
.64588 .47852 .64873 .48183 .65454 .48004 .6517 .47673 Metetra
.663 .742 .909 r
.6517 .47673 .65454 .48004 .66036 .47824 .65754 .47493 Metetra
.663 .742 .909 r
.65754 .47493 .66036 .47824 .6662 .47645 .66338 .47313 Metetra
.663 .742 .909 r
.66338 .47313 .6662 .47645 .67205 .47465 .66924 .47132 Metetra
.663 .742 .908 r
.66924 .47132 .67205 .47465 .67791 .47285 .6751 .46951 Metetra
.663 .741 .908 r
.6751 .46951 .67791 .47285 .68378 .47105 .68098 .4677 Metetra
.662 .741 .908 r
.68098 .4677 .68378 .47105 .68966 .46925 .68688 .46589 Metetra
.661 .741 .909 r
.68688 .46589 .68966 .46925 .69556 .46745 .69279 .46411 Metetra
.658 .742 .911 r
.69279 .46411 .69556 .46745 .70147 .46566 .69871 .46236 Metetra
.656 .743 .914 r
.69871 .46236 .70147 .46566 .7074 .4639 .70464 .46064 Metetra
.653 .746 .918 r
.70464 .46064 .7074 .4639 .71334 .46217 .71059 .45895 Metetra
.651 .748 .921 r
.71059 .45895 .71334 .46217 .71929 .46048 .71656 .45729 Metetra
.649 .749 .923 r
.71656 .45729 .71929 .46048 .72526 .45884 .72254 .45566 Metetra
.646 .75 .925 r
.72254 .45566 .72526 .45884 .73125 .45723 .72854 .45405 Metetra
.642 .749 .927 r
.72854 .45405 .73125 .45723 .73725 .45566 .73455 .45251 Metetra
.634 .748 .93 r
.73455 .45251 .73725 .45566 .74327 .45414 .74058 .45105 Metetra
.621 .748 .937 r
.74058 .45105 .74327 .45414 .74931 .4527 .74664 .44975 Metetra
.603 .751 .948 r
.74664 .44975 .74931 .4527 .75537 .45137 .75273 .44862 Metetra
.579 .757 .963 r
.75273 .44862 .75537 .45137 .76146 .4502 .75884 .44769 Metetra
.551 .765 .977 r
.75884 .44769 .76146 .4502 .76758 .44922 .76499 .44693 Metetra
.524 .771 .988 r
.76499 .44693 .76758 .44922 .77373 .44843 .77116 .44629 Metetra
.504 .776 .993 r
.77116 .44629 .77373 .44843 .77991 .4478 .77735 .44571 Metetra
.495 .777 .995 r
.77735 .44571 .77991 .4478 .78611 .44728 .78357 .44516 Metetra
.494 .774 .994 r
.78357 .44516 .78611 .44728 .79234 .44682 .7898 .44464 Metetra
.491 .767 .993 r
.7898 .44464 .79234 .44682 .79859 .44638 .79606 .44417 Metetra
.478 .76 .992 r
.79606 .44417 .79859 .44638 .80486 .44595 .80235 .44382 Metetra
.453 .753 .994 r
.80235 .44382 .80486 .44595 .81115 .44558 .80867 .44361 Metetra
.42 .751 .994 r
.80867 .44361 .81115 .44558 .81747 .44527 .81501 .4435 Metetra
.393 .754 .993 r
.81501 .4435 .81747 .44527 .82381 .44503 .82138 .4434 Metetra
.396 .767 .993 r
.82138 .4434 .82381 .44503 .83018 .44482 .82776 .44315 Metetra
.446 .791 .998 r
.82776 .44315 .83018 .44482 .83656 .44452 .83413 .4426 Metetra
.528 .81 .998 r
.83413 .4426 .83656 .44452 .84294 .44402 .84047 .44163 Metetra
.604 .804 .977 r
.84047 .44163 .84294 .44402 .8493 .44317 .84679 .44022 Metetra
.651 .779 .942 r
.84679 .44022 .8493 .44317 .85564 .4419 .85309 .4384 Metetra
.673 .751 .909 r
.85309 .4384 .85564 .4419 .86196 .4402 .85937 .4363 Metetra
.682 .73 .887 r
.85937 .4363 .86196 .4402 .86824 .43813 .86565 .43401 Metetra
.686 .721 .876 r
.86565 .43401 .86824 .43813 .87451 .43579 .87192 .43161 Metetra
.691 .721 .872 r
.87192 .43161 .87451 .43579 .88078 .43326 .8782 .4291 Metetra
.699 .725 .87 r
.8782 .4291 .88078 .43326 .88704 .4306 .88447 .42642 Metetra
.71 .729 .865 r
.88447 .42642 .88704 .4306 .8933 .42782 .89072 .4235 Metetra
.721 .727 .854 r
.89072 .4235 .8933 .42782 .89955 .42487 .89695 .42028 Metetra
.729 .717 .839 r
.89695 .42028 .89955 .42487 .90579 .42172 .90315 .41677 Metetra
.731 .703 .824 r
.90315 .41677 .90579 .42172 .912 .41834 .90934 .41305 Metetra
.729 .69 .813 r
.90934 .41305 .912 .41834 .91821 .41477 .91552 .40924 Metetra
.724 .679 .807 r
.91552 .40924 .91821 .41477 .9244 .41106 .92172 .40548 Metetra
.718 .675 .807 r
.92172 .40548 .9244 .41106 .9306 .40734 .92794 .40187 Metetra
.712 .677 .814 r
.92794 .40187 .9306 .40734 .93682 .4037 .9342 .39847 Metetra
.707 .684 .825 r
.9342 .39847 .93682 .4037 .94307 .40022 .94049 .39528 Metetra
.581 .634 .869 r
.36078 .56768 .36394 .57211 .36914 .57198 .36599 .56729 Metetra
.564 .615 .862 r
.36599 .56729 .36914 .57198 .37434 .57197 .3712 .56717 Metetra
.551 .604 .86 r
.3712 .56717 .37434 .57197 .37955 .57199 .37641 .56724 Metetra
.544 .604 .864 r
.37641 .56724 .37955 .57199 .38479 .57195 .38164 .56739 Metetra
.544 .613 .872 r
.38164 .56739 .38479 .57195 .39004 .57183 .38688 .56749 Metetra
.552 .627 .88 r
.38688 .56749 .39004 .57183 .39531 .57164 .39215 .56745 Metetra
.563 .64 .885 r
.39215 .56745 .39531 .57164 .40059 .57142 .39744 .56724 Metetra
.572 .645 .884 r
.39744 .56724 .40059 .57142 .40589 .57123 .40275 .56691 Metetra
.577 .641 .877 r
.40275 .56691 .40589 .57123 .41121 .57106 .40807 .56654 Metetra
.578 .631 .868 r
.40807 .56654 .41121 .57106 .41654 .57085 .41341 .5662 Metetra
.577 .625 .863 r
.41341 .5662 .41654 .57085 .42189 .57046 .41876 .56587 Metetra
.581 .63 .865 r
.41876 .56587 .42189 .57046 .42726 .56972 .42413 .56548 Metetra
.594 .653 .877 r
.42413 .56548 .42726 .56972 .43266 .5685 .42952 .56486 Metetra
.62 .695 .898 r
.42952 .56486 .43266 .5685 .43809 .56674 .43493 .56383 Metetra
.656 .752 .921 r
.43493 .56383 .43809 .56674 .44354 .56447 .44038 .56223 Metetra
.696 .81 .935 r
.44038 .56223 .44354 .56447 .44901 .56179 .44584 .56004 Metetra
.73 .851 .938 r
.44584 .56004 .44901 .56179 .4545 .55887 .45133 .55734 Metetra
.752 .869 .933 r
.45133 .55734 .4545 .55887 .45999 .55584 .45683 .55427 Metetra
.762 .868 .926 r
.45683 .55427 .45999 .55584 .46548 .55277 .46234 .55104 Metetra
.763 .856 .92 r
.46234 .55104 .46548 .55277 .47099 .54967 .46786 .5478 Metetra
.759 .846 .917 r
.46786 .5478 .47099 .54967 .4765 .5465 .47338 .54461 Metetra
.756 .844 .918 r
.47338 .54461 .4765 .5465 .48202 .54324 .47891 .54146 Metetra
.758 .854 .922 r
.47891 .54146 .48202 .54324 .48755 .53987 .48445 .53829 Metetra
.763 .87 .927 r
.48445 .53829 .48755 .53987 .49308 .53642 .48999 .53504 Metetra
.768 .886 .93 r
.48999 .53504 .49308 .53642 .49862 .53299 .49554 .5317 Metetra
.77 .893 .931 r
.49554 .5317 .49862 .53299 .50416 .52968 .5011 .5283 Metetra
.768 .888 .931 r
.5011 .5283 .50416 .52968 .50971 .52655 .50666 .52495 Metetra
.759 .87 .929 r
.50666 .52495 .50971 .52655 .51527 .52367 .51222 .52174 Metetra
.745 .846 .926 r
.51222 .52174 .51527 .52367 .52083 .52101 .5178 .51876 Metetra
.729 .82 .921 r
.5178 .51876 .52083 .52101 .5264 .51854 .52337 .51602 Metetra
.714 .799 .917 r
.52337 .51602 .5264 .51854 .53197 .51622 .52896 .51352 Metetra
.702 .785 .915 r
.52896 .51352 .53197 .51622 .53756 .51398 .53456 .5112 Metetra
.694 .777 .915 r
.53456 .5112 .53756 .51398 .54316 .51181 .54017 .509 Metetra
.689 .775 .916 r
.54017 .509 .54316 .51181 .54877 .50969 .54578 .50686 Metetra
.686 .773 .917 r
.54578 .50686 .54877 .50969 .55439 .50762 .55141 .50476 Metetra
.684 .771 .917 r
.55141 .50476 .55439 .50762 .56002 .50563 .55705 .5027 Metetra
.681 .766 .916 r
.55705 .5027 .56002 .50563 .56566 .50369 .5627 .50069 Metetra
.677 .76 .914 r
.5627 .50069 .56566 .50369 .57131 .50182 .56836 .49873 Metetra
.673 .753 .911 r
.56836 .49873 .57131 .50182 .57698 .49999 .57403 .49682 Metetra
.669 .748 .909 r
.57403 .49682 .57698 .49999 .58266 .4982 .57971 .49497 Metetra
.667 .744 .908 r
.57971 .49497 .58266 .4982 .58835 .49641 .58541 .49315 Metetra
.665 .742 .907 r
.58541 .49315 .58835 .49641 .59405 .49463 .59112 .49136 Metetra
.664 .741 .908 r
.59112 .49136 .59405 .49463 .59976 .49284 .59684 .48957 Metetra
.664 .742 .908 r
.59684 .48957 .59976 .49284 .60548 .49106 .60257 .48779 Metetra
.664 .742 .908 r
.60257 .48779 .60548 .49106 .61122 .48927 .60831 .48599 Metetra
.664 .742 .908 r
.60831 .48599 .61122 .48927 .61697 .48748 .61407 .48419 Metetra
.664 .742 .908 r
.61407 .48419 .61697 .48748 .62273 .48568 .61984 .48239 Metetra
.664 .742 .908 r
.61984 .48239 .62273 .48568 .6285 .48389 .62562 .48059 Metetra
.664 .741 .908 r
.62562 .48059 .6285 .48389 .63428 .4821 .63141 .47879 Metetra
.663 .741 .908 r
.63141 .47879 .63428 .4821 .64008 .48031 .63721 .47699 Metetra
.663 .741 .908 r
.63721 .47699 .64008 .48031 .64588 .47852 .64303 .47519 Metetra
.663 .741 .908 r
.64303 .47519 .64588 .47852 .6517 .47673 .64886 .47339 Metetra
.663 .741 .908 r
.64886 .47339 .6517 .47673 .65754 .47493 .6547 .47158 Metetra
.663 .741 .908 r
.6547 .47158 .65754 .47493 .66338 .47313 .66055 .46977 Metetra
.663 .741 .907 r
.66055 .46977 .66338 .47313 .66924 .47132 .66641 .46795 Metetra
.663 .74 .908 r
.66641 .46795 .66924 .47132 .6751 .46951 .67229 .46614 Metetra
.662 .74 .908 r
.67229 .46614 .6751 .46951 .68098 .4677 .67818 .46434 Metetra
.66 .741 .91 r
.67818 .46434 .68098 .4677 .68688 .46589 .68408 .46257 Metetra
.658 .742 .913 r
.68408 .46257 .68688 .46589 .69279 .46411 .69 .46083 Metetra
.655 .745 .916 r
.69 .46083 .69279 .46411 .69871 .46236 .69593 .45911 Metetra
.654 .747 .918 r
.69593 .45911 .69871 .46236 .70464 .46064 .70188 .45741 Metetra
.652 .748 .92 r
.70188 .45741 .70464 .46064 .71059 .45895 .70784 .45573 Metetra
.651 .748 .921 r
.70784 .45573 .71059 .45895 .71656 .45729 .71381 .45405 Metetra
.648 .747 .922 r
.71381 .45405 .71656 .45729 .72254 .45566 .7198 .45242 Metetra
.643 .745 .924 r
.7198 .45242 .72254 .45566 .72854 .45405 .72581 .45086 Metetra
.633 .745 .929 r
.72581 .45086 .72854 .45405 .73455 .45251 .73184 .44942 Metetra
.617 .748 .939 r
.73184 .44942 .73455 .45251 .74058 .45105 .7379 .44816 Metetra
.596 .754 .953 r
.7379 .44816 .74058 .45105 .74664 .44975 .74398 .4471 Metetra
.571 .762 .969 r
.74398 .4471 .74664 .44975 .75273 .44862 .7501 .44621 Metetra
.545 .771 .982 r
.7501 .44621 .75273 .44862 .75884 .44769 .75623 .44544 Metetra
.527 .777 .989 r
.75623 .44544 .75884 .44769 .76499 .44693 .76239 .44475 Metetra
.519 .779 .991 r
.76239 .44475 .76499 .44693 .77116 .44629 .76857 .44407 Metetra
.519 .776 .99 r
.76857 .44407 .77116 .44629 .77735 .44571 .77477 .44341 Metetra
.516 .769 .988 r
.77477 .44341 .77735 .44571 .78357 .44516 .78099 .44283 Metetra
.501 .759 .988 r
.78099 .44283 .78357 .44516 .7898 .44464 .78725 .44238 Metetra
.469 .751 .991 r
.78725 .44238 .7898 .44464 .79606 .44417 .79353 .44213 Metetra
.421 .745 .993 r
.79353 .44213 .79606 .44417 .80235 .44382 .79986 .44206 Metetra
.369 .742 .989 r
.79986 .44206 .80235 .44382 .80867 .44361 .80621 .4421 Metetra
.341 .747 .982 r
.80621 .4421 .80867 .44361 .81501 .4435 .81258 .44207 Metetra
.371 .77 .985 r
.81258 .44207 .81501 .4435 .82138 .4434 .81894 .44178 Metetra
.459 .803 .998 r
.81894 .44178 .82138 .4434 .82776 .44315 .82529 .4411 Metetra
.559 .813 .993 r
.82529 .4411 .82776 .44315 .83413 .4426 .83161 .43995 Metetra
.626 .791 .961 r
.83161 .43995 .83413 .4426 .84047 .44163 .83791 .43837 Metetra
.658 .76 .925 r
.83791 .43837 .84047 .44163 .84679 .44022 .8442 .4365 Metetra
.669 .736 .9 r
.8442 .4365 .84679 .44022 .85309 .4384 .85048 .43446 Metetra
.673 .725 .888 r
.85048 .43446 .85309 .4384 .85937 .4363 .85677 .43233 Metetra
.677 .726 .886 r
.85677 .43233 .85937 .4363 .86565 .43401 .86307 .43012 Metetra
.685 .734 .887 r
.86307 .43012 .86565 .43401 .87192 .43161 .86936 .42776 Metetra
.699 .742 .884 r
.86936 .42776 .87192 .43161 .8782 .4291 .87563 .42513 Metetra
.716 .742 .872 r
.87563 .42513 .8782 .4291 .88447 .42642 .88187 .42214 Metetra
.728 .731 .853 r
.88187 .42214 .88447 .42642 .89072 .4235 .88809 .41876 Metetra
.734 .713 .831 r
.88809 .41876 .89072 .4235 .89695 .42028 .89427 .41506 Metetra
.732 .694 .814 r
.89427 .41506 .89695 .42028 .90315 .41677 .90044 .41119 Metetra
.727 .679 .804 r
.90044 .41119 .90315 .41677 .90934 .41305 .90662 .40732 Metetra
.72 .671 .802 r
.90662 .40732 .90934 .41305 .91552 .40924 .91282 .40359 Metetra
.713 .671 .807 r
.91282 .40359 .91552 .40924 .92172 .40548 .91906 .40008 Metetra
.708 .678 .819 r
.91906 .40008 .92172 .40548 .92794 .40187 .92533 .39681 Metetra
.706 .69 .833 r
.92533 .39681 .92794 .40187 .9342 .39847 .93164 .39372 Metetra
.705 .703 .846 r
.93164 .39372 .9342 .39847 .94049 .39528 .93797 .39075 Metetra
.606 .67 .885 r
.35759 .56375 .36078 .56768 .36599 .56729 .36282 .56296 Metetra
.589 .643 .872 r
.36282 .56296 .36599 .56729 .3712 .56717 .36804 .56245 Metetra
.569 .616 .86 r
.36804 .56245 .3712 .56717 .37641 .56724 .37327 .56226 Metetra
.551 .597 .853 r
.37327 .56226 .37641 .56724 .38164 .56739 .3785 .56235 Metetra
.538 .589 .853 r
.3785 .56235 .38164 .56739 .38688 .56749 .38374 .56262 Metetra
.534 .595 .861 r
.38374 .56262 .38688 .56749 .39215 .56745 .389 .5629 Metetra
.54 .613 .874 r
.389 .5629 .39215 .56745 .39744 .56724 .39428 .56303 Metetra
.554 .637 .887 r
.39428 .56303 .39744 .56724 .40275 .56691 .39958 .56292 Metetra
.572 .656 .893 r
.39958 .56292 .40275 .56691 .40807 .56654 .40491 .56255 Metetra
.585 .662 .891 r
.40491 .56255 .40807 .56654 .41341 .5662 .41026 .56202 Metetra
.591 .655 .881 r
.41026 .56202 .41341 .5662 .41876 .56587 .41562 .56143 Metetra
.59 .642 .87 r
.41562 .56143 .41876 .56587 .42413 .56548 .421 .56088 Metetra
.589 .634 .864 r
.421 .56088 .42413 .56548 .42952 .56486 .42639 .56037 Metetra
.593 .641 .867 r
.42639 .56037 .42952 .56486 .43493 .56383 .43179 .55978 Metetra
.61 .67 .883 r
.43179 .55978 .43493 .56383 .44038 .56223 .43722 .55892 Metetra
.64 .723 .908 r
.43722 .55892 .44038 .56223 .44584 .56004 .44267 .55756 Metetra
.682 .79 .931 r
.44267 .55756 .44584 .56004 .45133 .55734 .44815 .55557 Metetra
.723 .851 .942 r
.44815 .55557 .45133 .55734 .45683 .55427 .45366 .55295 Metetra
.754 .887 .939 r
.45366 .55295 .45683 .55427 .46234 .55104 .45918 .54983 Metetra
.772 .895 .93 r
.45918 .54983 .46234 .55104 .46786 .5478 .46471 .54641 Metetra
.776 .882 .923 r
.46471 .54641 .46786 .5478 .47338 .54461 .47025 .54293 Metetra
.77 .861 .917 r
.47025 .54293 .47338 .54461 .47891 .54146 .47579 .53955 Metetra
.76 .844 .915 r
.47579 .53955 .47891 .54146 .48445 .53829 .48134 .53631 Metetra
.754 .839 .916 r
.48134 .53631 .48445 .53829 .48999 .53504 .48689 .53317 Metetra
.754 .849 .922 r
.48689 .53317 .48999 .53504 .49554 .5317 .49245 .53005 Metetra
.758 .866 .928 r
.49245 .53005 .49554 .5317 .5011 .5283 .49801 .52686 Metetra
.763 .882 .932 r
.49801 .52686 .5011 .5283 .50666 .52495 .50359 .52357 Metetra
.765 .888 .933 r
.50359 .52357 .50666 .52495 .51222 .52174 .50917 .52026 Metetra
.761 .881 .932 r
.50917 .52026 .51222 .52174 .5178 .51876 .51475 .517 Metetra
.751 .86 .929 r
.51475 .517 .5178 .51876 .52337 .51602 .52034 .51391 Metetra
.735 .832 .925 r
.52034 .51391 .52337 .51602 .52896 .51352 .52594 .51107 Metetra
.718 .805 .919 r
.52594 .51107 .52896 .51352 .53456 .5112 .53154 .50849 Metetra
.703 .785 .915 r
.53154 .50849 .53456 .5112 .54017 .509 .53716 .50613 Metetra
.692 .772 .913 r
.53716 .50613 .54017 .509 .54578 .50686 .54278 .50394 Metetra
.686 .767 .913 r
.54278 .50394 .54578 .50686 .55141 .50476 .54842 .50184 Metetra
.683 .767 .915 r
.54842 .50184 .55141 .50476 .55705 .5027 .55406 .49979 Metetra
.681 .768 .916 r
.55406 .49979 .55705 .5027 .5627 .50069 .55972 .49775 Metetra
.68 .766 .916 r
.55972 .49775 .5627 .50069 .56836 .49873 .56539 .49574 Metetra
.677 .763 .915 r
.56539 .49574 .56836 .49873 .57403 .49682 .57107 .49376 Metetra
.674 .757 .913 r
.57107 .49376 .57403 .49682 .57971 .49497 .57676 .49182 Metetra
.671 .751 .911 r
.57676 .49182 .57971 .49497 .58541 .49315 .58246 .48994 Metetra
.668 .746 .909 r
.58246 .48994 .58541 .49315 .59112 .49136 .58818 .48809 Metetra
.665 .743 .908 r
.58818 .48809 .59112 .49136 .59684 .48957 .59391 .48628 Metetra
.664 .741 .907 r
.59391 .48628 .59684 .48957 .60257 .48779 .59965 .48449 Metetra
.664 .741 .908 r
.59965 .48449 .60257 .48779 .60831 .48599 .6054 .4827 Metetra
.664 .742 .908 r
.6054 .4827 .60831 .48599 .61407 .48419 .61116 .48091 Metetra
.664 .743 .909 r
.61116 .48091 .61407 .48419 .61984 .48239 .61694 .47911 Metetra
.664 .743 .909 r
.61694 .47911 .61984 .48239 .62562 .48059 .62273 .4773 Metetra
.664 .744 .909 r
.62273 .4773 .62562 .48059 .63141 .47879 .62853 .4755 Metetra
.664 .743 .909 r
.62853 .4755 .63141 .47879 .63721 .47699 .63434 .47368 Metetra
.664 .743 .909 r
.63434 .47368 .63721 .47699 .64303 .47519 .64016 .47187 Metetra
.664 .742 .909 r
.64016 .47187 .64303 .47519 .64886 .47339 .646 .47005 Metetra
.664 .742 .908 r
.646 .47005 .64886 .47339 .6547 .47158 .65185 .46823 Metetra
.663 .741 .908 r
.65185 .46823 .6547 .47158 .66055 .46977 .65771 .46641 Metetra
.662 .741 .908 r
.65771 .46641 .66055 .46977 .66641 .46795 .66358 .4646 Metetra
.661 .741 .91 r
.66358 .4646 .66641 .46795 .67229 .46614 .66947 .46282 Metetra
.659 .743 .912 r
.66947 .46282 .67229 .46614 .67818 .46434 .67537 .46105 Metetra
.657 .745 .915 r
.67537 .46105 .67818 .46434 .68408 .46257 .68128 .45931 Metetra
.656 .747 .917 r
.68128 .45931 .68408 .46257 .69 .46083 .68721 .45759 Metetra
.655 .748 .918 r
.68721 .45759 .69 .46083 .69593 .45911 .69315 .45586 Metetra
.655 .748 .918 r
.69315 .45586 .69593 .45911 .70188 .45741 .6991 .45413 Metetra
.654 .746 .918 r
.6991 .45413 .70188 .45741 .70784 .45573 .70507 .45242 Metetra
.65 .744 .918 r
.70507 .45242 .70784 .45573 .71381 .45405 .71106 .45077 Metetra
.642 .742 .922 r
.71106 .45077 .71381 .45405 .7198 .45242 .71706 .44922 Metetra
.629 .744 .93 r
.71706 .44922 .7198 .45242 .72581 .45086 .72309 .44784 Metetra
.61 .75 .944 r
.72309 .44784 .72581 .45086 .73184 .44942 .72914 .44665 Metetra
.588 .759 .96 r
.72914 .44665 .73184 .44942 .7379 .44816 .73523 .44563 Metetra
.564 .769 .975 r
.73523 .44563 .7379 .44816 .74398 .4471 .74133 .44475 Metetra
.548 .778 .984 r
.74133 .44475 .74398 .4471 .7501 .44621 .74746 .44393 Metetra
.542 .781 .987 r
.74746 .44393 .7501 .44621 .75623 .44544 .75361 .44311 Metetra
.543 .778 .985 r
.75361 .44311 .75623 .44544 .76239 .44475 .75977 .44231 Metetra
.542 .769 .982 r
.75977 .44231 .76239 .44475 .76857 .44407 .76596 .44157 Metetra
.528 .758 .981 r
.76596 .44157 .76857 .44407 .77477 .44341 .77217 .44098 Metetra
.494 .749 .985 r
.77217 .44098 .77477 .44341 .78099 .44283 .77842 .44064 Metetra
.437 .742 .992 r
.77842 .44064 .78099 .44283 .78725 .44238 .78472 .44056 Metetra
.363 .734 .988 r
.78472 .44056 .78725 .44238 .79353 .44213 .79104 .44068 Metetra
.3 .727 .971 r
.79104 .44068 .79353 .44213 .79986 .44206 .7974 .44082 Metetra
.297 .741 .963 r
.7974 .44082 .79986 .44206 .80621 .4421 .80375 .44076 Metetra
.38 .783 .984 r
.80375 .44076 .80621 .4421 .81258 .44207 .8101 .44033 Metetra
.503 .814 1 r
.8101 .44033 .81258 .44207 .81894 .44178 .81642 .43942 Metetra
.597 .803 .978 r
.81642 .43942 .81894 .44178 .82529 .4411 .82272 .43806 Metetra
.641 .769 .941 r
.82272 .43806 .82529 .4411 .83161 .43995 .82901 .43639 Metetra
.655 .74 .912 r
.82901 .43639 .83161 .43995 .83791 .43837 .83529 .43457 Metetra
.658 .727 .9 r
.83529 .43457 .83791 .43837 .8442 .4365 .84159 .43271 Metetra
.659 .728 .901 r
.84159 .43271 .8442 .4365 .85048 .43446 .8479 .43083 Metetra
.666 .741 .907 r
.8479 .43083 .85048 .43446 .85677 .43233 .85421 .42883 Metetra
.682 .756 .908 r
.85421 .42883 .85677 .43233 .86307 .43012 .86051 .42656 Metetra
.705 .761 .896 r
.86051 .42656 .86307 .43012 .86936 .42776 .86678 .42387 Metetra
.725 .75 .872 r
.86678 .42387 .86936 .42776 .87563 .42513 .873 .42069 Metetra
.736 .726 .843 r
.873 .42069 .87563 .42513 .88187 .42214 .87919 .41707 Metetra
.735 .701 .818 r
.87919 .41707 .88187 .42214 .88809 .41876 .88535 .41317 Metetra
.729 .68 .802 r
.88535 .41317 .88809 .41876 .89427 .41506 .89151 .4092 Metetra
.721 .668 .797 r
.89151 .4092 .89427 .41506 .90044 .41119 .89769 .40536 Metetra
.714 .665 .801 r
.89769 .40536 .90044 .41119 .90662 .40732 .90391 .40175 Metetra
.708 .672 .812 r
.90391 .40175 .90662 .40732 .91282 .40359 .91017 .39841 Metetra
.706 .686 .828 r
.91017 .39841 .91282 .40359 .91906 .40008 .91646 .39529 Metetra
.706 .702 .843 r
.91646 .39529 .91906 .40008 .92533 .39681 .92277 .39227 Metetra
.708 .715 .854 r
.92277 .39227 .92533 .39681 .93164 .39372 .9291 .38928 Metetra
.71 .72 .857 r
.9291 .38928 .93164 .39372 .93797 .39075 .93544 .38626 Metetra
.621 .703 .904 r
.35436 .56031 .35759 .56375 .36282 .56296 .3596 .55926 Metetra
.614 .686 .894 r
.3596 .55926 .36282 .56296 .36804 .56245 .36485 .55834 Metetra
.599 .659 .88 r
.36485 .55834 .36804 .56245 .37327 .56226 .37011 .55765 Metetra
.578 .627 .864 r
.37011 .55765 .37327 .56226 .3785 .56235 .37536 .5573 Metetra
.556 .598 .85 r
.37536 .5573 .3785 .56235 .38374 .56262 .38061 .55732 Metetra
.537 .579 .844 r
.38061 .55732 .38374 .56262 .389 .5629 .38587 .55764 Metetra
.526 .575 .847 r
.38587 .55764 .389 .5629 .39428 .56303 .39114 .55809 Metetra
.527 .589 .861 r
.39114 .55809 .39428 .56303 .39958 .56292 .39642 .55847 Metetra
.539 .619 .88 r
.39642 .55847 .39958 .56292 .40491 .56255 .40173 .55858 Metetra
.562 .654 .897 r
.40173 .55858 .40491 .56255 .41026 .56202 .40708 .55831 Metetra
.587 .679 .905 r
.40708 .55831 .41026 .56202 .41562 .56143 .41245 .5577 Metetra
.604 .685 .899 r
.41245 .5577 .41562 .56143 .421 .56088 .41784 .55688 Metetra
.609 .672 .885 r
.41784 .55688 .421 .56088 .42639 .56037 .42324 .55602 Metetra
.605 .653 .871 r
.42324 .55602 .42639 .56037 .43179 .55978 .42866 .55524 Metetra
.601 .643 .864 r
.42866 .55524 .43179 .55978 .43722 .55892 .43408 .55453 Metetra
.606 .652 .869 r
.43408 .55453 .43722 .55892 .44267 .55756 .43953 .55373 Metetra
.625 .689 .889 r
.43953 .55373 .44267 .55756 .44815 .55557 .44499 .55261 Metetra
.661 .753 .918 r
.44499 .55261 .44815 .55557 .45366 .55295 .45048 .55092 Metetra
.707 .829 .94 r
.45048 .55092 .45366 .55295 .45918 .54983 .456 .54854 Metetra
.747 .89 .944 r
.456 .54854 .45918 .54983 .46471 .54641 .46154 .54549 Metetra
.775 .918 .934 r
.46154 .54549 .46471 .54641 .47025 .54293 .46709 .54197 Metetra
.788 .915 .926 r
.46709 .54197 .47025 .54293 .47579 .53955 .47265 .53825 Metetra
.786 .891 .92 r
.47265 .53825 .47579 .53955 .48134 .53631 .47821 .53459 Metetra
.773 .86 .915 r
.47821 .53459 .48134 .53631 .48689 .53317 .48378 .53113 Metetra
.758 .837 .912 r
.48378 .53113 .48689 .53317 .49245 .53005 .48935 .52792 Metetra
.748 .83 .914 r
.48935 .52792 .49245 .53005 .49801 .52686 .49492 .52486 Metetra
.747 .84 .921 r
.49492 .52486 .49801 .52686 .50359 .52357 .5005 .52183 Metetra
.752 .86 .929 r
.5005 .52183 .50359 .52357 .50917 .52026 .50609 .51872 Metetra
.757 .877 .934 r
.50609 .51872 .50917 .52026 .51475 .517 .51169 .51553 Metetra
.758 .883 .935 r
.51169 .51553 .51475 .517 .52034 .51391 .51729 .5123 Metetra
.754 .873 .933 r
.51729 .5123 .52034 .51391 .52594 .51107 .5229 .50915 Metetra
.742 .849 .929 r
.5229 .50915 .52594 .51107 .53154 .50849 .52851 .50619 Metetra
.726 .819 .923 r
.52851 .50619 .53154 .50849 .53716 .50613 .53414 .50348 Metetra
.708 .791 .916 r
.53414 .50348 .53716 .50613 .54278 .50394 .53977 .50104 Metetra
.694 .771 .911 r
.53977 .50104 .54278 .50394 .54842 .50184 .54541 .49882 Metetra
.684 .761 .91 r
.54541 .49882 .54842 .50184 .55406 .49979 .55107 .49674 Metetra
.679 .759 .911 r
.55107 .49674 .55406 .49979 .55972 .49775 .55673 .49473 Metetra
.678 .761 .914 r
.55673 .49473 .55972 .49775 .56539 .49574 .56241 .49274 Metetra
.677 .763 .915 r
.56241 .49274 .56539 .49574 .57107 .49376 .5681 .49076 Metetra
.677 .763 .916 r
.5681 .49076 .57107 .49376 .57676 .49182 .5738 .48878 Metetra
.675 .76 .915 r
.5738 .48878 .57676 .49182 .58246 .48994 .57951 .48682 Metetra
.672 .755 .912 r
.57951 .48682 .58246 .48994 .58818 .48809 .58523 .4849 Metetra
.669 .749 .91 r
.58523 .4849 .58818 .48809 .59391 .48628 .59097 .48302 Metetra
.666 .744 .908 r
.59097 .48302 .59391 .48628 .59965 .48449 .59671 .48118 Metetra
.664 .741 .908 r
.59671 .48118 .59965 .48449 .6054 .4827 .60247 .47938 Metetra
.663 .74 .907 r
.60247 .47938 .6054 .4827 .61116 .48091 .60825 .47758 Metetra
.663 .741 .908 r
.60825 .47758 .61116 .48091 .61694 .47911 .61403 .47579 Metetra
.663 .742 .908 r
.61403 .47579 .61694 .47911 .62273 .4773 .61983 .47399 Metetra
.664 .742 .909 r
.61983 .47399 .62273 .4773 .62853 .4755 .62563 .47217 Metetra
.664 .743 .908 r
.62563 .47217 .62853 .4755 .63434 .47368 .63145 .47035 Metetra
.665 .742 .908 r
.63145 .47035 .63434 .47368 .64016 .47187 .63728 .46851 Metetra
.664 .741 .907 r
.63728 .46851 .64016 .47187 .646 .47005 .64313 .46668 Metetra
.663 .741 .907 r
.64313 .46668 .646 .47005 .65185 .46823 .64898 .46486 Metetra
.662 .74 .908 r
.64898 .46486 .65185 .46823 .65771 .46641 .65485 .46306 Metetra
.66 .741 .91 r
.65485 .46306 .65771 .46641 .66358 .4646 .66074 .46128 Metetra
.658 .743 .913 r
.66074 .46128 .66358 .4646 .66947 .46282 .66663 .45952 Metetra
.657 .745 .915 r
.66663 .45952 .66947 .46282 .67537 .46105 .67254 .45778 Metetra
.657 .747 .916 r
.67254 .45778 .67537 .46105 .68128 .45931 .67847 .45602 Metetra
.658 .746 .915 r
.67847 .45602 .68128 .45931 .68721 .45759 .6844 .45426 Metetra
.658 .744 .914 r
.6844 .45426 .68721 .45759 .69315 .45586 .69035 .45249 Metetra
.655 .741 .913 r
.69035 .45249 .69315 .45586 .6991 .45413 .69631 .45076 Metetra
.649 .739 .915 r
.69631 .45076 .6991 .45413 .70507 .45242 .70229 .44912 Metetra
.638 .74 .922 r
.70229 .44912 .70507 .45242 .71106 .45077 .7083 .44762 Metetra
.622 .745 .935 r
.7083 .44762 .71106 .45077 .71706 .44922 .71432 .44632 Metetra
.601 .755 .952 r
.71432 .44632 .71706 .44922 .72309 .44784 .72038 .44519 Metetra
.581 .767 .967 r
.72038 .44519 .72309 .44784 .72914 .44665 .72645 .44419 Metetra
.566 .777 .978 r
.72645 .44419 .72914 .44665 .73523 .44563 .73255 .44326 Metetra
.562 .782 .981 r
.73255 .44326 .73523 .44563 .74133 .44475 .73867 .44231 Metetra
.566 .779 .979 r
.73867 .44231 .74133 .44475 .74746 .44393 .74479 .44135 Metetra
.568 .769 .973 r
.74479 .44135 .74746 .44393 .75361 .44311 .75094 .44043 Metetra
.556 .756 .971 r
.75094 .44043 .75361 .44311 .75977 .44231 .75712 .43967 Metetra
.523 .746 .976 r
.75712 .43967 .75977 .44231 .76596 .44157 .76334 .43919 Metetra
.464 .739 .988 r
.76334 .43919 .76596 .44157 .77217 .44098 .76959 .43905 Metetra
.374 .73 .99 r
.76959 .43905 .77217 .44098 .77842 .44064 .7759 .43919 Metetra
.276 .713 .965 r
.7759 .43919 .77842 .44064 .78472 .44056 .78223 .43945 Metetra
.234 .71 .937 r
.78223 .43945 .78472 .44056 .79104 .44068 .78857 .43959 Metetra
.297 .752 .955 r
.78857 .43959 .79104 .44068 .7974 .44082 .79491 .43937 Metetra
.439 .806 .995 r
.79491 .43937 .7974 .44082 .80375 .44076 .80122 .43866 Metetra
.564 .811 .991 r
.80122 .43866 .80375 .44076 .8101 .44033 .80752 .43749 Metetra
.625 .777 .954 r
.80752 .43749 .8101 .44033 .81642 .43942 .8138 .43598 Metetra
.642 .743 .922 r
.8138 .43598 .81642 .43942 .82272 .43806 .82008 .43435 Metetra
.642 .726 .909 r
.82008 .43435 .82272 .43806 .82901 .43639 .82638 .43274 Metetra
.638 .728 .914 r
.82638 .43274 .82901 .43639 .83529 .43457 .8327 .43119 Metetra
.639 .746 .927 r
.8327 .43119 .83529 .43457 .84159 .43271 .83904 .42959 Metetra
.654 .771 .935 r
.83904 .42959 .84159 .43271 .8479 .43083 .84536 .42774 Metetra
.684 .784 .926 r
.84536 .42774 .8479 .43083 .85421 .42883 .85165 .42542 Metetra
.717 .775 .898 r
.85165 .42542 .85421 .42883 .86051 .42656 .8579 .42251 Metetra
.736 .745 .859 r
.8579 .42251 .86051 .42656 .86678 .42387 .86409 .41902 Metetra
.739 .711 .825 r
.86409 .41902 .86678 .42387 .873 .42069 .87025 .41514 Metetra
.732 .682 .802 r
.87025 .41514 .873 .42069 .87919 .41707 .8764 .41109 Metetra
.723 .665 .792 r
.8764 .41109 .87919 .41707 .88535 .41317 .88256 .40714 Metetra
.714 .659 .794 r
.88256 .40714 .88535 .41317 .89151 .4092 .88876 .40345 Metetra
.707 .665 .806 r
.88876 .40345 .89151 .4092 .89769 .40536 .89501 .40007 Metetra
.705 .681 .824 r
.89501 .40007 .89769 .40536 .90391 .40175 .90129 .39693 Metetra
.706 .7 .843 r
.90129 .39693 .90391 .40175 .91017 .39841 .90759 .39392 Metetra
.71 .717 .855 r
.90759 .39392 .91017 .39841 .91646 .39529 .9139 .3909 Metetra
.715 .724 .858 r
.9139 .3909 .91646 .39529 .92277 .39227 .92022 .3878 Metetra
.717 .722 .853 r
.92022 .3878 .92277 .39227 .9291 .38928 .92653 .38461 Metetra
.715 .712 .846 r
.92653 .38461 .9291 .38928 .93544 .38626 .93286 .38141 Metetra
.614 .701 .906 r
.35111 .55685 .35436 .56031 .3596 .55926 .35636 .55589 Metetra
.617 .707 .909 r
.35636 .55589 .3596 .55926 .36485 .55834 .36162 .55487 Metetra
.618 .702 .905 r
.36162 .55487 .36485 .55834 .37011 .55765 .3669 .55387 Metetra
.61 .681 .893 r
.3669 .55387 .37011 .55765 .37536 .5573 .37218 .55299 Metetra
.592 .647 .874 r
.37218 .55299 .37536 .5573 .38061 .55732 .37746 .5524 Metetra
.568 .61 .854 r
.37746 .5524 .38061 .55732 .38587 .55764 .38274 .55222 Metetra
.544 .578 .839 r
.38274 .55222 .38587 .55764 .39114 .55809 .38801 .55247 Metetra
.525 .561 .834 r
.38801 .55247 .39114 .55809 .39642 .55847 .39329 .55302 Metetra
.516 .563 .842 r
.39329 .55302 .39642 .55847 .40173 .55858 .39859 .55365 Metetra
.521 .588 .863 r
.39859 .55365 .40173 .55858 .40708 .55831 .40391 .55407 Metetra
.543 .633 .89 r
.40391 .55407 .40708 .55831 .41245 .5577 .40926 .55407 Metetra
.576 .681 .912 r
.40926 .55407 .41245 .5577 .41784 .55688 .41464 .55356 Metetra
.608 .712 .918 r
.41464 .55356 .41784 .55688 .42324 .55602 .42006 .55261 Metetra
.627 .713 .908 r
.42006 .55261 .42324 .55602 .42866 .55524 .42549 .55143 Metetra
.629 .691 .889 r
.42549 .55143 .42866 .55524 .43408 .55453 .43093 .55025 Metetra
.62 .664 .871 r
.43093 .55025 .43408 .55453 .43953 .55373 .43639 .54922 Metetra
.613 .651 .863 r
.43639 .54922 .43953 .55373 .44499 .55261 .44185 .54831 Metetra
.618 .662 .871 r
.44185 .54831 .44499 .55261 .45048 .55092 .44733 .54731 Metetra
.641 .708 .895 r
.44733 .54731 .45048 .55092 .456 .54854 .45283 .54594 Metetra
.682 .784 .927 r
.45283 .54594 .456 .54854 .46154 .54549 .45836 .54392 Metetra
.73 .869 .946 r
.45836 .54392 .46154 .54549 .46709 .54197 .46391 .54115 Metetra
.767 .926 .939 r
.46391 .54115 .46709 .54197 .47265 .53825 .46948 .5377 Metetra
.79 .944 .925 r
.46948 .5377 .47265 .53825 .47821 .53459 .47506 .53383 Metetra
.799 .93 .92 r
.47506 .53383 .47821 .53459 .48378 .53113 .48064 .52986 Metetra
.791 .894 .917 r
.48064 .52986 .48378 .53113 .48935 .52792 .48623 .52608 Metetra
.771 .853 .912 r
.48623 .52608 .48935 .52792 .49492 .52486 .49182 .52263 Metetra
.751 .824 .909 r
.49182 .52263 .49492 .52486 .5005 .52183 .49741 .5195 Metetra
.739 .817 .912 r
.49741 .5195 .5005 .52183 .50609 .51872 .50301 .51656 Metetra
.738 .829 .921 r
.50301 .51656 .50609 .51872 .51169 .51553 .50861 .51366 Metetra
.744 .852 .93 r
.50861 .51366 .51169 .51553 .51729 .5123 .51423 .51067 Metetra
.75 .872 .935 r
.51423 .51067 .51729 .5123 .5229 .50915 .51985 .50758 Metetra
.751 .877 .936 r
.51985 .50758 .5229 .50915 .52851 .50619 .52547 .50444 Metetra
.746 .864 .934 r
.52547 .50444 .52851 .50619 .53414 .50348 .53111 .5014 Metetra
.734 .838 .929 r
.53111 .5014 .53414 .50348 .53977 .50104 .53675 .49855 Metetra
.716 .806 .921 r
.53675 .49855 .53977 .50104 .54541 .49882 .5424 .49598 Metetra
.699 .778 .913 r
.5424 .49598 .54541 .49882 .55107 .49674 .54806 .49366 Metetra
.685 .76 .908 r
.54806 .49366 .55107 .49674 .55673 .49473 .55373 .49156 Metetra
.677 .751 .907 r
.55373 .49156 .55673 .49473 .56241 .49274 .55942 .48957 Metetra
.674 .751 .909 r
.55942 .48957 .56241 .49274 .5681 .49076 .56512 .48763 Metetra
.674 .755 .912 r
.56512 .48763 .5681 .49076 .5738 .48878 .57082 .4857 Metetra
.674 .758 .914 r
.57082 .4857 .5738 .48878 .57951 .48682 .57654 .48374 Metetra
.674 .759 .914 r
.57654 .48374 .57951 .48682 .58523 .4849 .58227 .48178 Metetra
.673 .756 .913 r
.58227 .48178 .58523 .4849 .59097 .48302 .58802 .47984 Metetra
.671 .752 .911 r
.58802 .47984 .59097 .48302 .59671 .48118 .59377 .47793 Metetra
.668 .746 .909 r
.59377 .47793 .59671 .48118 .60247 .47938 .59954 .47606 Metetra
.665 .742 .907 r
.59954 .47606 .60247 .47938 .60825 .47758 .60532 .47422 Metetra
.664 .739 .906 r
.60532 .47422 .60825 .47758 .61403 .47579 .61111 .47241 Metetra
.663 .738 .906 r
.61111 .47241 .61403 .47579 .61983 .47399 .61691 .47059 Metetra
.663 .738 .906 r
.61691 .47059 .61983 .47399 .62563 .47217 .62273 .46878 Metetra
.664 .739 .906 r
.62273 .46878 .62563 .47217 .63145 .47035 .62856 .46696 Metetra
.663 .739 .906 r
.62856 .46696 .63145 .47035 .63728 .46851 .6344 .46514 Metetra
.662 .74 .908 r
.6344 .46514 .63728 .46851 .64313 .46668 .64025 .46333 Metetra
.661 .742 .91 r
.64025 .46333 .64313 .46668 .64898 .46486 .64611 .46153 Metetra
.659 .743 .912 r
.64611 .46153 .64898 .46486 .65485 .46306 .65199 .45976 Metetra
.658 .745 .914 r
.65199 .45976 .65485 .46306 .66074 .46128 .65789 .458 Metetra
.659 .747 .915 r
.65789 .458 .66074 .46128 .66663 .45952 .66379 .45622 Metetra
.66 .746 .914 r
.66379 .45622 .66663 .45952 .67254 .45778 .66971 .45443 Metetra
.661 .744 .912 r
.66971 .45443 .67254 .45778 .67847 .45602 .67564 .45262 Metetra
.659 .741 .91 r
.67564 .45262 .67847 .45602 .6844 .45426 .68158 .45083 Metetra
.654 .738 .911 r
.68158 .45083 .6844 .45426 .69035 .45249 .68754 .44911 Metetra
.645 .738 .917 r
.68754 .44911 .69035 .45249 .69631 .45076 .69352 .44753 Metetra
.631 .743 .928 r
.69352 .44753 .69631 .45076 .70229 .44912 .69952 .44612 Metetra
.612 .752 .945 r
.69952 .44612 .70229 .44912 .7083 .44762 .70555 .44489 Metetra
.593 .765 .961 r
.70555 .44489 .7083 .44762 .71432 .44632 .7116 .44379 Metetra
.58 .777 .973 r
.7116 .44379 .71432 .44632 .72038 .44519 .71767 .44274 Metetra
.579 .783 .976 r
.71767 .44274 .72038 .44519 .72645 .44419 .72375 .44167 Metetra
.586 .78 .972 r
.72375 .44167 .72645 .44419 .73255 .44326 .72985 .44055 Metetra
.591 .769 .964 r
.72985 .44055 .73255 .44326 .73867 .44231 .73596 .43945 Metetra
.582 .753 .959 r
.73596 .43945 .73867 .44231 .74479 .44135 .7421 .4385 Metetra
.553 .742 .964 r
.7421 .4385 .74479 .44135 .75094 .44043 .74828 .43784 Metetra
.495 .736 .98 r
.74828 .43784 .75094 .44043 .75712 .43967 .7545 .43758 Metetra
.398 .729 .99 r
.7545 .43758 .75712 .43967 .76334 .43919 .76077 .43769 Metetra
.272 .706 .965 r
.76077 .43769 .76334 .43919 .76959 .43905 .76707 .43802 Metetra
.185 .684 .914 r
.76707 .43802 .76959 .43905 .7759 .43919 .7734 .4383 Metetra
.219 .715 .916 r
.7734 .4383 .7759 .43919 .78223 .43945 .77972 .43827 Metetra
.371 .789 .976 r
.77972 .43827 .78223 .43945 .78857 .43959 .78602 .43773 Metetra
.53 .817 .998 r
.78602 .43773 .78857 .43959 .79491 .43937 .79231 .4367 Metetra
.61 .784 .964 r
.79231 .4367 .79491 .43937 .80122 .43866 .79857 .43531 Metetra
.632 .744 .928 r
.79857 .43531 .80122 .43866 .80752 .43749 .80485 .43382 Metetra
.628 .722 .915 r
.80485 .43382 .80752 .43749 .8138 .43598 .81115 .43242 Metetra
.615 .724 .923 r
.81115 .43242 .8138 .43598 .82008 .43435 .81748 .43119 Metetra
.604 .747 .945 r
.81748 .43119 .82008 .43435 .82638 .43274 .82383 .43001 Metetra
.61 .781 .963 r
.82383 .43001 .82638 .43274 .8327 .43119 .83018 .42862 Metetra
.646 .809 .961 r
.83018 .42862 .8327 .43119 .83904 .42959 .8365 .42674 Metetra
.699 .807 .932 r
.8365 .42674 .83904 .42959 .84536 .42774 .84277 .42417 Metetra
.734 .771 .883 r
.84277 .42417 .84536 .42774 .85165 .42542 .84897 .42089 Metetra
.742 .725 .836 r
.84897 .42089 .85165 .42542 .8579 .42251 .85513 .41705 Metetra
.735 .687 .804 r
.85513 .41705 .8579 .42251 .86409 .41902 .86127 .41295 Metetra
.724 .662 .789 r
.86127 .41295 .86409 .41902 .87025 .41514 .86742 .40891 Metetra
.713 .653 .788 r
.86742 .40891 .87025 .41514 .8764 .41109 .8736 .40514 Metetra
.705 .658 .801 r
.8736 .40514 .8764 .41109 .88256 .40714 .87984 .40174 Metetra
.702 .675 .821 r
.87984 .40174 .88256 .40714 .88876 .40345 .88611 .39864 Metetra
.704 .7 .843 r
.88611 .39864 .88876 .40345 .89501 .40007 .89241 .39566 Metetra
.71 .722 .858 r
.89241 .39566 .89501 .40007 .90129 .39693 .89872 .39266 Metetra
.718 .731 .861 r
.89872 .39266 .90129 .39693 .90759 .39392 .90502 .3895 Metetra
.723 .727 .853 r
.90502 .3895 .90759 .39392 .9139 .3909 .9113 .38619 Metetra
.722 .714 .842 r
.9113 .38619 .9139 .3909 .92022 .3878 .91759 .3828 Metetra
.716 .699 .833 r
.91759 .3828 .92022 .3878 .92653 .38461 .9239 .37945 Metetra
.707 .689 .83 r
.9239 .37945 .92653 .38461 .93286 .38141 .93023 .37627 Metetra
.602 .673 .89 r
.34788 .55296 .35111 .55685 .35636 .55589 .35313 .5522 Metetra
.601 .684 .9 r
.35313 .5522 .35636 .55589 .36162 .55487 .35838 .55141 Metetra
.607 .7 .909 r
.35838 .55141 .36162 .55487 .3669 .55387 .36365 .55053 Metetra
.614 .71 .914 r
.36365 .55053 .3669 .55387 .37218 .55299 .36894 .54954 Metetra
.616 .704 .908 r
.36894 .54954 .37218 .55299 .37746 .5524 .37425 .54854 Metetra
.607 .677 .891 r
.37425 .54854 .37746 .5524 .38274 .55222 .37956 .54769 Metetra
.586 .635 .867 r
.37956 .54769 .38274 .55222 .38801 .55247 .38487 .5472 Metetra
.558 .592 .843 r
.38487 .5472 .38801 .55247 .39329 .55302 .39017 .5472 Metetra
.531 .558 .827 r
.39017 .5472 .39329 .55302 .39859 .55365 .39547 .54768 Metetra
.512 .543 .825 r
.39547 .54768 .39859 .55365 .40391 .55407 .40078 .54847 Metetra
.507 .554 .839 r
.40078 .54847 .40391 .55407 .40926 .55407 .4061 .54924 Metetra
.519 .593 .868 r
.4061 .54924 .40926 .55407 .41464 .55356 .41146 .54966 Metetra
.552 .657 .905 r
.41146 .54966 .41464 .55356 .42006 .55261 .41685 .54946 Metetra
.597 .721 .931 r
.41685 .54946 .42006 .55261 .42549 .55143 .42228 .5486 Metetra
.637 .755 .934 r
.42228 .5486 .42549 .55143 .43093 .55025 .42774 .54721 Metetra
.655 .747 .917 r
.42774 .54721 .43093 .55025 .43639 .54922 .43321 .54561 Metetra
.651 .711 .891 r
.43321 .54561 .43639 .54922 .44185 .54831 .4387 .54408 Metetra
.635 .674 .869 r
.4387 .54408 .44185 .54831 .44733 .54731 .44419 .5428 Metetra
.624 .656 .861 r
.44419 .5428 .44733 .54731 .45283 .54594 .44969 .5417 Metetra
.628 .671 .872 r
.44969 .5417 .45283 .54594 .45836 .54392 .4552 .54052 Metetra
.655 .726 .901 r
.4552 .54052 .45836 .54392 .46391 .54115 .46074 .53892 Metetra
.702 .816 .936 r
.46074 .53892 .46391 .54115 .46948 .5377 .4663 .53659 Metetra
.749 .907 .947 r
.4663 .53659 .46948 .5377 .47506 .53383 .47188 .53345 Metetra
.78 .956 .928 r
.47188 .53345 .47506 .53383 .48064 .52986 .47748 .52963 Metetra
.799 .963 .914 r
.47748 .52963 .48064 .52986 .48623 .52608 .48308 .52545 Metetra
.807 .939 .915 r
.48308 .52545 .48623 .52608 .49182 .52263 .48869 .5213 Metetra
.793 .892 .915 r
.48869 .5213 .49182 .52263 .49741 .5195 .4943 .51747 Metetra
.765 .841 .909 r
.4943 .51747 .49741 .5195 .50301 .51656 .49992 .51409 Metetra
.741 .808 .905 r
.49992 .51409 .50301 .51656 .50861 .51366 .50553 .5111 Metetra
.728 .801 .909 r
.50553 .5111 .50861 .51366 .51423 .51067 .51115 .50833 Metetra
.728 .817 .92 r
.51115 .50833 .51423 .51067 .51985 .50758 .51678 .50558 Metetra
.735 .844 .931 r
.51678 .50558 .51985 .50758 .52547 .50444 .52242 .50272 Metetra
.742 .866 .938 r
.52242 .50272 .52547 .50444 .53111 .5014 .52806 .49973 Metetra
.744 .871 .939 r
.52806 .49973 .53111 .5014 .53675 .49855 .53372 .4967 Metetra
.739 .857 .935 r
.53372 .4967 .53675 .49855 .5424 .49598 .53938 .49376 Metetra
.726 .828 .928 r
.53938 .49376 .5424 .49598 .54806 .49366 .54504 .49103 Metetra
.708 .795 .919 r
.54504 .49103 .54806 .49366 .55373 .49156 .55072 .48857 Metetra
.69 .768 .911 r
.55072 .48857 .55373 .49156 .55942 .48957 .55642 .48637 Metetra
.678 .751 .907 r
.55642 .48637 .55942 .48957 .56512 .48763 .56212 .48437 Metetra
.671 .745 .906 r
.56212 .48437 .56512 .48763 .57082 .4857 .56784 .48247 Metetra
.669 .748 .909 r
.56784 .48247 .57082 .4857 .57654 .48374 .57357 .48059 Metetra
.67 .754 .913 r
.57357 .48059 .57654 .48374 .58227 .48178 .5793 .4787 Metetra
.671 .759 .916 r
.5793 .4787 .58227 .48178 .58802 .47984 .58506 .47678 Metetra
.672 .761 .917 r
.58506 .47678 .58802 .47984 .59377 .47793 .59082 .47484 Metetra
.672 .759 .916 r
.59082 .47484 .59377 .47793 .59954 .47606 .59659 .4729 Metetra
.67 .755 .914 r
.59659 .4729 .59954 .47606 .60532 .47422 .60238 .47098 Metetra
.668 .749 .912 r
.60238 .47098 .60532 .47422 .61111 .47241 .60818 .4691 Metetra
.665 .745 .91 r
.60818 .4691 .61111 .47241 .61691 .47059 .61399 .46725 Metetra
.663 .742 .909 r
.61399 .46725 .61691 .47059 .62273 .46878 .61981 .46543 Metetra
.661 .742 .91 r
.61981 .46543 .62273 .46878 .62856 .46696 .62565 .46364 Metetra
.66 .743 .912 r
.62565 .46364 .62856 .46696 .6344 .46514 .6315 .46186 Metetra
.659 .746 .914 r
.6315 .46186 .6344 .46514 .64025 .46333 .63736 .46009 Metetra
.659 .749 .917 r
.63736 .46009 .64025 .46333 .64611 .46153 .64324 .45831 Metetra
.66 .751 .918 r
.64324 .45831 .64611 .46153 .65199 .45976 .64913 .45652 Metetra
.662 .751 .916 r
.64913 .45652 .65199 .45976 .65789 .458 .65502 .45469 Metetra
.664 .748 .913 r
.65502 .45469 .65789 .458 .66379 .45622 .66093 .45284 Metetra
.663 .743 .91 r
.66093 .45284 .66379 .45622 .66971 .45443 .66686 .45099 Metetra
.659 .739 .909 r
.66686 .45099 .66971 .45443 .67564 .45262 .6728 .4492 Metetra
.651 .737 .913 r
.6728 .4492 .67564 .45262 .68158 .45083 .67875 .44753 Metetra
.638 .741 .923 r
.67875 .44753 .68158 .45083 .68754 .44911 .68473 .44603 Metetra
.621 .75 .938 r
.68473 .44603 .68754 .44911 .69352 .44753 .69073 .4447 Metetra
.604 .763 .955 r
.69073 .4447 .69352 .44753 .69952 .44612 .69676 .44351 Metetra
.593 .776 .967 r
.69676 .44351 .69952 .44612 .70555 .44489 .7028 .44237 Metetra
.594 .783 .971 r
.7028 .44237 .70555 .44489 .7116 .44379 .70885 .44118 Metetra
.604 .78 .965 r
.70885 .44118 .7116 .44379 .71767 .44274 .71492 .43992 Metetra
.611 .767 .954 r
.71492 .43992 .71767 .44274 .72375 .44167 .721 .43863 Metetra
.606 .749 .946 r
.721 .43863 .72375 .44167 .72985 .44055 .7271 .43746 Metetra
.58 .736 .949 r
.7271 .43746 .72985 .44055 .73596 .43945 .73324 .4366 Metetra
.527 .731 .967 r
.73324 .4366 .73596 .43945 .7421 .4385 .73943 .43618 Metetra
.431 .729 .989 r
.73943 .43618 .7421 .4385 .74828 .43784 .74566 .43622 Metetra
.286 .706 .971 r
.74566 .43622 .74828 .43784 .7545 .43758 .75194 .43658 Metetra
.156 .665 .901 r
.75194 .43658 .7545 .43758 .76077 .43769 .75824 .43697 Metetra
.152 .677 .876 r
.75824 .43697 .76077 .43769 .76707 .43802 .76455 .43707 Metetra
.302 .764 .947 r
.76455 .43707 .76707 .43802 .7734 .4383 .77083 .43667 Metetra
.496 .82 1 r
.77083 .43667 .7734 .4383 .77972 .43827 .7771 .43573 Metetra
.6 .79 .972 r
.7771 .43573 .77972 .43827 .78602 .43773 .78335 .43441 Metetra
.626 .743 .932 r
.78335 .43441 .78602 .43773 .79231 .4367 .78961 .433 Metetra
.617 .716 .916 r
.78961 .433 .79231 .4367 .79857 .43531 .7959 .43176 Metetra
.594 .715 .929 r
.7959 .43176 .79857 .43531 .80485 .43382 .80223 .43081 Metetra
.563 .74 .959 r
.80223 .43081 .80485 .43382 .81115 .43242 .8086 .43005 Metetra
.545 .782 .986 r
.8086 .43005 .81115 .43242 .81748 .43119 .81497 .42917 Metetra
.576 .826 .992 r
.81497 .42917 .81748 .43119 .82383 .43001 .82132 .4278 Metetra
.66 .843 .97 r
.82132 .4278 .82383 .43001 .83018 .42862 .82761 .42564 Metetra
.726 .806 .914 r
.82761 .42564 .83018 .42862 .8365 .42674 .83383 .42262 Metetra
.746 .745 .851 r
.83383 .42262 .8365 .42674 .84277 .42417 .83999 .41887 Metetra
.739 .693 .807 r
.83999 .41887 .84277 .42417 .84897 .42089 .84612 .41473 Metetra
.725 .661 .785 r
.84612 .41473 .84897 .42089 .85513 .41705 .85226 .41061 Metetra
.712 .647 .782 r
.85226 .41061 .85513 .41705 .86127 .41295 .85843 .40678 Metetra
.702 .65 .795 r
.85843 .40678 .86127 .41295 .86742 .40891 .86466 .40339 Metetra
.698 .669 .818 r
.86466 .40339 .86742 .40891 .8736 .40514 .87093 .40036 Metetra
.7 .699 .846 r
.87093 .40036 .8736 .40514 .87984 .40174 .87723 .39749 Metetra
.709 .728 .866 r
.87723 .39749 .87984 .40174 .88611 .39864 .88353 .39455 Metetra
.721 .742 .868 r
.88353 .39455 .88611 .39864 .89241 .39566 .88982 .39139 Metetra
.73 .736 .856 r
.88982 .39139 .89241 .39566 .89872 .39266 .89609 .38797 Metetra
.73 .718 .839 r
.89609 .38797 .89872 .39266 .90502 .3895 .90235 .38437 Metetra
.724 .697 .824 r
.90235 .38437 .90502 .3895 .9113 .38619 .90861 .38077 Metetra
.713 .682 .818 r
.90861 .38077 .9113 .38619 .91759 .3828 .91491 .37735 Metetra
.701 .676 .822 r
.91491 .37735 .91759 .3828 .9239 .37945 .92125 .37423 Metetra
.69 .68 .835 r
.92125 .37423 .9239 .37945 .93023 .37627 .92764 .37146 Metetra
.61 .663 .877 r
.34466 .54883 .34788 .55296 .35313 .5522 .3499 .54798 Metetra
.595 .654 .878 r
.3499 .54798 .35313 .5522 .35838 .55141 .35516 .54733 Metetra
.588 .658 .886 r
.35516 .54733 .35838 .55141 .36365 .55053 .36042 .54677 Metetra
.59 .677 .901 r
.36042 .54677 .36365 .55053 .36894 .54954 .3657 .54613 Metetra
.6 .702 .915 r
.3657 .54613 .36894 .54954 .37425 .54854 .371 .5453 Metetra
.612 .718 .92 r
.371 .5453 .37425 .54854 .37956 .54769 .37632 .54431 Metetra
.617 .71 .912 r
.37632 .54431 .37956 .54769 .38487 .5472 .38166 .54326 Metetra
.607 .675 .889 r
.38166 .54326 .38487 .5472 .39017 .5472 .387 .54242 Metetra
.581 .623 .859 r
.387 .54242 .39017 .5472 .39547 .54768 .39233 .54201 Metetra
.549 .573 .831 r
.39233 .54201 .39547 .54768 .40078 .54847 .39766 .5422 Metetra
.52 .538 .815 r
.39766 .5422 .40078 .54847 .4061 .54924 .40299 .54293 Metetra
.501 .527 .815 r
.40299 .54293 .4061 .54924 .41146 .54966 .40832 .54395 Metetra
.499 .547 .837 r
.40832 .54395 .41146 .54966 .41685 .54946 .41368 .54484 Metetra
.521 .605 .878 r
.41368 .54484 .41685 .54946 .42228 .5486 .41908 .54517 Metetra
.567 .693 .926 r
.41908 .54517 .42228 .5486 .42774 .54721 .42452 .54468 Metetra
.626 .775 .952 r
.42452 .54468 .42774 .54721 .43321 .54561 .42999 .54335 Metetra
.672 .807 .948 r
.42999 .54335 .43321 .54561 .4387 .54408 .43549 .54144 Metetra
.687 .783 .924 r
.43549 .54144 .4387 .54408 .44419 .5428 .44101 .53936 Metetra
.673 .729 .892 r
.44101 .53936 .44419 .5428 .44969 .5417 .44654 .53747 Metetra
.648 .68 .866 r
.44654 .53747 .44969 .5417 .4552 .54052 .45206 .53596 Metetra
.632 .658 .857 r
.45206 .53596 .4552 .54052 .46074 .53892 .4576 .53471 Metetra
.636 .677 .871 r
.4576 .53471 .46074 .53892 .4663 .53659 .46314 .53339 Metetra
.667 .743 .907 r
.46314 .53339 .4663 .53659 .47188 .53345 .46871 .53158 Metetra
.719 .848 .943 r
.46871 .53158 .47188 .53345 .47748 .52963 .4743 .52897 Metetra
.762 .94 .941 r
.4743 .52897 .47748 .52963 .48308 .52545 .47991 .52548 Metetra
.785 .978 .91 r
.47991 .52548 .48308 .52545 .48869 .5213 .48554 .52133 Metetra
.805 .977 .901 r
.48554 .52133 .48869 .5213 .4943 .51747 .49117 .5169 Metetra
.811 .944 .912 r
.49117 .5169 .4943 .51747 .49992 .51409 .4968 .51262 Metetra
.79 .884 .913 r
.4968 .51262 .49992 .51409 .50553 .5111 .50243 .50881 Metetra
.756 .824 .905 r
.50243 .50881 .50553 .5111 .51115 .50833 .50806 .50556 Metetra
.727 .787 .9 r
.50806 .50556 .51115 .50833 .51678 .50558 .5137 .50276 Metetra
.714 .782 .905 r
.5137 .50276 .51678 .50558 .52242 .50272 .51935 .50018 Metetra
.716 .803 .918 r
.51935 .50018 .52242 .50272 .52806 .49973 .525 .4976 Metetra
.726 .834 .932 r
.525 .4976 .52806 .49973 .53372 .4967 .53067 .49486 Metetra
.735 .858 .939 r
.53067 .49486 .53372 .4967 .53938 .49376 .53634 .49198 Metetra
.738 .863 .939 r
.53634 .49198 .53938 .49376 .54504 .49103 .54202 .48903 Metetra
.732 .847 .935 r
.54202 .48903 .54504 .49103 .55072 .48857 .54771 .48618 Metetra
.718 .816 .926 r
.54771 .48618 .55072 .48857 .55642 .48637 .5534 .48355 Metetra
.7 .783 .915 r
.5534 .48355 .55642 .48637 .56212 .48437 .55911 .48119 Metetra
.683 .756 .906 r
.55911 .48119 .56212 .48437 .56784 .48247 .56484 .47909 Metetra
.671 .74 .902 r
.56484 .47909 .56784 .48247 .57357 .48059 .57057 .47717 Metetra
.666 .736 .902 r
.57057 .47717 .57357 .48059 .5793 .4787 .57632 .47533 Metetra
.666 .739 .905 r
.57632 .47533 .5793 .4787 .58506 .47678 .58208 .47349 Metetra
.668 .746 .908 r
.58208 .47349 .58506 .47678 .59082 .47484 .58785 .47161 Metetra
.671 .751 .911 r
.58785 .47161 .59082 .47484 .59659 .4729 .59363 .46968 Metetra
.672 .752 .911 r
.59363 .46968 .59659 .4729 .60238 .47098 .59943 .46772 Metetra
.671 .75 .91 r
.59943 .46772 .60238 .47098 .60818 .4691 .60523 .46578 Metetra
.668 .745 .908 r
.60523 .46578 .60818 .4691 .61399 .46725 .61105 .46388 Metetra
.665 .741 .907 r
.61105 .46388 .61399 .46725 .61981 .46543 .61688 .46203 Metetra
.661 .739 .907 r
.61688 .46203 .61981 .46543 .62565 .46364 .62273 .46023 Metetra
.659 .739 .908 r
.62273 .46023 .62565 .46364 .6315 .46186 .62859 .45845 Metetra
.66 .739 .909 r
.62859 .45845 .6315 .46186 .63736 .46009 .63446 .45667 Metetra
.662 .74 .908 r
.63446 .45667 .63736 .46009 .64324 .45831 .64034 .45485 Metetra
.664 .738 .905 r
.64034 .45485 .64324 .45831 .64913 .45652 .64623 .453 Metetra
.665 .735 .902 r
.64623 .453 .64913 .45652 .65502 .45469 .65214 .45112 Metetra
.663 .732 .901 r
.65214 .45112 .65502 .45469 .66093 .45284 .65806 .44928 Metetra
.656 .73 .904 r
.65806 .44928 .66093 .45284 .66686 .45099 .664 .44754 Metetra
.644 .734 .914 r
.664 .44754 .66686 .45099 .6728 .4492 .66995 .44596 Metetra
.629 .743 .929 r
.66995 .44596 .6728 .4492 .67875 .44753 .67593 .44457 Metetra
.614 .756 .946 r
.67593 .44457 .67875 .44753 .68473 .44603 .68193 .4433 Metetra
.604 .771 .96 r
.68193 .4433 .68473 .44603 .69073 .4447 .68795 .44208 Metetra
.606 .78 .964 r
.68795 .44208 .69073 .4447 .69676 .44351 .69398 .4408 Metetra
.618 .778 .957 r
.69398 .4408 .69676 .44351 .7028 .44237 .70002 .43941 Metetra
.628 .764 .944 r
.70002 .43941 .7028 .44237 .70885 .44118 .70607 .43795 Metetra
.625 .744 .932 r
.70607 .43795 .70885 .44118 .71492 .43992 .71214 .43658 Metetra
.604 .729 .933 r
.71214 .43658 .71492 .43992 .721 .43863 .71824 .4355 Metetra
.557 .724 .952 r
.71824 .4355 .721 .43863 .7271 .43746 .72438 .4349 Metetra
.467 .726 .982 r
.72438 .4349 .7271 .43746 .73324 .4366 .73058 .43483 Metetra
.312 .71 .979 r
.73058 .43483 .73324 .4366 .73943 .43618 .73683 .43517 Metetra
.143 .656 .896 r
.73683 .43517 .73943 .43618 .74566 .43622 .7431 .43562 Metetra
.098 .643 .838 r
.7431 .43562 .74566 .43622 .75194 .43658 .74939 .43584 Metetra
.238 .735 .91 r
.74939 .43584 .75194 .43658 .75824 .43697 .75565 .43554 Metetra
.465 .821 .996 r
.75565 .43554 .75824 .43697 .76455 .43707 .7619 .43465 Metetra
.595 .797 .977 r
.7619 .43465 .76455 .43707 .77083 .43667 .76813 .43334 Metetra
.625 .742 .931 r
.76813 .43334 .77083 .43667 .7771 .43573 .77436 .43194 Metetra
.612 .708 .913 r
.77436 .43194 .7771 .43573 .78335 .43441 .78064 .43079 Metetra
.577 .703 .928 r
.78064 .43079 .78335 .43441 .78961 .433 .78697 .43007 Metetra
.52 .727 .968 r
.78697 .43007 .78961 .433 .7959 .43176 .79334 .42971 Metetra
.453 .766 .996 r
.79334 .42971 .7959 .43176 .80223 .43081 .79973 .42936 Metetra
.449 .814 .995 r
.79973 .42936 .80223 .43081 .8086 .43005 .80611 .42855 Metetra
.572 .867 .995 r
.80611 .42855 .8086 .43005 .81497 .42917 .81243 .42688 Metetra
.704 .85 .952 r
.81243 .42688 .81497 .42917 .82132 .4278 .81867 .42417 Metetra
.748 .772 .873 r
.81867 .42417 .82132 .4278 .82761 .42564 .82483 .42056 Metetra
.743 .703 .813 r
.82483 .42056 .82761 .42564 .83383 .42262 .83096 .4164 Metetra
.727 .66 .783 r
.83096 .4164 .83383 .42262 .83999 .41887 .83708 .41219 Metetra
.711 .64 .776 r
.83708 .41219 .83999 .41887 .84612 .41473 .84324 .40832 Metetra
.698 .641 .789 r
.84324 .40832 .84612 .41473 .85226 .41061 .84946 .40496 Metetra
.691 .662 .816 r
.84946 .40496 .85226 .41061 .85843 .40678 .85574 .40205 Metetra
.693 .699 .851 r
.85574 .40205 .85843 .40678 .86466 .40339 .86204 .39935 Metetra
.704 .738 .877 r
.86204 .39935 .86466 .40339 .87093 .40036 .86835 .39656 Metetra
.722 .758 .881 r
.86835 .39656 .87093 .40036 .87723 .39749 .87464 .39345 Metetra
.737 .751 .863 r
.87464 .39345 .87723 .39749 .88353 .39455 .88089 .38994 Metetra
.739 .724 .838 r
.88089 .38994 .88353 .39455 .88982 .39139 .88712 .38614 Metetra
.732 .696 .816 r
.88712 .38614 .88982 .39139 .89609 .38797 .89334 .38227 Metetra
.719 .675 .806 r
.89334 .38227 .89609 .38797 .90235 .38437 .89959 .37856 Metetra
.705 .665 .808 r
.89959 .37856 .90235 .38437 .90861 .38077 .9059 .3752 Metetra
.693 .668 .821 r
.9059 .3752 .90861 .38077 .91491 .37735 .91226 .37227 Metetra
.682 .682 .843 r
.91226 .37227 .91491 .37735 .92125 .37423 .91868 .36973 Metetra
.674 .705 .87 r
.91868 .36973 .92125 .37423 .92764 .37146 .92514 .36744 Metetra
.639 .696 .887 r
.34139 .54512 .34466 .54883 .3499 .54798 .34667 .54382 Metetra
.617 .665 .874 r
.34667 .54382 .3499 .54798 .35516 .54733 .35194 .54285 Metetra
.594 .641 .867 r
.35194 .54285 .35516 .54733 .36042 .54677 .35721 .54223 Metetra
.578 .632 .869 r
.35721 .54223 .36042 .54677 .3657 .54613 .36248 .54185 Metetra
.571 .642 .882 r
.36248 .54185 .3657 .54613 .371 .5453 .36776 .54151 Metetra
.577 .672 .904 r
.36776 .54151 .371 .5453 .37632 .54431 .37306 .54101 Metetra
.594 .709 .923 r
.37306 .54101 .37632 .54431 .38166 .54326 .3784 .54022 Metetra
.614 .732 .93 r
.3784 .54022 .38166 .54326 .387 .54242 .38375 .53916 Metetra
.622 .721 .917 r
.38375 .53916 .387 .54242 .39233 .54201 .38912 .53803 Metetra
.609 .674 .887 r
.38912 .53803 .39233 .54201 .39766 .5422 .3945 .53714 Metetra
.577 .611 .849 r
.3945 .53714 .39766 .5422 .40299 .54293 .39986 .53681 Metetra
.54 .554 .818 r
.39986 .53681 .40299 .54293 .40832 .54395 .40522 .5372 Metetra
.508 .518 .801 r
.40522 .5372 .40832 .54395 .41368 .54484 .41057 .53819 Metetra
.49 .512 .807 r
.41057 .53819 .41368 .54484 .41908 .54517 .41594 .53944 Metetra
.493 .544 .837 r
.41594 .53944 .41908 .54517 .42452 .54468 .42133 .54039 Metetra
.526 .626 .894 r
.42133 .54039 .42452 .54468 .42999 .54335 .42677 .54056 Metetra
.59 .746 .951 r
.42677 .54056 .42999 .54335 .43549 .54144 .43225 .53966 Metetra
.66 .842 .97 r
.43225 .53966 .43549 .54144 .44101 .53936 .43778 .53776 Metetra
.71 .865 .956 r
.43778 .53776 .44101 .53936 .44654 .53747 .44332 .53525 Metetra
.72 .82 .927 r
.44332 .53525 .44654 .53747 .45206 .53596 .44888 .53265 Metetra
.694 .744 .89 r
.44888 .53265 .45206 .53596 .4576 .53471 .45444 .53041 Metetra
.658 .681 .86 r
.45444 .53041 .4576 .53471 .46314 .53339 .46 .5287 Metetra
.637 .656 .852 r
.46 .5287 .46314 .53339 .46871 .53158 .46557 .52736 Metetra
.641 .679 .87 r
.46557 .52736 .46871 .53158 .4743 .52897 .47115 .52594 Metetra
.677 .759 .912 r
.47115 .52594 .4743 .52897 .47991 .52548 .47674 .52397 Metetra
.733 .878 .948 r
.47674 .52397 .47991 .52548 .48554 .52133 .48236 .52111 Metetra
.767 .966 .927 r
.48236 .52111 .48554 .52133 .49117 .5169 .488 .51731 Metetra
.782 .991 .885 r
.488 .51731 .49117 .5169 .4968 .51262 .49365 .51286 Metetra
.806 .986 .888 r
.49365 .51286 .4968 .51262 .50243 .50881 .49931 .50824 Metetra
.813 .945 .91 r
.49931 .50824 .50243 .50881 .50806 .50556 .50496 .5039 Metetra
.785 .872 .912 r
.50496 .5039 .50806 .50556 .5137 .50276 .51061 .50017 Metetra
.743 .804 .9 r
.51061 .50017 .5137 .50276 .51935 .50018 .51627 .49709 Metetra
.712 .766 .895 r
.51627 .49709 .51935 .50018 .525 .4976 .52193 .49451 Metetra
.7 .764 .901 r
.52193 .49451 .525 .4976 .53067 .49486 .52761 .49214 Metetra
.704 .789 .917 r
.52761 .49214 .53067 .49486 .53634 .49198 .53329 .48973 Metetra
.716 .826 .933 r
.53329 .48973 .53634 .49198 .54202 .48903 .53898 .48712 Metetra
.727 .854 .941 r
.53898 .48712 .54202 .48903 .54771 .48618 .54468 .48433 Metetra
.731 .859 .941 r
.54468 .48433 .54771 .48618 .5534 .48355 .55039 .48147 Metetra
.726 .842 .936 r
.55039 .48147 .5534 .48355 .55911 .48119 .5561 .47871 Metetra
.712 .81 .926 r
.5561 .47871 .55911 .48119 .56484 .47909 .56183 .47617 Metetra
.694 .776 .915 r
.56183 .47617 .56484 .47909 .57057 .47717 .56757 .47389 Metetra
.678 .749 .905 r
.56757 .47389 .57057 .47717 .57632 .47533 .57332 .47186 Metetra
.667 .735 .901 r
.57332 .47186 .57632 .47533 .58208 .47349 .57909 .46999 Metetra
.663 .732 .901 r
.57909 .46999 .58208 .47349 .58785 .47161 .58487 .46819 Metetra
.663 .737 .905 r
.58487 .46819 .58785 .47161 .59363 .46968 .59066 .46638 Metetra
.665 .746 .911 r
.59066 .46638 .59363 .46968 .59943 .46772 .59647 .46453 Metetra
.666 .754 .915 r
.59647 .46453 .59943 .46772 .60523 .46578 .60228 .46266 Metetra
.667 .758 .919 r
.60228 .46266 .60523 .46578 .61105 .46388 .60811 .46077 Metetra
.666 .76 .92 r
.60811 .46077 .61105 .46388 .61688 .46203 .61395 .45888 Metetra
.665 .757 .919 r
.61395 .45888 .61688 .46203 .62273 .46023 .6198 .45701 Metetra
.665 .753 .916 r
.6198 .45701 .62273 .46023 .62859 .45845 .62567 .45513 Metetra
.666 .747 .911 r
.62567 .45513 .62859 .45845 .63446 .45667 .63154 .45324 Metetra
.666 .741 .906 r
.63154 .45324 .63446 .45667 .64034 .45485 .63743 .45135 Metetra
.663 .736 .904 r
.63743 .45135 .64034 .45485 .64623 .453 .64333 .4495 Metetra
.657 .735 .907 r
.64333 .4495 .64623 .453 .65214 .45112 .64925 .44773 Metetra
.647 .738 .916 r
.64925 .44773 .65214 .45112 .65806 .44928 .65519 .44611 Metetra
.633 .748 .931 r
.65519 .44611 .65806 .44928 .664 .44754 .66115 .44465 Metetra
.618 .763 .948 r
.66115 .44465 .664 .44754 .66995 .44596 .66712 .44332 Metetra
.609 .778 .962 r
.66712 .44332 .66995 .44596 .67593 .44457 .67312 .44202 Metetra
.612 .788 .965 r
.67312 .44202 .67593 .44457 .68193 .4433 .67912 .44065 Metetra
.628 .785 .957 r
.67912 .44065 .68193 .4433 .68795 .44208 .68514 .43913 Metetra
.642 .769 .94 r
.68514 .43913 .68795 .44208 .69398 .4408 .69116 .4375 Metetra
.642 .746 .924 r
.69116 .4375 .69398 .4408 .70002 .43941 .69719 .43592 Metetra
.624 .726 .921 r
.69719 .43592 .70002 .43941 .70607 .43795 .70326 .43461 Metetra
.582 .719 .938 r
.70326 .43461 .70607 .43795 .71214 .43658 .70937 .43379 Metetra
.5 .724 .973 r
.70937 .43379 .71214 .43658 .71824 .4355 .71553 .43358 Metetra
.345 .716 .985 r
.71553 .43358 .71824 .4355 .72438 .4349 .72174 .43386 Metetra
.143 .654 .898 r
.72174 .43386 .72438 .4349 .73058 .43483 .72799 .43434 Metetra
.056 .615 .805 r
.72799 .43434 .73058 .43483 .73683 .43517 .73425 .43463 Metetra
.18 .704 .868 r
.73425 .43463 .73683 .43517 .7431 .43562 .74049 .43439 Metetra
.438 .822 .989 r
.74049 .43439 .7431 .43562 .74939 .43584 .74671 .43351 Metetra
.596 .805 .98 r
.74671 .43351 .74939 .43584 .75565 .43554 .75291 .43215 Metetra
.63 .74 .927 r
.75291 .43215 .75565 .43554 .7619 .43465 .75912 .43069 Metetra
.613 .698 .905 r
.75912 .43069 .7619 .43465 .76813 .43334 .76538 .42955 Metetra
.567 .688 .922 r
.76538 .42955 .76813 .43334 .77436 .43194 .77169 .429 Metetra
.481 .707 .969 r
.77169 .429 .77436 .43194 .78064 .43079 .77806 .429 Metetra
.34 .727 .984 r
.77806 .429 .78064 .43079 .78697 .43007 .78447 .42918 Metetra
.248 .735 .925 r
.78447 .42918 .78697 .43007 .79334 .42971 .79087 .42897 Metetra
.387 .827 .948 r
.79087 .42897 .79334 .42971 .79973 .42936 .79722 .42785 Metetra
.646 .893 .984 r
.79722 .42785 .79973 .42936 .80611 .42855 .80348 .42552 Metetra
.748 .809 .901 r
.80348 .42552 .80611 .42855 .81243 .42688 .80965 .42208 Metetra
.749 .716 .821 r
.80965 .42208 .81243 .42688 .81867 .42417 .81577 .41792 Metetra
.729 .659 .781 r
.81577 .41792 .81867 .42417 .82483 .42056 .82188 .41363 Metetra
.709 .633 .77 r
.82188 .41363 .82483 .42056 .83096 .4164 .82803 .4097 Metetra
.693 .631 .782 r
.82803 .4097 .83096 .4164 .83708 .41219 .83425 .40639 Metetra
.683 .653 .814 r
.83425 .40639 .83708 .41219 .84324 .40832 .84053 .40366 Metetra
.682 .698 .858 r
.84053 .40366 .84324 .40832 .84946 .40496 .84685 .40122 Metetra
.695 .751 .895 r
.84685 .40122 .84946 .40496 .85574 .40205 .85317 .39866 Metetra
.72 .782 .901 r
.85317 .39866 .85574 .40205 .86204 .39935 .85946 .39567 Metetra
.744 .772 .876 r
.85946 .39567 .86204 .39935 .86835 .39656 .8657 .39213 Metetra
.75 .736 .839 r
.8657 .39213 .86835 .39656 .87464 .39345 .8719 .38812 Metetra
.741 .696 .809 r
.8719 .38812 .87464 .39345 .88089 .38994 .87809 .38394 Metetra
.725 .668 .793 r
.87809 .38394 .88089 .38994 .88712 .38614 .88429 .3799 Metetra
.709 .653 .792 r
.88429 .3799 .88712 .38614 .89334 .38227 .89055 .37626 Metetra
.694 .654 .806 r
.89055 .37626 .89334 .38227 .89959 .37856 .89688 .37314 Metetra
.682 .669 .831 r
.89688 .37314 .89959 .37856 .9059 .3752 .90328 .37052 Metetra
.673 .696 .863 r
.90328 .37052 .9059 .3752 .91226 .37227 .90973 .36824 Metetra
.669 .728 .894 r
.90973 .36824 .91226 .37227 .91868 .36973 .91621 .3661 Metetra
.67 .753 .913 r
.91621 .3661 .91868 .36973 .92514 .36744 .9227 .36394 Metetra
.668 .751 .913 r
.33808 .54218 .34139 .54512 .34667 .54382 .34338 .54044 Metetra
.655 .721 .898 r
.34338 .54044 .34667 .54382 .35194 .54285 .34869 .53889 Metetra
.632 .682 .879 r
.34869 .53889 .35194 .54285 .35721 .54223 .35399 .53769 Metetra
.603 .643 .863 r
.35399 .53769 .35721 .54223 .36248 .54185 .35928 .53694 Metetra
.576 .616 .855 r
.35928 .53694 .36248 .54185 .36776 .54151 .36457 .53661 Metetra
.558 .608 .859 r
.36457 .53661 .36776 .54151 .37306 .54101 .36985 .53654 Metetra
.552 .626 .879 r
.36985 .53654 .37306 .54101 .3784 .54022 .37515 .53645 Metetra
.564 .67 .909 r
.37515 .53645 .3784 .54022 .38375 .53916 .38049 .53608 Metetra
.59 .723 .936 r
.38049 .53608 .38375 .53916 .38912 .53803 .38585 .53527 Metetra
.619 .755 .943 r
.38585 .53527 .38912 .53803 .3945 .53714 .39124 .53407 Metetra
.632 .738 .925 r
.39124 .53407 .3945 .53714 .39986 .53681 .39665 .53279 Metetra
.614 .675 .885 r
.39665 .53279 .39986 .53681 .40522 .5372 .40206 .53182 Metetra
.575 .598 .839 r
.40206 .53182 .40522 .5372 .41057 .53819 .40746 .53155 Metetra
.532 .534 .803 r
.40746 .53155 .41057 .53819 .41594 .53944 .41284 .53215 Metetra
.498 .498 .788 r
.41284 .53215 .41594 .53944 .42133 .54039 .41822 .53342 Metetra
.481 .498 .798 r
.41822 .53342 .42133 .54039 .42677 .54056 .42362 .53488 Metetra
.49 .546 .841 r
.42362 .53488 .42677 .54056 .43225 .53966 .42905 .53585 Metetra
.537 .66 .915 r
.42905 .53585 .43225 .53966 .43778 .53776 .43453 .53576 Metetra
.616 .816 .977 r
.43453 .53576 .43778 .53776 .44332 .53525 .44006 .53434 Metetra
.692 .915 .971 r
.44006 .53434 .44332 .53525 .44888 .53265 .44563 .53177 Metetra
.746 .923 .95 r
.44563 .53177 .44888 .53265 .45444 .53041 .45123 .52859 Metetra
.752 .854 .926 r
.45123 .52859 .45444 .53041 .46 .5287 .45682 .52546 Metetra
.711 .753 .885 r
.45682 .52546 .46 .5287 .46557 .52736 .46242 .5229 Metetra
.664 .677 .853 r
.46242 .5229 .46557 .52736 .47115 .52594 .46801 .52106 Metetra
.637 .649 .845 r
.46801 .52106 .47115 .52594 .47674 .52397 .4736 .51968 Metetra
.643 .678 .868 r
.4736 .51968 .47674 .52397 .48236 .52111 .47921 .51823 Metetra
.684 .772 .918 r
.47921 .51823 .48236 .52111 .488 .51731 .48484 .51614 Metetra
.742 .906 .95 r
.48484 .51614 .488 .51731 .49365 .51286 .49049 .51305 Metetra
.763 .984 .905 r
.49049 .51305 .49365 .51286 .49931 .50824 .49615 .50899 Metetra
.772 .996 .857 r
.49615 .50899 .49931 .50824 .50496 .5039 .50182 .5043 Metetra
.805 .991 .877 r
.50182 .5043 .50496 .5039 .51061 .50017 .5075 .49953 Metetra
.813 .943 .911 r
.5075 .49953 .51061 .50017 .51627 .49709 .51317 .4952 Metetra
.776 .856 .91 r
.51317 .4952 .51627 .49709 .52193 .49451 .51885 .4916 Metetra
.728 .782 .895 r
.51885 .4916 .52193 .49451 .52761 .49214 .52453 .48873 Metetra
.696 .745 .889 r
.52453 .48873 .52761 .49214 .53329 .48973 .53022 .48639 Metetra
.685 .746 .898 r
.53022 .48639 .53329 .48973 .53898 .48712 .53592 .48425 Metetra
.692 .778 .917 r
.53592 .48425 .53898 .48712 .54468 .48433 .54163 .48201 Metetra
.707 .821 .935 r
.54163 .48201 .54468 .48433 .55039 .48147 .54735 .47953 Metetra
.72 .852 .944 r
.54735 .47953 .55039 .48147 .5561 .47871 .55308 .47683 Metetra
.725 .858 .944 r
.55308 .47683 .5561 .47871 .56183 .47617 .55882 .47405 Metetra
.72 .84 .938 r
.55882 .47405 .56183 .47617 .56757 .47389 .56456 .47136 Metetra
.706 .807 .928 r
.56456 .47136 .56757 .47389 .57332 .47186 .57032 .46888 Metetra
.688 .772 .916 r
.57032 .46888 .57332 .47186 .57909 .46999 .57609 .46669 Metetra
.671 .747 .908 r
.57609 .46669 .57909 .46999 .58487 .46819 .58188 .46474 Metetra
.66 .736 .906 r
.58188 .46474 .58487 .46819 .59066 .46638 .58768 .46296 Metetra
.656 .736 .909 r
.58768 .46296 .59066 .46638 .59647 .46453 .5935 .46125 Metetra
.657 .745 .915 r
.5935 .46125 .59647 .46453 .60228 .46266 .59932 .45951 Metetra
.661 .756 .921 r
.59932 .45951 .60228 .46266 .60811 .46077 .60516 .4577 Metetra
.667 .764 .922 r
.60516 .4577 .60811 .46077 .61395 .45888 .61101 .45579 Metetra
.672 .764 .919 r
.61101 .45579 .61395 .45888 .6198 .45701 .61687 .4538 Metetra
.674 .758 .914 r
.61687 .4538 .6198 .45701 .62567 .45513 .62274 .45178 Metetra
.672 .748 .908 r
.62274 .45178 .62567 .45513 .63154 .45324 .62862 .4498 Metetra
.664 .74 .907 r
.62862 .4498 .63154 .45324 .63743 .45135 .63452 .44792 Metetra
.653 .738 .912 r
.63452 .44792 .63743 .45135 .64333 .4495 .64043 .44622 Metetra
.639 .743 .924 r
.64043 .44622 .64333 .4495 .64925 .44773 .64637 .4447 Metetra
.625 .755 .94 r
.64637 .4447 .64925 .44773 .65519 .44611 .65232 .44332 Metetra
.617 .77 .954 r
.65232 .44332 .65519 .44611 .66115 .44465 .6583 .44198 Metetra
.622 .781 .958 r
.6583 .44198 .66115 .44465 .66712 .44332 .66428 .44054 Metetra
.638 .78 .949 r
.66428 .44054 .66712 .44332 .67312 .44202 .67027 .43893 Metetra
.654 .763 .93 r
.67027 .43893 .67312 .44202 .67912 .44065 .67626 .43715 Metetra
.656 .738 .91 r
.67626 .43715 .67912 .44065 .68514 .43913 .68227 .43537 Metetra
.641 .717 .903 r
.68227 .43537 .68514 .43913 .69116 .4375 .68831 .43383 Metetra
.605 .708 .917 r
.68831 .43383 .69116 .4375 .69719 .43592 .69438 .4328 Metetra
.534 .715 .956 r
.69438 .4328 .69719 .43592 .70326 .43461 .70051 .43241 Metetra
.392 .72 .988 r
.70051 .43241 .70326 .43461 .70937 .43379 .70668 .43261 Metetra
.172 .666 .918 r
.70668 .43261 .70937 .43379 .71553 .43358 .7129 .43309 Metetra
.042 .604 .796 r
.7129 .43309 .71553 .43358 .72174 .43386 .71913 .43343 Metetra
.143 .681 .838 r
.71913 .43343 .72174 .43386 .72799 .43434 .72535 .43324 Metetra
.42 .822 .981 r
.72535 .43324 .72799 .43434 .73425 .43463 .73154 .43234 Metetra
.604 .811 .98 r
.73154 .43234 .73425 .43463 .74049 .43439 .73771 .43089 Metetra
.64 .737 .919 r
.73771 .43089 .74049 .43439 .74671 .43351 .74389 .4293 Metetra
.619 .687 .892 r
.74389 .4293 .74671 .43351 .75291 .43215 .75012 .42809 Metetra
.565 .672 .911 r
.75012 .42809 .75291 .43215 .75912 .43069 .75641 .42764 Metetra
.452 .684 .965 r
.75641 .42764 .75912 .43069 .76538 .42955 .76278 .42794 Metetra
.217 .666 .95 r
.76278 .42794 .76538 .42955 .77169 .429 .76919 .42864 Metetra
.001 .574 .76 r
.76919 .42864 .77169 .429 .77806 .429 .77562 .42905 Metetra
.093 .651 .746 r
.77562 .42905 .77806 .429 .78447 .42918 .78199 .42853 Metetra
.499 .89 .956 r
.78199 .42853 .78447 .42918 .79087 .42897 .78827 .42664 Metetra
.74 .856 .934 r
.78827 .42664 .79087 .42897 .79722 .42785 .79445 .42341 Metetra
.755 .733 .832 r
.79445 .42341 .79722 .42785 .80348 .42552 .80056 .41926 Metetra
.731 .66 .779 r
.80056 .41926 .80348 .42552 .80965 .42208 .80666 .41487 Metetra
.707 .625 .764 r
.80666 .41487 .80965 .42208 .81577 .41792 .8128 .41087 Metetra
.687 .619 .775 r
.8128 .41087 .81577 .41792 .82188 .41363 .81901 .40763 Metetra
.672 .642 .811 r
.81901 .40763 .82188 .41363 .82803 .4097 .8253 .40514 Metetra
.667 .696 .868 r
.8253 .40514 .82803 .4097 .83425 .40639 .83164 .40303 Metetra
.676 .767 .92 r
.83164 .40303 .83425 .40639 .84053 .40366 .83798 .40082 Metetra
.71 .814 .93 r
.83798 .40082 .84053 .40366 .84685 .40122 .84428 .39804 Metetra
.749 .804 .897 r
.84428 .39804 .84685 .40122 .85317 .39866 .85052 .39452 Metetra
.762 .753 .845 r
.85052 .39452 .85317 .39866 .85946 .39567 .85669 .39033 Metetra
.751 .7 .803 r
.85669 .39033 .85946 .39567 .8657 .39213 .86284 .38581 Metetra
.732 .661 .781 r
.86284 .38581 .8657 .39213 .8719 .38812 .869 .38139 Metetra
.712 .641 .776 r
.869 .38139 .8719 .38812 .87809 .38394 .87522 .37741 Metetra
.695 .639 .789 r
.87522 .37741 .87809 .38394 .88429 .3799 .88151 .37408 Metetra
.682 .654 .817 r
.88151 .37408 .88429 .3799 .89055 .37626 .88788 .37137 Metetra
.671 .686 .855 r
.88788 .37137 .89055 .37626 .89688 .37314 .89432 .3691 Metetra
.666 .726 .894 r
.89432 .3691 .89688 .37314 .90328 .37052 .90079 .36702 Metetra
.667 .76 .919 r
.90079 .36702 .90328 .37052 .90973 .36824 .90727 .3649 Metetra
.678 .775 .924 r
.90727 .3649 .90973 .36824 .91621 .3661 .91375 .3626 Metetra
.69 .77 .913 r
.91375 .3626 .91621 .3661 .9227 .36394 .92021 .3601 Metetra
.666 .773 .93 r
.33473 .53956 .33808 .54218 .34338 .54044 .34004 .53783 Metetra
.674 .776 .927 r
.34004 .53783 .34338 .54044 .34869 .53889 .34537 .53598 Metetra
.671 .756 .914 r
.34537 .53598 .34869 .53889 .35399 .53769 .35071 .53418 Metetra
.653 .714 .893 r
.35071 .53418 .35399 .53769 .35928 .53694 .35605 .53265 Metetra
.622 .663 .869 r
.35605 .53265 .35928 .53694 .36457 .53661 .36137 .53159 Metetra
.587 .616 .848 r
.36137 .53159 .36457 .53661 .36985 .53654 .36667 .53111 Metetra
.555 .586 .84 r
.36667 .53111 .36985 .53654 .37515 .53645 .37197 .53114 Metetra
.535 .581 .848 r
.37197 .53114 .37515 .53645 .38049 .53608 .37728 .53143 Metetra
.532 .609 .876 r
.37728 .53143 .38049 .53608 .38585 .53527 .3826 .53162 Metetra
.551 .673 .919 r
.3826 .53162 .38585 .53527 .39124 .53407 .38796 .53135 Metetra
.589 .749 .954 r
.38796 .53135 .39124 .53407 .39665 .53279 .39336 .53045 Metetra
.63 .79 .959 r
.39336 .53045 .39665 .53279 .40206 .53182 .3988 .52903 Metetra
.647 .763 .933 r
.3988 .52903 .40206 .53182 .40746 .53155 .40424 .5275 Metetra
.623 .679 .882 r
.40424 .5275 .40746 .53155 .41284 .53215 .40969 .5264 Metetra
.573 .585 .827 r
.40969 .5264 .41284 .53215 .41822 .53342 .41512 .52618 Metetra
.524 .515 .788 r
.41512 .52618 .41822 .53342 .42362 .53488 .42053 .52701 Metetra
.488 .479 .774 r
.42053 .52701 .42362 .53488 .42905 .53585 .42595 .52858 Metetra
.472 .486 .791 r
.42595 .52858 .42905 .53585 .43453 .53576 .43138 .53024 Metetra
.489 .553 .848 r
.43138 .53024 .43453 .53576 .44006 .53434 .43685 .53117 Metetra
.552 .708 .944 r
.43685 .53117 .44006 .53434 .44563 .53177 .44237 .53072 Metetra
.639 .895 .985 r
.44237 .53072 .44563 .53177 .45123 .52859 .44795 .52867 Metetra
.703 .971 .929 r
.44795 .52867 .45123 .52859 .45682 .52546 .45357 .52535 Metetra
.772 .969 .923 r
.45357 .52535 .45682 .52546 .46242 .5229 .4592 .52145 Metetra
.782 .883 .919 r
.4592 .52145 .46242 .5229 .46801 .52106 .46483 .5178 Metetra
.724 .756 .878 r
.46483 .5178 .46801 .52106 .4736 .51968 .47046 .51497 Metetra
.664 .667 .843 r
.47046 .51497 .4736 .51968 .47921 .51823 .47608 .51306 Metetra
.634 .637 .836 r
.47608 .51306 .47921 .51823 .48484 .51614 .4817 .51173 Metetra
.641 .672 .865 r
.4817 .51173 .48484 .51614 .49049 .51305 .48734 .5103 Metetra
.689 .783 .922 r
.48734 .5103 .49049 .51305 .49615 .50899 .49299 .50812 Metetra
.746 .93 .949 r
.49299 .50812 .49615 .50899 .50182 .5043 .49867 .50485 Metetra
.751 .992 .877 r
.49867 .50485 .50182 .5043 .5075 .49953 .50436 .50055 Metetra
.76 .996 .829 r
.50436 .50055 .5075 .49953 .51317 .4952 .51005 .49566 Metetra
.805 .994 .871 r
.51005 .49566 .51317 .4952 .51885 .4916 .51575 .4908 Metetra
.812 .934 .912 r
.51575 .4908 .51885 .4916 .52453 .48873 .52144 .4865 Metetra
.765 .834 .905 r
.52144 .4865 .52453 .48873 .53022 .48639 .52714 .48305 Metetra
.712 .754 .885 r
.52714 .48305 .53022 .48639 .53592 .48425 .53285 .48041 Metetra
.68 .717 .877 r
.53285 .48041 .53592 .48425 .54163 .48201 .53857 .47829 Metetra
.672 .722 .886 r
.53857 .47829 .54163 .48201 .54735 .47953 .5443 .47633 Metetra
.683 .756 .907 r
.5443 .47633 .54735 .47953 .55308 .47683 .55004 .47421 Metetra
.701 .8 .926 r
.55004 .47421 .55308 .47683 .55882 .47405 .55579 .47181 Metetra
.717 .831 .935 r
.55579 .47181 .55882 .47405 .56456 .47136 .56155 .46916 Metetra
.722 .836 .935 r
.56155 .46916 .56456 .47136 .57032 .46888 .56731 .46643 Metetra
.715 .816 .928 r
.56731 .46643 .57032 .46888 .57609 .46669 .57309 .46381 Metetra
.699 .783 .916 r
.57309 .46381 .57609 .46669 .58188 .46474 .57888 .46142 Metetra
.681 .75 .904 r
.57888 .46142 .58188 .46474 .58768 .46296 .58468 .45931 Metetra
.667 .726 .894 r
.58468 .45931 .58768 .46296 .5935 .46125 .5905 .45741 Metetra
.66 .714 .888 r
.5905 .45741 .5935 .46125 .59932 .45951 .59633 .45562 Metetra
.66 .711 .886 r
.59633 .45562 .59932 .45951 .60516 .4577 .60218 .45382 Metetra
.664 .714 .886 r
.60218 .45382 .60516 .4577 .61101 .45579 .60804 .45196 Metetra
.667 .718 .887 r
.60804 .45196 .61101 .45579 .61687 .4538 .6139 .45004 Metetra
.666 .722 .891 r
.6139 .45004 .61687 .4538 .62274 .45178 .61978 .44813 Metetra
.66 .727 .899 r
.61978 .44813 .62274 .45178 .62862 .4498 .62568 .44633 Metetra
.649 .734 .912 r
.62568 .44633 .62862 .4498 .63452 .44792 .63159 .44469 Metetra
.636 .745 .928 r
.63159 .44469 .63452 .44792 .64043 .44622 .63753 .44321 Metetra
.627 .758 .941 r
.63753 .44321 .64043 .44622 .64637 .4447 .64348 .44179 Metetra
.63 .767 .945 r
.64348 .44179 .64637 .4447 .65232 .44332 .64944 .44031 Metetra
.645 .765 .936 r
.64944 .44031 .65232 .44332 .6583 .44198 .65541 .43866 Metetra
.66 .75 .917 r
.65541 .43866 .6583 .44198 .66428 .44054 .66138 .43681 Metetra
.664 .727 .896 r
.66138 .43681 .66428 .44054 .67027 .43893 .66737 .43491 Metetra
.652 .707 .887 r
.66737 .43491 .67027 .43893 .67626 .43715 .67337 .4332 Metetra
.621 .698 .9 r
.67337 .4332 .67626 .43715 .68227 .43537 .67941 .43198 Metetra
.559 .707 .94 r
.67941 .43198 .68227 .43537 .68831 .43383 .68551 .43143 Metetra
.427 .721 .986 r
.68551 .43143 .68831 .43383 .69438 .4328 .69165 .43153 Metetra
.192 .674 .93 r
.69165 .43153 .69438 .4328 .70051 .43241 .69783 .43199 Metetra
.02 .588 .777 r
.69783 .43199 .70051 .43241 .70668 .43261 .70403 .43236 Metetra
.097 .652 .795 r
.70403 .43236 .70668 .43261 .7129 .43309 .71023 .43218 Metetra
.398 .822 .966 r
.71023 .43218 .7129 .43309 .71913 .43343 .71639 .43124 Metetra
.614 .822 .98 r
.71639 .43124 .71913 .43343 .72535 .43324 .72254 .42965 Metetra
.653 .736 .91 r
.72254 .42965 .72535 .43324 .73154 .43234 .72868 .42787 Metetra
.629 .678 .878 r
.72868 .42787 .73154 .43234 .73771 .43089 .73487 .42651 Metetra
.57 .657 .895 r
.73487 .42651 .73771 .43089 .74389 .4293 .74113 .42606 Metetra
.437 .662 .956 r
.74113 .42606 .74389 .4293 .75012 .42809 .74749 .4266 Metetra
.103 .596 .903 r
.74749 .4266 .75012 .42809 .75641 .42764 .75391 .42776 Metetra
.223 0 0 r
.75391 .42776 .75641 .42764 .76278 .42794 .76034 .42881 Metetra
.196 0 0 r
.76034 .42881 .76278 .42794 .76919 .42864 .76673 .42892 Metetra
.216 .738 .761 r
.76673 .42892 .76919 .42864 .77562 .42905 .77303 .42752 Metetra
.71 .909 .965 r
.77303 .42752 .77562 .42905 .78199 .42853 .77922 .42452 Metetra
.762 .756 .847 r
.77922 .42452 .78199 .42853 .78827 .42664 .78533 .42038 Metetra
.735 .662 .778 r
.78533 .42038 .78827 .42664 .79445 .42341 .79141 .41587 Metetra
.705 .618 .756 r
.79141 .41587 .79445 .42341 .80056 .41926 .79754 .41179 Metetra
.68 .607 .766 r
.79754 .41179 .80056 .41926 .80666 .41487 .80374 .40862 Metetra
.66 .628 .807 r
.80374 .40862 .80666 .41487 .8128 .41087 .81005 .40641 Metetra
.644 .69 .879 r
.81005 .40641 .8128 .41087 .81901 .40763 .81641 .40473 Metetra
.64 .786 .951 r
.81641 .40473 .81901 .40763 .8253 .40514 .82278 .40297 Metetra
.678 .856 .967 r
.82278 .40297 .8253 .40514 .83164 .40303 .8291 .40053 Metetra
.749 .851 .926 r
.8291 .40053 .83164 .40303 .83798 .40082 .83534 .3971 Metetra
.776 .78 .856 r
.83534 .3971 .83798 .40082 .84428 .39804 .8415 .39275 Metetra
.762 .706 .799 r
.8415 .39275 .84428 .39804 .85052 .39452 .84761 .38788 Metetra
.738 .656 .768 r
.84761 .38788 .85052 .39452 .85669 .39033 .85372 .38302 Metetra
.715 .629 .76 r
.85372 .38302 .85669 .39033 .86284 .38581 .85989 .37866 Metetra
.696 .623 .772 r
.85989 .37866 .86284 .38581 .869 .38139 .86615 .37508 Metetra
.68 .638 .801 r
.86615 .37508 .869 .38139 .87522 .37741 .8725 .37228 Metetra
.668 .673 .846 r
.8725 .37228 .87522 .37741 .88151 .37408 .87892 .37004 Metetra
.66 .723 .896 r
.87892 .37004 .88151 .37408 .88788 .37137 .88539 .36805 Metetra
.662 .769 .929 r
.88539 .36805 .88788 .37137 .89432 .3691 .89186 .36601 Metetra
.677 .791 .935 r
.89186 .36601 .89432 .3691 .90079 .36702 .89832 .36371 Metetra
.695 .784 .919 r
.89832 .36371 .90079 .36702 .90727 .3649 .90476 .36113 Metetra
.705 .759 .894 r
.90476 .36113 .90727 .3649 .91375 .3626 .91119 .35833 Metetra
.703 .731 .873 r
.91119 .35833 .91375 .3626 .92021 .3601 .91762 .35548 Metetra
.64 .737 .919 r
.3314 .53649 .33473 .53956 .34004 .53783 .33669 .53512 Metetra
.653 .766 .932 r
.33669 .53512 .34004 .53783 .34537 .53598 .34202 .53355 Metetra
.669 .789 .938 r
.34202 .53355 .34537 .53598 .35071 .53418 .34736 .53174 Metetra
.68 .79 .933 r
.34736 .53174 .35071 .53418 .35605 .53265 .35272 .52979 Metetra
.675 .761 .915 r
.35272 .52979 .35605 .53265 .36137 .53159 .35809 .52791 Metetra
.65 .705 .887 r
.35809 .52791 .36137 .53159 .36667 .53111 .36345 .5264 Metetra
.61 .641 .856 r
.36345 .5264 .36667 .53111 .37197 .53114 .3688 .52552 Metetra
.567 .585 .831 r
.3688 .52552 .37197 .53114 .37728 .53143 .37412 .52538 Metetra
.531 .553 .822 r
.37412 .52538 .37728 .53143 .3826 .53162 .37943 .52585 Metetra
.509 .552 .835 r
.37943 .52585 .3826 .53162 .38796 .53135 .38475 .52657 Metetra
.509 .594 .874 r
.38475 .52657 .38796 .53135 .39336 .53045 .3901 .52704 Metetra
.537 .684 .934 r
.3901 .52704 .39336 .53045 .3988 .52903 .39549 .52682 Metetra
.589 .79 .976 r
.39549 .52682 .3988 .52903 .40424 .5275 .40094 .52573 Metetra
.646 .84 .975 r
.40094 .52573 .40424 .5275 .40969 .5264 .40641 .52398 Metetra
.669 .796 .942 r
.40641 .52398 .40969 .5264 .41512 .52618 .41191 .52211 Metetra
.634 .683 .879 r
.41191 .52211 .41512 .52618 .42053 .52701 .41739 .52083 Metetra
.572 .571 .814 r
.41739 .52083 .42053 .52701 .42595 .52858 .42285 .52066 Metetra
.516 .495 .772 r
.42285 .52066 .42595 .52858 .43138 .53024 .4283 .52173 Metetra
.478 .461 .76 r
.4283 .52173 .43138 .53024 .43685 .53117 .43374 .52361 Metetra
.465 .475 .784 r
.43374 .52361 .43685 .53117 .44237 .53072 .4392 .52546 Metetra
.489 .565 .859 r
.4392 .52546 .44237 .53072 .44795 .52867 .44472 .52629 Metetra
.57 .775 .975 r
.44472 .52629 .44795 .52867 .45357 .52535 .45029 .5254 Metetra
.63 .952 .935 r
.45029 .5254 .45357 .52535 .4592 .52145 .45591 .52262 Metetra
.672 .974 .821 r
.45591 .52262 .4592 .52145 .46483 .5178 .46157 .51846 Metetra
.781 .995 .87 r
.46157 .51846 .46483 .5178 .47046 .51497 .46724 .51383 Metetra
.806 .906 .91 r
.46724 .51383 .47046 .51497 .47608 .51306 .47291 .50969 Metetra
.731 .753 .87 r
.47291 .50969 .47608 .51306 .4817 .51173 .47856 .50666 Metetra
.66 .653 .832 r
.47856 .50666 .4817 .51173 .48734 .5103 .48421 .50479 Metetra
.626 .622 .827 r
.48421 .50479 .48734 .5103 .49299 .50812 .48986 .50357 Metetra
.635 .665 .862 r
.48986 .50357 .49299 .50812 .49867 .50485 .49552 .50223 Metetra
.689 .794 .93 r
.49552 .50223 .49867 .50485 .50436 .50055 .50121 .50003 Metetra
.741 .952 .945 r
.50121 .50003 .50436 .50055 .51005 .49566 .50691 .49663 Metetra
.72 .988 .834 r
.50691 .49663 .51005 .49566 .51575 .4908 .51262 .49215 Metetra
.729 .986 .789 r
.51262 .49215 .51575 .4908 .52144 .4865 .51834 .48712 Metetra
.793 .997 .859 r
.51834 .48712 .52144 .4865 .52714 .48305 .52405 .48222 Metetra
.806 .935 .916 r
.52405 .48222 .52714 .48305 .53285 .48041 .52977 .47802 Metetra
.753 .823 .907 r
.52977 .47802 .53285 .48041 .53857 .47829 .5355 .47476 Metetra
.697 .741 .885 r
.5355 .47476 .53857 .47829 .5443 .47633 .54123 .47237 Metetra
.665 .707 .879 r
.54123 .47237 .5443 .47633 .55004 .47421 .54698 .4705 Metetra
.658 .719 .894 r
.54698 .4705 .55004 .47421 .55579 .47181 .55275 .46877 Metetra
.669 .764 .921 r
.55275 .46877 .55579 .47181 .56155 .46916 .55852 .46685 Metetra
.687 .821 .947 r
.55852 .46685 .56155 .46916 .56731 .46643 .5643 .46461 Metetra
.701 .862 .959 r
.5643 .46461 .56731 .46643 .57309 .46381 .57009 .46211 Metetra
.707 .873 .959 r
.57009 .46211 .57309 .46381 .57888 .46142 .57589 .45948 Metetra
.707 .855 .953 r
.57589 .45948 .57888 .46142 .58468 .45931 .58169 .45691 Metetra
.698 .819 .94 r
.58169 .45691 .58468 .45931 .5905 .45741 .58751 .45451 Metetra
.684 .78 .924 r
.58751 .45451 .5905 .45741 .59633 .45562 .59335 .45234 Metetra
.67 .752 .912 r
.59335 .45234 .59633 .45562 .60218 .45382 .5992 .45038 Metetra
.658 .739 .91 r
.5992 .45038 .60218 .45382 .60804 .45196 .60507 .44862 Metetra
.647 .741 .918 r
.60507 .44862 .60804 .45196 .6139 .45004 .61095 .447 Metetra
.635 .758 .937 r
.61095 .447 .6139 .45004 .61978 .44813 .61685 .4455 Metetra
.622 .783 .959 r
.61685 .4455 .61978 .44813 .62568 .44633 .62277 .44406 Metetra
.614 .809 .975 r
.62277 .44406 .62568 .44633 .63159 .44469 .6287 .44259 Metetra
.62 .825 .979 r
.6287 .44259 .63159 .44469 .63753 .44321 .63464 .44098 Metetra
.645 .824 .969 r
.63464 .44098 .63753 .44321 .64348 .44179 .64058 .43915 Metetra
.671 .8 .944 r
.64058 .43915 .64348 .44179 .64944 .44031 .64653 .4371 Metetra
.679 .764 .915 r
.64653 .4371 .64944 .44031 .65541 .43866 .65249 .43497 Metetra
.667 .731 .897 r
.65249 .43497 .65541 .43866 .66138 .43681 .65847 .43302 Metetra
.636 .714 .903 r
.65847 .43302 .66138 .43681 .66737 .43491 .66448 .43156 Metetra
.575 .717 .939 r
.66448 .43156 .66737 .43491 .67337 .4332 .67054 .43081 Metetra
.445 .731 .988 r
.67054 .43081 .67337 .4332 .67941 .43198 .67665 .43077 Metetra
.19 .677 .926 r
.67665 .43077 .67941 .43198 .68551 .43143 .6828 .43117 Metetra
0 .563 .735 r
.6828 .43117 .68551 .43143 .69165 .43153 .68897 .43152 Metetra
.044 .613 .732 r
.68897 .43152 .69165 .43153 .69783 .43199 .69513 .43132 Metetra
.371 .82 .942 r
.69513 .43132 .69783 .43199 .70403 .43236 .70127 .43029 Metetra
.628 .837 .98 r
.70127 .43029 .70403 .43236 .71023 .43218 .70738 .42851 Metetra
.67 .737 .901 r
.70738 .42851 .71023 .43218 .71639 .43124 .71349 .42647 Metetra
.642 .67 .861 r
.71349 .42647 .71639 .43124 .72254 .42965 .71964 .42487 Metetra
.581 .642 .876 r
.71964 .42487 .72254 .42965 .72868 .42787 .72587 .42431 Metetra
.439 .642 .943 r
.72587 .42431 .72868 .42787 .73487 .42651 .7322 .425 Metetra
.02 .535 .864 r
.7322 .425 .73487 .42651 .74113 .42606 .73861 .42659 Metetra
.379 0 0 r
.73861 .42659 .74113 .42606 .74749 .4266 .74506 .42826 Metetra
.384 0 0 r
.74506 .42826 .74749 .4266 .75391 .42776 .75147 .42902 Metetra
.097 0 0 r
.75147 .42902 .75391 .42776 .76034 .42881 .75778 .42814 Metetra
.623 .939 .958 r
.75778 .42814 .76034 .42881 .76673 .42892 .76398 .42542 Metetra
.771 .784 .863 r
.76398 .42542 .76673 .42892 .77303 .42752 .77008 .42128 Metetra
.739 .664 .776 r
.77008 .42128 .77303 .42752 .77922 .42452 .77615 .41663 Metetra
.704 .61 .749 r
.77615 .41663 .77922 .42452 .78533 .42038 .78225 .41242 Metetra
.674 .593 .757 r
.78225 .41242 .78533 .42038 .79141 .41587 .78846 .40931 Metetra
.645 .611 .801 r
.78846 .40931 .79141 .41587 .79754 .41179 .79477 .40741 Metetra
.613 .681 .89 r
.79477 .40741 .79754 .41179 .80374 .40862 .80116 .40626 Metetra
.57 .799 .985 r
.80116 .40626 .80374 .40862 .81005 .40641 .80756 .40508 Metetra
.587 .889 .99 r
.80756 .40508 .81005 .40641 .81641 .40473 .81391 .4031 Metetra
.726 .91 .958 r
.81391 .4031 .81641 .40473 .82278 .40297 .82016 .39987 Metetra
.791 .819 .874 r
.82016 .39987 .82278 .40297 .8291 .40053 .82631 .3954 Metetra
.776 .716 .797 r
.82631 .3954 .8291 .40053 .83534 .3971 .83238 .39015 Metetra
.745 .652 .756 r
.83238 .39015 .83534 .3971 .8415 .39275 .83845 .38481 Metetra
.718 .618 .744 r
.83845 .38481 .8415 .39275 .84761 .38788 .84457 .38 Metetra
.695 .607 .754 r
.84457 .38 .84761 .38788 .85372 .38302 .85079 .37612 Metetra
.677 .62 .784 r
.85079 .37612 .85372 .38302 .85989 .37866 .85711 .37322 Metetra
.663 .659 .836 r
.85711 .37322 .85989 .37866 .86615 .37508 .86353 .37105 Metetra
.652 .721 .899 r
.86353 .37105 .86615 .37508 .8725 .37228 .86999 .36921 Metetra
.651 .782 .944 r
.86999 .36921 .8725 .37228 .87892 .37004 .87646 .36728 Metetra
.672 .814 .951 r
.87646 .36728 .87892 .37004 .88539 .36805 .88291 .36502 Metetra
.701 .804 .929 r
.88291 .36502 .88539 .36805 .89186 .36601 .88933 .36234 Metetra
.715 .769 .895 r
.88933 .36234 .89186 .36601 .89832 .36371 .89572 .35936 Metetra
.713 .731 .865 r
.89572 .35936 .89832 .36371 .90476 .36113 .90211 .35627 Metetra
.702 .704 .848 r
.90211 .35627 .90476 .36113 .91119 .35833 .90852 .3533 Metetra
.689 .69 .846 r
.90852 .3533 .91119 .35833 .91762 .35548 .91498 .35058 Metetra
.625 .694 .894 r
.32809 .53276 .3314 .53649 .33669 .53512 .33338 .53163 Metetra
.624 .707 .906 r
.33338 .53163 .33669 .53512 .34202 .53355 .33868 .5305 Metetra
.633 .738 .924 r
.33868 .5305 .34202 .53355 .34736 .53174 .344 .5292 Metetra
.652 .779 .942 r
.344 .5292 .34736 .53174 .35272 .52979 .34935 .52761 Metetra
.674 .81 .948 r
.34935 .52761 .35272 .52979 .35809 .52791 .35473 .5257 Metetra
.689 .81 .94 r
.35473 .5257 .35809 .52791 .36345 .5264 .36013 .5236 Metetra
.682 .768 .917 r
.36013 .5236 .36345 .5264 .3688 .52552 .36553 .52162 Metetra
.647 .694 .88 r
.36553 .52162 .3688 .52552 .37412 .52538 .37092 .52015 Metetra
.597 .614 .84 r
.37092 .52015 .37412 .52538 .37943 .52585 .37628 .5195 Metetra
.546 .551 .811 r
.37628 .5195 .37943 .52585 .38475 .52657 .38162 .51978 Metetra
.505 .517 .802 r
.38162 .51978 .38475 .52657 .3901 .52704 .38695 .52077 Metetra
.482 .52 .821 r
.38695 .52077 .3901 .52704 .39549 .52682 .39228 .52197 Metetra
.484 .579 .875 r
.39228 .52197 .39549 .52682 .40094 .52573 .39766 .52272 Metetra
.522 .707 .955 r
.39766 .52272 .40094 .52573 .40641 .52398 .40309 .52248 Metetra
.587 .847 .994 r
.40309 .52248 .40641 .52398 .41191 .52211 .40857 .52109 Metetra
.662 .901 .98 r
.40857 .52109 .41191 .52211 .41739 .52083 .4141 .51887 Metetra
.698 .837 .95 r
.4141 .51887 .41739 .52083 .42285 .52066 .41964 .51656 Metetra
.648 .688 .874 r
.41964 .51656 .42285 .52066 .4283 .52173 .42516 .51504 Metetra
.57 .556 .799 r
.42516 .51504 .4283 .52173 .43374 .52361 .43066 .51492 Metetra
.508 .475 .756 r
.43066 .51492 .43374 .52361 .4392 .52546 .43613 .51627 Metetra
.469 .443 .746 r
.43613 .51627 .4392 .52546 .44472 .52629 .4416 .51849 Metetra
.458 .465 .779 r
.4416 .51849 .44472 .52629 .45029 .5254 .4471 .52051 Metetra
.492 .585 .876 r
.4471 .52051 .45029 .5254 .45591 .52262 .45266 .52118 Metetra
.582 .854 .995 r
.45266 .52118 .45591 .52262 .46157 .51846 .45828 .51974 Metetra
.559 .927 .781 r
.45828 .51974 .46157 .51846 .46724 .51383 .46395 .51615 Metetra
.594 .91 .655 r
.46395 .51615 .46724 .51383 .47291 .50969 .46965 .51111 Metetra
.772 .995 .797 r
.46965 .51111 .47291 .50969 .47856 .50666 .47535 .50574 Metetra
.826 .919 .898 r
.47535 .50574 .47856 .50666 .48421 .50479 .48104 .50117 Metetra
.732 .742 .859 r
.48104 .50117 .48421 .50479 .48986 .50357 .48672 .49802 Metetra
.651 .633 .819 r
.48672 .49802 .48986 .50357 .49552 .50223 .4924 .49626 Metetra
.615 .603 .815 r
.4924 .49626 .49552 .50223 .50121 .50003 .49807 .49524 Metetra
.626 .652 .856 r
.49807 .49524 .50121 .50003 .50691 .49663 .50377 .49403 Metetra
.688 .797 .932 r
.50377 .49403 .50691 .49663 .51262 .49215 .50948 .49184 Metetra
.738 .964 .938 r
.50948 .49184 .51262 .49215 .51834 .48712 .51521 .48831 Metetra
.703 .981 .804 r
.51521 .48831 .51834 .48712 .52405 .48222 .52094 .48367 Metetra
.724 .982 .774 r
.52094 .48367 .52405 .48222 .52977 .47802 .52668 .47852 Metetra
.799 .996 .865 r
.52668 .47852 .52977 .47802 .5355 .47476 .53242 .47361 Metetra
.801 .915 .917 r
.53242 .47361 .5355 .47476 .54123 .47237 .53816 .46952 Metetra
.736 .792 .897 r
.53816 .46952 .54123 .47237 .54698 .4705 .54391 .46649 Metetra
.679 .71 .872 r
.54391 .46649 .54698 .4705 .55275 .46877 .54968 .46436 Metetra
.649 .68 .866 r
.54968 .46436 .55275 .46877 .55852 .46685 .55546 .46274 Metetra
.646 .694 .881 r
.55546 .46274 .55852 .46685 .5643 .46461 .56126 .46118 Metetra
.663 .739 .906 r
.56126 .46118 .5643 .46461 .57009 .46211 .56706 .45934 Metetra
.69 .791 .927 r
.56706 .45934 .57009 .46211 .57589 .45948 .57287 .45708 Metetra
.712 .822 .933 r
.57287 .45708 .57589 .45948 .58169 .45691 .57869 .45448 Metetra
.72 .822 .928 r
.57869 .45448 .58169 .45691 .58751 .45451 .58451 .45175 Metetra
.711 .797 .919 r
.58451 .45175 .58751 .45451 .59335 .45234 .59035 .44916 Metetra
.689 .765 .909 r
.59035 .44916 .59335 .45234 .5992 .45038 .5962 .44689 Metetra
.663 .738 .905 r
.5962 .44689 .5992 .45038 .60507 .44862 .60208 .44503 Metetra
.64 .725 .909 r
.60208 .44503 .60507 .44862 .61095 .447 .60797 .44352 Metetra
.628 .727 .918 r
.60797 .44352 .61095 .447 .61685 .4455 .61389 .44216 Metetra
.632 .738 .924 r
.61389 .44216 .61685 .4455 .62277 .44406 .61981 .44072 Metetra
.651 .745 .919 r
.61981 .44072 .62277 .44406 .6287 .44259 .62574 .43902 Metetra
.672 .739 .9 r
.62574 .43902 .6287 .44259 .63464 .44098 .63168 .43699 Metetra
.682 .719 .877 r
.63168 .43699 .63464 .44098 .64058 .43915 .63761 .43475 Metetra
.675 .696 .862 r
.63761 .43475 .64058 .43915 .64653 .4371 .64357 .43259 Metetra
.651 .682 .866 r
.64357 .43259 .64653 .4371 .65249 .43497 .64955 .43087 Metetra
.605 .684 .898 r
.64955 .43087 .65249 .43497 .65847 .43302 .65558 .42988 Metetra
.513 .706 .958 r
.65558 .42988 .65847 .43302 .66448 .43156 .66165 .42969 Metetra
.32 .708 .98 r
.66165 .42969 .66448 .43156 .67054 .43081 .66777 .43003 Metetra
.099 .637 .855 r
.66777 .43003 .67054 .43081 .67665 .43077 .67391 .4304 Metetra
.121 .667 .821 r
.67391 .4304 .67665 .43077 .6828 .43117 .68005 .43025 Metetra
.423 .834 .972 r
.68005 .43025 .6828 .43117 .68897 .43152 .68616 .42919 Metetra
.65 .823 .966 r
.68616 .42919 .68897 .43152 .69513 .43132 .69224 .42726 Metetra
.682 .72 .878 r
.69224 .42726 .69513 .43132 .70127 .43029 .69832 .42498 Metetra
.653 .652 .837 r
.69832 .42498 .70127 .43029 .70738 .42851 .70443 .42311 Metetra
.594 .622 .849 r
.70443 .42311 .70738 .42851 .71349 .42647 .71063 .4224 Metetra
.456 .618 .92 r
.71063 .4224 .71349 .42647 .71964 .42487 .71693 .42317 Metetra
0 .495 .851 r
.71693 .42317 .71964 .42487 .72587 .42431 .72332 .42513 Metetra
.478 0 0 r
.72332 .42513 .72587 .42431 .7322 .425 .72976 .42739 Metetra
.492 0 0 r
.72976 .42739 .7322 .425 .73861 .42659 .73618 .42883 Metetra
.309 0 0 r
.73618 .42883 .73861 .42659 .74506 .42826 .74251 .42851 Metetra
.427 .871 .836 r
.74251 .42851 .74506 .42826 .75147 .42902 .74872 .42608 Metetra
.78 .819 .883 r
.74872 .42608 .75147 .42902 .75778 .42814 .75481 .42195 Metetra
.744 .667 .775 r
.75481 .42195 .75778 .42814 .76398 .42542 .76086 .41711 Metetra
.703 .602 .74 r
.76086 .41711 .76398 .42542 .77008 .42128 .76695 .41273 Metetra
.668 .579 .746 r
.76695 .41273 .77008 .42128 .77615 .41663 .77314 .40966 Metetra
.63 .593 .793 r
.77314 .40966 .77615 .41663 .78225 .41242 .77946 .40809 Metetra
.572 .665 .9 r
.77946 .40809 .78225 .41242 .78846 .40931 .78588 .40754 Metetra
.431 .781 .997 r
.78588 .40754 .78846 .40931 .79477 .40741 .79232 .40708 Metetra
.343 .818 .892 r
.79232 .40708 .79477 .40741 .80116 .40626 .79871 .4057 Metetra
.62 .946 .943 r
.79871 .4057 .80116 .40626 .80756 .40508 .80498 .40278 Metetra
.806 .874 .897 r
.80498 .40278 .80756 .40508 .81391 .4031 .81112 .39826 Metetra
.792 .732 .797 r
.81112 .39826 .81391 .4031 .82016 .39987 .81716 .39263 Metetra
.753 .649 .745 r
.81716 .39263 .82016 .39987 .82631 .3954 .82318 .38674 Metetra
.721 .606 .729 r
.82318 .38674 .82631 .3954 .83238 .39015 .82925 .38141 Metetra
.694 .591 .736 r
.82925 .38141 .83238 .39015 .83845 .38481 .83543 .3772 Metetra
.673 .602 .767 r
.83543 .3772 .83845 .38481 .84457 .38 .84173 .3742 Metetra
.656 .643 .825 r
.84173 .3742 .84457 .38 .85079 .37612 .84814 .37213 Metetra
.64 .717 .904 r
.84814 .37213 .85079 .37612 .85711 .37322 .85461 .37049 Metetra
.631 .799 .963 r
.85461 .37049 .85711 .37322 .86353 .37105 .86108 .36874 Metetra
.658 .843 .971 r
.86108 .36874 .86353 .37105 .86999 .36921 .86752 .36654 Metetra
.705 .833 .943 r
.86752 .36654 .86999 .36921 .87646 .36728 .87391 .36378 Metetra
.728 .783 .896 r
.87391 .36378 .87646 .36728 .88291 .36502 .88027 .36057 Metetra
.724 .731 .856 r
.88027 .36057 .88291 .36502 .88933 .36234 .88662 .3572 Metetra
.71 .695 .834 r
.88662 .3572 .88933 .36234 .89572 .35936 .89299 .35395 Metetra
.693 .678 .83 r
.89299 .35395 .89572 .35936 .90211 .35627 .8994 .35103 Metetra
.678 .677 .842 r
.8994 .35103 .90211 .35627 .90852 .3533 .90588 .34852 Metetra
.664 .691 .866 r
.90588 .34852 .90852 .3533 .91498 .35058 .91242 .34638 Metetra
.642 .699 .888 r
.32476 .52902 .32809 .53276 .33338 .53163 .33007 .52765 Metetra
.624 .681 .883 r
.33007 .52765 .33338 .53163 .33868 .5305 .33538 .52653 Metetra
.612 .677 .888 r
.33538 .52653 .33868 .5305 .344 .5292 .34069 .52558 Metetra
.61 .697 .905 r
.34069 .52558 .344 .5292 .34935 .52761 .34601 .52462 Metetra
.623 .741 .931 r
.34601 .52462 .34935 .52761 .35473 .5257 .35136 .52342 Metetra
.65 .799 .954 r
.35136 .52342 .35473 .5257 .36013 .5236 .35674 .52179 Metetra
.68 .84 .96 r
.35674 .52179 .36013 .5236 .36553 .52162 .36216 .51972 Metetra
.7 .837 .948 r
.36216 .51972 .36553 .52162 .37092 .52015 .36759 .51743 Metetra
.69 .777 .918 r
.36759 .51743 .37092 .52015 .37628 .5195 .37303 .51532 Metetra
.643 .68 .87 r
.37303 .51532 .37628 .5195 .38162 .51978 .37844 .51389 Metetra
.581 .584 .821 r
.37844 .51389 .38162 .51978 .38695 .52077 .38383 .51353 Metetra
.523 .514 .788 r
.38383 .51353 .38695 .52077 .39228 .52197 .38918 .51432 Metetra
.478 .479 .78 r
.38918 .51432 .39228 .52197 .39766 .52272 .39452 .51593 Metetra
.452 .488 .806 r
.39452 .51593 .39766 .52272 .40309 .52248 .39987 .51766 Metetra
.456 .568 .879 r
.39987 .51766 .40309 .52248 .40857 .52109 .40527 .51867 Metetra
.501 .746 .982 r
.40527 .51867 .40857 .52109 .4141 .51887 .41074 .51832 Metetra
.564 .904 .976 r
.41074 .51832 .4141 .51887 .41964 .51656 .41628 .51648 Metetra
.662 .955 .946 r
.41628 .51648 .41964 .51656 .42516 .51504 .42185 .51364 Metetra
.732 .885 .951 r
.42185 .51364 .42516 .51504 .43066 .51492 .42744 .51078 Metetra
.663 .693 .868 r
.42744 .51078 .43066 .51492 .43613 .51627 .433 .50897 Metetra
.569 .54 .784 r
.433 .50897 .43613 .51627 .4416 .51849 .43853 .50891 Metetra
.5 .456 .739 r
.43853 .50891 .4416 .51849 .4471 .52051 .44403 .51058 Metetra
.46 .426 .733 r
.44403 .51058 .4471 .52051 .45266 .52118 .44954 .51317 Metetra
.451 .457 .774 r
.44954 .51317 .45266 .52118 .45828 .51974 .45508 .51536 Metetra
.497 .614 .898 r
.45508 .51536 .45828 .51974 .46395 .51615 .46068 .51581 Metetra
.561 .916 .961 r
.46068 .51581 .46395 .51615 .46965 .51111 .46634 .51374 Metetra
.46634 .51374 .46965 .51111 .47535 .50574 .47205 .50927 Metetra
.47205 .50927 .47535 .50574 .48104 .50117 .47779 .50331 Metetra
.745 .973 .712 r
.47779 .50331 .48104 .50117 .48672 .49802 .48352 .49725 Metetra
.841 .927 .887 r
.48352 .49725 .48672 .49802 .4924 .49626 .48924 .49231 Metetra
.728 .726 .848 r
.48924 .49231 .4924 .49626 .49807 .49524 .49494 .48913 Metetra
.639 .61 .805 r
.49494 .48913 .49807 .49524 .50377 .49403 .50064 .48755 Metetra
.602 .582 .803 r
.50064 .48755 .50377 .49403 .50948 .49184 .50635 .48676 Metetra
.616 .637 .848 r
.50635 .48676 .50948 .49184 .51521 .48831 .51207 .48571 Metetra
.685 .798 .935 r
.51207 .48571 .51521 .48831 .52094 .48367 .51782 .48354 Metetra
.73 .972 .929 r
.51782 .48354 .52094 .48367 .52668 .47852 .52357 .47994 Metetra
.678 .969 .771 r
.52357 .47994 .52668 .47852 .53242 .47361 .52932 .47517 Metetra
.708 .974 .755 r
.52932 .47517 .53242 .47361 .53816 .46952 .53508 .46996 Metetra
.798 .995 .868 r
.53508 .46996 .53816 .46952 .54391 .46649 .54084 .46508 Metetra
.794 .899 .917 r
.54084 .46508 .54391 .46649 .54968 .46436 .54661 .4611 Metetra
.725 .767 .886 r
.54661 .4611 .54968 .46436 .55546 .46274 .55239 .4582 Metetra
.669 .683 .854 r
.55239 .4582 .55546 .46274 .56126 .46118 .55818 .45617 Metetra
.643 .653 .845 r
.55818 .45617 .56126 .46118 .56706 .45934 .564 .45459 Metetra
.643 .664 .856 r
.564 .45459 .56706 .45934 .57287 .45708 .56982 .45304 Metetra
.659 .705 .881 r
.56982 .45304 .57287 .45708 .57869 .45448 .57566 .45124 Metetra
.678 .758 .911 r
.57566 .45124 .57869 .45448 .58451 .45175 .58151 .44915 Metetra
.688 .804 .937 r
.58151 .44915 .58451 .45175 .59035 .44916 .58736 .44689 Metetra
.684 .828 .953 r
.58736 .44689 .59035 .44916 .5962 .44689 .59322 .44464 Metetra
.673 .827 .958 r
.59322 .44464 .5962 .44689 .60208 .44503 .5991 .44251 Metetra
.666 .806 .95 r
.5991 .44251 .60208 .44503 .60797 .44352 .605 .44052 Metetra
.668 .773 .928 r
.605 .44052 .60797 .44352 .61389 .44216 .6109 .43855 Metetra
.673 .736 .898 r
.6109 .43855 .61389 .44216 .61981 .44072 .61682 .43651 Metetra
.674 .704 .87 r
.61682 .43651 .61981 .44072 .62574 .43902 .62274 .43439 Metetra
.666 .682 .855 r
.62274 .43439 .62574 .43902 .63168 .43699 .62868 .43237 Metetra
.647 .675 .863 r
.62868 .43237 .63168 .43699 .63761 .43475 .63465 .43072 Metetra
.606 .688 .901 r
.63465 .43072 .63761 .43475 .64357 .43259 .64065 .4297 Metetra
.509 .723 .969 r
.64065 .4297 .64357 .43259 .64955 .43087 .6467 .42942 Metetra
.266 .71 .961 r
.6467 .42942 .64955 .43087 .65558 .42988 .65278 .42967 Metetra
0 .562 .728 r
.65278 .42967 .65558 .42988 .66165 .42969 .65889 .42997 Metetra
.015 0 0 r
.65889 .42997 .66165 .42969 .66777 .43003 .665 .42974 Metetra
.326 .806 .892 r
.665 .42974 .66777 .43003 .67391 .4304 .67108 .42856 Metetra
.655 .862 .978 r
.67108 .42856 .67391 .4304 .68005 .43025 .67714 .42643 Metetra
.7 .739 .882 r
.67714 .42643 .68005 .43025 .68616 .42919 .68319 .42383 Metetra
.668 .657 .83 r
.68319 .42383 .68616 .42919 .69224 .42726 .68926 .42163 Metetra
.607 .619 .837 r
.68926 .42163 .69224 .42726 .69832 .42498 .69541 .42067 Metetra
.468 .611 .909 r
.69541 .42067 .69832 .42498 .70443 .42311 .70168 .42141 Metetra
0 .452 .819 r
.70168 .42141 .70443 .42311 .71063 .4224 .70805 .42363 Metetra
.553 .003 0 r
.70805 .42363 .71063 .4224 .71693 .42317 .71448 .42642 Metetra
.558 .087 .094 r
.71448 .42642 .71693 .42317 .72332 .42513 .72091 .4285 Metetra
.434 0 .033 r
.72091 .4285 .72332 .42513 .72976 .42739 .72724 .42873 Metetra
.72724 .42873 .72976 .42739 .73618 .42883 .73345 .42658 Metetra
.79 .867 .905 r
.73345 .42658 .73618 .42883 .74251 .42851 .73954 .42243 Metetra
.752 .674 .774 r
.73954 .42243 .74251 .42851 .74872 .42608 .74557 .41736 Metetra
.704 .596 .732 r
.74557 .41736 .74872 .42608 .75481 .42195 .75163 .41274 Metetra
.663 .566 .735 r
.75163 .41274 .75481 .42195 .76086 .41711 .75781 .40964 Metetra
.615 .573 .783 r
.75781 .40964 .76086 .41711 .76695 .41273 .76413 .4084 Metetra
.521 .64 .907 r
.76413 .4084 .76695 .41273 .77314 .40966 .77057 .40853 Metetra
.177 .675 .915 r
.77057 .40853 .77314 .40966 .77946 .40809 .77706 .40891 Metetra
.061 0 0 r
.77706 .40891 .77946 .40809 .78588 .40754 .78349 .4083 Metetra
.3 .783 .705 r
.78349 .4083 .78588 .40754 .79232 .40708 .78979 .40582 Metetra
.803 .946 .917 r
.78979 .40582 .79232 .40708 .79871 .4057 .79593 .4013 Metetra
.811 .755 .8 r
.79593 .4013 .79871 .4057 .80498 .40278 .80194 .39529 Metetra
.762 .647 .735 r
.80194 .39529 .80498 .40278 .81112 .39826 .80791 .3888 Metetra
.723 .596 .714 r
.80791 .3888 .81112 .39826 .81716 .39263 .81393 .38289 Metetra
.693 .576 .719 r
.81393 .38289 .81716 .39263 .82318 .38674 .82007 .37828 Metetra
.669 .583 .75 r
.82007 .37828 .82318 .38674 .82925 .38141 .82635 .37518 Metetra
.646 .624 .813 r
.82635 .37518 .82925 .38141 .83543 .3772 .83276 .37326 Metetra
.621 .713 .911 r
.83276 .37326 .83543 .3772 .84173 .3742 .83923 .3719 Metetra
.592 .818 .986 r
.83923 .3719 .84173 .3742 .84814 .37213 .84571 .37041 Metetra
.621 .877 .989 r
.84571 .37041 .84814 .37213 .85461 .37049 .85215 .36833 Metetra
.705 .871 .96 r
.85215 .36833 .85461 .37049 .86108 .36874 .85852 .36548 Metetra
.744 .803 .9 r
.85852 .36548 .86108 .36874 .86752 .36654 .86484 .36202 Metetra
.737 .732 .846 r
.86484 .36202 .86752 .36654 .87391 .36378 .87114 .35829 Metetra
.718 .685 .818 r
.87114 .35829 .87391 .36378 .88027 .36057 .87746 .3547 Metetra
.697 .663 .812 r
.87746 .3547 .88027 .36057 .88662 .3572 .88384 .35152 Metetra
.679 .661 .825 r
.88384 .35152 .88662 .3572 .89299 .35395 .89028 .34888 Metetra
.663 .677 .854 r
.89028 .34888 .89299 .35395 .8994 .35103 .8968 .34672 Metetra
.649 .708 .891 r
.8968 .34672 .8994 .35103 .90588 .34852 .90337 .34489 Metetra
.639 .744 .925 r
.90337 .34489 .90588 .34852 .91242 .34638 .90998 .34318 Metetra
.674 .751 .908 r
.32139 .526 .32476 .52902 .33007 .52765 .32673 .52414 Metetra
.657 .718 .893 r
.32673 .52414 .33007 .52765 .33538 .52653 .33207 .52252 Metetra
.633 .684 .88 r
.33207 .52252 .33538 .52653 .34069 .52558 .3374 .52126 Metetra
.61 .66 .873 r
.3374 .52126 .34069 .52558 .34601 .52462 .34273 .52035 Metetra
.595 .657 .881 r
.34273 .52035 .34601 .52462 .35136 .52342 .34805 .51966 Metetra
.593 .684 .905 r
.34805 .51966 .35136 .52342 .35674 .52179 .3534 .51891 Metetra
.612 .747 .941 r
.3534 .51891 .35674 .52179 .36216 .51972 .35877 .5178 Metetra
.646 .827 .97 r
.35877 .5178 .36216 .51972 .36759 .51743 .36419 .51611 Metetra
.685 .88 .971 r
.36419 .51611 .36759 .51743 .37303 .51532 .36964 .51383 Metetra
.714 .871 .956 r
.36964 .51383 .37303 .51532 .37844 .51389 .37511 .51128 Metetra
.7 .788 .919 r
.37511 .51128 .37844 .51389 .38383 .51353 .38058 .509 Metetra
.638 .663 .857 r
.38058 .509 .38383 .51353 .38918 .51432 .38603 .50762 Metetra
.563 .551 .799 r
.38603 .50762 .38918 .51432 .39452 .51593 .39143 .50762 Metetra
.498 .477 .764 r
.39143 .50762 .39452 .51593 .39987 .51766 .39679 .50903 Metetra
.45 .441 .757 r
.39679 .50903 .39987 .51766 .40527 .51867 .40214 .51136 Metetra
.422 .456 .791 r
.40214 .51136 .40527 .51867 .41074 .51832 .40752 .51366 Metetra
.424 .562 .888 r
.40752 .51366 .41074 .51832 .41628 .51648 .41295 .51489 Metetra
.462 .797 .999 r
.41295 .51489 .41628 .51648 .42185 .51364 .41847 .51431 Metetra
.478 .897 .846 r
.41847 .51431 .42185 .51364 .42744 .51078 .42405 .51185 Metetra
.619 .957 .831 r
.42405 .51185 .42744 .51078 .433 .50897 .42968 .50823 Metetra
.766 .933 .939 r
.42968 .50823 .433 .50897 .43853 .50891 .43531 .5047 Metetra
.679 .696 .859 r
.43531 .5047 .43853 .50891 .44403 .51058 .44092 .50257 Metetra
.566 .524 .767 r
.44092 .50257 .44403 .51058 .44954 .51317 .44648 .5026 Metetra
.492 .437 .723 r
.44648 .5026 .44954 .51317 .45508 .51536 .45201 .50464 Metetra
.451 .409 .72 r
.45201 .50464 .45508 .51536 .46068 .51581 .45755 .50763 Metetra
.443 .45 .771 r
.45755 .50763 .46068 .51581 .46634 .51374 .46313 .50998 Metetra
.5 .653 .927 r
.46313 .50998 .46634 .51374 .47205 .50927 .46877 .51017 Metetra
.464 .887 .803 r
.46877 .51017 .47205 .50927 .47779 .50331 .47448 .50742 Metetra
.47448 .50742 .47779 .50331 .48352 .49725 .48023 .50203 Metetra
.48023 .50203 .48352 .49725 .48924 .49231 .48599 .49518 Metetra
.698 .931 .617 r
.48599 .49518 .48924 .49231 .49494 .48913 .49175 .48848 Metetra
.851 .935 .88 r
.49175 .48848 .49494 .48913 .50064 .48755 .49749 .48328 Metetra
.72 .71 .841 r
.49749 .48328 .50064 .48755 .50635 .48676 .50322 .4802 Metetra
.622 .59 .797 r
.50322 .4802 .50635 .48676 .51207 .48571 .50895 .47895 Metetra
.583 .565 .799 r
.50895 .47895 .51207 .48571 .51782 .48354 .51468 .47856 Metetra
.597 .633 .858 r
.51468 .47856 .51782 .48354 .52357 .47994 .52044 .47782 Metetra
.664 .83 .963 r
.52044 .47782 .52357 .47994 .52932 .47517 .52621 .47582 Metetra
.632 .963 .861 r
.52621 .47582 .52932 .47517 .53508 .46996 .53199 .47226 Metetra
.507 .858 .602 r
.53199 .47226 .53508 .46996 .54084 .46508 .53777 .46747 Metetra
.556 .879 .605 r
.53777 .46747 .54084 .46508 .54661 .4611 .54355 .46224 Metetra
.72 .985 .803 r
.54355 .46224 .54661 .4611 .55239 .4582 .54933 .45739 Metetra
.779 .943 .932 r
.54933 .45739 .55239 .4582 .55818 .45617 .55512 .45354 Metetra
.715 .806 .922 r
.55512 .45354 .55818 .45617 .564 .45459 .56093 .45088 Metetra
.65 .719 .899 r
.56093 .45088 .564 .45459 .56982 .45304 .56677 .44923 Metetra
.609 .7 .908 r
.56677 .44923 .56982 .45304 .57566 .45124 .57262 .44818 Metetra
.588 .74 .948 r
.57262 .44818 .57566 .45124 .58151 .44915 .5785 .44723 Metetra
.573 .822 .992 r
.5785 .44723 .58151 .44915 .58736 .44689 .58438 .44597 Metetra
.56 .892 .985 r
.58438 .44597 .58736 .44689 .59322 .44464 .59027 .44418 Metetra
.59 .928 .958 r
.59027 .44418 .59322 .44464 .5991 .44251 .59615 .44182 Metetra
.671 .94 .964 r
.59615 .44182 .5991 .44251 .605 .44052 .60204 .43901 Metetra
.725 .896 .957 r
.60204 .43901 .605 .44052 .6109 .43855 .60793 .43604 Metetra
.719 .821 .929 r
.60793 .43604 .6109 .43855 .61682 .43651 .61384 .43328 Metetra
.68 .763 .914 r
.61384 .43328 .61682 .43651 .62274 .43439 .61978 .43113 Metetra
.617 .74 .934 r
.61978 .43113 .62274 .43439 .62868 .43237 .62575 .42985 Metetra
.496 .746 .984 r
.62575 .42985 .62868 .43237 .63465 .43072 .63177 .42949 Metetra
.218 .695 .936 r
.63177 .42949 .63465 .43072 .64065 .4297 .63783 .42976 Metetra
.086 0 0 r
.63783 .42976 .64065 .4297 .6467 .42942 .64391 .43009 Metetra
.092 0 0 r
.64391 .43009 .6467 .42942 .65278 .42967 .64999 .42984 Metetra
.256 .767 .806 r
.64999 .42984 .65278 .42967 .65889 .42997 .65605 .42851 Metetra
.669 .895 .978 r
.65605 .42851 .65889 .42997 .665 .42974 .66207 .42606 Metetra
.723 .754 .877 r
.66207 .42606 .665 .42974 .67108 .42856 .66808 .42302 Metetra
.686 .658 .817 r
.66808 .42302 .67108 .42856 .67714 .42643 .67412 .42031 Metetra
.626 .612 .816 r
.67412 .42031 .67714 .42643 .68319 .42383 .68023 .41894 Metetra
.5 .597 .882 r
.68023 .41894 .68319 .42383 .68926 .42163 .68645 .41952 Metetra
0 .462 .854 r
.68645 .41952 .68926 .42163 .69541 .42067 .69279 .42189 Metetra
.589 .047 0 r
.69279 .42189 .69541 .42067 .70168 .42141 .6992 .42515 Metetra
.596 .145 .152 r
.6992 .42515 .70168 .42141 .70805 .42363 .70562 .42785 Metetra
.498 .058 .132 r
.70562 .42785 .70805 .42363 .71448 .42642 .71196 .42865 Metetra
.096 0 0 r
.71196 .42865 .71448 .42642 .72091 .4285 .71817 .42682 Metetra
.793 .907 .92 r
.71817 .42682 .72091 .4285 .72724 .42873 .72425 .42265 Metetra
.759 .676 .771 r
.72425 .42265 .72724 .42873 .73345 .42658 .73026 .41732 Metetra
.705 .588 .722 r
.73026 .41732 .73345 .42658 .73954 .42243 .73629 .41239 Metetra
.658 .551 .722 r
.73629 .41239 .73954 .42243 .74557 .41736 .74245 .40921 Metetra
.602 .55 .769 r
.74245 .40921 .74557 .41736 .75163 .41274 .74877 .40829 Metetra
.463 .603 .905 r
.74877 .40829 .75163 .41274 .75781 .40964 .75524 .40914 Metetra
.15 0 0 r
.75524 .40914 .75781 .40964 .76413 .4084 .76177 .41049 Metetra
.364 0 0 r
.76177 .41049 .76413 .4084 .77057 .40853 .76825 .41081 Metetra
.108 0 0 r
.76825 .41081 .77057 .40853 .77706 .40891 .77458 .40893 Metetra
.719 .988 .872 r
.77458 .40893 .77706 .40891 .78349 .4083 .78073 .40451 Metetra
.834 .787 .806 r
.78073 .40451 .78349 .4083 .78979 .40582 .78672 .39813 Metetra
.771 .648 .726 r
.78672 .39813 .78979 .40582 .79593 .4013 .79264 .39099 Metetra
.725 .587 .7 r
.79264 .39099 .79593 .4013 .80194 .39529 .79861 .38441 Metetra
.691 .561 .703 r
.79861 .38441 .80194 .39529 .80791 .3888 .8047 .37935 Metetra
.663 .563 .732 r
.8047 .37935 .80791 .3888 .81393 .38289 .81096 .37614 Metetra
.635 .603 .8 r
.81096 .37614 .81393 .38289 .82007 .37828 .81737 .37442 Metetra
.594 .705 .921 r
.81737 .37442 .82007 .37828 .82635 .37518 .82386 .37344 Metetra
.512 .828 1 r
.82386 .37344 .82635 .37518 .83276 .37326 .83036 .37231 Metetra
.526 .891 .974 r
.83036 .37231 .83276 .37326 .83923 .3719 .8368 .37041 Metetra
.689 .917 .971 r
.8368 .37041 .83923 .3719 .84571 .37041 .84316 .36749 Metetra
.762 .83 .905 r
.84316 .36749 .84571 .37041 .85215 .36833 .84944 .36373 Metetra
.752 .734 .835 r
.84944 .36373 .85215 .36833 .85852 .36548 .85568 .35958 Metetra
.726 .674 .8 r
.85568 .35958 .85852 .36548 .86484 .36202 .86195 .35555 Metetra
.701 .646 .792 r
.86195 .35555 .86484 .36202 .87114 .35829 .86828 .35205 Metetra
.68 .643 .806 r
.86828 .35205 .87114 .35829 .87746 .3547 .87469 .34924 Metetra
.661 .661 .839 r
.87469 .34924 .87746 .3547 .88384 .35152 .88119 .34707 Metetra
.643 .698 .886 r
.88119 .34707 .88384 .35152 .89028 .34888 .88775 .34534 Metetra
.629 .745 .931 r
.88775 .34534 .89028 .34888 .8968 .34672 .89435 .34376 Metetra
.624 .785 .958 r
.89435 .34376 .8968 .34672 .90337 .34489 .90096 .34211 Metetra
.637 .804 .963 r
.90096 .34211 .90337 .34489 .90998 .34318 .90755 .34024 Metetra
.687 .798 .934 r
.31796 .52363 .32139 .526 .32673 .52414 .32332 .52157 Metetra
.689 .785 .924 r
.32332 .52157 .32673 .52414 .33207 .52252 .3287 .51949 Metetra
.678 .752 .908 r
.3287 .51949 .33207 .52252 .3374 .52126 .33407 .51756 Metetra
.653 .707 .887 r
.33407 .51756 .3374 .52126 .34273 .52035 .33944 .51599 Metetra
.622 .663 .869 r
.33944 .51599 .34273 .52035 .34805 .51966 .34479 .51489 Metetra
.592 .633 .861 r
.34479 .51489 .34805 .51966 .3534 .51891 .35013 .51426 Metetra
.573 .631 .871 r
.35013 .51426 .3534 .51891 .35877 .5178 .35547 .51388 Metetra
.572 .669 .904 r
.35547 .51388 .35877 .5178 .36419 .51611 .36083 .5134 Metetra
.596 .756 .955 r
.36083 .5134 .36419 .51611 .36964 .51383 .36623 .5124 Metetra
.637 .864 .984 r
.36623 .5124 .36964 .51383 .37511 .51128 .37168 .5106 Metetra
.684 .926 .97 r
.37168 .5106 .37511 .51128 .38058 .509 .37717 .50804 Metetra
.729 .912 .957 r
.37717 .50804 .38058 .509 .38603 .50762 .38269 .50514 Metetra
.713 .8 .919 r
.38269 .50514 .38603 .50762 .39143 .50762 .3882 .50264 Metetra
.632 .642 .842 r
.3882 .50264 .39143 .50762 .39679 .50903 .39367 .50134 Metetra
.544 .517 .776 r
.39367 .50134 .39679 .50903 .40214 .51136 .39909 .50178 Metetra
.474 .439 .738 r
.39909 .50178 .40214 .51136 .40752 .51366 .40446 .50392 Metetra
.423 .404 .734 r
.40446 .50392 .40752 .51366 .41295 .51489 .40982 .50706 Metetra
.39 .424 .776 r
.40982 .50706 .41295 .51489 .41847 .51431 .41522 .50997 Metetra
.386 .561 .903 r
.41522 .50997 .41847 .51431 .42405 .51185 .42069 .51136 Metetra
.369 .82 .939 r
.42069 .51136 .42405 .51185 .42968 .50823 .42626 .51039 Metetra
.42626 .51039 .42968 .50823 .43531 .5047 .4319 .50712 Metetra
.515 .868 .624 r
.4319 .50712 .43531 .5047 .44092 .50257 .43758 .50255 Metetra
.796 .973 .909 r
.43758 .50255 .44092 .50257 .44648 .5026 .44326 .49826 Metetra
.694 .696 .848 r
.44326 .49826 .44648 .5026 .45201 .50464 .4489 .49578 Metetra
.562 .506 .75 r
.4489 .49578 .45201 .50464 .45755 .50763 .4545 .49593 Metetra
.484 .418 .707 r
.4545 .49593 .45755 .50763 .46313 .50998 .46006 .49839 Metetra
.443 .393 .708 r
.46006 .49839 .46313 .50998 .46877 .51017 .46564 .5018 Metetra
.439 .444 .767 r
.46564 .5018 .46877 .51017 .47448 .50742 .47126 .50427 Metetra
.51 .7 .955 r
.47126 .50427 .47448 .50742 .48023 .50203 .47694 .50412 Metetra
.47694 .50412 .48023 .50203 .48599 .49518 .48269 .50062 Metetra
.48269 .50062 .48599 .49518 .49175 .48848 .48847 .49425 Metetra
.48847 .49425 .49175 .48848 .49749 .48328 .49426 .4865 Metetra
.703 .919 .581 r
.49426 .4865 .49749 .48328 .50322 .4802 .50004 .47919 Metetra
.856 .911 .87 r
.50004 .47919 .50322 .4802 .50895 .47895 .5058 .47379 Metetra
.703 .67 .815 r
.5058 .47379 .50895 .47895 .51468 .47856 .51156 .47083 Metetra
.607 .555 .77 r
.51156 .47083 .51468 .47856 .52044 .47782 .51731 .46986 Metetra
.573 .531 .77 r
.51731 .46986 .52044 .47782 .52621 .47582 .52308 .4697 Metetra
.595 .591 .818 r
.52308 .4697 .52621 .47582 .53199 .47226 .52887 .46903 Metetra
.681 .758 .91 r
.52887 .46903 .53199 .47226 .53777 .46747 .53467 .46691 Metetra
.767 .956 .933 r
.53467 .46691 .53777 .46747 .54355 .46224 .54047 .4631 Metetra
.766 .997 .833 r
.54047 .4631 .54355 .46224 .54933 .45739 .54627 .4581 Metetra
.803 .999 .84 r
.54627 .4581 .54933 .45739 .55512 .45354 .55207 .45282 Metetra
.824 .946 .902 r
.55207 .45282 .55512 .45354 .56093 .45088 .55787 .44815 Metetra
.758 .808 .893 r
.55787 .44815 .56093 .45088 .56677 .44923 .56369 .44466 Metetra
.679 .688 .851 r
.56369 .44466 .56677 .44923 .57262 .44818 .56954 .44241 Metetra
.631 .621 .822 r
.56954 .44241 .57262 .44818 .5785 .44723 .57541 .44099 Metetra
.62 .601 .81 r
.57541 .44099 .5785 .44723 .58438 .44597 .58129 .43979 Metetra
.635 .61 .808 r
.58129 .43979 .58438 .44597 .59027 .44418 .58719 .43824 Metetra
.661 .631 .808 r
.58719 .43824 .59027 .44418 .59615 .44182 .59308 .43611 Metetra
.681 .647 .81 r
.59308 .43611 .59615 .44182 .60204 .43901 .59898 .43352 Metetra
.683 .656 .817 r
.59898 .43352 .60204 .43901 .60793 .43604 .60489 .43095 Metetra
.663 .662 .839 r
.60489 .43095 .60793 .43604 .61384 .43328 .61082 .42892 Metetra
.615 .675 .884 r
.61082 .42892 .61384 .43328 .61978 .43113 .61679 .4278 Metetra
.525 .699 .949 r
.61679 .4278 .61978 .43113 .62575 .42985 .62281 .42755 Metetra
.403 .719 .988 r
.62281 .42755 .62575 .42985 .63177 .42949 .62885 .4277 Metetra
.39 .755 .992 r
.62885 .4277 .63177 .42949 .63783 .42976 .63491 .42755 Metetra
.563 .801 .988 r
.63491 .42755 .63783 .42976 .64391 .43009 .64095 .42646 Metetra
.683 .743 .897 r
.64095 .42646 .64391 .43009 .64999 .42984 .64696 .42421 Metetra
.697 .66 .809 r
.64696 .42421 .64999 .42984 .65605 .42851 .65296 .4212 Metetra
.672 .603 .769 r
.65296 .4212 .65605 .42851 .66207 .42606 .65897 .41837 Metetra
.627 .571 .772 r
.65897 .41837 .66207 .42606 .66808 .42302 .66505 .41681 Metetra
.53 .56 .83 r
.66505 .41681 .66808 .42302 .67412 .42031 .67123 .4173 Metetra
.109 .487 .9 r
.67123 .4173 .67412 .42031 .68023 .41894 .67753 .41983 Metetra
.609 .061 0 r
.67753 .41983 .68023 .41894 .68645 .41952 .68392 .42351 Metetra
.624 .185 .186 r
.68392 .42351 .68645 .41952 .69279 .42189 .69033 .42684 Metetra
.541 .122 .195 r
.69033 .42684 .69279 .42189 .6992 .42515 .69667 .42823 Metetra
.247 0 0 r
.69667 .42823 .6992 .42515 .70562 .42785 .70288 .42677 Metetra
.784 .946 .928 r
.70288 .42677 .70562 .42785 .71196 .42865 .70895 .42262 Metetra
.766 .68 .768 r
.70895 .42262 .71196 .42865 .71817 .42682 .71494 .41701 Metetra
.706 .581 .712 r
.71494 .41701 .71817 .42682 .72425 .42265 .72095 .41175 Metetra
.656 .539 .71 r
.72095 .41175 .72425 .42265 .73026 .41732 .72709 .40843 Metetra
.59 .53 .755 r
.72709 .40843 .73026 .41732 .73629 .41239 .7334 .40779 Metetra
.398 .56 .898 r
.7334 .40779 .73629 .41239 .74245 .40921 .73989 .4094 Metetra
.425 0 0 r
.73989 .4094 .74245 .40921 .74877 .40829 .74645 .41182 Metetra
.516 .049 .084 r
.74645 .41182 .74877 .40829 .75524 .40914 .75298 .41321 Metetra
.353 0 .046 r
.75298 .41321 .75524 .40914 .76177 .41049 .75935 .41208 Metetra
.414 .815 .599 r
.75935 .41208 .76177 .41049 .76825 .41081 .76551 .40786 Metetra
.862 .831 .815 r
.76551 .40786 .76825 .41081 .77458 .40893 .77149 .40113 Metetra
.781 .651 .718 r
.77149 .40113 .77458 .40893 .78073 .40451 .77737 .39329 Metetra
.728 .578 .687 r
.77737 .39329 .78073 .40451 .78672 .39813 .78328 .38595 Metetra
.69 .548 .688 r
.78328 .38595 .78672 .39813 .79264 .39099 .78933 .38038 Metetra
.657 .545 .715 r
.78933 .38038 .79264 .39099 .79861 .38441 .79557 .37704 Metetra
.622 .581 .786 r
.79557 .37704 .79861 .38441 .8047 .37935 .80199 .37559 Metetra
.554 .693 .932 r
.80199 .37559 .8047 .37935 .81096 .37614 .8085 .3751 Metetra
.343 .788 .958 r
.8085 .3751 .81096 .37614 .81737 .37442 .81502 .37445 Metetra
.302 .797 .825 r
.81502 .37445 .81737 .37442 .82386 .37344 .82147 .37282 Metetra
.622 .946 .944 r
.82147 .37282 .82386 .37344 .83036 .37231 .82781 .36985 Metetra
.783 .866 .91 r
.82781 .36985 .83036 .37231 .8368 .37041 .83405 .36575 Metetra
.768 .737 .824 r
.83405 .36575 .8368 .37041 .84316 .36749 .84024 .36109 Metetra
.734 .663 .78 r
.84024 .36109 .84316 .36749 .84944 .36373 .84645 .35653 Metetra
.704 .629 .77 r
.84645 .35653 .84944 .36373 .85568 .35958 .85273 .35262 Metetra
.68 .623 .785 r
.85273 .35262 .85568 .35958 .86195 .35555 .8591 .3496 Metetra
.658 .642 .823 r
.8591 .3496 .86195 .35555 .86828 .35205 .86558 .34743 Metetra
.636 .686 .88 r
.86558 .34743 .86828 .35205 .87469 .34924 .87214 .34582 Metetra
.614 .747 .94 r
.87214 .34582 .87469 .34924 .88119 .34707 .87874 .34443 Metetra
.602 .799 .975 r
.87874 .34443 .88119 .34707 .88775 .34534 .88534 .34293 Metetra
.619 .826 .98 r
.88534 .34293 .88775 .34534 .89435 .34376 .89193 .34114 Metetra
.654 .823 .965 r
.89193 .34114 .89435 .34376 .90096 .34211 .89849 .339 Metetra
.68 .798 .938 r
.89849 .339 .90096 .34211 .90755 .34024 .90504 .3366 Metetra
.667 .791 .941 r
.31452 .52119 .31796 .52363 .32332 .52157 .31987 .51939 Metetra
.682 .813 .945 r
.31987 .51939 .32332 .52157 .3287 .51949 .32525 .51737 Metetra
.695 .819 .941 r
.32525 .51737 .3287 .51949 .33407 .51756 .33065 .51516 Metetra
.697 .8 .928 r
.33065 .51516 .33407 .51756 .33944 .51599 .33606 .51294 Metetra
.681 .754 .906 r
.33606 .51294 .33944 .51599 .34479 .51489 .34147 .51094 Metetra
.648 .694 .879 r
.34147 .51094 .34479 .51489 .35013 .51426 .34686 .50943 Metetra
.608 .637 .855 r
.34686 .50943 .35013 .51426 .35547 .51388 .35223 .50856 Metetra
.571 .601 .844 r
.35223 .50856 .35547 .51388 .36083 .5134 .35758 .50828 Metetra
.547 .599 .858 r
.35758 .50828 .36083 .5134 .36623 .5124 .36293 .50832 Metetra
.545 .65 .903 r
.36293 .50832 .36623 .5124 .37168 .5106 .36831 .50816 Metetra
.573 .77 .972 r
.36831 .50816 .37168 .5106 .37717 .50804 .37374 .50726 Metetra
.612 .905 .985 r
.37374 .50726 .37717 .50804 .38269 .50514 .37923 .5053 Metetra
.659 .961 .933 r
.37923 .5053 .38269 .50514 .3882 .50264 .38477 .50235 Metetra
.74 .956 .944 r
.38477 .50235 .3882 .50264 .39367 .50134 .39033 .49901 Metetra
.73 .814 .917 r
.39033 .49901 .39367 .50134 .39909 .50178 .39588 .49623 Metetra
.625 .619 .825 r
.39588 .49623 .39909 .50178 .40446 .50392 .40138 .49503 Metetra
.525 .482 .751 r
.40138 .49503 .40446 .50392 .40982 .50706 .40681 .496 Metetra
.451 .403 .713 r
.40681 .496 .40982 .50706 .41522 .50997 .41219 .499 Metetra
.396 .369 .711 r
.41219 .499 .41522 .50997 .42069 .51136 .41757 .50305 Metetra
.357 .394 .762 r
.41757 .50305 .42069 .51136 .42626 .51039 .42299 .50659 Metetra
.335 .569 .925 r
.42299 .50659 .42626 .51039 .4319 .50712 .42851 .50805 Metetra
.42851 .50805 .4319 .50712 .43758 .50255 .43412 .50653 Metetra
.43412 .50653 .43758 .50255 .44326 .49826 .43982 .50225 Metetra
.43982 .50225 .44326 .49826 .4489 .49578 .44556 .49657 Metetra
.811 .997 .855 r
.44556 .49657 .4489 .49578 .4545 .49593 .45128 .49143 Metetra
.706 .695 .837 r
.45128 .49143 .4545 .49593 .46006 .49839 .45696 .48862 Metetra
.556 .489 .735 r
.45696 .48862 .46006 .49839 .46564 .5018 .46259 .48894 Metetra
.475 .401 .693 r
.46259 .48894 .46564 .5018 .47126 .50427 .46819 .4919 Metetra
.432 .378 .697 r
.46819 .4919 .47126 .50427 .47694 .50412 .4738 .49579 Metetra
.428 .438 .769 r
.4738 .49579 .47694 .50412 .48269 .50062 .47946 .49842 Metetra
.49 .765 .992 r
.47946 .49842 .48269 .50062 .48847 .49425 .48519 .49796 Metetra
.48519 .49796 .48847 .49425 .49426 .4865 .49097 .49375 Metetra
0 0 .001 r
.49097 .49375 .49426 .4865 .50004 .47919 .49678 .48649 Metetra
.49678 .48649 .50004 .47919 .5058 .47379 .50259 .47796 Metetra
.592 .827 .446 r
.50259 .47796 .5058 .47379 .51156 .47083 .50839 .47018 Metetra
.862 .935 .87 r
.50839 .47018 .51156 .47083 .51731 .46986 .51417 .46466 Metetra
.695 .667 .819 r
.51417 .46466 .51731 .46986 .52308 .4697 .51995 .46188 Metetra
.592 .546 .771 r
.51995 .46188 .52308 .4697 .52887 .46903 .52573 .46125 Metetra
.554 .525 .778 r
.52573 .46125 .52887 .46903 .53467 .46691 .53154 .46148 Metetra
.568 .604 .849 r
.53154 .46148 .53467 .46691 .54047 .4631 .53736 .46121 Metetra
.625 .841 .983 r
.53736 .46121 .54047 .4631 .54627 .4581 .54319 .4595 Metetra
.438 .856 .703 r
.54319 .4595 .54627 .4581 .55207 .45282 .54902 .45615 Metetra
.54902 .45615 .55207 .45282 .55787 .44815 .55485 .45159 Metetra
.55485 .45159 .55787 .44815 .56369 .44466 .56068 .44662 Metetra
.531 .883 .647 r
.56068 .44662 .56369 .44466 .56954 .44241 .56651 .44199 Metetra
.754 .967 .931 r
.56651 .44199 .56954 .44241 .57541 .44099 .57236 .43819 Metetra
.723 .801 .912 r
.57236 .43819 .57541 .44099 .58129 .43979 .57823 .43535 Metetra
.665 .691 .864 r
.57823 .43535 .58129 .43979 .58719 .43824 .58412 .43339 Metetra
.625 .656 .86 r
.58412 .43339 .58719 .43824 .59308 .43611 .59004 .43212 Metetra
.583 .682 .909 r
.59004 .43212 .59308 .43611 .59898 .43352 .59599 .43141 Metetra
.449 .758 .995 r
.59599 .43141 .59898 .43352 .60489 .43095 .60196 .43113 Metetra
.028 0 0 r
.60196 .43113 .60489 .43095 .61082 .42892 .60796 .43107 Metetra
.31 0 0 r
.60796 .43107 .61082 .42892 .61679 .4278 .61398 .43086 Metetra
.311 0 0 r
.61398 .43086 .61679 .4278 .62281 .42755 .61999 .43003 Metetra
.105 0 0 r
.61999 .43003 .62281 .42755 .62885 .4277 .62599 .42815 Metetra
.526 .92 .848 r
.62599 .42815 .62885 .4277 .63491 .42755 .63197 .42518 Metetra
.766 .844 .91 r
.63197 .42518 .63491 .42755 .64095 .42646 .63793 .42155 Metetra
.718 .694 .826 r
.63793 .42155 .64095 .42646 .64696 .42421 .64391 .41821 Metetra
.651 .627 .814 r
.64391 .41821 .64696 .42421 .65296 .4212 .64995 .41629 Metetra
.52 .607 .88 r
.64995 .41629 .65296 .4212 .65897 .41837 .6561 .41659 Metetra
0 .391 .776 r
.6561 .41659 .65897 .41837 .66505 .41681 .66237 .41917 Metetra
.651 .166 .087 r
.66237 .41917 .66505 .41681 .67123 .4173 .66872 .42314 Metetra
.634 .24 .278 r
.66872 .42314 .67123 .4173 .67753 .41983 .6751 .42688 Metetra
.567 .193 .291 r
.6751 .42688 .67753 .41983 .68392 .42351 .68143 .42866 Metetra
.383 0 .131 r
.68143 .42866 .68392 .42351 .69033 .42684 .68762 .42734 Metetra
.681 .978 .839 r
.68762 .42734 .69033 .42684 .69667 .42823 .69368 .423 Metetra
.792 .712 .776 r
.69368 .423 .69667 .42823 .70288 .42677 .69964 .41691 Metetra
.716 .586 .708 r
.69964 .41691 .70288 .42677 .70895 .42262 .70562 .4111 Metetra
.658 .534 .702 r
.70562 .4111 .70895 .42262 .71494 .41701 .71172 .40746 Metetra
.584 .515 .744 r
.71172 .40746 .71494 .41701 .72095 .41175 .71802 .40699 Metetra
.332 .514 .886 r
.71802 .40699 .72095 .41175 .72709 .40843 .72452 .40932 Metetra
.586 .03 0 r
.72452 .40932 .72709 .40843 .7334 .40779 .73112 .41287 Metetra
.591 .173 .218 r
.73112 .41287 .7334 .40779 .73989 .4094 .73769 .41547 Metetra
.472 .079 .214 r
.73769 .41547 .73989 .4094 .74645 .41182 .74411 .41523 Metetra
.74411 .41523 .74645 .41182 .75298 .41321 .75029 .41132 Metetra
.891 .89 .822 r
.75029 .41132 .75298 .41321 .75935 .41208 .75625 .40427 Metetra
.793 .656 .711 r
.75625 .40427 .75935 .41208 .76551 .40786 .76209 .39567 Metetra
.73 .571 .675 r
.76209 .39567 .76551 .40786 .77149 .40113 .76795 .38749 Metetra
.688 .535 .674 r
.76795 .38749 .77149 .40113 .77737 .39329 .77396 .38133 Metetra
.651 .527 .699 r
.77396 .38133 .77737 .39329 .78328 .38595 .78017 .37787 Metetra
.608 .557 .772 r
.78017 .37787 .78328 .38595 .78933 .38038 .78659 .37674 Metetra
.495 .672 .943 r
.78659 .37674 .78933 .38038 .79557 .37704 .79314 .37686 Metetra
.044 .612 .757 r
.79314 .37686 .79557 .37704 .80199 .37559 .79969 .37684 Metetra
.035 0 0 r
.79969 .37684 .80199 .37559 .8085 .3751 .80616 .37559 Metetra
.434 .869 .782 r
.80616 .37559 .8085 .3751 .81502 .37445 .81249 .37262 Metetra
.803 .912 .914 r
.81249 .37262 .81502 .37445 .82147 .37282 .81869 .36814 Metetra
.787 .741 .811 r
.81869 .36814 .82147 .37282 .82781 .36985 .82482 .36287 Metetra
.742 .651 .76 r
.82482 .36287 .82781 .36985 .83405 .36575 .83096 .35767 Metetra
.707 .611 .748 r
.83096 .35767 .83405 .36575 .84024 .36109 .83718 .35326 Metetra
.679 .602 .763 r
.83718 .35326 .84024 .36109 .84645 .35653 .84352 .34998 Metetra
.654 .621 .804 r
.84352 .34998 .84645 .35653 .85273 .35262 .84998 .34779 Metetra
.627 .672 .874 r
.84998 .34779 .85273 .35262 .8591 .3496 .85653 .34635 Metetra
.592 .748 .952 r
.85653 .34635 .8591 .3496 .86558 .34743 .86314 .34519 Metetra
.563 .815 .992 r
.86314 .34519 .86558 .34743 .87214 .34582 .86974 .34389 Metetra
.585 .85 .994 r
.86974 .34389 .87214 .34582 .87874 .34443 .87632 .3422 Metetra
.644 .851 .979 r
.87632 .3422 .87874 .34443 .88534 .34293 .88286 .34005 Metetra
.686 .816 .945 r
.88286 .34005 .88534 .34293 .89193 .34114 .88938 .33754 Metetra
.698 .773 .909 r
.88938 .33754 .89193 .34114 .89849 .339 .89589 .33484 Metetra
.694 .739 .886 r
.89589 .33484 .89849 .339 .90504 .3366 .90241 .33216 Metetra
.642 .746 .924 r
.3111 .51818 .31452 .52119 .31987 .51939 .31644 .51674 Metetra
.65 .773 .938 r
.31644 .51674 .31987 .51939 .32525 .51737 .3218 .51515 Metetra
.667 .808 .951 r
.3218 .51515 .32525 .51737 .33065 .51516 .32718 .51331 Metetra
.688 .839 .956 r
.32718 .51331 .33065 .51516 .33606 .51294 .3326 .51115 Metetra
.705 .846 .95 r
.3326 .51115 .33606 .51294 .34147 .51094 .33804 .50876 Metetra
.709 .818 .933 r
.33804 .50876 .34147 .51094 .34686 .50943 .34348 .50636 Metetra
.686 .755 .904 r
.34348 .50636 .34686 .50943 .35223 .50856 .34892 .50427 Metetra
.641 .676 .868 r
.34892 .50427 .35223 .50856 .35758 .50828 .35433 .50285 Metetra
.59 .606 .837 r
.35433 .50285 .35758 .50828 .36293 .50832 .35972 .50227 Metetra
.545 .563 .824 r
.35972 .50227 .36293 .50832 .36831 .50816 .36508 .50247 Metetra
.515 .562 .841 r
.36508 .50247 .36831 .50816 .37374 .50726 .37044 .50301 Metetra
.511 .627 .902 r
.37044 .50301 .37374 .50726 .37923 .5053 .37584 .50323 Metetra
.538 .789 .99 r
.37584 .50323 .37923 .5053 .38477 .50235 .3813 .50244 Metetra
.543 .921 .929 r
.3813 .50244 .38477 .50235 .39033 .49901 .38683 .50023 Metetra
.578 .939 .81 r
.38683 .50023 .39033 .49901 .39588 .49623 .39242 .49677 Metetra
.734 .986 .897 r
.39242 .49677 .39588 .49623 .40138 .49503 .39803 .49287 Metetra
.748 .83 .914 r
.39803 .49287 .40138 .49503 .40681 .496 .40362 .48977 Metetra
.616 .594 .805 r
.40362 .48977 .40681 .496 .41219 .499 .40914 .48868 Metetra
.506 .448 .726 r
.40914 .48868 .41219 .499 .41757 .50305 .41459 .49028 Metetra
.429 .369 .689 r
.41459 .49028 .41757 .50305 .42299 .50659 .41999 .49427 Metetra
.371 .336 .69 r
.41999 .49427 .42299 .50659 .42851 .50805 .42538 .49931 Metetra
.325 .364 .749 r
.42538 .49931 .42851 .50805 .43412 .50653 .43084 .50348 Metetra
.259 .583 .945 r
.43084 .50348 .43412 .50653 .43982 .50225 .43639 .5049 Metetra
.01 0 0 r
.43639 .5049 .43982 .50225 .44556 .49657 .44207 .50264 Metetra
.44207 .50264 .44556 .49657 .45128 .49143 .44783 .49715 Metetra
.44783 .49715 .45128 .49143 .45696 .48862 .45361 .49019 Metetra
.813 .998 .783 r
.45361 .49019 .45696 .48862 .46259 .48894 .45938 .48414 Metetra
.714 .687 .822 r
.45938 .48414 .46259 .48894 .46819 .4919 .46509 .48102 Metetra
.548 .469 .718 r
.46509 .48102 .46819 .4919 .4738 .49579 .47075 .48161 Metetra
.465 .383 .679 r
.47075 .48161 .4738 .49579 .47946 .49842 .47638 .48515 Metetra
.422 .362 .686 r
.47638 .48515 .47946 .49842 .48519 .49796 .48203 .48958 Metetra
.418 .432 .768 r
.48203 .48958 .48519 .49796 .49097 .49375 .48773 .49237 Metetra
.462 .818 .997 r
.48773 .49237 .49097 .49375 .49678 .48649 .4935 .49156 Metetra
.4935 .49156 .49678 .48649 .50259 .47796 .49931 .48657 Metetra
0 0 .072 r
.49931 .48657 .50259 .47796 .50839 .47018 .50515 .47838 Metetra
.50515 .47838 .50839 .47018 .51417 .46466 .51098 .46908 Metetra
.583 .811 .418 r
.51098 .46908 .51417 .46466 .51995 .46188 .51679 .46094 Metetra
.855 .921 .874 r
.51679 .46094 .51995 .46188 .52573 .46125 .52259 .45557 Metetra
.667 .64 .814 r
.52259 .45557 .52573 .46125 .53154 .46148 .52839 .45336 Metetra
.557 .52 .77 r
.52839 .45336 .53154 .46148 .53736 .46121 .53422 .45353 Metetra
.513 .505 .785 r
.53422 .45353 .53736 .46121 .54319 .4595 .54006 .45455 Metetra
.526 .605 .875 r
.54006 .45455 .54319 .4595 .54902 .45615 .54592 .45478 Metetra
.587 .87 .994 r
.54592 .45478 .54902 .45615 .55485 .45159 .55179 .45311 Metetra
.491 .88 .702 r
.55179 .45311 .55485 .45159 .56068 .44662 .55765 .44929 Metetra
.498 .833 .542 r
.55765 .44929 .56068 .44662 .56651 .44199 .5635 .44394 Metetra
.685 .951 .69 r
.5635 .44394 .56651 .44199 .57236 .43819 .56934 .4382 Metetra
.813 .986 .885 r
.56934 .4382 .57236 .43819 .57823 .43535 .57519 .43329 Metetra
.745 .858 .932 r
.57519 .43329 .57823 .43535 .58412 .43339 .58107 .43011 Metetra
.611 .738 .935 r
.58107 .43011 .58412 .43339 .59004 .43212 .587 .4289 Metetra
.45 .673 .959 r
.587 .4289 .59004 .43212 .59599 .43141 .59298 .42924 Metetra
.244 .643 .961 r
.59298 .42924 .59599 .43141 .60196 .43113 .59899 .43018 Metetra
.131 .653 .883 r
.59899 .43018 .60196 .43113 .60796 .43107 .60501 .43055 Metetra
.368 .823 .931 r
.60501 .43055 .60796 .43107 .61398 .43086 .61102 .42943 Metetra
.714 .904 .963 r
.61102 .42943 .61398 .43086 .61999 .43003 .61698 .42651 Metetra
.775 .773 .851 r
.61698 .42651 .61999 .43003 .62599 .42815 .62292 .42227 Metetra
.736 .668 .783 r
.62292 .42227 .62599 .42815 .63197 .42518 .62886 .4179 Metetra
.678 .607 .768 r
.62886 .4179 .63197 .42518 .63793 .42155 .63485 .41488 Metetra
.586 .575 .808 r
.63485 .41488 .63793 .42155 .64391 .41821 .64093 .41435 Metetra
.258 .523 .912 r
.64093 .41435 .64391 .41821 .64995 .41629 .64714 .41657 Metetra
.621 .063 0 r
.64714 .41657 .64995 .41629 .6561 .41659 .65345 .42071 Metetra
.661 .231 .216 r
.65345 .42071 .6561 .41659 .66237 .41917 .65981 .42502 Metetra
.591 .194 .259 r
.65981 .42502 .66237 .41917 .66872 .42314 .66612 .42749 Metetra
.387 0 .08 r
.66612 .42749 .66872 .42314 .6751 .42688 .67232 .42667 Metetra
.75 .984 .906 r
.67232 .42667 .6751 .42688 .68143 .42866 .67837 .42244 Metetra
.779 .68 .754 r
.67837 .42244 .68143 .42866 .68762 .42734 .68432 .41607 Metetra
.71 .567 .691 r
.68432 .41607 .68762 .42734 .69368 .423 .69027 .40978 Metetra
.654 .517 .684 r
.69027 .40978 .69368 .423 .69964 .41691 .69635 .40583 Metetra
.578 .491 .72 r
.69635 .40583 .69964 .41691 .70562 .4111 .70262 .4055 Metetra
.311 .461 .849 r
.70262 .4055 .70562 .4111 .71172 .40746 .70912 .40856 Metetra
.666 .139 0 r
.70912 .40856 .71172 .40746 .71802 .40699 .71574 .41332 Metetra
.635 .244 .286 r
.71574 .41332 .71802 .40699 .72452 .40932 .72236 .41728 Metetra
.535 .173 .3 r
.72236 .41728 .72452 .40932 .73112 .41287 .72882 .41813 Metetra
.224 0 .069 r
.72882 .41813 .73112 .41287 .73769 .41547 .73503 .4147 Metetra
.908 .95 .816 r
.73503 .4147 .73769 .41547 .74411 .41523 .74098 .40741 Metetra
.804 .66 .704 r
.74098 .40741 .74411 .41523 .75029 .41132 .74679 .39805 Metetra
.732 .565 .665 r
.74679 .39805 .75029 .41132 .75625 .40427 .7526 .38898 Metetra
.686 .524 .661 r
.7526 .38898 .75625 .40427 .76209 .39567 .75857 .38216 Metetra
.645 .51 .684 r
.75857 .38216 .76209 .39567 .76795 .38749 .76477 .37856 Metetra
.592 .531 .756 r
.76477 .37856 .76795 .38749 .77396 .38133 .7712 .37783 Metetra
.407 .636 .949 r
.7712 .37783 .77396 .38133 .78017 .37787 .77777 .3787 Metetra
.282 0 0 r
.77777 .3787 .78017 .37787 .78659 .37674 .78436 .37948 Metetra
.3 0 0 r
.78436 .37948 .78659 .37674 .79314 .37686 .79085 .37874 Metetra
.79085 .37874 .79314 .37686 .79969 .37684 .79718 .37582 Metetra
.814 .965 .904 r
.79718 .37582 .79969 .37684 .80616 .37559 .80335 .37094 Metetra
.806 .748 .798 r
.80335 .37094 .80616 .37559 .81249 .37262 .80942 .36495 Metetra
.749 .64 .74 r
.80942 .36495 .81249 .37262 .81869 .36814 .81549 .35898 Metetra
.708 .594 .726 r
.81549 .35898 .81869 .36814 .82482 .36287 .82165 .35395 Metetra
.677 .581 .74 r
.82165 .35395 .82482 .36287 .83096 .35767 .82794 .35036 Metetra
.649 .598 .784 r
.82794 .35036 .83096 .35767 .83718 .35326 .83439 .34816 Metetra
.615 .655 .866 r
.83439 .34816 .83718 .35326 .84352 .34998 .84094 .34693 Metetra
.559 .749 .966 r
.84094 .34693 .84352 .34998 .84998 .34779 .84755 .34607 Metetra
.49 .823 .999 r
.84755 .34607 .84998 .34779 .85653 .34635 .85416 .34504 Metetra
.514 .865 .99 r
.85416 .34504 .85653 .34635 .86314 .34519 .86073 .34348 Metetra
.621 .882 .989 r
.86073 .34348 .86314 .34519 .86974 .34389 .86726 .3413 Metetra
.693 .84 .954 r
.86726 .3413 .86974 .34389 .87632 .3422 .87374 .33865 Metetra
.709 .779 .907 r
.87374 .33865 .87632 .3422 .88286 .34005 .88022 .33575 Metetra
.703 .735 .876 r
.88022 .33575 .88286 .34005 .88938 .33754 .8867 .33287 Metetra
.69 .712 .865 r
.8867 .33287 .88938 .33754 .89589 .33484 .89322 .33018 Metetra
.676 .706 .87 r
.89322 .33018 .89589 .33484 .90241 .33216 .89979 .32777 Metetra
.641 .727 .91 r
.30769 .51485 .3111 .51818 .31644 .51674 .31303 .51344 Metetra
.633 .726 .915 r
.31303 .51344 .31644 .51674 .3218 .51515 .31838 .51212 Metetra
.633 .744 .928 r
.31838 .51212 .3218 .51515 .32718 .51331 .32374 .51077 Metetra
.644 .781 .947 r
.32374 .51077 .32718 .51331 .3326 .51115 .32913 .50923 Metetra
.665 .831 .963 r
.32913 .50923 .3326 .51115 .33804 .50876 .33455 .50732 Metetra
.692 .872 .966 r
.33455 .50732 .33804 .50876 .34348 .50636 .34 .505 Metetra
.717 .881 .957 r
.34 .505 .34348 .50636 .34892 .50427 .34548 .50237 Metetra
.722 .842 .938 r
.34548 .50237 .34892 .50427 .35433 .50285 .35096 .49974 Metetra
.691 .756 .901 r
.35096 .49974 .35433 .50285 .35972 .50227 .35643 .49755 Metetra
.632 .654 .854 r
.35643 .49755 .35972 .50227 .36508 .50247 .36187 .49625 Metetra
.569 .57 .815 r
.36187 .49625 .36508 .50247 .37044 .50301 .36727 .49607 Metetra
.515 .521 .8 r
.36727 .49607 .37044 .50301 .37584 .50323 .37264 .49685 Metetra
.479 .519 .821 r
.37264 .49685 .37584 .50323 .3813 .50244 .37801 .49803 Metetra
.47 .6 .9 r
.37801 .49803 .3813 .50244 .38683 .50023 .38342 .4987 Metetra
.477 .808 1 r
.38342 .4987 .38683 .50023 .39242 .49677 .38891 .49798 Metetra
.39 .84 .745 r
.38891 .49798 .39242 .49677 .39803 .49287 .39449 .49542 Metetra
.424 .813 .579 r
.39449 .49542 .39803 .49287 .40362 .48977 .40013 .4913 Metetra
.694 .978 .796 r
.40013 .4913 .40362 .48977 .40914 .48868 .40579 .48671 Metetra
.77 .845 .908 r
.40579 .48671 .40914 .48868 .41459 .49028 .41142 .48321 Metetra
.606 .568 .785 r
.41142 .48321 .41459 .49028 .41999 .49427 .41697 .48228 Metetra
.487 .417 .703 r
.41697 .48228 .41999 .49427 .42538 .49931 .42244 .48462 Metetra
.409 .339 .667 r
.42244 .48462 .42538 .49931 .43084 .50348 .42785 .48971 Metetra
.349 .307 .669 r
.42785 .48971 .43084 .50348 .43639 .5049 .43326 .49583 Metetra
.292 .337 .737 r
.43326 .49583 .43639 .5049 .44207 .50264 .43875 .50058 Metetra
.134 .586 .925 r
.43875 .50058 .44207 .50264 .44783 .49715 .44436 .50183 Metetra
.129 0 0 r
.44436 .50183 .44783 .49715 .45361 .49019 .45009 .49862 Metetra
.051 0 .094 r
.45009 .49862 .45361 .49019 .45938 .48414 .45591 .49172 Metetra
.45591 .49172 .45938 .48414 .46509 .48102 .46174 .48335 Metetra
.808 .983 .707 r
.46174 .48335 .46509 .48102 .47075 .48161 .46755 .47633 Metetra
.719 .672 .804 r
.46755 .47633 .47075 .48161 .47638 .48515 .47329 .47287 Metetra
.544 .451 .701 r
.47329 .47287 .47638 .48515 .48203 .48958 .47898 .47368 Metetra
.463 .369 .664 r
.47898 .47368 .48203 .48958 .48773 .49237 .48465 .47769 Metetra
.426 .354 .672 r
.48465 .47769 .48773 .49237 .4935 .49156 .49034 .48246 Metetra
.438 .43 .753 r
.49034 .48246 .4935 .49156 .49931 .48657 .49609 .48516 Metetra
.552 .854 .998 r
.49609 .48516 .49931 .48657 .50515 .47838 .50189 .48379 Metetra
.50189 .48379 .50515 .47838 .51098 .46908 .50774 .47794 Metetra
0 0 .055 r
.50774 .47794 .51098 .46908 .51679 .46094 .51359 .4689 Metetra
.51359 .4689 .51679 .46094 .52259 .45557 .51943 .459 Metetra
.753 .925 .566 r
.51943 .459 .52259 .45557 .52839 .45336 .52525 .45059 Metetra
.826 .809 .834 r
.52525 .45059 .52839 .45336 .53422 .45353 .53107 .44515 Metetra
.649 .567 .748 r
.53107 .44515 .53422 .45353 .54006 .45455 .5369 .4428 Metetra
.575 .478 .707 r
.5369 .4428 .54006 .45455 .54592 .45478 .54275 .44255 Metetra
.561 .464 .702 r
.54275 .44255 .54592 .45478 .55179 .45311 .54862 .4428 Metetra
.588 .503 .726 r
.54862 .4428 .55179 .45311 .55765 .44929 .55451 .44215 Metetra
.653 .595 .777 r
.55451 .44215 .55765 .44929 .5635 .44394 .56039 .43995 Metetra
.739 .738 .85 r
.56039 .43995 .5635 .44394 .56934 .4382 .56627 .43645 Metetra
.789 .883 .914 r
.56627 .43645 .56934 .4382 .57519 .43329 .57215 .43248 Metetra
.746 .946 .946 r
.57215 .43248 .57519 .43329 .58107 .43011 .57805 .42896 Metetra
.674 .913 .975 r
.57805 .42896 .58107 .43011 .587 .4289 .58396 .42638 Metetra
.647 .804 .959 r
.58396 .42638 .587 .4289 .59298 .42924 .58991 .42457 Metetra
.645 .675 .864 r
.58991 .42457 .59298 .42924 .59899 .43018 .59587 .42294 Metetra
.649 .592 .777 r
.59587 .42294 .59899 .43018 .60501 .43055 .60183 .42083 Metetra
.651 .549 .726 r
.60183 .42083 .60501 .43055 .61102 .42943 .60778 .41804 Metetra
.645 .526 .704 r
.60778 .41804 .61102 .42943 .61698 .42651 .61375 .41509 Metetra
.625 .513 .707 r
.61375 .41509 .61698 .42651 .62292 .42227 .61974 .41299 Metetra
.573 .511 .747 r
.61974 .41299 .62292 .42227 .62886 .4179 .62581 .41281 Metetra
.353 .508 .873 r
.62581 .41281 .62886 .4179 .63485 .41488 .63198 .41502 Metetra
.611 .048 0 r
.63198 .41502 .63485 .41488 .64093 .41435 .63824 .41907 Metetra
.66 .245 .246 r
.63824 .41907 .64093 .41435 .64714 .41657 .64455 .42344 Metetra
.598 .22 .297 r
.64455 .42344 .64714 .41657 .65345 .42071 .65083 .42613 Metetra
.439 .032 .169 r
.65083 .42613 .65345 .42071 .65981 .42502 .65701 .42558 Metetra
.657 .971 .84 r
.65701 .42558 .65981 .42502 .66612 .42749 .66306 .42145 Metetra
.785 .686 .755 r
.66306 .42145 .66612 .42749 .67232 .42667 .669 .41494 Metetra
.71 .563 .686 r
.669 .41494 .67232 .42667 .67837 .42244 .67494 .40837 Metetra
.653 .51 .676 r
.67494 .40837 .67837 .42244 .68432 .41607 .68099 .40422 Metetra
.572 .479 .71 r
.68099 .40422 .68432 .41607 .69027 .40978 .68725 .40407 Metetra
.244 .415 .834 r
.68725 .40407 .69027 .40978 .69635 .40583 .69374 .40785 Metetra
.722 .242 .106 r
.69374 .40785 .69635 .40583 .70262 .4055 .70038 .41383 Metetra
.659 .297 .347 r
.70038 .41383 .70262 .4055 .70912 .40856 .70703 .41919 Metetra
.573 .239 .365 r
.70703 .41919 .70912 .40856 .71574 .41332 .71352 .42118 Metetra
.369 .022 .24 r
.71352 .42118 .71574 .41332 .72236 .41728 .71975 .41826 Metetra
.857 .992 .736 r
.71975 .41826 .72236 .41728 .72882 .41813 .72571 .41073 Metetra
.821 .674 .7 r
.72571 .41073 .72882 .41813 .73503 .4147 .73149 .40055 Metetra
.737 .562 .656 r
.73149 .40055 .73503 .4147 .74098 .40741 .73726 .39046 Metetra
.686 .515 .65 r
.73726 .39046 .74098 .40741 .74679 .39805 .74318 .38291 Metetra
.64 .496 .67 r
.74318 .38291 .74679 .39805 .7526 .38898 .74935 .37912 Metetra
.575 .507 .741 r
.74935 .37912 .7526 .38898 .75857 .38216 .75579 .37886 Metetra
.276 .574 .939 r
.75579 .37886 .75857 .38216 .76477 .37856 .7624 .38063 Metetra
.49 0 0 r
.7624 .38063 .76477 .37856 .7712 .37783 .76904 .38237 Metetra
.445 .01 .116 r
.76904 .38237 .7712 .37783 .77777 .3787 .77556 .38231 Metetra
.155 0 0 r
.77556 .38231 .77777 .3787 .78436 .37948 .78189 .37952 Metetra
.786 .998 .847 r
.78189 .37952 .78436 .37948 .79085 .37874 .78803 .37419 Metetra
.827 .756 .785 r
.78803 .37419 .79085 .37874 .79718 .37582 .79403 .36738 Metetra
.755 .629 .72 r
.79403 .36738 .79718 .37582 .80335 .37094 .80003 .36049 Metetra
.709 .577 .705 r
.80003 .36049 .80335 .37094 .80942 .36495 .80612 .35473 Metetra
.674 .56 .718 r
.80612 .35473 .80942 .36495 .81549 .35898 .81237 .35075 Metetra
.643 .575 .763 r
.81237 .35075 .81549 .35898 .82165 .35395 .8188 .34854 Metetra
.601 .634 .856 r
.8188 .34854 .82165 .35395 .82794 .35036 .82535 .34758 Metetra
.507 .745 .981 r
.82535 .34758 .82794 .35036 .83439 .34816 .83197 .34711 Metetra
.349 .792 .958 r
.83197 .34711 .83439 .34816 .84094 .34693 .83859 .3464 Metetra
.368 .828 .915 r
.83859 .3464 .84094 .34693 .84755 .34607 .84517 .34501 Metetra
.57 .906 .977 r
.84517 .34501 .84755 .34607 .85416 .34504 .85167 .3428 Metetra
.701 .869 .961 r
.85167 .3428 .85416 .34504 .86073 .34348 .85813 .33996 Metetra
.724 .787 .902 r
.85813 .33996 .86073 .34348 .86726 .3413 .86456 .3368 Metetra
.712 .728 .863 r
.86456 .3368 .86726 .3413 .87374 .33865 .871 .33367 Metetra
.695 .7 .85 r
.871 .33367 .87374 .33865 .88022 .33575 .87749 .3308 Metetra
.678 .694 .858 r
.87749 .3308 .88022 .33575 .8867 .33287 .88403 .32831 Metetra
.663 .706 .88 r
.88403 .32831 .8867 .33287 .89322 .33018 .89063 .32617 Metetra
.649 .73 .908 r
.89063 .32617 .89322 .33018 .89979 .32777 .89726 .32427 Metetra
.662 .755 .919 r
.30424 .51188 .30769 .51485 .31303 .51344 .30961 .51015 Metetra
.648 .733 .911 r
.30961 .51015 .31303 .51344 .31838 .51212 .31497 .50863 Metetra
.633 .716 .907 r
.31497 .50863 .31838 .51212 .32374 .51077 .32034 .50732 Metetra
.622 .716 .913 r
.32034 .50732 .32374 .51077 .32913 .50923 .32571 .50615 Metetra
.621 .739 .931 r
.32571 .50615 .32913 .50923 .33455 .50732 .33109 .50494 Metetra
.634 .792 .958 r
.33109 .50494 .33455 .50732 .34 .505 .33651 .50345 Metetra
.66 .86 .976 r
.33651 .50345 .34 .505 .34548 .50237 .34196 .50148 Metetra
.692 .912 .971 r
.34196 .50148 .34548 .50237 .35096 .49974 .34745 .49894 Metetra
.727 .922 .958 r
.34745 .49894 .35096 .49974 .35643 .49755 .35297 .496 Metetra
.739 .87 .941 r
.35297 .496 .35643 .49755 .36187 .49625 .3585 .49308 Metetra
.697 .755 .896 r
.3585 .49308 .36187 .49625 .36727 .49607 .364 .49078 Metetra
.621 .628 .836 r
.364 .49078 .36727 .49607 .37264 .49685 .36946 .48965 Metetra
.545 .53 .79 r
.36946 .48965 .37264 .49685 .37801 .49803 .37487 .48997 Metetra
.483 .475 .772 r
.37487 .48997 .37801 .49803 .38342 .4987 .38024 .49149 Metetra
.439 .472 .797 r
.38024 .49149 .38342 .4987 .38891 .49798 .38562 .49343 Metetra
.417 .568 .896 r
.38562 .49343 .38891 .49798 .39449 .49542 .39105 .49461 Metetra
.361 .801 .959 r
.39105 .49461 .39449 .49542 .40013 .4913 .39658 .49393 Metetra
.39658 .49393 .40013 .4913 .40579 .48671 .4022 .49089 Metetra
.4022 .49089 .40579 .48671 .41142 .48321 .4079 .48594 Metetra
.609 .909 .634 r
.4079 .48594 .41142 .48321 .41697 .48228 .41362 .48051 Metetra
.793 .86 .9 r
.41362 .48051 .41697 .48228 .42244 .48462 .41929 .47656 Metetra
.596 .541 .763 r
.41929 .47656 .42244 .48462 .42785 .48971 .42487 .47583 Metetra
.47 .387 .681 r
.42487 .47583 .42785 .48971 .43326 .49583 .43035 .47902 Metetra
.39 .312 .647 r
.43035 .47902 .43326 .49583 .43875 .50058 .43578 .48536 Metetra
.326 .279 .651 r
.43578 .48536 .43875 .50058 .44436 .50183 .44122 .49265 Metetra
.248 .308 .728 r
.44122 .49265 .44436 .50183 .45009 .49862 .44674 .49801 Metetra
0 .475 .704 r
.44674 .49801 .45009 .49862 .45591 .49172 .4524 .49899 Metetra
.212 0 .131 r
.4524 .49899 .45591 .49172 .46174 .48335 .45819 .4947 Metetra
.116 0 .198 r
.45819 .4947 .46174 .48335 .46755 .47633 .46406 .48626 Metetra
0 0 .072 r
.46406 .48626 .46755 .47633 .47329 .47287 .46994 .47644 Metetra
.726 .919 .567 r
.46994 .47644 .47329 .47287 .47898 .47368 .47577 .46851 Metetra
.725 .679 .805 r
.47577 .46851 .47898 .47368 .48465 .47769 .48154 .46488 Metetra
.528 .437 .696 r
.48154 .46488 .48465 .47769 .49034 .48246 .48726 .46622 Metetra
.436 .349 .66 r
.48726 .46622 .49034 .48246 .49609 .48516 .49297 .47115 Metetra
.379 .328 .674 r
.49297 .47115 .49609 .48516 .50189 .48379 .49871 .47686 Metetra
.32 .415 .803 r
.49871 .47686 .50189 .48379 .50774 .47794 .5045 .48024 Metetra
.176 0 0 r
.5045 .48024 .50774 .47794 .51359 .4689 .51034 .4791 Metetra
.237 0 .234 r
.51034 .4791 .51359 .4689 .51943 .459 .51621 .47306 Metetra
.19 0 .279 r
.51621 .47306 .51943 .459 .52525 .45059 .52208 .46355 Metetra
.094 0 .226 r
.52208 .46355 .52525 .45059 .53107 .44515 .52793 .45307 Metetra
.52793 .45307 .53107 .44515 .5369 .4428 .53377 .44418 Metetra
.762 .991 .778 r
.53377 .44418 .5369 .4428 .54275 .44255 .53962 .43858 Metetra
.663 .714 .886 r
.53962 .43858 .54275 .44255 .54862 .4428 .54548 .43668 Metetra
.487 .539 .836 r
.54548 .43668 .54862 .4428 .55451 .44215 .55138 .43772 Metetra
.264 .493 .89 r
.55138 .43772 .55451 .44215 .56039 .43995 .55732 .44016 Metetra
.444 0 0 r
.55732 .44016 .56039 .43995 .56627 .43645 .56329 .44232 Metetra
.508 .113 .226 r
.56329 .44232 .56627 .43645 .57215 .43248 .56925 .44285 Metetra
.454 .131 .327 r
.56925 .44285 .57215 .43248 .57805 .42896 .57521 .44101 Metetra
.386 .087 .33 r
.57521 .44101 .57805 .42896 .58396 .42638 .58113 .43678 Metetra
.266 0 .258 r
.58113 .43678 .58396 .42638 .58991 .42457 .58703 .43084 Metetra
.58703 .43084 .58991 .42457 .59587 .42294 .59292 .42433 Metetra
.735 .981 .754 r
.59292 .42433 .59587 .42294 .60183 .42083 .59882 .4187 Metetra
.754 .859 .927 r
.59882 .4187 .60183 .42083 .60778 .41804 .60477 .41532 Metetra
.49 .731 .979 r
.60477 .41532 .60778 .41804 .61375 .41509 .61082 .41506 Metetra
.495 0 0 r
.61082 .41506 .61375 .41509 .61974 .41299 .61697 .41795 Metetra
.677 .271 .268 r
.61697 .41795 .61974 .41299 .62581 .41281 .62322 .42291 Metetra
.645 .306 .383 r
.62322 .42291 .62581 .41281 .63198 .41502 .62951 .42798 Metetra
.592 .277 .404 r
.62951 .42798 .63198 .41502 .63824 .41907 .63576 .43087 Metetra
.496 .182 .363 r
.63576 .43087 .63824 .41907 .64455 .42344 .64191 .42989 Metetra
.135 0 .084 r
.64191 .42989 .64455 .42344 .65083 .42613 .64792 .42476 Metetra
.912 .895 .798 r
.64792 .42476 .65083 .42613 .65701 .42558 .65382 .41686 Metetra
.768 .627 .705 r
.65382 .41686 .65701 .42558 .66306 .42145 .65971 .40884 Metetra
.681 .538 .684 r
.65971 .40884 .66306 .42145 .669 .41494 .6657 .40358 Metetra
.584 .491 .715 r
.6657 .40358 .669 .41494 .67494 .40837 .67191 .40299 Metetra
.17 .384 .83 r
.67191 .40299 .67494 .40837 .68099 .40422 .67837 .40715 Metetra
.746 .301 .194 r
.67837 .40715 .68099 .40422 .68725 .40407 .68501 .41422 Metetra
.674 .33 .384 r
.68501 .41422 .68725 .40407 .69374 .40785 .69168 .42101 Metetra
.597 .28 .402 r
.69168 .42101 .69374 .40785 .70038 .41383 .69821 .42426 Metetra
.442 .12 .324 r
.69821 .42426 .70038 .41383 .70703 .41919 .70446 .42196 Metetra
.65 .877 .516 r
.70446 .42196 .70703 .41919 .71352 .42118 .71042 .41422 Metetra
.839 .688 .695 r
.71042 .41422 .71352 .42118 .71975 .41826 .71618 .40315 Metetra
.741 .559 .647 r
.71618 .40315 .71975 .41826 .72571 .41073 .7219 .39193 Metetra
.685 .507 .64 r
.7219 .39193 .72571 .41073 .73149 .40055 .72777 .38349 Metetra
.636 .483 .658 r
.72777 .38349 .73149 .40055 .73726 .39046 .73393 .37947 Metetra
.56 .482 .724 r
.73393 .37947 .73726 .39046 .74318 .38291 .74037 .37971 Metetra
.107 .474 .895 r
.74037 .37971 .74318 .38291 .74935 .37912 .74702 .38252 Metetra
.594 .124 .109 r
.74702 .38252 .74935 .37912 .75579 .37886 .75371 .38545 Metetra
.522 .134 .247 r
.75371 .38545 .75579 .37886 .7624 .38063 .76027 .38624 Metetra
.315 0 .127 r
.76027 .38624 .7624 .38063 .76904 .38237 .76661 .38368 Metetra
.663 .944 .688 r
.76661 .38368 .76904 .38237 .77556 .38231 .77272 .37791 Metetra
.849 .766 .77 r
.77272 .37791 .77556 .38231 .78189 .37952 .77866 .37018 Metetra
.761 .619 .702 r
.77866 .37018 .78189 .37952 .78803 .37419 .78458 .36222 Metetra
.709 .562 .685 r
.78458 .36222 .78803 .37419 .79403 .36738 .7906 .35558 Metetra
.671 .541 .697 r
.7906 .35558 .79403 .36738 .80003 .36049 .79681 .35114 Metetra
.636 .551 .742 r
.79681 .35114 .80003 .36049 .80612 .35473 .80321 .34893 Metetra
.584 .611 .845 r
.80321 .34893 .80612 .35473 .81237 .35075 .80977 .34831 Metetra
.423 .729 .989 r
.80977 .34831 .81237 .35075 .8188 .34854 .81642 .34832 Metetra
.103 .657 .789 r
.81642 .34832 .8188 .34854 .82535 .34758 .82305 .34803 Metetra
.82305 .34803 .82535 .34758 .83197 .34711 .82962 .34684 Metetra
.457 .884 .898 r
.82962 .34684 .83197 .34711 .83859 .3464 .83611 .3446 Metetra
.708 .903 .965 r
.83611 .3446 .83859 .3464 .84517 .34501 .84253 .34152 Metetra
.741 .794 .895 r
.84253 .34152 .84517 .34501 .85167 .3428 .84892 .33803 Metetra
.722 .719 .847 r
.84892 .33803 .85167 .3428 .85813 .33996 .85531 .33457 Metetra
.699 .685 .833 r
.85531 .33457 .85813 .33996 .86456 .3368 .86176 .33147 Metetra
.679 .678 .842 r
.86176 .33147 .86456 .3368 .871 .33367 .86828 .32888 Metetra
.661 .694 .87 r
.86828 .32888 .871 .33367 .87749 .3308 .87485 .32676 Metetra
.644 .726 .908 r
.87485 .32676 .87749 .3308 .88403 .32831 .88149 .32496 Metetra
.629 .764 .944 r
.88149 .32496 .88403 .32831 .89063 .32617 .88815 .32329 Metetra
.622 .795 .965 r
.88815 .32329 .89063 .32617 .89726 .32427 .89482 .32158 Metetra
.679 .803 .941 r
.30073 .50954 .30424 .51188 .30961 .51015 .30612 .50755 Metetra
.675 .784 .932 r
.30612 .50755 .30961 .51015 .31497 .50863 .31152 .50563 Metetra
.662 .755 .919 r
.31152 .50563 .31497 .50863 .32034 .50732 .31692 .5039 Metetra
.643 .724 .907 r
.31692 .5039 .32034 .50732 .32571 .50615 .32232 .50245 Metetra
.622 .701 .902 r
.32232 .50245 .32571 .50615 .33109 .50494 .3277 .50129 Metetra
.607 .7 .91 r
.3277 .50129 .33109 .50494 .33651 .50345 .33309 .50031 Metetra
.605 .732 .935 r
.33309 .50031 .33651 .50345 .34196 .50148 .3385 .49928 Metetra
.62 .804 .97 r
.3385 .49928 .34196 .50148 .34745 .49894 .34394 .49787 Metetra
.646 .894 .984 r
.34394 .49787 .34745 .49894 .35297 .496 .34942 .4958 Metetra
.677 .951 .955 r
.34942 .4958 .35297 .496 .3585 .49308 .35496 .49299 Metetra
.727 .963 .941 r
.35496 .49299 .3585 .49308 .364 .49078 .36053 .48966 Metetra
.758 .903 .941 r
.36053 .48966 .364 .49078 .36946 .48965 .3661 .48639 Metetra
.703 .752 .89 r
.3661 .48639 .36946 .48965 .37487 .48997 .37164 .48395 Metetra
.606 .597 .816 r
.37164 .48395 .37487 .48997 .38024 .49149 .37712 .48306 Metetra
.519 .488 .762 r
.37712 .48306 .38024 .49149 .38562 .49343 .38253 .48401 Metetra
.45 .429 .743 r
.38253 .48401 .38562 .49343 .39105 .49461 .3879 .48644 Metetra
.398 .423 .77 r
.3879 .48644 .39105 .49461 .39658 .49393 .39329 .48927 Metetra
.353 .529 .89 r
.39329 .48927 .39658 .49393 .4022 .49089 .39874 .49101 Metetra
.163 .703 .788 r
.39874 .49101 .4022 .49089 .4079 .48594 .4043 .49031 Metetra
.005 0 0 r
.4043 .49031 .4079 .48594 .41362 .48051 .40998 .48663 Metetra
.40998 .48663 .41362 .48051 .41929 .47656 .41574 .48065 Metetra
.41574 .48065 .41929 .47656 .42487 .47583 .42152 .47422 Metetra
.815 .871 .888 r
.42152 .47422 .42487 .47583 .43035 .47902 .42723 .46976 Metetra
.585 .513 .741 r
.42723 .46976 .43035 .47902 .43578 .48536 .43284 .46926 Metetra
.456 .362 .66 r
.43284 .46926 .43578 .48536 .44122 .49265 .43833 .4734 Metetra
.377 .29 .629 r
.43833 .4734 .44122 .49265 .44674 .49801 .44378 .48106 Metetra
.314 .259 .635 r
.44378 .48106 .44674 .49801 .4524 .49899 .44925 .48948 Metetra
.232 .291 .718 r
.44925 .48948 .4524 .49899 .45819 .4947 .45482 .49525 Metetra
.207 0 0 r
.45482 .49525 .45819 .4947 .46406 .48626 .46054 .49566 Metetra
.209 0 .196 r
.46054 .49566 .46406 .48626 .46994 .47644 .46639 .48993 Metetra
.108 0 .229 r
.46639 .48993 .46994 .47644 .47577 .46851 .4723 .47969 Metetra
0 0 .09 r
.4723 .47969 .47577 .46851 .48154 .46488 .47822 .46829 Metetra
.811 .95 .603 r
.47822 .46829 .48154 .46488 .48726 .46622 .48408 .45946 Metetra
.705 .627 .768 r
.48408 .45946 .48726 .46622 .49297 .47115 .48987 .45576 Metetra
.521 .412 .671 r
.48987 .45576 .49297 .47115 .49871 .47686 .49563 .4576 Metetra
.444 .338 .64 r
.49563 .4576 .49871 .47686 .5045 .48024 .50138 .46314 Metetra
.414 .33 .652 r
.50138 .46314 .5045 .48024 .51034 .4791 .50716 .46903 Metetra
.449 .421 .736 r
.50716 .46903 .51034 .4791 .51621 .47306 .513 .47181 Metetra
.672 .902 .977 r
.513 .47181 .51621 .47306 .52208 .46355 .51888 .46934 Metetra
.51888 .46934 .52208 .46355 .52793 .45307 .52476 .46164 Metetra
.52476 .46164 .52793 .45307 .53377 .44418 .53064 .45079 Metetra
.53064 .45079 .53377 .44418 .53962 .43858 .53649 .4399 Metetra
.908 .983 .75 r
.53649 .4399 .53962 .43858 .54548 .43668 .54234 .43179 Metetra
.737 .698 .814 r
.54234 .43179 .54548 .43668 .55138 .43772 .54821 .42794 Metetra
.563 .496 .738 r
.54821 .42794 .55138 .43772 .55732 .44016 .55412 .42801 Metetra
.497 .425 .706 r
.55412 .42801 .55732 .44016 .56329 .44232 .56007 .43018 Metetra
.511 .434 .706 r
.56007 .43018 .56329 .44232 .56925 .44285 .56605 .43197 Metetra
.586 .496 .719 r
.56605 .43197 .56925 .44285 .57521 .44101 .57201 .43133 Metetra
.676 .564 .721 r
.57201 .43133 .57521 .44101 .58113 .43678 .57795 .42755 Metetra
.727 .598 .712 r
.57795 .42755 .58113 .43678 .58703 .43084 .58384 .42151 Metetra
.729 .598 .709 r
.58384 .42151 .58703 .43084 .59292 .42433 .58974 .4153 Metetra
.69 .581 .728 r
.58974 .4153 .59292 .42433 .59882 .4187 .59567 .41119 Metetra
.585 .553 .785 r
.59567 .41119 .59882 .4187 .60477 .41532 .6017 .41065 Metetra
.223 .455 .872 r
.6017 .41065 .60477 .41532 .61082 .41506 .60783 .41364 Metetra
.565 0 0 r
.60783 .41364 .61082 .41506 .61697 .41795 .61405 .4185 Metetra
.635 .088 0 r
.61405 .4185 .61697 .41795 .62322 .42291 .62028 .42262 Metetra
.137 0 0 r
.62028 .42262 .62322 .42291 .62951 .42798 .62645 .42355 Metetra
.727 .721 .845 r
.62645 .42355 .62951 .42798 .63576 .43087 .6325 .42016 Metetra
.725 .581 .693 r
.6325 .42016 .63576 .43087 .64191 .42989 .63844 .4133 Metetra
.691 .52 .651 r
.63844 .4133 .64191 .42989 .64792 .42476 .64434 .40554 Metetra
.648 .481 .643 r
.64434 .40554 .64792 .42476 .65382 .41686 .65032 .40007 Metetra
.581 .447 .663 r
.65032 .40007 .65382 .41686 .65971 .40884 .65649 .39933 Metetra
.357 .376 .744 r
.65649 .39933 .65971 .40884 .6657 .40358 .66291 .40386 Metetra
.786 .295 .04 r
.66291 .40386 .6657 .40358 .67191 .40299 .66952 .41198 Metetra
.708 .354 .375 r
.66952 .41198 .67191 .40299 .67837 .40715 .6762 .42033 Metetra
.625 .305 .408 r
.6762 .42033 .67837 .40715 .68501 .41422 .68276 .42518 Metetra
.483 .161 .343 r
.68276 .42518 .68501 .41422 .69168 .42101 .68906 .42398 Metetra
.6 .849 .488 r
.68906 .42398 .69168 .42101 .69821 .42426 .69505 .41652 Metetra
.831 .672 .686 r
.69505 .41652 .69821 .42426 .70446 .42196 .7008 .40495 Metetra
.735 .547 .638 r
.7008 .40495 .70446 .42196 .71042 .41422 .7065 .39284 Metetra
.681 .496 .63 r
.7065 .39284 .71042 .41422 .71618 .40315 .71235 .38367 Metetra
.629 .468 .645 r
.71235 .38367 .71618 .40315 .7219 .39193 .71848 .37949 Metetra
.543 .456 .706 r
.71848 .37949 .7219 .39193 .72777 .38349 .72494 .38035 Metetra
0 .335 .805 r
.72494 .38035 .72777 .38349 .73393 .37947 .73162 .38437 Metetra
.649 .226 .227 r
.73162 .38437 .73393 .37947 .74037 .37971 .73836 .38869 Metetra
.567 .213 .328 r
.73836 .38869 .74037 .37971 .74702 .38252 .74498 .39054 Metetra
.408 .057 .255 r
.74498 .39054 .74702 .38252 .75371 .38545 .75133 .38833 Metetra
.75133 .38833 .75371 .38545 .76027 .38624 .75741 .38212 Metetra
.872 .778 .755 r
.75741 .38212 .76027 .38624 .76661 .38368 .7633 .37336 Metetra
.766 .61 .684 r
.7633 .37336 .76661 .38368 .77272 .37791 .76914 .36417 Metetra
.709 .548 .668 r
.76914 .36417 .77272 .37791 .77866 .37018 .77509 .35652 Metetra
.668 .523 .678 r
.77509 .35652 .77866 .37018 .78458 .36222 .78125 .35154 Metetra
.628 .528 .721 r
.78125 .35154 .78458 .36222 .7906 .35558 .78763 .34934 Metetra
.563 .584 .833 r
.78763 .34934 .7906 .35558 .79681 .35114 .79421 .34914 Metetra
.284 .684 .972 r
.79421 .34914 .79681 .35114 .80321 .34893 .80087 .34974 Metetra
.192 0 0 r
.80087 .34974 .80321 .34893 .80977 .34831 .80753 .34997 Metetra
.151 0 0 r
.80753 .34997 .80977 .34831 .81642 .34832 .8141 .34904 Metetra
.257 .755 .691 r
.8141 .34904 .81642 .34832 .82305 .34803 .82057 .34675 Metetra
.712 .94 .959 r
.82057 .34675 .82305 .34803 .82962 .34684 .82695 .34337 Metetra
.761 .8 .884 r
.82695 .34337 .82962 .34684 .83611 .3446 .83329 .33945 Metetra
.732 .707 .828 r
.83329 .33945 .83611 .3446 .84253 .34152 .83964 .33558 Metetra
.703 .667 .811 r
.83964 .33558 .84253 .34152 .84892 .33803 .84604 .3322 Metetra
.679 .66 .824 r
.84604 .3322 .84892 .33803 .85531 .33457 .85253 .32949 Metetra
.658 .679 .859 r
.85253 .32949 .85531 .33457 .86176 .33147 .85909 .32739 Metetra
.636 .72 .909 r
.85909 .32739 .86176 .33147 .86828 .32888 .86572 .32572 Metetra
.613 .77 .955 r
.86572 .32572 .86828 .32888 .87485 .32676 .87238 .32421 Metetra
.6 .811 .981 r
.87238 .32421 .87485 .32676 .88149 .32496 .87905 .32263 Metetra
.607 .833 .986 r
.87905 .32263 .88149 .32496 .88815 .32329 .88571 .32087 Metetra
.632 .836 .979 r
.88571 .32087 .88815 .32329 .89482 .32158 .89237 .31887 Metetra
.671 .824 .957 r
.29719 .50751 .30073 .50954 .30612 .50755 .30259 .50556 Metetra
.68 .829 .955 r
.30259 .50556 .30612 .50755 .31152 .50563 .308 .5035 Metetra
.684 .82 .948 r
.308 .5035 .31152 .50563 .31692 .5039 .31343 .5014 Metetra
.679 .793 .935 r
.31343 .5014 .31692 .5039 .32232 .50245 .31887 .4994 Metetra
.662 .754 .918 r
.31887 .4994 .32232 .50245 .3277 .50129 .3243 .49766 Metetra
.635 .711 .902 r
.3243 .49766 .3277 .50129 .33309 .50031 .32971 .4963 Metetra
.607 .681 .894 r
.32971 .4963 .33309 .50031 .3385 .49928 .33512 .49535 Metetra
.587 .678 .903 r
.33512 .49535 .3385 .49928 .34394 .49787 .34052 .49464 Metetra
.583 .72 .937 r
.34052 .49464 .34394 .49787 .34942 .4958 .34595 .49384 Metetra
.598 .817 .984 r
.34595 .49384 .34942 .4958 .35496 .49299 .35141 .49253 Metetra
.611 .923 .972 r
.35141 .49253 .35496 .49299 .36053 .48966 .35694 .49034 Metetra
.623 .96 .886 r
.35694 .49034 .36053 .48966 .3661 .48639 .36252 .48718 Metetra
.702 .983 .881 r
.36252 .48718 .3661 .48639 .37164 .48395 .36814 .48336 Metetra
.777 .939 .933 r
.36814 .48336 .37164 .48395 .37712 .48306 .37376 .47966 Metetra
.709 .747 .882 r
.37376 .47966 .37712 .48306 .38253 .48401 .37933 .47707 Metetra
.59 .563 .792 r
.37933 .47707 .38253 .48401 .3879 .48644 .38483 .47649 Metetra
.492 .446 .734 r
.38483 .47649 .3879 .48644 .39329 .48927 .39024 .47822 Metetra
.418 .383 .713 r
.39024 .47822 .39329 .48927 .39874 .49101 .39562 .48173 Metetra
.354 .372 .741 r
.39562 .48173 .39874 .49101 .4043 .49031 .401 .48561 Metetra
.269 .481 .88 r
.401 .48561 .4043 .49031 .40998 .48663 .40648 .48797 Metetra
.081 0 0 r
.40648 .48797 .40998 .48663 .41574 .48065 .41208 .48718 Metetra
.126 0 .048 r
.41208 .48718 .41574 .48065 .42152 .47422 .41782 .48269 Metetra
.003 0 .062 r
.41782 .48269 .42152 .47422 .42723 .46976 .42365 .47548 Metetra
.42365 .47548 .42723 .46976 .43284 .46926 .42948 .4679 Metetra
.839 .885 .874 r
.42948 .4679 .43284 .46926 .43833 .4734 .43524 .46284 Metetra
.574 .49 .721 r
.43524 .46284 .43833 .4734 .44378 .48106 .44087 .46259 Metetra
.443 .34 .643 r
.44087 .46259 .44378 .48106 .44925 .48948 .44639 .46775 Metetra
.365 .271 .614 r
.44639 .46775 .44925 .48948 .45482 .49525 .45186 .4768 Metetra
.298 .239 .621 r
.45186 .4768 .45482 .49525 .46054 .49566 .45737 .48641 Metetra
.18 .263 .714 r
.45737 .48641 .46054 .49566 .46639 .48993 .46299 .49264 Metetra
.362 0 0 r
.46299 .49264 .46639 .48993 .4723 .47969 .46876 .49254 Metetra
.26 0 .283 r
.46876 .49254 .4723 .47969 .47822 .46829 .47466 .48551 Metetra
.165 0 .295 r
.47466 .48551 .47822 .46829 .48408 .45946 .48061 .47361 Metetra
0 0 .186 r
.48061 .47361 .48408 .45946 .48987 .45576 .48655 .46071 Metetra
.696 .856 .443 r
.48655 .46071 .48987 .45576 .49563 .4576 .49244 .45083 Metetra
.72 .635 .762 r
.49244 .45083 .49563 .4576 .50138 .46314 .49826 .44658 Metetra
.529 .411 .663 r
.49826 .44658 .50138 .46314 .50716 .46903 .50405 .44821 Metetra
.455 .34 .633 r
.50405 .44821 .50716 .46903 .513 .47181 .50985 .45369 Metetra
.423 .33 .646 r
.50985 .45369 .513 .47181 .51888 .46934 .51569 .45964 Metetra
.425 .413 .743 r
.51569 .45964 .51888 .46934 .52476 .46164 .52157 .46275 Metetra
.52157 .46275 .52476 .46164 .53064 .45079 .52747 .46108 Metetra
.22 0 .228 r
.52747 .46108 .53064 .45079 .53649 .4399 .53338 .4547 Metetra
.221 0 .3 r
.53338 .4547 .53649 .4399 .54234 .43179 .53927 .44532 Metetra
.151 0 .258 r
.53927 .44532 .54234 .43179 .54821 .42794 .54514 .43536 Metetra
.54514 .43536 .54821 .42794 .55412 .42801 .55101 .42686 Metetra
.871 .91 .854 r
.55101 .42686 .55412 .42801 .56007 .43018 .55689 .42088 Metetra
.67 .565 .728 r
.55689 .42088 .56007 .43018 .56605 .43197 .5628 .41748 Metetra
.596 .469 .678 r
.5628 .41748 .56605 .43197 .57201 .43133 .56874 .41617 Metetra
.561 .442 .674 r
.56874 .41617 .57201 .43133 .57795 .42755 .57473 .41637 Metetra
.518 .45 .72 r
.57473 .41637 .57795 .42755 .58384 .42151 .58075 .41779 Metetra
.189 .495 .904 r
.58075 .41779 .58384 .42151 .58974 .4153 .58682 .42024 Metetra
.615 .201 .234 r
.58682 .42024 .58974 .4153 .59567 .41119 .59294 .42331 Metetra
.59 .269 .393 r
.59294 .42331 .59567 .41119 .6017 .41065 .59907 .42606 Metetra
.553 .255 .415 r
.59907 .42606 .6017 .41065 .60783 .41364 .6052 .42711 Metetra
.477 .176 .375 r
.6052 .42711 .60783 .41364 .61405 .4185 .61127 .42517 Metetra
.121 0 .08 r
.61127 .42517 .61405 .4185 .62028 .42262 .61726 .41985 Metetra
.878 .82 .787 r
.61726 .41985 .62028 .42262 .62645 .42355 .62317 .41213 Metetra
.732 .578 .682 r
.62317 .41213 .62645 .42355 .6325 .42016 .62908 .40437 Metetra
.656 .501 .662 r
.62908 .40437 .6325 .42016 .63844 .4133 .63507 .39944 Metetra
.563 .454 .688 r
.63507 .39944 .63844 .4133 .64434 .40554 .64125 .39955 Metetra
.053 .28 .772 r
.64125 .39955 .64434 .40554 .65032 .40007 .64766 .40516 Metetra
.765 .371 .308 r
.64766 .40516 .65032 .40007 .65649 .39933 .65426 .41449 Metetra
.682 .368 .436 r
.65426 .41449 .65649 .39933 .66291 .40386 .66092 .42402 Metetra
.617 .326 .453 r
.66092 .42402 .66291 .40386 .66952 .41198 .66748 .42972 Metetra
.517 .232 .421 r
.66748 .42972 .66952 .41198 .6762 .42033 .67377 .42875 Metetra
.055 0 .13 r
.67377 .42875 .6762 .42033 .68276 .42518 .67975 .42074 Metetra
.901 .757 .693 r
.67975 .42074 .68276 .42518 .68906 .42398 .68548 .40798 Metetra
.756 .564 .637 r
.68548 .40798 .68906 .42398 .69505 .41652 .69115 .39448 Metetra
.688 .499 .626 r
.69115 .39448 .69505 .41652 .7008 .40495 .69695 .38423 Metetra
.63 .464 .639 r
.69695 .38423 .7008 .40495 .7065 .39284 .70306 .37973 Metetra
.527 .439 .699 r
.70306 .37973 .7065 .39284 .71235 .38367 .70952 .38118 Metetra
0 .117 .593 r
.70952 .38118 .71235 .38367 .71848 .37949 .71623 .38652 Metetra
.677 .294 .314 r
.71623 .38652 .71848 .37949 .72494 .38035 .72303 .39239 Metetra
.593 .266 .384 r
.72303 .39239 .72494 .38035 .73162 .38437 .72969 .39546 Metetra
.465 .146 .339 r
.72969 .39546 .73162 .38437 .73836 .38869 .73606 .39369 Metetra
.73606 .39369 .73836 .38869 .74498 .39054 .74212 .38699 Metetra
.901 .8 .739 r
.74212 .38699 .74498 .39054 .75133 .38833 .74795 .37705 Metetra
.773 .604 .669 r
.74795 .37705 .75133 .38833 .75741 .38212 .75372 .36644 Metetra
.71 .537 .652 r
.75372 .36644 .75741 .38212 .7633 .37336 .75959 .35758 Metetra
.666 .508 .662 r
.75959 .35758 .7633 .37336 .76914 .36417 .76569 .35196 Metetra
.621 .507 .702 r
.76569 .35196 .76914 .36417 .77509 .35652 .77206 .34975 Metetra
.54 .555 .819 r
.77206 .34975 .77509 .35652 .78125 .35154 .77865 .35006 Metetra
.063 .572 .883 r
.77865 .35006 .78125 .35154 .78763 .34934 .78534 .35139 Metetra
.405 0 0 r
.78534 .35139 .78763 .34934 .79421 .34914 .79202 .35226 Metetra
.337 0 0 r
.79202 .35226 .79421 .34914 .80087 .34974 .79861 .35166 Metetra
.79861 .35166 .80087 .34974 .80753 .34997 .80506 .34931 Metetra
.705 .97 .931 r
.80506 .34931 .80753 .34997 .8141 .34904 .8114 .34555 Metetra
.783 .803 .869 r
.8114 .34555 .8141 .34904 .82057 .34675 .81768 .3411 Metetra
.741 .692 .805 r
.81768 .3411 .82057 .34675 .82695 .34337 .82397 .33672 Metetra
.706 .647 .788 r
.82397 .33672 .82695 .34337 .83329 .33945 .83033 .33298 Metetra
.678 .639 .803 r
.83033 .33298 .83329 .33945 .83964 .33558 .83679 .33012 Metetra
.653 .662 .846 r
.83679 .33012 .83964 .33558 .84604 .3322 .84334 .32807 Metetra
.626 .713 .909 r
.84334 .32807 .84604 .3322 .85253 .32949 .84996 .32656 Metetra
.59 .777 .969 r
.84996 .32656 .85253 .32949 .85909 .32739 .85662 .32526 Metetra
.561 .827 .995 r
.85662 .32526 .85909 .32739 .86572 .32572 .86329 .32386 Metetra
.57 .853 .997 r
.86329 .32386 .86572 .32572 .87238 .32421 .86994 .32219 Metetra
.612 .86 .99 r
.86994 .32219 .87238 .32421 .87905 .32263 .87659 .32021 Metetra
.652 .844 .974 r
.87659 .32021 .87905 .32263 .88571 .32087 .88321 .31796 Metetra
.674 .816 .952 r
.88321 .31796 .88571 .32087 .89237 .31887 .88984 .31556 Metetra
.653 .809 .958 r
.29364 .50531 .29719 .50751 .30259 .50556 .29903 .50359 Metetra
.66 .828 .964 r
.29903 .50359 .30259 .50556 .308 .5035 .30444 .50173 Metetra
.672 .846 .966 r
.30444 .50173 .308 .5035 .31343 .5014 .30988 .4997 Metetra
.684 .853 .963 r
.30988 .4997 .31343 .5014 .31887 .4994 .31533 .49752 Metetra
.691 .841 .955 r
.31533 .49752 .31887 .4994 .3243 .49766 .3208 .49528 Metetra
.685 .805 .939 r
.3208 .49528 .3243 .49766 .32971 .4963 .32627 .49318 Metetra
.661 .75 .916 r
.32627 .49318 .32971 .4963 .33512 .49535 .33173 .49143 Metetra
.626 .694 .893 r
.33173 .49143 .33512 .49535 .34052 .49464 .33716 .49021 Metetra
.589 .654 .881 r
.33716 .49021 .34052 .49464 .34595 .49384 .34259 .48952 Metetra
.562 .648 .893 r
.34259 .48952 .34595 .49384 .35141 .49253 .34801 .48916 Metetra
.554 .702 .938 r
.34801 .48916 .35141 .49253 .35694 .49034 .35345 .48867 Metetra
.562 .83 .996 r
.35345 .48867 .35694 .49034 .36252 .48718 .35894 .48749 Metetra
.532 .92 .908 r
.35894 .48749 .36252 .48718 .36814 .48336 .3645 .48514 Metetra
.504 .891 .722 r
.3645 .48514 .36814 .48336 .37376 .47966 .37013 .48153 Metetra
.627 .948 .751 r
.37013 .48153 .37376 .47966 .37933 .47707 .37581 .47711 Metetra
.792 .972 .912 r
.37581 .47711 .37933 .47707 .38483 .47649 .38147 .47289 Metetra
.714 .739 .871 r
.38147 .47289 .38483 .47649 .39024 .47822 .38708 .47014 Metetra
.571 .527 .767 r
.38708 .47014 .39024 .47822 .39562 .48173 .3926 .46995 Metetra
.466 .405 .705 r
.3926 .46995 .39562 .48173 .401 .48561 .39802 .47265 Metetra
.387 .34 .684 r
.39802 .47265 .401 .48561 .40648 .48797 .40339 .47745 Metetra
.312 .323 .711 r
.40339 .47745 .40648 .48797 .41208 .48718 .40878 .48253 Metetra
.164 .422 .86 r
.40878 .48253 .41208 .48718 .41782 .48269 .41428 .48553 Metetra
.247 0 0 r
.41428 .48553 .41782 .48269 .42365 .47548 .41993 .48453 Metetra
.193 0 .172 r
.41993 .48453 .42365 .47548 .42948 .4679 .42573 .479 Metetra
.065 0 .161 r
.42573 .479 .42948 .4679 .43524 .46284 .43163 .47031 Metetra
.43163 .47031 .43524 .46284 .44087 .46259 .43751 .46142 Metetra
.859 .893 .859 r
.43751 .46142 .44087 .46259 .44639 .46775 .44331 .45579 Metetra
.559 .465 .704 r
.44331 .45579 .44639 .46775 .45186 .4768 .44896 .45599 Metetra
.424 .316 .628 r
.44896 .45599 .45186 .4768 .45737 .48641 .4545 .46253 Metetra
.341 .246 .601 r
.4545 .46253 .45737 .48641 .46299 .49264 .46 .47338 Metetra
.256 .206 .607 r
.46 .47338 .46299 .49264 .46876 .49254 .46555 .48452 Metetra
.027 .193 .7 r
.46555 .48452 .46876 .49254 .47466 .48551 .47122 .49136 Metetra
.433 .034 .181 r
.47122 .49136 .47466 .48551 .48061 .47361 .47705 .49067 Metetra
.292 .035 .341 r
.47705 .49067 .48061 .47361 .48655 .46071 .48299 .48202 Metetra
.198 0 .336 r
.48299 .48202 .48655 .46071 .49244 .45083 .48898 .46812 Metetra
.051 0 .249 r
.48898 .46812 .49244 .45083 .49826 .44658 .49495 .45361 Metetra
.49495 .45361 .49826 .44658 .50405 .44821 .50085 .4432 Metetra
.718 .686 .819 r
.50085 .4432 .50405 .44821 .50985 .45369 .5067 .43985 Metetra
.445 .374 .683 r
.5067 .43985 .50985 .45369 .51569 .45964 .51252 .44377 Metetra
.292 .254 .643 r
.51252 .44377 .51569 .45964 .52157 .46275 .51837 .45242 Metetra
.031 .142 .648 r
.51837 .45242 .52157 .46275 .52747 .46108 .52427 .46154 Metetra
.71 .194 0 r
.52427 .46154 .52747 .46108 .53338 .4547 .53022 .46673 Metetra
.476 .163 .356 r
.53022 .46673 .53338 .4547 .53927 .44532 .53618 .4652 Metetra
.352 .1 .386 r
.53618 .4652 .53927 .44532 .54514 .43536 .54212 .45676 Metetra
.245 .019 .36 r
.54212 .45676 .54514 .43536 .55101 .42686 .54801 .44378 Metetra
.106 0 .278 r
.54801 .44378 .55101 .42686 .55689 .42088 .55387 .43018 Metetra
0 0 .056 r
.55387 .43018 .55689 .42088 .5628 .41748 .55974 .41993 Metetra
.55974 .41993 .5628 .41748 .56874 .41617 .56567 .41571 Metetra
.383 0 0 r
.56567 .41571 .56874 .41617 .57473 .41637 .5717 .41806 Metetra
.771 .314 .163 r
.5717 .41806 .57473 .41637 .58075 .41779 .57783 .42529 Metetra
.73 .369 .367 r
.57783 .42529 .58075 .41779 .58682 .42024 .58404 .434 Metetra
.646 .331 .423 r
.58404 .434 .58682 .42024 .59294 .42331 .59025 .44018 Metetra
.543 .251 .422 r
.59025 .44018 .59294 .42331 .59907 .42606 .59638 .4407 Metetra
.355 .079 .348 r
.59638 .4407 .59907 .42606 .6052 .42711 .60238 .43455 Metetra
.60238 .43455 .6052 .42711 .61127 .42517 .60824 .42339 Metetra
.944 .832 .702 r
.60824 .42339 .61127 .42517 .61726 .41985 .61405 .41094 Metetra
.784 .632 .693 r
.61405 .41094 .61726 .41985 .62317 .41213 .61992 .40157 Metetra
.649 .539 .716 r
.61992 .40157 .62317 .41213 .62908 .40437 .62598 .39862 Metetra
.15 .356 .812 r
.62598 .39862 .62908 .40437 .63507 .39944 .63229 .40309 Metetra
.794 .385 .275 r
.63229 .40309 .63507 .39944 .64125 .39955 .63884 .4131 Metetra
.713 .39 .43 r
.63884 .4131 .64125 .39955 .64766 .40516 .6455 .4245 Metetra
.644 .347 .453 r
.6455 .4245 .64766 .40516 .65426 .41449 .65208 .43231 Metetra
.543 .254 .426 r
.65208 .43231 .65426 .41449 .66092 .42402 .65842 .43278 Metetra
.087 0 .149 r
.65842 .43278 .66092 .42402 .66748 .42972 .66442 .42501 Metetra
.902 .748 .682 r
.66442 .42501 .66748 .42972 .67377 .42875 .67015 .41132 Metetra
.758 .56 .629 r
.67015 .41132 .67377 .42875 .67975 .42074 .67579 .39622 Metetra
.69 .494 .618 r
.67579 .39622 .67975 .42074 .68548 .40798 .68155 .38449 Metetra
.63 .456 .628 r
.68155 .38449 .68548 .40798 .69115 .39448 .68761 .37928 Metetra
.523 .419 .678 r
.68761 .37928 .69115 .39448 .69695 .38423 .69405 .3811 Metetra
0 .026 .538 r
.69405 .3811 .69695 .38423 .70306 .37973 .70079 .38778 Metetra
.704 .336 .348 r
.70079 .38778 .70306 .37973 .70952 .38118 .70763 .39546 Metetra
.617 .3 .412 r
.70763 .39546 .70952 .38118 .71623 .38652 .71434 .40011 Metetra
.502 .196 .381 r
.71434 .40011 .71623 .38652 .72303 .39239 .72075 .3991 Metetra
.02 0 .057 r
.72075 .3991 .72303 .39239 .72969 .39546 .72681 .39211 Metetra
.916 .803 .721 r
.72681 .39211 .72969 .39546 .73606 .39369 .73259 .38102 Metetra
.774 .594 .655 r
.73259 .38102 .73606 .39369 .74212 .38699 .73829 .3689 Metetra
.709 .525 .638 r
.73829 .3689 .74212 .38699 .74795 .37705 .74409 .35872 Metetra
.662 .494 .646 r
.74409 .35872 .74795 .37705 .75372 .36644 .75014 .35237 Metetra
.614 .487 .683 r
.75014 .35237 .75372 .36644 .75959 .35758 .75649 .35017 Metetra
.514 .522 .802 r
.75649 .35017 .75959 .35758 .76569 .35196 .76309 .35108 Metetra
0 .372 .678 r
.76309 .35108 .76569 .35196 .77206 .34975 .76982 .35329 Metetra
.521 .047 .07 r
.76982 .35329 .77206 .34975 .77865 .35006 .77654 .35493 Metetra
.441 .012 .127 r
.77654 .35493 .77865 .35006 .78534 .35139 .78313 .35474 Metetra
.165 0 0 r
.78313 .35474 .78534 .35139 .79202 .35226 .78956 .35232 Metetra
.676 .977 .865 r
.78956 .35232 .79202 .35226 .79861 .35166 .79586 .3481 Metetra
.805 .803 .85 r
.79586 .3481 .79861 .35166 .80506 .34931 .80208 .34299 Metetra
.748 .674 .779 r
.80208 .34299 .80506 .34931 .8114 .34555 .80831 .33799 Metetra
.707 .624 .763 r
.80831 .33799 .8114 .34555 .81768 .3411 .81462 .33381 Metetra
.676 .616 .78 r
.81462 .33381 .81768 .3411 .82397 .33672 .82105 .33078 Metetra
.648 .641 .83 r
.82105 .33078 .82397 .33672 .83033 .33298 .82759 .3288 Metetra
.612 .704 .91 r
.82759 .3288 .83033 .33298 .83679 .33012 .83421 .32751 Metetra
.552 .784 .985 r
.83421 .32751 .83679 .33012 .84334 .32807 .84087 .32646 Metetra
.49 .834 .997 r
.84087 .32646 .84334 .32807 .84996 .32656 .84754 .32528 Metetra
.501 .863 .987 r
.84754 .32528 .84996 .32656 .85662 .32526 .85419 .32373 Metetra
.577 .882 .992 r
.85419 .32373 .85662 .32526 .86329 .32386 .86082 .32176 Metetra
.647 .867 .982 r
.86082 .32176 .86329 .32386 .86994 .32219 .86742 .31945 Metetra
.679 .83 .956 r
.86742 .31945 .86994 .32219 .87659 .32021 .87402 .31694 Metetra
.686 .796 .933 r
.87402 .31694 .87659 .32021 .88321 .31796 .88062 .31438 Metetra
.682 .774 .921 r
.88062 .31438 .88321 .31796 .88984 .31556 .88725 .3119 Metetra
.644 .791 .952 r
.29009 .50287 .29364 .50531 .29903 .50359 .29548 .50127 Metetra
.643 .8 .958 r
.29548 .50127 .29903 .50359 .30444 .50173 .30089 .49967 Metetra
.646 .82 .966 r
.30089 .49967 .30444 .50173 .30988 .4997 .30631 .49796 Metetra
.656 .846 .973 r
.30631 .49796 .30988 .4997 .31533 .49752 .31175 .49608 Metetra
.67 .871 .975 r
.31175 .49608 .31533 .49752 .3208 .49528 .31722 .49395 Metetra
.687 .881 .97 r
.31722 .49395 .3208 .49528 .32627 .49318 .32272 .49161 Metetra
.699 .866 .961 r
.32272 .49161 .32627 .49318 .33173 .49143 .32822 .4892 Metetra
.692 .817 .942 r
.32822 .4892 .33173 .49143 .33716 .49021 .33373 .48697 Metetra
.661 .744 .912 r
.33373 .48697 .33716 .49021 .34259 .48952 .33921 .48522 Metetra
.614 .67 .881 r
.33921 .48522 .34259 .48952 .34801 .48916 .34467 .48416 Metetra
.567 .619 .864 r
.34467 .48416 .34801 .48916 .35345 .48867 .35011 .48382 Metetra
.532 .611 .877 r
.35011 .48382 .35345 .48867 .35894 .48749 .35554 .4839 Metetra
.517 .675 .936 r
.35554 .4839 .35894 .48749 .3645 .48514 .361 .4838 Metetra
.505 .836 .999 r
.361 .4838 .3645 .48514 .37013 .48153 .36652 .48278 Metetra
.384 .837 .743 r
.36652 .48278 .37013 .48153 .37581 .47711 .37212 .48023 Metetra
.37212 .48023 .37581 .47711 .38147 .47289 .37781 .47607 Metetra
.497 .835 .55 r
.37781 .47607 .38147 .47289 .38708 .47014 .38354 .47091 Metetra
.797 .995 .869 r
.38354 .47091 .38708 .47014 .3926 .46995 .38926 .46607 Metetra
.718 .727 .858 r
.38926 .46607 .3926 .46995 .39802 .47265 .3949 .46316 Metetra
.552 .491 .741 r
.3949 .46316 .39802 .47265 .40339 .47745 .40043 .46346 Metetra
.443 .368 .678 r
.40043 .46346 .40339 .47745 .40878 .48253 .40585 .46726 Metetra
.362 .303 .656 r
.40585 .46726 .40878 .48253 .41428 .48553 .41122 .4735 Metetra
.28 .28 .681 r
.41122 .4735 .41428 .48553 .41993 .48453 .41662 .47985 Metetra
.068 .361 .831 r
.41662 .47985 .41993 .48453 .42573 .479 .42215 .48344 Metetra
.318 0 .035 r
.42215 .48344 .42573 .479 .43163 .47031 .42786 .48205 Metetra
.223 0 .244 r
.42786 .48205 .43163 .47031 .43751 .46142 .43373 .47525 Metetra
.097 0 .221 r
.43373 .47525 .43751 .46142 .44331 .45579 .43968 .46488 Metetra
.43968 .46488 .44331 .45579 .44896 .45599 .44562 .45455 Metetra
.872 .872 .834 r
.44562 .45455 .44896 .45599 .4545 .46253 .45145 .44823 Metetra
.554 .441 .68 r
.45145 .44823 .4545 .46253 .46 .47338 .45714 .44865 Metetra
.431 .309 .612 r
.45714 .44865 .46 .47338 .46555 .48452 .46272 .45603 Metetra
.367 .253 .59 r
.46272 .45603 .46555 .48452 .47122 .49136 .46826 .46772 Metetra
.326 .237 .6 r
.46826 .46772 .47122 .49136 .47705 .49067 .47388 .47903 Metetra
.304 .305 .696 r
.47388 .47903 .47705 .49067 .48299 .48202 .47962 .48499 Metetra
.024 0 0 r
.47962 .48499 .48299 .48202 .48898 .46812 .48551 .48248 Metetra
.118 0 .244 r
.48551 .48248 .48898 .46812 .49495 .45361 .49149 .47171 Metetra
.032 0 .247 r
.49149 .47171 .49495 .45361 .50085 .4432 .49749 .45611 Metetra
0 0 .06 r
.49749 .45611 .50085 .4432 .5067 .43985 .50345 .4408 Metetra
.958 .932 .722 r
.50345 .4408 .5067 .43985 .51252 .44377 .50935 .43033 Metetra
.643 .506 .681 r
.50935 .43033 .51252 .44377 .51837 .45242 .51522 .42693 Metetra
.52 .372 .62 r
.51522 .42693 .51837 .45242 .52427 .46154 .52108 .42975 Metetra
.49 .338 .602 r
.52108 .42975 .52427 .46154 .53022 .46673 .52698 .43552 Metetra
.506 .351 .605 r
.52698 .43552 .53022 .46673 .53618 .4652 .53291 .44001 Metetra
.562 .403 .624 r
.53291 .44001 .53618 .4652 .54212 .45676 .53886 .44004 Metetra
.656 .496 .656 r
.53886 .44004 .54212 .45676 .54801 .44378 .5448 .43484 Metetra
.772 .625 .697 r
.5448 .43484 .54801 .44378 .55387 .43018 .55072 .4262 Metetra
.862 .759 .748 r
.55072 .4262 .55387 .43018 .55974 .41993 .55661 .41738 Metetra
.847 .829 .829 r
.55661 .41738 .55974 .41993 .56567 .41571 .56253 .41133 Metetra
.666 .7 .872 r
.56253 .41133 .56567 .41571 .5717 .41806 .5685 .40929 Metetra
.519 .489 .763 r
.5685 .40929 .5717 .41806 .57783 .42529 .57453 .41028 Metetra
.528 .422 .677 r
.57453 .41028 .57783 .42529 .58404 .434 .58059 .41177 Metetra
.573 .419 .634 r
.58059 .41177 .58404 .434 .59025 .44018 .58664 .41114 Metetra
.605 .427 .614 r
.58664 .41114 .59025 .44018 .59638 .4407 .59264 .40717 Metetra
.619 .43 .604 r
.59264 .40717 .59638 .4407 .60238 .43455 .59859 .40088 Metetra
.614 .426 .604 r
.59859 .40088 .60238 .43455 .60824 .42339 .60454 .39514 Metetra
.585 .413 .616 r
.60454 .39514 .60824 .42339 .61405 .41094 .6106 .39316 Metetra
.483 .376 .656 r
.6106 .39316 .61405 .41094 .61992 .40157 .61684 .39688 Metetra
0 0 .465 r
.61684 .39688 .61992 .40157 .62598 .39862 .62326 .40575 Metetra
.763 .397 .362 r
.62326 .40575 .62598 .39862 .63229 .40309 .62981 .41666 Metetra
.677 .355 .423 r
.62981 .41666 .63229 .40309 .63884 .4131 .63633 .42507 Metetra
.569 .244 .379 r
.63633 .42507 .63884 .4131 .6455 .4245 .64268 .42699 Metetra
.569 .869 .563 r
.64268 .42699 .6455 .4245 .65208 .43231 .64874 .42086 Metetra
.788 .611 .66 r
.64874 .42086 .65208 .43231 .65842 .43278 .65455 .40844 Metetra
.712 .51 .615 r
.65455 .40844 .65842 .43278 .66442 .42501 .66025 .39407 Metetra
.664 .465 .606 r
.66025 .39407 .66442 .42501 .67015 .41132 .66606 .38274 Metetra
.613 .433 .615 r
.66606 .38274 .67015 .41132 .67579 .39622 .67214 .37806 Metetra
.506 .391 .656 r
.67214 .37806 .67579 .39622 .68155 .38449 .67859 .38092 Metetra
.556 .088 0 r
.67859 .38092 .68155 .38449 .68761 .37928 .68534 .3892 Metetra
.716 .367 .384 r
.68534 .3892 .68761 .37928 .69405 .3811 .69222 .39875 Metetra
.629 .326 .438 r
.69222 .39875 .69405 .3811 .70079 .38778 .69897 .40498 Metetra
.528 .237 .417 r
.69897 .40498 .70079 .38778 .70763 .39546 .70541 .40472 Metetra
.163 0 .198 r
.70541 .40472 .70763 .39546 .71434 .40011 .71147 .39743 Metetra
.938 .821 .703 r
.71147 .39743 .71434 .40011 .72075 .3991 .71721 .38513 Metetra
.777 .587 .643 r
.71721 .38513 .72075 .3991 .72681 .39211 .72285 .37142 Metetra
.707 .515 .627 r
.72285 .37142 .72681 .39211 .73259 .38102 .72858 .35986 Metetra
.659 .481 .633 r
.72858 .35986 .73259 .38102 .73829 .3689 .73459 .35276 Metetra
.606 .468 .667 r
.73459 .35276 .73829 .3689 .74409 .35872 .74093 .35064 Metetra
.484 .488 .786 r
.74093 .35064 .74409 .35872 .75014 .35237 .74755 .35228 Metetra
.473 0 0 r
.74755 .35228 .75014 .35237 .75649 .35017 .75432 .35553 Metetra
.582 .163 .211 r
.75432 .35553 .75649 .35017 .76309 .35108 .76107 .35809 Metetra
.5 .118 .247 r
.76107 .35809 .76309 .35108 .76982 .35329 .76768 .35837 Metetra
.286 0 .076 r
.76768 .35837 .76982 .35329 .77654 .35493 .77409 .35586 Metetra
.609 .939 .742 r
.77409 .35586 .77654 .35493 .78313 .35474 .78034 .35107 Metetra
.827 .801 .827 r
.78034 .35107 .78313 .35474 .78956 .35232 .78649 .34516 Metetra
.753 .655 .753 r
.78649 .34516 .78956 .35232 .79586 .3481 .79266 .33939 Metetra
.706 .602 .738 r
.79266 .33939 .79586 .3481 .80208 .34299 .79892 .33469 Metetra
.672 .591 .757 r
.79892 .33469 .80208 .34299 .80831 .33799 .80531 .33145 Metetra
.64 .618 .812 r
.80531 .33145 .80831 .33799 .81462 .33381 .81184 .32956 Metetra
.593 .691 .911 r
.81184 .32956 .81462 .33381 .82105 .33078 .81847 .32855 Metetra
.489 .785 .997 r
.81847 .32855 .82105 .33078 .82759 .3288 .82514 .32784 Metetra
.359 .805 .952 r
.82514 .32784 .82759 .3288 .83421 .32751 .83181 .32692 Metetra
.373 .83 .92 r
.83181 .32692 .83421 .32751 .84087 .32646 .83846 .32551 Metetra
.514 .89 .968 r
.83846 .32551 .84087 .32646 .84754 .32528 .84507 .32355 Metetra
.639 .891 .985 r
.84507 .32355 .84754 .32528 .85419 .32373 .85165 .32114 Metetra
.688 .844 .958 r
.85165 .32114 .85419 .32373 .86082 .32176 .85821 .31849 Metetra
.695 .798 .929 r
.85821 .31849 .86082 .32176 .86742 .31945 .86479 .31579 Metetra
.688 .772 .915 r
.86479 .31579 .86742 .31945 .87402 .31694 .87139 .3132 Metetra
.678 .763 .915 r
.87139 .3132 .87402 .31694 .88062 .31438 .87802 .31079 Metetra
.666 .768 .926 r
.87802 .31079 .88062 .31438 .88725 .3119 .88469 .30856 Metetra
.651 .799 .954 r
.28652 .50051 .29009 .50287 .29548 .50127 .29193 .49883 Metetra
.643 .791 .953 r
.29193 .49883 .29548 .50127 .30089 .49967 .29734 .49723 Metetra
.637 .791 .956 r
.29734 .49723 .30089 .49967 .30631 .49796 .30276 .4957 Metetra
.634 .803 .964 r
.30276 .4957 .30631 .49796 .31175 .49608 .30819 .49416 Metetra
.637 .83 .975 r
.30819 .49416 .31175 .49608 .31722 .49395 .31364 .49248 Metetra
.648 .866 .982 r
.31364 .49248 .31722 .49395 .32272 .49161 .31911 .49056 Metetra
.665 .899 .979 r
.31911 .49056 .32272 .49161 .32822 .4892 .32462 .48831 Metetra
.688 .914 .972 r
.32462 .48831 .32822 .4892 .33373 .48697 .33015 .48577 Metetra
.708 .895 .964 r
.33015 .48577 .33373 .48697 .33921 .48522 .3357 .48313 Metetra
.702 .832 .944 r
.3357 .48313 .33921 .48522 .34467 .48416 .34124 .48074 Metetra
.66 .735 .905 r
.34124 .48074 .34467 .48416 .35011 .48382 .34676 .47899 Metetra
.599 .641 .863 r
.34676 .47899 .35011 .48382 .35554 .4839 .35224 .47816 Metetra
.541 .578 .841 r
.35224 .47816 .35554 .4839 .361 .4838 .35769 .47828 Metetra
.497 .565 .854 r
.35769 .47828 .361 .4838 .36652 .48278 .36313 .47892 Metetra
.471 .639 .929 r
.36313 .47892 .36652 .48278 .37212 .48023 .3686 .47931 Metetra
.411 .821 .976 r
.3686 .47931 .37212 .48023 .37781 .47607 .37415 .47847 Metetra
.37415 .47847 .37781 .47607 .38354 .47091 .3798 .47567 Metetra
.3798 .47567 .38354 .47091 .38926 .46607 .38554 .47082 Metetra
.38554 .47082 .38926 .46607 .3949 .46316 .39133 .46478 Metetra
.785 .997 .797 r
.39133 .46478 .3949 .46316 .40043 .46346 .3971 .45921 Metetra
.72 .712 .842 r
.3971 .45921 .40043 .46346 .40585 .46726 .40278 .45612 Metetra
.533 .456 .715 r
.40278 .45612 .40585 .46726 .41122 .4735 .40832 .45702 Metetra
.42 .334 .653 r
.40832 .45702 .41122 .4735 .41662 .47985 .41374 .46218 Metetra
.333 .267 .631 r
.41374 .46218 .41662 .47985 .42215 .48344 .41911 .47017 Metetra
.226 .23 .653 r
.41911 .47017 .42215 .48344 .42786 .48205 .42452 .4781 Metetra
0 .218 .728 r
.42452 .4781 .42786 .48205 .43373 .47525 .43008 .4825 Metetra
.399 .029 .216 r
.43008 .4825 .43373 .47525 .43968 .46488 .43584 .48081 Metetra
.278 .013 .32 r
.43584 .48081 .43968 .46488 .44562 .45455 .44177 .47269 Metetra
.163 0 .294 r
.44177 .47269 .44562 .45455 .45145 .44823 .44779 .46047 Metetra
0 0 .106 r
.44779 .46047 .45145 .44823 .45714 .44865 .45378 .44848 Metetra
.907 .933 .818 r
.45378 .44848 .45714 .44865 .46272 .45603 .45965 .44132 Metetra
.546 .433 .676 r
.45965 .44132 .46272 .45603 .46826 .46772 .46537 .44205 Metetra
.406 .288 .605 r
.46537 .44205 .46826 .46772 .47388 .47903 .47098 .45087 Metetra
.313 .215 .581 r
.47098 .45087 .47388 .47903 .47962 .48499 .47656 .46482 Metetra
.174 .144 .582 r
.47656 .46482 .47962 .48499 .48551 .48248 .48222 .47865 Metetra
.67 .196 0 r
.48222 .47865 .48551 .48248 .49149 .47171 .488 .4868 Metetra
.501 .204 .394 r
.488 .4868 .49149 .47171 .49749 .45611 .49392 .48565 Metetra
.386 .151 .43 r
.49392 .48565 .49749 .45611 .50345 .4408 .49993 .47504 Metetra
.314 .1 .421 r
.49993 .47504 .50345 .4408 .50935 .43033 .50596 .45831 Metetra
.221 .015 .374 r
.50596 .45831 .50935 .43033 .51522 .42693 .51194 .44075 Metetra
0 0 .173 r
.51194 .44075 .51522 .42693 .52108 .42975 .51788 .4275 Metetra
.843 .844 .845 r
.51788 .4275 .52108 .42975 .52698 .43552 .52378 .42183 Metetra
.493 .408 .688 r
.52378 .42183 .52698 .43552 .53291 .44001 .52969 .42427 Metetra
.292 .256 .645 r
.52969 .42427 .53291 .44001 .53886 .44004 .53566 .43285 Metetra
0 0 .451 r
.53566 .43285 .53886 .44004 .5448 .43484 .54168 .4439 Metetra
.726 .381 .395 r
.54168 .4439 .5448 .43484 .55072 .4262 .54776 .45333 Metetra
.592 .32 .474 r
.54776 .45333 .55072 .4262 .55661 .41738 .55385 .45778 Metetra
.526 .28 .486 r
.55385 .45778 .55661 .41738 .56253 .41133 .5599 .45547 Metetra
.47 .238 .48 r
.5599 .45547 .56253 .41133 .5685 .40929 .56588 .44659 Metetra
.395 .171 .453 r
.56588 .44659 .5685 .40929 .57453 .41028 .57179 .43313 Metetra
.225 .009 .361 r
.57179 .43313 .57453 .41028 .58059 .41177 .57764 .41839 Metetra
.57764 .41839 .58059 .41177 .58664 .41114 .5835 .40613 Metetra
.803 .72 .773 r
.5835 .40613 .58664 .41114 .59264 .40717 .58946 .39969 Metetra
.49 .503 .798 r
.58946 .39969 .59264 .40717 .59859 .40088 .59558 .40097 Metetra
.81 .334 .08 r
.59558 .40097 .59859 .40088 .60454 .39514 .6019 .40973 Metetra
.727 .41 .442 r
.6019 .40973 .60454 .39514 .6106 .39316 .6084 .4233 Metetra
.662 .384 .488 r
.6084 .4233 .6106 .39316 .61684 .39688 .61498 .437 Metetra
.609 .348 .497 r
.61498 .437 .61684 .39688 .62326 .40575 .62148 .44559 Metetra
.542 .293 .488 r
.62148 .44559 .62326 .40575 .62981 .41666 .62776 .4452 Metetra
.4 .164 .437 r
.62776 .4452 .62981 .41666 .63633 .42507 .63372 .43507 Metetra
.63372 .43507 .63633 .42507 .64268 .42699 .63943 .41807 Metetra
.866 .67 .636 r
.63943 .41807 .64268 .42699 .64874 .42086 .64504 .39961 Metetra
.726 .527 .621 r
.64504 .39961 .64874 .42086 .65455 .40844 .65077 .38547 Metetra
.638 .462 .629 r
.65077 .38547 .65455 .40844 .66025 .39407 .6568 .37968 Metetra
.473 .392 .684 r
.6568 .37968 .66025 .39407 .66606 .38274 .66324 .38307 Metetra
.823 .354 .094 r
.66324 .38307 .66606 .38274 .67214 .37806 .67001 .3931 Metetra
.706 .386 .433 r
.67001 .3931 .67214 .37806 .67859 .38092 .67692 .40485 Metetra
.631 .344 .465 r
.67692 .40485 .67859 .38092 .68534 .3892 .68371 .41284 Metetra
.543 .27 .451 r
.68371 .41284 .68534 .3892 .69222 .39875 .69017 .41321 Metetra
.295 .03 .331 r
.69017 .41321 .69222 .39875 .69897 .40498 .69621 .40516 Metetra
.984 .894 .647 r
.69621 .40516 .69897 .40498 .70541 .40472 .7019 .39102 Metetra
.799 .601 .635 r
.7019 .39102 .70541 .40472 .71147 .39743 .70745 .37502 Metetra
.715 .516 .619 r
.70745 .37502 .71147 .39743 .71721 .38513 .71311 .36149 Metetra
.661 .476 .624 r
.71311 .36149 .71721 .38513 .72285 .37142 .71906 .35328 Metetra
.602 .455 .654 r
.71906 .35328 .72285 .37142 .72858 .35986 .72537 .35109 Metetra
.452 .454 .77 r
.72537 .35109 .72858 .35986 .73459 .35276 .73201 .35354 Metetra
.627 .076 0 r
.73201 .35354 .73459 .35276 .74093 .35064 .73881 .35801 Metetra
.617 .235 .296 r
.73881 .35801 .74093 .35064 .74755 .35228 .7456 .3617 Metetra
.535 .186 .322 r
.7456 .3617 .74755 .35228 .75432 .35553 .75223 .36258 Metetra
.358 0 .199 r
.75223 .36258 .75432 .35553 .76107 .35809 .75864 .35999 Metetra
.514 .852 .577 r
.75864 .35999 .76107 .35809 .76768 .35837 .76483 .35453 Metetra
.846 .794 .801 r
.76483 .35453 .76768 .35837 .77409 .35586 .77092 .34766 Metetra
.756 .636 .728 r
.77092 .34766 .77409 .35586 .78034 .35107 .77702 .34096 Metetra
.704 .58 .713 r
.77702 .34096 .78034 .35107 .78649 .34516 .78322 .33561 Metetra
.667 .568 .733 r
.78322 .33561 .78649 .34516 .79266 .33939 .78958 .33213 Metetra
.631 .594 .793 r
.78958 .33213 .79266 .33939 .79892 .33469 .7961 .33036 Metetra
.569 .676 .912 r
.7961 .33036 .79892 .33469 .80531 .33145 .80273 .3297 Metetra
.382 .766 .99 r
.80273 .3297 .80531 .33145 .81184 .32956 .80942 .3294 Metetra
.143 .687 .797 r
.80942 .3294 .81184 .32956 .81847 .32855 .8161 .32881 Metetra
.169 .706 .741 r
.8161 .32881 .81847 .32855 .82514 .32784 .82274 .32757 Metetra
.407 .857 .889 r
.82274 .32757 .82514 .32784 .83181 .32692 .82934 .3256 Metetra
.626 .914 .98 r
.82934 .3256 .83181 .32692 .83846 .32551 .83589 .32305 Metetra
.7 .857 .957 r
.83589 .32305 .83846 .32551 .84507 .32355 .84242 .32021 Metetra
.706 .798 .921 r
.84242 .32021 .84507 .32355 .85165 .32114 .84896 .31733 Metetra
.695 .765 .905 r
.84896 .31733 .85165 .32114 .85821 .31849 .85554 .31461 Metetra
.681 .756 .908 r
.85554 .31461 .85821 .31849 .86479 .31579 .86215 .31214 Metetra
.666 .764 .924 r
.86215 .31214 .86479 .31579 .87139 .3132 .8688 .30991 Metetra
.652 .783 .944 r
.8688 .30991 .87139 .3132 .87802 .31079 .87549 .30786 Metetra
.639 .804 .962 r
.87549 .30786 .87802 .31079 .88469 .30856 .8822 .30589 Metetra
.658 .827 .965 r
.28291 .49851 .28652 .50051 .29193 .49883 .28834 .49666 Metetra
.655 .815 .96 r
.28834 .49666 .29193 .49883 .29734 .49723 .29377 .49489 Metetra
.647 .801 .956 r
.29377 .49489 .29734 .49723 .30276 .4957 .2992 .49322 Metetra
.637 .789 .955 r
.2992 .49322 .30276 .4957 .30819 .49416 .30464 .49168 Metetra
.628 .788 .959 r
.30464 .49168 .30819 .49416 .31364 .49248 .31008 .49023 Metetra
.623 .804 .969 r
.31008 .49023 .31364 .49248 .31911 .49056 .31554 .48878 Metetra
.625 .839 .982 r
.31554 .48878 .31911 .49056 .32462 .48831 .32101 .48715 Metetra
.634 .887 .987 r
.32101 .48715 .32462 .48831 .33015 .48577 .32652 .48519 Metetra
.651 .926 .974 r
.32652 .48519 .33015 .48577 .3357 .48313 .33207 .48279 Metetra
.681 .945 .961 r
.33207 .48279 .3357 .48313 .34124 .48074 .33765 .48 Metetra
.716 .928 .961 r
.33765 .48 .34124 .48074 .34676 .47899 .34324 .47708 Metetra
.714 .847 .946 r
.34324 .47708 .34676 .47899 .35224 .47816 .34882 .47449 Metetra
.658 .722 .896 r
.34882 .47449 .35224 .47816 .35769 .47828 .35437 .47275 Metetra
.582 .606 .842 r
.35437 .47275 .35769 .47828 .36313 .47892 .35987 .47221 Metetra
.513 .531 .812 r
.35987 .47221 .36313 .47892 .3686 .47931 .36533 .47289 Metetra
.459 .512 .825 r
.36533 .47289 .3686 .47931 .37415 .47847 .37077 .47423 Metetra
.418 .591 .915 r
.37077 .47423 .37415 .47847 .3798 .47567 .37626 .47519 Metetra
.28 .77 .907 r
.37626 .47519 .3798 .47567 .38554 .47082 .38183 .47455 Metetra
.38183 .47455 .38554 .47082 .39133 .46478 .38753 .4714 Metetra
.38753 .4714 .39133 .46478 .3971 .45921 .39333 .46571 Metetra
.39333 .46571 .3971 .45921 .40278 .45612 .39919 .45862 Metetra
.756 .973 .705 r
.39919 .45862 .40278 .45612 .40832 .45702 .40501 .45226 Metetra
.717 .692 .825 r
.40501 .45226 .40832 .45702 .41374 .46218 .41072 .44905 Metetra
.511 .422 .691 r
.41072 .44905 .41374 .46218 .41911 .47017 .41628 .45075 Metetra
.399 .304 .631 r
.41628 .45075 .41911 .47017 .42452 .4781 .4217 .4575 Metetra
.315 .239 .609 r
.4217 .4575 .42452 .4781 .43008 .4825 .42706 .46737 Metetra
.211 .201 .629 r
.42706 .46737 .43008 .4825 .43584 .48081 .4325 .47671 Metetra
0 .192 .71 r
.4325 .47671 .43584 .48081 .44177 .47269 .43811 .48142 Metetra
.368 .024 .243 r
.43811 .48142 .44177 .47269 .44779 .46047 .44393 .47865 Metetra
.244 0 .326 r
.44393 .47865 .44779 .46047 .45378 .44848 .44994 .46842 Metetra
.122 0 .291 r
.44994 .46842 .45378 .44848 .45965 .44132 .45602 .45391 Metetra
0 0 .075 r
.45602 .45391 .45965 .44132 .46537 .44205 .46205 .44045 Metetra
.885 .86 .811 r
.46205 .44045 .46537 .44205 .47098 .45087 .46793 .43335 Metetra
.509 .392 .655 r
.46793 .43335 .47098 .45087 .47656 .46482 .47367 .43573 Metetra
.376 .259 .59 r
.47367 .43573 .47656 .46482 .48222 .47865 .4793 .44715 Metetra
.299 .198 .569 r
.4793 .44715 .48222 .47865 .488 .4868 .48494 .46338 Metetra
.229 .17 .58 r
.48494 .46338 .488 .4868 .49392 .48565 .49067 .47782 Metetra
.088 .243 .729 r
.49067 .47782 .49392 .48565 .49993 .47504 .49654 .484 Metetra
.207 0 .177 r
.49654 .484 .49993 .47504 .50596 .45831 .50253 .47853 Metetra
.1 0 .29 r
.50253 .47853 .50596 .45831 .51194 .44075 .50858 .46274 Metetra
0 0 .251 r
.50858 .46274 .51194 .44075 .51788 .4275 .5146 .44218 Metetra
0 0 .075 r
.5146 .44218 .51788 .4275 .52378 .42183 .52057 .42417 Metetra
.903 .974 .677 r
.52057 .42417 .52378 .42183 .52969 .42427 .52649 .41474 Metetra
.496 .461 .748 r
.52649 .41474 .52969 .42427 .53566 .43285 .53242 .41632 Metetra
.222 .202 .624 r
.53242 .41632 .53566 .43285 .54168 .4439 .53842 .42696 Metetra
.08 .101 .581 r
.53842 .42696 .54168 .4439 .54776 .45333 .5445 .44102 Metetra
.071 .141 .631 r
.5445 .44102 .54776 .45333 .55385 .45778 .55062 .45141 Metetra
.477 .532 .835 r
.55062 .45141 .55385 .45778 .5599 .45547 .55671 .45257 Metetra
.895 .803 .75 r
.55671 .45257 .5599 .45547 .56588 .44659 .5627 .44301 Metetra
.927 .76 .655 r
.5627 .44301 .56588 .44659 .57179 .43313 .56858 .42604 Metetra
.88 .693 .645 r
.56858 .42604 .57179 .43313 .57764 .41839 .5744 .40818 Metetra
.796 .624 .668 r
.5744 .40818 .57764 .41839 .5835 .40613 .58027 .39623 Metetra
.621 .531 .731 r
.58027 .39623 .5835 .40613 .58946 .39969 .58632 .39445 Metetra
0 0 .524 r
.58632 .39445 .58946 .39969 .59558 .40097 .59259 .40296 Metetra
.865 .466 .279 r
.59259 .40296 .59558 .40097 .6019 .40973 .59906 .41765 Metetra
.789 .435 .387 r
.59906 .41765 .6019 .40973 .6084 .4233 .60559 .43171 Metetra
.686 .325 .358 r
.60559 .43171 .6084 .4233 .61498 .437 .612 .43845 Metetra
.521 .895 .707 r
.612 .43845 .61498 .437 .62148 .44559 .61814 .43422 Metetra
.804 .62 .653 r
.61814 .43422 .62148 .44559 .62776 .4452 .62399 .42014 Metetra
.738 .527 .607 r
.62399 .42014 .62776 .4452 .63372 .43507 .62966 .40147 Metetra
.69 .48 .598 r
.62966 .40147 .63372 .43507 .63943 .41807 .63535 .38518 Metetra
.635 .442 .604 r
.63535 .38518 .63943 .41807 .64504 .39961 .6413 .3769 Metetra
.531 .389 .633 r
.6413 .3769 .64504 .39961 .65077 .38547 .64763 .37888 Metetra
0 0 .536 r
.64763 .37888 .65077 .38547 .6568 .37968 .65433 .38925 Metetra
.768 .418 .393 r
.65433 .38925 .6568 .37968 .66324 .38307 .66122 .40292 Metetra
.67 .369 .454 r
.66122 .40292 .66324 .38307 .67001 .3931 .66807 .41358 Metetra
.575 .288 .442 r
.66807 .41358 .67001 .3931 .67692 .40485 .6746 .41627 Metetra
.258 0 .272 r
.6746 .41627 .67692 .40485 .68371 .41284 .68071 .40935 Metetra
.932 .785 .675 r
.68071 .40935 .68371 .41284 .69017 .41321 .68644 .39494 Metetra
.769 .564 .62 r
.68644 .39494 .69017 .41321 .69621 .40516 .69198 .37773 Metetra
.702 .497 .607 r
.69198 .37773 .69621 .40516 .7019 .39102 .6976 .36277 Metetra
.654 .462 .612 r
.6976 .36277 .7019 .39102 .70745 .37502 .70352 .35365 Metetra
.596 .438 .638 r
.70352 .35365 .70745 .37502 .71311 .36149 .70981 .35142 Metetra
.431 .417 .743 r
.70981 .35142 .71311 .36149 .71906 .35328 .71646 .35471 Metetra
.704 .194 .018 r
.71646 .35471 .71906 .35328 .72537 .35109 .7233 .3605 Metetra
.639 .282 .349 r
.7233 .3605 .72537 .35109 .73201 .35354 .73013 .36545 Metetra
.558 .23 .368 r
.73013 .36545 .73201 .35354 .73881 .35801 .73678 .36706 Metetra
.402 .064 .273 r
.73678 .36706 .73881 .35801 .7456 .3617 .74317 .36444 Metetra
.74317 .36444 .7456 .3617 .75223 .36258 .74932 .35828 Metetra
.856 .774 .771 r
.74932 .35828 .75223 .36258 .75864 .35999 .75535 .35036 Metetra
.754 .613 .702 r
.75535 .35036 .75864 .35999 .76483 .35453 .76138 .34262 Metetra
.7 .558 .69 r
.76138 .34262 .76483 .35453 .77092 .34766 .76752 .33655 Metetra
.661 .543 .71 r
.76752 .33655 .77092 .34766 .77702 .34096 .77385 .33281 Metetra
.621 .567 .773 r
.77385 .33281 .77702 .34096 .78322 .33561 .78037 .33121 Metetra
.538 .657 .912 r
.78037 .33121 .78322 .33561 .78958 .33213 .78701 .33098 Metetra
.201 .694 .921 r
.78701 .33098 .78958 .33213 .7961 .33036 .79371 .33117 Metetra
.121 0 0 r
.79371 .33117 .7961 .33036 .80273 .3297 .8004 .33098 Metetra
.064 0 0 r
.8004 .33098 .80273 .3297 .80942 .3294 .80704 .32992 Metetra
.249 .756 .726 r
.80704 .32992 .80942 .3294 .8161 .32881 .81361 .32792 Metetra
.607 .931 .962 r
.81361 .32792 .8161 .32881 .82274 .32757 .82014 .32519 Metetra
.717 .868 .953 r
.82014 .32519 .82274 .32757 .82934 .3256 .82663 .3221 Metetra
.719 .792 .909 r
.82663 .3221 .82934 .3256 .83589 .32305 .83314 .31899 Metetra
.702 .753 .891 r
.83314 .31899 .83589 .32305 .84242 .32021 .83969 .31612 Metetra
.684 .745 .897 r
.83969 .31612 .84242 .32021 .84896 .31733 .84628 .31358 Metetra
.665 .758 .919 r
.84628 .31358 .84896 .31733 .85554 .31461 .85291 .31137 Metetra
.646 .784 .947 r
.85291 .31137 .85554 .31461 .86215 .31214 .85959 .30938 Metetra
.629 .812 .97 r
.85959 .30938 .86215 .31214 .8688 .30991 .8663 .30749 Metetra
.617 .834 .983 r
.8663 .30749 .8688 .30991 .87549 .30786 .87302 .3056 Metetra
.616 .846 .987 r
.87302 .3056 .87549 .30786 .8822 .30589 .87975 .30363 Metetra
.655 .85 .975 r
.27926 .49682 .28291 .49851 .28834 .49666 .2847 .49492 Metetra
.658 .847 .972 r
.2847 .49492 .28834 .49666 .29377 .49489 .29015 .49299 Metetra
.658 .837 .969 r
.29015 .49299 .29377 .49489 .2992 .49322 .29561 .4911 Metetra
.654 .82 .963 r
.29561 .4911 .2992 .49322 .30464 .49168 .30107 .48931 Metetra
.644 .799 .957 r
.30107 .48931 .30464 .49168 .31008 .49023 .30653 .48766 Metetra
.63 .783 .955 r
.30653 .48766 .31008 .49023 .31554 .48878 .31199 .4862 Metetra
.617 .779 .959 r
.31199 .4862 .31554 .48878 .32101 .48715 .31746 .48487 Metetra
.609 .799 .973 r
.31746 .48487 .32101 .48715 .32652 .48519 .32294 .48354 Metetra
.608 .846 .989 r
.32294 .48354 .32652 .48519 .33207 .48279 .32845 .48199 Metetra
.611 .905 .985 r
.32845 .48199 .33207 .48279 .33765 .48 .33399 .47999 Metetra
.62 .944 .946 r
.33399 .47999 .33765 .48 .34324 .47708 .33958 .4774 Metetra
.657 .964 .922 r
.33958 .4774 .34324 .47708 .34882 .47449 .3452 .4743 Metetra
.72 .959 .946 r
.3452 .4743 .34882 .47449 .35437 .47275 .35084 .47103 Metetra
.729 .864 .944 r
.35084 .47103 .35437 .47275 .35987 .47221 .35647 .46819 Metetra
.656 .703 .882 r
.35647 .46819 .35987 .47221 .36533 .47289 .36205 .46645 Metetra
.564 .567 .815 r
.36205 .46645 .36533 .47289 .37077 .47423 .36756 .46627 Metetra
.485 .482 .779 r
.36756 .46627 .37077 .47423 .37626 .47519 .37303 .46763 Metetra
.421 .456 .791 r
.37303 .46763 .37626 .47519 .38183 .47455 .37847 .46981 Metetra
.356 .532 .892 r
.37847 .46981 .38183 .47455 .38753 .4714 .38397 .47148 Metetra
.083 .643 .748 r
.38397 .47148 .38753 .4714 .39333 .46571 .38957 .4711 Metetra
.129 0 0 r
.38957 .4711 .39333 .46571 .39919 .45862 .39532 .4676 Metetra
.08 0 .106 r
.39532 .4676 .39919 .45862 .40501 .45226 .40118 .46098 Metetra
0 0 .007 r
.40118 .46098 .40501 .45226 .41072 .44905 .4071 .45272 Metetra
.691 .913 .576 r
.4071 .45272 .41072 .44905 .41628 .45075 .41298 .4454 Metetra
.718 .672 .804 r
.41298 .4454 .41628 .45075 .4217 .4575 .41873 .4419 Metetra
.503 .398 .667 r
.41873 .4419 .4217 .4575 .42706 .46737 .42431 .44417 Metetra
.398 .288 .612 r
.42431 .44417 .42706 .46737 .4325 .47671 .42974 .45221 Metetra
.322 .23 .593 r
.42974 .45221 .4325 .47671 .43811 .48142 .43513 .46366 Metetra
.228 .194 .61 r
.43513 .46366 .43811 .48142 .44393 .47865 .4406 .47427 Metetra
0 .156 .687 r
.4406 .47427 .44393 .47865 .44994 .46842 .44625 .47943 Metetra
.389 .07 .299 r
.44625 .47943 .44994 .46842 .45602 .45391 .45213 .47617 Metetra
.28 .042 .364 r
.45213 .47617 .45602 .45391 .46205 .44045 .45818 .46469 Metetra
.176 0 .336 r
.45818 .46469 .46205 .44045 .46793 .43335 .4643 .44861 Metetra
0 0 .151 r
.4643 .44861 .46793 .43335 .47367 .43573 .47036 .43354 Metetra
.895 .821 .766 r
.47036 .43354 .47367 .43573 .4793 .44715 .47629 .42476 Metetra
.555 .404 .632 r
.47629 .42476 .4793 .44715 .48494 .46338 .48209 .42514 Metetra
.461 .307 .585 r
.48209 .42514 .48494 .46338 .49067 .47782 .48781 .43396 Metetra
.425 .275 .572 r
.48781 .43396 .49067 .47782 .49654 .484 .49355 .4472 Metetra
.416 .276 .581 r
.49355 .4472 .49654 .484 .50253 .47853 .49936 .45905 Metetra
.446 .34 .641 r
.49936 .45905 .50253 .47853 .50858 .46274 .50527 .46433 Metetra
.467 .869 .702 r
.50527 .46433 .50858 .46274 .5146 .44218 .51126 .46063 Metetra
.219 0 .323 r
.51126 .46063 .5146 .44218 .52057 .42417 .51728 .44917 Metetra
.229 .013 .365 r
.51728 .44917 .52057 .42417 .52649 .41474 .52327 .43382 Metetra
.113 0 .29 r
.52327 .43382 .52649 .41474 .53242 .41632 .52923 .41907 Metetra
.923 .958 .638 r
.52923 .41907 .53242 .41632 .53842 .42696 .53517 .40813 Metetra
.658 .488 .643 r
.53517 .40813 .53842 .42696 .5445 .44102 .54111 .40203 Metetra
.577 .392 .595 r
.54111 .40203 .5445 .44102 .55062 .45141 .54707 .39993 Metetra
.555 .367 .581 r
.54707 .39993 .55062 .45141 .55671 .45257 .55307 .40026 Metetra
.546 .36 .58 r
.55307 .40026 .55671 .45257 .5627 .44301 .55911 .40187 Metetra
.534 .359 .59 r
.55911 .40187 .5627 .44301 .56858 .42604 .56518 .40455 Metetra
.485 .36 .635 r
.56518 .40455 .56858 .42604 .5744 .40818 .57131 .40873 Metetra
.719 .204 0 r
.57131 .40873 .5744 .40818 .58027 .39623 .57749 .4144 Metetra
.626 .327 .444 r
.57749 .4144 .58027 .39623 .58632 .39445 .58373 .42038 Metetra
.585 .31 .467 r
.58373 .42038 .58632 .39445 .59259 .40296 .58997 .42422 Metetra
.518 .242 .436 r
.58997 .42422 .59259 .40296 .59906 .41765 .59613 .42317 Metetra
.59613 .42317 .59906 .41765 .60559 .43171 .60216 .41584 Metetra
.747 .56 .641 r
.60216 .41584 .60559 .43171 .612 .43845 .60806 .40334 Metetra
.671 .465 .598 r
.60806 .40334 .612 .43845 .61814 .43422 .61388 .38937 Metetra
.629 .427 .589 r
.61388 .38937 .61814 .43422 .62399 .42014 .61977 .37884 Metetra
.582 .395 .593 r
.61977 .37884 .62399 .42014 .62966 .40147 .62589 .37584 Metetra
.469 .337 .619 r
.62589 .37584 .62966 .40147 .63535 .38518 .63231 .38182 Metetra
.819 .371 0 r
.63231 .38182 .63535 .38518 .6413 .3769 .63903 .39479 Metetra
.719 .409 .452 r
.63903 .39479 .6413 .3769 .64763 .37888 .64589 .4098 Metetra
.639 .362 .483 r
.64589 .4098 .64763 .37888 .65433 .38925 .65268 .42075 Metetra
.562 .299 .475 r
.65268 .42075 .65433 .38925 .66122 .40292 .65916 .42283 Metetra
.366 .112 .391 r
.65916 .42283 .66122 .40292 .66807 .41358 .66523 .41458 Metetra
.99 .887 .61 r
.66523 .41458 .66807 .41358 .6746 .41627 .67093 .39843 Metetra
.784 .575 .617 r
.67093 .39843 .6746 .41627 .68071 .40935 .67645 .37949 Metetra
.701 .492 .602 r
.67645 .37949 .68071 .40935 .68644 .39494 .68206 .36331 Metetra
.647 .452 .605 r
.68206 .36331 .68644 .39494 .69198 .37773 .68797 .35384 Metetra
.583 .422 .629 r
.68797 .35384 .69198 .37773 .6976 .36277 .69428 .35224 Metetra
.373 .373 .73 r
.69428 .35224 .6976 .36277 .70352 .35365 .70096 .3569 Metetra
.746 .299 .191 r
.70096 .3569 .70352 .35365 .70981 .35142 .70784 .36434 Metetra
.647 .316 .399 r
.70784 .36434 .70981 .35142 .71646 .35471 .7147 .37065 Metetra
.57 .264 .411 r
.7147 .37065 .71646 .35471 .7233 .3605 .72137 .37287 Metetra
.435 .127 .343 r
.72137 .37287 .7233 .3605 .73013 .36545 .72773 .36995 Metetra
.72773 .36995 .73013 .36545 .73678 .36706 .73383 .36274 Metetra
.876 .774 .745 r
.73383 .36274 .73678 .36706 .74317 .36444 .73978 .35341 Metetra
.757 .598 .681 r
.73978 .35341 .74317 .36444 .74932 .35828 .74573 .34436 Metetra
.697 .54 .67 r
.74573 .34436 .74932 .35828 .75535 .35036 .75182 .33743 Metetra
.655 .522 .689 r
.75182 .33743 .75535 .35036 .76138 .34262 .75812 .33341 Metetra
.608 .54 .752 r
.75812 .33341 .76138 .34262 .76752 .33655 .76463 .33204 Metetra
.496 .629 .911 r
.76463 .33204 .76752 .33655 .77385 .33281 .77129 .33237 Metetra
0 .524 .734 r
.77129 .33237 .77385 .33281 .78037 .33121 .77801 .33319 Metetra
.33 0 0 r
.77801 .33319 .78037 .33121 .78701 .33098 .78472 .33346 Metetra
.25 0 0 r
.78472 .33346 .78701 .33098 .79371 .33117 .79135 .33261 Metetra
.79135 .33261 .79371 .33117 .8004 .33098 .79791 .33055 Metetra
.583 .939 .924 r
.79791 .33055 .8004 .33098 .80704 .32992 .80439 .32758 Metetra
.738 .875 .944 r
.80439 .32758 .80704 .32992 .81361 .32792 .81085 .32416 Metetra
.731 .78 .891 r
.81085 .32416 .81361 .32792 .82014 .32519 .81732 .32076 Metetra
.708 .736 .873 r
.81732 .32076 .82014 .32519 .82663 .3221 .82383 .31769 Metetra
.686 .728 .883 r
.82383 .31769 .82663 .3221 .83314 .31899 .8304 .31508 Metetra
.664 .748 .912 r
.8304 .31508 .83314 .31899 .83969 .31612 .83703 .31289 Metetra
.64 .782 .95 r
.83703 .31289 .83969 .31612 .84628 .31358 .8437 .31099 Metetra
.614 .819 .979 r
.8437 .31099 .84628 .31358 .85291 .31137 .85039 .30921 Metetra
.596 .846 .992 r
.85039 .30921 .85291 .31137 .85959 .30938 .85711 .30741 Metetra
.595 .861 .993 r
.85711 .30741 .85959 .30938 .8663 .30749 .86383 .3055 Metetra
.61 .865 .991 r
.86383 .3055 .8663 .30749 .87302 .3056 .87055 .30346 Metetra
.629 .862 .986 r
.87055 .30346 .87302 .3056 .87975 .30363 .87727 .30128 Metetra
.644 .852 .979 r
.27559 .49517 .27926 .49682 .2847 .49492 .28103 .49334 Metetra
.648 .858 .98 r
.28103 .49334 .2847 .49492 .29015 .49299 .28649 .49145 Metetra
.653 .862 .979 r
.28649 .49145 .29015 .49299 .29561 .4911 .29196 .4895 Metetra
.658 .859 .976 r
.29196 .4895 .29561 .4911 .30107 .48931 .29744 .48752 Metetra
.659 .846 .972 r
.29744 .48752 .30107 .48931 .30653 .48766 .30293 .48557 Metetra
.654 .823 .965 r
.30293 .48557 .30653 .48766 .31199 .4862 .30843 .48375 Metetra
.64 .795 .956 r
.30843 .48375 .31199 .4862 .31746 .48487 .31392 .48214 Metetra
.622 .771 .952 r
.31392 .48214 .31746 .48487 .32294 .48354 .31941 .48078 Metetra
.604 .764 .956 r
.31941 .48078 .32294 .48354 .32845 .48199 .3249 .47961 Metetra
.592 .789 .974 r
.3249 .47961 .32845 .48199 .33399 .47999 .3304 .47845 Metetra
.586 .849 .994 r
.3304 .47845 .33399 .47999 .33958 .4774 .33594 .47699 Metetra
.576 .915 .969 r
.33594 .47699 .33958 .4774 .3452 .4743 .34151 .47495 Metetra
.564 .937 .881 r
.34151 .47495 .3452 .4743 .35084 .47103 .34715 .47213 Metetra
.608 .954 .841 r
.34715 .47213 .35084 .47103 .35647 .46819 .35282 .46863 Metetra
.717 .98 .909 r
.35282 .46863 .35647 .46819 .36205 .46645 .35851 .46492 Metetra
.747 .88 .94 r
.35851 .46492 .36205 .46645 .36756 .46627 .36418 .46178 Metetra
.651 .681 .865 r
.36418 .46178 .36756 .46627 .37303 .46763 .36979 .46007 Metetra
.541 .525 .786 r
.36979 .46007 .37303 .46763 .37847 .46981 .37532 .46039 Metetra
.452 .432 .746 r
.37532 .46039 .37847 .46981 .38397 .47148 .38078 .46265 Metetra
.374 .397 .756 r
.38078 .46265 .38397 .47148 .38957 .4711 .38623 .46592 Metetra
.268 .46 .863 r
.38623 .46592 .38957 .4711 .39532 .4676 .39173 .46848 Metetra
.152 0 0 r
.39173 .46848 .39532 .4676 .40118 .46098 .39736 .46839 Metetra
.216 0 .121 r
.39736 .46839 .40118 .46098 .4071 .45272 .40316 .46435 Metetra
.134 0 .194 r
.40316 .46435 .4071 .45272 .41298 .4454 .4091 .45647 Metetra
0 0 .098 r
.4091 .45647 .41298 .4454 .41873 .4419 .41509 .44665 Metetra
.645 .854 .468 r
.41509 .44665 .41873 .4419 .42431 .44417 .42103 .43821 Metetra
.711 .652 .789 r
.42103 .43821 .42431 .44417 .42974 .45221 .4268 .43466 Metetra
.472 .365 .651 r
.4268 .43466 .42974 .45221 .43513 .46366 .43238 .43834 Metetra
.347 .245 .595 r
.43238 .43834 .43513 .46366 .4406 .47427 .4378 .44918 Metetra
.227 .159 .568 r
.4378 .44918 .4406 .47427 .44625 .47943 .44317 .46416 Metetra
0 .021 .546 r
.44317 .46416 .44625 .47943 .45213 .47617 .44864 .47799 Metetra
.768 .325 .199 r
.44864 .47799 .45213 .47617 .45818 .46469 .45433 .48493 Metetra
.461 .189 .413 r
.45433 .48493 .45818 .46469 .4643 .44861 .46027 .48125 Metetra
.34 .115 .42 r
.46027 .48125 .4643 .44861 .47036 .43354 .4664 .46728 Metetra
.24 .037 .39 r
.4664 .46728 .47036 .43354 .47629 .42476 .47258 .44766 Metetra
.079 0 .292 r
.47258 .44766 .47629 .42476 .48209 .42514 .4787 .42964 Metetra
.713 .882 .488 r
.4787 .42964 .48209 .42514 .48781 .43396 .48466 .42029 Metetra
.451 .38 .686 r
.48466 .42029 .48781 .43396 .49355 .4472 .49047 .42381 Metetra
.171 .128 .564 r
.49047 .42381 .49355 .4472 .49936 .45905 .4962 .43991 Metetra
0 0 .388 r
.4962 .43991 .49936 .45905 .50527 .46433 .50196 .46358 Metetra
.926 .562 .314 r
.50196 .46358 .50527 .46433 .51126 .46063 .50783 .48649 Metetra
.673 .389 .483 r
.50783 .48649 .51126 .46063 .51728 .44917 .51383 .49984 Metetra
.532 .291 .495 r
.51383 .49984 .51728 .44917 .52327 .43382 .51992 .49796 Metetra
.438 .221 .485 r
.51992 .49796 .52327 .43382 .52923 .41907 .52603 .48087 Metetra
.354 .153 .463 r
.52603 .48087 .52923 .41907 .53517 .40813 .53207 .45436 Metetra
.26 .07 .423 r
.53207 .45436 .53517 .40813 .54111 .40203 .53803 .42758 Metetra
.167 0 .347 r
.53803 .42758 .54111 .40203 .54707 .39993 .54397 .40948 Metetra
.343 .014 .255 r
.54397 .40948 .54707 .39993 .55307 .40026 .54996 .40577 Metetra
.79 .416 .348 r
.54996 .40577 .55307 .40026 .55911 .40187 .55612 .41731 Metetra
.784 .471 .458 r
.55612 .41731 .55911 .40187 .56518 .40455 .56246 .43976 Metetra
.71 .431 .501 r
.56246 .43976 .56518 .40455 .57131 .40873 .56894 .46478 Metetra
.636 .379 .513 r
.56894 .46478 .57131 .40873 .57749 .4144 .57543 .48263 Metetra
.562 .322 .51 r
.57543 .48263 .57749 .4144 .58373 .42038 .58175 .48581 Metetra
.468 .246 .493 r
.58175 .48581 .58373 .42038 .58997 .42422 .58779 .47226 Metetra
.296 .102 .44 r
.58779 .47226 .58997 .42422 .59613 .42317 .59354 .44632 Metetra
0 0 .171 r
.59354 .44632 .59613 .42317 .60216 .41584 .59913 .41672 Metetra
.993 .822 .57 r
.59913 .41672 .60216 .41584 .60806 .40334 .60477 .39303 Metetra
.786 .619 .674 r
.60477 .39303 .60806 .40334 .61388 .38937 .61069 .38209 Metetra
.299 .397 .795 r
.61069 .38209 .61388 .38937 .61977 .37884 .617 .38599 Metetra
.81 .45 .375 r
.617 .38599 .61977 .37884 .62589 .37584 .62372 .40157 Metetra
.716 .423 .479 r
.62372 .40157 .62589 .37584 .63231 .38182 .63066 .42162 Metetra
.651 .381 .497 r
.63066 .42162 .63231 .38182 .63903 .39479 .63755 .43737 Metetra
.577 .321 .493 r
.63755 .43737 .63903 .39479 .64589 .4098 .64412 .44185 Metetra
.43 .192 .45 r
.64412 .44185 .64589 .4098 .65268 .42075 .6502 .43269 Metetra
.6502 .43269 .65268 .42075 .65916 .42283 .65583 .41282 Metetra
.882 .669 .609 r
.65583 .41282 .65916 .42283 .66523 .41458 .66123 .38881 Metetra
.748 .532 .601 r
.66123 .38881 .66523 .41458 .67093 .39843 .6667 .36788 Metetra
.675 .472 .604 r
.6667 .36788 .67093 .39843 .67645 .37949 .67249 .35519 Metetra
.597 .43 .626 r
.67249 .35519 .67645 .37949 .68206 .36331 .67873 .35245 Metetra
.34 .347 .721 r
.67873 .35245 .68206 .36331 .68797 .35384 .68539 .35785 Metetra
.774 .353 .25 r
.68539 .35785 .68797 .35384 .69428 .35224 .6923 .36717 Metetra
.666 .344 .42 r
.6923 .36717 .69428 .35224 .70096 .3569 .69922 .37552 Metetra
.587 .29 .432 r
.69922 .37552 .70096 .3569 .70784 .36434 .70593 .37907 Metetra
.458 .163 .375 r
.70593 .37907 .70784 .36434 .7147 .37065 .7123 .37631 Metetra
.7123 .37631 .7147 .37065 .72137 .37287 .71836 .36817 Metetra
.886 .76 .717 r
.71836 .36817 .72137 .37287 .72773 .36995 .72424 .35727 Metetra
.759 .585 .662 r
.72424 .35727 .72773 .36995 .73383 .36274 .73011 .34662 Metetra
.697 .527 .653 r
.73011 .34662 .73383 .36274 .73978 .35341 .73613 .33853 Metetra
.652 .505 .671 r
.73613 .33853 .73978 .35341 .74573 .34436 .74239 .33403 Metetra
.599 .517 .733 r
.74239 .33403 .74573 .34436 .75182 .33743 .74889 .33285 Metetra
.445 .599 .909 r
.74889 .33285 .75182 .33743 .75812 .33341 .75556 .33378 Metetra
.314 0 0 r
.75556 .33378 .75812 .33341 .76463 .33204 .76231 .33532 Metetra
.455 0 .002 r
.76231 .33532 .76463 .33204 .77129 .33237 .76903 .33616 Metetra
.366 0 .005 r
.76903 .33616 .77129 .33237 .77801 .33319 .77567 .33558 Metetra
.076 0 0 r
.77567 .33558 .77801 .33319 .78472 .33346 .7822 .33346 Metetra
.564 .937 .876 r
.7822 .33346 .78472 .33346 .79135 .33261 .78866 .33018 Metetra
.762 .873 .928 r
.78866 .33018 .79135 .33261 .79791 .33055 .79507 .32637 Metetra
.742 .76 .867 r
.79507 .32637 .79791 .33055 .80439 .32758 .8015 .32262 Metetra
.712 .712 .849 r
.8015 .32262 .80439 .32758 .81085 .32416 .80798 .31932 Metetra
.686 .708 .864 r
.80798 .31932 .81085 .32416 .81732 .32076 .81453 .31663 Metetra
.661 .734 .903 r
.81453 .31663 .81732 .32076 .82383 .31769 .82114 .31449 Metetra
.63 .78 .953 r
.82114 .31449 .82383 .31769 .8304 .31508 .8278 .3127 Metetra
.593 .826 .988 r
.8278 .3127 .8304 .31508 .83703 .31289 .8345 .31106 Metetra
.564 .856 .997 r
.8345 .31106 .83703 .31289 .8437 .31099 .8412 .30937 Metetra
.564 .872 .995 r
.8412 .30937 .8437 .31099 .85039 .30921 .84791 .30752 Metetra
.589 .879 .993 r
.84791 .30752 .85039 .30921 .85711 .30741 .85462 .30549 Metetra
.62 .875 .989 r
.85462 .30549 .85711 .30741 .86383 .3055 .86132 .3033 Metetra
.643 .862 .982 r
.86132 .3033 .86383 .3055 .87055 .30346 .86803 .301 Metetra
.655 .848 .974 r
.86803 .301 .87055 .30346 .87727 .30128 .87475 .29865 Metetra
.638 .843 .979 r
.27191 .49342 .27559 .49517 .28103 .49334 .27735 .49168 Metetra
.638 .85 .981 r
.27735 .49168 .28103 .49334 .28649 .49145 .28281 .4899 Metetra
.64 .859 .983 r
.28281 .4899 .28649 .49145 .29196 .4895 .28828 .48806 Metetra
.645 .869 .983 r
.28828 .48806 .29196 .4895 .29744 .48752 .29377 .48613 Metetra
.651 .874 .982 r
.29377 .48613 .29744 .48752 .30293 .48557 .29927 .48412 Metetra
.659 .871 .979 r
.29927 .48412 .30293 .48557 .30843 .48375 .3048 .48205 Metetra
.662 .855 .974 r
.3048 .48205 .30843 .48375 .31392 .48214 .31032 .48003 Metetra
.655 .824 .965 r
.31032 .48003 .31392 .48214 .31941 .48078 .31585 .47818 Metetra
.637 .785 .953 r
.31585 .47818 .31941 .48078 .3249 .47961 .32137 .47662 Metetra
.613 .752 .944 r
.32137 .47662 .3249 .47961 .3304 .47845 .32689 .47539 Metetra
.589 .741 .948 r
.32689 .47539 .3304 .47845 .33594 .47699 .3324 .47442 Metetra
.573 .77 .972 r
.3324 .47442 .33594 .47699 .34151 .47495 .33792 .47346 Metetra
.561 .847 .997 r
.33792 .47346 .34151 .47495 .34715 .47213 .34348 .47214 Metetra
.523 .911 .933 r
.34348 .47214 .34715 .47213 .35282 .46863 .3491 .47005 Metetra
.47 .884 .761 r
.3491 .47005 .35282 .46863 .35851 .46492 .35477 .46696 Metetra
.515 .891 .7 r
.35477 .46696 .35851 .46492 .36418 .46178 .3605 .46301 Metetra
.686 .98 .837 r
.3605 .46301 .36418 .46178 .36979 .46007 .36624 .45881 Metetra
.765 .9 .936 r
.36624 .45881 .36979 .46007 .37532 .46039 .37196 .45534 Metetra
.645 .656 .846 r
.37196 .45534 .37532 .46039 .38078 .46265 .3776 .45369 Metetra
.521 .484 .756 r
.3776 .45369 .38078 .46265 .38623 .46592 .38314 .45454 Metetra
.431 .389 .711 r
.38314 .45454 .38623 .46592 .39173 .46848 .38861 .45772 Metetra
.359 .352 .715 r
.38861 .45772 .39173 .46848 .39736 .46839 .39406 .46199 Metetra
.27 .407 .817 r
.39406 .46199 .39736 .46839 .40316 .46435 .39958 .46523 Metetra
.151 0 0 r
.39958 .46523 .40316 .46435 .4091 .45647 .40526 .46515 Metetra
.215 0 .162 r
.40526 .46515 .4091 .45647 .41509 .44665 .41112 .46032 Metetra
.142 0 .23 r
.41112 .46032 .41509 .44665 .42103 .43821 .41712 .45113 Metetra
0 0 .148 r
.41712 .45113 .42103 .43821 .4268 .43466 .42317 .44006 Metetra
.609 .814 .405 r
.42317 .44006 .4268 .43466 .43238 .43834 .42914 .43099 Metetra
.684 .606 .763 r
.42914 .43099 .43238 .43834 .4378 .44918 .43493 .42777 Metetra
.464 .342 .629 r
.43493 .42777 .4378 .44918 .44317 .46416 .44053 .43254 Metetra
.377 .253 .582 r
.44053 .43254 .44317 .46416 .44864 .47799 .44599 .44449 Metetra
.331 .216 .569 r
.44599 .44449 .44864 .47799 .45433 .48493 .45144 .45958 Metetra
.314 .223 .59 r
.45144 .45958 .45433 .48493 .46027 .48125 .45702 .47174 Metetra
.386 .395 .747 r
.45702 .47174 .46027 .48125 .4664 .46728 .46283 .4752 Metetra
.46283 .4752 .4664 .46728 .47258 .44766 .46886 .4673 Metetra
0 0 .235 r
.46886 .4673 .47258 .44766 .4787 .42964 .47503 .45011 Metetra
0 0 .198 r
.47503 .45011 .4787 .42964 .48466 .42029 .4812 .4298 Metetra
.4812 .4298 .48466 .42029 .49047 .42381 .48726 .41396 Metetra
.712 .582 .708 r
.48726 .41396 .49047 .42381 .4962 .43991 .49318 .40839 Metetra
.477 .328 .599 r
.49318 .40839 .4962 .43991 .50196 .46358 .49901 .41461 Metetra
.426 .271 .566 r
.49901 .41461 .50196 .46358 .50783 .48649 .50483 .42912 Metetra
.439 .276 .562 r
.50483 .42912 .50783 .48649 .51383 .49984 .51072 .44467 Metetra
.493 .318 .572 r
.51072 .44467 .51383 .49984 .51992 .49796 .5167 .45324 Metetra
.582 .391 .589 r
.5167 .45324 .51992 .49796 .52603 .48087 .52274 .44992 Metetra
.687 .483 .605 r
.52274 .44992 .52603 .48087 .53207 .45436 .52878 .43536 Metetra
.778 .569 .617 r
.52878 .43536 .53207 .45436 .53803 .42758 .53477 .41547 Metetra
.816 .621 .638 r
.53477 .41547 .53803 .42758 .54397 .40948 .54072 .39837 Metetra
.737 .584 .684 r
.54072 .39837 .54397 .40948 .54996 .40577 .54669 .39045 Metetra
.476 .384 .673 r
.54669 .39045 .54996 .40577 .55612 .41731 .55274 .39369 Metetra
.336 .247 .605 r
.55274 .39369 .55612 .41731 .56246 .43976 .55891 .40484 Metetra
.405 .272 .585 r
.55891 .40484 .56246 .43976 .56894 .46478 .56516 .41701 Metetra
.509 .335 .581 r
.56516 .41701 .56894 .46478 .57543 .48263 .57138 .42287 Metetra
.581 .382 .577 r
.57138 .42287 .57543 .48263 .58175 .48581 .57748 .41835 Metetra
.619 .408 .574 r
.57748 .41835 .58175 .48581 .58779 .47226 .58341 .40475 Metetra
.631 .418 .574 r
.58341 .40475 .58779 .47226 .59354 .44632 .58926 .38801 Metetra
.622 .413 .578 r
.58926 .38801 .59354 .44632 .59913 .41672 .59515 .37562 Metetra
.578 .391 .592 r
.59515 .37562 .59913 .41672 .60477 .39303 .60126 .37307 Metetra
.373 .29 .632 r
.60126 .37307 .60477 .39303 .61069 .38209 .60766 .38145 Metetra
.892 .472 .18 r
.60766 .38145 .61069 .38209 .617 .38599 .61431 .39702 Metetra
.773 .435 .414 r
.61431 .39702 .617 .38599 .62372 .40157 .62105 .41277 Metetra
.693 .353 .395 r
.62105 .41277 .62372 .40157 .63066 .42162 .62765 .42135 Metetra
.596 .942 .932 r
.62765 .42135 .63066 .42162 .63755 .43737 .63391 .41847 Metetra
.737 .542 .629 r
.63391 .41847 .63755 .43737 .64412 .44185 .6398 .40473 Metetra
.697 .482 .591 r
.6398 .40473 .64412 .44185 .6502 .43269 .64544 .38516 Metetra
.667 .452 .583 r
.64544 .38516 .6502 .43269 .65583 .41282 .65107 .36661 Metetra
.634 .428 .586 r
.65107 .36661 .65583 .41282 .66123 .38881 .65692 .35483 Metetra
.581 .401 .603 r
.65692 .35483 .66123 .38881 .6667 .36788 .66316 .35244 Metetra
.399 .336 .67 r
.66316 .35244 .6667 .36788 .67249 .35519 .66979 .35836 Metetra
.799 .372 .233 r
.66979 .35836 .67249 .35519 .67873 .35245 .67668 .36862 Metetra
.673 .357 .43 r
.67668 .36862 .67873 .35245 .68539 .35785 .68359 .37813 Metetra
.597 .304 .441 r
.68359 .37813 .68539 .35785 .6923 .36717 .6903 .38261 Metetra
.469 .175 .383 r
.6903 .38261 .6923 .36717 .69922 .37552 .69668 .38015 Metetra
.69668 .38015 .69922 .37552 .70593 .37907 .70274 .3716 Metetra
.842 .685 .687 r
.70274 .3716 .70593 .37907 .7123 .37631 .70859 .3598 Metetra
.735 .549 .64 r
.70859 .3598 .7123 .37631 .71836 .36817 .71443 .34815 Metetra
.682 .5 .634 r
.71443 .34815 .71836 .36817 .72424 .35727 .72043 .33938 Metetra
.64 .481 .652 r
.72043 .33938 .72424 .35727 .73011 .34662 .72667 .33473 Metetra
.585 .489 .712 r
.72667 .33473 .73011 .34662 .73613 .33853 .73317 .33392 Metetra
.377 .559 .905 r
.73317 .33392 .73613 .33853 .74239 .33403 .73986 .33556 Metetra
.497 0 0 r
.73986 .33556 .74239 .33403 .74889 .33285 .74662 .33786 Metetra
.524 .09 .159 r
.74662 .33786 .74889 .33285 .75556 .33378 .75336 .33926 Metetra
.436 .019 .148 r
.75336 .33926 .75556 .33378 .76231 .33532 .75999 .33887 Metetra
.187 0 0 r
.75999 .33887 .76231 .33532 .76903 .33616 .7665 .33659 Metetra
.55 .928 .817 r
.7665 .33659 .76903 .33616 .77567 .33558 .77291 .33292 Metetra
.785 .86 .905 r
.77291 .33292 .77567 .33558 .7822 .33346 .77928 .32863 Metetra
.747 .731 .837 r
.77928 .32863 .7822 .33346 .78866 .33018 .78567 .32446 Metetra
.711 .682 .82 r
.78567 .32446 .78866 .33018 .79507 .32637 .79212 .32092 Metetra
.683 .68 .841 r
.79212 .32092 .79507 .32637 .8015 .32262 .79865 .31816 Metetra
.656 .714 .891 r
.79865 .31816 .8015 .32262 .80798 .31932 .80525 .3161 Metetra
.618 .774 .955 r
.80525 .3161 .80798 .31932 .81453 .31663 .81191 .31448 Metetra
.562 .831 .996 r
.81191 .31448 .81453 .31663 .82114 .31449 .8186 .31301 Metetra
.515 .86 .993 r
.8186 .31301 .82114 .31449 .8278 .3127 .8253 .31146 Metetra
.518 .876 .984 r
.8253 .31146 .8278 .3127 .8345 .31106 .832 .30969 Metetra
.562 .888 .988 r
.832 .30969 .8345 .31106 .8412 .30937 .83869 .30766 Metetra
.612 .886 .99 r
.83869 .30766 .8412 .30937 .84791 .30752 .84537 .30543 Metetra
.644 .871 .983 r
.84537 .30543 .84791 .30752 .85462 .30549 .85206 .30307 Metetra
.659 .852 .974 r
.85206 .30307 .85462 .30549 .86132 .3033 .85876 .30067 Metetra
.662 .839 .968 r
.85876 .30067 .86132 .3033 .86803 .301 .86547 .29828 Metetra
.659 .832 .966 r
.86547 .29828 .86803 .301 .87475 .29865 .87221 .29594 Metetra
.639 .84 .978 r
.26821 .4916 .27191 .49342 .27735 .49168 .27366 .48987 Metetra
.636 .84 .979 r
.27366 .48987 .27735 .49168 .28281 .4899 .27912 .48815 Metetra
.634 .844 .981 r
.27912 .48815 .28281 .4899 .28828 .48806 .2846 .48642 Metetra
.633 .852 .983 r
.2846 .48642 .28828 .48806 .29377 .48613 .29008 .48465 Metetra
.636 .865 .985 r
.29008 .48465 .29377 .48613 .29927 .48412 .29559 .4828 Metetra
.641 .878 .985 r
.29559 .4828 .29927 .48412 .3048 .48205 .30111 .48083 Metetra
.651 .887 .983 r
.30111 .48083 .3048 .48205 .31032 .48003 .30666 .47873 Metetra
.662 .884 .98 r
.30666 .47873 .31032 .48003 .31585 .47818 .31221 .47657 Metetra
.667 .863 .974 r
.31221 .47657 .31585 .47818 .32137 .47662 .31778 .47445 Metetra
.659 .822 .962 r
.31778 .47445 .32137 .47662 .32689 .47539 .32334 .47255 Metetra
.635 .77 .944 r
.32334 .47255 .32689 .47539 .3324 .47442 .32889 .47103 Metetra
.602 .724 .931 r
.32889 .47103 .3324 .47442 .33792 .47346 .33443 .46998 Metetra
.57 .707 .935 r
.33443 .46998 .33792 .47346 .34348 .47214 .33996 .46928 Metetra
.546 .742 .967 r
.33996 .46928 .34348 .47214 .3491 .47005 .3455 .46863 Metetra
.52 .838 .999 r
.3455 .46863 .3491 .47005 .35477 .46696 .35109 .46751 Metetra
.426 .87 .852 r
.35109 .46751 .35477 .46696 .3605 .46301 .35674 .4654 Metetra
.35674 .4654 .3605 .46301 .36624 .45881 .36246 .462 Metetra
.36246 .462 .36624 .45881 .37196 .45534 .36824 .45748 Metetra
.643 .948 .728 r
.36824 .45748 .37196 .45534 .3776 .45369 .37405 .45259 Metetra
.794 .911 .921 r
.37405 .45259 .3776 .45369 .38314 .45454 .37981 .44859 Metetra
.643 .624 .815 r
.37981 .44859 .38314 .45454 .38861 .45772 .38549 .44685 Metetra
.507 .445 .722 r
.38549 .44685 .38861 .45772 .39406 .46199 .39104 .44824 Metetra
.41 .349 .679 r
.39104 .44824 .39406 .46199 .39958 .46523 .39651 .45261 Metetra
.315 .297 .68 r
.39651 .45261 .39958 .46523 .40526 .46515 .40195 .45846 Metetra
.104 .292 .77 r
.40195 .45846 .40526 .46515 .41112 .46032 .40747 .46324 Metetra
.468 0 .01 r
.40747 .46324 .41112 .46032 .41712 .45113 .41316 .46413 Metetra
.348 .048 .307 r
.41316 .46413 .41712 .45113 .42317 .44006 .41905 .45931 Metetra
.254 .006 .331 r
.41905 .45931 .42317 .44006 .42914 .43099 .42511 .44906 Metetra
.112 0 .265 r
.42511 .44906 .42914 .43099 .43493 .42777 .43124 .43611 Metetra
.43124 .43611 .43493 .42777 .44053 .43254 .43728 .42485 Metetra
.726 .62 .74 r
.43728 .42485 .44053 .43254 .44599 .44449 .44316 .41984 Metetra
.491 .351 .618 r
.44316 .41984 .44599 .44449 .45144 .45958 .44882 .42389 Metetra
.386 .253 .575 r
.44882 .42389 .45144 .45958 .45702 .47174 .45432 .43678 Metetra
.285 .18 .555 r
.45432 .43678 .45702 .47174 .46283 .4752 .45978 .45487 Metetra
.023 .035 .532 r
.45978 .45487 .46283 .4752 .46886 .4673 .46535 .47193 Metetra
.775 .391 .329 r
.46535 .47193 .46886 .4673 .47503 .45011 .47113 .48136 Metetra
.509 .253 .462 r
.47113 .48136 .47503 .45011 .4812 .4298 .47712 .47886 Metetra
.418 .195 .466 r
.47712 .47886 .4812 .4298 .48726 .41396 .48329 .46444 Metetra
.342 .135 .447 r
.48329 .46444 .48726 .41396 .49318 .40839 .4895 .44261 Metetra
.195 .002 .376 r
.4895 .44261 .49318 .40839 .49901 .41461 .49565 .42047 Metetra
.886 .893 .472 r
.49565 .42047 .49901 .41461 .50483 .42912 .50169 .40505 Metetra
.615 .442 .625 r
.50169 .40505 .50483 .42912 .51072 .44467 .50764 .40093 Metetra
.48 .315 .58 r
.50764 .40093 .51072 .44467 .5167 .45324 .51355 .40906 Metetra
.371 .234 .562 r
.51355 .40906 .5167 .45324 .52274 .44992 .51949 .42663 Metetra
0 0 .506 r
.51949 .42663 .52274 .44992 .52878 .43536 .52552 .44801 Metetra
.779 .457 .442 r
.52552 .44801 .52878 .43536 .53477 .41547 .53164 .46639 Metetra
.601 .347 .504 r
.53164 .46639 .53477 .41547 .54072 .39837 .53782 .47576 Metetra
.532 .3 .508 r
.53782 .47576 .54072 .39837 .54669 .39045 .54398 .47277 Metetra
.477 .257 .5 r
.54398 .47277 .54669 .39045 .55274 .39369 .55006 .45779 Metetra
.392 .184 .474 r
.55006 .45779 .55274 .39369 .55891 .40484 .55603 .43473 Metetra
.076 0 .329 r
.55603 .43473 .55891 .40484 .56516 .41701 .56191 .4098 Metetra
.89 .695 .632 r
.56191 .4098 .56516 .41701 .57138 .42287 .56778 .38968 Metetra
.647 .45 .602 r
.56778 .38968 .57138 .42287 .57748 .41835 .57375 .37975 Metetra
.529 .357 .592 r
.57375 .37975 .57748 .41835 .58341 .40475 .57992 .38262 Metetra
.215 .169 .588 r
.57992 .38262 .58341 .40475 .58926 .38801 .58636 .3973 Metetra
.829 .49 .414 r
.58636 .3973 .58926 .38801 .59515 .37562 .59301 .41909 Metetra
.672 .402 .503 r
.59301 .41909 .59515 .37562 .60126 .37307 .59977 .44063 Metetra
.605 .356 .513 r
.59977 .44063 .60126 .37307 .60766 .38145 .60643 .45404 Metetra
.545 .309 .508 r
.60643 .45404 .60766 .38145 .61431 .39702 .61281 .45387 Metetra
.445 .224 .483 r
.61281 .45387 .61431 .39702 .62105 .41277 .61879 .43935 Metetra
.039 0 .312 r
.61879 .43935 .62105 .41277 .62765 .42135 .62442 .41482 Metetra
.926 .712 .594 r
.62442 .41482 .62765 .42135 .63391 .41847 .62991 .38782 Metetra
.731 .513 .595 r
.62991 .38782 .63391 .41847 .6398 .40473 .63549 .36608 Metetra
.643 .441 .594 r
.63549 .36608 .6398 .40473 .64544 .38516 .64139 .35488 Metetra
.55 .384 .61 r
.64139 .35488 .64544 .38516 .65107 .36661 .64773 .35557 Metetra
.068 .163 .655 r
.64773 .35557 .65107 .36661 .65692 .35483 .65448 .36554 Metetra
.759 .413 .399 r
.65448 .36554 .65692 .35483 .66316 .35244 .66145 .3794 Metetra
.652 .365 .472 r
.66145 .3794 .66316 .35244 .66979 .35836 .66839 .39094 Metetra
.581 .314 .476 r
.66839 .39094 .66979 .35836 .67668 .36862 .67508 .39538 Metetra
.478 .22 .445 r
.67508 .39538 .67668 .36862 .68359 .37813 .68137 .391 Metetra
.078 0 .229 r
.68137 .391 .68359 .37813 .6903 .38261 .68731 .37936 Metetra
.943 .794 .666 r
.68731 .37936 .6903 .38261 .69668 .38015 .69303 .36424 Metetra
.766 .57 .634 r
.69303 .36424 .69668 .38015 .70274 .3716 .69876 .34992 Metetra
.69 .5 .626 r
.69876 .34992 .70274 .3716 .70859 .3598 .70468 .33961 Metetra
.635 .468 .64 r
.70468 .33961 .70859 .3598 .71443 .34815 .7109 .33464 Metetra
.565 .461 .695 r
.7109 .33464 .71443 .34815 .72043 .33938 .71742 .3345 Metetra
.269 .481 .88 r
.71742 .3345 .72043 .33938 .72667 .33473 .72414 .33732 Metetra
.605 .103 .032 r
.72414 .33732 .72667 .33473 .73317 .33392 .73095 .34082 Metetra
.568 .174 .256 r
.73095 .34082 .73317 .33392 .73986 .33556 .73771 .34304 Metetra
.481 .103 .245 r
.73771 .34304 .73986 .33556 .74662 .33786 .74433 .34291 Metetra
.268 0 .052 r
.74433 .34291 .74662 .33786 .75336 .33926 .75081 .34036 Metetra
.513 .892 .709 r
.75081 .34036 .75336 .33926 .75999 .33887 .75718 .33608 Metetra
.814 .855 .88 r
.75718 .33608 .75999 .33887 .7665 .33659 .76349 .33109 Metetra
.755 .707 .807 r
.76349 .33109 .7665 .33659 .77291 .33292 .76983 .32634 Metetra
.711 .655 .792 r
.76983 .32634 .77291 .33292 .77928 .32863 .77624 .32245 Metetra
.679 .653 .817 r
.77624 .32245 .77928 .32863 .78567 .32446 .78275 .3196 Metetra
.649 .691 .876 r
.78275 .3196 .78567 .32446 .79212 .32092 .78934 .31766 Metetra
.601 .764 .957 r
.78934 .31766 .79212 .32092 .79865 .31816 .796 .31626 Metetra
.517 .829 1 r
.796 .31626 .79865 .31816 .80525 .3161 .80269 .31502 Metetra
.443 .847 .971 r
.80269 .31502 .80525 .3161 .81191 .31448 .80939 .31364 Metetra
.452 .865 .955 r
.80939 .31364 .81191 .31448 .8186 .31301 .81608 .31196 Metetra
.528 .891 .974 r
.81608 .31196 .8186 .31301 .8253 .31146 .82275 .30994 Metetra
.604 .896 .988 r
.82275 .30994 .8253 .31146 .832 .30969 .82942 .30766 Metetra
.649 .877 .983 r
.82942 .30766 .832 .30969 .83869 .30766 .83608 .30522 Metetra
.666 .853 .971 r
.83608 .30522 .83869 .30766 .84537 .30543 .84276 .30273 Metetra
.668 .836 .964 r
.84276 .30273 .84537 .30543 .85206 .30307 .84945 .30029 Metetra
.663 .828 .963 r
.84945 .30029 .85206 .30307 .85876 .30067 .85617 .29792 Metetra
.656 .828 .966 r
.85617 .29792 .85876 .30067 .86547 .29828 .86291 .29563 Metetra
.648 .833 .972 r
.86291 .29563 .86547 .29828 .87221 .29594 .86968 .29341 Metetra
.642 .843 .977 r
.26449 .48982 .26821 .4916 .27366 .48987 .26996 .48803 Metetra
.64 .839 .977 r
.26996 .48803 .27366 .48987 .27912 .48815 .27543 .48627 Metetra
.637 .836 .977 r
.27543 .48627 .27912 .48815 .2846 .48642 .28091 .48454 Metetra
.634 .836 .978 r
.28091 .48454 .2846 .48642 .29008 .48465 .2864 .48284 Metetra
.631 .84 .981 r
.2864 .48284 .29008 .48465 .29559 .4828 .29191 .48114 Metetra
.63 .852 .984 r
.29191 .48114 .29559 .4828 .30111 .48083 .29742 .47939 Metetra
.633 .869 .986 r
.29742 .47939 .30111 .48083 .30666 .47873 .30296 .47753 Metetra
.64 .886 .986 r
.30296 .47753 .30666 .47873 .31221 .47657 .30852 .4755 Metetra
.652 .899 .982 r
.30852 .4755 .31221 .47657 .31778 .47445 .3141 .4733 Metetra
.666 .897 .979 r
.3141 .4733 .31778 .47445 .32334 .47255 .3197 .47101 Metetra
.674 .871 .973 r
.3197 .47101 .32334 .47255 .32889 .47103 .3253 .46877 Metetra
.663 .818 .958 r
.3253 .46877 .32889 .47103 .33443 .46998 .3309 .46683 Metetra
.63 .75 .934 r
.3309 .46683 .33443 .46998 .33996 .46928 .33648 .4654 Metetra
.587 .691 .914 r
.33648 .4654 .33996 .46928 .3455 .46863 .34204 .46458 Metetra
.548 .667 .915 r
.34204 .46458 .3455 .46863 .35109 .46751 .34758 .46423 Metetra
.521 .705 .954 r
.34758 .46423 .35109 .46751 .35674 .4654 .35315 .46392 Metetra
.494 .825 .999 r
.35315 .46392 .35674 .4654 .36246 .462 .35876 .46297 Metetra
.369 .834 .777 r
.35876 .46297 .36246 .462 .36824 .45748 .36445 .46072 Metetra
.36445 .46072 .36824 .45748 .37405 .45259 .37023 .45681 Metetra
.37023 .45681 .37405 .45259 .37981 .44859 .37608 .4515 Metetra
.615 .911 .634 r
.37608 .4515 .37981 .44859 .38549 .44685 .38194 .44587 Metetra
.808 .919 .912 r
.38194 .44587 .38549 .44685 .39104 .44824 .38774 .44157 Metetra
.618 .591 .801 r
.38774 .44157 .39104 .44824 .39651 .45261 .39343 .4403 Metetra
.461 .398 .701 r
.39343 .4403 .39651 .45261 .40195 .45846 .39898 .44305 Metetra
.35 .294 .654 r
.39898 .44305 .40195 .45846 .40747 .46324 .40442 .44938 Metetra
.241 .234 .65 r
.40442 .44938 .40747 .46324 .41316 .46413 .40985 .45716 Metetra
0 .213 .726 r
.40985 .45716 .41316 .46413 .41905 .45931 .41539 .46295 Metetra
.436 0 .041 r
.41539 .46295 .41905 .45931 .42511 .44906 .42115 .46324 Metetra
.267 0 .288 r
.42115 .46324 .42511 .44906 .43124 .43611 .42715 .45611 Metetra
.148 0 .293 r
.42715 .45611 .43124 .43611 .43728 .42485 .43332 .44265 Metetra
0 0 .202 r
.43332 .44265 .43728 .42485 .44316 .41984 .43952 .42709 Metetra
.43952 .42709 .44316 .41984 .44882 .42389 .44558 .41554 Metetra
.631 .561 .757 r
.44558 .41554 .44882 .42389 .45432 .43678 .4514 .41369 Metetra
.324 .237 .6 r
.4514 .41369 .45432 .43678 .45978 .45487 .45698 .42432 Metetra
.143 .085 .527 r
.45698 .42432 .45978 .45487 .46535 .47193 .4624 .44568 Metetra
0 0 .451 r
.4624 .44568 .46535 .47193 .47113 .48136 .46785 .47121 Metetra
.769 .453 0 r
.46785 .47121 .47113 .48136 .47712 .47886 .4735 .49128 Metetra
.644 .318 .406 r
.4735 .49128 .47712 .47886 .48329 .46444 .47943 .49698 Metetra
.365 .134 .425 r
.47943 .49698 .48329 .46444 .4895 .44261 .48563 .48457 Metetra
.204 .018 .392 r
.48563 .48457 .4895 .44261 .49565 .42047 .49194 .45799 Metetra
.063 0 .334 r
.49194 .45799 .49565 .42047 .50169 .40505 .4982 .42755 Metetra
0 0 .225 r
.4982 .42755 .50169 .40505 .50764 .40093 .50432 .4056 Metetra
.009 0 0 r
.50432 .4056 .50764 .40093 .51355 .40906 .5103 .40151 Metetra
.779 .419 0 r
.5103 .40151 .51355 .40906 .51949 .42663 .51622 .41821 Metetra
.946 .611 .193 r
.51622 .41821 .51949 .42663 .52552 .44801 .52222 .45077 Metetra
.921 .59 .396 r
.52222 .45077 .52552 .44801 .53164 .46639 .52836 .48733 Metetra
.769 .467 .476 r
.52836 .48733 .53164 .46639 .53782 .47576 .53463 .51304 Metetra
.57 .31 .483 r
.53463 .51304 .53782 .47576 .54398 .47277 .54091 .51639 Metetra
.313 .107 .432 r
.54091 .51639 .54398 .47277 .55006 .45779 .54706 .49503 Metetra
0 0 .282 r
.54706 .49503 .55006 .45779 .55603 .43473 .55301 .45718 Metetra
.55301 .45718 .55603 .43473 .56191 .4098 .55881 .41738 Metetra
.966 .843 .428 r
.55881 .41738 .56191 .4098 .56778 .38968 .56464 .38983 Metetra
.884 .98 .826 r
.56464 .38983 .56778 .38968 .57375 .37975 .57068 .3831 Metetra
.847 .459 .312 r
.57068 .3831 .57375 .37975 .57992 .38262 .57706 .39766 Metetra
.816 .499 .453 r
.57706 .39766 .57992 .38262 .58636 .3973 .58377 .42614 Metetra
.752 .459 .488 r
.58377 .42614 .58636 .3973 .59301 .41909 .59064 .45586 Metetra
.668 .392 .494 r
.59064 .45586 .59301 .41909 .59977 .44063 .59738 .47361 Metetra
.513 .258 .465 r
.59738 .47361 .59977 .44063 .60643 .45404 .60373 .47126 Metetra
0 0 .132 r
.60373 .47126 .60643 .45404 .61281 .45387 .60958 .44931 Metetra
.952 .731 .566 r
.60958 .44931 .61281 .45387 .61879 .43935 .61506 .4161 Metetra
.816 .584 .586 r
.61506 .4161 .61879 .43935 .62442 .41482 .62045 .38324 Metetra
.732 .512 .593 r
.62045 .38324 .62442 .41482 .62991 .38782 .62604 .36058 Metetra
.642 .455 .614 r
.62604 .36058 .62991 .38782 .63549 .36608 .63209 .353 Metetra
.328 .309 .686 r
.63209 .353 .63549 .36608 .64139 .35488 .63862 .35956 Metetra
.834 .448 .32 r
.63862 .35956 .64139 .35488 .64773 .35557 .64553 .37464 Metetra
.717 .407 .451 r
.64553 .37464 .64773 .35557 .65448 .36554 .65255 .39036 Metetra
.638 .349 .463 r
.65255 .39036 .65448 .36554 .66145 .3794 .65938 .39962 Metetra
.514 .231 .423 r
.65938 .39962 .66145 .3794 .66839 .39094 .66583 .39863 Metetra
.66583 .39863 .66839 .39094 .67508 .39538 .67185 .38798 Metetra
.879 .697 .652 r
.67185 .38798 .67508 .39538 .68137 .391 .67758 .37167 Metetra
.759 .553 .619 r
.67758 .37167 .68137 .391 .68731 .37936 .68324 .35494 Metetra
.699 .499 .615 r
.68324 .35494 .68731 .37936 .69303 .36424 .68907 .34216 Metetra
.649 .471 .63 r
.68907 .34216 .69303 .36424 .69876 .34992 .6952 .33552 Metetra
.577 .461 .684 r
.6952 .33552 .69876 .34992 .70468 .33961 .70166 .33483 Metetra
.205 .447 .87 r
.70166 .33483 .70468 .33961 .7109 .33464 .70836 .3381 Metetra
.652 .186 .132 r
.70836 .3381 .7109 .33464 .71742 .3345 .71518 .34258 Metetra
.599 .222 .3 r
.71518 .34258 .71742 .3345 .72414 .33732 .72196 .34581 Metetra
.513 .147 .284 r
.72196 .34581 .72414 .33732 .73095 .34082 .72861 .34631 Metetra
.296 0 .088 r
.72861 .34631 .73095 .34082 .73771 .34304 .73508 .34386 Metetra
.615 .947 .771 r
.73508 .34386 .73771 .34304 .74433 .34291 .74142 .33924 Metetra
.816 .803 .839 r
.74142 .33924 .74433 .34291 .75081 .34036 .7477 .33367 Metetra
.75 .669 .771 r
.7477 .33367 .75081 .34036 .75718 .33608 .75399 .32836 Metetra
.707 .624 .762 r
.75399 .32836 .75718 .33608 .76349 .33109 .76037 .32409 Metetra
.675 .626 .792 r
.76037 .32409 .76349 .33109 .76983 .32634 .76685 .32111 Metetra
.643 .672 .863 r
.76685 .32111 .76983 .32634 .77624 .32245 .77344 .31925 Metetra
.581 .759 .963 r
.77344 .31925 .77624 .32245 .78275 .3196 .78009 .31806 Metetra
.449 .821 .993 r
.78009 .31806 .78275 .3196 .78934 .31766 .78678 .31706 Metetra
.334 .807 .912 r
.78678 .31706 .78934 .31766 .796 .31626 .79347 .31587 Metetra
.363 .83 .895 r
.79347 .31587 .796 .31626 .80269 .31502 .80015 .31428 Metetra
.488 .887 .95 r
.80015 .31428 .80269 .31502 .80939 .31364 .80681 .31226 Metetra
.602 .904 .985 r
.80681 .31226 .80939 .31364 .81608 .31196 .81345 .30991 Metetra
.659 .878 .98 r
.81345 .30991 .81608 .31196 .82275 .30994 .82009 .30737 Metetra
.676 .847 .965 r
.82009 .30737 .82275 .30994 .82942 .30766 .82675 .3048 Metetra
.676 .826 .956 r
.82675 .3048 .82942 .30766 .83608 .30522 .83342 .30229 Metetra
.668 .819 .956 r
.83342 .30229 .83608 .30522 .84276 .30273 .84012 .29989 Metetra
.658 .822 .962 r
.84012 .29989 .84276 .30273 .84945 .30029 .84684 .29759 Metetra
.648 .83 .97 r
.84684 .29759 .84945 .30029 .85617 .29792 .85359 .29538 Metetra
.639 .839 .977 r
.85359 .29538 .85617 .29792 .86291 .29563 .86036 .29322 Metetra
.634 .847 .982 r
.86036 .29322 .86291 .29563 .86968 .29341 .86715 .29106 Metetra
.645 .846 .977 r
.26075 .48806 .26449 .48982 .26996 .48803 .26623 .48623 Metetra
.645 .844 .977 r
.26623 .48623 .26996 .48803 .27543 .48627 .27172 .48441 Metetra
.644 .839 .975 r
.27172 .48441 .27543 .48627 .28091 .48454 .27721 .4826 Metetra
.642 .834 .974 r
.27721 .4826 .28091 .48454 .2864 .48284 .28272 .48084 Metetra
.638 .829 .974 r
.28272 .48084 .2864 .48284 .29191 .48114 .28823 .47913 Metetra
.633 .827 .975 r
.28823 .47913 .29191 .48114 .29742 .47939 .29375 .47746 Metetra
.629 .833 .979 r
.29375 .47746 .29742 .47939 .30296 .47753 .29928 .4758 Metetra
.627 .847 .984 r
.29928 .4758 .30296 .47753 .30852 .4755 .30483 .47408 Metetra
.629 .87 .987 r
.30483 .47408 .30852 .4755 .3141 .4733 .3104 .47221 Metetra
.636 .894 .986 r
.3104 .47221 .3141 .4733 .3197 .47101 .316 .47014 Metetra
.65 .912 .98 r
.316 .47014 .3197 .47101 .3253 .46877 .32162 .46783 Metetra
.67 .912 .977 r
.32162 .46783 .3253 .46877 .3309 .46683 .32726 .46539 Metetra
.684 .881 .972 r
.32726 .46539 .3309 .46683 .33648 .4654 .3329 .463 Metetra
.671 .811 .951 r
.3329 .463 .33648 .4654 .34204 .46458 .33853 .46097 Metetra
.63 .722 .914 r
.33853 .46097 .34204 .46458 .34758 .46423 .34414 .45957 Metetra
.58 .648 .882 r
.34414 .45957 .34758 .46423 .35315 .46392 .34973 .45893 Metetra
.537 .614 .877 r
.34973 .45893 .35315 .46392 .35876 .46297 .3553 .45888 Metetra
.509 .65 .921 r
.3553 .45888 .35876 .46297 .36445 .46072 .36088 .45892 Metetra
.476 .796 .999 r
.36088 .45892 .36445 .46072 .37023 .45681 .36651 .45824 Metetra
.36651 .45824 .37023 .45681 .37608 .4515 .37223 .45606 Metetra
.37223 .45606 .37608 .4515 .38194 .44587 .37805 .45194 Metetra
.37805 .45194 .38194 .44587 .38774 .44157 .38395 .44622 Metetra
.38395 .44622 .38774 .44157 .39343 .4403 .38986 .44007 Metetra
.822 .961 .9 r
.38986 .44007 .39343 .4403 .39898 .44305 .39571 .43532 Metetra
.625 .569 .772 r
.39571 .43532 .39898 .44305 .40442 .44938 .40144 .43374 Metetra
.49 .389 .667 r
.40144 .43374 .40442 .44938 .40985 .45716 .40704 .43631 Metetra
.42 .313 .626 r
.40704 .43631 .40985 .45716 .41539 .46295 .41254 .44247 Metetra
.379 .285 .622 r
.41254 .44247 .41539 .46295 .42115 .46324 .41803 .44999 Metetra
.351 .317 .68 r
.41803 .44999 .42115 .46324 .42715 .45611 .42364 .45544 Metetra
.111 .653 .845 r
.42364 .45544 .42715 .45611 .43332 .44265 .42944 .45556 Metetra
.25 0 .263 r
.42944 .45556 .43332 .44265 .43952 .42709 .43545 .44879 Metetra
.226 0 .334 r
.43545 .44879 .43952 .42709 .44558 .41554 .4416 .43631 Metetra
.137 0 .295 r
.4416 .43631 .44558 .41554 .4514 .41369 .44777 .42196 Metetra
.44777 .42196 .4514 .41369 .45698 .42432 .45384 .41073 Metetra
.65 .51 .679 r
.45384 .41073 .45698 .42432 .4624 .44568 .45974 .40681 Metetra
.505 .337 .587 r
.45974 .40681 .4624 .44568 .46785 .47121 .46548 .41165 Metetra
.471 .297 .563 r
.46548 .41165 .46785 .47121 .4735 .49128 .47115 .42323 Metetra
.47 .293 .558 r
.47115 .42323 .4735 .49128 .47943 .49698 .47686 .4366 Metetra
.491 .312 .566 r
.47686 .4366 .47943 .49698 .48563 .48457 .48269 .44579 Metetra
.549 .371 .592 r
.48269 .44579 .48563 .48457 .49194 .45799 .48867 .44646 Metetra
.741 .584 .679 r
.48867 .44646 .49194 .45799 .4982 .42755 .49475 .4379 Metetra
.49475 .4379 .4982 .42755 .50432 .4056 .50087 .42329 Metetra
.015 0 .23 r
.50087 .42329 .50432 .4056 .5103 .40151 .50696 .40791 Metetra
.50696 .40791 .5103 .40151 .51622 .41821 .513 .39652 Metetra
.634 .462 .633 r
.513 .39652 .51622 .41821 .52222 .45077 .51901 .39134 Metetra
.552 .36 .573 r
.51901 .39134 .52222 .45077 .52836 .48733 .52501 .39144 Metetra
.542 .342 .559 r
.52501 .39144 .52836 .48733 .53463 .51304 .53104 .3938 Metetra
.547 .342 .555 r
.53104 .3938 .53463 .51304 .54091 .51639 .5371 .39523 Metetra
.554 .348 .555 r
.5371 .39523 .54091 .51639 .54706 .49503 .54317 .39423 Metetra
.56 .355 .56 r
.54317 .39423 .54706 .49503 .55301 .45718 .54925 .39173 Metetra
.561 .364 .571 r
.54925 .39173 .55301 .45718 .55881 .41738 .55535 .3902 Metetra
.535 .379 .616 r
.55535 .3902 .55881 .41738 .56464 .38983 .5615 .39178 Metetra
.686 .197 .082 r
.5615 .39178 .56464 .38983 .57068 .3831 .56771 .39666 Metetra
.638 .315 .408 r
.56771 .39666 .57068 .3831 .57706 .39766 .57399 .40249 Metetra
.601 .173 .201 r
.57399 .40249 .57706 .39766 .58377 .42614 .58026 .40543 Metetra
.61 .45 .64 r
.58026 .40543 .58377 .42614 .59064 .45586 .58644 .40221 Metetra
.614 .409 .58 r
.58644 .40221 .59064 .45586 .59738 .47361 .59249 .39213 Metetra
.609 .396 .567 r
.59249 .39213 .59738 .47361 .60373 .47126 .59843 .37782 Metetra
.6 .387 .563 r
.59843 .37782 .60373 .47126 .60958 .44931 .60434 .36418 Metetra
.584 .376 .565 r
.60434 .36418 .60958 .44931 .61506 .4161 .61038 .35618 Metetra
.55 .358 .574 r
.61038 .35618 .61506 .4161 .62045 .38324 .61665 .35667 Metetra
.422 .302 .61 r
.61665 .35667 .62045 .38324 .62604 .36058 .6232 .36516 Metetra
.814 .421 .307 r
.6232 .36516 .62604 .36058 .63209 .353 .62994 .37797 Metetra
.66 .368 .467 r
.62994 .37797 .63209 .353 .63862 .35956 .63671 .38968 Metetra
.594 .32 .471 r
.63671 .38968 .63862 .35956 .64553 .37464 .64334 .39528 Metetra
.477 .201 .416 r
.64334 .39528 .64553 .37464 .65255 .39036 .64967 .39224 Metetra
.922 .961 .645 r
.64967 .39224 .65255 .39036 .65938 .39962 .65569 .38141 Metetra
.754 .554 .626 r
.65569 .38141 .65938 .39962 .66583 .39863 .66151 .36635 Metetra
.683 .475 .599 r
.66151 .36635 .66583 .39863 .67185 .38798 .66731 .35167 Metetra
.643 .442 .596 r
.66731 .35167 .67185 .38798 .67758 .37167 .67327 .34114 Metetra
.605 .422 .608 r
.67327 .34114 .67758 .37167 .68324 .35494 .6795 .33657 Metetra
.54 .413 .655 r
.6795 .33657 .68324 .35494 .68907 .34216 .68602 .33755 Metetra
.037 .346 .824 r
.68602 .33755 .68907 .34216 .6952 .33552 .69275 .34198 Metetra
.656 .256 .275 r
.69275 .34198 .6952 .33552 .70166 .33483 .69955 .34704 Metetra
.59 .256 .372 r
.69955 .34704 .70166 .33483 .70836 .3381 .7063 .35026 Metetra
.514 .188 .352 r
.7063 .35026 .70836 .3381 .71518 .34258 .71289 .35028 Metetra
.328 0 .196 r
.71289 .35028 .71518 .34258 .72196 .34581 .71931 .34706 Metetra
.65 .947 .717 r
.71931 .34706 .72196 .34581 .72861 .34631 .72559 .34157 Metetra
.812 .753 .797 r
.72559 .34157 .72861 .34631 .73508 .34386 .73182 .33529 Metetra
.732 .62 .734 r
.73182 .33529 .73508 .34386 .74142 .33924 .73809 .32953 Metetra
.687 .579 .728 r
.73809 .32953 .74142 .33924 .7477 .33367 .74445 .32514 Metetra
.656 .582 .759 r
.74445 .32514 .7477 .33367 .75399 .32836 .75093 .32233 Metetra
.623 .631 .838 r
.75093 .32233 .75399 .32836 .76037 .32409 .75752 .3208 Metetra
.549 .739 .964 r
.75752 .3208 .76037 .32409 .76685 .32111 .76418 .31999 Metetra
.34 .787 .957 r
.76418 .31999 .76685 .32111 .77344 .31925 .77087 .31931 Metetra
.173 .71 .777 r
.77087 .31931 .77344 .31925 .78009 .31806 .77756 .3183 Metetra
.233 .751 .772 r
.77756 .3183 .78009 .31806 .78678 .31706 .78422 .31675 Metetra
.433 .871 .9 r
.78422 .31675 .78678 .31706 .79347 .31587 .79086 .31465 Metetra
.604 .914 .979 r
.79086 .31465 .79347 .31587 .80015 .31428 .79747 .31217 Metetra
.674 .878 .975 r
.79747 .31217 .80015 .31428 .80681 .31226 .80409 .30948 Metetra
.689 .836 .954 r
.80409 .30948 .80681 .31226 .81345 .30991 .81072 .30679 Metetra
.684 .811 .943 r
.81072 .30679 .81345 .30991 .82009 .30737 .81737 .3042 Metetra
.673 .804 .945 r
.81737 .3042 .82009 .30737 .82675 .3048 .82405 .30177 Metetra
.66 .81 .955 r
.82405 .30177 .82675 .3048 .83342 .30229 .83076 .29949 Metetra
.648 .822 .967 r
.83076 .29949 .83342 .30229 .84012 .29989 .83749 .29731 Metetra
.638 .835 .976 r
.83749 .29731 .84012 .29989 .84684 .29759 .84425 .29518 Metetra
.631 .846 .982 r
.84425 .29518 .84684 .29759 .85359 .29538 .85102 .29305 Metetra
.63 .852 .984 r
.85102 .29305 .85359 .29538 .86036 .29322 .85781 .2909 Metetra
.632 .854 .984 r
.85781 .2909 .86036 .29322 .86715 .29106 .86461 .2887 Metetra
.646 .84 .975 r
.25701 .48621 .26075 .48806 .26623 .48623 .26249 .48439 Metetra
.647 .842 .975 r
.26249 .48439 .26623 .48623 .27172 .48441 .26799 .48255 Metetra
.648 .841 .975 r
.26799 .48255 .27172 .48441 .27721 .4826 .2735 .4807 Metetra
.648 .838 .973 r
.2735 .4807 .27721 .4826 .28272 .48084 .27901 .47885 Metetra
.647 .832 .972 r
.27901 .47885 .28272 .48084 .28823 .47913 .28454 .47703 Metetra
.644 .825 .97 r
.28454 .47703 .28823 .47913 .29375 .47746 .29008 .47527 Metetra
.638 .817 .969 r
.29008 .47527 .29375 .47746 .29928 .4758 .29562 .47358 Metetra
.631 .814 .97 r
.29562 .47358 .29928 .4758 .30483 .47408 .30117 .47196 Metetra
.625 .821 .975 r
.30117 .47196 .30483 .47408 .3104 .47221 .30673 .47037 Metetra
.623 .84 .983 r
.30673 .47037 .3104 .47221 .316 .47014 .31231 .4687 Metetra
.627 .87 .988 r
.31231 .4687 .316 .47014 .32162 .46783 .31791 .46684 Metetra
.638 .902 .984 r
.31791 .46684 .32162 .46783 .32726 .46539 .32355 .46468 Metetra
.659 .924 .975 r
.32355 .46468 .32726 .46539 .3329 .463 .32921 .46219 Metetra
.69 .924 .97 r
.32921 .46219 .3329 .463 .33853 .46097 .33489 .45948 Metetra
.706 .882 .962 r
.33489 .45948 .33853 .46097 .34414 .45957 .34058 .45683 Metetra
.682 .792 .933 r
.34058 .45683 .34414 .45957 .34973 .45893 .34626 .45465 Metetra
.623 .686 .888 r
.34626 .45465 .34973 .45893 .3553 .45888 .35189 .45336 Metetra
.554 .6 .854 r
.35189 .45336 .3553 .45888 .36088 .45892 .35749 .45317 Metetra
.486 .558 .854 r
.35749 .45317 .36088 .45892 .36651 .45824 .36306 .45389 Metetra
.416 .592 .916 r
.36306 .45389 .36651 .45824 .37223 .45606 .36864 .45482 Metetra
.247 .718 .943 r
.36864 .45482 .37223 .45606 .37805 .45194 .37428 .45485 Metetra
.057 0 0 r
.37428 .45485 .37805 .45194 .38395 .44622 .38003 .45281 Metetra
.063 0 0 r
.38003 .45281 .38395 .44622 .38986 .44007 .38591 .44799 Metetra
.38591 .44799 .38986 .44007 .39571 .43532 .3919 .44074 Metetra
.3919 .44074 .39571 .43532 .40144 .43374 .39791 .43265 Metetra
.876 .893 .841 r
.39791 .43265 .40144 .43374 .40704 .43631 .40384 .42631 Metetra
.621 .528 .727 r
.40384 .42631 .40704 .43631 .41254 .44247 .40961 .42446 Metetra
.447 .345 .646 r
.40961 .42446 .41254 .44247 .41803 .44999 .41519 .4289 Metetra
.29 .219 .601 r
.41519 .4289 .41803 .44999 .42364 .45544 .4206 .43935 Metetra
0 .035 .549 r
.4206 .43935 .42364 .45544 .42944 .45556 .42598 .45299 Metetra
.879 .443 .097 r
.42598 .45299 .42944 .45556 .43545 .44879 .43147 .46485 Metetra
.612 .307 .428 r
.43147 .46485 .43545 .44879 .4416 .43631 .43722 .46944 Metetra
.459 .211 .45 r
.43722 .46944 .4416 .43631 .44777 .42196 .44328 .46317 Metetra
.347 .128 .433 r
.44328 .46317 .44777 .42196 .45384 .41073 .44957 .44652 Metetra
.204 .007 .376 r
.44957 .44652 .45384 .41073 .45974 .40681 .45593 .42461 Metetra
0 0 .127 r
.45593 .42461 .45974 .40681 .46548 .41165 .46218 .40565 Metetra
.802 .689 .739 r
.46218 .40565 .46548 .41165 .47115 .42323 .46818 .39804 Metetra
.385 .274 .603 r
.46818 .39804 .47115 .42323 .47686 .4366 .4739 .40717 Metetra
0 0 .476 r
.4739 .40717 .47686 .4366 .48269 .44579 .47945 .43312 Metetra
.926 .619 .149 r
.47945 .43312 .48269 .44579 .48867 .44646 .48498 .46969 Metetra
.796 .501 .489 r
.48498 .46969 .48867 .44646 .49475 .4379 .49067 .50541 Metetra
.637 .383 .517 r
.49067 .50541 .49475 .4379 .50087 .42329 .49664 .52714 Metetra
.54 .309 .514 r
.49664 .52714 .50087 .42329 .50696 .40791 .50286 .52563 Metetra
.46 .247 .502 r
.50286 .52563 .50696 .40791 .513 .39652 .50921 .50043 Metetra
.374 .177 .48 r
.50921 .50043 .513 .39652 .51901 .39134 .51553 .46061 Metetra
.254 .076 .435 r
.51553 .46061 .51901 .39134 .52501 .39144 .52171 .42091 Metetra
.035 0 .304 r
.52171 .42091 .52501 .39144 .53104 .3938 .52779 .39564 Metetra
.52779 .39564 .53104 .3938 .5371 .39523 .53385 .39385 Metetra
.929 .556 .274 r
.53385 .39385 .5371 .39523 .54317 .39423 .54005 .41669 Metetra
.815 .514 .481 r
.54005 .41669 .54317 .39423 .54925 .39173 .54646 .45691 Metetra
.705 .438 .518 r
.54646 .45691 .54925 .39173 .55535 .3902 .55308 .50046 Metetra
.626 .379 .525 r
.55308 .50046 .55535 .3902 .5615 .39178 .55975 .5308 Metetra
.557 .326 .521 r
.55975 .5308 .5615 .39178 .56771 .39666 .56625 .53546 Metetra
.482 .267 .51 r
.56625 .53546 .56771 .39666 .57399 .40249 .57238 .51191 Metetra
.374 .18 .484 r
.57238 .51191 .57399 .40249 .58026 .40543 .57812 .46853 Metetra
.134 0 .399 r
.57812 .46853 .58026 .40543 .58644 .40221 .58363 .42019 Metetra
.758 .692 .148 r
.58363 .42019 .58644 .40221 .59249 .39213 .58916 .38159 Metetra
.851 .65 .63 r
.58916 .38159 .59249 .39213 .59843 .37782 .595 .36224 Metetra
.506 .404 .674 r
.595 .36224 .59843 .37782 .60434 .36418 .60129 .36439 Metetra
.904 .507 .246 r
.60129 .36439 .60434 .36418 .61038 .35618 .60805 .38331 Metetra
.742 .445 .48 r
.60805 .38331 .61038 .35618 .61665 .35667 .6151 .40928 Metetra
.655 .389 .505 r
.6151 .40928 .61665 .35667 .6232 .36516 .62215 .43094 Metetra
.583 .335 .507 r
.62215 .43094 .6232 .36516 .62994 .37797 .62889 .43936 Metetra
.495 .264 .492 r
.62889 .43936 .62994 .37797 .63671 .38968 .63512 .43136 Metetra
.312 .109 .435 r
.63512 .43136 .63671 .38968 .64334 .39528 .64087 .41008 Metetra
.64087 .41008 .64334 .39528 .64967 .39224 .64633 .38286 Metetra
.895 .679 .603 r
.64633 .38286 .64967 .39224 .65569 .38141 .6518 .35776 Metetra
.736 .526 .609 r
.6518 .35776 .65569 .38141 .66151 .36635 .65751 .34063 Metetra
.639 .455 .618 r
.65751 .34063 .66151 .36635 .66731 .35167 .66363 .33372 Metetra
.515 .398 .658 r
.66363 .33372 .66731 .35167 .67327 .34114 .67016 .33583 Metetra
0 .103 .656 r
.67016 .33583 .67327 .34114 .6795 .33657 .67698 .34333 Metetra
.726 .336 .311 r
.67698 .34333 .6795 .33657 .68602 .33755 .6839 .35176 Metetra
.627 .302 .4 r
.6839 .35176 .68602 .33755 .69275 .34198 .69073 .35737 Metetra
.538 .229 .392 r
.69073 .35737 .69275 .34198 .69955 .34704 .69735 .35817 Metetra
.371 .056 .294 r
.69735 .35817 .69955 .34704 .7063 .35026 .70373 .35419 Metetra
.70373 .35419 .7063 .35026 .71289 .35028 .70992 .34697 Metetra
.884 .821 .781 r
.70992 .34697 .71289 .35028 .71931 .34706 .71605 .3387 Metetra
.767 .641 .722 r
.71605 .3387 .71931 .34706 .72559 .34157 .72221 .33129 Metetra
.703 .579 .713 r
.72221 .33129 .72559 .34157 .73182 .33529 .72851 .3259 Metetra
.657 .567 .742 r
.72851 .3259 .73182 .33529 .73809 .32953 .73495 .32281 Metetra
.609 .602 .818 r
.73495 .32281 .73809 .32953 .74445 .32514 .74154 .32154 Metetra
.508 .699 .955 r
.74154 .32154 .74445 .32514 .75093 .32233 .74821 .32128 Metetra
.225 .718 .919 r
.74821 .32128 .75093 .32233 .75752 .3208 .75492 .32118 Metetra
.75492 .32118 .75752 .3208 .76418 .31999 .76162 .32059 Metetra
.76162 .32059 .76418 .31999 .77087 .31931 .76828 .31925 Metetra
.389 .849 .861 r
.76828 .31925 .77087 .31931 .77756 .3183 .7749 .31715 Metetra
.616 .922 .975 r
.7749 .31715 .77756 .3183 .78422 .31675 .78149 .31452 Metetra
.694 .875 .966 r
.78149 .31452 .78422 .31675 .79086 .31465 .78807 .31163 Metetra
.703 .823 .939 r
.78807 .31163 .79086 .31465 .79747 .31217 .79467 .30875 Metetra
.693 .794 .928 r
.79467 .30875 .79747 .31217 .80409 .30948 .8013 .30604 Metetra
.678 .788 .932 r
.8013 .30604 .80409 .30948 .81072 .30679 .80796 .30355 Metetra
.663 .796 .946 r
.80796 .30355 .81072 .30679 .81737 .3042 .81465 .30127 Metetra
.648 .812 .962 r
.81465 .30127 .81737 .3042 .82405 .30177 .82137 .29912 Metetra
.636 .829 .975 r
.82137 .29912 .82405 .30177 .83076 .29949 .82812 .29704 Metetra
.629 .842 .981 r
.82812 .29704 .83076 .29949 .83749 .29731 .83488 .29496 Metetra
.629 .849 .984 r
.83488 .29496 .83749 .29731 .84425 .29518 .84165 .29283 Metetra
.633 .851 .983 r
.84165 .29283 .84425 .29518 .85102 .29305 .84844 .29064 Metetra
.639 .85 .98 r
.84844 .29064 .85102 .29305 .85781 .2909 .85523 .2884 Metetra
.645 .847 .977 r
.85523 .2884 .85781 .2909 .86461 .2887 .86204 .28612 Metetra
.647 .827 .969 r
.25325 .48416 .25701 .48621 .26249 .48439 .25874 .48237 Metetra
.648 .83 .97 r
.25874 .48237 .26249 .48439 .26799 .48255 .26425 .48056 Metetra
.649 .832 .971 r
.26425 .48056 .26799 .48255 .2735 .4807 .26976 .47872 Metetra
.651 .834 .971 r
.26976 .47872 .2735 .4807 .27901 .47885 .27529 .47686 Metetra
.652 .834 .97 r
.27529 .47686 .27901 .47885 .28454 .47703 .28083 .47499 Metetra
.652 .831 .969 r
.28083 .47499 .28454 .47703 .29008 .47527 .28639 .47312 Metetra
.651 .823 .966 r
.28639 .47312 .29008 .47527 .29562 .47358 .29195 .47128 Metetra
.646 .812 .963 r
.29195 .47128 .29562 .47358 .30117 .47196 .29752 .46952 Metetra
.639 .801 .96 r
.29752 .46952 .30117 .47196 .30673 .47037 .30309 .46786 Metetra
.632 .795 .961 r
.30309 .46786 .30673 .47037 .31231 .4687 .30867 .46629 Metetra
.627 .801 .966 r
.30867 .46629 .31231 .4687 .31791 .46684 .31426 .46473 Metetra
.629 .824 .975 r
.31426 .46473 .31791 .46684 .32355 .46468 .31987 .46308 Metetra
.637 .862 .984 r
.31987 .46308 .32355 .46468 .32921 .46219 .32551 .46118 Metetra
.65 .905 .982 r
.32551 .46118 .32921 .46219 .33489 .45948 .33118 .4589 Metetra
.667 .934 .969 r
.33118 .4589 .33489 .45948 .34058 .45683 .33688 .45625 Metetra
.69 .938 .964 r
.33688 .45625 .34058 .45683 .34626 .45465 .34261 .45339 Metetra
.703 .899 .967 r
.34261 .45339 .34626 .45465 .35189 .45336 .34833 .45069 Metetra
.671 .796 .941 r
.34833 .45069 .35189 .45336 .35749 .45317 .35403 .44864 Metetra
.6 .665 .885 r
.35403 .44864 .35749 .45317 .36306 .45389 .35968 .44768 Metetra
.528 .563 .834 r
.35968 .44768 .36306 .45389 .36864 .45482 .36529 .44794 Metetra
.481 .515 .816 r
.36529 .44794 .36864 .45482 .37428 .45485 .37089 .449 Metetra
.472 .548 .853 r
.37089 .449 .37428 .45485 .38003 .45281 .37651 .4499 Metetra
.531 .739 .971 r
.37651 .4499 .38003 .45281 .38591 .44799 .38222 .44932 Metetra
.483 .892 .772 r
.38222 .44932 .38591 .44799 .3919 .44074 .38805 .44613 Metetra
.38805 .44613 .3919 .44074 .39791 .43265 .39401 .44 Metetra
.39401 .44 .39791 .43265 .40384 .42631 .40005 .43196 Metetra
.40005 .43196 .40384 .42631 .40961 .42446 .40605 .42432 Metetra
.788 .971 .915 r
.40605 .42432 .40961 .42446 .41519 .4289 .41194 .42 Metetra
.489 .469 .762 r
.41194 .42 .41519 .4289 .4206 .43935 .41764 .42139 Metetra
.338 .27 .631 r
.41764 .42139 .4206 .43935 .42598 .45299 .42317 .42904 Metetra
.292 .209 .588 r
.42317 .42904 .42598 .45299 .43147 .46485 .42862 .44084 Metetra
.307 .221 .592 r
.42862 .44084 .43147 .46485 .43722 .46944 .43415 .45219 Metetra
.414 .329 .65 r
.43415 .45219 .43722 .46944 .44328 .46317 .43989 .45748 Metetra
.751 .683 .785 r
.43989 .45748 .44328 .46317 .44957 .44652 .44592 .45265 Metetra
.882 .901 .486 r
.44592 .45265 .44957 .44652 .45593 .42461 .45218 .43758 Metetra
.45218 .43758 .45593 .42461 .46218 .40565 .45851 .41704 Metetra
.45851 .41704 .46218 .40565 .46818 .39804 .46474 .39907 Metetra
.891 .987 .793 r
.46474 .39907 .46818 .39804 .4739 .40717 .47075 .39178 Metetra
.279 .249 .645 r
.47075 .39178 .4739 .40717 .47945 .43312 .47652 .39986 Metetra
.169 .099 .528 r
.47652 .39986 .47945 .43312 .48498 .46969 .48215 .42214 Metetra
.216 .115 .518 r
.48215 .42214 .48498 .46969 .49067 .50541 .48781 .45113 Metetra
.334 .198 .542 r
.48781 .45113 .49067 .50541 .49664 .52714 .49365 .47508 Metetra
.492 .318 .572 r
.49365 .47508 .49664 .52714 .50286 .52563 .49972 .48281 Metetra
.649 .442 .59 r
.49972 .48281 .50286 .52563 .50921 .50043 .50596 .46944 Metetra
.767 .541 .591 r
.50596 .46944 .50921 .50043 .51553 .46061 .51223 .43953 Metetra
.829 .599 .59 r
.51223 .43953 .51553 .46061 .52171 .42091 .51843 .40513 Metetra
.829 .611 .609 r
.51843 .40513 .52171 .42091 .52779 .39564 .52451 .38002 Metetra
.674 .513 .66 r
.52451 .38002 .52779 .39564 .53385 .39385 .53055 .37391 Metetra
.127 .115 .573 r
.53055 .37391 .53385 .39385 .54005 .41669 .53667 .38884 Metetra
0 0 .439 r
.53667 .38884 .54005 .41669 .54646 .45691 .54295 .41839 Metetra
.078 .03 .495 r
.54295 .41839 .54646 .45691 .55308 .50046 .54937 .44978 Metetra
.381 .238 .558 r
.54937 .44978 .55308 .50046 .55975 .5308 .55583 .46884 Metetra
.565 .369 .573 r
.55583 .46884 .55975 .5308 .56625 .53546 .56213 .46647 Metetra
.653 .433 .572 r
.56213 .46647 .56625 .53546 .57238 .51191 .56817 .44321 Metetra
.691 .461 .57 r
.56817 .44321 .57238 .51191 .57812 .46853 .57397 .40854 Metetra
.7 .471 .572 r
.57397 .40854 .57812 .46853 .58363 .42019 .57969 .37566 Metetra
.681 .463 .584 r
.57969 .37566 .58363 .42019 .58916 .38159 .58554 .35552 Metetra
.59 .42 .619 r
.58554 .35552 .58916 .38159 .595 .36224 .59171 .35292 Metetra
0 0 .508 r
.59171 .35292 .595 .36224 .60129 .36439 .59824 .36569 Metetra
.901 .516 .286 r
.59824 .36569 .60129 .36439 .60805 .38331 .60504 .38616 Metetra
.875 .489 .304 r
.60504 .38616 .60805 .38331 .6151 .40928 .61188 .40438 Metetra
0 .016 .574 r
.61188 .40438 .6151 .40928 .62215 .43094 .61851 .41221 Metetra
.651 .486 .647 r
.61851 .41221 .62215 .43094 .62889 .43936 .62478 .40648 Metetra
.693 .483 .597 r
.62478 .40648 .62889 .43936 .63512 .43136 .63069 .38984 Metetra
.693 .473 .585 r
.63069 .38984 .63512 .43136 .64087 .41008 .6364 .36871 Metetra
.681 .464 .586 r
.6364 .36871 .64087 .41008 .64633 .38286 .64213 .35005 Metetra
.658 .456 .6 r
.64213 .35005 .64633 .38286 .6518 .35776 .6481 .33863 Metetra
.606 .452 .648 r
.6481 .33863 .6518 .35776 .65751 .34063 .6544 .33586 Metetra
.082 .371 .836 r
.6544 .33586 .65751 .34063 .66363 .33372 .66101 .33996 Metetra
.71 .312 .292 r
.66101 .33996 .66363 .33372 .67016 .33583 .6678 .34724 Metetra
.655 .31 .376 r
.6678 .34724 .67016 .33583 .67698 .34333 .6746 .35371 Metetra
.582 .232 .341 r
.6746 .35371 .67698 .34333 .6839 .35176 .68127 .3565 Metetra
.295 0 .029 r
.68127 .3565 .6839 .35176 .69073 .35737 .68774 .35465 Metetra
.836 .855 .859 r
.68774 .35465 .69073 .35737 .69735 .35817 .69403 .349 Metetra
.758 .623 .711 r
.69403 .349 .69735 .35817 .70373 .35419 .70021 .34146 Metetra
.714 .56 .678 r
.70021 .34146 .70373 .35419 .70992 .34697 .70639 .33409 Metetra
.686 .542 .684 r
.70639 .33409 .70992 .34697 .71605 .3387 .71267 .32836 Metetra
.661 .555 .724 r
.71267 .32836 .71605 .3387 .72221 .33129 .71908 .32483 Metetra
.624 .618 .824 r
.71908 .32483 .72221 .33129 .72851 .3259 .72562 .32327 Metetra
.467 .748 .99 r
.72562 .32327 .72851 .3259 .73495 .32281 .73226 .3229 Metetra
.006 0 0 r
.73226 .3229 .73495 .32281 .74154 .32154 .73894 .32283 Metetra
.144 0 0 r
.73894 .32283 .74154 .32154 .74821 .32128 .74562 .32237 Metetra
.74562 .32237 .74821 .32128 .75492 .32118 .75227 .32112 Metetra
.386 .847 .862 r
.75227 .32112 .75492 .32118 .76162 .32059 .75888 .31906 Metetra
.648 .908 .981 r
.75888 .31906 .76162 .32059 .76828 .31925 .76545 .3164 Metetra
.707 .835 .944 r
.76545 .3164 .76828 .31925 .7749 .31715 .77202 .31346 Metetra
.706 .781 .91 r
.77202 .31346 .7749 .31715 .78149 .31452 .7786 .31051 Metetra
.694 .759 .902 r
.7786 .31051 .78149 .31452 .78807 .31163 .78521 .30775 Metetra
.68 .761 .913 r
.78521 .30775 .78807 .31163 .79467 .30875 .79185 .30525 Metetra
.664 .779 .934 r
.79185 .30525 .79467 .30875 .8013 .30604 .79853 .30298 Metetra
.648 .803 .957 r
.79853 .30298 .8013 .30604 .80796 .30355 .80523 .30086 Metetra
.635 .825 .974 r
.80523 .30086 .80796 .30355 .81465 .30127 .81196 .29881 Metetra
.628 .84 .982 r
.81196 .29881 .81465 .30127 .82137 .29912 .81871 .29675 Metetra
.629 .847 .983 r
.81871 .29675 .82137 .29912 .82812 .29704 .82547 .29463 Metetra
.635 .848 .981 r
.82547 .29463 .82812 .29704 .83488 .29496 .83223 .29245 Metetra
.644 .844 .977 r
.83223 .29245 .83488 .29496 .84165 .29283 .83901 .2902 Metetra
.65 .838 .973 r
.83901 .2902 .84165 .29283 .84844 .29064 .8458 .2879 Metetra
.654 .833 .969 r
.8458 .2879 .84844 .29064 .85523 .2884 .8526 .28558 Metetra
.656 .828 .966 r
.8526 .28558 .85523 .2884 .86204 .28612 .85942 .28325 Metetra
.651 .811 .961 r
.2495 .48187 .25325 .48416 .25874 .48237 .255 .48009 Metetra
.65 .813 .961 r
.255 .48009 .25874 .48237 .26425 .48056 .26051 .47831 Metetra
.65 .815 .962 r
.26051 .47831 .26425 .48056 .26976 .47872 .26603 .47651 Metetra
.651 .818 .964 r
.26603 .47651 .26976 .47872 .27529 .47686 .27157 .47469 Metetra
.652 .822 .965 r
.27157 .47469 .27529 .47686 .28083 .47499 .27711 .47285 Metetra
.655 .825 .965 r
.27711 .47285 .28083 .47499 .28639 .47312 .28268 .47096 Metetra
.657 .825 .964 r
.28268 .47096 .28639 .47312 .29195 .47128 .28825 .46905 Metetra
.659 .82 .961 r
.28825 .46905 .29195 .47128 .29752 .46952 .29384 .46713 Metetra
.658 .809 .956 r
.29384 .46713 .29752 .46952 .30309 .46786 .29944 .46524 Metetra
.653 .793 .949 r
.29944 .46524 .30309 .46786 .30867 .46629 .30504 .46344 Metetra
.644 .776 .944 r
.30504 .46344 .30867 .46629 .31426 .46473 .31064 .46178 Metetra
.633 .766 .943 r
.31064 .46178 .31426 .46473 .31987 .46308 .31625 .46025 Metetra
.623 .773 .952 r
.31625 .46025 .31987 .46308 .32551 .46118 .32187 .45882 Metetra
.616 .804 .972 r
.32187 .45882 .32551 .46118 .33118 .4589 .3275 .45733 Metetra
.612 .86 .99 r
.3275 .45733 .33118 .4589 .33688 .45625 .33316 .45561 Metetra
.605 .915 .978 r
.33316 .45561 .33688 .45625 .34261 .45339 .33886 .45344 Metetra
.611 .945 .938 r
.33886 .45344 .34261 .45339 .34833 .45069 .3446 .45074 Metetra
.67 .962 .937 r
.3446 .45074 .34833 .45069 .35403 .44864 .35037 .44761 Metetra
.738 .919 .954 r
.35037 .44761 .35403 .44864 .35968 .44768 .35615 .4444 Metetra
.712 .768 .896 r
.35615 .4444 .35968 .44768 .36529 .44794 .36191 .44168 Metetra
.634 .613 .812 r
.36191 .44168 .36529 .44794 .37089 .449 .36764 .44006 Metetra
.561 .511 .756 r
.36764 .44006 .37089 .449 .37651 .4499 .3733 .43994 Metetra
.502 .457 .74 r
.3733 .43994 .37651 .4499 .38222 .44932 .37892 .44122 Metetra
.441 .46 .783 r
.37892 .44122 .38222 .44932 .38805 .44613 .38454 .44315 Metetra
.241 .594 .949 r
.38454 .44315 .38805 .44613 .39401 .44 .39021 .44442 Metetra
.348 0 .032 r
.39021 .44442 .39401 .44 .40005 .43196 .39598 .44352 Metetra
.342 .025 .275 r
.39598 .44352 .40005 .43196 .40605 .42432 .4019 .4394 Metetra
.269 0 .293 r
.4019 .4394 .40605 .42432 .41194 .42 .40794 .43207 Metetra
.058 0 .157 r
.40794 .43207 .41194 .42 .41764 .42139 .41403 .42294 Metetra
.915 .979 .761 r
.41403 .42294 .41764 .42139 .42317 .42904 .42008 .41461 Metetra
.658 .509 .671 r
.42008 .41461 .42317 .42904 .42862 .44084 .42601 .40999 Metetra
.538 .372 .603 r
.42601 .40999 .42862 .44084 .43415 .45219 .43177 .41126 Metetra
.473 .31 .579 r
.43177 .41126 .43415 .45219 .43989 .45748 .43738 .41881 Metetra
.409 .265 .572 r
.43738 .41881 .43989 .45748 .44592 .45265 .44294 .43069 Metetra
.248 .187 .589 r
.44294 .43069 .44592 .45265 .45218 .43758 .44855 .4429 Metetra
.735 .348 .318 r
.44855 .4429 .45218 .43758 .45851 .41704 .45432 .45052 Metetra
.526 .267 .466 r
.45432 .45052 .45851 .41704 .46474 .39907 .46031 .44963 Metetra
.453 .221 .471 r
.46031 .44963 .46474 .39907 .47075 .39178 .46649 .43907 Metetra
.365 .147 .445 r
.46649 .43907 .47075 .39178 .47652 .39986 .47277 .42126 Metetra
0 0 .22 r
.47277 .42126 .47652 .39986 .48215 .42214 .47902 .40153 Metetra
.738 .537 .622 r
.47902 .40153 .48215 .42214 .48781 .45113 .48518 .38624 Metetra
.582 .379 .571 r
.48518 .38624 .48781 .45113 .49365 .47508 .49119 .3806 Metetra
.523 .326 .555 r
.49119 .3806 .49365 .47508 .49972 .48281 .4971 .38692 Metetra
.476 .29 .548 r
.4971 .38692 .49972 .48281 .50596 .46944 .50298 .40377 Metetra
.394 .236 .546 r
.50298 .40377 .50596 .46944 .51223 .43953 .50892 .42612 Metetra
0 0 .303 r
.50892 .42612 .51223 .43953 .51843 .40513 .51497 .44667 Metetra
.622 .356 .495 r
.51497 .44667 .51843 .40513 .52451 .38002 .52113 .4581 Metetra
.532 .297 .504 r
.52113 .4581 .52451 .38002 .53055 .37391 .52735 .45578 Metetra
.464 .244 .493 r
.52735 .45578 .53055 .37391 .53667 .38884 .53354 .43965 Metetra
.301 .102 .435 r
.53354 .43965 .53667 .38884 .54295 .41839 .53965 .41434 Metetra
.944 .739 .596 r
.53965 .41434 .54295 .41839 .54937 .44978 .54567 .38739 Metetra
.652 .434 .574 r
.54567 .38739 .54937 .44978 .55583 .46884 .55166 .36658 Metetra
.581 .37 .559 r
.55166 .36658 .55583 .46884 .56213 .46647 .55772 .35745 Metetra
.534 .333 .554 r
.55772 .35745 .56213 .46647 .56817 .44321 .56392 .36184 Metetra
.472 .291 .554 r
.56392 .36184 .56817 .44321 .57397 .40854 .57033 .37741 Metetra
.196 .129 .549 r
.57033 .37741 .57397 .40854 .57969 .37566 .5769 .39832 Metetra
.721 .419 .467 r
.5769 .39832 .57969 .37566 .58554 .35552 .58354 .41696 Metetra
.59 .339 .504 r
.58354 .41696 .58554 .35552 .59171 .35292 .59008 .42647 Metetra
.526 .291 .502 r
.59008 .42647 .59171 .35292 .59824 .36569 .59641 .42323 Metetra
.436 .213 .477 r
.59641 .42323 .59824 .36569 .60504 .38616 .60246 .40813 Metetra
0 0 .25 r
.60246 .40813 .60504 .38616 .61188 .40438 .60829 .38598 Metetra
.802 .585 .608 r
.60829 .38598 .61188 .40438 .61851 .41221 .61405 .36335 Metetra
.657 .442 .581 r
.61405 .36335 .61851 .41221 .62478 .40648 .61989 .34615 Metetra
.597 .392 .574 r
.61989 .34615 .62478 .40648 .63069 .38984 .62598 .33778 Metetra
.546 .358 .578 r
.62598 .33778 .63069 .38984 .6364 .36871 .63236 .33856 Metetra
.454 .316 .603 r
.63236 .33856 .6364 .36871 .64213 .35005 .63901 .34598 Metetra
.638 .183 0 r
.63901 .34598 .64213 .35005 .6481 .33863 .64581 .35591 Metetra
.65 .337 .428 r
.64581 .35591 .6481 .33863 .6544 .33586 .6526 .36404 Metetra
.571 .295 .459 r
.6526 .36404 .6544 .33586 .66101 .33996 .65924 .36733 Metetra
.5 .236 .445 r
.65924 .36733 .66101 .33996 .6678 .34724 .66566 .3648 Metetra
.352 .085 .362 r
.66566 .3648 .6678 .34724 .6746 .35371 .67188 .3575 Metetra
.672 .849 .441 r
.67188 .3575 .6746 .35371 .68127 .3565 .67797 .34777 Metetra
.796 .648 .699 r
.67797 .34777 .68127 .3565 .68774 .35465 .68405 .3382 Metetra
.686 .518 .653 r
.68405 .3382 .68774 .35465 .69403 .349 .69023 .33075 Metetra
.634 .476 .651 r
.69023 .33075 .69403 .349 .70021 .34146 .69656 .32629 Metetra
.594 .467 .677 r
.69656 .32629 .70021 .34146 .70639 .33409 .70306 .32465 Metetra
.546 .503 .759 r
.70306 .32465 .70639 .33409 .71267 .32836 .70969 .3249 Metetra
.367 .634 .957 r
.70969 .3249 .71267 .32836 .71908 .32483 .71638 .32583 Metetra
.252 0 0 r
.71638 .32583 .71908 .32483 .72562 .32327 .72308 .32638 Metetra
.323 0 0 r
.72308 .32638 .72562 .32327 .73226 .3229 .72974 .32588 Metetra
.182 0 0 r
.72974 .32588 .73226 .3229 .73894 .32283 .73633 .32417 Metetra
.73633 .32417 .73894 .32283 .74562 .32237 .74288 .32147 Metetra
.666 .95 .955 r
.74288 .32147 .74562 .32237 .75227 .32112 .7494 .3182 Metetra
.735 .837 .928 r
.7494 .3182 .75227 .32112 .75888 .31906 .75592 .31481 Metetra
.714 .752 .882 r
.75592 .31481 .75888 .31906 .76545 .3164 .76247 .31163 Metetra
.69 .717 .87 r
.76247 .31163 .76545 .3164 .77202 .31346 .76906 .30882 Metetra
.671 .717 .883 r
.76906 .30882 .77202 .31346 .7786 .31051 .77569 .30642 Metetra
.656 .74 .911 r
.77569 .30642 .7786 .31051 .78521 .30775 .78236 .3043 Metetra
.642 .774 .944 r
.78236 .3043 .78521 .30775 .79185 .30525 .78907 .30235 Metetra
.63 .808 .968 r
.78907 .30235 .79185 .30525 .79853 .30298 .79579 .30042 Metetra
.625 .831 .98 r
.79579 .30042 .79853 .30298 .80523 .30086 .80252 .29844 Metetra
.629 .843 .982 r
.80252 .29844 .80523 .30086 .81196 .29881 .80926 .29634 Metetra
.639 .845 .979 r
.80926 .29634 .81196 .29881 .81871 .29675 .81601 .29414 Metetra
.65 .839 .973 r
.81601 .29414 .81871 .29675 .82547 .29463 .82277 .29186 Metetra
.657 .83 .966 r
.82277 .29186 .82547 .29463 .83223 .29245 .82954 .28952 Metetra
.661 .821 .961 r
.82954 .28952 .83223 .29245 .83901 .2902 .83632 .28716 Metetra
.662 .815 .957 r
.83632 .28716 .83901 .2902 .8458 .2879 .84312 .28481 Metetra
.661 .811 .955 r
.84312 .28481 .8458 .2879 .8526 .28558 .84993 .28246 Metetra
.66 .81 .955 r
.84993 .28246 .8526 .28558 .85942 .28325 .85676 .28014 Metetra
.654 .796 .95 r
.24576 .47934 .2495 .48187 .255 .48009 .25126 .47755 Metetra
.654 .795 .95 r
.25126 .47755 .255 .48009 .26051 .47831 .25678 .47576 Metetra
.653 .796 .951 r
.25678 .47576 .26051 .47831 .26603 .47651 .26231 .47398 Metetra
.653 .797 .952 r
.26231 .47398 .26603 .47651 .27157 .47469 .26785 .47219 Metetra
.653 .799 .953 r
.26785 .47219 .27157 .47469 .27711 .47285 .2734 .47039 Metetra
.655 .803 .954 r
.2734 .47039 .27711 .47285 .28268 .47096 .27897 .46855 Metetra
.658 .808 .955 r
.27897 .46855 .28268 .47096 .28825 .46905 .28455 .46667 Metetra
.662 .811 .955 r
.28455 .46667 .28825 .46905 .29384 .46713 .29015 .46472 Metetra
.666 .811 .953 r
.29015 .46472 .29384 .46713 .29944 .46524 .29576 .46274 Metetra
.666 .805 .949 r
.29576 .46274 .29944 .46524 .30504 .46344 .30138 .46076 Metetra
.661 .792 .944 r
.30138 .46076 .30504 .46344 .31064 .46178 .30701 .45886 Metetra
.649 .774 .939 r
.30701 .45886 .31064 .46178 .31625 .46025 .31264 .45712 Metetra
.632 .756 .937 r
.31264 .45712 .31625 .46025 .32187 .45882 .31827 .45562 Metetra
.613 .746 .94 r
.31827 .45562 .32187 .45882 .3275 .45733 .3239 .45434 Metetra
.601 .756 .953 r
.3239 .45434 .3275 .45733 .33316 .45561 .32953 .45315 Metetra
.604 .795 .973 r
.32953 .45315 .33316 .45561 .33886 .45344 .33519 .45179 Metetra
.63 .86 .986 r
.33519 .45179 .33886 .45344 .3446 .45074 .34089 .44992 Metetra
.68 .924 .972 r
.34089 .44992 .3446 .45074 .35037 .44761 .34665 .44724 Metetra
.742 .956 .943 r
.34665 .44724 .35037 .44761 .35615 .4444 .35246 .44369 Metetra
.791 .937 .925 r
.35246 .44369 .35615 .4444 .36191 .44168 .35831 .43961 Metetra
.779 .85 .905 r
.35831 .43961 .36191 .44168 .36764 .44006 .36415 .43577 Metetra
.691 .711 .864 r
.36415 .43577 .36764 .44006 .3733 .43994 .36993 .43326 Metetra
.558 .564 .816 r
.36993 .43326 .3733 .43994 .37892 .44122 .37562 .43308 Metetra
.396 .432 .78 r
.37562 .43308 .37892 .44122 .38454 .44315 .3812 .43563 Metetra
.176 .314 .766 r
.3812 .43563 .38454 .44315 .39021 .44442 .38673 .44022 Metetra
0 .176 .696 r
.38673 .44022 .39021 .44442 .39598 .44352 .39229 .44492 Metetra
.518 0 0 r
.39229 .44492 .39598 .44352 .4019 .4394 .39798 .44697 Metetra
.283 0 .147 r
.39798 .44697 .4019 .4394 .40794 .43207 .4039 .4438 Metetra
.018 0 .129 r
.4039 .4438 .40794 .43207 .41403 .42294 .41004 .43444 Metetra
.41004 .43444 .41403 .42294 .42008 .41461 .41632 .42058 Metetra
.869 .908 .499 r
.41632 .42058 .42008 .41461 .42601 .40999 .42257 .40666 Metetra
.861 .78 .77 r
.42257 .40666 .42601 .40999 .43177 .41126 .42861 .39862 Metetra
.445 .386 .698 r
.42861 .39862 .43177 .41126 .43738 .41881 .43433 .40173 Metetra
0 0 .494 r
.43433 .40173 .43738 .41881 .44294 .43069 .43974 .41815 Metetra
.849 .55 .016 r
.43974 .41815 .44294 .43069 .44855 .4429 .44496 .44518 Metetra
.911 .577 .397 r
.44496 .44518 .44855 .4429 .45432 .45052 .45024 .47486 Metetra
.729 .437 .484 r
.45024 .47486 .45432 .45052 .46031 .44963 .45583 .49599 Metetra
.558 .306 .489 r
.45583 .49599 .46031 .44963 .46649 .43907 .46187 .49863 Metetra
.396 .179 .463 r
.46187 .49863 .46649 .43907 .47277 .42126 .46831 .47955 Metetra
.223 .042 .411 r
.46831 .47955 .47277 .42126 .47902 .40153 .47494 .44507 Metetra
.032 0 .326 r
.47494 .44507 .47902 .40153 .48518 .38624 .48148 .40907 Metetra
0 0 .219 r
.48148 .40907 .48518 .38624 .49119 .3806 .48774 .38729 Metetra
.633 .247 .295 r
.48774 .38729 .49119 .3806 .4971 .38692 .49369 .39124 Metetra
.904 .572 .406 r
.49369 .39124 .4971 .38692 .50298 .40377 .49945 .42402 Metetra
.855 .555 .48 r
.49945 .42402 .50298 .40377 .50892 .42612 .50523 .47819 Metetra
.765 .487 .513 r
.50523 .47819 .50892 .42612 .51497 .44667 .51122 .53649 Metetra
.665 .408 .523 r
.51122 .53649 .51497 .44667 .52113 .4581 .51749 .57677 Metetra
.557 .323 .516 r
.51749 .57677 .52113 .4581 .52735 .45578 .52394 .58166 Metetra
.433 .225 .496 r
.52394 .58166 .52735 .45578 .53354 .43965 .53037 .54821 Metetra
.279 .103 .455 r
.53037 .54821 .53354 .43965 .53965 .41434 .53661 .48985 Metetra
.081 0 .381 r
.53661 .48985 .53965 .41434 .54567 .38739 .54264 .42899 Metetra
0 0 .279 r
.54264 .42899 .54567 .38739 .55166 .36658 .54859 .38635 Metetra
.208 0 .323 r
.54859 .38635 .55166 .36658 .55772 .35745 .55467 .37389 Metetra
.753 .437 .449 r
.55467 .37389 .55772 .35745 .56392 .36184 .56108 .39233 Metetra
.781 .486 .489 r
.56108 .39233 .56392 .36184 .57033 .37741 .56786 .43186 Metetra
.724 .449 .509 r
.56786 .43186 .57033 .37741 .5769 .39832 .57487 .47522 Metetra
.646 .389 .515 r
.57487 .47522 .5769 .39832 .58354 .41696 .58182 .50371 Metetra
.547 .31 .508 r
.58182 .50371 .58354 .41696 .59008 .42647 .58839 .50493 Metetra
.398 .191 .478 r
.58839 .50493 .59008 .42647 .59641 .42323 .59439 .47827 Metetra
.106 0 .382 r
.59439 .47827 .59641 .42323 .60246 .40813 .59991 .43407 Metetra
.59991 .43407 .60246 .40813 .60829 .38598 .60522 .38752 Metetra
.995 .787 .511 r
.60522 .38752 .60829 .38598 .61405 .36335 .61066 .35176 Metetra
.834 .635 .633 r
.61066 .35176 .61405 .36335 .61989 .34615 .6165 .33386 Metetra
.553 .464 .709 r
.6165 .33386 .61989 .34615 .62598 .33778 .62284 .33401 Metetra
.794 .348 0 r
.62284 .33401 .62598 .33778 .63236 .33856 .62964 .34693 Metetra
.811 .452 .377 r
.62964 .34693 .63236 .33856 .63901 .34598 .63666 .36438 Metetra
.704 .389 .441 r
.63666 .36438 .63901 .34598 .64581 .35591 .64365 .37822 Metetra
.596 .303 .442 r
.64365 .37822 .64581 .35591 .6526 .36404 .65037 .38317 Metetra
.422 .147 .389 r
.65037 .38317 .6526 .36404 .65924 .36733 .65672 .37811 Metetra
0 0 .101 r
.65672 .37811 .65924 .36733 .66566 .3648 .66275 .36564 Metetra
.987 .897 .62 r
.66275 .36564 .66566 .3648 .67188 .3575 .66863 .35026 Metetra
.867 .698 .671 r
.66863 .35026 .67188 .3575 .67797 .34777 .67453 .33633 Metetra
.761 .598 .676 r
.67453 .33633 .67797 .34777 .68405 .3382 .68061 .32665 Metetra
.675 .548 .703 r
.68061 .32665 .68405 .3382 .69023 .33075 .68693 .32205 Metetra
.57 .531 .772 r
.68693 .32205 .69023 .33075 .69656 .32629 .69349 .32165 Metetra
.327 .537 .904 r
.69349 .32165 .69656 .32629 .70306 .32465 .7002 .32364 Metetra
.238 0 0 r
.7002 .32364 .70306 .32465 .70969 .3249 .70696 .32604 Metetra
.368 0 0 r
.70696 .32604 .70969 .3249 .71638 .32583 .7137 .32737 Metetra
.177 0 0 r
.7137 .32737 .71638 .32583 .72308 .32638 .72036 .32692 Metetra
.302 .792 .756 r
.72036 .32692 .72308 .32638 .72974 .32588 .72692 .3247 Metetra
.702 .944 .959 r
.72692 .3247 .72974 .32588 .73633 .32417 .73342 .32127 Metetra
.764 .845 .912 r
.73342 .32127 .73633 .32417 .74288 .32147 .7399 .31734 Metetra
.744 .768 .872 r
.7399 .31734 .74288 .32147 .7494 .3182 .74639 .31351 Metetra
.716 .731 .863 r
.74639 .31351 .7494 .3182 .75592 .31481 .75293 .31017 Metetra
.688 .724 .877 r
.75293 .31017 .75592 .31481 .76247 .31163 .75952 .30743 Metetra
.663 .737 .905 r
.75952 .30743 .76247 .31163 .76906 .30882 .76616 .3052 Metetra
.64 .762 .937 r
.76616 .3052 .76906 .30882 .77569 .30642 .77285 .30329 Metetra
.624 .79 .961 r
.77285 .30329 .77569 .30642 .78236 .3043 .77956 .3015 Metetra
.62 .811 .974 r
.77956 .3015 .78236 .3043 .78907 .30235 .78629 .29966 Metetra
.627 .823 .976 r
.78629 .29966 .78907 .30235 .79579 .30042 .79302 .29768 Metetra
.641 .825 .971 r
.79302 .29768 .79579 .30042 .80252 .29844 .79976 .29555 Metetra
.654 .821 .963 r
.79976 .29555 .80252 .29844 .80926 .29634 .8065 .29329 Metetra
.662 .813 .955 r
.8065 .29329 .80926 .29634 .81601 .29414 .81325 .29094 Metetra
.666 .805 .949 r
.81325 .29094 .81601 .29414 .82277 .29186 .82001 .28856 Metetra
.667 .799 .945 r
.82001 .28856 .82277 .29186 .82954 .28952 .82679 .28617 Metetra
.666 .796 .944 r
.82679 .28617 .82954 .28952 .83632 .28716 .83358 .28381 Metetra
.664 .795 .945 r
.83358 .28381 .83632 .28716 .84312 .28481 .84039 .28146 Metetra
.662 .795 .946 r
.84039 .28146 .84312 .28481 .84993 .28246 .84723 .27914 Metetra
.66 .797 .948 r
.84723 .27914 .84993 .28246 .85676 .28014 .85407 .27683 Metetra
.657 .78 .939 r
.24202 .47655 .24576 .47934 .25126 .47755 .24753 .47474 Metetra
.657 .779 .939 r
.24753 .47474 .25126 .47755 .25678 .47576 .25306 .47293 Metetra
.657 .778 .938 r
.25306 .47293 .25678 .47576 .26231 .47398 .25859 .47113 Metetra
.657 .777 .938 r
.25859 .47113 .26231 .47398 .26785 .47219 .26414 .46932 Metetra
.656 .776 .937 r
.26414 .46932 .26785 .47219 .2734 .47039 .2697 .46752 Metetra
.656 .777 .938 r
.2697 .46752 .2734 .47039 .27897 .46855 .27527 .46571 Metetra
.657 .779 .939 r
.27527 .46571 .27897 .46855 .28455 .46667 .28086 .46389 Metetra
.658 .784 .941 r
.28086 .46389 .28455 .46667 .29015 .46472 .28646 .46204 Metetra
.66 .791 .945 r
.28646 .46204 .29015 .46472 .29576 .46274 .29207 .46016 Metetra
.662 .799 .948 r
.29207 .46016 .29576 .46274 .30138 .46076 .2977 .45824 Metetra
.663 .804 .95 r
.2977 .45824 .30138 .46076 .30701 .45886 .30334 .45629 Metetra
.662 .801 .949 r
.30334 .45629 .30701 .45886 .31264 .45712 .30899 .45435 Metetra
.658 .787 .943 r
.30899 .45435 .31264 .45712 .31827 .45562 .31465 .45248 Metetra
.651 .762 .93 r
.31465 .45248 .31827 .45562 .3239 .45434 .32031 .45072 Metetra
.643 .731 .913 r
.32031 .45072 .3239 .45434 .32953 .45315 .32598 .4491 Metetra
.636 .705 .896 r
.32598 .4491 .32953 .45315 .33519 .45179 .33165 .44758 Metetra
.637 .697 .889 r
.33165 .44758 .33519 .45179 .34089 .44992 .33734 .44605 Metetra
.648 .72 .9 r
.33734 .44605 .34089 .44992 .34665 .44724 .34305 .44434 Metetra
.672 .784 .934 r
.34305 .44434 .34665 .44724 .35246 .44369 .3488 .44227 Metetra
.686 .889 .972 r
.3488 .44227 .35246 .44369 .35831 .43961 .35458 .43975 Metetra
.621 .951 .929 r
.35458 .43975 .35831 .43961 .36415 .43577 .36038 .43686 Metetra
.486 .898 .805 r
.36038 .43686 .36415 .43577 .36993 .43326 .3662 .43391 Metetra
.478 .897 .854 r
.3662 .43391 .36993 .43326 .37562 .43308 .37201 .43139 Metetra
.595 .851 .993 r
.37201 .43139 .37562 .43308 .3812 .43563 .37779 .42978 Metetra
.569 .599 .844 r
.37779 .42978 .3812 .43563 .38673 .44022 .38353 .42935 Metetra
.537 .467 .724 r
.38353 .42935 .38673 .44022 .39229 .44492 .38925 .42986 Metetra
.538 .426 .674 r
.38925 .42986 .39229 .44492 .39798 .44697 .39498 .43056 Metetra
.563 .434 .663 r
.39498 .43056 .39798 .44697 .4039 .4438 .40077 .4303 Metetra
.616 .49 .685 r
.40077 .4303 .4039 .4438 .41004 .43444 .40665 .428 Metetra
.738 .656 .769 r
.40665 .428 .41004 .43444 .41632 .42058 .41263 .42324 Metetra
.733 .962 .684 r
.41263 .42324 .41632 .42058 .42257 .40666 .41868 .41666 Metetra
.125 0 .143 r
.41868 .41666 .42257 .40666 .42861 .39862 .42472 .40996 Metetra
.313 0 .258 r
.42472 .40996 .42861 .39862 .43433 .40173 .43069 .40536 Metetra
.327 0 0 r
.43069 .40536 .43433 .40173 .43974 .41815 .43657 .40467 Metetra
.432 .37 .688 r
.43657 .40467 .43974 .41815 .44496 .44518 .44235 .40829 Metetra
.477 .318 .585 r
.44235 .40829 .44496 .44518 .45024 .47486 .44809 .41473 Metetra
.508 .323 .565 r
.44809 .41473 .45024 .47486 .45583 .49599 .45389 .42085 Metetra
.537 .341 .562 r
.45389 .42085 .45583 .49599 .46187 .49863 .45981 .42304 Metetra
.569 .365 .565 r
.45981 .42304 .46187 .49863 .46831 .47955 .46587 .41892 Metetra
.607 .4 .574 r
.46587 .41892 .46831 .47955 .47494 .44507 .47204 .4087 Metetra
.662 .456 .596 r
.47204 .4087 .47494 .44507 .48148 .40907 .47823 .39549 Metetra
.756 .577 .655 r
.47823 .39549 .48148 .40907 .48774 .38729 .48438 .38407 Metetra
.811 .799 .84 r
.48438 .38407 .48774 .38729 .49369 .39124 .49043 .37881 Metetra
.453 .396 .704 r
.49043 .37881 .49369 .39124 .49945 .42402 .49641 .38174 Metetra
.452 .294 .575 r
.49641 .38174 .49945 .42402 .50523 .47819 .50238 .39142 Metetra
.492 .303 .552 r
.50238 .39142 .50523 .47819 .51122 .53649 .50839 .40331 Metetra
.523 .321 .547 r
.50839 .40331 .51122 .53649 .51749 .57677 .51449 .41156 Metetra
.547 .337 .547 r
.51449 .41156 .51749 .57677 .52394 .58166 .52064 .41162 Metetra
.567 .352 .549 r
.52064 .41162 .52394 .58166 .53037 .54821 .52681 .40248 Metetra
.585 .368 .552 r
.52681 .40248 .53037 .54821 .53661 .48985 .53296 .38721 Metetra
.601 .384 .559 r
.53296 .38721 .53661 .48985 .54264 .42899 .53906 .37148 Metetra
.611 .403 .575 r
.53906 .37148 .54264 .42899 .54859 .38635 .54516 .36091 Metetra
.585 .417 .62 r
.54516 .36091 .54859 .38635 .55467 .37389 .55131 .35868 Metetra
.381 .323 .668 r
.55131 .35868 .55467 .37389 .56108 .39233 .55755 .36442 Metetra
.389 .273 .598 r
.55755 .36442 .56108 .39233 .56786 .43186 .56389 .37449 Metetra
.485 .309 .567 r
.56389 .37449 .56786 .43186 .57487 .47522 .57028 .38366 Metetra
.533 .334 .557 r
.57028 .38366 .57487 .47522 .58182 .50371 .57664 .38736 Metetra
.559 .351 .554 r
.57664 .38736 .58182 .50371 .58839 .50493 .5829 .38363 Metetra
.576 .363 .554 r
.5829 .38363 .58839 .50493 .59439 .47827 .58904 .37374 Metetra
.589 .375 .558 r
.58904 .37374 .59439 .47827 .59991 .43407 .59512 .36131 Metetra
.599 .389 .567 r
.59512 .36131 .59991 .43407 .60522 .38752 .6012 .35047 Metetra
.608 .415 .595 r
.6012 .35047 .60522 .38752 .61066 .35176 .60738 .34415 Metetra
.596 .568 .793 r
.60738 .34415 .61066 .35176 .6165 .33386 .61371 .34314 Metetra
.59 .228 .323 r
.61371 .34314 .6165 .33386 .62284 .33401 .62018 .34615 Metetra
.614 .277 .375 r
.62018 .34615 .62284 .33401 .62964 .34693 .62673 .35062 Metetra
.602 .136 .119 r
.62673 .35062 .62964 .34693 .63666 .36438 .63328 .35387 Metetra
.546 .485 .738 r
.63328 .35387 .63666 .36438 .64365 .37822 .63975 .35415 Metetra
.597 .43 .626 r
.63975 .35415 .64365 .37822 .65037 .38317 .64613 .35111 Metetra
.609 .422 .604 r
.64613 .35111 .65037 .38317 .65672 .37811 .65242 .34569 Metetra
.615 .426 .603 r
.65242 .34569 .65672 .37811 .66275 .36564 .65868 .33943 Metetra
.622 .442 .618 r
.65868 .33943 .66275 .36564 .66863 .35026 .66497 .33387 Metetra
.633 .485 .663 r
.66497 .33387 .66863 .35026 .67453 .33633 .67133 .32991 Metetra
.65 .632 .819 r
.67133 .32991 .67453 .33633 .68061 .32665 .67778 .32773 Metetra
.041 0 0 r
.67778 .32773 .68061 .32665 .68693 .32205 .68432 .32688 Metetra
.413 0 .085 r
.68432 .32688 .68693 .32205 .69349 .32165 .69091 .32658 Metetra
.404 0 .086 r
.69091 .32658 .69349 .32165 .7002 .32364 .69751 .3261 Metetra
.19 0 0 r
.69751 .3261 .7002 .32364 .70696 .32604 .70409 .32495 Metetra
.533 .889 .979 r
.70409 .32495 .70696 .32604 .7137 .32737 .71065 .323 Metetra
.684 .733 .888 r
.71065 .323 .7137 .32737 .72036 .32692 .71718 .32039 Metetra
.679 .645 .809 r
.71718 .32039 .72036 .32692 .72692 .3247 .72371 .31744 Metetra
.672 .621 .79 r
.72371 .31744 .72692 .3247 .73342 .32127 .73024 .31445 Metetra
.67 .632 .804 r
.73024 .31445 .73342 .32127 .7399 .31734 .7368 .31165 Metetra
.669 .67 .842 r
.7368 .31165 .7399 .31734 .74639 .31351 .74339 .30914 Metetra
.663 .727 .897 r
.74339 .30914 .74639 .31351 .75293 .31017 .75002 .30689 Metetra
.648 .788 .949 r
.75002 .30689 .75293 .31017 .75952 .30743 .75668 .30483 Metetra
.629 .828 .977 r
.75668 .30483 .75952 .30743 .76616 .3052 .76335 .30283 Metetra
.622 .843 .984 r
.76335 .30283 .76616 .3052 .77285 .30329 .77004 .3008 Metetra
.633 .839 .98 r
.77004 .3008 .77285 .30329 .77956 .3015 .77675 .2987 Metetra
.648 .823 .967 r
.77675 .2987 .77956 .3015 .78629 .29966 .78346 .2965 Metetra
.659 .803 .952 r
.78346 .2965 .78629 .29966 .79302 .29768 .79018 .29422 Metetra
.665 .786 .938 r
.79018 .29422 .79302 .29768 .79976 .29555 .79691 .29189 Metetra
.667 .775 .93 r
.79691 .29189 .79976 .29555 .8065 .29329 .80366 .28954 Metetra
.667 .77 .926 r
.80366 .28954 .8065 .29329 .81325 .29094 .81042 .28719 Metetra
.666 .769 .927 r
.81042 .28719 .81325 .29094 .82001 .28856 .8172 .28485 Metetra
.665 .772 .93 r
.8172 .28485 .82001 .28856 .82679 .28617 .82399 .28252 Metetra
.663 .776 .933 r
.82399 .28252 .82679 .28617 .83358 .28381 .83081 .28021 Metetra
.662 .78 .936 r
.83081 .28021 .83358 .28381 .84039 .28146 .83764 .2779 Metetra
.662 .782 .938 r
.83764 .2779 .84039 .28146 .84723 .27914 .84449 .27559 Metetra
.662 .784 .939 r
.84449 .27559 .84723 .27914 .85407 .27683 .85135 .27327 Metetra
.659 .762 .926 r
.23828 .47346 .24202 .47655 .24753 .47474 .2438 .47164 Metetra
.66 .762 .925 r
.2438 .47164 .24753 .47474 .25306 .47293 .24934 .46981 Metetra
.66 .761 .925 r
.24934 .46981 .25306 .47293 .25859 .47113 .25488 .46798 Metetra
.66 .76 .924 r
.25488 .46798 .25859 .47113 .26414 .46932 .26044 .46614 Metetra
.659 .758 .923 r
.26044 .46614 .26414 .46932 .2697 .46752 .26601 .46431 Metetra
.658 .757 .923 r
.26601 .46431 .2697 .46752 .27527 .46571 .27159 .4625 Metetra
.656 .756 .924 r
.27159 .4625 .27527 .46571 .28086 .46389 .27718 .46071 Metetra
.653 .758 .927 r
.27718 .46071 .28086 .46389 .28646 .46204 .28278 .45895 Metetra
.652 .764 .931 r
.28278 .45895 .28646 .46204 .29207 .46016 .28839 .4572 Metetra
.652 .773 .937 r
.28839 .4572 .29207 .46016 .2977 .45824 .29401 .45543 Metetra
.657 .784 .942 r
.29401 .45543 .2977 .45824 .30334 .45629 .29966 .45357 Metetra
.667 .793 .942 r
.29966 .45357 .30334 .45629 .30899 .45435 .30532 .45158 Metetra
.679 .792 .935 r
.30532 .45158 .30899 .45435 .31465 .45248 .311 .44943 Metetra
.688 .777 .919 r
.311 .44943 .31465 .45248 .32031 .45072 .31671 .44715 Metetra
.687 .746 .896 r
.31671 .44715 .32031 .45072 .32598 .4491 .32243 .44484 Metetra
.672 .706 .873 r
.32243 .44484 .32598 .4491 .33165 .44758 .32814 .44271 Metetra
.645 .67 .859 r
.32814 .44271 .33165 .44758 .33734 .44605 .33384 .441 Metetra
.609 .648 .864 r
.33384 .441 .33734 .44605 .34305 .44434 .33953 .4399 Metetra
.56 .658 .902 r
.33953 .4399 .34305 .44434 .3488 .44227 .34519 .43941 Metetra
.474 .722 .978 r
.34519 .43941 .3488 .44227 .35458 .43975 .35085 .43921 Metetra
.242 .745 .893 r
.35085 .43921 .35458 .43975 .36038 .43686 .35655 .43871 Metetra
.35655 .43871 .36038 .43686 .3662 .43391 .36232 .4371 Metetra
.36232 .4371 .3662 .43391 .37201 .43139 .36819 .43371 Metetra
.657 .949 .715 r
.36819 .43371 .37201 .43139 .37779 .42978 .37416 .42842 Metetra
.873 .878 .836 r
.37416 .42842 .37779 .42978 .38353 .42935 .38018 .42195 Metetra
.75 .639 .738 r
.38018 .42195 .38353 .42935 .38925 .42986 .38617 .41597 Metetra
.636 .499 .679 r
.38617 .41597 .38925 .42986 .39498 .43056 .39206 .41263 Metetra
.528 .401 .652 r
.39206 .41263 .39498 .43056 .40077 .4303 .39777 .41385 Metetra
.354 .291 .646 r
.39777 .41385 .40077 .4303 .40665 .428 .40331 .42025 Metetra
0 0 .449 r
.40331 .42025 .40665 .428 .41263 .42324 .40876 .43043 Metetra
.757 .401 .38 r
.40876 .43043 .41263 .42324 .41868 .41666 .41426 .44082 Metetra
.605 .321 .46 r
.41426 .44082 .41868 .41666 .42472 .40996 .41997 .44653 Metetra
.5 .247 .462 r
.41997 .44653 .42472 .40996 .43069 .40536 .42598 .44337 Metetra
.37 .14 .429 r
.42598 .44337 .43069 .40536 .43657 .40467 .4323 .4301 Metetra
.034 0 .27 r
.4323 .4301 .43657 .40467 .44235 .40829 .43876 .40991 Metetra
.986 .844 .616 r
.43876 .40991 .44235 .40829 .44809 .41473 .44517 .38997 Metetra
.683 .488 .617 r
.44517 .38997 .44809 .41473 .45389 .42085 .45133 .37895 Metetra
.503 .331 .581 r
.45133 .37895 .45389 .42085 .45981 .42304 .45712 .38375 Metetra
.227 .129 .53 r
.45712 .38375 .45981 .42304 .46587 .41892 .46261 .40647 Metetra
.93 .621 .157 r
.46261 .40647 .46587 .41892 .47204 .4087 .46798 .44255 Metetra
.764 .478 .501 r
.46798 .44255 .47204 .4087 .47823 .39549 .47346 .48093 Metetra
.632 .381 .519 r
.47346 .48093 .47823 .39549 .48438 .38407 .47927 .50716 Metetra
.548 .316 .515 r
.47927 .50716 .48438 .38407 .49043 .37881 .48548 .50953 Metetra
.468 .251 .501 r
.48548 .50953 .49043 .37881 .49641 .38174 .49199 .4854 Metetra
.353 .157 .47 r
.49199 .4854 .49641 .38174 .50238 .39142 .49857 .44353 Metetra
.036 0 .34 r
.49857 .44353 .50238 .39142 .50839 .40331 .50503 .40015 Metetra
.951 .747 .591 r
.50503 .40015 .50839 .40331 .51449 .41156 .51127 .37187 Metetra
.573 .386 .59 r
.51127 .37187 .51449 .41156 .52064 .41162 .51737 .36946 Metetra
.23 .132 .531 r
.51737 .36946 .52064 .41162 .52681 .40248 .52347 .39453 Metetra
.965 .638 .273 r
.52347 .39453 .52681 .40248 .53296 .38721 .52972 .43884 Metetra
.741 .463 .509 r
.52972 .43884 .53296 .38721 .53906 .37148 .53617 .48615 Metetra
.623 .376 .522 r
.53617 .48615 .53906 .37148 .54516 .36091 .54274 .51759 Metetra
.547 .317 .518 r
.54274 .51759 .54516 .36091 .55131 .35868 .54924 .51973 Metetra
.474 .26 .507 r
.54924 .51973 .55131 .35868 .55755 .36442 .55549 .49121 Metetra
.375 .18 .483 r
.55549 .49121 .55755 .36442 .56389 .37449 .56143 .44302 Metetra
.137 0 .398 r
.56143 .44302 .56389 .37449 .57028 .38366 .56717 .39223 Metetra
.985 .814 .419 r
.56717 .39223 .57028 .38366 .57664 .38736 .57292 .35423 Metetra
.692 .48 .596 r
.57292 .35423 .57664 .38736 .5829 .38363 .57892 .33765 Metetra
.504 .33 .578 r
.57892 .33765 .5829 .38363 .58904 .37374 .58529 .34301 Metetra
.192 .127 .549 r
.58529 .34301 .58904 .37374 .59512 .36131 .59203 .3638 Metetra
.906 .539 .328 r
.59203 .3638 .59512 .36131 .6012 .35047 .59898 .38925 Metetra
.668 .389 .489 r
.59898 .38925 .6012 .35047 .60738 .34415 .60589 .40822 Metetra
.565 .317 .499 r
.60589 .40822 .60738 .34415 .61371 .34314 .61253 .41329 Metetra
.485 .256 .491 r
.61253 .41329 .61371 .34314 .62018 .34615 .61877 .40319 Metetra
.383 .171 .463 r
.61877 .40319 .62018 .34615 .62673 .35062 .62466 .38231 Metetra
.138 0 .358 r
.62466 .38231 .62673 .35062 .63328 .35387 .63037 .35797 Metetra
.973 .873 .49 r
.63037 .35797 .63328 .35387 .63975 .35415 .63613 .33708 Metetra
.746 .553 .634 r
.63613 .33708 .63975 .35415 .64613 .35111 .64211 .32394 Metetra
.607 .429 .615 r
.64211 .32394 .64613 .35111 .65242 .34569 .64841 .31953 Metetra
.517 .369 .619 r
.64841 .31953 .65242 .34569 .65868 .33943 .655 .32205 Metetra
.404 .327 .656 r
.655 .32205 .65868 .33943 .66497 .33387 .66178 .32813 Metetra
0 .237 .752 r
.66178 .32813 .66497 .33387 .67133 .32991 .6686 .33422 Metetra
.608 .154 .15 r
.6686 .33422 .67133 .32991 .67778 .32773 .67536 .33768 Metetra
.488 .138 .298 r
.67536 .33768 .67778 .32773 .68432 .32688 .68196 .33744 Metetra
.367 .04 .273 r
.68196 .33744 .68432 .32688 .69091 .32658 .68842 .33383 Metetra
.129 0 .091 r
.68842 .33383 .69091 .32658 .69751 .3261 .69477 .32815 Metetra
.604 .898 .61 r
.69477 .32815 .69751 .3261 .70409 .32495 .70109 .32192 Metetra
.827 .843 .859 r
.70109 .32192 .70409 .32495 .71065 .323 .70745 .31636 Metetra
.72 .661 .79 r
.70745 .31636 .71065 .323 .71718 .32039 .7139 .31215 Metetra
.657 .591 .769 r
.7139 .31215 .71718 .32039 .72371 .31744 .72043 .30936 Metetra
.62 .575 .782 r
.72043 .30936 .72371 .31744 .73024 .31445 .72705 .30766 Metetra
.6 .599 .822 r
.72705 .30766 .73024 .31445 .7368 .31165 .73373 .30653 Metetra
.593 .66 .884 r
.73373 .30653 .7368 .31165 .74339 .30914 .74043 .30548 Metetra
.596 .742 .946 r
.74043 .30548 .74339 .30914 .75002 .30689 .74714 .30417 Metetra
.607 .812 .978 r
.74714 .30417 .75002 .30689 .75668 .30483 .75383 .30244 Metetra
.632 .846 .982 r
.75383 .30244 .75668 .30483 .76335 .30283 .76052 .30031 Metetra
.66 .848 .972 r
.76052 .30031 .76335 .30283 .77004 .3008 .76719 .29789 Metetra
.678 .827 .955 r
.76719 .29789 .77004 .3008 .77675 .2987 .77387 .29533 Metetra
.682 .798 .936 r
.77387 .29533 .77675 .2987 .78346 .2965 .78056 .29273 Metetra
.679 .772 .921 r
.78056 .29273 .78346 .2965 .79018 .29422 .78728 .2902 Metetra
.673 .756 .913 r
.78728 .2902 .79018 .29422 .79691 .29189 .79401 .28776 Metetra
.667 .748 .91 r
.79401 .28776 .79691 .29189 .80366 .28954 .80077 .28541 Metetra
.663 .746 .912 r
.80077 .28541 .80366 .28954 .81042 .28719 .80755 .28312 Metetra
.661 .749 .916 r
.80755 .28312 .81042 .28719 .8172 .28485 .81435 .28086 Metetra
.66 .755 .92 r
.81435 .28086 .8172 .28485 .82399 .28252 .82116 .2786 Metetra
.661 .76 .923 r
.82116 .2786 .82399 .28252 .83081 .28021 .828 .27634 Metetra
.662 .763 .925 r
.828 .27634 .83081 .28021 .83764 .2779 .83484 .27405 Metetra
.663 .765 .926 r
.83484 .27405 .83764 .2779 .84449 .27559 .8417 .27173 Metetra
.664 .766 .926 r
.8417 .27173 .84449 .27559 .85135 .27327 .84858 .2694 Metetra
.66 .743 .912 r
.23456 .47004 .23828 .47346 .2438 .47164 .24009 .46822 Metetra
.66 .743 .911 r
.24009 .46822 .2438 .47164 .24934 .46981 .24563 .46638 Metetra
.66 .743 .911 r
.24563 .46638 .24934 .46981 .25488 .46798 .25118 .46454 Metetra
.66 .743 .911 r
.25118 .46454 .25488 .46798 .26044 .46614 .25675 .4627 Metetra
.66 .743 .912 r
.25675 .4627 .26044 .46614 .26601 .46431 .26233 .46086 Metetra
.658 .743 .912 r
.26233 .46086 .26601 .46431 .27159 .4625 .26791 .45904 Metetra
.656 .742 .913 r
.26791 .45904 .27159 .4625 .27718 .46071 .27351 .45725 Metetra
.654 .742 .914 r
.27351 .45725 .27718 .46071 .28278 .45895 .27911 .45548 Metetra
.653 .741 .914 r
.27911 .45548 .28278 .45895 .28839 .4572 .28473 .45372 Metetra
.654 .742 .914 r
.28473 .45372 .28839 .4572 .29401 .45543 .29036 .45194 Metetra
.66 .743 .912 r
.29036 .45194 .29401 .45543 .29966 .45357 .29601 .45008 Metetra
.668 .745 .908 r
.29601 .45008 .29966 .45357 .30532 .45158 .30168 .44808 Metetra
.678 .748 .903 r
.30168 .44808 .30532 .45158 .311 .44943 .30737 .44592 Metetra
.686 .75 .9 r
.30737 .44592 .311 .44943 .31671 .44715 .31309 .44363 Metetra
.687 .75 .899 r
.31309 .44363 .31671 .44715 .32243 .44484 .31881 .44131 Metetra
.676 .747 .904 r
.31881 .44131 .32243 .44484 .32814 .44271 .32454 .43918 Metetra
.648 .739 .916 r
.32454 .43918 .32814 .44271 .33384 .441 .33025 .43746 Metetra
.599 .724 .932 r
.33025 .43746 .33384 .441 .33953 .4399 .33593 .43635 Metetra
.541 .703 .945 r
.33593 .43635 .33953 .4399 .34519 .43941 .3416 .43585 Metetra
.507 .689 .95 r
.3416 .43585 .34519 .43941 .35085 .43921 .34727 .43565 Metetra
.542 .703 .945 r
.34727 .43565 .35085 .43921 .35655 .43871 .35298 .43514 Metetra
.639 .738 .92 r
.35298 .43514 .35655 .43871 .36232 .4371 .35876 .43352 Metetra
.739 .762 .871 r
.35876 .43352 .36232 .4371 .36819 .43371 .36464 .43012 Metetra
.802 .769 .822 r
.36464 .43012 .36819 .43371 .37416 .42842 .37061 .42482 Metetra
.828 .769 .796 r
.37061 .42482 .37416 .42842 .38018 .42195 .37664 .41834 Metetra
.818 .769 .806 r
.37664 .41834 .38018 .42195 .38617 .41597 .38265 .41235 Metetra
.736 .76 .872 r
.38265 .41235 .38617 .41597 .39206 .41263 .38854 .40901 Metetra
.317 .593 .943 r
.38854 .40901 .39206 .41263 .39777 .41385 .39426 .41021 Metetra
.587 .091 0 r
.39426 .41021 .39777 .41385 .40331 .42025 .3998 .41661 Metetra
.825 .368 0 r
.3998 .41661 .40331 .42025 .40876 .43043 .40525 .4268 Metetra
.828 .372 0 r
.40525 .4268 .40876 .43043 .41426 .44082 .41074 .43719 Metetra
0 .008 .513 r
.41074 .43719 .41426 .44082 .41997 .44653 .41645 .44291 Metetra
.726 .764 .883 r
.41645 .44291 .41997 .44653 .42598 .44337 .42247 .43973 Metetra
.901 .761 .697 r
.42247 .43973 .42598 .44337 .4323 .4301 .42881 .42644 Metetra
.926 .746 .64 r
.42881 .42644 .4323 .4301 .43876 .40991 .4353 .40623 Metetra
.926 .746 .64 r
.4353 .40623 .43876 .40991 .44517 .38997 .44174 .38627 Metetra
.887 .765 .721 r
.44174 .38627 .44517 .38997 .45133 .37895 .44791 .37523 Metetra
0 .155 .664 r
.44791 .37523 .45133 .37895 .45712 .38375 .45371 .38003 Metetra
.941 .574 .247 r
.45371 .38003 .45712 .38375 .46261 .40647 .45918 .40276 Metetra
.956 .623 .337 r
.45918 .40276 .46261 .40647 .46798 .44255 .46451 .43886 Metetra
.957 .625 .342 r
.46451 .43886 .46798 .44255 .47346 .48093 .46996 .47728 Metetra
.945 .585 .268 r
.46996 .47728 .47346 .48093 .47927 .50716 .47575 .50353 Metetra
.132 .493 .904 r
.47575 .50353 .47927 .50716 .48548 .50953 .48196 .50589 Metetra
.94 .748 .617 r
.48196 .50589 .48548 .50953 .49199 .4854 .48851 .48173 Metetra
.954 .728 .558 r
.48851 .48173 .49199 .4854 .49857 .44353 .49514 .43982 Metetra
.954 .726 .553 r
.49514 .43982 .49857 .44353 .50503 .40015 .50165 .39639 Metetra
.946 .739 .593 r
.50165 .39639 .50503 .40015 .51127 .37187 .50793 .36808 Metetra
.685 .749 .901 r
.50793 .36808 .51127 .37187 .51737 .36946 .51404 .36566 Metetra
.941 .574 .231 r
.51404 .36566 .51737 .36946 .52347 .39453 .52012 .39075 Metetra
.96 .629 .333 r
.52012 .39075 .52347 .39453 .52972 .43884 .52633 .43509 Metetra
.96 .632 .337 r
.52633 .43509 .52972 .43884 .53617 .48615 .53273 .48244 Metetra
.949 .593 .268 r
.53273 .48244 .53617 .48615 .54274 .51759 .53928 .5139 Metetra
.189 .527 .921 r
.53928 .5139 .54274 .51759 .54924 .51973 .54578 .51604 Metetra
.952 .748 .59 r
.54578 .51604 .54924 .51973 .55549 .49121 .55207 .48749 Metetra
.963 .727 .534 r
.55207 .48749 .55549 .49121 .56143 .44302 .55807 .43924 Metetra
.963 .724 .528 r
.55807 .43924 .56143 .44302 .56717 .39223 .56387 .3884 Metetra
.96 .733 .552 r
.56387 .3884 .56717 .39223 .57292 .35423 .56967 .35035 Metetra
.929 .765 .657 r
.56967 .35035 .57292 .35423 .57892 .33765 .57569 .33375 Metetra
0 .167 .685 r
.57569 .33375 .57892 .33765 .58529 .34301 .58206 .33911 Metetra
.912 .518 .12 r
.58206 .33911 .58529 .34301 .59203 .3638 .58878 .35992 Metetra
.931 .554 .179 r
.58878 .35992 .59203 .3638 .59898 .38925 .59572 .38538 Metetra
.894 .487 .072 r
.59572 .38538 .59898 .38925 .60589 .40822 .60262 .40436 Metetra
0 .219 .725 r
.60262 .40436 .60589 .40822 .61253 .41329 .60927 .40943 Metetra
.89 .789 .742 r
.60927 .40943 .61253 .41329 .61877 .40319 .61552 .39931 Metetra
.947 .763 .621 r
.61552 .39931 .61877 .40319 .62466 .38231 .62144 .37841 Metetra
.954 .756 .596 r
.62144 .37841 .62466 .38231 .63037 .35797 .62718 .35404 Metetra
.948 .762 .617 r
.62718 .35404 .63037 .35797 .63613 .33708 .63297 .33312 Metetra
.918 .779 .692 r
.63297 .33312 .63613 .33708 .64211 .32394 .63897 .31996 Metetra
.771 .775 .856 r
.63897 .31996 .64211 .32394 .64841 .31953 .64528 .31554 Metetra
.194 .497 .905 r
.64528 .31554 .64841 .31953 .655 .32205 .65187 .31806 Metetra
0 .14 .666 r
.65187 .31806 .655 .32205 .66178 .32813 .65865 .32414 Metetra
0 .144 .67 r
.65865 .32414 .66178 .32813 .6686 .33422 .66548 .33022 Metetra
.068 .414 .863 r
.66548 .33022 .6686 .33422 .67536 .33768 .67224 .33368 Metetra
.516 .681 .941 r
.67224 .33368 .67536 .33768 .68196 .33744 .67886 .33343 Metetra
.737 .77 .88 r
.67886 .33343 .68196 .33744 .68842 .33383 .68532 .32981 Metetra
.811 .788 .831 r
.68532 .32981 .68842 .33383 .69477 .32815 .69169 .32411 Metetra
.826 .79 .818 r
.69169 .32411 .69477 .32815 .70109 .32192 .69802 .31787 Metetra
.807 .787 .834 r
.69802 .31787 .70109 .32192 .70745 .31636 .7044 .3123 Metetra
.761 .776 .865 r
.7044 .3123 .70745 .31636 .7139 .31215 .71085 .30808 Metetra
.696 .756 .898 r
.71085 .30808 .7139 .31215 .72043 .30936 .7174 .30528 Metetra
.63 .73 .92 r
.7174 .30528 .72043 .30936 .72705 .30766 .72403 .30357 Metetra
.589 .713 .929 r
.72403 .30357 .72705 .30766 .73373 .30653 .73072 .30243 Metetra
.583 .71 .93 r
.73072 .30243 .73373 .30653 .74043 .30548 .73743 .30137 Metetra
.602 .718 .926 r
.73743 .30137 .74043 .30548 .74714 .30417 .74415 .30005 Metetra
.63 .731 .92 r
.74415 .30005 .74714 .30417 .75383 .30244 .75085 .29832 Metetra
.656 .741 .913 r
.75085 .29832 .75383 .30244 .76052 .30031 .75755 .29618 Metetra
.673 .748 .907 r
.75755 .29618 .76052 .30031 .76719 .29789 .76423 .29375 Metetra
.681 .751 .904 r
.76423 .29375 .76719 .29789 .77387 .29533 .77092 .29117 Metetra
.682 .752 .904 r
.77092 .29117 .77387 .29533 .78056 .29273 .77763 .28857 Metetra
.678 .75 .905 r
.77763 .28857 .78056 .29273 .78728 .2902 .78435 .28603 Metetra
.673 .748 .907 r
.78435 .28603 .78728 .2902 .79401 .28776 .7911 .28358 Metetra
.667 .746 .909 r
.7911 .28358 .79401 .28776 .80077 .28541 .79787 .28121 Metetra
.663 .744 .91 r
.79787 .28121 .80077 .28541 .80755 .28312 .80466 .27891 Metetra
.661 .743 .911 r
.80466 .27891 .80755 .28312 .81435 .28086 .81147 .27664 Metetra
.66 .743 .911 r
.81147 .27664 .81435 .28086 .82116 .2786 .8183 .27438 Metetra
.661 .743 .911 r
.8183 .27438 .82116 .2786 .828 .27634 .82514 .2721 Metetra
.662 .744 .911 r
.82514 .2721 .828 .27634 .83484 .27405 .832 .2698 Metetra
.663 .744 .91 r
.832 .2698 .83484 .27405 .8417 .27173 .83887 .26748 Metetra
.664 .744 .91 r
.83887 .26748 .8417 .27173 .84858 .2694 .84576 .26513 Metetra
.659 .725 .898 r
.23086 .4663 .23456 .47004 .24009 .46822 .23639 .46447 Metetra
.659 .725 .898 r
.23639 .46447 .24009 .46822 .24563 .46638 .24194 .46264 Metetra
.659 .726 .899 r
.24194 .46264 .24563 .46638 .25118 .46454 .24749 .46081 Metetra
.658 .727 .9 r
.24749 .46081 .25118 .46454 .25675 .4627 .25306 .45899 Metetra
.658 .728 .901 r
.25306 .45899 .25675 .4627 .26233 .46086 .25864 .45716 Metetra
.658 .729 .902 r
.25864 .45716 .26233 .46086 .26791 .45904 .26424 .45533 Metetra
.659 .729 .902 r
.26424 .45533 .26791 .45904 .27351 .45725 .26984 .45349 Metetra
.66 .727 .899 r
.26984 .45349 .27351 .45725 .27911 .45548 .27546 .45162 Metetra
.662 .723 .894 r
.27546 .45162 .27911 .45548 .28473 .45372 .2811 .44971 Metetra
.664 .716 .887 r
.2811 .44971 .28473 .45372 .29036 .45194 .28675 .44777 Metetra
.664 .708 .88 r
.28675 .44777 .29036 .45194 .29601 .45008 .29241 .4458 Metetra
.662 .703 .877 r
.29241 .4458 .29601 .45008 .30168 .44808 .29808 .44384 Metetra
.659 .704 .88 r
.29808 .44384 .30168 .44808 .30737 .44592 .30376 .44195 Metetra
.652 .716 .895 r
.30376 .44195 .30737 .44592 .31309 .44363 .30945 .44017 Metetra
.642 .742 .922 r
.30945 .44017 .31309 .44363 .31881 .44131 .31514 .43852 Metetra
.627 .782 .956 r
.31514 .43852 .31881 .44131 .32454 .43918 .32083 .43698 Metetra
.612 .819 .98 r
.32083 .43698 .32454 .43918 .33025 .43746 .32654 .43543 Metetra
.625 .835 .981 r
.32654 .43543 .33025 .43746 .33593 .43635 .33228 .4337 Metetra
.67 .802 .946 r
.33228 .4337 .33593 .43635 .3416 .43585 .33804 .4316 Metetra
.693 .716 .867 r
.33804 .4316 .3416 .43585 .34727 .43565 .34385 .42906 Metetra
.681 .628 .789 r
.34385 .42906 .34727 .43565 .35298 .43514 .34968 .42614 Metetra
.66 .567 .739 r
.34968 .42614 .35298 .43514 .35876 .43352 .35553 .42317 Metetra
.638 .535 .721 r
.35553 .42317 .35876 .43352 .36464 .43012 .36136 .42062 Metetra
.615 .534 .74 r
.36136 .42062 .36464 .43012 .37061 .42482 .36716 .41899 Metetra
.567 .602 .847 r
.36716 .41899 .37061 .42482 .37664 .41834 .37292 .41853 Metetra
.154 0 0 r
.37292 .41853 .37664 .41834 .38265 .41235 .37865 .41903 Metetra
.506 .113 .229 r
.37865 .41903 .38265 .41235 .38854 .40901 .3844 .41971 Metetra
.491 .151 .318 r
.3844 .41971 .38854 .40901 .39426 .41021 .39021 .41943 Metetra
.38 .028 .237 r
.39021 .41943 .39426 .41021 .3998 .41661 .39612 .41711 Metetra
.783 .992 .883 r
.39612 .41711 .3998 .41661 .40525 .4268 .40213 .41232 Metetra
.689 .53 .666 r
.40213 .41232 .40525 .4268 .41074 .43719 .40821 .4057 Metetra
.623 .433 .604 r
.40821 .4057 .41074 .43719 .41645 .44291 .41429 .39896 Metetra
.587 .392 .585 r
.41429 .39896 .41645 .44291 .42247 .43973 .4203 .39434 Metetra
.555 .367 .581 r
.4203 .39434 .42247 .43973 .42881 .42644 .4262 .39362 Metetra
.504 .343 .595 r
.4262 .39362 .42881 .42644 .4353 .40623 .43198 .39724 Metetra
.099 .224 .707 r
.43198 .39724 .4353 .40623 .44174 .38627 .43773 .40368 Metetra
.627 .321 .432 r
.43773 .40368 .44174 .38627 .44791 .37523 .44352 .40979 Metetra
.555 .291 .47 r
.44352 .40979 .44791 .37523 .45371 .38003 .44945 .41197 Metetra
.478 .221 .446 r
.44945 .41197 .45371 .38003 .45918 .40276 .45555 .40781 Metetra
.723 .878 .475 r
.45555 .40781 .45918 .40276 .46451 .43886 .46177 .39755 Metetra
.65 .443 .589 r
.46177 .39755 .46451 .43886 .46996 .47728 .46802 .38429 Metetra
.59 .377 .56 r
.46802 .38429 .46996 .47728 .47575 .50353 .47422 .37281 Metetra
.561 .349 .55 r
.47422 .37281 .47575 .50353 .48196 .50589 .48031 .36752 Metetra
.537 .329 .546 r
.48031 .36752 .48196 .50589 .48851 .48173 .48631 .37044 Metetra
.51 .312 .547 r
.48631 .37044 .48851 .48173 .49514 .43982 .49226 .38012 Metetra
.461 .288 .559 r
.49226 .38012 .49514 .43982 .50165 .39639 .49826 .39203 Metetra
.596 .138 0 r
.49826 .39203 .50165 .39639 .50793 .36808 .50434 .40028 Metetra
.532 .267 .459 r
.50434 .40028 .50793 .36808 .51404 .36566 .51052 .40032 Metetra
.419 .176 .437 r
.51052 .40032 .51404 .36566 .52012 .39075 .51674 .39113 Metetra
.979 .871 .658 r
.51674 .39113 .52012 .39075 .52633 .43509 .52295 .37581 Metetra
.634 .419 .573 r
.52295 .37581 .52633 .43509 .53273 .48244 .52913 .36001 Metetra
.577 .362 .553 r
.52913 .36001 .53273 .48244 .53928 .5139 .53528 .34939 Metetra
.55 .338 .546 r
.53528 .34939 .53928 .5139 .54578 .51604 .54145 .34714 Metetra
.531 .323 .543 r
.54145 .34714 .54578 .51604 .55207 .48749 .5477 .35287 Metetra
.515 .314 .545 r
.5477 .35287 .55207 .48749 .55807 .43924 .55403 .36295 Metetra
.498 .31 .556 r
.55403 .36295 .55807 .43924 .56387 .3884 .56041 .37212 Metetra
.457 .369 .667 r
.56041 .37212 .56387 .3884 .56967 .35035 .56678 .37581 Metetra
.47 .203 .426 r
.56678 .37581 .56967 .35035 .57569 .33375 .57308 .37205 Metetra
.426 .188 .448 r
.57308 .37205 .57569 .33375 .58206 .33911 .57927 .36211 Metetra
.266 .031 .359 r
.57927 .36211 .58206 .33911 .58878 .35992 .58541 .34963 Metetra
.789 .624 .677 r
.58541 .34963 .58878 .35992 .59572 .38538 .59154 .33874 Metetra
.595 .396 .582 r
.59154 .33874 .59572 .38538 .60262 .40436 .59777 .33238 Metetra
.552 .352 .564 r
.59777 .33238 .60262 .40436 .60927 .40943 .60412 .33135 Metetra
.532 .336 .56 r
.60412 .33135 .60927 .40943 .61552 .39931 .6106 .33435 Metetra
.521 .332 .565 r
.6106 .33435 .61552 .39931 .62144 .37841 .61716 .33881 Metetra
.518 .347 .588 r
.61716 .33881 .62144 .37841 .62718 .35404 .62373 .34204 Metetra
.547 .466 .716 r
.62373 .34204 .62718 .35404 .63297 .33312 .63023 .3423 Metetra
.357 .01 .232 r
.63023 .3423 .63297 .33312 .63897 .31996 .63664 .33924 Metetra
.408 .133 .382 r
.63664 .33924 .63897 .31996 .64528 .31554 .64297 .33377 Metetra
.378 .105 .367 r
.64297 .33377 .64528 .31554 .65187 .31806 .64926 .32748 Metetra
.23 0 .194 r
.64926 .32748 .65187 .31806 .65865 .32414 .65559 .32188 Metetra
.771 .882 .927 r
.65559 .32188 .65865 .32414 .66548 .33022 .66199 .31789 Metetra
.615 .505 .705 r
.66199 .31789 .66548 .33022 .67224 .33368 .66847 .31569 Metetra
.572 .436 .657 r
.66847 .31569 .67224 .33368 .67886 .33343 .67504 .31481 Metetra
.56 .425 .654 r
.67504 .31481 .67886 .33343 .68532 .32981 .68165 .31449 Metetra
.567 .449 .679 r
.68165 .31449 .68532 .32981 .69169 .32411 .68828 .31398 Metetra
.594 .521 .743 r
.68828 .31398 .69169 .32411 .69802 .31787 .69489 .31281 Metetra
.646 .687 .874 r
.69489 .31281 .69802 .31787 .7044 .3123 .70148 .31083 Metetra
.642 .91 .982 r
.70148 .31083 .7044 .3123 .71085 .30808 .70804 .3082 Metetra
.507 .912 .865 r
.70804 .3082 .71085 .30808 .7174 .30528 .7146 .30521 Metetra
.539 .926 .89 r
.7146 .30521 .7174 .30528 .72403 .30357 .72117 .30219 Metetra
.652 .92 .977 r
.72117 .30219 .72403 .30357 .73072 .30243 .72776 .29936 Metetra
.678 .814 .948 r
.72776 .29936 .73072 .30243 .73743 .30137 .73439 .29682 Metetra
.663 .721 .892 r
.73439 .29682 .73743 .30137 .74415 .30005 .74105 .29455 Metetra
.649 .672 .858 r
.74105 .29455 .74415 .30005 .75085 .29832 .74774 .29245 Metetra
.644 .655 .847 r
.74774 .29245 .75085 .29832 .75755 .29618 .75444 .29042 Metetra
.645 .661 .851 r
.75444 .29042 .75755 .29618 .76423 .29375 .76117 .28837 Metetra
.651 .679 .864 r
.76117 .28837 .76423 .29375 .77092 .29117 .7679 .28624 Metetra
.658 .702 .88 r
.7679 .28624 .77092 .29117 .77763 .28857 .77465 .28401 Metetra
.663 .724 .894 r
.77465 .28401 .77763 .28857 .78435 .28603 .7814 .2817 Metetra
.666 .738 .904 r
.7814 .2817 .78435 .28603 .7911 .28358 .78817 .27934 Metetra
.668 .744 .908 r
.78817 .27934 .7911 .28358 .79787 .28121 .79495 .27696 Metetra
.667 .744 .907 r
.79495 .27696 .79787 .28121 .80466 .27891 .80174 .27458 Metetra
.666 .739 .905 r
.80174 .27458 .80466 .27891 .81147 .27664 .80856 .27221 Metetra
.665 .734 .901 r
.80856 .27221 .81147 .27664 .8183 .27438 .81539 .26985 Metetra
.664 .729 .898 r
.81539 .26985 .8183 .27438 .82514 .2721 .82224 .26751 Metetra
.663 .726 .896 r
.82224 .26751 .82514 .2721 .832 .2698 .8291 .26517 Metetra
.663 .724 .895 r
.8291 .26517 .832 .2698 .83887 .26748 .83598 .26283 Metetra
.663 .724 .894 r
.83598 .26283 .83887 .26748 .84576 .26513 .84288 .26048 Metetra
.658 .71 .886 r
.22716 .46226 .23086 .4663 .23639 .46447 .2327 .46043 Metetra
.657 .71 .886 r
.2327 .46043 .23639 .46447 .24194 .46264 .23825 .45861 Metetra
.657 .71 .887 r
.23825 .45861 .24194 .46264 .24749 .46081 .24381 .45679 Metetra
.657 .711 .888 r
.24381 .45679 .24749 .46081 .25306 .45899 .24939 .45496 Metetra
.658 .712 .888 r
.24939 .45496 .25306 .45899 .25864 .45716 .25497 .45312 Metetra
.659 .712 .887 r
.25497 .45312 .25864 .45716 .26424 .45533 .26058 .45125 Metetra
.662 .711 .884 r
.26058 .45125 .26424 .45533 .26984 .45349 .26619 .44933 Metetra
.665 .708 .88 r
.26619 .44933 .26984 .45349 .27546 .45162 .27183 .44735 Metetra
.666 .704 .875 r
.27183 .44735 .27546 .45162 .2811 .44971 .27748 .44533 Metetra
.665 .698 .871 r
.27748 .44533 .2811 .44971 .28675 .44777 .28314 .44331 Metetra
.66 .694 .87 r
.28314 .44331 .28675 .44777 .29241 .4458 .2888 .44137 Metetra
.651 .692 .876 r
.2888 .44137 .29241 .4458 .29808 .44384 .29447 .4396 Metetra
.636 .697 .889 r
.29447 .4396 .29808 .44384 .30376 .44195 .30013 .43806 Metetra
.619 .711 .911 r
.30013 .43806 .30376 .44195 .30945 .44017 .30579 .43674 Metetra
.607 .735 .936 r
.30579 .43674 .30945 .44017 .31514 .43852 .31146 .43552 Metetra
.616 .765 .951 r
.31146 .43552 .31514 .43852 .32083 .43698 .31715 .43413 Metetra
.658 .786 .943 r
.31715 .43413 .32083 .43698 .32654 .43543 .32289 .43222 Metetra
.711 .776 .903 r
.32289 .43222 .32654 .43543 .33228 .4337 .32869 .4295 Metetra
.738 .73 .844 r
.32869 .4295 .33228 .4337 .33804 .4316 .33455 .4259 Metetra
.732 .673 .793 r
.33455 .4259 .33804 .4316 .34385 .42906 .34045 .42177 Metetra
.703 .621 .762 r
.34045 .42177 .34385 .42906 .34968 .42614 .34634 .41788 Metetra
.653 .576 .756 r
.34634 .41788 .34968 .42614 .35553 .42317 .35217 .41533 Metetra
.559 .536 .786 r
.35217 .41533 .35553 .42317 .36136 .42062 .35788 .41512 Metetra
.267 .456 .86 r
.35788 .41512 .36136 .42062 .36716 .41899 .36348 .41765 Metetra
.632 .07 0 r
.36348 .41765 .36716 .41899 .37292 .41853 .369 .42223 Metetra
.681 .251 .22 r
.369 .42223 .37292 .41853 .37865 .41903 .37456 .42693 Metetra
.567 .194 .295 r
.37456 .42693 .37865 .41903 .3844 .41971 .38027 .42896 Metetra
.326 0 .208 r
.38027 .42896 .3844 .41971 .39021 .41943 .38623 .42574 Metetra
.38623 .42574 .39021 .41943 .39612 .41711 .39246 .4163 Metetra
.949 .831 .694 r
.39246 .4163 .39612 .41711 .40213 .41232 .39885 .40235 Metetra
.815 .636 .661 r
.39885 .40235 .40213 .41232 .40821 .4057 .40521 .38833 Metetra
.69 .515 .646 r
.40521 .38833 .40821 .4057 .41429 .39896 .41133 .38023 Metetra
.48 .365 .644 r
.41133 .38023 .41429 .39896 .4203 .39434 .41706 .38332 Metetra
0 0 .272 r
.41706 .38332 .4203 .39434 .4262 .39362 .4224 .39978 Metetra
.873 .544 .424 r
.4224 .39978 .4262 .39362 .43198 .39724 .4275 .4269 Metetra
.748 .461 .495 r
.4275 .4269 .43198 .39724 .43773 .40368 .43265 .4567 Metetra
.653 .388 .507 r
.43265 .4567 .43773 .40368 .44352 .40979 .43815 .4779 Metetra
.551 .306 .498 r
.43815 .4779 .44352 .40979 .44945 .41197 .44421 .48052 Metetra
.411 .192 .468 r
.44421 .48052 .44945 .41197 .45555 .40781 .45079 .46131 Metetra
.164 0 .381 r
.45079 .46131 .45555 .40781 .46177 .39755 .45764 .42663 Metetra
0 0 .094 r
.45764 .42663 .46177 .39755 .46802 .38429 .46441 .39044 Metetra
.976 .88 .507 r
.46441 .39044 .46802 .38429 .47422 .37281 .47082 .36853 Metetra
0 .316 .804 r
.47082 .36853 .47422 .37281 .48031 .36752 .47678 .37247 Metetra
.9 .568 .409 r
.47678 .37247 .48031 .36752 .48631 .37044 .4824 .40536 Metetra
.802 .513 .499 r
.4824 .40536 .48631 .37044 .49226 .38012 .48792 .45976 Metetra
.716 .448 .52 r
.48792 .45976 .49226 .38012 .49826 .39203 .49363 .51833 Metetra
.634 .385 .523 r
.49363 .51833 .49826 .39203 .50434 .40028 .49973 .55879 Metetra
.551 .318 .516 r
.49973 .55879 .50434 .40028 .51052 .40032 .5062 .56368 Metetra
.457 .244 .501 r
.5062 .56368 .51052 .40032 .51674 .39113 .51284 .53001 Metetra
.342 .153 .473 r
.51284 .53001 .51674 .39113 .52295 .37581 .51943 .47131 Metetra
.195 .034 .422 r
.51943 .47131 .52295 .37581 .52913 .36001 .5258 .41012 Metetra
.024 0 .335 r
.5258 .41012 .52913 .36001 .53528 .34939 .53201 .36726 Metetra
.141 0 .275 r
.53201 .36726 .53528 .34939 .54145 .34714 .53819 .3547 Metetra
.826 .471 .385 r
.53819 .3547 .54145 .34714 .5477 .35287 .54454 .37319 Metetra
.825 .516 .465 r
.54454 .37319 .5477 .35287 .55403 .36295 .55115 .41287 Metetra
.735 .454 .503 r
.55115 .41287 .55403 .36295 .56041 .37212 .55799 .45641 Metetra
.638 .381 .513 r
.55799 .45641 .56041 .37212 .56678 .37581 .56484 .48501 Metetra
.543 .307 .508 r
.56484 .48501 .56678 .37581 .57308 .37205 .57144 .48621 Metetra
.444 .23 .493 r
.57144 .48621 .57308 .37205 .57927 .36211 .57762 .45937 Metetra
.328 .138 .464 r
.57762 .45937 .57927 .36211 .58541 .34963 .58339 .41492 Metetra
.157 0 .403 r
.58339 .41492 .58541 .34963 .59154 .33874 .58897 .36812 Metetra
0 0 .196 r
.58897 .36812 .59154 .33874 .59777 .33238 .59462 .33217 Metetra
.985 .845 .621 r
.59462 .33217 .59777 .33238 .60412 .33135 .60058 .31415 Metetra
.551 .425 .662 r
.60058 .31415 .60412 .33135 .6106 .33435 .60696 .31427 Metetra
.216 .181 .602 r
.60696 .31427 .6106 .33435 .61716 .33881 .61373 .32721 Metetra
0 0 .422 r
.61373 .32721 .61716 .33881 .62373 .34204 .62072 .3447 Metetra
.844 .427 .244 r
.62072 .3447 .62373 .34204 .63023 .3423 .62768 .35857 Metetra
.606 .288 .404 r
.62768 .35857 .63023 .3423 .63664 .33924 .63442 .3635 Metetra
.443 .177 .414 r
.63442 .3635 .63664 .33924 .64297 .33377 .64083 .35838 Metetra
.295 .061 .378 r
.64083 .35838 .64297 .33377 .64926 .32748 .64696 .34582 Metetra
.085 0 .275 r
.64696 .34582 .64926 .32748 .65559 .32188 .65295 .33034 Metetra
.65295 .33034 .65559 .32188 .66199 .31789 .65895 .31631 Metetra
.937 .891 .759 r
.65895 .31631 .66199 .31789 .66847 .31569 .66511 .30655 Metetra
.7 .596 .737 r
.66511 .30655 .66847 .31569 .67504 .31481 .6715 .30189 Metetra
.566 .469 .704 r
.6715 .30189 .67504 .31481 .68165 .31449 .6781 .30146 Metetra
.495 .423 .705 r
.6781 .30146 .68165 .31449 .68828 .31398 .68484 .30342 Metetra
.46 .434 .742 r
.68484 .30342 .68828 .31398 .69489 .31281 .69164 .30579 Metetra
.466 .52 .829 r
.69164 .30579 .69489 .31281 .70148 .31083 .69841 .30709 Metetra
.526 .706 .953 r
.69841 .30709 .70148 .31083 .70804 .3082 .70511 .30659 Metetra
.607 .891 .989 r
.70511 .30659 .70804 .3082 .7146 .30521 .71173 .30434 Metetra
.682 .955 .95 r
.71173 .30434 .7146 .30521 .72117 .30219 .71829 .30085 Metetra
.749 .947 .945 r
.71829 .30085 .72117 .30219 .72776 .29936 .72483 .29686 Metetra
.76 .875 .931 r
.72483 .29686 .72776 .29936 .73439 .29682 .73138 .29298 Metetra
.726 .784 .898 r
.73138 .29298 .73439 .29682 .74105 .29455 .73798 .28959 Metetra
.686 .712 .868 r
.73798 .28959 .74105 .29455 .74774 .29245 .74462 .2868 Metetra
.656 .67 .852 r
.74462 .2868 .74774 .29245 .75444 .29042 .75132 .28452 Metetra
.639 .653 .848 r
.75132 .28452 .75444 .29042 .76117 .28837 .75806 .28257 Metetra
.634 .655 .853 r
.75806 .28257 .76117 .28837 .7679 .28624 .76483 .28072 Metetra
.637 .668 .863 r
.76483 .28072 .7679 .28624 .77465 .28401 .77161 .27884 Metetra
.645 .687 .875 r
.77161 .27884 .77465 .28401 .7814 .2817 .7784 .27681 Metetra
.654 .705 .884 r
.7784 .27681 .7814 .2817 .78817 .27934 .78519 .27463 Metetra
.662 .718 .89 r
.78519 .27463 .78817 .27934 .79495 .27696 .79198 .27232 Metetra
.666 .724 .892 r
.79198 .27232 .79495 .27696 .80174 .27458 .79879 .26993 Metetra
.668 .724 .891 r
.79879 .26993 .80174 .27458 .80856 .27221 .80561 .26749 Metetra
.668 .721 .889 r
.80561 .26749 .80856 .27221 .81539 .26985 .81244 .26506 Metetra
.666 .717 .887 r
.81244 .26506 .81539 .26985 .82224 .26751 .8193 .26264 Metetra
.664 .713 .885 r
.8193 .26264 .82224 .26751 .8291 .26517 .82617 .26024 Metetra
.663 .71 .883 r
.82617 .26024 .8291 .26517 .83598 .26283 .83306 .25787 Metetra
.662 .709 .883 r
.83306 .25787 .83598 .26283 .84288 .26048 .83997 .25551 Metetra
.656 .697 .876 r
.22347 .45795 .22716 .46226 .2327 .46043 .22902 .45612 Metetra
.656 .697 .876 r
.22902 .45612 .2327 .46043 .23825 .45861 .23458 .45428 Metetra
.657 .697 .875 r
.23458 .45428 .23825 .45861 .24381 .45679 .24015 .45244 Metetra
.658 .696 .874 r
.24015 .45244 .24381 .45679 .24939 .45496 .24573 .45057 Metetra
.659 .695 .872 r
.24573 .45057 .24939 .45496 .25497 .45312 .25133 .44867 Metetra
.661 .693 .869 r
.25133 .44867 .25497 .45312 .26058 .45125 .25694 .44674 Metetra
.662 .691 .867 r
.25694 .44674 .26058 .45125 .26619 .44933 .26256 .44477 Metetra
.662 .689 .865 r
.26256 .44477 .26619 .44933 .27183 .44735 .2682 .4428 Metetra
.66 .689 .867 r
.2682 .4428 .27183 .44735 .27748 .44533 .27385 .44086 Metetra
.655 .692 .872 r
.27385 .44086 .27748 .44533 .28314 .44331 .2795 .43901 Metetra
.647 .698 .883 r
.2795 .43901 .28314 .44331 .2888 .44137 .28516 .43729 Metetra
.638 .707 .896 r
.28516 .43729 .2888 .44137 .29447 .4396 .29081 .43572 Metetra
.632 .716 .908 r
.29081 .43572 .29447 .4396 .30013 .43806 .29648 .43423 Metetra
.635 .72 .909 r
.29648 .43423 .30013 .43806 .30579 .43674 .30216 .4327 Metetra
.651 .714 .894 r
.30216 .4327 .30579 .43674 .31146 .43552 .30787 .43092 Metetra
.673 .694 .861 r
.30787 .43092 .31146 .43552 .31715 .43413 .31362 .4287 Metetra
.689 .667 .823 r
.31362 .4287 .31715 .43413 .32289 .43222 .31942 .42594 Metetra
.695 .642 .793 r
.31942 .42594 .32289 .43222 .32869 .4295 .32525 .42275 Metetra
.691 .628 .781 r
.32525 .42275 .32869 .4295 .33455 .4259 .3311 .41948 Metetra
.678 .632 .796 r
.3311 .41948 .33455 .4259 .34045 .42177 .33692 .4167 Metetra
.64 .664 .857 r
.33692 .4167 .34045 .42177 .34634 .41788 .34269 .41502 Metetra
.463 .722 .981 r
.34269 .41502 .34634 .41788 .35217 .41533 .3484 .41486 Metetra
.215 0 0 r
.3484 .41486 .35217 .41533 .35788 .41512 .35405 .4161 Metetra
.48 0 0 r
.35405 .4161 .35788 .41512 .36348 .41765 .35968 .41801 Metetra
.327 0 0 r
.35968 .41801 .36348 .41765 .369 .42223 .36538 .41924 Metetra
.566 .755 .967 r
.36538 .41924 .369 .42223 .37456 .42693 .37121 .4183 Metetra
.695 .594 .738 r
.37121 .4183 .37456 .42693 .38027 .42896 .3772 .4141 Metetra
.698 .533 .661 r
.3772 .4141 .38027 .42896 .38623 .42574 .38333 .40668 Metetra
.693 .511 .637 r
.38333 .40668 .38623 .42574 .39246 .4163 .38954 .39746 Metetra
.685 .506 .639 r
.38954 .39746 .39246 .4163 .39885 .40235 .3957 .38903 Metetra
.665 .522 .68 r
.3957 .38903 .39885 .40235 .40521 .38833 .4017 .38434 Metetra
.34 .583 .933 r
.4017 .38434 .40521 .38833 .41133 .38023 .40749 .38557 Metetra
.733 .345 .316 r
.40749 .38557 .41133 .38023 .41706 .38332 .41309 .39312 Metetra
.748 .408 .408 r
.41309 .39312 .41706 .38332 .4224 .39978 .41859 .40504 Metetra
.8 .43 .356 r
.41859 .40504 .4224 .39978 .4275 .4269 .42415 .41727 Metetra
.022 .159 .669 r
.42415 .41727 .4275 .4269 .43265 .4567 .42991 .4249 Metetra
.561 .386 .602 r
.42991 .4249 .43265 .4567 .43815 .4779 .43595 .42396 Metetra
.615 .407 .577 r
.43595 .42396 .43815 .4779 .44421 .48052 .44225 .41329 Metetra
.634 .417 .57 r
.44225 .41329 .44421 .48052 .45079 .46131 .44871 .39532 Metetra
.643 .424 .571 r
.44871 .39532 .45079 .46131 .45764 .42663 .45517 .37542 Metetra
.644 .43 .579 r
.45517 .37542 .45764 .42663 .46441 .39044 .46148 .35999 Metetra
.614 .427 .605 r
.46148 .35999 .46441 .39044 .47082 .36853 .46758 .35427 Metetra
.322 .29 .667 r
.46758 .35427 .47082 .36853 .47678 .37247 .47349 .36059 Metetra
0 0 .347 r
.47349 .36059 .47678 .37247 .4824 .40536 .47929 .37749 Metetra
.038 .018 .502 r
.47929 .37749 .4824 .40536 .48792 .45976 .48511 .39994 Metetra
.38 .227 .544 r
.48511 .39994 .48792 .45976 .49363 .51833 .49105 .42058 Metetra
.495 .302 .547 r
.49105 .42058 .49363 .51833 .49973 .55879 .49718 .43204 Metetra
.551 .341 .549 r
.49718 .43204 .49973 .55879 .5062 .56368 .50346 .42965 Metetra
.588 .369 .551 r
.50346 .42965 .5062 .56368 .51284 .53001 .50982 .41337 Metetra
.619 .395 .555 r
.50982 .41337 .51284 .53001 .51943 .47131 .51616 .38785 Metetra
.648 .423 .563 r
.51616 .38785 .51943 .47131 .5258 .41012 .52243 .36069 Metetra
.674 .453 .578 r
.52243 .36069 .5258 .41012 .53201 .36726 .52862 .3397 Metetra
.655 .461 .61 r
.52862 .3397 .53201 .36726 .53819 .3547 .53479 .33047 Metetra
.475 .342 .619 r
.53479 .33047 .53819 .3547 .54454 .37319 .54101 .33484 Metetra
.352 .225 .565 r
.54101 .33484 .54454 .37319 .55115 .41287 .54736 .35045 Metetra
.391 .235 .547 r
.54736 .35045 .55115 .41287 .55799 .45641 .55383 .37144 Metetra
.45 .271 .546 r
.55383 .37144 .55799 .45641 .56484 .48501 .56039 .39015 Metetra
.504 .31 .55 r
.56039 .39015 .56484 .48501 .57144 .48621 .56692 .39968 Metetra
.559 .353 .558 r
.56692 .39968 .57144 .48621 .57762 .45937 .57333 .39637 Metetra
.625 .41 .57 r
.57333 .39637 .57762 .45937 .58339 .41492 .57954 .38113 Metetra
.723 .502 .589 r
.57954 .38113 .58339 .41492 .58897 .36812 .58557 .35879 Metetra
.886 .677 .615 r
.58557 .35879 .58897 .36812 .59462 .33217 .59153 .33597 Metetra
.961 .9 .526 r
.59153 .33597 .59462 .33217 .60058 .31415 .59755 .31861 Metetra
.59755 .31861 .60058 .31415 .60696 .31427 .60374 .31015 Metetra
.42 .624 .937 r
.60374 .31015 .60696 .31427 .61373 .32721 .61017 .31087 Metetra
.336 .287 .654 r
.61017 .31087 .61373 .32721 .62072 .3447 .61683 .31829 Metetra
.38 .272 .604 r
.61683 .31829 .62072 .3447 .62768 .35857 .62362 .32823 Metetra
.436 .302 .599 r
.62362 .32823 .62768 .35857 .63442 .3635 .63041 .33636 Metetra
.503 .357 .615 r
.63041 .33636 .63442 .3635 .64083 .35838 .63709 .33962 Metetra
.6 .451 .651 r
.63709 .33962 .64083 .35838 .64696 .34582 .64358 .33702 Metetra
.761 .633 .719 r
.64358 .33702 .64696 .34582 .65295 .33034 .6499 .32963 Metetra
.946 .926 .753 r
.6499 .32963 .65295 .33034 .65895 .31631 .65611 .31979 Metetra
.714 .883 .491 r
.65611 .31979 .65895 .31631 .66511 .30655 .66231 .31011 Metetra
.66231 .31011 .66511 .30655 .6715 .30189 .66859 .30256 Metetra
.641 .963 .811 r
.66859 .30256 .6715 .30189 .6781 .30146 .67501 .29802 Metetra
.623 .767 .949 r
.67501 .29802 .6781 .30146 .68484 .30342 .68158 .29632 Metetra
.531 .554 .823 r
.68158 .29632 .68484 .30342 .69164 .30579 .68826 .29652 Metetra
.513 .49 .768 r
.68826 .29652 .69164 .30579 .69841 .30709 .69501 .2974 Metetra
.531 .493 .759 r
.69501 .2974 .69841 .30709 .70511 .30659 .70177 .2979 Metetra
.572 .537 .777 r
.70177 .2979 .70511 .30659 .71173 .30434 .70849 .29735 Metetra
.626 .609 .814 r
.70849 .29735 .71173 .30434 .71829 .30085 .71516 .29558 Metetra
.683 .697 .857 r
.71516 .29558 .71829 .30085 .72483 .29686 .72178 .29281 Metetra
.722 .77 .891 r
.72178 .29281 .72483 .29686 .73138 .29298 .72838 .28946 Metetra
.732 .805 .909 r
.72838 .28946 .73138 .29298 .73798 .28959 .73499 .28599 Metetra
.72 .797 .912 r
.73499 .28599 .73798 .28959 .74462 .2868 .74161 .28274 Metetra
.697 .763 .903 r
.74161 .28274 .74462 .2868 .75132 .28452 .74828 .27987 Metetra
.672 .723 .888 r
.74828 .27987 .75132 .28452 .75806 .28257 .75499 .27739 Metetra
.653 .691 .872 r
.75499 .27739 .75806 .28257 .76483 .28072 .76174 .27521 Metetra
.644 .672 .862 r
.76174 .27521 .76483 .28072 .77161 .27884 .76852 .27319 Metetra
.641 .666 .858 r
.76852 .27319 .77161 .27884 .7784 .27681 .77532 .2712 Metetra
.644 .669 .859 r
.77532 .2712 .7784 .27681 .78519 .27463 .78213 .26914 Metetra
.65 .677 .863 r
.78213 .26914 .78519 .27463 .79198 .27232 .78895 .26698 Metetra
.656 .687 .867 r
.78895 .26698 .79198 .27232 .79879 .26993 .79578 .26471 Metetra
.661 .695 .871 r
.79578 .26471 .79879 .26993 .80561 .26749 .80261 .26236 Metetra
.664 .7 .874 r
.80261 .26236 .80561 .26749 .81244 .26506 .80946 .25995 Metetra
.665 .703 .875 r
.80946 .25995 .81244 .26506 .8193 .26264 .81632 .25752 Metetra
.664 .703 .875 r
.81632 .25752 .8193 .26264 .82617 .26024 .8232 .2551 Metetra
.663 .701 .875 r
.8232 .2551 .82617 .26024 .83306 .25787 .8301 .25268 Metetra
.662 .699 .874 r
.8301 .25268 .83306 .25787 .83997 .25551 .83702 .25029 Metetra
.656 .686 .866 r
.2198 .4534 .22347 .45795 .22902 .45612 .22535 .45154 Metetra
.657 .685 .865 r
.22535 .45154 .22902 .45612 .23458 .45428 .23091 .44966 Metetra
.658 .684 .863 r
.23091 .44966 .23458 .45428 .24015 .45244 .23649 .44776 Metetra
.659 .682 .861 r
.23649 .44776 .24015 .45244 .24573 .45057 .24209 .44584 Metetra
.659 .68 .859 r
.24209 .44584 .24573 .45057 .25133 .44867 .24769 .4439 Metetra
.658 .678 .858 r
.24769 .4439 .25133 .44867 .25694 .44674 .25331 .44196 Metetra
.656 .678 .859 r
.25331 .44196 .25694 .44674 .26256 .44477 .25893 .44006 Metetra
.652 .68 .863 r
.25893 .44006 .26256 .44477 .2682 .4428 .26456 .43823 Metetra
.647 .685 .872 r
.26456 .43823 .2682 .4428 .27385 .44086 .2702 .43651 Metetra
.642 .694 .883 r
.2702 .43651 .27385 .44086 .2795 .43901 .27584 .43487 Metetra
.641 .705 .893 r
.27584 .43487 .2795 .43901 .28516 .43729 .28149 .43325 Metetra
.647 .712 .895 r
.28149 .43325 .28516 .43729 .29081 .43572 .28717 .43153 Metetra
.662 .71 .883 r
.28717 .43153 .29081 .43572 .29648 .43423 .29287 .42956 Metetra
.679 .692 .856 r
.29287 .42956 .29648 .43423 .30216 .4327 .29861 .42721 Metetra
.687 .664 .822 r
.29861 .42721 .30216 .4327 .30787 .43092 .30439 .42448 Metetra
.684 .633 .792 r
.30439 .42448 .30787 .43092 .31362 .4287 .31019 .42154 Metetra
.67 .609 .778 r
.31019 .42154 .31362 .4287 .31942 .42594 .31599 .41877 Metetra
.646 .597 .785 r
.31599 .41877 .31942 .42594 .32525 .42275 .32176 .41665 Metetra
.601 .608 .831 r
.32176 .41665 .32525 .42275 .3311 .41948 .32747 .41563 Metetra
.466 .656 .943 r
.32747 .41563 .3311 .41948 .33692 .4167 .33313 .41584 Metetra
0 .49 .736 r
.33313 .41584 .33692 .4167 .34269 .41502 .33876 .41685 Metetra
.399 0 0 r
.33876 .41685 .34269 .41502 .3484 .41486 .34442 .41771 Metetra
.265 0 0 r
.34442 .41771 .3484 .41486 .35405 .4161 .35019 .41707 Metetra
.561 .935 .843 r
.35019 .41707 .35405 .4161 .35968 .41801 .3561 .41379 Metetra
.811 .745 .791 r
.3561 .41379 .35968 .41801 .36538 .41924 .36218 .40756 Metetra
.735 .578 .68 r
.36218 .40756 .36538 .41924 .37121 .4183 .36835 .3994 Metetra
.677 .501 .64 r
.36835 .3994 .37121 .4183 .3772 .4141 .37449 .39164 Metetra
.619 .448 .628 r
.37449 .39164 .3772 .4141 .38333 .40668 .38047 .38723 Metetra
.522 .39 .642 r
.38047 .38723 .38333 .40668 .38954 .39746 .38621 .38858 Metetra
0 .111 .648 r
.38621 .38858 .38954 .39746 .3957 .38903 .39171 .39623 Metetra
.773 .419 .385 r
.39171 .39623 .3957 .38903 .4017 .38434 .39709 .40807 Metetra
.662 .371 .467 r
.39709 .40807 .4017 .38434 .40749 .38557 .40255 .41946 Metetra
.584 .313 .473 r
.40255 .41946 .40749 .38557 .41309 .39312 .4083 .42474 Metetra
.462 .204 .437 r
.4083 .42474 .41309 .39312 .41859 .40504 .41443 .41981 Metetra
0 0 .063 r
.41443 .41981 .41859 .40504 .42415 .41727 .4209 .40456 Metetra
.831 .627 .627 r
.4209 .40456 .42415 .41727 .42991 .4249 .42749 .3838 Metetra
.679 .464 .587 r
.42749 .3838 .42991 .4249 .43595 .42396 .43396 .36563 Metetra
.591 .386 .572 r
.43396 .36563 .43595 .42396 .44225 .41329 .4401 .35823 Metetra
.482 .304 .562 r
.4401 .35823 .44225 .41329 .44871 .39532 .44584 .3663 Metetra
.049 .019 .498 r
.44584 .3663 .44871 .39532 .45517 .37542 .45131 .38871 Metetra
.829 .512 .454 r
.45131 .38871 .45517 .37542 .46148 .35999 .45674 .41788 Metetra
.656 .391 .507 r
.45674 .41788 .46148 .35999 .46758 .35427 .4624 .44198 Metetra
.567 .324 .507 r
.4624 .44198 .46758 .35427 .47349 .36059 .46846 .44971 Metetra
.475 .248 .49 r
.46846 .44971 .47349 .36059 .47929 .37749 .47489 .43617 Metetra
.267 .072 .42 r
.47489 .43617 .47929 .37749 .48511 .39994 .48152 .40595 Metetra
1 .821 .5 r
.48152 .40595 .48511 .39994 .49105 .42058 .4881 .3712 Metetra
.693 .469 .578 r
.4881 .3712 .49105 .42058 .49718 .43204 .49449 .34584 Metetra
.571 .362 .558 r
.49449 .34584 .49718 .43204 .50346 .42965 .50065 .33962 Metetra
.472 .285 .545 r
.50065 .33962 .50346 .42965 .50982 .41337 .50669 .35461 Metetra
.28 .153 .523 r
.50669 .35461 .50982 .41337 .51616 .38785 .51275 .38434 Metetra
.95 .597 .28 r
.51275 .38434 .51616 .38785 .52243 .36069 .51894 .41593 Metetra
.638 .373 .5 r
.51894 .41593 .52243 .36069 .52862 .3397 .52529 .43509 Metetra
.527 .292 .502 r
.52529 .43509 .52862 .3397 .53479 .33047 .53168 .43264 Metetra
.441 .225 .488 r
.53168 .43264 .53479 .33047 .54101 .33484 .538 .40912 Metetra
.308 .115 .447 r
.538 .40912 .54101 .33484 .54736 .35045 .54419 .37409 Metetra
0 0 .071 r
.54419 .37409 .54736 .35045 .55383 .37144 .55027 .3409 Metetra
.724 .506 .595 r
.55027 .3409 .55383 .37144 .56039 .39015 .55637 .32054 Metetra
.559 .357 .563 r
.55637 .32054 .56039 .39015 .56692 .39968 .56262 .31785 Metetra
.479 .293 .55 r
.56262 .31785 .56692 .39968 .57333 .39637 .56911 .33065 Metetra
.404 .243 .547 r
.56911 .33065 .57333 .39637 .57954 .38113 .57579 .35122 Metetra
.225 .152 .56 r
.57579 .35122 .57954 .38113 .58557 .35879 .58254 .36954 Metetra
.68 .325 .367 r
.58254 .36954 .58557 .35879 .59153 .33597 .58917 .37736 Metetra
.477 .23 .46 r
.58917 .37736 .59153 .33597 .59755 .31861 .59556 .37152 Metetra
.398 .176 .457 r
.59556 .37152 .59755 .31861 .60374 .31015 .60169 .35468 Metetra
.31 .102 .427 r
.60169 .35468 .60374 .31015 .61017 .31087 .60765 .33332 Metetra
.068 0 .29 r
.60765 .33332 .61017 .31087 .61683 .31829 .61361 .31445 Metetra
.908 .788 .717 r
.61361 .31445 .61683 .31829 .62362 .32823 .61975 .30288 Metetra
.59 .42 .62 r
.61975 .30288 .62362 .32823 .63041 .33636 .62614 .30002 Metetra
.504 .34 .591 r
.62614 .30002 .63041 .33636 .63709 .33962 .63278 .30409 Metetra
.464 .312 .59 r
.63278 .30409 .63709 .33962 .64358 .33702 .63958 .31136 Metetra
.444 .319 .615 r
.63958 .31136 .64358 .33702 .6499 .32963 .64641 .31781 Metetra
.454 .412 .722 r
.64641 .31781 .6499 .32963 .65611 .31979 .65313 .32055 Metetra
.222 .735 .704 r
.65313 .32055 .65611 .31979 .66231 .31011 .65969 .31862 Metetra
.177 0 .142 r
.65969 .31862 .66231 .31011 .66859 .30256 .6661 .31286 Metetra
.146 0 .182 r
.6661 .31286 .66859 .30256 .67501 .29802 .67241 .3052 Metetra
0 0 .012 r
.67241 .3052 .67501 .29802 .68158 .29632 .67873 .29771 Metetra
.669 .953 .712 r
.67873 .29771 .68158 .29632 .68826 .29652 .68512 .29186 Metetra
.727 .739 .861 r
.68512 .29186 .68826 .29652 .69501 .2974 .69164 .28825 Metetra
.611 .549 .761 r
.69164 .28825 .69501 .2974 .70177 .2979 .69827 .2866 Metetra
.566 .489 .728 r
.69827 .2866 .70177 .2979 .70849 .29735 .70499 .28616 Metetra
.556 .485 .731 r
.70499 .28616 .70849 .29735 .71516 .29558 .71176 .28603 Metetra
.571 .52 .759 r
.71176 .28603 .71516 .29558 .72178 .29281 .71852 .28548 Metetra
.605 .59 .809 r
.71852 .28548 .72178 .29281 .72838 .28946 .72526 .28416 Metetra
.651 .683 .867 r
.72526 .28416 .72838 .28946 .73499 .28599 .73196 .28201 Metetra
.69 .766 .91 r
.73196 .28201 .73499 .28599 .74161 .28274 .73863 .27927 Metetra
.708 .803 .924 r
.73863 .27927 .74161 .28274 .74828 .27987 .7453 .27623 Metetra
.707 .793 .918 r
.7453 .27623 .74828 .27987 .75499 .27739 .75199 .27319 Metetra
.694 .757 .9 r
.75199 .27319 .75499 .27739 .76174 .27521 .7587 .27034 Metetra
.676 .716 .879 r
.7587 .27034 .76174 .27521 .76852 .27319 .76544 .26775 Metetra
.66 .684 .862 r
.76544 .26775 .76852 .27319 .77532 .2712 .77222 .26539 Metetra
.65 .665 .851 r
.77222 .26539 .77532 .2712 .78213 .26914 .77903 .26319 Metetra
.646 .658 .847 r
.77903 .26319 .78213 .26914 .78895 .26698 .78586 .26105 Metetra
.646 .659 .848 r
.78586 .26105 .78895 .26698 .79578 .26471 .7927 .2589 Metetra
.65 .666 .852 r
.7927 .2589 .79578 .26471 .80261 .26236 .79956 .2567 Metetra
.654 .674 .857 r
.79956 .2567 .80261 .26236 .80946 .25995 .80643 .25442 Metetra
.657 .682 .862 r
.80643 .25442 .80946 .25995 .81632 .25752 .81331 .25208 Metetra
.66 .687 .865 r
.81331 .25208 .81632 .25752 .8232 .2551 .8202 .24969 Metetra
.661 .69 .866 r
.8202 .24969 .8232 .2551 .8301 .25268 .82711 .24728 Metetra
.661 .69 .866 r
.82711 .24728 .8301 .25268 .83702 .25029 .83404 .24486 Metetra
.657 .675 .856 r
.21613 .44859 .2198 .4534 .22535 .45154 .22169 .44669 Metetra
.657 .674 .855 r
.22169 .44669 .22535 .45154 .23091 .44966 .22726 .44477 Metetra
.657 .673 .853 r
.22726 .44477 .23091 .44966 .23649 .44776 .23285 .44284 Metetra
.657 .672 .852 r
.23285 .44284 .23649 .44776 .24209 .44584 .23845 .44091 Metetra
.655 .671 .853 r
.23845 .44091 .24209 .44584 .24769 .4439 .24405 .43901 Metetra
.652 .672 .856 r
.24405 .43901 .24769 .4439 .25331 .44196 .24966 .43717 Metetra
.648 .675 .862 r
.24966 .43717 .25331 .44196 .25893 .44006 .25528 .4354 Metetra
.645 .68 .869 r
.25528 .4354 .25893 .44006 .26456 .43823 .26091 .43371 Metetra
.644 .686 .875 r
.26091 .43371 .26456 .43823 .2702 .43651 .26654 .43203 Metetra
.648 .691 .876 r
.26654 .43203 .2702 .43651 .27584 .43487 .2722 .43029 Metetra
.659 .69 .868 r
.2722 .43029 .27584 .43487 .28149 .43325 .27788 .42834 Metetra
.672 .68 .85 r
.27788 .42834 .28149 .43325 .28717 .43153 .2836 .4261 Metetra
.682 .664 .826 r
.2836 .4261 .28717 .43153 .29287 .42956 .28935 .42352 Metetra
.683 .644 .805 r
.28935 .42352 .29287 .42956 .29861 .42721 .29513 .42071 Metetra
.676 .628 .794 r
.29513 .42071 .29861 .42721 .30439 .42448 .30091 .41797 Metetra
.658 .62 .8 r
.30091 .41797 .30439 .42448 .31019 .42154 .30667 .41571 Metetra
.62 .626 .835 r
.30667 .41571 .31019 .42154 .31599 .41877 .31238 .41434 Metetra
.533 .652 .911 r
.31238 .41434 .31599 .41877 .32176 .41665 .31804 .41408 Metetra
.288 .658 .97 r
.31804 .41408 .32176 .41665 .32747 .41563 .32365 .41474 Metetra
0 .522 .764 r
.32365 .41474 .32747 .41563 .33313 .41584 .32928 .41562 Metetra
.051 .617 .764 r
.32928 .41562 .33313 .41584 .33876 .41685 .33498 .41558 Metetra
.63 .891 .987 r
.33498 .41558 .33876 .41685 .34442 .41771 .34082 .41345 Metetra
.779 .74 .817 r
.34082 .41345 .34442 .41771 .35019 .41707 .34682 .40852 Metetra
.759 .626 .713 r
.34682 .40852 .35019 .41707 .3561 .41379 .35296 .40113 Metetra
.726 .566 .672 r
.35296 .40113 .3561 .41379 .36218 .40756 .35914 .39289 Metetra
.685 .526 .665 r
.35914 .39289 .36218 .40756 .36835 .3994 .36522 .38642 Metetra
.607 .488 .692 r
.36522 .38642 .36835 .3994 .37449 .39164 .37108 .38449 Metetra
.15 .314 .776 r
.37108 .38449 .37449 .39164 .38047 .38723 .37665 .3889 Metetra
.83 .42 .267 r
.37665 .3889 .38047 .38723 .38621 .38858 .382 .39939 Metetra
.757 .426 .425 r
.382 .39939 .38621 .38858 .39171 .39623 .38726 .41309 Metetra
.698 .388 .448 r
.38726 .41309 .39171 .39623 .39709 .40807 .39267 .425 Metetra
.603 .295 .419 r
.39267 .425 .39709 .40807 .40255 .41946 .39843 .42957 Metetra
.135 0 .133 r
.39843 .42957 .40255 .41946 .4083 .42474 .40463 .42318 Metetra
.947 .799 .665 r
.40463 .42318 .4083 .42474 .41443 .41981 .4112 .40629 Metetra
.831 .623 .622 r
.4112 .40629 .41443 .41981 .4209 .40456 .41791 .38408 Metetra
.766 .557 .615 r
.41791 .38408 .4209 .40456 .42749 .3838 .42446 .36487 Metetra
.676 .5 .639 r
.42446 .36487 .42749 .3838 .43396 .36563 .43061 .35712 Metetra
0 0 .574 r
.43061 .35712 .43396 .36563 .4401 .35823 .4363 .36627 Metetra
.856 .526 .427 r
.4363 .36627 .4401 .35823 .44584 .3663 .44159 .3924 Metetra
.788 .493 .488 r
.44159 .3924 .44584 .3663 .45131 .38871 .44675 .42927 Metetra
.736 .454 .502 r
.44675 .42927 .45131 .38871 .45674 .41788 .45209 .46531 Metetra
.664 .393 .5 r
.45209 .46531 .45674 .41788 .4624 .44198 .45787 .48721 Metetra
.518 .265 .471 r
.45787 .48721 .4624 .44198 .46846 .44971 .46418 .48562 Metetra
.109 0 .33 r
.46418 .48562 .46846 .44971 .47489 .43617 .47091 .46006 Metetra
.47091 .46006 .47489 .43617 .48152 .40595 .47778 .41975 Metetra
.952 .813 .37 r
.47778 .41975 .48152 .40595 .4881 .3712 .48451 .37956 Metetra
.951 .856 .435 r
.48451 .37956 .4881 .3712 .49449 .34584 .49095 .35398 Metetra
.382 .011 .203 r
.49095 .35398 .49449 .34584 .50065 .33962 .49711 .3521 Metetra
.809 .481 .434 r
.49711 .3521 .50065 .33962 .50669 .35461 .50312 .37508 Metetra
.826 .519 .469 r
.50312 .37508 .50669 .35461 .51275 .38434 .50915 .41564 Metetra
.79 .494 .487 r
.50915 .41564 .51275 .38434 .51894 .41593 .51535 .45959 Metetra
.708 .426 .496 r
.51535 .45959 .51894 .41593 .52529 .43509 .52176 .4902 Metetra
.562 .308 .488 r
.52176 .4902 .52529 .43509 .53168 .43264 .52829 .49486 Metetra
.356 .145 .45 r
.52829 .49486 .53168 .43264 .538 .40912 .53478 .47095 Metetra
.138 0 .385 r
.53478 .47095 .538 .40912 .54419 .37409 .54109 .42701 Metetra
0 0 .316 r
.54109 .42701 .54419 .37409 .55027 .3409 .54722 .37809 Metetra
0 0 .251 r
.54722 .37809 .55027 .3409 .55637 .32054 .55326 .33904 Metetra
0 0 .171 r
.55326 .33904 .55637 .32054 .56262 .31785 .55938 .31943 Metetra
.488 0 0 r
.55938 .31943 .56262 .31785 .56911 .33065 .56573 .32152 Metetra
.704 .376 0 r
.56573 .32152 .56911 .33065 .57579 .35122 .57237 .34055 Metetra
.8 .48 0 r
.57237 .34055 .57579 .35122 .58254 .36954 .57923 .3667 Metetra
.919 .524 .165 r
.57923 .3667 .58254 .36954 .58917 .37736 .58613 .3885 Metetra
.686 .333 .371 r
.58613 .3885 .58917 .37736 .59556 .37152 .59287 .39694 Metetra
.386 .13 .399 r
.59287 .39694 .59556 .37152 .60169 .35468 .59928 .38877 Metetra
.21 .011 .377 r
.59928 .38877 .60169 .35468 .60765 .33332 .60534 .36719 Metetra
.086 0 .337 r
.60534 .36719 .60765 .33332 .61361 .31445 .61117 .33962 Metetra
0 0 .256 r
.61117 .33962 .61361 .31445 .61975 .30288 .61698 .31421 Metetra
.61698 .31421 .61975 .30288 .62614 .30002 .62296 .29683 Metetra
.862 .828 .813 r
.62296 .29683 .62614 .30002 .63278 .30409 .62923 .28979 Metetra
.494 .409 .689 r
.62923 .28979 .63278 .30409 .63958 .31136 .63583 .29183 Metetra
.376 .296 .637 r
.63583 .29183 .63958 .31136 .64641 .31781 .64266 .29932 Metetra
.337 .275 .639 r
.64266 .29932 .64641 .31781 .65313 .32055 .64959 .30775 Metetra
.348 .332 .699 r
.64959 .30775 .65313 .32055 .65969 .31862 .65646 .31333 Metetra
.463 .589 .893 r
.65646 .31333 .65969 .31862 .6661 .31286 .66316 .31405 Metetra
.496 .888 .723 r
.66316 .31405 .6661 .31286 .67241 .3052 .66967 .30995 Metetra
.66967 .30995 .67241 .3052 .67873 .29771 .67603 .30259 Metetra
.67603 .30259 .67873 .29771 .68512 .29186 .68232 .29415 Metetra
.693 .923 .599 r
.68232 .29415 .68512 .29186 .69164 .28825 .68865 .28659 Metetra
.839 .932 .89 r
.68865 .28659 .69164 .28825 .69827 .2866 .69509 .28107 Metetra
.699 .693 .841 r
.69509 .28107 .69827 .2866 .70499 .28616 .70166 .27787 Metetra
.603 .564 .783 r
.70166 .27787 .70499 .28616 .71176 .28603 .70835 .27651 Metetra
.563 .516 .761 r
.70835 .27651 .71176 .28603 .71852 .28548 .71513 .27616 Metetra
.557 .516 .766 r
.71513 .27616 .71852 .28548 .72526 .28416 .72193 .27596 Metetra
.575 .552 .791 r
.72193 .27596 .72526 .28416 .73196 .28201 .72874 .27529 Metetra
.611 .612 .828 r
.72874 .27529 .73196 .28201 .73863 .27927 .73551 .27385 Metetra
.653 .681 .864 r
.73551 .27385 .73863 .27927 .7453 .27623 .74225 .27164 Metetra
.685 .734 .887 r
.74225 .27164 .7453 .27623 .75199 .27319 .74896 .2689 Metetra
.7 .755 .894 r
.74896 .2689 .75199 .27319 .7587 .27034 .75567 .2659 Metetra
.699 .747 .889 r
.75567 .2659 .7587 .27034 .76544 .26775 .7624 .26291 Metetra
.687 .724 .878 r
.7624 .26291 .76544 .26775 .77222 .26539 .76915 .26009 Metetra
.672 .697 .865 r
.76915 .26009 .77222 .26539 .77903 .26319 .77594 .25749 Metetra
.659 .675 .854 r
.77594 .25749 .77903 .26319 .78586 .26105 .78275 .2551 Metetra
.651 .661 .847 r
.78275 .2551 .78586 .26105 .7927 .2589 .7896 .25285 Metetra
.647 .656 .845 r
.7896 .25285 .7927 .2589 .79956 .2567 .79647 .25065 Metetra
.647 .657 .846 r
.79647 .25065 .79956 .2567 .80643 .25442 .80335 .24846 Metetra
.649 .662 .848 r
.80335 .24846 .80643 .25442 .81331 .25208 .81025 .24622 Metetra
.653 .668 .852 r
.81025 .24622 .81331 .25208 .8202 .24969 .81716 .24393 Metetra
.656 .673 .855 r
.81716 .24393 .8202 .24969 .82711 .24728 .82409 .24157 Metetra
.658 .677 .857 r
.82409 .24157 .82711 .24728 .83404 .24486 .83102 .23918 Metetra
.656 .667 .849 r
.21247 .44358 .21613 .44859 .22169 .44669 .21804 .44166 Metetra
.655 .666 .849 r
.21804 .44166 .22169 .44669 .22726 .44477 .22361 .43974 Metetra
.654 .666 .849 r
.22361 .43974 .22726 .44477 .23285 .44284 .2292 .43785 Metetra
.652 .667 .852 r
.2292 .43785 .23285 .44284 .23845 .44091 .23479 .43599 Metetra
.65 .67 .856 r
.23479 .43599 .23845 .44091 .24405 .43901 .2404 .43418 Metetra
.648 .673 .861 r
.2404 .43418 .24405 .43901 .24966 .43717 .24601 .43242 Metetra
.647 .677 .864 r
.24601 .43242 .24966 .43717 .25528 .4354 .25163 .43066 Metetra
.651 .679 .864 r
.25163 .43066 .25528 .4354 .26091 .43371 .25727 .42885 Metetra
.658 .677 .857 r
.25727 .42885 .26091 .43371 .26654 .43203 .26293 .42689 Metetra
.666 .668 .843 r
.26293 .42689 .26654 .43203 .2722 .43029 .26862 .42471 Metetra
.673 .655 .824 r
.26862 .42471 .2722 .43029 .27788 .42834 .27434 .4223 Metetra
.674 .64 .809 r
.27434 .4223 .27788 .42834 .2836 .4261 .28009 .41975 Metetra
.668 .629 .801 r
.28009 .41975 .2836 .4261 .28935 .42352 .28583 .41726 Metetra
.654 .626 .809 r
.28583 .41726 .28935 .42352 .29513 .42071 .29157 .41513 Metetra
.628 .638 .841 r
.29157 .41513 .29513 .42071 .30091 .41797 .29727 .41364 Metetra
.573 .673 .907 r
.29727 .41364 .30091 .41797 .30667 .41571 .30293 .41291 Metetra
.449 .721 .983 r
.30293 .41291 .30667 .41571 .31238 .41434 .30856 .41279 Metetra
.298 .733 .968 r
.30856 .41279 .31238 .41434 .31804 .41408 .31421 .41275 Metetra
.421 .81 .988 r
.31421 .41275 .31804 .41408 .32365 .41474 .31993 .41199 Metetra
.682 .803 .939 r
.31993 .41199 .32365 .41474 .32928 .41562 .32575 .4097 Metetra
.732 .669 .789 r
.32575 .4097 .32928 .41562 .33498 .41558 .33171 .40545 Metetra
.714 .582 .706 r
.33171 .40545 .33498 .41558 .34082 .41345 .33776 .39958 Metetra
.688 .533 .671 r
.33776 .39958 .34082 .41345 .34682 .40852 .34383 .39329 Metetra
.656 .504 .665 r
.34383 .39329 .34682 .40852 .35296 .40113 .34983 .3884 Metetra
.601 .486 .695 r
.34983 .3884 .35296 .40113 .35914 .39289 .35566 .38673 Metetra
.304 .45 .842 r
.35566 .38673 .35914 .39289 .36522 .38642 .36129 .38924 Metetra
.733 .298 .217 r
.36129 .38924 .36522 .38642 .37108 .38449 .36677 .3954 Metetra
.681 .343 .396 r
.36677 .3954 .37108 .38449 .37665 .3889 .37222 .40292 Metetra
.628 .306 .406 r
.37222 .40292 .37665 .3889 .382 .39939 .37782 .40836 Metetra
.487 .123 .273 r
.37782 .40836 .382 .39939 .38726 .41309 .3837 .4084 Metetra
.816 .734 .774 r
.3837 .4084 .38726 .41309 .39267 .425 .38989 .40147 Metetra
.702 .505 .618 r
.38989 .40147 .39267 .425 .39843 .42957 .3963 .38876 Metetra
.659 .449 .588 r
.3963 .38876 .39843 .42957 .40463 .42318 .40276 .37416 Metetra
.625 .416 .58 r
.40276 .37416 .40463 .42318 .4112 .40629 .40907 .36272 Metetra
.58 .386 .582 r
.40907 .36272 .4112 .40629 .41791 .38408 .41511 .35867 Metetra
.462 .326 .61 r
.41511 .35867 .41791 .38408 .42446 .36487 .42086 .36348 Metetra
.871 .433 .14 r
.42086 .36348 .42446 .36487 .43061 .35712 .42644 .37512 Metetra
.705 .396 .451 r
.42644 .37512 .43061 .35712 .4363 .36627 .43204 .38856 Metetra
.645 .348 .453 r
.43204 .38856 .4363 .36627 .44159 .3924 .43782 .39777 Metetra
.476 .046 .142 r
.43782 .39777 .44159 .3924 .44675 .42927 .44387 .39836 Metetra
.641 .446 .604 r
.44387 .39836 .44675 .42927 .45209 .46531 .45016 .38962 Metetra
.612 .396 .564 r
.45016 .38962 .45209 .46531 .45787 .48721 .45657 .37476 Metetra
.593 .374 .553 r
.45657 .37476 .45787 .48721 .46418 .48562 .46297 .35911 Metetra
.576 .359 .549 r
.46297 .35911 .46418 .48562 .47091 .46006 .46925 .34751 Metetra
.56 .348 .55 r
.46925 .34751 .47091 .46006 .47778 .41975 .47541 .34218 Metetra
.543 .341 .557 r
.47541 .34218 .47778 .41975 .48451 .37956 .4815 .3422 Metetra
.521 .348 .587 r
.4815 .3422 .48451 .37956 .49095 .35398 .48759 .3445 Metetra
.487 .465 .759 r
.48759 .3445 .49095 .35398 .49711 .3521 .49371 .34585 Metetra
.6 .612 .835 r
.49371 .34585 .49711 .3521 .50312 .37508 .49989 .34475 Metetra
.579 .401 .605 r
.49989 .34475 .50312 .37508 .50915 .41564 .50609 .34214 Metetra
.552 .349 .56 r
.50609 .34214 .50915 .41564 .51535 .45959 .51229 .3405 Metetra
.536 .329 .546 r
.51229 .3405 .51535 .45959 .52176 .4902 .51851 .34201 Metetra
.528 .32 .541 r
.51851 .34201 .52176 .4902 .52829 .49486 .52476 .34686 Metetra
.525 .318 .541 r
.52476 .34686 .52829 .49486 .53478 .47095 .53105 .35266 Metetra
.532 .326 .546 r
.53105 .35266 .53478 .47095 .54109 .42701 .53737 .35555 Metetra
.561 .357 .562 r
.53737 .35555 .54109 .42701 .54722 .37809 .54369 .35221 Metetra
.67 .476 .613 r
.54369 .35221 .54722 .37809 .55326 .33904 .54997 .34192 Metetra
.962 .927 .596 r
.54997 .34192 .55326 .33904 .55938 .31943 .55618 .32736 Metetra
.55618 .32736 .55938 .31943 .56573 .32152 .56237 .31348 Metetra
.785 .653 .718 r
.56237 .31348 .56573 .32152 .57237 .34055 .56861 .3053 Metetra
.542 .367 .594 r
.56861 .3053 .57237 .34055 .57923 .3667 .57497 .30569 Metetra
.487 .306 .561 r
.57497 .30569 .57923 .3667 .58613 .3885 .5815 .31418 Metetra
.471 .289 .552 r
.5815 .31418 .58613 .3885 .59287 .39694 .58818 .32705 Metetra
.473 .293 .555 r
.58818 .32705 .59287 .39694 .59928 .38877 .59491 .3388 Metetra
.5 .323 .572 r
.59491 .3388 .59928 .38877 .60534 .36719 .60157 .34437 Metetra
.598 .434 .63 r
.60157 .34437 .60534 .36719 .61117 .33962 .60804 .3412 Metetra
.936 .962 .67 r
.60804 .3412 .61117 .33962 .61698 .31421 .6143 .33015 Metetra
0 0 .202 r
.6143 .33015 .61698 .31421 .62296 .29683 .62041 .31483 Metetra
.077 0 .261 r
.62041 .31483 .62296 .29683 .62923 .28979 .62649 .29989 Metetra
0 0 .081 r
.62649 .29989 .62923 .28979 .63583 .29183 .63268 .28915 Metetra
.801 .86 .893 r
.63268 .28915 .63583 .29183 .64266 .29932 .63907 .28444 Metetra
.528 .427 .684 r
.63907 .28444 .64266 .29932 .64959 .30775 .64568 .28534 Metetra
.469 .347 .63 r
.64568 .28534 .64959 .30775 .65646 .31333 .65246 .28971 Metetra
.461 .337 .625 r
.65246 .28971 .65646 .31333 .66316 .31405 .65932 .29473 Metetra
.484 .371 .649 r
.65932 .29473 .66316 .31405 .66967 .30995 .66613 .29789 Metetra
.553 .472 .718 r
.66613 .29789 .66967 .30995 .67603 .30259 .67283 .29782 Metetra
.714 .731 .864 r
.67283 .29782 .67603 .30259 .68232 .29415 .6794 .29446 Metetra
.773 .997 .833 r
.6794 .29446 .68232 .29415 .68865 .28659 .68586 .28881 Metetra
.595 .888 .59 r
.68586 .28881 .68865 .28659 .69509 .28107 .69227 .28236 Metetra
.68 .958 .72 r
.69227 .28236 .69509 .28107 .70166 .27787 .69871 .27644 Metetra
.786 .948 .927 r
.69871 .27644 .70166 .27787 .70835 .27651 .70524 .2719 Metetra
.696 .735 .88 r
.70524 .2719 .70835 .27651 .71513 .27616 .71186 .26896 Metetra
.618 .601 .811 r
.71186 .26896 .71513 .27616 .72193 .27596 .71858 .26732 Metetra
.584 .547 .779 r
.71858 .26732 .72193 .27596 .72874 .27529 .72537 .2664 Metetra
.579 .539 .774 r
.72537 .2664 .72874 .27529 .73551 .27385 .73218 .26561 Metetra
.593 .561 .788 r
.73218 .26561 .73551 .27385 .74225 .27164 .739 .26448 Metetra
.619 .604 .814 r
.739 .26448 .74225 .27164 .74896 .2689 .7458 .26281 Metetra
.649 .654 .842 r
.7458 .26281 .74896 .2689 .75567 .2659 .75257 .2606 Metetra
.673 .697 .864 r
.75257 .2606 .75567 .2659 .7624 .26291 .75934 .25798 Metetra
.685 .719 .875 r
.75934 .25798 .7624 .26291 .76915 .26009 .7661 .25516 Metetra
.686 .72 .876 r
.7661 .25516 .76915 .26009 .77594 .25749 .77288 .25234 Metetra
.678 .707 .87 r
.77288 .25234 .77594 .25749 .78275 .2551 .77968 .24962 Metetra
.668 .689 .861 r
.77968 .24962 .78275 .2551 .7896 .25285 .78651 .24706 Metetra
.659 .673 .852 r
.78651 .24706 .7896 .25285 .79647 .25065 .79337 .24465 Metetra
.652 .662 .846 r
.79337 .24465 .79647 .25065 .80335 .24846 .80025 .24234 Metetra
.649 .656 .844 r
.80025 .24234 .80335 .24846 .81025 .24622 .80716 .24008 Metetra
.649 .656 .843 r
.80716 .24008 .81025 .24622 .81716 .24393 .81408 .23783 Metetra
.65 .658 .845 r
.81408 .23783 .81716 .24393 .82409 .24157 .82102 .23554 Metetra
.652 .662 .847 r
.82102 .23554 .82409 .24157 .83102 .23918 .82797 .23321 Metetra
.654 .663 .847 r
.20881 .43848 .21247 .44358 .21804 .44166 .21437 .43658 Metetra
.652 .664 .848 r
.21437 .43658 .21804 .44166 .22361 .43974 .21995 .43471 Metetra
.651 .666 .851 r
.21995 .43471 .22361 .43974 .2292 .43785 .22553 .43288 Metetra
.649 .668 .855 r
.22553 .43288 .2292 .43785 .23479 .43599 .23113 .43107 Metetra
.649 .671 .857 r
.23113 .43107 .23479 .43599 .2404 .43418 .23673 .42926 Metetra
.652 .672 .856 r
.23673 .42926 .2404 .43418 .24601 .43242 .24236 .4274 Metetra
.657 .67 .851 r
.24236 .4274 .24601 .43242 .25163 .43066 .248 .42543 Metetra
.664 .664 .84 r
.248 .42543 .25163 .43066 .25727 .42885 .25367 .42328 Metetra
.669 .654 .826 r
.25367 .42328 .25727 .42885 .26293 .42689 .25937 .42097 Metetra
.669 .643 .814 r
.25937 .42097 .26293 .42689 .26862 .42471 .26508 .41855 Metetra
.664 .633 .809 r
.26508 .41855 .26862 .42471 .27434 .4223 .2708 .4162 Metetra
.652 .63 .815 r
.2708 .4162 .27434 .4223 .28009 .41975 .27651 .41415 Metetra
.63 .638 .84 r
.27651 .41415 .28009 .41975 .28583 .41726 .28219 .41261 Metetra
.591 .664 .889 r
.28219 .41261 .28583 .41726 .29157 .41513 .28784 .41169 Metetra
.525 .708 .955 r
.28784 .41169 .29157 .41513 .29727 .41364 .29347 .41125 Metetra
.463 .757 .993 r
.29347 .41125 .29727 .41364 .30293 .41291 .29911 .41084 Metetra
.537 .808 .996 r
.29911 .41084 .30293 .41291 .30856 .41279 .30482 .40979 Metetra
.689 .788 .926 r
.30482 .40979 .30856 .41279 .31421 .41275 .31063 .40742 Metetra
.736 .689 .806 r
.31063 .40742 .31421 .41275 .31993 .41199 .31656 .40336 Metetra
.724 .608 .727 r
.31656 .40336 .31993 .41199 .32575 .4097 .32259 .3979 Metetra
.697 .555 .689 r
.32259 .3979 .32575 .4097 .33171 .40545 .32863 .3921 Metetra
.66 .519 .681 r
.32863 .3921 .33171 .40545 .33776 .39958 .33459 .38765 Metetra
.595 .491 .706 r
.33459 .38765 .33776 .39958 .34383 .39329 .34038 .38627 Metetra
.325 .429 .814 r
.34038 .38627 .34383 .39329 .34983 .3884 .34596 .38896 Metetra
.762 .283 .101 r
.34596 .38896 .34983 .3884 .35566 .38673 .35137 .39529 Metetra
.704 .351 .374 r
.35137 .39529 .35566 .38673 .36129 .38924 .35675 .40309 Metetra
.635 .312 .407 r
.35675 .40309 .36129 .38924 .36677 .3954 .36228 .40887 Metetra
.511 .187 .355 r
.36228 .40887 .36677 .3954 .37222 .40292 .36812 .40906 Metetra
.36812 .40906 .37222 .40292 .37782 .40836 .37433 .40174 Metetra
.856 .694 .68 r
.37433 .40174 .37782 .40836 .3837 .4084 .38083 .388 Metetra
.744 .542 .621 r
.38083 .388 .3837 .4084 .38989 .40147 .38738 .37214 Metetra
.671 .471 .605 r
.38738 .37214 .38989 .40147 .3963 .38876 .39373 .36035 Metetra
.574 .4 .608 r
.39373 .36035 .3963 .38876 .40276 .37416 .39967 .35837 Metetra
.11 .127 .596 r
.39967 .35837 .40276 .37416 .40907 .36272 .40515 .36905 Metetra
.852 .512 .409 r
.40515 .36905 .40907 .36272 .41511 .35867 .4103 .3906 Metetra
.723 .437 .492 r
.4103 .3906 .41511 .35867 .42086 .36348 .41541 .4164 Metetra
.647 .381 .502 r
.41541 .4164 .42086 .36348 .42644 .37512 .42082 .43666 Metetra
.565 .314 .494 r
.42082 .43666 .42644 .37512 .43204 .38856 .42676 .44235 Metetra
.425 .193 .456 r
.42676 .44235 .43204 .38856 .43782 .39777 .43326 .42966 Metetra
0 0 .258 r
.43326 .42966 .43782 .39777 .44387 .39836 .44011 .4026 Metetra
.998 .822 .541 r
.44011 .4026 .44387 .39836 .45016 .38962 .44698 .37165 Metetra
.801 .587 .612 r
.44698 .37165 .45016 .38962 .45657 .37476 .45355 .34931 Metetra
.607 .431 .618 r
.45355 .34931 .45657 .37476 .46297 .35911 .45969 .34506 Metetra
0 0 .42 r
.45969 .34506 .46297 .35911 .46925 .34751 .46545 .36189 Metetra
.836 .519 .454 r
.46545 .36189 .46925 .34751 .47541 .34218 .47102 .39479 Metetra
.709 .434 .506 r
.47102 .39479 .47541 .34218 .4815 .3422 .47667 .43178 Metetra
.625 .37 .512 r
.47667 .43178 .4815 .3422 .48759 .3445 .48264 .45778 Metetra
.545 .308 .506 r
.48264 .45778 .48759 .3445 .49371 .34585 .48898 .46108 Metetra
.456 .236 .49 r
.48898 .46108 .49371 .34585 .49989 .34475 .49557 .4393 Metetra
.339 .14 .458 r
.49557 .4393 .49989 .34475 .50609 .34214 .50223 .4008 Metetra
.139 0 .379 r
.50223 .4008 .50609 .34214 .51229 .3405 .50876 .36034 Metetra
0 0 .013 r
.50876 .36034 .51229 .3405 .51851 .34201 .51512 .33233 Metetra
.74 .606 .709 r
.51512 .33233 .51851 .34201 .52476 .34686 .52137 .32541 Metetra
.151 .125 .572 r
.52137 .32541 .52476 .34686 .53105 .35266 .52764 .34005 Metetra
.806 .507 0 r
.52764 .34005 .53105 .35266 .53737 .35555 .53402 .36882 Metetra
.835 .507 .433 r
.53402 .36882 .53737 .35555 .54369 .35221 .54055 .39886 Metetra
.644 .371 .49 r
.54055 .39886 .54369 .35221 .54997 .34192 .54714 .41676 Metetra
.521 .28 .491 r
.54714 .41676 .54997 .34192 .55618 .32736 .55364 .41427 Metetra
.425 .208 .478 r
.55364 .41427 .55618 .32736 .56237 .31348 .55995 .3919 Metetra
.332 .133 .454 r
.55995 .3919 .56237 .31348 .56861 .3053 .56603 .35812 Metetra
.201 .022 .4 r
.56603 .35812 .56861 .3053 .57497 .30569 .57201 .32471 Metetra
0 0 .129 r
.57201 .32471 .57497 .30569 .5815 .31418 .57806 .30166 Metetra
.723 .567 .678 r
.57806 .30166 .5815 .31418 .58818 .32705 .58432 .29387 Metetra
.463 .313 .592 r
.58432 .29387 .58818 .32705 .59491 .3388 .59088 .3004 Metetra
.359 .232 .568 r
.59088 .3004 .59491 .3388 .60157 .34437 .59768 .31557 Metetra
.267 .185 .574 r
.59768 .31557 .60157 .34437 .60804 .3412 .6046 .3314 Metetra
0 .136 .658 r
.6046 .3314 .60804 .3412 .6143 .33015 .61142 .34067 Metetra
.451 .103 .282 r
.61142 .34067 .6143 .33015 .62041 .31483 .618 .33956 Metetra
.323 .078 .379 r
.618 .33956 .62041 .31483 .62649 .29989 .62429 .32866 Metetra
.246 .029 .374 r
.62429 .32866 .62649 .29989 .63268 .28915 .63037 .31202 Metetra
.138 0 .316 r
.63037 .31202 .63268 .28915 .63907 .28444 .63639 .29496 Metetra
0 0 .045 r
.63639 .29496 .63907 .28444 .64568 .28534 .64251 .28191 Metetra
.853 .822 .817 r
.64251 .28191 .64568 .28534 .65246 .28971 .64885 .27508 Metetra
.571 .457 .684 r
.64885 .27508 .65246 .28971 .65932 .29473 .65544 .27427 Metetra
.486 .366 .642 r
.65544 .27427 .65932 .29473 .66613 .29789 .66223 .27747 Metetra
.459 .349 .641 r
.66223 .27747 .66613 .29789 .67283 .29782 .66911 .28189 Metetra
.469 .382 .675 r
.66911 .28189 .67283 .29782 .6794 .29446 .67598 .28505 Metetra
.531 .5 .767 r
.67598 .28505 .6794 .29446 .68586 .28881 .68275 .28544 Metetra
.681 .799 .937 r
.68275 .28544 .68586 .28881 .69227 .28236 .68938 .28285 Metetra
.675 .975 .825 r
.68938 .28285 .69227 .28236 .69871 .27644 .69591 .27805 Metetra
.611 .921 .67 r
.69591 .27805 .69871 .27644 .70524 .2719 .70239 .2723 Metetra
.744 .992 .822 r
.70239 .2723 .70524 .2719 .71186 .26896 .70889 .26681 Metetra
.787 .905 .923 r
.70889 .26681 .71186 .26896 .71858 .26732 .71545 .26236 Metetra
.701 .722 .866 r
.71545 .26236 .71858 .26732 .72537 .2664 .7221 .25923 Metetra
.633 .611 .81 r
.7221 .25923 .72537 .2664 .73218 .26561 .72884 .25723 Metetra
.6 .562 .784 r
.72884 .25723 .73218 .26561 .739 .26448 .73565 .25591 Metetra
.592 .554 .781 r
.73565 .25591 .739 .26448 .7458 .26281 .74249 .25479 Metetra
.601 .572 .793 r
.74249 .25479 .7458 .26281 .75257 .2606 .74933 .25346 Metetra
.621 .607 .815 r
.74933 .25346 .75257 .2606 .75934 .25798 .75617 .25173 Metetra
.645 .648 .839 r
.75617 .25173 .75934 .25798 .7661 .25516 .76299 .24956 Metetra
.664 .682 .857 r
.76299 .24956 .7661 .25516 .77288 .25234 .7698 .24706 Metetra
.675 .701 .866 r
.7698 .24706 .77288 .25234 .77968 .24962 .77662 .24438 Metetra
.677 .704 .868 r
.77662 .24438 .77968 .24962 .78651 .24706 .78344 .24165 Metetra
.673 .696 .863 r
.78344 .24165 .78651 .24706 .79337 .24465 .79029 .23899 Metetra
.666 .682 .856 r
.79029 .23899 .79337 .24465 .80025 .24234 .79716 .23643 Metetra
.658 .67 .849 r
.79716 .23643 .80025 .24234 .80716 .24008 .80406 .23399 Metetra
.653 .661 .845 r
.80406 .23399 .80716 .24008 .81408 .23783 .81098 .23163 Metetra
.65 .656 .842 r
.81098 .23163 .81408 .23783 .82102 .23554 .81792 .22932 Metetra
.65 .655 .842 r
.81792 .22932 .82102 .23554 .82797 .23321 .82488 .22701 Metetra
.652 .664 .849 r
.20513 .43339 .20881 .43848 .21437 .43658 .2107 .43153 Metetra
.651 .665 .851 r
.2107 .43153 .21437 .43658 .21995 .43471 .21627 .42969 Metetra
.651 .667 .852 r
.21627 .42969 .21995 .43471 .22553 .43288 .22186 .42784 Metetra
.653 .667 .851 r
.22186 .42784 .22553 .43288 .23113 .43107 .22747 .42595 Metetra
.657 .666 .847 r
.22747 .42595 .23113 .43107 .23673 .42926 .23309 .42397 Metetra
.661 .661 .839 r
.23309 .42397 .23673 .42926 .24236 .4274 .23874 .42187 Metetra
.665 .654 .829 r
.23874 .42187 .24236 .4274 .248 .42543 .24441 .41964 Metetra
.666 .646 .82 r
.24441 .41964 .248 .42543 .25367 .42328 .2501 .41735 Metetra
.662 .639 .817 r
.2501 .41735 .25367 .42328 .25937 .42097 .25579 .4151 Metetra
.653 .638 .823 r
.25579 .4151 .25937 .42097 .26508 .41855 .26148 .41307 Metetra
.636 .645 .842 r
.26148 .41307 .26508 .41855 .2708 .4162 .26714 .41143 Metetra
.609 .665 .879 r
.26714 .41143 .2708 .4162 .27651 .41415 .27279 .41026 Metetra
.573 .699 .927 r
.27279 .41026 .27651 .41415 .28219 .41261 .27842 .40945 Metetra
.551 .737 .962 r
.27842 .40945 .28219 .41261 .28784 .41169 .28406 .40869 Metetra
.596 .763 .959 r
.28406 .40869 .28784 .41169 .29347 .41125 .28975 .40745 Metetra
.678 .739 .897 r
.28975 .40745 .29347 .41125 .29911 .41084 .29554 .40522 Metetra
.715 .672 .807 r
.29554 .40522 .29911 .41084 .30482 .40979 .30142 .40166 Metetra
.713 .61 .741 r
.30142 .40166 .30482 .40979 .31063 .40742 .30739 .39696 Metetra
.695 .568 .707 r
.30739 .39696 .31063 .40742 .31656 .40336 .31338 .3919 Metetra
.668 .54 .7 r
.31338 .3919 .31656 .40336 .32259 .3979 .31932 .38774 Metetra
.617 .526 .729 r
.31932 .38774 .32259 .3979 .32863 .3921 .32512 .38587 Metetra
.428 .518 .848 r
.32512 .38587 .32863 .3921 .33459 .38765 .33074 .38718 Metetra
.655 .103 0 r
.33074 .38718 .33459 .38765 .34038 .38627 .33621 .3915 Metetra
.698 .301 .292 r
.33621 .3915 .34038 .38627 .34596 .38896 .34162 .39734 Metetra
.643 .28 .339 r
.34162 .39734 .34596 .38896 .35137 .39529 .34714 .40209 Metetra
.505 .107 .22 r
.34714 .40209 .35137 .39529 .35675 .40309 .35291 .40289 Metetra
.822 .965 .898 r
.35291 .40289 .35675 .40309 .36228 .40887 .359 .39789 Metetra
.772 .606 .674 r
.359 .39789 .36228 .40887 .36812 .40906 .36536 .38738 Metetra
.716 .519 .622 r
.36536 .38738 .36812 .40906 .37433 .40174 .37184 .37412 Metetra
.675 .477 .609 r
.37184 .37412 .37433 .40174 .38083 .388 .37821 .3626 Metetra
.619 .44 .617 r
.37821 .3626 .38083 .388 .38738 .37214 .38428 .3574 Metetra
.415 .346 .672 r
.38428 .3574 .38738 .37214 .39373 .36035 .38996 .3614 Metetra
.862 .462 .277 r
.38996 .3614 .39373 .36035 .39967 .35837 .39531 .37438 Metetra
.755 .441 .454 r
.39531 .37438 .39967 .35837 .40515 .36905 .40052 .39264 Metetra
.707 .41 .471 r
.40052 .39264 .40515 .36905 .4103 .3906 .40587 .40987 Metetra
.659 .353 .443 r
.40587 .40987 .4103 .3906 .41541 .4164 .41157 .41934 Metetra
.41157 .41934 .41541 .4164 .42082 .43666 .41772 .41669 Metetra
.739 .54 .625 r
.41772 .41669 .42082 .43666 .42676 .44235 .42427 .40193 Metetra
.702 .481 .586 r
.42427 .40193 .42676 .44235 .43326 .42966 .431 .37965 Metetra
.68 .458 .578 r
.431 .37965 .43326 .42966 .44011 .4026 .43768 .35706 Metetra
.655 .441 .582 r
.43768 .35706 .44011 .4026 .44698 .37165 .44412 .3413 Metetra
.597 .414 .604 r
.44412 .3413 .44698 .37165 .45355 .34931 .45025 .33701 Metetra
.14 .191 .655 r
.45025 .33701 .45355 .34931 .45969 .34506 .45612 .34514 Metetra
.9 .512 .276 r
.45612 .34514 .45969 .34506 .46545 .36189 .46185 .36286 Metetra
.906 .537 .322 r
.46185 .36286 .46545 .36189 .47102 .39479 .4676 .38447 Metetra
.699 .39 0 r
.4676 .38447 .47102 .39479 .47667 .43178 .47351 .40303 Metetra
.387 .266 .592 r
.47351 .40303 .47667 .43178 .48264 .45778 .47963 .41244 Metetra
.57 .377 .581 r
.47963 .41244 .48264 .45778 .48898 .46108 .48597 .40929 Metetra
.641 .426 .576 r
.48597 .40929 .48898 .46108 .49557 .4393 .49244 .39395 Metetra
.694 .471 .579 r
.49244 .39395 .49557 .4393 .50223 .4008 .49894 .37042 Metetra
.752 .527 .591 r
.49894 .37042 .50223 .4008 .50876 .36034 .50538 .34498 Metetra
.814 .604 .619 r
.50538 .34498 .50876 .36034 .51512 .33233 .51173 .32445 Metetra
.814 .667 .701 r
.51173 .32445 .51512 .33233 .52137 .32541 .51799 .31426 Metetra
.433 .405 .728 r
.51799 .31426 .52137 .32541 .52764 .34005 .52423 .31705 Metetra
.181 .139 .571 r
.52423 .31705 .52764 .34005 .53402 .36882 .53053 .33183 Metetra
.217 .129 .536 r
.53053 .33183 .53402 .36882 .54055 .39886 .53694 .35384 Metetra
.295 .176 .542 r
.53694 .35384 .54055 .39886 .54714 .41676 .54346 .37559 Metetra
.39 .25 .567 r
.54346 .37559 .54714 .41676 .55364 .41427 .55002 .38911 Metetra
.552 .395 .622 r
.55002 .38911 .55364 .41427 .55995 .3919 .55653 .38881 Metetra
.937 .797 .68 r
.55653 .38881 .55995 .3919 .56603 .35812 .56289 .37395 Metetra
.56289 .37395 .56603 .35812 .57201 .32471 .56907 .34891 Metetra
0 0 .183 r
.56907 .34891 .57201 .32471 .57806 .30166 .57513 .32137 Metetra
0 0 .164 r
.57513 .32137 .57806 .30166 .58432 .29387 .5812 .2992 Metetra
.672 .819 .381 r
.5812 .2992 .58432 .29387 .59088 .3004 .58741 .28771 Metetra
.532 .449 .707 r
.58741 .28771 .59088 .3004 .59768 .31557 .59387 .28829 Metetra
.376 .265 .598 r
.59387 .28829 .59768 .31557 .6046 .3314 .60058 .29829 Metetra
.345 .23 .577 r
.60058 .29829 .6046 .3314 .61142 .34067 .60747 .31222 Metetra
.354 .247 .592 r
.60747 .31222 .61142 .34067 .618 .33956 .61437 .32381 Metetra
.426 .355 .673 r
.61437 .32381 .618 .33956 .62429 .32866 .62112 .32819 Metetra
.757 .981 .912 r
.62112 .32819 .62429 .32866 .63037 .31202 .62763 .32362 Metetra
0 0 .118 r
.62763 .32362 .63037 .31202 .63639 .29496 .63388 .31168 Metetra
.012 0 .224 r
.63388 .31168 .63639 .29496 .64251 .28191 .63998 .29622 Metetra
0 0 .172 r
.63998 .29622 .64251 .28191 .64885 .27508 .64607 .28157 Metetra
.64607 .28157 .64885 .27508 .65544 .27427 .65229 .27098 Metetra
.809 .83 .867 r
.65229 .27098 .65544 .27427 .66223 .27747 .65872 .26582 Metetra
.559 .48 .723 r
.65872 .26582 .66223 .27747 .66911 .28189 .66538 .26554 Metetra
.481 .386 .671 r
.66538 .26554 .66911 .28189 .67598 .28505 .67221 .26827 Metetra
.465 .373 .667 r
.67221 .26827 .67598 .28505 .68275 .28544 .67911 .27169 Metetra
.487 .413 .698 r
.67911 .27169 .68275 .28544 .68938 .28285 .68598 .27381 Metetra
.557 .523 .774 r
.68598 .27381 .68938 .28285 .69591 .27805 .69276 .27355 Metetra
.684 .738 .891 r
.69276 .27355 .69591 .27805 .70239 .2723 .69942 .27084 Metetra
.78 .947 .931 r
.69942 .27084 .70239 .2723 .70889 .26681 .706 .26637 Metetra
.784 .991 .885 r
.706 .26637 .70889 .26681 .71545 .26236 .71254 .26118 Metetra
.8 .964 .913 r
.71254 .26118 .71545 .26236 .7221 .25923 .71909 .25623 Metetra
.766 .85 .914 r
.71909 .25623 .7221 .25923 .72884 .25723 .72571 .25215 Metetra
.694 .715 .865 r
.72571 .25215 .72884 .25723 .73565 .25591 .73241 .24913 Metetra
.639 .627 .822 r
.73241 .24913 .73565 .25591 .74249 .25479 .73919 .24702 Metetra
.611 .584 .799 r
.73919 .24702 .74249 .25479 .74933 .25346 .74602 .24547 Metetra
.603 .575 .795 r
.74602 .24547 .74933 .25346 .75617 .25173 .75289 .24408 Metetra
.61 .588 .803 r
.75289 .24408 .75617 .25173 .76299 .24956 .75976 .24255 Metetra
.626 .614 .819 r
.75976 .24255 .76299 .24956 .7698 .24706 .76663 .24071 Metetra
.644 .645 .836 r
.76663 .24071 .7698 .24706 .77662 .24438 .77349 .23852 Metetra
.66 .672 .85 r
.77349 .23852 .77662 .24438 .78344 .24165 .78035 .23607 Metetra
.669 .687 .858 r
.78035 .23607 .78344 .24165 .79029 .23899 .78721 .23346 Metetra
.671 .691 .86 r
.78721 .23346 .79029 .23899 .79716 .23643 .79408 .2308 Metetra
.668 .686 .857 r
.79408 .2308 .79716 .23643 .80406 .23399 .80098 .22818 Metetra
.663 .677 .853 r
.80098 .22818 .80406 .23399 .81098 .23163 .80789 .22564 Metetra
.658 .668 .848 r
.80789 .22564 .81098 .23163 .81792 .22932 .81483 .22318 Metetra
.654 .661 .844 r
.81483 .22318 .81792 .22932 .82488 .22701 .82179 .22079 Metetra
.652 .665 .85 r
.20144 .42832 .20513 .43339 .2107 .43153 .20701 .42645 Metetra
.654 .666 .849 r
.20701 .42645 .2107 .43153 .21627 .42969 .2126 .42453 Metetra
.657 .664 .845 r
.2126 .42453 .21627 .42969 .22186 .42784 .2182 .42255 Metetra
.66 .66 .84 r
.2182 .42255 .22186 .42784 .22747 .42595 .22383 .42048 Metetra
.663 .655 .832 r
.22383 .42048 .22747 .42595 .23309 .42397 .22947 .41832 Metetra
.663 .649 .826 r
.22947 .41832 .23309 .42397 .23874 .42187 .23513 .41612 Metetra
.66 .644 .824 r
.23513 .41612 .23874 .42187 .24441 .41964 .2408 .41395 Metetra
.652 .644 .829 r
.2408 .41395 .24441 .41964 .2501 .41735 .24646 .41196 Metetra
.64 .651 .845 r
.24646 .41196 .2501 .41735 .25579 .4151 .25211 .41026 Metetra
.621 .667 .873 r
.25211 .41026 .25579 .4151 .26148 .41307 .25775 .4089 Metetra
.6 .693 .908 r
.25775 .4089 .26148 .41307 .26714 .41143 .26338 .4078 Metetra
.593 .722 .934 r
.26338 .4078 .26714 .41143 .27279 .41026 .26902 .40672 Metetra
.624 .738 .928 r
.26902 .40672 .27279 .41026 .27842 .40945 .27471 .40526 Metetra
.676 .717 .88 r
.27471 .40526 .27842 .40945 .28406 .40869 .28047 .40302 Metetra
.704 .667 .81 r
.28047 .40302 .28406 .40869 .28975 .40745 .28631 .39976 Metetra
.704 .615 .754 r
.28631 .39976 .28975 .40745 .29554 .40522 .29223 .39563 Metetra
.69 .576 .722 r
.29223 .39563 .29554 .40522 .30142 .40166 .29817 .39125 Metetra
.664 .55 .716 r
.29817 .39125 .30142 .40166 .30739 .39696 .30406 .38761 Metetra
.618 .54 .744 r
.30406 .38761 .30739 .39696 .31338 .3919 .30984 .38582 Metetra
.473 .549 .853 r
.30984 .38582 .31338 .3919 .31932 .38774 .31546 .38656 Metetra
.48 0 0 r
.31546 .38656 .31932 .38774 .32512 .38587 .32096 .38968 Metetra
.662 .228 .207 r
.32096 .38968 .32512 .38587 .33074 .38718 .32642 .39392 Metetra
.607 .217 .279 r
.32642 .39392 .33074 .38718 .33621 .3915 .33197 .3971 Metetra
.426 0 .124 r
.33197 .3971 .33621 .3915 .34162 .39734 .33775 .3969 Metetra
.829 .951 .898 r
.33775 .3969 .34162 .39734 .34714 .40209 .34383 .39187 Metetra
.768 .611 .685 r
.34383 .39187 .34714 .40209 .35291 .40289 .35015 .3824 Metetra
.706 .516 .628 r
.35015 .3824 .35291 .40289 .359 .39789 .35655 .37102 Metetra
.659 .465 .612 r
.35655 .37102 .359 .39789 .36536 .38738 .36283 .36168 Metetra
.596 .421 .616 r
.36283 .36168 .36536 .38738 .37184 .37412 .36881 .35829 Metetra
.395 .323 .658 r
.36881 .35829 .37184 .37412 .37821 .3626 .37441 .36303 Metetra
.862 .45 .247 r
.37441 .36303 .37821 .3626 .38428 .3574 .37971 .37505 Metetra
.722 .413 .455 r
.37971 .37505 .38428 .3574 .38996 .3614 .38494 .39029 Metetra
.651 .366 .473 r
.38494 .39029 .38996 .3614 .39531 .37438 .39037 .40254 Metetra
.566 .287 .451 r
.39037 .40254 .39531 .37438 .40052 .39264 .39623 .40595 Metetra
.147 0 .196 r
.39623 .40595 .40052 .39264 .40587 .40987 .40255 .39779 Metetra
.821 .626 .639 r
.40255 .39779 .40587 .40987 .41157 .41934 .40921 .38017 Metetra
.698 .479 .587 r
.40921 .38017 .41157 .41934 .41772 .41669 .41593 .35939 Metetra
.637 .421 .572 r
.41593 .35939 .41772 .41669 .42427 .40193 .42245 .34317 Metetra
.579 .375 .568 r
.42245 .34317 .42427 .40193 .431 .37965 .4286 .33738 Metetra
.478 .309 .573 r
.4286 .33738 .431 .37965 .43768 .35706 .43442 .34357 Metetra
0 0 .47 r
.43442 .34357 .43768 .35706 .44412 .3413 .44006 .35821 Metetra
.729 .413 .445 r
.44006 .35821 .44412 .3413 .45025 .33701 .44574 .37389 Metetra
.604 .33 .475 r
.44574 .37389 .45025 .33701 .45612 .34514 .45167 .3825 Metetra
.488 .231 .45 r
.45167 .3825 .45612 .34514 .46185 .36286 .45791 .37899 Metetra
0 0 .139 r
.45791 .37899 .46185 .36286 .4676 .38447 .46438 .36405 Metetra
.775 .562 .611 r
.46438 .36405 .4676 .38447 .47351 .40303 .4709 .3437 Metetra
.64 .421 .57 r
.4709 .3437 .47351 .40303 .47963 .41244 .47732 .32618 Metetra
.576 .364 .556 r
.47732 .32618 .47963 .41244 .48597 .40929 .48358 .31801 Metetra
.526 .324 .549 r
.48358 .31801 .48597 .40929 .49244 .39395 .48969 .32117 Metetra
.473 .289 .549 r
.48969 .32117 .49244 .39395 .49894 .37042 .49577 .33238 Metetra
.389 .25 .568 r
.49577 .33238 .49894 .37042 .50538 .34498 .50191 .34462 Metetra
.697 .158 0 r
.50191 .34462 .50538 .34498 .51173 .32445 .50815 .35045 Metetra
.444 .176 .411 r
.50815 .35045 .51173 .32445 .51799 .31426 .51447 .34573 Metetra
.306 .075 .389 r
.51447 .34573 .51799 .31426 .52423 .31705 .52081 .33176 Metetra
0 0 .065 r
.52081 .33176 .52423 .31705 .53053 .33183 .52711 .31461 Metetra
.741 .55 .635 r
.52711 .31461 .53053 .33183 .53694 .35384 .53338 .3019 Metetra
.562 .365 .572 r
.53338 .3019 .53694 .35384 .54346 .37559 .53967 .29918 Metetra
.495 .304 .551 r
.53967 .29918 .54346 .37559 .55002 .38911 .54605 .30756 Metetra
.456 .274 .544 r
.54605 .30756 .55002 .38911 .55653 .38881 .55255 .32325 Metetra
.433 .263 .549 r
.55255 .32325 .55653 .38881 .56289 .37395 .55914 .33913 Metetra
.435 .29 .585 r
.55914 .33913 .56289 .37395 .56907 .34891 .56572 .34773 Metetra
.676 .93 .97 r
.56572 .34773 .56907 .34891 .57513 .32137 .57219 .34466 Metetra
.21 0 .331 r
.57219 .34466 .57513 .32137 .5812 .2992 .57848 .33055 Metetra
.192 0 .359 r
.57848 .33055 .5812 .2992 .58741 .28771 .58463 .31051 Metetra
.054 0 .277 r
.58463 .31051 .58741 .28771 .59387 .28829 .59074 .29152 Metetra
.886 .938 .567 r
.59074 .29152 .59387 .28829 .60058 .29829 .59695 .27943 Metetra
.597 .447 .649 r
.59695 .27943 .60058 .29829 .60747 .31222 .60338 .27686 Metetra
.475 .319 .589 r
.60338 .27686 .60747 .31222 .61437 .32381 .61005 .28273 Metetra
.435 .282 .575 r
.61005 .28273 .61437 .32381 .62112 .32819 .61691 .29302 Metetra
.426 .285 .585 r
.61691 .29302 .62112 .32819 .62763 .32362 .62381 .30254 Metetra
.459 .345 .637 r
.62381 .30254 .62763 .32362 .63388 .31168 .6306 .30695 Metetra
.68 .722 .881 r
.6306 .30695 .63388 .31168 .63998 .29622 .63718 .30432 Metetra
0 0 .007 r
.63718 .30432 .63998 .29622 .64607 .28157 .64354 .29549 Metetra
.05 0 .204 r
.64354 .29549 .64607 .28157 .65229 .27098 .64975 .28335 Metetra
0 0 .158 r
.64975 .28335 .65229 .27098 .65872 .26582 .65595 .27137 Metetra
.65595 .27137 .65872 .26582 .66538 .26554 .66225 .26232 Metetra
.799 .836 .879 r
.66225 .26232 .66538 .26554 .67221 .26827 .66873 .25745 Metetra
.581 .505 .735 r
.66873 .25745 .67221 .26827 .67911 .27169 .6754 .25649 Metetra
.509 .414 .682 r
.6754 .25649 .67911 .27169 .68598 .27381 .68223 .25801 Metetra
.493 .399 .677 r
.68223 .25801 .68598 .27381 .69276 .27355 .68912 .2602 Metetra
.512 .433 .704 r
.68912 .2602 .69276 .27355 .69942 .27084 .696 .26147 Metetra
.567 .523 .766 r
.696 .26147 .69942 .27084 .706 .26637 .7028 .26093 Metetra
.664 .687 .862 r
.7028 .26093 .706 .26637 .71254 .26118 .70952 .25847 Metetra
.756 .867 .93 r
.70952 .25847 .71254 .26118 .71909 .25623 .71616 .25459 Metetra
.783 .94 .93 r
.71616 .25459 .71909 .25623 .72571 .25215 .72277 .25008 Metetra
.781 .914 .93 r
.72277 .25008 .72571 .25215 .73241 .24913 .72939 .2457 Metetra
.745 .821 .911 r
.72939 .2457 .73241 .24913 .73919 .24702 .73607 .24195 Metetra
.69 .716 .869 r
.73607 .24195 .73919 .24702 .74602 .24547 .74281 .23901 Metetra
.646 .642 .832 r
.74281 .23901 .74602 .24547 .75289 .24408 .74962 .23676 Metetra
.622 .604 .811 r
.74962 .23676 .75289 .24408 .75976 .24255 .75648 .23497 Metetra
.614 .593 .805 r
.75648 .23497 .75976 .24255 .76663 .24071 .76337 .23332 Metetra
.619 .601 .81 r
.76337 .23332 .76663 .24071 .77349 .23852 .77028 .23159 Metetra
.63 .62 .822 r
.77028 .23159 .77349 .23852 .78035 .23607 .77718 .22964 Metetra
.644 .644 .835 r
.77718 .22964 .78035 .23607 .78721 .23346 .78408 .22743 Metetra
.656 .665 .847 r
.78408 .22743 .78721 .23346 .79408 .2308 .79099 .22501 Metetra
.664 .678 .854 r
.79099 .22501 .79408 .2308 .80098 .22818 .79789 .22246 Metetra
.666 .682 .856 r
.79789 .22246 .80098 .22818 .80789 .22564 .80481 .21986 Metetra
.665 .68 .854 r
.80481 .21986 .80789 .22564 .81483 .22318 .81175 .21728 Metetra
.661 .674 .851 r
.81175 .21728 .81483 .22318 .82179 .22079 .81871 .21475 Metetra
.657 .665 .846 r
.19774 .42319 .20144 .42832 .20701 .42645 .20333 .42121 Metetra
.659 .662 .842 r
.20333 .42121 .20701 .42645 .2126 .42453 .20893 .41916 Metetra
.661 .658 .836 r
.20893 .41916 .2126 .42453 .2182 .42255 .21455 .41706 Metetra
.661 .654 .832 r
.21455 .41706 .2182 .42255 .22383 .42048 .22019 .41491 Metetra
.659 .65 .83 r
.22019 .41491 .22383 .42048 .22947 .41832 .22583 .41281 Metetra
.653 .65 .835 r
.22583 .41281 .22947 .41832 .23513 .41612 .23147 .41083 Metetra
.643 .656 .847 r
.23147 .41083 .23513 .41612 .2408 .41395 .23711 .40908 Metetra
.63 .669 .868 r
.23711 .40908 .2408 .41395 .24646 .41196 .24273 .40757 Metetra
.618 .688 .893 r
.24273 .40757 .24646 .41196 .25211 .41026 .24835 .40626 Metetra
.616 .708 .911 r
.24835 .40626 .25211 .41026 .25775 .4089 .25399 .40495 Metetra
.637 .718 .906 r
.25399 .40495 .25775 .4089 .26338 .4078 .25967 .40334 Metetra
.672 .703 .87 r
.25967 .40334 .26338 .4078 .26902 .40672 .2654 .40113 Metetra
.696 .666 .817 r
.2654 .40113 .26902 .40672 .27471 .40526 .27121 .39814 Metetra
.699 .624 .77 r
.27121 .39814 .27471 .40526 .28047 .40302 .27709 .39445 Metetra
.688 .59 .741 r
.27709 .39445 .28047 .40302 .28631 .39976 .28298 .39055 Metetra
.666 .568 .735 r
.28298 .39055 .28631 .39976 .29223 .39563 .28884 .38722 Metetra
.626 .561 .762 r
.28884 .38722 .29223 .39563 .29817 .39125 .2946 .38536 Metetra
.514 .577 .857 r
.2946 .38536 .29817 .39125 .30406 .38761 .30023 .38555 Metetra
0 .383 .756 r
.30023 .38555 .30406 .38761 .30984 .38582 .30575 .38773 Metetra
.617 .117 .041 r
.30575 .38773 .30984 .38582 .31546 .38656 .31122 .39093 Metetra
.582 .142 .171 r
.31122 .39093 .31546 .38656 .32096 .38968 .31677 .39341 Metetra
.363 0 0 r
.31677 .39341 .32096 .38968 .32642 .39392 .32252 .3932 Metetra
.792 .942 .925 r
.32252 .3932 .32642 .39392 .33197 .3971 .32854 .38895 Metetra
.777 .642 .712 r
.32854 .38895 .33197 .3971 .33775 .3969 .33479 .38079 Metetra
.721 .542 .647 r
.33479 .38079 .33775 .3969 .34383 .39187 .34115 .37067 Metetra
.676 .491 .629 r
.34115 .37067 .34383 .39187 .35015 .3824 .34741 .36193 Metetra
.614 .449 .636 r
.34741 .36193 .35015 .3824 .35655 .37102 .35339 .35818 Metetra
.403 .357 .693 r
.35339 .35818 .35655 .37102 .36283 .36168 .359 .36181 Metetra
.854 .43 .218 r
.359 .36181 .36283 .36168 .36881 .35829 .36427 .37271 Metetra
.742 .423 .443 r
.36427 .37271 .36881 .35829 .37441 .36303 .3694 .38785 Metetra
.678 .385 .469 r
.3694 .38785 .37441 .36303 .37971 .37505 .37465 .40182 Metetra
.608 .322 .457 r
.37465 .40182 .37971 .37505 .38494 .39029 .3803 .40876 Metetra
.416 .124 .359 r
.3803 .40876 .38494 .39029 .39037 .40254 .38646 .40488 Metetra
.978 .913 .662 r
.38646 .40488 .39037 .40254 .39623 .40595 .39305 .39051 Metetra
.806 .6 .624 r
.39305 .39051 .39623 .40595 .40255 .39779 .39984 .37037 Metetra
.726 .514 .603 r
.39984 .37037 .40255 .39779 .40921 .38017 .40651 .35188 Metetra
.656 .46 .608 r
.40651 .35188 .40921 .38017 .41593 .35939 .41282 .34222 Metetra
.454 .356 .654 r
.41282 .34222 .41593 .35939 .42245 .34317 .41868 .34567 Metetra
.866 .489 .328 r
.41868 .34567 .42245 .34317 .4286 .33738 .42417 .36193 Metetra
.743 .444 .476 r
.42417 .36193 .4286 .33738 .43442 .34357 .4295 .38593 Metetra
.68 .402 .494 r
.4295 .38593 .43442 .34357 .44006 .35821 .43498 .40915 Metetra
.615 .349 .492 r
.43498 .40915 .44006 .35821 .44574 .37389 .44082 .42264 Metetra
.511 .259 .469 r
.44082 .42264 .44574 .37389 .45167 .3825 .4471 .42059 Metetra
.284 .063 .391 r
.4471 .42059 .45167 .3825 .45791 .37899 .45374 .40301 Metetra
0 0 .109 r
.45374 .40301 .45791 .37899 .46438 .36405 .46053 .37584 Metetra
.88 .819 .342 r
.46053 .37584 .46438 .36405 .4709 .3437 .46724 .34841 Metetra
.974 .9 .548 r
.46724 .34841 .4709 .3437 .47732 .32618 .47372 .32982 Metetra
.47372 .32982 .47732 .32618 .48358 .31801 .47995 .32591 Metetra
.761 .395 .362 r
.47995 .32591 .48358 .31801 .48969 .32117 .48599 .33752 Metetra
.78 .46 .445 r
.48599 .33752 .48969 .32117 .49577 .33238 .49198 .36026 Metetra
.735 .436 .474 r
.49198 .36026 .49577 .33238 .50191 .34462 .49806 .38562 Metetra
.656 .377 .485 r
.49806 .38562 .50191 .34462 .50815 .35045 .50431 .40369 Metetra
.55 .294 .48 r
.50431 .40369 .50815 .35045 .51447 .34573 .51073 .40679 Metetra
.43 .2 .462 r
.51073 .40679 .51447 .34573 .52081 .33176 .51722 .39283 Metetra
.316 .11 .434 r
.51722 .39283 .52081 .33176 .52711 .31461 .52368 .36622 Metetra
.216 .027 .396 r
.52368 .36622 .52711 .31461 .53338 .3019 .53006 .33591 Metetra
.121 0 .336 r
.53006 .33591 .53338 .3019 .53967 .29918 .53636 .31164 Metetra
0 0 .129 r
.53636 .31164 .53967 .29918 .54605 .30756 .54265 .30035 Metetra
.252 .386 .805 r
.54265 .30035 .54605 .30756 .55255 .32325 .54904 .30417 Metetra
.043 .065 .556 r
.54904 .30417 .55255 .32325 .55914 .33913 .55559 .31989 Metetra
0 0 .483 r
.55559 .31989 .55914 .33913 .56572 .34773 .56228 .34017 Metetra
.693 .331 0 r
.56228 .34017 .56572 .34773 .57219 .34466 .56901 .35607 Metetra
.609 .255 .345 r
.56901 .35607 .57219 .34466 .57848 .33055 .57566 .3605 Metetra
.382 .133 .407 r
.57566 .3605 .57848 .33055 .58463 .31051 .58209 .35101 Metetra
.281 .07 .405 r
.58209 .35101 .58463 .31051 .59074 .29152 .58829 .33061 Metetra
.201 .008 .38 r
.58829 .33061 .59074 .29152 .59695 .27943 .59434 .306 Metetra
.075 0 .304 r
.59434 .306 .59695 .27943 .60338 .27686 .60039 .28453 Metetra
.60039 .28453 .60338 .27686 .61005 .28273 .60659 .27147 Metetra
.637 .531 .718 r
.60659 .27147 .61005 .28273 .61691 .29302 .61305 .26853 Metetra
.452 .327 .618 r
.61305 .26853 .61691 .29302 .62381 .30254 .61977 .27387 Metetra
.398 .277 .597 r
.61977 .27387 .62381 .30254 .6306 .30695 .62668 .2832 Metetra
.385 .284 .615 r
.62668 .2832 .6306 .30695 .63718 .30432 .63361 .29154 Metetra
.428 .385 .709 r
.63361 .29154 .63718 .30432 .64354 .29549 .64042 .295 Metetra
.591 .938 .938 r
.64042 .295 .64354 .29549 .64975 .28335 .64703 .29203 Metetra
0 0 .061 r
.64703 .29203 .64975 .28335 .65595 .27137 .65342 .28359 Metetra
.02 0 .165 r
.65342 .28359 .65595 .27137 .66225 .26232 .65967 .27234 Metetra
0 0 .076 r
.65967 .27234 .66225 .26232 .66873 .25745 .66592 .26134 Metetra
.66592 .26134 .66873 .25745 .6754 .25649 .67226 .25295 Metetra
.789 .819 .876 r
.67226 .25295 .6754 .25649 .68223 .25801 .67878 .24822 Metetra
.596 .532 .752 r
.67878 .24822 .68223 .25801 .68912 .2602 .68549 .24685 Metetra
.526 .441 .703 r
.68549 .24685 .68912 .2602 .696 .26147 .69232 .24763 Metetra
.508 .426 .698 r
.69232 .24763 .696 .26147 .7028 .26093 .69923 .24904 Metetra
.525 .459 .724 r
.69923 .24904 .7028 .26093 .70952 .25847 .70612 .24973 Metetra
.575 .542 .78 r
.70612 .24973 .70952 .25847 .71616 .25459 .71296 .24897 Metetra
.656 .678 .859 r
.71296 .24897 .71616 .25459 .72277 .25008 .71972 .24665 Metetra
.731 .818 .918 r
.71972 .24665 .72277 .25008 .72939 .2457 .72642 .24316 Metetra
.763 .882 .931 r
.72642 .24316 .72939 .2457 .73607 .24195 .73309 .23911 Metetra
.76 .863 .925 r
.73309 .23911 .73607 .24195 .74281 .23901 .73978 .23513 Metetra
.729 .793 .903 r
.73978 .23513 .74281 .23901 .74962 .23676 .74651 .23161 Metetra
.686 .713 .868 r
.74651 .23161 .74962 .23676 .75648 .23497 .75329 .2287 Metetra
.651 .653 .839 r
.75329 .2287 .75648 .23497 .76337 .23332 .76014 .22635 Metetra
.631 .62 .821 r
.76014 .22635 .76337 .23332 .77028 .23159 .76703 .22437 Metetra
.623 .609 .815 r
.76703 .22437 .77028 .23159 .77718 .22964 .77395 .22253 Metetra
.626 .614 .818 r
.77395 .22253 .77718 .22964 .78408 .22743 .78088 .22064 Metetra
.634 .628 .827 r
.78088 .22064 .78408 .22743 .79099 .22501 .78782 .21859 Metetra
.645 .647 .837 r
.78782 .21859 .79099 .22501 .79789 .22246 .79477 .21636 Metetra
.654 .663 .846 r
.79477 .21636 .79789 .22246 .80481 .21986 .80171 .21395 Metetra
.66 .674 .852 r
.80171 .21395 .80481 .21986 .81175 .21728 .80867 .21144 Metetra
.663 .678 .854 r
.80867 .21144 .81175 .21728 .81871 .21475 .81563 .20888 Metetra
.66 .662 .841 r
.19404 .41794 .19774 .42319 .20333 .42121 .19964 .41587 Metetra
.66 .659 .838 r
.19964 .41587 .20333 .42121 .20893 .41916 .20525 .41378 Metetra
.658 .657 .837 r
.20525 .41378 .20893 .41916 .21455 .41706 .21087 .41172 Metetra
.654 .657 .841 r
.21087 .41172 .21455 .41706 .22019 .41491 .21649 .40975 Metetra
.646 .662 .851 r
.21649 .40975 .22019 .41491 .22583 .41281 .22211 .40794 Metetra
.637 .672 .866 r
.22211 .40794 .22583 .41281 .23147 .41083 .22773 .40632 Metetra
.63 .686 .884 r
.22773 .40632 .23147 .41083 .23711 .40908 .23334 .40483 Metetra
.63 .7 .896 r
.23334 .40483 .23711 .40908 .24273 .40757 .23897 .40334 Metetra
.645 .705 .891 r
.23897 .40334 .24273 .40757 .24835 .40626 .24463 .40162 Metetra
.669 .694 .864 r
.24463 .40162 .24835 .40626 .25399 .40495 .25035 .39944 Metetra
.688 .666 .823 r
.25035 .39944 .25399 .40495 .25967 .40334 .25612 .39667 Metetra
.693 .633 .784 r
.25612 .39667 .25967 .40334 .2654 .40113 .26195 .39337 Metetra
.685 .604 .759 r
.26195 .39337 .2654 .40113 .27121 .39814 .2678 .38989 Metetra
.667 .586 .755 r
.2678 .38989 .27121 .39814 .27709 .39445 .27363 .38686 Metetra
.633 .583 .78 r
.27363 .38686 .27709 .39445 .28298 .39055 .27937 .38494 Metetra
.549 .606 .863 r
.27937 .38494 .28298 .39055 .28884 .38722 .28501 .38463 Metetra
.149 .578 .93 r
.28501 .38463 .28884 .38722 .2946 .38536 .29055 .38588 Metetra
.477 0 0 r
.29055 .38588 .2946 .38536 .30023 .38555 .29606 .38796 Metetra
.497 0 0 r
.29606 .38796 .30023 .38555 .30575 .38773 .30163 .38953 Metetra
.164 0 0 r
.30163 .38953 .30575 .38773 .31122 .39093 .30736 .38901 Metetra
.769 .869 .922 r
.30736 .38901 .31122 .39093 .31677 .39341 .31333 .38529 Metetra
.757 .633 .723 r
.31333 .38529 .31677 .39341 .32252 .3932 .31951 .3784 Metetra
.713 .544 .658 r
.31951 .3784 .32252 .3932 .32854 .38895 .32578 .36982 Metetra
.673 .496 .638 r
.32578 .36982 .32854 .38895 .33479 .38079 .33199 .36221 Metetra
.619 .461 .646 r
.33199 .36221 .33479 .38079 .34115 .37067 .33796 .3585 Metetra
.461 .404 .707 r
.33796 .3585 .34115 .37067 .34741 .36193 .3436 .36067 Metetra
.814 .333 .044 r
.3436 .36067 .34741 .36193 .35339 .35818 .34895 .36873 Metetra
.737 .4 .41 r
.34895 .36873 .35339 .35818 .359 .36181 .35416 .38028 Metetra
.676 .368 .446 r
.35416 .38028 .359 .36181 .36427 .37271 .35947 .39097 Metetra
.606 .298 .422 r
.35947 .39097 .36427 .37271 .3694 .38785 .36512 .3961 Metetra
.256 0 .127 r
.36512 .3961 .3694 .38785 .37465 .40182 .37123 .39262 Metetra
.808 .644 .679 r
.37123 .39262 .37465 .40182 .3803 .40876 .37772 .38076 Metetra
.711 .502 .604 r
.37772 .38076 .3803 .40876 .38646 .40488 .38441 .3642 Metetra
.664 .452 .586 r
.38441 .3642 .38646 .40488 .39305 .39051 .391 .34867 Metetra
.619 .416 .584 r
.391 .34867 .39305 .39051 .39984 .37037 .3973 .33957 Metetra
.54 .37 .599 r
.3973 .33957 .39984 .37037 .40651 .35188 .40323 .3398 Metetra
.049 .131 .629 r
.40323 .3398 .40651 .35188 .41282 .34222 .40887 .34865 Metetra
.797 .433 .368 r
.40887 .34865 .41282 .34222 .41868 .34567 .4144 .36201 Metetra
.699 .381 .434 r
.4144 .36201 .41868 .34567 .42417 .36193 .42006 .37396 Metetra
.628 .287 .374 r
.42006 .37396 .42417 .36193 .4295 .38593 .42598 .3792 Metetra
.71 .65 .788 r
.42598 .3792 .4295 .38593 .43498 .40915 .43222 .37528 Metetra
.657 .453 .596 r
.43222 .37528 .43498 .40915 .44082 .42264 .43867 .36343 Metetra
.632 .415 .57 r
.43867 .36343 .44082 .42264 .4471 .42059 .44521 .3476 Metetra
.613 .396 .562 r
.44521 .3476 .4471 .42059 .45374 .40301 .45169 .3324 Metetra
.598 .384 .562 r
.45169 .3324 .45374 .40301 .46053 .37584 .45805 .32109 Metetra
.584 .38 .57 r
.45805 .32109 .46053 .37584 .46724 .34841 .46429 .31472 Metetra
.569 .387 .595 r
.46429 .31472 .46724 .34841 .47372 .32982 .47046 .31242 Metetra
.543 .416 .658 r
.47046 .31242 .47372 .32982 .47995 .32591 .4766 .3126 Metetra
.5 .42 .697 r
.4766 .3126 .47995 .32591 .48599 .33752 .48275 .31408 Metetra
.498 .359 .622 r
.48275 .31408 .48599 .33752 .49198 .36026 .48892 .31667 Metetra
.502 .326 .575 r
.48892 .31667 .49198 .36026 .49806 .38562 .4951 .32077 Metetra
.503 .314 .556 r
.4951 .32077 .49806 .38562 .50431 .40369 .50132 .3264 Metetra
.507 .312 .551 r
.50132 .3264 .50431 .40369 .51073 .40679 .50757 .33235 Metetra
.518 .322 .554 r
.50757 .33235 .51073 .40679 .51722 .39283 .51388 .3361 Metetra
.549 .352 .567 r
.51388 .3361 .51722 .39283 .52368 .36622 .52024 .33488 Metetra
.627 .434 .601 r
.52024 .33488 .52368 .36622 .53006 .33591 .52661 .32723 Metetra
.833 .666 .675 r
.52661 .32723 .53006 .33591 .53636 .31164 .53296 .31432 Metetra
.965 .929 .609 r
.53296 .31432 .53636 .31164 .54265 .30035 .53928 .29991 Metetra
.955 .908 .733 r
.53928 .29991 .54265 .30035 .54904 .30417 .54558 .28901 Metetra
.622 .484 .673 r
.54558 .28901 .54904 .30417 .55559 .31989 .55193 .28579 Metetra
.468 .314 .588 r
.55193 .28579 .55559 .31989 .56228 .34017 .55839 .29172 Metetra
.418 .262 .56 r
.55839 .29172 .56228 .34017 .56901 .35607 .56499 .30478 Metetra
.405 .25 .555 r
.56499 .30478 .56901 .35607 .57566 .3605 .5717 .31994 Metetra
.419 .271 .572 r
.5717 .31994 .57566 .3605 .58209 .35101 .57842 .33095 Metetra
.506 .382 .644 r
.57842 .33095 .58209 .35101 .58829 .33061 .58505 .33291 Metetra
.808 .967 .655 r
.58505 .33291 .58829 .33061 .59434 .306 .59148 .32432 Metetra
0 0 .221 r
.59148 .32432 .59434 .306 .60039 .28453 .59771 .30767 Metetra
.049 0 .277 r
.59771 .30767 .60039 .28453 .60659 .27147 .60383 .28818 Metetra
0 0 .187 r
.60383 .28818 .60659 .27147 .61305 .26853 .60997 .27153 Metetra
.799 .935 .572 r
.60997 .27153 .61305 .26853 .61977 .27387 .61626 .2617 Metetra
.601 .5 .711 r
.61626 .2617 .61977 .27387 .62668 .2832 .62279 .2599 Metetra
.462 .338 .624 r
.62279 .2599 .62668 .2832 .63361 .29154 .62956 .26447 Metetra
.424 .3 .606 r
.62956 .26447 .63361 .29154 .64042 .295 .63647 .27189 Metetra
.427 .315 .623 r
.63647 .27189 .64042 .295 .64703 .29203 .6434 .27815 Metetra
.485 .41 .697 r
.6434 .27815 .64703 .29203 .65342 .28359 .65021 .28024 Metetra
.715 .813 .926 r
.65021 .28024 .65342 .28359 .65967 .27234 .65683 .27709 Metetra
.65683 .27709 .65967 .27234 .66592 .26134 .66327 .26957 Metetra
0 0 .001 r
.66327 .26957 .66592 .26134 .67226 .25295 .6696 .25988 Metetra
.6696 .25988 .67226 .25295 .67878 .24822 .67593 .25048 Metetra
.665 .915 .6 r
.67593 .25048 .67878 .24822 .68549 .24685 .68236 .24324 Metetra
.769 .813 .888 r
.68236 .24324 .68549 .24685 .69232 .24763 .68893 .23897 Metetra
.607 .561 .776 r
.68893 .23897 .69232 .24763 .69923 .24904 .69567 .2374 Metetra
.542 .472 .727 r
.69567 .2374 .69923 .24904 .70612 .24973 .70253 .23756 Metetra
.527 .456 .72 r
.70253 .23756 .70612 .24973 .71296 .24897 .70944 .23821 Metetra
.543 .486 .742 r
.70944 .23821 .71296 .24897 .71972 .24665 .71635 .2383 Metetra
.587 .558 .789 r
.71635 .2383 .71972 .24665 .72642 .24316 .72321 .23726 Metetra
.651 .666 .851 r
.72321 .23726 .72642 .24316 .73309 .23911 .73001 .23498 Metetra
.711 .773 .901 r
.73001 .23498 .73309 .23911 .73978 .23513 .73677 .23177 Metetra
.739 .827 .919 r
.73677 .23177 .73978 .23513 .74651 .23161 .7435 .2281 Metetra
.738 .819 .915 r
.7435 .2281 .74651 .23161 .75329 .2287 .75025 .22445 Metetra
.714 .769 .896 r
.75025 .22445 .75329 .2287 .76014 .22635 .75703 .22114 Metetra
.682 .71 .869 r
.75703 .22114 .76014 .22635 .76703 .22437 .76386 .2183 Metetra
.655 .663 .846 r
.76386 .2183 .76703 .22437 .77395 .22253 .77074 .21589 Metetra
.638 .635 .831 r
.77074 .21589 .77395 .22253 .78088 .22064 .77767 .21376 Metetra
.631 .625 .825 r
.77767 .21376 .78088 .22064 .78782 .21859 .78462 .21176 Metetra
.632 .627 .827 r
.78462 .21176 .78782 .21859 .79477 .21636 .79159 .20974 Metetra
.638 .637 .833 r
.79159 .20974 .79477 .21636 .80171 .21395 .79856 .2076 Metetra
.646 .651 .841 r
.79856 .2076 .80171 .21395 .80867 .21144 .80555 .20533 Metetra
.653 .664 .848 r
.80555 .20533 .80867 .21144 .81563 .20888 .81254 .20292 Metetra
.658 .664 .844 r
.19033 .41273 .19404 .41794 .19964 .41587 .19592 .4107 Metetra
.655 .664 .847 r
.19592 .4107 .19964 .41587 .20525 .41378 .20153 .40874 Metetra
.649 .668 .855 r
.20153 .40874 .20525 .41378 .21087 .41172 .20713 .4069 Metetra
.643 .676 .866 r
.20713 .4069 .21087 .41172 .21649 .40975 .21273 .40518 Metetra
.638 .686 .878 r
.21273 .40518 .21649 .40975 .22211 .40794 .21834 .40356 Metetra
.639 .695 .886 r
.21834 .40356 .22211 .40794 .22773 .40632 .22396 .40192 Metetra
.65 .699 .882 r
.22396 .40192 .22773 .40632 .23334 .40483 .22961 .40012 Metetra
.667 .69 .862 r
.22961 .40012 .23334 .40483 .23897 .40334 .2353 .39797 Metetra
.682 .669 .83 r
.2353 .39797 .23897 .40334 .24463 .40162 .24104 .39536 Metetra
.687 .642 .799 r
.24104 .39536 .24463 .40162 .25035 .39944 .24683 .39237 Metetra
.682 .618 .777 r
.24683 .39237 .25035 .39944 .25612 .39667 .25264 .38924 Metetra
.667 .603 .774 r
.25264 .38924 .25612 .39667 .26195 .39337 .25843 .38644 Metetra
.639 .603 .797 r
.25843 .38644 .26195 .39337 .2678 .38989 .26415 .38451 Metetra
.575 .627 .866 r
.26415 .38451 .2678 .38989 .27363 .38686 .2698 .38382 Metetra
.348 .66 .972 r
.2698 .38382 .27363 .38686 .27937 .38494 .27536 .38436 Metetra
.202 0 0 r
.27536 .38436 .27937 .38494 .28501 .38463 .28089 .38558 Metetra
.32 0 0 r
.28089 .38558 .28501 .38463 .29055 .38588 .28647 .38641 Metetra
.106 .658 .71 r
.28647 .38641 .29055 .38588 .29606 .38796 .2922 .3856 Metetra
.749 .84 .92 r
.2922 .3856 .29606 .38796 .30163 .38953 .29812 .38224 Metetra
.752 .646 .743 r
.29812 .38224 .30163 .38953 .30736 .38901 .30424 .37627 Metetra
.714 .558 .676 r
.30424 .37627 .30736 .38901 .31333 .38529 .31044 .36887 Metetra
.676 .51 .653 r
.31044 .36887 .31333 .38529 .31951 .3784 .31659 .36221 Metetra
.624 .476 .661 r
.31659 .36221 .31951 .3784 .32578 .36982 .32253 .35878 Metetra
.478 .43 .725 r
.32253 .35878 .32578 .36982 .33199 .36221 .32817 .36037 Metetra
.761 .247 0 r
.32817 .36037 .33199 .36221 .33796 .3585 .33353 .36711 Metetra
.735 .384 .386 r
.33353 .36711 .33796 .3585 .3436 .36067 .33874 .37704 Metetra
.672 .358 .433 r
.33874 .37704 .3436 .36067 .34895 .36873 .34405 .38645 Metetra
.6 .29 .417 r
.34405 .38645 .34895 .36873 .35416 .38028 .34966 .39111 Metetra
.356 .013 .24 r
.34966 .39111 .35416 .38028 .35947 .39097 .35572 .38812 Metetra
.898 .795 .738 r
.35572 .38812 .35947 .39097 .36512 .3961 .36217 .37749 Metetra
.749 .551 .628 r
.36217 .37749 .36512 .3961 .37123 .39262 .36882 .3625 Metetra
.684 .479 .602 r
.36882 .3625 .37123 .39262 .37772 .38076 .37539 .34858 Metetra
.624 .43 .599 r
.37539 .34858 .37772 .38076 .38441 .3642 .38163 .34117 Metetra
.501 .36 .621 r
.38163 .34117 .38441 .3642 .391 .34867 .38744 .34344 Metetra
.796 .368 0 r
.38744 .34344 .391 .34867 .3973 .33957 .3929 .35495 Metetra
.745 .426 .443 r
.3929 .35495 .3973 .33957 .40323 .3398 .39823 .37139 Metetra
.66 .374 .476 r
.39823 .37139 .40323 .3398 .40887 .34865 .40371 .386 Metetra
.582 .31 .469 r
.40371 .386 .40887 .34865 .4144 .36201 .40957 .39217 Metetra
.434 .172 .416 r
.40957 .39217 .4144 .36201 .42006 .37396 .41588 .38641 Metetra
.41588 .38641 .42006 .37396 .42598 .3792 .42253 .37009 Metetra
.872 .673 .63 r
.42253 .37009 .42598 .3792 .43222 .37528 .42928 .3489 Metetra
.732 .519 .603 r
.42928 .3489 .43222 .37528 .43867 .36343 .43591 .33033 Metetra
.642 .442 .597 r
.43591 .33033 .43867 .36343 .44521 .3476 .44225 .32052 Metetra
.521 .364 .609 r
.44225 .32052 .44521 .3476 .45169 .3324 .4483 .32197 Metetra
0 0 .557 r
.4483 .32197 .45169 .3324 .45805 .32109 .45417 .33267 Metetra
.754 .414 .408 r
.45417 .33267 .45805 .32109 .46429 .31472 .46004 .34689 Metetra
.625 .341 .467 r
.46004 .34689 .46429 .31472 .47046 .31242 .46605 .35735 Metetra
.534 .274 .468 r
.46605 .35735 .47046 .31242 .4766 .3126 .47229 .35836 Metetra
.429 .188 .445 r
.47229 .35836 .4766 .3126 .48275 .31408 .47871 .34841 Metetra
.252 .032 .374 r
.47871 .34841 .48275 .31408 .48892 .31667 .4852 .33089 Metetra
.4852 .33089 .48892 .31667 .4951 .32077 .49167 .31247 Metetra
.832 .669 .681 r
.49167 .31247 .4951 .32077 .50132 .3264 .49803 .30009 Metetra
.573 .404 .614 r
.49803 .30009 .50132 .3264 .50757 .33235 .50429 .2981 Metetra
.427 .283 .581 r
.50429 .2981 .50757 .33235 .51388 .3361 .51052 .30662 Metetra
.271 .181 .566 r
.51052 .30662 .51388 .3361 .52024 .33488 .51679 .32146 Metetra
0 0 .523 r
.51679 .32146 .52024 .33488 .52661 .32723 .52315 .33567 Metetra
.675 .297 .321 r
.52315 .33567 .52661 .32723 .53296 .31432 .52958 .34239 Metetra
.452 .185 .416 r
.52958 .34239 .53296 .31432 .53928 .29991 .53602 .33788 Metetra
.342 .112 .412 r
.53602 .33788 .53928 .29991 .54558 .28901 .54241 .3233 Metetra
.231 .02 .372 r
.54241 .3233 .54558 .28901 .55193 .28579 .54872 .30405 Metetra
0 0 .199 r
.54872 .30405 .55193 .28579 .55839 .29172 .55501 .28723 Metetra
.859 .769 .761 r
.55501 .28723 .55839 .29172 .56499 .30478 .56134 .2786 Metetra
.516 .364 .614 r
.56134 .2786 .56499 .30478 .5717 .31994 .56781 .28044 Metetra
.422 .273 .573 r
.56781 .28044 .5717 .31994 .57842 .33095 .57445 .29085 Metetra
.379 .242 .566 r
.57445 .29085 .57842 .33095 .58505 .33291 .58122 .30464 Metetra
.361 .252 .592 r
.58122 .30464 .58505 .33291 .59148 .32432 .58801 .31536 Metetra
.409 .438 .78 r
.58801 .31536 .59148 .32432 .59771 .30767 .59468 .31792 Metetra
.13 0 .149 r
.59468 .31792 .59771 .30767 .60383 .28818 .60116 .31066 Metetra
.174 0 .315 r
.60116 .31066 .60383 .28818 .60997 .27153 .60742 .29576 Metetra
.129 0 .311 r
.60742 .29576 .60997 .27153 .61626 .2617 .61357 .27799 Metetra
0 0 .198 r
.61357 .27799 .61626 .2617 .62279 .2599 .61974 .26253 Metetra
.811 .948 .601 r
.61974 .26253 .62279 .2599 .62956 .26447 .62606 .25303 Metetra
.622 .521 .719 r
.62606 .25303 .62956 .26447 .63647 .27189 .63261 .25057 Metetra
.484 .36 .636 r
.63261 .25057 .63647 .27189 .6434 .27815 .63939 .25374 Metetra
.443 .321 .619 r
.63939 .25374 .6434 .27815 .65021 .28024 .6463 .25947 Metetra
.445 .337 .637 r
.6463 .25947 .65021 .28024 .65683 .27709 .65323 .26433 Metetra
.5 .432 .712 r
.65323 .26433 .65683 .27709 .66327 .26957 .66007 .26578 Metetra
.696 .783 .918 r
.66007 .26578 .66327 .26957 .6696 .25988 .66673 .26291 Metetra
.66673 .26291 .6696 .25988 .67593 .25048 .67323 .25644 Metetra
.67323 .25644 .67593 .25048 .68236 .24324 .67964 .24815 Metetra
.67964 .24815 .68236 .24324 .68893 .23897 .68605 .24006 Metetra
.738 .979 .742 r
.68605 .24006 .68893 .23897 .69567 .2374 .69255 .23368 Metetra
.755 .806 .894 r
.69255 .23368 .69567 .2374 .70253 .23756 .69918 .22967 Metetra
.62 .587 .795 r
.69918 .22967 .70253 .23756 .70944 .23821 .70594 .22784 Metetra
.561 .503 .748 r
.70594 .22784 .70944 .23821 .71635 .2383 .71282 .22741 Metetra
.546 .486 .74 r
.71282 .22741 .71635 .2383 .72321 .23726 .71974 .22741 Metetra
.56 .512 .759 r
.71974 .22741 .72321 .23726 .73001 .23498 .72667 .22701 Metetra
.596 .574 .799 r
.72667 .22701 .73001 .23498 .73677 .23177 .73356 .22573 Metetra
.648 .661 .849 r
.73356 .22573 .73677 .23177 .7435 .2281 .7404 .22349 Metetra
.694 .744 .889 r
.7404 .22349 .7435 .2281 .75025 .22445 .74721 .22051 Metetra
.718 .789 .907 r
.74721 .22051 .75025 .22445 .75703 .22114 .754 .21715 Metetra
.719 .787 .906 r
.754 .21715 .75703 .22114 .76386 .2183 .76081 .21378 Metetra
.702 .753 .891 r
.76081 .21378 .76386 .2183 .77074 .21589 .76764 .21064 Metetra
.679 .709 .871 r
.76764 .21064 .77074 .21589 .77767 .21376 .77452 .20785 Metetra
.658 .672 .853 r
.77452 .20785 .77767 .21376 .78462 .21176 .78144 .20539 Metetra
.644 .649 .84 r
.78144 .20539 .78462 .21176 .79159 .20974 .7884 .20315 Metetra
.638 .639 .835 r
.7884 .20315 .79159 .20974 .79856 .2076 .79539 .20102 Metetra
.638 .64 .835 r
.79539 .20102 .79856 .2076 .80555 .20533 .80239 .19889 Metetra
.642 .647 .84 r
.80239 .19889 .80555 .20533 .81254 .20292 .80941 .19667 Metetra
.652 .675 .859 r
.18657 .40783 .19033 .41273 .19592 .4107 .19215 .40595 Metetra
.647 .68 .867 r
.19215 .40595 .19592 .4107 .20153 .40874 .19774 .40416 Metetra
.644 .687 .876 r
.19774 .40416 .20153 .40874 .20713 .4069 .20334 .40244 Metetra
.645 .694 .881 r
.20334 .40244 .20713 .4069 .21273 .40518 .20894 .4007 Metetra
.653 .696 .877 r
.20894 .4007 .21273 .40518 .21834 .40356 .21458 .39884 Metetra
.666 .689 .862 r
.21458 .39884 .21834 .40356 .22396 .40192 .22025 .39671 Metetra
.678 .673 .838 r
.22025 .39671 .22396 .40192 .22961 .40012 .22596 .39425 Metetra
.683 .652 .813 r
.22596 .39425 .22961 .40012 .2353 .39797 .23171 .39149 Metetra
.68 .633 .795 r
.23171 .39149 .2353 .39797 .24104 .39536 .23748 .38863 Metetra
.668 .621 .793 r
.23748 .38863 .24104 .39536 .24683 .39237 .24324 .38603 Metetra
.644 .622 .813 r
.24324 .38603 .24683 .39237 .25264 .38924 .24895 .38407 Metetra
.595 .645 .87 r
.24895 .38407 .25264 .38924 .25843 .38644 .25459 .38307 Metetra
.464 .692 .966 r
.25459 .38307 .25843 .38644 .26415 .38451 .26017 .38302 Metetra
.144 .645 .908 r
.26017 .38302 .26415 .38451 .2698 .38382 .26572 .38352 Metetra
0 .571 .735 r
.26572 .38352 .2698 .38382 .27536 .38436 .27132 .38376 Metetra
.368 .818 .941 r
.27132 .38376 .27536 .38436 .28089 .38558 .27703 .38274 Metetra
.727 .808 .914 r
.27703 .38274 .28089 .38558 .28647 .38641 .28292 .37971 Metetra
.743 .655 .763 r
.28292 .37971 .28647 .38641 .2922 .3856 .28896 .37458 Metetra
.714 .573 .695 r
.28896 .37458 .2922 .3856 .29812 .38224 .2951 .36823 Metetra
.68 .527 .671 r
.2951 .36823 .29812 .38224 .30424 .37627 .30119 .36236 Metetra
.633 .497 .679 r
.30119 .36236 .30424 .37627 .31044 .36887 .30712 .35903 Metetra
.509 .469 .748 r
.30712 .35903 .31044 .36887 .31659 .36221 .31278 .35979 Metetra
.615 .067 0 r
.31278 .35979 .31659 .36221 .32253 .35878 .31818 .36491 Metetra
.732 .355 .337 r
.31818 .36491 .32253 .35878 .32817 .36037 .32343 .37293 Metetra
.675 .343 .406 r
.32343 .37293 .32817 .36037 .33353 .36711 .32874 .38089 Metetra
.606 .278 .389 r
.32874 .38089 .33353 .36711 .33874 .37704 .33431 .38523 Metetra
.361 0 .176 r
.33431 .38523 .33874 .37704 .34405 .38645 .34028 .38333 Metetra
.871 .794 .772 r
.34028 .38333 .34405 .38645 .34966 .39111 .34663 .37484 Metetra
.746 .558 .641 r
.34663 .37484 .34966 .39111 .35572 .38812 .35319 .36215 Metetra
.689 .489 .611 r
.35319 .36215 .35572 .38812 .36217 .37749 .35972 .3497 Metetra
.636 .446 .609 r
.35972 .3497 .36217 .37749 .36882 .3625 .36597 .3422 Metetra
.533 .393 .637 r
.36597 .3422 .36882 .3625 .37539 .34858 .37183 .34278 Metetra
0 0 .378 r
.37183 .34278 .37539 .34858 .38163 .34117 .37732 .35164 Metetra
.763 .425 .412 r
.37732 .35164 .38163 .34117 .38744 .34344 .38264 .36575 Metetra
.688 .386 .459 r
.38264 .36575 .38744 .34344 .3929 .35495 .38803 .37975 Metetra
.624 .33 .451 r
.38803 .37975 .3929 .35495 .39823 .37139 .39373 .38794 Metetra
.471 .162 .36 r
.39373 .38794 .39823 .37139 .40371 .386 .39986 .38659 Metetra
.955 .919 .735 r
.39986 .38659 .40371 .386 .40957 .39217 .40637 .37554 Metetra
.781 .58 .627 r
.40637 .37554 .40957 .39217 .41588 .38641 .41307 .35821 Metetra
.721 .508 .601 r
.41307 .35821 .41588 .38641 .42253 .37009 .41976 .34005 Metetra
.683 .477 .601 r
.41976 .34005 .42253 .37009 .42928 .3489 .42627 .32631 Metetra
.636 .458 .626 r
.42627 .32631 .42928 .3489 .43591 .33033 .43251 .32033 Metetra
.431 .423 .749 r
.43251 .32033 .43591 .33033 .44225 .32052 .43853 .32265 Metetra
.787 .346 .201 r
.43853 .32265 .44225 .32052 .4483 .32197 .44441 .33125 Metetra
.741 .385 .376 r
.44441 .33125 .4483 .32197 .45417 .33267 .4503 .34239 Metetra
.715 .357 .37 r
.4503 .34239 .45417 .33267 .46004 .34689 .45628 .35187 Metetra
.643 .213 .211 r
.45628 .35187 .46004 .34689 .46605 .35735 .46243 .35624 Metetra
.629 .916 .98 r
.46243 .35624 .46605 .35735 .47229 .35836 .46873 .35369 Metetra
.859 .755 .747 r
.46873 .35369 .47229 .35836 .47871 .34841 .47516 .34441 Metetra
.912 .768 .69 r
.47516 .34441 .47871 .34841 .4852 .33089 .48164 .33045 Metetra
.97 .855 .669 r
.48164 .33045 .4852 .33089 .49167 .31247 .4881 .31517 Metetra
.951 .947 .638 r
.4881 .31517 .49167 .31247 .49803 .30009 .49449 .30244 Metetra
.723 .959 .682 r
.49449 .30244 .49803 .30009 .50429 .2981 .50082 .29566 Metetra
.181 .609 .942 r
.50082 .29566 .50429 .2981 .51052 .30662 .50709 .29678 Metetra
0 .116 .645 r
.50709 .29678 .51052 .30662 .51679 .32146 .51336 .30556 Metetra
0 .048 .563 r
.51336 .30556 .51679 .32146 .52315 .33567 .51969 .31926 Metetra
.005 .057 .566 r
.51969 .31926 .52315 .33567 .52958 .34239 .52609 .33311 Metetra
0 .12 .654 r
.52609 .33311 .52958 .34239 .53602 .33788 .53257 .34172 Metetra
.323 0 0 r
.53257 .34172 .53602 .33788 .54241 .3233 .53906 .34114 Metetra
.199 0 .28 r
.53906 .34114 .54241 .3233 .54872 .30405 .5455 .33057 Metetra
.156 0 .321 r
.5455 .33057 .54872 .30405 .55501 .28723 .55187 .31296 Metetra
.1 0 .299 r
.55187 .31296 .55501 .28723 .56134 .2786 .55818 .29387 Metetra
0 0 .157 r
.55818 .29387 .56134 .2786 .56781 .28044 .56448 .27921 Metetra
.862 .94 .869 r
.56448 .27921 .56781 .28044 .57445 .29085 .57088 .27309 Metetra
.465 .364 .656 r
.57088 .27309 .57445 .29085 .58122 .30464 .57743 .27636 Metetra
.373 .259 .593 r
.57743 .27636 .58122 .30464 .58801 .31536 .58415 .28643 Metetra
.343 .236 .586 r
.58415 .28643 .58801 .31536 .59468 .31792 .59098 .29826 Metetra
.347 .274 .632 r
.59098 .29826 .59468 .31792 .60116 .31066 .59779 .30624 Metetra
.471 .648 .935 r
.59779 .30624 .60116 .31066 .60742 .29576 .60446 .30643 Metetra
.078 0 .139 r
.60446 .30643 .60742 .29576 .61357 .27799 .61092 .29799 Metetra
.126 0 .282 r
.61092 .29799 .61357 .27799 .61974 .26253 .61719 .28331 Metetra
.085 0 .275 r
.61719 .28331 .61974 .26253 .62606 .25303 .62336 .26674 Metetra
0 0 .146 r
.62336 .26674 .62606 .25303 .63261 .25057 .62956 .2527 Metetra
.803 .964 .645 r
.62956 .2527 .63261 .25057 .63939 .25374 .63593 .24411 Metetra
.632 .555 .75 r
.63593 .24411 .63939 .25374 .6463 .25947 .64253 .24166 Metetra
.492 .384 .659 r
.64253 .24166 .6463 .25947 .65323 .26433 .64933 .24396 Metetra
.453 .344 .64 r
.64933 .24396 .65323 .26433 .66007 .26578 .65626 .24833 Metetra
.459 .365 .661 r
.65626 .24833 .66007 .26578 .66673 .26291 .66319 .25189 Metetra
.52 .468 .739 r
.66319 .25189 .66673 .26291 .67323 .25644 .67004 .25259 Metetra
.694 .78 .917 r
.67004 .25259 .67323 .25644 .67964 .24815 .67673 .24973 Metetra
.622 .929 .684 r
.67673 .24973 .67964 .24815 .68605 .24006 .68329 .24394 Metetra
.68329 .24394 .68605 .24006 .69255 .23368 .68978 .23671 Metetra
.68978 .23671 .69255 .23368 .69918 .22967 .69626 .22965 Metetra
.786 .998 .85 r
.69626 .22965 .69918 .22967 .70594 .22784 .70283 .22397 Metetra
.741 .796 .897 r
.70283 .22397 .70594 .22784 .71282 .22741 .70951 .2202 Metetra
.631 .612 .813 r
.70951 .2202 .71282 .22741 .71974 .22741 .71631 .21818 Metetra
.578 .535 .77 r
.71631 .21818 .71974 .22741 .72667 .22701 .7232 .21729 Metetra
.564 .517 .762 r
.7232 .21729 .72667 .22701 .73356 .22573 .73014 .21676 Metetra
.575 .539 .777 r
.73014 .21676 .73356 .22573 .7404 .22349 .73709 .21595 Metetra
.606 .591 .81 r
.73709 .21595 .7404 .22349 .74721 .22051 .74401 .21446 Metetra
.646 .661 .85 r
.74401 .21446 .74721 .22051 .754 .21715 .75089 .21223 Metetra
.682 .726 .883 r
.75089 .21223 .754 .21715 .76081 .21378 .75775 .20941 Metetra
.702 .762 .899 r
.75775 .20941 .76081 .21378 .76764 .21064 .7646 .20629 Metetra
.704 .764 .899 r
.7646 .20629 .76764 .21064 .77452 .20785 .77146 .20313 Metetra
.693 .741 .888 r
.77146 .20313 .77452 .20785 .78144 .20539 .77835 .20013 Metetra
.676 .709 .873 r
.77835 .20013 .78144 .20539 .7884 .20315 .78528 .19738 Metetra
.66 .681 .859 r
.78528 .19738 .7884 .20315 .79539 .20102 .79224 .19488 Metetra
.649 .661 .849 r
.79224 .19488 .79539 .20102 .80239 .19889 .79924 .19256 Metetra
.643 .652 .844 r
.79924 .19256 .80239 .19889 .80941 .19667 .80626 .19033 Metetra
.649 .691 .875 r
.18275 .40329 .18657 .40783 .19215 .40595 .18834 .40149 Metetra
.65 .695 .879 r
.18834 .40149 .19215 .40595 .19774 .40416 .19393 .39967 Metetra
.656 .696 .876 r
.19393 .39967 .19774 .40416 .20334 .40244 .19955 .39776 Metetra
.665 .691 .864 r
.19955 .39776 .20334 .40244 .20894 .4007 .2052 .39566 Metetra
.674 .678 .846 r
.2052 .39566 .20894 .4007 .21458 .39884 .21089 .3933 Metetra
.679 .662 .826 r
.21089 .3933 .21458 .39884 .22025 .39671 .2166 .39074 Metetra
.677 .647 .812 r
.2166 .39074 .22025 .39671 .22596 .39425 .22234 .38809 Metetra
.667 .637 .811 r
.22234 .38809 .22596 .39425 .23171 .39149 .22806 .38564 Metetra
.648 .64 .828 r
.22806 .38564 .23171 .39149 .23748 .38863 .23375 .38367 Metetra
.611 .661 .874 r
.23375 .38367 .23748 .38863 .24324 .38603 .23939 .38242 Metetra
.532 .705 .95 r
.23939 .38242 .24324 .38603 .24895 .38407 .24499 .38191 Metetra
.376 .737 .99 r
.24499 .38191 .24895 .38407 .25459 .38307 .25056 .38182 Metetra
.297 .751 .956 r
.25056 .38182 .25459 .38307 .26017 .38302 .25617 .38154 Metetra
.515 .842 .998 r
.25617 .38154 .26017 .38302 .26572 .38352 .26187 .38031 Metetra
.711 .783 .908 r
.26187 .38031 .26572 .38352 .27132 .38376 .26771 .37753 Metetra
.733 .663 .781 r
.26771 .37753 .27132 .38376 .27703 .38274 .2737 .37308 Metetra
.712 .588 .715 r
.2737 .37308 .27703 .38274 .28292 .37971 .27976 .36762 Metetra
.682 .544 .69 r
.27976 .36762 .28292 .37971 .28896 .37458 .2858 .36248 Metetra
.639 .517 .698 r
.2858 .36248 .28896 .37458 .2951 .36823 .2917 .35932 Metetra
.536 .503 .766 r
.2917 .35932 .2951 .36823 .30119 .36236 .29738 .35945 Metetra
0 .177 .629 r
.29738 .35945 .30119 .36236 .30712 .35903 .30282 .36317 Metetra
.718 .306 .265 r
.30282 .36317 .30712 .35903 .31278 .35979 .30812 .3694 Metetra
.668 .316 .367 r
.30812 .3694 .31278 .35979 .31818 .36491 .31346 .37574 Metetra
.597 .249 .351 r
.31346 .37574 .31818 .36491 .32343 .37293 .31903 .37924 Metetra
.325 0 .085 r
.31903 .37924 .32343 .37293 .32874 .38089 .32495 .37764 Metetra
.848 .792 .796 r
.32495 .37764 .32874 .38089 .33431 .38523 .33122 .37048 Metetra
.74 .562 .652 r
.33122 .37048 .33431 .38523 .34028 .38333 .3377 .35966 Metetra
.684 .491 .618 r
.3377 .35966 .34028 .38333 .34663 .37484 .34416 .34888 Metetra
.633 .447 .614 r
.34416 .34888 .34663 .37484 .35319 .36215 .35037 .34221 Metetra
.539 .399 .639 r
.35037 .34221 .35319 .36215 .35972 .3497 .35621 .34246 Metetra
0 .034 .604 r
.35621 .34246 .35972 .3497 .36597 .3422 .36171 .34984 Metetra
.767 .41 .378 r
.36171 .34984 .36597 .3422 .37183 .34278 .36703 .36166 Metetra
.68 .371 .443 r
.36703 .36166 .37183 .34278 .37732 .35164 .37244 .37309 Metetra
.606 .306 .433 r
.37244 .37309 .37732 .35164 .38264 .36575 .37817 .37902 Metetra
.4 .076 .296 r
.37817 .37902 .38264 .36575 .38803 .37975 .38432 .37626 Metetra
.894 .779 .727 r
.38432 .37626 .38803 .37975 .39373 .38794 .39084 .36501 Metetra
.733 .527 .614 r
.39084 .36501 .39373 .38794 .39986 .38659 .39753 .34882 Metetra
.673 .46 .588 r
.39753 .34882 .39986 .38659 .40637 .37554 .40418 .33292 Metetra
.629 .422 .582 r
.40418 .33292 .40637 .37554 .41307 .35821 .4106 .322 Metetra
.58 .391 .59 r
.4106 .322 .41307 .35821 .41976 .34005 .41676 .31831 Metetra
.488 .356 .627 r
.41676 .31831 .41976 .34005 .42627 .32631 .42272 .32102 Metetra
0 .137 .679 r
.42272 .32102 .42627 .32631 .43251 .32033 .42862 .32674 Metetra
.638 .235 .264 r
.42862 .32674 .43251 .32033 .43853 .32265 .4346 .33115 Metetra
.463 .084 .234 r
.4346 .33115 .43853 .32265 .44441 .33125 .44074 .33099 Metetra
.835 .974 .883 r
.44074 .33099 .44441 .33125 .4503 .34239 .44703 .32546 Metetra
.704 .527 .646 r
.44703 .32546 .4503 .34239 .45628 .35187 .45341 .31641 Metetra
.631 .43 .592 r
.45341 .31641 .45628 .35187 .46243 .35624 .45978 .30717 Metetra
.588 .385 .574 r
.45978 .30717 .46243 .35624 .46873 .35369 .46608 .30077 Metetra
.555 .358 .568 r
.46608 .30077 .46873 .35369 .47516 .34441 .4723 .29848 Metetra
.532 .345 .573 r
.4723 .29848 .47516 .34441 .48164 .33045 .4785 .2993 Metetra
.524 .357 .598 r
.4785 .2993 .48164 .33045 .4881 .31517 .48472 .30064 Metetra
.569 .454 .683 r
.48472 .30064 .4881 .31517 .49449 .30244 .49098 .29979 Metetra
.783 .851 .902 r
.49098 .29979 .49449 .30244 .50082 .29566 .4973 .29551 Metetra
.875 .974 .844 r
.4973 .29551 .50082 .29566 .50709 .29678 .50364 .28887 Metetra
.749 .642 .743 r
.50364 .28887 .50709 .29678 .51336 .30556 .50998 .28278 Metetra
.581 .419 .627 r
.50998 .28278 .51336 .30556 .51969 .31926 .5163 .28055 Metetra
.501 .33 .581 r
.5163 .28055 .51969 .31926 .52609 .33311 .52263 .28416 Metetra
.458 .288 .562 r
.52263 .28416 .52609 .33311 .53257 .34172 .52901 .29304 Metetra
.436 .273 .56 r
.52901 .29304 .53257 .34172 .53906 .34114 .53546 .30402 Metetra
.437 .286 .578 r
.53546 .30402 .53906 .34114 .5455 .33057 .54196 .31245 Metetra
.504 .389 .656 r
.54196 .31245 .5455 .33057 .55187 .31296 .54847 .31421 Metetra
.784 .994 .775 r
.54847 .31421 .55187 .31296 .55818 .29387 .55494 .30772 Metetra
0 0 .14 r
.55494 .30772 .55818 .29387 .56448 .27921 .56132 .29478 Metetra
0 0 .159 r
.56132 .29478 .56448 .27921 .57088 .27309 .56765 .27983 Metetra
.56765 .27983 .57088 .27309 .57743 .27636 .57399 .26801 Metetra
.718 .622 .75 r
.57399 .26801 .57743 .27636 .58415 .28643 .58043 .26301 Metetra
.495 .359 .624 r
.58043 .26301 .58415 .28643 .59098 .29826 .58703 .26572 Metetra
.426 .287 .588 r
.58703 .26572 .59098 .29826 .59779 .30624 .59379 .274 Metetra
.405 .273 .586 r
.59379 .274 .59779 .30624 .60446 .30643 .60064 .28358 Metetra
.421 .311 .623 r
.60064 .28358 .60446 .30643 .61092 .29799 .60746 .28975 Metetra
.561 .546 .795 r
.60746 .28975 .61092 .29799 .61719 .28331 .61415 .28927 Metetra
.61415 .28927 .61719 .28331 .62336 .26674 .62064 .28157 Metetra
.036 0 .2 r
.62064 .28157 .62336 .26674 .62956 .2527 .62695 .26876 Metetra
.022 0 .212 r
.62695 .26876 .62956 .2527 .63593 .24411 .63319 .25449 Metetra
0 0 .047 r
.63319 .25449 .63593 .24411 .64253 .24166 .63946 .24243 Metetra
.85 .996 .767 r
.63946 .24243 .64253 .24166 .64933 .24396 .6459 .23494 Metetra
.634 .568 .763 r
.6459 .23494 .64933 .24396 .65626 .24833 .65253 .23254 Metetra
.508 .408 .677 r
.65253 .23254 .65626 .24833 .66319 .25189 .65936 .23401 Metetra
.472 .371 .658 r
.65936 .23401 .66319 .25189 .67004 .25259 .66629 .23711 Metetra
.481 .394 .68 r
.66629 .23711 .67004 .25259 .67673 .24973 .67323 .23951 Metetra
.541 .494 .753 r
.67323 .23951 .67673 .24973 .68329 .24394 .68009 .23957 Metetra
.687 .751 .9 r
.68009 .23957 .68329 .24394 .68978 .23671 .68682 .23677 Metetra
.738 .992 .858 r
.68682 .23677 .68978 .23671 .69626 .22965 .69344 .23164 Metetra
.596 .898 .617 r
.69344 .23164 .69626 .22965 .70283 .22397 .7 .22537 Metetra
.667 .948 .699 r
.7 .22537 .70283 .22397 .70951 .2202 .70656 .21923 Metetra
.793 .976 .907 r
.70656 .21923 .70951 .2202 .71631 .21818 .7132 .21419 Metetra
.728 .788 .9 r
.7132 .21419 .71631 .21818 .7232 .21729 .71993 .21065 Metetra
.64 .636 .83 r
.71993 .21065 .7232 .21729 .73014 .21676 .72676 .20848 Metetra
.594 .566 .792 r
.72676 .20848 .73014 .21676 .73709 .21595 .73368 .20721 Metetra
.581 .548 .783 r
.73368 .20721 .73709 .21595 .74401 .21446 .74064 .20625 Metetra
.59 .566 .795 r
.74064 .20625 .74401 .21446 .75089 .21223 .74761 .20508 Metetra
.615 .609 .822 r
.74761 .20508 .75089 .21223 .75775 .20941 .75456 .2034 Metetra
.646 .664 .853 r
.75456 .2034 .75775 .20941 .7646 .20629 .76149 .20116 Metetra
.674 .715 .879 r
.76149 .20116 .7646 .20629 .77146 .20313 .7684 .19846 Metetra
.69 .744 .892 r
.7684 .19846 .77146 .20313 .77835 .20013 .77531 .1955 Metetra
.693 .748 .894 r
.77531 .1955 .77835 .20013 .78528 .19738 .78222 .19251 Metetra
.685 .733 .887 r
.78222 .19251 .78528 .19738 .79224 .19488 .78916 .18962 Metetra
.673 .71 .876 r
.78916 .18962 .79224 .19488 .79924 .19256 .79614 .18691 Metetra
.661 .688 .865 r
.79614 .18691 .79924 .19256 .80626 .19033 .80314 .18438 Metetra
.658 .698 .876 r
.17892 .39883 .18275 .40329 .18834 .40149 .18452 .39688 Metetra
.664 .694 .867 r
.18452 .39688 .18834 .40149 .19393 .39967 .19015 .3948 Metetra
.672 .684 .854 r
.19015 .3948 .19393 .39967 .19955 .39776 .19581 .39253 Metetra
.676 .672 .839 r
.19581 .39253 .19955 .39776 .2052 .39566 .20149 .39011 Metetra
.675 .66 .828 r
.20149 .39011 .2052 .39566 .21089 .3933 .20719 .38763 Metetra
.667 .653 .827 r
.20719 .38763 .21089 .3933 .2166 .39074 .21289 .3853 Metetra
.652 .656 .842 r
.21289 .3853 .2166 .39074 .22234 .38809 .21857 .38332 Metetra
.624 .674 .878 r
.21857 .38332 .22234 .38809 .22806 .38564 .2242 .38188 Metetra
.573 .711 .936 r
.2242 .38188 .22806 .38564 .23375 .38367 .2298 .38099 Metetra
.497 .754 .987 r
.2298 .38099 .23375 .38367 .23939 .38242 .23539 .38044 Metetra
.468 .791 .999 r
.23539 .38044 .23939 .38242 .24499 .38191 .241 .37975 Metetra
.583 .821 .989 r
.241 .37975 .24499 .38191 .25056 .38182 .24669 .37835 Metetra
.699 .766 .903 r
.24669 .37835 .25056 .38182 .25617 .38154 .2525 .37576 Metetra
.723 .672 .8 r
.2525 .37576 .25617 .38154 .26187 .38031 .25843 .37186 Metetra
.71 .605 .737 r
.25843 .37186 .26187 .38031 .26771 .37753 .26443 .36713 Metetra
.684 .563 .712 r
.26443 .36713 .26771 .37753 .2737 .37308 .27042 .36261 Metetra
.646 .54 .72 r
.27042 .36261 .2737 .37308 .27976 .36762 .2763 .3596 Metetra
.559 .536 .786 r
.2763 .3596 .27976 .36762 .2858 .36248 .28198 .35922 Metetra
0 .395 .832 r
.28198 .35922 .2858 .36248 .2917 .35932 .28746 .3618 Metetra
.69 .23 .155 r
.28746 .3618 .2917 .35932 .29738 .35945 .29281 .36655 Metetra
.658 .278 .314 r
.29281 .36655 .29738 .35945 .30282 .36317 .29818 .37158 Metetra
.587 .215 .302 r
.29818 .37158 .30282 .36317 .30812 .3694 .30373 .37447 Metetra
.309 0 .011 r
.30373 .37447 .30812 .3694 .31346 .37574 .3096 .37326 Metetra
.838 .832 .841 r
.3096 .37326 .31346 .37574 .31903 .37924 .31578 .36738 Metetra
.746 .585 .676 r
.31578 .36738 .31903 .37924 .32495 .37764 .32217 .35826 Metetra
.692 .508 .635 r
.32217 .35826 .32495 .37764 .33122 .37048 .32856 .34893 Metetra
.64 .464 .629 r
.32856 .34893 .33122 .37048 .3377 .35966 .33474 .34295 Metetra
.544 .419 .66 r
.33474 .34295 .3377 .35966 .34416 .34888 .34056 .34296 Metetra
0 .035 .599 r
.34056 .34296 .34416 .34888 .35037 .34221 .34604 .34949 Metetra
.761 .399 .37 r
.34604 .34949 .35037 .34221 .35621 .34246 .35132 .36044 Metetra
.683 .371 .44 r
.35132 .36044 .35621 .34246 .36171 .34984 .35665 .3717 Metetra
.616 .316 .438 r
.35665 .3717 .36171 .34984 .36703 .36166 .36227 .37855 Metetra
.481 .172 .364 r
.36227 .37855 .36703 .36166 .37244 .37309 .36831 .37764 Metetra
.738 .919 .559 r
.36831 .37764 .37244 .37309 .37817 .37902 .37476 .36855 Metetra
.817 .637 .658 r
.37476 .36855 .37817 .37902 .38432 .37626 .38143 .35405 Metetra
.729 .526 .617 r
.38143 .35405 .38432 .37626 .39084 .36501 .3881 .33893 Metetra
.675 .478 .611 r
.3881 .33893 .39084 .36501 .39753 .34882 .39457 .32803 Metetra
.608 .445 .635 r
.39457 .32803 .39753 .34882 .40418 .33292 .40072 .32439 Metetra
.279 .362 .77 r
.40072 .32439 .40418 .33292 .4106 .322 .4066 .32822 Metetra
.738 .352 .321 r
.4066 .32822 .4106 .322 .41676 .31831 .41235 .3369 Metetra
.655 .342 .43 r
.41235 .3369 .41676 .31831 .42272 .32102 .41813 .34607 Metetra
.586 .294 .438 r
.41813 .34607 .42272 .32102 .42862 .32674 .42411 .35121 Metetra
.483 .2 .408 r
.42411 .35121 .42862 .32674 .4346 .33115 .43033 .34943 Metetra
.244 0 .289 r
.43033 .34943 .4346 .33115 .44074 .33099 .43676 .34054 Metetra
.43676 .34054 .44074 .33099 .44703 .32546 .4433 .32699 Metetra
.978 .909 .665 r
.4433 .32699 .44703 .32546 .45341 .31641 .44983 .31281 Metetra
.895 .786 .733 r
.44983 .31281 .45341 .31641 .45978 .30717 .45625 .30208 Metetra
.755 .721 .821 r
.45625 .30208 .45978 .30717 .46608 .30077 .46252 .29753 Metetra
.078 .489 .896 r
.46252 .29753 .46608 .30077 .4723 .29848 .46868 .29974 Metetra
.759 .279 .099 r
.46868 .29974 .4723 .29848 .4785 .2993 .47479 .30695 Metetra
.721 .341 .33 r
.47479 .30695 .4785 .2993 .48472 .30064 .48093 .31569 Metetra
.627 .296 .392 r
.48093 .31569 .48472 .30064 .49098 .29979 .48716 .32182 Metetra
.517 .222 .406 r
.48716 .32182 .49098 .29979 .4973 .29551 .4935 .32214 Metetra
.405 .139 .394 r
.4935 .32214 .4973 .29551 .50364 .28887 .49992 .31562 Metetra
.296 .051 .362 r
.49992 .31562 .50364 .28887 .50998 .28278 .50636 .30393 Metetra
.173 0 .292 r
.50636 .30393 .50998 .28278 .5163 .28055 .51279 .29092 Metetra
0 0 .047 r
.51279 .29092 .5163 .28055 .52263 .28416 .51918 .28108 Metetra
.726 .821 .924 r
.51918 .28108 .52263 .28416 .52901 .29304 .52555 .27784 Metetra
.406 .343 .674 r
.52555 .27784 .52901 .29304 .53546 .30402 .53196 .28221 Metetra
.3 .228 .606 r
.53196 .28221 .53546 .30402 .54196 .31245 .53843 .29227 Metetra
.226 .186 .602 r
.53843 .29227 .54196 .31245 .54847 .31421 .54497 .30376 Metetra
.091 .199 .685 r
.54497 .30376 .54847 .31421 .55494 .30772 .55156 .31157 Metetra
.397 0 0 r
.55156 .31157 .55494 .30772 .56132 .29478 .55812 .31184 Metetra
.269 0 .297 r
.55812 .31184 .56132 .29478 .56765 .27983 .56461 .30362 Metetra
.2 0 .323 r
.56461 .30362 .56765 .27983 .57399 .26801 .57099 .28933 Metetra
.105 0 .277 r
.57099 .28933 .57399 .26801 .58043 .26301 .57732 .2736 Metetra
0 0 .018 r
.57732 .2736 .58043 .26301 .58703 .26572 .58366 .26133 Metetra
.8 .773 .829 r
.58366 .26133 .58703 .26572 .59379 .274 .59013 .25576 Metetra
.507 .39 .655 r
.59013 .25576 .59379 .274 .60064 .28358 .59676 .2574 Metetra
.428 .303 .608 r
.59676 .2574 .60064 .28358 .60746 .28975 .60355 .26403 Metetra
.405 .289 .608 r
.60355 .26403 .60746 .28975 .61415 .28927 .61043 .27168 Metetra
.427 .342 .658 r
.61043 .27168 .61415 .28927 .62064 .28157 .61727 .27622 Metetra
.598 .664 .885 r
.61727 .27622 .62064 .28157 .62695 .26876 .62397 .27495 Metetra
.62397 .27495 .62695 .26876 .63319 .25449 .63048 .26755 Metetra
.021 0 .168 r
.63048 .26755 .63319 .25449 .63946 .24243 .63684 .25593 Metetra
0 0 .166 r
.63684 .25593 .63946 .24243 .6459 .23494 .64312 .24325 Metetra
.64312 .24325 .6459 .23494 .65253 .23254 .64946 .23258 Metetra
.851 .996 .823 r
.64946 .23258 .65253 .23254 .65936 .23401 .65595 .22583 Metetra
.643 .592 .782 r
.65595 .22583 .65936 .23401 .66629 .23711 .66263 .22333 Metetra
.525 .437 .699 r
.66263 .22333 .66629 .23711 .67323 .23951 .66947 .22403 Metetra
.491 .4 .68 r
.66947 .22403 .67323 .23951 .68009 .23957 .67641 .22605 Metetra
.501 .425 .703 r
.67641 .22605 .68009 .23957 .68682 .23677 .68336 .22749 Metetra
.559 .523 .772 r
.68336 .22749 .68682 .23677 .69344 .23164 .69023 .22705 Metetra
.681 .739 .895 r
.69023 .22705 .69344 .23164 .7 .22537 .69701 .22432 Metetra
.764 .97 .925 r
.69701 .22432 .7 .22537 .70656 .21923 .70369 .21975 Metetra
.714 .984 .806 r
.70369 .21975 .70656 .21923 .7132 .21419 .71032 .21427 Metetra
.747 .994 .845 r
.71032 .21427 .7132 .21419 .71993 .21065 .71696 .2089 Metetra
.78 .939 .931 r
.71696 .2089 .71993 .21065 .72676 .20848 .72366 .20437 Metetra
.717 .78 .902 r
.72366 .20437 .72676 .20848 .73368 .20721 .73044 .20101 Metetra
.647 .657 .845 r
.73044 .20101 .73368 .20721 .74064 .20625 .73732 .19873 Metetra
.608 .595 .812 r
.73732 .19873 .74064 .20625 .74761 .20508 .74426 .19716 Metetra
.596 .578 .803 r
.74426 .19716 .74761 .20508 .75456 .2034 .75125 .19584 Metetra
.603 .591 .812 r
.75125 .19584 .75456 .2034 .76149 .20116 .75824 .19437 Metetra
.623 .626 .833 r
.75824 .19437 .76149 .20116 .7684 .19846 .76523 .19253 Metetra
.647 .67 .857 r
.76523 .19253 .7684 .19846 .77531 .1955 .7722 .19026 Metetra
.669 .709 .878 r
.7722 .19026 .77531 .1955 .78222 .19251 .77916 .18764 Metetra
.681 .732 .889 r
.77916 .18764 .78222 .19251 .78916 .18962 .78611 .18481 Metetra
.684 .737 .891 r
.78611 .18481 .78916 .18962 .79614 .18691 .79309 .18193 Metetra
.679 .727 .886 r
.79309 .18193 .79614 .18691 .80314 .18438 .80008 .17912 Metetra
.67 .691 .861 r
.17509 .39412 .17892 .39883 .18452 .39688 .18073 .39192 Metetra
.673 .681 .85 r
.18073 .39192 .18452 .39688 .19015 .3948 .18638 .38961 Metetra
.672 .673 .842 r
.18638 .38961 .19015 .3948 .19581 .39253 .19205 .38726 Metetra
.667 .668 .841 r
.19205 .38726 .19581 .39253 .20149 .39011 .19773 .38501 Metetra
.655 .671 .853 r
.19773 .38501 .20149 .39011 .20719 .38763 .20338 .38303 Metetra
.634 .686 .881 r
.20338 .38303 .20719 .38763 .21289 .3853 .20901 .38144 Metetra
.601 .715 .924 r
.20901 .38144 .21289 .3853 .21857 .38332 .21462 .38026 Metetra
.56 .751 .967 r
.21462 .38026 .21857 .38332 .2242 .38188 .22021 .37934 Metetra
.551 .784 .985 r
.22021 .37934 .2242 .38188 .2298 .38099 .22583 .37833 Metetra
.615 .795 .968 r
.22583 .37833 .2298 .38099 .23539 .38044 .23151 .37679 Metetra
.69 .753 .9 r
.23151 .37679 .23539 .38044 .241 .37975 .23729 .37434 Metetra
.714 .681 .817 r
.23729 .37434 .241 .37975 .24669 .37835 .24316 .37088 Metetra
.707 .622 .76 r
.24316 .37088 .24669 .37835 .2525 .37576 .24911 .36676 Metetra
.686 .584 .735 r
.24911 .36676 .2525 .37576 .25843 .37186 .25505 .36275 Metetra
.653 .564 .742 r
.25505 .36275 .25843 .37186 .26443 .36713 .26089 .35989 Metetra
.581 .568 .804 r
.26089 .35989 .26443 .36713 .27042 .36261 .26658 .35909 Metetra
.19 .542 .928 r
.26658 .35909 .27042 .36261 .2763 .3596 .2721 .36067 Metetra
.622 .096 0 r
.2721 .36067 .2763 .3596 .28198 .35922 .2775 .36409 Metetra
.635 .215 .228 r
.2775 .36409 .28198 .35922 .28746 .3618 .28291 .36788 Metetra
.565 .156 .224 r
.28291 .36788 .28746 .3618 .29281 .36655 .28846 .37011 Metetra
.244 0 0 r
.28846 .37011 .29281 .36655 .29818 .37158 .29428 .3691 Metetra
.808 .836 .872 r
.29428 .3691 .29818 .37158 .30373 .37447 .30038 .36427 Metetra
.744 .6 .697 r
.30038 .36427 .30373 .37447 .3096 .37326 .30668 .35664 Metetra
.693 .521 .65 r
.30668 .35664 .3096 .37326 .31578 .36738 .31299 .34863 Metetra
.644 .477 .643 r
.31299 .34863 .31578 .36738 .32217 .35826 .31913 .34322 Metetra
.557 .439 .675 r
.31913 .34322 .32217 .35826 .32856 .34893 .32496 .34276 Metetra
0 .201 .729 r
.32496 .34276 .32856 .34893 .33474 .34295 .33046 .34787 Metetra
.763 .375 .319 r
.33046 .34787 .33474 .34295 .34056 .34296 .33577 .35698 Metetra
.688 .361 .417 r
.33577 .35698 .34056 .34296 .34604 .34949 .34109 .36667 Metetra
.623 .308 .416 r
.34109 .36667 .34604 .34949 .35132 .36044 .34667 .37288 Metetra
.481 .143 .316 r
.34667 .37288 .35132 .36044 .35665 .3717 .35265 .37257 Metetra
.894 .979 .812 r
.35265 .37257 .35665 .3717 .36227 .37855 .35901 .36512 Metetra
.769 .588 .654 r
.35901 .36512 .36227 .37855 .36831 .37764 .36562 .35265 Metetra
.702 .5 .612 r
.36562 .35265 .36831 .37764 .37476 .36855 .37226 .33915 Metetra
.658 .459 .604 r
.37226 .33915 .37476 .36855 .38143 .35405 .37872 .32877 Metetra
.609 .431 .616 r
.37872 .32877 .38143 .35405 .3881 .33893 .38491 .32418 Metetra
.499 .405 .679 r
.38491 .32418 .3881 .33893 .39457 .32803 .39084 .32564 Metetra
.599 .051 0 r
.39084 .32564 .39457 .32803 .40072 .32439 .39664 .33107 Metetra
.677 .285 .295 r
.39664 .33107 .40072 .32439 .4066 .32822 .40246 .33698 Metetra
.583 .207 .295 r
.40246 .33698 .4066 .32822 .41235 .3369 .40844 .33996 Metetra
.073 0 0 r
.40844 .33996 .41235 .3369 .41813 .34607 .41462 .33803 Metetra
.759 .643 .733 r
.41462 .33803 .41813 .34607 .42411 .35121 .42098 .33124 Metetra
.694 .508 .631 r
.42098 .33124 .42411 .35121 .43033 .34943 .42742 .32137 Metetra
.663 .464 .606 r
.42742 .32137 .43033 .34943 .43676 .34054 .43387 .31089 Metetra
.643 .447 .603 r
.43387 .31089 .43676 .34054 .4433 .32699 .44026 .30193 Metetra
.631 .447 .616 r
.44026 .30193 .4433 .32699 .44983 .31281 .44658 .29556 Metetra
.621 .47 .655 r
.44658 .29556 .44983 .31281 .45625 .30208 .45283 .29184 Metetra
.601 .523 .738 r
.45283 .29184 .45625 .30208 .46252 .29753 .45904 .29026 Metetra
.534 .551 .819 r
.45904 .29026 .46252 .29753 .46868 .29974 .46524 .29025 Metetra
.481 .466 .764 r
.46524 .29025 .46868 .29974 .47479 .30695 .47144 .29148 Metetra
.477 .386 .674 r
.47144 .29148 .47479 .30695 .48093 .31569 .47765 .29378 Metetra
.483 .353 .628 r
.47765 .29378 .48093 .31569 .48716 .32182 .48388 .2967 Metetra
.496 .352 .615 r
.48388 .2967 .48716 .32182 .4935 .32214 .49016 .2993 Metetra
.526 .381 .627 r
.49016 .2993 .4935 .32214 .49992 .31562 .49649 .30015 Metetra
.598 .467 .674 r
.49649 .30015 .49992 .31562 .50636 .30393 .50286 .29794 Metetra
.771 .701 .785 r
.50286 .29794 .50636 .30393 .51279 .29092 .50927 .29222 Metetra
.881 .992 .755 r
.50927 .29222 .51279 .29092 .51918 .28108 .51568 .28405 Metetra
.751 .945 .618 r
.51568 .28405 .51918 .28108 .52555 .27784 .52209 .27584 Metetra
.829 .897 .888 r
.52209 .27584 .52555 .27784 .53196 .28221 .52849 .27054 Metetra
.548 .473 .723 r
.52849 .27054 .53196 .28221 .53843 .29227 .53491 .27042 Metetra
.424 .314 .625 r
.53491 .27042 .53843 .29227 .54497 .30376 .54138 .27595 Metetra
.376 .261 .593 r
.54138 .27595 .54497 .30376 .55156 .31157 .54793 .28531 Metetra
.361 .255 .597 r
.54793 .28531 .55156 .31157 .55812 .31184 .55454 .29488 Metetra
.382 .315 .657 r
.55454 .29488 .55812 .31184 .56461 .30362 .56117 .30052 Metetra
.564 .775 .978 r
.56117 .30052 .56461 .30362 .57099 .28933 .56776 .29928 Metetra
.015 0 .084 r
.56776 .29928 .57099 .28933 .57732 .2736 .57426 .29079 Metetra
.074 0 .23 r
.57426 .29079 .57732 .2736 .58366 .26133 .58065 .27742 Metetra
.003 0 .193 r
.58065 .27742 .58366 .26133 .59013 .25576 .587 .26329 Metetra
.587 .26329 .59013 .25576 .59676 .2574 .59339 .25251 Metetra
.769 .747 .833 r
.59339 .25251 .59676 .2574 .60355 .26403 .5999 .24764 Metetra
.512 .406 .67 r
.5999 .24764 .60355 .26403 .61043 .27168 .60658 .24888 Metetra
.439 .323 .624 r
.60658 .24888 .61043 .27168 .61727 .27622 .6134 .25413 Metetra
.424 .316 .627 r
.6134 .25413 .61727 .27622 .62397 .27495 .6203 .25992 Metetra
.459 .383 .684 r
.6203 .25992 .62397 .27495 .63048 .26755 .62714 .26282 Metetra
.645 .716 .9 r
.62714 .26282 .63048 .26755 .63684 .25593 .63385 .26075 Metetra
.63385 .26075 .63684 .25593 .64312 .24325 .64039 .25362 Metetra
0 0 .084 r
.64039 .25362 .64312 .24325 .64946 .23258 .64679 .24314 Metetra
0 0 .081 r
.64679 .24314 .64946 .23258 .65595 .22583 .65314 .23199 Metetra
.65314 .23199 .65595 .22583 .66263 .22333 .65955 .22264 Metetra
.842 .982 .87 r
.65955 .22264 .66263 .22333 .66947 .22403 .6661 .21661 Metetra
.649 .616 .803 r
.6661 .21661 .66947 .22403 .67641 .22605 .67282 .21409 Metetra
.542 .469 .723 r
.67282 .21409 .67641 .22605 .68336 .22749 .67968 .21415 Metetra
.51 .433 .705 r
.67968 .21415 .68336 .22749 .69023 .22705 .68663 .21526 Metetra
.522 .46 .727 r
.68663 .21526 .69023 .22705 .69701 .22432 .69359 .21588 Metetra
.576 .553 .791 r
.69359 .21588 .69701 .22432 .70369 .21975 .70049 .21501 Metetra
.677 .732 .892 r
.70049 .21501 .70369 .21975 .71032 .21427 .7073 .21233 Metetra
.758 .924 .944 r
.7073 .21233 .71032 .21427 .71696 .2089 .71404 .20821 Metetra
.76 .984 .905 r
.71404 .20821 .71696 .2089 .72366 .20437 .72074 .20337 Metetra
.77 .976 .917 r
.72074 .20337 .72366 .20437 .73044 .20101 .72745 .19862 Metetra
.761 .898 .938 r
.72745 .19862 .73044 .20101 .73732 .19873 .73422 .19451 Metetra
.707 .773 .904 r
.73422 .19451 .73732 .19873 .74426 .19716 .74106 .19131 Metetra
.653 .674 .858 r
.74106 .19131 .74426 .19716 .75125 .19584 .74797 .18894 Metetra
.621 .622 .83 r
.74797 .18894 .75125 .19584 .75824 .19437 .75494 .18712 Metetra
.61 .605 .821 r
.75494 .18712 .75824 .19437 .76523 .19253 .76195 .18551 Metetra
.615 .615 .828 r
.76195 .18551 .76523 .19253 .7722 .19026 .76898 .1838 Metetra
.63 .642 .844 r
.76898 .1838 .7722 .19026 .77916 .18764 .776 .18182 Metetra
.649 .676 .863 r
.776 .18182 .77916 .18764 .78611 .18481 .78301 .17951 Metetra
.665 .707 .878 r
.78301 .17951 .78611 .18481 .79309 .18193 .79002 .17693 Metetra
.675 .726 .888 r
.79002 .17693 .79309 .18193 .80008 .17912 .79703 .17419 Metetra
.671 .684 .854 r
.17127 .38922 .17509 .39412 .18073 .39192 .17692 .38697 Metetra
.666 .681 .854 r
.17692 .38697 .18073 .39192 .18638 .38961 .18257 .38479 Metetra
.657 .683 .864 r
.18257 .38479 .18638 .38961 .19205 .38726 .1882 .3828 Metetra
.641 .695 .885 r
.1882 .3828 .19205 .38726 .19773 .38501 .19382 .3811 Metetra
.619 .718 .916 r
.19382 .3811 .19773 .38501 .20338 .38303 .19943 .3797 Metetra
.596 .746 .948 r
.19943 .3797 .20338 .38303 .20901 .38144 .20503 .3785 Metetra
.594 .77 .964 r
.20503 .3785 .20901 .38144 .21462 .38026 .21064 .37723 Metetra
.633 .775 .949 r
.21064 .37723 .21462 .38026 .22021 .37934 .21632 .37557 Metetra
.682 .745 .898 r
.21632 .37557 .22021 .37934 .22583 .37833 .22206 .37323 Metetra
.705 .69 .833 r
.22206 .37323 .22583 .37833 .23151 .37679 .2279 .37012 Metetra
.703 .64 .783 r
.2279 .37012 .23151 .37679 .23729 .37434 .23378 .36648 Metetra
.687 .605 .759 r
.23378 .36648 .23729 .37434 .24316 .37088 .23967 .3629 Metetra
.658 .589 .766 r
.23967 .3629 .24316 .37088 .24911 .36676 .2455 .36018 Metetra
.599 .597 .821 r
.2455 .36018 .24911 .36676 .25505 .36275 .25119 .35905 Metetra
.354 .622 .953 r
.25119 .35905 .25505 .36275 .26089 .35989 .25674 .35982 Metetra
.465 0 0 r
.25674 .35982 .26089 .35989 .26658 .35909 .26219 .36211 Metetra
.588 .112 .092 r
.26219 .36211 .26658 .35909 .2721 .36067 .26763 .36482 Metetra
.522 .063 .105 r
.26763 .36482 .2721 .36067 .2775 .36409 .27319 .36641 Metetra
.138 0 0 r
.27319 .36641 .2775 .36409 .28291 .36788 .27897 .36548 Metetra
.778 .841 .9 r
.27897 .36548 .28291 .36788 .28846 .37011 .285 .36147 Metetra
.742 .62 .723 r
.285 .36147 .28846 .37011 .29428 .3691 .29121 .35508 Metetra
.695 .537 .669 r
.29121 .35508 .29428 .3691 .30038 .36427 .29745 .34824 Metetra
.648 .494 .66 r
.29745 .34824 .30038 .36427 .30668 .35664 .30354 .34342 Metetra
.567 .461 .694 r
.30354 .34342 .30668 .35664 .31299 .34863 .30936 .34268 Metetra
.037 .302 .792 r
.30936 .34268 .31299 .34863 .31913 .34322 .31488 .34674 Metetra
.756 .342 .265 r
.31488 .34674 .31913 .34322 .32496 .34276 .3202 .35442 Metetra
.687 .348 .395 r
.3202 .35442 .32496 .34276 .33046 .34787 .32552 .3629 Metetra
.624 .3 .401 r
.32552 .3629 .33046 .34787 .33577 .35698 .33106 .36864 Metetra
.494 .148 .309 r
.33106 .36864 .33577 .35698 .34109 .36667 .33696 .36884 Metetra
.753 .986 .761 r
.33696 .36884 .34109 .36667 .34667 .37288 .34325 .36271 Metetra
.786 .624 .68 r
.34325 .36271 .34667 .37288 .35265 .37257 .3498 .35191 Metetra
.711 .518 .626 r
.3498 .35191 .35265 .37257 .35901 .36512 .35639 .33993 Metetra
.663 .471 .615 r
.35639 .33993 .35901 .36512 .36562 .35265 .36282 .33059 Metetra
.61 .441 .628 r
.36282 .33059 .36562 .35265 .37226 .33915 .36898 .32655 Metetra
.48 .414 .705 r
.36898 .32655 .37226 .33915 .37872 .32877 .37487 .32823 Metetra
.702 .165 0 r
.37487 .32823 .37872 .32877 .38491 .32418 .38061 .33372 Metetra
.653 .291 .344 r
.38061 .33372 .38491 .32418 .39084 .32564 .38638 .33957 Metetra
.564 .232 .364 r
.38638 .33957 .39084 .32564 .39664 .33107 .39233 .34221 Metetra
.366 .022 .243 r
.39233 .34221 .39664 .33107 .40246 .33698 .39853 .33943 Metetra
.847 .988 .718 r
.39853 .33943 .40246 .33698 .40844 .33996 .40494 .33126 Metetra
.814 .656 .686 r
.40494 .33126 .40844 .33996 .41462 .33803 .41147 .31983 Metetra
.722 .533 .635 r
.41147 .31983 .41462 .33803 .42098 .33124 .41797 .30837 Metetra
.665 .478 .622 r
.41797 .30837 .42098 .33124 .42742 .32137 .42436 .29978 Metetra
.613 .445 .631 r
.42436 .29978 .42742 .32137 .43387 .31089 .4306 .29558 Metetra
.547 .433 .675 r
.4306 .29558 .43387 .31089 .44026 .30193 .43674 .29542 Metetra
.364 .484 .847 r
.43674 .29542 .44026 .30193 .44658 .29556 .44284 .29742 Metetra
.451 0 0 r
.44284 .29742 .44658 .29556 .45283 .29184 .44898 .29902 Metetra
.4 0 .156 r
.44898 .29902 .45283 .29184 .45904 .29026 .45521 .29812 Metetra
.192 0 .08 r
.45521 .29812 .45904 .29026 .46524 .29025 .46152 .29399 Metetra
.509 .82 .501 r
.46152 .29399 .46524 .29025 .47144 .29148 .46788 .28754 Metetra
.832 .784 .806 r
.46788 .28754 .47144 .29148 .47765 .29378 .47424 .28089 Metetra
.66 .527 .691 r
.47424 .28089 .47765 .29378 .48388 .2967 .48057 .27642 Metetra
.558 .412 .639 r
.48057 .27642 .48388 .2967 .49016 .2993 .48686 .27562 Metetra
.488 .351 .62 r
.48686 .27562 .49016 .2993 .49649 .30015 .49313 .27845 Metetra
.438 .323 .626 r
.49313 .27845 .49649 .30015 .50286 .29794 .49942 .28322 Metetra
.41 .35 .679 r
.49942 .28322 .50286 .29794 .50927 .29222 .50576 .28722 Metetra
.436 .596 .911 r
.50576 .28722 .50927 .29222 .51568 .28405 .51215 .28793 Metetra
.51215 .28793 .51568 .28405 .52209 .27584 .51858 .28419 Metetra
0 0 .007 r
.51858 .28419 .52209 .27584 .52849 .27054 .52502 .27687 Metetra
.52502 .27687 .52849 .27054 .53491 .27042 .53145 .26863 Metetra
.851 .909 .874 r
.53145 .26863 .53491 .27042 .54138 .27595 .53788 .26275 Metetra
.573 .471 .7 r
.53788 .26275 .54138 .27595 .54793 .28531 .54434 .26173 Metetra
.457 .331 .62 r
.54434 .26173 .54793 .28531 .55454 .29488 .55087 .26614 Metetra
.406 .28 .594 r
.55087 .26614 .55454 .29488 .56117 .30052 .55748 .27426 Metetra
.387 .274 .601 r
.55748 .27426 .56117 .30052 .56776 .29928 .56415 .28261 Metetra
.408 .335 .663 r
.56415 .28261 .56776 .29928 .57426 .29079 .57083 .28736 Metetra
.594 .768 .962 r
.57083 .28736 .57426 .29079 .58065 .27742 .57745 .28587 Metetra
0 0 .013 r
.57745 .28587 .58065 .27742 .587 .26329 .58397 .27792 Metetra
.036 0 .186 r
.58397 .27792 .587 .26329 .59339 .25251 .59039 .26574 Metetra
0 0 .131 r
.59039 .26574 .59339 .25251 .5999 .24764 .59677 .253 Metetra
.59677 .253 .5999 .24764 .60658 .24888 .6032 .2433 Metetra
.747 .715 .822 r
.6032 .2433 .60658 .24888 .6134 .25413 .60975 .23874 Metetra
.527 .424 .68 r
.60975 .23874 .6134 .25413 .6203 .25992 .61646 .23936 Metetra
.459 .347 .638 r
.61646 .23936 .6203 .25992 .62714 .26282 .62331 .24324 Metetra
.448 .344 .644 r
.62331 .24324 .62714 .26282 .63385 .26075 .63021 .24741 Metetra
.491 .421 .705 r
.63021 .24741 .63385 .26075 .64039 .25362 .63707 .24905 Metetra
.671 .736 .899 r
.63707 .24905 .64039 .25362 .64679 .24314 .64379 .24652 Metetra
.64379 .24652 .64679 .24314 .65314 .23199 .65037 .23985 Metetra
.65037 .23985 .65314 .23199 .65955 .22264 .65682 .23056 Metetra
.65682 .23056 .65955 .22264 .6661 .21661 .66325 .22084 Metetra
.66325 .22084 .6661 .21661 .67282 .21409 .66973 .2127 Metetra
.824 .955 .901 r
.66973 .2127 .67282 .21409 .67968 .21415 .67634 .2073 Metetra
.654 .637 .82 r
.67634 .2073 .67968 .21415 .68663 .21526 .6831 .20476 Metetra
.559 .502 .747 r
.6831 .20476 .68663 .21526 .69359 .21588 .68999 .20428 Metetra
.531 .468 .73 r
.68999 .20428 .69359 .21588 .70049 .21501 .69695 .20462 Metetra
.543 .494 .752 r
.69695 .20462 .70049 .21501 .7073 .21233 .70392 .20458 Metetra
.592 .58 .808 r
.70392 .20458 .7073 .21233 .71404 .20821 .71084 .20335 Metetra
.673 .726 .89 r
.71084 .20335 .71404 .20821 .72074 .20337 .7177 .20071 Metetra
.742 .878 .942 r
.7177 .20071 .72074 .20337 .72745 .19862 .72449 .19695 Metetra
.762 .944 .94 r
.72449 .19695 .72745 .19862 .73422 .19451 .73127 .19264 Metetra
.762 .932 .942 r
.73127 .19264 .73422 .19451 .74106 .19131 .73805 .18838 Metetra
.742 .863 .936 r
.73805 .18838 .74106 .19131 .74797 .18894 .74488 .18462 Metetra
.698 .767 .905 r
.74488 .18462 .74797 .18894 .75494 .18712 .75177 .18154 Metetra
.657 .689 .869 r
.75177 .18154 .75494 .18712 .76195 .18551 .75872 .1791 Metetra
.631 .645 .846 r
.75872 .1791 .76195 .18551 .76898 .1838 .76573 .17709 Metetra
.622 .63 .838 r
.76573 .17709 .76898 .1838 .776 .18182 .77277 .17525 Metetra
.625 .637 .842 r
.77277 .17525 .776 .18182 .78301 .17951 .77983 .17334 Metetra
.636 .658 .854 r
.77983 .17334 .78301 .17951 .79002 .17693 .78688 .17124 Metetra
.651 .684 .868 r
.78688 .17124 .79002 .17693 .79703 .17419 .79394 .16889 Metetra
.658 .694 .872 r
.16741 .38463 .17127 .38922 .17692 .38697 .17303 .38264 Metetra
.647 .704 .888 r
.17303 .38264 .17692 .38697 .18257 .38479 .17864 .38086 Metetra
.632 .72 .911 r
.17864 .38086 .18257 .38479 .1882 .3828 .18424 .37929 Metetra
.618 .741 .934 r
.18424 .37929 .1882 .3828 .19382 .3811 .18983 .37787 Metetra
.618 .759 .946 r
.18983 .37787 .19382 .3811 .19943 .3797 .19545 .3764 Metetra
.643 .761 .935 r
.19545 .3764 .19943 .3797 .20503 .3785 .20111 .37465 Metetra
.677 .739 .897 r
.20111 .37465 .20503 .3785 .21064 .37723 .20683 .37239 Metetra
.698 .698 .847 r
.20683 .37239 .21064 .37723 .21632 .37557 .21262 .36955 Metetra
.699 .657 .805 r
.21262 .36955 .21632 .37557 .22206 .37323 .21846 .3663 Metetra
.687 .626 .783 r
.21846 .3663 .22206 .37323 .2279 .37012 .22431 .36307 Metetra
.663 .613 .788 r
.22431 .36307 .2279 .37012 .23378 .36648 .2301 .36047 Metetra
.615 .624 .836 r
.2301 .36047 .23378 .36648 .23967 .3629 .2358 .35909 Metetra
.457 .664 .951 r
.2358 .35909 .23967 .3629 .2455 .36018 .24138 .35919 Metetra
.175 0 0 r
.24138 .35919 .2455 .36018 .25119 .35905 .24686 .36055 Metetra
.485 0 0 r
.24686 .36055 .25119 .35905 .25674 .35982 .25234 .36233 Metetra
.435 0 0 r
.25234 .36233 .25674 .35982 .26219 .36211 .25791 .36332 Metetra
.25791 .36332 .26219 .36211 .26763 .36482 .26366 .3624 Metetra
.746 .839 .922 r
.26366 .3624 .26763 .36482 .27319 .36641 .26962 .35904 Metetra
.738 .641 .751 r
.26962 .35904 .27319 .36641 .27897 .36548 .27574 .3537 Metetra
.697 .557 .692 r
.27574 .3537 .27897 .36548 .285 .36147 .28191 .34786 Metetra
.654 .514 .68 r
.28191 .34786 .285 .36147 .29121 .35508 .28796 .34355 Metetra
.578 .487 .716 r
.28796 .34355 .29121 .35508 .29745 .34824 .29377 .34257 Metetra
.156 .394 .841 r
.29377 .34257 .29745 .34824 .30354 .34342 .29931 .34564 Metetra
.741 .293 .186 r
.29931 .34564 .30354 .34342 .30936 .34268 .30465 .35196 Metetra
.687 .33 .365 r
.30465 .35196 .30936 .34268 .31488 .34674 .30998 .35927 Metetra
.627 .289 .379 r
.30998 .35927 .31488 .34674 .3202 .35442 .31548 .36458 Metetra
.509 .148 .29 r
.31548 .36458 .3202 .35442 .32552 .3629 .32131 .36536 Metetra
.545 .9 .687 r
.32131 .36536 .32552 .3629 .33106 .36864 .3275 .36069 Metetra
.793 .656 .711 r
.3275 .36069 .33106 .36864 .33696 .36884 .33396 .35173 Metetra
.718 .536 .643 r
.33396 .35173 .33696 .36884 .34325 .36271 .34048 .34135 Metetra
.671 .487 .628 r
.34048 .34135 .34325 .36271 .3498 .35191 .34688 .33292 Metetra
.619 .459 .644 r
.34688 .33292 .3498 .35191 .35639 .33993 .35303 .32894 Metetra
.493 .444 .731 r
.35303 .32894 .35639 .33993 .36282 .33059 .35891 .33008 Metetra
.666 .117 0 r
.35891 .33008 .36282 .33059 .36898 .32655 .36463 .33494 Metetra
.658 .284 .325 r
.36463 .33494 .36898 .32655 .37487 .32823 .37036 .34061 Metetra
.581 .238 .352 r
.37036 .34061 .37487 .32823 .38061 .33372 .37623 .34385 Metetra
.415 .055 .243 r
.37623 .34385 .38061 .33372 .38638 .33957 .38236 .34244 Metetra
.685 .945 .671 r
.38236 .34244 .38638 .33957 .39233 .34221 .38872 .33595 Metetra
.836 .705 .719 r
.38872 .33595 .39233 .34221 .39853 .33943 .39522 .32588 Metetra
.755 .579 .658 r
.39522 .32588 .39853 .33943 .40494 .33126 .40174 .31481 Metetra
.712 .534 .648 r
.40174 .31481 .40494 .33126 .41147 .31983 .40819 .30539 Metetra
.678 .525 .67 r
.40819 .30539 .41147 .31983 .41797 .30837 .4145 .29936 Metetra
.629 .56 .758 r
.4145 .29936 .41797 .30837 .42436 .29978 .42068 .29716 Metetra
.245 .641 .961 r
.42068 .29716 .42436 .29978 .4306 .29558 .42678 .29798 Metetra
.527 .008 0 r
.42678 .29798 .4306 .29558 .43674 .29542 .43286 .30025 Metetra
.537 .087 .13 r
.43286 .30025 .43674 .29542 .44284 .29742 .43899 .30223 Metetra
.428 0 .06 r
.43899 .30223 .44284 .29742 .44898 .29902 .44518 .30253 Metetra
.093 0 0 r
.44518 .30253 .44898 .29902 .45521 .29812 .45146 .30037 Metetra
.496 .87 .655 r
.45146 .30037 .45521 .29812 .46152 .29399 .45781 .29576 Metetra
.762 .987 .755 r
.45781 .29576 .46152 .29399 .46788 .28754 .4642 .28937 Metetra
.797 .99 .746 r
.4642 .28937 .46788 .28754 .47424 .28089 .47059 .2824 Metetra
.757 .989 .776 r
.47059 .2824 .47424 .28089 .48057 .27642 .47697 .27633 Metetra
.68 .971 .92 r
.47697 .27633 .48057 .27642 .48686 .27562 .48331 .27258 Metetra
.488 .741 .984 r
.48331 .27258 .48686 .27562 .49313 .27845 .48963 .27206 Metetra
.291 .448 .845 r
.48963 .27206 .49313 .27845 .49942 .28322 .49593 .27478 Metetra
.197 .317 .761 r
.49593 .27478 .49942 .28322 .50576 .28722 .50226 .27964 Metetra
.136 .305 .772 r
.50226 .27964 .50576 .28722 .51215 .28793 .50863 .28461 Metetra
.005 .436 .863 r
.50863 .28461 .51215 .28793 .51858 .28419 .51505 .28734 Metetra
.191 0 0 r
.51505 .28734 .51858 .28419 .52502 .27687 .52151 .28607 Metetra
.161 0 .114 r
.52151 .28607 .52502 .27687 .53145 .26863 .52799 .2805 Metetra
.098 0 .154 r
.52799 .2805 .53145 .26863 .53788 .26275 .53446 .27208 Metetra
0 0 .031 r
.53446 .27208 .53788 .26275 .54434 .26173 .54092 .26354 Metetra
.649 .946 .712 r
.54092 .26354 .54434 .26173 .55087 .26614 .54739 .25785 Metetra
.578 .553 .79 r
.54739 .25785 .55087 .26614 .55748 .27426 .5539 .25697 Metetra
.434 .346 .658 r
.5539 .25697 .55748 .27426 .56415 .28261 .5605 .261 Metetra
.383 .288 .623 r
.5605 .261 .56415 .28261 .57083 .28736 .56718 .26802 Metetra
.37 .291 .636 r
.56718 .26802 .57083 .28736 .57745 .28587 .5739 .27476 Metetra
.409 .398 .736 r
.5739 .27476 .57745 .28587 .58397 .27792 .58062 .27784 Metetra
.494 .903 .897 r
.58062 .27784 .58397 .27792 .59039 .26574 .58726 .2752 Metetra
.005 0 .067 r
.58726 .2752 .59039 .26574 .59677 .253 .59379 .26693 Metetra
.033 0 .175 r
.59379 .26693 .59677 .253 .6032 .2433 .60023 .25523 Metetra
0 0 .101 r
.60023 .25523 .6032 .2433 .60975 .23874 .60664 .24338 Metetra
.60664 .24338 .60975 .23874 .61646 .23936 .6131 .2344 Metetra
.753 .744 .844 r
.6131 .2344 .61646 .23936 .62331 .24324 .61969 .22998 Metetra
.543 .454 .704 r
.61969 .22998 .62331 .24324 .63021 .24741 .62644 .22994 Metetra
.478 .377 .662 r
.62644 .22994 .63021 .24741 .63707 .24905 .63331 .23256 Metetra
.47 .379 .67 r
.63331 .23256 .63707 .24905 .64379 .24652 .64022 .23529 Metetra
.522 .468 .737 r
.64022 .23529 .64379 .24652 .65037 .23985 .64708 .23583 Metetra
.694 .775 .914 r
.64708 .23583 .65037 .23985 .65682 .23056 .65382 .23291 Metetra
.558 .873 .587 r
.65382 .23291 .65682 .23056 .66325 .22084 .66044 .22667 Metetra
.66044 .22667 .66325 .22084 .66973 .2127 .66695 .21841 Metetra
.66695 .21841 .66973 .2127 .67634 .2073 .67345 .20992 Metetra
.596 .874 .551 r
.67345 .20992 .67634 .2073 .6831 .20476 .68 .20279 Metetra
.802 .926 .918 r
.68 .20279 .6831 .20476 .68999 .20428 .68667 .19793 Metetra
.659 .657 .837 r
.68667 .19793 .68999 .20428 .69695 .20462 .69348 .19536 Metetra
.576 .535 .772 r
.69348 .19536 .69695 .20462 .70392 .20458 .70039 .19443 Metetra
.551 .504 .756 r
.70039 .19443 .70392 .20458 .71084 .20335 .70737 .19414 Metetra
.563 .529 .776 r
.70737 .19414 .71084 .20335 .7177 .20071 .71435 .19354 Metetra
.606 .606 .825 r
.71435 .19354 .7177 .20071 .72449 .19695 .72131 .19202 Metetra
.67 .724 .89 r
.72131 .19202 .72449 .19695 .73127 .19264 .7282 .18941 Metetra
.725 .84 .936 r
.7282 .18941 .73127 .19264 .73805 .18838 .73506 .18594 Metetra
.747 .896 .946 r
.73506 .18594 .73805 .18838 .74488 .18462 .7419 .18204 Metetra
.745 .888 .944 r
.7419 .18204 .74488 .18462 .75177 .18154 .74875 .17818 Metetra
.725 .833 .932 r
.74875 .17818 .75177 .18154 .75872 .1791 .75564 .17469 Metetra
.691 .761 .905 r
.75564 .17469 .75872 .1791 .76573 .17709 .76258 .17172 Metetra
.66 .701 .877 r
.76258 .17172 .76573 .17709 .77277 .17525 .76958 .16923 Metetra
.64 .665 .859 r
.76958 .16923 .77277 .17525 .77983 .17334 .77662 .16706 Metetra
.632 .652 .852 r
.77662 .16706 .77983 .17334 .78688 .17124 .78369 .16503 Metetra
.634 .656 .855 r
.78369 .16503 .78688 .17124 .79394 .16889 .79078 .16296 Metetra
.641 .723 .908 r
.16345 .3807 .16741 .38463 .17303 .38264 .16904 .37901 Metetra
.632 .738 .924 r
.16904 .37901 .17303 .38264 .17864 .38086 .17464 .37742 Metetra
.633 .75 .932 r
.17464 .37742 .17864 .38086 .18424 .37929 .18025 .37581 Metetra
.649 .752 .924 r
.18025 .37581 .18424 .37929 .18983 .37787 .1859 .37398 Metetra
.673 .736 .897 r
.1859 .37398 .18983 .37787 .19545 .3764 .19159 .37179 Metetra
.691 .706 .859 r
.19159 .37179 .19545 .3764 .20111 .37465 .19735 .36916 Metetra
.694 .672 .824 r
.19735 .36916 .20111 .37465 .20683 .37239 .20314 .36621 Metetra
.686 .647 .805 r
.20314 .36621 .20683 .37239 .21262 .36955 .20895 .36325 Metetra
.666 .635 .81 r
.20895 .36325 .21262 .36955 .21846 .3663 .21472 .36076 Metetra
.627 .647 .85 r
.21472 .36076 .21846 .3663 .22431 .36307 .22041 .35919 Metetra
.523 .689 .943 r
.22041 .35919 .22431 .36307 .2301 .36047 .22601 .35876 Metetra
.149 .638 .917 r
.22601 .35876 .2301 .36047 .2358 .35909 .23153 .35935 Metetra
.272 0 0 r
.23153 .35935 .2358 .35909 .24138 .35919 .23704 .36033 Metetra
.266 0 0 r
.23704 .36033 .24138 .35919 .24686 .36055 .24262 .36079 Metetra
.208 .734 .801 r
.24262 .36079 .24686 .36055 .25234 .36233 .24834 .35982 Metetra
.718 .831 .935 r
.24834 .35982 .25234 .36233 .25791 .36332 .25425 .35693 Metetra
.732 .661 .78 r
.25425 .35693 .25791 .36332 .26366 .3624 .26029 .35243 Metetra
.698 .578 .716 r
.26029 .35243 .26366 .3624 .26962 .35904 .26639 .34744 Metetra
.658 .535 .703 r
.26639 .34744 .26962 .35904 .27574 .3537 .27239 .34359 Metetra
.589 .514 .738 r
.27239 .34359 .27574 .3537 .28191 .34786 .27819 .34239 Metetra
.267 .472 .873 r
.27819 .34239 .28191 .34786 .28796 .34355 .28376 .34456 Metetra
.707 .211 .062 r
.28376 .34456 .28796 .34355 .29377 .34257 .28914 .34959 Metetra
.682 .302 .32 r
.28914 .34959 .29377 .34257 .29931 .34564 .29448 .35569 Metetra
.627 .27 .346 r
.29448 .35569 .29931 .34564 .30465 .35196 .29996 .36037 Metetra
.513 .131 .254 r
.29996 .36037 .30465 .35196 .30998 .35927 .30573 .36142 Metetra
.415 .837 .674 r
.30573 .36142 .30998 .35927 .31548 .36458 .31184 .35786 Metetra
.789 .677 .741 r
.31184 .35786 .31548 .36458 .32131 .36536 .3182 .35046 Metetra
.717 .546 .658 r
.3182 .35046 .32131 .36536 .3275 .36069 .32465 .34156 Metetra
.671 .495 .638 r
.32465 .34156 .3275 .36069 .33396 .35173 .33101 .33404 Metetra
.622 .467 .651 r
.33101 .33404 .33396 .35173 .34048 .34135 .33714 .33021 Metetra
.517 .457 .728 r
.33714 .33021 .34048 .34135 .34688 .33292 .34302 .3308 Metetra
.464 0 0 r
.34302 .3308 .34688 .33292 .35303 .32894 .34874 .3347 Metetra
.652 .242 .254 r
.34874 .3347 .35303 .32894 .35891 .33008 .35445 .33939 Metetra
.568 .197 .298 r
.35445 .33939 .35891 .33008 .36463 .33494 .36032 .34194 Metetra
.336 0 .11 r
.36032 .34194 .36463 .33494 .37036 .34061 .36642 .34027 Metetra
.87 .954 .861 r
.36642 .34027 .37036 .34061 .37623 .34385 .37277 .33396 Metetra
.777 .624 .69 r
.37277 .33396 .37623 .34385 .38236 .34244 .37927 .32434 Metetra
.712 .527 .638 r
.37927 .32434 .38236 .34244 .38872 .33595 .38579 .31384 Metetra
.672 .485 .624 r
.38579 .31384 .38872 .33595 .39522 .32588 .39223 .30489 Metetra
.639 .466 .632 r
.39223 .30489 .39522 .32588 .40174 .31481 .39854 .299 Metetra
.606 .468 .667 r
.39854 .299 .40174 .31481 .40819 .30539 .40471 .29632 Metetra
.562 .522 .768 r
.40471 .29632 .40819 .30539 .4145 .29936 .41083 .2958 Metetra
.452 .688 .967 r
.41083 .2958 .4145 .29936 .42068 .29716 .41694 .29579 Metetra
.416 .815 .983 r
.41694 .29579 .42068 .29716 .42678 .29798 .42311 .29486 Metetra
.684 .804 .94 r
.42311 .29486 .42678 .29798 .43286 .30025 .42934 .29233 Metetra
.693 .617 .766 r
.42934 .29233 .43286 .30025 .43899 .30223 .43563 .28844 Metetra
.652 .513 .682 r
.43563 .28844 .43899 .30223 .44518 .30253 .44194 .28407 Metetra
.619 .462 .648 r
.44194 .28407 .44518 .30253 .45146 .30037 .44824 .28017 Metetra
.596 .439 .639 r
.44824 .28017 .45146 .30037 .45781 .29576 .45453 .27723 Metetra
.586 .439 .649 r
.45453 .27723 .45781 .29576 .4642 .28937 .46082 .2751 Metetra
.595 .474 .684 r
.46082 .2751 .4642 .28937 .47059 .2824 .46711 .27314 Metetra
.635 .561 .754 r
.46711 .27314 .47059 .2824 .47697 .27633 .47343 .27069 Metetra
.695 .686 .837 r
.47343 .27069 .47697 .27633 .48331 .27258 .47977 .26754 Metetra
.71 .715 .853 r
.47977 .26754 .48331 .27258 .48963 .27206 .48613 .26421 Metetra
.645 .597 .786 r
.48613 .26421 .48963 .27206 .49593 .27478 .49249 .26177 Metetra
.556 .462 .703 r
.49249 .26177 .49593 .27478 .50226 .27964 .49884 .26131 Metetra
.492 .378 .651 r
.49884 .26131 .50226 .27964 .50863 .28461 .5052 .26332 Metetra
.455 .337 .63 r
.5052 .26332 .50863 .28461 .51505 .28734 .51159 .26724 Metetra
.442 .334 .636 r
.51159 .26724 .51505 .28734 .52151 .28607 .51801 .27147 Metetra
.463 .387 .686 r
.51801 .27147 .52151 .28607 .52799 .2805 .52448 .27397 Metetra
.575 .604 .845 r
.52448 .27397 .52799 .2805 .53446 .27208 .53098 .27313 Metetra
.622 .955 .8 r
.53098 .27313 .53446 .27208 .54092 .26354 .53748 .26858 Metetra
.53748 .26858 .54092 .26354 .54739 .25785 .54398 .26157 Metetra
.522 .816 .478 r
.54398 .26157 .54739 .25785 .5539 .25697 .55047 .25449 Metetra
.793 .877 .908 r
.55047 .25449 .5539 .25697 .5605 .261 .55698 .24992 Metetra
.557 .489 .735 r
.55698 .24992 .5605 .261 .56718 .26802 .56355 .24948 Metetra
.452 .351 .65 r
.56355 .24948 .56718 .26802 .5739 .27476 .5702 .2531 Metetra
.412 .308 .626 r
.5702 .2531 .5739 .27476 .58062 .27784 .57693 .25899 Metetra
.409 .321 .645 r
.57693 .25899 .58062 .27784 .58726 .2752 .5837 .26425 Metetra
.468 .439 .742 r
.5837 .26425 .58726 .2752 .59379 .26693 .59045 .26602 Metetra
.662 .947 .958 r
.59045 .26602 .59379 .26693 .60023 .25523 .59711 .26271 Metetra
.59711 .26271 .60023 .25523 .60664 .24338 .60366 .25463 Metetra
0 0 .094 r
.60366 .25463 .60664 .24338 .6131 .2344 .61013 .24382 Metetra
0 0 .003 r
.61013 .24382 .6131 .2344 .61969 .22998 .61657 .2331 Metetra
.651 .887 .537 r
.61657 .2331 .61969 .22998 .62644 .22994 .62309 .225 Metetra
.744 .744 .851 r
.62309 .225 .62644 .22994 .63331 .23256 .62972 .22079 Metetra
.56 .483 .725 r
.62972 .22079 .63331 .23256 .64022 .23529 .6365 .22022 Metetra
.499 .409 .685 r
.6365 .22022 .64022 .23529 .64708 .23583 .64338 .22175 Metetra
.497 .417 .697 r
.64338 .22175 .64708 .23583 .65382 .23291 .6503 .22325 Metetra
.553 .515 .766 r
.6503 .22325 .65382 .23291 .66044 .22667 .65717 .22288 Metetra
.709 .795 .918 r
.65717 .22288 .66044 .22667 .66695 .21841 .66394 .21969 Metetra
.66 .953 .727 r
.66394 .21969 .66695 .21841 .67345 .20992 .67059 .21389 Metetra
.67059 .21389 .67345 .20992 .68 .20279 .67717 .20656 Metetra
.67717 .20656 .68 .20279 .68667 .19793 .68374 .19914 Metetra
.701 .966 .727 r
.68374 .19914 .68667 .19793 .69348 .19536 .69037 .19289 Metetra
.779 .895 .926 r
.69037 .19289 .69348 .19536 .70039 .19443 .6971 .18847 Metetra
.662 .675 .852 r
.6971 .18847 .70039 .19443 .70737 .19414 .70395 .18588 Metetra
.593 .568 .796 r
.70395 .18588 .70737 .19414 .71435 .19354 .71089 .18458 Metetra
.571 .54 .781 r
.71089 .18458 .71435 .19354 .72131 .19202 .71789 .18378 Metetra
.581 .563 .799 r
.71789 .18378 .72131 .19202 .7282 .18941 .7249 .18273 Metetra
.618 .629 .84 r
.7249 .18273 .7282 .18941 .73506 .18594 .73188 .18098 Metetra
.668 .723 .891 r
.73188 .18098 .73506 .18594 .7419 .18204 .73882 .17839 Metetra
.71 .811 .928 r
.73882 .17839 .7419 .18204 .74875 .17818 .74573 .17514 Metetra
.729 .856 .941 r
.74573 .17514 .74875 .17818 .75564 .17469 .75263 .17156 Metetra
.727 .851 .94 r
.75263 .17156 .75564 .17469 .76258 .17172 .75955 .168 Metetra
.711 .81 .927 r
.75955 .168 .76258 .17172 .76958 .16923 .7665 .16473 Metetra
.685 .757 .906 r
.7665 .16473 .76958 .16923 .77662 .16706 .77349 .16183 Metetra
.662 .711 .884 r
.77349 .16183 .77662 .16706 .78369 .16503 .78054 .1593 Metetra
.646 .682 .87 r
.78054 .1593 .78369 .16503 .79078 .16296 .78762 .15702 Metetra
.643 .745 .923 r
.15944 .37714 .16345 .3807 .16904 .37901 .16504 .37541 Metetra
.654 .746 .917 r
.16504 .37541 .16904 .37901 .17464 .37742 .17067 .37353 Metetra
.671 .734 .898 r
.17067 .37353 .17464 .37742 .18025 .37581 .17635 .37138 Metetra
.685 .712 .869 r
.17635 .37138 .18025 .37581 .1859 .37398 .18207 .3689 Metetra
.689 .686 .842 r
.18207 .3689 .1859 .37398 .19159 .37179 .18782 .36619 Metetra
.684 .665 .826 r
.18782 .36619 .19159 .37179 .19735 .36916 .19359 .36346 Metetra
.668 .656 .829 r
.19359 .36346 .19735 .36916 .20314 .36621 .19934 .36106 Metetra
.637 .666 .861 r
.19934 .36106 .20314 .36621 .20895 .36325 .20502 .35934 Metetra
.566 .703 .934 r
.20502 .35934 .20895 .36325 .21472 .36076 .21064 .3585 Metetra
.366 .729 .989 r
.21064 .3585 .21472 .36076 .22041 .35919 .21619 .35846 Metetra
.043 .603 .805 r
.21619 .35846 .22041 .35919 .22601 .35876 .22172 .35878 Metetra
.22172 .35878 .22601 .35876 .23153 .35935 .22731 .35877 Metetra
.371 .821 .94 r
.22731 .35877 .23153 .35935 .23704 .36033 .23302 .3577 Metetra
.695 .819 .942 r
.23302 .3577 .23704 .36033 .24262 .36079 .23887 .35516 Metetra
.723 .681 .809 r
.23887 .35516 .24262 .36079 .24834 .35982 .24485 .35133 Metetra
.699 .601 .743 r
.24485 .35133 .24834 .35982 .25425 .35693 .25088 .34704 Metetra
.662 .559 .728 r
.25088 .34704 .25425 .35693 .26029 .35243 .25684 .34357 Metetra
.6 .543 .762 r
.25684 .34357 .26029 .35243 .26639 .34744 .26263 .3422 Metetra
.353 .534 .894 r
.26263 .3422 .26639 .34744 .27239 .34359 .26821 .34361 Metetra
.632 .083 0 r
.26821 .34361 .27239 .34359 .27819 .34239 .27363 .34749 Metetra
.671 .26 .257 r
.27363 .34749 .27819 .34239 .28376 .34456 .27899 .35248 Metetra
.622 .243 .304 r
.27899 .35248 .28376 .34456 .28914 .34959 .28446 .35654 Metetra
.514 .11 .213 r
.28446 .35654 .28914 .34959 .29448 .35569 .29018 .35777 Metetra
.29018 .35777 .29448 .35569 .29996 .36037 .2962 .35517 Metetra
.787 .717 .786 r
.2962 .35517 .29996 .36037 .30573 .36142 .30246 .34921 Metetra
.721 .568 .682 r
.30246 .34921 .30573 .36142 .31184 .35786 .30883 .34174 Metetra
.675 .512 .657 r
.30883 .34174 .31184 .35786 .3182 .35046 .31512 .33521 Metetra
.627 .485 .67 r
.31512 .33521 .3182 .35046 .32465 .34156 .32122 .33171 Metetra
.522 .482 .753 r
.32122 .33171 .32465 .34156 .33101 .33404 .32709 .33207 Metetra
.411 0 0 r
.32709 .33207 .33101 .33404 .33714 .33021 .33279 .33548 Metetra
.644 .224 .232 r
.33279 .33548 .33714 .33021 .34302 .3308 .33847 .33981 Metetra
.57 .196 .293 r
.33847 .33981 .34302 .3308 .34874 .3347 .34429 .34245 Metetra
.391 0 .165 r
.34429 .34245 .34874 .3347 .35445 .33939 .35034 .34135 Metetra
.697 .974 .768 r
.35034 .34135 .35445 .33939 .36032 .34194 .35665 .3359 Metetra
.823 .706 .736 r
.35665 .3359 .36032 .34194 .36642 .34027 .36312 .32714 Metetra
.745 .576 .665 r
.36312 .32714 .36642 .34027 .37277 .33396 .36965 .31724 Metetra
.701 .526 .648 r
.36965 .31724 .37277 .33396 .37927 .32434 .37609 .30854 Metetra
.666 .508 .661 r
.37609 .30854 .37927 .32434 .38579 .31384 .3824 .3027 Metetra
.626 .525 .719 r
.3824 .3027 .38579 .31384 .39223 .30489 .38856 .30014 Metetra
.504 .641 .916 r
.38856 .30014 .39223 .30489 .39854 .299 .39464 .30004 Metetra
.293 0 0 r
.39464 .30004 .39854 .299 .40471 .29632 .4007 .30083 Metetra
.391 0 .017 r
.4007 .30083 .40471 .29632 .41083 .2958 .40681 .30079 Metetra
.222 0 0 r
.40681 .30079 .41083 .2958 .41694 .29579 .41302 .29879 Metetra
.41302 .29879 .41694 .29579 .42311 .29486 .41932 .29456 Metetra
.848 .969 .876 r
.41932 .29456 .42311 .29486 .42934 .29233 .42568 .28873 Metetra
.829 .799 .823 r
.42568 .28873 .42934 .29233 .43563 .28844 .43205 .28251 Metetra
.763 .698 .789 r
.43205 .28251 .43563 .28844 .44194 .28407 .43839 .27716 Metetra
.696 .643 .793 r
.43839 .27716 .44194 .28407 .44824 .28017 .44469 .27358 Metetra
.614 .616 .83 r
.44469 .27358 .44824 .28017 .45453 .27723 .45095 .27204 Metetra
.498 .618 .901 r
.45095 .27204 .45453 .27723 .46082 .2751 .4572 .27212 Metetra
.306 .654 .97 r
.4572 .27212 .46082 .2751 .46711 .27314 .46345 .2728 Metetra
.035 .604 .765 r
.46345 .2728 .46711 .27314 .47343 .27069 .46974 .27291 Metetra
.057 0 0 r
.46974 .27291 .47343 .27069 .47977 .26754 .47608 .27147 Metetra
.47608 .27147 .47977 .26754 .48613 .26421 .48246 .26815 Metetra
.48246 .26815 .48613 .26421 .49249 .26177 .48887 .26347 Metetra
.586 .928 .731 r
.48887 .26347 .49249 .26177 .49884 .26131 .49529 .25866 Metetra
.735 .853 .936 r
.49529 .25866 .49884 .26131 .5052 .26332 .5017 .25525 Metetra
.575 .556 .796 r
.5017 .25525 .5052 .26332 .51159 .26724 .5081 .2544 Metetra
.468 .409 .708 r
.5081 .2544 .51159 .26724 .51801 .27147 .51452 .25641 Metetra
.411 .348 .676 r
.51452 .25641 .51801 .27147 .52448 .27397 .52097 .26041 Metetra
.387 .348 .693 r
.52097 .26041 .52448 .27397 .53098 .27313 .52746 .26458 Metetra
.404 .448 .792 r
.52746 .26458 .53098 .27313 .53748 .26858 .53399 .26683 Metetra
.468 .825 .996 r
.53399 .26683 .53748 .26858 .54398 .26157 .54053 .26569 Metetra
.54053 .26569 .54398 .26157 .55047 .25449 .54707 .26101 Metetra
.54707 .26101 .55047 .25449 .55698 .24992 .5536 .25411 Metetra
.5536 .25411 .55698 .24992 .56355 .24948 .56012 .24731 Metetra
.784 .898 .923 r
.56012 .24731 .56355 .24948 .5702 .2531 .56667 .24292 Metetra
.564 .509 .751 r
.56667 .24292 .5702 .2531 .57693 .25899 .57329 .24227 Metetra
.464 .371 .666 r
.57329 .24227 .57693 .25899 .5837 .26425 .57999 .24513 Metetra
.427 .332 .645 r
.57999 .24513 .5837 .26425 .59045 .26602 .58677 .24976 Metetra
.433 .355 .67 r
.58677 .24976 .59045 .26602 .59711 .26271 .59358 .25356 Metetra
.509 .499 .781 r
.59358 .25356 .59711 .26271 .60366 .25463 .60035 .25413 Metetra
.683 .968 .929 r
.60035 .25413 .60366 .25463 .61013 .24382 .60703 .25026 Metetra
.60703 .25026 .61013 .24382 .61657 .2331 .6136 .24241 Metetra
0 0 .016 r
.6136 .24241 .61657 .2331 .62309 .225 .6201 .23241 Metetra
.6201 .23241 .62309 .225 .62972 .22079 .6266 .22271 Metetra
.734 .958 .67 r
.6266 .22271 .62972 .22079 .6365 .22022 .63315 .21535 Metetra
.739 .747 .859 r
.63315 .21535 .6365 .22022 .64338 .22175 .63983 .2113 Metetra
.578 .514 .747 r
.63983 .2113 .64338 .22175 .6503 .22325 .64664 .21024 Metetra
.522 .445 .71 r
.64664 .21024 .6503 .22325 .65717 .22288 .65354 .21082 Metetra
.524 .458 .724 r
.65354 .21082 .65717 .22288 .66394 .21969 .66047 .2113 Metetra
.583 .56 .794 r
.66047 .2113 .66394 .21969 .67059 .21389 .66735 .21022 Metetra
.717 .807 .921 r
.66735 .21022 .67059 .21389 .67717 .20656 .67415 .20688 Metetra
.727 .989 .832 r
.67415 .20688 .67717 .20656 .68374 .19914 .68085 .2015 Metetra
.564 .87 .573 r
.68085 .2015 .68374 .19914 .69037 .19289 .68749 .19499 Metetra
.597 .895 .607 r
.68749 .19499 .69037 .19289 .6971 .18847 .69414 .18849 Metetra
.759 .995 .848 r
.69414 .18849 .6971 .18847 .70395 .18588 .70084 .18297 Metetra
.758 .867 .928 r
.70084 .18297 .70395 .18588 .71089 .18458 .70763 .17893 Metetra
.664 .69 .864 r
.70763 .17893 .71089 .18458 .71789 .18378 .71452 .17633 Metetra
.607 .599 .818 r
.71452 .17633 .71789 .18378 .7249 .18273 .72149 .17473 Metetra
.589 .574 .805 r
.72149 .17473 .7249 .18273 .73188 .18098 .72852 .17351 Metetra
.598 .595 .819 r
.72852 .17351 .73188 .18098 .73882 .17839 .73555 .1721 Metetra
.628 .65 .853 r
.73555 .1721 .73882 .17839 .74573 .17514 .74256 .17015 Metetra
.666 .724 .892 r
.74256 .17015 .74573 .17514 .75263 .17156 .74955 .16757 Metetra
.698 .79 .922 r
.74955 .16757 .75263 .17156 .75955 .168 .75652 .16449 Metetra
.713 .824 .934 r
.75652 .16449 .75955 .168 .7665 .16473 .76348 .16116 Metetra
.712 .822 .933 r
.76348 .16116 .7665 .16473 .77349 .16183 .77046 .15784 Metetra
.699 .792 .922 r
.77046 .15784 .77349 .16183 .78054 .1593 .77746 .15472 Metetra
.68 .753 .906 r
.77746 .15472 .78054 .1593 .78762 .15702 .78451 .15189 Metetra
.669 .734 .899 r
.15544 .37324 .15944 .37714 .16504 .37541 .16109 .37112 Metetra
.68 .718 .878 r
.16109 .37112 .16504 .37541 .17067 .37353 .16678 .36877 Metetra
.684 .698 .856 r
.16678 .36877 .17067 .37353 .17635 .37138 .17251 .36623 Metetra
.681 .681 .843 r
.17251 .36623 .17635 .37138 .18207 .3689 .17824 .36368 Metetra
.669 .674 .846 r
.17824 .36368 .18207 .3689 .18782 .36619 .18396 .36135 Metetra
.645 .683 .871 r
.18396 .36135 .18782 .36619 .19359 .36346 .18964 .35953 Metetra
.596 .713 .926 r
.18964 .35953 .19359 .36346 .19934 .36106 .19526 .35837 Metetra
.486 .753 .989 r
.19526 .35837 .19934 .36106 .20502 .35934 .20083 .35784 Metetra
.311 .747 .968 r
.20083 .35784 .20502 .35934 .21064 .3585 .20639 .35762 Metetra
.266 .751 .925 r
.20639 .35762 .21064 .3585 .21619 .35846 .21199 .3572 Metetra
.482 .843 .992 r
.21199 .3572 .21619 .35846 .22172 .35878 .21768 .35601 Metetra
.678 .807 .944 r
.21768 .35601 .22172 .35878 .22731 .35877 .22349 .35371 Metetra
.713 .698 .834 r
.22349 .35371 .22731 .35877 .23302 .3577 .22941 .35039 Metetra
.697 .624 .771 r
.22941 .35039 .23302 .3577 .23887 .35516 .23538 .34667 Metetra
.666 .584 .754 r
.23538 .34667 .23887 .35516 .24485 .35133 .24129 .34353 Metetra
.611 .572 .786 r
.24129 .34353 .24485 .35133 .25088 .34704 .24708 .34202 Metetra
.423 .582 .906 r
.24708 .34202 .25088 .34704 .25684 .34357 .25268 .34277 Metetra
.482 0 0 r
.25268 .34277 .25684 .34357 .26263 .3422 .25813 .34562 Metetra
.647 .194 .162 r
.25813 .34562 .26263 .3422 .26821 .34361 .26352 .34956 Metetra
.611 .202 .243 r
.26352 .34956 .26821 .34361 .27363 .34749 .26899 .35298 Metetra
.506 .074 .152 r
.26899 .35298 .27363 .34749 .27899 .35248 .27466 .35424 Metetra
.27466 .35424 .27899 .35248 .28446 .35654 .2806 .35239 Metetra
.775 .755 .835 r
.2806 .35239 .28446 .35654 .29018 .35777 .28676 .34768 Metetra
.721 .591 .71 r
.28676 .34768 .29018 .35777 .2962 .35517 .29304 .34151 Metetra
.677 .529 .677 r
.29304 .34151 .2962 .35517 .30246 .34921 .29927 .3359 Metetra
.63 .502 .688 r
.29927 .3359 .30246 .34921 .30883 .34174 .30534 .33271 Metetra
.533 .504 .77 r
.30534 .33271 .30883 .34174 .31512 .33521 .31119 .33278 Metetra
0 .309 .714 r
.31119 .33278 .31512 .33521 .32122 .33171 .31689 .33558 Metetra
.631 .179 .16 r
.31689 .33558 .32122 .33171 .32709 .33207 .32255 .33935 Metetra
.566 .169 .248 r
.32255 .33935 .32709 .33207 .33279 .33548 .32834 .34181 Metetra
.383 0 .105 r
.32834 .34181 .33279 .33548 .33847 .33981 .33434 .34107 Metetra
.692 .981 .836 r
.33434 .34107 .33847 .33981 .34429 .34245 .3406 .33641 Metetra
.809 .703 .748 r
.3406 .33641 .34429 .34245 .35034 .34135 .34704 .32859 Metetra
.739 .575 .671 r
.34704 .32859 .35034 .34135 .35665 .3359 .35354 .31945 Metetra
.698 .526 .65 r
.35354 .31945 .35665 .3359 .36312 .32714 .35998 .31109 Metetra
.667 .507 .659 r
.35998 .31109 .36312 .32714 .36965 .31724 .3663 .30508 Metetra
.636 .519 .703 r
.3663 .30508 .36965 .31724 .37609 .30854 .37248 .30191 Metetra
.583 .598 .834 r
.37248 .30191 .37609 .30854 .3824 .3027 .37857 .30097 Metetra
.29 .727 .966 r
.37857 .30097 .3824 .3027 .38856 .30014 .38463 .30094 Metetra
.008 0 0 r
.38463 .30094 .38856 .30014 .39464 .30004 .39074 .30037 Metetra
.393 .852 .856 r
.39074 .30037 .39464 .30004 .4007 .30083 .39693 .29831 Metetra
.759 .854 .921 r
.39693 .29831 .4007 .30083 .40681 .30079 .4032 .29454 Metetra
.749 .682 .787 r
.4032 .29454 .40681 .30079 .41302 .29879 .40953 .28952 Metetra
.716 .603 .729 r
.40953 .28952 .41302 .29879 .41932 .29456 .41587 .28408 Metetra
.695 .574 .715 r
.41587 .28408 .41932 .29456 .42568 .28873 .4222 .27899 Metetra
.682 .578 .732 r
.4222 .27899 .42568 .28873 .43205 .28251 .42851 .27475 Metetra
.674 .612 .778 r
.42851 .27475 .43205 .28251 .43839 .27716 .4348 .27152 Metetra
.659 .671 .85 r
.4348 .27152 .43839 .27716 .44469 .27358 .44108 .26918 Metetra
.621 .714 .912 r
.44108 .26918 .44469 .27358 .45095 .27204 .44734 .26757 Metetra
.577 .693 .92 r
.44734 .26757 .45095 .27204 .4572 .27212 .45362 .26654 Metetra
.554 .629 .88 r
.45362 .26654 .4572 .27212 .46345 .2728 .4599 .26596 Metetra
.547 .577 .836 r
.4599 .26596 .46345 .2728 .46974 .27291 .4662 .2656 Metetra
.558 .568 .82 r
.4662 .2656 .46974 .27291 .47608 .27147 .47253 .26508 Metetra
.593 .617 .844 r
.47253 .26508 .47608 .27147 .48246 .26815 .47888 .26391 Metetra
.66 .74 .909 r
.47888 .26391 .48246 .26815 .48887 .26347 .48528 .26167 Metetra
.725 .904 .958 r
.48528 .26167 .48887 .26347 .49529 .25866 .49169 .25828 Metetra
.723 .973 .927 r
.49169 .25828 .49529 .25866 .5017 .25525 .49813 .25421 Metetra
.73 .949 .95 r
.49813 .25421 .5017 .25525 .5081 .2544 .50457 .25045 Metetra
.663 .758 .921 r
.50457 .25045 .5081 .2544 .51452 .25641 .51101 .24815 Metetra
.533 .529 .797 r
.51101 .24815 .51452 .25641 .52097 .26041 .51746 .24815 Metetra
.449 .404 .717 r
.51746 .24815 .52097 .26041 .52746 .26458 .52394 .25051 Metetra
.407 .356 .689 r
.52394 .25051 .52746 .26458 .53399 .26683 .53045 .25432 Metetra
.398 .37 .71 r
.53045 .25432 .53399 .26683 .54053 .26569 .53701 .25789 Metetra
.437 .489 .816 r
.53701 .25789 .54053 .26569 .54707 .26101 .54359 .25942 Metetra
.527 .862 .994 r
.54359 .25942 .54707 .26101 .5536 .25411 .55018 .25774 Metetra
.55018 .25774 .5536 .25411 .56012 .24731 .55676 .25292 Metetra
.55676 .25292 .56012 .24731 .56667 .24292 .56331 .24629 Metetra
.56331 .24629 .56667 .24292 .57329 .24227 .56987 .23994 Metetra
.766 .889 .932 r
.56987 .23994 .57329 .24227 .57999 .24513 .57647 .23586 Metetra
.571 .531 .771 r
.57647 .23586 .57999 .24513 .58677 .24976 .58314 .23505 Metetra
.477 .397 .688 r
.58314 .23505 .58677 .24976 .59358 .25356 .58989 .23715 Metetra
.446 .363 .669 r
.58989 .23715 .59358 .25356 .60035 .25413 .5967 .24051 Metetra
.462 .4 .702 r
.5967 .24051 .60035 .25413 .60703 .25026 .60354 .24287 Metetra
.559 .574 .825 r
.60354 .24287 .60703 .25026 .6136 .24241 .61032 .2423 Metetra
.696 .98 .895 r
.61032 .2423 .6136 .24241 .6201 .23241 .61702 .23792 Metetra
.61702 .23792 .6201 .23241 .6266 .22271 .62362 .23028 Metetra
.62362 .23028 .6266 .22271 .63315 .21535 .63016 .22104 Metetra
.63016 .22104 .63315 .21535 .63983 .2113 .6367 .21223 Metetra
.783 .992 .768 r
.6367 .21223 .63983 .2113 .64664 .21024 .64331 .20552 Metetra
.736 .756 .868 r
.64331 .20552 .64664 .21024 .65354 .21082 .65003 .20159 Metetra
.597 .549 .771 r
.65003 .20159 .65354 .21082 .66047 .2113 .65687 .2001 Metetra
.547 .485 .738 r
.65687 .2001 .66047 .2113 .66735 .21022 .66379 .19988 Metetra
.551 .502 .754 r
.66379 .19988 .66735 .21022 .67415 .20688 .67073 .19952 Metetra
.609 .603 .82 r
.67073 .19952 .67415 .20688 .68085 .2015 .67763 .19789 Metetra
.721 .814 .923 r
.67763 .19789 .68085 .2015 .68749 .19499 .68445 .19447 Metetra
.758 .988 .896 r
.68445 .19447 .68749 .19499 .69414 .18849 .69121 .18949 Metetra
.68 .965 .751 r
.69121 .18949 .69414 .18849 .70084 .18297 .69792 .18369 Metetra
.704 .978 .781 r
.69792 .18369 .70084 .18297 .70763 .17893 .70463 .17796 Metetra
.774 .978 .912 r
.70463 .17796 .70763 .17893 .71452 .17633 .7114 .17305 Metetra
.739 .842 .928 r
.7114 .17305 .71452 .17633 .72149 .17473 .71825 .16931 Metetra
.666 .703 .875 r
.71825 .16931 .72149 .17473 .72852 .17351 .72519 .1667 Metetra
.62 .628 .837 r
.72519 .1667 .72852 .17351 .73555 .1721 .7322 .16485 Metetra
.605 .606 .826 r
.7322 .16485 .73555 .1721 .74256 .17015 .73925 .1633 Metetra
.612 .623 .838 r
.73925 .1633 .74256 .17015 .74955 .16757 .74631 .16161 Metetra
.636 .668 .864 r
.74631 .16161 .74955 .16757 .75652 .16449 .75336 .1595 Metetra
.665 .725 .894 r
.75336 .1595 .75652 .16449 .76348 .16116 .7604 .15692 Metetra
.689 .775 .917 r
.7604 .15692 .76348 .16116 .77046 .15784 .76742 .15396 Metetra
.7 .801 .927 r
.76742 .15396 .77046 .15784 .77746 .15472 .77444 .15082 Metetra
.7 .799 .927 r
.77444 .15082 .77746 .15472 .78451 .15189 .78147 .14768 Metetra
.68 .708 .869 r
.1515 .36873 .15544 .37324 .16109 .37112 .15719 .36633 Metetra
.678 .695 .858 r
.15719 .36633 .16109 .37112 .16678 .36877 .16289 .36391 Metetra
.669 .689 .86 r
.16289 .36391 .16678 .36877 .17251 .36623 .16859 .36165 Metetra
.651 .696 .879 r
.16859 .36165 .17251 .36623 .17824 .36368 .17426 .35975 Metetra
.616 .72 .92 r
.17426 .35975 .17824 .36368 .18396 .36135 .17988 .35835 Metetra
.552 .757 .972 r
.17988 .35835 .18396 .36135 .18964 .35953 .18547 .35743 Metetra
.464 .785 .999 r
.18547 .35743 .18964 .35953 .19526 .35837 .19105 .35677 Metetra
.439 .806 .995 r
.19105 .35677 .19526 .35837 .20083 .35784 .19665 .35601 Metetra
.548 .834 .998 r
.19665 .35601 .20083 .35784 .20639 .35762 .20233 .3547 Metetra
.667 .795 .943 r
.20233 .3547 .20639 .35762 .21199 .3572 .20811 .35256 Metetra
.703 .712 .856 r
.20811 .35256 .21199 .3572 .21768 .35601 .21397 .34963 Metetra
.694 .647 .799 r
.21397 .34963 .21768 .35601 .22349 .35371 .21988 .34634 Metetra
.669 .61 .781 r
.21988 .34634 .22349 .35371 .22941 .35039 .22576 .34347 Metetra
.621 .6 .808 r
.22576 .34347 .22941 .35039 .23538 .34667 .23153 .34185 Metetra
.478 .62 .912 r
.23153 .34185 .23538 .34667 .24129 .34353 .23715 .34204 Metetra
0 .351 .669 r
.23715 .34204 .24129 .34353 .24708 .34202 .24264 .34399 Metetra
.596 .089 .016 r
.24264 .34399 .24708 .34202 .25268 .34277 .24806 .34699 Metetra
.587 .138 .153 r
.24806 .34699 .25268 .34277 .25813 .34562 .25353 .34974 Metetra
.485 .016 .066 r
.25353 .34974 .25813 .34562 .26352 .34956 .25917 .35092 Metetra
.25917 .35092 .26352 .34956 .26899 .35298 .26503 .34963 Metetra
.75 .791 .886 r
.26503 .34963 .26899 .35298 .27466 .35424 .2711 .34595 Metetra
.719 .617 .743 r
.2711 .34595 .27466 .35424 .2806 .35239 .27729 .34091 Metetra
.678 .55 .702 r
.27729 .34091 .2806 .35239 .28676 .34768 .28345 .33617 Metetra
.633 .523 .711 r
.28345 .33617 .28676 .34768 .29304 .34151 .28948 .33331 Metetra
.54 .528 .791 r
.28948 .33331 .29304 .34151 .29927 .3359 .29532 .33318 Metetra
0 .417 .82 r
.29532 .33318 .29927 .3359 .30534 .33271 .30101 .33546 Metetra
.608 .122 .074 r
.30101 .33546 .30534 .33271 .31119 .33278 .30666 .33874 Metetra
.559 .138 .2 r
.30666 .33874 .31119 .33278 .31689 .33558 .31241 .34102 Metetra
.382 0 .062 r
.31241 .34102 .31689 .33558 .32255 .33935 .31837 .34059 Metetra
.607 .953 .83 r
.31837 .34059 .32255 .33935 .32834 .34181 .32457 .33665 Metetra
.809 .727 .775 r
.32457 .33665 .32834 .34181 .33434 .34107 .33096 .32973 Metetra
.743 .59 .686 r
.33096 .32973 .33434 .34107 .3406 .33641 .33743 .32137 Metetra
.702 .536 .66 r
.33743 .32137 .3406 .33641 .34704 .32859 .34387 .31349 Metetra
.671 .516 .666 r
.34387 .31349 .34704 .32859 .35354 .31945 .35018 .30757 Metetra
.643 .526 .706 r
.35018 .30757 .35354 .31945 .35998 .31109 .35636 .3042 Metetra
.602 .599 .821 r
.35636 .3042 .35998 .31109 .3663 .30508 .36245 .3029 Metetra
.419 .767 .996 r
.36245 .3029 .3663 .30508 .37248 .30191 .3685 .30244 Metetra
.135 .68 .724 r
.3685 .30244 .37248 .30191 .37857 .30097 .37461 .30145 Metetra
.459 .888 .862 r
.37461 .30145 .37857 .30097 .38463 .30094 .3808 .29894 Metetra
.786 .886 .918 r
.3808 .29894 .38463 .30094 .39074 .30037 .38708 .29469 Metetra
.771 .707 .791 r
.38708 .29469 .39074 .30037 .39693 .29831 .39342 .28919 Metetra
.726 .61 .728 r
.39342 .28919 .39693 .29831 .4032 .29454 .39977 .28339 Metetra
.689 .563 .707 r
.39977 .28339 .4032 .29454 .40953 .28952 .4061 .27824 Metetra
.66 .544 .712 r
.4061 .27824 .40953 .28952 .41587 .28408 .41239 .27431 Metetra
.637 .553 .743 r
.41239 .27431 .41587 .28408 .4222 .27899 .41864 .27167 Metetra
.621 .598 .806 r
.41864 .27167 .4222 .27899 .42851 .27475 .42488 .26989 Metetra
.618 .689 .894 r
.42488 .26989 .42851 .27475 .4348 .27152 .43112 .26834 Metetra
.634 .79 .957 r
.43112 .26834 .4348 .27152 .44108 .26918 .43739 .26642 Metetra
.677 .83 .957 r
.43739 .26642 .44108 .26918 .44734 .26757 .4437 .26389 Metetra
.708 .782 .91 r
.4437 .26389 .44734 .26757 .45362 .26654 .45003 .2609 Metetra
.688 .684 .841 r
.45003 .2609 .45362 .26654 .4599 .26596 .45637 .25792 Metetra
.642 .591 .782 r
.45637 .25792 .4599 .26596 .4662 .2656 .46271 .2555 Metetra
.595 .525 .746 r
.46271 .2555 .4662 .2656 .47253 .26508 .46905 .25402 Metetra
.56 .489 .732 r
.46905 .25402 .47253 .26508 .47888 .26391 .47539 .25344 Metetra
.544 .489 .745 r
.47539 .25344 .47888 .26391 .48528 .26167 .48175 .25328 Metetra
.556 .539 .791 r
.48175 .25328 .48528 .26167 .49169 .25828 .48813 .25281 Metetra
.609 .662 .876 r
.48813 .25281 .49169 .25828 .49813 .25421 .49455 .25136 Metetra
.683 .831 .955 r
.49455 .25136 .49813 .25421 .50457 .25045 .501 .2487 Metetra
.724 .911 .959 r
.501 .2487 .50457 .25045 .51101 .24815 .50746 .24526 Metetra
.723 .84 .937 r
.50746 .24526 .51101 .24815 .51746 .24815 .51394 .24199 Metetra
.633 .647 .846 r
.51394 .24199 .51746 .24815 .52394 .25051 .52042 .24005 Metetra
.53 .483 .748 r
.52042 .24005 .52394 .25051 .53045 .25432 .52692 .24023 Metetra
.464 .393 .692 r
.52692 .24023 .53045 .25432 .53701 .25789 .53346 .24253 Metetra
.43 .359 .676 r
.53346 .24253 .53701 .25789 .54359 .25942 .54003 .24603 Metetra
.427 .378 .701 r
.54003 .24603 .54359 .25942 .55018 .25774 .54664 .24916 Metetra
.473 .49 .795 r
.54664 .24916 .55018 .25774 .55676 .25292 .55328 .25028 Metetra
.602 .826 .985 r
.55328 .25028 .55676 .25292 .56331 .24629 .55991 .24843 Metetra
.448 .838 .622 r
.55991 .24843 .56331 .24629 .56987 .23994 .56652 .24378 Metetra
.56652 .24378 .56987 .23994 .57647 .23586 .57311 .23762 Metetra
.642 .942 .705 r
.57311 .23762 .57647 .23586 .58314 .23505 .57971 .23181 Metetra
.746 .833 .917 r
.57971 .23181 .58314 .23505 .58989 .23715 .58636 .22803 Metetra
.578 .539 .775 r
.58636 .22803 .58989 .23715 .5967 .24051 .59307 .22703 Metetra
.496 .423 .704 r
.59307 .22703 .5967 .24051 .60354 .24287 .59986 .22837 Metetra
.473 .397 .691 r
.59986 .22837 .60354 .24287 .61032 .2423 .60671 .23054 Metetra
.498 .446 .73 r
.60671 .23054 .61032 .2423 .61702 .23792 .61356 .23164 Metetra
.607 .638 .855 r
.61356 .23164 .61702 .23792 .62362 .23028 .62037 .23012 Metetra
.726 .986 .89 r
.62037 .23012 .62362 .23028 .63016 .22104 .62709 .2254 Metetra
.62709 .2254 .63016 .22104 .6367 .21223 .63372 .21806 Metetra
.63372 .21806 .6367 .21223 .64331 .20552 .6403 .20957 Metetra
.6403 .20957 .64331 .20552 .65003 .20159 .64689 .20161 Metetra
.809 .999 .842 r
.64689 .20161 .65003 .20159 .65687 .2001 .65355 .19548 Metetra
.732 .761 .876 r
.65355 .19548 .65687 .2001 .66379 .19988 .66032 .19166 Metetra
.615 .582 .794 r
.66032 .19166 .66379 .19988 .67073 .19952 .66719 .18981 Metetra
.571 .525 .765 r
.66719 .18981 .67073 .19952 .67763 .19789 .67412 .18893 Metetra
.578 .546 .782 r
.67412 .18893 .67763 .19789 .68445 .19447 .68108 .18791 Metetra
.632 .641 .842 r
.68108 .18791 .68445 .19447 .69121 .18949 .688 .18586 Metetra
.721 .815 .923 r
.688 .18586 .69121 .18949 .69792 .18369 .69486 .18242 Metetra
.766 .965 .929 r
.69486 .18242 .69792 .18369 .70463 .17796 .70167 .17781 Metetra
.742 .992 .866 r
.70167 .17781 .70463 .17796 .7114 .17305 .70844 .17261 Metetra
.753 .99 .886 r
.70844 .17261 .7114 .17305 .71825 .16931 .71523 .16753 Metetra
.766 .941 .939 r
.71523 .16753 .71825 .16931 .72519 .1667 .72207 .16311 Metetra
.723 .821 .926 r
.72207 .16311 .72519 .1667 .7322 .16485 .72898 .15961 Metetra
.666 .713 .883 r
.72898 .15961 .7322 .16485 .73925 .1633 .73596 .15699 Metetra
.631 .652 .853 r
.73596 .15699 .73925 .1633 .74631 .16161 .74301 .15495 Metetra
.618 .634 .844 r
.74301 .15495 .74631 .16161 .75336 .1595 .75009 .15313 Metetra
.624 .648 .853 r
.75009 .15313 .75336 .1595 .7604 .15692 .75718 .15121 Metetra
.642 .683 .873 r
.75718 .15121 .7604 .15692 .76742 .15396 .76427 .14897 Metetra
.664 .727 .896 r
.76427 .14897 .76742 .15396 .77444 .15082 .77135 .14639 Metetra
.682 .764 .913 r
.77135 .14639 .77444 .15082 .78147 .14768 .77843 .14352 Metetra
.669 .702 .872 r
.14755 .36416 .1515 .36873 .15719 .36633 .15322 .36195 Metetra
.655 .707 .886 r
.15322 .36195 .15719 .36633 .16289 .36391 .15888 .36 Metetra
.63 .725 .916 r
.15888 .36 .16289 .36391 .16859 .36165 .1645 .35841 Metetra
.591 .754 .956 r
.1645 .35841 .16859 .36165 .17426 .35975 .1701 .35719 Metetra
.544 .784 .987 r
.1701 .35719 .17426 .35975 .17988 .35835 .17569 .35619 Metetra
.531 .807 .996 r
.17569 .35619 .17988 .35835 .18547 .35743 .1813 .35514 Metetra
.587 .816 .987 r
.1813 .35514 .18547 .35743 .19105 .35677 .18697 .35371 Metetra
.66 .785 .94 r
.18697 .35371 .19105 .35677 .19665 .35601 .19271 .35167 Metetra
.692 .723 .873 r
.19271 .35167 .19665 .35601 .20233 .3547 .19853 .34902 Metetra
.69 .668 .823 r
.19853 .34902 .20233 .3547 .20811 .35256 .20439 .34608 Metetra
.67 .635 .806 r
.20439 .34608 .20811 .35256 .21397 .34963 .21024 .34342 Metetra
.629 .627 .829 r
.21024 .34342 .21397 .34963 .21988 .34634 .216 .34171 Metetra
.521 .649 .915 r
.216 .34171 .21988 .34634 .22576 .34347 .22163 .34143 Metetra
.044 .551 .878 r
.22163 .34143 .22576 .34347 .23153 .34185 .22715 .34261 Metetra
.49 0 0 r
.22715 .34261 .23153 .34185 .23715 .34204 .2326 .34475 Metetra
.539 .04 .018 r
.2326 .34475 .23715 .34204 .24264 .34399 .23809 .34687 Metetra
.441 0 0 r
.23809 .34687 .24264 .34399 .24806 .34699 .2437 .34787 Metetra
.2437 .34787 .24806 .34699 .25353 .34974 .2495 .34698 Metetra
.712 .819 .932 r
.2495 .34698 .25353 .34974 .25917 .35092 .25548 .34412 Metetra
.714 .648 .782 r
.25548 .34412 .25917 .35092 .26503 .34963 .26158 .34006 Metetra
.678 .575 .732 r
.26158 .34006 .26503 .34963 .2711 .34595 .26767 .3361 Metetra
.634 .546 .738 r
.26767 .3361 .2711 .34595 .27729 .34091 .27365 .33358 Metetra
.544 .554 .815 r
.27365 .33358 .27729 .34091 .28345 .33617 .27947 .33332 Metetra
.031 .493 .881 r
.27947 .33332 .28345 .33617 .28948 .33331 .28515 .33516 Metetra
.573 .052 0 r
.28515 .33516 .28948 .33331 .29532 .33318 .29079 .33799 Metetra
.55 .104 .144 r
.29079 .33799 .29532 .33318 .30101 .33546 .29651 .34014 Metetra
.387 0 .021 r
.29651 .34014 .30101 .33546 .30666 .33874 .30241 .34004 Metetra
.475 .891 .791 r
.30241 .34004 .30666 .33874 .31241 .34102 .30855 .33688 Metetra
.808 .764 .813 r
.30855 .33688 .31241 .34102 .31837 .34059 .31488 .33096 Metetra
.749 .613 .708 r
.31488 .33096 .31837 .34059 .32457 .33665 .3213 .32351 Metetra
.709 .554 .676 r
.3213 .32351 .32457 .33665 .33096 .32973 .32771 .31623 Metetra
.68 .533 .679 r
.32771 .31623 .33096 .32973 .33743 .32137 .33402 .31051 Metetra
.654 .545 .719 r
.33402 .31051 .33743 .32137 .34387 .31349 .3402 .307 Metetra
.619 .62 .83 r
.3402 .307 .34387 .31349 .35018 .30757 .34628 .30539 Metetra
.461 .787 .999 r
.34628 .30539 .35018 .30757 .35636 .3042 .35233 .30467 Metetra
.166 .704 .748 r
.35233 .30467 .35636 .3042 .36245 .3029 .35841 .30359 Metetra
.406 .858 .824 r
.35841 .30359 .36245 .3029 .3685 .30244 .36458 .30121 Metetra
.768 .929 .938 r
.36458 .30121 .3685 .30244 .37461 .30145 .37085 .29719 Metetra
.791 .763 .828 r
.37085 .29719 .37461 .30145 .3808 .29894 .37718 .29189 Metetra
.754 .663 .761 r
.37718 .29189 .3808 .29894 .38708 .29469 .38354 .28613 Metetra
.723 .619 .741 r
.38354 .28613 .38708 .29469 .39342 .28919 .38988 .28077 Metetra
.699 .61 .753 r
.38988 .28077 .39342 .28919 .39977 .28339 .39617 .27644 Metetra
.678 .635 .799 r
.39617 .27644 .39977 .28339 .4061 .27824 .40243 .27336 Metetra
.647 .699 .884 r
.40243 .27336 .4061 .27824 .41239 .27431 .40865 .27133 Metetra
.585 .786 .975 r
.40865 .27133 .41239 .27431 .41864 .27167 .41487 .26992 Metetra
.509 .837 .999 r
.41487 .26992 .41864 .27167 .42488 .26989 .4211 .2686 Metetra
.514 .867 .989 r
.4211 .2686 .42488 .26989 .43112 .26834 .42737 .26698 Metetra
.595 .894 .989 r
.42737 .26698 .43112 .26834 .43739 .26642 .43366 .26479 Metetra
.674 .901 .977 r
.43366 .26479 .43739 .26642 .4437 .26389 .43999 .26201 Metetra
.719 .895 .96 r
.43999 .26201 .4437 .26389 .45003 .2609 .44634 .25876 Metetra
.733 .882 .949 r
.44634 .25876 .45003 .2609 .45637 .25792 .4527 .25534 Metetra
.721 .854 .945 r
.4527 .25534 .45637 .25792 .46271 .2555 .45907 .25215 Metetra
.681 .797 .937 r
.45907 .25215 .46271 .2555 .46905 .25402 .46544 .24958 Metetra
.621 .716 .914 r
.46544 .24958 .46905 .25402 .47539 .25344 .47181 .24792 Metetra
.56 .637 .884 r
.47181 .24792 .47539 .25344 .48175 .25328 .47818 .24721 Metetra
.518 .593 .869 r
.47818 .24721 .48175 .25328 .48813 .25281 .48456 .24716 Metetra
.506 .606 .886 r
.48456 .24716 .48813 .25281 .49455 .25136 .49097 .24718 Metetra
.53 .694 .944 r
.49097 .24718 .49455 .25136 .501 .2487 .49741 .24658 Metetra
.573 .845 .996 r
.49741 .24658 .501 .2487 .50746 .24526 .50388 .24486 Metetra
.586 .935 .94 r
.50388 .24486 .50746 .24526 .51394 .24199 .51037 .24198 Metetra
.624 .957 .909 r
.51037 .24198 .51394 .24199 .52042 .24005 .51688 .23847 Metetra
.692 .916 .97 r
.51688 .23847 .52042 .24005 .52692 .24023 .52339 .23531 Metetra
.626 .698 .897 r
.52339 .23531 .52692 .24023 .53346 .24253 .52992 .23355 Metetra
.521 .508 .782 r
.52992 .23355 .53346 .24253 .54003 .24603 .53648 .2338 Metetra
.457 .411 .719 r
.53648 .2338 .54003 .24603 .54664 .24916 .54307 .23593 Metetra
.428 .381 .703 r
.54307 .23593 .54664 .24916 .55328 .25028 .54971 .23897 Metetra
.433 .411 .735 r
.54971 .23897 .55328 .25028 .55991 .24843 .55638 .24144 Metetra
.492 .55 .843 r
.55638 .24144 .55991 .24843 .56652 .24378 .56306 .24192 Metetra
.607 .88 .991 r
.56306 .24192 .56652 .24378 .57311 .23762 .56974 .23967 Metetra
.461 .848 .634 r
.56974 .23967 .57311 .23762 .57971 .23181 .57638 .23498 Metetra
.57638 .23498 .57971 .23181 .58636 .22803 .58301 .22907 Metetra
.691 .975 .785 r
.58301 .22907 .58636 .22803 .59307 .22703 .58965 .2236 Metetra
.738 .822 .917 r
.58965 .2236 .59307 .22703 .59986 .22837 .59634 .21994 Metetra
.592 .564 .791 r
.59634 .21994 .59986 .22837 .60671 .23054 .60309 .21862 Metetra
.519 .457 .727 r
.60309 .21862 .60671 .23054 .61356 .23164 .60992 .21915 Metetra
.502 .439 .719 r
.60992 .21915 .61356 .23164 .62037 .23012 .6168 .2202 Metetra
.537 .501 .764 r
.6168 .2202 .62037 .23012 .62709 .2254 .62367 .22016 Metetra
.653 .703 .884 r
.62367 .22016 .62709 .2254 .63372 .21806 .63049 .21784 Metetra
.745 .99 .887 r
.63049 .21784 .63372 .21806 .6403 .20957 .63723 .21289 Metetra
.63723 .21289 .6403 .20957 .64689 .20161 .64389 .20589 Metetra
.64389 .20589 .64689 .20161 .65355 .19548 .65052 .1981 Metetra
.611 .885 .567 r
.65052 .1981 .65355 .19548 .66032 .19166 .65717 .19089 Metetra
.814 .984 .887 r
.65717 .19089 .66032 .19166 .66719 .18981 .66388 .18527 Metetra
.728 .766 .884 r
.66388 .18527 .66719 .18981 .67412 .18893 .67069 .18155 Metetra
.631 .615 .816 r
.67069 .18155 .67412 .18893 .68108 .18791 .67759 .1794 Metetra
.594 .565 .792 r
.67759 .1794 .68108 .18791 .688 .18586 .68455 .178 Metetra
.602 .587 .809 r
.68455 .178 .688 .18586 .69486 .18242 .69152 .17646 Metetra
.649 .673 .86 r
.69152 .17646 .69486 .18242 .70167 .17781 .69847 .1741 Metetra
.718 .812 .924 r
.69847 .1741 .70167 .17781 .70844 .17261 .70537 .17069 Metetra
.76 .932 .943 r
.70537 .17069 .70844 .17261 .71523 .16753 .71223 .1664 Metetra
.761 .972 .924 r
.71223 .1664 .71523 .16753 .72207 .16311 .71908 .16171 Metetra
.762 .962 .932 r
.71908 .16171 .72207 .16311 .72898 .15961 .72593 .15715 Metetra
.75 .901 .945 r
.72593 .15715 .72898 .15961 .73596 .15699 .73284 .15313 Metetra
.71 .804 .923 r
.73284 .15313 .73596 .15699 .74301 .15495 .73981 .14983 Metetra
.667 .721 .889 r
.73981 .14983 .74301 .15495 .75009 .15313 .74684 .14719 Metetra
.639 .673 .866 r
.74684 .14719 .75009 .15313 .75718 .15121 .75392 .145 Metetra
.629 .658 .859 r
.75392 .145 .75718 .15121 .76427 .14897 .76104 .14297 Metetra
.634 .669 .866 r
.76104 .14297 .76427 .14897 .77135 .14639 .76817 .14086 Metetra
.648 .696 .881 r
.76817 .14086 .77135 .14639 .77843 .14352 .7753 .13853 Metetra
.64 .729 .913 r
.1435 .36026 .14755 .36416 .15322 .36195 .14912 .35854 Metetra
.615 .751 .942 r
.14912 .35854 .15322 .36195 .15888 .36 .15473 .3571 Metetra
.589 .775 .969 r
.15473 .3571 .15888 .36 .1645 .35841 .16032 .35583 Metetra
.581 .794 .98 r
.16032 .35583 .1645 .35841 .1701 .35719 .16594 .35454 Metetra
.611 .798 .971 r
.16594 .35454 .1701 .35719 .17569 .35619 .17159 .35299 Metetra
.657 .776 .936 r
.17159 .35299 .17569 .35619 .1813 .35514 .17731 .351 Metetra
.684 .731 .886 r
.17731 .351 .1813 .35514 .18697 .35371 .18309 .34856 Metetra
.686 .687 .845 r
.18309 .34856 .18697 .35371 .19271 .35167 .18891 .34588 Metetra
.67 .657 .829 r
.18891 .34588 .19271 .35167 .19853 .34902 .19472 .34339 Metetra
.636 .65 .847 r
.19472 .34339 .19853 .34902 .20439 .34608 .20047 .3416 Metetra
.554 .672 .916 r
.20047 .3416 .20439 .34608 .21024 .34342 .20611 .34094 Metetra
.263 .663 .967 r
.20611 .34094 .21024 .34342 .216 .34171 .21166 .34147 Metetra
.292 0 0 r
.21166 .34147 .216 .34171 .22163 .34143 .21714 .34286 Metetra
.444 0 0 r
.21714 .34286 .22163 .34143 .22715 .34261 .22264 .34437 Metetra
.359 0 0 r
.22264 .34437 .22715 .34261 .2326 .34475 .22824 .34513 Metetra
.103 .657 .73 r
.22824 .34513 .2326 .34475 .23809 .34687 .23398 .34447 Metetra
.663 .833 .965 r
.23398 .34447 .23809 .34687 .2437 .34787 .23989 .34225 Metetra
.703 .679 .824 r
.23989 .34225 .2437 .34787 .2495 .34698 .2459 .33898 Metetra
.675 .602 .766 r
.2459 .33898 .2495 .34698 .25548 .34412 .25192 .33569 Metetra
.633 .572 .768 r
.25192 .33569 .25548 .34412 .26158 .34006 .25786 .3335 Metetra
.547 .581 .84 r
.25786 .3335 .26158 .34006 .26767 .3361 .26366 .33314 Metetra
.13 .553 .922 r
.26366 .33314 .26767 .3361 .27365 .33358 .26933 .33458 Metetra
.517 0 0 r
.26933 .33458 .27365 .33358 .27947 .33332 .27496 .33698 Metetra
.532 .055 .068 r
.27496 .33698 .27947 .33332 .28515 .33516 .28064 .33896 Metetra
.381 0 0 r
.28064 .33896 .28515 .33516 .29079 .33799 .2865 .33913 Metetra
.372 .835 .773 r
.2865 .33913 .29079 .33799 .29651 .34014 .29256 .33666 Metetra
.795 .793 .851 r
.29256 .33666 .29651 .34014 .30241 .34004 .29882 .33168 Metetra
.75 .633 .73 r
.29882 .33168 .30241 .34004 .30855 .33688 .3052 .32515 Metetra
.712 .569 .691 r
.3052 .32515 .30855 .33688 .31488 .33096 .31157 .3185 Metetra
.684 .545 .69 r
.31157 .3185 .31488 .33096 .3213 .32351 .31787 .31303 Metetra
.66 .554 .723 r
.31787 .31303 .3213 .32351 .32771 .31623 .32405 .30939 Metetra
.634 .616 .815 r
.32405 .30939 .32771 .31623 .33402 .31051 .33013 .30743 Metetra
.563 .768 .975 r
.33013 .30743 .33402 .31051 .3402 .307 .33618 .30629 Metetra
.428 .85 .955 r
.33618 .30629 .3402 .307 .34628 .30539 .34226 .30488 Metetra
.597 .928 .961 r
.34226 .30488 .34628 .30539 .35233 .30467 .34842 .3023 Metetra
.776 .861 .913 r
.34842 .3023 .35233 .30467 .35841 .30359 .35468 .29821 Metetra
.77 .716 .801 r
.35468 .29821 .35841 .30359 .36458 .30121 .36101 .29292 Metetra
.736 .63 .741 r
.36101 .29292 .36458 .30121 .37085 .29719 .36737 .28716 Metetra
.707 .587 .719 r
.36737 .28716 .37085 .29719 .37718 .29189 .37371 .28174 Metetra
.684 .573 .724 r
.37371 .28174 .37718 .29189 .38354 .28613 .38 .27727 Metetra
.667 .585 .754 r
.38 .27727 .38354 .28613 .38988 .28077 .38626 .27392 Metetra
.653 .627 .811 r
.38626 .27392 .38988 .28077 .39617 .27644 .39248 .27147 Metetra
.643 .694 .882 r
.39248 .27147 .39617 .27644 .40243 .27336 .3987 .2695 Metetra
.642 .752 .928 r
.3987 .2695 .40243 .27336 .40865 .27133 .40493 .26755 Metetra
.66 .762 .925 r
.40493 .26755 .40865 .27133 .41487 .26992 .41118 .26534 Metetra
.676 .725 .887 r
.41118 .26534 .41487 .26992 .4211 .2686 .41747 .26282 Metetra
.674 .673 .842 r
.41747 .26282 .4211 .2686 .42737 .26698 .42377 .26013 Metetra
.662 .633 .81 r
.42377 .26013 .42737 .26698 .43366 .26479 .43008 .25745 Metetra
.652 .615 .799 r
.43008 .25745 .43366 .26479 .43999 .26201 .4364 .2549 Metetra
.649 .62 .807 r
.4364 .2549 .43999 .26201 .44634 .25876 .44274 .25248 Metetra
.655 .649 .832 r
.44274 .25248 .44634 .25876 .4527 .25534 .44908 .25009 Metetra
.667 .694 .866 r
.44908 .25009 .4527 .25534 .45907 .25215 .45544 .24762 Metetra
.676 .731 .892 r
.45544 .24762 .45907 .25215 .46544 .24958 .46182 .24507 Metetra
.67 .731 .895 r
.46182 .24507 .46544 .24958 .47181 .24792 .46821 .24262 Metetra
.644 .684 .873 r
.46821 .24262 .47181 .24792 .47818 .24721 .47461 .24055 Metetra
.603 .614 .835 r
.47461 .24055 .47818 .24721 .48456 .24716 .48102 .23915 Metetra
.563 .553 .802 r
.48102 .23915 .48456 .24716 .49097 .24718 .48743 .2385 Metetra
.536 .522 .787 r
.48743 .2385 .49097 .24718 .49741 .24658 .49386 .23841 Metetra
.532 .533 .802 r
.49386 .23841 .49741 .24658 .50388 .24486 .50032 .23837 Metetra
.556 .599 .852 r
.50032 .23837 .50388 .24486 .51037 .24198 .5068 .23778 Metetra
.61 .73 .93 r
.5068 .23778 .51037 .24198 .51688 .23847 .51331 .2362 Metetra
.662 .868 .977 r
.51331 .2362 .51688 .23847 .52339 .23531 .51984 .23362 Metetra
.686 .91 .973 r
.51984 .23362 .52339 .23531 .52992 .23355 .52639 .23056 Metetra
.679 .828 .955 r
.52639 .23056 .52992 .23355 .53648 .2338 .53295 .22791 Metetra
.6 .645 .867 r
.53295 .22791 .53648 .2338 .54307 .23593 .53953 .22655 Metetra
.514 .496 .774 r
.53953 .22655 .54307 .23593 .54971 .23897 .54614 .22697 Metetra
.461 .418 .724 r
.54614 .22697 .54971 .23897 .55638 .24144 .55279 .22892 Metetra
.441 .399 .715 r
.55279 .22892 .55638 .24144 .56306 .24192 .55949 .23146 Metetra
.455 .44 .753 r
.55949 .23146 .56306 .24192 .56974 .23967 .56621 .23326 Metetra
.524 .59 .863 r
.56621 .23326 .56974 .23967 .57638 .23498 .57294 .23313 Metetra
.639 .893 .985 r
.57294 .23313 .57638 .23498 .58301 .22907 .57965 .23053 Metetra
.548 .911 .725 r
.57965 .23053 .58301 .22907 .58965 .2236 .58633 .22583 Metetra
.546 .883 .629 r
.58633 .22583 .58965 .2236 .59634 .21994 .593 .22018 Metetra
.738 .992 .858 r
.593 .22018 .59634 .21994 .60309 .21862 .59968 .21499 Metetra
.732 .812 .914 r
.59968 .21499 .60309 .21862 .60992 .21915 .60641 .21139 Metetra
.609 .591 .808 r
.60641 .21139 .60992 .21915 .6168 .2202 .61321 .20972 Metetra
.545 .496 .752 r
.61321 .20972 .6168 .2202 .62367 .22016 .62007 .20948 Metetra
.535 .487 .749 r
.62007 .20948 .62367 .22016 .63049 .21784 .62696 .20949 Metetra
.578 .56 .798 r
.62696 .20949 .63049 .21784 .63723 .21289 .63385 .20848 Metetra
.691 .76 .905 r
.63385 .20848 .63723 .21289 .64389 .20589 .64069 .20552 Metetra
.761 .99 .89 r
.64069 .20552 .64389 .20589 .65052 .1981 .64745 .20043 Metetra
.598 .893 .601 r
.64745 .20043 .65052 .1981 .65717 .19089 .65415 .19379 Metetra
.562 .851 .526 r
.65415 .19379 .65717 .19089 .66388 .18527 .66083 .18665 Metetra
.707 .964 .715 r
.66083 .18665 .66388 .18527 .67069 .18155 .66753 .18011 Metetra
.806 .958 .912 r
.66753 .18011 .67069 .18155 .67759 .1794 .6743 .17492 Metetra
.723 .77 .89 r
.6743 .17492 .67759 .1794 .68455 .178 .68115 .1713 Metetra
.645 .645 .835 r
.68115 .1713 .68455 .178 .69152 .17646 .68809 .16891 Metetra
.614 .603 .816 r
.68809 .16891 .69152 .17646 .69847 .1741 .69507 .1671 Metetra
.622 .625 .832 r
.69507 .1671 .69847 .1741 .70537 .17069 .70207 .16516 Metetra
.661 .699 .874 r
.70207 .16516 .70537 .17069 .71223 .1664 .70905 .16259 Metetra
.714 .807 .923 r
.70905 .16259 .71223 .1664 .71908 .16171 .71599 .15923 Metetra
.748 .899 .945 r
.71599 .15923 .71908 .16171 .72593 .15715 .72291 .15523 Metetra
.756 .935 .944 r
.72291 .15523 .72593 .15715 .73284 .15313 .72982 .15096 Metetra
.752 .92 .947 r
.72982 .15096 .73284 .15313 .73981 .14983 .73674 .14682 Metetra
.733 .865 .943 r
.73674 .14682 .73981 .14983 .74684 .14719 .74371 .14311 Metetra
.699 .79 .921 r
.74371 .14311 .74684 .14719 .75392 .145 .75074 .13995 Metetra
.667 .727 .894 r
.75074 .13995 .75392 .145 .76104 .14297 .75782 .13731 Metetra
.646 .689 .877 r
.75782 .13731 .76104 .14297 .76817 .14086 .76494 .13499 Metetra
.638 .678 .871 r
.76494 .13499 .76817 .14086 .7753 .13853 .77209 .1328 Metetra
.614 .766 .952 r
.13935 .35711 .1435 .36026 .14912 .35854 .14495 .35563 Metetra
.61 .781 .963 r
.14495 .35563 .14912 .35854 .15473 .3571 .15056 .35415 Metetra
.626 .784 .957 r
.15056 .35415 .15473 .3571 .16032 .35583 .15621 .3525 Metetra
.655 .768 .932 r
.15621 .3525 .16032 .35583 .16594 .35454 .1619 .35054 Metetra
.676 .736 .895 r
.1619 .35054 .16594 .35454 .17159 .35299 .16765 .34824 Metetra
.681 .701 .863 r
.16765 .34824 .17159 .35299 .17731 .351 .17343 .34575 Metetra
.669 .677 .848 r
.17343 .34575 .17731 .351 .18309 .34856 .17921 .34338 Metetra
.642 .671 .863 r
.17921 .34338 .18309 .34856 .18891 .34588 .18494 .34154 Metetra
.58 .69 .916 r
.18494 .34154 .18891 .34588 .19472 .34339 .19059 .34056 Metetra
.403 .712 .986 r
.19059 .34056 .19472 .34339 .20047 .3416 .19616 .34055 Metetra
0 .552 .794 r
.19616 .34055 .20047 .3416 .20611 .34094 .20168 .34128 Metetra
.271 0 0 r
.20168 .34128 .20611 .34094 .21166 .34147 .20719 .34223 Metetra
.222 0 0 r
.20719 .34223 .21166 .34147 .21714 .34286 .21278 .34271 Metetra
.168 .705 .821 r
.21278 .34271 .21714 .34286 .22264 .34437 .21848 .34216 Metetra
.614 .834 .984 r
.21848 .34216 .22264 .34437 .22824 .34513 .22432 .34039 Metetra
.686 .709 .865 r
.22432 .34039 .22824 .34513 .23398 .34447 .23026 .33776 Metetra
.669 .632 .803 r
.23026 .33776 .23398 .34447 .23989 .34225 .23621 .33504 Metetra
.63 .6 .801 r
.23621 .33504 .23989 .34225 .2459 .33898 .24211 .33313 Metetra
.547 .608 .866 r
.24211 .33313 .2459 .33898 .25192 .33569 .24788 .33269 Metetra
.206 .597 .947 r
.24788 .33269 .25192 .33569 .25786 .3335 .25355 .33379 Metetra
.435 0 0 r
.25355 .33379 .25786 .3335 .26366 .33314 .25916 .3358 Metetra
.504 0 0 r
.25916 .3358 .26366 .33314 .26933 .33458 .26482 .33761 Metetra
.372 0 0 r
.26482 .33761 .26933 .33458 .27496 .33698 .27062 .33799 Metetra
.261 .765 .741 r
.27062 .33799 .27496 .33698 .28064 .33896 .27661 .33616 Metetra
.773 .829 .896 r
.27661 .33616 .28064 .33896 .2865 .33913 .2828 .33209 Metetra
.75 .659 .761 r
.2828 .33209 .2865 .33913 .29256 .33666 .2891 .32648 Metetra
.715 .588 .712 r
.2891 .32648 .29256 .33666 .29882 .33168 .29543 .32055 Metetra
.689 .562 .706 r
.29543 .32055 .29882 .33168 .3052 .32515 .3017 .31544 Metetra
.667 .569 .736 r
.3017 .31544 .3052 .32515 .31157 .3185 .30787 .31182 Metetra
.644 .626 .817 r
.30787 .31182 .31157 .3185 .31787 .31303 .31395 .30965 Metetra
.596 .761 .958 r
.31395 .30965 .31787 .31303 .32405 .30939 .32 .30826 Metetra
.509 .868 .986 r
.32 .30826 .32405 .30939 .33013 .30743 .32607 .30666 Metetra
.624 .926 .972 r
.32607 .30666 .33013 .30743 .33618 .30629 .33222 .30404 Metetra
.773 .867 .918 r
.33222 .30404 .33618 .30629 .34226 .30488 .33847 .30003 Metetra
.777 .736 .815 r
.33847 .30003 .34226 .30488 .34842 .3023 .34479 .29484 Metetra
.747 .651 .755 r
.34479 .29484 .34842 .3023 .35468 .29821 .35115 .28912 Metetra
.719 .607 .732 r
.35115 .28912 .35468 .29821 .36101 .29292 .35749 .28365 Metetra
.697 .593 .736 r
.35749 .28365 .36101 .29292 .36737 .28716 .36379 .27905 Metetra
.679 .607 .768 r
.36379 .27905 .36737 .28716 .37371 .28174 .37004 .27554 Metetra
.665 .653 .828 r
.37004 .27554 .37371 .28174 .38 .27727 .37625 .27297 Metetra
.649 .729 .908 r
.37625 .27297 .38 .27727 .38626 .27392 .38245 .27094 Metetra
.636 .804 .963 r
.38245 .27094 .38626 .27392 .39248 .27147 .38866 .26897 Metetra
.653 .839 .972 r
.38866 .26897 .39248 .27147 .3987 .2695 .3949 .2667 Metetra
.691 .83 .95 r
.3949 .2667 .3987 .2695 .40493 .26755 .40117 .264 Metetra
.713 .791 .912 r
.40117 .264 .40493 .26755 .41118 .26534 .40747 .26093 Metetra
.711 .746 .879 r
.40747 .26093 .41118 .26534 .41747 .26282 .41379 .25774 Metetra
.697 .711 .859 r
.41379 .25774 .41747 .26282 .42377 .26013 .42011 .25468 Metetra
.677 .689 .854 r
.42011 .25468 .42377 .26013 .43008 .25745 .42643 .25197 Metetra
.656 .68 .861 r
.42643 .25197 .43008 .25745 .4364 .2549 .43275 .24968 Metetra
.638 .684 .877 r
.43275 .24968 .4364 .2549 .44274 .25248 .43908 .24774 Metetra
.629 .704 .9 r
.43908 .24774 .44274 .25248 .44908 .25009 .44542 .24597 Metetra
.633 .739 .924 r
.44542 .24597 .44908 .25009 .45544 .24762 .45178 .24411 Metetra
.65 .781 .944 r
.45178 .24411 .45544 .24762 .46182 .24507 .45816 .24198 Metetra
.672 .813 .951 r
.45816 .24198 .46182 .24507 .46821 .24262 .46456 .2395 Metetra
.687 .816 .944 r
.46456 .2395 .46821 .24262 .47461 .24055 .47098 .2368 Metetra
.682 .778 .923 r
.47098 .2368 .47461 .24055 .48102 .23915 .47741 .23419 Metetra
.65 .704 .886 r
.47741 .23419 .48102 .23915 .48743 .2385 .48385 .23203 Metetra
.602 .622 .843 r
.48385 .23203 .48743 .2385 .49386 .23841 .4903 .23063 Metetra
.558 .558 .81 r
.4903 .23063 .49386 .23841 .50032 .23837 .49676 .23006 Metetra
.53 .529 .799 r
.49676 .23006 .50032 .23837 .5068 .23778 .50324 .23005 Metetra
.525 .543 .816 r
.50324 .23005 .5068 .23778 .51331 .2362 .50975 .23008 Metetra
.549 .611 .867 r
.50975 .23008 .51331 .2362 .51984 .23362 .51628 .22954 Metetra
.6 .734 .939 r
.51628 .22954 .51984 .23362 .52639 .23056 .52283 .22806 Metetra
.648 .851 .978 r
.52283 .22806 .52639 .23056 .53295 .22791 .52941 .22568 Metetra
.673 .876 .975 r
.52941 .22568 .53295 .22791 .53953 .22655 .536 .22292 Metetra
.658 .784 .941 r
.536 .22292 .53953 .22655 .54614 .22697 .5426 .2206 Metetra
.585 .621 .854 r
.5426 .2206 .54614 .22697 .55279 .22892 .54923 .21948 Metetra
.513 .495 .774 r
.54923 .21948 .55279 .22892 .55949 .23146 .5559 .21991 Metetra
.47 .431 .733 r
.5559 .21991 .55949 .23146 .56621 .23326 .56261 .22157 Metetra
.457 .421 .731 r
.56261 .22157 .56621 .23326 .57294 .23313 .56936 .22355 Metetra
.479 .474 .774 r
.56936 .22355 .57294 .23313 .57965 .23053 .57614 .22467 Metetra
.557 .631 .88 r
.57614 .22467 .57965 .23053 .58633 .22583 .58291 .22395 Metetra
.668 .902 .978 r
.58291 .22395 .58633 .22583 .593 .22018 .58965 .22102 Metetra
.626 .957 .804 r
.58965 .22102 .593 .22018 .59968 .21499 .59637 .21632 Metetra
.641 .951 .746 r
.59637 .21632 .59968 .21499 .60641 .21139 .60308 .21089 Metetra
.767 .985 .902 r
.60308 .21089 .60641 .21139 .61321 .20972 .6098 .20593 Metetra
.73 .804 .91 r
.6098 .20593 .61321 .20972 .62007 .20948 .61657 .20233 Metetra
.627 .62 .824 r
.61657 .20233 .62007 .20948 .62696 .20949 .6234 .20029 Metetra
.574 .539 .778 r
.6234 .20029 .62696 .20949 .63385 .20848 .63029 .19933 Metetra
.57 .538 .78 r
.63029 .19933 .63385 .20848 .64069 .20552 .6372 .19844 Metetra
.618 .619 .83 r
.6372 .19844 .64069 .20552 .64745 .20043 .64411 .19662 Metetra
.72 .804 .917 r
.64411 .19662 .64745 .20043 .65415 .19379 .65096 .19317 Metetra
.774 .986 .899 r
.65096 .19317 .65415 .19379 .66083 .18665 .65775 .18804 Metetra
.681 .957 .715 r
.65775 .18804 .66083 .18665 .66753 .18011 .6645 .18177 Metetra
.668 .943 .679 r
.6645 .18177 .66753 .18011 .6743 .17492 .67123 .17523 Metetra
.764 .996 .822 r
.67123 .17523 .6743 .17492 .68115 .1713 .67799 .16927 Metetra
.792 .929 .924 r
.67799 .16927 .68115 .1713 .68809 .16891 .68481 .16447 Metetra
.719 .773 .895 r
.68481 .16447 .68809 .16891 .69507 .1671 .69171 .16093 Metetra
.656 .671 .852 r
.69171 .16093 .69507 .1671 .70207 .16516 .69868 .15837 Metetra
.632 .637 .838 r
.69868 .15837 .70207 .16516 .70905 .16259 .70569 .15624 Metetra
.639 .657 .851 r
.70569 .15624 .70905 .16259 .71599 .15923 .71272 .15401 Metetra
.67 .718 .885 r
.71272 .15401 .71599 .15923 .72291 .15523 .71973 .1513 Metetra
.708 .801 .922 r
.71973 .1513 .72291 .15523 .72982 .15096 .72672 .148 Metetra
.735 .868 .943 r
.72672 .148 .72982 .15096 .73674 .14682 .7337 .14424 Metetra
.743 .895 .948 r
.7337 .14424 .73674 .14682 .74371 .14311 .74067 .14031 Metetra
.736 .881 .947 r
.74067 .14031 .74371 .14311 .75074 .13995 .74766 .1365 Metetra
.718 .835 .937 r
.74766 .1365 .75074 .13995 .75782 .13731 .75469 .13304 Metetra
.691 .779 .918 r
.75469 .13304 .75782 .13731 .76494 .13499 .76177 .13 Metetra
.666 .731 .898 r
.76177 .13 .76494 .13499 .77209 .1328 .7689 .12733 Metetra
.637 .772 .945 r
.13517 .35394 .13935 .35711 .14495 .35563 .14081 .3522 Metetra
.655 .762 .928 r
.14081 .3522 .14495 .35563 .15056 .35415 .14649 .35025 Metetra
.671 .739 .901 r
.14649 .35025 .15056 .35415 .15621 .3525 .1522 .34804 Metetra
.676 .713 .876 r
.1522 .34804 .15621 .3525 .1619 .35054 .15795 .34569 Metetra
.668 .693 .864 r
.15795 .34569 .1619 .35054 .16765 .34824 .1637 .34341 Metetra
.647 .688 .875 r
.1637 .34341 .16765 .34824 .17343 .34575 .16942 .34152 Metetra
.6 .703 .916 r
.16942 .34152 .17343 .34575 .17921 .34338 .17508 .34029 Metetra
.49 .732 .979 r
.17508 .34029 .17921 .34338 .18494 .34154 .18067 .33983 Metetra
.238 .696 .95 r
.18067 .33983 .18494 .34154 .19059 .34056 .1862 .34001 Metetra
0 .556 .747 r
.1862 .34001 .19059 .34056 .19616 .34055 .19174 .34044 Metetra
.028 0 0 r
.19174 .34044 .19616 .34055 .20168 .34128 .19732 .34062 Metetra
.254 .751 .903 r
.19732 .34062 .20168 .34128 .20719 .34223 .20299 .34007 Metetra
.576 .826 .992 r
.20299 .34007 .20719 .34223 .21278 .34271 .20878 .33862 Metetra
.664 .733 .901 r
.20878 .33862 .21278 .34271 .21848 .34216 .21464 .33646 Metetra
.659 .661 .841 r
.21464 .33646 .21848 .34216 .22432 .34039 .22054 .33419 Metetra
.625 .629 .835 r
.22054 .33419 .22432 .34039 .23026 .33776 .22639 .33251 Metetra
.545 .634 .89 r
.22639 .33251 .23026 .33776 .23621 .33504 .23214 .33202 Metetra
.266 .631 .962 r
.23214 .33202 .23621 .33504 .24211 .33313 .23779 .33281 Metetra
.324 0 0 r
.23779 .33281 .24211 .33313 .24788 .33269 .2434 .33447 Metetra
.461 0 0 r
.2434 .33447 .24788 .33269 .25355 .33379 .24903 .33608 Metetra
.354 0 0 r
.24903 .33608 .25355 .33379 .25916 .3358 .25478 .33663 Metetra
.168 .702 .716 r
.25478 .33663 .25916 .3358 .26482 .33761 .2607 .33536 Metetra
.732 .858 .94 r
.2607 .33536 .26482 .33761 .27062 .33799 .26681 .33212 Metetra
.745 .689 .797 r
.26681 .33212 .27062 .33799 .27661 .33616 .27304 .32742 Metetra
.717 .611 .738 r
.27304 .32742 .27661 .33616 .2828 .33209 .27931 .32224 Metetra
.692 .58 .726 r
.27931 .32224 .2828 .33209 .2891 .32648 .28554 .31756 Metetra
.671 .585 .75 r
.28554 .31756 .2891 .32648 .29543 .32055 .2917 .31405 Metetra
.651 .635 .821 r
.2917 .31405 .29543 .32055 .3017 .31544 .29777 .31175 Metetra
.619 .75 .94 r
.29777 .31175 .3017 .31544 .30787 .31182 .30381 .31014 Metetra
.574 .862 .996 r
.30381 .31014 .30787 .31182 .31395 .30965 .30987 .30839 Metetra
.657 .91 .98 r
.30987 .30839 .31395 .30965 .32 .30826 .31601 .30575 Metetra
.766 .851 .914 r
.31601 .30575 .32 .30826 .32607 .30666 .32225 .30184 Metetra
.773 .736 .819 r
.32225 .30184 .32607 .30666 .33222 .30404 .32856 .2968 Metetra
.748 .656 .76 r
.32856 .2968 .33222 .30404 .33847 .30003 .33491 .29119 Metetra
.722 .613 .735 r
.33491 .29119 .33847 .30003 .34479 .29484 .34125 .28572 Metetra
.702 .598 .738 r
.34125 .28572 .34479 .29484 .35115 .28912 .34755 .28097 Metetra
.686 .609 .764 r
.34755 .28097 .35115 .28912 .35749 .28365 .3538 .27721 Metetra
.674 .649 .817 r
.3538 .27721 .35749 .28365 .36379 .27905 .36002 .27436 Metetra
.664 .715 .886 r
.36002 .27436 .36379 .27905 .37004 .27554 .36621 .27205 Metetra
.657 .778 .938 r
.36621 .27205 .37004 .27554 .37625 .27297 .37241 .26988 Metetra
.669 .806 .948 r
.37241 .26988 .37625 .27297 .38245 .27094 .37864 .26752 Metetra
.692 .792 .927 r
.37864 .26752 .38245 .27094 .38866 .26897 .3849 .26483 Metetra
.704 .756 .892 r
.3849 .26483 .38866 .26897 .3949 .2667 .39118 .26185 Metetra
.702 .722 .865 r
.39118 .26185 .3949 .2667 .40117 .264 .39747 .25874 Metetra
.695 .703 .853 r
.39747 .25874 .40117 .264 .40747 .26093 .40378 .25569 Metetra
.687 .701 .857 r
.40378 .25569 .40747 .26093 .41379 .25774 .41009 .25282 Metetra
.678 .712 .874 r
.41009 .25282 .41379 .25774 .42011 .25468 .41641 .25018 Metetra
.669 .73 .895 r
.41641 .25018 .42011 .25468 .42643 .25197 .42273 .24778 Metetra
.658 .742 .912 r
.42273 .24778 .42643 .25197 .43275 .24968 .42905 .24556 Metetra
.647 .744 .92 r
.42905 .24556 .43275 .24968 .43908 .24774 .43539 .2435 Metetra
.639 .735 .918 r
.43539 .2435 .43908 .24774 .44542 .24597 .44174 .24157 Metetra
.634 .725 .913 r
.44174 .24157 .44542 .24597 .45178 .24411 .44811 .23969 Metetra
.636 .725 .912 r
.44811 .23969 .45178 .24411 .45816 .24198 .4545 .23778 Metetra
.645 .74 .918 r
.4545 .23778 .45816 .24198 .46456 .2395 .4609 .23573 Metetra
.66 .77 .931 r
.4609 .23573 .46456 .2395 .47098 .2368 .46732 .23344 Metetra
.675 .799 .941 r
.46732 .23344 .47098 .2368 .47741 .23419 .47377 .23092 Metetra
.68 .807 .943 r
.47377 .23092 .47741 .23419 .48385 .23203 .48023 .22831 Metetra
.668 .778 .932 r
.48023 .22831 .48385 .23203 .4903 .23063 .4867 .2259 Metetra
.634 .711 .902 r
.4867 .2259 .4903 .23063 .49676 .23006 .49318 .22399 Metetra
.588 .632 .862 r
.49318 .22399 .49676 .23006 .50324 .23005 .49967 .22282 Metetra
.547 .571 .83 r
.49967 .22282 .50324 .23005 .50975 .23008 .50618 .2224 Metetra
.523 .544 .819 r
.50618 .2224 .50975 .23008 .51628 .22954 .51271 .22243 Metetra
.522 .562 .837 r
.51271 .22243 .51628 .22954 .52283 .22806 .51927 .22241 Metetra
.548 .632 .887 r
.51927 .22241 .52283 .22806 .52941 .22568 .52585 .22182 Metetra
.594 .747 .95 r
.52585 .22182 .52941 .22568 .536 .22292 .53245 .22034 Metetra
.636 .844 .98 r
.53245 .22034 .536 .22292 .5426 .2206 .53907 .21809 Metetra
.657 .856 .976 r
.53907 .21809 .5426 .2206 .54923 .21948 .54571 .21556 Metetra
.639 .763 .937 r
.54571 .21556 .54923 .21948 .5559 .21991 .55236 .2135 Metetra
.576 .617 .856 r
.55236 .2135 .5559 .21991 .56261 .22157 .55904 .21252 Metetra
.515 .506 .785 r
.55904 .21252 .56261 .22157 .56936 .22355 .56577 .21284 Metetra
.48 .453 .75 r
.56577 .21284 .56936 .22355 .57614 .22467 .57254 .2141 Metetra
.475 .453 .753 r
.57254 .2141 .57614 .22467 .58291 .22395 .57934 .21545 Metetra
.507 .517 .801 r
.57934 .21545 .58291 .22395 .58965 .22102 .58615 .21585 Metetra
.592 .68 .902 r
.58615 .21585 .58965 .22102 .59637 .21632 .59296 .21452 Metetra
.69 .915 .971 r
.59296 .21452 .59637 .21632 .60308 .21089 .59974 .21127 Metetra
.677 .977 .85 r
.59974 .21127 .60308 .21089 .6098 .20593 .6065 .20654 Metetra
.702 .983 .822 r
.6065 .20654 .6098 .20593 .61657 .20233 .61324 .20126 Metetra
.777 .969 .921 r
.61324 .20126 .61657 .20233 .6234 .20029 .62 .19646 Metetra
.732 .805 .91 r
.62 .19646 .6234 .20029 .63029 .19933 .62681 .1928 Metetra
.647 .652 .84 r
.62681 .1928 .63029 .19933 .6372 .19844 .63368 .19039 Metetra
.603 .584 .804 r
.63368 .19039 .6372 .19844 .64411 .19662 .64059 .18878 Metetra
.605 .591 .81 r
.64059 .18878 .64411 .19662 .65096 .19317 .64753 .18713 Metetra
.654 .674 .857 r
.64753 .18713 .65096 .19317 .65775 .18804 .65444 .18464 Metetra
.74 .836 .924 r
.65444 .18464 .65775 .18804 .6645 .18177 .66132 .18084 Metetra
.782 .979 .909 r
.66132 .18084 .6645 .18177 .67123 .17523 .66815 .17576 Metetra
.739 .99 .804 r
.66815 .17576 .67123 .17523 .67799 .16927 .67494 .16986 Metetra
.739 .989 .796 r
.67494 .16986 .67799 .16927 .68481 .16447 .68172 .16385 Metetra
.787 .99 .886 r
.68172 .16385 .68481 .16447 .69171 .16093 .68854 .15841 Metetra
.776 .9 .929 r
.68854 .15841 .69171 .16093 .69868 .15837 .69542 .15393 Metetra
.714 .774 .9 r
.69542 .15393 .69868 .15837 .70569 .15624 .70236 .15048 Metetra
.665 .693 .866 r
.70236 .15048 .70569 .15624 .71272 .15401 .70937 .14778 Metetra
.645 .666 .855 r
.70937 .14778 .71272 .15401 .71973 .1513 .71642 .14542 Metetra
.651 .683 .867 r
.71642 .14542 .71973 .1513 .72672 .148 .72347 .14297 Metetra
.675 .732 .893 r
.72347 .14297 .72672 .148 .7337 .14424 .73053 .14017 Metetra
.703 .794 .921 r
.73053 .14017 .7337 .14424 .74067 .14031 .73757 .13694 Metetra
.722 .842 .938 r
.73757 .13694 .74067 .14031 .74766 .1365 .7446 .13339 Metetra
.728 .861 .944 r
.7446 .13339 .74766 .1365 .75469 .13304 .75163 .12973 Metetra
.721 .847 .942 r
.75163 .12973 .75469 .13304 .76177 .13 .75869 .12618 Metetra
.705 .812 .932 r
.75869 .12618 .76177 .13 .7689 .12733 .76578 .1229 Metetra
.667 .741 .905 r
.13106 .35009 .13517 .35394 .14081 .3522 .13676 .34795 Metetra
.672 .722 .887 r
.13676 .34795 .14081 .3522 .14649 .35025 .14247 .34569 Metetra
.667 .706 .877 r
.14247 .34569 .14649 .35025 .1522 .34804 .1482 .34348 Metetra
.65 .702 .884 r
.1482 .34348 .1522 .34804 .15795 .34569 .1539 .34155 Metetra
.616 .713 .915 r
.1539 .34155 .15795 .34569 .1637 .34341 .15956 .34012 Metetra
.544 .739 .966 r
.15956 .34012 .1637 .34341 .16942 .34152 .16516 .33929 Metetra
.401 .752 .994 r
.16516 .33929 .16942 .34152 .17508 .34029 .17072 .339 Metetra
.221 .707 .928 r
.17072 .339 .17508 .34029 .18067 .33983 .17627 .33898 Metetra
.178 .697 .883 r
.17627 .33898 .18067 .33983 .1862 .34001 .18185 .33885 Metetra
.343 .784 .962 r
.18185 .33885 .1862 .34001 .19174 .34044 .1875 .33824 Metetra
.555 .816 .994 r
.1875 .33824 .19174 .34044 .19732 .34062 .19324 .33697 Metetra
.641 .751 .929 r
.19324 .33697 .19732 .34062 .20299 .34007 .19905 .33515 Metetra
.647 .688 .875 r
.19905 .33515 .20299 .34007 .20878 .33862 .20489 .33321 Metetra
.617 .657 .866 r
.20489 .33321 .20878 .33862 .21464 .33646 .2107 .33173 Metetra
.544 .659 .911 r
.2107 .33173 .21464 .33646 .22054 .33419 .21643 .33117 Metetra
.316 .659 .972 r
.21643 .33117 .22054 .33419 .22639 .33251 .22207 .3317 Metetra
.191 0 0 r
.22207 .3317 .22639 .33251 .23214 .33202 .22766 .33301 Metetra
.397 0 0 r
.22766 .33301 .23214 .33202 .23779 .33281 .23327 .33442 Metetra
.323 0 0 r
.23327 .33442 .23779 .33281 .2434 .33447 .23898 .33506 Metetra
.099 .653 .704 r
.23898 .33506 .2434 .33447 .24903 .33608 .24484 .33425 Metetra
.669 .875 .976 r
.24484 .33425 .24903 .33608 .25478 .33663 .25086 .33176 Metetra
.734 .722 .84 r
.25086 .33176 .25478 .33663 .2607 .33536 .25701 .32793 Metetra
.715 .636 .768 r
.25701 .32793 .2607 .33536 .26681 .33212 .26321 .32349 Metetra
.693 .601 .749 r
.26321 .32349 .26681 .33212 .27304 .32742 .2694 .31931 Metetra
.674 .602 .768 r
.2694 .31931 .27304 .32742 .27931 .32224 .27553 .31599 Metetra
.655 .645 .828 r
.27553 .31599 .27931 .32224 .28554 .31756 .28159 .31365 Metetra
.631 .741 .927 r
.28159 .31365 .28554 .31756 .2917 .31405 .28762 .31189 Metetra
.61 .844 .988 r
.28762 .31189 .2917 .31405 .29777 .31175 .29368 .31004 Metetra
.673 .887 .976 r
.29368 .31004 .29777 .31175 .30381 .31014 .2998 .30741 Metetra
.759 .837 .911 r
.2998 .30741 .30381 .31014 .30987 .30839 .30602 .30362 Metetra
.769 .737 .824 r
.30602 .30362 .30987 .30839 .31601 .30575 .31231 .29875 Metetra
.748 .662 .766 r
.31231 .29875 .31601 .30575 .32225 .30184 .31866 .29327 Metetra
.725 .619 .739 r
.31866 .29327 .32225 .30184 .32856 .2968 .325 .28781 Metetra
.706 .603 .739 r
.325 .28781 .32856 .2968 .33491 .29119 .3313 .28295 Metetra
.692 .61 .76 r
.3313 .28295 .33491 .29119 .34125 .28572 .33756 .27897 Metetra
.682 .643 .805 r
.33756 .27897 .34125 .28572 .34755 .28097 .34377 .27584 Metetra
.675 .698 .864 r
.34377 .27584 .34755 .28097 .3538 .27721 .34997 .27325 Metetra
.674 .755 .912 r
.34997 .27325 .3538 .27721 .36002 .27436 .35617 .27083 Metetra
.685 .783 .925 r
.35617 .27083 .36002 .27436 .36621 .27205 .36239 .26824 Metetra
.701 .772 .907 r
.36239 .26824 .36621 .27205 .37241 .26988 .36863 .26536 Metetra
.708 .738 .875 r
.36863 .26536 .37241 .26988 .37864 .26752 .37491 .26221 Metetra
.702 .703 .847 r
.37491 .26221 .37864 .26752 .3849 .26483 .38119 .25898 Metetra
.691 .679 .833 r
.38119 .25898 .3849 .26483 .39118 .26185 .38749 .25586 Metetra
.679 .669 .834 r
.38749 .25586 .39118 .26185 .39747 .25874 .39378 .25299 Metetra
.668 .674 .846 r
.39378 .25299 .39747 .25874 .40378 .25569 .40007 .2504 Metetra
.661 .691 .867 r
.40007 .2504 .40378 .25569 .41009 .25282 .40637 .24804 Metetra
.658 .713 .888 r
.40637 .24804 .41009 .25282 .41641 .25018 .41268 .24578 Metetra
.66 .733 .903 r
.41268 .24578 .41641 .25018 .42273 .24778 .41901 .24352 Metetra
.664 .742 .908 r
.41901 .24352 .42273 .24778 .42905 .24556 .42535 .24119 Metetra
.667 .738 .903 r
.42535 .24119 .42905 .24556 .43539 .2435 .4317 .2388 Metetra
.665 .721 .891 r
.4317 .2388 .43539 .2435 .44174 .24157 .43808 .23642 Metetra
.656 .697 .877 r
.43808 .23642 .44174 .24157 .44811 .23969 .44446 .23414 Metetra
.644 .676 .866 r
.44446 .23414 .44811 .23969 .4545 .23778 .45086 .23204 Metetra
.634 .664 .862 r
.45086 .23204 .4545 .23778 .4609 .23573 .45726 .2301 Metetra
.631 .668 .867 r
.45726 .2301 .4609 .23573 .46732 .23344 .46369 .22823 Metetra
.636 .688 .882 r
.46369 .22823 .46732 .23344 .47377 .23092 .47013 .22629 Metetra
.648 .721 .902 r
.47013 .22629 .47377 .23092 .48023 .22831 .47659 .22416 Metetra
.661 .752 .917 r
.47659 .22416 .48023 .22831 .4867 .2259 .48307 .22183 Metetra
.665 .759 .92 r
.48307 .22183 .4867 .2259 .49318 .22399 .48957 .21945 Metetra
.651 .729 .906 r
.48957 .21945 .49318 .22399 .49967 .22282 .49608 .21726 Metetra
.618 .668 .876 r
.49608 .21726 .49967 .22282 .50618 .2224 .5026 .21558 Metetra
.577 .601 .84 r
.5026 .21558 .50618 .2224 .51271 .22243 .50914 .21461 Metetra
.541 .551 .814 r
.50914 .21461 .51271 .22243 .51927 .22241 .51569 .21431 Metetra
.522 .533 .808 r
.51569 .21431 .51927 .22241 .52585 .22182 .52227 .21439 Metetra
.523 .554 .828 r
.52227 .21439 .52585 .22182 .53245 .22034 .52888 .21437 Metetra
.549 .62 .876 r
.52888 .21437 .53245 .22034 .53907 .21809 .53552 .21378 Metetra
.592 .722 .934 r
.53552 .21378 .53907 .21809 .54571 .21556 .54217 .21238 Metetra
.631 .806 .967 r
.54217 .21238 .54571 .21556 .55236 .2135 .54883 .21031 Metetra
.647 .811 .962 r
.54883 .21031 .55236 .2135 .55904 .21252 .55552 .20803 Metetra
.624 .727 .921 r
.55552 .20803 .55904 .21252 .56577 .21284 .56222 .2062 Metetra
.57 .607 .851 r
.56222 .2062 .56577 .21284 .57254 .2141 .56896 .20531 Metetra
.521 .517 .792 r
.56896 .20531 .57254 .2141 .57934 .21545 .57574 .20546 Metetra
.496 .476 .765 r
.57574 .20546 .57934 .21545 .58615 .21585 .58256 .20626 Metetra
.499 .487 .775 r
.58256 .20626 .58615 .21585 .59296 .21452 .58941 .20694 Metetra
.539 .562 .826 r
.58941 .20694 .59296 .21452 .59974 .21127 .59626 .20664 Metetra
.626 .724 .918 r
.59626 .20664 .59974 .21127 .6065 .20654 .6031 .20474 Metetra
.712 .922 .964 r
.6031 .20474 .6065 .20654 .61324 .20126 .60992 .20118 Metetra
.717 .986 .884 r
.60992 .20118 .61324 .20126 .62 .19646 .61671 .19642 Metetra
.743 .992 .873 r
.61671 .19642 .62 .19646 .62681 .1928 .62349 .19127 Metetra
.781 .95 .929 r
.62349 .19127 .62681 .1928 .63368 .19039 .63029 .18657 Metetra
.735 .809 .91 r
.63029 .18657 .63368 .19039 .64059 .18878 .63714 .18282 Metetra
.667 .684 .856 r
.63714 .18282 .64059 .18878 .64753 .18713 .64404 .18007 Metetra
.633 .629 .829 r
.64404 .18007 .64753 .18713 .65444 .18464 .65098 .17788 Metetra
.639 .642 .837 r
.65098 .17788 .65444 .18464 .66132 .18084 .65793 .1756 Metetra
.684 .723 .879 r
.65793 .1756 .66132 .18084 .66815 .17576 .66486 .17261 Metetra
.752 .857 .927 r
.66486 .17261 .66815 .17576 .67494 .16986 .67177 .16858 Metetra
.785 .968 .919 r
.67177 .16858 .67494 .16986 .68172 .16385 .67863 .16359 Metetra
.771 .995 .867 r
.67863 .16359 .68172 .16385 .68854 .15841 .68547 .15805 Metetra
.774 .995 .871 r
.68547 .15805 .68854 .15841 .69542 .15393 .69231 .15253 Metetra
.788 .964 .919 r
.69231 .15253 .69542 .15393 .70236 .15048 .69919 .14753 Metetra
.76 .875 .93 r
.69919 .14753 .70236 .15048 .70937 .14778 .70612 .14333 Metetra
.709 .774 .903 r
.70612 .14333 .70937 .14778 .71642 .14542 .71311 .13995 Metetra
.671 .71 .878 r
.71311 .13995 .71642 .14542 .72347 .14297 .72016 .13717 Metetra
.655 .689 .87 r
.72016 .13717 .72347 .14297 .73053 .14017 .72724 .13463 Metetra
.66 .703 .879 r
.72724 .13463 .73053 .14017 .73757 .13694 .73434 .13204 Metetra
.677 .741 .899 r
.73434 .13204 .73757 .13694 .7446 .13339 .74143 .12918 Metetra
.697 .787 .92 r
.74143 .12918 .7446 .13339 .75163 .12973 .74852 .12602 Metetra
.711 .821 .933 r
.74852 .12602 .75163 .12973 .75869 .12618 .75561 .12264 Metetra
.714 .832 .938 r
.75561 .12264 .75869 .12618 .76578 .1229 .7627 .11919 Metetra
.666 .716 .886 r
.127 .34575 .13106 .35009 .13676 .34795 .1327 .34359 Metetra
.653 .712 .891 r
.1327 .34359 .13676 .34795 .14247 .34569 .13838 .34163 Metetra
.628 .721 .914 r
.13838 .34163 .14247 .34569 .1482 .34348 .14404 .34004 Metetra
.58 .742 .953 r
.14404 .34004 .1482 .34348 .1539 .34155 .14965 .33891 Metetra
.496 .765 .991 r
.14965 .33891 .1539 .34155 .15956 .34012 .15523 .33823 Metetra
.389 .768 .991 r
.15523 .33823 .15956 .34012 .16516 .33929 .16079 .33782 Metetra
.344 .769 .974 r
.16079 .33782 .16516 .33929 .17072 .339 .16638 .33739 Metetra
.422 .8 .992 r
.16638 .33739 .17072 .339 .17627 .33898 .17201 .33667 Metetra
.549 .807 .993 r
.17201 .33667 .17627 .33898 .18185 .33885 .17772 .33548 Metetra
.621 .761 .946 r
.17772 .33548 .18185 .33885 .1875 .33824 .18348 .33388 Metetra
.633 .711 .903 r
.18348 .33388 .1875 .33824 .19324 .33697 .18927 .33219 Metetra
.609 .682 .894 r
.18927 .33219 .19324 .33697 .19905 .33515 .19504 .33083 Metetra
.543 .681 .929 r
.19504 .33083 .19905 .33515 .20489 .33321 .20075 .3302 Metetra
.359 .682 .979 r
.20075 .3302 .20489 .33321 .2107 .33173 .20638 .33049 Metetra
0 .518 .783 r
.20638 .33049 .2107 .33173 .21643 .33117 .21197 .33148 Metetra
.306 0 0 r
.21197 .33148 .21643 .33117 .22207 .3317 .21756 .33267 Metetra
.276 0 0 r
.21756 .33267 .22207 .3317 .22766 .33301 .22322 .33335 Metetra
.056 .621 .707 r
.22322 .33335 .22766 .33301 .23327 .33442 .22902 .3329 Metetra
.585 .872 .994 r
.22902 .3329 .23327 .33442 .23898 .33506 .23496 .33106 Metetra
.712 .755 .886 r
.23496 .33106 .23898 .33506 .24484 .33425 .24102 .32801 Metetra
.709 .665 .805 r
.24102 .32801 .24484 .33425 .25086 .33176 .24716 .3243 Metetra
.692 .625 .777 r
.24716 .3243 .25086 .33176 .25701 .32793 .25329 .32066 Metetra
.674 .622 .79 r
.25329 .32066 .25701 .32793 .26321 .32349 .25938 .3176 Metetra
.656 .658 .84 r
.25938 .3176 .26321 .32349 .2694 .31931 .26543 .31531 Metetra
.636 .737 .922 r
.26543 .31531 .2694 .31931 .27553 .31599 .27144 .3135 Metetra
.624 .826 .978 r
.27144 .3135 .27553 .31599 .28159 .31365 .27748 .31162 Metetra
.676 .868 .972 r
.27748 .31162 .28159 .31365 .28762 .31189 .28358 .30905 Metetra
.749 .829 .913 r
.28358 .30905 .28762 .31189 .29368 .31004 .28977 .30544 Metetra
.765 .743 .833 r
.28977 .30544 .29368 .31004 .2998 .30741 .29605 .3008 Metetra
.75 .672 .775 r
.29605 .3008 .2998 .30741 .30602 .30362 .30238 .29551 Metetra
.729 .63 .748 r
.30238 .29551 .30602 .30362 .31231 .29875 .30872 .29013 Metetra
.712 .612 .744 r
.30872 .29013 .31231 .29875 .31866 .29327 .31502 .28521 Metetra
.699 .618 .762 r
.31502 .28521 .31866 .29327 .325 .28781 .32129 .28105 Metetra
.69 .646 .801 r
.32129 .28105 .325 .28781 .3313 .28295 .3275 .27767 Metetra
.686 .696 .854 r
.3275 .27767 .3313 .28295 .33756 .27897 .3337 .27484 Metetra
.686 .75 .9 r
.3337 .27484 .33756 .27897 .34377 .27584 .33989 .27221 Metetra
.694 .78 .917 r
.33989 .27221 .34377 .27584 .34997 .27325 .3461 .26948 Metetra
.707 .775 .905 r
.3461 .26948 .34997 .27325 .35617 .27083 .35234 .2665 Metetra
.713 .749 .88 r
.35234 .2665 .35617 .27083 .36239 .26824 .3586 .26329 Metetra
.71 .72 .857 r
.3586 .26329 .36239 .26824 .36863 .26536 .36488 .25999 Metetra
.701 .7 .846 r
.36488 .25999 .36863 .26536 .37491 .26221 .37116 .25678 Metetra
.69 .694 .849 r
.37116 .25678 .37491 .26221 .38119 .25898 .37745 .2538 Metetra
.679 .701 .864 r
.37745 .2538 .38119 .25898 .38749 .25586 .38373 .25111 Metetra
.668 .717 .885 r
.38373 .25111 .38749 .25586 .39378 .25299 .39001 .24868 Metetra
.66 .737 .907 r
.39001 .24868 .39378 .25299 .40007 .2504 .3963 .24642 Metetra
.656 .754 .922 r
.3963 .24642 .40007 .2504 .40637 .24804 .4026 .24423 Metetra
.657 .765 .929 r
.4026 .24423 .40637 .24804 .41268 .24578 .40892 .24202 Metetra
.662 .769 .929 r
.40892 .24202 .41268 .24578 .41901 .24352 .41525 .23972 Metetra
.669 .77 .926 r
.41525 .23972 .41901 .24352 .42535 .24119 .42161 .23733 Metetra
.674 .768 .922 r
.42161 .23733 .42535 .24119 .4317 .2388 .42798 .23484 Metetra
.675 .764 .918 r
.42798 .23484 .4317 .2388 .43808 .23642 .43436 .23233 Metetra
.672 .756 .914 r
.43436 .23233 .43808 .23642 .44446 .23414 .44076 .22984 Metetra
.665 .743 .909 r
.44076 .22984 .44446 .23414 .45086 .23204 .44717 .22748 Metetra
.653 .726 .903 r
.44717 .22748 .45086 .23204 .45726 .2301 .45359 .22529 Metetra
.64 .709 .897 r
.45359 .22529 .45726 .2301 .46369 .22823 .46003 .22329 Metetra
.63 .7 .896 r
.46003 .22329 .46369 .22823 .47013 .22629 .46648 .22144 Metetra
.628 .704 .9 r
.46648 .22144 .47013 .22629 .47659 .22416 .47294 .21962 Metetra
.634 .722 .911 r
.47294 .21962 .47659 .22416 .48307 .22183 .47942 .2177 Metetra
.645 .749 .925 r
.47942 .2177 .48307 .22183 .48957 .21945 .48593 .2156 Metetra
.656 .77 .933 r
.48593 .2156 .48957 .21945 .49608 .21726 .49245 .21333 Metetra
.656 .765 .93 r
.49245 .21333 .49608 .21726 .5026 .21558 .49899 .21105 Metetra
.64 .727 .912 r
.49899 .21105 .5026 .21558 .50914 .21461 .50554 .20902 Metetra
.606 .663 .879 r
.50554 .20902 .50914 .21461 .51569 .21431 .51211 .20752 Metetra
.567 .598 .844 r
.51211 .20752 .51569 .21431 .52227 .21439 .51869 .20669 Metetra
.535 .553 .82 r
.51869 .20669 .52227 .21439 .52888 .21437 .5253 .20648 Metetra
.519 .538 .816 r
.5253 .20648 .52888 .21437 .53552 .21378 .53194 .20656 Metetra
.523 .562 .836 r
.53194 .20656 .53552 .21378 .54217 .21238 .5386 .2065 Metetra
.549 .626 .881 r
.5386 .2065 .54217 .21238 .54883 .21031 .54528 .20587 Metetra
.59 .716 .931 r
.54528 .20587 .54883 .21031 .55552 .20803 .55198 .2045 Metetra
.624 .784 .958 r
.55198 .2045 .55552 .20803 .56222 .2062 .5587 .20255 Metetra
.636 .781 .951 r
.5587 .20255 .56222 .2062 .56896 .20531 .56543 .20045 Metetra
.615 .706 .91 r
.56543 .20045 .56896 .20531 .57574 .20546 .57219 .19876 Metetra
.57 .607 .85 r
.57219 .19876 .57574 .20546 .58256 .20626 .57898 .19784 Metetra
.532 .534 .803 r
.57898 .19784 .58256 .20626 .58941 .20694 .58581 .19773 Metetra
.515 .506 .784 r
.58581 .19773 .58941 .20694 .59626 .20664 .59268 .19802 Metetra
.527 .527 .799 r
.59268 .19802 .59626 .20664 .6031 .20474 .59957 .19802 Metetra
.574 .61 .851 r
.59957 .19802 .6031 .20474 .60992 .20118 .60646 .19702 Metetra
.658 .765 .929 r
.60646 .19702 .60992 .20118 .61671 .19642 .61333 .1946 Metetra
.73 .927 .956 r
.61333 .1946 .61671 .19642 .62349 .19127 .62018 .19077 Metetra
.745 .984 .905 r
.62018 .19077 .62349 .19127 .63029 .18657 .627 .18597 Metetra
.767 .986 .901 r
.627 .18597 .63029 .18657 .63714 .18282 .63382 .18092 Metetra
.782 .932 .931 r
.63382 .18092 .63714 .18282 .64404 .18007 .64067 .17628 Metetra
.739 .815 .911 r
.64067 .17628 .64404 .18007 .65098 .17788 .64755 .17243 Metetra
.686 .715 .871 r
.64755 .17243 .65098 .17788 .65793 .1756 .65448 .16937 Metetra
.659 .672 .851 r
.65448 .16937 .65793 .1756 .66486 .17261 .66144 .16671 Metetra
.668 .689 .861 r
.66144 .16671 .66486 .17261 .67177 .16858 .66841 .16393 Metetra
.707 .761 .895 r
.66841 .16393 .67177 .16858 .67863 .16359 .67537 .16056 Metetra
.758 .868 .929 r
.67537 .16056 .67863 .16359 .68547 .15805 .6823 .15641 Metetra
.784 .952 .927 r
.6823 .15641 .68547 .15805 .69231 .15253 .68921 .15156 Metetra
.783 .981 .905 r
.68921 .15156 .69231 .15253 .69919 .14753 .6961 .14637 Metetra
.783 .975 .913 r
.6961 .14637 .69919 .14753 .70612 .14333 .703 .14127 Metetra
.777 .932 .934 r
.703 .14127 .70612 .14333 .71311 .13995 .70994 .13665 Metetra
.745 .852 .929 r
.70994 .13665 .71311 .13995 .72016 .13717 .71692 .13269 Metetra
.704 .773 .906 r
.71692 .13269 .72016 .13717 .72724 .13463 .72397 .12938 Metetra
.674 .724 .887 r
.72397 .12938 .72724 .13463 .73434 .13204 .73106 .12653 Metetra
.662 .707 .881 r
.73106 .12653 .73434 .13204 .74143 .12918 .73818 .12388 Metetra
.665 .718 .888 r
.73818 .12388 .74143 .12918 .74852 .12602 .74531 .12118 Metetra
.678 .747 .903 r
.74531 .12118 .74852 .12602 .75561 .12264 .75245 .1183 Metetra
.692 .78 .918 r
.75245 .1183 .75561 .12264 .7627 .11919 .75959 .1152 Metetra
.637 .726 .913 r
.12287 .34174 .127 .34575 .1327 .34359 .12852 .34003 Metetra
.604 .743 .942 r
.12852 .34003 .1327 .34359 .13838 .34163 .13414 .33867 Metetra
.553 .765 .976 r
.13414 .33867 .13838 .34163 .14404 .34004 .13973 .33768 Metetra
.49 .782 .997 r
.13973 .33768 .14404 .34004 .14965 .33891 .1453 .33693 Metetra
.454 .791 .999 r
.1453 .33693 .14965 .33891 .15523 .33823 .15089 .33622 Metetra
.484 .803 1 r
.15089 .33622 .15523 .33823 .16079 .33782 .15652 .33535 Metetra
.555 .799 .989 r
.15652 .33535 .16079 .33782 .16638 .33739 .16219 .33417 Metetra
.607 .767 .956 r
.16219 .33417 .16638 .33739 .17201 .33667 .16792 .3327 Metetra
.621 .728 .923 r
.16792 .3327 .17201 .33667 .17772 .33548 .17367 .33116 Metetra
.601 .703 .915 r
.17367 .33116 .17772 .33548 .18348 .33388 .1794 .32987 Metetra
.544 .699 .941 r
.1794 .32987 .18348 .33388 .18927 .33219 .18509 .32917 Metetra
.398 .701 .983 r
.18509 .32917 .18927 .33219 .19504 .33083 .19071 .32923 Metetra
.084 .604 .88 r
.19071 .32923 .19504 .33083 .20075 .3302 .19629 .32992 Metetra
.189 0 0 r
.19629 .32992 .20075 .3302 .20638 .33049 .20187 .33088 Metetra
.208 0 0 r
.20187 .33088 .20638 .33049 .21197 .33148 .2075 .33153 Metetra
.039 .609 .728 r
.2075 .33153 .21197 .33148 .21756 .33267 .21324 .33134 Metetra
.49 .848 .992 r
.21324 .33134 .21756 .33267 .22322 .33335 .2191 .33003 Metetra
.676 .785 .932 r
.2191 .33003 .22322 .33335 .22902 .3329 .22508 .32767 Metetra
.696 .696 .846 r
.22508 .32767 .22902 .3329 .23496 .33106 .23114 .32466 Metetra
.686 .652 .811 r
.23114 .32466 .23496 .33106 .24102 .32801 .23721 .32156 Metetra
.67 .645 .816 r
.23721 .32156 .24102 .32801 .24716 .3243 .24326 .31883 Metetra
.653 .673 .857 r
.24326 .31883 .24716 .3243 .25329 .32066 .24928 .31666 Metetra
.634 .737 .923 r
.24928 .31666 .25329 .32066 .25938 .3176 .25527 .31487 Metetra
.627 .812 .971 r
.25527 .31487 .25938 .3176 .26543 .31531 .26128 .31302 Metetra
.671 .85 .968 r
.26128 .31302 .26543 .31531 .27144 .3135 .26736 .31057 Metetra
.737 .822 .917 r
.26736 .31057 .27144 .3135 .27748 .31162 .27353 .30717 Metetra
.759 .748 .843 r
.27353 .30717 .27748 .31162 .28358 .30905 .27978 .3028 Metetra
.749 .682 .786 r
.27978 .3028 .28358 .30905 .28977 .30544 .28609 .29773 Metetra
.732 .64 .756 r
.28609 .29773 .28977 .30544 .29605 .3008 .29242 .29248 Metetra
.716 .62 .749 r
.29242 .29248 .29605 .3008 .30238 .29551 .29873 .28754 Metetra
.705 .622 .762 r
.29873 .28754 .30238 .29551 .30872 .29013 .30499 .28323 Metetra
.697 .645 .794 r
.30499 .28323 .30872 .29013 .31502 .28521 .31122 .27961 Metetra
.694 .687 .838 r
.31122 .27961 .31502 .28521 .32129 .28105 .31741 .27651 Metetra
.695 .732 .879 r
.31741 .27651 .32129 .28105 .3275 .27767 .32361 .27363 Metetra
.702 .759 .896 r
.32361 .27363 .3275 .27767 .3337 .27484 .32982 .2707 Metetra
.712 .757 .888 r
.32982 .2707 .3337 .27484 .33989 .27221 .33605 .26757 Metetra
.715 .734 .866 r
.33605 .26757 .33989 .27221 .3461 .26948 .34231 .26424 Metetra
.71 .708 .846 r
.34231 .26424 .3461 .26948 .35234 .2665 .34858 .26085 Metetra
.701 .689 .835 r
.34858 .26085 .35234 .2665 .3586 .26329 .35485 .25755 Metetra
.69 .682 .837 r
.35485 .25755 .3586 .26329 .36488 .25999 .36112 .25448 Metetra
.68 .688 .851 r
.36112 .25448 .36488 .25999 .37116 .25678 .36739 .25169 Metetra
.671 .703 .871 r
.36739 .25169 .37116 .25678 .37745 .2538 .37366 .24916 Metetra
.665 .722 .891 r
.37366 .24916 .37745 .2538 .38373 .25111 .37993 .24679 Metetra
.662 .738 .906 r
.37993 .24679 .38373 .25111 .39001 .24868 .38622 .24449 Metetra
.663 .745 .911 r
.38622 .24449 .39001 .24868 .3963 .24642 .39252 .24219 Metetra
.665 .744 .909 r
.39252 .24219 .3963 .24642 .4026 .24423 .39883 .23984 Metetra
.666 .737 .903 r
.39883 .23984 .4026 .24423 .40892 .24202 .40517 .23746 Metetra
.666 .729 .897 r
.40517 .23746 .40892 .24202 .41525 .23972 .41151 .23507 Metetra
.665 .724 .893 r
.41151 .23507 .41525 .23972 .42161 .23733 .41787 .23268 Metetra
.664 .725 .894 r
.41787 .23268 .42161 .23733 .42798 .23484 .42425 .2303 Metetra
.665 .731 .899 r
.42425 .2303 .42798 .23484 .43436 .23233 .43064 .22791 Metetra
.666 .738 .904 r
.43064 .22791 .43436 .23233 .44076 .22984 .43705 .22552 Metetra
.666 .743 .908 r
.43705 .22552 .44076 .22984 .44717 .22748 .44347 .22311 Metetra
.663 .741 .908 r
.44347 .22311 .44717 .22748 .45359 .22529 .4499 .22075 Metetra
.657 .73 .903 r
.4499 .22075 .45359 .22529 .46003 .22329 .45635 .21847 Metetra
.647 .713 .896 r
.45635 .21847 .46003 .22329 .46648 .22144 .46281 .21635 Metetra
.635 .696 .889 r
.46281 .21635 .46648 .22144 .47294 .21962 .46929 .21439 Metetra
.627 .687 .887 r
.46929 .21439 .47294 .21962 .47942 .2177 .47578 .21257 Metetra
.625 .691 .891 r
.47578 .21257 .47942 .2177 .48593 .2156 .48228 .21078 Metetra
.63 .708 .903 r
.48228 .21078 .48593 .2156 .49245 .21333 .48881 .20891 Metetra
.639 .733 .917 r
.48881 .20891 .49245 .21333 .49899 .21105 .49536 .20689 Metetra
.646 .751 .925 r
.49536 .20689 .49899 .21105 .50554 .20902 .50192 .20475 Metetra
.643 .744 .922 r
.50192 .20475 .50554 .20902 .51211 .20752 .5085 .20265 Metetra
.624 .706 .904 r
.5085 .20265 .51211 .20752 .51869 .20669 .5151 .20084 Metetra
.592 .648 .874 r
.5151 .20084 .51869 .20669 .5253 .20648 .52171 .19955 Metetra
.557 .59 .842 r
.52171 .19955 .5253 .20648 .53194 .20656 .52835 .19889 Metetra
.53 .552 .822 r
.52835 .19889 .53194 .20656 .5386 .2065 .53501 .19874 Metetra
.518 .543 .821 r
.53501 .19874 .5386 .2065 .54528 .20587 .5417 .19881 Metetra
.525 .57 .843 r
.5417 .19881 .54528 .20587 .55198 .2045 .54841 .19867 Metetra
.552 .632 .884 r
.54841 .19867 .55198 .2045 .5587 .20255 .55515 .19797 Metetra
.589 .711 .928 r
.55515 .19797 .5587 .20255 .56543 .20045 .5619 .1966 Metetra
.62 .765 .949 r
.5619 .1966 .56543 .20045 .57219 .19876 .56867 .19472 Metetra
.629 .759 .94 r
.56867 .19472 .57219 .19876 .57898 .19784 .57545 .19274 Metetra
.61 .695 .903 r
.57545 .19274 .57898 .19784 .58581 .19773 .58226 .19109 Metetra
.575 .614 .853 r
.58226 .19109 .58581 .19773 .59268 .19802 .5891 .19007 Metetra
.547 .557 .816 r
.5891 .19007 .59268 .19802 .59957 .19802 .59598 .18961 Metetra
.539 .54 .804 r
.59598 .18961 .59957 .19802 .60646 .19702 .60289 .18934 Metetra
.557 .571 .823 r
.60289 .18934 .60646 .19702 .61333 .1946 .60982 .18866 Metetra
.609 .659 .874 r
.60982 .18866 .61333 .1946 .62018 .19077 .61674 .18702 Metetra
.687 .801 .936 r
.61674 .18702 .62018 .19077 .627 .18597 .62365 .18412 Metetra
.745 .93 .95 r
.62365 .18412 .627 .18597 .63382 .18092 .63052 .18004 Metetra
.763 .977 .917 r
.63052 .18004 .63382 .18092 .64067 .17628 .63738 .17521 Metetra
.78 .973 .917 r
.63738 .17521 .64067 .17628 .64755 .17243 .64424 .17023 Metetra
.78 .918 .931 r
.64424 .17023 .64755 .17243 .65448 .16937 .65112 .16563 Metetra
.744 .822 .912 r
.65112 .16563 .65448 .16937 .66144 .16671 .65804 .16169 Metetra
.702 .742 .883 r
.65804 .16169 .66144 .16671 .66841 .16393 .665 .15836 Metetra
.682 .71 .87 r
.665 .15836 .66841 .16393 .67537 .16056 .67199 .15532 Metetra
.691 .729 .879 r
.67199 .15532 .67537 .16056 .6823 .15641 .67898 .15216 Metetra
.722 .79 .906 r
.67898 .15216 .6823 .15641 .68921 .15156 .68597 .14854 Metetra
.759 .871 .93 r
.68597 .14854 .68921 .15156 .6961 .14637 .69294 .14434 Metetra
.779 .934 .932 r
.69294 .14434 .6961 .14637 .703 .14127 .69988 .13966 Metetra
.782 .957 .926 r
.69988 .13966 .703 .14127 .70994 .13665 .70683 .13479 Metetra
.778 .945 .932 r
.70683 .13479 .70994 .13665 .71692 .13269 .71379 .13007 Metetra
.762 .899 .938 r
.71379 .13007 .71692 .13269 .72397 .12938 .72079 .12576 Metetra
.732 .833 .927 r
.72079 .12576 .72397 .12938 .73106 .12653 .72783 .12201 Metetra
.699 .772 .908 r
.72783 .12201 .73106 .12653 .73818 .12388 .73492 .11876 Metetra
.676 .733 .893 r
.73492 .11876 .73818 .12388 .74531 .12118 .74206 .11588 Metetra
.667 .721 .889 r
.74206 .11588 .74531 .12118 .75245 .1183 .74922 .11314 Metetra
.669 .729 .895 r
.74922 .11314 .75245 .1183 .75959 .1152 .7564 .11037 Metetra
.588 .761 .961 r
.11862 .33855 .12287 .34174 .12852 .34003 .12422 .3373 Metetra
.549 .778 .984 r
.12422 .3373 .12852 .34003 .13414 .33867 .1298 .33626 Metetra
.523 .791 .994 r
.1298 .33626 .13414 .33867 .13973 .33768 .13539 .33531 Metetra
.531 .797 .994 r
.13539 .33531 .13973 .33768 .1453 .33693 .14101 .33427 Metetra
.568 .791 .983 r
.14101 .33427 .1453 .33693 .15089 .33622 .14667 .33305 Metetra
.601 .768 .96 r
.14667 .33305 .15089 .33622 .15652 .33535 .15236 .33164 Metetra
.612 .739 .936 r
.15236 .33164 .15652 .33535 .16219 .33417 .15808 .33018 Metetra
.596 .719 .93 r
.15808 .33018 .16219 .33417 .16792 .3327 .16378 .32892 Metetra
.548 .715 .95 r
.16378 .32892 .16792 .3327 .17367 .33116 .16945 .32813 Metetra
.434 .717 .984 r
.16945 .32813 .17367 .33116 .1794 .32987 .17507 .32796 Metetra
.201 .666 .941 r
.17507 .32796 .1794 .32987 .18509 .32917 .18064 .32838 Metetra
0 .527 .747 r
.18064 .32838 .18509 .32917 .19071 .32923 .18621 .32908 Metetra
.119 0 0 r
.18621 .32908 .19071 .32923 .19629 .32992 .19181 .32965 Metetra
.048 .615 .764 r
.19181 .32965 .19629 .32992 .20187 .33088 .1975 .32964 Metetra
.404 .813 .978 r
.1975 .32964 .20187 .33088 .2075 .33153 .20329 .32875 Metetra
.623 .804 .969 r
.20329 .32875 .2075 .33153 .21324 .33134 .20919 .32697 Metetra
.673 .728 .891 r
.20919 .32697 .21324 .33134 .2191 .33003 .21517 .32458 Metetra
.674 .681 .849 r
.21517 .32458 .2191 .33003 .22508 .32767 .22118 .32201 Metetra
.662 .668 .846 r
.22118 .32201 .22508 .32767 .23114 .32466 .22718 .31964 Metetra
.645 .689 .877 r
.22718 .31964 .23114 .32466 .23721 .32156 .23315 .31766 Metetra
.627 .741 .929 r
.23315 .31766 .23721 .32156 .24326 .31883 .23912 .31596 Metetra
.621 .802 .969 r
.23912 .31596 .24326 .31883 .24928 .31666 .24511 .31419 Metetra
.661 .837 .967 r
.24511 .31419 .24928 .31666 .25527 .31487 .25115 .3119 Metetra
.723 .817 .924 r
.25115 .3119 .25527 .31487 .26128 .31302 .25729 .30876 Metetra
.751 .755 .856 r
.25729 .30876 .26128 .31302 .26736 .31057 .26351 .30469 Metetra
.748 .693 .799 r
.26351 .30469 .26736 .31057 .27353 .30717 .26979 .29992 Metetra
.734 .651 .766 r
.26979 .29992 .27353 .30717 .27978 .3028 .2761 .29486 Metetra
.72 .63 .756 r
.2761 .29486 .27978 .3028 .28609 .29773 .28241 .28996 Metetra
.71 .629 .765 r
.28241 .28996 .28609 .29773 .29242 .29248 .28867 .28554 Metetra
.703 .647 .79 r
.28867 .28554 .29242 .29248 .29873 .28754 .2949 .28172 Metetra
.701 .681 .827 r
.2949 .28172 .29873 .28754 .30499 .28323 .30111 .27837 Metetra
.703 .72 .862 r
.30111 .27837 .30499 .28323 .31122 .27961 .30731 .27526 Metetra
.709 .745 .88 r
.30731 .27526 .31122 .27961 .31741 .27651 .31351 .27214 Metetra
.716 .747 .876 r
.31351 .27214 .31741 .27651 .32361 .27363 .31974 .26886 Metetra
.719 .729 .859 r
.31974 .26886 .32361 .27363 .32982 .2707 .32599 .26541 Metetra
.714 .707 .842 r
.32599 .26541 .32982 .2707 .33605 .26757 .33226 .26191 Metetra
.705 .69 .833 r
.33226 .26191 .33605 .26757 .34231 .26424 .33852 .2585 Metetra
.695 .684 .835 r
.33852 .2585 .34231 .26424 .34858 .26085 .34479 .25532 Metetra
.685 .689 .848 r
.34479 .25532 .34858 .26085 .35485 .25755 .35105 .25243 Metetra
.676 .703 .868 r
.35105 .25243 .35485 .25755 .36112 .25448 .3573 .24981 Metetra
.669 .722 .889 r
.3573 .24981 .36112 .25448 .36739 .25169 .36356 .24737 Metetra
.666 .739 .905 r
.36356 .24737 .36739 .25169 .37366 .24916 .36983 .24502 Metetra
.666 .749 .912 r
.36983 .24502 .37366 .24916 .37993 .24679 .37611 .24267 Metetra
.669 .751 .912 r
.37611 .24267 .37993 .24679 .38622 .24449 .38241 .24027 Metetra
.671 .747 .908 r
.38241 .24027 .38622 .24449 .39252 .24219 .38872 .23782 Metetra
.672 .74 .902 r
.38872 .23782 .39252 .24219 .39883 .23984 .39505 .23535 Metetra
.67 .734 .898 r
.39505 .23535 .39883 .23984 .40517 .23746 .4014 .23288 Metetra
.667 .729 .896 r
.4014 .23288 .40517 .23746 .41151 .23507 .40776 .23046 Metetra
.664 .727 .896 r
.40776 .23046 .41151 .23507 .41787 .23268 .41412 .22809 Metetra
.66 .727 .899 r
.41412 .22809 .41787 .23268 .42425 .2303 .42051 .22577 Metetra
.659 .73 .902 r
.42051 .22577 .42425 .2303 .43064 .22791 .4269 .22347 Metetra
.659 .736 .906 r
.4269 .22347 .43064 .22791 .43705 .22552 .43332 .22117 Metetra
.662 .742 .909 r
.43332 .22117 .43705 .22552 .44347 .22311 .43975 .21882 Metetra
.664 .746 .911 r
.43975 .21882 .44347 .22311 .4499 .22075 .44619 .21644 Metetra
.665 .746 .91 r
.44619 .21644 .4499 .22075 .45635 .21847 .45265 .21403 Metetra
.662 .738 .906 r
.45265 .21403 .45635 .21847 .46281 .21635 .45913 .21165 Metetra
.655 .724 .9 r
.45913 .21165 .46281 .21635 .46929 .21439 .46562 .20939 Metetra
.643 .705 .891 r
.46562 .20939 .46929 .21439 .47578 .21257 .47212 .20729 Metetra
.631 .688 .885 r
.47212 .20729 .47578 .21257 .48228 .21078 .47864 .20538 Metetra
.622 .679 .883 r
.47864 .20538 .48228 .21078 .48881 .20891 .48517 .20361 Metetra
.62 .683 .888 r
.48517 .20361 .48881 .20891 .49536 .20689 .49172 .20188 Metetra
.623 .699 .899 r
.49172 .20188 .49536 .20689 .50192 .20475 .49829 .20009 Metetra
.63 .719 .911 r
.49829 .20009 .50192 .20475 .5085 .20265 .50487 .19818 Metetra
.635 .731 .918 r
.50487 .19818 .5085 .20265 .5151 .20084 .51148 .1962 Metetra
.629 .72 .913 r
.51148 .1962 .5151 .20084 .52171 .19955 .51811 .1943 Metetra
.609 .683 .894 r
.51811 .1943 .52171 .19955 .52835 .19889 .52475 .19271 Metetra
.579 .63 .866 r
.52475 .19271 .52835 .19889 .53501 .19874 .53141 .19162 Metetra
.548 .58 .839 r
.53141 .19162 .53501 .19874 .5417 .19881 .5381 .19109 Metetra
.526 .55 .823 r
.5381 .19109 .5417 .19881 .54841 .19867 .54482 .19099 Metetra
.519 .548 .825 r
.54482 .19099 .54841 .19867 .55515 .19797 .55156 .19101 Metetra
.529 .577 .847 r
.55156 .19101 .55515 .19797 .5619 .1966 .55833 .19077 Metetra
.556 .636 .885 r
.55833 .19077 .5619 .1966 .56867 .19472 .56512 .18999 Metetra
.591 .705 .922 r
.56512 .18999 .56867 .19472 .57545 .19274 .57192 .18859 Metetra
.619 .75 .94 r
.57192 .18859 .57545 .19274 .58226 .19109 .57874 .18674 Metetra
.627 .742 .93 r
.57874 .18674 .58226 .19109 .5891 .19007 .58557 .1848 Metetra
.611 .689 .898 r
.58557 .1848 .5891 .19007 .59598 .18961 .59243 .18312 Metetra
.585 .626 .858 r
.59243 .18312 .59598 .18961 .60289 .18934 .59933 .1819 Metetra
.566 .583 .83 r
.59933 .1819 .60289 .18934 .60982 .18866 .60625 .18104 Metetra
.565 .578 .825 r
.60625 .18104 .60982 .18866 .61674 .18702 .6132 .18019 Metetra
.59 .617 .847 r
.6132 .18019 .61674 .18702 .62365 .18412 .62016 .17886 Metetra
.643 .707 .893 r
.62016 .17886 .62365 .18412 .63052 .18004 .62711 .17662 Metetra
.711 .831 .939 r
.62711 .17662 .63052 .18004 .63738 .17521 .63404 .17329 Metetra
.758 .931 .944 r
.63404 .17329 .63738 .17521 .64424 .17023 .64095 .16901 Metetra
.775 .967 .923 r
.64095 .16901 .64424 .17023 .65112 .16563 .64785 .16415 Metetra
.785 .958 .924 r
.64785 .16415 .65112 .16563 .65804 .16169 .65474 .15924 Metetra
.779 .906 .929 r
.65474 .15924 .65804 .16169 .665 .15836 .66166 .15467 Metetra
.747 .828 .914 r
.66166 .15467 .665 .15836 .67199 .15532 .66862 .15065 Metetra
.715 .766 .893 r
.66862 .15065 .67199 .15532 .67898 .15216 .67561 .1471 Metetra
.7 .743 .884 r
.67561 .1471 .67898 .15216 .68597 .14854 .68262 .14377 Metetra
.708 .76 .893 r
.68262 .14377 .68597 .14854 .69294 .14434 .68965 .14034 Metetra
.731 .809 .913 r
.68965 .14034 .69294 .14434 .69988 .13966 .69666 .13657 Metetra
.757 .87 .93 r
.69666 .13657 .69988 .13966 .70683 .13479 .70367 .13239 Metetra
.771 .914 .936 r
.70367 .13239 .70683 .13479 .71379 .13007 .71067 .12789 Metetra
.773 .928 .936 r
.71067 .12789 .71379 .13007 .72079 .12576 .71766 .12332 Metetra
.765 .912 .939 r
.71766 .12332 .72079 .12576 .72783 .12201 .72468 .11891 Metetra
.747 .87 .937 r
.72468 .11891 .72783 .12201 .73492 .11876 .73174 .11488 Metetra
.72 .816 .925 r
.73174 .11488 .73492 .11876 .74206 .11588 .73884 .11129 Metetra
.695 .769 .909 r
.73884 .11129 .74206 .11588 .74922 .11314 .74598 .10811 Metetra
.677 .74 .898 r
.74598 .10811 .74922 .11314 .7564 .11037 .75316 .1052 Metetra
.566 .783 .98 r
.11429 .33579 .11862 .33855 .12422 .3373 .11989 .33462 Metetra
.566 .788 .983 r
.11989 .33462 .12422 .3373 .1298 .33626 .1255 .33343 Metetra
.582 .784 .975 r
.1255 .33343 .1298 .33626 .13539 .33531 .13114 .33213 Metetra
.602 .768 .959 r
.13114 .33213 .13539 .33531 .14101 .33427 .13681 .33071 Metetra
.608 .747 .943 r
.13681 .33071 .14101 .33427 .14667 .33305 .1425 .32928 Metetra
.595 .731 .939 r
.1425 .32928 .14667 .33305 .15236 .33164 .14818 .32801 Metetra
.555 .727 .955 r
.14818 .32801 .15236 .33164 .15808 .33018 .15383 .32712 Metetra
.467 .73 .983 r
.15383 .32712 .15808 .33018 .16378 .32892 .15944 .32675 Metetra
.298 .707 .975 r
.15944 .32675 .16378 .32892 .16945 .32813 .16501 .32688 Metetra
.086 .62 .862 r
.16501 .32688 .16945 .32813 .17507 .32796 .17057 .32734 Metetra
0 .562 .758 r
.17057 .32734 .17507 .32796 .18064 .32838 .17615 .32778 Metetra
.081 .635 .813 r
.17615 .32778 .18064 .32838 .18621 .32908 .18179 .32784 Metetra
.34 .78 .963 r
.18179 .32784 .18621 .32908 .19181 .32965 .18753 .32726 Metetra
.559 .81 .992 r
.18753 .32726 .19181 .32965 .1975 .32964 .19335 .32596 Metetra
.639 .755 .932 r
.19335 .32596 .1975 .32964 .20329 .32875 .19925 .32411 Metetra
.654 .709 .888 r
.19925 .32411 .20329 .32875 .20919 .32697 .20519 .32203 Metetra
.647 .693 .879 r
.20519 .32203 .20919 .32697 .21517 .32458 .21114 .32003 Metetra
.632 .707 .9 r
.21114 .32003 .21517 .32458 .22118 .32201 .21707 .31828 Metetra
.614 .746 .94 r
.21707 .31828 .22118 .32201 .22718 .31964 .223 .31673 Metetra
.609 .795 .971 r
.223 .31673 .22718 .31964 .23315 .31766 .22895 .3151 Metetra
.645 .827 .97 r
.22895 .3151 .23315 .31766 .23912 .31596 .23496 .31301 Metetra
.706 .815 .933 r
.23496 .31301 .23912 .31596 .24511 .31419 .24106 .31015 Metetra
.741 .763 .871 r
.24106 .31015 .24511 .31419 .25115 .3119 .24724 .30643 Metetra
.744 .705 .815 r
.24724 .30643 .25115 .3119 .25729 .30876 .25349 .30199 Metetra
.735 .663 .779 r
.25349 .30199 .25729 .30876 .26351 .30469 .25978 .29718 Metetra
.723 .64 .765 r
.25978 .29718 .26351 .30469 .26979 .29992 .26607 .29239 Metetra
.714 .636 .769 r
.26607 .29239 .26979 .29992 .2761 .29486 .27234 .28794 Metetra
.708 .649 .789 r
.27234 .28794 .2761 .29486 .28241 .28996 .27857 .28396 Metetra
.707 .677 .819 r
.27857 .28396 .28241 .28996 .28867 .28554 .28478 .2804 Metetra
.709 .71 .848 r
.28478 .2804 .28867 .28554 .2949 .28172 .29098 .27707 Metetra
.715 .733 .865 r
.29098 .27707 .2949 .28172 .30111 .27837 .29719 .27376 Metetra
.72 .736 .864 r
.29719 .27376 .30111 .27837 .30731 .27526 .30342 .27033 Metetra
.721 .723 .851 r
.30342 .27033 .30731 .27526 .31351 .27214 .30967 .26676 Metetra
.717 .704 .837 r
.30967 .26676 .31351 .27214 .31974 .26886 .31593 .26314 Metetra
.709 .69 .83 r
.31593 .26314 .31974 .26886 .32599 .26541 .32219 .25962 Metetra
.699 .684 .832 r
.32219 .25962 .32599 .26541 .33226 .26191 .32845 .25632 Metetra
.689 .688 .844 r
.32845 .25632 .33226 .26191 .33852 .2585 .3347 .25331 Metetra
.681 .702 .863 r
.3347 .25331 .33852 .2585 .34479 .25532 .34094 .25057 Metetra
.674 .72 .883 r
.34094 .25057 .34479 .25532 .35105 .25243 .34719 .24804 Metetra
.67 .736 .9 r
.34719 .24804 .35105 .25243 .3573 .24981 .35344 .24561 Metetra
.669 .746 .908 r
.35344 .24561 .3573 .24981 .36356 .24737 .3597 .24321 Metetra
.67 .749 .91 r
.3597 .24321 .36356 .24737 .36983 .24502 .36598 .24078 Metetra
.672 .746 .907 r
.36598 .24078 .36983 .24502 .37611 .24267 .37228 .23833 Metetra
.672 .742 .903 r
.37228 .23833 .37611 .24267 .38241 .24027 .37859 .23585 Metetra
.671 .738 .9 r
.37859 .23585 .38241 .24027 .38872 .23782 .38492 .23338 Metetra
.669 .736 .9 r
.38492 .23338 .38872 .23782 .39505 .23535 .39125 .23092 Metetra
.667 .737 .902 r
.39125 .23092 .39505 .23535 .4014 .23288 .39761 .2285 Metetra
.665 .74 .905 r
.39761 .2285 .4014 .23288 .40776 .23046 .40397 .22612 Metetra
.663 .741 .908 r
.40397 .22612 .40776 .23046 .41412 .22809 .41035 .22376 Metetra
.662 .742 .91 r
.41035 .22376 .41412 .22809 .42051 .22577 .41674 .22143 Metetra
.66 .741 .91 r
.41674 .22143 .42051 .22577 .4269 .22347 .42315 .21911 Metetra
.659 .741 .91 r
.42315 .21911 .4269 .22347 .43332 .22117 .42957 .2168 Metetra
.659 .741 .91 r
.42957 .2168 .43332 .22117 .43975 .21882 .43601 .21448 Metetra
.661 .743 .911 r
.43601 .21448 .43975 .21882 .44619 .21644 .44246 .21215 Metetra
.663 .747 .913 r
.44246 .21215 .44619 .21644 .45265 .21403 .44893 .20977 Metetra
.664 .75 .914 r
.44893 .20977 .45265 .21403 .45913 .21165 .45542 .20737 Metetra
.664 .749 .914 r
.45542 .20737 .45913 .21165 .46562 .20939 .46192 .20497 Metetra
.659 .741 .91 r
.46192 .20497 .46562 .20939 .47212 .20729 .46844 .20262 Metetra
.651 .725 .904 r
.46844 .20262 .47212 .20729 .47864 .20538 .47496 .20041 Metetra
.639 .706 .896 r
.47496 .20041 .47864 .20538 .48517 .20361 .48151 .19837 Metetra
.627 .69 .889 r
.48151 .19837 .48517 .20361 .49172 .20188 .48807 .19651 Metetra
.618 .681 .887 r
.48807 .19651 .49172 .20188 .49829 .20009 .49464 .1948 Metetra
.615 .683 .891 r
.49464 .1948 .49829 .20009 .50487 .19818 .50124 .19313 Metetra
.617 .696 .901 r
.50124 .19313 .50487 .19818 .51148 .1962 .50785 .19141 Metetra
.622 .712 .91 r
.50785 .19141 .51148 .1962 .51811 .1943 .51448 .18962 Metetra
.623 .718 .914 r
.51448 .18962 .51811 .1943 .52475 .19271 .52114 .18779 Metetra
.615 .703 .907 r
.52114 .18779 .52475 .19271 .53141 .19162 .52781 .18609 Metetra
.595 .666 .888 r
.52781 .18609 .53141 .19162 .5381 .19109 .5345 .18471 Metetra
.568 .618 .862 r
.5345 .18471 .5381 .19109 .54482 .19099 .54122 .18379 Metetra
.542 .576 .838 r
.54122 .18379 .54482 .19099 .55156 .19101 .54796 .18336 Metetra
.525 .553 .826 r
.54796 .18336 .55156 .19101 .55833 .19077 .55473 .18326 Metetra
.522 .556 .831 r
.55473 .18326 .55833 .19077 .56512 .18999 .56153 .18319 Metetra
.535 .588 .854 r
.56153 .18319 .56512 .18999 .57192 .18859 .56835 .18281 Metetra
.563 .643 .888 r
.56835 .18281 .57192 .18859 .57874 .18674 .57519 .18191 Metetra
.596 .704 .919 r
.57519 .18191 .57874 .18674 .58557 .1848 .58205 .18043 Metetra
.621 .74 .932 r
.58205 .18043 .58557 .1848 .59243 .18312 .58891 .17856 Metetra
.628 .733 .923 r
.58891 .17856 .59243 .18312 .59933 .1819 .5958 .17658 Metetra
.617 .692 .897 r
.5958 .17658 .59933 .1819 .60625 .18104 .60271 .17478 Metetra
.599 .643 .866 r
.60271 .17478 .60625 .18104 .6132 .18019 .60965 .17329 Metetra
.588 .614 .846 r
.60965 .17329 .6132 .18019 .62016 .17886 .61661 .17199 Metetra
.594 .619 .846 r
.61661 .17199 .62016 .17886 .62711 .17662 .6236 .17056 Metetra
.623 .664 .869 r
.6236 .17056 .62711 .17662 .63404 .17329 .63059 .16862 Metetra
.674 .75 .908 r
.63059 .16862 .63404 .17329 .64095 .16901 .63757 .16585 Metetra
.731 .854 .939 r
.63757 .16585 .64095 .16901 .64785 .16415 .64453 .16216 Metetra
.767 .93 .939 r
.64453 .16216 .64785 .16415 .65474 .15924 .65146 .1577 Metetra
.781 .956 .927 r
.65146 .1577 .65474 .15924 .66166 .15467 .65839 .15285 Metetra
.787 .943 .927 r
.65839 .15285 .66166 .15467 .66862 .15065 .66533 .14799 Metetra
.776 .896 .928 r
.66533 .14799 .66862 .15065 .67561 .1471 .67229 .14345 Metetra
.75 .833 .916 r
.67229 .14345 .67561 .1471 .68262 .14377 .67928 .13937 Metetra
.724 .785 .901 r
.67928 .13937 .68262 .14377 .68965 .14034 .6863 .13566 Metetra
.713 .768 .896 r
.6863 .13566 .68965 .14034 .69666 .13657 .69335 .13213 Metetra
.719 .783 .903 r
.69335 .13213 .69666 .13657 .70367 .13239 .7004 .12852 Metetra
.735 .82 .917 r
.7004 .12852 .70367 .13239 .71067 .12789 .70746 .12467 Metetra
.752 .863 .93 r
.70746 .12467 .71067 .12789 .71766 .12332 .71451 .12055 Metetra
.761 .893 .937 r
.71451 .12055 .71766 .12332 .72468 .11891 .72155 .11624 Metetra
.76 .9 .939 r
.72155 .11624 .72468 .11891 .73174 .11488 .72861 .11193 Metetra
.751 .882 .939 r
.72861 .11193 .73174 .11488 .73884 .11129 .73569 .10781 Metetra
.733 .845 .933 r
.73569 .10781 .73884 .11129 .74598 .10811 .7428 .104 Metetra
.71 .803 .922 r
.7428 .104 .74598 .10811 .75316 .1052 .74996 .10055 Metetra
.597 .777 .966 r
.10997 .33278 .11429 .33579 .11989 .33462 .1156 .33139 Metetra
.606 .766 .956 r
.1156 .33139 .11989 .33462 .1255 .33343 .12125 .32994 Metetra
.609 .752 .946 r
.12125 .32994 .1255 .33343 .13114 .33213 .12692 .32849 Metetra
.597 .74 .944 r
.12692 .32849 .13114 .33213 .13681 .33071 .13258 .32718 Metetra
.565 .736 .956 r
.13258 .32718 .13681 .33071 .1425 .32928 .13822 .32618 Metetra
.498 .739 .981 r
.13822 .32618 .1425 .32928 .14818 .32801 .14383 .3256 Metetra
.376 .732 .99 r
.14383 .3256 .14818 .32801 .15383 .32712 .1494 .32547 Metetra
.211 .686 .937 r
.1494 .32547 .15383 .32712 .15944 .32675 .15495 .32567 Metetra
.101 .638 .859 r
.15495 .32567 .15944 .32675 .16501 .32688 .16051 .32595 Metetra
.134 .665 .866 r
.16051 .32595 .16501 .32688 .17057 .32734 .16612 .32602 Metetra
.305 .758 .956 r
.16612 .32602 .17057 .32734 .17615 .32778 .1718 .32563 Metetra
.494 .802 .999 r
.1718 .32563 .17615 .32778 .18179 .32784 .17756 .32469 Metetra
.593 .773 .966 r
.17756 .32469 .18179 .32784 .18753 .32726 .18339 .32329 Metetra
.624 .735 .926 r
.18339 .32329 .18753 .32726 .19335 .32596 .18926 .32165 Metetra
.625 .717 .913 r
.18926 .32165 .19335 .32596 .19925 .32411 .19514 .32001 Metetra
.612 .724 .925 r
.19514 .32001 .19925 .32411 .20519 .32203 .20103 .31851 Metetra
.595 .753 .954 r
.20103 .31851 .20519 .32203 .21114 .32003 .20691 .31715 Metetra
.59 .791 .976 r
.20691 .31715 .21114 .32003 .21707 .31828 .21283 .31569 Metetra
.623 .82 .976 r
.21283 .31569 .21707 .31828 .223 .31673 .2188 .31383 Metetra
.684 .815 .945 r
.2188 .31383 .223 .31673 .22895 .3151 .22484 .3113 Metetra
.727 .772 .889 r
.22484 .3113 .22895 .3151 .23496 .31301 .23098 .30795 Metetra
.738 .719 .833 r
.23098 .30795 .23496 .31301 .24106 .31015 .23719 .30389 Metetra
.734 .677 .795 r
.23719 .30389 .24106 .31015 .24724 .30643 .24345 .29938 Metetra
.725 .652 .776 r
.24345 .29938 .24724 .30643 .25349 .30199 .24972 .29476 Metetra
.717 .645 .776 r
.24972 .29476 .25349 .30199 .25978 .29718 .25598 .29035 Metetra
.712 .653 .789 r
.25598 .29035 .25978 .29718 .26607 .29239 .26222 .28628 Metetra
.711 .675 .813 r
.26222 .28628 .26607 .29239 .27234 .28794 .26843 .28255 Metetra
.714 .701 .837 r
.26843 .28255 .27234 .28794 .27857 .28396 .27464 .27903 Metetra
.718 .721 .852 r
.27464 .27903 .27857 .28396 .28478 .2804 .28085 .27554 Metetra
.723 .726 .852 r
.28085 .27554 .28478 .2804 .29098 .27707 .28708 .27195 Metetra
.724 .716 .842 r
.28708 .27195 .29098 .27707 .29719 .27376 .29332 .26826 Metetra
.72 .7 .831 r
.29332 .26826 .29719 .27376 .30342 .27033 .29958 .26452 Metetra
.712 .687 .825 r
.29958 .26452 .30342 .27033 .30967 .26676 .30584 .26087 Metetra
.703 .682 .827 r
.30584 .26087 .30967 .26676 .31593 .26314 .31209 .25744 Metetra
.694 .685 .837 r
.31209 .25744 .31593 .26314 .32219 .25962 .31834 .25428 Metetra
.686 .697 .855 r
.31834 .25428 .32219 .25962 .32845 .25632 .32458 .25141 Metetra
.679 .714 .874 r
.32458 .25141 .32845 .25632 .3347 .25331 .33081 .24875 Metetra
.675 .729 .891 r
.33081 .24875 .3347 .25331 .34094 .25057 .33705 .24622 Metetra
.673 .74 .9 r
.33705 .24622 .34094 .25057 .34719 .24804 .3433 .24374 Metetra
.673 .743 .903 r
.3433 .24374 .34719 .24804 .35344 .24561 .34957 .24125 Metetra
.674 .741 .901 r
.34957 .24125 .35344 .24561 .3597 .24321 .35585 .23875 Metetra
.673 .736 .897 r
.35585 .23875 .3597 .24321 .36598 .24078 .36214 .23623 Metetra
.672 .731 .895 r
.36214 .23623 .36598 .24078 .37228 .23833 .36845 .23374 Metetra
.669 .729 .894 r
.36845 .23374 .37228 .23833 .37859 .23585 .37476 .23127 Metetra
.667 .73 .897 r
.37476 .23127 .37859 .23585 .38492 .23338 .3811 .22885 Metetra
.665 .732 .9 r
.3811 .22885 .38492 .23338 .39125 .23092 .38744 .22647 Metetra
.664 .735 .903 r
.38744 .22647 .39125 .23092 .39761 .2285 .3938 .2241 Metetra
.663 .739 .906 r
.3938 .2241 .39761 .2285 .40397 .22612 .40017 .22174 Metetra
.663 .74 .907 r
.40017 .22174 .40397 .22612 .41035 .22376 .40656 .21937 Metetra
.664 .74 .907 r
.40656 .21937 .41035 .22376 .41674 .22143 .41296 .21699 Metetra
.663 .738 .906 r
.41296 .21699 .41674 .22143 .42315 .21911 .41938 .21461 Metetra
.662 .735 .904 r
.41938 .21461 .42315 .21911 .42957 .2168 .42581 .21224 Metetra
.66 .732 .903 r
.42581 .21224 .42957 .2168 .43601 .21448 .43226 .20989 Metetra
.659 .73 .902 r
.43226 .20989 .43601 .21448 .44246 .21215 .43872 .20755 Metetra
.658 .731 .903 r
.43872 .20755 .44246 .21215 .44893 .20977 .4452 .20522 Metetra
.659 .734 .905 r
.4452 .20522 .44893 .20977 .45542 .20737 .45169 .20289 Metetra
.66 .738 .908 r
.45169 .20289 .45542 .20737 .46192 .20497 .4582 .20053 Metetra
.661 .741 .91 r
.4582 .20053 .46192 .20497 .46844 .20262 .46473 .19815 Metetra
.659 .74 .909 r
.46473 .19815 .46844 .20262 .47496 .20041 .47127 .19579 Metetra
.654 .731 .906 r
.47127 .19579 .47496 .20041 .48151 .19837 .47783 .1935 Metetra
.645 .716 .899 r
.47783 .1935 .48151 .19837 .48807 .19651 .4844 .19135 Metetra
.632 .697 .892 r
.4844 .19135 .48807 .19651 .49464 .1948 .49099 .18939 Metetra
.62 .681 .886 r
.49099 .18939 .49464 .1948 .50124 .19313 .49759 .18761 Metetra
.612 .673 .884 r
.49759 .18761 .50124 .19313 .50785 .19141 .50421 .18597 Metetra
.608 .676 .889 r
.50421 .18597 .50785 .19141 .51448 .18962 .51085 .18439 Metetra
.609 .686 .897 r
.51085 .18439 .51448 .18962 .52114 .18779 .51751 .18277 Metetra
.612 .698 .905 r
.51751 .18277 .52114 .18779 .52781 .18609 .52419 .18111 Metetra
.611 .7 .907 r
.52419 .18111 .52781 .18609 .5345 .18471 .53089 .17946 Metetra
.601 .683 .899 r
.53089 .17946 .5345 .18471 .54122 .18379 .53761 .17796 Metetra
.582 .649 .881 r
.53761 .17796 .54122 .18379 .54796 .18336 .54435 .17677 Metetra
.558 .607 .858 r
.54435 .17677 .54796 .18336 .55473 .18326 .55112 .176 Metetra
.537 .573 .839 r
.55112 .176 .55473 .18326 .56153 .18319 .55792 .17563 Metetra
.526 .558 .831 r
.55792 .17563 .56153 .18319 .56835 .18281 .56475 .17548 Metetra
.527 .566 .838 r
.56475 .17548 .56835 .18281 .57519 .18191 .5716 .17527 Metetra
.544 .6 .86 r
.5716 .17527 .57519 .18191 .58205 .18043 .57848 .17473 Metetra
.572 .653 .891 r
.57848 .17473 .58205 .18043 .58891 .17856 .58537 .17367 Metetra
.603 .707 .917 r
.58537 .17367 .58891 .17856 .5958 .17658 .59228 .17207 Metetra
.626 .737 .927 r
.59228 .17207 .5958 .17658 .60271 .17478 .59919 .1701 Metetra
.634 .732 .919 r
.59919 .1701 .60271 .17478 .60965 .17329 .60612 .16801 Metetra
.627 .7 .897 r
.60612 .16801 .60965 .17329 .61661 .17199 .61308 .16602 Metetra
.616 .665 .875 r
.61308 .16602 .61661 .17199 .6236 .17056 .62006 .16421 Metetra
.612 .648 .862 r
.62006 .16421 .6236 .17056 .63059 .16862 .62706 .16245 Metetra
.624 .661 .866 r
.62706 .16245 .63059 .16862 .63757 .16585 .63408 .16047 Metetra
.655 .709 .887 r
.63408 .16047 .63757 .16585 .64453 .16216 .6411 .15797 Metetra
.701 .787 .918 r
.6411 .15797 .64453 .16216 .65146 .1577 .6481 .15473 Metetra
.747 .871 .937 r
.6481 .15473 .65146 .1577 .65839 .15285 .65509 .15074 Metetra
.774 .927 .936 r
.65509 .15074 .65839 .15285 .66533 .14799 .66206 .14617 Metetra
.784 .945 .928 r
.66206 .14617 .66533 .14799 .67229 .14345 .66903 .14132 Metetra
.785 .929 .929 r
.66903 .14132 .67229 .14345 .67928 .13937 .676 .13653 Metetra
.773 .887 .927 r
.676 .13653 .67928 .13937 .6863 .13566 .683 .13203 Metetra
.75 .837 .917 r
.683 .13203 .6863 .13566 .69335 .13213 .69003 .12791 Metetra
.73 .8 .907 r
.69003 .12791 .69335 .13213 .7004 .12852 .69709 .1241 Metetra
.721 .786 .904 r
.69709 .1241 .7004 .12852 .70746 .12467 .70417 .12043 Metetra
.724 .798 .91 r
.70417 .12043 .70746 .12467 .71451 .12055 .71126 .11672 Metetra
.735 .825 .92 r
.71126 .11672 .71451 .12055 .72155 .11624 .71835 .11286 Metetra
.745 .854 .93 r
.71835 .11286 .72155 .11624 .72861 .11193 .72545 .10882 Metetra
.75 .873 .936 r
.72545 .10882 .72861 .11193 .73569 .10781 .73255 .1047 Metetra
.747 .873 .938 r
.73255 .1047 .73569 .10781 .7428 .104 .73966 .10063 Metetra
.737 .855 .936 r
.73966 .10063 .7428 .104 .74996 .10055 .7468 .09673 Metetra
.613 .754 .945 r
.1057 .32931 .10997 .33278 .1156 .33139 .11134 .32782 Metetra
.602 .745 .945 r
.11134 .32782 .1156 .33139 .12125 .32994 .11699 .32645 Metetra
.576 .742 .955 r
.11699 .32645 .12125 .32994 .12692 .32849 .12262 .32533 Metetra
.525 .746 .976 r
.12262 .32533 .12692 .32849 .13258 .32718 .12822 .32456 Metetra
.437 .747 .993 r
.12822 .32456 .13258 .32718 .13822 .32618 .13379 .32419 Metetra
.315 .728 .977 r
.13379 .32419 .13822 .32618 .14383 .3256 .13934 .32413 Metetra
.212 .696 .93 r
.13934 .32413 .14383 .3256 .1494 .32547 .14489 .32422 Metetra
.201 .698 .916 r
.14489 .32422 .1494 .32547 .15495 .32567 .15047 .32422 Metetra
.299 .748 .96 r
.15047 .32422 .15495 .32567 .16051 .32595 .15611 .32393 Metetra
.441 .788 .998 r
.15611 .32393 .16051 .32595 .16612 .32602 .16181 .32325 Metetra
.542 .781 .986 r
.16181 .32325 .16612 .32602 .1718 .32563 .16757 .3222 Metetra
.586 .754 .958 r
.16757 .3222 .1718 .32563 .17756 .32469 .17337 .32092 Metetra
.594 .737 .943 r
.17337 .32092 .17756 .32469 .18339 .32329 .1792 .31961 Metetra
.585 .739 .949 r
.1792 .31961 .18339 .32329 .18926 .32165 .18503 .31837 Metetra
.569 .759 .968 r
.18503 .31837 .18926 .32165 .19514 .32001 .19087 .31721 Metetra
.565 .788 .983 r
.19087 .31721 .19514 .32001 .20103 .31851 .19674 .31595 Metetra
.596 .814 .983 r
.19674 .31595 .20103 .31851 .20691 .31715 .20266 .31435 Metetra
.658 .815 .959 r
.20266 .31435 .20691 .31715 .21283 .31569 .20866 .31214 Metetra
.709 .782 .909 r
.20866 .31214 .21283 .31569 .2188 .31383 .21474 .3092 Metetra
.729 .734 .854 r
.21474 .3092 .2188 .31383 .22484 .3113 .2209 .30555 Metetra
.731 .692 .813 r
.2209 .30555 .22484 .3113 .23098 .30795 .22712 .30139 Metetra
.725 .665 .791 r
.22712 .30139 .23098 .30795 .23719 .30389 .23337 .29702 Metetra
.719 .655 .785 r
.23337 .29702 .23719 .30389 .24345 .29938 .23961 .29271 Metetra
.715 .659 .793 r
.23961 .29271 .24345 .29938 .24972 .29476 .24584 .28862 Metetra
.714 .675 .81 r
.24584 .28862 .24972 .29476 .25598 .29035 .25206 .28479 Metetra
.717 .696 .829 r
.25206 .28479 .25598 .29035 .26222 .28628 .25827 .28111 Metetra
.721 .712 .841 r
.25827 .28111 .26222 .28628 .26843 .28255 .26449 .27747 Metetra
.725 .717 .843 r
.26449 .27747 .26843 .28255 .27464 .27903 .27072 .27375 Metetra
.726 .71 .835 r
.27072 .27375 .27464 .27903 .28085 .27554 .27696 .26993 Metetra
.723 .697 .826 r
.27696 .26993 .28085 .27554 .28708 .27195 .28322 .26608 Metetra
.716 .686 .82 r
.28322 .26608 .28708 .27195 .29332 .26826 .28948 .2623 Metetra
.708 .681 .822 r
.28948 .2623 .29332 .26826 .29958 .26452 .29573 .25872 Metetra
.699 .684 .832 r
.29573 .25872 .29958 .26452 .30584 .26087 .30197 .25542 Metetra
.691 .694 .848 r
.30197 .25542 .30584 .26087 .31209 .25744 .3082 .25239 Metetra
.685 .71 .867 r
.3082 .25239 .31209 .25744 .31834 .25428 .31443 .2496 Metetra
.68 .725 .883 r
.31443 .2496 .31834 .25428 .32458 .25141 .32066 .24695 Metetra
.678 .736 .894 r
.32066 .24695 .32458 .25141 .33081 .24875 .3269 .24438 Metetra
.677 .74 .899 r
.3269 .24438 .33081 .24875 .33705 .24622 .33315 .24183 Metetra
.677 .74 .898 r
.33315 .24183 .33705 .24622 .3433 .24374 .33941 .23928 Metetra
.676 .737 .896 r
.33941 .23928 .3433 .24374 .34957 .24125 .34569 .23673 Metetra
.674 .733 .895 r
.34569 .23673 .34957 .24125 .35585 .23875 .35198 .2342 Metetra
.671 .732 .896 r
.35198 .2342 .35585 .23875 .36214 .23623 .35828 .23171 Metetra
.668 .733 .898 r
.35828 .23171 .36214 .23623 .36845 .23374 .36459 .22927 Metetra
.666 .735 .902 r
.36459 .22927 .36845 .23374 .37476 .23127 .37091 .22687 Metetra
.664 .738 .905 r
.37091 .22687 .37476 .23127 .3811 .22885 .37725 .2245 Metetra
.663 .741 .908 r
.37725 .2245 .3811 .22885 .38744 .22647 .3836 .22214 Metetra
.663 .743 .909 r
.3836 .22214 .38744 .22647 .3938 .2241 .38997 .21978 Metetra
.663 .744 .91 r
.38997 .21978 .3938 .2241 .40017 .22174 .39635 .2174 Metetra
.664 .744 .91 r
.39635 .2174 .40017 .22174 .40656 .21937 .40275 .21502 Metetra
.665 .744 .909 r
.40275 .21502 .40656 .21937 .41296 .21699 .40916 .21261 Metetra
.665 .743 .909 r
.40916 .21261 .41296 .21699 .41938 .21461 .41559 .2102 Metetra
.664 .742 .908 r
.41559 .2102 .41938 .21461 .42581 .21224 .42203 .20779 Metetra
.663 .74 .907 r
.42203 .20779 .42581 .21224 .43226 .20989 .42849 .20539 Metetra
.662 .738 .906 r
.42849 .20539 .43226 .20989 .43872 .20755 .43497 .20301 Metetra
.66 .735 .905 r
.43497 .20301 .43872 .20755 .4452 .20522 .44145 .20065 Metetra
.658 .733 .905 r
.44145 .20065 .4452 .20522 .45169 .20289 .44796 .19831 Metetra
.657 .734 .906 r
.44796 .19831 .45169 .20289 .4582 .20053 .45448 .19598 Metetra
.657 .736 .908 r
.45448 .19598 .4582 .20053 .46473 .19815 .46101 .19365 Metetra
.658 .739 .909 r
.46101 .19365 .46473 .19815 .47127 .19579 .46756 .19129 Metetra
.658 .74 .91 r
.46756 .19129 .47127 .19579 .47783 .1935 .47413 .18894 Metetra
.655 .736 .909 r
.47413 .18894 .47783 .1935 .4844 .19135 .48071 .18662 Metetra
.649 .725 .904 r
.48071 .18662 .4844 .19135 .49099 .18939 .48731 .18439 Metetra
.638 .709 .898 r
.48731 .18439 .49099 .18939 .49759 .18761 .49393 .18232 Metetra
.626 .69 .89 r
.49393 .18232 .49759 .18761 .50421 .18597 .50056 .18044 Metetra
.614 .675 .884 r
.50056 .18044 .50421 .18597 .51085 .18439 .5072 .17875 Metetra
.605 .667 .883 r
.5072 .17875 .51085 .18439 .51751 .18277 .51387 .1772 Metetra
.601 .668 .887 r
.51387 .1772 .51751 .18277 .52419 .18111 .52056 .1757 Metetra
.601 .676 .894 r
.52056 .1757 .52419 .18111 .53089 .17946 .52726 .1742 Metetra
.601 .684 .9 r
.52726 .1742 .53089 .17946 .53761 .17796 .53399 .17268 Metetra
.598 .682 .9 r
.53399 .17268 .53761 .17796 .54435 .17677 .54074 .1712 Metetra
.588 .665 .892 r
.54074 .1712 .54435 .17677 .55112 .176 .54752 .16989 Metetra
.571 .634 .875 r
.54752 .16989 .55112 .176 .55792 .17563 .55431 .16887 Metetra
.551 .599 .855 r
.55431 .16887 .55792 .17563 .56475 .17548 .56114 .16821 Metetra
.536 .573 .84 r
.56114 .16821 .56475 .17548 .5716 .17527 .56799 .16784 Metetra
.529 .565 .836 r
.56799 .16784 .5716 .17527 .57848 .17473 .57488 .1676 Metetra
.535 .579 .845 r
.57488 .1676 .57848 .17473 .58537 .17367 .58179 .16722 Metetra
.554 .615 .867 r
.58179 .16722 .58537 .17367 .59228 .17207 .58871 .16646 Metetra
.583 .665 .895 r
.58871 .16646 .59228 .17207 .59919 .1701 .59566 .1652 Metetra
.613 .713 .916 r
.59566 .1652 .59919 .1701 .60612 .16801 .60261 .16343 Metetra
.635 .739 .924 r
.60261 .16343 .60612 .16801 .61308 .16602 .60957 .16131 Metetra
.643 .736 .916 r
.60957 .16131 .61308 .16602 .62006 .16421 .61655 .15905 Metetra
.641 .714 .9 r
.61655 .15905 .62006 .16421 .62706 .16245 .62355 .15682 Metetra
.636 .691 .884 r
.62355 .15682 .62706 .16245 .63408 .16047 .63057 .15465 Metetra
.638 .684 .877 r
.63057 .15465 .63408 .16047 .6411 .15797 .6376 .15242 Metetra
.653 .703 .883 r
.6376 .15242 .6411 .15797 .6481 .15473 .64465 .14992 Metetra
.684 .751 .902 r
.64465 .14992 .6481 .15473 .65509 .15074 .65169 .14693 Metetra
.723 .818 .924 r
.65169 .14693 .65509 .15074 .66206 .14617 .65872 .14331 Metetra
.758 .883 .935 r
.65872 .14331 .66206 .14617 .66903 .14132 .66574 .13908 Metetra
.778 .923 .933 r
.66574 .13908 .66903 .14132 .676 .13653 .67274 .13443 Metetra
.785 .933 .929 r
.67274 .13443 .676 .13653 .683 .13203 .67975 .12961 Metetra
.782 .916 .929 r
.67975 .12961 .683 .13203 .69003 .12791 .68677 .12489 Metetra
.769 .879 .927 r
.68677 .12489 .69003 .12791 .69709 .1241 .69381 .12044 Metetra
.749 .838 .919 r
.69381 .12044 .69709 .1241 .70417 .12043 .70088 .11632 Metetra
.733 .809 .911 r
.70088 .11632 .70417 .12043 .71126 .11672 .70797 .11245 Metetra
.725 .799 .91 r
.70797 .11245 .71126 .11672 .71835 .11286 .71509 .10871 Metetra
.726 .806 .914 r
.71509 .10871 .71835 .11286 .72545 .10882 .72222 .10496 Metetra
.732 .825 .922 r
.72222 .10496 .72545 .10882 .73255 .1047 .72936 .10112 Metetra
.738 .844 .93 r
.72936 .10112 .73255 .1047 .73966 .10063 .7365 .0972 Metetra
.739 .854 .934 r
.7365 .0972 .73966 .10063 .7468 .09673 .74366 .09325 Metetra
.588 .747 .953 r
.1014 .32583 .1057 .32931 .11134 .32782 .10702 .32459 Metetra
.55 .75 .97 r
.10702 .32459 .11134 .32782 .11699 .32645 .11261 .32364 Metetra
.486 .755 .989 r
.11261 .32364 .11699 .32645 .12262 .32533 .11818 .32303 Metetra
.397 .75 .993 r
.11818 .32303 .12262 .32533 .12822 .32456 .12373 .32273 Metetra
.31 .734 .973 r
.12373 .32273 .12822 .32456 .13379 .32419 .12928 .32261 Metetra
.274 .728 .956 r
.12928 .32261 .13379 .32419 .13934 .32413 .13484 .3225 Metetra
.317 .749 .97 r
.13484 .3225 .13934 .32413 .14489 .32422 .14044 .32223 Metetra
.41 .776 .994 r
.14044 .32223 .14489 .32422 .15047 .32422 .14609 .3217 Metetra
.495 .779 .995 r
.14609 .3217 .15047 .32422 .15611 .32393 .1518 .3209 Metetra
.543 .764 .979 r
.1518 .3209 .15611 .32393 .16181 .32325 .15754 .31992 Metetra
.558 .751 .968 r
.15754 .31992 .16181 .32325 .16757 .3222 .16331 .31888 Metetra
.552 .75 .969 r
.16331 .31888 .16757 .3222 .17337 .32092 .16909 .31788 Metetra
.539 .763 .98 r
.16909 .31788 .17337 .32092 .1792 .31961 .17488 .31692 Metetra
.535 .785 .99 r
.17488 .31692 .1792 .31961 .18503 .31837 .1807 .31587 Metetra
.564 .808 .99 r
.1807 .31587 .18503 .31837 .19087 .31721 .18657 .31453 Metetra
.626 .815 .973 r
.18657 .31453 .19087 .31721 .19674 .31595 .19251 .31266 Metetra
.685 .792 .931 r
.19251 .31266 .19674 .31595 .20266 .31435 .19853 .31013 Metetra
.716 .749 .878 r
.19853 .31013 .20266 .31435 .20866 .31214 .20464 .30691 Metetra
.725 .708 .835 r
.20464 .30691 .20866 .31214 .21474 .3092 .21081 .30316 Metetra
.723 .68 .808 r
.21081 .30316 .21474 .3092 .2209 .30555 .21702 .29909 Metetra
.72 .667 .797 r
.21702 .29909 .2209 .30555 .22712 .30139 .22324 .29496 Metetra
.717 .667 .799 r
.22324 .29496 .22712 .30139 .23337 .29702 .22946 .29093 Metetra
.717 .677 .811 r
.22946 .29093 .23337 .29702 .23961 .29271 .23567 .28705 Metetra
.719 .693 .824 r
.23567 .28705 .23961 .29271 .24584 .28862 .24188 .28328 Metetra
.723 .706 .834 r
.24188 .28328 .24584 .28862 .25206 .28479 .2481 .27953 Metetra
.727 .711 .835 r
.2481 .27953 .25206 .28479 .25827 .28111 .25433 .27569 Metetra
.728 .705 .829 r
.25433 .27569 .25827 .28111 .26449 .27747 .26058 .27177 Metetra
.725 .695 .821 r
.26058 .27177 .26449 .27747 .27072 .27375 .26683 .2678 Metetra
.719 .685 .816 r
.26683 .2678 .27072 .27375 .27696 .26993 .27309 .2639 Metetra
.712 .68 .817 r
.27309 .2639 .27696 .26993 .28322 .26608 .27935 .26017 Metetra
.704 .682 .826 r
.27935 .26017 .28322 .26608 .28948 .2623 .28559 .2567 Metetra
.697 .691 .84 r
.28559 .2567 .28948 .2623 .29573 .25872 .29182 .25351 Metetra
.691 .704 .858 r
.29182 .25351 .29573 .25872 .30197 .25542 .29804 .25056 Metetra
.686 .719 .874 r
.29804 .25056 .30197 .25542 .3082 .25239 .30426 .24778 Metetra
.683 .73 .886 r
.30426 .24778 .3082 .25239 .31443 .2496 .31049 .2451 Metetra
.681 .735 .892 r
.31049 .2451 .31443 .2496 .32066 .24695 .31673 .24246 Metetra
.68 .736 .893 r
.31673 .24246 .32066 .24695 .3269 .24438 .32298 .23985 Metetra
.678 .733 .892 r
.32298 .23985 .3269 .24438 .33315 .24183 .32924 .23725 Metetra
.676 .731 .892 r
.32924 .23725 .33315 .24183 .33941 .23928 .33551 .23468 Metetra
.673 .73 .893 r
.33551 .23468 .33941 .23928 .34569 .23673 .34179 .23216 Metetra
.67 .731 .896 r
.34179 .23216 .34569 .23673 .35198 .2342 .34809 .2297 Metetra
.667 .734 .9 r
.34809 .2297 .35198 .2342 .35828 .23171 .35439 .22727 Metetra
.665 .737 .903 r
.35439 .22727 .35828 .23171 .36459 .22927 .36071 .22488 Metetra
.664 .74 .906 r
.36071 .22488 .36459 .22927 .37091 .22687 .36704 .22251 Metetra
.664 .741 .908 r
.36704 .22251 .37091 .22687 .37725 .2245 .37339 .22014 Metetra
.664 .742 .908 r
.37339 .22014 .37725 .2245 .3836 .22214 .37975 .21776 Metetra
.664 .742 .908 r
.37975 .21776 .3836 .22214 .38997 .21978 .38612 .21538 Metetra
.664 .741 .907 r
.38612 .21538 .38997 .21978 .39635 .2174 .39252 .21298 Metetra
.664 .74 .907 r
.39252 .21298 .39635 .2174 .40275 .21502 .39892 .21059 Metetra
.664 .74 .907 r
.39892 .21059 .40275 .21502 .40916 .21261 .40535 .20818 Metetra
.664 .741 .907 r
.40535 .20818 .40916 .21261 .41559 .2102 .41178 .20577 Metetra
.664 .742 .908 r
.41178 .20577 .41559 .2102 .42203 .20779 .41824 .20336 Metetra
.664 .742 .908 r
.41824 .20336 .42203 .20779 .42849 .20539 .42471 .20094 Metetra
.663 .741 .908 r
.42471 .20094 .42849 .20539 .43497 .20301 .43119 .19852 Metetra
.662 .74 .908 r
.43119 .19852 .43497 .20301 .44145 .20065 .43769 .19611 Metetra
.661 .737 .907 r
.43769 .19611 .44145 .20065 .44796 .19831 .4442 .19372 Metetra
.659 .734 .906 r
.4442 .19372 .44796 .19831 .45448 .19598 .45073 .19136 Metetra
.657 .733 .905 r
.45073 .19136 .45448 .19598 .46101 .19365 .45728 .18902 Metetra
.656 .733 .906 r
.45728 .18902 .46101 .19365 .46756 .19129 .46384 .18669 Metetra
.656 .734 .907 r
.46384 .18669 .46756 .19129 .47413 .18894 .47041 .18436 Metetra
.655 .736 .909 r
.47041 .18436 .47413 .18894 .48071 .18662 .47701 .18202 Metetra
.654 .735 .909 r
.47701 .18202 .48071 .18662 .48731 .18439 .48362 .17971 Metetra
.65 .73 .907 r
.48362 .17971 .48731 .18439 .49393 .18232 .49024 .17744 Metetra
.642 .718 .903 r
.49024 .17744 .49393 .18232 .50056 .18044 .49688 .1753 Metetra
.631 .701 .896 r
.49688 .1753 .50056 .18044 .5072 .17875 .50354 .17332 Metetra
.618 .683 .889 r
.50354 .17332 .5072 .17875 .51387 .1772 .51022 .17154 Metetra
.606 .668 .883 r
.51022 .17154 .51387 .1772 .52056 .1757 .51691 .16995 Metetra
.598 .66 .882 r
.51691 .16995 .52056 .1757 .52726 .1742 .52363 .16849 Metetra
.593 .661 .885 r
.52363 .16849 .52726 .1742 .53399 .17268 .53036 .1671 Metetra
.592 .666 .891 r
.53036 .1671 .53399 .17268 .54074 .1712 .53712 .16572 Metetra
.591 .671 .895 r
.53712 .16572 .54074 .1712 .54752 .16989 .5439 .16434 Metetra
.587 .666 .894 r
.5439 .16434 .54752 .16989 .55431 .16887 .5507 .16303 Metetra
.577 .649 .885 r
.5507 .16303 .55431 .16887 .56114 .16821 .55753 .16188 Metetra
.563 .623 .87 r
.55753 .16188 .56114 .16821 .56799 .16784 .56438 .16098 Metetra
.547 .595 .854 r
.56438 .16098 .56799 .16784 .57488 .1676 .57126 .16037 Metetra
.537 .577 .843 r
.57126 .16037 .57488 .1676 .58179 .16722 .57817 .15995 Metetra
.536 .576 .842 r
.57817 .15995 .58179 .16722 .58871 .16646 .58511 .15956 Metetra
.546 .594 .854 r
.58511 .15956 .58871 .16646 .59566 .1652 .59207 .15896 Metetra
.568 .632 .875 r
.59207 .15896 .59566 .1652 .60261 .16343 .59905 .15796 Metetra
.597 .679 .899 r
.59905 .15796 .60261 .16343 .60957 .16131 .60604 .15645 Metetra
.625 .722 .916 r
.60604 .15645 .60957 .16131 .61655 .15905 .61304 .15446 Metetra
.646 .746 .922 r
.61304 .15446 .61655 .15905 .62355 .15682 .62005 .15215 Metetra
.656 .746 .916 r
.62005 .15215 .62355 .15682 .63057 .15465 .62707 .14967 Metetra
.657 .731 .904 r
.62707 .14967 .63057 .15465 .6376 .15242 .63411 .14715 Metetra
.657 .718 .893 r
.63411 .14715 .6376 .15242 .64465 .14992 .64116 .1446 Metetra
.663 .719 .89 r
.64116 .1446 .64465 .14992 .65169 .14693 .64823 .14193 Metetra
.68 .742 .897 r
.64823 .14193 .65169 .14693 .65872 .14331 .6553 .13897 Metetra
.708 .786 .912 r
.6553 .13897 .65872 .14331 .66574 .13908 .66237 .13555 Metetra
.74 .841 .927 r
.66237 .13555 .66574 .13908 .67274 .13443 .66943 .13162 Metetra
.765 .89 .933 r
.66943 .13162 .67274 .13443 .67975 .12961 .67648 .12723 Metetra
.779 .918 .931 r
.67648 .12723 .67975 .12961 .68677 .12489 .68352 .12254 Metetra
.783 .921 .93 r
.68352 .12254 .68677 .12489 .69381 .12044 .69056 .11777 Metetra
.777 .903 .929 r
.69056 .11777 .69381 .12044 .70088 .11632 .69762 .11313 Metetra
.764 .871 .926 r
.69762 .11313 .70088 .11632 .70797 .11245 .7047 .10875 Metetra
.747 .838 .92 r
.7047 .10875 .70797 .11245 .71509 .10871 .71181 .10464 Metetra
.733 .814 .915 r
.71181 .10464 .71509 .10871 .72222 .10496 .71895 .10076 Metetra
.726 .805 .914 r
.71895 .10076 .72222 .10496 .72936 .10112 .72611 .09699 Metetra
.725 .809 .917 r
.72611 .09699 .72936 .10112 .7365 .0972 .73329 .09325 Metetra
.727 .821 .923 r
.73329 .09325 .7365 .0972 .74366 .09325 .74047 .08947 Metetra
.525 .758 .982 r
.09701 .32286 .1014 .32583 .10702 .32459 .10258 .32203 Metetra
.46 .761 .995 r
.10258 .32203 .10702 .32459 .11261 .32364 .10813 .32149 Metetra
.39 .756 .992 r
.10813 .32149 .11261 .32364 .11818 .32303 .11367 .32115 Metetra
.345 .75 .982 r
.11367 .32115 .11818 .32303 .12373 .32273 .11922 .32089 Metetra
.351 .756 .983 r
.11922 .32089 .12373 .32273 .12928 .32261 .1248 .32057 Metetra
.401 .769 .993 r
.1248 .32057 .12928 .32261 .13484 .3225 .13041 .32011 Metetra
.461 .774 .997 r
.13041 .32011 .13484 .3225 .14044 .32223 .13606 .31947 Metetra
.503 .767 .991 r
.13606 .31947 .14044 .32223 .14609 .3217 .14175 .3187 Metetra
.52 .759 .983 r
.14175 .3187 .14609 .3217 .1518 .3209 .14746 .31788 Metetra
.517 .757 .983 r
.14746 .31788 .1518 .3209 .15754 .31992 .15319 .31708 Metetra
.505 .764 .989 r
.15319 .31708 .15754 .31992 .16331 .31888 .15894 .31631 Metetra
.501 .78 .995 r
.15894 .31631 .16331 .31888 .16909 .31788 .1647 .31547 Metetra
.527 .8 .996 r
.1647 .31547 .16909 .31788 .17488 .31692 .17052 .31438 Metetra
.588 .813 .985 r
.17052 .31438 .17488 .31692 .1807 .31587 .1764 .31284 Metetra
.654 .8 .953 r
.1764 .31284 .1807 .31587 .18657 .31453 .18236 .31071 Metetra
.697 .765 .905 r
.18236 .31071 .18657 .31453 .19251 .31266 .18841 .30794 Metetra
.715 .726 .859 r
.18841 .30794 .19251 .31266 .19853 .31013 .19452 .30461 Metetra
.719 .697 .828 r
.19452 .30461 .19853 .31013 .20464 .30691 .20069 .30091 Metetra
.718 .68 .812 r
.20069 .30091 .20464 .30691 .21081 .30316 .20688 .29703 Metetra
.717 .676 .809 r
.20688 .29703 .21081 .30316 .21702 .29909 .21307 .29313 Metetra
.717 .682 .815 r
.21307 .29313 .21702 .29909 .22324 .29496 .21927 .28929 Metetra
.72 .693 .823 r
.21927 .28929 .22324 .29496 .22946 .29093 .22548 .28549 Metetra
.724 .703 .83 r
.22548 .28549 .22946 .29093 .23567 .28705 .23169 .28166 Metetra
.728 .706 .83 r
.23169 .28166 .23567 .28705 .24188 .28328 .23792 .27775 Metetra
.729 .702 .824 r
.23792 .27775 .24188 .28328 .2481 .27953 .24417 .27374 Metetra
.727 .693 .817 r
.24417 .27374 .2481 .27953 .25433 .27569 .25043 .26968 Metetra
.722 .684 .812 r
.25043 .26968 .25433 .27569 .26058 .27177 .25669 .26566 Metetra
.716 .679 .813 r
.25669 .26566 .26058 .27177 .26683 .2678 .26294 .26179 Metetra
.709 .68 .82 r
.26294 .26179 .26683 .2678 .27309 .2639 .26919 .25815 Metetra
.702 .687 .833 r
.26919 .25815 .27309 .2639 .27935 .26017 .27542 .25479 Metetra
.696 .699 .849 r
.27542 .25479 .27935 .26017 .28559 .2567 .28164 .25166 Metetra
.691 .712 .865 r
.28164 .25166 .28559 .2567 .29182 .25351 .28786 .24873 Metetra
.688 .723 .877 r
.28786 .24873 .29182 .25351 .29804 .25056 .29408 .24592 Metetra
.685 .73 .884 r
.29408 .24592 .29804 .25056 .30426 .24778 .3003 .24318 Metetra
.683 .731 .887 r
.3003 .24318 .30426 .24778 .31049 .2451 .30654 .24048 Metetra
.681 .73 .888 r
.30654 .24048 .31049 .2451 .31673 .24246 .31279 .23782 Metetra
.678 .729 .888 r
.31279 .23782 .31673 .24246 .32298 .23985 .31904 .23521 Metetra
.675 .728 .89 r
.31904 .23521 .32298 .23985 .32924 .23725 .32531 .23265 Metetra
.671 .73 .894 r
.32531 .23265 .32924 .23725 .33551 .23468 .33159 .23015 Metetra
.668 .732 .898 r
.33159 .23015 .33551 .23468 .34179 .23216 .33787 .2277 Metetra
.666 .736 .902 r
.33787 .2277 .34179 .23216 .34809 .2297 .34417 .22529 Metetra
.665 .739 .905 r
.34417 .22529 .34809 .2297 .35439 .22727 .35048 .2229 Metetra
.664 .741 .907 r
.35048 .2229 .35439 .22727 .36071 .22488 .35681 .22052 Metetra
.664 .742 .908 r
.35681 .22052 .36071 .22488 .36704 .22251 .36315 .21813 Metetra
.664 .742 .908 r
.36315 .21813 .36704 .22251 .37339 .22014 .36951 .21574 Metetra
.664 .741 .907 r
.36951 .21574 .37339 .22014 .37975 .21776 .37588 .21334 Metetra
.664 .74 .907 r
.37588 .21334 .37975 .21776 .38612 .21538 .38226 .21093 Metetra
.664 .74 .906 r
.38226 .21093 .38612 .21538 .39252 .21298 .38867 .20853 Metetra
.664 .739 .906 r
.38867 .20853 .39252 .21298 .39892 .21059 .39508 .20612 Metetra
.663 .739 .907 r
.39508 .20612 .39892 .21059 .40535 .20818 .40151 .20371 Metetra
.663 .74 .907 r
.40151 .20371 .40535 .20818 .41178 .20577 .40796 .2013 Metetra
.663 .74 .907 r
.40796 .2013 .41178 .20577 .41824 .20336 .41442 .19889 Metetra
.663 .741 .908 r
.41442 .19889 .41824 .20336 .42471 .20094 .4209 .19646 Metetra
.663 .741 .908 r
.4209 .19646 .42471 .20094 .43119 .19852 .4274 .19403 Metetra
.663 .741 .908 r
.4274 .19403 .43119 .19852 .43769 .19611 .4339 .1916 Metetra
.663 .74 .907 r
.4339 .1916 .43769 .19611 .4442 .19372 .44043 .18916 Metetra
.661 .738 .907 r
.44043 .18916 .4442 .19372 .45073 .19136 .44697 .18674 Metetra
.66 .735 .905 r
.44697 .18674 .45073 .19136 .45728 .18902 .45353 .18435 Metetra
.657 .732 .905 r
.45353 .18435 .45728 .18902 .46384 .18669 .4601 .18198 Metetra
.655 .73 .904 r
.4601 .18198 .46384 .18669 .47041 .18436 .46668 .17964 Metetra
.654 .73 .905 r
.46668 .17964 .47041 .18436 .47701 .18202 .47329 .17732 Metetra
.653 .73 .906 r
.47329 .17732 .47701 .18202 .48362 .17971 .4799 .17501 Metetra
.652 .731 .907 r
.4799 .17501 .48362 .17971 .49024 .17744 .48654 .17271 Metetra
.649 .729 .907 r
.48654 .17271 .49024 .17744 .49688 .1753 .49319 .17045 Metetra
.644 .721 .905 r
.49319 .17045 .49688 .1753 .50354 .17332 .49986 .16827 Metetra
.635 .708 .9 r
.49986 .16827 .50354 .17332 .51022 .17154 .50655 .16622 Metetra
.623 .691 .893 r
.50655 .16622 .51022 .17154 .51691 .16995 .51325 .16435 Metetra
.61 .674 .886 r
.51325 .16435 .51691 .16995 .52363 .16849 .51997 .16268 Metetra
.598 .66 .881 r
.51997 .16268 .52363 .16849 .53036 .1671 .52672 .1612 Metetra
.59 .652 .88 r
.52672 .1612 .53036 .1671 .53712 .16572 .53348 .15985 Metetra
.585 .652 .882 r
.53348 .15985 .53712 .16572 .5439 .16434 .54027 .15857 Metetra
.583 .656 .887 r
.54027 .15857 .5439 .16434 .5507 .16303 .54708 .1573 Metetra
.582 .658 .889 r
.54708 .1573 .5507 .16303 .55753 .16188 .55391 .15606 Metetra
.577 .652 .887 r
.55391 .15606 .55753 .16188 .56438 .16098 .56076 .15489 Metetra
.569 .637 .879 r
.56076 .15489 .56438 .16098 .57126 .16037 .56765 .15387 Metetra
.557 .615 .866 r
.56765 .15387 .57126 .16037 .57817 .15995 .57456 .15305 Metetra
.547 .595 .854 r
.57456 .15305 .57817 .15995 .58511 .15956 .58149 .15243 Metetra
.541 .585 .847 r
.58149 .15243 .58511 .15956 .59207 .15896 .58846 .15191 Metetra
.545 .59 .85 r
.58846 .15191 .59207 .15896 .59905 .15796 .59545 .15131 Metetra
.559 .613 .863 r
.59545 .15131 .59905 .15796 .60604 .15645 .60247 .15045 Metetra
.583 .651 .883 r
.60247 .15045 .60604 .15645 .61304 .15446 .60949 .14916 Metetra
.612 .696 .904 r
.60949 .14916 .61304 .15446 .62005 .15215 .61653 .14737 Metetra
.64 .735 .918 r
.61653 .14737 .62005 .15215 .62707 .14967 .62357 .14514 Metetra
.659 .756 .922 r
.62357 .14514 .62707 .14967 .63411 .14715 .63062 .14258 Metetra
.67 .759 .917 r
.63062 .14258 .63411 .14715 .64116 .1446 .63768 .13984 Metetra
.674 .751 .909 r
.63768 .13984 .64116 .1446 .64823 .14193 .64475 .13701 Metetra
.678 .745 .902 r
.64475 .13701 .64823 .14193 .6553 .13897 .65184 .13409 Metetra
.687 .752 .901 r
.65184 .13409 .6553 .13897 .66237 .13555 .65894 .13101 Metetra
.704 .776 .908 r
.65894 .13101 .66237 .13555 .66943 .13162 .66604 .12764 Metetra
.728 .814 .918 r
.66604 .12764 .66943 .13162 .67648 .12723 .67313 .12388 Metetra
.752 .858 .928 r
.67313 .12388 .67648 .12723 .68352 .12254 .68022 .11972 Metetra
.77 .893 .931 r
.68022 .11972 .68352 .12254 .69056 .11777 .6873 .11522 Metetra
.778 .911 .93 r
.6873 .11522 .69056 .11777 .69762 .11313 .69438 .11053 Metetra
.779 .909 .93 r
.69438 .11053 .69762 .11313 .7047 .10875 .70146 .10583 Metetra
.771 .891 .929 r
.70146 .10583 .7047 .10875 .71181 .10464 .70857 .10129 Metetra
.758 .863 .926 r
.70857 .10129 .71181 .10464 .71895 .10076 .7157 .09698 Metetra
.743 .835 .921 r
.7157 .09698 .71895 .10076 .72611 .09699 .72285 .09291 Metetra
.731 .816 .917 r
.72285 .09291 .72611 .09699 .73329 .09325 .73004 .08905 Metetra
.724 .807 .917 r
.73004 .08905 .73329 .09325 .74047 .08947 .73724 .0853 Metetra
.454 .766 .996 r
.09252 .32042 .09701 .32286 .10258 .32203 .09806 .31986 Metetra
.409 .764 .995 r
.09806 .31986 .10258 .32203 .10813 .32149 .10361 .31942 Metetra
.394 .764 .993 r
.10361 .31942 .10813 .32149 .11367 .32115 .10916 .31901 Metetra
.411 .768 .995 r
.10916 .31901 .11367 .32115 .11922 .32089 .11475 .31854 Metetra
.444 .77 .997 r
.11475 .31854 .11922 .32089 .1248 .32057 .12036 .31798 Metetra
.473 .767 .995 r
.12036 .31798 .1248 .32057 .13041 .32011 .126 .31734 Metetra
.486 .761 .991 r
.126 .31734 .13041 .32011 .13606 .31947 .13167 .31668 Metetra
.483 .759 .991 r
.13167 .31668 .13606 .31947 .14175 .3187 .13735 .31604 Metetra
.471 .763 .994 r
.13735 .31604 .14175 .3187 .14746 .31788 .14304 .31543 Metetra
.466 .774 .997 r
.14304 .31543 .14746 .31788 .15319 .31708 .14876 .31476 Metetra
.487 .791 .998 r
.14876 .31476 .15319 .31708 .15894 .31631 .15452 .3139 Metetra
.545 .807 .994 r
.15452 .3139 .15894 .31631 .1647 .31547 .16034 .31267 Metetra
.616 .805 .972 r
.16034 .31267 .1647 .31547 .17052 .31438 .16624 .31093 Metetra
.67 .78 .932 r
.16624 .31093 .17052 .31438 .1764 .31284 .17222 .3086 Metetra
.699 .745 .887 r
.17222 .3086 .1764 .31284 .18236 .31071 .17827 .30572 Metetra
.71 .715 .852 r
.17827 .30572 .18236 .31071 .18841 .30794 .18438 .30242 Metetra
.714 .695 .831 r
.18438 .30242 .18841 .30794 .19452 .30461 .19052 .29885 Metetra
.715 .687 .822 r
.19052 .29885 .19452 .30461 .20069 .30091 .19669 .29516 Metetra
.716 .688 .822 r
.19669 .29516 .20069 .30091 .20688 .29703 .20287 .29143 Metetra
.719 .695 .826 r
.20287 .29143 .20688 .29703 .21307 .29313 .20906 .28766 Metetra
.724 .702 .829 r
.20906 .28766 .21307 .29313 .21927 .28929 .21527 .28383 Metetra
.728 .703 .827 r
.21527 .28383 .21927 .28929 .22548 .28549 .2215 .27989 Metetra
.73 .699 .821 r
.2215 .27989 .22548 .28549 .23169 .28166 .22774 .27583 Metetra
.729 .691 .814 r
.22774 .27583 .23169 .28166 .23792 .27775 .234 .27169 Metetra
.725 .683 .809 r
.234 .27169 .23792 .27775 .24417 .27374 .24026 .26757 Metetra
.719 .678 .809 r
.24026 .26757 .24417 .27374 .25043 .26968 .24652 .26357 Metetra
.713 .678 .814 r
.24652 .26357 .25043 .26968 .25669 .26566 .25277 .25978 Metetra
.707 .684 .825 r
.25277 .25978 .25669 .26566 .26294 .26179 .259 .25623 Metetra
.702 .694 .84 r
.259 .25623 .26294 .26179 .26919 .25815 .26522 .25293 Metetra
.697 .706 .855 r
.26522 .25293 .26919 .25815 .27542 .25479 .27144 .24983 Metetra
.693 .717 .867 r
.27144 .24983 .27542 .25479 .28164 .25166 .27765 .24687 Metetra
.69 .724 .875 r
.27765 .24687 .28164 .25166 .28786 .24873 .28387 .24401 Metetra
.687 .727 .88 r
.28387 .24401 .28786 .24873 .29408 .24592 .2901 .24121 Metetra
.684 .727 .882 r
.2901 .24121 .29408 .24592 .3003 .24318 .29634 .23848 Metetra
.681 .726 .884 r
.29634 .23848 .3003 .24318 .30654 .24048 .30258 .2358 Metetra
.677 .727 .887 r
.30258 .2358 .30654 .24048 .31279 .23782 .30883 .23318 Metetra
.674 .728 .891 r
.30883 .23318 .31279 .23782 .31904 .23521 .31509 .23064 Metetra
.67 .731 .896 r
.31509 .23064 .31904 .23521 .32531 .23265 .32136 .22816 Metetra
.668 .735 .9 r
.32136 .22816 .32531 .23265 .33159 .23015 .32764 .22572 Metetra
.666 .738 .904 r
.32764 .22572 .33159 .23015 .33787 .2277 .33393 .22331 Metetra
.665 .74 .906 r
.33393 .22331 .33787 .2277 .34417 .22529 .34024 .22092 Metetra
.665 .742 .907 r
.34024 .22092 .34417 .22529 .35048 .2229 .34656 .21852 Metetra
.665 .742 .908 r
.34656 .21852 .35048 .2229 .35681 .22052 .35289 .21613 Metetra
.665 .741 .907 r
.35289 .21613 .35681 .22052 .36315 .21813 .35925 .21372 Metetra
.664 .741 .907 r
.35925 .21372 .36315 .21813 .36951 .21574 .36561 .21132 Metetra
.664 .741 .907 r
.36561 .21132 .36951 .21574 .37588 .21334 .37199 .20891 Metetra
.664 .741 .907 r
.37199 .20891 .37588 .21334 .38226 .21093 .37839 .20649 Metetra
.664 .741 .908 r
.37839 .20649 .38226 .21093 .38867 .20853 .3848 .20408 Metetra
.664 .741 .908 r
.3848 .20408 .38867 .20853 .39508 .20612 .39122 .20167 Metetra
.663 .741 .908 r
.39122 .20167 .39508 .20612 .40151 .20371 .39767 .19925 Metetra
.663 .741 .908 r
.39767 .19925 .40151 .20371 .40796 .2013 .40412 .19683 Metetra
.663 .741 .908 r
.40412 .19683 .40796 .2013 .41442 .19889 .41059 .1944 Metetra
.663 .741 .908 r
.41059 .1944 .41442 .19889 .4209 .19646 .41708 .19197 Metetra
.663 .741 .908 r
.41708 .19197 .4209 .19646 .4274 .19403 .42358 .18954 Metetra
.663 .742 .908 r
.42358 .18954 .4274 .19403 .4339 .1916 .4301 .18709 Metetra
.663 .742 .909 r
.4301 .18709 .4339 .1916 .44043 .18916 .43664 .18464 Metetra
.663 .741 .908 r
.43664 .18464 .44043 .18916 .44697 .18674 .44319 .18219 Metetra
.662 .74 .908 r
.44319 .18219 .44697 .18674 .45353 .18435 .44976 .17974 Metetra
.661 .737 .907 r
.44976 .17974 .45353 .18435 .4601 .18198 .45634 .17732 Metetra
.658 .734 .906 r
.45634 .17732 .4601 .18198 .46668 .17964 .46294 .17492 Metetra
.656 .731 .905 r
.46294 .17492 .46668 .17964 .47329 .17732 .46955 .17256 Metetra
.653 .728 .904 r
.46955 .17256 .47329 .17732 .4799 .17501 .47618 .17023 Metetra
.651 .727 .905 r
.47618 .17023 .4799 .17501 .48654 .17271 .48282 .16793 Metetra
.649 .727 .906 r
.48282 .16793 .48654 .17271 .49319 .17045 .48948 .16565 Metetra
.647 .726 .906 r
.48948 .16565 .49319 .17045 .49986 .16827 .49616 .1634 Metetra
.643 .722 .905 r
.49616 .1634 .49986 .16827 .50655 .16622 .50286 .16121 Metetra
.636 .713 .902 r
.50286 .16121 .50655 .16622 .51325 .16435 .50957 .15912 Metetra
.626 .698 .897 r
.50957 .15912 .51325 .16435 .51997 .16268 .5163 .15718 Metetra
.614 .681 .89 r
.5163 .15718 .51997 .16268 .52672 .1612 .52306 .15543 Metetra
.601 .664 .883 r
.52306 .15543 .52672 .1612 .53348 .15985 .52983 .15388 Metetra
.59 .651 .878 r
.52983 .15388 .53348 .15985 .54027 .15857 .53662 .15252 Metetra
.582 .644 .877 r
.53662 .15252 .54027 .15857 .54708 .1573 .54344 .15128 Metetra
.578 .644 .879 r
.54344 .15128 .54708 .1573 .55391 .15606 .55027 .1501 Metetra
.575 .646 .883 r
.55027 .1501 .55391 .15606 .56076 .15489 .55714 .14895 Metetra
.573 .646 .884 r
.55714 .14895 .56076 .15489 .56765 .15387 .56402 .14783 Metetra
.569 .641 .882 r
.56402 .14783 .56765 .15387 .57456 .15305 .57094 .14677 Metetra
.563 .628 .874 r
.57094 .14677 .57456 .15305 .58149 .15243 .57788 .14582 Metetra
.555 .612 .864 r
.57788 .14582 .58149 .15243 .58846 .15191 .58484 .14502 Metetra
.549 .599 .856 r
.58484 .14502 .58846 .15191 .59545 .15131 .59184 .14433 Metetra
.549 .596 .853 r
.59184 .14433 .59545 .15131 .60247 .15045 .59886 .14364 Metetra
.558 .607 .858 r
.59886 .14364 .60247 .15045 .60949 .14916 .6059 .1428 Metetra
.575 .634 .872 r
.6059 .1428 .60949 .14916 .61653 .14737 .61296 .14163 Metetra
.601 .673 .891 r
.61296 .14163 .61653 .14737 .62357 .14514 .62003 .14001 Metetra
.63 .715 .908 r
.62003 .14001 .62357 .14514 .63062 .14258 .62711 .13792 Metetra
.656 .75 .92 r
.62711 .13792 .63062 .14258 .63768 .13984 .63419 .13541 Metetra
.674 .77 .922 r
.63419 .13541 .63768 .13984 .64475 .13701 .64128 .13258 Metetra
.685 .775 .919 r
.64128 .13258 .64475 .13701 .65184 .13409 .64838 .12956 Metetra
.691 .772 .913 r
.64838 .12956 .65184 .13409 .65894 .13101 .65549 .12642 Metetra
.697 .772 .909 r
.65549 .12642 .65894 .13101 .66604 .12764 .66261 .12315 Metetra
.707 .782 .91 r
.66261 .12315 .66604 .12764 .67313 .12388 .66973 .11971 Metetra
.723 .804 .915 r
.66973 .11971 .67313 .12388 .68022 .11972 .67686 .116 Metetra
.742 .836 .922 r
.67686 .116 .68022 .11972 .6873 .11522 .68398 .11198 Metetra
.76 .869 .928 r
.68398 .11198 .6873 .11522 .69438 .11053 .6911 .10765 Metetra
.771 .893 .93 r
.6911 .10765 .69438 .11053 .70146 .10583 .69822 .10309 Metetra
.776 .902 .93 r
.69822 .10309 .70146 .10583 .70857 .10129 .70534 .09844 Metetra
.773 .897 .93 r
.70534 .09844 .70857 .10129 .7157 .09698 .71247 .09383 Metetra
.764 .878 .929 r
.71247 .09383 .7157 .09698 .72285 .09291 .71962 .08939 Metetra
.752 .854 .926 r
.71962 .08939 .72285 .09291 .73004 .08905 .72679 .08517 Metetra
.738 .831 .922 r
.72679 .08517 .73004 .08905 .73724 .0853 .734 .08117 Metetra
.438 .77 .997 r
.08799 .31812 .09252 .32042 .09806 .31986 .09354 .31758 Metetra
.434 .769 .997 r
.09354 .31758 .09806 .31986 .10361 .31942 .0991 .31705 Metetra
.445 .768 .997 r
.0991 .31705 .10361 .31942 .10916 .31901 .10468 .31649 Metetra
.458 .765 .996 r
.10468 .31649 .10916 .31901 .11475 .31854 .11029 .31591 Metetra
.463 .761 .994 r
.11029 .31591 .11475 .31854 .12036 .31798 .11591 .31534 Metetra
.457 .758 .994 r
.11591 .31534 .12036 .31798 .126 .31734 .12154 .31481 Metetra
.443 .759 .995 r
.12154 .31481 .126 .31734 .13167 .31668 .12719 .31431 Metetra
.434 .766 .997 r
.12719 .31431 .13167 .31668 .13735 .31604 .13286 .31379 Metetra
.449 .78 .998 r
.13286 .31379 .13735 .31604 .14304 .31543 .13857 .31313 Metetra
.499 .798 .999 r
.13857 .31313 .14304 .31543 .14876 .31476 .14433 .31218 Metetra
.571 .805 .988 r
.14433 .31218 .14876 .31476 .15452 .3139 .15016 .31079 Metetra
.636 .791 .957 r
.15016 .31079 .15452 .3139 .16034 .31267 .15607 .30888 Metetra
.676 .763 .916 r
.15607 .30888 .16034 .31267 .16624 .31093 .16205 .30645 Metetra
.697 .734 .879 r
.16205 .30645 .16624 .31093 .17222 .3086 .1681 .30358 Metetra
.706 .712 .853 r
.1681 .30358 .17222 .3086 .17827 .30572 .1742 .30037 Metetra
.71 .701 .839 r
.1742 .30037 .17827 .30572 .18438 .30242 .18032 .29695 Metetra
.713 .698 .834 r
.18032 .29695 .18438 .30242 .19052 .29885 .18648 .2934 Metetra
.718 .7 .832 r
.18648 .2934 .19052 .29885 .19669 .29516 .19265 .28975 Metetra
.723 .703 .831 r
.19265 .28975 .19669 .29516 .20287 .29143 .19884 .28597 Metetra
.727 .703 .828 r
.19884 .28597 .20287 .29143 .20906 .28766 .20505 .28205 Metetra
.73 .699 .821 r
.20505 .28205 .20906 .28766 .21527 .28383 .21129 .27799 Metetra
.73 .691 .813 r
.21129 .27799 .21527 .28383 .2215 .27989 .21754 .27382 Metetra
.727 .683 .808 r
.21754 .27382 .2215 .27989 .22774 .27583 .22381 .26962 Metetra
.723 .678 .806 r
.22381 .26962 .22774 .27583 .234 .27169 .23007 .26551 Metetra
.717 .677 .81 r
.23007 .26551 .234 .27169 .24026 .26757 .23632 .26156 Metetra
.712 .681 .819 r
.23632 .26156 .24026 .26757 .24652 .26357 .24256 .25784 Metetra
.707 .69 .831 r
.24256 .25784 .24652 .26357 .25277 .25978 .24879 .25435 Metetra
.703 .7 .845 r
.24879 .25435 .25277 .25978 .259 .25623 .25501 .25107 Metetra
.699 .71 .857 r
.25501 .25107 .259 .25623 .26522 .25293 .26122 .24796 Metetra
.695 .717 .866 r
.26122 .24796 .26522 .25293 .27144 .24983 .26744 .24496 Metetra
.692 .721 .872 r
.26744 .24496 .27144 .24983 .27765 .24687 .27365 .24205 Metetra
.688 .723 .876 r
.27365 .24205 .27765 .24687 .28387 .24401 .27988 .23921 Metetra
.684 .723 .879 r
.27988 .23921 .28387 .24401 .2901 .24121 .28611 .23645 Metetra
.68 .724 .883 r
.28611 .23645 .2901 .24121 .29634 .23848 .29235 .23377 Metetra
.676 .726 .887 r
.29235 .23377 .29634 .23848 .30258 .2358 .29859 .23117 Metetra
.673 .729 .892 r
.29859 .23117 .30258 .2358 .30883 .23318 .30485 .22865 Metetra
.67 .733 .897 r
.30485 .22865 .30883 .23318 .31509 .23064 .31111 .22617 Metetra
.667 .736 .902 r
.31111 .22617 .31509 .23064 .32136 .22816 .31738 .22374 Metetra
.666 .739 .904 r
.31738 .22374 .32136 .22816 .32764 .22572 .32367 .22132 Metetra
.666 .74 .906 r
.32367 .22132 .32764 .22572 .33393 .22331 .32997 .21892 Metetra
.665 .741 .906 r
.32997 .21892 .33393 .22331 .34024 .22092 .33629 .21651 Metetra
.665 .741 .906 r
.33629 .21651 .34024 .22092 .34656 .21852 .34262 .2141 Metetra
.665 .74 .906 r
.34262 .2141 .34656 .21852 .35289 .21613 .34896 .21169 Metetra
.664 .74 .906 r
.34896 .21169 .35289 .21613 .35925 .21372 .35532 .20928 Metetra
.664 .74 .907 r
.35532 .20928 .35925 .21372 .36561 .21132 .3617 .20687 Metetra
.664 .74 .907 r
.3617 .20687 .36561 .21132 .37199 .20891 .36809 .20445 Metetra
.664 .741 .907 r
.36809 .20445 .37199 .20891 .37839 .20649 .37449 .20204 Metetra
.664 .741 .908 r
.37449 .20204 .37839 .20649 .3848 .20408 .38091 .19962 Metetra
.664 .741 .908 r
.38091 .19962 .3848 .20408 .39122 .20167 .38735 .19719 Metetra
.664 .741 .908 r
.38735 .19719 .39122 .20167 .39767 .19925 .3938 .19476 Metetra
.663 .741 .908 r
.3938 .19476 .39767 .19925 .40412 .19683 .40027 .19233 Metetra
.663 .741 .908 r
.40027 .19233 .40412 .19683 .41059 .1944 .40675 .18989 Metetra
.663 .741 .908 r
.40675 .18989 .41059 .1944 .41708 .19197 .41324 .18744 Metetra
.663 .74 .907 r
.41324 .18744 .41708 .19197 .42358 .18954 .41976 .185 Metetra
.663 .74 .908 r
.41976 .185 .42358 .18954 .4301 .18709 .42629 .18255 Metetra
.663 .741 .908 r
.42629 .18255 .4301 .18709 .43664 .18464 .43283 .18009 Metetra
.663 .741 .908 r
.43283 .18009 .43664 .18464 .44319 .18219 .43939 .17763 Metetra
.663 .741 .908 r
.43939 .17763 .44319 .18219 .44976 .17974 .44597 .17516 Metetra
.662 .74 .908 r
.44597 .17516 .44976 .17974 .45634 .17732 .45256 .1727 Metetra
.661 .739 .907 r
.45256 .1727 .45634 .17732 .46294 .17492 .45917 .17025 Metetra
.659 .736 .906 r
.45917 .17025 .46294 .17492 .46955 .17256 .46579 .16782 Metetra
.656 .732 .905 r
.46579 .16782 .46955 .17256 .47618 .17023 .47243 .16543 Metetra
.653 .728 .904 r
.47243 .16543 .47618 .17023 .48282 .16793 .47909 .16308 Metetra
.65 .726 .904 r
.47909 .16308 .48282 .16793 .48948 .16565 .48576 .16077 Metetra
.648 .724 .904 r
.48576 .16077 .48948 .16565 .49616 .1634 .49245 .1585 Metetra
.645 .722 .904 r
.49245 .1585 .49616 .1634 .50286 .16121 .49916 .15627 Metetra
.641 .719 .904 r
.49916 .15627 .50286 .16121 .50957 .15912 .50588 .15408 Metetra
.636 .713 .903 r
.50588 .15408 .50957 .15912 .5163 .15718 .51262 .15198 Metetra
.628 .702 .899 r
.51262 .15198 .5163 .15718 .52306 .15543 .51938 .15 Metetra
.617 .688 .893 r
.51938 .15 .52306 .15543 .52983 .15388 .52616 .14819 Metetra
.605 .67 .886 r
.52616 .14819 .52983 .15388 .53662 .15252 .53296 .14657 Metetra
.592 .654 .88 r
.53296 .14657 .53662 .15252 .54344 .15128 .53978 .14515 Metetra
.582 .642 .876 r
.53978 .14515 .54344 .15128 .55027 .1501 .54663 .1439 Metetra
.574 .636 .875 r
.54663 .1439 .55027 .1501 .55714 .14895 .5535 .14277 Metetra
.57 .635 .877 r
.5535 .14277 .55714 .14895 .56402 .14783 .56039 .14169 Metetra
.569 .637 .879 r
.56039 .14169 .56402 .14783 .57094 .14677 .56731 .14064 Metetra
.567 .637 .88 r
.56731 .14064 .57094 .14677 .57788 .14582 .57425 .1396 Metetra
.564 .633 .878 r
.57425 .1396 .57788 .14582 .58484 .14502 .58122 .13861 Metetra
.56 .623 .872 r
.58122 .13861 .58484 .14502 .59184 .14433 .58822 .13768 Metetra
.557 .613 .865 r
.58822 .13768 .59184 .14433 .59886 .14364 .59524 .13684 Metetra
.556 .607 .86 r
.59524 .13684 .59886 .14364 .6059 .1428 .60229 .13601 Metetra
.561 .611 .86 r
.60229 .13601 .6059 .1428 .61296 .14163 .60936 .1351 Metetra
.573 .627 .868 r
.60936 .1351 .61296 .14163 .62003 .14001 .61646 .13396 Metetra
.594 .657 .882 r
.61646 .13396 .62003 .14001 .62711 .13792 .62356 .13245 Metetra
.62 .696 .898 r
.62356 .13245 .62711 .13792 .63419 .13541 .63067 .13049 Metetra
.648 .736 .913 r
.63067 .13049 .63419 .13541 .64128 .13258 .63779 .12808 Metetra
.672 .767 .922 r
.63779 .12808 .64128 .13258 .64838 .12956 .64491 .12526 Metetra
.69 .785 .924 r
.64491 .12526 .64838 .12956 .65549 .12642 .65204 .12216 Metetra
.701 .792 .921 r
.65204 .12216 .65549 .12642 .66261 .12315 .65917 .11885 Metetra
.708 .793 .917 r
.65917 .11885 .66261 .12315 .66973 .11971 .66631 .11541 Metetra
.715 .796 .915 r
.66631 .11541 .66973 .11971 .67686 .116 .67346 .11183 Metetra
.725 .807 .915 r
.67346 .11183 .67686 .116 .68398 .11198 .68062 .10807 Metetra
.738 .826 .919 r
.68062 .10807 .68398 .11198 .6911 .10765 .68777 .1041 Metetra
.752 .851 .924 r
.68777 .1041 .6911 .10765 .69822 .10309 .69492 .09988 Metetra
.764 .874 .928 r
.69492 .09988 .69822 .10309 .70534 .09844 .70208 .09545 Metetra
.77 .889 .929 r
.70208 .09545 .70534 .09844 .71247 .09383 .70923 .09089 Metetra
.771 .893 .93 r
.70923 .09089 .71247 .09383 .71962 .08939 .71639 .0863 Metetra
.766 .884 .93 r
.71639 .0863 .71962 .08939 .72679 .08517 .72357 .08179 Metetra
.757 .866 .929 r
.72357 .08179 .72679 .08517 .734 .08117 .73077 .07746 Metetra
.459 .769 .997 r
.08346 .31566 .08799 .31812 .09354 .31758 .08902 .31506 Metetra
.458 .765 .996 r
.08902 .31506 .09354 .31758 .0991 .31705 .09459 .31448 Metetra
.454 .761 .995 r
.09459 .31448 .0991 .31705 .10468 .31649 .10018 .31394 Metetra
.442 .757 .995 r
.10018 .31394 .10468 .31649 .11029 .31591 .10578 .31346 Metetra
.424 .756 .995 r
.10578 .31346 .11029 .31591 .11591 .31534 .11139 .31303 Metetra
.411 .759 .995 r
.11139 .31303 .11591 .31534 .12154 .31481 .11701 .31262 Metetra
.416 .769 .996 r
.11701 .31262 .12154 .31481 .12719 .31431 .12267 .31211 Metetra
.455 .786 .999 r
.12267 .31211 .12719 .31431 .13286 .31379 .12837 .31139 Metetra
.522 .8 .996 r
.12837 .31139 .13286 .31379 .13857 .31313 .13414 .31032 Metetra
.593 .798 .978 r
.13414 .31032 .13857 .31313 .14433 .31218 .13998 .3088 Metetra
.646 .778 .944 r
.13998 .3088 .14433 .31218 .15016 .31079 .14589 .3068 Metetra
.677 .752 .908 r
.14589 .3068 .15016 .31079 .15607 .30888 .15187 .30435 Metetra
.693 .73 .879 r
.15187 .30435 .15607 .30888 .16205 .30645 .1579 .30154 Metetra
.702 .716 .86 r
.1579 .30154 .16205 .30645 .1681 .30358 .16398 .29844 Metetra
.708 .709 .849 r
.16398 .29844 .1681 .30358 .1742 .30037 .17009 .29514 Metetra
.714 .707 .843 r
.17009 .29514 .1742 .30037 .18032 .29695 .17623 .29167 Metetra
.72 .707 .838 r
.17623 .29167 .18032 .29695 .18648 .2934 .1824 .28802 Metetra
.725 .705 .831 r
.1824 .28802 .18648 .2934 .19265 .28975 .1886 .28419 Metetra
.729 .7 .823 r
.1886 .28419 .19265 .28975 .19884 .28597 .19483 .28017 Metetra
.73 .692 .814 r
.19483 .28017 .19884 .28597 .20505 .28205 .20107 .27601 Metetra
.728 .684 .808 r
.20107 .27601 .20505 .28205 .21129 .27799 .20733 .27178 Metetra
.725 .678 .804 r
.20733 .27178 .21129 .27799 .21754 .27382 .21359 .26758 Metetra
.721 .676 .806 r
.21359 .26758 .21754 .27382 .22381 .26962 .21985 .26351 Metetra
.716 .679 .813 r
.21985 .26351 .22381 .26962 .23007 .26551 .2261 .25962 Metetra
.712 .686 .823 r
.2261 .25962 .23007 .26551 .23632 .26156 .23233 .25596 Metetra
.708 .695 .835 r
.23233 .25596 .23632 .26156 .24256 .25784 .23855 .25249 Metetra
.704 .704 .847 r
.23855 .25249 .24256 .25784 .24879 .25435 .24477 .2492 Metetra
.7 .711 .857 r
.24477 .2492 .24879 .25435 .25501 .25107 .25098 .24605 Metetra
.696 .716 .864 r
.25098 .24605 .25501 .25107 .26122 .24796 .2572 .243 Metetra
.693 .718 .869 r
.2572 .243 .26122 .24796 .26744 .24496 .26342 .24005 Metetra
.688 .719 .873 r
.26342 .24005 .26744 .24496 .27365 .24205 .26964 .2372 Metetra
.684 .721 .878 r
.26964 .2372 .27365 .24205 .27988 .23921 .27587 .23444 Metetra
.679 .724 .883 r
.27587 .23444 .27988 .23921 .28611 .23645 .2821 .23177 Metetra
.675 .727 .889 r
.2821 .23177 .28611 .23645 .29235 .23377 .28834 .22918 Metetra
.672 .731 .894 r
.28834 .22918 .29235 .23377 .29859 .23117 .29458 .22666 Metetra
.669 .735 .899 r
.29458 .22666 .29859 .23117 .30485 .22865 .30084 .22419 Metetra
.668 .738 .902 r
.30084 .22419 .30485 .22865 .31111 .22617 .30711 .22175 Metetra
.667 .739 .904 r
.30711 .22175 .31111 .22617 .31738 .22374 .31339 .21933 Metetra
.666 .74 .905 r
.31339 .21933 .31738 .22374 .32367 .22132 .31969 .21691 Metetra
.666 .74 .906 r
.31969 .21691 .32367 .22132 .32997 .21892 .326 .21449 Metetra
.665 .74 .906 r
.326 .21449 .32997 .21892 .33629 .21651 .33232 .21207 Metetra
.665 .74 .906 r
.33232 .21207 .33629 .21651 .34262 .2141 .33866 .20966 Metetra
.664 .74 .907 r
.33866 .20966 .34262 .2141 .34896 .21169 .34501 .20724 Metetra
.664 .74 .907 r
.34501 .20724 .34896 .21169 .35532 .20928 .35138 .20483 Metetra
.664 .741 .907 r
.35138 .20483 .35532 .20928 .3617 .20687 .35777 .20241 Metetra
.664 .741 .908 r
.35777 .20241 .3617 .20687 .36809 .20445 .36417 .19999 Metetra
.664 .741 .908 r
.36417 .19999 .36809 .20445 .37449 .20204 .37058 .19757 Metetra
.664 .741 .908 r
.37058 .19757 .37449 .20204 .38091 .19962 .37701 .19514 Metetra
.664 .741 .908 r
.37701 .19514 .38091 .19962 .38735 .19719 .38345 .1927 Metetra
.664 .741 .908 r
.38345 .1927 .38735 .19719 .3938 .19476 .38992 .19026 Metetra
.664 .741 .908 r
.38992 .19026 .3938 .19476 .40027 .19233 .39639 .18781 Metetra
.664 .741 .908 r
.39639 .18781 .40027 .19233 .40675 .18989 .40288 .18536 Metetra
.663 .741 .908 r
.40288 .18536 .40675 .18989 .41324 .18744 .40939 .1829 Metetra
.663 .741 .908 r
.40939 .1829 .41324 .18744 .41976 .185 .41591 .18044 Metetra
.663 .741 .908 r
.41591 .18044 .41976 .185 .42629 .18255 .42245 .17797 Metetra
.663 .74 .908 r
.42245 .17797 .42629 .18255 .43283 .18009 .42901 .17551 Metetra
.663 .74 .908 r
.42901 .17551 .43283 .18009 .43939 .17763 .43558 .17304 Metetra
.663 .74 .908 r
.43558 .17304 .43939 .17763 .44597 .17516 .44217 .17056 Metetra
.662 .74 .908 r
.44217 .17056 .44597 .17516 .45256 .1727 .44877 .16808 Metetra
.662 .74 .908 r
.44877 .16808 .45256 .1727 .45917 .17025 .45539 .16561 Metetra
.661 .739 .908 r
.45539 .16561 .45917 .17025 .46579 .16782 .46202 .16314 Metetra
.66 .737 .907 r
.46202 .16314 .46579 .16782 .47243 .16543 .46867 .16068 Metetra
.657 .733 .906 r
.46867 .16068 .47243 .16543 .47909 .16308 .47534 .15826 Metetra
.654 .729 .905 r
.47534 .15826 .47909 .16308 .48576 .16077 .48202 .15589 Metetra
.651 .725 .904 r
.48202 .15589 .48576 .16077 .49245 .1585 .48872 .15356 Metetra
.647 .722 .903 r
.48872 .15356 .49245 .1585 .49916 .15627 .49544 .15128 Metetra
.643 .719 .903 r
.49544 .15128 .49916 .15627 .50588 .15408 .50217 .14905 Metetra
.64 .716 .903 r
.50217 .14905 .50588 .15408 .51262 .15198 .50892 .14689 Metetra
.635 .711 .902 r
.50892 .14689 .51262 .15198 .51938 .15 .51569 .14479 Metetra
.628 .703 .9 r
.51569 .14479 .51938 .15 .52616 .14819 .52248 .14279 Metetra
.619 .691 .895 r
.52248 .14279 .52616 .14819 .53296 .14657 .52929 .14093 Metetra
.607 .676 .89 r
.52929 .14093 .53296 .14657 .53978 .14515 .53611 .13925 Metetra
.595 .659 .883 r
.53611 .13925 .53978 .14515 .54663 .1439 .54296 .13777 Metetra
.583 .645 .877 r
.54296 .13777 .54663 .1439 .5535 .14277 .54984 .13648 Metetra
.574 .634 .873 r
.54984 .13648 .5535 .14277 .56039 .14169 .55674 .13534 Metetra
.567 .629 .872 r
.55674 .13534 .56039 .14169 .56731 .14064 .56366 .13431 Metetra
.564 .629 .874 r
.56366 .13431 .56731 .14064 .57425 .1396 .57061 .13331 Metetra
.563 .63 .876 r
.57061 .13331 .57425 .1396 .58122 .13861 .57759 .13232 Metetra
.563 .631 .877 r
.57759 .13232 .58122 .13861 .58822 .13768 .58459 .13134 Metetra
.563 .628 .875 r
.58459 .13134 .58822 .13768 .59524 .13684 .59162 .13036 Metetra
.562 .623 .871 r
.59162 .13036 .59524 .13684 .60229 .13601 .59867 .1294 Metetra
.562 .619 .867 r
.59867 .1294 .60229 .13601 .60936 .1351 .60575 .12844 Metetra
.566 .619 .865 r
.60575 .12844 .60936 .1351 .61646 .13396 .61285 .12742 Metetra
.575 .629 .868 r
.61285 .12742 .61646 .13396 .62356 .13245 .61997 .12623 Metetra
.591 .651 .877 r
.61997 .12623 .62356 .13245 .63067 .13049 .62711 .12475 Metetra
.614 .682 .891 r
.62711 .12475 .63067 .13049 .63779 .12808 .63426 .12288 Metetra
.641 .72 .906 r
.63426 .12288 .63779 .12808 .64491 .12526 .64141 .12057 Metetra
.667 .757 .917 r
.64141 .12057 .64491 .12526 .65204 .12216 .64857 .11782 Metetra
.689 .785 .924 r
.64857 .11782 .65204 .12216 .65917 .11885 .65572 .1147 Metetra
.705 .801 .925 r
.65572 .1147 .65917 .11885 .66631 .11541 .66288 .11131 Metetra
.715 .808 .923 r
.66288 .11131 .66631 .11541 .67346 .11183 .67005 .10773 Metetra
.723 .812 .92 r
.67005 .10773 .67346 .11183 .68062 .10807 .67722 .10401 Metetra
.73 .816 .919 r
.67722 .10401 .68062 .10807 .68777 .1041 .6844 .10016 Metetra
.738 .826 .919 r
.6844 .10016 .68777 .1041 .69492 .09988 .69158 .09616 Metetra
.748 .842 .922 r
.69158 .09616 .69492 .09988 .70208 .09545 .69877 .09199 Metetra
.757 .86 .925 r
.69877 .09199 .70208 .09545 .70923 .09089 .70596 .08765 Metetra
.764 .875 .928 r
.70596 .08765 .70923 .09089 .71639 .0863 .71315 .08317 Metetra
.767 .883 .929 r
.71315 .08317 .71639 .0863 .72357 .08179 .72034 .07864 Metetra
.765 .882 .93 r
.72034 .07864 .72357 .08179 .73077 .07746 .72755 .07414 Metetra
.457 .762 .995 r
.07892 .31309 .08346 .31566 .08902 .31506 .08448 .31253 Metetra
.439 .758 .995 r
.08448 .31253 .08902 .31506 .09459 .31448 .09004 .31205 Metetra
.417 .755 .995 r
.09004 .31205 .09459 .31448 .10018 .31394 .09562 .31165 Metetra
.397 .754 .993 r
.09562 .31165 .10018 .31394 .10578 .31346 .1012 .31129 Metetra
.393 .76 .993 r
.1012 .31129 .10578 .31346 .11139 .31303 .10682 .31089 Metetra
.418 .773 .996 r
.10682 .31089 .11139 .31303 .11701 .31262 .11247 .31035 Metetra
.474 .79 .999 r
.11247 .31035 .11701 .31262 .12267 .31211 .11817 .30954 Metetra
.544 .797 .992 r
.11817 .30954 .12267 .31211 .12837 .31139 .12394 .30836 Metetra
.606 .789 .969 r
.12394 .30836 .12837 .31139 .13414 .31032 .12978 .30676 Metetra
.648 .769 .937 r
.12978 .30676 .13414 .31032 .13998 .3088 .13569 .30473 Metetra
.674 .748 .907 r
.13569 .30473 .13998 .3088 .14589 .3068 .14165 .30232 Metetra
.689 .732 .884 r
.14165 .30232 .14589 .3068 .15187 .30435 .14767 .2996 Metetra
.699 .722 .868 r
.14767 .2996 .15187 .30435 .1579 .30154 .15374 .2966 Metetra
.707 .717 .857 r
.15374 .2966 .1579 .30154 .16398 .29844 .15984 .29337 Metetra
.715 .714 .848 r
.15984 .29337 .16398 .29844 .17009 .29514 .16597 .28991 Metetra
.722 .71 .838 r
.16597 .28991 .17009 .29514 .17623 .29167 .17215 .28622 Metetra
.727 .704 .828 r
.17215 .28622 .17623 .29167 .1824 .28802 .17835 .28231 Metetra
.729 .695 .818 r
.17835 .28231 .1824 .28802 .1886 .28419 .18458 .27821 Metetra
.729 .687 .809 r
.18458 .27821 .1886 .28419 .19483 .28017 .19084 .27399 Metetra
.727 .68 .805 r
.19084 .27399 .19483 .28017 .20107 .27601 .1971 .26975 Metetra
.724 .677 .804 r
.1971 .26975 .20107 .27601 .20733 .27178 .20336 .26559 Metetra
.72 .678 .809 r
.20336 .26559 .20733 .27178 .21359 .26758 .20961 .26156 Metetra
.716 .683 .817 r
.20961 .26156 .21359 .26758 .21985 .26351 .21585 .25773 Metetra
.712 .69 .827 r
.21585 .25773 .21985 .26351 .2261 .25962 .22208 .25408 Metetra
.709 .698 .838 r
.22208 .25408 .2261 .25962 .23233 .25596 .2283 .25061 Metetra
.705 .705 .847 r
.2283 .25061 .23233 .25596 .23855 .25249 .23452 .24729 Metetra
.701 .71 .855 r
.23452 .24729 .23855 .25249 .24477 .2492 .24073 .2441 Metetra
.697 .713 .861 r
.24073 .2441 .24477 .2492 .25098 .24605 .24694 .24102 Metetra
.693 .715 .866 r
.24694 .24102 .25098 .24605 .2572 .243 .25316 .23805 Metetra
.688 .718 .872 r
.25316 .23805 .2572 .243 .26342 .24005 .25938 .23519 Metetra
.683 .721 .878 r
.25938 .23519 .26342 .24005 .26964 .2372 .2656 .23243 Metetra
.679 .724 .884 r
.2656 .23243 .26964 .2372 .27587 .23444 .27182 .22978 Metetra
.675 .729 .89 r
.27182 .22978 .27587 .23444 .2821 .23177 .27806 .2272 Metetra
.672 .733 .896 r
.27806 .2272 .2821 .23177 .28834 .22918 .2843 .22468 Metetra
.67 .736 .9 r
.2843 .22468 .28834 .22918 .29458 .22666 .29055 .22221 Metetra
.668 .738 .902 r
.29055 .22221 .29458 .22666 .30084 .22419 .29681 .21975 Metetra
.667 .739 .904 r
.29681 .21975 .30084 .22419 .30711 .22175 .30309 .21732 Metetra
.666 .74 .905 r
.30309 .21732 .30711 .22175 .31339 .21933 .30938 .21489 Metetra
.666 .74 .905 r
.30938 .21489 .31339 .21933 .31969 .21691 .31568 .21246 Metetra
.665 .74 .906 r
.31568 .21246 .31969 .21691 .326 .21449 .322 .21004 Metetra
.665 .74 .906 r
.322 .21004 .326 .21449 .33232 .21207 .32834 .20762 Metetra
.664 .74 .907 r
.32834 .20762 .33232 .21207 .33866 .20966 .33468 .2052 Metetra
.664 .741 .907 r
.33468 .2052 .33866 .20966 .34501 .20724 .34105 .20279 Metetra
.664 .741 .908 r
.34105 .20279 .34501 .20724 .35138 .20483 .34742 .20037 Metetra
.664 .741 .908 r
.34742 .20037 .35138 .20483 .35777 .20241 .35382 .19794 Metetra
.664 .741 .908 r
.35382 .19794 .35777 .20241 .36417 .19999 .36023 .19551 Metetra
.664 .741 .908 r
.36023 .19551 .36417 .19999 .37058 .19757 .36665 .19308 Metetra
.664 .741 .908 r
.36665 .19308 .37058 .19757 .37701 .19514 .37309 .19064 Metetra
.664 .741 .908 r
.37309 .19064 .37701 .19514 .38345 .1927 .37954 .18819 Metetra
.664 .741 .908 r
.37954 .18819 .38345 .1927 .38992 .19026 .38601 .18574 Metetra
.664 .741 .908 r
.38601 .18574 .38992 .19026 .39639 .18781 .3925 .18328 Metetra
.664 .741 .908 r
.3925 .18328 .39639 .18781 .40288 .18536 .399 .18082 Metetra
.664 .741 .908 r
.399 .18082 .40288 .18536 .40939 .1829 .40552 .17834 Metetra
.664 .741 .908 r
.40552 .17834 .40939 .1829 .41591 .18044 .41205 .17587 Metetra
.663 .741 .908 r
.41205 .17587 .41591 .18044 .42245 .17797 .4186 .17339 Metetra
.663 .741 .908 r
.4186 .17339 .42245 .17797 .42901 .17551 .42517 .17091 Metetra
.663 .741 .908 r
.42517 .17091 .42901 .17551 .43558 .17304 .43175 .16842 Metetra
.663 .74 .908 r
.43175 .16842 .43558 .17304 .44217 .17056 .43834 .16593 Metetra
.662 .74 .908 r
.43834 .16593 .44217 .17056 .44877 .16808 .44496 .16344 Metetra
.662 .74 .908 r
.44496 .16344 .44877 .16808 .45539 .16561 .45159 .16095 Metetra
.662 .74 .908 r
.45159 .16095 .45539 .16561 .46202 .16314 .45823 .15846 Metetra
.661 .739 .908 r
.45823 .15846 .46202 .16314 .46867 .16068 .46489 .15598 Metetra
.66 .737 .907 r
.46489 .15598 .46867 .16068 .47534 .15826 .47157 .15351 Metetra
.658 .735 .906 r
.47157 .15351 .47534 .15826 .48202 .15589 .47826 .15106 Metetra
.655 .731 .905 r
.47826 .15106 .48202 .15589 .48872 .15356 .48497 .14866 Metetra
.651 .726 .904 r
.48497 .14866 .48872 .15356 .49544 .15128 .4917 .1463 Metetra
.647 .721 .903 r
.4917 .1463 .49544 .15128 .50217 .14905 .49844 .14401 Metetra
.643 .717 .902 r
.49844 .14401 .50217 .14905 .50892 .14689 .50521 .14178 Metetra
.638 .713 .901 r
.50521 .14178 .50892 .14689 .51569 .14479 .51198 .13961 Metetra
.633 .708 .901 r
.51198 .13961 .51569 .14479 .52248 .14279 .51878 .13752 Metetra
.627 .702 .899 r
.51878 .13752 .52248 .14279 .52929 .14093 .5256 .13553 Metetra
.619 .692 .896 r
.5256 .13553 .52929 .14093 .53611 .13925 .53243 .13365 Metetra
.609 .679 .892 r
.53243 .13365 .53611 .13925 .54296 .13777 .53929 .13193 Metetra
.597 .664 .886 r
.53929 .13193 .54296 .13777 .54984 .13648 .54617 .13039 Metetra
.585 .649 .879 r
.54617 .13039 .54984 .13648 .55674 .13534 .55308 .12904 Metetra
.575 .635 .874 r
.55308 .12904 .55674 .13534 .56366 .13431 .56001 .12787 Metetra
.567 .626 .871 r
.56001 .12787 .56366 .13431 .57061 .13331 .56696 .12683 Metetra
.562 .623 .87 r
.56696 .12683 .57061 .13331 .57759 .13232 .57394 .12587 Metetra
.56 .623 .872 r
.57394 .12587 .57759 .13232 .58459 .13134 .58095 .12493 Metetra
.561 .626 .874 r
.58095 .12493 .58459 .13134 .59162 .13036 .58798 .12397 Metetra
.562 .628 .875 r
.58798 .12397 .59162 .13036 .59867 .1294 .59504 .12298 Metetra
.564 .629 .874 r
.59504 .12298 .59867 .1294 .60575 .12844 .60212 .12196 Metetra
.566 .628 .872 r
.60212 .12196 .60575 .12844 .61285 .12742 .60923 .1209 Metetra
.571 .629 .871 r
.60923 .1209 .61285 .12742 .61997 .12623 .61636 .11977 Metetra
.579 .636 .872 r
.61636 .11977 .61997 .12623 .62711 .12475 .62352 .11849 Metetra
.592 .651 .877 r
.62352 .11849 .62711 .12475 .63426 .12288 .63069 .11698 Metetra
.611 .676 .887 r
.63069 .11698 .63426 .12288 .64141 .12057 .63787 .11514 Metetra
.635 .709 .9 r
.63787 .11514 .64141 .12057 .64857 .11782 .64505 .1129 Metetra
.661 .745 .912 r
.64505 .1129 .64857 .11782 .65572 .1147 .65224 .11022 Metetra
.685 .778 .921 r
.65224 .11022 .65572 .1147 .66288 .11131 .65943 .10714 Metetra
.705 .802 .925 r
.65943 .10714 .66288 .11131 .67005 .10773 .66662 .10373 Metetra
.719 .817 .926 r
.66662 .10373 .67005 .10773 .67722 .10401 .67381 .10008 Metetra
.729 .824 .924 r
.67381 .10008 .67722 .10401 .6844 .10016 .68101 .09625 Metetra
.735 .828 .922 r
.68101 .09625 .6844 .10016 .69158 .09616 .68822 .09229 Metetra
.741 .833 .921 r
.68822 .09229 .69158 .09616 .69877 .09199 .69543 .08822 Metetra
.747 .841 .922 r
.69543 .08822 .69877 .09199 .70596 .08765 .70264 .08403 Metetra
.754 .853 .924 r
.70264 .08403 .70596 .08765 .71315 .08317 .70986 .07973 Metetra
.76 .864 .926 r
.70986 .07973 .71315 .08317 .72034 .07864 .71709 .07532 Metetra
.763 .873 .928 r
.71709 .07532 .72034 .07864 .72755 .07414 .72432 .07085 Metetra
.422 .756 .995 r
.07433 .31064 .07892 .31309 .08448 .31253 .07988 .31022 Metetra
.396 .753 .993 r
.07988 .31022 .08448 .31253 .09004 .31205 .08543 .30987 Metetra
.382 .754 .991 r
.08543 .30987 .09004 .31205 .09562 .31165 .091 .30953 Metetra
.392 .763 .992 r
.091 .30953 .09562 .31165 .1012 .31129 .09661 .30911 Metetra
.432 .778 .997 r
.09661 .30911 .1012 .31129 .10682 .31089 .10225 .30851 Metetra
.494 .791 .998 r
.10225 .30851 .10682 .31089 .11247 .31035 .10796 .30761 Metetra
.559 .792 .986 r
.10796 .30761 .11247 .31035 .11817 .30954 .11372 .30636 Metetra
.611 .781 .963 r
.11372 .30636 .11817 .30954 .12394 .30836 .11956 .30473 Metetra
.647 .765 .935 r
.11956 .30473 .12394 .30836 .12978 .30676 .12546 .30272 Metetra
.67 .749 .91 r
.12546 .30272 .12978 .30676 .13569 .30473 .13141 .30037 Metetra
.685 .737 .89 r
.13141 .30037 .13569 .30473 .14165 .30232 .13742 .29772 Metetra
.698 .729 .875 r
.13742 .29772 .14165 .30232 .14767 .2996 .14347 .29479 Metetra
.708 .723 .862 r
.14347 .29479 .14767 .2996 .15374 .2966 .14956 .29158 Metetra
.717 .717 .849 r
.14956 .29158 .15374 .2966 .15984 .29337 .1557 .2881 Metetra
.723 .709 .836 r
.1557 .2881 .15984 .29337 .16597 .28991 .16188 .28435 Metetra
.727 .7 .824 r
.16188 .28435 .16597 .28991 .17215 .28622 .16809 .28037 Metetra
.729 .691 .814 r
.16809 .28037 .17215 .28622 .17835 .28231 .17433 .27622 Metetra
.728 .683 .807 r
.17433 .27622 .17835 .28231 .18458 .27821 .18058 .27199 Metetra
.726 .679 .804 r
.18058 .27199 .18458 .27821 .19084 .27399 .18684 .26777 Metetra
.723 .678 .806 r
.18684 .26777 .19084 .27399 .1971 .26975 .1931 .26364 Metetra
.719 .681 .812 r
.1931 .26364 .1971 .26975 .20336 .26559 .19934 .25966 Metetra
.716 .686 .82 r
.19934 .25966 .20336 .26559 .20961 .26156 .20558 .25584 Metetra
.713 .693 .829 r
.20558 .25584 .20961 .26156 .21585 .25773 .21181 .2522 Metetra
.71 .699 .838 r
.21181 .2522 .21585 .25773 .22208 .25408 .21803 .2487 Metetra
.706 .704 .846 r
.21803 .2487 .22208 .25408 .2283 .25061 .22424 .24535 Metetra
.702 .708 .852 r
.22424 .24535 .2283 .25061 .23452 .24729 .23046 .24212 Metetra
.697 .711 .859 r
.23046 .24212 .23452 .24729 .24073 .2441 .23667 .23902 Metetra
.692 .713 .865 r
.23667 .23902 .24073 .2441 .24694 .24102 .24288 .23604 Metetra
.687 .717 .872 r
.24288 .23604 .24694 .24102 .25316 .23805 .2491 .23319 Metetra
.683 .721 .879 r
.2491 .23319 .25316 .23805 .25938 .23519 .25531 .23044 Metetra
.678 .725 .885 r
.25531 .23044 .25938 .23519 .2656 .23243 .26153 .22779 Metetra
.675 .73 .891 r
.26153 .22779 .2656 .23243 .27182 .22978 .26776 .22522 Metetra
.672 .733 .896 r
.26776 .22522 .27182 .22978 .27806 .2272 .27399 .2227 Metetra
.67 .736 .9 r
.27399 .2227 .27806 .2272 .2843 .22468 .28024 .22021 Metetra
.668 .738 .902 r
.28024 .22021 .2843 .22468 .29055 .22221 .2865 .21775 Metetra
.667 .739 .903 r
.2865 .21775 .29055 .22221 .29681 .21975 .29277 .2153 Metetra
.666 .739 .904 r
.29277 .2153 .29681 .21975 .30309 .21732 .29905 .21286 Metetra
.666 .739 .905 r
.29905 .21286 .30309 .21732 .30938 .21489 .30535 .21043 Metetra
.665 .74 .906 r
.30535 .21043 .30938 .21489 .31568 .21246 .31166 .20801 Metetra
.664 .74 .906 r
.31166 .20801 .31568 .21246 .322 .21004 .31799 .20558 Metetra
.664 .74 .907 r
.31799 .20558 .322 .21004 .32834 .20762 .32433 .20316 Metetra
.664 .741 .907 r
.32433 .20316 .32834 .20762 .33468 .2052 .33069 .20074 Metetra
.664 .741 .908 r
.33069 .20074 .33468 .2052 .34105 .20279 .33706 .19832 Metetra
.664 .741 .908 r
.33706 .19832 .34105 .20279 .34742 .20037 .34345 .19589 Metetra
.664 .741 .908 r
.34345 .19589 .34742 .20037 .35382 .19794 .34985 .19345 Metetra
.664 .741 .908 r
.34985 .19345 .35382 .19794 .36023 .19551 .35627 .19101 Metetra
.664 .741 .908 r
.35627 .19101 .36023 .19551 .36665 .19308 .3627 .18857 Metetra
.664 .741 .908 r
.3627 .18857 .36665 .19308 .37309 .19064 .36915 .18611 Metetra
.664 .741 .908 r
.36915 .18611 .37309 .19064 .37954 .18819 .37562 .18366 Metetra
.664 .741 .908 r
.37562 .18366 .37954 .18819 .38601 .18574 .3821 .18119 Metetra
.664 .741 .908 r
.3821 .18119 .38601 .18574 .3925 .18328 .38859 .17872 Metetra
.664 .741 .908 r
.38859 .17872 .3925 .18328 .399 .18082 .3951 .17625 Metetra
.664 .741 .908 r
.3951 .17625 .399 .18082 .40552 .17834 .40163 .17377 Metetra
.664 .741 .908 r
.40163 .17377 .40552 .17834 .41205 .17587 .40817 .17128 Metetra
.664 .741 .908 r
.40817 .17128 .41205 .17587 .4186 .17339 .41473 .16879 Metetra
.663 .741 .908 r
.41473 .16879 .4186 .17339 .42517 .17091 .42131 .16629 Metetra
.663 .741 .908 r
.42131 .16629 .42517 .17091 .43175 .16842 .4279 .16379 Metetra
.663 .741 .908 r
.4279 .16379 .43175 .16842 .43834 .16593 .43451 .16128 Metetra
.663 .74 .908 r
.43451 .16128 .43834 .16593 .44496 .16344 .44113 .15878 Metetra
.662 .74 .908 r
.44113 .15878 .44496 .16344 .45159 .16095 .44777 .15627 Metetra
.662 .74 .908 r
.44777 .15627 .45159 .16095 .45823 .15846 .45442 .15377 Metetra
.661 .739 .908 r
.45442 .15377 .45823 .15846 .46489 .15598 .4611 .15127 Metetra
.661 .739 .908 r
.4611 .15127 .46489 .15598 .47157 .15351 .46778 .14877 Metetra
.66 .737 .907 r
.46778 .14877 .47157 .15351 .47826 .15106 .47449 .14628 Metetra
.658 .735 .907 r
.47449 .14628 .47826 .15106 .48497 .14866 .48121 .14381 Metetra
.655 .732 .906 r
.48121 .14381 .48497 .14866 .4917 .1463 .48795 .14138 Metetra
.652 .727 .904 r
.48795 .14138 .4917 .1463 .49844 .14401 .4947 .139 Metetra
.647 .722 .903 r
.4947 .139 .49844 .14401 .50521 .14178 .50147 .13669 Metetra
.642 .716 .902 r
.50147 .13669 .50521 .14178 .51198 .13961 .50826 .13444 Metetra
.637 .711 .9 r
.50826 .13444 .51198 .13961 .51878 .13752 .51507 .13227 Metetra
.632 .706 .899 r
.51507 .13227 .51878 .13752 .5256 .13553 .52189 .13019 Metetra
.625 .699 .898 r
.52189 .13019 .5256 .13553 .53243 .13365 .52874 .12819 Metetra
.618 .691 .896 r
.52874 .12819 .53243 .13365 .53929 .13193 .53561 .12631 Metetra
.609 .681 .892 r
.53561 .12631 .53929 .13193 .54617 .13039 .54249 .12457 Metetra
.599 .667 .887 r
.54249 .12457 .54617 .13039 .55308 .12904 .5494 .12299 Metetra
.587 .652 .881 r
.5494 .12299 .55308 .12904 .56001 .12787 .55634 .12159 Metetra
.576 .638 .876 r
.55634 .12159 .56001 .12787 .56696 .12683 .56329 .12037 Metetra
.567 .627 .871 r
.56329 .12037 .56696 .12683 .57394 .12587 .57028 .1193 Metetra
.561 .62 .869 r
.57028 .1193 .57394 .12587 .58095 .12493 .57729 .11834 Metetra
.558 .619 .869 r
.57729 .11834 .58095 .12493 .58798 .12397 .58433 .11742 Metetra
.558 .621 .871 r
.58433 .11742 .58798 .12397 .59504 .12298 .5914 .1165 Metetra
.56 .625 .873 r
.5914 .1165 .59504 .12298 .60212 .12196 .59849 .11552 Metetra
.564 .629 .875 r
.59849 .11552 .60212 .12196 .60923 .1209 .60561 .11448 Metetra
.569 .633 .875 r
.60561 .11448 .60923 .1209 .61636 .11977 .61274 .11336 Metetra
.575 .637 .875 r
.61274 .11336 .61636 .11977 .62352 .11849 .61991 .11213 Metetra
.583 .644 .876 r
.61991 .11213 .62352 .11849 .63069 .11698 .62709 .11077 Metetra
.595 .656 .88 r
.62709 .11077 .63069 .11698 .63787 .11514 .63429 .10919 Metetra
.611 .675 .887 r
.63429 .10919 .63787 .11514 .64505 .1129 .6415 .10733 Metetra
.632 .703 .897 r
.6415 .10733 .64505 .1129 .65224 .11022 .64872 .10511 Metetra
.656 .735 .908 r
.64872 .10511 .65224 .11022 .65943 .10714 .65594 .10249 Metetra
.681 .769 .917 r
.65594 .10249 .65943 .10714 .66662 .10373 .66316 .09946 Metetra
.703 .797 .924 r
.66316 .09946 .66662 .10373 .67381 .10008 .67039 .09607 Metetra
.72 .818 .926 r
.67039 .09607 .67381 .10008 .68101 .09625 .67761 .09238 Metetra
.732 .831 .926 r
.67761 .09238 .68101 .09625 .68822 .09229 .68483 .08848 Metetra
.739 .837 .925 r
.68483 .08848 .68822 .09229 .69543 .08822 .69207 .08444 Metetra
.745 .841 .923 r
.69207 .08444 .69543 .08822 .70264 .08403 .6993 .08029 Metetra
.749 .845 .923 r
.6993 .08029 .70264 .08403 .70986 .07973 .70654 .07605 Metetra
.753 .851 .923 r
.70654 .07605 .70986 .07973 .71709 .07532 .71379 .07174 Metetra
.757 .858 .925 r
.71379 .07174 .71709 .07532 .72432 .07085 .72105 .06736 Metetra
.384 .752 .992 r
.06969 .30841 .07433 .31064 .07988 .31022 .07523 .30808 Metetra
.379 .756 .99 r
.07523 .30808 .07988 .31022 .08543 .30987 .08079 .30773 Metetra
.401 .766 .994 r
.08079 .30773 .08543 .30987 .091 .30953 .08638 .30727 Metetra
.449 .78 .998 r
.08638 .30727 .091 .30953 .09661 .30911 .09203 .3066 Metetra
.509 .789 .996 r
.09203 .3066 .09661 .30911 .10225 .30851 .09773 .30564 Metetra
.566 .788 .982 r
.09773 .30564 .10225 .30851 .10796 .30761 .10349 .30436 Metetra
.611 .778 .96 r
.10349 .30436 .10796 .30761 .11372 .30636 .10932 .30273 Metetra
.643 .764 .937 r
.10932 .30273 .11372 .30636 .11956 .30473 .1152 .30077 Metetra
.666 .752 .915 r
.1152 .30077 .11956 .30473 .12546 .30272 .12114 .29848 Metetra
.683 .743 .896 r
.12114 .29848 .12546 .30272 .13141 .30037 .12713 .29588 Metetra
.697 .734 .88 r
.12713 .29588 .13141 .30037 .13742 .29772 .13318 .29297 Metetra
.709 .726 .864 r
.13318 .29297 .13742 .29772 .14347 .29479 .13927 .28975 Metetra
.718 .717 .848 r
.13927 .28975 .14347 .29479 .14956 .29158 .14541 .28622 Metetra
.724 .706 .833 r
.14541 .28622 .14956 .29158 .1557 .2881 .15159 .28242 Metetra
.727 .696 .821 r
.15159 .28242 .1557 .2881 .16188 .28435 .15781 .2784 Metetra
.728 .687 .811 r
.15781 .2784 .16188 .28435 .16809 .28037 .16405 .27423 Metetra
.727 .681 .806 r
.16405 .27423 .16809 .28037 .17433 .27622 .1703 .27001 Metetra
.725 .679 .805 r
.1703 .27001 .17433 .27622 .18058 .27199 .17656 .26582 Metetra
.722 .68 .808 r
.17656 .26582 .18058 .27199 .18684 .26777 .18281 .26173 Metetra
.72 .683 .814 r
.18281 .26173 .18684 .26777 .1931 .26364 .18905 .25777 Metetra
.717 .688 .822 r
.18905 .25777 .1931 .26364 .19934 .25966 .19529 .25395 Metetra
.714 .694 .829 r
.19529 .25395 .19934 .25966 .20558 .25584 .20151 .25029 Metetra
.71 .698 .837 r
.20151 .25029 .20558 .25584 .21181 .2522 .20774 .24677 Metetra
.706 .702 .844 r
.20774 .24677 .21181 .2522 .21803 .2487 .21395 .24338 Metetra
.702 .706 .85 r
.21395 .24338 .21803 .2487 .22424 .24535 .22017 .24013 Metetra
.697 .709 .857 r
.22017 .24013 .22424 .24535 .23046 .24212 .22638 .23702 Metetra
.692 .713 .865 r
.22638 .23702 .23046 .24212 .23667 .23902 .23258 .23405 Metetra
.687 .717 .872 r
.23258 .23405 .23667 .23902 .24288 .23604 .23879 .2312 Metetra
.682 .722 .88 r
.23879 .2312 .24288 .23604 .2491 .23319 .245 .22846 Metetra
.678 .727 .886 r
.245 .22846 .2491 .23319 .25531 .23044 .25121 .22581 Metetra
.675 .731 .892 r
.25121 .22581 .25531 .23044 .26153 .22779 .25744 .22323 Metetra
.672 .734 .896 r
.25744 .22323 .26153 .22779 .26776 .22522 .26367 .2207 Metetra
.67 .736 .899 r
.26367 .2207 .26776 .22522 .27399 .2227 .26991 .2182 Metetra
.669 .737 .901 r
.26991 .2182 .27399 .2227 .28024 .22021 .27616 .21573 Metetra
.667 .738 .903 r
.27616 .21573 .28024 .22021 .2865 .21775 .28243 .21327 Metetra
.666 .739 .904 r
.28243 .21327 .2865 .21775 .29277 .2153 .28871 .21083 Metetra
.665 .739 .905 r
.28871 .21083 .29277 .2153 .29905 .21286 .295 .2084 Metetra
.665 .74 .906 r
.295 .2084 .29905 .21286 .30535 .21043 .3013 .20597 Metetra
.664 .74 .907 r
.3013 .20597 .30535 .21043 .31166 .20801 .30763 .20355 Metetra
.664 .741 .907 r
.30763 .20355 .31166 .20801 .31799 .20558 .31396 .20112 Metetra
.664 .741 .907 r
.31396 .20112 .31799 .20558 .32433 .20316 .32031 .1987 Metetra
.664 .741 .908 r
.32031 .1987 .32433 .20316 .33069 .20074 .32668 .19627 Metetra
.664 .741 .908 r
.32668 .19627 .33069 .20074 .33706 .19832 .33306 .19383 Metetra
.664 .741 .908 r
.33306 .19383 .33706 .19832 .34345 .19589 .33946 .19139 Metetra
.664 .741 .908 r
.33946 .19139 .34345 .19589 .34985 .19345 .34587 .18894 Metetra
.664 .741 .908 r
.34587 .18894 .34985 .19345 .35627 .19101 .35229 .18649 Metetra
.664 .741 .908 r
.35229 .18649 .35627 .19101 .3627 .18857 .35874 .18404 Metetra
.664 .741 .908 r
.35874 .18404 .3627 .18857 .36915 .18611 .3652 .18157 Metetra
.664 .741 .908 r
.3652 .18157 .36915 .18611 .37562 .18366 .37167 .1791 Metetra
.664 .741 .908 r
.37167 .1791 .37562 .18366 .3821 .18119 .37816 .17663 Metetra
.664 .741 .908 r
.37816 .17663 .3821 .18119 .38859 .17872 .38467 .17415 Metetra
.664 .741 .908 r
.38467 .17415 .38859 .17872 .3951 .17625 .39119 .17166 Metetra
.664 .741 .908 r
.39119 .17166 .3951 .17625 .40163 .17377 .39772 .16917 Metetra
.664 .741 .908 r
.39772 .16917 .40163 .17377 .40817 .17128 .40428 .16667 Metetra
.664 .741 .908 r
.40428 .16667 .40817 .17128 .41473 .16879 .41085 .16417 Metetra
.664 .741 .908 r
.41085 .16417 .41473 .16879 .42131 .16629 .41743 .16166 Metetra
.663 .741 .908 r
.41743 .16166 .42131 .16629 .4279 .16379 .42403 .15914 Metetra
.663 .741 .908 r
.42403 .15914 .4279 .16379 .43451 .16128 .43065 .15662 Metetra
.663 .741 .908 r
.43065 .15662 .43451 .16128 .44113 .15878 .43728 .1541 Metetra
.663 .74 .908 r
.43728 .1541 .44113 .15878 .44777 .15627 .44393 .15158 Metetra
.662 .74 .908 r
.44393 .15158 .44777 .15627 .45442 .15377 .4506 .14905 Metetra
.662 .739 .907 r
.4506 .14905 .45442 .15377 .4611 .15127 .45728 .14653 Metetra
.661 .739 .907 r
.45728 .14653 .4611 .15127 .46778 .14877 .46398 .14401 Metetra
.661 .738 .907 r
.46398 .14401 .46778 .14877 .47449 .14628 .4707 .1415 Metetra
.659 .737 .907 r
.4707 .1415 .47449 .14628 .48121 .14381 .47743 .139 Metetra
.658 .735 .907 r
.47743 .139 .48121 .14381 .48795 .14138 .48418 .13652 Metetra
.655 .732 .906 r
.48418 .13652 .48795 .14138 .4947 .139 .49094 .13407 Metetra
.652 .728 .905 r
.49094 .13407 .4947 .139 .50147 .13669 .49772 .13166 Metetra
.648 .723 .903 r
.49772 .13166 .50147 .13669 .50826 .13444 .50452 .12932 Metetra
.643 .717 .902 r
.50452 .12932 .50826 .13444 .51507 .13227 .51134 .12705 Metetra
.637 .71 .9 r
.51134 .12705 .51507 .13227 .52189 .13019 .51818 .12487 Metetra
.631 .704 .898 r
.51818 .12487 .52189 .13019 .52874 .12819 .52503 .12278 Metetra
.624 .697 .897 r
.52503 .12278 .52874 .12819 .53561 .12631 .5319 .12079 Metetra
.617 .689 .895 r
.5319 .12079 .53561 .12631 .54249 .12457 .5388 .11891 Metetra
.609 .68 .892 r
.5388 .11891 .54249 .12457 .5494 .12299 .54572 .11715 Metetra
.599 .669 .888 r
.54572 .11715 .5494 .12299 .55634 .12159 .55265 .11555 Metetra
.589 .655 .883 r
.55265 .11555 .55634 .12159 .56329 .12037 .55962 .11411 Metetra
.578 .642 .877 r
.55962 .11411 .56329 .12037 .57028 .1193 .56661 .11285 Metetra
.569 .629 .872 r
.56661 .11285 .57028 .1193 .57729 .11834 .57363 .11174 Metetra
.561 .621 .869 r
.57363 .11174 .57729 .11834 .58433 .11742 .58067 .11075 Metetra
.557 .616 .867 r
.58067 .11075 .58433 .11742 .5914 .1165 .58774 .10983 Metetra
.556 .617 .868 r
.58774 .10983 .5914 .1165 .59849 .11552 .59484 .10893 Metetra
.558 .621 .871 r
.59484 .10893 .59849 .11552 .60561 .11448 .60196 .10797 Metetra
.563 .627 .874 r
.60196 .10797 .60561 .11448 .61274 .11336 .60911 .10693 Metetra
.569 .634 .876 r
.60911 .10693 .61274 .11336 .61991 .11213 .61628 .10578 Metetra
.577 .642 .878 r
.61628 .10578 .61991 .11213 .62709 .11077 .62347 .10449 Metetra
.586 .65 .88 r
.62347 .10449 .62709 .11077 .63429 .10919 .63069 .10304 Metetra
.598 .662 .883 r
.63069 .10304 .63429 .10919 .6415 .10733 .63792 .10139 Metetra
.613 .678 .888 r
.63792 .10139 .6415 .10733 .64872 .10511 .64516 .09948 Metetra
.632 .701 .896 r
.64516 .09948 .64872 .10511 .65594 .10249 .65241 .09724 Metetra
.654 .73 .905 r
.65241 .09724 .65594 .10249 .66316 .09946 .65967 .09464 Metetra
.677 .761 .914 r
.65967 .09464 .66316 .09946 .67039 .09607 .66692 .09165 Metetra
.699 .791 .921 r
.66692 .09165 .67039 .09607 .67761 .09238 .67418 .08829 Metetra
.718 .816 .926 r
.67418 .08829 .67761 .09238 .68483 .08848 .68143 .08461 Metetra
.732 .833 .927 r
.68143 .08461 .68483 .08848 .69207 .08444 .68869 .08068 Metetra
.742 .843 .926 r
.68869 .08068 .69207 .08444 .6993 .08029 .69595 .07657 Metetra
.748 .848 .925 r
.69595 .07657 .6993 .08029 .70654 .07605 .70321 .07235 Metetra
.751 .85 .924 r
.70321 .07235 .70654 .07605 .71379 .07174 .71048 .06806 Metetra
.754 .853 .924 r
.71048 .06806 .71379 .07174 .72105 .06736 .71776 .06371 Metetra
.385 .758 .991 r
.065 .30627 .06969 .30841 .07523 .30808 .07056 .30589 Metetra
.414 .769 .995 r
.07056 .30589 .07523 .30808 .08079 .30773 .07615 .30537 Metetra
.463 .781 .998 r
.07615 .30537 .08079 .30773 .08638 .30727 .08179 .30465 Metetra
.518 .787 .994 r
.08179 .30465 .08638 .30727 .09203 .3066 .08748 .30367 Metetra
.568 .784 .98 r
.08748 .30367 .09203 .3066 .09773 .30564 .09323 .30238 Metetra
.608 .776 .961 r
.09323 .30238 .09773 .30564 .10349 .30436 .09905 .30078 Metetra
.639 .767 .94 r
.09905 .30078 .10349 .30436 .10932 .30273 .10492 .29886 Metetra
.663 .757 .92 r
.10492 .29886 .10932 .30273 .1152 .30077 .11085 .29661 Metetra
.682 .747 .9 r
.11085 .29661 .1152 .30077 .12114 .29848 .11683 .29403 Metetra
.698 .737 .882 r
.11683 .29403 .12114 .29848 .12713 .29588 .12287 .29112 Metetra
.71 .727 .863 r
.12287 .29112 .12713 .29588 .13318 .29297 .12896 .28787 Metetra
.719 .715 .846 r
.12896 .28787 .13318 .29297 .13927 .28975 .13511 .2843 Metetra
.724 .703 .83 r
.13511 .2843 .13927 .28975 .14541 .28622 .14129 .28046 Metetra
.727 .693 .818 r
.14129 .28046 .14541 .28622 .15159 .28242 .14751 .27642 Metetra
.727 .686 .81 r
.14751 .27642 .15159 .28242 .15781 .2784 .15375 .27226 Metetra
.726 .682 .807 r
.15375 .27226 .15781 .2784 .16405 .27423 .16 .26806 Metetra
.724 .68 .807 r
.16 .26806 .16405 .27423 .1703 .27001 .16625 .2639 Metetra
.722 .682 .81 r
.16625 .2639 .1703 .27001 .17656 .26582 .1725 .25983 Metetra
.72 .685 .816 r
.1725 .25983 .17656 .26582 .18281 .26173 .17874 .25587 Metetra
.718 .689 .822 r
.17874 .25587 .18281 .26173 .18905 .25777 .18498 .25204 Metetra
.714 .694 .829 r
.18498 .25204 .18905 .25777 .19529 .25395 .1912 .24835 Metetra
.711 .697 .835 r
.1912 .24835 .19529 .25395 .20151 .25029 .19743 .24481 Metetra
.706 .701 .842 r
.19743 .24481 .20151 .25029 .20774 .24677 .20364 .2414 Metetra
.702 .704 .849 r
.20364 .2414 .20774 .24677 .21395 .24338 .20985 .23814 Metetra
.697 .708 .857 r
.20985 .23814 .21395 .24338 .22017 .24013 .21606 .23503 Metetra
.692 .713 .865 r
.21606 .23503 .22017 .24013 .22638 .23702 .22226 .23206 Metetra
.687 .718 .873 r
.22226 .23206 .22638 .23702 .23258 .23405 .22846 .22922 Metetra
.682 .723 .881 r
.22846 .22922 .23258 .23405 .23879 .2312 .23467 .22648 Metetra
.678 .727 .887 r
.23467 .22648 .23879 .2312 .245 .22846 .24088 .22382 Metetra
.675 .731 .892 r
.24088 .22382 .245 .22846 .25121 .22581 .24709 .22123 Metetra
.672 .734 .896 r
.24709 .22123 .25121 .22581 .25744 .22323 .25332 .21869 Metetra
.67 .736 .899 r
.25332 .21869 .25744 .22323 .26367 .2207 .25956 .21619 Metetra
.669 .737 .901 r
.25956 .21619 .26367 .2207 .26991 .2182 .2658 .21371 Metetra
.667 .738 .903 r
.2658 .21371 .26991 .2182 .27616 .21573 .27206 .21125 Metetra
.666 .738 .904 r
.27206 .21125 .27616 .21573 .28243 .21327 .27834 .2088 Metetra
.665 .739 .905 r
.27834 .2088 .28243 .21327 .28871 .21083 .28462 .20636 Metetra
.665 .74 .906 r
.28462 .20636 .28871 .21083 .295 .2084 .29092 .20393 Metetra
.664 .74 .907 r
.29092 .20393 .295 .2084 .3013 .20597 .29724 .2015 Metetra
.664 .741 .907 r
.29724 .2015 .3013 .20597 .30763 .20355 .30357 .19907 Metetra
.664 .741 .908 r
.30357 .19907 .30763 .20355 .31396 .20112 .30991 .19664 Metetra
.664 .741 .908 r
.30991 .19664 .31396 .20112 .32031 .1987 .31627 .19421 Metetra
.664 .741 .908 r
.31627 .19421 .32031 .1987 .32668 .19627 .32265 .19177 Metetra
.664 .741 .908 r
.32265 .19177 .32668 .19627 .33306 .19383 .32904 .18932 Metetra
.664 .741 .908 r
.32904 .18932 .33306 .19383 .33946 .19139 .33544 .18687 Metetra
.664 .741 .908 r
.33544 .18687 .33946 .19139 .34587 .18894 .34187 .18441 Metetra
.664 .741 .908 r
.34187 .18441 .34587 .18894 .35229 .18649 .3483 .18195 Metetra
.664 .741 .908 r
.3483 .18195 .35229 .18649 .35874 .18404 .35475 .17948 Metetra
.664 .741 .908 r
.35475 .17948 .35874 .18404 .3652 .18157 .36122 .17701 Metetra
.664 .741 .908 r
.36122 .17701 .3652 .18157 .37167 .1791 .36771 .17453 Metetra
.664 .741 .908 r
.36771 .17453 .37167 .1791 .37816 .17663 .37421 .17205 Metetra
.664 .741 .908 r
.37421 .17205 .37816 .17663 .38467 .17415 .38072 .16955 Metetra
.664 .741 .908 r
.38072 .16955 .38467 .17415 .39119 .17166 .38725 .16706 Metetra
.664 .741 .908 r
.38725 .16706 .39119 .17166 .39772 .16917 .3938 .16455 Metetra
.664 .741 .908 r
.3938 .16455 .39772 .16917 .40428 .16667 .40036 .16204 Metetra
.663 .741 .908 r
.40036 .16204 .40428 .16667 .41085 .16417 .40694 .15953 Metetra
.663 .741 .908 r
.40694 .15953 .41085 .16417 .41743 .16166 .41354 .15701 Metetra
.663 .741 .908 r
.41354 .15701 .41743 .16166 .42403 .15914 .42015 .15448 Metetra
.663 .741 .908 r
.42015 .15448 .42403 .15914 .43065 .15662 .42678 .15195 Metetra
.663 .741 .908 r
.42678 .15195 .43065 .15662 .43728 .1541 .43342 .14941 Metetra
.663 .741 .908 r
.43342 .14941 .43728 .1541 .44393 .15158 .44008 .14687 Metetra
.663 .74 .908 r
.44008 .14687 .44393 .15158 .4506 .14905 .44676 .14433 Metetra
.662 .74 .908 r
.44676 .14433 .4506 .14905 .45728 .14653 .45345 .14178 Metetra
.662 .739 .907 r
.45345 .14178 .45728 .14653 .46398 .14401 .46016 .13924 Metetra
.661 .739 .907 r
.46016 .13924 .46398 .14401 .4707 .1415 .46689 .13671 Metetra
.66 .738 .907 r
.46689 .13671 .4707 .1415 .47743 .139 .47363 .13418 Metetra
.659 .737 .907 r
.47363 .13418 .47743 .139 .48418 .13652 .48039 .13167 Metetra
.658 .735 .907 r
.48039 .13167 .48418 .13652 .49094 .13407 .48716 .12917 Metetra
.655 .732 .906 r
.48716 .12917 .49094 .13407 .49772 .13166 .49396 .1267 Metetra
.652 .729 .905 r
.49396 .1267 .49772 .13166 .50452 .12932 .50077 .12428 Metetra
.648 .724 .904 r
.50077 .12428 .50452 .12932 .51134 .12705 .50759 .12191 Metetra
.643 .717 .902 r
.50759 .12191 .51134 .12705 .51818 .12487 .51444 .11962 Metetra
.637 .71 .9 r
.51444 .11962 .51818 .12487 .52503 .12278 .5213 .11742 Metetra
.63 .703 .898 r
.5213 .11742 .52503 .12278 .5319 .12079 .52819 .11532 Metetra
.623 .695 .896 r
.52819 .11532 .5319 .12079 .5388 .11891 .53509 .11332 Metetra
.616 .687 .894 r
.53509 .11332 .5388 .11891 .54572 .11715 .54202 .11144 Metetra
.608 .679 .892 r
.54202 .11144 .54572 .11715 .55265 .11555 .54896 .10968 Metetra
.599 .668 .888 r
.54896 .10968 .55265 .11555 .55962 .11411 .55593 .10806 Metetra
.589 .657 .884 r
.55593 .10806 .55962 .11411 .56661 .11285 .56293 .1066 Metetra
.579 .644 .879 r
.56293 .1066 .56661 .11285 .57363 .11174 .56995 .10529 Metetra
.57 .632 .874 r
.56995 .10529 .57363 .11174 .58067 .11075 .57699 .10414 Metetra
.562 .622 .869 r
.57699 .10414 .58067 .11075 .58774 .10983 .58407 .10312 Metetra
.557 .616 .867 r
.58407 .10312 .58774 .10983 .59484 .10893 .59117 .10218 Metetra
.555 .615 .867 r
.59117 .10218 .59484 .10893 .60196 .10797 .5983 .10127 Metetra
.557 .618 .869 r
.5983 .10127 .60196 .10797 .60911 .10693 .60546 .10032 Metetra
.562 .624 .872 r
.60546 .10032 .60911 .10693 .61628 .10578 .61264 .09929 Metetra
.569 .633 .875 r
.61264 .09929 .61628 .10578 .62347 .10449 .61985 .09813 Metetra
.578 .643 .879 r
.61985 .09813 .62347 .10449 .63069 .10304 .62707 .09681 Metetra
.589 .654 .882 r
.62707 .09681 .63069 .10304 .63792 .10139 .63431 .0953 Metetra
.601 .667 .886 r
.63431 .0953 .63792 .10139 .64516 .09948 .64157 .09358 Metetra
.616 .683 .89 r
.64157 .09358 .64516 .09948 .65241 .09724 .64885 .0916 Metetra
.633 .703 .896 r
.64885 .0916 .65241 .09724 .65967 .09464 .65613 .08933 Metetra
.653 .728 .904 r
.65613 .08933 .65967 .09464 .66692 .09165 .66342 .08672 Metetra
.675 .756 .912 r
.66342 .08672 .66692 .09165 .67418 .08829 .67071 .08375 Metetra
.696 .785 .919 r
.67071 .08375 .67418 .08829 .68143 .08461 .67799 .08041 Metetra
.716 .811 .924 r
.67799 .08041 .68143 .08461 .68869 .08068 .68528 .07675 Metetra
.731 .831 .927 r
.68528 .07675 .68869 .08068 .69595 .07657 .69257 .07281 Metetra
.742 .845 .927 r
.69257 .07281 .69595 .07657 .70321 .07235 .69985 .06867 Metetra
.75 .852 .926 r
.69985 .06867 .70321 .07235 .71048 .06806 .70715 .0644 Metetra
.753 .855 .925 r
.70715 .0644 .71048 .06806 .71776 .06371 .71444 .06005 Metetra
.426 .771 .996 r
.06031 .304 .065 .30627 .07056 .30589 .06589 .30345 Metetra
.472 .78 .998 r
.06589 .30345 .07056 .30589 .07615 .30537 .07153 .3027 Metetra
.521 .785 .992 r
.07153 .3027 .07615 .30537 .08179 .30465 .07721 .3017 Metetra
.567 .783 .98 r
.07721 .3017 .08179 .30465 .08748 .30367 .08295 .30043 Metetra
.605 .777 .963 r
.08295 .30043 .08748 .30367 .09323 .30238 .08875 .29886 Metetra
.636 .769 .944 r
.08875 .29886 .09323 .30238 .09905 .30078 .09461 .29697 Metetra
.661 .76 .923 r
.09461 .29697 .09905 .30078 .10492 .29886 .10053 .29474 Metetra
.682 .75 .902 r
.10053 .29474 .10492 .29886 .11085 .29661 .10651 .29217 Metetra
.699 .738 .881 r
.10651 .29217 .11085 .29661 .11683 .29403 .11255 .28924 Metetra
.711 .725 .861 r
.11255 .28924 .11683 .29403 .12287 .29112 .11864 .28595 Metetra
.719 .713 .843 r
.11864 .28595 .12287 .29112 .12896 .28787 .12479 .28236 Metetra
.724 .701 .828 r
.12479 .28236 .12896 .28787 .13511 .2843 .13097 .2785 Metetra
.726 .692 .818 r
.13097 .2785 .13511 .2843 .14129 .28046 .13719 .27446 Metetra
.726 .686 .811 r
.13719 .27446 .14129 .28046 .14751 .27642 .14343 .27031 Metetra
.726 .683 .808 r
.14343 .27031 .14751 .27642 .15375 .27226 .14967 .26613 Metetra
.724 .682 .809 r
.14967 .26613 .15375 .27226 .16 .26806 .15592 .26199 Metetra
.723 .684 .812 r
.15592 .26199 .16 .26806 .16625 .2639 .16217 .25792 Metetra
.721 .686 .816 r
.16217 .25792 .16625 .2639 .1725 .25983 .16841 .25396 Metetra
.718 .689 .822 r
.16841 .25396 .1725 .25983 .17874 .25587 .17465 .25011 Metetra
.715 .693 .828 r
.17465 .25011 .17874 .25587 .18498 .25204 .18088 .2464 Metetra
.711 .696 .834 r
.18088 .2464 .18498 .25204 .1912 .24835 .1871 .24283 Metetra
.706 .7 .841 r
.1871 .24283 .1912 .24835 .19743 .24481 .19331 .23942 Metetra
.701 .704 .849 r
.19331 .23942 .19743 .24481 .20364 .2414 .19952 .23616 Metetra
.696 .708 .857 r
.19952 .23616 .20364 .2414 .20985 .23814 .20572 .23305 Metetra
.691 .713 .866 r
.20572 .23305 .20985 .23814 .21606 .23503 .21192 .23008 Metetra
.687 .719 .874 r
.21192 .23008 .21606 .23503 .22226 .23206 .21812 .22723 Metetra
.682 .724 .881 r
.21812 .22723 .22226 .23206 .22846 .22922 .22432 .22449 Metetra
.678 .728 .887 r
.22432 .22449 .22846 .22922 .23467 .22648 .23052 .22183 Metetra
.675 .731 .892 r
.23052 .22183 .23467 .22648 .24088 .22382 .23673 .21923 Metetra
.673 .733 .896 r
.23673 .21923 .24088 .22382 .24709 .22123 .24295 .21668 Metetra
.671 .735 .899 r
.24295 .21668 .24709 .22123 .25332 .21869 .24918 .21417 Metetra
.669 .736 .901 r
.24918 .21417 .25332 .21869 .25956 .21619 .25543 .21168 Metetra
.667 .738 .903 r
.25543 .21168 .25956 .21619 .2658 .21371 .26168 .20921 Metetra
.666 .738 .904 r
.26168 .20921 .2658 .21371 .27206 .21125 .26795 .20676 Metetra
.665 .739 .905 r
.26795 .20676 .27206 .21125 .27834 .2088 .27423 .20432 Metetra
.665 .74 .906 r
.27423 .20432 .27834 .2088 .28462 .20636 .28052 .20189 Metetra
.664 .74 .907 r
.28052 .20189 .28462 .20636 .29092 .20393 .28683 .19946 Metetra
.664 .741 .907 r
.28683 .19946 .29092 .20393 .29724 .2015 .29315 .19702 Metetra
.664 .741 .907 r
.29315 .19702 .29724 .2015 .30357 .19907 .29949 .19459 Metetra
.664 .741 .908 r
.29949 .19459 .30357 .19907 .30991 .19664 .30585 .19215 Metetra
.664 .741 .908 r
.30585 .19215 .30991 .19664 .31627 .19421 .31222 .1897 Metetra
.664 .741 .908 r
.31222 .1897 .31627 .19421 .32265 .19177 .3186 .18725 Metetra
.664 .741 .908 r
.3186 .18725 .32265 .19177 .32904 .18932 .325 .18479 Metetra
.664 .741 .908 r
.325 .18479 .32904 .18932 .33544 .18687 .33142 .18233 Metetra
.664 .741 .908 r
.33142 .18233 .33544 .18687 .34187 .18441 .33785 .17986 Metetra
.664 .741 .908 r
.33785 .17986 .34187 .18441 .3483 .18195 .34429 .17739 Metetra
.664 .741 .908 r
.34429 .17739 .3483 .18195 .35475 .17948 .35075 .17491 Metetra
.664 .741 .908 r
.35075 .17491 .35475 .17948 .36122 .17701 .35723 .17243 Metetra
.664 .741 .908 r
.35723 .17243 .36122 .17701 .36771 .17453 .36373 .16994 Metetra
.664 .741 .908 r
.36373 .16994 .36771 .17453 .37421 .17205 .37023 .16744 Metetra
.664 .741 .908 r
.37023 .16744 .37421 .17205 .38072 .16955 .37676 .16494 Metetra
.664 .741 .908 r
.37676 .16494 .38072 .16955 .38725 .16706 .3833 .16243 Metetra
.664 .741 .908 r
.3833 .16243 .38725 .16706 .3938 .16455 .38986 .15991 Metetra
.664 .741 .908 r
.38986 .15991 .3938 .16455 .40036 .16204 .39643 .15739 Metetra
.664 .741 .908 r
.39643 .15739 .40036 .16204 .40694 .15953 .40302 .15487 Metetra
.663 .741 .908 r
.40302 .15487 .40694 .15953 .41354 .15701 .40963 .15233 Metetra
.663 .741 .908 r
.40963 .15233 .41354 .15701 .42015 .15448 .41625 .14979 Metetra
.663 .741 .908 r
.41625 .14979 .42015 .15448 .42678 .15195 .42289 .14725 Metetra
.663 .741 .908 r
.42289 .14725 .42678 .15195 .43342 .14941 .42954 .1447 Metetra
.663 .741 .908 r
.42954 .1447 .43342 .14941 .44008 .14687 .43621 .14214 Metetra
.663 .741 .908 r
.43621 .14214 .44008 .14687 .44676 .14433 .4429 .13958 Metetra
.663 .741 .908 r
.4429 .13958 .44676 .14433 .45345 .14178 .4496 .13702 Metetra
.662 .74 .908 r
.4496 .13702 .45345 .14178 .46016 .13924 .45632 .13446 Metetra
.662 .739 .907 r
.45632 .13446 .46016 .13924 .46689 .13671 .46306 .1319 Metetra
.661 .739 .907 r
.46306 .1319 .46689 .13671 .47363 .13418 .46981 .12935 Metetra
.66 .737 .907 r
.46981 .12935 .47363 .13418 .48039 .13167 .47658 .12681 Metetra
.659 .736 .907 r
.47658 .12681 .48039 .13167 .48716 .12917 .48337 .12428 Metetra
.657 .735 .907 r
.48337 .12428 .48716 .12917 .49396 .1267 .49017 .12177 Metetra
.655 .732 .906 r
.49017 .12177 .49396 .1267 .50077 .12428 .49699 .11928 Metetra
.652 .729 .905 r
.49699 .11928 .50077 .12428 .50759 .12191 .50383 .11684 Metetra
.648 .724 .904 r
.50383 .11684 .50759 .12191 .51444 .11962 .51069 .11445 Metetra
.643 .718 .902 r
.51069 .11445 .51444 .11962 .5213 .11742 .51756 .11214 Metetra
.637 .711 .9 r
.51756 .11214 .5213 .11742 .52819 .11532 .52446 .10992 Metetra
.63 .703 .898 r
.52446 .10992 .52819 .11532 .53509 .11332 .53137 .1078 Metetra
.623 .695 .896 r
.53137 .1078 .53509 .11332 .54202 .11144 .5383 .10579 Metetra
.615 .686 .893 r
.5383 .10579 .54202 .11144 .54896 .10968 .54525 .1039 Metetra
.607 .677 .891 r
.54525 .1039 .54896 .10968 .55593 .10806 .55223 .10214 Metetra
.598 .667 .888 r
.55223 .10214 .55593 .10806 .56293 .1066 .55923 .10051 Metetra
.589 .657 .884 r
.55923 .10051 .56293 .1066 .56995 .10529 .56626 .09903 Metetra
.58 .645 .88 r
.56626 .09903 .56995 .10529 .57699 .10414 .57331 .0977 Metetra
.571 .634 .875 r
.57331 .0977 .57699 .10414 .58407 .10312 .58039 .09651 Metetra
.563 .624 .871 r
.58039 .09651 .58407 .10312 .59117 .10218 .58749 .09545 Metetra
.558 .617 .868 r
.58749 .09545 .59117 .10218 .5983 .10127 .59463 .09448 Metetra
.555 .614 .866 r
.59463 .09448 .5983 .10127 .60546 .10032 .60179 .09355 Metetra
.556 .616 .867 r
.60179 .09355 .60546 .10032 .61264 .09929 .60898 .0926 Metetra
.561 .622 .87 r
.60898 .0926 .61264 .09929 .61985 .09813 .6162 .09157 Metetra
.568 .631 .874 r
.6162 .09157 .61985 .09813 .62707 .09681 .62344 .0904 Metetra
.578 .643 .879 r
.62344 .0904 .62707 .09681 .63431 .0953 .63069 .08906 Metetra
.59 .656 .883 r
.63069 .08906 .63431 .0953 .64157 .09358 .63797 .08752 Metetra
.603 .671 .888 r
.63797 .08752 .64157 .09358 .64885 .0916 .64526 .08574 Metetra
.618 .687 .893 r
.64526 .08574 .64885 .0916 .65613 .08933 .65256 .08371 Metetra
.635 .706 .898 r
.65256 .08371 .65613 .08933 .66342 .08672 .65988 .08138 Metetra
.654 .728 .904 r
.65988 .08138 .66342 .08672 .67071 .08375 .66719 .07874 Metetra
.674 .754 .911 r
.66719 .07874 .67071 .08375 .67799 .08041 .67452 .07576 Metetra
.694 .78 .917 r
.67452 .07576 .67799 .08041 .68528 .07675 .68184 .07244 Metetra
.713 .806 .922 r
.68184 .07244 .68528 .07675 .69257 .07281 .68916 .06879 Metetra
.73 .828 .926 r
.68916 .06879 .69257 .07281 .69985 .06867 .69648 .06486 Metetra
.742 .844 .927 r
.69648 .06486 .69985 .06867 .70715 .0644 .70379 .06071 Metetra
.75 .854 .927 r
.70379 .06071 .70715 .0644 .71444 .06005 .71111 .05641 Metetra
.477 .779 .997 r
.05562 .30152 .06031 .304 .06589 .30345 .06125 .30075 Metetra
.521 .783 .992 r
.06125 .30075 .06589 .30345 .07153 .3027 .06692 .29976 Metetra
.564 .783 .981 r
.06692 .29976 .07153 .3027 .07721 .3017 .07265 .2985 Metetra
.601 .779 .965 r
.07265 .2985 .07721 .3017 .08295 .30043 .07843 .29695 Metetra
.634 .772 .947 r
.07843 .29695 .08295 .30043 .08875 .29886 .08428 .29508 Metetra
.661 .762 .925 r
.08428 .29508 .08875 .29886 .09461 .29697 .09019 .29286 Metetra
.683 .751 .903 r
.09019 .29286 .09461 .29697 .10053 .29474 .09617 .29028 Metetra
.7 .737 .88 r
.09617 .29028 .10053 .29474 .10651 .29217 .1022 .28732 Metetra
.711 .724 .86 r
.1022 .28732 .10651 .29217 .11255 .28924 .1083 .28401 Metetra
.719 .711 .842 r
.1083 .28401 .11255 .28924 .11864 .28595 .11444 .2804 Metetra
.723 .7 .828 r
.11444 .2804 .11864 .28595 .12479 .28236 .12063 .27654 Metetra
.725 .692 .818 r
.12063 .27654 .12479 .28236 .13097 .2785 .12684 .27251 Metetra
.726 .686 .812 r
.12684 .27251 .13097 .2785 .13719 .27446 .13308 .26838 Metetra
.726 .684 .81 r
.13308 .26838 .13719 .27446 .14343 .27031 .13932 .26422 Metetra
.725 .683 .81 r
.13932 .26422 .14343 .27031 .14967 .26613 .14557 .26008 Metetra
.723 .685 .812 r
.14557 .26008 .14967 .26613 .15592 .26199 .15182 .25601 Metetra
.721 .687 .816 r
.15182 .25601 .15592 .26199 .16217 .25792 .15806 .25203 Metetra
.718 .689 .821 r
.15806 .25203 .16217 .25792 .16841 .25396 .1643 .24816 Metetra
.715 .692 .827 r
.1643 .24816 .16841 .25396 .17465 .25011 .17053 .24443 Metetra
.711 .695 .833 r
.17053 .24443 .17465 .25011 .18088 .2464 .17675 .24085 Metetra
.706 .699 .841 r
.17675 .24085 .18088 .2464 .1871 .24283 .18296 .23743 Metetra
.701 .704 .849 r
.18296 .23743 .1871 .24283 .19331 .23942 .18916 .23417 Metetra
.696 .709 .858 r
.18916 .23417 .19331 .23942 .19952 .23616 .19536 .23106 Metetra
.691 .714 .866 r
.19536 .23106 .19952 .23616 .20572 .23305 .20156 .2281 Metetra
.687 .719 .874 r
.20156 .2281 .20572 .23305 .21192 .23008 .20775 .22525 Metetra
.682 .724 .881 r
.20775 .22525 .21192 .23008 .21812 .22723 .21394 .2225 Metetra
.679 .728 .887 r
.21394 .2225 .21812 .22723 .22432 .22449 .22014 .21983 Metetra
.675 .731 .892 r
.22014 .21983 .22432 .22449 .23052 .22183 .22635 .21722 Metetra
.673 .733 .895 r
.22635 .21722 .23052 .22183 .23673 .21923 .23256 .21466 Metetra
.671 .735 .898 r
.23256 .21466 .23673 .21923 .24295 .21668 .23879 .21214 Metetra
.669 .736 .901 r
.23879 .21214 .24295 .21668 .24918 .21417 .24503 .20965 Metetra
.667 .738 .903 r
.24503 .20965 .24918 .21417 .25543 .21168 .25127 .20718 Metetra
.666 .739 .904 r
.25127 .20718 .25543 .21168 .26168 .20921 .25754 .20473 Metetra
.665 .739 .905 r
.25754 .20473 .26168 .20921 .26795 .20676 .26381 .20228 Metetra
.665 .74 .906 r
.26381 .20228 .26795 .20676 .27423 .20432 .2701 .19984 Metetra
.664 .741 .907 r
.2701 .19984 .27423 .20432 .28052 .20189 .2764 .19741 Metetra
.664 .741 .907 r
.2764 .19741 .28052 .20189 .28683 .19946 .28272 .19497 Metetra
.664 .741 .907 r
.28272 .19497 .28683 .19946 .29315 .19702 .28905 .19252 Metetra
.664 .741 .908 r
.28905 .19252 .29315 .19702 .29949 .19459 .2954 .19008 Metetra
.664 .741 .908 r
.2954 .19008 .29949 .19459 .30585 .19215 .30176 .18763 Metetra
.664 .741 .908 r
.30176 .18763 .30585 .19215 .31222 .1897 .30814 .18517 Metetra
.664 .741 .908 r
.30814 .18517 .31222 .1897 .3186 .18725 .31453 .18271 Metetra
.664 .741 .908 r
.31453 .18271 .3186 .18725 .325 .18479 .32094 .18024 Metetra
.664 .741 .908 r
.32094 .18024 .325 .18479 .33142 .18233 .32737 .17777 Metetra
.664 .741 .908 r
.32737 .17777 .33142 .18233 .33785 .17986 .33381 .17529 Metetra
.664 .741 .908 r
.33381 .17529 .33785 .17986 .34429 .17739 .34026 .17281 Metetra
.664 .741 .908 r
.34026 .17281 .34429 .17739 .35075 .17491 .34674 .17032 Metetra
.664 .741 .908 r
.34674 .17032 .35075 .17491 .35723 .17243 .35322 .16783 Metetra
.664 .741 .908 r
.35322 .16783 .35723 .17243 .36373 .16994 .35973 .16532 Metetra
.664 .741 .908 r
.35973 .16532 .36373 .16994 .37023 .16744 .36625 .16281 Metetra
.664 .741 .908 r
.36625 .16281 .37023 .16744 .37676 .16494 .37278 .1603 Metetra
.664 .741 .908 r
.37278 .1603 .37676 .16494 .3833 .16243 .37933 .15778 Metetra
.664 .741 .908 r
.37933 .15778 .3833 .16243 .38986 .15991 .3859 .15525 Metetra
.664 .741 .908 r
.3859 .15525 .38986 .15991 .39643 .15739 .39248 .15272 Metetra
.664 .741 .908 r
.39248 .15272 .39643 .15739 .40302 .15487 .39908 .15018 Metetra
.664 .741 .908 r
.39908 .15018 .40302 .15487 .40963 .15233 .4057 .14764 Metetra
.663 .741 .908 r
.4057 .14764 .40963 .15233 .41625 .14979 .41233 .14509 Metetra
.663 .741 .908 r
.41233 .14509 .41625 .14979 .42289 .14725 .41898 .14253 Metetra
.663 .741 .908 r
.41898 .14253 .42289 .14725 .42954 .1447 .42564 .13997 Metetra
.663 .741 .908 r
.42564 .13997 .42954 .1447 .43621 .14214 .43232 .1374 Metetra
.663 .741 .908 r
.43232 .1374 .43621 .14214 .4429 .13958 .43902 .13483 Metetra
.663 .741 .908 r
.43902 .13483 .4429 .13958 .4496 .13702 .44574 .13225 Metetra
.663 .741 .908 r
.44574 .13225 .4496 .13702 .45632 .13446 .45247 .12967 Metetra
.663 .74 .908 r
.45247 .12967 .45632 .13446 .46306 .1319 .45921 .12709 Metetra
.662 .739 .907 r
.45921 .12709 .46306 .1319 .46981 .12935 .46598 .12451 Metetra
.661 .739 .907 r
.46598 .12451 .46981 .12935 .47658 .12681 .47276 .12194 Metetra
.66 .737 .907 r
.47276 .12194 .47658 .12681 .48337 .12428 .47956 .11938 Metetra
.659 .736 .907 r
.47956 .11938 .48337 .12428 .49017 .12177 .48637 .11683 Metetra
.657 .734 .906 r
.48637 .11683 .49017 .12177 .49699 .11928 .4932 .11431 Metetra
.655 .732 .906 r
.4932 .11431 .49699 .11928 .50383 .11684 .50005 .11181 Metetra
.652 .729 .905 r
.50005 .11181 .50383 .11684 .51069 .11445 .50692 .10935 Metetra
.648 .724 .904 r
.50692 .10935 .51069 .11445 .51756 .11214 .5138 .10695 Metetra
.643 .718 .903 r
.5138 .10695 .51756 .11214 .52446 .10992 .52071 .10461 Metetra
.637 .711 .901 r
.52071 .10461 .52446 .10992 .53137 .1078 .52763 .10237 Metetra
.63 .703 .898 r
.52763 .10237 .53137 .1078 .5383 .10579 .53457 .10023 Metetra
.623 .694 .896 r
.53457 .10023 .5383 .10579 .54525 .1039 .54153 .0982 Metetra
.615 .685 .893 r
.54153 .0982 .54525 .1039 .55223 .10214 .54852 .0963 Metetra
.606 .676 .89 r
.54852 .0963 .55223 .10214 .55923 .10051 .55553 .09454 Metetra
.598 .666 .887 r
.55553 .09454 .55923 .10051 .56626 .09903 .56256 .0929 Metetra
.589 .656 .884 r
.56256 .0929 .56626 .09903 .57331 .0977 .56961 .09141 Metetra
.58 .646 .88 r
.56961 .09141 .57331 .0977 .58039 .09651 .5767 .09006 Metetra
.572 .636 .876 r
.5767 .09006 .58039 .09651 .58749 .09545 .58381 .08884 Metetra
.564 .626 .872 r
.58381 .08884 .58749 .09545 .59463 .09448 .59095 .08774 Metetra
.559 .619 .869 r
.59095 .08774 .59463 .09448 .60179 .09355 .59811 .08673 Metetra
.556 .615 .867 r
.59811 .08673 .60179 .09355 .60898 .0926 .60531 .08577 Metetra
.556 .616 .867 r
.60531 .08577 .60898 .0926 .6162 .09157 .61253 .08481 Metetra
.56 .62 .869 r
.61253 .08481 .6162 .09157 .62344 .0904 .61978 .08377 Metetra
.567 .63 .873 r
.61978 .08377 .62344 .0904 .63069 .08906 .62705 .08259 Metetra
.578 .642 .878 r
.62705 .08259 .63069 .08906 .63797 .08752 .63434 .08124 Metetra
.59 .657 .883 r
.63434 .08124 .63797 .08752 .64526 .08574 .64165 .07967 Metetra
.604 .673 .889 r
.64165 .07967 .64526 .08574 .65256 .08371 .64897 .07786 Metetra
.62 .691 .894 r
.64897 .07786 .65256 .08371 .65988 .08138 .65631 .07577 Metetra
.637 .71 .899 r
.65631 .07577 .65988 .08138 .66719 .07874 .66365 .0734 Metetra
.655 .731 .905 r
.66365 .0734 .66719 .07874 .67452 .07576 .671 .07072 Metetra
.674 .754 .911 r
.671 .07072 .67452 .07576 .68184 .07244 .67835 .06772 Metetra
.693 .778 .917 r
.67835 .06772 .68184 .07244 .68916 .06879 .68571 .06439 Metetra
.712 .802 .921 r
.68571 .06439 .68916 .06879 .69648 .06486 .69306 .06075 Metetra
.728 .824 .925 r
.69306 .06075 .69648 .06486 .70379 .06071 .70041 .05683 Metetra
.741 .841 .926 r
.70041 .05683 .70379 .06071 .71111 .05641 .70776 .05268 Metetra
.519 .783 .992 r
.05094 .29881 .05562 .30152 .06125 .30075 .0566 .29783 Metetra
.56 .784 .982 r
.0566 .29783 .06125 .30075 .06692 .29976 .06232 .29659 Metetra
.599 .781 .967 r
.06232 .29659 .06692 .29976 .07265 .2985 .0681 .29505 Metetra
.633 .774 .948 r
.0681 .29505 .07265 .2985 .07843 .29695 .07393 .29319 Metetra
.661 .763 .926 r
.07393 .29319 .07843 .29695 .08428 .29508 .07984 .29096 Metetra
.683 .75 .902 r
.07984 .29096 .08428 .29508 .09019 .29286 .08581 .28836 Metetra
.7 .736 .879 r
.08581 .28836 .09019 .29286 .09617 .29028 .09185 .28538 Metetra
.711 .722 .858 r
.09185 .28538 .09617 .29028 .1022 .28732 .09794 .28206 Metetra
.718 .71 .841 r
.09794 .28206 .1022 .28732 .1083 .28401 .10408 .27844 Metetra
.723 .699 .828 r
.10408 .27844 .1083 .28401 .11444 .2804 .11026 .27459 Metetra
.725 .692 .818 r
.11026 .27459 .11444 .2804 .12063 .27654 .11648 .27057 Metetra
.726 .687 .813 r
.11648 .27057 .12063 .27654 .12684 .27251 .12271 .26645 Metetra
.726 .685 .811 r
.12271 .26645 .12684 .27251 .13308 .26838 .12895 .2623 Metetra
.725 .684 .811 r
.12895 .2623 .13308 .26838 .13932 .26422 .1352 .25816 Metetra
.723 .685 .813 r
.1352 .25816 .13932 .26422 .14557 .26008 .14145 .25408 Metetra
.721 .686 .816 r
.14145 .25408 .14557 .26008 .15182 .25601 .14769 .25008 Metetra
.718 .688 .82 r
.14769 .25008 .15182 .25601 .15806 .25203 .15393 .2462 Metetra
.715 .691 .826 r
.15393 .2462 .15806 .25203 .1643 .24816 .16016 .24246 Metetra
.711 .695 .833 r
.16016 .24246 .1643 .24816 .17053 .24443 .16638 .23888 Metetra
.706 .699 .841 r
.16638 .23888 .17053 .24443 .17675 .24085 .17259 .23545 Metetra
.701 .704 .849 r
.17259 .23545 .17675 .24085 .18296 .23743 .17879 .23219 Metetra
.696 .709 .858 r
.17879 .23219 .18296 .23743 .18916 .23417 .18498 .22908 Metetra
.691 .715 .867 r
.18498 .22908 .18916 .23417 .19536 .23106 .19117 .22611 Metetra
.687 .72 .874 r
.19117 .22611 .19536 .23106 .20156 .2281 .19736 .22325 Metetra
.683 .724 .881 r
.19736 .22325 .20156 .2281 .20775 .22525 .20355 .2205 Metetra
.679 .728 .887 r
.20355 .2205 .20775 .22525 .21394 .2225 .20975 .21782 Metetra
.676 .73 .891 r
.20975 .21782 .21394 .2225 .22014 .21983 .21595 .2152 Metetra
.673 .733 .895 r
.21595 .2152 .22014 .21983 .22635 .21722 .22216 .21264 Metetra
.671 .735 .898 r
.22216 .21264 .22635 .21722 .23256 .21466 .22838 .21011 Metetra
.669 .736 .901 r
.22838 .21011 .23256 .21466 .23879 .21214 .23461 .20762 Metetra
.667 .738 .903 r
.23461 .20762 .23879 .21214 .24503 .20965 .24085 .20514 Metetra
.666 .739 .904 r
.24085 .20514 .24503 .20965 .25127 .20718 .2471 .20269 Metetra
.665 .74 .905 r
.2471 .20269 .25127 .20718 .25754 .20473 .25337 .20024 Metetra
.665 .74 .906 r
.25337 .20024 .25754 .20473 .26381 .20228 .25965 .19779 Metetra
.664 .741 .907 r
.25965 .19779 .26381 .20228 .2701 .19984 .26595 .19535 Metetra
.664 .741 .907 r
.26595 .19535 .2701 .19984 .2764 .19741 .27226 .19291 Metetra
.664 .741 .907 r
.27226 .19291 .2764 .19741 .28272 .19497 .27859 .19046 Metetra
.664 .741 .908 r
.27859 .19046 .28272 .19497 .28905 .19252 .28493 .18801 Metetra
.664 .741 .908 r
.28493 .18801 .28905 .19252 .2954 .19008 .29129 .18555 Metetra
.664 .741 .908 r
.29129 .18555 .2954 .19008 .30176 .18763 .29766 .18309 Metetra
.664 .741 .908 r
.29766 .18309 .30176 .18763 .30814 .18517 .30405 .18062 Metetra
.664 .741 .908 r
.30405 .18062 .30814 .18517 .31453 .18271 .31045 .17815 Metetra
.664 .741 .908 r
.31045 .17815 .31453 .18271 .32094 .18024 .31687 .17568 Metetra
.664 .741 .908 r
.31687 .17568 .32094 .18024 .32737 .17777 .3233 .17319 Metetra
.664 .741 .908 r
.3233 .17319 .32737 .17777 .33381 .17529 .32975 .1707 Metetra
.664 .741 .908 r
.32975 .1707 .33381 .17529 .34026 .17281 .33622 .16821 Metetra
.664 .741 .908 r
.33622 .16821 .34026 .17281 .34674 .17032 .3427 .16571 Metetra
.664 .741 .908 r
.3427 .16571 .34674 .17032 .35322 .16783 .3492 .1632 Metetra
.664 .741 .908 r
.3492 .1632 .35322 .16783 .35973 .16532 .35571 .16069 Metetra
.664 .741 .908 r
.35571 .16069 .35973 .16532 .36625 .16281 .36224 .15817 Metetra
.664 .741 .908 r
.36224 .15817 .36625 .16281 .37278 .1603 .36878 .15564 Metetra
.664 .741 .908 r
.36878 .15564 .37278 .1603 .37933 .15778 .37534 .15311 Metetra
.664 .741 .908 r
.37534 .15311 .37933 .15778 .3859 .15525 .38192 .15057 Metetra
.664 .741 .908 r
.38192 .15057 .3859 .15525 .39248 .15272 .38851 .14803 Metetra
.664 .741 .908 r
.38851 .14803 .39248 .15272 .39908 .15018 .39512 .14548 Metetra
.664 .741 .908 r
.39512 .14548 .39908 .15018 .4057 .14764 .40175 .14292 Metetra
.664 .741 .908 r
.40175 .14292 .4057 .14764 .41233 .14509 .40839 .14036 Metetra
.663 .741 .908 r
.40839 .14036 .41233 .14509 .41898 .14253 .41505 .13779 Metetra
.663 .741 .908 r
.41505 .13779 .41898 .14253 .42564 .13997 .42173 .13522 Metetra
.663 .741 .908 r
.42173 .13522 .42564 .13997 .43232 .1374 .42842 .13264 Metetra
.663 .741 .908 r
.42842 .13264 .43232 .1374 .43902 .13483 .43513 .13005 Metetra
.663 .741 .908 r
.43513 .13005 .43902 .13483 .44574 .13225 .44185 .12746 Metetra
.663 .741 .908 r
.44185 .12746 .44574 .13225 .45247 .12967 .44859 .12486 Metetra
.663 .741 .908 r
.44859 .12486 .45247 .12967 .45921 .12709 .45535 .12227 Metetra
.663 .74 .908 r
.45535 .12227 .45921 .12709 .46598 .12451 .46213 .11967 Metetra
.662 .74 .908 r
.46213 .11967 .46598 .12451 .47276 .12194 .46892 .11707 Metetra
.661 .739 .907 r
.46892 .11707 .47276 .12194 .47956 .11938 .47573 .11448 Metetra
.66 .737 .907 r
.47573 .11448 .47956 .11938 .48637 .11683 .48255 .1119 Metetra
.659 .736 .907 r
.48255 .1119 .48637 .11683 .4932 .11431 .4894 .10934 Metetra
.657 .734 .906 r
.4894 .10934 .4932 .11431 .50005 .11181 .49626 .10679 Metetra
.655 .731 .906 r
.49626 .10679 .50005 .11181 .50692 .10935 .50313 .10428 Metetra
.652 .728 .905 r
.50313 .10428 .50692 .10935 .5138 .10695 .51003 .10181 Metetra
.648 .724 .904 r
.51003 .10181 .5138 .10695 .52071 .10461 .51694 .09939 Metetra
.643 .719 .903 r
.51694 .09939 .52071 .10461 .52763 .10237 .52387 .09704 Metetra
.637 .712 .901 r
.52387 .09704 .52763 .10237 .53457 .10023 .53083 .09477 Metetra
.631 .704 .898 r
.53083 .09477 .53457 .10023 .54153 .0982 .5378 .09261 Metetra
.623 .695 .896 r
.5378 .09261 .54153 .0982 .54852 .0963 .54479 .09057 Metetra
.614 .685 .893 r
.54479 .09057 .54852 .0963 .55553 .09454 .5518 .08865 Metetra
.606 .675 .89 r
.5518 .08865 .55553 .09454 .56256 .0929 .55884 .08687 Metetra
.597 .665 .887 r
.55884 .08687 .56256 .0929 .56961 .09141 .5659 .08523 Metetra
.588 .655 .883 r
.5659 .08523 .56961 .09141 .5767 .09006 .57299 .08372 Metetra
.58 .646 .88 r
.57299 .08372 .5767 .09006 .58381 .08884 .58011 .08236 Metetra
.572 .636 .876 r
.58011 .08236 .58381 .08884 .59095 .08774 .58725 .08111 Metetra
.565 .627 .873 r
.58725 .08111 .59095 .08774 .59811 .08673 .59442 .07999 Metetra
.56 .621 .869 r
.59442 .07999 .59811 .08673 .60531 .08577 .60162 .07894 Metetra
.557 .617 .868 r
.60162 .07894 .60531 .08577 .61253 .08481 .60885 .07795 Metetra
.557 .616 .867 r
.60885 .07795 .61253 .08481 .61978 .08377 .6161 .07695 Metetra
.56 .62 .869 r
.6161 .07695 .61978 .08377 .62705 .08259 .62339 .0759 Metetra
.567 .629 .872 r
.62339 .0759 .62705 .08259 .63434 .08124 .63069 .07471 Metetra
.577 .641 .877 r
.63069 .07471 .63434 .08124 .64165 .07967 .63802 .07335 Metetra
.59 .656 .883 r
.63802 .07335 .64165 .07967 .64897 .07786 .64536 .07176 Metetra
.605 .674 .889 r
.64536 .07176 .64897 .07786 .65631 .07577 .65271 .06992 Metetra
.621 .692 .895 r
.65271 .06992 .65631 .07577 .66365 .0734 .66008 .0678 Metetra
.638 .712 .901 r
.66008 .0678 .66365 .0734 .671 .07072 .66746 .06538 Metetra
.656 .733 .906 r
.66746 .06538 .671 .07072 .67835 .06772 .67484 .06266 Metetra
.675 .755 .911 r
.67484 .06266 .67835 .06772 .68571 .06439 .68222 .05963 Metetra
.693 .778 .916 r
.68222 .05963 .68571 .06439 .69306 .06075 .68961 .05628 Metetra
.71 .8 .921 r
.68961 .05628 .69306 .06075 .70041 .05683 .69699 .05263 Metetra
.726 .821 .924 r
.69699 .05263 .70041 .05683 .70776 .05268 .70437 .04871 Metetra
.558 .785 .984 r
.04627 .29591 .05094 .29881 .0566 .29783 .05197 .29468 Metetra
.597 .782 .969 r
.05197 .29468 .0566 .29783 .06232 .29659 .05774 .29315 Metetra
.632 .775 .949 r
.05774 .29315 .06232 .29659 .0681 .29505 .06357 .29128 Metetra
.662 .763 .925 r
.06357 .29128 .0681 .29505 .07393 .29319 .06947 .28904 Metetra
.684 .75 .901 r
.06947 .28904 .07393 .29319 .07984 .29096 .07544 .28642 Metetra
.7 .735 .878 r
.07544 .28642 .07984 .29096 .08581 .28836 .08147 .28343 Metetra
.711 .721 .857 r
.08147 .28343 .08581 .28836 .09185 .28538 .08756 .2801 Metetra
.718 .709 .841 r
.08756 .2801 .09185 .28538 .09794 .28206 .0937 .27649 Metetra
.722 .7 .828 r
.0937 .27649 .09794 .28206 .10408 .27844 .09988 .27264 Metetra
.725 .693 .819 r
.09988 .27264 .10408 .27844 .11026 .27459 .10609 .26864 Metetra
.726 .688 .814 r
.10609 .26864 .11026 .27459 .11648 .27057 .11232 .26453 Metetra
.726 .686 .811 r
.11232 .26453 .11648 .27057 .12271 .26645 .11856 .26038 Metetra
.725 .685 .811 r
.11856 .26038 .12271 .26645 .12895 .2623 .12481 .25623 Metetra
.724 .685 .812 r
.12481 .25623 .12895 .2623 .1352 .25816 .13106 .25214 Metetra
.721 .686 .815 r
.13106 .25214 .1352 .25816 .14145 .25408 .1373 .24813 Metetra
.718 .688 .82 r
.1373 .24813 .14145 .25408 .14769 .25008 .14354 .24424 Metetra
.715 .691 .826 r
.14354 .24424 .14769 .25008 .15393 .2462 .14977 .24049 Metetra
.71 .694 .833 r
.14977 .24049 .15393 .2462 .16016 .24246 .15599 .2369 Metetra
.706 .699 .841 r
.15599 .2369 .16016 .24246 .16638 .23888 .16219 .23348 Metetra
.701 .704 .85 r
.16219 .23348 .16638 .23888 .17259 .23545 .16839 .23021 Metetra
.696 .71 .858 r
.16839 .23021 .17259 .23545 .17879 .23219 .17458 .2271 Metetra
.691 .715 .867 r
.17458 .2271 .17879 .23219 .18498 .22908 .18076 .22412 Metetra
.687 .72 .874 r
.18076 .22412 .18498 .22908 .19117 .22611 .18695 .22126 Metetra
.683 .724 .881 r
.18695 .22126 .19117 .22611 .19736 .22325 .19314 .21849 Metetra
.679 .727 .886 r
.19314 .21849 .19736 .22325 .20355 .2205 .19933 .2158 Metetra
.676 .73 .891 r
.19933 .2158 .20355 .2205 .20975 .21782 .20552 .21318 Metetra
.673 .733 .895 r
.20552 .21318 .20975 .21782 .21595 .2152 .21173 .21061 Metetra
.67 .735 .898 r
.21173 .21061 .21595 .2152 .22216 .21264 .21794 .20808 Metetra
.669 .736 .901 r
.21794 .20808 .22216 .21264 .22838 .21011 .22416 .20558 Metetra
.667 .738 .903 r
.22416 .20558 .22838 .21011 .23461 .20762 .2304 .20311 Metetra
.666 .739 .904 r
.2304 .20311 .23461 .20762 .24085 .20514 .23665 .20064 Metetra
.665 .74 .905 r
.23665 .20064 .24085 .20514 .2471 .20269 .24291 .19819 Metetra
.665 .74 .906 r
.24291 .19819 .2471 .20269 .25337 .20024 .24919 .19574 Metetra
.664 .741 .907 r
.24919 .19574 .25337 .20024 .25965 .19779 .25548 .19329 Metetra
.664 .741 .907 r
.25548 .19329 .25965 .19779 .26595 .19535 .26178 .19084 Metetra
.664 .741 .907 r
.26178 .19084 .26595 .19535 .27226 .19291 .2681 .18839 Metetra
.664 .741 .908 r
.2681 .18839 .27226 .19291 .27859 .19046 .27444 .18593 Metetra
.664 .741 .908 r
.27444 .18593 .27859 .19046 .28493 .18801 .28079 .18347 Metetra
.664 .741 .908 r
.28079 .18347 .28493 .18801 .29129 .18555 .28716 .18101 Metetra
.664 .741 .908 r
.28716 .18101 .29129 .18555 .29766 .18309 .29354 .17853 Metetra
.664 .741 .908 r
.29354 .17853 .29766 .18309 .30405 .18062 .29993 .17606 Metetra
.664 .741 .908 r
.29993 .17606 .30405 .18062 .31045 .17815 .30635 .17358 Metetra
.664 .741 .908 r
.30635 .17358 .31045 .17815 .31687 .17568 .31278 .17109 Metetra
.664 .741 .908 r
.31278 .17109 .31687 .17568 .3233 .17319 .31922 .16859 Metetra
.664 .741 .908 r
.31922 .16859 .3233 .17319 .32975 .1707 .32568 .16609 Metetra
.664 .741 .908 r
.32568 .16609 .32975 .1707 .33622 .16821 .33215 .16359 Metetra
.664 .741 .908 r
.33215 .16359 .33622 .16821 .3427 .16571 .33864 .16107 Metetra
.664 .741 .908 r
.33864 .16107 .3427 .16571 .3492 .1632 .34515 .15856 Metetra
.664 .741 .908 r
.34515 .15856 .3492 .1632 .35571 .16069 .35167 .15603 Metetra
.664 .741 .908 r
.35167 .15603 .35571 .16069 .36224 .15817 .35821 .1535 Metetra
.664 .741 .908 r
.35821 .1535 .36224 .15817 .36878 .15564 .36477 .15096 Metetra
.664 .741 .908 r
.36477 .15096 .36878 .15564 .37534 .15311 .37134 .14842 Metetra
.664 .741 .908 r
.37134 .14842 .37534 .15311 .38192 .15057 .37793 .14587 Metetra
.664 .741 .908 r
.37793 .14587 .38192 .15057 .38851 .14803 .38453 .14332 Metetra
.664 .741 .908 r
.38453 .14332 .38851 .14803 .39512 .14548 .39115 .14075 Metetra
.664 .741 .908 r
.39115 .14075 .39512 .14548 .40175 .14292 .39778 .13818 Metetra
.664 .741 .908 r
.39778 .13818 .40175 .14292 .40839 .14036 .40444 .13561 Metetra
.664 .741 .908 r
.40444 .13561 .40839 .14036 .41505 .13779 .41111 .13303 Metetra
.664 .741 .908 r
.41111 .13303 .41505 .13779 .42173 .13522 .41779 .13044 Metetra
.663 .741 .908 r
.41779 .13044 .42173 .13522 .42842 .13264 .42449 .12785 Metetra
.663 .741 .908 r
.42449 .12785 .42842 .13264 .43513 .13005 .43121 .12525 Metetra
.663 .741 .908 r
.43121 .12525 .43513 .13005 .44185 .12746 .43795 .12265 Metetra
.663 .741 .908 r
.43795 .12265 .44185 .12746 .44859 .12486 .4447 .12004 Metetra
.663 .741 .908 r
.4447 .12004 .44859 .12486 .45535 .12227 .45147 .11742 Metetra
.663 .741 .908 r
.45147 .11742 .45535 .12227 .46213 .11967 .45826 .11481 Metetra
.663 .74 .908 r
.45826 .11481 .46213 .11967 .46892 .11707 .46506 .11219 Metetra
.662 .74 .908 r
.46506 .11219 .46892 .11707 .47573 .11448 .47188 .10958 Metetra
.661 .739 .907 r
.47188 .10958 .47573 .11448 .48255 .1119 .47872 .10697 Metetra
.66 .737 .907 r
.47872 .10697 .48255 .1119 .4894 .10934 .48557 .10437 Metetra
.659 .736 .907 r
.48557 .10437 .4894 .10934 .49626 .10679 .49244 .10179 Metetra
.657 .734 .906 r
.49244 .10179 .49626 .10679 .50313 .10428 .49933 .09923 Metetra
.654 .731 .906 r
.49933 .09923 .50313 .10428 .51003 .10181 .50624 .0967 Metetra
.652 .728 .905 r
.50624 .0967 .51003 .10181 .51694 .09939 .51316 .09421 Metetra
.648 .724 .904 r
.51316 .09421 .51694 .09939 .52387 .09704 .5201 .09177 Metetra
.643 .718 .903 r
.5201 .09177 .52387 .09704 .53083 .09477 .52706 .0894 Metetra
.637 .712 .901 r
.52706 .0894 .53083 .09477 .5378 .09261 .53405 .08712 Metetra
.631 .704 .899 r
.53405 .08712 .5378 .09261 .54479 .09057 .54105 .08494 Metetra
.623 .695 .896 r
.54105 .08494 .54479 .09057 .5518 .08865 .54807 .08288 Metetra
.614 .685 .893 r
.54807 .08288 .5518 .08865 .55884 .08687 .55511 .08094 Metetra
.606 .675 .89 r
.55511 .08094 .55884 .08687 .5659 .08523 .56218 .07915 Metetra
.597 .665 .886 r
.56218 .07915 .5659 .08523 .57299 .08372 .56928 .07749 Metetra
.588 .655 .883 r
.56928 .07749 .57299 .08372 .58011 .08236 .5764 .07598 Metetra
.58 .645 .88 r
.5764 .07598 .58011 .08236 .58725 .08111 .58354 .07459 Metetra
.572 .636 .876 r
.58354 .07459 .58725 .08111 .59442 .07999 .59072 .07333 Metetra
.566 .628 .873 r
.59072 .07333 .59442 .07999 .60162 .07894 .59792 .07218 Metetra
.561 .622 .87 r
.59792 .07218 .60162 .07894 .60885 .07795 .60516 .07111 Metetra
.558 .618 .868 r
.60516 .07111 .60885 .07795 .6161 .07695 .61242 .07008 Metetra
.558 .617 .868 r
.61242 .07008 .6161 .07695 .62339 .0759 .61971 .06905 Metetra
.561 .621 .869 r
.61971 .06905 .62339 .0759 .63069 .07471 .62702 .06797 Metetra
.567 .628 .872 r
.62702 .06797 .63069 .07471 .63802 .07335 .63436 .06676 Metetra
.577 .64 .877 r
.63436 .06676 .63802 .07335 .64536 .07176 .64172 .06538 Metetra
.59 .655 .883 r
.64172 .06538 .64536 .07176 .65271 .06992 .64909 .06378 Metetra
.605 .673 .889 r
.64909 .06378 .65271 .06992 .66008 .0678 .65648 .06192 Metetra
.621 .693 .895 r
.65648 .06192 .66008 .0678 .66746 .06538 .66388 .05977 Metetra
.639 .714 .902 r
.66388 .05977 .66746 .06538 .67484 .06266 .67129 .05731 Metetra
.657 .735 .907 r
.67129 .05731 .67484 .06266 .68222 .05963 .6787 .05455 Metetra
.675 .757 .912 r
.6787 .05455 .68222 .05963 .68961 .05628 .68612 .05148 Metetra
.693 .778 .917 r
.68612 .05148 .68961 .05628 .69699 .05263 .69353 .04811 Metetra
.71 .799 .92 r
.69353 .04811 .69699 .05263 .70437 .04871 .70095 .04445 Metetra
.597 .783 .969 r
.0416 .29277 .04627 .29591 .05197 .29468 .04736 .29123 Metetra
.633 .775 .949 r
.04736 .29123 .05197 .29468 .05774 .29315 .05318 .28935 Metetra
.662 .763 .925 r
.05318 .28935 .05774 .29315 .06357 .29128 .05908 .2871 Metetra
.684 .749 .9 r
.05908 .2871 .06357 .29128 .06947 .28904 .06504 .28447 Metetra
.7 .734 .877 r
.06504 .28447 .06947 .28904 .07544 .28642 .07107 .28148 Metetra
.711 .72 .857 r
.07107 .28148 .07544 .28642 .08147 .28343 .07716 .27815 Metetra
.718 .709 .841 r
.07716 .27815 .08147 .28343 .08756 .2801 .08329 .27454 Metetra
.722 .7 .829 r
.08329 .27454 .08756 .2801 .0937 .27649 .08947 .27071 Metetra
.725 .694 .82 r
.08947 .27071 .0937 .27649 .09988 .27264 .09568 .26671 Metetra
.726 .689 .815 r
.09568 .26671 .09988 .27264 .10609 .26864 .10191 .2626 Metetra
.726 .686 .812 r
.10191 .2626 .10609 .26864 .11232 .26453 .10815 .25845 Metetra
.725 .685 .811 r
.10815 .25845 .11232 .26453 .11856 .26038 .1144 .25429 Metetra
.724 .685 .812 r
.1144 .25429 .11856 .26038 .12481 .25623 .12065 .25019 Metetra
.721 .685 .815 r
.12065 .25019 .12481 .25623 .13106 .25214 .12689 .24617 Metetra
.718 .687 .819 r
.12689 .24617 .13106 .25214 .1373 .24813 .13313 .24227 Metetra
.715 .69 .826 r
.13313 .24227 .1373 .24813 .14354 .24424 .13936 .23852 Metetra
.71 .694 .833 r
.13936 .23852 .14354 .24424 .14977 .24049 .14557 .23493 Metetra
.706 .699 .841 r
.14557 .23493 .14977 .24049 .15599 .2369 .15178 .2315 Metetra
.701 .704 .85 r
.15178 .2315 .15599 .2369 .16219 .23348 .15797 .22823 Metetra
.696 .71 .859 r
.15797 .22823 .16219 .23348 .16839 .23021 .16416 .22511 Metetra
.692 .715 .867 r
.16416 .22511 .16839 .23021 .17458 .2271 .17034 .22212 Metetra
.687 .72 .874 r
.17034 .22212 .17458 .2271 .18076 .22412 .17652 .21925 Metetra
.683 .724 .881 r
.17652 .21925 .18076 .22412 .18695 .22126 .1827 .21648 Metetra
.679 .727 .886 r
.1827 .21648 .18695 .22126 .19314 .21849 .18889 .21378 Metetra
.676 .73 .891 r
.18889 .21378 .19314 .21849 .19933 .2158 .19508 .21116 Metetra
.673 .733 .895 r
.19508 .21116 .19933 .2158 .20552 .21318 .20128 .20858 Metetra
.67 .735 .898 r
.20128 .20858 .20552 .21318 .21173 .21061 .20748 .20605 Metetra
.669 .736 .901 r
.20748 .20605 .21173 .21061 .21794 .20808 .2137 .20354 Metetra
.667 .738 .903 r
.2137 .20354 .21794 .20808 .22416 .20558 .21993 .20106 Metetra
.666 .739 .904 r
.21993 .20106 .22416 .20558 .2304 .20311 .22617 .19859 Metetra
.665 .74 .905 r
.22617 .19859 .2304 .20311 .23665 .20064 .23243 .19613 Metetra
.665 .74 .906 r
.23243 .19613 .23665 .20064 .24291 .19819 .2387 .19368 Metetra
.664 .74 .907 r
.2387 .19368 .24291 .19819 .24919 .19574 .24499 .19123 Metetra
.664 .741 .907 r
.24499 .19123 .24919 .19574 .25548 .19329 .25129 .18877 Metetra
.664 .741 .907 r
.25129 .18877 .25548 .19329 .26178 .19084 .2576 .18631 Metetra
.664 .741 .908 r
.2576 .18631 .26178 .19084 .2681 .18839 .26393 .18385 Metetra
.664 .741 .908 r
.26393 .18385 .2681 .18839 .27444 .18593 .27027 .18139 Metetra
.664 .741 .908 r
.27027 .18139 .27444 .18593 .28079 .18347 .27663 .17892 Metetra
.664 .741 .908 r
.27663 .17892 .28079 .18347 .28716 .18101 .28301 .17644 Metetra
.664 .741 .908 r
.28301 .17644 .28716 .18101 .29354 .17853 .2894 .17396 Metetra
.664 .741 .908 r
.2894 .17396 .29354 .17853 .29993 .17606 .2958 .17147 Metetra
.664 .741 .908 r
.2958 .17147 .29993 .17606 .30635 .17358 .30223 .16898 Metetra
.664 .741 .908 r
.30223 .16898 .30635 .17358 .31278 .17109 .30866 .16648 Metetra
.664 .741 .908 r
.30866 .16648 .31278 .17109 .31922 .16859 .31512 .16397 Metetra
.664 .741 .908 r
.31512 .16397 .31922 .16859 .32568 .16609 .32159 .16146 Metetra
.664 .741 .908 r
.32159 .16146 .32568 .16609 .33215 .16359 .32807 .15894 Metetra
.664 .741 .908 r
.32807 .15894 .33215 .16359 .33864 .16107 .33457 .15642 Metetra
.664 .741 .908 r
.33457 .15642 .33864 .16107 .34515 .15856 .34109 .15389 Metetra
.664 .741 .908 r
.34109 .15389 .34515 .15856 .35167 .15603 .34762 .15135 Metetra
.664 .741 .908 r
.34762 .15135 .35167 .15603 .35821 .1535 .35417 .14881 Metetra
.664 .741 .908 r
.35417 .14881 .35821 .1535 .36477 .15096 .36073 .14626 Metetra
.664 .741 .908 r
.36073 .14626 .36477 .15096 .37134 .14842 .36731 .14371 Metetra
.664 .741 .908 r
.36731 .14371 .37134 .14842 .37793 .14587 .37391 .14115 Metetra
.664 .741 .908 r
.37391 .14115 .37793 .14587 .38453 .14332 .38052 .13858 Metetra
.664 .741 .908 r
.38052 .13858 .38453 .14332 .39115 .14075 .38715 .13601 Metetra
.664 .741 .908 r
.38715 .13601 .39115 .14075 .39778 .13818 .3938 .13343 Metetra
.664 .741 .908 r
.3938 .13343 .39778 .13818 .40444 .13561 .40046 .13084 Metetra
.664 .741 .908 r
.40046 .13084 .40444 .13561 .41111 .13303 .40714 .12825 Metetra
.664 .741 .908 r
.40714 .12825 .41111 .13303 .41779 .13044 .41384 .12565 Metetra
.664 .741 .908 r
.41384 .12565 .41779 .13044 .42449 .12785 .42055 .12304 Metetra
.663 .741 .908 r
.42055 .12304 .42449 .12785 .43121 .12525 .42728 .12043 Metetra
.663 .741 .908 r
.42728 .12043 .43121 .12525 .43795 .12265 .43403 .11781 Metetra
.663 .741 .908 r
.43403 .11781 .43795 .12265 .4447 .12004 .44079 .11519 Metetra
.663 .741 .908 r
.44079 .11519 .4447 .12004 .45147 .11742 .44757 .11256 Metetra
.663 .741 .908 r
.44757 .11256 .45147 .11742 .45826 .11481 .45437 .10993 Metetra
.663 .741 .908 r
.45437 .10993 .45826 .11481 .46506 .11219 .46118 .1073 Metetra
.662 .74 .908 r
.46118 .1073 .46506 .11219 .47188 .10958 .46801 .10466 Metetra
.662 .74 .908 r
.46801 .10466 .47188 .10958 .47872 .10697 .47486 .10203 Metetra
.661 .739 .907 r
.47486 .10203 .47872 .10697 .48557 .10437 .48173 .0994 Metetra
.66 .737 .907 r
.48173 .0994 .48557 .10437 .49244 .10179 .48861 .09678 Metetra
.659 .736 .907 r
.48861 .09678 .49244 .10179 .49933 .09923 .49551 .09418 Metetra
.657 .734 .906 r
.49551 .09418 .49933 .09923 .50624 .0967 .50243 .0916 Metetra
.654 .731 .906 r
.50243 .0916 .50624 .0967 .51316 .09421 .50936 .08906 Metetra
.651 .728 .905 r
.50936 .08906 .51316 .09421 .5201 .09177 .51631 .08655 Metetra
.648 .723 .904 r
.51631 .08655 .5201 .09177 .52706 .0894 .52329 .0841 Metetra
.643 .718 .903 r
.52329 .0841 .52706 .0894 .53405 .08712 .53028 .08172 Metetra
.637 .712 .901 r
.53028 .08172 .53405 .08712 .54105 .08494 .53729 .07942 Metetra
.631 .704 .899 r
.53729 .07942 .54105 .08494 .54807 .08288 .54432 .07722 Metetra
.623 .695 .896 r
.54432 .07722 .54807 .08288 .55511 .08094 .55137 .07513 Metetra
.614 .685 .893 r
.55137 .07513 .55511 .08094 .56218 .07915 .55845 .07318 Metetra
.606 .675 .89 r
.55845 .07318 .56218 .07915 .56928 .07749 .56555 .07137 Metetra
.596 .664 .886 r
.56555 .07137 .56928 .07749 .5764 .07598 .57267 .0697 Metetra
.588 .654 .883 r
.57267 .0697 .5764 .07598 .58354 .07459 .57983 .06817 Metetra
.579 .644 .879 r
.57983 .06817 .58354 .07459 .59072 .07333 .58701 .06677 Metetra
.572 .636 .876 r
.58701 .06677 .59072 .07333 .59792 .07218 .59421 .06549 Metetra
.566 .628 .873 r
.59421 .06549 .59792 .07218 .60516 .07111 .60145 .06432 Metetra
.561 .623 .871 r
.60145 .06432 .60516 .07111 .61242 .07008 .60872 .06322 Metetra
.559 .619 .869 r
.60872 .06322 .61242 .07008 .61971 .06905 .61601 .06216 Metetra
.559 .619 .868 r
.61601 .06216 .61971 .06905 .62702 .06797 .62333 .0611 Metetra
.561 .622 .869 r
.62333 .0611 .62702 .06797 .63436 .06676 .63068 .05998 Metetra
.568 .629 .872 r
.63068 .05998 .63436 .06676 .64172 .06538 .63805 .05875 Metetra
.577 .64 .876 r
.63805 .05875 .64172 .06538 .64909 .06378 .64544 .05735 Metetra
.59 .655 .882 r
.64544 .05735 .64909 .06378 .65648 .06192 .65285 .05573 Metetra
.605 .673 .889 r
.65285 .05573 .65648 .06192 .66388 .05977 .66028 .05385 Metetra
.622 .693 .895 r
.66028 .05385 .66388 .05977 .67129 .05731 .66771 .05167 Metetra
.64 .715 .902 r
.66771 .05167 .67129 .05731 .6787 .05455 .67515 .04919 Metetra
.658 .737 .908 r
.67515 .04919 .6787 .05455 .68612 .05148 .6826 .0464 Metetra
.676 .758 .913 r
.6826 .0464 .68612 .05148 .69353 .04811 .69004 .04329 Metetra
.694 .779 .917 r
.69004 .04329 .69353 .04811 .70095 .04445 .69749 .03989 Metetra
.634 .774 .948 r
.03696 .28931 .0416 .29277 .04736 .29123 .04278 .28742 Metetra
.663 .762 .924 r
.04278 .28742 .04736 .29123 .05318 .28935 .04867 .28515 Metetra
.684 .748 .899 r
.04867 .28515 .05318 .28935 .05908 .2871 .05463 .28252 Metetra
.7 .733 .877 r
.05463 .28252 .05908 .2871 .06504 .28447 .06065 .27952 Metetra
.71 .72 .857 r
.06065 .27952 .06504 .28447 .07107 .28148 .06673 .2762 Metetra
.717 .709 .842 r
.06673 .2762 .07107 .28148 .07716 .27815 .07287 .2726 Metetra
.722 .701 .83 r
.07287 .2726 .07716 .27815 .08329 .27454 .07904 .26877 Metetra
.725 .694 .821 r
.07904 .26877 .08329 .27454 .08947 .27071 .08525 .26478 Metetra
.726 .69 .815 r
.08525 .26478 .08947 .27071 .09568 .26671 .09147 .26067 Metetra
.726 .686 .812 r
.09147 .26067 .09568 .26671 .10191 .2626 .09772 .25651 Metetra
.725 .685 .811 r
.09772 .25651 .10191 .2626 .10815 .25845 .10397 .25234 Metetra
.724 .684 .812 r
.10397 .25234 .10815 .25845 .1144 .25429 .11022 .24823 Metetra
.721 .685 .815 r
.11022 .24823 .1144 .25429 .12065 .25019 .11646 .2442 Metetra
.718 .687 .819 r
.11646 .2442 .12065 .25019 .12689 .24617 .1227 .2403 Metetra
.714 .69 .826 r
.1227 .2403 .12689 .24617 .13313 .24227 .12892 .23654 Metetra
.71 .695 .833 r
.12892 .23654 .13313 .24227 .13936 .23852 .13514 .23295 Metetra
.706 .699 .841 r
.13514 .23295 .13936 .23852 .14557 .23493 .14134 .22952 Metetra
.701 .705 .85 r
.14134 .22952 .14557 .23493 .15178 .2315 .14753 .22625 Metetra
.696 .71 .859 r
.14753 .22625 .15178 .2315 .15797 .22823 .15371 .22312 Metetra
.692 .715 .867 r
.15371 .22312 .15797 .22823 .16416 .22511 .15989 .22012 Metetra
.687 .719 .874 r
.15989 .22012 .16416 .22511 .17034 .22212 .16607 .21724 Metetra
.683 .723 .88 r
.16607 .21724 .17034 .22212 .17652 .21925 .17224 .21446 Metetra
.679 .727 .886 r
.17224 .21446 .17652 .21925 .1827 .21648 .17842 .21176 Metetra
.676 .73 .891 r
.17842 .21176 .1827 .21648 .18889 .21378 .18461 .20913 Metetra
.673 .733 .895 r
.18461 .20913 .18889 .21378 .19508 .21116 .1908 .20655 Metetra
.67 .735 .898 r
.1908 .20655 .19508 .21116 .20128 .20858 .19701 .20401 Metetra
.669 .736 .901 r
.19701 .20401 .20128 .20858 .20748 .20605 .20322 .2015 Metetra
.667 .738 .903 r
.20322 .2015 .20748 .20605 .2137 .20354 .20944 .19901 Metetra
.666 .739 .904 r
.20944 .19901 .2137 .20354 .21993 .20106 .21568 .19654 Metetra
.665 .74 .905 r
.21568 .19654 .21993 .20106 .22617 .19859 .22193 .19408 Metetra
.665 .74 .906 r
.22193 .19408 .22617 .19859 .23243 .19613 .22819 .19162 Metetra
.664 .74 .907 r
.22819 .19162 .23243 .19613 .2387 .19368 .23447 .18916 Metetra
.664 .741 .907 r
.23447 .18916 .2387 .19368 .24499 .19123 .24076 .1867 Metetra
.664 .741 .907 r
.24076 .1867 .24499 .19123 .25129 .18877 .24707 .18423 Metetra
.664 .741 .908 r
.24707 .18423 .25129 .18877 .2576 .18631 .2534 .18177 Metetra
.664 .741 .908 r
.2534 .18177 .2576 .18631 .26393 .18385 .25973 .1793 Metetra
.664 .741 .908 r
.25973 .1793 .26393 .18385 .27027 .18139 .26609 .17682 Metetra
.664 .741 .908 r
.26609 .17682 .27027 .18139 .27663 .17892 .27246 .17434 Metetra
.664 .741 .908 r
.27246 .17434 .27663 .17892 .28301 .17644 .27884 .17185 Metetra
.664 .741 .908 r
.27884 .17185 .28301 .17644 .2894 .17396 .28524 .16936 Metetra
.664 .741 .908 r
.28524 .16936 .2894 .17396 .2958 .17147 .29166 .16686 Metetra
.664 .741 .908 r
.29166 .16686 .2958 .17147 .30223 .16898 .29809 .16436 Metetra
.664 .741 .908 r
.29809 .16436 .30223 .16898 .30866 .16648 .30453 .16185 Metetra
.664 .741 .908 r
.30453 .16185 .30866 .16648 .31512 .16397 .311 .15933 Metetra
.664 .741 .908 r
.311 .15933 .31512 .16397 .32159 .16146 .31747 .15681 Metetra
.664 .741 .908 r
.31747 .15681 .32159 .16146 .32807 .15894 .32397 .15428 Metetra
.664 .741 .908 r
.32397 .15428 .32807 .15894 .33457 .15642 .33048 .15175 Metetra
.664 .741 .908 r
.33048 .15175 .33457 .15642 .34109 .15389 .33701 .1492 Metetra
.664 .741 .908 r
.33701 .1492 .34109 .15389 .34762 .15135 .34355 .14666 Metetra
.664 .741 .908 r
.34355 .14666 .34762 .15135 .35417 .14881 .35011 .1441 Metetra
.664 .741 .908 r
.35011 .1441 .35417 .14881 .36073 .14626 .35668 .14154 Metetra
.664 .741 .908 r
.35668 .14154 .36073 .14626 .36731 .14371 .36327 .13898 Metetra
.664 .741 .908 r
.36327 .13898 .36731 .14371 .37391 .14115 .36988 .1364 Metetra
.664 .741 .908 r
.36988 .1364 .37391 .14115 .38052 .13858 .3765 .13382 Metetra
.664 .741 .908 r
.3765 .13382 .38052 .13858 .38715 .13601 .38314 .13124 Metetra
.664 .741 .908 r
.38314 .13124 .38715 .13601 .3938 .13343 .3898 .12865 Metetra
.664 .741 .908 r
.3898 .12865 .3938 .13343 .40046 .13084 .39647 .12605 Metetra
.664 .741 .908 r
.39647 .12605 .40046 .13084 .40714 .12825 .40316 .12344 Metetra
.664 .741 .908 r
.40316 .12344 .40714 .12825 .41384 .12565 .40987 .12083 Metetra
.664 .741 .908 r
.40987 .12083 .41384 .12565 .42055 .12304 .41659 .11821 Metetra
.664 .741 .908 r
.41659 .11821 .42055 .12304 .42728 .12043 .42333 .11559 Metetra
.663 .741 .908 r
.42333 .11559 .42728 .12043 .43403 .11781 .43009 .11296 Metetra
.663 .741 .908 r
.43009 .11296 .43403 .11781 .44079 .11519 .43686 .11032 Metetra
.663 .741 .908 r
.43686 .11032 .44079 .11519 .44757 .11256 .44365 .10768 Metetra
.663 .741 .908 r
.44365 .10768 .44757 .11256 .45437 .10993 .45046 .10504 Metetra
.663 .741 .908 r
.45046 .10504 .45437 .10993 .46118 .1073 .45729 .10239 Metetra
.663 .741 .908 r
.45729 .10239 .46118 .1073 .46801 .10466 .46413 .09973 Metetra
.662 .74 .908 r
.46413 .09973 .46801 .10466 .47486 .10203 .47099 .09708 Metetra
.662 .74 .908 r
.47099 .09708 .47486 .10203 .48173 .0994 .47786 .09443 Metetra
.661 .739 .907 r
.47786 .09443 .48173 .0994 .48861 .09678 .48476 .09178 Metetra
.66 .737 .907 r
.48476 .09178 .48861 .09678 .49551 .09418 .49167 .08914 Metetra
.659 .736 .907 r
.49167 .08914 .49551 .09418 .50243 .0916 .4986 .08652 Metetra
.657 .734 .906 r
.4986 .08652 .50243 .0916 .50936 .08906 .50554 .08393 Metetra
.654 .731 .906 r
.50554 .08393 .50936 .08906 .51631 .08655 .51251 .08136 Metetra
.651 .727 .905 r
.51251 .08136 .51631 .08655 .52329 .0841 .51949 .07884 Metetra
.647 .723 .904 r
.51949 .07884 .52329 .0841 .53028 .08172 .52649 .07637 Metetra
.643 .718 .902 r
.52649 .07637 .53028 .08172 .53729 .07942 .53351 .07397 Metetra
.637 .711 .901 r
.53351 .07397 .53729 .07942 .54432 .07722 .54056 .07166 Metetra
.63 .704 .899 r
.54056 .07166 .54432 .07722 .55137 .07513 .54762 .06944 Metetra
.623 .695 .896 r
.54762 .06944 .55137 .07513 .55845 .07318 .5547 .06734 Metetra
.614 .685 .893 r
.5547 .06734 .55845 .07318 .56555 .07137 .56181 .06537 Metetra
.606 .675 .89 r
.56181 .06537 .56555 .07137 .57267 .0697 .56894 .06353 Metetra
.596 .664 .886 r
.56894 .06353 .57267 .0697 .57983 .06817 .5761 .06184 Metetra
.587 .654 .882 r
.5761 .06184 .57983 .06817 .58701 .06677 .58328 .0603 Metetra
.579 .644 .879 r
.58328 .0603 .58701 .06677 .59421 .06549 .59049 .05889 Metetra
.572 .636 .876 r
.59049 .05889 .59421 .06549 .60145 .06432 .59773 .05759 Metetra
.566 .628 .873 r
.59773 .05759 .60145 .06432 .60872 .06322 .605 .0564 Metetra
.561 .623 .871 r
.605 .0564 .60872 .06322 .61601 .06216 .6123 .05527 Metetra
.559 .62 .869 r
.6123 .05527 .61601 .06216 .62333 .0611 .61963 .05418 Metetra
.559 .62 .869 r
.61963 .05418 .62333 .0611 .63068 .05998 .62699 .05309 Metetra
.562 .623 .87 r
.62699 .05309 .63068 .05998 .63805 .05875 .63437 .05194 Metetra
.568 .629 .872 r
.63437 .05194 .63805 .05875 .64544 .05735 .64177 .05068 Metetra
.578 .64 .876 r
.64177 .05068 .64544 .05735 .65285 .05573 .6492 .04925 Metetra
.59 .655 .882 r
.6492 .04925 .65285 .05573 .66028 .05385 .65664 .04761 Metetra
.605 .673 .888 r
.65664 .04761 .66028 .05385 .66771 .05167 .6641 .04571 Metetra
.622 .693 .895 r
.6641 .04571 .66771 .05167 .67515 .04919 .67157 .04351 Metetra
.64 .715 .902 r
.67157 .04351 .67515 .04919 .6826 .0464 .67904 .041 Metetra
.659 .737 .908 r
.67904 .041 .6826 .0464 .69004 .04329 .68652 .03818 Metetra
.677 .759 .913 r
.68652 .03818 .69004 .04329 .69749 .03989 .694 .03505 Metetra
.663 .761 .923 r
.03235 .28547 .03696 .28931 .04278 .28742 .03824 .2832 Metetra
.684 .747 .899 r
.03824 .2832 .04278 .28742 .04867 .28515 .04419 .28056 Metetra
.699 .733 .877 r
.04419 .28056 .04867 .28515 .05463 .28252 .05021 .27756 Metetra
.71 .721 .858 r
.05021 .27756 .05463 .28252 .06065 .27952 .05629 .27425 Metetra
.717 .71 .842 r
.05629 .27425 .06065 .27952 .06673 .2762 .06242 .27065 Metetra
.722 .701 .83 r
.06242 .27065 .06673 .2762 .07287 .2726 .06859 .26683 Metetra
.725 .695 .821 r
.06859 .26683 .07287 .2726 .07904 .26877 .07479 .26284 Metetra
.726 .69 .815 r
.07479 .26284 .07904 .26877 .08525 .26478 .08102 .25873 Metetra
.726 .686 .812 r
.08102 .25873 .08525 .26478 .09147 .26067 .08727 .25456 Metetra
.725 .685 .811 r
.08727 .25456 .09147 .26067 .09772 .25651 .09352 .25039 Metetra
.724 .684 .812 r
.09352 .25039 .09772 .25651 .10397 .25234 .09977 .24627 Metetra
.721 .685 .815 r
.09977 .24627 .10397 .25234 .11022 .24823 .10601 .24224 Metetra
.718 .687 .819 r
.10601 .24224 .11022 .24823 .11646 .2442 .11225 .23833 Metetra
.714 .691 .826 r
.11225 .23833 .11646 .2442 .1227 .2403 .11847 .23457 Metetra
.71 .695 .833 r
.11847 .23457 .1227 .2403 .12892 .23654 .12468 .23097 Metetra
.706 .7 .842 r
.12468 .23097 .12892 .23654 .13514 .23295 .13088 .22753 Metetra
.701 .705 .85 r
.13088 .22753 .13514 .23295 .14134 .22952 .13707 .22425 Metetra
.697 .71 .858 r
.13707 .22425 .14134 .22952 .14753 .22625 .14325 .22112 Metetra
.692 .715 .866 r
.14325 .22112 .14753 .22625 .15371 .22312 .14942 .21812 Metetra
.687 .719 .874 r
.14942 .21812 .15371 .22312 .15989 .22012 .15559 .21523 Metetra
.683 .723 .88 r
.15559 .21523 .15989 .22012 .16607 .21724 .16177 .21244 Metetra
.679 .727 .886 r
.16177 .21244 .16607 .21724 .17224 .21446 .16794 .20973 Metetra
.676 .73 .891 r
.16794 .20973 .17224 .21446 .17842 .21176 .17412 .2071 Metetra
.673 .733 .895 r
.17412 .2071 .17842 .21176 .18461 .20913 .18031 .20451 Metetra
.67 .735 .898 r
.18031 .20451 .18461 .20913 .1908 .20655 .18651 .20197 Metetra
.669 .736 .901 r
.18651 .20197 .1908 .20655 .19701 .20401 .19271 .19945 Metetra
.667 .738 .903 r
.19271 .19945 .19701 .20401 .20322 .2015 .19893 .19696 Metetra
.666 .739 .904 r
.19893 .19696 .20322 .2015 .20944 .19901 .20516 .19448 Metetra
.665 .74 .905 r
.20516 .19448 .20944 .19901 .21568 .19654 .21141 .19201 Metetra
.665 .74 .906 r
.21141 .19201 .21568 .19654 .22193 .19408 .21766 .18955 Metetra
.664 .74 .907 r
.21766 .18955 .22193 .19408 .22819 .19162 .22394 .18708 Metetra
.664 .741 .907 r
.22394 .18708 .22819 .19162 .23447 .18916 .23022 .18462 Metetra
.664 .741 .907 r
.23022 .18462 .23447 .18916 .24076 .1867 .23652 .18215 Metetra
.664 .741 .908 r
.23652 .18215 .24076 .1867 .24707 .18423 .24284 .17968 Metetra
.664 .741 .908 r
.24284 .17968 .24707 .18423 .2534 .18177 .24917 .1772 Metetra
.664 .741 .908 r
.24917 .1772 .2534 .18177 .25973 .1793 .25552 .17472 Metetra
.664 .741 .908 r
.25552 .17472 .25973 .1793 .26609 .17682 .26188 .17224 Metetra
.664 .741 .908 r
.26188 .17224 .26609 .17682 .27246 .17434 .26826 .16975 Metetra
.664 .741 .908 r
.26826 .16975 .27246 .17434 .27884 .17185 .27465 .16725 Metetra
.664 .741 .908 r
.27465 .16725 .27884 .17185 .28524 .16936 .28106 .16474 Metetra
.664 .741 .908 r
.28106 .16474 .28524 .16936 .29166 .16686 .28749 .16224 Metetra
.664 .741 .908 r
.28749 .16224 .29166 .16686 .29809 .16436 .29393 .15972 Metetra
.664 .741 .908 r
.29393 .15972 .29809 .16436 .30453 .16185 .30038 .1572 Metetra
.664 .741 .908 r
.30038 .1572 .30453 .16185 .311 .15933 .30686 .15467 Metetra
.664 .741 .908 r
.30686 .15467 .311 .15933 .31747 .15681 .31334 .15214 Metetra
.664 .741 .908 r
.31334 .15214 .31747 .15681 .32397 .15428 .31985 .1496 Metetra
.664 .741 .908 r
.31985 .1496 .32397 .15428 .33048 .15175 .32637 .14705 Metetra
.664 .741 .908 r
.32637 .14705 .33048 .15175 .33701 .1492 .3329 .1445 Metetra
.664 .741 .908 r
.3329 .1445 .33701 .1492 .34355 .14666 .33946 .14194 Metetra
.664 .741 .908 r
.33946 .14194 .34355 .14666 .35011 .1441 .34603 .13937 Metetra
.664 .741 .908 r
.34603 .13937 .35011 .1441 .35668 .14154 .35261 .1368 Metetra
.664 .741 .908 r
.35261 .1368 .35668 .14154 .36327 .13898 .35921 .13422 Metetra
.664 .741 .908 r
.35921 .13422 .36327 .13898 .36988 .1364 .36583 .13164 Metetra
.664 .741 .908 r
.36583 .13164 .36988 .1364 .3765 .13382 .37246 .12904 Metetra
.664 .741 .908 r
.37246 .12904 .3765 .13382 .38314 .13124 .37911 .12645 Metetra
.664 .741 .908 r
.37911 .12645 .38314 .13124 .3898 .12865 .38578 .12384 Metetra
.664 .741 .908 r
.38578 .12384 .3898 .12865 .39647 .12605 .39246 .12123 Metetra
.664 .741 .908 r
.39246 .12123 .39647 .12605 .40316 .12344 .39916 .11862 Metetra
.664 .741 .908 r
.39916 .11862 .40316 .12344 .40987 .12083 .40588 .11599 Metetra
.664 .741 .908 r
.40588 .11599 .40987 .12083 .41659 .11821 .41261 .11336 Metetra
.664 .741 .908 r
.41261 .11336 .41659 .11821 .42333 .11559 .41936 .11073 Metetra
.664 .741 .908 r
.41936 .11073 .42333 .11559 .43009 .11296 .42613 .10808 Metetra
.663 .741 .908 r
.42613 .10808 .43009 .11296 .43686 .11032 .43292 .10543 Metetra
.663 .741 .908 r
.43292 .10543 .43686 .11032 .44365 .10768 .43972 .10278 Metetra
.663 .741 .908 r
.43972 .10278 .44365 .10768 .45046 .10504 .44654 .10012 Metetra
.663 .741 .908 r
.44654 .10012 .45046 .10504 .45729 .10239 .45337 .09745 Metetra
.663 .741 .908 r
.45337 .09745 .45729 .10239 .46413 .09973 .46023 .09478 Metetra
.663 .74 .908 r
.46023 .09478 .46413 .09973 .47099 .09708 .4671 .09211 Metetra
.662 .74 .908 r
.4671 .09211 .47099 .09708 .47786 .09443 .47398 .08944 Metetra
.662 .739 .908 r
.47398 .08944 .47786 .09443 .48476 .09178 .48089 .08677 Metetra
.661 .739 .907 r
.48089 .08677 .48476 .09178 .49167 .08914 .48781 .0841 Metetra
.66 .737 .907 r
.48781 .0841 .49167 .08914 .4986 .08652 .49475 .08145 Metetra
.659 .736 .907 r
.49475 .08145 .4986 .08652 .50554 .08393 .50171 .07881 Metetra
.657 .734 .906 r
.50171 .07881 .50554 .08393 .51251 .08136 .50868 .07619 Metetra
.654 .731 .906 r
.50868 .07619 .51251 .08136 .51949 .07884 .51568 .07361 Metetra
.651 .727 .905 r
.51568 .07361 .51949 .07884 .52649 .07637 .52269 .07107 Metetra
.647 .723 .904 r
.52269 .07107 .52649 .07637 .53351 .07397 .52972 .06859 Metetra
.642 .718 .902 r
.52972 .06859 .53351 .07397 .54056 .07166 .53677 .06617 Metetra
.637 .711 .901 r
.53677 .06617 .54056 .07166 .54762 .06944 .54385 .06384 Metetra
.63 .704 .899 r
.54385 .06384 .54762 .06944 .5547 .06734 .55094 .0616 Metetra
.623 .695 .896 r
.55094 .0616 .5547 .06734 .56181 .06537 .55805 .05949 Metetra
.614 .685 .893 r
.55805 .05949 .56181 .06537 .56894 .06353 .56519 .05749 Metetra
.606 .675 .89 r
.56519 .05749 .56894 .06353 .5761 .06184 .57236 .05564 Metetra
.596 .664 .886 r
.57236 .05564 .5761 .06184 .58328 .0603 .57954 .05393 Metetra
.587 .654 .882 r
.57954 .05393 .58328 .0603 .59049 .05889 .58676 .05237 Metetra
.579 .644 .879 r
.58676 .05237 .59049 .05889 .59773 .05759 .59401 .05094 Metetra
.572 .635 .876 r
.59401 .05094 .59773 .05759 .605 .0564 .60128 .04963 Metetra
.566 .628 .873 r
.60128 .04963 .605 .0564 .6123 .05527 .60858 .04841 Metetra
.562 .623 .871 r
.60858 .04841 .6123 .05527 .61963 .05418 .61592 .04727 Metetra
.56 .621 .87 r
.61592 .04727 .61963 .05418 .62699 .05309 .62328 .04615 Metetra
.56 .621 .869 r
.62328 .04615 .62699 .05309 .63437 .05194 .63067 .04503 Metetra
.563 .624 .87 r
.63067 .04503 .63437 .05194 .64177 .05068 .63808 .04384 Metetra
.569 .63 .873 r
.63808 .04384 .64177 .05068 .6492 .04925 .64552 .04255 Metetra
.578 .641 .877 r
.64552 .04255 .6492 .04925 .65664 .04761 .65298 .0411 Metetra
.59 .655 .882 r
.65298 .0411 .65664 .04761 .6641 .04571 .66046 .03943 Metetra
.605 .673 .888 r
.66046 .03943 .6641 .04571 .67157 .04351 .66795 .0375 Metetra
.622 .693 .895 r
.66795 .0375 .67157 .04351 .67904 .041 .67545 .03528 Metetra
.64 .715 .902 r
.67545 .03528 .67904 .041 .68652 .03818 .68296 .03275 Metetra
.659 .738 .908 r
.68296 .03275 .68652 .03818 .694 .03505 .69047 .0299 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(-1)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(1)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(2)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{587, 476},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40009;0001g2000`400?l00000o`00003oo`3ooooo
0?ooodd0oooo003o0?ooool0ooooC@3oool00?l0ooooo`3ooom=0?ooo`00o`3ooooo0?ooodd0oooo
003o0?oooh/0oooo1@00002l0?ooo`00o`3ooon<0?ooo`040000003oool0oooo00000;`0oooo003o
0?ooohd0oooo00<000000?ooo`3oool0_03oool00?l0ooooSP3oool00`000000oooo0?ooo`2k0?oo
o`00o`3ooon;0?ooo`050000003oool0oooo0?ooo`000000_03oool00?l0ooooR`3oool01@000000
oooo0?ooo`3oool000000;`0oooo003o0?oooh`0oooo0`00002m0?ooo`00o`3ooonS0?ooo`800000
103oool00`000000oooo0?ooo`020?ooo`<00000V`3oool00?l0ooooXP3oool010000000oooo0?oo
o`0000090?ooo`030000003oool0oooo09X0oooo003o0?oooi/0oooo1@0000020?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool0VP3oool00?l0ooooXP3oool010000000oooo0?oo
o`0000090?ooo`030000003oool0oooo09X0oooo003o0?oooj80oooo00@000000?ooo`3oool00000
2@3oool00`000000oooo0?ooo`2J0?ooo`00o`3ooonR0?ooo`040000003oool0oooo000000P0oooo
0P00002L0?ooo`00o`3ooonS0?ooo`8000002P3oool00`000000oooo0?ooo`2J0?ooo`00o`3ooonB
0?ooo`<00000]`3oool00?l0ooooT03oool3000000030?ooo`000000oooo0;H0oooo003o0?ooohh0
oooo0P0000040?ooo`800000]P3oool00?l0ooooR`3oool3000000H0oooo00<000000?ooo`000000
]@3oool00?l0ooooR03oool3000000T0oooo00<000000?ooo`000000]@3oool00?l0ooooQP3oool2
000000`0oooo00@000000?ooo`3oool00000]03oool00?l0ooooP`3oool3000000h0oooo00D00000
0?ooo`3oool0oooo0000002c0?ooo`00o`3ooon10?ooo`8000004@3oool01@000000oooo0?ooo`3o
ool000000;<0oooo003o0?ooogh0oooo0`00000C0?ooo`030000003oool0oooo0080oooo00<00000
0?ooo`3oool0/03oool00?l0ooooO03oool200000080oooo00<000000?ooo`3oool04@3oool00`00
0000oooo0?ooo`030?ooo`030000003oool0oooo0:l0oooo003o0?ooogT0oooo0`0000050?ooo`03
0000003oool0oooo0140oooo00<000000?ooo`3oool00P3oool00`000000oooo0?ooo`2_0?ooo`00
o`3ooomg0?ooo`800000703oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo0:h0oooo
003o0?ooog@0oooo0`00000N0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0[P3o
ool00?l0ooooL@3oool300000240oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`2]
0?ooo`00o`3ooom_0?ooo`800000903oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo
0:`0oooo003o0?ooof`0oooo0`00000V0?ooo`030000003oool0oooo00@0oooo0`00002]0?ooo`00
o`3ooomZ0?ooo`800000:@3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo0:/0oooo
003o0?ooofL0oooo0`0000000`3oool000000?ooo`0V0?ooo`<000002@3oool00`000000oooo0?oo
o`2Z0?ooo`00o`3ooomU0?ooo`8000001@3oool00`000000oooo0?ooo`0Q0?ooo`<000000P2X_>P0
0`000000oooo0?ooo`070?ooo`030000003oool0oooo0:X0oooo003o0?ooof80oooo0`00000X0?oo
o`<0000000<0XkOV0000002X_>P00P2X_>P2000000T0oooo00<000000?ooo`3oool0Z@3oool00?l0
ooooH03oool2000002P0oooo0`0000050:>giP030000002X_>P0Z;cX00<000002@3oool00`000000
oooo0?ooo`2X0?ooo`00o`3ooomM0?ooo`<000009P3oool400000080Wk7U00<000000:>giP2S]nH0
0`2S]nH400000080[L;Y00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2X0?ooo`00o`3o
oomJ0?ooo`<000009@3oool400000080VZcS00<0000009nai@2O/ND00P2O/ND00`000000XkOV0000
0002000000040:Rlj0000000[L;Y00000080[L;Y0P0000080?ooo`030000003oool0oooo0:L0oooo
003o0?oooeP0oooo0P00000T0?ooo`@000000P2GYn400`000000VZcS09Z/h`0209Z/h`030000002O
/ND0Wk7U00<000001@2X_>P4000000030;77jP000000oooo00P0oooo00<000000?ooo`3oool0YP3o
ool00?l0ooooE@3oool300000280oooo1000000209>Th0030000002GYn40UjOQ0080UjOQ00@00000
09Z/h`2J[><0VZcS0`0000020:>giP030000002X_>P0Z;cX00<0Z;cX0P0000040;77jP030000003o
ool0oooo00H0oooo00<000000?ooo`3oool0YP3oool00?l0oooo9`3oool3000002T0oooo0P000002
0?ooo`030000003oool0oooo01L0oooo2@000002096Qg`030000002CY>00TjCP0080TjCP00H00000
09NWh@2GYn40UjOQ0000002J[><20000000309nai@000000XkOV00<0XkOV00<000000:Rlj0000000
0P0000000`2]`^T000000;77jP030;77jP800000203oool00`000000oooo0?ooo`2U0?ooo`00o`3o
oolX0?ooo`030000003oool0oooo02D0oooo0`0000050?ooo`030000003oool0oooo00h0oooo2000
000208nNgP030000002@Wmh0T9oN0080T9oN00<00000096Qg`2AXMl00P2AXMl01@000000TjCP09>T
h02CY>0000000080UjOQ0`00000409nai@040000002S]nH0XkOV0:>giP800000102]`^T200000003
0;77jP00000000000080]Lc[00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`2T0?ooo`00
o`3ooolX0?ooo`030000003oool0oooo02<0oooo0P00000E0?ooo`@000000P2?Wmh01@000000SikN
08nNgP2?W]h0000000@0SikN00<00000092OgP2@Wmh00P2@Wmh01@000000TJ7O096Qg`2AXMl00000
0080TjCP1000000209Z/h`030000002O/ND0Wk7U0080Wk7U00H000000:>giP00000000000:Rlj000
00050:g2j@800000102ec>/2000000L0oooo00<000000?ooo`3oool0Y03oool00?l0oooo:03oool0
0`000000oooo0?ooo`0P0?ooo`<000003`3oool800000080T:3O00<0000008nOgP2?Wmh00P2?Wmh0
1@000000SikN08nNgP2?W]h0000000<0SikN00@00000092OgP2@Wmh0T9oN2000000209NWh@030000
002J[><0VZcS0080VZcS00<0000009nai@2O/ND00`0000040:Rlj0030000002]`^T0000000<00000
00<0/LOZ0000002ec>/00P0000020;WBk0030000003oool0oooo00D0oooo00<000000?ooo`3oool0
X`3oool00?l0oooo:03oool00`000000oooo0?ooo`0M0?ooo`<000003P3oool400000080U:CQ00D0
000009:Rh02BX^00TZ;P00000004092Pg`050000002?Wmh0SioN08nOgP0000000`2?W]h00`000000
SikN08nNgP0500000080TJ7O00D0000009>Sh02CXn00Tj?P0000000409NWh@030000002J[><0VZcS
00@000000P2S]nH00`000000Z;cX0:Rlj0020:Rlj08000000`2aanX010000000/LOZ000000000004
0;WBk08000001P3oool200000:@0oooo003o0?ooobL0oooo0P00000M0?ooo`8000003@3oool40000
0080UZOQ00<0000009BTh@2DY>400P2DY>401@000000TZ;P09:Rh02BX^00000000<0T:3O00<00000
08nOgP2?Wmh02000000208nOgP030000002AXMl0TJ7O00<0TJ7O00D0000009>Sh02CXn00Tj?P0000
000209NWh@@000000P2O/ND00`000000XkOV0:>giP020:>giP040000002X_>P0000000000080[<7Y
00<000000;77jP0000000P000000102ec>/000000;WBk02id^`2000000030;gGk@000000oooo00@0
oooo00<000000?ooo`000000Y03oool00?l0oooo:03oool00`000000oooo0?ooo`0H0?ooo`<00000
2`3oool400000080V:WR00<0000009JWh@2FYn400P2FYn401@000000U:CQ09BTh@2DY>40000000<0
TZ;P00<00000092Pg`2@X=l01000000208nNgP050000002?W]h0SikN08nNgP000000102?Wmh00`00
0000TJ7O096Qg`02096Qg`030000002CXn00Tj?P00@000000P2J[><00`000000Wk7U09nai@0209na
i@030000002S]nH0XkOV00<00000102/`NT2000000030;G<j`000000]Lc[0080]Lc[0P0000040;gG
k@030000003oool0oooo00D0oooo00<000000?ooo`3oool0X@3oool00?l0oooo@@3oool200000003
0?ooo`000000oooo00L0oooo1000000209^/h`030000002HZN80V:WR0080V:WR00D0000009JWh@2F
Yn40UZOQ0000000209BTh@P000000P2?Wmh00`000000SikN08nNgP0208nNgP050000002?W]h0SikN
08nNgP0000000`2?Wmh010000000TJ7O096Qg`2AXMl400000080UjOQ00<0000009Z/h`2J[><00P2J
[><00`000000Wk7U09nai@04000000<0Z;cX00P000000:c1j@00000000000;77jP000000]Lc[0000
0080]Lc[0P0000040;gGk@800000203oool00`000000oooo0?ooo`2P0?ooo`00o`3oooln0?ooo`<0
0000103oool010000000oooo0?ooo`3oool400000080WJoT00<0000009^/h`2K[><00P2K[><01@00
0000V:WR09RYhP2HZN8000000080UZOQ1000000209:Rh0050000002@X=l0T:3O092Pg`000000102?
Wmh01@000000SikN08nNgP2?W]h0000000<0SikN00<0000008nOgP2?Wmh01@00000209>Sh0030000
002GYn40UjOQ0080UjOQ00@0000009Z/h`2J[><0VZcS0`0000020:>fiP030000002X_>P0Z;cX0080
Z;cX0P0000040;77jP@000000P2jd^`010000000_MO]0000000000020;oJk@030000003oool0oooo
00D0oooo00<000000?ooo`3oool0X03oool00?l0oooo?03oool2000000P0oooo0`00000209nai@03
0000002M[n@0WJoT0080WJoT00D0000009^/h`2K[><0VjcS0000000209RYhP@000000P2DY>400`00
0000TZ;P09:Rh00209:Rh0050000002@X=l0T:3O092Pg`0000000`2?Wmh00`000000SikN08nNgP08
00000080TJ7O00<0000009>Sh02CXn000`2CXn001P000000UjOQ09NWh@2GYn40000009Z/h`800000
00<0W[7U0000002S]^H00`2S]^H01P000000Z;cX000000000000[<7Y000000@0/LOZ0P0000040;[B
k0800000102of^d2000000L0oooo00<000000?ooo`3oool0W`3oool00?l0oooo>@3oool3000000P0
oooo0P0000000`2Q]>H0000009nai@0309nai@050000002M[n@0WJoT09f_i00000000P2K[><40000
0080UZOQ00<0000009BTh@2DY>400P2DY>401@000000TZ;P09:Rh02BX^0000000080T:3O20000002
08nNgP050000002?Wmh0SioN08nOgP000000102AXMl00`000000Tj?P09>Sh00209>Sh0030000002G
Yn40UjOQ00<00000102N/ND010000000XkKV0:>fiP2S]^H2000000@0[<7Y00D000000;77jP000000
00000;K=j`02000000030;[Bk000000000000080_MS]00@000000;oJk@00000000000P30f^`00`00
0000oooo0?ooo`040?ooo`030000003oool0oooo09l0oooo003o0?ooocL0oooo0P0000080?ooo`<0
0000102Q]>H01@000000Wk7U09nai@2O/ND000000080WJoT1000000209RYhP030000002FYn40UZOQ
0080UZOQ00D0000009BTh@2DY>40U:CQ0000000209:Rh0@000000P2?Wmh01@000000SikN08nNgP2?
W]h0000000@0SikN00D0000008nOgP2?Wmh0SioN00000004096Qg`030000002CXn00Tj?P00@00000
0P2J[><00`000000W[7U09jai@0209jai@060000002S]^H000000000002W^nL00000102/`NT20000
00<0]/g[0`0000040;gHk@8000001030f^`2000000H0oooo00<000000?ooo`3oool0WP3oool00?l0
oooo=03oool3000000H0oooo100000020:>fiP030000002Q]>H0XKCV0080XKCV00<0000009nai@2O
/ND01000000209^/h`030000002HZN80V:WR0080V:WR00<0000009JWh@2FYn4020000002092Pg`03
0000002?Wmh0SioN0080SioN00D0000008nNgP2?W]h0SikN0000000308nNgP030000002?Wmh0SioN
00T000000P2GYn800`000000VZcS09Z/h`0209Z/h`030000002N/ND0W[7U00<00000102W^nL01P00
0000[<7Y000000000000/LOZ000000<0]/g[00D000000;[Ck@2jdnd000000;gHk@0200000080_m[]
00@000000<3Jk000000000000P31f^`00`000000oooo0?ooo`040?ooo`030000003oool0oooo09d0
oooo003o0?oooc40oooo0`0000060?ooo`<000000P2T]nH00`000000XkKV0:>fiP020:>fiP030000
002Q]>H0XKCV00@000000P2M[n@00`000000VjcS09^/h`0209^/h`030000002HZN80V:WR00@00000
0P2DY>401@000000TZ;P09:Rh02BX^00000000@0T:3O00D0000008nOgP2?Wmh0SioN0000000308nN
gP030000002?W]h0SikN00@000000P2AX=l00`000000Tj?P09>Sh00209>Sh0030000002GYn80UjOR
0080UjOR00<0000009Z/h`2J[><0100000020:>fiP030000002W^nL0Yk_W0080Yk_W0P0000040;77
jP040000002fcN/0000000000080^]?]0P0000040;oJk@8000001031f^`2000000D0oooo00<00000
0?ooo`3oool0W@3oool00?l0oooo;`3oool2000000L0oooo0P0000000`2U^NL000000:BgiP030:Bg
iP030000002S]^H0XkKV00@000000P2O/ND00`000000WJoT09f_i00209f_i0030000002K[><0VjcS
00@000000P2FYn800`000000U:CQ09BTh@0209BTh@050000002BX^00TZ;P09:Rh00000000`2@X=l0
0`000000SioN08nOgP0800000080SikN00<00000096Pg`2AX=l00P2AX=l00`000000Tj?P09>Sh002
09>Sh0030000002GYn80UjOR00@000000P2N/ND00`000000XkKV0:>fiP020:>fiP060000002W^nL0
00000000002/`NT00000102aanX2000000060;[Ck@000000^]?]0000002mf>d000000`2of^d01@00
0000`=W/0<3Ik0000000`M[/008000000P31fn`00`000000oooo0?ooo`030?ooo`030000003oool0
oooo09`0oooo003o0?ooob`0oooo0`0000000`3oool000000?ooo`030?ooo`<00000102U^NL00`00
0000Y;OV0:BgiP0400000080XKCV00<0000009nai@2O/ND00P2O/ND00`000000WJoT09f_i0040000
0080V:WR00<0000009JWhP2FYn800P2FYn801@000000U:CQ09BTh@2DY>4000000080TZ;P20000002
08jNgP050000002>WMh0SYgN08jMgP000000102?W]h01@000000TJ3O096Pg`2AX=l0000000<0Tj?P
1000000209Z/h`030000002N/ND0W[7U0080W[7U00<000000:>fiP2S]^H00`0000040:c1j@040000
002aanX0000000000080]/k/0`0000030;gHk@030000002of^d0000000<0`=W/0P0000040<7Kk080
00001@3oool00`000000oooo0?ooo`2K0?ooo`00o`3ooolZ0?ooo`8000001@3oool400000080Y[[W
00<000000:Fii`2U^NL00P2U^NL300000080XkKV00<000000:6diP2Q]>H00P2Q]>H00`000000Wk7U
09nai@0400000080VjcS00<0000009RYhP2HZN800P2HZN801@000000UZOR09JWhP2FYn8000000080
U:CQ10000002092Pg`050000002?Wmh0SioN08nOgP000000102>W]h01@000000SYgN08jMgP2>WMh0
000000<0SikN00<00000096Pg`2AX=l01@00000209NWhP030000002J[><0VZcS0080VZcS00<00000
09jai@2N/ND0100000030:Nki`030000002/`NT0[<7Y00<00000102fc^`2000000@0_MS]0P000003
0<3Ik00500000030fN`0`=W/00000031fn`00P0000020<?Ok@030000003oool0oooo0080oooo00<0
00000?ooo`3oool0V`3oool00?l0oooo9`3oool3000000H0oooo100000040:Jji`060000002U^NL0
00000000002T]nH00000102S]^H00`000000XKCV0:6diP0400000080WJoT00<0000009^/h`2K[><0
0P2K[><01@000000V:WR09RYhP2HZN8000000080UZOR1000000209:Rh0030000002@X=l0T:3O0080
T:3O00D0000008nOgP2?Wmh0SioN0000000308jNgP050000002>WMh0SYgN08jMgP0000000P2?W]h4
00000080TjCP00<0000009NWhP2GYn800`2GYn8010000000VZcS09Z/h`2J[><300000080XkGV00<0
00000:Nki`2W^nL00P2W^nL3000000<0/LOZ00D000000;K>k000000000000;_Dk@02000000030;gH
k@00000000000080_mW/00<000000<3Ik00000000`30fN`2000000@0`mo]0`0000030?ooo`030000
003oool0oooo09X0oooo003o0?ooobD0oooo0P0000060?ooo`<00000102W^nL00`000000Y[[W0:Jj
i`03000000@0Y;OV00<000000:>fiP2S]^H01000000209nai@030000002M[n@0WJoT0080WJoT00<0
000009^/h`2K[><02000000209BUh@030000002BX^00TZ;P0080TZ;P00D00000092Pg`2@X=l0T:3O
0000000308nOgP030000002>W]h0SYkN00P000000P2AXMl00`000000TjCP09>Th00209>Th0030000
002GYn80UjOR0080UjOR00H0000009Z/h`000000000009j`i00000040:>eiP060000002W^nL00000
0000002/`NT00000102aanX2000000<0^mC]0`0000040;oIk08000000`30fN`01@000000`]g]0<;M
k@000000`mo]008000000P33hNh200000080oooo0P00002K0?ooo`00o`3ooolR0?ooo`<000001@3o
ool300000080Z;_W00<000000:Nki`2W^nL00P2W^nL300000080YKWW00<000000:BgiP2T]nH00P2T
]nH300000080XKCV00<0000009nai@2O/ND00P2O/ND00`000000WJoT09f_i00400000080V:[R00D0
000009JWhP2FYn80UZOR0000000409BUh@050000002BX^00TZ;P09:Rh00000000P2@X=l800000080
SYgM00D0000008nNgP2?W]h0SikN00000004096Qg`050000002CY>00TjCP09>Th00000000`2GYn83
000000@0W[3T00@000000:>eiP2S]NH0XkGV0P0000040:c1j@040000002aanX0000000000080]lo/
00<000000;_Dk@0000000P0000000`2mend000000;oIk00200000080_mS/00<000000<3Ik0000000
0`32gNd200000080`n7^0P0000001P31gNd000000?ooo`000000oooo000009/0oooo003o0?ooob00
oooo0P0000060?ooo`80000000<0Z;cX0000002X^nL00`2X^nL01P000000Yk_W000000000000Y[[W
000000@0YKWW00H000000:BgiP00000000000:>fiP0000040:6diP030000002O/ND0Wk7U00@00000
0P2K[><00`000000V:[R09RZhP0209RZhP050000002FYn80UZOR09JWhP0000000P2DYN4800000080
SikN00D0000008jMgP2>WMh0SYgN0000000408jMg@050000002?W]h0SikN08nNgP0000000`2AXMl0
0`000000TjCP09>Th00500000080VZcS00<0000009j`i02N/>@00P2N/>@01P000000XkGV00000000
0000Yk[W000000@0[<7Y0P0000040;O?k08000000P2mend010000000_MO]0000000000040;oHk080
00000`32gNd01@000000a>;]00000033hNh0000000<0`Mg]0P0000030?ooo`030000003oool0oooo
09P0oooo003o0?oooad0oooo0`0000050?ooo`<00000102X_>P00`000000Z;_W0:Rki`03000000@0
Y[[W00<000000:Fii`2U^NL00`0000040:>fiP040000002Q]>H0XKCV0:6diP<000000P2M[n@00`00
0000VjcS09^/h`0209^/h`050000002HZ^80V:[R09RZhP0000000P2FYn8400000080TZ;P00D00000
092Pg`2@X=l0T:3O0000000408nNgP050000002>WMh0SYgN08jMgP0000000`2>WMd00`000000SikN
08nNgP08000000<0UjSR00<0000009Z/h`2J[><00P2J[><00`000000W[3T09j`i003000000@0Yk[W
00@000000:c1j@00000000000P2bb>/010000000]lo/0000000000020;_Ek@040000002mend00000
00000080_]O/00@000000;oHk000000000000P31f^`00`000000`]g]000000020<CRk@8000000`31
gNd00`000000_=C/000000040?ooo`030000003oool0oooo09L0oooo003o0?oooaX0oooo10000004
0?ooo`<000000`2X_>P00`000000Z;cX0:Rlj004000000<0Yk_W00<000000:Jji`2V^^L010000002
0:Bgi`030000002S]^H0XkKV0080XkKV00H000000:6diP000000000009nai@00000409f_i0050000
002K[><0VjcS09^/h`0000000P2HZ^8400000080U:GQ00<0000009:Rh02BX^000P2BX^001@000000
T:3O092Pg`2@X=l0000000<0SikN00D0000008jMgP2>WMh0SYgN0000000208jMg@@000000P2AXMl0
1@000000TjCP09>Th02CY>00000000D0UjSR00<0000009Z/h`2J[><0100000020::di@030000002W
^^L0Yk[W0080Yk[W0P0000040;;8j`800000102keNd3000000<0_]O/0P0000040<7Jk080000000<0
a>;]0000000000000P34h^h00`000000`Mg]000000030;cDk0050000003oool0oooo0?ooo`000000
V@3oool00?l0oooo603oool2000000@0oooo00H000000?ooo`00000000000:Vmj00000040:Rlj0<0
00000P2X^nL00`000000Yk_W0:Nki`020:Nki`<000000P2U^NL00`000000Y;OW0:Bgi`020:Bgi`03
0000002S]^H0XkKV00<00000102O/ND01@000000WJoT09f_i02M[n@000000080VjcS1000000209JW
hP030000002DYN40U:GQ0080U:GQ00D0000009:Rh02BX^00TZ;P00000003092Pg`030000002?W]h0
SikN00P000000P2?W]h00`000000TJ7O096Qg`02096Qg`050000002CY>00TjCP09>Th00000000`2G
Z>8400000080WZoT00<000000::di@2R]>D00P2R]>D010000000Yk[W0000000000020:c1j@060000
002bb>/000000000002gd>d000000`2keNd01@000000_MK/0;gFk0000000_]O/008000000P2oen`0
1@000000`M[/000000000000`mo]008000001034h^h2000000@0_=C/0P0000030?ooo`030000003o
ool0oooo09H0oooo003o0?oooaD0oooo0`0000050?ooo`<00000102Y_NP01P000000Z;cX00000000
0000Z;cX000000@0Z;_W00H000000:Nki`00000000000:Jji`0000040:Fii`030000002T]nL0Y;OW
00@000000P2Q]>H00`000000Wk7U09nai@0209nai@030000002M[n@0WJoT00@000000P2HZ^<00`00
0000UZOR09JWhP0209JWhP050000002DYN40U:GQ09BUh@0000000P2BX^0800000080SYgM00D00000
08jMg@2>WMd0SYgM0000000408nNgP050000002AXMl0TJ7O096Qg`0000000P2CY>0500000080VZ_S
00<0000009j_i02N[n@00P2N[n@00`000000X[CU0::di@03000000@0[<7Y0P0000040;O@k@030000
002keNd0000000<0_MK/0P0000040;oGk08000000P33gnd01@000000aNC^0<GTkP000000a>;^0080
00000P30f^d010000000_=C/0000000000020;W>jP050000003oool0oooo0?ooo`000000U`3oool0
0?l0oooo4`3oool2000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX00<00000102X_>P00`00
0000Z;_W0:Rki`03000000@0Y[[W00<000000:Fii`2U^NL0100000020:>fiP030000002Q]>H0XKCV
0080XKCV00<0000009nai@2O/ND01000000209^/h`030000002HZ^<0V:[S0080V:[S00<0000009JW
hP2FYn8020000002092Pg`050000002?W]h0SikN08nNgP000000102>WMd01@000000SYgM08jMg@2>
WMd0000000<0SikN00<00000096Qg`2AXMl01000000209NWhP030000002JZn<0VZ_S00<0VZ_S00<0
000009j_i02N[n@0100000030:Nji`060000002/`NT000000000002bb^/00000102gd>d2000000<0
_MK/0`0000030;oGk00500000031g>`000000<?Ok@0000000`35i>h2000000@0`=[]0P0000040;W>
jP8000000P3oool00`000000oooo0?ooo`2E0?ooo`00o`3oool@0?ooo`<000001@3oool200000080
ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Rlj0030000002X_>P0Z;cX0080Z;cX0`0000020:Nk
i`030000002V^^L0Y[[W0080Y[[W0`0000020:Bgi`030000002S]^H0XkKV0080XkKV00<000000:6d
iP2Q]>H01000000209f_i0030000002K[><0VjcS0080VjcS00<0000009RZh`2HZ^<01000000209BU
h@050000002BX^00TZ;P09:Rh0000000102@X=l01@000000SikN08nNgP2?W]h0000000<0SYgM00<0
000008jMg@2>WMd02000000209>Th@030000002GYn80UjOR0080UjOR00@0000009Z[h`2JZn<0VZ_S
100000020::ci@030000002W^^L0Yk[W0080Yk[W0P0000040;;:j`040000002gd>d0000000000080
^mC]00T000000;gFk0000000_MG[0000002meN/000000;oGk00000000P31g>`2000000<0aNC^00D0
00000<?Pk@33h>d000000<3Jk@0200000080^m3Z00@000000;W>jP00000000000P2jd^`010000000
oooo0?ooo`00002F0?ooo`00o`3oool>0?ooo`8000001P3oool3000000@0ZKgX00<000000:Vmj000
00000P2Y_NP01P000000Z;cX0:Rlj02X_>P000000:Rlj080000000<0Z;_W0000002W^nL00`2W^nL0
1P000000Y[[W000000000000YKWW000000@0Y;OW00<000000:>fiP2S]^H01000000209nai@030000
002M[n@0WJoT0080WJoT00<0000009^/h`2K[><01000000209JWhP030000002DYN40U:GQ0080U:GQ
00D0000009:Rh02BX^00TZ;P00000003092Pg`030000002?W]h0SikN00P000000P2?Wmh01@000000
TJ7O096Qg`2AXMl0000000@0TjCQ00<0000009NWhP2GYn801@00000209f^h`030000002R/nD0X[?U
0080X[?U00H000000:Nji`00000000000:g2j@0000040;;:j`800000102ke>d200000080_MG[00D0
00000;gEj`00000000000<7Lk00200000080aN?]00<000000<GTkP0000000`33h>d2000000@0^m3Z
0P0000040;[Bk08000000P3oool00`000000oooo0?ooo`2C0?ooo`00o`3oool;0?ooo`<000001@3o
ool3000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002X_>P0Z;cX00800000102X
^nL00`000000Yk_W0:Nki`03000000@0YKWW00<000000:Bgi`2T]nL0100000020:6di@030000002O
/ND0Wk7U0080Wk7U00<0000009f_i02M[n@01000000209VZh`030000002FYn80UZOR0080UZOR00D0
000009BUh@2DYN40U:GQ0000000209:Rh0P000000P2>WMd01@000000SYgM08jMg@2>WMd0000000@0
SioN00D00000096Qg`2AXMl0TJ7O0000000209>Th@@000000P2IZ^800`000000WJkS09f^h`0309f^
h`030000002R/nD0X[?U00<00000102]`^T010000000//[[0000000000020;SAk@040000002ke>d0
000000000080_=?/00D000000;gEj`00000000000;oGk002000000@0aN?]0`0000000`33h>d00000
000000020;kEj`040000002kd>X0000000000080^LoZ00@000000;[Bk000000000000P2mf^l00`00
0000oooo0000002E0?ooo`00o`3oool90?ooo`8000001P3oool2000000030:Vmj0000000ZKgX00<0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000020:Rlj0040000002X^nL0Z;_W0:Rk
i`<000000P2V^^L00`000000YKWW0:Fii`020:Fii`<000000P2S]^H00`000000XKCU0:6di@020:6d
i@030000002O/ND0Wk7U00@000000P2K[N<00`000000VJ[S09VZh`0209VZh`050000002FYn80UZOR
09JWhP0000000P2DYN4400000080T9oN00D0000008jMgP2>WMh0SYgN0000000408jMg@050000002>
WMd0SYgM08jMg@0000000`2?Wmh00`000000TJ7O096Qg`0400000080UZOQ00<0000009VZhP2IZ^80
0P2IZ^800`000000WJkS09f^h`0209f^h`<000000P2W^^L00`000000[L;Y0:g2j@020:g2j@800000
102hdNd2000000@0_=?/0`0000001P2oen`000000<?Ok@33gnd000000<GSk@8000000P35iNh20000
00@0_]G[0P0000040;W?jP800000102mf^l2000000030?ooo`000000oooo09<0oooo003o0?ooo`H0
oooo0`0000000`3oool000000?ooo`020?ooo`<00000102Y_NP01P000000ZKgX000000000000ZKgX
000000@0ZKgX00H000000:Vmj000000000000:Rlj00000040:Rlj0030000002X^nL000000080Yk_W
00H000000:Jji`2V^^L0Y[[W0000002U^NL2000000030:Bhi`000000XkKV00<0XkKV00<000000:6d
i@2Q]>D01000000209f_i0030000002K[N<0VjgS0080VjgS00<0000009VZh`2IZ^<02000000209:R
g`030000002@Wmh0T9oN0080T9oN00D0000008jMgP2>WMh0SYgN0000000308jMg@050000002>WMd0
SYgM08jMg@0000000P2?Wmh400000080TjCQ00<0000009JWh@2FYn400P2FYn401P000000VJ[R09VZ
hP2IZ^80000009f^h`<0000000<0XK?U0000002W^^L00`2W^^L010000000[L;Y0000000000020;?<
k0070000002hdNd000000000002jd^`000000;cCk003000000040;cCj`0000000000000000<0`mo]
0P0000030<GUkP0500000032g>d0`]c]0000002neN/00P0000000`2ic^T000000;W?jP020;W?jP05
0000002lf>h0_=S^0000002mf^l00P0000001@2lf^l000000?ooo`3oool0000009<0oooo003o0?oo
o`<0oooo0`0000050?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vm
j02Y_NP00`0000040:Rlj0030000002X_>P0Z;cX00<00000102W^nL00`000000Y[[W0:Jji`020000
00@0Y;SW00<000000:>fiP2S]^H01000000209nai@030000002M[n@0WJoT0080WJoT00<0000009^]
h`2K[N<01000000209JXhP050000002DYN40U:GQ09BUh@000000102BX]l01@000000T9oN092OgP2@
Wmh0000000<0SYgN00<0000008jMg@2>WMd020000002096Rg`030000002CY>40TjCQ0080TjCQ00D0
000009JWh@2FYn40UZOQ0000000209VZhP<000001@2Q/nD00`000000Yk[W0:Nji`03000000@0/lc/
0P0000030;[Bk0800000102ldn/2000000<0`mo]00H000000<KVkP36i^h000000<GUkP0000030<;L
k@800000102ic^T00`000000^LoZ000000030;cHkP8000000`2lf^l2000000030?ooo`000000oooo
0980oooo003o0?ooo`40oooo0P0000060?ooo`80000000<0ZKgX0000002Y_NP00`2Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Rlj02X_>P0100000030:Rki`03
0000002W^nL0Yk_W00@000000P2U^NL010000000Y;SW0:Bhi`2T^>L300000080XK?U00<0000009na
i@2O/ND00P2O/ND00`000000WJoT09f_i00400000080VJ[S00<0000009JXhP2FZ>800P2FZ>801@00
0000U:GQ09BUh@2DYN40000000<0TZ;O00<00000092OgP2@Wmh02000000208jNgP050000002?Wml0
SioO08nOg`000000102AX]l01@000000TjCQ09>Th@2CY>4000000080UZOQ1000000209b]h`030000
002Q/nD0XK?U00<0XK?U0`0000020:k4jP030000002cc>`000000080000000<0^=7]0000002jd^`0
0P0000020;[@j`050000002ldn/0000000000030fN`00P0000000`33gnd000000<KVkP020<KVkP80
00000`32g>d00`000000^m3Z000000040;W>j@8000000`2lf>h010000000_mo`0000002lf^l20000
00030;G=k0000000oooo00800000TP3oool00?d0oooo0`0000050?ooo`<00000102Y_NP01P000000
ZKgX000000000000ZKgX000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0<00000
0P2X_>P00`000000Z;_W0:Rki`020:Rki`<000000P2V^^L00`000000YKWW0:Fii`020:Fii`030000
002T^>L000000080XkKV00D000000:6ci@2Q/nD0XK?U0000000209nai@@000000P2K[N@00`000000
VJ[S09VZh`0209VZh`050000002FZ>80UZSR09JXhP0000000P2DYN4800000080SYgM00D0000008jM
g@2>WMd0SYgM0000000408jNgP050000002?Wml0SioO08nOg`0000000`2AX]l00`000000TjCQ09>T
h@0400000080VJWR00<0000009b]h`2L[N<00P2L[N<00`000000XK?U00000002000000030:Nlj000
0000[/CZ0080[/CZ0P0000040;SAk@800000102jd>/2000000<0`=W/100000000`36i^h000000000
00020<GTk@0300000032g>d0000000<0^m3Z00@000000;W>j@00000000000P2kdn`00`000000_=S^
000000020;oOl0800000102ecN`00`000000oooo0000002B0?ooo`00n`3oool2000000D0oooo0`00
00030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H0
00000:Vmj000000000000:Rlj00000040:Rlj0060000002X^nL000000000002W^nL00000102V^^L0
0`000000YKWW0:Fii`03000000@0XkKV00<000000:6ci@2Q/nD00`00000209f_i0030000002K[N@0
VjgT0080VjgT00D0000009VZh`2IZ^<0VJ[S0000000209JXhP@000000P2AXMl01@000000SioN08nO
gP2?Wmh0000000@0SYgM00D0000008jMg@2>WMd0SYgM0000000308jNgP030000002?Wml0SioO00P0
00000P2FY^400`000000VJWR09VYhP0209VYhP030000002L[N<0W:gS00<000001@2W_>P300000080
]<g/00H000000;SAk@00000000000;W?j`0000030;[@j`050000002ldn/0_=?[00000030fN`00P00
00020<GTkP8000001035i>d2000000@0^m3Z0P0000040;_Ck080000000D0_mo`000000000000^mS^
000000040;G=k080000000<0oooo0000003oool0T03oool00?P0oooo0`0000050?ooo`8000000P2Y
_NP010000000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX
00<000000:Vmj02Y_NP00`0000040:Rlj0030000002X_>P0Z;cX00<00000102W^nL00`000000Y[[W
0:Jji`0400000080Y;OW00<000000:>fiP2S]^H00P2S]^H300000080Wk7U00D0000009f_i02M[n@0
WJoT0000000309^]i0030000002IZ^<0VJ[S00@000000P2DY>400`000000TJ7O096Qg`02096Qg`05
0000002?Wmh0SioN08nOgP0000000`2>WMd01@000000SYgM08jMg@2>WMd000000080SYkN10000002
096Rh0050000002CY>00TjCP09>Th0000000102FY^400`000000VJWR09VYhP0400000080XK?U00<0
00000:Nlj02W_>P00P2W_>P2000000@0]<g/0P0000040;W?j`030000002jd>/0000000<0_=?[0P00
00001035i>h000000<GTkP0000020<OXkP0400000035i>d0000000000080_mK[00@000000;_@jP00
000000000P2ic^T01@000000^m?/000000000000_mo_00800000102kf>h01P000000]Lg/00000000
0000[KgU00000080oooo00<000000?ooo`3oool0SP3oool00?H0oooo0P0000060?ooo`<00000102Y
_NP00`000000ZKgX000000020:Vmj0060000002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2Y_NP0
00000:Vmj0030:Vmj0<000000P2Y_NP00`000000Z;cX0:Rlj0020:Rlj0<000000P2X^nL00`000000
Yk_W0:Nki`020:Nki`<000000P2U^NL00`000000Y;OW0:Bgi`020:Bgi`060000002S]^H000000000
002Q/nD00000102O/ND00`000000WJoT09f_i00700000080UZSR00<0000009BTh@2DY>400P2DY>40
1@000000TJ7O096Qg`2AXMl0000000<0SioN00<0000008jMg@2>WMd020000002092Pg`030000002A
X^00TJ;P0080TJ;P00D0000009>Th02CY>00TjCP0000000209JVh@@000000P2L[><00`000000XK?U
0:6ci@020:6ci@040000002W_>P0000000000080[lO[00H000000;C=k000000000000;O>k0000004
0;W?j`8000000`2ldn/01P000000`]k]0<;Nk@000000aNC^000000<0anS^0P0000040;oFj`800000
102ic^T200000080_mo_00@000000<3Ql030hO0000000P2kf>h3000000@0[KgU00<000000?ooo`00
0000T03oool00<P0oooo0P00000Y0?ooo`@00000103oool3000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX0000
00@0ZKgX00H000000:Rlj000000000000:Rlj00000040:Rki`060000002W^nL000000000002V^^L0
0000102U^NL00`000000Y;OW0:Bgi`03000000@0XK?U00@0000009nai@2O/ND0Wk7U0`0000000`2K
[N@0000009V[h`0209V[h`030000002FZ>80UZSR0080UZSR00D0000009BTh@2DY>40U:CQ00000002
096Qg`P000000P2>WMh01@000000SYkN08jNgP2>W]h0000000@0T:3O00D00000096Rh02AX^00TJ;P
0000000209>Th0@000000P2HYn400`000000W:cS09b/h`0209b/h`030000002Q/nD0XK?U00<00000
102_an/2000000@0]lk/00@000000;W?j`00000000000P2ic^X00`000000_=?[000000030<;Nk@<0
000000<0anS^0000000000000P33g^d010000000_mK[0000000000020;W<j0080000002ic^T00000
0000002nf^h000000;oOk`0000030<3Ql0<000000`2aa>P00`000000[KgU0:fmi@03000000030?oo
o`000000oooo08h0oooo00370?ooo`040000003oool0oooo000002D0oooo0`0000040?ooo`060000
003oool000000000002Y_NP00000102Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP30000
00<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00<00000102X_>P00`00
0000Z;_W0:Rki`03000000@0Y[[W00<000000:Fii`2U^NL0100000020:>fiP030000002Q/nD0XK?U
0080XK?U00H0000009nai@000000000009f_i000000309^]i0050000002IZn<0VJ_S09V[h`000000
0P2FZ>8800000080SikN00D0000008jMg@2>WMd0SYgM0000000408jMgP050000002>W]h0SYkN08jN
gP0000000`2@X=l00`000000TJ;P096Rh00400000080UJCP00<0000009RWh@2HYn400P2HYn401000
0000W:cS09b/h`2L[><3000000<0ZKkY00H000000:o7j`00000000000;C=k00000040;O>k0800000
102ic^X2000000<0`]k]00<000000<OYkP37jNh00P0000040<?Nk@800000102ic>P2000000<0_][^
0`0000001@30hO0000000000002hd>`0000000@0/LCX0`0000020:^ji@040000003oool0oooo0000
01<0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`<00000I`3oool00<L0
oooo00@000000?ooo`3oool000008`3oool2000000H0oooo0`0000040:Vmj0060000002Y_NP00000
0000002Y_NP00000102Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000020:Vmj004
0000002Y_NP0ZKgX0:Vmj0<000000`2X_>P00`000000Z;cX0:Rlj004000000<0Yk_W00<000000:Jj
i`2V^^L0100000020:BgiP030000002S]^H0XkKV0080XkKV00<000000:6ci@2Q/nD00`00000409f_
i0050000002K[N@0VjgT09^]i00000000P2IZn<300000080TjCP00D00000096Qg`2AXMl0TJ7O0000
000408nNgP050000002>WMd0SYgM08jMg@0000000`2>WMh00`000000SYkN08jNgP0800000080Tj?O
00<0000009FTh02EY>000P2EY>001P000000V:OQ09RWh@2HYn40000009b/h`80000000<0X[GV0000
002Y_^T00`2Y_^T2000000@0]<g/00@000000;O>k000000000000P2gbnX010000000^LkZ00000000
00020;gFk00300000032g^d000000080anW^0P0000000`36ind000000<?Nk@0200000080^loY00L0
00000;W<j000000000000;cCj`000000_][^008000000P32i_02000000@0^=3/00H000000;74j000
000000000:Zhh`0000040:^ji@030000003oool000000180oooo00@000000?ooo`3oool00000203o
ool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0I03oool00<L0oooo
00@000000?ooo`3oool00000803oool3000000@0oooo100000030:Vmj0030000002Y_NP0ZKgX00<0
0000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vmj0000004
0:Vmj0050000002Y_NP000000:Vmj0000000102X_>P300000080Z;_W00<000000:Nki`2W^nL00P2W
^nL300000080YKWW00<000000:BgiP2T]nH00P2T]nH00`000000XkKV0:>fiP0400000080Wk7U00<0
000009f_i02M[n@00P2M[n@00`000000VjgT09^]i0040000000309JWhP000000TjCP00<0TjCP00D0
0000096Qg`2AXMl0TJ7O0000000308nNgP030000002>WMd0SYgM00P000000P2@XMl01@000000TJ;O
096Rg`2AX]l0000000@0Tj?O00D0000009FTh02EY>00UJCP0000000209RWh@<00000102R]NH01P00
0000ZKkY000000000000/<S/000000@0]<g/0P0000040;O;jP800000102me^`3000000050<OYkP00
0000a^O]00000036ind00P0000040;_?j@8000000`2ldn/2000000<0`^K`00<000000;oNk`000000
102hd>`2000000@0Z[SS00<000000:^ji@2[^^D00`0000000`3oool000000?ooo`090?ooo`D00000
0P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool0I03oool00<L0oooo00@000000?ooo`3oool000007P3oool2000000@0oooo0`0000020:Vm
j0030000002Y_NP0ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vm
j0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Rl
j000000000000:Rlj00000040:Rki`060000002W^nL000000000002V^^L00000102U^NL00`000000
Y;OV0:BgiP0400000080XK?U00<0000009nai@2O/ND00P2O/ND00`000000WJoT09f_i00400000080
VJ_S00D0000009JWhP2FYn80UZOR0000000309>Th0030000002AXMl0TJ7O00P000000P2>W]h01@00
0000SioO08nOg`2?Wml0000000@0T:7O00D00000096Rg`2AX]l0TJ;O0000000209>Sg`P000000P2L
[N<00`000000X[GV0::eiP020::eiP800000102`b>`010000000]<g/0000000000020;G;jP040000
002gbnX0000000000080^LgZ00@000000;gFk000000000000P35i>h200000080a^O]0P0000000`2o
e^/000000;_?j@020;_?j@030000002ic>P000000080_=?[00H000000<;Tk`32i>l000000<;Vl000
00030;oNk`060000002hd>`000000000002]^n@00000102Z^><300000080/LO[00@000000?ooo`3o
ool00000403oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000D0oooo00<0
00000?ooo`3oool0I03oool00<L0oooo00@000000?ooo`3oool000006`3oool3000000D0oooo00@0
00000:Vmj02Y_NP000000`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00H000000:Vm
j000000000000:Vmj00000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000`2Y
_NP00`000000ZKgX0:Vmj002000000@0Z;cX00<000000:Rki`2X^nL00`0000040:Jji`030000002U
^NL0YKWW00@000000P2S]NH00`000000XK?U0:6ci@020:6ci@030000002O/ND0Wk7U00@000000P2K
[^@00`000000VJ_S09V[h`0209V[h`030000002FYn80UZOR00L000000P2?W]h01@000000SYkN08jN
gP2>W]h0000000@0SYkN00D0000008nOg`2?Wml0SioO00000003092Qg`030000002AX]l0TJ;O00@0
00000P2DX]l01@000000UjKP09NVh02GY^00000000@0W:gS00@000000::eiP00000000000P2Z`NX0
0`000000/<S/0;38k003000000@0]L_Z0P0000040;W=jP8000000`35i>h01P000000b>_^0<S[kP00
0000a^O]000000<0_mK[00<000000;_?j@0000000`2ic>P2000000<0`^C_0`0000020;oNk`<00000
102]^n@01P000000Z[SS000000000000[KoW000000<0/LO[0P0000000`3oool000000?ooo`0?0?oo
o`040000003oool0oooo000000P0oooo00D000000?ooo`3oool000000?ooo`04000006L0oooo0038
0?ooo`8000006P3oool2000000D0oooo0`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0060000
002Y_NP000000000002Y_NP00000102Y_NP300000080Z;cX00@000000:Rlj02X_>P0Z;cX0`000002
0:Nki`030000002V^^L0Y[[W0080Y[[W0`0000020:BgiP030000002S]NH0XkGV0080XkGV00<00000
0:6ci@2Q/nD01000000209f`i@030000002K[^@0VjkT0080VjkT00<0000009V[h`2IZn<010000000
0`2CXn000000096PgP02096PgP030000002?W]h0SikN0080SikN00D0000008jNgP2>W]h0SYkN0000
000308jNgP030000002?Wml0SioO00P000000P2BXMh00`000000U:;O09BRg`0209BRg`050000002G
Y^00UjKP09NVh00000000P2L[N<3000000@0Z/7Z0`0000030;?:j`040000002ebnX0000000000080
]<SX00@000000;W=jP00000000000P30fnd00`000000aNC^000000030<S[kP<000000`2oe^/20000
00<0^LcX0`0000000`32i>l00000000000020<?Yl0<000000`2baNP00`000000[K_T0:fki0030000
00@0[KoW0`0000020;KDl0030000003oool0000000l0oooo00@000000?ooo`3oool00000203oool0
1P000000oooo0?ooo`000000oooo000006X0oooo003Q0?ooo`@000000`3oool300000080ZKgX00<0
00000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y
_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj00000000000
0:Vmj00000040:Rlj0030000002X_>P000000080Z;cX00H000000:Nki`2W^nL0Yk_W0000002V^^L2
000000030:Fii`000000Y;OV00<0Y;OV00<000000:>eiP2S]NH01000000209nbi@030000002M/>D0
WK3U0080WK3U00<0000009^^i02K[^@01000000209JVh@050000002CXn00Tj?P09>Sh00000000`2A
X=h01@000000SikN08nNgP2?W]h000000080SYkN20000002092Qg`050000002@X=l0T:3O092Pg`00
0000102BXMh01@000000U:;O09BRg`2DX]l000000080UjKP100000030:Bhi`060000002Z`NX00000
0000002`b>`00000102cb^/2000000@0]<SX0P0000040<3Kk@<0000000<0b>_^0000000000000P34
hNd01`000000_mK[000000000000^<WW0000002ic>P00P0000020<3LkP<0000000D0`nW`00000000
0000^mG]000000040;;5j0<000000P2Z]n<010000000[KoW0:foi`2]_nL2000000@0]]C`0P000000
0`3oool000000?ooo`0>0?ooo`8000002P3oool200000080oooo1@00001V0?ooo`00g`3oool20000
00@0oooo0`0000000`2Y_NP000000:Vmj0030:Vmj0060000002Y_NP000000000002Y_NP00000102Y
_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@00000
0`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Rlj02X_>P00`0000040:Rlj0030000
002W^nL0Yk_W00800000102U^NL00`000000Y;OV0:BgiP0400000080XKCU00<0000009nbi@2O/^D0
0P2O/^D00`000000WK3U09f`i@0400000080VJ[S00<0000009JVh@2FY^400P2FY^401@000000Tj?P
09>Sh02CXn0000000080TJ3N00<0000008nNgP2?W]h01000000208nPg`050000002?X=l0Sj3O08nP
g`000000102@XMl01@000000T:3O092Pg`2@X=l0000000<0TZ7N00<0000009BRg`2DX]l010000002
09f^i0030000002T^>L0Y;SW0080Y;SW0P0000040;38k0060000002cb^/000000000002baNP00000
0`2db>P01@000000^]3[0;[@j`000000`=_]008000000P37jnh2000000@0a>7]0P0000030;S9i`80
00000`30g>h00`000000aNg_0<G]k`02000000@0^mG]00H000000;;5j000000000000:Vdh@000004
0:Zgh`<000000P2fd^h010000000]]C`0000000000020;C?kP<00000R@3oool00=`0oooo0`000004
0?ooo`<00000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vm
j00000040:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Rlj003
0000002X_>P0Z;cX00@000000P2V^^L00`000000YKWW0:Fii`0400000080XkGV00<000000:6di@2Q
]>D00P2Q]>D00`000000Wk;U09nbi@0400000080VjkT00<0000009VZh`2IZ^<00P2IZ^<01@000000
UZKQ09JVh@2FY^4000000080Tj?P1`00000208nOg`030000002?X=l0Sj3O0080Sj3O00D0000008nP
g`2?X=l0Sj3O00000003092Qg`030000002@X=l0T:3O00P000000P2GY^000`000000WJkT09f^i002
09f^i0060000002T^>L000000000002/a>`00000102`b>`2000000@0//GX00<000000;C8j0000000
0`2jd>/2000000<0an_^00D000000<SZk@38j^d000000<CQk@04000000030;S9i`00000000000080
_=7Z00<000000<3LkP0000000P35kNl00`000000`nK`000000040;_Ek@800000102Y]>400`000000
Z[OS00000002000000@0]];^0P0000040;C?kP<00000R@3oool00=T0oooo0`0000040?ooo`<00000
0P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX
00<000000:Vmj02Y_NP00`0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01P000000
ZKgX000000000000ZKgX000000@0ZKgX00H000000:Vmj000000000000:Rlj00000040:Rlj0<00000
0P2W^nL010000000Y[[W0:Jji`2V^^L300000080Y;OV00<000000:>eiP2S]NH00P2S]NH00`000000
XKCU0:6di@0400000080W[3U00<0000009^^i02K[^@00P2K[^@00`000000VJ[S09VZh`0800000080
TJ3N00D0000008nOgP2?Wmh0SioN0000000308nOg`050000002?X=l0Sj3O08nPg`0000000`2?X=l0
0`000000T:7O092Qg`0400000080T9kM00D0000009>QgP2CXMh0Tj7N0000000409NVh0030000002M
[^@0WJkT00<00000102/a>`010000000/<S/0000000000020;35j@030000002baNP0//GX00<00000
0`2jd>/01P000000`n?^0<?SkP000000an_^000000<0b>[]0P0000020;[<j0<00000102ldNX30000
00030<G]k`000000`nK`0080`nK`00H000000;_Ek@00000000000:bih`0000030:Vdh@<000000`2b
bN/010000000]];^0000000000020;SHl@080000002dcnh000000000002Z^nD000000?ooo`000028
0?ooo`00e`3oool2000000H0oooo00@000000:Vmj02Y_NP000000`2Y_NP01P000000ZKgX00000000
0000ZKgX000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP0
0`0000040:Rlj0060000002X_>P000000000002X_>P00000102W^nL00`000000Y[[W000000020:Fi
i`050000002T]nH0Y;OV0:BgiP0000000P2S]NH400000080Wk;U00<0000009j`i@2N/>D00P2N/>D0
0`000000VjkT09^^i00400000080UJKQ00D0000009>Rg`2CX]l0Tj;O00000004096PgP050000002?
Wmh0SioN08nOgP0000000P2?Wml00`000000Sj3O08nPg`0800000080SikM00<00000092Ng@2@W]d0
0P2@W]d01@000000Tj7N09>QgP2CXMh000000080UjKP100000030:Flj@030000002/a>`0[<C/00<0
0000102`aNT3000000<0]<KX00<000000;[@j`0000000`33hnh3000000030<SZk@00000000000080
_mKZ00<000000;[<j00000000P2hb>L010000000_=7Z0000000000020<GYk`<000000P33i_030000
00@0[;WS00D000000:Vdh@000000[KgV000000040;;9j`800000102hf?42000000@0Z[_U0P000028
0?ooo`00e03oool3000000D0oooo0`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P00
0000ZKgX000000000000ZKgX000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0<0
00000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vm
j0030000002X_>P0Z;cX00<00000102X_>P00`000000Yk_W0:Nki`03000000@0YKWW00<000000:Bg
iP2T]nH00`0000020:6diP030000002O/^D0Wk;U0080Wk;U00<0000009j`i@2N/>D01000000209RY
hP030000002EY^40UJKQ0080UJKQ00D0000009>Rg`2CX]l0Tj;O00000003096PgP030000002?Wmh0
SioN00L000000P2@X=l01@000000SioN08nOgP2?Wmh0000000@0SikM00D00000092Ng@2@W]d0T9kM
0000000209>QgP@000000P2N/^D00`000000YKcY0:Flj@020:Flj@<000000`2_a^/01P000000/<GY
000000000000[l3V000000@0]<KX0`0000000`33hnh00000000000020<S^k@800000102oe^X30000
0080^<SW0P0000030<GYk`0300000037lNh0ao7^00<000000`2daNL00`000000[;WS0:bih`030000
00<0[KgV00@000000;;9j`00000000000P2jg?401P000000^=Sa000000000000/<O[000000@0Z[_U
0`0000270?ooo`00dP3oool2000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y
_NP000000000002Y_NP00000102Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX0:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000P2X_>P00`000000Z;cX0:Rlj0020:Rl
j0<000000P2V^^L00`000000YKWW0:Fii`020:Fii`<000000P2S]^H01@000000XKCV0:6diP2Q]>H0
00000080Wk;U1000000209^]i0030000002HZN80V:WR0080V:WR00D0000009FVh@2EY^40UJKQ0000
000209>Rg`P000000P2@XN0010000000T:7P092Qh0000004092Pg`050000002?Wmh0SioN08nOgP00
00000`2?W]d00`000000T9kM092Ng@0400000080V:SQ00<0000009jbi@2N/^D00P2N/^D01P000000
YKcY000000000000[<G/000000@0[lK[0P0000040:o0iP040000002da^P0000000000080_MO]0P00
00030<S^k@0500000035hnd0aN?]0000002oe^X00P0000001@2fa>D000000000002hb>L000000080
`Mk^00<000000<GYk`0000000P37lNh00`000000_][]000000040;C5i`<000000P2X/n4010000000
[KgV0:fmiP2]_NH2000000@0^]ca0P0000040;37j`080000002Z^nD000000000002S[Mh000000?oo
o`0000260?ooo`00c`3oool3000000D0oooo0P0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<0
00000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0000
00020:Vmj0060000002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2X_>P000000:Rlj0030:Rlj006
0000002X_>P000000000002W^nL00000102V^^L01P000000YKWW000000000000Y;OV000000@0XkKV
00<000000:6diP2Q]>H00`00000209jai@030000002K[N@0VjgT0080VjgT00D0000009RYhP2HZN80
V:WR0000000209FVh@@000000P2AXMl01@000000T:7O092Qg`2@XMl0000000@0T:7P00@00000092Q
h02@XN0000000`2@X=l00`000000SioN08nOgP0800000080TZ3N00<0000009RXh@2HZ>400P2HZ>40
0`000000W[;U09jbi@03000000@0[<G/00H000000:o6j`00000000000:fniP0000040:o0iP800000
0`2mend01P000000anc^0<O/kP000000b>k]000000<0aN?]0P0000040;K4i@8000000`31g^h30000
00030<OakP000000_][]0080_][]00H000000;C5i`00000000000:N`gP0000040:Rch@<000000P2h
eo0010000000^]ca0000000000020;OEk`030000002`an/0/<O[00<00000102S[Mh2000008H0oooo
003=0?ooo`8000000P3oool010000000oooo0?ooo`3oool2000000@0ZKgX00H000000:Vmj0000000
00000:Vmj00000040:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP300000080ZKgX00@0
00000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX
0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`0000030:Rlj0030000002X_>P0Z;cX00<00000
102W^nL00`000000Y[[W0:Jji`03000000@0Y;OV00<000000:>fiP2S]^H0100000000`2P/nH00000
09jai@0309jai@030000002K[N@0VjgT00P000000P2BX]l00`000000TJ7O096Qg`02096Qg`050000
002@XMl0T:7O092Qg`0000000`2@XN000`000000T:7P092Qh00700000080SY_L00D0000008nLg02?
W=`0SicL0000000409:PgP030000002HZ>40V:SQ00@000000`2W_n/00`000000[<G/0:c5k0030000
00@0[KkV00@000000:o0iP00000000000P2ebNT00`000000_MO]000000030<O/kP<0000000D0aN?]
000000000000^LSV000000030;K4i@<0000000<0`Mk^0000000000000P38m>d300000080_][]0`00
00030:N`gP040000002X/n40Z;?Q0:Rch@800000102heo0300000080]mG_100000020:F`h0030000
002S[Mh0XjgN0080XjgN00<000000?ooo`000000Q@3oool00<X0oooo0`0000050?ooo`<000000P2Y
_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y
_NP000000000002Y_NP00000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`00
0000Z;cX0:Rlj003000000<0Z;cX00<000000:Nki`2W^nL0100000030:Fhi`030000002T]nH0Y;OV
00@000000P2R]NH01@000000X;?V0:2ciP2P/nH000000080W[7U1000000209RXhP050000002EYN00
UJGP09FUh0000000102BX]l01@000000TJ7O096Qg`2AXMl000000080T:7O200000000`2?Wml00000
08jLg@0208jLg@030000002>Vm`0SY_L0080SY_L00D0000008nLg02?W=`0SicL0000000209:PgP@0
00000P2Q]nP00`000000Yko[0:Noj`020:Noj`<000000P2/`>P00`000000[KkV0:fniP020:fniP80
0000102ebNT3000000030<O/kP00000000000080b>g]0P0000040;W8iP<0000000<0^loY00000000
00000P0000000`38m>d00000000000020<K^k`<000000P2[]N000`000000Yk3N0:N`gP020:N`gP<0
00000P2cbn/010000000^=O`0000000000020;cQlP<000000P2Z^^@00`000000YK3P0:F`h0020:F`
h0030000002S[Mh0XjgN00@00000Q@3oool00<P0oooo0P0000060?ooo`80000000<0ZKgX0000002Y
_NP00P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y
_NP00`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX
000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0<000000P2Y_NP00`000000ZKgX
0:Vmj0020:Vmj0<0000000<0Z;cX0000002X_>P00`2X_>P300000080Y[[W00<000000:Fhi`2U^>L0
0P2U^>L300000080XkKV00<000000::eiP2R]NH00P2R]NH00`000000X;?V0:2ciP0300000080VjgS
00<0000009RXhP2HZ>800P2HZ>801@000000UJGP09FUh02EYN0000000080TZ;O20000002096Sh@05
0000002@X^00T:;P092Rh00000000`2?Wml01@000000SYcM08jLg@2>W=d0000000<0SY_L00<00000
08nLg02?W=`01000000209V/i0030000002Q]nP0XKOX0080XKOX00H000000:Noj`00000000000:_2
jP0000040:c0j0040000002]_^H0000000000080[[gU00@000000;G9j@00000000000P32h^l30000
00050<S]k@00000000000;oEjP0000000`2ib>H2000000<0^loY0P0000001@37knh0000000000000
0000a^k_0080000000<0]LKW0000002[]N000`2[]N000`000000Yk3N00000002000000@0/l_[0`00
00001@2lhO8000000000002bb^/0000000@0Z[[T00<000000:F`h02U/>00100000020:Fbh@030000
003oool0000008@0oooo00350?ooo`<000001@3oool3000000@0ZKgX00<000000:Vmj00000000P2Y
_NP01P000000ZKgX0:Vmj02Y_NP000000:Vmj080000000<0ZKgX0000002Y_NP00`2Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj003
0000002Y_NP0ZKgX00<00000102Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00H00000
0:Vmj000000000000:Vlj00000030:Rlj0060000002X_>P000000000002W^nL00000102V^^L01P00
0000YKSW000000000000Y;OV000000@0XkKV00<000000::eiP2R]NH0100000000`2N/>D0000009^]
h`0309^]h`050000002HZ>80V:SR09RXhP0000000P2EYN0400000080TJ;P00D00000096Sh@2AXn40
TJ?Q00000004096Sh@050000002@X^00T:;P092Rh00000000`2?Wml010000000SYcM08jLg@000002
08jKg0@000000P2CX]l00`000000VJcT09V/i00209V/i0030000002Q]nP0XKOX00<00000102[`^X0
0`000000[<3X0:c0j003000000@0[[gU0P0000030<;Rk`0300000038lNd0b?7]00800000102oeNX3
00000080]L;T00@000000;_?j@000000ano^0P0000020<Sij@8000000`2ea^L010000000ZkGP0:^e
h02[]N03000000<0[;_T00@000000;?;j`00000000000P2niO82000000@0//[[00<000000:Zji02Z
^^@0100000020::[g@040000002U/^40YK;Q0:Fbh@80000000<0oooo0000003oool0PP3oool00<80
oooo0`0000040?ooo`@000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP01P000000ZKgX00000000
0000ZKgX000000@0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000
ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`0000040:Vlj0030000002X_>P0Z;cX00<0
00000`2W^nL00`000000Y[[W0:Jji`03000000@0Y;OV00<000000:>fiP2S]^H0100000020:2ciP05
0000002N/>D0W[3U09j`i@0000000P2K[N<800000080TZ;O00<00000096Rh02AX^000P2AX^001@00
0000TJ?Q096Sh@2AXn40000000<0TJ?Q00<00000092Rh02@X^002`00000208jKf`030000002CX]l0
Tj;O0080Tj;O00@0000009V/i02I[>@0VJcT0`0000020:S1k0030000002[`^X0Zl;Z0080Zl;Z0`00
00030:Vhh`040000002^_ND0000000000080^M7/00<000000<;Rk`0000000P38lNd010000000a^G]
0<KUk@0000020;oEjP800000102e`^@3000000070<O_kP000000b?WY0<Sij@000000`]o^00000004
0;G6i`<0000000<0YZkM0000002/^n@00`2/^n@3000000050;kUlP00000000000;_Ml@000000102b
b^/300000080XJSK00<000000::[g@2RZmd00P2RZmd3000000040:k3j@000000oooo000008<0oooo
00300?ooo`800000103oool300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<0
00000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vm
j003000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0030000002Y_NP000000080
ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vm
j0030000002Y_>P0ZKcX00@000000`2X_>P00`000000Yk_W0:Nki`0300000080YKSW00<000000:Bg
iP2T]nH00P2T]nH300000080X[KV00<000000:2ciP2P/nH00P2P/nH00`000000W[3U09j`i@030000
0080UjOQ00D0000009BTh02DY>00U:CP0000000409:Rg`050000002AX^00TJ;P096Rh00000000P2A
Xn4800000080SYcM00D0000008bIf`2<VM/0S9WK0000000208bHfP030000002>Vm/0SY_K0080SY_K
00H0000009>Rg`2CX]l0Tj;O0000002I[>@2000000030:>lj`000000Z<7/00<0Z<7/00H000000:_2
jP00000000000:Rgi00000040:Vhh`800000102idN`3000000030<Sak@000000a^G]0080a^G]0`00
00020;>nhP040000002e`^@0000000000080`]k^0`0000000`38nNT000000<;OkP020<;OkP030000
002ea^L0000000800000102V[]d010000000[;_T0000000000020;cNl@800000102kgO401P000000
//[[000000000000XjcM000000<0XJSK00@000000::[g@2RZmd0XZ_M0P0000040:k3j@030000003o
ool000000880oooo002m0?ooo`<000001@3oool010000000ZKgX0:Vmj00000030:Vmj0060000002Y
_NP000000000002Y_NP00000102Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000
ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0060000002Y_NP00000
0000002Y_NP00000102Y_NP300000080Z;cX00<000000:Rlj02X_>P00P2X_>P3000000030:Jii`00
0000YKSW00<0YKSW00H000000:BgiP00000000000:>gi`0000040::fiP030000002P/nH0X;?V00@0
000000<0VZ_R0000002GYn400`2GYn401@000000U:CP09BTh02DY>00000000<0TZ;O00<00000096R
h02AX^0010000002096Th@050000002@X=l0T:3O092Pg`000000102>W=d01@000000S9WK08bIf`2<
VM/000000080S9SJ00D0000008jKf`2>Vm/0SY_K0000000209>Rg`<00000102S_>/00`000000Z<7/
0:S1k003000000@0Z;OT00H000000:Vhh`00000000000:o0iP0000030;WAk00300000036kNl0a^g_
00<0000000D0a^G]000000000000]lCT000000030;>nhP8000000`32g^h00`000000b?_W0<Ski`03
00000080`]o^0`0000020:FZfP030000002V[]d0YZkM0080YZkM0P0000030;cNl@0400000030jo80
`>_b00000080^mga0`0000030:>/g@030000002QZ=/0XJSK0080XJSK0`0000000`2Y^^D000000:k3
j@030:k3j@80000000<0oooo0000003oool0P03oool00;/0oooo0P0000020?ooo`030000003oool0
oooo00<00000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000040:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP300000080ZKgX00@000000:Vm
j02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y_NP000000000002Y_NP00000
102X_>P01P000000Z;cX000000000000Yk_W000000<0Y[WW00<000000:Fhi`2U^>L00`0000040:>g
i`030000002R]^H0X[KV00@000000P2M/>@01@000000VZ_R09Z[hP2JZn80000000<0UjOQ00<00000
09BTh02DY>002000000209:UhP030000002AY>40TJCQ0080TJCQ00D00000092Pg`2@X=l0T:3O0000
000308jLg@050000002<VM/0S9WK08bIf`0000000P2<V=X7000000<0W;;W00<000000:>lj`2S_>/0
100000030:Rki`030000002X]n@0Z;OT00<00000102_`>H00`000000^M7/000000020<K]k`030000
0039lNd0bO7]00800000102ga>@300000080^<[W00<000000<;NkP0000000P38nnL2000000060<Wf
j`00000000000000002Z/Md00000102UZ]X010000000YZkM0000000000020;G=k0030000002lg_40
000000<0`>_b0`0000020:Zhh`030000002S[=d0XjcM0080XjcM00<000000:6Xf`0000000P000004
0:Vji@040000002^`nT0000000000080/lc]0`0000200?ooo`00^03oool3000000@0oooo0`000002
0:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0030000
002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0
ZKgX00<000000:Rlj02X_>P00`0000040:Nki`030000002V^NL0Y[WW00<000000`2T^>L00`000000
XkOW0:>gi`0400000080X;?V00<0000009f`i02M/>@00P2M/>@01@000000VZ_R09Z[hP2JZn800000
0080UjOQ0`00000209>Th@050000002CYN80TjGR09>UhP000000102BYN801@000000TJCQ096Th@2A
Y>4000000080T:3O300000000`2?W=`0000009FVhP0209FVhP030000002L/^L0W;;W0080W;;W0`00
00020:NnjP030000002X^nL0Z;_W0080Z;_W0`0000020:NchP030000002_`>H0[l3V0080[l3V0`00
00001`36kNl000000<Wak@39lNd000000;oCj@0000000`2ga>@2000000@0^<[W0`0000000`38nnL0
00000<Wfj`02000000030;K6iP000000Z[7M0080Z[7M00<000000:FZfP2UZ]X00`0000040;G=k0<0
000000D0`>_b000000000000]Lg/000000040:Zhh`030000002S[=d0000000<000000`2T[]l00`00
0000ZK[U0:Vji@03000000@0/lc]0`0000200?ooo`00]P3oool2000000H0oooo00<000000:Vmj000
0000102Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`000004
0:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01P000000ZKgX000000000000ZKgX000000@0
ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj0040000
00<0Z;cW00<000000:Nki`2W^nL0100000000`2U^>L000000:Bhi`030:Bhi`<000000P2R]^L00`00
0000X;?V0:2ciP020:2ciP030000002M/>@0WK3T00P0000000<0U:CP0000002CY>400`2CY>401@00
0000TjGR09>UhP2CYN8000000080TZGR2000000208bHfP050000002:UMP0RYGH08ZEf00000000`2;
UmT01@000000SicL08nLg02?W=`0000000<0UJKR00H0000009bbi`00000000000:Fnk00000040:Nn
jP060000002X^nL000000000002S[n000000102W/n8010000000[l3V0000000000020;oNk`<00000
00<0bO7]0000002odnT00P2odnT01@000000]lCT0000002`^^40000000<0^<[W00<000000<Sck@38
lnd01@0000020;K6iP040000002Z/Md0Z[7M0:Zag@<000000`2[]n8010000000]Lg/000000000002
0<7_l@800000102ecN`00`000000Z[SS0000000300000080WjGJ00<000000:B^g`2T[]l00P2T[]l3
000000<0/lg]00P000000;?<k@00000000000:k0i`000000oooo000007l0oooo002c0?ooo`<00000
1@3oool3000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y_NP000000000002Y
_NP00000102Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000004
0:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP00`000000ZKgX000000020:Vmj0040000
002Y_NP0ZKgX0:Vmj0<000000P2X_>P00`000000Z;cW0:Rli`020:Rli`<000000P2V^NL01P000000
YKSW0:Fhi`2U^>L000000:Bhi`80000000<0Y;SW0000002R]^L00`2R]^L00`000000X;?V0:2ciP04
00000080VJWR00D0000009NVh02GY^00UjKP0000000309BTh0050000002CY>40TjCQ09>Th@000000
0P2CYN8400000080TJ?Q00D0000008jMg@2>WMd0SYgM0000000408bHfP050000002:UMP0RYGH08ZE
f00000000`2;UmT010000000SicL08nLg000000209FVhP<00000102U_^`00`000000YkkZ0:NnjP03
000000@0XjoP00@000000:NchP2W/n80Yk?R0`0000000`2og^l00000000000020<Odk@800000102o
dnT2000000<0/;[Q00<000000;S:i`0000000P38lnd010000000a_kN00000036i^d2000000<0]/KV
0`0000000`2SZ=T000000:^ghP030:^ghP<0000000D0`Noa000000000000_nKa000000020;G=k0@0
00000P2NX]P00`000000WjGJ09nUfP0209nUfP060000002T[]l000000000002`a^X00000102ccNd2
000000@0[/3W0P00001o0?ooo`00/03oool3000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vmj000
00040:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0050000002Y_NP000000:Vmj000
0000102X_>P01P000000Z;cW000000000000Yk[W000000@0Y[WW00<000000:Fhi`2U^>L00`000003
0:Bhi`030000002R]^L0X[KW00@000000P2M[^<00`000000VJWR09VYhP0209VYhP050000002GY^00
UjKP09NVh00000000P2DY>0700000080TjKS00<00000096Sh@2AXn400P2AXn401@000000SYgM08jM
g@2>WMd0000000<0S9SJ00D0000008ZEf02:UMP0RYGH0000000308^Gf@030000002?W=`0SicL00<0
00000`2O^>X00`000000YKk/0:Fnk00400000080X[3R00<000000:>_h02S[n000P2S[n0010000000
Yk?R0000000000020;?9j`<0000000<0aoC]0000000000000P37ind01P000000_m?Y000000000000
[[GN000000<0/;[Q0`0000001038lnd000000<KngP0000030<KVk@030000002fa^H0000000800000
102SZ=T010000000ZkOR0000000000020;oVl@<000000P2oi_4300000080XJKJ00<0000009jRf02N
X]P00P2NX]P00`000000WjGJ09nUfP03000000@0/<KZ00H000000;?=k@00000000000;;:k0000002
0:k0i`<0000000<0oooo0000003oool0O@3oool00:h0oooo0P0000060?ooo`80000000<0ZKgX0000
002Y_NP00`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX0000
00040:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP300000080ZKgX00@000000:Vmj02Y
_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00<000000:Rlj02X_>P00`0000040:Nji`030000002V^NL0Y[WW00@000000`2U^>L00`00
0000Y;SW0:Bhi`0300000080X;;U00<0000009f^h`2M[^<00P2M[^<01@000000VJWR09VYhP2IZN80
00000080UjKP100000000`2EYn<0000009BXh`0209BXh`030000002CY^<0TjKS0080TjKS00D00000
096Sh@2AXn40TJ?Q0000000308jMg@030000002<V=X0S9SJ00`000000P2H[NH00`000000WkSZ09nh
jP0400000080Y;KV00<000000::`hP2R/>800P2R/>800`000000XjoP0:>_h003000000<0/lW[00<0
00000<C^l034k_000P0000040<OWk@800000102^]Mh300000080`]k]1@0000020<KVk@<000000P2Q
XmH00`000000XjSI0:>Xf@020:>Xf@8000000`2oi_400`000000`oK^0<?fkP03000000030:ZfhP00
0000XJKJ00<0XJKJ00@0000009jRf02NX]P0WZ;H0`0000030:Zii0030000002`a^X0/<KZ00<00000
0`2bb^`300000080YJkN00@000000?ooo`3oool00000O@3oool00:/0oooo0`0000060?ooo`<00000
0`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00<000000:Vmj00000000P2Y_NP01000
0000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP01P000000ZKgX00000000
0000ZKgX000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0Z;_W00<000000:Nji`2W
^^L0100000020:Fii`030000002U^>L0YKSW0080YKSW0`0000000`2R]^H000000:2bi@030:2bi@03
0000002M[^<0WJkS00P000000P2EY^401@000000UJOS09FWh`2EYn<0000000<0U:SS00<0000009>V
h`2CY^<03000000208VCe`050000002;V=X0RiSJ08^HfP0000000`2AXMl010000000V:gV09R]iP2H
[NH300000080Y;cZ00<000000:BfiP2T]^H00P2T]^H00`000000X[3R0::`hP04000000<0YkGS00<0
00000;?9j`0000000P34k_001@000000b?G/0<Sek0000000anO]0080000000<0/kgR0000002^]Mh0
0P2^]Mh2000000<0`]k]00<000000<Gng@0000000P39oN83000000030:N[fP000000XJ?F00<0XJ?F
00@000000:>Xf@00000000000P2fc^`010000000_nKa00000033m^h2000000030;WBk@000000Z[KR
0080Z[KR00H000000:6VfP2QY]X0XJKJ0000002NX]P2000000030::[g@000000Z[WT00<0Z[WT0`00
00020;KBkP060000002bb^`000000000002Y]^800000102U[]h00`000000oooo0000001m0?ooo`00
Z@3oool200000080oooo00<000000?ooo`3oool0100000030:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj00000000P2Y_NP01P000000ZKgX
0:Vmj02Y_NP000000:Vmj080000000<0ZKgX0000002Y_NP00`2Y_NP3000000<0ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0060000002Y_NP000000000002Y_NP0
0000102Y_NP3000000030:Rlj0000000Z;_W00<0Z;_W0`0000020:Jii`030000002U^NL0YKWW0080
YKWW00H000000:Fhi`00000000000:Bhi`0000030::fiP030000002P/^D0X;;U00@000000P2IZ>40
1@000000UjKQ09NVh@2GY^40000000@0UJKQ00<0000009FWh`2EYn<01`000002092OgP050000002<
V=X0S9SJ08bHfP0000000`29TmL00`000000RI?G08VCe`0208VCe`050000002;V=X0RiSJ08^HfP00
00000`2AXMl01@000000V:gV0000002R_N`0000000@0Y;cZ00<000000:BfiP2T]^H01000000209nY
g@030000002W]N<0YkGS0080YkGS0`0000000`34k_0000000<Sek0020<Sek0800000102c_N800`00
0000[[GN000000020;C2i@0600000032g^d000000<Gng@000000bOgR0P000000102haND000000:N[
fP2WZmX2000000<0XJ?F0P0000040;K>k0@00000102id^d010000000Z[KR0:ZfhP0000020:6VfP<0
0000102RZmd010000000Z[WT0000000000020;KBk`030000002fd^h0]];^00800000102Y]^801000
0000YJkN0:F^gP2U[]h2000000030?ooo`000000oooo07/0oooo002V0?ooo`<00000103oool30000
0080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vm
j000000000000:Vmj00000040:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX
00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj003000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Rlj0060000002X^nL00000
0000002W^^L00000102V^NL00`000000YKWW0:Fii`03000000@0Y;SW00<000000::fiP2R]^H00`00
000209b/hP030000002IZ>40VJSQ0080VJSQ00D0000009NVh@2GY^40UjKQ0000000209FVh@@00000
00<0UZ[T0000002CY^800P2CY^800`000000T9oN092OgP02092OgP050000002<V=X0S9SJ08bHfP00
00000`29TmL01@000000RI?G08VCe`29TmL0000000<0RiSJ00<00000096Qg`2AXMl00`0000030::m
k0030000002T_>X0Y;cZ00@000000P2LYM`00`000000WjWM09nYg@0209nYg@040000002W]N<00000
00000080^m[`0`0000000`38mN`00000000000020;kBj@030000002c_N80/kgR00<000000`2d`^D6
000000<0^<GU00<000000:N[fP2WZmX00P0000000`2QXmH00000000000020:Vbg`080000002fc^`0
000000000032n>`000000<C`l00000020;WBk@P000000P2LWmH00`000000XZ_M0::[g@020::[g@80
0000102fd^l3000000030:o1i`000000ZKKR00<0ZKKR00H000000:F^gP00000000000::WfP000002
0?ooo`030000003oool0oooo07T0oooo002T0?ooo`8000001@3oool2000000030:Vmj0000000ZKgX
00<0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y
_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00800000102Y
_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00<000000:Vmj00000000P2Y_NP010000000
ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000Z;cX0:Rlj0030000
00<0Yk[W00<000000:Jii`2V^NL0100000030:Fii`030000002T^>L0Y;SW00@0000000<0Wk3T0000
002L[>800`2L[>801@000000VJSQ09VXh@2IZ>4000000080UjKQ1000000209N[i@050000002FZ^@0
UZ[T09JZi00000000`2CY^801@000000T9oN092OgP2@Wmh0000000<0S9SJ00D0000008VCe`29TmL0
RI?G0000000208VCe`P000000`2L]^X00`000000X[g/0::mk00300000080WJ[O00<0000009bUg02L
YM`00P2LYM`010000000WjWM09nYg@2OZMd2000000<0^m[`00<000000<Kgk036mn`00P0000040;kB
j@<000000P2[/=`02P000000]<;U0;C2i@000000b?O[0000002moL/000000<[]k00000040;S5i@03
0000002WZmX0000000800000102Y/]l3000000040<;hk0000000a?3`0<C`l0<000000P2NX=H01@00
0000VY_C09ZKd`2JVm<0000000@0W9oF00@000000::[g@00000000000P2bb^`01P000000]];_0000
00000000]/o]000000<0[l7W00<000000:VfhP2Y]^800`0000040::WfP030000003oool0000007/0
oooo002Q0?ooo`<000001@3oool3000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000
002Y_NP000000000002Y_NP000000`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000102Y
_NP00`000000ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0060000
002Y_NP000000000002Y_NP00000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000030:Vm
j0030000002Y_NP0ZKgX00@000000`2W^nL00`000000Yk[W0:Nji`0300000080Y[[W00<000000:Fi
i`2U^NL00P2U^NL300000080X[GV00D0000009n`i02O/>@0Wk3T0000000209b/hPP000000P2GZ^@0
0`000000Uj_U09N[i@0209N[i@040000002FZ^@0UZ[T00000080TjKR4000000208fMg@030000002E
Z^D0UJ[U0080UJ[U00<0000009bfjP2L]^X0100000000`2P/nD0000009fZg`0309fZg`060000002L
YM`0W:GL09bUg0000000WjWM0P0000020:boj0040000002kf_0000000<Kgk08000000P37jnh01P00
0000_];Y000000000000Z:cI000000@0Zk3L0P0000001038mn/000000;gmb`0000030<[]k0030000
002haND0^<GU00@0000000<0WioD0000002Y/]l00P2Y/]l00`000000`^ka0<;^l@02000000050<C`
l000000000000:Zcg`000000102NX=H01@000000VY_C09ZKd`2JVm<000000080W9oF0`0000040;;:
k0800000102fcnd00`000000[l7W0000000300000080XJKJ00<000000::WfP2RYmX00P2RYmX01000
0000oooo0?ooo`00001j0?ooo`00W`3oool2000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0060000002Y_NP000000000002Y_NP00000102Y_NP01P000000ZKgX000000000000ZKgX000000<0
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP0
1P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000020:Rli`030000002W^nL0Yk_W0080Yk_W
0`0000000`2V^^L000000:Jji`030:Jji`060000002U^NL000000000002T^>L00000102R]NH00`00
0000Wk3T09n`i00300000080VJSQ00D0000009NYhP2GZN80UjWR0000000409NZi0030000002GZnD0
Uj_U00L000000P2=VMX01@000000RI;G08VBe`29T]L0000000<0Qi3F00D0000008RDf028U=P0R9CH
0000000408fMg@030000002EZ^D0UJ[U00@000000P2R^n/01@000000X;?U0:2ci@2P/nD0000000<0
WJ[O00<0000009bUg02LYM`00`0000040:boj0@000001037jnh2000000@0Z:cI00<000000:^`g02[
/=`01`0000020<[]k0@0000000@0WI[@0000002OWm@000000P2OWm@00`000000ZK;O000000020<;^
l@0400000030oN800000000000@0Z[?O00D0000009jPeP2NX=H0WZ3F0000000309ZKd`<000000`2Z
^N@01P000000//[/000000000000^]W`00000080]/o]100000020:>Zf`030000002QY]X0XJKJ0080
XJKJ00<000000::WfP2RYmX00`0000020?ooo`030000003oool0oooo07L0oooo002L0?ooo`<00000
1@3oool2000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<0
00000`2Y_NP00`000000ZKgX0:Vmj004000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj003
0000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX0:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P00
0000ZKgX000000000000ZKgX000000@0Z;cW00H000000:Nki`00000000000:Nji`0000030:Jji`03
0000002V^^L0Y[[W00<00000102T^>L00`000000X[GV0::eiP040000000309^[hP000000VJSQ00<0
VJSQ00D0000009NYhP2GZN80UjWR0000000209NZi0@000000P2FZ^@010000000TZ;O09:Rg`000004
08fIfP0500000029T]L0RI;G08VBe`0000000`27T=H01@000000R9CH08RDf028U=P000000080SIgM
100000020:2lk@030000002R^n/0X[_[0080X[_[00<000000:2ci@2P/nD01`00000309nYgP060000
002/_nP0000000000032k_4000000P37nNX01P000000an_^000000000000[kON000000@0Z:cI00<0
00000:^`g00000000P30fnd200000080`okB0`0000020:FUe@080000002MV]00WI[@09fJd0000000
WioD0000002OWm@3000000060<;^l@000000`?gR0000002mend00000102Z/ml01P000000WZ3F09jP
eP2NX=H0000009ZKd`80000000<0X:KJ0000002Z^N@00`2Z^N@2000000<0^]W`0`0000020:Rch003
0000002SZ]/0Xj[K0080Xj[K00<000000:6VfP2QY]X0100000020:J_gP030000003oool0oooo0080
0000N03oool006l0oooo0`00000W0?ooo`<000001P3oool3000000<0ZKgX00H000000:Vmj0000000
00000:Vmj00000040:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj00000000P2Y_NP01P000000ZKgX0:Vmj02Y
_NP000000:Vmj080000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj002000000@0
ZKgX00<000000:Rli`2X_>L00`0000040:Nji`030000002V^^L0Y[[W00<000000`2V^^P00`000000
Y;SW0:Bhi`0400000080WZkS00D0000009^[hP2KZn80Vj_R0000000309VXh@030000002GZN80UjWR
00@000000P2I[^H00`000000UZ[T09JZi00209JZi0040000002BX]l0TZ;O000000<0SIWJ00D00000
08VBe`29T]L0RI;G0000000308N@eP0300000028U=P0R9CH00@000000P2J]>X00`000000X;c]0:2l
k@020:2lk@030000002R^n/0X[_[00@0000000<0UYgH0000002HW]P00P2HW]P00`000000WjWN09nY
gP0209nYgP<0000000<0`^ka00000037nNX00P37nNX2000000@0[kON00<000000:R/f@2X[=T00`00
00020<3Kk@80000000D0`okB000000000000^LGS000000030:FUe@060000002MV]00WI[@09fJd000
0000WioD0P0000020;O?k0@000000`2mend00`000000Z[?O0:Zcg`07000000@0X:KJ00L000000:Zi
i000000000000;[Kl0000000^]W`0080000000<0/<;W0000002X/n000`2X/n000`000000Xj[K0:>Z
f`0400000080XZSJ00<000000:J_gP2V[mh00P2V[mh2000000030?ooo`000000oooo07L0oooo001`
0?ooo`030000003oool0oooo02@0oooo0P0000030?ooo`030000003oool0000000<000000`2Y_NP0
0`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0
00000080ZKgX00H000000:Vmj02Y_NP0ZKgX0000002Y_NP2000000030:Vmj0000000ZKgX00<0ZKgX
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP01@00
0000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00@000000`2W^nL00`000000Yk[W0:Nji`04000000030:Jkj0000000
Y[[X00<0Y[[X0`0000020:6ci@030000002N[^<0WZkS0080WZkS00@0000009^[hP2KZn8000000P2I
Z>4400000080VJoV00<0000009V^iP2I[^H00P2I[^H01@000000UZ[T09JZi02FZ^@000000080TZ;O
3`00000209:Wi0030000002J]>X0V[CZ0080V[CZ00<000000:2lk@2P_>d01000000209VTg@050000
002FWMP0UYgH09JMf00000000`2HW]P010000000WjWN0000000000020;KDl0<0000000D0aoWZ0000
00000000_M3Y000000040:nggP<000000P2_^N400`000000`=_]00000003000000@0^LGS00H00000
0:FUe@2UYMD0YJGE0000002MV]0400000080]lo/00D000000;gmg@000000a_[Y000000020;gGk@@0
00000P2FT/h01@000000VISA09VHd@2IV=40000000@0X:KJ0P0000030;[Kl0800000102``^L00`00
0000Z;?P0:Rch00400000080Wj?G00<000000::XfP2RZ=X00P2RZ=X00`000000YZoN0:J_gP030000
0080oooo00<000000?ooo`3oool0M@3oool006P0oooo1@0000030?ooo`030000003oool0oooo0240
oooo0`0000040?ooo`<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000`2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX0080
0000102Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000000`2Y_NP000000:Vmj003
0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`000004
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX
00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2X^nL00`000000Yk_W0:Nki`020:Nk
i`<000000P2W^^L01P000000Y[_X0:Jkj02V^nP000000:Jjj080000000<0Y;OW0000002Q/nD00`2Q
/nD00`000000WZkS09j^h`0700000080VJgT00<0000009V_iP2I[nH00P2I[nH00`000000VJkV09V^
iP080000000308VBeP000000QXkD0080QXkD00D0000008J@eP26T=H0QY3F0000000308^Ig0030000
002BYn@0TZOT0080TZOT00<0000009ZdjP2J]>X01000000209fai@030000002IY=d0VJCM0080VJCM
00@0000009JMf02FWMP000000P2HW]P3000000<0]]C`00<000000<?jjP33n^X00P0000040;g@j@06
0000002_]mh000000000002SY=H000000`2_^N44000000030<kej@000000^LGS00<0^LGS00<00000
0:FUe@2UYMD00`0000030:J/g0050000002gcn`000000;gmg@0000000P36n^T300000080ViWA00<0
000009JBcP2FT/h00P2FT/h01P000000VISA09VHd@2IV=4000000:2VfP8000000P2ecnd00`000000
^]_`000000020;WEkP030000002``^L0/<;W00@000000P2OXMH00`000000Wj?G09nSe`0209nSe`04
0000002RZ=X0XZSJ0::XfP<000000P2/^N<010000000oooo0?ooo`00001g0?ooo`00L03oool00`00
0000oooo0?ooo`0O0?ooo`8000001P3oool010000000ZKgX0:Vmj00000030:Vmj0060000002Y_NP0
00000000002Y_NP00000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000030:Vmj0030000
002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00H000000:Vmj0000000
00000:Vmj00000030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP300000080ZKgX00@0
00000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP000000080ZKcX
00H000000:Rki`2X^nL0Z;_W0000002W^nL2000000030:Nji`000000Yk[W00<0Yk[W00<000000:Jk
j02V^nP00`0000030:Bgi`030000002Q/nD0XK?U00@000000P2JZ^801@000000VJ_S09V[h`2IZn<0
000000<0VJgT00<0000009V_iP2I[nH01000000209BVh@050000002>Vm/0SY_K08jKf`0000000`29
T]H01@000000QXkD08J>e026S]@0000000<0QY3F00D0000008^Ig02;VM`0RiWL0000000209:Wi0@0
00000P2P^n`00`000000WK7U09fai@0209fai@050000002IY=d0VJCM09VTg@0000000P2FWMP30000
00<0Y;CT00@000000;KDl0000000`o[Z0P0000020<S^kP030000002md>T0_M3Y00<00000102SY=H0
10000000[kWQ00000038n^P2000000<0c_GY00<000000;W5h`2iaN<0100000000`2JU/l000000:J/
g0030:J/g0L0000000<0ZK3M0000002KVM400`2KVM401@000000UY;>09JBcP2FT/h000000080VISA
0`0000040;G?k@8000000`2ieNh300000080XJGH00<0000009nQeP2OXMH00P2OXMH01P000000Wj?G
09nSe`2OXmL000000::XfP80000000<0Z[CP0000002/^N<00P2/^N<200000080oooo00<000000?oo
o`3oool0M03oool00700oooo00<000000?ooo`3oool0703oool3000000D0oooo0`0000040:Vmj003
0000002Y_NP0ZKgX00800000102Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00H00000
0:Vmj000000000000:Vmj00000040:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX
00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX
000000000000ZKgX000000@0ZKgX00<000000:Vmj00000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0030000002Y_NP0ZKgX00<00000102Y_>P00`000000Z;_W0:Rki`02000000@0Yk[W00<00000
0:Nji`2W^^L0100000030:Jjj0030000002T]nL0Y;OW00<000000P2M[>800`000000VZ[R09ZZhP02
09ZZhP050000002IZn<0VJ_S09V[h`0000000P2I[N@300000080VJkV00<0000009BVh@2DY^400P2D
Y^401@000000SY_K08jKf`2>Vm/000000080RI;F00D0000008J>e026S]@0QXkD0000000308J@eP03
0000002;VM`0RiWL00@000000P2N_Nh00`000000X;_/0:2kk0020:2kk0050000002M/ND0WK7U09fa
i@0000000P2IY=d40000000309NMf0000000Y;CT00<0Y;CT100000040<S^kP<000000P2RXM@00`00
0000XjCF0:>TeP020:>TeP80000000@0b?[X00000000000000000P3>mNT400000080V93:00H00000
09ZFc`2JU/l0VYK?0000002V[=`4000000040;Cja`000000`]g]000000<0ZK3M00D0000009^Id@2K
VM40ViWA0000000209JBcP@000000`2[^N@01`000000]Lo]000000000000_^?a0000002ieNh00P00
00000`2X/=h000000:6Uf0030:6Uf0050000002OXMH0Wj7F09nQeP0000000P2OXmL3000000@0Z[CP
0`0000001@2]^^8000000?ooo`3oool0000007H0oooo001_0?ooo`800000703oool2000000D0oooo
0`0000030:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP30000
0080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0050000002Y_NP0
00000:Vmj0000000102Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000000`2Y_NP0
00000:Vmj0030:Vmj0<000000`2Y_NP00`000000ZKcX0:Vlj00400000080Yk[W00<000000:Nji`2W
^^L0100000030:Nlj0030000002V^^P0Y[[X00@0000000<0X;3S0000002M[>800`2M[>801@000000
VZ[R09ZZhP2JZ^8000000080VJ_S100000000`2L/nP0000009V^iP0309V^iP050000002DY^40U:KQ
09BVh@0000000`2>Vm/010000000RI;F08VBeP00000308J>e00300000026T=H0QY3F00@000000P2H
]>/00`000000W[g^09jmkP0209jmkP030000002P^n`0X;_/00P000000P2@Tm<01P000000UigH09NM
f02GWMP000000:Bdi080000000H0_^kc00000034o>H0a?cV00000038k^h2000000030:Z_f`000000
XZ7D00<0XZ7D00@000000:>TeP2SY=H000000P2me^`2000000040;Cf]`000000000000000080XIg@
00D0000009R@bP2HT<X0V93:0000000309ZFc`<0000000@0a?O]0000002dn/L000000P32gNd01@00
0000ZK3M0:V`g@2Y/=d000000080ViWA1000000209jQe`030000002[^N@0ZkWT0080ZkWT0P000003
0;kSl@800000102X/=h01@000000XJGH0:6Uf02QYMP000000080Wj7F100000020:J]g0040000002Z
]>00Z[CP0:Zdh0800000102]^^8010000000oooo0?ooo`00001e0?ooo`00L03oool00`000000oooo
0?ooo`0G0?ooo`<000001P3oool00`000000ZKgX000000040:Vmj0<000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00<000000:Vmj00000000P2Y_NP01000
0000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003
000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000002Y
_NP00000102Y_NP300000080Z;_W00@000000:Nji`2W^^L0Yk[W0`0000020:Nlj0030000002W_>P0
YkcX0080YkcX0`0000020:>ei@050000002P/><0X;3S0:2`h`0000000P2M[>88000000<0W;;W00@0
000009bcj02L/nP000000P2I[^HC00000080T:CS00<0000009Rdj`2H]>/00P2H]>/00`000000W[g^
09jmkP0400000080UJ3K00D00000092Ee02@UM@0T9GD00000003092Cd`040000002GWMP0UigH09NM
f0<0000000<0_^kc00000034o>H00P34o>H2000000@0ZZoK00L000000::Qe02RXM@0XZ7D0000002S
Y=H000000080_MK/100000000`2ja>8000000:6Md0030:6Md0040000002HT<X0V93:09R@bP<00000
0P2hd>`4000000@0`]g]00<000000:V`g@0000000`00000209B@c0030000002NXML0WZ7G0080WZ7G
00L000000:^ii000000000000;oUlP000000_^?a0080000000<0//CW0000002X/=h00`2X/=h00`00
0000XJGH0:6Uf00400000080XJCH00<000000:J]g02V[M`00P2V[M`01@000000Z[CP0000002__>@0
000000@0[K[R0P0000020?ooo`030000003oool0oooo0780oooo00280?ooo`<000001@3oool30000
00<0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0<000000P2Y_NP010000000ZKgX0:Vm
j02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj006
0000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3
000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP0
0`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Rli`0000040:Rki`050000
002W^^L000000:Nkj0000000102W_>P01P000000YkcX000000000000Y[WW000000@0XkGU00<00000
0:2`h`2P/><00`00000209^]h`030000002K[nD0VjoU0080VjoU00<0000009bbi`2L/^L01`000002
096Ng0050000002:TmH0RY?F08ZCeP0000000`26SM<010000000QHkD08F>e000000308RFfP030000
002@Y><0T:CS0080T:CS00<0000009Rdj`2H]>/01000000209b`i@030000002EX=/0UJ3K0080UJ3K
00D00000092Ee02@UM@0T9GD00000003092Cd`<000000P2_cNl3000000050<CliP00000000000;c?
j0000000102Z[m/00`000000XZ7D0::Qe004000000040;gFk00000000000000000@0^/CR00D00000
0:6Md02QWM00XIg@0000000209R@bP8000000`2hd>`00`000000[_O00000000800000080TX[700<0
000009B@c02DT<`00P2DT<`010000000WZ7G09jQe`2NXML2000000<0_nGb0P0000040;;4i`030000
002X/=h0Z;3N00@000000P2MWM<00`000000XJCH0:6Tf0020:6Tf0030000002V[M`0YZgL00<00000
0`2__>@01P000000[K[R000000000000ZK3M00000080oooo00<000000?ooo`3oool0LP3oool008D0
oooo0`0000030?ooo`D000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000
000000000:Vmj00000040:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y
_NP000000080ZKgX00H000000:Vmj02Y_NP0ZKgX0000002Y_NP2000000030:Vmj0000000ZKgX00<0
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj004000000<0
ZKgX00<000000:Vmj02Y_NP00P0000040:Rli`030000002X^nL0Z;_W00<000000`2W^nP00`000000
YkcX0:Nlj003000000@0Y[WW00<000000:>ei@2S]ND0100000000`2L[>80000009^]h`0309^]h`03
0000002K[nD0VjoU00@000000P2M/nP010000000V:[S09RZh`000004096Ng0050000002:TmH0RY?F
08ZCeP0000000`26SM<010000000QHkD08F>e000000308RFfP030000002@Y><0T:CS00@000000P2P
_Nh00`000000W;3U09b`i@0209b`i@050000002EX=/0UJ3K09FPf`0000000`2@UM@00`000000T9?C
092Cd`02000000<0[lg_00<000000;kki`2nnnL00P0000040;c?j0030000002Z[m/0ZZoK00@00000
0`2W[=/300000080d?_S00D000000;[4hP2ja>80^/CR000000020:6Md0@000000P2QY=L02@000000
^=3/0000002^ml0000000<;nf@000000ZJcJ0000000309NAb`030000002BR/L0TX[70080TX[700H0
000009B@c02DT<`0U93<0000002NXML200000080^MO_00<000000;oUlP0000000P2mg>l00`000000
//CW0;;4i`0400000080W9[B00<0000009fMd`2MWM<00P2MWM<010000000XJCH0:6Tf02QY=P30000
0080[[_S00<000000:nli02__>@00`0000040:V`g@040000003oool0oooo000007<0oooo00220?oo
o`<00000103oool3000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj00000000P2Y_NP01P00
0000ZKgX0:Vmj02Y_NP000000:Vmj080000000<0ZKgX0000002Y_NP00`2Y_NP3000000030:Vmj000
0000ZKgX00<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vm
j003000000@0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP0
0000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@0
00000P2Y_>P00`000000Z;cW0:Rli`04000000<0Yk_W00<000000:Nkj02W^nP00`0000030:Nlj003
0000002V^NL0Y[WW00@000000P2N[^801@000000W:cR09b/hP2L[>8000000080VjgS1000000209ng
j@030000002M/nP0WK?X0080WK?X00@0000009RZh`2HZ^<000000`2AW]`01@000000RY?F08ZCeP2:
TmH0000000<0QXgC00D0000008F>e025S]@0QHkD0000000208RFfP<000000`2N_o001@000000X;g^
0:2mkP2P_Nh000000080W;3U3000000209^Xg`040000002_cNl000000;kki`8000000P37lnd00`00
0000_<oX0;c?j00400000080VYO?00L000000:N/f`2W[=/0YjcK00000036o>H000000080d?_S2000
000209>;b0030000002QY=L0XJCG0080XJCG1P0000020:V/fP050000002GTL/0Ui7;09NAb`000000
0`2BR/L010000000U93<09B@c02DT<`2000000@0^MO_0P0000020;gLk`@000000P2NWm@00`000000
W9[B09bJdP0209bJdP060000002MWM<0WIgC09fMd`000000XJCH0P0000000`2[]N0000000:jkh`02
0:jkh`<000000P2/]N000`000000ZK3M0:V`g@020:V`g@050000003oool0oooo0?ooo`000000LP3o
ool00800oooo0P0000060?ooo`040000002Z_NL0Z[gW000000<0ZKgX0`0000020:Vmj0030000002Y
_NP0ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vm
j003000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0060000002Y_NP000000000002Y_NP0
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj004000000<0ZKgX00<000000:Vmj02Y_NP00P000004
0:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01P000000ZKgX000000000000ZKgX0000
00@0ZKgX0`0000020:Vmj0040000002Y_>P0ZKcX0:Vlj0<000000P2X^nL00`000000Yk_W0:Nki`02
0:Nki`<000000P2X_NP010000000YkcX0:Nlj02W_>P300000080XK;T00<0000009j^hP2N[^800P2N
[^800`000000W:cR09b/hP0300000080WkKX00<0000009ngj@2O]nT00P2O]nT00`000000WK?X09fc
j00G00000080UkC/00<0000009jol02N_o002000000208b>d00500000029R/d0RH[=08V:c@000000
0`2>T]8010000000VjSO09^Xg`2KZ=l500000080ao?]1000000209ZEc@030000002JUll0VYO?0080
VYO?00@000000:N/f`000000a_cV1000000209fDb`050000002BQ/<0TXK309:6``000000102CRlP0
0`000000XJCG0:6Te`04000000030<OUk@00000000000080ZJcJ00D0000009NAb`2GTL/0Ui7;0000
000309::a`040000002DT<`0000000000080ZkWS00D000000;WGk`00000000000<?^l@0300000080
YjcK00<0000009jOe02NWm@00P2NWm@01@000000W9[B09bJdP2LV]8000000080WIgC0`0000040:^e
h0<0000000<0[k_S0000002/]N000`2/]N000`000000ZK3M0:V`g@0300000080oooo00<000000?oo
o`3oool0L03oool007d0oooo0`0000050?ooo`<00000102Z_NL00`000000ZKgX000000020:Zmi`06
0000002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y_NP0
10000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y
_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj00000000000
0:Vmj00000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP3000000<0ZKgX00<000000:Vmj02Y
_NP0100000020:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj0050000002Y_>P000000:Rki`000000102X
^nL01P000000Yk_W000000000000Z;gX000000@0Z;gX00D000000:Nlj0000000YKOV000000040:6b
i0030000002N[^80WZkR00@0000000<0WK;V0000002O]^P00`2O]^P00`000000WkOY09ngj@040000
0080U:7M00@0000008bDeP2<U=H000000`26S=801@000000Q8cC08B<d`24S=<0000000<0Qi?H00<0
000008jRhP2>X^800P2>X^800`000000UkC/09Ndk00300000080W;7W00D0000009>MfP2CWMX0TigJ
0000000408b>d00500000029R/d0RH[=08V:c@0000000`2>T]801@000000VjSO0000002jkO@00000
0080__gO0`0000020:FVe`030000002JULd0VYG=0080VYG=00@0000009ZGc`2JUll0VYO?0P000000
1@36o>H000000000002k`^00000000@0WIC;00D0000009:6``2BQ/<0TXK30000000309>;b0030000
002QY=L00000008000001037iNd010000000ZJcJ0:V/fP00000309NAb`030000002BR/L0TX[700<0
0000102[^N<2000000050<?^l@00000000000;C5i`000000102W[=/01@000000WYoD09jOe02NWm@0
00000080W9[B100000020:F[f`040000002[]N00ZkGP0:^eh0800000102_^n<00`000000[;GP0:be
h00400000080Y:KH00D000000?ooo`3oool0oooo0000001a0?ooo`00N`3oool2000000D0oooo0`00
00030:Zmi`030000002Z_NL0Z[gW00<00000102Z_NL00`000000ZKgX0:Vmj003000000<0ZKgX00H0
00000:Vmj000000000000:Vmj00000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP30000
0080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000
002Y_NP000000000002Y_NP00000102Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`000003
0:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Rki`030000002X^nL0Z;_W00<00000102X_NP00`000000Z;gX0:Rmj003
000000<0YKOV00<000000:6bi02Q/^@01000000209f^i0050000002M/^H0WK;V09fbiP0000000P2O
]^P400000080VjkT00<0000009BQg@2DXMd00P2DXMd010000000S9CF08bDeP00000308J<dP050000
0024S=<0Q8cC08B<d`0000000`27TmP00`000000SZ;R08jRhP04000000030:72l0000000W;7W00<0
W;7W00D0000009>MfP2CWMX0TigJ0000000308b>d00500000029R/d0RH[=08V:c@0000000`2>T]82
000000030;[]m0000000__gO0080000000<0^lkX0000002UY]L00`2UY]L01P000000VYG=09ZEc@2J
ULd0000009ZGc`8000000P2hcNX2000000<0^l;P00D0000009fDb`2MU</0WIC;0000000309:6``04
0000002CRlP0Th_809>;b0@0000000@0/oNj00000037iNd0anG]2`00000309^Kd`050000002[^N<0
000000000033lO000P0000040;C5i`050000002W[=/0YjcK0:N/f`0000000P2NWm@400000080Wj3E
00<000000:F[f`2UZm/00P2UZm/01@000000ZkGP0000002a_n@0000000@0[k_S0`0000020:JYf@03
0000002TY]P0Y:KH0080Y:KH00<000000?ooo`3oool00P00001`0?ooo`00N03oool3000000@0oooo
0`0000020:Zmi`040000002Z_NL0Z[gW0:Zmi`<000000`2Z_NL00`000000Z[gW0:Zmi`04000000<0
Z[gW00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000
ZKgX000000000000ZKgX000000@0ZKgX00<000000:Vmj00000000P2Y_NP010000000ZKgX0:Vmj02Y
_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<00000102Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj00000040:Vmj003
0000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX
0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000`2Y_>P00`000000Z;_W0:Rki`030000
00<0Z;cX00<000000:Rmj02X_NP0100000030:Nki`030000002U]nH0YKOV00<000000P2N[^<00`00
0000WJkT09f^i00209f^i0030000002M/^H0WK;V00<000000P2Q^>T00`000000VjkT09^^i00209^^
i0050000002DXMd0U:7M09BQg@0000000P2<U=H01@000000QXcB08J<dP26S=80000000<0Q8cC00<0
000008NCf027TmP01000000209k3lP050000002Q`_00XL;`0:72l00000000`2L/NL01@000000TigJ
09>MfP2CWMX0000000<0S8k@00H0000008V:c@29R/d0RH[=0000002>T]8200000080Z<?]0`000004
0;_>j0050000002UY]L0YJKG0:FVe`0000000P2JULd3000000<0^<gZ0P0000040;_2h0050000002M
U</0WIC;09fDb`0000000`2BQ/<01@000000Th_8000000000000^=3/0080000000<0/oNj00000000
00000P0000000`2CR<D0000008f1`@0208f1`@050000002@QlH0T8O60927aP000000102KVm<30000
00050<?al0000000`^G`0<;Ul00000000`2daNL00`000000YjcK0:N/f`0400000080VYO?00<00000
09nPe@2OX=D00P2OX=D00`000000YJ_K0:F[f`03000000<0/KoT00H000000:nkh`00000000000:R^
f`0000040:JYf@040000002TY]P0Y:KH0:BVf0<0000000<0oooo0000003oool0K`3oool007H0oooo
100000030?ooo`80000000<0Z[cW0000002Z_NL00`2Z_NL00`000000Z[gW000000020:Zmi`040000
002Z_NL0Z[gW0:Zmi`<000000P2Z_NL00`000000Z[gW0:Zmi`020:Zmi`<000000`2Z_NL00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<0
0000102Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP01000
0000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_NP0
ZKgX00800000102Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX0000
00040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vlj02Y
_>P00P2Y_>P300000080Z;_W00<000000:Rlj02X_>P0100000030:Rmj0030000002W^nL0Yk_W00@0
000000<0X;3S0000002N[^<00`2N[^<00`000000WJkT09f^i004000000030::kj`000000XKSY00<0
XKSY00D0000009^^i02K[^@0VjkT0000000209BQg@D000000P26S=88000000<0U[K]00<0000009k3
lP2N`o805P0000030:S3k@050000002go>8000000<Khj`0000000`2kc^P00`000000YJKG0:FVe`04
000000<0WYkD00<000000;S=jP0000000P3?omL01@000000^l;P0;_2h02k`^00000000@0WIC;00<0
000009:6``0000000P0000020;S@k0@000000P2XZ=H00`000000ThS509>8a@02000000<0SH7100D0
00000927aP2@QlH0T8O60000000209^Kd`030000002mh?40_N3a008000000`32iO0700000080V9?=
00<0000009ZGc`2JUll00P2JUll010000000Wj3E09nPe@2OX=D300000080/;kT00<000000;6oi02a
_n@00`0000040:R^f`060000002VZMT0YZWI0:JYf@000000Y:KH0P0000000`2TYML000000?ooo`02
0?ooo`030000003oool0oooo06d0oooo001c0?ooo`<00000103oool4000000<0Z[cW00<000000:Zm
i`2Z_NL00`0000040:Zmi`030000002Z_NL000000080Z[gW00H000000:Zmi`2Z_NL0Z[gW0000002Z
_NL2000000030:Zmi`000000Z[gW00<0Z[gW0`0000020:Zmi`030000002Y_NP0ZKgX00@000000`2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0050000002Y
_NP000000:Vmj0000000102Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj004000000<0
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX00H000000:Vlj000000000000:Rki`0000030:Rki`<000000P2Y
_NP00`000000Z;gX0:Rmj0020:Rmj0<000000P2S]>D01@000000X;3S0:2`h`2P/><000000080WZkS
100000020:6hj@050000002R^n/0X[_[0::kj`0000000P2Q^>T800000080QhgB00<0000008B;dP24
Rm800P00000208JAe`050000002=XN80SJ7R08fQhP000000102F]^d30000000309fdj0000000TI_I
0080TI_I00D0000008R8c@28R<d0R8S=0000000308>1b00500000026Q/`0QXK<08J6c0000000102B
W=T01P000000Z<?]0000002go>8000000<Khj`P000000P2ARLL00`000000WYkD09jNe00209jNe0<0
000000<0cooG0000000000002P00000209^Jd@060000002hd>`000000000003=kN/00000102XZ=H0
10000000ThS500000000000308f1`@070000002@QlH0T8O60927aP000000Vi_C000000020;gPl@04
00000035nNX000000<;Ul080000000<0YJSH0000002KV<l00P2KV<l00`000000V9?=09RCc@0209RC
c@060000002JUll0VYO?09ZGc`000000Wj3E0P0000000`2/]n4000000;2ni0020;2ni0<000000P2]
]Ml00`000000Z:kK0:R^f`020:R^f`030000002VZMT0YZWI00<000000`2TYML00`000000oooo0?oo
o`020?ooo`030000003oool0oooo06`0oooo001a0?ooo`8000001@3oool400000080ZkcV00<00000
0:Zli`2Z_>L00`0000030:Zli`030000002Z_NL0Z[gW00<00000102Z_NL00`000000Z[gW0:Zmi`02
000000@0Z[gW00H000000:Zmi`00000000000:Zmi`0000030:Zmi`<000000P2Z_NL00`000000ZKgX
0:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX000000020:Vmj0060000
002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2Y_NP000000:Vmj0020:Vmj0<000000`2Y_NP00`00
0000ZKgX0:Vmj004000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0Z;_W00<000000:Rki`0000000P2X_>P01P00
0000ZKgX0:Vmj02Y_NP000000:Rmj080000000<0Y[WW0000002S]>D00`2S]>D00`000000X;3S0:2`
h`0300000080Wk;V00<000000:6hj@2Q^>T00P2Q^>T00`000000X[_[0::kj`0300000080UjGO00D0
000008jGe`2>UmL0SYOG0000000408N=dP0300000024Rm80000000@0QY7G00H0000008fQhP2=XN80
SJ7R0000002F]^d2000000030:;7l`000000WKCX0080WKCX00D00000096Kf@2AVmT0TI_I00000003
08R8c@0500000023PLP0Ph7808>1b00000000`26Q/`010000000TYcI09:Lf@2BW=T600000080X9kB
00D0000009:9a`2BRLL0TXW7000000040969a`050000002NW]@0WYkD00000032oN<00`00000209R<
a@050000002<O;`0S7bl08al_00000000`2=P<400`000000Vi[A09^Jd@0209^Jd@8000000`3=kN/0
1@000000Z:SF0:RXeP2XZ=H000000080ThS500D0000008f1`@2=PL40SH71000000020927aP@00000
00@0_N3a00000035nNX0aOWZ0P0000040:FXf0050000002KV<l0ViS?09^Hc`0000000`2HTld00`00
0000VYO?09ZGc`03000000@0[;OQ0`0000000`2a_N<000000:feg`030:feg`030000002X[]/0Z:kK
00@000000P2SXmD00`000000Y:GG0:BUe`020:BUe`050000003oool0oooo0?ooo`000000KP3oool0
06h0oooo0`0000050?ooo`80000000<0ZkcU0000002[_>H00`2[_>H300000080ZkcV00@000000:Zl
i`2Z_>L0Z[cW0`0000030:Zli`030000002Z_NL0Z[gW00@000000P2Z_NL00`000000Z[gW0:Zmi`03
000000@0Z[gW00<000000:Zmi`0000000P2Z_NL01P000000Z[gW0:Zmi`2Z_NL000000:Vmj0800000
00<0Z[gW0000002Y_NP00`2Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000030:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000@0ZKgX00<000000:Vmj02Y_NP0
0P0000040:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000
ZKgX0:Vmj003000000<0Z;cW00<000000:Rki`2X^nL00`0000040:Rlj0030000002Y_NP0ZKgX0080
0000102V^NL00`000000XkCU0:>di@040000000309j^h`000000Wk;V00<0Wk;V00<000000:6hj@2Q
^>T0100000000`2O]>L0000009NUg`0309NUg`050000002>UmL0SYOG08jGe`0000000`27SM801000
0000Q8_B08B;dP00000308JAe`030000002=XN80SJ7R00<00000102Rao<010000000WKCX09fdj000
0003096Kf@0500000028R<d0R8S=08R8c@0000000`23PLP01P000000QXK<08J6c026Q/`0000009:L
f@80000000<0]^cf0000002cnm800P0000040:2NdP050000002BRLL0TXW709:9a`0000000`2ARLL0
1`000000WYkD00000032oN<000000;c1gP0000000`2HS<D00`000000S7bl08al_00208al_0050000
002=P<40SH3108f0`@0000000P2KV]43000000<0cNg[00D000000:RXeP2XZ=H0Z:SF0000000209>8
a@80000000<0SH710000000000000P0000030:bih`<0000000@0aOWZ0000002ganH00000102UZ=P0
1@000000ViS?09^Hc`2KV<l000000080V9?=100000020:FYfP040000002/]n40[;OQ0:bgh@800000
102a_N<00`000000[KGO0:feg`0400000080Xj?E00<000000:>Se@2SXmD00P2SXmD00`000000Y:GG
00000002000000@0oooo00<000000?ooo`3oool0J`3oool006/0oooo0`0000060?ooo`<000000`2[
_>D01P000000ZkcV000000000000ZkcU000000@0ZkcV00<000000:Zli`0000000P2[_>H010000000
Z[cW0:Zli`2Z_>L3000000<0Z[cW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000002Z_NL0Z[gW
00<00000102Z_NL00`000000Z[gW0:Zmi`03000000<0Z[gW00H000000:Vmj000000000000:Zmi`00
00030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP3000000<0ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000@0
ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP3000000<0ZKcW00<000000:Rli`2X_>L00`00
00030:Rki`030000002X_>P0Z;cX00@000000P2X_NP00`000000Y[WW0:Jii`0400000080WjgR00D0
000009j^h`2N[^<0WZkS0000000209nbiP@000000`2T_^`010000000WkCW09ndi`00000309NUg`05
0000002>UmL0SYOG08jGe`0000000`27SM800`000000Q8_B08B;dP07000000<0WlSe00<000000:;7
l`2Rao<02@00000308R8c@0500000023PLP0Ph7808>1b00000000P26Q/`4000000040;K/mP000000
/o_B00000080^/gX00D000000:2NdP2PW]80X9kB0000000309:9a`040000002ARLL0THW70969a`@0
00000`2l`Mh01@000000V8c509R<a@2HS<D0000000<0S7bl00H0000008f0`@2=P<40SH310000002K
V]4A00000080UiC>00D000000:bih`2/^N<0[;WS000000020<;ki`8000000`2ganH01@000000YJSH
0:FXf02UZ=P000000080ViS?1000000209fKdP030000002UZMX0YJWJ0080YJWJ00D000000:bgh@00
0000]<?V000000040;6mh`<000000P2TY]L00`000000Xj?E0:>Se@020:>Se@030000002SXmD0Xj?E
00<000000P2WZMT00`000000oooo0?ooo`030?ooo`030000003oool0oooo06X0oooo001Y0?ooo`80
00001P3oool3000000<0[;_U00<000000:^li@2[_>D00`0000030:^li@030000002[_>H0ZkcV00<0
0000102[_>H01@000000Z[cW0000002[_>H0000000@0Z[cW0`0000020:Zli`040000002Z_NL0Z[gW
0:Zmi`<000000`2Z_NL00`000000Z[gW0:Zmi`04000000<0Z[gW00<000000:Zmi`2Z_NL00P000004
0:Zmi`030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgW000000@0ZKgX
0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP00`000000ZKgX
000000020:Vmj0060000002Y_NP0ZKgX0:Vmj0000000ZKgX0P0000000`2Y_NP000000:Vli`030:Vl
i`<0000000<0Z;_W0000002X^nL00`2X^nL3000000<0ZKoY00<000000:Rmj02X_NP00`0000020:6`
hP030000002O[N80WjgR0080WjgR00<0000009j^h`2N[^<00`0000030:G0k0030000002T_^`0Y;k/
01<0000000<0S:3Q0000002G]nh00`2G]nh00`000000WlSe09o8m@0400000080TI_I00@0000008F4
bP25Q<X000000P1nNL<;000000<0X;W[100000030;[=j0050000002PW]80X9kB0:2NdP0000000`2B
RLL010000000THW70000000000020;32i`030000002l`Mh0_<7N0080_<7N00D0000009R<a@2HS<D0
V8c50000000308al_0040000002=P<40SH3108f0`@@000000P2WXm401@000000Sh2o08n0_`2?P;l0
000000<0QgNj00@0000008]n`00000000000102GU<h010000000[;WS00000032nnL2000000040<O`
kP000000]lOV0;O7iPP000000P2GT</00`000000WI_B09fKdP0209fKdP030000002UZMX0YJWJ00<0
00000`2d`nH01P000000/KgS000000000000Z:cJ000000@0Y:KG00@000000:>Se@2SXmD0Xj?E0`00
00000`2UY]L000000:NYf@030:NYf@030000003oool0oooo0080oooo00<000000?ooo`3oool0JP3o
ool006H0oooo0`0000070?ooo`030000002]^^@0000000@0[;_U0`0000030:bki@030000002[_>D0
ZkcU00<000000`2[_>D00`000000ZkcV0:^liP03000000<0ZkcV00H000000:Zli`00000000000:^l
iP0000040:Zli`030000002Z_NL000000080Z[cW00@000000:Zmi`2Z_NL0Z[gW0`0000030:Zli`03
0000002Z_NL0Z[gW00@000000P2Z_NL00`000000Z[gW0:Zmi`04000000<0Z[gW00<000000:Vmj02Y
_NP00P0000040:Vmi`060000002Y_NP000000000002Z_NL000000`2Y_NP01P000000ZKgX00000000
0000ZKgX000000@0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgW00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX0080
0000102Y_NP01P000000ZKcW000000000000Z;[V000000<0Z;_W00H000000:Rki`00000000000:Vo
j@0000040:Voj@<0000000<0Y;CT0000002Q/>800`2Q/>800`000000WjgR09n]hP0400000080Xk_Z
00<000000:G0k02U`>`01000000209^Yh@040000002AVMP0TIWH000000<0R8gA00D0000008B9d024
RM00Q8W@0000000308F?eP050000002<X>40S:3Q08bPh@0000000P2G]nh400000080Wk[[00<00000
096Kf@2AVmT00P2AVmT010000000QHC:08F4bP00000207ii``050000001oO<H0Ogc607mlaP000000
0`29Sm<010000000X;W[0:2ij`2P^N/300000080a?cV00<000000;[=j02jcNP0100000000`2PW]80
000009:9a`03000000<0/<;W0`0000030;c1gP050000002HS<D0V8c509R<a@000000102<O;`30000
0080]lk[00<000000:NSd@2WXm400P2WXm401@000000Sh2o08n0_`2?P;l0000000<0QgNj0P000000
0`2;O/00000009NDcP0209NDcP@000000P37l>h400000080V93:00D0000009B<b02DS<P0U8c80000
000409N@b`040000002MVm80WI_B09fKdP<000000P2c`nH00`000000]<?V0;C3iP03000000@0Z:cJ
00H000000:BVe`2TY]L0Y:KG0000002SXmD2000000030:>Se@000000YJKG0080YJKG00@000000:NY
f@2WZMT0YjWI0P0000040?ooo`030000003oool0oooo06T0oooo001T0?ooo`8000000P3oool00`00
0000oooo0?ooo`020?ooo`<000000`2]^^@01P000000[;_U000000000000[K[T000000@0[;_U0`00
00020:bki@040000002[_>D0ZkcU0:^li@<000000`2[_>D00`000000ZkcV0:^liP03000000<0ZkcV
00<000000:Zli`2Z_>L00`0000040:Zli`050000002Z_NL000000:Zli`000000102Z_>L300000080
Z[cW00@000000:Zmi`2Z_NL0Z[gW0`0000030:Zmi`030000002Z_NL0Z[gW00@000000P2Z_NL00`00
0000ZKgW0:Vmi`03000000@0Z[gW00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP00000
0000002Y_NL00000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000030:Vmi`030000
002Y_NL0ZKgW00<000000`2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0
0`0000040:RjiP030000002X^nL0Z;_W00800000102Y_nT01P000000ZKoY000000000000YkWV0000
00<0Y;CT00<000000:6`hP2Q/>80100000020:6ei`040000002S^nX0Xk_Z0:>kjP<000000P2S^^T0
0`000000VjWQ09^Yh@0209^Yh@040000002AVMP0TIWH000000<0R8gA00D0000008B9d024RM00Q8W@
0000000308F?eP030000002<X>40S:3Q00<000000`2UcoH01@000000Wk[[09njj`2O^^/0000000<0
TI_I00@0000008F4bP25Q<X000000`1nNL<01@000000Ogc607mlaP1oO<H0000000<0RHoC00<00000
0:2ij`0000000P0000020<CliP@0000000@0Rgk000000028O;l0R7bo0`00000309>?c0030000002`
`^L0000000X0000000<0V8c50000002<O;`00`0000030;O>j`030000003Bm>H0000000<0Yj?A00D0
000008n0_`2?P;l0Sh2o0000000308Mg^P80000000<0Rgk00000002GU<h00P0000000`32k?400000
0;onf00300000080Xj;D00<0000009R@bP2HT<X00P2HT<X01@000000U8c809B<b02DS<P0000000<0
Ui3;00H0000009fKdP00000000000:jihP0000030;?3iP<000000P2]]Mh00`000000Z:cJ0:R/fP02
0:R/fP030000002TY]L0Y:KG00<000000`2SXmD01P000000YJKG0:FVe`2UY]L000000:NYf@800000
00<0ZJgJ0000003oool0103oool00`000000oooo0?ooo`1X0?ooo`00H@3oool3000000D0oooo1000
00030:fjhP030000002]^^@0[K[T00<000000`2]^^@01P000000[;_U000000000000[K[T000000@0
[;_U00D000000:^li@000000[;_U000000040:^li@<000000`2[_>D00`000000ZkcV0:^liP030000
00<0ZkcV00<000000:Zli`2Z_>L00`0000030:Zli`060000002Z_>L000000000002Z_>L00000102Z
_>L00`000000Z[gW000000020:Zmi`040000002Z_NL0Z[gW0:Zmi`<000000P2Z_NL010000000Z[gW
0:Zmi`2Z_NL3000000<0Z[gW00<000000:Zmi`2Z_NL0100000030:Zmi`030000002Y_NP0ZKgX0080
0000102Y_NL00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj0000004
0:Vmi`<0000000<0ZKgX0000002Y_NP00`2Y_NP3000000<0Z[kX00<000000:Vmj02Y_NP00`000003
0:Rki`030000002X^^H0Z;[V00@000000P2Y_nT00`000000ZKoY0:Voj@03000000@0YkWV00<00000
0:Bdi02T]>@00`00000209n`i0030000002Q]NL0XKGW0080XKGW00D000000:>kjP000000Yl?^0000
00040:>jj@050000002KZN40VjWQ09^Yh@0000000P2AVMP01@000000R8gA08R=d@28SM40000000<0
Q8W@00<0000008F?eP25SmH0100000020:7>m`030000002UcoH0YLof00X000000P25Q<X01@000000
OWW307ii``1nNL<0000000<0Ogc600<0000008V?d`29Sm<00`0000020:Cc_P<000000P2KUlh01@00
0000Rgk008]n`02;O/0000000080R7bo00<0000009>?c02CSl`00P2CSl`400000080Th>o00D00000
08Ea]@25LKD0QG6e0000000208Ie^@<000000`2ESl/00`000000]lk[000000020=;diP050000002W
Xm40Yj?A0:NSd@0000000`2?P;l010000000QgNj08Mg^P27MkX20000000:08]n`000000000000000
0032k?4000000;onf0000000^/WV000000@0Xj;D00D0000009R@bP2HT<X0V93:0000000309B<b003
0000002GT</0Ui3;00<00000102^^N83000000030;?0i0000000[KGN00<0[KGN00<000000:R/fP2X
[=X0100000020:6Pd`030000002SXmD0Xj?E0080Xj?E00<000000:FVe`0000000P0000040:V]fP03
0000003oool0oooo0080oooo00<000000?ooo`3oool0J03oool005l0oooo0P0000080?ooo`030000
002^^N40000000@0[K[R0`0000030:fjhP030000002]^^@0[K[T00800000102]^^@00`000000[;_U
0:bki@03000000<0[;_U00H000000:^li@00000000000:bki@0000040:^li@<000000P2[_>D01000
0000ZkcV0:^liP2[_>H3000000<0ZkcV00<000000:Zli`2Z_>L00`0000030:Zli`030000002Z_>L0
Z[cW00<00000102Z_NL01@000000Z[gW0000002Z_NL0000000@0Z[gW00<000000:Zmi`0000000P2Z
_NL010000000Z[gW0:Zmi`2Z_NL3000000<0Z[gW00<000000:Zmi`2Z_NL0100000020:Zmi`030000
002Y_NL0ZKgW00@000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00H000000:Vmi`000000
00000:Vmj00000030:Vmj0060000002Y_NP000000000002Z_^P00000102Z_^P3000000030:Vli`00
0000Z;_W00<0Z;_W0`0000030:Vnj@030000002Y_nT0ZKoY00<000000`2Y_>L00`000000YkWV0:Ni
iP04000000030:2_h`000000Wk3T00<0Wk3T00<000000:6ei`2Q]NL00`0000030:O3kP030000002S
^^T0Xk[Y01<000000`2G^>l00`000000XLkg0:7>m`0300000080TigK00D0000008>1b023PLP0Ph78
0000000207Yc_`D000000P1nNL<00`000000Ogc607mlaP04000000030;3Zn0000000Y?>n00800000
00<0^loY0000002KUlh00`2KUlh010000000Rgk008]n`000000308Ql_`050000002CSl`0Tho<0000
002noN<00P00000309>3_`0500000025LKD0QG6e08Ea]@0000000`26MKT00`000000UHo;09F?b`02
09F?b`T0000000<0Yj?A0000002?P;l00P2?P;l010000000QgNj08Mg^P27MkX200000080[K_T1000
00030;[9iP050000002SX]@0Xj;D0:>Re00000000`2HT<X00`000000U8c809B<b00400000080YJWI
00@000000:jihP2^^N80[[WR0P0000040;?0i0030000002]]Mh0[KGN00@000000P2QWm<00`000000
XJ3C0:6Pd`020:6Pd`030000002SXmD0000000<000000P2X[=X00`000000ZJgJ0:V]fP020:V]fP80
0000103oool00`000000oooo0?ooo`1W0?ooo`00G03oool3000000L0oooo0`0000030:jih@060000
002]^^8000000000002^^N400000102]^^8300000080[K[R00@000000:fji02]^^@0[K[T0`000003
0:fji0030000002/^nD0[;_U00<000000`2/^nD01P000000ZkcU000000000000[;_U000000@0ZkcU
00D000000:^liP000000ZkcV000000040:^liP<000000`2[_>H00`000000Z[cW0:Zli`03000000<0
Z[cW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000002Z_NL0Z[gW00<00000102Z_NL00`000000
Z[gW000000020:Zmi`040000002Z_NL0Z[gW0:Zmi`<000000P2Z_NL010000000Z[gW0:Zmi`2Z_NL3
000000<0Z[gX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP0
0`000000ZKgX0:Vmj003000000<0Z[kX00H000000:Znj000000000000:Vli`0000030:Vli`060000
002X^nL000000000002X_NP00000102Y_^T3000000030:Znj0000000ZKcW00<0ZKcW0`0000020::b
h`050000002P[n<0X:oS0:2_h`0000000P2O/>@4000000<0YlG^00<000000:O3kP2W`nh00`000002
09>Ie`050000002:SM00RXg@08Z=d00000000P25R<h01@000000QHgC08F=d`25SM<0000000@0S9kP
00<0000009Nhk`2G^>l0100000000`2S`nl0000009>Mf`0309>Mf`0500000023PLP0Ph7808>1b000
00000P1jLkl00`000000NG?007Uc`006000000<0UjkV100000040;_?j@050000002KUlh0ViO>09^G
cP0000000P2;O/002@000000R7bo08Ql_`28O;l0000009>?c0000000__gS000000020;fof`050000
002CPkl0Th>o09>3_`0000000`25LKD01@000000QWFi08Ie^@26MKT000000080UHo;0P0000000`2V
WLd0000008Yh^@0208Yh^@0300000022K[@0PVjd00X000000P2]^n@01@000000]__>0000003;nNP0
000000<0^/WV00D000000:>Re02SX]@0Xj;D0000000209R@bP@000000P2KUll00`000000YJWI0:FY
f@020:FYf@030000002^^N8000000080^<WW00<000000;?0i02c`>@0100000020:>Re0030000002Q
Wm<0XIoC0080XIoC00<000000:6Pd`2QX=<00`0000020:NYf0030000002X[=X0Z:cJ0080Z:cJ00H0
00000:V]fP00000000000:V/f@0000040?ooo`800000J03oool005T0oooo0`0000070?ooo`<00000
0`2_^=l00`000000[[WQ0:jih@02000000@0[[WQ00H000000:fjhP00000000000:jih@0000040:fj
hP030000002]^^@000000080[K[R00@000000:fji02]^^@0[K[T0`0000030:fji0030000002/^nD0
[;_U00<000000`2/^nD00`000000ZkcU0:^li@03000000<0ZkcV00H000000:^liP00000000000:^l
iP0000040:^liP<000000P2[_>H010000000Z[cW0:Zli`2Z_>L3000000<0Z[gW00<000000:Zmi`2Z
_NL00`0000030:Zmi`030000002Z_NL0Z[gW00<00000102Z_NL01@000000Z[gW0000002Z_NL00000
00@0Z[gW00<000000:Zmi`0000000P2Z_NP010000000Z[gX0:Zmj02Z_NP3000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00@000000`2Y_^P00`000000Z[kX0:Znj002
000000@0ZKcW00<000000:Vli`2Y_>L00`0000030:Rmj0060000002Y_^T000000000002Y_^T00000
0`2Z_^P01P000000ZKcW000000000000YKKU000000@0X[;S00<000000:2_h`2P[n<00`0000030:Fo
k0030000002WaNh0YlG^00@0000000<0WZ_P0000002CVML00`2CVML01@000000RXg@08Z=d02:SM00
00000080QHS>00D0000008F=d`25SM<0QHgC0000000308bNh0<000000`2XfoT010000000Xl?_0:?3
k`00000309>Mf`0500000023PLP0Ph7808>1b00000000`1jLkl00`000000NG?0000000030864c@07
0000002G[^H0UjkV09N^iP000000X?C=000000020;cmf`050000002kcnT0^loY0;_?j@0000000`2K
Ulh01P000000Rgk008]n`02;O/00000008Ql_`D000000`2m_m/01@000000Th>o09>3_`2CPkl00000
00<0QG6e00/0000008Ie^@26MKT0QWFi0000002ESl/000000:Sc^P000000YYg=0000000308Yh^@05
00000022K[@0PVjd089^]00000000`25MKX02@000000Thg:09>=bP2CSLX000000:fki0000000]__>
000000020<_ij0/000000P2CRLH00`000000ViO?09^Gc`0209^Gc`040000002UZMT0YJWI0:FYf@80
00000`2hbNL300000080YjWH00<000000:>Re02SX]@00P2SX]@02@000000XIoC0:6Od`2QWm<00000
0:6Pd`000000YJGF000000040:NYf0030000002X[=X0Z:cJ00<00000102Y[=T01P000000oooo0?oo
o`000000oooo000006P0oooo001G0?ooo`8000002@3oool010000000/KOM0;6gg@0000030:nhg`<0
00000P2_^=l010000000[[WQ0:jih@2^^N42000000@0[[WQ00<000000:fjhP2]^^800`0000040:fj
hP050000002]^^@000000:fjh`000000102]^^@3000000<0[;_T00<000000:bki@2/^nD00`000003
0:bki@030000002[_>H0ZkcV00<000000`2[_>H01P000000ZkcV000000000000ZkcV000000@0ZkcV
00D000000:Zli`000000ZkcV000000040:Zmi`<000000`2Z_NL00`000000Z[gW0:Zmi`03000000<0
Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000002Z_NL0Z[gW00<00000102Z_NP01@000000
Z[gX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_^P0
0`000000ZKkX0:Vnj00400000080ZKgX00<000000:Vli`2Y_>L0100000030:Rmj0030000002X_NP0
Z;gX00800000102Y_^T00`000000Z[kX0:Znj003000000<0YKKU00<000000::bh`2R/^<010000002
0::hj@030000002U_n`0YKo/00@000000P2V^^L01@000000WZ_P09j[h02NZn00000000<0TiWG00D0
000008Z=d02:SM00RXg@0000000208F8cP0600000025SM<0QHgC08F=d`000000S9kP0P0000020:;H
nP030000002XfoT0Z=_i00T000000`23PLP01@000000NW>o07Yc_`1jLkl000000080NG?000P00000
0864c@21Q<d0PHC=0000002G[^H000000:3dc@`0000000<0ViO>0000002;O/000`0000030:NchP03
0000002kmJ/000000080_KoK00D0000009>3_`2CPkl0Th>o0000000308Ea]@0400000026MKT0QWFi
08Ie^@@000000`2VWLd01@000000RWRi08Yh^@2:N;T0000000<0PVjd00D0000008Ee^P25MKX0QGFj
0000000209>=bPD0000000@0boWX0000002QW=0000000`2CR<D01@000000T8C30924``2@Q<<00000
00@0ThW600H0000009^Gc`2KUll0ViO?0000002UZMT2000000030;O9j0000000^<WW0080000000<0
[[GN0000002WZMP00`2WZMP01@000000Xj;D0:>Re02SX]@000000080XIoC0`0000030:FUeP040000
002WZMP0YjWH0:NYf0<000000P2Z[]X00`000000ZJcI0:V/f@020:V/f@030000003oool0oooo00<0
oooo00<000000?ooo`3oool0I@3oool005@0oooo100000080?ooo`800000102a]md01@000000[kSO
0000002a]md0000000@0[kSO00<000000:jih@0000000P2_^=l010000000[[WQ0:jih@2^^N430000
00<0[[WQ00<000000:fjhP2]^^800`0000030:fjh`060000002]^^@000000000002]^^<00000102/
^n@3000000030:bki0000000[;_U00<0[;_U0`0000030:bki@030000002[_>H0ZkcV00<000000`2[
_>H00`000000ZkcV0:^liP03000000<0ZkcV00H000000:Zmi`00000000000:^liP0000040:Zmi`<0
000000<0Z[gW0000002Z_NL00`2Z_NL3000000<0Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmj003
0000002Z_NP0Z[gX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX000000@0ZKgX00D00000
0:Vmj0000000ZKkX000000040:Vnj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0Z;gX
00<000000:Rmj02X_NP0100000020:Vmj0030000002Y_^T0ZKkY00@000000`2X^^L00`000000YKKU
0:Ffi@0300000080X;CV00@000000::hj@2R^>T0X[SY0`0000020:[2j`030000002V^^L0Y[[W0080
Y[[W00@0000009j[h02NZn0000000`2CVML01@000000RXg@08Z=d02:SM0000000080QHS>1`000002
0:;HnP@000000P2EW]X010000000Pgk608=naP00000207Q^^`@0000000D0Ph780000001jLkl0NW>o
0000000307Uc`00300000021Q<d0PHC=00@0000000<0_=;Z0000002GT<X00P2GT<X01@000000Q7Bj
08Ad^P24M;X000000080P72h0`0000000`29P<<000000:NchP020:NchPX0000000<0Th>o00000025
LKD00P25LKD300000080]L_[0P0000030:JMc@050000002:N;T0RWRi08Yh^@0000000`22K[@01@00
0000QGFj08Ee^P25MKX000000080Thg:0P0000020:[b/P8000000`2QW=001@000000ThS509>8a@2C
R<D0000000<0T8C300D0000009>9aP2CRLH0ThW60000000209^Gc`<000000`2gbNP2000000@0[[GN
00D000000:NYf02WZMP0YjWH000000020:>Re0@000000P2RX=<01P000000YJGF0:FUeP2UYMH00000
0:NYf080000000<0ZZkK0000002Z[]X00`2Z[]X00`000000ZJcI0:V/f@03000000@0oooo00<00000
0?ooo`3oool0I@3oool00580oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000000`2b
]M/000000;6gg@030;6gg@8000000`2a]md00`000000[kSO0:nhg`03000000@0[kSO00<000000:ji
h@0000000P2_^=l010000000[[WQ0:jih@2^^N43000000<0[[WQ00<000000:fjh`2]^^<00`000003
0:fjh`060000002/^n@000000000002]^^<000000`2/^n@01P000000[;_U000000000000[;_T0000
00@0[;_U0`0000030:bki@030000002[_>H0ZkcV00<000000`2[_>H00`000000ZkcV0:^liP030000
00<0ZkcV00H000000:Zmi`00000000000:^liP0000030:Zmi`060000002Z_NL000000000002Z_NL0
0000102Z_NL300000080Z[gW00<000000:Zmj02Z_NP0100000030:Vmj0030000002Y_NP0ZKgX0080
0000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKkX00H000000:Vnj000000000000:Vmi`000004
0:Vmj0050000002Y_NP000000:Vmj0000000102X_NP300000080Z;cW00@000000:Vmj02Y_NP0ZKgX
0`0000030:Vmj0030000002X^^L0Z;[W00@0000000<0XK?U0000002P]>H00`2P]>H01@000000X[SY
0000002Y`>X0000000@0Z/;[00<000000:Jji`2V^^L03`0000000`2<XN<0000009Rol`0309Rol`<0
00000P2Xb?000`000000UIkJ09FNfP0209FNfP0300000023O/H0000000<0N6jk00<0000007A[^`1d
Jk/0100000002@1jLkl0000007Uc`01iLl0000000864c@000000ZnKj000000040;cBjP050000002G
T<X0Ui3:09N@bP0000000P24M;X01@000000P72h081`^020L;P0000000<0RH3300@000000:NchP00
000000000`2?NkT010000000OfR_07mX[`00000207mZ/PH000000`2ebn/3000000<0YYg=00D00000
08Yh^@2:N;T0RWRi00000003089^]00600000025MKX0QGFj08Ee^P000000Thg:0P0000001@2Zl[80
00000000002mbnD0000000<0XIc@00D0000009>8a@2CR<D0ThS5000000030924``040000002CRLH0
ThW609>9aP<000000P2a_^<01P000000]lWX000000000000]/CU000000@0[[GN00<000000:NYf02W
ZMP0100000020:2Md@030000002RX=<0XZ3C0080XZ3C00<000000:FUeP0000000P0000040:Z^f`04
0000002Z[]X0ZZkJ0:Z^fP<000000P2WZMP00`000000oooo0?ooo`030?ooo`030000003oool0oooo
06@0oooo001?0?ooo`<000002P3oool2000000@0/[GK00H000000;6gg@00000000000;:ef`000003
0;6gg@<000000`2a]md00`000000[kSO0:nhg`03000000@0[kSO00D000000:jih@000000[kSO0000
00040:jih@<000000`2^^N400`000000[K[S0:fjh`02000000@0[K[S00<000000:bki02/^n@00`00
00030:bki0060000002/^nD000000000002/^n@00000102/^nD300000080[;_U00<000000:^liP2[
_>H0100000030:^liP030000002[_>H0ZkcV00800000102[_>H00`000000Z[gW0:Zmi`03000000<0
Z[gW00H000000:Zmi`00000000000:Zli`0000030:Zmi`<000000`2Z_NL00`000000ZKgX0:Vmj004
00000080ZKgW00<000000:Vmj02Y_NP0100000030:Vmj0030000002Y_^P0ZKkX00800000102Y_NL0
0`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Rmj000000000000:RjiP0000040:Rli`050000
002Y_NP000000:Znj0000000102Y_NP300000080XkGU00D000000:6ci@2Q/nD0XK?U000000020:2d
iP<000000`2Y`>X00`000000Z/;[0:[2j`0400000080UZ7L00@0000008bBe02<T]@000000`25Rm40
1@000000QHoF08F?eP25SmH0000000<0S:7S00@0000009Rol`00000000000P2/h?T01@000000Z<S`
0:S8l02Xb?00000000<0UIkJ00@0000008=naP23O/H000000P1hK[/01@000000M6^k07A[^`1dJk/0
00000080NWW61P000000102[i_X000000;3ib00000030;cBjP050000002GT<X0Ui3:09N@bP000000
0`24M;X01@000000P72h081`^020L;P0000000<0RH330P0000001@2n_]T0000008mk^@2?NkT00000
00<0OfR_00@0000007mZ/P1oJ[800000102=Pl@00`000000]L_[0000000208I_/P@0000000D0YYg=
0000002:N;T0RWRi00000004089^]00300000025MKX0000000D000000`2mbnD01@000000XIc@0:6L
d02QW=00000000<0ThS500H000000924``2@Q<<0T8C30000002CRLH2000000030:FYf@000000/KkS
0080/KkS0P0000040;K4i@030000002^]Mh0[[GN00@000000P2OVm001@000000X9gA0:2Md@2PWM40
000000<0XZ3C0`0000020:V]fP030000002Z[]/0ZZkK0080ZZkK00H000000:Z^fP00000000000:R[
f@0000040:NYf0030000003oool0oooo00<0oooo00<000000?ooo`3oool0H`3oool004d0oooo0P00
000<0?ooo`040000002c]=T0/kCI000000<0/[GK0P0000040;:ef`030000002a]md000000080/[GK
00@000000;6gg@2a]md0/KOM0`0000030;2gg@030000002_^=l0[kSO00<000000`2_^=l01P000000
[[WQ000000000000[kSO000000@0[[WQ0`0000020:jih@040000002]^^<0[K[S0:fjh`<000000`2]
^^<00`000000[;_T0:bki003000000<0[;_T00H000000:bki@00000000000:bji00000030:bki@<0
00000P2/^nD00`000000ZkcV0:^liP020:^liP<000000P2[_>H00`000000ZkcV0:^liP04000000<0
Z[cV00<000000:Zmi`2Z_NL00P0000040:Zli`030000002Z_NL000000080Z[cV00@000000:Zmi`2Z
_NL0Z[gW0`0000020:Zli`040000002Y_NL0ZKgW0:Vmi`<000000`2Y_>L00`000000ZKgX0:Vmj004
00000080ZKcW00<000000:Vmi`2Y_NL0100000030:Vmj0030000002Y_NP0ZKgX00800000102X^^H0
0`000000Z;cW0:Rli`03000000<0Z[kX00H000000:Vmj000000000000:Nii`0000040:>ei@030000
002Q/nD0XK?U00<000000`2U^>H00`000000ZL3Z0:W0jP0300000080X[KV00<0000009JQg02FXM`0
0P2FXM`010000000S9;D08bBe000000308F;d@0500000025SmH0QHoF08F?eP0000000P2<XN<30000
0080[>3i2P00000208=naP050000001hK[/0N6jk07Q^^`0000000`1dJk/010000000NWW607YiaP00
000308jQh@80000000<0/?W80000000000001000000309N@bP0500000024M;X0Q7Bj08Ad^P000000
0`20L;P00`000000RH3308V0``0200000080_[kI00D0000008mk^@2?NkT0Sg^i0000000207mX[`05
0000001oJ[80OfZb07mZ/P000000102=Pl@2000000<0QVnb00<0000007eV[P1mIZh0100000000`2:
N;T00000089^]004000000<0[[gU0P0000000`39omT000000;g;i@020;g;i@060000002QW=00XIc@
0:6Ld0000000ThS51`0000040:FYf@030000002a_^<000000080_=7Z00<000000;K4i@2fa>D01000
00020:6NdP030000002OVm00Wi_@0080Wi_@00@000000:2Md@2PWM40X9gA0`0000000`2WZ]P00000
0:V]fP030:V]fP030000002Z[]/0ZZkK00<000000`2XZmT010000000YjWH0:NYf02WZMP2000000D0
oooo00<000000?ooo`3oool02`3oool2000005H0oooo001:0?ooo`<00000303oool2000000@0/kCI
00D000000;:ef`000000/kCI000000040;:ef`800000102b]M/00`000000/KOM000000020;:ef`04
0000002`]md0/;OM0;2gg@<000000P2`]md010000000[kSO0:nhg`2_^=l2000000@0[kSO00H00000
0:jih@00000000000:nhg`0000040:jih@050000002]^^<000000:jih@000000102]^^<3000000<0
[K[R00<000000:bki02/^n@00P0000040:bji0030000002/^nD000000080[;[S00H000000:bki@2/
^nD0[;_U0000002[_>H2000000030:bki0000000ZkcV0080ZkcV0`0000030:^ki@030000002Z_>H0
Z[cV00@000000P2[_>H00`000000Z[cW0:Zli`03000000@0Z[cV00D000000:Zmi`000000Z[_V0000
00040:Zli`030000002Y_NL000000080Z[cV00@000000:Vli`2Y_>L0ZKcW0`0000020:ZkiP040000
002Y_>L0ZKcW0:Vli`<000000`2Z_NL00`000000ZKgX0:Vmj00400000080Z;[V00<000000:RjiP2X
^^H0100000030:Zli`030000002Z_^P0Z[kX00800000102W^NL00`000000XkGU0:>ei@0400000003
0::`h@000000YKSV00<0YKSV0`0000030:_7kP040000002R]^H0X[KV000000<0UZ7L00@0000008bB
e02<T]@000000`25Rm400`000000QHoF08F?eP0400000080YMWj0`00000209VUg@0500000023O/H0
Pgk608=naP0000000P1fJkT4000000<0N6jk00D0000007A[^`1dJk/0M6^k0000000307YiaP030000
002>XN40000000<000000P2CRLH00`000000OVbd07i/]0040000000509N@bP000000Q7Bj08Ad^P00
00000`20L;P010000000RH330000000000030;jnf@050000002?NkT0Sg^i08mk^@0000000P1oJ:l0
1@000000OfZb07mZ/P1oJ[80000000<0SH?400@000000:BGb02TUlP000000P26Kk801@000000OFJ^
07eV[P1mIZh000000080P6bc0`00000208n5a@060000002^_ND0[[gU0:jmi@000000bOoI30000002
08n3`P050000002HT/`0V9;<09RBc0000000102UZMT2000000<0_=7Z0`0000020:JWeP030000002Q
W]80XIkB0080XIkB00D0000009nKd02OVm00Wi_@000000020:2Md@800000102WZ]P00`000000ZJgJ
0:V]fP0400000080ZJgJ00<000000:R[f@2XZmT00P2XZmT3000000030:JWe`000000oooo00D0oooo
00<000000?ooo`3oool02@3oool010000000oooo0?ooo`00001E0?ooo`00B03oool2000000d0oooo
0P0000000`2d/mL000000;>df@030;>df@8000000`2c]=T01P000000/[GK000000000000/kCI0000
00@0/[GK0P0000040;:ef`050000002`]md000000;:ef`000000102`]md00`000000[kSO00000002
0;2fg@040000002_^=l0[kSO0:nhg`800000102_^=l00`000000[[WQ0:jih@03000000<0[[WQ00H0
00000:fjh`00000000000:jhh@0000040:fjhP<000000P2]^N800`000000[;[T0:bji003000000@0
[;[S00<000000:bki@2/^nD00P0000040:bki0030000002[_>H000000080[;[T00@000000:^ki@2[
^nD0Zk_U0`0000020:^ki@040000002[_>H0ZkcV0:^liP<000000`2[^nD00`000000Z[cV0:ZliP03
000000<0Z[_V00<000000:Zli`2Z_>L00`0000040:ZliP050000002Y_>L000000:Zji@000000102Z
^nH00`000000ZKcW000000020:ZliP040000002Z_NL0Z[gW0:Zmi`<000000P2Y^^D010000000Z;[V
0:RjiP2X^^H3000000<0Z[_V00<000000:Zli`2Z_>L0100000020:Znj0030000002W^NL0YkWW00@0
00000P2QZmd01P000000X[3Q0::`h@2R/>4000000:FhiP8000000P2^c_400`000000ZlO^0:_7kP0B
000000<0VK_`0`0000000`2]do@0000009VUg@0309VUg@0400000023O/H0Pgk6000000<0MV^i00@0
0000071V]`00000000000P1hK[/01@000000M6^k07A[^`1dJk/0000000<0NWW60`0000000`2neNX0
000009>9aP0209>9aP050000001nK;@0OVbd07i/]00000000P1iIK040000000308Ad^P000000P72h
00P0000000D0_[kI0000002?NkT0Sg^i0000000307mX[`040000001oJ[80OfZb00000080SH?400D0
00000:BGb02TUlP0Y9O80000000308I_/P040000001mIZh0OFJ^000000<0P6bc00<0000008n5a@2?
QLD00P2?QLD00`000000[[gU0000000300000080WYK;00@0000008n0_`2?P;l000000`2;O;d00`00
0000Sh?208n3`P0208n3`P060000002HT/`0V9;<09RBc0000000YJWI0P0000000`2mdn/000000;cA
jP02000000030:nfgP000000YZOF00<0YZOF00D000000:6NdP2QW]80XIkB0000000209nKd0@00000
00<0Y:CE0000002WZ]P00`2WZ]P300000080ZjoK00<000000:V]fP2Y[MX00P2Y[MX00`000000Z:_I
0:R[f@02000000@0YZOG00<000000?ooo`3oool0103oool00`000000oooo0?ooo`080?ooo`040000
003oool0oooo000005D0oooo000J0?ooo`D000009P3oool3000000d0oooo0P0000040;Bce`060000
002c]=T000000000002d/]L000000`2c]=T2000000@0/kCI00H000000;:ef`00000000000;>df@00
00040;:ef`8000000`2b]M/00`000000/;OM0;2gg@03000000@0/;KM00<000000:nhg`0000000P2`
]]d010000000[kSO0:nhg`2_^=l3000000<0[kOO00<000000:jih@2^^N400`0000030:jhh@060000
002]^^8000000000002^^>4000000`2]^N8300000080[KWR00<000000:bjh`2/^^<00P2/^^<30000
0080[;[S00<000000:bki02/^n@00`0000040:bji0050000002[^nD000000:bji0000000102[^nD0
0`000000ZkcV000000020:^ji0040000002[^nD0Zk_U0:^ki@<000000`2[^nD00`000000Z[_V0:Zk
iP03000000<0Zk_U00<000000:ZliP2Z_>H00`0000030:Zji@030000002Z^nH0Z[_V00<00000102Z
_>H01@000000Z[gW0000002Z^^D0000000@0ZK[U00<000000:RjiP0000000P2Y^N@010000000Z[_V
0:ZkiP2Z^nH3000000<0[<7Y00<000000:Znj02Z_^P00`0000020::Yg0030000002QZmd0XJ_M0080
XJ_M00<000000::`h@2R/>400`0000020:k>l@@000000P2JWmL010000000SXk?08j>c`00000308N7
c00400000026Rm00QX_@000000@0S9cM00@0000009Vkl000000000000P2_j?T010000000[M?d0:gC
m000000309VUg@0500000023O/H0Pgk608=naP0000000P1fJkT00`000000L6Jg071V]`0300000003
07Q^^`000000M6^k0080M6^k0`0000000`2Si?`000000;kEjP020;kEjP050000002CRLH0ThW609>9
aP0000000P1nK;@01@000000NFF`07UU/01iIK0000000080Og:j0`00000309^SfP030000002;M;@0
00000080NV2Y0`0000000`2?NkT0000007mX[`0207mX[`040000001oJ[80OfZb07mZ/P@000000P2T
UlP01@000000QVnb08I_/P26Kk80000000<0OFJ^00D00000081//`20K;<0P6bc0000000308n5a@<0
000000@0`LkT0000002NU//000000P2NU//010000000Sh2o08n0_`00000308]l_@050000002?Pl80
Sh?208n3`P0000000`2HT/`2000000<0_M?[0P0000040:nfgP050000002VYmH0YZOF0:JWeP000000
0P2QW]8400000080XIkB00H000000:BTe@2TY=D0Y:CE0000002WZ]P2000000030:^`g0000000ZjoK
00<0ZjoK00<000000:V]fP2Y[MX0100000000`2VYmL000000:JWe`030:JWe`030000003oool0oooo
00@0oooo00<000000?ooo`3oool0203oool010000000oooo0?ooo`00001E0?ooo`006`3oool01000
0000oooo0?ooo`00000S0?ooo`<0000000<0oooo0000003oool0303oool010000000]K7E0;Fae@00
00030;Bce`800000102d/]L00`000000/kCI000000020;Bbe`040000002c]=T0/kCI0;>df@800000
102c]=T01P000000/[GK000000000000/kCI000000<0/[GK0`0000030;:ef`030000002`]]d0/;KM
00<00000102`]]d01@000000[kSO0000002a]]d0000000@0[kOO0`0000030:ngg`030000002^^>40
[[SQ00800000102^^>400`000000[KWR000000020:jhh0060000002]^N80[KWR0:fihP000000[;[S
0P0000000`2]^N8000000:bjh`020:bjh`<000000`2]^N<00`000000[;[T0:bji003000000<0[;[T
00<000000:^ki@2[^nD00`0000040:^ji0050000002[^nD000000:bji0000000102[^nD300000080
Zk_U00@000000:^ki@2[^nD0Zk_U0`0000030:^ji0030000002Z^^D0Z[[U00<000000`2[_>H00`00
0000Z[cV0:ZliP03000000<0Z[[U00<000000:Vji@2Y^^D00`0000040:Vii0050000002Z^nH00000
0:c3j`000000102/`NT3000000030:B]g@000000XZWL00<0XZWL00<000000:6[g@2QZmd010000002
0:c<l0<000000P2V]>800`000000VYoG09ZOe`0209ZOe`040000002>S/l0SXk?000000<0QhO<00@0
000008J;d026Rm0000000P2<W=d400000080[nSi2@00000308=naP070000001fJkT0MV^i07I[^@00
0000L6Jg0000000207A``0L0000000@0XnCl0000002TlK@000000P2neNX01@000000ThW609>9aP2C
RLH0000000<0OVbd00@0000007UU/01iIK0000000`1oL[X01@000000Vj?J09^SfP2KXmX000000080
RgBd00H0000007YPZ@1jH:T0NV2Y0000001hHJ/300000080OfR_00<0000007mZ/P1oJ[800`000000
1@22J:d000000000002TUlP0000000<0QVnb00D0000007eV[P1mIZh0OFJ^00000003081//`030000
002?QLD0ShG5008000001031c^@200000080WYK;00@0000008n0_`2?P;l000000`2;O;d01P000000
Sh?208n3`P2?Pl80000009RBc08000000P2faNH01@000000_M?[0000002jbnL0000000@0[kKN00<0
00000:JWeP2VYmH01000000209jIc`030000002QW]80XIkB0080XIkB00<000000:BTe@0000000P00
00040:^`g0040000002[[m/0ZjoK0:^_f`<000000P2WZMP01@000000YZOG0:JWe`2VYmL000000080
YZOG0`0000060?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000E@3oool001@0
oooo1@0000030?ooo`030000003oool0oooo0240oooo0P0000050?ooo`030000003oool0oooo00P0
oooo0P0000040;Fae@050000002d/mL000000;Fae@000000102d/]L2000000@0];;G00<000000;>d
f@0000000P2d/]L010000000/kCI0;>df@2c]=T2000000@0/kCI00<000000;:ef`0000000P2c]=T0
10000000/[GK0;:ef`2b]M/300000080/[GK00<000000;2fg@2`]]d00P2`]]d2000000<0/KKM00H0
00000:ngg`00000000000;6fg@0000040:ngg`<0000000<0[kOO0000002^^>400`2^^>42000000@0
[[SP00<000000:fihP2]^N800P0000040:fihP030000002/^^<000000080[[WR00@000000:fih`2]
^N<0[KWS0`0000030:fjh`030000002/^^@0[;[T00<000000`2/^^<00`000000Zk[T0:^ji0030000
00<0[;[T00H000000:^ki@00000000000:bki@0000040:^ki@050000002[^nD000000:bki@000000
102[^^@300000080ZkcV00<000000:^liP2[_>H0100000030:^ki@030000002Z^^D0Z[[U00<00000
0`2Z^N@00`000000ZKWT0:Vii003000000<0[<?[00H000000:c1j@00000000000:Nbh00000030:B]
g@030000002RZM`0XZWL00@000000`2XaNh01@000000[<c`0000002^an`0000000@0Y[CR00D00000
09ZOe`2JWmL0VYoG0000000208j>c`0500000027Ql`0QhO<08N7c00000000P26Rm03000000<0ZMkj
0`0000020:2bi@0400000025P/P0QH;800000080M6Vh0`0000000`23O/H0000007I[^@0207I[^@04
0000001`I[L0L6Jg00000080M73000<0000008JGg026Um`00P26Um`8000000<0ThW600D0000007i/
]01nK;@0OVbd0000000307UU/0060000001oL[X0Og:j07mb^P000000Vj?J0P00000308]d]0040000
001jH:T0NV2Y000000<0N66[1P0000001P2aa^T00000089X[@22J:d0000007QNZ0<000000P26Kk80
1@000000OFJ^07eV[P1mIZh0000000<0P6bc00H0000008n5a@00000000000;cj_@0000030<7>i080
00000P2NU//010000000Sh2o08n0_`00000308]l_@030000002?Pl80Sh?200<00000102faNH20000
00<0^/_W00<000000:nfgP2_]]h01000000209fGcP050000002NVLl0WYW?09jIc`0000000`2QW]83
00000080ZjoK00<000000:^`g02[/=`00P2[/=`01P000000ZjoK000000000000Z:_I000000@0YjWH
00<000000:JWe`0000000`0000020:JYf0030000003oool0oooo00D0oooo00<000000?ooo`3oool0
1P3oool010000000oooo0?ooo`00001E0?ooo`007@3oool00`000000oooo0?ooo`0M0?ooo`<00000
403oool2000000030;J`d`000000]K7E00<0]K7E0P0000030;Fae@060000002d/]L000000000002e
/MD00000102d/]L2000000@0];;G00D000000;>df@000000];;G000000040;>df@800000102c]=T0
0`000000/[GK000000020;>df@060000002b]M/0/[GK0;:ef`000000/;KM0P0000000`2b]M/00000
0;6fg@020;6fg@800000102a]]d01P000000[kOO000000000000/KKM000000<0[kOO00H000000:jh
h@00000000000;2gg`0000040:jhh0<000000P2_^>000`000000[KWR0:fihP03000000@0[[WR00D0
00000:fih`000000[[WR000000040:fjh`<000000P2]^^<010000000[;[S0:bjh`2/^^<3000000<0
[K_T00<000000:bji02/^^@00`0000030:bki@030000002[^nD0Zk_U00<000000`2/^nD01P000000
Zk[T000000000000[;gW000000<0ZkcV0`0000020:bmiP030000002[^nD0Zk_U0080Zk_U0`000002
0:Zji@030000002Z^N@0Z[WT00@000000`2/a>`00`000000[<?[0:c3j`02000000@0Yk;P00<00000
0:B]g@2T[Md00`0000030:Fmj`030000002XaNh0Z<G^00<000000`2^an`01@000000Y[CR0:JdhP2V
]>80000000<0VYoG00@0000008j>c`2>S/l000000P27Ql`400000080W;[^00H000000:WNnP000000
00000;7Zn00000040:2bi@0300000025P/P0000000<0M6Vh00<0000006eQ/`0000000P00000207I[
^@040000001`I[L0L6Jg000000<0M73000H0000008JGg000000000000<CSkP00000309:7a@030000
001jIK00NVF`0080000000<0ThW60000001nK;@00P1nK;@01@000000NFF`07UU/01iIK00000000<0
Og:j0P0000000`30_]P0000008]d]00208]d]0050000001jH:T0NV2Y07YPZ@0000000P1hHJ/01@00
0000QGNl08Eg_025Mk`000000080/LKY0P0000000`22J:d0000007QNZ00207QNZ0<0000000<0QVnb
0000001mIZh00P1mIZh00`000000P6bc00000003000000030;cj_@000000000000L0000000H0WYK;
0000002?P;l0Sh2o0000002;O;d4000000<0YZ[I00H000000;K5iP00000000000<;Lk00000020;[;
i`@000000P2OV/l00`000000WIO>09fGcP0209fGcP040000002NVLl0WYW?09jIc`<0000000<0Z:cI
0000002[[m/00`2[[m/00`000000Zk3L0:^`g003000000<0Z:_I00@000000:NYf02WZMP0YjWH0`00
00020:JXf0030000002VZMP0YZWH0080YZWH00<000000?ooo`3oool0103oool2000000P0oooo0P00
001F0?ooo`006P3oool01@000000oooo0?ooo`3oool0000001`0oooo0P00000A0?ooo`800000102f
/=<01P000000]K7E000000000000][3C000000<0]K7E0P0000040;Fae@060000002d/]L000000000
002e/MD00000102d/]L2000000<0];;G00H000000;>df@00000000000;Bbe`0000040;>df@800000
102c]=T00`000000/[GK0;:ef`02000000@0/[GK00<000000;6fg@0000000P2b]M/010000000/KKM
0;6fg@2a]]d2000000@0/KKM00<000000:ngg`2_]ml00`0000030;2gg`060000002^^>0000000000
002`^=l000000`2_^>03000000<0[kWQ00<000000:jihP2^^N800`0000030:jihP060000002]^^<0
00000000002^^^<00000102]^^<01@000000[;[S0000002]^n@0000000@0[K_T0`0000030:fli@03
0000002/^nD0[;_U00<000000`2/_>D00`000000[;_U0:bki@02000000@0[;gW00<000000:^liP00
00000P2[_nP01P000000[;gV0:bmiP2/_NH000000:^ki@80000000<0Z[cW0000002Z^^D00P2Z^^D3
000000<0ZlG]00<000000:c4k02/a>`0100000000`2Z^>@000000:Nbh0030:Nbh0<0000000<0X[WY
0000002U_N/00`2U_N/3000000<0[m3a00<000000:k7k02^an`03P00000208jIfP040000002L^^h0
W;[^09bjkP<000000`2aj_P01@000000X;;U0:2bi@2P/^D000000080QH;800@0000007AY^01dJKP0
00000`1]HK<30000000407I[^@000000L6Jg000000<0M7300`0000030<CSkP040000002BQlD0TXO5
00000080NVF`00<00000079LZ`0000000P00000207i/]0050000001iIK00NFF`07UU/00000000P1o
L[X3000000030<2nf0000000RgBd0080RgBd00D0000007YPZ@1jH:T0NV2Y0000000307QQZ`040000
0025Mk`0QGNl08Eg_080000000D0XY7300000022J:d0PVR]0000000207QNZ0030000001kI:h0NfB^
00L000000`2_`>H200000080Vho600D0000008Yh^P2:N;X0RWRj0000000208Id^0H000000P2FS/T0
0`000000YZ[I0:JZf@020:JZf@8000000`32g>`300000080YJCD00<0000009nJc`2OV/l00P2OV/l0
1@000000WIO>09fGcP2MUlh000000080WYW?0P0000040:R/f@040000002[[m/0ZjoK0:^_f`<00000
0P2Z[]/00`000000Z:_I0:R[f@020:R[f@<0000000<0YZOG0000002VZ=P00`2VZ=P010000000YZWH
0:JYf02VZMP2000000<0oooo0P0000000`3oool000000?ooo`1O0?ooo`006P3oool01@000000oooo
0?ooo`3oool0000001T0oooo0`00000B0?ooo`040000002g[m40]joA000000<0][3C0P0000040;J`
d`030000002e/MD000000080]k3C00@000000;Fae@2e/MD0]K7E0P0000040;Fae@060000002d/]L0
00000000002f/MD000000`2d/]L2000000@0];;G00H000000;>df@00000000000;Bce`0000040;>d
f@<0000000<0/kCI0000002b]M/00`2b]M/2000000@0/[GK00D000000;6fg@000000/[KK00000004
0;6fg@<000000`2a]md00`000000/;OO0;2gg`02000000@0/;SO00<000000:nhh00000000P2`^N00
10000000[kWQ0:nih@2_^N43000000<0[k[Q00<000000:jihP2^^N800`0000030:jjh`030000002]
^^<0[K[S00<000000`2]^n@01P000000[K_T000000000000[KgU000000@0[KcU0`0000020:bmiP03
0000002/_>D0[;cU00@000000P2/_^P00`000000[;gW0:bmi`03000000@0ZkoX00<000000:bmiP2/
_NH00P0000040:Zli`050000002Z^^D000000:W4k@000000102[aNd300000080Z[cW00H000000:Zh
i02Z^>@0Z[ST0000002W/^02000000030::ij@000000X[WY0080X[WY00@000000:Fmj`0000000000
0P2/d?<00`000000[m3a0:o@l@040000000309ZMe@000000T8g=0080T8g=00D0000008V5b@29QLT0
RHG90000000208R8c@030000002>VMX0SYWJ0080SYWJ00<0000009bjkP0000000P2Om>P900000080
QH;800D0000007AY^01dJKP0M6Vh0000000206eQ/`030000001^JK`0KVVl00L0000000<0Vn7m0000
000000000`34hnh01`000000TXO509:7a@2BQlD0000007YU/00000000`1bG:/30000000307i/]000
0000NFF`0080NFF`0P0000000`2bn^D0000007EHX`0300000080RgBd00D0000007YPZ@1jH:T0NV2Y
0000000307QQZ`0500000025Mk`0QGNl08Eg_00000000P2RTL<010000000PVR]089X[@00000207QN
Z0050000001kI:h0NfB^07]T[P0000000`2:O/0010000000[l3V0:o0iP2_`>H2000000<0Vho600D0
000008Yh^P2:N;X0RWRj0000000308Id^0040000002;O;d0Rgbm000000@0UXk900L000000:JZf@00
000000000<?QkP000000`]c/0080000000<0/;ON0000002UY=@00`2UY=@01@000000Wi[?09nJc`2O
V/l000000080WIO>100000000`2TYMH000000:R/f@030:R/f@060000002[[m/000000000002//]`0
0000102Z[]/00`000000Z:_I0:R[f@02000000@0YZOG00H000000:JXf02VZ=P0YZSH0000002VZMP2
000000030:R]f`000000oooo00H0oooo00<000000?ooo`3oool0G@3oool001/0oooo0`00000H0?oo
o`8000004`3oool2000000@0]joA00D000000;J`d`000000]joA000000040;J`d`800000102g/=<0
0`000000]K7E000000020;N`d`040000002e/MD0]K7E0;Fae@800000102f/MD00`000000];;G0000
00020;Jae@040000002d/]L0];;G0;Bbe`800000102d/mL01P000000/kCI000000000000];?G0000
00<0/kCI00H000000;:ef`00000000000;>df@0000040;:ef`8000000`2b]]/01P000000/KKM0000
00000000/[KL000000@0/KOM0`0000020;6ggP030000002`^=l0/;SO00<00000102`^N001@000000
[kWQ0000002_^^40000000@0[k[Q0`0000030:jkh`030000002^^^<0[[[S00<000000`2^_>@00`00
0000[K_T0:fki002000000@0[KgU00H000000:fli@00000000000:bni`0000030:bmiP<000000`2[
_nP00`000000[;kX0:bnj003000000<0Zl3Y00<000000:^oj02[_nP0100000020:Znj0030000002Z
_>L0Z[cW00<000000`2Ya>d01P000000ZlG]000000000000ZKgX000000@0Z[cW00<000000:Zhi02Z
^>@00P0000040::ij@030000002R^NT0X[WY00@000000P2/d?<300000080Y:oO00D0000009ZMe@2J
WMD0VYgE00000003092=c@0500000029QLT0RHG908V5b@0000000P28R<d00`000000SYWJ08jIfP06
000000030::Uf0000000Qg^o0080Qg^o00<0000007IT/@1fI;401000000307AY^0050000001]HK<0
KF6c06eQ/`0000000P1^JK`00`000000OHcG07f<e`020000000309_Qo@000000000000<0000000<0
a>?^0000002BQlD00P2BQlD010000000NVF`07YU/0000002079LZ`030000001fI[<0MVJc00T00000
0`1eF:<20000000308]d]0000000NV2Y0080NV2Y00D0000007QQZ`1hHJ/0N66[0000000208Eg_005
0000002RTL<0XY730::A``0000000P22J:d01@000000N5jX07QNZ01hGZP0000000<0NfB^00L00000
08Yn`02:O/00RWk00000002_`>H000000080a=3S00D0000009^?aP2KSlH0Vho60000000208Yh^P80
00000`26M;P010000000Rgbm08]l_@00000309J>b@8000000`33hNh2000000@0/;ON00D000000:FT
e02UY=@0YJCD0000000209nJc`@000000P2PWM401@000000Y:GF0:BUeP2TYMH000000080Z:cI0`00
00040:bbg0030000002Z[]/0ZZkK00@0000000<0YZOH0000002VYmL00`2VYmL00`000000YZSH0:JX
f003000000@0Z:gK00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1M0?ooo`00<`3oool4
00000180oooo0P0000000`2h[m0000000;N_d@030;N_d@8000000`2g[m401P000000][3C00000000
0000]joA000000@0]k3C0P0000040;N`d`050000002e/MD000000;N`d`000000102f/MD2000000@0
][7E00<000000;Bbe`0000000P2f/]D010000000];?G0;Bce`2d/mL2000000@0];?G00<000000;>d
f@2c]=T00P0000040;>df@060000002b]M/000000000002c]MX000000`2b]]/2000000@0/[KL00H0
00000;6gg@00000000000;:gg@0000030;6ggP<000000`2a^=l00`000000/;WP0;2ih003000000<0
[k[Q00H000000:njh@00000000000:njhP0000040:jkh`<0000000<0[[cT0000002^_>@00`2^_>@3
00000080[KgV00<000000:fmi@2]_ND00`0000040:bni`050000002/_NH000000:^nj0000000102[
_nP3000000<0Z[oY00<000000:_0j@2[`>T00`0000030:Vnj@030000002Z_^P0Z[kX00<000000`2X
`nd00`000000ZLC]0:W4k@03000000<0ZKgX00<000000:Zli`2Z_>L0100000020:>lj`030000002R
^NT0X[WY00@000000`2Vao43000000030:^ki@000000Y:oO00<0Y:oO00@0000009ZMe@2JWMD00000
0`2@SLd01@000000RHG908V5b@29QLT000000080R8S=0`0000001@2Fko0000000000002ienl00000
00<0XZGH00@0000008Mk_`27Nkl000000`1fI;4010000000KU^]00000000000207AY^0050000001]
HK<0KF6c06eQ/`0000000`1^JK`00`000000OHcG07f<e`02000000<0T8;000<0000007INZP000000
0P00000209:7a@040000001jIK00NVF`00000080LUb[00D0000007IV/`1fI[<0MVJc0000000408nB
d`0300000026K:h0000000<0MERS00D00000079HY0000000RgBd0000000207YPZ@030000001hHJ/0
N66[0080N66[1@0000000`2RTL<00000089X[@02089X[@040000001hGZP0N5jX000000<0NfB^00@0
000008Yn`02:O/00RWk00P0000030<C@h`050000002KSlH0Vho609^?aP0000000P2:N;X2000000<0
QWBh00D0000008]l_@2;O;d0000009J>b@0200000080^m7[00D000000<?QkP000000_];Y00000004
0;2ggP030000002UY=@0YJCD00@000000P2LU/d01@000000X9gA0:2Md@2PWM40000000<0Y:GF0`00
00020:fdgP030000002//]`0[;;L0080[;;L0`0000020:JYf0050000002VYmP0YZOH0:JWf0000000
0P2VYmL400000080YjcJ00@000000:R]f`2X[M/0Z:gK0P0000070?ooo`030000003oool0oooo05`0
oooo000a0?ooo`800000103oool00`000000oooo0?ooo`0=0?ooo`800000102h[m001P000000]joA
000000000000^:o@000000<0]joA0P0000040;N_d@060000002g/=<000000000002g/=400000102g
/=<2000000<0]k3C00H000000;Jae@00000000000;Nad`0000040;Jae@800000102f/]D01@000000
];?G0000002f/]D0000000@0];?G0`0000020;Bcf0040000002c]=T0/kCI0;>df@800000102c]MX0
0`000000/[KK000000020;>efP040000002b]]`0/[KL0;:fg0800000102b]md00`000000/KON0000
00020;6gg@040000002a^=l0/KSO0;6hg`<000000P2`^Ml010000000[k[Q0:njh@2_^^42000000@0
[k[R00H000000:jkh`00000000000:jjhP0000030:jli0060000002^_>@000000000002]_>@00000
0`2]_NH3000000<0[;gV00<000000:bni`2/_^L00`0000030:^nj0060000002[_nP000000000002Z
_NL00000102Z_nT3000000030:Vli`000000ZKkY00<0ZKkY0`0000020:O1k0030000002X`nd0Z<?]
00@000000`2X^nL00`000000ZKgX0:Vmj003000000<0YKk[00<000000:>lj`2S_>/00`0000030::m
k0060000002Vao4000000000002]^n@000000`2[^nD01@000000Y:oO0:B_g`2T[ml000000080VYgE
00D00000092=c@2@SLd0T8g=0000000208V5b@@000000P2Bf?h3000000<0^MO_00@000000::Uf02R
YMP000000`27Nkl010000000MVBa07IT/@00000206iK[@80000000<0M6Vh0000001]HK<00P1]HK<0
1`000000KVVl06iY_01^JK`0000007f<e`0000000P38iN`010000000T8;00922`000000307INZP80
000000D0TXO50000001jIK00NVF`00000003079LZ`050000001fI[<0MVJc07IV/`0000000P2?T]<2
00000080QVb^00@0000007EHX`1eF:<000000P1bF:@2000000<0NV2Y00<0000007QQZ`1hHJ/00P00
000207eRZ0030000001cF:<00000008000000P22J:d010000000N5jX07QNZ000000307]T[P030000
002:O/00RWk000L000000`2KSlH00`000000RWRj00000002000000<0QWBh00<0000008]l_@2;O;d0
0P0000040;_Aj`8000000`2nd^T00`000000/;ON0;2ggP0400000080VY?;00<0000009bFc@2LU/d0
0P2LU/d010000000X9gA0:2Md@2PWM43000000030:bcg@000000[KCN00<0[KCN00H000000:bbg000
000000000:R/fP0000040:JYf0030000002VYmP0000000<000000P2WZmX00`000000YjcJ0:N/fP02
0:N/fP050000002X[M/000000:V`g@000000203oool00`000000oooo0?ooo`1K0?ooo`00;P3oool3
000001D0oooo00<000000;V_c`0000001@2h[m000`000000^:o@0;R_d0020;R_d0030000002g[m40
00000080^:o@00@000000;N_d@2g[m40]joA0P0000040;N`d@060000002g/=<000000000002g/=40
00000`2g/=<2000000@0]k7C00H000000;Jae@00000000000;Nad`0000040;Jbe@8000000`2f/]D0
1P000000];?G000000000000]K;F000000@0];?H00D000000;>df@000000];CH000000040;>efP80
0000102c]MX01@000000/[KL0000002c]]/0000000@0/[OM0P0000040;6gg@050000002a^=l00000
0;6gg@000000102`^Ml00`000000[k[Q000000020;2ih0040000002_^^80[k[R0:njhP800000102^
^^800`000000[[cT0:jli002000000@0[KcT00<000000:fmiP0000000P2/^^@010000000[;gV0:bm
iP2/_NH3000000<0ZkcV00<000000:^nj02[_^P00`0000030:Zmi`060000002Z_nT000000000002Z
^>@000000`2Y_>L010000000ZKkY0000000000020:Rlj0030000002W`N`0Yl7/00<000000`2X]^<0
0`000000Z;_W0:Rki`0400000080Z;gY00<000000:Fnj`2U_^/0100000020:6diP030000002R_N`0
X[g/00<00000102]^n@00`000000Zk_U0:^ki@0>000000<0Qk7a00<0000009;HoP0000000P2ijOD8
000000<0Qg^o00P0000007IT/@1fI;40MVBa0000001^Fjd0000006eP/`<000000`1]HK<00`000000
KVVl0000000300000080b>G/00D000000922`02@P/00T8;00000000207INZP030000001]E:D00000
0080000000<0NVF`0000001bG:/00P1bG:/02@000000MVJc07IV/`1fI[<0000008nBd`000000_kOB
0000000208I/[P040000001eF:<0MERS000000<0LURT0`0000001P1jH:T00000000000000000ZkcV
00000080OF:X00@0000007=HX`1cF:<0LeRS0P0000001@22J:d0000007QNZ01hGZP0000000@0NfB^
0`00000209R8`00300000026L;<0QW2c00H0000000@0RWRj0000002:N;X000000`26M;P200000080
YjgK00H000000;_Aj`00000000000<OYkP0000020;kBj@@000000P2LUL`00`000000VY?;09ZCb`02
09ZCb`050000002LU/d0W9K=09bFc@0000000P2PWM42000000@0[;?M00<000000:fdgP2]]=h00`00
00030:R/fP040000002VZMP0YZWH0:JYf0<000000P2VZMT00`000000Yj_J0:N[fP020:N[fP030000
002W[=X0YjcJ00<000000`2Y/=d00`000000oooo0?ooo`050?ooo`030000003oool0oooo05/0oooo
000[0?ooo`<000005P3oool2000000<0^Jo?00@000000;R_d02h[m00^:o@0P0000040;R_d0800000
102h[m001@000000]joA0000002h[m00000000D0]k3A00<000000;N`d@2g/=400P2g/=400`000000
]k3C000000020;N`dP040000002g/M<0]k7C0;Nad`800000102g/M<01P000000][;E000000000000
][7D000000<0][;E0P0000040;FbeP030000002d/mP0];?H00<000000`2d]=P01P000000/kGJ0000
00000000];CH000000@0/kGJ0P0000030;>ff`060000002b]md000000000002b]M/00000102a]md2
000000<0/KOM00<000000;2ig`2`^Ml00`0000040;2ih0050000002_^^8000000:nhg`000000102^
^^8300000080[[WR00<000000:fli02]_>@00`0000040:bji0050000002/_NH000000:bhhP000000
102[_>H3000000<0ZkSS00<000000:Zmi`2Z_NL00P0000040:Zhi0030000002Y_>L0ZKcW00800000
102X_>P3000000030:V`g@000000Z;KS00<0Z;KS0`0000030:^ji@030000002X_NT0Z;gY00<00000
0P2S[n0010000000XKCV0:6diP2Q]>H3000000<0Z[7M00<000000:fki02]^n@0100000000`2N]nT0
000008nShP0208nShP0400000024Umh0Q9ON000000@0PI_R00<0000008Nal@27/O401P0000000`2Y
`^/0000008R7c00208R7c0040000001bIkL0000000000080Qg^o00L0000007IT/@1fI;40MVBa0000
001^Fjd0000000<0KF2c1P00000209[Co0D000000`2@P/0010000000MUjZ07INZP00000306eDY@<0
00000`1bG:/010000000MVJc07IV/`1fI[<3000000050;ngdP000000QVb^08I/[P0000000`1eF:<0
10000000LURT079HY000000207e[]08000000P2[_>H200000080OF:X00H0000007=HX`1cF:<0LeRS
0000001eGJT30000000307QNZ0000000NfB^0080NfB^0P0000001@2aanX0000009R8`02HR<000000
0080QW2c0`0000000`22KK80000000000008000000<0YjgK0`0000020<OYkP<000000P2SX=800`00
0000W9G<09bEc00209bEc0050000002JTl/0VY?;09ZCb`0000000P2LU/d4000000030:V^f`000000
[;?M00<0[;?M0`0000020:^`g0030000002X[=X0Z:cJ0080Z:cJ0`0000000`2UZ=P000000:JYf@03
0:JYf@030000002WZmX0Yj_J00@000000P2Y/=d010000000ZK3M0:V`g@2Y/=d2000000L0oooo00<0
00000?ooo`3oool0FP3oool002T0oooo0P00000H0?ooo`030000002i[ll0000000@0^Jo?00<00000
0;R_d00000000P2i[ll01P000000^:o@0;R_d0000000^Jo?000000@0^:o@0P0000030;R_d0040000
002g/=40]k3A0;N`d@800000102g/=42000000@0]k3B00D000000;Nad`000000]k3B000000050;Na
d`030000002f/M@0][7D0080][7D00D000000;Jbe@000000][7D000000050;FbeP8000000P2e/]H0
10000000];CH0;Bdf02d]=P2000000@0];CH00H000000;>efP00000000000;Bdf00000030;>ff`80
0000102b]M/01P000000/KOM000000000000/[CJ000000<0/KOM0`0000030;2fg@030000002`^N00
/;WP00<000000`2_^=l01P000000[[[R000000000000[kGM000000<0[[WR0`0000030:ffg`030000
002/^^@0[;[T00<000000`2/^>801P000000ZkcV000000000000[K?N000000@0ZkSS0`0000020:^c
gP030000002Z^>@0Z[ST00@000000P2[]n801P000000Z;cX000000000000ZjcH000000<0ZK3M00H0
00000:Rfh`00000000000:ffg`0000040:^ji@<0000000<0YjkL0000002S[n000`2S[n001@000000
XKCV0000002WY]@0000000@0Z[7M0`0000020:k<k`050000002N]nT0W[OY09jgj@0000000`2?Xn80
10000000Q9ON08BGgP000002086KhP@000000P2^e?@00`000000^_;c000000030:W2j`0400000028
Ql`0R8O<00000080LVNg0P0000000`27Nkl0000007IT/@0207IT/@040000001^Fjd0KU^]00000080
KF2c00<0000007Umb`1iOL/00P1iOL/00`000000V]?l0000000208im_0040000001cFJH000000000
0080T8;000D0000007INZP1fGZX0MUjZ0000000206eDY@040000001^FZ/0000000000080LUb[00L0
000007IV/`1fI[<000000:kgk@000000L5:O008000000P26K:h01@000000MERS07EHX`1eF:<00000
0080LURT00<0000007e[]01mJk@00P1mJk@010000000ZkcV00000000000307eRZ0040000001cF:<0
LeRS000000<0MEfY1P0000020;77jP8000000P2HR<030000000308I`/`000000PVfb0080PVfb00D0
000008Ie^@26MKT0QWFi0000000309>:a`040000002W[M/0YjgK00000080b?3^0`0000000`2a]md0
00000:>PdP030:>PdP050000002LUL`0W9G<09bEc00000000P2JTl/400000080YJGF00H000000:V^
f`2Y[]/0ZJkK0000002//md2000000030:fdgP000000Zk3L00<0Zk3L00<000000:R/fP2X[=X00P00
00040:FXf0040000002VZMT0YZWI0:JYf@<000000P2X[md00`000000ZK3M0:V`g@020:V`g@<00000
00<0ZK;O0000003oool01`3oool00`000000oooo0?ooo`1I0?ooo`009P3oool3000001T0oooo00D0
00000;V_c`2i[ll0^Jo?000000030;V_c`8000000`2i[ll00`000000^:o@000000030;V_c`060000
002h[m00^:o@0000002i[ll00000102h[m000`000000]k3A000000020;R_d0060000002g/=40]k3A
0000002h[m000000102g/=82000000<0]k3B00@000000;Nad`2g/M<0]k7C0P0000040;Jae0800000
0`2f/M@010000000]K;F0;FbeP2e/]H2000000@0]K;F00<000000;Bdf00000000P2e/]H010000000
];CH0;Bdf02d]=P2000000@0];CH00<000000;>ff`0000000P2c/mP010000000/[GK0;:ef`2b]M/2
000000@0/[CJ00<000000;6gg@0000000P2b/]T010000000/;KM0;2fg@2`]]d3000000<0/;CK00<0
00000:nhg`2_^=l00P0000040:neg@030000002^^N8000000080[k;J00@000000:ffg`2]]]l0[KKO
0`0000030:jcg0030000002/^>80[;SR00800000102]/mh01P000000ZkSS000000000000[[3I0000
00<0Zk?N0`0000020:fcg@040000002[]n80ZkOR0:^ghP800000102[[=P00`000000ZK3M0:V`g@02
000000@0[KKO00H000000:^ji@00000000000:f`fP0000030:N^g0030000002S[n00XjoP00<00000
0`2WY]@010000000Z[7M0000000000020;SJl@050000002^c>l0[/c_0:k<k`0000000P2N]nT:0000
00<0VjWP00<000000:kDm00000000`2jl_<010000000ZL;[0:W2j`00000308R7c0040000001bIkL0
000006QK/0<000000P1fI;4010000000KU^]06iK[@00000306eP/`040000001iOL/0NGg;07Umb`<0
00000P2>OK`00`000000LeVV07=IYP02000000030922`0000000MUjZ0080MUjZ00@0000006eDY@1]
E:D000000P1^FZ/300000004079LZ`00000000000:kgk@8000000P1`DYl20000000308I/[P000000
MERS0080MERS00D00000079HY01bF:@0LURT0000000407e[]0030000002QS[l0000000<0OF:X00D0
000007=HX`1cF:<0LeRS0000000207EMZ@0400000025Mkd0QGNm000000<0/LOZ00<000000<WAh000
00000P0000000`2HR<00000008I`/`0208I`/`0500000022KK80PVfb089]/P0000000`26MKT01000
0000Th[709>:a`2CR/L200000080b?3^00<000000<CIj@0000000`2a]md01@000000Xj3B0:>PdP2S
X=8000000080W9G<1000000209jKd0030000002UYMH0YJGF0080YJGF00<000000:V^f`0000000P00
00040:fdgP030000002[/=`0Zk3L00@0000000<0YJOH0000002UZ=P00`2UZ=P01P000000YZWI0000
00000000Z:kL000000@0Z:oM00<000000:V`g@0000000P0000040:Vbg`030000003oool0oooo00D0
oooo00<000000?ooo`3oool0F@3oool002D0oooo0P00000I0?ooo`800000102i[ll01P000000^Jo?
000000000000^Jo?000000<0^Jo?0P0000040;V_c`030000002h[m00000000<0^Jo?00@000000;R_
d02h[m00^:o@0P0000030;R_d0030000002g/=40000000<0^:o@00H000000;N`dP2g/=8000000;R_
d00000040;N`dP030000002g/M<000000080]k3B00H000000;Jae02f/M@000000;N`dP0000040;Ja
e0030000002e/]H000000080][7D00@000000;FbeP2e/]H0]K;F0P0000040;FbeP050000002d]=P0
00000;Fae@000000102d]=P2000000@0/k?H00D000000;:ef`000000/k7G000000040;:dfP800000
102b/]T01@000000/;KM0000002b/=L0000000@0/;CK0`0000020;2af@030000002_]Md0[kGM00<0
0000102_/]X01@000000[KKO0000002`/=P0000000@0[[?L0`0000020:n`f@030000002]/mh0[K?N
00<00000102^/=T01@000000Zk?N0000002`/MT0000000@0[K?M00D000000:^ghP000000[J_E0000
00040:^/f0<000000P2_/m/010000000[KKO0:ffg`2]]]l2000000@0[K3J00<000000:N^g02W[]`0
0`0000020:JNcP040000002WY]@0YjKD0:NVe0800000102hf_470000000308mm^`000000Rgfn0080
Rgfn00@0000008j9bP2>RLX00000102KZN0:000000<0R8O<00<00000079W]`0000000`1XFk020000
000507IT/@000000KU^]06iK[@0000000`1]H;<010000000NGg;07Umb`0000020<_Pj0080000002>
OK`0SWfl08im_0000000LeVV0000001YCZ02000000<0MUjZ00L0000006eDY@1]E:D0KEBU0000001^
FZ/000000080PWo7100000000`23Ij/00000071BW`02071BW`0300000026K:h0000000<0MERS00D0
0000079HY01bF:@0LURT0000000307e[]080000000<0XHjo0000001mHZP00P1mHZP01@000000LeRS
07=HX`1cF:<0000000<0MEfY00D0000008Eg_@25Mkd000000;77jP04000000<0V8S000D0000008I`
/`26L;<0QW2c00000003089]/P0500000026MKT0QWFi08Ie^@0000000P2CR/L3000000030<S`kP00
0000a=WY0080a=WY00@000000;6gg@2a]md000000P2SX=8400000080VI;;00<0000009jKd02NVm00
0P2NVm000`000000YJGF0:FUeP03000000<0[kSP00<000000:fdgP2]]=h0100000020:JYf0050000
002UYmP0YJOH0:FWf00000000P2UZ=P3000000@0Z:kL00<000000:R_g@2X[md00`0000020:Vcg`03
0000002Y/]l0ZK;O0080ZK;O0P0000070?ooo`030000003oool0oooo05P0oooo000U0?ooo`<00000
5`3oool010000000^Jo?0;V_c`0000030;V_c`800000102i[ll00`000000^Jo?000000020;V_c`04
0000002i[ll0^Jo?0;V_c`800000102i[ll01P000000^:o@000000000000^Jo@000000<0^:o@0P00
00040;R_d0030000002g/=80000000<0^:o@00@000000;N`dP2g/=80]k3B0P0000030;N`dP030000
002f/M@0000000<0]k3B00@000000;Jae02f/M@0][7D0P0000030;Jae0060000002e/]H000000000
002f/=<00000102e/]H2000000<0]K7E00H000000;Bdf000000000000;B`e00000040;>cf0800000
0`2c/ML01P000000/[CJ000000000000/joE000000@0/[;I0P0000030;:`e`060000002`]=/00000
0000002b[m@000000`2`/MT300000080/JoF00<000000:nbfP2_/]X00P2_/]X2000000<0/;3H00H0
00000:jcg000000000000;6_e@0000030:n`f@<000000P2`[]H00`000000[[3I0:j`f@020:j`f@80
00000`2`/MT00`000000[K?M0:fcg@03000000<0[J_E00H000000:^/f000000000000;6cfP000004
0:ncf`050000002]]]l000000;:ff`000000102]/=X3000000030:JMc0000000YYk>00<0YYk>00<0
00000:NVe00000000P2khO801P000000^=[a000000000000Y9O8000000<0V8Jn00D0000008mm^`2?
OK/0Sgfk0000000308]m_P050000002>RLX0SXW:0000002KZN00100000000`2lf^l0000009>>b`02
09>>b`030000001gJ;D0MfRe0080000000D0R8O<0000001bIkL0LVNg0000000206QK/0030000001U
G[D000000080000000<0KU^]0000001]H;<00P1]H;<00`000000NGg;00000002000000030<_Pj000
0000SWfl0080SWfl00<0000007=IYP0000000P1YCZ0200000080MUjZ00D0000006eDY@1]E:D0KEBU
0000000206iJZ`0500000022OlL0PWo7089oa`0000000`23Ij/00`000000L5:O071BW`0200000005
08I/[P000000MERS07EHX`0000000`1bF:@00`000000OF^d07e[]00200000004075BWP000000XHjo
00000080OF:X00D0000007=HX`1cF:<0LeRS0000000307EMZ@0300000025Mkd0000000D0000000D0
bM7P0000002HR<00V8S00000000308I`/`0500000022KK80PVfb089]/P0000000`26MKT300000080
`Mg^0`0000020<CIj@L000000P2GSLL00`000000VI;;09VBb`0209VBb`090000002NVm00WY_@09jK
d0000000YJGF0000002_^=l0000000@0[kSP0`0000020:R/fP030000002VZMP0YZWH0080YZWH00<0
00000:FWf00000000`0000020:N/f`030000002X[]`0Z:kL0080Z:kL0`0000000`2Y/ml000000:Vc
g`030:Vcg`060000002Y/]l000000000002Y]N8000001`3oool00`000000oooo0?ooo`1H0?ooo`00
9@3oool010000000oooo00000000000D0?ooo`800000102i[ll01@000000^Jo?0000002i[ll00000
00@0^Jo?0P0000040;V_c`030000002i[ll000000080^Jo?00@000000;V_c`2i[ll0^Jo?0P000004
0;V_d0030000002h[m0000000080^Jo?00@000000;R_d02h[m00^:o@0P0000040;R_d0060000002g
/=8000000000002h[m0000000`2g/=82000000@0]k3B00H000000;Jae000000000000;N_d@000003
0;Jae0800000102f/=<01P000000]K;F000000000000]ZoB000000<0]K7E0P0000040;B`e0060000
002c/mP000000000002d[m<000000`2c/ML2000000@0/joE00H000000;:bf@00000000000;B^d`00
00030;:`e`800000102b[m@01@000000/;7I0000002c[]<0000000@0/JoF00H000000:nbfP000000
00000;:_e00000030;2`f0800000102a[mD01@000000[k3I0000002c/=D0000000@0/:kF00H00000
0:j`f@00000000000;>cf00000030;2af@<000000P2`[MD010000000[J_E0:f[e@2]ZmD2000000@0
/K?J00<000000:ncf`2_/m/00`0000030;:ff`060000002]/=X000000000002YX/l000000`2VWL`0
10000000YYk>0:JNcP2VW/h300000080^n7b0P0000040:BGb0050000002HQ[h0V8Jn09R6_P000000
0P2?OK/01@000000Rgfn08]m_P2;OKh000000080SXW:100000040;cJk`040000002CS//0Thk;0000
0080MfRe00<0000006UI[@0000000P0000001@1bIkL0000006QK/01XFk00000000<0IEje10000000
1`1]H;<00000000000000000Thg:0000001_F:P00`00000208im_0030000001cFJH0000000<0JDjP
0P0000000`1fGZX0000006eDY@0206eDY@040000001^FZ/0KUZ[00000080PWo70P00000308=WZ`05
0000001`DYl0L5:O0000001/D:000P00000307EHX`040000001bF:@0LURT079HY0@000000P1aDYh2
00000080OF:X00D0000007=HX`1cF:<0LeRS0000000207EMZ@<0000000@0QGNm0000002DPK`00000
0P22JJh40000000509R8`0000000QW2c08I`/`0000001022KK800`000000QWFi0000000300000004
0<7MkP000000c?KY0<cfj@<0000000<0XYc?0000002ISlP00P2ISlP00`000000Uhg709N=a`0209N=
a`050000002IT//0VI;;09VBb`0000000P2NVm03000000<0[kSO00H000000:nhh000000000000:bb
g@0000040:R/fP030000002VZMP0000000<000000P2VZ]X00`000000YjcK0:N/f`020:N/f`060000
002X[]`000000000002Z/ml000000`2Y/ml00`000000ZK?O0:Vcg`03000000@0ZKGR00<000000?oo
o`3oool01@3oool2000005P0oooo000U0?ooo`80000000<0oooo0000000000004@3oool200000003
0;V`d0000000^Jo?00<0^Jo?0P0000030;V_c`060000002i[ll000000000002i[ll00000102i[ll2
000000@0^Jo?00D000000;V_c`000000^Jo?000000040;V_d0800000102i[ll00`000000^:o@0000
00020;V_c`040000002h[m00^:o@0;R_d0800000102h[m000`000000]k3B000000020;R^d0040000
002g/=80]k3B0;N`dP800000102g[m400`000000][7D000000020;N^d@040000002f/=<0][3C0;J`
d`800000102f[m800`000000]K7E000000020;J^d@040000002d/=@0];3D0;B`e0800000102d[m<0
0`000000/k7G000000020;F^d@040000002c[mD0/joE0;>_e@800000102d[]<01@000000/[3G0000
002e[]80000000@0/ZoD0P0000030;>^d`040000002a[mH0/JoF0;6_eP800000102b[m@01@000000
/;3H0000002d/=D0000000@0/JoE0P0000030;>`e@040000002`[]H0/:kF0;2^eP800000102c/mP0
1@000000/;7I0000002c/mP0000000@0/:gE00D000000:f[e@000000/kSM000000040;6cfP<00000
0`2f_^400`000000/[KK0;:ff`02000000@0ZJ;?00D000000:JMc02VWL`000000:JNcP0200000080
^>Ge0`0000000`2`[mL000000:BGb0030:BGb0050000002HQ[h0V8Jn09R6_P0000000P2?OK/01`00
0000Rgfn08]m_P2;OKh0000008j9bP0000000P2iioD00`000000U^fk000000030;cJk`040000002C
S//0Thk;00000080MfRe00@0000006UI[@1YFJd0JEV]0`00000306QK/0040000001UG[D0IEje0000
0080Kgg@1000000209>=bP050000001_F:P0KeRX06mHZ00000000P2>OK`010000000LeVV07=IYP00
000206U>X0050000001XDZD0000007INZP0000000P1]E:D01@000000KUZ[06iJZ`000000PWo700<0
00000`23Ij/010000000L5:O071BW`00000206a@X0<0000000<0MERS0000001bF:@01000000207]L
XP030000001aDYh0LE:N008000000P1mHZP00`000000LeRS07=HX`0300000080MEfY0P00000309B1
_00400000022JJh0PVV^00000080OVJ]100000000`26L;<00000089]/P0400000080ZJoL0`000000
1@3<m^T000000000002c^=d0000000<0XYc?00D0000009V?b02ISlP0VHo80000000309N=a`030000
002IT//0VI;;00@000000P2//]d00`000000[kSO0:nhg`03000000@0[;;M00<000000:R/fP2X[=X0
0`0000020:FXf@030000002VZ]X0YZ[J0080YZ[J00<000000:N/f`2W[=/00`0000040:Zcg`030000
002Y/ml0000000<000000`2Y]N800`000000ZKGR0:VehP02000000H0oooo00<000000?ooo`000000
F03oool002@0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0=0?ooo`030000002i
/=00^K3@0080^K3@00H000000;V_c`2i[ll000000;V`d00000040;V_c`030000002i[ll0^Jo?0080
^Jo?00H000000;V_c`00000000000;V_c`0000040;V_c`8000000`2i[ll01P000000^Jo@00000000
0000^Jk?000000@0^Jo?0P0000040;V_c`050000002h[m0000000;R^c`000000102h[m02000000@0
^:k@00D000000;N`dP000000^:k?000000040;N_d@800000102g[]401@000000][3C0000002g[M00
000000@0]ZoB0P0000040;J^d@050000002d/=@000000;J]d0000000102d[m<2000000@0]JkA00D0
00000;>_e@000000]ZkA000000040;B^d`8000000`2e[]801P000000/ZoD000000000000]ZoC0000
00@0/jkC00D000000;6_eP000000]K3D000000040;:_e08000000`2d/=D01P000000/JoE00000000
0000]KGH000000@0/k3E00D000000;2^eP000000]KSK000000040;>cf08000000`2c/mP010000000
/:gE0;2]e@2`[MD2000000<0/kSM00H000000;6cfP00000000000;K:j@0000040;Jnh@<0000000<0
[:cG0000002YX/l00`2YX/l00`000000YYg<0:JMc003000000050;SUm@00000000000;G8j0000000
0`2`[mL01@000000Y9O80:BGb02TUlP0000000<0V8Jn00H0000008mm^`2?OK/0Sgfk0000002;OKh4
000000030;WWm@000000000000H000000`2CS//010000000MfRe07MX]@00000206UI[@040000001S
FK40000000000080J5^`00D0000006EN]@1UG[D0IEje0000000206mmd080000000D0Y_:f0000002C
SLX0Thg:0000000206mHZ080000000D0SWfl0000001cFJH0LeVV0000000206U>X0030000001XDZD0
J5:U008000000P1]E:D00`000000KUZ[06iJZ`0200000080KDfK0P00000208=WZ`070000001`DYl0
L5:O071BW`000000K52P0000000207ER[`<000000P2U]nH01@000000NebR07]LXP1kG:8000000080
LE:N00<00000075FX`00000010000000101cF:<0000007EMZ@1eGJT400000080U86l00@00000089Y
[P22JJh000000`1nIZd00`000000Pfjd08=^]00300000080THG400@000000:V_g02Y[m`0ZJoL1000
00030;>hg@050000002RW<l0XYc?0::Lc`0000000`2ISlP00`000000Uhg709N=a`0400000080YZOG
00@000000:bbg@2//]d0[;;M0`0000020:nih0030000002//]d0[;;M0080[;;M00D000000:R/fP00
0000YJSH000000040:FXf@040000002VZ]X0YZ[J0:JZfP<000000P2Y/ml010000000Z[?O0:Zcg`2Z
/ml300000080ZKKR00<000000:VehP2Y]N800P2Y]N83000000030:Vii0000000oooo00L0oooo00<0
00000?ooo`3oool0EP3oool001X0oooo0P0000080?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool02`3oool2000000@0^K3@00<000000;V_c`0000000`2i/=000`000000^Jo?0;V_c`02
000000D0^Jo?00<000000;V_c`2i[ll00P2i[ll01P000000^Jo?000000000000^Jo?000000@0^Jo?
00<000000;V^c`2i[/l00P2i[/l01P000000^Jo?000000000000^Jk?000000@0^Jo?0P0000030;R^
c`060000002h[m0000000000002h[/h00000102h[]02000000<0^:k?00H000000;N_d@0000000000
0;R]c`0000040;N^d@8000000`2g[M001P000000]ZoB000000000000]jg?000000@0]ZkA0P000003
0;J]d0060000002d[m<000000000002g[M000000102e[]42000000<0]ZkA00H000000;B^d`000000
00000;N_d@0000030;F^dP800000102f[m<010000000/jkC0;>^d`2c[]<2000000<0]K3D00H00000
0;:_e000000000000;Jde`0000030;B`e@800000102e]MP010000000/k3E0;>`e@2c/=D2000000<0
]KSK00H000000;>cf000000000000;Flg`0000030;>cf0060000002`[MD000000000002d`N@00000
0`2c^=d3000000<0]/[Y00H000000;Jnh@00000000000:fih`0000030:b/e`070000002YX/l0ZJ;?
0:VRc`000000YYg<000000020:cVnP800000102eb>P010000000/:oG0;2_e`0000040:BGb0060000
002HQ[h0V8Jn09R6_P000000Sgfk0`0000030:Rmj080000000D0YIS90000002>M[<0SWJc00000002
07ePYP<0000000D0Thk;0000001gJ;D0MfRe0000000206UI[@030000001SFK40HeVa0080000000<0
J5^`0000001UG[D00P1UG[D01@000000Kgg@000000000000M5BN008000000P2CSLX02P000000KeRX
06mHZ0000000HTVO0000002>OK`0000007=IYP00000206U>X0040000001XDZD0J5:U06QBY@<00000
00D0KEBU000000000000ZO;e0000000306e=V`0400000023Ij/0PfN[000000<0L5:O00@0000006a@
X01/D:0000000P1eHZl010000000YKOV0:FgiP2U]nH200000080NebR00D00000075BWP1aDYh00000
075FX`050000000807=HX`00000000000000002bb>/000000<cFh@00000209B1_00500000022JJh0
PVV^089Y[P0000000P1nIZd01@000000Pfjd08=^]023K[@0000000@0THG400L000000:V_g0000000
b?gR00000039in`0000000@0/kSM00@000000::Lc`2RW<l000000P2ISlP400000080WY[@00<00000
0:JWe`2VYmL00P2VYmL3000000030;:oh`000000[kWP00<0[kWP00<000000:bbg@2//]d00`000003
0:FXf0060000002UZ=T0YJSI0:FXf@000000YZ[J0P0000000`2Y/Mh000000:Vcg`030:Vcg`<00000
00<0Z[OS0000002Y]^800`2Y]^801P000000ZKGR000000000000ZKWU000000<0ZKWT00<000000?oo
o`3oool01P3oool00`000000oooo0?ooo`1E0?ooo`006@3oool010000000oooo0?ooo`0000070?oo
o`030000003oool0oooo00D0oooo00<000000?ooo`3oool02@3oool010000000^K7B0;VadP000003
0;V`d0800000102i/=000`000000^Jo?000000020;V`d0040000002i[ll0^Jo?0;V_c`8000001@2i
[ll00`000000^Jo?0;V_c`020;V_c`030000002i[ll0^Jo?008000001@2i[/l00`000000^Jk?0;V^
c`020;V^c`060000002i[ll000000000002i[/h000000`2h[/l2000000@0^:k>00H000000;R^d000
000000000;V]cP0000030;R^c`800000102h[Ll01P000000]jkA000000000000^:g>000000<0]jg@
0P0000040;N]c`060000002f[]4000000000002h[Ll000000`2f[M02000000@0]jg@00H000000;F^
d@00000000000;R_d00000030;J^d@800000102g[m401@000000]JkB0000002h/m@0000000@0]ZoC
00H000000;>^d`00000000000;NdeP0000030;F`e0800000102f]=L00`000000];3E000000020;Nk
g@060000002e]MP0]KGH0;Fef0000000/k3E0P0000020;Joh@030000002e^=/0]KSK00800000102e
_=l00`000000/k?H0;>cf002000000@0]<7T00<000000;>hg@0000000`2`e?<00`000000]/[Y0;K:
j@02000000@0[KWS00@000000:b/e`2/[=L000000P2YX/l600000080[MCd00D000000;G8j02eb>P0
]LSX000000020;2_e`/000000P2GWMP010000000Z;gX0000000000030:FHb@040000002>M[<0SWJc
000000<0OF2V00@0000007AFX@00000000000P1gJ;D020000000JEV]06UI[@1YFJd0000006=I/@00
0000Ig;:0`0000001P1UG[D00000000000000000TWRc000000<0M5BN00<0000009>=bP0000000P1_
F:P00`000000HTVO0699W`020000000307=IYP000000JDjP0080JDjP00@0000006QBY@1XDZD00000
0P1gL;d3000000030:Wbm@00000000000080KDfK0P0000000`23Ij/00000071BW`02071BW`040000
001/D:00K52P000000<0MF:_00D000000:FgiP000000WhFh0000000207]LXP030000001aDYh00000
008000000P1aEZ<00`000000Ofjf07m^]P0200000080//S[0P0000000`3<e^40000009B1_00209B1
_00400000022JJh0PVV^000000<0OVJ]00D0000008=^]023K[@0Pfjd000000030965a080000000<0
b?gR00000039in`00P39in`00`000000/kSM0;>hg@0700000080Uho900<0000009jJd02NV]000P2N
V]000`000000YZOG0:JWe`02000000@0/[oS00<000000:nih02_^N00100000020:JZf@050000002U
Z=P0YJSH0:FXf00000000P2UZ=T3000000@0ZK7N00<000000:Vcg`2Y/ml00P0000040:Zgh`030000
002Y]^80ZKKR00<00000102Y^ND00`000000ZKWT00000002000000P0oooo00<000000?ooo`3oool0
E03oool001T0oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`060?ooo`030000
003oool0oooo00H0oooo0P0000040;VadP050000002i/=0000000;VadP000000102i/=02000000@0
^K3@00<000000;V_c`0000000P2i/=0010000000^Jo?0;V_c`2i[ll2000000@0^Jo?00<000000;V_
c`0000000P2i[ll010000000^Jk?0;V^c`2i[/l2000000D0^Jk?00<000000;V^cP2i[/h00P2i[/h0
1@000000^:k?0000002i[Lh0000000D0^:k>00<000000;V]cP2i[Lh00P2i[Lh00`000000^:k?0000
00020;V]c@040000002h[Ll0^:g?0;R]c`800000102h[Lh00`000000]jg@000000020;V]cP040000
002g[Ll0]jg?0;N]c`800000102h[Ll00`000000]Zg@000000020;R_c`040000002g[M00]jg@0;N]
d0800000102h[m001@000000]ZkA0000002i/]<0000000@0]joA0P0000030;Rce0040000002f[m<0
]ZoC0;J_d`800000102g]=H01@000000]K3D0000002h^]/0000000@0][CG0P0000040;Nkg@030000
002e]MP0]KGH00800000102f_n4300000080/lGX00<000000;Flg`2e_=l0100000020;7:k@030000
002d`N@0]<7T00@000000P2`e?<400000080Z<?/00D000000:fih`2]^N<0[KWS000000020:b/e`<0
000000<0V>Cm0000000000000P2Rb_@00`000000[MCd0:gDm0070000000308fQh@000000S9?F0080
S9?F00D0000008jAd@2>TM40SY7A0000000309NMf08000000P2e]mX01@000000YIS90:FHb@2UV<T0
00000080SWJc00@0000007ePYP1mH:H000000P1dEZ420000000307MX]@000000JEV]0080JEV]00@0
000006=I/@1SFK4000000P1WL/X20000000507OCoP000000TWRc099h/`0000000`1dE9h00`000000
Thg:0000000306mHZ0060000001RBIl0HTVO0000001cFJH000000`1YCZ001@000000J5:U06QBY@1X
DZD0000000@0Mg2m00<00000085SY`0000000P1]CI/01@000000IdVK00000023Ij/000000080L5:O
00@0000006a@X01/D:000000101eHZl20000000309n5^0000000NebR00<000000P1aDYh010000000
LEJS075FX`00000407m^]P040000002bb>/0000007]RZ`<000000P2DPK`010000000PVV^089Y[P00
000307iV[@0500000023K[@0Pfjd08=^]00000000P2AQL@00`000000ao;^0<ObkP0200000080bNO/
100000000`2ES<L0000009B9aP0209B9aP030000002GSlT0Uho90080Uho900T0000009jJd02NV]00
WY[@0000002VYmL000000;?1i0000000102b_n<300000080Z:oL00<000000:JZf@2VZ]T00P2VZ]T0
0`000000YJSH00000003000000<0YjoM00<000000:VagP2Y/Mh0100000020:^hh`030000002Z]n<0
Z[OS00@000000P2Y^ND00`000000ZKWU0:Vii@04000000<0ZKkX00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`1D0?ooo`006@3oool010000000oooo0?ooo`0000070?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool00`3oool2000000030;Rce0000000^K7B00<0^K7B0P000003
0;VadP060000002i/=0000000000002i/M400000102i/=02000000@0^K3@00<000000;V_c`000000
0P2i[m0010000000^Jo?0;V_c`2i[ll2000000@0^Jo?00<000000;V^c`0000000P2i[/h010000000
^Jk?0;V^c`2i[/l2000000@0^Jk>0P0000030;V]cP040000002h[/h0^:k>0;R^cP800000102i[Lh2
000000@0^Jg=00D000000;R]c`000000^Jg=000000040;R]cP800000102i[Lh01@000000]jg?0000
002i[/l0000000@0^:g?0P0000040;R_c`050000002g[M0000000;VadP000000102h[m02000000<0
^K;C00H000000;N_d@2g[m4000000;Vge`0000040;Rce0050000002f[m<000000;Rif@000000102g
]=H2000000<0^;[K00H000000;Jde`00000000000;K1h`0000040;Nkg@<000000P2da^L01P000000
][oQ000000000000[lS/000000<0/lGX0`0000030:_>lP030000002ab^d0/L[]00@000000P2We_P3
000000<0Y<3]00<000000:S3k02X`n`0300000020:;:m0@0000000<0W[KY0000002C/N/00P2C/N/0
1@000000SJ7Q08fQh@2=XN40000000<0S9?F00H0000008jAd@2>TM40SY7A0000002GWMP2000000<0
]KOJ00D000000:FHb@2UV<T0YIS90000000208if/`040000001mH:H0OF2V00000080M5JQ00<00000
075EXP0000000P00000206UI[@040000001SFK40HeVa000000<0Ig;:0`000003099h/`030000001d
E9h0M5BN00<000000`1_F:P01P000000HTVO0699W`000000LeVV000000<0JDjP00D0000006QBY@1X
DZD0J5:U0000000307M`_@0400000021HjL0PF>W00000080KDfK00<0000006M9V`1WBI/00P000002
071BW`050000001/D:00K52P06a@X00000000`1eHZl00`000000K4bK000000020000000307]LXP00
0000LE:N0080LE:N00D00000075FX`1aEZ<0LEJS0000000407m^]P8000000`1kHZ/400000080PVV^
00D0000007iV[@1nIZd0OVJ]0000000308=^]0030000002AQL@000000080ao;^00<000000;kmdP00
00000P00000209jIc`050000002ES<L0UHc709F<a`0000000`2DRLH01@000000Uho909N?b@2GSlT0
00000080WY[@0`0000030;?1i0060000002b_n<000000000002]]n400000102X[m`00`000000YZ[I
0:JZf@0300000080YZgL00<000000:N_g@2W[md00P2W[md300000080ZkWT00@000000:^hh`2[^><0
ZkSS0`0000020:Vji@040000002Y^ND0ZKWU0:Vii@<000000`2Y_^P00`000000ZKkX0:Vnj0030000
00L0oooo00<000000?ooo`3oool0D`3oool001T0oooo00@000000?ooo`3oool000001`3oool00`00
0000oooo0?ooo`080?ooo`030000003oool0oooo00800000102h/m@01P000000^K7B000000000000
^;?D000000<0^K7B0P0000040;Vad@060000002i/=0000000000002i/M400000102i/=02000000<0
^Jo@00H000000;V_c`00000000000;V_c`0000040;V_c`800000102i[/h00`000000^Jk?00000002
0;V^cP060000002i[/h0^Jk>0000002j[/h00000102i[Lh00`000000^:k>000000020;V]c@060000
002i[Lh0^Jg>0000002j[/h00000102i[Ld2000000<0^Jg=00H000000;R]cP2h[Lh000000;Z^cP00
00040;V]cP8000000`2i[/l01P000000^:g?0;R]c`000000^[7A000000@0^:o?0P0000030;VadP06
0000002h[m00^:o@0000002i]MD000000`2i/]<00`000000]joA000000030;Vge`040000002h/m@0
^;?D0;Rce08000000`2h^MT01P000000]kCF000000000000]koP000000<0^;[K0`0000030;K1h`04
0000002g^md0000000000080/LOZ00<000000;C6i`2da^L00P0000040:o8k0030000002caNP00000
0080Z<O`00<000000:_>lP2[c_80100000030:;=mP<000000P2T/N400`000000Y<3]0:C0k@040000
0080ULWi0`00000209jIcP040000002N/>@0W[3T09j`i0<000000`2XZmT010000000W[KY09jfj@00
000309>aj`040000002=XN40SJ7Q000000<0S9?F00<0000008jAd@2>TM400`0000020;6_eP040000
002e]mX0]KOJ000000<0YIS900@0000008if/`2>M[<000000`1mH:H00`000000M5JQ00000003075E
XP80000000H0JEV]0000001SFK40HeVa0000001WL/X3000000030=WXg`000000TWRc0080TWRc00D0
000007ADWP1dE9h0000006M7V00200000080KeRX00<000000699W`1RBIl00P0000001@1cFJH00000
06U>X01YCZ00000000<0J5:U00P0000007M`_@1gL;d000000<c5e0000000PF>W00000080KDfK00@0
000006M9V`1WBI/0IdVK0P0000000`1`DYl0000006a@X00206a@X0030000001eHZl0MF:_00<00000
00D0K4bK000000000000NebR00000003075BWP050000001aEZ<0LEJS075FX`0000000`1oK[H01000
0000SgZi08mj^@00000207]RZ`030000001gGjX0MenZ00@00000101nIZd00`000000Pfjd00000003
000000060<ObkP00000000000000002b_>400000102NVLl010000000UHc709F<a`00000309B9aP04
0000002GSlT0Uho909N?b@<000000P2_^n<00`000000/l7T0;?1i003000000@0[KOQ00<000000:R_
g02X[m`0100000000`2TZm/000000:J]g0030:J]g0060000002W[md000000000002Z^N@00000102[
^N@3000000030:ZkiP000000ZK[U00<0ZK[U0`0000000`2Y_^T000000:Vnj0030:Vnj0<000000P2Y
a>d00`000000oooo0?ooo`060?ooo`030000003oool0oooo0580oooo000I0?ooo`040000003oool0
oooo000000H0oooo00<000000?ooo`3oool02P3oool200000080]kGG00@000000;Rce02h/m@0^;?D
0P0000040;Rce0030000002i/M8000000080^;?D00@000000;Vad@2i/M40^K7A0P0000040;Vad@06
0000002i/=0000000000002i/M4000000`2i[m02000000@0^Jo?00H000000;V_c`00000000000;V_
c`0000040;V^cP8000000`2i[/h00`000000^Jk>000000030;Z^cP040000002i[Lh0^Jg>0;V]cP80
00000`2i[Ld00`000000^Jg>000000030;Z^cP060000002i[Ld0^Jg=0000002j[lh000000`2i[Ld0
0`000000^:g>000000030;Z^cP060000002i[Lh0^Jg>0000002j/=0000000`2i[/l00`000000^:g?
000000030;Zad@060000002h[ll0^:o?0000002j]=@000000`2i/M800`000000^:o@000000030;Ve
e@030000002i/]<0^K;C00<000000`2i]mL010000000^;?D0000000000020;Rlg@030000002h^MT0
^;WI00800000102g_n000`000000^;[K000000030;?2i@030000002f`N<0]/7S00800000102aanX3
00000080[<7Y00<000000:o8k02_b>`00`0000030:S7l0<000000`2V^^P01P000000X/gf00000000
0000Yj3?000000<0Y;7Q0`0000030:FbhP050000002EbOT000000:>=_P000000102NVLh01@000000
W[3T0000002/W<L0000000@0Z:_I4P0000040;6_ePL0000000@0YIS90000002>M[<000000`1mH:H0
0`000000M5JQ00000003075EXP030000001fHjl000000080000000<0HeVa0000000000001@000003
099h/`050000001dE9h0M5BN0000001WAiP00P00000206mHZ0050000001RBIl0HTVO0000001NBZ80
0P00000206U>X0030000001XDZD0J5:U0080J5:U0P0000001@1]BIH0000000000021HjL0000000<0
KDfK00P0000006M9V`1WBI/0000006eGZ0000000L5:O00000080K52P0`00000207IFW`040000001/
C9/0K4bK00000080NebR00@00000075BWP1aDYh000000`1aEZ<010000000Ofjf07m^]P00000308mj
^@040000001kHZ/0Nf:[000000<0MenZ00D0000007aY/P000000000007iV[@04000000<0[kcT0`00
00040;:lh@040000002NVLl0WYW?09jIc`80000000<0UHc70000002DRLH00P2DRLH01P000000Uho9
000000000000YjkM000000<0[k_S0`0000030;71iP030000002]]n40[KOQ00@000000P2TZ]/01@00
0000Y:_K0:B[f`2TZm/000000080YZgL0`0000040:Zii0030000002[^N@0000000800000102Z^nH0
0`000000ZK[U0:Vji@02000000@0ZKkY00H000000:Vnj000000000000:W3k@0000030:W4k@800000
1`3oool00`000000oooo0?ooo`1B0?ooo`006P3oool2000000L0oooo0`0000090?ooo`800000102g
]ML00`000000^;?D000000020;Nee`040000002h/m@0^;?D0;Rce0800000102h/m@00`000000^K7A
000000020;Rcd`040000002i/M40^K7A0;Vad@800000102i/M400`000000^Jo@000000020;Vad@04
0000002i[ll0^Jo?0;V_c`800000102i[ll01P000000^Jk>000000000000^Zo?000000<0^Jk>0P00
00040;Z^cP060000002i[Lh000000000002j[/h000000`2i[Ld2000000@0^Zk>00<000000;V]c@00
00000`2j[lh00`000000^Jg=0;V]c@02000000@0^Zk>00<000000;V]cP0000000`2j/=000`000000
^Jk?0;V^c`02000000@0^[7A00<000000;R_c`0000000`2j]=@00`000000^K7B0;VadP02000000@0
^KGE00<000000;Vbd`0000000`2i^MX00`000000^KOG0;Vge`02000000@0^;cM0`0000020;Fnh@03
0000002g_n00]koP00<00000102c`^D300000080[koV00H000000;77jP00000000000:bbg@000003
0:c1j@<000000`2Y]n800`000000Z<O`000000020:ZWd`040000002V^^P0Y[[X0:Jjj0800000102W
X<l01@000000Y;7Q0000002]X/`0000000@0YK;R0P0000030:>=_P040000002NVLh0WYW>09jIcP80
00000`2/W<L01P000000Z:_I000000000000/ZC;00000080WIgD00<0000007nNiP1oW^H00P1oW^H3
0000000309Qi[`000000XXo100<0XXo100@000000;6_eP00000000000P2^n>/00`000000O;gk0000
000204Ybf080000000<0SWJc0000001mH:H00P1mH:H010000000M5JQ07AFX@000002075EXP040000
001fHjl0MV>_07IS[`8000000`2CV]P20000000306a@W`00000000000080TWRc00L0000007ADWP1d
E9h0M5BN0000001WAiP000000080KeRX00H000000699W`1RBIl0HTVO0000001NBZ8200000080JDjP
00<0000006QBY@1XDZD00`00000206e9UP0300000021HjL0000000<0KDfK00@0000006M9V`1WBI/0
00000P1]EjP6000000<0MUJO00<0000006a<V`1/C9/00P0000001@1kG:800000075BWP1aDYh00000
00@0LEJS0`00000308mj^@050000001kHZ/0Nf:[07]RZ`0000000P1gGjX00`000000O6Vb07aY/P02
00000080SXG600@000000:nli02__>@0[kcT0P0000020<Wbk@050000002b_>40/[cQ0;:lh@000000
0`2NVLl20000000309F<a`000000000000@00000102W[]d01@000000[k_S0000002dbn/0000000@0
/L7V0`0000020:B/g0030000002TZ]/0Y:[K0080Y:[K00<000000:B[f`0000000`0000030:Vgh`03
0000002Z^N@0Z[WT00<000000`2Z_NL00`000000Z[_V0:ZkiP0400000080ZKkY00<000000:Vnj@2Y
_^T00`0000040:W3k@<000000P2Yb?000`000000oooo0?ooo`050?ooo`030000003oool0oooo0540
oooo000S0?ooo`030000003oool0oooo00L0oooo0P0000000`2e^=/000000;Nee`030;Nee`800000
102g]ML01@000000^;?D0000002g]ML0000000@0^;?D0P0000040;Rcd`030000002i/M4000000080
^K;C00@000000;Vad@2i/M40^K7A0P0000040;Vad@030000002i[ll000000080^K7A00@000000;V_
c`2i[ll0^Jo?0P0000040;Z_c`030000002i[/h000000080^Zo?00@000000;Z^cP2j[/h0^Zk>0P00
00040;Z^cP030000002i[Ld000000080^Zo?00@000000;Z^cP2j[/h0^Zk>0P0000040;Z_cP030000
002i[Ld000000080^[3@00@000000;Z^cP2j[/h0^Zk>0P0000040;Z`d0030000002i[/l000000080
^[?B00@000000;Zad@2j/M40^[7A0P0000040;Zde0050000002i/M8000000;Vge`000000102i]MD2
000000@0^KWJ0`0000020;Nkg@060000002h_=d000000000002c^=`000000`2e_^43000000<0/K_Q
00H000000;?2i@00000000000:nbfP0000030:noiP800000102//]d01@000000[<7Y0000002/Y]40
000000@0ZKOR0P0000040:ZWd`050000002V^^P000000:ZE`@000000102WX<l2000000<0[J;<00H0
00000:FbhP00000000000:R;]P0000030:>=_P060000002NVLh0WYW>0000002^Tk/00000102/W<L0
0`000000/ZC;0;:Tb`020;:Tb`050000002MWM@0WIgD0000001oW^H00P0000000`2FL:H0000009Qi
[`0209Qi[`040000002RSl40XXo10::?`@X000000P1:L]P20000000508if/`000000OF2V07ePYP00
00000P1dEZ401@000000LEFR075EXP1aEJ8000000080MV>_00L0000009>Jf02CV]P0Ti[H0000002<
NKT000000080K52O00@00000099h/`2BN;<000000`1dE9h00`000000IdNH0000000206mHZ0080000
001RBIl0HTVO0699W`000000GTZR0000001XIK`60000000707iKW`000000KDVF06e9UP000000PF>W
0000000306e=V`040000001WBI/0IdVK06M9V`D0000000<0VJWR0000000000000`1fEYl01@000000
K4bK06a<V`000000KE2O008000000`1aDYh00`000000LEJS075FX`0500000080SgZi00D0000007]R
Z`1kHZ/0Nf:[0000000307MOZP030000001lJK80000000@0SXG600@000000:nli000000000000P39
l^d<0000000309>=bP000000W9cC0080W9cC00<000000:N^g@2W[]d00P2W[]d2000000<0]<_[00H0
00000;71iP00000000000:N`g`0000040:B/g0030000002TZ]/0000000<000000P2W]>800`000000
ZKOS0:Vgh`020:Vgh`<000000P2Z_^P00`000000Z[gW0:Zmi`0400000080Z;kY00<000000:Vnj@2Y
_^T0100000030:W3k0030000002Y`nd0ZL?]00800000102Yb?02000000L0oooo00<000000?ooo`3o
ool0D03oool002<0oooo00<000000?ooo`3oool01@3oool2000000@0]KSK00H000000;Nee`000000
00000;Fhf`0000040;Nee`8000000`2g]ML01P000000^;?D000000000000]kGG000000@0^;?C0P00
00040;Vbd`050000002i/M4000000;Vcd`000000102i/M42000000@0^K7A00D000000;V_c`000000
^[7A000000040;Z_c`800000102j[ll01@000000^Zk>0000002j/=00000000@0^Zk>0P0000040;Z_
c`050000002j[/h000000;Zad0000000102j[lh2000000@0^[3@00D000000;Z^cP000000^[;B0000
00040;Z`d0800000102j/m801@000000^[7A0000002j]]D0000000@0^[CD0P0000030;Vge`040000
002i]MD0000000000080]kSJ00H000000;VifP00000000000;Fef@0000030;Nkg@800000102c^=`0
0`000000]KkQ000000020;6_eP040000002a^n40/K_Q0;6kh@800000102_/]X01@000000[koV0000
002^Y<h0000000@0[;;M0P0000030:bVd@060000002Y]n8000000000002]Vl@00000102ZYm<20000
00<0ZYG100H000000:NPc`2WX<l000000;:L`00000040:fRc0030000002XRkH0Z8^f0080Z8^f00H0
00000:>=_P2SSKh0000009jIcP0000030:jC^`030000002/W<L0[9c700800000102bY</00`000000
WIgD09fMe002000000<0UW2V00D0000009Qi[`2HNJl0V7V_000000020::?`@0500000031oLH00000
0:R6/00000000`2>JJ<00`000000O5VN07aIWP020000000404Ybf0000000000000000080OF2V00@0
000007AFX@1dEZ4000000`1aEJ801`000000MV>_07IS[`1fHjl0000009>Jf00000000`2<NKT00`00
0000K52O00000002099h/`060000001dE9h0M5BN07ADWP000000IdNH0P0000000`1_F:P000000699
W`020699W`040000001NBZ80GTZR00000080J6Fl0`00000207iKW`030000001]BIH0KDVF00800000
00H0PF>W0000001]CI/0KDfK0000001WBI/300000080KENX00<0000009VYhP2IZN800P00000307IF
W`040000001/C9/0K4bK00000080KE2O0`0000001P1aDYh00000000000000000]m3]00000080O5fT
0P0000000`2?N[T0000007]RZ`0207]RZ`050000001gGjX0MenZ07MOZP0000000P1lJK8010000000
SXG608j5aP2>QLH2000000040:ke^0000000000000000080VY3800D000000924`P2@Q<80T8C20000
000308j4a0050000002CSLX0000009>=bP0000000`2LW=<01P000000YjkM000000000000]Lg/0000
0080]<_[0`0000040:N`g`030000002T[=`0Y:cL00<000000P2U[ml00`000000YkCR0:NdhP020:Nd
hP060000002Y]n<000000000002[_^P000000`2Z_^P300000080ZKkY00@000000:Rnj@2X_^T0Z;kY
0`0000030:W2k0030000002Y`n`0ZL?/00@000000P2Yb?001P000000ZLS`000000000000Z<cb0000
00L0oooo00<000000?ooo`3oool0D03oool002<0oooo00<000000?ooo`3oool00P3oool300000080
/[_P00@000000;Fhf`2e^=/0]KSK0P0000040;Fhf`060000002g]ML000000000002f^=/000000`2g
]ML2000000@0]kGG00H000000;Rcd`00000000000;Nee`0000040;Vbd`8000000`2i/m<01P000000
^K7A000000000000^K?C000000@0^K7A0P0000030;Zad@060000002j[ll000000000002j/]800000
102j[ll2000000<0^[3@00H000000;Z^cP00000000000;Zad@0000040;Z_c`8000000`2j/M001P00
0000^Zo>000000000000^[;B000000@0^[3@0P0000030;ZbdP060000002j/=0000000000002j]=@0
0000102j/m82000000<0^[KE00H000000;Zde000000000000;Rfe`0000030;Vge`<000000`2g^=X2
000000@0]KGI00D000000;Nkg@000000/jkC000000040;>hg0800000102a[mH01@000000/K_Q0000
002`YLd0000000@0[k;J0P0000030:jTcP060000002//]d000000000002_Vl<000000`2/Y]420000
00@0[I_400H000000:ZWd`00000000000:nB^@0000030:ZE`@030000002WX<l0000000<0/Yc000<0
00000:fRc02]X/`00P0000040:R;]P030000002SSKh0Xhfn00800000102^Tk/00`000000[9c70000
00020<>bb@040000002bY</0/ZC;0;:Tb`<0000000<0V72S0000002FL:H00`2FL:H020000000V7V_
09Qi[`000000XXo100000031oLH000000P2XQ[001@000000SVVS08iYX`2>JJ<000000080O5VN00D0
0000071BX00000000000039A`P020000000507ePYP000000M5JQ07AFX@0000000`1aEJ8010000000
MV>_07IS[`1fHjl400000080S7Vi00H0000006a@W`0000000000099h/`00000307ADWP070000001W
AiP0000006=6V@000000KeRX000000020699W`040000001NBZ80GTZR000000<0J6Fl00D0000007iK
W`1nFil0OU^O0000000206e9UP050000001WAIH000000000001]CI/00`00000206M9V`090000001]
EjP0KENX06eGZ0000000VJWR0000002IOkH000000080MUJO00L0000006a<V`1/C9/0K4bK0000001]
D9l000000080O6Rb0P0000030;O@k@050000001lGJ@0O5fT0000001eFJ@00`00000207]RZ`050000
001gGjX0MenZ07MOZP0000000P1lJK800`000000SXG608j5aP04000000030;:ae`000000VY3800<0
VY3800D000000924`P2@Q<80T8C20000000208j4a0050000002CSLX0000009>=bP0000000P2LW=<3
000000<0]Lg/0`0000020:bih`030000002W/=l0Yk3O0080Yk3O0`0000000`2SZm`000000:F_g`03
0:F_g`030000002W]>80YkCR00<00000102[_^P3000000030:Vnj0000000ZKkY00<0ZKkY0`000000
0`2X`N/000000:W2k0030:W2k0<000000P2Yanl00`000000ZLS`0:W8l00300000080Z<cb0`000005
0?ooo`<00000D@3oool002<0oooo00D000000?ooo`3oool0oooo000000020:noiP070000002b^n00
/[_P0;:kh0000000]KSK000000020;>kh0040000002e^=/0]KSK0;Fhf`800000102f^=/00`000000
]kGG000000020;Jhf`040000002g]ML0]kGG0;Nee`800000102g]ML01P000000^K;C000000000000
^;KG000000<0^K?C0P0000040;Vcd`060000002i/M4000000000002i/m@00000102j/M400`000000
^[;B0;ZbdP020;ZbdP060000002j[ll0^Zo?0000002j/m800000102j/=000`000000^[7A0;Zad@02
0;Zad@060000002j[ll000000000002j/m8000000`2j/M02000000@0^[;B00H000000;Z`d0000000
00000;Zcd`0000030;ZbdP800000102j]=@01P000000^[?B000000000000^KCE000000<0^[KE0P00
00040;Rfe`030000002i]mL0000000<0][?F00D000000;NhfP000000]:gA000000040;Fef@800000
0`2c[]<01P000000/kSL000000000000/ZG;000000@0/JoF0P0000030;2Uc@060000002_/]X00000
0000002aW<8000000`2^Y<h2000000@0[i_300D000000:bVd@000000/YNl000000040:fKa0800000
102_T[T01@000000ZYG10:ZE`@2ZUL40000000@0/Yc000<000000:fRc00000000P2`T;@02@000000
Z8^f0:R;]P2XRkH000000:>=_P000000/I:g000000050:jC^`0600000033//T0`k;90<>bb@000000
/ZC;0P0000001@2NMZD0000009Q`X`2HL:<0000000@0UW2V00@0000009Qi[`2HNJl0V7V_0`000003
0:R6/0050000002>JJ<0SVVS08iYX`0000000P1lFIh030000000L5:P071BX0000000<U720000000R
C/D0000007ePYP000000M5JQ000000<0LEFR00@0000007IS[`1fHjl000000`1WEj`02P000000S7Vi
08ai^@000000K52O0000001P@YL00000099h/`00000207ADWP030000001WAiP000000080HdJI0P00
00020699W`040000001NBZ80GTZR00000080J6Fl0P00000307iKW`050000001]BIH0KDVF0000001W
AIH00`0000000`1]CI/0000006M9V`0206M9V`030000001]EjP0KENX0080KENX00@0000006E6V000
000000000P1fEYl01`000000K4bK06a<V`1/C9/0000006e@W`000000101lJ;8010000000]m3]0000
0000000207aMY0040000001eFJ@0MEVT07EIY080000000<0Nf:[0000001gGjX00P1gGjX01@000000
O6Vb07aY/P000000SXG600<00000102b/ML01@000000VY3809Z@b02JT<P0000000<0T8C200H00000
08j4a02>Q<@0SXC40000002CSLX4000000<0/<CX00D000000;G=k0000000//?W000000040:bih`06
0000002W/=l000000000002RYmX000000`2SZm`00`000000YJoO0:F_g`0400000080Z[cW00<00000
0:^nj02[_^P00`0000040:Vnj0030000002Y_^T0ZKkY00800000102X`N/01P000000ZL;/00000000
0000ZLK^00000080ZLO_100000020:W;lP<000000`2Xco@00`000000oooo0?ooo`050?ooo`030000
003oool0oooo04h0oooo000S0?ooo`@00000102__nH00`000000/[_P0;:kh002000000@0/k_P00<0
00000;Fhf`0000000P2c^n0010000000][SK0;Jhf`2f^=/2000000@0][SK00<000000;Nee`000000
0P2f^=/010000000]kGG0;Nee`2g]ML2000000@0^;KG00D000000;Vcd`000000^;KG000000050;Vc
d`030000002i/m@0^K?D0080^K?D00<000000;Zad@2j/M400P0000040;ZbdP030000002j[ll00000
00<0^[?B00<000000;Z`d02j/=000P0000050;Zad@030000002j/m80^[?B0080^[?B00<000000;Za
d00000000P2j/m<010000000^[;B0;ZbdP2j/]82000000@0^[?C00<000000;ZbdP0000000P2i/m@0
10000000^[CD0;Zde02j]=@2000000@0^KCE00D000000;Zfe@000000]k;D000000040;Rfe`800000
102f/mH2000000<0]:gA00H000000;Fef@00000000000;>UbP0000030;>^d`800000102bYL/01P00
0000/JoF000000000000/Yk3000000<0/:G=0P0000040;6L`P050000002^Y<h000000;>I_0000000
102_Vl<2000000<0/YNl00H000000:fKa02]Vl@000000;BF^00000040:nB^@030000002ZUL40ZYG1
00800000102bW<02000000<0/92d00@000000:R;]P2XRkH0Z8^f0P0000030;6B]`040000002^Tk/0
[Y>k0:jC^`8000001033//T01@000000WWJU09ifY@2NMZD0000000<0V72S00D0000009I`YP2FL:H0
UW2V0000000309Qi[`<00000102XQ[0010000000SVVS08iYX`00000207aIWP040000001`DZ00L5:P
071BX0<0000000<08Tk50000000000000P1dEZ4010000000LEFR075EXP1aEJ82000000050;WBk000
0000IeN/06MG[00000000P2<NKT00`000000K52O000000020612U`8000000P1dE9h010000000IdNH
06M7V000000206=6V@8000000P1RBIl00`000000GTZR05i:XP03000000060;NO_`000000OU^O07iK
W`000000KDVF0`0000001@1WAIH0000006e=V`1]CI/0000000<0IdVK00@0000006eGZ01]EjP0KENX
0P00000206E6V0040000001fEYl0MUJO000000<0K4bK00@0000006e@W`1]D9l00000101lJ;800`00
0000TWB_0000000207aMY0060000001eFJ@0MEVT07EIY0000000N66/0`00000307MOZP030000001l
JK80000000@00000102b/ML01@000000VY3809Z@b02JT<P0000000<0T8C200<0000008j4a02>Q<@0
0`000000102V[]d000000:J^g@0000020;34j0<000000`2b`nL00`000000[;WS0:bih`03000000<0
XZOJ00@000000:>[g02SZm`0Xj_L0`0000030:Vii0030000002Z_>L0Z[cW00<000000`2Z_^P00`00
0000ZKkX0:Vnj00400000080ZKoZ00<000000:S1j`2X`N/00`0000030:W6kP<000000`2Ybo400`00
0000ZL_b000000020:W?m0030000002Xco@0Z<od00<000001P3oool00`000000oooo0?ooo`1>0?oo
o`008P3oool2000000<0ZL;/00<000000:noiP2__nH0100000020:noiP030000002c^n00/k_P00<0
0000102c^n001@000000][SK0000002c_>00000000@0][SK0P0000040;Jhf`050000002g]ML00000
0;Jig0000000102h]]L2000000<0^;KG00@000000;Vcd`2i/m<0^K?C0P0000040;Vce0030000002j
/M4000000080^KCE00@000000;ZbdP2j/]80^[;B0P0000040;ZcdP030000002j/=0000000080^[CC
00@000000;Zad@2j/M40^[7A0P0000040;ZcdP800000102j/m<01@000000^[;B0000002i/m@00000
00@0^[?C0P0000040;Vce0050000002j]=@000000;RadP000000102i]=D2000000<0]k;D00H00000
0;Rfe`00000000000;J/d00000030;JceP030000002eY/T0000000@0]:gA00<000000;>UbP2cYLX0
0P2cYLX01@000000/jkC0000002dWl<0000000D0/ZG;00<000000;:N``2bW/<00P2bW/<01@000000
/:G=0000002dV[d0000000@0/Ic20P0000030;>I_0060000002_Vl<0[i_30000002hVk/000000`2b
Uk`00`000000[I_4000000030;BF^0070000002_T[T0[i:i0:nB^@000000ZYG1000000020;VN_@06
0000002bW<00/Yc00000002iW;X000000`2`T;@01P000000Z8^f0:R;]P000000]iZj000000<0/I:g
00@000000:jC^`2^Tk/000000P3Dc=800`000000`k;90<>bb@02000000<0WWJU00D0000009Q`X`2H
L:<0V72S0000000309I`YP030000002HNJl0V7V_0080000000<0e<S>0000002XQ[000`2XQ[001000
0000SVVS08iYX`00000307aIWP060000001`DZ00L5:P0000001XFJd000000P0RC/D400000003075E
XP00000000000080000000@0^M;/0000001WEj`0IeN/0P0000001@2<NKT0000006a@W`1/D9l00000
0080H4:G00@0000007ADWP1dE9h000000P1WAiP01@000000HdJI06=6V@000000J5FY00<0000000D0
GTZR000000000000000005m2U`020000000407iKW`000000000000000080KDVF00@0000006M5UP00
000000000P1]CI/02@000000IdVK06M9V`1WBI/0000006eGZ0000000Le>N0000000206E6V0040000
001fEYl0MUJO000000<0K4bK00@0000006e@W`1]D9l00000101lJ;800`000000TWB_0000000307aM
Y0040000001eFJ@0MEVT000000<0N66/1P0000000`2^c>l00000000000020=K^h`050000002b/ML0
/[7G0;:ae`0000000P2JT<P80000000309ZGc`000000YZkM0080YZkM100000020;S<j@030000002b
`nL0//?W00@000000P2SYmT00`000000XZOJ0::WfP020::WfP<0000000<0Z;?Q0000002Y^N@00`2Y
^N@300000080[;oX00<000000:Znj02Z_^P0100000020:Vnj@030000002Y_nX0ZKoZ00@000000P2Z
aNh010000000ZLK^0000000000020:[;l@030000002Ybo40ZL_a00<000000`2Yco@300000080Ym?g
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`1=0?ooo`008P3oool00`000000oooo0000
00020:W2k0<000000`2Y`n`00`000000[koV0:noiP03000000<0[koV00<000000;>kh02c^n000`00
00030;>lh0060000002f^=/000000000002c_>400000102f^=/2000000<0][WL00H000000;Rfe`00
000000000;Jig00000040;Rfe`030000002i/m<000000080^;OH00@000000;Vce02i/m@0^K?D0P00
00040;Vde@050000002j/]8000000;VeeP000000102j/m82000000@0^[CC00<000000;Zad@000000
0P2i]=@01P000000^[?B0;ZcdP000000^K?D000000@0^[?C0P0000030;Vce0060000002j/m<00000
0000002h/M800000102i/m@2000000<0^;7B00H000000;Vde@00000000000;J/c`0000030;Nbe080
0000102f[=000`000000][?F000000030;FVb@030000002d[M40]:gA00800000102cYLX2000000<0
]9o300@000000;:Ub`2bYL/0/ZG;0P0000050;:N``050000002dV[d0]9Zm0;BJ_@0000000P2aW<80
0`000000^9bl000000030;>I_0030000002_Vl<0000000<0^9^k00D000000;:G_02bUk`0/YNl0000
00040;BF^0040000002_T[T0[i:i0:nB^@8000000`2iW[d00`000000/Yc0000000030;VL^P040000
002`T;@0/92d0;2@]08000000`2gV[X01P000000/I:g0;6B]`000000[Y>k000000<0e<cB00D00000
0<>bb@000000YX>^0000000409ifY@040000002HL:<0V72S000000@0UW2V0`0000030=C8cP050000
002XQ[00Z8J`0:R6/00000000P2>JJ<01@000000O5VN07aIWP1lFIh000000080L5:P00<0000006QI
[@1XFJd0100000000`01Km`0000000000003081DU0<000000P1WEj`010000000C3ZK000000000002
06a@W`040000001P@YL0H4:G00000080M5BN00@0000006M7V01WAiP000000P1SAYT010000000J5FY
06QEZ@1XEJT20000000409S4mP000000000005m2U`<0000000<0OU^O0000001]BIH00P1]BIH01`00
0000IdFF0000001[Cil0000006e=V`0000000`1WBI/200000080Le>N00<0000006E6V01UAYP00P00
000207IFW`040000001/C9/0K4bK00000080KE2O00D0000007aX/P1lJ;80O6Rb00000002099d[`05
0000001lGJ@0O5fT07aMY00000000`1eFJ@010000000N66/07QQ[000000308Moa0030000002^c>l0
0000008000000P3Fk^<700000080SWbk00D0000009:5`P2BQL80TXG20000000309ZGc`040000002V
[]d0000000000080^lkX00<000000;S<j@2hc>T00`0000020:N[fP030000002SYmT0XjOI0080XjOI
00<000000::WfP2RYmX00P0000040:Rch@060000002Y^N@000000000002]_nL000000`2/_nP30000
0080Z[oX00<000000:Vnj@2Y_^T0100000030:[4k@030000002ZaNh0Z/G^00<000000P2Zbo440000
0080ZM3d00H000000:W?m000000000000:OEn00000020:OCm`@000001P3oool00`000000oooo0?oo
o`1<0?ooo`008P3oool00`000000oooo0?ooo`02000000<0X/Kb00<000000:W3k02Y`n`00`000003
0:W3k0030000002__nH0[koV00<000000`2__nH00`000000/kcP0;>lh003000000<0/kcQ00H00000
0;Jhf`00000000000;>lh@0000030;Jig0800000102f^M`00`000000^;KG0;Rfe`03000000<0^;OH
00H000000;Vce000000000000;Ngf@0000040;Vde@8000000`2i]MH01P000000^[?B000000000000
^;GF000000@0^[CC0P0000030;Vde0030000002j/m80000000<0^K?D00H000000;Zcd`2j/m<00000
0;Rad`0000030;Vce0800000102h/M801P000000^K?D000000000000]jg?000000<0^;7B0P000004
0;J/c`030000002g/]@000000080]ZO900@000000;J/d02f[=00]Zc@0P0000040;FVb@030000002d
[M4000000080]J7300H000000;>UbP2cYLX000000;NN_`0000040;BO``030000002bYL/000000080
]Ybn00@000000;:N``2bW/<0/Yk30P0000030;BJ_@030000002aW<80000000<0^9bl00D000000;>I
_02cVK`0/iVl000000040;RK^`030000002bUk`0/YNl00800000102dU[P01P000000[i:i0:nB^@00
0000`JW2000000@0^Ijm00<000000;VL^P2iW;X00P2iW;X01@000000/92d0;2@]02`T;@0000000@0
]iZj00D000000;6B]`2aT[L0/I:g000000040=C<dP8000000P2VPjh00`000000WWJU09ifY@0209if
Y@040000002HL:<0V72S000000@0UW2V0`0000030=C8cP050000002XQ[00Z8J`0:R6/00000000`2>
JJ<010000000O5VN07aIWP000003071BX0030000001XFJd000000080KiSY10000003081DU0030000
001eBHl0000000<0IeN/0P000000102<NKT0000006a@W`0000020612U`8000000P1dE9h00`000000
IdNH0000000306=6V@060000001XEJT0J5FY06QEZ@000000V<Cf0`0000001@1O@YL0000007iKW`1n
Fil0000000<0KDVF00D0000006M5UP1WAIH0000006]?W`020000000306M9V`000000000000800000
0P1cDih020000000IDJH06E6V0000000HTRM0000001fEYl000000P1/C9/010000000KE2O06e@W`00
000207aX/P<0000000<0TWB_0000001lGJ@00P1lGJ@01@000000MEVT07EIY01eFJ@0000000<0N66/
00@0000008Moa027Ol@0Qgo40P0000001P2ak9T00000000000000000W8c2000000<0T7fj00<00000
08il^`2>O;/00P2>O;/010000000TXG209:5`P00000309ZGc`8000000P2kc^P00`000000^lkX0000
0002000000030:nfgP000000Yj_J00<0Yj_J00<000000:>Wf@2SYmT0100000020:J]g@030000002X
/n40Z;?Q00<00000102]_nL3000000030:c1j@000000Z[oX0080Z[oX0`0000030:[5k@030000002Z
a>d0Z/C]00@000000P2Zc?4300000080ZM;f00<000000:W@m02Yd?@0100000020:OEn0<000000P2U
f?X3000000D0oooo00<000000?ooo`3oool0C03oool00280oooo0`0000020?ooo`030000002Ra_80
X/Kb00<000000`2Ra_800`000000ZL?/0:W3k003000000<0ZL?/00<000000:noiP2__nH00`000003
0:joiP030000002c_>40/kcQ00<000000`2c_>400`000000][WL000000020;:lh@040000002f^M`0
][WL0;Jig0<000000`2e^]`00`000000^;OH0;Rgf003000000<0]kOI00H000000;Vde@0000000000
0;Ngf@0000030;VeeP800000102h]MH01P000000^[CC000000000000^;CF000000<0^KCD0P000004
0;Vce0030000002j/m<0000000<0^;7C00<000000;Vce00000000P2g[]0010000000^;7B0;RadP2h
/M82000000@0]jg?00D000000;RadP000000]jS;000000040;J/c`800000102fYlT01@000000]Zc@
0000002fX/@0000000@0]JK90P0000030;FQ``030000002cYLX0000000<0]ijo00@000000;BO``2d
Wl<0]9o30P0000030;JL_P040000002bW/<0/Yk300000080^Ijm00D000000;BJ_@2dV[d0]9Zm0000
00040;RL_0030000002cVK`0/iVl00800000102hVk/00`000000/YNl000000020;bQ_@030000002d
U[P0]9Jh0080]9Jh0P0000030<6Y`P030000002iW[d0^Ijm00800000102iW;X00`000000/92d0;2@
]002000000@0]iZj00L000000;6B]`2aT[L000000=Whh0000000e<cB0080000000<0/Ig40000002V
Pjh00P2VPjh01@000000WWJU09ifY@2NMZD000000080V72S00@0000009I`YP2FL:H0UW2V1@000002
0=C8cP050000002XQ[00Z8J`0:R6/00000000`2>JJ<010000000O5VN07aIWP000003071BX0050000
001XFJd0J5V]0000001_V>T00P00000209A[X00500000020E9@0P5BD0000001eBHl00P00000206MG
[0060000001<>Y/000000000001/D9l000000P1P@YL01`000000G46H0000001dE9h0000006M7V000
00000`1SAYT00`000000J5FY06QEZ@030000000407MMY`000000Gd:G05m2U`8000000P1nFil01000
0000KDVF06e9UP00000206M5UP030000001[Cil0JdnO008000000P2?Rl/30000000307=CWP000000
IDJH0080IDJH00@000000698W@00000000000P1/C9/010000000KE2O06e@W`1]D9l200000080N5RQ
0P0000001@2BM:l0000007aMY01lGJ@0000000<0MEVT00D0000007QQ[01hHJ`0N66/0000000208Mo
a0@0000000<0^[gL0000002LS<800P2LS<801@000000T7fj091m^P2@OKX0000000<0SWbk00@00000
09:5`P2BQL80TXG20`0000020;S5i0060000002kc^P000000000002ib>D000000`2_]]h00`000000
Yj_J0:N[fP0400000080YJWI00@000000:J]g@2V[Md0YZgM0`0000020:k0i`030000002]_nL0[KoW
00<00000102/`NT01@000000Z[oX0000002Za^h0000000@0Z/G]0`0000020:[>lP060000002Zc?40
00000000002Xe?L000000P2Yd_H400000080Y]Ki100000000`2SfOX000000000000200000080XM[k
0P0000050?ooo`030000003oool0oooo04/0oooo000R0?ooo`030000003oool0oooo00<0oooo0P00
000209S8n0030000002Ra_80X/Kb00@0000000<0XLKb0000002Y`n`00`2Y`n`300000080ZL?]00@0
00000:joiP2^_nH0[[oV0`0000030:k0i`030000002c_>40/kcQ00800000102b_>400`000000][WL
000000020;:lh@040000002e^]`0]K[L0;Fjg0<000000`2e^Md00`000000]kOI0;Ngf@03000000<0
]kOI00<000000;VeeP0000000P2g]]T010000000^;GF0;ReeP2h]MH2000000@0^;CF00<000000;Vd
e00000000P2g/m@010000000^K?D0;Vce02i/m@2000000@0^;7C0P0000040;N^d0050000002h/M80
00000;NZc0000000102g[Ll2000000<0]jS;00H000000;J/c`00000000000;NUaP0000040;JWb@80
00000`2fX/@01P000000]JK9000000000000^:71000000@0]J7300<000000;NN_`2gW[l00P2gW[l0
1P000000]9o30;BO``000000^Z6o000000<0]Ybn00<000000;:N``0000000`2iW[d01@000000]9Zm
0;BJ_@2dV[d0000000@0^9bl00<000000;>I_00000000P2oY/4010000000^9^k0;RK^`2hVk/20000
00<0_:6m00@000000;BF^02dU[P0]9Jh0P0000040<6Y`P030000002iW[d000000080aKC:00<00000
0;VL^P2iW;X00P2iW;X200000080_jk900<000000;NJ^P2gV[X00P2gV[X200000080fOSP0P000003
0;6Ma0050000002VPjh0YX>^0:J3[P0000000`2NMZD01P000000V72S09Q`X`2HL:<0000009I`YP<0
00000P1kMl<5000000<0Z8J`00@0000008iYX`2>JJ<000000P1lFIh01@000000L5:P071BX01`DZ00
000000<0J5V]00<000000<Fcb00000000P2DJj0010000000P5BD081DU000000207E9S`040000001W
Ej`0IeN/00000080C3ZK00<0000006a@W`0000000P1P@YL00`000000G46H05a1V0020000000306M7
V0000000HdJI0080HdJI0`00000206QEZ@0:0000001gGJL0MefW0000001O@YL0000005LlUP000000
OU^O00000080KDVF00@0000006M5UP1WAIH000000P1[Cil02@000000Sh_;08n;b`2?Rl/0000006m8
T`000000Le>N0000000306E6V0030000001RB9d0HTRM008000000P1/C9/00`000000KE2O00000002
00000080N5RQ00@0000007IFW`00000000000P1lGJ@01@000000MEVT07EIY01eFJ@0000000<0N66/
00<0000008Moa00000000P0000030;Zmg0050000002LS<80W8c209b<`P0000000`2@OKX01@000000
SWbk08il^`2>O;/000000080TXG20P0000040;S5i08000000P2ib>D010000000^LSU0000002_]]h4
00000080Y:OH00<000000:FYf@2UZMT00P2UZMT3000000030:k0i`000000[/3W0080[/3W0`000003
0:g5j`030000002/`NT0[<7Y00<000000`2Za^h01P000000Z/G]000000000000ZM3d00000080Z/kb
100000020:SDm`<000000P2Tf?X400000080X]Wk0`0000020:7Jn`060000002Qf_/000000000002R
f?/000001P3oool00`000000oooo0?ooo`1:0?ooo`008P3oool00`000000oooo0?ooo`040?ooo`03
0000002Hb?P0V<Sh00<000000`2Hb?P01@000000XLKb0:76lP000000ZL?/0080000000<0X/Kb0000
002Y`nd00`2Y`nd01@000000[[oV0000002Y`n`0000000@0[/3W0`0000020:joiP030000002b_>40
/[cQ00<00000102b_>401@000000]K[L0000002b^n40000000@0]KWM0`0000030;Fig0030000002g
]mT0]kOI00800000102g]]T01@000000^;GF0000002f]=L0000000@0^;CF0P0000040;Nce0050000
002i/m@000000;N`dP0000000`2h/M<00`000000]jg?000000040;N^d08000000`2gZ/`01P000000
]jg?0;N]c`000000^:O8000000@0]jS;00<000000;NUaP2gYLH00P2gYLH01P000000]ZO90;JWb@00
0000^J?3000000@0]Z;400<000000;RQ`@2hXL400P2hXL400`000000]J730;FQ``02000000@0]ijo
00<000000;BO``0000000`2jXKl01@000000]Ybn0;JL_P2fW;h0000000@0^Ijm00H000000;BJ_@2d
V[d000000;nW`P0000030;RL_08000000`2oY/401P000000^9^k0;RK^`000000aKO=000000<0_:6m
00H000000;BF^02dU[P000000<[3d`0000040<6Y`P8000000`35]<X010000000^Ibj0;VL^P2iW;X2
000000<0_jk900@000000;NJ^P2gV[X0]iZj1@0000000`2_cO0000000;6Ma0030;6Ma0040000002V
Pjh0YX>^000000<0WWJU00@0000009Q`X`2HL:<0V72S0`00000208R=d@040000001kMl<0NgO30000
0080NV:/0`0000001@2XQ[00000008iYX`2>JJ<000000080O5VN00D00000071BX01`DZ00L5:P0000
000206QI[@0300000035/lP0000000<0U6^P00@00000081DU020E9@000000P1eBHl010000000IeN/
06MG[000000204`jV`030000001/D9l0000000<0H4:G00L0000005a1V01L@IP0000006M7V0000000
HdJI00<000000`1XEJT30000000807MMY`000000Gd:G0000001G?9H0000007iKW`00000206e9UP04
0000001WAIH0IdFF000000<0JdnO00<0000008n;b`0000000P1_B9<00`000000Le>N0000000306E6
V0050000001RB9d0HTRM0000001]H[D0100000000`2Gl?0000000000000207QHX@030000001fEYl0
MUJO008000000P1lGJ@010000000MEVT07EIY000000307QQ[0<000000P2[lkH01@000000^[gL0;Zm
g02j_M`000000080W8c200D00000091m^P2@OKX0T7fj0000000408il^`80000000<0[[;K0000002h
aN@00P2haN@00`000000`]o^000000020;W8i@@000000P2V[=/00`000000Y:OH0:BWf0020:BWf003
0000002UZMT0YJWI00800000102^`>L00`000000[/3W000000020:k<k`030000002]aN/0[LG[00@0
00000P2ZbO000`000000Z/K^0:[6kP0400000080ZM3d0`0000020:KFn@@000000P2RfO/300000080
XMWk00H000000:;In`00000000000:7Hn`0000020:7Jn`@000000P2Rf?/3000000@0oooo00<00000
0?ooo`3oool0BP3oool00240oooo00<000000?ooo`3oool01P3oool2000000<0S/Sk00<0000009S8
n02Hb?P01`0000020:;6lP030000002Y`nd0ZL?]00<000000`2Y`n`01P000000[/3W000000000000
ZL;/000000<0[[oV0`0000030:joiP030000002b_>40/[cQ00<000000`2b^n401P000000]KWM0000
00000000/[[O000000@0]KWL0`0000020;Bgf`030000002g]]T0]kKI00<000000`2f]=L01P000000
^;CF000000000000][;E000000@0]k?D0P0000030;N`dP030000002h/M<0000000<0]jg?00H00000
0;N^d02g[]0000000;RZc00000030;NZc0030000002g[Ll0000000<0^:O800<000000;NXb`2gZ</0
0P0000040;NUaP030000002fYlT0000000<0^J?300<000000;JRa02fX/@00P0000040;RQ`@030000
002eXL<000000080^j?100@000000;NN_`2gW[l0]ijo0P0000040;ZQ_`030000002fW;h0]Ybn0080
00001@2iW[d200000080_jO200H000000;RL_02hW;`000000<Jld00000030;nV`@030000002hVk/0
000000<0aKO=00@000000;bQ_@2lXKd0_:6m0P0000030<[3d`0600000031ZL80`JW200000039h^/0
00000`35]<X01P000000^Ibj000000000000`][[000000<0_jk900<000000;NJ^P2gV[X00P000003
06[@n`040000002_cO00[lg`000000<0/Ig400@000000:J3[P2VPjh000000`2NMZD01`000000V72S
09Q`X`2HL:<0000009V5_00000000P28SM4010000000NgO307]g``00000207YR[0030000001kFZ00
NeZP00<0000000<0SVVS0000001lFIh00P1lFIh010000000L5:P071BX01`DZ0200000080aK?80P00
000209A[X00400000020E9@0P5BD00000080MDV?0P000000101WEj`0000004`jV`1<>Y/3000000<0
H4:G00<0000005a1V01L@IP01000000206=6V@050000001XEJT0J5FY0000001/AI800P0000001P1g
GJL0000005m2U`1O@YL0000005LlUP8000000P1]BIH01@000000IdFF06M5UP1WAIH000000080JdnO
00<0000008n;b`0000000P1_B9<3000000<0IDJH00@000000698W@1RB9d000000`1]H[D300000005
08M][`000000N5RQ07QHX@0000000P1fEYl00`000000NejV00000002000000<0MEVT0`0000020;Jk
g@P000000`2LS<801P000000T7fj091m^P2@OKX0000008il^`<000000`2^/]/00`000000^<GT0000
00030<;OkP030000002ib>D0000000800000102V[=/00`000000Y:OH0:BWf00400000080[;oX00<0
00000:k0i`2^`>L00`0000030:k<k`<000000P2XcO<00`000000Z/W`0:[9l00400000080Ym;f1000
00020:?HnP<000000P2Qf?/01P000000X]Wk000000000000XMOk00000080XMWk100000020:7Hn`<0
00000P2Se_X4000000040:GEn00000000000000000@0oooo00<000000?ooo`3oool0B@3oool00240
oooo00<000000?ooo`3oool0203oool00`000000S/Sk08k8n`03000000<0SlSk00<0000009W7m`2I
aoL01P0000030:;5lP030000002Y`n`0ZL?/00<000000`2Y`^`00`000000[[oV000000020:W1j`04
0000002^_nH0[[oV0:joiP<000000P2^_^D010000000/[_Q0;:kh@2b^n42000000@0/[[O00H00000
0;Fig000000000000;:hgP0000030;Bgf`<000000P2e]MT010000000][CG0;Jde`2f]=L2000000@0
][;E00H000000;Nce000000000000;N_dP0000030;N`dP800000102g[Ll00`000000]jk@00000003
0;RZc0030000002gZ/`0]j[<00800000102hYlP00`000000]jS;000000020;VVaP040000002gYLH0
]jG60;NUaP800000102iXl<00`000000]Z;4000000020;^Va0040000002hXL40^:710;RQ`@800000
0`2kXl401P000000]ijo0;NN_`000000_jc6000000@0^Z6o00<000000;JL_P0000000P2oZL@01000
0000^Ijm0;VN_@2iW[d2000000<0_jO200<000000;RL_00000000`36_=001@000000_jK10;nV`@2o
Y/40000000@0aKO=00<000000;bQ_@2lXKd00`0000030<[3d`0300000031ZL80000000<0bN;[00<0
00000<FdbP35]<X00P0000040<;Jj`040000002o[/T0_jk90;n^b@80000000<0Lk3g000000000000
1P0000030;6Ma0040000002VPjh0YX>^000000@0WWJU00<0000009Q`X`0000000P2IQK`4000000<0
NgO300<0000007YR[00000000`1kFZ0010000000OUZM00000000000307aIWP030000001`DZ000000
008000000`35/lP200000080U6^P00H00000081DU020E9@0P5BD0000001eBHl20000000406MG[000
0000C3ZK04`jV`80000000@0K52O0000001P@YL0H4:G1@0000000`1WAiP0000006=6V@0206=6V@80
00000P1/AI8010000000HCf@00000000000205m2U`040000001G?9H0EcbF00000080KDVF00D00000
06M5UP1WAIH0IdFF0000000306]?W`8000000P1_B9<20000000507=CWP000000IDJH06E6V0000000
0`1RB9d00`000000KF:e06eR]@0206eR]@0300000027KJl0000000<0N5RQ00<0000007IFW`000000
0`1kGZH5000000<0][_M0P00000308N=dP0300000023OL@0Pgg400X000000P2PVm0010000000[[;K
0:jbf`2^/]/300000080`]o^0`0000020:Vhi08000000P2V[=/400000080YkgY00<000000:boj02/
_nP0100000020:gCm0040000002^c>l0000000000080YM;g00<000000:S=l`2XcO<00`0000030:CC
n0<000000P2Qeo/01P000000XmSj000000000000X=Ok00000080XMSk100000020:7Gn`<000000P2S
eOT4000000030:GDn00000000000008000000P2WdoL300000080Z=Cg00<000000?ooo`3oool00P3o
ool00`000000oooo0?ooo`190?ooo`008@3oool00`000000oooo0?ooo`090?ooo`8000000`24b?d0
0`000000SlSk08o8n`03000000<0T<Sk00@0000009W7m`2IaoL000000P2RaO83000000<0X/Ca00<0
00000:W2k02Y`^`00`0000030:W1j`030000002^_nH000000080Z/3Z00L000000:jni@2^_^D0[[kU
0000002b^n4000000080[kcS00@000000;:jg`2b^]l0/[[O0P0000040;:hgP030000002d]m/00000
0080/kOL00L000000;Fef@2e]MT0]KGI0000002f]=L000000080]K?F00@000000;Jbe@2f/]D0][;E
0P0000040;N_dP030000002g/=8000000080]jk?00@000000;N]c`2g[Ll0]jg?0P0000040;RZc005
0000002gZ/`000000;VZbP000000102hYlP2000000@0^JK600D000000;NUaP000000_:W700000004
0;VS``8000000`2kY/@01P000000^:710;RQ`@000000_jk9000000<0^j?100<000000;NN_`000000
0`2o[<H010000000^Z6o0;ZQ_`2jXKl2000000<0_jW400H000000;VN_@00000000000<Fld@000004
0;nW`P0300000036_=00a[c@0080a[c@00<000000;nV`@2oY/400P0000040<Fgc@030000002lXKd0
000000<0a>g`00<000000<[3d`3:`m<00`0000030<WRj`0300000035]<X0000000<000000`32f^/0
0`000000_jk90;n^b@04000000<0XHo200@0000009aaX@2LLJ40W76Q0`0000000`2aWL@000000:J3
[P020:J3[P040000002NMZD0WWJU09ifY@80000000<0VHFl0000000000000P31^=800`0000004ggU
0000000207]g``030000001jHZ`0000000<0NeZP00<0000007iJW@1nFYd01P00000209Ug[0060000
0035/lP0aK?80000002oY;h000000P2DJj0020000000P5BD081DU020E9@0000007E9S`000000KdF?
0P00000304`jV`H000000`1L@IP30000000306=6V@0000000000008000000P1/AI8010000000HCf@
00000000000205m2U`040000001G?9H0EcbF000000<0KDVF00@0000006M5UP1WAIH000000`1[Cil2
00000080KdRC00@0000006e8U@00000000000P1UAYP01@000000HTRM0698W@1RB9d0000000<0KF:e
00@0000008M][`27KJl000000`1hF:4010000000MUJO07IFW`00000207]NYP050000002=N;L0SGRg
08eh]`0000000P2f^md010000000WlCb09o4lP00000308N=dP0300000023OL@0000000<0Qgk200D0
000009:9aP2BRLH0TXW6000000040:2Kd0030000002^/]/000000080_o;a0`0000020:g@lP030000
002Y^>@0ZKST00@000000P2Q^n/010000000YkgY0:Nmj@2W_NT3000000<0Z=Wh00<000000:gCm02]
do@00`0000020:GBm`@000000P2Pd_T01P000000Y=?h000000000000WmCj00000080XMOk10000002
0:3Gn`<000000P2Re?T400000080YM;g0`0000020:SBmP<000000P2YdoH010000000Ym?g00000000
00020:WFm`030000002Xe?L0Z=Cg00<000000`3oool2000004T0oooo000Q0?ooo`030000003oool0
oooo00/0oooo1P00000208G8o@030000002@b?/0T<Sk00L000000`2Ja_H00`000000X/Ca0:;4l@03
000000<0XlC`00<000000:W1j`2Y`N/00P0000040:[0jP030000002^_^D0[[kU00800000102__><0
0`000000/[[O000000020;2khP040000002b^=h0/[SN0;:hgP800000102c]m`00`000000]KGI0;Fe
f@02000000@0]K?F00D000000;Jbe@000000][7D000000040;N_dP800000102g[/l01@000000]jg?
0000002i[/h0000000@0^:[<0P0000030;VZbP060000002hYlP000000000002k[L/00000102iY/H2
000000<0_:W700H000000;VS``2iXl<000000;nac00000030;^Va0030000002hXL40000000<0_jk9
00<000000;^S`@2kXl400P0000040;n/aP060000002jXKl0000000000034_=800000102oZL@00`00
0000aKcA0<Fld@020<Fld@030000002oYl80_jO2008000001036_=000`000000_jK1000000020<KL
j@0300000035]ld0aKO=00@000000P34kO0<00000003086TjP000000XgNQ00P0000000<0[HJ[0000
002QSl800`2QSl800`000000W76Q09aaX@0209aaX@030000002<KZ`00000008000000P2VPjh00`00
0000WWJU000000020000000309ihY`000000`KSB00<0`KSB0P000000102>Fi40000007]g``000002
07YR[0040000001kFZ00NeZP00000080OUZM00D0000008IQX026HJ00QV6P0000000409Ug[0050000
0035/lP000000;nT_P0000000P2DJj001`000000P5BD081DU020E9@0000007E9S`0000000P1_AHl2
00000080C3ZK0`0000020612U`060000001L@IP0G46H05a1V0000000HE2X0P000000102@a_X00000
08AMW@00000206a5TP030000001Q?I00HCf@0080000000@0Gd:G0000001G?9H0EcbF0P00000206e9
UP040000001WAIH0IdFF00000080JdnO00<0000007UAUP0000000P1_B9<010000000KDRE00000000
000206E6V0050000001RB9d0HTRM0698W@0000000P1]H[D200000080Qff_00D0000007QHX@1hF:40
N5RQ0000000207IFW`040000001kGZH0NejV000000@0SGRg00<000000;Jkg@0000000`00000308N=
dP0400000023OL@0Pgg4000000<0Qgk200D0000009:9aP2BRLH0TXW6000000030:2Kd080000000D0
_o;a000000000000Y^_j000000020:g@lP@0000000<0V[O]000000000000102Q^n/300000080XMSk
00<000000:SIn02XfOP0100000000`2Re_X000000000000200000080W/oi00<000000:3Bn@2Pd_T0
1000000209oDnP<000000P2RdoT400000080YLof0`0000020:S?m0070000002Ud_L000000000002[
dO@000000:SBmP0200000080ZmKf00<000000:WCmP2YdoH00`0000020:WFm`@0000000P0YmWi0000
0000000000000?ooo`000000oooo000004T0oooo000Q0?ooo`030000003oool0oooo00d0oooo00<0
000007[7o`1jaol01`00000208G8o@030000002Ab?X0TLSj00L000000P2Ka_H00`000000XlC`0:?4
l00400000080Y<?_00<000000:[0jP2Z`>X0100000020:^oj0030000002__><0[kcS00<00000102`
^n801@000000/[SN0000002a^^40000000@0/kOL0`0000000`2d]]X000000;FceP030;FceP800000
0`2f/M@01P000000]joB000000000000^;;C000000@0]jk?0P0000030;V^cP060000002hZ/`00000
0000002k/M000000102iZ/X00`000000^jg;0;^]b`020;^]b`060000002iY/H0^JK60000002n]=00
00000`2lZLL00`000000^J?3000000030;nac0030000002kY/@0^jK400800000102o[/T00`000000
^j?1000000020<>ne@040000002o[<H0_jc60;n/aP8000001034_=800`000000_jW40;nYa0020000
00@0aKcA00<000000;nW`P0000000P35gN/00`000000a[c@0<Jld00400000080a]cY2P00000409FI
e@8000000`2PQ[P00`000000PJCZ000000020:=gX@070000002KMjX0VgNZ09]gZP000000ShG40000
00030:f6Z`030000002QSl80XHo200800000102LLJ4010000000S6j/08a^[02<KZ`6000000<0WWRW
00L000000<6hdP31^=80`KSB0000002FHY8000000080SU^A0P00000207YR[0040000001kFZ00NeZP
00000080OUZM00D0000008IQX026HJ00QV6P0000000409Ug[00300000035/lP00000008000000P2D
Jj001`000000P5BD081DU020E9@0000007E9S`0000000P1_AHl50000000503T_VP000000H4:G0612
U`0000000`1L@IP01@000000HE2X065@Z01QD:P000000080Q5fM00H0000006a5TP1/AI80K4FB0000
001Q?I020000000905m2U`000000EcbF05LlUP000000F4JQ0000001]BIH000000080IdFF00<00000
06]?W`0000000P1iDIH01P000000KdRC06m8T`1_B9<0000006e8U@8000000P1UAYP010000000HTRM
0698W@1RB9d200000005061;X`000000000008M][`0000000`1hF:4010000000MUJO07IFW`000003
07]NYP030000002=N;L0SGRg0080SGRg0P00000207i/]0<0000000D0QhgB00000023OL@0Pgg40000
000308Mn`P060000002BRLH0TXW609:9aP000000X9_@2`00000309FekP030000002J]nd0V[O]0080
00000P2Q^n/300000080XMSk100000000`2Oeo/000000000000200000080Wl[f00<0000009k?n@2N
coT0100000020:7>m`@000000P2UcO@300000080ZL_b00H000000:G?mP00000000000:c=l@000002
0:S?m0@000000P2[dO@300000080ZmKf100000000`2Xf_T0000000000002000000030:CLn`000000
00000080000000@0XMcl00000000000000000P3oool00`000000oooo0?ooo`170?ooo`008@3oool0
0`000000oooo0?ooo`0>0?ooo`<000000P1]aOh00`000000N<Oo07S7o`0700000080Q<Wn00<00000
0978nP2Ab?X01P00000309c7m@030000002T`nl0Y<?_00<000000`2U`nl00`000000ZkoX0:^oj003
000000<0[;oX00<000000;2khP2`^n800`0000030;6jh@060000002c]m`000000000002b^n400000
0`2d]]X01P000000]K?F000000000000]KOJ000000<0][7D0P0000040;Rbd`060000002g[/l00000
0000002i]MD000000`2i[/h2000000@0^k7@00<000000;VZbP2iZ/X00P0000040;^]b`030000002i
Y/H0000000<0_[C@00<000000;bYa`2lZLL00P0000040;nac0050000002kY/@000000<:oe`000000
102o[/T2000000@0`kkE00D000000;n/aP000000`]KY000000040<BldP030000002oZL@000000080
a=WY00<000000<Fld@35_=40100000020<GMj`/00000102JVM801@000000XXBc0::4/`2RQ;<00000
0080UIWE00<000000:Z2Z@000000102PQ[P00`000000XgNQ0:=gX@020:=gX@050000002KMjX0VgNZ
09]gZP000000102]QZ/01@000000XHo20000002ZNYl0000000@0W76Q00<0000008a^[02<KZ`00P00
00040:5bW@080000002NN:L0WWRW0000003UbK/000000<6hdP00000209IRTP030000002>Fi40SU^A
00<0000000<0NV:/0000001kFZ000P1kFZ000`000000OUZM0000000408IQX0030000002IMj`0VGN/
0080VGN/0P0000001@007JD0000009A[X02DJj00000000<0P5BD00<0000007E9S`00000010000002
04`jV`030000000i;iX000000080H4:G00D0000005a1V01L@IP0G46H00000003065@Z00400000024
GId0Q5fM000000<0K4FB00H00000064mT01Q?I00000005m2U`00000305LlUP040000001HAZ400000
000000<0IdFF0P00000207UAUP080000001_B9<0KdRC06m8T`000000KDRE0000001eF:<300000004
0698W@0000000000000000<0H4^S0P0000001@27KJl0000007QHX@1hF:40000000<0MUJO00@00000
07]NYP1kGZH000000`2=N;L00`000000T7Rd0000000307i/]0030000001eKkd000000080000000<0
Pgg400000027O/800P27O/800`000000TXW609:9aP0700000080XK[[00D0000009Jfk@2F]^d0U[K]
0000000209FekPP0000000<0Vloj0000000000000P0000020:7CnP<000000`2S`nl00`000000Wl[f
09o:mP03000000<0Y<Ka0`0000020:W7k`060000002UcO@000000000002]bNh000000P2Ybo840000
0080[<ga0`0000030:gCm0<000000P2Zf_P300000080Y=kk0`0000000`2Ngod00000000000020000
0080W=gm0`00000309gHo0040000003oool0oooo000004P0oooo000P0?ooo`030000003oool0oooo
0180oooo1@00000306W4oP030000001faol0M/Oo00H000000`22bOh010000000T<Wk0939n`000002
09c7m@<000000`2LaoH00`000000YL?_0:G3k`03000000<0YLC_00<000000:boj02/_nP00`000003
0:g0j0030000002a^^40/K[Q00<000000`2b^n400`000000];KJ0;BffP03000000<0]KOJ00<00000
0;Jae00000000P2g^M/010000000^;;C0;Rbd`2h/]<2000000@0^KGE00D000000;V^cP000000^[_J
000000040;^ad0030000002iZ/X000000080_;SE00@000000;^]b`2k[L/0^jg;0P0000040;jdd005
0000002lZLL000000<31f`000000102o/L`2000000<0`[oG00H000000;n^b@00000000000;oDj@00
00040<>ne@8000000`32e^T00`000000a;cB0<BldP0400000080a=WY2`00000309jNe0050000001f
bOl000000:B6]0000000102JVM82000000<0XXBc00<0000009FIe@0000000`2ZPZT01@000000X8Jh
0:26^02PQ[P0000000@0XgNQ00D0000009]gZP2KMjX0VgNZ000000040:f6Z`030000002QSl800000
0080ZWZO00T0000009aaX@2LLJ40W76Q0000002<KZ`000000:AbVP000000102QLYd010000000WWRW
09ihY`0000020>G9^`050000002FHY80UV:B09IRTP0000000P2>Fi401@000000R5RB0000001jHZ`0
000000<0NeZP00@0000007iJW@1nFYd000000`26HJ000`000000VGN/09Ug[00209Ug[0040000001]
B9@0000000000080U6^P00@00000081DU020E9@0P5BD1000000206m5S`80000000D0C3ZK0000000i
;iX0>BnJ000000020612U`040000001L@IP0G46H00000080HE2X0P00000208AMW@050000001/AI80
K4FB06a5TP0000000P1Q?I000`000000Gd:G0000000305LlUP030000001HAZ40F4JQ00H000000P1i
DIH01`000000KdRC06m8T`1_B9<0000006e8U@0000000`1eF:<200000080[[SQ00H00000061;X`1P
Bj<0H4^S0000001FAZ<200000080N5RQ00D0000007IFW`1fEYl0MUJO0000000207]NYP040000002=
N;L0SGRg000000<0T7Rd00D0000007i/]01nK;@0OVbd0000000207E__@T0000000H0VnCm00000000
000000000;;1i@0000040:6jj`030000002F]^d0000000<000000`2GZ>800`000000V;gb00000003
000000<0YLWb0`0000020:Vli`030000002S`nl0Xl?_00@000000P2W_NT01P000000Y<Ka00000000
0000[/;Y00000080ZLO_0`0000030:g9kP<000000`2_co4300000080[MSg00L000000:gCm0000000
00000:KPn`000000Z][h0080000000<0W>;m0000002Tg_/00P000000102FhOh00000000000000003
09SLoP030000002LgOd000000080WMGk00<0000009gHo02Mf?`00`0000020?ooo`030000003oool0
oooo04D0oooo000P0?ooo`<00000503oool900000080I/Cn00<0000007;7o`1baol02P00000308o:
o0030000002LaoH0W<Of00<000000`2KbOP00`000000YLC_0:G4k`03000000<0YLOa00<000000:g0
j02]`>P00`0000030:g3jP030000002b^n40/[_Q00<000000`2b_^<00`000000]KOJ0;FgfP020000
00@0]kWK00D000000;Rbd`000000]koP000000040;Vee@8000000`2j^mX010000000^k7@0;^ad02k
/M02000000@0_;SE00D000000;^]b`000000_L?N000000040;jdd08000000`30`M/01P000000_k7<
000000000000_=;Z000000<0`[oG0`0000030;oDj@0400000033_]D0000000000080[>?i00<00000
0<;Fj@32e^T0100000020:SXnP<0000000<0P]kl0000000000000P2RWM001@000000T<Ci0000002W
RkP0000000@0WYkD0P0000030:B6]0060000002JVM80VYWB0000002ZPJP00000102RQ;<00`000000
ZX:Y0:Z2Z@020:Z2Z@030000002PQ[P0X8Jh00800000102SMj400`000000VgNZ09]gZP02000000D0
[HJ[00D000000:YjW`2ZNYl0ZWZO0000000409aaX@8000000P2TLYX01`000000XG:M0:5bW@2QLYd0
000009ihY`0000000`3UbK/01@000000UV:B09IRTP2FHY8000000080SU^A00D0000008QHTP000000
NV:/0000000307]JX0040000001nFYd0OUZM000000<0QV6P00D0000009Ug[02IMj`0VGN/00000002
06e8U0<0000000<0U6^P00000020E9@00`00000207E9S`090000001_AHl0KdF?0000001_BI<00000
04`jV`000000>BnJ0080000000<0H4:G0000001L@IP00P1L@IP20000000506]3S`000000000008AM
W@0000000`1/AI800`000000HCf@064mT003000000<0EcbF00H0000005Q6X@1HAZ40F4JQ0000001h
YNl300000080NE6F00D0000006m8T`1_B9<0KdRC0000000206e8U@040000001eF:<0MERS00000080
[[SQ00<0000007iX/00000000P1PBj<00`000000ETJS05I6X`020000000307QHX@000000MUJO0080
MUJO00@0000007]NYP1kGZH0NejV0`000003091h]0050000001nK;@0OVbd07i/]00000000P1eKkd0
1@000000MhGD07N5e01gQM@000000080Q[Cc100000040;;1i@030000002Q^^/0XK[[00<000000P2I
VM800`000000UjSR09NXhP0209NXhP@0000000<0ZK[U0000002UbO800P0000000`2`^N0000000:Vl
i`020:Vli`<000000P2[]n800`000000YkgY0:Nmj@03000000<0[/;Y0`0000030;7;k@030000002]
bNh000000080/=Kd00H000000:o?l@00000000000:SPnP0000020:gHm`<000000P2Vh?/400000080
W>;m1@00000209SHo@030000002Hg?h0V=cn00<000000P2MeO/4000000060:?=mP00000000000000
003oool00000A`3oool00200oooo00<000000?ooo`3oool05`3oool<00000080I<?m00<0000006k7
o`1^aol02P00000208_<o@030000002KbOP0VlWh00@000000P2Gc?X00`000000YLOa0:G7l@040000
0080X/[d00<000000:g3jP2]`nX0100000000`2[anh000000;:nh`030;:nh`<000000P2b`nL00`00
0000]kWK0;Nif`03000000<0]koP00H000000;Vee@00000000000;G8j00000030;ZkfP060000002k
/M0000000000002jaN<00000102l^=D2000000<0_L?N00H000000;jdd000000000000;WAk0000003
0<31f`<000000`2ld^X00`000000`[oG000000030:gNn0030000002oe>T0_mCY00<000000P2/hoT4
00000080T]cn1000000209S2m@800000102RWM02000000<0Yh^h00H0000009jNe02NW]@000000:^4
ZP0000030:B6]0030000002JVM80000000<0ZX6X00D000000::4/`2RQ;<0XXBc000000040:Z2Z@05
0000002PQ[P000000:alW`000000102SMj401P000000VgNZ09]gZP000000]XRU000000@0[HJ[00D0
00000:YjW`2ZNYl0ZWZO0000000409aaX@050000002TLYX0Y7:J0:AbVP000000102QLYd200000080
iLVk0P00000309IRTP060000002>Fi40SU^A08iKT@000000R5RB0P00000307]JX0040000001nFYd0
OUZM000000<0QV6P00<0000009Ug[02IMj`00P00000206e8U0H000000P20E9@010000000MDV?07E9
S`00000206m5S`030000001_BI<0KdVC0080000000<0>BnJ0000000G<Zl00P00000305a1V0800000
00D0Jd>?000000000000Q5fM0000000306a5TP030000001Q?I00HCf@0080000000D0Gd:G0000001G
?9H0EcbF0000000405Q6X@040000001H>Y<0000000000080NE6F00D0000006m8T`1_B9<0KdRC0000
000206e8U@060000001eF:<0MERS07EHX`000000[[SQ0`000002061;X`080000001FAZ<0ETJS0000
001IE;80000007QHX@00000207IFW`030000001kGZH0NejV0080000000<0/iRl0000002@N;@00P2@
N;@01@000000OVbd07i/]01nK;@000000080MFnm00@0000007N5e01gQM@0MhGD0`0000001@2Tj?/0
00000<;6g@32a]d000000080//7U100000000`2NTlP0000009VIdP0309VIdP060000002GZ>800000
0000002[ZmL000000P2Y^^D3000000@0/;WP0`0000000`2`]mh000000:^ghP020:^ghP<000000`2a
`^H00`000000[/;Y000000020;?Bl0030000002abnd0/L_]00<000000P2`e_@300000080Z>3j1000
000209[Uo0<000000P2?ho`500000080WM7j00<0000009SHo@2Hf?d0100000000`2QcoP000000000
000200000080Y/Sa0`0000020:[4k@040000003oool0oooo000004H0oooo000P0?ooo`030000003o
ool0oooo01T0oooo00<0000006c1oP1/`Oh03@00000206C2oP030000001[aOh0JlGn00X000000P25
c?h00`000000Ulcj09O<nP03000000<0T/kl00<000000:;:m02Rb_@00`00000309g>n0050000002[
anh0ZlO^0000002b_^<00P0000020:O<l`030000002b`nL0//?W00<000000`2_b^h00`000000]koP
0;Noh003000000<0]LSX00<000000;ZkfP2j^mX00`0000030;[5h`040000002l^=D0000000000080
]=3^00<000000;g3gP2m`mh00`0000030;WAk00300000030`M/0000000<0ZmWg00<000000;cBjP2l
d^X00`0000020:gNn0@000000P2Lf?`3000000<0W[o`0`0000030:BPd@050000002H`_D000000:R=
^@0000000`2RWM000`000000[XR]000000030:N;^0030000002NW]@0000000<0ZhBZ00D000000:B6
]02TQ[@0Y8Jd000000040:Z1Z0030000002RQ;<0XXBc008000001@2ZPZT200000080[7bO00L00000
0:=gX@2SMj40XgNQ0000002KMjX000000080]XRU00@000000:f6Z`2]QZ/0[HJ[0P0000030:YjW`03
0000002LLJ40W76Q0080W76Q00D000000:AbVP2TLYX0Y7:J000000040:5bW@8000000P3UbK/20000
00<0UV:B00D0000008iKT@2>Fi40SU^A0000000208QHTP8000000P1kFZ0010000000OUZM07iJW@00
000308IQX0030000002IMj`0VGN/008000000P1]B9@40000000509A[X0000000P5BD081DU0000000
0P1eBHl010000000KdF?06m5S`00000306m9T`/0000000H0Jd>?0000001W?hh0000008AMW@000002
06a5TP050000001Q?I00HCf@0000001L@9L00P00000205LlUP040000001HAZ40F4JQ05Q6X@800000
0P1H>Y<010000000NE6F07UAUP00000306m8T`040000001]B9D0KDRE000000@0MERS00<0000007I?
U`1fCiL00P0000001@1PBj<0000005I6X`1FAZ<000000080FEBb0P00000307IFW`<000000P2cV;`0
0`000000T7Rd091h]002091h]0050000001nK;@0OVbd07i/]00000000P1eKkd300000080YJoO0P00
00030<;6g@<000000P2XUl@01@000000WY?809jCb02NTlP000000080VIWB0`0000040:^[e`D00000
0`2`^N02000000@0/;ON00<000000:^ghP0000000P2danP00`000000/L;V0;72iP03000000<0/m;`
0`0000000`2/h?T000000000000200000080V^Ol0`00000208OTn@/0000000@0XlSc0000002MdOX0
WM7j100000020:G8lP<000000P2Z`n`010000000Y/Sa0000000000020:g3jP030000002Za>d0Z/C]
008000000P3oool00`000000oooo0?ooo`130?ooo`00803oool00`000000oooo0?ooo`0J0?ooo`80
00000P1d`oh00`000000L<;n0732oP0=00000080JL;n00<0000006[4oP1Za?h02`00000207o<o`03
0000002Bc_`0T/kl00<000000`2;c_h00`000000WLkh09g>n00700000080Ylcc0`0000030:3@n@03
0000002_b^h0[l[^00<000000`2Xd?D00`000000]LSX0;G8j003000000<0[m3a00<000000;[5h`2j
aN<0100000020;C@kP<000000`2Ye_L00`000000^M7/0;WAk00300000080ZmWg1000000209oCnP<0
00000`2Q_Nd3000000<0YZ;B00D0000009jol0000000ZY6l000000040:BPd@8000000`2XSKT00`00
0000XYg@000000030:j8[@050000002WRkP0Yh^h0:N;^0000000102[Q:X01@000000Y8Jd0:B6]02T
Q[@0000000@0ZX6X00<000000::4/`0000000P2cQZD00`000000ZX:Y0:Z2Z@020:Z2Z@050000002/
O9l0[7bO0:alW`000000102SMj4200000080]XRU00H000000:f6Z`2]QZ/000000;R8XP0000030:Yj
W`040000002LLJ40W76Q09aaX@8000000`2TLYX00`000000XG:M0:5bW@020:5bW@060000003UbK/0
iLVk0000002QKYL000000`2FHY801@000000SU^A08iKT@2>Fi4000000080R5RB0P00000207]JX004
0000001nFYd0OUZM000000@0QV6P0P0000000`2BIid00000000000050000000509A[X0000000P5BD
081DU00000000P1eBHl010000000KdF?06m5S`00000306m9T`0300000021HjL0PF>W00<0000000/0
Wg^/0000001gD9H0Me2F0000001[@hl0000006LoSP000000Q5fM0000000206a5TP040000001Q?I00
HCf@064mT0<000000`1G?9H01@000000F4JQ0000001P@iT000000080F3ZC00@0000007UAUP1iDIH0
00000`1_B9<010000000KDRE06e8U@00000407EHX`080000001fCiL0MTnG0000001aDId00000061;
X`00000205I6X`030000001IE;80FEBb00L000000`2cV;`00`000000T7Rd00000009000000<0YJoO
00@000000<k9e@000000`/KM0P0000000`2hZLX000000:RGa0030:RGa0030000002NTlP0WY?800<0
00000P2[XLd010000000Zj_G0:^[e`2[ZmL200000080]k_L00L000000;Nkg0000000/;WP0000002f
`>40000000@0/;ON0P0000030;C7j0<000000P2agoL01@000000/m;`000000000000V^Wj00<00000
0P1lho<:00000080XLOc00<0000009OCo02Gdo`0100000020:?8l`<000000`2Z`^/00`000000YLSb
000000020:k1j0030000002Z`n`0Z/?/00800000102]`nX300000080[/K[00<000000?ooo`000000
A@3oool00200oooo00<000000?ooo`3oool0703oool600000080ML?n00@0000007C2oP1d`_h00000
0P1a`Oh:00000080LL;n00<0000006o4o`1_a?l02P00000207c:o`L000000P26c?h00`000000U]3l
09K@o00400000080T<km00<000000:3@n@2Pd?T01000000209S@n`030000002Xd?D0Z=3e00@00000
0P2OdOT00`000000[m3a0:o@l@0400000080YM?h1000000209k=n0030000002Ye_L0ZMKg00@00000
0P2PcoP3000000<0X[c/0`0000030:NUd`050000002Q_Nd000000:^E_`000000102VX]82000000<0
ZY6l00H000000:BPd@2TX=4000000:n;/00000040:R=^@030000002^R:d0[XR]0080[XR]00D00000
0:N;^02WRkP0Yh^h000000040:^4ZP030000002TQ[@0Y8Jd008000001@2ZPJP200000080/hJU00<0
00000:Z2Z@2ZPZT00P2ZPZT01@000000[7bO0:alW`2/O9l0000000@0XgNQ00D000000;J8Y@2fR:D0
]XRU000000020:f6Z`040000002hR:80^8RR00000080ZWZO00H0000009aaX@2LLJ4000000:UfV`00
00030:AbVP030000002QLYd0XG:M0080XG:M0P000000103UbK/000000:5^U`00000309IRTP050000
002>Fi40SU^A08iKT@0000000`28F98010000000NeZP07]JX000000207iJW@0300000026HJ00QV6P
0080QV6P1000000306e8U080000000<000b@0000000000000P20E9@010000000MDV?07E9S`000003
06m5S`040000001_BI<0KdVC000000@0PF>W0`00000207M@UP030000001[@hl0Jd>?0080000000D0
Q5fM0000001/AI80K4FB00000003064mT0030000001L@9L000000080000000@0EcbF000000000000
00000P1P@iT010000000F3ZC00000000000207UAUP040000001_B9<0KdRC000000<0KDRE00<00000
07EHX`1eF:<00P00000207I?U`030000001aDId0LE6M008000000P1FAZ<010000000FEBb05UD/P00
000307JFi0P000000P2?K:L01@000000TG:]095b[@2ALZd0000000<0V8Fn00<000000:F_g`000000
0`3>bMD00`000000^:W:0;RYbP020;RYbP090000002XUl@0Z9O40:RGa0000000WY?80000002/W/X0
000000@0Zj7=00D000000:^[e`000000_/CO000000030;Nkg0<000000`2f`>401`000000/;ON0000
00000000]=Ga0000002danP00P00000209g/n@030000002agoL0/Mog00/000000`2Na_@00`000000
SmCn000000020:Vki`030000002Qao<0XLOc00<000000`2Y_nT300000080[kkU00<000000:[2j`2Z
`^/00`0000030:k1j0<000000P2`aNX01P000000[L?Z000000000000[l_^00000080[/K[0`000000
0`3oool000000?ooo`130?ooo`00803oool00`000000oooo0?ooo`0O0?ooo``000000P1e`oh00`00
0000M/;n07K2oP0:00000080Nl;m00<0000007S3oP1h`oh01`0000020873o@0300000020aoh0P<On
00L000000P28b?d00`000000T<km093>o@03000000<0T<Wk00<0000009S@n`2Hd?/00`00000309O:
n@030000002OdOT0Wm7i00@000000P2KboP3000000<0X;g]00<0000009k=n02NcOP00`0000030::l
k0<000000P2WZ=L01P000000X[c/000000000000[9[4000000@0YjGC0P0000030:^E_`060000002V
X]80YZ;B0000002`Sk@000000`2ZTK`00`000000Y:3A000000030:n;/0050000002XSKT0Z8fi0:R=
^@000000102^R:d00`000000Yh^h0:N;^002000000D0ZhBZ0P0000020;:6YP030000002ZPJP0ZX6X
0080ZX6X00D000000;>6Y@2cQZD0/hJU000000030:Z2Z@8000000`2/O9l00`000000XgNQ0:=gX@02
0:=gX@030000002fR:D0]XRU0080]XRU0P0000030;R8XP090000002ZNYl0ZWZO0:YjW`000000W76Q
0000002YMY/0000000<0Y7:J00D000000:5bW@2QLYd0XG:M000000020?[XZP040000002QKYL0XFjG
000000<0UV:B00D0000008iKT@2>Fi40SU^A0000000308QHTP8000000P1kFZ0010000000OUZM0000
0026HJ0400000080TVNM00@0000006e8U01]B9@0KDRD0P0000000`003900000000000002081DU004
0000001eBHl0MDV?000000<0KdF?00D0000006m9T`1_BI<0KdVC00000002085SY`040000000;48h0
000000000080Me2F00D0000006]3S`1[@hl0000006LoSP0200000080K4FB00L00000064mT01Q?I00
HCf@0000001L@9L000000080J7370P0000001P1K>i4000000613V@1P@iT0000005PjT`8000000P1i
DIH010000000KdRC06m8T`00000306e8U@030000001eF:<0MERS008000000`1fCiL00`000000LE6M
075AW@020000000305I6X`000000FEBb0080FEBb00@0000007JFi000000000000P2MPK@010000000
TVnX099_Z000000308m/Y`030000002ALZd0TG:]0080TG:]00D0000009R5_P2HQKh0V8Fn00000004
0<k9e@030000002hZLX0^:W:0080^:W:00@000000:RGa02XUl@0Z9O40P0000030:bNbP040000002[
XLd0Zj7=0:^Qc@8000000`2na=l00`000000]k_L0000000300000080]/3Q100000020;CEl@<00000
0P2Mk?T6000000<0VL?d00<0000008CDo`0000000P2W]^@00`000000W/Kd09k6m003000000<0ZK_W
0`0000020:njhP060000002Y_nT000000000002c`>@000000`2__^D300000080/L?W00H000000:k1
j000000000000;7<k@0000020;35jP<000000`2_bnh300000080[=3c00@000000?ooo`3oool00000
@`3oool001l0oooo00<000000?ooo`3oool08@3oool00`000000L<Go0735o`0=00000080LLGo00@0
000007W4oP1ia?h000000P1l`_d700000080QL;k00<0000008C1n`24`O/01`00000308fon0030000
0029`oX0RL?j00L000000P2A`_L00`000000T<Wk0939n`03000000<0V<3d00<0000009O:n@2Gb_T0
0`00000309fnl0<000000P2U/>000`000000X;g]0:2mk@0400000080YjcK00H000000::lk0000000
00000:bObP0000040:NXe`030000002/V/@0[9[40080[9[400H000000:NUd`2WYM<000000;6D^@00
00030:^E_`030000002VX]80000000<0/8nd00D000000:ZA_02ZTK`0ZY6l000000040:n;/0030000
002XSKT0Z8fi008000001@2^R:d200000080/hVX00<000000:^4ZP2[Q:X00P2[Q:X01@000000/XJV
0;:6YP2bQZH0000000@0ZX6X00D000000;>6Y@2cQZD0/hJU000000020:Z2Z@030000002fQZ<00000
00<0[7bO00@000000:=gX@2SMj40XgNQ0P0000040;J8Y@030000002hR:80^8RR0080^8RR00@00000
0:YjW`2ZNYl0ZWZO0P0000020:UfV`050000002TLYX0Y7:J0:AbVP0000000`2QLYd010000000n^RZ
0?[XZP0000020:5^U`050000002FHY80UV:B09IRTP0000000`2>Fi4020000000R5RB08QHTP28F980
000008IKV@000000NeZP100000001026HJ0000000=B[[P000002099WW@040000001]B9@0KDRD06e8
U0<0000000D000b@00000020E9@0P5BD0000000207E9S`050000001_AHl0KdF?06m5S`0000000`1_
BI<00`000000PF>W085SY`020000000500/@SP000000Me2F07M@UP0000000P1[@hl010000000Icn>
00000000000206a5TP050000001Q?I00HCf@064mT00000000P1L@9L01@000000J73706Q`a`000000
Fc^A0080000000@0H4>I0000001H>Y<0F3ZC0P0000001@1iDIH0000006m8T`1_B9<0000000<0KDRE
00D0000007EHX`000000PENG0000000307I?U`050000001aDId0LE6M0000001dJKP00`0000000`1I
E;80000000000002000000<0WH6d00@00000099_Z02BKjP00000102?K:L01@000000TG:]095b[@2A
LZd0000000<0V8Fn00L000000<k9e@3>bMD0c/WE0000003Cem/0000000<0^:W:00H000000:RGa000
000000000:fUc`0000030:bNbP060000002[XLd0000000000033f>T000000P2na=l400000080_=K]
0`0000020:GXn``000000P2V/>000`000000VL?d09W3m003000000<0YkKT0`0000020:neg@060000
002Y^nL000000000002e_=l000000`2_^^82000000@0/l3T0`000000102dc>/000000;73i`2a`nL3
000000<0/Lc]0`0000020:gDm0060000002_bnh000000000002Vf?T000000P2/d?<600000480oooo
000O0?ooo`030000003oool0oooo0280oooo0`00000207C4oP030000001X`oh0J<?n010000000P1f
a_l00`000000P<Cm0834o@06000000<0Rl?j00@0000008k0m`2>`?L000000P2=_oP400000080V;ca
00<0000009FmlP2E_O801`00000209bik0030000002H`?@0V<3d00@000000P2Q]>H01P000000WKk`
000000000000ZJ_H000000<0YK3P0`0000020:^Ud0040000002W[=/0YjcK0:N/f`800000102/WlX0
0`000000YjSG0:NXe`02000000@0[9[400<000000:NUd`0000000`2aU;T01@000000ZiFo0:^E_`2[
UKl0000000@0/8nd00<000000:ZA_02ZTK`00P0000040:n;/0030000002XSKT000000080]Hf]00<0
00000:j8[@2^R:d00P2^R:d01@000000/hVX0;>9Z02cRJP0000000@0ZhBZ00D000000;:6YP2bQZH0
/XJV000000030:Z1Z08000000`2cQZD01P000000ZX:Y0:Z2Z@000000]XJS000000<0[7bO00@00000
0:=gX@2SMj4000000P31U:P01@000000]XRU0;J8Y@2fR:D0000000@0^8RR00D000000:YjW`2ZNYl0
ZWZO000000030:UfV`030000002TLYX0Y7:J0080Y7:J00<000000:5bW@0000000P3jj:X2000000<0
XFjG00@0000009IRTP2FHY8000000`2>Fi401P000000R5RB08QHTP28F980000008IKV@<000000P1n
FYd300000080e:^^00<00000099WW@0000000`1]B9@01@000000ABj@00000000390000000080P5BD
00@0000007E9S`1eBHl000000`1_AHl01@000000KdVC06m9T`1_BI<000000080PF>W0P0000001@0;
48h0000007M@UP1gD9H000000080Jd>?00@0000006LoSP1W?hh000000P1/AI801@000000HCf@064m
T01Q?I0000000080G42G00<0000006Q`a`0000000P1K>i42000000060613V@000000F3ZC05PjT`00
0000FSnG0P00000306m8T`080000001]B9D0KDRE0000001eF:<00000085GU`00000307I?U`040000
001aDId0LE6M000000<0M6Vh0`0000020<GQk@030000002MPK@0WH6d0080WH6d00@00000099_Z02B
KjP000000`2?K:L01@000000TG:]095b[@2ALZd000000080V8Fn00D000000=?:d@000000c/WE0000
00020=?Gf`030000002hZLX0^:W:00<000000`2]YLl010000000[9k:0:bNbP2/W/X2000000<0`mSY
0`0000020:[cm0`000000P2T[=`01P000000U<;f000000000000[JOA000000<0Y[3P0`0000020:j^
e`060000002W]^@000000000002f]]T000000`2_]Md2000000@0]KcO0`0000020;S:j0030000002c
`>@0/l3T008000000`2dc>/3000000<0/=Se00<000000;7<k@0000000P2UgO/00`000000[MCd0:gD
m00300000080Y]Si0`0000020:7FnP@00000@P3oool001l0oooo00@000000?ooo`0000000000903o
ool500000080ML;n00<0000006?1o@1S`Od04@00000206S6oP040000001naoh0O/On00000080Rl?j
1P00000309K1m@030000002H_?40V;ca00<000000P2O_>d01@000000WkOY09ngj@2O]nT000000080
W;W/0`0000030:Fah@030000002Q]>H0XKCV00800000102YZmP01@000000YK3P0000002_Y/l00000
00@0ZjG@00D000000:N/f`000000/Io6000000040:bObP030000002WZ=L000000080/IVo00<00000
0:bJa02/V/@00P2/V/@00`000000/IBi0;6D^@020;6D^@030000002[UKl0ZiFo00800000102`Sk@0
1@000000ZY6l0000002fTK00000000D0[h^`0P0000020;F=[@030000002^R:d0[XR]0080[XR]00D0
00000;>9Z02cRJP0/hVX000000030:^4ZP8000000`2bQZH010000000ZX6X0:Z1Z00000020;jCZP04
0000002cQZD0/hJU0;>6Y@8000000P2fQZ<00`000000[7bO0:alW`020:alW`030000002SMj400000
0080`IBX00<000000;J8Y@2fR:D00P0000040;R8XP050000002ZNYl0ZWZO0:YjW`0000000`2YMY/0
0`000000Y7:J0:AbVP020:AbVP8000000P3jj:X00`000000]8JU000000030:5^U`040000002FHY80
UV:B000000<0SU^A00@0000008QHTP28F980R5RB0P0000000`26FiT000000000000400000006081@
SP000000e:^^0000002BIid000000`1]B9@010000000ABj@00000000390200000080P5BD00<00000
07E9S`0000000`1_AHl02P000000KdVC06m9T`1_BI<00000085SY`000000M4J;0000000;48h20000
000507M@UP000000Jd>?06]3S`0000000P1W?hh01@000000K4FB06a5TP1/AI8000000080HCf@00H0
000005a0U`1L@9L0000006Q`a`00000205/kT@0400000014;i80000000000080F3ZC00@0000005Xo
U`00000000000`1_B9<010000000KDRE06e8U@1]B9D200000003085GU`000000MTnG0080MTnG00D0
0000075AW@1aDId0LE6M0000000307AY^08000000`35hNd01@000000WH6d09f1]02MPK@000000080
TVnX00D0000008m/Y`2?K:L0SfbW00000004095b[@8000000P3Cb]4300000080dmOK0`0000020:nk
h`030000002]YLl0[JG?0080[JG?0`0000020;?am@0300000033f>T0000000P000000P2OXMH01P00
0000S;gf000000000000[:3:000000<0Y:cL0P0000040:fWd@<0000000<0]ZkA0000002^[]L00P2^
[]L2000000@0][KI0`0000020;_7i0030000002e_=l0]KcO00800000102hb^P300000080/m_d00<0
00000;C<j`0000000P2Si?`00`000000/=Se0;3Hm@0300000080YMgk100000000`2Lg?d000000000
00020000000309_Eo00000000000008000000P2OboL00`000000oooo000000110?ooo`007`3oool2
000002L0oooo00<0000008K2n`26`_/01`00000207c1o@030000001U_oh0IKon01<000000`1`bOl0
10000000R/Ol08[7o000000209K1m@<000000P2GaOL01@000000Wkc]09nlk@2O_>d000000080WkOY
0`0000030:Neh`030000002U/N40YK7Q00<000000P2/[]T010000000ZJ_H0:V[f02YZmP2000000<0
[jK?00@000000:^Ud02[YM00ZjG@0P0000030;6OaP040000002/WlX0[9o:0:bObP800000102aVKl0
0`000000[9[40:bJa002000000@0/IBi00<000000:^E_`0000000P2gU[H00`000000/8nd0;2?]002
0;2?]0050000002fTK00]Y6`0;JA/0000000102_Rk001@000000]Hf]0;F=[@2eSJd0000000<0[XR]
0P0000030;>9Z0060000002[Q:X0ZhBZ0000002mTj/000000`2bQZH010000000ZX6X0:Z1Z0000002
0;jCZP050000002cQZD0/hJU0;>6Y@0000000`2fQZ<00`000000[7bO0:alW`020:alW`8000000`31
U:P00`000000]XRU0;J8Y@02000000@0^8RR00<000000:YjW`2ZNYl00P0000030:UfV`030000002T
LYX0Y7:J0080Y7:J0P0000001@3jj:X000000;B6Y@2dQZD0000000<0XFjG00@0000009IRTP2FHY80
00000`2>Fi440000000408QHTP00000000000?SJZ`8000000P20Di<00`000000P52>081@SP020000
0080TVNM00D0000006e8U01]B9@0000004D^T00200000007000<T0000000P5BD081DU0000000MDV?
0000000306m5S`0:0000001_BI<0KdVC06m9T`000000PF>W0000001dAX/0000000/@SP80000000D0
Me2F0000001[@hl0Jd>?0000000206LoSP8000000P1/AI8010000000HCf@064mT000000305a0U`80
00000`1K>i4300000080F3ZC00<0000005XoU`1J?iL00P00000206m8T`030000001]B9D0KDRE0080
00000`21EiL010000000MTnG07I?U`000003075AW@030000001dJKP0M6Vh0080000000D0Ie>W0000
00000000aN7]0000000309f1]0040000002BKjP0TVnX000000<0SfbW00@00000095b[@2ALZd0TG:]
0P0000020=?:d@030000002JiI`0000000<0000000<0R>?j0000002_^n<00`2_^n<00`000000[JG?
0:fUc`0300000080/o7e0`00000309^Jd@8000000P2WU<8010000000Wj7F09nQeP2OXMH2000000@0
[:3:0`0000000`2fYlX000000:fWd@020:fWd@800000102f[]401@000000[ZkG0000002m`]d00000
00<0][KI0P0000040;_7i0<000000P2gg_<01P000000^<[X000000000000X>Wj00000080/m_d0`00
00020:?To0T0000000<0TM[o0000000000000P0000000`2Ico/000000000000200000080XL?a00<0
000009o;m`2OboL0100000110?ooo`007`3oool00`000000oooo0?ooo`0W0?ooo`8000000`2F_o<0
0`000000S;oh08bon00700000080Q[ki00<0000006nooP1__oh05P00000207k=o`050000002GaOL0
UlGg09O5m`0000000P2O_>d300000080Xl7^00<000000:Neh`2W]N<0100000000`2/^^@000000:b^
f@030:b^f@050000002YZmP000000;:bf0000000102_Y/l01@000000ZjG@0000002eZ/h0000000@0
/Io600D000000:bObP000000]j;4000000040;6I_`030000002/V/@000000080]ibl00@000000;6D
^@2aU;T0/IBi0P0000030;NF]P040000002`Sk@0/8nd0;2?]08000000`2fTK0010000000[h^`0:n;
/02_Rk02000000<0]Hf]00H000000:j8[@2^R:d000000;jG[`0000040;>9Z08000000P2mTj/00`00
0000/XJV0;:6YP020;:6YP8000000`2nTjX01@000000/hJU0;>6Y@2cQZD0000000@0]XJS00D00000
0:alW`2/O9l0[7bO000000040<6DZ0030000002fR:D000000080d:N_00D000000;R8XP2hR:80^8RR
000000020:YjW`800000102YMY/010000000Y7:J0:AbVP2TLYX3000000<0]8JU00D000000:5^U`2Q
KYL0XFjG0000000209IRTP030000002>Fi400000008000001028F982000000030?SJZ`0000000000
0080P5>C00D00000081@SP20D8h0P52>00000002099WW@040000001]B9@0KDRD00000080ABj@00P0
0000000<T00000000000081DU0000000MDV?000000<0KdF?00<0000006m9T`1_BI<00P1_BI<20000
000707A6R`000000000000/@SP000000Me2F0000000206]3S`080000001W?hh0Icn>0000001[AI80
000006a5TP000002064mT0040000001L@9L0G42G05a0U`8000000`1K>i4300000080F3ZC00D00000
05XoU`1J?iL0000006eJ[0050000000309M[WP000000PENG0080PENG00D0000007I?U`1fCiL0MTnG
00000002075AW@030000001dJKP0M6Vh008000000P1WDjL3000000<0WH6d00@00000099_Z02BKjP0
00000`2?K:L01`000000TG:]095b[@000000clWD0000003Cb]400`0000000`2HMjd0000000000004
00000080[k_S2@0000020:RA_@030000002KV]40Vi[A00800000102WU<801@000000Wj7F0000002d
Wl<0000000@0[:3:00<000000;JWbP2fYlX00P2fYlX01@000000[JOA0000002o^mH0000000@0]ZkA
0P0000030;g2g@030000002f]]T000000080_=oa00H000000;_7i0000000000009_^mP0000020;ON
l`l000000`2Ga_P00`000000Sm?n08oCoP0300000080W<Gd0`0000030:Bij0030000002Q`o40XL?a
00<000000P2V^^P00`000000oooo0000000=0?ooo`800000103oool00`000000oooo0?ooo`030?oo
o`8000000`3oool3000001l0oooo000O0?ooo`030000003oool0oooo02T0oooo00<0000009Jol`2F
_o<00`00000209Znl@030000002C_O@0Tkgd00L000000P2@_?@00`000000Okgk07nmn`0700000080
Mk[k00<0000004bdn@1<]?T03P00000208o?o@030000002S`Nh0Xl7^00<000000P2OcOP01@000000
[;[T0:bji02/^^@000000080[:kI0`0000030;:bf0040000002_Y/l0[jK?0:nVc`8000000`2eZ/h0
10000000/Io60;6OaP2aWlH2000000<0]j;400@000000;6I_`2aVKl0/IVo0P0000030;NL_0060000
002aU;T0/IBi0000002oZ<8000000`2gU[H01P000000/8nd0;2?]0000000_j:j000000<0]Y6`00H0
00000:n;/02_Rk0000000;nL]@0000040;F=[@8000000P2nUjl00`000000/hVX0;>9Z0020;>9Z003
0000002mTj/0_I>[0080_I>[00D000000;:6YP2bQZH0/XJV000000040;jCZP030000002cQZD0/hJU
00800000102fQZ<01@000000[7bO0:alW`2/O9l0000000@0`IBX00<000000;J8Y@0000000P3@Yjl0
0`000000^8RR0;R8XP020;R8XP80000000<0/H:Q0000002YMY/00`2YMY/010000000Y7:J0:AbVP2T
LYX3000000<0]8JU00H000000:5^U`2QKYL0XFjG0000002FHY8300000080SU^A00<0000008QHTP28
F9800P28F982000000030?SJZ`00000000000080P5>C00@00000081@SP20D8h0P52>0P0000001@2B
Iid0000006e8U01]B9@000000080ABj@100000001020E9@0000007E9S`00000306m5S`030000001_
BI<0KdVC0080KdVC00<0000007A6R`1dAX/00P000000100;48h0000000000000000206]3S`080000
001W?hh0Icn>0000001[AI80000006a5TP000003064mT0050000001L@9L0000007I@U`0000000`1K
>i4010000000A2nB00000000000205PjT`030000001J?iL0000000<0KEZ/0`0000000`2GJih00000
085GU`02085GU`050000001fCiL0MTnG07I?U`0000000`1aDId2000000030?;]`000000000000080
Ie>W0`00000209f1]0040000002BKjP0TVnX000000@0SfbW0P0000030<o9e0800000102HMjd01000
0000Rh3208^0`P2;P<8300000080ZHji00<0000009nNdP2OW]800P0000040:RA_@030000002KV]40
00000080[iBj00@000000:ND`P2WU<80YiC20P0000030;BO``030000002/X<X0[:3:00800000102f
YlX2000000<0_k_F00H000000;J^d@00000000000<?Ok@0000020;g2g@<000000P2lgo4@00000003
08g8o00000000000008000000P2P]^P00`000000UlKh09O6n00400000080X[SX00D0000009c5m000
0000ZK7N000000040:Bij0<000000P2Y]>400`000000Y[[X0:Jjj002000000030?ooo`000000oooo
00X0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo000000<0oooo
00<000000?ooo`3oool0703oool000`0oooo1@0000030?ooo`800000203oool00`000000oooo0?oo
o`0[0?ooo`8000000P2L`O400`000000V[ka09Znl@03000000<0Vl3b00@0000009Rml@2H_O400000
0P2@_?@3000000<0V;_`00<0000008jjm02>^_@01P00000308bgl`030000001_]o/0KkOk00h00000
0P1Wd?X010000000Wlgh09o=n00000020:bji0<000000P2]b>h01P000000/[;H0;:bf02b/]P00000
0:nVc`80000000<0]/7R0000002eZ/h00P2eZ/h01P000000/Io6000000000000^kSG000000<0]j;4
00H000000;6I_`00000000000;j`c00000030;NL_0030000002aU;T0000000<0_jS200@000000;NF
]P2gU[H0]iJf0P0000020;nR^P030000002fTK00]Y6`0080]Y6`0P0000020;nL]@030000002eSJd0
]Hf]0080]Hf]00<000000;jG[`2nUjl00P2nUjl01@000000/hVX0;>9Z02cRJP0000000@0_I>[00<0
00000;:6YP2bQZH00P0000040;jCZP030000002cQZD000000080aYn`00D000000;J6X`2fQZ<0]XJS
000000020:alW`8000001@31U:P200000080d:N_00<000000;R8XP2hR:800P2hR:8200000080/H:Q
00D000000:UfV`2YMY/0ZGJK000000020:AbVP80000000<0eOWR0000002dQZD00P2dQZD00`000000
XFjG0:5^U`0300000080UV:B00@0000008iKT@2>Fi4000001028F9830000000507mKW`000000P5>C
081CT`0000000`20D8h010000000PDn=00000000000206e8U00300000015;Y00ABj@00<0000000D0
0@j@000000000000MDV?0000000306m5S`030000001_BI<0KdVC0080KdVC0P0000000`1dAX/00000
06i3S0030000000407M@UP000000Jd>?00000080Icn>00<0000006]5TP1[AI800P000003064mT0<0
000000<0MU2G0000001K>i400P1K>i4010000000A2nB00000000000205PjT`040000001J?iL0FSnG
000000@0KEZ/00@0000009M[WP2GJih000000P21EiL01@000000MTnG07I?U`1fCiL0000000<0LE6M
0`0000001024GYh0000006MCY`1WDjL400000080WH6d00@00000099_Z02BKjP000000P2?K:L20000
00<0clWD00<000000:9iYP000000102HMjd00`000000Rh3208^0`P02000000@0ZHji00<0000009nN
dP0000000P2cU;H010000000Z96m0:RA_@2XTKd2000000<0[iBj00H000000:ND`P2WU<8000000;n[
a@0000030;BO``<000000P31]<h01P000000]ZO:0;JWbP000000b=cW000000<0_k_F0P0000030<?O
k@<000000P2El>`600000080Uk3Y00H0000007g8o`00000000000:FTe000000309bdj0<000000P2W
ZMP00`000000X;KX0:2fj00400000080Z:gK00<000000::hj02R^>P00`0000030:VagP060000002T
^NP000000000002]/M/000000`2Y]>4300000080[KCN0P00000;0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0L0?ooo`003@3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0;03o
ool00`000000W<7a09c1l@03000000<0VlCd00<0000009_0lP2K`?801P00000309^ol@030000002H
^o00V;_`00<000000P2L_Nl01@000000V;S^09RhkP2H^>h000000080S;Oc0`00000209VcjP030000
002;/_00Rk;`00L0000000<0Rjk]0000000000001`00000307gIo@040000002]b>h0[LS^00000080
/[;H0P0000040;K1hP030000002eZ/h0]J[>00800000102k^=L00`000000]j;40;NRa002000000@0
_[3<00D000000;NL_02gW;`0]ibl000000040;nX`P050000002gU[H0]iJf0;NF]P000000102oX[X0
0`000000]Y6`0;JA/002000000@0_ibe00<000000;F=[@2eSJd00P0000040;jG[`030000002cRJP0
/hVX00800000102mTj/01@000000/XJV0000003B];`0000000D0_Y>Z0P0000020<JO/0070000002f
QZ<0]XJS0;J6X`000000[7bO000000020=Jd^00300000031U:P0`IBX0080`IBX00D000000=2W[`3@
Yjl0d:N_000000040;R8XP050000002aPZ40/H:Q0;62X@0000000`2YMY/00`000000Y7:J0:AbVP03
000000040=GihP000000]8JU0;B6Y@<0000000<0XFjG0000002FHY800P2FHY8010000000SU^A08iK
T@00000408QHTP050000003Ya;00000007mKW`0000000P20Di<01@000000P52>081@SP20D8h00000
0080PDn=0P00000206e8U00600000015;Y0000000000Q@0000000@j@0P00000207E9S`040000001_
AHl0KdF?000000@0KdVC0P0000000`1dAX/0000006i3S0030000000507M@UP000000Jd>?06]3S`00
00000P1W?hh00`000000JdFB06]5TP0300000004064mT0000000000000000080MU2G00@0000005/k
T@1K>i4000000P14;i8010000000F3ZC05PjT`00000205XoU`040000001]FZ`0KEZ/06eJ[0800000
0P2GJih010000000PENG085GU`00000307I?U`090000001aDId0LE6M075AW@000000`Z:h00000024
GYh0000000<0Ie>W0P000000100AJM`00000000000000002099_Z0<000000P2laN400`000000clWD
000000030:9iYP070000002HMjd0V7N]09Qg[@000000Rh32000000020:n:[`030000002YS[T0ZHji
0080ZHji00D000000;>D]P2cU;H0/iBf000000020:RA_@030000002kW[/0000000<0[iBj00<00000
0:ND`P0000000P2oZlD010000000]9o30;BO``2dWl<300000080`KC>00<000000;JWbP0000000`38
g>L300000080T>oP00<000000<?Ok@0000001`0000030:>Nc`030000002G/>T0Uk3Y00800000102U
Y=@3000000030:fSc@000000YjWH0080YjWH0`0000020:fXdP040000002X[M/0Z:gK0:R]f`<00000
0P2][ML00`000000ZK7N0:VagP03000000@0[K7K0`0000000`2`]]d000000:fdgP020:fdgP<00000
2P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool0703oool000h0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000070?oo
o`030000003oool0oooo02d0oooo0P00000309S6m`030000002Ka?@0VlCd00<000000P2Db?T01000
0000V/Ce09[4m@00000209^ol@@000000P2Ia?D00`000000W;g_09bmk`0700000080W[[/00<00000
09VcjP2I/nX00`0000020::fi`050000002K[^@0VjkT09^^i00000000P2;[^d300000080WJSM00<0
000008^Xj@2;Z>T02@00000209GOoP090000002f`N80]/7R0;K1hP000000]J[>0000002[goT00000
00@0^kSG00D000000;NRa0000000^m_`000000040;j`c0030000002gW;`0]ibl00800000102oZ<80
0`000000]iJf0;NF]P02000000@0_j:j00D000000;JA/0000000c/?@000000040;nL]@030000002e
SJd000000080ck[600L000000;jG[`2nUjl0_YN_0000002cRJP000000080ck>o00@000000;fCZ`2m
Tj/0_I>[0P0000030=:d_0030000002nTjX0_Y>Z0080_Y>Z00D000000<JO/036Wk00aYn`00000003
0;J6X`8000000`3F];P010000000`IBX0<6DZ031U:P2000000<0d:N_00@000000;R8XP2hR:80^8RR
0P0000030;62X@060000002YMY/0ZGJK0:UfV`000000Y7:J100000000`3EnN800000000000020000
00<0XFjG00D0000009IRTP2FHY80UV:B0000000308iKT@0400000028F980R5RB00000080jLB`00<0
000007mKW`0000000P20Di<01@000000P52>081@SP20D8h000000080PDn=00D0000008ABS@000000
KDRD0000000204D^T0<0000000D00@j@0000001eBHl0MDV?0000000306m5S`090000001_BI<0KdVC
0000001nCHd0000007A6R`000000KT><0080000000<0001k0000000000000P1[@hl010000000Icn>
06LoSP00000206]5TP0300000021HJ@0PF6T00<0000000@0ND^>0000001fD9L000000P1K>i401000
0000A2nB04@_TP00000205PjT`040000001J?iL0FSnG000000<0KEZ/00D0000006m=V@000000Uf^N
00000002085GU`050000001fCiL0MTnG07I?U`0000000P1aDId00`000000`Z:h0000000208ANWP04
0000001WDjL0Ie>W06MCY`<000000P0AJM`4000000@0_<GQ0`0000030:9iYP030000002HMjd0V7N]
0080V7N]00D000000:n:[`2_RZl0[hZ_000000030:V>^@8000000`2cU;H00`000000Z96m00000002
0;^N^`040000002_U;X0[iBj0:nD^P800000102oZlD010000000]9o30000003@f^4200000080`KC>
0`0000020<SLi`P000000P2QV</01@000000TJgY0000002/Ul40000000@0Xik?0`0000000`2]WLL0
00000:FTe0020:FTe0800000102]Xld01@000000YjWH0000002cZ/l0000000@0[JSB0`0000000`2b
[mD000000:f]e`020:f]e`<000000P2a/mT00`000000[K7K0:faf`03000000@0/;KM0`0000000`2a
_N8000000000000:0?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3oool000000?oo
o`04000001l0oooo000?0?ooo`050000003oool0oooo0?ooo`0000000P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo02l0oooo1P0000020939n`030000002Db?T0U<Si00L000000P2A
b_/00`000000VLCe09W4m@03000000<0S/cm00@0000009_4m02Ka?@000000P2N^^`300000080W/;b
00D000000::fi`2R]^L0X[KW0000000209^^i0<0000000<0YK3O0000002MZ=d00`2MZ=d00`000000
RjSY08^Xj@0300000080Wj7E00<0000008^Rh`2;X^<02@0000020:_On@030000002k^=L0^kSG00@0
00000P2kfo001`000000_[3<0;j`c02n/<`000000;NL_00000000P35e>D00`000000_jS20;nX`P02
0;nX`P8000000P3;bmT010000000_j:j0;nR^P2oX[X2000000<0c/?@00@000000;nL]@2oW;D0_ibe
0P0000030<njaP040000002nUjl0_YN_0;jG[`8000000`3?/kl01@000000_I>[0;fCZ`2mTj/00000
00@0d[Bl00@000000;jCZP2nTjX0_Y>Z0P0000030<JO/0050000002fQZ<0]XJS0;J6X`000000103F
];P010000000`IBX0<6DZ00000020=Sl]`090000003@Yjl0d:N_0=2W[`000000^8RR00000032Y;/0
000000<0/H:Q00P000000:UfV`2YMY/0ZGJK0000002TLYX000000:AaV0@000000`2dQZD010000000
XFjG0:5^U`00000309IRTP050000002>Fi40SU^A08iKT@0000000P28F9801P000000jLB`00000000
0000Oe^O00000080P5>C00D00000081@SP20D8h0P52>00000002085?S@0300000024DXd0Q5:=0080
000000L0ABj@000000000000X6nI000000013Y0000000080MDV?00L0000006m5S`1_AHl0KdF?0000
001_BI<000000080OTf=00D0000007A6R`1dAX/0000006i3S00400000080Jd>?00@0000006LoSP1W
?hh000000P1[AI800`000000PF6T085QY002085QY0030000001iBhh0ND^>008000000P1K>i401`00
0000A2nB04@_TP14;i80000005PjT`0000000P1J?iL01`000000KEZ/06eJ[0000000HDFJ0000001_
CIT00P000002085GU`030000001fCiL0MTnG0080MTnG0P0000020<:R^00400000024GYh0Q5jN0000
0080Ie>W00@0000009maWP000000XWbY0`00000308B^l0030000002laN4000000080000000<0[hBW
0000002RNJH00P2RNJH00`000000V7N]09Qg[@0209Qg[@050000002_RZl0[hZ_0:n:[`0000000P2Y
S[T010000000a:Bh0<BT^00000030;>D]P030000002kW[/0^ijk0080^ijk00D000000:nD^P000000
d<gF000000040;n[a@8000000`3@f^430000000308c]d@00000000000080000000<0WY7500000000
00000`2ZTK/010000000XIS;0:6Hb`2QV</2000000<0[9O100H000000:>Nc`2SW/l000000;BO``00
00030:fMa`050000002UY=@000000;BUb@000000102]Xld2000000<0/j[?00<000000:fXdP2]Z=80
0P0000040;:_e@050000002][ML000000;Jjg00000000`2a/mT3000000<0/kcP00<000000;2fg@2`
]]d00P0000040;6mhP8000002@3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo
0000003oool000008P3oool000`0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003o
ool0oooo000000L0oooo00<000000?ooo`3oool0<@3oool00`000000T<Sj0938nP0700000080QL[n
2@00000307_=o`030000002>c?d0S/cm00H000000P2<c_h01@000000W/;b09k2lP2N`_8000000080
X[KW0`0000000`2T`>d000000:F`g`020:F`g`030000002MZ=d0WJSM00@0000000<0Z:WG0000002O
XMD00`2OXMD01@000000Rj;S0000002[XLd0000000<0XIW=00<0000008bKg@0000001@000000102R
T/@0000008bDe`2<U=L300000080_[3<100000020<GDi@030000002oZ<80_jS200<000000`3;bmT0
0`000000_j:j0;nR^P03000000<0c/?@00<000000;nL]@2oW;D00P0000040<njaP030000002nUjl0
_YN_00800000103?/kl01@000000_I>[0;fCZ`2mTj/0000000@0d[Bl00H000000;jCZP2nTjX00000
0=kdg00000030<JO/0050000002fQZ<0]XJS0;J6X`0000001@3F];P4000000030=Sl]`000000d:N_
0080d:N_0P0000020<:T^`050000002aPZ40/H:Q0;62X@0000000`2YMY/4000000040:AaV0000000
0000000000<0]8JU00@000000:5^U`2QKYL000000`2FHY801`000000SU^A08iKT@2>Fi40000008QH
TP0000000P3Ya;020000000507mKW`000000P5>C081CT`0000000`20D8h010000000PDn=085?S@00
000308ABS@80000000T0S5ZA0000002PKiT0X6nI000000013Y00000007E9S`0000000`1_AHl00`00
0000KdVC0000000207i=S@050000001dAX/0M4J;0000001^@h`01000000206]3S`040000001W?hh0
Icn>00000080JdFB00<00000085QY021HJ@00P21HJ@00`000000ND^>07U;SP0200000080Fc^A00@0
000004@_TP14;i80A2nB0P0000001P1H>Y<0000005XoU`000000KEZ/00000080HDFJ00<0000006m=
V@1_CIT00P000002085GU`030000001fCiL0MTnG008000000P32X[P2000000<0Q5jN0P00000209ma
WP030000002RO:T0XWbY0080XWbY1`0000030:n4Y`040000002RNJH0XWVV000000<0V7N]0P000004
0:n:[`8000000`34Y;P01@000000/iBf0;>D]P2cU;H0000000@0^ijk0P0000030=3=eP030000002o
ZlD0_j_500<000000P3@f^45000000070:V;]@000000WY7509jAa@000000]9Bf000000040:ZA^`<0
000000<0]9Zl0000002/Ul400P2/Ul400`000000Xik?000000020;BO``040000002]WLL0[Ig70:fM
a`8000000`2dYLT01P000000[J?=000000000000^kCC000000<0/j[?00D000000:fXdP000000^;SH
000000040;:_e@8000000`2f^]`01@000000/K?I0000002eanP0000000@0/kcP0`0000020;;5j003
0000002a_N80/KgR0080000000<0oooo0000003oool0203oool2000000X0oooo0P0000020?ooo`D0
00007P3oool000`0oooo00D000000?ooo`3oool0oooo000000020?ooo`040000003oool0oooo0000
00L0oooo00<000000?ooo`3oool0<P3oool200000080U/;f00<0000008c7n`2<ao/01000000208g3
n@030000001mb?l0OLSo01T000000P2>d?h010000000Y<3]0:C0k@0000020:F`g`<000000P2Y^nH0
1@000000Z:WG0:RYe`2XZML000000080Wj7E0`0000030:^Qc@030000002QVLd0XIW=00800000102/
V/@01@000000XY;40::Ba0000000S9CG0080000000L0[I>k00000000000000000::;_0000000Rhg@
00X000000P3;bmT00`000000_j:j0000000400000080c/?@00<000000;nL]@0000000`0000040<nj
aP8000000P2anmH01@000000ck>o0<nc_`3?/kl000000080_I>[0`0000040=:d_08000000P3Nm=`0
0`000000aYn`0<JO/0020<JO/0050000002fQZ<000000:oaZ`0000000`3F];P20000000309]aXP00
00000000008000000P3@Yjl2000000<0`ZBk00D000000;62X@2aPZ40/H:Q000000020:UfV`<00000
0`2TLIP00`000000QEfK000000030;B6Y@040000002QKYL0XFjG000000<0UV:B00P0000008iKT@2>
Fi40SU^A00000028F98000000>W4/0<0000000<0Oe^O00000020Di<00P20Di<010000000P52>081@
SP000002085?S@0500000024DXd0Q5:=08ABS@0000000P2<FY4010000000X6nI0:1_V@2PKiT40000
00<0KdF?0P00000307i=S@040000001dAX/0M4J;00000080KT><00<000000000N`0000000P1[@hl0
10000000Icn>06LoSP00000306]5TP0300000021HJ@0PF6T008000000`1iBhh200000080Fc^A00D0
000004@_TP14;i800000000RZ00200000080FSnG0`0000001P1QAIX0000006m=V@1_CIT00000081K
W@D0000000@0VG>V00000032X[P0`Z:h0P00000308ANWP030000002OLIh0Wg6N0080Wg6N00D00000
0:9lZ@2RO:T0XWbY000000040<:I[@030000002_Q:L0[hBW0080[hBW00@000000:9iYP2RNJH00000
0P2HMjd010000000]Xn]0;J?[@0000030:n:[`0300000034Y;P0a:Bh0080a:Bh00H000000;>D]P2c
U;H000000<o0c00000030;^N^`030000003@cMH0d<gF0080d<gF00<000000;n[a@0000001@000000
1@2KR/0000000000002YRkD000000080ZH^e0P0000030;BD]P050000002ZTK/0ZY6k0:ZA^`000000
102dV[`00`000000[9O10:bG`@02000000@0]9o30`0000000`2m/Lh000000;BUb@030;BUb@050000
002k]=<0^kCC0;^dd`0000000`2cZ/l2000000<0^;SH00H000000;:_e@00000000000;W9iP000002
0;Jjg0<000000`2eanP01P000000/kcP000000000000[m3a00000080//GX100000020:k<l0<00000
>`3oool000d0oooo0`0000040?ooo`8000001`3oool3000003@0oooo00<0000009K2mP2F`_H00`00
000309Znl@030000002=`oT0SL?i00<000000`2D_O<00`000000O/?m07k3o@0300000080Rkgg00<0
000006K0oP1V`?h05000000209?Co@040000002Y^nH0ZK_V00000080Z:WG0`0000020:neg@090000
002[XLd0Zj7=0:^Qc@000000XIW=0000002c[M80000000@0[9[400<000000::Ba02RT/@00P000003
0:fC^`040000002RRk`0XX^l0::;_08000000`2]S;<01P000000XXFf0::5]P2RQKH0000008Z7bPD0
00000P2QP;000`000000R87500000004000000<0X7b[0P0000020<njaPL000000`3?/kl200000004
09ieY0000000000000000080d[Bl1@0000000`3Nm=`000000<JO/0020<JO/0H0000000L0e[Bh0000
00000000Vg6R0000002/MIH000000080XFbD0P0000000`2DI9L000000<:T^`020<:T^`040000002a
PZ40/H:Q0;62X@<0000000<0ZGJK0000000000000`2TLIP010000000QEfK0000000000020;B6Y@04
0000002QKYL0XFjG000000<0UV:B00@0000008iKT@2>Fi40SU^A0P0000020>W4/0<000000P1oFil0
10000000P5>C081CT`000002081@SP0400000021Chd0PDn=000000<0Q5:=00@0000008aJT@2<FY40
0000102PKiT30000000306m5S`0000000000008000000`1nCHd010000000M4J;07A6R`00000206i3
S0030000000007/000000080Jd>?00@0000006LoSP1W?hh000000`1[AI801P000000PF6T085QY000
0000N4V=00000080ND^>00D0000007mBTP000000Fc^A0000000204@_TPT0000000D0HDFJ0000001_
CIT0KdfI00000003081KW@050000002ILjH0VG>V09UcYP0000000P32X[P2000000<0Q5jN00<00000
09maWP2OLIh00P2OLIh01P000000XWbY0:9lZ@000000gK:[000000<0`YV]00<000000:n4Y`2_Q:L0
0P2_Q:L010000000XWVV0:9iYP2RNJH2000000<0]Xn]00D000000:n:[`2_RZl0[hZ_000000050<BT
^08000000P3?`<`01P000000^ijk0;^N^`000000WO;500000080d<gF0`0000040:N5/0030000002K
R/0000000080/hj`0P0000020:V;]@030000002dU;H0]9Bf0080]9Bf00D000000:ZA^`2ZTK/0ZY6k
000000040;BJ_0050000002/Ul4000000;n/a`000000102dWl<00`000000_K7>0;facP020;facP03
0000002dYLT0]:G900800000102k]=<3000000040;g;i@000000^;SH0;Rhf0<000000`2ibNH30000
0080/MOd00<000000;G7j02eanP00`0000020:o@l@@000000P2Wd_L00`000000[/c`0:k<l0040000
03/0oooo000M0?ooo`030000003oool0oooo03D0oooo0P0000030:>ij@030000002J__40V[ka00<0
00000P2P^>T00`000000U;gc09Bml`0400000080WKKZ00<0000008^mm`2;_OL00`00000309VcjP03
0000001m^oX0OK_j00<000000`2D/>X00`000000IkKl06Nfo0030000000308f/jP000000000000L0
000000<0WMGk0000002_]Md00`2_]Md00`000000Zj7=0:^Qc@02000000<0/jgB00T000000:bJa02/
V/@0[9[40000002RT/@000000;JUb0000000102]Tk/01@000000XX^l0000002hWKh0000000<0[Hbc
00@000000::5]P2RQKH0XXFf0P0000030:f7[@030000002QP;00XH2`0080XH2`00D000000:b3Z02/
PjP0[8>X000000040:1lZ`030000002[OZ<00000008000000`2OMjH00`000000ZgbP000000040000
0080WWFT00<000000:UhW@2YN9d00`00000209a`X0@0000000D0aYn`000000000000000009]^W@02
000000090:ajW000000000000:ajW0000000Vg6R0000002/MIH0000000@0XFbD00<0000009ATU`00
00000`32Y;/4000000<0ZGJK0P0000030:AaV00400000025GI/0000000000080]8JU00@000000:5^
U`2QKYL000000`2FHY8010000000SU^A08iKT@2>Fi4200000080jLB`0P0000001026DX`0000007mK
W`000002081CT`0400000020D8h0P52>00000080PDn=00D0000008ABS@24DXd0Q5:=0000000208aJ
T@030000002PKiT0X6nI0080X6nI10000000102mS:80000008mMTP00000307i=S@040000001dAX/0
M4J;00000080KT><0`00000206]3S`040000001W?hh0Icn>000000<0JdFB00H00000085QY021HJ@0
000007Q9S@00000207U;SP030000001oDY80Oe:B00@000000P2IKj4010000000QEB@08EDT025E903
000000050655VP000000KdfI06m=V@0000000`20Fid00`000000VG>V09UcYP0209UcYP8000000P2K
KId010000000Q5jN00000000000409maWP060000002RO:T0XWbY0000003M/Z/000000P32VJd20000
00@0[hBW00D000000:9iYP2RNJH0XWVV000000040;J?[@060000002_RZl0[hZ_0000003Rd/L00000
0`34Y;P2000000<0cl3<00<000000;^N^`0000001P0000020;::Z`030000002WQK00YhF`0080YhF`
00T000000;>>/02cS[00/hj`0000002YRkD000000:V;]@000000102dU;H01P000000ZY6k0:ZA^`00
0000`:O0000000<0]9Zl0P0000030;n/a`030000002dWl<0]9o300800000102m/Lh00`000000]:G9
000000020<;<hP030000002k]=<0^kCC008000000`2mbnD300000080/mkf00@000000;W9iP000000
00000P2NhOd00`000000/MOd0;7Gm00300000080Y=Wj0`00000209kCnP030000002Wd_L0Ym;g00@0
00000P2ScOH00`000000oooo0000000j0?ooo`007@3oool00`000000oooo0?ooo`0g0?ooo`030000
002S^NT0XkWY00<000000P2W]^@00`000000X;SY0:2hj@03000000<0Y[?R00<0000009ffjP2M]^X0
0`0000030:F`g`030000002I/nX0VK?Z00<000000P2TZm`00`000000U;3Z09B`jP0400000080XZKH
00<0000008f/jP2=[>X00`0000030:6Pe00300000025Y^X00000008000000P2_]Md4000000030:WE
m`000000/jgB0080/jgB00@000000:bJa02/V/@0[9[40P0000030;JUb0040000002]Tk/0[I>k0:fC
^`8000000P2hWKh01@000000[Hbc0:f</`2]S;<000000080XXFf00<000000;RG]@0000000`2]Qjd0
10000000XH2`0:60/02QP;02000000<0[8>X00<000000:1lZ`2PO:/00P2PO:/01@000000ZgjS0:]n
X`2[OZ<0000000<0WgNV00<000000:]lX02[O:000P2[O:000`000000WWFT09ieY002000000@0ZGRM
00<0000009a`X02LL:000P0000001@2XMIX000000000002XMIX000000080VfjM0P0000040:ajW005
0000002KLJ8000000:aeUP000000102QK9@00`000000U6BG00000004000000<0/H:Q00D000000:Uf
V`000000^hBJ000000030:AaV080000000D0W6F?0000002dQZD0]8JU000000020:5^U`050000002F
HY80UV:B09IRTP0000000`2>Fi402P000000jLB`0>W4/0000000Tef>00000026DX`0000007mKW`00
0002081CT`0400000020D8h0P52>00000080PDn=00D0000008ABS@24DXd0Q5:=0000000308aJT@06
0000002PKiT0X6nI0:1_V@000000;R>B0P000000102mS:80000008mMTP00000307i=S@040000001d
AX/0M4J;00000080KT><00H0000006m:U@000000000006]3S`00000206LoSP070000001[AI80JdFB
06]5TP000000PF6T0000000207Q9S@040000001iBhh0ND^>000000<0Oe:B00<0000009U_X@2IKj40
0P2IKj401`000000QEB@08EDT025E900000008AHUP0000000P1QAIX00`000000KdfI00000003081K
W@030000002ILjH0VG>V0080VG>V0P00000209]]W@80000000<0WFfJ0000002OLIh00`2OLIh02000
0000XWbY0:9lZ@000000gK:[00000032VJd000000P3;YK801@000000[hBW0:n4Y`2_Q:L0000000<0
XWVV00<000000;J?[@2fSjd00P2fSjd00`000000[hZ_000000020>;Ba`0600000034Y;P0a:Bh0000
002Vl[L000000P3?`<`3000000030;:6Y`000000YX6[0080YX6[00D000000;::Z`2bRZ/0/XZ[0000
00040:N5/0050000002cS[00/hj`0;>>/00000000P2YRkD00`000000`J:j000000040;BD]P800000
0P30Yl001P000000]9Zl0;BJ_0000000c/gI000000<0_jc700<000000;BO``0000000P38cMh01000
0000_K7>0;facP2m/Lh2000000<0`/cR0`0000020;GWm`030000002mbnD000000080TNOj00<00000
0;?NmP2cg_H00`00000209kQo@@0000000<0UMWn0000000000000P00000209[<n@030000002NdoX0
W]?j00<000000P2Ob?D00`000000Xlgf0:?=mP04000003X0oooo000M0?ooo`030000003oool0oooo
03P0oooo0P0000020:ZghP030000002W]^@0YkKT00<000000`2Z]>000`000000Y[?R0:JchP030000
0080Zk7M00<000000:F`g`2U/=l0100000000`2[[MT000000:B[g0020:B[g0<000000P2[Z=@01000
0000XZKH0::Vf02RY]P3000000030:^RcP000000XJ3D00<0XJ3D0`000000202[W<L0000000000000
0000WYW>0000001jW^T000000P2YeOL01@000000/jgB0;>]dP000000[9[40080000000<0]]7^0000
002fYLP00P2fYLP00`000000[I>k0:fC^`02000000@0^9fn00@000000:f</`2]S;<0[Hbc0P000002
0;RG]@050000002]Qjd0[HN]0:f7[@0000000P2QP;000`000000^96^000000030:b3Z0040000002P
O:/0X7b[0:1lZ`8000000`2[OZ<00`000000WgNV09mgYP02000000@0ZgbP00<0000009ieY02NMJ@0
0P0000040:UhW@030000002LL:00W72P00800000102XMIX01@000000VfjM0000002jQYd0000000@0
[7ZL0P0000020:aeUP030000002QK9@0XFbD0080XFbD100000020<:T^`040000002aPZ40/H:Q0;62
X@8000000P2kQ9X010000000Y76H0:AaV02TLIP200000080W6F?00<000000;B6Y@0000000`2QKYL0
10000000UV:B09IRTP00000308iKT@80000000P0jLB`0000002CGHh0000008IBS0000000Oe^O0000
0080P5>C00@00000081@SP20D8h000000P21Chd01@000000Q5:=08ABS@24DXd0000000<0S5ZA00H0
00000:1_V@2PKiT0X6nI0000000^8i82000000040;f<XP000000SefB000000<0OTf=00@0000007A6
R`1dAX/000000P1^@h`01P000000KdZE06m:U@000000Jd>?00000080Icn>00L0000006]5TP1[AI80
JdFB00000021HJ@000000080N4V=00@0000007U;SP1iBhh000000`1oDY8010000000VFnQ09U_X@2I
Kj42000000<0QEB@00<0000008AHUP0000000P1QAIX010000000KdfI06m=V@000003081KW@050000
002ILjH0VG>V09UcYP0000000P2KKId200000080WFfJ00<0000009maWP2OLIh00P2OLIh00`000000
XWbY000000030=fbZ`8000000P3;YK800`000000[hBW0:n4Y`020:n4Y`040000002RNJH000000000
00D0]Xn]0P0000020>;Ba`0300000034Y;P0000000D00000102bQZL01@000000YX6[0:J1Z`2VPJ/0
000000<0/XZ[00@000000:N5/02WQK00YhF`0P0000040;>>/0<0000000<0`J:j0000002dU;H00P2d
U;H2000000<0`:O000<000000;BJ_00000000P3>cMT010000000_jc70;n/a`2o[<L2000000<0b<gN
00L000000;facP00000000000;K`m@000000`/cR01@0000000<0T=3m0000000000000P00000209fo
l0030000002Jc?T0V/ci00@000000P2Q_^h00`000000WlSe09o8m@0300000080Xkk/0`00000i0?oo
o`007@3oool00`000000oooo0?ooo`0i0?ooo`030000002Z]n80Z[OR00<0000000<0[;SS0000002Z
]>000`2Z]>03000000030:ffh0000000Zk7M0080Zk7M0`0000020:jcg0090000002[[MT0ZjgI0:^]
f@000000Y:_L0000002_[mP0000000@0ZjSD00D000000::Vf0000000/:_B000000030:^RcP060000
002QX=@000000000002aYL`000000`2[W<L00`000000WYW>09jIcP02000000030:ZE`@0000000000
00L000000P2fdNh020000000]ZG80;JUb0000000[I>k0000002ob^800000102hWKh01@000000[Hbc
0:f</`2]S;<0000000@0^9Ne00@000000:f7[@2]Qjd0[HN]0P0000020;RA[P050000002/PjP0[8>X
0:b3Z00000000P2PO:/00`000000]h^X000000040:]nX`80000000<0]hVT0000002[O:00102[O:02
00000080]XBP00L000000:UhW@2YN9d0ZGRM0000002LL:0000000080/gnL00L000000:QeVP2XMIX0
Z7FJ0000002KKYd000000080^XJM00@000000:ajW02/NY`0[7ZL0P0000020:aeUP030000002QK9@0
000000<000000P2DI9L2000000030<:T^`000000/H:Q0080/H:Q0P0000020;^4VP050000002TLIP0
Y76H0:AaV00000000`2LIHl3000000<0XFjG00@0000009IRTP2FHY8000000P2>Fi4010000000fl6o
0=_1_`00000209=MSP0500000026DX`0000007mKW`0000000P20Di<010000000P52>081@SP000002
085?S@0500000024DXd0Q5:=08ABS@0000000`2<FY400`000000X6nI0:1_V@020000000302hSTP00
0000=b690080000000<0SefB0000001nCHd00P1nCHd010000000M4J;07A6R`00000206i3S0040000
001_BYD0KdZE06m:U@8000000P1W?hh00`000000JdFB06]5TP0206]5TP8000000P1hBHd010000000
ND^>07U;SP00000307mBTP070000002IKj40VFnQ09U_X@000000R5J?0000000208EDT00600000024
F9H0Q5RF0000001QAIX000000P1_CIT01@000000P5^M081KW@20Fid0000000<0VG>V00D0000009]]
W@000000VfbJ0000000309e]VP030000002OLIh0Wg6N0080Wg6N0P0000030=fbZ`050000003;YK80
bjFb0<^U/P000000102_Q:L200000080`Ynf00<000000;J?[@2fSjd00P2fSjd010000000h];70>;B
a`3Rd/L2000000030:ioXP000000Xg^V0080Xg^V00<000000;:6Y`2bQZL00P2bQZL00`000000YX6[
0:J1Z`02000000<0/XZ[00@000000:N5/02WQK0000000P31W;<01@000000/hj`0;>>/02cS[000000
0080`J:j0P0000020;BD]P030000003CcM<0000000@0`:O000<000000<k=f@3>cMT00P3>cMT30000
00040;ChkP000000b<gN0<S=gPl000000P2?_oL3000000<0X:cO00<0000009Nol`2G_o<00`000002
0::_h@030000002M_o00WKo`00@000000P2T/^800`000000XKk^0:6nkP0400000080Y[GT00L00000
0:>nk0000000ZK3M0000003oool0000003P0oooo000M0?ooo`030000003oool0oooo03X0oooo0P00
00000`2Z_NL000000:bhh`020:bhh`060000002Z]>0000000000002[_NH000000`2]]^000`000000
Zk7M000000020:fli@050000002^/m`0[[?L0:jcg00000000P2[[MT2000000<0[joH00<000000:^X
e02[Z=@00`0000030;2[dP030000002[X/h0Zj;>00800000102aYL`020000000Zic70:^La`000000
WYW>0000002bWlD00000102ZUL401P000000W9;90000002bVKh000000:V?^P<000000P2fYLP20000
00<0_l[R00D000000;RM_P2hWKh0^9fn000000020:f</`800000102hUkD01@000000[HN]0:f7[@2]
Qjd0000000<0^96^00<000000:b3Z02/PjP00P2/PjP200000080]h^X00<000000:]nX`2[OZ<00P2[
OZ<200000080]hVT00<000000:]lX02[O:000P2[O:0200000080]XBP00<000000:UhW@2YN9d00P2Y
N9d200000080/gnL00L000000:QeVP2XMIX0Z7FJ0000002KKYd000000080^XJM00D000000:ajW02/
NY`0[7ZL000000020:aeUP<000000`2QK9@010000000U6BG0000002hPYT3000000040;62X@000000
0000000000<0^hBJ00D000000:AaV02TLIP0Y76H0000000309aUS`<000000`2QKYL01P000000UV:B
09IRTP000000SU^A000000<0fl6o00@0000009=MSP2CGHh000000P26DX`200000080P5>C00@00000
081@SP20D8h000000P21Chd01@000000Q5:=08ABS@24DXd0000000<0S5ZA00<000000:1_V@2PKiT0
0P0000000`0^8i80000003LQR@020000000308mMTP000000OTf=0080OTf=00@0000007A6R`1dAX/0
00000`1^@h`020000000KdZE06m:U@000000Jd>?0000001W?hh00000101[AI8200000080N4V=00D0
000007U;SP1iBhh0ND^>0000000207mBTP070000002IKj40VFnQ09U_X@000000R5J?0000000308ED
T00500000024F9H000000655VP0000000P1_CIT01@000000P5^M081KW@20Fid000000080VG>V0`00
000209]/VP050000002MKIX0WFfJ09e]VP000000102OLIh2000000<0gK:[00D000000<^U/P3;YK80
bjFb000000030:n4Y`8000000`32WkH010000000]Xn]0;J?[@2fSjd2000000030>;Ba`0000000000
00<0[WnR00<000000:=kYP2SNjH00P0000040;:6Y`030000002VPJ/000000080`IV^00@000000;::
Z`2bRZ/0/XZ[0P0000030<6L/`050000002cS[00/hj`0;>>/00000000`31X[X3000000<0dlgC00H0
00000<2W`030Yl0000000:gjg@0000020<k=f@/000000P2IX]/01P000000PKkk000000000000YYW8
000000<0WJOM0`0000000`2WW/d000000:2/g`030:2/g`<0000000<0Z:CB0000002R[n400P2R[n43
00000080ZJWF00<000000:BbhP2T/^80100000020:V]fP030000002V]N@0Y[GT00<000000`2Y/=d2
000003P0oooo000L0?ooo`030000003oool0oooo03/0oooo00D000000:Zmi`2Z_NL0Z[gW00000002
0:bhh`<000000`2[_NH00`000000[KKP0:ffh002000000@0[KcU00<000000:jcg02^/m`00`000002
0:nkhP030000002_[mP0[joH00<000000P2a^Ml02@000000/:_B0;2[dP2`Zm8000000:^RcP000000
/kKK000000040;6Uc0030000002[W<L0Zic7008000000`2bWlD010000000ZYG10:ZE`@2ZUL420000
00<0/YVn00<000000:V?^P2YSkX00`0000020;:C]`040000002ob^80_l[R000000@0^9fn0P000002
0<K1e@050000002hUkD0^9Ne0;RG]@0000000P2]Qjd2000000@0^96^00D000000:b3Z02/PjP0[8>X
000000030;N;Z0030000002[OZ<0ZgjS0080ZgjS00D000000;N9Y02gRJ@0]hVT000000040:]lX005
0000002fQ:00]XBP0;J4X0000000102YN9d200000080/gnL00@000000:QeVP2XMIX0Z7FJ0P000003
0;Z6W@040000002/NY`0[7ZL0:ajW0<0000000<0[7FF0000002QK9@00`2QK9@01P000000U6BG0000
002hPYT000000:ijV@80000000<0[WZI0000002kQ9X00`2kQ9X00`000000Y76H0:AaV002000000<0
W6F?00@0000009URS`00000000000P2QKYL00`000000UV:B09IRTP02000000<0fl6o0P00000209=M
SP0300000026DX`0QU:<008000000P20Di<010000000P52>081@SP000003085?S@0400000024DXd0
Q5:=000000<0S5ZA00<000000:1_V@2PKiT00P0000000`0^8i80000003LQR@020000000308mMTP00
0000OTf=0080OTf=00@0000007A6R`1dAX/000000`1^@h`01P000000KdZE06m:U@000000Jd>?0000
0080Icn>00@0000006]5TP1[AI80JdFB0P00000207Q9S@050000001iBhh0ND^>07U;SP0000000`1o
DY801P000000VFnQ09U_X@000000R5J?000000<0QEB@00<0000008AHUP24F9H00P00000206m=V@05
00000020Fid0P5^M081KW@0000000P2ILjH2000000<0VfbJ00D0000009e]VP2MKIX0WFfJ00000004
09maWP070000003M/Z/0gK:[0=fbZ`000000[=U`000000020<^U/P060000002_Q:L0[hBW0000003F
f]/000000`32WkH00`000000]Xn]0;J?[@05000000@0[WnR00H000000:=kYP2SNjH000000<:EZ@00
00040;:6Y`8000000P31VJh01@000000/XZ[0;::Z`2bRZ/0000000@0`Ibc00H000000;>>/02cS[00
00000=S;c@0000030<6R^P030000003CcM<0dlgC0080dlgC00@000000<2W`0000000[O[M1@000003
09FLf0<000000P2TTl<010000000VJ;K09VRf`2IX]/2000000@0YYW80`0000000`2]V/<000000:NN
c@020:NNc@060000002P[=l000000000002^WlP000000`2XY=801@000000XZoQ0000002^Y<h00000
00<0ZJWF0`0000020:fYd`040000002Y[MX0ZJgJ0:V]fP<000000P2][ML00`000000ZK3M0:V`g@04
000003L0oooo000L0?ooo`030000003oool0oooo03`0oooo00<000000:Zmi`2Z_NL00`0000030:O3
k@030000002[_NH0ZkgV00<000000P2Wa>h00`000000[KcU0:fli@0400000080Z<K_00<000000:nk
hP2_^n800`0000020:S8l0050000002a^Ml0/KWO0;6ig`0000000P2`Zm82000000<0/kKK00@00000
0;6Uc02aYL`0/JG<0`0000000`2f/]D000000;:Oa@020;:Oa@060000002ZUL4000000000002i[/l0
00000`2bVKh00`000000ZHnj0:V?^P02000000@0/Y>g0`0000020;RM_P<000000`36`MD00`000000
^9Ne0;RG]@020;RG]@80000000<0bKO90000002hTJh00`2hTJh00`000000[8>X0:b3Z002000000@0
]h^X00D000000:]nX`2[OZ<0ZgjS000000030;N9Y0030000002[O:00ZgbP0080ZgbP00D000000;J4
X02fQ:00]XBP000000040:UhW@050000002cOi`0/gnL0;=oW00000000`2XMIX2000000<0^XJM00<0
00000:ajW00000000P0000030:aeUP030000002QK9@0XFbD0080XFbD0P0000020;R2V@040000002^
NYT0[WZI0:ijV@800000102kQ9X00`000000Y76H0:AaV002000000<0W6F?00P0000009URS`2IHXl0
VF:?0000002QKYL0000009IRTP8000000`3K`Kl00`000000Xf^A0000000209=MSP0300000026DX`0
QU:<008000000P20Di<010000000P52>081@SP000003085?S@0500000024DXd0Q5:=08ABS@000000
0P2<FY401@000000X6nI0:1_V@000000QU6:008000000P0g8HT00`000000SefB0000000307i=S@04
0000001dAX/0M4J;000000<0KT><00@0000006m:U@1_BYD0KdZE0P00000206LoSP040000001[AI80
JdFB06]5TP8000000P1hBHd01@000000ND^>07U;SP1iBhh0000000<0Oe:B00H0000009U_X@2IKj40
000008QFS`00000308EDT00300000024F9H0Q5RF008000000P1_CIT02@000000P5^M081KW@20Fid0
000009UcYP000000V6jP0000000309]/VP050000002MKIX0WFfJ09e]VP000000102OLIh00`000000
gK:[0=fbZ`02000000030:cIL0000000bjFb0080bjFb0P0000030=KJf`0400000032WkH0`Ynf0<:O
]P<000000P2RMj<00`000000_8bS000000040:ioXP8000000P32UJT00`000000/XJW0;:6Y`020;:6
Y`0500000031VJh0`IV^0<6I[P0000000`2bRZ/00`000000`Ibc0<6L/`030<6L/`8000000P3Hbld0
0`000000`J:j0<6R^P0300000080dlgC1@0000000`2[R[8000000::=_@020::=_@050000002EW=P0
00000:b?]`000000102TTl<01@000000VJ;K0000002]U;d0000000@0YYW800D000000:fJ``2]V/<0
[I[3000000030:NNc@800000102^WlP00`000000Z:CB00000002000000<0[ZC>00D000000:VYeP00
0000/ZW?000000040:fYd`050000002Y[MX000000;6]e00000000`2][ML300000080/;3H00<00000
0?ooo`000000=P3oool001`0oooo00<000000?ooo`3oool0?@3oool2000000<0XlGa00<000000:O3
k@2W`nd00`0000020:38m0030000002Wa>h0YlC^00@000000P2Lc?P00`000000Z<K_0:S6k`030000
00<0U]3l00@000000:S8l02Xb?0000000P2a^Ml300000080Z/_a00D000000;>ff`2c]]/000000;6U
c002000000030:g>l@000000][;E0080][;E00<000000;:Oa@2bWlD00P0000040;V^c`080000002b
VKh0/YVn0000002YSkX000000;^Ya`0000040;:C]`030000002XR;<0Z8Rc008000000`2bS[401000
0000a/7E0<K1e@0000030;RG]@8000000`39]lT02@000000^96^0;RA[P2hTJh000000:b3Z0000000
bJfm000000040;N;Z0030000002[OZ<0ZgjS008000000`2gRJ@010000000ZgbP0:]lX02[O:020000
00<0]XBP00<000000:UhW@2YN9d00P2YN9d01@000000/gnL0;=oW02cOi`0000000<0Z7FJ00@00000
0;Z6W@2jQYd0^XJM0`0000000`2/NY`00000000000030:aeUP030000002QK9@0XFbD0080XFbD0P00
00020;R2V@040000002^NYT0[WZI0:ijV@800000102kQ9X00`000000Y76H0:AaV002000000<0W6F?
00@0000009URS`2IHXl0VF:?100000000`2Qj_X000000=_1_`020=_1_`030000002SJi4000000080
Tef>00<0000008IBS026DX`00P000002081CT`0400000020D8h0P52>000000<0PDn=00D0000008AB
S@24DXd0Q5:=0000000208aJT@050000002PKiT0X6nI00000026DHX00P00000203LQR@030000002?
GI80000000<0OTf=00@0000007A6R`1dAX/000000`1^@h`010000000KdZE06m:U@1_BYD200000080
Icn>00H0000006]5TP1[AI80000007a>S`00000207Q9S@050000001iBhh0ND^>07U;SP0000000`1o
DY800`000000VFnQ0000000208QFS`0500000025E900QEB@08EDT00000000`24F9H20000000306m=
V@000000P5^M00<0P5^M0P0000000`2HKZ00000009]/VP0309]/VP040000002MKIX0WFfJ000000<0
Wg6N0P0000020=fbZ`040000002JK9/0000000000080bjFb0P0000040=KJf`0300000032WkH0`Ynf
0080000000@0/7nP0000002RMj<000000P2lS:<00`000000[WnR0:ioXP020:ioXP8000000P32UJT0
0`000000/XJW0;:6Y`020;:6Y`0500000031VJh0`IV^0<6I[P0000000P2bRZ/00`000000flK50000
00030<6L/`8000000`3Hbld00`000000`J:j00000005000000040:27^0000000T9GE00000080ZhZb
00@000000::=_@2RSKd0XXfm0P0000030:b?]`040000002TTl<0Y9?30:BC``8000000`2]U;d00`00
0000YYW80:JIb002000000@0[I[30`0000000`2dXLD000000:jOb0030:jOb08000000P2cYLX01000
0000[ZC>0:jTcP2^Y<h2000000<0/ZW?00<000000:fYd`2]ZM<00`0000030;6]e0050000002][ML0
00000;>df@0000000`2`/=P3000003H0oooo000L0?ooo`030000003oool0oooo03l0oooo1P000002
09c7mPL000000P2DboX600000080Qlkn00<0000009K@o02Fd?`01`00000208cEo`030000002Zbo40
Z/_a00L000000P2]c_4020000000][;E0;Jbe@000000/Yo50000002adO400000102i[/l00`000000
/YVn0;:I_P02000000<0^jW700<000000;:C]`2bTkL00P2bTkL2000000030;bT`0000000/Xja00<0
/Xja200000030<Vgb@040000002hTJh0^96^0;RA[P8000000`39[Kd02@000000]h^X0;N;Z02gRjP0
00000:]nX`000000bjNf000000030;N9Y0040000002[O:00ZgbP0:]lX08000000`2fQ:0010000000
ZGRM0:UhW@2YN9d2000000<0/gnL00@000000:QeVP2XMIX0Z7FJ10000000102jQYd000000:ajW02/
NY`2000000@0[7FF00@000000:5/U02QK9@0XFbD0P0000030;R2V@030000002^NYT0[WZI00800000
1@2kQ9X2000000030:5ZT@000000W6F?0080W6F?00H0000009URS`2IHXl0VF:?0000002EHI420000
0080XN[j00<000000=_1_`0000000P2SJi4010000000Tef>09=MSP00000208IBS08000000P20Di<0
10000000P52>081@SP000003085?S@0500000024DXd0Q5:=08ABS@0000000P2<FY400`000000X6nI
0000000208IARP8000000P0g8HT00`000000SefB0000000307i=S@050000001dAX/0M4J;07A6R`00
00000P1^@h`010000000KdZE06m:U@1_BYD30000000406LoSP000000JdFB00000080O4j?00@00000
07Q9S@1hBHd000000`1iBhh01`000000Oe:B07mBTP1oDY80000009U_X@0000000P28EXl01@000000
QEB@08EDT025E900000000<0Q5RF0P0000000`1_CIT00000081KW@03081KW@80000000<0V6jP0000
002KK9X00`2KK9X010000000WFfJ09e]VP00000309maWP030000003liIh00000008000000`2JK9/2
00000080/WnM00H000000=KJf`3Ff]/0e][K00000032WkH2000000<0/7nP0P0000020;b<X`030000
002^Oj80[WnR0080[WnR00D000000<:EZ@32UJT0`YFY000000030;:6Y`8000001031VJh200000080
flK500H000000<6L/`31W;<0000008?JT`0000020=S;c@<00000102[QJd01@000000X8Nh0:27^02P
QkP0000000@0ZhZb00D000000::=_@000000]I>d000000030:b?]`060000002TTl<000000000002e
V;T000000`2]U;d00`000000YYW8000000020;BL_`050000002]V/<0[I[30:fJ``000000102dXLD0
0`000000[Yo80:jOb002000000@0/jG:0`0000000`2g[m4000000;:Yc`020;:Yc`<000000P2e/MD0
10000000/JgD0;6]e02a[M@2000000<0/kCI00H000000;2`f0000000/k_O0000003oool2000003@0
oooo000L0?ooo`<00000@@3oool00`000000WLCc09g4l`0300000080WL3a00<0000009K6n02Fa_P0
1000000209O1m0030000002;b?`0RlSl00L000000P1fb?lH00000080/M7a00T000000;V^c`2i[/l0
^Jk?0000002bVKh000000;ODk`0000000`2kZLL010000000/Y>g0;:C]`2bTkL2000000<0_:C000H0
00000;:>/@2bS[40/Xja0000002WPjh3000000<0/HV[00@000000<Vgb@39]lT000000P2hTJh20000
00@0bJfm00@000000;N;Z02gRjP0]h^X0P0000020<^W]P050000002gRJ@0]hVT0;N9Y00000000P2[
O:000`000000bIn^000000030;J4X0040000002YN9d0ZGRM0:UhW@8000000`2cOi`00`000000Z7FJ
00000002000000@0^XJM00D000000:ajW0000000^hJM000000040:aeUP050000002QK9@0XFbD0:5/
U0000000102hPYT00`000000[WZI000000020=n/X@030000002kQ9X0^hBJ0080^hBJ0P0000000`2Q
JY40000009aUS`0209aUS`050000002IHXl0VF:?09URS`0000000`2EHI44000000<0Xf^A00@00000
09=MSP2CGHh000000`26DX`010000000P5>C081CT`000002081@SP0500000021Chd0PDn=085?S@00
00000`24DXd01P000000S5ZA08aJT@000000X6nI00000080QU6:0P00000203LQR@040000002?GI80
SefB00000080OTf=00D0000007A6R`1dAX/0M4J;0000000206i3S0060000001_BYD0KdZE06m:U@00
0000NT^<1@00000207a>S`040000001hBHd0N4V=000000<0ND^>00L0000007mBTP1oDY80Oe:B0000
002IKj4000000080R5J?00D0000008EDT025E900QEB@0000000308AHUP8000000P1_CIT00`000000
P5^M081KW@0200000080V6jP00<0000009]/VP2KK9X00P2KK9X010000000WFfJ09e]VP00000209ma
WP040000003liIh0o>FN00000080Y76H00D0000009Y/V`2JK9/0VVbK000000030;9oW@D0000000<0
a96R0000002`Oj000P2`Oj0200000080_8bS00<000000:ioXP2^Oj800P2^Oj801@000000`YFY0<:E
Z@32UJT000000080/XJW00<000000>36_P0000000`31VJh2000000<0flK500<000000<6L/`000000
1@00000209j1/`030000002[QJd0ZhF]0080ZhF]0P0000000`2PQkP00000000000040:^:/P800000
0`2eTk@01@000000[8ng0:b?]`2/SkL0000000<0]IRi00@000000:fD_@2]U;d0[IBm0P0000030;BL
_`030000002]V/<0[I[300800000102dXLD00`000000[Yo8000000020;V/c0030000002cYLX0/jG:
00800000102g[m43000000030;Vkf`000000]K7E00<0]K7E0`0000000`2f^md000000;>df@020;>d
f@8000000`2c^ml00`000000oooo0000000d0?ooo`00703oool00`000000oooo0?ooo`120?ooo`80
00000P2S^^T00`000000WL3a09g0l@03000000<0XKWZ00<0000009O1m02G`O@00`00000309fhj`03
0000002=`OP0SL7h00<000000P2H]^d00`000000O<3m07c0o@03000000<0T;?_1P00000208F`l@h0
00000P2ge>l01@000000^jW70;^Ya`000000/Y>g0080000000<0_]K/0000002lY<000P2lY<001000
0000/Xja0;:>/@2bS[4200000080_Iji00@000000;69Z`2aRJ/0/HV[200000040<V]_@050000002g
RjP0]h^X0;N;Z00000000`3;YkH00`000000]hVT0;N9Y0020;N9Y08000000P39Wjh00`000000]XBP
0;J4X0020;J4X0050000002YN9d000000<BFY`0000000P2cOi`3000000030:QeVP000000000000D0
^XJM0P0000020;^6W@050000002/MIH0[7FF0:aeUP0000000`2QK9@00`000000^8:I0;R2V@020;R2
V@030000002^NYT000000080gjbQ00<000000;^4VP2kQ9X00P2kQ9X2000000030:5ZT@000000W6F?
0080W6F?00D0000009URS`2IHXl0VF:?0000000209EQT@8000000P36Si`01@000000Xf^A0:=[T@2S
Ji4000000080Tef>00D0000008IBS026DX`0QU:<00000002081CT`0400000020D8h0P52>000000<0
PDn=00D0000008ABS@24DXd0Q5:=0000000308aJT@8000000P26DHX200000080=b690P0000001@2?
GI80000007i=S@1nCHd0000000<0M4J;00@0000006i3S01^@h`000000P1_BYD01@000000NT^<07Y;
S0000000Icj<00<000000P1lCXl010000000N4V=07Q9S@00000307U;SP070000001oDY80Oe:B07mB
TP000000VFnQ0000000208QFS`0500000025E900QEB@08EDT00000000P24F9H02P000000m<6H0?C1
V0000000KdfI00000020Fid0000008]l_000000309Q^X0050000002KK9X0VfbJ09]/VP0000000`2M
KIX00`000000Wg6N000000020?cUWP040000002TLIP0Y76H00000080VVbK0P0000040;9oW@800000
0`34TJ801@000000/7nP0;1oX02`Oj00000000@0_8bS00<000000:ioXP2^Oj800P0000040<:EZ@03
0000002bQZL000000080h<Jn00<000000<6I[P0000000`0000020=_6a@<000000`2ZPZT00`000000
WX6c09j1/`02000000D0ZhF]0P0000020;F?[`050000002[R[80ZhZb0:^:/P000000102eTk@01@00
0000[8ng0:b?]`2/SkL0000000@0]IRi00D000000:fD_@000000_JK2000000030;BL_`030000002]
V/<000000080^jW700@000000;BQa@2dXLD0]:750P0000030;V/c0050000002cYLX000000;bkf000
00000`2g[m42000000@0^K_K00<000000;Fae@2e/MD00P0000040;Jkg@<0000000@0]<;T0000002c
^ml0/k_O1000000d0?ooo`00703oool00`000000oooo0?ooo`130?ooo`030000002S^^T0Xk[Y00<0
00000`2W]>800`000000XKWZ0:6ijP0300000080Y[;Q00<0000009fhj`2M^>/0100000020:F^gP03
0000002H]^d0V;K]00<000000`2SZ]`01@000000T;?_0000002ZX/l0000000<0X:GI00D0000008F`
l@000000ZIc90000000409fOeP050000001dZO<000000:RFa00000000`2IV=8300000080^jW70`00
00030;kFk0040000002lY<00_:C000000080/Xja0P0000030;fN^@030000002aRJ/0/HV[0080/HV[
0P000000102nVK8000000000002aQJH2000000<0bJfm00<000000;N;Z02gRjP00P0000040<^W]P04
0000002gRJ@0]hVT0;N9Y08000000P39Wjh00`000000]XBP0;J4X0020;J4X08000000P34UZL30000
00070;=oW0000000Z7FJ0:QeVP000000dJ>X000000040;Z6W@8000000P2kQYd01@000000[7FF0:ae
UP2/MIH000000080XFbD0P0000040;R2V@030000002^NYT000000080gjbQ00<000000;^4VP2kQ9X0
0P2kQ9X010000000XFZA0:5ZT@00000309aUS`050000002IHXl0VF:?09URS`0000000P2EHI420000
0080aXnL00D000000:=[T@2SJi40Xf^A0000000209=MSP0500000026DX`0QU:<08IBS00000000P20
Di<010000000P52>081@SP000003085?S@0500000024DXd0Q5:=08ABS@0000000`2<FY4200000080
QU6:0`0000001@0g8HT000000000002?GI8000000080OTf=00D0000007A6R`1dAX/0M4J;00000002
06i3S0040000001_BYD0KdZE00000080NT^<00<0000006LnS01W?X`00P00000207a>S`040000001h
BHd0N4V=000000<0ND^>00L0000007mBTP1oDY80Oe:B0000002IKj4000000080R5J?00D0000008ED
T025E900QEB@0000000208AHUP030000003d`IP0m<6H00@000000P2;O;`01@000000V6jP09Q^X02H
KZ00000000<0VfbJ00@0000009e]VP2MKIX0WFfJ0P0000020?cUWP050000002TLIP0Y76H0:AaV000
00000P2JK9/00`000000`XfN000000030;9oW@8000000`34TJ801@000000/7nP0;1oX02`Oj000000
00@0_8bS00H000000:ioXP2^Oj8000000>;2]`0000030<:EZ@8000000`3Pa[h80000000309el[P00
0000000000@0ZX:Y0P0000020;F<Z`030000002[QJd0ZhF]0080ZhF]0P0000020;F?[`050000002[
R[80ZhZb0:^:/P000000102eTk@01P000000[8ng0:b?]`000000_j>m000000<0]IRi0P0000020;fV
`P040000002dW;l0]9bo0;BL_`8000000`2kZLL01P000000]:75000000000000`;_E000000<0^Jc<
0P0000030;bkf0050000002g[m4000000;[8i@000000102i^m/300000080]lCU00<000000;Jkg@2f
^md00P0000030;C2i0<000000P2`aNT00`000000oooo0000000c0?ooo`006`3oool00`000000oooo
0?ooo`150?ooo`8000000P2[/ml010000000YkCR0:NdhP2W]>8300000080Zk3L00<000000:Jbh@2V
/^400`0000030:^/f0030000002U[]h0YJkN00<000000P2[Ym@00`000000Xj[L0:>Zg003000000<0
ZZ;?00<000000:2Uf@2PYMT00P0000030:VLb@040000002MWmH0WIoF09fOeP8000000`2XU/@00`00
0000VISB09VHdP02000000040:N@_@00000000000:N@_@<000000P2ne^`010000000_:C00;bT`02l
Y<02000000030<OGiP000000_Iji00<0_Iji00<000000;69Z`2aRJ/00P0000030;jI/P040000002a
QJH0/HFV000000@0bJfm0`0000000`2;iZl000000<^W]P020<^W]P030000002gRJ@0]hVT00800000
1039Wjh010000000]XBP0;J4X02fQ:05000000@0/gnL0P0000020=6SZ0030000002jQYd0^XJM0080
^XJM00D000000;^6W@2kQYd0^hJM000000030:aeUP030000002QK9@0XFbD00800000102hPYT20000
00<0gjbQ00<000000;^4VP2kQ9X00P2kQ9X010000000XFZA0:5ZT@00000309aUS`030000002IHXl0
VF:?0080VF:?00<0000009EQT@0000000`36Si`01@000000Xf^A0:=[T@2SJi4000000080Tef>00D0
000008IBS026DX`0QU:<00000002081CT`0400000020D8h0P52>000000<0PDn=00D0000008ABS@24
DXd0Q5:=0000000308aJT@8000000P26DHX30000000503LQR@000000000008mMTP0000000P1nCHd0
1@000000M4J;07A6R`1dAX/000000080KT><00@0000006m:U@1_BYD000000P1jBh`01@000000Icj<
06LnS01W?X`000000080O4j?00D0000007Q9S@1hBHd0N4V=0000000207U;SP030000001oDY80Oe:B
0080Oe:B00D0000008QFS`28EXl0R5J?0000000308EDT00600000024F9H0Q5RF0000003d`IP00000
0P2;Fi<30000000308]l_0000000V6jP0080V6jP00D0000009]/VP2KK9X0VfbJ0000000309e]VP80
000000<0o>FN0000000000000`2TLIP01P000000VVbK09Y/V`000000`XfN000000<0/WnM00<00000
0<BAXP34TJ800P34TJ800`000000/7nP0;1oX002000000@0_8bS00<000000:ioXP0000000P3R`[L0
1@000000`YFY0<:EZ@32UJT0000000<0h<Jn0`0000030:UnY@040000002MO:h0WGb^00000080]HVV
00D000000:Z2Z@2ZPZT0ZX:Y000000030;F<Z`030000002[QJd0ZhF]0080ZhF]00D000000;F?[`00
0000]Hn_000000020:^:/P0300000031XKP0000000@0]I>d0P0000020;nS_@050000002eV;T0]IRi
0;FH^@000000102mY/83000000030<BldP000000^jW70080^jW70P0000040<2ke@<0000000<0_/gV
0000002l^mP00P2l^mP2000000<0^/SU00H000000;Vkf`00000000000;?=k@0000020;O4i@@00000
0P2ab>/00`000000]<;T000000020:g6k0030000002`aNT0/<GY0080000000<0oooo0000003oool0
<@3oool001/0oooo00<000000?ooo`3oool0A@3oool00`000000Zk?O0:^cg`020:^cg`050000002W
]>8000000:faf`0000000`2[/=`3000000030:j^e`000000ZjcH00<0ZjcH0`0000000`2_Z]<00000
0:^We0020:^We0<000000P2_YLh02@000000ZZ;?0:ZRc`2ZX/l000000:2Uf@000000[j3800000004
0:VLb@050000002MWmH000000:nJ`P0000000`2XU/@01@000000VISB0000002_UK`0000000@0Yi2m
00<0000009BAc@0000000`0000020;bT`0<000000P37enH02@000000_Iji0;fN^@2mW[T000000;69
Z`000000c]KO000000030;jI/P040000002aQJH0/HFV0;65YPH0000000<0/H:R0000000000000`3;
YkH01@000000]hVT00000030o<80000000@0bIn^00<000000;J4X00000000P0000030<BFY`030000
002cOi`0/gnL0080/gnL0P0000020=6SZ0030000002jQYd0^XJM0080^XJM00D000000;^6W@2kQYd0
^hJM000000030:aeUP030000002QK9@0XFbD00800000102hPYT2000000<0gjbQ00<000000;^4VP2k
Q9X00P2kQ9X010000000XFZA0:5ZT@00000309aUS`030000002IHXl0VF:?0080VF:?00<0000009EQ
T@0000000`36Si`01@000000Xf^A0:=[T@2SJi40000000<0Tef>00<0000008IBS026DX`00P000000
1@20Di<00000081@SP20D8h0000000<0PDn=00D0000008ABS@24DXd0Q5:=0000000308aJT@800000
0P26DHX30000000503LQR@000000000008mMTP0000000P1nCHd01@000000M4J;07A6R`1dAX/00000
0080KT><00@0000006m:U@1_BYD000000P1jBh`01@000000Icj<06LnS01W?X`000000080O4j?00D0
000007Q9S@1hBHd0N4V=0000000307U;SP050000001oDY80Oe:B07mBTP0000000`28EXl01@000000
QEB@08EDT025E90000000080Q5RF00<000000?C1V0000000102;Fi<00`000000Rgbl0000000309Q^
X0050000002KK9X0VfbJ09]/VP0000000`2MKIX3000000030:iiV@000000Y76H0080Y76H00<00000
09Y/V`0000000P32SIh01@000000/WnM0;9oW@2bOid0000000@0a96R00H000000;1oX02`Oj000000
0=N_[`0000030;b<X`030000002^Oj8000000080h/:g00@000000<:EZ@32UJT0`YFY0P0000000`3P
a[h00000000000020;F6X`040000002YOZD0ZGjU0:UnY@8000000`2eRJH01@000000ZX:Y0:Z2Z@2Z
PZT0000000<0]Hb[00@000000:^5[@2[QJd0ZhF]0P000000102eSjl000000;F?[`2eSjl200000080
`J6h00@000000;FC]02eTk@0]I>d0P0000030;nS_@030000002eV;T0]IRi00800000102mY/800`00
0000a;cB0<BldP020<BldP050000002kZLL000000<?Di`0000000`30^mD2000000@0_/gV0`000000
102deO4000000;[8i@2jb>D3000000<0/lg]0`0000020:g:k`030000002ab>/0/LS[00<000000`2]
a^`300000080Zl3Y0P00000b0?ooo`006`3oool00`000000oooo0?ooo`160?ooo`030000002[/ml0
Zk?O00<000000`2]/M/01@000000Zk3L0000002_/]/0000000<0[ZkG00H000000:^/f00000000000
0;2_e`0000030:nZd`050000002[Ym@000000;6/dP000000102_YLh00`000000ZZ;?0:ZRc`020000
00<0[j3800@000000:VLb@2YW<T0ZIc90P0000030:nJ`P030000002XU/@0Z9K4008000000`2_UK`0
10000000Yi2m0:N@_@2WT;d2000000<0[i2f0`0000000`2UR[P000000:j;/003000000<0_Iji0P00
00030<kFg`040000002nVK80_YVb000000<0/HFV0P0000030;jE[@040000002aPZ80/H:R000000<0
bjNf100000001030o<8000000<VO[P39Wjh3000000030;J4X0000000000000@0a9JW00@000000;=o
W02cOi`0/gnL0P0000020=6SZ0030000002jQYd0^XJM0080^XJM00D000000;^6W@2kQYd0^hJM0000
00030:aeUP030000002QK9@000000080aiBP00@000000;R2V@2hPYT0^8:I0P0000030=n/X@040000
002kQ9X0^hBJ0;^4VP8000000P2QJY401@000000W6F?09aUS`2LIHl0000000@0VF:?0`0000030<J?
W0050000002SJi40Xf^A0:=[T@0000000`2CGHh00`000000QU:<08IBS00200000003081CT`000000
P52>0080P52>00@00000085?S@21Chd000000`24DXd010000000S5ZA08aJT@2<FY4200000080QU6:
00<0000008QCR`0000000P0g8HT300000080OTf=00D0000007A6R`1dAX/0M4J;0000000306i3S0<0
00000P1jBh`01@000000Icj<06LnS01W?X`000000080O4j?00D0000007Q9S@1hBHd0N4V=00000003
07U;SP050000001oDY80Oe:B07mBTP0000000`28EXl01`000000QEB@08EDT025E900000008AHUP00
00000P3d`IP00`000000Re^C08]KT`0208]KT`80000000D0Rgbl0000002HKZ00V6jP0000000309]/
VP050000002MKIX0WFfJ09e]VP0000000`2^NIT01`000000Y76H0:AaV02TLIP0000009Y/V`000000
0P32SIh00`000000/WnM0;9oW@02000000@0a96R00<000000;1oX00000000P3G[jl00`000000_8bS
0;b<X`020;b<X`8000000P3R`[L01@000000`YFY0<:EZ@000000Z7^R00@000000P2eQZ<01@000000
ZGjU0:UnY@2YOZD0000000@0]HVV00<000000:Z2Z@2ZPZT00P0000030;F<Z`040000002[QJd0ZhF]
00000080`Yjc00D000000;F?[`000000]Hn_000000030<6Q^0060000002eTk@0]I>d0000003>_l`0
0000102oXkd200000080bKg?00<000000;fV`P2mY/800P0000040<BldP8000000`33e>L00`000000
`;_E000000020;CNm@030000002ncNH0_/gV00<000000P2deO4300000080[=3c00H000000;?=k@00
000000000:W4k@0000020:g:k`@000000P2Z`^/01P000000[LK/000000000000Zk[T00000080Zl3Y
1000000a0?ooo`006`3oool00`000000oooo0?ooo`170?ooo`8000000`2^]Mh00`000000[K7K0:fa
f`02000000<0[k;K00<000000:j^e`2^[]L00P0000040;2_e`030000002_Z]<0[j[C008000000`2a
[=8010000000[jG>0:nUcP2_YLh3000000030;:XcP000000[j380080[j3800H000000:VLb@000000
00000;>Sb00000030:nJ`P050000002XU/@000000;BO`P0000000`2_UK`01P000000Yi2m0:N@_@00
0000]IZl000000<0[i2f00<000000:F:^02UR[P00P0000030:j;/0030000002mW[T0_Iji00@00000
0P3>e]l010000000_YVb0;jI/P0000020;65YP030000003Fe=L0000000<0_YF]00@000000;62XP2a
PZ80/H:R1@0000020:mmWP@0000000H0bIn^0000002fQ:0000000>Cjc`0000040<BFY`050000002c
Oi`0/gnL0;=oW00000000`3AXjP010000000^XJM0;Z6W@2jQYd2000000<0^hJM00L000000:aeUP2/
MIH0[7FF0000002QK9@000000080aiBP00D000000;R2V@2hPYT0^8:I000000040=n/X@040000002k
Q9X0^hBJ0;^4VP8000000P2QJY400`000000W6F?09aUS`0209aUS`040000002IHXl0VF:?09URS`<0
00000`36Si`01@000000Xf^A0:=[T@2SJi40000000<0Tef>00<0000008IBS026DX`00P0000000`20
Di<00000081@SP02081@SP0400000021Chd0PDn=000000<0Q5:=00@0000008aJT@2<FY40S5ZA0P00
000208IARP0300000028Dh/000000080=b690`00000207i=S@050000001dAX/0M4J;07A6R`000000
0`1^@h`300000080NT^<00D0000006LnS01W?X`0Icj<0000000207a>S`050000001hBHd0N4V=07Q9
S@0000000`1iBhh01@000000Oe:B07mBTP1oDY80000000@0R5J?00@0000008EDT025E900QEB@0P00
00020?C1V0030000002;Fi<0Re^C0080Re^C0P0000001@2;O;`0000009Q^X02HKZ00000000<0VfbJ
00<0000009e]VP2MKIX00P0000030:iiV@030000002TLIP0Y76H0080Y76H0P0000020<:=WP060000
002bOid0/WnM0000003abjX000001034TJ8200000080ejn_00<000000;b<X`2lS:<00P2lS:<00`00
0000h/:g0>;2]`020>;2]`800000102XNj801@000000]HJS0;F6X`2eQZ<0000000<0ZGjU00<00000
0;F9YP2eRJH00P2eRJH00`000000ZX:Y000000020<BL[`040000002eS:/0]Hb[0;F<Z`8000000`32
W[<00`000000]Hn_0;F?[`02000000@0`J6h0P0000020<joc0040000002oXkd0_j>m0;nS_@800000
0`39_Ll00`000000_JK2000000020<SMj00600000034_=8000000000002`j_P000000P33e>L30000
0080]=ke100000000`2XeoP000000000000200000080Y/Sa00<000000:c@l`2/d?<00`0000020:W4
k@<000000P2Z^N@00`000000Z/;[0:[2j`03000000<0Zk[T0`0000020:bdgP030000003oool00000
0300oooo000K0?ooo`030000003oool0oooo04T0oooo00<000000:jegP2^]Mh00`0000000`2^]n00
00000:nbf`020:nbf`<000000P2_]]h02@000000/:oG0;2_e`2`[mL000000:nZd`000000/;CK0000
00030;6/dP060000002_YLh000000000002b/]P000000`2bZ<h00`000000[j380:nPb002000000<0
/j?800@000000:nJ`P2_V/80[i[20P0000030;BO`P060000002_UK`0[iFl0000002WT;d000000`2e
V[`010000000[i2f0:n@]P2_T;H2000000030;JF]`000000[X^`00<0[X^`0`0000000`2fT[400000
0:j6Z`03000000<0_YVb0P0000020=KDe`050000002nUJd0_YF]0;jE[@0000000`2aPZ801P000000
_HnV0;f?YP2mSjH000000:mmWP<000000`39Wjh2000000<0i?[?00D000000<BFY`34UZL0a9JW0000
00030;=oW0050000003AXjP0dJ>X0=6SZ00000000P2jQYd00`000000i<Nj000000030;^6W@040000
002/MIH0[7FF0:aeUP8000000`37U:001@000000^8:I0;R2V@2hPYT0000000D0gjbQ00D000000;^4
VP000000Z7>H000000020:5ZT@030000002LIHl0W6F?0080W6F?00@0000009URS`2IHXl0VF:?1000
00020<J?W0050000002SJi40Xf^A0:=[T@0000000`2CGHh020000000QU:<08IBS0000000NDV<0000
0020Di<000000P20D8h010000000PDn=085?S@00000308ABS@060000002<FY40S5ZA00000027DHX0
00000P26DHX00`000000R5>;0000000203LQR@<000000`1nCHd010000000M4J;07A6R`00000306i3
S0<000000P1jBh`010000000Icj<06LnS01W?X`200000080O4j?00@0000007Q9S@1hBHd000000`1i
Bhh01@000000Oe:B07mBTP1oDY80000000@0R5J?00@0000008EDT025E900QEB@0P0000020?C1V003
0000002;Fi<0Re^C0080Re^C00@000000:ifUP00000000000P2HKZ000`000000VfbJ09]/VP0209]/
VP040000002MKIX00000000000<0[WVI00<000000:AaV02TLIP00P2TLIP01@000000`XfN0<:=WP32
SIh000000080/WnM00<000000?7;ZP0000001034TJ8200000080ejn_00@000000;b<X`2lS:<0_8bS
0P0000020>;2]`@00000102XNj801@000000]HJS0;F6X`2eQZ<000000080ZGjU0P0000050;F9YP80
00000P34W:l01@000000]Hb[0;F<Z`2eS:/0000000@0`Yjc00<000000;F?[`2eSjl00`0000030<6Q
^0030000003>_l`0c[o<0080c[o<0`000000103=jNT000000<Vmc`39_Ll300000080b=gX0`000002
0;3Zn0@0000000<0W^3m0000000000000P0000000`2Qc?H000000000000200000080Y[SV00<00000
0:K8l@2Vb?40100000020:Rii@<000000P2[[mX00`000000Z[WT0:Zii00300000080[;;L00H00000
0:^ji000000000000:j^e`0000030:bdgP<00000<03oool001/0oooo00<000000?ooo`3oool0BP3o
ool2000000030:^kiP000000[[OP0080[[OP00D000000:nbf`000000Zk_U000000040:nfgP030000
002`[mL0/:oG008000000`2`]=/00`000000/JcB0;6/dP02000000@0/[;H00<000000;:XcP2bZ<h0
0`0000000`2d/=D000000;>Sb0030;>Sb0<0000000<0]ZkA0000002dWl800P2dWl800`000000[iFl
0:nE_002000000@0]IZl00D000000:n@]P2_T;H0[i2f000000030;JF]`040000002^Rk00[X^`0:j;
/08000000P2fT[4010000000[XJ[0:j6Z`2^QZ/2000000030;jI/P000000000000<0e]CG00D00000
0;jE[@2nUJd0_YF]000000030;62XP030000002mSjH0_HnV00<000000`2_OIh7000000030>Cjc`00
0000a9JW0080a9JW00H000000;=oW02cOi`000000;c[S`0000030=6SZ0050000002jQYd000000>C7
^P0000000`2kQYd010000000[7FF0:aeUP2/MIH2000000<0aiBP00D000000;R2V@2hPYT0^8:I0000
00050=n/X@8000000P2XLiP010000000XFZA0:5ZT@00000409aUS`040000002IHXl0VF:?09URS`@0
00000P36Si`01@000000Xf^A0:=[T@2SJi40000000<0Tef>00P0000008IBS026DX`0000007U9S000
0000P5>C00000080P52>00@00000085?S@21Chd000000`24DXd01P000000S5ZA08aJT@000000Qe6:
00000080QU6:00<0000008QCR`0000000P0g8HT3000000<0OTf=00@0000007A6R`1dAX/000000`1^
@h`300000080NT^<00@0000006LnS01W?X`0Icj<0P00000207a>S`040000001hBHd0N4V=000000<0
ND^>00H0000007mBTP1oDY80000008eJT000000308QFS`0400000025E900QEB@08EDT080000000<0
m<6H0000000000000`2;Fi<2000000030:ifUP00000000000080V6jP00<0000009]/VP2KK9X00P2K
K9X4000000<0[WVI00<000000:AaV02TLIP00P2TLIP01`000000`XfN0<:=WP32SIh000000;9oW@00
00000P3abjX00`000000a96R0<BAXP020<BAXP050000003G[jl0ejn_0=N_[`0000000P2lS:<00`00
0000ZGVO00000002000000@0]8>P00<000000:QkXP2XNj800P0000030;F6X`060000002YOZD0ZGjU
00000035VZ/00000102eRJH01@000000a9b_0<BL[`34W:l0000000<0]Hb[00<000000<:N/`32W[<0
0`32W[<2000000030=?1b000000000000080`J6h0P0000030<joc0<000000P3=jNT300000080Wo;a
2000000209OAo0<000000P2S]nL3000000<0ZJSF00<000000:JhiP2V^>H00`0000020:^/f0060000
002X^ND000000000002^Ym4000000`2[[mX3000000030:j[e0000000[;;L0080[;;L0P0000040:j^
e`<0000000@0/:kE0000003oool00000;`3oool001X0oooo0`00001;0?ooo`050000002[^nH0Zk_V
0:^kiP0000000P2^]n02000000<0Zk_U00<000000:nfgP2_]]h0100000020:bli@030000002`]=/0
/;CK00<000000P2]_ND02@000000/[;H0;:bf02b/]P000000;:XcP000000[[kU000000030;B`e@03
0000002cXlP0/j?800800000102f[]4020000000]9o20;BO`P000000[iFl0000002i[<`00000102e
V[`00`000000[i2f0:n@]P02000000<0]YJg00D000000:j;/02^Rk00[X^`000000040;JB/@040000
002^QZ/0[XJ[0:j6Z`8000000P2fSZd01@000000e]CG0=KDe`3Fe=L0000000<0_YF]00<000000;62
XP0000000`0000020;f?YP050000002_OIh0[gfN0:mmWP0000000`2nSZ@00`000000/7fL0;1mW002
000000<0a9JW00H000000;=oW000000000000;c[S`0000030=6SZ08000000P3TakX01@000000^hJM
0;^6W@2kQYd0000000<0[7FF0P0000030<NDX0030000002hPYT0^8:I00<00000103O[:4200000080
Z7>H00@000000:5ZT@2QJY400000102LIHl010000000VF:?09URS`2IHXl4000000<0aXnL00@00000
0:=[T@2SJi4000000`2CGHh020000000QU:<08IBS0000000NDV<00000020Di<000000P20D8h01000
0000PDn=085?S@00000308ABS@060000002<FY40S5ZA00000027DHX000000P26DHX020000000R5>;
08QCR`000000=b690000001;;HX000000`1nCHd010000000M4J;07A6R`00000306i3S0<000000P1j
Bh`010000000Icj<06LnS01W?X`200000080O4j?00@0000007Q9S@1hBHd000000`1iBhh01P000000
Oe:B07mBTP000000SEZ@000000<0R5J?00@0000008EDT025E900QEB@0P0000000`3d`IP000000000
000308]KT`8000000P2^MYH010000000V6jP09Q^X000000409]/VP80000000<0`HfP0000002^NIT0
0P2^NIT00`000000Y76H0:AaV0020:AaV00300000032SIh0`XfN0080`XfN0P0000020?7;ZP040000
0034TJ80a96R0<BAXP800000103G[jl300000080ZGVO0P0000040;B3X0060000002XNj80Z7^R0000
0036V:L000000`2eQZ<200000080aIZ[00<000000;F9YP2eRJH00P2eRJH01@000000a9b_0<BL[`34
W:l000000080]Hb[00<000000=W4a@0000000`32W[<2000000<0dl7800<000000<6Q^00000000P3@
mnL00`000000c[o<0000000<000000030:FOd0000000W[KY0080W[KY0`0000020:NTd`050000002S
]nL000000:fNb0000000102YZ=H3000000030:jSc@000000ZjcH0080ZjcH0P0000040:jWd@<00000
00<0/JO>0000002^Zm@00P2^Zm@01@000000[;;L0000002aZm80000000<0[ZkG0P0000040;2^e@80
0000;`3oool001X0oooo00<000000?ooo`3oool0C03oool00`000000Zk_V0:^kiP0300000080YkkZ
00<000000:^ki@2[^nD00`0000030:K0k0030000002/_>D0[;cU00<000000P2T`^l01@000000[KgU
0:fmi@2]_ND000000080/[;H0P0000030:jni@030000002d/=D0];3E00<000000P2``>H01@000000
]ZkA0;J^d@2f[]4000000080]9o20P0000030;V/c0030000002eV[`0]IZl0080]IZl0P0000020;^Y
a`040000002fU[L0]YJg00000080[X^`0P0000040;JB/@050000002^QZ/0[XJ[0:j6Z`0000000`2f
SZd3000000030=KDe`000000_YF]0080_YF]0`0000000`3Ib//000000;f?YP020;f?YP050000002_
OIh0[gfN0:mmWP000000102nSZ@00`000000/7fL0;1mW00200000080a9JW0P0000020:mjVP800000
0P3AXjP2000000<0i<Nj00D000000;^6W@2kQYd0^hJM000000030:aeUP0300000037U:00aiBP0080
aiBP00<000000;R2V@2hPYT00`0000030=n/X@8000000`2XLiP010000000XFZA0:5ZT@00000409aU
S`040000002IHXl0VF:?09URS`80000000<0Te^<00000036Si`00P36Si`010000000Xf^A0:=[T@00
000309=MSP0800000026DX`0QU:<0000001iBH`00000081CT`000002081@SP0400000021Chd0PDn=
000000<0Q5:=00H0000008aJT@2<FY40000008MARP00000208IARP0800000028Dh/0R5>;0000000g
8HT0000004/]RP00000307i=S@040000001dAX/0M4J;000000<0KT><00<0000008mKT00000000P1j
Bh`00`000000Icj<06LnS00206LnS080000000D0O4j?0000001hBHd0N4V=0000000307U;SP060000
001oDY80Oe:B0000002=FY0000000`28EXl01@000000QEB@08EDT025E90000000080m<6H0P000003
08]KT`8000000P2^MYH200000080V6jP00@0000009]/VP2KK9X0VfbJ0P0000020<6=X0040000002^
NIT0[WVI000000<0Y76H0P0000040<:=WP8000000P3abjX00`000000a96R0<BAXP0400000080ejn_
0P000000102gQ9h000000:UiW`2YNIl2000000@0]8>P00<000000:QkXP0000000P36V:L010000000
]HJS0;F6X`2eQZ<200000080aIZ[00L000000;F9YP2eRJH0]HVV0000003Oal40000000<0a9b_0P00
00020=W4a@0600000032W[<0`Yjc00000039omP000000`3C`LP70000000408fakP00000000000000
0080XY[<00<0000009Rdj`2H]>/00P0000040:FOd0<0000000<0[9[40000002WY=<00P2WY=<20000
00<0[Ik800H000000:VXeP00000000000;:Oa@0000030:jSc@050000002[[=P000000;6Sb@000000
0`2^Ym42000000@0/JO>00<000000:j[e00000000P0000030;6[dP050000002^[]L000000;>]dP00
00000`2`[]D2000000030?ooo`000000000002d0oooo000J0?ooo`030000003oool0oooo04d0oooo
0P0000020:Bnk0030000002W_^X0YkkZ00<000000`2R_nh00`000000Y/3/0:K0k00300000080W/;b
00<000000:C2k`2T`^l01`0000020:;6lP030000002^_^D0[[kU00<000000P2MboL01@000000/<3V
0;30iP2``>H000000080]ZkA0`0000000`2ba>L000000;V/c0020;V/c0030000002eV[`0]IZl00<0
00000`2kZLL010000000]YJg0;JF]`2fU[L200000080_ZO300D000000;JB/@2fT[40]Y:a00000002
0:j6Z`800000102fSZd00`000000[H:W00000005000000<0fL[;00D000000;f?YP2mSjH0_HnV0000
00020:mmWP800000102nSZ@010000000/7fL0;1mW02`OI`5000000<0[gZJ0`0000000`2fP9X00000
000000030>C7^P040000002kQYd0^hJM000000<0[7FF00<000000<NDX037U:000P37U:001`000000
^8:I0;R2V@000000Xf^B0000003O[:400P0000000`2eY/T000000:QcV0020:QcV0040000002QJY40
XFZA000000@0W6F?00@0000009URS`2IHXl0VF:?0P0000000`2CFh`000000<J?W0020<J?W0040000
002SJi40Xf^A000000<0Tef>00H0000008IBS026DX`0QU:<0000001iBH`200000080P52>00@00000
085?S@21Chd000000`24DXd01P000000S5ZA08aJT@000000Qe6:00000080QU6:00P0000008QCR`28
Dh/0000003LQR@000000Bbf:000000<0OTf=00@0000007A6R`1dAX/000000P1^@h`20000000508mK
T0000000NT^<07Y;S0000000101W?X`20000000507a>S`000000N4V=07Q9S@0000000`1iBhh01P00
0000Oe:B07mBTP000000SEZ@000000<0R5J?00D0000008EDT025E900QEB@000000020?C1V0800000
0P2;Fi<00`000000/GVE000000030:ifUP040000002HKZ00V6jP00000080VfbJ0P0000030<6=X004
0000002^NIT0[WVI000000<0Y76H00<000000>6bYP0000000`32SIh00`000000lL^Z0?7;ZP020?7;
ZP<0000000D0YgJL000000000000ejn_000000030;N4WP060000002YNIl0ZGVO00000036UZ@00000
0`2dPj000`000000Z7^R000000020<JHY`050000002eQZ<0]HJS0;F6X`0000000`35VZ/010000000
]HVV0;F9YP0000020=o7`@0500000034W:l0a9b_0<BL[`0000000`3Ia<D00`000000`Yjc00000003
0<Wof0H0000000<0WiC90000002=/Nh00P0000000`2YT;/000000::Jc0020::Jc0<0000000<0ZiFo
0000002UWm000P2UWm02000000@0[9[40`0000000`2aVl4000000:fNb0030:fNb0050000002bWlD0
/Yo50;:Oa@0000000`2^Xld2000000<0/J?900D000000:jWd@000000]JO:000000030;6WcP<00000
0P2dZ/h010000000/J_B0;6[dP2aZm82000000<0/jgB00@000000;2^e@000000];3D0P0000000`3o
ool000000?ooo`0/0?ooo`006P3oool00`000000oooo0?ooo`1>0?ooo`030000002T_^`0Y;k/00<0
00000`2Q_>`00`000000X[o^0::okP0300000080W[g_00<0000009k2lP2N`_800`00000309RnlP03
0000002HaOH0V<Gf00H000000P2=b?`00`000000WL_g09g;m`0700000080UM;m00@000000;;4i`2b
a>L000000P2i[<`300000080]/SX00D000000;^Ya`2kZLL0^jW7000000020;JF]`8000000`2nYl<0
0`000000]Y:a0;JB/@020;JB/@80000000<0`:Fn0000002fSZd00`2fSZd5000000<0]X^X00@00000
0=W:b`3Ib//000000`2mSjH00`000000[gfN000000020=k;a@050000002nSZ@0_XjT0;j>Y0000000
0`2`OI`01@000000_hfP0;n=X02oSJ00000000<0[gZJ0P0000020;J0VP030000002YLiH000000080
i<Nj00H000000;^6W@2kQYd0^hJM0000002/MIH2000000@0aiBP00<000000;R2V@0000000P2SJi82
000000<0]JK900D000000:QcV02XLiP0Z7>H000000020:5ZT@030000002LIHl0W6F?0080W6F?00@0
000009URS`2IHXl0VF:?0P0000000`2CFh`000000<J?W0020<J?W0040000002SJi40Xf^A000000<0
Tef>00H0000008IBS026DX`0QU:<0000001iBH`200000080P52>00@00000085?S@21Chd000001024
DXd200000080Qe6:00@0000008IARP26DHX000000P28Dh/010000000=b690000001;;HX200000080
OTf=00H0000007A6R`1dAX/0M4J;0000001^@h`20000000508mKT0000000NT^<07Y;S0000000101W
?X`20000000507a>S`000000N4V=07Q9S@0000000`1iBhh00`000000Oe:B0000000208eJT0050000
0028EXl0R5J?08QFS`0000000`25E9002P000000m<6H0?C1V0000000V6BB0000002;Fi<000000;5i
U@0000040:ifUP040000002HKZ00000009]/VP<000000`31SJ0010000000[WVI0:iiV@0000020:Aa
V0040000003Q/ZH0hK:V000000<0`XfN00@000000?7;ZP3abjX0lL^Z0P000000102cOi/000000:Mf
W02WMY`3000000<0]hBN00<000000:UiW`0000000P36UZ@00`000000]8>P0;B3X0020;B3X0800000
0P36V:L01@000000]HJS0;F6X`2eQZ<0000000@0aIZ[0P0000030=o7`@0300000034W:l0a9b_0080
00000`3Ia<D700000080Z8^g00<0000009nDb@0000000P2OU<T01@000000ZI2k0:V@^`2YT;/00000
0080XY[<00<000000;6C^00000000`2[UKl01@000000YIo@0000002aUk`0000000@0[9[400<00000
0;6K`@2aVl400P2aVl400`000000[Ik80:fNb002000000@0/Yo50`0000000`2fY<H000000;6Sb@02
0;6Sb@8000000`2eYlX01@000000/JO>0000002h[<h0000000@0]:[>0`0000000`2f[]4000000;>]
dP020;>]dP8000000`2d/=@00`000000oooo0000000]0?ooo`006P3oool00`000000oooo0?ooo`1?
0?ooo`8000000P2T^NP00`000000XKc/0:6lk00400000080XKSY00<0000009jmk`2N_Nl00`000002
09jgjP030000002H__80V;kb00@000000P2I]n`00`000000Sl3g08o0m`06000000<0Ol7l00<00000
07O:o`1gb_l02@00000208?Go`050000002fb>P0]/SX0;K8j00000000`2kZLL2000000030;[>j@00
0000_ZO30080_ZO300@000000;JB/@2fT[40]Y:a0P0000030<2U_P030000002fSZd0000000800000
00@0[H:W00000031X[T000000`2fRjP4000000<0_HnV0P0000030=k;a@050000002nSZ@0_XjT0;j>
Y00000000P2`OI`2000000<0_hfP00D000000:mjVP2_NYX0[gZJ000000030;J0VP030000002YLiH0
00000080i<Nj00T000000;^6W@2kQYd0^hJM0000002/MIH000000?C[_00000001037U:0200000080
Xf^B0P0000030;FVb@050000002XLiP0Z7>H0:QcV00000000P2QJY400`000000W6F?09aUS`0209aU
S`070000002IHXl0VF:?0000002GGhd0000009=KS00200000080aXnL00@000000:=[T@2SJi400000
0`2CGHh01P000000QU:<08IBS026DX`0000007U9S08000000P20D8h010000000PDn=085?S@000004
08ABS@8000000P27DHX010000000QU6:08IARP00000308QCR`80000000<0Bbf:0000000000000P1n
CHd01P000000M4J;07A6R`1dAX/0000006i3S080000000<0Se^@0000001jBh`00P1jBh`01P000000
Icj<06LnS01W?X`000000;V0UP8000000P1hBHd00`000000ND^>07U;SP0207U;SP8000000P2=FY00
1@000000R5J?08QFS`28EXl0000000<0QEB@0`00000209QTTP030000002;Fi<000000080/GVE00@0
00000:ifUP2^MYH0[WJF100000000`3U[IX000000<6=X0030<6=X0070000002^NIT0[WVI0:iiV@00
0000Y76H000000020>6bYP0400000032SIh0`XfN0<:=WP80000000<0lL^Z0000002cOi/00P2cOi/0
1P000000YgJL0:MfW0000000c9VR000000@0]hBN0P0000020<JFY0030000002dPj00]8>P0080]8>P
00D000000<JHY`36V:L0aYRW000000020;F6X`030000003Vc;d0000000<0aIZ[00<000000=o7`@3O
al400`3Oal4200000080ZO6`00D000000=W4a@000000YXJb0000000309^>a@030000002XRkL0Z8^g
0080Z8^g00<0000009nDb@0000000P0000040:V@^`8000000P2aTkP010000000ZiFo0:^E_`2[UKl2
000000<0/INl00<000000:bJa02/V/@00P0000040;6K`@030000002]W/P000000080]j7200<00000
0;:Oa@2bWlD00P0000040;JTaP<0000000<0^J_;0000002eYlX00P2eYlX2000000<0^:c>00<00000
0;BZcP2dZ/h00P0000040;J^d@<0000000<0]k;E0000002d/=@00P2d/=@2000000030?ooo`000000
oooo02/0oooo000J0?ooo`030000003oool0oooo0500oooo00<000000:Bij02T^NP00`0000030:Fd
h`030000002Q^>T0XKSY00<000000P2T/N800`000000W[OZ09jgjP03000000<0XZoQ00<0000009Vg
k02I]n`00`00000209n/h0030000002B]^l0T[K_00L000000P28]?<00`000000H;cm062lo@0@0000
0080^/kY00@000000;jW``2nYl<0_ZO30`0000000`2oen/000000<2U_P020<2U_P8000000P2fSZd2
00000080`J:i00D000000;J;Z02fRjP0]X^X000000020:anX`80000000<0_HnV000000000000103N
blD02@000000_XjT0;j>Y02nSZ@000000;1mW0000000iL^l000000030;n=X0050000002_NYX0[gZJ
0:mjVP0000000`2fP9X01P000000ZG>F0:UcUP000000i<Nj000000<0^hJM0P0000020?C[_0030000
0037U:00aiBP0080aiBP0P0000020:=[TP030000002DGi4000000080]JK900D000000:QcV02XLiP0
Z7>H000000020:5ZT@030000002LIHl0W6F?0080W6F?00H0000009URS`2IHXl0000009MOS@000002
09=KS00400000036Si`0aXnL00000080Xf^A00D0000009=MSP2CGHh0Tef>0000000308IBS0800000
00D0/GRD00000020D8h0P52>00000002085?S@0300000024DXd0Q5:=0080Q5:=0P00000208MARP05
00000026DHX0QU6:08IARP0000000P28Dh/20000000604/]RP000000HcnA0000001nCHd000000`1d
AX/2000000040>o<[P000000Se^@000000<0NT^<00H0000006LnS01W?X`0Icj<0000002iP9H20000
0080N4V=00<0000007U;SP1iBhh00P1iBhh200000080SEZ@00D0000008QFS`28EXl0R5J?00000002
08EDT0040000003b`ih0l/>N00000080V6BB0P0000030;5iU@070000002^MYH0[WJF0:ifUP000000
iJfJ000000020>F]VP0300000031SJ00`HfP0080`HfP00L000000:iiV@2^NIT0[WVI0000002TLIP0
00000080hK:V00@000000<:=WP32SIh000000P2ULiX2000000<0/gnK00<000000:MfW00000000P3<
VJ800`000000]hBN0;N4WP020;N4WP8000000P36UZ@00`000000]8>P0;B3X0020;B3X00300000036
V:L0aYRW0080aYRW0P0000020>K<_@0500000035VZ/0aIZ[0<FJZ`000000103Oal4700000080YXJb
00H0000009^>a@2KS/D000000;2</00000030:R;]`060000002OU<T000000000002`Sk<000000`2Y
T;/00`000000/I>h0;6C^0020;6C^0050000002[UKl000000;RK^P0000000`2aUk`00`000000[9[4
000000020;NN_P040000002aVl40/I_10;6K`@8000000`2gXL801@000000/Yo50000002kZLL00000
00@0]ZC600D000000;V[b`2iZl/0^J_;000000020;FWbP030000002k/]00000000<0^:c>00D00000
0;BZcP000000^K;B000000030;J^d@800000102g/]D3000000050;Nff0000000oooo0?ooo`000000
:`3oool001T0oooo00<000000?ooo`3oool0DP3oool2000000<0Z;7O00<000000:Fdh`2U]><00`00
00020:R^g@030000002T/N80Y;7R00<000000P2WZmX010000000XZoQ0::_h@2R[n43000000030:JW
e`000000WjcP0080WjcP0`0000020:FSd`050000002LZMl0W:WO09bYg`0000000P28]?<300000080
V:GN00<0000007Jam`1f/OL01000000209>Pg@030000001IZ?P0000000D000000P2nYl<2000000@0
_mO[100000020;J>[@8000000`31X[T00`000000]X^X0;J;Z0020;J;Z0030000002/OZ<000000080
00000P2hRZD01@000000g/_50=k;a@3NblD0000000<0_XjT00D000000;1mW0000000iL^l00000003
0;n=X0030000002_NYX0[gZJ00800000102fP9X00`000000ZG>F0:UcUP02000000<0^hJM0P000002
0?C[_00300000037U:00aiBP0080aiBP00L000000:=[TP2SJi80Xf^B0000002DGi4000000080]JK9
00D000000:QcV02XLiP0Z7>H000000030:5ZT@050000002LIHl0W6F?09aUS`0000000P2IHXl00`00
0000Uen=0000000209=KS00400000036Si`0aXnL00000080Xf^A00D0000009=MSP2CGHh0Tef>0000
000308IBS080000000D0/GRD00000020D8h0P52>00000002085?S@0300000024DXd0Q5:=0080Q5:=
0P00000208MARP0500000026DHX0QU6:08IARP0000000P28Dh/20000000404/]RP000000HcnA06<o
T@8000000`1dAX/2000000040>o<[P000000Se^@000000<0NT^<00<0000006LnS01W?X`00P000000
0`2iP9H000000000000207Q9S@030000001iBhh0ND^>0080ND^>0P00000208eJT00500000028EXl0
R5J?08QFS`0000000P25E90010000000l/>N0?;3WP00000209QTTP8000000`2aNID01@000000[WJF
0:ifUP2^MYH0000000<0iJfJ0P0000040<6=X0040000002^NIT0[WVI0:iiV@8000000`3Q/ZH01000
0000`XfN0<:=WP0000020:EcVP800000102cOi/200000080c9VR00<000000;N4WP2gQ9h00P2gQ9h0
1@000000aYJT0<JFY036UZ@0000000<0]8>P0P0000040<JHY`8000000P3Vc;d00`000000aIZ[0<FJ
Z`03000000040=o7`@00000000000:F2[`8000000P2`R:`01`000000YXJb0:J6/P2VQ[80000009^>
a@0000000P2`S;0010000000Z8^g0:R;]`2XRkL200000080/8nc0P0000020:V@^`800000102aTkP2
000000<0^9^j00D000000;6G_02aUk`0/INl000000030;NN_P060000002aVl40/I_10000002lYl@0
00000`2gXL82000000<0^jW700<000000;JTaP2fY<H00P0000040;V[b`8000000P2k/]0010000000
^:c>0;R/cP2h[<h2000000<0^K;B00D000000;J^d@000000^;KG000000030;Nbe@800000102g]]P0
0`000000oooo0000000[0?ooo`006@3oool00`000000oooo0?ooo`1C0?ooo`030000002X/Ml0Z;7O
00@0000000<0ZZkJ0000002X[]d00P2X[]d3000000030:Z[e`000000Yj_J00<0Yj_J00D000000::_
h@000000ZZOC000000030:JWe`050000002O[>0000000:ZSc`000000102UXm<00`000000W:WO09bY
g`0300000080Y9o@00<0000009RUgP2HYMh00`0000020:>Jc0040000002CX=d0Tj3M09>Pg@<00000
00<0XYG70000002<Vm`00P2<Vm`9000000<0`:Fn0P0000000`34g^`000000<6R^@030<6R^@040000
002fRjP0]X^X0;J;Z08000000P36Y;H010000000^8ZU0;R:Y@2hRZD2000000030=k;a@000000_XjT
0080_XjT0P0000020>G;_0030000002oSJ00_hfP0080_hfP00@000000:mjVP0000000000102fP9X0
0`000000ZG>F0:UcUP02000000030;^6W@000000000000<0000000<0m>^l00000037U:000P37U:02
000000<0Xf^B00H0000009AOT@2DGi4000000;FVb@0000030:QcV0050000002QJY40XFZA0:5ZT@00
00000`2LIHl01P000000VF:?09URS`000000Uen=00000080Te^<00@000000<J?W036Si`000000P2S
Ji401@000000Tef>09=MSP2CGHh0000000<0QU:<0P0000001@2aN9@00000081@SP20D8h000000080
PDn=00<0000008ABS@24DXd00P24DXd2000000<0Qe6:00@0000008IARP26DHX000000P28Dh/20000
000404/]RP000000HcnA06<oT@8000000`1dAX/2000000050>o<[P000000Se^@08mKT00000000P1j
Bh`00`000000Icj<06LnS00200000080^H2F00D0000007Q9S@1hBHd0N4V=0000000307U;SP800000
0P2=FY001@000000R5J?08QFS`28EXl000000080QEB@00@000000?;3WP3b`ih000000P2HI9820000
00<0/GVE00@000000:ifUP2^MYH0[WJF0P0000020>F]VP030000003/mZD0000000<0`HfP00@00000
0:iiV@2^NIT0[WVI0P0000040>6bYP<000000P2ULiX00`000000a92N000000030;=oV`8000000`3<
VJ801@000000]hBN0;N4WP2gQ9h0000000<0aYJT00H000000;B3X02dPj0000000>[=^00000040<JH
Y`030000003Vc;d0i/bm0080i/bm0`0000000`2_QZT00000000000030:F2[`030000002`R:`0/8R/
0080/8R/00D000000:J6/P2VQ[80YXJb000000030;2</0060000002XRkL0Z8^g0000002iU[<00000
0P2`Sk<2000000050:V@^`000000^IRf0;VH]P0000000`2aTkP00`000000^9^j0;RK^P020;RK^P03
0000002aUk`0/INl008000000`2gW[h00`000000/I_1000000020;bWa0060000002gXL80]j720000
0030/ld000000`2kZLL00`000000]ZC6000000020;fbc`030000002iZl/0^J_;00800000102k/]03
000000030;ZgeP000000^K;B0080^K;B0P0000030;Rfe`030000002g/]D000000080]kSJ00<00000
0;Nff02g]]P00P0000020?ooo`030000003oool0oooo02P0oooo000I0?ooo`030000003oool0oooo
05@0oooo0P0000020:^_fP090000002Z[]X0ZZkJ0:Z^fP000000Z:kM0000002/[=L0000000<0ZZ_G
00<000000:N[fP2WZmX00`0000030:ZWd`030000002VYmL0YZOG008000000`2ZXll010000000YJ?C
0:FSd`2UXm<3000000030:^Nb`000000Y9o@0080Y9o@0`0000000`2ZV/H000000:>Jc0030:>Jc005
0000002CX=d000000:ZF`@0000000`2RULL010000000S9_L0000002ZTK`800000080`:Fn0`000002
0<CNk00500000031X[T0`J:i0<6R^@0000000P2fRjP2000000<0aZBf00H000000;R:Y@2hRZD0^8ZU
0000002]OJ43000000040;j>Y00000000000000000<0iL^l00@000000;n=X02oSJ00_hfP0P000000
0`3>Y:d000000;J0VP030;J0VP040000002YLiH0ZG>F0:UcUP8000000`3>VIl010000000^H>J0000
000000020<NDX0030000002bNYH0000000<0Xf^B00H0000009AOT@2DGi4000000;FVb@0000030:Qc
V0050000002QJY40XFZA0:5ZT@0000000`2LIHl00`000000VF:?0000000209MOS@040000002CFh`0
Te^<00000080aXnL00@000000:=[T@2SJi4000000`2CGHh010000000QU:<08IBS026DX`200000005
0;5hU0000000P52>081@SP0000000`21Chd010000000Q5:=08ABS@24DXd2000000<0Qe6:00@00000
08IARP26DHX000000P28Dh/200000080Bbf:00<0000006<oT@1S?i401@0000000`3_c:h0000008mK
T00208mKT0080000001jBh`0NT^<0000001W?X`0000009mXT@0000020;V0UP050000001hBHd0N4V=
07Q9S@0000000`1iBhh200000080SEZ@00D0000008QFS`28EXl0R5J?0000000208EDT0030000003b
`ih0000000<0V6BB00<000000;5iU@2aNID00P2aNID00`000000[WJF0:ifUP03000000050>F]VP00
0000k?JU0>cfY@0000000`31SJ001@000000[WVI0:iiV@2^NIT0000000D0hK:V0`0000001@2ULiX0
00000<B@WP34T9h0000000<0/gnK00<000000<bIXP3<VJ800P3<VJ800`000000]hBN0;N4WP020000
00@0aYJT00<000000;B3X00000000P3ZcKP00`000000aYRW0<JHY`0200000080i/bm100000030:n6
Z@050000002UPZl0YH:_0:F2[`000000102`R:`01@000000YXJb0:J6/P2VQ[80000000@0/8b`0P00
00020;VF/`040000002`Sk<0/8nc0;2?/`8000000`2iV;H00`000000/I>h0;6C^002000000@0^9^j
00<000000;6G_00000000P2nY/400`000000]ijn0;NN_P02000000@0_:O40P0000020<2cc@040000
002kZLL0^jW70;^Ya`8000000`2m//l01@000000^J_;0000002m^MH0000000<0^k;@0P0000040;Zg
eP<0000000@0^K[J0000002h]]L0^;KG0`0000030;NhfP<000000P2e^=/010000000oooo0?ooo`00
000Y0?ooo`006@3oool00`000000oooo0?ooo`1E0?ooo`050000002[[mX0ZjoJ0:^_fP0000000P2Z
[]X2000000<0[:cG00<000000:Z[e`2ZZmL00`0000020:bXd`040000002ZYm<0ZZOC0:ZWd`<00000
00<0[JG?0000002ZXll00P2ZXll01P000000YJ?C000000000000[Z;;000000<0Zik;00D000000:BO
d0000000[Yk6000000030:ZJaP040000002SV/`0Xi[<0:>Jc08000000`2ZU/400`000000XYG70::E
a`06000000<0X8o300<0000008>Cf`0000000`00000209j:_P<000000`31X[T01@000000]X^X0000
003:lN`0000000<0aZBf00@000000;R:Y@2hRZD0^8ZU0P0000020<BL[`8000000P2dQ:0200000080
iL^l00@000000;n=X02oSJ00_hfP0P0000020<jT[@050000002fP9X0]X2J0;J0VP0000000`2YLiH0
0`000000cYVO0<jIW`020<jIW`030000002iPiX0000000<000000`2bNYH01@000000Xf^B0:=[TP00
0000U5nA0080000000<0]JK90000002XLiP00P2XLiP01@000000XFZA0:5ZT@2QJY40000000<0W6F?
00<0000009URS`0000000P2GGhd01`000000Te^<09=KS02CFh`000000<J?W00000000P2SJi401@00
0000Tef>09=MSP2CGHh0000000<0QU:<0P0000020;5hU00300000020D8h0000000<0PDn=00@00000
08ABS@24DXd0Q5:=0P00000308MARP0400000026DHX0QU6:000000<0R5>;0P0000001@1;;HX00000
06<oT@1S?i40000000@0SFFO0P00000308mKT0080000001jBh`0NT^<0000001W?X`0000009mXT@00
00020;V0UP050000001hBHd0N4V=07Q9S@0000000`1iBhh200000080SEZ@00<0000008QFS`28EXl0
0P28EXl200000080l/>N00D0000009QTTP2HI980V6BB000000040;5iU@030000002^MYH0[WJF00<0
000000D0iJfJ000000000000k?JU000000030<6=X0050000002^NIT0[WVI0:iiV@000000103Q/ZH2
000000040;=mVP000000YG>J00000080a92N00D000000;=oV`2cOi/0/gnK000000040<bIXP060000
002gQ9h0]hBN0000003`d[<000000`36UZ@2000000<0j/fh00<000000<JHY`0000000P2_PjH20000
00<0Xgj[00D000000:n6Z@2_QZT0[hJY000000020:F2[`800000102`R:`01P000000YXJb0:J6/P00
0000^Y>_000000<0/8b`00D000000;VF/`2iU[<0^IJc000000030;2?/`8000000`2iV;H00`000000
/I>h000000020<2V_P040000002hVkX0^9^j0;RK^P8000000`2nY/401@000000]ijn00000033]<`0
000000<0_:O40P0000040<2cc@<0000000<0_kcF0000002m//l00P2m//l2000000<0_KWF00<00000
0;^bd00000000P2j_=/00`000000^[OF0;ZgeP02000000<0^K[J0`0000020;Nif`060000002g^=X0
00000000002e]mX000000`2e^=/2000000030?ooo`000000oooo02P0oooo000I0?ooo`040000003o
ool00000000005D0oooo00<000000:^_fP2[[mX00`0000000`2/[]T000000:b/e`020:b/e`<00000
00<0[JcF0000002/Z=<00`2/Z=<01@000000ZZOC0000002]ZM<0000000<0[JG?00<000000:ZSc`2Z
Xll00P0000040:jRb`030000002[W//0Zik;008000000`2^W/H01@000000ZY[60:ZJaP000000Xi[<
0080000000<0[i[20000002ZU/400P2ZU/400`000000XYG700000002000000<0ZY6l00@000000:2?
``2PSl<0X8o30P0000030:V<]`040000002NR[h0WXZn09j:_P8000000`31X[T2000000<0b_7/00@0
00000<JT]P36Y;H000000`2hRZD01@000000a9b_0<BL[`34W:l0000000@0]8BP0P000000103Ubk`0
00000;n=X02oSJ02000000<0cZB]00D000000;J0VP2fP9X0]X2J000000030:UcUP030000003>VIl0
cYVO0080cYVO0P0000020=:PX`030000002bNYH0/WZF0080/WZF00L000000:=[TP2SJi80000009AO
T@000000/g^F008000000`2XLiP01@000000XFZA0:5ZT@2QJY40000000<0W6F?00<0000009URS`00
00000P2GGhd01`000000Te^<09=KS02CFh`000000<J?W00000000`2SJi4010000000Tef>09=MSP00
000308IBS0070000002aN9@0/GRD0;5hU0000000P52>00000003085?S@0400000024DXd0Q5:=08AB
S@8000000`27DHX010000000QU6:08IARP00000308QCR`80000000D0Bbf:0000001S?i40HcnA0000
000508eUW`050000002?Fi00Se^@08mKT00000000P1jBh`2000000<0WfRA00@000000;V0UP2iP9H0
00000P1hBHd01P000000ND^>07U;SP000000V6FD00000080SEZ@00<0000008QFS`28EXl00P28EXl2
00000080l/>N00D0000009QTTP2HI980V6BB000000040;5iU@030000002^MYH0[WJF00@0000000@0
ZW>E0000003/mZD000001031SJ000`000000[WVI0000000200000080hK:V00<000000;=mVP2cOIX0
0P2cOIX200000080a92N00D000000;=oV`2cOi/0/gnK000000040<bIXP030000002gQ9h000000080
l=:c00D000000<JFY036UZ@0aYJT000000040>[=^0800000102_PjH00`000000Xgj[0:=nZ`020000
00<0[hJY00<000000:F2[`0000000P2jTZ`00`000000/8R/0;28[0020;28[08000000P2jTjl01@00
0000/8b`0;2</02`S;00000000@0^IJc00@000000;2?/`000000`jFl0P0000030;VH]P0500000030
Y[h0`:Jn0<2V_P0000000P2hVkX00`000000a[O<000000030;jV`@8000000`33]<`01@000000_:O4
00000033`=P0000000<0`;?=0P0000040;nleP<0000000@0_<3L0000002m^MH0_KWF0`0000030;Zl
f`<000000P2g^m`01@000000^K[J0000002e]mX0000000<0]kWK0P0000040;FgfP<0000000D0];?H
0000003oool0oooo0000000X0?ooo`006@3oool2000005P0oooo0P0000000`2[/=`000000:b^f@02
0:b^f@050000002/[=L000000:b_fP0000000`2][=H00`000000[:SC0:bXd`03000000<0[JWC00<0
00000:fUc`2]YLl00`0000000`2^Y]0000000:jRb`030:jRb`050000002[W//000000:nTc0000000
0`2^W/H00`000000ZY[60:ZJaP02000000@0[i[200<000000:ZF`@0000000P0000030;2G_@050000
002ZTK`0ZY6l0000002PSl<00P0000000`2`TkP000000:V<]`020:V<]`030000002NR[h0WXZn0080
000000<0ZhZc0000000000001`0000020<JT]P030000002hRZD0^8ZU008000001034W:l010000000
]8BP0;B4X02dQ:06000000030;N4W`000000cZB]0080cZB]00D000000;J0VP2fP9X0]X2J00000002
0:UcUP800000103>VIl200000080dZ2S00<000000;9jUP2bNYH00P2bNYH02P000000Xf^B0:=[TP00
0000U5nA0000002cNiH000000;FVb@0000030:QcV0040000002QJY40XFZA000000<0W6F?0`000002
09MOS@070000002CFh`0Te^<09=KS0000000aXnL000000030:=[T@040000002CGHh0Tef>000000<0
QU:<00L000000;5hU02aN9@0/GRD00000020D8h0000000<0PDn=00@0000008ABS@24DXd0Q5:=0P00
000308MARP0400000026DHX0QU6:000000<0R5>;0P0000001@1;;HX0000006<oT@1S?i40000000D0
SFFO0P00000208mKT0030000001jBh`0NT^<008000000`2OJ9403`000000^H2F0000002CG8d00000
07Q9S@000000ND^>0000002IHi40000009QUU0000000SEZ@0000000408QFS`80000000<0l/>N0000
000000000P2HI982000000@0/GVE00<000000:ifUP2^MYH00P0000030:YcU@<000001031SJ000`00
0000[WVI00000002000000030>6bYP000000000000@0/gfJ00D000000<B@WP34T9h0a92N00000002
0;=oV`800000103<VJ800`000000]hBN000000020?3B/`0400000036UZ@0aYJT0<JFY08000000P3Z
cKP3000000@0[h>V00<000000:=nZ`0000000P2kT:X010000000[hJY0:n6Z@2_QZT200000080^Y:/
00<000000;28[02`R:`00P2`R:`01@000000^Y>_0;ZC[`2jTjl000000080/8b`00<000000<FU^@00
00000`2iU[<2000000<0`jFl00<000000;VH]P2iV;H00P0000030<2V_P030000002hVkX000000080
a[O<00H000000;jV`@2nY/4000000<K7f`0000030<>dc08000000`33`=P01@000000`;?=0000002n
aN00000000<0_kcF0P0000030;c0g0<000000P2h_Mh01P000000^[cK000000000000]KSK000000<0
]k_L0P0000030;FgfP050000002g^M/000000;Bce`0000000`2e]mX2000000@0];?H00@000000?oo
o`00000000009`3oool001T0oooo00<000000?ooo`3oool0E`3oool01@000000Zk3L0:^`g02[/=`0
00000080[:kI0P0000030:b_fP030000002][=H0[JcF00<000000P2/[MP02@000000[JWC0:fYd`2]
ZM<000000:fUc`000000[JcF000000030:jVd0030000002^X//0[Z;;00<000000`2_Y<`020000000
[Yk60:jNaP000000ZY[60000002aX/P000000`2_V/84000000030;:Oa@000000/9Nm0080/9Nm00<0
00000:ZA_02ZTK`00P0000030;2C^0030000002YS;L0ZHbg0080ZHbg0P0000020;6A]0040000002[
R[<0ZhZc0:^:/`8000000P2bS[02000000<0aZBf0P0000020=Cci@0500000034W:l0a9b_0<BL[`00
00000`2dQ:02000000030<FK[0000000000000<0]hBO00@000000<jT[@3>Y:d000000`2fP9X01P00
0000ZG>F0:UcUP000000n^VY000000<0cYVO0P0000020=:PX`030000002bNYH0/WZF0080/WZF00<0
00000:=[TP2SJi800P0000020;=kUP030000002eY/T0000000<0Z7>H00@000000:5ZT@2QJY400000
0`2LIHl300000080Uen=00@0000009=KS02CFh`0Te^<0`0000030:=[T@040000002CGHh0Tef>0000
00<0QU:<00<000000;5hU02aN9@00P2aN9@2000000<0PDn=00H0000008ABS@24DXd0000008UDR`00
000308MARP0400000026DHX0QU6:000000<0R5>;0P0000000`1;;HX0000006<oT@0206<oT@040000
002=IIl0SFFO08eUW`80000000D0PDn<0000002?Fi00000007Y;S002000000@0WfRA00<000000;V0
UP0000000P2CG8d40000000609UST@000000V6FD0000002=FY0000001028EXl2000000030?;3WP00
000000000080V6BB0P0000040;5iU@030000002^MYH0[WJF008000000`2ZLiD010000000XVfF0000
000000030<6=X080000000H0_hRI00000000000000000<RCW@0000040;=mVP0500000034T9h0a92N
0<B@WP0000000P2cOi/00`000000nnBU000000040<bIXP8000000P3`d[<010000000aYJT0<JFY000
00020:n1X`80000000@0XW^X0000002lSjL000000`2_PjH00`000000Xgj[000000020;^@ZP050000
002_QZT0[hJY0:n6Z@0000000`2jTZ`010000000/8R/0;28[02`R:`2000000@0^Y>_0P0000020<FU
^@050000002iU[<0^IJc0;VF/`0000001033YK`300000080b[_<00<000000<2V_P30Y[h00P000004
0<Jgc08000000`36am/3000000030;o=i@000000`l3H0080`l3H0P0000030;k5h0030000002o_=H0
00000080^<;Q00D000000;c0g0000000]K[M000000030;RmgP800000102e^=/3000000030;Bce`00
0000]KOJ0080]KOJ0P0000030;Bce`050000002e]mX000000;B`e@0000000`2d/mP3000000030?oo
o`000000oooo02H0oooo00080?ooo`<000000`3oool2000000P0oooo00<000000?ooo`3oool0F@3o
ool00`000000Zk3L0:^`g00300000080ZK7M00<000000:b_fP2/[mX00`0000020:Z`g@050000002/
[MP0[:gH0:b]f00000000P2]ZM<2000000<0[JcF00<000000:jVd02^Y]000`0000020:j[e0050000
002_Y<`0[jC<0:nTc00000000P2^W/H2000000<0/J;80`0000000`2_V/800000000000030;:Oa@08
0000002`Ukd0/9Nm0000002ZTK`000000;BM`@0000040;2C^0030000002YS;L0ZHbg008000000`2a
TK@01@000000ZhZc0:^:/`2[R[<0000000<0/Xj`00<000000:R4[P0000001@0000000`3DlnD00000
0<BL[`020<BL[`030000002dQ:00]8BP008000000`35Vj`01@000000]hBO0;N4W`2gQ9l000000080
cZB]00L000000;J0VP2fP9X0]X2J0000002YLiH000000080n^VY00D000000<jIW`3>VIl0cYVO0000
00030=:PX`030000002bNYH0/WZF0080/WZF00<000000:=[TP2SJi800P0000020;=kUP030000002e
Y/T0000000<0Z7>H00@000000:5ZT@2QJY4000000`2LIHl300000080Uen=00@0000009=KS02CFh`0
Te^<0`0000030:=[T@040000002CGHh0Tef>00000080QU:<0P0000040;5hU08000000`21Chd01P00
0000Q5:=08ABS@000000REB;000000<0Qe6:00@0000008IARP26DHX000000`28Dh/20000000304/]
RP000000HcnA0080HcnA00@0000008eUW`2=IIl0SFFO0P000002085?S0<0000000<0SeZ>0000002O
J9400`2OJ9400`000000^H2F0000000209=LS@80000000P0UUn>0000002IHi40000009QUU0000000
SEZ@000000@0R5J?00L000000?;3WP3b`ih000000:QaU0000000V6BB00800000102aNID01@000000
[WJF0000002bNiL0000000<0ZW>E00@000000:9]UP00000000000`31SJ02000000030;n8V@000000
b9>M0080b9>M00<000000;=mVP2cOIX00P2cOIX01@000000a92N0<B@WP34T9h000000080/gnK00<0
00000?_TY@000000103<VJ800`000000l=:c0?3B/`020?3B/`<000000`2_PJ<200000080_8nW00<0
00000:n3YP2_PjH00P2_PjH01@000000^i2Z0;^@ZP2kT:X0000000<0[hJY00D000000;ZB[02jTZ`0
^Y:/000000020;28[00400000037Y[L0ajJg000000<0^Y>_00D000000<FU^@35YKT0aJFi00000002
0;VF/`8000001033YK`300000080b[_<00D000000<2V_P000000b]7O000000030<Jgc08000000`36
am/2000000@0_lgU0`000000102hb>H000000;k5h02naN03000000<0^<;Q0P0000030;Fjg@030000
002h_Mh000000080];?G00<000000;Fhf`2e^=/00P0000040;Bce`<0000000@0]:oC0000002d/mL0
];?G0`0000030;B`e@050000002d/mP000000;B_d`0000000`3oool00`000000oooo0?ooo`0T0?oo
o`002@3oool01@000000oooo0?ooo`3oool000000080oooo00<000000?ooo`3oool01@3oool00`00
0000oooo0?ooo`1J0?ooo`8000000P2X/^000`000000ZK7M0:Vag@03000000030:Nbh0000000Z[3M
00<0Z[3M00<000000:b]f02/[MP00`0000000`2Z/=`000000:f/eP020:f/eP050000002^Y]000000
0:Z`g0000000102^Zm@00`000000[jC<0:nTc003000000030;2ZdP000000/J;800<0000000D0[i[2
000000000000/Z[A000000030;:Oa@030000002`Ukd0/9Nm008000000`2dWL4010000000/9>h0;2C
^02`TkP3000000030;JL_@000000/I6d0080/I6d00<000000:^:/`2[R[<00P0000030;:>/0030000
002XQ:h0Z8B^0080Z8B^00<000000;28Z`2`R:/00P0000030<BL[`050000002dQ:0000000=;gi@00
00000`35Vj`01@000000]hBO0;N4W`2gQ9l000000080cZB]00L000000;J0VP2fP9X0]X2J0000002Y
LiH000000080n^VY00D000000<jIW`3>VIl0cYVO000000030=:PX`030000002bNYH0/WZF0080/WZF
00<000000:=[TP2SJi800P0000020;=kUP<000000`2XLiP010000000XFZA0:5ZT@00000309aUS`<0
00000P2GGhd010000000Te^<09=KS02CFh`3000000<0Xf^A00@0000009=MSP2CGHh000000P26DX`2
000000@0/GRD0P000003085?S@0300000024DXd000000080REB;00D0000008MARP27DHX0Qe6:0000
000208IARP0400000028Dh/0R5>;08QCR`80000000<0Bbf:0000001S?i400P1S?i4010000000SFFO
08eUW`2=IIl2000000<0PDn<00@0000008mJSP2?FXh00000102OJ9400`000000^H2F0000000209=L
S@060000002FGhh0UUn>09IOSP000000VF>A0P00000208eJT00500000028EXl0R5J?08QFS`000000
0P3b`ih010000000Z76D0000000000020;5kV0070000002aNID0/GVE0;5iU@000000[WJF00000002
0;9kU`040000002ZLiD0ZW>E00000080XVfF1@0000020;n8V@0500000038Tid0b9>M0<RCW@000000
0`2cOIX2000000@0a92N0P0000020?_TY@040000003<VJ80c9VR0<bIXP8000000P3`d[<300000003
0;f?Y@000000[h6S0080[h6S0P0000020;b?Y`030000002_PjH0[h>V0080[h>V00D000000;^@ZP2k
T:X0^i2Z000000020:n6Z@800000102jTZ`2000000<0ajJg00D000000;ZC[`2jTjl0^Y>_00000004
0<FU^@8000000P3?`L`01@000000`jFl0<>U_0000000c]oU008000000P3:^l`2000000<0b]7O00<0
00000<Jgc00000000P2ofNd00`000000a/OK000000020;G@kP030000002ocND0_lgU008000000`2h
b>H300000080];cP00H000000;S2h@00000000000;>bf00000020;Fjg@<000000`2d/mL300000080
]:kB00<000000;Bce`2d/mL00P0000030;B_d`<000000P2e[M4010000000];3E0;B`e@2d/=D20000
00<0]:oC00D000000?ooo`3oool0oooo0000000U0?ooo`001P3oool500000080oooo00@000000?oo
o`3oool000001`3oool00`000000oooo0?ooo`1K0?ooo`030000002X/^00Z;;P00<0000000<0Y[7Q
0000002W/^000P2W/^000`000000Z[3M0:Z`g@0400000080Yk;P00@000000:Z`g02Z/=`000000P2]
[=H2000000<0Z[3L00<000000:j[e02^Zm@0100000000`2[/Md000000;2ZdP0300000080/J;80P00
00030;:Zd@090000002bWlD0/Yo50;:Oa@000000/9Nm0000002dZ/l0000000<0]9g100<000000;2C
^02`TkP00P0000040;JL_@040000002aTK@0/I6d0;6A]080000000<0^I^j0000002bS[000`2bS[00
0`000000Z8B^0:R4[P02000000<0/8R[0P0000020<BL[`8000000`3BmnD010000000aI^/0<FK[000
00030;N4W`80000000<0cZB]0000002fP9X00P2fP9X2000000<0n^VY00<000000<jIW`3>VIl00P00
00040=:PX`050000002bNYH0/WZF0;9jUP0000000P2SJi8010000000/g^F0;=kUP2cNiH3000000<0
Z7>H00@000000:5ZT@2QJY4000000`2LIHl00`000000W6F@0000000209MOS@040000002CFh`0Te^<
09=KS0<000000`2SJi4020000000Tef>09=MSP000000QU:<0000002TKI<00000102aN9@2000000<0
PDn=00<0000008ABS@0000000P29E8/01@000000Qe6:08MARP27DHX000000080QU6:00@0000008QC
R`28Dh/0R5>;0P0000000`1;;HX0000006<oT@0206<oT@060000002=IIl0SFFO0000001cAH/00000
0`21Ch`010000000SeZ>08mJSP00000409mXT@030000002iP9H000000080Teb=00H0000009IOSP2F
Ghh0UUn>0000002IHi4200000080SEZ@00@0000008QFS`28EXl0R5J?0`0000020:QaU08000000P2a
NiP00`000000/GVE0;5iU@020;5iU@8000000P2bNiL010000000ZW>E0:YcU@0000020:9]UP030000
003QZi/0000000@0_hRI00D000000<RCW@38Tid0b9>M000000030;=mVP030000003^b:`0000000<0
a92N0P0000020?_TY@040000003<VJ80c9VR00000080[WjQ0`0000030;f?Y@050000002_PJ<0[h6S
0:n1X`0000000`2lSjL010000000[h>V0:n3YP2_PjH2000000<0^i2Z00<000000:n6Z@0000000P3;
YkH01@000000^Y:/0;ZB[02jTZ`0000000@0ajJg00H000000;ZC[`2jTjl000000=G9cP0000030<FU
^@070000003?`L`0cl7<0<o1c0000000`jFl000000030<kOi@<0000000@0^NSe0000003:dMl0b]7O
0`0000020;oIk@<000000`2ed>h300000080/L3U00<000000;S8iP0000000P2a/]T00`000000];cP
0;Blh002000000<0/k;H0`0000020;>/dP060000002d/mL000000000002dZ/h000000`2d[]830000
0080]Jc?00D000000;B_d`000000]Z_>000000040;F]d@<0000000<0]Zg@0000002d[m<00P2d[m<2
00000080oooo00<000000?ooo`3oool08`3oool000H0oooo00@000000?ooo`3oool000000`3oool0
10000000oooo0?ooo`0000070?ooo`030000003oool0oooo05`0oooo0P0000000`2V/=l000000:Ja
h@020:Jah@030000002W/^00Yk;P00<000000`2U/N400`000000Yk;P0:Nbh00600000080Y[;Q00<0
00000:Z`g02Z/=`00`0000020:Fdi0030000002[/Md00000008000000P2`Z]83000000030:bcgP00
0000/Z[A00<0/Z[A00<000000;:Oa@0000000P0000030;BZc`080000002dWL40]9g10000002`TkP0
00000;N/cP0000040;JL_@050000002aTK@0/I6d0;6A]00000000`2iVkX02@000000/Xj`0;:>/02b
S[0000000:R4[P000000]YBd000000030;28Z`P0000000D0d_OU00000035Vj`0aI^/000000030;N4
W`8000000P3>Y:d00`000000]X2J0;J0VP04000000040?[YZ@000000cYVO00000080Z7:F00D00000
0=:PX`3BX:<0dZ2S000000030;9jUP040000002SJi80Xf^B000000<0/g^F0`0000030:QcV0040000
002QJY40XFZA000000<0W6F?00<0000009aUT00000000P2GGhd01`000000Te^<09=KS02CFh`00000
08mIS00000000`2SJi4020000000Tef>09=MSP000000QU:<0000002TKI<00000102aN9@2000000<0
PDn=0`00000208UDR`0500000027DHX0Qe6:08MARP0000000P26DHX010000000R5>;08QCR`28Dh/2
0000000304/]RP000000HcnA0080HcnA00H0000008eUW`2=IIl0000007=5R`000003085?S0040000
002?FXh0SeZ>000000@0WfRA00<000000;V0UP0000000P2CG8d01P000000UUn>09IOSP2FGhh00000
09UST@8000000P2=FY0010000000R5J?08QFS`0000020>?9_@030000002XLI@0Z76D008000000P2a
NiP00`000000/GVE0;5iU@020;5iU@8000000P2bNiL010000000ZW>E0:YcU@2ZLiD2000000<0hJ^K
00<000000;n8V@2oR9T00P0000030<RCW@040000002cOIX0/gfJ00000080k/R/00@000000<B@WP34
T9h0a92N0P0000030?_TY@<000000`2^OZ400`000000_HnU0;f?Y@020;f?Y@050000002_PJ<0[h6S
0:n1X`0000000`2lSjL01P000000[h>V0:n3YP000000cJRd000000@0^i2Z0P0000020<^W]P050000
002jTZ`0^Y:/0;ZB[00000001@37Y[L200000080eLW>00<000000<FU^@35YKT00P0000030<o1c0<0
00000P3>gnD4000000040;WXm@000000000000000080[M_g0`0000020:g4j`060000002ed>h00000
0000002^/]/000000P2a`>D3000000<0/K;I0`0000020;:[d@050000002c/]P000000;BXc@000000
0`2c[=82000000@0]:[>0`0000000`2fZ/d000000;F/c`020;F/c`8000000`2fZlh00`000000]JgA
0;F]d@02000000@0]Zg@0`0000000`2g[M0000000?ooo`020?ooo`030000003oool0oooo0280oooo
00070?ooo`030000003oool0000000<0oooo00@000000?ooo`3oool000001`3oool00`000000oooo
0?ooo`1L0?ooo`050000002V/=l0Y[3O0:J`g`0000000P2V/N43000000<0Y:oP00<000000:Fah@2U
/N400`0000000`2S[n0000000:>ahP020:>ahP030000002V/^40Y[;Q00<000000P2Q/nD00`000000
YKCT0000000200000080Zk7M0`0000000`2S]nL000000:bcgP020:bcgP030000002bZ]40/Z[A00<0
00000P2]]n401@000000]:[?0;BZc`2dZ/l000000080]9g10P0000030;N/cP050000002fW;d0]Ybm
0;JL_@0000000P2aTK@2000000<0^I^j00@000000;:>/02bS[00/Xj`0P0000030;JD]0040000002`
R:/0/8R[00000080Yh6Z0P0000030;V@[08000000P35Vj`00`000000]hBO0;N4W`04000000030<jT
[@000000]X2J00@0000000<0/h6N0000000000000P0000020:QbUP050000003BX:<0dZ2S0=:PX`00
00000`2bNYH010000000Xf^B0:=[TP0000030;=kUP<000000`2XLiP010000000XFZA0:5ZT@000003
09aUS`030000002LII0000000080Uen=00<0000009=KS02CFh`00P2CFh`2000000<0Xf^A00P00000
09=MSP2CGHh0000008IBS0000000Y6fC000000@0/GRD100000001021Chd0000000000000000208UD
R`0500000027DHX0Qe6:08MARP0000000P26DHX01P000000R5>;08QCR`28Dh/0000008mKS`800000
0`1S?i401P000000SFFO08eUW`000000LdF;000000<0PDn<00@0000008mJSP2?FXh00000102OJ940
0`000000^H2F0000000209=LS@050000002FGhh0UUn>09IOSP0000000P2IHi401P000000SEZ@08eJ
T0000000R5J?000000<0hlVm00@000000:QaU02XLI@000000`2aNiP00`000000/GVE0;5iU@020;5i
U@8000000P2bNiL010000000ZW>E0:YcU@2ZLiD2000000<0hJ^K00H000000;n8V@2oR9T000000?gS
W00000030<RCW@030000002cOIX000000080k/R/00@000000<B@WP34T9h0a92N1P0000000`2lS:<0
00000:inX@020:inX@030000002mSjD0_HnU0080_HnU00<000000:n1X`2_PJ<00P0000040;b?Y`05
0000002_PjH000000<fX]0000000102kT:X01@000000bjNf0<^W]P3;YkH000000080^Y:/00<00000
0=cDd00000000`37Y[L2000000<0eLW>00<000000<FU^@0000000P3=l^X010000000cl7<0000002N
l_440000000309KSo@0000000000008000000P2SbO<300000080Z[;N00<000000:g4j`2]a>/00P00
00030:jbf`<000000P2`ZM001P000000/K;I000000000000/jK;000000<0/Z_A0P0000030;BXc@05
0000002c[=8000000;JXb`000000102dZ/h01@000000]Z[=0;JZc@2fZ/d000000080]Jc?00<00000
0;R[c@0000000`2fZlh01@000000]JgA0000002g[<h0000000<0]Zg@0P0000040;N]d0050000003o
ool0oooo0?ooo`0000008`3oool000P0oooo0P0000030?ooo`040000003oool0oooo000000L0oooo
00<000000?ooo`3oool0G@3oool00`000000Y[3O0:J`g`0300000080YJkM00<000000:B_h02T[n00
100000000`2T[Md000000:>_h0020:>_h0030000002S/N80Xk7R00<0000000@0XJoR0000002Q/nD0
XK?U0`0000020:Fdi0<000000P2M]NT010000000XkOW0:>gi`0000020:bcgP<000000P2O_>d01@00
0000[KOQ0:fgh@2]]n4000000080]:[?00D000000;BM`@000000[KgU000000030;N/cP030000002f
W;d0]Ybm0080]Ybm0P0000020;b`cP040000002iVkX0^I^j00000080/Xj`0P0000040;JD]0040000
002`R:/0/8R[0;28Z`8000000P32X;H010000000^I2/0;V@[02iT:`200000080aI^/0P0000020:f0
X`030000003K/Jh0000000@0000000<0d;_60000002cPIh00P2cPIh01@000000Z7:F0:QbUP2XLYH0
000000<0dZ2S00H000000;9jUP2bNYH0/WZF0000002SJi82000000@0/g^F0P0000030:QcV0040000
002QJY40XFZA00000080W6F?00@0000009aUT02LII0000000P2GGhd00`000000Te^<09=KS00209=K
S0<000000P2SJi400`000000Tef>09=MSP0200000080Y6fC00<000000;5hU02aN9@00P2aN9@00`00
0000N4R;07Q8R`030000000508eIS`000000REB;08UDR`0000000`27DHX010000000QU6:08IARP00
000308QCR`040000002?Fhl00000000000<0HcnA00<0000008eUW`0000000P1cAH/01@000000PDn<
085?S021Ch`000000080SeZ>00<0000009mXT@2OJ9400P2OJ9400`000000^H2F0000000209=LS@05
0000002FGhh0UUn>09IOSP0000000P2IHi420000000408eJT0000000R5J?00000080hlVm00<00000
0:QaU02XLI@00P0000030;5kV0030000002aNID0/GVE0080/GVE00D000000;9kU`2bNiL0/W^G0000
00030:YcU@8000000`3QZi/01P000000_hRI0;n8V@000000oN>L000000<0b9>M0P0000030>k8[005
00000034T9h0a92N0<B@WP0000000P2`Oj001@000000_8bS0;b<X`2lS:<000000080[WjQ0P000005
0;f?Y@8000000P3B[;<010000000_8nW0;b?Y`2lSjL2000000<0cJRd00<000000;^@ZP2kT:X00P00
00040<^W]P8000000P3Le=001P000000ajJg000000000000^?cO00000080eLW>2P0000000`2Ac?`0
00000000000200000080Y;3Q100000000`2/Y<l000000:ZbgP020:ZbgP<000000P2^Ym001@000000
[[;K0000002bY<T0000000<0/:W@0P0000040;>Vb`<0000000<0]ZO90000002dZ<d00P2dZ<d20000
00<0]ZS;00<000000;BZcP2dZ/h00P0000040;JZc@8000000P2hZld010000000]Z_>0;J[cP2fZlh2
000000<0]jc>00D000000;J]d0000000^:k?000000030;N]d08000000`3oool00`000000oooo0?oo
o`0Q0?ooo`002@3oool00`000000oooo0?ooo`020?ooo`8000001`3oool00`000000oooo0?ooo`1O
0?ooo`8000000P2V[=/00`000000YJkM0:F^g@0300000080YZ_J00D000000:B]g@2T[Md0Y:gM0000
00020:>_h0<0000000@0XjcM0000002Q[n80XJoR0`0000000`2Q/nD000000000000200000080W[3T
00<0000009fej@2M]NT01P00000209Nhk`050000002O_>d0Wkc]09nlk@0000000P2]]n45000000<0
[KgU00@000000;N/cP2g[<h000000P2fW;d3000000<0_;3>00@000000;VK^P2iVkX0^I^j0P000000
0`2kZlT000000;JD]0030;JD]0050000002`R:/0/8R[0;28Z`0000000`32X;H010000000^I2/0;V@
[02iT:`600000080[H2S1P0000030=2kaP040000002cPIh0/h6N000000<0Z7:F0P0000020=:PX`06
0000002bNYH0/WZF0;9jUP000000Xf^B0P0000040;=kUP8000000`2XLiP010000000XFZA0:5ZT@00
000209aUS`040000002LII00W6F@00000080Uen=00<0000009=KS02CFh`00P2CFh`20000000406=4
U`000000Xf^A00000080Tef>0P0000020:A]T`080000002aN9@0/GRD0;5hU0000000TUb>0000001h
B8/200000080SEV?00@0000008UDR`29E8/000000`27DHX010000000QU6:08IARP00000308QCR`05
0000002?Fhl0000004/]RP0000000`1S?i4200000080LdF;00D00000085?S021Ch`0PDn<00000003
08mJSP030000002OJ940WfRA0080WfRA0P00000209=LS@050000002FGhh0UUn>09IOSP0000000P2I
Hi4500000080hlVm0P000000102XLI@000000:IlY@0000030;5kV0030000002aNID0/GVE0080/GVE
00D000000;9kU`2bNiL0/W^G000000030:YcU@8000000`3QZi/00`000000_hRI000000020?gSW004
00000038Tid0b9>M0<RCW@8000000`3^b:`010000000a92N0<B@WP0000020;1oX08000000`2lS:<0
1P000000[WjQ0:inX@000000e[2a000000@0_HnU0P0000020=://`050000002lSjL0_8nW0;b?Y`00
0000103=Z;@00`000000^i2Z000000020>CSdP030000003;YkH0bjNf008000000`3Le=0900000080
K/Oo0`00000209b^h`<000000P2XX<h010000000Y;3Q0:B`h@2T/>43000000<0[:C?0`0000000`2a
XLP000000:jWd0020:jWd08000000`2bY<T01@000000/:W@0000002fYLP0000000@0/jK;00D00000
0;JWb@2fYlT0]ZO9000000020;BXc@030000002iZ/X0000000<0]ZS;00<000000;BZcP0000000P2h
Zl`00`000000]Z[=0;JZc@02000000@0^:_=0`0000000`2i[Lh000000;N/cP020;N/cP8000000`2h
[/l01@000000]jg@0000002h[m00000000@0oooo00<000000?ooo`3oool0803oool001L0oooo0`00
001O0?ooo`040000002V[=/0YZcK0:J/f`<0000000<0YjWH0000002VZmX00`2VZmX00`000000Y:gM
0:B]g@03000000040:FYf@000000XjcM0:>/g@<0000000@0XJoR00000000000000000`2QZmh00`00
0000W[3T09j`i0030000000309jZg`000000VK7X0080VK7X00<0000009Nhk`2G^>l01`00000208fl
mP040000002H`oD0V<?e00000080[KgU00<000000;N/cP2g[<h00`0000020;39k@050000002l/<h0
_;3>0;b`cP0000000P2iVkX2000000<0^j_900D000000;JD]02fU;@0]YBd000000020;28Z`800000
0`32X;H01P000000^I2/0;V@[0000000ckk:00000080_9>^0P0000030:f0X`030000002NLZ000000
008000000`3@^lH01@000000/h6N0;>1WP2cPIh000000080Z7:F0P0000020=:PX`060000002bNYH0
/WZF0;9jUP000000Xf^B0P0000040;=kUP8000000`2XLiP010000000XFZA0:5ZT@00000209aUS`04
0000002LII00W6F@00000080Uen=00<0000009=KS02CFh`00P2CFh`200000080HdBG0P0000000`2C
GHh00000000000030:A]T`070000002aN9@0/GRD0;5hU0000000TUb>0000000207Q8R`040000002=
FHl0SEV?00000080REB;00D0000008MARP27DHX0Qe6:0000000208IARP0600000028Dh/0R5>;08QC
R`000000Se^?0`00000306<oT@8000000P1cAH/01@000000PDn<085?S021Ch`0000000<0SeZ>00<0
000009mXT@2OJ9400P2OJ9401@000000Teb=09=LS@2CG8d0000000<0UUn>00D0000009UST@2IHi40
000009UST002000000<0hlVm0`0000020:IlY@050000002aNiP0/G^H0;5kV0000000102aNID01@00
0000/W^G0;9kU`2bNiL0000000<0ZW>E0P0000030>6[V`030000002oR9T000000080oN>L00D00000
0<RCW@38Tid0b9>M000000050>k8[08000000`2`Oj000`000000e:b_000000030;b<X`8000000P3F
/;400`000000_HnU0;f?Y@020;f?Y@050000003B[;<0dZbc0=://`0000000`2lSjL00`000000cJRd
0<fX]0020<fX]08000000`3Thm800`000000bjNf00000003000000040=cDd0000000000000000080
XIO;00<0000009:ZiP2BZ^H0100000020:FLc@050000002L[^<000000:jKa0000000102XX<h02000
0000Y;3Q0000002_W/H000000:bTc`000000[:C?0P0000040;6Qb0<0000000<0]Z?60000002bY<T0
0P2bY<T2000000<0]ZG800<000000;>Vb`2cY//00P0000040;JWb@8000000P2iZ/X010000000]ZS;
0;JXb`2fZ</2000000<0^:_<00D000000;JZc@000000^Zg=000000030;R[c@800000102i[Lh30000
00030;V`d0000000^:k?0080^:k?0P0000030;R_d0030000003oool0oooo0080oooo00<000000?oo
o`3oool07`3oool001L0oooo00<000000?ooo`3oool0H03oool01@000000YZcK0000002XZMP00000
00<0YjWH00<000000:J[fP2VZmX010000000102WZ=L000000:FYf@2UZMT3000000040:>/g@000000
000000000080Y:OH00<000000:6[gP2QZmh0100000000`2SY]P0000009jZg`0209jZg`030000002I
/NP0VK7X00<000000P2KZ^401@000000T[;]09:bk@2B/^d000000080SKcf2@00000208W>oP050000
002`bNd0/<W]0;39k@0000000P2l/<h3000000030:k=l0000000^j_90080^j_900<000000;JD]02f
U;@00P2fU;@200000080akgA00@000000<:P]P32X;H0`Z2f0P0000020<nnbP050000002lTjh0_9>^
0;bC[P0000000`2]P:<2000000040;:8Z@000000/H:S00000080d;_600D000000;>1WP2cPIh0/h6N
000000020:QbUP8000000P3BX:<010000000/WZF0;9jUP2bNYH2000000030;f:W`000000/g^F00<0
/g^F0P0000030:QcV0060000002QJY40XFZA0000002LIHl000000`2LII0010000000Uen=09MOS@00
000409=KS0<000000P1SA9L200000003095PU0000000Y6fC0080Y6fC00L000000;5hU02aN9@0/GRD
0000002BG8h000000080N4R;00@0000008eIS`2=FHl000000P29E8/01@000000Qe6:08MARP27DHX0
00000080QU6:00<0000008QCR`28Dh/00P28Dh/4000000<0HcnA0P00000207=5R`0500000021Ch`0
PDn<085?S00000000`2?FXh00`000000WfRA09mXT@0209mXT@050000002CG8d0Teb=09=LS@000000
0`2FGhh00`000000VF>A0000000209UST0040000002EH90000000>?9_@<000000`2VO:D00`000000
/G^H0;5kV0020;5kV0050000002aNID0/GVE0;5iU@0000000`2bNiL01@000000ZW>E0:YcU@2ZLiD0
000000D0hJ^K0P0000020?gSW00400000038Tid0b9>M0<RCW@800000103^b:`200000080/7nP00@0
00000=B/[`3D[:l000000`2lS:<200000080e[2a00<000000;f?Y@2mSjD00P2mSjD01@000000dZbc
0=://`3B[;<000000080_8nW00<000000>Scd00000000P3=Z;@300000080i>?B0`00000209fBb0<0
000000<0ZiBn0000002QUl/00`2QUl/200000080[9O100@000000:FLc@2UW<d0YIc=0P0000030:jK
a0040000002XX<h0Z:3>0:RPcP8000000`2_W/H3000000030;FRa@000000/J7800<0/J7800D00000
0;JSaP2fXlH0]Z?6000000020;:Tb@030000002iZLP0000000<0]ZG800<000000;>Vb`0000000P2i
ZLT00`000000]ZO90;JWb@02000000@0^J[:0`0000000`2j[/d000000;R[c0020;R[c08000000`2j
[Ld01@000000^:_=0000002j/=00000000<0^Jg>0P0000040;V`d0<0000000<0^K7A0000002h[m00
0P2h[m02000000<0oooo0P00000P0?ooo`005`3oool00`000000oooo0?ooo`1Q0?ooo`050000002X
ZMP0Z:WH0:RYf00000000P2WZMP300000080Z:SF00@000000:NXe`2WZ=L0YjSG0P0000001P2UZMT0
0000000000000000YjKE000000<0Y:OH0`0000020:JTe0050000002SY]P0XjKH0:>Vf00000000P2N
Z]l3000000030::Ue`000000Vj[Q0080Vj[Q1`00000209NYh`0300000026]O@0Q[Gd010000000P2^
cO0010000000^j_90;^[b@0000020;JD]0<000000`37_M400`000000`Z2f0<:P]P02000000<0ckk:
00D000000;bC[P2lTjh0_9>^000000030:f0X`090000002bR:T0/XRY0;:8Z@000000/H:S0000003@
^lH0000000<0/h6N00P000000:QbUP2XLYH0000009mZU0000000dZ2S000000<0/WZF0P0000020;f:
W`070000002cNiH0/g^F0;=kUP000000[WFC000000020:QcV0060000002QJY40XFZA0000002LIHl0
00000`2LII0010000000Uen=09MOS@00000409=KS0<000000P1SA9L010000000TF2D095PU0000003
0:A]T`070000002aN9@0/GRD0;5hU0000000TUb>0000000207Q8R`040000002=FHl0SEV?00000080
REB;00D0000008MARP27DHX0Qe6:0000000208IARP0300000028Dh/0R5>;0080R5>;1000000206<o
T@<000000P1cAH/01@000000PDn<085?S021Ch`0000000<0SeZ>00<0000009mXT@2OJ9400P2OJ940
1@000000Teb=09=LS@2CG8d0000000<0UUn>00<0000009UST@0000000P2IHi001@000000UF2@09EP
T0000000UF2@008000000`2VO:D00`000000/G^H0;5kV0020;5kV0050000002aNID0/GVE0;5iU@00
00000`2bNiL01@000000ZW>E0:YcU@2ZLiD0000000D0hJ^K0`0000020?gSW00300000038Tid00000
0080/7jN1@0000000`31T:<00000000000030=B/[`050000002lS:<0_8bS0;b<X`0000000`3F/;40
10000000_HnU0;f?Y@2mSjD2000000@0dZbc0P0000020>Scd0040000003=Z;@0000009Z<a0@00000
00<0ZI2l0000002MT/P00P2MT/P2000000<0ZiBn00<000000:6Gb`2QUl/00P0000040:bG`@050000
002UW<d000000;BN`@0000000`2^Vl@01P000000Z:3>000000000000]9o3000000<0[ik60`000002
0;FRa@030000002aXLP0/J7800800000102fXlH200000080^JW800@000000;JUb02fYLP0]ZG80P00
00030;VYb@050000002fYlT000000;^^c@0000000`2iZ/X2000000@0^Zk=0`0000000`2k/M000000
0;Z]c@020;Z]c@8000000`2j/=001@000000^Jg>0000002j/]40000000<0^K3@0P0000040;Vad@<0
000000L0^K;B0000003oool0oooo0000003oool000000200oooo000G0?ooo`030000003oool0oooo
0640oooo00@000000:RYf02XZMP0Z:WH0`0000020:RXeP040000002XZ=H0Z:SF0:RXePH0000000<0
Z:KD0000002WY]D00P2WY]D01@000000Y:OH0000002XY=80000000@0YZCD00<000000:>Vf02SY]P0
0`0000000`2WXm8000000::Ue`020::Ue`050000002KZ^4000000:JQd0000000102QXmL00`000000
UjWS09NYh`03000000030:2Se`000000TZcX0080TZcX1`00000208RVj@0300000019Z?P0000000L0
00000`2Qi?`01@000000akgA0<Nmd@000000`Z2f00<00000103?_/X01P000000_9>^0;bC[P2lTjh0
00000:f0X`8000000`2bR:T01@000000/H:S0000003@^lH0000000<0/h6N00D000000:QbUP2XLYH0
000009mZU003000000<0/WZF0P0000020;f:W`070000002cNiH0/g^F0;=kUP000000[WFC00000002
0:QcV0030000002QJY40XFZA00<000000`2LII0010000000Uen=09MOS@00000409=KS0030000002?
FH`000000080HdBG00@00000095PU02AH9@000000`2TKI<01`000000/GRD0;5hU02aN9@00000099L
SP0000000P1hB8/010000000SEV?08eIS`00000208UDR`0500000027DHX0Qe6:08MARP0000000P26
DHX00`000000R5>;08QCR`0208QCR`80000000<0Qe:;0000000000000P00000206@lS0040000001c
AH/0LdF;00000080PDn<00D0000008mJSP2?FXh0SeZ>0000000409mXT@050000002CG8d0Teb=09=L
S@0000000`2FGhh00`000000VF>A0000000209UST0030000002EH900UF2@0080UF2@0P0000030:Il
Y@030000002aNiP0/G^H0080/G^H00<000000;5iU@2aNID00P0000030;9kU`050000002ZLiD0ZW>E
0:YcU@0000001@3QZi/7000000030<:?X@00000000000080i/6a00@000000<6@X`31T:<0`I2S0P00
00030=B/[`050000002lS:<0_8bS0;b<X`0000000`3F/;4010000000_HnU0;f?Y@0000020=_m_003
0000003B[;<0dZbc00L0000000@0VXc40000002dV;/00000102YT;`3000000030;>J_@000000ZiBn
0080ZiBn00<000000:6Gb`0000000P2dW;l010000000[9O10:bG`@2/Ul42000000<0]9k100<00000
0:jKa02^Vl@00P0000030;BO``0<0000002_W/H0[ik60000002jZ<L000000;FRa@000000]J;50000
002aXLP000000P2jZ<P00`000000]Z?60;JSaP02000000@0^JW80`0000000`2l[ld000000;VYb@02
0;VYb@8000000`2k[/d01@000000^J[:0000002l/m40000000<0^Zk=0P0000040;^ad0<0000000<0
^k?B0000002j/=000P2j/=02000000<0^[;A00D000000;V`d0000000^[?C000000030;Vad@800000
0`2i/]82000000<0oooo00<000000?ooo`3oool07P3oool001L0oooo00<000000?ooo`3oool0HP3o
ool01@000000Z:WH0000002XZML0000000@0Z:SF1P0000000`2YYm@000000:RVe0020:RVe0030000
002WY]D0YjKE008000000`2XY=800`000000YZCD0:JTe004000000030:VSd@000000Yj?B0080Yj?B
00<000000::Ue`2RYML00P0000030:JQd0040000002QXmL0XJ?G0:6Se`<0000000<0Yj3?0000002P
XmL00P2PXmL01@000000TZcX0000002XW/`0000000@0WZ3E00<0000008RVj@28Y^T00`00000209VK
e0030000001gYo40MjOa00/000000P2?RLT01@000000ckk:0<nnbP3?_/X0000000<0_9>^0P000000
0`2aV;`000000;:8Z@020;:8Z@030000002aPZ<0/H:S008000000`2cPIh01@000000Z7:F0:QbUP00
0000WfZD00<0000000@0/WZF00000000000000000`2mRYl01P000000/g^F0;=kUP2cNiH000000:ie
T`80000000@0Z7>H0000002QJY40XFZA0`00000309aUT0040000002GGhd0Uen=000000@0Te^<00<0
000008mIS00000000P1SA9L010000000TF2D095PU00000030:A]T`040000002aN9@0/GRD00000080
TUb>00@0000007Q8R`00000000000P2=FHl010000000REB;08UDR`00000308MARP0400000026DHX0
QU6:000000@0R5>;0P0000000`27DX/0000008MBR`0200000080I3b<00@0000007=5R`1cAH/00000
0P21Ch`01@000000SeZ>08mJSP2?FXh0000000@0WfRA00D0000009=LS@2CG8d0Teb=0000000309IO
SP030000002IHi4000000080VF>@00<0000009EPT02EH9000P2EH903000000<0YWbU00D000000;5k
V02aNiP0/G^H000000020;5iU@8000000`2bNiL010000000ZW>E0:YcU@2ZLiD2000000<0hJ^K00L0
00000:UgV`000000i[n^00000032Sj4000000080`XnQ0P0000020>K1/@0500000031T:<0`I2S0<6@
X`000000103D[:l01P000000_8bS0;b<X`000000Y^24000000<0e[2a200000020;BF^0040000002X
SKP0Z8fh0:R=^08000000`2dV;/01@000000ZI2l0:V@_02YT;`0000000@0/iZm00<000000:^D_P2[
U;h00P0000030;BL_`060000002/Ul40[9O10000002lZLL000000`2dW/401@000000[Y_40000002k
Z<L0000000@0]9o30P0000020;ZXa`030000002eX/D0]J;500<000000`2jZ<P01@000000]Z?60000
002m/Lh0000000<0^JW80P0000040;b_c@<0000000<0_KKC0000002k[/d00P2k[/d2000000<0_;?A
00D000000;Z^c@000000^kKD000000030;^ad0800000102k/m83000000030;Zde0000000^[;A0080
^[;A0P0000030;Zcd`030000002i/M4000000080^K?C00D000000;VbdP000000^;;C000000040?oo
o`030000003oool0oooo01d0oooo000F0?ooo`030000003oool0oooo06@0oooo00@000000:RYe`2X
ZML0Z:WG1`0000000`2YZ=H000000:VWe0020:VWe0030000002XY]@0Z:KD00<0000000<0ZJKC0000
002XY=800P2XY=8300000080ZZGA00D000000:VSd@2YXm40ZJ?A000000020:NSdP<0000000<0ZJ;?
0000002VXM000`2VXM001@000000XJ?G0000002[XLd0000000<0Yj3?00<000000:2Se`2PXmL00P00
00030:RNc0040000002NX=D0WZ3E09jPe@<0000000<0YIS80000002IVm@00P2IVm@3000000030:fQ
b`000000XjWK0080XjWK00<000000;>N``0000000`2WTl400`000000ShW908n9b@08000000<0/IRl
00@000000;:8Z@2bR:T000000P2aPZ<2000000<0/h6N00<000000:QbUP2XLYH00P0000020?;<ZPD0
00000`2mRYl020000000/g^F0;=kUP2cNiH000000:ieT`000000Uf:B0P0000020:5ZT@<000000`2L
II0010000000Uen=09MOS@00000409=KS0030000002?FH`000000080HdBG00@00000095PU02AH9@0
0000102TKI<00`000000/GRD00000002099LSP040000001hB8/0000000000080SEV?00@0000008UD
R`29E8/000000`27DHX010000000QU6:08IARP00000408QCR`8000000`27DX/200000080I3b<00@0
000007=5R`1cAH/000000P21Ch`01@000000SeZ>08mJSP2?FXh0000000@0WfRA00D0000009=LS@2C
G8d0Teb=0000000309IOSP030000002IHi4000000080VF>@00<0000009EPT02EH9000P2EH9000`00
0000d9FF000000030:IlY@050000002aNiP0/G^H0;5kV00000000P2aNID2000000<0/W^G00<00000
0:YcU@2ZLiD00`0000020>6[V`<000000P3V_jh00`000000`XnQ0<:?X@020<:?X@8000000P3V`K40
1@000000`I2S0<6@X`31T:<0000000D0e:b_1@0000020=J`/@80000000@0]9Bf0000002WRKD0YhVe
0P0000040;BF^0050000002XSKP000000<2/aP0000000`2dV;/00`000000ZI2l0:V@_002000000@0
/iZm00D000000:^D_P000000_JW6000000030;BL_`030000002/Ul4000000080_:W700@000000;BN
`@2dW/40]9k10P0000030;^Xa`030000002dWl<0]9o300800000102jZ<L3000000030;jcd0000000
^ZS80080^ZS80P0000030;facP050000002iZLP000000;fieP0000000`2l[ld2000000@0_KKC0`00
00000`2l^ML000000;bcd@020;bcd@8000000`2k]]@01@000000^k7@0000002j]mH0000000<0^k?B
0P0000040;Zde0<0000000@0^KCE0000002j/m<0^[?C0`0000030;Vcd`8000000`2h/]<00`000000
oooo0?ooo`020?ooo`030000003oool0oooo00X0oooo0P0000040?ooo`030000003oool0oooo0080
oooo0`0000040?ooo`005P3oool00`000000oooo0?ooo`1U0?ooo`H000000P2XZML01@000000ZJSF
0:VXeP2YZ=H000000080ZJOD0`0000000`2YYm@000000:VVd`020:VVd`050000002XY=8000000:ZW
e0000000102ZYM400`000000ZJ?A0:VSd@03000000030:^Td0000000ZJ;?0080ZJ;?00<000000:JQ
d02VXM000`0000030:^Qc@030000002WX<l0Yj3?00<0000000<0[J3;0000002XW/`00P2XW/`01P00
0000WZ3E000000000000Zi_7000000<0YIS800D0000009VKe0000000/:37000000030:fQb`030000
002SZM/0000000<0/ik300@000000:NC`@2WTl4000000P2?RLT30000000509f8_@000000T<7g0931
m`0000000`2aV;`010000000/XRY0;:8Z@0000030;62X`8000000P2cPIh00`000000Z7:F0:QbUP02
000000<0l/bZ100000030;f:W`040000002cNiH0/g^F0;=kUP<0000000@0Uf:B000000000000XFZA
0P0000000`2TLYX0000009aUT00209aUT0040000002GGhd0Uen=000000@0Te^<00<0000008mIS000
00000P1SA9L010000000TF2D095PU00000040:A]T`030000002aN9@000000080TUb>00@0000007Q8
R`00000000000P2=FHl010000000REB;08UDR`00000308MARP0400000026DHX0QU6:000000@0R5>;
0P00000308MBR`0500000023D8/0000006@lS00000000P1cAH/010000000PDn<085?S000000308mJ
SP030000002OJ940WfRA0080WfRA00D0000009=LS@2CG8d0Teb=0000000309IOSP030000002IHi40
00000080VF>@00@0000009EPT02EH900UF2@0P0000000`3@UIH000000:IlY@020:IlY@050000002a
NiP0/G^H0;5kV00000000P2aNID2000000<0/W^G00<000000:YcU@2ZLiD00`0000000`3QZi/00000
0;J2W@0200000080i[n^00<000000<:?X@32Sj400P32Sj401@000000i/6a0>K1/@3V`K4000000080
`I2S0`0000040=B/[`L00000102dU;H200000080`Zg500@000000;BF^02dU[P0]9Jh0P0000030<2/
aP060000002dV;/0]9Rk0000002YT;`000000P2nZ/H010000000/iZm0;>J_@2cV[d2000000<0_JW6
00<000000;BL_`2dW;l00P0000040;bYa`050000002dW/4000000<6ke00000000`2kZ<L01@000000
]9o30000002o]m80000000<0^ZS70P0000020;jcd0030000002n/m0000000080000000<0_[kI0000
002m/Lh00P2m/Lh2000000<0_KWF00D000000;b_c@000000_;kK000000030;ffd`800000102l^ML3
000000030;ZkfP000000^kKD0080^kKD0P0000030;ZgeP030000002k/m8000000080^KOG00<00000
0;Zde02j]=@00P0000030;Vde@<000000P2h/m@01P000000^K?C000000000000^;;D000000<0^;;C
0P0000030?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool000002@3oool00`000000
oooo0?ooo`030?ooo`005P3oool00`000000oooo0?ooo`1S0?ooo`D0000000<0Z:[H0000002XZML0
0`2XZML00`000000ZJSF0:VXeP03000000030:RXe`000000ZJOD0080ZJOD00<000000:VVd`2YY]<0
0P0000030:ZWe0090000002ZYM40ZZGA0:ZUd@000000ZJ?A0000002[Ym<0000000<0ZjC@00<00000
0:VRc`2YX/l00`0000020:bSc`090000002[XLd0Zj7=0:^Qc@000000Yj3?0000002^Y<h0000000<0
[J3;00<000000:RNc02XW/`00P0000040:^Ka`030000002UV<P0YIS8008000000`2`X<L00`000000
[J7;0:fQb`02000000@0/ik300<000000:NC`@2WTl400`0000000`2SR;P0000009f8_@0209f8_@80
000000D0T<7g0000002aV;`0/IRl000000030;:8Z@030000002aPZ<00000008000000P2cPIh00`00
0000Z7:F0:QbUP02000000030?;<ZP00000000000080WfjJ0P0000030;f:W`040000002cNiH0/g^F
0;=kUP@0000000@0WFRC00000000000000000P2TLYX01@000000W6F@09aUT02LII0000000080Uen=
00<0000009=KS02CFh`00P2CFh`00`000000SeV<0000000206=4U`040000002AH9@0TF2D000000@0
Y6fC00<000000;5hU00000000P2BG8h20000000509INS@000000000008eIS`0000000P29E8/01@00
0000Qe6:08MARP27DHX000000080QU6:00<0000008QCR`28Dh/00P28Dh/2000000<0Qe:;00D00000
08=@R`000000I3b<0000000207=5R`0500000021Ch`0PDn<085?S00000000P2?FXh00`000000WfRA
09mXT@0209mXT@050000002CG8d0Teb=09=LS@0000000`2FGhh00`000000VF>A0000000209UST006
0000002EH900UF2@09EPT0000000lk^@0`0000020:IlY@090000002aNiP0/G^H0;5kV0000000/GVE
0000002lRZ40000000@0/W^G00@000000:YcU@000000bIbX0P0000020;J2W@8000000`3V_jh01@00
0000`XnQ0<:?X@32Sj40000000@0i/6a1@0000020=B/[`D000000`34[/@010000000]9Bf0;BD]P2d
U;H2000000<0`Zg500<000000;BF^02dU[P00P0000040<2/aP030000002dV;/0]9Rk008000000`2n
Z/H01P000000/iZm0;>J_@000000aLSL000000<0_JW600D000000;BL_`000000`l7H000000040;bY
a`8000000P31^m@010000000^jS70;^Xa`2kZ<L2000000<0_kOB00D000000;ZXa`000000_lGO0000
00030;jcd0800000102n_]T3000000030;_5hP000000_KWF0080_KWF0P0000030;bnf`050000002m
]]<000000;Vog`0000000`2l^ML2000000@0^[_J0`000000102h^]X000000;ZgeP2j]mH3000000<0
^KOG0`0000020;ReeP050000002i]=D000000;Nde@0000000`2h/m@2000000@0^;;D0`0000000`2h
/]<000000?ooo`030?ooo`030000003oool0oooo00P0oooo00@000000?ooo`3oool000002@3oool0
0`000000oooo0?ooo`030?ooo`005P3oool00`000000oooo0?ooo`1P0?ooo`<000000`3oool01@00
0000Z:[H0:RZf02XZ]P000000080Z:WG100000000`2XZMP000000:RXe`020:RXe`030000002YYm@0
ZJOD00<0000000<0ZJWF0000002ZYm@00P2ZYm@00`000000ZZGA0:ZUd@03000000<0ZjOC00<00000
0:^Td02[Y=000`0000000`2/Ym8000000:bSc`030:bSc`030000002[XLd00000008000000`2^Y<h0
0`000000[J3;0:fPb`03000000030:nRbP000000Zi_700<0Zi_700D000000:FHb0000000/JC;0000
00030;2Pa`050000002]XL/000000;^/b`000000102cW/<01@000000Yi?10000002XTKd0000000<0
XhRh00@0000009f8_@2MR;d0WHRm0`0000020;6H_0040000002bR:T0/XRY0;:8Z@8000000P2ROjd0
10000000/h6N0;>1WP0000020:QbUP@000000`2OKYX300000080_HZO00@000000;=kUP2cNiH0/g^F
0`00000309eXT`050000002RJY4000000:AbVP0000000`2LII001@000000Uen=09MOS@2GGhd00000
00<0Te^<00<0000008mIS00000000P1SA9L01@000000TF2D095PU02AH9@0000000<0Y6fC00<00000
0;5hU00000000P2BG8h20000000509INS@000000000008eIS`0000000P29E8/01@000000Qe6:08MA
RP27DHX000000080QU6:00<0000008QCR`28Dh/00P28Dh/2000000<0Qe:;00D0000008=@R`000000
I3b<0000000207=5R`0500000021Ch`0PDn<085?S00000000P2?FXh010000000WfRA09mXT@2OJ942
000000<0Teb=00<0000009IOSP2FGhh00P2FGhh200000080VF>@00T0000009EPT02EH900UF2@0000
003c^i0000000=2EUP0000000P2VO:D01`000000/G^H0;5kV02aNiP000000;5iU@0000000P2lRZ40
10000000/W^G0;9kU`2bNiL3000000030<VLZ0000000]X:M0080]X:M00<000000>Jo[P3V_jh00P3V
_jh01P000000`XnQ0<:?X@000000ajk100000080i/6a0`0000000`2^n]H000000<ZfaP0300000004
0;NF]@000000b?;]000000@0a:k400D000000;BD]P000000bnS[000000030<:]a@050000002dU[P0
00000<[Mi`0000001030[<H01@000000]9Rk00000037dN80000000<0_Z[600<000000;>J_@000000
0P35b=`010000000_JW60;fYaP2mZLH2000000<0`l7H00<000000;bYa`2lZLL00P0000040<6ke0<0
000000<0_loV0000002o]m800P2o]m82000000<0_lGO00@000000;jcd0000000^LkY0P0000020;jn
f@800000102kaN83000000040;O6i@000000_;kK0;bnf`<000000`2i_ml00`000000_;WG00000002
0;Nmg`030000002j^mX0^[_J008000000`2h^]X300000080]kOI00H000000;Vge`00000000000;Ne
f00000030;ReeP8000000`2g]=D01@000000^;?D0000002g/]@0000000<0^;;D0P0000040;Rbd`03
0000003oool0oooo0080oooo00<000000?ooo`3oool01`3oool010000000oooo0?ooo`0000090?oo
o`030000003oool0oooo00<0oooo000F0?ooo`030000003oool0oooo05d0oooo0`0000070?ooo`03
0000002XZ]P0Z:[H00<000000P2WZ]T01@000000Z:WH0:RYf02XZMP000000080Z:SG0`0000000`2X
Z]P000000:VYeP020:VYeP030000002ZYm@0ZZOD00<000000P2YZML02@000000ZjOC0:^Wd`2[Ym<0
00000:^Td0000000ZZ_G000000030:bWdP030000002/Xll0[:??00<000000P2^ZM<02@000000[ZC>
0:jTcP2^Y<h000000:fPb`000000[jWB000000030:nRbP040000002[VlL0Zi_70:^Ka`8000000`2a
Y</00`000000/:370;2Pa`02000000<0^jc;00@000000;>N``2cW/<0/ik30P0000030:RA_@040000
002SR;P0XhRh00000080WHRm00@000000<g4dP00000000000P2aV;`00`000000/XRY0;:8Z@030000
0080XWn]0P000000202cPIh000000:QbUP000000FTZU0000002`QjX000000`2OKYX300000080_HZO
00@000000;=kUP2cNiH0/g^F0`00000309eXT`050000002RJY4000000:AbVP0000000`2LII001@00
0000Uen=09MOS@2GGhd0000000<0Te^<00H0000008mIS0000000000006=4U`000003095PU0070000
002TKI<0Y6fC0:A]T`000000/GRD00000002099LSP80000000D0UUj=000000000000SEV?00000002
08UDR`0500000027DHX0Qe6:08MARP0000000P26DHX00`000000R5>;08QCR`0208QCR`8000000`27
DX/01@000000Pe2;0000001T?8`000000080LdF;00D00000085?S021Ch`0PDn<0000000208mJSP04
0000002OJ940WfRA09mXT@8000000`2CG8d00`000000UUn>09IOSP0209IOSP8000000P2IHi002@00
0000UF2@09EPT02EH90000000?>kT0000000d9FF000000020:IlY@030000002aNiP0/G^H0080/G^H
0P0000020;b:X@040000002bNiL0/W^G0;9kU`8000000P39W:P01@000000]X:M0;J2W@2fPYd00000
00@0i[n^00H000000<:?X@000000_o_W00000037[/44000000<0[_[F00<000000<ZfaP0000000P00
00030<Sbk@0400000034[/@0a:k40<B^a08000000`3;j>/00`000000`Zg50<:]a@02000000<0b]gW
00<000000<2/aP30[<H00`0000030<OAhP030000002nZ/H0_Z[6008000001035b=`3000000040;GX
m`000000`l7H0<?1f0@000000P2mfnl00`000000`K_D0<6ke003000000<0_loV0`000000102dfO<0
00000;o5g`2oaMl300000080^LkY100000020;;>kP030000002kaN80^lGR008000000`2ga^D30000
0080]<;U00<000000;Vog`2i_ml00`0000030;Nmg`<000000P2e^]d01@000000^;[J0000002e]m/0
000000<0]kOI0P0000040;Nef0<0000000<0]kCF0000002g]=D00P2g]=D2000000<0]k;D00D00000
0;Rbe0000000]k;D000000030;Rbd`800000103oool00`000000oooo0?ooo`070?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool00`3oool001H0oooo0`00001J0?ooo`<000002`3o
ool200000080YZ[I00D000000:NZf@2WZ]T0Yj[I000000020:RYf0<0000000<0Yj[I0000002XZ]P0
0P2XZ]P00`000000ZJWF0:VYeP0300000080Z:_I00D000000:VYe`2YZML0ZJWG000000020:^Wd`80
00000`2ZZmL00`000000[:OB0:bWdP03000000030:b^f@000000[ZWC00<0[ZWC00<000000:jTcP2^
Y<h00P0000030:nYdP050000002_X/X0[j;:0000002[VlL00P0000000`2`Z]8000000;6Tb`020;6T
b`050000002`X<L000000;bjf00000000`2k[</01P000000/ik3000000000000[Z39000000<0Z96m
00H000000:>8^02SR;P0000009f8_@0000030<g4dPH000000`2oXk`00`000000XWn]0:9o[@040000
000505Y:Y@00000000000;27ZP0000000`2OKYX300000080_HZO00L000000;=kUP2cNiH0/g^F0000
002?HYX0000000<0WFRC00D000000:9ZT@000000Y7:J0000000309aUT0050000002GGhd0Uen=09MO
S@0000000`2CFh`01P000000SeV<08mIS0000000HdBG000000<0TF2D00@000000:A]T`2TKI<0Y6fC
0P000003099LSP030000002FGXd0UUj=0080000000D0SEV?00000029E8/0REB;0000000308MARP04
00000026DHX0QU6:000000@0R5>;0P00000308MBR`0500000023D8/0000006@lS00000000P1cAH/0
1@000000PDn<085?S021Ch`000000080SeZ>00@0000009mXT@2OJ940WfRA0P00000409=LS@040000
002FGhh0UUn>09IOSP8000000P2IHi002@000000UF2@09EPT02EH90000000?>kT0000000d9FF0000
00020:IlY@030000002aNiP0/G^H0080/G^H0P0000020;b:X@040000002bNiL0/W^G0;9kU`800000
0`39W:P00`000000]X:M00000002000000@0i[n^100000020<N^`@T000000P2WY]H400000080a:k4
1`0000000`32[LD000000000000200000080b]gW1P0000020<OAhP@000000P2Ol?D00`000000aLSL
0<G8g00300000080]NSg0`00000207oSm0030000002mfnl0_M__00@0000000<0YNCk000000000000
1@0000020;CIl`<000000P2XeoP00`000000^LkY0000000300000080//k^100000020:o8k@030000
002ga^D000000080[/7X00<000000;C2i@2d`^D00`0000020;:mhP060000002g_Ml000000000002b
^Mh000000`2e^]d2000000<0]KOK00D000000;Ngf@000000]KGH000000030;Nef0800000102g]=H3
000000030;Nce@000000]k;D0080]k;D0P0000030;Nbe0<0000000<0^;;C0000003oool0103oool0
0`000000oooo0?ooo`060?ooo`040000003oool0oooo000000P0oooo0P0000050?ooo`005@3oool2
000005X0oooo0P00000>0?ooo`030000002VZ]T0YZ[I0080YZ[I00<000000:NZf@2WZ]T00`000000
0`2VZ]X000000:NZf@020:NZf@030000002XZ]P0Z:[H00<0000000<0YZcK0000002XZmT00`2XZmT0
0`000000ZJWG0:VYe`0300000080Z:gK00<000000:Z[e`2ZZmL00`0000000`2X/=h000000:b^f@02
0:b^f@030000002^ZM<0[ZWC00@0000000<0[K7K0000002_ZM800P2_ZM800`000000[j;:0:nRbP02
000000@0/:[B00<000000;6Tb`2aY</00P0000030;bjf0030000002k[</0^jc;008000000`2^X<T0
1@000000Z96m0:RA_@2XTKd000000080XhRh0P0000030<g4dP030000002Xl[L0000000/0000000@0
QfJV00000000000000000P2MOJl2000000<0WfjJ0`0000020;f:W`070000002cNiH0/g^F0;=kUP00
0000Sf:J0000000309eXT`030000002RJY4000000080Y7:J00@0000009aUT02LII0000000`2GGhd0
1P000000Te^<09=KS02CFh`0000008mIS080000000<0HdBG0000002AH9@00P2AH9@010000000Y6fC
0:A]T`2TKI<200000004099LSP000000000000000080UUj=0P0000001@2=FHl0000008UDR`29E8/0
000000<0Qe6:00@0000008IARP26DHX000001028Dh/2000000<0Qe:;00D0000008=@R`000000I3b<
0000000207=5R`0500000021Ch`0PDn<085?S00000000`2?FXh01P000000WfRA09mXT@000000SeV=
000000<0Teb=00@0000009IOSP2FGhh0UUn>0P00000309UST0030000002EH90000000080lk^@00H0
00000=2EUP00000000000:IlY@0000040;5kV0050000002lRZ40_8ZQ0;b:X@0000000`2bNiL20000
00<0bIbX2P0000000`2Wg?X0000000000004000000<0Y];g00<000000:jhh02^^>000`0000000`2P
e_X000000:^liP04000000030:B[g0000000000000@000000`2Q[N070000000709j_i00000000000
0000002@[>T0000007>_m`0H00000080L]3n1`0000000`2Cdod000000000000500000080YLof0`00
00020:O5k`030000002_b>d0[lS]00<000000`2^`NP300000080[k_S00<000000;:mhP2b_N800P00
00040;:igP<0000000<0/kOK0000002e]m/00P2e]m/2000000<0]KGH00D000000;Nef0000000][CG
000000030;NdeP800000102g/mD3000000040;Nce@000000]k;D0;Nbe0800000102h/]<010000000
oooo0?ooo`3oool3000000P0oooo0P00000:0?ooo`030000003oool0oooo00<0oooo000E0?ooo`03
0000003oool0oooo05H0oooo0`00000A0?ooo`030000002VZ]T0YZ[I00@0000000<0YZ[I0000002V
Z]X00P2VZ]X00`000000Yj[I0:NZf@03000000030:J[f`000000YZcK0080YZcK00<000000:R[f@2X
ZmT0100000020:J]g@030000002X[M/0Z:gK00<0000000<0YK3P0000002X/=h00P2X/=h00`000000
[:kI0:b^f@0300000080ZKGR00D000000:faf`2]/M/0[K7K000000020:nYdP<0000000<0[;7L0000
002`Z]800`2`Z]800`000000/JC;000000020;K6i`030000002l^]P0_;[H00<0000000<0/KOM0000
002^X<T00`2^X<T010000000Z96m0:RA_@2XTKd200000080_L?N00<000000<g4dP0000000P000000
0`2HfOh00000096If002096If00400000029MkT0RGNi00000080RFf/0P0000000`2@KjT0000009em
[`0209em[`030000002`QjX000000080WfjJ00<0000009ITU@0000000P2mRYl01`000000/g^F0;=k
UP2cNiH0000008mRVP0000000`2MJ9<00`000000XVZA000000020:AbVP040000002LII00W6F@0000
00<0Uen=00H0000009=KS02CFh`0Te^<0000002?FH`20000000306=4U`000000TF2D0080TF2D00@0
00000:A]T`2TKI<0Y6fC0`00000208eGS0030000002FGXd0UUj=008000000P2=FHl00`000000REB;
0000000308MARP0400000026DHX0QU6:000000@0R5>;0P00000308MBR`0300000023D8/0Pe2;0080
00000P1cAH/01@000000PDn<085?S021Ch`0000000<0SeZ>00H0000009mXT@2OJ940000008mIS@00
000309=LS@040000002FGhh0UUn>09IOSP8000000`2IHi000`000000UF2@000000020?>kT0060000
003@UIH000000000002VO:D00000102aNiP01@000000_8ZQ0;b:X@2lRZ40000000<0/W^G0P000003
0<VLZ1T000000`2Pe_X00`000000ZkcV0:^liP0300000080WM;j00D000000:Nlj02W_>P0YkcX0000
00020:6]h0<000000P2S_>/01@000000WZoT09j_i02N[n@000000080T:cY0`00000209bbi`030000
002A/>`0TK3/00P000000P2C/nd00`000000QK[g08Fjm`0700000080T;ge00<0000008_8o02;b?`0
0`00000209Zol@030000002LaoH0W<Of00D0000000@0Xkk]0000002WaNl0YlG_0`0000020:Zmj006
0000002^`NP000000000002]^N8000000`2_^n<300000080/;SO00<000000;:igP2b^Mh00P000004
0;>gf`<0000000@0];KJ0000002e]MP0]KGH0`0000030;Jde`050000002g]=H000000;Jde`000000
0`2g/mD2000000@0]k?E0P0000000`2g/mD000000;Rbd`020;Rbd`H0000000<0oooo0000003oool0
6@3oool001D0oooo00<000000?ooo`3oool0D`3oool3000001D0oooo0P0000020:JYf@050000002V
Z]T0YZ[I0:JZf@0000000P2VZ]X3000000030:J[fP000000YZ_K0080YZ_K00<000000:J/f`2V[=/0
0`0000030:F]g@030000002V[Md0YZgM00<0000000<0Y:oO0000002U/>000P2U/>000`000000Z;3N
0:R`gP0300000080YKKU00D000000:VehP2Y]N80ZKGR000000020:faf`<000000P2V]^@010000000
[;7L0:bag00000020;2ZdP@000000P2fa^L3000000030:_=lP000000/KOM0080/KOM00H000000:jP
b@2^X<T0[Z390000002XTKd3000000<0_L?N20000002096If00400000029MkT0RGNi00000080RFf/
00@00000091_Z@2@KjT00000102MOJl200000080WfjJ00@0000009ITU@00000000000P2mRYl00`00
0000/g^F0000000208mRVP070000002MJ9<0WFRC09eXT`000000XVZA000000020:AbVP040000002L
II00W6F@000000<0Uen=00H0000009=KS02CFh`0Te^<0000002?FH`20000000306=4U`000000TF2D
0080TF2D00@000000:A]T`2TKI<0Y6fC0P00000308eGS00:0000002FGXd0UUj=0000002NIHh00000
08eIS`000000REB;000000<0Qe6:00@0000008IARP26DHX000001028Dh/00`000000S5J;00000002
08MBR`0300000023D8/0Pe2;008000000P1cAH/01@000000PDn<085?S021Ch`0000000<0SeZ>00H0
000009mXT@2OJ940000008mIS@00000309=LS@040000002FGhh0UUn>09IOSP8000000`2IHi000`00
0000UF2@000000020?>kT0040000003@UIH0000000000080YWbU00@000000;5kV02aNiP0/G^H0P00
00020;b:X@040000002bNiL0/W^G0;9kU`L000000P2R]^L00`000000TkO`09>gl00300000080W[;V
00<0000008ndl02?]?007000000209[?nP030000002S_>/0Xkc[00L000000P2Q_Nd00`000000W;;W
09bbi`0300000080Wkg^00D0000009bej@2L]NT0W;GY0000000209>ck@@000000P2M]nX00`000000
V;O]09Rgk@0700000080WKW/00<0000009Zol@2J_o400`0000020:>jj@030000002S_^d0Xkk]00@0
00000P2X^^H00`000000Z[gX0:Zmj002000000@0[KWR0`0000000`2_^>0000000;2hg`020;2hg`<0
00000P2b]m`00`000000/kOK0;>gf`02000000<0];KJ0`0000020;Fff@030000002f]=L0][CG00<0
00000`2f]=L01@000000]k?E0000002g]=L0000000<0]k?E0P0000030;Nce@050000002h/]<00000
0;Rce@0000001@3oool00`000000oooo0?ooo`0H0?ooo`005@3oool00`000000oooo0?ooo`1@0?oo
o`<00000603oool00`000000YZWI0:JYf@020:JYf@030000002VZ]T0YZ[I00<0000000<0YZ[I0000
002VZmX00P2VZmX00`000000YZ_K0:J[f`0300000080YJcL00<000000:F]g@2U[Md0100000000`2U
[]h000000:B_g`020:B_g`030000002U/>00YK3P00<000000P2T]>@01@000000YKKU0:Ffi@2U]^D0
00000080ZKGR0`0000020::hj0030000002V]^@0Y[KT00H000000P2XbO4400000080WmGk00@00000
0:_=lP2[cO8000000P2a]md6000000<0Xkc[00H000000;g3gP00000000000;2fg@00000208j@d006
0000001UK/L0IFk70000002AVMP000000P29MkT010000000RFf/08U][0000003091_Z@040000002M
OJl0WGf_09em[`8000000P2OKYX010000000UVBE0000000000020;f:W`030000002cNiH000000080
Sf:J00L0000009eXT`2MJ9<0WFRC0000002RJY4000000080Y7:J00@0000009aUT02LII0000000`2G
Ghd01P000000Te^<09=KS02CFh`0000008mIS080000000<0HdBG0000002AH9@00P2AH9@010000000
Y6fC0:A]T`2TKI<2000000<0SEN<00X0000009INS@2FGXd0000009iUSP000000SEV?00000029E8/0
00000`27DHX010000000QU6:08IARP00000308QCR`040000002<EX/0S5J;00000080Qe:;00<00000
08=@R`23D8/00P00000207=5R`0500000021Ch`0PDn<085?S00000000`2?FXh01P000000WfRA09mX
T@000000SeV=000000<0Teb=00@0000009IOSP2FGhh0UUn>0P00000309UST0030000002EH9000000
00<0lk^@0P000000103=WZL000000:IlY@0000020;5kV0<000000P2lRZ4010000000/W^G0;9kU`2b
NiL400000080Z[_U00<000000::fi`2R]^L00`0000020:Jdh`030000002N/^H0W[;V00<000000P2T
]nL01@000000V[GZ09ZejP2J]NX000000080R;Od0`00000209Bhl0030000001o^OT0OkWi01<00000
0P2Hc_X700000080V<cj00D0000009nmkP2O_Nh0Wkg^0000000209bej@<000000P2P_^h00`000000
WKOZ09fgjP0400000080XKk]00@000000:2hjP2P^>X000000P2M^N`400000080Y;WX00<000000:>j
j@2S^^T00`0000000`2X^^H00000000000020:RjiP@000000P2/^N<00`000000[KWR0:fihP020000
00@0[kSP0`0000000`2a^Ml000000;:gg0020;:gg0<000000P2c]m`01@000000];KJ0000002d^=`0
000000<0]KKI0`0000020;Jff@030000002f]=L0][CG00<000000`2g]=L3000000030;Nee`000000
]k?E0080]k?E0P0000030;Rce@030000003oool0oooo0080oooo00<000000?ooo`3oool0603oool0
01D0oooo00<000000?ooo`3oool0C@3oool3000001`0oooo00<000000:JYf@2VZMT0100000000`2V
ZMT000000:JZf@020:JZf@030000002VZmX0YZ_J00<000000P2VZm/00`000000YJcL0:F/g0030000
0080YJcL00D000000:F^gP2U[]h0YJkN000000020:B_g`<000000P2T/N800`000000Y;CT0:Bdi007
00000080XKOX00<000000::hj02R^>P00`00000209^lk`030000002M`o<0WL?c00<000000P2LdOX:
00000080PK3c00@0000008Zcl@2:/o4000000P2S_>/4000000<0/;KM00D0000008j@d02>T=000000
06E^a`0200000004096If0000000RGNi000000<0RFf/00@00000091_Z@2@KjT000000`2MOJl20000
0080WfjJ00@0000009ITU@2FI9D000000P2mRYl300000080Sf:J00D0000009eXT`2MJ9<0WFRC0000
00020:9ZT@030000002TLYX000000080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0070000
002?FH`0000008mIS0000000HdBG00000002095PU0040000002TKI<0Y6fC0:A]T`8000000`2=Eh`0
2P000000UUj=09INS@000000WVF>0000002=FHl0000008UDR`00000308MARP0400000026DHX0QU6:
000000<0R5>;00@0000008aFR`2<EX/000000P27DX/00`000000Pe2;08=@R`0200000080LdF;00D0
0000085?S021Ch`0PDn<0000000308mJSP060000002OJ940WfRA0000002?FHd000000`2CG8d01000
0000UUn>09IOSP2FGhh2000000<0VF>@00<0000009EPT00000000`3c^i0200000080cIjW0P000000
102aNiP000000000002^^>0200000080_8ZQ00<000000;9kU`0000000P2]`nX00`000000Z[_U0:Zk
i@0400000080ZK[U00<000000:Jdh`2V]><00`0000020:Nlj0060000002T]nL0Y;OW0:Bgi`000000
V[GZ1000000209nij`030000002D^?00U;S`00<000000P2J^^h00`000000S[Wc08jil`0P00000080
VL[h00<000000:2nkP2P_^h00`00000209c8mP030000002Q_^d0XKk]00L000000P2T_^`00`000000
Y;WX0:Bij00400000080YkgY00<000000:RjiP2X^^H00`0000020:^liP030000002/^N<0[;WS00@0
00000P2^^^<00`000000[kSP0:nhh002000000@0/KWO0`0000000`2b^n0000000;>gg0020;>gg080
00000`2d^=`01@000000]KKI0000002d^]d0000000<0][KI0`0000020;JgfP030000002g]=L0]kCG
00800000102g]ML3000000040;Nff0000000^;?E0;Rce@<00000103oool00`000000oooo0?ooo`0G
0?ooo`005@3oool00`000000oooo0?ooo`1:0?ooo`<00000803oool200000080YjWH00D000000:JY
f@2VZMT0YZWI000000020:JZf@<000000P2VZ]X00`000000YZ_K0:J[f`03000000030:J/f`000000
YJcL00<0YJcL00<000000:F^gP2U[]h00`0000020:F_g`030000002T/N80Y;7R00<0000000<0YK;R
0000002S]>D00`2S]>D00`000000XKOX0:6gj00300000080W[KY00<0000009^lk`2K_>l00`000002
0:38m0<000000`2U_NX010000000VKW^09VikP00000208Zcl@0300000021/?<0PK3c00P000000P37
fNL010000000/;KM0;2fg@00000208j@d0030000001UK/L0IFk700<000000P29MkT010000000RFf/
08U][0000002091_Z@030000002MOJl0WGf_00<000000P2OKYX00`000000UVBE09ITU@0200000004
0;f:W`000000000000000080Sf:J00D0000009eXT`2MJ9<0WFRC000000020:9ZT@030000002TLYX0
00000080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0070000002?FH`0000008mIS0000000
HdBG00000002095PU0040000002TKI<0Y6fC0:A]T`8000000`2=Eh`02P000000UUj=09INS@000000
WVF>0000002=FHl0000008UDR`00000308MARP0400000026DHX0QU6:000000<0R5>;00@0000008aF
R`2<EX/000000P27DX/00`000000Pe2;08=@R`0200000080LdF;00D00000085?S021Ch`0PDn<0000
000308mJSP030000002OJ94000000080SeV=00D0000009=LS@2CG8d0Teb=0000000309IOSP800000
0`2IHi02000000@0lk^@00@000000<fNY`3=WZL0cIjW1@0000020:jhh080000000@0_8ZQ00000000
000000000P2]`nX300000080Z;oZ00<000000:Vji@2Y^^D0100000020:O3kP030000002W_>P0YkcX
00H000000P2T_^`00`000000WkW[09nij`0400000080Wkk^00<0000009ZjkP2J^^h00`00000209^o
lP040000002D_?80U;cb00000080Q[_g7@00000208OAo`030000002Lb?H0W<Sf00<000000P2@cod0
1@000000WlKd09o6m02Oa_@000000080Y;k/0`0000020:C4l0030000002W_NT0YkgY00D0000000@0
Z<;/0000002[_>H0ZkcV0`0000020:c0j0030000002^^^<0[[[S00@000000P2__N@00`000000/KWO
0;6ig`02000000@0/[_P0`000000102b_N8000000;Bhg02d^=`3000000<0];[M00D000000;Jff@00
0000];_N000000030;JgfP<000000P2f^=/00`000000]kGG0;Nee`02000000<0]kKH0`0000020;Nf
f0030000003oool0oooo0080oooo00<000000?ooo`3oool05`3oool001D0oooo00<000000?ooo`3o
ool0A`3oool3000002@0oooo00D000000:NYf02WZMP0YjWH000000020:JYf@<0000000<0Yj[I0000
002VZ]X00P2VZ]X3000000030:N[fP000000YZcK0080YZcK00<000000:F/g02U[=`0100000020:J^
g0030000002U[ml0YJoO00<0000000<0Yk7O0000002U/^800P2U/^800`000000XkCU0:>di@040000
0080X[;S00<0000009jfj@2N]^T00`0000020:Bmk0030000002Pb?@000000080[KoW00<000000:Fm
jP2U_NX02P00000207VhnPD000000P37fNL800000080IFk700<0000002e@a00000000P29MkT01000
0000RFf/08U][0000002091_Z@050000002MOJl000000000001[D:000P0000000`2OKYX0000009IT
U@02000000030>K2/P0000000000008000000P2?HYX01@000000WFRC09eXT`2MJ9<000000080XVZA
00<000000:AbVP0000000P2LII001@000000Uen=09MOS@2GGhd0000000<0Te^<00L0000008mIS000
0000SeV<0000001SA9L000000080TF2D00@000000:A]T`2TKI<0Y6fC0P00000308eGS00:0000002F
GXd0UUj=0000002NIHh0000008eIS`000000REB;000000<0Qe6:00@0000008IARP26DHX000000`28
Dh/010000000S5J;08aFR`00000208MBR`0300000023D8/0Pe2;008000000P1cAH/01@000000PDn<
085?S021Ch`0000000<0SeZ>00<0000009mXT@0000000P2?FHd01@000000Teb=09=LS@2CG8d00000
00<0UUn>0P00000309UST0800000103c^i000`000000cIjW0<fNY`020<fNY`030000002lQY/00000
00<000000P2Ud_P600000080YL?_00<000000:RojP2X_nX00`0000020:?7lP030000002W`nh0Yl?^
00@0000000@0X<Sd0000002Ta?00Y<C`1`0000020:33l@030000002O_^h0Wkk^00@000000P2La?@0
0`000000Vkob09^olP0600000080U<3e00<0000008fmmP2=_OH01`00000208Fnn@030000001f_O`0
M[gl01d000000P2HcOX00`000000Y<C`0:C4l00300000080X<[f00<000000:S2k02X`^`010000002
0:K7l@030000002/`>P0[<3X00<000000P2[`n/00`000000[kgT0:nmi00400000080[l3V00<00000
0;:kh02b^n000P0000030;:mhP<000000P2b_^<00`000000];[M0;Bjg@03000000<0];_N0`000000
0`2d_=l000000;Jhf`020;Jhf`<000000P2f^M/01@000000]kKH0000002f^M`0000000<0]kKH0P00
00030?ooo`030000003oool0oooo01L0oooo000D0?ooo`030000003oool0oooo04D0oooo0`00000X
0?ooo`030000002WZMP0YjWH00<0000000<0Yj[I0000002WZ]T00P2WZ]T01@000000YZ[J0000002X
[=X0000000<0Yj_J00<000000:J/f`2V[=/00`0000020:N]f`040000002V[]`0YZkL0:J^g0<00000
00<0Z;3M0000002W/Ml00P2W/Ml00`000000YK;R0:FbhP03000000<0Y[7P00<000000::bh`2R/^<0
0`0000020:Jgi@030000002T_N`0Y;g/008000000`2]_nL300000080YJ_K00D0000009^Ug@2KYMd0
VjGM0000000208nXiP<0000000@0[n?h0000003:kn`0b^o/0`0000020::Lc`040000002?P/40Sh;1
00000080P7Bm0`00000202e@a00300000029MkT000000080RFf/00@00000091_Z@2@KjT0T6nY0`00
000206]@X0@000000P2i`n8020000000i/:b0000000000001BR[0000002?HYX000000`2MJ9<01P00
0000XVZA0:9ZT@000000Y7:J00000080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0<00000
00@0SeV<0000001SA9L000000P2AH9@010000000Y6fC0:A]T`2TKI<2000000<0SEN<00X0000009IN
S@2FGXd0000009iUSP000000SEV?00000029E8/000000`27DHX01@000000QU6:08IARP26DHX00000
0080R5>;00@0000008aFR`2<EX/000000P27DX/01@000000Pe2;08=@R`23D8/000000080LdF;00D0
0000085?S021Ch`0PDn<0000000308mJSP030000002OJ94000000080SeV=00D0000009=LS@2CG8d0
Teb=0000000309IOSP8000000`2IHi02000000@0lk^@00<000000<fNY`3=WZL00P3=WZL200000080
W]?j00<000000:GBn02Ud_P010000000102Qa?4000000:G3k`2U`nl400000080WlOe00<000000:?7
lP2Sao800`00000209c9m`030000002Pb?@0X<Sd00<000000P2KaoH00`000000W/Od09k7m0070000
0080V/Og1`00000209K7n0030000002Ga?H0UlCf00H000000P2Aa?T00`000000S/7h08k1n0070000
0080Ql;k00<0000007joo01n_o`07@0000000`2?d?h00000000000050000000309[=nP0000000000
0080Y/Oa100000020:?:m0030000002[`n/0Zl?[00<000000P2Ya^h00`000000[l3V0:o0iP040000
0080[/;X00D000000;:mhP000000[L?Z000000030;:nh`<000000P2a_n@00`000000];_N0;BkgP02
000000@0];cO0`0000000`2d_>0000000;Jif`020;Jif`8000000`2f^M`01@000000]kKH0000002e
^M`0000000<0oooo00<000000?ooo`3oool05`3oool001@0oooo00<000000?ooo`3oool0@`3oool2
000002`0oooo0P0000000`2WZ]T000000:NZf@020:NZf@030000002WZ]T0Yj[I008000000`2X[=X0
0`000000Yj_J0:N[fP0300000080Z:gK00T000000:N]f`2W[M/0YjgK0000002V[]`000000:V`g@00
00000`2X/=d00`000000Yk7O0:Nag`0300000080Z;7N00<000000:Jah02V/N00100000020:Rdh@03
0000002V]nD0Y[OU00<000000P2__nH01@000000[KoW0000002/]=l0000000@0YJ_K00<0000009^U
g@2KYMd00`0000020:c8k`D0000000<0]/CU0000002RW<l00P2RW<l01`000000Sh;108n2`@2?P/40
0000081d_@0000000P1`MLP500000080RFf/00<00000091_Z@2@KjT00P0000001`1mHjX0000006]@
X01[D:000000079HY@0000000`2i`n820000000604XeUP00000000000000002?HYX000000`2MJ9<0
1P000000XVZA0:9ZT@000000Y7:J00000080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0<0
000000@0SeV<0000001SA9L000000P2AH9@010000000Y6fC0:A]T`2TKI<2000000<0SEN<00@00000
09INS@2FGXd0UUj=0P000000102=FHl0000008UDR`00000308MARP0500000026DHX0QU6:08IARP00
00000P28Dh/010000000S5J;08aFR`00000208MBR`0400000023D8/0Pe2;08=@R`80000000<0LdF;
00000021Ch`00P21Ch`01`000000SeZ>08mJSP2?FXh0000009mXT@0000000P2?FHd01@000000Teb=
09=LS@2CG8d000000080UUn>00<0000009]UT@0000000`2IHi02000000<0lk^@0`0000030<fNY`80
00000P2NdoX300000080X<;`00<000000:74l@2Qa?400`00000209g5m0030000002OaoD0WlOe00@0
000000<0VlOf0000000000001@00000209[5m@030000002KaoH0VlOf00<000000P2Ga_L00`000000
V<Sh09S8n00400000080U<Ki00<0000009C8n@2Db?T01`000000102?b?/000000937nP2@aoX70000
0080RlOl00<0000008[4n`2:a?/01`00000208C4o00500000020`_`0P<;l0832o00000000P1h`?dE
0000000307;:o`000000000000T000000P2Ec_/00`000000Xl[d0:?:m00400000080X<_f00<00000
0:W6kP2Ya^h00`0000020:S7l0030000002^`^P0[/;X00<000000`2]`nX3000000040:g3jP000000
/KoT0;6oi0@000000P2a_nD00`000000];cO0;Blg`02000000@0];cP0`000000102c_>0000000;Ji
g02f^M`3000000<0]KWL00@000000?ooo`3oool000006@3oool001@0oooo0`0000100?ooo`<00000
;P3oool01@000000Yj[I0:NZf@2WZ]T000000080Yj[I0`0000020:R/fP030000002X[=X0Z:cJ00<0
000000<0Z:kK0000002X[M/00`2X[M/00`000000YjgK0:N]f`02000000<0ZK3M00<000000:R`g@2X
/=d00`0000020:ZbgP030000002X/Mh0Z;7N00<000000`2Y/n000`000000Z;CQ0:Rdh@0300000080
[koV00<000000:noiP2__nH00P0000030:bdg`030000002UZm/0YJ_K00@000000P2U^>H01@000000
[<S_0000002mm?4000000080_>_d00@000000;K4i@2fa>D000000`2RW<l010000000Sh;108n2`@00
0002081d_@030000001`MLP0L7G800H0000000L0RFf/000000000000Wi750000001mHjX000000080
Je2P100000001@2i`n80000005I5X@000000BSFF00<0000000<0Sf:J0000002MJ9<00P2MJ9<01P00
0000XVZA0:9ZT@000000Y7:J00000080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0<00000
0P2?FH`200000080TF2D00H000000:A]T`2TKI<0000007i=S000000308eGS0060000002FGXd0UUj=
09INS@000000WVF>0P0000000`29E8/0000008MARP0208MARP0700000026DHX0QU6:08IARP000000
R5>;0000000308aFR`0400000027DX/0Qe:;000000<0Pe2;0P0000000`1cAH/00000085?S002085?
S0070000002?FXh0SeZ>08mJSP000000WfRA0000000208mIS@050000002CG8d0Teb=09=LS@000000
0P2FGhh00`000000VfFA0000000309UST08000000`3c^i0:000000030::nk@000000000000D00000
0P2O`O0600000080W/?b0`0000020:6nk@030000002M`O80WL7b00L000000P2J`o@600000080Ul?f
1`00000209C4m`030000002@a_X0T<Kj00H000000P2<ao/:00000080Q<Om3P0000000`1ma?h00000
0000000C00000080K/Co3P0000000`2BcO`00000000000060000000409k;m`000000Z<O`0:S7l0@0
00000P2Vao000`000000[L?Z0:g3jP0300000080[L?Z0`0000020:c3j`030000002a_nD0/KoU00@0
00000P2`_nD00`000000];cP0;Blh002000000<0/kcP0`0000020;>lh0030000002e^M`0]KWL00<0
000000<0oooo0000003oool0603oool001@0oooo00<000000?ooo`3oool0?@3oool300000380oooo
00<000000:NZf@2WZ]T00`0000020:R/fP030000002X[=X0Z:cJ00<0000000<0Z:kL0000002X[]/0
0P2X[]/00`000000Z:gK0:R]f`0400000080ZK3M00<000000:V`g@2Y/=d00`0000020:Zdg`030000
002Z/]h0Z[;N00<0000000<0ZKGQ0000002Y/n000`2Y/n0300000080[KoW00<000000:noiP2__nH0
0`0000020:nni@030000002/]=l0[;CO00<000000`2S/^<00`000000YKSV0:FhiP0500000080_>_d
2000000208n2`@0500000020M;d0P7Bm0000001`MLP01000000209jGc@<0000000D0FD^W00000000
0000OF>Z0000000206]@X0030000001QB9l0000000D0000000H0BSFF000000000000000008mRVP00
000309eXT`060000002RJY40XVZA0000002TLYX000000P2LII001@000000Uen=09MOS@2GGhd00000
00<0Te^<0`00000208mIS08000000P2AH9@01P000000Y6fC0:A]T`000000OTf<000000<0SEN<00H0
000009INS@2FGXd0UUj=0000002NIHh20000000308UDR`000000Qe6:0080Qe6:00L0000008IARP26
DHX0QU6:00000028Dh/0000000<0S5J;00@0000008MBR`27DX/000000`23D8/20000000307=5R`00
0000PDn<0080PDn<00L0000008mJSP2?FXh0SeZ>0000002OJ94000000080SeV=00D0000009=LS@2C
G8d0Teb=0000000209IOSP030000002KII40000000<0VF>@00@000000?>kT03c^i00lk^@10000002
0:RjiP030000002V^nT0Y[_Y00<000000P2W_>T00`000000Xkk/0:>nk00400000080YKcZ00<00000
0::okP2R_nh00`0000020:Bkj@030000002Q_^d0XKk]00<000000P2S_N`00`000000W[o`09jol004
00000080XKk]00<0000009c0l@2L`?400`00000209nnk`030000002I`O<0VL7c00L0000000<0U/;e
0000000000001@00000209;3n0030000002;aO/0RlGk00L000000P26aO`00`000000PLKn0876oP0:
00000080N<Ko00<0000007S5oP1haOh04P00000207G3oP030000001faOh0M/Gn00X000000P27bOd0
0`000000T/_k09;;n`0700000080WLWf1`0000000`2Va_0000000000000200000080Y/G`00<00000
0:c3j`2/`n/00`0000020:c2jP030000002`_nD0/;oU00@000000P2`_nD01@000000/kcP0000002`
_^@0000000<0/kcP0`0000020;>kh0030000003oool0000001T0oooo000D0?ooo`030000003oool0
oooo03X0oooo0`00000f0?ooo`8000000P2X[=/00`000000Z:cJ0:R/fP03000000030:R_g0000000
Z:kL0080Z:kL00<000000:R^f`2X[]/00`0000030:VagP030000002Y/=d0ZK3M00<000000P2Z]N40
0`000000Z[CO0:Zdg`03000000030:Vgh`000000ZKGQ0080ZKGQ00@000000:Vch000000000000P2[
_^P00`000000[KoW0:foi`0300000080/<K[00<000000:nni@2__^D00`0000000`2R]>D000000:>b
h`030:>bh`<0000000@0[^ch0000002[m^l0ZoK_0`0000001@2IZ^80000008N@e@27T=D000000080
Nh?@2P000002085a^0<000000P1fIK<00`000000FD^W0000000207eSZP040000001[D:0000000658
W`80000000D0BSRI000000000000000004XeUP030000000308mRVP000000WFRC00<0WFRC00<00000
0:9ZT@2RJY400P00000209aUT0050000002GGhd0Uen=09MOS@0000000`2CFh`300000080SeV<0P00
0002095PU0060000002TKI<0Y6fC0000001nCH`000000`2=Eh`01P000000UUj=09INS@2FGXd00000
09iUSP80000000<0REB;00000027DHX00P27DHX01`000000QU6:08IARP26DHX0000008QCR`000000
0`2<EX/010000000Qe:;08MBR`00000308=@R`80000000<0LdF;00000021Ch`00P21Ch`01`000000
SeZ>08mJSP2?FXh0000009mXT@0000000P2?FHd01@000000Teb=09=LS@2CG8d000000080UUn>00<0
000009]UT@0000000`2IHi001`000000lk^@0?>kT03c^i0000000:Zhi00000000`2X^^H300000080
ZKgX00<000000:Nlj@2W_>T00`0000020:Rlj0030000002U_>X0YKcZ00@000000P2W^^L00`000000
Y;_Y0:Bkj@0300000080Y[cY00<000000:>mk02S_N`00`0000020:FljP030000002Q_^d0XKk]00@0
000000@0Xkg/0000002O_^l0Wkk_100000020:6nkP030000002L_o40W;oa00<000000P2M_o000`00
0000V<7c09S1l`0700000080U<7f00<0000008g3nP2=`oX01`00000208O4n`030000001oaOd0OlGm
00X0000000<0M<Go0000000000005000000207S4oP80000000<0NlGn0000000000002000000208_8
o0L000000P2Eb?T00`000000W/Sf09k8mP0300000080W/Od00<000000:K5l02VaO00100000020:K5
k`030000002/`^X0[<;Z00<000000P2/`^X00`000000/;oU0;2oi@03000000<0/;kT00D000000;>l
h0000000/;kT000000030;>kh080000000<0oooo0000003oool05`3oool001@0oooo00<000000?oo
o`3oool0=`3oool3000003X0oooo00<000000:R/f`2X[=/00`0000000`2X[md000000:R_g0020:R_
g0030000002X[]`0Z:kL00<000000P2X/Ml00`000000ZK7N0:VagP0400000080ZKKR00<000000:Ze
h@2Z]N400`0000000`2Y^N@000000:Vgh`020:Vgh`030000002Y]N40ZKGQ00800000102[_^P30000
0080[L[_00<000000;36j`2`a^/00`0000020:Bkj@050000002R]>D0X[CU0000002S/^<00P000000
0`2Qg?`000000000000400000080Zl_`00@0000009VZhP2IZ^8000000P27T=D00`000000Nh?@0000
000407R<fP0500000027_OP000000:BOd00000000P21LKP020000000J5V]000000000000MVFc0000
001IBjL000000P1mHjX00`000000Je2P000000020658W`030000001:>9T000000080000000H0BSFF
000000000000000008mRVP00000409eXT`030000002RJY40XVZA008000000P2LII001@000000Uen=
09MOS@2GGhd0000000<0Te^<0`00000208mIS08000000`2AH9@01@000000Y6fC0000001nCH`00000
00<0SEN<00H0000009INS@2FGXd0UUj=0000002NIHh20000000308UDR`000000Qe6:0080Qe6:00L0
000008IARP26DHX0QU6:00000028Dh/0000000<0S5J;00@0000008MBR`27DX/000000`23D8/20000
000307=5R`000000PDn<0080PDn<00<0000008mJSP2?FXh00P2?FXh200000080SeV=00D0000009=L
S@2CG8d0Teb=0000000209IOSP030000002KII40000000<0VF>@00@000000?>kT03c^i0000000`2Z
^>@00`000000Z;[V000000020:boj0030000002Y_NP0ZKgX00<000000P2Y_>L00`000000Z;cX0:Rl
j00300000080ZK_V00<000000:Nji`2W^^L0100000020:Rmj0030000002V_>T0Y[cY00<000000P2W
_>T00`000000YKcZ0:FljP0300000080Y[gZ00<000000:>mk02S_N`00`0000020:Bmk0030000002Q
_^h0XKk^00@000000P2R_^d00`000000WKo`09fol00300000080W[o_00<0000009[0lP2J`?801`00
000209K1m@030000002?`_P0Sl;h00L0000000<0RL?k0000000000002000000207[4oP030000001c
a?l0LlCo01H0000000<0NLGn0000000000002@00000208K7o@030000002=b?/0SLSk00L000000P2G
b?P00`000000W/Od09k7m00300000080WlKd00<000000:K5k`2VaNl0100000020:K4k`030000002/
`^X0[<;Z00<000000P2/`NT00`000000/;kT0;2ni003000000<0/;kT0`000000102`_^@000000?oo
o`00000H0?ooo`004`3oool00`000000oooo0?ooo`0e0?ooo`<00000?P3oool2000000030:N_g@00
0000Z:oM0080Z:oM00<000000:R_g02X[m`00`0000020:Rbg`030000002X/Ml0Z;7O00<000000P2X
]^<010000000ZKKR0:VfhP2Y]^83000000030:RjiP000000ZKWT0080ZKWT00<000000:Vgh`2Y]n<0
0`0000020:Rnj@040000002[_^P0000000000080Z/_a00<000000:g:k`2]b^l00`0000020:K3kP03
0000002T^nT0Y;_Y00/000000P2ci_L700000080Qi3E00@0000007^3d01kPm0000000P1hS=X30000
0080Y9o@00@00000085a^021LKP000000P1XFJd010000000MVFc0000001IBjL20000000407eSZP00
0000Je2P00000080HDRO0`0000001P0028`0000004XeUP000000CSRG00000080Sf:J00D0000009eX
T`2MJ9<0WFRC000000020:9ZT@8000000P2LII001@000000Uen=09MOS@2GGhd0000000<0Te^<0`00
000208mIS08000000`2AH9@200000080OTf<00D0000008eGS02=Eh`0SEN<0000000309INS@060000
002NIHh0000000000029E8/000000`27DHX01`000000QU6:08IARP26DHX0000008QCR`0000000`2<
EX/010000000Qe:;08MBR`00000308=@R`80000000<0LdF;00000021Ch`00P21Ch`00`000000SeZ>
08mJSP0208mJSP8000000P2?FHd01@000000Teb=09=LS@2CG8d000000080UUn>00<0000009]UT@00
00000`2IHi02000000030?>kT000000000000080Z[ST0`0000020:boj0<000000P2Z_NL00`000000
ZKcW0:Vli`0300000080Z[cV00<000000:VkiP2Y^nH00`0000020:Vnj0030000002X_NP0Z;gX00@0
000000@0Z;gX0000002W_>T0YkcY100000020:Nmj@030000002V_NX0Y[gZ00<000000P2V_^/00`00
0000Y;g/0:Bmk00300000080Y;k/00<000000::nk@2R_^d0100000020::okP030000002N_nl0W[o_
00<000000P2O`?000`000000Vl3b09_0lP070000000309O1m0000000000000D000000P2B`_L00`00
0000Rl?j08_3nP0:00000080Nl?n5@0000020775o`030000001ha_l0N<Ko00/0000000@0QlSm0000
002?b?/0SlSk20000000102Hb?P0000009o6m02Oa_@400000080X<Kc00<000000:K4k`2Va>l01000
0000102Wa>h000000:c1j@2/`NT400000080[<7Y00<000000;2ni02`_^@00P0000030;2ni0<00000
603oool001<0oooo00<000000?ooo`3oool0<P3oool300000440oooo00D000000:N_g@2W[md0YjoM
000000020:R_g@<000000P2X/]l00`000000Z;;O0:Rbg`03000000030:Rfh`000000Z;KS00<0Z;KS
00D000000:VfhP000000Z;[V000000030:RjiP030000002Y^N@0ZKWT00<000000P2W_NT00`000000
Z;kY0:Rnj@0400000080Z/_a0`0000020:S9l@030000002V`nh0Y/?^00<000000P2I`O<010000000
V/_i0000002Jj_X2000000030;3`mP00000000000080000000D0WjoS0000002=VMX0SIWJ00000002
07b>fPd0000000@0Y9o@00000021LKP000000P1XFJd300000080FD^W0`00000206]@X0040000001Q
B9l0000005UA[P<000000P1:=IH200000080Sf:J00D0000009eXT`2MJ9<0WFRC000000020:9ZT@80
00000P2LII001@000000Uen=09MOS@2GGhd0000000<0Te^<0`00000308mIS0040000002AH9@0TF2D
095PU08000000P1nCH`01@000000SEN<08eGS02=Eh`0000000<0UUj=00@0000009iUSP0000000000
0P29E8/010000000Qe6:08MARP00000308IARP0300000028Dh/0000000<0S5J;00@0000008MBR`27
DX/000000`23D8/20000000307=5R`000000PDn<0080PDn<00<0000008mJSP2?FXh00P2?FXh20000
0080SeV=00D0000009=LS@2CG8d0Teb=0000000209IOSP030000002KII4000000080VF>@20000000
0`2/`^T0000000000002000000040:Zoj@000000Z[gW0:Zmi`@000000P2Y_>L00`000000Z[cV0:Zl
iP0300000080ZKoY00<000000:Vnj02Y_^P00`0000020:Vnj@030000002X_NP0Z;gX00<000000P2X
_^T00`000000YkgY0:Nmj@0400000080Ykk[00<000000:Jnj`2V_^/00`0000020:Fok0030000002T
_^`0Y;k/00<000000P2T_nd00`000000X[o^0::okP04000000040:;0kP000000Wl3`09o0l0@00000
0P2O`O000`000000Vl7b09_1lP0300000080Vl7b00<0000009O2m02G`_@01`00000209;2m`030000
002<`oX0S<?j00L000000P25`o`00`000000OL?m07g3o@0E0000000306o5o`000000000000`00000
0P27b?d00`000000T<Sk0938n`0700000080VLSg00<000000:36l`2Pa_<0100000020:76l`030000
002Wa>h0YlC^00<000000P2Wa>h00`000000[<7Y0:c1j@0400000080[<7Y00<000000;2ni0000000
0P2]`NT00`000000oooo0?ooo`0F0?ooo`004`3oool00`000000oooo0?ooo`0_0?ooo`<00000A@3o
ool00`000000YjoM0:N_g@0300000080Yk;P00<000000:Rbg`2X/]l00`0000000`2X]^<000000:Rf
h`020:Rfh`030000002X]^<0Z;KS00<000000`2X^^H00`000000Z;[V0:RjiP0300000080YkgY00<0
00000:Nmj@2W_NT00`0000020:S8l@@000000P2YcO800`000000Z<Wa0:S9l@0300000080W;k`00<0
000009W1l`2I`O<01`0000020:k:kP050000002O[n<0WjoS09n_h`0000000P2=VMX010000000O8kJ
07b>fP00000206ZGjP<0000000H0YJOH00000025Nl40QG_10000001^HkH200000080PG6h00@00000
06QI[@000000D4b^0P000000101IBjL0000000000000000206]@X0050000001QB9l0HDRO0000001I
DJh00`0000000`1:=IH000000000000208mRVP050000002MJ9<0WFRC09eXT`0000000P2RJY420000
0080W6F@00D0000009MOS@2GGhd0Uen=0000000309=KS0030000002GH8l0000000<0SeV<00@00000
095PU02AH9@0TF2D0P00000207i=S0050000002=Eh`0SEN<08eGS00000000`2FGXd010000000WVF>
09iUSP00000208UDR`0400000027DHX0Qe6:000000<0QU6:0`00000308aFR`0500000027DX/0Qe:;
08MBR`0000000P23D8/20000000307=5R`000000PDn<0080PDn<00<0000008mJSP2?FXh00P2?FXh2
00000080SeV=00D0000009=LS@2CG8d0Teb=0000000209IOSP050000002KII40VfFA0000002IHi00
100000020:c3j`<000000P2Z`>X00`000000Z[oY0:Zoj@0300000080ZKgX00<000000:Vli`2Y_>L0
100000020:W0jP030000002Y_nT0ZKoY00<000000P2X_^T00`000000ZKkY0:Vnj@0300000080Z;kZ
00<000000:Rnj@2X_^T00`0000020:Noj`030000002W_^/0Ykk[00@000000P2V_n/00`000000YKo/
0:Fok00300000080YKo/00<000000:Bok@2T_nd00`0000020:?0kP030000002R`>h0X/3^00<00000
0P2Q`>l00`000000Wl7`09o1l00400000080W/7a00<0000009_1lP2K`O800`00000209_2l`030000
002G`_D0Ul;e00L000000P2B`oL00`000000S<?i08c3n@070000000408K3o0000000O/?m07k3oA80
000000<0Jl?n0000000000004000000208K9o@030000002@bO/0T<Wk00L000000P2Ib?L700000080
XLKc00<000000:O4kP2Wa>h00`0000020:O4kP030000002/`NT0[<7Y00<000000P2]`NT3000001L0
oooo000C0?ooo`030000003oool0oooo02`0oooo0`0000190?ooo`8000000P2W/^000`000000Yk;P
0:Nbh003000000030:Reh`000000Z;KS0080Z;KS00<000000:Rfh`2X]^<00`0000030:RjiP030000
002X^^H0Z;[V00<000000P2W_NT00`000000YkgY0:Nmj@0300000080Y/G_0`0000030:W=l`H00000
0P2Q`Nl60000000409cLo@000000Z^oh00000080]>7f00D000000:k:kP2^b^h0[/[^0000000209n_
h`040000002=VMX0SIWJ00000080O8kJ0`0000020<?Vk`040000002UYmP0YJOH00000080QG_100H0
000006iS]P0000000000085a^000000206QI[@070000001@C:h0000005U;Y`000000?C^V00000002
06]@X0040000001QB9l0HDRO000000<0FE6^00@0000004XeUP00000000000P2?HYX01@000000WFRC
09eXT`2MJ9<000000080XVZA0P00000209aUT0050000002GGhd0Uen=09MOS@0000000`2CFh`00`00
0000Uf2?0000000308mIS08000000P2AH9@200000080OTf<00D0000008eGS02=Eh`0SEN<00000003
09INS@040000002NIHh0WVF>00000080REB;00@0000008MARP27DHX000000`26DHX3000000<0S5J;
00/0000008MBR`27DX/0Qe:;00000023D8/000000?JjR0000000LdF;00000003085?S0030000002?
FXh0SeZ>0080SeZ>0P00000208mIS@070000002CG8d0Teb=09=LS@000000UUn>0000000309]UT@03
0000002IHi0000000080Z/?/00<000000:c3j`0000000P2Z`N/00`000000Z/3Z0:[0jP0300000080
Z;gX00<000000:Vmj02Y_NP00`0000020:S0j`030000002Y`>X0ZL3Z00@000000P2X_nX00`000000
Z;kY0:Rnj@0300000080Z;oZ00<000000:RnjP2X_^X00`0000020:Noj`030000002W_n/0Yko[00<0
00000P2V_n/00`000000Y[o[0:Joj`04000000030:Jok0000000000000D0000000<0Y<3]00000000
00001@0000020:?0kPH000000P2P`O000`000000W/7a09k1l@040000000409k1l@000000Vl;c09_2
l`@000000P2J`_<00`000000Ul;e09O2m@070000000309;3n0000000000000P000000P26a?`A0000
0080K/?n5@0000000`26bOh000000000000600000080T<Wk00<0000009W8m`2Ib?L01`0000000`2Q
a_<0000000000005000000030:O4kP00000000000080000000<0oooo0000003oool05`3oool001<0
oooo00<000000?ooo`3oool0:P3oool2000004d0oooo00<000000:Nbh02W/^000`0000000`2X]N80
00000:Reh`020:Reh`030000002X]^<0Z;KS00<000000`2X^^H00`000000Z;[V0:RjiP0300000080
YkgY00<000000:Nmj@2W_NT00`0000020:K3kP<000000P2Yc?8010000000ZLgc0000000000020:W:
l@030000002Va_00Y/K`00<000000P2OaO<00`000000WLgh09g=n00500000080]>7f3@0000000`1i
bol000000000000600000080QG_100@0000006iS]P000000FeZg0P00000206QI[@030000001@C:h0
00000080000000D0?C^V000000000000Je2P000000020658W`050000001IDJh0FE6^0000001UBI`0
0`00000208mRVP050000002MJ9<0WFRC09eXT`0000000P2RJY4200000080W6F@00D0000009MOS@2G
Ghd0Uen=0000000309=KS0030000002GH8l0000000<0SeV<00<0000008UDR`0000000`00000207i=
S0050000002=Eh`0SEN<08eGS00000000`2FGXd010000000WVF>09iUSP00000208UDR`0500000027
DHX0Qe6:08MARP0000000P26DHX3000000<0S5J;00/0000008MBR`27DX/0Qe:;00000023D8/00000
0?JjR0000000LdF;00000003085?S0030000002?FXh0SeZ>0080SeZ>0P00000308mIS@060000002C
G8d0Teb=0000002FGhh000000`2KII400`000000VF>@000000020:[3k0<000000P2Z`N/300000080
Z;gX00<000000:Rmj02X_NP00`0000020:RojP030000002X`>/0Z<3[00<000000P2X_^T00`000000
Z;oZ0:RojP04000000040:RnjP000000Z;oZ0:RojP@000000P2W_nX00`000000Yko[0:Noj`030000
0080Yko[1P0000020:Joj`<000000P2V_n/00`000000YKo/0:Fok00300000080YKo/00<000000:C0
k@2T`>d010000000102T_nd000000:;0kP2R`>h700000080X<7`1P00000209g1lP030000002J`_<0
V/;c00@000000P2J`_@00`000000U/?f09K3mP0300000080U/?f00<000000973n02A`oP01`000002
08c4nP0300000026a?`0Q/Cl00h000000P1c`oh00`000000Kl?n06o3oP0A00000080O<So00<00000
08K9oP26bOh020000000102@bO/0000009W8n02Ib?P400000080VLSh00<000000:76l`2Qa_<00`00
00050?ooo`030000003oool0oooo01H0oooo000C0?ooo`030000003oool0oooo02L0oooo0`00001@
0?ooo`80000000<0Z;GR0000002X]N800P2X]N800`000000Z;GS0:Reh`0300000080Z;[V00<00000
0:RjiP2X^^H0100000020:Rnj@030000002W_NT0YkgY00<000000P2W`^d300000080Z<[a00<00000
0:W<lP2Yc?80100000020:W:l@<000000P2Ra?400`000000WlGc09o5l`0500000080/>ch0`000000
0`2Q^>T0000009BUh@0309BUh@0400000029WN00RIgP00000080PZK[0`0000001`2V[]d0000008Z6
b@2:Q/T0000007=^_P0000000P25Nl401@000000KV>f06iS]P000000FeZg0080000000@0J5V]0000
001@C:h0D4b^0`000000100m>jH000000000000000030658W`<0000000L0IDVL000000000000CSRG
0000002?HYX0000000<0WFRC00<000000:9ZT@2RJY400P00000209aUT0050000002GGhd0Uen=09MO
S@0000000`2CFh`00`000000Uf2?0000000308mIS00300000029E8/0REB;00<000000P1nCH`01@00
0000SEN<08eGS02=Eh`0000000<0UUj=00@0000009iUSP2NIHh000000P29E8/01@000000Qe6:08MA
RP27DHX000000080QU6:0`00000308aFR`0;00000027DX/0Qe:;08MBR`000000Pe2;0000003f^XP0
000007=5R`0000000`21Ch`00`000000SeZ>08mJSP0208mJSP8000000`2?FHd010000000Teb=09=L
S@2CG8d300000080VfFA1@0000000`2Z`^/0000000000002000000040:Vmj0000000Z;gX0:Rmj0@0
00000P2X_^T00`000000Z;oZ0:RojP0300000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rnj@03
0000002X_^X0Z;kZ00<000000P2X_^X00`000000YkoZ0:NojP04000000030:NnjP00000000000080
000000@0YkkY0000002W_^/0Ykk[100000020:NnjP030000002V_n/0Y[o[00<000000P2V_^/00`00
0000YKo/0:Fok00300000080YKo/00<000000:Bok@2T_nd00`0000020:Bok@030000002R`>h0X/3^
00@0000000@0X/3^0000002P`O00X<7`1`00000209g1lPL0000000@0V/;d0000002F`oH0U/?f1000
000209K3mP030000002A`oP0TL?h00L0000000@0RlCj00000026a?`0Q/Cl3`0000000`1d`oh00000
0000000C00000080O<So2P0000020939n`030000002Ib?P0VLSh00@000002@3oool00`000000oooo
0?ooo`0E0?ooo`004P3oool00`000000oooo00000002000002<0oooo0`00001C0?ooo`050000002X
]N80Z;GR0:RehP0000000P2X]N8300000080Z;WV00<000000:RjiP2X^^H00`0000030:Rnj@030000
002X_^T0Z;kY00<000000P2W`N`300000080Z<S`00<000000:S:l@2Xb_400`0000020:[>lP@00000
0P2Ta_400`000000X/Ca0:;4l@03000000040:?Ln`000000Z>ci0:S/n@<000000P2[co<010000000
XKSY0:6hj@00000209BUh@L0000000<0_n7`0000002V[]d00P2V[]d01@000000RXK908Z6b@000000
Lfjn00@0000000D0KV>f0000001KF[L0000004EXd@0300000003051<[P0000006T[500T0000000<0
D3fK0000000000000P000000101>>9L0000008mRVP00000309eXT`030000002RJY40XVZA00800000
0P2LII001@000000Uen=09MOS@2GGhd0000000<0Te^<00<0000009MPS`0000000`2?FH`01P000000
REB;08UDR`000000HCZ;00000080OTf<00D0000008eGS02=Eh`0SEN<0000000309INS@040000002N
IHh0WVF>00000080REB;00D0000008MARP27DHX0Qe6:0000000208IARP<000000`2<EX/020000000
Qe:;08MBR`27DX/0000008=@R`000000m[Z80P0000001@1cAH/00000085?S021Ch`0000000@0SeZ>
0P00000308mIS@040000002CG8d0Teb=09=LS@<000000P2KII42000000040:[2j`00000000000000
0080Z[gX00<000000:Vmj02Y_NP00`0000020:Rnj@030000002X_^T0Z;kY00@000000P2Y_NP00`00
0000Z;kY0:Rnj@0300000080Z;gX00<000000:Rnj@2X_^T00`0000020:Rnj@030000002X_^X0Z;kZ
00<000000P2X_NT300000080Z;gY00<000000:Nnj@2W_^T00`0000020:Rnj@030000002W_^X0YkkZ
00@0000000@0YkkZ0000002V_^/0Y[k[100000020:Jnj`030000002U_n`0YKo/00<000000P2U_^`0
0`000000Y;o]0:Bok@0300000080Y;o]00<000000:;0kP2R`>h00`0000020::okP030000002O`?00
Wl3`00@000000P2P`?000`000000WL7b09g1lP0600000080VL;d1`000000102E`oH000000973n02A
`oP700000080RlCj00<0000008G4o00000002`0000000`1ia?h000000000000D0000000407K6o`00
0000OLSo07g8o`/000003@3oool00`000000oooo0?ooo`0E0?ooo`004P3oool2000002<0oooo0`00
001G0?ooo`030000002X]N80Z;GR00<000000P2X^ND00`000000Z;WV0:RiiP0300000080Z;kY00<0
00000:Rnj@2X_^T0100000020:S1k0<000000P2Xao000`000000Z<S`0:S8l00300000080Z/oc0`00
00030:O;lP030000002Ta_40Y<Ka00<000000P2Qd_T500000080[n7h2@00000208Fdm0D000000P2o
hO0010000000YZkM0:J^g@00000208Z6b@030000001cK[h000000080GfG10`00000205]J]`030000
0015J=40AFSA00@0000000@0R7Bg0000001[EJL0JeFW0`00000206I=X@<0000000H0IDVL00000000
0000000008mRVP00000309eXT`030000002RJY40XVZA008000000P2LII001@000000Uen=09MOS@2G
Ghd000000080Te^<00@0000009MPS`2GH8l000000`2?FH`01P000000REB;08UDR`000000HCZ;0000
00<0OTf<00@0000008eGS02=Eh`000000`2FGXd010000000WVF>09iUSP00000208UDR`0500000027
DHX0Qe6:08MARP0000000P26DHX3000000<0S5J;00P0000008MBR`27DX/0Qe:;00000023D8/00000
0?JjR080000000D0LdF;00000021Ch`0PDn<0000000308mJSP0300000028EHh0000000<0SeV=00@0
000009=LS@2CG8d0Teb=0`00000209]UT@<000000P2[_^P00`000000Z[gX0:Zmj00300000080ZKgX
00<000000:Rnj@2X_^T00`0000020:Vmj0030000002Y_NP0ZKgX00@0000000@0ZKgX0000002X_NP0
Z;gX100000020:Vmj0030000002X_^T0Z;kY00<000000P2X_NP300000080ZKgX00<000000:Rmj@2X
_NT00`0000020:Rmj@030000002X_^T0Z;kY00<000000P2X_NT00`000000YkkZ0:NnjP0300000080
YkkZ00<000000:Jnj`2V_^/0100000020:Jnj`030000002U_^`0YKk/00<000000P2U_^/00`000000
Y;o]0:Bok@0300000080Y;o]00<000000::okP2R_nh00`0000020::okP030000002P`?00X<3`00@0
000000@0X<3`0000002M`O80WL7b1000000209g1l@030000002I`_@0VL;d00H000000P2E`oH00`00
0000T<?h0933n00700000080RlCj2P00000207o4o@030000001ia?h0NLCn01D00000603oool00`00
0000oooo0?ooo`0E0?ooo`004P3oool00`000000oooo0?ooo`0O0?ooo`<00000F`3oool200000080
Z;WU00<000000:Rii@2X^ND00`0000020:Rnj@030000002X_^T0Z;kY00@000000P2X`^`300000080
YlK`00<000000:S7l02Xao000`0000020:W?m0<000000P2Xco@00`000000Yl_b0:O;lP0400000080
X<gg0`000000102Si_/000000:_YnP2[jOX300000080XKo_00@0000009J`j@2F/>T000000P2<Z^X5
000000030;Ojj0000000000000T000000P1cK[h010000000GfG100000014MM`20000000305]J]`00
0000AFSA008000000P1aGZd00`000000R7Bg0000000206]EY`080000001EA:4000000000001VCJ40
0000050mV`00000206E9W080000000<0Sf:J0000002MJ9<00P2MJ9<00`000000XVZA000000020000
0080W6F@00D0000009MOS@2GGhd0Uen=0000000209=KS0040000002GH8l0Uf2?000000<0SeV<00H0
000008UDR`29E8/00000064jR`00000307i=S0040000002=Eh`0SEN<000000<0UUj=00L0000009iU
SP2NIHh0WVF>00000029E8/0000000<0Qe6:00H0000008IARP26DHX0000009=LS@00000308aFR`08
00000027DX/0Qe:;08MBR`000000Pe2;0000003f^XP20000000307=5R`000000PDn<0080PDn<00H0
000008mJSP2?FXh0000008QESP00000308mIS@040000002CG8d0Teb=09=LS@<000000P2KII430000
0080ZkkX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NL00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@0000000<0ZKgX0000
000000000P000000102Y_NP000000:Vmj02Y_NP400000080ZKgX00<000000:Rmj@2X_NT00`000002
0:Rmj@030000002X_NT0Z;gY00<000000P2X_NT00`000000YkkZ0:NnjP0300000080YkkY00<00000
0:Jnj`2V_^/010000000102V_^X000000:Fnj`2U_^/400000080YKk[00<000000:Bok@2T_nd00`00
00020:Bok@030000002R_nh0X[o^00<000000P2R_nh00`000000X<3`0:30l00300000080X<3`00<0
000009g1l@2M`O4010000000102M`O40000009W2m02I`_@700000080UL;f1`000000102@`oP00000
08_4nP2;a?X;000002d0oooo00<000000?ooo`3oool05@3oool000040?ooo`0000000000000000@0
oooo0P0000080?ooo`030000003oool0oooo01`0oooo0`00001O0?ooo`030000002X^ND0Z;WU00<0
00000P2X_^T00`000000Z;kY0:Rnj@0300000080Z<;/100000020:O6k`030000002Wa_00YlK`00<0
00000P2Xc_@300000080Z=7f1P0000020:7;mP@000000P2Pg_`500000080ZM7e00<000000:6ok`2Q
_nl01P0000000`25e_l000000000000300000080Yk?Q00@00000092Ad02@TM0000000P1lNlL01P00
0000JgC:000000000000Lfjn00000080GfG100<0000004Aeg00000000`00000208em_@050000001a
GZd0000008Qd]`0000000P1[EJL020000000EDBQ000000000000ITfQ0000001@?I/000000P1UBI`0
10000000DSZG00000000000309eXT`030000002RJY400000008000000P2LII001@000000Uen=09MO
S@2GGhd000000080Te^<00@0000009MPS`2GH8l000000`2?FH`01P000000REB;08UDR`000000HCZ;
000000<0OTf<00@0000008eGS02=Eh`000000`2FGXd01`000000WVF>09iUSP2NIHh0000008UDR`00
00000`27DHX01P000000QU6:08IARP000000Teb=000000<0S5J;00H0000008MBR`27DX/0Qe:;0000
0023D8/200000004091NTP000000LdF;000000<0PDn<00H0000008mJSP2?FXh0000008QESP000003
08mIS@040000002CG8d0Teb=09=LS@<000000P2KII4500000080Z[kX00<000000:Vmj02Y_NP00`00
00020:Vmi`030000002Y_NL0ZKgW00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP010000000102Y_NP000000:Rmj@2X_NT400000080Z;gY00<000000:Rmj@2X_NT0
0`0000020:Rnj@030000002W_^T0YkkY00<000000P2W_^X00`000000Y[kZ0:JnjP0300000080Y[kZ
00<000000:Fnj`2U_^/010000000102U_^/000000:Bok@2T_nd400000080Y;o]00<000000::okP2R
_nh00`0000020::okP030000002P`?00X<3`00<000000P2P`?000`000000WL7a09g1l@0300000080
WL7a00<0000009W2m02I`_@010000000102I`_@0000009G2mP2E`_H7000003P0oooo00<000000?oo
o`3oool05@3oool000050000003oool0oooo0?ooo`0000000P3oool010000000oooo0?ooo`000007
0?ooo`030000003oool0oooo01T0oooo0`00001S0?ooo`8000000P2X_^T00`000000Z;kY0:Rnj@03
00000080Z<;/0`0000030:S6l0030000002Wa^l0YlK_00<000000P2WcO@300000080Z=?f0`000002
0:G?mP030000002ScOD0Xlge00@000000P2Oeo/500000080[=ki1P000002096dk`030000002;_OL0
Rkgg00@000000P2jgO401`000000Yk?Q0:Nch@2W/n400000092Ad00000000P1lNlL00`000000JgC:
06]dbP0300000080GfG11P00000208em_@080000001aGZd0000000000028M;L0000006]EY`000002
05E4X@040000001VCJ400000050mV`80000000<0IDVL0000001B>YL00P00000309eXT`080000002R
JY40000000000022DY00000009aUT000000309MOS@040000002CFh`0Te^<00000080Uf2?00D00000
08mIS02?FH`0SeV<0000000308UDR`030000001Q>X/000000080OTf<00@0000008eGS02=Eh`00000
0`2FGXd01`000000WVF>09iUSP2NIHh0000008UDR`0000000`27DHX01P000000QU6:08IARP000000
Teb=000000<0S5J;00@0000008MBR`27DX/0Qe:;0P0000001P3f^XP00000091NTP000000LdF;0000
00<0PDn<00H0000008mJSP2?FXh0000008QESP00000308mIS@040000002CG8d0Teb=09=LS@<00000
00<0VfFA0000000000000P2[_nT00`000000Z[kX0:Znj004000000040:Vli`000000ZKgW0:Vmi`@0
00000P2Z_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_NP00`000000Z;gY0:Rmj@04000000040:Rmj@000000Z;kY0:Rn
j@@000000P2X_^T00`000000YkkZ0:NnjP0300000080YkkZ00<000000:JnjP2V_^X00`0000020:Jn
j`H000000P2U_^/7000000030:Bok@000000000000D0000000<0X[o^0000000000001@0000020:30
l0030000002M`O40WL7a00<000000P2M`O400`000000VL;d09W2m003000000<0oooo00<000000?oo
o`3oool0>@3oool00`000000oooo0?ooo`0E0?ooo`0000D000000?ooo`3oool0oooo000000020?oo
o`040000003oool0oooo000000L0oooo00<000000?ooo`3oool05P3oool3000006L0oooo00<00000
0:Rnj@2X_^T00`0000020:S3k0<000000`2Xao000`000000Z<K`0:S6l00300000080Ylcc0`000002
0:OCm`030000002XdoH000000080Y];g00<000000:G?mP2UcoH00`00000209oBn@@0000000@0X^Cl
0000002ZiOX0Z^Gj0`0000020:;5l@040000002J^Nh0V[W^00000080TKC_100000020;SelP/00000
0P1lNlL01@000000JgC:06]dbP000000FhST00<000000P2BQ/@01P000000MfNd07MW]0000000SGfm
00000080LEj]0`00000206]EY`050000001EA:40000006I=X@0000000P1@?I/010000000IDVL0000
001B>YL2000000<0WFRC100000001022DY00000009aUT000000309MOS@040000002CFh`000000000
0080Uf2?00D0000008mIS02?FH`0SeV<0000000308UDR`030000001Q>X/000000080OTf<00@00000
08eGS02=Eh`000000`2FGXd01`000000WVF>09iUSP2NIHh0000008UDR`0000000`27DHX01P000000
QU6:08IARP000000Teb=000000<0S5J;00@0000008MBR`27DX/0Qe:;0P000000103f^XP00000091N
TP2@GY82000000<0PDn<00<0000008mJSP0000000P28EHh01@000000SeV=08mIS@2?FHd0000000<0
Teb=10000000102[`NT000000:^oj@2[_nT300000080ZKcW00<000000:Vli`2Y_>L00`0000020:Vn
j0030000002Z_NP0Z[gX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j00000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rm
j@2X_NT00`0000020:Rnj@030000002X_^T0Z;kY00@0000000@0Z;kY0000002W_^X0YkkZ10000000
0`2W_^X0000000000002000000040:NnjP000000Y[k[0:Jnj`@000000P2V_^/00`000000YKk/0:Fn
k00300000080YKo/00<000000:Bok@2T_nd00`0000020:Bok@030000002R_nh0X[o^00L0000000<0
X<3`0000000000001@0000060?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool05@3o
ool000@000000`3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo01@0oooo0P00
001[0?ooo`8000000P2X`nd300000080Z<O`00<000000:S7l02Xao00100000020:O<l`<000000P2V
d_L00`000000Ym?g0:OCm`0300000080Y];g0`0000020:7@n0<000000P2Qg_`600000080Z=;f00<0
00000:;5l@2RaO401P0000000`2?f?l0000000000003000000050:Rhi@000000U9_G09BKe`000000
0P23Qll00`000000MH?C07F3d`040000000306]dbP00000000000080000000D0][gN0000002BQ/@0
TXK40000000207MW]0<000000P1aGZd00`000000G4fW0000000206]EY`070000001EA:4000000000
001VCJ400000050mV`0300000003058jU`000000000000<0WFRC100000001022DY00000009aUT000
000309MOS@040000002CFh`0000000000080Uf2?00D0000008mIS02?FH`0SeV<0000000308UDR`03
0000001Q>X/000000080OTf<00@0000008eGS02=Eh`000000`2FGXd01`000000WVF>09iUSP2NIHh0
000008UDR`0000000`27DHX010000000QU6:08IARP00000209=LS@040000002<EX/0S5J;000000<0
Qe:;0P000000103f^XP00000091NTP2@GY82000000<0PDn<00<0000008mJSP0000000P28EHh01@00
0000SeV=08mIS@2?FHd0000000<0Teb=00<000000:c2jP0000000P2[`NT300000080ZKgW00<00000
0:Vli`2Y_>L00`0000020:Vmj0030000002Y_^P0ZKkX00<000000P2Y_^P00`000000ZKgX0:Vmj004
000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@00000
0P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NT00`000000Z;kY0:Rnj@0300000080Z;kY00<000000:Rnj@2X_^T0
0`0000020:Rnj@<000000P2X_^T00`000000YkkZ0:NnjP0300000080YkkZ00<000000:Jnj`2V_^/0
10000000102V_^/000000:Fok02U_n`400000080YKo/00<000000:Bok@2T_nd00`0000020:Bok@03
0000002R_nh0X[o^00<000003P3oool00`000000oooo0?ooo`0i0?ooo`030000003oool0oooo01@0
oooo00000`000000oooo0?ooo`040?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3o
ool04P3oool3000006l0oooo0P0000020:S7l0030000002Xao00Z<O`00@000000P2Wbo<300000080
Y]7f00<000000:KBm`2Vd_L00`0000020:KDn0<000000P2SdOP300000080X=Sk1P0000020:[Ln@H0
00000P2F_O800`000000T/Gh09;5n002000000050:Sfk0000000]]Sb0;KHlP0000000P2X^>D01000
0000U9_G09BKe`00000208>7c`030000001ePm<000000080JiOZ0`0000000`3:n>T0000000000003
0000000609:6a0000000MfNd07MW]0000000HeN_0P0000000`1aGZd0000005a=Y`020000000506]E
Y`000000EDBQ0000000i>ZL00P000000101@?I/00000000000000002058jU`040000002MJ9<0WFRC
09eXT`@0000000@0PU:@0000002LII0000000`2GGhd010000000Te^<00000000000209MPS`050000
002?FH`0SeV<08mIS00000000`29E8/00`000000HCZ;0000000207i=S0040000002=Eh`0SEN<0000
00<0UUj=00<0000009iUSP2NIHh00P2NIHh2000000<0Qe6:00<0000008IARP0000000`2CG8d01000
0000S5J;08aFR`00000308MBR`80000000@0m[Z80000002@GY80T5jB0P000003085?S0030000002?
FXh000000080R5F>00D0000008mIS@2?FHd0SeV=0000000309=LS@030000002/`^X0000000800000
0P2Z_NP00`000000ZKgW0:Vmi`0300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vnj0030000
002Y_^P0ZKkX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj004000000040:Vmj0000000ZKgX0:Vmj0@0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj@2Y_NT00`0000000`2X_NT0
00000000000500000080Z;kY0`0000020:Rnj@030000002X_^T0Z;kY00<000000P2X_^T00`000000
YkkZ0:NnjP0300000080YkkZ00<000000:Jnj`2V_^/00`0000020:Jnj`030000002U_n`0YKo/00@0
000000@0YKo/0000002T_nd0Y;o]1000000B0?ooo`030000003oool0oooo03P0oooo00<000000?oo
o`3oool0503oool000030?ooo`000000oooo00@0oooo00@000000?ooo`3oool000001P3oool00`00
0000oooo0?ooo`0?0?ooo`<00000L`3oool00`000000Z<O`0:S7l00300000080Yl_c100000020:K@
mP030000002VdOH0Y]7f00<000000P2VeOP300000080Y=?h0`0000020:7EnP<0000000@0Xn;l0000
00000000ZN;j100000020:?8l`030000002L`?40W<3a00X000000P2ff?8700000080PhO?00D00000
07F3d`1ePm<0000006^GjP040000000409N@bP000000OG:k07eb^`80000000@0TXK40000001gIk@0
00000P1SEjl00`000000LEj]0000000205a=Y`<000000P1EA:401P000000>CZW0000001@?I/00000
03HcX@80000000<0DSZG0000000000000P2MJ9<400000080PU:@0P00000309MOS@@000000P2GH8l0
1@000000SeV<08mIS02?FH`0000000<0REB;00<00000064jR`0000000P1nCH`010000000SEN<08eG
S000000309INS@030000002NIHh0WVF>0080WVF>0P00000308MARP0300000026DHX0000000<0Teb=
00@0000008aFR`2<EX/000000`27DX/2000000040?JjR0000000T5jB091NTP8000000`21Ch`30000
0080R5F>00D0000008mIS@2?FHd0SeV=0000000309=LS@80000000@0ZkkX0000002Z_NP0Z[gX1000
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_^P00`000000ZKkX0:Vnj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vm
j004000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX00000000000000000P2Y_NP00`000000
Z;gY0:Rmj@04000000040:Rmj@000000Z;kY0:Rnj@@000000P2X_^T00`000000Z;kY0:Rnj@030000
0080Z;kY00<000000:NnjP2W_^X00`0000020:NnjP030000002V_^/0Y[k[00<000000P2V_^/00`00
0000YKo/0:Fok003000001H0oooo00<000000?ooo`3oool0>03oool00`000000oooo0?ooo`0D0?oo
o`000P3oool2000000@0oooo0P0000070?ooo`030000003oool0oooo00`0oooo0`00001g0?ooo`80
00000P2Wbo<3000000<0Y]3f00<000000:K@mP2Vd?H00`0000020:KEn0<000000P2Ue?P300000080
X]?i0`0000020:;No0D000000`2Wd_L00`000000XlSc0:?8l`0300000080UlWi1@0000020;O]mP<0
000000D0VJCL0000002:TmL0RY?G0000000207n@fPP0000000<0]KoQ0000002GT<X00P2GT<X01000
0000OG:k0000001[H[H20000000407MW]0000000HeN_06=G[`<000000P1LCJL01`000000AdN^0000
00000000EDBQ0000000i>ZL00`00000203HcX@<0000000<0>S6L0000000000000`0000000`1D=i40
0000089BT002000000<0Uen=1000000209MPS`050000002?FH`0SeV<08mIS00000000`29E8/00`00
0000HCZ;0000000207i=S0040000002=Eh`0SEN<000000<0UUj=00@0000009iUSP2NIHh0WVF>0`00
000308MARP0300000026DHX0000000<0Teb=00@0000008aFR`2<EX/000000`27DX/2000000040?Jj
R0000000T5jB091NTP8000000`21Ch`300000080R5F>00D0000008mIS@2?FHd0SeV=0000000309=L
S@030000002[_^P0ZkkX00<000000P2Y_NP00`000000ZKgX0:Vmj004000000040:Vnj0000000ZKkX
0:Vnj0@000000P2Y_NP00`000000ZKgX0:Vmj003000000030:Vmj00000000000008000000P2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rmj@2X_NT00`000002
0:Rmj@030000002X_^T0Z;kY00@0000000@0Z;kY0000002X_^T0Z;kY10000000102X_^T000000:Nn
jP2W_^X400000080YkkZ00<000000:Jnj`2V_^/00`00000J0?ooo`030000003oool0oooo03L0oooo
00<000000?ooo`3oool0503oool00140oooo0`0000090?ooo`<00000O03oool2000000<0Y/of00<0
00000:K@mP2Vd?H00`0000020:KDn0<000000P2Ue_T300000080XmCi0`0000020:7Jn`<0000000D0
Y^?k0000002Yf_T0ZM[i000000020:OBm`@000000P2J`o@30000000409cWo0000000[_7f0:kamP<0
000000<0Z;cW0000002IY=`00P2IY=`010000000RY?G08ZCe`00000207n@fP040000001hXnd00000
00000080a_3^00@000000;Foh@2e_n4000000P2GT<X00`000000OG:k0000000206]R]P070000001g
Ik@0MfNd0000001SEjl0000004mB]P020000000505a=Y`000000AdN^0000000AG=@00P00000203Tj
Y`<0000000<0=S>Q0000000000000P000000101PBZ4000000000001aEj@300000003089BT0000000
000000<0Uen=1000000209MPS`050000002?FH`0SeV<08mIS00000000`29E8/00`000000HCZ;0000
000207i=S0040000002=Eh`0SEN<000000<0UUj=00@0000009iUSP2NIHh0WVF>0`00000308MARP03
00000026DHX0000000<0Teb=00@0000008aFR`2<EX/000000`27DX/2000000040?JjR0000000T5jB
091NTP8000000`21Ch`2000000040;1fT@000000R5F>000000<0SeV=00@0000009=LS@2CG8d0Teb=
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_^P00`000000ZKkX0:Vnj00300000080ZKgX
00<000000:Vmj02Y_NP010000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00@0
000000@0ZKgX0000002Y_NP0ZKgX100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002X_NT0Z;gY
00<000000P2X_NT00`000000Z;kY0:Rnj@0300000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rn
j@030000002W_^X0YkkZ00@000007P3oool00`000000oooo0?ooo`0f0?ooo`030000003oool0oooo
01@0oooo000A0?ooo`030000003oool0oooo00H0oooo0`0000200?ooo`030000002VcoH0Y/of00@0
00000P2Ue?P300000080YMOi0`0000020:CEn@<000000P2Qeo/300000080Y>3l2000000209o5l`@0
00000P2Kf?d500000080/mCa00@000000:Rli`2X_>L000000P2IY=`00`000000RY?G08ZCe`070000
0080a_3^1000000209N@bP050000001mL[/0OG:k0000001[H[H00P000000101gIk@0000006=G[`00
000204mB]P@0000000<0AdN^0000000AG=@0100000000`1hHjh00000000000020000000407ALZ000
0000H4ZQ00000080LENT00@0000005e5W@000000PU:@0P00000309MOS@D0000000<0Uf2?0000002?
FH`00P2?FH`01`000000REB;08UDR`29E8/00000064jR`0000000P1nCH`010000000SEN<08eGS000
000309INS@040000002NIHh0WVF>09iUSP<000000`27DHX00`000000QU6:0000000309=LS@040000
002<EX/0S5J;000000<0Qe:;00@000000?JjR03f^XP000000P2@GY82000000<0PDn<0P000000102`
MY40000008QESP00000308mIS@040000002CG8d0Teb=00000080Z[kX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_^P0ZKkX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP010000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@0
000000<0ZKgX0000000000000P000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX
0:Vmj0@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rmj@2X_NT00`000002
0:Rmj@030000002X_^T0Z;kY00<000000P2X_^T00`000000Z;kY0:Rnj@03000002<0oooo00<00000
0?ooo`3oool0=@3oool00`000000oooo0?ooo`0D0?ooo`004@3oool00`000000oooo0?ooo`030?oo
o`<00000Q03oool300000080YM?h0`0000020:GGn@<000000P2Te_T300000080X]Kj0`0000020:;M
o0D000000P2Wd_L00`000000Xl_d0:?;m00300000080Vlci10000000102VkOT000000;GUmP2eiOH<
00000080Q:c_0P0000020;?kh@<0000000@0ViS@00000024O<<0Q7c310000000101mL[/0000006]R
]P1[H[H300000080HeN_00D0000004mB]P1?D[H0000002U/g00500000080V8[300<0000007QS[P00
00000P1SCjD010000000M5bX0000001PBZ4200000005075GY0000000GDFM00000022DY000P000003
09MOS@80000000D0GD2G000000000000Uf2?0000000308mIS00700000029E8/0REB;08UDR`000000
HCZ;0000000207i=S0040000002=Eh`0SEN<000000<0UUj=00@0000009iUSP2NIHh0WVF>0`000003
08MARP<000000`2CG8d010000000S5J;08aFR`00000308MBR`040000003f^XP00000000000<0T5jB
0`0000001`21Ch`000000;1fT@2`MY40000008QESP0000000`2?FHd010000000Teb=09=LS@000002
0:Znj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@0000000@0ZKgX0000002Y_NP0ZKgX1000
0000102Y_NP000000:Rmj@2X_NT400000080Z;gY00<000000:Rnj@2X_^T00`00000V0?ooo`030000
003oool0oooo03D0oooo00<000000?ooo`3oool0503oool00100oooo00@000000?ooo`3oool0oooo
0`00002:0?ooo`8000000P2UeoT300000080YMSj0`0000020:?FnP<000000P2Rf_/3000000050:KO
n`000000Z=Sh0:SHn00000000P2Wd_L300000080WLOe0`0000020:;So0H0000000D0ZKkY0000002M
Zn40WJ_Q00000003096Ng@0500000028W>00R9cP00000024[>l01@0000000`2c`><0000009^Hd002
09^Hd00300000024O<<000000080Lffn0`00000206]R]P030000001JGkd0000000<0000000@0Ce:f
00000000000000000P2KTLP020000000O6Zc000000000000V8[30000001hHjh000000P1SCjD00`00
0000M5bX00000002061:X@<000000P1MAId800000080GD2G00<0000009MPS`0000000`2?FH`00`00
0000REB;08UDR`0200000005064jR`000000OTf<07i=S00000000P2=Eh`01@000000UUj=09INS@2F
GXd0000000<0WVF>00<0000008aFS00000000`27DHX3000000<0Teb=00@0000008aFR`2<EX/00000
0`27DX/010000000m[Z8000000000003091NTP030000002WKY80YfjB008000000P2`MY4010000000
R5F>08QESP00000208mIS@030000002CG8d0Teb=00<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP000000000000200000080ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP00`000000Z;gY0:Rmj@04000002X0oooo00<000000?ooo`3oool0=@3oool00`00
0000oooo0?ooo`0C0?ooo`00403oool4000008l0oooo0P0000020:GHnP<000000P2Se_X300000080
X]Sk0`0000020:GNn`<000000P2Xf?P300000080XLSd0`00000209oFn`@0000000D0/>Wh0000002a
dO40/M7a000000020:Vnj@040000002MZn40WJ_Q00000080TIkM1@0000001@2OmN8000000<;Wl032
io0000000080/l3S00@0000009^Hd02KV=0000000P24O<<010000000Lffn0000001UK<D200000006
06]R]P000000FUnm05YO_@000000A7_Q1@00000209^Ab0040000001lJ[<0000006QFZP8000000P1h
Hjh01`000000HdnU000000000000M5bX0000001PBZ400`00000205e5W@8000000`29Ehl020000000
TEf@000000000000GD2G0000002GH8l000000`2?FH`00`000000REB;08UDR`0200000005064jR`00
0000OTf<07i=S00000000P2=Eh`01@000000UUj=09INS@2FGXd0000000<0WVF>00<0000008aFS000
00000`27DHX20000000509ENS@000000Teb=09=LS@0000000P2<EX/01P000000Qe:;08MBR`27DX/0
00000?JjR08000000`2@GY801@000000YfjB0:M^TP2WKY8000000080/7JA0P0000001@28EHh00000
08mIS@2?FHd000000080Teb=0P0000020:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y
_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00@0000000@0ZKgX0000002Y_NP0ZKgX1000
0000102Y_NP000000:Vmj02Y_NP400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<0000000<0ZKgX0000000000000P000000102Y_NP000000:Vmj02Y_NP400000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
0000;`3oool00`000000oooo0?ooo`0d0?ooo`030000003oool0oooo01<0oooo000@0?ooo`800000
T`3oool200000080Y=Oj0`0000020:;GnP<000000P2Sfo/300000080Z=_i0`0000020:C<m0<00000
0P2OcOP300000080Z^Kj0`0000020;7Al@X000000P2=/o0>00000080Q7c300D0000007=]_P1cKKh0
000006E/a@040000000605YO_@00000000000000002MV<h000000P21L[T300000080O6Zc00<00000
06QFZP0000000P1hHjh00`000000HdnU06=?Y@0300000003061:X@000000D4:R0080000000<0GDFM
0000000000000`29Ehl200000006044dV`00000000000000002GH8l000000`2?FH`00`000000REB;
08UDR`0400000080OTf<00@0000008eGS02=Eh`000000`2FGXd01P000000WVF>09iUSP2NIHh00000
08aFS08000000P27DHX20000000509ENS@000000Teb=09=LS@0000000`2<EX/00`000000Qe:;08MB
R`04000000<0T5jB00D000000:M^TP2WKY80YfjB000000020;1fT@80000000<0R5F>0000002?FHd0
0P2?FHd00`000000Teb=0000000300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vnj0<00000
0P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj004000000040:Vmj0000000ZKgX0:Vmj0@0
000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP010000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00000c0?ooo`030000003o
ool0oooo03<0oooo00<000000?ooo`3oool04`3oool00180oooo00<000000?ooo`3oool0TP3oool2
00000080XmOj0`0000020:?In`<000000P2Wg?X300000080Ym7f0`0000020:39m@<000000P2UgO/3
00000080/]gf0`0000020:2ai0040000002FYn40UZOQ00000080SjGT100000001P2Lk?P000000;[f
l0000000//7U00000080WZ3F00@0000008^7bP2;QlX000000P1kNLD300000080Lffn00D0000006E/
a@1UK<D0000005Z7h`02000000030;oDj@000000WIS>0080WIS>00@00000085b^@000000KEj`0P00
00000`1lJ[<0000006QFZP020000000<07QS[P000000HdnU06=?Y@000000DdNV0000001PBZ400000
0512XP000000>dZg0`00000308UGS`P000000`2?FH`010000000REB;0000003`_id300000080OTf<
00@0000008eGS02=Eh`000000`2FGXd02P000000WVF>09iUSP2NIHh0000008aFS0000000TEZ<0000
0027DHX20000000509ENS@000000Teb=09=LS@0000000`2<EX/01@000000Qe:;08MBR`000000lknG
008000000`2@GY801P000000YfjB0:M^TP2WKY8000000;1fT@<0000000<0R5F>0000002?FHd00P2?
FHd300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vnj0<000000P2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP01000
0000102Y_NP000000:Vmj02Y_NP4000003H0oooo00<000000?ooo`3oool0<`3oool00`000000oooo
0?ooo`0C0?ooo`004`3oool00`000000oooo0?ooo`2C0?ooo`8000000P2SeoX300000080YM_j0`00
00020:SFn0<000000P2SbO@300000080XmCi0`0000020:oQn0<000000P2Y_nX01P000000X;7T0:2a
i02P/N@0000009JWh@<000000P2IdO/5000000<0//7U00<0000009jPeP0000000P2;QlX010000000
NgW507]ia@000002071hc0<000000P1UK<D400000080_mCY00H0000009fHcP2MV<h00000085b^@00
000206eN/0060000001lJ[<0000006QFZP000000FDj[0P00000206=?Y@030000001CAjH000000080
00000P1@@Z8010000000>dZg00000000000308UGS`80000000<0NFJa0000001^H;800`00000308mI
S00400000029E8/000000?2oW@<000000P1nCH`010000000SEN<08eGS000000309INS@040000002N
IHh0WVF>00000080S5J<00<00000095JS02AFX`00P00000209ENS@040000002CG8d0Teb=000000<0
S5J;00D0000008MBR`27DX/000000?>oU`02000000<0T5jB00/000000:M^TP2WKY80YfjB0000002`
MY4000000:c1j@000000R5F>0000000308mIS@<000000P2Y_NP300000080Z[kX0`0000020:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y
_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00000k0?ooo`030000003oool0oooo0380
oooo00<000000?ooo`3oool04`3oool001@0oooo00<000000?ooo`3oool0U03oool200000080Y=[j
0`0000020:SHn0<000000P2UcO@300000080X/gf0`0000020:_Nn@<000000P2_c_000`000000ZKoZ
0:VojP0600000080UKS_1@0000020;gNl0P000000P2;QlX010000000NgW507]ia@000002071hc003
0000001ZTND0000000/000000P21L[T00`000000KEj`0000000200000080J5JZ00H0000005U>Z`00
0000000006=?Y@00000205=7YP<0000000@0D4:R0000000kB[L0>dZg0P00000208UGS`80000000@0
NFJa0000001^H;80KV2b0P00000308mIS00400000029E8/000000?2oW@<000000P1nCH`010000000
SEN<08eGS000000309INS@040000002NIHh0WVF>00000080S5J<00D00000095JS02AFX`0TEZ<0000
000309ENS@030000002CG8d0000000<0S5J;00<0000008MBR`0000000P3c_iL2000000<0T5jB00P0
00000:M^TP2WKY80YfjB0000002`MY4000000:c1j@<000000`2?FHd5000000030:Znj00000000000
0080000000@0ZKkX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP400000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vm
j003000000030:Vmj000000000000080000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP00000
0:Vmj02Y_NP400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00000o0?ooo`03
0000003oool0oooo0340oooo00<000000?ooo`3oool04`3oool001D0oooo0P00002F0?ooo`800000
0P2WfOT300000080Ym3e0`0000020:?:m0<000000P2Wf?T300000080/=Od1P00000209^^i0030000
002F[NL0UZgW00<0000000@0YNCk0000002jk?D0^^ce0`0000001@2QYmX00000096Ad02ATM000000
0080PhG<1`000002071hc0@0000000D0^]3Z0000002OW]<0WikC0000000208Ik`0090000001cIkH0
000000000021L[T0000006eN/0000000GUJ`0080000000D0J5JZ0000001ICZ/0000004YF_0020000
0080DdNV00<0000003m>^P0000000P0000000`0kB[L0000007][]00500000080NFJa00@0000006iP
/P00000000000`2?FH`010000000REB;0000003`_id300000080OTf<00D0000008eGS02=Eh`0SEN<
0000000209INS@040000002NIHh0WVF>000000<0S5J<00@00000095JS02AFX`000000`2EGXd00`00
0000Teb=0000000308aFR`0300000027DX/000000080lknG0P000003091NTP060000002WKY80YfjB
0:M^TP000000/7JA0P0000000`2[_nP000000000000308mIS@80000000@0Z[kX0000000000000000
0P2Z_^P00`000000ZKkX0:Vnj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00@0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP40000
00040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj004000000040:Vmj0000000ZKgX0:Vmj0@0000000@0
ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP400000480oooo00<000000?ooo`3o
ool0<@3oool00`000000oooo0?ooo`0C0?ooo`005`3oool00`000000oooo0?ooo`2E0?ooo`800000
0P2XdoL300000080Y<[c0`0000020:GAm`<000000P2_f_H300000080ZL7[00@000000::fiP2R]^H0
00000P2K[^@300000080W/gh1@0000000`2``NH000000:6WfP020:6WfP060000002ATM00TI7@0000
0023QL`000000P1jQ=800`000000N9WV07RIiP0600000080^]3Z00@0000009nNd`2OW]<000000P26
Nl000`000000LfNf07=W]P0300000080KEj`00D0000005iF/0000000J5JZ0000000205U>Z`060000
001:E[`000000000001CAjH000000P0oC[X4000000<0Nf^d0`00000207UV/@040000001^H;800000
000000<0SeV<0P0000000`3`_id000000000000200000080OTf<00D0000008eGS02=Eh`0SEN<0000
000209INS@040000002NIHh0WVF>000000<0S5J<00@00000095JS02AFX`000000`2EGXd00`000000
Teb=0000000308aFR`0700000027DX/000000?>oU`000000HCb>00000003091NTP070000002WKY80
YfjB0:M^TP000000/7JA000000020:^oj08000000`2?FHd300000080Z[kX00<000000:Znj02Z_^P0
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP300000080ZKgX
00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX
0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj003000004L0oooo00<000000?ooo`3oool0<@3oool00`000000oooo
0?ooo`0B0?ooo`00603oool00`000000oooo0?ooo`2F0?ooo`8000000P2Vc?@300000080Y<ce00<0
00000:GAm`0000000P2/f?L300000080[L__00<000000:W1j`2Y`N/01P00000209Zkk`<0000000D0
/NWh0000002heo00^=O`000000020;31iP040000002QYmX0XJOJ00000080TI7@00@0000008>5c023
QL`000000P1jQ=800`000000N9WV07RIiP0200000080_OCa1@00000209nNd`0300000026Nl000000
0080LfNf00L0000006EN]P000000000006eN/0000000GUJ`00<000000P1ICZ/00`000000BUJl04YF
_005000000050;6bf@000000Sh6o08n1_`0000000P1kJk@01P000000LFBe000000000000NFJa0000
0080KV2b00@0000008mIS02?FH`0SeV<0P0000000`3`_id000000000000200000080OTf<00D00000
08eGS02=Eh`0SEN<0000000209INS@040000002NIHh0WVF>000000<0S5J<00@00000095JS02AFX`0
00000`2EGXd00`000000Teb=0000000308aFR`0500000027DX/000000?>oU`0000000P1Q?8h01000
0000T5jB091NTP0000030:M^TP030000002`MY40000000@000000`2?FHd00`000000Z[kX00000002
0:Znj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX1P00001;0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool04P3oool0
01T0oooo00<000000?ooo`3oool0U`3oool200000080Y<[c00<000000:C<m@2Tc?D00`0000001@2/
f?L000000:oAlP2_dO8000000080[L__0`00000209nciP060000002K/nP0Vk?X0000002J^nl00000
0P2Xg?T300000080^=O`5P000000102QY=L0000008^4aP2;Q<H400000080QW_000<0000007=W]P00
00000P1UG[H300000080GUJ`0`000000101ICZ/0000004YF_01:E[`700000080Sh6o00@0000007][
]01kJk@000000P1aI;D40000000306iP/P000000SeV<0080SeV<0P0000000`3`_id0000000000002
00000080OTf<00D0000008eGS02=Eh`0SEN<0000000309INS@030000002NIHh0000000<0S5J<00@0
0000095JS02AFX`000000`2EGXd00`000000Teb=0000000308aFR`0500000027DX/000000?>oU`00
00000P1Q?8h010000000T5jB091NTP0000040:M^TP80000000@0ZkoX00000000000000000`2?FHd0
0`000000Z[kX0000000200000080Z[kX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000
0`2Y_NP0000000000002000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX
10000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@000000P2Y_NP00`00
0000ZKgX0:Vmj003000000030:Vmj0000000000000800000DP3oool00`000000oooo0?ooo`0_0?oo
o`030000003oool0oooo0180oooo000J0?ooo`800000V03oool00`000000Y<[c0:C:l`0300000080
Z=?f0`0000020:oAlP<000000P2T^NP00`000000Wk?V09nciP0800000080]n7d0`0000001@2T[Mh0
000009NKeP2GVmH000000080Ri3B00@0000008>?e`23SmL000000`22X>H00`000000RLWm00000002
000000030;K<j`000000XJCG0080XJCG00<0000008^4aP0000000P1iL;`20000000408Ik`0000000
LfNf00000080IEjf00L0000005]T``000000000005iF/0000000Defo00D0000000D0[K;K0000002@
Q/@0T8K40000000207e_^@<000000P1kJk@010000000LFBe075T]@000002071aa0D0000000@0SeV<
0000003`_id0l;nM1000000207i=S0050000002=Eh`0SEN<08eGS00000000`2FGXd00`000000WVF>
0000000308aFS0040000002AFX`0TEZ<000000<0UEj=0`00000308aFR`8000000P3c_iL010000000
HCb>064lSP000002091NTP030000002WKY80YfjB0080YfjB0`0000000`2Z_^P00000000000050000
00040:Znj0000000Z[kX0:Znj0@0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vm
j02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX00000000000000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP010000000102Y
_NP0000000000000001F0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool04P3oool0
01`0oooo00<000000?ooo`3oool0UP3oool200000080Yloe0`0000020:kDm0<000000P2Y`N/00`00
0000Y;WX0:Bij00300000080W[g^00<000000:;:m@0000000P2agoL300000080[l7W00@000000:B]
gP2T[Mh000000P2GVmH010000000Ri3B08^@dP00000208>?e`0300000022X>H0PZ3V008000000P2j
jO@010000000]/c[0;K<j`0000020:6Te`070000002;Q<H0RhC60000001iL;`0000006aW^`020000
0080LfNf00<0000006EN]P0000000P1KI<<300000080Defo0`0000030:fbf`070000002@Q/@0T8K4
0000001mKkT0000007=X^00200000080Nf^d00<00000075T]@0000000`1`LL@010000000P[?d0000
000QO^L200000080l;nM00@000000:2Od`00000000000P1nCH`01@000000SEN<08eGS02=Eh`00000
00<0UUj=00<0000009iUSP0000000`2<EX`010000000TEZ<095JS000000309ENS@<000000`2<EX/2
00000080lknG0P0000001@1Q?8h00000091NTP2@GY80000000@0YfjB0P0000020:Znj0<000000P2Z
_^P00`000000Z[kX0:Znj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP600000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0`00001J0?ooo`030000003o
ool0oooo02h0oooo00<000000?ooo`3oool04P3oool001d0oooo00<000000?ooo`3oool0U`3oool2
00000080Zm;d0`0000020:c8kPH000000P2O]nT00`000000W[g^09jmkP03000000050;7Om`000000
]M7^0;GAkP0000000P2_`NLA00000080^^Wd1`00000208^4aP050000001iL;`0NG2l0000001/Ik/0
1000000206EN]P050000001KI<<0FfC30000001ETN`00`0000020<C^l0040000002]/]/0[K;K0000
0080T8K400D0000007e_^@1mKkT0000007=X^00400000080LFBe00<00000071aa00000000P000000
0`2k`=h000000000000300000080X9oC0P00000207i=S0050000002=Eh`0SEN<08eGS00000000`2F
GXd00`000000WVF>0000000308aFS0040000002AFX`0TEZ<000000<0UEj=0`00000308aFR`800000
00H0lknG0000000000000000064lSP000002091NTP030000002WKY80YfjB0080YfjB100000020:Zn
j0030000002Z_^P0Z[kX00<000000P2Z_^P00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX0000
000000000P00001N0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool04P3oool001h0
oooo00<000000?ooo`3oool0V03oool200000080[Lg`0`0000020:Fkj@040000002R]nP0X[OX0000
0080WkOY0`0000020:[DmP<000000P2edNh30000000509^SfP000000TYWH09:If00000000P2<VM/0
1`000000RjKW08^Vi`2;Y^L0000009;5n00000000P2_kOP3000000050:>Yf`000000T8g<092=c000
00000P1oN/<300000080NG2l00<0000006aW^`0000000P1SK<H40000000305]T``000000000000X0
00000P2@Q/@01P000000OFni07e_^@000000LfRh00000080LG?51`0000030;_0gP030000002XYm@0
000000D000000P1nCH`01@000000SEN<08eGS02=Eh`0000000<0UUj=0`00000308aFS0040000002A
FX`0TEZ<000000<0UEj=0`00000308aFR`80000000H0lknG0000002_aNX00000064lSP000002091N
TP030000002WKY80YfjB0080YfjB00@000000:Znj02Z_^P000000P2Z_^P300000080Z[kX00<00000
0:Znj02Z_^P00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP0
0`000000ZKgX0:Vmj003000000040:Vmj00000000000000006<0oooo00<000000?ooo`3oool0;03o
ool00`000000oooo0?ooo`0B0?ooo`007`3oool2000009X0oooo0P0000020:W1j`030000002U^nT0
YK_Y00H000000P2Tao8300000080]=Sc0`0000000`2U/N40000009^SfP0209^SfP040000002BVMP0
TYWH00000080S9WK00<0000008^Vi`2;Y^L01@0000020;?9j`040000002SZM/0XjWK00000080T8g<
00<0000007mj``0000000P1cL<4300000080K6Nk00<0000006=/aP0000000P1RSnL6000000050:Va
gP000000TH[8096:b00000000P1oM;d50000000507e_^@000000LfRh07=X^00000000P1aLlD01000
0000OjO]0000000000020<kWj0030000002k`=h0^l3N00<000000P2T[=d00`000000/<S/00000002
07i=S0050000002=Eh`0SEN<08eGS00000000`2FGXd3000000<0S5J<00@00000095JS02AFX`00000
0`2EGXd00`000000S5N>0000000308aFR`80000000H0lknG0000002_aNX00000064lSP000002091N
TP030000002WKY80YfjB0080YfjB00<000000:Znj02Z_^P00`0000020:Znj0030000002Z_^P0Z[kX
00<000000P2Y_NP00`000000ZKgX0:Vmj003000000030:Vmj000000000000080000000@0ZKgX0000
002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0@00000
00@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP4000000030:Vmj00000000000
00D0000000@0ZKgX0000000000000000IP3oool00`000000oooo0?ooo`0]0?ooo`030000003oool0
oooo0140oooo000Q0?ooo`030000003oool0oooo09P0oooo00<000000:W1j`2Y`N/00`0000020::i
jP030000002R_^d0X[k]00<000000P2`e_@300000080[/7W00@000000:Fah@2U/N4000000P2KXmX;
00000080]]kd1`000002092=c0060000001oN/<0Og[30000001cL<4000000P1/M<X300000080Hfc6
00<0000006:?i`0000000P0000020;_Rl`040000002Y/Mh0ZK7N00000080TH[800@0000007md_@1o
M;d000000P1eKK/40000000407=X^0000000LG?5075ca@<000000P3>inP4000000030::SeP000000
Y:cM0080Y:cM0`00000207i=S0050000002=Eh`0SEN<08eGS00000000`2FGXd3000000<0S5J<00H0
0000095JS02AFX`0TEZ<0000002EGXd20000000308aGSP00000000000080S5J;00<000000?>oU`3c
_iL00P0000000`2]`nT0000000000002091NTP030000002WKY80YfjB0080YfjB0`0000020:Znj003
0000002Z_^P0Z[kX00<000000P2Z_^P00`000000ZKgX0:Vmj003000000040:Vmj000000000000000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00001Z0?ooo`030000003oool0oooo
02`0oooo00<000000?ooo`3oool04@3oool00280oooo00<000000?ooo`3oool0V03oool200000080
Y;[X00<000000::ijP2R^NX00`0000020:[>l`<000000P2bc>d00`000000[/7W0:k1i`0600000003
09:QgP000000TZ_W0080TZ_W00<0000009S1m00000000P2_hOP3000000050:B^gP000000U9GB09BE
dP0000000P25PlT300000080Og[300H0000007=``@1cL<40000006adbP00000206b?h`@000000P2Y
m?8700000080TH[800@0000007md_@1oM;d000000P1eKK/00`000000LgC607=daP050000000308oZ
mP0000000000008000000P2YZ]L010000000XZ?F0::SeP2RXmH4000000050<SmhP000000OTf<07i=
S00000000`2=Eh`010000000UUj=09INS@2FGXd3000000<0S5J<00P00000095JS02AFX`0TEZ<0000
002EGXd000000;;8j`H000000P3c_iL500000080T5jB00<000000:M^TP2WKY800P2WKY8200000080
Z[kX10000000102Z_^P000000:Znj02Z_^P4000000040:Vmj0000000000000000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`00001^0?ooo`030000003oool0oooo02/0oooo00<00000
0?ooo`3oool04@3oool002<0oooo00<000000?ooo`3oool0V03oool00`000000Y;[X0:Bjj0030000
0080Y/G`0`0000020;7Al0H0000000<0WjWN0000002GX]`00P2GX]`010000000TZ7N09:QgP000002
09:[i`D0000000D0/<K[0000002T[]h0Y:kN0000000209BEdP0400000025PlT0QH?900000080NW[7
0`00000207=``@040000001/M<X0K7C:00000080K8oS1@0000001@2U/=l00000096>c02AS/`00000
0080PWW10`00000307md_@030000001eKK/000000080LgC600@0000007nMi@1oWND0OigU0`000000
0`2i`N0000000:VZe`030:VZe`030000002RXmH0000000H000000P1nCH`01@000000SEN<08eGS02=
Eh`0000000<0UUj=0`00000308aFS0070000002AFX`0TEZ<095JS0000000UEj=000000020;;8j`D0
000000@0lknG000000000000[L;Y0`000002091NTP060000002WKY80YfjB0:M^TP000000Z[kX0`00
00020:Znj0H000000P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX0000000000000P000000102Y_NP000000:Vm
j02Y_NP400000740oooo00<000000?ooo`3oool0:`3oool00`000000oooo0?ooo`0A0?ooo`00903o
ool2000009T0oooo0P0000020:Bnk0<000000P2^d?401@000000/M7`0000002]`>P0000000<0YkCS
00@0000009nYgP2OZMh000000P2GX]`6000000040:GCn0000000/mKb000000<0/<K[00@000000:B^
gP2T[]h000000P2DUM800`000000QH?90000000207Yja`030000001cO<h0Lgc>00X000000P2be_<0
10000000YK3O0:F`g`000002096>c00300000022NL4000000080N76n1000000207E]^`050000001c
M<H0LgC60000001oWND0100000020;W1h0030000002YZ]L0ZJ[G00<0000000L0[lG[00000034mnd0
a?O]0000003>n^H000000080OTf<00D0000008eGS02=Eh`0SEN<0000000309INS@<000000`2<EX`0
1P000000TEZ<095JS02AFX`0000009ENS@<0000000<0/LS[0000002`a^/0100000020:g2j@<00000
0`2@GY800`000000YfjB0:M^TP0200000080Z[kX0`0000020:Znj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0
000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000007H0oooo00<000000?oo
o`3oool0:P3oool00`000000oooo0?ooo`0A0?ooo`009P3oool00`000000oooo0?ooo`2H0?ooo`80
00000P2Zb_000`000000[]3a0:k@l@0300000080[L3X00<000000:Ndh`2W]><01P00000209N_i`03
0000002L_o00W;o`008000000P2ce_8>00000080NW[700@0000007=lcP1cO<h000000P1dTN430000
0080ZNKj1`000002096>c00600000022NL40PWW10000001hLKh000000P1eMlL900000080b>;[1P00
00020:B]gP<0000000<0a?O]0000003>n^H00P00000207i=S0050000002=Eh`0SEN<08eGS0000000
0`2FGXd3000000<0S5J<00H00000095JS02AFX`0TEZ<0000002EGXd200000080/LS[0`0000020:k4
jP<0000000<0[<3Y0000000000000`2@GY800`000000YfjB0:M^TP0400000080Z[kX00<000000:Zn
j02Z_^P00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0030000
00040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX100000000`2Y_NP000000000
000400000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000NP3oool00`000000oooo0?oo
o`0Y0?ooo`030000003oool0oooo0140oooo000W0?ooo`030000003oool0oooo09P0oooo00<00000
0:[:l02Zb_000`0000020;38k0H000000P2LZ=l010000000V:SQ09RXh@00000209N_i`<0000000H0
[]Oe00000000000000000:Fah@00000309RMe`030000002;SLl000000080PHC=00<0000007^5dP1k
QM802@0000000`2Ff?h0000000000002000000050::^h@000000TY;@09:Bd00000000P24O/D30000
0080PWW100H0000007Qa_P1hLKh0000007Ega`00000307fEh0L0000000<0ZJgJ0000002SY]P00P2S
Y]P00`000000Y:gN000000020;_PlPH000000P1nCH`01@000000SEN<08eGS02=Eh`0000000<0UUj=
0`00000308aFS0060000002AFX`0TEZ<095JS0000000UEj=100000020;36jP<000000P2]`^T00`00
0000[<3Y0:c0j@0200000080T5jB00@000000:M^TP00000000000P2Z_^P00`000000Z[kX0:Znj003
000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP00000
0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00001n0?ooo`030000003oool0oooo02P0
oooo00<000000?ooo`3oool04@3oool002P0oooo00<000000?ooo`3oool0V03oool200000080[lc_
0`0000020:Rgi0040000002R[n40XZoQ00000080W:SO1P000000102Vc?@000000000000000020:k4
jP040000002U/N40YK7Q000000<0V9gG00<0000008^=c`0000000P21Q<d00`000000NhGB00000003
07^Dg`0300000025]?@0QKCd00<000000P2[bo4010000000XZkQ0::^h@00000209:Bd00400000024
O/D0Q7k500000080NWK20`00000207Qa_P0<0000001eMlL0MGO70000001mUN0000000:7ck`000000
aOS/0000002f`>8000000`2Y[MX00`000000XjKH0:>Vf003000000030;_PlP000000000000800000
0P35f^T010000000OTf<07i=S000000308eGS0070000002FGXd0UUj=09INS@000000QE:<00000003
08aFS0070000002AFX`0TEZ<095JS0000000UEj=000000020;;8j`<000000P2^`nT00`000000[L;Y
0:g2j@0500000080T5jB00<000000:M^TP0000000P2Z_^P4000000040:Znj0000000ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00<00000P@3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0100
oooo000Y0?ooo`800000VP3oool200000080[<3X00<000000:Rgi02X]n@01P000000102L/^L00000
09nmkP2O_Nh300000080/<o`3@0000020864c@040000001kQM80NhGB00000080NiCO0`0000020:GG
n@P000000P2BT]000`000000Q7k50000000207Yf`P030000001gNLP0MgW800/000000`2f`>800`00
0000ZJgJ0:V]fP0300000080[L;Y1P0000020<GJj@80000000<0OTf<0000002=Eh`00P2=Eh`01`00
0000UUj=09INS@2FGXd0000008EBS00000000`2<EX`01P000000TEZ<095JS02AFX`0000009ENS@<0
00000P2`a^X00`000000[/?Y0:k3j@03000000030:c0j@0000000000008000000P2@GY800`000000
YfjB0000000200000080Z[kX00<000000:Znj02Z_^P00`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX1P0000020:Vmj0<0000000@0ZKgX0000002Y
_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP4000008D0oooo00<000000?ooo`3oool0:03oool0
0`000000oooo0?ooo`0@0?ooo`00:`3oool00`000000oooo0?ooo`2H0?ooo`030000002/`>P0[<3X
00<0000000D0WjkR0000002L[N<0W:gS0000000209bbi`<000000P2/co83000000050:Jdh`000000
W:CK09bTf`0000000P2AUM@010000000QhgB08N=dP00000208:=e@P000000P2Fb_T30000000509n]
h@000000TYGC09:Ed`0000000P26PlT400000080Q7k500H0000007Yf`P1jM/80000007Mib0000003
07f@f`050000002Aa_T000000;?hk@0000000P30f^d00`000000]/3R0;K0hP0300000080Y:gN00H0
00000:g2j@00000000000<cfj@0000020<[TjP<0000000@0_mCY0000001nCH`000000`2=Eh`01`00
0000UUj=09INS@2FGXd0000008EBS00000000`2<EX`01P000000TEZ<095JS02AFX`0000009ENS@80
00000P2`a^X4000000040:g2j@000000000000000080Zl3Y0P000002091NTP8000000P2Z_^P00`00
0000Z[kX0:Znj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<00000RP3oool00`000000oooo0?ooo`0W0?ooo`030000003o
ool0oooo0100oooo000/0?ooo`030000003oool0oooo09P0oooo0P0000000`2T/^<0000009n^hP02
09n^hP030000002L[N<00000008000000P2Vao4300000080[<;Z00@000000:Jdh`2V]><000000P2L
Y=/010000000TIGD096Ee000000208N=dP0400000022SMD0PXgE00000080PYSO00<0000008V_k`29
[nl00`0000020:G3kP040000002O[N40WjgQ00000080TYGC00<0000008J3b@0000000P1lN/H40000
0080NWK200@0000007Mib01gNLP000000P1mT=/400000080`=[]10000000102SYmX000000:B]gP2T
[Mh7000000040<[TjP000000`]KY0<;Fj@<000000P1nCH`010000000SEN<08eGS000000309INS@03
00000025DX`0000000<0S5J<00@00000095JS02AFX`0TEZ<0P000000102bb>/00000000000000002
0:k3j@<000000P2/`NT00`000000Zl3Y0:_0j@0200000080T5jB0P0000020:Znj0<000000P2Z_^P0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP0000000000002
000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`00002>0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3oool0403o
ool002d0oooo00<000000?ooo`3oool0U`3oool00`000000Y;;S0:Bbh`0600000080X[c/0`000002
0:k:kP030000002/`^X0[<;Z01D000000P2Qb_D700000080TYGC00H0000008J3b@26PlT0000007aj
aP00000207QlbPX000000P2nk?<300000080Z:kL00<000000:>WfP2SYmX00`0000001P2hfO400000
0<Odk@37m>d000000<c^j`<0000000<0`]KY00000031fN`00P00000207i=S0040000002=Eh`0SEN<
000000<0UUj=00<0000008EBS00000000`2<EX`010000000TEZ<095JS02AFX`300000080/<GZ00<0
00000:k3j@0000000P2]`^T00`000000[<7Y0:c1j@03000000040:^oj00000000000091NTP@00000
0P2Z_^P00`000000Z[kX0:Znj00300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP00000
0000000000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP00`00002A0?ooo`030000003oool0oooo02H0oooo00<000000?ooo`3o
ool0403oool002h0oooo00<000000?ooo`3oool0U`3oool200000080Wk7T00<0000009ndi`2O]>L0
0`0000020:_9l0030000002^b^h0[/[^00<0000000D0WjWN0000002FWMT0UYgI0000000208jFe`04
00000028U=T0R9CI000000<0R9_P00@0000008f/j`2=[>/000000P2F_o@30000000509f/hP000000
TiWF09>IeP0000000P28R<d600000080O7[600<0000007QlbP0000000`1mSMT00`000000SKGa0000
00020;7Zn0<000000P2a_^<00`000000Z:kL0:R^g00300000080Z[kX0`0000001037m>d000000<c^
j`0000020<GLjP80000000@0`MW/00000034h^h000000P1nCH`010000000SEN<08eGS000000309IN
S@0300000025DX`0000000<0S5J<00@00000095JS02AFX`0TEZ<0`0000020;35jP<000000P2]`^T3
00000080Zl3Y00<000000:^oj02[_nP00`0000020:Znj0030000002Z_^P0Z[kX00<0000000<0ZKgX
0000000000001@000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00002E0?ooo`030000003o
ool0oooo02D0oooo00<000000?ooo`3oool0403oool002l0oooo0P00002H0?ooo`030000002O/N@0
Wk7T00<000000P2Wa>h00`000000ZlW`0:_9l00300000080YkKT00@0000009nYgP2OZMh000000P2F
WMT010000000SYKG08jFe`00000208RDf@0300000028Vn00R9_P00H000000P2Q_>`010000000WJcR
09f/hP00000209>IeP0300000028R<d000000080Ogo900<0000007]oc01kOl`00`00000207QlbP03
0000001mSMT0OHgI00D000000P2hdNd00`000000/KkS0;6nh`0300000080XZgN00<000000:Znj000
00000P2oj?84000000040<GLjP00000000000<7FjP<0000000D0a>;^0000001nCH`0OTf<00000002
08eGS0040000002FGXd0UUj=00000080QE:<00D0000008aFS02<EX`0S5J<00000003095JS0D00000
0P2^`nT300000080[<7Y00<000000:_0j@2[`>T00`000000102[_nP000000000002Z_^P400000004
0:Znj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00002I0?oo
o`030000003oool0oooo02@0oooo00<000000?ooo`3oool0403oool00340oooo00<000000?ooo`3o
ool0UP3oool200000080Xkc[00<000000:O4kP2Wa>h00`0000020:_1j@030000002W]^@0YkKT00l0
00000P2G^Nl00`000000W/7a09k1l@0:00000080R8S=00H0000007mob@1oOlT0000007]oc0000002
07f;e`D0000000D0WM3j0000002egO@0]Mgd000000020;SAk@<000000P2QZ=/00`000000XZgN0::]
gP03000000050;oXlP000000b_7/00000039i>/00`0000001031e^X000000<?Nk@33g^d400000005
07i=S0000000SEN<08eGS00000000P2FGXd010000000QE:<08EBS000000308aFS0040000002AFX`0
TEZ<095JS08000000P2_aNX3000000040:g2j@000000[<7Y0:c1j@@0000000@0ZkoX0000002[_nP0
ZkoX0`0000020:Znj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y
_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX1000002M0?oo
o`030000003oool0oooo02@0oooo00<000000?ooo`3oool03`3oool00380oooo00<000000?ooo`3o
ool0UP3oool00`000000Xkc[0:>lj`0300000080[<K]1P0000001@2JY=`0000009>MfP2CWMX00000
0080SY_K00D0000008fPh@2=X>40SJ3Q00000002092[j0030000002G^Nl0UkW_00<0000000D0VjcS
0000002CW=T0TicI0000000208Z=d@0300000022Q<d0PXC=00<000000P1oOlT010000000Ngo<07]o
c000000207f;e`0300000029Z>X0RJSZ00<000000P2egO@300000080YJkM00<000000:6Xf`2QZ=/0
0`0000020;?@k`@0000000@0bNC[00000032f>X0`]SZ0`0000001033g^d000000<KUk@36iNd20000
000507i=S0000000SEN<08eGS00000000P2FGXd01@000000QE:<08EBS025DX`000000080S5J<00@0
0000095JS02AFX`0TEZ<10000000102^`nT000000:g2j@2]`^T300000080Zl3Y00<000000:^oj02[
_nP00`0000020:Znj0<000000P2Z_^P00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0<00000X@3oool0
0`000000oooo0?ooo`0T0?ooo`030000003oool0oooo00l0oooo000c0?ooo`030000003oool0oooo
09H0oooo0P0000020:[5kP<0000000<0YkSU0000002Q[^400P2Q[^4010000000VZCL09ZTg0000002
09>MfP040000002>Vm/0SY_K00000080SJ3Q1P00000209nhjP060000002K[><0VjcS0000002CW=T0
00000P2:SM4010000000PXC=08:4c@00000207f3cP/000000P2XeoP300000080[;[T00<000000:F^
g@2U[]d00`0000020:NiiP030000002cd>l000000080000000H0bN[]00000000000000000<;HjP00
00020<;Jk0<0000000H0a^G]00000035hnd0000007i=S000000208eGS0040000002FGXd0UUj=0000
00<0QE:<00@0000008aFS02<EX`000000`2AFX`300000080[/?Y0`0000020:c1j@030000002[`>T0
Zl3Y00<000000P2[_nP300000080Z[kX00<000000:Znj02Z_^P00`000000102Y_NP000000:Vmj02Y
_NP4000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000:D0oooo
00<000000?ooo`3oool08`3oool00`000000oooo0?ooo`0?0?ooo`00=03oool2000009P0oooo0P00
00020:_0j@040000002W^>D0YkSU00000080XJkQ3000000209Rek0030000002M^nh0WK_^00X00000
0P2:SM400`000000PXC=0000000207f3cP040000001nRmH0OX_F000000<0QZ3T00<0000009Nnl`2G
__<00`0000020:o8k0030000002/^^@0[;[T00<000000P2PZml00`000000YkWV0:NiiP0400000004
0<WZk@000000aMcZ0<GLjP<0000000@0`][/00000035hnd0aN?]1@0000001@1nCH`0000008eGS02=
Eh`000000080UUj=00D0000008EBS025DX`0QE:<0000000208aFS0040000002AFX`0TEZ<095JS0D0
00000P2]`^T00`000000[<7Y0:c1j@0300000080ZkoX0`0000020:Znj0030000002Z_^P0Z[kX00<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000:T0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0?0?oo
o`00=P3oool00`000000oooo0?ooo`2F0?ooo`030000002[`>T0Zl3Y00H0000000<0V:CM0000002C
XMh00P2CXMh010000000TZCQ09:Th@00000209>/i`H0000000D0VjcS0000002DWm/0U9oK00000002
08bBe00300000025RM00000000H000000P1mPlh010000000OX_F07j;eP00000208JPi0<0000000<0
[<kb0000000000001@000000102OYm`000000:2[g`2PZml500000080a^__0`0000001035g>X00000
0<7Hj`31f>/3000000030<GSk@00000000000080aN7]0P0000002@1nCH`0000008eGS02=Eh`00000
09INS@000000^];/0000000208EBS0040000002<EX`0S5J<000000<0TEZ<0P0000020:k3j@030000
002]`^T0[L;Y00<000000P2[`>T3000000040:^nj0000000Z[kX0:Znj0@0000000@0Z[kX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP600000:`0oooo00<000000?oo
o`3oool08P3oool00`000000oooo0?ooo`0?0?ooo`00=`3oool00`000000oooo0?ooo`2F0?ooo`80
000000<0Xk;S0000002MZ]l00P2MZ]l010000000V:CM09RTg@00000209>QgPH0000000D0W;O[0000
002M]NT0WKGY0000000309^/h`080000002DWm/0U9oK0000002<T]@0000008F9d00000020826d003
0000001oS=H0OhcF00T0000000@0X<Kc00000000000000000P2V]^@010000000XZcN0::/gP000002
09nWg0<000000P2^b>d3000000040<K[k`000000a^7/0<KQk0<0000000@0`MS[00000033g^d0`mk]
100000001035hNd000000<7Kk031fn`200000080SEN<00<0000009INS@0000000P00000208EBS004
0000002<EX`0S5J<000000<0TEZ<0P0000020:k3j@<000000P2/`NT3000000040:^oj0000000ZkkX
0:^nj0<000000P2Z_^P00`000000Z[kX0:Znj00300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0<00000/`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo00l0oooo000h0?oo
o`030000003oool0oooo09H0oooo00@000000:>bh`2S/^<000000P2MZ]l60000000509N]iP000000
VK?Z09VcjP0000000P2L]n/>0000000508F9d0000000P8K@0826d00000000P1oS=H010000000QI[P
08FJh0000002096ak@<000000P2W_nX01P000000Y[KT0:Jfi02V]^@000000::/gP<000000P2T]ND0
0`000000[/S]000000020;oSl@D000000P32f>X3000000030<?Nk@00000000000080a^C]0`000000
1031fn`0000000000000000208eGS0030000002FGXd00000008000000P25DX`010000000S5J<08aF
S0000003095JS0@000000P2]`^T3000000040:_0j@000000ZkoX0:^oj0<000000P2Z_^P00`000000
Z[kX0:Znj00300000080ZKgX1P0000020:Vmj0<00000]`3oool00`000000oooo0?ooo`0P0?ooo`03
0000003oool0oooo00l0oooo000i0?ooo`800000U`3oool50000000509RWh0000000UZSR09JXhP00
00000P2G[NH60000000509^]i0000000UZ;M09JRg@0000000P2>UmL010000000QhkC08N>d`000002
08>;d`h000000P2S`Nl00`000000YkoZ0:NojP0600000080WZWN00<000000:Bei@2T]ND00`000000
102oho4000000<GUkP0000020<?Kj`<0000000<0`][/0000000000000`0000001036i>d000000<CO
k034gn`2000000030;kGk000000000000080SEN<00D0000009INS@000000^=3/0000000208EBS004
0000002<EX`0S5J<000000<0TEZ<00<000000:k3j@0000000`000000102/`NT000000:_0j@2[`>T3
00000080ZkkX00<000000:Znj02Z_^P00`0000020:Znj0<0000000@0ZKgX0000002Y_NP0ZKgX1000
002k0?ooo`030000003oool0oooo0200oooo00<000000?ooo`3oool03P3oool003/0oooo00<00000
0?ooo`3oool0U@3oool01@000000W:WP09bYh0000000V:OP00H000000P2M]NT010000000WKCX09fd
j000000209^]i0040000002FX]d0UZ;M00000080SYOG00H0000008N>d`27S]<0000008>;d`000002
086=eP0400000024Umh0Q9ON000000<0SJSW00<0000009RhkP2H^>h01P0000000`2NZMh0000009bV
g00209bVg0030000002NZMh0WZWN00<000000P2de?05000000030<?Kj`000000`MS[00<0000000@0
aN;]00000037iNd0anG]0`0000000`34gn`000000<7Jk00400000080SEN<00D0000009INS@000000
^=3/0000000208EBS0040000002<EX`0S5J<000000<0TEZ<0P0000020:g2j@030000002/`NT0[<7Y
00<000000P2[_nP00`000000ZkkX0:^nj00300000080Z[kX0`000000102Y_NP000000:Vmj02Y_NP3
00000;l0oooo00<000000?ooo`3oool0803oool00`000000oooo0?ooo`0>0?ooo`00?03oool00`00
0000oooo0?ooo`2E0?ooo`@000000P2I[nH010000000Vk?X09^cj000000209fejA0000000P23Rm<0
10000000PHgF086=eP00000208BGgP030000002=Z>L0SJSW00<0000000<0X;KX0000002Q/><00P2Q
/><010000000WZWN09jYgP00000209bVg0<000000P2Y`>/3000000040<7Sl0000000`mk]0<?Nk@80
000000@0`MS[00000033g^`0`mk/0`0000001037iNd000000<KSk036hn`2000000040<7Jk0000000
_]S/0;kHk08000000P2=Eh`500000080QE:<00@0000008aFS02<EX`000000`2AFX`200000080[L;Y
0`0000020:_0j@H000000P2Z_^P3000000040:Znj0000000ZKgX0:Vmj0<00000``3oool00`000000
oooo0?ooo`0O0?ooo`030000003oool0oooo00h0oooo000m0?ooo`030000003oool0oooo09@0oooo
00@0000009Z/h`2J[><000000P2I[nH60000000509b^i0000000UjGO09NUg`0000000P2AW=X01000
0000Ri?F08^CeP00000208J?e@0300000024T=L0Q93G00/000000P2K]^/010000000X;KX0:2fj000
00020:6`h`H000000P2O/><00`000000ZL3[000000020;WIl@80000000@0`mk]000000000000`=O[
0`0000001033g^`000000<KTk@36i>d3000000030<KSk0000000`mk/00<0000000@0_]S/00000000
000000000P2=Eh`2000000060;S@k0000000000000000025DX`000000P2<EX`01@000000TEZ<095J
S0000000[/?Y00<000000P2/`NT3000000040:^oj0000000ZkkX0:^nj0@0000000@0Z[kX0000002Z
_^P0Z[kX0`0000370?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool03P3oool003h0
oooo0P00002E0?ooo`030000002J[><00000008000000P2M]>P010000000W[?W09jci`00000209b^
i0040000002GYMl0UjGO00000080TIcJ00@0000008^CeP2;TmH000000P26SmD010000000Q93G08B@
e`00000208FFg0040000002;X^<0Rj;S00000080TjkY00<0000009^fj`2K]^/01P0000000`2IY=d0
000009^VgP0209^VgP030000002O/><0Wk3S00<0000000<0^MWa00000030g^h00`0000001030en/0
00000<7Ik031fN`3000000040<KTk@000000anG]0<OUk@@000000P31fn`3000000040;cFk@000000
SEN<08eGS0<0000000D0]Lg[000000000000QE:<0000000208aFS0030000002AFX`0TEZ<00800000
0P2]`^T3000000040:_0j@000000ZkoX0:^oj0<000000P2Z_^P00`000000Z[kX0:Znj00300000</0
oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`0>0?ooo`00@03oool00`000000oooo
0?ooo`2B0?ooo`8000000P2M/nL00`000000WKCX09fdj00Q00000080VjcR00@0000009ZWgP2JYmh0
00000P2IY=d00`000000VjKN09^VgP0300000080[/[^0P0000001030g^h000000<3Hk030f>`30000
00040<7Ik0000000a>7]0<CQk@H000000P33gN`300000080_mW]0`00000208eGS08000000P2ecN/2
0000000508EBS0000000S5J<08aFS00000000P2AFX`4000000040:c1j@000000Zl3Y0:_0j@<00000
0P2[_^P00`000000Z[kX0:Znj00300000<h0oooo00<000000?ooo`3oool07@3oool00`000000oooo
0?ooo`0>0?ooo`00@@3oool00`000000oooo0?ooo`2C0?ooo`D0000000D0WJoT0000002IZ>40VJSQ
0000000209>Pg@040000002>VMT0SYWI00000080RICH00@0000008JCf026TmP000000P26U]`01000
0000RIkQ08VNh@00000308nWi@040000002F[NL0UZgW00000080VZoV00<0000009^/hP2K[>802@00
00020:>ij0<0000000H0^]W`00000000000000000<3Hk00000020;oFj`<0000000D0a>7]00000000
000000000<OSk003000000040<?Mk0000000`M_]0<7Kk@<0000000D0_MK]000000000000000008eG
S004000000040;?9j`000000QE:<00000080S5J<00H00000095JS02AFX`000000:g2j@0000020:c1
j@<000000P2[_nP00`000000ZkkX0:^nj00300000=80oooo00<000000?ooo`3oool0703oool00`00
0000oooo0?ooo`0>0?ooo`00@P3oool00`000000oooo0?ooo`2C0?ooo`040000002N/nL0W[?W0000
0080WJoT00@0000009VXh@2IZ>4000000P2CX=d010000000SYWI08jIf@00000208VDf00400000026
TmP0QY?H00000080QYKL00@0000008VNh@29W^4000000P2?YnD90000000509JRg@000000UjCM09NT
g@0000000P2LZn801@000000XkWX000000000000//o_00<000000P2nf>d3000000040;oFj`000000
`]c/0<;Lk0@0000000@0an?/00000035h>`0aN3/0`0000000`31fnd000000;oIk@0300000080^]?/
0`0000020;G<j`<0000000D0QE:<0000002<EX`0S5J<00000002095JS0030000002]`^T000000080
00000P2[`>T00`000000ZkoX0:^oj00300000=H0oooo00<000000?ooo`3oool0703oool00`000000
oooo0?ooo`0=0?ooo`00@`3oool2000009@0oooo7@0000001@2EZN@0000009NWh@2GYn4000000080
UjCN00H0000009JRg@2FX]d0UZ;M0000002GY=d6000000040;;?k`000000^]K^0;[FkP<000000P2m
e>/3000000030<;Lk000000000000080anC]0`0000001035h>`000000<?Mk033gN`2000000070;oI
k@000000_MK]0;gFk@000000^]?/000000020;S@k0<000000P2cbN/300000080S5J<00<00000095J
S00000000P0000020:c1j@030000002[`>T0Zl3Y00<00000f@3oool00`000000oooo0?ooo`0L0?oo
o`030000003oool0oooo00d0oooo00150?ooo`030000003oool0oooo0940oooo00D0000009^[hP2K
Zn80Vj_R0000000209JTg`040000002AWM`0TIgL00000080SISJ00<0000008VFfP0000000P28V=`0
10000000RYcO08ZLg`00000208fSh`040000002BYn@0TZOT000000<0UJWT00D0000009NWh@2GYn40
000009NTgP0600000080W[7U00<000000:O0j`2W`>/00`000000102je^h000000;cDk02le>`30000
0080_mO/100000001037i>d000000<KRk036h^`3000000030<?Mk0000000`M_]00<000000P2me^d3
000000050;S@k0000000]Lc[0;G<j`0000000P2cbN/300000080S5J<00D00000095JS0000000[L;Y
000000020:c1j@<00000g@3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00d0oooo
00160?ooo`030000003oool0oooo0940oooo00<0000009^[hP2KZn80800000000`2DXMd0000009RW
h00209RWh0030000002N/ND0W[7U00<000000P2cd>h3000000040;cDk0000000_=?[0;cCj`@00000
0P36hnd3000000040<KRk0000000a=o/0<COk080000000@0`M_]0000002ofNd0_mW]0`0000020;[C
k08000000P2ec>/4000000030;77jP00000000000080S5J<00@00000095JS0000000[L;Y0`00003Q
0?ooo`030000003oool0oooo01X0oooo00<000000?ooo`3oool03@3oool004L0oooo00<000000?oo
o`3oool0T@3oool20000000509BRgP000000T9gL092Mg00000000P2=V]`01P000000Ri[M08^Jg@00
0000RicO00000080SJ3Q00@00000092ShP2@Xn8000000P2BYN801@000000TjCP09>Th02CY>000000
0080Tj7N00@0000009>Og02CWm`000000P2DXMd00`000000V:OP09RWh00300000080ZlG]0`000002
0;WBk@<0000000<0_=?[0000002ofN`00`0000001036hnd000000<OTk037i>`3000000030<COk000
0000`mk/00<0000000@0_mW]0000002me^d0_MK]0`000000102hcn`000000000000000020;?:j`D0
00000P2<EX`010000000TEZ<00000000003U0?ooo`030000003oool0oooo01T0oooo00<000000?oo
o`3oool03@3oool004P0oooo0P00002B0?ooo`040000002DX]h0U:;N00000080T9gL00@0000008fJ
g02=V]`000000P2;V]d00`000000RicO0000000208fPh@040000002@Xn80T:?R00000080TZGR00<0
000009>Th02CY>00300000020:6gj0030000002[aNd000000080/lk]0`0000020;[Aj`80000000@0
_mW/00000034h>d0a>3]0`0000001037i>`000000<KQk036hN`400000080`Mc]0`0000000`2me^d0
00000;[Ck00300000080]Lc[0`0000020;77j`<000000P2<EX`200000>L0oooo00<000000?ooo`3o
ool06@3oool00`000000oooo0?ooo`0=0?ooo`00BP3oool00`000000oooo0?ooo`2@0?oooaT00000
00D0TIgL0000002AW]`0TIkL0000000309BSg`040000002IZn<0VJ_S00000080XKOX0`000000202c
c^d000000;O>k02gc^`000000;[Aj`000000_=C/0`0000001034h>d000000<KSk@36hnd600000080
`mk]0`0000020;oIk@80000000L0^]?/0000002hcn`0^<o/0000002ec>/000000080/l[[00<00000
0;77j`2aan/00`00000208aFS0800000j03oool00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo00d0oooo001;0?ooo`030000003oool0oooo08l0oooo00<00000092Ng@0000000P2=WMd01@00
0000SIgO08fMg`2=WMl000000080SIoP00@0000008nQh@2?XN4000000P2@X^4010000000TJ7O096Q
g`000002096Og@040000002AWM`0TIgL00000080TIkL00<0000009BSg`2DXml01P0000020:c6k080
00000P2gc^`3000000040;cDk0000000`=_]0<3Kk@<0000000D0a^?]00000036hn`000000<GQk003
000000040<?Nk@000000`Mc]0<7Lk@<0000000@0_MK]00000000000000000P2hcn`300000080/l[[
0`0000020?ooo`030000002<EX`0S5J<00800000j@3oool00`000000oooo0?ooo`0H0?ooo`030000
003oool0oooo00`0oooo001<0?ooo`030000003oool0oooo08l0oooo00<00000092Ng@0000000P2=
WMd00`000000SIgO08fMg`0H00000080W:oU00<000000:BkjP2T^nX00`000000102bbn`000000000
000000020;W?j`<0000000@0`=_]00000034hNd0a>7]100000001035hN`000000<COk034gn`30000
00030<7Lk@000000_mW]00<000000P2jdn`300000080]Lg[0`0000050?ooo`030000002<EX`0S5J<
00800000jP3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00`0oooo001=0?ooo`80
0000S`3oool80000000508nQh0000000Sj7P08nQh00000000P2?Wml010000000SigM08nMg@000002
08nLg0040000002?W=`0SicL000000<0TIoM00@0000009FVh@2EY^4000000P2L[nD3000000040:g5
k0000000000000000080]L_[0`0000020;cFk0D0000000<0a^?]00000036h^`00`0000001034gn`0
00000<?Nk@33g^d2000000040;oIk@000000_MK/0;gFk0<000000P2hcn`3000000P0oooo0P000000
0`2<EX`000000000003Z0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0303oool0
04l0oooo00<000000?ooo`3oool0S@3oool010000000SioO08nOg`00000208jPh0040000002?XN00
Sj7P00000080Sj7P00@0000008nOg`2?Wml000000P2?WMd010000000SicL08nLg000000208nLg003
0000002AWmd0TIoM00H0000000@0YKcZ0000002]aN`000000P2aan/00`000000]L_[000000020;S@
k0<0000000@0`Mg]00000034hNd0a>7]0P0000001036h^`000000<GQk035hN`3000000030<?Nk@00
0000`Mc]00<0000000L0_MK/0000002jdn`0^]?/0000002hcn`0000000d0oooo0P00003/0?ooo`03
0000003oool0oooo01H0oooo00<000000?ooo`3oool0303oool00500oooo00<000000?ooo`3oool0
S@3ooolJ0000000509NYh`000000WK;W09fbi`0000000P2U_>X300000080/LO[0`000000102hd>`0
00000;gGk@2mend2000000040<CQk@00000000000<KRk0<0000000@0aN7/00000034h>`0a>3/1000
00020;oIk@<000000P2jdn`2000000l0oooo00<000000?ooo`3oool0j`3oool00`000000oooo0?oo
o`0E0?ooo`030000003oool0oooo00`0oooo001A0?ooo`030000003oool0oooo08`0oooo00D00000
092Qh02@XN00T:7P0000000208nPg`030000002?Wmh000000080SYgM00@0000008jKg02>Vm`00000
0P2>Vm`010000000SigM08nMg@00000209:Qg`030000002GZN<0UjWS00H000000P2/`nX300000080
]<[[0`0000000`2mend000000<;Mk@03000000040<KRk0000000a^7/0<KQk0H000000P32g>d30000
0080_MK/0`00003o0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0303oool00580
oooo0P00002=0?ooo`030000002@XN00T:7P00L000000P2>WMd010000000SY_L08jKg000000208jK
g0030000002?WMd0000000D000000P2O]>L00`000000Y[cY0:Jlj@0300000080/<GZ0`0000020;S@
k080000000@0`]g]00000034h>d0a>3]1@0000000`35hN`000000<CPk003000000040<;Lk@000000
_mW]0;oIk@<00000o`3oool40?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0303o
ool005@0oooo00<000000?ooo`3oool0R`3oool20000000508nOg`000000SYgM08jMg@0000000P2=
Vm`:0000000309>Th@000000V:_T0080V:_T00<0000009ndi`2O]>L00`0000020:_0j@030000002`
aNX000000080/l[[00@000000;S@k0000000_MS]0`0000001034h>d000000<GQk00000020<GQk080
000000@0a>3/00000033gnd0`mo]0`0000000`2ofNd000000?ooo`3o0?ooo`L0oooo00<000000?oo
o`3oool0503oool00`000000oooo0?ooo`0;0?ooo`00E@3oool00`000000oooo0?ooo`2;0?ooo`04
0000002?Wml0SioO00000080SYgM00<0000008fKg00000000P2=V]`010000000SI_L08fKg0000002
08nNgP040000002CY>40TjCQ00000080V:_T0`0000020:Fkj0030000002[`>T0Zl3Y00<000000P2c
b^/2000000040;gHk@000000`]g]0<;Mk@D0000000<0aN7/00000035hN`00`0000001033gnd00000
0<;Lk@32g>d200000?l0oooo2P3oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo00/0
oooo001F0?ooo`030000003oool0oooo08/0oooo5P00000209ndi`030000002U^nP0YK_X00<00000
0P2_a>X3000000030;WBk0000000000000<0000000@0a>3]00000035hN`0aN7/0P0000001035hN`0
00000<GPk035h>`3000000030<;Lk@000000oooo0?l0oooo2`3oool00`000000oooo0?ooo`0C0?oo
o`030000003oool0oooo00/0oooo001G0?ooo`800000R`3oool01P000000SIcM08fLg@000000S9[L
00000080S9[L00@0000008fLg@2=W=d000000`2@X=l010000000U:KR09BVhP00000209V]i0H00000
0P2Z_^T3000000060;?;j`00000000000000002nfNd000000P32gNd3000000030<GQk0000000aN7/
00D000000P33g^d200000?l0oooo3P3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
00/0oooo001I0?ooo`030000003oool0oooo08T0oooo00H0000008fLg@2=W=d0000008bJg0000002
08bJg0040000002=W=d0SIcM00000080T:3O1P00000209nciP030000002U^NL0YKWW00<0000000@0
[/CZ0000002cbn/000000P2id^d3000000040<;Mk@000000a=o]0<COk@80000000@0aN7/00000035
hN`000000P35h>`300000?l0oooo4@3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo
00/0oooo001J0?ooo`030000003oool0oooo08P0oooo3P0000000`2DYn80000009Z]i00209Z]i003
0000002O/nH0Wk?V00<0000000@0ZKgX0000002^a>X0[/CZ0`000000102id^d000000;kIk@2nfNd3
000000030<COk@000000aN7/00D0000000<0aN3/0000003oool0o`3ooolD0?ooo`030000003oool0
oooo0100oooo00<000000?ooo`3oool02`3oool005/0oooo00<000000?ooo`3oool0R03oool01000
0000S9[L08bJg000000208bKg0040000002=WMh0SIgN00000080T:7P00@0000009BWhP2DYn800000
0P2J[N@3000000040:Bhi`000000ZKgX0:Vmj0<000000P2dbn`3000000040;kIk@000000`]g]0<;M
k@@0000000@0aN7/00000035hN`0aN7/0P00003o0?oooaH0oooo00<000000?ooo`3oool0403oool0
0`000000oooo0?ooo`0;0?ooo`00G03oool2000008T0oooo4@000000102O/^D000000:Bhi`2T^>L3
00000080[/CZ0`0000020;[Ck@H000000P35h>`3000000030<GQk0000000oooo0?l0oooo603oool0
0`000000oooo0?ooo`0@0?ooo`030000003oool0oooo00X0oooo001N0?ooo`030000003oool0oooo
08H0oooo00@0000008bKg@2<Vmd000000P2>W]h01@000000TJ;P096Rh02AX^0000000080UJOR00<0
000009Z]i00000001@0000020:Vmj0<000000P2dc>`3000000030;kIk@000000`Mc]00<0000000@0
aN3/00000035hN`0aN7/0P00003o0?oooa/0oooo00<000000?ooo`3oool03`3oool00`000000oooo
0?ooo`0:0?ooo`00G`3oool00`000000oooo0?ooo`260?ooo`040000002<Vmd0S9_M00000080SYkN
00<00000096Rh02AX^001@00000209jai@030000002S]nL0XkOW00<000000P2^aNX00`000000]<c/
000000020;[Ck@80000000@0`Mc]00000033gnd0`mo]0`0000000`35hN`000000?ooo`3o0?oooa`0
oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0:0?ooo`00H03oool00`000000oooo
0?ooo`260?ooo`P0000000D0UJOR0000002J[><0VZcS0000000209jai@<000000P2X_NP00`000000
[/GZ0:k5jP03000000030;[Ck@000000_]S]00<0000000@0`mo]00000035h>`0aN3/0P00003o0?oo
oal0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0:0?ooo`00H@3oool2000008L0
oooo00<0000008nOg`0000000P2AXn001P000000UJOR09FWhP2EYn80000009Z/h`<000000P2S]nL0
0`000000Z;gX0:Rmj00300000080]<g/0P000000102nf>d000000<7Lk@31g>d500000?l0oooo8P3o
ool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00X0oooo001S0?ooo`030000003oool0
oooo08D0oooo2P00000209j`i@030000002S]nL0XkOW00<000000P2_aN/3000000030;[Ck@000000
000000<0000000<0`mk]0000003oool0o`3ooolU0?ooo`030000003oool0oooo00`0oooo00<00000
0?ooo`3oool02P3oool006@0oooo00<000000?ooo`3oool0Q03oool010000000TZ?P09:Sh0000002
09FVhP040000002IZn<0VJ_S00000080W[3U0`0000020:Rmj@<0000000H0]<g/0000000000000000
0;kHk@0000020<7Lk@800000o`3ooolW0?ooo`030000003oool0oooo00`0oooo00<000000?ooo`3o
ool02P3oool006D0oooo00<000000?ooo`3oool0Q03oool00`000000TZ?P0000000800000080XkOW
0`000000102_aN/000000;C=k00000020;[Ck@<0000000<0`Mc]0000003oool0o`3ooolY0?ooo`03
0000003oool0oooo00`0oooo00<000000?ooo`3oool02@3oool006H0oooo00<000000?ooo`3oool0
P`3oool20000000309FVh@000000VJ_S0080VJ_S00<0000009j`i@2N/>D00`0000020:Vnj@030000
002_aN/000000080000000@0^]?]0000002nf>d0_]S]0P00003o0?ooob`0oooo00<000000?ooo`3o
ool02`3oool00`000000oooo0?ooo`090?ooo`00I`3oool2000008@0oooo00@0000009FVh@2EY^40
00000P2IZn<300000080XkOW00<000000:Vnj@2Y_^T00P0000020;C=k0<0000000<0_]S]0000003o
ool0o`3oool^0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool02@3oool006T0oooo
00<000000?ooo`3oool0PP3oool500000080WK3U00<000000:>gi`2S]nL00`000000102_a^/00000
0000000000020;WBk@800000o`3oool`0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3o
ool02@3oool006X0oooo00<000000?ooo`3oool0PP3oool00`000000VJ_S09V[h`06000000040:Vn
j@000000000000000080]<g/0`00003o0?oooc<0oooo00<000000?ooo`3oool02@3oool00`000000
oooo0?ooo`090?ooo`00J`3oool00`000000oooo0?ooo`220?ooo`80000000@0WK3U0000002S]nL0
XkOW0`0000020:o6j`030000002dcN`000000?l0oooo=`3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00T0oooo001/0?ooo`800000P`3oool00`000000WK3U0000000200000080ZKkY
00<000000:o6j`2_a^/00P00003o0?ooocT0oooo00<000000?ooo`3oool01`3oool00`000000oooo
0?ooo`090?ooo`00KP3oool00`000000oooo0?ooo`210?ooo`040000002S]nL0XkOW00000080ZKkY
0`00003o0?oooc/0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`080?ooo`00K`3o
ool00`000000oooo0?ooo`200?ooo`030000002S]nL0XkOW00<00000o`3ooolo0?ooo`030000003o
ool0oooo00L0oooo00<000000?ooo`3oool0203oool00700oooo00<000000?ooo`3oool0P03oool2
00000?l0oooo@`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo00P0oooo001a0?oo
o`800000P03oool00`000000oooo0?ooo`3o0?oood80oooo00<000000?ooo`3oool01P3oool00`00
0000oooo0?ooo`080?ooo`00L`3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0oooo0?l0
oooo@`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo00P0oooo001d0?ooo`030000
003oool0oooo07`0oooo00<000000?ooo`3oool0o`3ooom40?ooo`030000003oool0oooo00@0oooo
00<000000?ooo`3oool0203oool007D0oooo00<000000?ooo`3oool0N`3oool00`000000oooo0?oo
o`3o0?ooodD0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`080?ooo`00MP3oool2
000007/0oooo00<000000?ooo`3oool0o`3ooom50?ooo`030000003oool0oooo00@0oooo00<00000
0?ooo`3oool01`3oool007P0oooo00<000000?ooo`3oool0N03oool00`000000oooo0?ooo`3o0?oo
odH0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`070?ooo`00N@3oool00`000000
oooo0?ooo`1g0?ooo`030000003oool0oooo0?l0ooooA`3oool00`000000oooo0?ooo`020?ooo`03
0000003oool0oooo00L0oooo001j0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0
o`3ooom80?ooo`050000003oool0oooo0?ooo`0000002@3oool007/0oooo0P00001f0?ooo`030000
003oool0oooo0?l0ooooB03oool01@000000oooo0?ooo`3oool0000000T0oooo001m0?ooo`030000
003oool0oooo07<0oooo00<000000?ooo`3oool0o`3ooom90?ooo`040000003oool0oooo000000T0
oooo001n0?ooo`030000003oool0oooo0780oooo00<000000?ooo`3oool0o`3ooom:0?ooo`030000
003oool0000000T0oooo001o0?ooo`030000003oool0oooo0740oooo00<000000?ooo`3oool0o`3o
oom:0?ooo`040000003oool0oooo000000P0oooo00200?ooo`800000L@3oool00`000000oooo0?oo
o`3o0?oood/0oooo00<000000?ooo`000000203oool00880oooo00<000000?ooo`3oool0KP3oool0
0`000000oooo0?ooo`3o0?oood`0oooo0P0000080?ooo`00P`3oool00`000000oooo0?ooo`1]0?oo
o`030000003oool0oooo0?l0ooooB`3oool3000000P0oooo00240?ooo`030000003oool0oooo06`0
oooo00<000000?ooo`3oool0o`3ooom70?ooo`@000002`3oool008D0oooo0P00001/0?ooo`030000
003oool0oooo0?l0oooo@`3oool4000000l0oooo00270?ooo`030000003oool0oooo06T0oooo00<0
00000?ooo`3oool0o`3ooom00?ooo`<000004`3oool008P0oooo00<000000?ooo`3oool0J03oool0
0`000000oooo0?ooo`3o0?oooc`0oooo1000000F0?ooo`00R@3oool00`000000oooo0?ooo`1W0?oo
o`030000003oool0oooo0?l0oooo>03oool4000001X0oooo002:0?ooo`800000I`3oool00`000000
oooo0?ooo`3o0?oooc@0oooo1000000N0?ooo`00S03oool00`000000oooo0?ooo`1T0?ooo`030000
003oool0oooo0?l0oooo<03oool400000280oooo002=0?ooo`030000003oool0oooo06<0oooo00<0
00000?ooo`3oool0o`3oool/0?ooo`@000009P3oool008h0oooo00<000000?ooo`3oool0HP3oool0
0`000000oooo0?ooo`3o0?ooobT0oooo0`00000Z0?ooo`00S`3oool200000680oooo00<000000?oo
o`3oool0o`3ooolU0?ooo`@00000;@3oool00940oooo00<000000?ooo`3oool0G`3oool00`000000
oooo0?ooo`3o0?ooob40oooo1000000a0?ooo`00TP3oool00`000000oooo0?ooo`1N0?ooo`030000
003oool0oooo0?l0oooo7@3oool4000003D0oooo002C0?ooo`030000003oool0oooo05d0oooo00<0
00000?ooo`3oool0o`3ooolI0?ooo`@00000>@3oool009@0oooo0P00001M0?ooo`030000003oool0
oooo0?l0oooo5@3oool4000003d0oooo002F0?ooo`030000003oool0oooo05T0oooo00<000000?oo
o`3oool0o`3ooolB0?ooo`@00000@@3oool009L0oooo00<000000?ooo`3oool0F03oool00`000000
oooo0?ooo`3o0?ooo`l0oooo0`0000150?ooo`00V03oool00`000000oooo0?ooo`1G0?ooo`030000
003oool0oooo0?l0oooo2`3oool4000004P0oooo002I0?ooo`800000E`3oool00`000000oooo0?oo
o`3o0?ooo`L0oooo1000001<0?ooo`00V`3oool00`000000oooo0?ooo`1D0?ooo`030000003oool0
oooo0?l0oooo0`3oool400000500oooo002L0?ooo`030000003oool0oooo05<0oooo00<000000?oo
o`3oool0oP3oool4000005@0oooo002M0?ooo`030000003oool0oooo0580oooo00<000000?ooo`3o
ool0nP3oool4000005P0oooo002N0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0
m`3oool3000005`0oooo002O0?ooo`800000D@3oool00`000000oooo0?ooo`3c0?ooo`@00000G`3o
ool00:40oooo00<000000?ooo`3oool0CP3oool00`000000oooo0?ooo`3_0?ooo`@00000H`3oool0
0:80oooo00<000000?ooo`3oool0C@3oool00`000000oooo0?ooo`3[0?ooo`@00000I`3oool00:<0
oooo00<000000?ooo`3oool0C03oool00`000000oooo0?ooo`3W0?ooo`@00000J`3oool00:@0oooo
0P00001<0?ooo`030000003oool0oooo0><0oooo1000001_0?ooo`00YP3oool00`000000oooo0?oo
o`190?ooo`030000003oool0oooo0>00oooo0`00001c0?ooo`00Y`3oool00`000000oooo0?ooo`18
0?ooo`030000003oool0oooo0=`0oooo1000001f0?ooo`00Z03oool00`000000oooo0?ooo`170?oo
o`030000003oool0oooo0=P0oooo1000001j0?ooo`00Z@3oool2000004L0oooo00<000000?ooo`3o
ool0e03oool4000007h0oooo002[0?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0
d03oool400000880oooo002/0?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3oool0c03o
ool4000008H0oooo002]0?ooo`030000003oool0oooo0480oooo00<000000?ooo`3oool0b03oool4
000008X0oooo002^0?ooo`800000@P3oool00`000000oooo0?ooo`350?ooo`<00000SP3oool00;00
oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`310?ooo`@00000T@3oool00;40oooo
00<000000?ooo`3oool0?P3oool00`000000oooo0?ooo`2m0?ooo`@00000U@3oool00;80oooo00<0
00000?ooo`3oool0?@3oool00`000000oooo0?ooo`2i0?ooo`@00000V@3oool00;<0oooo0P00000m
0?ooo`030000003oool0oooo0;D0oooo1000002M0?ooo`00]@3oool00`000000oooo0?ooo`0j0?oo
o`030000003oool0oooo0;40oooo1000002Q0?ooo`00]P3oool00`000000oooo0?ooo`0i0?ooo`03
0000003oool0oooo0:h0oooo0`00002U0?ooo`00]`3oool00`000000oooo0?ooo`0h0?ooo`030000
003oool0oooo0:X0oooo1000002X0?ooo`00^03oool2000003P0oooo00<000000?ooo`3oool0YP3o
ool400000:`0oooo002j0?ooo`030000003oool0oooo03@0oooo00<000000?ooo`3oool0X`3oool4
00000;00oooo002k0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0W`3oool40000
0;@0oooo002l0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0V`3oool400000;P0
oooo002m0?ooo`800000<P3oool00`000000oooo0?ooo`2H0?ooo`<00000_03oool00;l0oooo00<0
00000?ooo`3oool0;`3oool00`000000oooo0?ooo`2D0?ooo`@00000_`3oool00<00oooo00<00000
0?ooo`3oool0;P3oool00`000000oooo0?ooo`2@0?ooo`@00000``3oool00<40oooo00<000000?oo
o`3oool0;@3oool00`000000oooo0?ooo`2<0?ooo`@00000a`3oool00<80oooo0P00000]0?ooo`03
0000003oool0oooo08P0oooo1000003;0?ooo`00a03oool00`000000oooo0?ooo`0Z0?ooo`030000
003oool0oooo08@0oooo1000003?0?ooo`00a@3oool00`000000oooo0?ooo`0Y0?ooo`030000003o
ool0oooo0840oooo0`00003C0?ooo`00aP3oool00`000000oooo0?ooo`0X0?ooo`030000003oool0
oooo07d0oooo1000003F0?ooo`00a`3oool2000002P0oooo00<000000?ooo`3oool0N@3oool40000
0=X0oooo00390?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0M@3oool400000=h0
oooo003:0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0L@3oool400000>80oooo
003;0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0K@3oool400000>H0oooo003<
0?ooo`8000008`3oool00`000000oooo0?ooo`1Y0?ooo`@00000jP3oool00<h0oooo00<000000?oo
o`3oool0803oool00`000000oooo0?ooo`1V0?ooo`<00000kP3oool00<l0oooo00<000000?ooo`3o
ool07`3oool00`000000oooo0?ooo`1R0?ooo`@00000l@3oool00=00oooo00<000000?ooo`3oool0
7P3oool00`000000oooo0?ooo`1N0?ooo`@00000m@3oool00=40oooo0P00000N0?ooo`030000003o
ool0oooo05X0oooo1000003i0?ooo`00d`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0
oooo05H0oooo1000003m0?ooo`00e03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo
0580oooo1000003o0?ooo`80oooo003E0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3o
ool0C`3oool300000?l0oooo1P3oool00=H0oooo00<000000?ooo`3oool0603oool00`000000oooo
0?ooo`1;0?ooo`@00000o`3oool90?ooo`00e`3oool2000001P0oooo00<000000?ooo`3oool0A`3o
ool400000?l0oooo3@3oool00=T0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`13
0?ooo`@00000o`3ooolA0?ooo`00fP3oool00`000000oooo0?ooo`0D0?ooo`030000003oool0oooo
03l0oooo1000003o0?oooaD0oooo003K0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool0>`3oool400000?l0oooo6@3oool00=`0oooo0P00000C0?ooo`030000003oool0oooo03P0oooo
0`00003o0?oooad0oooo003N0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0=03o
ool400000?l0oooo803oool00=l0oooo00<000000?ooo`3oool03P3oool00`000000oooo0?ooo`0a
0?ooo`@00000o`3ooolT0?ooo`00h03oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo
02d0oooo1000003o0?ooobP0oooo003Q0?ooo`8000003@3oool00`000000oooo0?ooo`0Y0?ooo`@0
0000o`3oool/0?ooo`00h`3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02D0oooo
1000003o0?oooc00oooo003T0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08@3o
ool400000?l0oooo=03oool00>D0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0N
0?ooo`<00000o`3ooolh0?ooo`00iP3oool2000000P0oooo00<000000?ooo`3oool06P3oool40000
0?l0oooo>`3oool00>P0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0F0?ooo`@0
0000o`3ooolo0?ooo`00j@3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo
1000003o0?oood<0oooo003Z0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3o
ool400000?l0ooooA`3oool00>/0oooo0P0000030?ooo`030000003oool0oooo00X0oooo1000003o
0?oood/0oooo003]0?ooo`040000003oool0oooo000000T0oooo0`00003o0?ooodl0oooo003^0?oo
o`030000003oool0000000D0oooo1000003o0?oooe80oooo003_0?ooo`80000000<0oooo00000000
00000P00003o0?oooeH0oooo003`0?ooo`800000o`3ooomJ0?ooo`00o`3ooooo0?ooodd0oooo003o
0?ooool0ooooC@3oool00001\
\>"],
  ImageRangeCache->{{{0, 586}, {475, 0}} -> {-0.0284351, 0.035217, \
0.00169683, 0.00169683}},
  CellTags->"Three Wavelets with Lens"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Generalized Wave Propagation", "Section",
  CellTags->"PointSpreadFunction and FindField"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .3468 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.335045 0.00622471 0.182923 0.00622471 [
[.36617 .00826 -3 -4.5 ]
[.36617 .00826 3 4.5 ]
[.97619 .00826 -3 -4.5 ]
[.97619 .00826 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .3468 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
/MAarrowzero1 {
gsave
mathtops translate
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
0 0 Mdot
grestore
} def
% End of user PostScript
.5 g
.37502 .0273 m
.39729 .0273 L
.39729 .07918 L
.35217 .07918 L
.37502 .0273 L
F
.35217 .07918 m
.39729 .07918 L
.39729 .13105 L
.33924 .13105 L
.35217 .07918 L
F
.33924 .13105 m
.39729 .13105 L
.39729 .18292 L
.33505 .18292 L
.33924 .13105 L
F
.33505 .18292 m
.39729 .18292 L
.39729 .2348 L
.33924 .2348 L
.33505 .18292 L
F
.33924 .2348 m
.39729 .2348 L
.39729 .28667 L
.35217 .28667 L
.33924 .2348 L
F
.35217 .28667 m
.39729 .28667 L
.39729 .33854 L
.37502 .33854 L
.35217 .28667 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.37502 .0273 m
.35217 .07918 L
.33924 .13105 L
.33505 .18292 L
.33924 .2348 L
.35217 .28667 L
.37502 .33854 L
.39729 .33854 L
.39729 .28667 L
.39729 .2348 L
.39729 .18292 L
.39729 .13105 L
.39729 .07918 L
.39729 .0273 L
.37502 .0273 L
s
.5 g
.37502 .18292 m
.39729 .18292 L
.39729 .18292 L
.35217 .18292 L
.37502 .18292 L
F
.35217 .18292 m
.39729 .18292 L
.39729 .18292 L
.33924 .18292 L
.35217 .18292 L
F
.33924 .18292 m
.39729 .18292 L
.39729 .18292 L
.33505 .18292 L
.33924 .18292 L
F
.33505 .18292 m
.39729 .18292 L
.39729 .18292 L
.33924 .18292 L
.33505 .18292 L
F
.33924 .18292 m
.39729 .18292 L
.39729 .18292 L
.35217 .18292 L
.33924 .18292 L
F
.35217 .18292 m
.39729 .18292 L
.39729 .18292 L
.37502 .18292 L
.35217 .18292 L
F
0 g
.37502 .18292 m
.35217 .18292 L
.33924 .18292 L
.33505 .18292 L
.33924 .18292 L
.35217 .18292 L
.37502 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.39729 .18292 L
.37502 .18292 L
s
.37502 .33854 m
.39729 .33854 L
.39729 .33324 L
.37502 .33324 L
.37502 .33854 L
s
.37502 .33324 m
.39729 .33324 L
.39729 .31769 L
.37502 .31769 L
.37502 .33324 L
s
.37502 .31769 m
.39729 .31769 L
.39729 .29296 L
.37502 .29296 L
.37502 .31769 L
s
.37502 .29296 m
.39729 .29296 L
.39729 .26073 L
.37502 .26073 L
.37502 .29296 L
s
.37502 .26073 m
.39729 .26073 L
.39729 .2232 L
.37502 .2232 L
.37502 .26073 L
s
.37502 .2232 m
.39729 .2232 L
.39729 .18292 L
.37502 .18292 L
.37502 .2232 L
s
.37502 .18292 m
.39729 .18292 L
.39729 .14265 L
.37502 .14265 L
.37502 .18292 L
s
.37502 .14265 m
.39729 .14265 L
.39729 .10511 L
.37502 .10511 L
.37502 .14265 L
s
.37502 .10511 m
.39729 .10511 L
.39729 .07288 L
.37502 .07288 L
.37502 .10511 L
s
.37502 .07288 m
.39729 .07288 L
.39729 .04815 L
.37502 .04815 L
.37502 .07288 L
s
.37502 .04815 m
.39729 .04815 L
.39729 .03261 L
.37502 .03261 L
.37502 .04815 L
s
.37502 .03261 m
.39729 .03261 L
.39729 .0273 L
.37502 .0273 L
.37502 .03261 L
s
.37502 .0273 m
.39729 .0273 L
.39729 .03261 L
.37502 .03261 L
.37502 .0273 L
s
.37502 .03261 m
.39729 .03261 L
.39729 .04815 L
.37502 .04815 L
.37502 .03261 L
s
.37502 .04815 m
.39729 .04815 L
.39729 .07288 L
.37502 .07288 L
.37502 .04815 L
s
.37502 .07288 m
.39729 .07288 L
.39729 .10511 L
.37502 .10511 L
.37502 .07288 L
s
.37502 .10511 m
.39729 .10511 L
.39729 .14265 L
.37502 .14265 L
.37502 .10511 L
s
.37502 .14265 m
.39729 .14265 L
.39729 .18292 L
.37502 .18292 L
.37502 .14265 L
s
.37502 .18292 m
.39729 .18292 L
.39729 .2232 L
.37502 .2232 L
.37502 .18292 L
s
.37502 .2232 m
.39729 .2232 L
.39729 .26073 L
.37502 .26073 L
.37502 .2232 L
s
.37502 .26073 m
.39729 .26073 L
.39729 .29296 L
.37502 .29296 L
.37502 .26073 L
s
.37502 .29296 m
.39729 .29296 L
.39729 .31769 L
.37502 .31769 L
.37502 .29296 L
s
.37502 .31769 m
.39729 .31769 L
.39729 .33324 L
.37502 .33324 L
.37502 .31769 L
s
.37502 .33324 m
.39729 .33324 L
.39729 .33854 L
.37502 .33854 L
.37502 .33324 L
s
.97619 .0273 m
.97619 .07918 L
.97619 .13105 L
.97619 .18292 L
.97619 .2348 L
.97619 .28667 L
.97619 .33854 L
.97619 .33854 L
.97619 .28667 L
.97619 .2348 L
.97619 .18292 L
.97619 .13105 L
.97619 .07918 L
.97619 .0273 L
.97619 .0273 L
s
.97619 .18292 m
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
.97619 .18292 L
s
.97619 .33854 m
.97619 .33324 L
.97619 .31769 L
.97619 .29296 L
.97619 .26073 L
.97619 .2232 L
.97619 .18292 L
.97619 .14265 L
.97619 .10511 L
.97619 .07288 L
.97619 .04815 L
.97619 .03261 L
.97619 .0273 L
.97619 .03261 L
.97619 .04815 L
.97619 .07288 L
.97619 .10511 L
.97619 .14265 L
.97619 .18292 L
.97619 .2232 L
.97619 .26073 L
.97619 .29296 L
.97619 .31769 L
.97619 .33324 L
.97619 .33854 L
s
0 0 0 r
[(L)] .36617 .00826 0 0 Mshowa
[(S)] .97619 .00826 0 0 Mshowa
.039 .916 .04 r
1 Mabswid
.02381 .24517 m
.03968 .24517 L
.05556 .24517 L
.07143 .24517 L
.0873 .24517 L
.10317 .24517 L
.11905 .24517 L
.13492 .24517 L
.15079 .24517 L
.16667 .24517 L
.18254 .24517 L
.19841 .24517 L
.21429 .24517 L
.23016 .24517 L
.24603 .24517 L
.2619 .24517 L
.27778 .24517 L
.29365 .24517 L
.30952 .24517 L
.3254 .24517 L
.34127 .24476 L
.35714 .24371 L
.37302 .24267 L
.38889 .24162 L
.40476 .24032 L
.42063 .23873 L
.43651 .23714 L
.45238 .23555 L
.46825 .23396 L
.48413 .23237 L
.5 .23078 L
.51587 .22919 L
.53175 .2276 L
.54762 .22601 L
.56349 .22442 L
.57937 .22283 L
.59524 .22124 L
.61111 .21965 L
.62698 .21806 L
.64286 .21647 L
.65873 .21489 L
.6746 .2133 L
.69048 .21171 L
.70635 .21012 L
.72222 .20853 L
.7381 .20694 L
.75397 .20535 L
.76984 .20376 L
.78571 .20217 L
.80159 .20058 L
Mistroke
.81746 .19899 L
.83333 .1974 L
.84921 .19581 L
.86508 .19422 L
.88095 .19263 L
.89683 .19104 L
.9127 .18945 L
.92857 .18786 L
.94444 .18627 L
.96032 .18468 L
.97619 .18309 L
Mfstroke
.02381 .12068 m
.03968 .12068 L
.05556 .12068 L
.07143 .12068 L
.0873 .12068 L
.10317 .12068 L
.11905 .12068 L
.13492 .12068 L
.15079 .12068 L
.16667 .12068 L
.18254 .12068 L
.19841 .12068 L
.21429 .12068 L
.23016 .12068 L
.24603 .12068 L
.2619 .12068 L
.27778 .12068 L
.29365 .12068 L
.30952 .12068 L
.3254 .12068 L
.34127 .12109 L
.35714 .12213 L
.37302 .12318 L
.38889 .12422 L
.40476 .12553 L
.42063 .12712 L
.43651 .12871 L
.45238 .13029 L
.46825 .13188 L
.48413 .13347 L
.5 .13506 L
.51587 .13665 L
.53175 .13824 L
.54762 .13983 L
.56349 .14142 L
.57937 .14301 L
.59524 .1446 L
.61111 .14619 L
.62698 .14778 L
.64286 .14937 L
.65873 .15096 L
.6746 .15255 L
.69048 .15414 L
.70635 .15573 L
.72222 .15732 L
.7381 .15891 L
.75397 .1605 L
.76984 .16209 L
.78571 .16368 L
.80159 .16527 L
Mistroke
.81746 .16686 L
.83333 .16845 L
.84921 .17003 L
.86508 .17162 L
.88095 .17321 L
.89683 .1748 L
.9127 .17639 L
.92857 .17798 L
.94444 .17957 L
.96032 .18116 L
.97619 .18275 L
Mfstroke
0 0 0 r
.02381 .18292 m
.33505 .18292 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
.33505 .18292 m
.39729 .18292 L
s
% Start of user PostScript
0 0 10. 0 MAarrowhead1
% End of user PostScript
.39729 .18292 m
.97619 .18292 L
s
% Start of user PostScript
10. 0 103. 0 MAarrowhead1
% End of user PostScript
.97619 .18292 m
.97619 .18292 L
s
% Start of user PostScript
103. 0 MAarrowzero1
% End of user PostScript
.039 .916 .04 r
.02381 .1269 m
.02381 .13063 L
.02381 .13437 L
.02381 .1381 L
.02381 .14184 L
.02381 .14557 L
.02381 .14931 L
.02381 .15304 L
.02381 .15678 L
.02381 .16051 L
.02381 .16425 L
.02381 .16798 L
.02381 .17172 L
.02381 .17545 L
.02381 .17919 L
.02381 .18292 L
.02381 .18666 L
.02381 .19039 L
.02381 .19413 L
.02381 .19786 L
.02381 .2016 L
.02381 .20533 L
.02381 .20907 L
.02381 .2128 L
.02381 .21654 L
.02381 .22027 L
.02381 .22401 L
.02381 .22774 L
.02381 .23148 L
.02381 .23521 L
.02381 .23894 L
s
.04762 .1269 m
.04762 .13063 L
.04762 .13437 L
.04762 .1381 L
.04762 .14184 L
.04762 .14557 L
.04762 .14931 L
.04762 .15304 L
.04762 .15678 L
.04762 .16051 L
.04762 .16425 L
.04762 .16798 L
.04762 .17172 L
.04762 .17545 L
.04762 .17919 L
.04762 .18292 L
.04762 .18666 L
.04762 .19039 L
.04762 .19413 L
.04762 .19786 L
.04762 .2016 L
.04762 .20533 L
.04762 .20907 L
.04762 .2128 L
.04762 .21654 L
.04762 .22027 L
.04762 .22401 L
.04762 .22774 L
.04762 .23148 L
.04762 .23521 L
.04762 .23894 L
s
.07143 .1269 m
.07143 .13063 L
.07143 .13437 L
.07143 .1381 L
.07143 .14184 L
.07143 .14557 L
.07143 .14931 L
.07143 .15304 L
.07143 .15678 L
.07143 .16051 L
.07143 .16425 L
.07143 .16798 L
.07143 .17172 L
.07143 .17545 L
.07143 .17919 L
.07143 .18292 L
.07143 .18666 L
.07143 .19039 L
.07143 .19413 L
.07143 .19786 L
.07143 .2016 L
.07143 .20533 L
.07143 .20907 L
.07143 .2128 L
.07143 .21654 L
.07143 .22027 L
.07143 .22401 L
.07143 .22774 L
.07143 .23148 L
.07143 .23521 L
.07143 .23894 L
s
.09524 .1269 m
.09524 .13063 L
.09524 .13437 L
.09524 .1381 L
.09524 .14184 L
.09524 .14557 L
.09524 .14931 L
.09524 .15304 L
.09524 .15678 L
.09524 .16051 L
.09524 .16425 L
.09524 .16798 L
.09524 .17172 L
.09524 .17545 L
.09524 .17919 L
.09524 .18292 L
.09524 .18666 L
.09524 .19039 L
.09524 .19413 L
.09524 .19786 L
.09524 .2016 L
.09524 .20533 L
.09524 .20907 L
.09524 .2128 L
.09524 .21654 L
.09524 .22027 L
.09524 .22401 L
.09524 .22774 L
.09524 .23148 L
.09524 .23521 L
.09524 .23894 L
s
.11905 .1269 m
.11905 .13063 L
.11905 .13437 L
.11905 .1381 L
.11905 .14184 L
.11905 .14557 L
.11905 .14931 L
.11905 .15304 L
.11905 .15678 L
.11905 .16051 L
.11905 .16425 L
.11905 .16798 L
.11905 .17172 L
.11905 .17545 L
.11905 .17919 L
.11905 .18292 L
.11905 .18666 L
.11905 .19039 L
.11905 .19413 L
.11905 .19786 L
.11905 .2016 L
.11905 .20533 L
.11905 .20907 L
.11905 .2128 L
.11905 .21654 L
.11905 .22027 L
.11905 .22401 L
.11905 .22774 L
.11905 .23148 L
.11905 .23521 L
.11905 .23894 L
s
.14286 .1269 m
.14286 .13063 L
.14286 .13437 L
.14286 .1381 L
.14286 .14184 L
.14286 .14557 L
.14286 .14931 L
.14286 .15304 L
.14286 .15678 L
.14286 .16051 L
.14286 .16425 L
.14286 .16798 L
.14286 .17172 L
.14286 .17545 L
.14286 .17919 L
.14286 .18292 L
.14286 .18666 L
.14286 .19039 L
.14286 .19413 L
.14286 .19786 L
.14286 .2016 L
.14286 .20533 L
.14286 .20907 L
.14286 .2128 L
.14286 .21654 L
.14286 .22027 L
.14286 .22401 L
.14286 .22774 L
.14286 .23148 L
.14286 .23521 L
.14286 .23894 L
s
.16667 .1269 m
.16667 .13063 L
.16667 .13437 L
.16667 .1381 L
.16667 .14184 L
.16667 .14557 L
.16667 .14931 L
.16667 .15304 L
.16667 .15678 L
.16667 .16051 L
.16667 .16425 L
.16667 .16798 L
.16667 .17172 L
.16667 .17545 L
.16667 .17919 L
.16667 .18292 L
.16667 .18666 L
.16667 .19039 L
.16667 .19413 L
.16667 .19786 L
.16667 .2016 L
.16667 .20533 L
.16667 .20907 L
.16667 .2128 L
.16667 .21654 L
.16667 .22027 L
.16667 .22401 L
.16667 .22774 L
.16667 .23148 L
.16667 .23521 L
.16667 .23894 L
s
.19048 .1269 m
.19048 .13063 L
.19048 .13437 L
.19048 .1381 L
.19048 .14184 L
.19048 .14557 L
.19048 .14931 L
.19048 .15304 L
.19048 .15678 L
.19048 .16051 L
.19048 .16425 L
.19048 .16798 L
.19048 .17172 L
.19048 .17545 L
.19048 .17919 L
.19048 .18292 L
.19048 .18666 L
.19048 .19039 L
.19048 .19413 L
.19048 .19786 L
.19048 .2016 L
.19048 .20533 L
.19048 .20907 L
.19048 .2128 L
.19048 .21654 L
.19048 .22027 L
.19048 .22401 L
.19048 .22774 L
.19048 .23148 L
.19048 .23521 L
.19048 .23894 L
s
.21429 .1269 m
.21429 .13063 L
.21429 .13437 L
.21429 .1381 L
.21429 .14184 L
.21429 .14557 L
.21429 .14931 L
.21429 .15304 L
.21429 .15678 L
.21429 .16051 L
.21429 .16425 L
.21429 .16798 L
.21429 .17172 L
.21429 .17545 L
.21429 .17919 L
.21429 .18292 L
.21429 .18666 L
.21429 .19039 L
.21429 .19413 L
.21429 .19786 L
.21429 .2016 L
.21429 .20533 L
.21429 .20907 L
.21429 .2128 L
.21429 .21654 L
.21429 .22027 L
.21429 .22401 L
.21429 .22774 L
.21429 .23148 L
.21429 .23521 L
.21429 .23894 L
s
.2381 .1269 m
.2381 .13063 L
.2381 .13437 L
.2381 .1381 L
.2381 .14184 L
.2381 .14557 L
.2381 .14931 L
.2381 .15304 L
.2381 .15678 L
.2381 .16051 L
.2381 .16425 L
.2381 .16798 L
.2381 .17172 L
.2381 .17545 L
.2381 .17919 L
.2381 .18292 L
.2381 .18666 L
.2381 .19039 L
.2381 .19413 L
.2381 .19786 L
.2381 .2016 L
.2381 .20533 L
.2381 .20907 L
.2381 .2128 L
.2381 .21654 L
.2381 .22027 L
.2381 .22401 L
.2381 .22774 L
.2381 .23148 L
.2381 .23521 L
.2381 .23894 L
s
.2619 .1269 m
.2619 .13063 L
.2619 .13437 L
.2619 .1381 L
.2619 .14184 L
.2619 .14557 L
.2619 .14931 L
.2619 .15304 L
.2619 .15678 L
.2619 .16051 L
.2619 .16425 L
.2619 .16798 L
.2619 .17172 L
.2619 .17545 L
.2619 .17919 L
.2619 .18292 L
.2619 .18666 L
.2619 .19039 L
.2619 .19413 L
.2619 .19786 L
.2619 .2016 L
.2619 .20533 L
.2619 .20907 L
.2619 .2128 L
.2619 .21654 L
.2619 .22027 L
.2619 .22401 L
.2619 .22774 L
.2619 .23148 L
.2619 .23521 L
.2619 .23894 L
s
.28571 .1269 m
.28571 .13063 L
.28571 .13437 L
.28571 .1381 L
.28571 .14184 L
.28571 .14557 L
.28571 .14931 L
.28571 .15304 L
.28571 .15678 L
.28571 .16051 L
.28571 .16425 L
.28571 .16798 L
.28571 .17172 L
.28571 .17545 L
.28571 .17919 L
.28571 .18292 L
.28571 .18666 L
.28571 .19039 L
.28571 .19413 L
.28571 .19786 L
.28571 .2016 L
.28571 .20533 L
.28571 .20907 L
.28571 .2128 L
.28571 .21654 L
.28571 .22027 L
.28571 .22401 L
.28571 .22774 L
.28571 .23148 L
.28571 .23521 L
.28571 .23894 L
s
.30952 .1269 m
.30952 .13063 L
.30952 .13437 L
.30952 .1381 L
.30952 .14184 L
.30952 .14557 L
.30952 .14931 L
.30952 .15304 L
.30952 .15678 L
.30952 .16051 L
.30952 .16425 L
.30952 .16798 L
.30952 .17172 L
.30952 .17545 L
.30952 .17919 L
.30952 .18292 L
.30952 .18666 L
.30952 .19039 L
.30952 .19413 L
.30952 .19786 L
.30952 .2016 L
.30952 .20533 L
.30952 .20907 L
.30952 .2128 L
.30952 .21654 L
.30952 .22027 L
.30952 .22401 L
.30952 .22774 L
.30952 .23148 L
.30952 .23521 L
.30952 .23894 L
s
.33333 .1269 m
.33333 .13063 L
.33333 .13437 L
.33333 .1381 L
.33333 .14184 L
.33333 .14557 L
.33333 .14931 L
.33333 .15304 L
.33333 .15678 L
.33333 .16051 L
.33333 .16425 L
.33333 .16798 L
.33333 .17172 L
.33333 .17545 L
.33333 .17919 L
.33333 .18292 L
.33333 .18666 L
.33333 .19039 L
.33333 .19413 L
.33333 .19786 L
.33333 .2016 L
.33333 .20533 L
.33333 .20907 L
.33333 .2128 L
.33333 .21654 L
.33333 .22027 L
.33333 .22401 L
.33333 .22774 L
.33333 .23148 L
.33333 .23521 L
.33333 .23894 L
s
.35915 .12821 m
.35889 .13186 L
.35865 .13551 L
.35843 .13915 L
.35822 .1428 L
.35804 .14645 L
.35787 .1501 L
.35771 .15374 L
.35758 .15739 L
.35746 .16104 L
.35737 .16469 L
.35729 .16833 L
.35722 .17198 L
.35718 .17563 L
.35715 .17928 L
.35714 .18292 L
.35715 .18657 L
.35718 .19022 L
.35722 .19386 L
.35729 .19751 L
.35737 .20116 L
.35746 .20481 L
.35758 .20845 L
.35771 .2121 L
.35787 .21575 L
.35804 .2194 L
.35822 .22304 L
.35843 .22669 L
.35865 .23034 L
.35889 .23399 L
.35915 .23763 L
s
.38291 .12962 m
.38266 .13318 L
.38242 .13673 L
.3822 .14028 L
.382 .14384 L
.38182 .14739 L
.38166 .15094 L
.38151 .1545 L
.38138 .15805 L
.38127 .1616 L
.38117 .16516 L
.38109 .16871 L
.38103 .17226 L
.38099 .17582 L
.38096 .17937 L
.38095 .18292 L
.38096 .18648 L
.38099 .19003 L
.38103 .19358 L
.38109 .19714 L
.38117 .20069 L
.38127 .20424 L
.38138 .2078 L
.38151 .21135 L
.38166 .2149 L
.38182 .21846 L
.382 .22201 L
.3822 .22556 L
.38242 .22912 L
.38266 .23267 L
.38291 .23622 L
s
.40914 .13127 m
.40857 .13471 L
.40805 .13815 L
.40756 .1416 L
.40712 .14504 L
.40671 .14848 L
.40634 .15193 L
.40601 .15537 L
.40571 .15882 L
.40546 .16226 L
.40525 .1657 L
.40507 .16915 L
.40494 .17259 L
.40484 .17603 L
.40478 .17948 L
.40476 .18292 L
.40478 .18637 L
.40484 .18981 L
.40494 .19325 L
.40507 .1967 L
.40525 .20014 L
.40546 .20359 L
.40571 .20703 L
.40601 .21047 L
.40634 .21392 L
.40671 .21736 L
.40712 .2208 L
.40756 .22425 L
.40805 .22769 L
.40857 .23114 L
.40914 .23458 L
s
.43277 .13341 m
.43222 .13671 L
.43172 .14001 L
.43126 .14331 L
.43083 .14661 L
.43044 .14992 L
.43008 .15322 L
.42976 .15652 L
.42948 .15982 L
.42924 .16312 L
.42904 .16642 L
.42887 .16972 L
.42874 .17302 L
.42865 .17632 L
.42859 .17962 L
.42857 .18292 L
.42859 .18622 L
.42865 .18952 L
.42874 .19282 L
.42887 .19613 L
.42904 .19943 L
.42924 .20273 L
.42948 .20603 L
.42976 .20933 L
.43008 .21263 L
.43044 .21593 L
.43083 .21923 L
.43126 .22253 L
.43172 .22583 L
.43222 .22913 L
.43277 .23243 L
s
.45639 .13556 m
.45588 .13872 L
.45539 .14187 L
.45495 .14503 L
.45454 .14819 L
.45416 .15135 L
.45383 .1545 L
.45352 .15766 L
.45325 .16082 L
.45302 .16398 L
.45283 .16713 L
.45267 .17029 L
.45254 .17345 L
.45245 .17661 L
.4524 .17976 L
.45238 .18292 L
.4524 .18608 L
.45245 .18924 L
.45254 .1924 L
.45267 .19555 L
.45283 .19871 L
.45302 .20187 L
.45325 .20503 L
.45352 .20818 L
.45383 .21134 L
.45416 .2145 L
.45454 .21766 L
.45495 .22081 L
.45539 .22397 L
.45588 .22713 L
.45639 .23029 L
s
.48002 .1377 m
.47953 .14072 L
.47907 .14373 L
.47864 .14675 L
.47825 .14976 L
.47789 .15278 L
.47757 .15579 L
.47728 .15881 L
.47702 .16182 L
.4768 .16483 L
.47662 .16785 L
.47646 .17086 L
.47634 .17388 L
.47626 .17689 L
.47621 .17991 L
.47619 .18292 L
.47621 .18594 L
.47626 .18895 L
.47634 .19197 L
.47646 .19498 L
.47662 .198 L
.4768 .20101 L
.47702 .20402 L
.47728 .20704 L
.47757 .21005 L
.47789 .21307 L
.47825 .21608 L
.47864 .2191 L
.47907 .22211 L
.47953 .22513 L
.48002 .22814 L
s
.50365 .13985 m
.50318 .14272 L
.50274 .14559 L
.50234 .14846 L
.50196 .15134 L
.50162 .15421 L
.50131 .15708 L
.50104 .15995 L
.50079 .16282 L
.50058 .16569 L
.50041 .16856 L
.50026 .17144 L
.50015 .17431 L
.50006 .17718 L
.50002 .18005 L
.5 .18292 L
.50002 .18579 L
.50006 .18867 L
.50015 .19154 L
.50026 .19441 L
.50041 .19728 L
.50058 .20015 L
.50079 .20302 L
.50104 .20589 L
.50131 .20877 L
.50162 .21164 L
.50196 .21451 L
.50234 .21738 L
.50274 .22025 L
.50318 .22312 L
.50365 .226 L
s
.52728 .142 m
.52683 .14472 L
.52641 .14745 L
.52603 .15018 L
.52567 .15291 L
.52535 .15564 L
.52506 .15837 L
.5248 .16109 L
.52456 .16382 L
.52436 .16655 L
.52419 .16928 L
.52406 .17201 L
.52395 .17474 L
.52387 .17747 L
.52382 .18019 L
.52381 .18292 L
.52382 .18565 L
.52387 .18838 L
.52395 .19111 L
.52406 .19384 L
.52419 .19656 L
.52436 .19929 L
.52456 .20202 L
.5248 .20475 L
.52506 .20748 L
.52535 .21021 L
.52567 .21294 L
.52603 .21566 L
.52641 .21839 L
.52683 .22112 L
.52728 .22385 L
s
.5509 .14414 m
.55048 .14673 L
.55009 .14931 L
.54972 .1519 L
.54939 .15448 L
.54908 .15707 L
.5488 .15965 L
.54855 .16224 L
.54833 .16482 L
.54814 .16741 L
.54798 .17 L
.54785 .17258 L
.54775 .17517 L
.54768 .17775 L
.54763 .18034 L
.54762 .18292 L
.54763 .18551 L
.54768 .18809 L
.54775 .19068 L
.54785 .19326 L
.54798 .19585 L
.54814 .19843 L
.54833 .20102 L
.54855 .20361 L
.5488 .20619 L
.54908 .20878 L
.54939 .21136 L
.54972 .21395 L
.55009 .21653 L
.55048 .21912 L
.5509 .2217 L
s
.57453 .14629 m
.57413 .14873 L
.57376 .15117 L
.57341 .15361 L
.5731 .15606 L
.57281 .1585 L
.57255 .16094 L
.57231 .16338 L
.5721 .16583 L
.57193 .16827 L
.57177 .17071 L
.57165 .17315 L
.57155 .1756 L
.57148 .17804 L
.57144 .18048 L
.57143 .18292 L
.57144 .18536 L
.57148 .18781 L
.57155 .19025 L
.57165 .19269 L
.57177 .19513 L
.57193 .19758 L
.5721 .20002 L
.57231 .20246 L
.57255 .2049 L
.57281 .20735 L
.5731 .20979 L
.57341 .21223 L
.57376 .21467 L
.57413 .21712 L
.57453 .21956 L
s
.59816 .14843 m
.59778 .15073 L
.59743 .15303 L
.59711 .15533 L
.59681 .15763 L
.59654 .15993 L
.59629 .16223 L
.59607 .16453 L
.59587 .16683 L
.59571 .16913 L
.59556 .17143 L
.59545 .17373 L
.59535 .17602 L
.59529 .17832 L
.59525 .18062 L
.59524 .18292 L
.59525 .18522 L
.59529 .18752 L
.59535 .18982 L
.59545 .19212 L
.59556 .19442 L
.59571 .19672 L
.59587 .19902 L
.59607 .20132 L
.59629 .20362 L
.59654 .20592 L
.59681 .20821 L
.59711 .21051 L
.59743 .21281 L
.59778 .21511 L
.59816 .21741 L
s
.62179 .15058 m
.62143 .15274 L
.62111 .15489 L
.6208 .15705 L
.62052 .1592 L
.62027 .16136 L
.62003 .16352 L
.61983 .16567 L
.61964 .16783 L
.61949 .16999 L
.61935 .17214 L
.61924 .1743 L
.61916 .17645 L
.6191 .17861 L
.61906 .18077 L
.61905 .18292 L
.61906 .18508 L
.6191 .18723 L
.61916 .18939 L
.61924 .19155 L
.61935 .1937 L
.61949 .19586 L
.61964 .19802 L
.61983 .20017 L
.62003 .20233 L
.62027 .20448 L
.62052 .20664 L
.6208 .2088 L
.62111 .21095 L
.62143 .21311 L
.62179 .21527 L
s
.64542 .15273 m
.64509 .15474 L
.64478 .15675 L
.64449 .15876 L
.64423 .16078 L
.64399 .16279 L
.64378 .1648 L
.64358 .16682 L
.64341 .16883 L
.64327 .17084 L
.64314 .17286 L
.64304 .17487 L
.64296 .17688 L
.6429 .1789 L
.64287 .18091 L
.64286 .18292 L
.64287 .18494 L
.6429 .18695 L
.64296 .18896 L
.64304 .19098 L
.64314 .19299 L
.64327 .195 L
.64341 .19701 L
.64358 .19903 L
.64378 .20104 L
.64399 .20305 L
.64423 .20507 L
.64449 .20708 L
.64478 .20909 L
.64509 .21111 L
.64542 .21312 L
s
.66904 .15487 m
.66874 .15674 L
.66845 .15861 L
.66819 .16048 L
.66794 .16235 L
.66772 .16422 L
.66752 .16609 L
.66734 .16796 L
.66718 .16983 L
.66705 .1717 L
.66693 .17357 L
.66684 .17544 L
.66676 .17731 L
.66671 .17918 L
.66668 .18105 L
.66667 .18292 L
.66668 .18479 L
.66671 .18666 L
.66676 .18853 L
.66684 .1904 L
.66693 .19227 L
.66705 .19414 L
.66718 .19601 L
.66734 .19788 L
.66752 .19975 L
.66772 .20162 L
.66794 .20349 L
.66819 .20536 L
.66845 .20723 L
.66874 .2091 L
.66904 .21097 L
s
.69267 .15702 m
.69239 .15874 L
.69212 .16047 L
.69188 .1622 L
.69166 .16393 L
.69145 .16565 L
.69127 .16738 L
.6911 .16911 L
.69095 .17083 L
.69083 .17256 L
.69072 .17429 L
.69063 .17601 L
.69056 .17774 L
.69052 .17947 L
.69049 .1812 L
.69048 .18292 L
.69049 .18465 L
.69052 .18638 L
.69056 .1881 L
.69063 .18983 L
.69072 .19156 L
.69083 .19328 L
.69095 .19501 L
.6911 .19674 L
.69127 .19847 L
.69145 .20019 L
.69166 .20192 L
.69188 .20365 L
.69212 .20537 L
.69239 .2071 L
.69267 .20883 L
s
.7163 .15916 m
.71604 .16075 L
.7158 .16233 L
.71557 .16392 L
.71537 .1655 L
.71518 .16708 L
.71501 .16867 L
.71486 .17025 L
.71472 .17183 L
.71461 .17342 L
.71451 .175 L
.71443 .17659 L
.71437 .17817 L
.71432 .17975 L
.71429 .18134 L
.71429 .18292 L
.71429 .18451 L
.71432 .18609 L
.71437 .18767 L
.71443 .18926 L
.71451 .19084 L
.71461 .19243 L
.71472 .19401 L
.71486 .19559 L
.71501 .19718 L
.71518 .19876 L
.71537 .20035 L
.71557 .20193 L
.7158 .20351 L
.71604 .2051 L
.7163 .20668 L
s
.73993 .16131 m
.73969 .16275 L
.73947 .16419 L
.73927 .16563 L
.73908 .16707 L
.73891 .16851 L
.73875 .16995 L
.73862 .1714 L
.73849 .17284 L
.73839 .17428 L
.7383 .17572 L
.73823 .17716 L
.73817 .1786 L
.73813 .18004 L
.7381 .18148 L
.7381 .18292 L
.7381 .18436 L
.73813 .1858 L
.73817 .18725 L
.73823 .18869 L
.7383 .19013 L
.73839 .19157 L
.73849 .19301 L
.73862 .19445 L
.73875 .19589 L
.73891 .19733 L
.73908 .19877 L
.73927 .20021 L
.73947 .20165 L
.73969 .20309 L
.73993 .20454 L
s
.76355 .16346 m
.76334 .16475 L
.76314 .16605 L
.76296 .16735 L
.76279 .16865 L
.76264 .16994 L
.7625 .17124 L
.76237 .17254 L
.76226 .17384 L
.76217 .17514 L
.76209 .17643 L
.76202 .17773 L
.76197 .17903 L
.76193 .18033 L
.76191 .18162 L
.7619 .18292 L
.76191 .18422 L
.76193 .18552 L
.76197 .18682 L
.76202 .18811 L
.76209 .18941 L
.76217 .19071 L
.76226 .19201 L
.76237 .19331 L
.7625 .1946 L
.76264 .1959 L
.76279 .1972 L
.76296 .1985 L
.76314 .19979 L
.76334 .20109 L
.76355 .20239 L
s
.78718 .1656 m
.78699 .16676 L
.78682 .16791 L
.78665 .16907 L
.7865 .17022 L
.78637 .17137 L
.78624 .17253 L
.78613 .17368 L
.78603 .17484 L
.78595 .17599 L
.78588 .17715 L
.78582 .1783 L
.78577 .17946 L
.78574 .18061 L
.78572 .18177 L
.78571 .18292 L
.78572 .18408 L
.78574 .18523 L
.78577 .18639 L
.78582 .18754 L
.78588 .1887 L
.78595 .18985 L
.78603 .19101 L
.78613 .19216 L
.78624 .19332 L
.78637 .19447 L
.7865 .19562 L
.78665 .19678 L
.78682 .19793 L
.78699 .19909 L
.78718 .20024 L
s
.81081 .16775 m
.81064 .16876 L
.81049 .16977 L
.81035 .17078 L
.81022 .17179 L
.8101 .17281 L
.80999 .17382 L
.80989 .17483 L
.8098 .17584 L
.80973 .17685 L
.80967 .17786 L
.80962 .17888 L
.80958 .17989 L
.80955 .1809 L
.80953 .18191 L
.80952 .18292 L
.80953 .18393 L
.80955 .18495 L
.80958 .18596 L
.80962 .18697 L
.80967 .18798 L
.80973 .18899 L
.8098 .19 L
.80989 .19102 L
.80999 .19203 L
.8101 .19304 L
.81022 .19405 L
.81035 .19506 L
.81049 .19607 L
.81064 .19709 L
.81081 .1981 L
s
.83444 .16989 m
.83429 .17076 L
.83416 .17163 L
.83404 .1725 L
.83393 .17337 L
.83382 .17424 L
.83373 .1751 L
.83365 .17597 L
.83357 .17684 L
.83351 .17771 L
.83346 .17858 L
.83341 .17945 L
.83338 .18032 L
.83335 .18119 L
.83334 .18205 L
.83333 .18292 L
.83334 .18379 L
.83335 .18466 L
.83338 .18553 L
.83341 .1864 L
.83346 .18727 L
.83351 .18813 L
.83357 .189 L
.83365 .18987 L
.83373 .19074 L
.83382 .19161 L
.83393 .19248 L
.83404 .19335 L
.83416 .19421 L
.83429 .19508 L
.83444 .19595 L
s
.85806 .17204 m
.85795 .17276 L
.85784 .17349 L
.85773 .17422 L
.85764 .17494 L
.85755 .17567 L
.85747 .17639 L
.85741 .17712 L
.85734 .17784 L
.85729 .17857 L
.85725 .17929 L
.85721 .18002 L
.85718 .18075 L
.85716 .18147 L
.85715 .1822 L
.85714 .18292 L
.85715 .18365 L
.85716 .18437 L
.85718 .1851 L
.85721 .18582 L
.85725 .18655 L
.85729 .18728 L
.85734 .188 L
.85741 .18873 L
.85747 .18945 L
.85755 .19018 L
.85764 .1909 L
.85773 .19163 L
.85784 .19235 L
.85795 .19308 L
.85806 .19381 L
s
.88169 .17418 m
.8816 .17477 L
.88151 .17535 L
.88143 .17593 L
.88135 .17651 L
.88128 .1771 L
.88122 .17768 L
.88116 .17826 L
.88111 .17884 L
.88107 .17943 L
.88103 .18001 L
.88101 .18059 L
.88098 .18117 L
.88097 .18176 L
.88096 .18234 L
.88095 .18292 L
.88096 .18351 L
.88097 .18409 L
.88098 .18467 L
.88101 .18525 L
.88103 .18584 L
.88107 .18642 L
.88111 .187 L
.88116 .18758 L
.88122 .18817 L
.88128 .18875 L
.88135 .18933 L
.88143 .18991 L
.88151 .1905 L
.8816 .19108 L
.88169 .19166 L
s
.90532 .17633 m
.90525 .17677 L
.90518 .17721 L
.90512 .17765 L
.90506 .17809 L
.90501 .17853 L
.90496 .17897 L
.90492 .17941 L
.90488 .17985 L
.90485 .18029 L
.90482 .18073 L
.9048 .18116 L
.90478 .1816 L
.90477 .18204 L
.90476 .18248 L
.90476 .18292 L
.90476 .18336 L
.90477 .1838 L
.90478 .18424 L
.9048 .18468 L
.90482 .18512 L
.90485 .18556 L
.90488 .186 L
.90492 .18644 L
.90496 .18688 L
.90501 .18732 L
.90506 .18776 L
.90512 .1882 L
.90518 .18864 L
.90525 .18907 L
.90532 .18951 L
s
.92895 .17848 m
.9289 .17877 L
.92885 .17907 L
.92881 .17937 L
.92877 .17966 L
.92874 .17996 L
.92871 .18026 L
.92868 .18055 L
.92865 .18085 L
.92863 .18114 L
.92861 .18144 L
.9286 .18174 L
.92859 .18203 L
.92858 .18233 L
.92857 .18263 L
.92857 .18292 L
.92857 .18322 L
.92858 .18352 L
.92859 .18381 L
.9286 .18411 L
.92861 .1844 L
.92863 .1847 L
.92865 .185 L
.92868 .18529 L
.92871 .18559 L
.92874 .18589 L
.92877 .18618 L
.92881 .18648 L
.92885 .18678 L
.9289 .18707 L
.92895 .18737 L
s
.95258 .18062 m
.95255 .18078 L
.95253 .18093 L
.95251 .18108 L
.95249 .18124 L
.95247 .18139 L
.95245 .18154 L
.95244 .1817 L
.95242 .18185 L
.95241 .182 L
.9524 .18216 L
.95239 .18231 L
.95239 .18246 L
.95238 .18262 L
.95238 .18277 L
.95238 .18292 L
.95238 .18308 L
.95238 .18323 L
.95239 .18338 L
.95239 .18354 L
.9524 .18369 L
.95241 .18384 L
.95242 .184 L
.95244 .18415 L
.95245 .1843 L
.95247 .18446 L
.95249 .18461 L
.95251 .18476 L
.95253 .18492 L
.95255 .18507 L
.95258 .18522 L
s
0 0 m
1 0 L
1 .3468 L
0 .3468 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{666, 230.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000:J0000iR000`400?l00000o`00003oo`3ooooo
0?oooi`0oooo003o0?ooool0ooooW03oool00?l0ooooo`3ooonL0?ooo`00l03oool500000?l0oooo
T@3oool010000000oooo00000000000A0?ooo`00l@3oool010000000oooo0?ooo`00003o0?oooi40
oooo0P0000020?ooo`030000003oool0oooo00h0oooo003a0?ooo`030000003oool0oooo0?l0oooo
TP3oool00`000000oooo0?ooo`0200000100oooo003a0?ooo`030000003oool0oooo0?l0ooooT`3o
ool300000140oooo003a0?ooo`030000003oool0oooo0?l0ooooTP3oool200000080oooo00<00000
0?ooo`3oool03P3oool00?40oooo00<000000?ooo`3oool0o`3ooonB0?ooo`030000003oool0oooo
00800000403oool00?00oooo0`00003o0?oooi@0oooo0P0000000`3oool000000?ooo`0?0?ooo`00
o`3ooooo0?oooi`0oooo003o0?ooool0ooooW03oool00?l0ooooo`3ooonL0?ooo`00o`3ooooo0?oo
oi`0oooo003o0?ooool0ooooW03oool00?l0ooooo`3ooonL0?ooo`00o`3ooooo0?oooi`0oooo003o
0?ooool0ooooRP3oool00`000000oooo0?ooo`0?0?ooo`00n@3oool@00000?l0ooooP03oool00`00
0000oooo0?ooo`0?0?ooo`00n@3oool00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0
ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00n03oool2000000h0Ogmo00<000000?ooo`3oool0
o`3ooomn0?ooo`030000003oool0oooo00l0oooo003h0?oooa400000o`3ooon00?ooo`030000003o
ool0oooo00l0oooo003g0?ooo`030000001oOgl0000000h0Ogmo00<000000?ooo`3oool0o`3ooomn
0?ooo`030000003oool0oooo00l0oooo003g0?ooo`030000001oOgl0000000h0Ogmo00<000000?oo
o`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003g0?ooo`030000001oOgl0000000h0
Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003f0?ooo`040000
001oOgl0Ogmo000000h0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0
oooo003f0?ooo`040000001oOgl0Ogmo000000h0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`03
0000003oool0oooo00l0oooo003e0?ooo`050000001oOgl0Ogmo07moO`0000003P1oOgl00`000000
oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00?D0oooo00D0000007moO`1oOgl0
Ogmo0000000>07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00
m03oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0
o`3ooomn0?ooo`030000003oool0oooo00l0oooo003d0?ooo`030000001oOgl0Ogmo0080Ogmo00<0
000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3o
ool00?<0oooo00<0000007moO`1oOgl00`1oOgl@00000?l0ooooP03oool00`000000oooo0?ooo`0?
0?ooo`00l`3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00`0Ogmo00<000000?oo
o`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003c0?ooo`030000001oOgl0Ogmo00<0
Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3o
ool03`3oool00?80oooo00<0000007moO`1oOgl0101oOgl00`000000Ogmo07moO`0<07moO`030000
003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00lP3oool00`000000Ogmo07mo
O`0407moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003o
ool0oooo00l0oooo003a0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0301oOgl0
0`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00?40oooo00<0000007mo
O`1oOgl01@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`00
0000oooo0?ooo`0?0?ooo`00l03oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00`0
Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003`0?ooo`030000
001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo
00<000000?ooo`3oool03`3oool00?00oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07mo
O`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00k`3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn
0?ooo`030000003oool0oooo00l0oooo003_0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007mo
O`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>h0
oooo00<0000007moO`1oOgl0201oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0
ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00kP3oool00`000000Ogmo07moO`0807moO`030000
001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo
003]0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?oo
o`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>d0oooo00<0000007moO`1oOgl02@1oOgl0
0`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?
0?ooo`00k03oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?oo
o`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003/0?ooo`030000001oOgl0Ogmo00X0
Ogmo4000003o0?oooh00oooo00<000000?ooo`3oool03`3oool00>`0oooo00<0000007moO`1oOgl0
2P1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo
0?ooo`0?0?ooo`00j`3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00`0Ogmo00<0
00000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003[0?ooo`030000001oOgl0
Ogmo00/0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<00000
0?ooo`3oool03`3oool00>X0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0<07mo
O`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00jP3oool00`000000
Ogmo07moO`0<07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`03
0000003oool0oooo00l0oooo003Z0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0
301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>T0oooo00<0
000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3o
ool00`000000oooo0?ooo`0?0?ooo`00j@3oool00`000000Ogmo07moO`0=07moO`030000001oOgl0
Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003Y0?oo
o`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?oo
ogh0oooo00<000000?ooo`3oool03`3oool00>T0oooo00<0000007moO`1oOgl03@1oOgl00`000000
Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00
j03oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0
o`3ooomn0?ooo`030000003oool0oooo00l0oooo003X0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0
000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3o
ool00>P0oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0
oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00i`3oool00`000000Ogmo07moO`0?07mo
O`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo
00l0oooo003W0?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0301oOgl00`000000
oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>L0oooo00<0000007moO`1oOgl0
3`1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo
0?ooo`0?0?ooo`00i`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00`0Ogmo00<0
00000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003V0?ooo`030000001oOgl0
Ogmo0100Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<00000
0?ooo`3oool03`3oool00>H0oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0<07mo
O`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00iP3oool00`000000
Ogmo07moO`0@07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`03
0000003oool0oooo00l0oooo003V0?ooo`030000001oOgl0Ogmo0100Ogmo4000003o0?oooh00oooo
00<000000?ooo`3oool03`3oool00>D0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07mo
O`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00i@3oool0
0`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn
0?ooo`030000003oool0oooo00l0oooo003U0?ooo`030000001oOgl0Ogmo0140Ogmo00<0000007mo
O`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>D0
oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0
ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00i03oool00`000000Ogmo07moO`0B07moO`030000
001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo
003T0?ooo`030000001oOgl0Ogmo0180Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?oo
o`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>@0oooo00<0000007moO`1oOgl04P1oOgl0
0`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?
0?ooo`00i03oool00`000000Ogmo07moO`0B07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?oo
o`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003S0?ooo`030000001oOgl0Ogmo01<0
Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3o
ool03`3oool00><0oooo00<0000007moO`1oOgl04`1oOgl00`000000Ogmo07moO`0<07moO`030000
003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00403ooooI00WZ2Q00Ogmo00<0
000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3o
ool00>80oooo00<0000007moO`1oOgl0101oOglE00WZ2PX0Ogmo00<000000?ooo`3oool0o`3ooomn
0?ooo`030000003oool0oooo00l0oooo003R0?ooo`030000001oOgl0Ogmo01@0Ogmo00<0000007mo
O`1oOgl00P1oOgl;00WZ2_l0ooooP03oool00`000000oooo0?ooo`0?0?ooo`00hP3oool00`000000
Ogmo07moO`0D07moO`030000001oOgl0Ogmo00`0Ogmo00<0000000WZ2P09jPX02009jP[o0?ooogH0
oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`020?ooo`030000001oOgl0Ogmo01@0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo
0?ooo`080?ooo`/02NX:o`3ooom[0?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo0000000=07moO`0300WZ2P1oOgl0Ogmo00L0Ogmo
00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`0C0?ooo`X02NX:o`3ooomQ0?ooo`030000
003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo
0000000=07moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo
07moO`0707moO`030000003oool0oooo01d0oooo2`09jP[o0?oooeH0oooo00<000000?ooo`3oool0
3`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo
00<02NX:07moO`1oOgl0201oOgl00`000000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo
00<000000?ooo`3oool01@3oool00`09jPX0oooo0?ooo`0P0?ooo`X02NX:o`3ooom<0?ooo`030000
003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo
0000000<07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo
07moO`0707moO`030000003oool0oooo00D0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0K0?ooo`/02NX:o`3ooom10?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo0000000<07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo
00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo07moO`0707moO`030000003oool0oooo00@0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo01H0oooo
2`09jP[o0?ooocH0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07moO`1oOgl0201oOgl00`000000Ogmo
07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0103oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool08@3oool:00WZ2_l0oooo
;03oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0500WZ2P3o
ool0oooo0?ooo`000000301oOgl00`09jPX0Ogmo07moO`0807moO`030000001oOgl0Ogmo0080Ogmo
00<02NX:07moO`1oOgl01`1oOgl00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo01/0oooo
2`09jP[o0?ooob40oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07moO`1oOgl0201oOgl00`000000Ogmo
07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0103oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo01L0oooo2P09jP[o0?oooaL0oooo00<000000?ooo`3oool0
3`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo
00<02NX:07moO`1oOgl0201oOgl00`000000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo
00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo0240oooo
2`09jP[o0?ooo``0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07moO`1oOgl0201oOgl50000000300WZ
2P000000000000P000001P3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0703oool:00WZ2_l0oooo0P3oool00`000000oooo0?ooo`0?0?ooo`00403o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0500WZ2P3oool0oooo0?ooo`000000301oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo01H0oooo2`09jP[f0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo0240oooo2009jP[^0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool06P3oool500WZ2^T0oooo
00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?oo
o`00000=07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo
07moO`0707moO`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00l0oooo2009jP[Q0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00L0oooo2P09jP[G0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo0140oooo2`09jP[<0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo
07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo
0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool:00WZ2/80oooo
00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?oo
o`00000=07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`03
0000003oool0oooo00<0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00L0oooo2`09jPZg0?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09jPX0Ogmo07moO`0807moO`05
0000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0B0?ooo`X02NX:[@3oool00`00
0000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo0000
00d0Ogmo00<02NX:07moO`1oOgl0201oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<00000
0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`/02NX:XP3oool00`000000oooo0?ooo`0?
0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000d0Ogmo00<02NX:
07moO`1oOgl0201oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00P3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00P0oooo2P09jPZH0?ooo`030000003o
ool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool00000301o
Ogl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo
0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool04P3oool;00WZ2Xd0oooo
00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?oo
o`00000<07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`03
0000003oool0oooo0080oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo2P09jPZ30?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool00000301oOgl00`09jPX0Ogmo07moO`0907moO`05
0000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo
00L0oooo2`09jPYh0?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00@02NX:0?ooo`3oool00000301oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo
07moO`09jPX02P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:
0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:
0?ooo`3oool00`3oool:00WZ2Vh0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool0303oool01009jPX0oooo0?ooo`00000<07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D00000
07moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`/02NX:H`3oool00`000000oooo0?ooo`0?0?ooo`00403oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000`0Ogmo00<02NX:07moO`1oOgl02@1o
Ogl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00P3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0203oool;00WZ2UP0oooo
00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?oo
o`00000<07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`03
0000003oool0oooo0080oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`03
00WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool00`3oool:00WZ2Th0oooo00<000000?ooo`3o
ool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0000000=07moO`0300WZ
2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool;00WZ2T<0oooo00<000000?ooo`3oool03`3oool00100oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0000000=07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo
00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`090?ooo`X02NX:>@3oool00`000000oooo0?ooo`0?0?ooo`00
403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0000000d0Ogmo00<02NX:07moO`1oOgl0
2@1oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00P3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo0P09jPX>0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`030?ooo`P02NX:<@3oool00`000000
oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0000000d0Ogmo
00<02NX:07moO`1oOgl02@1oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3o
ool00P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool02`3oool500WZ2R`0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0000000=07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0
Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool02009jPXT0?ooo`03
0000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`000000
3@1oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`802NX:2P3oool;00WZ2QT0oooo00<000000?ooo`3oool03`3oool00100oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool01P3oool3000000<0oooo00<02NX:0?ooo`0000003@1oOgl00`09jPX0Ogmo
07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX00P1oOgl3000000D0Ogmo00<000000?ooo`3o
ool00P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00@0oooo2P09jPX70?ooo`<0
00001@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`070?ooo`D00000
00<02NX:0?ooo`0000003@1oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09
jPX00`1oOgl60000000307moO`000000oooo00<0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`T02NX:1P0000000`3oool000000?ooo`0@0?ooo`00403oool00`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000<0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:000000000000300000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000<0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:000000000000300000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000`0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000<0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000`0000000<02NX:0000000000003@0000000`09jPX00000
0000000=0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000<0000000300WZ2P000000000000d0000000<02NX:0000000000003@0000000`09jPX00000
0000000>00000140oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00L0oooo1@0000000`09jPX0oooo0000
000=07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0307moO`D00000
0P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool900WZ2PD000000P3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`060?ooo`800000103oool00`09jPX0oooo0000000=07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0
000007moO`1oOgl0Ogmo00WZ2P0207moO`8000001P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool00`3oool:00WZ2PP0oooo0P0000060?ooo`030000
003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`0000003@1o
Ogl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo
0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00L0oooo2`09jPXJ0?ooo`030000003oool0oooo00l0oooo
000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`0000003@1oOgl00`09jPX0Ogmo07mo
O`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`X02NX:
9@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0000000d0Ogmo00<02NX:07moO`1oOgl02@1oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo
00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool00P3oool;00WZ2Rl0oooo00<000000?ooo`3oool03`3oool00100oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0000000=07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0
000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`080?ooo`X02NX:>P3oool00`000000oooo0?ooo`0?0?ooo`00403o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0000000d0Ogmo00<02NX:07moO`1oOgl02@1o
Ogl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00P3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool200WZ2Ph0oooo
2`09jPY40?ooo`030000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`0000003@1oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX0
2P1oOgl00`000000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo0080oooo2P09jPY?0?ooo`030000
003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3o
ool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool00000
301oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000
oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`070?ooo`/02NX:F@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo
0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo
0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000`0Ogmo00<02NX:07moO`1oOgl02@1oOgl01@000000
Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`09jPX01`09jPYT0?ooo`030000003oool0oooo
00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool00000301oOgl00`09
jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`000000oooo0?ooo`02
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool02P3oool500WZ2V`0oooo00<00000
0?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?ooo`00000<
07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003o
ool0oooo0080oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool04@3oool800WZ2W40oooo00<000000?ooo`3oool03`3o
ool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0oooo0?ooo`00000<07moO`0300WZ2P1o
Ogl0Ogmo00T0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool01P3oool;00WZ2WT0oooo00<000000?ooo`3oool03`3oool00100oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool01009jPX0oooo0?ooo`00000<07moO`0300WZ2P1oOgl0Ogmo00T0Ogmo
00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo2P09jPZ40?ooo`03
0000003oool0oooo00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool0
0000301oOgl00`09jPX0Ogmo07moO`0907moO`050000001oOgl0Ogmo07moO`09jPX02P1oOgl00`00
0000oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool04@3oool;00WZ
2Xh0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0
oooo0?ooo`00000=07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo00D0000007moO`1oOgl0Ogmo00WZ2P0:
07moO`030000003oool0oooo0080oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=
0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`07
0?ooo`X02NX:V@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?oo
o`0400WZ2P3oool0oooo000000d0Ogmo00<02NX:07moO`1oOgl0201oOgl01@000000Ogmo07moO`1o
Ogl02NX:00X0Ogmo00<000000?ooo`3oool00P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3o
ool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0;0?ooo`/02NX:X`3o
ool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0
oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0
oooo000000d0Ogmo00<02NX:07moO`1oOgl0201oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo
00<000000?ooo`3oool00`3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo
00<02NX:0?ooo`3oool04@3oool:00WZ2Zh0oooo00<000000?ooo`3oool03`3oool00100oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<0
2NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<0
2NX:0?ooo`3oool0303oool01009jPX0oooo0?ooo`00000=07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo
00D0000007moO`1oOgl0Ogmo00WZ2P0:07moO`030000003oool0oooo00<0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3o
ool03@3oool00`09jPX0oooo0?ooo`0F0?ooo`/02NX:^03oool00`000000oooo0?ooo`0?0?ooo`00
403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0
3@3oool00`09jPX0oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000d0Ogmo00<02NX:07moO`1o
Ogl0201oOgl01@000000Ogmo07moO`1oOgl02NX:00X0Ogmo00<000000?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00`0oooo2P09jP[30?ooo`030000003oool0oooo
00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09
jPX0Ogmo07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`00
0000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo0100oooo2`09jP[=0?ooo`030000003oool0oooo
00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00@02NX:0?ooo`3oool000003@1oOgl00`09
jPX0Ogmo07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`00
0000oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0F0?ooo`X02NX:f03oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000d0Ogmo00<02NX:07moO`1oOgl0201oOgl00`00
0000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool02`3oool;00WZ
2^80oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01009jPX0
oooo0?ooo`00000=07moO`0300WZ2P1oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl00P1oOgl00`09
jPX0Ogmo07moO`0707moO`030000003oool0oooo00<0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0A0?ooo`X02NX:k@3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0400WZ2P3oool0oooo000000d0Ogmo00<02NX:07moO`1oOgl0201oOgl00`00
0000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09
jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09
jPX0oooo0?ooo`0F0?ooo`/02NX:m`3oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0500WZ2P3oool0oooo0?ooo`000000301oOgl00`09jPX0Ogmo07moO`0807mo
O`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00/0oooo2P09jP[o0?ooo`<0oooo00<000000?ooo`3oool03`3oool00100
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07mo
O`1oOgl0201oOgl50000000300WZ2P000000000000P000001P3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0403oool;00WZ2_l0oooo3@3oool00`00
0000oooo0?ooo`0?0?ooo`00403oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?ooo`0500WZ2P3oool0oooo0?oo
o`000000301oOgl00`09jPX0Ogmo07moO`0807moO`030000001oOgl0Ogmo0080Ogmo00<02NX:07mo
O`1oOgl01`1oOgl00`000000oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool05P3oool:00WZ2_l0oooo603oool00`000000oooo0?ooo`0?0?ooo`00403oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0500WZ2P3oool0oooo0?ooo`000000301oOgl00`09jPX0Ogmo07moO`0807mo
O`030000001oOgl0Ogmo0080Ogmo00<02NX:07moO`1oOgl01`1oOgl00`000000oooo0?ooo`040?oo
o`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0<0?oo
o`0300WZ2P3oool0oooo01h0oooo2009jP[o0?ooob80oooo00<000000?ooo`3oool03`3oool00100
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07mo
O`1oOgl0201oOgl00`000000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?oo
o`3oool0103oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0H0?ooo`D02NX:o`3ooolZ0?ooo`030000003oool0oooo
00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo0000000<07mo
O`0300WZ2P1oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo07moO`0707mo
O`030000003oool0oooo00@0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo0200oooo2009jP[o0?ooobl0oooo00<000000?ooo`3oool03`3oool00100
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07mo
O`1oOgl0201oOgl00`000000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?oo
o`3oool0103oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo02D0oooo2`09jP[o0?oo
ocL0oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool01@09jPX0
oooo0?ooo`3oool0000000`0Ogmo00<02NX:07moO`1oOgl0201oOgl00`000000Ogmo07moO`0207mo
O`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0103oool00`09jPX0oooo0?ooo`0=0?oo
o`0300WZ2P3oool0oooo01X0oooo2`09jP[o0?oood80oooo00<000000?ooo`3oool03`3oool00100
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000`0Ogmo00<02NX:07mo
O`1oOgl0201oOgl00`000000Ogmo07moO`0207moO`0300WZ2P1oOgl0Ogmo00L0Ogmo00<000000?oo
o`3oool01@3oool00`09jPX0oooo0?ooo`0O0?ooo`X02NX:o`3ooom=0?ooo`030000003oool0oooo
00l0oooo000@0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00D02NX:0?ooo`3oool0oooo0000000<07mo
O`0300WZ2P1oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl00P1oOgl00`09jPX0Ogmo07moO`0707mo
O`030000003oool0oooo01`0oooo2`09jP[o0?oooeL0oooo00<000000?ooo`3oool03`3oool00100
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0
oooo00<02NX:0?ooo`3oool0303oool01@09jPX0oooo0?ooo`3oool0000000d0Ogmo00<02NX:07mo
O`1oOgl01`1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0180oooo2P09jP[o0?oo
of80oooo00<000000?ooo`3oool03`3oool00100oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00`0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0
oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo00d0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0
oooo0?ooo`020?ooo`030000001oOgl0Ogmo01@0Ogmo00<0000007moO`1oOgl0301oOgl00`000000
oooo0?ooo`070?ooo`/02NX:o`3ooom/0?ooo`030000003oool0oooo00l0oooo003R0?ooo`030000
001oOgl0Ogmo01@0Ogmo00<0000007moO`1oOgl0301oOgl:00WZ2_l0ooooM`3oool00`000000oooo
0?ooo`0?0?ooo`00hP3oool00`000000Ogmo07moO`0>07moOaD02NX:00<000000?ooo`3oool0o`3o
oomn0?ooo`030000003oool0oooo00l0oooo003R0?ooo`030000001oOgl0Ogmo00<0Ogmo2`09jPX6
07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0
oooo00l0oooo000@0?ooomP02NX:4@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo
0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00h`3oool00`000000Ogmo07moO`0C07moO`03
0000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0
oooo003S0?ooo`030000001oOgl0Ogmo01<0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo
0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00><0oooo00<0000007moO`1oOgl04`1o
Ogl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?oo
o`0?0?ooo`00i03oool00`000000Ogmo07moO`0B07moO`030000001oOgl0Ogmo00`0Ogmo00<00000
0?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003T0?ooo`030000001oOgl0Ogmo
0180Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?oo
o`3oool03`3oool00>@0oooo00<0000007moO`1oOgl04P1oOgl00`000000Ogmo07moO`0<07moO`03
0000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00i03oool00`000000Ogmo
07moO`0B07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000
003oool0oooo00l0oooo003U0?ooo`030000001oOgl0Ogmo0140Ogmo00<0000007moO`1oOgl0301o
Ogl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>D0oooo00<00000
07moO`1oOgl04@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool0
0`000000oooo0?ooo`0?0?ooo`00i@3oool00`000000Ogmo07moO`0A07moOa000000o`3ooon00?oo
o`030000003oool0oooo00l0oooo003V0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1o
Ogl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>H0oooo
00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0oooo
OP3oool00`000000oooo0?ooo`0?0?ooo`00iP3oool00`000000Ogmo07moO`0@07moO`030000001o
Ogl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003V
0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o
0?ooogh0oooo00<000000?ooo`3oool03`3oool00>L0oooo00<0000007moO`1oOgl03`1oOgl00`00
0000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?oo
o`00i`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3o
ool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003W0?ooo`030000001oOgl0Ogmo00l0Ogmo
00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool0
3`3oool00>L0oooo00<0000007moO`1oOgl03`1oOgl00`000000Ogmo07moO`0<07moO`030000003o
ool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00j03oool00`000000Ogmo07moO`0>
07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0
oooo00l0oooo003X0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0301oOgl00`00
0000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>P0oooo00<0000007moO`1o
Ogl03P1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000
oooo0?ooo`0?0?ooo`00j03oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo00`0Ogmo
00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003Y0?ooo`030000001o
Ogl0Ogmo00d0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<0
00000?ooo`3oool03`3oool00>T0oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0<
07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00j@3oool00`00
0000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?oo
o`030000003oool0oooo00l0oooo003Y0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1o
Ogl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>X0oooo
00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0oooo
OP3oool00`000000oooo0?ooo`0?0?ooo`00jP3oool00`000000Ogmo07moO`0<07moO`030000001o
Ogl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003Z
0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o
0?ooogh0oooo00<000000?ooo`3oool03`3oool00>/0oooo00<0000007moO`1oOgl02`1oOgl00`00
0000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?oo
o`00j`3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3o
ool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003/0?ooo`030000001oOgl0Ogmo00X0Ogmo
4000003o0?oooh00oooo00<000000?ooo`3oool03`3oool00>`0oooo00<0000007moO`1oOgl02P1o
Ogl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?oo
o`0?0?ooo`00k03oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00`0Ogmo00<00000
0?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003]0?ooo`030000001oOgl0Ogmo
00T0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?oo
o`3oool03`3oool00>d0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0<07moO`03
0000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00kP3oool00`000000Ogmo
07moO`0807moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000
003oool0oooo00l0oooo003^0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0301o
Ogl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00>l0oooo00<00000
07moO`1oOgl01`1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool0
0`000000oooo0?ooo`0?0?ooo`00k`3oool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo
00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003`0?ooo`03
0000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0
oooo00<000000?ooo`3oool03`3oool00?00oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo
07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00l03o
ool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3o
oomn0?ooo`030000003oool0oooo00l0oooo003a0?ooo`030000001oOgl0Ogmo00D0Ogmo00<00000
07moO`1oOgl0301oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool0
0?40oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo
0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00lP3oool00`000000Ogmo07moO`0407moO`03
0000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0
oooo003b0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo
0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00?<0oooo00<0000007moO`1oOgl00`1o
Ogl@00000?l0ooooP03oool00`000000oooo0?ooo`0?0?ooo`00l`3oool00`000000Ogmo07moO`03
07moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0
oooo00l0oooo003c0?ooo`030000001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0301oOgl00`00
0000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool03`3oool00?@0oooo00<0000007moO`1o
Ogl00P1oOgl00`000000Ogmo07moO`0<07moO`030000003oool0oooo0?l0ooooOP3oool00`000000
oooo0?ooo`0?0?ooo`00m03oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo00`0Ogmo
00<000000?ooo`3oool0o`3ooomn0?ooo`030000003oool0oooo00l0oooo003e0?ooo`050000001o
Ogl0Ogmo07moO`0000003P1oOgl00`000000oooo0?ooo`3o0?ooogh0oooo00<000000?ooo`3oool0
3`3oool00?D0oooo00D0000007moO`1oOgl0Ogmo0000000>07moO`030000003oool0oooo0?l0oooo
OP3oool00`000000oooo0?ooo`0?0?ooo`00mP3oool010000000Ogmo07moO`00000>07moO`030000
003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00mP3oool010000000Ogmo07mo
O`00000>07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?ooo`0?0?ooo`00m`3o
ool00`000000Ogmo0000000>07moO`030000003oool0oooo0?l0ooooOP3oool00`000000oooo0?oo
o`0?0?ooo`00m`3oool00`000000Ogmo0000000>07moO`030000003oool0oooo0?l0ooooOP3oool0
0`000000oooo0?ooo`0?0?ooo`00m`3oool00`000000Ogmo0000000?00000?l0ooooP03oool00`00
0000oooo0?ooo`0?0?ooo`00n03oool2000000h0Ogmo00<000000?ooo`3oool0o`3ooomn0?ooo`03
0000003oool0oooo00l0oooo003h0?ooo`8000003P1oOgl00`000000oooo0?ooo`3o0?ooogh0oooo
00<000000?ooo`3oool03`3oool00?T0oooo4000003o0?oooh00oooo00<000000?ooo`3oool03`3o
ool00?l0ooooo`3ooonL0?ooo`00o`3ooooo0?oooi`0oooo003o0?ooool0ooooW03oool00?l0oooo
o`3ooonL0?ooo`00o`3ooooo0?oooi`0oooo0000\
\>"],
  ImageRangeCache->{{{0, 665}, {229.938, 0}} -> {-54.0649, -29.3869, \
0.242301, 0.242301}},
  CellTags->"PointSpreadFunction and FindField"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .61803 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 29.8233 0.0123456 0.00370703 [
[.05265 -0.00015 -18 -9 ]
[.05265 -0.00015 18 0 ]
[.20177 -0.00015 -15 -9 ]
[.20177 -0.00015 15 0 ]
[.35088 -0.00015 -18 -9 ]
[.35088 -0.00015 18 0 ]
[.5 -0.00015 -3 -9 ]
[.5 -0.00015 3 0 ]
[.64912 -0.00015 -15 -9 ]
[.64912 -0.00015 15 0 ]
[.79823 -0.00015 -12 -9 ]
[.79823 -0.00015 12 0 ]
[.94735 -0.00015 -15 -9 ]
[.94735 -0.00015 15 0 ]
[.01131 .10502 -12 -4.5 ]
[.01131 .10502 0 4.5 ]
[.01131 .1977 -12 -4.5 ]
[.01131 .1977 0 4.5 ]
[.01131 .29037 -12 -4.5 ]
[.01131 .29037 0 4.5 ]
[.01131 .38305 -18 -4.5 ]
[.01131 .38305 0 4.5 ]
[.01131 .47572 -18 -4.5 ]
[.01131 .47572 0 4.5 ]
[.01131 .5684 -18 -4.5 ]
[.01131 .5684 0 4.5 ]
[.5 .63053 -93 0 ]
[.5 .63053 93 9 ]
[ 0 0 0 0 ]
[ 1 .61803 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.05265 .01235 m
.05265 .0186 L
s
[(-0.015)] .05265 -0.00015 0 1 Mshowa
.20177 .01235 m
.20177 .0186 L
s
[(-0.01)] .20177 -0.00015 0 1 Mshowa
.35088 .01235 m
.35088 .0186 L
s
[(-0.005)] .35088 -0.00015 0 1 Mshowa
.5 .01235 m
.5 .0186 L
s
[(0)] .5 -0.00015 0 1 Mshowa
.64912 .01235 m
.64912 .0186 L
s
[(0.005)] .64912 -0.00015 0 1 Mshowa
.79823 .01235 m
.79823 .0186 L
s
[(0.01)] .79823 -0.00015 0 1 Mshowa
.94735 .01235 m
.94735 .0186 L
s
[(0.015)] .94735 -0.00015 0 1 Mshowa
.125 Mabswid
.08247 .01235 m
.08247 .0161 L
s
.1123 .01235 m
.1123 .0161 L
s
.14212 .01235 m
.14212 .0161 L
s
.17194 .01235 m
.17194 .0161 L
s
.23159 .01235 m
.23159 .0161 L
s
.26141 .01235 m
.26141 .0161 L
s
.29124 .01235 m
.29124 .0161 L
s
.32106 .01235 m
.32106 .0161 L
s
.38071 .01235 m
.38071 .0161 L
s
.41053 .01235 m
.41053 .0161 L
s
.44035 .01235 m
.44035 .0161 L
s
.47018 .01235 m
.47018 .0161 L
s
.52982 .01235 m
.52982 .0161 L
s
.55965 .01235 m
.55965 .0161 L
s
.58947 .01235 m
.58947 .0161 L
s
.61929 .01235 m
.61929 .0161 L
s
.67894 .01235 m
.67894 .0161 L
s
.70876 .01235 m
.70876 .0161 L
s
.73859 .01235 m
.73859 .0161 L
s
.76841 .01235 m
.76841 .0161 L
s
.82806 .01235 m
.82806 .0161 L
s
.85788 .01235 m
.85788 .0161 L
s
.8877 .01235 m
.8877 .0161 L
s
.91753 .01235 m
.91753 .0161 L
s
.02283 .01235 m
.02283 .0161 L
s
.97717 .01235 m
.97717 .0161 L
s
.25 Mabswid
0 .01235 m
1 .01235 L
s
.02381 .10502 m
.03006 .10502 L
s
[(25)] .01131 .10502 1 0 Mshowa
.02381 .1977 m
.03006 .1977 L
s
[(50)] .01131 .1977 1 0 Mshowa
.02381 .29037 m
.03006 .29037 L
s
[(75)] .01131 .29037 1 0 Mshowa
.02381 .38305 m
.03006 .38305 L
s
[(100)] .01131 .38305 1 0 Mshowa
.02381 .47572 m
.03006 .47572 L
s
[(125)] .01131 .47572 1 0 Mshowa
.02381 .5684 m
.03006 .5684 L
s
[(150)] .01131 .5684 1 0 Mshowa
.125 Mabswid
.02381 .03088 m
.02756 .03088 L
s
.02381 .04942 m
.02756 .04942 L
s
.02381 .06795 m
.02756 .06795 L
s
.02381 .08649 m
.02756 .08649 L
s
.02381 .12356 m
.02756 .12356 L
s
.02381 .14209 m
.02756 .14209 L
s
.02381 .16063 m
.02756 .16063 L
s
.02381 .17916 m
.02756 .17916 L
s
.02381 .21623 m
.02756 .21623 L
s
.02381 .23477 m
.02756 .23477 L
s
.02381 .2533 m
.02756 .2533 L
s
.02381 .27184 m
.02756 .27184 L
s
.02381 .30891 m
.02756 .30891 L
s
.02381 .32744 m
.02756 .32744 L
s
.02381 .34598 m
.02756 .34598 L
s
.02381 .36451 m
.02756 .36451 L
s
.02381 .40158 m
.02756 .40158 L
s
.02381 .42012 m
.02756 .42012 L
s
.02381 .43865 m
.02756 .43865 L
s
.02381 .45719 m
.02756 .45719 L
s
.02381 .49426 m
.02756 .49426 L
s
.02381 .5128 m
.02756 .5128 L
s
.02381 .53133 m
.02756 .53133 L
s
.02381 .54987 m
.02756 .54987 L
s
.02381 .58694 m
.02756 .58694 L
s
.02381 .60547 m
.02756 .60547 L
s
.25 Mabswid
.02381 0 m
.02381 .61803 L
s
[(Point Spread Intensity Function)] .5 .63053 0 -1 Mshowa
.5 Mabswid
.02381 .01899 m
.04023 .02062 L
.05665 .02115 L
.07307 .02038 L
.08949 .01851 L
.10591 .01627 L
.12233 .01472 L
.13875 .01494 L
.15517 .01778 L
.17159 .0234 L
.18801 .03117 L
.20443 .03963 L
.22085 .04681 L
.23727 .05067 L
.25369 .04977 L
.27011 .0439 L
.28654 .03447 L
.30296 .02467 L
.31938 .01914 L
.3358 .02322 L
.35222 .04199 L
.36864 .07907 L
.38506 .13563 L
.40148 .20968 L
.4179 .29601 L
.43432 .38662 L
.45074 .4718 L
.46716 .54158 L
.48358 .58737 L
.5 .60332 L
.51642 .58737 L
.53284 .54158 L
.54926 .4718 L
.56568 .38662 L
.5821 .29601 L
.59852 .20968 L
.61494 .13563 L
.63136 .07907 L
.64778 .04199 L
.6642 .02322 L
.68062 .01914 L
.69704 .02467 L
.71346 .03447 L
.72989 .0439 L
.74631 .04977 L
.76273 .05067 L
.77915 .04681 L
.79557 .03963 L
.81199 .03117 L
.82841 .0234 L
Mistroke
.84483 .01778 L
.86125 .01494 L
.87767 .01472 L
.89409 .01627 L
.91051 .01851 L
.92693 .02038 L
.94335 .02115 L
.95977 .02062 L
.97619 .01899 L
Mfstroke
0 0 m
1 0 L
1 .61803 L
0 .61803 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{390, 240.938},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`4000660000l2000`400?l00000o`00003oo`3ooon7
0?ooo`008P3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`0000030?oo
o`<000007@3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`00000N0?oo
o`800000103oool00`000000oooo0?ooo`030?ooo`800000103oool2000000<0oooo0`00000S0?oo
o`8000009P3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000030?oo
o`<000007P3oool2000000@0oooo00<000000?ooo`3oool00`3oool2000000<0oooo0`00000M0?oo
o`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool3000000<0oooo0`00000C0?oo
o`008@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo00D00000
0?ooo`3oool0oooo000000030?ooo`030000003oool0oooo01T0oooo00@000000?ooo`3oool00000
203oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo01`0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0O0?ooo`040000003oool0oooo000002@0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0J0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000`3oool00`000000oooo0?ooo`0K0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000`3oool01@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool0
403oool001X0oooo1@0000020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool0
00000`3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0180oooo1@0000020?ooo`04
0000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0E
0?ooo`D000000P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`0O0?ooo`040000003oool0oooo0000
02@0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`040000003o
ool0oooo000000D0oooo00<000000?ooo`3oool06P3oool010000000oooo0?ooo`0000080?ooo`04
0000003oool0oooo000000<0oooo00<000000?ooo`3oool06`3oool010000000oooo0?ooo`000008
0?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?oo
o`0@0?ooo`008@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0I0?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0L0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000050?ooo`030000
003oool0oooo01l0oooo00@000000?ooo`3oool00000903oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?oo
o`0J0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000
oooo0?ooo`0K0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool0
0`000000oooo0?ooo`050?ooo`030000003oool0oooo0100oooo000Q0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000`3oool010000000oooo0?ooo`3oool4000001`0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo
01`0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`050000003o
ool0oooo0000003oool01000000R0?ooo`040000003oool0oooo000002@0oooo00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000020?ooo`050000003oool0oooo0000003oool01000
000M0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000
oooo0?ooo`0K0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool0
10000000oooo0?ooo`3oool4000001<0oooo000Q0?ooo`040000003oool0oooo000000P0oooo00@0
00000?ooo`3oool000000P3oool2000000<0oooo00<000000?ooo`3oool07@3oool010000000oooo
0?ooo`0000080?ooo`040000003oool0oooo00000080oooo0P00000N0?ooo`040000003oool0oooo
000000P0oooo00@000000?ooo`3oool000000P3oool01P000000oooo0?ooo`000000oooo000002D0
oooo00@000000?ooo`3oool00000903oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo00000080oooo00H000000?ooo`3oool000000?ooo`00000P0?ooo`040000003oool0oooo0000
00P0oooo00@000000?ooo`3oool000000P3oool2000001d0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`8000000`3oool00`000000oooo0?ooo`0D0?ooo`008P3o
ool2000000X0oooo0P0000040?ooo`040000003oool0oooo0?ooo`D00000703oool2000000X0oooo
0P0000040?ooo`030000003oool0oooo01d0oooo0P00000:0?ooo`800000103oool200000080oooo
1@00000R0?ooo`8000009P3oool2000000X0oooo0P0000040?ooo`8000000P3oool5000001d0oooo
0P00000:0?ooo`800000103oool00`000000oooo0?ooo`0L0?ooo`8000002P3oool2000000@0oooo
00@000000?ooo`3oool0oooo1@00000B0?ooo`00o`3ooon70?ooo`008@3oool00`000000oooo0?oo
o`3o0?ooof<0oooo000Q0?ooo`030000003oool0oooo0?l0ooooH`3oool00240oooo00<000000?oo
o`3oool0o`3ooomS0?ooo`008@3oool00`000000oooo0?ooo`3o0?ooof<0oooo000I0?ooool00000
HP00000<0?ooo`008@3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00L0oooo00<0
00000?ooo`3oool00`3ooolB000000P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`080?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`070?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool01`3oool00`000000oooo0?oo
o`060?oooa<00000103oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00P0oooo00<0
00000?ooo`3oool04P3oool00240oooo100000070?ooo`030000003oool0oooo00L0oooo1P00000B
0?ooo`@000003P3oool00`000000oooo0?ooo`0U0?ooo`@000002@3oool00`000000oooo0?ooo`0a
0?ooo`030000003oool0oooo0340oooo00<000000?ooo`3oool0203oool3000002L0oooo00<00000
0?ooo`3oool0303oool4000001<0oooo1@0000090?ooo`030000003oool0oooo00D0oooo1000000D
0?ooo`008@3oool010000000oooo0?ooo`3ooolA000001`0oooo0`00000`0?ooo`<00000103oool3
000007H0oooo0`0000030?ooo`<00000<03oool3000001`0oooo4@00000H0?ooo`008@3oool00`00
0000oooo0?ooo`0a0?ooo`800000;03oool2000000X0oooo00<000000?ooo`3oool0L@3oool20000
00T0oooo0P00000/0?ooo`800000B03oool00240oooo00<000000?ooo`3oool0<`3oool2000002T0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`1_0?ooo`030000003oool0oooo00/0
oooo00<000000?ooo`3oool09`3oool2000004X0oooo000Q0?ooo`<00000=@3oool2000002D0oooo
0P00000?0?ooo`030000003oool0oooo06d0oooo00<000000?ooo`3oool03@3oool2000002D0oooo
0P00001<0?ooo`008@3oool00`000000oooo0?ooo`0g0?ooo`8000008P3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo06/0oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0P0?ooo`800000CP3oool00240oooo00<000000?ooo`3oool0>@3oool2000001h0oooo0P00000D
0?ooo`030000003oool0oooo06T0oooo00<000000?ooo`3oool04P3oool2000001h0oooo0P00001@
0?ooo`008@3oool00`000000oooo0?ooo`0k0?ooo`8000006P3oool2000001L0oooo00<000000?oo
o`3oool0I`3oool00`000000oooo0?ooo`0E0?ooo`8000006P3oool200000580oooo000Q0?ooo`03
0000003oool0oooo03d0oooo0`00000E0?ooo`8000006P3oool00`000000oooo0?ooo`1U0?ooo`03
0000003oool0oooo01P0oooo0P00000F0?ooo`800000E03oool00240oooo00<000000?ooo`3oool0
@03oool300000100oooo0P00000L0?ooo`030000003oool0oooo06D0oooo00<000000?ooo`3oool0
6P3oool300000100oooo0`00001F0?ooo`008@3oool00`000000oooo0?ooo`130?ooo`@000002@3o
ool3000001l0oooo00<000000?ooo`3oool0H`3oool00`000000oooo0?ooo`0N0?ooo`<00000203o
ool5000005T0oooo000Q0?ooo`<00000A`3oool900000280oooo00<000000?ooo`3oool0H`3oool0
0`000000oooo0?ooo`0Q0?ooo`P00000GP3oool00240oooo00<000000?ooo`3oool0L`3oool00`00
0000oooo0?ooo`1Q0?ooo`030000003oool0oooo08P0oooo000Q0?ooo`030000003oool0oooo07<0
oooo00<000000?ooo`3oool0H@3oool00`000000oooo0?ooo`280?ooo`008@3oool00`000000oooo
0?ooo`1d0?ooo`030000003oool0oooo05l0oooo00<000000?ooo`3oool0R@3oool00240oooo00<0
00000?ooo`3oool0M03oool00`000000oooo0?ooo`1O0?ooo`030000003oool0oooo08T0oooo000Q
0?ooo`030000003oool0oooo07@0oooo00<000000?ooo`3oool0G`3oool00`000000oooo0?ooo`29
0?ooo`008@3oool00`000000oooo0?ooo`1e0?ooo`030000003oool0oooo05d0oooo00<000000?oo
o`3oool0RP3oool00240oooo0`00001e0?ooo`030000003oool0oooo05d0oooo00<000000?ooo`3o
ool0RP3oool00240oooo00<000000?ooo`3oool0MP3oool00`000000oooo0?ooo`1K0?ooo`030000
003oool0oooo08/0oooo000Q0?ooo`030000003oool0oooo07H0oooo00<000000?ooo`3oool0F`3o
ool00`000000oooo0?ooo`2;0?ooo`008@3oool00`000000oooo0?ooo`1g0?ooo`030000003oool0
oooo05T0oooo00<000000?ooo`3oool0S03oool00240oooo00<000000?ooo`3oool0M`3oool00`00
0000oooo0?ooo`1I0?ooo`030000003oool0oooo08`0oooo000Q0?ooo`030000003oool0oooo07L0
oooo00<000000?ooo`3oool0F@3oool00`000000oooo0?ooo`2<0?ooo`008@3oool3000007P0oooo
00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`2=0?ooo`008@3oool00`000000oooo0?oo
o`1h0?ooo`030000003oool0oooo05L0oooo00<000000?ooo`3oool0S@3oool00240oooo00<00000
0?ooo`3oool0N03oool00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo08d0oooo000Q0?oo
o`030000003oool0oooo07T0oooo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`2>0?oo
o`004@3oool500000080oooo0`0000060?ooo`030000003oool0oooo07T0oooo00<000000?ooo`3o
ool0E@3oool00`000000oooo0?ooo`2>0?ooo`004P3oool01P000000oooo0?ooo`000000oooo0000
00<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`1i0?ooo`030000003oool0oooo
05D0oooo00<000000?ooo`3oool0SP3oool001<0oooo00<000000?ooo`3oool01@3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0D`3oool00`000000
oooo0?ooo`2?0?ooo`00503oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00<0oooo
1000001i0?ooo`030000003oool0oooo05<0oooo00<000000?ooo`3oool0S`3oool00140oooo00H0
00000?ooo`3oool0oooo0000003oool4000000H0oooo00<000000?ooo`3oool0NP3oool00`000000
oooo0?ooo`1C0?ooo`030000003oool0oooo08l0oooo000A0?ooo`070000003oool0oooo0?ooo`00
0000oooo000000090?ooo`030000003oool0oooo07X0oooo00<000000?ooo`3oool0D`3oool00`00
0000oooo0?ooo`2?0?ooo`004P3oool300000080oooo1@0000050?ooo`030000003oool0oooo07/0
oooo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`2@0?ooo`008@3oool00`000000oooo
0?ooo`1k0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3oool0T03oool00240oooo00<0
00000?ooo`3oool0N`3oool00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo0900oooo000Q
0?ooo`<00000O03oool00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo0940oooo000Q0?oo
o`030000003oool0oooo07`0oooo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`2A0?oo
o`008@3oool00`000000oooo0?ooo`1l0?ooo`030000003oool0oooo04l0oooo00<000000?ooo`3o
ool0T@3oool00240oooo00<000000?ooo`3oool0O@3oool00`000000oooo0?ooo`1=0?ooo`030000
003oool0oooo0980oooo000Q0?ooo`030000003oool0oooo07d0oooo00<000000?ooo`3oool0C@3o
ool00`000000oooo0?ooo`2B0?ooo`008@3oool00`000000oooo0?ooo`1m0?ooo`030000003oool0
oooo04d0oooo00<000000?ooo`3oool0TP3oool00240oooo00<000000?ooo`3oool0O@3oool00`00
0000oooo0?ooo`1=0?ooo`030000003oool0oooo0980oooo000Q0?ooo`<00000O@3oool00`000000
oooo0?ooo`1=0?ooo`030000003oool0oooo0980oooo000Q0?ooo`030000003oool0oooo07h0oooo
00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`2C0?ooo`008@3oool00`000000oooo0?oo
o`1n0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool0T`3oool00240oooo00<00000
0?ooo`3oool0OP3oool00`000000oooo0?ooo`1;0?ooo`030000003oool0oooo09<0oooo000Q0?oo
o`030000003oool0oooo07h0oooo00<000000?ooo`3oool0B`3oool00`000000oooo0?ooo`2C0?oo
o`008@3oool00`000000oooo0?ooo`1n0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3o
ool0T`3oool00240oooo0`00001o0?ooo`030000003oool0oooo04T0oooo00<000000?ooo`3oool0
U03oool00240oooo00<000000?ooo`3oool0O`3oool00`000000oooo0?ooo`190?ooo`030000003o
ool0oooo09@0oooo000Q0?ooo`030000003oool0oooo07l0oooo00<000000?ooo`3oool0B@3oool0
0`000000oooo0?ooo`2D0?ooo`008@3oool00`000000oooo0?ooo`1o0?ooo`030000003oool0oooo
04T0oooo00<000000?ooo`3oool0U03oool00240oooo00<000000?ooo`3oool0O`3oool00`000000
oooo0?ooo`190?ooo`030000003oool0oooo09@0oooo000Q0?ooo`030000003oool0oooo0800oooo
00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`2E0?ooo`008@3oool00`000000oooo0?oo
o`200?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0U@3oool00240oooo0`000020
0?ooo`030000003oool0oooo04L0oooo00<000000?ooo`3oool0U@3oool00240oooo00<000000?oo
o`3oool0P03oool00`000000oooo0?ooo`170?ooo`030000003oool0oooo09D0oooo000Q0?ooo`03
0000003oool0oooo0800oooo00<000000?ooo`3oool0A`3oool00`000000oooo0?ooo`2E0?ooo`00
8@3oool00`000000oooo0?ooo`210?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool0
UP3oool00180oooo0`0000040?ooo`8000001P3oool00`000000oooo0?ooo`210?ooo`030000003o
ool0oooo04D0oooo00<000000?ooo`3oool0UP3oool00140oooo00D000000?ooo`3oool0oooo0000
00020?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0P@3oool00`000000oooo
0?ooo`150?ooo`030000003oool0oooo09H0oooo000E0?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool00`3oool400000800oooo00<000000?ooo`3oool0A@3oool00`000000oooo
0?ooo`2F0?ooo`005@3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo
00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`150?ooo`030000003oool0oooo09H0oooo
000A0?ooo`@000000`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo0880oooo
00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`2G0?ooo`004@3oool00`000000oooo0?oo
o`040?ooo`040000003oool0oooo000000D0oooo00<000000?ooo`3oool0PP3oool00`000000oooo
0?ooo`130?ooo`030000003oool0oooo09L0oooo000A0?ooo`D000000`3oool2000000H0oooo00<0
00000?ooo`3oool0PP3oool00`000000oooo0?ooo`130?ooo`030000003oool0oooo09L0oooo000Q
0?ooo`030000003oool0oooo0880oooo00<000000?ooo`3oool0@`3oool00`000000oooo0?ooo`2G
0?ooo`008@3oool00`000000oooo0?ooo`220?ooo`030000003oool0oooo04<0oooo00<000000?oo
o`3oool0U`3oool00240oooo0`0000220?ooo`030000003oool0oooo04<0oooo00<000000?ooo`3o
ool0U`3oool00240oooo00<000000?ooo`3oool0P`3oool00`000000oooo0?ooo`110?ooo`030000
003oool0oooo09P0oooo000Q0?ooo`030000003oool0oooo08<0oooo00<000000?ooo`3oool0@@3o
ool00`000000oooo0?ooo`2H0?ooo`008@3oool00`000000oooo0?ooo`230?ooo`030000003oool0
oooo0440oooo00<000000?ooo`3oool0V03oool00240oooo00<000000?ooo`3oool0P`3oool00`00
0000oooo0?ooo`110?ooo`030000003oool0oooo09P0oooo000Q0?ooo`030000003oool0oooo08<0
oooo00<000000?ooo`3oool0@@3oool00`000000oooo0?ooo`2H0?ooo`008@3oool3000008@0oooo
00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`2I0?ooo`008@3oool00`000000oooo0?oo
o`240?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3oool0V@3oool00240oooo00<00000
0?ooo`3oool0Q03oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo09T0oooo000Q0?oo
o`030000003oool0oooo08@0oooo00<000000?ooo`3oool0?`3oool00`000000oooo0?ooo`2I0?oo
o`008@3oool00`000000oooo0?ooo`240?ooo`030000003oool0oooo03l0oooo00<000000?ooo`3o
ool0V@3oool00240oooo00<000000?ooo`3oool0Q@3oool00`000000oooo0?ooo`0m0?ooo`030000
003oool0oooo09X0oooo000Q0?ooo`030000003oool0oooo08D0oooo00<000000?ooo`3oool0?@3o
ool00`000000oooo0?ooo`2J0?ooo`008@3oool3000008D0oooo00<000000?ooo`3oool0?@3oool0
0`000000oooo0?ooo`2J0?ooo`008@3oool00`000000oooo0?ooo`250?ooo`030000003oool0oooo
03d0oooo00<000000?ooo`3oool0VP3oool00240oooo00<000000?ooo`3oool0Q@3oool00`000000
oooo0?ooo`0m0?ooo`030000003oool0oooo09X0oooo000Q0?ooo`030000003oool0oooo08H0oooo
00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`2K0?ooo`008@3oool00`000000oooo0?oo
o`260?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0V`3oool00240oooo00<00000
0?ooo`3oool0QP3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo09/0oooo000Q0?oo
o`<00000QP3oool00`000000oooo0?ooo`0k0?ooo`030000003oool0oooo09/0oooo000Q0?ooo`03
0000003oool0oooo08H0oooo00<000000?ooo`3oool0>`3oool00`000000oooo0?ooo`2K0?ooo`00
8@3oool00`000000oooo0?ooo`270?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0
W03oool00240oooo00<000000?ooo`3oool0Q`3oool00`000000oooo0?ooo`0i0?ooo`030000003o
ool0oooo09`0oooo000C0?ooo`030000003oool0oooo0080oooo0`0000060?ooo`030000003oool0
oooo08L0oooo00<000000?ooo`3oool0>@3oool00`000000oooo0?ooo`2L0?ooo`004`3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`27
0?ooo`030000003oool0oooo03T0oooo00<000000?ooo`3oool0W03oool001@0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo08L0oooo00<000000?oo
o`3oool0>@3oool00`000000oooo0?ooo`2L0?ooo`00503oool00`000000oooo0?ooo`040?ooo`03
0000003oool0oooo00<0oooo100000270?ooo`030000003oool0oooo03L0oooo00<000000?ooo`3o
ool0W@3oool001D0oooo00<000000?ooo`0000000`0000060?ooo`030000003oool0oooo08P0oooo
00<000000?ooo`3oool0=`3oool00`000000oooo0?ooo`2M0?ooo`004@3oool01`000000oooo0?oo
o`3oool000000?ooo`0000002@3oool00`000000oooo0?ooo`280?ooo`030000003oool0oooo03L0
oooo00<000000?ooo`3oool0W@3oool00140oooo1@0000000`3oool0000000000003000000D0oooo
00<000000?ooo`3oool0R03oool00`000000oooo0?ooo`0g0?ooo`030000003oool0oooo09d0oooo
000Q0?ooo`030000003oool0oooo08P0oooo00<000000?ooo`3oool0=`3oool00`000000oooo0?oo
o`2M0?ooo`008@3oool00`000000oooo0?ooo`280?ooo`030000003oool0oooo03L0oooo00<00000
0?ooo`3oool0W@3oool00240oooo0`0000290?ooo`030000003oool0oooo03D0oooo00<000000?oo
o`3oool0WP3oool00240oooo00<000000?ooo`3oool0R@3oool00`000000oooo0?ooo`0e0?ooo`03
0000003oool0oooo09h0oooo000Q0?ooo`030000003oool0oooo08T0oooo00<000000?ooo`3oool0
=@3oool00`000000oooo0?ooo`2N0?ooo`008@3oool00`000000oooo0?ooo`290?ooo`030000003o
ool0oooo03D0oooo00<000000?ooo`3oool0WP3oool00240oooo00<000000?ooo`3oool0R@3oool0
0`000000oooo0?ooo`0e0?ooo`030000003oool0oooo09h0oooo000Q0?ooo`030000003oool0oooo
08X0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`2O0?ooo`008@3oool00`000000
oooo0?ooo`2:0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0W`3oool00240oooo
0`00002:0?ooo`030000003oool0oooo03<0oooo00<000000?ooo`3oool0W`3oool00240oooo00<0
00000?ooo`3oool0RP3oool00`000000oooo0?ooo`0c0?ooo`030000003oool0oooo09l0oooo000Q
0?ooo`030000003oool0oooo08X0oooo00<000000?ooo`3oool0<`3oool00`000000oooo0?ooo`2O
0?ooo`008@3oool00`000000oooo0?ooo`2;0?ooo`030000003oool0oooo0340oooo00<000000?oo
o`3oool0X03oool00240oooo00<000000?ooo`3oool0R`3oool00`000000oooo0?ooo`0a0?ooo`03
0000003oool0oooo0:00oooo000Q0?ooo`030000003oool0oooo08/0oooo00<000000?ooo`3oool0
<@3oool00`000000oooo0?ooo`2P0?ooo`008@3oool3000008/0oooo00<000000?ooo`3oool0<@3o
ool00`000000oooo0?ooo`2P0?ooo`008@3oool00`000000oooo0?ooo`2;0?ooo`030000003oool0
oooo0340oooo00<000000?ooo`3oool0X03oool00240oooo00<000000?ooo`3oool0R`3oool00`00
0000oooo0?ooo`0a0?ooo`030000003oool0oooo0:00oooo000Q0?ooo`030000003oool0oooo08`0
oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`2Q0?ooo`008@3oool00`000000oooo
0?ooo`2<0?ooo`030000003oool0oooo02l0oooo00<000000?ooo`3oool0X@3oool00240oooo00<0
00000?ooo`3oool0S03oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0:40oooo000Q
0?ooo`030000003oool0oooo08`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`2Q
0?ooo`008@3oool3000008`0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`2Q0?oo
o`008@3oool00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3o
ool0XP3oool00240oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0]0?ooo`030000
003oool0oooo0:80oooo000Q0?ooo`030000003oool0oooo08d0oooo00<000000?ooo`3oool0;@3o
ool00`000000oooo0?ooo`2R0?ooo`00303oool3000000@0oooo0P0000040?ooo`8000001P3oool0
0`000000oooo0?ooo`2=0?ooo`030000003oool0oooo02d0oooo00<000000?ooo`3oool0XP3oool0
00d0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`040000003oool0
oooo000000D0oooo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0]0?ooo`030000003o
ool0oooo0:80oooo000=0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000050?ooo`@00000S@3oool00`000000oooo0?ooo`0[0?ooo`030000
003oool0oooo0:<0oooo000=0?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool00000
0P3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo08h0oooo00<000000?ooo`3o
ool0:`3oool00`000000oooo0?ooo`2S0?ooo`003@3oool00`000000oooo0?ooo`020?ooo`040000
003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`2>0?oo
o`030000003oool0oooo02/0oooo00<000000?ooo`3oool0X`3oool000`0oooo0P0000040?ooo`04
0000003oool0oooo00000080oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`2>
0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0X`3oool000d0oooo00<000000?oo
o`3oool00`3oool2000000@0oooo0P0000060?ooo`030000003oool0oooo08h0oooo00<000000?oo
o`3oool0:`3oool00`000000oooo0?ooo`2S0?ooo`008@3oool00`000000oooo0?ooo`2?0?ooo`03
0000003oool0oooo02T0oooo00<000000?ooo`3oool0Y03oool00240oooo00<000000?ooo`3oool0
S`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0:@0oooo000Q0?ooo`<00000S`3o
ool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0:@0oooo000Q0?ooo`030000003oool0
oooo08l0oooo00<000000?ooo`3oool0:@3oool00`000000oooo0?ooo`2T0?ooo`008@3oool00`00
0000oooo0?ooo`2?0?ooo`030000003oool0oooo02T0oooo00<000000?ooo`3oool0Y03oool00240
oooo00<000000?ooo`3oool0T03oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0:D0
oooo000Q0?ooo`030000003oool0oooo0900oooo00<000000?ooo`3oool09`3oool00`000000oooo
0?ooo`2U0?ooo`008@3oool00`000000oooo0?ooo`2@0?ooo`030000003oool0oooo02L0oooo00<0
00000?ooo`3oool0Y@3oool00240oooo0`00002@0?ooo`030000003oool0oooo02L0oooo00<00000
0?ooo`3oool0Y@3oool00240oooo00<000000?ooo`3oool0T03oool00`000000oooo0?ooo`0W0?oo
o`030000003oool0oooo0:D0oooo000Q0?ooo`030000003oool0oooo0940oooo00<000000?ooo`3o
ool09@3oool00`000000oooo0?ooo`2V0?ooo`008@3oool00`000000oooo0?ooo`2A0?ooo`030000
003oool0oooo02D0oooo00<000000?ooo`3oool0YP3oool00240oooo00<000000?ooo`3oool0T@3o
ool00`000000oooo0?ooo`0U0?ooo`030000003oool0oooo0:H0oooo000Q0?ooo`030000003oool0
oooo0940oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`2V0?ooo`008@3oool00`00
0000oooo0?ooo`2A0?ooo`030000003oool0oooo02D0oooo00<000000?ooo`3oool0YP3oool00240
oooo0`00002B0?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0Y`3oool00240oooo
00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`0S0?ooo`030000003oool0oooo0:L0oooo
000Q0?ooo`030000003oool0oooo0980oooo00<000000?ooo`3oool08`3oool00`000000oooo0?oo
o`2W0?ooo`008@3oool00`000000oooo0?ooo`2B0?ooo`030000003oool0oooo02<0oooo00<00000
0?ooo`3oool0Y`3oool00240oooo00<000000?ooo`3oool0TP3oool00`000000oooo0?ooo`0S0?oo
o`030000003oool0oooo0:L0oooo000Q0?ooo`030000003oool0oooo09<0oooo00<000000?ooo`3o
ool08@3oool00`000000oooo0?ooo`2X0?ooo`008@3oool3000009<0oooo00<000000?ooo`3oool0
8@3oool00`000000oooo0?ooo`2X0?ooo`008@3oool00`000000oooo0?ooo`2C0?ooo`030000003o
ool0oooo0240oooo00<000000?ooo`3oool0Z03oool00240oooo00<000000?ooo`3oool0T`3oool0
0`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo0:P0oooo000Q0?ooo`030000003oool0oooo
09<0oooo00<000000?ooo`3oool08@3oool00`000000oooo0?ooo`2X0?ooo`008@3oool00`000000
oooo0?ooo`2D0?ooo`030000003oool0oooo01l0oooo00<000000?ooo`3oool0Z@3oool000`0oooo
0`0000020?ooo`D000000P3oool3000000H0oooo00<000000?ooo`3oool0U03oool00`000000oooo
0?ooo`0O0?ooo`030000003oool0oooo0:T0oooo000=0?ooo`030000003oool0oooo0080oooo00H0
00000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3o
ool0U03oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0:T0oooo000=0?ooo`030000
003oool0oooo00<0oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`030?ooo`@00000
T`3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0:T0oooo000=0?ooo`030000003o
ool0oooo00@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo09@0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`2Y0?ooo`003@3oool0
1@000000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`0000000`0000060?ooo`030000003o
ool0oooo09D0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`2Z0?ooo`00303oool2
000000<0oooo00L000000?ooo`3oool0oooo0000003oool0000000T0oooo00<000000?ooo`3oool0
U@3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0:X0oooo000=0?ooo`030000003o
ool0oooo0080oooo0`0000020?ooo`D000001@3oool00`000000oooo0?ooo`2E0?ooo`030000003o
ool0oooo01d0oooo00<000000?ooo`3oool0ZP3oool00240oooo00<000000?ooo`3oool0U@3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo0:X0oooo000Q0?ooo`030000003oool0oooo
09D0oooo00<000000?ooo`3oool07@3oool00`000000oooo0?ooo`2Z0?ooo`008@3oool3000009H0
oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`2[0?ooo`008@3oool00`000000oooo
0?ooo`2F0?ooo`030000003oool0oooo01/0oooo00<000000?ooo`3oool0Z`3oool00240oooo00<0
00000?ooo`3oool0UP3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo0:/0oooo000Q
0?ooo`030000003oool0oooo09H0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`2[
0?ooo`008@3oool00`000000oooo0?ooo`2F0?ooo`030000003oool0oooo01/0oooo00<000000?oo
o`3oool0Z`3oool00240oooo00<000000?ooo`3oool0U`3oool00`000000oooo0?ooo`0I0?ooo`03
0000003oool0oooo0:`0oooo000Q0?ooo`<00000U`3oool00`000000oooo0?ooo`0I0?ooo`030000
003oool0oooo0:`0oooo000Q0?ooo`030000003oool0oooo09L0oooo00<000000?ooo`3oool06@3o
ool00`000000oooo0?ooo`2/0?ooo`008@3oool00`000000oooo0?ooo`2G0?ooo`030000003oool0
oooo01T0oooo00<000000?ooo`3oool0[03oool00240oooo00<000000?ooo`3oool0U`3oool00`00
0000oooo0?ooo`0I0?ooo`030000003oool0oooo0:`0oooo000Q0?ooo`030000003oool0oooo09P0
oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`2]0?ooo`008@3oool00`000000oooo
0?ooo`2H0?ooo`030000003oool0oooo01L0oooo00<000000?ooo`3oool0[@3oool00240oooo00<0
00000?ooo`3oool0V03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0:d0oooo000Q
0?ooo`<00000V03oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo0:d0oooo000Q0?oo
o`030000003oool0oooo09P0oooo00<000000?ooo`3oool05`3oool00`000000oooo0?ooo`2]0?oo
o`008@3oool00`000000oooo0?ooo`2I0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3o
ool0[P3oool00240oooo00<000000?ooo`3oool0V@3oool00`000000oooo0?ooo`0E0?ooo`030000
003oool0oooo0:h0oooo000Q0?ooo`030000003oool0oooo09T0oooo00<000000?ooo`3oool05@3o
ool00`000000oooo0?ooo`2^0?ooo`008@3oool00`000000oooo0?ooo`2J0?ooo`030000003oool0
oooo01<0oooo00<000000?ooo`3oool0[`3oool00240oooo0`00002J0?ooo`030000003oool0oooo
01<0oooo00<000000?ooo`3oool0[`3oool00240oooo00<000000?ooo`3oool0VP3oool00`000000
oooo0?ooo`0C0?ooo`030000003oool0oooo0:l0oooo000Q0?ooo`030000003oool0oooo09/0oooo
00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`2`0?ooo`008@3oool00`000000oooo0?oo
o`2K0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0/03oool000`0oooo0`000003
0?ooo`<00000103oool2000000H0oooo00<000000?ooo`3oool0V`3oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0;00oooo000=0?ooo`050000003oool0oooo0?ooo`0000000`3oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool0W03o
ool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo0;40oooo000=0?ooo`030000003oool0
oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`030?ooo`030000003o
ool0oooo09`0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`2a0?ooo`003@3oool0
0`000000oooo0?ooo`050?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00`3o
ool4000009`0oooo00<000000?ooo`3oool03@3oool00`000000oooo0?ooo`2b0?ooo`003@3oool0
10000000oooo0?ooo`3oool4000000<0oooo00@000000?ooo`3oool000001@3oool00`000000oooo
0?ooo`2M0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0/P3oool000`0oooo0P00
00030?ooo`030000003oool0oooo00@0oooo00@000000?ooo`3oool000001@3oool00`000000oooo
0?ooo`2M0?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0/P3oool000d0oooo00@0
00000?ooo`3oool0oooo1@0000030?ooo`8000001P3oool00`000000oooo0?ooo`2N0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0/`3oool00240oooo00<000000?ooo`3oool0WP3o
ool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo0;<0oooo000Q0?ooo`030000003oool0
oooo09h0oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`2c0?ooo`008@3oool30000
09l0oooo00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`2d0?ooo`008@3oool00`000000
oooo0?ooo`2P0?ooo`030000003oool0oooo00L0oooo00<000000?ooo`3oool0]@3oool00240oooo
00<000000?ooo`3oool0X@3oool00`000000oooo0?ooo`050?ooo`030000003oool0oooo0;H0oooo
000Q0?ooo`030000003oool0oooo0:80oooo00<000000?ooo`3oool00`3oool00`000000oooo0?oo
o`2g0?ooo`008@3oool00`000000oooo0?ooo`2S0?ooo`050000003oool0oooo0?ooo`000000^P3o
ool00240oooo00<000000?ooo`3oool0Y03oool00`000000oooo0000002k0?ooo`008@3oool00`00
0000oooo0?ooo`2U0?ooo`030000003oool0oooo0;X0oooo000Q0?ooo`<00000o`3ooomS0?ooo`00
8@3oool00`000000oooo0?ooo`3o0?ooof<0oooo000Q0?ooo`030000003oool0oooo0?l0ooooH`3o
ool00240oooo00<000000?ooo`3oool0o`3ooomS0?ooo`008@3oool00`000000oooo0?ooo`3o0?oo
of<0oooo003o0?ooohL0oooo003o0?ooohL0oooo003o0?ooohL0oooo003o0?ooohL0oooo002F0?oo
o`<00000D@3oool3000009T0oooo002G0?ooo`030000003oool0oooo0540oooo00<000000?ooo`3o
ool0V03oool006`0oooo0`0000040?ooo`<000000P3oool5000000050?ooo`00000000000000003o
ool00P0000020?ooo`8000002@3oool3000000<0oooo0`0000020?ooo`<00000103oool3000000<0
oooo100000020?ooo`@000001`3oool5000000050?ooo`00000000000000003oool00P0000020?oo
o`8000000`3oool300000080oooo0`0000000`3oool000000000000400000080oooo1@0000030?oo
o`800000103oool00`000000oooo0?ooo`070?ooo`<000001@3oool2000000030?ooo`0000000000
0080000000@0oooo000000000000oooo0`0000040?ooo`8000000P3oool500000080oooo0`000002
0?ooo`<0000000<0oooo000000000000H03oool006d0oooo00<000000?ooo`3oool00P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`00
00020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000020?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool01000
0000oooo0?ooo`0000020?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3oool00P3o
ool010000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000001P3oool01000
0000oooo0?ooo`0000050?ooo`050000003oool0oooo0?ooo`000000103oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00P0oooo00<000000?ooo`3oool00`3oool010000000oooo
0?ooo`0000020?ooo`060000003oool0oooo0000003oool000000`3oool010000000oooo0?ooo`00
00020?ooo`050000003oool0oooo0?ooo`0000000`3oool01@000000oooo0?ooo`3oool000000080
oooo00@000000?ooo`3oool00000H@3oool006d0oooo00<000000?ooo`3oool00P3oool01@000000
oooo0?ooo`3oool0000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo00`0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?oo
o`0000040?ooo`D000000P3oool300000080oooo00@000000?ooo`3oool000002P3oool00`000000
oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool00P3oool50000
0080oooo00@000000?ooo`3oool000000P3oool3000000@0oooo00<000000?ooo`3oool00P3oool0
0`000000oooo0?ooo`030?ooo`030000003oool0000000T0oooo00<000000?ooo`3oool00`3oool0
10000000oooo0?ooo`0000020?ooo`060000003oool0oooo0000003oool000001P3oool00`000000
oooo0?ooo`040?ooo`050000003oool0oooo0?ooo`0000000`3oool010000000oooo0?ooo`000002
0?ooo`030000003oool0oooo05l0oooo001]0?ooo`<000000P3oool01@000000oooo0?ooo`3oool0
000000<0oooo00<000000?ooo`3oool00P3oool010000000oooo0?ooo`0000020?ooo`030000003o
ool0oooo00X0oooo0P0000030?ooo`040000003oool0oooo00000080oooo0P0000030?ooo`070000
003oool0oooo0?ooo`000000oooo000000020?ooo`040000003oool0oooo00000080oooo00<00000
0?ooo`3oool0203oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080oooo00<0
00000?ooo`3oool00P3oool01@000000oooo0?ooo`3oool000000080oooo00H000000?ooo`3oool0
00000?ooo`0000070?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool00`3oool00`00
0000oooo000000090?ooo`<000000`3oool010000000oooo0?ooo`0000020?ooo`060000003oool0
oooo0000003oool000000`3oool010000000oooo0?ooo`0000060?ooo`050000003oool0oooo0?oo
o`0000000`3oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo05l0oooo001]0?oo
o`040000003oool0oooo00000080oooo0`0000020?ooo`<000000`3oool400000080oooo10000009
0?ooo`030000003oool0oooo0080oooo100000020?ooo`80000000<0oooo0000000000000P3oool3
000000<0oooo0P0000040?ooo`<000002P3oool010000000oooo0?ooo`3oool400000080oooo1000
00030?ooo`<000000P3oool4000000<0oooo10000000103oool000000000000000030?ooo`@00000
0P3oool2000000030?ooo`000000000000P0oooo00<000000?ooo`3oool00P3oool2000000040?oo
o`00000000000?ooo`@000000`3oool300000080oooo100000020?ooo`<00000103oool300000080
oooo1000001R0?ooo`00K@3oool010000000oooo0?ooo`00000D0?ooo`030000003oool0oooo00T0
oooo00@000000?ooo`3oool00000703oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0?0?ooo`040000003oool0oooo
000001@0oooo00<000000?ooo`3oool0M03oool006`0oooo1000000:0?ooo`030000003oool0oooo
00P0oooo00<000000?ooo`3oool02P3oool3000001/0oooo0P0000080?ooo`D00000203oool00`00
0000oooo0?ooo`0F0?ooo`030000003oool0oooo0080oooo00<000000?ooo`3oool03P3oool50000
01@0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`1]0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 389}, {239.938, 0}} -> {-0.019201, -10.2708, \
9.52855*^-5, 0.766578}},
  CellTags->"PointSpreadFunction and FindField"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
-1.55061e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -12 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.17646 .18758 -11.7989 -9 ]
[.17646 .18758 .20112 0 ]
[.3345 .12542 -5.5867 -9 ]
[.3345 .12542 .4133 0 ]
[.50253 .05935 -5.27396 -9 ]
[.50253 .05935 .72604 0 ]
[.68156 -0.01098 -4.96123 -9 ]
[.68156 -0.01098 1.03877 0 ]
[.70096 -0.00478 0 -6.26206 ]
[.70096 -0.00478 24 2.73794 ]
[.78313 .12104 0 -6.13858 ]
[.78313 .12104 30 2.86142 ]
[.8565 .23339 0 -6.03127 ]
[.8565 .23339 6 2.96873 ]
[.9224 .33431 0 -5.93715 ]
[.9224 .33431 24 3.06285 ]
[.98191 .42546 0 -5.85393 ]
[.98191 .42546 18 3.14607 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.01428 .32673 -12 -2.79444 ]
[.01428 .32673 0 6.20556 ]
[.00405 .39088 -18 -2.8489 ]
[.00405 .39088 0 6.1511 ]
[-0.00661 .4577 -18 -2.90588 ]
[-0.00661 .4577 0 6.09412 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(-1)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(1)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(2)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
[(-0.1)] .70096 -0.00478 -1 .39157 Mshowa
.7708 .12553 m
.76464 .12778 L
s
[(-0.05)] .78313 .12104 -1 .36413 Mshowa
.84407 .23761 m
.83786 .23973 L
s
[(0)] .8565 .23339 -1 .34028 Mshowa
.9099 .3383 m
.90365 .34029 L
s
[(0.05)] .9224 .33431 -1 .31937 Mshowa
.96935 .42924 m
.96306 .43113 L
s
[(0.1)] .98191 .42546 -1 .30087 Mshowa
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.75514 .10158 m
.75145 .10294 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.81573 .19425 m
.81201 .19555 L
s
.83006 .21617 m
.82633 .21745 L
s
.8578 .2586 m
.85407 .25986 L
s
.87123 .27915 m
.8675 .28039 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.92227 .35722 m
.91851 .3584 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02655 .32208 m
.03269 .31976 L
s
[(50)] .01428 .32673 1 -0.37901 Mshowa
.01637 .38636 m
.02253 .3841 L
s
[(100)] .00405 .39088 1 -0.36691 Mshowa
.00575 .45331 m
.01194 .45112 L
s
[(150)] -0.00661 .4577 1 -0.35425 Mshowa
.125 Mabswid
.03441 .27249 m
.03808 .27106 L
s
.03247 .28474 m
.03614 .28332 L
s
.03051 .29709 m
.03419 .29568 L
s
.02854 .30954 m
.03222 .30813 L
s
.02455 .33473 m
.02823 .33334 L
s
.02253 .34748 m
.02621 .3461 L
s
.02049 .36034 m
.02418 .35896 L
s
.01844 .37329 m
.02213 .37193 L
s
.01428 .39953 m
.01798 .39818 L
s
.01217 .41281 m
.01588 .41147 L
s
.01005 .4262 m
.01376 .42487 L
s
.00791 .4397 m
.01162 .43838 L
s
.00358 .46704 m
.00729 .46574 L
s
.00139 .48089 m
.0051 .47959 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.697 .787 .92 r
.40192 .6042 .40502 .60651 .41021 .60451 .40712 .60215 Metetra
.695 .783 .919 r
.40712 .60215 .41021 .60451 .41541 .60255 .41233 .60013 Metetra
.692 .779 .918 r
.41233 .60013 .41541 .60255 .42061 .60064 .41754 .59815 Metetra
.689 .774 .916 r
.41754 .59815 .42061 .60064 .42582 .59877 .42276 .59622 Metetra
.685 .769 .915 r
.42276 .59622 .42582 .59877 .43104 .59694 .42798 .59433 Metetra
.682 .765 .914 r
.42798 .59433 .43104 .59694 .43626 .59516 .43322 .59249 Metetra
.679 .76 .913 r
.43322 .59249 .43626 .59516 .4415 .59342 .43846 .59069 Metetra
.676 .757 .912 r
.43846 .59069 .4415 .59342 .44674 .5917 .44371 .58894 Metetra
.673 .754 .911 r
.44371 .58894 .44674 .5917 .45199 .59001 .44897 .58721 Metetra
.671 .751 .91 r
.44897 .58721 .45199 .59001 .45726 .58835 .45424 .58551 Metetra
.67 .749 .91 r
.45424 .58551 .45726 .58835 .46253 .5867 .45952 .58384 Metetra
.668 .747 .909 r
.45952 .58384 .46253 .5867 .46781 .58506 .46481 .58218 Metetra
.667 .746 .909 r
.46481 .58218 .46781 .58506 .4731 .58343 .47011 .58054 Metetra
.666 .745 .909 r
.47011 .58054 .4731 .58343 .4784 .58181 .47541 .5789 Metetra
.666 .744 .909 r
.47541 .5789 .4784 .58181 .48371 .5802 .48073 .57727 Metetra
.665 .743 .908 r
.48073 .57727 .48371 .5802 .48903 .57859 .48606 .57565 Metetra
.665 .743 .908 r
.48606 .57565 .48903 .57859 .49436 .57697 .4914 .57402 Metetra
.664 .742 .908 r
.4914 .57402 .49436 .57697 .49971 .57536 .49675 .5724 Metetra
.664 .742 .908 r
.49675 .5724 .49971 .57536 .50506 .57375 .50211 .57078 Metetra
.664 .742 .908 r
.50211 .57078 .50506 .57375 .51042 .57213 .50748 .56916 Metetra
.664 .742 .908 r
.50748 .56916 .51042 .57213 .5158 .57052 .51286 .56754 Metetra
.664 .742 .908 r
.51286 .56754 .5158 .57052 .52118 .5689 .51825 .56591 Metetra
.664 .741 .908 r
.51825 .56591 .52118 .5689 .52657 .56728 .52365 .56429 Metetra
.664 .741 .908 r
.52365 .56429 .52657 .56728 .53198 .56566 .52906 .56266 Metetra
.664 .741 .908 r
.52906 .56266 .53198 .56566 .53739 .56403 .53448 .56103 Metetra
.664 .741 .908 r
.53448 .56103 .53739 .56403 .54282 .5624 .53992 .55939 Metetra
.664 .741 .908 r
.53992 .55939 .54282 .5624 .54826 .56077 .54536 .55775 Metetra
.664 .741 .908 r
.54536 .55775 .54826 .56077 .55371 .55914 .55081 .55611 Metetra
.664 .741 .908 r
.55081 .55611 .55371 .55914 .55916 .5575 .55628 .55447 Metetra
.664 .741 .908 r
.55628 .55447 .55916 .5575 .56463 .55586 .56176 .55282 Metetra
.664 .741 .908 r
.56176 .55282 .56463 .55586 .57011 .55422 .56724 .55117 Metetra
.664 .741 .908 r
.56724 .55117 .57011 .55422 .5756 .55257 .57274 .54952 Metetra
.664 .741 .908 r
.57274 .54952 .5756 .55257 .58111 .55092 .57825 .54786 Metetra
.664 .741 .908 r
.57825 .54786 .58111 .55092 .58662 .54926 .58377 .5462 Metetra
.664 .741 .908 r
.58377 .5462 .58662 .54926 .59214 .54761 .5893 .54454 Metetra
.664 .741 .908 r
.5893 .54454 .59214 .54761 .59768 .54595 .59484 .54287 Metetra
.664 .741 .908 r
.59484 .54287 .59768 .54595 .60322 .54428 .6004 .5412 Metetra
.664 .741 .908 r
.6004 .5412 .60322 .54428 .60878 .54262 .60596 .53953 Metetra
.664 .741 .908 r
.60596 .53953 .60878 .54262 .61435 .54095 .61154 .53785 Metetra
.664 .741 .908 r
.61154 .53785 .61435 .54095 .61993 .53927 .61712 .53617 Metetra
.664 .741 .908 r
.61712 .53617 .61993 .53927 .62552 .53759 .62272 .53449 Metetra
.664 .741 .908 r
.62272 .53449 .62552 .53759 .63112 .53591 .62833 .5328 Metetra
.664 .741 .908 r
.62833 .5328 .63112 .53591 .63673 .53423 .63395 .53111 Metetra
.664 .741 .908 r
.63395 .53111 .63673 .53423 .64235 .53254 .63958 .52942 Metetra
.664 .741 .908 r
.63958 .52942 .64235 .53254 .64799 .53085 .64522 .52772 Metetra
.664 .741 .908 r
.64522 .52772 .64799 .53085 .65364 .52916 .65088 .52602 Metetra
.664 .741 .908 r
.65088 .52602 .65364 .52916 .65929 .52746 .65654 .52432 Metetra
.664 .741 .908 r
.65654 .52432 .65929 .52746 .66496 .52576 .66222 .52261 Metetra
.664 .741 .908 r
.66222 .52261 .66496 .52576 .67064 .52406 .66791 .5209 Metetra
.664 .741 .908 r
.66791 .5209 .67064 .52406 .67633 .52235 .67361 .51919 Metetra
.664 .741 .908 r
.67361 .51919 .67633 .52235 .68204 .52064 .67932 .51747 Metetra
.664 .741 .908 r
.67932 .51747 .68204 .52064 .68775 .51892 .68504 .51575 Metetra
.664 .741 .908 r
.68504 .51575 .68775 .51892 .69348 .51721 .69078 .51403 Metetra
.664 .741 .908 r
.69078 .51403 .69348 .51721 .69922 .51548 .69652 .5123 Metetra
.664 .741 .908 r
.69652 .5123 .69922 .51548 .70497 .51376 .70228 .51057 Metetra
.664 .741 .908 r
.70228 .51057 .70497 .51376 .71073 .51203 .70805 .50883 Metetra
.664 .741 .908 r
.70805 .50883 .71073 .51203 .7165 .5103 .71383 .50709 Metetra
.664 .741 .908 r
.71383 .50709 .7165 .5103 .72229 .50856 .71962 .50535 Metetra
.664 .741 .908 r
.71962 .50535 .72229 .50856 .72808 .50682 .72543 .50361 Metetra
.664 .741 .908 r
.72543 .50361 .72808 .50682 .73389 .50508 .73125 .50186 Metetra
.664 .741 .908 r
.73125 .50186 .73389 .50508 .73971 .50334 .73707 .5001 Metetra
.664 .741 .908 r
.73707 .5001 .73971 .50334 .74554 .50159 .74292 .49835 Metetra
.664 .741 .908 r
.74292 .49835 .74554 .50159 .75139 .49983 .74877 .49659 Metetra
.664 .741 .908 r
.74877 .49659 .75139 .49983 .75724 .49808 .75463 .49482 Metetra
.664 .741 .908 r
.75463 .49482 .75724 .49808 .76311 .49632 .76051 .49306 Metetra
.664 .741 .908 r
.76051 .49306 .76311 .49632 .76899 .49455 .7664 .49129 Metetra
.664 .741 .908 r
.7664 .49129 .76899 .49455 .77488 .49278 .7723 .48951 Metetra
.664 .741 .908 r
.7723 .48951 .77488 .49278 .78079 .49101 .77821 .48773 Metetra
.664 .741 .908 r
.77821 .48773 .78079 .49101 .78671 .48924 .78414 .48595 Metetra
.664 .741 .908 r
.78414 .48595 .78671 .48924 .79263 .48746 .79007 .48417 Metetra
.664 .741 .908 r
.79007 .48417 .79263 .48746 .79857 .48568 .79602 .48238 Metetra
.664 .741 .908 r
.79602 .48238 .79857 .48568 .80453 .48389 .80198 .48059 Metetra
.663 .741 .908 r
.80198 .48059 .80453 .48389 .81049 .4821 .80796 .47879 Metetra
.663 .741 .908 r
.80796 .47879 .81049 .4821 .81647 .48031 .81394 .47699 Metetra
.663 .741 .908 r
.81394 .47699 .81647 .48031 .82246 .47852 .81994 .47519 Metetra
.663 .741 .908 r
.81994 .47519 .82246 .47852 .82846 .47672 .82595 .47339 Metetra
.663 .741 .908 r
.82595 .47339 .82846 .47672 .83448 .47492 .83198 .47158 Metetra
.663 .741 .908 r
.83198 .47158 .83448 .47492 .84051 .47311 .83802 .46977 Metetra
.663 .741 .908 r
.83802 .46977 .84051 .47311 .84655 .4713 .84407 .46796 Metetra
.663 .741 .908 r
.84407 .46796 .84655 .4713 .8526 .4695 .85013 .46614 Metetra
.663 .742 .909 r
.85013 .46614 .8526 .4695 .85867 .46769 .8562 .46433 Metetra
.663 .742 .909 r
.8562 .46433 .85867 .46769 .86474 .46587 .86229 .46251 Metetra
.662 .742 .909 r
.86229 .46251 .86474 .46587 .87084 .46406 .86839 .4607 Metetra
.662 .742 .909 r
.86839 .4607 .87084 .46406 .87694 .46225 .87451 .45889 Metetra
.661 .742 .91 r
.87451 .45889 .87694 .46225 .88306 .46044 .88064 .45708 Metetra
.661 .742 .91 r
.88064 .45708 .88306 .46044 .88919 .45864 .88678 .45527 Metetra
.66 .743 .911 r
.88678 .45527 .88919 .45864 .89534 .45683 .89294 .45347 Metetra
.66 .743 .912 r
.89294 .45347 .89534 .45683 .9015 .45504 .89911 .45168 Metetra
.659 .743 .912 r
.89911 .45168 .9015 .45504 .90767 .45325 .90529 .4499 Metetra
.658 .744 .913 r
.90529 .4499 .90767 .45325 .91386 .45147 .91149 .44813 Metetra
.656 .744 .915 r
.91149 .44813 .91386 .45147 .92007 .4497 .91771 .44637 Metetra
.655 .745 .916 r
.91771 .44637 .92007 .4497 .92629 .44795 .92394 .44464 Metetra
.653 .746 .918 r
.92394 .44464 .92629 .44795 .93253 .44622 .93019 .44292 Metetra
.652 .747 .919 r
.93019 .44292 .93253 .44622 .93878 .4445 .93646 .44122 Metetra
.65 .748 .921 r
.93646 .44122 .93878 .4445 .94505 .4428 .94274 .43954 Metetra
.648 .749 .923 r
.94274 .43954 .94505 .4428 .95134 .44112 .94904 .43788 Metetra
.646 .75 .925 r
.94904 .43788 .95134 .44112 .95764 .43946 .95536 .43624 Metetra
.644 .751 .927 r
.95536 .43624 .95764 .43946 .96396 .43782 .9617 .43462 Metetra
.643 .752 .928 r
.9617 .43462 .96396 .43782 .9703 .4362 .96805 .43302 Metetra
.7 .791 .922 r
.39881 .60193 .40192 .6042 .40712 .60215 .40402 .59984 Metetra
.698 .789 .921 r
.40402 .59984 .40712 .60215 .41233 .60013 .40923 .59777 Metetra
.696 .785 .919 r
.40923 .59777 .41233 .60013 .41754 .59815 .41445 .59572 Metetra
.693 .78 .918 r
.41445 .59572 .41754 .59815 .42276 .59622 .41968 .59372 Metetra
.689 .775 .917 r
.41968 .59372 .42276 .59622 .42798 .59433 .42492 .59177 Metetra
.686 .77 .915 r
.42492 .59177 .42798 .59433 .43322 .59249 .43016 .58987 Metetra
.682 .765 .914 r
.43016 .58987 .43322 .59249 .43846 .59069 .43541 .58801 Metetra
.679 .761 .913 r
.43541 .58801 .43846 .59069 .44371 .58894 .44067 .5862 Metetra
.676 .757 .912 r
.44067 .5862 .44371 .58894 .44897 .58721 .44594 .58443 Metetra
.673 .754 .911 r
.44594 .58443 .44897 .58721 .45424 .58551 .45121 .5827 Metetra
.671 .751 .91 r
.45121 .5827 .45424 .58551 .45952 .58384 .4565 .58099 Metetra
.67 .749 .91 r
.4565 .58099 .45952 .58384 .46481 .58218 .46179 .57931 Metetra
.668 .747 .909 r
.46179 .57931 .46481 .58218 .47011 .58054 .4671 .57764 Metetra
.667 .746 .909 r
.4671 .57764 .47011 .58054 .47541 .5789 .47241 .57598 Metetra
.666 .745 .909 r
.47241 .57598 .47541 .5789 .48073 .57727 .47774 .57434 Metetra
.666 .744 .909 r
.47774 .57434 .48073 .57727 .48606 .57565 .48307 .5727 Metetra
.665 .743 .908 r
.48307 .5727 .48606 .57565 .4914 .57402 .48842 .57107 Metetra
.665 .743 .908 r
.48842 .57107 .4914 .57402 .49675 .5724 .49378 .56944 Metetra
.664 .742 .908 r
.49378 .56944 .49675 .5724 .50211 .57078 .49914 .56781 Metetra
.664 .742 .908 r
.49914 .56781 .50211 .57078 .50748 .56916 .50452 .56618 Metetra
.664 .742 .908 r
.50452 .56618 .50748 .56916 .51286 .56754 .5099 .56455 Metetra
.664 .742 .908 r
.5099 .56455 .51286 .56754 .51825 .56591 .5153 .56292 Metetra
.664 .742 .908 r
.5153 .56292 .51825 .56591 .52365 .56429 .52071 .56128 Metetra
.664 .741 .908 r
.52071 .56128 .52365 .56429 .52906 .56266 .52613 .55965 Metetra
.664 .741 .908 r
.52613 .55965 .52906 .56266 .53448 .56103 .53156 .55801 Metetra
.664 .741 .908 r
.53156 .55801 .53448 .56103 .53992 .55939 .537 .55637 Metetra
.664 .741 .908 r
.537 .55637 .53992 .55939 .54536 .55775 .54245 .55472 Metetra
.664 .741 .908 r
.54245 .55472 .54536 .55775 .55081 .55611 .54791 .55308 Metetra
.664 .741 .908 r
.54791 .55308 .55081 .55611 .55628 .55447 .55339 .55143 Metetra
.664 .741 .908 r
.55339 .55143 .55628 .55447 .56176 .55282 .55887 .54977 Metetra
.664 .741 .908 r
.55887 .54977 .56176 .55282 .56724 .55117 .56436 .54812 Metetra
.664 .741 .908 r
.56436 .54812 .56724 .55117 .57274 .54952 .56987 .54646 Metetra
.664 .741 .908 r
.56987 .54646 .57274 .54952 .57825 .54786 .57539 .5448 Metetra
.664 .741 .908 r
.57539 .5448 .57825 .54786 .58377 .5462 .58091 .54313 Metetra
.664 .741 .908 r
.58091 .54313 .58377 .5462 .5893 .54454 .58645 .54146 Metetra
.664 .741 .908 r
.58645 .54146 .5893 .54454 .59484 .54287 .592 .53979 Metetra
.664 .741 .908 r
.592 .53979 .59484 .54287 .6004 .5412 .59756 .53811 Metetra
.664 .741 .908 r
.59756 .53811 .6004 .5412 .60596 .53953 .60313 .53643 Metetra
.664 .741 .908 r
.60313 .53643 .60596 .53953 .61154 .53785 .60872 .53475 Metetra
.664 .741 .908 r
.60872 .53475 .61154 .53785 .61712 .53617 .61431 .53306 Metetra
.664 .741 .908 r
.61431 .53306 .61712 .53617 .62272 .53449 .61991 .53137 Metetra
.664 .741 .908 r
.61991 .53137 .62272 .53449 .62833 .5328 .62553 .52968 Metetra
.664 .741 .908 r
.62553 .52968 .62833 .5328 .63395 .53111 .63116 .52798 Metetra
.664 .741 .908 r
.63116 .52798 .63395 .53111 .63958 .52942 .6368 .52628 Metetra
.664 .741 .908 r
.6368 .52628 .63958 .52942 .64522 .52772 .64245 .52458 Metetra
.664 .741 .908 r
.64245 .52458 .64522 .52772 .65088 .52602 .64811 .52288 Metetra
.664 .741 .908 r
.64811 .52288 .65088 .52602 .65654 .52432 .65378 .52117 Metetra
.664 .741 .908 r
.65378 .52117 .65654 .52432 .66222 .52261 .65947 .51945 Metetra
.664 .741 .908 r
.65947 .51945 .66222 .52261 .66791 .5209 .66516 .51773 Metetra
.664 .741 .908 r
.66516 .51773 .66791 .5209 .67361 .51919 .67087 .51601 Metetra
.664 .741 .908 r
.67087 .51601 .67361 .51919 .67932 .51747 .67659 .51429 Metetra
.664 .741 .908 r
.67659 .51429 .67932 .51747 .68504 .51575 .68232 .51256 Metetra
.664 .741 .908 r
.68232 .51256 .68504 .51575 .69078 .51403 .68806 .51083 Metetra
.664 .741 .908 r
.68806 .51083 .69078 .51403 .69652 .5123 .69382 .5091 Metetra
.664 .741 .908 r
.69382 .5091 .69652 .5123 .70228 .51057 .69958 .50736 Metetra
.664 .741 .908 r
.69958 .50736 .70228 .51057 .70805 .50883 .70536 .50562 Metetra
.664 .741 .908 r
.70536 .50562 .70805 .50883 .71383 .50709 .71115 .50387 Metetra
.664 .741 .908 r
.71115 .50387 .71383 .50709 .71962 .50535 .71695 .50213 Metetra
.664 .741 .908 r
.71695 .50213 .71962 .50535 .72543 .50361 .72276 .50037 Metetra
.664 .741 .908 r
.72276 .50037 .72543 .50361 .73125 .50186 .72859 .49862 Metetra
.664 .741 .908 r
.72859 .49862 .73125 .50186 .73707 .5001 .73443 .49686 Metetra
.664 .741 .908 r
.73443 .49686 .73707 .5001 .74292 .49835 .74028 .4951 Metetra
.664 .741 .908 r
.74028 .4951 .74292 .49835 .74877 .49659 .74614 .49333 Metetra
.664 .741 .908 r
.74614 .49333 .74877 .49659 .75463 .49482 .75201 .49156 Metetra
.664 .741 .908 r
.75201 .49156 .75463 .49482 .76051 .49306 .75789 .48979 Metetra
.664 .741 .908 r
.75789 .48979 .76051 .49306 .7664 .49129 .76379 .48801 Metetra
.664 .741 .908 r
.76379 .48801 .7664 .49129 .7723 .48951 .7697 .48623 Metetra
.664 .741 .908 r
.7697 .48623 .7723 .48951 .77821 .48773 .77562 .48444 Metetra
.664 .741 .908 r
.77562 .48444 .77821 .48773 .78414 .48595 .78156 .48265 Metetra
.664 .741 .908 r
.78156 .48265 .78414 .48595 .79007 .48417 .7875 .48086 Metetra
.664 .741 .908 r
.7875 .48086 .79007 .48417 .79602 .48238 .79346 .47907 Metetra
.663 .741 .908 r
.79346 .47907 .79602 .48238 .80198 .48059 .79943 .47727 Metetra
.663 .741 .908 r
.79943 .47727 .80198 .48059 .80796 .47879 .80541 .47547 Metetra
.663 .741 .908 r
.80541 .47547 .80796 .47879 .81394 .47699 .81141 .47366 Metetra
.663 .741 .908 r
.81141 .47366 .81394 .47699 .81994 .47519 .81742 .47185 Metetra
.663 .741 .908 r
.81742 .47185 .81994 .47519 .82595 .47339 .82344 .47004 Metetra
.663 .741 .908 r
.82344 .47004 .82595 .47339 .83198 .47158 .82947 .46823 Metetra
.663 .741 .908 r
.82947 .46823 .83198 .47158 .83802 .46977 .83552 .46641 Metetra
.663 .741 .908 r
.83552 .46641 .83802 .46977 .84407 .46796 .84157 .4646 Metetra
.663 .742 .909 r
.84157 .4646 .84407 .46796 .85013 .46614 .84765 .46278 Metetra
.663 .742 .909 r
.84765 .46278 .85013 .46614 .8562 .46433 .85373 .46096 Metetra
.662 .742 .909 r
.85373 .46096 .8562 .46433 .86229 .46251 .85983 .45914 Metetra
.662 .742 .909 r
.85983 .45914 .86229 .46251 .86839 .4607 .86594 .45733 Metetra
.661 .742 .91 r
.86594 .45733 .86839 .4607 .87451 .45889 .87207 .45551 Metetra
.661 .742 .91 r
.87207 .45551 .87451 .45889 .88064 .45708 .8782 .4537 Metetra
.66 .743 .911 r
.8782 .4537 .88064 .45708 .88678 .45527 .88436 .4519 Metetra
.66 .743 .912 r
.88436 .4519 .88678 .45527 .89294 .45347 .89052 .45011 Metetra
.659 .743 .912 r
.89052 .45011 .89294 .45347 .89911 .45168 .89671 .44832 Metetra
.657 .744 .914 r
.89671 .44832 .89911 .45168 .90529 .4499 .9029 .44655 Metetra
.656 .744 .915 r
.9029 .44655 .90529 .4499 .91149 .44813 .90912 .44479 Metetra
.655 .745 .916 r
.90912 .44479 .91149 .44813 .91771 .44637 .91535 .44305 Metetra
.653 .746 .918 r
.91535 .44305 .91771 .44637 .92394 .44464 .92159 .44133 Metetra
.651 .747 .919 r
.92159 .44133 .92394 .44464 .93019 .44292 .92785 .43963 Metetra
.649 .748 .921 r
.92785 .43963 .93019 .44292 .93646 .44122 .93413 .43795 Metetra
.648 .749 .923 r
.93413 .43795 .93646 .44122 .94274 .43954 .94043 .4363 Metetra
.646 .75 .925 r
.94043 .4363 .94274 .43954 .94904 .43788 .94675 .43466 Metetra
.644 .751 .927 r
.94675 .43466 .94904 .43788 .95536 .43624 .95308 .43304 Metetra
.642 .752 .929 r
.95308 .43304 .95536 .43624 .9617 .43462 .95943 .43144 Metetra
.641 .754 .931 r
.95943 .43144 .9617 .43462 .96805 .43302 .96579 .42985 Metetra
.701 .794 .923 r
.39568 .59969 .39881 .60193 .40402 .59984 .4009 .59758 Metetra
.701 .793 .922 r
.4009 .59758 .40402 .59984 .40923 .59777 .40612 .59546 Metetra
.699 .79 .921 r
.40612 .59546 .40923 .59777 .41445 .59572 .41135 .59336 Metetra
.697 .786 .92 r
.41135 .59336 .41445 .59572 .41968 .59372 .41659 .5913 Metetra
.694 .781 .918 r
.41659 .5913 .41968 .59372 .42492 .59177 .42183 .58927 Metetra
.69 .776 .917 r
.42183 .58927 .42492 .59177 .43016 .58987 .42709 .5873 Metetra
.686 .771 .916 r
.42709 .5873 .43016 .58987 .43541 .58801 .43235 .58538 Metetra
.683 .766 .914 r
.43235 .58538 .43541 .58801 .44067 .5862 .43761 .58351 Metetra
.679 .761 .913 r
.43761 .58351 .44067 .5862 .44594 .58443 .44289 .58169 Metetra
.676 .757 .912 r
.44289 .58169 .44594 .58443 .45121 .5827 .44817 .5799 Metetra
.674 .754 .911 r
.44817 .5799 .45121 .5827 .4565 .58099 .45347 .57816 Metetra
.671 .751 .91 r
.45347 .57816 .4565 .58099 .46179 .57931 .45877 .57644 Metetra
.67 .749 .91 r
.45877 .57644 .46179 .57931 .4671 .57764 .46408 .57475 Metetra
.668 .747 .909 r
.46408 .57475 .4671 .57764 .47241 .57598 .4694 .57307 Metetra
.667 .746 .909 r
.4694 .57307 .47241 .57598 .47774 .57434 .47474 .57141 Metetra
.666 .745 .909 r
.47474 .57141 .47774 .57434 .48307 .5727 .48008 .56975 Metetra
.666 .744 .909 r
.48008 .56975 .48307 .5727 .48842 .57107 .48543 .56811 Metetra
.665 .743 .908 r
.48543 .56811 .48842 .57107 .49378 .56944 .49079 .56646 Metetra
.665 .743 .908 r
.49079 .56646 .49378 .56944 .49914 .56781 .49617 .56483 Metetra
.664 .742 .908 r
.49617 .56483 .49914 .56781 .50452 .56618 .50155 .56319 Metetra
.664 .742 .908 r
.50155 .56319 .50452 .56618 .5099 .56455 .50694 .56155 Metetra
.664 .742 .908 r
.50694 .56155 .5099 .56455 .5153 .56292 .51235 .55991 Metetra
.664 .742 .908 r
.51235 .55991 .5153 .56292 .52071 .56128 .51776 .55827 Metetra
.664 .742 .908 r
.51776 .55827 .52071 .56128 .52613 .55965 .52319 .55663 Metetra
.664 .741 .908 r
.52319 .55663 .52613 .55965 .53156 .55801 .52863 .55498 Metetra
.664 .741 .908 r
.52863 .55498 .53156 .55801 .537 .55637 .53407 .55333 Metetra
.664 .741 .908 r
.53407 .55333 .537 .55637 .54245 .55472 .53953 .55168 Metetra
.664 .741 .908 r
.53953 .55168 .54245 .55472 .54791 .55308 .545 .55003 Metetra
.664 .741 .908 r
.545 .55003 .54791 .55308 .55339 .55143 .55048 .54837 Metetra
.664 .741 .908 r
.55048 .54837 .55339 .55143 .55887 .54977 .55597 .54671 Metetra
.664 .741 .908 r
.55597 .54671 .55887 .54977 .56436 .54812 .56147 .54505 Metetra
.664 .741 .908 r
.56147 .54505 .56436 .54812 .56987 .54646 .56699 .54339 Metetra
.664 .741 .908 r
.56699 .54339 .56987 .54646 .57539 .5448 .57251 .54172 Metetra
.664 .741 .908 r
.57251 .54172 .57539 .5448 .58091 .54313 .57804 .54004 Metetra
.664 .741 .908 r
.57804 .54004 .58091 .54313 .58645 .54146 .58359 .53837 Metetra
.664 .741 .908 r
.58359 .53837 .58645 .54146 .592 .53979 .58915 .53669 Metetra
.664 .741 .908 r
.58915 .53669 .592 .53979 .59756 .53811 .59471 .53501 Metetra
.664 .741 .908 r
.59471 .53501 .59756 .53811 .60313 .53643 .60029 .53332 Metetra
.664 .741 .908 r
.60029 .53332 .60313 .53643 .60872 .53475 .60588 .53163 Metetra
.664 .741 .908 r
.60588 .53163 .60872 .53475 .61431 .53306 .61148 .52994 Metetra
.664 .741 .908 r
.61148 .52994 .61431 .53306 .61991 .53137 .6171 .52825 Metetra
.664 .741 .908 r
.6171 .52825 .61991 .53137 .62553 .52968 .62272 .52655 Metetra
.664 .741 .908 r
.62272 .52655 .62553 .52968 .63116 .52798 .62836 .52484 Metetra
.664 .741 .908 r
.62836 .52484 .63116 .52798 .6368 .52628 .634 .52314 Metetra
.664 .741 .908 r
.634 .52314 .6368 .52628 .64245 .52458 .63966 .52143 Metetra
.664 .741 .908 r
.63966 .52143 .64245 .52458 .64811 .52288 .64533 .51972 Metetra
.664 .741 .908 r
.64533 .51972 .64811 .52288 .65378 .52117 .65101 .518 Metetra
.664 .741 .908 r
.65101 .518 .65378 .52117 .65947 .51945 .6567 .51628 Metetra
.664 .741 .908 r
.6567 .51628 .65947 .51945 .66516 .51773 .66241 .51456 Metetra
.664 .741 .908 r
.66241 .51456 .66516 .51773 .67087 .51601 .66812 .51283 Metetra
.664 .741 .908 r
.66812 .51283 .67087 .51601 .67659 .51429 .67385 .5111 Metetra
.664 .741 .908 r
.67385 .5111 .67659 .51429 .68232 .51256 .67959 .50937 Metetra
.664 .741 .908 r
.67959 .50937 .68232 .51256 .68806 .51083 .68534 .50763 Metetra
.664 .741 .908 r
.68534 .50763 .68806 .51083 .69382 .5091 .6911 .50589 Metetra
.664 .741 .908 r
.6911 .50589 .69382 .5091 .69958 .50736 .69688 .50414 Metetra
.664 .741 .908 r
.69688 .50414 .69958 .50736 .70536 .50562 .70266 .50239 Metetra
.664 .741 .908 r
.70266 .50239 .70536 .50562 .71115 .50387 .70846 .50064 Metetra
.664 .741 .908 r
.70846 .50064 .71115 .50387 .71695 .50213 .71427 .49889 Metetra
.664 .741 .908 r
.71427 .49889 .71695 .50213 .72276 .50037 .72009 .49713 Metetra
.664 .741 .908 r
.72009 .49713 .72276 .50037 .72859 .49862 .72592 .49537 Metetra
.664 .741 .908 r
.72592 .49537 .72859 .49862 .73443 .49686 .73177 .4936 Metetra
.664 .741 .908 r
.73177 .4936 .73443 .49686 .74028 .4951 .73763 .49183 Metetra
.664 .741 .908 r
.73763 .49183 .74028 .4951 .74614 .49333 .7435 .49006 Metetra
.664 .741 .908 r
.7435 .49006 .74614 .49333 .75201 .49156 .74938 .48828 Metetra
.664 .741 .908 r
.74938 .48828 .75201 .49156 .75789 .48979 .75527 .4865 Metetra
.664 .741 .908 r
.75527 .4865 .75789 .48979 .76379 .48801 .76118 .48472 Metetra
.664 .741 .908 r
.76118 .48472 .76379 .48801 .7697 .48623 .76709 .48293 Metetra
.664 .741 .908 r
.76709 .48293 .7697 .48623 .77562 .48444 .77302 .48114 Metetra
.664 .741 .908 r
.77302 .48114 .77562 .48444 .78156 .48265 .77897 .47934 Metetra
.664 .741 .908 r
.77897 .47934 .78156 .48265 .7875 .48086 .78492 .47754 Metetra
.663 .741 .908 r
.78492 .47754 .7875 .48086 .79346 .47907 .79089 .47574 Metetra
.663 .741 .908 r
.79089 .47574 .79346 .47907 .79943 .47727 .79687 .47394 Metetra
.663 .741 .908 r
.79687 .47394 .79943 .47727 .80541 .47547 .80286 .47213 Metetra
.663 .741 .908 r
.80286 .47213 .80541 .47547 .81141 .47366 .80886 .47032 Metetra
.663 .741 .908 r
.80886 .47032 .81141 .47366 .81742 .47185 .81488 .4685 Metetra
.663 .741 .908 r
.81488 .4685 .81742 .47185 .82344 .47004 .82091 .46669 Metetra
.663 .741 .908 r
.82091 .46669 .82344 .47004 .82947 .46823 .82695 .46487 Metetra
.663 .741 .908 r
.82695 .46487 .82947 .46823 .83552 .46641 .83301 .46305 Metetra
.663 .742 .909 r
.83301 .46305 .83552 .46641 .84157 .4646 .83907 .46123 Metetra
.663 .742 .909 r
.83907 .46123 .84157 .4646 .84765 .46278 .84516 .4594 Metetra
.662 .742 .909 r
.84516 .4594 .84765 .46278 .85373 .46096 .85125 .45758 Metetra
.662 .742 .909 r
.85125 .45758 .85373 .46096 .85983 .45914 .85736 .45576 Metetra
.662 .742 .91 r
.85736 .45576 .85983 .45914 .86594 .45733 .86348 .45395 Metetra
.661 .742 .91 r
.86348 .45395 .86594 .45733 .87207 .45551 .86961 .45213 Metetra
.66 .743 .911 r
.86961 .45213 .87207 .45551 .8782 .4537 .87576 .45033 Metetra
.66 .743 .912 r
.87576 .45033 .8782 .4537 .88436 .4519 .88193 .44853 Metetra
.659 .743 .912 r
.88193 .44853 .88436 .4519 .89052 .45011 .88811 .44674 Metetra
.657 .744 .914 r
.88811 .44674 .89052 .45011 .89671 .44832 .8943 .44497 Metetra
.656 .744 .915 r
.8943 .44497 .89671 .44832 .9029 .44655 .90051 .44321 Metetra
.655 .745 .916 r
.90051 .44321 .9029 .44655 .90912 .44479 .90673 .44147 Metetra
.653 .746 .918 r
.90673 .44147 .90912 .44479 .91535 .44305 .91298 .43974 Metetra
.651 .747 .92 r
.91298 .43974 .91535 .44305 .92159 .44133 .91924 .43804 Metetra
.649 .748 .921 r
.91924 .43804 .92159 .44133 .92785 .43963 .92551 .43636 Metetra
.647 .749 .923 r
.92551 .43636 .92785 .43963 .93413 .43795 .9318 .43471 Metetra
.645 .75 .925 r
.9318 .43471 .93413 .43795 .94043 .4363 .93812 .43308 Metetra
.643 .751 .928 r
.93812 .43308 .94043 .4363 .94675 .43466 .94444 .43146 Metetra
.641 .753 .929 r
.94444 .43146 .94675 .43466 .95308 .43304 .95079 .42987 Metetra
.64 .754 .931 r
.95079 .42987 .95308 .43304 .95943 .43144 .95715 .42828 Metetra
.639 .755 .932 r
.95715 .42828 .95943 .43144 .96579 .42985 .96353 .4267 Metetra
.7 .795 .924 r
.39254 .59745 .39568 .59969 .4009 .59758 .39777 .59535 Metetra
.702 .796 .923 r
.39777 .59535 .4009 .59758 .40612 .59546 .403 .59321 Metetra
.702 .795 .923 r
.403 .59321 .40612 .59546 .41135 .59336 .40824 .59107 Metetra
.701 .792 .921 r
.40824 .59107 .41135 .59336 .41659 .5913 .41348 .58894 Metetra
.698 .788 .92 r
.41348 .58894 .41659 .5913 .42183 .58927 .41874 .58685 Metetra
.695 .783 .919 r
.41874 .58685 .42183 .58927 .42709 .5873 .424 .5848 Metetra
.691 .777 .917 r
.424 .5848 .42709 .5873 .43235 .58538 .42927 .5828 Metetra
.687 .771 .916 r
.42927 .5828 .43235 .58538 .43761 .58351 .43455 .58087 Metetra
.683 .766 .914 r
.43455 .58087 .43761 .58351 .44289 .58169 .43983 .57898 Metetra
.679 .762 .913 r
.43983 .57898 .44289 .58169 .44817 .5799 .44512 .57714 Metetra
.676 .757 .912 r
.44512 .57714 .44817 .5799 .45347 .57816 .45042 .57535 Metetra
.674 .754 .911 r
.45042 .57535 .45347 .57816 .45877 .57644 .45573 .57359 Metetra
.671 .751 .91 r
.45573 .57359 .45877 .57644 .46408 .57475 .46105 .57187 Metetra
.67 .749 .91 r
.46105 .57187 .46408 .57475 .4694 .57307 .46638 .57016 Metetra
.668 .747 .909 r
.46638 .57016 .4694 .57307 .47474 .57141 .47172 .56848 Metetra
.667 .746 .909 r
.47172 .56848 .47474 .57141 .48008 .56975 .47707 .56681 Metetra
.666 .745 .909 r
.47707 .56681 .48008 .56975 .48543 .56811 .48243 .56514 Metetra
.666 .744 .909 r
.48243 .56514 .48543 .56811 .49079 .56646 .4878 .56349 Metetra
.665 .743 .908 r
.4878 .56349 .49079 .56646 .49617 .56483 .49318 .56184 Metetra
.665 .743 .908 r
.49318 .56184 .49617 .56483 .50155 .56319 .49857 .56019 Metetra
.664 .742 .908 r
.49857 .56019 .50155 .56319 .50694 .56155 .50397 .55854 Metetra
.664 .742 .908 r
.50397 .55854 .50694 .56155 .51235 .55991 .50938 .55689 Metetra
.664 .742 .908 r
.50938 .55689 .51235 .55991 .51776 .55827 .5148 .55524 Metetra
.664 .742 .908 r
.5148 .55524 .51776 .55827 .52319 .55663 .52024 .55359 Metetra
.664 .742 .908 r
.52024 .55359 .52319 .55663 .52863 .55498 .52568 .55194 Metetra
.664 .741 .908 r
.52568 .55194 .52863 .55498 .53407 .55333 .53114 .55029 Metetra
.664 .741 .908 r
.53114 .55029 .53407 .55333 .53953 .55168 .5366 .54863 Metetra
.664 .741 .908 r
.5366 .54863 .53953 .55168 .545 .55003 .54208 .54697 Metetra
.664 .741 .908 r
.54208 .54697 .545 .55003 .55048 .54837 .54756 .54531 Metetra
.664 .741 .908 r
.54756 .54531 .55048 .54837 .55597 .54671 .55306 .54364 Metetra
.664 .741 .908 r
.55306 .54364 .55597 .54671 .56147 .54505 .55857 .54197 Metetra
.664 .741 .908 r
.55857 .54197 .56147 .54505 .56699 .54339 .56409 .5403 Metetra
.664 .741 .908 r
.56409 .5403 .56699 .54339 .57251 .54172 .56962 .53863 Metetra
.664 .741 .908 r
.56962 .53863 .57251 .54172 .57804 .54004 .57516 .53695 Metetra
.664 .741 .908 r
.57516 .53695 .57804 .54004 .58359 .53837 .58072 .53527 Metetra
.664 .741 .908 r
.58072 .53527 .58359 .53837 .58915 .53669 .58628 .53358 Metetra
.664 .741 .908 r
.58628 .53358 .58915 .53669 .59471 .53501 .59186 .53189 Metetra
.664 .741 .908 r
.59186 .53189 .59471 .53501 .60029 .53332 .59744 .5302 Metetra
.664 .741 .908 r
.59744 .5302 .60029 .53332 .60588 .53163 .60304 .52851 Metetra
.664 .741 .908 r
.60304 .52851 .60588 .53163 .61148 .52994 .60865 .52681 Metetra
.664 .741 .908 r
.60865 .52681 .61148 .52994 .6171 .52825 .61427 .52511 Metetra
.664 .741 .908 r
.61427 .52511 .6171 .52825 .62272 .52655 .6199 .5234 Metetra
.664 .741 .908 r
.6199 .5234 .62272 .52655 .62836 .52484 .62554 .52169 Metetra
.664 .741 .908 r
.62554 .52169 .62836 .52484 .634 .52314 .6312 .51998 Metetra
.664 .741 .908 r
.6312 .51998 .634 .52314 .63966 .52143 .63686 .51826 Metetra
.664 .741 .908 r
.63686 .51826 .63966 .52143 .64533 .51972 .64254 .51654 Metetra
.664 .741 .908 r
.64254 .51654 .64533 .51972 .65101 .518 .64823 .51482 Metetra
.664 .741 .908 r
.64823 .51482 .65101 .518 .6567 .51628 .65393 .5131 Metetra
.664 .741 .908 r
.65393 .5131 .6567 .51628 .66241 .51456 .65964 .51137 Metetra
.664 .741 .908 r
.65964 .51137 .66241 .51456 .66812 .51283 .66537 .50963 Metetra
.664 .741 .908 r
.66537 .50963 .66812 .51283 .67385 .5111 .6711 .5079 Metetra
.664 .741 .908 r
.6711 .5079 .67385 .5111 .67959 .50937 .67685 .50615 Metetra
.664 .741 .908 r
.67685 .50615 .67959 .50937 .68534 .50763 .68261 .50441 Metetra
.664 .741 .908 r
.68261 .50441 .68534 .50763 .6911 .50589 .68838 .50266 Metetra
.664 .741 .908 r
.68838 .50266 .6911 .50589 .69688 .50414 .69416 .50091 Metetra
.664 .741 .908 r
.69416 .50091 .69688 .50414 .70266 .50239 .69995 .49916 Metetra
.664 .741 .908 r
.69995 .49916 .70266 .50239 .70846 .50064 .70576 .4974 Metetra
.664 .741 .908 r
.70576 .4974 .70846 .50064 .71427 .49889 .71158 .49564 Metetra
.664 .741 .908 r
.71158 .49564 .71427 .49889 .72009 .49713 .71741 .49387 Metetra
.664 .741 .908 r
.71741 .49387 .72009 .49713 .72592 .49537 .72325 .4921 Metetra
.664 .741 .908 r
.72325 .4921 .72592 .49537 .73177 .4936 .7291 .49033 Metetra
.664 .741 .908 r
.7291 .49033 .73177 .4936 .73763 .49183 .73497 .48855 Metetra
.664 .741 .908 r
.73497 .48855 .73763 .49183 .7435 .49006 .74084 .48677 Metetra
.664 .741 .908 r
.74084 .48677 .7435 .49006 .74938 .48828 .74673 .48499 Metetra
.664 .741 .908 r
.74673 .48499 .74938 .48828 .75527 .4865 .75264 .4832 Metetra
.664 .741 .908 r
.75264 .4832 .75527 .4865 .76118 .48472 .75855 .48141 Metetra
.664 .741 .908 r
.75855 .48141 .76118 .48472 .76709 .48293 .76448 .47962 Metetra
.664 .741 .908 r
.76448 .47962 .76709 .48293 .77302 .48114 .77041 .47782 Metetra
.664 .741 .908 r
.77041 .47782 .77302 .48114 .77897 .47934 .77637 .47602 Metetra
.663 .741 .908 r
.77637 .47602 .77897 .47934 .78492 .47754 .78233 .47421 Metetra
.663 .741 .908 r
.78233 .47421 .78492 .47754 .79089 .47574 .7883 .47241 Metetra
.663 .741 .908 r
.7883 .47241 .79089 .47574 .79687 .47394 .79429 .47059 Metetra
.663 .741 .908 r
.79429 .47059 .79687 .47394 .80286 .47213 .80029 .46878 Metetra
.663 .741 .908 r
.80029 .46878 .80286 .47213 .80886 .47032 .80631 .46696 Metetra
.663 .741 .908 r
.80631 .46696 .80886 .47032 .81488 .4685 .81233 .46514 Metetra
.663 .741 .908 r
.81233 .46514 .81488 .4685 .82091 .46669 .81837 .46332 Metetra
.663 .741 .908 r
.81837 .46332 .82091 .46669 .82695 .46487 .82442 .4615 Metetra
.663 .742 .909 r
.82442 .4615 .82695 .46487 .83301 .46305 .83049 .45967 Metetra
.663 .742 .909 r
.83049 .45967 .83301 .46305 .83907 .46123 .83656 .45785 Metetra
.662 .742 .909 r
.83656 .45785 .83907 .46123 .84516 .4594 .84266 .45602 Metetra
.662 .742 .909 r
.84266 .45602 .84516 .4594 .85125 .45758 .84876 .4542 Metetra
.662 .742 .91 r
.84876 .4542 .85125 .45758 .85736 .45576 .85488 .45238 Metetra
.661 .742 .91 r
.85488 .45238 .85736 .45576 .86348 .45395 .86101 .45056 Metetra
.66 .742 .911 r
.86101 .45056 .86348 .45395 .86961 .45213 .86715 .44875 Metetra
.659 .743 .912 r
.86715 .44875 .86961 .45213 .87576 .45033 .87331 .44695 Metetra
.659 .743 .913 r
.87331 .44695 .87576 .45033 .88193 .44853 .87949 .44516 Metetra
.657 .744 .914 r
.87949 .44516 .88193 .44853 .88811 .44674 .88568 .44338 Metetra
.656 .744 .915 r
.88568 .44338 .88811 .44674 .8943 .44497 .89188 .44162 Metetra
.655 .745 .916 r
.89188 .44162 .8943 .44497 .90051 .44321 .89811 .43988 Metetra
.653 .746 .918 r
.89811 .43988 .90051 .44321 .90673 .44147 .90434 .43815 Metetra
.651 .747 .92 r
.90434 .43815 .90673 .44147 .91298 .43974 .9106 .43645 Metetra
.649 .748 .922 r
.9106 .43645 .91298 .43974 .91924 .43804 .91687 .43477 Metetra
.647 .749 .924 r
.91687 .43477 .91924 .43804 .92551 .43636 .92316 .43312 Metetra
.645 .75 .926 r
.92316 .43312 .92551 .43636 .9318 .43471 .92947 .43149 Metetra
.643 .751 .928 r
.92947 .43149 .9318 .43471 .93812 .43308 .93579 .42988 Metetra
.641 .753 .93 r
.93579 .42988 .93812 .43308 .94444 .43146 .94214 .42829 Metetra
.639 .754 .932 r
.94214 .42829 .94444 .43146 .95079 .42987 .9485 .42671 Metetra
.638 .756 .933 r
.9485 .42671 .95079 .42987 .95715 .42828 .95487 .42513 Metetra
.638 .757 .934 r
.95487 .42513 .95715 .42828 .96353 .4267 .96126 .42356 Metetra
.697 .793 .925 r
.38939 .59519 .39254 .59745 .39777 .59535 .39462 .59312 Metetra
.701 .797 .925 r
.39462 .59312 .39777 .59535 .403 .59321 .39986 .59099 Metetra
.703 .798 .924 r
.39986 .59099 .403 .59321 .40824 .59107 .40511 .58882 Metetra
.703 .797 .923 r
.40511 .58882 .40824 .59107 .41348 .58894 .41036 .58665 Metetra
.702 .794 .922 r
.41036 .58665 .41348 .58894 .41874 .58685 .41563 .58449 Metetra
.699 .789 .92 r
.41563 .58449 .41874 .58685 .424 .5848 .4209 .58237 Metetra
.696 .784 .919 r
.4209 .58237 .424 .5848 .42927 .5828 .42618 .5803 Metetra
.692 .778 .917 r
.42618 .5803 .42927 .5828 .43455 .58087 .43146 .57829 Metetra
.687 .772 .916 r
.43146 .57829 .43455 .58087 .43983 .57898 .43676 .57633 Metetra
.683 .767 .915 r
.43676 .57633 .43983 .57898 .44512 .57714 .44206 .57443 Metetra
.68 .762 .913 r
.44206 .57443 .44512 .57714 .45042 .57535 .44737 .57258 Metetra
.677 .758 .912 r
.44737 .57258 .45042 .57535 .45573 .57359 .45269 .57077 Metetra
.674 .754 .911 r
.45269 .57077 .45573 .57359 .46105 .57187 .45801 .569 Metetra
.672 .751 .91 r
.45801 .569 .46105 .57187 .46638 .57016 .46335 .56727 Metetra
.67 .749 .91 r
.46335 .56727 .46638 .57016 .47172 .56848 .4687 .56555 Metetra
.668 .747 .909 r
.4687 .56555 .47172 .56848 .47707 .56681 .47405 .56386 Metetra
.667 .746 .909 r
.47405 .56386 .47707 .56681 .48243 .56514 .47942 .56218 Metetra
.666 .745 .909 r
.47942 .56218 .48243 .56514 .4878 .56349 .4848 .56051 Metetra
.666 .744 .909 r
.4848 .56051 .4878 .56349 .49318 .56184 .49018 .55884 Metetra
.665 .743 .908 r
.49018 .55884 .49318 .56184 .49857 .56019 .49558 .55718 Metetra
.665 .743 .908 r
.49558 .55718 .49857 .56019 .50397 .55854 .50099 .55552 Metetra
.664 .742 .908 r
.50099 .55552 .50397 .55854 .50938 .55689 .50641 .55387 Metetra
.664 .742 .908 r
.50641 .55387 .50938 .55689 .5148 .55524 .51184 .55221 Metetra
.664 .742 .908 r
.51184 .55221 .5148 .55524 .52024 .55359 .51728 .55055 Metetra
.664 .742 .908 r
.51728 .55055 .52024 .55359 .52568 .55194 .52273 .54889 Metetra
.664 .742 .908 r
.52273 .54889 .52568 .55194 .53114 .55029 .52819 .54723 Metetra
.664 .741 .908 r
.52819 .54723 .53114 .55029 .5366 .54863 .53366 .54557 Metetra
.664 .741 .908 r
.53366 .54557 .5366 .54863 .54208 .54697 .53914 .5439 Metetra
.664 .741 .908 r
.53914 .5439 .54208 .54697 .54756 .54531 .54464 .54223 Metetra
.664 .741 .908 r
.54464 .54223 .54756 .54531 .55306 .54364 .55014 .54056 Metetra
.664 .741 .908 r
.55014 .54056 .55306 .54364 .55857 .54197 .55566 .53889 Metetra
.664 .741 .908 r
.55566 .53889 .55857 .54197 .56409 .5403 .56119 .53721 Metetra
.664 .741 .908 r
.56119 .53721 .56409 .5403 .56962 .53863 .56672 .53553 Metetra
.664 .741 .908 r
.56672 .53553 .56962 .53863 .57516 .53695 .57227 .53384 Metetra
.664 .741 .908 r
.57227 .53384 .57516 .53695 .58072 .53527 .57783 .53215 Metetra
.664 .741 .908 r
.57783 .53215 .58072 .53527 .58628 .53358 .58341 .53046 Metetra
.664 .741 .908 r
.58341 .53046 .58628 .53358 .59186 .53189 .58899 .52877 Metetra
.664 .741 .908 r
.58899 .52877 .59186 .53189 .59744 .5302 .59458 .52707 Metetra
.664 .741 .908 r
.59458 .52707 .59744 .5302 .60304 .52851 .60019 .52537 Metetra
.664 .741 .908 r
.60019 .52537 .60304 .52851 .60865 .52681 .6058 .52366 Metetra
.664 .741 .908 r
.6058 .52366 .60865 .52681 .61427 .52511 .61143 .52195 Metetra
.664 .741 .908 r
.61143 .52195 .61427 .52511 .6199 .5234 .61707 .52024 Metetra
.664 .741 .908 r
.61707 .52024 .6199 .5234 .62554 .52169 .62272 .51853 Metetra
.664 .741 .908 r
.62272 .51853 .62554 .52169 .6312 .51998 .62838 .51681 Metetra
.664 .741 .908 r
.62838 .51681 .6312 .51998 .63686 .51826 .63406 .51509 Metetra
.664 .741 .908 r
.63406 .51509 .63686 .51826 .64254 .51654 .63974 .51336 Metetra
.664 .741 .908 r
.63974 .51336 .64254 .51654 .64823 .51482 .64544 .51163 Metetra
.664 .741 .908 r
.64544 .51163 .64823 .51482 .65393 .5131 .65115 .5099 Metetra
.664 .741 .908 r
.65115 .5099 .65393 .5131 .65964 .51137 .65687 .50816 Metetra
.664 .741 .908 r
.65687 .50816 .65964 .51137 .66537 .50963 .6626 .50642 Metetra
.664 .741 .908 r
.6626 .50642 .66537 .50963 .6711 .5079 .66834 .50468 Metetra
.664 .741 .908 r
.66834 .50468 .6711 .5079 .67685 .50615 .6741 .50293 Metetra
.664 .741 .908 r
.6741 .50293 .67685 .50615 .68261 .50441 .67986 .50118 Metetra
.664 .741 .908 r
.67986 .50118 .68261 .50441 .68838 .50266 .68564 .49943 Metetra
.664 .741 .908 r
.68564 .49943 .68838 .50266 .69416 .50091 .69143 .49767 Metetra
.664 .741 .908 r
.69143 .49767 .69416 .50091 .69995 .49916 .69723 .49591 Metetra
.664 .741 .908 r
.69723 .49591 .69995 .49916 .70576 .4974 .70305 .49414 Metetra
.664 .741 .908 r
.70305 .49414 .70576 .4974 .71158 .49564 .70887 .49238 Metetra
.664 .741 .908 r
.70887 .49238 .71158 .49564 .71741 .49387 .71471 .4906 Metetra
.664 .741 .908 r
.71471 .4906 .71741 .49387 .72325 .4921 .72056 .48883 Metetra
.664 .741 .908 r
.72056 .48883 .72325 .4921 .7291 .49033 .72642 .48705 Metetra
.664 .741 .908 r
.72642 .48705 .7291 .49033 .73497 .48855 .7323 .48527 Metetra
.664 .741 .908 r
.7323 .48527 .73497 .48855 .74084 .48677 .73818 .48348 Metetra
.664 .741 .908 r
.73818 .48348 .74084 .48677 .74673 .48499 .74408 .48169 Metetra
.664 .741 .908 r
.74408 .48169 .74673 .48499 .75264 .4832 .74999 .4799 Metetra
.664 .741 .908 r
.74999 .4799 .75264 .4832 .75855 .48141 .75591 .4781 Metetra
.664 .741 .908 r
.75591 .4781 .75855 .48141 .76448 .47962 .76185 .4763 Metetra
.664 .741 .908 r
.76185 .4763 .76448 .47962 .77041 .47782 .7678 .47449 Metetra
.663 .741 .908 r
.7678 .47449 .77041 .47782 .77637 .47602 .77376 .47268 Metetra
.663 .741 .908 r
.77376 .47268 .77637 .47602 .78233 .47421 .77973 .47087 Metetra
.663 .741 .908 r
.77973 .47087 .78233 .47421 .7883 .47241 .78571 .46906 Metetra
.663 .741 .908 r
.78571 .46906 .7883 .47241 .79429 .47059 .79171 .46724 Metetra
.663 .741 .908 r
.79171 .46724 .79429 .47059 .80029 .46878 .79772 .46542 Metetra
.663 .741 .908 r
.79772 .46542 .80029 .46878 .80631 .46696 .80374 .4636 Metetra
.663 .741 .908 r
.80374 .4636 .80631 .46696 .81233 .46514 .80978 .46177 Metetra
.663 .741 .908 r
.80978 .46177 .81233 .46514 .81837 .46332 .81582 .45994 Metetra
.663 .742 .909 r
.81582 .45994 .81837 .46332 .82442 .4615 .82188 .45811 Metetra
.663 .742 .909 r
.82188 .45811 .82442 .4615 .83049 .45967 .82796 .45629 Metetra
.662 .742 .909 r
.82796 .45629 .83049 .45967 .83656 .45785 .83405 .45446 Metetra
.662 .742 .909 r
.83405 .45446 .83656 .45785 .84266 .45602 .84015 .45263 Metetra
.662 .742 .91 r
.84015 .45263 .84266 .45602 .84876 .4542 .84626 .45081 Metetra
.661 .742 .91 r
.84626 .45081 .84876 .4542 .85488 .45238 .85239 .44899 Metetra
.66 .742 .911 r
.85239 .44899 .85488 .45238 .86101 .45056 .85853 .44718 Metetra
.659 .743 .912 r
.85853 .44718 .86101 .45056 .86715 .44875 .86469 .44537 Metetra
.659 .743 .913 r
.86469 .44537 .86715 .44875 .87331 .44695 .87086 .44358 Metetra
.657 .744 .914 r
.87086 .44358 .87331 .44695 .87949 .44516 .87704 .4418 Metetra
.656 .744 .915 r
.87704 .4418 .87949 .44516 .88568 .44338 .88325 .44003 Metetra
.654 .745 .916 r
.88325 .44003 .88568 .44338 .89188 .44162 .88946 .43829 Metetra
.653 .746 .918 r
.88946 .43829 .89188 .44162 .89811 .43988 .8957 .43656 Metetra
.651 .747 .92 r
.8957 .43656 .89811 .43988 .90434 .43815 .90195 .43486 Metetra
.649 .748 .922 r
.90195 .43486 .90434 .43815 .9106 .43645 .90822 .43318 Metetra
.647 .749 .924 r
.90822 .43318 .9106 .43645 .91687 .43477 .9145 .43153 Metetra
.644 .75 .926 r
.9145 .43153 .91687 .43477 .92316 .43312 .92081 .4299 Metetra
.642 .752 .928 r
.92081 .4299 .92316 .43312 .92947 .43149 .92713 .42829 Metetra
.64 .753 .931 r
.92713 .42829 .92947 .43149 .93579 .42988 .93347 .42671 Metetra
.639 .755 .932 r
.93347 .42671 .93579 .42988 .94214 .42829 .93983 .42513 Metetra
.638 .756 .934 r
.93983 .42513 .94214 .42829 .9485 .42671 .9462 .42357 Metetra
.637 .757 .935 r
.9462 .42357 .9485 .42671 .95487 .42513 .95259 .422 Metetra
.638 .758 .935 r
.95259 .422 .95487 .42513 .96126 .42356 .95899 .42041 Metetra
.691 .788 .925 r
.38623 .59286 .38939 .59519 .39462 .59312 .39146 .59086 Metetra
.698 .795 .925 r
.39146 .59086 .39462 .59312 .39986 .59099 .39671 .58877 Metetra
.702 .799 .925 r
.39671 .58877 .39986 .59099 .40511 .58882 .40196 .58662 Metetra
.705 .801 .925 r
.40196 .58662 .40511 .58882 .41036 .58665 .40723 .58442 Metetra
.705 .799 .924 r
.40723 .58442 .41036 .58665 .41563 .58449 .4125 .58221 Metetra
.703 .796 .922 r
.4125 .58221 .41563 .58449 .4209 .58237 .41778 .58003 Metetra
.7 .791 .921 r
.41778 .58003 .4209 .58237 .42618 .5803 .42307 .57788 Metetra
.697 .785 .919 r
.42307 .57788 .42618 .5803 .43146 .57829 .42837 .57578 Metetra
.692 .779 .918 r
.42837 .57578 .43146 .57829 .43676 .57633 .43367 .57375 Metetra
.688 .773 .916 r
.43367 .57375 .43676 .57633 .44206 .57443 .43898 .57177 Metetra
.684 .767 .915 r
.43898 .57177 .44206 .57443 .44737 .57258 .4443 .56985 Metetra
.68 .762 .913 r
.4443 .56985 .44737 .57258 .45269 .57077 .44963 .56799 Metetra
.677 .758 .912 r
.44963 .56799 .45269 .57077 .45801 .569 .45496 .56617 Metetra
.674 .754 .911 r
.45496 .56617 .45801 .569 .46335 .56727 .46031 .56439 Metetra
.672 .751 .91 r
.46031 .56439 .46335 .56727 .4687 .56555 .46566 .56264 Metetra
.67 .749 .91 r
.46566 .56264 .4687 .56555 .47405 .56386 .47102 .56092 Metetra
.668 .747 .909 r
.47102 .56092 .47405 .56386 .47942 .56218 .4764 .55921 Metetra
.667 .746 .909 r
.4764 .55921 .47942 .56218 .4848 .56051 .48178 .55752 Metetra
.666 .745 .909 r
.48178 .55752 .4848 .56051 .49018 .55884 .48717 .55584 Metetra
.666 .744 .909 r
.48717 .55584 .49018 .55884 .49558 .55718 .49258 .55417 Metetra
.665 .743 .908 r
.49258 .55417 .49558 .55718 .50099 .55552 .49799 .5525 Metetra
.665 .743 .908 r
.49799 .5525 .50099 .55552 .50641 .55387 .50342 .55083 Metetra
.664 .742 .908 r
.50342 .55083 .50641 .55387 .51184 .55221 .50886 .54917 Metetra
.664 .742 .908 r
.50886 .54917 .51184 .55221 .51728 .55055 .5143 .5475 Metetra
.664 .742 .908 r
.5143 .5475 .51728 .55055 .52273 .54889 .51976 .54583 Metetra
.664 .742 .908 r
.51976 .54583 .52273 .54889 .52819 .54723 .52523 .54417 Metetra
.664 .742 .908 r
.52523 .54417 .52819 .54723 .53366 .54557 .53071 .54249 Metetra
.664 .741 .908 r
.53071 .54249 .53366 .54557 .53914 .5439 .5362 .54082 Metetra
.664 .741 .908 r
.5362 .54082 .53914 .5439 .54464 .54223 .5417 .53915 Metetra
.664 .741 .908 r
.5417 .53915 .54464 .54223 .55014 .54056 .54721 .53747 Metetra
.664 .741 .908 r
.54721 .53747 .55014 .54056 .55566 .53889 .55274 .53579 Metetra
.664 .741 .908 r
.55274 .53579 .55566 .53889 .56119 .53721 .55827 .5341 Metetra
.664 .741 .908 r
.55827 .5341 .56119 .53721 .56672 .53553 .56382 .53241 Metetra
.664 .741 .908 r
.56382 .53241 .56672 .53553 .57227 .53384 .56937 .53072 Metetra
.664 .741 .908 r
.56937 .53072 .57227 .53384 .57783 .53215 .57494 .52903 Metetra
.664 .741 .908 r
.57494 .52903 .57783 .53215 .58341 .53046 .58052 .52733 Metetra
.664 .741 .908 r
.58052 .52733 .58341 .53046 .58899 .52877 .58611 .52563 Metetra
.664 .741 .908 r
.58611 .52563 .58899 .52877 .59458 .52707 .59171 .52393 Metetra
.664 .741 .908 r
.59171 .52393 .59458 .52707 .60019 .52537 .59732 .52222 Metetra
.664 .741 .908 r
.59732 .52222 .60019 .52537 .6058 .52366 .60295 .52051 Metetra
.664 .741 .908 r
.60295 .52051 .6058 .52366 .61143 .52195 .60858 .51879 Metetra
.664 .741 .908 r
.60858 .51879 .61143 .52195 .61707 .52024 .61423 .51707 Metetra
.664 .741 .908 r
.61423 .51707 .61707 .52024 .62272 .51853 .61989 .51535 Metetra
.664 .741 .908 r
.61989 .51535 .62272 .51853 .62838 .51681 .62556 .51363 Metetra
.664 .741 .908 r
.62556 .51363 .62838 .51681 .63406 .51509 .63124 .5119 Metetra
.664 .741 .908 r
.63124 .5119 .63406 .51509 .63974 .51336 .63693 .51017 Metetra
.664 .741 .908 r
.63693 .51017 .63974 .51336 .64544 .51163 .64264 .50843 Metetra
.664 .741 .908 r
.64264 .50843 .64544 .51163 .65115 .5099 .64835 .50669 Metetra
.664 .741 .908 r
.64835 .50669 .65115 .5099 .65687 .50816 .65408 .50495 Metetra
.664 .741 .908 r
.65408 .50495 .65687 .50816 .6626 .50642 .65982 .5032 Metetra
.664 .741 .908 r
.65982 .5032 .6626 .50642 .66834 .50468 .66557 .50145 Metetra
.664 .741 .908 r
.66557 .50145 .66834 .50468 .6741 .50293 .67133 .4997 Metetra
.664 .741 .908 r
.67133 .4997 .6741 .50293 .67986 .50118 .67711 .49794 Metetra
.664 .741 .908 r
.67711 .49794 .67986 .50118 .68564 .49943 .6829 .49618 Metetra
.664 .741 .908 r
.6829 .49618 .68564 .49943 .69143 .49767 .68869 .49442 Metetra
.664 .741 .908 r
.68869 .49442 .69143 .49767 .69723 .49591 .6945 .49265 Metetra
.664 .741 .908 r
.6945 .49265 .69723 .49591 .70305 .49414 .70033 .49088 Metetra
.664 .741 .908 r
.70033 .49088 .70305 .49414 .70887 .49238 .70616 .4891 Metetra
.664 .741 .908 r
.70616 .4891 .70887 .49238 .71471 .4906 .71201 .48732 Metetra
.664 .741 .908 r
.71201 .48732 .71471 .4906 .72056 .48883 .71786 .48554 Metetra
.664 .741 .908 r
.71786 .48554 .72056 .48883 .72642 .48705 .72373 .48375 Metetra
.664 .741 .908 r
.72373 .48375 .72642 .48705 .7323 .48527 .72962 .48196 Metetra
.664 .741 .908 r
.72962 .48196 .7323 .48527 .73818 .48348 .73551 .48017 Metetra
.664 .741 .908 r
.73551 .48017 .73818 .48348 .74408 .48169 .74142 .47837 Metetra
.664 .741 .908 r
.74142 .47837 .74408 .48169 .74999 .4799 .74734 .47657 Metetra
.664 .741 .908 r
.74734 .47657 .74999 .4799 .75591 .4781 .75327 .47477 Metetra
.664 .741 .908 r
.75327 .47477 .75591 .4781 .76185 .4763 .75921 .47296 Metetra
.663 .741 .908 r
.75921 .47296 .76185 .4763 .7678 .47449 .76517 .47115 Metetra
.663 .741 .908 r
.76517 .47115 .7678 .47449 .77376 .47268 .77114 .46934 Metetra
.663 .741 .908 r
.77114 .46934 .77376 .47268 .77973 .47087 .77712 .46752 Metetra
.663 .741 .908 r
.77712 .46752 .77973 .47087 .78571 .46906 .78311 .4657 Metetra
.663 .741 .908 r
.78311 .4657 .78571 .46906 .79171 .46724 .78912 .46387 Metetra
.663 .741 .908 r
.78912 .46387 .79171 .46724 .79772 .46542 .79513 .46205 Metetra
.663 .741 .908 r
.79513 .46205 .79772 .46542 .80374 .4636 .80117 .46022 Metetra
.663 .741 .908 r
.80117 .46022 .80374 .4636 .80978 .46177 .80721 .45839 Metetra
.663 .742 .909 r
.80721 .45839 .80978 .46177 .81582 .45994 .81327 .45655 Metetra
.663 .742 .909 r
.81327 .45655 .81582 .45994 .82188 .45811 .81934 .45472 Metetra
.662 .742 .909 r
.81934 .45472 .82188 .45811 .82796 .45629 .82542 .45289 Metetra
.662 .742 .909 r
.82542 .45289 .82796 .45629 .83405 .45446 .83152 .45106 Metetra
.662 .742 .91 r
.83152 .45106 .83405 .45446 .84015 .45263 .83763 .44923 Metetra
.661 .742 .91 r
.83763 .44923 .84015 .45263 .84626 .45081 .84375 .44741 Metetra
.66 .742 .911 r
.84375 .44741 .84626 .45081 .85239 .44899 .84989 .4456 Metetra
.659 .743 .912 r
.84989 .4456 .85239 .44899 .85853 .44718 .85604 .44379 Metetra
.659 .743 .913 r
.85604 .44379 .85853 .44718 .86469 .44537 .86221 .44199 Metetra
.657 .744 .914 r
.86221 .44199 .86469 .44537 .87086 .44358 .86839 .44021 Metetra
.656 .744 .915 r
.86839 .44021 .87086 .44358 .87704 .4418 .87459 .43844 Metetra
.654 .745 .916 r
.87459 .43844 .87704 .4418 .88325 .44003 .8808 .43669 Metetra
.653 .746 .918 r
.8808 .43669 .88325 .44003 .88946 .43829 .88703 .43497 Metetra
.651 .747 .92 r
.88703 .43497 .88946 .43829 .8957 .43656 .89328 .43326 Metetra
.648 .748 .922 r
.89328 .43326 .8957 .43656 .90195 .43486 .89955 .43159 Metetra
.646 .749 .924 r
.89955 .43159 .90195 .43486 .90822 .43318 .90583 .42993 Metetra
.644 .751 .927 r
.90583 .42993 .90822 .43318 .9145 .43153 .91213 .42831 Metetra
.642 .752 .929 r
.91213 .42831 .9145 .43153 .92081 .4299 .91845 .42671 Metetra
.639 .753 .931 r
.91845 .42671 .92081 .4299 .92713 .42829 .92479 .42513 Metetra
.638 .755 .933 r
.92479 .42513 .92713 .42829 .93347 .42671 .93114 .42356 Metetra
.637 .756 .935 r
.93114 .42356 .93347 .42671 .93983 .42513 .93751 .422 Metetra
.636 .758 .936 r
.93751 .422 .93983 .42513 .9462 .42357 .94389 .42043 Metetra
.637 .759 .936 r
.94389 .42043 .9462 .42357 .95259 .422 .95029 .41886 Metetra
.639 .759 .936 r
.95029 .41886 .95259 .422 .95899 .42041 .9567 .41725 Metetra
.683 .779 .924 r
.38306 .59041 .38623 .59286 .39146 .59086 .3883 .58853 Metetra
.692 .789 .925 r
.3883 .58853 .39146 .59086 .39671 .58877 .39354 .58653 Metetra
.699 .797 .926 r
.39354 .58653 .39671 .58877 .40196 .58662 .39881 .58441 Metetra
.704 .801 .926 r
.39881 .58441 .40196 .58662 .40723 .58442 .40408 .58222 Metetra
.706 .803 .925 r
.40408 .58222 .40723 .58442 .4125 .58221 .40936 .57999 Metetra
.706 .802 .924 r
.40936 .57999 .4125 .58221 .41778 .58003 .41465 .57776 Metetra
.705 .798 .923 r
.41465 .57776 .41778 .58003 .42307 .57788 .41995 .57554 Metetra
.702 .793 .921 r
.41995 .57554 .42307 .57788 .42837 .57578 .42526 .57336 Metetra
.698 .787 .92 r
.42526 .57336 .42837 .57578 .43367 .57375 .43057 .57124 Metetra
.693 .78 .918 r
.43057 .57124 .43367 .57375 .43898 .57177 .43589 .56918 Metetra
.689 .774 .916 r
.43589 .56918 .43898 .57177 .4443 .56985 .44122 .56718 Metetra
.684 .768 .915 r
.44122 .56718 .4443 .56985 .44963 .56799 .44655 .56525 Metetra
.68 .763 .913 r
.44655 .56525 .44963 .56799 .45496 .56617 .4519 .56337 Metetra
.677 .758 .912 r
.4519 .56337 .45496 .56617 .46031 .56439 .45725 .56154 Metetra
.674 .755 .911 r
.45725 .56154 .46031 .56439 .46566 .56264 .46261 .55975 Metetra
.672 .751 .911 r
.46261 .55975 .46566 .56264 .47102 .56092 .46798 .55799 Metetra
.67 .749 .91 r
.46798 .55799 .47102 .56092 .4764 .55921 .47336 .55626 Metetra
.668 .747 .909 r
.47336 .55626 .4764 .55921 .48178 .55752 .47875 .55454 Metetra
.667 .746 .909 r
.47875 .55454 .48178 .55752 .48717 .55584 .48416 .55284 Metetra
.666 .745 .909 r
.48416 .55284 .48717 .55584 .49258 .55417 .48957 .55115 Metetra
.665 .744 .909 r
.48957 .55115 .49258 .55417 .49799 .5525 .49499 .54947 Metetra
.665 .743 .908 r
.49499 .54947 .49799 .5525 .50342 .55083 .50042 .54779 Metetra
.665 .743 .908 r
.50042 .54779 .50342 .55083 .50886 .54917 .50586 .54612 Metetra
.664 .742 .908 r
.50586 .54612 .50886 .54917 .5143 .5475 .51132 .54444 Metetra
.664 .742 .908 r
.51132 .54444 .5143 .5475 .51976 .54583 .51678 .54277 Metetra
.664 .742 .908 r
.51678 .54277 .51976 .54583 .52523 .54417 .52226 .54109 Metetra
.664 .742 .908 r
.52226 .54109 .52523 .54417 .53071 .54249 .52775 .53941 Metetra
.664 .742 .908 r
.52775 .53941 .53071 .54249 .5362 .54082 .53324 .53773 Metetra
.664 .741 .908 r
.53324 .53773 .5362 .54082 .5417 .53915 .53875 .53605 Metetra
.664 .741 .908 r
.53875 .53605 .5417 .53915 .54721 .53747 .54427 .53436 Metetra
.664 .741 .908 r
.54427 .53436 .54721 .53747 .55274 .53579 .5498 .53268 Metetra
.664 .741 .908 r
.5498 .53268 .55274 .53579 .55827 .5341 .55534 .53098 Metetra
.664 .741 .908 r
.55534 .53098 .55827 .5341 .56382 .53241 .5609 .52929 Metetra
.664 .741 .908 r
.5609 .52929 .56382 .53241 .56937 .53072 .56646 .52759 Metetra
.664 .741 .908 r
.56646 .52759 .56937 .53072 .57494 .52903 .57204 .52589 Metetra
.664 .741 .908 r
.57204 .52589 .57494 .52903 .58052 .52733 .57762 .52419 Metetra
.664 .741 .908 r
.57762 .52419 .58052 .52733 .58611 .52563 .58322 .52248 Metetra
.664 .741 .908 r
.58322 .52248 .58611 .52563 .59171 .52393 .58883 .52077 Metetra
.664 .741 .908 r
.58883 .52077 .59171 .52393 .59732 .52222 .59445 .51906 Metetra
.664 .741 .908 r
.59445 .51906 .59732 .52222 .60295 .52051 .60008 .51734 Metetra
.664 .741 .908 r
.60008 .51734 .60295 .52051 .60858 .51879 .60572 .51562 Metetra
.664 .741 .908 r
.60572 .51562 .60858 .51879 .61423 .51707 .61138 .51389 Metetra
.664 .741 .908 r
.61138 .51389 .61423 .51707 .61989 .51535 .61705 .51216 Metetra
.664 .741 .908 r
.61705 .51216 .61989 .51535 .62556 .51363 .62272 .51043 Metetra
.664 .741 .908 r
.62272 .51043 .62556 .51363 .63124 .5119 .62841 .5087 Metetra
.664 .741 .908 r
.62841 .5087 .63124 .5119 .63693 .51017 .63411 .50696 Metetra
.664 .741 .908 r
.63411 .50696 .63693 .51017 .64264 .50843 .63982 .50522 Metetra
.664 .741 .908 r
.63982 .50522 .64264 .50843 .64835 .50669 .64555 .50347 Metetra
.664 .741 .908 r
.64555 .50347 .64835 .50669 .65408 .50495 .65128 .50172 Metetra
.664 .741 .908 r
.65128 .50172 .65408 .50495 .65982 .5032 .65703 .49997 Metetra
.664 .741 .908 r
.65703 .49997 .65982 .5032 .66557 .50145 .66279 .49821 Metetra
.664 .741 .908 r
.66279 .49821 .66557 .50145 .67133 .4997 .66856 .49645 Metetra
.664 .741 .908 r
.66856 .49645 .67133 .4997 .67711 .49794 .67434 .49469 Metetra
.664 .741 .908 r
.67434 .49469 .67711 .49794 .6829 .49618 .68014 .49292 Metetra
.664 .741 .908 r
.68014 .49292 .6829 .49618 .68869 .49442 .68595 .49115 Metetra
.664 .741 .908 r
.68595 .49115 .68869 .49442 .6945 .49265 .69176 .48938 Metetra
.664 .741 .908 r
.69176 .48938 .6945 .49265 .70033 .49088 .69759 .4876 Metetra
.664 .741 .908 r
.69759 .4876 .70033 .49088 .70616 .4891 .70344 .48581 Metetra
.664 .741 .908 r
.70344 .48581 .70616 .4891 .71201 .48732 .70929 .48403 Metetra
.664 .741 .908 r
.70929 .48403 .71201 .48732 .71786 .48554 .71516 .48224 Metetra
.664 .741 .908 r
.71516 .48224 .71786 .48554 .72373 .48375 .72104 .48045 Metetra
.664 .741 .908 r
.72104 .48045 .72373 .48375 .72962 .48196 .72693 .47865 Metetra
.664 .741 .908 r
.72693 .47865 .72962 .48196 .73551 .48017 .73283 .47685 Metetra
.664 .741 .908 r
.73283 .47685 .73551 .48017 .74142 .47837 .73875 .47505 Metetra
.664 .741 .908 r
.73875 .47505 .74142 .47837 .74734 .47657 .74467 .47324 Metetra
.664 .741 .908 r
.74467 .47324 .74734 .47657 .75327 .47477 .75061 .47143 Metetra
.663 .741 .908 r
.75061 .47143 .75327 .47477 .75921 .47296 .75656 .46961 Metetra
.663 .741 .908 r
.75656 .46961 .75921 .47296 .76517 .47115 .76253 .4678 Metetra
.663 .741 .908 r
.76253 .4678 .76517 .47115 .77114 .46934 .76851 .46597 Metetra
.663 .741 .908 r
.76851 .46597 .77114 .46934 .77712 .46752 .7745 .46415 Metetra
.663 .741 .908 r
.7745 .46415 .77712 .46752 .78311 .4657 .7805 .46232 Metetra
.663 .741 .908 r
.7805 .46232 .78311 .4657 .78912 .46387 .78651 .46049 Metetra
.663 .741 .908 r
.78651 .46049 .78912 .46387 .79513 .46205 .79254 .45866 Metetra
.663 .741 .908 r
.79254 .45866 .79513 .46205 .80117 .46022 .79858 .45683 Metetra
.663 .742 .909 r
.79858 .45683 .80117 .46022 .80721 .45839 .80463 .45499 Metetra
.663 .742 .909 r
.80463 .45499 .80721 .45839 .81327 .45655 .8107 .45316 Metetra
.662 .742 .909 r
.8107 .45316 .81327 .45655 .81934 .45472 .81678 .45132 Metetra
.662 .742 .909 r
.81678 .45132 .81934 .45472 .82542 .45289 .82287 .44949 Metetra
.662 .742 .91 r
.82287 .44949 .82542 .45289 .83152 .45106 .82898 .44766 Metetra
.661 .742 .91 r
.82898 .44766 .83152 .45106 .83763 .44923 .8351 .44583 Metetra
.66 .742 .911 r
.8351 .44583 .83763 .44923 .84375 .44741 .84123 .44401 Metetra
.659 .743 .912 r
.84123 .44401 .84375 .44741 .84989 .4456 .84738 .4422 Metetra
.658 .743 .913 r
.84738 .4422 .84989 .4456 .85604 .44379 .85355 .4404 Metetra
.657 .744 .914 r
.85355 .4404 .85604 .44379 .86221 .44199 .85973 .43862 Metetra
.656 .744 .915 r
.85973 .43862 .86221 .44199 .86839 .44021 .86592 .43685 Metetra
.654 .745 .916 r
.86592 .43685 .86839 .44021 .87459 .43844 .87213 .4351 Metetra
.652 .746 .918 r
.87213 .4351 .87459 .43844 .8808 .43669 .87836 .43337 Metetra
.65 .747 .92 r
.87836 .43337 .8808 .43669 .88703 .43497 .8846 .43166 Metetra
.648 .748 .922 r
.8846 .43166 .88703 .43497 .89328 .43326 .89086 .42999 Metetra
.646 .749 .925 r
.89086 .42999 .89328 .43326 .89955 .43159 .89714 .42834 Metetra
.643 .751 .927 r
.89714 .42834 .89955 .43159 .90583 .42993 .90344 .42672 Metetra
.641 .752 .929 r
.90344 .42672 .90583 .42993 .91213 .42831 .90975 .42512 Metetra
.639 .754 .932 r
.90975 .42512 .91213 .42831 .91845 .42671 .91609 .42354 Metetra
.637 .755 .934 r
.91609 .42354 .91845 .42671 .92479 .42513 .92244 .42198 Metetra
.636 .757 .935 r
.92244 .42198 .92479 .42513 .93114 .42356 .9288 .42043 Metetra
.635 .758 .936 r
.9288 .42043 .93114 .42356 .93751 .422 .93518 .41887 Metetra
.636 .759 .937 r
.93518 .41887 .93751 .422 .94389 .42043 .94158 .4173 Metetra
.638 .76 .936 r
.94158 .4173 .94389 .42043 .95029 .41886 .94799 .4157 Metetra
.64 .76 .935 r
.94799 .4157 .95029 .41886 .9567 .41725 .9544 .41407 Metetra
.672 .767 .922 r
.37988 .58781 .38306 .59041 .3883 .58853 .38512 .58608 Metetra
.683 .78 .924 r
.38512 .58608 .3883 .58853 .39354 .58653 .39037 .5842 Metetra
.692 .791 .926 r
.39037 .5842 .39354 .58653 .39881 .58441 .39564 .58217 Metetra
.7 .799 .927 r
.39564 .58217 .39881 .58441 .40408 .58222 .40092 .58003 Metetra
.705 .804 .926 r
.40092 .58003 .40408 .58222 .40936 .57999 .40621 .57781 Metetra
.708 .805 .926 r
.40621 .57781 .40936 .57999 .41465 .57776 .41151 .57555 Metetra
.708 .804 .925 r
.41151 .57555 .41465 .57776 .41995 .57554 .41682 .57328 Metetra
.706 .8 .923 r
.41682 .57328 .41995 .57554 .42526 .57336 .42213 .57103 Metetra
.703 .795 .922 r
.42213 .57103 .42526 .57336 .43057 .57124 .42746 .56882 Metetra
.699 .789 .92 r
.42746 .56882 .43057 .57124 .43589 .56918 .43279 .56667 Metetra
.694 .782 .918 r
.43279 .56667 .43589 .56918 .44122 .56718 .43812 .56459 Metetra
.69 .775 .917 r
.43812 .56459 .44122 .56718 .44655 .56525 .44347 .56257 Metetra
.685 .769 .915 r
.44347 .56257 .44655 .56525 .4519 .56337 .44882 .56062 Metetra
.681 .763 .914 r
.44882 .56062 .4519 .56337 .45725 .56154 .45418 .55873 Metetra
.677 .759 .912 r
.45418 .55873 .45725 .56154 .46261 .55975 .45955 .55688 Metetra
.674 .755 .911 r
.45955 .55688 .46261 .55975 .46798 .55799 .46493 .55508 Metetra
.672 .752 .911 r
.46493 .55508 .46798 .55799 .47336 .55626 .47032 .55331 Metetra
.67 .749 .91 r
.47032 .55331 .47336 .55626 .47875 .55454 .47572 .55157 Metetra
.668 .747 .909 r
.47572 .55157 .47875 .55454 .48416 .55284 .48112 .54984 Metetra
.667 .746 .909 r
.48112 .54984 .48416 .55284 .48957 .55115 .48654 .54814 Metetra
.666 .744 .909 r
.48654 .54814 .48957 .55115 .49499 .54947 .49197 .54644 Metetra
.665 .744 .909 r
.49197 .54644 .49499 .54947 .50042 .54779 .49741 .54474 Metetra
.665 .743 .908 r
.49741 .54474 .50042 .54779 .50586 .54612 .50286 .54306 Metetra
.665 .743 .908 r
.50286 .54306 .50586 .54612 .51132 .54444 .50832 .54137 Metetra
.664 .742 .908 r
.50832 .54137 .51132 .54444 .51678 .54277 .5138 .53969 Metetra
.664 .742 .908 r
.5138 .53969 .51678 .54277 .52226 .54109 .51928 .538 Metetra
.664 .742 .908 r
.51928 .538 .52226 .54109 .52775 .53941 .52477 .53632 Metetra
.664 .742 .908 r
.52477 .53632 .52775 .53941 .53324 .53773 .53028 .53463 Metetra
.664 .742 .908 r
.53028 .53463 .53324 .53773 .53875 .53605 .53579 .53294 Metetra
.664 .741 .908 r
.53579 .53294 .53875 .53605 .54427 .53436 .54132 .53125 Metetra
.664 .741 .908 r
.54132 .53125 .54427 .53436 .5498 .53268 .54686 .52955 Metetra
.664 .741 .908 r
.54686 .52955 .5498 .53268 .55534 .53098 .55241 .52786 Metetra
.664 .741 .908 r
.55241 .52786 .55534 .53098 .5609 .52929 .55797 .52616 Metetra
.664 .741 .908 r
.55797 .52616 .5609 .52929 .56646 .52759 .56354 .52445 Metetra
.664 .741 .908 r
.56354 .52445 .56646 .52759 .57204 .52589 .56912 .52274 Metetra
.664 .741 .908 r
.56912 .52274 .57204 .52589 .57762 .52419 .57472 .52103 Metetra
.664 .741 .908 r
.57472 .52103 .57762 .52419 .58322 .52248 .58032 .51932 Metetra
.664 .741 .908 r
.58032 .51932 .58322 .52248 .58883 .52077 .58594 .5176 Metetra
.664 .741 .908 r
.58594 .5176 .58883 .52077 .59445 .51906 .59156 .51588 Metetra
.664 .741 .908 r
.59156 .51588 .59445 .51906 .60008 .51734 .5972 .51416 Metetra
.664 .741 .908 r
.5972 .51416 .60008 .51734 .60572 .51562 .60285 .51243 Metetra
.664 .741 .908 r
.60285 .51243 .60572 .51562 .61138 .51389 .60852 .5107 Metetra
.664 .741 .908 r
.60852 .5107 .61138 .51389 .61705 .51216 .61419 .50896 Metetra
.664 .741 .908 r
.61419 .50896 .61705 .51216 .62272 .51043 .61988 .50723 Metetra
.664 .741 .908 r
.61988 .50723 .62272 .51043 .62841 .5087 .62557 .50548 Metetra
.664 .741 .908 r
.62557 .50548 .62841 .5087 .63411 .50696 .63128 .50374 Metetra
.664 .741 .908 r
.63128 .50374 .63411 .50696 .63982 .50522 .637 .50199 Metetra
.664 .741 .908 r
.637 .50199 .63982 .50522 .64555 .50347 .64273 .50024 Metetra
.664 .741 .908 r
.64273 .50024 .64555 .50347 .65128 .50172 .64848 .49848 Metetra
.664 .741 .908 r
.64848 .49848 .65128 .50172 .65703 .49997 .65423 .49672 Metetra
.664 .741 .908 r
.65423 .49672 .65703 .49997 .66279 .49821 .66 .49496 Metetra
.664 .741 .908 r
.66 .49496 .66279 .49821 .66856 .49645 .66578 .49319 Metetra
.664 .741 .908 r
.66578 .49319 .66856 .49645 .67434 .49469 .67157 .49142 Metetra
.664 .741 .908 r
.67157 .49142 .67434 .49469 .68014 .49292 .67737 .48965 Metetra
.664 .741 .908 r
.67737 .48965 .68014 .49292 .68595 .49115 .68319 .48787 Metetra
.664 .741 .908 r
.68319 .48787 .68595 .49115 .69176 .48938 .68901 .48609 Metetra
.664 .741 .908 r
.68901 .48609 .69176 .48938 .69759 .4876 .69485 .4843 Metetra
.664 .741 .908 r
.69485 .4843 .69759 .4876 .70344 .48581 .7007 .48252 Metetra
.664 .741 .908 r
.7007 .48252 .70344 .48581 .70929 .48403 .70657 .48072 Metetra
.664 .741 .908 r
.70657 .48072 .70929 .48403 .71516 .48224 .71244 .47893 Metetra
.664 .741 .908 r
.71244 .47893 .71516 .48224 .72104 .48045 .71833 .47713 Metetra
.664 .741 .908 r
.71833 .47713 .72104 .48045 .72693 .47865 .72423 .47532 Metetra
.664 .741 .908 r
.72423 .47532 .72693 .47865 .73283 .47685 .73014 .47352 Metetra
.664 .741 .908 r
.73014 .47352 .73283 .47685 .73875 .47505 .73606 .47171 Metetra
.664 .741 .908 r
.73606 .47171 .73875 .47505 .74467 .47324 .742 .46989 Metetra
.663 .741 .908 r
.742 .46989 .74467 .47324 .75061 .47143 .74795 .46807 Metetra
.663 .741 .908 r
.74795 .46807 .75061 .47143 .75656 .46961 .75391 .46625 Metetra
.663 .741 .908 r
.75391 .46625 .75656 .46961 .76253 .4678 .75988 .46443 Metetra
.663 .741 .908 r
.75988 .46443 .76253 .4678 .76851 .46597 .76587 .4626 Metetra
.663 .741 .908 r
.76587 .4626 .76851 .46597 .7745 .46415 .77187 .46077 Metetra
.663 .741 .908 r
.77187 .46077 .7745 .46415 .7805 .46232 .77788 .45894 Metetra
.663 .741 .908 r
.77788 .45894 .7805 .46232 .78651 .46049 .7839 .4571 Metetra
.663 .741 .908 r
.7839 .4571 .78651 .46049 .79254 .45866 .78994 .45526 Metetra
.663 .742 .909 r
.78994 .45526 .79254 .45866 .79858 .45683 .79599 .45343 Metetra
.663 .742 .909 r
.79599 .45343 .79858 .45683 .80463 .45499 .80205 .45159 Metetra
.662 .742 .909 r
.80205 .45159 .80463 .45499 .8107 .45316 .80812 .44975 Metetra
.662 .742 .909 r
.80812 .44975 .8107 .45316 .81678 .45132 .81421 .44791 Metetra
.662 .742 .91 r
.81421 .44791 .81678 .45132 .82287 .44949 .82032 .44608 Metetra
.661 .742 .91 r
.82032 .44608 .82287 .44949 .82898 .44766 .82643 .44425 Metetra
.66 .742 .911 r
.82643 .44425 .82898 .44766 .8351 .44583 .83256 .44243 Metetra
.659 .743 .912 r
.83256 .44243 .8351 .44583 .84123 .44401 .83871 .44061 Metetra
.658 .743 .913 r
.83871 .44061 .84123 .44401 .84738 .4422 .84487 .43881 Metetra
.657 .744 .914 r
.84487 .43881 .84738 .4422 .85355 .4404 .85104 .43702 Metetra
.656 .744 .915 r
.85104 .43702 .85355 .4404 .85973 .43862 .85723 .43525 Metetra
.654 .745 .917 r
.85723 .43525 .85973 .43862 .86592 .43685 .86344 .4335 Metetra
.652 .746 .918 r
.86344 .4335 .86592 .43685 .87213 .4351 .86966 .43177 Metetra
.65 .747 .92 r
.86966 .43177 .87213 .4351 .87836 .43337 .8759 .43006 Metetra
.648 .748 .923 r
.8759 .43006 .87836 .43337 .8846 .43166 .88216 .42839 Metetra
.645 .749 .925 r
.88216 .42839 .8846 .43166 .89086 .42999 .88844 .42674 Metetra
.643 .751 .927 r
.88844 .42674 .89086 .42999 .89714 .42834 .89473 .42512 Metetra
.64 .752 .93 r
.89473 .42512 .89714 .42834 .90344 .42672 .90104 .42353 Metetra
.638 .754 .932 r
.90104 .42353 .90344 .42672 .90975 .42512 .90737 .42196 Metetra
.636 .756 .934 r
.90737 .42196 .90975 .42512 .91609 .42354 .91372 .4204 Metetra
.635 .757 .936 r
.91372 .4204 .91609 .42354 .92244 .42198 .92008 .41886 Metetra
.634 .758 .937 r
.92008 .41886 .92244 .42198 .9288 .42043 .92646 .41731 Metetra
.635 .76 .938 r
.92646 .41731 .9288 .42043 .93518 .41887 .93285 .41575 Metetra
.637 .76 .937 r
.93285 .41575 .93518 .41887 .94158 .4173 .93926 .41416 Metetra
.639 .761 .936 r
.93926 .41416 .94158 .4173 .94799 .4157 .94567 .41253 Metetra
.643 .761 .934 r
.94567 .41253 .94799 .4157 .9544 .41407 .9521 .41085 Metetra
.66 .752 .918 r
.3767 .58503 .37988 .58781 .38512 .58608 .38194 .58347 Metetra
.671 .767 .922 r
.38194 .58347 .38512 .58608 .39037 .5842 .38719 .58174 Metetra
.683 .78 .925 r
.38719 .58174 .39037 .5842 .39564 .58217 .39246 .57985 Metetra
.693 .792 .926 r
.39246 .57985 .39564 .58217 .40092 .58003 .39774 .5778 Metetra
.701 .801 .927 r
.39774 .5778 .40092 .58003 .40621 .57781 .40304 .57564 Metetra
.706 .806 .927 r
.40304 .57564 .40621 .57781 .41151 .57555 .40835 .57339 Metetra
.709 .808 .926 r
.40835 .57339 .41151 .57555 .41682 .57328 .41366 .57109 Metetra
.71 .807 .925 r
.41366 .57109 .41682 .57328 .42213 .57103 .41899 .56879 Metetra
.708 .803 .924 r
.41899 .56879 .42213 .57103 .42746 .56882 .42432 .5665 Metetra
.705 .797 .922 r
.42432 .5665 .42746 .56882 .43279 .56667 .42967 .56426 Metetra
.7 .79 .92 r
.42967 .56426 .43279 .56667 .43812 .56459 .43501 .56208 Metetra
.695 .783 .919 r
.43501 .56208 .43812 .56459 .44347 .56257 .44037 .55997 Metetra
.69 .776 .917 r
.44037 .55997 .44347 .56257 .44882 .56062 .44573 .55794 Metetra
.686 .77 .915 r
.44573 .55794 .44882 .56062 .45418 .55873 .4511 .55597 Metetra
.681 .764 .914 r
.4511 .55597 .45418 .55873 .45955 .55688 .45648 .55406 Metetra
.677 .759 .912 r
.45648 .55406 .45955 .55688 .46493 .55508 .46187 .5522 Metetra
.674 .755 .911 r
.46187 .5522 .46493 .55508 .47032 .55331 .46726 .55039 Metetra
.672 .752 .911 r
.46726 .55039 .47032 .55331 .47572 .55157 .47267 .54861 Metetra
.67 .749 .91 r
.47267 .54861 .47572 .55157 .48112 .54984 .47808 .54685 Metetra
.668 .747 .909 r
.47808 .54685 .48112 .54984 .48654 .54814 .48351 .54512 Metetra
.667 .746 .909 r
.48351 .54512 .48654 .54814 .49197 .54644 .48894 .5434 Metetra
.666 .744 .909 r
.48894 .5434 .49197 .54644 .49741 .54474 .49439 .54169 Metetra
.665 .744 .909 r
.49439 .54169 .49741 .54474 .50286 .54306 .49985 .53999 Metetra
.665 .743 .908 r
.49985 .53999 .50286 .54306 .50832 .54137 .50532 .5383 Metetra
.665 .743 .908 r
.50532 .5383 .50832 .54137 .5138 .53969 .5108 .5366 Metetra
.664 .742 .908 r
.5108 .5366 .5138 .53969 .51928 .538 .51629 .53491 Metetra
.664 .742 .908 r
.51629 .53491 .51928 .538 .52477 .53632 .52179 .53321 Metetra
.664 .742 .908 r
.52179 .53321 .52477 .53632 .53028 .53463 .5273 .53152 Metetra
.664 .742 .908 r
.5273 .53152 .53028 .53463 .53579 .53294 .53282 .52982 Metetra
.664 .742 .908 r
.53282 .52982 .53579 .53294 .54132 .53125 .53836 .52812 Metetra
.664 .741 .908 r
.53836 .52812 .54132 .53125 .54686 .52955 .5439 .52642 Metetra
.664 .741 .908 r
.5439 .52642 .54686 .52955 .55241 .52786 .54946 .52472 Metetra
.664 .741 .908 r
.54946 .52472 .55241 .52786 .55797 .52616 .55503 .52301 Metetra
.664 .741 .908 r
.55503 .52301 .55797 .52616 .56354 .52445 .56061 .5213 Metetra
.664 .741 .908 r
.56061 .5213 .56354 .52445 .56912 .52274 .5662 .51958 Metetra
.664 .741 .908 r
.5662 .51958 .56912 .52274 .57472 .52103 .5718 .51787 Metetra
.664 .741 .908 r
.5718 .51787 .57472 .52103 .58032 .51932 .57741 .51615 Metetra
.664 .741 .908 r
.57741 .51615 .58032 .51932 .58594 .5176 .58303 .51442 Metetra
.664 .741 .908 r
.58303 .51442 .58594 .5176 .59156 .51588 .58867 .5127 Metetra
.664 .741 .908 r
.58867 .5127 .59156 .51588 .5972 .51416 .59432 .51097 Metetra
.664 .741 .908 r
.59432 .51097 .5972 .51416 .60285 .51243 .59997 .50923 Metetra
.664 .741 .908 r
.59997 .50923 .60285 .51243 .60852 .5107 .60564 .50749 Metetra
.664 .741 .908 r
.60564 .50749 .60852 .5107 .61419 .50896 .61133 .50575 Metetra
.664 .741 .908 r
.61133 .50575 .61419 .50896 .61988 .50723 .61702 .50401 Metetra
.664 .741 .908 r
.61702 .50401 .61988 .50723 .62557 .50548 .62272 .50226 Metetra
.664 .741 .908 r
.62272 .50226 .62557 .50548 .63128 .50374 .62844 .50051 Metetra
.664 .741 .908 r
.62844 .50051 .63128 .50374 .637 .50199 .63417 .49875 Metetra
.664 .741 .908 r
.63417 .49875 .637 .50199 .64273 .50024 .63991 .49699 Metetra
.664 .741 .908 r
.63991 .49699 .64273 .50024 .64848 .49848 .64566 .49523 Metetra
.664 .741 .908 r
.64566 .49523 .64848 .49848 .65423 .49672 .65142 .49346 Metetra
.664 .741 .908 r
.65142 .49346 .65423 .49672 .66 .49496 .6572 .49169 Metetra
.664 .741 .908 r
.6572 .49169 .66 .49496 .66578 .49319 .66298 .48992 Metetra
.664 .741 .908 r
.66298 .48992 .66578 .49319 .67157 .49142 .66878 .48814 Metetra
.664 .741 .908 r
.66878 .48814 .67157 .49142 .67737 .48965 .67459 .48636 Metetra
.664 .741 .908 r
.67459 .48636 .67737 .48965 .68319 .48787 .68042 .48458 Metetra
.664 .741 .908 r
.68042 .48458 .68319 .48787 .68901 .48609 .68625 .48279 Metetra
.664 .741 .908 r
.68625 .48279 .68901 .48609 .69485 .4843 .6921 .481 Metetra
.664 .741 .908 r
.6921 .481 .69485 .4843 .7007 .48252 .69796 .4792 Metetra
.664 .741 .908 r
.69796 .4792 .7007 .48252 .70657 .48072 .70383 .4774 Metetra
.664 .741 .908 r
.70383 .4774 .70657 .48072 .71244 .47893 .70971 .4756 Metetra
.664 .741 .908 r
.70971 .4756 .71244 .47893 .71833 .47713 .71561 .4738 Metetra
.664 .741 .908 r
.71561 .4738 .71833 .47713 .72423 .47532 .72152 .47198 Metetra
.664 .741 .908 r
.72152 .47198 .72423 .47532 .73014 .47352 .72744 .47017 Metetra
.664 .741 .908 r
.72744 .47017 .73014 .47352 .73606 .47171 .73337 .46835 Metetra
.663 .741 .908 r
.73337 .46835 .73606 .47171 .742 .46989 .73931 .46653 Metetra
.663 .741 .908 r
.73931 .46653 .742 .46989 .74795 .46807 .74527 .46471 Metetra
.663 .741 .908 r
.74527 .46471 .74795 .46807 .75391 .46625 .75124 .46288 Metetra
.663 .741 .908 r
.75124 .46288 .75391 .46625 .75988 .46443 .75722 .46105 Metetra
.663 .741 .908 r
.75722 .46105 .75988 .46443 .76587 .4626 .76322 .45922 Metetra
.663 .741 .908 r
.76322 .45922 .76587 .4626 .77187 .46077 .76922 .45738 Metetra
.663 .741 .908 r
.76922 .45738 .77187 .46077 .77788 .45894 .77524 .45554 Metetra
.663 .741 .908 r
.77524 .45554 .77788 .45894 .7839 .4571 .78128 .4537 Metetra
.663 .742 .909 r
.78128 .4537 .7839 .4571 .78994 .45526 .78732 .45186 Metetra
.663 .742 .909 r
.78732 .45186 .78994 .45526 .79599 .45343 .79338 .45002 Metetra
.662 .742 .909 r
.79338 .45002 .79599 .45343 .80205 .45159 .79945 .44817 Metetra
.662 .742 .909 r
.79945 .44817 .80205 .45159 .80812 .44975 .80554 .44633 Metetra
.662 .742 .91 r
.80554 .44633 .80812 .44975 .81421 .44791 .81164 .4445 Metetra
.661 .742 .91 r
.81164 .4445 .81421 .44791 .82032 .44608 .81775 .44266 Metetra
.66 .742 .911 r
.81775 .44266 .82032 .44608 .82643 .44425 .82388 .44084 Metetra
.659 .743 .912 r
.82388 .44084 .82643 .44425 .83256 .44243 .83002 .43902 Metetra
.658 .743 .913 r
.83002 .43902 .83256 .44243 .83871 .44061 .83617 .43721 Metetra
.657 .744 .914 r
.83617 .43721 .83871 .44061 .84487 .43881 .84235 .43542 Metetra
.656 .744 .915 r
.84235 .43542 .84487 .43881 .85104 .43702 .84853 .43365 Metetra
.654 .745 .917 r
.84853 .43365 .85104 .43702 .85723 .43525 .85473 .43189 Metetra
.652 .746 .918 r
.85473 .43189 .85723 .43525 .86344 .4335 .86095 .43016 Metetra
.65 .747 .921 r
.86095 .43016 .86344 .4335 .86966 .43177 .86719 .42846 Metetra
.648 .748 .923 r
.86719 .42846 .86966 .43177 .8759 .43006 .87344 .42678 Metetra
.645 .75 .925 r
.87344 .42678 .8759 .43006 .88216 .42839 .87971 .42514 Metetra
.642 .751 .928 r
.87971 .42514 .88216 .42839 .88844 .42674 .886 .42352 Metetra
.64 .753 .93 r
.886 .42352 .88844 .42674 .89473 .42512 .89231 .42193 Metetra
.637 .754 .933 r
.89231 .42193 .89473 .42512 .90104 .42353 .89864 .42037 Metetra
.635 .756 .935 r
.89864 .42037 .90104 .42353 .90737 .42196 .90498 .41882 Metetra
.634 .758 .937 r
.90498 .41882 .90737 .42196 .91372 .4204 .91134 .41729 Metetra
.633 .759 .938 r
.91134 .41729 .91372 .4204 .92008 .41886 .91772 .41575 Metetra
.634 .76 .939 r
.91772 .41575 .92008 .41886 .92646 .41731 .92411 .41419 Metetra
.636 .761 .938 r
.92411 .41419 .92646 .41731 .93285 .41575 .93051 .41261 Metetra
.639 .761 .937 r
.93051 .41261 .93285 .41575 .93926 .41416 .93692 .41099 Metetra
.642 .761 .935 r
.93692 .41099 .93926 .41416 .94567 .41253 .94334 .40931 Metetra
.647 .76 .932 r
.94334 .40931 .94567 .41253 .9521 .41085 .94977 .40757 Metetra
.647 .736 .914 r
.37352 .58205 .3767 .58503 .38194 .58347 .37875 .58066 Metetra
.658 .751 .918 r
.37875 .58066 .38194 .58347 .38719 .58174 .384 .57911 Metetra
.67 .766 .922 r
.384 .57911 .38719 .58174 .39246 .57985 .38927 .57738 Metetra
.682 .781 .925 r
.38927 .57738 .39246 .57985 .39774 .5778 .39456 .57548 Metetra
.693 .794 .927 r
.39456 .57548 .39774 .5778 .40304 .57564 .39986 .57342 Metetra
.702 .803 .928 r
.39986 .57342 .40304 .57564 .40835 .57339 .40517 .57123 Metetra
.708 .809 .928 r
.40517 .57123 .40835 .57339 .41366 .57109 .4105 .56895 Metetra
.711 .811 .927 r
.4105 .56895 .41366 .57109 .41899 .56879 .41583 .56662 Metetra
.711 .809 .926 r
.41583 .56662 .41899 .56879 .42432 .5665 .42118 .56427 Metetra
.71 .805 .924 r
.42118 .56427 .42432 .5665 .42967 .56426 .42653 .56195 Metetra
.706 .799 .923 r
.42653 .56195 .42967 .56426 .43501 .56208 .43189 .55968 Metetra
.702 .792 .921 r
.43189 .55968 .43501 .56208 .44037 .55997 .43725 .55747 Metetra
.696 .785 .919 r
.43725 .55747 .44037 .55997 .44573 .55794 .44263 .55534 Metetra
.691 .777 .917 r
.44263 .55534 .44573 .55794 .4511 .55597 .448 .55328 Metetra
.686 .77 .915 r
.448 .55328 .4511 .55597 .45648 .55406 .45339 .55129 Metetra
.682 .764 .914 r
.45339 .55129 .45648 .55406 .46187 .5522 .45879 .54936 Metetra
.678 .759 .912 r
.45879 .54936 .46187 .5522 .46726 .55039 .46419 .54749 Metetra
.675 .755 .911 r
.46419 .54749 .46726 .55039 .47267 .54861 .46961 .54567 Metetra
.672 .752 .911 r
.46961 .54567 .47267 .54861 .47808 .54685 .47503 .54388 Metetra
.67 .749 .91 r
.47503 .54388 .47808 .54685 .48351 .54512 .48046 .54211 Metetra
.668 .747 .909 r
.48046 .54211 .48351 .54512 .48894 .5434 .48591 .54037 Metetra
.667 .746 .909 r
.48591 .54037 .48894 .5434 .49439 .54169 .49136 .53864 Metetra
.666 .744 .909 r
.49136 .53864 .49439 .54169 .49985 .53999 .49682 .53692 Metetra
.665 .744 .909 r
.49682 .53692 .49985 .53999 .50532 .5383 .5023 .53521 Metetra
.665 .743 .908 r
.5023 .53521 .50532 .5383 .5108 .5366 .50779 .53351 Metetra
.665 .743 .908 r
.50779 .53351 .5108 .5366 .51629 .53491 .51328 .5318 Metetra
.664 .742 .908 r
.51328 .5318 .51629 .53491 .52179 .53321 .51879 .5301 Metetra
.664 .742 .908 r
.51879 .5301 .52179 .53321 .5273 .53152 .52431 .5284 Metetra
.664 .742 .908 r
.52431 .5284 .5273 .53152 .53282 .52982 .52984 .52669 Metetra
.664 .742 .908 r
.52984 .52669 .53282 .52982 .53836 .52812 .53538 .52499 Metetra
.664 .742 .908 r
.53538 .52499 .53836 .52812 .5439 .52642 .54094 .52328 Metetra
.664 .741 .908 r
.54094 .52328 .5439 .52642 .54946 .52472 .5465 .52157 Metetra
.664 .741 .908 r
.5465 .52157 .54946 .52472 .55503 .52301 .55207 .51985 Metetra
.664 .741 .908 r
.55207 .51985 .55503 .52301 .56061 .5213 .55766 .51813 Metetra
.664 .741 .908 r
.55766 .51813 .56061 .5213 .5662 .51958 .56326 .51641 Metetra
.664 .741 .908 r
.56326 .51641 .5662 .51958 .5718 .51787 .56887 .51469 Metetra
.664 .741 .908 r
.56887 .51469 .5718 .51787 .57741 .51615 .57449 .51296 Metetra
.664 .741 .908 r
.57449 .51296 .57741 .51615 .58303 .51442 .58012 .51123 Metetra
.664 .741 .908 r
.58012 .51123 .58303 .51442 .58867 .5127 .58576 .5095 Metetra
.664 .741 .908 r
.58576 .5095 .58867 .5127 .59432 .51097 .59142 .50776 Metetra
.664 .741 .908 r
.59142 .50776 .59432 .51097 .59997 .50923 .59708 .50602 Metetra
.664 .741 .908 r
.59708 .50602 .59997 .50923 .60564 .50749 .60276 .50428 Metetra
.664 .741 .908 r
.60276 .50428 .60564 .50749 .61133 .50575 .60845 .50253 Metetra
.664 .741 .908 r
.60845 .50253 .61133 .50575 .61702 .50401 .61415 .50078 Metetra
.664 .741 .908 r
.61415 .50078 .61702 .50401 .62272 .50226 .61986 .49902 Metetra
.664 .741 .908 r
.61986 .49902 .62272 .50226 .62844 .50051 .62559 .49726 Metetra
.664 .741 .908 r
.62559 .49726 .62844 .50051 .63417 .49875 .63132 .4955 Metetra
.664 .741 .908 r
.63132 .4955 .63417 .49875 .63991 .49699 .63707 .49374 Metetra
.664 .741 .908 r
.63707 .49374 .63991 .49699 .64566 .49523 .64283 .49197 Metetra
.664 .741 .908 r
.64283 .49197 .64566 .49523 .65142 .49346 .6486 .49019 Metetra
.664 .741 .908 r
.6486 .49019 .65142 .49346 .6572 .49169 .65439 .48842 Metetra
.664 .741 .908 r
.65439 .48842 .6572 .49169 .66298 .48992 .66018 .48664 Metetra
.664 .741 .908 r
.66018 .48664 .66298 .48992 .66878 .48814 .66599 .48485 Metetra
.664 .741 .908 r
.66599 .48485 .66878 .48814 .67459 .48636 .67181 .48307 Metetra
.664 .741 .908 r
.67181 .48307 .67459 .48636 .68042 .48458 .67764 .48127 Metetra
.664 .741 .908 r
.67764 .48127 .68042 .48458 .68625 .48279 .68348 .47948 Metetra
.664 .741 .908 r
.68348 .47948 .68625 .48279 .6921 .481 .68934 .47768 Metetra
.664 .741 .908 r
.68934 .47768 .6921 .481 .69796 .4792 .6952 .47588 Metetra
.664 .741 .908 r
.6952 .47588 .69796 .4792 .70383 .4774 .70108 .47407 Metetra
.664 .741 .908 r
.70108 .47407 .70383 .4774 .70971 .4756 .70697 .47226 Metetra
.664 .741 .908 r
.70697 .47226 .70971 .4756 .71561 .4738 .71288 .47045 Metetra
.664 .741 .908 r
.71288 .47045 .71561 .4738 .72152 .47198 .71879 .46863 Metetra
.664 .741 .908 r
.71879 .46863 .72152 .47198 .72744 .47017 .72472 .46681 Metetra
.663 .741 .908 r
.72472 .46681 .72744 .47017 .73337 .46835 .73066 .46499 Metetra
.663 .741 .908 r
.73066 .46499 .73337 .46835 .73931 .46653 .73662 .46316 Metetra
.663 .741 .908 r
.73662 .46316 .73931 .46653 .74527 .46471 .74258 .46133 Metetra
.663 .741 .908 r
.74258 .46133 .74527 .46471 .75124 .46288 .74856 .4595 Metetra
.663 .741 .908 r
.74856 .4595 .75124 .46288 .75722 .46105 .75455 .45766 Metetra
.663 .741 .908 r
.75455 .45766 .75722 .46105 .76322 .45922 .76056 .45582 Metetra
.663 .741 .908 r
.76056 .45582 .76322 .45922 .76922 .45738 .76657 .45398 Metetra
.663 .741 .908 r
.76657 .45398 .76922 .45738 .77524 .45554 .7726 .45213 Metetra
.663 .742 .908 r
.7726 .45213 .77524 .45554 .78128 .4537 .77864 .45029 Metetra
.663 .742 .909 r
.77864 .45029 .78128 .4537 .78732 .45186 .7847 .44844 Metetra
.662 .742 .909 r
.7847 .44844 .78732 .45186 .79338 .45002 .79077 .44659 Metetra
.662 .742 .909 r
.79077 .44659 .79338 .45002 .79945 .44817 .79685 .44475 Metetra
.662 .742 .91 r
.79685 .44475 .79945 .44817 .80554 .44633 .80294 .44291 Metetra
.661 .742 .91 r
.80294 .44291 .80554 .44633 .81164 .4445 .80905 .44107 Metetra
.66 .742 .911 r
.80905 .44107 .81164 .4445 .81775 .44266 .81518 .43924 Metetra
.659 .743 .912 r
.81518 .43924 .81775 .44266 .82388 .44084 .82131 .43742 Metetra
.658 .743 .913 r
.82131 .43742 .82388 .44084 .83002 .43902 .82746 .43561 Metetra
.657 .744 .914 r
.82746 .43561 .83002 .43902 .83617 .43721 .83363 .43382 Metetra
.656 .744 .915 r
.83363 .43382 .83617 .43721 .84235 .43542 .83981 .43204 Metetra
.654 .745 .917 r
.83981 .43204 .84235 .43542 .84853 .43365 .84601 .43029 Metetra
.652 .746 .919 r
.84601 .43029 .84853 .43365 .85473 .43189 .85223 .42856 Metetra
.65 .747 .921 r
.85223 .42856 .85473 .43189 .86095 .43016 .85846 .42685 Metetra
.647 .748 .923 r
.85846 .42685 .86095 .43016 .86719 .42846 .86471 .42518 Metetra
.645 .75 .926 r
.86471 .42518 .86719 .42846 .87344 .42678 .87098 .42353 Metetra
.642 .751 .928 r
.87098 .42353 .87344 .42678 .87971 .42514 .87726 .42192 Metetra
.639 .753 .931 r
.87726 .42192 .87971 .42514 .886 .42352 .88357 .42034 Metetra
.636 .755 .934 r
.88357 .42034 .886 .42352 .89231 .42193 .88989 .41878 Metetra
.634 .756 .936 r
.88989 .41878 .89231 .42193 .89864 .42037 .89623 .41724 Metetra
.633 .758 .938 r
.89623 .41724 .89864 .42037 .90498 .41882 .90259 .41571 Metetra
.632 .76 .939 r
.90259 .41571 .90498 .41882 .91134 .41729 .90896 .41418 Metetra
.633 .761 .94 r
.90896 .41418 .91134 .41729 .91772 .41575 .91535 .41264 Metetra
.635 .762 .939 r
.91535 .41264 .91772 .41575 .92411 .41419 .92175 .41107 Metetra
.638 .762 .938 r
.92175 .41107 .92411 .41419 .93051 .41261 .92816 .40945 Metetra
.642 .762 .936 r
.92816 .40945 .93051 .41261 .93692 .41099 .93457 .40778 Metetra
.647 .761 .932 r
.93457 .40778 .93692 .41099 .94334 .40931 .941 .40604 Metetra
.652 .759 .928 r
.941 .40604 .94334 .40931 .94977 .40757 .94743 .40423 Metetra
.636 .721 .909 r
.37033 .57887 .37352 .58205 .37875 .58066 .37557 .57764 Metetra
.645 .734 .914 r
.37557 .57764 .37875 .58066 .384 .57911 .38081 .57627 Metetra
.657 .75 .918 r
.38081 .57627 .384 .57911 .38927 .57738 .38608 .57473 Metetra
.669 .766 .923 r
.38608 .57473 .38927 .57738 .39456 .57548 .39137 .57301 Metetra
.682 .782 .926 r
.39137 .57301 .39456 .57548 .39986 .57342 .39667 .5711 Metetra
.694 .795 .928 r
.39667 .5711 .39986 .57342 .40517 .57123 .40199 .56902 Metetra
.703 .805 .929 r
.40199 .56902 .40517 .57123 .4105 .56895 .40732 .56681 Metetra
.709 .812 .929 r
.40732 .56681 .4105 .56895 .41583 .56662 .41266 .56449 Metetra
.713 .814 .928 r
.41266 .56449 .41583 .56662 .42118 .56427 .41801 .56212 Metetra
.713 .812 .927 r
.41801 .56212 .42118 .56427 .42653 .56195 .42338 .55974 Metetra
.712 .808 .925 r
.42338 .55974 .42653 .56195 .43189 .55968 .42875 .55738 Metetra
.708 .802 .923 r
.42875 .55738 .43189 .55968 .43725 .55747 .43412 .55507 Metetra
.703 .794 .921 r
.43412 .55507 .43725 .55747 .44263 .55534 .43951 .55283 Metetra
.698 .786 .919 r
.43951 .55283 .44263 .55534 .448 .55328 .44489 .55067 Metetra
.692 .778 .917 r
.44489 .55067 .448 .55328 .45339 .55129 .45029 .54859 Metetra
.687 .771 .916 r
.45029 .54859 .45339 .55129 .45879 .54936 .4557 .54658 Metetra
.682 .765 .914 r
.4557 .54658 .45879 .54936 .46419 .54749 .46111 .54464 Metetra
.678 .76 .913 r
.46111 .54464 .46419 .54749 .46961 .54567 .46653 .54276 Metetra
.675 .755 .911 r
.46653 .54276 .46961 .54567 .47503 .54388 .47196 .54092 Metetra
.672 .752 .911 r
.47196 .54092 .47503 .54388 .48046 .54211 .4774 .53912 Metetra
.67 .749 .91 r
.4774 .53912 .48046 .54211 .48591 .54037 .48286 .53734 Metetra
.668 .747 .909 r
.48286 .53734 .48591 .54037 .49136 .53864 .48832 .53559 Metetra
.667 .746 .909 r
.48832 .53559 .49136 .53864 .49682 .53692 .49379 .53385 Metetra
.666 .744 .909 r
.49379 .53385 .49682 .53692 .5023 .53521 .49927 .53213 Metetra
.665 .744 .908 r
.49927 .53213 .5023 .53521 .50779 .53351 .50477 .53041 Metetra
.665 .743 .908 r
.50477 .53041 .50779 .53351 .51328 .5318 .51027 .52869 Metetra
.665 .743 .908 r
.51027 .52869 .51328 .5318 .51879 .5301 .51579 .52698 Metetra
.664 .742 .908 r
.51579 .52698 .51879 .5301 .52431 .5284 .52131 .52527 Metetra
.664 .742 .908 r
.52131 .52527 .52431 .5284 .52984 .52669 .52685 .52355 Metetra
.664 .742 .908 r
.52685 .52355 .52984 .52669 .53538 .52499 .5324 .52184 Metetra
.664 .742 .908 r
.5324 .52184 .53538 .52499 .54094 .52328 .53796 .52012 Metetra
.664 .742 .908 r
.53796 .52012 .54094 .52328 .5465 .52157 .54353 .5184 Metetra
.664 .741 .908 r
.54353 .5184 .5465 .52157 .55207 .51985 .54911 .51668 Metetra
.664 .741 .908 r
.54911 .51668 .55207 .51985 .55766 .51813 .55471 .51496 Metetra
.664 .741 .908 r
.55471 .51496 .55766 .51813 .56326 .51641 .56031 .51323 Metetra
.664 .741 .908 r
.56031 .51323 .56326 .51641 .56887 .51469 .56593 .5115 Metetra
.664 .741 .908 r
.56593 .5115 .56887 .51469 .57449 .51296 .57155 .50977 Metetra
.664 .741 .908 r
.57155 .50977 .57449 .51296 .58012 .51123 .57719 .50803 Metetra
.664 .741 .908 r
.57719 .50803 .58012 .51123 .58576 .5095 .58284 .50629 Metetra
.664 .741 .908 r
.58284 .50629 .58576 .5095 .59142 .50776 .58851 .50455 Metetra
.664 .741 .908 r
.58851 .50455 .59142 .50776 .59708 .50602 .59418 .5028 Metetra
.664 .741 .908 r
.59418 .5028 .59708 .50602 .60276 .50428 .59987 .50105 Metetra
.664 .741 .908 r
.59987 .50105 .60276 .50428 .60845 .50253 .60556 .49929 Metetra
.664 .741 .908 r
.60556 .49929 .60845 .50253 .61415 .50078 .61127 .49754 Metetra
.664 .741 .908 r
.61127 .49754 .61415 .50078 .61986 .49902 .61699 .49577 Metetra
.664 .741 .908 r
.61699 .49577 .61986 .49902 .62559 .49726 .62272 .49401 Metetra
.664 .741 .908 r
.62272 .49401 .62559 .49726 .63132 .4955 .62847 .49224 Metetra
.664 .741 .908 r
.62847 .49224 .63132 .4955 .63707 .49374 .63422 .49047 Metetra
.664 .741 .908 r
.63422 .49047 .63707 .49374 .64283 .49197 .63999 .48869 Metetra
.664 .741 .908 r
.63999 .48869 .64283 .49197 .6486 .49019 .64577 .48691 Metetra
.664 .741 .908 r
.64577 .48691 .6486 .49019 .65439 .48842 .65156 .48513 Metetra
.664 .741 .908 r
.65156 .48513 .65439 .48842 .66018 .48664 .65737 .48334 Metetra
.664 .741 .908 r
.65737 .48334 .66018 .48664 .66599 .48485 .66318 .48155 Metetra
.664 .741 .908 r
.66318 .48155 .66599 .48485 .67181 .48307 .66901 .47976 Metetra
.664 .741 .908 r
.66901 .47976 .67181 .48307 .67764 .48127 .67485 .47796 Metetra
.664 .741 .908 r
.67485 .47796 .67764 .48127 .68348 .47948 .6807 .47616 Metetra
.664 .741 .908 r
.6807 .47616 .68348 .47948 .68934 .47768 .68656 .47435 Metetra
.664 .741 .908 r
.68656 .47435 .68934 .47768 .6952 .47588 .69244 .47254 Metetra
.664 .741 .908 r
.69244 .47254 .6952 .47588 .70108 .47407 .69833 .47073 Metetra
.664 .741 .908 r
.69833 .47073 .70108 .47407 .70697 .47226 .70423 .46891 Metetra
.664 .741 .908 r
.70423 .46891 .70697 .47226 .71288 .47045 .71014 .46709 Metetra
.664 .741 .908 r
.71014 .46709 .71288 .47045 .71879 .46863 .71606 .46527 Metetra
.663 .741 .908 r
.71606 .46527 .71879 .46863 .72472 .46681 .722 .46344 Metetra
.663 .741 .908 r
.722 .46344 .72472 .46681 .73066 .46499 .72795 .46161 Metetra
.663 .741 .908 r
.72795 .46161 .73066 .46499 .73662 .46316 .73391 .45978 Metetra
.663 .741 .908 r
.73391 .45978 .73662 .46316 .74258 .46133 .73989 .45794 Metetra
.663 .741 .908 r
.73989 .45794 .74258 .46133 .74856 .4595 .74587 .4561 Metetra
.663 .741 .908 r
.74587 .4561 .74856 .4595 .75455 .45766 .75187 .45425 Metetra
.663 .741 .908 r
.75187 .45425 .75455 .45766 .76056 .45582 .75789 .45241 Metetra
.663 .741 .908 r
.75789 .45241 .76056 .45582 .76657 .45398 .76391 .45056 Metetra
.663 .742 .908 r
.76391 .45056 .76657 .45398 .7726 .45213 .76995 .44871 Metetra
.663 .742 .909 r
.76995 .44871 .7726 .45213 .77864 .45029 .776 .44686 Metetra
.662 .742 .909 r
.776 .44686 .77864 .45029 .7847 .44844 .78207 .44501 Metetra
.662 .742 .909 r
.78207 .44501 .7847 .44844 .79077 .44659 .78814 .44317 Metetra
.662 .742 .91 r
.78814 .44317 .79077 .44659 .79685 .44475 .79423 .44132 Metetra
.661 .742 .91 r
.79423 .44132 .79685 .44475 .80294 .44291 .80034 .43948 Metetra
.66 .742 .911 r
.80034 .43948 .80294 .44291 .80905 .44107 .80646 .43765 Metetra
.659 .743 .912 r
.80646 .43765 .80905 .44107 .81518 .43924 .81259 .43583 Metetra
.658 .743 .913 r
.81259 .43583 .81518 .43924 .82131 .43742 .81874 .43401 Metetra
.657 .744 .914 r
.81874 .43401 .82131 .43742 .82746 .43561 .8249 .43222 Metetra
.656 .744 .915 r
.8249 .43222 .82746 .43561 .83363 .43382 .83108 .43044 Metetra
.654 .745 .917 r
.83108 .43044 .83363 .43382 .83981 .43204 .83728 .42868 Metetra
.652 .746 .919 r
.83728 .42868 .83981 .43204 .84601 .43029 .84349 .42695 Metetra
.649 .747 .921 r
.84349 .42695 .84601 .43029 .85223 .42856 .84972 .42524 Metetra
.647 .748 .923 r
.84972 .42524 .85223 .42856 .85846 .42685 .85596 .42357 Metetra
.644 .75 .926 r
.85596 .42357 .85846 .42685 .86471 .42518 .86223 .42193 Metetra
.641 .751 .929 r
.86223 .42193 .86471 .42518 .87098 .42353 .86851 .42032 Metetra
.638 .753 .932 r
.86851 .42032 .87098 .42353 .87726 .42192 .87481 .41874 Metetra
.635 .755 .934 r
.87481 .41874 .87726 .42192 .88357 .42034 .88113 .41719 Metetra
.633 .757 .937 r
.88113 .41719 .88357 .42034 .88989 .41878 .88746 .41566 Metetra
.632 .759 .939 r
.88746 .41566 .88989 .41878 .89623 .41724 .89382 .41414 Metetra
.631 .76 .94 r
.89382 .41414 .89623 .41724 .90259 .41571 .90019 .41262 Metetra
.632 .762 .941 r
.90019 .41262 .90259 .41571 .90896 .41418 .90657 .41109 Metetra
.633 .763 .941 r
.90657 .41109 .90896 .41418 .91535 .41264 .91297 .40952 Metetra
.637 .763 .939 r
.91297 .40952 .91535 .41264 .92175 .41107 .91937 .40791 Metetra
.641 .763 .937 r
.91937 .40791 .92175 .41107 .92816 .40945 .92579 .40625 Metetra
.646 .762 .933 r
.92579 .40625 .92816 .40945 .93457 .40778 .93221 .40451 Metetra
.652 .76 .929 r
.93221 .40451 .93457 .40778 .941 .40604 .93864 .40269 Metetra
.657 .758 .924 r
.93864 .40269 .941 .40604 .94743 .40423 .94507 .4008 Metetra
.628 .71 .905 r
.36714 .57554 .37033 .57887 .37557 .57764 .37237 .57442 Metetra
.634 .719 .908 r
.37237 .57442 .37557 .57764 .38081 .57627 .37762 .57321 Metetra
.643 .732 .913 r
.37762 .57321 .38081 .57627 .38608 .57473 .38289 .57186 Metetra
.655 .748 .918 r
.38289 .57186 .38608 .57473 .39137 .57301 .38817 .57034 Metetra
.668 .765 .923 r
.38817 .57034 .39137 .57301 .39667 .5711 .39347 .56863 Metetra
.682 .782 .926 r
.39347 .56863 .39667 .5711 .40199 .56902 .39879 .56671 Metetra
.694 .797 .929 r
.39879 .56671 .40199 .56902 .40732 .56681 .40413 .56462 Metetra
.704 .808 .929 r
.40413 .56462 .40732 .56681 .41266 .56449 .40948 .56237 Metetra
.711 .814 .929 r
.40948 .56237 .41266 .56449 .41801 .56212 .41484 .56002 Metetra
.715 .817 .929 r
.41484 .56002 .41801 .56212 .42338 .55974 .42021 .55762 Metetra
.715 .815 .927 r
.42021 .55762 .42338 .55974 .42875 .55738 .42559 .55519 Metetra
.714 .811 .926 r
.42559 .55519 .42875 .55738 .43412 .55507 .43098 .55279 Metetra
.71 .804 .924 r
.43098 .55279 .43412 .55507 .43951 .55283 .43637 .55045 Metetra
.705 .796 .922 r
.43637 .55045 .43951 .55283 .44489 .55067 .44177 .54818 Metetra
.699 .788 .92 r
.44177 .54818 .44489 .55067 .45029 .54859 .44718 .54599 Metetra
.693 .78 .918 r
.44718 .54599 .45029 .54859 .4557 .54658 .45259 .54388 Metetra
.687 .772 .916 r
.45259 .54388 .4557 .54658 .46111 .54464 .45802 .54185 Metetra
.683 .765 .914 r
.45802 .54185 .46111 .54464 .46653 .54276 .46345 .53989 Metetra
.678 .76 .913 r
.46345 .53989 .46653 .54276 .47196 .54092 .46889 .53799 Metetra
.675 .755 .912 r
.46889 .53799 .47196 .54092 .4774 .53912 .47433 .53614 Metetra
.672 .752 .911 r
.47433 .53614 .4774 .53912 .48286 .53734 .47979 .53433 Metetra
.67 .749 .91 r
.47979 .53433 .48286 .53734 .48832 .53559 .48526 .53255 Metetra
.668 .747 .909 r
.48526 .53255 .48832 .53559 .49379 .53385 .49074 .53079 Metetra
.667 .746 .909 r
.49074 .53079 .49379 .53385 .49927 .53213 .49623 .52904 Metetra
.666 .744 .909 r
.49623 .52904 .49927 .53213 .50477 .53041 .50173 .5273 Metetra
.665 .744 .908 r
.50173 .5273 .50477 .53041 .51027 .52869 .50724 .52557 Metetra
.665 .743 .908 r
.50724 .52557 .51027 .52869 .51579 .52698 .51277 .52385 Metetra
.665 .743 .908 r
.51277 .52385 .51579 .52698 .52131 .52527 .5183 .52213 Metetra
.664 .742 .908 r
.5183 .52213 .52131 .52527 .52685 .52355 .52385 .5204 Metetra
.664 .742 .908 r
.52385 .5204 .52685 .52355 .5324 .52184 .5294 .51868 Metetra
.664 .742 .908 r
.5294 .51868 .5324 .52184 .53796 .52012 .53497 .51696 Metetra
.664 .742 .908 r
.53497 .51696 .53796 .52012 .54353 .5184 .54055 .51523 Metetra
.664 .742 .908 r
.54055 .51523 .54353 .5184 .54911 .51668 .54614 .5135 Metetra
.664 .741 .908 r
.54614 .5135 .54911 .51668 .55471 .51496 .55174 .51177 Metetra
.664 .741 .908 r
.55174 .51177 .55471 .51496 .56031 .51323 .55735 .51004 Metetra
.664 .741 .908 r
.55735 .51004 .56031 .51323 .56593 .5115 .56298 .5083 Metetra
.664 .741 .908 r
.56298 .5083 .56593 .5115 .57155 .50977 .56861 .50656 Metetra
.664 .741 .908 r
.56861 .50656 .57155 .50977 .57719 .50803 .57426 .50481 Metetra
.664 .741 .908 r
.57426 .50481 .57719 .50803 .58284 .50629 .57992 .50307 Metetra
.664 .741 .908 r
.57992 .50307 .58284 .50629 .58851 .50455 .58559 .50132 Metetra
.664 .741 .908 r
.58559 .50132 .58851 .50455 .59418 .5028 .59127 .49956 Metetra
.664 .741 .908 r
.59127 .49956 .59418 .5028 .59987 .50105 .59696 .49781 Metetra
.664 .741 .908 r
.59696 .49781 .59987 .50105 .60556 .49929 .60267 .49605 Metetra
.664 .741 .908 r
.60267 .49605 .60556 .49929 .61127 .49754 .60838 .49428 Metetra
.664 .741 .908 r
.60838 .49428 .61127 .49754 .61699 .49577 .61411 .49251 Metetra
.664 .741 .908 r
.61411 .49251 .61699 .49577 .62272 .49401 .61985 .49074 Metetra
.664 .741 .908 r
.61985 .49074 .62272 .49401 .62847 .49224 .6256 .48896 Metetra
.664 .741 .908 r
.6256 .48896 .62847 .49224 .63422 .49047 .63137 .48719 Metetra
.664 .741 .908 r
.63137 .48719 .63422 .49047 .63999 .48869 .63714 .4854 Metetra
.664 .741 .908 r
.63714 .4854 .63999 .48869 .64577 .48691 .64293 .48362 Metetra
.664 .741 .908 r
.64293 .48362 .64577 .48691 .65156 .48513 .64873 .48183 Metetra
.664 .741 .908 r
.64873 .48183 .65156 .48513 .65737 .48334 .65454 .48003 Metetra
.664 .741 .908 r
.65454 .48003 .65737 .48334 .66318 .48155 .66036 .47824 Metetra
.664 .741 .908 r
.66036 .47824 .66318 .48155 .66901 .47976 .6662 .47643 Metetra
.664 .741 .908 r
.6662 .47643 .66901 .47976 .67485 .47796 .67205 .47463 Metetra
.664 .741 .908 r
.67205 .47463 .67485 .47796 .6807 .47616 .67791 .47282 Metetra
.664 .741 .908 r
.67791 .47282 .6807 .47616 .68656 .47435 .68378 .47101 Metetra
.664 .741 .908 r
.68378 .47101 .68656 .47435 .69244 .47254 .68966 .46919 Metetra
.664 .741 .908 r
.68966 .46919 .69244 .47254 .69833 .47073 .69556 .46737 Metetra
.664 .741 .908 r
.69556 .46737 .69833 .47073 .70423 .46891 .70147 .46555 Metetra
.664 .741 .908 r
.70147 .46555 .70423 .46891 .71014 .46709 .70739 .46372 Metetra
.663 .741 .908 r
.70739 .46372 .71014 .46709 .71606 .46527 .71332 .46189 Metetra
.663 .741 .908 r
.71332 .46189 .71606 .46527 .722 .46344 .71927 .46006 Metetra
.663 .741 .908 r
.71927 .46006 .722 .46344 .72795 .46161 .72523 .45822 Metetra
.663 .741 .908 r
.72523 .45822 .72795 .46161 .73391 .45978 .7312 .45638 Metetra
.663 .741 .908 r
.7312 .45638 .73391 .45978 .73989 .45794 .73718 .45453 Metetra
.663 .741 .908 r
.73718 .45453 .73989 .45794 .74587 .4561 .74318 .45269 Metetra
.663 .741 .908 r
.74318 .45269 .74587 .4561 .75187 .45425 .74918 .45084 Metetra
.663 .741 .908 r
.74918 .45084 .75187 .45425 .75789 .45241 .75521 .44899 Metetra
.663 .742 .908 r
.75521 .44899 .75789 .45241 .76391 .45056 .76124 .44714 Metetra
.663 .742 .909 r
.76124 .44714 .76391 .45056 .76995 .44871 .76729 .44528 Metetra
.662 .742 .909 r
.76729 .44528 .76995 .44871 .776 .44686 .77335 .44343 Metetra
.662 .742 .909 r
.77335 .44343 .776 .44686 .78207 .44501 .77942 .44158 Metetra
.662 .742 .91 r
.77942 .44158 .78207 .44501 .78814 .44317 .78551 .43973 Metetra
.661 .742 .91 r
.78551 .43973 .78814 .44317 .79423 .44132 .79161 .43789 Metetra
.66 .742 .911 r
.79161 .43789 .79423 .44132 .80034 .43948 .79773 .43605 Metetra
.659 .743 .912 r
.79773 .43605 .80034 .43948 .80646 .43765 .80385 .43422 Metetra
.658 .743 .913 r
.80385 .43422 .80646 .43765 .81259 .43583 .81 .43241 Metetra
.657 .744 .914 r
.81 .43241 .81259 .43583 .81874 .43401 .81616 .43061 Metetra
.656 .744 .915 r
.81616 .43061 .81874 .43401 .8249 .43222 .82233 .42883 Metetra
.654 .745 .917 r
.82233 .42883 .8249 .43222 .83108 .43044 .82852 .42707 Metetra
.652 .746 .919 r
.82852 .42707 .83108 .43044 .83728 .42868 .83473 .42533 Metetra
.649 .747 .921 r
.83473 .42533 .83728 .42868 .84349 .42695 .84095 .42363 Metetra
.647 .748 .924 r
.84095 .42363 .84349 .42695 .84972 .42524 .8472 .42196 Metetra
.644 .75 .926 r
.8472 .42196 .84972 .42524 .85596 .42357 .85346 .42032 Metetra
.64 .752 .929 r
.85346 .42032 .85596 .42357 .86223 .42193 .85974 .41872 Metetra
.637 .753 .932 r
.85974 .41872 .86223 .42193 .86851 .42032 .86603 .41715 Metetra
.635 .755 .935 r
.86603 .41715 .86851 .42032 .87481 .41874 .87235 .4156 Metetra
.632 .757 .938 r
.87235 .4156 .87481 .41874 .88113 .41719 .87868 .41408 Metetra
.63 .759 .94 r
.87868 .41408 .88113 .41719 .88746 .41566 .88503 .41257 Metetra
.63 .761 .941 r
.88503 .41257 .88746 .41566 .89382 .41414 .8914 .41106 Metetra
.63 .762 .942 r
.8914 .41106 .89382 .41414 .90019 .41262 .89778 .40954 Metetra
.632 .763 .942 r
.89778 .40954 .90019 .41262 .90657 .41109 .90417 .40798 Metetra
.636 .764 .94 r
.90417 .40798 .90657 .41109 .91297 .40952 .91058 .40638 Metetra
.64 .763 .938 r
.91058 .40638 .91297 .40952 .91937 .40791 .91699 .40472 Metetra
.646 .762 .934 r
.91699 .40472 .91937 .40791 .92579 .40625 .9234 .40298 Metetra
.652 .761 .929 r
.9234 .40298 .92579 .40625 .93221 .40451 .92983 .40117 Metetra
.657 .758 .924 r
.92983 .40117 .93221 .40451 .93864 .40269 .93626 .39926 Metetra
.663 .755 .919 r
.93626 .39926 .93864 .40269 .94507 .4008 .94269 .39728 Metetra
.625 .703 .902 r
.36394 .57211 .36714 .57554 .37237 .57442 .36918 .57104 Metetra
.626 .707 .904 r
.36918 .57104 .37237 .57442 .37762 .57321 .37443 .56994 Metetra
.631 .716 .908 r
.37443 .56994 .37762 .57321 .38289 .57186 .37969 .56876 Metetra
.641 .729 .913 r
.37969 .56876 .38289 .57186 .38817 .57034 .38497 .56744 Metetra
.653 .746 .918 r
.38497 .56744 .38817 .57034 .39347 .56863 .39027 .56594 Metetra
.667 .765 .923 r
.39027 .56594 .39347 .56863 .39879 .56671 .39559 .56423 Metetra
.681 .783 .927 r
.39559 .56423 .39879 .56671 .40413 .56462 .40093 .56231 Metetra
.695 .798 .929 r
.40093 .56231 .40413 .56462 .40948 .56237 .40628 .5602 Metetra
.705 .81 .93 r
.40628 .5602 .40948 .56237 .41484 .56002 .41165 .55793 Metetra
.713 .818 .93 r
.41165 .55793 .41484 .56002 .42021 .55762 .41702 .55554 Metetra
.717 .82 .929 r
.41702 .55554 .42021 .55762 .42559 .55519 .42241 .55309 Metetra
.718 .819 .928 r
.42241 .55309 .42559 .55519 .43098 .55279 .42781 .55063 Metetra
.716 .814 .926 r
.42781 .55063 .43098 .55279 .43637 .55045 .43322 .54818 Metetra
.712 .807 .924 r
.43322 .54818 .43637 .55045 .44177 .54818 .43863 .5458 Metetra
.706 .798 .922 r
.43863 .5458 .44177 .54818 .44718 .54599 .44405 .54349 Metetra
.7 .79 .92 r
.44405 .54349 .44718 .54599 .45259 .54388 .44947 .54127 Metetra
.694 .781 .918 r
.44947 .54127 .45259 .54388 .45802 .54185 .45491 .53914 Metetra
.688 .773 .916 r
.45491 .53914 .45802 .54185 .46345 .53989 .46035 .53709 Metetra
.683 .766 .914 r
.46035 .53709 .46345 .53989 .46889 .53799 .46579 .53512 Metetra
.679 .76 .913 r
.46579 .53512 .46889 .53799 .47433 .53614 .47125 .53321 Metetra
.675 .756 .912 r
.47125 .53321 .47433 .53614 .47979 .53433 .47672 .53134 Metetra
.672 .752 .911 r
.47672 .53134 .47979 .53433 .48526 .53255 .4822 .52952 Metetra
.67 .749 .91 r
.4822 .52952 .48526 .53255 .49074 .53079 .48768 .52772 Metetra
.668 .747 .909 r
.48768 .52772 .49074 .53079 .49623 .52904 .49318 .52595 Metetra
.667 .746 .909 r
.49318 .52595 .49623 .52904 .50173 .5273 .49869 .5242 Metetra
.666 .744 .909 r
.49869 .5242 .50173 .5273 .50724 .52557 .50421 .52245 Metetra
.665 .744 .908 r
.50421 .52245 .50724 .52557 .51277 .52385 .50974 .52071 Metetra
.665 .743 .908 r
.50974 .52071 .51277 .52385 .5183 .52213 .51528 .51898 Metetra
.665 .742 .908 r
.51528 .51898 .5183 .52213 .52385 .5204 .52083 .51724 Metetra
.664 .742 .908 r
.52083 .51724 .52385 .5204 .5294 .51868 .52639 .51551 Metetra
.664 .742 .908 r
.52639 .51551 .5294 .51868 .53497 .51696 .53197 .51378 Metetra
.664 .742 .908 r
.53197 .51378 .53497 .51696 .54055 .51523 .53756 .51204 Metetra
.664 .742 .908 r
.53756 .51204 .54055 .51523 .54614 .5135 .54315 .51031 Metetra
.664 .742 .908 r
.54315 .51031 .54614 .5135 .55174 .51177 .54876 .50857 Metetra
.664 .741 .908 r
.54876 .50857 .55174 .51177 .55735 .51004 .55438 .50683 Metetra
.664 .741 .908 r
.55438 .50683 .55735 .51004 .56298 .5083 .56001 .50509 Metetra
.664 .741 .908 r
.56001 .50509 .56298 .5083 .56861 .50656 .56566 .50334 Metetra
.664 .741 .908 r
.56566 .50334 .56861 .50656 .57426 .50481 .57131 .50159 Metetra
.664 .741 .908 r
.57131 .50159 .57426 .50481 .57992 .50307 .57698 .49983 Metetra
.664 .741 .908 r
.57698 .49983 .57992 .50307 .58559 .50132 .58265 .49808 Metetra
.664 .741 .908 r
.58265 .49808 .58559 .50132 .59127 .49956 .58834 .49632 Metetra
.664 .741 .908 r
.58834 .49632 .59127 .49956 .59696 .49781 .59404 .49455 Metetra
.664 .741 .908 r
.59404 .49455 .59696 .49781 .60267 .49605 .59976 .49278 Metetra
.664 .741 .908 r
.59976 .49278 .60267 .49605 .60838 .49428 .60548 .49101 Metetra
.664 .741 .908 r
.60548 .49101 .60838 .49428 .61411 .49251 .61122 .48924 Metetra
.664 .741 .908 r
.61122 .48924 .61411 .49251 .61985 .49074 .61697 .48746 Metetra
.664 .741 .908 r
.61697 .48746 .61985 .49074 .6256 .48896 .62273 .48568 Metetra
.664 .741 .908 r
.62273 .48568 .6256 .48896 .63137 .48719 .6285 .48389 Metetra
.664 .741 .908 r
.6285 .48389 .63137 .48719 .63714 .4854 .63428 .4821 Metetra
.664 .741 .908 r
.63428 .4821 .63714 .4854 .64293 .48362 .64008 .48031 Metetra
.664 .741 .908 r
.64008 .48031 .64293 .48362 .64873 .48183 .64588 .47851 Metetra
.664 .741 .908 r
.64588 .47851 .64873 .48183 .65454 .48003 .6517 .47671 Metetra
.664 .741 .908 r
.6517 .47671 .65454 .48003 .66036 .47824 .65753 .47491 Metetra
.664 .741 .908 r
.65753 .47491 .66036 .47824 .6662 .47643 .66338 .4731 Metetra
.664 .741 .908 r
.66338 .4731 .6662 .47643 .67205 .47463 .66923 .47129 Metetra
.664 .741 .908 r
.66923 .47129 .67205 .47463 .67791 .47282 .6751 .46947 Metetra
.664 .741 .908 r
.6751 .46947 .67791 .47282 .68378 .47101 .68098 .46765 Metetra
.664 .741 .908 r
.68098 .46765 .68378 .47101 .68966 .46919 .68688 .46583 Metetra
.664 .741 .908 r
.68688 .46583 .68966 .46919 .69556 .46737 .69278 .464 Metetra
.664 .741 .908 r
.69278 .464 .69556 .46737 .70147 .46555 .6987 .46217 Metetra
.663 .741 .908 r
.6987 .46217 .70147 .46555 .70739 .46372 .70463 .46034 Metetra
.663 .741 .908 r
.70463 .46034 .70739 .46372 .71332 .46189 .71057 .4585 Metetra
.663 .741 .908 r
.71057 .4585 .71332 .46189 .71927 .46006 .71652 .45666 Metetra
.663 .741 .908 r
.71652 .45666 .71927 .46006 .72523 .45822 .72249 .45482 Metetra
.663 .741 .908 r
.72249 .45482 .72523 .45822 .7312 .45638 .72847 .45297 Metetra
.663 .741 .908 r
.72847 .45297 .7312 .45638 .73718 .45453 .73446 .45112 Metetra
.663 .741 .908 r
.73446 .45112 .73718 .45453 .74318 .45269 .74047 .44927 Metetra
.663 .741 .908 r
.74047 .44927 .74318 .45269 .74918 .45084 .74648 .44741 Metetra
.663 .742 .908 r
.74648 .44741 .74918 .45084 .75521 .44899 .75251 .44556 Metetra
.663 .742 .909 r
.75251 .44556 .75521 .44899 .76124 .44714 .75856 .4437 Metetra
.662 .742 .909 r
.75856 .4437 .76124 .44714 .76729 .44528 .76462 .44184 Metetra
.662 .742 .909 r
.76462 .44184 .76729 .44528 .77335 .44343 .77069 .43999 Metetra
.662 .742 .91 r
.77069 .43999 .77335 .44343 .77942 .44158 .77677 .43814 Metetra
.661 .742 .91 r
.77677 .43814 .77942 .44158 .78551 .43973 .78287 .43629 Metetra
.66 .742 .911 r
.78287 .43629 .78551 .43973 .79161 .43789 .78898 .43445 Metetra
.659 .743 .912 r
.78898 .43445 .79161 .43789 .79773 .43605 .7951 .43262 Metetra
.658 .743 .913 r
.7951 .43262 .79773 .43605 .80385 .43422 .80124 .4308 Metetra
.657 .744 .914 r
.80124 .4308 .80385 .43422 .81 .43241 .8074 .429 Metetra
.656 .744 .915 r
.8074 .429 .81 .43241 .81616 .43061 .81357 .42721 Metetra
.654 .745 .917 r
.81357 .42721 .81616 .43061 .82233 .42883 .81975 .42545 Metetra
.651 .746 .919 r
.81975 .42545 .82233 .42883 .82852 .42707 .82596 .42372 Metetra
.649 .747 .921 r
.82596 .42372 .82852 .42707 .83473 .42533 .83218 .42202 Metetra
.646 .749 .924 r
.83218 .42202 .83473 .42533 .84095 .42363 .83842 .42035 Metetra
.643 .75 .927 r
.83842 .42035 .84095 .42363 .8472 .42196 .84467 .41871 Metetra
.64 .752 .93 r
.84467 .41871 .8472 .42196 .85346 .42032 .85095 .41711 Metetra
.637 .754 .933 r
.85095 .41711 .85346 .42032 .85974 .41872 .85724 .41555 Metetra
.634 .756 .936 r
.85724 .41555 .85974 .41872 .86603 .41715 .86355 .41401 Metetra
.631 .758 .939 r
.86355 .41401 .86603 .41715 .87235 .4156 .86988 .4125 Metetra
.629 .76 .941 r
.86988 .4125 .87235 .4156 .87868 .41408 .87623 .411 Metetra
.628 .761 .942 r
.87623 .411 .87868 .41408 .88503 .41257 .88259 .4095 Metetra
.629 .763 .943 r
.88259 .4095 .88503 .41257 .8914 .41106 .88897 .40799 Metetra
.631 .764 .943 r
.88897 .40799 .8914 .41106 .89778 .40954 .89536 .40645 Metetra
.634 .765 .941 r
.89536 .40645 .89778 .40954 .90417 .40798 .90176 .40485 Metetra
.639 .764 .939 r
.90176 .40485 .90417 .40798 .91058 .40638 .90817 .40319 Metetra
.645 .763 .935 r
.90817 .40319 .91058 .40638 .91699 .40472 .91458 .40146 Metetra
.651 .761 .93 r
.91458 .40146 .91699 .40472 .9234 .40298 .921 .39964 Metetra
.658 .759 .925 r
.921 .39964 .9234 .40298 .92983 .40117 .92743 .39773 Metetra
.663 .756 .919 r
.92743 .39773 .92983 .40117 .93626 .39926 .93385 .39574 Metetra
.668 .752 .914 r
.93385 .39574 .93626 .39926 .94269 .39728 .94029 .39367 Metetra
.626 .702 .9 r
.36074 .56864 .36394 .57211 .36918 .57104 .36598 .56755 Metetra
.623 .701 .901 r
.36598 .56755 .36918 .57104 .37443 .56994 .37123 .5665 Metetra
.624 .704 .903 r
.37123 .5665 .37443 .56994 .37969 .56876 .37649 .56543 Metetra
.629 .713 .907 r
.37649 .56543 .37969 .56876 .38497 .56744 .38177 .56428 Metetra
.638 .727 .912 r
.38177 .56428 .38497 .56744 .39027 .56594 .38707 .56299 Metetra
.651 .744 .918 r
.38707 .56299 .39027 .56594 .39559 .56423 .39238 .56151 Metetra
.666 .764 .923 r
.39238 .56151 .39559 .56423 .40093 .56231 .39772 .55982 Metetra
.681 .783 .928 r
.39772 .55982 .40093 .56231 .40628 .5602 .40307 .5579 Metetra
.695 .8 .93 r
.40307 .5579 .40628 .5602 .41165 .55793 .40844 .55577 Metetra
.706 .813 .931 r
.40844 .55577 .41165 .55793 .41702 .55554 .41383 .55347 Metetra
.714 .821 .931 r
.41383 .55347 .41702 .55554 .42241 .55309 .41922 .55105 Metetra
.719 .824 .93 r
.41922 .55105 .42241 .55309 .42781 .55063 .42463 .54856 Metetra
.72 .823 .929 r
.42463 .54856 .42781 .55063 .43322 .54818 .43005 .54604 Metetra
.718 .817 .927 r
.43005 .54604 .43322 .54818 .43863 .5458 .43547 .54356 Metetra
.714 .81 .925 r
.43547 .54356 .43863 .5458 .44405 .54349 .4409 .54113 Metetra
.708 .801 .923 r
.4409 .54113 .44405 .54349 .44947 .54127 .44634 .53879 Metetra
.702 .791 .92 r
.44634 .53879 .44947 .54127 .45491 .53914 .45178 .53654 Metetra
.695 .782 .918 r
.45178 .53654 .45491 .53914 .46035 .53709 .45723 .53438 Metetra
.689 .774 .916 r
.45723 .53438 .46035 .53709 .46579 .53512 .46269 .53231 Metetra
.683 .767 .914 r
.46269 .53231 .46579 .53512 .47125 .53321 .46816 .53032 Metetra
.679 .761 .913 r
.46816 .53032 .47125 .53321 .47672 .53134 .47363 .52839 Metetra
.675 .756 .912 r
.47363 .52839 .47672 .53134 .4822 .52952 .47912 .52651 Metetra
.672 .752 .911 r
.47912 .52651 .4822 .52952 .48768 .52772 .48461 .52468 Metetra
.67 .749 .91 r
.48461 .52468 .48768 .52772 .49318 .52595 .49012 .52287 Metetra
.668 .747 .909 r
.49012 .52287 .49318 .52595 .49869 .5242 .49563 .52109 Metetra
.667 .746 .909 r
.49563 .52109 .49869 .5242 .50421 .52245 .50116 .51933 Metetra
.666 .744 .909 r
.50116 .51933 .50421 .52245 .50974 .52071 .5067 .51757 Metetra
.665 .744 .908 r
.5067 .51757 .50974 .52071 .51528 .51898 .51225 .51582 Metetra
.665 .743 .908 r
.51225 .51582 .51528 .51898 .52083 .51724 .51781 .51408 Metetra
.665 .742 .908 r
.51781 .51408 .52083 .51724 .52639 .51551 .52338 .51233 Metetra
.664 .742 .908 r
.52338 .51233 .52639 .51551 .53197 .51378 .52896 .51059 Metetra
.664 .742 .908 r
.52896 .51059 .53197 .51378 .53756 .51204 .53455 .50885 Metetra
.664 .742 .908 r
.53455 .50885 .53756 .51204 .54315 .51031 .54016 .50711 Metetra
.664 .742 .908 r
.54016 .50711 .54315 .51031 .54876 .50857 .54577 .50536 Metetra
.664 .742 .908 r
.54577 .50536 .54876 .50857 .55438 .50683 .5514 .50361 Metetra
.664 .741 .908 r
.5514 .50361 .55438 .50683 .56001 .50509 .55704 .50186 Metetra
.664 .741 .908 r
.55704 .50186 .56001 .50509 .56566 .50334 .56269 .50011 Metetra
.664 .741 .908 r
.56269 .50011 .56566 .50334 .57131 .50159 .56835 .49835 Metetra
.664 .741 .908 r
.56835 .49835 .57131 .50159 .57698 .49983 .57403 .49659 Metetra
.664 .741 .908 r
.57403 .49659 .57698 .49983 .58265 .49808 .57971 .49482 Metetra
.664 .741 .908 r
.57971 .49482 .58265 .49808 .58834 .49632 .58541 .49306 Metetra
.664 .741 .908 r
.58541 .49306 .58834 .49632 .59404 .49455 .59112 .49129 Metetra
.664 .741 .908 r
.59112 .49129 .59404 .49455 .59976 .49278 .59684 .48951 Metetra
.664 .741 .908 r
.59684 .48951 .59976 .49278 .60548 .49101 .60257 .48773 Metetra
.664 .741 .908 r
.60257 .48773 .60548 .49101 .61122 .48924 .60831 .48595 Metetra
.664 .741 .908 r
.60831 .48595 .61122 .48924 .61697 .48746 .61407 .48417 Metetra
.664 .741 .908 r
.61407 .48417 .61697 .48746 .62273 .48568 .61984 .48238 Metetra
.664 .741 .908 r
.61984 .48238 .62273 .48568 .6285 .48389 .62562 .48059 Metetra
.664 .741 .908 r
.62562 .48059 .6285 .48389 .63428 .4821 .63141 .47879 Metetra
.664 .741 .908 r
.63141 .47879 .63428 .4821 .64008 .48031 .63721 .47699 Metetra
.664 .741 .908 r
.63721 .47699 .64008 .48031 .64588 .47851 .64303 .47518 Metetra
.664 .741 .908 r
.64303 .47518 .64588 .47851 .6517 .47671 .64886 .47338 Metetra
.664 .741 .908 r
.64886 .47338 .6517 .47671 .65753 .47491 .6547 .47157 Metetra
.664 .741 .908 r
.6547 .47157 .65753 .47491 .66338 .4731 .66055 .46975 Metetra
.664 .741 .908 r
.66055 .46975 .66338 .4731 .66923 .47129 .66641 .46793 Metetra
.664 .741 .908 r
.66641 .46793 .66923 .47129 .6751 .46947 .67229 .46611 Metetra
.664 .741 .908 r
.67229 .46611 .6751 .46947 .68098 .46765 .67818 .46428 Metetra
.664 .741 .908 r
.67818 .46428 .68098 .46765 .68688 .46583 .68408 .46245 Metetra
.664 .741 .908 r
.68408 .46245 .68688 .46583 .69278 .464 .68999 .46062 Metetra
.663 .741 .908 r
.68999 .46062 .69278 .464 .6987 .46217 .69592 .45878 Metetra
.663 .741 .908 r
.69592 .45878 .6987 .46217 .70463 .46034 .70185 .45694 Metetra
.663 .741 .908 r
.70185 .45694 .70463 .46034 .71057 .4585 .70781 .4551 Metetra
.663 .741 .908 r
.70781 .4551 .71057 .4585 .71652 .45666 .71377 .45325 Metetra
.663 .741 .908 r
.71377 .45325 .71652 .45666 .72249 .45482 .71974 .4514 Metetra
.663 .741 .908 r
.71974 .4514 .72249 .45482 .72847 .45297 .72573 .44955 Metetra
.663 .741 .908 r
.72573 .44955 .72847 .45297 .73446 .45112 .73173 .44769 Metetra
.663 .741 .908 r
.73173 .44769 .73446 .45112 .74047 .44927 .73775 .44583 Metetra
.663 .741 .908 r
.73775 .44583 .74047 .44927 .74648 .44741 .74377 .44397 Metetra
.663 .742 .909 r
.74377 .44397 .74648 .44741 .75251 .44556 .74981 .44211 Metetra
.662 .742 .909 r
.74981 .44211 .75251 .44556 .75856 .4437 .75587 .44025 Metetra
.662 .742 .909 r
.75587 .44025 .75856 .4437 .76462 .44184 .76193 .4384 Metetra
.662 .742 .91 r
.76193 .4384 .76462 .44184 .77069 .43999 .76801 .43654 Metetra
.661 .742 .91 r
.76801 .43654 .77069 .43999 .77677 .43814 .77411 .43469 Metetra
.66 .742 .911 r
.77411 .43469 .77677 .43814 .78287 .43629 .78021 .43285 Metetra
.659 .743 .912 r
.78021 .43285 .78287 .43629 .78898 .43445 .78633 .43101 Metetra
.658 .743 .913 r
.78633 .43101 .78898 .43445 .7951 .43262 .79247 .42919 Metetra
.657 .744 .914 r
.79247 .42919 .7951 .43262 .80124 .4308 .79862 .42739 Metetra
.655 .744 .915 r
.79862 .42739 .80124 .4308 .8074 .429 .80479 .4256 Metetra
.654 .745 .917 r
.80479 .4256 .8074 .429 .81357 .42721 .81097 .42384 Metetra
.651 .746 .919 r
.81097 .42384 .81357 .42721 .81975 .42545 .81717 .4221 Metetra
.649 .747 .922 r
.81717 .4221 .81975 .42545 .82596 .42372 .82339 .4204 Metetra
.646 .749 .924 r
.82339 .4204 .82596 .42372 .83218 .42202 .82962 .41873 Metetra
.643 .75 .927 r
.82962 .41873 .83218 .42202 .83842 .42035 .83587 .4171 Metetra
.639 .752 .93 r
.83587 .4171 .83842 .42035 .84467 .41871 .84214 .4155 Metetra
.636 .754 .934 r
.84214 .4155 .84467 .41871 .85095 .41711 .84843 .41395 Metetra
.632 .756 .937 r
.84843 .41395 .85095 .41711 .85724 .41555 .85474 .41242 Metetra
.63 .758 .94 r
.85474 .41242 .85724 .41555 .86355 .41401 .86107 .41092 Metetra
.628 .76 .942 r
.86107 .41092 .86355 .41401 .86988 .4125 .86741 .40943 Metetra
.627 .762 .944 r
.86741 .40943 .86988 .4125 .87623 .411 .87377 .40795 Metetra
.627 .764 .944 r
.87377 .40795 .87623 .411 .88259 .4095 .88015 .40645 Metetra
.63 .765 .944 r
.88015 .40645 .88259 .4095 .88897 .40799 .88653 .40491 Metetra
.633 .765 .943 r
.88653 .40491 .88897 .40799 .89536 .40645 .89293 .40333 Metetra
.638 .765 .94 r
.89293 .40333 .89536 .40645 .90176 .40485 .89934 .40167 Metetra
.645 .764 .936 r
.89934 .40167 .90176 .40485 .90817 .40319 .90575 .39994 Metetra
.651 .762 .931 r
.90575 .39994 .90817 .40319 .91458 .40146 .91216 .39812 Metetra
.658 .759 .925 r
.91216 .39812 .91458 .40146 .921 .39964 .91858 .3962 Metetra
.664 .756 .919 r
.91858 .3962 .921 .39964 .92743 .39773 .92501 .3942 Metetra
.668 .752 .913 r
.92501 .3942 .92743 .39773 .93385 .39574 .93143 .39212 Metetra
.672 .749 .908 r
.93143 .39212 .93385 .39574 .94029 .39367 .93787 .38997 Metetra
.631 .707 .901 r
.35751 .56522 .36074 .56864 .36598 .56755 .36276 .56405 Metetra
.625 .701 .9 r
.36276 .56405 .36598 .56755 .37123 .5665 .36802 .56297 Metetra
.621 .698 .9 r
.36802 .56297 .37123 .5665 .37649 .56543 .37329 .56194 Metetra
.621 .701 .902 r
.37329 .56194 .37649 .56543 .38177 .56428 .37857 .5609 Metetra
.626 .709 .906 r
.37857 .5609 .38177 .56428 .38707 .56299 .38386 .55978 Metetra
.635 .723 .911 r
.38386 .55978 .38707 .56299 .39238 .56151 .38918 .55853 Metetra
.648 .742 .918 r
.38918 .55853 .39238 .56151 .39772 .55982 .39451 .55707 Metetra
.664 .763 .924 r
.39451 .55707 .39772 .55982 .40307 .5579 .39986 .55539 Metetra
.68 .783 .928 r
.39986 .55539 .40307 .5579 .40844 .55577 .40523 .55347 Metetra
.695 .802 .931 r
.40523 .55347 .40844 .55577 .41383 .55347 .41062 .55133 Metetra
.707 .816 .932 r
.41062 .55133 .41383 .55347 .41922 .55105 .41602 .54901 Metetra
.716 .824 .932 r
.41602 .54901 .41922 .55105 .42463 .54856 .42144 .54655 Metetra
.721 .828 .931 r
.42144 .54655 .42463 .54856 .43005 .54604 .42686 .54401 Metetra
.722 .826 .93 r
.42686 .54401 .43005 .54604 .43547 .54356 .4323 .54145 Metetra
.72 .821 .928 r
.4323 .54145 .43547 .54356 .4409 .54113 .43774 .53891 Metetra
.716 .813 .926 r
.43774 .53891 .4409 .54113 .44634 .53879 .44319 .53644 Metetra
.71 .804 .923 r
.44319 .53644 .44634 .53879 .45178 .53654 .44864 .53406 Metetra
.703 .794 .921 r
.44864 .53406 .45178 .53654 .45723 .53438 .4541 .53178 Metetra
.696 .784 .919 r
.4541 .53178 .45723 .53438 .46269 .53231 .45957 .52959 Metetra
.69 .775 .916 r
.45957 .52959 .46269 .53231 .46816 .53032 .46505 .5275 Metetra
.684 .767 .915 r
.46505 .5275 .46816 .53032 .47363 .52839 .47053 .52549 Metetra
.679 .761 .913 r
.47053 .52549 .47363 .52839 .47912 .52651 .47603 .52354 Metetra
.675 .756 .912 r
.47603 .52354 .47912 .52651 .48461 .52468 .48153 .52166 Metetra
.672 .752 .911 r
.48153 .52166 .48461 .52468 .49012 .52287 .48704 .51981 Metetra
.67 .749 .91 r
.48704 .51981 .49012 .52287 .49563 .52109 .49257 .518 Metetra
.668 .747 .909 r
.49257 .518 .49563 .52109 .50116 .51933 .4981 .5162 Metetra
.667 .746 .909 r
.4981 .5162 .50116 .51933 .5067 .51757 .50365 .51443 Metetra
.666 .744 .909 r
.50365 .51443 .5067 .51757 .51225 .51582 .5092 .51266 Metetra
.665 .744 .908 r
.5092 .51266 .51225 .51582 .51781 .51408 .51477 .5109 Metetra
.665 .743 .908 r
.51477 .5109 .51781 .51408 .52338 .51233 .52035 .50915 Metetra
.665 .742 .908 r
.52035 .50915 .52338 .51233 .52896 .51059 .52594 .5074 Metetra
.664 .742 .908 r
.52594 .5074 .52896 .51059 .53455 .50885 .53154 .50565 Metetra
.664 .742 .908 r
.53154 .50565 .53455 .50885 .54016 .50711 .53715 .50389 Metetra
.664 .742 .908 r
.53715 .50389 .54016 .50711 .54577 .50536 .54277 .50214 Metetra
.664 .742 .908 r
.54277 .50214 .54577 .50536 .5514 .50361 .54841 .50038 Metetra
.664 .742 .908 r
.54841 .50038 .5514 .50361 .55704 .50186 .55405 .49862 Metetra
.664 .741 .908 r
.55405 .49862 .55704 .50186 .56269 .50011 .55971 .49686 Metetra
.664 .741 .908 r
.55971 .49686 .56269 .50011 .56835 .49835 .56538 .4951 Metetra
.664 .741 .908 r
.56538 .4951 .56835 .49835 .57403 .49659 .57106 .49333 Metetra
.664 .741 .908 r
.57106 .49333 .57403 .49659 .57971 .49482 .57676 .49156 Metetra
.664 .741 .908 r
.57676 .49156 .57971 .49482 .58541 .49306 .58246 .48979 Metetra
.664 .741 .908 r
.58246 .48979 .58541 .49306 .59112 .49129 .58818 .48801 Metetra
.664 .741 .908 r
.58818 .48801 .59112 .49129 .59684 .48951 .59391 .48623 Metetra
.664 .741 .908 r
.59391 .48623 .59684 .48951 .60257 .48773 .59965 .48444 Metetra
.664 .741 .908 r
.59965 .48444 .60257 .48773 .60831 .48595 .6054 .48265 Metetra
.664 .741 .908 r
.6054 .48265 .60831 .48595 .61407 .48417 .61116 .48086 Metetra
.664 .741 .908 r
.61116 .48086 .61407 .48417 .61984 .48238 .61694 .47907 Metetra
.664 .741 .908 r
.61694 .47907 .61984 .48238 .62562 .48059 .62273 .47727 Metetra
.664 .741 .908 r
.62273 .47727 .62562 .48059 .63141 .47879 .62853 .47546 Metetra
.664 .741 .908 r
.62853 .47546 .63141 .47879 .63721 .47699 .63434 .47366 Metetra
.664 .741 .908 r
.63434 .47366 .63721 .47699 .64303 .47518 .64016 .47184 Metetra
.664 .741 .908 r
.64016 .47184 .64303 .47518 .64886 .47338 .646 .47003 Metetra
.664 .741 .908 r
.646 .47003 .64886 .47338 .6547 .47157 .65185 .46821 Metetra
.664 .741 .908 r
.65185 .46821 .6547 .47157 .66055 .46975 .65771 .46639 Metetra
.664 .741 .908 r
.65771 .46639 .66055 .46975 .66641 .46793 .66358 .46456 Metetra
.664 .741 .908 r
.66358 .46456 .66641 .46793 .67229 .46611 .66946 .46273 Metetra
.664 .741 .908 r
.66946 .46273 .67229 .46611 .67818 .46428 .67536 .4609 Metetra
.664 .741 .908 r
.67536 .4609 .67818 .46428 .68408 .46245 .68127 .45906 Metetra
.663 .741 .908 r
.68127 .45906 .68408 .46245 .68999 .46062 .68719 .45722 Metetra
.663 .741 .908 r
.68719 .45722 .68999 .46062 .69592 .45878 .69313 .45538 Metetra
.663 .741 .908 r
.69313 .45538 .69592 .45878 .70185 .45694 .69907 .45353 Metetra
.663 .741 .908 r
.69907 .45353 .70185 .45694 .70781 .4551 .70503 .45168 Metetra
.663 .741 .908 r
.70503 .45168 .70781 .4551 .71377 .45325 .711 .44983 Metetra
.663 .741 .908 r
.711 .44983 .71377 .45325 .71974 .4514 .71699 .44797 Metetra
.663 .741 .908 r
.71699 .44797 .71974 .4514 .72573 .44955 .72298 .44611 Metetra
.663 .741 .908 r
.72298 .44611 .72573 .44955 .73173 .44769 .72899 .44425 Metetra
.663 .742 .908 r
.72899 .44425 .73173 .44769 .73775 .44583 .73502 .44239 Metetra
.663 .742 .909 r
.73502 .44239 .73775 .44583 .74377 .44397 .74105 .44053 Metetra
.662 .742 .909 r
.74105 .44053 .74377 .44397 .74981 .44211 .7471 .43866 Metetra
.662 .742 .909 r
.7471 .43866 .74981 .44211 .75587 .44025 .75316 .4368 Metetra
.662 .742 .91 r
.75316 .4368 .75587 .44025 .76193 .4384 .75924 .43494 Metetra
.661 .742 .91 r
.75924 .43494 .76193 .4384 .76801 .43654 .76533 .43309 Metetra
.66 .742 .911 r
.76533 .43309 .76801 .43654 .77411 .43469 .77143 .43124 Metetra
.659 .743 .912 r
.77143 .43124 .77411 .43469 .78021 .43285 .77755 .4294 Metetra
.658 .743 .913 r
.77755 .4294 .78021 .43285 .78633 .43101 .78368 .42758 Metetra
.657 .744 .914 r
.78368 .42758 .78633 .43101 .79247 .42919 .78983 .42577 Metetra
.655 .744 .915 r
.78983 .42577 .79247 .42919 .79862 .42739 .79599 .42398 Metetra
.653 .745 .917 r
.79599 .42398 .79862 .42739 .80479 .4256 .80217 .42222 Metetra
.651 .746 .919 r
.80217 .42222 .80479 .4256 .81097 .42384 .80836 .42048 Metetra
.648 .747 .922 r
.80836 .42048 .81097 .42384 .81717 .4221 .81458 .41878 Metetra
.645 .749 .924 r
.81458 .41878 .81717 .4221 .82339 .4204 .82081 .41711 Metetra
.642 .75 .928 r
.82081 .41711 .82339 .4204 .82962 .41873 .82706 .41548 Metetra
.638 .752 .931 r
.82706 .41548 .82962 .41873 .83587 .4171 .83332 .41389 Metetra
.635 .754 .934 r
.83332 .41389 .83587 .4171 .84214 .4155 .83961 .41234 Metetra
.631 .756 .938 r
.83961 .41234 .84214 .4155 .84843 .41395 .84591 .41083 Metetra
.628 .759 .941 r
.84591 .41083 .84843 .41395 .85474 .41242 .85224 .40934 Metetra
.626 .761 .943 r
.85224 .40934 .85474 .41242 .86107 .41092 .85858 .40786 Metetra
.625 .763 .945 r
.85858 .40786 .86107 .41092 .86741 .40943 .86494 .40639 Metetra
.626 .765 .946 r
.86494 .40639 .86741 .40943 .87377 .40795 .87131 .4049 Metetra
.628 .766 .945 r
.87131 .4049 .87377 .40795 .88015 .40645 .87769 .40338 Metetra
.632 .766 .944 r
.87769 .40338 .88015 .40645 .88653 .40491 .88409 .4018 Metetra
.638 .766 .941 r
.88409 .4018 .88653 .40491 .89293 .40333 .89049 .40016 Metetra
.644 .765 .937 r
.89049 .40016 .89293 .40333 .89934 .40167 .89689 .39843 Metetra
.651 .763 .931 r
.89689 .39843 .89934 .40167 .90575 .39994 .90331 .3966 Metetra
.658 .76 .925 r
.90331 .3966 .90575 .39994 .91216 .39812 .90972 .39468 Metetra
.664 .756 .919 r
.90972 .39468 .91216 .39812 .91858 .3962 .91614 .39266 Metetra
.669 .753 .913 r
.91614 .39266 .91858 .3962 .92501 .3942 .92256 .39057 Metetra
.673 .749 .908 r
.92256 .39057 .92501 .3942 .93143 .39212 .92899 .38841 Metetra
.675 .745 .903 r
.92899 .38841 .93143 .39212 .93787 .38997 .93543 .3862 Metetra
.64 .717 .904 r
.35428 .56191 .35751 .56522 .36276 .56405 .35954 .56061 Metetra
.631 .707 .901 r
.35954 .56061 .36276 .56405 .36802 .56297 .3648 .55943 Metetra
.624 .699 .899 r
.3648 .55943 .36802 .56297 .37329 .56194 .37008 .55836 Metetra
.619 .695 .899 r
.37008 .55836 .37329 .56194 .37857 .5609 .37536 .55735 Metetra
.618 .697 .901 r
.37536 .55735 .37857 .5609 .38386 .55978 .38066 .55634 Metetra
.623 .706 .905 r
.38066 .55634 .38386 .55978 .38918 .55853 .38597 .55526 Metetra
.632 .72 .911 r
.38597 .55526 .38918 .55853 .39451 .55707 .3913 .55404 Metetra
.645 .739 .917 r
.3913 .55404 .39451 .55707 .39986 .55539 .39664 .55262 Metetra
.662 .761 .924 r
.39664 .55262 .39986 .55539 .40523 .55347 .40201 .55095 Metetra
.679 .783 .929 r
.40201 .55095 .40523 .55347 .41062 .55133 .4074 .54904 Metetra
.695 .803 .932 r
.4074 .54904 .41062 .55133 .41602 .54901 .41281 .54689 Metetra
.709 .818 .933 r
.41281 .54689 .41602 .54901 .42144 .54655 .41823 .54453 Metetra
.718 .828 .933 r
.41823 .54453 .42144 .54655 .42686 .54401 .42366 .54203 Metetra
.723 .832 .932 r
.42366 .54203 .42686 .54401 .4323 .54145 .42911 .53945 Metetra
.725 .831 .93 r
.42911 .53945 .4323 .54145 .43774 .53891 .43456 .53683 Metetra
.723 .825 .928 r
.43456 .53683 .43774 .53891 .44319 .53644 .44002 .53425 Metetra
.718 .817 .926 r
.44002 .53425 .44319 .53644 .44864 .53406 .44549 .53173 Metetra
.712 .807 .924 r
.44549 .53173 .44864 .53406 .4541 .53178 .45096 .52931 Metetra
.705 .796 .921 r
.45096 .52931 .4541 .53178 .45957 .52959 .45644 .52699 Metetra
.697 .786 .919 r
.45644 .52699 .45957 .52959 .46505 .5275 .46193 .52478 Metetra
.691 .776 .917 r
.46193 .52478 .46505 .5275 .47053 .52549 .46742 .52266 Metetra
.685 .768 .915 r
.46742 .52266 .47053 .52549 .47603 .52354 .47292 .52063 Metetra
.68 .762 .913 r
.47292 .52063 .47603 .52354 .48153 .52166 .47843 .51867 Metetra
.676 .756 .912 r
.47843 .51867 .48153 .52166 .48704 .51981 .48396 .51677 Metetra
.672 .752 .911 r
.48396 .51677 .48704 .51981 .49257 .518 .48949 .51491 Metetra
.67 .749 .91 r
.48949 .51491 .49257 .518 .4981 .5162 .49503 .51309 Metetra
.668 .747 .909 r
.49503 .51309 .4981 .5162 .50365 .51443 .50058 .51129 Metetra
.667 .745 .909 r
.50058 .51129 .50365 .51443 .5092 .51266 .50614 .5095 Metetra
.666 .744 .909 r
.50614 .5095 .5092 .51266 .51477 .5109 .51172 .50773 Metetra
.665 .743 .908 r
.51172 .50773 .51477 .5109 .52035 .50915 .5173 .50596 Metetra
.665 .743 .908 r
.5173 .50596 .52035 .50915 .52594 .5074 .5229 .50419 Metetra
.664 .742 .908 r
.5229 .50419 .52594 .5074 .53154 .50565 .52851 .50243 Metetra
.664 .742 .908 r
.52851 .50243 .53154 .50565 .53715 .50389 .53413 .50067 Metetra
.664 .742 .908 r
.53413 .50067 .53715 .50389 .54277 .50214 .53976 .49891 Metetra
.664 .742 .908 r
.53976 .49891 .54277 .50214 .54841 .50038 .5454 .49714 Metetra
.664 .742 .908 r
.5454 .49714 .54841 .50038 .55405 .49862 .55106 .49538 Metetra
.664 .742 .908 r
.55106 .49538 .55405 .49862 .55971 .49686 .55672 .49361 Metetra
.664 .741 .908 r
.55672 .49361 .55971 .49686 .56538 .4951 .5624 .49184 Metetra
.664 .741 .908 r
.5624 .49184 .56538 .4951 .57106 .49333 .56809 .49006 Metetra
.664 .741 .908 r
.56809 .49006 .57106 .49333 .57676 .49156 .57379 .48828 Metetra
.664 .741 .908 r
.57379 .48828 .57676 .49156 .58246 .48979 .5795 .4865 Metetra
.664 .741 .908 r
.5795 .4865 .58246 .48979 .58818 .48801 .58523 .48472 Metetra
.664 .741 .908 r
.58523 .48472 .58818 .48801 .59391 .48623 .59096 .48293 Metetra
.664 .741 .908 r
.59096 .48293 .59391 .48623 .59965 .48444 .59671 .48114 Metetra
.664 .741 .908 r
.59671 .48114 .59965 .48444 .6054 .48265 .60247 .47934 Metetra
.664 .741 .908 r
.60247 .47934 .6054 .48265 .61116 .48086 .60824 .47754 Metetra
.664 .741 .908 r
.60824 .47754 .61116 .48086 .61694 .47907 .61403 .47574 Metetra
.664 .741 .908 r
.61403 .47574 .61694 .47907 .62273 .47727 .61982 .47393 Metetra
.664 .741 .908 r
.61982 .47393 .62273 .47727 .62853 .47546 .62563 .47212 Metetra
.664 .741 .908 r
.62563 .47212 .62853 .47546 .63434 .47366 .63145 .47031 Metetra
.664 .741 .908 r
.63145 .47031 .63434 .47366 .64016 .47184 .63728 .46849 Metetra
.664 .741 .908 r
.63728 .46849 .64016 .47184 .646 .47003 .64313 .46667 Metetra
.664 .741 .908 r
.64313 .46667 .646 .47003 .65185 .46821 .64898 .46485 Metetra
.664 .741 .908 r
.64898 .46485 .65185 .46821 .65771 .46639 .65485 .46302 Metetra
.664 .741 .908 r
.65485 .46302 .65771 .46639 .66358 .46456 .66073 .46118 Metetra
.664 .741 .908 r
.66073 .46118 .66358 .46456 .66946 .46273 .66663 .45935 Metetra
.664 .741 .908 r
.66663 .45935 .66946 .46273 .67536 .4609 .67253 .45751 Metetra
.664 .741 .908 r
.67253 .45751 .67536 .4609 .68127 .45906 .67845 .45566 Metetra
.663 .741 .908 r
.67845 .45566 .68127 .45906 .68719 .45722 .68438 .45382 Metetra
.663 .741 .908 r
.68438 .45382 .68719 .45722 .69313 .45538 .69032 .45197 Metetra
.663 .741 .908 r
.69032 .45197 .69313 .45538 .69907 .45353 .69628 .45011 Metetra
.663 .741 .908 r
.69628 .45011 .69907 .45353 .70503 .45168 .70225 .44825 Metetra
.663 .741 .908 r
.70225 .44825 .70503 .45168 .711 .44983 .70823 .44639 Metetra
.663 .741 .908 r
.70823 .44639 .711 .44983 .71699 .44797 .71422 .44453 Metetra
.663 .741 .908 r
.71422 .44453 .71699 .44797 .72298 .44611 .72023 .44267 Metetra
.663 .741 .908 r
.72023 .44267 .72298 .44611 .72899 .44425 .72625 .4408 Metetra
.663 .742 .909 r
.72625 .4408 .72899 .44425 .73502 .44239 .73228 .43893 Metetra
.662 .742 .909 r
.73228 .43893 .73502 .44239 .74105 .44053 .73832 .43707 Metetra
.662 .742 .909 r
.73832 .43707 .74105 .44053 .7471 .43866 .74438 .4352 Metetra
.662 .742 .91 r
.74438 .4352 .7471 .43866 .75316 .4368 .75045 .43334 Metetra
.661 .742 .91 r
.75045 .43334 .75316 .4368 .75924 .43494 .75654 .43148 Metetra
.66 .742 .911 r
.75654 .43148 .75924 .43494 .76533 .43309 .76264 .42963 Metetra
.659 .743 .912 r
.76264 .42963 .76533 .43309 .77143 .43124 .76875 .42779 Metetra
.658 .743 .913 r
.76875 .42779 .77143 .43124 .77755 .4294 .77488 .42596 Metetra
.657 .744 .914 r
.77488 .42596 .77755 .4294 .78368 .42758 .78102 .42415 Metetra
.655 .744 .915 r
.78102 .42415 .78368 .42758 .78983 .42577 .78718 .42236 Metetra
.653 .745 .917 r
.78718 .42236 .78983 .42577 .79599 .42398 .79335 .42059 Metetra
.651 .746 .919 r
.79335 .42059 .79599 .42398 .80217 .42222 .79954 .41886 Metetra
.648 .747 .922 r
.79954 .41886 .80217 .42222 .80836 .42048 .80575 .41715 Metetra
.645 .749 .925 r
.80575 .41715 .80836 .42048 .81458 .41878 .81198 .41549 Metetra
.641 .751 .928 r
.81198 .41549 .81458 .41878 .82081 .41711 .81822 .41386 Metetra
.638 .752 .931 r
.81822 .41386 .82081 .41711 .82706 .41548 .82449 .41228 Metetra
.634 .755 .935 r
.82449 .41228 .82706 .41548 .83332 .41389 .83077 .41074 Metetra
.63 .757 .938 r
.83077 .41074 .83332 .41389 .83961 .41234 .83707 .40923 Metetra
.627 .759 .942 r
.83707 .40923 .83961 .41234 .84591 .41083 .84339 .40776 Metetra
.624 .761 .944 r
.84339 .40776 .84591 .41083 .85224 .40934 .84973 .4063 Metetra
.623 .764 .946 r
.84973 .4063 .85224 .40934 .85858 .40786 .85608 .40484 Metetra
.624 .765 .947 r
.85608 .40484 .85858 .40786 .86494 .40639 .86245 .40336 Metetra
.626 .767 .947 r
.86245 .40336 .86494 .40639 .87131 .4049 .86883 .40185 Metetra
.631 .767 .945 r
.86883 .40185 .87131 .4049 .87769 .40338 .87522 .40029 Metetra
.637 .767 .942 r
.87522 .40029 .87769 .40338 .88409 .4018 .88162 .39865 Metetra
.644 .766 .937 r
.88162 .39865 .88409 .4018 .89049 .40016 .88802 .39692 Metetra
.651 .764 .932 r
.88802 .39692 .89049 .40016 .89689 .39843 .89443 .39509 Metetra
.658 .761 .925 r
.89443 .39509 .89689 .39843 .90331 .3966 .90084 .39316 Metetra
.665 .757 .919 r
.90084 .39316 .90331 .3966 .90972 .39468 .90726 .39113 Metetra
.67 .753 .913 r
.90726 .39113 .90972 .39468 .91614 .39266 .91368 .38902 Metetra
.674 .749 .907 r
.91368 .38902 .91614 .39266 .92256 .39057 .9201 .38684 Metetra
.676 .745 .903 r
.9201 .38684 .92256 .39057 .92899 .38841 .92653 .38461 Metetra
.677 .742 .9 r
.92653 .38461 .92899 .38841 .93543 .3862 .93298 .38237 Metetra
.649 .729 .907 r
.35102 .55874 .35428 .56191 .35954 .56061 .35629 .55729 Metetra
.64 .718 .904 r
.35629 .55729 .35954 .56061 .3648 .55943 .36157 .55597 Metetra
.631 .707 .901 r
.36157 .55597 .3648 .55943 .37008 .55836 .36685 .55478 Metetra
.622 .698 .899 r
.36685 .55478 .37008 .55836 .37536 .55735 .37215 .55372 Metetra
.617 .693 .898 r
.37215 .55372 .37536 .55735 .38066 .55634 .37744 .55273 Metetra
.615 .694 .9 r
.37744 .55273 .38066 .55634 .38597 .55526 .38276 .55175 Metetra
.619 .702 .904 r
.38276 .55175 .38597 .55526 .3913 .55404 .38808 .55071 Metetra
.628 .716 .91 r
.38808 .55071 .3913 .55404 .39664 .55262 .39343 .54953 Metetra
.642 .736 .917 r
.39343 .54953 .39664 .55262 .40201 .55095 .39879 .54814 Metetra
.66 .759 .924 r
.39879 .54814 .40201 .55095 .4074 .54904 .40418 .54651 Metetra
.678 .783 .929 r
.40418 .54651 .4074 .54904 .41281 .54689 .40958 .5446 Metetra
.695 .805 .933 r
.40958 .5446 .41281 .54689 .41823 .54453 .41501 .54243 Metetra
.71 .821 .934 r
.41501 .54243 .41823 .54453 .42366 .54203 .42045 .54005 Metetra
.72 .832 .934 r
.42045 .54005 .42366 .54203 .42911 .53945 .4259 .53751 Metetra
.726 .836 .933 r
.4259 .53751 .42911 .53945 .43456 .53683 .43136 .53487 Metetra
.728 .835 .931 r
.43136 .53487 .43456 .53683 .44002 .53425 .43683 .53221 Metetra
.726 .829 .929 r
.43683 .53221 .44002 .53425 .44549 .53173 .44231 .52957 Metetra
.721 .82 .927 r
.44231 .52957 .44549 .53173 .45096 .52931 .4478 .52701 Metetra
.714 .81 .924 r
.4478 .52701 .45096 .52931 .45644 .52699 .45329 .52454 Metetra
.706 .798 .922 r
.45329 .52454 .45644 .52699 .46193 .52478 .45879 .52218 Metetra
.699 .787 .919 r
.45879 .52218 .46193 .52478 .46742 .52266 .46429 .51994 Metetra
.692 .777 .917 r
.46429 .51994 .46742 .52266 .47292 .52063 .46981 .5178 Metetra
.685 .769 .915 r
.46981 .5178 .47292 .52063 .47843 .51867 .47533 .51575 Metetra
.68 .762 .913 r
.47533 .51575 .47843 .51867 .48396 .51677 .48086 .51377 Metetra
.676 .757 .912 r
.48086 .51377 .48396 .51677 .48949 .51491 .4864 .51186 Metetra
.673 .752 .911 r
.4864 .51186 .48949 .51491 .49503 .51309 .49195 .50999 Metetra
.67 .749 .91 r
.49195 .50999 .49503 .51309 .50058 .51129 .49751 .50815 Metetra
.668 .747 .909 r
.49751 .50815 .50058 .51129 .50614 .5095 .50308 .50634 Metetra
.667 .745 .909 r
.50308 .50634 .50614 .5095 .51172 .50773 .50866 .50455 Metetra
.666 .744 .909 r
.50866 .50455 .51172 .50773 .5173 .50596 .51425 .50276 Metetra
.665 .743 .908 r
.51425 .50276 .5173 .50596 .5229 .50419 .51986 .50098 Metetra
.665 .743 .908 r
.51986 .50098 .5229 .50419 .52851 .50243 .52547 .49921 Metetra
.664 .742 .908 r
.52547 .49921 .52851 .50243 .53413 .50067 .5311 .49744 Metetra
.664 .742 .908 r
.5311 .49744 .53413 .50067 .53976 .49891 .53674 .49566 Metetra
.664 .742 .908 r
.53674 .49566 .53976 .49891 .5454 .49714 .54239 .49389 Metetra
.664 .742 .908 r
.54239 .49389 .5454 .49714 .55106 .49538 .54805 .49212 Metetra
.664 .742 .908 r
.54805 .49212 .55106 .49538 .55672 .49361 .55372 .49034 Metetra
.664 .742 .908 r
.55372 .49034 .55672 .49361 .5624 .49184 .55941 .48856 Metetra
.664 .741 .908 r
.55941 .48856 .5624 .49184 .56809 .49006 .56511 .48678 Metetra
.664 .741 .908 r
.56511 .48678 .56809 .49006 .57379 .48828 .57081 .48499 Metetra
.664 .741 .908 r
.57081 .48499 .57379 .48828 .5795 .4865 .57654 .48321 Metetra
.664 .741 .908 r
.57654 .48321 .5795 .4865 .58523 .48472 .58227 .48141 Metetra
.664 .741 .908 r
.58227 .48141 .58523 .48472 .59096 .48293 .58801 .47962 Metetra
.664 .741 .908 r
.58801 .47962 .59096 .48293 .59671 .48114 .59377 .47782 Metetra
.664 .741 .908 r
.59377 .47782 .59671 .48114 .60247 .47934 .59954 .47602 Metetra
.664 .741 .908 r
.59954 .47602 .60247 .47934 .60824 .47754 .60532 .47421 Metetra
.664 .741 .908 r
.60532 .47421 .60824 .47754 .61403 .47574 .61111 .4724 Metetra
.664 .741 .908 r
.61111 .4724 .61403 .47574 .61982 .47393 .61691 .47059 Metetra
.664 .741 .908 r
.61691 .47059 .61982 .47393 .62563 .47212 .62273 .46877 Metetra
.664 .741 .908 r
.62273 .46877 .62563 .47212 .63145 .47031 .62855 .46695 Metetra
.664 .741 .908 r
.62855 .46695 .63145 .47031 .63728 .46849 .6344 .46513 Metetra
.664 .741 .908 r
.6344 .46513 .63728 .46849 .64313 .46667 .64025 .4633 Metetra
.664 .741 .908 r
.64025 .4633 .64313 .46667 .64898 .46485 .64611 .46147 Metetra
.664 .741 .908 r
.64611 .46147 .64898 .46485 .65485 .46302 .65199 .45963 Metetra
.664 .741 .908 r
.65199 .45963 .65485 .46302 .66073 .46118 .65788 .45779 Metetra
.664 .741 .908 r
.65788 .45779 .66073 .46118 .66663 .45935 .66378 .45595 Metetra
.664 .741 .908 r
.66378 .45595 .66663 .45935 .67253 .45751 .66969 .4541 Metetra
.663 .741 .908 r
.66969 .4541 .67253 .45751 .67845 .45566 .67562 .45225 Metetra
.663 .741 .908 r
.67562 .45225 .67845 .45566 .68438 .45382 .68156 .45039 Metetra
.663 .741 .908 r
.68156 .45039 .68438 .45382 .69032 .45197 .68751 .44854 Metetra
.663 .741 .908 r
.68751 .44854 .69032 .45197 .69628 .45011 .69347 .44668 Metetra
.663 .741 .908 r
.69347 .44668 .69628 .45011 .70225 .44825 .69945 .44481 Metetra
.663 .741 .908 r
.69945 .44481 .70225 .44825 .70823 .44639 .70544 .44295 Metetra
.663 .741 .908 r
.70544 .44295 .70823 .44639 .71422 .44453 .71144 .44108 Metetra
.663 .741 .908 r
.71144 .44108 .71422 .44453 .72023 .44267 .71746 .43921 Metetra
.663 .742 .909 r
.71746 .43921 .72023 .44267 .72625 .4408 .72349 .43734 Metetra
.662 .742 .909 r
.72349 .43734 .72625 .4408 .73228 .43893 .72953 .43547 Metetra
.662 .742 .909 r
.72953 .43547 .73228 .43893 .73832 .43707 .73558 .4336 Metetra
.662 .742 .91 r
.73558 .4336 .73832 .43707 .74438 .4352 .74165 .43173 Metetra
.661 .742 .91 r
.74165 .43173 .74438 .4352 .75045 .43334 .74773 .42987 Metetra
.66 .742 .911 r
.74773 .42987 .75045 .43334 .75654 .43148 .75382 .42802 Metetra
.659 .743 .912 r
.75382 .42802 .75654 .43148 .76264 .42963 .75993 .42617 Metetra
.658 .743 .913 r
.75993 .42617 .76264 .42963 .76875 .42779 .76606 .42434 Metetra
.657 .744 .914 r
.76606 .42434 .76875 .42779 .77488 .42596 .7722 .42253 Metetra
.655 .744 .915 r
.7722 .42253 .77488 .42596 .78102 .42415 .77835 .42074 Metetra
.653 .745 .917 r
.77835 .42074 .78102 .42415 .78718 .42236 .78452 .41897 Metetra
.651 .746 .92 r
.78452 .41897 .78718 .42236 .79335 .42059 .79071 .41723 Metetra
.648 .748 .922 r
.79071 .41723 .79335 .42059 .79954 .41886 .79691 .41553 Metetra
.645 .749 .925 r
.79691 .41553 .79954 .41886 .80575 .41715 .80313 .41387 Metetra
.641 .751 .928 r
.80313 .41387 .80575 .41715 .81198 .41549 .80938 .41225 Metetra
.637 .753 .932 r
.80938 .41225 .81198 .41549 .81822 .41386 .81563 .41067 Metetra
.633 .755 .936 r
.81563 .41067 .81822 .41386 .82449 .41228 .82191 .40914 Metetra
.629 .757 .939 r
.82191 .40914 .82449 .41228 .83077 .41074 .82821 .40764 Metetra
.625 .76 .943 r
.82821 .40764 .83077 .41074 .83707 .40923 .83453 .40618 Metetra
.623 .762 .946 r
.83453 .40618 .83707 .40923 .84339 .40776 .84086 .40473 Metetra
.622 .764 .948 r
.84086 .40473 .84339 .40776 .84973 .4063 .84721 .40329 Metetra
.622 .766 .949 r
.84721 .40329 .84973 .4063 .85608 .40484 .85358 .40183 Metetra
.625 .768 .948 r
.85358 .40183 .85608 .40484 .86245 .40336 .85996 .40033 Metetra
.629 .769 .947 r
.85996 .40033 .86245 .40336 .86883 .40185 .86634 .39877 Metetra
.636 .768 .943 r
.86634 .39877 .86883 .40185 .87522 .40029 .87274 .39714 Metetra
.643 .767 .938 r
.87274 .39714 .87522 .40029 .88162 .39865 .87914 .39541 Metetra
.651 .765 .932 r
.87914 .39541 .88162 .39865 .88802 .39692 .88554 .39358 Metetra
.659 .761 .926 r
.88554 .39358 .88802 .39692 .89443 .39509 .89195 .39164 Metetra
.665 .757 .919 r
.89195 .39164 .89443 .39509 .90084 .39316 .89836 .3896 Metetra
.671 .753 .912 r
.89836 .3896 .90084 .39316 .90726 .39113 .90477 .38747 Metetra
.674 .749 .907 r
.90477 .38747 .90726 .39113 .91368 .38902 .91119 .38528 Metetra
.677 .745 .902 r
.91119 .38528 .91368 .38902 .9201 .38684 .91762 .38303 Metetra
.678 .742 .899 r
.91762 .38303 .9201 .38684 .92653 .38461 .92406 .38077 Metetra
.677 .74 .898 r
.92406 .38077 .92653 .38461 .93298 .38237 .93051 .3785 Metetra
.658 .74 .911 r
.34774 .55569 .35102 .55874 .35629 .55729 .35303 .55411 Metetra
.651 .731 .908 r
.35303 .55411 .35629 .55729 .36157 .55597 .35832 .55264 Metetra
.641 .719 .904 r
.35832 .55264 .36157 .55597 .36685 .55478 .36362 .5513 Metetra
.631 .707 .901 r
.36362 .5513 .36685 .55478 .37215 .55372 .36892 .5501 Metetra
.622 .696 .898 r
.36892 .5501 .37215 .55372 .37744 .55273 .37423 .54904 Metetra
.615 .69 .897 r
.37423 .54904 .37744 .55273 .38276 .55175 .37954 .54808 Metetra
.613 .69 .898 r
.37954 .54808 .38276 .55175 .38808 .55071 .38487 .54713 Metetra
.616 .697 .902 r
.38487 .54713 .38808 .55071 .39343 .54953 .39021 .54614 Metetra
.625 .712 .909 r
.39021 .54614 .39343 .54953 .39879 .54814 .39557 .54501 Metetra
.639 .733 .916 r
.39557 .54501 .39879 .54814 .40418 .54651 .40095 .54366 Metetra
.657 .757 .924 r
.40095 .54366 .40418 .54651 .40958 .5446 .40635 .54205 Metetra
.676 .783 .93 r
.40635 .54205 .40958 .5446 .41501 .54243 .41178 .54015 Metetra
.695 .806 .934 r
.41178 .54015 .41501 .54243 .42045 .54005 .41722 .53797 Metetra
.711 .824 .935 r
.41722 .53797 .42045 .54005 .4259 .53751 .42268 .53557 Metetra
.722 .836 .935 r
.42268 .53557 .4259 .53751 .43136 .53487 .42815 .53298 Metetra
.729 .841 .934 r
.42815 .53298 .43136 .53487 .43683 .53221 .43363 .53029 Metetra
.731 .84 .932 r
.43363 .53029 .43683 .53221 .44231 .52957 .43912 .52757 Metetra
.729 .834 .93 r
.43912 .52757 .44231 .52957 .4478 .52701 .44462 .52488 Metetra
.724 .824 .928 r
.44462 .52488 .4478 .52701 .45329 .52454 .45012 .52226 Metetra
.716 .813 .925 r
.45012 .52226 .45329 .52454 .45879 .52218 .45563 .51974 Metetra
.708 .801 .922 r
.45563 .51974 .45879 .52218 .46429 .51994 .46115 .51735 Metetra
.7 .789 .92 r
.46115 .51735 .46429 .51994 .46981 .5178 .46667 .51507 Metetra
.693 .779 .917 r
.46667 .51507 .46981 .5178 .47533 .51575 .4722 .51291 Metetra
.686 .77 .915 r
.4722 .51291 .47533 .51575 .48086 .51377 .47774 .51084 Metetra
.68 .763 .913 r
.47774 .51084 .48086 .51377 .4864 .51186 .48329 .50885 Metetra
.676 .757 .912 r
.48329 .50885 .4864 .51186 .49195 .50999 .48885 .50692 Metetra
.673 .753 .911 r
.48885 .50692 .49195 .50999 .49751 .50815 .49442 .50504 Metetra
.67 .749 .91 r
.49442 .50504 .49751 .50815 .50308 .50634 .5 .50319 Metetra
.668 .747 .909 r
.5 .50319 .50308 .50634 .50866 .50455 .50559 .50137 Metetra
.667 .745 .909 r
.50559 .50137 .50866 .50455 .51425 .50276 .51119 .49956 Metetra
.666 .744 .909 r
.51119 .49956 .51425 .50276 .51986 .50098 .5168 .49777 Metetra
.665 .743 .908 r
.5168 .49777 .51986 .50098 .52547 .49921 .52242 .49598 Metetra
.665 .743 .908 r
.52242 .49598 .52547 .49921 .5311 .49744 .52806 .49419 Metetra
.664 .742 .908 r
.52806 .49419 .5311 .49744 .53674 .49566 .5337 .49241 Metetra
.664 .742 .908 r
.5337 .49241 .53674 .49566 .54239 .49389 .53936 .49063 Metetra
.664 .742 .908 r
.53936 .49063 .54239 .49389 .54805 .49212 .54503 .48885 Metetra
.664 .742 .908 r
.54503 .48885 .54805 .49212 .55372 .49034 .55071 .48706 Metetra
.664 .742 .908 r
.55071 .48706 .55372 .49034 .55941 .48856 .55641 .48527 Metetra
.664 .742 .908 r
.55641 .48527 .55941 .48856 .56511 .48678 .56211 .48349 Metetra
.664 .741 .908 r
.56211 .48349 .56511 .48678 .57081 .48499 .56783 .48169 Metetra
.664 .741 .908 r
.56783 .48169 .57081 .48499 .57654 .48321 .57355 .4799 Metetra
.664 .741 .908 r
.57355 .4799 .57654 .48321 .58227 .48141 .5793 .4781 Metetra
.664 .741 .908 r
.5793 .4781 .58227 .48141 .58801 .47962 .58505 .4763 Metetra
.664 .741 .908 r
.58505 .4763 .58801 .47962 .59377 .47782 .59081 .47449 Metetra
.664 .741 .908 r
.59081 .47449 .59377 .47782 .59954 .47602 .59659 .47268 Metetra
.664 .741 .908 r
.59659 .47268 .59954 .47602 .60532 .47421 .60237 .47087 Metetra
.664 .741 .908 r
.60237 .47087 .60532 .47421 .61111 .4724 .60817 .46905 Metetra
.664 .741 .908 r
.60817 .46905 .61111 .4724 .61691 .47059 .61399 .46723 Metetra
.664 .741 .908 r
.61399 .46723 .61691 .47059 .62273 .46877 .61981 .46541 Metetra
.664 .741 .908 r
.61981 .46541 .62273 .46877 .62855 .46695 .62565 .46358 Metetra
.664 .741 .908 r
.62565 .46358 .62855 .46695 .6344 .46513 .6315 .46175 Metetra
.664 .741 .908 r
.6315 .46175 .6344 .46513 .64025 .4633 .63736 .45991 Metetra
.664 .741 .908 r
.63736 .45991 .64025 .4633 .64611 .46147 .64323 .45807 Metetra
.664 .741 .908 r
.64323 .45807 .64611 .46147 .65199 .45963 .64911 .45623 Metetra
.664 .741 .908 r
.64911 .45623 .65199 .45963 .65788 .45779 .65501 .45438 Metetra
.664 .741 .908 r
.65501 .45438 .65788 .45779 .66378 .45595 .66092 .45253 Metetra
.663 .741 .908 r
.66092 .45253 .66378 .45595 .66969 .4541 .66684 .45068 Metetra
.663 .741 .908 r
.66684 .45068 .66969 .4541 .67562 .45225 .67278 .44882 Metetra
.663 .741 .908 r
.67278 .44882 .67562 .45225 .68156 .45039 .67873 .44696 Metetra
.663 .741 .908 r
.67873 .44696 .68156 .45039 .68751 .44854 .68469 .4451 Metetra
.663 .741 .908 r
.68469 .4451 .68751 .44854 .69347 .44668 .69066 .44323 Metetra
.663 .741 .908 r
.69066 .44323 .69347 .44668 .69945 .44481 .69664 .44136 Metetra
.663 .741 .908 r
.69664 .44136 .69945 .44481 .70544 .44295 .70264 .43949 Metetra
.663 .742 .908 r
.70264 .43949 .70544 .44295 .71144 .44108 .70865 .43762 Metetra
.663 .742 .909 r
.70865 .43762 .71144 .44108 .71746 .43921 .71468 .43574 Metetra
.662 .742 .909 r
.71468 .43574 .71746 .43921 .72349 .43734 .72071 .43387 Metetra
.662 .742 .909 r
.72071 .43387 .72349 .43734 .72953 .43547 .72676 .432 Metetra
.662 .742 .91 r
.72676 .432 .72953 .43547 .73558 .4336 .73283 .43013 Metetra
.661 .742 .91 r
.73283 .43013 .73558 .4336 .74165 .43173 .73891 .42826 Metetra
.66 .742 .911 r
.73891 .42826 .74165 .43173 .74773 .42987 .745 .4264 Metetra
.659 .743 .912 r
.745 .4264 .74773 .42987 .75382 .42802 .7511 .42456 Metetra
.658 .743 .913 r
.7511 .42456 .75382 .42802 .75993 .42617 .75722 .42272 Metetra
.657 .744 .914 r
.75722 .42272 .75993 .42617 .76606 .42434 .76336 .4209 Metetra
.655 .744 .915 r
.76336 .4209 .76606 .42434 .7722 .42253 .76951 .41911 Metetra
.653 .745 .917 r
.76951 .41911 .7722 .42253 .77835 .42074 .77567 .41734 Metetra
.651 .746 .92 r
.77567 .41734 .77835 .42074 .78452 .41897 .78186 .4156 Metetra
.648 .748 .922 r
.78186 .4156 .78452 .41897 .79071 .41723 .78806 .4139 Metetra
.644 .749 .925 r
.78806 .4139 .79071 .41723 .79691 .41553 .79427 .41224 Metetra
.64 .751 .929 r
.79427 .41224 .79691 .41553 .80313 .41387 .80051 .41062 Metetra
.636 .753 .933 r
.80051 .41062 .80313 .41387 .80938 .41225 .80677 .40905 Metetra
.632 .755 .937 r
.80677 .40905 .80938 .41225 .81563 .41067 .81304 .40753 Metetra
.627 .758 .94 r
.81304 .40753 .81563 .41067 .82191 .40914 .81934 .40605 Metetra
.624 .76 .944 r
.81934 .40605 .82191 .40914 .82821 .40764 .82565 .4046 Metetra
.621 .763 .947 r
.82565 .4046 .82821 .40764 .83453 .40618 .83198 .40317 Metetra
.62 .765 .949 r
.83198 .40317 .83453 .40618 .84086 .40473 .83833 .40174 Metetra
.62 .767 .95 r
.83833 .40174 .84086 .40473 .84721 .40329 .84469 .4003 Metetra
.623 .769 .95 r
.84469 .4003 .84721 .40329 .85358 .40183 .85106 .39881 Metetra
.628 .77 .948 r
.85106 .39881 .85358 .40183 .85996 .40033 .85745 .39727 Metetra
.634 .77 .945 r
.85745 .39727 .85996 .40033 .86634 .39877 .86384 .39564 Metetra
.642 .768 .939 r
.86384 .39564 .86634 .39877 .87274 .39714 .87024 .39391 Metetra
.651 .766 .933 r
.87024 .39391 .87274 .39714 .87914 .39541 .87664 .39208 Metetra
.659 .762 .926 r
.87664 .39208 .87914 .39541 .88554 .39358 .88304 .39013 Metetra
.666 .758 .919 r
.88304 .39013 .88554 .39358 .89195 .39164 .88945 .38808 Metetra
.671 .753 .912 r
.88945 .38808 .89195 .39164 .89836 .3896 .89586 .38593 Metetra
.675 .749 .906 r
.89586 .38593 .89836 .3896 .90477 .38747 .90227 .38372 Metetra
.678 .745 .902 r
.90227 .38372 .90477 .38747 .91119 .38528 .90869 .38145 Metetra
.678 .742 .899 r
.90869 .38145 .91119 .38528 .91762 .38303 .91513 .37917 Metetra
.678 .74 .897 r
.91513 .37917 .91762 .38303 .92406 .38077 .92158 .37689 Metetra
.676 .739 .898 r
.92158 .37689 .92406 .38077 .93051 .3785 .92804 .37464 Metetra
.663 .748 .913 r
.34445 .55274 .34774 .55569 .35303 .55411 .34974 .55108 Metetra
.659 .742 .911 r
.34974 .55108 .35303 .55411 .35832 .55264 .35505 .54947 Metetra
.652 .732 .908 r
.35505 .54947 .35832 .55264 .36362 .5513 .36036 .54797 Metetra
.642 .72 .905 r
.36036 .54797 .36362 .5513 .36892 .5501 .36567 .5466 Metetra
.631 .707 .901 r
.36567 .5466 .36892 .5501 .37423 .54904 .37099 .5454 Metetra
.621 .695 .897 r
.37099 .5454 .37423 .54904 .37954 .54808 .37632 .54434 Metetra
.613 .688 .896 r
.37632 .54434 .37954 .54808 .38487 .54713 .38165 .54339 Metetra
.61 .686 .897 r
.38165 .54339 .38487 .54713 .39021 .54614 .38699 .54249 Metetra
.612 .693 .901 r
.38699 .54249 .39021 .54614 .39557 .54501 .39235 .54154 Metetra
.62 .707 .907 r
.39235 .54154 .39557 .54501 .40095 .54366 .39773 .54046 Metetra
.635 .729 .916 r
.39773 .54046 .40095 .54366 .40635 .54205 .40313 .53916 Metetra
.654 .755 .924 r
.40313 .53916 .40635 .54205 .41178 .54015 .40854 .53758 Metetra
.675 .782 .931 r
.40854 .53758 .41178 .54015 .41722 .53797 .41398 .53569 Metetra
.695 .807 .935 r
.41398 .53569 .41722 .53797 .42268 .53557 .41944 .53351 Metetra
.712 .827 .937 r
.41944 .53351 .42268 .53557 .42815 .53298 .42492 .53108 Metetra
.724 .84 .936 r
.42492 .53108 .42815 .53298 .43363 .53029 .43041 .52845 Metetra
.731 .846 .935 r
.43041 .52845 .43363 .53029 .43912 .52757 .43591 .52571 Metetra
.734 .845 .933 r
.43591 .52571 .43912 .52757 .44462 .52488 .44142 .52292 Metetra
.732 .839 .931 r
.44142 .52292 .44462 .52488 .45012 .52226 .44694 .52017 Metetra
.727 .829 .928 r
.44694 .52017 .45012 .52226 .45563 .51974 .45246 .51749 Metetra
.719 .817 .926 r
.45246 .51749 .45563 .51974 .46115 .51735 .45799 .51493 Metetra
.71 .804 .923 r
.45799 .51493 .46115 .51735 .46667 .51507 .46353 .51249 Metetra
.702 .791 .92 r
.46353 .51249 .46667 .51507 .4722 .51291 .46907 .51018 Metetra
.694 .78 .918 r
.46907 .51018 .4722 .51291 .47774 .51084 .47462 .50799 Metetra
.687 .771 .915 r
.47462 .50799 .47774 .51084 .48329 .50885 .48018 .5059 Metetra
.681 .763 .913 r
.48018 .5059 .48329 .50885 .48885 .50692 .48574 .50389 Metetra
.676 .757 .912 r
.48574 .50389 .48885 .50692 .49442 .50504 .49132 .50195 Metetra
.673 .753 .911 r
.49132 .50195 .49442 .50504 .5 .50319 .49691 .50005 Metetra
.67 .749 .91 r
.49691 .50005 .5 .50319 .50559 .50137 .5025 .4982 Metetra
.668 .747 .909 r
.5025 .4982 .50559 .50137 .51119 .49956 .50811 .49636 Metetra
.667 .745 .909 r
.50811 .49636 .51119 .49956 .5168 .49777 .51373 .49455 Metetra
.666 .744 .909 r
.51373 .49455 .5168 .49777 .52242 .49598 .51936 .49274 Metetra
.665 .743 .908 r
.51936 .49274 .52242 .49598 .52806 .49419 .525 .49094 Metetra
.665 .743 .908 r
.525 .49094 .52806 .49419 .5337 .49241 .53066 .48915 Metetra
.664 .742 .908 r
.53066 .48915 .5337 .49241 .53936 .49063 .53632 .48736 Metetra
.664 .742 .908 r
.53632 .48736 .53936 .49063 .54503 .48885 .542 .48557 Metetra
.664 .742 .908 r
.542 .48557 .54503 .48885 .55071 .48706 .54769 .48377 Metetra
.664 .742 .908 r
.54769 .48377 .55071 .48706 .55641 .48527 .55339 .48198 Metetra
.664 .742 .908 r
.55339 .48198 .55641 .48527 .56211 .48349 .5591 .48018 Metetra
.664 .741 .908 r
.5591 .48018 .56211 .48349 .56783 .48169 .56483 .47838 Metetra
.664 .741 .908 r
.56483 .47838 .56783 .48169 .57355 .4799 .57056 .47658 Metetra
.664 .741 .908 r
.57056 .47658 .57355 .4799 .5793 .4781 .57631 .47477 Metetra
.664 .741 .908 r
.57631 .47477 .5793 .4781 .58505 .4763 .58207 .47296 Metetra
.664 .741 .908 r
.58207 .47296 .58505 .4763 .59081 .47449 .58784 .47115 Metetra
.664 .741 .908 r
.58784 .47115 .59081 .47449 .59659 .47268 .59363 .46933 Metetra
.664 .741 .908 r
.59363 .46933 .59659 .47268 .60237 .47087 .59942 .46751 Metetra
.664 .741 .908 r
.59942 .46751 .60237 .47087 .60817 .46905 .60523 .46569 Metetra
.664 .741 .908 r
.60523 .46569 .60817 .46905 .61399 .46723 .61105 .46386 Metetra
.664 .741 .908 r
.61105 .46386 .61399 .46723 .61981 .46541 .61688 .46203 Metetra
.664 .741 .908 r
.61688 .46203 .61981 .46541 .62565 .46358 .62273 .46019 Metetra
.664 .741 .908 r
.62273 .46019 .62565 .46358 .6315 .46175 .62858 .45836 Metetra
.664 .741 .908 r
.62858 .45836 .6315 .46175 .63736 .45991 .63445 .45651 Metetra
.664 .741 .908 r
.63445 .45651 .63736 .45991 .64323 .45807 .64033 .45467 Metetra
.664 .741 .908 r
.64033 .45467 .64323 .45807 .64911 .45623 .64623 .45282 Metetra
.664 .741 .908 r
.64623 .45282 .64911 .45623 .65501 .45438 .65213 .45096 Metetra
.663 .741 .908 r
.65213 .45096 .65501 .45438 .66092 .45253 .65805 .44911 Metetra
.663 .741 .908 r
.65805 .44911 .66092 .45253 .66684 .45068 .66398 .44725 Metetra
.663 .741 .908 r
.66398 .44725 .66684 .45068 .67278 .44882 .66993 .44538 Metetra
.663 .741 .908 r
.66993 .44538 .67278 .44882 .67873 .44696 .67588 .44351 Metetra
.663 .741 .908 r
.67588 .44351 .67873 .44696 .68469 .4451 .68185 .44164 Metetra
.663 .741 .908 r
.68185 .44164 .68469 .4451 .69066 .44323 .68783 .43977 Metetra
.663 .741 .908 r
.68783 .43977 .69066 .44323 .69664 .44136 .69383 .4379 Metetra
.663 .741 .908 r
.69383 .4379 .69664 .44136 .70264 .43949 .69983 .43602 Metetra
.663 .742 .909 r
.69983 .43602 .70264 .43949 .70865 .43762 .70585 .43414 Metetra
.662 .742 .909 r
.70585 .43414 .70865 .43762 .71468 .43574 .71189 .43226 Metetra
.662 .742 .909 r
.71189 .43226 .71468 .43574 .72071 .43387 .71793 .43039 Metetra
.662 .742 .91 r
.71793 .43039 .72071 .43387 .72676 .432 .72399 .42852 Metetra
.661 .742 .91 r
.72399 .42852 .72676 .432 .73283 .43013 .73007 .42665 Metetra
.66 .742 .911 r
.73007 .42665 .73283 .43013 .73891 .42826 .73615 .42479 Metetra
.659 .743 .912 r
.73615 .42479 .73891 .42826 .745 .4264 .74225 .42293 Metetra
.658 .743 .913 r
.74225 .42293 .745 .4264 .7511 .42456 .74837 .4211 Metetra
.657 .744 .914 r
.74837 .4211 .7511 .42456 .75722 .42272 .7545 .41928 Metetra
.655 .744 .916 r
.7545 .41928 .75722 .42272 .76336 .4209 .76065 .41748 Metetra
.653 .745 .917 r
.76065 .41748 .76336 .4209 .76951 .41911 .76681 .41571 Metetra
.65 .746 .92 r
.76681 .41571 .76951 .41911 .77567 .41734 .77299 .41397 Metetra
.647 .748 .923 r
.77299 .41397 .77567 .41734 .78186 .4156 .77918 .41227 Metetra
.644 .749 .926 r
.77918 .41227 .78186 .4156 .78806 .4139 .7854 .41061 Metetra
.64 .751 .929 r
.7854 .41061 .78806 .4139 .79427 .41224 .79163 .409 Metetra
.635 .753 .933 r
.79163 .409 .79427 .41224 .80051 .41062 .79788 .40744 Metetra
.631 .755 .937 r
.79788 .40744 .80051 .41062 .80677 .40905 .80415 .40592 Metetra
.626 .758 .941 r
.80415 .40592 .80677 .40905 .81304 .40753 .81044 .40445 Metetra
.622 .761 .945 r
.81044 .40445 .81304 .40753 .81934 .40605 .81675 .40302 Metetra
.619 .763 .949 r
.81675 .40302 .81934 .40605 .82565 .4046 .82308 .4016 Metetra
.617 .766 .951 r
.82308 .4016 .82565 .4046 .83198 .40317 .82943 .4002 Metetra
.618 .768 .952 r
.82943 .4002 .83198 .40317 .83833 .40174 .83578 .39877 Metetra
.621 .77 .952 r
.83578 .39877 .83833 .40174 .84469 .4003 .84216 .3973 Metetra
.626 .771 .95 r
.84216 .3973 .84469 .4003 .85106 .39881 .84854 .39577 Metetra
.633 .771 .946 r
.84854 .39577 .85106 .39881 .85745 .39727 .85493 .39415 Metetra
.642 .769 .941 r
.85493 .39415 .85745 .39727 .86384 .39564 .86132 .39243 Metetra
.651 .767 .934 r
.86132 .39243 .86384 .39564 .87024 .39391 .86772 .39058 Metetra
.659 .763 .926 r
.86772 .39058 .87024 .39391 .87664 .39208 .87411 .38863 Metetra
.667 .758 .919 r
.87411 .38863 .87664 .39208 .88304 .39013 .88051 .38656 Metetra
.672 .753 .912 r
.88051 .38656 .88304 .39013 .88945 .38808 .88692 .38439 Metetra
.676 .749 .905 r
.88692 .38439 .88945 .38808 .89586 .38593 .89333 .38216 Metetra
.678 .745 .901 r
.89333 .38216 .89586 .38593 .90227 .38372 .89975 .37987 Metetra
.679 .741 .898 r
.89975 .37987 .90227 .38372 .90869 .38145 .90618 .37758 Metetra
.678 .739 .897 r
.90618 .37758 .90869 .38145 .91513 .37917 .91262 .37528 Metetra
.677 .739 .897 r
.91262 .37528 .91513 .37917 .92158 .37689 .91908 .37302 Metetra
.674 .739 .899 r
.91908 .37302 .92158 .37689 .92804 .37464 .92556 .37079 Metetra
.664 .751 .915 r
.34114 .54981 .34445 .55274 .34974 .55108 .34644 .54813 Metetra
.664 .75 .914 r
.34644 .54813 .34974 .55108 .35505 .54947 .35176 .54645 Metetra
.66 .744 .912 r
.35176 .54645 .35505 .54947 .36036 .54797 .35708 .54481 Metetra
.653 .735 .909 r
.35708 .54481 .36036 .54797 .36567 .5466 .36241 .54328 Metetra
.644 .722 .905 r
.36241 .54328 .36567 .5466 .37099 .5454 .36774 .54188 Metetra
.632 .707 .901 r
.36774 .54188 .37099 .5454 .37632 .54434 .37308 .54066 Metetra
.62 .694 .897 r
.37308 .54066 .37632 .54434 .38165 .54339 .37842 .5396 Metetra
.611 .685 .895 r
.37842 .5396 .38165 .54339 .38699 .54249 .38377 .53867 Metetra
.606 .682 .896 r
.38377 .53867 .38699 .54249 .39235 .54154 .38913 .53781 Metetra
.608 .688 .899 r
.38913 .53781 .39235 .54154 .39773 .54046 .39451 .53691 Metetra
.616 .702 .906 r
.39451 .53691 .39773 .54046 .40313 .53916 .3999 .53588 Metetra
.631 .724 .915 r
.3999 .53588 .40313 .53916 .40854 .53758 .40531 .53463 Metetra
.65 .751 .924 r
.40531 .53463 .40854 .53758 .41398 .53569 .41075 .5331 Metetra
.672 .781 .931 r
.41075 .5331 .41398 .53569 .41944 .53351 .4162 .53123 Metetra
.694 .809 .936 r
.4162 .53123 .41944 .53351 .42492 .53108 .42168 .52905 Metetra
.712 .831 .938 r
.42168 .52905 .42492 .53108 .43041 .52845 .42718 .52659 Metetra
.726 .845 .937 r
.42718 .52659 .43041 .52845 .43591 .52571 .43269 .52392 Metetra
.734 .852 .936 r
.43269 .52392 .43591 .52571 .44142 .52292 .43821 .52112 Metetra
.737 .851 .934 r
.43821 .52112 .44142 .52292 .44694 .52017 .44374 .51827 Metetra
.735 .845 .932 r
.44374 .51827 .44694 .52017 .45246 .51749 .44927 .51545 Metetra
.73 .834 .929 r
.44927 .51545 .45246 .51749 .45799 .51493 .45482 .51271 Metetra
.722 .821 .926 r
.45482 .51271 .45799 .51493 .46353 .51249 .46036 .51009 Metetra
.713 .807 .924 r
.46036 .51009 .46353 .51249 .46907 .51018 .46592 .50761 Metetra
.703 .794 .921 r
.46592 .50761 .46907 .51018 .47462 .50799 .47148 .50526 Metetra
.695 .782 .918 r
.47148 .50526 .47462 .50799 .48018 .5059 .47704 .50304 Metetra
.687 .772 .916 r
.47704 .50304 .48018 .5059 .48574 .50389 .48262 .50093 Metetra
.681 .764 .914 r
.48262 .50093 .48574 .50389 .49132 .50195 .48821 .4989 Metetra
.676 .757 .912 r
.48821 .4989 .49132 .50195 .49691 .50005 .4938 .49695 Metetra
.673 .753 .911 r
.4938 .49695 .49691 .50005 .5025 .4982 .49941 .49504 Metetra
.67 .75 .91 r
.49941 .49504 .5025 .4982 .50811 .49636 .50502 .49317 Metetra
.668 .747 .909 r
.50502 .49317 .50811 .49636 .51373 .49455 .51065 .49133 Metetra
.667 .745 .909 r
.51065 .49133 .51373 .49455 .51936 .49274 .51629 .4895 Metetra
.666 .744 .909 r
.51629 .4895 .51936 .49274 .525 .49094 .52194 .48769 Metetra
.665 .743 .908 r
.52194 .48769 .525 .49094 .53066 .48915 .5276 .48588 Metetra
.665 .743 .908 r
.5276 .48588 .53066 .48915 .53632 .48736 .53327 .48408 Metetra
.664 .742 .908 r
.53327 .48408 .53632 .48736 .542 .48557 .53896 .48227 Metetra
.664 .742 .908 r
.53896 .48227 .542 .48557 .54769 .48377 .54466 .48047 Metetra
.664 .742 .908 r
.54466 .48047 .54769 .48377 .55339 .48198 .55036 .47867 Metetra
.664 .742 .908 r
.55036 .47867 .55339 .48198 .5591 .48018 .55608 .47686 Metetra
.664 .742 .908 r
.55608 .47686 .5591 .48018 .56483 .47838 .56182 .47505 Metetra
.664 .741 .908 r
.56182 .47505 .56483 .47838 .57056 .47658 .56756 .47324 Metetra
.664 .741 .908 r
.56756 .47324 .57056 .47658 .57631 .47477 .57332 .47143 Metetra
.664 .741 .908 r
.57332 .47143 .57631 .47477 .58207 .47296 .57908 .46961 Metetra
.664 .741 .908 r
.57908 .46961 .58207 .47296 .58784 .47115 .58486 .46779 Metetra
.664 .741 .908 r
.58486 .46779 .58784 .47115 .59363 .46933 .59066 .46597 Metetra
.664 .741 .908 r
.59066 .46597 .59363 .46933 .59942 .46751 .59646 .46414 Metetra
.664 .741 .908 r
.59646 .46414 .59942 .46751 .60523 .46569 .60228 .46231 Metetra
.664 .741 .908 r
.60228 .46231 .60523 .46569 .61105 .46386 .6081 .46048 Metetra
.664 .741 .908 r
.6081 .46048 .61105 .46386 .61688 .46203 .61394 .45864 Metetra
.664 .741 .908 r
.61394 .45864 .61688 .46203 .62273 .46019 .6198 .4568 Metetra
.664 .741 .908 r
.6198 .4568 .62273 .46019 .62858 .45836 .62566 .45495 Metetra
.664 .741 .908 r
.62566 .45495 .62858 .45836 .63445 .45651 .63154 .4531 Metetra
.664 .741 .908 r
.63154 .4531 .63445 .45651 .64033 .45467 .63743 .45125 Metetra
.664 .741 .908 r
.63743 .45125 .64033 .45467 .64623 .45282 .64333 .44939 Metetra
.663 .741 .908 r
.64333 .44939 .64623 .45282 .65213 .45096 .64925 .44753 Metetra
.663 .741 .908 r
.64925 .44753 .65213 .45096 .65805 .44911 .65517 .44567 Metetra
.663 .741 .908 r
.65517 .44567 .65805 .44911 .66398 .44725 .66111 .4438 Metetra
.663 .741 .908 r
.66111 .4438 .66398 .44725 .66993 .44538 .66706 .44193 Metetra
.663 .741 .908 r
.66706 .44193 .66993 .44538 .67588 .44351 .67303 .44005 Metetra
.663 .741 .908 r
.67303 .44005 .67588 .44351 .68185 .44164 .67901 .43818 Metetra
.663 .741 .908 r
.67901 .43818 .68185 .44164 .68783 .43977 .685 .4363 Metetra
.663 .741 .908 r
.685 .4363 .68783 .43977 .69383 .4379 .691 .43442 Metetra
.663 .742 .909 r
.691 .43442 .69383 .4379 .69983 .43602 .69702 .43254 Metetra
.662 .742 .909 r
.69702 .43254 .69983 .43602 .70585 .43414 .70304 .43066 Metetra
.662 .742 .909 r
.70304 .43066 .70585 .43414 .71189 .43226 .70909 .42878 Metetra
.662 .742 .91 r
.70909 .42878 .71189 .43226 .71793 .43039 .71514 .4269 Metetra
.661 .742 .91 r
.71514 .4269 .71793 .43039 .72399 .42852 .72121 .42503 Metetra
.66 .742 .911 r
.72121 .42503 .72399 .42852 .73007 .42665 .72729 .42316 Metetra
.659 .743 .912 r
.72729 .42316 .73007 .42665 .73615 .42479 .73339 .42131 Metetra
.658 .743 .913 r
.73339 .42131 .73615 .42479 .74225 .42293 .7395 .41947 Metetra
.657 .744 .914 r
.7395 .41947 .74225 .42293 .74837 .4211 .74563 .41765 Metetra
.655 .744 .916 r
.74563 .41765 .74837 .4211 .7545 .41928 .75177 .41585 Metetra
.653 .745 .918 r
.75177 .41585 .7545 .41928 .76065 .41748 .75793 .41407 Metetra
.65 .746 .92 r
.75793 .41407 .76065 .41748 .76681 .41571 .7641 .41233 Metetra
.647 .748 .923 r
.7641 .41233 .76681 .41571 .77299 .41397 .77029 .41063 Metetra
.643 .749 .926 r
.77029 .41063 .77299 .41397 .77918 .41227 .7765 .40898 Metetra
.639 .751 .93 r
.7765 .40898 .77918 .41227 .7854 .41061 .78273 .40737 Metetra
.634 .753 .934 r
.78273 .40737 .7854 .41061 .79163 .409 .78898 .40582 Metetra
.629 .756 .938 r
.78898 .40582 .79163 .409 .79788 .40744 .79525 .40432 Metetra
.624 .759 .943 r
.79525 .40432 .79788 .40744 .80415 .40592 .80153 .40286 Metetra
.62 .761 .947 r
.80153 .40286 .80415 .40592 .81044 .40445 .80784 .40144 Metetra
.617 .764 .95 r
.80784 .40144 .81044 .40445 .81675 .40302 .81417 .40005 Metetra
.615 .767 .953 r
.81417 .40005 .81675 .40302 .82308 .4016 .82051 .39866 Metetra
.615 .769 .954 r
.82051 .39866 .82308 .4016 .82943 .4002 .82686 .39725 Metetra
.618 .771 .954 r
.82686 .39725 .82943 .4002 .83578 .39877 .83323 .3958 Metetra
.624 .772 .951 r
.83323 .3958 .83578 .39877 .84216 .3973 .83961 .39428 Metetra
.632 .772 .948 r
.83961 .39428 .84216 .3973 .84854 .39577 .84599 .39267 Metetra
.641 .771 .942 r
.84599 .39267 .84854 .39577 .85493 .39415 .85238 .39094 Metetra
.651 .768 .935 r
.85238 .39094 .85493 .39415 .86132 .39243 .85878 .3891 Metetra
.66 .764 .927 r
.85878 .3891 .86132 .39243 .86772 .39058 .86517 .38713 Metetra
.667 .759 .919 r
.86517 .38713 .86772 .39058 .87411 .38863 .87157 .38504 Metetra
.673 .753 .911 r
.87157 .38504 .87411 .38863 .88051 .38656 .87797 .38286 Metetra
.677 .748 .905 r
.87797 .38286 .88051 .38656 .88692 .38439 .88437 .3806 Metetra
.679 .744 .9 r
.88437 .3806 .88692 .38439 .89333 .38216 .89079 .3783 Metetra
.68 .741 .897 r
.89079 .3783 .89333 .38216 .89975 .37987 .89721 .37598 Metetra
.679 .739 .896 r
.89721 .37598 .89975 .37987 .90618 .37758 .90365 .37368 Metetra
.677 .738 .897 r
.90365 .37368 .90618 .37758 .91262 .37528 .91011 .3714 Metetra
.674 .739 .899 r
.91011 .3714 .91262 .37528 .91908 .37302 .91659 .36917 Metetra
.671 .74 .902 r
.91659 .36917 .91908 .37302 .92556 .37079 .92308 .36699 Metetra
.662 .749 .915 r
.33782 .54684 .34114 .54981 .34644 .54813 .34313 .54519 Metetra
.664 .752 .915 r
.34313 .54519 .34644 .54813 .35176 .54645 .34845 .5435 Metetra
.665 .751 .915 r
.34845 .5435 .35176 .54645 .35708 .54481 .35378 .5418 Metetra
.662 .746 .913 r
.35378 .5418 .35708 .54481 .36241 .54328 .35912 .54013 Metetra
.655 .737 .91 r
.35912 .54013 .36241 .54328 .36774 .54188 .36447 .53857 Metetra
.645 .724 .906 r
.36447 .53857 .36774 .54188 .37308 .54066 .36982 .53714 Metetra
.633 .708 .901 r
.36982 .53714 .37308 .54066 .37842 .5396 .37518 .5359 Metetra
.62 .694 .897 r
.37518 .5359 .37842 .5396 .38377 .53867 .38054 .53483 Metetra
.61 .683 .894 r
.38054 .53483 .38377 .53867 .38913 .53781 .38591 .53392 Metetra
.603 .678 .894 r
.38591 .53392 .38913 .53781 .39451 .53691 .39128 .53309 Metetra
.604 .683 .897 r
.39128 .53309 .39451 .53691 .3999 .53588 .39667 .53225 Metetra
.611 .696 .904 r
.39667 .53225 .3999 .53588 .40531 .53463 .40208 .53128 Metetra
.626 .719 .913 r
.40208 .53128 .40531 .53463 .41075 .5331 .40751 .5301 Metetra
.646 .748 .923 r
.40751 .5301 .41075 .5331 .4162 .53123 .41296 .5286 Metetra
.67 .779 .932 r
.41296 .5286 .4162 .53123 .42168 .52905 .41844 .52677 Metetra
.693 .809 .937 r
.41844 .52677 .42168 .52905 .42718 .52659 .42393 .52459 Metetra
.713 .834 .939 r
.42393 .52459 .42718 .52659 .43269 .52392 .42945 .5221 Metetra
.728 .85 .939 r
.42945 .5221 .43269 .52392 .43821 .52112 .43497 .51939 Metetra
.737 .857 .937 r
.43497 .51939 .43821 .52112 .44374 .51827 .44051 .51653 Metetra
.741 .857 .935 r
.44051 .51653 .44374 .51827 .44927 .51545 .44606 .51361 Metetra
.739 .85 .932 r
.44606 .51361 .44927 .51545 .45482 .51271 .45162 .51072 Metetra
.733 .839 .93 r
.45162 .51072 .45482 .51271 .46036 .51009 .45718 .50791 Metetra
.725 .825 .927 r
.45718 .50791 .46036 .51009 .46592 .50761 .46275 .50524 Metetra
.715 .81 .924 r
.46275 .50524 .46592 .50761 .47148 .50526 .46832 .50271 Metetra
.705 .796 .921 r
.46832 .50271 .47148 .50526 .47704 .50304 .4739 .50032 Metetra
.696 .783 .918 r
.4739 .50032 .47704 .50304 .48262 .50093 .47949 .49807 Metetra
.688 .773 .916 r
.47949 .49807 .48262 .50093 .48821 .4989 .48508 .49593 Metetra
.682 .764 .914 r
.48508 .49593 .48821 .4989 .4938 .49695 .49068 .49389 Metetra
.677 .758 .912 r
.49068 .49389 .4938 .49695 .49941 .49504 .4963 .49192 Metetra
.673 .753 .911 r
.4963 .49192 .49941 .49504 .50502 .49317 .50192 .49 Metetra
.67 .75 .91 r
.50192 .49 .50502 .49317 .51065 .49133 .50756 .48812 Metetra
.668 .747 .909 r
.50756 .48812 .51065 .49133 .51629 .4895 .51321 .48627 Metetra
.667 .745 .909 r
.51321 .48627 .51629 .4895 .52194 .48769 .51886 .48443 Metetra
.666 .744 .909 r
.51886 .48443 .52194 .48769 .5276 .48588 .52453 .48261 Metetra
.665 .743 .908 r
.52453 .48261 .5276 .48588 .53327 .48408 .53021 .48079 Metetra
.665 .743 .908 r
.53021 .48079 .53327 .48408 .53896 .48227 .53591 .47897 Metetra
.664 .742 .908 r
.53591 .47897 .53896 .48227 .54466 .48047 .54161 .47716 Metetra
.664 .742 .908 r
.54161 .47716 .54466 .48047 .55036 .47867 .54733 .47535 Metetra
.664 .742 .908 r
.54733 .47535 .55036 .47867 .55608 .47686 .55305 .47353 Metetra
.664 .742 .908 r
.55305 .47353 .55608 .47686 .56182 .47505 .55879 .47172 Metetra
.664 .742 .908 r
.55879 .47172 .56182 .47505 .56756 .47324 .56455 .4699 Metetra
.664 .742 .908 r
.56455 .4699 .56756 .47324 .57332 .47143 .57031 .46808 Metetra
.664 .741 .908 r
.57031 .46808 .57332 .47143 .57908 .46961 .57609 .46625 Metetra
.664 .741 .908 r
.57609 .46625 .57908 .46961 .58486 .46779 .58187 .46443 Metetra
.664 .741 .908 r
.58187 .46443 .58486 .46779 .59066 .46597 .58767 .4626 Metetra
.664 .741 .908 r
.58767 .4626 .59066 .46597 .59646 .46414 .59349 .46076 Metetra
.664 .741 .908 r
.59349 .46076 .59646 .46414 .60228 .46231 .59931 .45892 Metetra
.664 .741 .908 r
.59931 .45892 .60228 .46231 .6081 .46048 .60515 .45708 Metetra
.664 .741 .908 r
.60515 .45708 .6081 .46048 .61394 .45864 .61099 .45524 Metetra
.664 .741 .908 r
.61099 .45524 .61394 .45864 .6198 .4568 .61686 .45339 Metetra
.664 .741 .908 r
.61686 .45339 .6198 .4568 .62566 .45495 .62273 .45153 Metetra
.664 .741 .908 r
.62273 .45153 .62566 .45495 .63154 .4531 .62861 .44968 Metetra
.664 .741 .908 r
.62861 .44968 .63154 .4531 .63743 .45125 .63451 .44782 Metetra
.663 .741 .908 r
.63451 .44782 .63743 .45125 .64333 .44939 .64042 .44595 Metetra
.663 .741 .908 r
.64042 .44595 .64333 .44939 .64925 .44753 .64635 .44409 Metetra
.663 .741 .908 r
.64635 .44409 .64925 .44753 .65517 .44567 .65228 .44221 Metetra
.663 .741 .908 r
.65228 .44221 .65517 .44567 .66111 .4438 .65823 .44034 Metetra
.663 .741 .908 r
.65823 .44034 .66111 .4438 .66706 .44193 .66419 .43846 Metetra
.663 .741 .908 r
.66419 .43846 .66706 .44193 .67303 .44005 .67016 .43658 Metetra
.663 .741 .908 r
.67016 .43658 .67303 .44005 .67901 .43818 .67615 .4347 Metetra
.663 .741 .908 r
.67615 .4347 .67901 .43818 .685 .4363 .68215 .43282 Metetra
.663 .742 .909 r
.68215 .43282 .685 .4363 .691 .43442 .68816 .43093 Metetra
.663 .742 .909 r
.68816 .43093 .691 .43442 .69702 .43254 .69418 .42905 Metetra
.662 .742 .909 r
.69418 .42905 .69702 .43254 .70304 .43066 .70022 .42717 Metetra
.662 .742 .91 r
.70022 .42717 .70304 .43066 .70909 .42878 .70627 .42528 Metetra
.661 .742 .91 r
.70627 .42528 .70909 .42878 .71514 .4269 .71234 .42341 Metetra
.66 .742 .911 r
.71234 .42341 .71514 .4269 .72121 .42503 .71842 .42154 Metetra
.659 .743 .912 r
.71842 .42154 .72121 .42503 .72729 .42316 .72451 .41968 Metetra
.658 .743 .913 r
.72451 .41968 .72729 .42316 .73339 .42131 .73062 .41784 Metetra
.657 .744 .914 r
.73062 .41784 .73339 .42131 .7395 .41947 .73674 .41601 Metetra
.655 .744 .916 r
.73674 .41601 .7395 .41947 .74563 .41765 .74288 .41421 Metetra
.653 .745 .918 r
.74288 .41421 .74563 .41765 .75177 .41585 .74903 .41243 Metetra
.65 .746 .92 r
.74903 .41243 .75177 .41585 .75793 .41407 .7552 .4107 Metetra
.647 .748 .923 r
.7552 .4107 .75793 .41407 .7641 .41233 .76139 .409 Metetra
.643 .75 .927 r
.76139 .409 .7641 .41233 .77029 .41063 .76759 .40735 Metetra
.638 .751 .93 r
.76759 .40735 .77029 .41063 .7765 .40898 .77382 .40575 Metetra
.633 .754 .935 r
.77382 .40575 .7765 .40898 .78273 .40737 .78006 .4042 Metetra
.628 .756 .939 r
.78006 .4042 .78273 .40737 .78898 .40582 .78633 .40271 Metetra
.623 .759 .944 r
.78633 .40271 .78898 .40582 .79525 .40432 .79261 .40127 Metetra
.618 .762 .948 r
.79261 .40127 .79525 .40432 .80153 .40286 .79891 .39986 Metetra
.614 .765 .952 r
.79891 .39986 .80153 .40286 .80784 .40144 .80523 .39849 Metetra
.612 .768 .954 r
.80523 .39849 .80784 .40144 .81417 .40005 .81157 .39712 Metetra
.613 .77 .956 r
.81157 .39712 .81417 .40005 .82051 .39866 .81792 .39573 Metetra
.616 .773 .955 r
.81792 .39573 .82051 .39866 .82686 .39725 .82429 .3943 Metetra
.622 .774 .953 r
.82429 .3943 .82686 .39725 .83323 .3958 .83067 .3928 Metetra
.63 .774 .949 r
.83067 .3928 .83323 .3958 .83961 .39428 .83705 .39119 Metetra
.64 .772 .943 r
.83705 .39119 .83961 .39428 .84599 .39267 .84343 .38947 Metetra
.651 .769 .935 r
.84343 .38947 .84599 .39267 .85238 .39094 .84982 .38762 Metetra
.66 .764 .927 r
.84982 .38762 .85238 .39094 .85878 .3891 .85621 .38564 Metetra
.668 .759 .918 r
.85621 .38564 .85878 .3891 .86517 .38713 .8626 .38353 Metetra
.674 .754 .91 r
.8626 .38353 .86517 .38713 .87157 .38504 .869 .38133 Metetra
.678 .748 .904 r
.869 .38133 .87157 .38504 .87797 .38286 .8754 .37904 Metetra
.68 .744 .899 r
.8754 .37904 .87797 .38286 .88437 .3806 .88181 .37672 Metetra
.681 .741 .896 r
.88181 .37672 .88437 .3806 .89079 .3783 .88823 .37439 Metetra
.679 .739 .896 r
.88823 .37439 .89079 .3783 .89721 .37598 .89466 .37207 Metetra
.677 .738 .897 r
.89466 .37207 .89721 .37598 .90365 .37368 .90112 .36979 Metetra
.674 .739 .899 r
.90112 .36979 .90365 .37368 .91011 .3714 .90759 .36755 Metetra
.671 .74 .902 r
.90759 .36755 .91011 .3714 .91659 .36917 .91409 .36537 Metetra
.668 .742 .906 r
.91409 .36537 .91659 .36917 .92308 .36699 .9206 .36323 Metetra
.657 .743 .913 r
.33449 .5438 .33782 .54684 .34313 .54519 .3398 .54221 Metetra
.661 .748 .915 r
.3398 .54221 .34313 .54519 .34845 .5435 .34513 .54055 Metetra
.664 .752 .916 r
.34513 .54055 .34845 .5435 .35378 .5418 .35047 .53885 Metetra
.665 .753 .915 r
.35047 .53885 .35378 .5418 .35912 .54013 .35582 .53713 Metetra
.663 .749 .914 r
.35582 .53713 .35912 .54013 .36447 .53857 .36118 .53544 Metetra
.657 .74 .911 r
.36118 .53544 .36447 .53857 .36982 .53714 .36655 .53384 Metetra
.647 .726 .906 r
.36655 .53384 .36982 .53714 .37518 .5359 .37192 .53238 Metetra
.634 .71 .901 r
.37192 .53238 .37518 .5359 .38054 .53483 .37729 .5311 Metetra
.62 .693 .896 r
.37729 .5311 .38054 .53483 .38591 .53392 .38267 .53003 Metetra
.608 .681 .893 r
.38267 .53003 .38591 .53392 .39128 .53309 .38805 .52913 Metetra
.6 .674 .892 r
.38805 .52913 .39128 .53309 .39667 .53225 .39344 .52834 Metetra
.599 .677 .895 r
.39344 .52834 .39667 .53225 .40208 .53128 .39885 .52756 Metetra
.606 .69 .902 r
.39885 .52756 .40208 .53128 .40751 .5301 .40427 .52666 Metetra
.62 .713 .912 r
.40427 .52666 .40751 .5301 .41296 .5286 .40972 .52554 Metetra
.642 .743 .923 r
.40972 .52554 .41296 .5286 .41844 .52677 .41519 .5241 Metetra
.666 .777 .932 r
.41519 .5241 .41844 .52677 .42393 .52459 .42068 .5223 Metetra
.692 .81 .938 r
.42068 .5223 .42393 .52459 .42945 .5221 .42619 .52013 Metetra
.714 .837 .941 r
.42619 .52013 .42945 .5221 .43497 .51939 .43173 .51762 Metetra
.73 .855 .94 r
.43173 .51762 .43497 .51939 .44051 .51653 .43728 .51486 Metetra
.74 .864 .938 r
.43728 .51486 .44051 .51653 .44606 .51361 .44284 .51193 Metetra
.744 .864 .935 r
.44284 .51193 .44606 .51361 .45162 .51072 .4484 .50894 Metetra
.743 .857 .933 r
.4484 .50894 .45162 .51072 .45718 .50791 .45398 .50598 Metetra
.737 .845 .931 r
.45398 .50598 .45718 .50791 .46275 .50524 .45956 .5031 Metetra
.728 .83 .928 r
.45956 .5031 .46275 .50524 .46832 .50271 .46515 .50036 Metetra
.718 .814 .925 r
.46515 .50036 .46832 .50271 .4739 .50032 .47074 .49778 Metetra
.707 .799 .922 r
.47074 .49778 .4739 .50032 .47949 .49807 .47634 .49535 Metetra
.697 .785 .919 r
.47634 .49535 .47949 .49807 .48508 .49593 .48194 .49307 Metetra
.689 .774 .916 r
.48194 .49307 .48508 .49593 .49068 .49389 .48756 .49091 Metetra
.682 .765 .914 r
.48756 .49091 .49068 .49389 .4963 .49192 .49318 .48885 Metetra
.677 .758 .912 r
.49318 .48885 .4963 .49192 .50192 .49 .49881 .48686 Metetra
.673 .753 .911 r
.49881 .48686 .50192 .49 .50756 .48812 .50445 .48493 Metetra
.67 .75 .91 r
.50445 .48493 .50756 .48812 .51321 .48627 .51011 .48304 Metetra
.668 .747 .909 r
.51011 .48304 .51321 .48627 .51886 .48443 .51577 .48118 Metetra
.667 .745 .909 r
.51577 .48118 .51886 .48443 .52453 .48261 .52145 .47933 Metetra
.666 .744 .909 r
.52145 .47933 .52453 .48261 .53021 .48079 .52714 .47749 Metetra
.665 .743 .908 r
.52714 .47749 .53021 .48079 .53591 .47897 .53284 .47567 Metetra
.665 .743 .908 r
.53284 .47567 .53591 .47897 .54161 .47716 .53855 .47384 Metetra
.664 .742 .908 r
.53855 .47384 .54161 .47716 .54733 .47535 .54428 .47202 Metetra
.664 .742 .908 r
.54428 .47202 .54733 .47535 .55305 .47353 .55001 .47019 Metetra
.664 .742 .908 r
.55001 .47019 .55305 .47353 .55879 .47172 .55576 .46837 Metetra
.664 .742 .908 r
.55576 .46837 .55879 .47172 .56455 .4699 .56152 .46654 Metetra
.664 .741 .908 r
.56152 .46654 .56455 .4699 .57031 .46808 .56729 .46471 Metetra
.664 .741 .908 r
.56729 .46471 .57031 .46808 .57609 .46625 .57308 .46288 Metetra
.664 .741 .908 r
.57308 .46288 .57609 .46625 .58187 .46443 .57887 .46104 Metetra
.664 .741 .908 r
.57887 .46104 .58187 .46443 .58767 .4626 .58468 .45921 Metetra
.664 .741 .908 r
.58468 .45921 .58767 .4626 .59349 .46076 .5905 .45736 Metetra
.664 .741 .908 r
.5905 .45736 .59349 .46076 .59931 .45892 .59633 .45552 Metetra
.664 .741 .908 r
.59633 .45552 .59931 .45892 .60515 .45708 .60218 .45367 Metetra
.664 .741 .908 r
.60218 .45367 .60515 .45708 .61099 .45524 .60803 .45182 Metetra
.664 .741 .908 r
.60803 .45182 .61099 .45524 .61686 .45339 .6139 .44996 Metetra
.664 .741 .908 r
.6139 .44996 .61686 .45339 .62273 .45153 .61978 .4481 Metetra
.664 .741 .908 r
.61978 .4481 .62273 .45153 .62861 .44968 .62568 .44624 Metetra
.663 .741 .908 r
.62568 .44624 .62861 .44968 .63451 .44782 .63158 .44437 Metetra
.663 .741 .908 r
.63158 .44437 .63451 .44782 .64042 .44595 .6375 .4425 Metetra
.663 .741 .908 r
.6375 .4425 .64042 .44595 .64635 .44409 .64343 .44063 Metetra
.663 .741 .908 r
.64343 .44063 .64635 .44409 .65228 .44221 .64938 .43875 Metetra
.663 .741 .908 r
.64938 .43875 .65228 .44221 .65823 .44034 .65533 .43687 Metetra
.663 .741 .908 r
.65533 .43687 .65823 .44034 .66419 .43846 .6613 .43498 Metetra
.663 .741 .908 r
.6613 .43498 .66419 .43846 .67016 .43658 .66729 .4331 Metetra
.663 .741 .908 r
.66729 .4331 .67016 .43658 .67615 .4347 .67328 .43121 Metetra
.663 .741 .909 r
.67328 .43121 .67615 .4347 .68215 .43282 .67929 .42932 Metetra
.663 .742 .909 r
.67929 .42932 .68215 .43282 .68816 .43093 .68531 .42744 Metetra
.662 .742 .909 r
.68531 .42744 .68816 .43093 .69418 .42905 .69134 .42555 Metetra
.662 .742 .909 r
.69134 .42555 .69418 .42905 .70022 .42717 .69739 .42366 Metetra
.661 .742 .91 r
.69739 .42366 .70022 .42717 .70627 .42528 .70345 .42179 Metetra
.66 .742 .911 r
.70345 .42179 .70627 .42528 .71234 .42341 .70953 .41991 Metetra
.659 .743 .912 r
.70953 .41991 .71234 .42341 .71842 .42154 .71562 .41805 Metetra
.658 .743 .913 r
.71562 .41805 .71842 .42154 .72451 .41968 .72172 .4162 Metetra
.657 .744 .914 r
.72172 .4162 .72451 .41968 .73062 .41784 .72784 .41438 Metetra
.655 .744 .916 r
.72784 .41438 .73062 .41784 .73674 .41601 .73397 .41257 Metetra
.653 .745 .918 r
.73397 .41257 .73674 .41601 .74288 .41421 .74012 .41079 Metetra
.65 .746 .92 r
.74012 .41079 .74288 .41421 .74903 .41243 .74628 .40905 Metetra
.646 .748 .923 r
.74628 .40905 .74903 .41243 .7552 .4107 .75247 .40736 Metetra
.642 .75 .927 r
.75247 .40736 .7552 .4107 .76139 .409 .75867 .40571 Metetra
.637 .752 .931 r
.75867 .40571 .76139 .409 .76759 .40735 .76489 .40411 Metetra
.632 .754 .935 r
.76489 .40411 .76759 .40735 .77382 .40575 .77113 .40258 Metetra
.627 .757 .94 r
.77113 .40258 .77382 .40575 .78006 .4042 .77739 .4011 Metetra
.621 .76 .945 r
.77739 .4011 .78006 .4042 .78633 .40271 .78367 .39967 Metetra
.616 .763 .95 r
.78367 .39967 .78633 .40271 .79261 .40127 .78997 .39829 Metetra
.612 .766 .953 r
.78997 .39829 .79261 .40127 .79891 .39986 .79628 .39694 Metetra
.609 .769 .956 r
.79628 .39694 .79891 .39986 .80523 .39849 .80262 .39559 Metetra
.61 .772 .958 r
.80262 .39559 .80523 .39849 .81157 .39712 .80897 .39423 Metetra
.613 .774 .958 r
.80897 .39423 .81157 .39712 .81792 .39573 .81533 .39281 Metetra
.62 .775 .955 r
.81533 .39281 .81792 .39573 .82429 .3943 .8217 .39132 Metetra
.629 .775 .951 r
.8217 .39132 .82429 .3943 .83067 .3928 .82808 .38973 Metetra
.64 .774 .944 r
.82808 .38973 .83067 .3928 .83705 .39119 .83446 .38801 Metetra
.651 .77 .936 r
.83446 .38801 .83705 .39119 .84343 .38947 .84085 .38615 Metetra
.661 .765 .927 r
.84085 .38615 .84343 .38947 .84982 .38762 .84723 .38415 Metetra
.669 .76 .918 r
.84723 .38415 .84982 .38762 .85621 .38564 .85362 .38203 Metetra
.676 .754 .91 r
.85362 .38203 .85621 .38564 .8626 .38353 .86001 .3798 Metetra
.68 .748 .903 r
.86001 .3798 .8626 .38353 .869 .38133 .86641 .3775 Metetra
.681 .744 .898 r
.86641 .3775 .869 .38133 .8754 .37904 .87281 .37515 Metetra
.681 .74 .896 r
.87281 .37515 .8754 .37904 .88181 .37672 .87923 .3728 Metetra
.68 .738 .895 r
.87923 .3728 .88181 .37672 .88823 .37439 .88566 .37046 Metetra
.677 .738 .896 r
.88566 .37046 .88823 .37439 .89466 .37207 .89211 .36817 Metetra
.674 .739 .899 r
.89211 .36817 .89466 .37207 .90112 .36979 .89858 .36594 Metetra
.671 .741 .903 r
.89858 .36594 .90112 .36979 .90759 .36755 .90507 .36375 Metetra
.668 .743 .906 r
.90507 .36375 .90759 .36755 .91409 .36537 .91158 .36161 Metetra
.666 .745 .91 r
.91158 .36161 .91409 .36537 .9206 .36323 .91812 .35951 Metetra
.653 .737 .911 r
.33115 .54066 .33449 .5438 .3398 .54221 .33647 .53913 Metetra
.656 .742 .913 r
.33647 .53913 .3398 .54221 .34513 .54055 .3418 .53754 Metetra
.66 .747 .915 r
.3418 .53754 .34513 .54055 .35047 .53885 .34714 .5359 Metetra
.664 .752 .916 r
.34714 .5359 .35047 .53885 .35582 .53713 .3525 .53419 Metetra
.666 .754 .916 r
.3525 .53419 .35582 .53713 .36118 .53544 .35787 .53245 Metetra
.665 .751 .915 r
.35787 .53245 .36118 .53544 .36655 .53384 .36325 .53073 Metetra
.659 .743 .912 r
.36325 .53073 .36655 .53384 .37192 .53238 .36863 .52909 Metetra
.649 .729 .907 r
.36863 .52909 .37192 .53238 .37729 .5311 .37402 .52759 Metetra
.635 .712 .902 r
.37402 .52759 .37729 .5311 .38267 .53003 .37941 .52629 Metetra
.62 .694 .896 r
.37941 .52629 .38267 .53003 .38805 .52913 .38481 .5252 Metetra
.607 .679 .892 r
.38481 .5252 .38805 .52913 .39344 .52834 .39021 .52431 Metetra
.597 .67 .891 r
.39021 .52431 .39344 .52834 .39885 .52756 .39562 .52356 Metetra
.595 .671 .893 r
.39562 .52356 .39885 .52756 .40427 .52666 .40104 .52283 Metetra
.6 .683 .9 r
.40104 .52283 .40427 .52666 .40972 .52554 .40648 .52201 Metetra
.614 .706 .91 r
.40648 .52201 .40972 .52554 .41519 .5241 .41194 .52097 Metetra
.636 .738 .922 r
.41194 .52097 .41519 .5241 .42068 .5223 .41743 .51959 Metetra
.663 .775 .933 r
.41743 .51959 .42068 .5223 .42619 .52013 .42294 .51784 Metetra
.69 .811 .94 r
.42294 .51784 .42619 .52013 .43173 .51762 .42847 .51568 Metetra
.714 .84 .942 r
.42847 .51568 .43173 .51762 .43728 .51486 .43402 .51315 Metetra
.732 .861 .941 r
.43402 .51315 .43728 .51486 .44284 .51193 .43959 .51034 Metetra
.744 .871 .939 r
.43959 .51034 .44284 .51193 .4484 .50894 .44517 .50735 Metetra
.748 .871 .936 r
.44517 .50735 .4484 .50894 .45398 .50598 .45076 .50428 Metetra
.747 .864 .934 r
.45076 .50428 .45398 .50598 .45956 .5031 .45635 .50123 Metetra
.741 .851 .931 r
.45635 .50123 .45956 .5031 .46515 .50036 .46195 .49828 Metetra
.732 .835 .929 r
.46195 .49828 .46515 .50036 .47074 .49778 .46756 .49547 Metetra
.721 .818 .926 r
.46756 .49547 .47074 .49778 .47634 .49535 .47317 .49283 Metetra
.709 .802 .922 r
.47317 .49283 .47634 .49535 .48194 .49307 .47879 .49036 Metetra
.699 .787 .919 r
.47879 .49036 .48194 .49307 .48756 .49091 .48441 .48804 Metetra
.69 .775 .916 r
.48441 .48804 .48756 .49091 .49318 .48885 .49004 .48585 Metetra
.683 .766 .914 r
.49004 .48585 .49318 .48885 .49881 .48686 .49569 .48377 Metetra
.677 .759 .912 r
.49569 .48377 .49881 .48686 .50445 .48493 .50134 .48177 Metetra
.673 .753 .911 r
.50134 .48177 .50445 .48493 .51011 .48304 .507 .47983 Metetra
.67 .75 .91 r
.507 .47983 .51011 .48304 .51577 .48118 .51267 .47793 Metetra
.668 .747 .909 r
.51267 .47793 .51577 .48118 .52145 .47933 .51836 .47605 Metetra
.667 .745 .909 r
.51836 .47605 .52145 .47933 .52714 .47749 .52406 .4742 Metetra
.666 .744 .909 r
.52406 .4742 .52714 .47749 .53284 .47567 .52976 .47235 Metetra
.665 .743 .908 r
.52976 .47235 .53284 .47567 .53855 .47384 .53548 .47051 Metetra
.665 .743 .908 r
.53548 .47051 .53855 .47384 .54428 .47202 .54121 .46868 Metetra
.664 .742 .908 r
.54121 .46868 .54428 .47202 .55001 .47019 .54696 .46684 Metetra
.664 .742 .908 r
.54696 .46684 .55001 .47019 .55576 .46837 .55271 .46501 Metetra
.664 .742 .908 r
.55271 .46501 .55576 .46837 .56152 .46654 .55848 .46317 Metetra
.664 .742 .908 r
.55848 .46317 .56152 .46654 .56729 .46471 .56426 .46134 Metetra
.664 .742 .908 r
.56426 .46134 .56729 .46471 .57308 .46288 .57005 .4595 Metetra
.664 .742 .908 r
.57005 .4595 .57308 .46288 .57887 .46104 .57586 .45765 Metetra
.664 .742 .908 r
.57586 .45765 .57887 .46104 .58468 .45921 .58167 .45581 Metetra
.664 .742 .908 r
.58167 .45581 .58468 .45921 .5905 .45736 .5875 .45396 Metetra
.664 .742 .908 r
.5875 .45396 .5905 .45736 .59633 .45552 .59334 .45211 Metetra
.664 .741 .908 r
.59334 .45211 .59633 .45552 .60218 .45367 .59919 .45025 Metetra
.664 .741 .908 r
.59919 .45025 .60218 .45367 .60803 .45182 .60506 .44839 Metetra
.664 .741 .908 r
.60506 .44839 .60803 .45182 .6139 .44996 .61094 .44653 Metetra
.664 .741 .908 r
.61094 .44653 .6139 .44996 .61978 .4481 .61683 .44466 Metetra
.663 .741 .908 r
.61683 .44466 .61978 .4481 .62568 .44624 .62273 .44279 Metetra
.663 .741 .908 r
.62273 .44279 .62568 .44624 .63158 .44437 .62864 .44091 Metetra
.663 .741 .908 r
.62864 .44091 .63158 .44437 .6375 .4425 .63457 .43904 Metetra
.663 .741 .908 r
.63457 .43904 .6375 .4425 .64343 .44063 .64051 .43716 Metetra
.663 .742 .908 r
.64051 .43716 .64343 .44063 .64938 .43875 .64646 .43527 Metetra
.663 .742 .908 r
.64646 .43527 .64938 .43875 .65533 .43687 .65243 .43339 Metetra
.663 .742 .908 r
.65243 .43339 .65533 .43687 .6613 .43498 .65841 .4315 Metetra
.663 .742 .908 r
.65841 .4315 .6613 .43498 .66729 .4331 .6644 .42961 Metetra
.663 .742 .909 r
.6644 .42961 .66729 .4331 .67328 .43121 .6704 .42771 Metetra
.663 .742 .909 r
.6704 .42771 .67328 .43121 .67929 .42932 .67642 .42582 Metetra
.662 .742 .909 r
.67642 .42582 .67929 .42932 .68531 .42744 .68245 .42393 Metetra
.662 .742 .91 r
.68245 .42393 .68531 .42744 .69134 .42555 .68849 .42204 Metetra
.661 .742 .91 r
.68849 .42204 .69134 .42555 .69739 .42366 .69455 .42016 Metetra
.66 .742 .911 r
.69455 .42016 .69739 .42366 .70345 .42179 .70062 .41828 Metetra
.659 .743 .912 r
.70062 .41828 .70345 .42179 .70953 .41991 .7067 .41642 Metetra
.658 .743 .913 r
.7067 .41642 .70953 .41991 .71562 .41805 .7128 .41457 Metetra
.657 .744 .914 r
.7128 .41457 .71562 .41805 .72172 .4162 .71892 .41274 Metetra
.655 .745 .916 r
.71892 .41274 .72172 .4162 .72784 .41438 .72504 .41093 Metetra
.652 .745 .918 r
.72504 .41093 .72784 .41438 .73397 .41257 .73119 .40915 Metetra
.649 .747 .921 r
.73119 .40915 .73397 .41257 .74012 .41079 .73735 .40741 Metetra
.646 .748 .924 r
.73735 .40741 .74012 .41079 .74628 .40905 .74353 .40572 Metetra
.642 .75 .927 r
.74353 .40572 .74628 .40905 .75247 .40736 .74973 .40407 Metetra
.637 .752 .932 r
.74973 .40407 .75247 .40736 .75867 .40571 .75594 .40248 Metetra
.631 .754 .936 r
.75594 .40248 .75867 .40571 .76489 .40411 .76218 .40096 Metetra
.625 .757 .941 r
.76218 .40096 .76489 .40411 .77113 .40258 .76843 .39949 Metetra
.619 .76 .946 r
.76843 .39949 .77113 .40258 .77739 .4011 .77471 .39808 Metetra
.613 .763 .951 r
.77471 .39808 .77739 .4011 .78367 .39967 .78101 .39672 Metetra
.609 .767 .955 r
.78101 .39672 .78367 .39967 .78997 .39829 .78732 .39539 Metetra
.606 .77 .958 r
.78732 .39539 .78997 .39829 .79628 .39694 .79365 .39407 Metetra
.606 .773 .96 r
.79365 .39407 .79628 .39694 .80262 .39559 .8 .39273 Metetra
.61 .776 .96 r
.8 .39273 .80262 .39559 .80897 .39423 .80636 .39134 Metetra
.617 .777 .957 r
.80636 .39134 .80897 .39423 .81533 .39281 .81273 .38986 Metetra
.627 .777 .953 r
.81273 .38986 .81533 .39281 .8217 .39132 .8191 .38828 Metetra
.639 .775 .946 r
.8191 .38828 .8217 .39132 .82808 .38973 .82548 .38656 Metetra
.651 .772 .937 r
.82548 .38656 .82808 .38973 .83446 .38801 .83186 .38469 Metetra
.662 .766 .928 r
.83186 .38469 .83446 .38801 .84085 .38615 .83824 .38268 Metetra
.671 .76 .918 r
.83824 .38268 .84085 .38615 .84723 .38415 .84462 .38054 Metetra
.677 .754 .909 r
.84462 .38054 .84723 .38415 .85362 .38203 .85101 .37828 Metetra
.681 .748 .902 r
.85101 .37828 .85362 .38203 .86001 .3798 .8574 .37595 Metetra
.682 .743 .897 r
.8574 .37595 .86001 .3798 .86641 .3775 .8638 .37358 Metetra
.682 .74 .895 r
.8638 .37358 .86641 .3775 .87281 .37515 .87021 .37121 Metetra
.68 .738 .894 r
.87021 .37121 .87281 .37515 .87923 .3728 .87664 .36886 Metetra
.677 .738 .896 r
.87664 .36886 .87923 .3728 .88566 .37046 .88309 .36656 Metetra
.674 .739 .899 r
.88309 .36656 .88566 .37046 .89211 .36817 .88955 .36433 Metetra
.671 .741 .903 r
.88955 .36433 .89211 .36817 .89858 .36594 .89604 .36214 Metetra
.668 .744 .907 r
.89604 .36214 .89858 .36594 .90507 .36375 .90255 .36001 Metetra
.665 .746 .91 r
.90255 .36001 .90507 .36375 .91158 .36161 .90908 .35791 Metetra
.664 .748 .913 r
.90908 .35791 .91158 .36161 .91812 .35951 .91562 .35582 Metetra
.65 .732 .909 r
.32781 .53745 .33115 .54066 .33647 .53913 .33313 .53595 Metetra
.651 .735 .91 r
.33313 .53595 .33647 .53913 .3418 .53754 .33846 .53442 Metetra
.654 .74 .912 r
.33846 .53442 .3418 .53754 .34714 .5359 .34381 .53285 Metetra
.659 .746 .915 r
.34381 .53285 .34714 .5359 .3525 .53419 .34917 .53121 Metetra
.663 .752 .916 r
.34917 .53121 .3525 .53419 .35787 .53245 .35454 .52951 Metetra
.666 .755 .917 r
.35454 .52951 .35787 .53245 .36325 .53073 .35993 .52776 Metetra
.666 .754 .916 r
.35993 .52776 .36325 .53073 .36863 .52909 .36532 .52601 Metetra
.661 .746 .913 r
.36532 .52601 .36863 .52909 .37402 .52759 .37073 .52432 Metetra
.651 .732 .908 r
.37073 .52432 .37402 .52759 .37941 .52629 .37614 .52278 Metetra
.637 .714 .903 r
.37614 .52278 .37941 .52629 .38481 .5252 .38155 .52144 Metetra
.621 .694 .896 r
.38155 .52144 .38481 .5252 .39021 .52431 .38696 .52033 Metetra
.606 .677 .891 r
.38696 .52033 .39021 .52431 .39562 .52356 .39238 .51945 Metetra
.595 .666 .889 r
.39238 .51945 .39562 .52356 .40104 .52283 .39781 .51873 Metetra
.59 .665 .891 r
.39781 .51873 .40104 .52283 .40648 .52201 .40325 .51807 Metetra
.594 .676 .897 r
.40325 .51807 .40648 .52201 .41194 .52097 .4087 .51733 Metetra
.608 .699 .908 r
.4087 .51733 .41194 .52097 .41743 .51959 .41418 .51637 Metetra
.63 .732 .921 r
.41418 .51637 .41743 .51959 .42294 .51784 .41968 .51507 Metetra
.658 .771 .933 r
.41968 .51507 .42294 .51784 .42847 .51568 .42521 .51337 Metetra
.687 .81 .941 r
.42521 .51337 .42847 .51568 .43402 .51315 .43076 .51123 Metetra
.714 .843 .944 r
.43076 .51123 .43402 .51315 .43959 .51034 .43633 .50869 Metetra
.734 .866 .943 r
.43633 .50869 .43959 .51034 .44517 .50735 .44192 .50584 Metetra
.747 .878 .94 r
.44192 .50584 .44517 .50735 .45076 .50428 .44752 .50277 Metetra
.753 .879 .937 r
.44752 .50277 .45076 .50428 .45635 .50123 .45313 .49962 Metetra
.752 .872 .934 r
.45313 .49962 .45635 .50123 .46195 .49828 .45874 .49648 Metetra
.746 .859 .932 r
.45874 .49648 .46195 .49828 .46756 .49547 .46436 .49344 Metetra
.736 .841 .93 r
.46436 .49344 .46756 .49547 .47317 .49283 .46999 .49056 Metetra
.724 .823 .926 r
.46999 .49056 .47317 .49283 .47879 .49036 .47562 .48786 Metetra
.712 .805 .923 r
.47562 .48786 .47879 .49036 .48441 .48804 .48125 .48534 Metetra
.701 .789 .92 r
.48125 .48534 .48441 .48804 .49004 .48585 .4869 .48298 Metetra
.691 .776 .917 r
.4869 .48298 .49004 .48585 .49569 .48377 .49255 .48077 Metetra
.683 .766 .914 r
.49255 .48077 .49569 .48377 .50134 .48177 .49821 .47867 Metetra
.678 .759 .912 r
.49821 .47867 .50134 .48177 .507 .47983 .50388 .47665 Metetra
.673 .753 .911 r
.50388 .47665 .507 .47983 .51267 .47793 .50956 .4747 Metetra
.67 .75 .91 r
.50956 .4747 .51267 .47793 .51836 .47605 .51525 .47279 Metetra
.668 .747 .909 r
.51525 .47279 .51836 .47605 .52406 .4742 .52096 .4709 Metetra
.667 .745 .909 r
.52096 .4709 .52406 .4742 .52976 .47235 .52667 .46903 Metetra
.666 .744 .909 r
.52667 .46903 .52976 .47235 .53548 .47051 .5324 .46718 Metetra
.665 .743 .908 r
.5324 .46718 .53548 .47051 .54121 .46868 .53814 .46533 Metetra
.665 .743 .908 r
.53814 .46533 .54121 .46868 .54696 .46684 .54389 .46348 Metetra
.664 .742 .908 r
.54389 .46348 .54696 .46684 .55271 .46501 .54966 .46164 Metetra
.664 .742 .908 r
.54966 .46164 .55271 .46501 .55848 .46317 .55543 .45979 Metetra
.664 .742 .908 r
.55543 .45979 .55848 .46317 .56426 .46134 .56122 .45795 Metetra
.664 .742 .908 r
.56122 .45795 .56426 .46134 .57005 .4595 .56702 .4561 Metetra
.664 .741 .908 r
.56702 .4561 .57005 .4595 .57586 .45765 .57283 .45425 Metetra
.664 .741 .908 r
.57283 .45425 .57586 .45765 .58167 .45581 .57866 .45239 Metetra
.664 .741 .908 r
.57866 .45239 .58167 .45581 .5875 .45396 .58449 .45054 Metetra
.664 .741 .908 r
.58449 .45054 .5875 .45396 .59334 .45211 .59034 .44868 Metetra
.664 .741 .908 r
.59034 .44868 .59334 .45211 .59919 .45025 .5962 .44681 Metetra
.664 .741 .908 r
.5962 .44681 .59919 .45025 .60506 .44839 .60208 .44495 Metetra
.664 .741 .908 r
.60208 .44495 .60506 .44839 .61094 .44653 .60796 .44307 Metetra
.664 .741 .908 r
.60796 .44307 .61094 .44653 .61683 .44466 .61386 .4412 Metetra
.663 .741 .908 r
.61386 .4412 .61683 .44466 .62273 .44279 .61977 .43932 Metetra
.663 .741 .908 r
.61977 .43932 .62273 .44279 .62864 .44091 .62569 .43744 Metetra
.663 .741 .908 r
.62569 .43744 .62864 .44091 .63457 .43904 .63163 .43556 Metetra
.663 .741 .908 r
.63163 .43556 .63457 .43904 .64051 .43716 .63758 .43367 Metetra
.663 .741 .908 r
.63758 .43367 .64051 .43716 .64646 .43527 .64354 .43178 Metetra
.663 .741 .908 r
.64354 .43178 .64646 .43527 .65243 .43339 .64951 .42989 Metetra
.663 .741 .908 r
.64951 .42989 .65243 .43339 .65841 .4315 .6555 .42799 Metetra
.663 .741 .908 r
.6555 .42799 .65841 .4315 .6644 .42961 .6615 .4261 Metetra
.663 .741 .909 r
.6615 .4261 .6644 .42961 .6704 .42771 .66751 .4242 Metetra
.662 .742 .909 r
.66751 .4242 .6704 .42771 .67642 .42582 .67354 .42231 Metetra
.662 .742 .909 r
.67354 .42231 .67642 .42582 .68245 .42393 .67958 .42042 Metetra
.661 .742 .91 r
.67958 .42042 .68245 .42393 .68849 .42204 .68563 .41853 Metetra
.66 .742 .911 r
.68563 .41853 .68849 .42204 .69455 .42016 .6917 .41665 Metetra
.659 .743 .911 r
.6917 .41665 .69455 .42016 .70062 .41828 .69778 .41478 Metetra
.658 .743 .913 r
.69778 .41478 .70062 .41828 .7067 .41642 .70387 .41293 Metetra
.657 .744 .914 r
.70387 .41293 .7067 .41642 .7128 .41457 .70998 .41109 Metetra
.655 .744 .916 r
.70998 .41109 .7128 .41457 .71892 .41274 .7161 .40928 Metetra
.652 .745 .918 r
.7161 .40928 .71892 .41274 .72504 .41093 .72224 .4075 Metetra
.649 .747 .921 r
.72224 .4075 .72504 .41093 .73119 .40915 .7284 .40576 Metetra
.645 .748 .924 r
.7284 .40576 .73119 .40915 .73735 .40741 .73458 .40407 Metetra
.641 .75 .928 r
.73458 .40407 .73735 .40741 .74353 .40572 .74077 .40243 Metetra
.636 .752 .932 r
.74077 .40243 .74353 .40572 .74973 .40407 .74698 .40085 Metetra
.63 .755 .937 r
.74698 .40085 .74973 .40407 .75594 .40248 .75321 .39933 Metetra
.623 .757 .942 r
.75321 .39933 .75594 .40248 .76218 .40096 .75946 .39788 Metetra
.617 .761 .948 r
.75946 .39788 .76218 .40096 .76843 .39949 .76573 .39649 Metetra
.61 .764 .953 r
.76573 .39649 .76843 .39949 .77471 .39808 .77203 .39515 Metetra
.605 .768 .957 r
.77203 .39515 .77471 .39808 .78101 .39672 .77834 .39385 Metetra
.603 .771 .961 r
.77834 .39385 .78101 .39672 .78732 .39539 .78467 .39255 Metetra
.603 .774 .962 r
.78467 .39255 .78732 .39539 .79365 .39407 .79101 .39124 Metetra
.607 .777 .962 r
.79101 .39124 .79365 .39407 .8 .39273 .79737 .38987 Metetra
.615 .779 .96 r
.79737 .38987 .8 .39273 .80636 .39134 .80373 .38841 Metetra
.626 .779 .955 r
.80373 .38841 .80636 .39134 .81273 .38986 .8101 .38684 Metetra
.638 .777 .947 r
.8101 .38684 .81273 .38986 .8191 .38828 .81648 .38512 Metetra
.651 .773 .938 r
.81648 .38512 .8191 .38828 .82548 .38656 .82285 .38325 Metetra
.663 .767 .928 r
.82285 .38325 .82548 .38656 .83186 .38469 .82923 .38122 Metetra
.672 .761 .917 r
.82923 .38122 .83186 .38469 .83824 .38268 .83561 .37905 Metetra
.678 .754 .908 r
.83561 .37905 .83824 .38268 .84462 .38054 .84199 .37677 Metetra
.682 .748 .901 r
.84199 .37677 .84462 .38054 .85101 .37828 .84837 .37441 Metetra
.683 .743 .896 r
.84837 .37441 .85101 .37828 .8574 .37595 .85477 .37201 Metetra
.683 .739 .894 r
.85477 .37201 .8574 .37595 .8638 .37358 .86117 .36962 Metetra
.681 .738 .894 r
.86117 .36962 .8638 .37358 .87021 .37121 .8676 .36726 Metetra
.678 .738 .896 r
.8676 .36726 .87021 .37121 .87664 .36886 .87404 .36496 Metetra
.674 .739 .9 r
.87404 .36496 .87664 .36886 .88309 .36656 .88051 .36272 Metetra
.67 .741 .904 r
.88051 .36272 .88309 .36656 .88955 .36433 .887 .36054 Metetra
.667 .744 .908 r
.887 .36054 .88955 .36433 .89604 .36214 .8935 .35841 Metetra
.665 .747 .911 r
.8935 .35841 .89604 .36214 .90255 .36001 .90003 .35631 Metetra
.664 .749 .914 r
.90003 .35631 .90255 .36001 .90908 .35791 .90657 .35422 Metetra
.664 .751 .915 r
.90657 .35422 .90908 .35791 .91562 .35582 .91312 .35213 Metetra
.65 .731 .908 r
.32446 .5342 .32781 .53745 .33313 .53595 .32978 .5327 Metetra
.649 .731 .909 r
.32978 .5327 .33313 .53595 .33846 .53442 .33512 .5312 Metetra
.65 .733 .91 r
.33512 .5312 .33846 .53442 .34381 .53285 .34046 .52969 Metetra
.653 .738 .912 r
.34046 .52969 .34381 .53285 .34917 .53121 .34583 .52813 Metetra
.657 .744 .914 r
.34583 .52813 .34917 .53121 .35454 .52951 .3512 .52651 Metetra
.662 .751 .916 r
.3512 .52651 .35454 .52951 .35993 .52776 .35659 .52481 Metetra
.666 .756 .917 r
.35659 .52481 .35993 .52776 .36532 .52601 .362 .52305 Metetra
.667 .756 .917 r
.362 .52305 .36532 .52601 .37073 .52432 .36741 .52127 Metetra
.663 .749 .914 r
.36741 .52127 .37073 .52432 .37614 .52278 .37284 .51955 Metetra
.654 .736 .91 r
.37284 .51955 .37614 .52278 .38155 .52144 .37827 .51795 Metetra
.64 .717 .904 r
.37827 .51795 .38155 .52144 .38696 .52033 .3837 .51657 Metetra
.623 .695 .897 r
.3837 .51657 .38696 .52033 .39238 .51945 .38913 .51543 Metetra
.605 .676 .89 r
.38913 .51543 .39238 .51945 .39781 .51873 .39457 .51455 Metetra
.592 .662 .887 r
.39457 .51455 .39781 .51873 .40325 .51807 .40001 .51386 Metetra
.585 .659 .888 r
.40001 .51386 .40325 .51807 .4087 .51733 .40547 .51327 Metetra
.588 .668 .894 r
.40547 .51327 .4087 .51733 .41418 .51637 .41094 .51261 Metetra
.601 .69 .905 r
.41094 .51261 .41418 .51637 .41968 .51507 .41643 .51175 Metetra
.623 .724 .919 r
.41643 .51175 .41968 .51507 .42521 .51337 .42195 .51054 Metetra
.653 .766 .933 r
.42195 .51054 .42521 .51337 .43076 .51123 .42749 .5089 Metetra
.684 .809 .942 r
.42749 .5089 .43076 .51123 .43633 .50869 .43306 .50679 Metetra
.713 .846 .945 r
.43306 .50679 .43633 .50869 .44192 .50584 .43865 .50424 Metetra
.736 .872 .944 r
.43865 .50424 .44192 .50584 .44752 .50277 .44426 .50135 Metetra
.75 .885 .941 r
.44426 .50135 .44752 .50277 .45313 .49962 .44988 .49821 Metetra
.757 .888 .937 r
.44988 .49821 .45313 .49962 .45874 .49648 .45551 .49497 Metetra
.757 .88 .935 r
.45551 .49497 .45874 .49648 .46436 .49344 .46114 .49173 Metetra
.75 .866 .933 r
.46114 .49173 .46436 .49344 .46999 .49056 .46678 .4886 Metetra
.74 .848 .93 r
.46678 .4886 .46999 .49056 .47562 .48786 .47243 .48564 Metetra
.727 .828 .927 r
.47243 .48564 .47562 .48786 .48125 .48534 .47808 .48287 Metetra
.714 .809 .924 r
.47808 .48287 .48125 .48534 .4869 .48298 .48373 .48029 Metetra
.702 .792 .92 r
.48373 .48029 .4869 .48298 .49255 .48077 .48939 .4779 Metetra
.692 .778 .917 r
.48939 .4779 .49255 .48077 .49821 .47867 .49507 .47566 Metetra
.684 .767 .914 r
.49507 .47566 .49821 .47867 .50388 .47665 .50075 .47354 Metetra
.678 .759 .912 r
.50075 .47354 .50388 .47665 .50956 .4747 .50644 .4715 Metetra
.673 .753 .911 r
.50644 .4715 .50956 .4747 .51525 .47279 .51214 .46954 Metetra
.67 .75 .91 r
.51214 .46954 .51525 .47279 .52096 .4709 .51785 .46761 Metetra
.668 .747 .909 r
.51785 .46761 .52096 .4709 .52667 .46903 .52357 .46572 Metetra
.667 .745 .909 r
.52357 .46572 .52667 .46903 .5324 .46718 .52931 .46384 Metetra
.666 .744 .909 r
.52931 .46384 .5324 .46718 .53814 .46533 .53506 .46197 Metetra
.665 .743 .908 r
.53506 .46197 .53814 .46533 .54389 .46348 .54082 .46011 Metetra
.665 .743 .908 r
.54082 .46011 .54389 .46348 .54966 .46164 .54659 .45826 Metetra
.664 .742 .908 r
.54659 .45826 .54966 .46164 .55543 .45979 .55237 .4564 Metetra
.664 .742 .908 r
.55237 .4564 .55543 .45979 .56122 .45795 .55817 .45454 Metetra
.664 .742 .908 r
.55817 .45454 .56122 .45795 .56702 .4561 .56397 .45269 Metetra
.664 .742 .908 r
.56397 .45269 .56702 .4561 .57283 .45425 .56979 .45083 Metetra
.664 .741 .908 r
.56979 .45083 .57283 .45425 .57866 .45239 .57563 .44897 Metetra
.664 .741 .908 r
.57563 .44897 .57866 .45239 .58449 .45054 .58147 .4471 Metetra
.664 .741 .908 r
.58147 .4471 .58449 .45054 .59034 .44868 .58733 .44523 Metetra
.664 .741 .908 r
.58733 .44523 .59034 .44868 .5962 .44681 .5932 .44336 Metetra
.664 .741 .908 r
.5932 .44336 .5962 .44681 .60208 .44495 .59908 .44149 Metetra
.664 .741 .908 r
.59908 .44149 .60208 .44495 .60796 .44307 .60497 .43961 Metetra
.663 .741 .908 r
.60497 .43961 .60796 .44307 .61386 .4412 .61088 .43773 Metetra
.663 .741 .908 r
.61088 .43773 .61386 .4412 .61977 .43932 .6168 .43584 Metetra
.663 .741 .908 r
.6168 .43584 .61977 .43932 .62569 .43744 .62273 .43396 Metetra
.663 .741 .908 r
.62273 .43396 .62569 .43744 .63163 .43556 .62867 .43207 Metetra
.663 .741 .908 r
.62867 .43207 .63163 .43556 .63758 .43367 .63463 .43017 Metetra
.663 .741 .908 r
.63463 .43017 .63758 .43367 .64354 .43178 .6406 .42828 Metetra
.663 .741 .908 r
.6406 .42828 .64354 .43178 .64951 .42989 .64658 .42638 Metetra
.663 .742 .909 r
.64658 .42638 .64951 .42989 .6555 .42799 .65258 .42448 Metetra
.663 .742 .909 r
.65258 .42448 .6555 .42799 .6615 .4261 .65859 .42258 Metetra
.662 .742 .909 r
.65859 .42258 .6615 .4261 .66751 .4242 .66461 .42068 Metetra
.662 .742 .91 r
.66461 .42068 .66751 .4242 .67354 .42231 .67064 .41879 Metetra
.661 .742 .91 r
.67064 .41879 .67354 .42231 .67958 .42042 .67669 .4169 Metetra
.66 .742 .911 r
.67669 .4169 .67958 .42042 .68563 .41853 .68276 .41502 Metetra
.659 .743 .912 r
.68276 .41502 .68563 .41853 .6917 .41665 .68883 .41314 Metetra
.658 .743 .913 r
.68883 .41314 .6917 .41665 .69778 .41478 .69492 .41129 Metetra
.657 .744 .914 r
.69492 .41129 .69778 .41478 .70387 .41293 .70103 .40945 Metetra
.655 .745 .916 r
.70103 .40945 .70387 .41293 .70998 .41109 .70715 .40763 Metetra
.652 .745 .918 r
.70715 .40763 .70998 .41109 .7161 .40928 .71328 .40585 Metetra
.649 .747 .921 r
.71328 .40585 .7161 .40928 .72224 .4075 .71944 .40411 Metetra
.645 .748 .924 r
.71944 .40411 .72224 .4075 .7284 .40576 .72561 .40242 Metetra
.64 .75 .928 r
.72561 .40242 .7284 .40576 .73458 .40407 .73179 .40079 Metetra
.635 .752 .933 r
.73179 .40079 .73458 .40407 .74077 .40243 .738 .39921 Metetra
.628 .755 .938 r
.738 .39921 .74077 .40243 .74698 .40085 .74423 .39771 Metetra
.622 .758 .944 r
.74423 .39771 .74698 .40085 .75321 .39933 .75048 .39627 Metetra
.614 .761 .949 r
.75048 .39627 .75321 .39933 .75946 .39788 .75674 .3949 Metetra
.607 .765 .955 r
.75674 .3949 .75946 .39788 .76573 .39649 .76303 .39359 Metetra
.602 .769 .96 r
.76303 .39359 .76573 .39649 .77203 .39515 .76934 .39231 Metetra
.599 .772 .963 r
.76934 .39231 .77203 .39515 .77834 .39385 .77567 .39105 Metetra
.599 .776 .965 r
.77567 .39105 .77834 .39385 .78467 .39255 .78201 .38976 Metetra
.603 .779 .965 r
.78201 .38976 .78467 .39255 .79101 .39124 .78836 .38842 Metetra
.612 .781 .962 r
.78836 .38842 .79101 .39124 .79737 .38987 .79472 .38698 Metetra
.624 .781 .957 r
.79472 .38698 .79737 .38987 .80373 .38841 .80109 .38541 Metetra
.637 .779 .949 r
.80109 .38541 .80373 .38841 .8101 .38684 .80746 .3837 Metetra
.651 .775 .939 r
.80746 .3837 .8101 .38684 .81648 .38512 .81383 .38181 Metetra
.664 .768 .928 r
.81383 .38181 .81648 .38512 .82285 .38325 .8202 .37976 Metetra
.673 .761 .917 r
.8202 .37976 .82285 .38325 .82923 .38122 .82657 .37757 Metetra
.68 .754 .907 r
.82657 .37757 .82923 .38122 .83561 .37905 .83295 .37526 Metetra
.684 .748 .9 r
.83295 .37526 .83561 .37905 .84199 .37677 .83933 .37287 Metetra
.685 .742 .895 r
.83933 .37287 .84199 .37677 .84837 .37441 .84572 .37045 Metetra
.684 .739 .893 r
.84572 .37045 .84837 .37441 .85477 .37201 .85212 .36804 Metetra
.681 .737 .893 r
.85212 .36804 .85477 .37201 .86117 .36962 .85854 .36567 Metetra
.678 .738 .896 r
.85854 .36567 .86117 .36962 .8676 .36726 .86499 .36336 Metetra
.674 .739 .9 r
.86499 .36336 .8676 .36726 .87404 .36496 .87145 .36112 Metetra
.67 .742 .904 r
.87145 .36112 .87404 .36496 .88051 .36272 .87793 .35894 Metetra
.667 .745 .909 r
.87793 .35894 .88051 .36272 .887 .36054 .88444 .35682 Metetra
.665 .748 .912 r
.88444 .35682 .887 .36054 .8935 .35841 .89096 .35472 Metetra
.664 .75 .915 r
.89096 .35472 .8935 .35841 .90003 .35631 .8975 .35263 Metetra
.664 .751 .915 r
.8975 .35263 .90003 .35631 .90657 .35422 .90405 .35053 Metetra
.665 .752 .915 r
.90405 .35053 .90657 .35422 .91312 .35213 .91061 .34841 Metetra
.652 .733 .909 r
.32109 .53097 .32446 .5342 .32978 .5327 .32642 .52943 Metetra
.65 .73 .908 r
.32642 .52943 .32978 .5327 .33512 .5312 .33176 .52792 Metetra
.648 .729 .908 r
.33176 .52792 .33512 .5312 .34046 .52969 .33711 .52643 Metetra
.648 .731 .909 r
.33711 .52643 .34046 .52969 .34583 .52813 .34248 .52492 Metetra
.651 .736 .911 r
.34248 .52492 .34583 .52813 .3512 .52651 .34786 .52338 Metetra
.655 .742 .914 r
.34786 .52338 .3512 .52651 .35659 .52481 .35325 .52178 Metetra
.661 .75 .916 r
.35325 .52178 .35659 .52481 .362 .52305 .35866 .52009 Metetra
.666 .756 .918 r
.35866 .52009 .362 .52305 .36741 .52127 .36408 .51832 Metetra
.668 .758 .918 r
.36408 .51832 .36741 .52127 .37284 .51955 .36951 .51652 Metetra
.665 .753 .916 r
.36951 .51652 .37284 .51955 .37827 .51795 .37496 .51476 Metetra
.657 .74 .911 r
.37496 .51476 .37827 .51795 .3837 .51657 .38041 .51311 Metetra
.642 .721 .905 r
.38041 .51311 .3837 .51657 .38913 .51543 .38586 .51168 Metetra
.624 .697 .897 r
.38586 .51168 .38913 .51543 .39457 .51455 .39131 .51051 Metetra
.605 .675 .89 r
.39131 .51051 .39457 .51455 .40001 .51386 .39677 .50961 Metetra
.59 .659 .885 r
.39677 .50961 .40001 .51386 .40547 .51327 .40223 .50896 Metetra
.581 .652 .885 r
.40223 .50896 .40547 .51327 .41094 .51261 .4077 .50842 Metetra
.581 .659 .891 r
.4077 .50842 .41094 .51261 .41643 .51175 .41319 .50786 Metetra
.593 .681 .902 r
.41319 .50786 .41643 .51175 .42195 .51054 .4187 .5071 Metetra
.615 .716 .917 r
.4187 .5071 .42195 .51054 .42749 .5089 .42423 .506 Metetra
.646 .761 .932 r
.42423 .506 .42749 .5089 .43306 .50679 .42979 .50444 Metetra
.68 .808 .943 r
.42979 .50444 .43306 .50679 .43865 .50424 .43538 .50237 Metetra
.712 .849 .948 r
.43538 .50237 .43865 .50424 .44426 .50135 .44098 .49982 Metetra
.737 .878 .946 r
.44098 .49982 .44426 .50135 .44988 .49821 .44661 .49688 Metetra
.753 .894 .941 r
.44661 .49688 .44988 .49821 .45551 .49497 .45225 .49367 Metetra
.761 .897 .938 r
.45225 .49367 .45551 .49497 .46114 .49173 .4579 .49033 Metetra
.762 .89 .935 r
.4579 .49033 .46114 .49173 .46678 .4886 .46356 .48699 Metetra
.756 .875 .933 r
.46356 .48699 .46678 .4886 .47243 .48564 .46922 .48376 Metetra
.745 .856 .931 r
.46922 .48376 .47243 .48564 .47808 .48287 .47488 .4807 Metetra
.731 .834 .928 r
.47488 .4807 .47808 .48287 .48373 .48029 .48055 .47786 Metetra
.717 .813 .925 r
.48055 .47786 .48373 .48029 .48939 .4779 .48623 .47523 Metetra
.705 .795 .921 r
.48623 .47523 .48939 .4779 .49507 .47566 .49191 .47279 Metetra
.694 .78 .917 r
.49191 .47279 .49507 .47566 .50075 .47354 .4976 .47052 Metetra
.685 .768 .915 r
.4976 .47052 .50075 .47354 .50644 .4715 .5033 .46838 Metetra
.678 .76 .913 r
.5033 .46838 .50644 .4715 .51214 .46954 .50901 .46633 Metetra
.674 .754 .911 r
.50901 .46633 .51214 .46954 .51785 .46761 .51473 .46435 Metetra
.67 .75 .91 r
.51473 .46435 .51785 .46761 .52357 .46572 .52046 .46241 Metetra
.668 .747 .91 r
.52046 .46241 .52357 .46572 .52931 .46384 .5262 .46051 Metetra
.667 .745 .909 r
.5262 .46051 .52931 .46384 .53506 .46197 .53196 .45862 Metetra
.666 .744 .909 r
.53196 .45862 .53506 .46197 .54082 .46011 .53773 .45674 Metetra
.665 .743 .909 r
.53773 .45674 .54082 .46011 .54659 .45826 .54351 .45487 Metetra
.665 .743 .908 r
.54351 .45487 .54659 .45826 .55237 .4564 .5493 .45301 Metetra
.664 .743 .908 r
.5493 .45301 .55237 .4564 .55817 .45454 .5551 .45114 Metetra
.664 .742 .908 r
.5551 .45114 .55817 .45454 .56397 .45269 .56092 .44927 Metetra
.664 .742 .908 r
.56092 .44927 .56397 .45269 .56979 .45083 .56675 .4474 Metetra
.664 .742 .908 r
.56675 .4474 .56979 .45083 .57563 .44897 .57259 .44553 Metetra
.664 .742 .908 r
.57259 .44553 .57563 .44897 .58147 .4471 .57844 .44366 Metetra
.664 .742 .908 r
.57844 .44366 .58147 .4471 .58733 .44523 .5843 .44179 Metetra
.664 .742 .908 r
.5843 .44179 .58733 .44523 .5932 .44336 .59018 .43991 Metetra
.664 .742 .908 r
.59018 .43991 .5932 .44336 .59908 .44149 .59607 .43803 Metetra
.664 .742 .908 r
.59607 .43803 .59908 .44149 .60497 .43961 .60197 .43614 Metetra
.663 .742 .908 r
.60197 .43614 .60497 .43961 .61088 .43773 .60789 .43425 Metetra
.663 .742 .908 r
.60789 .43425 .61088 .43773 .6168 .43584 .61382 .43236 Metetra
.663 .742 .908 r
.61382 .43236 .6168 .43584 .62273 .43396 .61976 .43047 Metetra
.663 .742 .908 r
.61976 .43047 .62273 .43396 .62867 .43207 .62571 .42857 Metetra
.663 .742 .908 r
.62571 .42857 .62867 .43207 .63463 .43017 .63167 .42667 Metetra
.663 .742 .909 r
.63167 .42667 .63463 .43017 .6406 .42828 .63765 .42477 Metetra
.663 .742 .909 r
.63765 .42477 .6406 .42828 .64658 .42638 .64364 .42286 Metetra
.663 .742 .909 r
.64364 .42286 .64658 .42638 .65258 .42448 .64965 .42096 Metetra
.662 .742 .909 r
.64965 .42096 .65258 .42448 .65859 .42258 .65567 .41906 Metetra
.662 .742 .91 r
.65567 .41906 .65859 .42258 .66461 .42068 .6617 .41716 Metetra
.661 .742 .91 r
.6617 .41716 .66461 .42068 .67064 .41879 .66774 .41527 Metetra
.66 .742 .911 r
.66774 .41527 .67064 .41879 .67669 .4169 .6738 .41338 Metetra
.66 .743 .912 r
.6738 .41338 .67669 .4169 .68276 .41502 .67987 .4115 Metetra
.658 .743 .913 r
.67987 .4115 .68276 .41502 .68883 .41314 .68596 .40964 Metetra
.657 .744 .914 r
.68596 .40964 .68883 .41314 .69492 .41129 .69206 .4078 Metetra
.655 .745 .916 r
.69206 .4078 .69492 .41129 .70103 .40945 .69817 .40598 Metetra
.652 .746 .918 r
.69817 .40598 .70103 .40945 .70715 .40763 .7043 .4042 Metetra
.649 .747 .921 r
.7043 .4042 .70715 .40763 .71328 .40585 .71045 .40246 Metetra
.645 .748 .925 r
.71045 .40246 .71328 .40585 .71944 .40411 .71662 .40077 Metetra
.64 .75 .929 r
.71662 .40077 .71944 .40411 .72561 .40242 .7228 .39914 Metetra
.634 .753 .934 r
.7228 .39914 .72561 .40242 .73179 .40079 .729 .39758 Metetra
.627 .755 .939 r
.729 .39758 .73179 .40079 .738 .39921 .73523 .39608 Metetra
.62 .758 .945 r
.73523 .39608 .738 .39921 .74423 .39771 .74147 .39467 Metetra
.612 .762 .951 r
.74147 .39467 .74423 .39771 .75048 .39627 .74774 .39332 Metetra
.604 .766 .957 r
.74774 .39332 .75048 .39627 .75674 .3949 .75402 .39203 Metetra
.598 .77 .962 r
.75402 .39203 .75674 .3949 .76303 .39359 .76033 .39078 Metetra
.594 .774 .966 r
.76033 .39078 .76303 .39359 .76934 .39231 .76665 .38955 Metetra
.594 .778 .968 r
.76665 .38955 .76934 .39231 .77567 .39105 .77299 .38829 Metetra
.599 .781 .967 r
.77299 .38829 .77567 .39105 .78201 .38976 .77934 .38698 Metetra
.608 .783 .965 r
.77934 .38698 .78201 .38976 .78836 .38842 .7857 .38556 Metetra
.621 .783 .959 r
.7857 .38556 .78836 .38842 .79472 .38698 .79206 .38401 Metetra
.637 .781 .951 r
.79206 .38401 .79472 .38698 .80109 .38541 .79843 .38229 Metetra
.652 .776 .94 r
.79843 .38229 .80109 .38541 .80746 .3837 .80479 .3804 Metetra
.665 .77 .928 r
.80479 .3804 .80746 .3837 .81383 .38181 .81116 .37833 Metetra
.675 .762 .917 r
.81116 .37833 .81383 .38181 .8202 .37976 .81753 .3761 Metetra
.681 .754 .906 r
.81753 .3761 .8202 .37976 .82657 .37757 .82389 .37376 Metetra
.685 .747 .899 r
.82389 .37376 .82657 .37757 .83295 .37526 .83027 .37134 Metetra
.686 .742 .894 r
.83027 .37134 .83295 .37526 .83933 .37287 .83665 .36889 Metetra
.684 .739 .892 r
.83665 .36889 .83933 .37287 .84572 .37045 .84305 .36646 Metetra
.682 .737 .893 r
.84305 .36646 .84572 .37045 .85212 .36804 .84947 .36408 Metetra
.678 .738 .896 r
.84947 .36408 .85212 .36804 .85854 .36567 .85591 .36177 Metetra
.673 .74 .9 r
.85591 .36177 .85854 .36567 .86499 .36336 .86237 .35953 Metetra
.669 .743 .905 r
.86237 .35953 .86499 .36336 .87145 .36112 .86885 .35736 Metetra
.666 .746 .91 r
.86885 .35736 .87145 .36112 .87793 .35894 .87535 .35523 Metetra
.664 .749 .913 r
.87535 .35523 .87793 .35894 .88444 .35682 .88187 .35314 Metetra
.664 .751 .916 r
.88187 .35314 .88444 .35682 .89096 .35472 .88841 .35105 Metetra
.664 .753 .916 r
.88841 .35105 .89096 .35472 .8975 .35263 .89496 .34894 Metetra
.665 .753 .915 r
.89496 .34894 .8975 .35263 .90405 .35053 .90152 .34682 Metetra
.667 .752 .914 r
.90152 .34682 .90405 .35053 .91061 .34841 .90809 .34466 Metetra
.655 .737 .91 r
.3177 .52778 .32109 .53097 .32642 .52943 .32304 .52619 Metetra
.652 .733 .909 r
.32304 .52619 .32642 .52943 .33176 .52792 .32839 .52463 Metetra
.65 .73 .908 r
.32839 .52463 .33176 .52792 .33711 .52643 .33375 .52311 Metetra
.648 .728 .908 r
.33375 .52311 .33711 .52643 .34248 .52492 .33912 .52162 Metetra
.647 .729 .909 r
.33912 .52162 .34248 .52492 .34786 .52338 .3445 .52013 Metetra
.649 .733 .911 r
.3445 .52013 .34786 .52338 .35325 .52178 .3499 .51861 Metetra
.653 .74 .913 r
.3499 .51861 .35325 .52178 .35866 .52009 .35531 .51702 Metetra
.659 .749 .916 r
.35531 .51702 .35866 .52009 .36408 .51832 .36073 .51535 Metetra
.665 .756 .918 r
.36073 .51535 .36408 .51832 .36951 .51652 .36617 .51358 Metetra
.668 .76 .919 r
.36617 .51358 .36951 .51652 .37496 .51476 .37163 .51176 Metetra
.667 .757 .917 r
.37163 .51176 .37496 .51476 .38041 .51311 .37709 .50996 Metetra
.66 .745 .913 r
.37709 .50996 .38041 .51311 .38586 .51168 .38256 .50826 Metetra
.646 .725 .906 r
.38256 .50826 .38586 .51168 .39131 .51051 .38803 .50676 Metetra
.627 .7 .898 r
.38803 .50676 .39131 .51051 .39677 .50961 .3935 .50555 Metetra
.606 .675 .89 r
.3935 .50555 .39677 .50961 .40223 .50896 .39898 .50464 Metetra
.588 .656 .884 r
.39898 .50464 .40223 .50896 .4077 .50842 .40446 .504 Metetra
.576 .646 .882 r
.40446 .504 .4077 .50842 .41319 .50786 .40995 .50353 Metetra
.574 .65 .887 r
.40995 .50353 .41319 .50786 .4187 .5071 .41545 .50307 Metetra
.584 .67 .898 r
.41545 .50307 .4187 .5071 .42423 .506 .42097 .50243 Metetra
.607 .706 .915 r
.42097 .50243 .42423 .506 .42979 .50444 .42652 .50144 Metetra
.639 .754 .932 r
.42652 .50144 .42979 .50444 .43538 .50237 .4321 .49997 Metetra
.675 .805 .945 r
.4321 .49997 .43538 .50237 .44098 .49982 .4377 .49796 Metetra
.71 .851 .949 r
.4377 .49796 .44098 .49982 .44661 .49688 .44333 .49542 Metetra
.738 .884 .947 r
.44333 .49542 .44661 .49688 .45225 .49367 .44898 .49244 Metetra
.756 .903 .942 r
.44898 .49244 .45225 .49367 .4579 .49033 .45464 .48915 Metetra
.766 .907 .937 r
.45464 .48915 .4579 .49033 .46356 .48699 .46031 .48571 Metetra
.767 .9 .935 r
.46031 .48571 .46356 .48699 .46922 .48376 .46599 .48225 Metetra
.761 .884 .933 r
.46599 .48225 .46922 .48376 .47488 .4807 .47167 .47891 Metetra
.75 .863 .931 r
.47167 .47891 .47488 .4807 .48055 .47786 .47735 .47575 Metetra
.736 .84 .929 r
.47735 .47575 .48055 .47786 .48623 .47523 .48304 .47283 Metetra
.721 .817 .925 r
.48304 .47283 .48623 .47523 .49191 .47279 .48874 .47013 Metetra
.707 .797 .921 r
.48874 .47013 .49191 .47279 .4976 .47052 .49444 .46765 Metetra
.695 .781 .917 r
.49444 .46765 .4976 .47052 .5033 .46838 .50015 .46534 Metetra
.686 .769 .915 r
.50015 .46534 .5033 .46838 .50901 .46633 .50587 .46318 Metetra
.679 .76 .912 r
.50587 .46318 .50901 .46633 .51473 .46435 .5116 .46111 Metetra
.674 .753 .911 r
.5116 .46111 .51473 .46435 .52046 .46241 .51734 .45912 Metetra
.67 .749 .91 r
.51734 .45912 .52046 .46241 .5262 .46051 .52309 .45717 Metetra
.668 .746 .909 r
.52309 .45717 .5262 .46051 .53196 .45862 .52885 .45525 Metetra
.667 .745 .908 r
.52885 .45525 .53196 .45862 .53773 .45674 .53463 .45335 Metetra
.666 .743 .908 r
.53463 .45335 .53773 .45674 .54351 .45487 .54041 .45147 Metetra
.665 .743 .908 r
.54041 .45147 .54351 .45487 .5493 .45301 .54621 .44959 Metetra
.665 .742 .908 r
.54621 .44959 .5493 .45301 .5551 .45114 .55202 .44771 Metetra
.664 .742 .908 r
.55202 .44771 .5551 .45114 .56092 .44927 .55785 .44583 Metetra
.664 .741 .908 r
.55785 .44583 .56092 .44927 .56675 .4474 .56368 .44395 Metetra
.664 .741 .908 r
.56368 .44395 .56675 .4474 .57259 .44553 .56953 .44207 Metetra
.664 .741 .907 r
.56953 .44207 .57259 .44553 .57844 .44366 .57539 .44019 Metetra
.664 .741 .907 r
.57539 .44019 .57844 .44366 .5843 .44179 .58127 .43831 Metetra
.664 .741 .907 r
.58127 .43831 .5843 .44179 .59018 .43991 .58715 .43642 Metetra
.664 .741 .907 r
.58715 .43642 .59018 .43991 .59607 .43803 .59305 .43453 Metetra
.664 .741 .907 r
.59305 .43453 .59607 .43803 .60197 .43614 .59896 .43264 Metetra
.663 .741 .907 r
.59896 .43264 .60197 .43614 .60789 .43425 .60489 .43074 Metetra
.663 .741 .908 r
.60489 .43074 .60789 .43425 .61382 .43236 .61082 .42885 Metetra
.663 .741 .908 r
.61082 .42885 .61382 .43236 .61976 .43047 .61677 .42694 Metetra
.663 .741 .908 r
.61677 .42694 .61976 .43047 .62571 .42857 .62273 .42504 Metetra
.663 .741 .908 r
.62273 .42504 .62571 .42857 .63167 .42667 .62871 .42314 Metetra
.663 .741 .908 r
.62871 .42314 .63167 .42667 .63765 .42477 .63469 .42123 Metetra
.663 .741 .908 r
.63469 .42123 .63765 .42477 .64364 .42286 .64069 .41932 Metetra
.662 .741 .909 r
.64069 .41932 .64364 .42286 .64965 .42096 .64671 .41742 Metetra
.662 .741 .909 r
.64671 .41742 .64965 .42096 .65567 .41906 .65273 .41552 Metetra
.661 .742 .91 r
.65273 .41552 .65567 .41906 .6617 .41716 .65877 .41362 Metetra
.66 .742 .91 r
.65877 .41362 .6617 .41716 .66774 .41527 .66483 .41173 Metetra
.659 .742 .911 r
.66483 .41173 .66774 .41527 .6738 .41338 .67089 .40985 Metetra
.658 .743 .912 r
.67089 .40985 .6738 .41338 .67987 .4115 .67698 .40799 Metetra
.657 .743 .914 r
.67698 .40799 .67987 .4115 .68596 .40964 .68307 .40614 Metetra
.654 .744 .916 r
.68307 .40614 .68596 .40964 .69206 .4078 .68918 .40433 Metetra
.652 .745 .918 r
.68918 .40433 .69206 .4078 .69817 .40598 .69531 .40254 Metetra
.648 .747 .921 r
.69531 .40254 .69817 .40598 .7043 .4042 .70145 .4008 Metetra
.644 .748 .925 r
.70145 .4008 .7043 .4042 .71045 .40246 .70761 .39912 Metetra
.639 .75 .929 r
.70761 .39912 .71045 .40246 .71662 .40077 .71379 .39749 Metetra
.633 .753 .934 r
.71379 .39749 .71662 .40077 .7228 .39914 .71999 .39594 Metetra
.626 .755 .94 r
.71999 .39594 .7228 .39914 .729 .39758 .72621 .39446 Metetra
.617 .759 .946 r
.72621 .39446 .729 .39758 .73523 .39608 .73245 .39306 Metetra
.609 .762 .953 r
.73245 .39306 .73523 .39608 .74147 .39467 .73871 .39173 Metetra
.601 .766 .959 r
.73871 .39173 .74147 .39467 .74774 .39332 .74499 .39048 Metetra
.594 .771 .964 r
.74499 .39048 .74774 .39332 .75402 .39203 .75129 .38926 Metetra
.589 .775 .968 r
.75129 .38926 .75402 .39203 .76033 .39078 .75761 .38806 Metetra
.589 .779 .97 r
.75761 .38806 .76033 .39078 .76665 .38955 .76395 .38684 Metetra
.594 .783 .97 r
.76395 .38684 .76665 .38955 .77299 .38829 .7703 .38556 Metetra
.605 .785 .967 r
.7703 .38556 .77299 .38829 .77934 .38698 .77665 .38416 Metetra
.619 .785 .961 r
.77665 .38416 .77934 .38698 .7857 .38556 .78301 .38262 Metetra
.636 .783 .952 r
.78301 .38262 .7857 .38556 .79206 .38401 .78938 .3809 Metetra
.652 .778 .941 r
.78938 .3809 .79206 .38401 .79843 .38229 .79574 .37899 Metetra
.666 .771 .928 r
.79574 .37899 .79843 .38229 .80479 .3804 .8021 .3769 Metetra
.676 .763 .916 r
.8021 .3769 .80479 .3804 .81116 .37833 .80846 .37465 Metetra
.683 .754 .905 r
.80846 .37465 .81116 .37833 .81753 .3761 .81482 .37227 Metetra
.687 .747 .897 r
.81482 .37227 .81753 .3761 .82389 .37376 .82119 .36982 Metetra
.687 .741 .892 r
.82119 .36982 .82389 .37376 .83027 .37134 .82757 .36734 Metetra
.685 .738 .891 r
.82757 .36734 .83027 .37134 .83665 .36889 .83397 .36489 Metetra
.682 .737 .892 r
.83397 .36489 .83665 .36889 .84305 .36646 .84038 .3625 Metetra
.678 .738 .896 r
.84038 .3625 .84305 .36646 .84947 .36408 .84682 .36018 Metetra
.673 .74 .901 r
.84682 .36018 .84947 .36408 .85591 .36177 .85328 .35795 Metetra
.669 .744 .906 r
.85328 .35795 .85591 .36177 .86237 .35953 .85975 .35578 Metetra
.666 .747 .911 r
.85975 .35578 .86237 .35953 .86885 .35736 .86625 .35367 Metetra
.664 .75 .915 r
.86625 .35367 .86885 .35736 .87535 .35523 .87277 .35157 Metetra
.663 .753 .916 r
.87277 .35157 .87535 .35523 .88187 .35314 .8793 .34948 Metetra
.664 .754 .917 r
.8793 .34948 .88187 .35314 .88841 .35105 .88585 .34736 Metetra
.666 .753 .916 r
.88585 .34736 .88841 .35105 .89496 .34894 .8924 .34522 Metetra
.668 .752 .914 r
.8924 .34522 .89496 .34894 .90152 .34682 .89897 .34305 Metetra
.669 .751 .912 r
.89897 .34305 .90152 .34682 .90809 .34466 .90555 .34085 Metetra
.657 .74 .911 r
.3143 .52462 .3177 .52778 .32304 .52619 .31965 .52299 Metetra
.655 .738 .91 r
.31965 .52299 .32304 .52619 .32839 .52463 .32501 .52138 Metetra
.653 .734 .909 r
.32501 .52138 .32839 .52463 .33375 .52311 .33038 .51981 Metetra
.65 .73 .908 r
.33038 .51981 .33375 .52311 .33912 .52162 .33576 .51828 Metetra
.647 .728 .908 r
.33576 .51828 .33912 .52162 .3445 .52013 .34115 .51678 Metetra
.646 .727 .908 r
.34115 .51678 .3445 .52013 .3499 .51861 .34654 .5153 Metetra
.647 .731 .91 r
.34654 .5153 .3499 .51861 .35531 .51702 .35195 .5138 Metetra
.651 .737 .913 r
.35195 .5138 .35531 .51702 .36073 .51535 .35738 .51224 Metetra
.657 .746 .916 r
.35738 .51224 .36073 .51535 .36617 .51358 .36282 .51058 Metetra
.663 .756 .919 r
.36282 .51058 .36617 .51358 .37163 .51176 .36828 .50883 Metetra
.668 .761 .92 r
.36828 .50883 .37163 .51176 .37709 .50996 .37375 .50699 Metetra
.669 .76 .919 r
.37375 .50699 .37709 .50996 .38256 .50826 .37923 .50515 Metetra
.663 .75 .915 r
.37923 .50515 .38256 .50826 .38803 .50676 .38472 .50339 Metetra
.65 .73 .908 r
.38472 .50339 .38803 .50676 .3935 .50555 .39022 .50183 Metetra
.63 .704 .899 r
.39022 .50183 .3935 .50555 .39898 .50464 .39571 .50056 Metetra
.608 .676 .89 r
.39571 .50056 .39898 .50464 .40446 .504 .4012 .49962 Metetra
.587 .653 .882 r
.4012 .49962 .40446 .504 .40995 .50353 .4067 .499 Metetra
.572 .64 .879 r
.4067 .499 .40995 .50353 .41545 .50307 .41221 .49859 Metetra
.567 .641 .883 r
.41221 .49859 .41545 .50307 .42097 .50243 .41773 .49823 Metetra
.575 .659 .894 r
.41773 .49823 .42097 .50243 .42652 .50144 .42327 .49772 Metetra
.597 .694 .911 r
.42327 .49772 .42652 .50144 .4321 .49997 .42883 .49687 Metetra
.63 .745 .93 r
.42883 .49687 .4321 .49997 .4377 .49796 .43442 .49551 Metetra
.669 .801 .945 r
.43442 .49551 .4377 .49796 .44333 .49542 .44005 .49357 Metetra
.708 .853 .952 r
.44005 .49357 .44333 .49542 .44898 .49244 .44569 .49105 Metetra
.738 .891 .949 r
.44569 .49105 .44898 .49244 .45464 .48915 .45136 .48804 Metetra
.759 .912 .942 r
.45136 .48804 .45464 .48915 .46031 .48571 .45704 .48467 Metetra
.77 .918 .937 r
.45704 .48467 .46031 .48571 .46599 .48225 .46273 .48111 Metetra
.773 .911 .934 r
.46273 .48111 .46599 .48225 .47167 .47891 .46843 .47754 Metetra
.767 .895 .933 r
.46843 .47754 .47167 .47891 .47735 .47575 .47413 .47407 Metetra
.756 .873 .932 r
.47413 .47407 .47735 .47575 .48304 .47283 .47984 .47081 Metetra
.741 .848 .93 r
.47984 .47081 .48304 .47283 .48874 .47013 .48555 .46779 Metetra
.724 .823 .926 r
.48555 .46779 .48874 .47013 .49444 .46765 .49126 .46503 Metetra
.709 .802 .922 r
.49126 .46503 .49444 .46765 .50015 .46534 .49698 .46249 Metetra
.696 .784 .918 r
.49698 .46249 .50015 .46534 .50587 .46318 .50271 .46015 Metetra
.686 .771 .915 r
.50271 .46015 .50587 .46318 .5116 .46111 .50845 .45796 Metetra
.679 .761 .913 r
.50845 .45796 .5116 .46111 .51734 .45912 .5142 .45588 Metetra
.674 .755 .911 r
.5142 .45588 .51734 .45912 .52309 .45717 .51996 .45387 Metetra
.67 .75 .91 r
.51996 .45387 .52309 .45717 .52885 .45525 .52573 .45191 Metetra
.668 .747 .91 r
.52573 .45191 .52885 .45525 .53463 .45335 .53151 .44999 Metetra
.667 .746 .909 r
.53151 .44999 .53463 .45335 .54041 .45147 .53731 .44808 Metetra
.666 .745 .909 r
.53731 .44808 .54041 .45147 .54621 .44959 .54312 .44618 Metetra
.665 .744 .909 r
.54312 .44618 .54621 .44959 .55202 .44771 .54894 .44429 Metetra
.665 .743 .909 r
.54894 .44429 .55202 .44771 .55785 .44583 .55477 .4424 Metetra
.664 .743 .909 r
.55477 .4424 .55785 .44583 .56368 .44395 .56061 .44051 Metetra
.664 .743 .909 r
.56061 .44051 .56368 .44395 .56953 .44207 .56647 .43862 Metetra
.664 .743 .909 r
.56647 .43862 .56953 .44207 .57539 .44019 .57234 .43674 Metetra
.664 .743 .909 r
.57234 .43674 .57539 .44019 .58127 .43831 .57822 .43484 Metetra
.664 .742 .909 r
.57822 .43484 .58127 .43831 .58715 .43642 .58411 .43295 Metetra
.664 .742 .909 r
.58411 .43295 .58715 .43642 .59305 .43453 .59002 .43105 Metetra
.663 .742 .909 r
.59002 .43105 .59305 .43453 .59896 .43264 .59594 .42915 Metetra
.663 .742 .909 r
.59594 .42915 .59896 .43264 .60489 .43074 .60187 .42725 Metetra
.663 .742 .909 r
.60187 .42725 .60489 .43074 .61082 .42885 .60782 .42535 Metetra
.663 .742 .909 r
.60782 .42535 .61082 .42885 .61677 .42694 .61377 .42344 Metetra
.663 .742 .909 r
.61377 .42344 .61677 .42694 .62273 .42504 .61974 .42153 Metetra
.663 .742 .909 r
.61974 .42153 .62273 .42504 .62871 .42314 .62573 .41962 Metetra
.663 .743 .909 r
.62573 .41962 .62871 .42314 .63469 .42123 .63172 .41771 Metetra
.662 .743 .91 r
.63172 .41771 .63469 .42123 .64069 .41932 .63773 .4158 Metetra
.662 .743 .91 r
.63773 .4158 .64069 .41932 .64671 .41742 .64375 .41389 Metetra
.661 .743 .911 r
.64375 .41389 .64671 .41742 .65273 .41552 .64979 .41199 Metetra
.661 .743 .911 r
.64979 .41199 .65273 .41552 .65877 .41362 .65584 .4101 Metetra
.66 .743 .912 r
.65584 .4101 .65877 .41362 .66483 .41173 .6619 .40821 Metetra
.658 .744 .913 r
.6619 .40821 .66483 .41173 .67089 .40985 .66798 .40634 Metetra
.657 .744 .915 r
.66798 .40634 .67089 .40985 .67698 .40799 .67407 .4045 Metetra
.654 .745 .916 r
.67407 .4045 .67698 .40799 .68307 .40614 .68018 .40268 Metetra
.652 .746 .919 r
.68018 .40268 .68307 .40614 .68918 .40433 .6863 .40089 Metetra
.648 .747 .922 r
.6863 .40089 .68918 .40433 .69531 .40254 .69244 .39915 Metetra
.644 .749 .925 r
.69244 .39915 .69531 .40254 .70145 .4008 .69859 .39747 Metetra
.638 .751 .93 r
.69859 .39747 .70145 .4008 .70761 .39912 .70477 .39585 Metetra
.632 .753 .935 r
.70477 .39585 .70761 .39912 .71379 .39749 .71096 .3943 Metetra
.624 .756 .941 r
.71096 .3943 .71379 .39749 .71999 .39594 .71718 .39284 Metetra
.615 .76 .948 r
.71718 .39284 .71999 .39594 .72621 .39446 .72341 .39146 Metetra
.606 .763 .955 r
.72341 .39146 .72621 .39446 .73245 .39306 .72967 .39016 Metetra
.596 .768 .961 r
.72967 .39016 .73245 .39306 .73871 .39173 .73595 .38893 Metetra
.588 .772 .967 r
.73595 .38893 .73871 .39173 .74499 .39048 .74225 .38775 Metetra
.583 .776 .971 r
.74225 .38775 .74499 .39048 .75129 .38926 .74856 .38659 Metetra
.583 .781 .974 r
.74856 .38659 .75129 .38926 .75761 .38806 .75489 .38541 Metetra
.589 .785 .973 r
.75489 .38541 .75761 .38806 .76395 .38684 .76124 .38415 Metetra
.6 .788 .97 r
.76124 .38415 .76395 .38684 .7703 .38556 .76759 .38278 Metetra
.616 .788 .964 r
.76759 .38278 .7703 .38556 .77665 .38416 .77395 .38125 Metetra
.635 .786 .954 r
.77395 .38125 .77665 .38416 .78301 .38262 .78031 .37953 Metetra
.652 .78 .942 r
.78031 .37953 .78301 .38262 .78938 .3809 .78667 .37761 Metetra
.667 .772 .928 r
.78667 .37761 .78938 .3809 .79574 .37899 .79302 .37549 Metetra
.678 .763 .915 r
.79302 .37549 .79574 .37899 .8021 .3769 .79938 .3732 Metetra
.685 .754 .904 r
.79938 .3732 .8021 .3769 .80846 .37465 .80573 .37079 Metetra
.688 .746 .896 r
.80573 .37079 .80846 .37465 .81482 .37227 .8121 .3683 Metetra
.688 .741 .891 r
.8121 .3683 .81482 .37227 .82119 .36982 .81847 .3658 Metetra
.686 .737 .89 r
.81847 .3658 .82119 .36982 .82757 .36734 .82487 .36333 Metetra
.682 .737 .892 r
.82487 .36333 .82757 .36734 .83397 .36489 .83128 .36092 Metetra
.677 .738 .896 r
.83128 .36092 .83397 .36489 .84038 .3625 .83771 .35861 Metetra
.672 .741 .902 r
.83771 .35861 .84038 .3625 .84682 .36018 .84416 .35638 Metetra
.668 .745 .908 r
.84416 .35638 .84682 .36018 .85328 .35795 .85064 .35422 Metetra
.665 .749 .913 r
.85064 .35422 .85328 .35795 .85975 .35578 .85714 .35211 Metetra
.663 .752 .916 r
.85714 .35211 .85975 .35578 .86625 .35367 .86365 .35001 Metetra
.663 .754 .917 r
.86365 .35001 .86625 .35367 .87277 .35157 .87018 .34791 Metetra
.665 .755 .917 r
.87018 .34791 .87277 .35157 .8793 .34948 .87672 .34579 Metetra
.666 .754 .916 r
.87672 .34579 .8793 .34948 .88585 .34736 .88327 .34364 Metetra
.668 .753 .913 r
.88327 .34364 .88585 .34736 .8924 .34522 .88983 .34144 Metetra
.67 .751 .911 r
.88983 .34144 .8924 .34522 .89897 .34305 .89641 .33923 Metetra
.671 .749 .909 r
.89641 .33923 .89897 .34305 .90555 .34085 .90299 .33699 Metetra
.658 .741 .912 r
.31089 .52147 .3143 .52462 .31965 .52299 .31624 .51982 Metetra
.657 .741 .911 r
.31624 .51982 .31965 .52299 .32501 .52138 .32161 .51818 Metetra
.656 .739 .911 r
.32161 .51818 .32501 .52138 .33038 .51981 .32699 .51655 Metetra
.653 .735 .909 r
.32699 .51655 .33038 .51981 .33576 .51828 .33238 .51496 Metetra
.65 .731 .908 r
.33238 .51496 .33576 .51828 .34115 .51678 .33777 .51341 Metetra
.647 .727 .907 r
.33777 .51341 .34115 .51678 .34654 .5153 .34318 .51191 Metetra
.645 .726 .907 r
.34318 .51191 .34654 .5153 .35195 .5138 .34859 .51044 Metetra
.645 .728 .909 r
.34859 .51044 .35195 .5138 .35738 .51224 .35402 .50895 Metetra
.648 .734 .912 r
.35402 .50895 .35738 .51224 .36282 .51058 .35946 .50742 Metetra
.654 .743 .915 r
.35946 .50742 .36282 .51058 .36828 .50883 .36492 .50579 Metetra
.662 .754 .919 r
.36492 .50579 .36828 .50883 .37375 .50699 .3704 .50405 Metetra
.668 .762 .921 r
.3704 .50405 .37375 .50699 .37923 .50515 .37589 .50221 Metetra
.671 .763 .92 r
.37589 .50221 .37923 .50515 .38472 .50339 .38139 .50034 Metetra
.666 .755 .917 r
.38139 .50034 .38472 .50339 .39022 .50183 .3869 .49852 Metetra
.654 .736 .91 r
.3869 .49852 .39022 .50183 .39571 .50056 .39241 .49689 Metetra
.634 .709 .901 r
.39241 .49689 .39571 .50056 .4012 .49962 .39793 .49555 Metetra
.61 .679 .89 r
.39793 .49555 .4012 .49962 .4067 .499 .40344 .49457 Metetra
.586 .651 .881 r
.40344 .49457 .4067 .499 .41221 .49859 .40896 .49395 Metetra
.568 .634 .876 r
.40896 .49395 .41221 .49859 .41773 .49823 .41448 .49359 Metetra
.56 .631 .879 r
.41448 .49359 .41773 .49823 .42327 .49772 .42002 .49334 Metetra
.565 .646 .889 r
.42002 .49334 .42327 .49772 .42883 .49687 .42557 .49298 Metetra
.585 .681 .907 r
.42557 .49298 .42883 .49687 .43442 .49551 .43115 .49227 Metetra
.619 .734 .929 r
.43115 .49227 .43442 .49551 .44005 .49357 .43676 .49105 Metetra
.661 .796 .947 r
.43676 .49105 .44005 .49357 .44569 .49105 .4424 .48921 Metetra
.704 .854 .954 r
.4424 .48921 .44569 .49105 .45136 .48804 .44807 .48672 Metetra
.738 .897 .951 r
.44807 .48672 .45136 .48804 .45704 .48467 .45375 .48368 Metetra
.761 .922 .942 r
.45375 .48368 .45704 .48467 .46273 .48111 .45946 .48024 Metetra
.774 .929 .935 r
.45946 .48024 .46273 .48111 .46843 .47754 .46517 .47656 Metetra
.778 .924 .933 r
.46517 .47656 .46843 .47754 .47413 .47407 .47089 .47285 Metetra
.774 .907 .933 r
.47089 .47285 .47413 .47407 .47984 .47081 .47661 .46925 Metetra
.762 .883 .932 r
.47661 .46925 .47984 .47081 .48555 .46779 .48234 .46586 Metetra
.746 .856 .93 r
.48234 .46586 .48555 .46779 .49126 .46503 .48807 .46274 Metetra
.729 .829 .927 r
.48807 .46274 .49126 .46503 .49698 .46249 .4938 .45989 Metetra
.712 .805 .923 r
.4938 .45989 .49698 .46249 .50271 .46015 .49954 .4573 Metetra
.698 .786 .919 r
.49954 .4573 .50271 .46015 .50845 .45796 .50529 .45492 Metetra
.687 .771 .915 r
.50529 .45492 .50845 .45796 .5142 .45588 .51105 .4527 Metetra
.68 .761 .913 r
.51105 .4527 .5142 .45588 .51996 .45387 .51682 .4506 Metetra
.674 .754 .911 r
.51682 .4506 .51996 .45387 .52573 .45191 .5226 .44858 Metetra
.67 .749 .91 r
.5226 .44858 .52573 .45191 .53151 .44999 .52839 .44661 Metetra
.668 .746 .909 r
.52839 .44661 .53151 .44999 .53731 .44808 .53419 .44467 Metetra
.667 .745 .908 r
.53419 .44467 .53731 .44808 .54312 .44618 .54001 .44275 Metetra
.666 .743 .908 r
.54001 .44275 .54312 .44618 .54894 .44429 .54583 .44084 Metetra
.665 .743 .908 r
.54583 .44084 .54894 .44429 .55477 .4424 .55167 .43894 Metetra
.665 .742 .908 r
.55167 .43894 .55477 .4424 .56061 .44051 .55753 .43704 Metetra
.664 .742 .908 r
.55753 .43704 .56061 .44051 .56647 .43862 .56339 .43514 Metetra
.664 .741 .908 r
.56339 .43514 .56647 .43862 .57234 .43674 .56927 .43324 Metetra
.664 .741 .908 r
.56927 .43324 .57234 .43674 .57822 .43484 .57516 .43134 Metetra
.664 .741 .908 r
.57516 .43134 .57822 .43484 .58411 .43295 .58106 .42944 Metetra
.664 .741 .908 r
.58106 .42944 .58411 .43295 .59002 .43105 .58698 .42753 Metetra
.664 .741 .908 r
.58698 .42753 .59002 .43105 .59594 .42915 .5929 .42563 Metetra
.663 .741 .908 r
.5929 .42563 .59594 .42915 .60187 .42725 .59884 .42372 Metetra
.663 .741 .908 r
.59884 .42372 .60187 .42725 .60782 .42535 .6048 .42181 Metetra
.663 .741 .908 r
.6048 .42181 .60782 .42535 .61377 .42344 .61076 .41989 Metetra
.663 .741 .908 r
.61076 .41989 .61377 .42344 .61974 .42153 .61674 .41798 Metetra
.663 .741 .908 r
.61674 .41798 .61974 .42153 .62573 .41962 .62273 .41606 Metetra
.662 .741 .908 r
.62273 .41606 .62573 .41962 .63172 .41771 .62874 .41415 Metetra
.662 .741 .909 r
.62874 .41415 .63172 .41771 .63773 .4158 .63476 .41224 Metetra
.661 .741 .909 r
.63476 .41224 .63773 .4158 .64375 .41389 .64079 .41034 Metetra
.661 .742 .91 r
.64079 .41034 .64375 .41389 .64979 .41199 .64683 .40844 Metetra
.66 .742 .911 r
.64683 .40844 .64979 .41199 .65584 .4101 .65289 .40655 Metetra
.658 .742 .912 r
.65289 .40655 .65584 .4101 .6619 .40821 .65896 .40468 Metetra
.657 .743 .914 r
.65896 .40468 .6619 .40821 .66798 .40634 .66505 .40283 Metetra
.654 .744 .916 r
.66505 .40283 .66798 .40634 .67407 .4045 .67115 .40101 Metetra
.651 .745 .918 r
.67115 .40101 .67407 .4045 .68018 .40268 .67727 .39922 Metetra
.648 .746 .921 r
.67727 .39922 .68018 .40268 .6863 .40089 .68341 .39748 Metetra
.643 .748 .925 r
.68341 .39748 .6863 .40089 .69244 .39915 .68956 .3958 Metetra
.638 .75 .93 r
.68956 .3958 .69244 .39915 .69859 .39747 .69573 .39419 Metetra
.631 .753 .936 r
.69573 .39419 .69859 .39747 .70477 .39585 .70192 .39265 Metetra
.622 .756 .942 r
.70192 .39265 .70477 .39585 .71096 .3943 .70813 .39121 Metetra
.613 .76 .949 r
.70813 .39121 .71096 .3943 .71718 .39284 .71436 .38985 Metetra
.602 .764 .956 r
.71436 .38985 .71718 .39284 .72341 .39146 .72061 .38858 Metetra
.592 .768 .963 r
.72061 .38858 .72341 .39146 .72967 .39016 .72689 .38739 Metetra
.583 .773 .97 r
.72689 .38739 .72967 .39016 .73595 .38893 .73318 .38625 Metetra
.577 .778 .974 r
.73318 .38625 .73595 .38893 .74225 .38775 .73949 .38513 Metetra
.576 .783 .977 r
.73949 .38513 .74225 .38775 .74856 .38659 .74582 .38399 Metetra
.583 .787 .977 r
.74582 .38399 .74856 .38659 .75489 .38541 .75216 .38277 Metetra
.595 .79 .973 r
.75216 .38277 .75489 .38541 .76124 .38415 .75851 .38143 Metetra
.613 .791 .967 r
.75851 .38143 .76124 .38415 .76759 .38278 .76487 .37991 Metetra
.634 .789 .956 r
.76487 .37991 .76759 .38278 .77395 .38125 .77122 .37819 Metetra
.653 .783 .943 r
.77122 .37819 .77395 .38125 .78031 .37953 .77758 .37625 Metetra
.669 .774 .928 r
.77758 .37625 .78031 .37953 .78667 .37761 .78393 .3741 Metetra
.68 .764 .914 r
.78393 .3741 .78667 .37761 .79302 .37549 .79028 .37178 Metetra
.687 .754 .903 r
.79028 .37178 .79302 .37549 .79938 .3732 .79663 .36932 Metetra
.69 .746 .894 r
.79663 .36932 .79938 .3732 .80573 .37079 .80299 .36679 Metetra
.69 .74 .89 r
.80299 .36679 .80573 .37079 .8121 .3683 .80936 .36426 Metetra
.687 .737 .889 r
.80936 .36426 .8121 .3683 .81847 .3658 .81575 .36177 Metetra
.682 .737 .892 r
.81575 .36177 .81847 .3658 .82487 .36333 .82215 .35936 Metetra
.677 .738 .897 r
.82215 .35936 .82487 .36333 .83128 .36092 .82858 .35705 Metetra
.672 .742 .903 r
.82858 .35705 .83128 .36092 .83771 .35861 .83504 .35482 Metetra
.667 .746 .909 r
.83504 .35482 .83771 .35861 .84416 .35638 .84151 .35267 Metetra
.664 .75 .914 r
.84151 .35267 .84416 .35638 .85064 .35422 .848 .35056 Metetra
.663 .753 .917 r
.848 .35056 .85064 .35422 .85714 .35211 .85451 .34847 Metetra
.664 .755 .918 r
.85451 .34847 .85714 .35211 .86365 .35001 .86104 .34636 Metetra
.665 .756 .918 r
.86104 .34636 .86365 .35001 .87018 .34791 .86757 .34423 Metetra
.667 .755 .916 r
.86757 .34423 .87018 .34791 .87672 .34579 .87412 .34205 Metetra
.669 .753 .913 r
.87412 .34205 .87672 .34579 .88327 .34364 .88068 .33984 Metetra
.671 .751 .911 r
.88068 .33984 .88327 .34364 .88983 .34144 .88725 .33761 Metetra
.671 .749 .909 r
.88725 .33761 .88983 .34144 .89641 .33923 .89383 .33535 Metetra
.671 .747 .907 r
.89383 .33535 .89641 .33923 .90299 .33699 .90042 .33309 Metetra
.657 .741 .912 r
.30746 .51829 .31089 .52147 .31624 .51982 .31282 .51665 Metetra
.658 .742 .912 r
.31282 .51665 .31624 .51982 .32161 .51818 .3182 .515 Metetra
.658 .741 .912 r
.3182 .515 .32161 .51818 .32699 .51655 .32359 .51335 Metetra
.657 .74 .911 r
.32359 .51335 .32699 .51655 .33238 .51496 .32898 .5117 Metetra
.654 .736 .91 r
.32898 .5117 .33238 .51496 .33777 .51341 .33439 .51009 Metetra
.651 .732 .908 r
.33439 .51009 .33777 .51341 .34318 .51191 .3398 .50852 Metetra
.647 .727 .907 r
.3398 .50852 .34318 .51191 .34859 .51044 .34523 .50701 Metetra
.644 .724 .907 r
.34523 .50701 .34859 .51044 .35402 .50895 .35066 .50554 Metetra
.643 .725 .908 r
.35066 .50554 .35402 .50895 .35946 .50742 .3561 .50407 Metetra
.645 .73 .911 r
.3561 .50407 .35946 .50742 .36492 .50579 .36156 .50256 Metetra
.651 .74 .914 r
.36156 .50256 .36492 .50579 .3704 .50405 .36703 .50097 Metetra
.659 .752 .918 r
.36703 .50097 .3704 .50405 .37589 .50221 .37253 .49926 Metetra
.667 .762 .921 r
.37253 .49926 .37589 .50221 .38139 .50034 .37803 .49742 Metetra
.672 .766 .922 r
.37803 .49742 .38139 .50034 .3869 .49852 .38356 .49552 Metetra
.669 .761 .919 r
.38356 .49552 .3869 .49852 .39241 .49689 .38909 .49365 Metetra
.658 .743 .913 r
.38909 .49365 .39241 .49689 .39793 .49555 .39462 .49194 Metetra
.638 .715 .903 r
.39462 .49194 .39793 .49555 .40344 .49457 .40016 .49052 Metetra
.613 .682 .891 r
.40016 .49052 .40344 .49457 .40896 .49395 .40569 .48948 Metetra
.586 .651 .88 r
.40569 .48948 .40896 .49395 .41448 .49359 .41123 .48885 Metetra
.565 .628 .874 r
.41123 .48885 .41448 .49359 .42002 .49334 .41677 .48854 Metetra
.553 .621 .874 r
.41677 .48854 .42002 .49334 .42557 .49298 .42232 .4884 Metetra
.555 .633 .883 r
.42232 .4884 .42557 .49298 .43115 .49227 .42789 .48818 Metetra
.573 .667 .902 r
.42789 .48818 .43115 .49227 .43676 .49105 .43349 .48765 Metetra
.607 .721 .925 r
.43349 .48765 .43676 .49105 .4424 .48921 .43911 .48659 Metetra
.652 .788 .946 r
.43911 .48659 .4424 .48921 .44807 .48672 .44477 .48486 Metetra
.699 .853 .956 r
.44477 .48486 .44807 .48672 .45375 .48368 .45046 .48243 Metetra
.737 .902 .952 r
.45046 .48243 .45375 .48368 .45946 .48024 .45616 .47937 Metetra
.763 .931 .941 r
.45616 .47937 .45946 .48024 .46517 .47656 .46189 .47584 Metetra
.778 .94 .933 r
.46189 .47584 .46517 .47656 .47089 .47285 .46762 .47204 Metetra
.784 .935 .93 r
.46762 .47204 .47089 .47285 .47661 .46925 .47336 .46818 Metetra
.781 .919 .931 r
.47336 .46818 .47661 .46925 .48234 .46586 .47911 .46442 Metetra
.769 .894 .932 r
.47911 .46442 .48234 .46586 .48807 .46274 .48485 .46089 Metetra
.752 .864 .93 r
.48485 .46089 .48807 .46274 .4938 .45989 .4906 .45766 Metetra
.733 .835 .927 r
.4906 .45766 .4938 .45989 .49954 .4573 .49635 .45472 Metetra
.715 .809 .923 r
.49635 .45472 .49954 .4573 .50529 .45492 .50212 .45207 Metetra
.7 .788 .919 r
.50212 .45207 .50529 .45492 .51105 .4527 .50788 .44965 Metetra
.688 .772 .915 r
.50788 .44965 .51105 .4527 .51682 .4506 .51366 .4474 Metetra
.68 .761 .913 r
.51366 .4474 .51682 .4506 .5226 .44858 .51945 .44529 Metetra
.674 .754 .911 r
.51945 .44529 .5226 .44858 .52839 .44661 .52525 .44325 Metetra
.67 .749 .91 r
.52525 .44325 .52839 .44661 .53419 .44467 .53106 .44127 Metetra
.668 .746 .909 r
.53106 .44127 .53419 .44467 .54001 .44275 .53689 .43932 Metetra
.667 .744 .908 r
.53689 .43932 .54001 .44275 .54583 .44084 .54272 .43739 Metetra
.666 .743 .908 r
.54272 .43739 .54583 .44084 .55167 .43894 .54857 .43548 Metetra
.665 .743 .908 r
.54857 .43548 .55167 .43894 .55753 .43704 .55443 .43356 Metetra
.665 .742 .908 r
.55443 .43356 .55753 .43704 .56339 .43514 .5603 .43165 Metetra
.664 .742 .908 r
.5603 .43165 .56339 .43514 .56927 .43324 .56619 .42974 Metetra
.664 .742 .908 r
.56619 .42974 .56927 .43324 .57516 .43134 .57209 .42783 Metetra
.664 .741 .908 r
.57209 .42783 .57516 .43134 .58106 .42944 .578 .42592 Metetra
.664 .741 .908 r
.578 .42592 .58106 .42944 .58698 .42753 .58392 .42401 Metetra
.663 .741 .908 r
.58392 .42401 .58698 .42753 .5929 .42563 .58986 .4221 Metetra
.663 .741 .908 r
.58986 .4221 .5929 .42563 .59884 .42372 .59581 .42018 Metetra
.663 .741 .908 r
.59581 .42018 .59884 .42372 .6048 .42181 .60177 .41826 Metetra
.663 .741 .908 r
.60177 .41826 .6048 .42181 .61076 .41989 .60774 .41635 Metetra
.663 .742 .909 r
.60774 .41635 .61076 .41989 .61674 .41798 .61373 .41443 Metetra
.662 .742 .909 r
.61373 .41443 .61674 .41798 .62273 .41606 .61973 .41251 Metetra
.662 .742 .909 r
.61973 .41251 .62273 .41606 .62874 .41415 .62574 .4106 Metetra
.661 .742 .91 r
.62574 .4106 .62874 .41415 .63476 .41224 .63177 .40869 Metetra
.661 .742 .911 r
.63177 .40869 .63476 .41224 .64079 .41034 .63781 .40679 Metetra
.66 .743 .912 r
.63781 .40679 .64079 .41034 .64683 .40844 .64387 .4049 Metetra
.658 .743 .913 r
.64387 .4049 .64683 .40844 .65289 .40655 .64993 .40302 Metetra
.656 .744 .914 r
.64993 .40302 .65289 .40655 .65896 .40468 .65602 .40117 Metetra
.654 .745 .916 r
.65602 .40117 .65896 .40468 .66505 .40283 .66211 .39935 Metetra
.651 .746 .919 r
.66211 .39935 .66505 .40283 .67115 .40101 .66823 .39756 Metetra
.648 .747 .922 r
.66823 .39756 .67115 .40101 .67727 .39922 .67436 .39582 Metetra
.643 .749 .926 r
.67436 .39582 .67727 .39922 .68341 .39748 .6805 .39414 Metetra
.637 .751 .931 r
.6805 .39414 .68341 .39748 .68956 .3958 .68667 .39253 Metetra
.629 .753 .937 r
.68667 .39253 .68956 .3958 .69573 .39419 .69285 .39101 Metetra
.62 .757 .943 r
.69285 .39101 .69573 .39419 .70192 .39265 .69906 .38958 Metetra
.61 .76 .951 r
.69906 .38958 .70192 .39265 .70813 .39121 .70529 .38825 Metetra
.598 .765 .959 r
.70529 .38825 .70813 .39121 .71436 .38985 .71154 .38701 Metetra
.587 .769 .966 r
.71154 .38701 .71436 .38985 .72061 .38858 .71781 .38585 Metetra
.577 .774 .973 r
.71781 .38585 .72061 .38858 .72689 .38739 .7241 .38476 Metetra
.57 .779 .977 r
.7241 .38476 .72689 .38739 .73318 .38625 .73041 .38369 Metetra
.569 .784 .98 r
.73041 .38369 .73318 .38625 .73949 .38513 .73673 .38259 Metetra
.575 .789 .98 r
.73673 .38259 .73949 .38513 .74582 .38399 .74307 .38141 Metetra
.59 .793 .977 r
.74307 .38141 .74582 .38399 .75216 .38277 .74942 .3801 Metetra
.61 .794 .969 r
.74942 .3801 .75216 .38277 .75851 .38143 .75577 .3786 Metetra
.633 .791 .958 r
.75577 .3786 .75851 .38143 .76487 .37991 .76212 .37687 Metetra
.654 .785 .944 r
.76212 .37687 .76487 .37991 .77122 .37819 .76847 .37491 Metetra
.671 .775 .928 r
.76847 .37491 .77122 .37819 .77758 .37625 .77481 .37273 Metetra
.683 .764 .913 r
.77481 .37273 .77758 .37625 .78393 .3741 .78116 .37036 Metetra
.689 .754 .901 r
.78116 .37036 .78393 .3741 .79028 .37178 .7875 .36786 Metetra
.692 .745 .893 r
.7875 .36786 .79028 .37178 .79663 .36932 .79386 .3653 Metetra
.691 .739 .888 r
.79386 .3653 .79663 .36932 .80299 .36679 .80022 .36273 Metetra
.687 .737 .888 r
.80022 .36273 .80299 .36679 .80936 .36426 .80661 .36023 Metetra
.682 .737 .892 r
.80661 .36023 .80936 .36426 .81575 .36177 .81301 .35781 Metetra
.677 .739 .897 r
.81301 .35781 .81575 .36177 .82215 .35936 .81944 .3555 Metetra
.671 .743 .904 r
.81944 .3555 .82215 .35936 .82858 .35705 .82589 .35328 Metetra
.667 .748 .911 r
.82589 .35328 .82858 .35705 .83504 .35482 .83236 .35114 Metetra
.664 .752 .916 r
.83236 .35114 .83504 .35482 .84151 .35267 .83886 .34904 Metetra
.663 .755 .919 r
.83886 .34904 .84151 .35267 .848 .35056 .84536 .34694 Metetra
.664 .757 .919 r
.84536 .34694 .848 .35056 .85451 .34847 .85188 .34483 Metetra
.666 .757 .918 r
.85188 .34483 .85451 .34847 .86104 .34636 .85841 .34268 Metetra
.668 .755 .916 r
.85841 .34268 .86104 .34636 .86757 .34423 .86495 .34048 Metetra
.67 .753 .913 r
.86495 .34048 .86757 .34423 .87412 .34205 .87151 .33825 Metetra
.672 .751 .91 r
.87151 .33825 .87412 .34205 .88068 .33984 .87807 .33599 Metetra
.672 .749 .908 r
.87807 .33599 .88068 .33984 .88725 .33761 .88465 .33372 Metetra
.672 .747 .907 r
.88465 .33372 .88725 .33761 .89383 .33535 .89124 .33145 Metetra
.671 .746 .907 r
.89124 .33145 .89383 .33535 .90042 .33309 .89785 .32918 Metetra
.656 .739 .911 r
.30402 .51509 .30746 .51829 .31282 .51665 .30939 .51346 Metetra
.657 .74 .912 r
.30939 .51346 .31282 .51665 .3182 .515 .31477 .51182 Metetra
.657 .742 .912 r
.31477 .51182 .3182 .515 .32359 .51335 .32016 .51016 Metetra
.658 .742 .912 r
.32016 .51016 .32359 .51335 .32898 .5117 .32557 .50849 Metetra
.657 .741 .912 r
.32557 .50849 .32898 .5117 .33439 .51009 .33098 .50683 Metetra
.655 .738 .91 r
.33098 .50683 .33439 .51009 .3398 .50852 .33641 .5052 Metetra
.652 .733 .909 r
.33641 .5052 .3398 .50852 .34523 .50701 .34184 .50361 Metetra
.647 .728 .907 r
.34184 .50361 .34523 .50701 .35066 .50554 .34728 .50208 Metetra
.644 .724 .907 r
.34728 .50208 .35066 .50554 .3561 .50407 .35273 .5006 Metetra
.642 .723 .907 r
.35273 .5006 .3561 .50407 .36156 .50256 .35819 .49915 Metetra
.643 .727 .909 r
.35819 .49915 .36156 .50256 .36703 .50097 .36367 .49767 Metetra
.648 .736 .913 r
.36367 .49767 .36703 .50097 .37253 .49926 .36916 .49612 Metetra
.656 .749 .918 r
.36916 .49612 .37253 .49926 .37803 .49742 .37467 .49444 Metetra
.665 .761 .922 r
.37467 .49444 .37803 .49742 .38356 .49552 .38019 .49262 Metetra
.672 .769 .923 r
.38019 .49262 .38356 .49552 .38909 .49365 .38573 .4907 Metetra
.672 .766 .921 r
.38573 .4907 .38909 .49365 .39462 .49194 .39129 .48878 Metetra
.663 .751 .915 r
.39129 .48878 .39462 .49194 .40016 .49052 .39684 .48699 Metetra
.644 .723 .905 r
.39684 .48699 .40016 .49052 .40569 .48948 .4024 .48547 Metetra
.617 .687 .893 r
.4024 .48547 .40569 .48948 .41123 .48885 .40796 .48436 Metetra
.588 .651 .88 r
.40796 .48436 .41123 .48885 .41677 .48854 .41352 .4837 Metetra
.563 .624 .871 r
.41352 .4837 .41677 .48854 .42232 .4884 .41907 .48342 Metetra
.547 .611 .869 r
.41907 .48342 .42232 .4884 .42789 .48818 .42464 .48338 Metetra
.545 .618 .876 r
.42464 .48338 .42789 .48818 .43349 .48765 .43023 .48333 Metetra
.56 .65 .895 r
.43023 .48333 .43349 .48765 .43911 .48659 .43584 .483 Metetra
.593 .705 .921 r
.43584 .483 .43911 .48659 .44477 .48486 .44148 .48212 Metetra
.64 .777 .946 r
.44148 .48212 .44477 .48486 .45046 .48243 .44715 .48054 Metetra
.691 .851 .959 r
.44715 .48054 .45046 .48243 .45616 .47937 .45286 .47819 Metetra
.733 .909 .955 r
.45286 .47819 .45616 .47937 .46189 .47584 .45858 .47514 Metetra
.762 .942 .94 r
.45858 .47514 .46189 .47584 .46762 .47204 .46433 .47154 Metetra
.779 .954 .929 r
.46433 .47154 .46762 .47204 .47336 .46818 .47009 .46761 Metetra
.787 .951 .925 r
.47009 .46761 .47336 .46818 .47911 .46442 .47585 .46359 Metetra
.786 .935 .928 r
.47585 .46359 .47911 .46442 .48485 .46089 .48161 .45967 Metetra
.776 .91 .932 r
.48161 .45967 .48485 .46089 .4906 .45766 .48738 .45598 Metetra
.759 .878 .932 r
.48738 .45598 .4906 .45766 .49635 .45472 .49315 .45262 Metetra
.739 .846 .93 r
.49315 .45262 .49635 .45472 .50212 .45207 .49892 .44959 Metetra
.719 .817 .926 r
.49892 .44959 .50212 .45207 .50788 .44965 .5047 .44686 Metetra
.703 .794 .921 r
.5047 .44686 .50788 .44965 .51366 .4474 .51049 .44439 Metetra
.69 .776 .917 r
.51049 .44439 .51366 .4474 .51945 .44529 .51629 .44212 Metetra
.681 .764 .914 r
.51629 .44212 .51945 .44529 .52525 .44325 .5221 .43998 Metetra
.674 .756 .913 r
.5221 .43998 .52525 .44325 .53106 .44127 .52792 .43793 Metetra
.67 .751 .911 r
.52792 .43793 .53106 .44127 .53689 .43932 .53375 .43594 Metetra
.668 .748 .911 r
.53375 .43594 .53689 .43932 .54272 .43739 .5396 .43398 Metetra
.666 .747 .91 r
.5396 .43398 .54272 .43739 .54857 .43548 .54545 .43204 Metetra
.665 .746 .91 r
.54545 .43204 .54857 .43548 .55443 .43356 .55132 .43011 Metetra
.665 .745 .91 r
.55132 .43011 .55443 .43356 .5603 .43165 .5572 .42819 Metetra
.664 .744 .91 r
.5572 .42819 .5603 .43165 .56619 .42974 .5631 .42627 Metetra
.664 .744 .91 r
.5631 .42627 .56619 .42974 .57209 .42783 .569 .42435 Metetra
.664 .744 .91 r
.569 .42435 .57209 .42783 .578 .42592 .57492 .42243 Metetra
.664 .744 .91 r
.57492 .42243 .578 .42592 .58392 .42401 .58085 .42051 Metetra
.663 .744 .91 r
.58085 .42051 .58392 .42401 .58986 .4221 .5868 .41859 Metetra
.663 .744 .91 r
.5868 .41859 .58986 .4221 .59581 .42018 .59276 .41667 Metetra
.663 .744 .91 r
.59276 .41667 .59581 .42018 .60177 .41826 .59873 .41474 Metetra
.663 .743 .91 r
.59873 .41474 .60177 .41826 .60774 .41635 .60471 .41282 Metetra
.662 .743 .91 r
.60471 .41282 .60774 .41635 .61373 .41443 .61071 .4109 Metetra
.662 .744 .911 r
.61071 .4109 .61373 .41443 .61973 .41251 .61671 .40898 Metetra
.661 .744 .911 r
.61671 .40898 .61973 .41251 .62574 .4106 .62274 .40706 Metetra
.661 .744 .912 r
.62274 .40706 .62574 .4106 .63177 .40869 .62877 .40516 Metetra
.66 .744 .912 r
.62877 .40516 .63177 .40869 .63781 .40679 .63482 .40326 Metetra
.658 .744 .913 r
.63482 .40326 .63781 .40679 .64387 .4049 .64089 .40138 Metetra
.656 .745 .915 r
.64089 .40138 .64387 .4049 .64993 .40302 .64697 .39952 Metetra
.654 .746 .917 r
.64697 .39952 .64993 .40302 .65602 .40117 .65306 .39769 Metetra
.651 .746 .919 r
.65306 .39769 .65602 .40117 .66211 .39935 .65917 .39591 Metetra
.647 .748 .923 r
.65917 .39591 .66211 .39935 .66823 .39756 .66529 .39417 Metetra
.642 .749 .927 r
.66529 .39417 .66823 .39756 .67436 .39582 .67144 .39249 Metetra
.636 .752 .932 r
.67144 .39249 .67436 .39582 .6805 .39414 .6776 .39089 Metetra
.628 .754 .938 r
.6776 .39089 .6805 .39414 .68667 .39253 .68378 .38938 Metetra
.618 .758 .945 r
.68378 .38938 .68667 .39253 .69285 .39101 .68998 .38796 Metetra
.607 .762 .953 r
.68998 .38796 .69285 .39101 .69906 .38958 .6962 .38666 Metetra
.594 .766 .961 r
.6962 .38666 .69906 .38958 .70529 .38825 .70244 .38545 Metetra
.581 .771 .969 r
.70244 .38545 .70529 .38825 .71154 .38701 .70871 .38434 Metetra
.569 .776 .976 r
.70871 .38434 .71154 .38701 .71781 .38585 .715 .38329 Metetra
.561 .781 .981 r
.715 .38329 .71781 .38585 .7241 .38476 .72131 .38227 Metetra
.559 .787 .984 r
.72131 .38227 .7241 .38476 .73041 .38369 .72763 .38123 Metetra
.567 .792 .984 r
.72763 .38123 .73041 .38369 .73673 .38259 .73397 .38009 Metetra
.583 .797 .981 r
.73397 .38009 .73673 .38259 .74307 .38141 .74031 .37881 Metetra
.606 .798 .973 r
.74031 .37881 .74307 .38141 .74942 .3801 .74666 .37732 Metetra
.632 .795 .961 r
.74666 .37732 .74942 .3801 .75577 .3786 .753 .37559 Metetra
.655 .788 .945 r
.753 .37559 .75577 .3786 .76212 .37687 .75935 .37361 Metetra
.673 .777 .928 r
.75935 .37361 .76212 .37687 .76847 .37491 .76569 .37139 Metetra
.685 .765 .912 r
.76569 .37139 .76847 .37491 .77481 .37273 .77202 .36897 Metetra
.692 .754 .899 r
.77202 .36897 .77481 .37273 .78116 .37036 .77836 .36642 Metetra
.694 .745 .891 r
.77836 .36642 .78116 .37036 .7875 .36786 .78471 .36381 Metetra
.692 .739 .887 r
.78471 .36381 .7875 .36786 .79386 .3653 .79107 .36122 Metetra
.688 .736 .888 r
.79107 .36122 .79386 .3653 .80022 .36273 .79745 .35869 Metetra
.682 .737 .892 r
.79745 .35869 .80022 .36273 .80661 .36023 .80386 .35627 Metetra
.676 .74 .898 r
.80386 .35627 .80661 .36023 .81301 .35781 .81028 .35397 Metetra
.67 .744 .906 r
.81028 .35397 .81301 .35781 .81944 .3555 .81673 .35176 Metetra
.666 .749 .913 r
.81673 .35176 .81944 .3555 .82589 .35328 .8232 .34963 Metetra
.663 .754 .918 r
.8232 .34963 .82589 .35328 .83236 .35114 .82969 .34753 Metetra
.663 .757 .92 r
.82969 .34753 .83236 .35114 .83886 .34904 .83619 .34543 Metetra
.664 .758 .92 r
.83619 .34543 .83886 .34904 .84536 .34694 .84271 .3433 Metetra
.667 .758 .918 r
.84271 .3433 .84536 .34694 .85188 .34483 .84923 .34113 Metetra
.669 .756 .915 r
.84923 .34113 .85188 .34483 .85841 .34268 .85577 .33892 Metetra
.671 .753 .912 r
.85577 .33892 .85841 .34268 .86495 .34048 .86232 .33666 Metetra
.673 .751 .909 r
.86232 .33666 .86495 .34048 .87151 .33825 .86888 .33439 Metetra
.673 .749 .908 r
.86888 .33439 .87151 .33825 .87807 .33599 .87545 .3321 Metetra
.672 .747 .907 r
.87545 .3321 .87807 .33599 .88465 .33372 .88203 .32981 Metetra
.672 .746 .907 r
.88203 .32981 .88465 .33372 .89124 .33145 .88864 .32753 Metetra
.671 .746 .907 r
.88864 .32753 .89124 .33145 .89785 .32918 .89526 .32526 Metetra
.655 .738 .91 r
.30057 .51185 .30402 .51509 .30939 .51346 .30595 .51023 Metetra
.655 .738 .911 r
.30595 .51023 .30939 .51346 .31477 .51182 .31133 .5086 Metetra
.656 .74 .912 r
.31133 .5086 .31477 .51182 .32016 .51016 .31673 .50696 Metetra
.657 .741 .912 r
.31673 .50696 .32016 .51016 .32557 .50849 .32214 .5053 Metetra
.658 .742 .912 r
.32214 .5053 .32557 .50849 .33098 .50683 .32756 .50362 Metetra
.657 .742 .912 r
.32756 .50362 .33098 .50683 .33641 .5052 .333 .50195 Metetra
.656 .739 .911 r
.333 .50195 .33641 .5052 .34184 .50361 .33844 .50029 Metetra
.653 .735 .91 r
.33844 .50029 .34184 .50361 .34728 .50208 .34389 .49867 Metetra
.648 .729 .908 r
.34389 .49867 .34728 .50208 .35273 .5006 .34935 .49712 Metetra
.644 .723 .906 r
.34935 .49712 .35273 .5006 .35819 .49915 .35482 .49564 Metetra
.64 .721 .906 r
.35482 .49564 .35819 .49915 .36367 .49767 .3603 .49419 Metetra
.64 .723 .908 r
.3603 .49419 .36367 .49767 .36916 .49612 .36579 .49274 Metetra
.644 .731 .912 r
.36579 .49274 .36916 .49612 .37467 .49444 .3713 .49123 Metetra
.652 .744 .917 r
.3713 .49123 .37467 .49444 .38019 .49262 .37682 .4896 Metetra
.663 .759 .922 r
.37682 .4896 .38019 .49262 .38573 .4907 .38237 .48781 Metetra
.672 .77 .924 r
.38237 .48781 .38573 .4907 .39129 .48878 .38793 .48588 Metetra
.675 .771 .923 r
.38793 .48588 .39129 .48878 .39684 .48699 .3935 .48391 Metetra
.668 .758 .918 r
.3935 .48391 .39684 .48699 .4024 .48547 .39908 .48203 Metetra
.65 .731 .908 r
.39908 .48203 .4024 .48547 .40796 .48436 .40466 .48042 Metetra
.623 .694 .895 r
.40466 .48042 .40796 .48436 .41352 .4837 .41024 .47921 Metetra
.591 .654 .88 r
.41024 .47921 .41352 .4837 .41907 .48342 .41582 .4785 Metetra
.561 .62 .868 r
.41582 .4785 .41907 .48342 .42464 .48338 .42139 .47825 Metetra
.54 .602 .864 r
.42139 .47825 .42464 .48338 .43023 .48333 .42698 .47831 Metetra
.534 .604 .87 r
.42698 .47831 .43023 .48333 .43584 .483 .43258 .47843 Metetra
.545 .632 .888 r
.43258 .47843 .43584 .483 .44148 .48212 .43821 .47831 Metetra
.577 .687 .916 r
.43821 .47831 .44148 .48212 .44715 .48054 .44386 .47766 Metetra
.626 .764 .945 r
.44386 .47766 .44715 .48054 .45286 .47819 .44955 .47626 Metetra
.682 .847 .962 r
.44955 .47626 .45286 .47819 .45858 .47514 .45527 .47401 Metetra
.729 .913 .957 r
.45527 .47401 .45858 .47514 .46433 .47154 .46102 .47097 Metetra
.762 .951 .938 r
.46102 .47097 .46433 .47154 .47009 .46761 .46679 .4673 Metetra
.782 .965 .922 r
.46679 .4673 .47009 .46761 .47585 .46359 .47256 .46323 Metetra
.793 .962 .918 r
.47256 .46323 .47585 .46359 .48161 .45967 .47835 .45901 Metetra
.794 .947 .922 r
.47835 .45901 .48161 .45967 .48738 .45598 .48414 .45489 Metetra
.785 .92 .928 r
.48414 .45489 .48738 .45598 .49315 .45262 .48993 .45102 Metetra
.768 .885 .93 r
.48993 .45102 .49315 .45262 .49892 .44959 .49572 .4475 Metetra
.745 .849 .927 r
.49572 .4475 .49892 .44959 .5047 .44686 .50151 .44435 Metetra
.724 .817 .923 r
.50151 .44435 .5047 .44686 .51049 .44439 .50731 .44154 Metetra
.705 .791 .918 r
.50731 .44154 .51049 .44439 .51629 .44212 .51312 .43902 Metetra
.691 .772 .914 r
.51312 .43902 .51629 .44212 .5221 .43998 .51894 .43671 Metetra
.681 .759 .911 r
.51894 .43671 .5221 .43998 .52792 .43793 .52477 .43455 Metetra
.674 .751 .908 r
.52477 .43455 .52792 .43793 .53375 .43594 .53061 .43249 Metetra
.67 .746 .907 r
.53061 .43249 .53375 .43594 .5396 .43398 .53646 .43048 Metetra
.668 .743 .906 r
.53646 .43048 .5396 .43398 .54545 .43204 .54232 .42852 Metetra
.666 .741 .906 r
.54232 .42852 .54545 .43204 .55132 .43011 .5482 .42657 Metetra
.665 .74 .906 r
.5482 .42657 .55132 .43011 .5572 .42819 .55409 .42463 Metetra
.665 .739 .906 r
.55409 .42463 .5572 .42819 .5631 .42627 .55999 .42269 Metetra
.664 .739 .905 r
.55999 .42269 .5631 .42627 .569 .42435 .56591 .42076 Metetra
.664 .738 .905 r
.56591 .42076 .569 .42435 .57492 .42243 .57183 .41883 Metetra
.664 .738 .905 r
.57183 .41883 .57492 .42243 .58085 .42051 .57777 .4169 Metetra
.663 .738 .905 r
.57777 .4169 .58085 .42051 .5868 .41859 .58373 .41498 Metetra
.663 .738 .906 r
.58373 .41498 .5868 .41859 .59276 .41667 .58969 .41305 Metetra
.663 .738 .906 r
.58969 .41305 .59276 .41667 .59873 .41474 .59567 .41112 Metetra
.662 .738 .906 r
.59567 .41112 .59873 .41474 .60471 .41282 .60166 .4092 Metetra
.662 .738 .907 r
.60166 .4092 .60471 .41282 .61071 .4109 .60767 .40727 Metetra
.661 .739 .907 r
.60767 .40727 .61071 .4109 .61671 .40898 .61369 .40536 Metetra
.661 .739 .908 r
.61369 .40536 .61671 .40898 .62274 .40706 .61972 .40345 Metetra
.66 .739 .909 r
.61972 .40345 .62274 .40706 .62877 .40516 .62576 .40155 Metetra
.658 .74 .91 r
.62576 .40155 .62877 .40516 .63482 .40326 .63182 .39967 Metetra
.656 .741 .912 r
.63182 .39967 .63482 .40326 .64089 .40138 .6379 .39781 Metetra
.654 .742 .914 r
.6379 .39781 .64089 .40138 .64697 .39952 .64398 .39598 Metetra
.651 .743 .917 r
.64398 .39598 .64697 .39952 .65306 .39769 .65009 .3942 Metetra
.647 .744 .92 r
.65009 .3942 .65306 .39769 .65917 .39591 .65621 .39246 Metetra
.642 .746 .925 r
.65621 .39246 .65917 .39591 .66529 .39417 .66235 .39079 Metetra
.635 .749 .93 r
.66235 .39079 .66529 .39417 .67144 .39249 .6685 .3892 Metetra
.627 .752 .937 r
.6685 .3892 .67144 .39249 .6776 .39089 .67468 .3877 Metetra
.616 .755 .945 r
.67468 .3877 .6776 .39089 .68378 .38938 .68087 .38631 Metetra
.604 .76 .953 r
.68087 .38631 .68378 .38938 .68998 .38796 .68709 .38504 Metetra
.59 .764 .962 r
.68709 .38504 .68998 .38796 .6962 .38666 .69333 .38388 Metetra
.575 .77 .971 r
.69333 .38388 .6962 .38666 .70244 .38545 .6996 .38281 Metetra
.561 .775 .979 r
.6996 .38281 .70244 .38545 .70871 .38434 .70588 .38182 Metetra
.551 .781 .984 r
.70588 .38182 .70871 .38434 .715 .38329 .71219 .38086 Metetra
.549 .787 .987 r
.71219 .38086 .715 .38329 .72131 .38227 .71851 .37987 Metetra
.557 .794 .987 r
.71851 .37987 .72131 .38227 .72763 .38123 .72484 .37879 Metetra
.576 .799 .984 r
.72484 .37879 .72763 .38123 .73397 .38009 .73118 .37754 Metetra
.602 .801 .976 r
.73118 .37754 .73397 .38009 .74031 .37881 .73753 .37607 Metetra
.631 .799 .963 r
.73753 .37607 .74031 .37881 .74666 .37732 .74387 .37434 Metetra
.656 .791 .946 r
.74387 .37434 .74666 .37732 .753 .37559 .75021 .37233 Metetra
.676 .779 .928 r
.75021 .37233 .753 .37559 .75935 .37361 .75654 .37007 Metetra
.688 .766 .911 r
.75654 .37007 .75935 .37361 .76569 .37139 .76287 .3676 Metetra
.694 .754 .897 r
.76287 .3676 .76569 .37139 .77202 .36897 .76921 .36499 Metetra
.696 .744 .889 r
.76921 .36499 .77202 .36897 .77836 .36642 .77555 .36234 Metetra
.693 .738 .886 r
.77555 .36234 .77836 .36642 .78471 .36381 .78191 .35972 Metetra
.689 .736 .887 r
.78191 .35972 .78471 .36381 .79107 .36122 .78828 .35717 Metetra
.682 .737 .892 r
.78828 .35717 .79107 .36122 .79745 .35869 .79468 .35475 Metetra
.676 .741 .9 r
.79468 .35475 .79745 .35869 .80386 .35627 .80111 .35246 Metetra
.669 .746 .908 r
.80111 .35246 .80386 .35627 .81028 .35397 .80755 .35027 Metetra
.665 .751 .915 r
.80755 .35027 .81028 .35397 .81673 .35176 .81402 .34814 Metetra
.663 .756 .92 r
.81402 .34814 .81673 .35176 .8232 .34963 .82051 .34605 Metetra
.663 .759 .921 r
.82051 .34605 .8232 .34963 .82969 .34753 .82701 .34394 Metetra
.665 .76 .921 r
.82701 .34394 .82969 .34753 .83619 .34543 .83352 .34179 Metetra
.668 .759 .918 r
.83352 .34179 .83619 .34543 .84271 .3433 .84004 .3396 Metetra
.671 .756 .915 r
.84004 .3396 .84271 .3433 .84923 .34113 .84657 .33736 Metetra
.673 .753 .911 r
.84657 .33736 .84923 .34113 .85577 .33892 .85311 .33508 Metetra
.674 .75 .909 r
.85311 .33508 .85577 .33892 .86232 .33666 .85966 .33278 Metetra
.674 .748 .907 r
.85966 .33278 .86232 .33666 .86888 .33439 .86623 .33048 Metetra
.673 .747 .906 r
.86623 .33048 .86888 .33439 .87545 .3321 .87281 .32818 Metetra
.672 .746 .906 r
.87281 .32818 .87545 .3321 .88203 .32981 .87941 .32589 Metetra
.671 .746 .907 r
.87941 .32589 .88203 .32981 .88864 .32753 .88603 .32361 Metetra
.67 .747 .908 r
.88603 .32361 .88864 .32753 .89526 .32526 .89266 .32134 Metetra
.655 .737 .91 r
.29711 .50859 .30057 .51185 .30595 .51023 .30249 .50696 Metetra
.654 .737 .91 r
.30249 .50696 .30595 .51023 .31133 .5086 .30788 .50534 Metetra
.654 .738 .911 r
.30788 .50534 .31133 .5086 .31673 .50696 .31329 .50371 Metetra
.655 .739 .911 r
.31329 .50371 .31673 .50696 .32214 .5053 .3187 .50207 Metetra
.656 .741 .912 r
.3187 .50207 .32214 .5053 .32756 .50362 .32413 .50041 Metetra
.657 .742 .913 r
.32413 .50041 .32756 .50362 .333 .50195 .32957 .49873 Metetra
.658 .743 .913 r
.32957 .49873 .333 .50195 .33844 .50029 .33502 .49704 Metetra
.657 .741 .912 r
.33502 .49704 .33844 .50029 .34389 .49867 .34048 .49536 Metetra
.654 .737 .91 r
.34048 .49536 .34389 .49867 .34935 .49712 .34595 .49372 Metetra
.649 .73 .908 r
.34595 .49372 .34935 .49712 .35482 .49564 .35143 .49214 Metetra
.644 .724 .906 r
.35143 .49214 .35482 .49564 .3603 .49419 .35692 .49063 Metetra
.64 .719 .905 r
.35692 .49063 .3603 .49419 .36579 .49274 .36242 .48919 Metetra
.638 .719 .907 r
.36242 .48919 .36579 .49274 .3713 .49123 .36793 .48777 Metetra
.64 .726 .91 r
.36793 .48777 .3713 .49123 .37682 .4896 .37345 .4863 Metetra
.648 .739 .916 r
.37345 .4863 .37682 .4896 .38237 .48781 .37899 .48472 Metetra
.659 .755 .921 r
.37899 .48472 .38237 .48781 .38793 .48588 .38455 .48297 Metetra
.67 .77 .925 r
.38455 .48297 .38793 .48588 .3935 .48391 .39013 .48106 Metetra
.676 .776 .925 r
.39013 .48106 .3935 .48391 .39908 .48203 .39572 .47906 Metetra
.673 .767 .921 r
.39572 .47906 .39908 .48203 .40466 .48042 .40132 .4771 Metetra
.657 .742 .912 r
.40132 .4771 .40466 .48042 .41024 .47921 .40693 .47537 Metetra
.63 .703 .898 r
.40693 .47537 .41024 .47921 .41582 .4785 .41253 .47405 Metetra
.595 .658 .882 r
.41253 .47405 .41582 .4785 .42139 .47825 .41813 .47326 Metetra
.561 .619 .867 r
.41813 .47326 .42139 .47825 .42698 .47831 .42373 .473 Metetra
.536 .593 .859 r
.42373 .473 .42698 .47831 .43258 .47843 .42933 .47315 Metetra
.524 .589 .861 r
.42933 .47315 .43258 .47843 .43821 .47831 .43495 .47344 Metetra
.531 .611 .878 r
.43495 .47344 .43821 .47831 .44386 .47766 .44059 .47355 Metetra
.56 .664 .907 r
.44059 .47355 .44386 .47766 .44955 .47626 .44626 .47314 Metetra
.61 .744 .941 r
.44626 .47314 .44955 .47626 .45527 .47401 .45197 .47196 Metetra
.671 .837 .963 r
.45197 .47196 .45527 .47401 .46102 .47097 .4577 .46986 Metetra
.724 .914 .959 r
.4577 .46986 .46102 .47097 .46679 .4673 .46347 .46686 Metetra
.759 .958 .936 r
.46347 .46686 .46679 .4673 .47256 .46323 .46926 .46314 Metetra
.78 .976 .914 r
.46926 .46314 .47256 .46323 .47835 .45901 .47506 .45893 Metetra
.793 .976 .907 r
.47506 .45893 .47835 .45901 .48414 .45489 .48087 .45454 Metetra
.798 .964 .914 r
.48087 .45454 .48414 .45489 .48993 .45102 .48667 .45022 Metetra
.791 .94 .925 r
.48667 .45022 .48993 .45102 .49572 .4475 .49248 .44616 Metetra
.775 .905 .932 r
.49248 .44616 .49572 .4475 .50151 .44435 .4983 .44248 Metetra
.752 .867 .932 r
.4983 .44248 .50151 .44435 .50731 .44154 .50411 .43921 Metetra
.728 .832 .929 r
.50411 .43921 .50731 .44154 .51312 .43902 .50993 .43632 Metetra
.708 .804 .924 r
.50993 .43632 .51312 .43902 .51894 .43671 .51576 .43374 Metetra
.693 .783 .92 r
.51576 .43374 .51894 .43671 .52477 .43455 .5216 .4314 Metetra
.682 .768 .917 r
.5216 .4314 .52477 .43455 .53061 .43249 .52745 .42922 Metetra
.675 .759 .915 r
.52745 .42922 .53061 .43249 .53646 .43048 .53331 .42714 Metetra
.67 .754 .913 r
.53331 .42714 .53646 .43048 .54232 .42852 .53918 .42513 Metetra
.668 .751 .913 r
.53918 .42513 .54232 .42852 .5482 .42657 .54507 .42315 Metetra
.666 .749 .912 r
.54507 .42315 .5482 .42657 .55409 .42463 .55096 .4212 Metetra
.665 .748 .912 r
.55096 .4212 .55409 .42463 .55999 .42269 .55687 .41925 Metetra
.665 .748 .912 r
.55687 .41925 .55999 .42269 .56591 .42076 .5628 .41731 Metetra
.664 .747 .912 r
.5628 .41731 .56591 .42076 .57183 .41883 .56873 .41537 Metetra
.664 .747 .912 r
.56873 .41537 .57183 .41883 .57777 .4169 .57468 .41343 Metetra
.663 .747 .912 r
.57468 .41343 .57777 .4169 .58373 .41498 .58064 .4115 Metetra
.663 .747 .913 r
.58064 .4115 .58373 .41498 .58969 .41305 .58662 .40956 Metetra
.663 .747 .913 r
.58662 .40956 .58969 .41305 .59567 .41112 .59261 .40763 Metetra
.662 .747 .913 r
.59261 .40763 .59567 .41112 .60166 .4092 .59861 .4057 Metetra
.661 .747 .914 r
.59861 .4057 .60166 .4092 .60767 .40727 .60462 .40378 Metetra
.661 .747 .914 r
.60462 .40378 .60767 .40727 .61369 .40536 .61065 .40186 Metetra
.66 .747 .915 r
.61065 .40186 .61369 .40536 .61972 .40345 .61669 .39996 Metetra
.658 .748 .916 r
.61669 .39996 .61972 .40345 .62576 .40155 .62274 .39807 Metetra
.656 .748 .917 r
.62274 .39807 .62576 .40155 .63182 .39967 .62881 .39621 Metetra
.654 .749 .919 r
.62881 .39621 .63182 .39967 .6379 .39781 .6349 .39437 Metetra
.651 .749 .922 r
.6349 .39437 .6379 .39781 .64398 .39598 .641 .39258 Metetra
.646 .751 .925 r
.641 .39258 .64398 .39598 .65009 .3942 .64711 .39084 Metetra
.641 .752 .93 r
.64711 .39084 .65009 .3942 .65621 .39246 .65325 .38917 Metetra
.634 .754 .935 r
.65325 .38917 .65621 .39246 .66235 .39079 .6594 .38758 Metetra
.624 .757 .942 r
.6594 .38758 .66235 .39079 .6685 .3892 .66557 .3861 Metetra
.613 .76 .95 r
.66557 .3861 .6685 .3892 .67468 .3877 .67176 .38472 Metetra
.599 .764 .958 r
.67176 .38472 .67468 .3877 .68087 .38631 .67797 .38348 Metetra
.583 .769 .967 r
.67797 .38348 .68087 .38631 .68709 .38504 .68421 .38235 Metetra
.566 .773 .976 r
.68421 .38235 .68709 .38504 .69333 .38388 .69047 .38133 Metetra
.55 .778 .983 r
.69047 .38133 .69333 .38388 .6996 .38281 .69675 .3804 Metetra
.538 .784 .989 r
.69675 .3804 .6996 .38281 .70588 .38182 .70305 .3795 Metetra
.536 .79 .991 r
.70305 .3795 .70588 .38182 .71219 .38086 .70937 .37857 Metetra
.545 .797 .992 r
.70937 .37857 .71219 .38086 .71851 .37987 .7157 .37754 Metetra
.567 .804 .988 r
.7157 .37754 .71851 .37987 .72484 .37879 .72204 .37633 Metetra
.597 .806 .98 r
.72204 .37633 .72484 .37879 .73118 .37754 .72838 .37487 Metetra
.63 .803 .966 r
.72838 .37487 .73118 .37754 .73753 .37607 .73471 .37313 Metetra
.658 .794 .947 r
.73471 .37313 .73753 .37607 .74387 .37434 .74105 .37109 Metetra
.679 .781 .927 r
.74105 .37109 .74387 .37434 .75021 .37233 .74738 .36877 Metetra
.691 .766 .909 r
.74738 .36877 .75021 .37233 .75654 .37007 .7537 .36624 Metetra
.697 .753 .895 r
.7537 .36624 .75654 .37007 .76287 .3676 .76003 .36359 Metetra
.698 .743 .887 r
.76003 .36359 .76287 .3676 .76921 .36499 .76637 .36089 Metetra
.694 .737 .884 r
.76637 .36089 .76921 .36499 .77555 .36234 .77272 .35823 Metetra
.689 .736 .886 r
.77272 .35823 .77555 .36234 .78191 .35972 .7791 .35568 Metetra
.682 .737 .893 r
.7791 .35568 .78191 .35972 .78828 .35717 .78549 .35326 Metetra
.675 .742 .901 r
.78549 .35326 .78828 .35717 .79468 .35475 .79192 .35098 Metetra
.668 .748 .91 r
.79192 .35098 .79468 .35475 .80111 .35246 .79836 .3488 Metetra
.664 .754 .917 r
.79836 .3488 .80111 .35246 .80755 .35027 .80483 .34668 Metetra
.662 .759 .922 r
.80483 .34668 .80755 .35027 .81402 .34814 .81131 .34459 Metetra
.663 .761 .923 r
.81131 .34459 .81402 .34814 .82051 .34605 .8178 .34247 Metetra
.666 .762 .921 r
.8178 .34247 .82051 .34605 .82701 .34394 .82431 .3403 Metetra
.669 .76 .918 r
.82431 .3403 .82701 .34394 .83352 .34179 .83082 .33808 Metetra
.672 .757 .914 r
.83082 .33808 .83352 .34179 .84004 .3396 .83735 .33581 Metetra
.674 .753 .91 r
.83735 .33581 .84004 .3396 .84657 .33736 .84388 .3335 Metetra
.675 .75 .908 r
.84388 .3335 .84657 .33736 .85311 .33508 .85043 .33118 Metetra
.674 .748 .906 r
.85043 .33118 .85311 .33508 .85966 .33278 .857 .32886 Metetra
.673 .747 .906 r
.857 .32886 .85966 .33278 .86623 .33048 .86358 .32655 Metetra
.672 .747 .906 r
.86358 .32655 .86623 .33048 .87281 .32818 .87017 .32425 Metetra
.671 .747 .907 r
.87017 .32425 .87281 .32818 .87941 .32589 .87678 .32197 Metetra
.67 .747 .908 r
.87678 .32197 .87941 .32589 .88603 .32361 .88341 .3197 Metetra
.67 .748 .909 r
.88341 .3197 .88603 .32361 .89266 .32134 .89005 .31743 Metetra
.656 .738 .91 r
.29364 .50533 .29711 .50859 .30249 .50696 .29902 .50369 Metetra
.655 .737 .91 r
.29902 .50369 .30249 .50696 .30788 .50534 .30442 .50205 Metetra
.654 .737 .91 r
.30442 .50205 .30788 .50534 .31329 .50371 .30983 .50042 Metetra
.654 .737 .911 r
.30983 .50042 .31329 .50371 .3187 .50207 .31525 .49879 Metetra
.654 .738 .911 r
.31525 .49879 .3187 .50207 .32413 .50041 .32068 .49715 Metetra
.655 .74 .912 r
.32068 .49715 .32413 .50041 .32957 .49873 .32613 .49549 Metetra
.657 .742 .913 r
.32613 .49549 .32957 .49873 .33502 .49704 .33159 .49381 Metetra
.658 .743 .913 r
.33159 .49381 .33502 .49704 .34048 .49536 .33706 .49211 Metetra
.657 .742 .913 r
.33706 .49211 .34048 .49536 .34595 .49372 .34254 .49042 Metetra
.655 .739 .911 r
.34254 .49042 .34595 .49372 .35143 .49214 .34803 .48875 Metetra
.651 .733 .909 r
.34803 .48875 .35143 .49214 .35692 .49063 .35353 .48713 Metetra
.645 .725 .907 r
.35353 .48713 .35692 .49063 .36242 .48919 .35904 .4856 Metetra
.639 .718 .905 r
.35904 .4856 .36242 .48919 .36793 .48777 .36455 .48415 Metetra
.636 .716 .905 r
.36455 .48415 .36793 .48777 .37345 .4863 .37008 .48275 Metetra
.637 .72 .908 r
.37008 .48275 .37345 .4863 .37899 .48472 .37562 .48133 Metetra
.643 .733 .914 r
.37562 .48133 .37899 .48472 .38455 .48297 .38117 .47981 Metetra
.654 .75 .92 r
.38117 .47981 .38455 .48297 .39013 .48106 .38675 .47812 Metetra
.667 .768 .926 r
.38675 .47812 .39013 .48106 .39572 .47906 .39234 .47624 Metetra
.677 .779 .928 r
.39234 .47624 .39572 .47906 .40132 .4771 .39796 .47421 Metetra
.677 .775 .924 r
.39796 .47421 .40132 .4771 .40693 .47537 .40358 .47218 Metetra
.665 .753 .916 r
.40358 .47218 .40693 .47537 .41253 .47405 .40921 .47032 Metetra
.638 .713 .902 r
.40921 .47032 .41253 .47405 .41813 .47326 .41483 .46887 Metetra
.602 .665 .883 r
.41483 .46887 .41813 .47326 .42373 .473 .42046 .46797 Metetra
.563 .619 .865 r
.42046 .46797 .42373 .473 .42933 .47315 .42607 .46768 Metetra
.532 .585 .854 r
.42607 .46768 .42933 .47315 .43495 .47344 .4317 .46789 Metetra
.513 .573 .853 r
.4317 .46789 .43495 .47344 .44059 .47355 .43733 .46836 Metetra
.514 .589 .868 r
.43733 .46836 .44059 .47355 .44626 .47314 .44298 .46874 Metetra
.538 .639 .898 r
.44298 .46874 .44626 .47314 .45197 .47196 .44867 .46864 Metetra
.587 .724 .939 r
.44867 .46864 .45197 .47196 .4577 .46986 .45439 .46775 Metetra
.651 .83 .969 r
.45439 .46775 .4577 .46986 .46347 .46686 .46015 .46586 Metetra
.709 .921 .965 r
.46015 .46586 .46347 .46686 .46926 .46314 .46593 .46296 Metetra
.746 .971 .929 r
.46593 .46296 .46926 .46314 .47506 .45893 .47174 .4592 Metetra
.768 .988 .896 r
.47174 .4592 .47506 .45893 .48087 .45454 .47757 .45486 Metetra
.786 .99 .887 r
.47757 .45486 .48087 .45454 .48667 .45022 .4834 .45024 Metetra
.799 .981 .899 r
.4834 .45024 .48667 .45022 .49248 .44616 .48923 .44566 Metetra
.799 .958 .916 r
.48923 .44566 .49248 .44616 .4983 .44248 .49506 .44135 Metetra
.785 .92 .928 r
.49506 .44135 .4983 .44248 .50411 .43921 .50089 .43745 Metetra
.762 .876 .93 r
.50089 .43745 .50411 .43921 .50993 .43632 .50673 .434 Metetra
.735 .835 .926 r
.50673 .434 .50993 .43632 .51576 .43374 .51257 .43098 Metetra
.712 .801 .92 r
.51257 .43098 .51576 .43374 .5216 .4314 .51842 .42832 Metetra
.695 .777 .915 r
.51842 .42832 .5216 .4314 .52745 .42922 .52428 .42593 Metetra
.682 .761 .911 r
.52428 .42593 .52745 .42922 .53331 .42714 .53015 .42372 Metetra
.675 .751 .908 r
.53015 .42372 .53331 .42714 .53918 .42513 .53603 .42163 Metetra
.67 .746 .907 r
.53603 .42163 .53918 .42513 .54507 .42315 .54192 .41961 Metetra
.667 .743 .907 r
.54192 .41961 .54507 .42315 .55096 .4212 .54783 .41763 Metetra
.666 .741 .906 r
.54783 .41763 .55096 .4212 .55687 .41925 .55374 .41566 Metetra
.665 .74 .906 r
.55374 .41566 .55687 .41925 .5628 .41731 .55968 .41371 Metetra
.664 .74 .906 r
.55968 .41371 .5628 .41731 .56873 .41537 .56562 .41176 Metetra
.664 .739 .906 r
.56562 .41176 .56873 .41537 .57468 .41343 .57158 .40981 Metetra
.663 .739 .906 r
.57158 .40981 .57468 .41343 .58064 .4115 .57755 .40787 Metetra
.663 .739 .906 r
.57755 .40787 .58064 .4115 .58662 .40956 .58353 .40593 Metetra
.662 .739 .907 r
.58353 .40593 .58662 .40956 .59261 .40763 .58953 .40399 Metetra
.662 .739 .907 r
.58953 .40399 .59261 .40763 .59861 .4057 .59554 .40206 Metetra
.661 .739 .908 r
.59554 .40206 .59861 .4057 .60462 .40378 .60156 .40014 Metetra
.66 .739 .909 r
.60156 .40014 .60462 .40378 .61065 .40186 .6076 .39824 Metetra
.658 .74 .91 r
.6076 .39824 .61065 .40186 .61669 .39996 .61365 .39635 Metetra
.657 .74 .911 r
.61365 .39635 .61669 .39996 .62274 .39807 .61971 .39448 Metetra
.654 .741 .914 r
.61971 .39448 .62274 .39807 .62881 .39621 .62579 .39265 Metetra
.651 .742 .917 r
.62579 .39265 .62881 .39621 .6349 .39437 .63188 .39085 Metetra
.646 .744 .92 r
.63188 .39085 .6349 .39437 .641 .39258 .638 .38912 Metetra
.641 .746 .925 r
.638 .38912 .641 .39258 .64711 .39084 .64412 .38746 Metetra
.633 .749 .931 r
.64412 .38746 .64711 .39084 .65325 .38917 .65027 .38589 Metetra
.623 .752 .939 r
.65027 .38589 .65325 .38917 .6594 .38758 .65644 .38442 Metetra
.611 .756 .948 r
.65644 .38442 .6594 .38758 .66557 .3861 .66262 .38308 Metetra
.596 .761 .958 r
.66262 .38308 .66557 .3861 .67176 .38472 .66883 .38187 Metetra
.578 .766 .968 r
.66883 .38187 .67176 .38472 .67797 .38348 .67506 .3808 Metetra
.558 .772 .978 r
.67506 .3808 .67797 .38348 .68421 .38235 .68132 .37985 Metetra
.539 .777 .986 r
.68132 .37985 .68421 .38235 .69047 .38133 .6876 .37899 Metetra
.524 .784 .992 r
.6876 .37899 .69047 .38133 .69675 .3804 .6939 .37817 Metetra
.52 .791 .995 r
.6939 .37817 .69675 .3804 .70305 .3795 .70021 .37731 Metetra
.53 .8 .995 r
.70021 .37731 .70305 .3795 .70937 .37857 .70654 .37634 Metetra
.555 .808 .992 r
.70654 .37634 .70937 .37857 .7157 .37754 .71288 .37517 Metetra
.591 .812 .984 r
.71288 .37517 .7157 .37754 .72204 .37633 .71921 .37373 Metetra
.628 .809 .969 r
.71921 .37373 .72204 .37633 .72838 .37487 .72555 .37198 Metetra
.66 .799 .949 r
.72555 .37198 .72838 .37487 .73471 .37313 .73187 .3699 Metetra
.682 .784 .927 r
.73187 .3699 .73471 .37313 .74105 .37109 .73819 .36752 Metetra
.695 .768 .908 r
.73819 .36752 .74105 .37109 .74738 .36877 .74451 .36493 Metetra
.7 .753 .893 r
.74451 .36493 .74738 .36877 .7537 .36624 .75084 .3622 Metetra
.7 .743 .885 r
.75084 .3622 .7537 .36624 .76003 .36359 .75717 .35945 Metetra
.696 .737 .883 r
.75717 .35945 .76003 .36359 .76637 .36089 .76352 .35676 Metetra
.689 .736 .886 r
.76352 .35676 .76637 .36089 .77272 .35823 .76989 .3542 Metetra
.681 .738 .894 r
.76989 .3542 .77272 .35823 .7791 .35568 .77629 .35179 Metetra
.674 .744 .903 r
.77629 .35179 .7791 .35568 .78549 .35326 .78271 .34952 Metetra
.667 .75 .913 r
.78271 .34952 .78549 .35326 .79192 .35098 .78915 .34736 Metetra
.663 .757 .92 r
.78915 .34736 .79192 .35098 .79836 .3488 .79561 .34525 Metetra
.662 .762 .924 r
.79561 .34525 .79836 .3488 .80483 .34668 .80209 .34315 Metetra
.664 .764 .924 r
.80209 .34315 .80483 .34668 .81131 .34459 .80858 .34102 Metetra
.668 .763 .922 r
.80858 .34102 .81131 .34459 .8178 .34247 .81508 .33883 Metetra
.671 .761 .918 r
.81508 .33883 .8178 .34247 .82431 .3403 .82159 .33657 Metetra
.674 .757 .913 r
.82159 .33657 .82431 .3403 .83082 .33808 .82811 .33427 Metetra
.675 .753 .909 r
.82811 .33427 .83082 .33808 .83735 .33581 .83464 .33194 Metetra
.676 .75 .907 r
.83464 .33194 .83735 .33581 .84388 .3335 .84119 .32959 Metetra
.675 .748 .906 r
.84119 .32959 .84388 .3335 .85043 .33118 .84774 .32725 Metetra
.674 .747 .906 r
.84774 .32725 .85043 .33118 .857 .32886 .85432 .32493 Metetra
.672 .747 .907 r
.85432 .32493 .857 .32886 .86358 .32655 .86091 .32263 Metetra
.671 .747 .908 r
.86091 .32263 .86358 .32655 .87017 .32425 .86752 .32034 Metetra
.67 .748 .909 r
.86752 .32034 .87017 .32425 .87678 .32197 .87414 .31806 Metetra
.67 .749 .909 r
.87414 .31806 .87678 .32197 .88341 .3197 .88078 .31578 Metetra
.67 .749 .91 r
.88078 .31578 .88341 .3197 .89005 .31743 .88744 .3135 Metetra
.657 .739 .911 r
.29015 .50208 .29364 .50533 .29902 .50369 .29554 .50041 Metetra
.656 .738 .91 r
.29554 .50041 .29902 .50369 .30442 .50205 .30095 .49876 Metetra
.655 .737 .91 r
.30095 .49876 .30442 .50205 .30983 .50042 .30636 .49711 Metetra
.654 .736 .91 r
.30636 .49711 .30983 .50042 .31525 .49879 .31179 .49547 Metetra
.653 .736 .91 r
.31179 .49547 .31525 .49879 .32068 .49715 .31723 .49384 Metetra
.653 .737 .911 r
.31723 .49384 .32068 .49715 .32613 .49549 .32268 .4922 Metetra
.654 .739 .912 r
.32268 .4922 .32613 .49549 .33159 .49381 .32814 .49055 Metetra
.656 .741 .913 r
.32814 .49055 .33159 .49381 .33706 .49211 .33362 .48887 Metetra
.657 .743 .914 r
.33362 .48887 .33706 .49211 .34254 .49042 .3391 .48717 Metetra
.658 .744 .914 r
.3391 .48717 .34254 .49042 .34803 .48875 .3446 .48546 Metetra
.656 .741 .912 r
.3446 .48546 .34803 .48875 .35353 .48713 .35011 .48376 Metetra
.653 .735 .91 r
.35011 .48376 .35353 .48713 .35904 .4856 .35563 .48211 Metetra
.647 .727 .907 r
.35563 .48211 .35904 .4856 .36455 .48415 .36116 .48055 Metetra
.64 .719 .905 r
.36116 .48055 .36455 .48415 .37008 .48275 .3667 .47908 Metetra
.635 .714 .904 r
.3667 .47908 .37008 .48275 .37562 .48133 .37224 .47769 Metetra
.633 .715 .906 r
.37224 .47769 .37562 .48133 .38117 .47981 .3778 .47631 Metetra
.638 .725 .911 r
.3778 .47631 .38117 .47981 .38675 .47812 .38337 .47485 Metetra
.649 .743 .919 r
.38337 .47485 .38675 .47812 .39234 .47624 .38896 .47323 Metetra
.663 .765 .925 r
.38896 .47323 .39234 .47624 .39796 .47421 .39457 .4714 Metetra
.676 .781 .929 r
.39457 .4714 .39796 .47421 .40358 .47218 .4002 .46937 Metetra
.681 .783 .928 r
.4002 .46937 .40358 .47218 .40921 .47032 .40585 .46727 Metetra
.672 .765 .92 r
.40585 .46727 .40921 .47032 .41483 .46887 .4115 .4653 Metetra
.647 .727 .907 r
.4115 .4653 .41483 .46887 .42046 .46797 .41715 .4637 Metetra
.609 .675 .887 r
.41715 .4637 .42046 .46797 .42607 .46768 .4228 .46266 Metetra
.567 .622 .867 r
.4228 .46266 .42607 .46768 .4317 .46789 .42844 .46231 Metetra
.529 .58 .851 r
.42844 .46231 .4317 .46789 .43733 .46836 .43408 .46257 Metetra
.504 .56 .846 r
.43408 .46257 .43733 .46836 .44298 .46874 .43973 .46321 Metetra
.499 .568 .857 r
.43973 .46321 .44298 .46874 .44867 .46864 .4454 .46386 Metetra
.518 .611 .885 r
.4454 .46386 .44867 .46864 .45439 .46775 .4511 .46407 Metetra
.566 .695 .928 r
.4511 .46407 .45439 .46775 .46015 .46586 .45683 .46348 Metetra
.636 .807 .965 r
.45683 .46348 .46015 .46586 .46593 .46296 .46261 .4618 Metetra
.705 .911 .967 r
.46261 .4618 .46593 .46296 .47174 .4592 .46841 .459 Metetra
.75 .97 .929 r
.46841 .459 .47174 .4592 .47757 .45486 .47424 .4552 Metetra
.775 .99 .889 r
.47424 .4552 .47757 .45486 .4834 .45024 .48009 .45069 Metetra
.795 .993 .875 r
.48009 .45069 .4834 .45024 .48923 .44566 .48594 .44583 Metetra
.809 .986 .886 r
.48594 .44583 .48923 .44566 .49506 .44135 .4918 .44098 Metetra
.81 .964 .907 r
.4918 .44098 .49506 .44135 .50089 .43745 .49765 .43641 Metetra
.795 .927 .922 r
.49765 .43641 .50089 .43745 .50673 .434 .50351 .4323 Metetra
.769 .883 .928 r
.50351 .4323 .50673 .434 .51257 .43098 .50936 .42871 Metetra
.74 .84 .926 r
.50936 .42871 .51257 .43098 .51842 .42832 .51522 .42559 Metetra
.715 .806 .921 r
.51522 .42559 .51842 .42832 .52428 .42593 .52109 .42288 Metetra
.696 .78 .916 r
.52109 .42288 .52428 .42593 .53015 .42372 .52697 .42046 Metetra
.683 .764 .913 r
.52697 .42046 .53015 .42372 .53603 .42163 .53286 .41824 Metetra
.675 .754 .911 r
.53286 .41824 .53603 .42163 .54192 .41961 .53876 .41614 Metetra
.67 .748 .909 r
.53876 .41614 .54192 .41961 .54783 .41763 .54468 .41411 Metetra
.667 .745 .909 r
.54468 .41411 .54783 .41763 .55374 .41566 .5506 .41211 Metetra
.666 .743 .908 r
.5506 .41211 .55374 .41566 .55968 .41371 .55654 .41014 Metetra
.665 .742 .908 r
.55654 .41014 .55968 .41371 .56562 .41176 .5625 .40818 Metetra
.664 .742 .908 r
.5625 .40818 .56562 .41176 .57158 .40981 .56846 .40622 Metetra
.663 .742 .908 r
.56846 .40622 .57158 .40981 .57755 .40787 .57444 .40428 Metetra
.663 .742 .909 r
.57444 .40428 .57755 .40787 .58353 .40593 .58043 .40233 Metetra
.662 .742 .909 r
.58043 .40233 .58353 .40593 .58953 .40399 .58644 .4004 Metetra
.661 .742 .91 r
.58644 .4004 .58953 .40399 .59554 .40206 .59245 .39847 Metetra
.66 .742 .911 r
.59245 .39847 .59554 .40206 .60156 .40014 .59849 .39656 Metetra
.658 .743 .912 r
.59849 .39656 .60156 .40014 .6076 .39824 .60453 .39466 Metetra
.656 .743 .914 r
.60453 .39466 .6076 .39824 .61365 .39635 .61059 .39279 Metetra
.654 .744 .916 r
.61059 .39279 .61365 .39635 .61971 .39448 .61667 .39096 Metetra
.651 .745 .919 r
.61667 .39096 .61971 .39448 .62579 .39265 .62276 .38916 Metetra
.646 .746 .922 r
.62276 .38916 .62579 .39265 .63188 .39085 .62886 .38742 Metetra
.64 .748 .927 r
.62886 .38742 .63188 .39085 .638 .38912 .63499 .38576 Metetra
.632 .75 .933 r
.63499 .38576 .638 .38912 .64412 .38746 .64113 .3842 Metetra
.622 .753 .941 r
.64113 .3842 .64412 .38746 .65027 .38589 .64729 .38275 Metetra
.608 .757 .95 r
.64729 .38275 .65027 .38589 .65644 .38442 .65347 .38143 Metetra
.591 .761 .96 r
.65347 .38143 .65644 .38442 .66262 .38308 .65967 .38025 Metetra
.571 .766 .97 r
.65967 .38025 .66262 .38308 .66883 .38187 .6659 .37923 Metetra
.549 .771 .98 r
.6659 .37923 .66883 .38187 .67506 .3808 .67215 .37834 Metetra
.527 .776 .989 r
.67215 .37834 .67506 .3808 .68132 .37985 .67843 .37756 Metetra
.509 .782 .994 r
.67843 .37756 .68132 .37985 .6876 .37899 .68472 .37682 Metetra
.504 .789 .997 r
.68472 .37682 .6876 .37899 .6939 .37817 .69104 .37605 Metetra
.515 .799 .997 r
.69104 .37605 .6939 .37817 .70021 .37731 .69736 .37515 Metetra
.544 .809 .995 r
.69736 .37515 .70021 .37731 .70654 .37634 .7037 .37403 Metetra
.585 .814 .987 r
.7037 .37403 .70654 .37634 .71288 .37517 .71003 .37262 Metetra
.628 .812 .971 r
.71003 .37262 .71288 .37517 .71921 .37373 .71636 .37086 Metetra
.662 .801 .949 r
.71636 .37086 .71921 .37373 .72555 .37198 .72268 .36874 Metetra
.686 .785 .926 r
.72268 .36874 .72555 .37198 .73187 .3699 .729 .3663 Metetra
.699 .767 .905 r
.729 .3663 .73187 .3699 .73819 .36752 .73531 .36364 Metetra
.703 .752 .89 r
.73531 .36364 .73819 .36752 .74451 .36493 .74163 .36085 Metetra
.702 .742 .882 r
.74163 .36085 .74451 .36493 .75084 .3622 .74796 .35805 Metetra
.697 .736 .881 r
.74796 .35805 .75084 .3622 .75717 .35945 .7543 .35533 Metetra
.689 .736 .886 r
.7543 .35533 .75717 .35945 .76352 .35676 .76067 .35276 Metetra
.681 .74 .895 r
.76067 .35276 .76352 .35676 .76989 .3542 .76706 .35036 Metetra
.672 .746 .906 r
.76706 .35036 .76989 .3542 .77629 .35179 .77348 .34811 Metetra
.666 .754 .916 r
.77348 .34811 .77629 .35179 .78271 .34952 .77993 .34596 Metetra
.662 .761 .923 r
.77993 .34596 .78271 .34952 .78915 .34736 .78639 .34386 Metetra
.662 .765 .926 r
.78639 .34386 .78915 .34736 .79561 .34525 .79286 .34175 Metetra
.665 .766 .925 r
.79286 .34175 .79561 .34525 .80209 .34315 .79935 .33959 Metetra
.669 .765 .922 r
.79935 .33959 .80209 .34315 .80858 .34102 .80584 .33737 Metetra
.673 .761 .917 r
.80584 .33737 .80858 .34102 .81508 .33883 .81234 .33508 Metetra
.676 .757 .912 r
.81234 .33508 .81508 .33883 .82159 .33657 .81886 .33274 Metetra
.677 .753 .908 r
.81886 .33274 .82159 .33657 .82811 .33427 .82538 .33038 Metetra
.677 .75 .906 r
.82538 .33038 .82811 .33427 .83464 .33194 .83192 .32801 Metetra
.676 .748 .905 r
.83192 .32801 .83464 .33194 .84119 .32959 .83848 .32566 Metetra
.674 .747 .906 r
.83848 .32566 .84119 .32959 .84774 .32725 .84505 .32333 Metetra
.673 .748 .907 r
.84505 .32333 .84774 .32725 .85432 .32493 .85163 .32101 Metetra
.671 .748 .908 r
.85163 .32101 .85432 .32493 .86091 .32263 .85824 .31872 Metetra
.671 .749 .909 r
.85824 .31872 .86091 .32263 .86752 .32034 .86486 .31643 Metetra
.67 .749 .91 r
.86486 .31643 .86752 .32034 .87414 .31806 .87149 .31414 Metetra
.67 .749 .91 r
.87149 .31414 .87414 .31806 .88078 .31578 .87814 .31184 Metetra
.671 .749 .909 r
.87814 .31184 .88078 .31578 .88744 .3135 .88481 .30954 Metetra
.657 .74 .911 r
.28664 .49882 .29015 .50208 .29554 .50041 .29205 .49714 Metetra
.657 .739 .911 r
.29205 .49714 .29554 .50041 .30095 .49876 .29746 .49547 Metetra
.656 .739 .911 r
.29746 .49547 .30095 .49876 .30636 .49711 .30288 .4938 Metetra
.655 .737 .91 r
.30288 .4938 .30636 .49711 .31179 .49547 .30832 .49214 Metetra
.654 .736 .91 r
.30832 .49214 .31179 .49547 .31723 .49384 .31376 .49049 Metetra
.653 .736 .91 r
.31376 .49049 .31723 .49384 .32268 .4922 .31922 .48886 Metetra
.652 .736 .911 r
.31922 .48886 .32268 .4922 .32814 .49055 .32469 .48722 Metetra
.653 .738 .912 r
.32469 .48722 .32814 .49055 .33362 .48887 .33016 .48558 Metetra
.654 .74 .913 r
.33016 .48558 .33362 .48887 .3391 .48717 .33566 .48391 Metetra
.656 .743 .914 r
.33566 .48391 .3391 .48717 .3446 .48546 .34116 .48221 Metetra
.658 .745 .914 r
.34116 .48221 .3446 .48546 .35011 .48376 .34668 .48049 Metetra
.657 .744 .914 r
.34668 .48049 .35011 .48376 .35563 .48211 .35221 .47876 Metetra
.654 .739 .911 r
.35221 .47876 .35563 .48211 .36116 .48055 .35775 .47708 Metetra
.649 .73 .908 r
.35775 .47708 .36116 .48055 .3667 .47908 .3633 .47547 Metetra
.641 .72 .905 r
.3633 .47547 .3667 .47908 .37224 .47769 .36885 .47397 Metetra
.634 .712 .903 r
.36885 .47397 .37224 .47769 .3778 .47631 .37442 .47257 Metetra
.63 .71 .904 r
.37442 .47257 .3778 .47631 .38337 .47485 .37999 .47123 Metetra
.633 .718 .908 r
.37999 .47123 .38337 .47485 .38896 .47323 .38558 .46984 Metetra
.642 .735 .916 r
.38558 .46984 .38896 .47323 .39457 .4714 .39119 .46831 Metetra
.657 .759 .925 r
.39119 .46831 .39457 .4714 .4002 .46937 .39682 .46655 Metetra
.673 .781 .931 r
.39682 .46655 .4002 .46937 .40585 .46727 .40246 .46456 Metetra
.682 .79 .931 r
.40246 .46456 .40585 .46727 .4115 .4653 .40813 .46242 Metetra
.679 .779 .926 r
.40813 .46242 .4115 .4653 .41715 .4637 .41381 .46033 Metetra
.658 .743 .913 r
.41381 .46033 .41715 .4637 .4228 .46266 .41948 .45855 Metetra
.621 .688 .892 r
.41948 .45855 .4228 .46266 .42844 .46231 .42515 .45733 Metetra
.575 .628 .867 r
.42515 .45733 .42844 .46231 .43408 .46257 .43082 .45685 Metetra
.531 .577 .846 r
.43082 .45685 .43408 .46257 .43973 .46321 .43648 .45709 Metetra
.499 .546 .835 r
.43648 .45709 .43973 .46321 .4454 .46386 .44214 .45786 Metetra
.486 .544 .841 r
.44214 .45786 .4454 .46386 .4511 .46407 .44783 .45878 Metetra
.497 .578 .867 r
.44783 .45878 .4511 .46407 .45683 .46348 .45354 .45937 Metetra
.537 .658 .914 r
.45354 .45937 .45683 .46348 .46261 .4618 .45929 .45918 Metetra
.606 .782 .965 r
.45929 .45918 .46261 .4618 .46841 .459 .46508 .45788 Metetra
.677 .91 .975 r
.46508 .45788 .46841 .459 .47424 .4552 .47091 .45533 Metetra
.712 .977 .916 r
.47091 .45533 .47424 .4552 .48009 .45069 .47676 .45163 Metetra
.721 .989 .841 r
.47676 .45163 .48009 .45069 .48594 .44583 .48262 .44707 Metetra
.736 .989 .808 r
.48262 .44707 .48594 .44583 .4918 .44098 .4885 .44204 Metetra
.762 .996 .825 r
.4885 .44204 .4918 .44098 .49765 .43641 .49438 .43692 Metetra
.786 .995 .869 r
.49438 .43692 .49765 .43641 .50351 .4323 .50026 .43206 Metetra
.793 .973 .911 r
.50026 .43206 .50351 .4323 .50936 .42871 .50613 .42766 Metetra
.778 .929 .933 r
.50613 .42766 .50936 .42871 .51522 .42559 .51201 .42382 Metetra
.751 .878 .938 r
.51201 .42382 .51522 .42559 .52109 .42288 .51789 .42051 Metetra
.723 .833 .933 r
.51789 .42051 .52109 .42288 .52697 .42046 .52378 .41766 Metetra
.701 .8 .927 r
.52378 .41766 .52697 .42046 .53286 .41824 .52968 .41516 Metetra
.685 .778 .921 r
.52968 .41516 .53286 .41824 .53876 .41614 .53559 .41289 Metetra
.675 .765 .918 r
.53559 .41289 .53876 .41614 .54468 .41411 .54151 .41077 Metetra
.67 .758 .917 r
.54151 .41077 .54468 .41411 .5506 .41211 .54745 .40873 Metetra
.666 .755 .916 r
.54745 .40873 .5506 .41211 .55654 .41014 .5534 .40674 Metetra
.665 .753 .916 r
.5534 .40674 .55654 .41014 .5625 .40818 .55936 .40476 Metetra
.664 .753 .916 r
.55936 .40476 .5625 .40818 .56846 .40622 .56533 .4028 Metetra
.663 .752 .917 r
.56533 .4028 .56846 .40622 .57444 .40428 .57132 .40084 Metetra
.662 .752 .917 r
.57132 .40084 .57444 .40428 .58043 .40233 .57732 .3989 Metetra
.661 .752 .917 r
.57732 .3989 .58043 .40233 .58644 .4004 .58334 .39696 Metetra
.66 .752 .918 r
.58334 .39696 .58644 .4004 .59245 .39847 .58936 .39504 Metetra
.658 .752 .919 r
.58936 .39504 .59245 .39847 .59849 .39656 .59541 .39313 Metetra
.656 .753 .921 r
.59541 .39313 .59849 .39656 .60453 .39466 .60146 .39126 Metetra
.654 .753 .923 r
.60146 .39126 .60453 .39466 .61059 .39279 .60753 .38941 Metetra
.65 .754 .926 r
.60753 .38941 .61059 .39279 .61667 .39096 .61362 .38761 Metetra
.645 .755 .929 r
.61362 .38761 .61667 .39096 .62276 .38916 .61972 .38588 Metetra
.638 .757 .934 r
.61972 .38588 .62276 .38916 .62886 .38742 .62584 .38422 Metetra
.629 .76 .941 r
.62584 .38422 .62886 .38742 .63499 .38576 .63197 .38266 Metetra
.617 .763 .949 r
.63197 .38266 .63499 .38576 .64113 .3842 .63813 .38123 Metetra
.602 .767 .959 r
.63813 .38123 .64113 .3842 .64729 .38275 .6443 .37994 Metetra
.582 .771 .969 r
.6443 .37994 .64729 .38275 .65347 .38143 .6505 .3788 Metetra
.557 .776 .98 r
.6505 .3788 .65347 .38143 .65967 .38025 .65673 .37783 Metetra
.528 .78 .989 r
.65673 .37783 .65967 .38025 .6659 .37923 .66298 .37701 Metetra
.5 .783 .996 r
.66298 .37701 .6659 .37923 .67215 .37834 .66925 .3763 Metetra
.477 .787 .999 r
.66925 .3763 .67215 .37834 .67843 .37756 .67554 .37565 Metetra
.47 .794 .999 r
.67554 .37565 .67843 .37756 .68472 .37682 .68185 .37495 Metetra
.485 .805 1 r
.68185 .37495 .68472 .37682 .69104 .37605 .68817 .37412 Metetra
.522 .818 .999 r
.68817 .37412 .69104 .37605 .69736 .37515 .6945 .37304 Metetra
.574 .826 .993 r
.6945 .37304 .69736 .37515 .7037 .37403 .70083 .37163 Metetra
.626 .823 .976 r
.70083 .37163 .7037 .37403 .71003 .37262 .70716 .36983 Metetra
.666 .809 .952 r
.70716 .36983 .71003 .37262 .71636 .37086 .71347 .36765 Metetra
.691 .789 .925 r
.71347 .36765 .71636 .37086 .72268 .36874 .71978 .36513 Metetra
.703 .769 .903 r
.71978 .36513 .72268 .36874 .729 .3663 .72609 .36238 Metetra
.707 .752 .887 r
.72609 .36238 .729 .3663 .73531 .36364 .7324 .35951 Metetra
.704 .741 .88 r
.7324 .35951 .73531 .36364 .74163 .36085 .73872 .35666 Metetra
.698 .735 .88 r
.73872 .35666 .74163 .36085 .74796 .35805 .74507 .35392 Metetra
.689 .736 .887 r
.74507 .35392 .74796 .35805 .7543 .35533 .75143 .35135 Metetra
.68 .741 .897 r
.75143 .35135 .7543 .35533 .76067 .35276 .75783 .34897 Metetra
.671 .749 .909 r
.75783 .34897 .76067 .35276 .76706 .35036 .76424 .34674 Metetra
.664 .758 .919 r
.76424 .34674 .76706 .35036 .77348 .34811 .77068 .34461 Metetra
.662 .765 .926 r
.77068 .34461 .77348 .34811 .77993 .34596 .77714 .34251 Metetra
.663 .769 .928 r
.77714 .34251 .77993 .34596 .78639 .34386 .78361 .34038 Metetra
.667 .769 .926 r
.78361 .34038 .78639 .34386 .79286 .34175 .79009 .33819 Metetra
.672 .766 .922 r
.79009 .33819 .79286 .34175 .79935 .33959 .79658 .33593 Metetra
.676 .762 .916 r
.79658 .33593 .79935 .33959 .80584 .33737 .80308 .3336 Metetra
.678 .757 .911 r
.80308 .3336 .80584 .33737 .81234 .33508 .80958 .33122 Metetra
.678 .752 .907 r
.80958 .33122 .81234 .33508 .81886 .33274 .8161 .32883 Metetra
.678 .749 .905 r
.8161 .32883 .81886 .33274 .82538 .33038 .82264 .32644 Metetra
.676 .748 .905 r
.82264 .32644 .82538 .33038 .83192 .32801 .82919 .32407 Metetra
.674 .748 .906 r
.82919 .32407 .83192 .32801 .83848 .32566 .83576 .32173 Metetra
.673 .748 .907 r
.83576 .32173 .83848 .32566 .84505 .32333 .84234 .31941 Metetra
.672 .749 .909 r
.84234 .31941 .84505 .32333 .85163 .32101 .84894 .31711 Metetra
.671 .75 .91 r
.84894 .31711 .85163 .32101 .85824 .31872 .85556 .31481 Metetra
.671 .75 .91 r
.85556 .31481 .85824 .31872 .86486 .31643 .86219 .31251 Metetra
.671 .75 .91 r
.86219 .31251 .86486 .31643 .87149 .31414 .86883 .3102 Metetra
.671 .749 .909 r
.86883 .3102 .87149 .31414 .87814 .31184 .87549 .30788 Metetra
.671 .749 .909 r
.87549 .30788 .87814 .31184 .88481 .30954 .88217 .30556 Metetra
.657 .74 .911 r
.28313 .49555 .28664 .49882 .29205 .49714 .28854 .49387 Metetra
.657 .74 .911 r
.28854 .49387 .29205 .49714 .29746 .49547 .29396 .49218 Metetra
.656 .74 .911 r
.29396 .49218 .29746 .49547 .30288 .4938 .29939 .4905 Metetra
.656 .739 .911 r
.29939 .4905 .30288 .4938 .30832 .49214 .30483 .48882 Metetra
.655 .738 .911 r
.30483 .48882 .30832 .49214 .31376 .49049 .31028 .48715 Metetra
.654 .736 .91 r
.31028 .48715 .31376 .49049 .31922 .48886 .31574 .48549 Metetra
.653 .735 .91 r
.31574 .48549 .31922 .48886 .32469 .48722 .32122 .48385 Metetra
.652 .735 .91 r
.32122 .48385 .32469 .48722 .33016 .48558 .3267 .48221 Metetra
.652 .736 .911 r
.3267 .48221 .33016 .48558 .33566 .48391 .3322 .48058 Metetra
.653 .739 .912 r
.3322 .48058 .33566 .48391 .34116 .48221 .33771 .47892 Metetra
.655 .742 .914 r
.33771 .47892 .34116 .48221 .34668 .48049 .34323 .47722 Metetra
.657 .745 .915 r
.34323 .47722 .34668 .48049 .35221 .47876 .34877 .4755 Metetra
.658 .745 .915 r
.34877 .4755 .35221 .47876 .35775 .47708 .35432 .47375 Metetra
.656 .742 .913 r
.35432 .47375 .35775 .47708 .3633 .47547 .35988 .47203 Metetra
.651 .734 .91 r
.35988 .47203 .3633 .47547 .36885 .47397 .36545 .47038 Metetra
.644 .723 .906 r
.36545 .47038 .36885 .47397 .37442 .47257 .37103 .46884 Metetra
.635 .712 .903 r
.37103 .46884 .37442 .47257 .37999 .47123 .37661 .46742 Metetra
.628 .707 .902 r
.37661 .46742 .37999 .47123 .38558 .46984 .3822 .4661 Metetra
.628 .71 .906 r
.3822 .4661 .38558 .46984 .39119 .46831 .3878 .46478 Metetra
.635 .725 .913 r
.3878 .46478 .39119 .46831 .39682 .46655 .39343 .46334 Metetra
.649 .75 .923 r
.39343 .46334 .39682 .46655 .40246 .46456 .39907 .46168 Metetra
.668 .777 .931 r
.39907 .46168 .40246 .46456 .40813 .46242 .40474 .45974 Metetra
.683 .794 .934 r
.40474 .45974 .40813 .46242 .41381 .46033 .41042 .45758 Metetra
.686 .791 .929 r
.41042 .45758 .41381 .46033 .41948 .45855 .41612 .45537 Metetra
.67 .76 .918 r
.41612 .45537 .41948 .45855 .42515 .45733 .42182 .4534 Metetra
.634 .704 .897 r
.42182 .4534 .42515 .45733 .43082 .45685 .42752 .45198 Metetra
.584 .638 .871 r
.42752 .45198 .43082 .45685 .43648 .45709 .43321 .45135 Metetra
.532 .578 .846 r
.43321 .45135 .43648 .45709 .44214 .45786 .43889 .45157 Metetra
.49 .536 .831 r
.43889 .45157 .44214 .45786 .44783 .45878 .44458 .45249 Metetra
.466 .523 .833 r
.44458 .45249 .44783 .45878 .45354 .45937 .45028 .45373 Metetra
.466 .549 .857 r
.45028 .45373 .45354 .45937 .45929 .45918 .456 .45478 Metetra
.498 .625 .906 r
.456 .45478 .45929 .45918 .46508 .45788 .46177 .45508 Metetra
.569 .757 .967 r
.46177 .45508 .46508 .45788 .47091 .45533 .46757 .45417 Metetra
.652 .903 .982 r
.46757 .45417 .47091 .45533 .47676 .45163 .47341 .45185 Metetra
.702 .978 .91 r
.47341 .45185 .47676 .45163 .48262 .44707 .47929 .44816 Metetra
.727 .989 .826 r
.47929 .44816 .48262 .44707 .4885 .44204 .48518 .44338 Metetra
.76 .993 .797 r
.48518 .44338 .4885 .44204 .49438 .43692 .49108 .43796 Metetra
.801 1 .822 r
.49108 .43796 .49438 .43692 .50026 .43206 .49698 .43238 Metetra
.827 .99 .867 r
.49698 .43238 .50026 .43206 .50613 .42766 .50288 .42706 Metetra
.824 .953 .901 r
.50288 .42706 .50613 .42766 .51201 .42382 .50878 .42228 Metetra
.796 .897 .915 r
.50878 .42228 .51201 .42382 .51789 .42051 .51468 .41817 Metetra
.758 .841 .914 r
.51468 .41817 .51789 .42051 .52378 .41766 .52058 .41471 Metetra
.724 .796 .908 r
.52058 .41471 .52378 .41766 .52968 .41516 .52649 .41179 Metetra
.699 .765 .903 r
.52649 .41179 .52968 .41516 .53559 .41289 .53241 .40928 Metetra
.682 .746 .899 r
.53241 .40928 .53559 .41289 .54151 .41077 .53834 .40702 Metetra
.673 .736 .897 r
.53834 .40702 .54151 .41077 .54745 .40873 .54428 .40492 Metetra
.668 .731 .897 r
.54428 .40492 .54745 .40873 .5534 .40674 .55024 .40289 Metetra
.665 .728 .897 r
.55024 .40289 .5534 .40674 .55936 .40476 .55621 .4009 Metetra
.664 .727 .897 r
.55621 .4009 .55936 .40476 .56533 .4028 .56219 .39892 Metetra
.663 .727 .897 r
.56219 .39892 .56533 .4028 .57132 .40084 .56819 .39696 Metetra
.662 .726 .897 r
.56819 .39696 .57132 .40084 .57732 .3989 .57419 .39502 Metetra
.66 .726 .898 r
.57419 .39502 .57732 .3989 .58334 .39696 .58022 .39309 Metetra
.659 .727 .899 r
.58022 .39309 .58334 .39696 .58936 .39504 .58625 .39118 Metetra
.657 .727 .901 r
.58625 .39118 .58936 .39504 .59541 .39313 .5923 .3893 Metetra
.654 .728 .903 r
.5923 .3893 .59541 .39313 .60146 .39126 .59837 .38745 Metetra
.651 .729 .907 r
.59837 .38745 .60146 .39126 .60753 .38941 .60445 .38566 Metetra
.646 .731 .911 r
.60445 .38566 .60753 .38941 .61362 .38761 .61054 .38393 Metetra
.64 .733 .916 r
.61054 .38393 .61362 .38761 .61972 .38588 .61666 .38228 Metetra
.631 .736 .923 r
.61666 .38228 .61972 .38588 .62584 .38422 .62279 .38075 Metetra
.62 .74 .932 r
.62279 .38075 .62584 .38422 .63197 .38266 .62894 .37934 Metetra
.604 .744 .943 r
.62894 .37934 .63197 .38266 .63813 .38123 .63511 .3781 Metetra
.584 .75 .956 r
.63511 .3781 .63813 .38123 .6443 .37994 .64131 .37703 Metetra
.559 .756 .97 r
.64131 .37703 .6443 .37994 .6505 .3788 .64752 .37615 Metetra
.528 .762 .983 r
.64752 .37615 .6505 .3788 .65673 .37783 .65377 .37544 Metetra
.495 .768 .992 r
.65377 .37544 .65673 .37783 .66298 .37701 .66004 .37486 Metetra
.467 .774 .997 r
.66004 .37486 .66298 .37701 .66925 .3763 .66633 .37434 Metetra
.454 .783 .998 r
.66633 .37434 .66925 .3763 .67554 .37565 .67264 .37378 Metetra
.466 .797 .999 r
.67264 .37378 .67554 .37565 .68185 .37495 .67896 .37307 Metetra
.506 .814 1 r
.67896 .37307 .68185 .37495 .68817 .37412 .68529 .37207 Metetra
.565 .828 .995 r
.68529 .37207 .68817 .37412 .6945 .37304 .69162 .3707 Metetra
.624 .828 .979 r
.69162 .3707 .6945 .37304 .70083 .37163 .69794 .36889 Metetra
.669 .814 .953 r
.69794 .36889 .70083 .37163 .70716 .36983 .70425 .36666 Metetra
.696 .793 .925 r
.70425 .36666 .70716 .36983 .71347 .36765 .71055 .36405 Metetra
.708 .771 .901 r
.71055 .36405 .71347 .36765 .71978 .36513 .71685 .3612 Metetra
.711 .753 .885 r
.71685 .3612 .71978 .36513 .72609 .36238 .72316 .35825 Metetra
.707 .742 .879 r
.72316 .35825 .72609 .36238 .7324 .35951 .72947 .35533 Metetra
.699 .737 .88 r
.72947 .35533 .7324 .35951 .73872 .35666 .73581 .35256 Metetra
.689 .738 .888 r
.73581 .35256 .73872 .35666 .74507 .35392 .74218 .34999 Metetra
.679 .744 .9 r
.74218 .34999 .74507 .35392 .75143 .35135 .74857 .34762 Metetra
.669 .753 .913 r
.74857 .34762 .75143 .35135 .75783 .34897 .75499 .34542 Metetra
.663 .762 .924 r
.75499 .34542 .75783 .34897 .76424 .34674 .76143 .3433 Metetra
.661 .769 .929 r
.76143 .3433 .76424 .34674 .77068 .34461 .76788 .3412 Metetra
.664 .772 .93 r
.76788 .3412 .77068 .34461 .77714 .34251 .77435 .33905 Metetra
.669 .772 .927 r
.77435 .33905 .77714 .34251 .78361 .34038 .78082 .33682 Metetra
.674 .768 .921 r
.78082 .33682 .78361 .34038 .79009 .33819 .7873 .33451 Metetra
.678 .762 .914 r
.7873 .33451 .79009 .33819 .79658 .33593 .79379 .33213 Metetra
.68 .756 .909 r
.79379 .33213 .79658 .33593 .80308 .3336 .80029 .32971 Metetra
.68 .752 .906 r
.80029 .32971 .80308 .3336 .80958 .33122 .80681 .32729 Metetra
.678 .749 .904 r
.80681 .32729 .80958 .33122 .8161 .32883 .81334 .32488 Metetra
.677 .748 .905 r
.81334 .32488 .8161 .32883 .82264 .32644 .81988 .3225 Metetra
.675 .748 .906 r
.81988 .3225 .82264 .32644 .82919 .32407 .82645 .32015 Metetra
.673 .749 .908 r
.82645 .32015 .82919 .32407 .83576 .32173 .83303 .31783 Metetra
.672 .75 .909 r
.83303 .31783 .83576 .32173 .84234 .31941 .83962 .31551 Metetra
.672 .751 .91 r
.83962 .31551 .84234 .31941 .84894 .31711 .84624 .3132 Metetra
.672 .751 .91 r
.84624 .3132 .84894 .31711 .85556 .31481 .85286 .31088 Metetra
.672 .75 .91 r
.85286 .31088 .85556 .31481 .86219 .31251 .8595 .30856 Metetra
.672 .75 .909 r
.8595 .30856 .86219 .31251 .86883 .3102 .86616 .30623 Metetra
.672 .749 .908 r
.86616 .30623 .86883 .3102 .87549 .30788 .87283 .30389 Metetra
.672 .748 .908 r
.87283 .30389 .87549 .30788 .88217 .30556 .87951 .30155 Metetra
.656 .739 .911 r
.2796 .49226 .28313 .49555 .28854 .49387 .28501 .49058 Metetra
.656 .74 .911 r
.28501 .49058 .28854 .49387 .29396 .49218 .29044 .48889 Metetra
.656 .74 .911 r
.29044 .48889 .29396 .49218 .29939 .4905 .29588 .4872 Metetra
.656 .74 .911 r
.29588 .4872 .29939 .4905 .30483 .48882 .30132 .48551 Metetra
.656 .74 .911 r
.30132 .48551 .30483 .48882 .31028 .48715 .30678 .48382 Metetra
.655 .738 .911 r
.30678 .48382 .31028 .48715 .31574 .48549 .31226 .48213 Metetra
.654 .737 .91 r
.31226 .48213 .31574 .48549 .32122 .48385 .31774 .48046 Metetra
.653 .735 .91 r
.31774 .48046 .32122 .48385 .3267 .48221 .32323 .47881 Metetra
.651 .734 .91 r
.32323 .47881 .3267 .48221 .3322 .48058 .32873 .47717 Metetra
.651 .735 .911 r
.32873 .47717 .3322 .48058 .33771 .47892 .33425 .47554 Metetra
.651 .737 .912 r
.33425 .47554 .33771 .47892 .34323 .47722 .33978 .47389 Metetra
.653 .74 .914 r
.33978 .47389 .34323 .47722 .34877 .4755 .34532 .47221 Metetra
.656 .744 .915 r
.34532 .47221 .34877 .4755 .35432 .47375 .35087 .47049 Metetra
.658 .747 .916 r
.35087 .47049 .35432 .47375 .35988 .47203 .35644 .46874 Metetra
.657 .745 .915 r
.35644 .46874 .35988 .47203 .36545 .47038 .36202 .46699 Metetra
.654 .739 .912 r
.36202 .46699 .36545 .47038 .37103 .46884 .36761 .46529 Metetra
.646 .727 .908 r
.36761 .46529 .37103 .46884 .37661 .46742 .37321 .46369 Metetra
.637 .714 .903 r
.37321 .46369 .37661 .46742 .3822 .4661 .37881 .46224 Metetra
.628 .704 .901 r
.37881 .46224 .3822 .4661 .3878 .46478 .38442 .46091 Metetra
.624 .703 .902 r
.38442 .46091 .3878 .46478 .39343 .46334 .39004 .45963 Metetra
.628 .714 .909 r
.39004 .45963 .39343 .46334 .39907 .46168 .39568 .45829 Metetra
.641 .738 .919 r
.39568 .45829 .39907 .46168 .40474 .45974 .40134 .45675 Metetra
.661 .769 .93 r
.40134 .45675 .40474 .45974 .41042 .45758 .40702 .4549 Metetra
.68 .795 .936 r
.40702 .4549 .41042 .45758 .41612 .45537 .41273 .45277 Metetra
.689 .803 .935 r
.41273 .45277 .41612 .45537 .42182 .4534 .41845 .4505 Metetra
.68 .781 .927 r
.41845 .4505 .42182 .4534 .42752 .45198 .42418 .44837 Metetra
.647 .728 .908 r
.42418 .44837 .42752 .45198 .43321 .45135 .4299 .44673 Metetra
.596 .656 .879 r
.4299 .44673 .43321 .45135 .43889 .45157 .43562 .44588 Metetra
.54 .584 .848 r
.43562 .44588 .43889 .45157 .44458 .45249 .44132 .44596 Metetra
.493 .53 .824 r
.44132 .44596 .44458 .45249 .45028 .45373 .44703 .44689 Metetra
.463 .504 .815 r
.44703 .44689 .45028 .45373 .456 .45478 .45274 .44833 Metetra
.458 .514 .828 r
.45274 .44833 .456 .45478 .46177 .45508 .45849 .44971 Metetra
.485 .572 .868 r
.45849 .44971 .46177 .45508 .46757 .45417 .46426 .45044 Metetra
.551 .689 .931 r
.46426 .45044 .46757 .45417 .47341 .45185 .47008 .44997 Metetra
.645 .851 .979 r
.47008 .44997 .47341 .45185 .47929 .44816 .47594 .448 Metetra
.708 .968 .934 r
.47594 .448 .47929 .44816 .48518 .44338 .48184 .44453 Metetra
.708 .984 .817 r
.48184 .44453 .48518 .44338 .49108 .43796 .48775 .43981 Metetra
.699 .967 .733 r
.48775 .43981 .49108 .43796 .49698 .43238 .49367 .43432 Metetra
.713 .968 .724 r
.49367 .43432 .49698 .43238 .50288 .42706 .4996 .42856 Metetra
.746 .987 .774 r
.4996 .42856 .50288 .42706 .50878 .42228 .50552 .42302 Metetra
.775 .997 .849 r
.50552 .42302 .50878 .42228 .51468 .41817 .51144 .418 Metetra
.781 .978 .911 r
.51144 .418 .51468 .41817 .52058 .41471 .51736 .41366 Metetra
.763 .931 .941 r
.51736 .41366 .52058 .41471 .52649 .41179 .52328 .40999 Metetra
.734 .878 .947 r
.52328 .40999 .52649 .41179 .53241 .40928 .52921 .40691 Metetra
.707 .834 .943 r
.52921 .40691 .53241 .40928 .53834 .40702 .53515 .40427 Metetra
.688 .803 .936 r
.53515 .40427 .53834 .40702 .54428 .40492 .54111 .40193 Metetra
.676 .784 .931 r
.54111 .40193 .54428 .40492 .55024 .40289 .54707 .39977 Metetra
.668 .774 .929 r
.54707 .39977 .55024 .40289 .55621 .4009 .55305 .39772 Metetra
.664 .769 .928 r
.55305 .39772 .55621 .4009 .56219 .39892 .55904 .39572 Metetra
.662 .768 .928 r
.55904 .39572 .56219 .39892 .56819 .39696 .56505 .39375 Metetra
.66 .767 .929 r
.56505 .39375 .56819 .39696 .57419 .39502 .57106 .39181 Metetra
.658 .767 .93 r
.57106 .39181 .57419 .39502 .58022 .39309 .5771 .38989 Metetra
.656 .768 .932 r
.5771 .38989 .58022 .39309 .58625 .39118 .58314 .38799 Metetra
.653 .768 .934 r
.58314 .38799 .58625 .39118 .5923 .3893 .5892 .38613 Metetra
.649 .768 .936 r
.5892 .38613 .5923 .3893 .59837 .38745 .59528 .38432 Metetra
.643 .769 .94 r
.59528 .38432 .59837 .38745 .60445 .38566 .60137 .38257 Metetra
.635 .77 .945 r
.60137 .38257 .60445 .38566 .61054 .38393 .60748 .38091 Metetra
.625 .772 .951 r
.60748 .38091 .61054 .38393 .61666 .38228 .6136 .37937 Metetra
.61 .774 .959 r
.6136 .37937 .61666 .38228 .62279 .38075 .61975 .37796 Metetra
.591 .777 .969 r
.61975 .37796 .62279 .38075 .62894 .37934 .62591 .37672 Metetra
.565 .779 .979 r
.62591 .37672 .62894 .37934 .63511 .3781 .6321 .37567 Metetra
.532 .781 .989 r
.6321 .37567 .63511 .3781 .64131 .37703 .63832 .37482 Metetra
.492 .781 .996 r
.63832 .37482 .64131 .37703 .64752 .37615 .64456 .37416 Metetra
.45 .779 .998 r
.64456 .37416 .64752 .37615 .65377 .37544 .65082 .37365 Metetra
.416 .777 .995 r
.65082 .37365 .65377 .37544 .66004 .37486 .65711 .37321 Metetra
.403 .782 .992 r
.65711 .37321 .66004 .37486 .66633 .37434 .66341 .37274 Metetra
.424 .796 .994 r
.66341 .37274 .66633 .37434 .67264 .37378 .66973 .3721 Metetra
.48 .818 .999 r
.66973 .3721 .67264 .37378 .67896 .37307 .67606 .37116 Metetra
.554 .834 .997 r
.67606 .37116 .67896 .37307 .68529 .37207 .68238 .36979 Metetra
.624 .833 .98 r
.68238 .36979 .68529 .37207 .69162 .3707 .68869 .36796 Metetra
.674 .815 .951 r
.68869 .36796 .69162 .3707 .69794 .36889 .695 .36565 Metetra
.701 .79 .92 r
.695 .36565 .69794 .36889 .70425 .36666 .7013 .36296 Metetra
.712 .767 .895 r
.7013 .36296 .70425 .36666 .71055 .36405 .70759 .36002 Metetra
.713 .749 .88 r
.70759 .36002 .71055 .36405 .71685 .3612 .71389 .35699 Metetra
.708 .738 .875 r
.71389 .35699 .71685 .3612 .72316 .35825 .72021 .35403 Metetra
.699 .735 .879 r
.72021 .35403 .72316 .35825 .72947 .35533 .72655 .35125 Metetra
.688 .739 .89 r
.72655 .35125 .72947 .35533 .73581 .35256 .73291 .3487 Metetra
.677 .748 .904 r
.73291 .3487 .73581 .35256 .74218 .34999 .7393 .34636 Metetra
.668 .759 .918 r
.7393 .34636 .74218 .34999 .74857 .34762 .74572 .34418 Metetra
.662 .769 .929 r
.74572 .34418 .74857 .34762 .75499 .34542 .75215 .34207 Metetra
.662 .775 .933 r
.75215 .34207 .75499 .34542 .76143 .3433 .7586 .33995 Metetra
.666 .777 .932 r
.7586 .33995 .76143 .3433 .76788 .3412 .76506 .33776 Metetra
.672 .774 .927 r
.76506 .33776 .76788 .3412 .77435 .33905 .77153 .33548 Metetra
.678 .768 .919 r
.77153 .33548 .77435 .33905 .78082 .33682 .778 .33311 Metetra
.681 .762 .912 r
.778 .33311 .78082 .33682 .7873 .33451 .78449 .33068 Metetra
.682 .755 .907 r
.78449 .33068 .7873 .33451 .79379 .33213 .79098 .32822 Metetra
.681 .751 .904 r
.79098 .32822 .79379 .33213 .80029 .32971 .79749 .32577 Metetra
.679 .749 .904 r
.79749 .32577 .80029 .32971 .80681 .32729 .80402 .32334 Metetra
.677 .748 .905 r
.80402 .32334 .80681 .32729 .81334 .32488 .81056 .32096 Metetra
.675 .749 .907 r
.81056 .32096 .81334 .32488 .81988 .3225 .81712 .3186 Metetra
.673 .75 .909 r
.81712 .3186 .81988 .3225 .82645 .32015 .8237 .31626 Metetra
.673 .751 .91 r
.8237 .31626 .82645 .32015 .83303 .31783 .83029 .31393 Metetra
.672 .752 .91 r
.83029 .31393 .83303 .31783 .83962 .31551 .8369 .31161 Metetra
.672 .752 .91 r
.8369 .31161 .83962 .31551 .84624 .3132 .84352 .30927 Metetra
.673 .751 .909 r
.84352 .30927 .84624 .3132 .85286 .31088 .85016 .30693 Metetra
.673 .75 .909 r
.85016 .30693 .85286 .31088 .8595 .30856 .85681 .30458 Metetra
.673 .749 .908 r
.85681 .30458 .8595 .30856 .86616 .30623 .86347 .30222 Metetra
.672 .748 .908 r
.86347 .30222 .86616 .30623 .87283 .30389 .87015 .29987 Metetra
.672 .747 .907 r
.87015 .29987 .87283 .30389 .87951 .30155 .87685 .29752 Metetra
.656 .739 .911 r
.27606 .48895 .2796 .49226 .28501 .49058 .28148 .48727 Metetra
.656 .739 .911 r
.28148 .48727 .28501 .49058 .29044 .48889 .28691 .48558 Metetra
.656 .739 .911 r
.28691 .48558 .29044 .48889 .29588 .4872 .29235 .48389 Metetra
.656 .74 .911 r
.29235 .48389 .29588 .4872 .30132 .48551 .29781 .48219 Metetra
.656 .74 .912 r
.29781 .48219 .30132 .48551 .30678 .48382 .30327 .48049 Metetra
.656 .74 .912 r
.30327 .48049 .30678 .48382 .31226 .48213 .30875 .47879 Metetra
.655 .739 .911 r
.30875 .47879 .31226 .48213 .31774 .48046 .31424 .47709 Metetra
.654 .737 .911 r
.31424 .47709 .31774 .48046 .32323 .47881 .31974 .47541 Metetra
.653 .736 .91 r
.31974 .47541 .32323 .47881 .32873 .47717 .32525 .47374 Metetra
.651 .734 .91 r
.32525 .47374 .32873 .47717 .33425 .47554 .33078 .4721 Metetra
.65 .733 .91 r
.33078 .4721 .33425 .47554 .33978 .47389 .33631 .47046 Metetra
.65 .735 .911 r
.33631 .47046 .33978 .47389 .34532 .47221 .34185 .46883 Metetra
.651 .738 .913 r
.34185 .46883 .34532 .47221 .35087 .47049 .34741 .46717 Metetra
.654 .743 .915 r
.34741 .46717 .35087 .47049 .35644 .46874 .35299 .46546 Metetra
.657 .747 .916 r
.35299 .46546 .35644 .46874 .36202 .46699 .35857 .46371 Metetra
.658 .748 .916 r
.35857 .46371 .36202 .46699 .36761 .46529 .36417 .46194 Metetra
.656 .743 .914 r
.36417 .46194 .36761 .46529 .37321 .46369 .36978 .46019 Metetra
.65 .732 .909 r
.36978 .46019 .37321 .46369 .37881 .46224 .3754 .45852 Metetra
.64 .718 .904 r
.3754 .45852 .37881 .46224 .38442 .46091 .38103 .45701 Metetra
.629 .704 .9 r
.38103 .45701 .38442 .46091 .39004 .45963 .38666 .45566 Metetra
.621 .697 .899 r
.38666 .45566 .39004 .45963 .39568 .45829 .3923 .45442 Metetra
.62 .703 .905 r
.3923 .45442 .39568 .45829 .40134 .45675 .39795 .45319 Metetra
.63 .725 .916 r
.39795 .45319 .40134 .45675 .40702 .4549 .40363 .45179 Metetra
.65 .759 .93 r
.40363 .45179 .40702 .4549 .41273 .45277 .40932 .45009 Metetra
.673 .795 .939 r
.40932 .45009 .41273 .45277 .41845 .4505 .41505 .44803 Metetra
.691 .814 .941 r
.41505 .44803 .41845 .4505 .42418 .44837 .42079 .44571 Metetra
.692 .801 .933 r
.42079 .44571 .42418 .44837 .4299 .44673 .42654 .44339 Metetra
.667 .752 .914 r
.42654 .44339 .4299 .44673 .43562 .44588 .43229 .44144 Metetra
.617 .675 .882 r
.43229 .44144 .43562 .44588 .44132 .44596 .43804 .44025 Metetra
.555 .592 .846 r
.43804 .44025 .44132 .44596 .44703 .44689 .44377 .44011 Metetra
.497 .525 .816 r
.44377 .44011 .44703 .44689 .45274 .44833 .4495 .44103 Metetra
.451 .484 .802 r
.4495 .44103 .45274 .44833 .45849 .44971 .45523 .44275 Metetra
.424 .479 .813 r
.45523 .44275 .45849 .44971 .46426 .45044 .46098 .44474 Metetra
.422 .525 .857 r
.46098 .44474 .46426 .45044 .47008 .44997 .46677 .44627 Metetra
.456 .65 .943 r
.46677 .44627 .47008 .44997 .47594 .448 .4726 .44667 Metetra
.514 .848 .997 r
.4726 .44667 .47594 .448 .48184 .44453 .47847 .44543 Metetra
.498 .904 .81 r
.47847 .44543 .48184 .44453 .48775 .43981 .48438 .44239 Metetra
.454 .824 .571 r
.48438 .44239 .48775 .43981 .49367 .43432 .49032 .4377 Metetra
.49032 .4377 .49367 .43432 .4996 .42856 .49627 .43185 Metetra
.569 .856 .531 r
.49627 .43185 .4996 .42856 .50552 .42302 .50222 .42545 Metetra
.698 .946 .662 r
.50222 .42545 .50552 .42302 .51144 .418 .50817 .41911 Metetra
.803 .999 .808 r
.50817 .41911 .51144 .418 .51736 .41366 .51412 .41331 Metetra
.827 .968 .893 r
.51412 .41331 .51736 .41366 .52328 .40999 .52006 .40833 Metetra
.793 .891 .915 r
.52006 .40833 .52328 .40999 .52921 .40691 .526 .40423 Metetra
.746 .819 .909 r
.526 .40423 .52921 .40691 .53515 .40427 .53195 .40092 Metetra
.708 .77 .901 r
.53195 .40092 .53515 .40427 .54111 .40193 .53791 .39821 Metetra
.684 .743 .896 r
.53791 .39821 .54111 .40193 .54707 .39977 .54388 .3959 Metetra
.67 .73 .895 r
.54388 .3959 .54707 .39977 .55305 .39772 .54987 .39382 Metetra
.663 .727 .897 r
.54987 .39382 .55305 .39772 .55904 .39572 .55587 .39184 Metetra
.661 .727 .899 r
.55587 .39184 .55904 .39572 .56505 .39375 .56188 .38989 Metetra
.659 .728 .901 r
.56188 .38989 .56505 .39375 .57106 .39181 .56791 .38797 Metetra
.657 .73 .903 r
.56791 .38797 .57106 .39181 .5771 .38989 .57395 .38607 Metetra
.655 .73 .905 r
.57395 .38607 .5771 .38989 .58314 .38799 .58001 .38421 Metetra
.651 .732 .908 r
.58001 .38421 .58314 .38799 .5892 .38613 .58608 .38241 Metetra
.645 .733 .913 r
.58608 .38241 .5892 .38613 .59528 .38432 .59216 .38068 Metetra
.638 .736 .92 r
.59216 .38068 .59528 .38432 .60137 .38257 .59827 .37906 Metetra
.627 .74 .929 r
.59827 .37906 .60137 .38257 .60748 .38091 .60439 .37756 Metetra
.613 .745 .94 r
.60439 .37756 .60748 .38091 .6136 .37937 .61053 .37621 Metetra
.592 .752 .954 r
.61053 .37621 .6136 .37937 .61975 .37796 .61669 .37506 Metetra
.564 .759 .97 r
.61669 .37506 .61975 .37796 .62591 .37672 .62288 .37412 Metetra
.524 .765 .985 r
.62288 .37412 .62591 .37672 .6321 .37567 .62909 .37341 Metetra
.472 .768 .995 r
.62909 .37341 .6321 .37567 .63832 .37482 .63532 .37291 Metetra
.412 .766 .995 r
.63532 .37291 .63832 .37482 .64456 .37416 .64159 .37259 Metetra
.355 .761 .983 r
.64159 .37259 .64456 .37416 .65082 .37365 .64788 .37234 Metetra
.324 .761 .967 r
.64788 .37234 .65082 .37365 .65711 .37321 .65418 .37204 Metetra
.341 .779 .965 r
.65418 .37204 .65711 .37321 .66341 .37274 .6605 .37152 Metetra
.411 .816 .981 r
.6605 .37152 .66341 .37274 .66973 .3721 .66682 .37064 Metetra
.516 .851 .996 r
.66682 .37064 .66973 .3721 .67606 .37116 .67314 .36927 Metetra
.615 .86 .99 r
.67314 .36927 .67606 .37116 .68238 .36979 .67945 .36735 Metetra
.68 .839 .96 r
.67945 .36735 .68238 .36979 .68869 .36796 .68575 .36491 Metetra
.711 .807 .924 r
.68575 .36491 .68869 .36796 .695 .36565 .69203 .36206 Metetra
.721 .776 .896 r
.69203 .36206 .695 .36565 .7013 .36296 .69832 .35896 Metetra
.719 .753 .879 r
.69832 .35896 .7013 .36296 .70759 .36002 .70461 .35581 Metetra
.711 .74 .874 r
.70461 .35581 .70759 .36002 .71389 .35699 .71092 .35278 Metetra
.7 .736 .879 r
.71092 .35278 .71389 .35699 .72021 .35403 .71726 .34998 Metetra
.687 .741 .892 r
.71726 .34998 .72021 .35403 .72655 .35125 .72362 .34745 Metetra
.675 .751 .908 r
.72362 .34745 .72655 .35125 .73291 .3487 .73002 .34515 Metetra
.665 .763 .923 r
.73002 .34515 .73291 .3487 .7393 .34636 .73643 .343 Metetra
.661 .774 .933 r
.73643 .343 .7393 .34636 .74572 .34418 .74286 .3409 Metetra
.663 .781 .936 r
.74286 .3409 .74572 .34418 .75215 .34207 .74931 .33876 Metetra
.669 .781 .933 r
.74931 .33876 .75215 .34207 .7586 .33995 .75576 .33652 Metetra
.676 .777 .926 r
.75576 .33652 .7586 .33995 .76506 .33776 .76222 .33417 Metetra
.682 .769 .917 r
.76222 .33417 .76506 .33776 .77153 .33548 .76869 .33174 Metetra
.684 .761 .91 r
.76869 .33174 .77153 .33548 .778 .33311 .77517 .32924 Metetra
.684 .755 .905 r
.77517 .32924 .778 .33311 .78449 .33068 .78166 .32674 Metetra
.682 .751 .903 r
.78166 .32674 .78449 .33068 .79098 .32822 .78816 .32426 Metetra
.68 .749 .903 r
.78816 .32426 .79098 .32822 .79749 .32577 .79468 .32182 Metetra
.677 .749 .905 r
.79468 .32182 .79749 .32577 .80402 .32334 .80122 .31943 Metetra
.675 .75 .908 r
.80122 .31943 .80402 .32334 .81056 .32096 .80778 .31706 Metetra
.674 .752 .909 r
.80778 .31706 .81056 .32096 .81712 .3186 .81435 .31471 Metetra
.673 .753 .91 r
.81435 .31471 .81712 .3186 .8237 .31626 .82094 .31237 Metetra
.673 .753 .911 r
.82094 .31237 .8237 .31626 .83029 .31393 .82754 .31002 Metetra
.673 .752 .91 r
.82754 .31002 .83029 .31393 .8369 .31161 .83416 .30767 Metetra
.674 .751 .909 r
.83416 .30767 .8369 .31161 .84352 .30927 .84079 .3053 Metetra
.674 .75 .908 r
.84079 .3053 .84352 .30927 .85016 .30693 .84744 .30293 Metetra
.673 .749 .908 r
.84744 .30293 .85016 .30693 .85681 .30458 .8541 .30056 Metetra
.673 .748 .907 r
.8541 .30056 .85681 .30458 .86347 .30222 .86077 .29819 Metetra
.672 .748 .907 r
.86077 .29819 .86347 .30222 .87015 .29987 .86746 .29583 Metetra
.672 .747 .907 r
.86746 .29583 .87015 .29987 .87685 .29752 .87417 .29347 Metetra
.656 .739 .911 r
.2725 .48564 .27606 .48895 .28148 .48727 .27793 .48394 Metetra
.656 .739 .911 r
.27793 .48394 .28148 .48727 .28691 .48558 .28337 .48224 Metetra
.656 .739 .911 r
.28337 .48224 .28691 .48558 .29235 .48389 .28882 .48055 Metetra
.656 .739 .911 r
.28882 .48055 .29235 .48389 .29781 .48219 .29428 .47885 Metetra
.656 .739 .911 r
.29428 .47885 .29781 .48219 .30327 .48049 .29975 .47715 Metetra
.656 .74 .912 r
.29975 .47715 .30327 .48049 .30875 .47879 .30524 .47545 Metetra
.656 .74 .912 r
.30524 .47545 .30875 .47879 .31424 .47709 .31073 .47374 Metetra
.655 .74 .912 r
.31073 .47374 .31424 .47709 .31974 .47541 .31624 .47203 Metetra
.655 .738 .911 r
.31624 .47203 .31974 .47541 .32525 .47374 .32176 .47033 Metetra
.653 .736 .911 r
.32176 .47033 .32525 .47374 .33078 .4721 .32729 .46865 Metetra
.651 .734 .91 r
.32729 .46865 .33078 .4721 .33631 .47046 .33283 .46699 Metetra
.649 .733 .91 r
.33283 .46699 .33631 .47046 .34185 .46883 .33838 .46536 Metetra
.649 .733 .911 r
.33838 .46536 .34185 .46883 .34741 .46717 .34395 .46373 Metetra
.649 .735 .912 r
.34395 .46373 .34741 .46717 .35299 .46546 .34952 .46209 Metetra
.652 .74 .914 r
.34952 .46209 .35299 .46546 .35857 .46371 .35511 .46041 Metetra
.655 .746 .916 r
.35511 .46041 .35857 .46371 .36417 .46194 .36072 .45867 Metetra
.658 .749 .917 r
.36072 .45867 .36417 .46194 .36978 .46019 .36634 .45688 Metetra
.658 .748 .916 r
.36634 .45688 .36978 .46019 .3754 .45852 .37197 .45509 Metetra
.654 .739 .912 r
.37197 .45509 .3754 .45852 .38103 .45701 .37761 .45337 Metetra
.644 .724 .907 r
.37761 .45337 .38103 .45701 .38666 .45566 .38326 .45179 Metetra
.631 .707 .901 r
.38326 .45179 .38666 .45566 .3923 .45442 .38891 .45039 Metetra
.62 .695 .898 r
.38891 .45039 .3923 .45442 .39795 .45319 .39457 .44917 Metetra
.615 .694 .9 r
.39457 .44917 .39795 .45319 .40363 .45179 .40024 .448 Metetra
.621 .71 .909 r
.40024 .448 .40363 .45179 .40932 .45009 .40593 .44673 Metetra
.639 .742 .923 r
.40593 .44673 .40932 .45009 .41505 .44803 .41164 .44518 Metetra
.666 .782 .936 r
.41164 .44518 .41505 .44803 .42079 .44571 .41738 .44322 Metetra
.69 .813 .941 r
.41738 .44322 .42079 .44571 .42654 .44339 .42314 .4409 Metetra
.699 .815 .937 r
.42314 .4409 .42654 .44339 .43229 .44144 .42892 .43845 Metetra
.681 .778 .924 r
.42892 .43845 .43229 .44144 .43804 .44025 .4347 .43627 Metetra
.633 .705 .898 r
.4347 .43627 .43804 .44025 .44377 .44011 .44047 .43483 Metetra
.563 .614 .861 r
.44047 .43483 .44377 .44011 .4495 .44103 .44623 .43449 Metetra
.493 .531 .825 r
.44623 .43449 .4495 .44103 .45523 .44275 .45198 .4354 Metetra
.437 .475 .801 r
.45198 .4354 .45523 .44275 .46098 .44474 .45773 .43732 Metetra
.406 .456 .799 r
.45773 .43732 .46098 .44474 .46677 .44627 .4635 .43969 Metetra
.409 .484 .826 r
.4635 .43969 .46677 .44627 .4726 .44667 .4693 .4417 Metetra
.461 .581 .888 r
.4693 .4417 .4726 .44667 .47847 .44543 .47515 .44253 Metetra
.574 .757 .964 r
.47515 .44253 .47847 .44543 .48438 .44239 .48104 .44156 Metetra
.7 .936 .963 r
.48104 .44156 .48438 .44239 .49032 .4377 .48697 .43854 Metetra
.754 .995 .846 r
.48697 .43854 .49032 .4377 .49627 .43185 .49293 .43366 Metetra
.768 .986 .745 r
.49293 .43366 .49627 .43185 .50222 .42545 .49891 .42748 Metetra
.791 .984 .721 r
.49891 .42748 .50222 .42545 .50817 .41911 .50488 .4207 Metetra
.821 .995 .761 r
.50488 .4207 .50817 .41911 .51412 .41331 .51085 .41406 Metetra
.839 .998 .829 r
.51085 .41406 .51412 .41331 .52006 .40833 .51681 .40807 Metetra
.828 .973 .89 r
.51681 .40807 .52006 .40833 .526 .40423 .52278 .40301 Metetra
.792 .923 .924 r
.52278 .40301 .526 .40423 .53195 .40092 .52874 .3989 Metetra
.748 .867 .934 r
.52874 .3989 .53195 .40092 .53791 .39821 .53471 .39559 Metetra
.712 .82 .932 r
.53471 .39559 .53791 .39821 .54388 .3959 .54069 .39285 Metetra
.688 .786 .925 r
.54069 .39285 .54388 .3959 .54987 .39382 .54669 .39049 Metetra
.674 .765 .919 r
.54669 .39049 .54987 .39382 .55587 .39184 .55269 .38833 Metetra
.666 .752 .914 r
.55269 .38833 .55587 .39184 .56188 .38989 .55871 .38629 Metetra
.661 .745 .912 r
.55871 .38629 .56188 .38989 .56791 .38797 .56475 .38433 Metetra
.657 .742 .912 r
.56475 .38433 .56791 .38797 .57395 .38607 .5708 .38243 Metetra
.652 .74 .914 r
.5708 .38243 .57395 .38607 .58001 .38421 .57686 .3806 Metetra
.647 .741 .918 r
.57686 .3806 .58001 .38421 .58608 .38241 .58294 .37884 Metetra
.639 .741 .922 r
.58294 .37884 .58608 .38241 .59216 .38068 .58904 .37718 Metetra
.629 .742 .929 r
.58904 .37718 .59216 .38068 .59827 .37906 .59515 .37564 Metetra
.615 .743 .937 r
.59515 .37564 .59827 .37906 .60439 .37756 .60129 .37427 Metetra
.596 .745 .948 r
.60129 .37427 .60439 .37756 .61053 .37621 .60744 .37311 Metetra
.568 .747 .961 r
.60744 .37311 .61053 .37621 .61669 .37506 .61362 .37219 Metetra
.531 .748 .975 r
.61362 .37219 .61669 .37506 .62288 .37412 .61982 .37153 Metetra
.483 .749 .988 r
.61982 .37153 .62288 .37412 .62909 .37341 .62606 .37113 Metetra
.427 .746 .993 r
.62606 .37113 .62909 .37341 .63532 .37291 .63232 .37095 Metetra
.374 .743 .99 r
.63232 .37095 .63532 .37291 .64159 .37259 .6386 .37089 Metetra
.343 .746 .982 r
.6386 .37089 .64159 .37259 .64788 .37234 .6449 .3708 Metetra
.357 .765 .982 r
.6449 .3708 .64788 .37234 .65418 .37204 .65122 .3705 Metetra
.424 .801 .992 r
.65122 .3705 .65418 .37204 .6605 .37152 .65755 .3698 Metetra
.525 .836 .999 r
.65755 .3698 .6605 .37152 .66682 .37064 .66387 .36854 Metetra
.621 .845 .985 r
.66387 .36854 .66682 .37064 .67314 .36927 .67017 .36666 Metetra
.685 .828 .952 r
.67017 .36666 .67314 .36927 .67945 .36735 .67647 .36418 Metetra
.716 .8 .917 r
.67647 .36418 .67945 .36735 .68575 .36491 .68275 .36124 Metetra
.725 .772 .89 r
.68275 .36124 .68575 .36491 .69203 .36206 .68903 .35803 Metetra
.723 .753 .876 r
.68903 .35803 .69203 .36206 .69832 .35896 .69532 .35479 Metetra
.714 .743 .874 r
.69532 .35479 .69832 .35896 .70461 .35581 .70163 .3517 Metetra
.702 .742 .883 r
.70163 .3517 .70461 .35581 .71092 .35278 .70796 .34888 Metetra
.687 .749 .899 r
.70796 .34888 .71092 .35278 .71726 .34998 .71432 .34635 Metetra
.674 .761 .916 r
.71432 .34635 .71726 .34998 .72362 .34745 .72072 .34407 Metetra
.664 .774 .931 r
.72072 .34407 .72362 .34745 .73002 .34515 .72713 .34192 Metetra
.661 .783 .939 r
.72713 .34192 .73002 .34515 .73643 .343 .73356 .3398 Metetra
.665 .787 .939 r
.73356 .3398 .73643 .343 .74286 .3409 .74 .33762 Metetra
.673 .785 .933 r
.74 .33762 .74286 .3409 .74931 .33876 .74645 .33531 Metetra
.681 .778 .924 r
.74645 .33531 .74931 .33876 .75576 .33652 .7529 .33289 Metetra
.686 .768 .914 r
.7529 .33289 .75576 .33652 .76222 .33417 .75936 .33038 Metetra
.687 .76 .907 r
.75936 .33038 .76222 .33417 .76869 .33174 .76583 .32783 Metetra
.686 .754 .903 r
.76583 .32783 .76869 .33174 .77517 .32924 .77231 .32529 Metetra
.683 .75 .902 r
.77231 .32529 .77517 .32924 .78166 .32674 .77881 .32279 Metetra
.68 .75 .903 r
.77881 .32279 .78166 .32674 .78816 .32426 .78533 .32033 Metetra
.678 .751 .906 r
.78533 .32033 .78816 .32426 .79468 .32182 .79187 .31793 Metetra
.676 .752 .909 r
.79187 .31793 .79468 .32182 .80122 .31943 .79842 .31555 Metetra
.675 .754 .91 r
.79842 .31555 .80122 .31943 .80778 .31706 .80499 .31319 Metetra
.674 .754 .911 r
.80499 .31319 .80778 .31706 .81435 .31471 .81157 .31082 Metetra
.674 .754 .911 r
.81157 .31082 .81435 .31471 .82094 .31237 .81817 .30845 Metetra
.675 .753 .91 r
.81817 .30845 .82094 .31237 .82754 .31002 .82478 .30607 Metetra
.675 .751 .909 r
.82478 .30607 .82754 .31002 .83416 .30767 .83141 .30369 Metetra
.674 .75 .908 r
.83141 .30369 .83416 .30767 .84079 .3053 .83805 .3013 Metetra
.674 .749 .907 r
.83805 .3013 .84079 .3053 .84744 .30293 .8447 .29891 Metetra
.673 .748 .907 r
.8447 .29891 .84744 .30293 .8541 .30056 .85137 .29653 Metetra
.673 .748 .907 r
.85137 .29653 .8541 .30056 .86077 .29819 .85806 .29415 Metetra
.672 .748 .907 r
.85806 .29415 .86077 .29819 .86746 .29583 .86476 .29178 Metetra
.672 .748 .907 r
.86476 .29178 .86746 .29583 .87417 .29347 .87148 .28941 Metetra
.657 .739 .911 r
.26893 .48231 .2725 .48564 .27793 .48394 .27436 .4806 Metetra
.656 .739 .911 r
.27436 .4806 .27793 .48394 .28337 .48224 .27981 .4789 Metetra
.656 .739 .911 r
.27981 .4789 .28337 .48224 .28882 .48055 .28527 .47719 Metetra
.655 .739 .911 r
.28527 .47719 .28882 .48055 .29428 .47885 .29073 .47549 Metetra
.655 .739 .911 r
.29073 .47549 .29428 .47885 .29975 .47715 .29621 .47379 Metetra
.655 .739 .911 r
.29621 .47379 .29975 .47715 .30524 .47545 .3017 .47209 Metetra
.655 .74 .912 r
.3017 .47209 .30524 .47545 .31073 .47374 .30721 .47038 Metetra
.655 .74 .912 r
.30721 .47038 .31073 .47374 .31624 .47203 .31272 .46867 Metetra
.655 .74 .912 r
.31272 .46867 .31624 .47203 .32176 .47033 .31825 .46695 Metetra
.655 .739 .912 r
.31825 .46695 .32176 .47033 .32729 .46865 .32379 .46524 Metetra
.654 .738 .911 r
.32379 .46524 .32729 .46865 .33283 .46699 .32934 .46354 Metetra
.652 .735 .91 r
.32934 .46354 .33283 .46699 .33838 .46536 .3349 .46186 Metetra
.649 .732 .91 r
.3349 .46186 .33838 .46536 .34395 .46373 .34047 .46022 Metetra
.648 .731 .91 r
.34047 .46022 .34395 .46373 .34952 .46209 .34605 .45859 Metetra
.647 .732 .911 r
.34605 .45859 .34952 .46209 .35511 .46041 .35164 .45697 Metetra
.649 .737 .914 r
.35164 .45697 .35511 .46041 .36072 .45867 .35725 .45532 Metetra
.652 .744 .917 r
.35725 .45532 .36072 .45867 .36634 .45688 .36288 .45361 Metetra
.656 .75 .919 r
.36288 .45361 .36634 .45688 .37197 .45509 .36851 .45184 Metetra
.659 .752 .919 r
.36851 .45184 .37197 .45509 .37761 .45337 .37417 .45003 Metetra
.657 .747 .916 r
.37417 .45003 .37761 .45337 .38326 .45179 .37983 .44824 Metetra
.649 .733 .91 r
.37983 .44824 .38326 .45179 .38891 .45039 .3855 .44656 Metetra
.637 .713 .902 r
.3855 .44656 .38891 .45039 .39457 .44917 .39117 .44507 Metetra
.623 .694 .895 r
.39117 .44507 .39457 .44917 .40024 .448 .39685 .44379 Metetra
.613 .684 .894 r
.39685 .44379 .40024 .448 .40593 .44673 .40254 .44266 Metetra
.612 .692 .9 r
.40254 .44266 .40593 .44673 .41164 .44518 .40825 .44153 Metetra
.624 .721 .916 r
.40825 .44153 .41164 .44518 .41738 .44322 .41397 .44019 Metetra
.648 .768 .936 r
.41397 .44019 .41738 .44322 .42314 .4409 .41972 .43847 Metetra
.677 .816 .95 r
.41972 .43847 .42314 .4409 .42892 .43845 .4255 .4363 Metetra
.697 .841 .952 r
.4255 .4363 .42892 .43845 .4347 .43627 .4313 .43384 Metetra
.695 .821 .942 r
.4313 .43384 .4347 .43627 .44047 .43483 .43711 .43142 Metetra
.661 .749 .915 r
.43711 .43142 .44047 .43483 .44623 .43449 .44291 .42953 Metetra
.597 .644 .868 r
.44291 .42953 .44623 .43449 .45198 .4354 .44871 .42865 Metetra
.527 .544 .816 r
.44871 .42865 .45198 .4354 .45773 .43732 .45449 .42907 Metetra
.468 .47 .777 r
.45449 .42907 .45773 .43732 .4635 .43969 .46026 .43077 Metetra
.427 .431 .761 r
.46026 .43077 .4635 .43969 .4693 .4417 .46605 .43334 Metetra
.406 .431 .774 r
.46605 .43334 .4693 .4417 .47515 .44253 .47186 .43606 Metetra
.407 .489 .831 r
.47186 .43606 .47515 .44253 .48104 .44156 .47772 .43804 Metetra
.438 .656 .952 r
.47772 .43804 .48104 .44156 .48697 .43854 .48361 .43848 Metetra
.393 .848 .897 r
.48361 .43848 .48697 .43854 .49293 .43366 .48956 .43685 Metetra
.48956 .43685 .49293 .43366 .49891 .42748 .49553 .43308 Metetra
.49553 .43308 .49891 .42748 .50488 .4207 .50153 .42747 Metetra
.50153 .42747 .50488 .4207 .51085 .41406 .50753 .42067 Metetra
.50753 .42067 .51085 .41406 .51681 .40807 .51353 .41343 Metetra
.51353 .41343 .51681 .40807 .52278 .40301 .51952 .40646 Metetra
.51952 .40646 .52278 .40301 .52874 .3989 .52551 .40026 Metetra
.707 .978 .778 r
.52551 .40026 .52874 .3989 .53471 .39559 .5315 .3951 Metetra
.77 .967 .926 r
.5315 .3951 .53471 .39559 .54069 .39285 .53749 .391 Metetra
.737 .88 .946 r
.53749 .391 .54069 .39285 .54669 .39049 .54349 .38782 Metetra
.696 .815 .939 r
.54349 .38782 .54669 .39049 .55269 .38833 .54951 .38531 Metetra
.667 .784 .936 r
.54951 .38531 .55269 .38833 .55871 .38629 .55554 .38323 Metetra
.65 .777 .941 r
.55554 .38323 .55871 .38629 .56475 .38433 .56158 .38138 Metetra
.64 .782 .949 r
.56158 .38138 .56475 .38433 .5708 .38243 .56765 .37964 Metetra
.632 .79 .958 r
.56765 .37964 .5708 .38243 .57686 .3806 .57372 .37795 Metetra
.622 .798 .967 r
.57372 .37795 .57686 .3806 .58294 .37884 .57982 .37633 Metetra
.606 .804 .976 r
.57982 .37633 .58294 .37884 .58904 .37718 .58593 .37484 Metetra
.581 .807 .985 r
.58593 .37484 .58904 .37718 .59515 .37564 .59206 .37351 Metetra
.543 .809 .995 r
.59206 .37351 .59515 .37564 .60129 .37427 .59821 .37241 Metetra
.485 .805 1 r
.59821 .37241 .60129 .37427 .60744 .37311 .60438 .37158 Metetra
.402 .789 .99 r
.60438 .37158 .60744 .37311 .61362 .37219 .61058 .37103 Metetra
.294 .752 .952 r
.61058 .37103 .61362 .37219 .61982 .37153 .61681 .37075 Metetra
.178 .696 .885 r
.61681 .37075 .61982 .37153 .62606 .37113 .62307 .37068 Metetra
.086 .64 .81 r
.62307 .37068 .62606 .37113 .63232 .37095 .62935 .37072 Metetra
.053 .618 .767 r
.62935 .37072 .63232 .37095 .6386 .37089 .63565 .3707 Metetra
.1 .655 .786 r
.63565 .3707 .6386 .37089 .6449 .3708 .64196 .37041 Metetra
.241 .751 .87 r
.64196 .37041 .6449 .3708 .65122 .3705 .64828 .36965 Metetra
.441 .852 .964 r
.64828 .36965 .65122 .3705 .65755 .3698 .65459 .36827 Metetra
.61 .884 .99 r
.65459 .36827 .65755 .3698 .66387 .36854 .66088 .36619 Metetra
.697 .851 .956 r
.66088 .36619 .66387 .36854 .67017 .36666 .66717 .3635 Metetra
.727 .804 .912 r
.66717 .3635 .67017 .36666 .67647 .36418 .67344 .36035 Metetra
.731 .766 .881 r
.67344 .36035 .67647 .36418 .68275 .36124 .67972 .35699 Metetra
.724 .743 .867 r
.67972 .35699 .68275 .36124 .68903 .35803 .686 .35368 Metetra
.712 .734 .868 r
.686 .35368 .68903 .35803 .69532 .35479 .69231 .35059 Metetra
.698 .737 .881 r
.69231 .35059 .69532 .35479 .70163 .3517 .69865 .34782 Metetra
.683 .75 .902 r
.69865 .34782 .70163 .3517 .70796 .34888 .70501 .34537 Metetra
.67 .767 .923 r
.70501 .34537 .70796 .34888 .71432 .34635 .7114 .34314 Metetra
.662 .784 .939 r
.7114 .34314 .71432 .34635 .72072 .34407 .71782 .34101 Metetra
.662 .795 .946 r
.71782 .34101 .72072 .34407 .72713 .34192 .72424 .33885 Metetra
.669 .797 .943 r
.72424 .33885 .72713 .34192 .73356 .3398 .73067 .33658 Metetra
.679 .791 .934 r
.73067 .33658 .73356 .3398 .74 .33762 .73711 .33417 Metetra
.687 .78 .922 r
.73711 .33417 .74 .33762 .74645 .33531 .74355 .33164 Metetra
.69 .768 .911 r
.74355 .33164 .74645 .33531 .7529 .33289 .75 .32904 Metetra
.69 .758 .904 r
.75 .32904 .7529 .33289 .75936 .33038 .75647 .32643 Metetra
.688 .752 .901 r
.75647 .32643 .75936 .33038 .76583 .32783 .76295 .32386 Metetra
.684 .75 .901 r
.76295 .32386 .76583 .32783 .77231 .32529 .76944 .32134 Metetra
.681 .75 .904 r
.76944 .32134 .77231 .32529 .77881 .32279 .77596 .31888 Metetra
.678 .752 .907 r
.77596 .31888 .77881 .32279 .78533 .32033 .78249 .31646 Metetra
.676 .754 .91 r
.78249 .31646 .78533 .32033 .79187 .31793 .78904 .31407 Metetra
.676 .755 .911 r
.78904 .31407 .79187 .31793 .79842 .31555 .79561 .31169 Metetra
.676 .756 .911 r
.79561 .31169 .79842 .31555 .80499 .31319 .80219 .3093 Metetra
.676 .755 .91 r
.80219 .3093 .80499 .31319 .81157 .31082 .80878 .3069 Metetra
.676 .753 .909 r
.80878 .3069 .81157 .31082 .81817 .30845 .81538 .30449 Metetra
.676 .751 .908 r
.81538 .30449 .81817 .30845 .82478 .30607 .822 .30208 Metetra
.675 .75 .907 r
.822 .30208 .82478 .30607 .83141 .30369 .82864 .29967 Metetra
.675 .749 .907 r
.82864 .29967 .83141 .30369 .83805 .3013 .83529 .29726 Metetra
.674 .748 .907 r
.83529 .29726 .83805 .3013 .8447 .29891 .84196 .29486 Metetra
.673 .748 .907 r
.84196 .29486 .8447 .29891 .85137 .29653 .84864 .29247 Metetra
.673 .748 .907 r
.84864 .29247 .85137 .29653 .85806 .29415 .85534 .29009 Metetra
.672 .748 .907 r
.85534 .29009 .85806 .29415 .86476 .29178 .86205 .28771 Metetra
.672 .748 .908 r
.86205 .28771 .86476 .29178 .87148 .28941 .86878 .28533 Metetra
.657 .74 .911 r
.26534 .47897 .26893 .48231 .27436 .4806 .27079 .47726 Metetra
.657 .74 .911 r
.27079 .47726 .27436 .4806 .27981 .4789 .27624 .47554 Metetra
.656 .739 .911 r
.27624 .47554 .27981 .4789 .28527 .47719 .2817 .47383 Metetra
.656 .739 .911 r
.2817 .47383 .28527 .47719 .29073 .47549 .28718 .47212 Metetra
.655 .739 .911 r
.28718 .47212 .29073 .47549 .29621 .47379 .29266 .47041 Metetra
.655 .738 .911 r
.29266 .47041 .29621 .47379 .3017 .47209 .29816 .46871 Metetra
.655 .739 .911 r
.29816 .46871 .3017 .47209 .30721 .47038 .30367 .467 Metetra
.655 .739 .912 r
.30367 .467 .30721 .47038 .31272 .46867 .30919 .46529 Metetra
.655 .74 .912 r
.30919 .46529 .31272 .46867 .31825 .46695 .31473 .46357 Metetra
.655 .74 .912 r
.31473 .46357 .31825 .46695 .32379 .46524 .32027 .46185 Metetra
.655 .74 .912 r
.32027 .46185 .32379 .46524 .32934 .46354 .32583 .46012 Metetra
.654 .739 .912 r
.32583 .46012 .32934 .46354 .3349 .46186 .3314 .4584 Metetra
.652 .736 .911 r
.3314 .4584 .3349 .46186 .34047 .46022 .33698 .45671 Metetra
.65 .733 .91 r
.33698 .45671 .34047 .46022 .34605 .45859 .34257 .45505 Metetra
.647 .73 .91 r
.34257 .45505 .34605 .45859 .35164 .45697 .34817 .45342 Metetra
.645 .73 .911 r
.34817 .45342 .35164 .45697 .35725 .45532 .35378 .45182 Metetra
.646 .733 .913 r
.35378 .45182 .35725 .45532 .36288 .45361 .35941 .4502 Metetra
.649 .74 .916 r
.35941 .4502 .36288 .45361 .36851 .45184 .36505 .44852 Metetra
.654 .748 .919 r
.36505 .44852 .36851 .45184 .37417 .45003 .3707 .44677 Metetra
.659 .753 .92 r
.3707 .44677 .37417 .45003 .37983 .44824 .37637 .44495 Metetra
.66 .752 .918 r
.37637 .44495 .37983 .44824 .3855 .44656 .38206 .4431 Metetra
.655 .74 .912 r
.38206 .4431 .3855 .44656 .39117 .44507 .38775 .44133 Metetra
.643 .721 .905 r
.38775 .44133 .39117 .44507 .39685 .44379 .39345 .43974 Metetra
.625 .698 .897 r
.39345 .43974 .39685 .44379 .40254 .44266 .39915 .43841 Metetra
.609 .682 .894 r
.39915 .43841 .40254 .44266 .40825 .44153 .40486 .43733 Metetra
.6 .682 .899 r
.40486 .43733 .40825 .44153 .41397 .44019 .41058 .43635 Metetra
.607 .704 .913 r
.41058 .43635 .41397 .44019 .41972 .43847 .41632 .43524 Metetra
.631 .751 .934 r
.41632 .43524 .41972 .43847 .4255 .4363 .42208 .43375 Metetra
.669 .807 .949 r
.42208 .43375 .4255 .4363 .4313 .43384 .42788 .43169 Metetra
.704 .843 .949 r
.42788 .43169 .4313 .43384 .43711 .43142 .4337 .42911 Metetra
.718 .834 .937 r
.4337 .42911 .43711 .43142 .44291 .42953 .43954 .42635 Metetra
.692 .772 .913 r
.43954 .42635 .44291 .42953 .44871 .42865 .44538 .42397 Metetra
.624 .67 .873 r
.44538 .42397 .44871 .42865 .45449 .42907 .4512 .42263 Metetra
.533 .558 .826 r
.4512 .42263 .45449 .42907 .46026 .43077 .45701 .42289 Metetra
.441 .464 .788 r
.45701 .42289 .46026 .43077 .46605 .43334 .4628 .4249 Metetra
.357 .4 .769 r
.4628 .4249 .46605 .43334 .47186 .43606 .46859 .42831 Metetra
.285 .374 .779 r
.46859 .42831 .47186 .43606 .47772 .43804 .47441 .43227 Metetra
.23 .414 .837 r
.47441 .43227 .47772 .43804 .48361 .43848 .48027 .43558 Metetra
.217 .583 .944 r
.48027 .43558 .48361 .43848 .48956 .43685 .48619 .43702 Metetra
.27 .776 .825 r
.48619 .43702 .48956 .43685 .49553 .43308 .49216 .43574 Metetra
.49216 .43574 .49553 .43308 .50153 .42747 .49817 .43147 Metetra
.49817 .43147 .50153 .42747 .50753 .42067 .5042 .42465 Metetra
.676 .881 .506 r
.5042 .42465 .50753 .42067 .51353 .41343 .51023 .41624 Metetra
.84 .967 .646 r
.51023 .41624 .51353 .41343 .51952 .40646 .51625 .40741 Metetra
.915 .977 .769 r
.51625 .40741 .51952 .40646 .52551 .40026 .52226 .39925 Metetra
.891 .914 .833 r
.52226 .39925 .52551 .40026 .5315 .3951 .52826 .39246 Metetra
.822 .83 .855 r
.52826 .39246 .5315 .3951 .53749 .391 .53426 .38727 Metetra
.752 .763 .862 r
.53426 .38727 .53749 .391 .54349 .38782 .54027 .38351 Metetra
.699 .72 .866 r
.54027 .38351 .54349 .38782 .54951 .38531 .54629 .3808 Metetra
.667 .699 .871 r
.54629 .3808 .54951 .38531 .55554 .38323 .55233 .37869 Metetra
.652 .693 .875 r
.55233 .37869 .55554 .38323 .56158 .38138 .55839 .37683 Metetra
.647 .691 .877 r
.55839 .37683 .56158 .38138 .56765 .37964 .56445 .37507 Metetra
.642 .688 .878 r
.56445 .37507 .56765 .37964 .57372 .37795 .57054 .37337 Metetra
.634 .685 .881 r
.57054 .37337 .57372 .37795 .57982 .37633 .57664 .37182 Metetra
.619 .683 .888 r
.57664 .37182 .57982 .37633 .58593 .37484 .58276 .3705 Metetra
.597 .683 .902 r
.58276 .3705 .58593 .37484 .59206 .37351 .5889 .36949 Metetra
.566 .688 .922 r
.5889 .36949 .59206 .37351 .59821 .37241 .59507 .36883 Metetra
.52 .695 .948 r
.59507 .36883 .59821 .37241 .60438 .37158 .60127 .36853 Metetra
.452 .701 .973 r
.60127 .36853 .60438 .37158 .61058 .37103 .60749 .3686 Metetra
.354 .697 .983 r
.60749 .3686 .61058 .37103 .61681 .37075 .61375 .36898 Metetra
.231 .675 .955 r
.61375 .36898 .61681 .37075 .62307 .37068 .62004 .36953 Metetra
.126 .643 .889 r
.62004 .36953 .62307 .37068 .62935 .37072 .62635 .37005 Metetra
.096 .641 .837 r
.62635 .37005 .62935 .37072 .63565 .3707 .63267 .37025 Metetra
.177 .706 .851 r
.63267 .37025 .63565 .3707 .64196 .37041 .63899 .36985 Metetra
.364 .822 .926 r
.63899 .36985 .64196 .37041 .64828 .36965 .64531 .36863 Metetra
.572 .902 .981 r
.64531 .36863 .64828 .36965 .65459 .36827 .6516 .36652 Metetra
.7 .895 .967 r
.6516 .36652 .65459 .36827 .66088 .36619 .65788 .36362 Metetra
.746 .847 .925 r
.65788 .36362 .66088 .36619 .66717 .3635 .66414 .36016 Metetra
.751 .8 .892 r
.66414 .36016 .66717 .3635 .67344 .36035 .6704 .3565 Metetra
.74 .768 .876 r
.6704 .3565 .67344 .36035 .67972 .35699 .67668 .35293 Metetra
.722 .752 .876 r
.67668 .35293 .67972 .35699 .686 .35368 .68298 .3497 Metetra
.702 .751 .889 r
.68298 .3497 .686 .35368 .69231 .35059 .68931 .34689 Metetra
.683 .76 .91 r
.68931 .34689 .69231 .35059 .69865 .34782 .69568 .34445 Metetra
.667 .776 .931 r
.69568 .34445 .69865 .34782 .70501 .34537 .70207 .34226 Metetra
.66 .791 .945 r
.70207 .34226 .70501 .34537 .7114 .34314 .70848 .34014 Metetra
.663 .8 .948 r
.70848 .34014 .7114 .34314 .71782 .34101 .7149 .33794 Metetra
.674 .8 .942 r
.7149 .33794 .71782 .34101 .72424 .33885 .72133 .3356 Metetra
.686 .792 .931 r
.72133 .3356 .72424 .33885 .73067 .33658 .72776 .33309 Metetra
.693 .78 .918 r
.72776 .33309 .73067 .33658 .73711 .33417 .73419 .33045 Metetra
.695 .767 .907 r
.73419 .33045 .73711 .33417 .74355 .33164 .74063 .32776 Metetra
.694 .758 .901 r
.74063 .32776 .74355 .33164 .75 .32904 .74709 .32508 Metetra
.69 .753 .9 r
.74709 .32508 .75 .32904 .75647 .32643 .75357 .32247 Metetra
.685 .751 .902 r
.75357 .32247 .75647 .32643 .76295 .32386 .76006 .31993 Metetra
.681 .752 .905 r
.76006 .31993 .76295 .32386 .76944 .32134 .76657 .31745 Metetra
.678 .754 .908 r
.76657 .31745 .76944 .32134 .77596 .31888 .7731 .31502 Metetra
.677 .756 .911 r
.7731 .31502 .77596 .31888 .78249 .31646 .77965 .31261 Metetra
.677 .757 .911 r
.77965 .31261 .78249 .31646 .78904 .31407 .78621 .31021 Metetra
.677 .757 .911 r
.78621 .31021 .78904 .31407 .79561 .31169 .79278 .30779 Metetra
.677 .755 .91 r
.79278 .30779 .79561 .31169 .80219 .3093 .79937 .30535 Metetra
.677 .753 .908 r
.79937 .30535 .80219 .3093 .80878 .3069 .80597 .30292 Metetra
.677 .751 .907 r
.80597 .30292 .80878 .3069 .81538 .30449 .81258 .30048 Metetra
.676 .75 .906 r
.81258 .30048 .81538 .30449 .822 .30208 .81921 .29805 Metetra
.676 .749 .906 r
.81921 .29805 .822 .30208 .82864 .29967 .82586 .29562 Metetra
.675 .749 .906 r
.82586 .29562 .82864 .29967 .83529 .29726 .83252 .29321 Metetra
.674 .748 .907 r
.83252 .29321 .83529 .29726 .84196 .29486 .8392 .29081 Metetra
.673 .748 .907 r
.8392 .29081 .84196 .29486 .84864 .29247 .8459 .28841 Metetra
.673 .748 .907 r
.8459 .28841 .84864 .29247 .85534 .29009 .8526 .28601 Metetra
.672 .748 .907 r
.8526 .28601 .85534 .29009 .86205 .28771 .85933 .28362 Metetra
.672 .748 .907 r
.85933 .28362 .86205 .28771 .86878 .28533 .86607 .28123 Metetra
.657 .74 .911 r
.26175 .47563 .26534 .47897 .27079 .47726 .26719 .47391 Metetra
.657 .74 .911 r
.26719 .47391 .27079 .47726 .27624 .47554 .27265 .47218 Metetra
.656 .74 .911 r
.27265 .47218 .27624 .47554 .2817 .47383 .27812 .47046 Metetra
.656 .739 .911 r
.27812 .47046 .2817 .47383 .28718 .47212 .28361 .46874 Metetra
.656 .739 .911 r
.28361 .46874 .28718 .47212 .29266 .47041 .2891 .46702 Metetra
.655 .739 .911 r
.2891 .46702 .29266 .47041 .29816 .46871 .2946 .4653 Metetra
.655 .738 .911 r
.2946 .4653 .29816 .46871 .30367 .467 .30012 .46359 Metetra
.654 .738 .911 r
.30012 .46359 .30367 .467 .30919 .46529 .30565 .46188 Metetra
.654 .738 .912 r
.30565 .46188 .30919 .46529 .31473 .46357 .31119 .46016 Metetra
.654 .739 .912 r
.31119 .46016 .31473 .46357 .32027 .46185 .31674 .45845 Metetra
.654 .74 .913 r
.31674 .45845 .32027 .46185 .32583 .46012 .3223 .45672 Metetra
.655 .741 .913 r
.3223 .45672 .32583 .46012 .3314 .4584 .32788 .45499 Metetra
.654 .74 .913 r
.32788 .45499 .3314 .4584 .33698 .45671 .33347 .45326 Metetra
.653 .738 .912 r
.33347 .45326 .33698 .45671 .34257 .45505 .33907 .45154 Metetra
.65 .735 .911 r
.33907 .45154 .34257 .45505 .34817 .45342 .34468 .44986 Metetra
.647 .731 .91 r
.34468 .44986 .34817 .45342 .35378 .45182 .3503 .44822 Metetra
.645 .728 .909 r
.3503 .44822 .35378 .45182 .35941 .4502 .35593 .44661 Metetra
.644 .729 .91 r
.35593 .44661 .35941 .4502 .36505 .44852 .36157 .445 Metetra
.646 .734 .913 r
.36157 .445 .36505 .44852 .3707 .44677 .36723 .44337 Metetra
.65 .743 .917 r
.36723 .44337 .3707 .44677 .37637 .44495 .3729 .44166 Metetra
.656 .752 .921 r
.3729 .44166 .37637 .44495 .38206 .4431 .37859 .43987 Metetra
.659 .757 .922 r
.37859 .43987 .38206 .4431 .38775 .44133 .3843 .43803 Metetra
.657 .752 .92 r
.3843 .43803 .38775 .44133 .39345 .43974 .39002 .43621 Metetra
.648 .736 .913 r
.39002 .43621 .39345 .43974 .39915 .43841 .39574 .43452 Metetra
.632 .711 .903 r
.39574 .43452 .39915 .43841 .40486 .43733 .40146 .43307 Metetra
.614 .685 .893 r
.40146 .43307 .40486 .43733 .41058 .43635 .4072 .43189 Metetra
.602 .671 .888 r
.4072 .43189 .41058 .43635 .41632 .43524 .41293 .4309 Metetra
.603 .677 .893 r
.41293 .4309 .41632 .43524 .42208 .43375 .41869 .42988 Metetra
.62 .71 .91 r
.41869 .42988 .42208 .43375 .42788 .43169 .42447 .42858 Metetra
.652 .767 .933 r
.42447 .42858 .42788 .43169 .4337 .42911 .43028 .42679 Metetra
.687 .828 .951 r
.43028 .42679 .4337 .42911 .43954 .42635 .43611 .42445 Metetra
.705 .863 .957 r
.43611 .42445 .43954 .42635 .44538 .42397 .44197 .4218 Metetra
.695 .842 .954 r
.44197 .4218 .44538 .42397 .4512 .42263 .44783 .41933 Metetra
.642 .753 .929 r
.44783 .41933 .4512 .42263 .45701 .42289 .45368 .41767 Metetra
.557 .617 .868 r
.45368 .41767 .45701 .42289 .4628 .4249 .45952 .41737 Metetra
.477 .495 .798 r
.45952 .41737 .4628 .4249 .46859 .42831 .46535 .41872 Metetra
.425 .418 .748 r
.46535 .41872 .46859 .42831 .47441 .43227 .47118 .4215 Metetra
.405 .386 .725 r
.47118 .4215 .47441 .43227 .48027 .43558 .47703 .42506 Metetra
.414 .396 .73 r
.47703 .42506 .48027 .43558 .48619 .43702 .48291 .42837 Metetra
.456 .457 .771 r
.48291 .42837 .48619 .43702 .49216 .43574 .48884 .43036 Metetra
.549 .61 .866 r
.48884 .43036 .49216 .43574 .49817 .43147 .49482 .43018 Metetra
.683 .908 .974 r
.49482 .43018 .49817 .43147 .5042 .42465 .50084 .42749 Metetra
.50084 .42749 .5042 .42465 .51023 .41624 .50688 .42246 Metetra
.50688 .42246 .51023 .41624 .51625 .40741 .51293 .41573 Metetra
0 0 .05 r
.51293 .41573 .51625 .40741 .52226 .39925 .51897 .40813 Metetra
.029 0 .091 r
.51897 .40813 .52226 .39925 .52826 .39246 .52501 .4005 Metetra
.02 0 .06 r
.52501 .4005 .52826 .39246 .53426 .38727 .53104 .39346 Metetra
.53104 .39346 .53426 .38727 .54027 .38351 .53707 .38737 Metetra
.53707 .38737 .54027 .38351 .54629 .3808 .54311 .38236 Metetra
.496 .883 .704 r
.54311 .38236 .54629 .3808 .55233 .37869 .54915 .37839 Metetra
.646 .954 .941 r
.54915 .37839 .55233 .37869 .55839 .37683 .55521 .37534 Metetra
.647 .89 .984 r
.55521 .37534 .55839 .37683 .56445 .37507 .56128 .37304 Metetra
.61 .841 .987 r
.56128 .37304 .56445 .37507 .57054 .37337 .56738 .37132 Metetra
.56 .822 .995 r
.56738 .37132 .57054 .37337 .57664 .37182 .57349 .37004 Metetra
.494 .815 1 r
.57349 .37004 .57664 .37182 .58276 .3705 .57963 .36909 Metetra
.406 .799 .987 r
.57963 .36909 .58276 .3705 .5889 .36949 .5858 .36842 Metetra
.299 .76 .948 r
.5858 .36842 .5889 .36949 .59507 .36883 .59198 .36803 Metetra
.18 .697 .886 r
.59198 .36803 .59507 .36883 .60127 .36853 .5982 .36796 Metetra
.064 .621 .811 r
.5982 .36796 .60127 .36853 .60749 .3686 .60444 .36821 Metetra
0 .554 .742 r
.60444 .36821 .60749 .3686 .61375 .36898 .61072 .3687 Metetra
0 .53 .71 r
.61072 .3687 .61375 .36898 .62004 .36953 .61702 .36923 Metetra
.003 .578 .747 r
.61702 .36923 .62004 .36953 .62635 .37005 .62333 .36951 Metetra
.177 .704 .861 r
.62333 .36951 .62635 .37005 .63267 .37025 .62965 .3692 Metetra
.429 .835 .974 r
.62965 .3692 .63267 .37025 .63899 .36985 .63596 .36806 Metetra
.625 .87 .988 r
.63596 .36806 .63899 .36985 .64531 .36863 .64226 .36599 Metetra
.713 .834 .94 r
.64226 .36599 .64531 .36863 .6516 .36652 .64853 .36309 Metetra
.74 .791 .894 r
.64853 .36309 .6516 .36652 .65788 .36362 .6548 .35963 Metetra
.742 .762 .869 r
.6548 .35963 .65788 .36362 .66414 .36016 .66107 .35597 Metetra
.734 .749 .864 r
.66107 .35597 .66414 .36016 .6704 .3565 .66735 .35243 Metetra
.72 .752 .877 r
.66735 .35243 .6704 .3565 .67668 .35293 .67365 .34922 Metetra
.703 .766 .901 r
.67365 .34922 .67668 .35293 .68298 .3497 .67998 .34643 Metetra
.683 .788 .929 r
.67998 .34643 .68298 .3497 .68931 .34689 .68635 .34399 Metetra
.667 .808 .95 r
.68635 .34399 .68931 .34689 .69568 .34445 .69273 .34173 Metetra
.663 .82 .959 r
.69273 .34173 .69568 .34445 .70207 .34226 .69914 .3395 Metetra
.671 .82 .955 r
.69914 .3395 .70207 .34226 .70848 .34014 .70555 .33715 Metetra
.685 .809 .942 r
.70555 .33715 .70848 .34014 .7149 .33794 .71196 .33465 Metetra
.695 .793 .925 r
.71196 .33465 .7149 .33794 .72133 .3356 .71838 .33199 Metetra
.699 .775 .91 r
.71838 .33199 .72133 .3356 .72776 .33309 .72481 .32924 Metetra
.698 .762 .901 r
.72481 .32924 .72776 .33309 .73419 .33045 .73124 .32648 Metetra
.695 .754 .897 r
.73124 .32648 .73419 .33045 .74063 .32776 .7377 .32377 Metetra
.69 .751 .898 r
.7377 .32377 .74063 .32776 .74709 .32508 .74417 .32113 Metetra
.686 .752 .902 r
.74417 .32113 .74709 .32508 .75357 .32247 .75066 .31858 Metetra
.682 .755 .907 r
.75066 .31858 .75357 .32247 .76006 .31993 .75717 .31609 Metetra
.68 .758 .91 r
.75717 .31609 .76006 .31993 .76657 .31745 .76369 .31364 Metetra
.679 .76 .912 r
.76369 .31364 .76657 .31745 .7731 .31502 .77023 .3112 Metetra
.679 .759 .912 r
.77023 .3112 .7731 .31502 .77965 .31261 .77679 .30875 Metetra
.679 .758 .91 r
.77679 .30875 .77965 .31261 .78621 .31021 .78336 .30629 Metetra
.679 .755 .909 r
.78336 .30629 .78621 .31021 .79278 .30779 .78994 .30382 Metetra
.679 .753 .907 r
.78994 .30382 .79278 .30779 .79937 .30535 .79653 .30135 Metetra
.678 .751 .906 r
.79653 .30135 .79937 .30535 .80597 .30292 .80314 .29889 Metetra
.677 .75 .906 r
.80314 .29889 .80597 .30292 .81258 .30048 .80977 .29644 Metetra
.676 .749 .906 r
.80977 .29644 .81258 .30048 .81921 .29805 .81641 .294 Metetra
.675 .749 .906 r
.81641 .294 .81921 .29805 .82586 .29562 .82307 .29157 Metetra
.675 .749 .907 r
.82307 .29157 .82586 .29562 .83252 .29321 .82974 .28915 Metetra
.674 .749 .907 r
.82974 .28915 .83252 .29321 .8392 .29081 .83643 .28674 Metetra
.673 .749 .907 r
.83643 .28674 .8392 .29081 .8459 .28841 .84314 .28433 Metetra
.673 .748 .907 r
.84314 .28433 .8459 .28841 .8526 .28601 .84986 .28192 Metetra
.673 .748 .907 r
.84986 .28192 .8526 .28601 .85933 .28362 .85659 .27951 Metetra
.672 .747 .907 r
.85659 .27951 .85933 .28362 .86607 .28123 .86335 .2771 Metetra
.657 .74 .911 r
.25813 .47227 .26175 .47563 .26719 .47391 .26359 .47054 Metetra
.657 .74 .911 r
.26359 .47054 .26719 .47391 .27265 .47218 .26905 .46881 Metetra
.656 .74 .911 r
.26905 .46881 .27265 .47218 .27812 .47046 .27453 .46708 Metetra
.656 .74 .911 r
.27453 .46708 .27812 .47046 .28361 .46874 .28002 .46535 Metetra
.656 .74 .911 r
.28002 .46535 .28361 .46874 .2891 .46702 .28552 .46362 Metetra
.656 .739 .911 r
.28552 .46362 .2891 .46702 .2946 .4653 .29103 .46189 Metetra
.655 .739 .911 r
.29103 .46189 .2946 .4653 .30012 .46359 .29656 .46016 Metetra
.654 .738 .911 r
.29656 .46016 .30012 .46359 .30565 .46188 .30209 .45844 Metetra
.654 .738 .911 r
.30209 .45844 .30565 .46188 .31119 .46016 .30764 .45673 Metetra
.653 .738 .912 r
.30764 .45673 .31119 .46016 .31674 .45845 .3132 .45502 Metetra
.653 .739 .912 r
.3132 .45502 .31674 .45845 .3223 .45672 .31877 .4533 Metetra
.653 .74 .913 r
.31877 .4533 .3223 .45672 .32788 .45499 .32435 .45158 Metetra
.654 .741 .914 r
.32435 .45158 .32788 .45499 .33347 .45326 .32994 .44984 Metetra
.654 .741 .914 r
.32994 .44984 .33347 .45326 .33907 .45154 .33555 .4481 Metetra
.654 .74 .913 r
.33555 .4481 .33907 .45154 .34468 .44986 .34117 .44636 Metetra
.652 .736 .911 r
.34117 .44636 .34468 .44986 .3503 .44822 .3468 .44464 Metetra
.649 .731 .91 r
.3468 .44464 .3503 .44822 .35593 .44661 .35244 .44297 Metetra
.645 .727 .909 r
.35244 .44297 .35593 .44661 .36157 .445 .35809 .44135 Metetra
.642 .726 .909 r
.35809 .44135 .36157 .445 .36723 .44337 .36375 .43977 Metetra
.641 .729 .913 r
.36375 .43977 .36723 .44337 .3729 .44166 .36943 .4382 Metetra
.644 .738 .918 r
.36943 .4382 .3729 .44166 .37859 .43987 .37512 .43658 Metetra
.65 .751 .923 r
.37512 .43658 .37859 .43987 .3843 .43803 .38083 .43485 Metetra
.658 .761 .926 r
.38083 .43485 .3843 .43803 .39002 .43621 .38655 .43301 Metetra
.663 .762 .924 r
.38655 .43301 .39002 .43621 .39574 .43452 .39229 .4311 Metetra
.66 .747 .915 r
.39229 .4311 .39574 .43452 .40146 .43307 .39804 .42924 Metetra
.646 .719 .902 r
.39804 .42924 .40146 .43307 .4072 .43189 .40379 .42757 Metetra
.625 .686 .888 r
.40379 .42757 .4072 .43189 .41293 .4309 .40955 .42623 Metetra
.601 .661 .88 r
.40955 .42623 .41293 .4309 .41869 .42988 .41531 .42525 Metetra
.585 .656 .886 r
.41531 .42525 .41869 .42988 .42447 .42858 .42108 .4245 Metetra
.583 .684 .911 r
.42108 .4245 .42447 .42858 .43028 .42679 .42686 .4237 Metetra
.602 .754 .95 r
.42686 .4237 .43028 .42679 .43611 .42445 .43268 .42249 Metetra
.642 .846 .978 r
.43268 .42249 .43611 .42445 .44197 .4218 .43852 .42056 Metetra
.689 .907 .972 r
.43852 .42056 .44197 .4218 .44783 .41933 .4444 .41788 Metetra
.732 .899 .954 r
.4444 .41788 .44783 .41933 .45368 .41767 .4503 .41476 Metetra
.719 .799 .914 r
.4503 .41476 .45368 .41767 .45952 .41737 .4562 .41192 Metetra
.639 .645 .841 r
.4562 .41192 .45952 .41737 .46535 .41872 .46209 .41027 Metetra
.538 .509 .771 r
.46209 .41027 .46535 .41872 .47118 .4215 .46796 .41065 Metetra
.441 .408 .725 r
.46796 .41065 .47118 .4215 .47703 .42506 .4738 .41349 Metetra
.34 .332 .705 r
.4738 .41349 .47703 .42506 .48291 .42837 .47965 .41854 Metetra
.197 .268 .711 r
.47965 .41854 .48291 .42837 .48884 .43036 .48552 .42479 Metetra
0 .176 .712 r
.48552 .42479 .48884 .43036 .49482 .43018 .49144 .43064 Metetra
.608 .055 0 r
.49144 .43064 .49482 .43018 .50084 .42749 .49742 .4343 Metetra
.477 .089 .223 r
.49742 .4343 .50084 .42749 .50688 .42246 .50346 .4343 Metetra
.352 .041 .291 r
.50346 .4343 .50688 .42246 .51293 .41573 .50954 .42997 Metetra
.23 0 .278 r
.50954 .42997 .51293 .41573 .51897 .40813 .51564 .42168 Metetra
.067 0 .204 r
.51564 .42168 .51897 .40813 .52501 .4005 .52172 .41071 Metetra
0 0 .016 r
.52172 .41071 .52501 .4005 .53104 .39346 .52779 .39885 Metetra
.683 .831 .398 r
.52779 .39885 .53104 .39346 .53707 .38737 .53384 .38788 Metetra
.934 .958 .765 r
.53384 .38788 .53707 .38737 .54311 .38236 .53987 .3791 Metetra
.832 .8 .82 r
.53987 .3791 .54311 .38236 .54915 .37839 .54591 .37307 Metetra
.716 .686 .82 r
.54591 .37307 .54915 .37839 .55521 .37534 .55197 .36961 Metetra
.63 .636 .837 r
.55197 .36961 .55521 .37534 .56128 .37304 .55806 .36807 Metetra
.563 .637 .882 r
.55806 .36807 .56128 .37304 .56738 .37132 .56418 .36761 Metetra
.499 .677 .945 r
.56418 .36761 .56738 .37132 .57349 .37004 .57032 .36756 Metetra
.41 .723 .989 r
.57032 .36756 .57349 .37004 .57963 .36909 .57649 .36759 Metetra
.267 .716 .958 r
.57649 .36759 .57963 .36909 .5858 .36842 .58268 .36772 Metetra
.055 .61 .819 r
.58268 .36772 .5858 .36842 .59198 .36803 .58889 .36813 Metetra
.184 0 0 r
.58889 .36813 .59198 .36803 .5982 .36796 .59514 .36895 Metetra
.359 0 0 r
.59514 .36895 .5982 .36796 .60444 .36821 .60143 .37013 Metetra
.431 0 0 r
.60143 .37013 .60444 .36821 .61072 .3687 .60774 .37133 Metetra
.421 0 0 r
.60774 .37133 .61072 .3687 .61702 .36923 .61406 .37206 Metetra
.333 0 0 r
.61406 .37206 .61702 .36923 .62333 .36951 .62038 .37182 Metetra
.116 0 0 r
.62038 .37182 .62333 .36951 .62965 .3692 .62668 .3703 Metetra
.331 .798 .696 r
.62668 .3703 .62965 .3692 .63596 .36806 .63296 .36752 Metetra
.715 .968 .935 r
.63296 .36752 .63596 .36806 .64226 .36599 .63921 .36378 Metetra
.787 .877 .913 r
.63921 .36378 .64226 .36599 .64853 .36309 .64545 .35957 Metetra
.77 .793 .872 r
.64545 .35957 .64853 .36309 .6548 .35963 .6517 .35539 Metetra
.741 .749 .858 r
.6517 .35539 .6548 .35963 .66107 .35597 .65797 .35165 Metetra
.715 .737 .869 r
.65797 .35165 .66107 .35597 .66735 .35243 .66428 .34849 Metetra
.691 .75 .897 r
.66428 .34849 .66735 .35243 .67365 .34922 .67062 .34588 Metetra
.671 .779 .931 r
.67062 .34588 .67365 .34922 .67998 .34643 .677 .34362 Metetra
.66 .811 .956 r
.677 .34362 .67998 .34643 .68635 .34399 .68339 .34145 Metetra
.663 .833 .965 r
.68339 .34145 .68635 .34399 .69273 .34173 .68978 .33916 Metetra
.68 .837 .958 r
.68978 .33916 .69273 .34173 .69914 .3395 .69619 .33666 Metetra
.699 .824 .942 r
.69619 .33666 .69914 .3395 .70555 .33715 .70259 .33393 Metetra
.708 .802 .923 r
.70259 .33393 .70555 .33715 .71196 .33465 .70899 .33104 Metetra
.709 .779 .907 r
.70899 .33104 .71196 .33465 .71838 .33199 .71541 .32812 Metetra
.704 .762 .897 r
.71541 .32812 .71838 .33199 .72481 .32924 .72184 .32524 Metetra
.697 .753 .895 r
.72184 .32524 .72481 .32924 .73124 .32648 .72828 .32247 Metetra
.691 .751 .897 r
.72828 .32247 .73124 .32648 .7377 .32377 .73475 .31982 Metetra
.685 .753 .903 r
.73475 .31982 .7377 .32377 .74417 .32113 .74124 .31726 Metetra
.682 .757 .908 r
.74124 .31726 .74417 .32113 .75066 .31858 .74775 .31477 Metetra
.681 .76 .911 r
.74775 .31477 .75066 .31858 .75717 .31609 .75427 .31229 Metetra
.681 .762 .912 r
.75427 .31229 .75717 .31609 .76369 .31364 .7608 .30981 Metetra
.681 .761 .911 r
.7608 .30981 .76369 .31364 .77023 .3112 .76735 .30732 Metetra
.682 .759 .909 r
.76735 .30732 .77023 .3112 .77679 .30875 .77391 .30481 Metetra
.682 .756 .907 r
.77391 .30481 .77679 .30875 .78336 .30629 .78049 .3023 Metetra
.681 .753 .906 r
.78049 .3023 .78336 .30629 .78994 .30382 .78708 .2998 Metetra
.679 .751 .905 r
.78708 .2998 .78994 .30382 .79653 .30135 .79368 .29731 Metetra
.678 .75 .905 r
.79368 .29731 .79653 .30135 .80314 .29889 .80031 .29484 Metetra
.677 .749 .906 r
.80031 .29484 .80314 .29889 .80977 .29644 .80694 .29238 Metetra
.676 .749 .906 r
.80694 .29238 .80977 .29644 .81641 .294 .8136 .28994 Metetra
.675 .749 .907 r
.8136 .28994 .81641 .294 .82307 .29157 .82027 .28751 Metetra
.675 .749 .907 r
.82027 .28751 .82307 .29157 .82974 .28915 .82695 .28507 Metetra
.674 .749 .907 r
.82695 .28507 .82974 .28915 .83643 .28674 .83365 .28265 Metetra
.674 .749 .907 r
.83365 .28265 .83643 .28674 .84314 .28433 .84037 .28022 Metetra
.673 .748 .907 r
.84037 .28022 .84314 .28433 .84986 .28192 .8471 .2778 Metetra
.673 .748 .907 r
.8471 .2778 .84986 .28192 .85659 .27951 .85385 .27537 Metetra
.672 .747 .907 r
.85385 .27537 .85659 .27951 .86335 .2771 .86061 .27295 Metetra
.657 .74 .911 r
.25451 .4689 .25813 .47227 .26359 .47054 .25997 .46716 Metetra
.657 .74 .911 r
.25997 .46716 .26359 .47054 .26905 .46881 .26544 .46543 Metetra
.656 .74 .911 r
.26544 .46543 .26905 .46881 .27453 .46708 .27093 .46369 Metetra
.656 .74 .911 r
.27093 .46369 .27453 .46708 .28002 .46535 .27642 .46195 Metetra
.656 .74 .911 r
.27642 .46195 .28002 .46535 .28552 .46362 .28193 .46021 Metetra
.656 .74 .912 r
.28193 .46021 .28552 .46362 .29103 .46189 .28745 .45847 Metetra
.655 .739 .912 r
.28745 .45847 .29103 .46189 .29656 .46016 .29298 .45673 Metetra
.655 .739 .912 r
.29298 .45673 .29656 .46016 .30209 .45844 .29852 .455 Metetra
.654 .738 .912 r
.29852 .455 .30209 .45844 .30764 .45673 .30407 .45327 Metetra
.653 .738 .912 r
.30407 .45327 .30764 .45673 .3132 .45502 .30964 .45155 Metetra
.653 .738 .912 r
.30964 .45155 .3132 .45502 .31877 .4533 .31521 .44984 Metetra
.652 .738 .912 r
.31521 .44984 .31877 .4533 .32435 .45158 .3208 .44812 Metetra
.653 .739 .913 r
.3208 .44812 .32435 .45158 .32994 .44984 .3264 .4464 Metetra
.653 .74 .913 r
.3264 .4464 .32994 .44984 .33555 .4481 .33202 .44466 Metetra
.654 .741 .914 r
.33202 .44466 .33555 .4481 .34117 .44636 .33765 .44291 Metetra
.654 .741 .914 r
.33765 .44291 .34117 .44636 .3468 .44464 .34329 .44116 Metetra
.652 .739 .913 r
.34329 .44116 .3468 .44464 .35244 .44297 .34894 .43943 Metetra
.649 .735 .912 r
.34894 .43943 .35244 .44297 .35809 .44135 .3546 .43774 Metetra
.645 .73 .911 r
.3546 .43774 .35809 .44135 .36375 .43977 .36027 .43611 Metetra
.641 .726 .91 r
.36027 .43611 .36375 .43977 .36943 .4382 .36595 .43453 Metetra
.639 .726 .911 r
.36595 .43453 .36943 .4382 .37512 .43658 .37164 .43298 Metetra
.641 .731 .914 r
.37164 .43298 .37512 .43658 .38083 .43485 .37735 .43139 Metetra
.648 .741 .918 r
.37735 .43139 .38083 .43485 .38655 .43301 .38307 .4297 Metetra
.657 .753 .921 r
.38307 .4297 .38655 .43301 .39229 .4311 .38882 .42787 Metetra
.663 .761 .922 r
.38882 .42787 .39229 .4311 .39804 .42924 .39458 .42593 Metetra
.662 .757 .92 r
.39458 .42593 .39804 .42924 .40379 .42757 .40035 .42401 Metetra
.649 .738 .914 r
.40035 .42401 .40379 .42757 .40955 .42623 .40613 .42229 Metetra
.625 .708 .906 r
.40613 .42229 .40955 .42623 .41531 .42525 .41191 .42091 Metetra
.597 .677 .897 r
.41191 .42091 .41531 .42525 .42108 .4245 .41769 .41996 Metetra
.576 .658 .893 r
.41769 .41996 .42108 .4245 .42686 .4237 .42347 .4193 Metetra
.576 .666 .899 r
.42347 .4193 .42686 .4237 .43268 .42249 .42927 .41862 Metetra
.605 .707 .916 r
.42927 .41862 .43268 .42249 .43852 .42056 .43511 .41749 Metetra
.66 .774 .934 r
.43511 .41749 .43852 .42056 .4444 .41788 .44098 .41556 Metetra
.717 .838 .939 r
.44098 .41556 .4444 .41788 .4503 .41476 .44688 .41276 Metetra
.747 .863 .933 r
.44688 .41276 .4503 .41476 .4562 .41192 .4528 .40947 Metetra
.726 .831 .93 r
.4528 .40947 .4562 .41192 .46209 .41027 .45873 .40653 Metetra
.636 .727 .914 r
.45873 .40653 .46209 .41027 .46796 .41065 .46463 .40496 Metetra
.487 .565 .86 r
.46463 .40496 .46796 .41065 .4738 .41349 .47052 .40566 Metetra
.34 .408 .786 r
.47052 .40566 .4738 .41349 .47965 .41854 .47638 .40896 Metetra
.249 .307 .728 r
.47638 .40896 .47965 .41854 .48552 .42479 .48226 .41436 Metetra
.231 .28 .707 r
.48226 .41436 .48552 .42479 .49144 .43064 .48816 .42052 Metetra
.296 .329 .726 r
.48816 .42052 .49144 .43064 .49742 .4343 .49412 .42559 Metetra
.443 .45 .772 r
.49412 .42559 .49742 .4343 .50346 .4343 .50014 .42779 Metetra
.638 .615 .81 r
.50014 .42779 .50346 .4343 .50954 .42997 .50621 .42598 Metetra
.81 .763 .809 r
.50621 .42598 .50954 .42997 .51564 .42168 .51231 .42013 Metetra
.915 .865 .776 r
.51231 .42013 .51564 .42168 .52172 .41071 .51841 .41123 Metetra
.953 .933 .735 r
.51841 .41123 .52172 .41071 .52779 .39885 .52451 .40099 Metetra
.916 .972 .684 r
.52451 .40099 .52779 .39885 .53384 .38788 .53058 .39113 Metetra
.736 .926 .578 r
.53058 .39113 .53384 .38788 .53987 .3791 .53665 .38291 Metetra
.53665 .38291 .53987 .3791 .54591 .37307 .54272 .37681 Metetra
.54272 .37681 .54591 .37307 .55197 .36961 .5488 .37258 Metetra
.5488 .37258 .55197 .36961 .55806 .36807 .55489 .36962 Metetra
.55489 .36962 .55806 .36807 .56418 .36761 .56101 .36734 Metetra
.452 .877 .923 r
.56101 .36734 .56418 .36761 .57032 .36756 .56714 .36546 Metetra
.565 .822 .994 r
.56714 .36546 .57032 .36756 .57649 .36759 .5733 .36414 Metetra
.527 .709 .954 r
.5733 .36414 .57649 .36759 .58268 .36772 .57948 .36371 Metetra
.425 .623 .935 r
.57948 .36371 .58268 .36772 .58889 .36813 .58571 .36445 Metetra
.255 .551 .929 r
.58571 .36445 .58889 .36813 .59514 .36895 .59199 .36629 Metetra
.01 .462 .87 r
.59199 .36629 .59514 .36895 .60143 .37013 .59831 .36875 Metetra
0 .383 .721 r
.59831 .36875 .60143 .37013 .60774 .37133 .60466 .37102 Metetra
.183 0 0 r
.60466 .37102 .60774 .37133 .61406 .37206 .61101 .37223 Metetra
.054 .62 .713 r
.61101 .37223 .61406 .37206 .62038 .37182 .61734 .37181 Metetra
.449 .881 .888 r
.61734 .37181 .62038 .37182 .62668 .3703 .62364 .36959 Metetra
.723 .961 .943 r
.62364 .36959 .62668 .3703 .63296 .36752 .6299 .36589 Metetra
.804 .916 .914 r
.6299 .36589 .63296 .36752 .63921 .36378 .63614 .36134 Metetra
.806 .864 .891 r
.63614 .36134 .63921 .36378 .64545 .35957 .64238 .35666 Metetra
.783 .833 .891 r
.64238 .35666 .64545 .35957 .6517 .35539 .64864 .35239 Metetra
.75 .822 .908 r
.64864 .35239 .6517 .35539 .65797 .35165 .65493 .3488 Metetra
.712 .824 .934 r
.65493 .3488 .65797 .35165 .66428 .34849 .66126 .34589 Metetra
.68 .833 .957 r
.66126 .34589 .66428 .34849 .67062 .34588 .66762 .34342 Metetra
.665 .839 .967 r
.66762 .34342 .67062 .34588 .677 .34362 .67401 .3411 Metetra
.673 .838 .963 r
.67401 .3411 .677 .34362 .68339 .34145 .6804 .33869 Metetra
.692 .827 .948 r
.6804 .33869 .68339 .34145 .68978 .33916 .68679 .33604 Metetra
.708 .808 .927 r
.68679 .33604 .68978 .33916 .69619 .33666 .69319 .33317 Metetra
.715 .787 .909 r
.69319 .33317 .69619 .33666 .70259 .33393 .69958 .33016 Metetra
.714 .771 .897 r
.69958 .33016 .70259 .33393 .70899 .33104 .70599 .32712 Metetra
.708 .761 .893 r
.70599 .32712 .70899 .33104 .71541 .32812 .71241 .32415 Metetra
.701 .757 .895 r
.71241 .32415 .71541 .32812 .72184 .32524 .71886 .32132 Metetra
.694 .758 .901 r
.71886 .32132 .72184 .32524 .72828 .32247 .72532 .31862 Metetra
.688 .76 .907 r
.72532 .31862 .72828 .32247 .73475 .31982 .73181 .31602 Metetra
.685 .763 .911 r
.73181 .31602 .73475 .31982 .74124 .31726 .73831 .31349 Metetra
.683 .764 .912 r
.73831 .31349 .74124 .31726 .74775 .31477 .74482 .31096 Metetra
.684 .763 .912 r
.74482 .31096 .74775 .31477 .75427 .31229 .75135 .30844 Metetra
.684 .76 .909 r
.75135 .30844 .75427 .31229 .7608 .30981 .7579 .30589 Metetra
.684 .757 .907 r
.7579 .30589 .7608 .30981 .76735 .30732 .76445 .30334 Metetra
.683 .754 .905 r
.76445 .30334 .76735 .30732 .77391 .30481 .77102 .30079 Metetra
.682 .752 .904 r
.77102 .30079 .77391 .30481 .78049 .3023 .77761 .29826 Metetra
.681 .751 .904 r
.77761 .29826 .78049 .3023 .78708 .2998 .78421 .29575 Metetra
.679 .75 .905 r
.78421 .29575 .78708 .2998 .79368 .29731 .79083 .29326 Metetra
.678 .75 .906 r
.79083 .29326 .79368 .29731 .80031 .29484 .79746 .29078 Metetra
.677 .75 .906 r
.79746 .29078 .80031 .29484 .80694 .29238 .80411 .28832 Metetra
.676 .75 .907 r
.80411 .28832 .80694 .29238 .8136 .28994 .81077 .28587 Metetra
.675 .75 .907 r
.81077 .28587 .8136 .28994 .82027 .28751 .81745 .28342 Metetra
.675 .749 .907 r
.81745 .28342 .82027 .28751 .82695 .28507 .82415 .28097 Metetra
.674 .749 .907 r
.82415 .28097 .82695 .28507 .83365 .28265 .83086 .27853 Metetra
.674 .748 .906 r
.83086 .27853 .83365 .28265 .84037 .28022 .83759 .27609 Metetra
.674 .748 .906 r
.83759 .27609 .84037 .28022 .8471 .2778 .84433 .27365 Metetra
.673 .747 .906 r
.84433 .27365 .8471 .2778 .85385 .27537 .85109 .27121 Metetra
.673 .747 .907 r
.85109 .27121 .85385 .27537 .86061 .27295 .85786 .26878 Metetra
.657 .74 .911 r
.25087 .46551 .25451 .4689 .25997 .46716 .25634 .46377 Metetra
.657 .74 .911 r
.25634 .46377 .25997 .46716 .26544 .46543 .26182 .46203 Metetra
.656 .74 .911 r
.26182 .46203 .26544 .46543 .27093 .46369 .26731 .46028 Metetra
.656 .74 .911 r
.26731 .46028 .27093 .46369 .27642 .46195 .27281 .45854 Metetra
.656 .74 .911 r
.27281 .45854 .27642 .46195 .28193 .46021 .27832 .4568 Metetra
.656 .74 .912 r
.27832 .4568 .28193 .46021 .28745 .45847 .28385 .45505 Metetra
.655 .74 .912 r
.28385 .45505 .28745 .45847 .29298 .45673 .28938 .45331 Metetra
.655 .74 .912 r
.28938 .45331 .29298 .45673 .29852 .455 .29493 .45156 Metetra
.655 .739 .912 r
.29493 .45156 .29852 .455 .30407 .45327 .30049 .44982 Metetra
.654 .739 .912 r
.30049 .44982 .30407 .45327 .30964 .45155 .30607 .44808 Metetra
.653 .738 .911 r
.30607 .44808 .30964 .45155 .31521 .44984 .31165 .44634 Metetra
.653 .737 .911 r
.31165 .44634 .31521 .44984 .3208 .44812 .31725 .44462 Metetra
.652 .737 .912 r
.31725 .44462 .3208 .44812 .3264 .4464 .32285 .4429 Metetra
.651 .737 .912 r
.32285 .4429 .3264 .4464 .33202 .44466 .32847 .44119 Metetra
.651 .739 .914 r
.32847 .44119 .33202 .44466 .33765 .44291 .33411 .43947 Metetra
.652 .741 .915 r
.33411 .43947 .33765 .44291 .34329 .44116 .33975 .43773 Metetra
.653 .743 .916 r
.33975 .43773 .34329 .44116 .34894 .43943 .34541 .43598 Metetra
.653 .743 .916 r
.34541 .43598 .34894 .43943 .3546 .43774 .35108 .43423 Metetra
.651 .739 .914 r
.35108 .43423 .3546 .43774 .36027 .43611 .35676 .4325 Metetra
.648 .732 .91 r
.35676 .4325 .36027 .43611 .36595 .43453 .36246 .4308 Metetra
.644 .725 .907 r
.36246 .4308 .36595 .43453 .37164 .43298 .36816 .42917 Metetra
.64 .719 .905 r
.36816 .42917 .37164 .43298 .37735 .43139 .37387 .4276 Metetra
.637 .72 .907 r
.37387 .4276 .37735 .43139 .38307 .4297 .3796 .42606 Metetra
.638 .729 .914 r
.3796 .42606 .38307 .4297 .38882 .42787 .38534 .42449 Metetra
.642 .747 .925 r
.38534 .42449 .38882 .42787 .39458 .42593 .3911 .42285 Metetra
.65 .768 .935 r
.3911 .42285 .39458 .42593 .40035 .42401 .39687 .42108 Metetra
.656 .78 .94 r
.39687 .42108 .40035 .42401 .40613 .42229 .40266 .41921 Metetra
.658 .771 .933 r
.40266 .41921 .40613 .42229 .41191 .42091 .40847 .41732 Metetra
.649 .738 .914 r
.40847 .41732 .41191 .42091 .41769 .41996 .41428 .41558 Metetra
.63 .688 .886 r
.41428 .41558 .41769 .41996 .42347 .4193 .42009 .41413 Metetra
.607 .643 .86 r
.42009 .41413 .42347 .4193 .42927 .41862 .42591 .41306 Metetra
.587 .619 .85 r
.42591 .41306 .42927 .41862 .43511 .41749 .43174 .41231 Metetra
.58 .631 .867 r
.43174 .41231 .43511 .41749 .44098 .41556 .43758 .41165 Metetra
.587 .7 .92 r
.43758 .41165 .44098 .41556 .44688 .41276 .44344 .41073 Metetra
.596 .831 .989 r
.44344 .41073 .44688 .41276 .4528 .40947 .44933 .40921 Metetra
.551 .918 .946 r
.44933 .40921 .4528 .40947 .45873 .40653 .45526 .40693 Metetra
.548 .93 .883 r
.45526 .40693 .45873 .40653 .46463 .40496 .46121 .40408 Metetra
.681 .931 .969 r
.46121 .40408 .46463 .40496 .47052 .40566 .46717 .40124 Metetra
.659 .701 .878 r
.46717 .40124 .47052 .40566 .47638 .40896 .47312 .39929 Metetra
.561 .501 .745 r
.47312 .39929 .47638 .40896 .48226 .41436 .47906 .39917 Metetra
.491 .395 .674 r
.47906 .39917 .48226 .41436 .48816 .42052 .48499 .40159 Metetra
.436 .335 .642 r
.48499 .40159 .48816 .42052 .49412 .42559 .49092 .40671 Metetra
.374 .292 .635 r
.49092 .40671 .49412 .42559 .50014 .42779 .49687 .41394 Metetra
.243 .242 .658 r
.49687 .41394 .50014 .42779 .50621 .42598 .50286 .42197 Metetra
0 0 .481 r
.50286 .42197 .50621 .42598 .51231 .42013 .50891 .42896 Metetra
.624 .264 .339 r
.50891 .42896 .51231 .42013 .51841 .41123 .51502 .43303 Metetra
.523 .242 .43 r
.51502 .43303 .51841 .41123 .52451 .40099 .52116 .4327 Metetra
.469 .217 .449 r
.52116 .4327 .52451 .40099 .53058 .39113 .52733 .42738 Metetra
.424 .186 .447 r
.52733 .42738 .53058 .39113 .53665 .38291 .53348 .41757 Metetra
.373 .143 .431 r
.53348 .41757 .53665 .38291 .54272 .37681 .5396 .40477 Metetra
.303 .075 .393 r
.5396 .40477 .54272 .37681 .5488 .37258 .54569 .3911 Metetra
.184 0 .306 r
.54569 .3911 .5488 .37258 .55489 .36962 .55176 .37877 Metetra
0 0 .058 r
.55176 .37877 .55489 .36962 .56101 .36734 .55784 .36957 Metetra
.531 .874 .62 r
.55784 .36957 .56101 .36734 .56714 .36546 .56396 .36446 Metetra
.412 .828 .971 r
.56396 .36446 .56714 .36546 .5733 .36414 .57013 .36341 Metetra
.291 0 0 r
.57013 .36341 .5733 .36414 .57948 .36371 .57637 .36555 Metetra
.631 .12 .013 r
.57637 .36555 .57948 .36371 .58571 .36445 .58267 .3694 Metetra
.634 .21 .22 r
.58267 .3694 .58571 .36445 .59199 .36629 .58902 .37332 Metetra
.583 .194 .27 r
.58902 .37332 .59199 .36629 .59831 .36875 .59537 .37591 Metetra
.499 .112 .238 r
.59537 .37591 .59831 .36875 .60466 .37102 .6017 .37637 Metetra
.321 0 .076 r
.6017 .37637 .60466 .37102 .61101 .37223 .608 .37457 Metetra
.608 .37457 .61101 .37223 .61734 .37181 .61426 .37095 Metetra
.798 .961 .916 r
.61426 .37095 .61734 .37181 .62364 .36959 .6205 .36632 Metetra
.799 .812 .862 r
.6205 .36632 .62364 .36959 .6299 .36589 .62674 .36147 Metetra
.765 .747 .837 r
.62674 .36147 .6299 .36589 .63614 .36134 .63299 .357 Metetra
.742 .745 .854 r
.63299 .357 .63614 .36134 .64238 .35666 .63927 .35318 Metetra
.725 .787 .902 r
.63927 .35318 .64238 .35666 .64864 .35239 .64558 .35 Metetra
.7 .853 .956 r
.64558 .35 .64864 .35239 .65493 .3488 .65192 .34722 Metetra
.668 .901 .978 r
.65192 .34722 .65493 .3488 .66126 .34589 .65828 .34455 Metetra
.665 .917 .976 r
.65828 .34455 .66126 .34589 .66762 .34342 .66465 .34177 Metetra
.697 .906 .969 r
.66465 .34177 .66762 .34342 .67401 .3411 .67101 .33878 Metetra
.725 .867 .948 r
.67101 .33878 .67401 .3411 .6804 .33869 .67738 .3356 Metetra
.731 .817 .918 r
.67738 .3356 .6804 .33869 .68679 .33604 .68375 .33233 Metetra
.724 .777 .894 r
.68375 .33233 .68679 .33604 .69319 .33317 .69014 .32908 Metetra
.714 .754 .884 r
.69014 .32908 .69319 .33317 .69958 .33016 .69654 .32597 Metetra
.705 .746 .884 r
.69654 .32597 .69958 .33016 .70599 .32712 .70297 .32302 Metetra
.698 .749 .891 r
.70297 .32302 .70599 .32712 .71241 .32415 .70941 .32022 Metetra
.692 .757 .901 r
.70941 .32022 .71241 .32415 .71886 .32132 .71588 .31754 Metetra
.689 .765 .909 r
.71588 .31754 .71886 .32132 .72532 .31862 .72236 .31492 Metetra
.688 .77 .914 r
.72236 .31492 .72532 .31862 .73181 .31602 .72885 .31232 Metetra
.688 .77 .914 r
.72885 .31232 .73181 .31602 .73831 .31349 .73536 .30972 Metetra
.689 .767 .911 r
.73536 .30972 .73831 .31349 .74482 .31096 .74188 .3071 Metetra
.688 .762 .908 r
.74188 .3071 .74482 .31096 .75135 .30844 .74842 .30448 Metetra
.687 .757 .905 r
.74842 .30448 .75135 .30844 .7579 .30589 .75497 .30187 Metetra
.685 .753 .903 r
.75497 .30187 .7579 .30589 .76445 .30334 .76153 .29929 Metetra
.683 .751 .903 r
.76153 .29929 .76445 .30334 .77102 .30079 .76811 .29673 Metetra
.681 .75 .903 r
.76811 .29673 .77102 .30079 .77761 .29826 .77471 .2942 Metetra
.68 .75 .904 r
.77471 .2942 .77761 .29826 .78421 .29575 .78133 .29169 Metetra
.679 .751 .905 r
.78133 .29169 .78421 .29575 .79083 .29326 .78795 .2892 Metetra
.678 .751 .906 r
.78795 .2892 .79083 .29326 .79746 .29078 .7946 .28672 Metetra
.677 .751 .906 r
.7946 .28672 .79746 .29078 .80411 .28832 .80126 .28424 Metetra
.676 .75 .906 r
.80126 .28424 .80411 .28832 .81077 .28587 .80793 .28177 Metetra
.676 .749 .906 r
.80793 .28177 .81077 .28587 .81745 .28342 .81463 .2793 Metetra
.675 .749 .906 r
.81463 .2793 .81745 .28342 .82415 .28097 .82133 .27684 Metetra
.675 .748 .906 r
.82133 .27684 .82415 .28097 .83086 .27853 .82805 .27438 Metetra
.674 .748 .906 r
.82805 .27438 .83086 .27853 .83759 .27609 .83479 .27193 Metetra
.674 .747 .906 r
.83479 .27193 .83759 .27609 .84433 .27365 .84155 .26948 Metetra
.673 .747 .906 r
.84155 .26948 .84433 .27365 .85109 .27121 .84832 .26704 Metetra
.673 .747 .906 r
.84832 .26704 .85109 .27121 .85786 .26878 .8551 .26459 Metetra
.657 .74 .911 r
.24721 .46212 .25087 .46551 .25634 .46377 .25269 .46036 Metetra
.657 .74 .911 r
.25269 .46036 .25634 .46377 .26182 .46203 .25817 .45861 Metetra
.656 .74 .911 r
.25817 .45861 .26182 .46203 .26731 .46028 .26367 .45686 Metetra
.656 .74 .911 r
.26367 .45686 .26731 .46028 .27281 .45854 .26918 .45511 Metetra
.656 .74 .912 r
.26918 .45511 .27281 .45854 .27832 .4568 .2747 .45336 Metetra
.655 .74 .912 r
.2747 .45336 .27832 .4568 .28385 .45505 .28023 .45162 Metetra
.655 .74 .912 r
.28023 .45162 .28385 .45505 .28938 .45331 .28578 .44986 Metetra
.655 .74 .912 r
.28578 .44986 .28938 .45331 .29493 .45156 .29133 .44811 Metetra
.655 .74 .912 r
.29133 .44811 .29493 .45156 .30049 .44982 .2969 .44636 Metetra
.655 .74 .912 r
.2969 .44636 .30049 .44982 .30607 .44808 .30248 .4446 Metetra
.654 .739 .912 r
.30248 .4446 .30607 .44808 .31165 .44634 .30807 .44285 Metetra
.653 .738 .912 r
.30807 .44285 .31165 .44634 .31725 .44462 .31368 .44111 Metetra
.652 .737 .912 r
.31368 .44111 .31725 .44462 .32285 .4429 .31929 .43938 Metetra
.651 .737 .912 r
.31929 .43938 .32285 .4429 .32847 .44119 .32492 .43767 Metetra
.65 .737 .913 r
.32492 .43767 .32847 .44119 .33411 .43947 .33056 .43597 Metetra
.65 .738 .914 r
.33056 .43597 .33411 .43947 .33975 .43773 .33621 .43426 Metetra
.651 .741 .915 r
.33621 .43426 .33975 .43773 .34541 .43598 .34187 .43253 Metetra
.653 .742 .915 r
.34187 .43253 .34541 .43598 .35108 .43423 .34755 .43077 Metetra
.654 .743 .915 r
.34755 .43077 .35108 .43423 .35676 .4325 .35324 .42898 Metetra
.654 .74 .913 r
.35324 .42898 .35676 .4325 .36246 .4308 .35895 .4272 Metetra
.651 .734 .911 r
.35895 .4272 .36246 .4308 .36816 .42917 .36466 .42546 Metetra
.644 .727 .909 r
.36466 .42546 .36816 .42917 .37387 .4276 .37038 .42381 Metetra
.635 .72 .909 r
.37038 .42381 .37387 .4276 .3796 .42606 .37612 .42229 Metetra
.628 .719 .912 r
.37612 .42229 .3796 .42606 .38534 .42449 .38186 .42086 Metetra
.626 .727 .919 r
.38186 .42086 .38534 .42449 .3911 .42285 .38761 .41944 Metetra
.633 .744 .928 r
.38761 .41944 .3911 .42285 .39687 .42108 .39338 .41791 Metetra
.65 .763 .932 r
.39338 .41791 .39687 .42108 .40266 .41921 .39918 .41613 Metetra
.669 .775 .929 r
.39918 .41613 .40266 .41921 .40847 .41732 .405 .41409 Metetra
.68 .768 .918 r
.405 .41409 .40847 .41732 .41428 .41558 .41083 .41188 Metetra
.671 .739 .902 r
.41083 .41188 .41428 .41558 .42009 .41413 .41668 .40979 Metetra
.64 .696 .886 r
.41668 .40979 .42009 .41413 .42591 .41306 .42252 .40817 Metetra
.592 .65 .877 r
.42252 .40817 .42591 .41306 .43174 .41231 .42835 .4073 Metetra
.536 .62 .883 r
.42835 .4073 .43174 .41231 .43758 .41165 .43418 .40721 Metetra
.487 .626 .913 r
.43418 .40721 .43758 .41165 .44344 .41073 .44002 .40752 Metetra
.471 .697 .966 r
.44002 .40752 .44344 .41073 .44933 .40921 .44588 .4075 Metetra
.53 .831 .999 r
.44588 .4075 .44933 .40921 .45526 .40693 .45179 .40632 Metetra
.669 .942 .963 r
.45179 .40632 .45526 .40693 .46121 .40408 .45776 .40343 Metetra
.801 .953 .917 r
.45776 .40343 .46121 .40408 .46717 .40124 .46376 .39899 Metetra
.818 .851 .874 r
.46376 .39899 .46717 .40124 .47312 .39929 .46977 .3941 Metetra
.719 .69 .821 r
.46977 .3941 .47312 .39929 .47906 .39917 .47577 .39061 Metetra
.554 .518 .769 r
.47577 .39061 .47906 .39917 .48499 .40159 .48172 .3906 Metetra
.325 .332 .713 r
.48172 .3906 .48499 .40159 .49092 .40671 .48764 .39558 Metetra
0 .086 .613 r
.48764 .39558 .49092 .40671 .49687 .41394 .49355 .4057 Metetra
0 0 .33 r
.49355 .4057 .49687 .41394 .50286 .42197 .49949 .41928 Metetra
.883 .452 .089 r
.49949 .41928 .50286 .42197 .50891 .42896 .5055 .43299 Metetra
.782 .38 .292 r
.5055 .43299 .50891 .42896 .51502 .43303 .5116 .44262 Metetra
.561 .207 .325 r
.5116 .44262 .51502 .43303 .52116 .4327 .51778 .44449 Metetra
.179 0 .215 r
.51778 .44449 .52116 .4327 .52733 .42738 .52398 .43687 Metetra
.52398 .43687 .52733 .42738 .53348 .41757 .53017 .42078 Metetra
.995 .869 .562 r
.53017 .42078 .53348 .41757 .5396 .40477 .5363 .39979 Metetra
.922 .732 .628 r
.5363 .39979 .5396 .40477 .54569 .3911 .54236 .37881 Metetra
.812 .618 .64 r
.54236 .37881 .54569 .3911 .55176 .37877 .54841 .36251 Metetra
.702 .529 .65 r
.54841 .36251 .55176 .37877 .55784 .36957 .55448 .35396 Metetra
.558 .438 .672 r
.55448 .35396 .55784 .36957 .56396 .36446 .56064 .35392 Metetra
.201 .26 .701 r
.56064 .35392 .56396 .36446 .57013 .36341 .56692 .36083 Metetra
.809 .335 0 r
.56692 .36083 .57013 .36341 .57637 .36555 .5733 .3715 Metetra
.771 .387 .328 r
.5733 .3715 .57637 .36555 .58267 .3694 .57974 .38211 Metetra
.663 .33 .399 r
.57974 .38211 .58267 .3694 .58902 .37332 .58618 .38943 Metetra
.565 .256 .404 r
.58618 .38943 .58902 .37332 .59537 .37591 .59257 .39167 Metetra
.449 .153 .369 r
.59257 .39167 .59537 .37591 .6017 .37637 .59887 .38878 Metetra
.268 0 .27 r
.59887 .38878 .6017 .37637 .608 .37457 .60509 .38213 Metetra
.60509 .38213 .608 .37457 .61426 .37095 .61126 .37376 Metetra
.732 .927 .583 r
.61126 .37376 .61426 .37095 .6205 .36632 .61742 .36557 Metetra
.889 .952 .841 r
.61742 .36557 .6205 .36632 .62674 .36147 .62361 .35878 Metetra
.813 .849 .876 r
.62361 .35878 .62674 .36147 .63299 .357 .62987 .35381 Metetra
.741 .809 .906 r
.62987 .35381 .63299 .357 .63927 .35318 .63617 .35036 Metetra
.69 .82 .945 r
.63617 .35036 .63927 .35318 .64558 .35 .64252 .34777 Metetra
.668 .856 .972 r
.64252 .34777 .64558 .35 .65192 .34722 .64889 .34535 Metetra
.683 .887 .973 r
.64889 .34535 .65192 .34722 .65828 .34455 .65526 .34262 Metetra
.722 .892 .957 r
.65526 .34262 .65828 .34455 .66465 .34177 .66162 .33941 Metetra
.751 .869 .934 r
.66162 .33941 .66465 .34177 .67101 .33878 .66797 .33582 Metetra
.756 .83 .909 r
.66797 .33582 .67101 .33878 .67738 .3356 .67433 .33208 Metetra
.746 .795 .892 r
.67433 .33208 .67738 .3356 .68375 .33233 .6807 .32843 Metetra
.73 .769 .885 r
.6807 .32843 .68375 .33233 .69014 .32908 .68709 .32503 Metetra
.713 .757 .886 r
.68709 .32503 .69014 .32908 .69654 .32597 .6935 .32194 Metetra
.701 .754 .893 r
.6935 .32194 .69654 .32597 .70297 .32302 .69994 .31909 Metetra
.693 .758 .902 r
.69994 .31909 .70297 .32302 .70941 .32022 .70641 .31641 Metetra
.689 .763 .908 r
.70641 .31641 .70941 .32022 .71588 .31754 .71289 .31379 Metetra
.69 .767 .911 r
.71289 .31379 .71588 .31754 .72236 .31492 .71938 .31116 Metetra
.691 .768 .91 r
.71938 .31116 .72236 .31492 .72885 .31232 .72588 .3085 Metetra
.692 .765 .908 r
.72588 .3085 .72885 .31232 .73536 .30972 .7324 .30581 Metetra
.692 .761 .905 r
.7324 .30581 .73536 .30972 .74188 .3071 .73893 .30312 Metetra
.69 .757 .903 r
.73893 .30312 .74188 .3071 .74842 .30448 .74547 .30045 Metetra
.688 .754 .902 r
.74547 .30045 .74842 .30448 .75497 .30187 .75203 .29781 Metetra
.685 .752 .902 r
.75203 .29781 .75497 .30187 .76153 .29929 .7586 .29522 Metetra
.682 .751 .903 r
.7586 .29522 .76153 .29929 .76811 .29673 .7652 .29266 Metetra
.681 .751 .904 r
.7652 .29266 .76811 .29673 .77471 .2942 .77181 .29013 Metetra
.679 .751 .905 r
.77181 .29013 .77471 .2942 .78133 .29169 .77843 .28762 Metetra
.679 .751 .906 r
.77843 .28762 .78133 .29169 .78795 .2892 .78507 .28512 Metetra
.678 .751 .906 r
.78507 .28512 .78795 .2892 .7946 .28672 .79173 .28262 Metetra
.677 .75 .906 r
.79173 .28262 .7946 .28672 .80126 .28424 .7984 .28013 Metetra
.677 .749 .906 r
.7984 .28013 .80126 .28424 .80793 .28177 .80508 .27764 Metetra
.676 .749 .906 r
.80508 .27764 .80793 .28177 .81463 .2793 .81178 .27516 Metetra
.675 .748 .906 r
.81178 .27516 .81463 .2793 .82133 .27684 .8185 .27268 Metetra
.675 .748 .906 r
.8185 .27268 .82133 .27684 .82805 .27438 .82524 .27021 Metetra
.674 .747 .906 r
.82524 .27021 .82805 .27438 .83479 .27193 .83198 .26775 Metetra
.674 .747 .906 r
.83198 .26775 .83479 .27193 .84155 .26948 .83875 .26529 Metetra
.673 .747 .906 r
.83875 .26529 .84155 .26948 .84832 .26704 .84553 .26284 Metetra
.673 .747 .906 r
.84553 .26284 .84832 .26704 .8551 .26459 .85233 .26038 Metetra
.657 .74 .911 r
.24355 .45871 .24721 .46212 .25269 .46036 .24903 .45695 Metetra
.657 .74 .911 r
.24903 .45695 .25269 .46036 .25817 .45861 .25452 .45519 Metetra
.656 .74 .911 r
.25452 .45519 .25817 .45861 .26367 .45686 .26002 .45343 Metetra
.656 .74 .911 r
.26002 .45343 .26367 .45686 .26918 .45511 .26554 .45167 Metetra
.656 .74 .912 r
.26554 .45167 .26918 .45511 .2747 .45336 .27107 .44992 Metetra
.655 .739 .912 r
.27107 .44992 .2747 .45336 .28023 .45162 .27661 .44816 Metetra
.655 .739 .912 r
.27661 .44816 .28023 .45162 .28578 .44986 .28216 .4464 Metetra
.655 .739 .912 r
.28216 .4464 .28578 .44986 .29133 .44811 .28772 .44465 Metetra
.655 .739 .912 r
.28772 .44465 .29133 .44811 .2969 .44636 .29329 .44289 Metetra
.654 .74 .912 r
.29329 .44289 .2969 .44636 .30248 .4446 .29888 .44113 Metetra
.654 .74 .913 r
.29888 .44113 .30248 .4446 .30807 .44285 .30448 .43937 Metetra
.654 .74 .913 r
.30448 .43937 .30807 .44285 .31368 .44111 .31009 .43762 Metetra
.653 .739 .913 r
.31009 .43762 .31368 .44111 .31929 .43938 .31571 .43587 Metetra
.652 .738 .913 r
.31571 .43587 .31929 .43938 .32492 .43767 .32135 .43414 Metetra
.651 .737 .912 r
.32135 .43414 .32492 .43767 .33056 .43597 .32699 .43241 Metetra
.65 .736 .912 r
.32699 .43241 .33056 .43597 .33621 .43426 .33265 .43069 Metetra
.65 .735 .912 r
.33265 .43069 .33621 .43426 .34187 .43253 .33832 .42897 Metetra
.65 .736 .912 r
.33832 .42897 .34187 .43253 .34755 .43077 .34401 .42724 Metetra
.651 .739 .914 r
.34401 .42724 .34755 .43077 .35324 .42898 .3497 .4255 Metetra
.651 .742 .916 r
.3497 .4255 .35324 .42898 .35895 .4272 .35541 .42375 Metetra
.65 .745 .919 r
.35541 .42375 .35895 .4272 .36466 .42546 .36113 .42201 Metetra
.648 .744 .92 r
.36113 .42201 .36466 .42546 .37038 .42381 .36687 .42029 Metetra
.644 .739 .918 r
.36687 .42029 .37038 .42381 .37612 .42229 .37261 .41863 Metetra
.639 .73 .914 r
.37261 .41863 .37612 .42229 .38186 .42086 .37837 .41703 Metetra
.636 .719 .908 r
.37837 .41703 .38186 .42086 .38761 .41944 .38413 .41549 Metetra
.635 .713 .903 r
.38413 .41549 .38761 .41944 .39338 .41791 .38991 .41395 Metetra
.639 .714 .902 r
.38991 .41395 .39338 .41791 .39918 .41613 .39571 .41236 Metetra
.646 .727 .908 r
.39571 .41236 .39918 .41613 .405 .41409 .40152 .41066 Metetra
.652 .75 .921 r
.40152 .41066 .405 .41409 .41083 .41188 .40735 .40885 Metetra
.653 .776 .939 r
.40735 .40885 .41083 .41188 .41668 .40979 .41319 .407 Metetra
.642 .789 .953 r
.41319 .407 .41668 .40979 .42252 .40817 .41905 .40525 Metetra
.62 .775 .955 r
.41905 .40525 .42252 .40817 .42835 .4073 .42491 .40376 Metetra
.598 .727 .935 r
.42491 .40376 .42835 .4073 .43418 .40721 .43077 .40264 Metetra
.583 .663 .894 r
.43077 .40264 .43418 .40721 .44002 .40752 .43664 .40186 Metetra
.58 .614 .851 r
.43664 .40186 .44002 .40752 .44588 .4075 .44253 .4012 Metetra
.593 .598 .826 r
.44253 .4012 .44588 .4075 .45179 .40632 .44843 .40034 Metetra
.622 .622 .83 r
.44843 .40034 .45179 .40632 .45776 .40343 .45437 .39893 Metetra
.665 .701 .873 r
.45437 .39893 .45776 .40343 .46376 .39899 .46033 .39683 Metetra
.698 .851 .956 r
.46033 .39683 .46376 .39899 .46977 .3941 .46632 .39423 Metetra
.529 .919 .906 r
.46632 .39423 .46977 .3941 .47577 .39061 .47232 .3917 Metetra
.47232 .3917 .47577 .39061 .48172 .3906 .47831 .39003 Metetra
.12 .663 .838 r
.47831 .39003 .48172 .3906 .48764 .39558 .4843 .39001 Metetra
.354 .502 .867 r
.4843 .39001 .48764 .39558 .49355 .4057 .49029 .39205 Metetra
.425 .365 .687 r
.49029 .39205 .49355 .4057 .49949 .41928 .49629 .396 Metetra
.46 .335 .622 r
.49629 .396 .49949 .41928 .5055 .43299 .50231 .40108 Metetra
.487 .334 .598 r
.50231 .40108 .5055 .43299 .5116 .44262 .50838 .40617 Metetra
.509 .343 .592 r
.50838 .40617 .5116 .44262 .51778 .44449 .51449 .41012 Metetra
.528 .36 .597 r
.51449 .41012 .51778 .44449 .52398 .43687 .52064 .41225 Metetra
.55 .395 .624 r
.52064 .41225 .52398 .43687 .53017 .42078 .52682 .41256 Metetra
.589 .549 .778 r
.52682 .41256 .53017 .42078 .5363 .39979 .53302 .41172 Metetra
.478 .15 .333 r
.53302 .41172 .5363 .39979 .54236 .37881 .53924 .41075 Metetra
.531 .268 .461 r
.53924 .41075 .54236 .37881 .54841 .36251 .54548 .41055 Metetra
.545 .294 .487 r
.54548 .41055 .54841 .36251 .55448 .35396 .55175 .41149 Metetra
.55 .303 .495 r
.55175 .41149 .55448 .35396 .56064 .35392 .55805 .41324 Metetra
.549 .303 .496 r
.55805 .41324 .56064 .35392 .56692 .36083 .56438 .41486 Metetra
.54 .294 .491 r
.56438 .41486 .56692 .36083 .5733 .3715 .57072 .41516 Metetra
.52 .271 .477 r
.57072 .41516 .5733 .3715 .57974 .38211 .57705 .41313 Metetra
.474 .219 .446 r
.57705 .41313 .57974 .38211 .58618 .38943 .58335 .40835 Metetra
.358 .091 .365 r
.58335 .40835 .58618 .38943 .59257 .39167 .58959 .40107 Metetra
0 0 .092 r
.58959 .40107 .59257 .39167 .59887 .38878 .5958 .39216 Metetra
.761 .917 .544 r
.5958 .39216 .59887 .38878 .60509 .38213 .60198 .3827 Metetra
.928 .97 .753 r
.60198 .3827 .60509 .38213 .61126 .37376 .60815 .37373 Metetra
.91 .969 .8 r
.60815 .37373 .61126 .37376 .61742 .36557 .61435 .36593 Metetra
.846 .997 .825 r
.61435 .36593 .61742 .36557 .62361 .35878 .62058 .35952 Metetra
.725 .988 .818 r
.62058 .35952 .62361 .35878 .62987 .35381 .62685 .35437 Metetra
.652 .969 .84 r
.62685 .35437 .62987 .35381 .63617 .35036 .63315 .3501 Metetra
.692 .973 .919 r
.63315 .3501 .63617 .35036 .64252 .34777 .63947 .34628 Metetra
.746 .925 .95 r
.63947 .34628 .64252 .34777 .64889 .34535 .64581 .34261 Metetra
.756 .844 .918 r
.64581 .34261 .64889 .34535 .65526 .34262 .65215 .33892 Metetra
.748 .784 .883 r
.65215 .33892 .65526 .34262 .66162 .33941 .6585 .33519 Metetra
.739 .755 .865 r
.6585 .33519 .66162 .33941 .66797 .33582 .66486 .33149 Metetra
.732 .748 .865 r
.66486 .33149 .66797 .33582 .67433 .33208 .67123 .32792 Metetra
.725 .755 .876 r
.67123 .32792 .67433 .33208 .6807 .32843 .67763 .32454 Metetra
.718 .768 .891 r
.67763 .32454 .6807 .32843 .68709 .32503 .68404 .32137 Metetra
.711 .779 .905 r
.68404 .32137 .68709 .32503 .6935 .32194 .69047 .31837 Metetra
.705 .783 .913 r
.69047 .31837 .6935 .32194 .69994 .31909 .69693 .3155 Metetra
.7 .781 .914 r
.69693 .3155 .69994 .31909 .70641 .31641 .70339 .3127 Metetra
.698 .773 .91 r
.70339 .3127 .70641 .31641 .71289 .31379 .70988 .30993 Metetra
.696 .765 .905 r
.70988 .30993 .71289 .31379 .71938 .31116 .71637 .30718 Metetra
.694 .758 .901 r
.71637 .30718 .71938 .31116 .72588 .3085 .72288 .30444 Metetra
.692 .753 .898 r
.72288 .30444 .72588 .3085 .7324 .30581 .72941 .30172 Metetra
.69 .751 .898 r
.72941 .30172 .7324 .30581 .73893 .30312 .73595 .29903 Metetra
.688 .751 .9 r
.73595 .29903 .73893 .30312 .74547 .30045 .7425 .29638 Metetra
.686 .752 .902 r
.7425 .29638 .74547 .30045 .75203 .29781 .74908 .29376 Metetra
.684 .753 .903 r
.74908 .29376 .75203 .29781 .7586 .29522 .75566 .29117 Metetra
.682 .753 .905 r
.75566 .29117 .7586 .29522 .7652 .29266 .76227 .28861 Metetra
.681 .753 .905 r
.76227 .28861 .7652 .29266 .77181 .29013 .76889 .28606 Metetra
.68 .752 .905 r
.76889 .28606 .77181 .29013 .77843 .28762 .77552 .28353 Metetra
.679 .751 .905 r
.77552 .28353 .77843 .28762 .78507 .28512 .78217 .281 Metetra
.678 .75 .905 r
.78217 .281 .78507 .28512 .79173 .28262 .78884 .27849 Metetra
.678 .749 .905 r
.78884 .27849 .79173 .28262 .7984 .28013 .79552 .27598 Metetra
.677 .748 .905 r
.79552 .27598 .7984 .28013 .80508 .27764 .80222 .27348 Metetra
.676 .748 .905 r
.80222 .27348 .80508 .27764 .81178 .27516 .80893 .27099 Metetra
.675 .748 .905 r
.80893 .27099 .81178 .27516 .8185 .27268 .81566 .2685 Metetra
.675 .747 .906 r
.81566 .2685 .8185 .27268 .82524 .27021 .8224 .26602 Metetra
.674 .747 .906 r
.8224 .26602 .82524 .27021 .83198 .26775 .82917 .26355 Metetra
.674 .747 .906 r
.82917 .26355 .83198 .26775 .83875 .26529 .83594 .26108 Metetra
.673 .747 .906 r
.83594 .26108 .83875 .26529 .84553 .26284 .84273 .25862 Metetra
.673 .746 .906 r
.84273 .25862 .84553 .26284 .85233 .26038 .84954 .25615 Metetra
.657 .74 .911 r
.23986 .45529 .24355 .45871 .24903 .45695 .24535 .45353 Metetra
.657 .74 .911 r
.24535 .45353 .24903 .45695 .25452 .45519 .25085 .45176 Metetra
.656 .74 .911 r
.25085 .45176 .25452 .45519 .26002 .45343 .25636 .44999 Metetra
.656 .74 .912 r
.25636 .44999 .26002 .45343 .26554 .45167 .26188 .44823 Metetra
.656 .74 .912 r
.26188 .44823 .26554 .45167 .27107 .44992 .26742 .44646 Metetra
.656 .74 .912 r
.26742 .44646 .27107 .44992 .27661 .44816 .27296 .44469 Metetra
.655 .739 .912 r
.27296 .44469 .27661 .44816 .28216 .4464 .27852 .44293 Metetra
.655 .739 .912 r
.27852 .44293 .28216 .4464 .28772 .44465 .28409 .44116 Metetra
.654 .739 .912 r
.28409 .44116 .28772 .44465 .29329 .44289 .28967 .43941 Metetra
.654 .739 .913 r
.28967 .43941 .29329 .44289 .29888 .44113 .29527 .43765 Metetra
.654 .74 .913 r
.29527 .43765 .29888 .44113 .30448 .43937 .30087 .43589 Metetra
.653 .74 .913 r
.30087 .43589 .30448 .43937 .31009 .43762 .30649 .43413 Metetra
.654 .74 .913 r
.30649 .43413 .31009 .43762 .31571 .43587 .31212 .43237 Metetra
.653 .74 .913 r
.31212 .43237 .31571 .43587 .32135 .43414 .31776 .4306 Metetra
.653 .738 .912 r
.31776 .4306 .32135 .43414 .32699 .43241 .32342 .42884 Metetra
.652 .736 .911 r
.32342 .42884 .32699 .43241 .33265 .43069 .32908 .42708 Metetra
.65 .734 .911 r
.32908 .42708 .33265 .43069 .33832 .42897 .33476 .42536 Metetra
.647 .734 .912 r
.33476 .42536 .33832 .42897 .34401 .42724 .34045 .42366 Metetra
.645 .735 .915 r
.34045 .42366 .34401 .42724 .3497 .4255 .34615 .42199 Metetra
.644 .74 .918 r
.34615 .42199 .3497 .4255 .35541 .42375 .35186 .42032 Metetra
.646 .745 .922 r
.35186 .42032 .35541 .42375 .36113 .42201 .35759 .41863 Metetra
.649 .75 .923 r
.35759 .41863 .36113 .42201 .36687 .42029 .36333 .41688 Metetra
.654 .75 .92 r
.36333 .41688 .36687 .42029 .37261 .41863 .36909 .41507 Metetra
.656 .742 .913 r
.36909 .41507 .37261 .41863 .37837 .41703 .37486 .41322 Metetra
.653 .727 .903 r
.37486 .41322 .37837 .41703 .38413 .41549 .38065 .41141 Metetra
.644 .71 .895 r
.38065 .41141 .38413 .41549 .38991 .41395 .38644 .40974 Metetra
.63 .698 .895 r
.38644 .40974 .38991 .41395 .39571 .41236 .39223 .40828 Metetra
.613 .7 .906 r
.39223 .40828 .39571 .41236 .40152 .41066 .39804 .40705 Metetra
.6 .723 .931 r
.39804 .40705 .40152 .41066 .40735 .40885 .40385 .40593 Metetra
.596 .767 .961 r
.40385 .40593 .40735 .40885 .41319 .407 .40968 .4047 Metetra
.613 .816 .978 r
.40968 .4047 .41319 .407 .41905 .40525 .41554 .40312 Metetra
.657 .841 .971 r
.41554 .40312 .41905 .40525 .42491 .40376 .42143 .40104 Metetra
.697 .809 .934 r
.42143 .40104 .42491 .40376 .43077 .40264 .42734 .39853 Metetra
.693 .727 .876 r
.42734 .39853 .43077 .40264 .43664 .40186 .43327 .39597 Metetra
.651 .638 .824 r
.43327 .39597 .43664 .40186 .44253 .4012 .43919 .39397 Metetra
.591 .569 .798 r
.43919 .39397 .44253 .4012 .44843 .40034 .4451 .39312 Metetra
.514 .529 .809 r
.4451 .39312 .44843 .40034 .45437 .39893 .45099 .39371 Metetra
.371 .528 .882 r
.45099 .39371 .45437 .39893 .46033 .39683 .45688 .39539 Metetra
0 .44 .763 r
.45688 .39539 .46033 .39683 .46632 .39423 .46279 .39715 Metetra
.403 0 0 r
.46279 .39715 .46632 .39423 .47232 .3917 .46876 .39753 Metetra
.286 0 .074 r
.46876 .39753 .47232 .3917 .47831 .39003 .47479 .39524 Metetra
.47479 .39524 .47831 .39003 .4843 .39001 .48087 .38989 Metetra
.905 .951 .82 r
.48087 .38989 .4843 .39001 .49029 .39205 .48698 .38259 Metetra
.735 .603 .71 r
.48698 .38259 .49029 .39205 .49629 .396 .49308 .37603 Metetra
.592 .438 .642 r
.49308 .37603 .49629 .396 .50231 .40108 .49913 .37395 Metetra
.454 .319 .607 r
.49913 .37395 .50231 .40108 .50838 .40617 .50515 .3801 Metetra
.188 .132 .558 r
.50515 .3801 .50838 .40617 .51449 .41012 .51117 .39701 Metetra
.788 .499 0 r
.51117 .39701 .51449 .41012 .52064 .41225 .51724 .4249 Metetra
.856 .538 .448 r
.51724 .4249 .52064 .41225 .52682 .41256 .52344 .4611 Metetra
.725 .448 .507 r
.52344 .4611 .52682 .41256 .53302 .41172 .52981 .50014 Metetra
.652 .395 .519 r
.52981 .50014 .53302 .41172 .53924 .41075 .53633 .5348 Metetra
.6 .357 .521 r
.53633 .5348 .53924 .41075 .54548 .41055 .54295 .55794 Metetra
.558 .325 .518 r
.54295 .55794 .54548 .41055 .55175 .41149 .54957 .56474 Metetra
.517 .293 .513 r
.54957 .56474 .55175 .41149 .55805 .41324 .55607 .55428 Metetra
.475 .259 .505 r
.55607 .55428 .55805 .41324 .56438 .41486 .5624 .52965 Metetra
.422 .215 .491 r
.5624 .52965 .56438 .41486 .57072 .41516 .56854 .49665 Metetra
.346 .15 .465 r
.56854 .49665 .57072 .41516 .57705 .41313 .57455 .46172 Metetra
.205 .026 .403 r
.57455 .46172 .57705 .41313 .58335 .40835 .5805 .43014 Metetra
0 0 .184 r
.5805 .43014 .58335 .40835 .58959 .40107 .58647 .40503 Metetra
.963 .899 .527 r
.58647 .40503 .58959 .40107 .5958 .39216 .59252 .38727 Metetra
.881 .749 .713 r
.59252 .38727 .5958 .39216 .60198 .3827 .59867 .37589 Metetra
.782 .677 .747 r
.59867 .37589 .60198 .3827 .60815 .37373 .60491 .36893 Metetra
.764 .734 .824 r
.60491 .36893 .60815 .37373 .61435 .36593 .6112 .36425 Metetra
.78 .914 .93 r
.6112 .36425 .61435 .36593 .62058 .35952 .61752 .36011 Metetra
.681 .978 .838 r
.61752 .36011 .62058 .35952 .62685 .35437 .62383 .35556 Metetra
.668 .964 .763 r
.62383 .35556 .62685 .35437 .63315 .3501 .63012 .35036 Metetra
.796 .998 .849 r
.63012 .35036 .63315 .3501 .63947 .34628 .6364 .34481 Metetra
.841 .929 .888 r
.6364 .34481 .63947 .34628 .64581 .34261 .64269 .33938 Metetra
.802 .821 .866 r
.64269 .33938 .64581 .34261 .65215 .33892 .649 .33446 Metetra
.755 .748 .846 r
.649 .33446 .65215 .33892 .6585 .33519 .65534 .33023 Metetra
.723 .716 .843 r
.65534 .33023 .6585 .33519 .66486 .33149 .66171 .32664 Metetra
.706 .715 .856 r
.66171 .32664 .66486 .33149 .67123 .32792 .66812 .32352 Metetra
.7 .735 .878 r
.66812 .32352 .67123 .32792 .67763 .32454 .67454 .32063 Metetra
.701 .761 .899 r
.67454 .32063 .67763 .32454 .68404 .32137 .68099 .31778 Metetra
.706 .782 .911 r
.68099 .31778 .68404 .32137 .69047 .31837 .68744 .31488 Metetra
.71 .79 .914 r
.68744 .31488 .69047 .31837 .69693 .3155 .6939 .31192 Metetra
.71 .785 .91 r
.6939 .31192 .69693 .3155 .70339 .3127 .70037 .30893 Metetra
.708 .774 .904 r
.70037 .30893 .70339 .3127 .70988 .30993 .70685 .30596 Metetra
.702 .762 .898 r
.70685 .30596 .70988 .30993 .71637 .30718 .71335 .30307 Metetra
.696 .752 .895 r
.71335 .30307 .71637 .30718 .72288 .30444 .71987 .30027 Metetra
.691 .748 .895 r
.71987 .30027 .72288 .30444 .72941 .30172 .7264 .29755 Metetra
.687 .747 .897 r
.7264 .29755 .72941 .30172 .73595 .29903 .73296 .2949 Metetra
.685 .749 .899 r
.73296 .2949 .73595 .29903 .7425 .29638 .73953 .29228 Metetra
.684 .751 .902 r
.73953 .29228 .7425 .29638 .74908 .29376 .74611 .28969 Metetra
.683 .753 .904 r
.74611 .28969 .74908 .29376 .75566 .29117 .75271 .28711 Metetra
.683 .753 .905 r
.75271 .28711 .75566 .29117 .76227 .28861 .75933 .28453 Metetra
.682 .753 .905 r
.75933 .28453 .76227 .28861 .76889 .28606 .76596 .28196 Metetra
.681 .751 .904 r
.76596 .28196 .76889 .28606 .77552 .28353 .7726 .2794 Metetra
.68 .75 .904 r
.7726 .2794 .77552 .28353 .78217 .281 .77926 .27685 Metetra
.679 .749 .904 r
.77926 .27685 .78217 .281 .78884 .27849 .78594 .27432 Metetra
.678 .748 .904 r
.78594 .27432 .78884 .27849 .79552 .27598 .79263 .2718 Metetra
.677 .748 .904 r
.79263 .2718 .79552 .27598 .80222 .27348 .79934 .26929 Metetra
.676 .747 .905 r
.79934 .26929 .80222 .27348 .80893 .27099 .80606 .26679 Metetra
.675 .747 .905 r
.80606 .26679 .80893 .27099 .81566 .2685 .8128 .2643 Metetra
.675 .747 .905 r
.8128 .2643 .81566 .2685 .8224 .26602 .81956 .26181 Metetra
.674 .747 .906 r
.81956 .26181 .8224 .26602 .82917 .26355 .82633 .25933 Metetra
.674 .747 .906 r
.82633 .25933 .82917 .26355 .83594 .26108 .83312 .25685 Metetra
.673 .747 .906 r
.83312 .25685 .83594 .26108 .84273 .25862 .83993 .25437 Metetra
.673 .746 .906 r
.83993 .25437 .84273 .25862 .84954 .25615 .84675 .2519 Metetra
.657 .74 .911 r
.23617 .45186 .23986 .45529 .24535 .45353 .24166 .45009 Metetra
.657 .74 .911 r
.24166 .45009 .24535 .45353 .25085 .45176 .24717 .44831 Metetra
.656 .74 .911 r
.24717 .44831 .25085 .45176 .25636 .44999 .25268 .44654 Metetra
.656 .74 .912 r
.25268 .44654 .25636 .44999 .26188 .44823 .25821 .44476 Metetra
.656 .74 .912 r
.25821 .44476 .26188 .44823 .26742 .44646 .26375 .44299 Metetra
.656 .74 .912 r
.26375 .44299 .26742 .44646 .27296 .44469 .26931 .44122 Metetra
.655 .74 .912 r
.26931 .44122 .27296 .44469 .27852 .44293 .27487 .43944 Metetra
.655 .74 .912 r
.27487 .43944 .27852 .44293 .28409 .44116 .28045 .43767 Metetra
.654 .74 .912 r
.28045 .43767 .28409 .44116 .28967 .43941 .28604 .43591 Metetra
.654 .739 .913 r
.28604 .43591 .28967 .43941 .29527 .43765 .29164 .43415 Metetra
.654 .739 .913 r
.29164 .43415 .29527 .43765 .30087 .43589 .29725 .43238 Metetra
.653 .739 .913 r
.29725 .43238 .30087 .43589 .30649 .43413 .30287 .43061 Metetra
.654 .739 .913 r
.30287 .43061 .30649 .43413 .31212 .43237 .30851 .42884 Metetra
.654 .739 .913 r
.30851 .42884 .31212 .43237 .31776 .4306 .31416 .42707 Metetra
.653 .739 .913 r
.31416 .42707 .31776 .4306 .32342 .42884 .31982 .42529 Metetra
.652 .739 .913 r
.31982 .42529 .32342 .42884 .32908 .42708 .3255 .42353 Metetra
.65 .738 .914 r
.3255 .42353 .32908 .42708 .33476 .42536 .33118 .4218 Metetra
.647 .738 .915 r
.33118 .4218 .33476 .42536 .34045 .42366 .33688 .4201 Metetra
.645 .737 .916 r
.33688 .4201 .34045 .42366 .34615 .42199 .34258 .41842 Metetra
.645 .737 .916 r
.34258 .41842 .34615 .42199 .35186 .42032 .3483 .41674 Metetra
.646 .737 .915 r
.3483 .41674 .35186 .42032 .35759 .41863 .35404 .41504 Metetra
.65 .738 .914 r
.35404 .41504 .35759 .41863 .36333 .41688 .35979 .41329 Metetra
.654 .74 .912 r
.35979 .41329 .36333 .41688 .36909 .41507 .36555 .41147 Metetra
.656 .74 .912 r
.36555 .41147 .36909 .41507 .37486 .41322 .37134 .40961 Metetra
.653 .739 .913 r
.37134 .40961 .37486 .41322 .38065 .41141 .37713 .4078 Metetra
.643 .736 .916 r
.37713 .4078 .38065 .41141 .38644 .40974 .38293 .40612 Metetra
.627 .731 .922 r
.38293 .40612 .38644 .40974 .39223 .40828 .38873 .40465 Metetra
.609 .725 .927 r
.38873 .40465 .39223 .40828 .39804 .40705 .39454 .40341 Metetra
.6 .722 .93 r
.39454 .40341 .39804 .40705 .40385 .40593 .40036 .40228 Metetra
.608 .725 .928 r
.40036 .40228 .40385 .40593 .40968 .4047 .40619 .40105 Metetra
.635 .734 .919 r
.40619 .40105 .40968 .4047 .41554 .40312 .41206 .39946 Metetra
.669 .744 .907 r
.41206 .39946 .41554 .40312 .42143 .40104 .41796 .39737 Metetra
.694 .751 .896 r
.41796 .39737 .42143 .40104 .42734 .39853 .42388 .39485 Metetra
.697 .752 .894 r
.42388 .39485 .42734 .39853 .43327 .39597 .42982 .39229 Metetra
.663 .742 .909 r
.42982 .39229 .43327 .39597 .43919 .39397 .43575 .39028 Metetra
.574 .712 .936 r
.43575 .39028 .43919 .39397 .4451 .39312 .44166 .38942 Metetra
.417 .641 .949 r
.44166 .38942 .4451 .39312 .45099 .39371 .44756 .39 Metetra
.255 .553 .93 r
.44756 .39 .45099 .39371 .45688 .39539 .45345 .39168 Metetra
.243 .547 .928 r
.45345 .39168 .45688 .39539 .46279 .39715 .45937 .39343 Metetra
.443 .654 .95 r
.45937 .39343 .46279 .39715 .46876 .39753 .46534 .39381 Metetra
.679 .749 .904 r
.46534 .39381 .46876 .39753 .47479 .39524 .47138 .39151 Metetra
.803 .774 .826 r
.47138 .39151 .47479 .39524 .48087 .38989 .47748 .38615 Metetra
.845 .775 .784 r
.47748 .38615 .48087 .38989 .48698 .38259 .4836 .37883 Metetra
.832 .776 .799 r
.4836 .37883 .48698 .38259 .49308 .37603 .48971 .37226 Metetra
.665 .743 .908 r
.48971 .37226 .49308 .37603 .49913 .37395 .49577 .37017 Metetra
0 .019 .539 r
.49577 .37017 .49913 .37395 .50515 .3801 .50179 .37633 Metetra
.904 .499 .11 r
.50179 .37633 .50515 .3801 .51117 .39701 .5078 .39324 Metetra
.947 .588 .26 r
.5078 .39324 .51117 .39701 .51724 .4249 .51385 .42115 Metetra
.955 .614 .306 r
.51385 .42115 .51724 .4249 .52344 .4611 .52002 .45737 Metetra
.957 .618 .314 r
.52002 .45737 .52344 .4611 .52981 .50014 .52635 .49645 Metetra
.953 .605 .29 r
.52635 .49645 .52981 .50014 .53633 .5348 .53285 .53114 Metetra
.93 .547 .192 r
.53285 .53114 .53633 .5348 .54295 .55794 .53945 .5543 Metetra
0 0 .498 r
.53945 .5543 .54295 .55794 .54957 .56474 .54607 .5611 Metetra
.892 .792 .744 r
.54607 .5611 .54957 .56474 .55607 .55428 .55259 .55062 Metetra
.949 .756 .609 r
.55259 .55062 .55607 .55428 .5624 .52965 .55895 .52596 Metetra
.958 .743 .571 r
.55895 .52596 .5624 .52965 .56854 .49665 .56513 .49292 Metetra
.959 .74 .563 r
.56513 .49292 .56854 .49665 .57455 .46172 .57119 .45794 Metetra
.957 .743 .572 r
.57119 .45794 .57455 .46172 .5805 .43014 .57718 .42632 Metetra
.951 .752 .599 r
.57718 .42632 .5805 .43014 .58647 .40503 .58318 .40119 Metetra
.935 .766 .648 r
.58318 .40119 .58647 .40503 .59252 .38727 .58926 .3834 Metetra
.901 .781 .72 r
.58926 .3834 .59252 .38727 .59867 .37589 .59542 .37201 Metetra
.841 .786 .798 r
.59542 .37201 .59867 .37589 .60491 .36893 .60168 .36504 Metetra
.781 .779 .851 r
.60168 .36504 .60491 .36893 .6112 .36425 .60798 .36034 Metetra
.761 .775 .864 r
.60798 .36034 .6112 .36425 .61752 .36011 .61431 .35619 Metetra
.777 .778 .854 r
.61431 .35619 .61752 .36011 .62383 .35556 .62063 .35163 Metetra
.797 .782 .839 r
.62063 .35163 .62383 .35556 .63012 .35036 .62694 .34642 Metetra
.808 .784 .83 r
.62694 .34642 .63012 .35036 .6364 .34481 .63323 .34086 Metetra
.804 .783 .833 r
.63323 .34086 .6364 .34481 .64269 .33938 .63953 .33541 Metetra
.789 .78 .845 r
.63953 .33541 .64269 .33938 .649 .33446 .64585 .33048 Metetra
.764 .775 .862 r
.64585 .33048 .649 .33446 .65534 .33023 .6522 .32624 Metetra
.737 .768 .878 r
.6522 .32624 .65534 .33023 .66171 .32664 .65859 .32264 Metetra
.715 .761 .889 r
.65859 .32264 .66171 .32664 .66812 .32352 .66501 .31951 Metetra
.703 .757 .894 r
.66501 .31951 .66812 .32352 .67454 .32063 .67144 .31661 Metetra
.7 .756 .895 r
.67144 .31661 .67454 .32063 .68099 .31778 .6779 .31375 Metetra
.703 .757 .894 r
.6779 .31375 .68099 .31778 .68744 .31488 .68436 .31085 Metetra
.706 .758 .893 r
.68436 .31085 .68744 .31488 .6939 .31192 .69083 .30787 Metetra
.707 .759 .892 r
.69083 .30787 .6939 .31192 .70037 .30893 .69731 .30487 Metetra
.706 .758 .893 r
.69731 .30487 .70037 .30893 .70685 .30596 .7038 .3019 Metetra
.702 .757 .895 r
.7038 .3019 .70685 .30596 .71335 .30307 .71031 .29899 Metetra
.697 .755 .897 r
.71031 .29899 .71335 .30307 .71987 .30027 .71684 .29618 Metetra
.692 .753 .899 r
.71684 .29618 .71987 .30027 .7264 .29755 .72339 .29345 Metetra
.688 .752 .9 r
.72339 .29345 .7264 .29755 .73296 .2949 .72995 .29079 Metetra
.685 .751 .901 r
.72995 .29079 .73296 .2949 .73953 .29228 .73653 .28817 Metetra
.684 .75 .902 r
.73653 .28817 .73953 .29228 .74611 .28969 .74313 .28556 Metetra
.683 .75 .902 r
.74313 .28556 .74611 .28969 .75271 .28711 .74974 .28297 Metetra
.683 .75 .902 r
.74974 .28297 .75271 .28711 .75933 .28453 .75637 .28038 Metetra
.682 .75 .903 r
.75637 .28038 .75933 .28453 .76596 .28196 .76301 .2778 Metetra
.681 .749 .903 r
.76301 .2778 .76596 .28196 .7726 .2794 .76966 .27523 Metetra
.68 .749 .903 r
.76966 .27523 .7726 .2794 .77926 .27685 .77634 .27267 Metetra
.679 .748 .904 r
.77634 .27267 .77926 .27685 .78594 .27432 .78302 .27013 Metetra
.678 .748 .904 r
.78302 .27013 .78594 .27432 .79263 .2718 .78973 .2676 Metetra
.677 .748 .904 r
.78973 .2676 .79263 .2718 .79934 .26929 .79645 .26509 Metetra
.676 .747 .905 r
.79645 .26509 .79934 .26929 .80606 .26679 .80318 .26258 Metetra
.675 .747 .905 r
.80318 .26258 .80606 .26679 .8128 .2643 .80994 .26008 Metetra
.675 .747 .905 r
.80994 .26008 .8128 .2643 .81956 .26181 .8167 .25758 Metetra
.674 .747 .905 r
.8167 .25758 .81956 .26181 .82633 .25933 .82349 .25508 Metetra
.674 .746 .905 r
.82349 .25508 .82633 .25933 .83312 .25685 .83029 .25259 Metetra
.673 .746 .906 r
.83029 .25259 .83312 .25685 .83993 .25437 .8371 .25011 Metetra
.673 .746 .906 r
.8371 .25011 .83993 .25437 .84675 .2519 .84394 .24762 Metetra
.657 .74 .911 r
.23245 .44841 .23617 .45186 .24166 .45009 .23796 .44663 Metetra
.657 .74 .911 r
.23796 .44663 .24166 .45009 .24717 .44831 .24347 .44485 Metetra
.656 .74 .911 r
.24347 .44485 .24717 .44831 .25268 .44654 .24899 .44307 Metetra
.656 .74 .912 r
.24899 .44307 .25268 .44654 .25821 .44476 .25453 .44129 Metetra
.656 .74 .912 r
.25453 .44129 .25821 .44476 .26375 .44299 .26008 .43951 Metetra
.655 .74 .912 r
.26008 .43951 .26375 .44299 .26931 .44122 .26564 .43773 Metetra
.655 .74 .912 r
.26564 .43773 .26931 .44122 .27487 .43944 .27121 .43596 Metetra
.655 .74 .912 r
.27121 .43596 .27487 .43944 .28045 .43767 .27679 .43418 Metetra
.655 .74 .912 r
.27679 .43418 .28045 .43767 .28604 .43591 .28239 .4324 Metetra
.654 .74 .912 r
.28239 .4324 .28604 .43591 .29164 .43415 .28799 .43062 Metetra
.654 .739 .912 r
.28799 .43062 .29164 .43415 .29725 .43238 .29361 .42884 Metetra
.654 .738 .912 r
.29361 .42884 .29725 .43238 .30287 .43061 .29925 .42706 Metetra
.653 .738 .912 r
.29925 .42706 .30287 .43061 .30851 .42884 .30489 .4253 Metetra
.652 .738 .913 r
.30489 .4253 .30851 .42884 .31416 .42707 .31055 .42353 Metetra
.651 .74 .914 r
.31055 .42353 .31416 .42707 .31982 .42529 .31621 .42178 Metetra
.65 .741 .916 r
.31621 .42178 .31982 .42529 .3255 .42353 .32189 .42004 Metetra
.65 .742 .917 r
.32189 .42004 .3255 .42353 .33118 .4218 .32758 .4183 Metetra
.65 .742 .917 r
.32758 .4183 .33118 .4218 .33688 .4201 .33329 .41655 Metetra
.651 .74 .915 r
.33329 .41655 .33688 .4201 .34258 .41842 .33901 .41478 Metetra
.651 .736 .911 r
.33901 .41478 .34258 .41842 .3483 .41674 .34474 .41301 Metetra
.651 .731 .908 r
.34474 .41301 .3483 .41674 .35404 .41504 .35048 .41125 Metetra
.648 .727 .906 r
.35048 .41125 .35404 .41504 .35979 .41329 .35624 .40951 Metetra
.644 .727 .908 r
.35624 .40951 .35979 .41329 .36555 .41147 .36201 .40782 Metetra
.639 .733 .917 r
.36201 .40782 .36555 .41147 .37134 .40961 .36778 .4062 Metetra
.634 .746 .929 r
.36778 .4062 .37134 .40961 .37713 .4078 .37357 .40464 Metetra
.63 .761 .942 r
.37357 .40464 .37713 .4078 .38293 .40612 .37937 .40308 Metetra
.633 .771 .946 r
.37937 .40308 .38293 .40612 .38873 .40465 .38519 .40146 Metetra
.643 .764 .937 r
.38519 .40146 .38873 .40465 .39454 .40341 .39103 .39974 Metetra
.653 .738 .912 r
.39103 .39974 .39454 .40341 .40036 .40228 .39688 .39791 Metetra
.654 .702 .882 r
.39688 .39791 .40036 .40228 .40619 .40105 .40275 .39604 Metetra
.645 .669 .859 r
.40275 .39604 .40619 .40105 .41206 .39946 .40863 .39426 Metetra
.63 .656 .857 r
.40863 .39426 .41206 .39946 .41796 .39737 .41451 .39275 Metetra
.607 .673 .887 r
.41451 .39275 .41796 .39737 .42388 .39485 .42039 .39161 Metetra
.558 .735 .958 r
.42039 .39161 .42388 .39485 .42982 .39229 .42628 .39081 Metetra
.419 .8 .991 r
.42628 .39081 .42982 .39229 .43575 .39028 .43219 .39013 Metetra
.243 .756 .852 r
.43219 .39013 .43575 .39028 .44166 .38942 .43812 .38924 Metetra
.371 .833 .902 r
.43812 .38924 .44166 .38942 .44756 .39 .44407 .38781 Metetra
.657 .841 .971 r
.44407 .38781 .44756 .39 .45345 .39168 .45006 .38569 Metetra
.676 .648 .815 r
.45006 .38569 .45345 .39168 .45937 .39343 .45608 .38306 Metetra
.637 .536 .724 r
.45608 .38306 .45937 .39343 .46534 .39381 .4621 .3805 Metetra
.6 .482 .691 r
.4621 .3805 .46534 .39381 .47138 .39151 .46812 .37882 Metetra
.556 .46 .701 r
.46812 .37882 .47138 .39151 .47748 .38615 .47413 .37878 Metetra
.417 .472 .809 r
.47413 .37878 .47748 .38615 .4836 .37883 .48013 .3808 Metetra
.645 .146 .05 r
.48013 .3808 .4836 .37883 .48971 .37226 .48613 .38473 Metetra
.628 .296 .389 r
.48613 .38473 .48971 .37226 .49577 .37017 .49216 .38981 Metetra
.604 .305 .435 r
.49216 .38981 .49577 .37017 .50179 .37633 .49823 .39489 Metetra
.59 .288 .425 r
.49823 .39489 .50179 .37633 .5078 .39324 .50435 .39884 Metetra
.562 .144 .206 r
.50435 .39884 .5078 .39324 .51385 .42115 .51052 .40095 Metetra
.548 .408 .643 r
.51052 .40095 .51385 .42115 .52002 .45737 .51672 .40125 Metetra
.554 .36 .573 r
.51672 .40125 .52002 .45737 .52635 .49645 .52294 .40038 Metetra
.55 .345 .556 r
.52294 .40038 .52635 .49645 .53285 .53114 .52918 .39939 Metetra
.546 .337 .549 r
.52918 .39939 .53285 .53114 .53945 .5543 .53544 .39917 Metetra
.542 .333 .546 r
.53544 .39917 .53945 .5543 .54607 .5611 .54173 .40009 Metetra
.541 .331 .545 r
.54173 .40009 .54607 .5611 .55259 .55062 .54805 .40183 Metetra
.541 .332 .546 r
.54805 .40183 .55259 .55062 .55895 .52596 .5544 .40343 Metetra
.544 .337 .55 r
.5544 .40343 .55895 .52596 .56513 .49292 .56076 .40371 Metetra
.555 .35 .558 r
.56076 .40371 .56513 .49292 .57119 .45794 .56712 .40165 Metetra
.578 .379 .574 r
.56712 .40165 .57119 .45794 .57718 .42632 .57345 .39684 Metetra
.632 .442 .609 r
.57345 .39684 .57718 .42632 .58318 .40119 .57974 .38952 Metetra
.748 .59 .68 r
.57974 .38952 .58318 .40119 .58926 .3834 .586 .38056 Metetra
.904 .826 .76 r
.586 .38056 .58926 .3834 .59542 .37201 .59223 .37106 Metetra
.931 .914 .778 r
.59223 .37106 .59542 .37201 .60168 .36504 .59845 .36204 Metetra
.878 .828 .794 r
.59845 .36204 .60168 .36504 .60798 .36034 .60469 .3542 Metetra
.785 .696 .766 r
.60469 .3542 .60798 .36034 .61431 .35619 .61097 .34775 Metetra
.721 .617 .741 r
.61097 .34775 .61431 .35619 .62063 .35163 .61727 .34257 Metetra
.692 .592 .739 r
.61727 .34257 .62063 .35163 .62694 .34642 .62361 .33826 Metetra
.69 .607 .759 r
.62361 .33826 .62694 .34642 .63323 .34086 .62996 .33442 Metetra
.707 .658 .799 r
.62996 .33442 .63323 .34086 .63953 .33541 .63633 .33072 Metetra
.732 .732 .85 r
.63633 .33072 .63953 .33541 .64585 .33048 .64271 .32699 Metetra
.751 .799 .892 r
.64271 .32699 .64585 .33048 .6522 .32624 .6491 .32323 Metetra
.754 .83 .91 r
.6491 .32323 .6522 .32624 .65859 .32264 .65549 .3195 Metetra
.746 .82 .91 r
.65549 .3195 .65859 .32264 .66501 .31951 .6619 .3159 Metetra
.732 .789 .898 r
.6619 .3159 .66501 .31951 .67144 .31661 .66833 .31249 Metetra
.717 .757 .884 r
.66833 .31249 .67144 .31661 .6779 .31375 .67477 .30928 Metetra
.704 .736 .876 r
.67477 .30928 .6779 .31375 .68436 .31085 .68124 .30626 Metetra
.697 .728 .874 r
.68124 .30626 .68436 .31085 .69083 .30787 .68772 .30336 Metetra
.694 .731 .879 r
.68772 .30336 .69083 .30787 .69731 .30487 .69422 .30053 Metetra
.694 .74 .887 r
.69422 .30053 .69731 .30487 .7038 .3019 .70074 .29773 Metetra
.694 .75 .894 r
.70074 .29773 .7038 .3019 .71031 .29899 .70727 .29495 Metetra
.694 .757 .9 r
.70727 .29495 .71031 .29899 .71684 .29618 .71381 .29218 Metetra
.693 .759 .903 r
.71381 .29218 .71684 .29618 .72339 .29345 .72037 .28943 Metetra
.691 .758 .903 r
.72037 .28943 .72339 .29345 .72995 .29079 .72694 .28671 Metetra
.688 .754 .902 r
.72694 .28671 .72995 .29079 .73653 .28817 .73353 .28403 Metetra
.686 .751 .901 r
.73353 .28403 .73653 .28817 .74313 .28556 .74013 .28138 Metetra
.684 .748 .9 r
.74013 .28138 .74313 .28556 .74974 .28297 .74676 .27876 Metetra
.682 .747 .9 r
.74676 .27876 .74974 .28297 .75637 .28038 .75339 .27617 Metetra
.681 .746 .901 r
.75339 .27617 .75637 .28038 .76301 .2778 .76005 .27359 Metetra
.68 .747 .902 r
.76005 .27359 .76301 .2778 .76966 .27523 .76671 .27103 Metetra
.679 .748 .903 r
.76671 .27103 .76966 .27523 .77634 .27267 .7734 .26847 Metetra
.678 .748 .904 r
.7734 .26847 .77634 .27267 .78302 .27013 .7801 .26593 Metetra
.678 .748 .904 r
.7801 .26593 .78302 .27013 .78973 .2676 .78681 .26339 Metetra
.677 .748 .904 r
.78681 .26339 .78973 .2676 .79645 .26509 .79355 .26086 Metetra
.676 .747 .905 r
.79355 .26086 .79645 .26509 .80318 .26258 .80029 .25834 Metetra
.675 .747 .905 r
.80029 .25834 .80318 .26258 .80994 .26008 .80706 .25582 Metetra
.675 .746 .905 r
.80706 .25582 .80994 .26008 .8167 .25758 .81383 .25332 Metetra
.674 .746 .905 r
.81383 .25332 .8167 .25758 .82349 .25508 .82063 .25081 Metetra
.674 .746 .905 r
.82063 .25081 .82349 .25508 .83029 .25259 .82744 .24831 Metetra
.673 .746 .905 r
.82744 .24831 .83029 .25259 .8371 .25011 .83427 .24582 Metetra
.673 .746 .906 r
.83427 .24582 .8371 .25011 .84394 .24762 .84111 .24332 Metetra
.657 .74 .911 r
.22873 .44496 .23245 .44841 .23796 .44663 .23424 .44317 Metetra
.657 .74 .911 r
.23424 .44317 .23796 .44663 .24347 .44485 .23975 .44138 Metetra
.656 .74 .912 r
.23975 .44138 .24347 .44485 .24899 .44307 .24529 .43959 Metetra
.656 .74 .912 r
.24529 .43959 .24899 .44307 .25453 .44129 .25083 .43781 Metetra
.656 .74 .912 r
.25083 .43781 .25453 .44129 .26008 .43951 .25638 .43602 Metetra
.655 .74 .912 r
.25638 .43602 .26008 .43951 .26564 .43773 .26195 .43424 Metetra
.655 .74 .912 r
.26195 .43424 .26564 .43773 .27121 .43596 .26753 .43245 Metetra
.655 .74 .912 r
.26753 .43245 .27121 .43596 .27679 .43418 .27312 .43066 Metetra
.655 .74 .912 r
.27312 .43066 .27679 .43418 .28239 .4324 .27872 .42887 Metetra
.655 .74 .912 r
.27872 .42887 .28239 .4324 .28799 .43062 .28434 .42708 Metetra
.654 .739 .912 r
.28434 .42708 .28799 .43062 .29361 .42884 .28996 .42529 Metetra
.653 .739 .912 r
.28996 .42529 .29361 .42884 .29925 .42706 .2956 .42351 Metetra
.652 .739 .913 r
.2956 .42351 .29925 .42706 .30489 .4253 .30125 .42175 Metetra
.651 .739 .914 r
.30125 .42175 .30489 .4253 .31055 .42353 .30691 .42 Metetra
.65 .74 .915 r
.30691 .42 .31055 .42353 .31621 .42178 .31259 .41826 Metetra
.65 .741 .916 r
.31259 .41826 .31621 .42178 .32189 .42004 .31827 .41651 Metetra
.651 .742 .916 r
.31827 .41651 .32189 .42004 .32758 .4183 .32397 .41474 Metetra
.653 .741 .914 r
.32397 .41474 .32758 .4183 .33329 .41655 .32969 .41295 Metetra
.654 .739 .912 r
.32969 .41295 .33329 .41655 .33901 .41478 .33542 .41112 Metetra
.654 .736 .91 r
.33542 .41112 .33901 .41478 .34474 .41301 .34116 .4093 Metetra
.651 .733 .909 r
.34116 .4093 .34474 .41301 .35048 .41125 .34691 .40753 Metetra
.644 .73 .912 r
.34691 .40753 .35048 .41125 .35624 .40951 .35267 .40584 Metetra
.635 .731 .918 r
.35267 .40584 .35624 .40951 .36201 .40782 .35844 .40428 Metetra
.626 .736 .926 r
.35844 .40428 .36201 .40782 .36778 .4062 .36421 .40282 Metetra
.624 .746 .934 r
.36421 .40282 .36778 .4062 .37357 .40464 .37 .40136 Metetra
.632 .756 .937 r
.37 .40136 .37357 .40464 .37937 .40308 .37581 .39979 Metetra
.65 .761 .93 r
.37581 .39979 .37937 .40308 .38519 .40146 .38165 .39798 Metetra
.669 .754 .914 r
.38165 .39798 .38519 .40146 .39103 .39974 .38751 .39589 Metetra
.678 .736 .895 r
.38751 .39589 .39103 .39974 .39688 .39791 .39338 .39364 Metetra
.669 .712 .881 r
.39338 .39364 .39688 .39791 .40275 .39604 .39927 .39151 Metetra
.64 .69 .881 r
.39927 .39151 .40275 .39604 .40863 .39426 .40515 .38985 Metetra
.587 .676 .902 r
.40515 .38985 .40863 .39426 .41451 .39275 .41102 .38895 Metetra
.504 .677 .943 r
.41102 .38895 .41451 .39275 .42039 .39161 .41687 .38883 Metetra
.389 .694 .981 r
.41687 .38883 .42039 .39161 .42628 .39081 .42274 .3891 Metetra
.325 .738 .978 r
.42274 .3891 .42628 .39081 .43219 .39013 .42863 .38905 Metetra
.465 .847 .984 r
.42863 .38905 .43219 .39013 .43812 .38924 .43458 .38784 Metetra
.708 .905 .965 r
.43458 .38784 .43812 .38924 .44407 .38781 .44059 .3849 Metetra
.792 .815 .871 r
.44059 .3849 .44407 .38781 .45006 .38569 .44665 .38041 Metetra
.762 .704 .796 r
.44665 .38041 .45006 .38569 .45608 .38306 .45272 .37546 Metetra
.689 .612 .765 r
.45272 .37546 .45608 .38306 .4621 .3805 .45877 .37193 Metetra
.552 .518 .772 r
.45877 .37193 .4621 .3805 .46812 .37882 .46476 .37189 Metetra
.104 .293 .77 r
.46476 .37189 .46812 .37882 .47413 .37878 .47068 .37686 Metetra
.837 .368 .022 r
.47068 .37686 .47413 .37878 .48013 .3808 .47656 .38699 Metetra
.802 .437 .365 r
.47656 .38699 .48013 .3808 .48613 .38473 .48246 .4006 Metetra
.72 .402 .441 r
.48246 .4006 .48613 .38473 .49216 .38981 .48843 .41434 Metetra
.642 .351 .461 r
.48843 .41434 .49216 .38981 .49823 .39489 .49452 .42398 Metetra
.551 .278 .454 r
.49452 .42398 .49823 .39489 .50435 .39884 .50072 .42583 Metetra
.403 .148 .41 r
.50072 .42583 .50435 .39884 .51052 .40095 .507 .41814 Metetra
0 0 .181 r
.507 .41814 .51052 .40095 .51672 .40125 .5133 .40193 Metetra
.987 .832 .603 r
.5133 .40193 .51672 .40125 .52294 .40038 .51958 .38082 Metetra
.785 .571 .611 r
.51958 .38082 .52294 .40038 .52918 .39939 .52579 .35971 Metetra
.672 .459 .588 r
.52579 .35971 .52918 .39939 .53544 .39917 .53195 .34331 Metetra
.6 .395 .574 r
.53195 .34331 .53544 .39917 .54173 .40009 .53811 .33469 Metetra
.547 .35 .565 r
.53811 .33469 .54173 .40009 .54805 .40183 .5443 .33461 Metetra
.505 .318 .561 r
.5443 .33461 .54805 .40183 .5544 .40343 .55057 .34152 Metetra
.475 .298 .56 r
.55057 .34152 .5544 .40343 .56076 .40371 .55694 .3522 Metetra
.46 .293 .567 r
.55694 .3522 .56076 .40371 .56712 .40165 .56336 .36283 Metetra
.47 .312 .584 r
.56336 .36283 .56712 .40165 .57345 .39684 .5698 .37015 Metetra
.519 .368 .616 r
.5698 .37015 .57345 .39684 .57974 .38952 .57622 .37236 Metetra
.612 .467 .66 r
.57622 .37236 .57974 .38952 .586 .38056 .58257 .36942 Metetra
.719 .579 .697 r
.58257 .36942 .586 .38056 .59223 .37106 .58886 .36271 Metetra
.784 .648 .713 r
.58886 .36271 .59223 .37106 .59845 .36204 .59511 .35427 Metetra
.79 .661 .721 r
.59511 .35427 .59845 .36204 .60469 .3542 .60135 .346 Metetra
.759 .64 .729 r
.60135 .346 .60469 .3542 .61097 .34775 .60761 .33915 Metetra
.715 .611 .74 r
.60761 .33915 .61097 .34775 .61727 .34257 .61393 .33412 Metetra
.677 .595 .757 r
.61393 .33412 .61727 .34257 .62361 .33826 .62029 .33062 Metetra
.657 .603 .782 r
.62029 .33062 .62361 .33826 .62996 .33442 .62669 .32798 Metetra
.661 .638 .816 r
.62669 .32798 .62996 .33442 .63633 .33072 .63311 .32551 Metetra
.686 .694 .852 r
.63311 .32551 .63633 .33072 .64271 .32699 .63953 .32274 Metetra
.718 .75 .877 r
.63953 .32274 .64271 .32699 .6491 .32323 .64595 .31948 Metetra
.742 .784 .887 r
.64595 .31948 .6491 .32323 .65549 .3195 .65236 .31583 Metetra
.75 .791 .887 r
.65236 .31583 .65549 .3195 .6619 .3159 .65877 .31204 Metetra
.743 .779 .883 r
.65877 .31204 .6619 .3159 .66833 .31249 .66519 .30834 Metetra
.728 .76 .879 r
.66519 .30834 .66833 .31249 .67477 .30928 .67164 .30489 Metetra
.711 .743 .877 r
.67164 .30489 .67477 .30928 .68124 .30626 .67811 .30174 Metetra
.697 .732 .878 r
.67811 .30174 .68124 .30626 .68772 .30336 .68461 .29885 Metetra
.689 .73 .882 r
.68461 .29885 .68772 .30336 .69422 .30053 .69112 .29612 Metetra
.686 .735 .887 r
.69112 .29612 .69422 .30053 .70074 .29773 .69766 .29345 Metetra
.687 .742 .893 r
.69766 .29345 .70074 .29773 .70727 .29495 .7042 .29077 Metetra
.69 .749 .897 r
.7042 .29077 .70727 .29495 .71381 .29218 .71076 .28806 Metetra
.691 .754 .899 r
.71076 .28806 .71381 .29218 .72037 .28943 .71733 .28533 Metetra
.691 .755 .9 r
.71733 .28533 .72037 .28943 .72694 .28671 .72391 .28258 Metetra
.69 .754 .9 r
.72391 .28258 .72694 .28671 .73353 .28403 .73051 .27986 Metetra
.687 .751 .9 r
.73051 .27986 .73353 .28403 .74013 .28138 .73713 .27718 Metetra
.685 .749 .9 r
.73713 .27718 .74013 .28138 .74676 .27876 .74376 .27453 Metetra
.682 .747 .9 r
.74376 .27453 .74676 .27876 .75339 .27617 .75041 .27193 Metetra
.68 .746 .901 r
.75041 .27193 .75339 .27617 .76005 .27359 .75707 .26935 Metetra
.679 .746 .901 r
.75707 .26935 .76005 .27359 .76671 .27103 .76375 .26679 Metetra
.678 .746 .902 r
.76375 .26679 .76671 .27103 .7734 .26847 .77045 .26424 Metetra
.678 .747 .903 r
.77045 .26424 .7734 .26847 .7801 .26593 .77716 .26169 Metetra
.677 .747 .904 r
.77716 .26169 .7801 .26593 .78681 .26339 .78389 .25915 Metetra
.677 .747 .904 r
.78389 .25915 .78681 .26339 .79355 .26086 .79063 .25661 Metetra
.676 .747 .904 r
.79063 .25661 .79355 .26086 .80029 .25834 .79739 .25408 Metetra
.675 .747 .904 r
.79739 .25408 .80029 .25834 .80706 .25582 .80416 .25155 Metetra
.675 .746 .905 r
.80416 .25155 .80706 .25582 .81383 .25332 .81095 .24903 Metetra
.674 .746 .905 r
.81095 .24903 .81383 .25332 .82063 .25081 .81776 .24652 Metetra
.673 .746 .905 r
.81776 .24652 .82063 .25081 .82744 .24831 .82458 .24401 Metetra
.673 .746 .905 r
.82458 .24401 .82744 .24831 .83427 .24582 .83142 .2415 Metetra
.673 .745 .905 r
.83142 .2415 .83427 .24582 .84111 .24332 .83828 .239 Metetra
.657 .74 .911 r
.22499 .44149 .22873 .44496 .23424 .44317 .2305 .43969 Metetra
.657 .74 .912 r
.2305 .43969 .23424 .44317 .23975 .44138 .23603 .4379 Metetra
.656 .74 .912 r
.23603 .4379 .23975 .44138 .24529 .43959 .24157 .43611 Metetra
.656 .74 .912 r
.24157 .43611 .24529 .43959 .25083 .43781 .24711 .43431 Metetra
.656 .74 .912 r
.24711 .43431 .25083 .43781 .25638 .43602 .25268 .43252 Metetra
.656 .74 .912 r
.25268 .43252 .25638 .43602 .26195 .43424 .25825 .43072 Metetra
.655 .74 .912 r
.25825 .43072 .26195 .43424 .26753 .43245 .26384 .42893 Metetra
.655 .74 .912 r
.26384 .42893 .26753 .43245 .27312 .43066 .26943 .42713 Metetra
.655 .74 .912 r
.26943 .42713 .27312 .43066 .27872 .42887 .27504 .42533 Metetra
.654 .74 .912 r
.27504 .42533 .27872 .42887 .28434 .42708 .28066 .42354 Metetra
.653 .74 .913 r
.28066 .42354 .28434 .42708 .28996 .42529 .2863 .42176 Metetra
.652 .74 .914 r
.2863 .42176 .28996 .42529 .2956 .42351 .29194 .41998 Metetra
.652 .741 .915 r
.29194 .41998 .2956 .42351 .30125 .42175 .2976 .41822 Metetra
.651 .741 .915 r
.2976 .41822 .30125 .42175 .30691 .42 .30327 .41645 Metetra
.651 .74 .914 r
.30327 .41645 .30691 .42 .31259 .41826 .30895 .41468 Metetra
.652 .739 .913 r
.30895 .41468 .31259 .41826 .31827 .41651 .31465 .41289 Metetra
.653 .737 .912 r
.31465 .41289 .31827 .41651 .32397 .41474 .32036 .41109 Metetra
.653 .736 .91 r
.32036 .41109 .32397 .41474 .32969 .41295 .32608 .40929 Metetra
.651 .736 .911 r
.32608 .40929 .32969 .41295 .33542 .41112 .33181 .4075 Metetra
.648 .737 .914 r
.33181 .4075 .33542 .41112 .34116 .4093 .33756 .40575 Metetra
.643 .741 .92 r
.33756 .40575 .34116 .4093 .34691 .40753 .34331 .40406 Metetra
.638 .745 .926 r
.34331 .40406 .34691 .40753 .35267 .40584 .34907 .40244 Metetra
.635 .748 .93 r
.34907 .40244 .35267 .40584 .35844 .40428 .35485 .40085 Metetra
.636 .747 .928 r
.35485 .40085 .35844 .40428 .36421 .40282 .36064 .39923 Metetra
.643 .74 .92 r
.36064 .39923 .36421 .40282 .37 .40136 .36645 .39753 Metetra
.652 .729 .906 r
.36645 .39753 .37 .40136 .37581 .39979 .37228 .39571 Metetra
.658 .718 .893 r
.37228 .39571 .37581 .39979 .38165 .39798 .37812 .39378 Metetra
.658 .713 .888 r
.37812 .39378 .38165 .39798 .38751 .39589 .38398 .39184 Metetra
.649 .718 .898 r
.38398 .39184 .38751 .39589 .39338 .39364 .38985 .39004 Metetra
.627 .736 .926 r
.38985 .39004 .39338 .39364 .39927 .39151 .39572 .38854 Metetra
.582 .762 .964 r
.39572 .38854 .39927 .39151 .40515 .38985 .40158 .38742 Metetra
.521 .778 .991 r
.40158 .38742 .40515 .38985 .41102 .38895 .40746 .38663 Metetra
.501 .779 .994 r
.40746 .38663 .41102 .38895 .41687 .38883 .41334 .38592 Metetra
.562 .761 .971 r
.41334 .38592 .41687 .38883 .42274 .3891 .41925 .38495 Metetra
.633 .71 .902 r
.41925 .38495 .42274 .3891 .42863 .38905 .4252 .38338 Metetra
.666 .655 .83 r
.4252 .38338 .42863 .38905 .43458 .38784 .43119 .38104 Metetra
.678 .626 .79 r
.43119 .38104 .43458 .38784 .44059 .3849 .4372 .37813 Metetra
.677 .626 .791 r
.4372 .37813 .44059 .3849 .44665 .38041 .44322 .37522 Metetra
.654 .67 .853 r
.44322 .37522 .44665 .38041 .45272 .37546 .44924 .37321 Metetra
.408 .744 .993 r
.44924 .37321 .45272 .37546 .45877 .37193 .45522 .37305 Metetra
.52 0 0 r
.45522 .37305 .45877 .37193 .46476 .37189 .46117 .37544 Metetra
.688 .246 .197 r
.46117 .37544 .46476 .37189 .47068 .37686 .46711 .38055 Metetra
.743 .321 .247 r
.46711 .38055 .47068 .37686 .47656 .38699 .47305 .38778 Metetra
.792 .324 .126 r
.47305 .38778 .47656 .38699 .48246 .4006 .47903 .3958 Metetra
0 .001 .551 r
.47903 .3958 .48246 .4006 .48843 .41434 .48507 .4028 Metetra
.381 .365 .717 r
.48507 .4028 .48843 .41434 .49452 .42398 .4912 .40685 Metetra
.561 .432 .662 r
.4912 .40685 .49452 .42398 .50072 .42583 .49739 .40647 Metetra
.643 .477 .643 r
.49739 .40647 .50072 .42583 .507 .41814 .50365 .40107 Metetra
.713 .533 .645 r
.50365 .40107 .507 .41814 .5133 .40193 .50992 .39115 Metetra
.802 .626 .663 r
.50992 .39115 .5133 .40193 .51958 .38082 .51619 .37821 Metetra
.934 .802 .691 r
.51619 .37821 .51958 .38082 .52579 .35971 .52243 .36441 Metetra
.835 .908 .502 r
.52243 .36441 .52579 .35971 .53195 .34331 .52863 .35197 Metetra
.52863 .35197 .53195 .34331 .53811 .33469 .53483 .34267 Metetra
.159 0 .105 r
.53483 .34267 .53811 .33469 .5443 .33461 .54103 .33747 Metetra
.215 0 0 r
.54103 .33747 .5443 .33461 .55057 .34152 .54726 .33637 Metetra
.321 .509 .885 r
.54726 .33637 .55057 .34152 .55694 .3522 .55353 .33848 Metetra
.428 .37 .69 r
.55353 .33848 .55694 .3522 .56336 .36283 .55986 .3423 Metetra
.472 .355 .638 r
.55986 .3423 .56336 .36283 .5698 .37015 .56623 .34619 Metetra
.509 .368 .624 r
.56623 .34619 .5698 .37015 .57622 .37236 .57261 .34875 Metetra
.545 .394 .627 r
.57261 .34875 .57622 .37236 .58257 .36942 .57899 .34916 Metetra
.585 .434 .642 r
.57899 .34916 .58257 .36942 .58886 .36271 .58535 .3473 Metetra
.632 .49 .671 r
.58535 .3473 .58886 .36271 .59511 .35427 .59169 .34362 Metetra
.685 .565 .714 r
.59169 .34362 .59511 .35427 .60135 .346 .59802 .3389 Metetra
.733 .652 .769 r
.59802 .3389 .60135 .346 .60761 .33915 .60434 .33397 Metetra
.754 .719 .82 r
.60434 .33397 .60761 .33915 .61393 .33412 .61068 .32942 Metetra
.739 .734 .847 r
.61068 .32942 .61393 .33412 .62029 .33062 .61704 .32554 Metetra
.708 .707 .847 r
.61704 .32554 .62029 .33062 .62669 .32798 .62343 .32229 Metetra
.684 .674 .834 r
.62343 .32229 .62669 .32798 .63311 .32551 .62984 .31944 Metetra
.675 .657 .825 r
.62984 .31944 .63311 .32551 .63953 .32274 .63627 .3167 Metetra
.68 .661 .825 r
.63627 .3167 .63953 .32274 .64595 .31948 .64271 .31386 Metetra
.693 .682 .835 r
.64271 .31386 .64595 .31948 .65236 .31583 .64915 .3108 Metetra
.708 .711 .851 r
.64915 .3108 .65236 .31583 .65877 .31204 .6556 .30754 Metetra
.719 .74 .869 r
.6556 .30754 .65877 .31204 .66519 .30834 .66205 .3042 Metetra
.721 .759 .883 r
.66205 .3042 .66519 .30834 .67164 .30489 .66852 .30089 Metetra
.716 .766 .891 r
.66852 .30089 .67164 .30489 .67811 .30174 .675 .2977 Metetra
.707 .761 .894 r
.675 .2977 .67811 .30174 .68461 .29885 .6815 .29468 Metetra
.698 .751 .893 r
.6815 .29468 .68461 .29885 .69112 .29612 .68802 .29182 Metetra
.691 .743 .891 r
.68802 .29182 .69112 .29612 .69766 .29345 .69456 .28907 Metetra
.687 .738 .89 r
.69456 .28907 .69766 .29345 .7042 .29077 .70111 .28638 Metetra
.686 .737 .89 r
.70111 .28638 .7042 .29077 .71076 .28806 .70769 .28371 Metetra
.686 .74 .892 r
.70769 .28371 .71076 .28806 .71733 .28533 .71427 .28104 Metetra
.687 .744 .895 r
.71427 .28104 .71733 .28533 .72391 .28258 .72087 .27835 Metetra
.687 .747 .897 r
.72087 .27835 .72391 .28258 .73051 .27986 .72748 .27566 Metetra
.686 .75 .9 r
.72748 .27566 .73051 .27986 .73713 .27718 .73411 .27298 Metetra
.685 .75 .901 r
.73411 .27298 .73713 .27718 .74376 .27453 .74075 .27033 Metetra
.683 .749 .902 r
.74075 .27033 .74376 .27453 .75041 .27193 .74741 .2677 Metetra
.681 .748 .902 r
.74741 .2677 .75041 .27193 .75707 .26935 .75408 .2651 Metetra
.679 .747 .902 r
.75408 .2651 .75707 .26935 .76375 .26679 .76077 .26253 Metetra
.678 .746 .902 r
.76077 .26253 .76375 .26679 .77045 .26424 .76748 .25997 Metetra
.677 .746 .902 r
.76748 .25997 .77045 .26424 .77716 .26169 .7742 .25741 Metetra
.677 .746 .903 r
.7742 .25741 .77716 .26169 .78389 .25915 .78094 .25487 Metetra
.676 .746 .903 r
.78094 .25487 .78389 .25915 .79063 .25661 .7877 .25233 Metetra
.676 .746 .904 r
.7877 .25233 .79063 .25661 .79739 .25408 .79447 .24979 Metetra
.675 .746 .904 r
.79447 .24979 .79739 .25408 .80416 .25155 .80125 .24726 Metetra
.675 .746 .904 r
.80125 .24726 .80416 .25155 .81095 .24903 .80806 .24473 Metetra
.674 .746 .905 r
.80806 .24473 .81095 .24903 .81776 .24652 .81488 .2422 Metetra
.673 .746 .905 r
.81488 .2422 .81776 .24652 .82458 .24401 .82171 .23968 Metetra
.673 .745 .905 r
.82171 .23968 .82458 .24401 .83142 .2415 .82856 .23717 Metetra
.672 .745 .905 r
.82856 .23717 .83142 .2415 .83828 .239 .83543 .23466 Metetra
.657 .741 .912 r
.22123 .43801 .22499 .44149 .2305 .43969 .22675 .43621 Metetra
.657 .741 .912 r
.22675 .43621 .2305 .43969 .23603 .4379 .23228 .43441 Metetra
.656 .741 .912 r
.23228 .43441 .23603 .4379 .24157 .43611 .23783 .43261 Metetra
.656 .74 .912 r
.23783 .43261 .24157 .43611 .24711 .43431 .24339 .4308 Metetra
.656 .74 .912 r
.24339 .4308 .24711 .43431 .25268 .43252 .24895 .429 Metetra
.656 .74 .912 r
.24895 .429 .25268 .43252 .25825 .43072 .25454 .42719 Metetra
.655 .74 .912 r
.25454 .42719 .25825 .43072 .26384 .42893 .26013 .42539 Metetra
.655 .74 .912 r
.26013 .42539 .26384 .42893 .26943 .42713 .26573 .42359 Metetra
.654 .74 .913 r
.26573 .42359 .26943 .42713 .27504 .42533 .27135 .4218 Metetra
.653 .74 .913 r
.27135 .4218 .27504 .42533 .28066 .42354 .27698 .42001 Metetra
.653 .741 .914 r
.27698 .42001 .28066 .42354 .2863 .42176 .28262 .41823 Metetra
.652 .741 .915 r
.28262 .41823 .2863 .42176 .29194 .41998 .28827 .41645 Metetra
.653 .741 .915 r
.28827 .41645 .29194 .41998 .2976 .41822 .29393 .41466 Metetra
.653 .741 .914 r
.29393 .41466 .2976 .41822 .30327 .41645 .29961 .41285 Metetra
.654 .739 .912 r
.29961 .41285 .30327 .41645 .30895 .41468 .3053 .41104 Metetra
.654 .737 .911 r
.3053 .41104 .30895 .41468 .31465 .41289 .31101 .40922 Metetra
.652 .735 .91 r
.31101 .40922 .31465 .41289 .32036 .41109 .31672 .40742 Metetra
.649 .735 .912 r
.31672 .40742 .32036 .41109 .32608 .40929 .32245 .40566 Metetra
.644 .736 .916 r
.32245 .40566 .32608 .40929 .33181 .4075 .32818 .40396 Metetra
.64 .741 .922 r
.32818 .40396 .33181 .4075 .33756 .40575 .33393 .40232 Metetra
.637 .747 .928 r
.33393 .40232 .33756 .40575 .34331 .40406 .33969 .4007 Metetra
.639 .752 .93 r
.33969 .4007 .34331 .40406 .34907 .40244 .34546 .39905 Metetra
.647 .753 .926 r
.34546 .39905 .34907 .40244 .35485 .40085 .35125 .39728 Metetra
.657 .746 .916 r
.35125 .39728 .35485 .40085 .36064 .39923 .35706 .39538 Metetra
.663 .732 .901 r
.35706 .39538 .36064 .39923 .36645 .39753 .3629 .39338 Metetra
.661 .716 .889 r
.3629 .39338 .36645 .39753 .37228 .39571 .36874 .39139 Metetra
.649 .703 .887 r
.36874 .39139 .37228 .39571 .37812 .39378 .37458 .38959 Metetra
.625 .702 .901 r
.37458 .38959 .37812 .39378 .38398 .39184 .38043 .38815 Metetra
.588 .718 .934 r
.38043 .38815 .38398 .39184 .38985 .39004 .38627 .38714 Metetra
.535 .75 .975 r
.38627 .38714 .38985 .39004 .39572 .38854 .39211 .38642 Metetra
.492 .79 .998 r
.39211 .38642 .39572 .38854 .40158 .38742 .39797 .38568 Metetra
.529 .831 .999 r
.39797 .38568 .40158 .38742 .40746 .38663 .40387 .38448 Metetra
.645 .841 .975 r
.40387 .38448 .40746 .38663 .41334 .38592 .40981 .38247 Metetra
.714 .772 .898 r
.40981 .38247 .41334 .38592 .41925 .38495 .4158 .37959 Metetra
.712 .684 .822 r
.4158 .37959 .41925 .38495 .4252 .38338 .42181 .37623 Metetra
.678 .617 .78 r
.42181 .37623 .4252 .38338 .43119 .38104 .42782 .3732 Metetra
.621 .573 .778 r
.42782 .3732 .43119 .38104 .4372 .37813 .43379 .37156 Metetra
.496 .543 .835 r
.43379 .37156 .4372 .37813 .44322 .37522 .43973 .37221 Metetra
0 .323 .774 r
.43973 .37221 .44322 .37522 .44924 .37321 .44562 .37548 Metetra
.708 .24 .139 r
.44562 .37548 .44924 .37321 .45522 .37305 .45149 .38086 Metetra
.677 .306 .336 r
.45149 .38086 .45522 .37305 .46117 .37544 .45739 .38701 Metetra
.63 .291 .377 r
.45739 .38701 .46117 .37544 .46711 .38055 .46336 .39207 Metetra
.564 .224 .351 r
.46336 .39207 .46711 .38055 .47305 .38778 .46942 .39422 Metetra
.336 0 .118 r
.46942 .39422 .47305 .38778 .47903 .3958 .47556 .39235 Metetra
.824 .795 .824 r
.47556 .39235 .47903 .3958 .48507 .4028 .48178 .38638 Metetra
.707 .532 .649 r
.48178 .38638 .48507 .4028 .4912 .40685 .48803 .37736 Metetra
.659 .462 .606 r
.48803 .37736 .4912 .40685 .49739 .40647 .49428 .36697 Metetra
.631 .428 .59 r
.49428 .36697 .49739 .40647 .50365 .40107 .50052 .35697 Metetra
.612 .41 .584 r
.50052 .35697 .50365 .40107 .50992 .39115 .50672 .34863 Metetra
.598 .401 .585 r
.50672 .34863 .50992 .39115 .51619 .37821 .51291 .34242 Metetra
.591 .402 .595 r
.51291 .34242 .51619 .37821 .52243 .36441 .51909 .3381 Metetra
.591 .418 .616 r
.51909 .3381 .52243 .36441 .52863 .35197 .52527 .33506 Metetra
.602 .459 .66 r
.52527 .33506 .52863 .35197 .53483 .34267 .53147 .33269 Metetra
.619 .535 .737 r
.53147 .33269 .53483 .34267 .54103 .33747 .53768 .33074 Metetra
.614 .603 .816 r
.53768 .33074 .54103 .33747 .54726 .33637 .54392 .32934 Metetra
.569 .571 .816 r
.54392 .32934 .54726 .33637 .55353 .33848 .55017 .32885 Metetra
.522 .484 .755 r
.55017 .32885 .55353 .33848 .55986 .3423 .55646 .32953 Metetra
.494 .423 .705 r
.55646 .32953 .55986 .3423 .56623 .34619 .56278 .33133 Metetra
.485 .397 .681 r
.56278 .33133 .56623 .34619 .57261 .34875 .56915 .33374 Metetra
.492 .401 .68 r
.56915 .33374 .57261 .34875 .57899 .34916 .57554 .33596 Metetra
.517 .434 .701 r
.57554 .33596 .57899 .34916 .58535 .3473 .58195 .33713 Metetra
.569 .505 .743 r
.58195 .33713 .58535 .3473 .59169 .34362 .58836 .33663 Metetra
.65 .617 .803 r
.58836 .33663 .59169 .34362 .59802 .3389 .59474 .33433 Metetra
.737 .739 .853 r
.59474 .33433 .59802 .3389 .60434 .33397 .6011 .33054 Metetra
.788 .809 .869 r
.6011 .33054 .60434 .33397 .61068 .32942 .60745 .3259 Metetra
.791 .805 .863 r
.60745 .3259 .61068 .32942 .61704 .32554 .6138 .32111 Metetra
.761 .754 .846 r
.6138 .32111 .61704 .32554 .62343 .32229 .62017 .31674 Metetra
.718 .694 .826 r
.62017 .31674 .62343 .32229 .62984 .31944 .62656 .31306 Metetra
.682 .651 .813 r
.62656 .31306 .62984 .31944 .63627 .3167 .63299 .31006 Metetra
.662 .634 .811 r
.63299 .31006 .63627 .3167 .64271 .31386 .63944 .30751 Metetra
.658 .642 .822 r
.63944 .30751 .64271 .31386 .64915 .3108 .64592 .30511 Metetra
.668 .67 .842 r
.64592 .30511 .64915 .3108 .6556 .30754 .6524 .30261 Metetra
.685 .708 .866 r
.6524 .30261 .6556 .30754 .66205 .3042 .65889 .29988 Metetra
.702 .745 .885 r
.65889 .29988 .66205 .3042 .66852 .30089 .66538 .29692 Metetra
.712 .767 .896 r
.66538 .29692 .66852 .30089 .675 .2977 .67188 .29381 Metetra
.714 .773 .899 r
.67188 .29381 .675 .2977 .6815 .29468 .67838 .29068 Metetra
.709 .766 .897 r
.67838 .29068 .6815 .29468 .68802 .29182 .68491 .28763 Metetra
.7 .753 .893 r
.68491 .28763 .68802 .29182 .69456 .28907 .69145 .2847 Metetra
.692 .741 .889 r
.69145 .2847 .69456 .28907 .70111 .28638 .69801 .28192 Metetra
.685 .734 .888 r
.69801 .28192 .70111 .28638 .70769 .28371 .70459 .27923 Metetra
.682 .733 .889 r
.70459 .27923 .70769 .28371 .71427 .28104 .71119 .27661 Metetra
.681 .736 .892 r
.71119 .27661 .71427 .28104 .72087 .27835 .7178 .274 Metetra
.682 .74 .895 r
.7178 .274 .72087 .27835 .72748 .27566 .72443 .27138 Metetra
.683 .745 .898 r
.72443 .27138 .72748 .27566 .73411 .27298 .73107 .26875 Metetra
.683 .748 .901 r
.73107 .26875 .73411 .27298 .74075 .27033 .73773 .26611 Metetra
.683 .749 .902 r
.73773 .26611 .74075 .27033 .74741 .2677 .7444 .26347 Metetra
.682 .749 .902 r
.7444 .26347 .74741 .2677 .75408 .2651 .75108 .26085 Metetra
.68 .748 .902 r
.75108 .26085 .75408 .2651 .76077 .26253 .75778 .25825 Metetra
.679 .746 .902 r
.75778 .25825 .76077 .26253 .76748 .25997 .7645 .25567 Metetra
.677 .745 .902 r
.7645 .25567 .76748 .25997 .7742 .25741 .77124 .2531 Metetra
.676 .745 .902 r
.77124 .2531 .7742 .25741 .78094 .25487 .77799 .25055 Metetra
.676 .745 .903 r
.77799 .25055 .78094 .25487 .7877 .25233 .78475 .24801 Metetra
.675 .745 .903 r
.78475 .24801 .7877 .25233 .79447 .24979 .79154 .24547 Metetra
.675 .745 .904 r
.79154 .24547 .79447 .24979 .80125 .24726 .79833 .24293 Metetra
.674 .746 .904 r
.79833 .24293 .80125 .24726 .80806 .24473 .80515 .2404 Metetra
.674 .746 .905 r
.80515 .2404 .80806 .24473 .81488 .2422 .81198 .23787 Metetra
.673 .745 .905 r
.81198 .23787 .81488 .2422 .82171 .23968 .81883 .23534 Metetra
.673 .745 .905 r
.81883 .23534 .82171 .23968 .82856 .23717 .82569 .23281 Metetra
.672 .745 .905 r
.82569 .23281 .82856 .23717 .83543 .23466 .83257 .23029 Metetra
.657 .741 .912 r
.21746 .43452 .22123 .43801 .22675 .43621 .22299 .43271 Metetra
.657 .741 .912 r
.22299 .43271 .22675 .43621 .23228 .43441 .22853 .4309 Metetra
.656 .74 .912 r
.22853 .4309 .23228 .43441 .23783 .43261 .23408 .42909 Metetra
.656 .74 .912 r
.23408 .42909 .23783 .43261 .24339 .4308 .23964 .42728 Metetra
.656 .74 .912 r
.23964 .42728 .24339 .4308 .24895 .429 .24522 .42547 Metetra
.656 .74 .912 r
.24522 .42547 .24895 .429 .25454 .42719 .25081 .42365 Metetra
.655 .74 .912 r
.25081 .42365 .25454 .42719 .26013 .42539 .2564 .42185 Metetra
.654 .74 .913 r
.2564 .42185 .26013 .42539 .26573 .42359 .26202 .42005 Metetra
.654 .74 .913 r
.26202 .42005 .26573 .42359 .27135 .4218 .26764 .41825 Metetra
.653 .741 .914 r
.26764 .41825 .27135 .4218 .27698 .42001 .27327 .41646 Metetra
.653 .741 .914 r
.27327 .41646 .27698 .42001 .28262 .41823 .27892 .41467 Metetra
.653 .741 .914 r
.27892 .41467 .28262 .41823 .28827 .41645 .28458 .41286 Metetra
.654 .74 .913 r
.28458 .41286 .28827 .41645 .29393 .41466 .29025 .41104 Metetra
.654 .739 .912 r
.29025 .41104 .29393 .41466 .29961 .41285 .29594 .40922 Metetra
.654 .738 .911 r
.29594 .40922 .29961 .41285 .3053 .41104 .30164 .4074 Metetra
.652 .737 .912 r
.30164 .4074 .3053 .41104 .31101 .40922 .30735 .4056 Metetra
.648 .738 .915 r
.30735 .4056 .31101 .40922 .31672 .40742 .31307 .40385 Metetra
.644 .74 .919 r
.31307 .40385 .31672 .40742 .32245 .40566 .3188 .40215 Metetra
.641 .743 .923 r
.3188 .40215 .32245 .40566 .32818 .40396 .32454 .40049 Metetra
.64 .745 .925 r
.32454 .40049 .32818 .40396 .33393 .40232 .33029 .39883 Metetra
.643 .746 .924 r
.33029 .39883 .33393 .40232 .33969 .4007 .33606 .39713 Metetra
.651 .743 .917 r
.33606 .39713 .33969 .4007 .34546 .39905 .34185 .39532 Metetra
.659 .737 .908 r
.34185 .39532 .34546 .39905 .35125 .39728 .34766 .39339 Metetra
.662 .73 .9 r
.34766 .39339 .35125 .39728 .35706 .39538 .35348 .3914 Metetra
.659 .724 .897 r
.35348 .3914 .35706 .39538 .3629 .39338 .35932 .38944 Metetra
.646 .723 .905 r
.35932 .38944 .3629 .39338 .36874 .39139 .36515 .38769 Metetra
.621 .729 .924 r
.36515 .38769 .36874 .39139 .37458 .38959 .37099 .38627 Metetra
.584 .74 .95 r
.37099 .38627 .37458 .38959 .38043 .38815 .37682 .38521 Metetra
.548 .753 .972 r
.37682 .38521 .38043 .38815 .38627 .38714 .38266 .38439 Metetra
.545 .766 .98 r
.38266 .38439 .38627 .38714 .39211 .38642 .38852 .38352 Metetra
.596 .774 .965 r
.38852 .38352 .39211 .38642 .39797 .38568 .39441 .38222 Metetra
.662 .759 .922 r
.39441 .38222 .39797 .38568 .40387 .38448 .40035 .38021 Metetra
.701 .726 .87 r
.40035 .38021 .40387 .38448 .40981 .38247 .40633 .37743 Metetra
.71 .695 .834 r
.40633 .37743 .40981 .38247 .4158 .37959 .41233 .37421 Metetra
.695 .678 .83 r
.41233 .37421 .4158 .37959 .42181 .37623 .41833 .37128 Metetra
.641 .675 .867 r
.41833 .37128 .42181 .37623 .42782 .3732 .42431 .36954 Metetra
.44 .661 .954 r
.42431 .36954 .42782 .3732 .43379 .37156 .43024 .36985 Metetra
0 .276 .642 r
.43024 .36985 .43379 .37156 .43973 .37221 .43612 .37265 Metetra
.694 .17 0 r
.43612 .37265 .43973 .37221 .44562 .37548 .44197 .37767 Metetra
.735 .276 .161 r
.44197 .37767 .44562 .37548 .45149 .38086 .44784 .38391 Metetra
.714 .268 .19 r
.44784 .38391 .45149 .38086 .45739 .38701 .45376 .38975 Metetra
.628 .147 .093 r
.45376 .38975 .45739 .38701 .46336 .39207 .45977 .39337 Metetra
.195 0 0 r
.45977 .39337 .46336 .39207 .46942 .39422 .46588 .3933 Metetra
.794 .945 .923 r
.46588 .3933 .46942 .39422 .47556 .39235 .47208 .38886 Metetra
.869 .79 .771 r
.47208 .38886 .47556 .39235 .48178 .38638 .47835 .38042 Metetra
.852 .712 .707 r
.47835 .38042 .48178 .38638 .48803 .37736 .48464 .36927 Metetra
.828 .667 .684 r
.48464 .36927 .48803 .37736 .49428 .36697 .49092 .35722 Metetra
.796 .633 .679 r
.49092 .35722 .49428 .36697 .50052 .35697 .49717 .34607 Metetra
.755 .599 .683 r
.49717 .34607 .50052 .35697 .50672 .34863 .50338 .33713 Metetra
.706 .565 .693 r
.50338 .33713 .50672 .34863 .51291 .34242 .50956 .33097 Metetra
.653 .535 .707 r
.50956 .33097 .51291 .34242 .51909 .3381 .51574 .3274 Metetra
.606 .516 .727 r
.51574 .3274 .51909 .3381 .52527 .33506 .52192 .32577 Metetra
.572 .519 .757 r
.52192 .32577 .52527 .33506 .53147 .33269 .52812 .32523 Metetra
.55 .548 .805 r
.52812 .32523 .53147 .33269 .53768 .33074 .53434 .3251 Metetra
.531 .601 .869 r
.53434 .3251 .53768 .33074 .54392 .32934 .54058 .32506 Metetra
.494 .652 .929 r
.54058 .32506 .54392 .32934 .55017 .32885 .54685 .32512 Metetra
.441 .66 .954 r
.54685 .32512 .55017 .32885 .55646 .32953 .55314 .32545 Metetra
.41 .622 .939 r
.55314 .32545 .55646 .32953 .56278 .33133 .55946 .3262 Metetra
.421 .57 .896 r
.55946 .3262 .56278 .33133 .56915 .33374 .56581 .32732 Metetra
.459 .534 .847 r
.56581 .32732 .56915 .33374 .57554 .33596 .57219 .32845 Metetra
.507 .526 .811 r
.57219 .32845 .57554 .33596 .58195 .33713 .57859 .32911 Metetra
.561 .543 .792 r
.57859 .32911 .58195 .33713 .58836 .33663 .58499 .32879 Metetra
.617 .578 .787 r
.58499 .32879 .58836 .33663 .59474 .33433 .59139 .32718 Metetra
.67 .622 .793 r
.59139 .32718 .59474 .33433 .6011 .33054 .59778 .32429 Metetra
.714 .669 .804 r
.59778 .32429 .6011 .33054 .60745 .3259 .60416 .32044 Metetra
.742 .706 .818 r
.60416 .32044 .60745 .3259 .6138 .32111 .61053 .31611 Metetra
.748 .726 .831 r
.61053 .31611 .6138 .32111 .62017 .31674 .61691 .31182 Metetra
.734 .725 .843 r
.61691 .31182 .62017 .31674 .62656 .31306 .62331 .30795 Metetra
.707 .708 .848 r
.62331 .30795 .62656 .31306 .63299 .31006 .62973 .30469 Metetra
.681 .687 .85 r
.62973 .30469 .63299 .31006 .63944 .30751 .63619 .30197 Metetra
.663 .674 .85 r
.63619 .30197 .63944 .30751 .64592 .30511 .64267 .29961 Metetra
.659 .674 .853 r
.64267 .29961 .64592 .30511 .6524 .30261 .64918 .29733 Metetra
.665 .687 .86 r
.64918 .29733 .6524 .30261 .65889 .29988 .65569 .29495 Metetra
.679 .708 .869 r
.65569 .29495 .65889 .29988 .66538 .29692 .6622 .29234 Metetra
.693 .73 .879 r
.6622 .29234 .66538 .29692 .67188 .29381 .66872 .2895 Metetra
.703 .748 .886 r
.66872 .2895 .67188 .29381 .67838 .29068 .67525 .28651 Metetra
.706 .756 .891 r
.67525 .28651 .67838 .29068 .68491 .28763 .68178 .28347 Metetra
.704 .757 .893 r
.68178 .28347 .68491 .28763 .69145 .2847 .68833 .28048 Metetra
.697 .752 .894 r
.68833 .28048 .69145 .2847 .69801 .28192 .6949 .2776 Metetra
.69 .745 .893 r
.6949 .2776 .69801 .28192 .70459 .27923 .70149 .27485 Metetra
.684 .739 .893 r
.70149 .27485 .70459 .27923 .71119 .27661 .7081 .27218 Metetra
.681 .736 .893 r
.7081 .27218 .71119 .27661 .7178 .274 .71472 .26958 Metetra
.679 .737 .894 r
.71472 .26958 .7178 .274 .72443 .27138 .72136 .267 Metetra
.679 .739 .896 r
.72136 .267 .72443 .27138 .73107 .26875 .72802 .26441 Metetra
.68 .743 .898 r
.72802 .26441 .73107 .26875 .73773 .26611 .73469 .26181 Metetra
.681 .745 .9 r
.73469 .26181 .73773 .26611 .7444 .26347 .74137 .25919 Metetra
.681 .747 .901 r
.74137 .25919 .7444 .26347 .75108 .26085 .74807 .25658 Metetra
.68 .747 .902 r
.74807 .25658 .75108 .26085 .75778 .25825 .75478 .25396 Metetra
.679 .747 .902 r
.75478 .25396 .75778 .25825 .7645 .25567 .76151 .25136 Metetra
.678 .746 .902 r
.76151 .25136 .7645 .25567 .77124 .2531 .76826 .24878 Metetra
.677 .745 .903 r
.76826 .24878 .77124 .2531 .77799 .25055 .77502 .24622 Metetra
.676 .745 .903 r
.77502 .24622 .77799 .25055 .78475 .24801 .7818 .24367 Metetra
.675 .744 .903 r
.7818 .24367 .78475 .24801 .79154 .24547 .78859 .24112 Metetra
.674 .745 .903 r
.78859 .24112 .79154 .24547 .79833 .24293 .7954 .23858 Metetra
.674 .745 .904 r
.7954 .23858 .79833 .24293 .80515 .2404 .80223 .23604 Metetra
.674 .745 .904 r
.80223 .23604 .80515 .2404 .81198 .23787 .80907 .23351 Metetra
.673 .745 .905 r
.80907 .23351 .81198 .23787 .81883 .23534 .81593 .23097 Metetra
.673 .745 .905 r
.81593 .23097 .81883 .23534 .82569 .23281 .8228 .22843 Metetra
.672 .745 .905 r
.8228 .22843 .82569 .23281 .83257 .23029 .82969 .2259 Metetra
.657 .741 .912 r
.21367 .43101 .21746 .43452 .22299 .43271 .21921 .42919 Metetra
.657 .74 .912 r
.21921 .42919 .22299 .43271 .22853 .4309 .22476 .42737 Metetra
.656 .74 .912 r
.22476 .42737 .22853 .4309 .23408 .42909 .23031 .42556 Metetra
.656 .74 .912 r
.23031 .42556 .23408 .42909 .23964 .42728 .23588 .42374 Metetra
.656 .74 .912 r
.23588 .42374 .23964 .42728 .24522 .42547 .24147 .42193 Metetra
.655 .74 .913 r
.24147 .42193 .24522 .42547 .25081 .42365 .24706 .42012 Metetra
.654 .741 .913 r
.24706 .42012 .25081 .42365 .2564 .42185 .25267 .41831 Metetra
.654 .741 .914 r
.25267 .41831 .2564 .42185 .26202 .42005 .25828 .4165 Metetra
.654 .741 .914 r
.25828 .4165 .26202 .42005 .26764 .41825 .26391 .4147 Metetra
.654 .741 .913 r
.26391 .4147 .26764 .41825 .27327 .41646 .26956 .41288 Metetra
.654 .74 .913 r
.26956 .41288 .27327 .41646 .27892 .41467 .27521 .41106 Metetra
.655 .739 .912 r
.27521 .41106 .27892 .41467 .28458 .41286 .28088 .40923 Metetra
.654 .738 .911 r
.28088 .40923 .28458 .41286 .29025 .41104 .28656 .40741 Metetra
.653 .737 .912 r
.28656 .40741 .29025 .41104 .29594 .40922 .29225 .40559 Metetra
.65 .738 .914 r
.29225 .40559 .29594 .40922 .30164 .4074 .29796 .40382 Metetra
.647 .74 .917 r
.29796 .40382 .30164 .4074 .30735 .4056 .30367 .40208 Metetra
.644 .743 .921 r
.30367 .40208 .30735 .4056 .31307 .40385 .30939 .40037 Metetra
.643 .746 .924 r
.30939 .40037 .31307 .40385 .3188 .40215 .31513 .39867 Metetra
.645 .747 .923 r
.31513 .39867 .3188 .40215 .32454 .40049 .32088 .39694 Metetra
.65 .745 .919 r
.32088 .39694 .32454 .40049 .33029 .39883 .32665 .39514 Metetra
.656 .738 .91 r
.32665 .39514 .33029 .39883 .33606 .39713 .33244 .39325 Metetra
.659 .729 .901 r
.33244 .39325 .33606 .39713 .34185 .39532 .33824 .3913 Metetra
.657 .722 .896 r
.33824 .3913 .34185 .39532 .34766 .39339 .34405 .38938 Metetra
.648 .72 .9 r
.34405 .38938 .34766 .39339 .35348 .3914 .34987 .38759 Metetra
.631 .726 .916 r
.34987 .38759 .35348 .3914 .35932 .38944 .35569 .38605 Metetra
.605 .743 .942 r
.35569 .38605 .35932 .38944 .36515 .38769 .36152 .38478 Metetra
.576 .765 .968 r
.36152 .38478 .36515 .38769 .37099 .38627 .36734 .38369 Metetra
.566 .785 .982 r
.36734 .38369 .37099 .38627 .37682 .38521 .37319 .38258 Metetra
.598 .793 .974 r
.37319 .38258 .37682 .38521 .38266 .38439 .37906 .38119 Metetra
.652 .771 .936 r
.37906 .38119 .38266 .38439 .38852 .38352 .38497 .37929 Metetra
.684 .723 .879 r
.38497 .37929 .38852 .38352 .39441 .38222 .39092 .37684 Metetra
.687 .675 .832 r
.39092 .37684 .39441 .38222 .40035 .38021 .39689 .37408 Metetra
.672 .643 .813 r
.39689 .37408 .40035 .38021 .40633 .37743 .40286 .3715 Metetra
.637 .635 .832 r
.40286 .3715 .40633 .37743 .41233 .37421 .40882 .36973 Metetra
.541 .658 .911 r
.40882 .36973 .41233 .37421 .41833 .37128 .41474 .36935 Metetra
.061 .56 .888 r
.41474 .36935 .41833 .37128 .42431 .36954 .42063 .37063 Metetra
.552 .003 0 r
.42063 .37063 .42431 .36954 .43024 .36985 .4265 .37337 Metetra
.626 .169 .147 r
.4265 .37337 .43024 .36985 .43612 .37265 .43237 .37688 Metetra
.613 .171 .176 r
.43237 .37688 .43612 .37265 .44197 .37767 .43829 .38015 Metetra
.518 .007 0 r
.43829 .38015 .44197 .37767 .44784 .38391 .44428 .38207 Metetra
.372 .758 .989 r
.44428 .38207 .44784 .38391 .45376 .38975 .45034 .38181 Metetra
.662 .595 .77 r
.45034 .38181 .45376 .38975 .45977 .39337 .45648 .379 Metetra
.665 .517 .673 r
.45648 .379 .45977 .39337 .46588 .3933 .46268 .37383 Metetra
.662 .489 .639 r
.46268 .37383 .46588 .3933 .47208 .38886 .46891 .36693 Metetra
.661 .48 .628 r
.46891 .36693 .47208 .38886 .47835 .38042 .47515 .35916 Metetra
.665 .484 .63 r
.47515 .35916 .47835 .38042 .48464 .36927 .48138 .35136 Metetra
.674 .503 .646 r
.48138 .35136 .48464 .36927 .49092 .35722 .48759 .34415 Metetra
.693 .544 .679 r
.48759 .34415 .49092 .35722 .49717 .34607 .49379 .3379 Metetra
.723 .621 .743 r
.49379 .3379 .49717 .34607 .50338 .33713 .49998 .33275 Metetra
.752 .744 .845 r
.49998 .33275 .50338 .33713 .50956 .33097 .50617 .32865 Metetra
.73 .858 .942 r
.50617 .32865 .50956 .33097 .51574 .3274 .51235 .32547 Metetra
.664 .872 .977 r
.51235 .32547 .51574 .3274 .52192 .32577 .51855 .32306 Metetra
.63 .808 .968 r
.51855 .32306 .52192 .32577 .52812 .32523 .52476 .32123 Metetra
.611 .72 .922 r
.52476 .32123 .52812 .32523 .53434 .3251 .53098 .31985 Metetra
.595 .649 .874 r
.53098 .31985 .53434 .3251 .54058 .32506 .53723 .3188 Metetra
.581 .603 .84 r
.53723 .3188 .54058 .32506 .54685 .32512 .54349 .31803 Metetra
.567 .57 .816 r
.54349 .31803 .54685 .32512 .55314 .32545 .54977 .31755 Metetra
.553 .54 .795 r
.54977 .31755 .55314 .32545 .55946 .3262 .55608 .31739 Metetra
.54 .512 .773 r
.55608 .31739 .55946 .3262 .56581 .32732 .56242 .31755 Metetra
.533 .49 .754 r
.56242 .31755 .56581 .32732 .57219 .32845 .56878 .31795 Metetra
.533 .478 .74 r
.56878 .31795 .57219 .32845 .57859 .32911 .57517 .3184 Metetra
.544 .481 .736 r
.57517 .3184 .57859 .32911 .58499 .32879 .58158 .31858 Metetra
.565 .502 .744 r
.58158 .31858 .58499 .32879 .59139 .32718 .588 .31818 Metetra
.598 .543 .764 r
.588 .31818 .59139 .32718 .59778 .32429 .59443 .31693 Metetra
.642 .604 .796 r
.59443 .31693 .59778 .32429 .60416 .32044 .60085 .31475 Metetra
.691 .679 .834 r
.60085 .31475 .60416 .32044 .61053 .31611 .60727 .31172 Metetra
.731 .749 .867 r
.60727 .31172 .61053 .31611 .61691 .31182 .61368 .30813 Metetra
.749 .791 .887 r
.61368 .30813 .61691 .31182 .62331 .30795 .62009 .30434 Metetra
.744 .794 .893 r
.62009 .30434 .62331 .30795 .62973 .30469 .62651 .30066 Metetra
.723 .766 .887 r
.62651 .30066 .62973 .30469 .63619 .30197 .63296 .29733 Metetra
.697 .727 .873 r
.63296 .29733 .63619 .30197 .64267 .29961 .63943 .29441 Metetra
.675 .694 .86 r
.63943 .29441 .64267 .29961 .64918 .29733 .64593 .29184 Metetra
.663 .677 .853 r
.64593 .29184 .64918 .29733 .65569 .29495 .65245 .28946 Metetra
.662 .677 .854 r
.65245 .28946 .65569 .29495 .6622 .29234 .65899 .28711 Metetra
.669 .691 .862 r
.65899 .28711 .6622 .29234 .66872 .2895 .66553 .28464 Metetra
.68 .713 .873 r
.66553 .28464 .66872 .2895 .67525 .28651 .67209 .28201 Metetra
.69 .735 .885 r
.67209 .28201 .67525 .28651 .68178 .28347 .67864 .27923 Metetra
.697 .751 .893 r
.67864 .27923 .68178 .28347 .68833 .28048 .68521 .27635 Metetra
.698 .758 .898 r
.68521 .27635 .68833 .28048 .6949 .2776 .69179 .27346 Metetra
.695 .757 .899 r
.69179 .27346 .6949 .2776 .70149 .27485 .69839 .27062 Metetra
.69 .751 .898 r
.69839 .27062 .70149 .27485 .7081 .27218 .705 .26785 Metetra
.685 .744 .896 r
.705 .26785 .7081 .27218 .71472 .26958 .71163 .26517 Metetra
.681 .739 .895 r
.71163 .26517 .71472 .26958 .72136 .267 .71828 .26256 Metetra
.678 .737 .895 r
.71828 .26256 .72136 .267 .72802 .26441 .72495 .25998 Metetra
.678 .737 .896 r
.72495 .25998 .72802 .26441 .73469 .26181 .73163 .25741 Metetra
.678 .74 .897 r
.73163 .25741 .73469 .26181 .74137 .25919 .73833 .25483 Metetra
.678 .743 .899 r
.73833 .25483 .74137 .25919 .74807 .25658 .74504 .25224 Metetra
.679 .745 .901 r
.74504 .25224 .74807 .25658 .75478 .25396 .75177 .24965 Metetra
.679 .746 .902 r
.75177 .24965 .75478 .25396 .76151 .25136 .75851 .24705 Metetra
.678 .747 .903 r
.75851 .24705 .76151 .25136 .76826 .24878 .76526 .24446 Metetra
.677 .746 .903 r
.76526 .24446 .76826 .24878 .77502 .24622 .77204 .24188 Metetra
.676 .745 .903 r
.77204 .24188 .77502 .24622 .7818 .24367 .77883 .23931 Metetra
.675 .745 .903 r
.77883 .23931 .7818 .24367 .78859 .24112 .78563 .23675 Metetra
.674 .744 .903 r
.78563 .23675 .78859 .24112 .7954 .23858 .79245 .2342 Metetra
.674 .744 .904 r
.79245 .2342 .7954 .23858 .80223 .23604 .79929 .23166 Metetra
.673 .744 .904 r
.79929 .23166 .80223 .23604 .80907 .23351 .80615 .22911 Metetra
.673 .744 .904 r
.80615 .22911 .80907 .23351 .81593 .23097 .81302 .22657 Metetra
.673 .744 .905 r
.81302 .22657 .81593 .23097 .8228 .22843 .8199 .22403 Metetra
.672 .745 .905 r
.8199 .22403 .8228 .22843 .82969 .2259 .82681 .22149 Metetra
.657 .741 .911 r
.20987 .42749 .21367 .43101 .21921 .42919 .21542 .42566 Metetra
.657 .74 .912 r
.21542 .42566 .21921 .42919 .22476 .42737 .22097 .42384 Metetra
.656 .74 .912 r
.22097 .42384 .22476 .42737 .23031 .42556 .22653 .42202 Metetra
.656 .74 .912 r
.22653 .42202 .23031 .42556 .23588 .42374 .23211 .4202 Metetra
.655 .741 .913 r
.23211 .4202 .23588 .42374 .24147 .42193 .2377 .41838 Metetra
.655 .741 .913 r
.2377 .41838 .24147 .42193 .24706 .42012 .2433 .41657 Metetra
.655 .741 .913 r
.2433 .41657 .24706 .42012 .25267 .41831 .24891 .41475 Metetra
.655 .741 .913 r
.24891 .41475 .25267 .41831 .25828 .4165 .25454 .41293 Metetra
.655 .741 .913 r
.25454 .41293 .25828 .4165 .26391 .4147 .26017 .4111 Metetra
.655 .74 .912 r
.26017 .4111 .26391 .4147 .26956 .41288 .26583 .40927 Metetra
.655 .739 .912 r
.26583 .40927 .26956 .41288 .27521 .41106 .27149 .40743 Metetra
.654 .738 .912 r
.27149 .40743 .27521 .41106 .28088 .40923 .27716 .4056 Metetra
.652 .738 .913 r
.27716 .4056 .28088 .40923 .28656 .40741 .28285 .4038 Metetra
.649 .739 .915 r
.28285 .4038 .28656 .40741 .29225 .40559 .28855 .40203 Metetra
.647 .741 .918 r
.28855 .40203 .29225 .40559 .29796 .40382 .29425 .40029 Metetra
.645 .744 .921 r
.29425 .40029 .29796 .40382 .30367 .40208 .29997 .39857 Metetra
.645 .746 .922 r
.29997 .39857 .30367 .40208 .30939 .40037 .3057 .39684 Metetra
.649 .746 .92 r
.3057 .39684 .30939 .40037 .31513 .39867 .31145 .39506 Metetra
.655 .743 .915 r
.31145 .39506 .31513 .39867 .32088 .39694 .31722 .39319 Metetra
.659 .737 .907 r
.31722 .39319 .32088 .39694 .32665 .39514 .323 .39125 Metetra
.66 .73 .901 r
.323 .39125 .32665 .39514 .33244 .39325 .3288 .38929 Metetra
.655 .725 .901 r
.3288 .38929 .33244 .39325 .33824 .3913 .33461 .38741 Metetra
.642 .725 .908 r
.33461 .38741 .33824 .3913 .34405 .38938 .34042 .38571 Metetra
.622 .731 .925 r
.34042 .38571 .34405 .38938 .34987 .38759 .34622 .38427 Metetra
.596 .745 .948 r
.34622 .38427 .34987 .38759 .35569 .38605 .35203 .38307 Metetra
.577 .762 .966 r
.35203 .38307 .35569 .38605 .36152 .38478 .35785 .38199 Metetra
.584 .778 .972 r
.35785 .38199 .36152 .38478 .36734 .38369 .36369 .38078 Metetra
.625 .783 .957 r
.36369 .38078 .36734 .38369 .37319 .38258 .36957 .37917 Metetra
.673 .764 .919 r
.36957 .37917 .37319 .38258 .37906 .38119 .37549 .37699 Metetra
.698 .729 .874 r
.37549 .37699 .37906 .38119 .38497 .37929 .38144 .37429 Metetra
.697 .693 .842 r
.38144 .37429 .38497 .37929 .39092 .37684 .38741 .37139 Metetra
.676 .668 .835 r
.38741 .37139 .39092 .37684 .39689 .37408 .39338 .36888 Metetra
.623 .658 .863 r
.39338 .36888 .39689 .37408 .40286 .3715 .39932 .36744 Metetra
.475 .652 .937 r
.39932 .36744 .40286 .3715 .40882 .36973 .40521 .3676 Metetra
0 .462 .831 r
.40521 .3676 .40882 .36973 .41474 .36935 .41106 .36954 Metetra
.575 .008 0 r
.41106 .36954 .41474 .36935 .42063 .37063 .41688 .37291 Metetra
.646 .158 .08 r
.41688 .37291 .42063 .37063 .4265 .37337 .42273 .37682 Metetra
.613 .15 .131 r
.42273 .37682 .4265 .37337 .43237 .37688 .42863 .38008 Metetra
.49 0 .017 r
.42863 .38008 .43237 .37688 .43829 .38015 .43462 .38144 Metetra
.43462 .38144 .43829 .38015 .44428 .38207 .4407 .38004 Metetra
.798 .876 .904 r
.4407 .38004 .44428 .38207 .45034 .38181 .44688 .37562 Metetra
.792 .691 .753 r
.44688 .37562 .45034 .38181 .45648 .379 .45312 .36861 Metetra
.757 .606 .69 r
.45312 .36861 .45648 .379 .46268 .37383 .45939 .35999 Metetra
.727 .559 .663 r
.45939 .35999 .46268 .37383 .46891 .36693 .46565 .35095 Metetra
.702 .53 .653 r
.46565 .35095 .46891 .36693 .47515 .35916 .47189 .34258 Metetra
.679 .512 .653 r
.47189 .34258 .47515 .35916 .48138 .35136 .4781 .3356 Metetra
.66 .504 .662 r
.4781 .3356 .48138 .35136 .48759 .34415 .48428 .33024 Metetra
.644 .506 .68 r
.48428 .33024 .48759 .34415 .49379 .3379 .49045 .32634 Metetra
.635 .523 .709 r
.49045 .32634 .49379 .3379 .49998 .33275 .49662 .32349 Metetra
.632 .554 .748 r
.49662 .32349 .49998 .33275 .50617 .32865 .50279 .32125 Metetra
.635 .595 .791 r
.50279 .32125 .50617 .32865 .51235 .32547 .50897 .31926 Metetra
.639 .632 .827 r
.50897 .31926 .51235 .32547 .51855 .32306 .51517 .31737 Metetra
.638 .651 .846 r
.51517 .31737 .51855 .32306 .52476 .32123 .52138 .31556 Metetra
.63 .648 .849 r
.52138 .31556 .52476 .32123 .53098 .31985 .52761 .31388 Metetra
.617 .631 .843 r
.52761 .31388 .53098 .31985 .53723 .3188 .53386 .31244 Metetra
.6 .61 .833 r
.53386 .31244 .53723 .3188 .54349 .31803 .54013 .31131 Metetra
.581 .589 .825 r
.54013 .31131 .54349 .31803 .54977 .31755 .54641 .31054 Metetra
.562 .57 .82 r
.54641 .31054 .54977 .31755 .55608 .31739 .55272 .31014 Metetra
.543 .553 .815 r
.55272 .31014 .55608 .31739 .56242 .31755 .55905 .3101 Metetra
.527 .539 .811 r
.55905 .3101 .56242 .31755 .56878 .31795 .56542 .31037 Metetra
.518 .531 .809 r
.56542 .31037 .56878 .31795 .57517 .3184 .5718 .31083 Metetra
.519 .532 .809 r
.5718 .31083 .57517 .3184 .58158 .31858 .57822 .31125 Metetra
.535 .548 .815 r
.57822 .31125 .58158 .31858 .588 .31818 .58465 .31134 Metetra
.566 .58 .827 r
.58465 .31134 .588 .31818 .59443 .31693 .5911 .31083 Metetra
.609 .628 .844 r
.5911 .31083 .59443 .31693 .60085 .31475 .59754 .30949 Metetra
.659 .684 .862 r
.59754 .30949 .60085 .31475 .60727 .31172 .60399 .30724 Metetra
.705 .737 .876 r
.60399 .30724 .60727 .31172 .61368 .30813 .61042 .30419 Metetra
.737 .774 .883 r
.61042 .30419 .61368 .30813 .62009 .30434 .61685 .30059 Metetra
.749 .789 .885 r
.61685 .30059 .62009 .30434 .62651 .30066 .62329 .29676 Metetra
.742 .78 .883 r
.62329 .29676 .62651 .30066 .63296 .29733 .62973 .29304 Metetra
.722 .754 .878 r
.62973 .29304 .63296 .29733 .63943 .29441 .6362 .28966 Metetra
.697 .723 .87 r
.6362 .28966 .63943 .29441 .64593 .29184 .64269 .2867 Metetra
.675 .698 .863 r
.64269 .2867 .64593 .29184 .65245 .28946 .64921 .28412 Metetra
.662 .684 .861 r
.64921 .28412 .65245 .28946 .65899 .28711 .65576 .28179 Metetra
.658 .684 .863 r
.65576 .28179 .65899 .28711 .66553 .28464 .66232 .27953 Metetra
.663 .695 .87 r
.66232 .27953 .66553 .28464 .67209 .28201 .6689 .2772 Metetra
.672 .713 .879 r
.6689 .2772 .67209 .28201 .67864 .27923 .67548 .27471 Metetra
.683 .732 .888 r
.67548 .27471 .67864 .27923 .68521 .27635 .68207 .27205 Metetra
.691 .747 .895 r
.68207 .27205 .68521 .27635 .69179 .27346 .68866 .26927 Metetra
.694 .755 .898 r
.68866 .26927 .69179 .27346 .69839 .27062 .69527 .26643 Metetra
.693 .755 .899 r
.69527 .26643 .69839 .27062 .705 .26785 .70189 .26361 Metetra
.689 .751 .899 r
.70189 .26361 .705 .26785 .71163 .26517 .70853 .26084 Metetra
.685 .745 .897 r
.70853 .26084 .71163 .26517 .71828 .26256 .71519 .25815 Metetra
.68 .74 .896 r
.71519 .25815 .71828 .26256 .72495 .25998 .72187 .25553 Metetra
.677 .738 .896 r
.72187 .25553 .72495 .25998 .73163 .25741 .72856 .25296 Metetra
.676 .737 .897 r
.72856 .25296 .73163 .25741 .73833 .25483 .73527 .2504 Metetra
.676 .739 .898 r
.73527 .2504 .73833 .25483 .74504 .25224 .74199 .24784 Metetra
.676 .741 .9 r
.74199 .24784 .74504 .25224 .75177 .24965 .74873 .24528 Metetra
.677 .743 .901 r
.74873 .24528 .75177 .24965 .75851 .24705 .75549 .2427 Metetra
.677 .745 .902 r
.75549 .2427 .75851 .24705 .76526 .24446 .76226 .24011 Metetra
.677 .746 .903 r
.76226 .24011 .76526 .24446 .77204 .24188 .76904 .23752 Metetra
.676 .746 .903 r
.76904 .23752 .77204 .24188 .77883 .23931 .77584 .23494 Metetra
.675 .745 .903 r
.77584 .23494 .77883 .23931 .78563 .23675 .78266 .23237 Metetra
.674 .745 .903 r
.78266 .23237 .78563 .23675 .79245 .2342 .78949 .2298 Metetra
.674 .744 .904 r
.78949 .2298 .79245 .2342 .79929 .23166 .79634 .22725 Metetra
.673 .744 .904 r
.79634 .22725 .79929 .23166 .80615 .22911 .80321 .2247 Metetra
.673 .744 .904 r
.80321 .2247 .80615 .22911 .81302 .22657 .81009 .22215 Metetra
.672 .744 .904 r
.81009 .22215 .81302 .22657 .8199 .22403 .81699 .21961 Metetra
.672 .744 .905 r
.81699 .21961 .8199 .22403 .82681 .22149 .82391 .21706 Metetra
.657 .741 .912 r
.20606 .42395 .20987 .42749 .21542 .42566 .21161 .42212 Metetra
.656 .741 .912 r
.21161 .42212 .21542 .42566 .22097 .42384 .21717 .42029 Metetra
.656 .741 .912 r
.21717 .42029 .22097 .42384 .22653 .42202 .22274 .41847 Metetra
.655 .741 .913 r
.22274 .41847 .22653 .42202 .23211 .4202 .22832 .41665 Metetra
.655 .741 .913 r
.22832 .41665 .23211 .4202 .2377 .41838 .23392 .41482 Metetra
.655 .741 .913 r
.23392 .41482 .2377 .41838 .2433 .41657 .23952 .413 Metetra
.655 .741 .913 r
.23952 .413 .2433 .41657 .24891 .41475 .24514 .41116 Metetra
.655 .74 .912 r
.24514 .41116 .24891 .41475 .25454 .41293 .25078 .40933 Metetra
.655 .74 .912 r
.25078 .40933 .25454 .41293 .26017 .4111 .25642 .40748 Metetra
.655 .739 .912 r
.25642 .40748 .26017 .4111 .26583 .40927 .26208 .40565 Metetra
.654 .739 .912 r
.26208 .40565 .26583 .40927 .27149 .40743 .26775 .40382 Metetra
.651 .74 .914 r
.26775 .40382 .27149 .40743 .27716 .4056 .27343 .40202 Metetra
.649 .741 .917 r
.27343 .40202 .27716 .4056 .28285 .4038 .27912 .40025 Metetra
.647 .743 .919 r
.27912 .40025 .28285 .4038 .28855 .40203 .28482 .3985 Metetra
.647 .745 .921 r
.28482 .3985 .28855 .40203 .29425 .40029 .29053 .39675 Metetra
.649 .745 .92 r
.29053 .39675 .29425 .40029 .29997 .39857 .29626 .39497 Metetra
.652 .743 .916 r
.29626 .39497 .29997 .39857 .3057 .39684 .30201 .39314 Metetra
.657 .738 .91 r
.30201 .39314 .3057 .39684 .31145 .39506 .30777 .39124 Metetra
.659 .733 .904 r
.30777 .39124 .31145 .39506 .31722 .39319 .31355 .3893 Metetra
.657 .729 .902 r
.31355 .3893 .31722 .39319 .323 .39125 .31934 .38738 Metetra
.649 .728 .907 r
.31934 .38738 .323 .39125 .3288 .38929 .32514 .38558 Metetra
.635 .733 .919 r
.32514 .38558 .3288 .38929 .33461 .38741 .33093 .38396 Metetra
.616 .744 .937 r
.33093 .38396 .33461 .38741 .34042 .38571 .33673 .38256 Metetra
.598 .757 .955 r
.33673 .38256 .34042 .38571 .34622 .38427 .34254 .38131 Metetra
.593 .769 .963 r
.34254 .38131 .34622 .38427 .35203 .38307 .34836 .38005 Metetra
.614 .772 .956 r
.34836 .38005 .35203 .38307 .35785 .38199 .3542 .37859 Metetra
.65 .758 .929 r
.3542 .37859 .35785 .38199 .36369 .38078 .36009 .37673 Metetra
.678 .731 .89 r
.36009 .37673 .36369 .38078 .36957 .37917 .366 .37443 Metetra
.688 .701 .857 r
.366 .37443 .36957 .37917 .37549 .37699 .37195 .37182 Metetra
.681 .681 .844 r
.37195 .37182 .37549 .37699 .38144 .37429 .3779 .36926 Metetra
.656 .678 .859 r
.3779 .36926 .38144 .37429 .38741 .37139 .38384 .36724 Metetra
.588 .696 .917 r
.38384 .36724 .38741 .37139 .39338 .36888 .38975 .36623 Metetra
.358 .692 .982 r
.38975 .36623 .39338 .36888 .39932 .36744 .39563 .36655 Metetra
.211 0 0 r
.39563 .36655 .39932 .36744 .40521 .3676 .40147 .36817 Metetra
.507 0 0 r
.40147 .36817 .40521 .3676 .41106 .36954 .40731 .37067 Metetra
.545 0 0 r
.40731 .37067 .41106 .36954 .41688 .37291 .41318 .37332 Metetra
.418 0 0 r
.41318 .37332 .41688 .37291 .42273 .37682 .4191 .37522 Metetra
.215 .684 .942 r
.4191 .37522 .42273 .37682 .42863 .38008 .42509 .37556 Metetra
.64 .7 .89 r
.42509 .37556 .42863 .38008 .43462 .38144 .43118 .3738 Metetra
.699 .62 .764 r
.43118 .3738 .43462 .38144 .4407 .38004 .43733 .36986 Metetra
.713 .584 .71 r
.43733 .36986 .4407 .38004 .44688 .37562 .44354 .36406 Metetra
.72 .573 .689 r
.44354 .36406 .44688 .37562 .45312 .36861 .44978 .35704 Metetra
.727 .577 .686 r
.44978 .35704 .45312 .36861 .45939 .35999 .45602 .34958 Metetra
.735 .594 .699 r
.45602 .34958 .45939 .35999 .46565 .35095 .46226 .34239 Metetra
.744 .624 .726 r
.46226 .34239 .46565 .35095 .47189 .34258 .46847 .33599 Metetra
.751 .667 .768 r
.46847 .33599 .47189 .34258 .4781 .3356 .47466 .33064 Metetra
.748 .719 .824 r
.47466 .33064 .4781 .3356 .48428 .33024 .48084 .32637 Metetra
.729 .764 .88 r
.48084 .32637 .48428 .33024 .49045 .32634 .48701 .32302 Metetra
.697 .788 .921 r
.48701 .32302 .49045 .32634 .49662 .32349 .49318 .32036 Metetra
.668 .792 .941 r
.49318 .32036 .49662 .32349 .50279 .32125 .49937 .31814 Metetra
.649 .788 .948 r
.49937 .31814 .50279 .32125 .50897 .31926 .50556 .31615 Metetra
.641 .786 .951 r
.50556 .31615 .50897 .31926 .51517 .31737 .51177 .31426 Metetra
.635 .785 .953 r
.51177 .31426 .51517 .31737 .52138 .31556 .518 .31243 Metetra
.629 .782 .955 r
.518 .31243 .52138 .31556 .52761 .31388 .52424 .31068 Metetra
.62 .774 .955 r
.52424 .31068 .52761 .31388 .53386 .31244 .53049 .30904 Metetra
.608 .758 .95 r
.53049 .30904 .53386 .31244 .54013 .31131 .53676 .30758 Metetra
.594 .732 .94 r
.53676 .30758 .54013 .31131 .54641 .31054 .54306 .30634 Metetra
.578 .699 .924 r
.54306 .30634 .54641 .31054 .55272 .31014 .54937 .30538 Metetra
.563 .662 .904 r
.54937 .30538 .55272 .31014 .55905 .3101 .5557 .3047 Metetra
.55 .626 .88 r
.5557 .3047 .55905 .3101 .56542 .31037 .56206 .30429 Metetra
.542 .594 .855 r
.56206 .30429 .56542 .31037 .5718 .31083 .56844 .30411 Metetra
.541 .57 .834 r
.56844 .30411 .5718 .31083 .57822 .31125 .57485 .30402 Metetra
.547 .558 .818 r
.57485 .30402 .57822 .31125 .58465 .31134 .58128 .30388 Metetra
.562 .56 .809 r
.58128 .30388 .58465 .31134 .5911 .31083 .58773 .30347 Metetra
.585 .576 .809 r
.58773 .30347 .5911 .31083 .59754 .30949 .59419 .30258 Metetra
.616 .605 .817 r
.59419 .30258 .59754 .30949 .60399 .30724 .60065 .30105 Metetra
.651 .645 .831 r
.60065 .30105 .60399 .30724 .61042 .30419 .60712 .29882 Metetra
.686 .692 .849 r
.60712 .29882 .61042 .30419 .61685 .30059 .61358 .29596 Metetra
.715 .735 .867 r
.61358 .29596 .61685 .30059 .62329 .29676 .62004 .29265 Metetra
.731 .766 .881 r
.62004 .29265 .62329 .29676 .62973 .29304 .6265 .28912 Metetra
.731 .776 .889 r
.6265 .28912 .62973 .29304 .6362 .28966 .63298 .28563 Metetra
.719 .768 .891 r
.63298 .28563 .6362 .28966 .64269 .2867 .63947 .28237 Metetra
.699 .746 .888 r
.63947 .28237 .64269 .2867 .64921 .28412 .64599 .27943 Metetra
.68 .722 .881 r
.64599 .27943 .64921 .28412 .65576 .28179 .65253 .27682 Metetra
.666 .703 .875 r
.65253 .27682 .65576 .28179 .66232 .27953 .6591 .27443 Metetra
.66 .696 .872 r
.6591 .27443 .66232 .27953 .6689 .2772 .66568 .27214 Metetra
.662 .699 .874 r
.66568 .27214 .6689 .2772 .67548 .27471 .67228 .26982 Metetra
.668 .71 .879 r
.67228 .26982 .67548 .27471 .68207 .27205 .67889 .26739 Metetra
.677 .725 .886 r
.67889 .26739 .68207 .27205 .68866 .26927 .68551 .26482 Metetra
.684 .739 .892 r
.68551 .26482 .68866 .26927 .69527 .26643 .69214 .26213 Metetra
.689 .748 .897 r
.69214 .26213 .69527 .26643 .70189 .26361 .69878 .25936 Metetra
.69 .752 .899 r
.69878 .25936 .70189 .26361 .70853 .26084 .70543 .25658 Metetra
.688 .751 .9 r
.70543 .25658 .70853 .26084 .71519 .25815 .71209 .25384 Metetra
.684 .748 .9 r
.71209 .25384 .71519 .25815 .72187 .25553 .71877 .25115 Metetra
.68 .743 .899 r
.71877 .25115 .72187 .25553 .72856 .25296 .72548 .24852 Metetra
.677 .74 .898 r
.72548 .24852 .72856 .25296 .73527 .2504 .7322 .24594 Metetra
.675 .738 .898 r
.7322 .24594 .73527 .2504 .74199 .24784 .73893 .24339 Metetra
.675 .739 .899 r
.73893 .24339 .74199 .24784 .74873 .24528 .74569 .24083 Metetra
.675 .74 .9 r
.74569 .24083 .74873 .24528 .75549 .2427 .75245 .23828 Metetra
.675 .742 .901 r
.75245 .23828 .75549 .2427 .76226 .24011 .75924 .23571 Metetra
.676 .744 .902 r
.75924 .23571 .76226 .24011 .76904 .23752 .76603 .23313 Metetra
.676 .745 .903 r
.76603 .23313 .76904 .23752 .77584 .23494 .77285 .23055 Metetra
.675 .745 .903 r
.77285 .23055 .77584 .23494 .78266 .23237 .77967 .22797 Metetra
.675 .745 .904 r
.77967 .22797 .78266 .23237 .78949 .2298 .78652 .22539 Metetra
.674 .745 .904 r
.78652 .22539 .78949 .2298 .79634 .22725 .79338 .22282 Metetra
.673 .744 .904 r
.79338 .22282 .79634 .22725 .80321 .2247 .80026 .22026 Metetra
.673 .744 .904 r
.80026 .22026 .80321 .2247 .81009 .22215 .80715 .21771 Metetra
.672 .744 .904 r
.80715 .21771 .81009 .22215 .81699 .21961 .81406 .21515 Metetra
.672 .744 .905 r
.81406 .21515 .81699 .21961 .82391 .21706 .82099 .2126 Metetra
.656 .741 .912 r
.20223 .42041 .20606 .42395 .21161 .42212 .20778 .41858 Metetra
.656 .741 .912 r
.20778 .41858 .21161 .42212 .21717 .42029 .21335 .41674 Metetra
.656 .741 .913 r
.21335 .41674 .21717 .42029 .22274 .41847 .21893 .41491 Metetra
.656 .741 .913 r
.21893 .41491 .22274 .41847 .22832 .41665 .22452 .41308 Metetra
.656 .741 .913 r
.22452 .41308 .22832 .41665 .23392 .41482 .23012 .41124 Metetra
.656 .741 .912 r
.23012 .41124 .23392 .41482 .23952 .413 .23573 .4094 Metetra
.656 .74 .912 r
.23573 .4094 .23952 .413 .24514 .41116 .24136 .40755 Metetra
.655 .739 .912 r
.24136 .40755 .24514 .41116 .25078 .40933 .247 .4057 Metetra
.655 .739 .912 r
.247 .4057 .25078 .40933 .25642 .40748 .25265 .40386 Metetra
.653 .739 .913 r
.25265 .40386 .25642 .40748 .26208 .40565 .25832 .40204 Metetra
.651 .74 .915 r
.25832 .40204 .26208 .40565 .26775 .40382 .26399 .40025 Metetra
.649 .742 .917 r
.26399 .40025 .26775 .40382 .27343 .40202 .26967 .39848 Metetra
.648 .744 .919 r
.26967 .39848 .27343 .40202 .27912 .40025 .27537 .39671 Metetra
.649 .745 .919 r
.27537 .39671 .27912 .40025 .28482 .3985 .28108 .39493 Metetra
.652 .744 .917 r
.28108 .39493 .28482 .3985 .29053 .39675 .28681 .3931 Metetra
.656 .741 .913 r
.28681 .3931 .29053 .39675 .29626 .39497 .29255 .39122 Metetra
.658 .736 .907 r
.29255 .39122 .29626 .39497 .30201 .39314 .29831 .38929 Metetra
.658 .732 .904 r
.29831 .38929 .30201 .39314 .30777 .39124 .30408 .38736 Metetra
.653 .729 .905 r
.30408 .38736 .30777 .39124 .31355 .3893 .30986 .38549 Metetra
.643 .73 .912 r
.30986 .38549 .31355 .3893 .31934 .38738 .31565 .38377 Metetra
.628 .737 .926 r
.31565 .38377 .31934 .38738 .32514 .38558 .32143 .38223 Metetra
.611 .749 .943 r
.32143 .38223 .32514 .38558 .33093 .38396 .32722 .38087 Metetra
.601 .762 .956 r
.32722 .38087 .33093 .38396 .33673 .38256 .33302 .37957 Metetra
.608 .772 .959 r
.33302 .37957 .33673 .38256 .34254 .38131 .33884 .37816 Metetra
.636 .771 .944 r
.33884 .37816 .34254 .38131 .34836 .38005 .3447 .37646 Metetra
.668 .753 .914 r
.3447 .37646 .34836 .38005 .3542 .37859 .35059 .37435 Metetra
.686 .724 .879 r
.35059 .37435 .3542 .37859 .36009 .37673 .35651 .37188 Metetra
.686 .696 .853 r
.35651 .37188 .36009 .37673 .366 .37443 .36245 .36927 Metetra
.67 .678 .848 r
.36245 .36927 .366 .37443 .37195 .37182 .36838 .36693 Metetra
.631 .675 .874 r
.36838 .36693 .37195 .37182 .3779 .36926 .3743 .36535 Metetra
.534 .688 .938 r
.3743 .36535 .3779 .36926 .38384 .36724 .38017 .36489 Metetra
.226 .641 .957 r
.38017 .36489 .38384 .36724 .38975 .36623 .38601 .36569 Metetra
.31 0 0 r
.38601 .36569 .38975 .36623 .39563 .36655 .39184 .36753 Metetra
.505 0 0 r
.39184 .36753 .39563 .36655 .40147 .36817 .39767 .36981 Metetra
.495 0 0 r
.39767 .36981 .40147 .36817 .40731 .37067 .40354 .37174 Metetra
.301 0 0 r
.40354 .37174 .40731 .37067 .41318 .37332 .40949 .37246 Metetra
.404 .83 .962 r
.40949 .37246 .41318 .37332 .4191 .37522 .41552 .37135 Metetra
.722 .759 .881 r
.41552 .37135 .4191 .37522 .42509 .37556 .42164 .36816 Metetra
.732 .64 .756 r
.42164 .36816 .42509 .37556 .43118 .3738 .42782 .36307 Metetra
.718 .581 .7 r
.42782 .36307 .43118 .3738 .43733 .36986 .43405 .35666 Metetra
.704 .55 .675 r
.43405 .35666 .43733 .36986 .44354 .36406 .44028 .34965 Metetra
.693 .534 .667 r
.44028 .34965 .44354 .36406 .44978 .35704 .44651 .34277 Metetra
.683 .528 .67 r
.44651 .34277 .44978 .35704 .45602 .34958 .45272 .33656 Metetra
.676 .534 .683 r
.45272 .33656 .45602 .34958 .46226 .34239 .45891 .33129 Metetra
.673 .55 .708 r
.45891 .33129 .46226 .34239 .46847 .33599 .46508 .32698 Metetra
.671 .579 .744 r
.46508 .32698 .46847 .33599 .47466 .33064 .47125 .32348 Metetra
.672 .619 .788 r
.47125 .32348 .47466 .33064 .48084 .32637 .47741 .32058 Metetra
.671 .661 .831 r
.47741 .32058 .48084 .32637 .48701 .32302 .48358 .31805 Metetra
.668 .692 .864 r
.48358 .31805 .48701 .32302 .49318 .32036 .48975 .31573 Metetra
.664 .707 .879 r
.48975 .31573 .49318 .32036 .49937 .31814 .49594 .31353 Metetra
.659 .707 .882 r
.49594 .31353 .49937 .31814 .50556 .31615 .50215 .3114 Metetra
.655 .699 .879 r
.50215 .3114 .50556 .31615 .51177 .31426 .50837 .30934 Metetra
.65 .69 .874 r
.50837 .30934 .51177 .31426 .518 .31243 .5146 .30735 Metetra
.645 .681 .869 r
.5146 .30735 .518 .31243 .52424 .31068 .52084 .30543 Metetra
.639 .671 .865 r
.52084 .30543 .52424 .31068 .53049 .30904 .52711 .30361 Metetra
.631 .661 .861 r
.52711 .30361 .53049 .30904 .53676 .30758 .53338 .30192 Metetra
.621 .648 .855 r
.53338 .30192 .53676 .30758 .54306 .30634 .53968 .3004 Metetra
.609 .631 .848 r
.53968 .3004 .54306 .30634 .54937 .30538 .54599 .29908 Metetra
.595 .612 .839 r
.54599 .29908 .54937 .30538 .5557 .3047 .55233 .29801 Metetra
.581 .592 .829 r
.55233 .29801 .5557 .3047 .56206 .30429 .55868 .2972 Metetra
.567 .573 .819 r
.55868 .2972 .56206 .30429 .56844 .30411 .56506 .29667 Metetra
.557 .557 .81 r
.56506 .29667 .56844 .30411 .57485 .30402 .57147 .29635 Metetra
.551 .548 .804 r
.57147 .29635 .57485 .30402 .58128 .30388 .5779 .29615 Metetra
.553 .548 .803 r
.5779 .29615 .58128 .30388 .58773 .30347 .58435 .29592 Metetra
.563 .559 .807 r
.58435 .29592 .58773 .30347 .59419 .30258 .59082 .29548 Metetra
.582 .583 .818 r
.59082 .29548 .59419 .30258 .60065 .30105 .5973 .29463 Metetra
.611 .619 .835 r
.5973 .29463 .60065 .30105 .60712 .29882 .60379 .29322 Metetra
.646 .666 .855 r
.60379 .29322 .60712 .29882 .61358 .29596 .61028 .29116 Metetra
.682 .716 .875 r
.61028 .29116 .61358 .29596 .62004 .29265 .61677 .28851 Metetra
.711 .759 .89 r
.61677 .28851 .62004 .29265 .6265 .28912 .62326 .28537 Metetra
.728 .787 .899 r
.62326 .28537 .6265 .28912 .63298 .28563 .62975 .28198 Metetra
.731 .793 .902 r
.62975 .28198 .63298 .28563 .63947 .28237 .63625 .27854 Metetra
.721 .781 .9 r
.63625 .27854 .63947 .28237 .64599 .27943 .64277 .27526 Metetra
.704 .757 .894 r
.64277 .27526 .64599 .27943 .65253 .27682 .64931 .27225 Metetra
.685 .731 .885 r
.64931 .27225 .65253 .27682 .6591 .27443 .65587 .26955 Metetra
.67 .71 .878 r
.65587 .26955 .6591 .27443 .66568 .27214 .66246 .26708 Metetra
.661 .699 .875 r
.66246 .26708 .66568 .27214 .67228 .26982 .66907 .26476 Metetra
.66 .699 .875 r
.66907 .26476 .67228 .26982 .67889 .26739 .67569 .26246 Metetra
.664 .707 .88 r
.67569 .26246 .67889 .26739 .68551 .26482 .68233 .26009 Metetra
.671 .72 .886 r
.68233 .26009 .68551 .26482 .69214 .26213 .68898 .25761 Metetra
.679 .734 .892 r
.68898 .25761 .69214 .26213 .69878 .25936 .69564 .255 Metetra
.684 .745 .897 r
.69564 .255 .69878 .25936 .70543 .25658 .7023 .25231 Metetra
.686 .751 .9 r
.7023 .25231 .70543 .25658 .71209 .25384 .70898 .24957 Metetra
.686 .752 .901 r
.70898 .24957 .71209 .25384 .71877 .25115 .71568 .24684 Metetra
.683 .749 .901 r
.71568 .24684 .71877 .25115 .72548 .24852 .72239 .24415 Metetra
.68 .745 .9 r
.72239 .24415 .72548 .24852 .7322 .24594 .72911 .24151 Metetra
.677 .741 .899 r
.72911 .24151 .7322 .24594 .73893 .24339 .73586 .23892 Metetra
.675 .739 .899 r
.73586 .23892 .73893 .24339 .74569 .24083 .74262 .23635 Metetra
.674 .739 .899 r
.74262 .23635 .74569 .24083 .75245 .23828 .7494 .2338 Metetra
.674 .739 .9 r
.7494 .2338 .75245 .23828 .75924 .23571 .7562 .23125 Metetra
.674 .741 .901 r
.7562 .23125 .75924 .23571 .76603 .23313 .76301 .22869 Metetra
.674 .743 .902 r
.76301 .22869 .76603 .23313 .77285 .23055 .76984 .22612 Metetra
.674 .744 .903 r
.76984 .22612 .77285 .23055 .77967 .22797 .77668 .22355 Metetra
.674 .745 .904 r
.77668 .22355 .77967 .22797 .78652 .22539 .78353 .22097 Metetra
.674 .745 .904 r
.78353 .22097 .78652 .22539 .79338 .22282 .79041 .21839 Metetra
.673 .745 .904 r
.79041 .21839 .79338 .22282 .80026 .22026 .7973 .21581 Metetra
.673 .744 .904 r
.7973 .21581 .80026 .22026 .80715 .21771 .8042 .21324 Metetra
.672 .744 .904 r
.8042 .21324 .80715 .21771 .81406 .21515 .81113 .21068 Metetra
.672 .744 .904 r
.81113 .21068 .81406 .21515 .82099 .2126 .81807 .20811 Metetra
.656 .741 .912 r
.19838 .41685 .20223 .42041 .20778 .41858 .20394 .41502 Metetra
.656 .741 .912 r
.20394 .41502 .20778 .41858 .21335 .41674 .20951 .41318 Metetra
.656 .741 .912 r
.20951 .41318 .21335 .41674 .21893 .41491 .2151 .41134 Metetra
.656 .741 .912 r
.2151 .41134 .21893 .41491 .22452 .41308 .2207 .40949 Metetra
.656 .74 .912 r
.2207 .40949 .22452 .41308 .23012 .41124 .22631 .40763 Metetra
.656 .74 .912 r
.22631 .40763 .23012 .41124 .23573 .4094 .23193 .40578 Metetra
.655 .74 .912 r
.23193 .40578 .23573 .4094 .24136 .40755 .23756 .40393 Metetra
.654 .74 .912 r
.23756 .40393 .24136 .40755 .247 .4057 .24321 .40209 Metetra
.653 .74 .914 r
.24321 .40209 .247 .4057 .25265 .40386 .24887 .40027 Metetra
.651 .741 .916 r
.24887 .40027 .25265 .40386 .25832 .40204 .25453 .39847 Metetra
.65 .743 .918 r
.25453 .39847 .25832 .40204 .26399 .40025 .26021 .39669 Metetra
.65 .744 .918 r
.26021 .39669 .26399 .40025 .26967 .39848 .26591 .3949 Metetra
.651 .744 .917 r
.26591 .3949 .26967 .39848 .27537 .39671 .27161 .39308 Metetra
.654 .742 .914 r
.27161 .39308 .27537 .39671 .28108 .39493 .27734 .39122 Metetra
.657 .739 .91 r
.27734 .39122 .28108 .39493 .28681 .3931 .28307 .38932 Metetra
.658 .735 .906 r
.28307 .38932 .28681 .3931 .29255 .39122 .28883 .38738 Metetra
.656 .732 .905 r
.28883 .38738 .29255 .39122 .29831 .38929 .29459 .38547 Metetra
.65 .732 .909 r
.29459 .38547 .29831 .38929 .30408 .38736 .30036 .38365 Metetra
.639 .735 .918 r
.30036 .38365 .30408 .38736 .30986 .38549 .30614 .38198 Metetra
.625 .743 .932 r
.30614 .38198 .30986 .38549 .31565 .38377 .31191 .38048 Metetra
.612 .753 .945 r
.31191 .38048 .31565 .38377 .32143 .38223 .3177 .37909 Metetra
.609 .762 .952 r
.3177 .37909 .32143 .38223 .32722 .38087 .3235 .37771 Metetra
.624 .766 .947 r
.3235 .37771 .32722 .38087 .33302 .37957 .32932 .37615 Metetra
.65 .758 .928 r
.32932 .37615 .33302 .37957 .33884 .37816 .33517 .37429 Metetra
.674 .739 .899 r
.33517 .37429 .33884 .37816 .3447 .37646 .34106 .37207 Metetra
.685 .716 .873 r
.34106 .37207 .3447 .37646 .35059 .37435 .34698 .36958 Metetra
.682 .698 .859 r
.34698 .36958 .35059 .37435 .35651 .37188 .35291 .36708 Metetra
.662 .691 .867 r
.35291 .36708 .35651 .37188 .36245 .36927 .35883 .36496 Metetra
.614 .698 .904 r
.35883 .36496 .36245 .36927 .36838 .36693 .36472 .36362 Metetra
.492 .71 .968 r
.36472 .36362 .36838 .36693 .3743 .36535 .37058 .36334 Metetra
.171 .631 .935 r
.37058 .36334 .3743 .36535 .38017 .36489 .37641 .36415 Metetra
.24 0 0 r
.37641 .36415 .38017 .36489 .38601 .36569 .38222 .36577 Metetra
.391 0 0 r
.38222 .36577 .38601 .36569 .39184 .36753 .38805 .36766 Metetra
.32 0 0 r
.38805 .36766 .39184 .36753 .39767 .36981 .39393 .36909 Metetra
.07 .623 .823 r
.39393 .36909 .39767 .36981 .40354 .37174 .39988 .36936 Metetra
.58 .812 .987 r
.39988 .36936 .40354 .37174 .40949 .37246 .40591 .36797 Metetra
.717 .727 .858 r
.40591 .36797 .40949 .37246 .41552 .37135 .41203 .36473 Metetra
.739 .661 .773 r
.41203 .36473 .41552 .37135 .42164 .36816 .4182 .35982 Metetra
.741 .626 .731 r
.4182 .35982 .42164 .36816 .42782 .36307 .42442 .35373 Metetra
.738 .609 .714 r
.42442 .35373 .42782 .36307 .43405 .35666 .43066 .34707 Metetra
.734 .604 .711 r
.43066 .34707 .43405 .35666 .44028 .34965 .43689 .34048 Metetra
.729 .607 .721 r
.43689 .34048 .44028 .34965 .44651 .34277 .4431 .33443 Metetra
.723 .617 .74 r
.4431 .33443 .44651 .34277 .45272 .33656 .44929 .32922 Metetra
.713 .634 .767 r
.44929 .32922 .45272 .33656 .45891 .33129 .45546 .3249 Metetra
.702 .654 .799 r
.45546 .3249 .45891 .33129 .46508 .32698 .46163 .32139 Metetra
.688 .675 .832 r
.46163 .32139 .46508 .32698 .47125 .32348 .46778 .31849 Metetra
.676 .695 .86 r
.46778 .31849 .47125 .32348 .47741 .32058 .47395 .316 Metetra
.667 .711 .88 r
.47395 .316 .47741 .32058 .48358 .31805 .48012 .31374 Metetra
.663 .723 .894 r
.48012 .31374 .48358 .31805 .48975 .31573 .4863 .31158 Metetra
.66 .731 .902 r
.4863 .31158 .48975 .31573 .49594 .31353 .4925 .30946 Metetra
.659 .736 .906 r
.4925 .30946 .49594 .31353 .50215 .3114 .49872 .30736 Metetra
.657 .737 .908 r
.49872 .30736 .50215 .3114 .50837 .30934 .50494 .30528 Metetra
.655 .736 .909 r
.50494 .30528 .50837 .30934 .5146 .30735 .51118 .30325 Metetra
.651 .732 .909 r
.51118 .30325 .5146 .30735 .52084 .30543 .51744 .30127 Metetra
.645 .727 .908 r
.51744 .30127 .52084 .30543 .52711 .30361 .52371 .29936 Metetra
.639 .721 .907 r
.52371 .29936 .52711 .30361 .53338 .30192 .53 .29756 Metetra
.63 .712 .906 r
.53 .29756 .53338 .30192 .53968 .3004 .5363 .29589 Metetra
.62 .701 .903 r
.5363 .29589 .53968 .3004 .54599 .29908 .54262 .29437 Metetra
.607 .686 .898 r
.54262 .29437 .54599 .29908 .55233 .29801 .54896 .29305 Metetra
.593 .668 .891 r
.54896 .29305 .55233 .29801 .55868 .2972 .55532 .29194 Metetra
.579 .648 .882 r
.55532 .29194 .55868 .2972 .56506 .29667 .5617 .29107 Metetra
.567 .628 .872 r
.5617 .29107 .56506 .29667 .57147 .29635 .5681 .29042 Metetra
.558 .61 .861 r
.5681 .29042 .57147 .29635 .5779 .29615 .57453 .28994 Metetra
.555 .598 .851 r
.57453 .28994 .5779 .29615 .58435 .29592 .58098 .28953 Metetra
.559 .594 .845 r
.58098 .28953 .58435 .29592 .59082 .29548 .58746 .28907 Metetra
.571 .6 .843 r
.58746 .28907 .59082 .29548 .5973 .29463 .59395 .2884 Metetra
.592 .617 .846 r
.59395 .2884 .5973 .29463 .60379 .29322 .60045 .28735 Metetra
.619 .644 .853 r
.60045 .28735 .60379 .29322 .61028 .29116 .60696 .2858 Metetra
.65 .679 .864 r
.60696 .2858 .61028 .29116 .61677 .28851 .61348 .2837 Metetra
.68 .716 .876 r
.61348 .2837 .61677 .28851 .62326 .28537 .61999 .28106 Metetra
.705 .75 .886 r
.61999 .28106 .62326 .28537 .62975 .28198 .6265 .27799 Metetra
.721 .773 .894 r
.6265 .27799 .62975 .28198 .63625 .27854 .63302 .27469 Metetra
.724 .781 .898 r
.63302 .27469 .63625 .27854 .64277 .27526 .63955 .27132 Metetra
.717 .776 .898 r
.63955 .27132 .64277 .27526 .64931 .27225 .64609 .26808 Metetra
.703 .759 .895 r
.64609 .26808 .64931 .27225 .65587 .26955 .65265 .26508 Metetra
.687 .738 .89 r
.65265 .26508 .65587 .26955 .66246 .26708 .65924 .26235 Metetra
.672 .72 .885 r
.65924 .26235 .66246 .26708 .66907 .26476 .66585 .25985 Metetra
.663 .708 .881 r
.66585 .25985 .66907 .26476 .67569 .26246 .67248 .2575 Metetra
.66 .705 .88 r
.67248 .2575 .67569 .26246 .68233 .26009 .67913 .2552 Metetra
.662 .71 .883 r
.67913 .2552 .68233 .26009 .68898 .25761 .6858 .25286 Metetra
.668 .719 .887 r
.6858 .25286 .68898 .25761 .69564 .255 .69248 .25042 Metetra
.675 .731 .893 r
.69248 .25042 .69564 .255 .7023 .25231 .69916 .24787 Metetra
.68 .741 .897 r
.69916 .24787 .7023 .25231 .70898 .24957 .70586 .24523 Metetra
.683 .748 .9 r
.70586 .24523 .70898 .24957 .71568 .24684 .71256 .24253 Metetra
.684 .75 .902 r
.71256 .24253 .71568 .24684 .72239 .24415 .71929 .23982 Metetra
.682 .749 .902 r
.71929 .23982 .72239 .24415 .72911 .24151 .72602 .23714 Metetra
.68 .746 .901 r
.72602 .23714 .72911 .24151 .73586 .23892 .73278 .23449 Metetra
.677 .743 .901 r
.73278 .23449 .73586 .23892 .74262 .23635 .73955 .23188 Metetra
.674 .74 .9 r
.73955 .23188 .74262 .23635 .7494 .2338 .74634 .22931 Metetra
.673 .739 .9 r
.74634 .22931 .7494 .2338 .7562 .23125 .75315 .22676 Metetra
.673 .739 .901 r
.75315 .22676 .7562 .23125 .76301 .22869 .75997 .22421 Metetra
.673 .74 .901 r
.75997 .22421 .76301 .22869 .76984 .22612 .76681 .22165 Metetra
.673 .742 .902 r
.76681 .22165 .76984 .22612 .77668 .22355 .77366 .21908 Metetra
.673 .743 .903 r
.77366 .21908 .77668 .22355 .78353 .22097 .78053 .21651 Metetra
.673 .744 .904 r
.78053 .21651 .78353 .22097 .79041 .21839 .78742 .21393 Metetra
.673 .744 .904 r
.78742 .21393 .79041 .21839 .7973 .21581 .79432 .21134 Metetra
.673 .744 .904 r
.79432 .21134 .7973 .21581 .8042 .21324 .80124 .20876 Metetra
.672 .744 .904 r
.80124 .20876 .8042 .21324 .81113 .21068 .80817 .20618 Metetra
.672 .744 .905 r
.80817 .20618 .81113 .21068 .81807 .20811 .81513 .20361 Metetra
.656 .741 .912 r
.19452 .41329 .19838 .41685 .20394 .41502 .20008 .41144 Metetra
.656 .741 .912 r
.20008 .41144 .20394 .41502 .20951 .41318 .20567 .40959 Metetra
.656 .741 .912 r
.20567 .40959 .20951 .41318 .2151 .41134 .21126 .40773 Metetra
.656 .74 .912 r
.21126 .40773 .2151 .41134 .2207 .40949 .21686 .40587 Metetra
.656 .74 .912 r
.21686 .40587 .2207 .40949 .22631 .40763 .22248 .40402 Metetra
.655 .74 .912 r
.22248 .40402 .22631 .40763 .23193 .40578 .22811 .40216 Metetra
.654 .74 .913 r
.22811 .40216 .23193 .40578 .23756 .40393 .23375 .40033 Metetra
.652 .741 .915 r
.23375 .40033 .23756 .40393 .24321 .40209 .2394 .39851 Metetra
.651 .742 .916 r
.2394 .39851 .24321 .40209 .24887 .40027 .24506 .3967 Metetra
.651 .743 .917 r
.24506 .3967 .24887 .40027 .25453 .39847 .25074 .3949 Metetra
.651 .744 .917 r
.25074 .3949 .25453 .39847 .26021 .39669 .25642 .39308 Metetra
.653 .743 .915 r
.25642 .39308 .26021 .39669 .26591 .3949 .26213 .39123 Metetra
.656 .741 .912 r
.26213 .39123 .26591 .3949 .27161 .39308 .26785 .38934 Metetra
.658 .737 .908 r
.26785 .38934 .27161 .39308 .27734 .39122 .27358 .38742 Metetra
.657 .734 .906 r
.27358 .38742 .27734 .39122 .28307 .38932 .27933 .38549 Metetra
.654 .733 .907 r
.27933 .38549 .28307 .38932 .28883 .38738 .28508 .38362 Metetra
.646 .734 .913 r
.28508 .38362 .28883 .38738 .29459 .38547 .29085 .38186 Metetra
.635 .74 .924 r
.29085 .38186 .29459 .38547 .30036 .38365 .29661 .38023 Metetra
.623 .748 .937 r
.29661 .38023 .30036 .38365 .30614 .38198 .30238 .37874 Metetra
.616 .758 .946 r
.30238 .37874 .30614 .38198 .31191 .38048 .30816 .3773 Metetra
.62 .764 .948 r
.30816 .3773 .31191 .38048 .3177 .37909 .31396 .37579 Metetra
.639 .762 .937 r
.31396 .37579 .3177 .37909 .3235 .37771 .31978 .37407 Metetra
.662 .749 .915 r
.31978 .37407 .3235 .37771 .32932 .37615 .32564 .37205 Metetra
.678 .728 .888 r
.32564 .37205 .32932 .37615 .33517 .37429 .33153 .36973 Metetra
.682 .708 .867 r
.33153 .36973 .33517 .37429 .34106 .37207 .33744 .36727 Metetra
.672 .694 .862 r
.33744 .36727 .34106 .37207 .34698 .36958 .34336 .36496 Metetra
.646 .694 .88 r
.34336 .36496 .34698 .36958 .35291 .36708 .34925 .36314 Metetra
.585 .708 .928 r
.34925 .36314 .35291 .36708 .35883 .36496 .35512 .36213 Metetra
.431 .717 .984 r
.35512 .36213 .35883 .36496 .36472 .36362 .36096 .36207 Metetra
.091 .604 .887 r
.36096 .36207 .36472 .36362 .37058 .36334 .36677 .36288 Metetra
.221 0 0 r
.36677 .36288 .37058 .36334 .37641 .36415 .37259 .36419 Metetra
.282 0 0 r
.37259 .36419 .37641 .36415 .38222 .36577 .37843 .36547 Metetra
.084 0 0 r
.37843 .36547 .38222 .36577 .38805 .36766 .38432 .36606 Metetra
.407 .792 .99 r
.38432 .36606 .38805 .36766 .39393 .36909 .3903 .36543 Metetra
.666 .756 .917 r
.3903 .36543 .39393 .36909 .39988 .36936 .39635 .36328 Metetra
.712 .666 .803 r
.39635 .36328 .39988 .36936 .40591 .36797 .40247 .35958 Metetra
.716 .613 .741 r
.40247 .35958 .40591 .36797 .41203 .36473 .40865 .35462 Metetra
.713 .585 .711 r
.40865 .35462 .41203 .36473 .4182 .35982 .41486 .34887 Metetra
.709 .573 .7 r
.41486 .34887 .4182 .35982 .42442 .35373 .42108 .34285 Metetra
.706 .572 .702 r
.42108 .34285 .42442 .35373 .43066 .34707 .42728 .33704 Metetra
.704 .581 .715 r
.42728 .33704 .43066 .34707 .43689 .34048 .43348 .33177 Metetra
.703 .601 .74 r
.43348 .33177 .43689 .34048 .4431 .33443 .43965 .32719 Metetra
.702 .631 .774 r
.43965 .32719 .4431 .33443 .44929 .32922 .44582 .3233 Metetra
.7 .668 .815 r
.44582 .3233 .44929 .32922 .45546 .3249 .45197 .32 Metetra
.694 .705 .856 r
.45197 .32 .45546 .3249 .46163 .32139 .45813 .31716 Metetra
.685 .734 .888 r
.45813 .31716 .46163 .32139 .46778 .31849 .46429 .31461 Metetra
.676 .75 .907 r
.46429 .31461 .46778 .31849 .47395 .316 .47046 .31226 Metetra
.669 .756 .916 r
.47046 .31226 .47395 .316 .48012 .31374 .47664 .31001 Metetra
.665 .756 .918 r
.47664 .31001 .48012 .31374 .4863 .31158 .48284 .30782 Metetra
.663 .754 .918 r
.48284 .30782 .4863 .31158 .4925 .30946 .48904 .30565 Metetra
.661 .752 .917 r
.48904 .30565 .4925 .30946 .49872 .30736 .49527 .30352 Metetra
.66 .75 .917 r
.49527 .30352 .49872 .30736 .50494 .30528 .5015 .3014 Metetra
.658 .747 .916 r
.5015 .3014 .50494 .30528 .51118 .30325 .50775 .2993 Metetra
.655 .744 .915 r
.50775 .2993 .51118 .30325 .51744 .30127 .51402 .29725 Metetra
.651 .739 .913 r
.51402 .29725 .51744 .30127 .52371 .29936 .5203 .29524 Metetra
.647 .732 .911 r
.5203 .29524 .52371 .29936 .53 .29756 .52659 .2933 Metetra
.641 .723 .907 r
.52659 .2933 .53 .29756 .5363 .29589 .5329 .29145 Metetra
.633 .711 .903 r
.5329 .29145 .5363 .29589 .54262 .29437 .53923 .28971 Metetra
.624 .696 .896 r
.53923 .28971 .54262 .29437 .54896 .29305 .54558 .28811 Metetra
.614 .679 .888 r
.54558 .28811 .54896 .29305 .55532 .29194 .55194 .28669 Metetra
.602 .659 .878 r
.55194 .28669 .55532 .29194 .5617 .29107 .55832 .28545 Metetra
.59 .638 .867 r
.55832 .28545 .5617 .29107 .5681 .29042 .56473 .28442 Metetra
.579 .618 .855 r
.56473 .28442 .5681 .29042 .57453 .28994 .57116 .28358 Metetra
.571 .602 .845 r
.57116 .28358 .57453 .28994 .58098 .28953 .57761 .2829 Metetra
.568 .591 .836 r
.57761 .2829 .58098 .28953 .58746 .28907 .58408 .28229 Metetra
.57 .587 .831 r
.58408 .28229 .58746 .28907 .59395 .2884 .59058 .28164 Metetra
.579 .593 .831 r
.59058 .28164 .59395 .2884 .60045 .28735 .59709 .28082 Metetra
.595 .609 .836 r
.59709 .28082 .60045 .28735 .60696 .2858 .60361 .27969 Metetra
.618 .635 .846 r
.60361 .27969 .60696 .2858 .61348 .2837 .61015 .27813 Metetra
.645 .669 .859 r
.61015 .27813 .61348 .2837 .61999 .28106 .61669 .27609 Metetra
.672 .707 .874 r
.61669 .27609 .61999 .28106 .6265 .27799 .62323 .27357 Metetra
.697 .743 .887 r
.62323 .27357 .6265 .27799 .63302 .27469 .62977 .27065 Metetra
.713 .769 .897 r
.62977 .27065 .63302 .27469 .63955 .27132 .63631 .26749 Metetra
.719 .782 .902 r
.63631 .26749 .63955 .27132 .64609 .26808 .64287 .26423 Metetra
.715 .781 .904 r
.64287 .26423 .64609 .26808 .65265 .26508 .64944 .26104 Metetra
.704 .768 .902 r
.64944 .26104 .65265 .26508 .65924 .26235 .65602 .25803 Metetra
.689 .748 .897 r
.65602 .25803 .65924 .26235 .66585 .25985 .66263 .25525 Metetra
.675 .729 .891 r
.66263 .25525 .66585 .25985 .67248 .2575 .66927 .2527 Metetra
.665 .716 .886 r
.66927 .2527 .67248 .2575 .67913 .2552 .67592 .2503 Metetra
.661 .709 .884 r
.67592 .2503 .67913 .2552 .6858 .25286 .6826 .24797 Metetra
.661 .711 .885 r
.6826 .24797 .6858 .25286 .69248 .25042 .68929 .24563 Metetra
.665 .718 .888 r
.68929 .24563 .69248 .25042 .69916 .24787 .696 .24323 Metetra
.671 .728 .892 r
.696 .24323 .69916 .24787 .70586 .24523 .70271 .24072 Metetra
.676 .737 .897 r
.70271 .24072 .70586 .24523 .71256 .24253 .70944 .23813 Metetra
.68 .745 .9 r
.70944 .23813 .71256 .24253 .71929 .23982 .71617 .23547 Metetra
.682 .749 .902 r
.71617 .23547 .71929 .23982 .72602 .23714 .72292 .23278 Metetra
.681 .749 .903 r
.72292 .23278 .72602 .23714 .73278 .23449 .72968 .2301 Metetra
.679 .747 .902 r
.72968 .2301 .73278 .23449 .73955 .23188 .73647 .22745 Metetra
.677 .744 .902 r
.73647 .22745 .73955 .23188 .74634 .22931 .74327 .22484 Metetra
.674 .742 .901 r
.74327 .22484 .74634 .22931 .75315 .22676 .75008 .22225 Metetra
.673 .74 .901 r
.75008 .22225 .75315 .22676 .75997 .22421 .75692 .21969 Metetra
.672 .74 .901 r
.75692 .21969 .75997 .22421 .76681 .22165 .76377 .21713 Metetra
.672 .74 .902 r
.76377 .21713 .76681 .22165 .77366 .21908 .77064 .21457 Metetra
.672 .741 .902 r
.77064 .21457 .77366 .21908 .78053 .21651 .77752 .21201 Metetra
.672 .742 .903 r
.77752 .21201 .78053 .21651 .78742 .21393 .78442 .20943 Metetra
.672 .743 .904 r
.78442 .20943 .78742 .21393 .79432 .21134 .79133 .20685 Metetra
.672 .744 .904 r
.79133 .20685 .79432 .21134 .80124 .20876 .79826 .20426 Metetra
.672 .744 .905 r
.79826 .20426 .80124 .20876 .80817 .20618 .80521 .20168 Metetra
.672 .744 .905 r
.80521 .20168 .80817 .20618 .81513 .20361 .81217 .19909 Metetra
.657 .741 .912 r
.19064 .4097 .19452 .41329 .20008 .41144 .19621 .40784 Metetra
.657 .741 .912 r
.19621 .40784 .20008 .41144 .20567 .40959 .2018 .40598 Metetra
.656 .74 .912 r
.2018 .40598 .20567 .40959 .21126 .40773 .2074 .40411 Metetra
.656 .74 .912 r
.2074 .40411 .21126 .40773 .21686 .40587 .21301 .40225 Metetra
.655 .74 .912 r
.21301 .40225 .21686 .40587 .22248 .40402 .21864 .4004 Metetra
.654 .741 .914 r
.21864 .4004 .22248 .40402 .22811 .40216 .22427 .39856 Metetra
.652 .742 .915 r
.22427 .39856 .22811 .40216 .23375 .40033 .22992 .39674 Metetra
.652 .743 .916 r
.22992 .39674 .23375 .40033 .2394 .39851 .23557 .39492 Metetra
.652 .743 .917 r
.23557 .39492 .2394 .39851 .24506 .3967 .24124 .3931 Metetra
.653 .743 .916 r
.24124 .3931 .24506 .3967 .25074 .3949 .24693 .39126 Metetra
.655 .742 .914 r
.24693 .39126 .25074 .3949 .25642 .39308 .25263 .38938 Metetra
.657 .739 .91 r
.25263 .38938 .25642 .39308 .26213 .39123 .25834 .38747 Metetra
.658 .736 .908 r
.25834 .38747 .26213 .39123 .26785 .38934 .26407 .38554 Metetra
.656 .734 .907 r
.26407 .38554 .26785 .38934 .27358 .38742 .26981 .38363 Metetra
.651 .734 .91 r
.26981 .38363 .27358 .38742 .27933 .38549 .27556 .38179 Metetra
.643 .737 .917 r
.27556 .38179 .27933 .38549 .28508 .38362 .28131 .38007 Metetra
.632 .743 .928 r
.28131 .38007 .28508 .38362 .29085 .38186 .28706 .37847 Metetra
.623 .751 .938 r
.28706 .37847 .29085 .38186 .29661 .38023 .29283 .37697 Metetra
.621 .758 .944 r
.29283 .37697 .29661 .38023 .30238 .37874 .2986 .37546 Metetra
.631 .761 .941 r
.2986 .37546 .30238 .37874 .30816 .3773 .3044 .37385 Metetra
.65 .756 .927 r
.3044 .37385 .30816 .3773 .31396 .37579 .31023 .37199 Metetra
.669 .742 .905 r
.31023 .37199 .31396 .37579 .31978 .37407 .31609 .36986 Metetra
.68 .723 .883 r
.31609 .36986 .31978 .37407 .32564 .37205 .32198 .36749 Metetra
.679 .707 .869 r
.32198 .36749 .32564 .37205 .33153 .36973 .32788 .36509 Metetra
.665 .699 .872 r
.32788 .36509 .33153 .36973 .33744 .36727 .33378 .36292 Metetra
.632 .703 .896 r
.33378 .36292 .33744 .36727 .34336 .36496 .33966 .36131 Metetra
.56 .717 .946 r
.33966 .36131 .34336 .36496 .34925 .36314 .34551 .36051 Metetra
.393 .714 .987 r
.34551 .36051 .34925 .36314 .35512 .36213 .35133 .36057 Metetra
.093 .607 .888 r
.35133 .36057 .35512 .36213 .36096 .36207 .35713 .36136 Metetra
.139 0 0 r
.35713 .36136 .36096 .36207 .36677 .36288 .36294 .36248 Metetra
.143 0 0 r
.36294 .36248 .36677 .36288 .37259 .36419 .36878 .36339 Metetra
.114 .653 .852 r
.36878 .36339 .37259 .36419 .37843 .36547 .37468 .36354 Metetra
.514 .818 1 r
.37468 .36354 .37843 .36547 .38432 .36606 .38066 .36245 Metetra
.69 .765 .909 r
.38066 .36245 .38432 .36606 .3903 .36543 .38672 .35992 Metetra
.728 .69 .814 r
.38672 .35992 .3903 .36543 .39635 .36328 .39286 .35598 Metetra
.733 .643 .759 r
.39286 .35598 .39635 .36328 .40247 .35958 .39904 .35093 Metetra
.729 .615 .731 r
.39904 .35093 .40247 .35958 .40865 .35462 .40525 .34523 Metetra
.723 .601 .719 r
.40525 .34523 .40865 .35462 .41486 .34887 .41146 .33937 Metetra
.716 .596 .72 r
.41146 .33937 .41486 .34887 .42108 .34285 .41767 .33377 Metetra
.709 .598 .73 r
.41767 .33377 .42108 .34285 .42728 .33704 .42385 .32873 Metetra
.702 .608 .748 r
.42385 .32873 .42728 .33704 .43348 .33177 .43002 .32436 Metetra
.695 .624 .773 r
.43002 .32436 .43348 .33177 .43965 .32719 .43618 .32066 Metetra
.687 .644 .801 r
.43618 .32066 .43965 .32719 .44582 .3233 .44233 .31751 Metetra
.679 .665 .829 r
.44233 .31751 .44582 .3233 .45197 .32 .44848 .31478 Metetra
.673 .684 .853 r
.44848 .31478 .45197 .32 .45813 .31716 .45463 .31231 Metetra
.668 .699 .87 r
.45463 .31231 .45813 .31716 .46429 .31461 .4608 .30999 Metetra
.665 .709 .88 r
.4608 .30999 .46429 .31461 .47046 .31226 .46697 .30775 Metetra
.664 .715 .886 r
.46697 .30775 .47046 .31226 .47664 .31001 .47316 .30554 Metetra
.663 .717 .889 r
.47316 .30554 .47664 .31001 .48284 .30782 .47936 .30336 Metetra
.662 .717 .89 r
.47936 .30336 .48284 .30782 .48904 .30565 .48558 .30119 Metetra
.66 .717 .89 r
.48558 .30119 .48904 .30565 .49527 .30352 .49181 .29903 Metetra
.659 .716 .89 r
.49181 .29903 .49527 .30352 .5015 .3014 .49805 .29688 Metetra
.658 .715 .89 r
.49805 .29688 .5015 .3014 .50775 .2993 .50431 .29476 Metetra
.656 .713 .89 r
.50431 .29476 .50775 .2993 .51402 .29725 .51059 .29267 Metetra
.653 .71 .89 r
.51059 .29267 .51402 .29725 .5203 .29524 .51687 .29061 Metetra
.65 .707 .889 r
.51687 .29061 .5203 .29524 .52659 .2933 .52318 .2886 Metetra
.645 .703 .888 r
.52318 .2886 .52659 .2933 .5329 .29145 .5295 .28666 Metetra
.64 .697 .887 r
.5295 .28666 .5329 .29145 .53923 .28971 .53583 .28481 Metetra
.633 .689 .884 r
.53583 .28481 .53923 .28971 .54558 .28811 .54218 .28306 Metetra
.624 .679 .881 r
.54218 .28306 .54558 .28811 .55194 .28669 .54855 .28145 Metetra
.614 .666 .877 r
.54855 .28145 .55194 .28669 .55832 .28545 .55494 .28 Metetra
.603 .653 .871 r
.55494 .28 .55832 .28545 .56473 .28442 .56135 .27873 Metetra
.592 .638 .865 r
.56135 .27873 .56473 .28442 .57116 .28358 .56778 .27765 Metetra
.582 .624 .858 r
.56778 .27765 .57116 .28358 .57761 .2829 .57423 .27675 Metetra
.575 .612 .852 r
.57423 .27675 .57761 .2829 .58408 .28229 .5807 .27597 Metetra
.572 .605 .847 r
.5807 .27597 .58408 .28229 .59058 .28164 .5872 .27526 Metetra
.574 .604 .845 r
.5872 .27526 .59058 .28164 .59709 .28082 .59372 .27451 Metetra
.583 .611 .846 r
.59372 .27451 .59709 .28082 .60361 .27969 .60026 .2736 Metetra
.598 .627 .852 r
.60026 .2736 .60361 .27969 .61015 .27813 .60681 .2724 Metetra
.619 .652 .86 r
.60681 .2724 .61015 .27813 .61669 .27609 .61336 .27081 Metetra
.645 .683 .871 r
.61336 .27081 .61669 .27609 .62323 .27357 .61993 .26878 Metetra
.671 .716 .883 r
.61993 .26878 .62323 .27357 .62977 .27065 .62649 .26631 Metetra
.693 .747 .893 r
.62649 .26631 .62977 .27065 .63631 .26749 .63306 .26347 Metetra
.709 .77 .9 r
.63306 .26347 .63631 .26749 .64287 .26423 .63963 .26037 Metetra
.715 .782 .904 r
.63963 .26037 .64287 .26423 .64944 .26104 .64621 .25716 Metetra
.713 .781 .905 r
.64621 .25716 .64944 .26104 .65602 .25803 .65281 .254 Metetra
.704 .77 .903 r
.65281 .254 .65602 .25803 .66263 .25525 .65942 .25098 Metetra
.691 .753 .899 r
.65942 .25098 .66263 .25525 .66927 .2527 .66605 .24816 Metetra
.678 .735 .894 r
.66605 .24816 .66927 .2527 .67592 .2503 .67271 .24556 Metetra
.667 .721 .889 r
.67271 .24556 .67592 .2503 .6826 .24797 .67939 .24312 Metetra
.662 .714 .887 r
.67939 .24312 .6826 .24797 .68929 .24563 .68609 .24076 Metetra
.661 .713 .887 r
.68609 .24076 .68929 .24563 .696 .24323 .69281 .23842 Metetra
.663 .718 .889 r
.69281 .23842 .696 .24323 .70271 .24072 .69954 .23604 Metetra
.668 .726 .893 r
.69954 .23604 .70271 .24072 .70944 .23813 .70628 .23357 Metetra
.673 .735 .897 r
.70628 .23357 .70944 .23813 .71617 .23547 .71304 .23101 Metetra
.677 .742 .9 r
.71304 .23101 .71617 .23547 .72292 .23278 .7198 .22838 Metetra
.679 .747 .902 r
.7198 .22838 .72292 .23278 .72968 .2301 .72658 .22572 Metetra
.68 .748 .903 r
.72658 .22572 .72968 .2301 .73647 .22745 .73337 .22305 Metetra
.678 .747 .903 r
.73337 .22305 .73647 .22745 .74327 .22484 .74018 .22039 Metetra
.676 .745 .903 r
.74018 .22039 .74327 .22484 .75008 .22225 .74701 .21777 Metetra
.674 .743 .902 r
.74701 .21777 .75008 .22225 .75692 .21969 .75385 .21517 Metetra
.673 .741 .902 r
.75385 .21517 .75692 .21969 .76377 .21713 .76071 .21259 Metetra
.672 .74 .902 r
.76071 .21259 .76377 .21713 .77064 .21457 .76759 .21003 Metetra
.671 .74 .902 r
.76759 .21003 .77064 .21457 .77752 .21201 .77449 .20747 Metetra
.671 .741 .903 r
.77449 .20747 .77752 .21201 .78442 .20943 .7814 .2049 Metetra
.671 .742 .903 r
.7814 .2049 .78442 .20943 .79133 .20685 .78833 .20232 Metetra
.672 .743 .904 r
.78833 .20232 .79133 .20685 .79826 .20426 .79527 .19974 Metetra
.672 .743 .904 r
.79527 .19974 .79826 .20426 .80521 .20168 .80223 .19715 Metetra
.671 .744 .905 r
.80223 .19715 .80521 .20168 .81217 .19909 .80921 .19455 Metetra
.657 .741 .912 r
.18675 .4061 .19064 .4097 .19621 .40784 .19233 .40423 Metetra
.657 .74 .912 r
.19233 .40423 .19621 .40784 .2018 .40598 .19792 .40236 Metetra
.656 .74 .912 r
.19792 .40236 .2018 .40598 .2074 .40411 .20353 .40049 Metetra
.655 .741 .913 r
.20353 .40049 .2074 .40411 .21301 .40225 .20915 .39864 Metetra
.654 .741 .914 r
.20915 .39864 .21301 .40225 .21864 .4004 .21477 .3968 Metetra
.653 .742 .915 r
.21477 .3968 .21864 .4004 .22427 .39856 .22041 .39497 Metetra
.652 .743 .916 r
.22041 .39497 .22427 .39856 .22992 .39674 .22607 .39314 Metetra
.653 .743 .916 r
.22607 .39314 .22992 .39674 .23557 .39492 .23173 .3913 Metetra
.654 .742 .914 r
.23173 .3913 .23557 .39492 .24124 .3931 .23741 .38943 Metetra
.656 .741 .912 r
.23741 .38943 .24124 .3931 .24693 .39126 .24311 .38753 Metetra
.658 .738 .909 r
.24311 .38753 .24693 .39126 .25263 .38938 .24882 .38561 Metetra
.657 .736 .908 r
.24882 .38561 .25263 .38938 .25834 .38747 .25454 .38368 Metetra
.654 .735 .909 r
.25454 .38368 .25834 .38747 .26407 .38554 .26027 .3818 Metetra
.649 .736 .913 r
.26027 .3818 .26407 .38554 .26981 .38363 .26601 .37999 Metetra
.64 .74 .921 r
.26601 .37999 .26981 .38363 .27556 .38179 .27175 .3783 Metetra
.631 .747 .931 r
.27175 .3783 .27556 .38179 .28131 .38007 .2775 .3767 Metetra
.625 .753 .939 r
.2775 .3767 .28131 .38007 .28706 .37847 .28326 .37516 Metetra
.628 .758 .94 r
.28326 .37516 .28706 .37847 .29283 .37697 .28904 .37358 Metetra
.64 .757 .933 r
.28904 .37358 .29283 .37697 .2986 .37546 .29484 .37185 Metetra
.658 .749 .917 r
.29484 .37185 .2986 .37546 .3044 .37385 .30067 .36988 Metetra
.672 .734 .897 r
.30067 .36988 .3044 .37385 .31023 .37199 .30653 .36767 Metetra
.678 .718 .879 r
.30653 .36767 .31023 .37199 .31609 .36986 .31241 .36532 Metetra
.674 .707 .872 r
.31241 .36532 .31609 .36986 .32198 .36749 .3183 .36301 Metetra
.656 .704 .882 r
.3183 .36301 .32198 .36749 .32788 .36509 .32418 .36102 Metetra
.617 .713 .914 r
.32418 .36102 .32788 .36509 .33378 .36292 .33004 .35961 Metetra
.534 .729 .964 r
.33004 .35961 .33378 .36292 .33966 .36131 .33587 .35895 Metetra
.362 .718 .987 r
.33587 .35895 .33966 .36131 .34551 .36051 .34168 .35903 Metetra
.118 .628 .896 r
.34168 .35903 .34551 .36051 .35133 .36057 .34747 .35965 Metetra
0 .549 .787 r
.34747 .35965 .35133 .36057 .35713 .36136 .35329 .36042 Metetra
.066 .613 .837 r
.35329 .36042 .35713 .36136 .36294 .36248 .35914 .36086 Metetra
.359 .767 .982 r
.35914 .36086 .36294 .36248 .36878 .36339 .36505 .36049 Metetra
.608 .786 .966 r
.36505 .36049 .36878 .36339 .37468 .36354 .37104 .35899 Metetra
.695 .719 .867 r
.37104 .35899 .37468 .36354 .38066 .36245 .37711 .35621 Metetra
.718 .663 .795 r
.37711 .35621 .38066 .36245 .38672 .35992 .38324 .35225 Metetra
.723 .63 .754 r
.38324 .35225 .38672 .35992 .39286 .35598 .38941 .3474 Metetra
.722 .613 .735 r
.38941 .3474 .39286 .35598 .39904 .35093 .39561 .34207 Metetra
.72 .607 .73 r
.39561 .34207 .39904 .35093 .40525 .34523 .40181 .33666 Metetra
.718 .611 .737 r
.40181 .33666 .40525 .34523 .41146 .33937 .408 .33151 Metetra
.716 .624 .753 r
.408 .33151 .41146 .33937 .41767 .33377 .41418 .32683 Metetra
.713 .643 .778 r
.41418 .32683 .41767 .33377 .42385 .32873 .42034 .32271 Metetra
.708 .668 .809 r
.42034 .32271 .42385 .32873 .43002 .32436 .42649 .31915 Metetra
.701 .695 .841 r
.42649 .31915 .43002 .32436 .43618 .32066 .43264 .31606 Metetra
.692 .718 .87 r
.43264 .31606 .43618 .32066 .44233 .31751 .43878 .31332 Metetra
.682 .736 .891 r
.43878 .31332 .44233 .31751 .44848 .31478 .44494 .31082 Metetra
.675 .746 .905 r
.44494 .31082 .44848 .31478 .45463 .31231 .4511 .30847 Metetra
.67 .752 .912 r
.4511 .30847 .45463 .31231 .4608 .30999 .45727 .3062 Metetra
.667 .754 .916 r
.45727 .3062 .4608 .30999 .46697 .30775 .46345 .30398 Metetra
.665 .755 .917 r
.46345 .30398 .46697 .30775 .47316 .30554 .46965 .30177 Metetra
.664 .756 .918 r
.46965 .30177 .47316 .30554 .47936 .30336 .47586 .29958 Metetra
.663 .756 .919 r
.47586 .29958 .47936 .30336 .48558 .30119 .48209 .2974 Metetra
.663 .755 .919 r
.48209 .2974 .48558 .30119 .49181 .29903 .48833 .29522 Metetra
.662 .754 .919 r
.48833 .29522 .49181 .29903 .49805 .29688 .49458 .29305 Metetra
.66 .753 .919 r
.49458 .29305 .49805 .29688 .50431 .29476 .50085 .2909 Metetra
.659 .751 .918 r
.50085 .2909 .50431 .29476 .51059 .29267 .50714 .28877 Metetra
.657 .749 .918 r
.50714 .28877 .51059 .29267 .51687 .29061 .51343 .28666 Metetra
.654 .746 .917 r
.51343 .28666 .51687 .29061 .52318 .2886 .51975 .28458 Metetra
.651 .741 .916 r
.51975 .28458 .52318 .2886 .5295 .28666 .52607 .28255 Metetra
.647 .735 .914 r
.52607 .28255 .5295 .28666 .53583 .28481 .53242 .28059 Metetra
.641 .728 .911 r
.53242 .28059 .53583 .28481 .54218 .28306 .53878 .2787 Metetra
.634 .718 .908 r
.53878 .2787 .54218 .28306 .54855 .28145 .54515 .27692 Metetra
.626 .706 .903 r
.54515 .27692 .54855 .28145 .55494 .28 .55155 .27526 Metetra
.617 .692 .897 r
.55155 .27526 .55494 .28 .56135 .27873 .55796 .27374 Metetra
.607 .676 .89 r
.55796 .27374 .56135 .27873 .56778 .27765 .56439 .27239 Metetra
.597 .66 .882 r
.56439 .27239 .56778 .27765 .57423 .27675 .57085 .2712 Metetra
.588 .643 .873 r
.57085 .2712 .57423 .27675 .5807 .27597 .57732 .27017 Metetra
.582 .63 .865 r
.57732 .27017 .5807 .27597 .5872 .27526 .58382 .26924 Metetra
.579 .621 .858 r
.58382 .26924 .5872 .27526 .59372 .27451 .59034 .26837 Metetra
.581 .618 .853 r
.59034 .26837 .59372 .27451 .60026 .2736 .59689 .26747 Metetra
.589 .622 .853 r
.59689 .26747 .60026 .2736 .60681 .2724 .60344 .26641 Metetra
.603 .635 .856 r
.60344 .26641 .60681 .2724 .61336 .27081 .61002 .26511 Metetra
.622 .656 .862 r
.61002 .26511 .61336 .27081 .61993 .26878 .6166 .26347 Metetra
.644 .682 .871 r
.6166 .26347 .61993 .26878 .62649 .26631 .62319 .26143 Metetra
.667 .712 .881 r
.62319 .26143 .62649 .26631 .63306 .26347 .62978 .259 Metetra
.688 .74 .891 r
.62978 .259 .63306 .26347 .63963 .26037 .63637 .25622 Metetra
.703 .763 .899 r
.63637 .25622 .63963 .26037 .64621 .25716 .64297 .2532 Metetra
.71 .776 .904 r
.64297 .2532 .64621 .25716 .65281 .254 .64958 .25007 Metetra
.71 .778 .906 r
.64958 .25007 .65281 .254 .65942 .25098 .6562 .24694 Metetra
.702 .771 .905 r
.6562 .24694 .65942 .25098 .66605 .24816 .66284 .24393 Metetra
.691 .757 .902 r
.66284 .24393 .66605 .24816 .67271 .24556 .6695 .2411 Metetra
.679 .741 .897 r
.6695 .2411 .67271 .24556 .67939 .24312 .67618 .23846 Metetra
.669 .727 .893 r
.67618 .23846 .67939 .24312 .68609 .24076 .68288 .23597 Metetra
.663 .719 .89 r
.68288 .23597 .68609 .24076 .69281 .23842 .68961 .23359 Metetra
.661 .716 .889 r
.68961 .23359 .69281 .23842 .69954 .23604 .69635 .23123 Metetra
.662 .719 .891 r
.69635 .23123 .69954 .23604 .70628 .23357 .70311 .22885 Metetra
.666 .725 .893 r
.70311 .22885 .70628 .23357 .71304 .23101 .70988 .2264 Metetra
.671 .733 .897 r
.70988 .2264 .71304 .23101 .7198 .22838 .71667 .22387 Metetra
.675 .74 .9 r
.71667 .22387 .7198 .22838 .72658 .22572 .72346 .22127 Metetra
.677 .745 .902 r
.72346 .22127 .72658 .22572 .73337 .22305 .73027 .21863 Metetra
.678 .747 .903 r
.73027 .21863 .73337 .22305 .74018 .22039 .73709 .21596 Metetra
.677 .747 .904 r
.73709 .21596 .74018 .22039 .74701 .21777 .74392 .21331 Metetra
.676 .746 .903 r
.74392 .21331 .74701 .21777 .75385 .21517 .75078 .21067 Metetra
.674 .744 .903 r
.75078 .21067 .75385 .21517 .76071 .21259 .75765 .20806 Metetra
.672 .742 .903 r
.75765 .20806 .76071 .21259 .76759 .21003 .76454 .20547 Metetra
.671 .741 .902 r
.76454 .20547 .76759 .21003 .77449 .20747 .77145 .2029 Metetra
.671 .74 .902 r
.77145 .2029 .77449 .20747 .7814 .2049 .77837 .20033 Metetra
.671 .741 .903 r
.77837 .20033 .7814 .2049 .78833 .20232 .78531 .19775 Metetra
.671 .741 .903 r
.78531 .19775 .78833 .20232 .79527 .19974 .79227 .19517 Metetra
.671 .742 .904 r
.79227 .19517 .79527 .19974 .80223 .19715 .79924 .19258 Metetra
.671 .743 .904 r
.79924 .19258 .80223 .19715 .80921 .19455 .80623 .18999 Metetra
.656 .741 .912 r
.18284 .40248 .18675 .4061 .19233 .40423 .18843 .4006 Metetra
.656 .741 .912 r
.18843 .4006 .19233 .40423 .19792 .40236 .19403 .39874 Metetra
.655 .741 .913 r
.19403 .39874 .19792 .40236 .20353 .40049 .19964 .39688 Metetra
.654 .742 .914 r
.19964 .39688 .20353 .40049 .20915 .39864 .20526 .39504 Metetra
.653 .742 .915 r
.20526 .39504 .20915 .39864 .21477 .3968 .2109 .39319 Metetra
.653 .743 .915 r
.2109 .39319 .21477 .3968 .22041 .39497 .21654 .39135 Metetra
.654 .743 .915 r
.21654 .39135 .22041 .39497 .22607 .39314 .2222 .38948 Metetra
.656 .741 .913 r
.2222 .38948 .22607 .39314 .23173 .3913 .22788 .38759 Metetra
.657 .74 .911 r
.22788 .38759 .23173 .3913 .23741 .38943 .23357 .38568 Metetra
.658 .738 .909 r
.23357 .38568 .23741 .38943 .24311 .38753 .23928 .38375 Metetra
.656 .736 .908 r
.23928 .38375 .24311 .38753 .24882 .38561 .24499 .38184 Metetra
.652 .736 .911 r
.24499 .38184 .24882 .38561 .25454 .38368 .25072 .37998 Metetra
.646 .738 .916 r
.25072 .37998 .25454 .38368 .26027 .3818 .25645 .3782 Metetra
.638 .743 .924 r
.25645 .3782 .26027 .3818 .26601 .37999 .26218 .37652 Metetra
.631 .749 .932 r
.26218 .37652 .26601 .37999 .27175 .3783 .26792 .37492 Metetra
.629 .754 .937 r
.26792 .37492 .27175 .3783 .2775 .3767 .27368 .37333 Metetra
.635 .757 .936 r
.27368 .37333 .2775 .3767 .28326 .37516 .27945 .37167 Metetra
.648 .753 .926 r
.27945 .37167 .28326 .37516 .28904 .37358 .28525 .36983 Metetra
.664 .743 .91 r
.28525 .36983 .28904 .37358 .29484 .37185 .29108 .36777 Metetra
.674 .729 .891 r
.29108 .36777 .29484 .37185 .30067 .36988 .29694 .36552 Metetra
.676 .716 .879 r
.29694 .36552 .30067 .36988 .30653 .36767 .30282 .36319 Metetra
.668 .708 .877 r
.30282 .36319 .30653 .36767 .31241 .36532 .30869 .36098 Metetra
.646 .709 .893 r
.30869 .36098 .31241 .36532 .3183 .36301 .31456 .35916 Metetra
.602 .72 .928 r
.31456 .35916 .3183 .36301 .32418 .36102 .3204 .35792 Metetra
.511 .735 .975 r
.3204 .35792 .32418 .36102 .33004 .35961 .32621 .35738 Metetra
.345 .719 .985 r
.32621 .35738 .33004 .35961 .33587 .35895 .33201 .35747 Metetra
.152 .651 .911 r
.33201 .35747 .33587 .35895 .34168 .35903 .3378 .35794 Metetra
.081 .619 .855 r
.3378 .35794 .34168 .35903 .34747 .35965 .34361 .35842 Metetra
.211 .702 .923 r
.34361 .35842 .34747 .35965 .35329 .36042 .34948 .35847 Metetra
.471 .799 .999 r
.34948 .35847 .35329 .36042 .35914 .36086 .3554 .35767 Metetra
.646 .778 .944 r
.3554 .35767 .35914 .36086 .36505 .36049 .3614 .35577 Metetra
.706 .714 .855 r
.3614 .35577 .36505 .36049 .37104 .35899 .36748 .35271 Metetra
.722 .664 .793 r
.36748 .35271 .37104 .35899 .37711 .35621 .37361 .34862 Metetra
.723 .632 .757 r
.37361 .34862 .37711 .35621 .38324 .35225 .37978 .34381 Metetra
.72 .615 .739 r
.37978 .34381 .38324 .35225 .38941 .3474 .38597 .33864 Metetra
.716 .607 .734 r
.38597 .33864 .38941 .3474 .39561 .34207 .39216 .33348 Metetra
.711 .608 .739 r
.39216 .33348 .39561 .34207 .40181 .33666 .39834 .32861 Metetra
.706 .616 .753 r
.39834 .32861 .40181 .33666 .408 .33151 .40451 .3242 Metetra
.701 .63 .774 r
.40451 .3242 .408 .33151 .41418 .32683 .41067 .32033 Metetra
.696 .649 .799 r
.41067 .32033 .41418 .32683 .42034 .32271 .41681 .31694 Metetra
.689 .67 .826 r
.41681 .31694 .42034 .32271 .42649 .31915 .42295 .31397 Metetra
.683 .69 .851 r
.42295 .31397 .42649 .31915 .43264 .31606 .42909 .3113 Metetra
.676 .707 .87 r
.42909 .3113 .43264 .31606 .43878 .31332 .43523 .30883 Metetra
.672 .718 .884 r
.43523 .30883 .43878 .31332 .44494 .31082 .44139 .30648 Metetra
.668 .725 .892 r
.44139 .30648 .44494 .31082 .4511 .30847 .44756 .30421 Metetra
.666 .729 .896 r
.44756 .30421 .4511 .30847 .45727 .3062 .45374 .30197 Metetra
.665 .731 .899 r
.45374 .30197 .45727 .3062 .46345 .30398 .45993 .29975 Metetra
.664 .731 .9 r
.45993 .29975 .46345 .30398 .46965 .30177 .46614 .29754 Metetra
.663 .731 .9 r
.46614 .29754 .46965 .30177 .47586 .29958 .47236 .29534 Metetra
.663 .731 .9 r
.47236 .29534 .47586 .29958 .48209 .2974 .47859 .29315 Metetra
.662 .731 .9 r
.47859 .29315 .48209 .2974 .48833 .29522 .48484 .29096 Metetra
.661 .73 .901 r
.48484 .29096 .48833 .29522 .49458 .29305 .4911 .28878 Metetra
.66 .73 .901 r
.4911 .28878 .49458 .29305 .50085 .2909 .49738 .2866 Metetra
.659 .729 .901 r
.49738 .2866 .50085 .2909 .50714 .28877 .50367 .28444 Metetra
.658 .727 .9 r
.50367 .28444 .50714 .28877 .51343 .28666 .50998 .2823 Metetra
.656 .725 .9 r
.50998 .2823 .51343 .28666 .51975 .28458 .5163 .28018 Metetra
.654 .722 .899 r
.5163 .28018 .51975 .28458 .52607 .28255 .52264 .27809 Metetra
.651 .719 .898 r
.52264 .27809 .52607 .28255 .53242 .28059 .52899 .27605 Metetra
.647 .714 .897 r
.52899 .27605 .53242 .28059 .53878 .2787 .53536 .27406 Metetra
.642 .707 .895 r
.53536 .27406 .53878 .2787 .54515 .27692 .54174 .27216 Metetra
.635 .699 .892 r
.54174 .27216 .54515 .27692 .55155 .27526 .54814 .27034 Metetra
.628 .689 .888 r
.54814 .27034 .55155 .27526 .55796 .27374 .55456 .26865 Metetra
.619 .678 .884 r
.55456 .26865 .55796 .27374 .56439 .27239 .561 .26709 Metetra
.61 .665 .878 r
.561 .26709 .56439 .27239 .57085 .2712 .56746 .26568 Metetra
.601 .651 .872 r
.56746 .26568 .57085 .2712 .57732 .27017 .57394 .26442 Metetra
.593 .639 .866 r
.57394 .26442 .57732 .27017 .58382 .26924 .58044 .2633 Metetra
.587 .628 .86 r
.58044 .2633 .58382 .26924 .59034 .26837 .58696 .26228 Metetra
.584 .622 .855 r
.58696 .26228 .59034 .26837 .59689 .26747 .5935 .26131 Metetra
.586 .621 .853 r
.5935 .26131 .59689 .26747 .60344 .26641 .60007 .26031 Metetra
.593 .626 .854 r
.60007 .26031 .60344 .26641 .61002 .26511 .60665 .25917 Metetra
.605 .639 .858 r
.60665 .25917 .61002 .26511 .6166 .26347 .61325 .25782 Metetra
.622 .659 .865 r
.61325 .25782 .6166 .26347 .62319 .26143 .61986 .25615 Metetra
.643 .684 .874 r
.61986 .25615 .62319 .26143 .62978 .259 .62647 .25413 Metetra
.664 .713 .884 r
.62647 .25413 .62978 .259 .63637 .25622 .63309 .25174 Metetra
.684 .74 .893 r
.63309 .25174 .63637 .25622 .64297 .2532 .63971 .24903 Metetra
.698 .761 .901 r
.63971 .24903 .64297 .2532 .64958 .25007 .64634 .24608 Metetra
.706 .775 .905 r
.64634 .24608 .64958 .25007 .6562 .24694 .65297 .243 Metetra
.707 .778 .907 r
.65297 .243 .6562 .24694 .66284 .24393 .65962 .23991 Metetra
.702 .772 .907 r
.65962 .23991 .66284 .24393 .6695 .2411 .66628 .2369 Metetra
.692 .76 .904 r
.66628 .2369 .6695 .2411 .67618 .23846 .67296 .23405 Metetra
.681 .746 .9 r
.67296 .23405 .67618 .23846 .68288 .23597 .67967 .23137 Metetra
.671 .732 .896 r
.67967 .23137 .68288 .23597 .68961 .23359 .6864 .22884 Metetra
.665 .723 .893 r
.6864 .22884 .68961 .23359 .69635 .23123 .69315 .22641 Metetra
.662 .719 .891 r
.69315 .22641 .69635 .23123 .70311 .22885 .69992 .22404 Metetra
.662 .72 .892 r
.69992 .22404 .70311 .22885 .70988 .2264 .70671 .22165 Metetra
.665 .725 .894 r
.70671 .22165 .70988 .2264 .71667 .22387 .71351 .21921 Metetra
.669 .731 .897 r
.71351 .21921 .71667 .22387 .72346 .22127 .72032 .2167 Metetra
.672 .738 .9 r
.72032 .2167 .72346 .22127 .73027 .21863 .72714 .21413 Metetra
.675 .743 .902 r
.72714 .21413 .73027 .21863 .73709 .21596 .73398 .2115 Metetra
.677 .746 .903 r
.73398 .2115 .73709 .21596 .74392 .21331 .74083 .20885 Metetra
.677 .747 .904 r
.74083 .20885 .74392 .21331 .75078 .21067 .74769 .20619 Metetra
.675 .746 .904 r
.74769 .20619 .75078 .21067 .75765 .20806 .75457 .20355 Metetra
.674 .744 .904 r
.75457 .20355 .75765 .20806 .76454 .20547 .76147 .20093 Metetra
.672 .743 .903 r
.76147 .20093 .76454 .20547 .77145 .2029 .76839 .19833 Metetra
.671 .741 .903 r
.76839 .19833 .77145 .2029 .77837 .20033 .77533 .19574 Metetra
.67 .741 .903 r
.77533 .19574 .77837 .20033 .78531 .19775 .78228 .19316 Metetra
.67 .741 .903 r
.78228 .19316 .78531 .19775 .79227 .19517 .78925 .19057 Metetra
.67 .741 .904 r
.78925 .19057 .79227 .19517 .79924 .19258 .79623 .18799 Metetra
.67 .742 .904 r
.79623 .18799 .79924 .19258 .80623 .18999 .80324 .18539 Metetra
.656 .741 .913 r
.17891 .39885 .18284 .40248 .18843 .4006 .18451 .39698 Metetra
.655 .741 .913 r
.18451 .39698 .18843 .4006 .19403 .39874 .19011 .39512 Metetra
.654 .742 .914 r
.19011 .39512 .19403 .39874 .19964 .39688 .19573 .39327 Metetra
.654 .742 .915 r
.19573 .39327 .19964 .39688 .20526 .39504 .20136 .39142 Metetra
.654 .743 .915 r
.20136 .39142 .20526 .39504 .2109 .39319 .207 .38955 Metetra
.655 .742 .914 r
.207 .38955 .2109 .39319 .21654 .39135 .21266 .38767 Metetra
.657 .741 .912 r
.21266 .38767 .21654 .39135 .2222 .38948 .21833 .38576 Metetra
.658 .739 .91 r
.21833 .38576 .2222 .38948 .22788 .38759 .22402 .38384 Metetra
.657 .737 .909 r
.22402 .38384 .22788 .38759 .23357 .38568 .22972 .38191 Metetra
.655 .737 .91 r
.22972 .38191 .23357 .38568 .23928 .38375 .23543 .38001 Metetra
.651 .737 .913 r
.23543 .38001 .23928 .38375 .24499 .38184 .24114 .37817 Metetra
.644 .74 .919 r
.24114 .37817 .24499 .38184 .25072 .37998 .24686 .37642 Metetra
.637 .745 .926 r
.24686 .37642 .25072 .37998 .25645 .3782 .25259 .37474 Metetra
.633 .75 .933 r
.25259 .37474 .25645 .3782 .26218 .37652 .25833 .37312 Metetra
.634 .754 .935 r
.25833 .37312 .26218 .37652 .26792 .37492 .26408 .37147 Metetra
.642 .754 .931 r
.26408 .37147 .26792 .37492 .27368 .37333 .26985 .36972 Metetra
.655 .749 .919 r
.26985 .36972 .27368 .37333 .27945 .37167 .27566 .3678 Metetra
.667 .738 .903 r
.27566 .3678 .27945 .37167 .28525 .36983 .28149 .36568 Metetra
.674 .726 .888 r
.28149 .36568 .28525 .36983 .29108 .36777 .28734 .36341 Metetra
.673 .715 .88 r
.28734 .36341 .29108 .36777 .29694 .36552 .2932 .36113 Metetra
.662 .711 .884 r
.2932 .36113 .29694 .36552 .30282 .36319 .29907 .35903 Metetra
.637 .716 .904 r
.29907 .35903 .30282 .36319 .30869 .36098 .30492 .35735 Metetra
.588 .729 .941 r
.30492 .35735 .30869 .36098 .31456 .35916 .31074 .35623 Metetra
.495 .741 .982 r
.31074 .35623 .31456 .35916 .3204 .35792 .31654 .35574 Metetra
.349 .725 .986 r
.31654 .35574 .3204 .35792 .32621 .35738 .32233 .35577 Metetra
.214 .684 .94 r
.32233 .35577 .32621 .35738 .33201 .35747 .32812 .35606 Metetra
.203 .688 .928 r
.32812 .35606 .33201 .35747 .3378 .35794 .33394 .35626 Metetra
.351 .759 .982 r
.33394 .35626 .3378 .35794 .34361 .35842 .3398 .35597 Metetra
.549 .796 .99 r
.3398 .35597 .34361 .35842 .34948 .35847 .34574 .35485 Metetra
.665 .758 .92 r
.34574 .35485 .34948 .35847 .3554 .35767 .35174 .35271 Metetra
.708 .705 .845 r
.35174 .35271 .3554 .35767 .3614 .35577 .35782 .34954 Metetra
.721 .665 .794 r
.35782 .34954 .3614 .35577 .36748 .35271 .36395 .34548 Metetra
.724 .641 .765 r
.36395 .34548 .36748 .35271 .37361 .34862 .37011 .34082 Metetra
.723 .628 .751 r
.37011 .34082 .37361 .34862 .37978 .34381 .37629 .33587 Metetra
.721 .624 .75 r
.37629 .33587 .37978 .34381 .38597 .33864 .38248 .33097 Metetra
.717 .628 .757 r
.38248 .33097 .38597 .33864 .39216 .33348 .38865 .32634 Metetra
.713 .639 .773 r
.38865 .32634 .39216 .33348 .39834 .32861 .39481 .32213 Metetra
.708 .654 .794 r
.39481 .32213 .39834 .32861 .40451 .3242 .40096 .31838 Metetra
.701 .673 .819 r
.40096 .31838 .40451 .3242 .41067 .32033 .4071 .31508 Metetra
.694 .691 .844 r
.4071 .31508 .41067 .32033 .41681 .31694 .41323 .31214 Metetra
.686 .708 .865 r
.41323 .31214 .41681 .31694 .42295 .31397 .41937 .30948 Metetra
.678 .721 .881 r
.41937 .30948 .42295 .31397 .42909 .3113 .42551 .30701 Metetra
.673 .729 .892 r
.42551 .30701 .42909 .3113 .43523 .30883 .43166 .30466 Metetra
.669 .735 .899 r
.43166 .30466 .43523 .30883 .44139 .30648 .43782 .30238 Metetra
.667 .738 .903 r
.43782 .30238 .44139 .30648 .44756 .30421 .444 .30013 Metetra
.666 .74 .905 r
.444 .30013 .44756 .30421 .45374 .30197 .45019 .29791 Metetra
.665 .74 .906 r
.45019 .29791 .45374 .30197 .45993 .29975 .45639 .29569 Metetra
.664 .741 .907 r
.45639 .29569 .45993 .29975 .46614 .29754 .4626 .29348 Metetra
.664 .741 .907 r
.4626 .29348 .46614 .29754 .47236 .29534 .46883 .29127 Metetra
.663 .741 .908 r
.46883 .29127 .47236 .29534 .47859 .29315 .47508 .28906 Metetra
.663 .74 .908 r
.47508 .28906 .47859 .29315 .48484 .29096 .48134 .28686 Metetra
.662 .74 .908 r
.48134 .28686 .48484 .29096 .4911 .28878 .48761 .28466 Metetra
.662 .739 .908 r
.48761 .28466 .4911 .28878 .49738 .2866 .4939 .28246 Metetra
.661 .738 .907 r
.4939 .28246 .49738 .2866 .50367 .28444 .5002 .28028 Metetra
.66 .737 .907 r
.5002 .28028 .50367 .28444 .50998 .2823 .50651 .2781 Metetra
.658 .736 .907 r
.50651 .2781 .50998 .2823 .5163 .28018 .51284 .27595 Metetra
.656 .733 .906 r
.51284 .27595 .5163 .28018 .52264 .27809 .51919 .27381 Metetra
.654 .731 .906 r
.51919 .27381 .52264 .27809 .52899 .27605 .52555 .27171 Metetra
.651 .727 .905 r
.52555 .27171 .52899 .27605 .53536 .27406 .53193 .26965 Metetra
.647 .722 .903 r
.53193 .26965 .53536 .27406 .54174 .27216 .53832 .26765 Metetra
.642 .716 .901 r
.53832 .26765 .54174 .27216 .54814 .27034 .54473 .26573 Metetra
.636 .708 .899 r
.54473 .26573 .54814 .27034 .55456 .26865 .55115 .26389 Metetra
.629 .699 .895 r
.55115 .26389 .55456 .26865 .561 .26709 .5576 .26216 Metetra
.621 .688 .891 r
.5576 .26216 .561 .26709 .56746 .26568 .56406 .26056 Metetra
.612 .675 .886 r
.56406 .26056 .56746 .26568 .57394 .26442 .57054 .2591 Metetra
.604 .663 .88 r
.57054 .2591 .57394 .26442 .58044 .2633 .57705 .25777 Metetra
.596 .651 .874 r
.57705 .25777 .58044 .2633 .58696 .26228 .58357 .25657 Metetra
.591 .641 .869 r
.58357 .25657 .58696 .26228 .5935 .26131 .59012 .25546 Metetra
.589 .634 .864 r
.59012 .25546 .5935 .26131 .60007 .26031 .59669 .25439 Metetra
.591 .633 .862 r
.59669 .25439 .60007 .26031 .60665 .25917 .60328 .25328 Metetra
.597 .638 .862 r
.60328 .25328 .60665 .25917 .61325 .25782 .60989 .25205 Metetra
.609 .649 .865 r
.60989 .25205 .61325 .25782 .61986 .25615 .61651 .25062 Metetra
.624 .666 .87 r
.61651 .25062 .61986 .25615 .62647 .25413 .62314 .24891 Metetra
.643 .689 .878 r
.62314 .24891 .62647 .25413 .63309 .25174 .62978 .24688 Metetra
.663 .714 .886 r
.62978 .24688 .63309 .25174 .63971 .24903 .63642 .24451 Metetra
.681 .738 .894 r
.63642 .24451 .63971 .24903 .64634 .24608 .64307 .24184 Metetra
.694 .758 .901 r
.64307 .24184 .64634 .24608 .65297 .243 .64972 .23894 Metetra
.703 .771 .905 r
.64972 .23894 .65297 .243 .65962 .23991 .65639 .23591 Metetra
.704 .776 .908 r
.65639 .23591 .65962 .23991 .66628 .2369 .66306 .23285 Metetra
.7 .772 .908 r
.66306 .23285 .66628 .2369 .67296 .23405 .66975 .22985 Metetra
.692 .762 .905 r
.66975 .22985 .67296 .23405 .67967 .23137 .67646 .22699 Metetra
.682 .749 .902 r
.67646 .22699 .67967 .23137 .6864 .22884 .68319 .22427 Metetra
.673 .737 .898 r
.68319 .22427 .6864 .22884 .69315 .22641 .68994 .2217 Metetra
.666 .727 .895 r
.68994 .2217 .69315 .22641 .69992 .22404 .69672 .21924 Metetra
.662 .722 .893 r
.69672 .21924 .69992 .22404 .70671 .22165 .70352 .21684 Metetra
.662 .721 .893 r
.70352 .21684 .70671 .22165 .71351 .21921 .71033 .21444 Metetra
.664 .725 .895 r
.71033 .21444 .71351 .21921 .72032 .2167 .71716 .21201 Metetra
.667 .73 .897 r
.71716 .21201 .72032 .2167 .72714 .21413 .724 .20951 Metetra
.67 .736 .9 r
.724 .20951 .72714 .21413 .73398 .2115 .73085 .20695 Metetra
.673 .742 .902 r
.73085 .20695 .73398 .2115 .74083 .20885 .73771 .20434 Metetra
.675 .745 .903 r
.73771 .20434 .74083 .20885 .74769 .20619 .74459 .2017 Metetra
.676 .746 .904 r
.74459 .2017 .74769 .20619 .75457 .20355 .75149 .19905 Metetra
.675 .746 .904 r
.75149 .19905 .75457 .20355 .76147 .20093 .7584 .1964 Metetra
.674 .745 .904 r
.7584 .1964 .76147 .20093 .76839 .19833 .76532 .19376 Metetra
.672 .743 .904 r
.76532 .19376 .76839 .19833 .77533 .19574 .77227 .19115 Metetra
.671 .742 .903 r
.77227 .19115 .77533 .19574 .78228 .19316 .77923 .18854 Metetra
.67 .741 .903 r
.77923 .18854 .78228 .19316 .78925 .19057 .78621 .18595 Metetra
.67 .741 .903 r
.78621 .18595 .78925 .19057 .79623 .18799 .79321 .18336 Metetra
.67 .741 .904 r
.79321 .18336 .79623 .18799 .80324 .18539 .80023 .18076 Metetra
.655 .742 .913 r
.17497 .39523 .17891 .39885 .18451 .39698 .18057 .39336 Metetra
.654 .742 .914 r
.18057 .39336 .18451 .39698 .19011 .39512 .18618 .3915 Metetra
.654 .742 .914 r
.18618 .3915 .19011 .39512 .19573 .39327 .19181 .38963 Metetra
.655 .742 .914 r
.19181 .38963 .19573 .39327 .20136 .39142 .19745 .38775 Metetra
.656 .741 .913 r
.19745 .38775 .20136 .39142 .207 .38955 .2031 .38586 Metetra
.657 .74 .911 r
.2031 .38586 .207 .38955 .21266 .38767 .20877 .38394 Metetra
.658 .739 .91 r
.20877 .38394 .21266 .38767 .21833 .38576 .21445 .382 Metetra
.657 .738 .909 r
.21445 .382 .21833 .38576 .22402 .38384 .22014 .38008 Metetra
.654 .737 .911 r
.22014 .38008 .22402 .38384 .22972 .38191 .22584 .3782 Metetra
.649 .739 .915 r
.22584 .3782 .22972 .38191 .23543 .38001 .23155 .37638 Metetra
.643 .742 .921 r
.23155 .37638 .23543 .38001 .24114 .37817 .23726 .37464 Metetra
.638 .747 .928 r
.23726 .37464 .24114 .37817 .24686 .37642 .24298 .37295 Metetra
.635 .751 .932 r
.24298 .37295 .24686 .37642 .25259 .37474 .24871 .3713 Metetra
.638 .753 .932 r
.24871 .3713 .25259 .37474 .25833 .37312 .25447 .36959 Metetra
.648 .752 .925 r
.25447 .36959 .25833 .37312 .26408 .37147 .26024 .36776 Metetra
.659 .745 .913 r
.26024 .36776 .26408 .37147 .26985 .36972 .26604 .36577 Metetra
.669 .734 .899 r
.26604 .36577 .26985 .36972 .27566 .3678 .27187 .3636 Metetra
.674 .723 .887 r
.27187 .3636 .27566 .3678 .28149 .36568 .27772 .36133 Metetra
.67 .716 .883 r
.27772 .36133 .28149 .36568 .28734 .36341 .28357 .35912 Metetra
.656 .714 .891 r
.28357 .35912 .28734 .36341 .2932 .36113 .28942 .35714 Metetra
.627 .722 .915 r
.28942 .35714 .2932 .36113 .29907 .35903 .29526 .35558 Metetra
.574 .736 .952 r
.29526 .35558 .29907 .35903 .30492 .35735 .30106 .35456 Metetra
.483 .746 .987 r
.30106 .35456 .30492 .35735 .31074 .35623 .30685 .35409 Metetra
.359 .733 .988 r
.30685 .35409 .31074 .35623 .31654 .35574 .31263 .35404 Metetra
.271 .713 .962 r
.31263 .35404 .31654 .35574 .32233 .35577 .31842 .35413 Metetra
.302 .735 .969 r
.31842 .35413 .32233 .35577 .32812 .35606 .32425 .35404 Metetra
.448 .785 .998 r
.32425 .35404 .32812 .35606 .33394 .35626 .33012 .35342 Metetra
.598 .787 .971 r
.33012 .35342 .33394 .35626 .3398 .35597 .33606 .35199 Metetra
.678 .742 .899 r
.33606 .35199 .3398 .35597 .34574 .35485 .34208 .34962 Metetra
.709 .695 .835 r
.34208 .34962 .34574 .35485 .35174 .35271 .34815 .34633 Metetra
.719 .66 .791 r
.34815 .34633 .35174 .35271 .35782 .34954 .35428 .34228 Metetra
.72 .639 .766 r
.35428 .34228 .35782 .34954 .36395 .34548 .36044 .33774 Metetra
.719 .628 .755 r
.36044 .33774 .36395 .34548 .37011 .34082 .36661 .33301 Metetra
.716 .625 .755 r
.36661 .33301 .37011 .34082 .37629 .33587 .37278 .32835 Metetra
.713 .63 .763 r
.37278 .32835 .37629 .33587 .38248 .33097 .37894 .32396 Metetra
.709 .641 .779 r
.37894 .32396 .38248 .33097 .38865 .32634 .38509 .31997 Metetra
.704 .656 .8 r
.38509 .31997 .38865 .32634 .39481 .32213 .39123 .31639 Metetra
.698 .675 .824 r
.39123 .31639 .39481 .32213 .40096 .31838 .39737 .3132 Metetra
.691 .693 .847 r
.39737 .3132 .40096 .31838 .4071 .31508 .4035 .31033 Metetra
.684 .71 .868 r
.4035 .31033 .4071 .31508 .41323 .31214 .40963 .3077 Metetra
.678 .723 .883 r
.40963 .3077 .41323 .31214 .41937 .30948 .41576 .30524 Metetra
.673 .732 .894 r
.41576 .30524 .41937 .30948 .42551 .30701 .42191 .30288 Metetra
.67 .737 .901 r
.42191 .30288 .42551 .30701 .43166 .30466 .42807 .30059 Metetra
.667 .74 .905 r
.42807 .30059 .43166 .30466 .43782 .30238 .43424 .29834 Metetra
.666 .742 .907 r
.43424 .29834 .43782 .30238 .444 .30013 .44042 .29611 Metetra
.665 .743 .908 r
.44042 .29611 .444 .30013 .45019 .29791 .44662 .29388 Metetra
.665 .743 .909 r
.44662 .29388 .45019 .29791 .45639 .29569 .45283 .29166 Metetra
.664 .743 .909 r
.45283 .29166 .45639 .29569 .4626 .29348 .45905 .28944 Metetra
.664 .744 .909 r
.45905 .28944 .4626 .29348 .46883 .29127 .46529 .28723 Metetra
.663 .744 .91 r
.46529 .28723 .46883 .29127 .47508 .28906 .47155 .28501 Metetra
.663 .743 .91 r
.47155 .28501 .47508 .28906 .48134 .28686 .47781 .2828 Metetra
.663 .743 .91 r
.47781 .2828 .48134 .28686 .48761 .28466 .4841 .28058 Metetra
.662 .743 .91 r
.4841 .28058 .48761 .28466 .4939 .28246 .49039 .27837 Metetra
.662 .742 .91 r
.49039 .27837 .4939 .28246 .5002 .28028 .4967 .27616 Metetra
.661 .741 .91 r
.4967 .27616 .5002 .28028 .50651 .2781 .50303 .27396 Metetra
.66 .74 .909 r
.50303 .27396 .50651 .2781 .51284 .27595 .50937 .27177 Metetra
.658 .738 .909 r
.50937 .27177 .51284 .27595 .51919 .27381 .51572 .2696 Metetra
.657 .736 .908 r
.51572 .2696 .51919 .27381 .52555 .27171 .5221 .26745 Metetra
.654 .733 .907 r
.5221 .26745 .52555 .27171 .53193 .26965 .52848 .26533 Metetra
.651 .729 .906 r
.52848 .26533 .53193 .26965 .53832 .26765 .53488 .26325 Metetra
.648 .724 .905 r
.53488 .26325 .53832 .26765 .54473 .26573 .5413 .26123 Metetra
.643 .718 .902 r
.5413 .26123 .54473 .26573 .55115 .26389 .54773 .25927 Metetra
.637 .71 .9 r
.54773 .25927 .55115 .26389 .5576 .26216 .55418 .25741 Metetra
.63 .701 .896 r
.55418 .25741 .5576 .26216 .56406 .26056 .56065 .25564 Metetra
.623 .69 .892 r
.56065 .25564 .56406 .26056 .57054 .2591 .56714 .25399 Metetra
.615 .678 .887 r
.56714 .25399 .57054 .2591 .57705 .25777 .57365 .25246 Metetra
.607 .666 .881 r
.57365 .25246 .57705 .25777 .58357 .25657 .58018 .25107 Metetra
.6 .655 .875 r
.58018 .25107 .58357 .25657 .59012 .25546 .58673 .24978 Metetra
.596 .646 .87 r
.58673 .24978 .59012 .25546 .59669 .25439 .5933 .24857 Metetra
.594 .64 .866 r
.5933 .24857 .59669 .25439 .60328 .25328 .59989 .2474 Metetra
.595 .638 .864 r
.59989 .2474 .60328 .25328 .60989 .25205 .60651 .2462 Metetra
.601 .643 .864 r
.60651 .2462 .60989 .25205 .61651 .25062 .61314 .2449 Metetra
.611 .653 .866 r
.61314 .2449 .61651 .25062 .62314 .24891 .61978 .2434 Metetra
.626 .669 .872 r
.61978 .2434 .62314 .24891 .62978 .24688 .62644 .24166 Metetra
.643 .69 .879 r
.62644 .24166 .62978 .24688 .63642 .24451 .63311 .23962 Metetra
.66 .713 .887 r
.63311 .23962 .63642 .24451 .64307 .24184 .63978 .23727 Metetra
.677 .736 .895 r
.63978 .23727 .64307 .24184 .64972 .23894 .64645 .23464 Metetra
.691 .755 .901 r
.64645 .23464 .64972 .23894 .65639 .23591 .65313 .23179 Metetra
.699 .768 .906 r
.65313 .23179 .65639 .23591 .66306 .23285 .65982 .22881 Metetra
.701 .774 .908 r
.65982 .22881 .66306 .23285 .66975 .22985 .66652 .22578 Metetra
.699 .772 .908 r
.66652 .22578 .66975 .22985 .67646 .22699 .67324 .22279 Metetra
.692 .764 .907 r
.67324 .22279 .67646 .22699 .68319 .22427 .67998 .21991 Metetra
.683 .752 .904 r
.67998 .21991 .68319 .22427 .68994 .2217 .68673 .21717 Metetra
.674 .74 .9 r
.68673 .21717 .68994 .2217 .69672 .21924 .69351 .21457 Metetra
.667 .731 .897 r
.69351 .21457 .69672 .21924 .70352 .21684 .70032 .21207 Metetra
.663 .725 .895 r
.70032 .21207 .70352 .21684 .71033 .21444 .70714 .20964 Metetra
.662 .723 .895 r
.70714 .20964 .71033 .21444 .71716 .21201 .71398 .20722 Metetra
.663 .725 .895 r
.71398 .20722 .71716 .21201 .724 .20951 .72083 .20478 Metetra
.666 .73 .897 r
.72083 .20478 .724 .20951 .73085 .20695 .7277 .20229 Metetra
.669 .735 .9 r
.7277 .20229 .73085 .20695 .73771 .20434 .73458 .19975 Metetra
.672 .74 .902 r
.73458 .19975 .73771 .20434 .74459 .2017 .74148 .19715 Metetra
.674 .744 .903 r
.74148 .19715 .74459 .2017 .75149 .19905 .74838 .19452 Metetra
.674 .746 .904 r
.74838 .19452 .75149 .19905 .7584 .1964 .75531 .19186 Metetra
.674 .746 .905 r
.75531 .19186 .7584 .1964 .76532 .19376 .76225 .18921 Metetra
.673 .745 .905 r
.76225 .18921 .76532 .19376 .77227 .19115 .7692 .18656 Metetra
.672 .744 .904 r
.7692 .18656 .77227 .19115 .77923 .18854 .77618 .18393 Metetra
.671 .742 .904 r
.77618 .18393 .77923 .18854 .78621 .18595 .78317 .18132 Metetra
.67 .741 .904 r
.78317 .18132 .78621 .18595 .79321 .18336 .79018 .17871 Metetra
.669 .741 .904 r
.79018 .17871 .79321 .18336 .80023 .18076 .79721 .17611 Metetra
.655 .742 .914 r
.17101 .3916 .17497 .39523 .18057 .39336 .17662 .38973 Metetra
.655 .742 .914 r
.17662 .38973 .18057 .39336 .18618 .3915 .18224 .38785 Metetra
.656 .742 .913 r
.18224 .38785 .18618 .3915 .19181 .38963 .18787 .38595 Metetra
.657 .741 .912 r
.18787 .38595 .19181 .38963 .19745 .38775 .19352 .38404 Metetra
.658 .74 .91 r
.19352 .38404 .19745 .38775 .2031 .38586 .19918 .38211 Metetra
.657 .738 .91 r
.19918 .38211 .2031 .38586 .20877 .38394 .20486 .38018 Metetra
.656 .738 .91 r
.20486 .38018 .20877 .38394 .21445 .382 .21054 .37827 Metetra
.653 .738 .912 r
.21054 .37827 .21445 .382 .22014 .38008 .21624 .3764 Metetra
.648 .74 .917 r
.21624 .3764 .22014 .38008 .22584 .3782 .22194 .37459 Metetra
.642 .744 .923 r
.22194 .37459 .22584 .3782 .23155 .37638 .22764 .37285 Metetra
.638 .748 .928 r
.22764 .37285 .23155 .37638 .23726 .37464 .23336 .37115 Metetra
.638 .751 .93 r
.23336 .37115 .23726 .37464 .24298 .37295 .23909 .36946 Metetra
.643 .752 .928 r
.23909 .36946 .24298 .37295 .24871 .3713 .24484 .36769 Metetra
.652 .749 .92 r
.24484 .36769 .24871 .3713 .25447 .36959 .25061 .36579 Metetra
.663 .741 .908 r
.25061 .36579 .25447 .36959 .26024 .36776 .25641 .36374 Metetra
.671 .731 .896 r
.25641 .36374 .26024 .36776 .26604 .36577 .26223 .36154 Metetra
.672 .722 .887 r
.26223 .36154 .26604 .36577 .27187 .3636 .26808 .3593 Metetra
.666 .717 .887 r
.26808 .3593 .27187 .3636 .27772 .36133 .27392 .35715 Metetra
.65 .718 .899 r
.27392 .35715 .27772 .36133 .28357 .35912 .27976 .35527 Metetra
.618 .727 .924 r
.27976 .35527 .28357 .35912 .28942 .35714 .28557 .35381 Metetra
.564 .741 .96 r
.28557 .35381 .28942 .35714 .29526 .35558 .29137 .35286 Metetra
.478 .749 .989 r
.29137 .35286 .29526 .35558 .30106 .35456 .29715 .35239 Metetra
.379 .742 .991 r
.29715 .35239 .30106 .35456 .30685 .35409 .30292 .35224 Metetra
.33 .737 .98 r
.30292 .35224 .30685 .35409 .31263 .35404 .30871 .35215 Metetra
.383 .763 .991 r
.30871 .35215 .31263 .35404 .31842 .35413 .31454 .35181 Metetra
.512 .791 .996 r
.31454 .35181 .31842 .35413 .32425 .35404 .32042 .35092 Metetra
.625 .777 .954 r
.32042 .35092 .32425 .35404 .33012 .35342 .32637 .34925 Metetra
.686 .735 .888 r
.32637 .34925 .33012 .35342 .33606 .35199 .33239 .34672 Metetra
.711 .694 .832 r
.33239 .34672 .33606 .35199 .34208 .34962 .33846 .34336 Metetra
.72 .664 .795 r
.33846 .34336 .34208 .34962 .34815 .34633 .34459 .33935 Metetra
.721 .646 .773 r
.34459 .33935 .34815 .34633 .35428 .34228 .35074 .33493 Metetra
.72 .637 .764 r
.35074 .33493 .35428 .34228 .36044 .33774 .3569 .33036 Metetra
.717 .635 .765 r
.3569 .33036 .36044 .33774 .36661 .33301 .36306 .32588 Metetra
.713 .639 .773 r
.36306 .32588 .36661 .33301 .37278 .32835 .36922 .32167 Metetra
.709 .649 .788 r
.36922 .32167 .37278 .32835 .37894 .32396 .37536 .31781 Metetra
.703 .663 .807 r
.37536 .31781 .37894 .32396 .38509 .31997 .3815 .31434 Metetra
.697 .678 .828 r
.3815 .31434 .38509 .31997 .39123 .31639 .38762 .31122 Metetra
.69 .694 .849 r
.38762 .31122 .39123 .31639 .39737 .3132 .39375 .30839 Metetra
.683 .707 .866 r
.39375 .30839 .39737 .3132 .4035 .31033 .39987 .30578 Metetra
.677 .718 .88 r
.39987 .30578 .4035 .31033 .40963 .3077 .406 .30332 Metetra
.672 .725 .889 r
.406 .30332 .40963 .3077 .41576 .30524 .41215 .30097 Metetra
.669 .73 .895 r
.41215 .30097 .41576 .30524 .42191 .30288 .4183 .29867 Metetra
.667 .733 .899 r
.4183 .29867 .42191 .30288 .42807 .30059 .42446 .29641 Metetra
.666 .735 .901 r
.42446 .29641 .42807 .30059 .43424 .29834 .43064 .29417 Metetra
.665 .735 .902 r
.43064 .29417 .43424 .29834 .44042 .29611 .43683 .29193 Metetra
.664 .736 .903 r
.43683 .29193 .44042 .29611 .44662 .29388 .44304 .28971 Metetra
.664 .736 .903 r
.44304 .28971 .44662 .29388 .45283 .29166 .44926 .28748 Metetra
.664 .736 .904 r
.44926 .28748 .45283 .29166 .45905 .28944 .45549 .28525 Metetra
.663 .736 .904 r
.45549 .28525 .45905 .28944 .46529 .28723 .46174 .28303 Metetra
.663 .736 .904 r
.46174 .28303 .46529 .28723 .47155 .28501 .468 .2808 Metetra
.663 .736 .904 r
.468 .2808 .47155 .28501 .47781 .2828 .47428 .27857 Metetra
.663 .736 .904 r
.47428 .27857 .47781 .2828 .4841 .28058 .48057 .27635 Metetra
.662 .735 .904 r
.48057 .27635 .4841 .28058 .49039 .27837 .48688 .27412 Metetra
.662 .735 .904 r
.48688 .27412 .49039 .27837 .4967 .27616 .4932 .2719 Metetra
.661 .734 .904 r
.4932 .2719 .4967 .27616 .50303 .27396 .49953 .26968 Metetra
.66 .734 .904 r
.49953 .26968 .50303 .27396 .50937 .27177 .50588 .26747 Metetra
.659 .732 .904 r
.50588 .26747 .50937 .27177 .51572 .2696 .51225 .26527 Metetra
.658 .731 .903 r
.51225 .26527 .51572 .2696 .5221 .26745 .51863 .26308 Metetra
.656 .729 .903 r
.51863 .26308 .5221 .26745 .52848 .26533 .52502 .26092 Metetra
.654 .727 .902 r
.52502 .26092 .52848 .26533 .53488 .26325 .53143 .25879 Metetra
.651 .723 .902 r
.53143 .25879 .53488 .26325 .5413 .26123 .53786 .2567 Metetra
.647 .719 .9 r
.53786 .2567 .5413 .26123 .54773 .25927 .5443 .25466 Metetra
.643 .713 .899 r
.5443 .25466 .54773 .25927 .55418 .25741 .55076 .25269 Metetra
.638 .707 .897 r
.55076 .25269 .55418 .25741 .56065 .25564 .55723 .2508 Metetra
.631 .698 .894 r
.55723 .2508 .56065 .25564 .56714 .25399 .56373 .249 Metetra
.624 .689 .89 r
.56373 .249 .56714 .25399 .57365 .25246 .57024 .24732 Metetra
.617 .679 .886 r
.57024 .24732 .57365 .25246 .58018 .25107 .57678 .24575 Metetra
.61 .668 .881 r
.57678 .24575 .58018 .25107 .58673 .24978 .58333 .24429 Metetra
.604 .658 .877 r
.58333 .24429 .58673 .24978 .5933 .24857 .58991 .24294 Metetra
.599 .65 .872 r
.58991 .24294 .5933 .24857 .59989 .2474 .5965 .24166 Metetra
.597 .645 .869 r
.5965 .24166 .59989 .2474 .60651 .2462 .60312 .24041 Metetra
.599 .645 .867 r
.60312 .24041 .60651 .2462 .61314 .2449 .60976 .23913 Metetra
.604 .649 .867 r
.60976 .23913 .61314 .2449 .61978 .2434 .61642 .23775 Metetra
.614 .658 .87 r
.61642 .23775 .61978 .2434 .62644 .24166 .62309 .2362 Metetra
.627 .673 .875 r
.62309 .2362 .62644 .24166 .63311 .23962 .62977 .23443 Metetra
.642 .692 .881 r
.62977 .23443 .63311 .23962 .63978 .23727 .63646 .23238 Metetra
.659 .714 .889 r
.63646 .23238 .63978 .23727 .64645 .23464 .64316 .23004 Metetra
.675 .735 .896 r
.64316 .23004 .64645 .23464 .65313 .23179 .64986 .22744 Metetra
.688 .753 .902 r
.64986 .22744 .65313 .23179 .65982 .22881 .65657 .22463 Metetra
.696 .766 .906 r
.65657 .22463 .65982 .22881 .66652 .22578 .66329 .22168 Metetra
.699 .772 .908 r
.66329 .22168 .66652 .22578 .67324 .22279 .67001 .21868 Metetra
.697 .771 .909 r
.67001 .21868 .67324 .22279 .67998 .21991 .67676 .21571 Metetra
.691 .765 .908 r
.67676 .21571 .67998 .21991 .68673 .21717 .68352 .21282 Metetra
.684 .754 .905 r
.68352 .21282 .68673 .21717 .69351 .21457 .6903 .21005 Metetra
.676 .743 .902 r
.6903 .21005 .69351 .21457 .70032 .21207 .69711 .20742 Metetra
.669 .734 .899 r
.69711 .20742 .70032 .21207 .70714 .20964 .70394 .20488 Metetra
.664 .728 .897 r
.70394 .20488 .70714 .20964 .71398 .20722 .71078 .20242 Metetra
.662 .725 .896 r
.71078 .20242 .71398 .20722 .72083 .20478 .71765 .19999 Metetra
.663 .726 .896 r
.71765 .19999 .72083 .20478 .7277 .20229 .72453 .19754 Metetra
.665 .729 .898 r
.72453 .19754 .7277 .20229 .73458 .19975 .73143 .19505 Metetra
.667 .734 .9 r
.73143 .19505 .73458 .19975 .74148 .19715 .73834 .19251 Metetra
.67 .739 .902 r
.73834 .19251 .74148 .19715 .74838 .19452 .74526 .18992 Metetra
.672 .743 .903 r
.74526 .18992 .74838 .19452 .75531 .19186 .7522 .18729 Metetra
.673 .745 .904 r
.7522 .18729 .75531 .19186 .76225 .18921 .75915 .18464 Metetra
.673 .746 .905 r
.75915 .18464 .76225 .18921 .7692 .18656 .76612 .18198 Metetra
.673 .745 .905 r
.76612 .18198 .7692 .18656 .77618 .18393 .77311 .17933 Metetra
.672 .744 .905 r
.77311 .17933 .77618 .18393 .78317 .18132 .78011 .17669 Metetra
.671 .743 .905 r
.78011 .17669 .78317 .18132 .79018 .17871 .78713 .17406 Metetra
.67 .742 .904 r
.78713 .17406 .79018 .17871 .79721 .17611 .79417 .17143 Metetra
.656 .742 .913 r
.16704 .38795 .17101 .3916 .17662 .38973 .17265 .38606 Metetra
.657 .741 .912 r
.17265 .38606 .17662 .38973 .18224 .38785 .17828 .38415 Metetra
.657 .741 .911 r
.17828 .38415 .18224 .38785 .18787 .38595 .18393 .38222 Metetra
.658 .739 .91 r
.18393 .38222 .18787 .38595 .19352 .38404 .18958 .38029 Metetra
.657 .738 .91 r
.18958 .38029 .19352 .38404 .19918 .38211 .19525 .37836 Metetra
.655 .738 .911 r
.19525 .37836 .19918 .38211 .20486 .38018 .20093 .37646 Metetra
.651 .739 .914 r
.20093 .37646 .20486 .38018 .21054 .37827 .20661 .3746 Metetra
.647 .742 .919 r
.20661 .3746 .21054 .37827 .21624 .3764 .21231 .3728 Metetra
.642 .745 .924 r
.21231 .3728 .21624 .3764 .22194 .37459 .21801 .37106 Metetra
.64 .749 .927 r
.21801 .37106 .22194 .37459 .22764 .37285 .22372 .36934 Metetra
.641 .751 .928 r
.22372 .36934 .22764 .37285 .23336 .37115 .22944 .3676 Metetra
.647 .75 .924 r
.22944 .3676 .23336 .37115 .23909 .36946 .23519 .36577 Metetra
.656 .746 .916 r
.23519 .36577 .23909 .36946 .24484 .36769 .24096 .36381 Metetra
.665 .738 .904 r
.24096 .36381 .24484 .36769 .25061 .36579 .24676 .36172 Metetra
.671 .729 .894 r
.24676 .36172 .25061 .36579 .25641 .36374 .25258 .35951 Metetra
.67 .722 .888 r
.25258 .35951 .25641 .36374 .26223 .36154 .25841 .3573 Metetra
.662 .719 .891 r
.25841 .3573 .26223 .36154 .26808 .3593 .26425 .35522 Metetra
.643 .723 .906 r
.26425 .35522 .26808 .3593 .27392 .35715 .27007 .35344 Metetra
.61 .733 .933 r
.27007 .35344 .27392 .35715 .27976 .35527 .27587 .35206 Metetra
.556 .746 .966 r
.27587 .35206 .27976 .35527 .28557 .35381 .28166 .35115 Metetra
.479 .754 .99 r
.28166 .35115 .28557 .35381 .29137 .35286 .28743 .35064 Metetra
.404 .751 .994 r
.28743 .35064 .29137 .35286 .29715 .35239 .2932 .35037 Metetra
.385 .756 .992 r
.2932 .35037 .29715 .35239 .30292 .35224 .29899 .35009 Metetra
.45 .778 .998 r
.29899 .35009 .30292 .35224 .30871 .35215 .30482 .34952 Metetra
.558 .788 .985 r
.30482 .34952 .30871 .35215 .31454 .35181 .31071 .34838 Metetra
.644 .764 .936 r
.31071 .34838 .31454 .35181 .32042 .35092 .31666 .34652 Metetra
.69 .725 .876 r
.31666 .34652 .32042 .35092 .32637 .34925 .32268 .34386 Metetra
.71 .69 .828 r
.32268 .34386 .32637 .34925 .33239 .34672 .32876 .34047 Metetra
.718 .664 .796 r
.32876 .34047 .33239 .34672 .33846 .34336 .33487 .33652 Metetra
.719 .649 .778 r
.33487 .33652 .33846 .34336 .34459 .33935 .34102 .33223 Metetra
.718 .642 .771 r
.34102 .33223 .34459 .33935 .35074 .33493 .34717 .32784 Metetra
.716 .642 .773 r
.34717 .32784 .35074 .33493 .3569 .33036 .35332 .32355 Metetra
.713 .647 .783 r
.35332 .32355 .3569 .33036 .36306 .32588 .35947 .31951 Metetra
.708 .658 .798 r
.35947 .31951 .36306 .32588 .36922 .32167 .36561 .3158 Metetra
.703 .672 .817 r
.36561 .3158 .36922 .32167 .37536 .31781 .37173 .31243 Metetra
.697 .688 .838 r
.37173 .31243 .37536 .31781 .3815 .31434 .37785 .30937 Metetra
.69 .703 .857 r
.37785 .30937 .3815 .31434 .38762 .31122 .38397 .30658 Metetra
.683 .716 .874 r
.38397 .30658 .38762 .31122 .39375 .30839 .39009 .30399 Metetra
.678 .726 .886 r
.39009 .30399 .39375 .30839 .39987 .30578 .39622 .30154 Metetra
.673 .733 .895 r
.39622 .30154 .39987 .30578 .406 .30332 .40236 .29918 Metetra
.67 .738 .901 r
.40236 .29918 .406 .30332 .41215 .30097 .40851 .29688 Metetra
.668 .74 .904 r
.40851 .29688 .41215 .30097 .4183 .29867 .41467 .29461 Metetra
.666 .742 .907 r
.41467 .29461 .4183 .29867 .42446 .29641 .42084 .29237 Metetra
.665 .743 .908 r
.42084 .29237 .42446 .29641 .43064 .29417 .42703 .29013 Metetra
.665 .743 .909 r
.42703 .29013 .43064 .29417 .43683 .29193 .43323 .28789 Metetra
.665 .744 .909 r
.43323 .28789 .43683 .29193 .44304 .28971 .43944 .28566 Metetra
.664 .744 .91 r
.43944 .28566 .44304 .28971 .44926 .28748 .44567 .28343 Metetra
.664 .744 .91 r
.44567 .28343 .44926 .28748 .45549 .28525 .45191 .2812 Metetra
.664 .744 .91 r
.45191 .2812 .45549 .28525 .46174 .28303 .45817 .27896 Metetra
.664 .744 .91 r
.45817 .27896 .46174 .28303 .468 .2808 .46444 .27673 Metetra
.663 .744 .91 r
.46444 .27673 .468 .2808 .47428 .27857 .47073 .27449 Metetra
.663 .744 .91 r
.47073 .27449 .47428 .27857 .48057 .27635 .47703 .27225 Metetra
.663 .744 .91 r
.47703 .27225 .48057 .27635 .48688 .27412 .48334 .27001 Metetra
.663 .743 .91 r
.48334 .27001 .48688 .27412 .4932 .2719 .48967 .26777 Metetra
.662 .743 .91 r
.48967 .26777 .4932 .2719 .49953 .26968 .49602 .26553 Metetra
.661 .742 .91 r
.49602 .26553 .49953 .26968 .50588 .26747 .50238 .26329 Metetra
.661 .741 .909 r
.50238 .26329 .50588 .26747 .51225 .26527 .50875 .26106 Metetra
.66 .739 .909 r
.50875 .26106 .51225 .26527 .51863 .26308 .51514 .25885 Metetra
.658 .738 .908 r
.51514 .25885 .51863 .26308 .52502 .26092 .52155 .25664 Metetra
.657 .735 .908 r
.52155 .25664 .52502 .26092 .53143 .25879 .52796 .25446 Metetra
.654 .733 .907 r
.52796 .25446 .53143 .25879 .53786 .2567 .5344 .25231 Metetra
.652 .729 .906 r
.5344 .25231 .53786 .2567 .5443 .25466 .54085 .2502 Metetra
.648 .724 .904 r
.54085 .2502 .5443 .25466 .55076 .25269 .54732 .24814 Metetra
.644 .719 .902 r
.54732 .24814 .55076 .25269 .55723 .2508 .5538 .24614 Metetra
.639 .712 .9 r
.5538 .24614 .55723 .2508 .56373 .249 .5603 .24422 Metetra
.633 .703 .897 r
.5603 .24422 .56373 .249 .57024 .24732 .56682 .24239 Metetra
.626 .694 .893 r
.56682 .24239 .57024 .24732 .57678 .24575 .57336 .24067 Metetra
.619 .684 .889 r
.57336 .24067 .57678 .24575 .58333 .24429 .57992 .23905 Metetra
.612 .674 .885 r
.57992 .23905 .58333 .24429 .58991 .24294 .5865 .23753 Metetra
.607 .665 .88 r
.5865 .23753 .58991 .24294 .5965 .24166 .5931 .23611 Metetra
.603 .657 .876 r
.5931 .23611 .5965 .24166 .60312 .24041 .59973 .23475 Metetra
.601 .652 .873 r
.59973 .23475 .60312 .24041 .60976 .23913 .60637 .23342 Metetra
.602 .651 .871 r
.60637 .23342 .60976 .23913 .61642 .23775 .61303 .23206 Metetra
.607 .655 .871 r
.61303 .23206 .61642 .23775 .62309 .2362 .61971 .23061 Metetra
.616 .663 .873 r
.61971 .23061 .62309 .2362 .62977 .23443 .62641 .22901 Metetra
.628 .677 .877 r
.62641 .22901 .62977 .23443 .63646 .23238 .63312 .22719 Metetra
.642 .694 .883 r
.63312 .22719 .63646 .23238 .64316 .23004 .63983 .22513 Metetra
.658 .714 .889 r
.63983 .22513 .64316 .23004 .64986 .22744 .64656 .2228 Metetra
.672 .733 .896 r
.64656 .2228 .64986 .22744 .65657 .22463 .65329 .22023 Metetra
.685 .751 .902 r
.65329 .22023 .65657 .22463 .66329 .22168 .66003 .21745 Metetra
.693 .763 .906 r
.66003 .21745 .66329 .22168 .67001 .21868 .66677 .21453 Metetra
.696 .77 .908 r
.66677 .21453 .67001 .21868 .67676 .21571 .67353 .21156 Metetra
.695 .77 .909 r
.67353 .21156 .67676 .21571 .68352 .21282 .6803 .20859 Metetra
.691 .765 .908 r
.6803 .20859 .68352 .21282 .6903 .21005 .68709 .2057 Metetra
.684 .756 .906 r
.68709 .2057 .6903 .21005 .69711 .20742 .6939 .20292 Metetra
.676 .746 .903 r
.6939 .20292 .69711 .20742 .70394 .20488 .70073 .20025 Metetra
.67 .737 .9 r
.70073 .20025 .70394 .20488 .71078 .20242 .70758 .19768 Metetra
.665 .73 .898 r
.70758 .19768 .71078 .20242 .71765 .19999 .71446 .19519 Metetra
.663 .727 .897 r
.71446 .19519 .71765 .19999 .72453 .19754 .72135 .19273 Metetra
.662 .727 .897 r
.72135 .19273 .72453 .19754 .73143 .19505 .72826 .19027 Metetra
.664 .729 .898 r
.72826 .19027 .73143 .19505 .73834 .19251 .73519 .18778 Metetra
.666 .733 .9 r
.73519 .18778 .73834 .19251 .74526 .18992 .74213 .18524 Metetra
.669 .738 .902 r
.74213 .18524 .74526 .18992 .7522 .18729 .74908 .18266 Metetra
.671 .741 .903 r
.74908 .18266 .7522 .18729 .75915 .18464 .75605 .18003 Metetra
.672 .744 .904 r
.75605 .18003 .75915 .18464 .76612 .18198 .76303 .17738 Metetra
.673 .745 .905 r
.76303 .17738 .76612 .18198 .77311 .17933 .77003 .17472 Metetra
.672 .745 .905 r
.77003 .17472 .77311 .17933 .78011 .17669 .77704 .17205 Metetra
.672 .744 .905 r
.77704 .17205 .78011 .17669 .78713 .17406 .78407 .1694 Metetra
.671 .743 .905 r
.78407 .1694 .78713 .17406 .79417 .17143 .79112 .16675 Metetra
.657 .741 .912 r
.16305 .38427 .16704 .38795 .17265 .38606 .16867 .38235 Metetra
.658 .74 .911 r
.16867 .38235 .17265 .38606 .17828 .38415 .17431 .38041 Metetra
.658 .739 .91 r
.17431 .38041 .17828 .38415 .18393 .38222 .17996 .37847 Metetra
.657 .739 .91 r
.17996 .37847 .18393 .38222 .18958 .38029 .18562 .37655 Metetra
.654 .739 .912 r
.18562 .37655 .18958 .38029 .19525 .37836 .19129 .37465 Metetra
.65 .741 .915 r
.19129 .37465 .19525 .37836 .20093 .37646 .19697 .37281 Metetra
.646 .743 .92 r
.19697 .37281 .20093 .37646 .20661 .3746 .20266 .37101 Metetra
.643 .746 .924 r
.20266 .37101 .20661 .3746 .21231 .3728 .20835 .36926 Metetra
.642 .749 .927 r
.20835 .36926 .21231 .3728 .21801 .37106 .21406 .36751 Metetra
.645 .75 .926 r
.21406 .36751 .21801 .37106 .22372 .36934 .21978 .36572 Metetra
.651 .748 .921 r
.21978 .36572 .22372 .36934 .22944 .3676 .22553 .36384 Metetra
.66 .743 .912 r
.22553 .36384 .22944 .3676 .23519 .36577 .2313 .36183 Metetra
.667 .736 .901 r
.2313 .36183 .23519 .36577 .24096 .36381 .2371 .3597 Metetra
.67 .728 .893 r
.2371 .3597 .24096 .36381 .24676 .36172 .24291 .3575 Metetra
.668 .722 .89 r
.24291 .3575 .24676 .36172 .25258 .35951 .24873 .35533 Metetra
.657 .721 .896 r
.24873 .35533 .25258 .35951 .25841 .3573 .25455 .35333 Metetra
.637 .727 .913 r
.25455 .35333 .25841 .3573 .26425 .35522 .26036 .35162 Metetra
.603 .738 .94 r
.26036 .35162 .26425 .35522 .27007 .35344 .26615 .35031 Metetra
.55 .75 .97 r
.26615 .35031 .27007 .35344 .27587 .35206 .27193 .34942 Metetra
.483 .758 .991 r
.27193 .34942 .27587 .35206 .28166 .35115 .27769 .34886 Metetra
.43 .759 .996 r
.27769 .34886 .28166 .35115 .28743 .35064 .28346 .34848 Metetra
.432 .768 .997 r
.28346 .34848 .28743 .35064 .2932 .35037 .28925 .34801 Metetra
.498 .784 .996 r
.28925 .34801 .2932 .35037 .29899 .35009 .29509 .34722 Metetra
.589 .783 .972 r
.29509 .34722 .29899 .35009 .30482 .34952 .30098 .34588 Metetra
.657 .756 .923 r
.30098 .34588 .30482 .34952 .31071 .34838 .30694 .34385 Metetra
.694 .72 .869 r
.30694 .34385 .31071 .34838 .31666 .34652 .31296 .34109 Metetra
.711 .689 .827 r
.31296 .34109 .31666 .34652 .32268 .34386 .31903 .33768 Metetra
.717 .666 .799 r
.31903 .33768 .32268 .34386 .32876 .34047 .32514 .33378 Metetra
.718 .653 .783 r
.32514 .33378 .32876 .34047 .33487 .33652 .33128 .3296 Metetra
.717 .646 .778 r
.33128 .3296 .33487 .33652 .34102 .33223 .33742 .32535 Metetra
.714 .647 .78 r
.33742 .32535 .34102 .33223 .34717 .32784 .34357 .32122 Metetra
.711 .652 .789 r
.34357 .32122 .34717 .32784 .35332 .32355 .34971 .31732 Metetra
.706 .662 .804 r
.34971 .31732 .35332 .32355 .35947 .31951 .35583 .31372 Metetra
.701 .675 .821 r
.35583 .31372 .35947 .31951 .36561 .3158 .36195 .31044 Metetra
.695 .688 .84 r
.36195 .31044 .36561 .3158 .37173 .31243 .36807 .30744 Metetra
.688 .702 .857 r
.36807 .30744 .37173 .31243 .37785 .30937 .37418 .30468 Metetra
.682 .713 .872 r
.37418 .30468 .37785 .30937 .38397 .30658 .3803 .30211 Metetra
.677 .722 .884 r
.3803 .30211 .38397 .30658 .39009 .30399 .38642 .29966 Metetra
.672 .729 .892 r
.38642 .29966 .39009 .30399 .39622 .30154 .39255 .2973 Metetra
.669 .733 .897 r
.39255 .2973 .39622 .30154 .40236 .29918 .3987 .29499 Metetra
.667 .735 .901 r
.3987 .29499 .40236 .29918 .40851 .29688 .40485 .29272 Metetra
.666 .737 .903 r
.40485 .29272 .40851 .29688 .41467 .29461 .41102 .29047 Metetra
.665 .738 .904 r
.41102 .29047 .41467 .29461 .42084 .29237 .4172 .28822 Metetra
.665 .738 .905 r
.4172 .28822 .42084 .29237 .42703 .29013 .4234 .28598 Metetra
.664 .739 .905 r
.4234 .28598 .42703 .29013 .43323 .28789 .42961 .28375 Metetra
.664 .739 .906 r
.42961 .28375 .43323 .28789 .43944 .28566 .43583 .28151 Metetra
.664 .739 .906 r
.43583 .28151 .43944 .28566 .44567 .28343 .44207 .27927 Metetra
.664 .739 .906 r
.44207 .27927 .44567 .28343 .45191 .2812 .44832 .27703 Metetra
.663 .739 .906 r
.44832 .27703 .45191 .2812 .45817 .27896 .45459 .27479 Metetra
.663 .739 .906 r
.45459 .27479 .45817 .27896 .46444 .27673 .46087 .27254 Metetra
.663 .739 .906 r
.46087 .27254 .46444 .27673 .47073 .27449 .46716 .27029 Metetra
.663 .739 .906 r
.46716 .27029 .47073 .27449 .47703 .27225 .47347 .26804 Metetra
.663 .739 .906 r
.47347 .26804 .47703 .27225 .48334 .27001 .4798 .26579 Metetra
.663 .739 .906 r
.4798 .26579 .48334 .27001 .48967 .26777 .48614 .26354 Metetra
.662 .738 .906 r
.48614 .26354 .48967 .26777 .49602 .26553 .49249 .26128 Metetra
.662 .738 .906 r
.49249 .26128 .49602 .26553 .50238 .26329 .49886 .25903 Metetra
.661 .737 .906 r
.49886 .25903 .50238 .26329 .50875 .26106 .50524 .25678 Metetra
.66 .737 .906 r
.50524 .25678 .50875 .26106 .51514 .25885 .51164 .25454 Metetra
.659 .735 .906 r
.51164 .25454 .51514 .25885 .52155 .25664 .51806 .25231 Metetra
.658 .734 .906 r
.51806 .25231 .52155 .25664 .52796 .25446 .52448 .2501 Metetra
.656 .732 .905 r
.52448 .2501 .52796 .25446 .5344 .25231 .53093 .2479 Metetra
.654 .73 .905 r
.53093 .2479 .5344 .25231 .54085 .2502 .53739 .24574 Metetra
.652 .726 .904 r
.53739 .24574 .54085 .2502 .54732 .24814 .54387 .24361 Metetra
.648 .722 .902 r
.54387 .24361 .54732 .24814 .5538 .24614 .55036 .24153 Metetra
.644 .717 .901 r
.55036 .24153 .5538 .24614 .5603 .24422 .55687 .23951 Metetra
.639 .71 .899 r
.55687 .23951 .5603 .24422 .56682 .24239 .5634 .23756 Metetra
.634 .703 .896 r
.5634 .23756 .56682 .24239 .57336 .24067 .56994 .2357 Metetra
.627 .694 .893 r
.56994 .2357 .57336 .24067 .57992 .23905 .57651 .23394 Metetra
.621 .685 .889 r
.57651 .23394 .57992 .23905 .5865 .23753 .58309 .23227 Metetra
.615 .676 .885 r
.58309 .23227 .5865 .23753 .5931 .23611 .5897 .2307 Metetra
.609 .667 .881 r
.5897 .2307 .5931 .23611 .59973 .23475 .59632 .22922 Metetra
.606 .661 .877 r
.59632 .22922 .59973 .23475 .60637 .23342 .60297 .2278 Metetra
.604 .656 .874 r
.60297 .2278 .60637 .23342 .61303 .23206 .60964 .2264 Metetra
.606 .656 .873 r
.60964 .2264 .61303 .23206 .61971 .23061 .61633 .22497 Metetra
.61 .659 .873 r
.61633 .22497 .61971 .23061 .62641 .22901 .62304 .22346 Metetra
.618 .667 .875 r
.62304 .22346 .62641 .22901 .63312 .22719 .62976 .2218 Metetra
.629 .68 .879 r
.62976 .2218 .63312 .22719 .63983 .22513 .63649 .21995 Metetra
.642 .696 .884 r
.63649 .21995 .63983 .22513 .64656 .2228 .64323 .21787 Metetra
.657 .714 .89 r
.64323 .21787 .64656 .2228 .65329 .22023 .64999 .21555 Metetra
.67 .732 .896 r
.64999 .21555 .65329 .22023 .66003 .21745 .65674 .21299 Metetra
.682 .749 .902 r
.65674 .21299 .66003 .21745 .66677 .21453 .66351 .21025 Metetra
.69 .761 .906 r
.66351 .21025 .66677 .21453 .67353 .21156 .67028 .20736 Metetra
.694 .768 .908 r
.67028 .20736 .67353 .21156 .6803 .20859 .67707 .20441 Metetra
.694 .769 .909 r
.67707 .20441 .6803 .20859 .68709 .2057 .68386 .20145 Metetra
.69 .765 .909 r
.68386 .20145 .68709 .2057 .6939 .20292 .69068 .19856 Metetra
.684 .757 .907 r
.69068 .19856 .6939 .20292 .70073 .20025 .69752 .19575 Metetra
.677 .748 .905 r
.69752 .19575 .70073 .20025 .70758 .19768 .70438 .19306 Metetra
.671 .74 .902 r
.70438 .19306 .70758 .19768 .71446 .19519 .71126 .19046 Metetra
.666 .733 .9 r
.71126 .19046 .71446 .19519 .72135 .19273 .71816 .18794 Metetra
.663 .729 .898 r
.71816 .18794 .72135 .19273 .72826 .19027 .72508 .18545 Metetra
.663 .728 .898 r
.72508 .18545 .72826 .19027 .73519 .18778 .73202 .18297 Metetra
.663 .73 .899 r
.73202 .18297 .73519 .18778 .74213 .18524 .73897 .18047 Metetra
.665 .733 .9 r
.73897 .18047 .74213 .18524 .74908 .18266 .74594 .17793 Metetra
.668 .737 .902 r
.74594 .17793 .74908 .18266 .75605 .18003 .75292 .17535 Metetra
.67 .74 .903 r
.75292 .17535 .75605 .18003 .76303 .17738 .75992 .17273 Metetra
.671 .743 .904 r
.75992 .17273 .76303 .17738 .77003 .17472 .76693 .17008 Metetra
.672 .745 .905 r
.76693 .17008 .77003 .17472 .77704 .17205 .77396 .16741 Metetra
.672 .745 .905 r
.77396 .16741 .77704 .17205 .78407 .1694 .781 .16474 Metetra
.671 .744 .905 r
.781 .16474 .78407 .1694 .79112 .16675 .78806 .16207 Metetra
.658 .74 .91 r
.15905 .38054 .16305 .38427 .16867 .38235 .16468 .3786 Metetra
.657 .739 .91 r
.16468 .3786 .16867 .38235 .17431 .38041 .17032 .37666 Metetra
.656 .739 .911 r
.17032 .37666 .17431 .38041 .17996 .37847 .17598 .37474 Metetra
.653 .74 .913 r
.17598 .37474 .17996 .37847 .18562 .37655 .18164 .37286 Metetra
.65 .742 .917 r
.18164 .37286 .18562 .37655 .19129 .37465 .18731 .37101 Metetra
.646 .744 .921 r
.18731 .37101 .19129 .37465 .19697 .37281 .19299 .36922 Metetra
.644 .747 .924 r
.19299 .36922 .19697 .37281 .20266 .37101 .19868 .36745 Metetra
.644 .749 .925 r
.19868 .36745 .20266 .37101 .20835 .36926 .20439 .36567 Metetra
.648 .749 .923 r
.20439 .36567 .20835 .36926 .21406 .36751 .21011 .36384 Metetra
.654 .746 .917 r
.21011 .36384 .21406 .36751 .21978 .36572 .21585 .36191 Metetra
.662 .741 .908 r
.21585 .36191 .21978 .36572 .22553 .36384 .22162 .35986 Metetra
.668 .734 .899 r
.22162 .35986 .22553 .36384 .2313 .36183 .22741 .35771 Metetra
.669 .727 .893 r
.22741 .35771 .2313 .36183 .2371 .3597 .23322 .35552 Metetra
.665 .723 .893 r
.23322 .35552 .2371 .3597 .24291 .3575 .23903 .35339 Metetra
.653 .724 .901 r
.23903 .35339 .24291 .3575 .24873 .35533 .24484 .35145 Metetra
.632 .731 .919 r
.24484 .35145 .24873 .35533 .25455 .35333 .25064 .34982 Metetra
.597 .742 .945 r
.25064 .34982 .25455 .35333 .26036 .35162 .25641 .34855 Metetra
.548 .754 .973 r
.25641 .34855 .26036 .35162 .26615 .35031 .26218 .34766 Metetra
.492 .761 .99 r
.26218 .34766 .26615 .35031 .27193 .34942 .26794 .34704 Metetra
.457 .766 .996 r
.26794 .34704 .27193 .34942 .27769 .34886 .2737 .34653 Metetra
.472 .775 .997 r
.2737 .34653 .27769 .34886 .28346 .34848 .2795 .3459 Metetra
.536 .784 .989 r
.2795 .3459 .28346 .34848 .28925 .34801 .28534 .34492 Metetra
.611 .775 .959 r
.28534 .34492 .28925 .34801 .29509 .34722 .29124 .3434 Metetra
.666 .748 .912 r
.29124 .3434 .29509 .34722 .30098 .34588 .2972 .34123 Metetra
.696 .716 .864 r
.2972 .34123 .30098 .34588 .30694 .34385 .30322 .3384 Metetra
.71 .688 .827 r
.30322 .3384 .30694 .34385 .31296 .34109 .30929 .33499 Metetra
.716 .669 .802 r
.30929 .33499 .31296 .34109 .31903 .33768 .31539 .33116 Metetra
.717 .657 .789 r
.31539 .33116 .31903 .33768 .32514 .33378 .32152 .3271 Metetra
.716 .652 .785 r
.32152 .3271 .32514 .33378 .33128 .3296 .32766 .32299 Metetra
.714 .654 .788 r
.32766 .32299 .33128 .3296 .33742 .32535 .33379 .31899 Metetra
.71 .66 .798 r
.33379 .31899 .33742 .32535 .34357 .32122 .33992 .31522 Metetra
.706 .669 .812 r
.33992 .31522 .34357 .32122 .34971 .31732 .34604 .31172 Metetra
.7 .681 .828 r
.34604 .31172 .34971 .31732 .35583 .31372 .35216 .30851 Metetra
.694 .694 .846 r
.35216 .30851 .35583 .31372 .36195 .31044 .35826 .30556 Metetra
.688 .707 .862 r
.35826 .30556 .36195 .31044 .36807 .30744 .36437 .30283 Metetra
.682 .717 .876 r
.36437 .30283 .36807 .30744 .37418 .30468 .37049 .30026 Metetra
.677 .725 .886 r
.37049 .30026 .37418 .30468 .3803 .30211 .3766 .29782 Metetra
.673 .731 .894 r
.3766 .29782 .3803 .30211 .38642 .29966 .38273 .29545 Metetra
.67 .735 .899 r
.38273 .29545 .38642 .29966 .39255 .2973 .38887 .29314 Metetra
.668 .737 .902 r
.38887 .29314 .39255 .2973 .3987 .29499 .39502 .29087 Metetra
.666 .739 .904 r
.39502 .29087 .3987 .29499 .40485 .29272 .40118 .28861 Metetra
.666 .74 .906 r
.40118 .28861 .40485 .29272 .41102 .29047 .40736 .28636 Metetra
.665 .74 .906 r
.40736 .28636 .41102 .29047 .4172 .28822 .41355 .28411 Metetra
.665 .741 .907 r
.41355 .28411 .4172 .28822 .4234 .28598 .41975 .28187 Metetra
.664 .741 .907 r
.41975 .28187 .4234 .28598 .42961 .28375 .42597 .27963 Metetra
.664 .741 .907 r
.42597 .27963 .42961 .28375 .43583 .28151 .4322 .27738 Metetra
.664 .741 .908 r
.4322 .27738 .43583 .28151 .44207 .27927 .43845 .27514 Metetra
.664 .741 .908 r
.43845 .27514 .44207 .27927 .44832 .27703 .44471 .27289 Metetra
.664 .741 .908 r
.44471 .27289 .44832 .27703 .45459 .27479 .45099 .27063 Metetra
.664 .741 .908 r
.45099 .27063 .45459 .27479 .46087 .27254 .45728 .26838 Metetra
.663 .741 .908 r
.45728 .26838 .46087 .27254 .46716 .27029 .46358 .26612 Metetra
.663 .741 .908 r
.46358 .26612 .46716 .27029 .47347 .26804 .4699 .26385 Metetra
.663 .741 .908 r
.4699 .26385 .47347 .26804 .4798 .26579 .47624 .26159 Metetra
.663 .741 .908 r
.47624 .26159 .4798 .26579 .48614 .26354 .48258 .25932 Metetra
.663 .74 .908 r
.48258 .25932 .48614 .26354 .49249 .26128 .48895 .25705 Metetra
.662 .74 .908 r
.48895 .25705 .49249 .26128 .49886 .25903 .49533 .25478 Metetra
.662 .739 .907 r
.49533 .25478 .49886 .25903 .50524 .25678 .50172 .25251 Metetra
.661 .739 .907 r
.50172 .25251 .50524 .25678 .51164 .25454 .50813 .25025 Metetra
.66 .738 .907 r
.50813 .25025 .51164 .25454 .51806 .25231 .51455 .24799 Metetra
.659 .736 .907 r
.51455 .24799 .51806 .25231 .52448 .2501 .52099 .24575 Metetra
.658 .735 .906 r
.52099 .24575 .52448 .2501 .53093 .2479 .52744 .24352 Metetra
.656 .733 .906 r
.52744 .24352 .53093 .2479 .53739 .24574 .53391 .24131 Metetra
.654 .73 .905 r
.53391 .24131 .53739 .24574 .54387 .24361 .5404 .23913 Metetra
.652 .727 .904 r
.5404 .23913 .54387 .24361 .55036 .24153 .5469 .23698 Metetra
.648 .723 .903 r
.5469 .23698 .55036 .24153 .55687 .23951 .55342 .23488 Metetra
.644 .718 .901 r
.55342 .23488 .55687 .23951 .5634 .23756 .55995 .23284 Metetra
.64 .712 .899 r
.55995 .23284 .5634 .23756 .56994 .2357 .56651 .23087 Metetra
.634 .705 .897 r
.56651 .23087 .56994 .2357 .57651 .23394 .57308 .22898 Metetra
.629 .697 .894 r
.57308 .22898 .57651 .23394 .58309 .23227 .57967 .22718 Metetra
.623 .688 .89 r
.57967 .22718 .58309 .23227 .5897 .2307 .58628 .22547 Metetra
.617 .679 .887 r
.58628 .22547 .5897 .2307 .59632 .22922 .59291 .22385 Metetra
.612 .672 .883 r
.59291 .22385 .59632 .22922 .60297 .2278 .59957 .22231 Metetra
.609 .665 .879 r
.59957 .22231 .60297 .2278 .60964 .2264 .60624 .22082 Metetra
.607 .661 .877 r
.60624 .22082 .60964 .2264 .61633 .22497 .61294 .21936 Metetra
.608 .661 .875 r
.61294 .21936 .61633 .22497 .62304 .22346 .61965 .21786 Metetra
.613 .664 .876 r
.61965 .21786 .62304 .22346 .62976 .2218 .62638 .21629 Metetra
.62 .671 .878 r
.62638 .21629 .62976 .2218 .63649 .21995 .63313 .21459 Metetra
.63 .683 .881 r
.63313 .21459 .63649 .21995 .64323 .21787 .63989 .2127 Metetra
.643 .698 .886 r
.63989 .2127 .64323 .21787 .64999 .21555 .64666 .21061 Metetra
.656 .715 .891 r
.64666 .21061 .64999 .21555 .65674 .21299 .65344 .20828 Metetra
.669 .732 .897 r
.65344 .20828 .65674 .21299 .66351 .21025 .66022 .20574 Metetra
.68 .747 .902 r
.66022 .20574 .66351 .21025 .67028 .20736 .66701 .20302 Metetra
.688 .759 .906 r
.66701 .20302 .67028 .20736 .67707 .20441 .67382 .20015 Metetra
.692 .766 .908 r
.67382 .20015 .67707 .20441 .68386 .20145 .68063 .19722 Metetra
.692 .768 .91 r
.68063 .19722 .68386 .20145 .69068 .19856 .68746 .19428 Metetra
.689 .765 .909 r
.68746 .19428 .69068 .19856 .69752 .19575 .6943 .19138 Metetra
.684 .758 .908 r
.6943 .19138 .69752 .19575 .70438 .19306 .70116 .18856 Metetra
.678 .75 .905 r
.70116 .18856 .70438 .19306 .71126 .19046 .70805 .18584 Metetra
.672 .742 .903 r
.70805 .18584 .71126 .19046 .71816 .18794 .71496 .18321 Metetra
.667 .735 .901 r
.71496 .18321 .71816 .18794 .72508 .18545 .72188 .18066 Metetra
.664 .731 .899 r
.72188 .18066 .72508 .18545 .73202 .18297 .72883 .17815 Metetra
.663 .729 .899 r
.72883 .17815 .73202 .18297 .73897 .18047 .7358 .17565 Metetra
.663 .73 .899 r
.7358 .17565 .73897 .18047 .74594 .17793 .74278 .17314 Metetra
.665 .733 .9 r
.74278 .17314 .74594 .17793 .75292 .17535 .74978 .17059 Metetra
.667 .736 .902 r
.74978 .17059 .75292 .17535 .75992 .17273 .75679 .16801 Metetra
.669 .74 .903 r
.75679 .16801 .75992 .17273 .76693 .17008 .76382 .16539 Metetra
.67 .742 .904 r
.76382 .16539 .76693 .17008 .77396 .16741 .77086 .16273 Metetra
.671 .744 .905 r
.77086 .16273 .77396 .16741 .781 .16474 .77792 .16006 Metetra
.671 .745 .906 r
.77792 .16006 .781 .16474 .78806 .16207 .78499 .15738 Metetra
.657 .739 .91 r
.15503 .3768 .15905 .38054 .16468 .3786 .16067 .37486 Metetra
.655 .74 .912 r
.16067 .37486 .16468 .3786 .17032 .37666 .16632 .37294 Metetra
.653 .74 .914 r
.16632 .37294 .17032 .37666 .17598 .37474 .17197 .37106 Metetra
.649 .742 .917 r
.17197 .37106 .17598 .37474 .18164 .37286 .17764 .36922 Metetra
.646 .745 .921 r
.17764 .36922 .18164 .37286 .18731 .37101 .18331 .36742 Metetra
.645 .747 .923 r
.18331 .36742 .18731 .37101 .19299 .36922 .189 .36563 Metetra
.646 .748 .924 r
.189 .36563 .19299 .36922 .19868 .36745 .1947 .36382 Metetra
.651 .747 .92 r
.1947 .36382 .19868 .36745 .20439 .36567 .20042 .36194 Metetra
.657 .744 .914 r
.20042 .36194 .20439 .36567 .21011 .36384 .20616 .35997 Metetra
.664 .739 .906 r
.20616 .35997 .21011 .36384 .21585 .36191 .21192 .35789 Metetra
.668 .732 .898 r
.21192 .35789 .21585 .36191 .22162 .35986 .21771 .35573 Metetra
.668 .727 .894 r
.21771 .35573 .22162 .35986 .22741 .35771 .22351 .35356 Metetra
.662 .725 .896 r
.22351 .35356 .22741 .35771 .23322 .35552 .22931 .35148 Metetra
.649 .727 .906 r
.22931 .35148 .23322 .35552 .23903 .35339 .23511 .3496 Metetra
.627 .735 .925 r
.23511 .3496 .23903 .35339 .24484 .35145 .24089 .34802 Metetra
.592 .746 .95 r
.24089 .34802 .24484 .35145 .25064 .34982 .24666 .34679 Metetra
.547 .757 .974 r
.24666 .34679 .25064 .34982 .25641 .34855 .25241 .34588 Metetra
.502 .764 .99 r
.25241 .34588 .25641 .34855 .26218 .34766 .25817 .34519 Metetra
.482 .77 .995 r
.25817 .34519 .26218 .34766 .26794 .34704 .26393 .34456 Metetra
.505 .779 .994 r
.26393 .34456 .26794 .34704 .2737 .34653 .26973 .34377 Metetra
.564 .782 .981 r
.26973 .34377 .2737 .34653 .2795 .3459 .27558 .34261 Metetra
.627 .768 .947 r
.27558 .34261 .2795 .3459 .28534 .34492 .28148 .34094 Metetra
.672 .741 .903 r
.28148 .34094 .28534 .34492 .29124 .3434 .28744 .33866 Metetra
.697 .712 .86 r
.28744 .33866 .29124 .3434 .2972 .34123 .29346 .33577 Metetra
.71 .688 .827 r
.29346 .33577 .2972 .34123 .30322 .3384 .29952 .33237 Metetra
.715 .671 .805 r
.29952 .33237 .30322 .3384 .30929 .33499 .30562 .32861 Metetra
.716 .66 .794 r
.30562 .32861 .30929 .33499 .31539 .33116 .31174 .32465 Metetra
.715 .657 .791 r
.31174 .32465 .31539 .33116 .32152 .3271 .31787 .32066 Metetra
.712 .658 .794 r
.31787 .32066 .32152 .3271 .32766 .32299 .324 .31679 Metetra
.709 .664 .804 r
.324 .31679 .32766 .32299 .33379 .31899 .33012 .31313 Metetra
.704 .674 .817 r
.33012 .31313 .33379 .31899 .33992 .31522 .33623 .30972 Metetra
.699 .685 .833 r
.33623 .30972 .33992 .31522 .34604 .31172 .34234 .30657 Metetra
.693 .697 .849 r
.34234 .30657 .34604 .31172 .35216 .30851 .34844 .30367 Metetra
.687 .708 .864 r
.34844 .30367 .35216 .30851 .35826 .30556 .35455 .30096 Metetra
.681 .718 .877 r
.35455 .30096 .35826 .30556 .36437 .30283 .36065 .29841 Metetra
.676 .726 .887 r
.36065 .29841 .36437 .30283 .37049 .30026 .36677 .29597 Metetra
.672 .731 .894 r
.36677 .29597 .37049 .30026 .3766 .29782 .37289 .2936 Metetra
.67 .735 .899 r
.37289 .2936 .3766 .29782 .38273 .29545 .37902 .29129 Metetra
.668 .737 .902 r
.37902 .29129 .38273 .29545 .38887 .29314 .38517 .28901 Metetra
.666 .739 .904 r
.38517 .28901 .38887 .29314 .39502 .29087 .39132 .28674 Metetra
.666 .74 .905 r
.39132 .28674 .39502 .29087 .40118 .28861 .3975 .28449 Metetra
.665 .74 .906 r
.3975 .28449 .40118 .28861 .40736 .28636 .40368 .28224 Metetra
.665 .741 .907 r
.40368 .28224 .40736 .28636 .41355 .28411 .40988 .27999 Metetra
.664 .741 .907 r
.40988 .27999 .41355 .28411 .41975 .28187 .41609 .27774 Metetra
.664 .741 .908 r
.41609 .27774 .41975 .28187 .42597 .27963 .42232 .27549 Metetra
.664 .741 .908 r
.42232 .27549 .42597 .27963 .4322 .27738 .42856 .27324 Metetra
.664 .742 .908 r
.42856 .27324 .4322 .27738 .43845 .27514 .43482 .27099 Metetra
.664 .742 .908 r
.43482 .27099 .43845 .27514 .44471 .27289 .44109 .26873 Metetra
.664 .742 .908 r
.44109 .26873 .44471 .27289 .45099 .27063 .44737 .26647 Metetra
.664 .742 .908 r
.44737 .26647 .45099 .27063 .45728 .26838 .45367 .2642 Metetra
.663 .742 .908 r
.45367 .2642 .45728 .26838 .46358 .26612 .45999 .26193 Metetra
.663 .742 .908 r
.45999 .26193 .46358 .26612 .4699 .26385 .46631 .25966 Metetra
.663 .742 .908 r
.46631 .25966 .4699 .26385 .47624 .26159 .47266 .25738 Metetra
.663 .741 .908 r
.47266 .25738 .47624 .26159 .48258 .25932 .47902 .2551 Metetra
.663 .741 .908 r
.47902 .2551 .48258 .25932 .48895 .25705 .48539 .25282 Metetra
.663 .741 .908 r
.48539 .25282 .48895 .25705 .49533 .25478 .49178 .25053 Metetra
.662 .741 .908 r
.49178 .25053 .49533 .25478 .50172 .25251 .49818 .24825 Metetra
.662 .74 .908 r
.49818 .24825 .50172 .25251 .50813 .25025 .5046 .24597 Metetra
.661 .739 .908 r
.5046 .24597 .50813 .25025 .51455 .24799 .51103 .24369 Metetra
.66 .738 .908 r
.51103 .24369 .51455 .24799 .52099 .24575 .51748 .24142 Metetra
.659 .737 .907 r
.51748 .24142 .52099 .24575 .52744 .24352 .52394 .23916 Metetra
.658 .736 .907 r
.52394 .23916 .52744 .24352 .53391 .24131 .53042 .23691 Metetra
.657 .734 .906 r
.53042 .23691 .53391 .24131 .5404 .23913 .53692 .23468 Metetra
.655 .731 .906 r
.53692 .23468 .5404 .23913 .5469 .23698 .54343 .23248 Metetra
.652 .728 .905 r
.54343 .23248 .5469 .23698 .55342 .23488 .54996 .23032 Metetra
.649 .724 .903 r
.54996 .23032 .55342 .23488 .55995 .23284 .5565 .2282 Metetra
.645 .719 .902 r
.5565 .2282 .55995 .23284 .56651 .23087 .56306 .22614 Metetra
.64 .713 .9 r
.56306 .22614 .56651 .23087 .57308 .22898 .56964 .22414 Metetra
.635 .706 .897 r
.56964 .22414 .57308 .22898 .57967 .22718 .57624 .22222 Metetra
.63 .698 .894 r
.57624 .22222 .57967 .22718 .58628 .22547 .58286 .22038 Metetra
.624 .69 .891 r
.58286 .22038 .58628 .22547 .59291 .22385 .58949 .21863 Metetra
.619 .682 .888 r
.58949 .21863 .59291 .22385 .59957 .22231 .59615 .21696 Metetra
.614 .675 .884 r
.59615 .21696 .59957 .22231 .60624 .22082 .60283 .21537 Metetra
.611 .669 .881 r
.60283 .21537 .60624 .22082 .61294 .21936 .60953 .21382 Metetra
.61 .665 .879 r
.60953 .21382 .61294 .21936 .61965 .21786 .61625 .21229 Metetra
.611 .665 .877 r
.61625 .21229 .61965 .21786 .62638 .21629 .62299 .21073 Metetra
.615 .668 .878 r
.62299 .21073 .62638 .21629 .63313 .21459 .62975 .2091 Metetra
.622 .675 .879 r
.62975 .2091 .63313 .21459 .63989 .2127 .63652 .20735 Metetra
.631 .685 .882 r
.63652 .20735 .63989 .2127 .64666 .21061 .64331 .20544 Metetra
.643 .699 .887 r
.64331 .20544 .64666 .21061 .65344 .20828 .6501 .20332 Metetra
.655 .715 .892 r
.6501 .20332 .65344 .20828 .66022 .20574 .65691 .201 Metetra
.667 .731 .897 r
.65691 .201 .66022 .20574 .66701 .20302 .66372 .19846 Metetra
.678 .745 .902 r
.66372 .19846 .66701 .20302 .67382 .20015 .67054 .19576 Metetra
.686 .757 .906 r
.67054 .19576 .67382 .20015 .68063 .19722 .67737 .19292 Metetra
.69 .764 .908 r
.67737 .19292 .68063 .19722 .68746 .19428 .68422 .19 Metetra
.691 .766 .91 r
.68422 .19 .68746 .19428 .6943 .19138 .69107 .18707 Metetra
.688 .764 .909 r
.69107 .18707 .6943 .19138 .70116 .18856 .69794 .18416 Metetra
.684 .759 .908 r
.69794 .18416 .70116 .18856 .70805 .18584 .70483 .18133 Metetra
.678 .751 .906 r
.70483 .18133 .70805 .18584 .71496 .18321 .71175 .17859 Metetra
.672 .744 .904 r
.71175 .17859 .71496 .18321 .72188 .18066 .71868 .17593 Metetra
.668 .737 .902 r
.71868 .17593 .72188 .18066 .72883 .17815 .72564 .17335 Metetra
.664 .733 .9 r
.72564 .17335 .72883 .17815 .7358 .17565 .73261 .17081 Metetra
.663 .731 .9 r
.73261 .17081 .7358 .17565 .74278 .17314 .73961 .16829 Metetra
.663 .731 .9 r
.73961 .16829 .74278 .17314 .74978 .17059 .74662 .16577 Metetra
.664 .733 .901 r
.74662 .16577 .74978 .17059 .75679 .16801 .75365 .16322 Metetra
.666 .736 .902 r
.75365 .16322 .75679 .16801 .76382 .16539 .76069 .16063 Metetra
.668 .739 .903 r
.76069 .16063 .76382 .16539 .77086 .16273 .76775 .158 Metetra
.669 .742 .904 r
.76775 .158 .77086 .16273 .77792 .16006 .77482 .15535 Metetra
.67 .743 .905 r
.77482 .15535 .77792 .16006 .78499 .15738 .7819 .15267 Metetra
.655 .74 .912 r
.15099 .37305 .15503 .3768 .16067 .37486 .15663 .37114 Metetra
.652 .741 .915 r
.15663 .37114 .16067 .37486 .16632 .37294 .16228 .36927 Metetra
.649 .743 .918 r
.16228 .36927 .16632 .37294 .17197 .37106 .16794 .36742 Metetra
.647 .745 .921 r
.16794 .36742 .17197 .37106 .17764 .36922 .17361 .36561 Metetra
.646 .747 .923 r
.17361 .36561 .17764 .36922 .18331 .36742 .17929 .3638 Metetra
.648 .747 .922 r
.17929 .3638 .18331 .36742 .189 .36563 .18499 .36195 Metetra
.653 .746 .918 r
.18499 .36195 .189 .36563 .1947 .36382 .19071 .36004 Metetra
.659 .742 .911 r
.19071 .36004 .1947 .36382 .20042 .36194 .19645 .35803 Metetra
.665 .737 .904 r
.19645 .35803 .20042 .36194 .20616 .35997 .20221 .35593 Metetra
.668 .731 .897 r
.20221 .35593 .20616 .35997 .21192 .35789 .20799 .35377 Metetra
.666 .727 .895 r
.20799 .35377 .21192 .35789 .21771 .35573 .21378 .35162 Metetra
.659 .726 .899 r
.21378 .35162 .21771 .35573 .22351 .35356 .21957 .34959 Metetra
.645 .73 .911 r
.21957 .34959 .22351 .35356 .22931 .35148 .22536 .34776 Metetra
.622 .738 .93 r
.22536 .34776 .22931 .35148 .23511 .3496 .23113 .34623 Metetra
.589 .749 .953 r
.23113 .34623 .23511 .3496 .24089 .34802 .23688 .34501 Metetra
.549 .759 .975 r
.23688 .34501 .24089 .34802 .24666 .34679 .24263 .34408 Metetra
.514 .766 .988 r
.24263 .34408 .24666 .34679 .25241 .34588 .24838 .34332 Metetra
.504 .773 .992 r
.24838 .34332 .25241 .34588 .25817 .34519 .25415 .34256 Metetra
.532 .78 .989 r
.25415 .34256 .25817 .34519 .26393 .34456 .25995 .34162 Metetra
.586 .778 .971 r
.25995 .34162 .26393 .34456 .26973 .34377 .2658 .34032 Metetra
.639 .762 .937 r
.2658 .34032 .26973 .34377 .27558 .34261 .2717 .33851 Metetra
.677 .737 .896 r
.2717 .33851 .27558 .34261 .28148 .34094 .27766 .33614 Metetra
.698 .71 .857 r
.27766 .33614 .28148 .34094 .28744 .33866 .28368 .33322 Metetra
.709 .689 .828 r
.28368 .33322 .28744 .33866 .29346 .33577 .28974 .32984 Metetra
.714 .673 .809 r
.28974 .32984 .29346 .33577 .29952 .33237 .29583 .32613 Metetra
.715 .665 .799 r
.29583 .32613 .29952 .33237 .30562 .32861 .30194 .32227 Metetra
.714 .662 .797 r
.30194 .32227 .30562 .32861 .31174 .32465 .30806 .31839 Metetra
.711 .663 .801 r
.30806 .31839 .31174 .32465 .31787 .32066 .31418 .31463 Metetra
.708 .669 .81 r
.31418 .31463 .31787 .32066 .324 .31679 .3203 .31106 Metetra
.703 .678 .823 r
.3203 .31106 .324 .31679 .33012 .31313 .3264 .30773 Metetra
.698 .689 .838 r
.3264 .30773 .33012 .31313 .33623 .30972 .3325 .30464 Metetra
.692 .7 .853 r
.3325 .30464 .33623 .30972 .34234 .30657 .3386 .30177 Metetra
.686 .71 .866 r
.3386 .30177 .34234 .30657 .34844 .30367 .3447 .29908 Metetra
.681 .719 .878 r
.3447 .29908 .34844 .30367 .35455 .30096 .3508 .29654 Metetra
.676 .726 .887 r
.3508 .29654 .35455 .30096 .36065 .29841 .35691 .2941 Metetra
.672 .731 .894 r
.35691 .2941 .36065 .29841 .36677 .29597 .36303 .29173 Metetra
.67 .734 .898 r
.36303 .29173 .36677 .29597 .37289 .2936 .36915 .28941 Metetra
.668 .736 .901 r
.36915 .28941 .37289 .2936 .37902 .29129 .37529 .28712 Metetra
.666 .738 .903 r
.37529 .28712 .37902 .29129 .38517 .28901 .38145 .28485 Metetra
.666 .739 .905 r
.38145 .28485 .38517 .28901 .39132 .28674 .38761 .28259 Metetra
.665 .739 .906 r
.38761 .28259 .39132 .28674 .3975 .28449 .39379 .28034 Metetra
.665 .74 .906 r
.39379 .28034 .3975 .28449 .40368 .28224 .39999 .27809 Metetra
.664 .74 .906 r
.39999 .27809 .40368 .28224 .40988 .27999 .40619 .27583 Metetra
.664 .74 .907 r
.40619 .27583 .40988 .27999 .41609 .27774 .41242 .27358 Metetra
.664 .74 .907 r
.41242 .27358 .41609 .27774 .42232 .27549 .41865 .27132 Metetra
.664 .74 .907 r
.41865 .27132 .42232 .27549 .42856 .27324 .4249 .26906 Metetra
.664 .74 .907 r
.4249 .26906 .42856 .27324 .43482 .27099 .43117 .2668 Metetra
.664 .74 .907 r
.43117 .2668 .43482 .27099 .44109 .26873 .43745 .26453 Metetra
.664 .74 .907 r
.43745 .26453 .44109 .26873 .44737 .26647 .44374 .26226 Metetra
.663 .74 .907 r
.44374 .26226 .44737 .26647 .45367 .2642 .45005 .25998 Metetra
.663 .74 .907 r
.45005 .25998 .45367 .2642 .45999 .26193 .45637 .2577 Metetra
.663 .74 .907 r
.45637 .2577 .45999 .26193 .46631 .25966 .46271 .25542 Metetra
.663 .74 .907 r
.46271 .25542 .46631 .25966 .47266 .25738 .46906 .25313 Metetra
.663 .74 .907 r
.46906 .25313 .47266 .25738 .47902 .2551 .47543 .25084 Metetra
.663 .74 .907 r
.47543 .25084 .47902 .2551 .48539 .25282 .48181 .24854 Metetra
.663 .74 .907 r
.48181 .24854 .48539 .25282 .49178 .25053 .48821 .24625 Metetra
.662 .739 .907 r
.48821 .24625 .49178 .25053 .49818 .24825 .49463 .24395 Metetra
.662 .739 .907 r
.49463 .24395 .49818 .24825 .5046 .24597 .50105 .24165 Metetra
.662 .739 .907 r
.50105 .24165 .5046 .24597 .51103 .24369 .5075 .23935 Metetra
.661 .738 .907 r
.5075 .23935 .51103 .24369 .51748 .24142 .51395 .23706 Metetra
.66 .737 .907 r
.51395 .23706 .51748 .24142 .52394 .23916 .52043 .23478 Metetra
.659 .736 .906 r
.52043 .23478 .52394 .23916 .53042 .23691 .52692 .2325 Metetra
.658 .735 .906 r
.52692 .2325 .53042 .23691 .53692 .23468 .53342 .23024 Metetra
.657 .733 .906 r
.53342 .23024 .53692 .23468 .54343 .23248 .53994 .228 Metetra
.655 .73 .905 r
.53994 .228 .54343 .23248 .54996 .23032 .54648 .22578 Metetra
.652 .727 .904 r
.54648 .22578 .54996 .23032 .5565 .2282 .55303 .2236 Metetra
.649 .723 .903 r
.55303 .2236 .5565 .2282 .56306 .22614 .5596 .22146 Metetra
.645 .719 .901 r
.5596 .22146 .56306 .22614 .56964 .22414 .56619 .21938 Metetra
.641 .713 .9 r
.56619 .21938 .56964 .22414 .57624 .22222 .57279 .21735 Metetra
.636 .707 .897 r
.57279 .21735 .57624 .22222 .58286 .22038 .57942 .2154 Metetra
.631 .699 .895 r
.57942 .2154 .58286 .22038 .58949 .21863 .58606 .21353 Metetra
.626 .692 .892 r
.58606 .21353 .58949 .21863 .59615 .21696 .59273 .21174 Metetra
.621 .685 .889 r
.59273 .21174 .59615 .21696 .60283 .21537 .59941 .21003 Metetra
.617 .678 .885 r
.59941 .21003 .60283 .21537 .60953 .21382 .60612 .20838 Metetra
.614 .672 .883 r
.60612 .20838 .60953 .21382 .61625 .21229 .61284 .20678 Metetra
.612 .669 .88 r
.61284 .20678 .61625 .21229 .62299 .21073 .61959 .20519 Metetra
.614 .669 .879 r
.61959 .20519 .62299 .21073 .62975 .2091 .62636 .20358 Metetra
.617 .672 .88 r
.62636 .20358 .62975 .2091 .63652 .20735 .63314 .2019 Metetra
.624 .678 .881 r
.63314 .2019 .63652 .20735 .64331 .20544 .63994 .2001 Metetra
.632 .688 .884 r
.63994 .2001 .64331 .20544 .6501 .20332 .64675 .19815 Metetra
.643 .701 .888 r
.64675 .19815 .6501 .20332 .65691 .201 .65358 .19602 Metetra
.655 .715 .893 r
.65358 .19602 .65691 .201 .66372 .19846 .66041 .19369 Metetra
.666 .73 .898 r
.66041 .19369 .66372 .19846 .67054 .19576 .66725 .19116 Metetra
.676 .744 .902 r
.66725 .19116 .67054 .19576 .67737 .19292 .6741 .18847 Metetra
.683 .755 .906 r
.6741 .18847 .67737 .19292 .68422 .19 .68096 .18564 Metetra
.688 .762 .908 r
.68096 .18564 .68422 .19 .69107 .18707 .68783 .18274 Metetra
.689 .765 .91 r
.68783 .18274 .69107 .18707 .69794 .18416 .69471 .17982 Metetra
.688 .764 .91 r
.69471 .17982 .69794 .18416 .70483 .18133 .70161 .17691 Metetra
.684 .759 .909 r
.70161 .17691 .70483 .18133 .71175 .17859 .70853 .17407 Metetra
.678 .753 .907 r
.70853 .17407 .71175 .17859 .71868 .17593 .71547 .17131 Metetra
.673 .745 .905 r
.71547 .17131 .71868 .17593 .72564 .17335 .72243 .16862 Metetra
.668 .739 .903 r
.72243 .16862 .72564 .17335 .73261 .17081 .72942 .16601 Metetra
.665 .734 .901 r
.72942 .16601 .73261 .17081 .73961 .16829 .73642 .16345 Metetra
.663 .732 .901 r
.73642 .16345 .73961 .16829 .74662 .16577 .74344 .16091 Metetra
.663 .731 .9 r
.74344 .16091 .74662 .16577 .75365 .16322 .75048 .15836 Metetra
.664 .733 .901 r
.75048 .15836 .75365 .16322 .76069 .16063 .75754 .1558 Metetra
.665 .735 .902 r
.75754 .1558 .76069 .16063 .76775 .158 .76461 .15321 Metetra
.667 .738 .903 r
.76461 .15321 .76775 .158 .77482 .15535 .7717 .15058 Metetra
.669 .741 .904 r
.7717 .15058 .77482 .15535 .7819 .15267 .7788 .14792 Metetra
.652 .742 .916 r
.14694 .36935 .15099 .37305 .15663 .37114 .15258 .36747 Metetra
.649 .744 .918 r
.15258 .36747 .15663 .37114 .16228 .36927 .15823 .36562 Metetra
.648 .746 .921 r
.15823 .36562 .16228 .36927 .16794 .36742 .16389 .3638 Metetra
.648 .747 .922 r
.16389 .3638 .16794 .36742 .17361 .36561 .16957 .36196 Metetra
.651 .747 .92 r
.16957 .36196 .17361 .36561 .17929 .3638 .17526 .36008 Metetra
.655 .745 .915 r
.17526 .36008 .17929 .3638 .18499 .36195 .18098 .35813 Metetra
.661 .741 .909 r
.18098 .35813 .18499 .36195 .19071 .36004 .18672 .35609 Metetra
.665 .736 .902 r
.18672 .35609 .19071 .36004 .19645 .35803 .19247 .35398 Metetra
.667 .731 .897 r
.19247 .35398 .19645 .35803 .20221 .35593 .19825 .35182 Metetra
.664 .728 .897 r
.19825 .35182 .20221 .35593 .20799 .35377 .20403 .3497 Metetra
.656 .728 .902 r
.20403 .3497 .20799 .35377 .21378 .35162 .20981 .34771 Metetra
.641 .733 .915 r
.20981 .34771 .21378 .35162 .21957 .34959 .21558 .34593 Metetra
.618 .741 .934 r
.21558 .34593 .21957 .34959 .22536 .34776 .22134 .34443 Metetra
.587 .751 .956 r
.22134 .34443 .22536 .34776 .23113 .34623 .22709 .34322 Metetra
.552 .761 .975 r
.22709 .34322 .23113 .34623 .23688 .34501 .23283 .34225 Metetra
.526 .768 .986 r
.23283 .34225 .23688 .34501 .24263 .34408 .23858 .34141 Metetra
.525 .774 .988 r
.23858 .34141 .24263 .34408 .24838 .34332 .24435 .34054 Metetra
.555 .778 .982 r
.24435 .34054 .24838 .34332 .25415 .34256 .25015 .33946 Metetra
.603 .773 .962 r
.25015 .33946 .25415 .34256 .25995 .34162 .256 .33802 Metetra
.648 .757 .928 r
.256 .33802 .25995 .34162 .2658 .34032 .26191 .33611 Metetra
.68 .732 .89 r
.26191 .33611 .2658 .34032 .2717 .33851 .26787 .33366 Metetra
.699 .709 .855 r
.26787 .33366 .2717 .33851 .27766 .33614 .27388 .33072 Metetra
.709 .689 .829 r
.27388 .33072 .27766 .33614 .28368 .33322 .27994 .32736 Metetra
.713 .676 .812 r
.27994 .32736 .28368 .33322 .28974 .32984 .28602 .32372 Metetra
.714 .668 .804 r
.28602 .32372 .28974 .32984 .29583 .32613 .29213 .31994 Metetra
.713 .666 .802 r
.29213 .31994 .29583 .32613 .30194 .32227 .29824 .31617 Metetra
.71 .668 .807 r
.29824 .31617 .30194 .32227 .30806 .31839 .30435 .3125 Metetra
.707 .674 .816 r
.30435 .3125 .30806 .31839 .31418 .31463 .31045 .30902 Metetra
.702 .683 .828 r
.31045 .30902 .31418 .31463 .3203 .31106 .31655 .30576 Metetra
.697 .693 .842 r
.31655 .30576 .3203 .31106 .3264 .30773 .32265 .30272 Metetra
.691 .703 .856 r
.32265 .30272 .3264 .30773 .3325 .30464 .32874 .29988 Metetra
.685 .712 .869 r
.32874 .29988 .3325 .30464 .3386 .30177 .33483 .29722 Metetra
.68 .721 .88 r
.33483 .29722 .3386 .30177 .3447 .29908 .34093 .29468 Metetra
.676 .727 .888 r
.34093 .29468 .3447 .29908 .3508 .29654 .34703 .29224 Metetra
.672 .732 .895 r
.34703 .29224 .3508 .29654 .35691 .2941 .35315 .28987 Metetra
.67 .735 .899 r
.35315 .28987 .35691 .2941 .36303 .29173 .35927 .28755 Metetra
.668 .737 .902 r
.35927 .28755 .36303 .29173 .36915 .28941 .3654 .28526 Metetra
.666 .739 .904 r
.3654 .28526 .36915 .28941 .37529 .28712 .37155 .28298 Metetra
.666 .74 .905 r
.37155 .28298 .37529 .28712 .38145 .28485 .37771 .28072 Metetra
.665 .74 .906 r
.37771 .28072 .38145 .28485 .38761 .28259 .38389 .27846 Metetra
.665 .741 .907 r
.38389 .27846 .38761 .28259 .39379 .28034 .39007 .2762 Metetra
.664 .741 .907 r
.39007 .2762 .39379 .28034 .39999 .27809 .39628 .27395 Metetra
.664 .741 .908 r
.39628 .27395 .39999 .27809 .40619 .27583 .40249 .27169 Metetra
.664 .742 .908 r
.40249 .27169 .40619 .27583 .41242 .27358 .40872 .26943 Metetra
.664 .742 .908 r
.40872 .26943 .41242 .27358 .41865 .27132 .41497 .26716 Metetra
.664 .742 .908 r
.41497 .26716 .41865 .27132 .4249 .26906 .42123 .26489 Metetra
.664 .742 .908 r
.42123 .26489 .4249 .26906 .43117 .2668 .4275 .26262 Metetra
.664 .742 .908 r
.4275 .26262 .43117 .2668 .43745 .26453 .43379 .26034 Metetra
.664 .742 .908 r
.43379 .26034 .43745 .26453 .44374 .26226 .4401 .25806 Metetra
.664 .742 .908 r
.4401 .25806 .44374 .26226 .45005 .25998 .44641 .25578 Metetra
.664 .742 .908 r
.44641 .25578 .45005 .25998 .45637 .2577 .45275 .25349 Metetra
.663 .742 .908 r
.45275 .25349 .45637 .2577 .46271 .25542 .45909 .25119 Metetra
.663 .742 .908 r
.45909 .25119 .46271 .25542 .46906 .25313 .46546 .24889 Metetra
.663 .742 .908 r
.46546 .24889 .46906 .25313 .47543 .25084 .47183 .24659 Metetra
.663 .741 .908 r
.47183 .24659 .47543 .25084 .48181 .24854 .47823 .24428 Metetra
.663 .741 .908 r
.47823 .24428 .48181 .24854 .48821 .24625 .48463 .24197 Metetra
.663 .741 .908 r
.48463 .24197 .48821 .24625 .49463 .24395 .49105 .23966 Metetra
.663 .741 .908 r
.49105 .23966 .49463 .24395 .50105 .24165 .49749 .23734 Metetra
.662 .74 .908 r
.49749 .23734 .50105 .24165 .5075 .23935 .50395 .23503 Metetra
.662 .74 .908 r
.50395 .23503 .5075 .23935 .51395 .23706 .51041 .23272 Metetra
.661 .739 .908 r
.51041 .23272 .51395 .23706 .52043 .23478 .5169 .23041 Metetra
.66 .738 .907 r
.5169 .23041 .52043 .23478 .52692 .2325 .5234 .2281 Metetra
.659 .737 .907 r
.5234 .2281 .52692 .2325 .53342 .23024 .52991 .22581 Metetra
.658 .735 .907 r
.52991 .22581 .53342 .23024 .53994 .228 .53644 .22353 Metetra
.657 .733 .906 r
.53644 .22353 .53994 .228 .54648 .22578 .54299 .22128 Metetra
.655 .731 .905 r
.54299 .22128 .54648 .22578 .55303 .2236 .54955 .21904 Metetra
.652 .728 .905 r
.54955 .21904 .55303 .2236 .5596 .22146 .55613 .21684 Metetra
.649 .724 .903 r
.55613 .21684 .5596 .22146 .56619 .21938 .56272 .21469 Metetra
.646 .72 .902 r
.56272 .21469 .56619 .21938 .57279 .21735 .56934 .21258 Metetra
.642 .714 .9 r
.56934 .21258 .57279 .21735 .57942 .2154 .57597 .21053 Metetra
.637 .708 .898 r
.57597 .21053 .57942 .2154 .58606 .21353 .58262 .20855 Metetra
.632 .701 .895 r
.58262 .20855 .58606 .21353 .59273 .21174 .58929 .20665 Metetra
.627 .694 .893 r
.58929 .20665 .59273 .21174 .59941 .21003 .59598 .20482 Metetra
.622 .687 .89 r
.59598 .20482 .59941 .21003 .60612 .20838 .60269 .20306 Metetra
.619 .681 .887 r
.60269 .20306 .60612 .20838 .61284 .20678 .60943 .20136 Metetra
.616 .676 .884 r
.60943 .20136 .61284 .20678 .61959 .20519 .61618 .19971 Metetra
.615 .673 .882 r
.61618 .19971 .61959 .20519 .62636 .20358 .62295 .19806 Metetra
.616 .672 .881 r
.62295 .19806 .62636 .20358 .63314 .2019 .62974 .1964 Metetra
.619 .675 .881 r
.62974 .1964 .63314 .2019 .63994 .2001 .63655 .19466 Metetra
.625 .681 .883 r
.63655 .19466 .63994 .2001 .64675 .19815 .64338 .19283 Metetra
.633 .69 .885 r
.64338 .19283 .64675 .19815 .65358 .19602 .65022 .19084 Metetra
.643 .702 .889 r
.65022 .19084 .65358 .19602 .66041 .19369 .65707 .18869 Metetra
.654 .716 .893 r
.65707 .18869 .66041 .19369 .66725 .19116 .66393 .18635 Metetra
.665 .73 .898 r
.66393 .18635 .66725 .19116 .6741 .18847 .6708 .18383 Metetra
.674 .743 .902 r
.6708 .18383 .6741 .18847 .68096 .18564 .67768 .18115 Metetra
.682 .753 .906 r
.67768 .18115 .68096 .18564 .68783 .18274 .68457 .17834 Metetra
.686 .761 .908 r
.68457 .17834 .68783 .18274 .69471 .17982 .69147 .17545 Metetra
.688 .764 .91 r
.69147 .17545 .69471 .17982 .70161 .17691 .69838 .17253 Metetra
.687 .763 .91 r
.69838 .17253 .70161 .17691 .70853 .17407 .70531 .16963 Metetra
.683 .759 .909 r
.70531 .16963 .70853 .17407 .71547 .17131 .71226 .16677 Metetra
.679 .753 .908 r
.71226 .16677 .71547 .17131 .72243 .16862 .71922 .16399 Metetra
.674 .747 .906 r
.71922 .16399 .72243 .16862 .72942 .16601 .72621 .16128 Metetra
.669 .74 .904 r
.72621 .16128 .72942 .16601 .73642 .16345 .73322 .15864 Metetra
.666 .736 .902 r
.73322 .15864 .73642 .16345 .74344 .16091 .74026 .15605 Metetra
.664 .733 .901 r
.74026 .15605 .74344 .16091 .75048 .15836 .74731 .15348 Metetra
.663 .732 .901 r
.74731 .15348 .75048 .15836 .75754 .1558 .75438 .15092 Metetra
.664 .733 .901 r
.75438 .15092 .75754 .1558 .76461 .15321 .76146 .14834 Metetra
.665 .735 .902 r
.76146 .14834 .76461 .15321 .7717 .15058 .76857 .14574 Metetra
.667 .738 .903 r
.76857 .14574 .7717 .15058 .7788 .14792 .77568 .14311 Metetra
.649 .744 .919 r
.14285 .36567 .14694 .36935 .15258 .36747 .1485 .36382 Metetra
.649 .746 .92 r
.1485 .36382 .15258 .36747 .15823 .36562 .15416 .36198 Metetra
.649 .746 .92 r
.15416 .36198 .15823 .36562 .16389 .3638 .15983 .36011 Metetra
.653 .746 .918 r
.15983 .36011 .16389 .3638 .16957 .36196 .16552 .3582 Metetra
.657 .743 .913 r
.16552 .3582 .16957 .36196 .17526 .36008 .17123 .35622 Metetra
.662 .739 .907 r
.17123 .35622 .17526 .36008 .18098 .35813 .17697 .35416 Metetra
.666 .735 .901 r
.17697 .35416 .18098 .35813 .18672 .35609 .18272 .35203 Metetra
.666 .731 .898 r
.18272 .35203 .18672 .35609 .19247 .35398 .18849 .34989 Metetra
.662 .729 .899 r
.18849 .34989 .19247 .35398 .19825 .35182 .19426 .3478 Metetra
.653 .73 .905 r
.19426 .3478 .19825 .35182 .20403 .3497 .20003 .34585 Metetra
.638 .735 .919 r
.20003 .34585 .20403 .3497 .20981 .34771 .20579 .34411 Metetra
.616 .744 .937 r
.20579 .34411 .20981 .34771 .21558 .34593 .21154 .34263 Metetra
.587 .753 .957 r
.21154 .34263 .21558 .34593 .22134 .34443 .21728 .34142 Metetra
.557 .762 .974 r
.21728 .34142 .22134 .34443 .22709 .34322 .22302 .3404 Metetra
.538 .769 .983 r
.22302 .3404 .22709 .34322 .23283 .34225 .22876 .33948 Metetra
.543 .775 .984 r
.22876 .33948 .23283 .34225 .23858 .34141 .23453 .3385 Metetra
.573 .776 .975 r
.23453 .3385 .23858 .34141 .24435 .34054 .24034 .3373 Metetra
.616 .769 .953 r
.24034 .3373 .24435 .34054 .25015 .33946 .24619 .33574 Metetra
.655 .752 .921 r
.24619 .33574 .25015 .33946 .256 .33802 .25209 .33373 Metetra
.683 .729 .886 r
.25209 .33373 .256 .33802 .26191 .33611 .25805 .33122 Metetra
.699 .708 .854 r
.25805 .33122 .26191 .33611 .26787 .33366 .26406 .32826 Metetra
.708 .69 .831 r
.26406 .32826 .26787 .33366 .27388 .33072 .27012 .32493 Metetra
.712 .678 .816 r
.27012 .32493 .27388 .33072 .27994 .32736 .27619 .32135 Metetra
.713 .672 .808 r
.27619 .32135 .27994 .32736 .28602 .32372 .28229 .31766 Metetra
.711 .67 .807 r
.28229 .31766 .28602 .32372 .29213 .31994 .28839 .31398 Metetra
.709 .672 .812 r
.28839 .31398 .29213 .31994 .29824 .31617 .29449 .3104 Metetra
.705 .678 .821 r
.29449 .3104 .29824 .31617 .30435 .3125 .30059 .307 Metetra
.701 .686 .832 r
.30059 .307 .30435 .3125 .31045 .30902 .30669 .3038 Metetra
.696 .695 .845 r
.30669 .3038 .31045 .30902 .31655 .30576 .31277 .3008 Metetra
.69 .705 .859 r
.31277 .3008 .31655 .30576 .32265 .30272 .31886 .29799 Metetra
.685 .714 .871 r
.31886 .29799 .32265 .30272 .32874 .29988 .32495 .29534 Metetra
.68 .721 .881 r
.32495 .29534 .32874 .29988 .33483 .29722 .33104 .29281 Metetra
.675 .727 .889 r
.33104 .29281 .33483 .29722 .34093 .29468 .33714 .29037 Metetra
.672 .732 .895 r
.33714 .29037 .34093 .29468 .34703 .29224 .34325 .288 Metetra
.67 .735 .899 r
.34325 .288 .34703 .29224 .35315 .28987 .34936 .28567 Metetra
.668 .737 .902 r
.34936 .28567 .35315 .28987 .35927 .28755 .35549 .28337 Metetra
.667 .738 .904 r
.35549 .28337 .35927 .28755 .3654 .28526 .36164 .28109 Metetra
.666 .739 .905 r
.36164 .28109 .3654 .28526 .37155 .28298 .36779 .27883 Metetra
.665 .74 .906 r
.36779 .27883 .37155 .28298 .37771 .28072 .37396 .27656 Metetra
.665 .74 .906 r
.37396 .27656 .37771 .28072 .38389 .27846 .38014 .2743 Metetra
.664 .74 .907 r
.38014 .2743 .38389 .27846 .39007 .2762 .38634 .27204 Metetra
.664 .741 .907 r
.38634 .27204 .39007 .2762 .39628 .27395 .39255 .26977 Metetra
.664 .741 .907 r
.39255 .26977 .39628 .27395 .40249 .27169 .39878 .26751 Metetra
.664 .741 .907 r
.39878 .26751 .40249 .27169 .40872 .26943 .40502 .26524 Metetra
.664 .741 .907 r
.40502 .26524 .40872 .26943 .41497 .26716 .41127 .26297 Metetra
.664 .741 .907 r
.41127 .26297 .41497 .26716 .42123 .26489 .41754 .26069 Metetra
.664 .741 .908 r
.41754 .26069 .42123 .26489 .4275 .26262 .42382 .25841 Metetra
.664 .741 .908 r
.42382 .25841 .4275 .26262 .43379 .26034 .43012 .25612 Metetra
.664 .741 .908 r
.43012 .25612 .43379 .26034 .4401 .25806 .43643 .25383 Metetra
.664 .741 .908 r
.43643 .25383 .4401 .25806 .44641 .25578 .44276 .25153 Metetra
.663 .741 .908 r
.44276 .25153 .44641 .25578 .45275 .25349 .4491 .24923 Metetra
.663 .741 .908 r
.4491 .24923 .45275 .25349 .45909 .25119 .45546 .24693 Metetra
.663 .741 .908 r
.45546 .24693 .45909 .25119 .46546 .24889 .46183 .24462 Metetra
.663 .741 .908 r
.46183 .24462 .46546 .24889 .47183 .24659 .46822 .2423 Metetra
.663 .741 .908 r
.46822 .2423 .47183 .24659 .47823 .24428 .47462 .23998 Metetra
.663 .741 .908 r
.47462 .23998 .47823 .24428 .48463 .24197 .48104 .23766 Metetra
.663 .74 .908 r
.48104 .23766 .48463 .24197 .49105 .23966 .48747 .23534 Metetra
.663 .74 .908 r
.48747 .23534 .49105 .23966 .49749 .23734 .49392 .23301 Metetra
.663 .74 .908 r
.49392 .23301 .49749 .23734 .50395 .23503 .50038 .23068 Metetra
.662 .74 .907 r
.50038 .23068 .50395 .23503 .51041 .23272 .50686 .22835 Metetra
.662 .739 .907 r
.50686 .22835 .51041 .23272 .5169 .23041 .51335 .22602 Metetra
.661 .738 .907 r
.51335 .22602 .5169 .23041 .5234 .2281 .51986 .2237 Metetra
.66 .738 .907 r
.51986 .2237 .5234 .2281 .52991 .22581 .52638 .22138 Metetra
.659 .736 .907 r
.52638 .22138 .52991 .22581 .53644 .22353 .53292 .21907 Metetra
.658 .735 .906 r
.53292 .21907 .53644 .22353 .54299 .22128 .53948 .21678 Metetra
.657 .733 .906 r
.53948 .21678 .54299 .22128 .54955 .21904 .54605 .2145 Metetra
.655 .731 .905 r
.54605 .2145 .54955 .21904 .55613 .21684 .55264 .21225 Metetra
.652 .728 .904 r
.55264 .21225 .55613 .21684 .56272 .21469 .55925 .21004 Metetra
.649 .724 .903 r
.55925 .21004 .56272 .21469 .56934 .21258 .56587 .20786 Metetra
.646 .72 .902 r
.56587 .20786 .56934 .21258 .57597 .21053 .57251 .20573 Metetra
.642 .715 .9 r
.57251 .20573 .57597 .21053 .58262 .20855 .57917 .20366 Metetra
.638 .709 .898 r
.57917 .20366 .58262 .20855 .58929 .20665 .58585 .20165 Metetra
.633 .702 .896 r
.58585 .20165 .58929 .20665 .59598 .20482 .59254 .19971 Metetra
.628 .696 .893 r
.59254 .19971 .59598 .20482 .60269 .20306 .59926 .19785 Metetra
.624 .689 .89 r
.59926 .19785 .60269 .20306 .60943 .20136 .606 .19605 Metetra
.62 .683 .888 r
.606 .19605 .60943 .20136 .61618 .19971 .61276 .1943 Metetra
.618 .679 .885 r
.61276 .1943 .61618 .19971 .62295 .19806 .61954 .1926 Metetra
.617 .676 .884 r
.61954 .1926 .62295 .19806 .62974 .1964 .62634 .1909 Metetra
.618 .676 .883 r
.62634 .1909 .62974 .1964 .63655 .19466 .63316 .18918 Metetra
.621 .678 .883 r
.63316 .18918 .63655 .19466 .64338 .19283 .63999 .1874 Metetra
.627 .684 .884 r
.63999 .1874 .64338 .19283 .65022 .19084 .64685 .18552 Metetra
.634 .692 .887 r
.64685 .18552 .65022 .19084 .65707 .18869 .65371 .18351 Metetra
.644 .703 .89 r
.65371 .18351 .65707 .18869 .66393 .18635 .66059 .18133 Metetra
.654 .716 .894 r
.66059 .18133 .66393 .18635 .6708 .18383 .66748 .17898 Metetra
.664 .729 .898 r
.66748 .17898 .6708 .18383 .67768 .18115 .67438 .17646 Metetra
.673 .742 .902 r
.67438 .17646 .67768 .18115 .68457 .17834 .68128 .17379 Metetra
.68 .752 .906 r
.68128 .17379 .68457 .17834 .69147 .17545 .6882 .17099 Metetra
.685 .759 .908 r
.6882 .17099 .69147 .17545 .69838 .17253 .69513 .16811 Metetra
.686 .763 .909 r
.69513 .16811 .69838 .17253 .70531 .16963 .70207 .1652 Metetra
.686 .762 .91 r
.70207 .1652 .70531 .16963 .71226 .16677 .70903 .16229 Metetra
.683 .759 .909 r
.70903 .16229 .71226 .16677 .71922 .16399 .71601 .15943 Metetra
.679 .754 .908 r
.71601 .15943 .71922 .16399 .72621 .16128 .723 .15663 Metetra
.674 .748 .906 r
.723 .15663 .72621 .16128 .73322 .15864 .73002 .15389 Metetra
.67 .742 .904 r
.73002 .15389 .73322 .15864 .74026 .15605 .73706 .15123 Metetra
.666 .737 .903 r
.73706 .15123 .74026 .15605 .74731 .15348 .74412 .14861 Metetra
.664 .734 .902 r
.74412 .14861 .74731 .15348 .75438 .15092 .7512 .14602 Metetra
.663 .733 .902 r
.7512 .14602 .75438 .15092 .76146 .14834 .7583 .14344 Metetra
.664 .734 .902 r
.7583 .14344 .76146 .14834 .76857 .14574 .76541 .14085 Metetra
.665 .735 .902 r
.76541 .14085 .76857 .14574 .77568 .14311 .77255 .13823 Metetra
.65 .746 .92 r
.13875 .36201 .14285 .36567 .1485 .36382 .14441 .36015 Metetra
.651 .746 .919 r
.14441 .36015 .1485 .36382 .15416 .36198 .15008 .35826 Metetra
.654 .745 .916 r
.15008 .35826 .15416 .36198 .15983 .36011 .15576 .35632 Metetra
.659 .742 .911 r
.15576 .35632 .15983 .36011 .16552 .3582 .16147 .35431 Metetra
.663 .738 .906 r
.16147 .35431 .16552 .3582 .17123 .35622 .1672 .35223 Metetra
.666 .734 .901 r
.1672 .35223 .17123 .35622 .17697 .35416 .17295 .3501 Metetra
.665 .731 .899 r
.17295 .3501 .17697 .35416 .18272 .35203 .17871 .34797 Metetra
.66 .73 .901 r
.17871 .34797 .18272 .35203 .18849 .34989 .18447 .34591 Metetra
.651 .732 .909 r
.18447 .34591 .18849 .34989 .19426 .3478 .19023 .34399 Metetra
.635 .738 .922 r
.19023 .34399 .19426 .3478 .20003 .34585 .19598 .34229 Metetra
.613 .746 .94 r
.19598 .34229 .20003 .34585 .20579 .34411 .20172 .34083 Metetra
.587 .755 .958 r
.20172 .34083 .20579 .34411 .21154 .34263 .20746 .3396 Metetra
.562 .763 .973 r
.20746 .3396 .21154 .34263 .21728 .34142 .21319 .33854 Metetra
.549 .77 .98 r
.21319 .33854 .21728 .34142 .22302 .3404 .21893 .33754 Metetra
.558 .774 .979 r
.21893 .33754 .22302 .3404 .22876 .33948 .2247 .33646 Metetra
.588 .774 .968 r
.2247 .33646 .22876 .33948 .23453 .3385 .2305 .33514 Metetra
.626 .765 .946 r
.2305 .33514 .23453 .3385 .24034 .3373 .23636 .33348 Metetra
.66 .748 .915 r
.23636 .33348 .24034 .3373 .24619 .33574 .24226 .33138 Metetra
.684 .727 .882 r
.24226 .33138 .24619 .33574 .25209 .33373 .24822 .32883 Metetra
.699 .707 .854 r
.24822 .32883 .25209 .33373 .25805 .33122 .25423 .32586 Metetra
.707 .692 .833 r
.25423 .32586 .25805 .33122 .26406 .32826 .26027 .32256 Metetra
.711 .681 .819 r
.26027 .32256 .26406 .32826 .27012 .32493 .26635 .31904 Metetra
.711 .675 .813 r
.26635 .31904 .27012 .32493 .27619 .32135 .27243 .31542 Metetra
.71 .674 .812 r
.27243 .31542 .27619 .32135 .28229 .31766 .27853 .31182 Metetra
.708 .676 .817 r
.27853 .31182 .28229 .31766 .28839 .31398 .28462 .30833 Metetra
.704 .682 .826 r
.28462 .30833 .28839 .31398 .29449 .3104 .29071 .30499 Metetra
.7 .689 .837 r
.29071 .30499 .29449 .3104 .30059 .307 .2968 .30184 Metetra
.695 .698 .849 r
.2968 .30184 .30059 .307 .30669 .3038 .30288 .29888 Metetra
.689 .707 .861 r
.30288 .29888 .30669 .3038 .31277 .3008 .30896 .2961 Metetra
.684 .715 .872 r
.30896 .2961 .31277 .3008 .31886 .29799 .31504 .29346 Metetra
.679 .722 .882 r
.31504 .29346 .31886 .29799 .32495 .29534 .32113 .29094 Metetra
.675 .728 .889 r
.32113 .29094 .32495 .29534 .33104 .29281 .32722 .2885 Metetra
.672 .732 .895 r
.32722 .2885 .33104 .29281 .33714 .29037 .33333 .28613 Metetra
.67 .735 .899 r
.33333 .28613 .33714 .29037 .34325 .288 .33944 .2838 Metetra
.668 .737 .902 r
.33944 .2838 .34325 .288 .34936 .28567 .34556 .28149 Metetra
.667 .738 .904 r
.34556 .28149 .34936 .28567 .35549 .28337 .3517 .27921 Metetra
.666 .739 .905 r
.3517 .27921 .35549 .28337 .36164 .28109 .35785 .27693 Metetra
.665 .74 .906 r
.35785 .27693 .36164 .28109 .36779 .27883 .36401 .27467 Metetra
.665 .74 .907 r
.36401 .27467 .36779 .27883 .37396 .27656 .37019 .2724 Metetra
.664 .741 .907 r
.37019 .2724 .37396 .27656 .38014 .2743 .37638 .27013 Metetra
.664 .741 .907 r
.37638 .27013 .38014 .2743 .38634 .27204 .38259 .26787 Metetra
.664 .741 .907 r
.38259 .26787 .38634 .27204 .39255 .26977 .38881 .26559 Metetra
.664 .741 .908 r
.38881 .26559 .39255 .26977 .39878 .26751 .39504 .26332 Metetra
.664 .741 .908 r
.39504 .26332 .39878 .26751 .40502 .26524 .40129 .26104 Metetra
.664 .741 .908 r
.40129 .26104 .40502 .26524 .41127 .26297 .40756 .25876 Metetra
.664 .741 .908 r
.40756 .25876 .41127 .26297 .41754 .26069 .41383 .25647 Metetra
.664 .741 .908 r
.41383 .25647 .41754 .26069 .42382 .25841 .42013 .25418 Metetra
.664 .741 .908 r
.42013 .25418 .42382 .25841 .43012 .25612 .42643 .25189 Metetra
.664 .741 .908 r
.42643 .25189 .43012 .25612 .43643 .25383 .43276 .24959 Metetra
.664 .741 .908 r
.43276 .24959 .43643 .25383 .44276 .25153 .43909 .24728 Metetra
.664 .741 .908 r
.43909 .24728 .44276 .25153 .4491 .24923 .44544 .24497 Metetra
.663 .741 .908 r
.44544 .24497 .4491 .24923 .45546 .24693 .45181 .24265 Metetra
.663 .741 .908 r
.45181 .24265 .45546 .24693 .46183 .24462 .45819 .24033 Metetra
.663 .741 .908 r
.45819 .24033 .46183 .24462 .46822 .2423 .46459 .23801 Metetra
.663 .741 .908 r
.46459 .23801 .46822 .2423 .47462 .23998 .471 .23568 Metetra
.663 .741 .908 r
.471 .23568 .47462 .23998 .48104 .23766 .47743 .23334 Metetra
.663 .741 .908 r
.47743 .23334 .48104 .23766 .48747 .23534 .48387 .231 Metetra
.663 .741 .908 r
.48387 .231 .48747 .23534 .49392 .23301 .49033 .22866 Metetra
.663 .74 .908 r
.49033 .22866 .49392 .23301 .50038 .23068 .4968 .22632 Metetra
.663 .74 .908 r
.4968 .22632 .50038 .23068 .50686 .22835 .50329 .22397 Metetra
.662 .74 .908 r
.50329 .22397 .50686 .22835 .51335 .22602 .50979 .22163 Metetra
.662 .739 .907 r
.50979 .22163 .51335 .22602 .51986 .2237 .51631 .21929 Metetra
.661 .738 .907 r
.51631 .21929 .51986 .2237 .52638 .22138 .52284 .21695 Metetra
.66 .738 .907 r
.52284 .21695 .52638 .22138 .53292 .21907 .52939 .21461 Metetra
.659 .736 .907 r
.52939 .21461 .53292 .21907 .53948 .21678 .53596 .21229 Metetra
.658 .735 .906 r
.53596 .21229 .53948 .21678 .54605 .2145 .54254 .20998 Metetra
.657 .733 .906 r
.54254 .20998 .54605 .2145 .55264 .21225 .54914 .20769 Metetra
.655 .731 .905 r
.54914 .20769 .55264 .21225 .55925 .21004 .55575 .20542 Metetra
.652 .728 .904 r
.55575 .20542 .55925 .21004 .56587 .20786 .56239 .20318 Metetra
.65 .724 .903 r
.56239 .20318 .56587 .20786 .57251 .20573 .56903 .20099 Metetra
.646 .72 .902 r
.56903 .20099 .57251 .20573 .57917 .20366 .5757 .19884 Metetra
.643 .715 .9 r
.5757 .19884 .57917 .20366 .58585 .20165 .58239 .19674 Metetra
.638 .71 .899 r
.58239 .19674 .58585 .20165 .59254 .19971 .58909 .19471 Metetra
.634 .704 .896 r
.58909 .19471 .59254 .19971 .59926 .19785 .59582 .19274 Metetra
.63 .697 .894 r
.59582 .19274 .59926 .19785 .606 .19605 .60256 .19083 Metetra
.626 .691 .891 r
.60256 .19083 .606 .19605 .61276 .1943 .60932 .18899 Metetra
.622 .686 .889 r
.60932 .18899 .61276 .1943 .61954 .1926 .61611 .1872 Metetra
.62 .682 .887 r
.61611 .1872 .61954 .1926 .62634 .1909 .62292 .18545 Metetra
.619 .679 .885 r
.62292 .18545 .62634 .1909 .63316 .18918 .62974 .1837 Metetra
.62 .679 .884 r
.62974 .1837 .63316 .18918 .63999 .1874 .63659 .18193 Metetra
.623 .681 .884 r
.63659 .18193 .63999 .1874 .64685 .18552 .64345 .18011 Metetra
.628 .686 .885 r
.64345 .18011 .64685 .18552 .65371 .18351 .65033 .17819 Metetra
.635 .694 .888 r
.65033 .17819 .65371 .18351 .66059 .18133 .65723 .17614 Metetra
.644 .705 .891 r
.65723 .17614 .66059 .18133 .66748 .17898 .66414 .17395 Metetra
.653 .717 .895 r
.66414 .17395 .66748 .17898 .67438 .17646 .67105 .17159 Metetra
.663 .729 .899 r
.67105 .17159 .67438 .17646 .68128 .17379 .67798 .16907 Metetra
.671 .741 .902 r
.67798 .16907 .68128 .17379 .6882 .17099 .68491 .1664 Metetra
.678 .751 .906 r
.68491 .1664 .6882 .17099 .69513 .16811 .69186 .16361 Metetra
.683 .758 .908 r
.69186 .16361 .69513 .16811 .70207 .1652 .69882 .16074 Metetra
.685 .761 .909 r
.69882 .16074 .70207 .1652 .70903 .16229 .70579 .15783 Metetra
.685 .762 .91 r
.70579 .15783 .70903 .16229 .71601 .15943 .71278 .15492 Metetra
.682 .759 .909 r
.71278 .15492 .71601 .15943 .723 .15663 .71978 .15205 Metetra
.679 .754 .908 r
.71978 .15205 .723 .15663 .73002 .15389 .72681 .14923 Metetra
.674 .749 .907 r
.72681 .14923 .73002 .15389 .73706 .15123 .73385 .14647 Metetra
.67 .743 .905 r
.73385 .14647 .73706 .15123 .74412 .14861 .74092 .14378 Metetra
.667 .739 .904 r
.74092 .14378 .74412 .14861 .7512 .14602 .74801 .14114 Metetra
.665 .735 .903 r
.74801 .14114 .7512 .14602 .7583 .14344 .75512 .13852 Metetra
.664 .734 .902 r
.75512 .13852 .7583 .14344 .76541 .14085 .76225 .13592 Metetra
.663 .734 .902 r
.76225 .13592 .76541 .14085 .77255 .13823 .76939 .13331 Metetra
.653 .745 .918 r
.13464 .35831 .13875 .36201 .14441 .36015 .1403 .3564 Metetra
.656 .744 .914 r
.1403 .3564 .14441 .36015 .15008 .35826 .14599 .35443 Metetra
.66 .741 .91 r
.14599 .35443 .15008 .35826 .15576 .35632 .15169 .3524 Metetra
.664 .737 .905 r
.15169 .3524 .15576 .35632 .16147 .35431 .15742 .35031 Metetra
.665 .734 .901 r
.15742 .35031 .16147 .35431 .1672 .35223 .16316 .34818 Metetra
.664 .731 .9 r
.16316 .34818 .1672 .35223 .17295 .3501 .16891 .34606 Metetra
.659 .731 .903 r
.16891 .34606 .17295 .3501 .17871 .34797 .17466 .34403 Metetra
.648 .734 .912 r
.17466 .34403 .17871 .34797 .18447 .34591 .18041 .34214 Metetra
.633 .74 .925 r
.18041 .34214 .18447 .34591 .19023 .34399 .18616 .34046 Metetra
.612 .748 .942 r
.18616 .34046 .19023 .34399 .19598 .34229 .19189 .33901 Metetra
.588 .757 .959 r
.19189 .33901 .19598 .34229 .20172 .34083 .19761 .33777 Metetra
.568 .764 .971 r
.19761 .33777 .20172 .34083 .20746 .3396 .20334 .33666 Metetra
.56 .77 .976 r
.20334 .33666 .20746 .3396 .21319 .33854 .20908 .33558 Metetra
.572 .773 .974 r
.20908 .33558 .21319 .33854 .21893 .33754 .21485 .3344 Metetra
.6 .771 .961 r
.21485 .3344 .21893 .33754 .2247 .33646 .22065 .33298 Metetra
.635 .761 .939 r
.22065 .33298 .2247 .33646 .2305 .33514 .22651 .33122 Metetra
.664 .744 .909 r
.22651 .33122 .2305 .33514 .23636 .33348 .23241 .32906 Metetra
.686 .725 .88 r
.23241 .32906 .23636 .33348 .24226 .33138 .23837 .32647 Metetra
.699 .707 .854 r
.23837 .32647 .24226 .33138 .24822 .32883 .24437 .3235 Metetra
.706 .693 .835 r
.24437 .3235 .24822 .32883 .25423 .32586 .25041 .32023 Metetra
.71 .683 .823 r
.25041 .32023 .25423 .32586 .26027 .32256 .25648 .31676 Metetra
.71 .678 .817 r
.25648 .31676 .26027 .32256 .26635 .31904 .26256 .31322 Metetra
.709 .677 .817 r
.26256 .31322 .26635 .31904 .27243 .31542 .26864 .30969 Metetra
.707 .68 .822 r
.26864 .30969 .27243 .31542 .27853 .31182 .27473 .30627 Metetra
.703 .685 .83 r
.27473 .30627 .27853 .31182 .28462 .30833 .28081 .30299 Metetra
.699 .692 .84 r
.28081 .30299 .28462 .30833 .29071 .30499 .28689 .29989 Metetra
.694 .701 .852 r
.28689 .29989 .29071 .30499 .2968 .30184 .29297 .29697 Metetra
.689 .709 .864 r
.29297 .29697 .2968 .30184 .30288 .29888 .29904 .29421 Metetra
.684 .717 .874 r
.29904 .29421 .30288 .29888 .30896 .2961 .30512 .29158 Metetra
.679 .723 .883 r
.30512 .29158 .30896 .2961 .31504 .29346 .3112 .28906 Metetra
.675 .728 .89 r
.3112 .28906 .31504 .29346 .32113 .29094 .31729 .28663 Metetra
.672 .732 .895 r
.31729 .28663 .32113 .29094 .32722 .2885 .32339 .28425 Metetra
.67 .735 .899 r
.32339 .28425 .32722 .2885 .33333 .28613 .32949 .28192 Metetra
.668 .737 .902 r
.32949 .28192 .33333 .28613 .33944 .2838 .33561 .27961 Metetra
.667 .738 .904 r
.33561 .27961 .33944 .2838 .34556 .28149 .34175 .27732 Metetra
.666 .739 .905 r
.34175 .27732 .34556 .28149 .3517 .27921 .34789 .27504 Metetra
.665 .74 .906 r
.34789 .27504 .3517 .27921 .35785 .27693 .35405 .27277 Metetra
.665 .74 .906 r
.35405 .27277 .35785 .27693 .36401 .27467 .36022 .2705 Metetra
.664 .741 .907 r
.36022 .2705 .36401 .27467 .37019 .2724 .36641 .26822 Metetra
.664 .741 .907 r
.36641 .26822 .37019 .2724 .37638 .27013 .37261 .26595 Metetra
.664 .741 .907 r
.37261 .26595 .37638 .27013 .38259 .26787 .37882 .26368 Metetra
.664 .741 .908 r
.37882 .26368 .38259 .26787 .38881 .26559 .38505 .2614 Metetra
.664 .741 .908 r
.38505 .2614 .38881 .26559 .39504 .26332 .39129 .25912 Metetra
.664 .741 .908 r
.39129 .25912 .39504 .26332 .40129 .26104 .39755 .25683 Metetra
.664 .741 .908 r
.39755 .25683 .40129 .26104 .40756 .25876 .40383 .25454 Metetra
.664 .741 .908 r
.40383 .25454 .40756 .25876 .41383 .25647 .41011 .25224 Metetra
.664 .741 .908 r
.41011 .25224 .41383 .25647 .42013 .25418 .41641 .24994 Metetra
.664 .741 .908 r
.41641 .24994 .42013 .25418 .42643 .25189 .42273 .24764 Metetra
.664 .741 .908 r
.42273 .24764 .42643 .25189 .43276 .24959 .42906 .24532 Metetra
.664 .741 .908 r
.42906 .24532 .43276 .24959 .43909 .24728 .43541 .24301 Metetra
.664 .741 .908 r
.43541 .24301 .43909 .24728 .44544 .24497 .44177 .24069 Metetra
.664 .741 .908 r
.44177 .24069 .44544 .24497 .45181 .24265 .44814 .23836 Metetra
.663 .741 .908 r
.44814 .23836 .45181 .24265 .45819 .24033 .45454 .23603 Metetra
.663 .741 .908 r
.45454 .23603 .45819 .24033 .46459 .23801 .46094 .23369 Metetra
.663 .741 .908 r
.46094 .23369 .46459 .23801 .471 .23568 .46736 .23135 Metetra
.663 .741 .908 r
.46736 .23135 .471 .23568 .47743 .23334 .4738 .22901 Metetra
.663 .741 .908 r
.4738 .22901 .47743 .23334 .48387 .231 .48025 .22666 Metetra
.663 .741 .908 r
.48025 .22666 .48387 .231 .49033 .22866 .48672 .2243 Metetra
.663 .741 .908 r
.48672 .2243 .49033 .22866 .4968 .22632 .4932 .22195 Metetra
.663 .741 .908 r
.4932 .22195 .4968 .22632 .50329 .22397 .4997 .21959 Metetra
.663 .74 .908 r
.4997 .21959 .50329 .22397 .50979 .22163 .50621 .21723 Metetra
.662 .74 .908 r
.50621 .21723 .50979 .22163 .51631 .21929 .51274 .21487 Metetra
.662 .739 .908 r
.51274 .21487 .51631 .21929 .52284 .21695 .51928 .21251 Metetra
.661 .739 .907 r
.51928 .21251 .52284 .21695 .52939 .21461 .52584 .21015 Metetra
.66 .738 .907 r
.52584 .21015 .52939 .21461 .53596 .21229 .53242 .2078 Metetra
.659 .737 .907 r
.53242 .2078 .53596 .21229 .54254 .20998 .53901 .20546 Metetra
.658 .735 .906 r
.53901 .20546 .54254 .20998 .54914 .20769 .54562 .20313 Metetra
.657 .733 .906 r
.54562 .20313 .54914 .20769 .55575 .20542 .55225 .20082 Metetra
.655 .731 .905 r
.55225 .20082 .55575 .20542 .56239 .20318 .55889 .19854 Metetra
.653 .728 .905 r
.55889 .19854 .56239 .20318 .56903 .20099 .56555 .19629 Metetra
.65 .725 .904 r
.56555 .19629 .56903 .20099 .5757 .19884 .57222 .19407 Metetra
.647 .721 .902 r
.57222 .19407 .5757 .19884 .58239 .19674 .57892 .1919 Metetra
.643 .716 .901 r
.57892 .1919 .58239 .19674 .58909 .19471 .58563 .18978 Metetra
.639 .711 .899 r
.58563 .18978 .58909 .19471 .59582 .19274 .59236 .18771 Metetra
.635 .705 .897 r
.59236 .18771 .59582 .19274 .60256 .19083 .59911 .18571 Metetra
.631 .699 .894 r
.59911 .18571 .60256 .19083 .60932 .18899 .60588 .18378 Metetra
.627 .693 .892 r
.60588 .18378 .60932 .18899 .61611 .1872 .61268 .1819 Metetra
.624 .688 .89 r
.61268 .1819 .61611 .1872 .62292 .18545 .61949 .18006 Metetra
.622 .684 .888 r
.61949 .18006 .62292 .18545 .62974 .1837 .62632 .17826 Metetra
.621 .682 .886 r
.62632 .17826 .62974 .1837 .63659 .18193 .63318 .17647 Metetra
.622 .682 .885 r
.63318 .17647 .63659 .18193 .64345 .18011 .64005 .17465 Metetra
.625 .684 .886 r
.64005 .17465 .64345 .18011 .65033 .17819 .64694 .17278 Metetra
.629 .689 .887 r
.64694 .17278 .65033 .17819 .65723 .17614 .65385 .17082 Metetra
.636 .696 .889 r
.65385 .17082 .65723 .17614 .66414 .17395 .66077 .16875 Metetra
.644 .706 .892 r
.66077 .16875 .66414 .17395 .67105 .17159 .6677 .16653 Metetra
.653 .717 .895 r
.6677 .16653 .67105 .17159 .67798 .16907 .67465 .16416 Metetra
.662 .729 .899 r
.67465 .16416 .67798 .16907 .68491 .1664 .68161 .16163 Metetra
.67 .74 .902 r
.68161 .16163 .68491 .1664 .69186 .16361 .68857 .15897 Metetra
.677 .749 .905 r
.68857 .15897 .69186 .16361 .69882 .16074 .69555 .15618 Metetra
.682 .756 .908 r
.69555 .15618 .69882 .16074 .70579 .15783 .70253 .15332 Metetra
.684 .76 .909 r
.70253 .15332 .70579 .15783 .71278 .15492 .70953 .15041 Metetra
.684 .761 .91 r
.70953 .15041 .71278 .15492 .71978 .15205 .71655 .1475 Metetra
.682 .759 .91 r
.71655 .1475 .71978 .15205 .72681 .14923 .72358 .14462 Metetra
.678 .755 .909 r
.72358 .14462 .72681 .14923 .73385 .14647 .73064 .14179 Metetra
.675 .75 .907 r
.73064 .14179 .73385 .14647 .74092 .14378 .73771 .13901 Metetra
.671 .744 .906 r
.73771 .13901 .74092 .14378 .74801 .14114 .74481 .13629 Metetra
.667 .74 .904 r
.74481 .13629 .74801 .14114 .75512 .13852 .75193 .13362 Metetra
.665 .737 .903 r
.75193 .13362 .75512 .13852 .76225 .13592 .75907 .13098 Metetra
.664 .735 .903 r
.75907 .13098 .76225 .13592 .76939 .13331 .76622 .12836 Metetra
.657 .743 .913 r
.13051 .35454 .13464 .35831 .1403 .3564 .13619 .35255 Metetra
.661 .74 .908 r
.13619 .35255 .1403 .3564 .14599 .35443 .14189 .35049 Metetra
.664 .737 .904 r
.14189 .35049 .14599 .35443 .15169 .3524 .14761 .34839 Metetra
.665 .733 .901 r
.14761 .34839 .15169 .3524 .15742 .35031 .15335 .34626 Metetra
.663 .732 .901 r
.15335 .34626 .15742 .35031 .16316 .34818 .15909 .34416 Metetra
.657 .732 .905 r
.15909 .34416 .16316 .34818 .16891 .34606 .16484 .34216 Metetra
.646 .736 .914 r
.16484 .34216 .16891 .34606 .17466 .34403 .17058 .3403 Metetra
.631 .742 .928 r
.17058 .3403 .17466 .34403 .18041 .34214 .17631 .33864 Metetra
.611 .749 .943 r
.17631 .33864 .18041 .34214 .18616 .34046 .18203 .33719 Metetra
.59 .758 .958 r
.18203 .33719 .18616 .34046 .19189 .33901 .18775 .33592 Metetra
.574 .764 .969 r
.18775 .33592 .19189 .33901 .19761 .33777 .19347 .33476 Metetra
.57 .769 .973 r
.19347 .33476 .19761 .33777 .20334 .33666 .19921 .3336 Metetra
.584 .771 .968 r
.19921 .3336 .20334 .33666 .20908 .33558 .20498 .33233 Metetra
.611 .768 .955 r
.20498 .33233 .20908 .33558 .21485 .3344 .21079 .33082 Metetra
.641 .757 .933 r
.21079 .33082 .21485 .3344 .22065 .33298 .21664 .32898 Metetra
.668 .741 .905 r
.21664 .32898 .22065 .33298 .22651 .33122 .22255 .32676 Metetra
.687 .723 .877 r
.22255 .32676 .22651 .33122 .23241 .32906 .2285 .32414 Metetra
.699 .707 .854 r
.2285 .32414 .23241 .32906 .23837 .32647 .2345 .32117 Metetra
.705 .694 .837 r
.2345 .32117 .23837 .32647 .24437 .3235 .24053 .31793 Metetra
.708 .685 .826 r
.24053 .31793 .24437 .3235 .25041 .32023 .24659 .31452 Metetra
.709 .681 .821 r
.24659 .31452 .25041 .32023 .25648 .31676 .25266 .31104 Metetra
.708 .68 .821 r
.25266 .31104 .25648 .31676 .26256 .31322 .25874 .30759 Metetra
.705 .683 .826 r
.25874 .30759 .26256 .31322 .26864 .30969 .26482 .30422 Metetra
.702 .688 .834 r
.26482 .30422 .26864 .30969 .27473 .30627 .27089 .301 Metetra
.698 .695 .844 r
.27089 .301 .27473 .30627 .28081 .30299 .27697 .29795 Metetra
.693 .703 .855 r
.27697 .29795 .28081 .30299 .28689 .29989 .28304 .29505 Metetra
.688 .711 .866 r
.28304 .29505 .28689 .29989 .29297 .29697 .28911 .29231 Metetra
.683 .718 .875 r
.28911 .29231 .29297 .29697 .29904 .29421 .29518 .28969 Metetra
.679 .724 .884 r
.29518 .28969 .29904 .29421 .30512 .29158 .30125 .28718 Metetra
.675 .729 .89 r
.30125 .28718 .30512 .29158 .3112 .28906 .30734 .28475 Metetra
.672 .732 .895 r
.30734 .28475 .3112 .28906 .31729 .28663 .31343 .28237 Metetra
.67 .735 .899 r
.31343 .28237 .31729 .28663 .32339 .28425 .31953 .28003 Metetra
.668 .737 .902 r
.31953 .28003 .32339 .28425 .32949 .28192 .32565 .27772 Metetra
.667 .738 .904 r
.32565 .27772 .32949 .28192 .33561 .27961 .33177 .27542 Metetra
.666 .739 .905 r
.33177 .27542 .33561 .27961 .34175 .27732 .33791 .27314 Metetra
.665 .74 .906 r
.33791 .27314 .34175 .27732 .34789 .27504 .34407 .27086 Metetra
.665 .74 .906 r
.34407 .27086 .34789 .27504 .35405 .27277 .35023 .26858 Metetra
.664 .741 .907 r
.35023 .26858 .35405 .27277 .36022 .2705 .35641 .26631 Metetra
.664 .741 .907 r
.35641 .26631 .36022 .2705 .36641 .26822 .36261 .26403 Metetra
.664 .741 .907 r
.36261 .26403 .36641 .26822 .37261 .26595 .36882 .26175 Metetra
.664 .741 .907 r
.36882 .26175 .37261 .26595 .37882 .26368 .37504 .25947 Metetra
.664 .741 .908 r
.37504 .25947 .37882 .26368 .38505 .2614 .38128 .25718 Metetra
.664 .741 .908 r
.38128 .25718 .38505 .2614 .39129 .25912 .38753 .25489 Metetra
.664 .741 .908 r
.38753 .25489 .39129 .25912 .39755 .25683 .3938 .25259 Metetra
.664 .741 .908 r
.3938 .25259 .39755 .25683 .40383 .25454 .40008 .25029 Metetra
.664 .741 .908 r
.40008 .25029 .40383 .25454 .41011 .25224 .40637 .24799 Metetra
.664 .741 .908 r
.40637 .24799 .41011 .25224 .41641 .24994 .41269 .24568 Metetra
.664 .741 .908 r
.41269 .24568 .41641 .24994 .42273 .24764 .41901 .24336 Metetra
.664 .741 .908 r
.41901 .24336 .42273 .24764 .42906 .24532 .42535 .24104 Metetra
.664 .741 .908 r
.42535 .24104 .42906 .24532 .43541 .24301 .43171 .23872 Metetra
.664 .741 .908 r
.43171 .23872 .43541 .24301 .44177 .24069 .43808 .23638 Metetra
.664 .741 .908 r
.43808 .23638 .44177 .24069 .44814 .23836 .44446 .23405 Metetra
.663 .741 .908 r
.44446 .23405 .44814 .23836 .45454 .23603 .45086 .23171 Metetra
.663 .741 .908 r
.45086 .23171 .45454 .23603 .46094 .23369 .45728 .22936 Metetra
.663 .741 .908 r
.45728 .22936 .46094 .23369 .46736 .23135 .46371 .22701 Metetra
.663 .741 .908 r
.46371 .22701 .46736 .23135 .4738 .22901 .47016 .22465 Metetra
.663 .741 .908 r
.47016 .22465 .4738 .22901 .48025 .22666 .47662 .22229 Metetra
.663 .741 .908 r
.47662 .22229 .48025 .22666 .48672 .2243 .4831 .21992 Metetra
.663 .741 .908 r
.4831 .21992 .48672 .2243 .4932 .22195 .48959 .21755 Metetra
.663 .741 .908 r
.48959 .21755 .4932 .22195 .4997 .21959 .49609 .21518 Metetra
.663 .74 .908 r
.49609 .21518 .4997 .21959 .50621 .21723 .50262 .2128 Metetra
.662 .74 .908 r
.50262 .2128 .50621 .21723 .51274 .21487 .50916 .21043 Metetra
.662 .74 .907 r
.50916 .21043 .51274 .21487 .51928 .21251 .51571 .20805 Metetra
.662 .739 .907 r
.51571 .20805 .51928 .21251 .52584 .21015 .52228 .20568 Metetra
.661 .738 .907 r
.52228 .20568 .52584 .21015 .53242 .2078 .52887 .2033 Metetra
.66 .738 .907 r
.52887 .2033 .53242 .2078 .53901 .20546 .53547 .20094 Metetra
.659 .736 .907 r
.53547 .20094 .53901 .20546 .54562 .20313 .54209 .19858 Metetra
.658 .735 .906 r
.54209 .19858 .54562 .20313 .55225 .20082 .54872 .19624 Metetra
.657 .733 .906 r
.54872 .19624 .55225 .20082 .55889 .19854 .55537 .19391 Metetra
.655 .731 .905 r
.55537 .19391 .55889 .19854 .56555 .19629 .56204 .19161 Metetra
.653 .728 .905 r
.56204 .19161 .56555 .19629 .57222 .19407 .56873 .18934 Metetra
.65 .725 .904 r
.56873 .18934 .57222 .19407 .57892 .1919 .57543 .1871 Metetra
.647 .721 .902 r
.57543 .1871 .57892 .1919 .58563 .18978 .58215 .18491 Metetra
.644 .717 .901 r
.58215 .18491 .58563 .18978 .59236 .18771 .58889 .18276 Metetra
.64 .711 .899 r
.58889 .18276 .59236 .18771 .59911 .18571 .59565 .18067 Metetra
.636 .706 .897 r
.59565 .18067 .59911 .18571 .60588 .18378 .60243 .17864 Metetra
.632 .7 .895 r
.60243 .17864 .60588 .18378 .61268 .1819 .60923 .17667 Metetra
.628 .695 .893 r
.60923 .17667 .61268 .1819 .61949 .18006 .61605 .17475 Metetra
.625 .69 .891 r
.61605 .17475 .61949 .18006 .62632 .17826 .62289 .17288 Metetra
.623 .687 .889 r
.62289 .17288 .62632 .17826 .63318 .17647 .62975 .17103 Metetra
.623 .684 .887 r
.62975 .17103 .63318 .17647 .64005 .17465 .63663 .16919 Metetra
.623 .684 .887 r
.63663 .16919 .64005 .17465 .64694 .17278 .64353 .16733 Metetra
.626 .686 .887 r
.64353 .16733 .64694 .17278 .65385 .17082 .65045 .16542 Metetra
.631 .691 .888 r
.65045 .16542 .65385 .17082 .66077 .16875 .65739 .16342 Metetra
.637 .698 .89 r
.65739 .16342 .66077 .16875 .6677 .16653 .66434 .16132 Metetra
.645 .707 .892 r
.66434 .16132 .6677 .16653 .67465 .16416 .6713 .15908 Metetra
.653 .717 .896 r
.6713 .15908 .67465 .16416 .68161 .16163 .67827 .15669 Metetra
.661 .728 .899 r
.67827 .15669 .68161 .16163 .68857 .15897 .68526 .15416 Metetra
.669 .739 .902 r
.68526 .15416 .68857 .15897 .69555 .15618 .69225 .15149 Metetra
.676 .748 .905 r
.69225 .15149 .69555 .15618 .70253 .15332 .69926 .14872 Metetra
.68 .755 .908 r
.69926 .14872 .70253 .15332 .70953 .15041 .70627 .14586 Metetra
.683 .759 .909 r
.70627 .14586 .70953 .15041 .71655 .1475 .7133 .14295 Metetra
.683 .76 .91 r
.7133 .14295 .71655 .1475 .72358 .14462 .72035 .14004 Metetra
.681 .758 .91 r
.72035 .14004 .72358 .14462 .73064 .14179 .72741 .13715 Metetra
.678 .755 .909 r
.72741 .13715 .73064 .14179 .73771 .13901 .7345 .1343 Metetra
.675 .75 .908 r
.7345 .1343 .73771 .13901 .74481 .13629 .7416 .1315 Metetra
.671 .745 .906 r
.7416 .1315 .74481 .13629 .75193 .13362 .74873 .12876 Metetra
.668 .741 .905 r
.74873 .12876 .75193 .13362 .75907 .13098 .75588 .12607 Metetra
.665 .737 .904 r
.75588 .12607 .75907 .13098 .76622 .12836 .76304 .1234 Metetra
.662 .739 .907 r
.12638 .35065 .13051 .35454 .13619 .35255 .13208 .34859 Metetra
.664 .736 .903 r
.13208 .34859 .13619 .35255 .14189 .35049 .13779 .34648 Metetra
.664 .734 .901 r
.13779 .34648 .14189 .35049 .14761 .34839 .14352 .34436 Metetra
.661 .732 .902 r
.14352 .34436 .14761 .34839 .15335 .34626 .14925 .34227 Metetra
.655 .734 .907 r
.14925 .34227 .15335 .34626 .15909 .34416 .15499 .34029 Metetra
.644 .737 .917 r
.15499 .34029 .15909 .34416 .16484 .34216 .16072 .33846 Metetra
.629 .743 .93 r
.16072 .33846 .16484 .34216 .17058 .3403 .16644 .33681 Metetra
.611 .751 .945 r
.16644 .33681 .17058 .3403 .17631 .33864 .17216 .33536 Metetra
.592 .758 .958 r
.17216 .33536 .17631 .33864 .18203 .33719 .17787 .33406 Metetra
.58 .765 .967 r
.17787 .33406 .18203 .33719 .18775 .33592 .18359 .33285 Metetra
.579 .769 .969 r
.18359 .33285 .18775 .33592 .19347 .33476 .18933 .33162 Metetra
.594 .769 .963 r
.18933 .33162 .19347 .33476 .19921 .3336 .1951 .33026 Metetra
.619 .765 .949 r
.1951 .33026 .19921 .3336 .20498 .33233 .2009 .32867 Metetra
.647 .754 .927 r
.2009 .32867 .20498 .33233 .21079 .33082 .20676 .32676 Metetra
.67 .739 .901 r
.20676 .32676 .21079 .33082 .21664 .32898 .21266 .32448 Metetra
.687 .722 .876 r
.21266 .32448 .21664 .32898 .22255 .32676 .21861 .32184 Metetra
.698 .707 .855 r
.21861 .32184 .22255 .32676 .2285 .32414 .2246 .31888 Metetra
.705 .696 .839 r
.2246 .31888 .2285 .32414 .2345 .32117 .23063 .31567 Metetra
.707 .688 .829 r
.23063 .31567 .2345 .32117 .24053 .31793 .23668 .31231 Metetra
.708 .684 .825 r
.23668 .31231 .24053 .31793 .24659 .31452 .24274 .30889 Metetra
.707 .684 .825 r
.24274 .30889 .24659 .31452 .25266 .31104 .24882 .3055 Metetra
.704 .686 .83 r
.24882 .3055 .25266 .31104 .25874 .30759 .25489 .3022 Metetra
.701 .691 .838 r
.25489 .3022 .25874 .30759 .26482 .30422 .26096 .29903 Metetra
.697 .698 .847 r
.26096 .29903 .26482 .30422 .27089 .301 .26702 .29601 Metetra
.692 .705 .857 r
.26702 .29601 .27089 .301 .27697 .29795 .27309 .29314 Metetra
.687 .712 .868 r
.27309 .29314 .27697 .29795 .28304 .29505 .27915 .29042 Metetra
.683 .719 .877 r
.27915 .29042 .28304 .29505 .28911 .29231 .28522 .28781 Metetra
.678 .725 .885 r
.28522 .28781 .28911 .29231 .29518 .28969 .29129 .2853 Metetra
.675 .729 .891 r
.29129 .2853 .29518 .28969 .30125 .28718 .29736 .28286 Metetra
.672 .733 .896 r
.29736 .28286 .30125 .28718 .30734 .28475 .30345 .28048 Metetra
.67 .735 .899 r
.30345 .28048 .30734 .28475 .31343 .28237 .30955 .27814 Metetra
.668 .737 .902 r
.30955 .27814 .31343 .28237 .31953 .28003 .31566 .27582 Metetra
.667 .738 .904 r
.31566 .27582 .31953 .28003 .32565 .27772 .32178 .27353 Metetra
.666 .739 .905 r
.32178 .27353 .32565 .27772 .33177 .27542 .32791 .27124 Metetra
.665 .74 .906 r
.32791 .27124 .33177 .27542 .33791 .27314 .33406 .26895 Metetra
.665 .74 .906 r
.33406 .26895 .33791 .27314 .34407 .27086 .34022 .26667 Metetra
.664 .741 .907 r
.34022 .26667 .34407 .27086 .35023 .26858 .3464 .26439 Metetra
.664 .741 .907 r
.3464 .26439 .35023 .26858 .35641 .26631 .35259 .26211 Metetra
.664 .741 .907 r
.35259 .26211 .35641 .26631 .36261 .26403 .35879 .25983 Metetra
.664 .741 .908 r
.35879 .25983 .36261 .26403 .36882 .26175 .36501 .25754 Metetra
.664 .741 .908 r
.36501 .25754 .36882 .26175 .37504 .25947 .37124 .25525 Metetra
.664 .741 .908 r
.37124 .25525 .37504 .25947 .38128 .25718 .37749 .25295 Metetra
.664 .741 .908 r
.37749 .25295 .38128 .25718 .38753 .25489 .38375 .25065 Metetra
.664 .741 .908 r
.38375 .25065 .38753 .25489 .3938 .25259 .39002 .24835 Metetra
.664 .741 .908 r
.39002 .24835 .3938 .25259 .40008 .25029 .39632 .24604 Metetra
.664 .741 .908 r
.39632 .24604 .40008 .25029 .40637 .24799 .40262 .24372 Metetra
.664 .741 .908 r
.40262 .24372 .40637 .24799 .41269 .24568 .40894 .2414 Metetra
.664 .741 .908 r
.40894 .2414 .41269 .24568 .41901 .24336 .41528 .23907 Metetra
.664 .741 .908 r
.41528 .23907 .41901 .24336 .42535 .24104 .42163 .23674 Metetra
.664 .741 .908 r
.42163 .23674 .42535 .24104 .43171 .23872 .42799 .23441 Metetra
.664 .741 .908 r
.42799 .23441 .43171 .23872 .43808 .23638 .43437 .23207 Metetra
.664 .741 .908 r
.43437 .23207 .43808 .23638 .44446 .23405 .44077 .22972 Metetra
.664 .741 .908 r
.44077 .22972 .44446 .23405 .45086 .23171 .44718 .22737 Metetra
.663 .741 .908 r
.44718 .22737 .45086 .23171 .45728 .22936 .4536 .22501 Metetra
.663 .741 .908 r
.4536 .22501 .45728 .22936 .46371 .22701 .46004 .22265 Metetra
.663 .741 .908 r
.46004 .22265 .46371 .22701 .47016 .22465 .4665 .22028 Metetra
.663 .741 .908 r
.4665 .22028 .47016 .22465 .47662 .22229 .47297 .2179 Metetra
.663 .741 .908 r
.47297 .2179 .47662 .22229 .4831 .21992 .47946 .21553 Metetra
.663 .741 .908 r
.47946 .21553 .4831 .21992 .48959 .21755 .48596 .21315 Metetra
.663 .741 .908 r
.48596 .21315 .48959 .21755 .49609 .21518 .49248 .21076 Metetra
.663 .741 .908 r
.49248 .21076 .49609 .21518 .50262 .2128 .49901 .20837 Metetra
.663 .74 .908 r
.49901 .20837 .50262 .2128 .50916 .21043 .50556 .20598 Metetra
.662 .74 .908 r
.50556 .20598 .50916 .21043 .51571 .20805 .51212 .20359 Metetra
.662 .74 .908 r
.51212 .20359 .51571 .20805 .52228 .20568 .5187 .20119 Metetra
.662 .739 .907 r
.5187 .20119 .52228 .20568 .52887 .2033 .5253 .1988 Metetra
.661 .739 .907 r
.5253 .1988 .52887 .2033 .53547 .20094 .53191 .19641 Metetra
.66 .738 .907 r
.53191 .19641 .53547 .20094 .54209 .19858 .53854 .19403 Metetra
.659 .737 .907 r
.53854 .19403 .54209 .19858 .54872 .19624 .54519 .19166 Metetra
.658 .735 .906 r
.54519 .19166 .54872 .19624 .55537 .19391 .55185 .1893 Metetra
.657 .733 .906 r
.55185 .1893 .55537 .19391 .56204 .19161 .55852 .18696 Metetra
.655 .731 .905 r
.55852 .18696 .56204 .19161 .56873 .18934 .56522 .18464 Metetra
.653 .728 .905 r
.56522 .18464 .56873 .18934 .57543 .1871 .57193 .18234 Metetra
.65 .725 .904 r
.57193 .18234 .57543 .1871 .58215 .18491 .57866 .18009 Metetra
.647 .721 .902 r
.57866 .18009 .58215 .18491 .58889 .18276 .58541 .17787 Metetra
.644 .717 .901 r
.58541 .17787 .58889 .18276 .59565 .18067 .59218 .1757 Metetra
.64 .712 .899 r
.59218 .1757 .59565 .18067 .60243 .17864 .59896 .17359 Metetra
.637 .707 .898 r
.59896 .17359 .60243 .17864 .60923 .17667 .60577 .17153 Metetra
.633 .702 .896 r
.60577 .17153 .60923 .17667 .61605 .17475 .6126 .16952 Metetra
.63 .697 .893 r
.6126 .16952 .61605 .17475 .62289 .17288 .61945 .16757 Metetra
.627 .692 .891 r
.61945 .16757 .62289 .17288 .62975 .17103 .62631 .16565 Metetra
.625 .689 .89 r
.62631 .16565 .62975 .17103 .63663 .16919 .6332 .16376 Metetra
.624 .687 .888 r
.6332 .16376 .63663 .16919 .64353 .16733 .64011 .16188 Metetra
.625 .687 .888 r
.64011 .16188 .64353 .16733 .65045 .16542 .64704 .15998 Metetra
.628 .689 .888 r
.64704 .15998 .65045 .16542 .65739 .16342 .65399 .15802 Metetra
.632 .693 .889 r
.65399 .15802 .65739 .16342 .66434 .16132 .66095 .15599 Metetra
.638 .7 .891 r
.66095 .15599 .66434 .16132 .6713 .15908 .66793 .15385 Metetra
.645 .708 .893 r
.66793 .15385 .6713 .15908 .67827 .15669 .67492 .15159 Metetra
.653 .718 .896 r
.67492 .15159 .67827 .15669 .68526 .15416 .68192 .14919 Metetra
.661 .728 .899 r
.68192 .14919 .68526 .15416 .69225 .15149 .68894 .14665 Metetra
.668 .738 .903 r
.68894 .14665 .69225 .15149 .69926 .14872 .69596 .14398 Metetra
.674 .747 .905 r
.69596 .14398 .69926 .14872 .70627 .14586 .70299 .14121 Metetra
.679 .754 .908 r
.70299 .14121 .70627 .14586 .7133 .14295 .71004 .13835 Metetra
.681 .758 .909 r
.71004 .13835 .7133 .14295 .72035 .14004 .7171 .13545 Metetra
.682 .759 .91 r
.7171 .13545 .72035 .14004 .72741 .13715 .72418 .13253 Metetra
.681 .758 .91 r
.72418 .13253 .72741 .13715 .7345 .1343 .73127 .12963 Metetra
.678 .755 .909 r
.73127 .12963 .7345 .1343 .7416 .1315 .73839 .12677 Metetra
.675 .751 .908 r
.73839 .12677 .7416 .1315 .74873 .12876 .74552 .12395 Metetra
.671 .746 .907 r
.74552 .12395 .74873 .12876 .75588 .12607 .75267 .12119 Metetra
.668 .742 .905 r
.75267 .12119 .75588 .12607 .76304 .1234 .75985 .11846 Metetra
.664 .736 .903 r
.12224 .34668 .12638 .35065 .13208 .34859 .12795 .34457 Metetra
.664 .734 .902 r
.12795 .34457 .13208 .34859 .13779 .34648 .13367 .34246 Metetra
.66 .733 .904 r
.13367 .34246 .13779 .34648 .14352 .34436 .1394 .34039 Metetra
.653 .735 .909 r
.1394 .34039 .14352 .34436 .14925 .34227 .14512 .33843 Metetra
.642 .739 .919 r
.14512 .33843 .14925 .34227 .15499 .34029 .15084 .33662 Metetra
.628 .745 .932 r
.15084 .33662 .15499 .34029 .16072 .33846 .15656 .33498 Metetra
.611 .752 .945 r
.15656 .33498 .16072 .33846 .16644 .33681 .16227 .33352 Metetra
.595 .759 .957 r
.16227 .33352 .16644 .33681 .17216 .33536 .16798 .33219 Metetra
.585 .764 .964 r
.16798 .33219 .17216 .33536 .17787 .33406 .17369 .33093 Metetra
.588 .768 .965 r
.17369 .33093 .17787 .33406 .18359 .33285 .17943 .32963 Metetra
.603 .767 .958 r
.17943 .32963 .18359 .33285 .18933 .33162 .18519 .32819 Metetra
.626 .762 .944 r
.18519 .32819 .18933 .33162 .1951 .33026 .191 .32653 Metetra
.651 .751 .923 r
.191 .32653 .1951 .33026 .2009 .32867 .19685 .32455 Metetra
.672 .737 .898 r
.19685 .32455 .2009 .32867 .20676 .32676 .20276 .32223 Metetra
.688 .721 .875 r
.20276 .32223 .20676 .32676 .21266 .32448 .2087 .31957 Metetra
.698 .708 .855 r
.2087 .31957 .21266 .32448 .21861 .32184 .21469 .31662 Metetra
.704 .697 .841 r
.21469 .31662 .21861 .32184 .2246 .31888 .22071 .31344 Metetra
.706 .69 .832 r
.22071 .31344 .2246 .31888 .23063 .31567 .22675 .31013 Metetra
.707 .687 .828 r
.22675 .31013 .23063 .31567 .23668 .31231 .23281 .30677 Metetra
.706 .687 .829 r
.23281 .30677 .23668 .31231 .24274 .30889 .23887 .30343 Metetra
.703 .689 .834 r
.23887 .30343 .24274 .30889 .24882 .3055 .24494 .30018 Metetra
.7 .694 .841 r
.24494 .30018 .24882 .3055 .25489 .3022 .251 .29705 Metetra
.696 .7 .85 r
.251 .29705 .25489 .3022 .26096 .29903 .25706 .29407 Metetra
.691 .707 .86 r
.25706 .29407 .26096 .29903 .26702 .29601 .26312 .29123 Metetra
.687 .714 .869 r
.26312 .29123 .26702 .29601 .27309 .29314 .26917 .28852 Metetra
.682 .72 .878 r
.26917 .28852 .27309 .29314 .27915 .29042 .27523 .28592 Metetra
.678 .725 .885 r
.27523 .28592 .27915 .29042 .28522 .28781 .2813 .28341 Metetra
.675 .729 .891 r
.2813 .28341 .28522 .28781 .29129 .2853 .28737 .28098 Metetra
.672 .733 .896 r
.28737 .28098 .29129 .2853 .29736 .28286 .29345 .27859 Metetra
.669 .735 .899 r
.29345 .27859 .29736 .28286 .30345 .28048 .29955 .27625 Metetra
.668 .737 .902 r
.29955 .27625 .30345 .28048 .30955 .27814 .30565 .27393 Metetra
.667 .738 .904 r
.30565 .27393 .30955 .27814 .31566 .27582 .31177 .27162 Metetra
.666 .739 .905 r
.31177 .27162 .31566 .27582 .32178 .27353 .31789 .26933 Metetra
.665 .74 .906 r
.31789 .26933 .32178 .27353 .32791 .27124 .32404 .26704 Metetra
.665 .74 .906 r
.32404 .26704 .32791 .27124 .33406 .26895 .33019 .26476 Metetra
.664 .741 .907 r
.33019 .26476 .33406 .26895 .34022 .26667 .33636 .26247 Metetra
.664 .741 .907 r
.33636 .26247 .34022 .26667 .3464 .26439 .34255 .26018 Metetra
.664 .741 .907 r
.34255 .26018 .3464 .26439 .35259 .26211 .34874 .25789 Metetra
.664 .741 .907 r
.34874 .25789 .35259 .26211 .35879 .25983 .35496 .2556 Metetra
.664 .741 .908 r
.35496 .2556 .35879 .25983 .36501 .25754 .36118 .25331 Metetra
.664 .741 .908 r
.36118 .25331 .36501 .25754 .37124 .25525 .36742 .25101 Metetra
.664 .741 .908 r
.36742 .25101 .37124 .25525 .37749 .25295 .37368 .2487 Metetra
.664 .741 .908 r
.37368 .2487 .37749 .25295 .38375 .25065 .37995 .24639 Metetra
.664 .741 .908 r
.37995 .24639 .38375 .25065 .39002 .24835 .38624 .24408 Metetra
.664 .741 .908 r
.38624 .24408 .39002 .24835 .39632 .24604 .39254 .24176 Metetra
.664 .741 .908 r
.39254 .24176 .39632 .24604 .40262 .24372 .39885 .23943 Metetra
.664 .741 .908 r
.39885 .23943 .40262 .24372 .40894 .2414 .40518 .2371 Metetra
.664 .741 .908 r
.40518 .2371 .40894 .2414 .41528 .23907 .41152 .23477 Metetra
.664 .741 .908 r
.41152 .23477 .41528 .23907 .42163 .23674 .41788 .23242 Metetra
.664 .741 .908 r
.41788 .23242 .42163 .23674 .42799 .23441 .42426 .23008 Metetra
.664 .741 .908 r
.42426 .23008 .42799 .23441 .43437 .23207 .43065 .22773 Metetra
.664 .741 .908 r
.43065 .22773 .43437 .23207 .44077 .22972 .43705 .22537 Metetra
.664 .741 .908 r
.43705 .22537 .44077 .22972 .44718 .22737 .44347 .22301 Metetra
.664 .741 .908 r
.44347 .22301 .44718 .22737 .4536 .22501 .44991 .22064 Metetra
.663 .741 .908 r
.44991 .22064 .4536 .22501 .46004 .22265 .45636 .21826 Metetra
.663 .741 .908 r
.45636 .21826 .46004 .22265 .4665 .22028 .46282 .21589 Metetra
.663 .741 .908 r
.46282 .21589 .4665 .22028 .47297 .2179 .4693 .2135 Metetra
.663 .741 .908 r
.4693 .2135 .47297 .2179 .47946 .21553 .4758 .21111 Metetra
.663 .741 .908 r
.4758 .21111 .47946 .21553 .48596 .21315 .48231 .20872 Metetra
.663 .741 .908 r
.48231 .20872 .48596 .21315 .49248 .21076 .48884 .20632 Metetra
.663 .741 .908 r
.48884 .20632 .49248 .21076 .49901 .20837 .49538 .20392 Metetra
.663 .741 .908 r
.49538 .20392 .49901 .20837 .50556 .20598 .50194 .20151 Metetra
.663 .74 .908 r
.50194 .20151 .50556 .20598 .51212 .20359 .50852 .19911 Metetra
.662 .74 .908 r
.50852 .19911 .51212 .20359 .5187 .20119 .51511 .1967 Metetra
.662 .74 .908 r
.51511 .1967 .5187 .20119 .5253 .1988 .52172 .19429 Metetra
.662 .739 .907 r
.52172 .19429 .5253 .1988 .53191 .19641 .52834 .19188 Metetra
.661 .738 .907 r
.52834 .19188 .53191 .19641 .53854 .19403 .53498 .18948 Metetra
.66 .738 .907 r
.53498 .18948 .53854 .19403 .54519 .19166 .54163 .18708 Metetra
.659 .736 .907 r
.54163 .18708 .54519 .19166 .55185 .1893 .5483 .18469 Metetra
.658 .735 .906 r
.5483 .18469 .55185 .1893 .55852 .18696 .55499 .18231 Metetra
.657 .733 .906 r
.55499 .18231 .55852 .18696 .56522 .18464 .5617 .17995 Metetra
.655 .731 .905 r
.5617 .17995 .56522 .18464 .57193 .18234 .56842 .17761 Metetra
.653 .729 .905 r
.56842 .17761 .57193 .18234 .57866 .18009 .57516 .1753 Metetra
.65 .725 .904 r
.57516 .1753 .57866 .18009 .58541 .17787 .58192 .17303 Metetra
.648 .722 .903 r
.58192 .17303 .58541 .17787 .59218 .1757 .58869 .17079 Metetra
.644 .718 .901 r
.58869 .17079 .59218 .1757 .59896 .17359 .59549 .1686 Metetra
.641 .713 .9 r
.59549 .1686 .59896 .17359 .60577 .17153 .6023 .16645 Metetra
.637 .708 .898 r
.6023 .16645 .60577 .17153 .6126 .16952 .60914 .16436 Metetra
.634 .703 .896 r
.60914 .16436 .6126 .16952 .61945 .16757 .61599 .16233 Metetra
.631 .698 .894 r
.61599 .16233 .61945 .16757 .62631 .16565 .62287 .16034 Metetra
.628 .694 .892 r
.62287 .16034 .62631 .16565 .6332 .16376 .62976 .15838 Metetra
.626 .691 .891 r
.62976 .15838 .6332 .16376 .64011 .16188 .63668 .15645 Metetra
.626 .689 .889 r
.63668 .15645 .64011 .16188 .64704 .15998 .64362 .15453 Metetra
.627 .689 .889 r
.64362 .15453 .64704 .15998 .65399 .15802 .65057 .15258 Metetra
.629 .691 .889 r
.65057 .15258 .65399 .15802 .66095 .15599 .65755 .15059 Metetra
.633 .695 .89 r
.65755 .15059 .66095 .15599 .66793 .15385 .66454 .14852 Metetra
.639 .701 .891 r
.66454 .14852 .66793 .15385 .67492 .15159 .67155 .14635 Metetra
.645 .709 .894 r
.67155 .14635 .67492 .15159 .68192 .14919 .67857 .14407 Metetra
.653 .719 .897 r
.67857 .14407 .68192 .14919 .68894 .14665 .6856 .14165 Metetra
.66 .728 .9 r
.6856 .14165 .68894 .14665 .69596 .14398 .69264 .1391 Metetra
.667 .738 .903 r
.69264 .1391 .69596 .14398 .70299 .14121 .69969 .13643 Metetra
.673 .746 .905 r
.69969 .13643 .70299 .14121 .71004 .13835 .70676 .13365 Metetra
.678 .753 .907 r
.70676 .13365 .71004 .13835 .7171 .13545 .71384 .1308 Metetra
.68 .757 .909 r
.71384 .1308 .7171 .13545 .72418 .13253 .72093 .1279 Metetra
.681 .758 .91 r
.72093 .1279 .72418 .13253 .73127 .12963 .72803 .12498 Metetra
.68 .758 .91 r
.72803 .12498 .73127 .12963 .73839 .12677 .73516 .12207 Metetra
.678 .755 .909 r
.73516 .12207 .73839 .12677 .74552 .12395 .7423 .11919 Metetra
.675 .751 .908 r
.7423 .11919 .74552 .12395 .75267 .12119 .74946 .11635 Metetra
.672 .747 .907 r
.74946 .11635 .75267 .12119 .75985 .11846 .75665 .11356 Metetra
.663 .734 .903 r
.11809 .34267 .12224 .34668 .12795 .34457 .1238 .34057 Metetra
.659 .734 .905 r
.1238 .34057 .12795 .34457 .13367 .34246 .12952 .33852 Metetra
.652 .736 .911 r
.12952 .33852 .13367 .34246 .1394 .34039 .13524 .33658 Metetra
.641 .74 .921 r
.13524 .33658 .1394 .34039 .14512 .33843 .14095 .33478 Metetra
.627 .746 .933 r
.14095 .33478 .14512 .33843 .15084 .33662 .14666 .33315 Metetra
.611 .753 .945 r
.14666 .33315 .15084 .33662 .15656 .33498 .15236 .33167 Metetra
.598 .759 .956 r
.15236 .33167 .15656 .33498 .16227 .33352 .15806 .33031 Metetra
.591 .764 .962 r
.15806 .33031 .16227 .33352 .16798 .33219 .16377 .32899 Metetra
.595 .766 .961 r
.16377 .32899 .16798 .33219 .17369 .33093 .16951 .32763 Metetra
.61 .765 .954 r
.16951 .32763 .17369 .33093 .17943 .32963 .17527 .32612 Metetra
.632 .759 .939 r
.17527 .32612 .17943 .32963 .18519 .32819 .18108 .32439 Metetra
.655 .749 .919 r
.18108 .32439 .18519 .32819 .191 .32653 .18693 .32235 Metetra
.674 .735 .896 r
.18693 .32235 .191 .32653 .19685 .32455 .19283 .32 Metetra
.688 .721 .874 r
.19283 .32 .19685 .32455 .20276 .32223 .19878 .31733 Metetra
.697 .708 .856 r
.19878 .31733 .20276 .32223 .2087 .31957 .20476 .31438 Metetra
.703 .698 .843 r
.20476 .31438 .2087 .31957 .21469 .31662 .21077 .31124 Metetra
.705 .692 .835 r
.21077 .31124 .21469 .31662 .22071 .31344 .21681 .30797 Metetra
.706 .689 .832 r
.21681 .30797 .22071 .31344 .22675 .31013 .22285 .30466 Metetra
.704 .689 .833 r
.22285 .30466 .22675 .31013 .23281 .30677 .22891 .30137 Metetra
.702 .692 .837 r
.22891 .30137 .23281 .30677 .23887 .30343 .23497 .29817 Metetra
.699 .696 .844 r
.23497 .29817 .23887 .30343 .24494 .30018 .24102 .29509 Metetra
.695 .702 .853 r
.24102 .29509 .24494 .30018 .251 .29705 .24707 .29213 Metetra
.69 .708 .862 r
.24707 .29213 .251 .29705 .25706 .29407 .25313 .28931 Metetra
.686 .715 .871 r
.25313 .28931 .25706 .29407 .26312 .29123 .25918 .28662 Metetra
.682 .721 .879 r
.25918 .28662 .26312 .29123 .26917 .28852 .26523 .28403 Metetra
.678 .726 .886 r
.26523 .28403 .26917 .28852 .27523 .28592 .27129 .28152 Metetra
.674 .73 .892 r
.27129 .28152 .27523 .28592 .2813 .28341 .27736 .27909 Metetra
.672 .733 .896 r
.27736 .27909 .2813 .28341 .28737 .28098 .28344 .2767 Metetra
.669 .735 .899 r
.28344 .2767 .28737 .28098 .29345 .27859 .28952 .27435 Metetra
.668 .737 .902 r
.28952 .27435 .29345 .27859 .29955 .27625 .29562 .27203 Metetra
.667 .738 .904 r
.29562 .27203 .29955 .27625 .30565 .27393 .30173 .26972 Metetra
.666 .739 .905 r
.30173 .26972 .30565 .27393 .31177 .27162 .30786 .26742 Metetra
.665 .74 .906 r
.30786 .26742 .31177 .27162 .31789 .26933 .31399 .26513 Metetra
.665 .74 .906 r
.31399 .26513 .31789 .26933 .32404 .26704 .32014 .26284 Metetra
.664 .741 .907 r
.32014 .26284 .32404 .26704 .33019 .26476 .32631 .26055 Metetra
.664 .741 .907 r
.32631 .26055 .33019 .26476 .33636 .26247 .33249 .25825 Metetra
.664 .741 .907 r
.33249 .25825 .33636 .26247 .34255 .26018 .33868 .25596 Metetra
.664 .741 .907 r
.33868 .25596 .34255 .26018 .34874 .25789 .34489 .25366 Metetra
.664 .741 .908 r
.34489 .25366 .34874 .25789 .35496 .2556 .35111 .25136 Metetra
.664 .741 .908 r
.35111 .25136 .35496 .2556 .36118 .25331 .35734 .24906 Metetra
.664 .741 .908 r
.35734 .24906 .36118 .25331 .36742 .25101 .36359 .24675 Metetra
.664 .741 .908 r
.36359 .24675 .36742 .25101 .37368 .2487 .36986 .24443 Metetra
.664 .741 .908 r
.36986 .24443 .37368 .2487 .37995 .24639 .37614 .24212 Metetra
.664 .741 .908 r
.37614 .24212 .37995 .24639 .38624 .24408 .38243 .23979 Metetra
.664 .741 .908 r
.38243 .23979 .38624 .24408 .39254 .24176 .38874 .23746 Metetra
.664 .741 .908 r
.38874 .23746 .39254 .24176 .39885 .23943 .39506 .23513 Metetra
.664 .741 .908 r
.39506 .23513 .39885 .23943 .40518 .2371 .4014 .23279 Metetra
.664 .741 .908 r
.4014 .23279 .40518 .2371 .41152 .23477 .40776 .23044 Metetra
.664 .741 .908 r
.40776 .23044 .41152 .23477 .41788 .23242 .41412 .22809 Metetra
.664 .741 .908 r
.41412 .22809 .41788 .23242 .42426 .23008 .42051 .22573 Metetra
.664 .741 .908 r
.42051 .22573 .42426 .23008 .43065 .22773 .42691 .22337 Metetra
.664 .741 .908 r
.42691 .22337 .43065 .22773 .43705 .22537 .43332 .221 Metetra
.664 .741 .908 r
.43332 .221 .43705 .22537 .44347 .22301 .43975 .21863 Metetra
.664 .741 .908 r
.43975 .21863 .44347 .22301 .44991 .22064 .4462 .21625 Metetra
.664 .741 .908 r
.4462 .21625 .44991 .22064 .45636 .21826 .45266 .21386 Metetra
.663 .741 .908 r
.45266 .21386 .45636 .21826 .46282 .21589 .45913 .21147 Metetra
.663 .741 .908 r
.45913 .21147 .46282 .21589 .4693 .2135 .46562 .20908 Metetra
.663 .741 .908 r
.46562 .20908 .4693 .2135 .4758 .21111 .47213 .20668 Metetra
.663 .741 .908 r
.47213 .20668 .4758 .21111 .48231 .20872 .47865 .20427 Metetra
.663 .741 .908 r
.47865 .20427 .48231 .20872 .48884 .20632 .48519 .20186 Metetra
.663 .741 .908 r
.48519 .20186 .48884 .20632 .49538 .20392 .49174 .19945 Metetra
.663 .741 .908 r
.49174 .19945 .49538 .20392 .50194 .20151 .49831 .19703 Metetra
.663 .741 .908 r
.49831 .19703 .50194 .20151 .50852 .19911 .5049 .19461 Metetra
.663 .74 .908 r
.5049 .19461 .50852 .19911 .51511 .1967 .5115 .19219 Metetra
.662 .74 .908 r
.5115 .19219 .51511 .1967 .52172 .19429 .51812 .18976 Metetra
.662 .74 .908 r
.51812 .18976 .52172 .19429 .52834 .19188 .52475 .18734 Metetra
.662 .739 .907 r
.52475 .18734 .52834 .19188 .53498 .18948 .5314 .18491 Metetra
.661 .738 .907 r
.5314 .18491 .53498 .18948 .54163 .18708 .53806 .18249 Metetra
.66 .738 .907 r
.53806 .18249 .54163 .18708 .5483 .18469 .54474 .18007 Metetra
.659 .736 .907 r
.54474 .18007 .5483 .18469 .55499 .18231 .55144 .17767 Metetra
.658 .735 .906 r
.55144 .17767 .55499 .18231 .5617 .17995 .55816 .17527 Metetra
.657 .733 .906 r
.55816 .17527 .5617 .17995 .56842 .17761 .56489 .1729 Metetra
.655 .731 .905 r
.56489 .1729 .56842 .17761 .57516 .1753 .57164 .17054 Metetra
.653 .729 .905 r
.57164 .17054 .57516 .1753 .58192 .17303 .57841 .16821 Metetra
.651 .726 .904 r
.57841 .16821 .58192 .17303 .58869 .17079 .58519 .16591 Metetra
.648 .722 .903 r
.58519 .16591 .58869 .17079 .59549 .1686 .592 .16365 Metetra
.645 .718 .901 r
.592 .16365 .59549 .1686 .6023 .16645 .59882 .16144 Metetra
.642 .714 .9 r
.59882 .16144 .6023 .16645 .60914 .16436 .60566 .15927 Metetra
.638 .709 .898 r
.60566 .15927 .60914 .16436 .61599 .16233 .61252 .15715 Metetra
.635 .704 .896 r
.61252 .15715 .61599 .16233 .62287 .16034 .61941 .15508 Metetra
.632 .7 .895 r
.61941 .15508 .62287 .16034 .62976 .15838 .62631 .15306 Metetra
.629 .696 .893 r
.62631 .15306 .62976 .15838 .63668 .15645 .63323 .15106 Metetra
.628 .693 .891 r
.63323 .15106 .63668 .15645 .64362 .15453 .64018 .14909 Metetra
.627 .691 .89 r
.64018 .14909 .64362 .15453 .65057 .15258 .64715 .14713 Metetra
.628 .691 .89 r
.64715 .14713 .65057 .15258 .65755 .15059 .65413 .14514 Metetra
.63 .693 .89 r
.65413 .14514 .65755 .15059 .66454 .14852 .66113 .14311 Metetra
.634 .697 .891 r
.66113 .14311 .66454 .14852 .67155 .14635 .66815 .14101 Metetra
.639 .703 .892 r
.66815 .14101 .67155 .14635 .67857 .14407 .67519 .13881 Metetra
.646 .71 .894 r
.67519 .13881 .67857 .14407 .6856 .14165 .68224 .1365 Metetra
.653 .719 .897 r
.68224 .1365 .6856 .14165 .69264 .1391 .6893 .13407 Metetra
.66 .728 .9 r
.6893 .13407 .69264 .1391 .69969 .13643 .69637 .13151 Metetra
.667 .737 .903 r
.69637 .13151 .69969 .13643 .70676 .13365 .70345 .12883 Metetra
.672 .745 .905 r
.70345 .12883 .70676 .13365 .71384 .1308 .71055 .12606 Metetra
.677 .751 .907 r
.71055 .12606 .71384 .1308 .72093 .1279 .71766 .1232 Metetra
.679 .756 .909 r
.71766 .1232 .72093 .1279 .72803 .12498 .72478 .1203 Metetra
.68 .757 .91 r
.72478 .1203 .72803 .12498 .73516 .12207 .73192 .11737 Metetra
.679 .757 .91 r
.73192 .11737 .73516 .12207 .7423 .11919 .73907 .11445 Metetra
.678 .755 .909 r
.73907 .11445 .7423 .11919 .74946 .11635 .74624 .11156 Metetra
.675 .751 .908 r
.74624 .11156 .74946 .11635 .75665 .11356 .75344 .10871 Metetra
.658 .735 .907 r
.11392 .33868 .11809 .34267 .1238 .34057 .11963 .33665 Metetra
.65 .737 .913 r
.11963 .33665 .1238 .34057 .12952 .33852 .12533 .33472 Metetra
.64 .742 .923 r
.12533 .33472 .12952 .33852 .13524 .33658 .13104 .33294 Metetra
.626 .747 .934 r
.13104 .33294 .13524 .33658 .14095 .33478 .13674 .33131 Metetra
.612 .754 .945 r
.13674 .33131 .14095 .33478 .14666 .33315 .14243 .32981 Metetra
.601 .759 .954 r
.14243 .32981 .14666 .33315 .15236 .33167 .14813 .32842 Metetra
.597 .763 .959 r
.14813 .32842 .15236 .33167 .15806 .33031 .15384 .32705 Metetra
.602 .765 .957 r
.15384 .32705 .15806 .33031 .16377 .32899 .15957 .32563 Metetra
.617 .763 .949 r
.15957 .32563 .16377 .32899 .16951 .32763 .16534 .32405 Metetra
.637 .757 .935 r
.16534 .32405 .16951 .32763 .17527 .32612 .17114 .32225 Metetra
.658 .746 .915 r
.17114 .32225 .17527 .32612 .18108 .32439 .17699 .32017 Metetra
.676 .733 .894 r
.17699 .32017 .18108 .32439 .18693 .32235 .18289 .31778 Metetra
.688 .72 .874 r
.18289 .31778 .18693 .32235 .19283 .32 .18883 .3151 Metetra
.697 .709 .857 r
.18883 .3151 .19283 .32 .19878 .31733 .19481 .31217 Metetra
.702 .7 .845 r
.19481 .31217 .19878 .31733 .20476 .31438 .20081 .30906 Metetra
.704 .694 .838 r
.20081 .30906 .20476 .31438 .21077 .31124 .20684 .30583 Metetra
.704 .692 .835 r
.20684 .30583 .21077 .31124 .21681 .30797 .21288 .30256 Metetra
.703 .692 .836 r
.21288 .30256 .21681 .30797 .22285 .30466 .21893 .29933 Metetra
.701 .694 .84 r
.21893 .29933 .22285 .30466 .22891 .30137 .22498 .29617 Metetra
.698 .699 .847 r
.22498 .29617 .22891 .30137 .23497 .29817 .23102 .29312 Metetra
.694 .704 .855 r
.23102 .29312 .23497 .29817 .24102 .29509 .23707 .2902 Metetra
.69 .71 .864 r
.23707 .2902 .24102 .29509 .24707 .29213 .24312 .2874 Metetra
.685 .716 .872 r
.24312 .2874 .24707 .29213 .25313 .28931 .24916 .28472 Metetra
.681 .722 .88 r
.24916 .28472 .25313 .28931 .25918 .28662 .25521 .28213 Metetra
.677 .726 .887 r
.25521 .28213 .25918 .28662 .26523 .28403 .26127 .27963 Metetra
.674 .73 .892 r
.26127 .27963 .26523 .28403 .27129 .28152 .26733 .27719 Metetra
.672 .733 .896 r
.26733 .27719 .27129 .28152 .27736 .27909 .2734 .2748 Metetra
.669 .736 .9 r
.2734 .2748 .27736 .27909 .28344 .2767 .27948 .27245 Metetra
.668 .737 .902 r
.27948 .27245 .28344 .2767 .28952 .27435 .28558 .27012 Metetra
.667 .738 .904 r
.28558 .27012 .28952 .27435 .29562 .27203 .29168 .26781 Metetra
.666 .739 .905 r
.29168 .26781 .29562 .27203 .30173 .26972 .2978 .2655 Metetra
.665 .74 .906 r
.2978 .2655 .30173 .26972 .30786 .26742 .30393 .26321 Metetra
.665 .74 .906 r
.30393 .26321 .30786 .26742 .31399 .26513 .31007 .26091 Metetra
.664 .741 .907 r
.31007 .26091 .31399 .26513 .32014 .26284 .31623 .25862 Metetra
.664 .741 .907 r
.31623 .25862 .32014 .26284 .32631 .26055 .32241 .25632 Metetra
.664 .741 .907 r
.32241 .25632 .32631 .26055 .33249 .25825 .32859 .25402 Metetra
.664 .741 .907 r
.32859 .25402 .33249 .25825 .33868 .25596 .33479 .25172 Metetra
.664 .741 .908 r
.33479 .25172 .33868 .25596 .34489 .25366 .34101 .24942 Metetra
.664 .741 .908 r
.34101 .24942 .34489 .25366 .35111 .25136 .34724 .24711 Metetra
.664 .741 .908 r
.34724 .24711 .35111 .25136 .35734 .24906 .35348 .24479 Metetra
.664 .741 .908 r
.35348 .24479 .35734 .24906 .36359 .24675 .35974 .24247 Metetra
.664 .741 .908 r
.35974 .24247 .36359 .24675 .36986 .24443 .36602 .24015 Metetra
.664 .741 .908 r
.36602 .24015 .36986 .24443 .37614 .24212 .37231 .23782 Metetra
.664 .741 .908 r
.37231 .23782 .37614 .24212 .38243 .23979 .37861 .23549 Metetra
.664 .741 .908 r
.37861 .23549 .38243 .23979 .38874 .23746 .38493 .23315 Metetra
.664 .741 .908 r
.38493 .23315 .38874 .23746 .39506 .23513 .39126 .2308 Metetra
.664 .741 .908 r
.39126 .2308 .39506 .23513 .4014 .23279 .39761 .22845 Metetra
.664 .741 .908 r
.39761 .22845 .4014 .23279 .40776 .23044 .40397 .22609 Metetra
.664 .741 .908 r
.40397 .22609 .40776 .23044 .41412 .22809 .41035 .22373 Metetra
.664 .741 .908 r
.41035 .22373 .41412 .22809 .42051 .22573 .41674 .22137 Metetra
.664 .741 .908 r
.41674 .22137 .42051 .22573 .42691 .22337 .42315 .21899 Metetra
.664 .741 .908 r
.42315 .21899 .42691 .22337 .43332 .221 .42958 .21661 Metetra
.664 .741 .908 r
.42958 .21661 .43332 .221 .43975 .21863 .43602 .21423 Metetra
.664 .741 .908 r
.43602 .21423 .43975 .21863 .4462 .21625 .44247 .21184 Metetra
.664 .741 .908 r
.44247 .21184 .4462 .21625 .45266 .21386 .44894 .20945 Metetra
.664 .741 .908 r
.44894 .20945 .45266 .21386 .45913 .21147 .45543 .20704 Metetra
.663 .741 .908 r
.45543 .20704 .45913 .21147 .46562 .20908 .46193 .20464 Metetra
.663 .741 .908 r
.46193 .20464 .46562 .20908 .47213 .20668 .46844 .20223 Metetra
.663 .741 .908 r
.46844 .20223 .47213 .20668 .47865 .20427 .47497 .19981 Metetra
.663 .741 .908 r
.47497 .19981 .47865 .20427 .48519 .20186 .48152 .19739 Metetra
.663 .741 .908 r
.48152 .19739 .48519 .20186 .49174 .19945 .48809 .19496 Metetra
.663 .741 .908 r
.48809 .19496 .49174 .19945 .49831 .19703 .49467 .19253 Metetra
.663 .741 .908 r
.49467 .19253 .49831 .19703 .5049 .19461 .50126 .1901 Metetra
.663 .741 .908 r
.50126 .1901 .5049 .19461 .5115 .19219 .50787 .18766 Metetra
.663 .74 .908 r
.50787 .18766 .5115 .19219 .51812 .18976 .5145 .18522 Metetra
.662 .74 .908 r
.5145 .18522 .51812 .18976 .52475 .18734 .52114 .18278 Metetra
.662 .74 .908 r
.52114 .18278 .52475 .18734 .5314 .18491 .5278 .18033 Metetra
.662 .739 .907 r
.5278 .18033 .5314 .18491 .53806 .18249 .53448 .17789 Metetra
.661 .738 .907 r
.53448 .17789 .53806 .18249 .54474 .18007 .54117 .17546 Metetra
.66 .738 .907 r
.54117 .17546 .54474 .18007 .55144 .17767 .54788 .17302 Metetra
.659 .736 .907 r
.54788 .17302 .55144 .17767 .55816 .17527 .5546 .1706 Metetra
.658 .735 .906 r
.5546 .1706 .55816 .17527 .56489 .1729 .56135 .16819 Metetra
.657 .733 .906 r
.56135 .16819 .56489 .1729 .57164 .17054 .56811 .16579 Metetra
.655 .731 .905 r
.56811 .16579 .57164 .17054 .57841 .16821 .57488 .16342 Metetra
.653 .729 .905 r
.57488 .16342 .57841 .16821 .58519 .16591 .58168 .16107 Metetra
.651 .726 .904 r
.58168 .16107 .58519 .16591 .592 .16365 .58849 .15875 Metetra
.648 .723 .903 r
.58849 .15875 .592 .16365 .59882 .16144 .59532 .15647 Metetra
.645 .719 .902 r
.59532 .15647 .59882 .16144 .60566 .15927 .60217 .15423 Metetra
.642 .714 .9 r
.60217 .15423 .60566 .15927 .61252 .15715 .60904 .15204 Metetra
.639 .71 .899 r
.60904 .15204 .61252 .15715 .61941 .15508 .61594 .14989 Metetra
.636 .706 .897 r
.61594 .14989 .61941 .15508 .62631 .15306 .62285 .14779 Metetra
.633 .701 .895 r
.62285 .14779 .62631 .15306 .63323 .15106 .62978 .14573 Metetra
.63 .698 .893 r
.62978 .14573 .63323 .15106 .64018 .14909 .63673 .1437 Metetra
.629 .695 .892 r
.63673 .1437 .64018 .14909 .64715 .14713 .64371 .14169 Metetra
.628 .693 .891 r
.64371 .14169 .64715 .14713 .65413 .14514 .6507 .13968 Metetra
.629 .693 .89 r
.6507 .13968 .65413 .14514 .66113 .14311 .65771 .13766 Metetra
.631 .695 .891 r
.65771 .13766 .66113 .14311 .66815 .14101 .66474 .13559 Metetra
.635 .699 .891 r
.66474 .13559 .66815 .14101 .67519 .13881 .67179 .13345 Metetra
.64 .704 .893 r
.67179 .13345 .67519 .13881 .68224 .1365 .67886 .13123 Metetra
.646 .711 .895 r
.67886 .13123 .68224 .1365 .6893 .13407 .68593 .12889 Metetra
.653 .719 .897 r
.68593 .12889 .6893 .13407 .69637 .13151 .69303 .12644 Metetra
.659 .728 .9 r
.69303 .12644 .69637 .13151 .70345 .12883 .70013 .12387 Metetra
.666 .737 .903 r
.70013 .12387 .70345 .12883 .71055 .12606 .70724 .12119 Metetra
.671 .744 .905 r
.70724 .12119 .71055 .12606 .71766 .1232 .71437 .11841 Metetra
.676 .75 .907 r
.71437 .11841 .71766 .1232 .72478 .1203 .72151 .11555 Metetra
.678 .755 .909 r
.72151 .11555 .72478 .1203 .73192 .11737 .72866 .11265 Metetra
.679 .757 .909 r
.72866 .11265 .73192 .11737 .73907 .11445 .73583 .10972 Metetra
.679 .756 .91 r
.73583 .10972 .73907 .11445 .74624 .11156 .74301 .10679 Metetra
.677 .755 .909 r
.74301 .10679 .74624 .11156 .75344 .10871 .75022 .10389 Metetra
.649 .738 .915 r
.10971 .33478 .11392 .33868 .11963 .33665 .11541 .33287 Metetra
.639 .743 .924 r
.11541 .33287 .11963 .33665 .12533 .33472 .12111 .33109 Metetra
.626 .748 .935 r
.12111 .33109 .12533 .33472 .13104 .33294 .1268 .32946 Metetra
.614 .754 .945 r
.1268 .32946 .13104 .33294 .13674 .33131 .13249 .32795 Metetra
.604 .759 .953 r
.13249 .32795 .13674 .33131 .14243 .32981 .13818 .32652 Metetra
.602 .763 .956 r
.13818 .32652 .14243 .32981 .14813 .32842 .14389 .3251 Metetra
.608 .764 .954 r
.14389 .3251 .14813 .32842 .15384 .32705 .14962 .32362 Metetra
.623 .761 .945 r
.14962 .32362 .15384 .32705 .15957 .32563 .15538 .32198 Metetra
.642 .755 .931 r
.15538 .32198 .15957 .32563 .16534 .32405 .16119 .32012 Metetra
.661 .744 .912 r
.16119 .32012 .16534 .32405 .17114 .32225 .16703 .318 Metetra
.677 .732 .892 r
.16703 .318 .17114 .32225 .17699 .32017 .17293 .31558 Metetra
.688 .72 .873 r
.17293 .31558 .17699 .32017 .18289 .31778 .17886 .3129 Metetra
.696 .709 .858 r
.17886 .3129 .18289 .31778 .18883 .3151 .18483 .30998 Metetra
.701 .701 .847 r
.18483 .30998 .18883 .3151 .19481 .31217 .19083 .3069 Metetra
.703 .696 .84 r
.19083 .3069 .19481 .31217 .20081 .30906 .19685 .30371 Metetra
.703 .694 .838 r
.19685 .30371 .20081 .30906 .20684 .30583 .20289 .30049 Metetra
.702 .694 .839 r
.20289 .30049 .20684 .30583 .21288 .30256 .20893 .2973 Metetra
.7 .697 .843 r
.20893 .2973 .21288 .30256 .21893 .29933 .21497 .29418 Metetra
.697 .701 .85 r
.21497 .29418 .21893 .29933 .22498 .29617 .22101 .29116 Metetra
.693 .706 .857 r
.22101 .29116 .22498 .29617 .23102 .29312 .22705 .28826 Metetra
.689 .712 .866 r
.22705 .28826 .23102 .29312 .23707 .2902 .23309 .28548 Metetra
.685 .717 .874 r
.23309 .28548 .23707 .2902 .24312 .2874 .23913 .28281 Metetra
.681 .722 .881 r
.23913 .28281 .24312 .2874 .24916 .28472 .24517 .28023 Metetra
.677 .727 .887 r
.24517 .28023 .24916 .28472 .25521 .28213 .25122 .27773 Metetra
.674 .73 .892 r
.25122 .27773 .25521 .28213 .26127 .27963 .25728 .2753 Metetra
.671 .733 .896 r
.25728 .2753 .26127 .27963 .26733 .27719 .26335 .2729 Metetra
.669 .736 .9 r
.26335 .2729 .26733 .27719 .2734 .2748 .26942 .27055 Metetra
.668 .737 .902 r
.26942 .27055 .2734 .2748 .27948 .27245 .27551 .26821 Metetra
.667 .738 .904 r
.27551 .26821 .27948 .27245 .28558 .27012 .28161 .26589 Metetra
.666 .739 .905 r
.28161 .26589 .28558 .27012 .29168 .26781 .28772 .26359 Metetra
.665 .74 .906 r
.28772 .26359 .29168 .26781 .2978 .2655 .29385 .26128 Metetra
.665 .74 .906 r
.29385 .26128 .2978 .2655 .30393 .26321 .29999 .25898 Metetra
.664 .741 .907 r
.29999 .25898 .30393 .26321 .31007 .26091 .30614 .25668 Metetra
.664 .741 .907 r
.30614 .25668 .31007 .26091 .31623 .25862 .31231 .25438 Metetra
.664 .741 .907 r
.31231 .25438 .31623 .25862 .32241 .25632 .31849 .25208 Metetra
.664 .741 .907 r
.31849 .25208 .32241 .25632 .32859 .25402 .32468 .24977 Metetra
.664 .741 .908 r
.32468 .24977 .32859 .25402 .33479 .25172 .33089 .24746 Metetra
.664 .741 .908 r
.33089 .24746 .33479 .25172 .34101 .24942 .33712 .24515 Metetra
.664 .741 .908 r
.33712 .24515 .34101 .24942 .34724 .24711 .34336 .24283 Metetra
.664 .741 .908 r
.34336 .24283 .34724 .24711 .35348 .24479 .34961 .24051 Metetra
.664 .741 .908 r
.34961 .24051 .35348 .24479 .35974 .24247 .35588 .23818 Metetra
.664 .741 .908 r
.35588 .23818 .35974 .24247 .36602 .24015 .36216 .23585 Metetra
.664 .741 .908 r
.36216 .23585 .36602 .24015 .37231 .23782 .36846 .23351 Metetra
.664 .741 .908 r
.36846 .23351 .37231 .23782 .37861 .23549 .37477 .23116 Metetra
.664 .741 .908 r
.37477 .23116 .37861 .23549 .38493 .23315 .3811 .22881 Metetra
.664 .741 .908 r
.3811 .22881 .38493 .23315 .39126 .2308 .38744 .22646 Metetra
.664 .741 .908 r
.38744 .22646 .39126 .2308 .39761 .22845 .3938 .2241 Metetra
.664 .741 .908 r
.3938 .2241 .39761 .22845 .40397 .22609 .40017 .22173 Metetra
.664 .741 .908 r
.40017 .22173 .40397 .22609 .41035 .22373 .40656 .21936 Metetra
.664 .741 .908 r
.40656 .21936 .41035 .22373 .41674 .22137 .41296 .21698 Metetra
.664 .741 .908 r
.41296 .21698 .41674 .22137 .42315 .21899 .41938 .2146 Metetra
.664 .741 .908 r
.41938 .2146 .42315 .21899 .42958 .21661 .42581 .21221 Metetra
.664 .741 .908 r
.42581 .21221 .42958 .21661 .43602 .21423 .43226 .20981 Metetra
.664 .741 .908 r
.43226 .20981 .43602 .21423 .44247 .21184 .43873 .20741 Metetra
.664 .741 .908 r
.43873 .20741 .44247 .21184 .44894 .20945 .44521 .20501 Metetra
.664 .741 .908 r
.44521 .20501 .44894 .20945 .45543 .20704 .4517 .2026 Metetra
.663 .741 .908 r
.4517 .2026 .45543 .20704 .46193 .20464 .45821 .20018 Metetra
.663 .741 .908 r
.45821 .20018 .46193 .20464 .46844 .20223 .46474 .19776 Metetra
.663 .741 .908 r
.46474 .19776 .46844 .20223 .47497 .19981 .47128 .19533 Metetra
.663 .741 .908 r
.47128 .19533 .47497 .19981 .48152 .19739 .47784 .1929 Metetra
.663 .741 .908 r
.47784 .1929 .48152 .19739 .48809 .19496 .48441 .19046 Metetra
.663 .741 .908 r
.48441 .19046 .48809 .19496 .49467 .19253 .491 .18801 Metetra
.663 .741 .908 r
.491 .18801 .49467 .19253 .50126 .1901 .49761 .18557 Metetra
.663 .741 .908 r
.49761 .18557 .50126 .1901 .50787 .18766 .50423 .18312 Metetra
.663 .741 .908 r
.50423 .18312 .50787 .18766 .5145 .18522 .51087 .18066 Metetra
.663 .74 .908 r
.51087 .18066 .5145 .18522 .52114 .18278 .51752 .1782 Metetra
.662 .74 .908 r
.51752 .1782 .52114 .18278 .5278 .18033 .52419 .17574 Metetra
.662 .74 .908 r
.52419 .17574 .5278 .18033 .53448 .17789 .53088 .17328 Metetra
.662 .739 .907 r
.53088 .17328 .53448 .17789 .54117 .17546 .53758 .17083 Metetra
.661 .738 .907 r
.53758 .17083 .54117 .17546 .54788 .17302 .5443 .16837 Metetra
.66 .738 .907 r
.5443 .16837 .54788 .17302 .5546 .1706 .55104 .16592 Metetra
.659 .736 .907 r
.55104 .16592 .5546 .1706 .56135 .16819 .55779 .16348 Metetra
.658 .735 .906 r
.55779 .16348 .56135 .16819 .56811 .16579 .56456 .16105 Metetra
.657 .733 .906 r
.56456 .16105 .56811 .16579 .57488 .16342 .57135 .15864 Metetra
.655 .731 .905 r
.57135 .15864 .57488 .16342 .58168 .16107 .57815 .15625 Metetra
.653 .729 .905 r
.57815 .15625 .58168 .16107 .58849 .15875 .58497 .15388 Metetra
.651 .726 .904 r
.58497 .15388 .58849 .15875 .59532 .15647 .59181 .15154 Metetra
.648 .723 .903 r
.59181 .15154 .59532 .15647 .60217 .15423 .59867 .14924 Metetra
.646 .719 .902 r
.59867 .14924 .60217 .15423 .60904 .15204 .60555 .14698 Metetra
.643 .715 .9 r
.60555 .14698 .60904 .15204 .61594 .14989 .61245 .14476 Metetra
.64 .711 .899 r
.61245 .14476 .61594 .14989 .62285 .14779 .61937 .14258 Metetra
.636 .707 .897 r
.61937 .14258 .62285 .14779 .62978 .14573 .62631 .14045 Metetra
.634 .703 .896 r
.62631 .14045 .62978 .14573 .63673 .1437 .63327 .13835 Metetra
.632 .699 .894 r
.63327 .13835 .63673 .1437 .64371 .14169 .64025 .13629 Metetra
.63 .696 .893 r
.64025 .13629 .64371 .14169 .6507 .13968 .64726 .13424 Metetra
.63 .695 .892 r
.64726 .13424 .6507 .13968 .65771 .13766 .65428 .1322 Metetra
.63 .695 .891 r
.65428 .1322 .65771 .13766 .66474 .13559 .66132 .13013 Metetra
.633 .697 .891 r
.66132 .13013 .66474 .13559 .67179 .13345 .66838 .12803 Metetra
.636 .7 .892 r
.66838 .12803 .67179 .13345 .67886 .13123 .67546 .12586 Metetra
.641 .705 .894 r
.67546 .12586 .67886 .13123 .68593 .12889 .68255 .1236 Metetra
.646 .712 .896 r
.68255 .1236 .68593 .12889 .69303 .12644 .68966 .12124 Metetra
.653 .72 .898 r
.68966 .12124 .69303 .12644 .70013 .12387 .69678 .11878 Metetra
.659 .728 .9 r
.69678 .11878 .70013 .12387 .70724 .12119 .70391 .11619 Metetra
.665 .736 .903 r
.70391 .11619 .70724 .12119 .71437 .11841 .71106 .1135 Metetra
.671 .744 .905 r
.71106 .1135 .71437 .11841 .72151 .11555 .71821 .11072 Metetra
.675 .749 .907 r
.71821 .11072 .72151 .11555 .72866 .11265 .72538 .10786 Metetra
.677 .754 .909 r
.72538 .10786 .72866 .11265 .73583 .10972 .73257 .10495 Metetra
.679 .756 .909 r
.73257 .10495 .73583 .10972 .74301 .10679 .73976 .10201 Metetra
.678 .756 .91 r
.73976 .10201 .74301 .10679 .75022 .10389 .74698 .09908 Metetra
.638 .744 .925 r
.10547 .33102 .10971 .33478 .11541 .33287 .11116 .32925 Metetra
.626 .749 .935 r
.11116 .32925 .11541 .33287 .12111 .33109 .11684 .32761 Metetra
.615 .754 .945 r
.11684 .32761 .12111 .33109 .1268 .32946 .12252 .32608 Metetra
.608 .759 .951 r
.12252 .32608 .1268 .32946 .13249 .32795 .12821 .32461 Metetra
.606 .762 .953 r
.12821 .32461 .13249 .32795 .13818 .32652 .13392 .32315 Metetra
.614 .762 .95 r
.13392 .32315 .13818 .32652 .14389 .3251 .13965 .3216 Metetra
.628 .759 .941 r
.13965 .3216 .14389 .3251 .14962 .32362 .14541 .31991 Metetra
.645 .753 .927 r
.14541 .31991 .14962 .32362 .15538 .32198 .15121 .318 Metetra
.663 .743 .909 r
.15121 .318 .15538 .32198 .16119 .32012 .15706 .31584 Metetra
.677 .731 .891 r
.15706 .31584 .16119 .32012 .16703 .318 .16295 .3134 Metetra
.688 .72 .873 r
.16295 .3134 .16703 .318 .17293 .31558 .16888 .31072 Metetra
.696 .71 .859 r
.16888 .31072 .17293 .31558 .17886 .3129 .17484 .30781 Metetra
.7 .703 .849 r
.17484 .30781 .17886 .3129 .18483 .30998 .18083 .30475 Metetra
.702 .698 .843 r
.18083 .30475 .18483 .30998 .19083 .3069 .18685 .3016 Metetra
.702 .696 .841 r
.18685 .3016 .19083 .3069 .19685 .30371 .19287 .29842 Metetra
.701 .696 .842 r
.19287 .29842 .19685 .30371 .20289 .30049 .1989 .29527 Metetra
.699 .699 .846 r
.1989 .29527 .20289 .30049 .20893 .2973 .20494 .29219 Metetra
.696 .703 .852 r
.20494 .29219 .20893 .2973 .21497 .29418 .21097 .28921 Metetra
.692 .708 .859 r
.21097 .28921 .21497 .29418 .22101 .29116 .21701 .28633 Metetra
.688 .713 .867 r
.21701 .28633 .22101 .29116 .22705 .28826 .22304 .28357 Metetra
.684 .718 .875 r
.22304 .28357 .22705 .28826 .23309 .28548 .22908 .2809 Metetra
.68 .723 .882 r
.22908 .2809 .23309 .28548 .23913 .28281 .23511 .27833 Metetra
.677 .727 .888 r
.23511 .27833 .23913 .28281 .24517 .28023 .24116 .27583 Metetra
.674 .731 .893 r
.24116 .27583 .24517 .28023 .25122 .27773 .24721 .27339 Metetra
.671 .734 .897 r
.24721 .27339 .25122 .27773 .25728 .2753 .25327 .271 Metetra
.669 .736 .9 r
.25327 .271 .25728 .2753 .26335 .2729 .25934 .26864 Metetra
.668 .737 .902 r
.25934 .26864 .26335 .2729 .26942 .27055 .26542 .2663 Metetra
.667 .738 .904 r
.26542 .2663 .26942 .27055 .27551 .26821 .27152 .26398 Metetra
.666 .739 .905 r
.27152 .26398 .27551 .26821 .28161 .26589 .27762 .26166 Metetra
.665 .74 .906 r
.27762 .26166 .28161 .26589 .28772 .26359 .28374 .25936 Metetra
.665 .74 .906 r
.28374 .25936 .28772 .26359 .29385 .26128 .28988 .25705 Metetra
.664 .741 .907 r
.28988 .25705 .29385 .26128 .29999 .25898 .29602 .25475 Metetra
.664 .741 .907 r
.29602 .25475 .29999 .25898 .30614 .25668 .30219 .25244 Metetra
.664 .741 .907 r
.30219 .25244 .30614 .25668 .31231 .25438 .30836 .25013 Metetra
.664 .741 .907 r
.30836 .25013 .31231 .25438 .31849 .25208 .31455 .24782 Metetra
.664 .741 .908 r
.31455 .24782 .31849 .25208 .32468 .24977 .32076 .24551 Metetra
.664 .741 .908 r
.32076 .24551 .32468 .24977 .33089 .24746 .32697 .24319 Metetra
.664 .741 .908 r
.32697 .24319 .33089 .24746 .33712 .24515 .33321 .24087 Metetra
.664 .741 .908 r
.33321 .24087 .33712 .24515 .34336 .24283 .33945 .23854 Metetra
.664 .741 .908 r
.33945 .23854 .34336 .24283 .34961 .24051 .34572 .23621 Metetra
.664 .741 .908 r
.34572 .23621 .34961 .24051 .35588 .23818 .35199 .23387 Metetra
.664 .741 .908 r
.35199 .23387 .35588 .23818 .36216 .23585 .35829 .23152 Metetra
.664 .741 .908 r
.35829 .23152 .36216 .23585 .36846 .23351 .36459 .22917 Metetra
.664 .741 .908 r
.36459 .22917 .36846 .23351 .37477 .23116 .37092 .22682 Metetra
.664 .741 .908 r
.37092 .22682 .37477 .23116 .3811 .22881 .37725 .22446 Metetra
.664 .741 .908 r
.37725 .22446 .3811 .22881 .38744 .22646 .3836 .22209 Metetra
.664 .741 .908 r
.3836 .22209 .38744 .22646 .3938 .2241 .38997 .21972 Metetra
.664 .741 .908 r
.38997 .21972 .3938 .2241 .40017 .22173 .39635 .21735 Metetra
.664 .741 .908 r
.39635 .21735 .40017 .22173 .40656 .21936 .40275 .21496 Metetra
.664 .741 .908 r
.40275 .21496 .40656 .21936 .41296 .21698 .40916 .21258 Metetra
.664 .741 .908 r
.40916 .21258 .41296 .21698 .41938 .2146 .41559 .21018 Metetra
.664 .741 .908 r
.41559 .21018 .41938 .2146 .42581 .21221 .42203 .20778 Metetra
.664 .741 .908 r
.42203 .20778 .42581 .21221 .43226 .20981 .42849 .20538 Metetra
.664 .741 .908 r
.42849 .20538 .43226 .20981 .43873 .20741 .43497 .20297 Metetra
.664 .741 .908 r
.43497 .20297 .43873 .20741 .44521 .20501 .44146 .20055 Metetra
.664 .741 .908 r
.44146 .20055 .44521 .20501 .4517 .2026 .44796 .19813 Metetra
.664 .741 .908 r
.44796 .19813 .4517 .2026 .45821 .20018 .45448 .1957 Metetra
.663 .741 .908 r
.45448 .1957 .45821 .20018 .46474 .19776 .46102 .19327 Metetra
.663 .741 .908 r
.46102 .19327 .46474 .19776 .47128 .19533 .46757 .19083 Metetra
.663 .741 .908 r
.46757 .19083 .47128 .19533 .47784 .1929 .47414 .18838 Metetra
.663 .741 .908 r
.47414 .18838 .47784 .1929 .48441 .19046 .48072 .18593 Metetra
.663 .741 .908 r
.48072 .18593 .48441 .19046 .491 .18801 .48732 .18348 Metetra
.663 .741 .908 r
.48732 .18348 .491 .18801 .49761 .18557 .49394 .18102 Metetra
.663 .741 .908 r
.49394 .18102 .49761 .18557 .50423 .18312 .50057 .17855 Metetra
.663 .741 .908 r
.50057 .17855 .50423 .18312 .51087 .18066 .50722 .17608 Metetra
.663 .741 .908 r
.50722 .17608 .51087 .18066 .51752 .1782 .51388 .17361 Metetra
.663 .74 .908 r
.51388 .17361 .51752 .1782 .52419 .17574 .52056 .17114 Metetra
.662 .74 .908 r
.52056 .17114 .52419 .17574 .53088 .17328 .52726 .16866 Metetra
.662 .74 .908 r
.52726 .16866 .53088 .17328 .53758 .17083 .53397 .16619 Metetra
.662 .739 .907 r
.53397 .16619 .53758 .17083 .5443 .16837 .5407 .16371 Metetra
.661 .738 .907 r
.5407 .16371 .5443 .16837 .55104 .16592 .54745 .16124 Metetra
.66 .738 .907 r
.54745 .16124 .55104 .16592 .55779 .16348 .55421 .15877 Metetra
.659 .736 .907 r
.55421 .15877 .55779 .16348 .56456 .16105 .56099 .15631 Metetra
.658 .735 .906 r
.56099 .15631 .56456 .16105 .57135 .15864 .56779 .15387 Metetra
.657 .734 .906 r
.56779 .15387 .57135 .15864 .57815 .15625 .57461 .15144 Metetra
.655 .732 .905 r
.57461 .15144 .57815 .15625 .58497 .15388 .58144 .14902 Metetra
.653 .729 .905 r
.58144 .14902 .58497 .15388 .59181 .15154 .58829 .14664 Metetra
.651 .726 .904 r
.58829 .14664 .59181 .15154 .59867 .14924 .59516 .14428 Metetra
.649 .723 .903 r
.59516 .14428 .59867 .14924 .60555 .14698 .60205 .14196 Metetra
.646 .72 .902 r
.60205 .14196 .60555 .14698 .61245 .14476 .60896 .13967 Metetra
.643 .716 .9 r
.60896 .13967 .61245 .14476 .61937 .14258 .61588 .13742 Metetra
.64 .712 .899 r
.61588 .13742 .61937 .14258 .62631 .14045 .62283 .13522 Metetra
.637 .708 .898 r
.62283 .13522 .62631 .14045 .63327 .13835 .6298 .13306 Metetra
.635 .704 .896 r
.6298 .13306 .63327 .13835 .64025 .13629 .63679 .13093 Metetra
.633 .7 .895 r
.63679 .13093 .64025 .13629 .64726 .13424 .6438 .12883 Metetra
.631 .698 .893 r
.6438 .12883 .64726 .13424 .65428 .1322 .65083 .12675 Metetra
.631 .697 .892 r
.65083 .12675 .65428 .1322 .66132 .13013 .65788 .12467 Metetra
.632 .697 .892 r
.65788 .12467 .66132 .13013 .66838 .12803 .66495 .12256 Metetra
.634 .698 .892 r
.66495 .12256 .66838 .12803 .67546 .12586 .67204 .12042 Metetra
.637 .702 .893 r
.67204 .12042 .67546 .12586 .68255 .1236 .67915 .11822 Metetra
.641 .707 .894 r
.67915 .11822 .68255 .1236 .68966 .12124 .68627 .11593 Metetra
.647 .713 .896 r
.68627 .11593 .68966 .12124 .69678 .11878 .69341 .11355 Metetra
.653 .72 .898 r
.69341 .11355 .69678 .11878 .70391 .11619 .70056 .11107 Metetra
.659 .728 .901 r
.70056 .11107 .70391 .11619 .71106 .1135 .70772 .10847 Metetra
.665 .736 .903 r
.70772 .10847 .71106 .1135 .71821 .11072 .7149 .10577 Metetra
.67 .743 .905 r
.7149 .10577 .71821 .11072 .72538 .10786 .72209 .10298 Metetra
.674 .749 .907 r
.72209 .10298 .72538 .10786 .73257 .10495 .72929 .10012 Metetra
.677 .753 .908 r
.72929 .10012 .73257 .10495 .73976 .10201 .7365 .0972 Metetra
.678 .755 .909 r
.7365 .0972 .73976 .10201 .74698 .09908 .74373 .09426 Metetra
.627 .75 .936 r
.10119 .3274 .10547 .33102 .11116 .32925 .10686 .32575 Metetra
.617 .755 .944 r
.10686 .32575 .11116 .32925 .11684 .32761 .11254 .3242 Metetra
.611 .759 .95 r
.11254 .3242 .11684 .32761 .12252 .32608 .11823 .3227 Metetra
.611 .761 .951 r
.11823 .3227 .12252 .32608 .12821 .32461 .12393 .32118 Metetra
.618 .761 .947 r
.12393 .32118 .12821 .32461 .13392 .32315 .12966 .31959 Metetra
.632 .758 .938 r
.12966 .31959 .13392 .32315 .13965 .3216 .13542 .31785 Metetra
.649 .751 .924 r
.13542 .31785 .13965 .3216 .14541 .31991 .14122 .31589 Metetra
.665 .741 .907 r
.14122 .31589 .14541 .31991 .15121 .318 .14706 .31369 Metetra
.678 .73 .89 r
.14706 .31369 .15121 .318 .15706 .31584 .15294 .31124 Metetra
.688 .72 .874 r
.15294 .31124 .15706 .31584 .16295 .3134 .15887 .30855 Metetra
.695 .711 .86 r
.15887 .30855 .16295 .3134 .16888 .31072 .16483 .30566 Metetra
.699 .704 .851 r
.16483 .30566 .16888 .31072 .17484 .30781 .17082 .30263 Metetra
.701 .7 .845 r
.17082 .30263 .17484 .30781 .18083 .30475 .17682 .29951 Metetra
.701 .698 .844 r
.17682 .29951 .18083 .30475 .18685 .3016 .18284 .29637 Metetra
.7 .698 .845 r
.18284 .29637 .18685 .3016 .19287 .29842 .18886 .29326 Metetra
.698 .701 .849 r
.18886 .29326 .19287 .29842 .1989 .29527 .19489 .29021 Metetra
.695 .704 .855 r
.19489 .29021 .1989 .29527 .20494 .29219 .20092 .28725 Metetra
.692 .709 .861 r
.20092 .28725 .20494 .29219 .21097 .28921 .20694 .2844 Metetra
.688 .714 .869 r
.20694 .2844 .21097 .28921 .21701 .28633 .21297 .28165 Metetra
.684 .719 .876 r
.21297 .28165 .21701 .28633 .22304 .28357 .219 .27899 Metetra
.68 .724 .883 r
.219 .27899 .22304 .28357 .22908 .2809 .22504 .27643 Metetra
.677 .728 .888 r
.22504 .27643 .22908 .2809 .23511 .27833 .23107 .27393 Metetra
.674 .731 .893 r
.23107 .27393 .23511 .27833 .24116 .27583 .23712 .27149 Metetra
.671 .734 .897 r
.23712 .27149 .24116 .27583 .24721 .27339 .24318 .26909 Metetra
.669 .736 .9 r
.24318 .26909 .24721 .27339 .25327 .271 .24924 .26673 Metetra
.668 .737 .902 r
.24924 .26673 .25327 .271 .25934 .26864 .25532 .26438 Metetra
.667 .738 .904 r
.25532 .26438 .25934 .26864 .26542 .2663 .26141 .26206 Metetra
.666 .739 .905 r
.26141 .26206 .26542 .2663 .27152 .26398 .26751 .25974 Metetra
.665 .74 .906 r
.26751 .25974 .27152 .26398 .27762 .26166 .27362 .25743 Metetra
.665 .74 .906 r
.27362 .25743 .27762 .26166 .28374 .25936 .27975 .25512 Metetra
.664 .741 .907 r
.27975 .25512 .28374 .25936 .28988 .25705 .28589 .25281 Metetra
.664 .741 .907 r
.28589 .25281 .28988 .25705 .29602 .25475 .29205 .2505 Metetra
.664 .741 .907 r
.29205 .2505 .29602 .25475 .30219 .25244 .29822 .24819 Metetra
.664 .741 .907 r
.29822 .24819 .30219 .25244 .30836 .25013 .3044 .24587 Metetra
.664 .741 .908 r
.3044 .24587 .30836 .25013 .31455 .24782 .3106 .24355 Metetra
.664 .741 .908 r
.3106 .24355 .31455 .24782 .32076 .24551 .31681 .24123 Metetra
.664 .741 .908 r
.31681 .24123 .32076 .24551 .32697 .24319 .32304 .2389 Metetra
.664 .741 .908 r
.32304 .2389 .32697 .24319 .33321 .24087 .32928 .23657 Metetra
.664 .741 .908 r
.32928 .23657 .33321 .24087 .33945 .23854 .33554 .23423 Metetra
.664 .741 .908 r
.33554 .23423 .33945 .23854 .34572 .23621 .34181 .23189 Metetra
.664 .741 .908 r
.34181 .23189 .34572 .23621 .35199 .23387 .34809 .22954 Metetra
.664 .741 .908 r
.34809 .22954 .35199 .23387 .35829 .23152 .3544 .22718 Metetra
.664 .741 .908 r
.3544 .22718 .35829 .23152 .36459 .22917 .36071 .22482 Metetra
.664 .741 .908 r
.36071 .22482 .36459 .22917 .37092 .22682 .36704 .22246 Metetra
.664 .741 .908 r
.36704 .22246 .37092 .22682 .37725 .22446 .37339 .22009 Metetra
.664 .741 .908 r
.37339 .22009 .37725 .22446 .3836 .22209 .37975 .21771 Metetra
.664 .741 .908 r
.37975 .21771 .3836 .22209 .38997 .21972 .38613 .21533 Metetra
.664 .741 .908 r
.38613 .21533 .38997 .21972 .39635 .21735 .39252 .21294 Metetra
.664 .741 .908 r
.39252 .21294 .39635 .21735 .40275 .21496 .39892 .21055 Metetra
.664 .741 .908 r
.39892 .21055 .40275 .21496 .40916 .21258 .40535 .20815 Metetra
.664 .741 .908 r
.40535 .20815 .40916 .21258 .41559 .21018 .41178 .20575 Metetra
.664 .741 .908 r
.41178 .20575 .41559 .21018 .42203 .20778 .41824 .20334 Metetra
.664 .741 .908 r
.41824 .20334 .42203 .20778 .42849 .20538 .42471 .20092 Metetra
.664 .741 .908 r
.42471 .20092 .42849 .20538 .43497 .20297 .43119 .1985 Metetra
.664 .741 .908 r
.43119 .1985 .43497 .20297 .44146 .20055 .43769 .19607 Metetra
.664 .741 .908 r
.43769 .19607 .44146 .20055 .44796 .19813 .4442 .19364 Metetra
.664 .741 .908 r
.4442 .19364 .44796 .19813 .45448 .1957 .45074 .1912 Metetra
.664 .741 .908 r
.45074 .1912 .45448 .1957 .46102 .19327 .45728 .18876 Metetra
.663 .741 .908 r
.45728 .18876 .46102 .19327 .46757 .19083 .46384 .1863 Metetra
.663 .741 .908 r
.46384 .1863 .46757 .19083 .47414 .18838 .47042 .18385 Metetra
.663 .741 .908 r
.47042 .18385 .47414 .18838 .48072 .18593 .47702 .18139 Metetra
.663 .741 .908 r
.47702 .18139 .48072 .18593 .48732 .18348 .48363 .17892 Metetra
.663 .741 .908 r
.48363 .17892 .48732 .18348 .49394 .18102 .49025 .17645 Metetra
.663 .741 .908 r
.49025 .17645 .49394 .18102 .50057 .17855 .4969 .17397 Metetra
.663 .741 .908 r
.4969 .17397 .50057 .17855 .50722 .17608 .50355 .17149 Metetra
.663 .741 .908 r
.50355 .17149 .50722 .17608 .51388 .17361 .51023 .16901 Metetra
.663 .741 .908 r
.51023 .16901 .51388 .17361 .52056 .17114 .51692 .16652 Metetra
.663 .74 .908 r
.51692 .16652 .52056 .17114 .52726 .16866 .52363 .16403 Metetra
.662 .74 .908 r
.52363 .16403 .52726 .16866 .53397 .16619 .53035 .16153 Metetra
.662 .74 .908 r
.53035 .16153 .53397 .16619 .5407 .16371 .53709 .15904 Metetra
.662 .739 .907 r
.53709 .15904 .5407 .16371 .54745 .16124 .54385 .15655 Metetra
.661 .738 .907 r
.54385 .15655 .54745 .16124 .55421 .15877 .55062 .15406 Metetra
.66 .738 .907 r
.55062 .15406 .55421 .15877 .56099 .15631 .55741 .15157 Metetra
.659 .736 .907 r
.55741 .15157 .56099 .15631 .56779 .15387 .56422 .1491 Metetra
.658 .735 .906 r
.56422 .1491 .56779 .15387 .57461 .15144 .57105 .14663 Metetra
.657 .734 .906 r
.57105 .14663 .57461 .15144 .58144 .14902 .57789 .14418 Metetra
.655 .732 .905 r
.57789 .14418 .58144 .14902 .58829 .14664 .58475 .14175 Metetra
.654 .729 .905 r
.58475 .14175 .58829 .14664 .59516 .14428 .59163 .13935 Metetra
.651 .727 .904 r
.59163 .13935 .59516 .14428 .60205 .14196 .59853 .13697 Metetra
.649 .724 .903 r
.59853 .13697 .60205 .14196 .60896 .13967 .60545 .13462 Metetra
.646 .72 .902 r
.60545 .13462 .60896 .13967 .61588 .13742 .61238 .13231 Metetra
.644 .716 .901 r
.61238 .13231 .61588 .13742 .62283 .13522 .61934 .13004 Metetra
.641 .712 .899 r
.61934 .13004 .62283 .13522 .6298 .13306 .62632 .12781 Metetra
.638 .709 .898 r
.62632 .12781 .6298 .13306 .63679 .13093 .63331 .12561 Metetra
.636 .705 .896 r
.63331 .12561 .63679 .13093 .6438 .12883 .64033 .12346 Metetra
.634 .702 .895 r
.64033 .12346 .6438 .12883 .65083 .12675 .64737 .12132 Metetra
.632 .7 .894 r
.64737 .12132 .65083 .12675 .65788 .12467 .65443 .1192 Metetra
.632 .698 .893 r
.65443 .1192 .65788 .12467 .66495 .12256 .66151 .11708 Metetra
.633 .698 .893 r
.66151 .11708 .66495 .12256 .67204 .12042 .66861 .11495 Metetra
.635 .7 .893 r
.66861 .11495 .67204 .12042 .67915 .11822 .67573 .11277 Metetra
.638 .703 .894 r
.67573 .11277 .67915 .11822 .68627 .11593 .68287 .11053 Metetra
.642 .708 .895 r
.68287 .11053 .68627 .11593 .69341 .11355 .69002 .10822 Metetra
.647 .714 .896 r
.69002 .10822 .69341 .11355 .70056 .11107 .69719 .10582 Metetra
.653 .721 .899 r
.69719 .10582 .70056 .11107 .70772 .10847 .70437 .10331 Metetra
.658 .728 .901 r
.70437 .10331 .70772 .10847 .7149 .10577 .71156 .1007 Metetra
.664 .736 .903 r
.71156 .1007 .7149 .10577 .72209 .10298 .71877 .09799 Metetra
.669 .742 .905 r
.71877 .09799 .72209 .10298 .72929 .10012 .72599 .09519 Metetra
.673 .748 .907 r
.72599 .09519 .72929 .10012 .7365 .0972 .73322 .09232 Metetra
.676 .752 .908 r
.73322 .09232 .7365 .0972 .74373 .09426 .74047 .0894 Metetra
.618 .755 .943 r
.09687 .32388 .10119 .3274 .10686 .32575 .10254 .32231 Metetra
.614 .758 .948 r
.10254 .32231 .10686 .32575 .11254 .3242 .10822 .32077 Metetra
.615 .76 .948 r
.10822 .32077 .11254 .3242 .11823 .3227 .11392 .31922 Metetra
.623 .76 .944 r
.11392 .31922 .11823 .3227 .12393 .32118 .11965 .31758 Metetra
.636 .756 .935 r
.11965 .31758 .12393 .32118 .12966 .31959 .1254 .31578 Metetra
.651 .749 .921 r
.1254 .31578 .12966 .31959 .13542 .31785 .1312 .31379 Metetra
.666 .74 .905 r
.1312 .31379 .13542 .31785 .14122 .31589 .13704 .31156 Metetra
.679 .73 .889 r
.13704 .31156 .14122 .31589 .14706 .31369 .14292 .30909 Metetra
.688 .72 .874 r
.14292 .30909 .14706 .31369 .15294 .31124 .14884 .3064 Metetra
.694 .712 .862 r
.14884 .3064 .15294 .31124 .15887 .30855 .1548 .30352 Metetra
.698 .705 .853 r
.1548 .30352 .15887 .30855 .16483 .30566 .16078 .30052 Metetra
.7 .701 .848 r
.16078 .30052 .16483 .30566 .17082 .30263 .16677 .29743 Metetra
.7 .7 .846 r
.16677 .29743 .17082 .30263 .17682 .29951 .17278 .29432 Metetra
.699 .7 .847 r
.17278 .29432 .17682 .29951 .18284 .29637 .1788 .29124 Metetra
.697 .702 .851 r
.1788 .29124 .18284 .29637 .18886 .29326 .18482 .28823 Metetra
.694 .706 .857 r
.18482 .28823 .18886 .29326 .19489 .29021 .19084 .2853 Metetra
.691 .71 .863 r
.19084 .2853 .19489 .29021 .20092 .28725 .19686 .28246 Metetra
.687 .715 .87 r
.19686 .28246 .20092 .28725 .20694 .2844 .20289 .27973 Metetra
.683 .72 .877 r
.20289 .27973 .20694 .2844 .21297 .28165 .20891 .27708 Metetra
.68 .724 .883 r
.20891 .27708 .21297 .28165 .219 .27899 .21494 .27452 Metetra
.676 .728 .889 r
.21494 .27452 .219 .27899 .22504 .27643 .22097 .27202 Metetra
.674 .731 .893 r
.22097 .27202 .22504 .27643 .23107 .27393 .22701 .26958 Metetra
.671 .734 .897 r
.22701 .26958 .23107 .27393 .23712 .27149 .23306 .26718 Metetra
.669 .736 .9 r
.23306 .26718 .23712 .27149 .24318 .26909 .23912 .26481 Metetra
.668 .737 .902 r
.23912 .26481 .24318 .26909 .24924 .26673 .24519 .26246 Metetra
.667 .738 .904 r
.24519 .26246 .24924 .26673 .25532 .26438 .25127 .26013 Metetra
.666 .739 .905 r
.25127 .26013 .25532 .26438 .26141 .26206 .25737 .25781 Metetra
.665 .74 .906 r
.25737 .25781 .26141 .26206 .26751 .25974 .26348 .25549 Metetra
.665 .74 .906 r
.26348 .25549 .26751 .25974 .27362 .25743 .2696 .25318 Metetra
.664 .74 .907 r
.2696 .25318 .27362 .25743 .27975 .25512 .27574 .25086 Metetra
.664 .741 .907 r
.27574 .25086 .27975 .25512 .28589 .25281 .28189 .24855 Metetra
.664 .741 .907 r
.28189 .24855 .28589 .25281 .29205 .2505 .28805 .24623 Metetra
.664 .741 .907 r
.28805 .24623 .29205 .2505 .29822 .24819 .29423 .24391 Metetra
.664 .741 .908 r
.29423 .24391 .29822 .24819 .3044 .24587 .30042 .24159 Metetra
.664 .741 .908 r
.30042 .24159 .3044 .24587 .3106 .24355 .30663 .23926 Metetra
.664 .741 .908 r
.30663 .23926 .3106 .24355 .31681 .24123 .31285 .23693 Metetra
.664 .741 .908 r
.31285 .23693 .31681 .24123 .32304 .2389 .31909 .23459 Metetra
.664 .741 .908 r
.31909 .23459 .32304 .2389 .32928 .23657 .32534 .23225 Metetra
.664 .741 .908 r
.32534 .23225 .32928 .23657 .33554 .23423 .3316 .2299 Metetra
.664 .741 .908 r
.3316 .2299 .33554 .23423 .34181 .23189 .33788 .22755 Metetra
.664 .741 .908 r
.33788 .22755 .34181 .23189 .34809 .22954 .34418 .22519 Metetra
.664 .741 .908 r
.34418 .22519 .34809 .22954 .3544 .22718 .35049 .22282 Metetra
.664 .741 .908 r
.35049 .22282 .3544 .22718 .36071 .22482 .35681 .22045 Metetra
.664 .741 .908 r
.35681 .22045 .36071 .22482 .36704 .22246 .36315 .21808 Metetra
.664 .741 .908 r
.36315 .21808 .36704 .22246 .37339 .22009 .36951 .2157 Metetra
.664 .741 .908 r
.36951 .2157 .37339 .22009 .37975 .21771 .37588 .21331 Metetra
.664 .741 .908 r
.37588 .21331 .37975 .21771 .38613 .21533 .38227 .21092 Metetra
.664 .741 .908 r
.38227 .21092 .38613 .21533 .39252 .21294 .38867 .20852 Metetra
.664 .741 .908 r
.38867 .20852 .39252 .21294 .39892 .21055 .39508 .20612 Metetra
.664 .741 .908 r
.39508 .20612 .39892 .21055 .40535 .20815 .40151 .20371 Metetra
.664 .741 .908 r
.40151 .20371 .40535 .20815 .41178 .20575 .40796 .20129 Metetra
.664 .741 .908 r
.40796 .20129 .41178 .20575 .41824 .20334 .41442 .19887 Metetra
.664 .741 .908 r
.41442 .19887 .41824 .20334 .42471 .20092 .4209 .19645 Metetra
.664 .741 .908 r
.4209 .19645 .42471 .20092 .43119 .1985 .4274 .19401 Metetra
.664 .741 .908 r
.4274 .19401 .43119 .1985 .43769 .19607 .43391 .19157 Metetra
.664 .741 .908 r
.43391 .19157 .43769 .19607 .4442 .19364 .44043 .18913 Metetra
.664 .741 .908 r
.44043 .18913 .4442 .19364 .45074 .1912 .44697 .18668 Metetra
.664 .741 .908 r
.44697 .18668 .45074 .1912 .45728 .18876 .45353 .18423 Metetra
.664 .741 .908 r
.45353 .18423 .45728 .18876 .46384 .1863 .4601 .18176 Metetra
.663 .741 .908 r
.4601 .18176 .46384 .1863 .47042 .18385 .46669 .1793 Metetra
.663 .741 .908 r
.46669 .1793 .47042 .18385 .47702 .18139 .47329 .17682 Metetra
.663 .741 .908 r
.47329 .17682 .47702 .18139 .48363 .17892 .47991 .17434 Metetra
.663 .741 .908 r
.47991 .17434 .48363 .17892 .49025 .17645 .48655 .17186 Metetra
.663 .741 .908 r
.48655 .17186 .49025 .17645 .4969 .17397 .4932 .16937 Metetra
.663 .741 .908 r
.4932 .16937 .4969 .17397 .50355 .17149 .49987 .16688 Metetra
.663 .741 .908 r
.49987 .16688 .50355 .17149 .51023 .16901 .50656 .16438 Metetra
.663 .741 .908 r
.50656 .16438 .51023 .16901 .51692 .16652 .51326 .16188 Metetra
.663 .741 .908 r
.51326 .16188 .51692 .16652 .52363 .16403 .51998 .15937 Metetra
.663 .74 .908 r
.51998 .15937 .52363 .16403 .53035 .16153 .52671 .15686 Metetra
.662 .74 .908 r
.52671 .15686 .53035 .16153 .53709 .15904 .53346 .15435 Metetra
.662 .74 .908 r
.53346 .15435 .53709 .15904 .54385 .15655 .54023 .15184 Metetra
.662 .739 .907 r
.54023 .15184 .54385 .15655 .55062 .15406 .54702 .14933 Metetra
.661 .738 .907 r
.54702 .14933 .55062 .15406 .55741 .15157 .55382 .14682 Metetra
.66 .738 .907 r
.55382 .14682 .55741 .15157 .56422 .1491 .56064 .14432 Metetra
.659 .736 .907 r
.56064 .14432 .56422 .1491 .57105 .14663 .56747 .14183 Metetra
.658 .735 .906 r
.56747 .14183 .57105 .14663 .57789 .14418 .57433 .13935 Metetra
.657 .734 .906 r
.57433 .13935 .57789 .14418 .58475 .14175 .5812 .13688 Metetra
.655 .732 .905 r
.5812 .13688 .58475 .14175 .59163 .13935 .58809 .13443 Metetra
.654 .729 .905 r
.58809 .13443 .59163 .13935 .59853 .13697 .595 .132 Metetra
.652 .727 .904 r
.595 .132 .59853 .13697 .60545 .13462 .60192 .1296 Metetra
.649 .724 .903 r
.60192 .1296 .60545 .13462 .61238 .13231 .60887 .12723 Metetra
.647 .721 .902 r
.60887 .12723 .61238 .13231 .61934 .13004 .61583 .1249 Metetra
.644 .717 .901 r
.61583 .1249 .61934 .13004 .62632 .12781 .62282 .1226 Metetra
.641 .713 .9 r
.62282 .1226 .62632 .12781 .63331 .12561 .62982 .12035 Metetra
.639 .71 .898 r
.62982 .12035 .63331 .12561 .64033 .12346 .63685 .11812 Metetra
.636 .706 .897 r
.63685 .11812 .64033 .12346 .64737 .12132 .6439 .11593 Metetra
.635 .703 .896 r
.6439 .11593 .64737 .12132 .65443 .1192 .65097 .11376 Metetra
.633 .701 .895 r
.65097 .11376 .65443 .1192 .66151 .11708 .65806 .11161 Metetra
.633 .7 .894 r
.65806 .11161 .66151 .11708 .66861 .11495 .66517 .10945 Metetra
.634 .7 .893 r
.66517 .10945 .66861 .11495 .67573 .11277 .6723 .10728 Metetra
.636 .701 .893 r
.6723 .10728 .67573 .11277 .68287 .11053 .67945 .10507 Metetra
.639 .704 .894 r
.67945 .10507 .68287 .11053 .69002 .10822 .68661 .1028 Metetra
.642 .709 .895 r
.68661 .1028 .69002 .10822 .69719 .10582 .6938 .10046 Metetra
.647 .715 .897 r
.6938 .10046 .69719 .10582 .70437 .10331 .70099 .09803 Metetra
.653 .721 .899 r
.70099 .09803 .70437 .10331 .71156 .1007 .70821 .09551 Metetra
.658 .728 .901 r
.70821 .09551 .71156 .1007 .71877 .09799 .71543 .09288 Metetra
.664 .735 .903 r
.71543 .09288 .71877 .09799 .72599 .09519 .72267 .09016 Metetra
.668 .742 .905 r
.72267 .09016 .72599 .09519 .73322 .09232 .72992 .08735 Metetra
.672 .747 .907 r
.72992 .08735 .73322 .09232 .74047 .0894 .73718 .08448 Metetra
.617 .758 .946 r
.09252 .32042 .09687 .32388 .10254 .32231 .0982 .31885 Metetra
.619 .759 .946 r
.0982 .31885 .10254 .32231 .10822 .32077 .1039 .31725 Metetra
.627 .758 .941 r
.1039 .31725 .10822 .32077 .11392 .31922 .10962 .31556 Metetra
.639 .754 .932 r
.10962 .31556 .11392 .31922 .11965 .31758 .11538 .31372 Metetra
.654 .748 .919 r
.11538 .31372 .11965 .31758 .1254 .31578 .12117 .31169 Metetra
.667 .739 .904 r
.12117 .31169 .1254 .31578 .1312 .31379 .12701 .30943 Metetra
.679 .729 .888 r
.12701 .30943 .1312 .31379 .13704 .31156 .13288 .30695 Metetra
.688 .72 .874 r
.13288 .30695 .13704 .31156 .14292 .30909 .1388 .30426 Metetra
.694 .712 .863 r
.1388 .30426 .14292 .30909 .14884 .3064 .14475 .3014 Metetra
.697 .707 .855 r
.14475 .3014 .14884 .3064 .1548 .30352 .15072 .29842 Metetra
.699 .703 .85 r
.15072 .29842 .1548 .30352 .16078 .30052 .15671 .29536 Metetra
.699 .701 .849 r
.15671 .29536 .16078 .30052 .16677 .29743 .16271 .29229 Metetra
.698 .702 .85 r
.16271 .29229 .16677 .29743 .17278 .29432 .16872 .28924 Metetra
.696 .704 .854 r
.16872 .28924 .17278 .29432 .1788 .29124 .17473 .28625 Metetra
.693 .708 .859 r
.17473 .28625 .1788 .29124 .18482 .28823 .18075 .28334 Metetra
.69 .712 .865 r
.18075 .28334 .18482 .28823 .19084 .2853 .18676 .28053 Metetra
.686 .716 .872 r
.18676 .28053 .19084 .2853 .19686 .28246 .19278 .2778 Metetra
.683 .721 .878 r
.19278 .2778 .19686 .28246 .20289 .27973 .1988 .27517 Metetra
.679 .725 .884 r
.1988 .27517 .20289 .27973 .20891 .27708 .20482 .27261 Metetra
.676 .728 .889 r
.20482 .27261 .20891 .27708 .21494 .27452 .21085 .27011 Metetra
.673 .731 .894 r
.21085 .27011 .21494 .27452 .22097 .27202 .21688 .26767 Metetra
.671 .734 .897 r
.21688 .26767 .22097 .27202 .22701 .26958 .22293 .26526 Metetra
.669 .736 .9 r
.22293 .26526 .22701 .26958 .23306 .26718 .22898 .26289 Metetra
.668 .737 .902 r
.22898 .26289 .23306 .26718 .23912 .26481 .23505 .26054 Metetra
.667 .738 .904 r
.23505 .26054 .23912 .26481 .24519 .26246 .24112 .2582 Metetra
.666 .739 .905 r
.24112 .2582 .24519 .26246 .25127 .26013 .24721 .25587 Metetra
.665 .74 .906 r
.24721 .25587 .25127 .26013 .25737 .25781 .25332 .25355 Metetra
.665 .74 .906 r
.25332 .25355 .25737 .25781 .26348 .25549 .25943 .25123 Metetra
.664 .741 .907 r
.25943 .25123 .26348 .25549 .2696 .25318 .26556 .24892 Metetra
.664 .741 .907 r
.26556 .24892 .2696 .25318 .27574 .25086 .27171 .2466 Metetra
.664 .741 .907 r
.27171 .2466 .27574 .25086 .28189 .24855 .27786 .24427 Metetra
.664 .741 .907 r
.27786 .24427 .28189 .24855 .28805 .24623 .28404 .24195 Metetra
.664 .741 .908 r
.28404 .24195 .28805 .24623 .29423 .24391 .29022 .23962 Metetra
.664 .741 .908 r
.29022 .23962 .29423 .24391 .30042 .24159 .29642 .23729 Metetra
.664 .741 .908 r
.29642 .23729 .30042 .24159 .30663 .23926 .30264 .23495 Metetra
.664 .741 .908 r
.30264 .23495 .30663 .23926 .31285 .23693 .30887 .23261 Metetra
.664 .741 .908 r
.30887 .23261 .31285 .23693 .31909 .23459 .31512 .23026 Metetra
.664 .741 .908 r
.31512 .23026 .31909 .23459 .32534 .23225 .32138 .22791 Metetra
.664 .741 .908 r
.32138 .22791 .32534 .23225 .3316 .2299 .32765 .22555 Metetra
.664 .741 .908 r
.32765 .22555 .3316 .2299 .33788 .22755 .33394 .22319 Metetra
.664 .741 .908 r
.33394 .22319 .33788 .22755 .34418 .22519 .34024 .22082 Metetra
.664 .741 .908 r
.34024 .22082 .34418 .22519 .35049 .22282 .34656 .21844 Metetra
.664 .741 .908 r
.34656 .21844 .35049 .22282 .35681 .22045 .3529 .21606 Metetra
.664 .741 .908 r
.3529 .21606 .35681 .22045 .36315 .21808 .35925 .21368 Metetra
.664 .741 .908 r
.35925 .21368 .36315 .21808 .36951 .2157 .36561 .21129 Metetra
.664 .741 .908 r
.36561 .21129 .36951 .2157 .37588 .21331 .37199 .20889 Metetra
.664 .741 .908 r
.37199 .20889 .37588 .21331 .38227 .21092 .37839 .20649 Metetra
.664 .741 .908 r
.37839 .20649 .38227 .21092 .38867 .20852 .3848 .20408 Metetra
.664 .741 .908 r
.3848 .20408 .38867 .20852 .39508 .20612 .39122 .20167 Metetra
.664 .741 .908 r
.39122 .20167 .39508 .20612 .40151 .20371 .39767 .19925 Metetra
.664 .741 .908 r
.39767 .19925 .40151 .20371 .40796 .20129 .40412 .19682 Metetra
.664 .741 .908 r
.40412 .19682 .40796 .20129 .41442 .19887 .41059 .19439 Metetra
.664 .741 .908 r
.41059 .19439 .41442 .19887 .4209 .19645 .41708 .19195 Metetra
.664 .741 .908 r
.41708 .19195 .4209 .19645 .4274 .19401 .42359 .18951 Metetra
.664 .741 .908 r
.42359 .18951 .4274 .19401 .43391 .19157 .43011 .18706 Metetra
.664 .741 .908 r
.43011 .18706 .43391 .19157 .44043 .18913 .43664 .1846 Metetra
.664 .741 .908 r
.43664 .1846 .44043 .18913 .44697 .18668 .44319 .18214 Metetra
.664 .741 .908 r
.44319 .18214 .44697 .18668 .45353 .18423 .44976 .17967 Metetra
.664 .741 .908 r
.44976 .17967 .45353 .18423 .4601 .18176 .45634 .1772 Metetra
.664 .741 .908 r
.45634 .1772 .4601 .18176 .46669 .1793 .46294 .17472 Metetra
.663 .741 .908 r
.46294 .17472 .46669 .1793 .47329 .17682 .46955 .17224 Metetra
.663 .741 .908 r
.46955 .17224 .47329 .17682 .47991 .17434 .47618 .16975 Metetra
.663 .741 .908 r
.47618 .16975 .47991 .17434 .48655 .17186 .48283 .16725 Metetra
.663 .741 .908 r
.48283 .16725 .48655 .17186 .4932 .16937 .4895 .16475 Metetra
.663 .741 .908 r
.4895 .16475 .4932 .16937 .49987 .16688 .49617 .16225 Metetra
.663 .741 .908 r
.49617 .16225 .49987 .16688 .50656 .16438 .50287 .15973 Metetra
.663 .741 .908 r
.50287 .15973 .50656 .16438 .51326 .16188 .50958 .15722 Metetra
.663 .741 .908 r
.50958 .15722 .51326 .16188 .51998 .15937 .51631 .1547 Metetra
.663 .741 .908 r
.51631 .1547 .51998 .15937 .52671 .15686 .52306 .15218 Metetra
.663 .74 .908 r
.52306 .15218 .52671 .15686 .53346 .15435 .52982 .14965 Metetra
.662 .74 .908 r
.52982 .14965 .53346 .15435 .54023 .15184 .5366 .14712 Metetra
.662 .74 .908 r
.5366 .14712 .54023 .15184 .54702 .14933 .54339 .14459 Metetra
.662 .739 .907 r
.54339 .14459 .54702 .14933 .55382 .14682 .55021 .14207 Metetra
.661 .738 .907 r
.55021 .14207 .55382 .14682 .56064 .14432 .55704 .13954 Metetra
.66 .738 .907 r
.55704 .13954 .56064 .14432 .56747 .14183 .56388 .13702 Metetra
.659 .736 .907 r
.56388 .13702 .56747 .14183 .57433 .13935 .57075 .13451 Metetra
.658 .735 .906 r
.57075 .13451 .57433 .13935 .5812 .13688 .57763 .13201 Metetra
.657 .734 .906 r
.57763 .13201 .5812 .13688 .58809 .13443 .58453 .12952 Metetra
.656 .732 .906 r
.58453 .12952 .58809 .13443 .595 .132 .59145 .12705 Metetra
.654 .73 .905 r
.59145 .12705 .595 .132 .60192 .1296 .59838 .12461 Metetra
.652 .727 .904 r
.59838 .12461 .60192 .1296 .60887 .12723 .60534 .12219 Metetra
.649 .724 .903 r
.60534 .12219 .60887 .12723 .61583 .1249 .61231 .1198 Metetra
.647 .721 .902 r
.61231 .1198 .61583 .1249 .62282 .1226 .61931 .11744 Metetra
.644 .717 .901 r
.61931 .11744 .62282 .1226 .62982 .12035 .62632 .11512 Metetra
.642 .714 .9 r
.62632 .11512 .62982 .12035 .63685 .11812 .63336 .11283 Metetra
.639 .71 .899 r
.63336 .11283 .63685 .11812 .6439 .11593 .64042 .11058 Metetra
.637 .707 .897 r
.64042 .11058 .6439 .11593 .65097 .11376 .64749 .10836 Metetra
.635 .704 .896 r
.64749 .10836 .65097 .11376 .65806 .11161 .65459 .10616 Metetra
.634 .702 .895 r
.65459 .10616 .65806 .11161 .66517 .10945 .66171 .10397 Metetra
.634 .701 .894 r
.66171 .10397 .66517 .10945 .6723 .10728 .66885 .10178 Metetra
.635 .701 .894 r
.66885 .10178 .6723 .10728 .67945 .10507 .67601 .09957 Metetra
.637 .703 .894 r
.67601 .09957 .67945 .10507 .68661 .1028 .68319 .09732 Metetra
.639 .706 .895 r
.68319 .09732 .68661 .1028 .6938 .10046 .69039 .09502 Metetra
.643 .71 .896 r
.69039 .09502 .6938 .10046 .70099 .09803 .6976 .09265 Metetra
.648 .715 .897 r
.6976 .09265 .70099 .09803 .70821 .09551 .70483 .0902 Metetra
.653 .722 .899 r
.70483 .0902 .70821 .09551 .71543 .09288 .71207 .08765 Metetra
.658 .728 .901 r
.71207 .08765 .71543 .09288 .72267 .09016 .71933 .08501 Metetra
.663 .735 .903 r
.71933 .08501 .72267 .09016 .72992 .08735 .72659 .08228 Metetra
.668 .741 .905 r
.72659 .08228 .72992 .08735 .73718 .08448 .73388 .07946 Metetra
.622 .758 .943 r
.08816 .31691 .09252 .32042 .0982 .31885 .09385 .31527 Metetra
.63 .757 .938 r
.09385 .31527 .0982 .31885 .1039 .31725 .09957 .31354 Metetra
.642 .753 .929 r
.09957 .31354 .1039 .31725 .10962 .31556 .10533 .31166 Metetra
.656 .746 .916 r
.10533 .31166 .10962 .31556 .11538 .31372 .11112 .3096 Metetra
.669 .738 .902 r
.11112 .3096 .11538 .31372 .12117 .31169 .11695 .30732 Metetra
.679 .729 .887 r
.11695 .30732 .12117 .31169 .12701 .30943 .12283 .30482 Metetra
.688 .72 .874 r
.12283 .30482 .12701 .30943 .13288 .30695 .12874 .30214 Metetra
.693 .713 .864 r
.12874 .30214 .13288 .30695 .1388 .30426 .13468 .29929 Metetra
.697 .708 .856 r
.13468 .29929 .1388 .30426 .14475 .3014 .14064 .29633 Metetra
.698 .704 .852 r
.14064 .29633 .14475 .3014 .15072 .29842 .14662 .2933 Metetra
.698 .703 .851 r
.14662 .2933 .15072 .29842 .15671 .29536 .15262 .29026 Metetra
.697 .704 .852 r
.15262 .29026 .15671 .29536 .16271 .29229 .15862 .28724 Metetra
.695 .706 .856 r
.15862 .28724 .16271 .29229 .16872 .28924 .16463 .28428 Metetra
.693 .709 .861 r
.16463 .28428 .16872 .28924 .17473 .28625 .17063 .28139 Metetra
.689 .713 .867 r
.17063 .28139 .17473 .28625 .18075 .28334 .17664 .27859 Metetra
.686 .717 .873 r
.17664 .27859 .18075 .28334 .18676 .28053 .18265 .27588 Metetra
.682 .721 .879 r
.18265 .27588 .18676 .28053 .19278 .2778 .18866 .27325 Metetra
.679 .725 .885 r
.18866 .27325 .19278 .2778 .1988 .27517 .19468 .27069 Metetra
.676 .729 .89 r
.19468 .27069 .1988 .27517 .20482 .27261 .2007 .2682 Metetra
.673 .732 .894 r
.2007 .2682 .20482 .27261 .21085 .27011 .20673 .26575 Metetra
.671 .734 .897 r
.20673 .26575 .21085 .27011 .21688 .26767 .21277 .26334 Metetra
.669 .736 .9 r
.21277 .26334 .21688 .26767 .22293 .26526 .21882 .26097 Metetra
.668 .737 .902 r
.21882 .26097 .22293 .26526 .22898 .26289 .22488 .25861 Metetra
.667 .738 .904 r
.22488 .25861 .22898 .26289 .23505 .26054 .23095 .25627 Metetra
.666 .739 .905 r
.23095 .25627 .23505 .26054 .24112 .2582 .23703 .25394 Metetra
.665 .74 .906 r
.23703 .25394 .24112 .2582 .24721 .25587 .24313 .25161 Metetra
.665 .74 .906 r
.24313 .25161 .24721 .25587 .25332 .25355 .24924 .24929 Metetra
.664 .74 .907 r
.24924 .24929 .25332 .25355 .25943 .25123 .25537 .24696 Metetra
.664 .741 .907 r
.25537 .24696 .25943 .25123 .26556 .24892 .26151 .24464 Metetra
.664 .741 .907 r
.26151 .24464 .26556 .24892 .27171 .2466 .26766 .24231 Metetra
.664 .741 .907 r
.26766 .24231 .27171 .2466 .27786 .24427 .27382 .23998 Metetra
.664 .741 .908 r
.27382 .23998 .27786 .24427 .28404 .24195 .28 .23765 Metetra
.664 .741 .908 r
.28 .23765 .28404 .24195 .29022 .23962 .2862 .23531 Metetra
.664 .741 .908 r
.2862 .23531 .29022 .23962 .29642 .23729 .29241 .23297 Metetra
.664 .741 .908 r
.29241 .23297 .29642 .23729 .30264 .23495 .29863 .23062 Metetra
.664 .741 .908 r
.29863 .23062 .30264 .23495 .30887 .23261 .30487 .22827 Metetra
.664 .741 .908 r
.30487 .22827 .30887 .23261 .31512 .23026 .31113 .22591 Metetra
.664 .741 .908 r
.31113 .22591 .31512 .23026 .32138 .22791 .3174 .22355 Metetra
.664 .741 .908 r
.3174 .22355 .32138 .22791 .32765 .22555 .32368 .22118 Metetra
.664 .741 .908 r
.32368 .22118 .32765 .22555 .33394 .22319 .32998 .21881 Metetra
.664 .741 .908 r
.32998 .21881 .33394 .22319 .34024 .22082 .33629 .21643 Metetra
.664 .741 .908 r
.33629 .21643 .34024 .22082 .34656 .21844 .34262 .21405 Metetra
.664 .741 .908 r
.34262 .21405 .34656 .21844 .3529 .21606 .34897 .21166 Metetra
.664 .741 .908 r
.34897 .21166 .3529 .21606 .35925 .21368 .35532 .20926 Metetra
.664 .741 .908 r
.35532 .20926 .35925 .21368 .36561 .21129 .3617 .20686 Metetra
.664 .741 .908 r
.3617 .20686 .36561 .21129 .37199 .20889 .36809 .20445 Metetra
.664 .741 .908 r
.36809 .20445 .37199 .20889 .37839 .20649 .37449 .20204 Metetra
.664 .741 .908 r
.37449 .20204 .37839 .20649 .3848 .20408 .38091 .19962 Metetra
.664 .741 .908 r
.38091 .19962 .3848 .20408 .39122 .20167 .38735 .19719 Metetra
.664 .741 .908 r
.38735 .19719 .39122 .20167 .39767 .19925 .3938 .19476 Metetra
.664 .741 .908 r
.3938 .19476 .39767 .19925 .40412 .19682 .40027 .19233 Metetra
.664 .741 .908 r
.40027 .19233 .40412 .19682 .41059 .19439 .40675 .18988 Metetra
.664 .741 .908 r
.40675 .18988 .41059 .19439 .41708 .19195 .41325 .18743 Metetra
.664 .741 .908 r
.41325 .18743 .41708 .19195 .42359 .18951 .41976 .18498 Metetra
.664 .741 .908 r
.41976 .18498 .42359 .18951 .43011 .18706 .42629 .18252 Metetra
.664 .741 .908 r
.42629 .18252 .43011 .18706 .43664 .1846 .43283 .18005 Metetra
.664 .741 .908 r
.43283 .18005 .43664 .1846 .44319 .18214 .43939 .17758 Metetra
.664 .741 .908 r
.43939 .17758 .44319 .18214 .44976 .17967 .44597 .1751 Metetra
.664 .741 .908 r
.44597 .1751 .44976 .17967 .45634 .1772 .45256 .17262 Metetra
.664 .741 .908 r
.45256 .17262 .45634 .1772 .46294 .17472 .45917 .17013 Metetra
.664 .741 .908 r
.45917 .17013 .46294 .17472 .46955 .17224 .4658 .16763 Metetra
.663 .741 .908 r
.4658 .16763 .46955 .17224 .47618 .16975 .47244 .16513 Metetra
.663 .741 .908 r
.47244 .16513 .47618 .16975 .48283 .16725 .4791 .16263 Metetra
.663 .741 .908 r
.4791 .16263 .48283 .16725 .4895 .16475 .48577 .16011 Metetra
.663 .741 .908 r
.48577 .16011 .4895 .16475 .49617 .16225 .49246 .15759 Metetra
.663 .741 .908 r
.49246 .15759 .49617 .16225 .50287 .15973 .49917 .15507 Metetra
.663 .741 .908 r
.49917 .15507 .50287 .15973 .50958 .15722 .50589 .15254 Metetra
.663 .741 .908 r
.50589 .15254 .50958 .15722 .51631 .1547 .51263 .15001 Metetra
.663 .741 .908 r
.51263 .15001 .51631 .1547 .52306 .15218 .51939 .14747 Metetra
.663 .741 .908 r
.51939 .14747 .52306 .15218 .52982 .14965 .52616 .14493 Metetra
.663 .74 .908 r
.52616 .14493 .52982 .14965 .5366 .14712 .53295 .14239 Metetra
.662 .74 .908 r
.53295 .14239 .5366 .14712 .54339 .14459 .53975 .13984 Metetra
.662 .74 .908 r
.53975 .13984 .54339 .14459 .55021 .14207 .54658 .13729 Metetra
.662 .739 .907 r
.54658 .13729 .55021 .14207 .55704 .13954 .55342 .13475 Metetra
.661 .738 .907 r
.55342 .13475 .55704 .13954 .56388 .13702 .56028 .13221 Metetra
.66 .738 .907 r
.56028 .13221 .56388 .13702 .57075 .13451 .56715 .12967 Metetra
.659 .736 .907 r
.56715 .12967 .57075 .13451 .57763 .13201 .57404 .12714 Metetra
.658 .735 .906 r
.57404 .12714 .57763 .13201 .58453 .12952 .58095 .12462 Metetra
.657 .734 .906 r
.58095 .12462 .58453 .12952 .59145 .12705 .58788 .12211 Metetra
.656 .732 .906 r
.58788 .12211 .59145 .12705 .59838 .12461 .59483 .11962 Metetra
.654 .73 .905 r
.59483 .11962 .59838 .12461 .60534 .12219 .6018 .11716 Metetra
.652 .727 .904 r
.6018 .11716 .60534 .12219 .61231 .1198 .60878 .11472 Metetra
.65 .724 .903 r
.60878 .11472 .61231 .1198 .61931 .11744 .61578 .1123 Metetra
.647 .721 .902 r
.61578 .1123 .61931 .11744 .62632 .11512 .62281 .10992 Metetra
.645 .718 .901 r
.62281 .10992 .62632 .11512 .63336 .11283 .62985 .10758 Metetra
.642 .715 .9 r
.62985 .10758 .63336 .11283 .64042 .11058 .63692 .10526 Metetra
.64 .711 .899 r
.63692 .10526 .64042 .11058 .64749 .10836 .644 .10298 Metetra
.638 .708 .898 r
.644 .10298 .64749 .10836 .65459 .10616 .65111 .10073 Metetra
.636 .706 .896 r
.65111 .10073 .65459 .10616 .66171 .10397 .65824 .0985 Metetra
.635 .704 .896 r
.65824 .0985 .66171 .10397 .66885 .10178 .66539 .09627 Metetra
.635 .703 .895 r
.66539 .09627 .66885 .10178 .67601 .09957 .67256 .09405 Metetra
.636 .703 .895 r
.67256 .09405 .67601 .09957 .68319 .09732 .67975 .0918 Metetra
.637 .704 .895 r
.67975 .0918 .68319 .09732 .69039 .09502 .68696 .08953 Metetra
.64 .707 .895 r
.68696 .08953 .69039 .09502 .6976 .09265 .69419 .08719 Metetra
.644 .711 .896 r
.69419 .08719 .6976 .09265 .70483 .0902 .70143 .0848 Metetra
.648 .716 .898 r
.70143 .0848 .70483 .0902 .71207 .08765 .70869 .08232 Metetra
.653 .722 .899 r
.70869 .08232 .71207 .08765 .71933 .08501 .71596 .07975 Metetra
.658 .728 .901 r
.71596 .07975 .71933 .08501 .72659 .08228 .72325 .0771 Metetra
.663 .735 .903 r
.72325 .0771 .72659 .08228 .73388 .07946 .73055 .07435 Metetra
.634 .756 .936 r
.08379 .3133 .08816 .31691 .09385 .31527 .08951 .31152 Metetra
.645 .751 .927 r
.08951 .31152 .09385 .31527 .09957 .31354 .09526 .30961 Metetra
.658 .745 .915 r
.09526 .30961 .09957 .31354 .10533 .31166 .10105 .30751 Metetra
.669 .737 .901 r
.10105 .30751 .10533 .31166 .11112 .3096 .10688 .30521 Metetra
.68 .729 .887 r
.10688 .30521 .11112 .3096 .11695 .30732 .11275 .30271 Metetra
.687 .721 .875 r
.11275 .30271 .11695 .30732 .12283 .30482 .11865 .30002 Metetra
.693 .714 .865 r
.11865 .30002 .12283 .30482 .12874 .30214 .12458 .29719 Metetra
.696 .709 .858 r
.12458 .29719 .12874 .30214 .13468 .29929 .13054 .29425 Metetra
.697 .706 .854 r
.13054 .29425 .13468 .29929 .14064 .29633 .13652 .29125 Metetra
.697 .705 .853 r
.13652 .29125 .14064 .29633 .14662 .2933 .14251 .28824 Metetra
.696 .705 .854 r
.14251 .28824 .14662 .2933 .15262 .29026 .1485 .28524 Metetra
.694 .707 .858 r
.1485 .28524 .15262 .29026 .15862 .28724 .1545 .28231 Metetra
.692 .71 .862 r
.1545 .28231 .15862 .28724 .16463 .28428 .1605 .27944 Metetra
.689 .714 .868 r
.1605 .27944 .16463 .28428 .17063 .28139 .1665 .27665 Metetra
.685 .718 .874 r
.1665 .27665 .17063 .28139 .17664 .27859 .17251 .27395 Metetra
.682 .722 .88 r
.17251 .27395 .17664 .27859 .18265 .27588 .17851 .27133 Metetra
.679 .726 .885 r
.17851 .27133 .18265 .27588 .18866 .27325 .18452 .26877 Metetra
.676 .729 .89 r
.18452 .26877 .18866 .27325 .19468 .27069 .19054 .26628 Metetra
.673 .732 .894 r
.19054 .26628 .19468 .27069 .2007 .2682 .19656 .26383 Metetra
.671 .734 .897 r
.19656 .26383 .2007 .2682 .20673 .26575 .2026 .26142 Metetra
.669 .736 .9 r
.2026 .26142 .20673 .26575 .21277 .26334 .20864 .25904 Metetra
.668 .737 .902 r
.20864 .25904 .21277 .26334 .21882 .26097 .21469 .25668 Metetra
.667 .738 .904 r
.21469 .25668 .21882 .26097 .22488 .25861 .22076 .25433 Metetra
.666 .739 .905 r
.22076 .25433 .22488 .25861 .23095 .25627 .22684 .252 Metetra
.665 .74 .906 r
.22684 .252 .23095 .25627 .23703 .25394 .23293 .24966 Metetra
.665 .74 .906 r
.23293 .24966 .23703 .25394 .24313 .25161 .23903 .24734 Metetra
.664 .74 .907 r
.23903 .24734 .24313 .25161 .24924 .24929 .24515 .24501 Metetra
.664 .741 .907 r
.24515 .24501 .24924 .24929 .25537 .24696 .25128 .24268 Metetra
.664 .741 .907 r
.25128 .24268 .25537 .24696 .26151 .24464 .25743 .24035 Metetra
.664 .741 .907 r
.25743 .24035 .26151 .24464 .26766 .24231 .26359 .23801 Metetra
.664 .741 .908 r
.26359 .23801 .26766 .24231 .27382 .23998 .26977 .23568 Metetra
.664 .741 .908 r
.26977 .23568 .27382 .23998 .28 .23765 .27596 .23333 Metetra
.664 .741 .908 r
.27596 .23333 .28 .23765 .2862 .23531 .28216 .23099 Metetra
.664 .741 .908 r
.28216 .23099 .2862 .23531 .29241 .23297 .28838 .22863 Metetra
.664 .741 .908 r
.28838 .22863 .29241 .23297 .29863 .23062 .29461 .22628 Metetra
.664 .741 .908 r
.29461 .22628 .29863 .23062 .30487 .22827 .30086 .22392 Metetra
.664 .741 .908 r
.30086 .22392 .30487 .22827 .31113 .22591 .30712 .22155 Metetra
.664 .741 .908 r
.30712 .22155 .31113 .22591 .3174 .22355 .3134 .21918 Metetra
.664 .741 .908 r
.3134 .21918 .3174 .22355 .32368 .22118 .31969 .2168 Metetra
.664 .741 .908 r
.31969 .2168 .32368 .22118 .32998 .21881 .326 .21441 Metetra
.664 .741 .908 r
.326 .21441 .32998 .21881 .33629 .21643 .33232 .21202 Metetra
.664 .741 .908 r
.33232 .21202 .33629 .21643 .34262 .21405 .33866 .20963 Metetra
.664 .741 .908 r
.33866 .20963 .34262 .21405 .34897 .21166 .34502 .20723 Metetra
.664 .741 .908 r
.34502 .20723 .34897 .21166 .35532 .20926 .35138 .20482 Metetra
.664 .741 .908 r
.35138 .20482 .35532 .20926 .3617 .20686 .35777 .20241 Metetra
.664 .741 .908 r
.35777 .20241 .3617 .20686 .36809 .20445 .36417 .19999 Metetra
.664 .741 .908 r
.36417 .19999 .36809 .20445 .37449 .20204 .37058 .19757 Metetra
.664 .741 .908 r
.37058 .19757 .37449 .20204 .38091 .19962 .37701 .19514 Metetra
.664 .741 .908 r
.37701 .19514 .38091 .19962 .38735 .19719 .38345 .1927 Metetra
.664 .741 .908 r
.38345 .1927 .38735 .19719 .3938 .19476 .38992 .19026 Metetra
.664 .741 .908 r
.38992 .19026 .3938 .19476 .40027 .19233 .39639 .18781 Metetra
.664 .741 .908 r
.39639 .18781 .40027 .19233 .40675 .18988 .40288 .18536 Metetra
.664 .741 .908 r
.40288 .18536 .40675 .18988 .41325 .18743 .40939 .1829 Metetra
.664 .741 .908 r
.40939 .1829 .41325 .18743 .41976 .18498 .41591 .18043 Metetra
.664 .741 .908 r
.41591 .18043 .41976 .18498 .42629 .18252 .42245 .17796 Metetra
.664 .741 .908 r
.42245 .17796 .42629 .18252 .43283 .18005 .42901 .17549 Metetra
.664 .741 .908 r
.42901 .17549 .43283 .18005 .43939 .17758 .43558 .173 Metetra
.664 .741 .908 r
.43558 .173 .43939 .17758 .44597 .1751 .44217 .17051 Metetra
.664 .741 .908 r
.44217 .17051 .44597 .1751 .45256 .17262 .44877 .16802 Metetra
.664 .741 .908 r
.44877 .16802 .45256 .17262 .45917 .17013 .45539 .16552 Metetra
.664 .741 .908 r
.45539 .16552 .45917 .17013 .4658 .16763 .46202 .16301 Metetra
.664 .741 .908 r
.46202 .16301 .4658 .16763 .47244 .16513 .46868 .1605 Metetra
.663 .741 .908 r
.46868 .1605 .47244 .16513 .4791 .16263 .47534 .15798 Metetra
.663 .741 .908 r
.47534 .15798 .4791 .16263 .48577 .16011 .48203 .15545 Metetra
.663 .741 .908 r
.48203 .15545 .48577 .16011 .49246 .15759 .48873 .15292 Metetra
.663 .741 .908 r
.48873 .15292 .49246 .15759 .49917 .15507 .49545 .15039 Metetra
.663 .741 .908 r
.49545 .15039 .49917 .15507 .50589 .15254 .50218 .14784 Metetra
.663 .741 .908 r
.50218 .14784 .50589 .15254 .51263 .15001 .50893 .1453 Metetra
.663 .741 .908 r
.50893 .1453 .51263 .15001 .51939 .14747 .5157 .14275 Metetra
.663 .741 .908 r
.5157 .14275 .51939 .14747 .52616 .14493 .52248 .14019 Metetra
.663 .741 .908 r
.52248 .14019 .52616 .14493 .53295 .14239 .52928 .13763 Metetra
.663 .74 .908 r
.52928 .13763 .53295 .14239 .53975 .13984 .5361 .13507 Metetra
.662 .74 .908 r
.5361 .13507 .53975 .13984 .54658 .13729 .54293 .13251 Metetra
.662 .74 .908 r
.54293 .13251 .54658 .13729 .55342 .13475 .54978 .12994 Metetra
.662 .739 .907 r
.54978 .12994 .55342 .13475 .56028 .13221 .55665 .12738 Metetra
.661 .738 .907 r
.55665 .12738 .56028 .13221 .56715 .12967 .56354 .12482 Metetra
.66 .737 .907 r
.56354 .12482 .56715 .12967 .57404 .12714 .57044 .12226 Metetra
.659 .736 .907 r
.57044 .12226 .57404 .12714 .58095 .12462 .57736 .11971 Metetra
.658 .735 .906 r
.57736 .11971 .58095 .12462 .58788 .12211 .5843 .11718 Metetra
.657 .734 .906 r
.5843 .11718 .58788 .12211 .59483 .11962 .59126 .11465 Metetra
.656 .732 .906 r
.59126 .11465 .59483 .11962 .6018 .11716 .59824 .11214 Metetra
.654 .73 .905 r
.59824 .11214 .6018 .11716 .60878 .11472 .60523 .10966 Metetra
.652 .727 .904 r
.60523 .10966 .60878 .11472 .61578 .1123 .61225 .10719 Metetra
.65 .725 .903 r
.61225 .10719 .61578 .1123 .62281 .10992 .61928 .10476 Metetra
.648 .722 .902 r
.61928 .10476 .62281 .10992 .62985 .10758 .62633 .10236 Metetra
.645 .719 .901 r
.62633 .10236 .62985 .10758 .63692 .10526 .63341 .09998 Metetra
.643 .715 .9 r
.63341 .09998 .63692 .10526 .644 .10298 .6405 .09764 Metetra
.641 .712 .899 r
.6405 .09764 .644 .10298 .65111 .10073 .64762 .09533 Metetra
.639 .709 .898 r
.64762 .09533 .65111 .10073 .65824 .0985 .65476 .09305 Metetra
.637 .707 .897 r
.65476 .09305 .65824 .0985 .66539 .09627 .66192 .09078 Metetra
.636 .705 .896 r
.66192 .09078 .66539 .09627 .67256 .09405 .6691 .08853 Metetra
.636 .704 .895 r
.6691 .08853 .67256 .09405 .67975 .0918 .6763 .08627 Metetra
.637 .704 .895 r
.6763 .08627 .67975 .0918 .68696 .08953 .68352 .08399 Metetra
.638 .705 .895 r
.68352 .08399 .68696 .08953 .69419 .08719 .69076 .08168 Metetra
.641 .708 .896 r
.69076 .08168 .69419 .08719 .70143 .0848 .69801 .07932 Metetra
.644 .712 .897 r
.69801 .07932 .70143 .0848 .70869 .08232 .70529 .07689 Metetra
.648 .717 .898 r
.70529 .07689 .70869 .08232 .71596 .07975 .71258 .07439 Metetra
.653 .722 .9 r
.71258 .07439 .71596 .07975 .72325 .0771 .71988 .0718 Metetra
.658 .729 .902 r
.71988 .0718 .72325 .0771 .73055 .07435 .7272 .06913 Metetra
.647 .75 .924 r
.07943 .30951 .08379 .3133 .08951 .31152 .08517 .30755 Metetra
.659 .744 .913 r
.08517 .30755 .08951 .31152 .09526 .30961 .09096 .30543 Metetra
.67 .736 .9 r
.09096 .30543 .09526 .30961 .10105 .30751 .09679 .30311 Metetra
.68 .728 .887 r
.09679 .30311 .10105 .30751 .10688 .30521 .10265 .3006 Metetra
.687 .721 .875 r
.10265 .3006 .10688 .30521 .11275 .30271 .10855 .29792 Metetra
.692 .715 .866 r
.10855 .29792 .11275 .30271 .11865 .30002 .11447 .2951 Metetra
.695 .71 .86 r
.11447 .2951 .11865 .30002 .12458 .29719 .12042 .29218 Metetra
.696 .707 .856 r
.12042 .29218 .12458 .29719 .13054 .29425 .12639 .28921 Metetra
.697 .706 .855 r
.12639 .28921 .13054 .29425 .13652 .29125 .13237 .28622 Metetra
.696 .707 .856 r
.13237 .28622 .13652 .29125 .14251 .28824 .13836 .28325 Metetra
.694 .709 .86 r
.13836 .28325 .14251 .28824 .1485 .28524 .14435 .28033 Metetra
.691 .712 .864 r
.14435 .28033 .1485 .28524 .1545 .28231 .15035 .27749 Metetra
.688 .715 .869 r
.15035 .27749 .1545 .28231 .1605 .27944 .15634 .27471 Metetra
.685 .719 .875 r
.15634 .27471 .1605 .27944 .1665 .27665 .16234 .27202 Metetra
.682 .723 .881 r
.16234 .27202 .1665 .27665 .17251 .27395 .16834 .2694 Metetra
.678 .726 .886 r
.16834 .2694 .17251 .27395 .17851 .27133 .17434 .26685 Metetra
.676 .729 .891 r
.17434 .26685 .17851 .27133 .18452 .26877 .18036 .26435 Metetra
.673 .732 .894 r
.18036 .26435 .18452 .26877 .19054 .26628 .18637 .26191 Metetra
.671 .734 .898 r
.18637 .26191 .19054 .26628 .19656 .26383 .1924 .25949 Metetra
.669 .736 .9 r
.1924 .25949 .19656 .26383 .2026 .26142 .19844 .25711 Metetra
.668 .737 .902 r
.19844 .25711 .2026 .26142 .20864 .25904 .20449 .25474 Metetra
.667 .738 .904 r
.20449 .25474 .20864 .25904 .21469 .25668 .21055 .25239 Metetra
.666 .739 .905 r
.21055 .25239 .21469 .25668 .22076 .25433 .21662 .25005 Metetra
.665 .74 .906 r
.21662 .25005 .22076 .25433 .22684 .252 .22271 .24771 Metetra
.665 .74 .906 r
.22271 .24771 .22684 .252 .23293 .24966 .2288 .24538 Metetra
.664 .74 .907 r
.2288 .24538 .23293 .24966 .23903 .24734 .23492 .24305 Metetra
.664 .741 .907 r
.23492 .24305 .23903 .24734 .24515 .24501 .24104 .24071 Metetra
.664 .741 .907 r
.24104 .24071 .24515 .24501 .25128 .24268 .24718 .23838 Metetra
.664 .741 .907 r
.24718 .23838 .25128 .24268 .25743 .24035 .25334 .23604 Metetra
.664 .741 .908 r
.25334 .23604 .25743 .24035 .26359 .23801 .25951 .2337 Metetra
.664 .741 .908 r
.25951 .2337 .26359 .23801 .26977 .23568 .26569 .23135 Metetra
.664 .741 .908 r
.26569 .23135 .26977 .23568 .27596 .23333 .27189 .229 Metetra
.664 .741 .908 r
.27189 .229 .27596 .23333 .28216 .23099 .2781 .22664 Metetra
.664 .741 .908 r
.2781 .22664 .28216 .23099 .28838 .22863 .28433 .22428 Metetra
.664 .741 .908 r
.28433 .22428 .28838 .22863 .29461 .22628 .29057 .22191 Metetra
.664 .741 .908 r
.29057 .22191 .29461 .22628 .30086 .22392 .29683 .21954 Metetra
.664 .741 .908 r
.29683 .21954 .30086 .22392 .30712 .22155 .3031 .21716 Metetra
.664 .741 .908 r
.3031 .21716 .30712 .22155 .3134 .21918 .30939 .21478 Metetra
.664 .741 .908 r
.30939 .21478 .3134 .21918 .31969 .2168 .31569 .21239 Metetra
.664 .741 .908 r
.31569 .21239 .31969 .2168 .326 .21441 .32201 .21 Metetra
.664 .741 .908 r
.32201 .21 .326 .21441 .33232 .21202 .32834 .2076 Metetra
.664 .741 .908 r
.32834 .2076 .33232 .21202 .33866 .20963 .33469 .20519 Metetra
.664 .741 .908 r
.33469 .20519 .33866 .20963 .34502 .20723 .34105 .20278 Metetra
.664 .741 .908 r
.34105 .20278 .34502 .20723 .35138 .20482 .34743 .20036 Metetra
.664 .741 .908 r
.34743 .20036 .35138 .20482 .35777 .20241 .35382 .19794 Metetra
.664 .741 .908 r
.35382 .19794 .35777 .20241 .36417 .19999 .36023 .19551 Metetra
.664 .741 .908 r
.36023 .19551 .36417 .19999 .37058 .19757 .36665 .19308 Metetra
.664 .741 .908 r
.36665 .19308 .37058 .19757 .37701 .19514 .37309 .19064 Metetra
.664 .741 .908 r
.37309 .19064 .37701 .19514 .38345 .1927 .37954 .18819 Metetra
.664 .741 .908 r
.37954 .18819 .38345 .1927 .38992 .19026 .38601 .18574 Metetra
.664 .741 .908 r
.38601 .18574 .38992 .19026 .39639 .18781 .3925 .18328 Metetra
.664 .741 .908 r
.3925 .18328 .39639 .18781 .40288 .18536 .399 .18081 Metetra
.664 .741 .908 r
.399 .18081 .40288 .18536 .40939 .1829 .40552 .17834 Metetra
.664 .741 .908 r
.40552 .17834 .40939 .1829 .41591 .18043 .41205 .17587 Metetra
.664 .741 .908 r
.41205 .17587 .41591 .18043 .42245 .17796 .4186 .17338 Metetra
.664 .741 .908 r
.4186 .17338 .42245 .17796 .42901 .17549 .42517 .1709 Metetra
.664 .741 .908 r
.42517 .1709 .42901 .17549 .43558 .173 .43175 .1684 Metetra
.664 .741 .908 r
.43175 .1684 .43558 .173 .44217 .17051 .43835 .1659 Metetra
.664 .741 .908 r
.43835 .1659 .44217 .17051 .44877 .16802 .44496 .16339 Metetra
.664 .741 .908 r
.44496 .16339 .44877 .16802 .45539 .16552 .45159 .16088 Metetra
.664 .741 .908 r
.45159 .16088 .45539 .16552 .46202 .16301 .45823 .15836 Metetra
.664 .741 .908 r
.45823 .15836 .46202 .16301 .46868 .1605 .4649 .15584 Metetra
.664 .741 .908 r
.4649 .15584 .46868 .1605 .47534 .15798 .47157 .15331 Metetra
.663 .741 .908 r
.47157 .15331 .47534 .15798 .48203 .15545 .47827 .15077 Metetra
.663 .741 .908 r
.47827 .15077 .48203 .15545 .48873 .15292 .48498 .14823 Metetra
.663 .741 .908 r
.48498 .14823 .48873 .15292 .49545 .15039 .49171 .14568 Metetra
.663 .741 .908 r
.49171 .14568 .49545 .15039 .50218 .14784 .49845 .14313 Metetra
.663 .741 .908 r
.49845 .14313 .50218 .14784 .50893 .1453 .50521 .14057 Metetra
.663 .741 .908 r
.50521 .14057 .50893 .1453 .5157 .14275 .51199 .138 Metetra
.663 .741 .908 r
.51199 .138 .5157 .14275 .52248 .14019 .51879 .13543 Metetra
.663 .741 .908 r
.51879 .13543 .52248 .14019 .52928 .13763 .5256 .13286 Metetra
.663 .741 .908 r
.5256 .13286 .52928 .13763 .5361 .13507 .53243 .13028 Metetra
.663 .74 .908 r
.53243 .13028 .5361 .13507 .54293 .13251 .53927 .1277 Metetra
.662 .74 .908 r
.53927 .1277 .54293 .13251 .54978 .12994 .54613 .12512 Metetra
.662 .74 .908 r
.54613 .12512 .54978 .12994 .55665 .12738 .55301 .12254 Metetra
.662 .739 .907 r
.55301 .12254 .55665 .12738 .56354 .12482 .55991 .11996 Metetra
.661 .738 .907 r
.55991 .11996 .56354 .12482 .57044 .12226 .56683 .11738 Metetra
.66 .737 .907 r
.56683 .11738 .57044 .12226 .57736 .11971 .57376 .1148 Metetra
.659 .736 .907 r
.57376 .1148 .57736 .11971 .5843 .11718 .58071 .11224 Metetra
.658 .735 .906 r
.58071 .11224 .5843 .11718 .59126 .11465 .58768 .10968 Metetra
.657 .734 .906 r
.58768 .10968 .59126 .11465 .59824 .11214 .59466 .10714 Metetra
.656 .732 .906 r
.59466 .10714 .59824 .11214 .60523 .10966 .60167 .10461 Metetra
.654 .73 .905 r
.60167 .10461 .60523 .10966 .61225 .10719 .60869 .1021 Metetra
.652 .728 .904 r
.60869 .1021 .61225 .10719 .61928 .10476 .61574 .09962 Metetra
.65 .725 .904 r
.61574 .09962 .61928 .10476 .62633 .10236 .6228 .09716 Metetra
.648 .722 .903 r
.6228 .09716 .62633 .10236 .63341 .09998 .62988 .09473 Metetra
.646 .719 .902 r
.62988 .09473 .63341 .09998 .6405 .09764 .63699 .09234 Metetra
.643 .716 .9 r
.63699 .09234 .6405 .09764 .64762 .09533 .64411 .08997 Metetra
.641 .713 .899 r
.64411 .08997 .64762 .09533 .65476 .09305 .65126 .08763 Metetra
.639 .71 .898 r
.65126 .08763 .65476 .09305 .66192 .09078 .65843 .08532 Metetra
.638 .708 .897 r
.65843 .08532 .66192 .09078 .6691 .08853 .66562 .08302 Metetra
.637 .706 .896 r
.66562 .08302 .6691 .08853 .6763 .08627 .67283 .08073 Metetra
.637 .705 .896 r
.67283 .08073 .6763 .08627 .68352 .08399 .68006 .07844 Metetra
.637 .705 .896 r
.68006 .07844 .68352 .08399 .69076 .08168 .68731 .07613 Metetra
.639 .707 .896 r
.68731 .07613 .69076 .08168 .69801 .07932 .69458 .07378 Metetra
.641 .709 .896 r
.69458 .07378 .69801 .07932 .70529 .07689 .70187 .07139 Metetra
.645 .713 .897 r
.70187 .07139 .70529 .07689 .71258 .07439 .70917 .06894 Metetra
.649 .717 .898 r
.70917 .06894 .71258 .07439 .71988 .0718 .7165 .06641 Metetra
.653 .723 .9 r
.7165 .06641 .71988 .0718 .7272 .06913 .72383 .0638 Metetra
.66 .743 .911 r
.07507 .30551 .07943 .30951 .08517 .30755 .08085 .30335 Metetra
.671 .736 .899 r
.08085 .30335 .08517 .30755 .09096 .30543 .08667 .30102 Metetra
.68 .728 .887 r
.08667 .30102 .09096 .30543 .09679 .30311 .09253 .29851 Metetra
.687 .721 .876 r
.09253 .29851 .09679 .30311 .10265 .3006 .09842 .29583 Metetra
.691 .715 .867 r
.09842 .29583 .10265 .3006 .10855 .29792 .10434 .29302 Metetra
.694 .711 .861 r
.10434 .29302 .10855 .29792 .11447 .2951 .11029 .29012 Metetra
.696 .709 .858 r
.11029 .29012 .11447 .2951 .12042 .29218 .11625 .28717 Metetra
.696 .708 .857 r
.11625 .28717 .12042 .29218 .12639 .28921 .12222 .2842 Metetra
.695 .708 .858 r
.12222 .2842 .12639 .28921 .13237 .28622 .1282 .28126 Metetra
.693 .71 .861 r
.1282 .28126 .13237 .28622 .13836 .28325 .13418 .27836 Metetra
.69 .713 .866 r
.13418 .27836 .13836 .28325 .14435 .28033 .14017 .27553 Metetra
.687 .716 .871 r
.14017 .27553 .14435 .28033 .15035 .27749 .14616 .27277 Metetra
.684 .72 .876 r
.14616 .27277 .15035 .27749 .15634 .27471 .15215 .27009 Metetra
.681 .723 .882 r
.15215 .27009 .15634 .27471 .16234 .27202 .15815 .26748 Metetra
.678 .727 .887 r
.15815 .26748 .16234 .27202 .16834 .2694 .16415 .26493 Metetra
.675 .73 .891 r
.16415 .26493 .16834 .2694 .17434 .26685 .17015 .26243 Metetra
.673 .732 .895 r
.17015 .26243 .17434 .26685 .18036 .26435 .17616 .25998 Metetra
.671 .734 .898 r
.17616 .25998 .18036 .26435 .18637 .26191 .18219 .25756 Metetra
.669 .736 .9 r
.18219 .25756 .18637 .26191 .1924 .25949 .18822 .25517 Metetra
.668 .737 .902 r
.18822 .25517 .1924 .25949 .19844 .25711 .19426 .2528 Metetra
.667 .738 .904 r
.19426 .2528 .19844 .25711 .20449 .25474 .20031 .25045 Metetra
.666 .739 .905 r
.20031 .25045 .20449 .25474 .21055 .25239 .20638 .2481 Metetra
.665 .74 .906 r
.20638 .2481 .21055 .25239 .21662 .25005 .21246 .24576 Metetra
.665 .74 .906 r
.21246 .24576 .21662 .25005 .22271 .24771 .21855 .24342 Metetra
.665 .74 .907 r
.21855 .24342 .22271 .24771 .2288 .24538 .22466 .24108 Metetra
.664 .741 .907 r
.22466 .24108 .2288 .24538 .23492 .24305 .23078 .23875 Metetra
.664 .741 .907 r
.23078 .23875 .23492 .24305 .24104 .24071 .23692 .23641 Metetra
.664 .741 .907 r
.23692 .23641 .24104 .24071 .24718 .23838 .24307 .23406 Metetra
.664 .741 .908 r
.24307 .23406 .24718 .23838 .25334 .23604 .24923 .23171 Metetra
.664 .741 .908 r
.24923 .23171 .25334 .23604 .25951 .2337 .25541 .22936 Metetra
.664 .741 .908 r
.25541 .22936 .25951 .2337 .26569 .23135 .2616 .22701 Metetra
.664 .741 .908 r
.2616 .22701 .26569 .23135 .27189 .229 .26781 .22465 Metetra
.664 .741 .908 r
.26781 .22465 .27189 .229 .2781 .22664 .27403 .22228 Metetra
.664 .741 .908 r
.27403 .22228 .2781 .22664 .28433 .22428 .28026 .21991 Metetra
.664 .741 .908 r
.28026 .21991 .28433 .22428 .29057 .22191 .28651 .21753 Metetra
.664 .741 .908 r
.28651 .21753 .29057 .22191 .29683 .21954 .29278 .21515 Metetra
.664 .741 .908 r
.29278 .21515 .29683 .21954 .3031 .21716 .29906 .21276 Metetra
.664 .741 .908 r
.29906 .21276 .3031 .21716 .30939 .21478 .30536 .21037 Metetra
.664 .741 .908 r
.30536 .21037 .30939 .21478 .31569 .21239 .31167 .20797 Metetra
.664 .741 .908 r
.31167 .20797 .31569 .21239 .32201 .21 .31799 .20556 Metetra
.664 .741 .908 r
.31799 .20556 .32201 .21 .32834 .2076 .32433 .20315 Metetra
.664 .741 .908 r
.32433 .20315 .32834 .2076 .33469 .20519 .33069 .20073 Metetra
.664 .741 .908 r
.33069 .20073 .33469 .20519 .34105 .20278 .33706 .19831 Metetra
.664 .741 .908 r
.33706 .19831 .34105 .20278 .34743 .20036 .34345 .19588 Metetra
.664 .741 .908 r
.34345 .19588 .34743 .20036 .35382 .19794 .34985 .19345 Metetra
.664 .741 .908 r
.34985 .19345 .35382 .19794 .36023 .19551 .35627 .19101 Metetra
.664 .741 .908 r
.35627 .19101 .36023 .19551 .36665 .19308 .3627 .18857 Metetra
.664 .741 .908 r
.3627 .18857 .36665 .19308 .37309 .19064 .36915 .18611 Metetra
.664 .741 .908 r
.36915 .18611 .37309 .19064 .37954 .18819 .37562 .18366 Metetra
.664 .741 .908 r
.37562 .18366 .37954 .18819 .38601 .18574 .3821 .18119 Metetra
.664 .741 .908 r
.3821 .18119 .38601 .18574 .3925 .18328 .38859 .17872 Metetra
.664 .741 .908 r
.38859 .17872 .3925 .18328 .399 .18081 .3951 .17625 Metetra
.664 .741 .908 r
.3951 .17625 .399 .18081 .40552 .17834 .40163 .17377 Metetra
.664 .741 .908 r
.40163 .17377 .40552 .17834 .41205 .17587 .40817 .17128 Metetra
.664 .741 .908 r
.40817 .17128 .41205 .17587 .4186 .17338 .41473 .16879 Metetra
.664 .741 .908 r
.41473 .16879 .4186 .17338 .42517 .1709 .42131 .16629 Metetra
.664 .741 .908 r
.42131 .16629 .42517 .1709 .43175 .1684 .4279 .16378 Metetra
.664 .741 .908 r
.4279 .16378 .43175 .1684 .43835 .1659 .43451 .16127 Metetra
.664 .741 .908 r
.43451 .16127 .43835 .1659 .44496 .16339 .44113 .15875 Metetra
.664 .741 .908 r
.44113 .15875 .44496 .16339 .45159 .16088 .44777 .15623 Metetra
.664 .741 .908 r
.44777 .15623 .45159 .16088 .45823 .15836 .45443 .1537 Metetra
.664 .741 .908 r
.45443 .1537 .45823 .15836 .4649 .15584 .4611 .15116 Metetra
.664 .741 .908 r
.4611 .15116 .4649 .15584 .47157 .15331 .46779 .14862 Metetra
.664 .741 .908 r
.46779 .14862 .47157 .15331 .47827 .15077 .47449 .14607 Metetra
.663 .741 .908 r
.47449 .14607 .47827 .15077 .48498 .14823 .48121 .14351 Metetra
.663 .741 .908 r
.48121 .14351 .48498 .14823 .49171 .14568 .48795 .14095 Metetra
.663 .741 .908 r
.48795 .14095 .49171 .14568 .49845 .14313 .49471 .13839 Metetra
.663 .741 .908 r
.49471 .13839 .49845 .14313 .50521 .14057 .50148 .13582 Metetra
.663 .741 .908 r
.50148 .13582 .50521 .14057 .51199 .138 .50827 .13324 Metetra
.663 .741 .908 r
.50827 .13324 .51199 .138 .51879 .13543 .51507 .13066 Metetra
.663 .741 .908 r
.51507 .13066 .51879 .13543 .5256 .13286 .5219 .12807 Metetra
.663 .741 .908 r
.5219 .12807 .5256 .13286 .53243 .13028 .52874 .12548 Metetra
.663 .741 .908 r
.52874 .12548 .53243 .13028 .53927 .1277 .53559 .12288 Metetra
.663 .74 .908 r
.53559 .12288 .53927 .1277 .54613 .12512 .54247 .12028 Metetra
.662 .74 .908 r
.54247 .12028 .54613 .12512 .55301 .12254 .54936 .11768 Metetra
.662 .74 .908 r
.54936 .11768 .55301 .12254 .55991 .11996 .55627 .11508 Metetra
.662 .739 .907 r
.55627 .11508 .55991 .11996 .56683 .11738 .56319 .11248 Metetra
.661 .738 .907 r
.56319 .11248 .56683 .11738 .57376 .1148 .57014 .10989 Metetra
.66 .737 .907 r
.57014 .10989 .57376 .1148 .58071 .11224 .5771 .10729 Metetra
.659 .736 .907 r
.5771 .10729 .58071 .11224 .58768 .10968 .58408 .10471 Metetra
.658 .735 .906 r
.58408 .10471 .58768 .10968 .59466 .10714 .59107 .10213 Metetra
.657 .734 .906 r
.59107 .10213 .59466 .10714 .60167 .10461 .59809 .09957 Metetra
.656 .732 .906 r
.59809 .09957 .60167 .10461 .60869 .1021 .60513 .09702 Metetra
.654 .73 .905 r
.60513 .09702 .60869 .1021 .61574 .09962 .61218 .09449 Metetra
.652 .728 .904 r
.61218 .09449 .61574 .09962 .6228 .09716 .61925 .09199 Metetra
.65 .725 .904 r
.61925 .09199 .6228 .09716 .62988 .09473 .62635 .08951 Metetra
.648 .722 .903 r
.62635 .08951 .62988 .09473 .63699 .09234 .63346 .08706 Metetra
.646 .72 .902 r
.63346 .08706 .63699 .09234 .64411 .08997 .6406 .08463 Metetra
.644 .717 .901 r
.6406 .08463 .64411 .08997 .65126 .08763 .64775 .08224 Metetra
.642 .714 .9 r
.64775 .08224 .65126 .08763 .65843 .08532 .65493 .07987 Metetra
.64 .711 .899 r
.65493 .07987 .65843 .08532 .66562 .08302 .66213 .07753 Metetra
.639 .709 .898 r
.66213 .07753 .66562 .08302 .67283 .08073 .66935 .0752 Metetra
.638 .707 .897 r
.66935 .0752 .67283 .08073 .68006 .07844 .67659 .07288 Metetra
.638 .706 .896 r
.67659 .07288 .68006 .07844 .68731 .07613 .68385 .07055 Metetra
.638 .706 .896 r
.68385 .07055 .68731 .07613 .69458 .07378 .69113 .06821 Metetra
.64 .708 .896 r
.69113 .06821 .69458 .07378 .70187 .07139 .69843 .06583 Metetra
.642 .71 .897 r
.69843 .06583 .70187 .07139 .70917 .06894 .70575 .06341 Metetra
.645 .714 .898 r
.70575 .06341 .70917 .06894 .7165 .06641 .71309 .06093 Metetra
.649 .718 .899 r
.71309 .06093 .7165 .06641 .72383 .0638 .72044 .05838 Metetra
.671 .735 .898 r
.07072 .30128 .07507 .30551 .08085 .30335 .07654 .29894 Metetra
.68 .728 .887 r
.07654 .29894 .08085 .30335 .08667 .30102 .08239 .29642 Metetra
.686 .722 .877 r
.08239 .29642 .08667 .30102 .09253 .29851 .08828 .29375 Metetra
.691 .716 .868 r
.08828 .29375 .09253 .29851 .09842 .29583 .09419 .29095 Metetra
.694 .712 .863 r
.09419 .29095 .09842 .29583 .10434 .29302 .10013 .28807 Metetra
.695 .71 .86 r
.10013 .28807 .10434 .29302 .11029 .29012 .10608 .28514 Metetra
.695 .709 .859 r
.10608 .28514 .11029 .29012 .11625 .28717 .11205 .28219 Metetra
.694 .709 .86 r
.11205 .28219 .11625 .28717 .12222 .2842 .11802 .27927 Metetra
.692 .711 .863 r
.11802 .27927 .12222 .2842 .1282 .28126 .124 .27639 Metetra
.69 .714 .867 r
.124 .27639 .1282 .28126 .13418 .27836 .12998 .27358 Metetra
.687 .717 .872 r
.12998 .27358 .13418 .27836 .14017 .27553 .13596 .27083 Metetra
.684 .721 .877 r
.13596 .27083 .14017 .27553 .14616 .27277 .14195 .26815 Metetra
.681 .724 .882 r
.14195 .26815 .14616 .27277 .15215 .27009 .14794 .26555 Metetra
.678 .727 .887 r
.14794 .26555 .15215 .27009 .15815 .26748 .15393 .263 Metetra
.675 .73 .891 r
.15393 .263 .15815 .26748 .16415 .26493 .15993 .2605 Metetra
.673 .733 .895 r
.15993 .2605 .16415 .26493 .17015 .26243 .16594 .25805 Metetra
.671 .735 .898 r
.16594 .25805 .17015 .26243 .17616 .25998 .17195 .25563 Metetra
.669 .736 .9 r
.17195 .25563 .17616 .25998 .18219 .25756 .17798 .25323 Metetra
.668 .737 .902 r
.17798 .25323 .18219 .25756 .18822 .25517 .18401 .25086 Metetra
.667 .738 .904 r
.18401 .25086 .18822 .25517 .19426 .2528 .19006 .2485 Metetra
.666 .739 .905 r
.19006 .2485 .19426 .2528 .20031 .25045 .19612 .24615 Metetra
.665 .74 .906 r
.19612 .24615 .20031 .25045 .20638 .2481 .2022 .2438 Metetra
.665 .74 .906 r
.2022 .2438 .20638 .2481 .21246 .24576 .20828 .24146 Metetra
.665 .74 .907 r
.20828 .24146 .21246 .24576 .21855 .24342 .21439 .23912 Metetra
.664 .741 .907 r
.21439 .23912 .21855 .24342 .22466 .24108 .2205 .23677 Metetra
.664 .741 .907 r
.2205 .23677 .22466 .24108 .23078 .23875 .22663 .23443 Metetra
.664 .741 .907 r
.22663 .23443 .23078 .23875 .23692 .23641 .23277 .23208 Metetra
.664 .741 .908 r
.23277 .23208 .23692 .23641 .24307 .23406 .23893 .22973 Metetra
.664 .741 .908 r
.23893 .22973 .24307 .23406 .24923 .23171 .2451 .22737 Metetra
.664 .741 .908 r
.2451 .22737 .24923 .23171 .25541 .22936 .25129 .22501 Metetra
.664 .741 .908 r
.25129 .22501 .25541 .22936 .2616 .22701 .25749 .22264 Metetra
.664 .741 .908 r
.25749 .22264 .2616 .22701 .26781 .22465 .2637 .22027 Metetra
.664 .741 .908 r
.2637 .22027 .26781 .22465 .27403 .22228 .26993 .2179 Metetra
.664 .741 .908 r
.26993 .2179 .27403 .22228 .28026 .21991 .27618 .21552 Metetra
.664 .741 .908 r
.27618 .21552 .28026 .21991 .28651 .21753 .28244 .21313 Metetra
.664 .741 .908 r
.28244 .21313 .28651 .21753 .29278 .21515 .28871 .21074 Metetra
.664 .741 .908 r
.28871 .21074 .29278 .21515 .29906 .21276 .295 .20834 Metetra
.664 .741 .908 r
.295 .20834 .29906 .21276 .30536 .21037 .30131 .20593 Metetra
.664 .741 .908 r
.30131 .20593 .30536 .21037 .31167 .20797 .30763 .20352 Metetra
.664 .741 .908 r
.30763 .20352 .31167 .20797 .31799 .20556 .31396 .20111 Metetra
.664 .741 .908 r
.31396 .20111 .31799 .20556 .32433 .20315 .32031 .19869 Metetra
.664 .741 .908 r
.32031 .19869 .32433 .20315 .33069 .20073 .32668 .19626 Metetra
.664 .741 .908 r
.32668 .19626 .33069 .20073 .33706 .19831 .33306 .19383 Metetra
.664 .741 .908 r
.33306 .19383 .33706 .19831 .34345 .19588 .33946 .19139 Metetra
.664 .741 .908 r
.33946 .19139 .34345 .19588 .34985 .19345 .34587 .18894 Metetra
.664 .741 .908 r
.34587 .18894 .34985 .19345 .35627 .19101 .35229 .18649 Metetra
.664 .741 .908 r
.35229 .18649 .35627 .19101 .3627 .18857 .35874 .18403 Metetra
.664 .741 .908 r
.35874 .18403 .3627 .18857 .36915 .18611 .3652 .18157 Metetra
.664 .741 .908 r
.3652 .18157 .36915 .18611 .37562 .18366 .37167 .1791 Metetra
.664 .741 .908 r
.37167 .1791 .37562 .18366 .3821 .18119 .37816 .17663 Metetra
.664 .741 .908 r
.37816 .17663 .3821 .18119 .38859 .17872 .38467 .17415 Metetra
.664 .741 .908 r
.38467 .17415 .38859 .17872 .3951 .17625 .39119 .17166 Metetra
.664 .741 .908 r
.39119 .17166 .3951 .17625 .40163 .17377 .39772 .16917 Metetra
.664 .741 .908 r
.39772 .16917 .40163 .17377 .40817 .17128 .40428 .16667 Metetra
.664 .741 .908 r
.40428 .16667 .40817 .17128 .41473 .16879 .41085 .16417 Metetra
.664 .741 .908 r
.41085 .16417 .41473 .16879 .42131 .16629 .41743 .16166 Metetra
.664 .741 .908 r
.41743 .16166 .42131 .16629 .4279 .16378 .42403 .15914 Metetra
.664 .741 .908 r
.42403 .15914 .4279 .16378 .43451 .16127 .43065 .15662 Metetra
.664 .741 .908 r
.43065 .15662 .43451 .16127 .44113 .15875 .43728 .15409 Metetra
.664 .741 .908 r
.43728 .15409 .44113 .15875 .44777 .15623 .44393 .15155 Metetra
.664 .741 .908 r
.44393 .15155 .44777 .15623 .45443 .1537 .4506 .14901 Metetra
.664 .741 .908 r
.4506 .14901 .45443 .1537 .4611 .15116 .45728 .14646 Metetra
.664 .741 .908 r
.45728 .14646 .4611 .15116 .46779 .14862 .46398 .14391 Metetra
.664 .741 .908 r
.46398 .14391 .46779 .14862 .47449 .14607 .4707 .14135 Metetra
.664 .741 .908 r
.4707 .14135 .47449 .14607 .48121 .14351 .47743 .13878 Metetra
.663 .741 .908 r
.47743 .13878 .48121 .14351 .48795 .14095 .48418 .13621 Metetra
.663 .741 .908 r
.48418 .13621 .48795 .14095 .49471 .13839 .49095 .13363 Metetra
.663 .741 .908 r
.49095 .13363 .49471 .13839 .50148 .13582 .49773 .13104 Metetra
.663 .741 .908 r
.49773 .13104 .50148 .13582 .50827 .13324 .50453 .12845 Metetra
.663 .741 .908 r
.50453 .12845 .50827 .13324 .51507 .13066 .51135 .12586 Metetra
.663 .741 .908 r
.51135 .12586 .51507 .13066 .5219 .12807 .51818 .12326 Metetra
.663 .741 .908 r
.51818 .12326 .5219 .12807 .52874 .12548 .52503 .12065 Metetra
.663 .741 .908 r
.52503 .12065 .52874 .12548 .53559 .12288 .5319 .11804 Metetra
.663 .74 .908 r
.5319 .11804 .53559 .12288 .54247 .12028 .53878 .11543 Metetra
.663 .74 .908 r
.53878 .11543 .54247 .12028 .54936 .11768 .54568 .11281 Metetra
.662 .74 .908 r
.54568 .11281 .54936 .11768 .55627 .11508 .5526 .11019 Metetra
.662 .739 .907 r
.5526 .11019 .55627 .11508 .56319 .11248 .55954 .10757 Metetra
.661 .739 .907 r
.55954 .10757 .56319 .11248 .57014 .10989 .5665 .10496 Metetra
.661 .738 .907 r
.5665 .10496 .57014 .10989 .5771 .10729 .57347 .10234 Metetra
.66 .737 .907 r
.57347 .10234 .5771 .10729 .58408 .10471 .58046 .09973 Metetra
.659 .736 .907 r
.58046 .09973 .58408 .10471 .59107 .10213 .58747 .09712 Metetra
.658 .735 .906 r
.58747 .09712 .59107 .10213 .59809 .09957 .5945 .09453 Metetra
.657 .734 .906 r
.5945 .09453 .59809 .09957 .60513 .09702 .60154 .09194 Metetra
.656 .732 .906 r
.60154 .09194 .60513 .09702 .61218 .09449 .60861 .08938 Metetra
.654 .73 .905 r
.60861 .08938 .61218 .09449 .61925 .09199 .61569 .08683 Metetra
.652 .728 .904 r
.61569 .08683 .61925 .09199 .62635 .08951 .62279 .0843 Metetra
.651 .725 .904 r
.62279 .0843 .62635 .08951 .63346 .08706 .62992 .0818 Metetra
.648 .723 .903 r
.62992 .0818 .63346 .08706 .6406 .08463 .63706 .07932 Metetra
.646 .72 .902 r
.63706 .07932 .6406 .08463 .64775 .08224 .64423 .07688 Metetra
.644 .717 .901 r
.64423 .07688 .64775 .08224 .65493 .07987 .65141 .07446 Metetra
.642 .714 .9 r
.65141 .07446 .65493 .07987 .66213 .07753 .65862 .07206 Metetra
.641 .712 .899 r
.65862 .07206 .66213 .07753 .66935 .0752 .66585 .06969 Metetra
.639 .71 .898 r
.66585 .06969 .66935 .0752 .67659 .07288 .6731 .06733 Metetra
.638 .708 .897 r
.6731 .06733 .67659 .07288 .68385 .07055 .68038 .06497 Metetra
.638 .707 .897 r
.68038 .06497 .68385 .07055 .69113 .06821 .68767 .06262 Metetra
.639 .708 .896 r
.68767 .06262 .69113 .06821 .69843 .06583 .69498 .06024 Metetra
.64 .709 .897 r
.69498 .06024 .69843 .06583 .70575 .06341 .70231 .05783 Metetra
.643 .711 .897 r
.70231 .05783 .70575 .06341 .71309 .06093 .70966 .05538 Metetra
.646 .714 .898 r
.70966 .05538 .71309 .06093 .72044 .05838 .71703 .05287 Metetra
.68 .728 .887 r
.06639 .29686 .07072 .30128 .07654 .29894 .07223 .29433 Metetra
.686 .722 .877 r
.07223 .29433 .07654 .29894 .08239 .29642 .07811 .29167 Metetra
.69 .717 .87 r
.07811 .29167 .08239 .29642 .08828 .29375 .08402 .28888 Metetra
.693 .713 .864 r
.08402 .28888 .08828 .29375 .09419 .29095 .08995 .28602 Metetra
.694 .711 .861 r
.08995 .28602 .09419 .29095 .10013 .28807 .0959 .28311 Metetra
.694 .71 .861 r
.0959 .28311 .10013 .28807 .10608 .28514 .10185 .28019 Metetra
.693 .711 .862 r
.10185 .28019 .10608 .28514 .11205 .28219 .10782 .27728 Metetra
.691 .712 .865 r
.10782 .27728 .11205 .28219 .11802 .27927 .11379 .27443 Metetra
.689 .715 .869 r
.11379 .27443 .11802 .27927 .124 .27639 .11976 .27162 Metetra
.686 .718 .873 r
.11976 .27162 .124 .27639 .12998 .27358 .12574 .26889 Metetra
.683 .721 .878 r
.12574 .26889 .12998 .27358 .13596 .27083 .13172 .26622 Metetra
.68 .725 .883 r
.13172 .26622 .13596 .27083 .14195 .26815 .1377 .26361 Metetra
.678 .728 .888 r
.1377 .26361 .14195 .26815 .14794 .26555 .14369 .26106 Metetra
.675 .73 .892 r
.14369 .26106 .14794 .26555 .15393 .263 .14968 .25857 Metetra
.673 .733 .895 r
.14968 .25857 .15393 .263 .15993 .2605 .15569 .25611 Metetra
.671 .735 .898 r
.15569 .25611 .15993 .2605 .16594 .25805 .1617 .25369 Metetra
.669 .736 .9 r
.1617 .25369 .16594 .25805 .17195 .25563 .16772 .25129 Metetra
.668 .737 .902 r
.16772 .25129 .17195 .25563 .17798 .25323 .17375 .24891 Metetra
.667 .738 .904 r
.17375 .24891 .17798 .25323 .18401 .25086 .17979 .24655 Metetra
.666 .739 .905 r
.17979 .24655 .18401 .25086 .19006 .2485 .18584 .24419 Metetra
.665 .74 .906 r
.18584 .24419 .19006 .2485 .19612 .24615 .19191 .24184 Metetra
.665 .74 .906 r
.19191 .24184 .19612 .24615 .2022 .2438 .19799 .23949 Metetra
.665 .74 .907 r
.19799 .23949 .2022 .2438 .20828 .24146 .20409 .23715 Metetra
.664 .741 .907 r
.20409 .23715 .20828 .24146 .21439 .23912 .2102 .2348 Metetra
.664 .741 .907 r
.2102 .2348 .21439 .23912 .2205 .23677 .21632 .23245 Metetra
.664 .741 .907 r
.21632 .23245 .2205 .23677 .22663 .23443 .22246 .23009 Metetra
.664 .741 .908 r
.22246 .23009 .22663 .23443 .23277 .23208 .22861 .22774 Metetra
.664 .741 .908 r
.22861 .22774 .23277 .23208 .23893 .22973 .23477 .22538 Metetra
.664 .741 .908 r
.23477 .22538 .23893 .22973 .2451 .22737 .24095 .22301 Metetra
.664 .741 .908 r
.24095 .22301 .2451 .22737 .25129 .22501 .24715 .22064 Metetra
.664 .741 .908 r
.24715 .22064 .25129 .22501 .25749 .22264 .25336 .21826 Metetra
.664 .741 .908 r
.25336 .21826 .25749 .22264 .2637 .22027 .25958 .21588 Metetra
.664 .741 .908 r
.25958 .21588 .2637 .22027 .26993 .2179 .26582 .2135 Metetra
.664 .741 .908 r
.26582 .2135 .26993 .2179 .27618 .21552 .27208 .2111 Metetra
.664 .741 .908 r
.27208 .2111 .27618 .21552 .28244 .21313 .27834 .20871 Metetra
.664 .741 .908 r
.27834 .20871 .28244 .21313 .28871 .21074 .28463 .2063 Metetra
.664 .741 .908 r
.28463 .2063 .28871 .21074 .295 .20834 .29093 .20389 Metetra
.664 .741 .908 r
.29093 .20389 .295 .20834 .30131 .20593 .29724 .20148 Metetra
.664 .741 .908 r
.29724 .20148 .30131 .20593 .30763 .20352 .30357 .19906 Metetra
.664 .741 .908 r
.30357 .19906 .30763 .20352 .31396 .20111 .30991 .19663 Metetra
.664 .741 .908 r
.30991 .19663 .31396 .20111 .32031 .19869 .31627 .1942 Metetra
.664 .741 .908 r
.31627 .1942 .32031 .19869 .32668 .19626 .32265 .19176 Metetra
.664 .741 .908 r
.32265 .19176 .32668 .19626 .33306 .19383 .32904 .18932 Metetra
.664 .741 .908 r
.32904 .18932 .33306 .19383 .33946 .19139 .33544 .18687 Metetra
.664 .741 .908 r
.33544 .18687 .33946 .19139 .34587 .18894 .34187 .18441 Metetra
.664 .741 .908 r
.34187 .18441 .34587 .18894 .35229 .18649 .3483 .18195 Metetra
.664 .741 .908 r
.3483 .18195 .35229 .18649 .35874 .18403 .35475 .17948 Metetra
.664 .741 .908 r
.35475 .17948 .35874 .18403 .3652 .18157 .36122 .17701 Metetra
.664 .741 .908 r
.36122 .17701 .3652 .18157 .37167 .1791 .36771 .17453 Metetra
.664 .741 .908 r
.36771 .17453 .37167 .1791 .37816 .17663 .37421 .17205 Metetra
.664 .741 .908 r
.37421 .17205 .37816 .17663 .38467 .17415 .38072 .16955 Metetra
.664 .741 .908 r
.38072 .16955 .38467 .17415 .39119 .17166 .38725 .16706 Metetra
.664 .741 .908 r
.38725 .16706 .39119 .17166 .39772 .16917 .3938 .16455 Metetra
.664 .741 .908 r
.3938 .16455 .39772 .16917 .40428 .16667 .40036 .16204 Metetra
.664 .741 .908 r
.40036 .16204 .40428 .16667 .41085 .16417 .40694 .15953 Metetra
.664 .741 .908 r
.40694 .15953 .41085 .16417 .41743 .16166 .41354 .157 Metetra
.664 .741 .908 r
.41354 .157 .41743 .16166 .42403 .15914 .42015 .15448 Metetra
.664 .741 .908 r
.42015 .15448 .42403 .15914 .43065 .15662 .42678 .15194 Metetra
.664 .741 .908 r
.42678 .15194 .43065 .15662 .43728 .15409 .43342 .1494 Metetra
.664 .741 .908 r
.43342 .1494 .43728 .15409 .44393 .15155 .44008 .14685 Metetra
.664 .741 .908 r
.44008 .14685 .44393 .15155 .4506 .14901 .44676 .1443 Metetra
.664 .741 .908 r
.44676 .1443 .4506 .14901 .45728 .14646 .45345 .14174 Metetra
.664 .741 .908 r
.45345 .14174 .45728 .14646 .46398 .14391 .46016 .13917 Metetra
.664 .741 .908 r
.46016 .13917 .46398 .14391 .4707 .14135 .46689 .1366 Metetra
.664 .741 .908 r
.46689 .1366 .4707 .14135 .47743 .13878 .47363 .13402 Metetra
.664 .741 .908 r
.47363 .13402 .47743 .13878 .48418 .13621 .48039 .13144 Metetra
.663 .741 .908 r
.48039 .13144 .48418 .13621 .49095 .13363 .48717 .12885 Metetra
.663 .741 .908 r
.48717 .12885 .49095 .13363 .49773 .13104 .49396 .12625 Metetra
.663 .741 .908 r
.49396 .12625 .49773 .13104 .50453 .12845 .50077 .12365 Metetra
.663 .741 .908 r
.50077 .12365 .50453 .12845 .51135 .12586 .5076 .12104 Metetra
.663 .741 .908 r
.5076 .12104 .51135 .12586 .51818 .12326 .51444 .11843 Metetra
.663 .741 .908 r
.51444 .11843 .51818 .12326 .52503 .12065 .52131 .11581 Metetra
.663 .741 .908 r
.52131 .11581 .52503 .12065 .5319 .11804 .52819 .11318 Metetra
.663 .741 .908 r
.52819 .11318 .5319 .11804 .53878 .11543 .53508 .11055 Metetra
.663 .74 .908 r
.53508 .11055 .53878 .11543 .54568 .11281 .54199 .10792 Metetra
.663 .74 .908 r
.54199 .10792 .54568 .11281 .5526 .11019 .54893 .10529 Metetra
.662 .74 .908 r
.54893 .10529 .5526 .11019 .55954 .10757 .55587 .10265 Metetra
.662 .739 .907 r
.55587 .10265 .55954 .10757 .5665 .10496 .56284 .10001 Metetra
.661 .739 .907 r
.56284 .10001 .5665 .10496 .57347 .10234 .56982 .09737 Metetra
.661 .738 .907 r
.56982 .09737 .57347 .10234 .58046 .09973 .57683 .09474 Metetra
.66 .737 .907 r
.57683 .09474 .58046 .09973 .58747 .09712 .58385 .09211 Metetra
.659 .736 .907 r
.58385 .09211 .58747 .09712 .5945 .09453 .59089 .08948 Metetra
.658 .735 .906 r
.59089 .08948 .5945 .09453 .60154 .09194 .59794 .08687 Metetra
.657 .734 .906 r
.59794 .08687 .60154 .09194 .60861 .08938 .60502 .08427 Metetra
.656 .732 .906 r
.60502 .08427 .60861 .08938 .61569 .08683 .61211 .08168 Metetra
.654 .73 .905 r
.61211 .08168 .61569 .08683 .62279 .0843 .61923 .07911 Metetra
.653 .728 .904 r
.61923 .07911 .62279 .0843 .62992 .0818 .62636 .07656 Metetra
.651 .726 .904 r
.62636 .07656 .62992 .0818 .63706 .07932 .63352 .07403 Metetra
.649 .723 .903 r
.63352 .07403 .63706 .07932 .64423 .07688 .64069 .07154 Metetra
.647 .72 .902 r
.64069 .07154 .64423 .07688 .65141 .07446 .64789 .06906 Metetra
.645 .718 .901 r
.64789 .06906 .65141 .07446 .65862 .07206 .6551 .06662 Metetra
.643 .715 .9 r
.6551 .06662 .65862 .07206 .66585 .06969 .66234 .06419 Metetra
.641 .713 .899 r
.66234 .06419 .66585 .06969 .6731 .06733 .6696 .06179 Metetra
.64 .711 .898 r
.6696 .06179 .6731 .06733 .68038 .06497 .67689 .0594 Metetra
.639 .709 .898 r
.67689 .0594 .68038 .06497 .68767 .06262 .68419 .05701 Metetra
.639 .709 .897 r
.68419 .05701 .68767 .06262 .69498 .06024 .69151 .05462 Metetra
.64 .709 .897 r
.69151 .05462 .69498 .06024 .70231 .05783 .69886 .05221 Metetra
.641 .71 .897 r
.69886 .05221 .70231 .05783 .70966 .05538 .70622 .04978 Metetra
.643 .712 .897 r
.70622 .04978 .70966 .05538 .71703 .05287 .71361 .04729 Metetra
.685 .722 .878 r
.06206 .29226 .06639 .29686 .07223 .29433 .06793 .2896 Metetra
.69 .718 .871 r
.06793 .2896 .07223 .29433 .07811 .29167 .07383 .28682 Metetra
.692 .714 .866 r
.07383 .28682 .07811 .29167 .08402 .28888 .07975 .28397 Metetra
.693 .712 .863 r
.07975 .28397 .08402 .28888 .08995 .28602 .08569 .28108 Metetra
.693 .711 .862 r
.08569 .28108 .08995 .28602 .0959 .28311 .09164 .27818 Metetra
.692 .712 .863 r
.09164 .27818 .0959 .28311 .10185 .28019 .0976 .2753 Metetra
.691 .714 .866 r
.0976 .2753 .10185 .28019 .10782 .27728 .10356 .27246 Metetra
.688 .716 .87 r
.10356 .27246 .10782 .27728 .11379 .27443 .10953 .26967 Metetra
.686 .719 .874 r
.10953 .26967 .11379 .27443 .11976 .27162 .1155 .26694 Metetra
.683 .722 .879 r
.1155 .26694 .11976 .27162 .12574 .26889 .12147 .26428 Metetra
.68 .725 .884 r
.12147 .26428 .12574 .26889 .13172 .26622 .12745 .26167 Metetra
.677 .728 .888 r
.12745 .26167 .13172 .26622 .1377 .26361 .13343 .25913 Metetra
.675 .731 .892 r
.13343 .25913 .1377 .26361 .14369 .26106 .13942 .25663 Metetra
.673 .733 .895 r
.13942 .25663 .14369 .26106 .14968 .25857 .14542 .25417 Metetra
.671 .735 .898 r
.14542 .25417 .14968 .25857 .15569 .25611 .15142 .25175 Metetra
.669 .736 .9 r
.15142 .25175 .15569 .25611 .1617 .25369 .15743 .24934 Metetra
.668 .738 .902 r
.15743 .24934 .1617 .25369 .16772 .25129 .16346 .24696 Metetra
.667 .738 .904 r
.16346 .24696 .16772 .25129 .17375 .24891 .1695 .24459 Metetra
.666 .739 .905 r
.1695 .24459 .17375 .24891 .17979 .24655 .17555 .24223 Metetra
.665 .74 .906 r
.17555 .24223 .17979 .24655 .18584 .24419 .18161 .23988 Metetra
.665 .74 .906 r
.18161 .23988 .18584 .24419 .19191 .24184 .18768 .23752 Metetra
.665 .74 .907 r
.18768 .23752 .19191 .24184 .19799 .23949 .19377 .23517 Metetra
.664 .741 .907 r
.19377 .23517 .19799 .23949 .20409 .23715 .19987 .23282 Metetra
.664 .741 .907 r
.19987 .23282 .20409 .23715 .2102 .2348 .20599 .23046 Metetra
.664 .741 .907 r
.20599 .23046 .2102 .2348 .21632 .23245 .21212 .2281 Metetra
.664 .741 .908 r
.21212 .2281 .21632 .23245 .22246 .23009 .21827 .22574 Metetra
.664 .741 .908 r
.21827 .22574 .22246 .23009 .22861 .22774 .22443 .22338 Metetra
.664 .741 .908 r
.22443 .22338 .22861 .22774 .23477 .22538 .2306 .22101 Metetra
.664 .741 .908 r
.2306 .22101 .23477 .22538 .24095 .22301 .23679 .21863 Metetra
.664 .741 .908 r
.23679 .21863 .24095 .22301 .24715 .22064 .24299 .21625 Metetra
.664 .741 .908 r
.24299 .21625 .24715 .22064 .25336 .21826 .24921 .21386 Metetra
.664 .741 .908 r
.24921 .21386 .25336 .21826 .25958 .21588 .25544 .21147 Metetra
.664 .741 .908 r
.25544 .21147 .25958 .21588 .26582 .2135 .26169 .20908 Metetra
.664 .741 .908 r
.26169 .20908 .26582 .2135 .27208 .2111 .26795 .20667 Metetra
.664 .741 .908 r
.26795 .20667 .27208 .2111 .27834 .20871 .27423 .20426 Metetra
.664 .741 .908 r
.27423 .20426 .27834 .20871 .28463 .2063 .28052 .20185 Metetra
.664 .741 .908 r
.28052 .20185 .28463 .2063 .29093 .20389 .28683 .19943 Metetra
.664 .741 .908 r
.28683 .19943 .29093 .20389 .29724 .20148 .29316 .19701 Metetra
.664 .741 .908 r
.29316 .19701 .29724 .20148 .30357 .19906 .29949 .19457 Metetra
.664 .741 .908 r
.29949 .19457 .30357 .19906 .30991 .19663 .30585 .19214 Metetra
.664 .741 .908 r
.30585 .19214 .30991 .19663 .31627 .1942 .31222 .18969 Metetra
.664 .741 .908 r
.31222 .18969 .31627 .1942 .32265 .19176 .3186 .18725 Metetra
.664 .741 .908 r
.3186 .18725 .32265 .19176 .32904 .18932 .325 .18479 Metetra
.664 .741 .908 r
.325 .18479 .32904 .18932 .33544 .18687 .33142 .18233 Metetra
.664 .741 .908 r
.33142 .18233 .33544 .18687 .34187 .18441 .33785 .17986 Metetra
.664 .741 .908 r
.33785 .17986 .34187 .18441 .3483 .18195 .34429 .17739 Metetra
.664 .741 .908 r
.34429 .17739 .3483 .18195 .35475 .17948 .35075 .17491 Metetra
.664 .741 .908 r
.35075 .17491 .35475 .17948 .36122 .17701 .35723 .17243 Metetra
.664 .741 .908 r
.35723 .17243 .36122 .17701 .36771 .17453 .36373 .16994 Metetra
.664 .741 .908 r
.36373 .16994 .36771 .17453 .37421 .17205 .37023 .16744 Metetra
.664 .741 .908 r
.37023 .16744 .37421 .17205 .38072 .16955 .37676 .16494 Metetra
.664 .741 .908 r
.37676 .16494 .38072 .16955 .38725 .16706 .3833 .16243 Metetra
.664 .741 .908 r
.3833 .16243 .38725 .16706 .3938 .16455 .38986 .15991 Metetra
.664 .741 .908 r
.38986 .15991 .3938 .16455 .40036 .16204 .39643 .15739 Metetra
.664 .741 .908 r
.39643 .15739 .40036 .16204 .40694 .15953 .40302 .15486 Metetra
.664 .741 .908 r
.40302 .15486 .40694 .15953 .41354 .157 .40963 .15233 Metetra
.664 .741 .908 r
.40963 .15233 .41354 .157 .42015 .15448 .41625 .14979 Metetra
.664 .741 .908 r
.41625 .14979 .42015 .15448 .42678 .15194 .42289 .14724 Metetra
.664 .741 .908 r
.42289 .14724 .42678 .15194 .43342 .1494 .42954 .14469 Metetra
.664 .741 .908 r
.42954 .14469 .43342 .1494 .44008 .14685 .43621 .14213 Metetra
.664 .741 .908 r
.43621 .14213 .44008 .14685 .44676 .1443 .4429 .13957 Metetra
.664 .741 .908 r
.4429 .13957 .44676 .1443 .45345 .14174 .4496 .137 Metetra
.664 .741 .908 r
.4496 .137 .45345 .14174 .46016 .13917 .45632 .13442 Metetra
.664 .741 .908 r
.45632 .13442 .46016 .13917 .46689 .1366 .46306 .13184 Metetra
.664 .741 .908 r
.46306 .13184 .46689 .1366 .47363 .13402 .46981 .12924 Metetra
.664 .741 .908 r
.46981 .12924 .47363 .13402 .48039 .13144 .47658 .12665 Metetra
.664 .741 .908 r
.47658 .12665 .48039 .13144 .48717 .12885 .48337 .12405 Metetra
.663 .741 .908 r
.48337 .12405 .48717 .12885 .49396 .12625 .49018 .12144 Metetra
.663 .741 .908 r
.49018 .12144 .49396 .12625 .50077 .12365 .497 .11882 Metetra
.663 .741 .908 r
.497 .11882 .50077 .12365 .5076 .12104 .50384 .1162 Metetra
.663 .741 .908 r
.50384 .1162 .5076 .12104 .51444 .11843 .51069 .11357 Metetra
.663 .741 .908 r
.51069 .11357 .51444 .11843 .52131 .11581 .51757 .11094 Metetra
.663 .741 .908 r
.51757 .11094 .52131 .11581 .52819 .11318 .52446 .1083 Metetra
.663 .741 .908 r
.52446 .1083 .52819 .11318 .53508 .11055 .53136 .10566 Metetra
.663 .741 .908 r
.53136 .10566 .53508 .11055 .54199 .10792 .53829 .10301 Metetra
.663 .74 .908 r
.53829 .10301 .54199 .10792 .54893 .10529 .54523 .10036 Metetra
.663 .74 .908 r
.54523 .10036 .54893 .10529 .55587 .10265 .55219 .09771 Metetra
.662 .74 .908 r
.55219 .09771 .55587 .10265 .56284 .10001 .55917 .09505 Metetra
.662 .739 .907 r
.55917 .09505 .56284 .10001 .56982 .09737 .56616 .09239 Metetra
.661 .739 .907 r
.56616 .09239 .56982 .09737 .57683 .09474 .57318 .08974 Metetra
.661 .738 .907 r
.57318 .08974 .57683 .09474 .58385 .09211 .58021 .08708 Metetra
.66 .737 .907 r
.58021 .08708 .58385 .09211 .59089 .08948 .58726 .08443 Metetra
.659 .736 .907 r
.58726 .08443 .59089 .08948 .59794 .08687 .59433 .08179 Metetra
.658 .735 .906 r
.59433 .08179 .59794 .08687 .60502 .08427 .60141 .07916 Metetra
.657 .734 .906 r
.60141 .07916 .60502 .08427 .61211 .08168 .60852 .07653 Metetra
.656 .732 .906 r
.60852 .07653 .61211 .08168 .61923 .07911 .61565 .07392 Metetra
.654 .73 .905 r
.61565 .07392 .61923 .07911 .62636 .07656 .62279 .07133 Metetra
.653 .728 .905 r
.62279 .07133 .62636 .07656 .63352 .07403 .62995 .06876 Metetra
.651 .726 .904 r
.62995 .06876 .63352 .07403 .64069 .07154 .63714 .06621 Metetra
.649 .723 .903 r
.63714 .06621 .64069 .07154 .64789 .06906 .64435 .06369 Metetra
.647 .721 .902 r
.64435 .06369 .64789 .06906 .6551 .06662 .65157 .06119 Metetra
.645 .718 .901 r
.65157 .06119 .6551 .06662 .66234 .06419 .65882 .05872 Metetra
.643 .716 .9 r
.65882 .05872 .66234 .06419 .6696 .06179 .66609 .05627 Metetra
.642 .713 .899 r
.66609 .05627 .6696 .06179 .67689 .0594 .67338 .05384 Metetra
.641 .711 .899 r
.67338 .05384 .67689 .0594 .68419 .05701 .6807 .05141 Metetra
.64 .71 .898 r
.6807 .05141 .68419 .05701 .69151 .05462 .68803 .049 Metetra
.64 .709 .897 r
.68803 .049 .69151 .05462 .69886 .05221 .69539 .04658 Metetra
.64 .71 .897 r
.69539 .04658 .69886 .05221 .70622 .04978 .70277 .04414 Metetra
.642 .711 .897 r
.70277 .04414 .70622 .04978 .71361 .04729 .71016 .04167 Metetra
.689 .718 .872 r
.05772 .28753 .06206 .29226 .06793 .2896 .06362 .28477 Metetra
.691 .715 .867 r
.06362 .28477 .06793 .2896 .07383 .28682 .06953 .28194 Metetra
.692 .713 .864 r
.06953 .28194 .07383 .28682 .07975 .28397 .07546 .27906 Metetra
.693 .712 .864 r
.07546 .27906 .07975 .28397 .08569 .28108 .08141 .27618 Metetra
.692 .713 .865 r
.08141 .27618 .08569 .28108 .09164 .27818 .08736 .27331 Metetra
.69 .715 .868 r
.08736 .27331 .09164 .27818 .0976 .2753 .09332 .27049 Metetra
.688 .717 .871 r
.09332 .27049 .0976 .2753 .10356 .27246 .09928 .26771 Metetra
.685 .72 .875 r
.09928 .26771 .10356 .27246 .10953 .26967 .10524 .26499 Metetra
.683 .723 .88 r
.10524 .26499 .10953 .26967 .1155 .26694 .11121 .26233 Metetra
.68 .725 .884 r
.11121 .26233 .1155 .26694 .12147 .26428 .11718 .25973 Metetra
.677 .728 .888 r
.11718 .25973 .12147 .26428 .12745 .26167 .12315 .25719 Metetra
.675 .731 .892 r
.12315 .25719 .12745 .26167 .13343 .25913 .12914 .25469 Metetra
.672 .733 .896 r
.12914 .25469 .13343 .25913 .13942 .25663 .13513 .25223 Metetra
.671 .735 .898 r
.13513 .25223 .13942 .25663 .14542 .25417 .14112 .2498 Metetra
.669 .736 .9 r
.14112 .2498 .14542 .25417 .15142 .25175 .14713 .24739 Metetra
.668 .738 .902 r
.14713 .24739 .15142 .25175 .15743 .24934 .15315 .24501 Metetra
.667 .738 .904 r
.15315 .24501 .15743 .24934 .16346 .24696 .15918 .24263 Metetra
.666 .739 .905 r
.15918 .24263 .16346 .24696 .1695 .24459 .16523 .24027 Metetra
.665 .74 .906 r
.16523 .24027 .1695 .24459 .17555 .24223 .17128 .23791 Metetra
.665 .74 .906 r
.17128 .23791 .17555 .24223 .18161 .23988 .17735 .23555 Metetra
.665 .74 .907 r
.17735 .23555 .18161 .23988 .18768 .23752 .18343 .23319 Metetra
.664 .741 .907 r
.18343 .23319 .18768 .23752 .19377 .23517 .18953 .23083 Metetra
.664 .741 .907 r
.18953 .23083 .19377 .23517 .19987 .23282 .19564 .22847 Metetra
.664 .741 .907 r
.19564 .22847 .19987 .23282 .20599 .23046 .20177 .22611 Metetra
.664 .741 .908 r
.20177 .22611 .20599 .23046 .21212 .2281 .2079 .22374 Metetra
.664 .741 .908 r
.2079 .22374 .21212 .2281 .21827 .22574 .21406 .22137 Metetra
.664 .741 .908 r
.21406 .22137 .21827 .22574 .22443 .22338 .22023 .219 Metetra
.664 .741 .908 r
.22023 .219 .22443 .22338 .2306 .22101 .22641 .21662 Metetra
.664 .741 .908 r
.22641 .21662 .2306 .22101 .23679 .21863 .23261 .21423 Metetra
.664 .741 .908 r
.23261 .21423 .23679 .21863 .24299 .21625 .23882 .21184 Metetra
.664 .741 .908 r
.23882 .21184 .24299 .21625 .24921 .21386 .24505 .20945 Metetra
.664 .741 .908 r
.24505 .20945 .24921 .21386 .25544 .21147 .25129 .20704 Metetra
.664 .741 .908 r
.25129 .20704 .25544 .21147 .26169 .20908 .25754 .20464 Metetra
.664 .741 .908 r
.25754 .20464 .26169 .20908 .26795 .20667 .26381 .20222 Metetra
.664 .741 .908 r
.26381 .20222 .26795 .20667 .27423 .20426 .2701 .1998 Metetra
.664 .741 .908 r
.2701 .1998 .27423 .20426 .28052 .20185 .2764 .19738 Metetra
.664 .741 .908 r
.2764 .19738 .28052 .20185 .28683 .19943 .28272 .19495 Metetra
.664 .741 .908 r
.28272 .19495 .28683 .19943 .29316 .19701 .28905 .19251 Metetra
.664 .741 .908 r
.28905 .19251 .29316 .19701 .29949 .19457 .2954 .19007 Metetra
.664 .741 .908 r
.2954 .19007 .29949 .19457 .30585 .19214 .30176 .18762 Metetra
.664 .741 .908 r
.30176 .18762 .30585 .19214 .31222 .18969 .30814 .18517 Metetra
.664 .741 .908 r
.30814 .18517 .31222 .18969 .3186 .18725 .31453 .18271 Metetra
.664 .741 .908 r
.31453 .18271 .3186 .18725 .325 .18479 .32094 .18024 Metetra
.664 .741 .908 r
.32094 .18024 .325 .18479 .33142 .18233 .32737 .17777 Metetra
.664 .741 .908 r
.32737 .17777 .33142 .18233 .33785 .17986 .33381 .17529 Metetra
.664 .741 .908 r
.33381 .17529 .33785 .17986 .34429 .17739 .34026 .17281 Metetra
.664 .741 .908 r
.34026 .17281 .34429 .17739 .35075 .17491 .34674 .17032 Metetra
.664 .741 .908 r
.34674 .17032 .35075 .17491 .35723 .17243 .35322 .16782 Metetra
.664 .741 .908 r
.35322 .16782 .35723 .17243 .36373 .16994 .35973 .16532 Metetra
.664 .741 .908 r
.35973 .16532 .36373 .16994 .37023 .16744 .36625 .16281 Metetra
.664 .741 .908 r
.36625 .16281 .37023 .16744 .37676 .16494 .37278 .1603 Metetra
.664 .741 .908 r
.37278 .1603 .37676 .16494 .3833 .16243 .37933 .15778 Metetra
.664 .741 .908 r
.37933 .15778 .3833 .16243 .38986 .15991 .3859 .15525 Metetra
.664 .741 .908 r
.3859 .15525 .38986 .15991 .39643 .15739 .39248 .15272 Metetra
.664 .741 .908 r
.39248 .15272 .39643 .15739 .40302 .15486 .39908 .15018 Metetra
.664 .741 .908 r
.39908 .15018 .40302 .15486 .40963 .15233 .4057 .14764 Metetra
.664 .741 .908 r
.4057 .14764 .40963 .15233 .41625 .14979 .41233 .14509 Metetra
.664 .741 .908 r
.41233 .14509 .41625 .14979 .42289 .14724 .41898 .14253 Metetra
.664 .741 .908 r
.41898 .14253 .42289 .14724 .42954 .14469 .42564 .13996 Metetra
.664 .741 .908 r
.42564 .13996 .42954 .14469 .43621 .14213 .43232 .13739 Metetra
.664 .741 .908 r
.43232 .13739 .43621 .14213 .4429 .13957 .43902 .13482 Metetra
.664 .741 .908 r
.43902 .13482 .4429 .13957 .4496 .137 .44574 .13223 Metetra
.664 .741 .908 r
.44574 .13223 .4496 .137 .45632 .13442 .45247 .12964 Metetra
.664 .741 .908 r
.45247 .12964 .45632 .13442 .46306 .13184 .45921 .12705 Metetra
.664 .741 .908 r
.45921 .12705 .46306 .13184 .46981 .12924 .46598 .12444 Metetra
.664 .741 .908 r
.46598 .12444 .46981 .12924 .47658 .12665 .47276 .12184 Metetra
.664 .741 .908 r
.47276 .12184 .47658 .12665 .48337 .12405 .47956 .11922 Metetra
.664 .741 .908 r
.47956 .11922 .48337 .12405 .49018 .12144 .48637 .1166 Metetra
.663 .741 .908 r
.48637 .1166 .49018 .12144 .497 .11882 .49321 .11397 Metetra
.663 .741 .908 r
.49321 .11397 .497 .11882 .50384 .1162 .50006 .11134 Metetra
.663 .741 .908 r
.50006 .11134 .50384 .1162 .51069 .11357 .50692 .1087 Metetra
.663 .741 .908 r
.50692 .1087 .51069 .11357 .51757 .11094 .51381 .10605 Metetra
.663 .741 .908 r
.51381 .10605 .51757 .11094 .52446 .1083 .52071 .1034 Metetra
.663 .741 .908 r
.52071 .1034 .52446 .1083 .53136 .10566 .52763 .10074 Metetra
.663 .741 .908 r
.52763 .10074 .53136 .10566 .53829 .10301 .53456 .09808 Metetra
.663 .741 .908 r
.53456 .09808 .53829 .10301 .54523 .10036 .54152 .09542 Metetra
.663 .74 .908 r
.54152 .09542 .54523 .10036 .55219 .09771 .54849 .09275 Metetra
.663 .74 .908 r
.54849 .09275 .55219 .09771 .55917 .09505 .55548 .09007 Metetra
.662 .74 .908 r
.55548 .09007 .55917 .09505 .56616 .09239 .56249 .0874 Metetra
.662 .739 .907 r
.56249 .0874 .56616 .09239 .57318 .08974 .56951 .08472 Metetra
.661 .739 .907 r
.56951 .08472 .57318 .08974 .58021 .08708 .57655 .08205 Metetra
.661 .738 .907 r
.57655 .08205 .58021 .08708 .58726 .08443 .58361 .07937 Metetra
.66 .737 .907 r
.58361 .07937 .58726 .08443 .59433 .08179 .59069 .0767 Metetra
.659 .736 .907 r
.59069 .0767 .59433 .08179 .60141 .07916 .59779 .07404 Metetra
.658 .735 .906 r
.59779 .07404 .60141 .07916 .60852 .07653 .60491 .07139 Metetra
.657 .734 .906 r
.60491 .07139 .60852 .07653 .61565 .07392 .61205 .06874 Metetra
.656 .732 .906 r
.61205 .06874 .61565 .07392 .62279 .07133 .6192 .06611 Metetra
.655 .731 .905 r
.6192 .06611 .62279 .07133 .62995 .06876 .62638 .0635 Metetra
.653 .728 .905 r
.62638 .0635 .62995 .06876 .63714 .06621 .63357 .06091 Metetra
.651 .726 .904 r
.63357 .06091 .63714 .06621 .64435 .06369 .64079 .05834 Metetra
.649 .724 .903 r
.64079 .05834 .64435 .06369 .65157 .06119 .64803 .05579 Metetra
.647 .721 .902 r
.64803 .05579 .65157 .06119 .65882 .05872 .65529 .05327 Metetra
.646 .719 .901 r
.65529 .05327 .65882 .05872 .66609 .05627 .66257 .05077 Metetra
.644 .716 .9 r
.66257 .05077 .66609 .05627 .67338 .05384 .66987 .04829 Metetra
.642 .714 .9 r
.66987 .04829 .67338 .05384 .6807 .05141 .67719 .04582 Metetra
.641 .712 .899 r
.67719 .04582 .6807 .05141 .68803 .049 .68454 .04337 Metetra
.641 .711 .898 r
.68454 .04337 .68803 .049 .69539 .04658 .6919 .04093 Metetra
.64 .71 .898 r
.6919 .04093 .69539 .04658 .70277 .04414 .69929 .03847 Metetra
.641 .711 .898 r
.69929 .03847 .70277 .04414 .71016 .04167 .7067 .036 Metetra
.691 .716 .868 r
.05339 .28272 .05772 .28753 .06362 .28477 .05929 .2799 Metetra
.692 .714 .866 r
.05929 .2799 .06362 .28477 .06953 .28194 .06522 .27704 Metetra
.692 .714 .865 r
.06522 .27704 .06953 .28194 .07546 .27906 .07115 .27418 Metetra
.691 .714 .866 r
.07115 .27418 .07546 .27906 .08141 .27618 .0771 .27133 Metetra
.689 .716 .869 r
.0771 .27133 .08141 .27618 .08736 .27331 .08305 .26851 Metetra
.687 .718 .872 r
.08305 .26851 .08736 .27331 .09332 .27049 .089 .26575 Metetra
.685 .72 .876 r
.089 .26575 .09332 .27049 .09928 .26771 .09496 .26304 Metetra
.682 .723 .881 r
.09496 .26304 .09928 .26771 .10524 .26499 .10092 .26039 Metetra
.68 .726 .885 r
.10092 .26039 .10524 .26499 .11121 .26233 .10688 .25779 Metetra
.677 .729 .889 r
.10688 .25779 .11121 .26233 .11718 .25973 .11285 .25525 Metetra
.675 .731 .893 r
.11285 .25525 .11718 .25973 .12315 .25719 .11883 .25274 Metetra
.672 .733 .896 r
.11883 .25274 .12315 .25719 .12914 .25469 .12481 .25028 Metetra
.671 .735 .898 r
.12481 .25028 .12914 .25469 .13513 .25223 .13081 .24785 Metetra
.669 .736 .901 r
.13081 .24785 .13513 .25223 .14112 .2498 .13681 .24544 Metetra
.668 .738 .902 r
.13681 .24544 .14112 .2498 .14713 .24739 .14282 .24305 Metetra
.667 .738 .904 r
.14282 .24305 .14713 .24739 .15315 .24501 .14885 .24067 Metetra
.666 .739 .905 r
.14885 .24067 .15315 .24501 .15918 .24263 .15489 .2383 Metetra
.665 .74 .905 r
.15489 .2383 .15918 .24263 .16523 .24027 .16094 .23593 Metetra
.665 .74 .906 r
.16094 .23593 .16523 .24027 .17128 .23791 .167 .23357 Metetra
.665 .74 .907 r
.167 .23357 .17128 .23791 .17735 .23555 .17308 .23121 Metetra
.664 .741 .907 r
.17308 .23121 .17735 .23555 .18343 .23319 .17917 .22885 Metetra
.664 .741 .907 r
.17917 .22885 .18343 .23319 .18953 .23083 .18527 .22648 Metetra
.664 .741 .907 r
.18527 .22648 .18953 .23083 .19564 .22847 .19139 .22411 Metetra
.664 .741 .908 r
.19139 .22411 .19564 .22847 .20177 .22611 .19752 .22174 Metetra
.664 .741 .908 r
.19752 .22174 .20177 .22611 .2079 .22374 .20367 .21937 Metetra
.664 .741 .908 r
.20367 .21937 .2079 .22374 .21406 .22137 .20983 .21699 Metetra
.664 .741 .908 r
.20983 .21699 .21406 .22137 .22023 .219 .21601 .2146 Metetra
.664 .741 .908 r
.21601 .2146 .22023 .219 .22641 .21662 .2222 .21221 Metetra
.664 .741 .908 r
.2222 .21221 .22641 .21662 .23261 .21423 .2284 .20981 Metetra
.664 .741 .908 r
.2284 .20981 .23261 .21423 .23882 .21184 .23463 .20741 Metetra
.664 .741 .908 r
.23463 .20741 .23882 .21184 .24505 .20945 .24086 .20501 Metetra
.664 .741 .908 r
.24086 .20501 .24505 .20945 .25129 .20704 .24711 .20259 Metetra
.664 .741 .908 r
.24711 .20259 .25129 .20704 .25754 .20464 .25338 .20018 Metetra
.664 .741 .908 r
.25338 .20018 .25754 .20464 .26381 .20222 .25966 .19775 Metetra
.664 .741 .908 r
.25966 .19775 .26381 .20222 .2701 .1998 .26595 .19532 Metetra
.664 .741 .908 r
.26595 .19532 .2701 .1998 .2764 .19738 .27226 .19289 Metetra
.664 .741 .908 r
.27226 .19289 .2764 .19738 .28272 .19495 .27859 .19045 Metetra
.664 .741 .908 r
.27859 .19045 .28272 .19495 .28905 .19251 .28493 .188 Metetra
.664 .741 .908 r
.28493 .188 .28905 .19251 .2954 .19007 .29129 .18555 Metetra
.664 .741 .908 r
.29129 .18555 .2954 .19007 .30176 .18762 .29766 .18309 Metetra
.664 .741 .908 r
.29766 .18309 .30176 .18762 .30814 .18517 .30405 .18062 Metetra
.664 .741 .908 r
.30405 .18062 .30814 .18517 .31453 .18271 .31045 .17815 Metetra
.664 .741 .908 r
.31045 .17815 .31453 .18271 .32094 .18024 .31687 .17568 Metetra
.664 .741 .908 r
.31687 .17568 .32094 .18024 .32737 .17777 .3233 .17319 Metetra
.664 .741 .908 r
.3233 .17319 .32737 .17777 .33381 .17529 .32975 .1707 Metetra
.664 .741 .908 r
.32975 .1707 .33381 .17529 .34026 .17281 .33622 .16821 Metetra
.664 .741 .908 r
.33622 .16821 .34026 .17281 .34674 .17032 .3427 .16571 Metetra
.664 .741 .908 r
.3427 .16571 .34674 .17032 .35322 .16782 .3492 .1632 Metetra
.664 .741 .908 r
.3492 .1632 .35322 .16782 .35973 .16532 .35571 .16069 Metetra
.664 .741 .908 r
.35571 .16069 .35973 .16532 .36625 .16281 .36224 .15817 Metetra
.664 .741 .908 r
.36224 .15817 .36625 .16281 .37278 .1603 .36878 .15564 Metetra
.664 .741 .908 r
.36878 .15564 .37278 .1603 .37933 .15778 .37534 .15311 Metetra
.664 .741 .908 r
.37534 .15311 .37933 .15778 .3859 .15525 .38192 .15057 Metetra
.664 .741 .908 r
.38192 .15057 .3859 .15525 .39248 .15272 .38851 .14803 Metetra
.664 .741 .908 r
.38851 .14803 .39248 .15272 .39908 .15018 .39512 .14548 Metetra
.664 .741 .908 r
.39512 .14548 .39908 .15018 .4057 .14764 .40175 .14292 Metetra
.664 .741 .908 r
.40175 .14292 .4057 .14764 .41233 .14509 .40839 .14036 Metetra
.664 .741 .908 r
.40839 .14036 .41233 .14509 .41898 .14253 .41505 .13779 Metetra
.664 .741 .908 r
.41505 .13779 .41898 .14253 .42564 .13996 .42173 .13521 Metetra
.664 .741 .908 r
.42173 .13521 .42564 .13996 .43232 .13739 .42842 .13263 Metetra
.664 .741 .908 r
.42842 .13263 .43232 .13739 .43902 .13482 .43513 .13004 Metetra
.664 .741 .908 r
.43513 .13004 .43902 .13482 .44574 .13223 .44185 .12745 Metetra
.664 .741 .908 r
.44185 .12745 .44574 .13223 .45247 .12964 .44859 .12485 Metetra
.664 .741 .908 r
.44859 .12485 .45247 .12964 .45921 .12705 .45535 .12224 Metetra
.664 .741 .908 r
.45535 .12224 .45921 .12705 .46598 .12444 .46213 .11962 Metetra
.664 .741 .908 r
.46213 .11962 .46598 .12444 .47276 .12184 .46892 .117 Metetra
.664 .741 .908 r
.46892 .117 .47276 .12184 .47956 .11922 .47573 .11437 Metetra
.664 .741 .908 r
.47573 .11437 .47956 .11922 .48637 .1166 .48255 .11174 Metetra
.664 .741 .908 r
.48255 .11174 .48637 .1166 .49321 .11397 .4894 .1091 Metetra
.663 .741 .908 r
.4894 .1091 .49321 .11397 .50006 .11134 .49626 .10645 Metetra
.663 .741 .908 r
.49626 .10645 .50006 .11134 .50692 .1087 .50314 .1038 Metetra
.663 .741 .908 r
.50314 .1038 .50692 .1087 .51381 .10605 .51003 .10114 Metetra
.663 .741 .908 r
.51003 .10114 .51381 .10605 .52071 .1034 .51694 .09848 Metetra
.663 .741 .908 r
.51694 .09848 .52071 .1034 .52763 .10074 .52387 .09581 Metetra
.663 .741 .908 r
.52387 .09581 .52763 .10074 .53456 .09808 .53082 .09313 Metetra
.663 .741 .908 r
.53082 .09313 .53456 .09808 .54152 .09542 .53779 .09045 Metetra
.663 .741 .908 r
.53779 .09045 .54152 .09542 .54849 .09275 .54477 .08777 Metetra
.663 .74 .908 r
.54477 .08777 .54849 .09275 .55548 .09007 .55177 .08508 Metetra
.663 .74 .908 r
.55177 .08508 .55548 .09007 .56249 .0874 .55879 .08238 Metetra
.662 .74 .908 r
.55879 .08238 .56249 .0874 .56951 .08472 .56583 .07969 Metetra
.662 .739 .907 r
.56583 .07969 .56951 .08472 .57655 .08205 .57288 .07699 Metetra
.661 .739 .907 r
.57288 .07699 .57655 .08205 .58361 .07937 .57995 .0743 Metetra
.661 .738 .907 r
.57995 .0743 .58361 .07937 .59069 .0767 .58705 .07161 Metetra
.66 .737 .907 r
.58705 .07161 .59069 .0767 .59779 .07404 .59416 .06892 Metetra
.659 .736 .907 r
.59416 .06892 .59779 .07404 .60491 .07139 .60128 .06623 Metetra
.658 .735 .906 r
.60128 .06623 .60491 .07139 .61205 .06874 .60843 .06356 Metetra
.657 .734 .906 r
.60843 .06356 .61205 .06874 .6192 .06611 .6156 .06089 Metetra
.656 .732 .906 r
.6156 .06089 .6192 .06611 .62638 .0635 .62279 .05824 Metetra
.655 .731 .905 r
.62279 .05824 .62638 .0635 .63357 .06091 .62999 .05561 Metetra
.653 .729 .905 r
.62999 .05561 .63357 .06091 .64079 .05834 .63722 .053 Metetra
.651 .726 .904 r
.63722 .053 .64079 .05834 .64803 .05579 .64447 .0504 Metetra
.65 .724 .903 r
.64447 .0504 .64803 .05579 .65529 .05327 .65174 .04783 Metetra
.648 .722 .902 r
.65174 .04783 .65529 .05327 .66257 .05077 .65903 .04528 Metetra
.646 .719 .902 r
.65903 .04528 .66257 .05077 .66987 .04829 .66634 .04275 Metetra
.644 .717 .901 r
.66634 .04275 .66987 .04829 .67719 .04582 .67367 .04025 Metetra
.643 .715 .9 r
.67367 .04025 .67719 .04582 .68454 .04337 .68103 .03776 Metetra
.642 .713 .899 r
.68103 .03776 .68454 .04337 .6919 .04093 .6884 .03527 Metetra
.641 .712 .899 r
.6884 .03527 .6919 .04093 .69929 .03847 .6958 .0328 Metetra
.641 .711 .898 r
.6958 .0328 .69929 .03847 .7067 .036 .70322 .03031 Metetra
.691 .715 .867 r
.04904 .27787 .05339 .28272 .05929 .2799 .05495 .27503 Metetra
.691 .715 .867 r
.05495 .27503 .05929 .2799 .06522 .27704 .06088 .27218 Metetra
.69 .715 .868 r
.06088 .27218 .06522 .27704 .07115 .27418 .06682 .26934 Metetra
.689 .716 .87 r
.06682 .26934 .07115 .27418 .0771 .27133 .07276 .26654 Metetra
.687 .718 .873 r
.07276 .26654 .0771 .27133 .08305 .26851 .07871 .26379 Metetra
.684 .721 .877 r
.07871 .26379 .08305 .26851 .089 .26575 .08466 .26108 Metetra
.682 .724 .881 r
.08466 .26108 .089 .26575 .09496 .26304 .09061 .25844 Metetra
.679 .726 .885 r
.09061 .25844 .09496 .26304 .10092 .26039 .09657 .25584 Metetra
.677 .729 .889 r
.09657 .25584 .10092 .26039 .10688 .25779 .10253 .2533 Metetra
.674 .731 .893 r
.10253 .2533 .10688 .25779 .11285 .25525 .10851 .2508 Metetra
.672 .733 .896 r
.10851 .2508 .11285 .25525 .11883 .25274 .11448 .24833 Metetra
.671 .735 .898 r
.11448 .24833 .11883 .25274 .12481 .25028 .12047 .24589 Metetra
.669 .736 .901 r
.12047 .24589 .12481 .25028 .13081 .24785 .12647 .24348 Metetra
.668 .738 .902 r
.12647 .24348 .13081 .24785 .13681 .24544 .13247 .24108 Metetra
.667 .738 .904 r
.13247 .24108 .13681 .24544 .14282 .24305 .13849 .2387 Metetra
.666 .739 .905 r
.13849 .2387 .14282 .24305 .14885 .24067 .14452 .23633 Metetra
.665 .74 .905 r
.14452 .23633 .14885 .24067 .15489 .2383 .15057 .23396 Metetra
.665 .74 .906 r
.15057 .23396 .15489 .2383 .16094 .23593 .15663 .23159 Metetra
.665 .74 .907 r
.15663 .23159 .16094 .23593 .167 .23357 .1627 .22922 Metetra
.664 .741 .907 r
.1627 .22922 .167 .23357 .17308 .23121 .16878 .22685 Metetra
.664 .741 .907 r
.16878 .22685 .17308 .23121 .17917 .22885 .17488 .22448 Metetra
.664 .741 .907 r
.17488 .22448 .17917 .22885 .18527 .22648 .18099 .22211 Metetra
.664 .741 .908 r
.18099 .22211 .18527 .22648 .19139 .22411 .18712 .21974 Metetra
.664 .741 .908 r
.18712 .21974 .19139 .22411 .19752 .22174 .19326 .21735 Metetra
.664 .741 .908 r
.19326 .21735 .19752 .22174 .20367 .21937 .19942 .21497 Metetra
.664 .741 .908 r
.19942 .21497 .20367 .21937 .20983 .21699 .20559 .21258 Metetra
.664 .741 .908 r
.20559 .21258 .20983 .21699 .21601 .2146 .21177 .21018 Metetra
.664 .741 .908 r
.21177 .21018 .21601 .2146 .2222 .21221 .21797 .20778 Metetra
.664 .741 .908 r
.21797 .20778 .2222 .21221 .2284 .20981 .22418 .20538 Metetra
.664 .741 .908 r
.22418 .20538 .2284 .20981 .23463 .20741 .23041 .20297 Metetra
.664 .741 .908 r
.23041 .20297 .23463 .20741 .24086 .20501 .23666 .20055 Metetra
.664 .741 .908 r
.23666 .20055 .24086 .20501 .24711 .20259 .24292 .19813 Metetra
.664 .741 .908 r
.24292 .19813 .24711 .20259 .25338 .20018 .24919 .1957 Metetra
.664 .741 .908 r
.24919 .1957 .25338 .20018 .25966 .19775 .25548 .19326 Metetra
.664 .741 .908 r
.25548 .19326 .25966 .19775 .26595 .19532 .26179 .19082 Metetra
.664 .741 .908 r
.26179 .19082 .26595 .19532 .27226 .19289 .26811 .18838 Metetra
.664 .741 .908 r
.26811 .18838 .27226 .19289 .27859 .19045 .27444 .18592 Metetra
.664 .741 .908 r
.27444 .18592 .27859 .19045 .28493 .188 .28079 .18347 Metetra
.664 .741 .908 r
.28079 .18347 .28493 .188 .29129 .18555 .28716 .181 Metetra
.664 .741 .908 r
.28716 .181 .29129 .18555 .29766 .18309 .29354 .17853 Metetra
.664 .741 .908 r
.29354 .17853 .29766 .18309 .30405 .18062 .29993 .17606 Metetra
.664 .741 .908 r
.29993 .17606 .30405 .18062 .31045 .17815 .30635 .17358 Metetra
.664 .741 .908 r
.30635 .17358 .31045 .17815 .31687 .17568 .31278 .17109 Metetra
.664 .741 .908 r
.31278 .17109 .31687 .17568 .3233 .17319 .31922 .16859 Metetra
.664 .741 .908 r
.31922 .16859 .3233 .17319 .32975 .1707 .32568 .16609 Metetra
.664 .741 .908 r
.32568 .16609 .32975 .1707 .33622 .16821 .33215 .16359 Metetra
.664 .741 .908 r
.33215 .16359 .33622 .16821 .3427 .16571 .33864 .16107 Metetra
.664 .741 .908 r
.33864 .16107 .3427 .16571 .3492 .1632 .34515 .15856 Metetra
.664 .741 .908 r
.34515 .15856 .3492 .1632 .35571 .16069 .35167 .15603 Metetra
.664 .741 .908 r
.35167 .15603 .35571 .16069 .36224 .15817 .35821 .1535 Metetra
.664 .741 .908 r
.35821 .1535 .36224 .15817 .36878 .15564 .36477 .15096 Metetra
.664 .741 .908 r
.36477 .15096 .36878 .15564 .37534 .15311 .37134 .14842 Metetra
.664 .741 .908 r
.37134 .14842 .37534 .15311 .38192 .15057 .37793 .14587 Metetra
.664 .741 .908 r
.37793 .14587 .38192 .15057 .38851 .14803 .38453 .14332 Metetra
.664 .741 .908 r
.38453 .14332 .38851 .14803 .39512 .14548 .39115 .14075 Metetra
.664 .741 .908 r
.39115 .14075 .39512 .14548 .40175 .14292 .39778 .13818 Metetra
.664 .741 .908 r
.39778 .13818 .40175 .14292 .40839 .14036 .40444 .13561 Metetra
.664 .741 .908 r
.40444 .13561 .40839 .14036 .41505 .13779 .41111 .13303 Metetra
.664 .741 .908 r
.41111 .13303 .41505 .13779 .42173 .13521 .41779 .13044 Metetra
.664 .741 .908 r
.41779 .13044 .42173 .13521 .42842 .13263 .42449 .12785 Metetra
.664 .741 .908 r
.42449 .12785 .42842 .13263 .43513 .13004 .43121 .12525 Metetra
.664 .741 .908 r
.43121 .12525 .43513 .13004 .44185 .12745 .43795 .12264 Metetra
.664 .741 .908 r
.43795 .12264 .44185 .12745 .44859 .12485 .4447 .12003 Metetra
.664 .741 .908 r
.4447 .12003 .44859 .12485 .45535 .12224 .45147 .11741 Metetra
.664 .741 .908 r
.45147 .11741 .45535 .12224 .46213 .11962 .45826 .11478 Metetra
.664 .741 .908 r
.45826 .11478 .46213 .11962 .46892 .117 .46506 .11215 Metetra
.664 .741 .908 r
.46506 .11215 .46892 .117 .47573 .11437 .47188 .10951 Metetra
.664 .741 .908 r
.47188 .10951 .47573 .11437 .48255 .11174 .47872 .10686 Metetra
.664 .741 .908 r
.47872 .10686 .48255 .11174 .4894 .1091 .48557 .10421 Metetra
.664 .741 .908 r
.48557 .10421 .4894 .1091 .49626 .10645 .49244 .10155 Metetra
.663 .741 .908 r
.49244 .10155 .49626 .10645 .50314 .1038 .49933 .09888 Metetra
.663 .741 .908 r
.49933 .09888 .50314 .1038 .51003 .10114 .50624 .09621 Metetra
.663 .741 .908 r
.50624 .09621 .51003 .10114 .51694 .09848 .51316 .09353 Metetra
.663 .741 .908 r
.51316 .09353 .51694 .09848 .52387 .09581 .5201 .09085 Metetra
.663 .741 .908 r
.5201 .09085 .52387 .09581 .53082 .09313 .52706 .08816 Metetra
.663 .741 .908 r
.52706 .08816 .53082 .09313 .53779 .09045 .53404 .08546 Metetra
.663 .741 .908 r
.53404 .08546 .53779 .09045 .54477 .08777 .54103 .08276 Metetra
.663 .741 .908 r
.54103 .08276 .54477 .08777 .55177 .08508 .54805 .08006 Metetra
.663 .74 .908 r
.54805 .08006 .55177 .08508 .55879 .08238 .55508 .07735 Metetra
.663 .74 .908 r
.55508 .07735 .55879 .08238 .56583 .07969 .56213 .07464 Metetra
.662 .74 .908 r
.56213 .07464 .56583 .07969 .57288 .07699 .56919 .07192 Metetra
.662 .739 .907 r
.56919 .07192 .57288 .07699 .57995 .0743 .57628 .06921 Metetra
.661 .739 .907 r
.57628 .06921 .57995 .0743 .58705 .07161 .58338 .06649 Metetra
.661 .738 .907 r
.58338 .06649 .58705 .07161 .59416 .06892 .5905 .06378 Metetra
.66 .737 .907 r
.5905 .06378 .59416 .06892 .60128 .06623 .59764 .06107 Metetra
.659 .736 .907 r
.59764 .06107 .60128 .06623 .60843 .06356 .6048 .05837 Metetra
.658 .735 .906 r
.6048 .05837 .60843 .06356 .6156 .06089 .61198 .05567 Metetra
.657 .734 .906 r
.61198 .05567 .6156 .06089 .62279 .05824 .61918 .05299 Metetra
.656 .732 .906 r
.61918 .05299 .62279 .05824 .62999 .05561 .6264 .05032 Metetra
.655 .731 .905 r
.6264 .05032 .62999 .05561 .63722 .053 .63363 .04766 Metetra
.653 .729 .905 r
.63363 .04766 .63722 .053 .64447 .0504 .64089 .04503 Metetra
.651 .727 .904 r
.64089 .04503 .64447 .0504 .65174 .04783 .64817 .04241 Metetra
.65 .724 .903 r
.64817 .04241 .65174 .04783 .65903 .04528 .65547 .03981 Metetra
.648 .722 .903 r
.65547 .03981 .65903 .04528 .66634 .04275 .66279 .03724 Metetra
.646 .72 .902 r
.66279 .03724 .66634 .04275 .67367 .04025 .67014 .03468 Metetra
.645 .717 .901 r
.67014 .03468 .67367 .04025 .68103 .03776 .6775 .03215 Metetra
.643 .715 .9 r
.6775 .03215 .68103 .03776 .6884 .03527 .68489 .02963 Metetra
.642 .714 .899 r
.68489 .02963 .6884 .03527 .6958 .0328 .6923 .02712 Metetra
.642 .713 .899 r
.6923 .02712 .6958 .0328 .70322 .03031 .69973 .02461 Metetra
.69 .715 .868 r
.04467 .27302 .04904 .27787 .05495 .27503 .05059 .27018 Metetra
.69 .716 .869 r
.05059 .27018 .05495 .27503 .06088 .27218 .05652 .26736 Metetra
.688 .717 .871 r
.05652 .26736 .06088 .27218 .06682 .26934 .06245 .26457 Metetra
.686 .719 .874 r
.06245 .26457 .06682 .26934 .07276 .26654 .06839 .26182 Metetra
.684 .722 .878 r
.06839 .26182 .07276 .26654 .07871 .26379 .07434 .25913 Metetra
.681 .724 .882 r
.07434 .25913 .07871 .26379 .08466 .26108 .08028 .25648 Metetra
.679 .727 .886 r
.08028 .25648 .08466 .26108 .09061 .25844 .08624 .25389 Metetra
.676 .729 .89 r
.08624 .25389 .09061 .25844 .09657 .25584 .0922 .25135 Metetra
.674 .732 .893 r
.0922 .25135 .09657 .25584 .10253 .2533 .09816 .24885 Metetra
.672 .733 .896 r
.09816 .24885 .10253 .2533 .10851 .2508 .10413 .24638 Metetra
.67 .735 .899 r
.10413 .24638 .10851 .2508 .11448 .24833 .11011 .24394 Metetra
.669 .736 .901 r
.11011 .24394 .11448 .24833 .12047 .24589 .1161 .24152 Metetra
.668 .738 .902 r
.1161 .24152 .12047 .24589 .12647 .24348 .1221 .23912 Metetra
.667 .738 .904 r
.1221 .23912 .12647 .24348 .13247 .24108 .12812 .23673 Metetra
.666 .739 .905 r
.12812 .23673 .13247 .24108 .13849 .2387 .13414 .23435 Metetra
.665 .74 .905 r
.13414 .23435 .13849 .2387 .14452 .23633 .14018 .23197 Metetra
.665 .74 .906 r
.14018 .23197 .14452 .23633 .15057 .23396 .14623 .2296 Metetra
.665 .74 .907 r
.14623 .2296 .15057 .23396 .15663 .23159 .1523 .22723 Metetra
.664 .741 .907 r
.1523 .22723 .15663 .23159 .1627 .22922 .15837 .22486 Metetra
.664 .741 .907 r
.15837 .22486 .1627 .22922 .16878 .22685 .16447 .22248 Metetra
.664 .741 .907 r
.16447 .22248 .16878 .22685 .17488 .22448 .17057 .22011 Metetra
.664 .741 .908 r
.17057 .22011 .17488 .22448 .18099 .22211 .17669 .21772 Metetra
.664 .741 .908 r
.17669 .21772 .18099 .22211 .18712 .21974 .18283 .21534 Metetra
.664 .741 .908 r
.18283 .21534 .18712 .21974 .19326 .21735 .18898 .21295 Metetra
.664 .741 .908 r
.18898 .21295 .19326 .21735 .19942 .21497 .19514 .21055 Metetra
.664 .741 .908 r
.19514 .21055 .19942 .21497 .20559 .21258 .20132 .20815 Metetra
.664 .741 .908 r
.20132 .20815 .20559 .21258 .21177 .21018 .20751 .20575 Metetra
.664 .741 .908 r
.20751 .20575 .21177 .21018 .21797 .20778 .21372 .20334 Metetra
.664 .741 .908 r
.21372 .20334 .21797 .20778 .22418 .20538 .21995 .20092 Metetra
.664 .741 .908 r
.21995 .20092 .22418 .20538 .23041 .20297 .22618 .1985 Metetra
.664 .741 .908 r
.22618 .1985 .23041 .20297 .23666 .20055 .23244 .19607 Metetra
.664 .741 .908 r
.23244 .19607 .23666 .20055 .24292 .19813 .23871 .19364 Metetra
.664 .741 .908 r
.23871 .19364 .24292 .19813 .24919 .1957 .24499 .1912 Metetra
.664 .741 .908 r
.24499 .1912 .24919 .1957 .25548 .19326 .25129 .18875 Metetra
.664 .741 .908 r
.25129 .18875 .25548 .19326 .26179 .19082 .2576 .1863 Metetra
.664 .741 .908 r
.2576 .1863 .26179 .19082 .26811 .18838 .26393 .18385 Metetra
.664 .741 .908 r
.26393 .18385 .26811 .18838 .27444 .18592 .27027 .18138 Metetra
.664 .741 .908 r
.27027 .18138 .27444 .18592 .28079 .18347 .27663 .17891 Metetra
.664 .741 .908 r
.27663 .17891 .28079 .18347 .28716 .181 .28301 .17644 Metetra
.664 .741 .908 r
.28301 .17644 .28716 .181 .29354 .17853 .2894 .17396 Metetra
.664 .741 .908 r
.2894 .17396 .29354 .17853 .29993 .17606 .2958 .17147 Metetra
.664 .741 .908 r
.2958 .17147 .29993 .17606 .30635 .17358 .30223 .16898 Metetra
.664 .741 .908 r
.30223 .16898 .30635 .17358 .31278 .17109 .30866 .16648 Metetra
.664 .741 .908 r
.30866 .16648 .31278 .17109 .31922 .16859 .31512 .16397 Metetra
.664 .741 .908 r
.31512 .16397 .31922 .16859 .32568 .16609 .32159 .16146 Metetra
.664 .741 .908 r
.32159 .16146 .32568 .16609 .33215 .16359 .32807 .15894 Metetra
.664 .741 .908 r
.32807 .15894 .33215 .16359 .33864 .16107 .33457 .15642 Metetra
.664 .741 .908 r
.33457 .15642 .33864 .16107 .34515 .15856 .34109 .15389 Metetra
.664 .741 .908 r
.34109 .15389 .34515 .15856 .35167 .15603 .34762 .15135 Metetra
.664 .741 .908 r
.34762 .15135 .35167 .15603 .35821 .1535 .35417 .14881 Metetra
.664 .741 .908 r
.35417 .14881 .35821 .1535 .36477 .15096 .36073 .14626 Metetra
.664 .741 .908 r
.36073 .14626 .36477 .15096 .37134 .14842 .36731 .14371 Metetra
.664 .741 .908 r
.36731 .14371 .37134 .14842 .37793 .14587 .37391 .14115 Metetra
.664 .741 .908 r
.37391 .14115 .37793 .14587 .38453 .14332 .38052 .13858 Metetra
.664 .741 .908 r
.38052 .13858 .38453 .14332 .39115 .14075 .38715 .13601 Metetra
.664 .741 .908 r
.38715 .13601 .39115 .14075 .39778 .13818 .3938 .13343 Metetra
.664 .741 .908 r
.3938 .13343 .39778 .13818 .40444 .13561 .40046 .13084 Metetra
.664 .741 .908 r
.40046 .13084 .40444 .13561 .41111 .13303 .40714 .12825 Metetra
.664 .741 .908 r
.40714 .12825 .41111 .13303 .41779 .13044 .41384 .12565 Metetra
.664 .741 .908 r
.41384 .12565 .41779 .13044 .42449 .12785 .42055 .12304 Metetra
.664 .741 .908 r
.42055 .12304 .42449 .12785 .43121 .12525 .42728 .12043 Metetra
.664 .741 .908 r
.42728 .12043 .43121 .12525 .43795 .12264 .43403 .11781 Metetra
.664 .741 .908 r
.43403 .11781 .43795 .12264 .4447 .12003 .44079 .11518 Metetra
.664 .741 .908 r
.44079 .11518 .4447 .12003 .45147 .11741 .44757 .11255 Metetra
.664 .741 .908 r
.44757 .11255 .45147 .11741 .45826 .11478 .45437 .10991 Metetra
.664 .741 .908 r
.45437 .10991 .45826 .11478 .46506 .11215 .46118 .10727 Metetra
.664 .741 .908 r
.46118 .10727 .46506 .11215 .47188 .10951 .46801 .10462 Metetra
.664 .741 .908 r
.46801 .10462 .47188 .10951 .47872 .10686 .47486 .10196 Metetra
.664 .741 .908 r
.47486 .10196 .47872 .10686 .48557 .10421 .48173 .09929 Metetra
.664 .741 .908 r
.48173 .09929 .48557 .10421 .49244 .10155 .48861 .09662 Metetra
.663 .741 .908 r
.48861 .09662 .49244 .10155 .49933 .09888 .49551 .09394 Metetra
.663 .741 .908 r
.49551 .09394 .49933 .09888 .50624 .09621 .50243 .09126 Metetra
.663 .741 .908 r
.50243 .09126 .50624 .09621 .51316 .09353 .50936 .08857 Metetra
.663 .741 .908 r
.50936 .08857 .51316 .09353 .5201 .09085 .51632 .08587 Metetra
.663 .741 .908 r
.51632 .08587 .5201 .09085 .52706 .08816 .52329 .08317 Metetra
.663 .741 .908 r
.52329 .08317 .52706 .08816 .53404 .08546 .53028 .08046 Metetra
.663 .741 .908 r
.53028 .08046 .53404 .08546 .54103 .08276 .53728 .07774 Metetra
.663 .741 .908 r
.53728 .07774 .54103 .08276 .54805 .08006 .54431 .07502 Metetra
.663 .741 .908 r
.54431 .07502 .54805 .08006 .55508 .07735 .55135 .0723 Metetra
.663 .74 .908 r
.55135 .0723 .55508 .07735 .56213 .07464 .55841 .06957 Metetra
.663 .74 .908 r
.55841 .06957 .56213 .07464 .56919 .07192 .56549 .06684 Metetra
.662 .74 .908 r
.56549 .06684 .56919 .07192 .57628 .06921 .57258 .0641 Metetra
.662 .739 .907 r
.57258 .0641 .57628 .06921 .58338 .06649 .5797 .06137 Metetra
.661 .739 .907 r
.5797 .06137 .58338 .06649 .5905 .06378 .58683 .05863 Metetra
.661 .738 .907 r
.58683 .05863 .5905 .06378 .59764 .06107 .59398 .0559 Metetra
.66 .737 .907 r
.59398 .0559 .59764 .06107 .6048 .05837 .60115 .05317 Metetra
.659 .737 .907 r
.60115 .05317 .6048 .05837 .61198 .05567 .60834 .05045 Metetra
.658 .735 .906 r
.60834 .05045 .61198 .05567 .61918 .05299 .61555 .04773 Metetra
.657 .734 .906 r
.61555 .04773 .61918 .05299 .6264 .05032 .62278 .04503 Metetra
.656 .733 .906 r
.62278 .04503 .6264 .05032 .63363 .04766 .63003 .04233 Metetra
.655 .731 .905 r
.63003 .04233 .63363 .04766 .64089 .04503 .6373 .03966 Metetra
.653 .729 .905 r
.6373 .03966 .64089 .04503 .64817 .04241 .64459 .037 Metetra
.652 .727 .904 r
.64459 .037 .64817 .04241 .65547 .03981 .6519 .03436 Metetra
.65 .725 .903 r
.6519 .03436 .65547 .03981 .66279 .03724 .65924 .03174 Metetra
.648 .722 .903 r
.65924 .03174 .66279 .03724 .67014 .03468 .66659 .02914 Metetra
.647 .72 .902 r
.66659 .02914 .67014 .03468 .6775 .03215 .67397 .02655 Metetra
.645 .718 .901 r
.67397 .02655 .6775 .03215 .68489 .02963 .68136 .02399 Metetra
.644 .716 .9 r
.68136 .02399 .68489 .02963 .6923 .02712 .68878 .02144 Metetra
.643 .715 .9 r
.68878 .02144 .6923 .02712 .69973 .02461 .69623 .0189 Metetra
.689 .717 .87 r
.04027 .26818 .04467 .27302 .05059 .27018 .04619 .26537 Metetra
.688 .718 .872 r
.04619 .26537 .05059 .27018 .05652 .26736 .05212 .26259 Metetra
.686 .72 .875 r
.05212 .26259 .05652 .26736 .06245 .26457 .05806 .25986 Metetra
.683 .722 .879 r
.05806 .25986 .06245 .26457 .06839 .26182 .06399 .25717 Metetra
.681 .725 .883 r
.06399 .25717 .06839 .26182 .07434 .25913 .06994 .25453 Metetra
.679 .727 .887 r
.06994 .25453 .07434 .25913 .08028 .25648 .07588 .25194 Metetra
.676 .73 .89 r
.07588 .25194 .08028 .25648 .08624 .25389 .08183 .24939 Metetra
.674 .732 .893 r
.08183 .24939 .08624 .25389 .0922 .25135 .08779 .24689 Metetra
.672 .734 .896 r
.08779 .24689 .0922 .25135 .09816 .24885 .09376 .24442 Metetra
.67 .735 .899 r
.09376 .24442 .09816 .24885 .10413 .24638 .09973 .24197 Metetra
.669 .737 .901 r
.09973 .24197 .10413 .24638 .11011 .24394 .10572 .23955 Metetra
.668 .738 .902 r
.10572 .23955 .11011 .24394 .1161 .24152 .11171 .23715 Metetra
.667 .738 .904 r
.11171 .23715 .1161 .24152 .1221 .23912 .11772 .23475 Metetra
.666 .739 .905 r
.11772 .23475 .1221 .23912 .12812 .23673 .12374 .23237 Metetra
.665 .74 .905 r
.12374 .23237 .12812 .23673 .13414 .23435 .12977 .22999 Metetra
.665 .74 .906 r
.12977 .22999 .13414 .23435 .14018 .23197 .13582 .22761 Metetra
.665 .74 .907 r
.13582 .22761 .14018 .23197 .14623 .2296 .14188 .22524 Metetra
.664 .741 .907 r
.14188 .22524 .14623 .2296 .1523 .22723 .14795 .22286 Metetra
.664 .741 .907 r
.14795 .22286 .1523 .22723 .15837 .22486 .15403 .22048 Metetra
.664 .741 .907 r
.15403 .22048 .15837 .22486 .16447 .22248 .16013 .2181 Metetra
.664 .741 .908 r
.16013 .2181 .16447 .22248 .17057 .22011 .16625 .21571 Metetra
.664 .741 .908 r
.16625 .21571 .17057 .22011 .17669 .21772 .17238 .21332 Metetra
.664 .741 .908 r
.17238 .21332 .17669 .21772 .18283 .21534 .17852 .21093 Metetra
.664 .741 .908 r
.17852 .21093 .18283 .21534 .18898 .21295 .18468 .20853 Metetra
.664 .741 .908 r
.18468 .20853 .18898 .21295 .19514 .21055 .19085 .20612 Metetra
.664 .741 .908 r
.19085 .20612 .19514 .21055 .20132 .20815 .19704 .20371 Metetra
.664 .741 .908 r
.19704 .20371 .20132 .20815 .20751 .20575 .20324 .20129 Metetra
.664 .741 .908 r
.20324 .20129 .20751 .20575 .21372 .20334 .20946 .19887 Metetra
.664 .741 .908 r
.20946 .19887 .21372 .20334 .21995 .20092 .21569 .19645 Metetra
.664 .741 .908 r
.21569 .19645 .21995 .20092 .22618 .1985 .22194 .19401 Metetra
.664 .741 .908 r
.22194 .19401 .22618 .1985 .23244 .19607 .2282 .19157 Metetra
.664 .741 .908 r
.2282 .19157 .23244 .19607 .23871 .19364 .23447 .18913 Metetra
.664 .741 .908 r
.23447 .18913 .23871 .19364 .24499 .1912 .24077 .18668 Metetra
.664 .741 .908 r
.24077 .18668 .24499 .1912 .25129 .18875 .24707 .18422 Metetra
.664 .741 .908 r
.24707 .18422 .25129 .18875 .2576 .1863 .2534 .18176 Metetra
.664 .741 .908 r
.2534 .18176 .2576 .1863 .26393 .18385 .25973 .17929 Metetra
.664 .741 .908 r
.25973 .17929 .26393 .18385 .27027 .18138 .26609 .17682 Metetra
.664 .741 .908 r
.26609 .17682 .27027 .18138 .27663 .17891 .27246 .17434 Metetra
.664 .741 .908 r
.27246 .17434 .27663 .17891 .28301 .17644 .27884 .17185 Metetra
.664 .741 .908 r
.27884 .17185 .28301 .17644 .2894 .17396 .28524 .16936 Metetra
.664 .741 .908 r
.28524 .16936 .2894 .17396 .2958 .17147 .29166 .16686 Metetra
.664 .741 .908 r
.29166 .16686 .2958 .17147 .30223 .16898 .29809 .16436 Metetra
.664 .741 .908 r
.29809 .16436 .30223 .16898 .30866 .16648 .30453 .16185 Metetra
.664 .741 .908 r
.30453 .16185 .30866 .16648 .31512 .16397 .311 .15933 Metetra
.664 .741 .908 r
.311 .15933 .31512 .16397 .32159 .16146 .31747 .15681 Metetra
.664 .741 .908 r
.31747 .15681 .32159 .16146 .32807 .15894 .32397 .15428 Metetra
.664 .741 .908 r
.32397 .15428 .32807 .15894 .33457 .15642 .33048 .15175 Metetra
.664 .741 .908 r
.33048 .15175 .33457 .15642 .34109 .15389 .33701 .1492 Metetra
.664 .741 .908 r
.33701 .1492 .34109 .15389 .34762 .15135 .34355 .14666 Metetra
.664 .741 .908 r
.34355 .14666 .34762 .15135 .35417 .14881 .35011 .1441 Metetra
.664 .741 .908 r
.35011 .1441 .35417 .14881 .36073 .14626 .35668 .14154 Metetra
.664 .741 .908 r
.35668 .14154 .36073 .14626 .36731 .14371 .36327 .13898 Metetra
.664 .741 .908 r
.36327 .13898 .36731 .14371 .37391 .14115 .36988 .1364 Metetra
.664 .741 .908 r
.36988 .1364 .37391 .14115 .38052 .13858 .3765 .13382 Metetra
.664 .741 .908 r
.3765 .13382 .38052 .13858 .38715 .13601 .38314 .13124 Metetra
.664 .741 .908 r
.38314 .13124 .38715 .13601 .3938 .13343 .3898 .12865 Metetra
.664 .741 .908 r
.3898 .12865 .3938 .13343 .40046 .13084 .39647 .12605 Metetra
.664 .741 .908 r
.39647 .12605 .40046 .13084 .40714 .12825 .40316 .12344 Metetra
.664 .741 .908 r
.40316 .12344 .40714 .12825 .41384 .12565 .40987 .12083 Metetra
.664 .741 .908 r
.40987 .12083 .41384 .12565 .42055 .12304 .41659 .11821 Metetra
.664 .741 .908 r
.41659 .11821 .42055 .12304 .42728 .12043 .42333 .11559 Metetra
.664 .741 .908 r
.42333 .11559 .42728 .12043 .43403 .11781 .43009 .11296 Metetra
.664 .741 .908 r
.43009 .11296 .43403 .11781 .44079 .11518 .43686 .11032 Metetra
.664 .741 .908 r
.43686 .11032 .44079 .11518 .44757 .11255 .44365 .10767 Metetra
.664 .741 .908 r
.44365 .10767 .44757 .11255 .45437 .10991 .45046 .10502 Metetra
.664 .741 .908 r
.45046 .10502 .45437 .10991 .46118 .10727 .45729 .10237 Metetra
.664 .741 .908 r
.45729 .10237 .46118 .10727 .46801 .10462 .46413 .0997 Metetra
.664 .741 .908 r
.46413 .0997 .46801 .10462 .47486 .10196 .47099 .09703 Metetra
.664 .741 .908 r
.47099 .09703 .47486 .10196 .48173 .09929 .47786 .09435 Metetra
.664 .741 .908 r
.47786 .09435 .48173 .09929 .48861 .09662 .48476 .09167 Metetra
.664 .741 .908 r
.48476 .09167 .48861 .09662 .49551 .09394 .49167 .08898 Metetra
.663 .741 .908 r
.49167 .08898 .49551 .09394 .50243 .09126 .4986 .08628 Metetra
.663 .741 .908 r
.4986 .08628 .50243 .09126 .50936 .08857 .50555 .08358 Metetra
.663 .741 .908 r
.50555 .08358 .50936 .08857 .51632 .08587 .51251 .08087 Metetra
.663 .741 .908 r
.51251 .08087 .51632 .08587 .52329 .08317 .51949 .07815 Metetra
.663 .741 .908 r
.51949 .07815 .52329 .08317 .53028 .08046 .52649 .07543 Metetra
.663 .741 .908 r
.52649 .07543 .53028 .08046 .53728 .07774 .53351 .0727 Metetra
.663 .741 .908 r
.53351 .0727 .53728 .07774 .54431 .07502 .54055 .06996 Metetra
.663 .741 .908 r
.54055 .06996 .54431 .07502 .55135 .0723 .5476 .06722 Metetra
.663 .741 .908 r
.5476 .06722 .55135 .0723 .55841 .06957 .55467 .06448 Metetra
.663 .74 .908 r
.55467 .06448 .55841 .06957 .56549 .06684 .56176 .06173 Metetra
.663 .74 .908 r
.56176 .06173 .56549 .06684 .57258 .0641 .56887 .05898 Metetra
.662 .74 .908 r
.56887 .05898 .57258 .0641 .5797 .06137 .576 .05622 Metetra
.662 .739 .907 r
.576 .05622 .5797 .06137 .58683 .05863 .58314 .05347 Metetra
.661 .739 .907 r
.58314 .05347 .58683 .05863 .59398 .0559 .59031 .05072 Metetra
.661 .738 .907 r
.59031 .05072 .59398 .0559 .60115 .05317 .59749 .04796 Metetra
.66 .737 .907 r
.59749 .04796 .60115 .05317 .60834 .05045 .60469 .04521 Metetra
.659 .737 .907 r
.60469 .04521 .60834 .05045 .61555 .04773 .61191 .04247 Metetra
.659 .735 .906 r
.61191 .04247 .61555 .04773 .62278 .04503 .61915 .03973 Metetra
.657 .734 .906 r
.61915 .03973 .62278 .04503 .63003 .04233 .62642 .037 Metetra
.656 .733 .906 r
.62642 .037 .63003 .04233 .6373 .03966 .6337 .03429 Metetra
.655 .731 .905 r
.6337 .03429 .6373 .03966 .64459 .037 .641 .03159 Metetra
.653 .729 .905 r
.641 .03159 .64459 .037 .6519 .03436 .64832 .02891 Metetra
.652 .727 .904 r
.64832 .02891 .6519 .03436 .65924 .03174 .65566 .02624 Metetra
.65 .725 .903 r
.65566 .02624 .65924 .03174 .66659 .02914 .66303 .0236 Metetra
.649 .723 .903 r
.66303 .0236 .66659 .02914 .67397 .02655 .67041 .02097 Metetra
.647 .721 .902 r
.67041 .02097 .67397 .02655 .68136 .02399 .67782 .01837 Metetra
.645 .719 .901 r
.67782 .01837 .68136 .02399 .68878 .02144 .68525 .01578 Metetra
.644 .717 .901 r
.68525 .01578 .68878 .02144 .69623 .0189 .69271 .0132 Metetra
.687 .719 .874 r
.03585 .26339 .04027 .26818 .04619 .26537 .04177 .26062 Metetra
.685 .721 .876 r
.04177 .26062 .04619 .26537 .05212 .26259 .0477 .25789 Metetra
.683 .723 .88 r
.0477 .25789 .05212 .26259 .05806 .25986 .05363 .25521 Metetra
.681 .725 .883 r
.05363 .25521 .05806 .25986 .06399 .25717 .05957 .25257 Metetra
.678 .728 .887 r
.05957 .25257 .06399 .25717 .06994 .25453 .06551 .24998 Metetra
.676 .73 .891 r
.06551 .24998 .06994 .25453 .07588 .25194 .07145 .24744 Metetra
.674 .732 .894 r
.07145 .24744 .07588 .25194 .08183 .24939 .07741 .24493 Metetra
.672 .734 .896 r
.07741 .24493 .08183 .24939 .08779 .24689 .08337 .24246 Metetra
.67 .735 .899 r
.08337 .24246 .08779 .24689 .09376 .24442 .08934 .24001 Metetra
.669 .737 .901 r
.08934 .24001 .09376 .24442 .09973 .24197 .09531 .23758 Metetra
.668 .738 .902 r
.09531 .23758 .09973 .24197 .10572 .23955 .1013 .23517 Metetra
.667 .738 .904 r
.1013 .23517 .10572 .23955 .11171 .23715 .1073 .23277 Metetra
.666 .739 .905 r
.1073 .23277 .11171 .23715 .11772 .23475 .11332 .23038 Metetra
.665 .74 .905 r
.11332 .23038 .11772 .23475 .12374 .23237 .11934 .228 Metetra
.665 .74 .906 r
.11934 .228 .12374 .23237 .12977 .22999 .12538 .22562 Metetra
.665 .74 .907 r
.12538 .22562 .12977 .22999 .13582 .22761 .13143 .22324 Metetra
.664 .741 .907 r
.13143 .22324 .13582 .22761 .14188 .22524 .1375 .22085 Metetra
.664 .741 .907 r
.1375 .22085 .14188 .22524 .14795 .22286 .14358 .21847 Metetra
.664 .741 .907 r
.14358 .21847 .14795 .22286 .15403 .22048 .14967 .21608 Metetra
.664 .741 .907 r
.14967 .21608 .15403 .22048 .16013 .2181 .15578 .21369 Metetra
.664 .741 .908 r
.15578 .21369 .16013 .2181 .16625 .21571 .1619 .2113 Metetra
.664 .741 .908 r
.1619 .2113 .16625 .21571 .17238 .21332 .16804 .2089 Metetra
.664 .741 .908 r
.16804 .2089 .17238 .21332 .17852 .21093 .17419 .20649 Metetra
.664 .741 .908 r
.17419 .20649 .17852 .21093 .18468 .20853 .18036 .20408 Metetra
.664 .741 .908 r
.18036 .20408 .18468 .20853 .19085 .20612 .18654 .20167 Metetra
.664 .741 .908 r
.18654 .20167 .19085 .20612 .19704 .20371 .19274 .19925 Metetra
.664 .741 .908 r
.19274 .19925 .19704 .20371 .20324 .20129 .19895 .19682 Metetra
.664 .741 .908 r
.19895 .19682 .20324 .20129 .20946 .19887 .20517 .19439 Metetra
.664 .741 .908 r
.20517 .19439 .20946 .19887 .21569 .19645 .21141 .19195 Metetra
.664 .741 .908 r
.21141 .19195 .21569 .19645 .22194 .19401 .21767 .18951 Metetra
.664 .741 .908 r
.21767 .18951 .22194 .19401 .2282 .19157 .22394 .18706 Metetra
.664 .741 .908 r
.22394 .18706 .2282 .19157 .23447 .18913 .23022 .1846 Metetra
.664 .741 .908 r
.23022 .1846 .23447 .18913 .24077 .18668 .23652 .18214 Metetra
.664 .741 .908 r
.23652 .18214 .24077 .18668 .24707 .18422 .24284 .17967 Metetra
.664 .741 .908 r
.24284 .17967 .24707 .18422 .2534 .18176 .24917 .1772 Metetra
.664 .741 .908 r
.24917 .1772 .2534 .18176 .25973 .17929 .25552 .17472 Metetra
.664 .741 .908 r
.25552 .17472 .25973 .17929 .26609 .17682 .26188 .17224 Metetra
.664 .741 .908 r
.26188 .17224 .26609 .17682 .27246 .17434 .26826 .16975 Metetra
.664 .741 .908 r
.26826 .16975 .27246 .17434 .27884 .17185 .27465 .16725 Metetra
.664 .741 .908 r
.27465 .16725 .27884 .17185 .28524 .16936 .28106 .16474 Metetra
.664 .741 .908 r
.28106 .16474 .28524 .16936 .29166 .16686 .28749 .16224 Metetra
.664 .741 .908 r
.28749 .16224 .29166 .16686 .29809 .16436 .29393 .15972 Metetra
.664 .741 .908 r
.29393 .15972 .29809 .16436 .30453 .16185 .30038 .1572 Metetra
.664 .741 .908 r
.30038 .1572 .30453 .16185 .311 .15933 .30686 .15467 Metetra
.664 .741 .908 r
.30686 .15467 .311 .15933 .31747 .15681 .31334 .15214 Metetra
.664 .741 .908 r
.31334 .15214 .31747 .15681 .32397 .15428 .31985 .1496 Metetra
.664 .741 .908 r
.31985 .1496 .32397 .15428 .33048 .15175 .32637 .14705 Metetra
.664 .741 .908 r
.32637 .14705 .33048 .15175 .33701 .1492 .3329 .1445 Metetra
.664 .741 .908 r
.3329 .1445 .33701 .1492 .34355 .14666 .33946 .14194 Metetra
.664 .741 .908 r
.33946 .14194 .34355 .14666 .35011 .1441 .34603 .13937 Metetra
.664 .741 .908 r
.34603 .13937 .35011 .1441 .35668 .14154 .35261 .1368 Metetra
.664 .741 .908 r
.35261 .1368 .35668 .14154 .36327 .13898 .35921 .13422 Metetra
.664 .741 .908 r
.35921 .13422 .36327 .13898 .36988 .1364 .36583 .13164 Metetra
.664 .741 .908 r
.36583 .13164 .36988 .1364 .3765 .13382 .37246 .12904 Metetra
.664 .741 .908 r
.37246 .12904 .3765 .13382 .38314 .13124 .37911 .12645 Metetra
.664 .741 .908 r
.37911 .12645 .38314 .13124 .3898 .12865 .38578 .12384 Metetra
.664 .741 .908 r
.38578 .12384 .3898 .12865 .39647 .12605 .39246 .12123 Metetra
.664 .741 .908 r
.39246 .12123 .39647 .12605 .40316 .12344 .39916 .11862 Metetra
.664 .741 .908 r
.39916 .11862 .40316 .12344 .40987 .12083 .40588 .11599 Metetra
.664 .741 .908 r
.40588 .11599 .40987 .12083 .41659 .11821 .41261 .11336 Metetra
.664 .741 .908 r
.41261 .11336 .41659 .11821 .42333 .11559 .41936 .11072 Metetra
.664 .741 .908 r
.41936 .11072 .42333 .11559 .43009 .11296 .42613 .10808 Metetra
.664 .741 .908 r
.42613 .10808 .43009 .11296 .43686 .11032 .43292 .10543 Metetra
.664 .741 .908 r
.43292 .10543 .43686 .11032 .44365 .10767 .43972 .10277 Metetra
.664 .741 .908 r
.43972 .10277 .44365 .10767 .45046 .10502 .44654 .10011 Metetra
.664 .741 .908 r
.44654 .10011 .45046 .10502 .45729 .10237 .45337 .09744 Metetra
.664 .741 .908 r
.45337 .09744 .45729 .10237 .46413 .0997 .46023 .09476 Metetra
.664 .741 .908 r
.46023 .09476 .46413 .0997 .47099 .09703 .4671 .09208 Metetra
.664 .741 .908 r
.4671 .09208 .47099 .09703 .47786 .09435 .47398 .08939 Metetra
.664 .741 .908 r
.47398 .08939 .47786 .09435 .48476 .09167 .48089 .08669 Metetra
.664 .741 .908 r
.48089 .08669 .48476 .09167 .49167 .08898 .48781 .08399 Metetra
.664 .741 .908 r
.48781 .08399 .49167 .08898 .4986 .08628 .49475 .08128 Metetra
.663 .741 .908 r
.49475 .08128 .4986 .08628 .50555 .08358 .50171 .07856 Metetra
.663 .741 .908 r
.50171 .07856 .50555 .08358 .51251 .08087 .50869 .07584 Metetra
.663 .741 .908 r
.50869 .07584 .51251 .08087 .51949 .07815 .51568 .07311 Metetra
.663 .741 .908 r
.51568 .07311 .51949 .07815 .52649 .07543 .52269 .07037 Metetra
.663 .741 .908 r
.52269 .07037 .52649 .07543 .53351 .0727 .52972 .06763 Metetra
.663 .741 .908 r
.52972 .06763 .53351 .0727 .54055 .06996 .53677 .06488 Metetra
.663 .741 .908 r
.53677 .06488 .54055 .06996 .5476 .06722 .54383 .06213 Metetra
.663 .741 .908 r
.54383 .06213 .5476 .06722 .55467 .06448 .55092 .05937 Metetra
.663 .741 .908 r
.55092 .05937 .55467 .06448 .56176 .06173 .55802 .0566 Metetra
.663 .74 .908 r
.55802 .0566 .56176 .06173 .56887 .05898 .56514 .05383 Metetra
.663 .74 .908 r
.56514 .05383 .56887 .05898 .576 .05622 .57228 .05106 Metetra
.662 .74 .908 r
.57228 .05106 .576 .05622 .58314 .05347 .57944 .04829 Metetra
.662 .739 .907 r
.57944 .04829 .58314 .05347 .59031 .05072 .58661 .04551 Metetra
.661 .739 .907 r
.58661 .04551 .59031 .05072 .59749 .04796 .59381 .04274 Metetra
.661 .738 .907 r
.59381 .04274 .59749 .04796 .60469 .04521 .60102 .03996 Metetra
.66 .737 .907 r
.60102 .03996 .60469 .04521 .61191 .04247 .60826 .03719 Metetra
.659 .737 .907 r
.60826 .03719 .61191 .04247 .61915 .03973 .61551 .03443 Metetra
.659 .735 .906 r
.61551 .03443 .61915 .03973 .62642 .037 .62278 .03167 Metetra
.657 .734 .906 r
.62278 .03167 .62642 .037 .6337 .03429 .63007 .02892 Metetra
.656 .733 .906 r
.63007 .02892 .6337 .03429 .641 .03159 .63739 .02619 Metetra
.655 .731 .905 r
.63739 .02619 .641 .03159 .64832 .02891 .64472 .02346 Metetra
.654 .729 .905 r
.64472 .02346 .64832 .02891 .65566 .02624 .65207 .02076 Metetra
.652 .727 .904 r
.65207 .02076 .65566 .02624 .66303 .0236 .65945 .01807 Metetra
.65 .725 .904 r
.65945 .01807 .66303 .0236 .67041 .02097 .66685 .0154 Metetra
.649 .723 .903 r
.66685 .0154 .67041 .02097 .67782 .01837 .67427 .01275 Metetra
.647 .721 .902 r
.67427 .01275 .67782 .01837 .68525 .01578 .68171 .01012 Metetra
.646 .719 .901 r
.68171 .01012 .68525 .01578 .69271 .0132 .68917 .0075 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(-2)] .02757 .24618 1 .93395 Mshowa
.18558 .19702 m
.19014 .20174 L
s
[(-1)] .17646 .18758 .96648 1 Mshowa
.34306 .13535 m
.34735 .14032 L
s
[(0)] .3345 .12542 .86223 1 Mshowa
.51046 .06981 m
.51442 .07504 L
s
[(1)] .50253 .05935 .75799 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(2)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.1552 .20892 m
.15797 .21172 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.27893 .16047 m
.28157 .16339 L
s
.3108 .14799 m
.31341 .15094 L
s
.37572 .12257 m
.37826 .12558 L
s
.40878 .10962 m
.41128 .11266 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.54521 .0562 m
.54755 .05937 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{547, 443.562},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008S0001^b000`400?l00000o`00003oo`3ooooo
0?ooobD0oooo003o0?ooool0oooo9@3oool00?l0ooooo`3ooolU0?ooo`00o`3ooooo0?ooobD0oooo
003o0?ooool0oooo9@3oool00?l0ooooo`3ooolU0?ooo`00o`3oooma0?ooo`D00000[P3oool00?l0
ooooLP3oool010000000oooo0?ooo`00002^0?ooo`00o`3ooomc0?ooo`030000003oool0oooo0:h0
oooo003o0?ooog@0oooo00<000000?ooo`3oool0[@3oool00?l0ooooL@3oool01@000000oooo0?oo
o`3oool000000:h0oooo003o0?ooog40oooo00D000000?ooo`3oool0oooo0000002^0?ooo`00o`3o
oomb0?ooo`<000004`3oool2000000@0oooo00<000000?ooo`3oool00P3oool3000008h0oooo003o
0?ooohL0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`2=0?ooo`00o`3ooon0
0?ooo`D000000P3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo08d0oooo003o
0?ooohL0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`2=0?ooo`00o`3ooon7
0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0S@3oool00?l0ooooQ`3oool0
10000000oooo0?ooo`0000080?ooo`800000S`3oool00?l0ooooR03oool2000000X0oooo00<00000
0?ooo`3oool0S@3oool00?l0ooooN03oool200000:X0oooo003o0?ooogD0oooo0`0000000`3oool0
00000?ooo`2Y0?ooo`00o`3ooomc0?ooo`80000000@0oooo0000003oool0oooo0P00002Y0?ooo`00
o`3ooom`0?ooo`<000001P3oool00`000000oooo0000002X0?ooo`00o`3ooom^0?ooo`800000203o
ool2000000030?ooo`000000oooo0:L0oooo003o0?ooof/0oooo0`0000090?ooo`030000002U^>H0
00000080oooo00<000000?ooo`3oool0Y@3oool00?l0ooooJ03oool3000000T0oooo0`0000020:Fh
iP8000000P3oool00`000000oooo0?ooo`2T0?ooo`00o`3ooomV0?ooo`800000203oool400000080
YKSV00<000000:FhiP2U^>H00`0000000`3oool000000?ooo`2U0?ooo`00o`3ooomS0?ooo`D00000
1@3oool300000080Y[WW00@000000:FhiP2U^>H0YKSV100000001@2T]nH000000?ooo`3oool00000
0:D0oooo003o0?ooof40oooo0P0000050?ooo`030000003oool0oooo0080000000<0Y[WW0000002V
^NL00`2V^NL01@000000YKSV0000002U^>H000000080Y;OV00<000000:BgiP0000000P3oool00`00
0000oooo0?ooo`2R0?ooo`00o`3ooomN0?ooo`<000001`3oool3000000@0Y[WW00<000000:Jii`2V
^NL00`0000030:FhiP030000002T]nH0000000<0000000<0oooo0000003oool0X`3oool00?l0oooo
G03oool2000000L0oooo0`0000030:Jji`030000002V^NL0Y[WW00@000000P2U^>H010000000YKSV
0:FhiP2U^>H300000080Y;OV00@000000?ooo`3oool00000X`3oool00?l0ooooF@3oool3000000H0
oooo0`0000000`2W^^L000000:Jji`030:Jji`<000000P2V^NL00`000000YKSV0:FhiP020:FhiP<0
000000<0Y;OV0000000000000`2T]nH010000000oooo0?ooo`00002R0?ooo`00o`3ooomG0?ooo`80
00001`3oool2000000030:Nki`000000Yk[W0080Yk[W00H000000:Jji`00000000000:Jii`000004
0:Jii`030000002U^>H0YKSV00800000102T]nH00`000000Y;OV0:BgiP03000000030?ooo`000000
oooo0:40oooo003o0?oooe@0oooo0`0000060?ooo`<00000102W^nL00`000000Yk[W000000020000
00@0Y[WW00<000000:Jii`2V^NL0100000000`2U]nH000000:BgiP030:BgiP<000000P2T]^H01000
0000oooo00000000002Q0?ooo`00o`3ooomB0?ooo`<000001@3oool300000080Yk_W00@000000:Nk
i`2W^nL0Yk_W0`0000020:Jji`030000002V^NL0Y[WW0080Y[WW0`0000020:FhiP060000002U]nH0
YKOV0:FgiP000000Y;OV100000040:BfiP030000003oool000000:40oooo003o0?ooodl0oooo0`00
00020?ooo`040000003oool0oooo0?ooo`80000000<0Z;_W0000002W^nL00`2W^nL01@000000Yk_W
0000002W^^L0000000@0Y[[W00H000000:Jii`00000000000:Fhi`0000040:FhiP030000002U]nH0
0000008000000P2T]^H00`000000Y;KV000000020:BfiP<0000000<0oooo0000003oool0W`3oool0
0?l0ooooC03oool3000000H0oooo0`0000040:Rki`030000002W^nL0Yk_W00<000000`2W^^L00`00
0000Y[[W0:Jji`03000000@0YKSW00<000000:FhiP2U^>H00`0000020:BgiP050000002T]^H0Y;KV
0000002T]^H00`0000020:Bfi@040000003oool0oooo000009l0oooo003o0?ooodX0oooo0P000006
0?ooo`<000000`2X_>L00`000000Z;_W0:Rki`0400000080Yk_W00<000000:Nji`2W^^L010000002
0:Jii`030000002U^>L0YKSW0080YKSW0`0000000`2U]nH000000:BgiP030:BgiP060000002T]^H0
00000000002T]^H00000102T]^D00`000000oooo0000002O0?ooo`00o`3ooom70?ooo`<000001@3o
ool3000000030:Rlj0000000Z;cW00<0Z;cW0`0000020:Nki`040000002W^nL0Yk_W0:Nki`<00000
0P2V^^L00`000000Y[WW0:Jii`020:Jii`060000002U^>L000000000002U^>H000000`2U]nH00`00
0000Y;OV0:BgiP04000000<0Y;KV00<000000:Bfi@2T]^D00`0000000`3oool000000?ooo`2M0?oo
o`00o`3ooom50?ooo`8000001P3oool2000000030:Rlj0000000Z;cX0080Z;cX00H000000:Rli`00
000000000:Rki`0000040:Nki`050000002W^nL000000:Nji`000000102V^^L00`000000Y[WW0:Ji
i`03000000@0YKSV00<000000:FgiP0000000`0000030:BfiP030000002T]^H0Y;KV00@000000P2T
]^D010000000oooo0?ooo`00002M0?ooo`00o`3ooom20?ooo`<000001@3oool3000000@0Z;cX00<0
00000:Rlj02X_>P00P0000040:Rki`030000002W^nL0Yk_W00<000000`2W^^L00`000000Y[[W0:Jj
i`04000000<0YKSW00<000000:FhiP2U^>H00`0000020:BgiP030000002T]^H0Y;KV0080Y;KV0`00
00020:>ei@030000002T]^D0Y;KU0080Y;KU00<000000?ooo`000000W@3oool00?l0oooo@03oool2
000000D0oooo0`0000020:Vlj0030000002X_>P0Z;cX0080Z;cX0`0000000`2X_>L000000:Rki`03
0:Rki`<000000P2W^nL010000000Yk[W0:Nji`2W^^L300000080Y[WW00<000000:Fhi`2U^>L00P2U
^>L3000000030:BgiP000000Y;OV00<0Y;OV00<000000:BfiP0000000`0000040:>ei@030000002T
]^D00000008000000P3oool00`000000oooo0?ooo`2J0?ooo`00o`3ooolE0?ooo`<000009@3oool3
00000080oooo00L000000?ooo`3oool0oooo0000002Y_NP0000000@0ZKcX00H000000:Rlj0000000
00000:Rlj00000030:Rli`060000002X^nL000000000002W^nL00000102W^nL01@000000Yk[W0000
002V^^L0000000@0Y[WW00H000000:Fhi`00000000000:FhiP0000030:BgiP030000002T]nH0Y;OV
00<000000P2T]^D00`000000Y;KU000000020:>ei@<000000P2T]^D01@000000oooo0?ooo`3oool0
000009/0oooo003o0?oooaH0oooo00<000000?ooo`3oool08P3oool2000000H0oooo0`0000030:Vm
j0030000002Y_>P0ZKcX00<00000102X_>P00`000000Z;cW00000002000000@0Yk_W00<000000:Nk
i`2W^nL00`0000030:Jji`030000002V^NL0Y[WW00<00000102U^>H00`000000Y;OV0:BgiP030000
0080Y;KV00D000000:Bfi@2T]^D000000:Bfi@03000000030:>ei@000000Y;KU00<0Y;KU00@00000
0?ooo`3oool00000V`3oool00?l0oooo5P3oool00`000000oooo0?ooo`0O0?ooo`<000001@3oool3
00000080ZKgX00<000000:Vmj02Y_NP0100000030:Rlj0030000002X_>P0Z;cX00<000000`2X^nL0
0`000000Yk_W0:Nki`0400000080Yk[W00<000000:Jji`2V^^L0100000020:FhiP030000002U^>H0
YKSV0080YKSV0`0000000`2T]^H000000:BfiP030:BfiP060000002T]^D000000000002S]ND00000
0`2S]ND00`000000Y;KU0:Bfi@0300000080oooo00<000000?ooo`3oool0V03oool00?l0oooo5P3o
ool00`000000oooo0?ooo`0M0?ooo`8000001P3oool2000000030:Vmj0000000ZKgX0080ZKgX0`00
00020:Vlj0030000002X_>P0Z;cX0080Z;cX0`0000000`2X_>L000000:Rki`030:Rki`<000000P2W
^nL010000000Yk[W0:Nji`2W^^L300000080Y[WW00<000000:FhiP2U^>H00P2U^>H01P000000YKSV
000000000000Y;OV000000<0Y;KV00<000000:BfiP2T]^H00`0000001P2S]ND000000:>ei@2S]ND0
00000:>ei@@000000P2T]^D01@000000oooo0?ooo`3oool0000009T0oooo003o0?oooaH0oooo00<0
00000?ooo`3oool06P3oool3000000D0oooo0`0000040:Vmj0050000002Y_NP000000:Vmj0000000
102Y_>P01P000000Z;cX000000000000Z;cX000000<0Z;cW00H000000:Rki`00000000000:Nki`00
00040:Nki`050000002W^^L000000:Jii`000000102V^NL00`000000YKSV0:FhiP03000000@0Y;OV
00<000000:BfiP0000000`0000030:>ei@80000000@0XkGU00000000000000000P2T]ND00`000000
Y;KU0:Bfi@020:Bfi@030000003oool0oooo00800000V03oool00?l0oooo5@3oool2000001T0oooo
0`0000050?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vlj02Y_>P0
0`0000040:Rlj0030000002X_>L0Z;cW00800000102W^nL00`000000Yk_W0:Nki`03000000<0Y[WW
00<000000:Jii`2V^NL0100000030:FhiP030000002T]nH0Y;OV00<000000P2T]^H00`000000XkGU
0:>ei@020:>ei@<0000000<0XkGU0000002T]ND00`2T]ND00`000000Y;KU0:Bfi@04000000030?oo
o`000000oooo09L0oooo003o0?oooaH0oooo00<000000?ooo`3oool05@3oool2000000L0oooo00<0
00000:Vmj0000000102Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Rlj0030000
002X_>P0Z;cX00@000000P2X^nL00`000000Yk_W0:Nki`04000000<0Yk[W00<000000:Jii`2V^NL0
0`0000020:FhiP030000002U^>H0YKSV0080YKSV0`0000000`2T]^H000000:BfiP030:BfiP060000
002S]ND000000000002S]ND000000`2S]ND00`000000Y;GU0:Bei@04000000<0YKKU00@000000?oo
o`3oool00000U`3oool00?l0oooo:`3oool3000000030?ooo`000000oooo00<0oooo0`0000030:Vm
j0060000002Y_NP000000000002Y_NP00000102Y_NP01@000000ZKgX0000002Y_>P0000000@0Z;cX
0`0000020:Rli`040000002X^nL0Z;_W0:Rki`<000000P2W^nL00`000000Yk[W0:Nji`020:Nji`<0
000000<0Y[WW0000002U^>H00`2U^>H01P000000YKSV000000000000Y;OV000000<0Y;KV00<00000
0:BfiP2T]^H00`0000030:>ei@80000000<0XkGU0000000000000P0000020:Bfi@030000002U]^D0
YKKU0080YKKU0P0000000`3oool000000?ooo`2F0?ooo`00o`3ooolY0?ooo`8000001@3oool40000
00<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_>P01P00
0000Z;cX000000000000Z;cX000000@0Z;cW00D000000:Rki`000000Yk_W000000040:Nki`060000
002W^^L000000000002V^NL000000`2V^NL00`000000YKSV0:FhiP03000000@0Y;OV00<000000:Bf
iP0000000`0000020:>ei@040000002S]ND0XkGU0:>ei@<000000P2S]ND00`000000Y;KU0:Bfi@02
0:Bfi@060000002U]^D000000000002V]nH000000P3oool00`000000oooo0?ooo`2D0?ooo`00o`3o
oolV0?ooo`<00000103oool300000080ZKgX00<000000:Vmj02Y_NP00P2Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP0100000030:Vmj0030000002Y_>P0ZKcX00800000102X_>P00`000000Z;cW0:Rl
i`03000000<0Yk_W00<000000:Nki`2W^nL00`0000040:Jii`030000002V^NL0000000<000000`2U
]nH00`000000Y;OV0:BgiP0300000080XkKU00<000000:>ei@2S]ND00P2S]ND00`000000XkGU0000
0002000000@0XkGU00<000000:Bfi@2T]^D00`0000040:JgiP040000003oool0oooo000009D0oooo
003o0?ooob@0oooo0P0000060?ooo`030000002Y_NP0000000@0ZKgX00H000000:Vmj00000000000
0:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vmj0<000000P2X_>P00`000000
Z;cX0:Rlj00400000080Z;_W00<000000:Nki`2W^nL0100000030:Nji`030000002V^NL0Y[WW00<0
00000P2U^>H00`000000YKOV0:FgiP020:FgiP<0000000<0Y;KV0000002S]^D00`2S]^D00`000000
XkGU0:>ei@03000000040:>ei@000000XkGU00000080XkGU100000020:Ffi@040000002V]nH0Y[OV
0:JgiP8000000P3oool00`000000oooo0?ooo`2C0?ooo`00o`3ooolQ0?ooo`<000001@3oool30000
00<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP0
1P000000ZKgX000000000000ZKcX000000<0Z;cX0`0000020:Rli`040000002X^nL0Z;_W0:Rki`<0
00000P2W^nL00`000000Yk[W0:Nji`020:Nji`<0000000<0Y[WW0000002U^>H00`2U^>H01P000000
YKOV000000000000Y;OV000000<0Y;KV00<000000:>fi@2S]^D0100000020:>di@030000002S]ND0
000000@000000P2T]ND00`000000YKKU0:Ffi@020:Ffi@050000002V]nH000000:NiiP0000000`3o
ool00`000000oooo0?ooo`2B0?ooo`00o`3ooolO0?ooo`8000001@3oool3000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003
000000@0ZKcX0`0000000`2X_>P000000:Rli`030:Rli`050000002X^nL000000:Nki`000000102W
^nL01P000000Yk[W000000000000Y[WW000000<0Y[WW00<000000:FhiP2U^>H00`0000040:BgiP03
0000002T]^H0000000<000000P2S]ND010000000XkCU0:>di@2S]>D300000080XkGU00<000000:Be
i@2T]ND00P2T]ND00`000000YKKU0:Ffi@03000000<0YkWV00D000000?ooo`3oool0oooo0000002C
0?ooo`00o`3ooolL0?ooo`<000001P3oool00`000000ZKgX000000040:Vmj0<0000000<0ZKgX0000
002Y_NP00`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_>P0ZKcX
00800000102X_>P00`000000Z;cW0:Rli`03000000<0Yk_W00<000000:Nki`2W^nL00`0000040:Ji
i`030000002V^NL0000000<000000`2U]nH00`000000Y;OV0:BgiP0300000080XkGU00<000000:>e
i@2S]ND00P2S]ND010000000XkCU0000002S]>D2000000<0XkGU00<000000:Bei@2T]ND010000002
0:Jgi@030000002W^NH0YkWV00<000000P3oool00`000000oooo0?ooo`2A0?ooo`00o`3ooolJ0?oo
o`80000000<0oooo0000003oool00`3oool3000000<0ZKgX00H000000:Vmj000000000000:Vmj000
00030:Vmj0060000002Y_NP000000000002Y_NP00000102Y_NP3000000030:Vmj0000000ZKgX00<0
ZKgX0`0000000`2X_>P000000:Rlj0030:Rlj0<000000`2X^nL00`000000Yk_W0:Nki`0300000080
Yk[W00@000000:Jii`2V^NL0Y[WW0`0000020:FhiP030000002U]nH0YKOV0080YKOV0`0000000`2T
]^H000000:>ei@030:>ei@030000002S]ND0XkGU00<000000`2S]>D00`000000XkGU0:>ei@040000
0080YKKU00@000000:Jgi@2V]nD0Y[OU0`0000020:RjiP050000003oool0oooo0?ooo`000000TP3o
ool00?l0oooo5`3oool3000000@0oooo100000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000
002Y_NP000000000002Y_>P000000`2X_>P01P000000Z;cX000000000000Z;cW000000@0Z;_W0`00
00000`2W^^L000000:Nji`030:Nji`050000002V^NL000000:Jii`000000102U^>H01P000000YKOV
000000000000Y;KV000000<0Y;KV00<000000:>ei@2S]ND0100000020:>di@040000002S]>D0XkCU
0:>di@<000000P2T]ND00`000000YKKU0:Ffi@020:Ffi@050000002V]nD000000:NhiP000000102X
^^H010000000oooo0?ooo`00002B0?ooo`00o`3ooolD0?ooo`<00000103oool3000000030:Vmj000
0000000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vm
j003000000@0ZKgX00<000000:Vmj00000000P0000040:Vlj0030000002X_>P0Z;cX00800000102X
_>L01P000000Z;_W000000000000Yk_W000000<0Yk[W00<000000:Nji`2W^^L00`0000030:Jii`03
0000002U^>H0YKSV00<00000102T]^H00`000000Y;KV0:BfiP0300000080XkCU00<000000:>di@2S
]>D00P2S]>D00`000000XkCU00000002000000@0Y;GU00<000000:Ffi@2U]^D00`0000030:NhiP03
0000002X^^H0Z;[V00<000000P3oool00`000000oooo0?ooo`2?0?ooo`00o`3ooolB0?ooo`800000
1P3oool00`000000ZKgX000000040:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP30000
0080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKcX0:Vlj00400000080Z;cX00<000000:Rli`2X_>L00`0000040:Nki`030000002W^^L0
000000<000000`2V^NL00`000000Y[WW0:Jii`0300000080Y;OV00<000000:BfiP2T]^H00P2T]^H3
000000030:>ei@000000XkCU00<0XkCU00<000000:>di@2S]>D00`000000102S]>D000000:>di@00
00020:Bei@@000000P2U]nD00`000000YkSV0:NhiP04000000<0ZKcW00@000000?ooo`0000000000
T03oool00?l0oooo3`3oool3000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX00<00000102Y
_NP3000000030:Vmj0000000ZKgX00<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<00000
00<0ZKgX0000002Y_NP00`2Y_NP300000080Z;cX00@000000:Rlj02X_>P0Z;cX0`0000030:Rki`03
0000002W^nL0Yk_W00<000000P2W^^L00`000000Y[WW0:Jii`020:Jii`<0000000<0YKSV0000002T
]nH00`2T]nH01P000000Y;KV000000000000XkKV000000<0XkGU00<000000:>di@2S]>D010000002
0:>di@030000002S]>D0XkCU00@000000P2T]^D010000000YKOU0:Fgi@2U]nD300000080Z;[V00<0
00000:Vli`2Y_>L00P2Y_>L2000000030?ooo`000000oooo08l0oooo003o0?ooo`d0oooo0P000005
0?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P000004
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX
00H000000:Vmj000000000000:Vlj00000040:Rlj0050000002X_>P000000:Rli`000000102X^nL3
000000030:Nji`000000Yk[W00<0Yk[W00H000000:Jii`00000000000:Fii`0000030:FhiP030000
002T]nH0Y;OV00<00000102S]^H00`000000XkGU0000000300000080XkCU00@000000:>di@2S]>D0
XkCU100000000`2T]ND000000:Bfi@030:Bfi@050000002U]nD000000:NhiP000000102X^^H01P00
0000ZKcW000000000000ZkgW00000080oooo00<000000?ooo`3oool0S@3oool00?l0oooo2P3oool3
000000H0oooo00<000000:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00@000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<00000
0:Vmj02Y_NP00P0000040:Vlj0030000002X_>P0Z;cX00<000000`2X_>L01P000000Z;_W00000000
0000Yk_W000000<0Yk[W00<000000:Nji`2W^^L00`0000040:Fii`030000002U^>H0000000<00000
0`2T]^H00`000000XkKV0:>fiP0300000080XkCU00<000000:>di@2S]>D00P2S]>D01`000000XkCU
0000002S]>D000000:Bei@0000000P2T]ND00`000000Y;KU0:Bfi@03000000<0YkSV00<000000:Rj
iP2X^^H00`0000040:^mi`040000003oool0oooo000008h0oooo003o0?ooo`P0oooo0P0000020?oo
o`040000003oool0oooo0?ooo`<000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX
00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0020:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vlj02Y_>P0100000020:Rl
j0030000002X_>L0Z;cW00<00000102W^nL00`000000Yk[W0:Nji`03000000<0Y[WW00<000000:Fi
i`2U^NL00`0000020:BgiP030000002T]^H0Y;KV0080Y;KV0`0000000`2S]ND000000:>di@030:>d
i@030000002S]>D0XkCU00<000000`2S]>D2000000030:Bei@0000000000008000000P2U]nD01000
0000YkSV0:NhiP2W^>H300000080ZKcW00<000000:^mi`2[_NL00`0000020?ooo`030000003oool0
oooo08`0oooo003o0?ooo`D0oooo0`0000040?ooo`@000000`2Y_NP00`000000ZKgX0:Vmj0020000
00@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP0
1P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<0
00000`2X_>P00`000000Z;cX0:Rlj003000000<0Z;_W00<000000:Nki`2W^nL0100000020:Jji`03
0000002V^NL0Y[WW00@0000000<0YKSV0000002T]nH00`2T]nH01P000000Y;KV000000000000XkGU
000000<0XkGU00<000000:>di@2S]>D0100000020:>di@030000002S]>D0XkCU00@000000P2T]^D0
0`000000YKOU0:Fgi@020:Fgi@<0000000<0Z;[V0000002Y_>L00P2Y_>L3000000<0[;oX00@00000
0?ooo`3oool00000S@3oool00?l0oooo0`3oool2000000@0oooo0`0000020:Vmj0030000002Y_NP0
ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP0
1@000000ZKgX0000002Y_>P0000000@0Z;cX0`0000000`2X_>L000000:Rki`030:Rki`<000000P2W
^^L010000000Y[[W0:Jji`2V^^L300000080YKSW00D000000:FhiP2U^>H0YKSV000000020:BgiP<0
0000102S]ND00`000000XkGU0000000300000080X[CU00@000000:>di@2S]>D0XkCU0`0000020:>d
i@030000002T]^D0Y;KU0080Y;KU00<000000:Fgi@2U]nD00P0000040:RjiP050000002Y_>L00000
0:^mi`000000102/_nP200000080oooo00<000000?ooo`3oool0RP3oool00?l0oooo0`0000050?oo
o`030000002Y_NP0000000@0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y
_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX0:Vmj003000000<0ZKcX00H000000:Rlj0000000
00000:Rlj00000030:Rli`060000002X^nL000000000002W^nL00000102W^^L3000000030:Jii`00
0000YKSW00<0YKSW00<000000:FhiP2U^>H00`0000030:BfiP030000002S]ND0XkGU00<000000P2R
]>D00`000000X[CU0::di@020::di@050000002S]>D000000:>di@0000000`2S]>D200000080Y;KU
100000020:NhiP030000002X^^H0Z;[V00<000000`2[_NL01P000000[;oX000000000000[L3X0000
0080oooo00<000000?ooo`3oool0RP3oool00?d0oooo0P0000050?ooo`<000000`2Y_NP00`000000
ZKgX0:Vmj003000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP00000
0:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0030000002Y_NP0
ZKgX00@000000`2Y_NP00`000000ZKcX0:Vlj002000000@0Z;cX00<000000:Rli`2X_>L00P000004
0:Nki`030000002W^^L0Yk[W00800000102V^NL00`000000YKSW0:Fhi`0400000080Y;OV00<00000
0:BfiP2T]^H0100000000`2S]>D000000::di@030::di@030000002R]>D0X[CU00<000000`2S]>D0
0`000000XkCU0:>di@0400000080YKOU00@000000:NhiP2W^>H0YkSV0`0000020:Vli`030000002[
_NL0ZkgW00<00000102]`>P010000000oooo0?ooo`00002;0?ooo`00nP3oool3000000@0oooo0`00
00030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<0
00000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01P000000
ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX0080ZKgX0`000002
0:Rlj0030000002X_>P0Z;cX00@000000P2X^nL00`000000Yk_W0:Nki`0400000080Y[[W00<00000
0:Jii`2V^NL0100000020:FhiP040000002T]nH0Y;OV0:BgiP<000000P2S]ND01@000000XkCU0:>d
i@2S]>D000000080X[CU100000020::ci@040000002S]>D0XkCU0:>di@@0000000<0Y;GU0000002U
]nD00`2U]nD3000000030:RjiP000000ZKcW0080ZKcW0`0000030:boj0030000002]`>P0[L3X00<0
00000P3oool00`000000oooo0?ooo`280?ooo`00m`3oool3000000H0oooo00<000000:Vmj0000000
102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000
002Y_NP000000:Vmj0000000102Y_NP01P000000ZKgX000000000000ZKcX000000<0Z;cX0`000002
0:Rli`040000002X^nL0Z;_W0:Rki`<000000P2W^^L010000000Y[[W0:Jji`2V^^L300000080YKSW
00<000000:FhiP2U^>H00P2U^>H3000000030:BfiP000000XkGU00<0XkGU00<000000:>di@2S]>D0
0`0000020::ci@030000002R/nD0X[?U0080X[?U0`000000102S]>D000000:Bei@0000020:Bei@03
0000002U]nD0YKOU00800000102X^^H01@000000ZKcW0000002[_NL0000000@0[;oX0`0000020:g1
j0040000003oool0oooo000008X0oooo003e0?ooo`8000000P3oool010000000oooo0?ooo`3oool3
000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000002Y
_NP00000102Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000040:Vl
j0<0000000<0Z;cX0000002X_>L00`2X_>L3000000030:Nki`000000Yk[W00<0Yk[W00D000000:Jj
i`000000Y[WW000000040:Fhi`030000002U^>H0YKSV00800000102T]^H00`000000XkGU0:>ei@04
000000030::di@000000X[?U00<0X[?U00<000000::ci@2R/nD00P0000040:>di@80000000<0Y;GU
0000000000000P0000020:NhiP030000002X^^H0Z;[V00<000000`2[_NL01P000000[;oX00000000
0000[L3X000000<0[L7X0P0000020?ooo`030000003oool0oooo08L0oooo003b0?ooo`<000001@3o
ool3000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000102Y
_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vm
j0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0030000002Y_>P0ZKcX00800000102X_>P00`000000Z;cW0:Rli`02000000@0Yk_W00<000000:Nj
i`2W^^L00`0000030:Jii`030000002U^>L0YKSW00@000000P2T]nH00`000000Y;KV0:BfiP040000
0080X[CU00D000000::di@2R]>D0X[CU000000020::ci@@000000P2S/n@00`000000XkCU0:>di@04
00000080YKOU00@000000:NhiP2W^>H0YkSV0`0000020:Vli`030000002[_NL0ZkgW00<00000102]
`>P01@000000[L7X0000002]`NP0000000<0oooo00<000000?ooo`3oool0QP3oool00?00oooo0P00
00050?ooo`<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00<00000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX
00<000000:Vmj02Y_NP0100000020:Rlj0030000002X_>P0Z;cX00@000000P2X^nL00`000000Yk_W
0:Nki`0400000080Y[[W00<000000:Jii`2V^NL0100000020:FhiP040000002T]nH0Y;OV0:BgiP<0
00000P2S]ND00`000000X[CU0::di@020::di@030000002R]>D0000000<000000P2R/n@010000000
Xk?T0:>ci02S/n@300000080Y;GU00<000000:Fgi@2U]nD00P2U]nD3000000030:RjiP000000ZKcW
0080ZKcW0`0000030:boj0030000002]`>P0[L3X00<000000`2]`NP00`000000oooo000000020000
08L0oooo003]0?ooo`<000001@3oool2000000030:Vmj0000000ZKgX0080ZKgX0`0000020:Vmj004
0000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vm
j02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX000000000000
ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_>P010000000
Z;cX0:Rlj02X_>P300000080Z;cW00@000000:Rki`2X^nL0Z;_W0`0000020:Nji`040000002V^^L0
Y[[W0:Jji`<000000P2U^>H00`000000YKSV0:FhiP020:FhiP050000002T]nH000000:>fiP000000
102S]ND00`000000X[CU0::di@0300000080X[?T00<000000::ci02R/n@00P2R/n@3000000030:>d
i0000000Y;GU0080Y;GU0P0000020:Fgi@800000102X^^H01@000000ZKcW0000002[_^L0000000@0
[;oX0`0000020:g1j0030000002]`NP0[L7X00<000000P3oool00`000000oooo0?ooo`250?ooo`00
j`3oool2000000H0oooo0P0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0ZKgX
00800000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKcX00D000000:Rlj0000000Z;cX0000
00040:Rli`050000002X^nL000000:Nki`000000102W^^L01@000000Y[[W0000002V^NL0000000@0
YKSV00<000000:FhiP2U^>H00`0000030:>fiP030000002S]ND0XkGU00@0000000<0X[?U0000002R
/n@00`2R/n@00`000000X[?T0::ci002000000@0XkCT00<000000:Bei@2T]ND0100000020:NhiP03
0000002X^^H0Z;[V00<000000`2[_^L01P000000[;oX000000000000[L7X000000<0[L7X0`000003
0:g1j0040000003oool0oooo000008H0oooo003X0?ooo`<00000103oool400000080ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01P000000ZKgX00000000
0000ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP01000
0000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKcX0:Vlj003000000<0Z;cX00<000000:Rli`2X_>L00`000003
0:Nki`030000002W^^L0Yk[W00<000000`2V^NL00`000000YKSV0:FhiP0400000080Y;OV00<00000
0:>fiP2S]^H0100000020::di@050000002R/nD0X[?U0::ci@0000000P2R/n@400000080X[?T00<0
00000:>di02S]>@01@0000000`2U]^D000000:NhiP020:NhiP<000000P2Z_>L00`000000ZkkW0:^n
i`03000000@0[L7X00D000000:g1j0000000[L7X000000040:g1j080000000<0oooo0000003oool0
Q@3oool00;h0oooo0P00000V0?ooo`<000000`3oool300000080ZKgX00@000000:Vmj02Y_NP0ZKgX
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP0
0`000000ZKgX0:Vmj004000000<0Z;cX00<000000:Rlj02X_>P00`0000030:Rki`030000002W^nL0
Yk_W00<000000`2V^^L00`000000Y[WW0:Jii`0300000080YKOV00@000000:BgiP2T]nH0Y;OV0`00
00020:>di@030000002R]>D0X[CU0080X[CU00<000000::ci@0000000`0000030::ci0030000002R
/n@0X[?T00<000000P2T]ND01@000000YKKU0:Ffi@000000YKKU00<0000000<0Z;[V0000002Z_>L0
0P2Z_>L3000000<0[;oX00<000000:g1j02]`NP00`0000030:g1j0060000002]`NP000000000002/
`>P000000P3oool00`000000oooo0?ooo`230?ooo`00_@3oool010000000oooo0?ooo`00000R0?oo
o`<000000`3oool01@000000oooo0000002Y_NP0000000@0ZKgX00D000000:Vmj0000000ZKgX0000
00040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H0
00000:Vmj000000000000:Vmj00000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP300000080
ZKcX00<000000:Rlj02X_>P00P2X_>P300000080Z;cW00<000000:Rki`2X^nL0100000020:Nji`03
0000002V^^L0Y[[W00@0000000<0YKSV0000002U]nH00`2U]nH01@000000Y;OV0000002S]NH00000
00@0XkCU00<000000::di@2R]>D00`0000020::ci0030000002R/n@0X[?T0080X[?T0`0000000`2S
/n@000000:Bei@030:Bei@030000002U]^D0000000800000102X^^H01@000000Z[cW0000002[_^L0
000000@0[;oX0`0000020:g1j0030000002]`NP0[L7X00<00000102/`>P010000000oooo0?ooo`00
000B0?ooo`800000103oool00`000000oooo0?ooo`030?ooo`8000000`3oool3000005h0oooo002m
0?ooo`040000003oool0oooo00000200oooo0P0000050?ooo`<000000`2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000
002Y_NP000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P000004
0:Vmj0050000002Y_NP000000:Vmj0000000102Y_>P01P000000Z;cX000000000000Z;cX000000<0
Z;cW0`0000020:Nki`040000002W^^L0Yk[W0:Nji`<000000P2V^NL01@000000YKSV0:FhiP2U^>H0
00000080YKOV0`0000030:>eiP030000002S]>D0XkCU00@0000000<0X[?U0000002R/n@00`2R/n@0
1P000000X[?T000000000000X[?T000000<0Xk?T00<000000:Bei@2T]ND0100000020:Nhi@030000
002X^^H0Z;[V00<000000`2[_^L01P000000[;oX000000000000[L7X000000<0[L7X0`0000030:g1
j0030000002/`>P0[<3X008000000P3oool00`000000oooo0?ooo`0?0?ooo`040000003oool0oooo
000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo05/0oooo
002m0?ooo`040000003oool0oooo000001d0oooo0`0000040?ooo`<000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000
102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vmj0030:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj003
0000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKcX0:Vlj003000000@0Z;cX0`0000000`2X^nL0
00000:Nki`030:Nki`<0000000<0Y[[W0000002V^NL00`2V^NL00`000000YKSV0000000300000080
Y;KV00<000000:>eiP2S]NH0100000020::ci@050000002R/nD0X[?U0::ci@0000000P2R/n@30000
00@0X[?T00<000000:>ci00000000`0000020:Ffi@8000000P2W^>D300000080Z[cW00<000000:^n
i`2[_^L00`0000040:g1j0050000002]`NP000000:g1j0000000102]`NP300000080[;oX00@00000
0?ooo`3oool000002@3oool500000080oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000050?ooo`030000003oool0oooo05/0oooo002m0?ooo`040000003oool0oooo000001X0
oooo0`0000060?ooo`030000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj006
0000002Y_NP000000000002Y_NP000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX
0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00`0000030:Rlj0030000002X_>P0Z;cX00800000102X^nL00`000000
Yk_W0:Nki`02000000@0Y[[W00<000000:Jii`2V^NL00`0000030:BgiP030000002T]^H0Y;KV00<0
00000P2R]>D00`000000X[?U0::ci@020::ci@030000002R/nD0X[?U00<000000`2R/^@00`000000
X[?T0::ci00300000080Y;CT00<000000:Ffi@2U]^D00P2U]^D3000000030:RjiP000000Z[cW0080
Z[cW0`0000030:foj0030000002]`NP0[L7X00<000000`2]`NP01P000000[L7X000000000000[<3X
000000<0[;oX0P0000020?ooo`030000003oool0oooo00d0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo05/0oooo002m0?ooo`040000003o
ool0oooo000001P0oooo0P0000060?ooo`<000000`2Y_NP01P000000ZKgX000000000000ZKgX0000
00<0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000102Y_NP0
1@000000ZKgX0000002Y_NP0000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<00000
00<0ZKgX0000002Y_NP00`2Y_NP300000080ZKcX00<000000:Rlj02X_>P0100000020:Rli`030000
002X^nL0Z;_W00@000000P2W^^L00`000000Y[[W0:Jji`04000000030:FhiP000000Y;OV00<0Y;OV
0`0000000`2S]ND000000::di@030::di@030000002R/nD0X[?U00@0000000<0XK;T0000002R/^@0
0`2R/^@3000000030:>ci0000000Y;CT00<0Y;CT00<000000:Ffi@2U]^D00P0000040:RjiP050000
002Z_>L000000:^ni`000000102]_nP300000080[/7X00<000000:g1j02]`NP00`0000040:c0j0<0
000000D0ZkgW0000003oool0oooo0000000?0?ooo`040000003oool0oooo000000P0oooo00D00000
0?ooo`3oool000000?ooo`04000005h0oooo002n0?ooo`8000005P3oool3000000D0oooo0`000003
0:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX
00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP00000
0000002Y_NP000000`2Y_>P300000080Z;cX00@000000:Rli`2X_>L0Z;cW0`0000020:Nki`040000
002W^^L0Yk[W0:Nji`<000000P2V^NL01P000000YKSV0:FhiP2U^>H000000:BgiP80000000<0Y;KV
0000002S]ND00P2S]ND00`000000X[CU0::di@0400000080XK?T00H000000:6bi02Q/^@0XK;T0000
002R/^@2000000030::bi0000000Xk?T0080Xk?T00<000000:Bdi02T]>@0100000000`2W^>D00000
000000020:RjiP<000000`2[_^L01P000000[KoX000000000000[L7X000000<0[/7X0`0000030:g1
j0030000002/`>P0[<3X00800000102[_NL010000000oooo0?ooo`00000>0?ooo`040000003oool0
oooo000000P0oooo00H000000?ooo`3oool000000?ooo`00001Q0?ooo`00e03oool2000000030?oo
o`000000oooo0080oooo0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y
_NP000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000030:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P00
00040:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKcX0000002X_>P0000000@0Z;cX
00D000000:Rli`000000Z;_W000000040:Nki`050000002W^^L000000:Jji`000000102V^NL00`00
0000YKSV0:FhiP02000000@0Y;KV00<000000:>ei@2S]ND00`0000020::ci@030000002Q/n@0XK?T
0080XK?T00<000000:6bi00000000P0000040::bi0030000002S/n@0000000<000000P2U]^D00`00
0000YkSU0:Nhi@04000000<0Z[cW00<000000:^ni`2[_^L00P0000040:g1j0050000002^`NP00000
0:k2j0000000102]`NP300000080ZkkX00<000000:^mi`2[_NL00`0000000`3oool000000?ooo`0>
0?ooo`8000002P3oool200000080oooo1@00001M0?ooo`00d@3oool3000000@0oooo00D000000?oo
o`000000ZKgX000000030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX0:Vmj002
000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y
_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y
_NP00`000000ZKgX0:Vmj003000000<0Z;cX00<000000:Rlj02X_>P00`0000030:Rki`030000002W
^nL0Yk_W00<000000`2V^^L00`000000Y[WW0:Jii`0400000080Y;OV00<000000:BfiP2T]^H01000
00000`2R]>D000000::ci@030::ci@030000002Q/n@0XK?T00<000000`2Q/^@00`000000X[;T0::b
i00300000080Y;CT00<000000:Ffi@2U]^D00P2U]^D3000000030:RjiP000000Z[cW00<0Z[cW0`00
00020:g0j0030000002]`NP0[L7X00<000000`2^`^P01P000000[L7X000000000000[<3X000000<0
ZkkX0`0000020:Zli`030000003oool0000000800000O`3oool00<l0oooo0P0000060?ooo`<00000
0`2Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<0000000<0ZKgX0000002Y
_NP00`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00@0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj0000003
0:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_>P00`000000Z;cX0:Rlj00300000080
Z;cW00<000000:Rki`2X^nL0100000020:Nji`030000002V^^L0Y[[W00@000000P2U^>H00`000000
Y;OV0:BgiP0400000080XkGU00D000000::di@2R]>D0X[CU000000020::ci@@000000P2Q/^@00`00
0000XK;T0:6bi004000000030::ci0000000Y;CT00<0Y;CT00<000000:Ffi@2U]^D00P0000001P2X
^^H000000:RjiP2X^^H000000:Zli`80000000<0[;kW0000002]`>P00P2]`>P300000080[/;X00<0
00000:k2j02^`^P00`0000040:c0j0<0000000<0ZkgW0000002Z_>L00`2Z_>L010000000oooo0?oo
o`00001o0?ooo`00c03oool3000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y
_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vm
j0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D00000
0:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3000000030:Vm
j0000000ZKcX00<0ZKcX0`0000020:Rlj0030000002X_>L0Z;cW00<000000`2W^nL00`000000Yk[W
0:Nji`0300000080Y[WW00@000000:FhiP2U^>H0YKSV0`0000020:BfiP030000002S]ND0XkGU0080
XkGU00<000000::di@0000000`0000020:6bi0040000002Q/^@0XK;T0:6bi0<000000P2R/^@01@00
0000X[?T0::ci02R/n@000000080Y;CT100000020:Nhi@80000000@0Z;[V0000000000000000102/
_^L3000000030:k1j0000000[/;X0080[/;X0`0000030:g1j0030000002/`>P0[<3X00800000102[
_NL00`000000Z[cW0:Zli`0200000080oooo00<000000?ooo`3oool0O@3oool00<X0oooo0P000005
0?ooo`<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX
00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_>P00000
0000002X_>P000000`2X_>P3000000030:Rki`000000Yk_W00<0Yk_W0`0000000`2V^^L000000:Ji
i`030:Jii`050000002U^>H000000:BgiP000000102T]^H00`000000XkGU0:>ei@0300000080X[?U
00<000000:6bi02Q/^@00P2Q/^@3000000030:6ai0000000X[;T00<0X[;T00<000000::ci02R/n@0
0`0000030:Ffi@030000002W^>D0YkSU00<000000`2Z_>L00`000000[;kW0:bni`02000000@0[/7X
00D000000:k2j0000000[/;X000000040:g1j0<000000P2[_^L00`000000ZkgW0:^mi`0400000080
ZKcW00@000000?ooo`3oool00000OP3oool00<L0oooo0`0000050?ooo`80000000<0ZKgX0000002Y
_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj006
0000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`00
00030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000040:Vmj0030000002Y_NP0000000800000102X_>P3000000030:Rli`00
0000Z;_W0080Z;_W00H000000:Nki`00000000000:Nji`0000030:Jji`030000002V^NL0Y[WW00<0
00000`2T]nH00`000000Y;KV0:BfiP04000000030::di@000000X[?U00<0X[?U00<000000:6bi02Q
/^@00P0000040:6ai0030000002R/^@0X[;T00@0000000<0XkCT0000002U]^D00`2U]^D300000003
0:RjiP000000Z[cW00<0Z[cW0`0000020:g0j0030000002^`NP0[/7X00<000000`2^`^P01P000000
[L7X000000000000[;oX000000<0ZkkW0`0000020:Zli`030000002Y_>L0ZKcW00<000000P3oool0
0`000000oooo0?ooo`1k0?ooo`00a@3oool2000000H0oooo0P0000040:Vmj0050000002Y_NP00000
0:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P000004
0:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX
0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX
00<000000:Vmj02Y_NP00`0000030:Vlj0030000002X_>P0Z;cX00800000102X_>L00`000000Z;_W
0:Rki`02000000@0Yk[W00<000000:Jji`2V^^L00`0000030:FhiP030000002T]nH0Y;OV00<00000
0P2S]ND01@000000X[CU0::di@2R]>D000000080X[?U100000020:6ai0030000002Q/N@0XK7T00@0
00000P2R/^@01P000000XkCT0:>di02S]>@000000:Ffi@80000000@0YkSU0000002X^^H0Z;[V0P00
00001@2Z_>L000000000002/_^L0000000<0[L3X0`0000020:k2j0030000002^`^P0[/;X00<00000
102/_nP3000000030:Zmi`000000Z[cW0080Z[cW0`0000020:VkiP040000003oool0oooo000007d0
oooo00320?ooo`<0000000@0oooo0000003oool0oooo100000020:Vmj0030000002Y_NP0ZKgX00<0
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y
_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000002Y_NP00000
0`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_>P0ZKcX00@00000
0P2X_>P00`000000Z;cW0:Rli`0400000080Yk_W00<000000:Nji`2W^^L0100000020:Jii`030000
002U^>H0YKSV00@0000000<0XkKV0000002S]ND00`2S]ND00`000000X[CU0::di@03000000<0XK;T
00<000000:6ai02Q/N@00`0000020:6ai0030000002R/^@0X[;T0080X[;T00<000000:>di0000000
0P0000040:Nhi@030000002X^^H0000000800000102/_^L3000000030:k2j0000000[/;X0080[/;X
0`0000030:g1j0030000002/_nP0[;oX00800000102Z_NL3000000030:VkiP000000ZK_V00<0ZK_V
00@000000?ooo`3oool00000O03oool00;l0oooo0`0000040?ooo`<000000`2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000
102Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vm
j0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX0`0000000`2Y
_NP000000:Vmj0020:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0Z;cX00<00000
0:Rlj02X_>P00`0000030:Rki`030000002W^nL0Yk_W00<000000P2V^^L010000000Y[WW0:Jii`2V
^NL300000080Y;OV00D000000:>fiP2S]^H0XkKV000000020:>ei@@000000P2Q/^@00`000000XK;T
0:6bi004000000030:6ah`000000XK7T00<0XK7T00<000000::bi02R/^@00`0000030:Fei0030000
002W^>D0YkSU00<0000000@0Z[cW0000002Z_>L000000P2/_^L2000000@0[/;X00<000000:k2j000
00000P2^`^P00`000000[L7X0:g1j00400000080ZkkW00<000000:Zmi`2Z_NL00P0000040:VkiP03
0000002Y^nH0ZK_V008000000`3oool00`000000oooo0?ooo`1i0?ooo`00_@3oool2000000H0oooo
00@000000:Vmj02Y_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj003
0000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX
00<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP0
1@000000ZKgX0000002Y_>P0000000@0Z;cX0`0000000`2X_>L000000:Rki`030:Rki`<0000000<0
Yk[W0000002V^^L00`2V^^L01@000000Y[WW0000002U^>H0000000@0Y;OV00<000000:>fiP000000
0`0000020::ci@030000002Q/^@0XK;T00@000000P2P/N@01@000000XK7S0:6ah`2Q/N<000000080
XK7T100000000`2S/n@000000:Fei0030:Fei0<0000000H0Z;[V0000002Z_>L0Z[cW0000002Z_>L3
00000080[L7X00<000000:k2j02^`^P00`0000030:k2j0<000000P2/_nP00`000000ZkkW0:^ni`04
00000080Z[cW00<000000:VkiP2Y^nH0100000020:ZliP040000003oool0oooo000007/0oooo002j
0?ooo`<000001P3oool2000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y
_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj0000000
00000:Vmj00000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP3000000<0ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vlj0060000002X_>P000000000002X_>P0
00000`2X_>L01P000000Z;_W000000000000Yk_W000000<0Yk[W00<000000:Jji`2V^^L00`000003
0:FhiP030000002T]nH0Y;OV00<000000`2R]>D00`000000X[?U0::ci@0300000080XK7T00<00000
0:2ai02P/N@00P2P/N@00`000000XK7S0000000300000080X[;T00H000000:>ci02S/n@0Xk?T0000
002U]N@2000000030:Nhi@000000Z;[V0080Z;[V00H000000:Zli`00000000000:boi`0000030:g1
j0<000000P2^`^P01P000000[/;X000000000000[L7X000000<0[;oX0`0000020:Zmi`040000002Z
_>L0Z[cW0:Zli`<000000P2Y^nH00`000000Z[cV0:ZliP0300000080oooo00<000000?ooo`3oool0
N03oool00;P0oooo0P0000050?ooo`@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP300000080
ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000
ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vm
j0000000102Y_NP3000000030:Vmj0000000ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vlj02Y_>P00P0000040:Rl
j0030000002X_>L0Z;cW00800000102W^nL00`000000Yk[W0000000300000080Y[WW00<000000:Fh
iP2U^>H0100000000`2S]^H000000::di@030::di@<0000000<0XK;T0000002Q/N@00`2Q/N@00`00
0000X;7T0:2ai00300000080XK7S00<000000::bi02R/^@00P2R/^@00`000000Xk?T000000020000
00@0YkSU00<000000:RjiP0000000`0000030:boi`<000000P2^`^P00`000000[/;X0:k2j0020000
00@0[L7X00D000000:boj0000000ZkkW000000040:Zmi`<0000000<0ZK_V0000002Y^nH00P2Y^nH3
00000080Z[cW00D000000?ooo`3oool0oooo0000001i0?ooo`00]@3oool3000000@0oooo0`000003
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX
00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y_NP000000000
002Y_NP000000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vm
j0030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080Z;cX00<000000:Rlj02X_>P01000
00020:Rki`030000002W^nL0Yk_W00<000000`2V^NL00`000000Y[WW0:Jii`0300000080Y;OV00H0
00000:>fiP2S]^H0XkKV0000002R]>D2000000030::ci@000000XK;T0080XK;T00<000000:6ai02Q
/N@0100000000`2P/><000000:6ah`030:6ah`030000002R/^@0X[;T00<000000`2U]N@00`000000
YkSU0:Nhi@03000000<0ZkcW00<000000:boi`2/_nL00P0000040:k2j0<000000P2^`^P00`000000
[L7X0:g1j003000000<0ZkkW00<000000:Zmi`2Z_NL00P0000040:VkiP050000002Y^nH000000:Zl
iP000000102Z_>L010000000oooo0?ooo`00001i0?ooo`00/`3oool400000080oooo0`0000000`2Y
_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0
000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y
_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj006
0000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKcX00@000000:Rlj02X_>P0Z;cX0`00
00020:Rli`030000002X^nL0Z;_W00@000000P2W^^L00`000000Y[WW0:Jii`04000000030:FhiP00
0000Y;OV00<0Y;OV00<000000:>fiP2S]^H00P0000040::ci@030000002Q/^@0XK;T00<000000P2P
/><01@000000X;3S0:2`h`2P/><000000080XK7S100000000`2S/n@000000:Fei0030:Fei0<00000
0P2Y^^H00`000000ZkcW0:^li`0400000080[/7X00H000000:k2j000000000000:o2j00000030:k2
j0<000000P2/_nP00`000000ZkkW0:^ni`0400000080ZK_V00<000000:VkiP2Y^nH00`0000030:Zl
iP030000002Z_>L0Z[cW00<000000P3oool00`000000oooo0?ooo`1f0?ooo`00/03oool3000000@0
oooo0P0000000`2Y_NP000000:Vmj0020:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP3
00000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0060000002Y
_NP000000000002Y_NP000000`2Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y
_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP00000
00@0ZKcX0`0000000`2X_>P000000:Rli`020:Rli`<000000P2W^nL010000000Yk[W0:Nji`2W^^L3
00000080YKWW00D000000:FhiP2U^>H0YKSV000000020:BgiP@000000P2R]>D00`000000X[?U0::c
i@04000000030:2ai0000000X;3S00<0X;3S00<000000:2`h`2P/><00`0000020::ah`060000002S
/n@0Xk?T0:>ci0000000YKGT0P0000000`2W]nD000000:VjiP020:VjiP<0000000<0[KoW00000000
00000P2^`NP3000000@0[l;X0`0000000`2]`NP000000:boj0020:boj0<000000P2Z_>L00`000000
ZK_V0:VkiP0400000080ZK_V00<000000:ZliP2Z_>H0100000020:^mi`050000003oool000000?oo
o`000000M`3oool00:h0oooo0P0000050?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0060000002Y
_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_>P0ZKcX00800000102X_>P01@000000Z;cW0000002X^nL0
000000@0Yk_W00D000000:Nji`000000Y[WW000000040:Fii`030000002U^>H0YKSV00<000000P2S
]NH00`000000X[CU0::di@0400000080XK;T00D000000:2ai02P/N@0X;7T000000020:2`h`@00000
00<0XK3S0000002R/N<00`2R/N<00`000000Xk?T0:>ci002000000@0YkOU0`000000102[_NH00000
0:foi`2]_nL4000000<0[l;X00<000000:o2j02_`^P00P0000040:g1j0050000002/_nP000000:^m
i`0000000`2Z_>L300000080ZK_V00@000000:VkiP2Y^nH0ZK_V0`0000030:Zli`030000002[_NL0
ZkgW008000000P3oool00`000000oooo0?ooo`1e0?ooo`00Z`3oool3000000@0oooo0`0000030:Vm
j0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP3000000030:Vmj000
0000ZKgX00<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj0000000
102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<0
00000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Rlj003
0000002X_>P0Z;cX00<000000`2X^nL00`000000Yk_W0:Nki`03000000<0Y[WW00<000000:Fii`2U
^NL0100000020:BfiP030000002S]NH0XkGV00<000000P2Q/nD00`000000XK;T0:6bi0020:6bi003
0000002P/N@0000000<000000P2P/><01@000000XK3S0:6`h`2Q/><000000080X[7S100000020:Fe
i0030000002W]nD0YkOU00800000102[_NH01@000000[KoW0000002^`NP0000000@0[l;X0`000002
0:k2j0030000002]`NP0[L7X00<000000`2[_NL01@000000Z[cW0000002Y^nH0000000@0ZK_V00D0
00000:VkiP000000Z[cV000000040:Zli`<0000000<0ZkkW0000003oool00P3oool00`000000oooo
0?ooo`1d0?ooo`00Z@3oool2000000@0oooo0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y
_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX00H000000:Vmj0000000
00000:Vmj00000030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vlj0030000002X_>P0Z;cX00<000000`2X_>L0
0`000000Z;_W0:Rki`03000000<0Yk[W00<000000:Jii`2V^NL00`0000020:FhiP030000002T]^H0
Y;KV00@0000000<0X[CU0000002Q/nD00`2Q/nD00`000000XK;T0:6bi00300000080X;3S00<00000
0:2`h`2P/><00P2P/><00`000000XK3S0000000300000080Xk?T00<000000:Fei02U]N@010000002
0:VjiP030000002[_NH0ZkgV00@000000P2^`NP01P000000[l;X000000000000[l?X000000<0[/;X
0`0000020:boi`030000002[_NL0ZkgW00<000000`2Y^nH00`000000ZK_V0:VkiP03000000<0Z[cV
00H000000:Zli`00000000000:^mi`0000030:^ni`050000003oool0oooo0?ooo`000000M@3oool0
0:H0oooo0`0000050?ooo`030000002Y_NP0000000<0ZKgX00H000000:Vmj000000000000:Vmj000
00030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP00000
0000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vlj02Y_>P0100000020:Rlj0030000002X
_>L0Z;cW00@000000P2W^nL00`000000Yk[W0:Nji`04000000030:Fii`000000YKSV0080YKSV0`00
00020:>ei@050000002R]>D0X[CU0::di@0000000P2Q/nD4000000030:2`i0000000X;3S00<0X;3S
00<000000:2`h`2P/><00`0000020:6ah`040000002S/n@0Xk?T0:>ci0<000000P2W]nD010000000
ZK[V0:VjiP2Y^^H300000080[KoW0P000000102^`NP000000000000000040:o3j0<0000000<0[L7X
0000002/_nL00P2/_nL300000080Z[cV00<000000:VkiP2Y^nH0100000020:VkiP030000002Z_>H0
Z[cV00<00000102[_NL00`000000ZkkW0000000200000080oooo00<000000?ooo`3oool0L`3oool0
0:<0oooo0`0000050?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vm
j0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP3000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0060000002Y_NP000000000002Y
_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vm
j0050000002Y_NP000000:Vmj00000000`2Y_NP300000080Z;cX00@000000:Rlj02X_>P0Z;cX0`00
00020:Rki`040000002W^nL0Yk_W0:Nki`<000000P2V^NL02@000000YKWW0:Fii`2U^NL000000:Fh
iP000000Y;KV000000040:>ei@030000002R]>D0X[CU00<000000P2P/N@01@000000X;3T0:2`i02P
/>@000000080X;3S100000000`2P/><000000:6ah`030:6ah`050000002S/n@000000:Fdi0000000
102W]nD01@000000ZK[V0000002[_NH0000000<0[KoW0`0000030:o2j0030000002_`nP0[l?X0080
0000102]`NP01@000000[;oW0000002[_NL0000000<0Z[cV0`0000020:VkiP040000002Y^nH0ZK_V
0:VkiP<000000`2[_NL00`000000ZkgW0:^mi`0300000080ZkkW00D000000?ooo`3oool0oooo0000
001d0?ooo`00X@3oool200000080oooo00<000000?ooo`3oool00`0000030:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y
_NP00P0000040:Vmj0030000002Y_NP0ZKgX00800000102Y_NP3000000030:Vmj0000000ZKgX0080
ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@00
0000ZKgX0000002Y_>P0000000@0Z;cX00D000000:Rlj0000000Z;cW000000040:Rki`050000002W
^nL000000:Nji`000000102V^NL00`000000YKWW00000002000000<0Y;KV00<000000:>ei@2S]ND0
100000000`2Q/^@000000:2ai0030:2ai0030000002P/>@0X;3T00<000000P2O[n<01@000000X;3S
0:2`h`2P/><000000080XK7S0`0000030:Fdi0030000002W]nD0YkOU00<000000`2[_NH01@000000
[KoW0000002^`^P0000000@0[l;X0`0000020:k2j0030000002]`NP0[L7X00<000000`2[_NL01@00
0000Z[cV0000002Y^nH0000000@0ZK_V00D000000:VkiP000000Z[cV000000040:^mi`<000000P2[
_^L00`000000ZkkW0:^ni`02000000<0oooo00<000000?ooo`3oool0L@3oool009h0oooo0`000004
0?ooo`<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D00000
0:Vmj0000000ZKgX000000030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vm
j002000000@0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj000
00000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKcX00<000000:Rlj02X_>P00`0000030:Rli`03
0000002X^nL0Z;_W00<000000`2W^^L00`000000Y[WW0:Jii`03000000<0YKOV00<000000:BfiP2T
]^H00`0000020::ci@050000002Q/^@0XK;T0:6bi00000000P2P/N@40000000309n_h`000000WjoS
00<0WjoS00<000000:2`h`0000000`0000020:>bh`030000002U]>@0YKCT00@000000P2Y^^H00`00
0000ZkgV0:^miP0300000080[/;X0P0000001@2_`^P000000000002_`nP000000080[/;X10000002
0:boi`030000002[_NL0ZkgW00<000000`2Y^nH00`000000ZK_V0:VkiP03000000<0Z[cV00H00000
0:^mi`00000000000:^mi`0000030:^ni`<000000P2[_^L010000000oooo0?ooo`00001c0?ooo`00
W03oool2000000H0oooo00<000000:Vmj00000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP300000003
0:Vmj0000000ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<0
00000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vmj0030:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vlj02Y_>P00`0000030:Rl
j0030000002X_>L0Z;cW00<000000P2W^nL00`000000Yk[W0:Nji`0400000080YKSW00<000000:Fg
iP2U]nH0100000000`2S]ND000000::ci@030::ci@030000002Q/^@0000000<000000P2O/><01@00
0000WjoS09n_h`2O[n<000000080WjoS0`0000030:6`h`030000002S/^<0Xk;S00<000000P2W]nD0
10000000ZK[V0:VjiP2Y^^H3000000<0[L3W00<000000:k2j00000000P0000030:o3j0<000000`2]
`>P00`000000[;oW0:boi`0300000080Z[_V00<000000:VkiP2Y^nH0100000020:VkiP030000002Z
_>H0Z[cV00<00000102[_NL3000000030:bni`000000ZkkW0080ZkkW0P0000020?ooo`030000003o
ool0oooo0700oooo002I0?ooo`<000001@3oool3000000<0ZKgX00<000000:Vmj00000000P2Y_NP0
10000000ZKgX0:Vmj02Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P00
00030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP01@000000ZKgX0000002Y_NP00000
00@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj0030000
00<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P00
0000ZKgX000000000000ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080Z;cX00<000000:Rlj02X_>P0100000020:Rki`03
0000002W^nL0Yk_W00<000000`2V^NL00`000000YKSW0:Fhi`0300000080Y;KV00D000000:>ei@2S
]ND0XkGU000000020::ci@<000000P2P/N@00`000000Wk3S09n`h`0209n`h`030000002O[n<00000
00<000000P2P[n<00`000000XK3S0:6`h`04000000030:Bdi0000000YkOU00<0YkOU00D000000:Vj
iP000000ZkgV000000040:g0i`<000000P2_`nP01@000000[l?X0000002^`^P0000000@0[L3X0`00
00020:^mi`030000002Z^nH0Z[_V00<000000`2Y^nH00`000000ZK_V0:VkiP03000000<0ZkgW00<0
00000:^mi`2[_NL00P0000040:bni`<0000000D0ZkkW0000003oool0oooo0000001b0?ooo`00U`3o
ool2000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000
002Y_NP0000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00800000102Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj000
00030:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0
100000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX
00<000000:Vmj02Y_NP00P0000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP300000080ZKcX
00@000000:Rlj02X_>P0Z;cX0`0000020:Rli`040000002X^nL0Z;_W0:Rki`<0000000<0Yk[W0000
002V^NL00`2V^NL3000000030:BgiP000000Y;KV00<0Y;KV00<000000:>ei@0000000`0000000`2Q
/^@000000:2ai0030:2ai0030000002O/><0Wk3S00<000000`2O[n<00`000000X:oS0:2_h`030000
0080X[;S00D000000:Bdi02T]>@0Y;CT000000020:Ngi@<000000`2[_NH01`000000[L3W00000000
0000[l;X0000002_`nP0100000030:k2j0060000002]`>P000000000002/_^L000000`2[_NL30000
00030:VkiP000000ZK_V00<0ZK_V0`0000020:ZliP030000002[_NL0ZkgW00@000000P2/_^L00`00
0000[;kW0:bni`02000000@0ZkkW00@000000?ooo`3oool00000L@3oool006/0oooo0`00000V0?oo
o`<00000103oool300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX00000003
0:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP3000000<0
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vm
j0000000102Y_>P01@000000Z;cX0000002X_>P0000000@0Z;cW0`0000000`2W^nL000000:Nji`02
0:Nji`060000002V^NL000000000002U^>L000000`2T]nH00`000000Y;KV0:BfiP03000000<0X[?U
00@000000:6bi02Q/^@000000P2P/N@400000080WjoS00<0000009n_h`2O[n<0100000000`2Q/><0
00000::bh`030::bh`030000002T]>@0Y;CT00<000000P2Y^^H00`000000ZkgV0:^miP03000000<0
[l;X0`0000020:o3j0030000002^`^P0[/;X00<00000102/_^L3000000030:VkiP000000ZK_V0080
ZK_V00H000000:VkiP00000000000:ZkiP0000030:ZliP<000000P2[_^L00`000000[;kW0:bni`04
00000080[;kW00<000000:^ni`2[_^L00`0000000`3oool000000000001`0?ooo`00K03oool00`00
0000oooo0?ooo`0S0?ooo`80000000@0oooo0000003oool0oooo0`0000000`2Y_NP000000:Vmj002
0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX000000020:Vmj0090000002Y_NP0
ZKgX0:Vmj0000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj003
0000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y
_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKcX0:Vlj0030000
00<0Z;cX00<000000:Rli`2X_>L00P0000040:Nki`030000002W^^L0Yk[W00800000102U^>L00`00
0000Y;OV0000000300000080XkCU00<000000::ci@2R/nD01`00000309n_h`030000002O[n<0WjoS
00<000000P2O[n801@000000XK3S0:6`h`2Q/><000000080X[;S100000020:Ngi@030000002Y^^H0
ZK[V00<000000`2^`>L010000000[l;X0000002``nP200000080[l?X0`0000030:g0j0030000002/
_^L0[;kW00800000102Y^nH00`000000ZK_V0:VkiP02000000@0Z[_V0`0000000`2[_NL000000:^n
i`020:^ni`<000000P2/_^L00`000000[;kW0:bni`0400000080ZkgW0P0000000`3oool000000?oo
o`1_0?ooo`00I03oool5000000<0oooo00<000000?ooo`3oool0803oool3000000@0oooo0P000000
0`2Y_NP000000:Vmj0020:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<0
00000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX0000
00000000ZKgX000000<0ZKgX0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX0080
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2X_>P00`000000Z;cX0:Rlj00400000080Z;_W
00<000000:Nki`2W^nL0100000020:Jii`030000002U^>L0YKSW00<000000`2S]^H00`000000XkCU
0:>di@0300000080X;7T00D0000009n`i02O/>@0Wk3T0000000209n_h`@0000000<0WjkR0000002O
[n800`2O[n800`000000XK3S0000000300000080Y;CT00@000000:Ngi@2W]nD0YkOU0`0000020:bm
iP030000002^`>L0[/3W00<000000`2``nP00`000000[l?X000000020:o2j0030000002]`>P0[L3X
00@000000P2[_>H00`000000ZK_V0:VkiP0400000080ZK[V00<000000:ZkiP2Z^nH00P0000040:^m
i`050000002[_^L000000:bni`0000000`2/_^L300000080ZkkW00@000000:^mi`2[_NL0ZkgW0P00
00020?ooo`030000003oool0oooo06d0oooo001/0?ooo`030000003oool0oooo01h0oooo0P000005
0?ooo`<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX0000
00030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`00
0000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0<0000000<0ZKgX0000
002Y_NP00P2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0
ZKgX00@000000P2Y_>P00`000000Z;cX0:Rlj003000000<0Z;cW00<000000:Rki`2X^nL00`000002
0:Nji`030000002V^NL0Y[WW00@0000000<0Y;OV0000002S]^H00`2S]^H3000000030:6ci@000000
X;7T00<0X;7T00<0000009n`i02O/>@00`00000209j^hP050000002O[^80WjkR09n^hP0000000P2O
[n8300000080X[7S00<000000:Bdi02T]>@00P2T]>@3000000030:Vji@000000[;gV0080[;gV0`00
00020:o2j0030000002``nP0/<?X00<000000`2_`^P300000080[;kW00@000000:^liP2[_>H0ZkcV
0`0000020:VjiP030000002Y^^H0ZK[V00@000000P2[_>H00`000000ZkgW0:^mi`03000000<0[;kW
00D000000:bni`000000[;kW000000040:^ni`050000002[_NL000000:^mi`0000000`3oool00`00
0000oooo0?ooo`1/0?ooo`00K03oool00`000000oooo0?ooo`0K0?ooo`<00000103oool3000000<0
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vmj0020:Vmj0<000000`2Y_NP00`00
0000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX00000003
0:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D00000
0:Vmj0000000ZKgX000000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP3000000<0ZKgX00<0
00000:Vlj02Y_>P00`0000020:Rlj0030000002X_>L0Z;cW00@000000P2W^nL00`000000Yk[W0:Nj
i`0300000080YKSV00H000000:BgiP2T]nH0Y;OV0000002S]^H2000000030::di@000000XK?U0080
XK?U00<000000:2ai02P/N@0100000000`2O[n<0000009j^hP0309j^hP030000002O[^80000000<0
000000<0X:oR0000002R/N<00`2R/N<00`000000Y;CT0:Bdi002000000@0ZK[U00D000000:bmiP00
0000[/3W000000030:o2j0<0000000P0/<?X0000002``nP000000:o2j0000000[L3W000000@0[;kW
0`0000000`2Y^nH000000:VjiP020:VjiP<000000P2Z^nH010000000ZkcV0:^liP2[_>H300000080
[;kW00<000000:bni`2/_^L00`0000030:bni`030000002[_^L0ZkkW00<000000`2[_NL010000000
oooo0?ooo`00001^0?ooo`00J`3oool2000001X0oooo0`0000040?ooo`<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX0080
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00<000000:Vmj00000000P2Y_NP0
10000000ZKgX0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00
00030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX
0000002Y_NP0000000@0ZKgX0`0000000`2X_>P000000:Rlj0020:Rlj0<000000P2X^nL010000000
Yk_W0:Nki`2W^nL3000000030:Jii`000000YKSV00<0YKSV00<000000:BgiP2T]nH00P0000040::d
i@030000002Q/nD0000000<000000P2O/><01@000000WjoS09n_h`2O[n<000000080WZkR0`000002
09n^hP050000002P[n80X:oR0:2_hP0000000P2R/N<400000080YkOT00<000000:Vji@2Y^^D00`00
00030:k0i`030000002_`^P000000080/<?X00<000000;33j00000000`0000030:g0i`030000002/
_^L0[;kW00800000102Y^nH01@000000ZK[V0000002Y^^H0000000@0Z[_V0`0000000`2[_NL00000
0:bni`020:bni`<000000P2/_^L00`000000[;kW0:bni`0400000080ZkgW00<000000:^mi`2[_NL0
0`0000020?ooo`030000003oool0oooo06/0oooo001/0?ooo`030000003oool0oooo01H0oooo0P00
00060?ooo`030000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y
_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vmj0040000
002Y_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX
000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX
0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000000000000:Vlj00000030:Rl
j0050000002X_>P000000:Rli`000000102X^nL01@000000Yk_W0000002W^^L0000000<0Y[WW00<0
00000:FhiP2U^>H0100000020:>fiP030000002R]>D0X[CU00<000000P2P/N@00`000000Wk3S09n`
h`0209n`h`030000002O[n<0000000<0000000<0WZgR0000002O[^800`2O[^800`000000X:oR0:2_
hP0300000080Y;?S00<000000:Ngi02W]n@0100000020:bniP030000002^`>L0[/3W00<000000`2`
`nP300000080[l;X00<000000:g0i`2]`>L0100000020:ZliP030000002Y^nH0ZK_V00<000000`2Y
^^H00`000000Z[_V0:ZkiP02000000@0ZkgW00D000000:bni`000000[;kW000000030:bni`<00000
0`2[_NL00`000000ZkgW0:^mi`0300000080ZkgW00D000000?ooo`3oool0oooo0000001/0?ooo`00
PP3oool4000000@0oooo0`0000030:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000`2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0
ZKgX00800000102Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX0000
00030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKcX00<0
00000:Rlj00000000P0000030:Rli`030000002X^nL0Z;_W00<000000`2W^^L00`000000Y[WW0:Ji
i`03000000<0Y;OV00<000000:>fiP2S]^H00`0000000`2Q/^@000000:2ai0030:2ai0030000002O
/><0Wk3S00<000000P2N[N801@000000WZgR09j]hP2N[N8000000080WjkR100000000`2R/N<00000
0:Bch`020:Bch`<000000P2Z^^D010000000[;kV0:bniP2/_^H300000080/<?X00D000000;33j000
000000000;33j00200000080[l;X0`0000020:bmi`030000002Z_>H0Z[cV00@000000P2Y^^D00`00
0000ZK[V0:VjiP0400000080ZkcV00<000000:^mi`2[_NL00`0000030:bni`050000002/_^L00000
0:bni`000000102[_NL300000080ZkgW00<000000:^mi`2[_NL00P0000020?ooo`030000003oool0
oooo06X0oooo00200?ooo`800000103oool4000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vm
j0050000002Y_NP000000:Vmj00000000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<0
00000:Vmj02Y_NP00P0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000
002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000000`2Y_NP000000:Vmj0020:Vmj0<0
00000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj003
0000002Y_>P0ZKcX00<000000`2X_>P00`000000Z;cW0:Rli`0300000080Yk_W00<000000:Nji`2W
^^L0100000020:FhiP030000002T]nH0Y;OV00@0000000<0X[CU0000002Q/^@00P2Q/^@00`000000
X;7T0:2ai0040000000309j^h`000000WZgR00<0WZgR00<0000009j]hP2N[N800`0000020:2_hP09
0000002R/N<0X[7S0::ah`000000Y;?S0000002W]n@0000000@0Z[[U00<000000:bniP0000000P2^
`NL00`000000/<?X0;33j002000000@0/<?X00D000000:o2j0000000[KoW000000030:bmi`<00000
0`2Y^^D00`000000ZK[U0:Vji@0300000080Z[_V00<000000:^liP2[_>H0100000020:bni`030000
002/_^L0[;kW00<000000`2/_^L01P000000ZkgW000000000000ZkgW000000<0ZkgW0`0000020:^m
i`040000003oool0oooo000006/0oooo001m0?ooo`<00000103oool3000000<0ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0
000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<0
000000<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00H000000:Vmj000
000000000:Vmj00000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2X_>P00`000000Z;cX0:Rl
j00400000080Z;_W00<000000:Nki`2W^nL00`0000030:Jii`030000002U^>H0YKSV00<000000P2S
]^H01@000000X[CU0::di@2R]>D000000080XK;T0`00000209n_h`050000002N[^<0WZkS09j^h`00
00000P2N[N840000000309j]hP000000X:oR00<0X:oR00<000000::ah`0000000P0000030:Ngi003
0000002Z^^D0Z[[U00<000000`2^`NL300000080/<CX00<000000;33j02``nP00`0000030:foi`05
0000002/_NL000000:ZkiP000000102Y^^D3000000030:Vji@000000Z[_V0080Z[_V0`0000030:bn
i`030000002/_^L0[;kW00<000000P2/_^L00`000000[;kW0:bni`03000000@0ZkgW0`0000000`2[
_NL000000:^mi`020:^mi`8000000P3oool00`000000oooo0?ooo`1X0?ooo`00N`3oool2000000@0
oooo0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000
ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP00`000000ZKgX00000002000000<0ZKgX
00H000000:Vmj000000000000:Vmj00000030:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP30000
00<0ZKcX00<000000:Rlj02X_>P00`0000020:Rli`030000002X^nL0Z;_W00@000000P2W^^L00`00
0000Y[WW0:Jii`04000000030:BgiP000000XkKV00<0XkKV00<000000::di@0000000`0000000`2P
/>@0000009n_h`0309n_h`030000002N[^<0WZkS00<000000P2N[N801@000000WZgR09j]hP2N[N80
00000080X:oR0`0000030:Bch`030000002W]n@0YkOT00<000000P2]_^H01P000000[/7W00000000
0000/<?X000000<0/<CX0`0000000`2_`^P00000000000020:foi`<000000`2Z^nH01P000000ZK[U
000000000000ZK[U000000<0ZK[U00D000000:ZkiP000000ZkgV000000040:bni`<000000P2/_^L0
0`000000[;kW0:bni`03000000<0ZkgW00<000000:^mi`2[_NL00P0000040:^mi`<0000000D0ZkkW
0000003oool0oooo0000001Z0?ooo`00N03oool3000000D0oooo00<000000:Vmj00000000`2Y_NP3
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP0
0`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0060000002Y_NP0
00000000002Y_NP000000`2Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0
ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00800000102Y_NP300000003
0:Vmj0000000ZKgX0080ZKgX00D000000:Vmj0000000ZKgX000000040:Vlj0<0000000<0Z;cX0000
002X_>L00P2X_>L300000080Yk_W00@000000:Nji`2W^^L0Yk[W0`0000020:FhiP050000002T]nH0
Y;OV0:BgiP0000000P2S]^H3000000<0XK;T00@000000:2`i02P/>@000000P2O[n<40000000309f]
hP000000WZgR00<0WZgR00<0000009j]hP0000000`0000020::`hP030000002T/n<0Y;?S00@00000
0P2Z^^D00`000000[KkV0:fniP02000000@0/<?X00<000000;34j00000000P2``nP00`000000[l;X
00000003000000<0ZkgV00<000000:ZkiP2Z^nH00P0000040:Vji@030000002Y^^D0000000800000
0`2[_NH01P000000[;kW000000000000[;kW000000<0[;kW0`0000020:bni`030000002[_NL0ZkgW
00@000000P2[_NL00`000000ZkgW0:^mi`02000000@0ZkkW00@000000?ooo`3oool00000J@3oool0
07H0oooo0P0000060?ooo`8000000`2Y_NP00`000000ZKgX000000020:Vmj0040000002Y_NP0ZKgX
0:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D00000
0:Vmj0000000ZKgX000000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080
ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vm
j0000000102Y_NP3000000030:Vmj0000000ZKgX0080ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vm
j0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKcX000000000000Z;cX000000<0Z;cX00D0
00000:Rli`000000Z;_W000000040:Nki`050000002W^^L000000:Jii`000000102U^>H00`000000
Y;OV0000000300000080X[CU00<000000:6bi02Q/^@01`00000209j]hP050000002M[N80WJgR09f]
hP0000000P2N[N8300000080WjkR00@000000::`hP2R/>80X[3R0`0000020:Ngi0040000002Z^^D0
Z[[U0:Zji@<000000P2_`NL00`000000/<?X0;33j003000000<0/<?X0`0000020:foi`030000002[
_NH0ZkgV00@000000P2Y^^D00`000000ZK[U0:Vji@0300000080Z[_V00<000000:^miP2[_NH00`00
00040:bni`<0000000<0[;kW0000002/_^L00P2/_^L300000080ZkgW00<000000:^mi`2[_NL01000
00020:^mi`030000002[_^L0ZkkW0080000000@0oooo0000000000000000J03oool007<0oooo0`00
00040?ooo`@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX
000000030:Vmj0030000002Y_NP000000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y
_NP00P0000030:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP00000
00<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P00
0000ZKgX000000000000ZKgX000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0Z;cX00<000000:Rlj02X_>P0
0P0000030:Rki`030000002W^nL0Yk_W00<000000`2V^NL00`000000YKSV0:FhiP03000000<0XkGV
00<000000::di@2R]>D00`00000209n`h`050000002N[^<0WZkS09j^h`0000000P2N[N8700000003
09j/h@000000WjkR00<0WjkR00D000000::`hP000000Y;?S000000040:Ngi0<0000000<0[KkV0000
002_`NL00P2_`NL300000080/LCX00D000000;33j000000000000:o1j00200000080[KoW0`000002
0:Zji@030000002Y^^D0ZK[U00@000000P2Z^^D00`000000Z[_V0:ZkiP03000000<0[;kW00<00000
0:bni`2/_^L00P0000040:bni`<0000000<0ZkgW0000002[_NL00P2[_NL300000080ZkgW00<00000
0:^mi`2[_NL0100000020:^ni`040000003oool0oooo000006P0oooo001a0?ooo`8000000`3oool4
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000`2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX
000000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX
00<000000:Vmj02Y_NP00P0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Rlj02X_>P0100000020:Rli`030000002X^nL0Z;_W
00<000000P2W^^L00`000000Y[WW0:Jii`0400000080Y;OV00<000000:>eiP2S]NH0100000000`2P
/^@0000009n`h`0309n`h`030000002N[^<0000000<0000000<0WJcQ0000002M[>400`2M[>401000
0000WZcQ09j/h@00000209n^hP<000000`2T/n<00`000000YkOT0:Ngi002000000@0[KkV00<00000
0:o1i`0000000P2aa>P00`000000/LCX0;74j002000000@0[l7X0`0000000`2[_>H000000:Zji@02
0:Zji@<000000P2Y^ND010000000Z[[U0:Zji@2Z^^D300000080[;gV00<000000:bni`2/_^L01000
00020:bni`030000002/_^L0[;kW00800000102[_NL3000000030:^mi`000000ZkgW0080ZkgW0`00
00020:bni`030000002[_^L0ZkkW00<000000P3oool00`000000oooo0?ooo`1U0?ooo`00KP3oool3
000000<0oooo100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
1@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y
_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00D000000:Vmj000
0000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj0020000
00@0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2X
_>P00`000000Z;cW0:Rli`0400000080Yk_W00<000000:Nji`2W^^L00`0000030:FhiP030000002T
]nH0Y;OV00<000000P2R/nD01@000000X;;T0:2bi02P/^@000000080Wk3S0`00000209f]hP050000
002M[>40WJcQ09f/h@0000000P2M[>4700000080XK3R00<000000:Bch`2T/n<0100000020:Zki@03
0000002]_^H0[KkV00<000000`2aa>P300000080/<?X00<000000:o1j02_`NP00`0000030:^liP05
0000002Z^^D000000:Vii@000000102Y^ND3000000030:^liP000000[;gV0080[;gV0`0000020:fn
i`030000002/_^L0[;kW00@000000P2/_^L00`000000ZkgW0:^mi`02000000@0ZkgW00D000000:^m
i`000000[;kW000000030:bni`<000000P2/_^L01@000000oooo0?ooo`3oool0000006H0oooo001[
0?ooo`<000001@3oool00`000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<00000
00<0ZKgX0000002Y_NP00`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0P0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vm
j02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3
000000030:Vmj0000000ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2X_>P0
0`000000Z;cX0:Rlj003000000<0Z;_W00<000000:Nki`2W^nL00`0000020:Jii`030000002U^>H0
YKSV00@0000000<0XkGU0000002R/nD00`2R/nD00`000000X;;T000000030000000309j^h`000000
WJgR00<0WJgR00<0000009f/h@2M[>400`00000209f/h@050000002O[N40WjgQ09n]h@0000000P2Q
/>83000000<0YkOT00<000000:Zki@2Z^nD00`0000020;32i`060000002aa>P000000000002aa>P0
00000P2``nP400000080[KkW00<000000:^liP2[_>H00`0000030:Vii@030000002Y^ND0ZKWU0080
0000102[_>H01@000000[;gV0000002/_^L0000000<0[KkW0`0000020:bni`030000002/_^L0[;kW
00@000000P2[_NH00`000000ZkgW0:^mi`03000000<0[;kW00D000000:bni`000000[;kW00000003
0:bni`8000000P3oool00`000000oooo0?ooo`1T0?ooo`00J@3oool2000000H0oooo0P0000030:Vm
j0060000002Y_NP000000000002Y_NP000000`2Y_NP3000000030:Vmj0000000ZKgX00<0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP01P000000ZKgX
000000000000ZKgX000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`00
0000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vmj0040000002Y_NP0
ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_>P010000000Z;cX0:Rlj02X_>P300000080
Z;cW00<000000:Rki`2X^nL0100000000`2V^^L000000:Jii`020:Jii`<000000P2T]nH01@000000
XkGU0:>ei@2S]ND000000080X[?U0`00000209n_h`050000002N[^<0WZkS09j^h`0000000P2M[N84
0000000309f[h@000000WJcQ00<0WJcQ00<0000009n]h@0000000`0000000`2T/^<000000:Ngi003
0:Ngi0<000000P2^_nH00`000000/<;W0;32i`02000000<0/LCX0`0000030:o1i`030000002]_^L0
[KkW00<000000P2Y^^D00`000000ZKWU0:Vii@0400000080Z[[U00<000000:^liP2[_>H00`000003
0:bni`050000002]_^L000000:bni`0000000`2/_^L300000080ZkgV00<000000:^miP2[_NH01000
00020:^mi`030000002/_^L0[;kW00<000000`2/_^L01@000000[;kW0000002/_^L0000000<0oooo
00<000000?ooo`3oool0H`3oool006H0oooo0`0000050?ooo`<000000P2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0060000002Y_NP000000000002Y
_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00<000000:Vmj02Y_NP00P0000040:Vm
j0050000002Y_NP000000:Vmj00000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP01@000000ZKgX0000
002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKcX00D000000:Rlj0000000Z;cX000000030:Rl
i`<000000P2W^nL02@000000Y[[W0:Jji`2V^^L000000:Jii`000000YKSV000000040:BgiP030000
002S]ND0000000<0000000<0X;7T0000002O[n<00`2O[n<00`000000WZkS09j^h`0300000080W:_Q
00D0000009f[h@2MZn40WJ_Q0000000209f/h@<000000P2Q[n401P000000Y;;S0:Bbh`2T/^<00000
0:Ngi080000000<0Zk_U0000002^_nH00P2^_nH300000080/LCX00D000000;74j0000000/<?X0000
00040:o1i`@0000000@0Zk_V0000002Y^^D0ZK[U0`0000020:Vii@030000002Z^^D0Z[[U00@00000
0P2/_NH00`000000[;kW0:bni`03000000<0[;kW00D000000:bni`000000[;gW000000030:^miP<0
00000`2[_NL00`000000ZkgW0:^mi`0300000080[;kW00<000000:bni`2/_^L00`0000030:bni`05
0000003oool0oooo0?ooo`000000I03oool006@0oooo0P0000040?ooo`@000000P2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0030000002Y_NP0ZKgX00<0
00000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX
00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vm
j0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`000000
0`2Y_NP000000:Vmj0020:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj002000000<0ZKgX00<000000:Vlj02Y_>P00`0000030:Rlj0050000002X
_>L000000:Rki`000000102W^nL00`000000Y[[W00000002000000<0YKSV00<000000:BgiP2T]nH0
0`0000020:6ci@050000002P/N@0X;7T0:2ai00000000P2O[n<40000000309f/hP000000W:_Q00<0
W:_Q00<0000009f[h@0000000`0000000`2O[>4000000:6_h@030:6_h@030000002T/^<0Y;;S0080
0000102[^nD3000000040;32i`000000/LCX0;74j0<000000`2``nP02@000000[l7W000000000000
[KkV0000002[^nH000000:^kiP03000000030:Vii@000000ZKWU0080ZKWU0`0000030:^liP030000
002/_NH0[;gV00<000000P2]_nL00`000000[;kW0:bni`03000000<0[;gW00D000000:^miP000000
ZkgV000000040:^mi`<000000P2/_^L00`000000[;kW0:bni`0300000080[;kW00<000000:bni`2/
_^L00`0000020?ooo`030000003oool0oooo0680oooo001Q0?ooo`<0000000<0oooo0000003oool0
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX
0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX0080
00000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX00D000000:Vmj0000000ZKgX0000
00040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP01000
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H0
00000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000
ZKgX0:Vmj00300000080Z;cX00<000000:Rlj02X_>P00`0000030:Rki`030000002W^nL0Yk_W00<0
00000`2V^NL00`000000YKSV0:FhiP0300000080XkGU00D000000:6ci@2Q/nD0XK?U000000020:2a
i0<000000P2M[N801@000000WJcR09f/hP2M[>8000000080W:_Q0`00000209f[h0050000002O[>40
WjcQ09n/h@0000000P2Q[n4400000080YkOT00<000000:^ki@2[^nD00P0000030;32i`<000000`2a
aNP00`000000/<?X0;33j002000000@0[KkV0`0000000`2Y^ND000000:Vii@020:Vii@050000002Y
^ND000000:Zji@000000102[_>H300000080[KkW00<000000:foi`2]_nL00`0000020:bni`030000
002/_NL0[;gW00<000000`2[_NH01P000000ZkgW000000000000[;gW000000<0[;kW0`0000020:bn
i`030000002/_^L0[;kW00<000000P2/_^L01@000000oooo0?ooo`3oool0000006<0oooo001O0?oo
o`8000001@3oool010000000ZKgX0:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP0
0`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00<000000:Vmj02Y_NP0
0P0000030:Vmj0060000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP30000
00030:Vmj0000000ZKgX00<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Rlj02X_>P00`0000030:Rli`030000002X^nL0Z;_W
00<000000P2V^^L00`000000Y[WW0:Jii`0400000080Y;KV00<000000:>ei@2S]ND01`00000209j_
h`060000002M[N80WJgR09f]hP000000WJcR100000000`2LZ^00000009f[h00309f[h0030000002O
[>40WjcQ00<000000P2T/^8010000000YkOT0:Ngi02W]n@300000080[[oV00D000000;32i`000000
//GX000000040;75j0<000000P2_`NL00`000000[KkV0:fniP03000000<0ZKWU00<000000:Vii@00
00000P0000030:Zji@060000002[_>H000000000002/_^H000000`2]_^L300000080[KkW00<00000
0:bni`2/_^L00`0000030:bmiP030000002[_NH0ZkgV00800000102/_NL3000000030:bni`000000
[;kW0080[;kW0`0000020:bni`030000002/_^L0[;kW008000000`3oool00`000000oooo0?ooo`1P
0?ooo`00G03oool3000000D0oooo0`0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP3
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP0
00000:Vmj00000000`2Y_NP300000080ZKgX00@000000:Vmj02Y_NP0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
100000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000
ZKgX0000002Y_NP0000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Rlj0030000002X
_>L0Z;cW00@000000P2W^nL00`000000Y[[W0:Jji`0300000080YKSV00<000000:BfiP2T]^H01000
00000`2Q/^D000000:2ai0020:2ai0030000002N[n<0WZoS00L000000P2LZ^401@000000W:[P09bZ
h02LZ^0000000080WJ_P100000000`2Q[^4000000:BbhP030:BbhP<0000000@0Zk_U0000002^_nH0
[[oV0`0000030;;5j0060000002aaNP000000000002``nP000000P2_`NL400000080Z[_U00<00000
0:Vii@2Y^ND00`0000030:Vii@030000002Z^^D0Z[[U00800000102/_^H3000000030:foi`000000
[KkW0080[KkW0`0000020:bmiP030000002/_NH0[;gV00@000000P2/_NH00`000000[;gW0:bmi`02
000000@0[;kW0`0000000`2/_^L000000:bni`020:bni`<000000P2/_^L010000000oooo0?ooo`00
001R0?ooo`00FP3oool2000000D0oooo0`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP0
1@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y
_NP0ZKgX008000000`2Y_NP00`000000ZKgX000000020:Vmj0090000002Y_NP0ZKgX0:Vmj0000000
ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D00000
0:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080Z;cX00<0
00000:Rlj02X_>P00`0000020:Rki`030000002W^nL0Yk_W00@000000P2V^NL00`000000YKSV0:Fh
iP0300000080X[CU00D000000:6bi@2Q/^D0XK;U000000020:2ai0<000000P2M[>801@000000W:_Q
09b[h@2LZn40000000<0W:[Q00<0000009bZh02LZ^000`00000209j[h0050000002Q[^40XJkQ0:6^
h@0000000P2T/^82000000<0Zk_U0`0000030;73i`030000002baNP0//GX008000000`2``nP30000
0080[;gV00<000000:Zki@2Z^nD0100000020:Vhi0030000002Y^ND0ZKWU00@000000P2/_>H00`00
0000[;kV0:bniP02000000@0[KoW0`0000000`2/_^H000000:bmiP020:bmiP<000000P2/_NH00`00
0000[;gV0:bmiP0400000080[;kW00<000000:bni`2/_^L00P0000040:bni`<0000000<0[;kW0000
002/_^L00P2/_^L500000640oooo001G0?ooo`<00000103oool300000080ZKgX00<000000:Vmj02Y
_NP0100000020:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX
000000<0ZKgX0`0000000`2Y_NP000000:Vmj0030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP0
0`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX
000000040:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP0
100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP300000080
ZKcX00@000000:Rlj02X_>P0Z;cX0`0000020:Rli`030000002X^nL0Z;_W00<000000P2V^^L01000
0000Y[WW0:Jii`2V^NL3000000030:BfiP000000X[CU00<0X[CU00<000000:6bi@2Q/^D00`000000
0`2N[^<0000009f/hP0309f/hP030000002LZn40W:_Q00L0000000<0W:WP0000002NZn000`2NZn00
0`000000XJkQ0000000300000080Z;KS00D000000:^ki@000000[l3V000000040;73i`<000000P2b
aNP01@000000/<?X0000002^`>L0000000<0[;gV0`0000000`2Y^>@00000000000030:Vhi0<00000
0P2[^nD00`000000[;cV0:bliP0400000080[KoW00<000000:foi`2]_nL00P0000040:bniP<00000
00<0[;gV0000002/_NH00P2/_NH300000080[;kW00<000000:bni`2/_^L0100000020:bni`030000
002/_^L0[;kW00800000102/_^L3000000050:bni`000000oooo0?ooo`000000H@3oool005D0oooo
0P0000040?ooo`<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0
ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP0
0`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj0000000
00000:Vmj00000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP3000000<0ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y
_>P3000000030:Rlj0000000Z;cW0080Z;cW0`0000000`2W^nL000000:Jji`030:Jji`050000002V
^NL000000:FhiP0000000`2T]^H00`000000X[CU0::di@040000000309n`i0000000WZkS0080WZkS
00<0000009f/hP2M[>80100000000`2KZN00000009^Yg`0209^Yg`050000002LZN00W:WP09bYh000
00000P2NZn0300000080Y;;R00<000000:Rfh`2X]^<00`0000030:o0iP060000002a`nL000000000
002baNP000000P2baNP3000000<0[/3W00D000000:bmiP000000Z[[U000000020:Vhi0070000002Y
^>@000000:Vhi0000000Z[WT000000030:^ki@<000000P2]_^H00`000000[KoW0:foi`0400000080
[KkW00<000000:bniP2/_^H00P0000040:bmiP050000002/_NH000000:bmiP0000000`2/_^L30000
0080[;kW00<000000:bni`2/_^L0100000020:bni`030000002/_^L0[;kW00800000102/_^L01000
0000oooo0?ooo`00001P0?ooo`00DP3oool3000000030?ooo`000000oooo00<0000000<0ZKgX0000
002Y_NP00P2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0050000002Y_NP000000:Vmj00000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0030000002Y_NP0ZKgX008000000`2Y
_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX008000000`2Y_NP00`000000ZKcX0:Vlj002000000@0Z;cX00D000000:Rli`000000
Z;_W000000030:Nki`030000002V^^L0Y[[W00<000000`2U^>H00`000000Y;KV0:BfiP0300000080
XK;T00D0000009n`i02O/>@0Wk3T0000000209j^h`<000000P2KZ^401@000000VjWP09^Yh02KZN00
000000<0VjWO00<0000009bYh00000000`0000020:6^h@030000002T/^80Y;;R00<000000`2/^nD0
0`000000[l3V0:o0iP02000000<0//GX0`0000020;73j0030000002^`>L0[/3W00<000000`2Z^^D0
0`000000ZKST00000003000000<0Z[WT00D000000:^ki@000000[;gV000000030:fniP<000000P2]
_nL00`000000[KkW0:fni`0400000080[;gV00<000000:bmiP2/_NH00`0000030:bmiP050000002/
_^L000000:bni`0000000`2/_^L300000080[;kW00<000000:bni`2/_^L0100000020:bni`030000
002/_^L0[;kW008000000`3oool00`000000oooo0?ooo`1M0?ooo`00C`3oool3000000D0oooo00<0
00000:Zmj00000000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y_NP0000000@0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000
ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP0
0`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080Z;cX
00<000000:Rlj02X_>P00`0000030:Rki`030000002W^nL0Yk_W00<000000P2V^NL00`000000YKSV
0:FhiP04000000030::di@000000XK;T00<0XK;T00<0000009n`i00000000`0000000`2L[>800000
09^Zh@0309^Zh@030000002KZN00000000H000000P2NZ]l010000000XJkQ0:6^h@2Q[^4300000003
0:Rfh`000000[;_U00<0[;_U0`0000020;;4i`030000002baNP000000080//GX00<000000;73j02a
`nP00`0000030:bli@030000002Z^^D0Z[[U00<000000P2Y^>@00`000000Z[WT0:Zii003000000<0
[;gV00D000000:fniP000000[[oW000000030:foi`<000000P2/_NH00`000000[;gV0:bmiP040000
0080[;gV00<000000:bmiP2/_NH00`0000030:bni`050000002/_^L000000:bni`0000000`2/_^L3
00000080[;kW00<000000:bni`2/_^L0100000020:bni`040000003oool0oooo000000d0oooo0P00
001@0?ooo`00C@3oool2000000D0oooo0`0000030:Zmj0030000002Y_NP0ZKgX008000000`2Y_NP0
1P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000
002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX000000020:Vm
j0090000002Y_NP0ZKgX0:Vmj0000000ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP0100000020:Vlj0030000002X_>P0Z;cX00<000000P2X_>P00`000000
Z;_W0:Rki`0400000080Y[[W00<000000:Jii`2V^NL00`0000030:>fiP040000002R]>D0X[CU0000
0080XK;T0`00000209f]h`050000002L[>80W:cR09b/hP0000000P2KZ^4300000080VjOO00D00000
09bXg`2LZ=l0W:SO0000000309jZg`050000002Q[^4000000:BahP0000000`2X]^<01P000000[;_U
000000000000/<3V00000080//CW0`0000030;;5j0<000000P2^_nH00`000000[;cU0:bli@040000
0080ZKST00<000000:Vhi02Y^>@00`0000020:^ki@030000002/_NH0[;gV00<000000`2^_nL01@00
0000[KoW0000002]_^H0000000<0[;gV0`0000030:bmiP030000002/_NH0[;gV00<000000P2/_^L0
0`000000[;kW0:bni`03000000<0[;kW00D000000:bni`000000[;kW000000030:bni`<000000P2/
_^L00`000000[;kW0:bni`0300000080oooo00<000000?ooo`3oool02@3oool010000000oooo0?oo
o`00001?0?ooo`00BP3oool3000000@0oooo0`0000030:Zmi`030000002Z_NP0Z[gX00<000000P2Z
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<00000
0`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000
ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y
_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000@0
ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP00000
0:Vmj00000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKcX0:Vlj00300000080Z;cX00<000000:Rlj02X_>P00`000003
0:Nji`030000002V^^L0Y[[W00<000000P2U^>H00`000000XkKV0:>fiP0700000080Wk3S00D00000
09f]h`2M[N<0WJgS0000000209b/hP<0000000<0VZOO0000002KYml00`2KYml00`000000W:SO09bX
g`06000000<0Y;7R00<000000:Rfh`2X]^<00P0000030;30iP<000000P2ca^P01P000000//GX0000
00000000/L?W000000<0[[oV0`0000020:Zii0040000002Y^>@0ZKST0:Vhi0<000000P2Z^N@00`00
0000Zk_U0:^ki@0300000080[KoV00<000000:joi`2^_nL00`0000030:fniP050000002/_NH00000
0:bmiP000000102/_NH300000080[;kV00<000000:bni`2/_^L00`0000020:bni`030000002/_^L0
[;kW00<000000`2/_^L00`000000[;kW000000020:bni`030000002/_^L0[;kW00<000000P2/_^L0
1@000000oooo0?ooo`3oool0000000X0oooo00@000000?ooo`3oool00000C`3oool004P0oooo0P00
00040?ooo`<000000`2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gW00<000000:Zmj02Z_NP00`00
00030:Zmj0030000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX000000020:Vmj0040000002Y
_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP0
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX
00D000000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP010000000ZKgX0:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0060000002Y_NP00000
0000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00P00
00030:Vmj0050000002Y_NP000000:Vmj0000000102Y_NP3000000030:Vmj0000000ZKgX0080ZKgX
0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2X_>P00`000000Z;cX0:Rlj00300000080Z;_W
00<000000:Nji`2W^^L0100000020:Jii`030000002U^>H0YKSV00<000000P2R]>D01@000000XK;T
0:6bi02Q/^@000000080Wk3S1`0000000`2KZN00000009ZWg`0209ZWg`030000002KYml0VjOO00@0
000000<0WJWO0000002P[N000P2P[N000`000000Y;7R0:BahP0400000080[;cU00<000000;30iP00
00000P2ba>L00`000000/lKX0;?6j002000000@0/L?W00D000000:joiP000000Zk_U000000040:Zi
i0D000000`2Z^N@300000080[KgV00<000000:foiP2]_nH00`0000020:foiP030000002]_^H0[KkV
00<000000`2/_NH01P000000[;gV000000000000[;gV000000<0[;kV0`0000020:bni`030000002/
_^L0[;kW00<000000P2/_^L00`000000[;kW0:bni`03000000<0[;kW0`0000020:bni`030000002/
_^L0[;kW008000000P3oool00`000000oooo0?ooo`080?ooo`040000003oool0oooo000004l0oooo
000M0?ooo`D000008`3oool3000000<0oooo0`0000030:Zmi`030000002Z_NL0Z[gW00<000000P2Z
_NL00`000000Z[gW0:Zmi`03000000<0Z[gW00<000000:Zmj02Z_NP00`0000020:Zmj0030000002Y
_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX000000020:Vmj0090000
002Y_NP0ZKgX0:Vmj0000000ZKgX0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX0000
00000000ZKgX000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP00`00
0000Z;cX0:Rlj00400000080Z;cW00<000000:Rki`2X^nL00`0000020:Jji`030000002V^NL0Y[WW
00@0000000<0XkKV0000002R]>D00`2R]>D00`000000XK;T000000030000000309f]hP000000Vj[Q
0080Vj[Q00D0000009^Yh02KZN00VjWP0000000209ZWg`<000000P2KYmh01@000000WJWO09fYg`2M
ZMl000000080X:gP0`0000020:Rfh`030000002/_>D0[;cU00<000000`2ba>L300000080/lGX00<0
00000;73i`2a`nL00`0000030:^ki@030000002Z^N@0Z[WT008000000`2Y^>@4000000030:bli@00
0000[KgV0080[KgV0`0000020:joi`030000002]_nH0[KoV00<000000`2/_NH00`000000[;gV0:bm
iP02000000@0[;gV0`0000000`2]_^L000000:bni`020:bni`<000000P2/_^L00`000000[;kW0:bn
i`0300000080[;kW00H000000:bni`00000000000:bni`0000030:bni`<000000P2/_^L010000000
oooo0?ooo`0000090?ooo`040000003oool0oooo000004l0oooo000N0?ooo`040000003oool0oooo
00000240oooo0P0000020?ooo`040000003oool0oooo00000080Z[cW00@000000:Zmi`2Z_NL0Z[gW
0`0000020:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000Z[gW0:Zmi`0400000080Z[gW
00<000000:Zmj02Z_NP00`0000020:Zmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX
0000002Y_NP0000000<0ZKgX0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX0080
0000102Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vm
j0000000ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002
000000@0ZKgX00<000000:Vmj00000000P0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y
_NP300000080Z;cW00@000000:Rli`2X_>L0Z;cW0`0000000`2W^nL000000:Jji`020:Jji`<00000
0P2T]nH01@000000XkKV0:>fiP2S]^H000000080X[CU0`00000209j_h`050000002M[N80WJgR09f]
hP0000000P2KZ^470000000309ZVgP000000VjON00<0VjON00<0000009fYg`0000000`0000000`2T
/N4000000:Rfh`020:Rfh`<000000`2``NH01@000000//CW0000002da^P0000000<0/lGX0`000002
0:jniP030000002[^nD0Zk_U00@000000P2Y]n<00`000000ZKST0:Vhi002000000@0[;cU0`000000
0`2^_nH000000:joi`020:joi`<000000P2]_^H00`000000[;gV0:bmiP0400000080[;gV00<00000
0:bmiP2/_NH00P0000040:fni`<0000000@0[;kW0000002/_^L0[;kW100000020:bni`030000002/
_^L0[;kW00800000102/_^L3000000030:bni`000000[;kW0080[;kW0P0000020?ooo`030000003o
ool0oooo00H0oooo00@000000?ooo`3oool00000C`3oool001L0oooo1@0000030?ooo`030000003o
ool0oooo01h0oooo0`0000050?ooo`800000102Z_>L01@000000Z[gW0000002Z_>L0000000<0Z[gW
0`0000020:Zmi`030000002Z_NL0Z[gW00<000000`2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gW
00<000000:Zmj02Z_NP00`0000030:Zmj0030000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX
000000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0060000002Y_NP000000000
002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0
ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000003
0:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000
002X_>P0000000@0Z;cW00D000000:Rli`000000Z;_W000000030:Nki`050000002V^^L000000:Fi
i`000000102T]nH00`000000XkKV0:>fiP03000000030:2ai0000000WZoS00<0WZoS00<0000009f]
hP2M[N800`0000000`2JZ>00000009VVg`0209VVg`050000002JY]h0VZKN09ZVgP0000000P2KYmh3
00000080X:cO00T000000:Bah@2T/N40Y;7Q0000002X]^<000000:fli@000000102``NH2000000<0
]<KX00<000000;?5j00000000P2a`^L00`000000[[kV0:jniP0300000080ZKSS00<000000:Vgh`2Y
]n<01@000000102[^N@000000:bli@2/_>D2000000@0[[oV0`0000000`2^_^H000000:fniP020:fn
iP<000000P2/_NH00`000000[;gV0:bmiP0400000080[KkV00<000000:fni`2]_^L00P0000030:bn
i`<000000P2/_^L00`000000[;kW0:bni`0400000080[;kW00<000000:bni`2/_^L00P0000040:bn
i`<0000000D0[;kW0000003oool0oooo000000090?ooo`800000D03oool00200oooo00<000000?oo
o`3oool06`3oool2000000D0oooo0`0000020:^liP030000002Z_>L0Z[cW00<000000`2Z_>L01@00
0000Z[gW0000002Z_>L0000000<0Z[gW0`0000030:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL0
0`000000Z[gW0:Zmi`03000000<0Z[gW00<000000:Zmj02Z_NP00`0000020:Zmj0030000002Y_NP0
ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vmj0030000002Y
_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00
00030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D0
00000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX
00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX
0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00P0000030:Rlj003
0000002X_>L0Z;cW00<000000`2X^nL00`000000Yk_W0:Nki`02000000<0YKWW00<000000:BgiP2T
]nH0100000020::ci@040000002P/N@0X;7T00000080WZoS100000000`2KZ^40000009ZXh00209ZX
h0050000002IY]l0VJKO09VVg`0000000P2JY]h30000000309fXgP000000X:cO00<0X:cO00<00000
0:Bah@2T/N400P0000030:fli@060000002``NH000000000002caNL000000P2da^P3000000<0/L;W
0`0000000`2[^^@000000:Vhh`020:Vhh`<000000P2Y]n<010000000ZkWT0000002[^N@300000080
[[kV00<000000:joiP2^_nH00P0000040:jniP050000002]_^H000000:bmiP0000000`2/_NH30000
0080[;gV00<000000:fniP2]_^H0100000020:fni`050000002/_^L000000:bni`0000000`2/_^L3
00000080[;kW00<000000:bni`2/_^L0100000020:bni`030000002/_^L0[;kW00800000102/_^L0
10000000oooo00000000001J0?ooo`007@3oool01@000000oooo0?ooo`3oool0000001T0oooo0`00
00040?ooo`<000000P2[_>H00`000000ZkcV0:^liP03000000<0ZkcV00<000000:Zli`2Z_>L00P00
00030:Zli`030000002Z_NL000000080Z[cW00@000000:Zmi`2Z_NL0Z[gW0`0000020:Zmi`030000
002Z_NL0Z[gW00<000000P2Z_NL00`000000Z[gW0:Zmi`0400000080Z[gW00<000000:Zmj02Z_NP0
0`0000020:Zmj0030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0
ZKgX0`0000020:Vmj0040000002Y_NP0ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000`2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKcX
00<000000:Rlj02X_>P00`0000020:Rlj0030000002X^nL0Z;_W00@000000P2V^^L00`000000YKWW
0:Fii`0300000080XkGV00<000000::ci@2R/nD01`00000209b/hP050000002KZ^40Vj[Q09^Zh@00
00000P2JZ>070000000309ZVg@000000WJSN0080WJSN00<000000:2/g`2P[=l0100000020:Rfh`03
0000002]_>D0[KcU008000000`2caNL300000080/lGX00H000000;72i`00000000000:fmi@000003
0:^ji0050000002Y^><000000:Vfh`000000102Y]n<300000080[KcU00<000000:jniP2^_^H00`00
00020:joiP030000002^_^H0[[kV00<000000`2/_NH01@000000[;gV0000002/_NH0000000<0[;gV
0`0000020:fni`030000002]_^L0[KkW00<000000`2/_^L01@000000[;kW0000002/_^L0000000<0
[;kW0`0000020:bni`030000002/_^L0[;kW00@000000P2/_^L00`000000[;kW0:bni`0300000080
oooo00<000000?ooo`3oool0E`3oool001d0oooo00D000000?ooo`3oool0oooo0000000G0?ooo`80
0000103oool300000080ZkcV00<000000:^liP2[_>H00`0000030:^liP030000002[_>H0ZkcV00<0
00000P2[_>H00`000000Z[cW0:Zli`02000000@0Z[cW00D000000:Zmi`000000Z[cW000000030:Zm
i`<000000P2Z_NL00`000000Z[gW0:Zmi`03000000<0Z[gW00<000000:Zmi`2Z_NL00`0000020:Zm
i`030000002Z_NP0Z[gX00<000000`2Z_NP00`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vm
j0000000ZKgX000000040:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vm
j003000000<0ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0050000002Y_NP000000:Vmj0000000
102Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000
002Y_NP000000:Vmj00000000`2Y_NP3000000030:Vmj0000000ZKgX0080ZKgX0`0000030:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vlj02Y
_>P00`0000020:Rlj0030000002X_>P0Z;cX00<000000`2W^^L00`000000Y[[W0:Jji`0300000080
Y;OV00<000000:>eiP2S]NH00`0000020:2ai0050000002N[n<0WZoS09j_h`0000000`2L[>800`00
0000Vj[Q000000030000000309RUgP000000VJGM0080VJGM00D0000009ZVg@2JY]d0VZKM00000002
09fXgP<000000P2T/>400`000000Z;KS0:Rfh`0400000080/L;V00<000000;?5i`0000000P2danP0
0`000000/lGX0;?5j002000000@0[KgU00<000000:^ji00000000P0000030:Vfh`030000002Y]n<0
ZKOS00<000000`2]_>D300000080[koV00<000000:joiP2^_nH00`0000020:fmiP030000002/_NH0
[;gV00<000000`2/_NH00`000000[;gV000000020:fniP030000002]_^L0[KkW00<000000P2]_^L0
0`000000[;kW0:bni`03000000<0[;kW00D000000:bni`000000[;kW000000030:bni`<000000P2/
_^L00`000000[;kW0:bni`0400000080[;kW00@000000?ooo`3oool00000F@3oool001h0oooo0`00
000E0?ooo`<000001@3oool00`000000[;_U000000030:^liP<000000`2[_>H00`000000ZkcV0:^l
iP0300000080ZkcV00<000000:^liP2[_>H00`0000020:^liP030000002Z_>L0Z[cW00<000000`2Z
_>L01@000000Z[gW0000002Z_>L0000000<0Z[gW0`0000020:Zmi`040000002Z_NL0Z[gW0:Zmi`<0
00000P2Z_NL00`000000Z[gW0:Zmi`03000000<0Z[gW00<000000:Zmj02Z_NP00`0000020:Zmj003
0000002Y_NP0ZKgX008000000`2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vmj000
0000ZKgX000000030:Vmj0<000000`2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj0020000
00<0ZKgX00H000000:Vmj000000000000:Vmj00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y
_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0050000
002Y_NP000000:Vmj0000000102Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00@000000P2X_>P00`000000Z;cX0:Rlj00300000080Yk_W00<000000:Nji`2W
^^L0100000020:FhiP030000002T]nH0Y;OV00<0000000<0X[?U0000002P/N@00`2P/N@00`000000
WZoS0000000600000080VJKO00D0000009RUgP2HYMh0V:GN0000000309VUg@030000002JY]d00000
00<0000000<0X:_O0000002T/>400P2T/>4300000080[[cT00<000000;72iP2a`^H00`0000030;C7
j0<000000P2``NH00`000000[KgU0:fmi@03000000<0ZKKS00<000000:Vfh`2Y]^<00`0000020:^j
i0060000002]_>D000000000002^_nH000000`2__nH300000080[[kV00<000000:fmiP2]_NH00`00
00020:bmiP030000002/_NH0[;gV00<000000`2]_^H300000080[KkW00<000000:fni`2]_^L00`00
00020:bni`030000002/_^L0[;kW00<000000`2/_^L00`000000[;kW000000020:bni`030000002/
_^L0[;kW00<000000P2/_^L00`000000[;kW0:bni`0300000080oooo00<000000?ooo`3oool0EP3o
ool003<0oooo0`0000030?ooo`030000003oool0oooo008000000`2/^nD00`000000ZkcV00000002
0:bki@040000002[_>H0ZkcV0:^liP<000000P2[_>H00`000000ZkcV0:^liP0300000080ZkcV00<0
00000:^liP2[_>H00`0000030:^liP030000002Z_>L0Z[cW008000000`2Z_>L00`000000Z[gW0000
00020:Zli`090000002Z_NL0Z[gW0:Zmi`000000Z[gW0000002Z_NL0000000<0Z[gW0`0000020:Zm
i`030000002Z_NL0Z[gW00@000000P2Z_NL00`000000Z[gX0:Zmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y_NP0
000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP3
000000030:Vmj0000000ZKgX0080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0
ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00H000000:Vmj000000000000:Vm
j00000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rlj02X_>P0
100000020:Rli`030000002W^nL0Yk_W00<000000P2V^NL00`000000YKSV0:FhiP04000000030:>f
iP000000X[?U0080X[?U00<000000:2ai02P/N@00`00000209b[h@040000002JZ>00VZSP000000@0
VJKO00<0000009RUgP0000001P00000209bWg@090000002PZml0X:_O0:2[g`000000Y;3Q0000002Y
]^80000000<0[[cT0`0000020;C6i`040000002danP0000000000080/lGW00<000000;31iP2``NH0
0`0000020:Zhh`030000002Y]^<0ZKKS00@000000P2Z]n<00`000000Zk[T00000002000000@0[[oV
0`0000000`2^_nH000000:jniP020:jniP<000000P2/_>D00`000000[;gV0:bmiP0300000080[KkV
00H000000:fniP00000000000:foi`0000030:fni`<000000P2]_^L00`000000[;kW0:bni`030000
0080[;kW00<000000:bni`2/_^L00`0000030:bni`<000000P2/_^L00`000000[;kW0:bni`030000
0080[;kW00D000000?ooo`3oool0oooo0000001G0?ooo`00<@3oool2000000H0oooo0`0000020:bk
i0030000002/^nD0[;_U00800000102/^nD01@000000ZkcV0000002/^nD0000000<0ZkcV0`000002
0:^li@030000002[_>H0ZkcV00<000000`2[_>H00`000000ZkcV0:^liP0300000080ZkcV00<00000
0:Zli`2Z_>L00P0000040:Zli`030000002Z_NL0Z[gW008000000`2Z_NL01@000000Z[gW0000002Z
_NL0000000<0Z[gW0`0000030:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000ZKgX0:Vm
j003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX008000000`2Y
_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj0020000
00@0ZKgX0`0000000`2Y_NP000000:Vmj0020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0030000
00<0Z;cX00<000000:Rli`2X_>L00`0000020:Nji`030000002V^NL0Y[WW00<000000P2T^>H01@00
0000XkKV0:>fiP2S]^H000000080X[?U0`0000000`2M[N80000009b[h@0309b[h@040000002JZ>00
VZSP00000080VJKO0`00000209RSg@040000002IY=d0VJCM000000@0W:OM00<000000:2[g`000000
0P0000030:VfhP030000002^_>@000000080//;V00<000000;C6i`2da^L00P0000040;?5i`<00000
0P2]_>@00`000000Z[SS0:Zhh`0300000080ZKKR00<000000:Zgh`2Z]n<01@000000102^_ND00000
0:joiP2^_nH2000000@0[[oV0`000000102]_ND000000:bli@2/_>D400000080[KgV00<000000:fn
iP2]_^H00P0000040:foi`<0000000<0[KkW0000002]_^L00P2]_^L300000080[;kW00<000000:bn
i`2/_^L00`0000020:bni`060000002/_^L000000000002/_^L000000`2/_^L300000080[;kW00<0
00000:bni`2/_^L00P0000020?ooo`030000003oool0oooo05D0oooo000^0?ooo`<000001@3oool3
00000080[K[T00<000000:bki02/^n@00`0000020:bki0030000002/^nD0[;_U00<000000`2/^nD0
1@000000ZkcV0000002/^nD0000000<0ZkcU0`0000030:^li@030000002[_>H0ZkcV00<000000P2[
_>H00`000000ZkcV0:^liP0300000080ZkcV00<000000:Zli`2Z_>L0100000020:Zli`030000002Z
_NL0Z[gW008000000`2Z_NL00`000000Z[gW000000020:Zmi`040000002Z_NL0Z[gW0:Zmi`<00000
0P2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gW00<000000:Vmj02Y_NP0100000020:Vmj0030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj002000000@0ZKgX00D000000:Vmj0000000
ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y
_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00D000000:Vmj0000000ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0040000
0080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP00000
0:Vmj00000000`2Y_NP300000080Z;cX00<000000:Rlj02X_>P0100000020:Nki`030000002W^^L0
Yk[W00<0000000<0YKWW0000002T^>H00`2T^>H00`000000XkKV000000030000000309n`h`000000
WJgR0080WJgR00<0000009b[h@2LZn401`0000000`2HXmd0000009RSg@0309RSg@040000002IY=d0
VJCM00000080W:OM0`0000030:B`h0030000002Y]^80ZKKR008000000`2b`^H300000080]LOW00H0
00000;?5i`00000000000;30iP0000030:fli0<0000000<0ZKGR0000002Y]^800P2Y]^8400000004
0:bki0000000[[gU0:jmi@@000000P2_`>H00`000000[[oV0:joiP02000000<0[KgU0`0000020:fm
i@030000002]_NH0[KgV00@000000P2]_^H00`000000[KoW0:foi`02000000@0[KkW0`000000102]
_^L000000:bni`2/_^L400000080[;kW00<000000:bni`2/_^L00P0000040:bni`<0000000<0[;kW
0000002/_^L00P2/_^L300000080[;kW00@000000?ooo`3oool00000EP3oool002`0oooo0P000007
0?ooo`030000002]^^<0000000<0[K[T0`0000020:fjh`030000002/^n@0[;_T00<000000`2/^n@0
0`000000[;_U0:bki@02000000<0[;_U00<000000:^li@0000000P2/^nD010000000ZkcU0:^li@2[
_>D300000080ZkcU00<000000:^liP2[_>H00`0000020:^liP030000002[_>H0ZkcV00<000000`2[
_>H00`000000Z[cW0:Zli`0300000080Z[cW00<000000:Zmi`2Z_NL00P0000040:Zmi`050000002Z
_NL000000:Zmi`0000000`2Z_NL300000080Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
0`0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP300000080ZKgX00<000000:Vmj02Y
_NP0100000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0
ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP30000
00<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0Z;cX0`0000020:Rki`040000002W^nL0
Yk_W0:Nki`<0000000<0Y[[W0000002U^NL00P2U^NL00`000000Y;SV0:BhiP03000000<0XK;T00@0
000009n`h`2O/><000000P2M[N8300000080VJOO00@0000009RUgP2HYMh000000`2HXmd00`000000
V:?M09RSg@0700000080Wj[N00<000000:B`h02T/>00100000020:nmi0030000002b`^H000000080
]LKW00<000000;G7i`2eanL00P0000040;30iP<0000000<0Z[OR0000002Y]N800P2Y]N85000000<0
[;_T0`0000000`2_`>H00000000000020:o0iP@000000P2^_^H01@000000[KgU0000002]_>D00000
00<0[KgU0`0000020:fniP030000002]_^H0[KkV00@000000P2]_^H00`000000[KkW0:fni`020000
00<0[KkW0`0000020:fni`030000002/_^L0[;kW00@000000P2/_^L00`000000[;kW0:bni`020000
00@0[;kW0`0000000`2/_^L000000:bni`020:bni`8000000P3oool00`000000oooo0?ooo`1C0?oo
o`00:@3oool3000000L0oooo0P0000030:fjh`050000002]^^@000000:fjh`0000000`2]^^<30000
00<0[K[S00<000000:bki02/^n@00`0000020:bki0030000002/^nD0[;_U00800000102/^nD01@00
0000ZkcU0000002/^nD0000000<0ZkcU0`0000020:^li@030000002[_>H0ZkcV00<000000`2[_>H0
0`000000ZkcV0:^liP0300000080ZkcV00<000000:Zli`2Z_>L00`0000020:Zli`030000002Z_NL0
Z[gW00<000000`2Z_NL01@000000Z[gW0000002Z_NL0000000<0Z[gW0`0000020:Zmi`030000002Z
_NL0Z[gW00@000000P2Z_NL00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`00
00030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX
0`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX
0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Rlj0000000Z;cW000000040:Rk
i`<0000000<0Yk_X0000002V^^L00P2V^^L00`000000YKWW0:Fii`0300000080XkCU00<000000:6b
i02Q/^@01`0000000`2KZ^40000009VWg`0309VWg`040000002HYMh0V:GN00000080V:?M0`000002
09RSg0050000002KY]d0VjKM09^Vg@0000000P2OZ]h300000080ZKKR00<000000:nmi02__N@00`00
00030;G6i`<000000P2daNL00`000000/<3V0;30iP02000000@0Z[OR1P0000020:^hh`050000002/
^n@000000:nni@0000000`2_`>H300000080[koV00<000000:jniP2^_^H00`0000030:fli@050000
002]_ND000000:fniP0000000`2]_^H300000080[KoV00<000000:fniP2]_^H0100000020:fniP05
0000002]_^L000000:fni`0000000`2]_^L300000080[;oW00<000000:bni`2/_^L0100000020:bn
i`030000002/_^L0[;kW00800000102/_^L3000000050:bni`000000oooo0?ooo`000000E@3oool0
02P0oooo0P0000060?ooo`<000000P2^^N800`000000[K[S0:fjh`02000000<0[K[S00<000000:fj
h`0000000P2]^^8010000000[K[S0:fjh`2]^^<300000080[K[S00<000000:bki02/^n@00`000002
0:bki0030000002/^nD0[;_U00<000000`2/^nD01@000000ZkcU0000002/^nD0000000<0ZkcU0`00
00030:^li@030000002[_>H0ZkcV00<000000P2[_>H00`000000ZkcV0:^liP0300000080ZkcV00<0
00000:Zli`2Z_>L00`0000030:Zli`030000002Z_NL0Z[gW008000000`2Z_NL01@000000Z[gW0000
002Z_NL0000000<0Z[gW0`0000030:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000ZKgX
0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX00800000
0`2Y_NP01@000000ZKgX0000002Y_NP0000000@0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NP00`000000ZKgX0:Vmj002
000000<0Z;cW00<000000:Rki`2X^nL00P0000040:Nkj0030000002V^^L0000000<000000P2T]^H0
0`000000XkCU0:>di@0300000080Wk3T00D0000009f]h`2M[N<0WJgS0000000209^Zh@030000002I
Yml0VJOO00L0000000<0Uj;L0000002HXm`00`2HXm`00`000000VjKM00000003000000030:B_g`00
0000ZKKR0080ZKKR0`0000020;?3iP060000002ea^L000000000002fanL000000P2daNL400000080
[;[T1P0000020:VehP030000002[^><0ZkSS00<000000`2__^D01P000000[l3V000000000000/<3V
00000080[koV0`0000020:fli@030000002]_>D0[KcU00<000000`2]_^H01@000000[KkV0000002^
_nH0000000<0[KoV0`0000020:fniP030000002]_^H0[KkV00<000000`2]_^L01@000000[KkW0000
002]_nL0000000<0[;oW0`0000020:bni`030000002/_^L0[;kW00@000000P2/_^L00`000000[;kW
0:bni`02000000<0[;kW0P0000020?ooo`030000003oool0oooo0580oooo000X0?ooo`050000003o
ool000000000003oool00`0000020:jih@030000002^^N80[[WR00<000000P2^^N800`000000[K[S
0:fjh`03000000<0[K[R00D000000:fjh`000000[KWR000000030:fjh`<000000P2]^^<00`000000
[;_T0:bki003000000<0[;_T00<000000:bki@2/^nD00P0000030:bki@050000002[_>D000000:bk
i@000000102[_>D300000080ZkcU00<000000:^liP2[_>H00`0000020:^liP030000002[_>H0ZkcV
00<000000`2[_>H00`000000Z[cW0:Zli`0300000080Z[cW00<000000:Zmi`2Z_NL00P0000030:Zm
i`030000002Z_NL000000080Z[gW00@000000:Zmi`2Z_NL0Z[gW0`0000020:Zmi`030000002Z_NL0
Z[gW00<000000P2Z_NL00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX000000<0ZKgX
0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX
00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00800000102Y_NP01@000000ZKgX
0000002Y_NP0000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@0
00000P2X_>L00`000000Z;cW0:Rli`0300000080Z;cX00<000000:Nkj02W^nP00`0000020:FhiP03
0000002T]^H0Y;KV00@0000000<0XK?U0000002O/>@00`2O/>@00`000000WJgS0000000600000003
09NTgP000000UZ;M0080UZ;M00D0000009NRg02GX]`0Uj;L0000000209RSg0<000000P2OZ=d02@00
0000Y:oO0:B_g`2T[ml000000:VfhP000000/;gT000000030;?3iP8000000`2fanL300000080/;oU
00<000000:bji0000000100000020:Rdh@030000002Y]N80ZKGR00<000000P2]^n@00`000000[kkU
0:nni@0300000080/<3V100000020:jmi@030000002]_>D0[KcU00<000000P2]_ND00`000000[KkV
0:fniP03000000<0[[oV00<000000:foiP0000000P2]_^H00`000000[KkV0:fniP0300000080[KkW
00<000000:fni`2]_^L00`0000030:foi`030000002/_nL000000080[;oW00<000000:bni`2/_^L0
0`0000020:boi`030000002/_^L0[;kW00@000000P2/_nL01@000000[;kW0000002/_^L0000000<0
oooo00<000000?ooo`3oool0D@3oool002P0oooo0P0000001@3oool000000000002_^>00000000<0
[[WQ0`0000020:jhh@030000002^^N80[[WR00<000000`2^^N400`000000[K[R0:fjhP02000000<0
[KWR00D000000:fjh`000000[[WR000000030:fjh`<000000`2]^^<00`000000[;_T0:bki0030000
0080[;_T00<000000:bki@2/^nD00P0000030:bki@060000002[_>D000000000002/^nD000000`2[
_>D300000080Zk_U00<000000:^liP2[_>H00`0000020:^liP030000002[_>H0ZkcV00@000000P2[
_>H00`000000Z[cW0:Zli`0300000080Z[cW00<000000:Zmi`2Z_NL00P0000040:Zmi`050000002Z
_NL000000:Zmi`0000000`2Z_NL300000080Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000
002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP0
0P0000040:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP300000080ZKgX00<000000:Vmj02Y
_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0050000002Y_NP000000:Vmj00000000`2Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKcW00<000000:Rli`2X_>L0100000020:Rlj0030000002X_>P0Z;cX
00<000000P2V^NH00`000000YKSV0:FhiP0300000080XkGV00D000000:6ci@2Q/nD0XK?U00000002
09n`i0<000000P2JZN4010000000V:KO09RVg`00000309NTgP050000002FX]d0UZ;M09JRg@000000
0P2GX]`30000000309ZSf`000000WjSM00<0WjSM00<000000:B_g`0000000P0000030;2mi0030000
002c`nH000000080]lSW00D000000;K7i`000000]<CV000000020;2oi@@000000P2Y]N4010000000
Z;CQ0:Rdh@2X]>43000000030:^hhP000000[K_T0080[K_T0`0000020;30iP030000002``>H00000
00<000000`2^_ND300000080[KcU00<000000:fmi@2]_ND00`0000020:joiP030000002^_nH0[[oV
00<000000`2]_^H300000080[KkV00<000000:fni`2]_^L00`0000020:foi`030000002]_nL0[KoW
00<000000`2/_nL300000080[;oW00<000000:boi`2/_nL00`0000020:boi`030000002/_nL0[;oW
00<000000`2/_^L010000000oooo00000000001C0?ooo`00:03oool4000000<0[kSP00D000000:ji
h@000000[kSO000000030:jhh@<000000`2_^>000`000000[[WQ0:jih@0300000080[[WQ00<00000
0:fihP2]^N800P0000030:jihP030000002]^^<000000080[[WR00@000000:fjh`2]^^<0[K[S0`00
00020:fjh`030000002/^n@0[;_T00<000000P2/^^@00`000000[;_U0:bki@03000000<0[;_U00D0
00000:^li@000000[;_U000000030:^ki@<000000P2[^nD00`000000ZkcV0:^liP03000000<0ZkcV
00<000000:^liP2[_>H00`0000020:^liP030000002Z_>L0Z[cW00<000000P2Z_>L00`000000Z[gW
0:Zmi`03000000<0Z[gW00D000000:Zmi`000000Z[gW000000030:Zmi`<000000P2Z_NL00`000000
Z[gW0:Zmi`0400000080Z[gW00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vmj0000000ZKgX000000030:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00D000000:Vm
j0000000ZKgX000000030:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vli`030000002Y_>L0ZKcW00<000000P2X_NP00`000000Z;cX0:Rlj004
00000080Yk[V00<000000:JiiP2V^NH00`0000020:BgiP050000002S]NH0XkGV0:>eiP0000000P2Q
/nD30000000309b/hP000000VZWQ00<0VZWQ00@0000009RVg`2HY]l000000P2GY=h70000000309NP
fP000000VZ?K0080VZ?K00<0000009nXg@2OZ=d00`0000030:Zfh@030000002`_N@0/;gT00800000
0`2gb>L2000000<0]<CV0`0000000`2/^>8000000:Veh@030:Veh@050000002X]>4000000:Vdh@00
00000`2[^>800`000000[K_T000000020;2oi@030000002``>H0/<3V008000000P2__^D00`000000
[kkU00000002000000030:fli@000000[KcU0080[KcU0`0000020:jniP030000002^_nH0[[oV00<0
00000P2^_nH01P000000[KkV000000000000[KkV000000<0[KkV0`0000020:foi`030000002]_nL0
[KoW00<000000P2]_nL01P000000[;oW000000000000[;oW000000<0[;oW0`0000020:boi`030000
002/_nL0[;oW00<000000P2/_nL00`000000[;kW0:bni`0300000080oooo00<000000?ooo`3oool0
D03oool002L0oooo0P0000030:nhg`030000002_^>00[kSP008000000`2_^=l01@000000[[SQ0000
002_^=l0000000@0[kSP0`0000020:nhh0030000002^^N40[[WQ00<000000P2^^N400`000000[[WR
0:jihP03000000<0[[WR00D000000:fjh`000000[[WR000000030:fjh`<000000P2]^^<00`000000
[;[T0:bji003000000<0[;[T00<000000:bki@2/^nD00P0000030:bki@050000002[^nD000000:bk
i00000000`2[^nD3000000<0Zk_U00<000000:^liP2[_>H00`0000020:^liP030000002[_>H0ZkcV
00<000000P2[_>H00`000000Z[cW0:Zli`03000000<0Z[cW00<000000:Zmi`2Z_NL00P0000030:Zm
i`030000002Z_NL000000080Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000002Z_NL0Z[gW
00<000000P2Z_NL00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000030:Vm
j0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX0`000003
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<00000
0:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y
_NP0000000<0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_>L00`000000ZKcW0:Vl
i`0300000080ZKgX00<000000:Rmj02X_NP00`0000030:Nji`030000002W^^H0Yk[V00<000000P2U
^NL00`000000Y;OV0:BgiP0700000080W[3T00@0000009b/hP2L[>8000000P2JZN470000000309FO
fP000000UYkJ0080UYkJ00D0000009NPfP2GX=X0Uj3J0000000209ZSf`<0000000<0Y:kN0000002Z
]^400`2Z]^4300000080]LGV00<000000;O8i`0000000P2ganL5000000<0[;SR00<000000:Veh@2Y
]N400`0000030:Vdh@030000002[^>80ZkSR008000000`2`_nD300000080/<3V00<000000:nni@2_
_^D00P0000040:fli@050000002]_>D000000:jni@0000000`2^_^H300000080[[oV00<000000:jo
iP2^_nH00P0000040:fniP<0000000<0[KoW0000002]_nL00P2]_nL300000080[KoW00<000000:fo
i`2]_nL00P0000040:boi`<0000000<0[;oW0000002/_nL00P2/_nL300000080[;oW00<000000:bo
i`2/_nL00`0000020:boi`050000003oool0oooo0?ooo`000000D@3oool001d0oooo0P0000080?oo
o`8000000`2_^=l300000080/;OO00<000000:nhg`2_^=l00P0000030:nhg`060000002_^>000000
0000002_]ml000000`2_^>0300000080[kSP00<000000:jih@2^^N400`0000030:jih@030000002^
^N80[[WR008000000`2^^N801@000000[K[S0000002^^N80000000<0[K[S0`0000030:fjh`030000
002/^^@0[;[T00<000000P2/^^@00`000000[;_U0:bki@02000000<0[;_T00D000000:^ki@000000
[;_T000000040:^ki@<000000P2[^nD00`000000ZkcV0:^liP0300000080ZkcV00<000000:^liP2[
_>H00`0000030:^liP030000002Z_>L0Z[cW00<000000P2Z_>L00`000000Z[gW0:Zmi`02000000<0
Z[gW0`0000020:Zmi`030000002Z_NL0Z[gW00@000000P2Z_NL00`000000Z[gW0:Zmi`0300000080
Z[gW00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000
ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00@000000P2Y_NP00`000000ZKgX0:Vmj002000000<0ZKgX00D000000:Vmj0000000ZKgX00000003
0:Vmj0<000000`2Y_NL00`000000ZKcW0:Vli`0300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Rki`030000002W^^L0Yk[W00@000000P2V^^L00`000000YKWW0:Fii`03000000030::eiP000000
XK;U0080XK;U00<0000009j`i02N/>@01`0000000`2GXmd0000009JPg00209JPg0050000002EWmX0
UIoJ09FOfP0000000`2FW]X00`000000Uj3J000000030000000309nWg0000000Y:kN0080Y:kN00H0
00000:Zfh@00000000000;6oi00000020;G5iPT000000P2__><00`000000[;SR0:bhhP0300000080
Z;;O00<000000:Vdh@2Y]>40100000020:nmi0030000002`_nD000000080/L7V00<000000;30iP2`
`>H00`0000000`2^_ND00000000000020:fli@<000000`2^_^D00`000000[[kV000000020:joiP03
0000002^_nH0[[oV00<000000P2]_nH00`000000[KkV0:fniP02000000@0[KoW0`000000102]_nL0
00000:foi`2]_nL400000080[KoW00<000000:boi`2/_nL00P0000040:boi`<0000000@0[;oW0000
002/_nL0[;oW100000020:boi`030000002/_nL0[;oW008000000P3oool00`000000oooo0?ooo`1?
0?ooo`00703oool010000000oooo0?ooo`0000070?ooo`070000003oool000000:nhg`000000/;ON
000000030;2gg`<000000P2`]mh00`000000[kSO0:nhg`03000000<0[kOO00D000000:nhh0000000
[kOO000000030:nhh0<000000P2_^=l00`000000[[WQ0:jih@0400000080[[SQ00<000000:jihP2^
^N800P0000030:jihP050000002]^^<000000:jih@000000102]^^<300000080[K[S00<000000:bj
i02/^^@00`0000020:fji0030000002/^n@0[;_T008000000`2/^n@01P000000Zk_U000000000000
[;_T000000<0Zk_U0`0000020:^ki@030000002[_>H0ZkcV00<000000P2[_>H00`000000ZkcV0:^l
iP0400000080ZkcV00<000000:Zli`2Z_>L00`0000020:Zli`050000002Z_NL000000:Zli`000000
0`2Z_NL3000000<0Z[gW00<000000:Zmi`2Z_NL00`0000020:Zmi`030000002Z_NL0Z[gW00<00000
0P2Z_NL00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX008000000`2Y_NP01P000000ZKgX000000000000ZKgX00000080ZKgX100000020:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vm
j02Y_NP0100000020:Vmj0030000002Y_NP0ZKgX008000000`2Y_NP01@000000ZKgX0000002Y_NL0
000000@0ZKgW0`0000020:Vnj0030000002Y_NP0ZKgX00<000000P2X^nL00`000000Z;_W0:Rki`03
00000080Yk_X00<000000:Jji`2V^^L0100000000`2T]nH000000::eiP020::eiP030000002Q/^D0
XK;U00<000000P2LZ^0010000000VJKO09VVg`00000309NSg@060000002FX=`0UZ3L09JPg0000000
UIoJ1`00000209ZRf`050000002OYm`0WjOL09nWg00000000P2T[]h2000000<0/KoT1P0000001@2g
anL000000000002c`^D000000080[kcS100000000`2Y/]l000000:Rbg`020:Rbg`<000000P2]^N80
0`000000[kgT0:nmi003000000<0/L7V0`0000020:nni@030000002^_ND0[[gU00<000000P2]_ND0
0`000000[[kU0:jni@03000000<0[[oV0`0000020:joiP030000002]_nH0[KoV00<000000P2]_^H0
0`000000[KoW0:foi`02000000<0[KoW0`0000020:foi`030000002]_nL0[KoW00@000000P2/_nL0
0`000000[;oW0:boi`02000000<0[;oW0`0000020:boi`030000002/_nL0[;oW00@0000000<0[;oW
0000003oool00P3oool00`000000oooo0?ooo`1>0?ooo`00703oool010000000oooo0?ooo`000007
0?ooo`040000003oool0oooo000000<0/;ON00D000000;2gg`000000/;ON000000030;2ggP<00000
0`2`]mh00`000000[kOO0:ngg`02000000<0[kOO00D000000:nhh0000000/;ON000000030:nhg`<0
00000`2_^=l00`000000[[SQ0:jhh@0300000080[[SP00<000000:jihP2^^N800P0000030:jih@06
0000002]^^<000000000002^^N4000000`2]^^<300000080[KWR00<000000:fji02]^^@00`000002
0:fjh`030000002/^n@0[;_T00<000000`2/^n@01@000000Zk_U0000002/^n@0000000<0Zk_U0`00
00020:^ki@030000002[_>H0ZkcV00<000000`2[_>H00`000000ZkcV0:^liP0300000080ZkcV00<0
00000:Zli`2Z_>L00P0000030:Zli`050000002Z_NL000000:Zli`000000102Z_NL300000080Z[gW
00<000000:Zmi`2Z_NL00`0000020:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000ZKgX
0:Vmj00400000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00800000
0`2Y_NP3000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000<0ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX008000000`2Y_NL01P000000ZKgW000000000000ZKkX000000<0ZKkX0`0000000`2X
^nL000000:Rki`020:Rki`<000000P2X_>P00`000000Yk_X0:Nkj00300000080YKSW00D000000:Bg
iP2T]nH0Y;OV000000020::eiP<0000000<0WZgR0000002LZ^000`2LZ^0010000000VJKO09VVg`00
000209NSg@H000000P2DW]X010000000UYoJ09JOfP00000409ZRf`030000002OYm`0000000<00000
0P2[]n800`000000/KoT0000000300000080^<SV0P0000030;?2i@<000000P2[]N002@000000ZK;O
0:Vbg`2Y/]l000000:Rbg`000000ZkGQ000000030:fihP<000000P2a`ND01P000000/L7V00000000
0000/<3U000000<0[kkU10000000102]_>@000000:fmi@2]_ND300000080[[oV00H000000:joiP00
000000000:joiP0000030:joiP<0000000@0[KkV0000002]_^H0[KkV100000020:foi`050000002]
_nL000000:foi`0000000`2]_nL300000080[KoW00<000000:boi`2/_nL0100000020:boi`050000
002/_nL000000:boi`0000000`2/_nL300000080[;oW00<000000:boi`2/_nL00P0000020?ooo`03
0000003oool0oooo04h0oooo000L0?ooo`040000003oool0oooo000000L0oooo0`000000103oool0
00000;2ggP2`]mh2000000<0/;ON00<000000;2ggP0000000P2`]mh010000000/;ON0;2ggP2`]mh3
00000080/;ON00<000000:ngg`2_]ml00P0000030;2ggP030000002_^=l000000080/;ON00@00000
0:nhg`2_^=l0[kSO0`0000020:ngg`030000002^^>00[[SP00<000000P2_^>000`000000[[WQ0:ji
h@03000000<0[[WQ00D000000:fjh`000000[[WQ000000030:fihP<000000P2]^N800`000000[K[S
0:fjh`03000000<0[K[S00<000000:bki02/^n@00P0000030:bki0050000002[^nD000000:bki000
00000`2[^nD300000080Zk_U00<000000:^liP2[_>H0100000020:^liP030000002[_>H0ZkcV00<0
00000P2[_>H00`000000Z[cW0:Zli`02000000<0Z[cW00H000000:Zmi`00000000000:Zli`000003
0:Zmi`<000000P2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gW00<000000:Zmi`2Z_NL00`000003
0:Zmi`030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00D00000
0:Vmj0000000ZKgX000000040:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00@000000P2Y_NP00`000000ZKgX0:Vm
j00300000080ZKgW00<000000:Vmi`2Y_NL00P0000040:Vnj0<0000000<0ZK_W0000002X^nL00P2X
^nL01@000000Z;_W0000002X_>P0000000<0Z;cX0`0000000`2V^^L000000:Fhi`030:Fhi`030000
002T]nH0000000<0000000<0X;3S0000002N[N800P2N[N800`000000W:[P09bZh0070000000509BQ
g@000000U9kK09BNf`000000102DW]X010000000UYoJ09JOfP00000209ZRf`<000000P2U[]h00`00
0000ZkOR0:^ghP0400000080]/CU0`0000020;O6i@050000002c`^D000000:nkhP000000102[]N00
0`000000ZK;O00000002000000<0ZkGQ00<000000:fihP0000000P2`_nD00`000000/L7U0;71i@02
000000@0/<3U0`000000102^_>@000000:fli02]_>@400000080[[kU00<000000:joiP2^_nH00P00
00040:joiP<0000000@0[[kV0000002]_^H0[KkV0`0000020:foi`030000002]_nL0[KoW00<00000
0`2]_nL00`000000[KoW000000020:foi`030000002]_nL0[KoW00<000000P2/_nL00`000000[;oW
0:boi`03000000<0[;oW00<000000:boi`0000000P2/_nL00`000000[;oW0:boi`0300000080[;oX
00@000000?ooo`3oool00000C`3oool001`0oooo00@000000?ooo`3oool000001`3oool00`000000
oooo0?ooo`020?ooo`8000000P2`]mh00`000000/;ON0;2ggP03000000<0/;ON00D000000;2ggP00
0000/;KM000000030;2ggP<000000P2`]mh00`000000/;ON0;2ggP03000000<0/;ON00D000000:nh
g`000000/;ON000000030:ngg`<000000P2_]ml00`000000[kSP0:nhh003000000<0[kSP00<00000
0:jih@2^^N400P0000030:jih@050000002]^N8000000:jhh@0000000`2]^N8300000080[KWR00<0
00000:fjh`2]^^<0100000020:fjh`030000002/^n@0[;_T008000000`2/^n@01@000000Zk_U0000
002/^n@0000000<0Zk_U0`0000030:^ki@030000002[_>H0ZkcV00<000000P2[_>H00`000000ZkcV
0:^liP0300000080ZkcV00<000000:Zli`2Z_>L00P0000040:Zli`050000002Z_NL000000:Zli`00
00000`2Z_NL300000080Z[gW00<000000:Zmi`2Z_NL00`0000020:Zmi`030000002Z_NL0Z[gW00@0
00000P2Z_NL00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00P0000030:Vmj006
0000002Y_NP000000000002Y_NP000000`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00400000080ZKgW00<00000
0:Vmi`2Y_NL00`0000020:Vnj0030000002Y_^P0ZKkX00800000102Y^nL00`000000Z;_W00000002
000000<0Z;cX00D000000:Rlj0000000Yk_W000000030:Jji`030000002U^>L0YKSW00<000000P2R
/^@01@000000X;3S0:2`h`2P/><000000080WZgR0`0000000`2HZ>40000009JTg`0209JTg`050000
002DXMd0U:7M09BQg@0000000P2DW]/00`000000U9kJ09BNfP070000000309jVg0000000YJkN0080
YJkN100000020;:nh`030000002fa>D000000080^LOU00<000000;O6i@2ga^D00P0000030:nkhP03
0000002[]N00ZkGP00<000000P2Y/]l00`000000ZkGQ0:^eh@03000000<0/;oU0`0000020;71iP03
0000002``>D0/<3U00800000102^_>@5000000<0[[kU0`0000020:noiP030000002^_nH0[[oV0080
00000`2^_^H300000080[[oV00<000000:foi`2]_nL00`0000020:foi`030000002]_nL0[KoW00<0
00000`2]_nL300000080[KoW00<000000:boi`2/_nL00`0000020:boi`030000002/_nL0[;oW00<0
00000`2/_nL3000000040:boi`000000[;oX0:boj0<000000P3oool00`000000oooo0?ooo`1<0?oo
o`00703oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo0080oooo00@000000;2g
gP2`]mh0/;ON0`0000030;2gg@030000002`]mh0/;ON008000000`2`]]d01@000000/;ON0000002a
]]d0000000<0/;ON0`0000030;2fg@030000002`]mh0/;ON008000000`2`]mh01@000000[kOO0000
002`]]d0000000<0[kOO0`0000020:nggP030000002_^>00[kSP00@000000P2_^=l00`000000[[WQ
0:jih@02000000<0[[SQ00D000000:fihP000000[[SQ000000030:fihP<000000`2]^N800`000000
[K[S0:fjh`0300000080[K[S00<000000:bki02/^n@00P0000030:bki0030000002[^nD000000080
[;_T00@000000:^ki@2[^nD0Zk_U0`0000020:^ki@030000002[_>H0ZkcV00<000000P2[_>H00`00
0000ZkcV0:^liP0300000080ZkcV00<000000:Zli`2Z_>L00`0000030:Zli`050000002Z_NL00000
0:Zli`0000000`2Z_NL300000080Z[gW00<000000:Zmi`2Z_NL00`0000030:Zmi`030000002Z_NL0
Z[gW00<000000P2Z_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00P000004
0:Vmj0<0000000<0ZKgX0000002Y_NP00P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000002
0:Vmj0030000002Y_NP0ZKgX00<000000`2Y_NL00`000000ZKgW0:Vmi`0300000080ZKkX00<00000
0:Vnj02Y_^P00`0000020:Vli`030000002Y^nL0ZK_W00<000000P2X_NP00`000000Z;cX0:Rlj003
000000<0Yk_W00<000000:Jji`2V^^L00`0000020:Bdi@030000002R/^@0X[;T00L0000000<0VjgS
0000002HZ>400P2HZ>401@000000UZCO09JTg`2FY=l000000080U:7M1P00000209FLf0040000002I
X=X0VJ3J000000<0WZKL1@0000040;:nh`8000000`2ianD300000080]<7T00<000000:nkhP2_^n80
0`0000020:Rbg`030000002Y/]l0ZK;O00<000000P2^^n<01P000000/;oU000000000000//;U0000
00<0/L7V0`0000020:nmi0030000002^_>@0[[cT008000000`2^_ND4000000040:noiP000000[koV
0:noiP@000000P2^_nH01@000000[[kV0000002^_^H0000000<0[[oV0`0000020:joi`030000002]
_nL0[KoW00<000000P2]_nL01P000000[KoW000000000000[KoW000000<0[KoW0`0000020:boi`03
0000002/_nL0[;oW00<000000P2/_nL01P000000[;oW000000000000[;oW00000080[;oW0`000002
0:boj0040000003oool0oooo000004h0oooo000M0?ooo`8000001`3oool00`000000oooo0?ooo`04
0?ooo`030000002`]mh000000080/;OM00@000000;2gg@2`]md0/;OM0`0000020;6fg@030000002`
]]d0/;KM008000000`2a]]d01@000000/;ON0000002a]]`0000000@0/;KM0`0000020;2fg@030000
002`]mh0/;ON008000000`2`]]d01@000000[kOO0000002`]]d0000000<0[kON0`0000030;2ggP03
0000002_^=l0[kSO00<000000P2_]ml00`000000[[SQ0:jhh@02000000<0[[SQ00<000000:fihP00
00000P2^^>0010000000[KWR0:fihP2]^N8300000080[[WR00<000000:fjh`2]^^<00`0000020:fj
h`030000002/^n@0[;_T00800000102/^n@01@000000Zk_U0000002/^^@0000000<0Zk_U0`000002
0:bki@030000002[_>H0ZkcV00<000000P2[_>H00`000000ZkcV0:^liP03000000<0ZkcV00<00000
0:Zli`2Z_>L00P0000030:Zli`050000002Z_NL000000:Zli`0000000`2Z_NL300000080Z[gW00<0
00000:Zmi`2Z_NL0100000020:Zmi`030000002Z_NP0Z[gX00<000000P2Z_NL00`000000ZKgX0:Vm
j00300000080ZKgX00<000000:Vmj02Y_NP00P0000040:Vmj0050000002Y_NP000000:Vmj0000000
0`2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmi`030000002Y_NL0ZKgW00@00000
0P2Y_^P00`000000ZKkX0:Vnj00300000080ZKcW00<000000:Vli`2Y_>L00`0000020:Vmj0030000
002X_NP0Z;gX00<000000`2W^nL00`000000Yk_W0:Nki`0300000080YKKU00<000000:Bdi@2T]>D0
0`0000000`2P]>L0000009fai@0309fai@040000002K[N<0VjgS00000080V:SQ1`0000001@2BV]P0
000009:Jf02BV]P0000000<0UIcH00@0000009VPfP2IX=X0VJ3J1@0000030:bdg`070000002b_^<0
00000000002haN@000000;W7i@02000000040;S7iP000000]<7T0;C1i0@0000000<0Z[?O0000002X
/]l00P2X/]l300000080[;KQ00<000000:jkh`2^^n<00P0000040;;2i@<0000000@0/;kT0000002_
_N@0[kgT100000020:jli0030000002^_ND0[[gU008000000`2__nH300000080[koV00<000000:jo
iP2^_nH00`0000030:jniP030000002^_nH000000080[[oW00<000000:joi`2^_nL00`0000020:fo
i`030000002]_nL0[KoW00800000102]_nL3000000040:foi`000000[;oW0:boi`@000000P2/_nL0
0`000000[;oW0:boi`02000000@0[;oW0P0000000`2/_nP000000:boj0020:boj08000000P3oool0
0`000000oooo0?ooo`1;0?ooo`009P3oool00`000000oooo0?ooo`050?ooo`030000002`]md0/;OM
0080/;OM00D000000;2gg@000000/KKM000000030;6fg@<000000P2a]]d00`000000/KKM0;6fg@02
000000<0/KKL00H000000;2fg@00000000000;6fg00000030;2fg@<000000P2a]]`00`000000/;KM
0;2fg@02000000<0/;KM00<000000:nggP0000000P2`]]d010000000/;ON0;2ggP2`]mh300000080
/;KN00<000000:ngg`2_]ml00`0000020:ngg`030000002^^>40[[SQ00800000102^^>001@000000
[KWR0000002^^>00000000<0[[WR0`0000020:jihP030000002]^^<0[K[S00<000000P2]^^<00`00
0000[;_T0:bki003000000<0[;[T00D000000:^ki@000000[;[T000000030:bki@<000000P2/^nD0
0`000000ZkcV0:^liP0300000080ZkcV00<000000:^liP2[_>H0100000020:^liP030000002Z_>L0
Z[cW008000000`2Z_>L01@000000Z[gW0000002Z_>L0000000<0Z[gW0`0000020:Zmi`030000002Z
_NL0Z[gW00@000000P2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gX00<000000:Vmj02Y_NP00`00
00020:Vmi`030000002Y_NP0ZKgX00<000000`2Y_NP01@000000ZKgX0000002Y_NP0000000<0ZKgX
0`0000020:Vmi`030000002Y_NL0ZKgW00<000000P2Y_^P00`000000ZKkX0:Vnj00400000080ZKcW
00<000000:Vli`2Y_>L00`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2X_>P00`000000Yk_W
0:Nki`0400000080Y[SU00<000000:Ffi@2U]^D00`0000000`2R]nP000000:2di`020:2di`030000
002M/ND0WK7U00L0000000<0U9oK0000002CW=X00P2CW=X01@000000TY[H09:Jf02BV]P000000080
TY[H00H0000009FLf02EW=P0UIcH0000002IX=X400000080YJ_K00<000000:bdg`2/]=l00P000003
0;S5i08000000`2hanH300000080[[SQ00T000000:Zcg`2Z/ml0Z[?O0000002X/]l000000:VagP00
00000`2/]^4300000080//3T00<000000;;2i@2b`^D00P0000030;2ni0<000000P2^^n<00`000000
[[cT0:jli004000000050:noi@00000000000:noiP0000000P2_`>H00`000000[koV0:noiP030000
0080[[oV00<000000:jniP2^_^H00`0000030:joi`<0000000@0[[oW0000002]_nL0[KoW10000002
0:foi`030000002]_nL0[KoW008000000`2]_nL300000080[;oW00<000000:boi`2/_nL010000000
102/_nL000000:boi`2/_nL3000000<0[;oX00<000000:boj00000000P2/_nP010000000oooo0000
0000001<0?ooo`009P3oool00`000000oooo0?ooo`060?ooo`030000002`]md0/;OM00<000000`2a
]]d01@000000/KKM0000002a]]d0000000<0/KKM0`0000020;6fg0030000002a]]`0/KKL00<00000
0`2a]]`01@000000/;KM0000002a]M`0000000<0/KKL0`0000020;6eg0030000002`]]d0/;KM00<0
00000`2`]]d01@000000/;ON0000002a]M`0000000<0/;KN0`0000020;2fg@030000002_]ml0[kOO
00<000000P2_]ml00`000000[[SP0:jhh003000000<0[[SP00D000000:jihP000000[kSP00000003
0:jihP<000000P2^^N400`000000[K[S0:fjh`03000000<0[K[S00<000000:bji02/^^@00P000003
0:bji0050000002/^nD000000:bji00000000`2/^nD300000080[;_U00<000000:^liP2[_>H00`00
00030:^liP030000002[_>H0ZkcV00<000000P2[_>H00`000000Z[cW0:Zli`02000000<0Z[cW00D0
00000:Zmi`000000Z[cW000000030:Zmi`<000000`2Z_NL00`000000Z[gW0:Zmi`0300000080Z[gW
00<000000:Zmj02Z_NP00`0000020:Zmi`030000002Y_NL0ZKgW00<000000P2Y_NP00`000000ZKgX
0:Vmj003000000<0ZKgX00D000000:Vmj0000000ZKgW000000030:Vmi`<000000P2Y_^P00`000000
ZKkX0:Vnj00300000080ZKcW00<000000:Vli`2Y_>L0100000020:Vnj0030000002Y_NP0ZKgX00<0
00000P2X_>P00`000000Z;cX0:Rlj00300000080YkSV00<000000:Jhi@2V^>D0100000020:Bjj@04
0000002R]nP0X[OX00000080X;CW0`00000209ZWgP040000002GXmd0Uj?M000000<0U9oK00D00000
09>LfP2CW=X0TicJ0000000209:Jf0030000002BV]P0TY[H00H000000P2NX]P010000000YJ_K0:F[
f`2UZm/300000080];oR00<000000;S5i00000000P2kbnH01@000000^<OV0000002b_^<0000000@0
[[SQ00<000000:Zcg`0000000P0000030:VagP050000002/]^4000000;2lhP0000000`2b`>@30000
0080//3T00D000000;2ni0000000[k_S000000030:jkh`<000000P2__^D00`000000[koU0:noi@03
000000<0[l3V0`0000020:noiP030000002^_nH0[[oV00<000000P2^_nL01P000000[[oW00000000
0000[/3W00000080[[oW0`0000020:foi`030000002]_nL0[KoW00@000000P2]_nL01@000000[KoW
0000002]_nL0000000<0[;oW0`0000020:boj0030000002/_nL0[;oW00<000000P2/_nP00`000000
[;oX0:boj003000000<0[;oX0P0000000`3oool000000?ooo`1;0?ooo`009P3oool3000000L0oooo
0P0000030;2ggP030000002a]]d0/KKM008000000`2a]]d01@000000/KKM0000002a]]`0000000<0
/KKL0`0000030;6eg0030000002a]]`0/KKL008000000`2a]M`01@000000/KKL0000002a]M/00000
00<0/KGL0`0000030;6eg0030000002`]]d0/;KM008000000`2a]M`01@000000/;KN0000002a]M`0
000000<0/;KM0`0000020;2fg@030000002_]ml0[kOO00<000000`2_]mh00`000000[[SP0:jhh002
000000<0[kSP00D000000:jihP000000[kOO000000030:jih@<000000P2^^>400`000000[K[S0:fj
h`0400000080[KWS00<000000:bji02/^^@00P0000030:bji0030000002/^nD000000080[;[T00<0
00000:bki@2/^nD00`0000020:bki@030000002[_>H0ZkcV00@000000P2[_>H00`000000ZkcV0:^l
iP0300000080ZkcV00<000000:Zli`2Z_>L00P0000030:Zli`030000002Z_NL000000080Z[cW00<0
00000:Zmi`2Z_NL0100000020:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000Z[gW0:Zm
i`0300000080Z[gX00<000000:Vmj02Y_NP00`0000030:Vmj0030000002Y_NP0ZKgX008000000`2Y
_NL00`000000ZKgW000000020:Vnj0030000002Y_^P0ZKkX00<000000P2Y_>L00`000000ZKcW0:Vl
i`0300000080ZKkX00<000000:Vnj02Y_^P0100000020:Vlj0030000002X_>P0Z;cX00<000000P2W
^NH00`000000YkSV0:NhiP0300000080YKcY00<000000:Bjj@2T^^T01`0000000`2MZ^00000009ZW
gP0309ZWgP040000002GXmd0Uj?M00000080U9oK3@0000000`2HVmH0000009jRf00309jRf0<00000
00<0[[OP0000002d_n800P2d_n82000000<0^l_V0P0000030;:nh`030000002^^>40[[SQ00<00000
0P2X[m`00`000000ZK7N0:VagP03000000<0/;cR00<000000;;0i00000000P2d`N@00`000000//3T
0;;0i002000000<0[k_S00D000000:jkh`000000[kgT000000030:nni@<0000000@0/<7V00000000
0000[l3V0P0000000`2_`>H000000:noiP020:noiP<000000P2^_nH00`000000[[oW0:joi`020000
00@0[/3W0P0000020:g0i`030000002]_nL0[KoW00<000000P2]_nL00`000000[KoW0:foi`030000
00<0[KoW00<000000:boi`0000000P2/_nP00`000000[;oX0:boj00300000080[;oX00<000000:bo
j02/_nP00`0000020:boj0060000002/_nP000000000002/_nP000000P3oool00`000000oooo0?oo
o`190?ooo`009P3oool00`000000oooo0?ooo`080?ooo`040000002`]mh0/;ON0;2ggP<000000P2`
]md00`000000/KKM0;6fg@02000000<0/KKL00<000000;6fg00000000P2a]]`010000000/KGL0;6e
g02a]M`300000080/KGK00<000000;6eg02a]M`00P0000030;6ef`050000002a]M`000000;:df`00
0000102a]M`3000000030;6df`000000/KGL0080/KGL0P0000030;6eg0050000002`]]d000000;6e
f`0000000`2`]]d300000080/;GL00@000000:nggP2_]mh0[kON0`0000020;2fgP030000002_^>00
[kSP008000000`2_]ml01@000000[[WQ0000002_]ml0000000<0[[SQ0`0000030:jhh@030000002]
^N<0[KWS00<000000P2]^N800`000000[;[T0:bji002000000<0[;[T0`0000020:bji0030000002/
^nD0[;_U00<000000`2/^nD00`000000ZkcV0:^liP0300000080ZkcV00<000000:^liP2[_>H00`00
00020:^liP030000002Z_>L0Z[cW008000000`2Z_>L3000000<0Z[gW00<000000:Zmi`2Z_NL00`00
00020:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000Z[gX0:Zmj00300000080Z[gX00<0
00000:Vmj02Y_NP0100000020:Vmi`030000002Y_NL0ZKgW008000000`2Y_^P300000080ZKcW00<0
00000:Vli`2Y_>L00`0000020:Vnj0030000002Y_^P0ZKkX00<000000`2Y_NP00`000000ZKcX0:Vl
j00300000080Z;[V00<000000:NiiP2W^NH00`0000020:JmjP030000002U_>T0YKcY00<000000P2R
/>801@000000WjgQ09n]h@2O[N4000000080WJ[P00<0000009ZWgP2JYmh01`0000001@2BV]P00000
096GeP2AUmH000000080TIKD0`00000209BGe0040000002HVmH0V9_F00000080WZ;H0P0000040:jg
h0<0000000<0^/WV0000002kbnH00P000000102ha>@000000;:nh`2b_^<400000080ZJoL00<00000
0:R_g02X[m`00`0000020:jfg`030000002`_>80/;cR00<000000`2d`N@300000080/KgS00<00000
0:nkh`2_^n<00P0000030:nmi0030000002__^D000000080/<7V00<000000;31iP2``NH00P000004
0:o0iP<0000000@0[[oV0000002^_nH0[[oV100000020:k0i`030000002^`>L0[/3W008000000`2]
`>L300000080[L3W00<000000:foi`2]_nL00`0000020:foi`030000002]_nL0[KoW00<000000`2/
_nP3000000040:boj0000000[;oX0:boj0@000000P2/_nP00`000000[;oX0:boj002000000@0[;oX
00@000000?ooo`3oool00000BP3oool002H0oooo00<000000?ooo`3oool02@3oool01@000000/;ON
0000002`]ml0000000<0/;OM0`0000020;6fg@030000002a]]`0/KKL00<000000`2a]]`01@000000
/KGL0000002a]M`0000000<0/KGK0`0000000`2b]M/000000;6ef`020;6ef`8000000`2b]=/01P00
0000/KGL000000000000/[CJ000000<0/KCK00D000000;6eg0000000/KCK000000030;6eg0800000
0`2a]M/01@000000/;KM0000002a]=/0000000@0/;GL00D000000:nggP000000/KGL000000030;2f
gP<000000P2`]]d00`000000[kOO0:ngg`02000000<0[kOO00<000000:jhh@0000000P2_]ml01000
0000[[SQ0:jhh@2^^>4300000080[[SQ00<000000:fihP2]^N800`0000020:fihP050000002/^^@0
00000:fihP0000000`2/^^@300000080[;[S00<000000:bki@2/^nD0100000020:bki@030000002[
_>H0ZkcV00<000000P2[_>H00`000000ZkcV0:^liP0300000080ZkcV00D000000:Zli`000000ZkcV
000000040:Zmi`<000000P2Z_>L00`000000Z[gW0:Zmi`0300000080Z[gW00<000000:Zmi`2Z_NL0
0`0000020:Zmi`030000002Z_NP0Z[gX00<000000P2Y_NL00`000000ZKgW0:Vmi`0400000080ZKkX
00D000000:Vnj0000000ZKcW000000030:Vli`<000000P2Y_^P00`000000ZKkX0:Vnj00300000080
ZKgX00<000000:Vmj02Y_NP0100000020:RjiP030000002X^^H0Z;[V00<000000P2W_^X00`000000
Y[gZ0:JmjP03000000030:>bh`000000X[3R00<0X[3R00<0000009n]h@0000001P0000000`2GXmd0
000009BNfP0209BNfP060000002BV]P0TY[H09:Jf0000000TIOF0`000002096Fe0040000002DUm@0
U9OD00000080V9_F0`0000020:J]g@030000002^]n00[[OP00<000000P2jbNH2000000<0^<CT0`00
00020:bbg0040000002Y[m`0ZJoL0:V_g0<0000000<0Zk3L0000002^]]l00P2^]]l300000080]<7T
00H000000;C1i000000000000;?0i00000020;6mh`@000000P2__><00`000000[kgT0:nmi0020000
00<0/<7V0`0000000`2``NH00000000000020:o0iP8000000`2^_nH300000080[/3W00<000000:k0
i`2^`>L0100000020:k0i`050000002]`>L000000:g0i`0000000`2]`>L300000080[L3W00<00000
0:foi`2]_nL00`0000020:boj0060000002/_nP000000000002/_nP000000P2/_nP300000080[;oX
00<000000:boj02/_nP0100000020:boj0030000002/_nP0[;oX008000000P3oool00`000000oooo
0?ooo`180?ooo`009@3oool00`000000oooo0?ooo`0;0?ooo`090000002`]ml0/;OO0;2gg`000000
/;OM0000002`]mh0000000<0/KKM0`0000030;6fg@030000002a]]`0/KKL008000000`2a]M`01@00
0000/KGK0000002b]M/0000000<0/[GK00D000000;6ef`000000/[CJ000000030;:df`800000102b
]=X00`000000/KCK0;6df`02000000<0/KCK00D000000;6eg0000000/[CJ000000030;6ef`800000
0`2a]=/00`000000/;GL0;2eg003000000<0/KGL00D000000;2fgP000000/KGK000000030;2fg@<0
00000P2`]]d00`000000[kOO0:ngg`02000000@0[kOO00D000000:jhh@000000[kON000000030:jh
h@<000000P2^^>000`000000[KWR0:fihP02000000<0[KWR00D000000:bji0000000[KWR00000003
0:bjh`<000000`2/^^<00`000000[;_U0:bki@0300000080[;_U00<000000:^liP2[_>H00`000002
0:^liP030000002[_>H0ZkcV008000000`2[_>H01P000000Z[gW000000000000ZkcV000000<0Z[cW
0`0000020:Zmi`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000Z[gW0:Zmi`0300000080Z[cW
00<000000:Vmi`2Y_NL00`0000020:Znj0030000002Y_^P0ZKkX00<000000`2Y_>L01@000000ZKcW
0000002Y_^P0000000<0ZKkX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2X^^H00`000000
Z;[V0:RjiP0400000080Z;o[00<000000:NnjP2W_^X00`0000000`2U/n<000000:>bh`020:>bh`03
0000002R/>80X[3R00<000000P2M[N<01@000000VZSP09ZXh02JZ>0000000080Uj?M00H0000009BN
fP2DW]X0U9kJ0000002BV]P300000003096GeP000000000000P0000000<0WZCJ0000002V[Md00P2V
[Md300000080]/;S0`0000020;_6h`050000002ha>@000000;:igP000000102//]`01@000000ZJoL
0000002Y[MX0000000<0Zk3L00<000000:jfg`0000000P2c_n800`000000]<7T0;C1i002000000<0
/l3T0`0000020:nlh`030000002__><0[kcS00@000000P2``NH00`000000/<7V000000020;32i`03
0000002``NH0/<7V00<000000P2__nH01@000000[[oV0000002^`>L0000000<0[/3W0`0000020:k0
i`030000002^`>L0[/3W00<000000`2]`>L3000000040:g0i`000000[L3W0:g0i`@000000P2]_nP0
0`000000[;oX0:boj002000000<0[;oX0`0000020:boj0030000002/_nP0[;oX00<000000P2/_nP0
0`000000[;oX0:boj00400000080[;oX00@000000?ooo`3oool00000B@3oool002D0oooo00<00000
0?ooo`3oool0303oool00`000000/;OO0;2gg`02000000<0/;ON00D000000;6fg@000000/;ON0000
00040;6fg@<000000P2a]]`00`000000/KGL0;6eg002000000<0/[GK00<000000;:ef`2b]M/00P00
00030;:dfP030000002b]=/000000080/[CJ00@000000;:dfP2b]=X0/[CJ0`0000020;:dfP030000
002a]=/0/KCK008000000`2b]=X01@000000/KGK0000002b/mT0000000<0/KCK0`0000030;6dfP03
0000002a]M`0/KGL008000000`2a]M/01@000000/;KM0000002a]=/0000000<0/;KM0`0000020;2e
g@030000002_]ml0[kOO00<000000`2_]mh01@000000[[SQ0000002_]]h0000000<0[[SP0`000002
0:jhh0030000002]^N80[KWR008000000`2]^N801@000000[;[S0000002]^N80000000@0[;[S0`00
00020:bjh`030000002/^nD0[;_U00<000000P2/^nD00`000000ZkcV0:^liP0300000080ZkcV00<0
00000:^liP2[_>H00P0000040:^liP<0000000<0ZkcV0000002Z_NL00P2Z_NL300000080Z[gW00<0
00000:Zmi`2Z_NL00`0000020:Zli`030000002Z_>L0Z[cW00<000000P2Z_^P00`000000Z[kX0:Zn
j003000000<0ZKcW00<000000:Vli`2Y_>L00P0000030:Vnj0050000002Y_^P000000:Vmj0000000
0`2Y_NP300000080ZK[V00<000000:RjiP2X^^H00`0000020:S0j`030000002X_n/0Z;o[00@00000
00<0Y[CS0000002U/n<00P2U/n<00`000000Xk;S0:>bh`0300000080Wk;U00H0000009f]h`2M[N<0
WJgS0000002JZ>0>0000000508nHf0000000TYWG09:Ie`0000000`2GWMP01`000000WZCJ09jTfP2N
Y=X000000:J]g@0000000P2^]ml00`000000]/;S000000020;_4h@030000002ka^<0^lKS00800000
0`2b^Mh00`000000[;;L0:bbg003000000<0ZJgJ00<000000:^`g02[/=`00P0000030;>ohP<00000
0P2ea>D01@000000/l3T0000002`_^@0000000<0[kcS0`0000020;2oi@030000002``NH0/<7V00<0
00000`2``^L500000080[koV0`0000030:k0i`030000002^`>L000000080[/3W00<000000:k0i`2^
`>L00`0000020:g0i`030000002]`>L0[L3W008000000`2]`>L300000080[KoW00<000000:foj02]
_nP0100000020:boj0050000002/_nP000000:boj00000000`2/_nP300000080[;oX00<000000:bo
j02/_nP00`0000020:boj0030000002/_nP0[;oX00<000000P3oool00`000000oooo0?ooo`160?oo
o`009@3oool00`000000oooo0?ooo`0=0?ooo`8000000P2_^>000`000000/;ON0;2ggP02000000<0
/;ON00H000000;6fg@00000000000;2ggP0000030;6fg0<0000000<0/KKL0000002b]M/00P2b]M/3
00000080/[CK00<000000;:dfP2b]=X00P0000040;:dfP050000002b]=X000000;:cf@0000000`2b
]=X300000080/[?I00<000000;:dfP2b]=X00P0000030;:cf@030000002a]=/000000080/[?I00@0
00000;6dfP2a]=X0/KCJ0`0000020;:cfP030000002a]M/0/KGK008000000`2a]=/01@000000/;KM
0000002a]=X0000000<0/;GM0`0000030;2eg0030000002_]mh0[kON008000000`2_]]h01@000000
[[SP0000002_]]h0000000<0[[SP0`0000020:jgg`030000002]^N80[KWR008000000`2]^N801P00
0000[;[S000000000000[KSQ000000<0[;[S0`0000020:bjh`030000002/^nD0[;_U00<000000P2/
^nD00`000000ZkcV0:^liP0300000080Zk_U00<000000:^liP2[_>H00P0000040:^liP030000002Z
_NL000000080ZkcV00<000000:Zmi`2Z_NL00`0000020:Zli`030000002Z_>L0Z[cW00<000000P2Z
_^P00`000000Z[kX0:Znj00300000080ZKcW00<000000:Vli`2Y_>L0100000020:Vnj0030000002Y
_^P0ZKkX008000000`2Y_NP01@000000ZKgX0000002Y^nH0000000<0ZK[V0`0000020:S0j`030000
002X`>/0Z<3[00<000000P2W]N<01@000000Y[CS0:Jdh`2V]><000000080YK?S0`0000020::fi`03
0000002O/^D0Wk;U00H000000P2DYN400`000000TJ3O000000020000000308jLg0000000SYWI0080
SYWI00D0000008nHf02?V=P0SiSH0000000209:Ie`060000002GWMP0UigH09NMf0000000WZCJ0`00
00030:jgg`8000000`2ka>4300000080^<7P00<000000;:igP2b^Mh00`0000020:V]fP030000002Y
[MX0ZJgJ00@000000P2a^^400`000000/koR000000020;K5iP030000002ea>D0]LCU008000000`2`
_^@00`000000[kcS000000020:nmi0030000002`_nD0/;oU00<000000P2a`^L01P000000/<;W0000
00000000/<3V00000080[l3V0`0000020:o0iP030000002^`>L0[/3W00<000000`2^`>L300000080
[/3W00<000000:g0i`2]`>L00`0000020:g0i`030000002]`>L000000080[KoW00<000000:foi`2]
_nL00`0000020:foi`030000002/_nP0[;oX00<000000`2/_nP3000000040:boj0000000[;oX0:bo
j0@000000P2/_nP00`000000[;oX0:boj00300000080[;oX00@000000?ooo`3oool00000B03oool0
02D0oooo00<000000?ooo`3oool03P3oool00`000000[kSP0:nhh00300000080[kSP00<000000;2g
gP2`]mh00`0000030;2ggP050000002a]]`000000;2gg@0000000`2a]]`01@000000/[GK0000002a
]M`0000000<0/[CK0`0000020;:dfP030000002b]=X0/[CJ00<000000`2b/mT01@000000/[CJ0000
002b/mT0000000<0/[?I0`0000020;:cf0030000002b/mT0/[?I00800000102b/mT01@000000/KCJ
0000002b/]P0000000<0/[?J0`0000020;:cf@030000002a]=/0/KCK008000000`2a]=X01@000000
/;GM0000002a/mX0000000@0/;GL0`0000020;2dg0030000002_]]h0[kKN008000000`2_]]h01@00
0000[[SP0000002`]]d0000000<0[[OO0`0000020:ngg`030000002]^N80[KWR00800000102]^>40
1@000000[;[S0000002^^>40000000<0[;[S0`0000020:fjh`030000002/^nD0[;_U00<000000P2/
^n@00`000000Zk_U0:^ki@0300000080ZkcV00<000000:^liP2[_>H00`0000030:^liP<000000P2Z
_>H00`000000Z[cW0:Zli`0300000080Z[gX00<000000:Znj02Z_^P00`0000020:ZliP030000002Y
_>L0ZKcW00<000000P2Z_^P00`000000ZKkX0:Vnj00400000080ZKgX00<000000:Vmj02Y_NP00P00
00030:VkiP030000002Y^^H000000080ZL7[00<000000:S0j`2X`>/00`0000000`2W]^<000000:Ne
h`030:Neh`030000002V]><0000000<000000P2T^NP00`000000X[KW0::fi`030000000509^_i@00
0000Uj_T09N[i00000000`2DYN4200000080TJ3O00@0000008jLg02>W=`000000`2>VMT010000000
SiSH08nHf000000209:Ie`H000000P2UZ]X01`000000[[OO000000000000]kcM0000002ka>400P00
00000`2man8000000;S1h0020;S1h0<0000000<0[;7L0000002Y[MX00P2Y[MX300000080[KGN00<0
00000;6jh@2a^^400`0000030;K5iP<0000000@0//3T0000002`_^@0/;kT0`0000030:nmi0<00000
0P2a`NH00`000000/L;W0;72i`02000000<0/<3V0`0000000`2__nH00000000000020:o0iP<00000
0P2_`>L01P000000[/3W000000000000[/3W00000080[/3W100000020:joi`030000002]`>L0[L3W
008000000`2]_nL300000080[KoW00<000000:foi`2]_nL00`0000020:boi`030000002/_nP0[;oX
008000000`2/_nP300000080[;oX00<000000:boj02/_nP010000000102/_nP000000:boj02/_nP3
00000080oooo00<000000?ooo`3oool0A@3oool002D0oooo0`00000?0?ooo`80000000<0[[[S0000
002_^>000P2_^>03000000<0[kSP00<000000;2ggP2`]mh00P0000030;2gg@030000002a]]`0/KKL
008000000`2a]M`01@000000/[CK0000002b]M/0000000<0/[CJ0`0000030;:dfP030000002b/mT0
/[?I008000000`2b/mT01@000000/[?I0000002c/mP0000000<0/[?H0`0000020;>bf0030000002b
/mT0/[?I00<000000`2b/]P01@000000/[?J0000002c/]L0000000<0/[?I0`0000020;:bf0030000
002a]=X0/KCJ008000000`2a/mX01P000000/;GL000000000000/[?I000000<0/;CL0`0000020;6d
f`030000002_]]h0[kKN008000000`2`]]d01@000000[[OO0000002`]Md0000000<0[kOO0`000002
0:ngg`030000002]^>40[KSQ00<000000`2^^>401@000000[;[S0000002^^>40000000<0[K[S0`00
00020:fih`030000002/^n@0[;_T00<000000P2/^n@00`000000ZkcV0:^liP0300000080ZkcV00H0
00000:^liP00000000000:^ki@0000030:ZliP<000000P2[_NL00`000000Z[gX0:Zmj00300000080
Z[cV00<000000:ZliP2Z_>H00`0000020:Znj0030000002Z_^P0Z[kX00<000000P2Y_NP00`000000
ZKgX0:Vmj00400000080ZK_V00<000000:VkiP2Y^nH00P0000030:W1j`<0000000<0Z;OS0000002W
]^<00P2W]^<00`000000YkGS0:Neh`0300000080YK_Y00<000000:Bij02T^NP0100000000`2N/nL0
000009^_i@0209^_i@030000002GZn@0Uj_T01@0000000<0U9GA0000002LW]D00P2LW]D00`000000
YJ[J0:FZfP02000000<0]kcM0P0000040;g7hP<0000000<0/[[O0000002//M`00P2//M`01@000000
ZJgJ0000002Z[m`0000000<0[KGN0`0000020;K4i@060000002faNH000000000002d`^@000000P2b
`>@300000080[kcS00H000000:nmi000000000000;6oi00000030;71iP<000000P2a`>H01@000000
/<3V0000002__nD0000000<0[koV0`0000020:o0iP030000002_`>L0[l3W008000000`2^`>L30000
0080[[oW00<000000:joi`2^_nL0100000000`2]_nL000000:foi`02000000030:foi`000000[KoW
0080[KoW0`0000020:foi`030000002/_nL0[;oW00<000000P2/_nL01@000000[;oX0000002/_nP0
000000<0[;oX0`0000020:boj0030000002/_nP0[;oX00<000000P2/_nP01@000000oooo0?ooo`3o
ool0000004H0oooo000U0?ooo`030000003oool0oooo00l0oooo00L000000:jjh`2^^^<0[[[S0000
002_^>0000000080[[[S00@000000:nhh02_^>00[kSP0`0000020:nhh0030000002`]md0/;OM00<0
00000P2a]md00`000000/KGL0;6eg002000000<0/[GK00<000000;:dfP0000000P2b]M/010000000
/[CJ0;:dfP2b]=X300000080/[?I00<000000;:cf@2b/mT00P0000030;>cf0050000002b/mP00000
0;>bf00000000`2c/]P3000000<0/k;G00<000000;:bf02b/]P00P0000030;>be`050000002b/mT0
00000;>ae`0000000`2b/]P300000080/[;H00<000000;6cfP2a/mX00P0000040;:cf@050000002`
]=`000000;:bf00000000`2a]=/300000080/K?J00<000000;2fg@2`]]d00P0000030;2eg@030000
002_]ml000000080/;CL00<000000:ngg`2_]ml00`0000030:nfgP030000002^^>40[[SQ00800000
0`2^^>401@000000[K[S0000002^^>00000000<0[KWS0`0000020:fih`030000002/^n@0[;_T00<0
00000P2/^n@00`000000ZkcV0:^liP02000000@0Zk_U0`0000000`2[_>H000000:^mi`020:^mi`<0
00000P2Z^nH00`000000Z[cV0:ZliP0300000080Z[gX00<000000:Znj02Z_^P00`0000020:Zmi`03
0000002Y_NP0ZKgX00<000000P2Y^nH00`000000ZK_V0:VkiP0400000080ZL7[00D000000:W1j`00
0000Z;OS000000030:Rgh`030000002W]^<0YkKS00<000000P2V_NT00`000000YK_Y0:Fkj@030000
0080XKKW00D0000009jci`2N/nL0W[?W0000000209^_i@H0000000<0TI;A0000002>S/l00P2>S/l0
10000000SHc=08f<c@00000208f<c@050000002@Slh0T8o>092?cP0000000`2DUM400`000000W9kE
09bNe@0300000080[k7I00<000000;Nlg@0000000P2obN800`000000_LOR0;g7hP02000000@0/[[O
00<000000:bag00000000P0000030:Z_g0050000002]]Mh000000;>nhP0000000`2fa>D2000000<0
]<;T0`0000020;2jh@030000002__><0[kcS00800000102a_n@3000000040;;1i@000000/L3V0;70
iP<000000`2__nD01P000000[koV000000000000/<3V00000080[l3V0`0000020:o0iP030000002^
`>L000000080[/3W00<000000:joi`2^_nL00`0000020:k0i`030000002]_nL0[KoW00800000102]
_nL3000000040:foi`000000[KoW0:foi`@0000000@0[KoW0000002/_nL0[;oW0`0000030:boj003
0000002/_nP000000080[;oX00<000000:boj02/_nP00`0000020:boj0030000002/_nP0[;oX0080
00000P3oool00`000000oooo0?ooo`140?ooo`00903oool00`000000oooo0?ooo`0A0?ooo`030000
002^^^<0[[[S00<000000`2^^^<01@000000[kSP0000002^^^<0000000<0[kSP0`0000020:nhg`03
0000002a]md0/KOM00<000000P2a]]d00`000000/[GK0;:ef`03000000<0/[GK00D000000;:dfP00
0000/[CJ000000030;:cf@<000000P2c/mT00`000000/k?H0;>cf002000000<0/k;H00D000000;>b
f0000000/k;G000000040;>be`<000000P2c/MH00`000000/k;G0;>be`02000000<0/k7G00D00000
0;:bf0000000/k7F000000030;:bf0<000000P2c/ML00`000000/[?I0;:cf@03000000<0/[;H00D0
00000;6df`000000/[7H000000030;6cfP<000000P2a/mX00`000000/;GM0;2eg@02000000<0/;CL
0`0000020;2df`030000002_]]h0[kKN00@000000P2_]]h00`000000[[SQ0:jhh@02000000<0[[SP
00D000000:fih`000000[[OP000000030:fih`<000000P2]^N800`000000[;_T0:bki00300000080
[;[T00<000000:^ki@2[^nD00P0000040:^liP050000002[_NL000000:^ji@0000000`2Z^nH30000
0080Z[gW00<000000:Zmj02Z_NP00`0000020:Zmi`030000002Z_NL0Z[gW00<000000P2Y^nH00`00
0000ZK_V0:VkiP0300000080ZL7[00<000000:W1j`2Y`N/00`0000030:Rgh`030000002X]n<0Z;OS
00<000000P2W_^X00`000000Y[gY0:Jmj@0300000080XkSX00<000000:6fi`2Q]^L01`0000001@2H
W=H0000009BGe02DUm@0000000<0TI;A00@0000008j>c`2>S/l000000`2=S<d010000000SHc=08f<
c@000003092?cP080000002DUM40U9GA0000002LW]D000000:JUe00000030:naf@8000000`2obN83
00000080^LCS00<000000;:jg`2b^]l00`0000020:R/fP030000002Z[m`0ZZoL00<000000`2c_^80
0`000000]/CU000000020;O4i0050000002d`^@000000;:kh00000000`2`^^4300000080/KgS00<0
00000;6oi02a_n@00P0000030;;1i@<000000P2`_nD00`000000[koU0:noi@0300000080/<3V1000
0000102``NH000000:o0iP2_`>H3000000<0[/3W0`0000020:k0i`030000002^`>L0[/3W00<00000
0P2]`>L00`000000[KoW0:foi`02000000<0[KoW0`0000020:foi`030000002]_nL0[KoW00<00000
0P2/_nP00`000000[;oX0:boj003000000<0[;oX0`000000102/_nP000000:boj02/_nP400000080
[;oX100000150?ooo`00903oool00`000000oooo0?ooo`0B0?ooo`8000000`2[_>D00`000000[[[S
0:jjh`02000000<0[[[S00D000000:nhh0000000[[[S000000030:nhg`<0000000<0[kSO0000002a
]]d00P2a]]d3000000<0/KKM00<000000;:ef`2b]M/00P0000030;:dfP050000002b/mT000000;:d
fP0000000`2c/mT3000000030;>cf0000000/k;H0080/k;H0P0000030;>be`060000002c/]L00000
0000002c/MH000000`2c/MH300000080/k7F00<000000;>ae`2c/ML00P0000030;>aeP050000002b
/]P000000;>`e@0000000`2c/ML3000000<0/k3F00<000000;:bf02b/]P00P0000030;:af0050000
002a/mX000000;:ae`0000000`2a/mX300000080/K;I00D000000;2dg0000000/[7H000000030;2d
f`<000000P2`/m/00`000000[kKN0:nfgP0400000080[kGM00<000000:jhh02^^>000P0000030:jg
h0030000002]^N<000000080[[OP00<000000:fihP2]^N800`0000020:fhhP030000002/^^@0[;[T
00<000000P2/^nD00`000000ZkcV0:^liP03000000<0Zk[U00<000000:ZkiP0000000P2[_>H00`00
0000Z[gW0:Zmi`0300000080Z[cW00<000000:Zmi`2Z_NL00`0000020:ZkiP030000002Y^nH0ZK_V
00<000000P2Y`N/00`000000ZL7[0:W1j`0300000080Z;OS00<000000:Rgh`2X]n<0100000020:Ro
jP030000002W_^X0YkkZ00<000000P2U^^P00`000000XkSX0:>hj0030000000609jUfP0000000000
0000002KXMT000000`2HW=H010000000U9OD09BGe0000002096Bd@050000002>S/l0SXk?08j>c`00
00000P2=S<d010000000SHc=08f<c@000002092?cPH000000`2VYM@00`000000[k7I000000020;c6
hP050000002obN8000000;k;i00000000`2ia><3000000030:V/f@000000Z:cJ0080Z:cJ0`000002
0:neg@030000002c_^80/kkR00<000000`2ga>@2000000<0/[_P00D000000;2jh@000000/K_Q0000
00030;6mh`<000000P2c`ND00`000000//7U000000020;;0i@030000002`_nD0/;oU00<000000P2`
`>D00`000000/<3V0000000300000080/<7V0`0000020:o0i`060000002^`>L000000000002^`NL0
00000`2^`>L3000000040:k0i`000000[L3W0:g0i`@000000P2]`>L00`000000[KoW000000020:g0
j0030000002]_nL0[KoW00<000000P2/_nP00`000000[;oX0:boj00300000080[;oX00H000000:bo
j000000000000:boj00000020:boj0<000000P2/_nP00`000000[;oX0:boj00300000080oooo00<0
00000?ooo`3oool0@P3oool002@0oooo00<000000?ooo`3oool0503oool00`000000ZkcU0:^li@03
00000080ZkcV00<000000:jjh`2^^^<00P0000030:jjh`050000002_^=l000000:jjh`0000000`2_
^=l01@000000/KKM0000002`^=l0000000@0/KKM0`0000020;6fg0030000002b]=X0/[CJ00800000
0`2b]=X01@000000/k?I0000002b]=T0000000<0/k?H00D000000;>bf0000000/k;G000000030;>b
e`800000102c/MH01@000000/k7F0000002d/MD0000000<0/k7F0`0000000`2d/=D000000;>aeP02
0;>aeP8000000`2c/=D01@000000/k7G0000002d[m@0000000@0/k3F0`0000020;>`e@030000002b
/MP0/[7H008000000`2b/ML01@000000/K?J0000002c/=H0000000<0/K;I0P0000030;:af0050000
002`]=/000000;:ae`0000000`2`/m/3000000<0/K?J00<000000:neg@2_]Md00`0000020:neg@03
0000002^]n00[[OP008000000`2^]n0300000080[[KO00<000000:fhhP2]^>800`0000020:fihP03
0000002/^nD0[;_U00<000000P2/^N<00`000000Zk[U0:^ji@03000000<0ZkcV0`0000020:^liP03
0000002Z_>L0Z[cW00<000000P2Z^^D00`000000Z[_V0:ZkiP0300000080Z/7Z00<000000:W1j`2Y
`N/00`0000020:Vgh`030000002X]n<0Z;OS00<000000P2X_nX00`000000Z;oZ0:RojP0400000080
Y[_X00<000000:Fjj02U^^P00`0000001P2QZM`00000000000000000WZGJ000000<0Vj7I00@00000
09RLeP2HW=H000000P2DUm@@0000000309FCc`000000WI[A0080WI[A00@000000:JUe02VYM@0YZGD
0P0000030;c6hP8000000`2nbn@01@000000^LCS0000002^[mT0000000<0ZJcI00D000000:R/fP00
0000Zj_G000000030:neg@<000000P2h`^801P000000]lCT000000000000][kP00000080/[_P0`00
00030;6kh@030000002a_N<000000080]<;T00<000000;?1i@2c`ND00P0000030;;0i@<000000P2a
`>D00`000000/<3U0;30i@0200000080/<7W100000020:o1i`030000002_`>L0[l3W00800000102^
`NL3000000040:k1j0000000[/3W0:k0i`<000000P2]`>P00`000000[L3W0:g0i`03000000<0[L3X
0`000000102]`>P000000:boj02/_nP400000080[;oX00<000000:boj02/_nP00P0000030:boj0<0
00000P2/_nP00`000000[;oX0:boj00300000080[;oX00@000000?ooo`3oool00000A03oool002@0
oooo00<000000?ooo`3oool05@3oool200000080Z;kY00<000000:^liP2[_>H00`0000020:^liP03
0000002^^^<0[[[S008000000`2^^^<00`000000[kSO0:nhg`02000000<0/;SO00H000000;6fg@00
000000000;2hg`0000030;6fg0<000000P2a]]`00`000000/[CJ0;:dfP02000000<0/[CI00<00000
0;>cf02c/mP00P0000030;>be`030000002c/]L000000080/k;G00@000000;>aeP2c/MH0/k7F0P00
00030;Bae@050000002c/MH000000;B`e00000000`2d/=D01@000000/k7F0000002d[m@0000000<0
/k3E0P0000030;B_e0060000002c/=H000000000002d[]<000000`2c/=D300000080/joD00<00000
0;:ae`2b/ML00P0000030;>`eP050000002a/]T000000;>_e00000000`2b/MP2000000<0/[7G00D0
00000;2cf`000000/[3F000000040;6cfP<000000P2a/]T00`000000[kGM0:neg@0300000080/;CL
00D000000:jgh0000000/;?K000000030:jfg`<000000P2^]ml00`000000[KWR0:fihP0300000080
[KOQ00<000000:bih`2/^N<00`0000020:bki0060000002[_>H000000000002/^^@000000`2[_>H3
00000080ZkWT00<000000:Zji@2Z^^D00`0000020:[1jP030000002Z`NX0Z/7Z00<000000P2Y]n<0
0`000000ZKOS0:Vgh`0300000080ZL3Z00<000000:RojP2X_nX00`0000020:Nlj0030000002V^nP0
Y[_X00@0000000H0Xj_M00000000000000000:6Yg000000209jUfPX0000000D0S:3Q0000002:V=X0
RYSJ0000000208ZAe@050000002<S]40S8kA08b>d@0000000P2?Sll01@000000UI??09FCc`2ETll0
000000<0WI[A00<000000:JUe00000000P2d_>001@000000_<KR0000002ob^<000000080_/_T0`00
00030:j_f@030000002Y[=T0ZJcI008000000`2[ZmL00`000000[kGM000000020;RmgP030000002h
`^80^<;R008000000`2f_^0300000080/[[O00<000000;6kh@2a^n400`0000030;C2i0<000000P2c
`nD01@000000//3U0000002a`^H000000080/L3U100000020;72i`060000002``NL000000000002`
`nP000000P2_`NL300000080[l7X00<000000:k1i`2^`NL00P0000030:k1j0<000000P2]`NP00`00
0000[L3X0:g0j00300000080[L3X00H000000:g0j000000000000:g0j00000020:g0j0<000000P2/
`>P00`000000[;oX0:boj00400000080[;oX00D000000:boj0000000[;oX000000020:boj0@00000
0P2/_nP00`000000[;oX0:boj00200000080oooo00<000000?ooo`3oool0@@3oool002@0oooo0`00
000F0?ooo`030000002X_^T0Z;kY00<000000P2X_^T00`000000ZkcV0:^liP0300000080ZkcV00<0
00000:jjh`2^^^<00`0000020:fjh`030000002`^=l0/;SO00<000000`2`^=l01@000000/KKL0000
002`^=l0000000<0/KKL0`0000000`2a]]`000000;:df@020;:df@<000000P2c/mT00`000000/k;G
0;>be`02000000@0/k;G00D000000;>aeP000000];7F000000030;Bae@8000000`2d/=@00`000000
];3E0;B`e@02000000<0]:oD00D000000;>`e@000000]:oC000000030;B_e0800000102d[]<01@00
0000/k3E0000002d[]80000000<0/joD0`0000020;B^d`030000002c/=H0/k3F008000000`2c[m@0
1@000000/[7H0000002c[]<0000000<0/[7G0P0000030;:`eP060000002a/mX000000000002b[mD0
00000`2a/]T300000080/K7H00<000000;2dg02`]=`00P0000030;2cf`050000002^]]l000000;2c
f`0000000`2^]ml300000080[[CM00<000000:fgh@2]]n400`0000020:fihP030000002/^n@0[;_T
00800000102/^^@3000000030:bghP000000ZkWT0080ZkWT0`0000020:_0j@030000002Z`NX0Z/7Z
00<000000P2Y]n800`000000ZKOS0:Vgh`0300000080ZL7[00<000000:W0jP2Y`>X00`0000020:Rl
j0030000002W_>P0YkcX00<000000P2U[]h3000000040:>[g@000000XJWL0:6Yg0<0000000<0V;_`
0000002C/^`00P2C/^`010000000T:WW092Yi`00000308bPh@040000002:V=X0RYSJ00000080RY7E
00D0000008b>d@2<S]40S8kA0000000208n?c`040000002ETll0UI??00000080WI[A0`0000030;Bl
h08000000P2ob^<300000080];GI00<000000:j_f@2^[mT0100000000`2XY=8000000:^[e`020:^[
e`8000000`2h_Mh300000080^/;Q00D000000;Jnh0000000];cP000000030;:jg`<000000P2d`^@0
1P000000]<;T000000000000]LKW00000080/l?U0`0000020;72iP<000000P2a`nP00`000000/L;W
0;72i`0300000080/<?X10000000102_`^P000000:o1j02_`NP400000080[/;X00<000000:k1j000
00000P2]`^P00`000000[L7X0:g1j00300000080[L7X00<000000:g0j02]`>P00P0000030:g0j0<0
00000P2/`>P00`000000[<3X0:c0j00300000080[<3X00<000000:boj02/_nP00`0000020:boj0<0
00000P2/_nP00`000000[;oX0:boj004000000030:^oj0000000oooo0080oooo00<000000?ooo`3o
ool0@03oool002@0oooo00<000000?ooo`3oool05`3oool200000080YKo/00<000000:Rnj@2X_^T0
0`0000020:RnjP030000002[_>H0ZkcV00<000000P2[_>H00`000000[K[S0:fjh`03000000<0[K[S
00<000000;2hg`2`^=l00P0000030;2hg`050000002a]]`000000;2hg`0000000`2a]]`01@000000
/[CI0000002b]M/0000000<0/k?I0`0000020;>cf0030000002c/]L0/k;G00<000000`2d/MH01@00
0000];7E0000002d/MD0000000<0];3D0`0000020;B_d`030000002d[m@0]:oD008000000`2d[m<0
1@000000]:oD0000002e[]80000000@0]:kC0P0000030;B^dP050000002c[m@000000;F]d@000000
0`2d[]<3000000030;B]dP000000/joD0080/joD0P0000030;>^d`050000002b/ML000000;>]dP00
00000`2b/=H2000000@0/ZoE0`0000000`2c[]<000000;6af0020;6af0<000000P2a/=L00`000000
/;?K0;2cf`02000000<0/;?K00D000000:jgg`000000/;7I000000030:jdg@<000000P2_]Mh00`00
0000[KWR0:fihP0300000080[KSQ00<000000:bji02/^^@00P0000040:bghP<0000000@0[;kW0000
002[`>T0Zl3Y100000020:Zeh@030000002Y]n80ZKOR00<000000P2Z`N/00`000000ZL7[0:W1j`03
00000080Z;cW00<000000:Rlj02X_>P00`0000020:J`g`<0000000<0YJkN0000002SZmd010000002
09_2l`040000002H^o00V;_`00000080Tk;/2`00000208ZAe@050000002<S]40S8kA08b>d@000000
0P2?Sll00`000000UI??09FCc`0300000080Z:oL00X000000;Blh000000000000;^og@000000_l[S
0000002k^ML000000`2d]MT300000080ZJ;?00L000000:RTdP2XY=80Z:CB0000002[ZmL000000080
]KKI00D000000;RmgP000000_/OR000000030;[2h@8000000`2d_>000`000000/[[O000000020;C2
i0030000002d`^@0]<;T008000000`2ea^L300000080//?W00<000000;72iP0000000P2`a>P00`00
0000/L?X0;73j00300000080/<CY00<000000;33j00000000`0000020:o2j0<000000P2^`^T00`00
0000[/;X0:k2j003000000<0[L;X0`000000102]`NT000000:g1j02]`NP400000080[L7X00D00000
0:g0j0000000[<7Y000000020:c0j0@000000P2/`>P00`000000[<3X0:c0j00300000080[<3X00D0
00000:boj0000000[;oX000000030:boj0<000000P2[_nP00`000000ZkoX0:^oj00200000080oooo
00<000000?ooo`3oool0@03oool002@0oooo00<000000?ooo`3oool0603oool00`000000YKo/0:Fo
k00300000080YL3]00<000000:RnjP2X_^X00`0000020:NnjP030000002[_>H0ZkcV00<000000`2Z
_NL00`000000[K[S0:fjh`0300000080[K[S00<000000;2hg`2`^=l00P0000030;2hg`030000002a
]]`0/KKL008000000`2b]M/01@000000/k?I0000002b]M/0000000<0/k?H0`0000020;>cf0040000
002d/MH0];7F0;BaeP8000000`2d/MD01@000000];3D0000002d/=@0000000<0]:oC0`0000000`2e
[m<000000;B_d`020;B_d`8000000`2e[]801P000000]:kC000000000000]JgA000000<0]:kB0P00
00030;F]d@050000002d[]<000000;F/c`0000000`2d[M801@000000/joD0000002d[=00000000<0
/jkC0P0000030;>]dP050000002b/=H000000;B/d@0000000`2b[mD2000000@0/jkC0`0000000`2c
[=8000000;6`e`020;6`e`<000000P2b/=H00`000000/;?K0;2cf`02000000<0/;7I00D000000:jd
g@000000/;7H000000030:negP<000000P2_]Md00`000000[KSQ0:fhh@0300000080[KCN00<00000
0:bghP2/]n800P0000030:bni`<000000P2[/]h010000000Z[GQ0:Zeh@2Z]N4300000080Zl7Z00<0
00000:[1j`2Z`N/00`0000020:RkiP030000002X_>L0Z;cW00<000000P2W/^4900000080W/Kd00<0
000009_2l`2K`_<01`0000001@2?TM40000008^=d02;SM00000000<0QXW?00<0000008B7c`24Qll0
300000000`2KX=P000000:R_g0020:R_g08000000`2k_md2000000<0^kWG00D000000;Bef@000000
[ZK@000000040:VRc`030000002XY=80Z:CB008000000`2e]]T2000000<0_/OR00<000000;[2h@00
00000P2g`N800`000000];cP0;Blh002000000<0]<;T0`0000020;G8j0030000002ea^L000000080
//GX00<000000;;3i`2b`nL00P0000030;34j0<000000P2`aNT00`000000/<CY0;34j@0200000080
[l?Y100000020:k3j@030000002^`^T0[/;Y00<000000P2]`^T01P000000[L;X000000000000[L7Y
00000080[L7Y0`0000020:g1j@030000002]`NP0[L7X00<000000P2/`NT300000080[<3Y00<00000
0:c0j02/`>P0100000020:c0j0030000002/`>P0[<3X008000000`2/_nP00`000000[;oX00000002
0:^oj0030000002[_nP0ZkoX00<000000P2[_nP010000000oooo0?ooo`0000110?ooo`008`3oool0
0`000000oooo0?ooo`0J0?ooo`8000000P2R`Nl00`000000YL3]0:G0k@0300000080Y<3]00<00000
0:NnjP2W_^X00`0000030:Noj`030000002Z_NL0Z[gW00<000000P2Z_NL00`000000[K[S0:fjh`03
00000080[K[S00<000000;2hg`2`^=l00`0000020;2hg`030000002b]M/0/[GK008000000`2b]M/0
1@000000/k?H0000002b]M/0000000@0/k?H00D000000;BaeP000000/k;G000000030;Bae@800000
0`2d/=@01@000000]:oC0000002d/=@0000000<0]JoC00D000000;B_d`000000]JkB000000030;F^
dP800000102e[M43000000030;F/c`000000]JgA0080]JgA0P0000030;F/c`030000002d[M80]:gB
008000000`2d[=001@000000/jkC0000002eZll0000000<0/jgB0P0000030;B/d@050000002b[mD0
00000;B[c`0000000`2c[]<2000000@0/jcB00D000000;6`e`000000/jcA000000030;:`eP<00000
00<0/ZgC0000002`/MT00P2`/MT2000000<0/;7H00D000000:negP000000/K3H000000030:neg@<0
00000P2^/=T00`000000[KCN0:fdgP0300000080[[cT00D000000:bni`000000[:oJ000000040:^b
gP<0000000@0[KoX0000002[`NX0Zl7Z100000020:Vii0030000002X^nH0Z;_V00<000000P2X]>46
00000080X/Sc00<000000:78m02Qb?@01P00000209VLe@040000002DU]<0U9KC000000<0Si7A00@0
000008^=d02;SM0000000P26RLl010000000Q8O?08B7c`00000208B8c`0500000028S=00R8c@08R<
d00000000P2@U=<01`000000Vj3H09^Pf02KX=P000000:R_g00000000P2`[MD01@000000^koM0000
002o^M@0000000<0^kWG0P0000030:jVd0040000002YX/l0ZJ;?0:VRc`<0000000<0/JkE0000002e
]]T00P000000102ob^<000000;k7hP2nan83000000<0]l7R0`0000020;?1i0050000002d`^@00000
0;G:j@0000000P2eb>P3000000<0//GX0`0000020;34j@050000002`a>P000000;35j@0000000P2`
aNT400000080[/?Y00H000000:o3j@00000000000:k2j@0000020:k3j@<000000P2]`^T00`000000
[L;Y0:g2j@02000000<0[L7Y0`0000020:g1j@030000002]`NT0[L7Y00<000000P2/`NT00`000000
[<7Y000000020:c0j0030000002/`>T0[<3Y00<000000P2/`>P00`000000[<3X0:c0j00400000004
0:c0j0000000[;oX0:boj0<000000`2[_nP3000000040:^oj0000000ZkoX0:^oj0<0000000<0oooo
0000003oool0@03oool002<0oooo00<000000?ooo`3oool06`3oool00`000000X/7_0:;1k`030000
00<0XL7`00<000000:C0k@0000000P0000030:?1kP030000002W_n/0Yko[00<000000P2V_n/00`00
0000Z[gW0:Zmi`0300000080Z[gX00<000000:fjh`2]^^<00`0000020:fki0030000002`^=l0/;SO
00<000000P2`^=l00`000000/[GK0;:ef`02000000<0/[GK00<000000;>cf02c/mP00`0000030;>b
e`050000002d/MD000000;Bbe`0000000`2d/=@2000000<0];3D00<000000;F_d`2e[m<00P000003
0;F^dP050000002e[]8000000;F]d@0000000`2e[M42000000@0]Jc?00D000000;F]d@000000]Z_>
000000030;F/c`<0000000<0]J_>0000002d[=000P2d[=02000000<0]J_?00D000000;>]dP000000
]JW=000000030;B/d@8000000`2dZll01@000000/jkC0000002dZLd0000000@0/jcB0P0000030;>/
d@050000002b/=H000000;>YcP0000000`2b[M<01@000000/;7I0000002b[=80000000<0/;7H0P00
00030;6`f0050000002_]Md000000;2[d`0000000`2^/=T300000080/KON00<000000:jli02^_>@0
0P0000030:b_fP030000002[/]h0Zk;N008000000`2]_nP300000080Z[KQ00<000000:Vii02Y^N@0
100000020:Vdh@H000000P2TbO<00`000000X/Sc0:;8l`03000000050:6Uf@000000WJ7G09fQe`00
0000102IW=D010000000U9KC09BFd`00000208nAd@040000002;SM00Rhg@000000<0QXW?00@00000
08B7c`24Qll000000P24R<l01@000000R8c@08R<d028S=0000000080T9CC00<0000009^Pf02KX=P0
0P0000040;2]e@090000002o^M@0_kWD0;nie0000000^kWG0000002g/M<0000000<0[ZK@00H00000
0:VRc`00000000000:jYd`0000020;6^e@8000000`2ob^<300000080^lWU00H000000;O1hP000000
00000;?1i@0000020;?1i0<000000P2eb^T300000080/lOY00H000000;;5j000000000000;33j000
00020;34j@<000000P2`aNT300000080[l?Y00<000000:k3j@2^`nT00`0000020:k2j@@0000000@0
[/;X0000002]`^T0[L;Y100000020:g1j@050000002]`NT000000:g1j00000000P2]`NT400000080
[<7X00<000000:c1j@2/`NT00P0000030:c0j0<000000P2/`>P00`000000[<3X0:c0j00300000080
[<3X00<000000:c0j02/`>P00`0000020:^oj0060000002[_nP000000000002[_nP000000P2[_nP3
00000080ZkoX00@000000?ooo`3oool00000@03oool002<0oooo00<000000?ooo`3oool0703oool2
000000<0Wl;a00<000000:71l02Q`O000P0000030:32l0030000002S`Nh0Xl7^00<000000P2R`Nl0
0`000000Y[o[0:Joj`0300000080Y/3/00<000000:Zmj02Z_NP00`0000020:Vnj0030000002]^n@0
[K_T00<000000P2]^n@00`000000/;SO0;2hg`0300000080/;SO00<000000;:ef`2b]M/00`000003
0;:ef`030000002c/]L0/k;G008000000`2d/]L01@000000];3D0000002d/]H0000000<0];3D0`00
00000`2e[m<000000;F^dP020;F^dP8000000`2e[M401@000000]JgA0000002f[=00000000@0]Jc?
0P0000030;J[cP050000002e[<l000000;JZc@0000000`2eZlh01@000000]:c@0000002fZLd00000
00<0]J_?0P0000030;FYc@050000002d[=4000000;FXc00000000`2dZll2000000<0]:W=00H00000
0;>/dP00000000000;FXc00000030;>/d@8000000`2cZLh00`000000/ZgC0;:]d`02000000<0/ZcB
00D000000;2af0000000/jcA000000030;6`f08000000`2`Zm<01@000000[[3I0000002c/ML00000
00<0/KON0`0000020:fZe0030000002/[mX0[:oJ00<000000P2_^n<01@000000[KoX0000002]/M`0
000000<0Z[KQ0`0000020:^ag@030000002Y]>40000000@000000P2VbO800`000000Y<Wc0:C9l`03
000000030:>Vf0000000XJGI0080XJGI00@0000009fQe`2MXML000000P2IW=DB00000080Q8S?00<0
000008R<d028S=001`0000000`2TV//000000;2]e@020;2]e@8000000`2o^M@2000000<0]k7C00<0
00000:jVd02^Y]000P0000040:jYd`8000000P2mb><00`000000_l[S000000020;kAj0030000002k
bND0^lWU008000000`2c`ND300000080]<SY00<000000;G:j@0000000P2db>T00`000000/lOY0;?7
j@02000000<0/<?X0`0000020;33j0030000002`aNT000000080/<;X00<000000:o3j@2_`nT00`00
00020:k1j0030000002^`^T0000000<000000P2^`^P300000080[L7X00<000000:g1j@2]`NT00`00
00020:g1j0<000000P2]`>P00`000000[<7X0:c1j004000000030:c0j0000000[<3X0080000000@0
[;oX0000002/`>P0[<3X10000000102/_nP000000:c0j02/`>P400000080ZkoX00<000000:^oj02[
_nP00P0000030:^oj0<000000P2[_nP00`000000ZkoX0:^oj00200000080oooo00<000000?ooo`3o
ool0?@3oool002<0oooo00@000000?ooo`00000000007@3oool00`000000Wl;a09o2l@0300000080
W/;b00<000000:32l02P`_000`00000209o2l@030000002R`Nl0X/7_00<000000P2Q`_000`000000
Y/3/0:K0k00300000080YL3]00<000000:Vnj02Y_^P00`0000000`2Y_^T000000:fki0020:fki0<0
000000<0[K_T0000002`^=l00P2`^=l300000080/;SO00@000000;:ef`2b]M/0/[GK0`0000020;:e
fP030000002d/]L0];;G008000000`2d/]H01@000000];3D0000002d/MH0000000<0]JoC00D00000
0;F^dP000000]JkB000000030;F]d@8000000`2f[=001P000000]Jc?000000000000]Zc>000000<0
]Z_>0P0000030;JZc@030000002eZlh0]J_>008000000`2fZLd01@000000]J_?0000002fZ</00000
00<0]JW=0P0000030;FXc0050000002dZll000000;JVb@0000000`2dZLd2000000@0]JS<0`000000
0`2eY/T000000;>YcP020;>YcP<0000000<0]:O<0000002b[=800P2b[=82000000<0/jcA00D00000
0;6`f0000000/ZK<000000030;2[d`8000000`2c/ML01@000000/KON0000002_Y<d0000000<0[J[D
0`0000020;6df`030000002_^n<0[k_S008000000`2]/M`01@000000Z[KQ0000002[ZM@000000080
Zk7M1@000000102[b_0000000:K9lP2VbO84000000030:>Qd`000000XjKH0080XjKH00<000000:6U
f@2QYMT01P0000000`2DV]L00000096Ad002096Ad0040000002=R//0SH[;00000080RX?500@00000
08Qm`@28OL4000000P28N[d6000000030920_P000000VH_30080VH_300L000000:BJb`2TV//0Y9[;
0000002`[MD000000080_KCA00D000000;nie0000000`/7H000000030;Nad`<0000000<0[:SC0000
002^ZM<00P2^ZM<2000000<0_LSS0P0000030;kAj0<000000P2c`N@00`000000/l7U000000020;?2
iP030000002db>T0]<SY00<000000P2db>T300000080/L;V00<000000;33j00000000P2a`NH00`00
0000/<?X0;33j002000000<0/<;X0`0000020:o0i`030000002^`NP0[/7X008000000P2^`NP40000
0080[/3W00<000000:g1j02]`NP00`0000020:g0j0030000002]`NP000000080[L3W00<000000:g0
j02]`>P00`0000020:boj0030000002/`>P0[<3X008000000`2/_nP300000080[;oX00<000000:bo
j02/_nP00`0000020:boj0030000002[_nP0ZkoX00@0000000<0ZkoX0000002[_nP00P000000102[
_nP000000:^oj02[_nP4000000040:^oj0000000oooo0?ooo`800000?P3oool002<0oooo0P00000P
0?ooo`8000000P2M`_800`000000W/;b09k2lP0300000080WL;b00<0000009o2l@2O`_400`000002
09k2lP030000002Q`_00XL;`00<000000P2P`_000`000000YL3]0:G0k@0300000080Y<7^00P00000
0:Vnj@2Y_^T000000:fki0000000Z;kZ000000<0[K_T00D000000;2hg`000000[;cU000000040;2h
g`050000002b]M/000000;2hg`0000000`2b]MX3000000030;:dfP000000];;F0080];;F0P000003
0;BaeP030000002e[m<0]JoC008000000`2e[]801@000000]JgA0000002f[]40000000<0]Zc@0P00
00040;J/cP<0000000<0]Z_=0000002fZ/d00P2fZ/d01@000000]J_>0000002fZL`0000000<0]ZW=
0P0000030;JXb`050000002eZLd000000;JWb@0000000`2eZ<`2000000<0]ZK900D000000;BYc@00
0000]ZG8000000030;FXc0800000102eY/T3000000030;FTa`000000]:O<0080]:O<00D000000;:/
dP000000]JO;000000030;>/d@8000000`2bY/`01@000000/:_C0000002eZll0000000<0/k7G0P00
00030:nTc@050000002]Z]@000000;>[d00000000`2a]=/300000080/:cD00<000000:fag02]/M`0
0P0000020:^Ye0<0000000@0Zk7M00000000000000000P2[b_0300000080XYS:00H000000:>Qd`2S
XM<0Xj7C0000002SY]P40000000509bhk0000000V:KO09RVg`0000000`2DV]L010000000TI7@096A
d000000308f:b`040000002:PlD0RX?500000080R7g100@0000008Qj_@28N[d000000P2;Nk`01@00
0000T82n0920_P2@P;h000000080VH_300@000000:BJb`2TV//0Y9[;0P0000030;fdd@8000000`32
`MP01@000000]k7C0000002_[=D0000000<0[:SC00<000000:jYd`0000000P2g_n000`000000_LSS
000000020<7Dj0030000002ndNP000000080]l;S00<000000;?1i02c`N@00P0000030;?2iP<00000
0P2fanL300000080/l7T00<000000;72iP2a`^H00P0000030;71iP<000000P2a`^H00`000000/<;X
000000020;30i@030000002_`>L0[l3W00<000000P2_`>H01P000000[/7X000000000000[l3V0000
0080[/3W0`0000020:joi`030000002]`>P0[L3X008000000`2]`>L300000080[KoW00<000000:bo
j02/_nP00`0000020:boj0050000002/_nP000000:boi`0000000`2/_nP300000080[;oX00<00000
0:boj02/_nP00`0000020:^oj0030000002[_nP0ZkoX008000000`2[_nP300000080ZkoX00<00000
0:^oj02[_nP00`0000000`3oool000000?ooo`0m0?ooo`008`3oool00`000000oooo0?ooo`0Q0?oo
o`D000000P2M`_800`000000WL;b09g2lP0300000080W<;c00<0000009k2lP2N`_800`00000209g3
l`030000002P`_00X<;`00<000000P2O`_400`000000Y<7^0:C1kP05000000<0Z;kZ00<000000:fk
i02]^n@00P0000030:bli@030000002`^=l0/;SO00<000000`2`^=l01@000000/[GJ0000002_^>00
000000<0/[CJ00D000000;BbeP000000/[CJ000000030;BaeP<000000P2d/MD00`000000]JkB0;F^
dP02000000<0]ZkA00D000000;J/d0000000]Zg@000000030;J/cP800000102fZld00`000000]Z[=
0;JZc@02000000<0]ZW<00D000000;JYc@000000]jS:000000030;JXb`8000000`2fYlT01@000000
]JS<0000002fYLL0000000<0]ZK90P0000030;JUb0050000002eZ<`000000;JSa@000000102eY/T0
1@000000]JC70;FTa`2eY<L0000000<0]:O<0P0000030;FWb`050000002c[=4000000;>QaP000000
0`2bY/`2000000<0]J_?00D000000;>ae`000000/Io5000000030:nTc@8000000`2cZm001@000000
/KCK0000002cYl`0000000<0/:cD0`0000001@2/W/T00000000000000000ZjWD00<000000P2bbN/3
000000030:6=_`000000XYS:00<0XYS:00<000000:>Qd`0000000P0000020:7>m`050000002L^>`0
W;S/09bhk00000000P2HY]l010000000U9[G09BJe`000003096Ad0040000002=R//0SH[;00000080
RX?500@0000008Qm`@28OL4000000P28N[d01@000000Rg^l08]k_02;Nk`000000080T82n00@00000
09V;``2IRl<0VH_30`0000000`2fZld000000;fdd@02000000040<[>g0000000`/7H0<;1f0<00000
0`2_[=D00`000000[:SC0:bXd`02000000<0]koP0P0000030<7Dj08000000`2g`^<300000080/kcP
00H000000;?2iP000000]lCT0000002fanL2000000040;K1hP000000/l7T0;?1i0@0000000<0/[oT
0000002a`NH00P000000102c`ND000000;72iP2a`^H3000000<0/<3U0`000000102``>D000000:o0
iP2_`>H300000080[l3V10000000102__nH000000:joi`2^_nL400000080[[oW00D000000:g0i`00
0000[[oW000000020:foi`@000000P2]_nL00`000000[;oX0:boj002000000<0[;oW00<000000:bo
j00000000P2/_nL00`000000[;oX0:boj00300000080[;oX00<000000:^oj02[_nP00`0000020:^o
j0030000002[_nP000000080ZkoX00<000000:^oj02[_nP00`0000020:^oj0040000003oool0oooo
000003d0oooo000A0?ooo`<00000103oool2000000P0oooo00<000000?ooo`3oool08`3oool00`00
0000W/7a09k1l@0600000080W<;c00<0000009c2l`2L`_<00`00000209_3l`030000002M`o<0WL?c
00<000000P2K`o@00`000000Wl;a09o2l@0300000080WL?b00@000000:?1k`2S`Nl000000P2X_^X3
00000080Yko[00<000000:bli@2/_>D00`0000030:bli@030000002`^=l0/;SO008000000`2_^>00
0`000000/[CJ0;:dfP02000000<0/[CJ00D000000;BaeP000000/[CJ000000030;Bae@<0000000<0
];7E0000002f[]400P2f[]42000000<0]Zg@00D000000;J/cP000000]Zg?000000040;J[c@050000
002fZ/d000000;NZc00000000`2fZL`2000000<0]jS:00D000000;JXb`000000]jK8000000030;JW
b@8000000`2fYLL01@000000]ZK90000002gY<D0000000@0]ZG800D000000;JSa@2fXlD0]Z?50000
00020;FVb@800000102eY<L3000000030;JSa@000000]JO;0080]JO;0P0000030;>QaP050000002b
Y/`000000;JTa`0000000`2eZll2000000<0/Io500D000000:nTc@000000/j76000000030;>[d080
00000`2cYl`010000000/:cD0000002[U;h3000000040:bNb@000000ZjWD00000080^/?Q00D00000
0;;9j`000000XXFe000000030:6=_`030000002RV<X0XYS:00<000000P2YgoXE00000080RX?500@0
000008Qm`@28OL4000000`28N[d010000000Rg^l08]k_00000020920_P030000002IRl<0VH_30080
0000102fZld010000000b/kL0<[>g03:c]`300000080]KCH00@000000:n/e@2_[=D0[jcE0`000002
0:nafP060000002g_n0000000<3<i0000000`MCX0P0000000`2la>0000000;O2h`02000000040;Bg
f`000000/kcP0;>lh0<000000P2ga>@2000000<0]/7R0`0000020;BnhP030000002b_n@0/[oT0080
00000`2c`ND300000080//3U00H000000;30i@00000000000;71i@0000020;30i@<000000P2``>H0
0`000000[l3V0000000300000080[koV0`0000020:joiP030000002^_nL0[[oW00<000000P2^_nL3
00000080[KoW00<000000:foi`2]_nL010000000102]_nL000000:boi`2/_nL3000000<0[;oW0`00
0000102/_nL000000:boj02/_nP4000000040:boj0000000ZkoX0:^oj0<000000`2[_nP300000004
0:^nj0000000ZkoX0:^oj0<0000000<0oooo0000003oool0?03oool00100oooo00D000000?ooo`3o
ool0oooo000000020?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0903oool2
00000080X;o_00<0000009g1l@2M`O401P00000209_2l`030000002K`o<0Vl?c00<000000P2J`o@0
0`000000Vl?d09_3m00300000080V/?d00<0000009g3lP2M`o801P0000020:72l0030000002W_n/0
Yko[00<000000`2V`>`00`000000[;cU0:bli@0300000080ZkgV00<000000:nhh02_^>000`000002
0:nih0030000002b]=X0/[CJ008000000`2b]=X01@000000];7E0000002b]=X0000000<0];7E00D0
00000;J^d@000000]K3D000000030;J]d08000000`2f[Ll00`000000]Z_=0;J[c@03000000<0]j[<
00D000000;JYc0000000]jS;000000030;NXbP8000000`2gY/P01@000000]ZO90000002gYLL00000
00@0]ZG700D000000;NTa@2gY<D0]jC5000000020;JUb08000000`2fXlD00`000000]JK900000002
0;JQ``030000002eY<L0]JC700800000102fXlD3000000030;BM`0000000/j760080/j760P000003
0;JTa`050000002eZll000000;>K_`0000000`2aWlD2000000<0/j7600D000000;>[d0000000]Z;4
000000030;>Wc0@0000000@0ZiBn0000002/W/T0[9k90P0000030;[3h@8000000`2RQKD01P000000
XHfo0:6=_`000000XYS:00000080^]_a0`0000001@2KQ;X0000009:4`@2BQ<40000000<0S8c>00D0
000008NIgP27VMh0QiWN0000000207jVk@050000001`Z?@0L:Sd0000001XWo002000000208Qj_@04
0000002;Nk`0Rg^l00000080T82n0`0000000`2[Wl/000000;J[c@020;J[c@0700000039cmh00000
0<[>g0000000_K_H000000040;Fdf0<0000000<0ZJ?@0000002_/MX00P2_/MX200000080`<cT0P00
00030;c4h08000000`2d]m/300000080^L7P00<000000;O4i00000000P2ja>801@000000]/7R0000
002f`N80000000<0];kR0`0000020;G2i0030000002c`ND000000080]<?U00<000000;;0i@2b`>D0
0P0000030;71i@<000000P2a`^H00`000000/<3V0;30iP0200000080/<3V100000020:o1i`030000
002^_nH0[[oV00<000000P2^`>L00`000000[[oW000000020:k0i`030000002]_nL0[KoW00<00000
0P2]_nL00`000000[KoW0:foi`0300000080[KoW00H000000:boi`00000000000:foi`0000020:bo
i`<000000P2/_nL00`000000[;oX0:boj00300000080[;oW00H000000:^oj000000000000:bni`00
00020:^nj0<000000P2[_^P010000000oooo0?ooo`00000<0?ooo`800000103oool00`000000oooo
0?ooo`030?ooo`8000000`3oool3000001`0oooo000D0?ooo`040000003oool0oooo00000080oooo
00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0U0?ooo`030000002P_nl0X;o_00<00000
0P2P_nl00`000000WL7a09g1l@0600000080V/;c1`000000102H`oD0000009[3m02J`o@3000000<0
V<Cf00<0000009c3m00000001P0000020:33l@030000002V`>`0Y/3/00<000000P2U`Nd00`000000
ZkgV0:^miP0300000080ZkgW00<000000:nih02_^N000`0000020:nih@030000002b]=X0/[CJ0080
00000`2b]=X00`000000];7E0;Bae@02000000<0]K3D00D000000;J]d0000000]K3D000000030;J]
c`<000000P2f[<l010000000]j[<0;NZc02gZ/`2000000<0]jS;00D000000;NXbP000000]jS90000
00040;NVb0050000002gYLL0]jG70;NUa`0000000P2fYLL2000000<0]jC500<000000;JUb0000000
0P2gX/<00`000000]Z?50;JSa@02000000<0]Z7300D000000;FTa`000000]j31000000030;JSa@80
0000102dWL03000000030;NO`0000000]ZC70080]ZC70P0000030;>K_`050000002aWlD000000;>I
_@000000102cXLH01P000000]Z;40;JRa02fX/@000000;>Wc0<000000`2[U;h00`000000[9k90000
00020;nhdP050000002j`n4000000:B1[P0000000`2RQKD00`000000XHfo0:6=_`03000000040;[K
l@000000YhRd000000<0VhBj00@0000009:4`@2BQ<4000000`2<S<h00`000000QiWN0000000:0000
0080Ji7U00<0000007F8f01eR=P02@0000000`2MTlT000000:^Ob`020:^Ob`030000002fZld00000
00<0bLoN00D000000;fkf02m^mP0_K_H000000020;Fdf0800000102YXm03000000040;^kf@000000
`<cT00000080`lKL00<000000;c4h00000000P2i]mL01@000000];OK0000002k_md0000000<0^L7P
0P0000030;[4hP8000000`2f`N800`000000];kR000000020;K5i@030000002e`^@0]L;T00800000
0`2d`nD300000080//?V00<000000;71i@0000000P2aa>P00`000000/L;V0;72iP0300000080/<;W
00<000000;30iP0000000P0000020:o1i`@000000P2_`NL00`000000[/3W0:k0i`02000000<0[/3W
0`0000020:k0i`030000002]_nL0[KoW00<000000P2]_nL00`000000[KoW0:foi`02000000<0[KoW
0`0000020:boi`030000002/_nL0[;oW00<000000P2/_nL00`000000[;oW0:boi`02000000<0[;kW
0`0000020:bnj0030000002[_^P0ZkkX008000000P3oool00`000000oooo0?ooo`080?ooo`040000
003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0
oooo01T0oooo000D0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`0V0?ooo`8000000P2S_^`00`000000X;o_0:2ok`03000000<0X;o_00<00000
09g1l@0000000P00000309c1l@030000002I`_@0VL;d00H000000P2G`oH00`000000V<Cf09S4mP02
000000<0U/Cg00<0000009[4m@2Ja?D01P00000209k3lP030000002U`Nd0YL7]00<000000P2T`Nh0
0`000000ZkgW0:^mi`0300000080ZKkX00<000000:nih@2_^N400`0000020:njh@030000002b]=X0
/[CJ00<000000P2b]MX00`000000]K3D0;F`e002000000<0]K3D00D000000;J]c`000000]K3C0000
00040;J/c`<0000000<0]j_>0000002gZ</00P2gZ</2000000<0]jS900<000000;NVb02gY/P00P00
00030;NUa`030000002fYLL000000080]jC500<000000;NTa@2gY<D00P0000030;NR``050000002f
XlD000000;NO`@000000102fXL<02@000000]j310;NP`@2gX<4000000;JSa@000000]Y^m00000004
0;BM`0050000002gWl00]io00;NO`00000000P2fY<L00`000000]IVj000000030;>K_`8000000`2c
VKd00`000000/j760;>QaP0200000080]Z;40`0000030:b<]@050000002[U;h0ZiBn0:^D_P000000
0`2o^=82000000<0Y86^00H000000::5]@2RQKD000000:6=_`0000030<2nf0050000002WR;@0YhRd
0:N8]00000000P2KQ;X010000000TXC109:4`@00000208b<cP<000000P2MV]0010000000TI;@096B
d000000208Ek`@030000001nK;@0OVbd00@0000000D0MHSH00000021Q/l0PHK?0000000308n;bP05
0000002MTlT0WI?909fCb@0000000P2[Wl/2000000<0bLoN0P0000030;fkf0<0000000<0Z9[80000
002YXm000P2YXm02000000<0^k_I0P0000030<?6g08000000`2i]mL2000000<0^koM00<000000;W1
h00000000P2nbn@00`000000^/CR000000020;W6i0030000002f`N80]/7R008000000`2faND30000
0080]LOX00D000000;C3i@000000//KX000000020;;3iP<000000`2aa>P3000000040;34j@000000
/<;W0;32i`<000000P2_`^P300000080[l;X00<000000:o1i`2_`NL0100000000`2^`NP000000:k0
i`02000000040:k1j0000000[/3W0:k0i`@0000000@0[L3X0000002]_nL0[KoW100000020:foi`05
0000002]_nL000000:foj00000000P2/_nL4000000040:boi`000000[;oW0:boi`@000000P2/_nL0
1@000000[;kW0000002/_nP000000080[;kX100000001@2[_^P000000?ooo`3oool0000000X0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
01T0oooo000@0?ooo`@000000`3oool010000000oooo0?ooo`0000070?ooo`800000:@3oool00`00
0000Xkk/00000002000000<0Xkk/00<000000:2ok`2P_nl00P0000030:2ok`030000002L`O40W<7a
00<000000P2L`?400`000000VL;d09W2m00600000080UL?f00<0000009K4m`2Fa?L00`00000209C4
n0030000002Ha?H0V<Cf00H000000P2La?@00`000000Y<7^0:C1kP0300000080X/;`00<000000:Vn
j02Y_^P00`0000000`2X_nX000000:njh@020:njh@<0000000<0[[[R0000002b]MX00P2b]MX30000
00030;:efP000000]K3D0080]K3D0P0000030;F`d`030000002f[<l0]Zc?00800000102gZlh30000
00030;N[c@000000]jS90080]jS900<000000;NVb00000000P2gYlP00`000000]jG70;NUa`020000
00<0]jC500D000000;NTa@000000^:?3000000040;NR``050000002gWl40]io10;NO`@0000000P2f
XL<2000000@0]j3100D000000;JK_@2fVkd0]Y^m000000020;BM`0800000102gWl0200000080]IVj
00H000000;>K_`2cVkl000000;BD]`0000030;>I_@040000002cXLH000000;VM_@@0000000<0[HR^
0000002/S;D00P2/S;D02P000000ZiBn0:^D_P000000`:[40000002o^=8000000:R1Z@0000030:B1
[P050000002RQKD0XXFe0::5]@0000000`30_]P2000000<0YhRd00@0000009^4^P2KQ;X000000P2B
Q<430000000309j8_0000000WI[@0080WI[@00@00000096Bd02AT]0000000P25Nl4010000000OVbd
07i/]000000207aU[P@000000P21Q/l010000000Sh_:08n;bP00000309fCb@030000002[Wl/00000
0080_;gJ00<000000<W?gP0000000P31^=401@000000_K_H0000002]V<40000000<0Z9[800<00000
0:VSd00000000P2dZ<`00`000000^k_I000000020<W7f00300000033a]`000000080`KoH00D00000
0;Vge`000000_L7M000000030;^og@8000000P2nbn@3000000<0^LKT0`0000000`2gbNP000000;K5
i@02000000040;G=k0000000]LOX0;G7j0<000000P2ba^P300000080/LO[00H000000;74j0000000
00000:o7k00000020;34j@<000000P2_a>T01P000000[l;X000000000000[/CZ00000080[l;X0`00
00020:k3j@030000002^`NP0[/7X008000000`2^`NP300000080[L7Y00<000000:g0j02]`>P00`00
00020:g0j0030000002]_nL0[KoW00<000000P2]_nP300000080[;oX00<000000:boi`2/_nL00`00
00020:boj0030000002/_nL0[;oW00<000000P2/_nP300000080[;oX00<000000:^nj02[_^P00P00
00020?ooo`030000003oool0oooo00L0oooo00@000000?ooo`3oool00000203oool010000000oooo
0?ooo`0000050?ooo`030000003oool0oooo01T0oooo000@0?ooo`030000003oool0oooo00@0oooo
00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`0Y0?ooo`050000002V_>X0Y[cZ0:Jl
jP0000000P2S_^`300000080Xkg/00<000000:2ok`2P_nl00`0000020:2nkP030000002L`?40W<3a
00<000000P2L`?400`000000V<;d09S2m00600000080U<?g00<0000009C4n02Da?P00`0000020974
n@030000002EaOL0ULGg00H000000P2IaOH00`000000X/;`0:;2l00300000080X<?b00P000000:Ro
jP2X_nX000000:njh@000000Yl3[000000<0[[[R00D000000;:efP000000[[_S000000030;:efP05
0000002e/=@000000;:ef`0000000`2e/=<01@000000]Zc?0000002e/=<0000000<0]j_>0P000004
0;N[c@030000002gZ<T0]jS9008000000`2gYlP01@000000]jG70000002hY/L0000000<0]jC50P00
00030;RS``030000002gX/<0]j;3008000000`2gWl400`000000]Z73000000020;RO_`030000002g
X<40]j31008000000`2fVkd00`000000]9g0000000020;NL_0030000002gWl00]io000800000102e
VKX200000080]9Bg00@000000;>I_@2cVKd0/iVm100000000`2iWKd00000000000020:f8[P070000
002/S;D0[8be0:b<]@000000ZiBn000000030<2Za0040000002XPJT0Z86Y000000<0Y86^00P00000
0::5]@2RQKD000000;VN_P000000`;kH00000080]92a00@000000:N8]02WR;@000000P2KQ;X30000
000309YeZ0000000WXRl0080WXRl00D0000009fJd02MV]00WI[@00000002096Bd00600000025Nl40
QG_10000001nK;@000000`1lIJh00`000000OFJ^000000020866c`060000002?RlX0Sh_:08n;bP00
0000WI?90`0000030;bmfP8000000`31^=42000000<0[IS100<000000:RJb02XV/P00P0000040;BX
c00400000039amP0bLOH0<W7f08000000`31_mP2000000<0_L7M00@000000;^og@000000`MCX0`00
00020;_Aj`060000002ia^@000000000002ec^d000000P2gbNP300000080]Lg/0`0000020;7;k0<0
00000P2_b^h00`000000/LO[0;77j`0300000080[lO/0`0000020:k7k0030000002_a>T0[lCY0080
00000P2^a>X400000080[LC[00<000000:k3j@2^`nT00`0000020:g3j@030000002^`NP000000080
[L?Z00<000000:g1j@2]`NT00`0000020:g1j@030000002]`>P0[L3X00<000000P2/`>P00`000000
[KoX000000020:c0j0030000002/_nP0[;oX00<000000P2/_nP00`000000[;oX0:boj00300000080
[;oX00<000000:boj00000000P2/_nP00`000000[;oX0:boj00300000080ZkoX00@000000?ooo`3o
ool00000203oool010000000oooo0?ooo`0000080?ooo`050000003oool0oooo0000003oool01000
000L0?ooo`00403oool5000000<0oooo0P0000070?ooo`030000003oool0oooo02/0oooo00<00000
0:JljP2V_>X00`0000020:Jlj@030000002S_N`0Xkg/00<000000P2T_N/00`000000X;k^0:2nkP03
00000080X;k^00<0000009c0l@2L`?400`00000209c0l@030000002G`_D0Ul;e00H000000P2B`oP0
0`000000TLCi0974n@0300000080SlGi00<0000009;5n@2BaOT01P00000209K6m`030000002P`o80
X<?b00H000000P2W`>/00`000000[[[R0:jjhP02000000<0[[_S00<000000;:efP2b]MX00P000003
0;:ef`030000002e/=<0]K3C008000000`2e/=<01@000000]j_>0000002e/=<0000000@0]j_=00D0
00000;NXb@000000]j[<000000030;NWb08000000`2hY/L01@000000]jC50000002hYLD0000000<0
^:?300<000000;NR``0000000P2hX<400`000000]io10;NO`@02000000<0^9no00<000000;NP`@00
00000P2gVk/01@000000]Y^m0;JK_@2fVkd0000000<0]ibl00D000000;NO`0000000]iRh00000004
0;FI^P030000002dU;L0]9Bg0080]9Bg1@0000030;VM_@050000002]R:h0[HR^0:f8[P0000000`2/
S;D2000000<0`:[40P0000020:R1Z@030000002TPJh0Y86^0080Y86^0P0000030;VN_P050000002d
T;40]92a0;B@/@0000000`2WR;@20000000309M[W@000000VWFX0080VWFX00@0000009j8_02NR;`0
WXRl1`00000208Ek`@040000001nK;@0OVbd00000080O6F^00<0000007eV[P1mIZh0200000020:JM
c@070000002l_MX000000000002kY/@000000<6hd@02000000030;NL_@000000[IS10080[IS100D0
00000:RJb0000000/9_2000000030;BXc080000000H0bLOH000000000000cM;M00000031_mP20000
00040;o8hP000000_L7M0;g1g@<0000000D0`MCX0000002igO80^Mgb000000020;_Aj`<000000P2e
c^d300000080/];a0`0000020:o?l@030000002abn`000000080[<ca00<000000:o:kP2_b^h00`00
00020:g:k`<0000000@0[<S^0000002^an`0[/O/100000020:g6k@030000002^a>X0000000800000
0P2]a>/400000080[<C[00<000000:g3j@2]`nT00P0000030:g3jP<0000000@0[<;Z0000002]`NT0
[L7Y100000020:c1j@030000002/`>P0[<3X008000000`2/`>P3000000040:c0j@000000[;oX0:bo
j0@000000P2/`>P00`000000[;oX0:boj002000000<0[;oX0`000000102[_nP000000:^oj02[_nP3
000000030?ooo`000000oooo00L0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?oo
o`000000oooo000001l0oooo000Q0?ooo`030000003oool0oooo02`0oooo0P0000020:Rlj0030000
002V_>T0Y[cY00<000000P2V_>T00`000000Y;g[0:Bmj`0300000080Y;g[00<000000:2nkP2P_^h0
0`0000020:6nkP030000002L`?40W<3a00<000000P2L_o400`000000Ul;e09O2m@0600000080TL?h
00<0000008o5n@2?aOT00`00000208c5nP030000002>a_X0S/Kj00H000000P2Ba_T00`000000WLCc
09g4l`0600000080YL7]00<000000:jkh`2^^n<00`0000020:fli@030000002b]M/0/[GK00<00000
0P2b]]`00`000000]K3C0;F`d`02000000<0]K3C00<000000;N[c@2gZld00`0000030;NZc0050000
002gYlP000000;NYb`0000000`2hY/L2000000<0^:G500<000000;RS``2hXl<00P0000030;RP`@05
0000002gWl4000000;VP`0000000102hWkl01@000000]i^k0;NK^`2gVk/000000080]Y^m0P000004
0;NL_0050000002gV;P0]iRh0;NH^00000000P2eVKX200000080]9Bg100000020;ZK^0030000002i
WKd0^Ifm00800000102]R:h01@000000[8be0000002nWkT000000080`:[400<000000:f3Y`000000
0`2XPJT00`000000Y86^0:B1[P02000000@0^Ijn00D000000;B@/@2dT;40]92a000000020:N8]080
00000P2GJid01@000000VWFX09YeZ02JMJP000000080WXRl00<0000008aIT02<FI000P00000205:2
hP80000000D0QG_10000001nK;@0OVbd0000000207aU[P040000001mIZh0OFJ^00000080Q6nc00@0
00000961_P2APKh00000102VWLd00`000000^jK40;^Va0020;^Va0050000002gW;d0]ibm0;NL_@00
00000`2]V<42000000<0/9_200<000000;BXc00000000P3=b=D010000000cM;M0<gBg@3=d]d20000
00<0_lSR0`0000020<3Nk`<000000P2igO83000000030;7ClP0000000000008000000P2^e_D30000
00040:_Am0000000[loa0:o?l@<000000P2/c?44000000030:_<l@000000[L[_0080000000@0Z/W`
0000002/b>h0[<S^0`0000020:_7kP030000002]a^d0[LK]00<000000P2/a^d300000080ZlG]00<0
00000:c4j`2/a>/0100000000`2/a>`000000:g3jP02000000040:_3k0000000[<;Z0:c2jP<00000
0P2[`^/00`000000[<7Y0:c1j@04000000030:c1j@000000[<3X0080000000@0Zl7Z0000002/`>T0
[<3Y0`0000020:_0j@030000002/`>P0[<3X00@0000000<0[<3X0000002/_nP00P000000102[`>T0
00000:^oj02[_nP300000080ZkoX00@000000?ooo`0000000000203oool2000000X0oooo0P000002
0?ooo`D000006`3oool00240oooo00<000000?ooo`3oool0;@3oool00`000000Z;cX0:Rlj0030000
0080Z;_W00<000000:Jlj@2V_>T00`0000020:Nlj0030000002T_N/0Y;g[00<000000P2T_>X00`00
0000XKk^0:6nkP0300000080XKg]00<0000009bol@2L_o400`00000209bol@030000002F`OD0U/7e
00H000000P2?`oT600000080RLCk00<0000008_6n`2;a_/01P00000208k7n`040000002JaOH0V/Gf
00000080YL7]0`0000020:?3k`030000002]_>D0[KcU00<000000P2/_NL00`000000/[KL0;:fg003
000000030;:gg@000000]K3C0080]K3C0`0000020;J`d`040000002gZ/`0]j[<0;NZc08000000`2g
ZL/01@000000^:K70000002hZL/0000000<0^:G500D000000;RS``000000^:?4000000040;RP`@05
0000002iX<00^J300;VP`00000000P2hWkl2000000<0]i^k00<000000;JK_@0000000P2hVkX00`00
0000]ibl0;NL_002000000<0]iRh00@000000;FI^P000000]9:c0`0000020;BD]`030000002jVkP0
^Y^h0080^Y^h0P0000000`2^Qj/000000:f8[P030:f8[P8000000`2nWkT200000080[H>W00T00000
0:R1Z@2XPJT0Z86Y0000002TPJh000000;6;[@0000000`2iW[h2000000@0]92a0P0000000`2GIYP0
000009M[W@0209M[W@050000002JMJP0VWFX0000002NR;`00P00000208aIT00600000021DHl00000
05:2hP000000KEj`0`0000001@1nK;@0000007aU[P1lIJh0000000<0OFJ^00@0000008A_/`24Kk<0
00000P2APKh00`000000YYg=0:JMc@02000000@0^jK400<000000;NL_@2gW;d00P2gW;d300000003
0;6G_@000000/9_20080/9_20P0000020<g8e@050000003GkN<000000<gBg@0000000P31f>/00`00
0000_lSR000000020;STm00400000030g^l000000;;Wn0@0000000@0[=Kf00000000000000000P2Y
eOL01P000000[]Ke000000000000ZM7e00000080Zm7d0`0000020:W<lP<000000P2Ybo800`000000
Zlca0:_<l@0300000080Z/W`0`0000020:W7k`030000002[anh0ZlO^00<000000P2Za^h400000004
0:W5kP000000ZlG]0:_5k@<000000P2Za>d00`000000[<C/0:c4k00300000080Zl?/0`0000020:_3
k0030000002[`^/0Zl;[00<000000P2[`^/00`000000[<7Y0:c1j@0300000080Zl7Z0`0000020:_1
jP030000002[`>T0Zl3Y00<000000P2[`>T00`000000[<3X0:c0j002000000<0Zl3Y0`0000020:_0
j@030000002[_nP0ZkoX008000000P3oool00`000000oooo0?ooo`0e0?ooo`008@3oool00`000000
oooo0?ooo`0^0?ooo`8000000P2Y^nL00`000000Z;_W0:Rki`0300000080Z;_W00<000000:Nlj02W
_>P00`0000020:Nkj0030000002T_>X0Y;cZ00<000000P2U_>T00`000000XKg]0:6mk@0300000080
X[g/00<0000009bol@2L_o400`00000209bnl0030000002F`OD0U/7e00<000000P2F`?@00`000000
S/?i08k3n@0600000080Q/Cl00<0000008K6o026a_`02@00000209K7n0030000002S`nl0Xl?_00<0
00000P2Pa?800`000000[;gW0:bmi`03000000030:Zoj@000000/[OM0080/[OM00D000000;F`d`00
0000/KSN000000040;J`d`<0000000<0]K3C0000002gZL/00P2gZL/2000000<0^:W;00<000000;RU
a@2hYLD00P0000030;RSa0030000002hX<40^:31008000000`2iX<000`000000^9no000000020;RM
_@050000002gVk/0]i^k0;NK^`0000000`2hVkX00`000000]ibl000000020;VI^0040000002gV;P0
]iRh0;NH^0<0000000@0]9:c0000002dU;L0]9Bg0P0000040;ZK^0050000002^Qj/0[XN[0:j7Z`00
00000`2]R:h00`000000_Yni0;jO^@020;jO^@050000002]PjL0[H>W0:f3Y`0000000`2XPJT20000
0080/H^]00H000000;VN_P2iW[h000000<6I[P0000030;B@/@8000000P2GIYP01@000000Uf^M09M[
W@2GJid0000000<0VWFX00<0000009UUTP0000000P2<FI000`000000PE6?085AS`02000000<0KEj`
0`00000307aU[P040000001mIZh0OFJ^00000080Q6nc00H000000961_P2APKh000000:JMc@000002
0:n@]P060000002kY/@0^jK400000032XkX000000`2gW;d01@000000/INm0;6G_@2aUkd000000080
/9_200D000000<k8e0000000cLSE000000020=O]h`<000000P31f>/300000080^>Cd100000020:[F
m`030000002/e_H000000080Z<od00<000000:WEm`2YeOL00`0000020:WAm@<000000P2Xb_430000
0080ZLS`00<000000:W;lP2Ybo800`0000020:W8l0<000000P2Ya^h00`000000ZLO_0:W7k`030000
0080ZLK^0`0000020:W4k@030000002YaNh0000000<000000P2Ya>d00`000000Z/C]0:[4k@030000
00030:[4k000000000000080000000@0ZL?/0000002[`n`0Zl?/100000020:[3j`030000002[`^/0
Zl;[00<000000P2[`^/3000000040:[2j`000000Zl7Z0:_1jP@000000P2[`NX00`000000Zl3Y0:_0
j@0300000080Zl3Y00D000000:_0j@000000Zl3Y000000020:_0j@@0000000D0Zl3Y0000003oool0
oooo0000000g0?ooo`008@3oool00`000000oooo0?ooo`0_0?ooo`030000002Y^nL0ZK_W00<00000
0P2Y^nH00`000000Z;_W0:Rki`0300000080ZK_V00<000000:Nkj02W^nP00`0000020:Rki`030000
002U_>T0YKcY00<000000P2U^nT00`000000X[g/0::mk00300000080X[c/00<0000009bnl02L__00
0`00000209fnk`030000002F`?@0U/3d00<000000P2F`?@00`000000SL;i08g2n@0600000080PlCl
00<000000875o@21aOd02@0000020938n`030000002Pa?80X<Cb00<000000P2La_D010000000Z[oY
0:Zoj@0000020;:gg@8000000`2a^=h00`000000][3C0;J`d`02000000@0]K3C0`0000000`2f/M@0
00000;RYb`020;RYb`050000002hYLD000000;RXbP0000000`2hXl@00`000000^:31000000020;VT
``030000002iX<00^J30008000000`2hWKd00`000000]i^k0;NK^`02000000@0^9^j00H000000;VI
^02iVKP0^IVh0000002gV;P3000000<0]9:c00<000000;BD]`0000000P2kV[H01@000000^Y^h0;ZK
^02jVkP0000000<0[XN[00D000000:f8[P2]R:h0[HR^000000040;jO^@030000002]PjL0[H>W0080
[H>W00@000000:R1Z@2XPJT00000102aRjd2000000<0`IV^00D000000;B@/@000000VFJE00000002
09MVV0050000002GJid0Uf^M09M[W@0000000`2JMJP00`000000VFFB0000000208aIT00600000021
DHl0PE6?0000001BP^8000000P1]G[0010000000N5ZS00000000000207aU[P040000001mIZh0OFJ^
00000080Q6nc00<000000961_P2APKh00P0000030:n@]P030000002kY/@000000080`Z>j00<00000
0;NL_@2gW;d00P0000040;6G_@8000000`3>b=@2000000040=O]h`000000_^cc0;k/l`<0000000<0
[^?i0000000000000`0000020:kEm0030000002Ze_L0Z]Kg00<000000P2Xco@300000080Z/kc0`00
00020:[6kP<0000000@0ZlC/0000002Yb?00ZLS`100000020:W6kP<0000000@0Z/?/0000002Ya^h0
ZLK^100000000`2Ya>d000000:W6kP02000000040:W3k0000000ZLC]0:W4k@H000000P2Ya>d40000
00040:W3k@000000000000000080ZL?/00<000000:W3k02Y`n`00`0000020:W2k0030000002Z`n/0
Z/?[00@0000000<0Z/;[0000002[`^/00P000000102Y`^/000000:[2j`2Z`^/300000080Z/7[00<0
00000:_1jP2[`NX010000000102Z`NX000000:_0j@2[`>T300000080Zl3Y0`0000020:_0j@030000
002[`>T0Zl3Y008000000P3oool00`000000oooo0?ooo`0d0?ooo`008@3oool200000340oooo0P00
00020:Vli`030000002Y^nH0ZK_V00<000000P2Y^nH00`000000ZK_V0:VkiP0300000080ZK_V00<0
00000:Rki`2X^nL00`0000020:Rki`030000002U^nT0YK_Y00<000000P2V^nP00`000000X[c/0::l
k00300000080Xkc[00<0000009fnk`2M_^l00`00000209jmk`030000002F`?@0U/3d00<000000P2F
_o<00`000000S<;i08c2n@0600000080P<?m00<0000007_5oP1kaOh02@00000208W8o@030000002L
a_D0W<Ke00H000000P2X`N`00`000000/KSN0;6hgP0300000080/;WP00<000000;F`d`2e/=<00P00
00030;Jae0040000002hZL/0^:W;0;RYb`8000000`2hZ<X00`000000^:?40;RSa002000000<0^JC3
00D000000;VP`0000000^J71000000030;RM_@030000002gVk/000000080^9bl00<000000;RK^P2h
VkX00P0000020;VI^0@000000P2eT[<01@000000]9:c0;BB/`2dT[<0000000<0^iZf00<000000;ZK
^02jVkP00P0000030:j7Z`060000002]R:h0[HR^0000002lV;8000000P2nWkT2000000@0[H>W00@0
00000:R1Z@2XPJT00000102aRjd00`000000`IV^0<6I[P020<6I[P8000000P2IIYD010000000UfJH
09MVV000000309M[W@040000002JMJP0VWFX00000080VFFB00@0000008aIT02<FI0000000P21DHl3
00000080KEj`00<0000007QJX`1hFZ<01000000307eV[P0300000024Kk<000000080000000<0XGf[
0000002_T;H00`2_T;H01`000000`Z>j0<:S^P32XkX000000;NL_@0000000P2hWKd01@000000/INm
0;6G_@2aUkd0000000<0c/SD00D000000<_of@00000000000;k/l`02000000040:_Kn00000000000
00000080ZnKj0`0000020:kEm0<0000000<0ZlO^0000000000000P0000020:k9k@<0000000<0[/;X
0000002Za^h00P000000102^_nH000000:_4k02[a>`300000080[<;Z00H000000:W6kP0000000000
0:c0j00000020:[3k0<000000P2[`^/00`000000ZLC]0:W4k@0300000080ZL?/0`0000020:W2j`03
0000002Y`nd0ZL?]00<000000P2Y`^`00`000000ZL?]000000020:W1j`030000002Y`n`0ZL?/00<0
00000P2Y`^`00`000000ZL;/0:W2k00300000080ZL;[00<000000:[2j`2Z`^/00`0000020:W2j`<0
00000P2Y`N/00`000000Z/7[0:[1j`0300000080Z/7[00<000000:[1jP2Z`NX00`0000020:[1jP03
0000002[`>T000000080Z/3Z00<000000:_0j@2[`>T00`0000020:[0j@040000003oool0oooo0000
03D0oooo000Q0?ooo`030000003oool0oooo0340oooo00<000000:Vli`2Y_>L00`0000020:Vli`03
0000002Y^nH0ZK_V00<000000P2Z^nH00`000000ZK_V0:VkiP0300000080ZK_V00<000000:Rki`2X
^nL00`0000020:RjiP030000002V^nP0Y[_X00<000000P2W^^L00`000000Xkc[0:>lj`0300000080
Y;_Z00<0000009jmk`2N_Nl00`00000209nlkP030000002F_o<0U[oc00<000000P2G__<00`000000
S<7i08c1n@0600000080OL;m00<0000007C4oP1da?h02@00000207o8oP040000002Fb?P0U/Sh0000
0080Z<7/0`0000020:C3k`030000002`^N00/;WP00<0000000<0[kcS0000002f/M@00`2f/M@30000
00030;Fae@000000^:S:0080^:S:00D000000;RSa0000000^:[;000000030;VT``8000000`2iXL40
0`000000^9fm0;RM_@02000000<0^9bl00@000000;RK^P000000^Yfk0`0000020;VI^0050000002e
T[<0]I:c0;FB/`0000000`2dT[<01`000000^iZf0;^J]P2kV[H000000;ZK^00000000P2aR:X01000
0000[XN[0:j7Z`2^Qj/200000080_9Rb00<000000;jO^@0000000P2cQjL01P000000[H>W0:f3Y`2]
PjL000000:R1Z@800000102aRjd00`000000`IV^0<6I[P020<6I[P050000002IIYD0VFJE09UVU@00
00000P2GIYP01`000000Uf^M09M[W@2GJid0000009YeZ00000000`2III8010000000S5V@08aIT000
0002085AS`030000001iC8l0000000<0KEj`00<0000007QJX`0000000P22GYl60000000309E_Y000
0000XGf[0080XGf[00D000000:n@]P2_T;H0[i2f000000040<:S^P050000002hWKd0^9fm0;RM_@00
00000P2aUkd020000000c<SF0000003>b=@000000<_of@000000/OW[0`000000102[foP000000;?J
m02cf_@300000080]];_0`000000102`_nD000000000000000020;?4iP060000002^bNd000000000
002c`><000000P2^`^P2000000<0[[oV0`0000020:noiP030000002/`^X0[<;Z008000000`2/`>P3
00000080[KoW00<000000:_2j`2[`^/00`0000020:_0j@<000000P2[_nP00`000000ZL;[0:W2j`04
000000040:[1jP000000ZL;/0:W2k08000000P2Y`N/400000080ZL7Z00<000000:W2k02Y`^`00`00
00020:W1j`030000002Y`^/0ZL;[00<0000000<0ZL7[0000000000000P000000102Y`N/000000:W1
j`2Y`N/4000000040:W1j`000000Z/7[0:[1j`@000000P2Z`NX00`000000Z/7Z0:[1jP0200000080
Z/3Z10000000102Z`>X000000:[0j@2Z`>T3000000030?ooo`000000oooo03@0oooo000P0?ooo`03
0000003oool0oooo03<0oooo0P0000020:Vmj0030000002Y_>L0ZKcW00<000000P2Y_>L00`000000
Z[_V0:ZkiP0300000080Z[_V00<000000:VkiP2Y^nH00`0000020:ZkiP030000002X^^H0Z;[V00<0
00000P2Y^^H00`000000Yk[W0:Nji`0300000080Yk[V00<000000:BkjP2T^nX00`0000020:Fjj@03
0000002O_>h0Wkc^00<000000P2P_>`00`000000Ukkc09Nnl`0300000080V;ga00<0000008c1n@2<
`OT01P00000207_2o@l000000P2>bO`00`000000Y<?_0:C3k`030000000309o6m0000000[kcS0080
[kcS00<000000;Jae02f/M@00P0000040;Fae@030000002hZ<X00000008000000`2hZ//01@000000
^JC30000002hZL/0000000<0^J7100D000000;RM_@000000^J71000000040;RL_0<0000000@0^Yfk
0000002iVKP0^IVh0P0000030;FB/`060000002dT[<0]9:c0000002lVkH000000`2kV[H01@000000
/HRZ0;68ZP2aR:X0000000<0[XN[00<000000;bH/P2lV;800P2lV;801@000000/hNW0;>7Y`2cQjL0
000000<0[H>W0P0000020:b0Y@060000002aRjd0/H^]0000003;XZd000000`31VJh01@000000VFJE
09UVU@2IIYD000000080UfJH00<0000009M[W@2GJid00P2GJid2000000<0VFFB00@0000008aIT02<
FI0000000P21DHl010000000NDb?00000000000206eN/0030000001hFZ<000000080PUjO00D00000
08]TX02;I:00RfBP0000000209E_Y0050000002QOJ/0XGf[0:5mZ`0000000P2_T;H00`000000bZVh
000000020<:S^P8000000`2hWKd00`000000/INm000000030<c8ePD000000P2`dO43000000050;?J
m0000000_m;X0000002fd^l00P000000102g_=h000000;2oi@0000020;S0h0030000002ca>H0/lCV
008000000`2c`><300000080/[cQ00<000000:joiP0000000P2c_N800`000000[koV0:noiP030000
0080[kgT00<000000:c0j00000000P2`_N<00`000000[KoW0:foi`0300000080[KkV00D000000:_0
j@000000[[gU000000020:^oj0@0000000@0[;kW0000002Z`NX0Z/7Z10000000102Z_nT000000000
000000020:^oj0030000002Y`NX0ZL7Z00@0000000@0Z/3Z0000002Y`N/0ZL7[10000000102Y`N/0
00000000000000020:W0jP030000002Y`N/0ZL7[00<000000P2Y`>X00`000000ZL7[0:W1j`030000
0080ZL7Z00<000000:[1jP2Z`NX010000000102Y`NX000000000000000020:W0jP030000002Z`>X0
Z/3Z00<000000P2Z`>X010000000oooo0?ooo`00000d0?ooo`00803oool00`000000oooo0?ooo`0d
0?ooo`030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKcW0:Vli`0300000080ZKcW00<00000
0:ZkiP2Z^nH00`0000020:ZkiP030000002Z^nH0Z[_V00<000000P2Z^nD00`000000ZK[V0:VjiP03
00000080ZK[U00<000000:NjiP2W^^H00`0000020:RiiP030000002U^^T0YK[Y00<000000P2V^^L0
0`000000X;c/0:2lk00300000080XK_[00<0000009Rml@2H_O400`00000209Zll0030000002<_oP0
S;oh00<000000P2>__L00`000000N/7m07[1o@0?00000080Pl[n00@0000009o6m02Oa_@000000P2_
_><300000080[KgV00<000000;Fae@2e/MD00`0000020;Fdf0040000002hZ//0^:[;0;RZb`800000
0P2hZL/010000000^J710;VQ`@2iXL42000000<0^J711@0000030;ZM^`030000002iVKP000000080
]YFf00@000000;FB/`2eT[<0]I:c0P0000020;bK]P030000002kV[H0^iZf008000000`2aR:X01@00
0000[XN[0:j7Z`2^Qj/0000000@0_9Rb00D000000;>7Y`2cQjL0/hNW000000030:f3Y`050000002/
P:D0[82U0:b0Y@0000000P2aRjd00`000000bj:]000000020<6I[P8000000`2IIYD01@000000UfJH
09MVV02GIYP0000000<0Uf^M0P00000309UUTP040000002<FI00S5V@00000080PE6?00@0000007U<
S`1iC8l000000P1]G[000`000000N5ZS00000002089NW`050000002;I:00RfBP08]TX00000000`2E
Kj@01P000000XGf[0:5mZ`000000[i2f00000080bZVh00<000000<:S^P0000000P38//@00`000000
^9fm0;RM_@02000000<0c<SF0`0000020;g?i`030000002`dO4000000080^LWV0P0000020;oBj080
00000`2g_=h2000000<0^<3P0`0000020;S0h0030000002c`><000000080][_N00<000000;:lh@2b
_>400P0000030;>mhP<0000000@0/kcQ0000002__N@0[kgT0`0000030;2mh`<0000000@0/;cS0000
002]_^H0[KkV0`0000020:jmi@<000000P2^_ND00`000000[;kW0:bni`03000000050:bni`000000
00000:Zoj@0000000P2/_NH00`000000ZkoX0:^oj00300000080ZkkX00<000000:[0jP2Z`>X00`00
00020:Zoj@030000002Y`N/000000080Z[oY00<000000:W0jP2Y`>X00`0000020:Voj@030000002Y
`>X0ZL3Z00<000000P2Y`>X00`000000ZL7Z0:W1jP0300000080ZL3Z0`0000020:W0jP030000002Y
`>X0ZL3Z00<000000P2Y`>X00`000000Z/3Z0:[0jP0200000080oooo00<000000?ooo`3oool0<@3o
ool00200oooo00<000000?ooo`3oool0=@3oool200000080Z;kY00<000000:Vmj02Y_NP00`000002
0:Rmj0030000002Y_>L0ZKcW00<000000P2Y_>L00`000000Z[_V0:ZkiP0300000080Z[cV00<00000
0:Zki@2Z^nD00`0000020:Zki@030000002Y^^D0ZK[U00<000000P2Z^^D00`000000Z;WV0:RiiP03
00000080ZKWU00<000000:Jji`2V^^L00`0000020:NiiP030000002Q^n/0XK_[00<000000P2S^^T0
0`000000V[c`09Zll00300000080W;_^00<0000008jnm`2>__L00`000002092mm@030000001j_od0
N[om018000000P2IbOP00`000000[KgV0:fmiP03000000030:[2j`000000]KCH00<0]KCH0`000000
0`2d]]X000000;RYb`020;RYb`<0000000<0]jW;0000002iXL400`0000001@2hW;`000000;^T`P2k
Y<80000000<0^Yfk00D000000;JE]P2fUKH0]YFf000000030;FB/`090000002lVkH0_9^f0;bK]P00
0000^iZf0000002dS:`0000000<0/HRZ00H000000:j7Z`2^Qj/000000;ZC[`0000020;bH/P800000
0`2cQjL01@000000[H>W0:f3Y`2]PjL0000000<0[82U00<000000;6;[@0000000P3;XZd01@000000
`IV^0000002LJ9D0000000<0VFJE00D0000009MVV02GIYP0UfJH0000000309M[W@8000000`2III80
1`000000S5V@08aIT02<FI000000085AS`0000000P1iC8l010000000KEj`06eN/000000207QJX`03
00000022GYl0000000<0RfBP00D0000009E_Y02EKj@0UFnT000000030:5mZ`030000003:ZKP0bZVh
0080bZVh00L000000<Rba038//@0b;;40000002hWKd000000080a/OJ00<000000<c8eP0000000P00
00020;g?i`<0000000L0^LWV000000000000b=GT0000002od^P000000080_KoK00<000000;NlgP00
00000P2k_md00`000000^<3P000000020;g4h0030000002h`>00^<3P008000000`2f^mh300000003
0;Jng`000000/kgR0080000000@0][gO0000002c_>40/kcQ0`0000020;:lh@060000002`_N<00000
0000002b_>4000000P2`_><300000080/;cS00<000000:jmi@0000000P2`_>800`000000[[gU0:jm
i@0300000080[[cT00<000000:bni`0000000P0000030:bmiP<000000P2]_NH00`000000ZkkX0:^n
j00300000080ZkkW00<000000:Zoj@2Z_nT00P0000030:Zoj@<0000000@0Z[kX0000002Y_nT0ZKoY
10000000102Z_nT000000:W0jP2Y`>X400000080ZKoZ00D000000:W0jP000000ZKoY000000020:W0
jP@0000000@0ZKoZ0000002Y`>X0ZL3Z100000001@2Y`>X000000?ooo`3oool0000003<0oooo000P
0?ooo`030000003oool0oooo03H0oooo00<000000:Rnj@2X_^T00`0000020:Nnj@030000002X_NP0
Z;gX00<000000P2X_NT00`000000ZKcW0:Vli`0300000080ZKgX00<000000:ZliP2Z_>H00`000002
0:ZliP030000002Z^nD0Z[_U00<000000P2[^nD00`000000Z[[U0:Zji@0300000080Zk[T00<00000
0:Vii@2Y^ND00`0000020:Zii0030000002W^NH0YkWV00<000000P2X^>D00`000000Xk[Y0:>jj@03
00000080Y;WW00<0000009bkkP2L^nh00`00000209jjk0030000002@_OD0T;ge00<000000P2B_?<0
0`000000Nkkl07^no00B00000080S<_m00@000000:[2j`2Z`^/000000P2e]=P2000000<0];KJ00<0
00000;RYb`2hZL/00P0000020;NYb`<000000P2iXL42000000<0^jC200<000000;ZM^`2jWK/00P00
00030;JE]P030000002eT[<0]I:c00800000102lVkH01@000000]8b/0;B<[02dS:`0000000<0/HRZ
0P0000020;ZC[`030000002lV;8000000080^XnY00@000000;>7Y`2cQjL000000P2]PjL2000000@0
[82U0P0000030<^R[@040000002LJ9D0W6RE000000<0VFJE00D0000009MVV02GIYP0UfJH00000002
09M[W@030000002/MIH0000000<0VFFB00L0000008aIT02<FI00S5V@00000021DHl000000080NDb?
0P0000001@1]G[00000007QJX`1hFZ<000000080PUjO00@0000008]TX02;I:0000000`2EKj@01@00
0000XGf[0:5mZ`2QOJ/0000000@0bZVh00@000000<Rba038//@0b;;40P0000030<K7fP<000000P3@
fN02000000<0_KkJ00@000000<SEi038eN@0b=GT0P0000030;fof`8000000`2k_md2000000<0_LCP
0`0000000`2i_]d000000;JkgP02000000040;W0h0000000][kO0;Jng`8000000`2f_Ml300000080
]KcO00<000000;:lh@2b_>400P0000030;:lh@<000000P2b_>400`000000/;cS0;2lh`02000000<0
/;cR0`0000020;2lhP030000002^_>@0[[cT00@0000000H0[[cT0000002/_NH000000:jli0000002
0:fmiP@0000000@0[KgU0000002[_^L0ZkkW100000000`2[_^L000000:Zoj@02000000040:bmi`00
0000Z[kX0:Znj0<000000P2[_^P00`000000Z[oY0:Zoj@0300000080Z[oY00<000000:VojP2Y_nX0
0`0000020:Voj@<000000P2Z_nT00`000000ZKoZ0:VojP0300000080ZKoY00<000000:W0jP2Y`>X0
0P0000020?ooo`030000003oool0oooo0300oooo000P0?ooo`030000003oool0oooo03L0oooo0P00
00020:Nnj`030000002W_^T0YkkY00<000000P2W_^X00`000000Z;gY0:Rmj@0300000080Z;kY00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Z_>H0Z[cV00<000000P2Z_>L00`000000Zk_U0:^k
i@0300000080Zk_U00<000000:^ji02[^^@00`0000020:^ji0030000002Z^N@0Z[WT00<000000P2[
^><00`000000Z;SU0:Rhi@0300000080ZKST00<000000:Bii`2T^NL00`0000020:JgiP030000002N
^^`0W[[/00<000000P2P^>X00`000000T[cc09:ll`0300000080U[[`00<0000007jmn`1n_O/05@00
00020:G7l@040000002d]]X0];KJ0;BffP80000000@0/KSM00000000000000000P2gZL/300000003
0;Z`d0000000^jC20080^jC200D000000;ZM^`000000]ibm000000040;JE]P8000000P2mX;/01@00
0000_9^f0;bK]P2lVkH0000000<0]8b/00D000000;68ZP2aR:X0/HRZ000000030;ZC[`030000002l
V;8000000080^XnY00@000000;>7Y`2cQjL0/hNW0P0000020:YkX@050000002/P:D0[82U0:b0Y@00
0000103;XZd010000000W6RE09aXU@00000309UVU@070000002GIYP0UfJH09MVV0000000Uf^M0000
00030:aeUP040000002III80VFFB000000<0S5V@00<00000085AS`0000000P1iC8l01`000000MD^A
0000001]G[00000007QJX`0000000P22GYl010000000RfBP08]TX000000309E_Y0060000002QOJ/0
XGf[00000038YKH000000P3:ZKP01@000000h=?;00000038//@000000080`/KM00<000000<K7fP00
00000P0000020=3Ih08000000`2m_]X01@000000c]gT00000038eN@000000080aL_O00<000000;fo
f`0000000P2m`mh01P000000^koM00000030c>@000000;g4h080000000@0^lCQ0000002i_]d0^KkM
0P0000040;W0h08000000P2h`>401@000000][gO0000002f_n40000000<0]KcO0`0000020;Bmh@03
0000002b_>4000000080];gQ00<000000;:lh@2b_>400`0000020;:lh@050000002`_>8000000;:l
hP0000000P2`_>84000000040;2lhP000000[[cT0:jli0<000000P2^_>@300000080[[cT00<00000
0:fmi@2]_ND00`0000020:fmi@030000002[_^L0ZkkW008000000`2/_NL300000080[;gV00<00000
0:^nj02[_^P00`0000020:^ni`030000002Z_nT0Z[oY00<000000P2Z_^P300000080Z[kX00<00000
0:Zoj@2Z_nT00`0000020:Zoj@030000002Y_nT0ZKoY00<000000P2Y_nT400000340oooo000O0?oo
o`<00000>@3oool00`000000Ykk[0:Nnj`0300000080Y[k[00<000000:NnjP2W_^X00`0000020:Nn
j`030000002X_^T0Z;kY00<000000P2W_^X00`000000ZKgX0:Vmj00300000080Z;gY00<000000:Zl
i`2Z_>L00`0000020:Vmi`030000002[^nD0Zk_U00<000000P2[^nH00`000000Zk[T0:^ji0030000
0080Zk[T00<000000:^hh`2[^><00`0000020:^hh`030000002Y^>@0ZKST00<000000P2Z]n<00`00
0000Y[OV0:JgiP0300000080YkKT00<000000:2hjP2P^>X00`0000020:>gi`030000002F^_00U[[`
00<000000P2J^>d00`000000P[ci08:ln@0300000080R;[f00<0000005bgo00000004@000000102a
^=d000000;NYb`2gZL/2000000<0^[3@00@000000;^T`P2kY<80^jC20P0000030;NL_@030000002f
UKH0]YFf008000000`2mX;/00`000000_9^f0;bK]P02000000<0]8b/00<000000;68ZP2aR:X00P00
00040;ZC[`050000002jSjT0^XnY0;Z?Z@0000000`2cQjL01@000000ZW^Q0:YkX@2ZNj40000000<0
[82U00@000000<^R[@3;XZd0bj:]0P00000309aXU@040000002IIYD0VFJE000000<0UfJH00<00000
09M[W@0000000`2/MIH010000000VFFB09UUTP00000308aIT00600000021DHl0PE6?0000001iC8l0
00000P1eBi420000000507QJX`000000PUjO089NW`0000000`2;I:0010000000UFnT09E_Y02EKj@2
00000080b:Ff00<000000<ZY^00000000P3Pdl/2000000<0`/KM1@0000001`3@fN0000000<>oeP33
_mH000000;fnfP0000000P3>gN@2000000<0aL_O0P0000030;g3gP8000000P30c>@2000000@0^lCQ
0P0000020;W5h`030000002i`>00^L3P008000000`2h`>42000000<0][oQ00<000000;Flg`000000
0P2f`>800`000000];gQ0;Bmh@02000000<0];gQ0`000000102c_N4000000;:lh@2b_>4300000080
/[cR0`0000020;6lhP030000002`_>80/;cR00<0000000D0/;cS000000000000[[cT000000020;2l
h`030000002^_>@0[[cT00<000000P2^_>@00`000000[KgU0:fmi@0300000080[KcU00D000000:bm
i`000000[KcU000000020:bmiP@0000000@0[;gV0000002[_^L0ZkkW100000020:^ni`050000002Z
_^P000000:^mi`0000000P2Z_^P4000000040:Znj0000000Z[oY0:Zoj@@0000000@0Z[kX0000002Y
_nT0ZKoY0`0000000`3oool000000?ooo`0`0?ooo`007`3oool00`000000oooo0?ooo`0j0?ooo`80
00000`2V_^/00`000000Y[k[0000000200000080Y[k[00<000000:Nnj`2W_^/00`0000020:Joj`03
0000002W_^X0YkkZ00<000000P2W_^/00`000000Z;gY0:Rmj@0300000080Z;kY00<000000:Vmi`2Y
_NL00`0000020:Vmj0030000002[^nH0Zk_V00<000000P2Z_>H00`000000Zk[T0:^ji00300000080
Zk[T00<000000:^hh`2[^><00`0000020:bhh`030000002Z]n<0Z[OS00<000000P2[]n800`000000
YkKT0:Nfi00300000080ZKKR00<000000:>gi`2S]nL00`0000020:Fei0030000002J^>d0V[S]00<0
00000P2M]^T00`000000R;[f08RjmP0300000080SkOb00<0000006Bfo01T]_`02`0000020;6hg@<0
000000<0/<?X0000002j/=000`2j/=03000000030;JZc@000000]ibm0080]ibm0`0000000`2mZLD0
00000;fP^`020;fP^`030000002lVkH000000080]iBc00@000000;B<[02dS:`0]8b/0P0000020;RB
/0050000002jTjl0^Y>_0;ZC[`0000000`2jSjT01@000000/hNW0;>7Y`2cQjL0000000<0ZW^Q00H0
00000:b0Y@2/P:D000000=>Z[`0000020<^R[@8000000`2LJ9D01@000000VFJE09UVU@2IIYD00000
0080UfJH0`0000030:aeUP040000002III80VFFB000000<0S5V@00H00000085AS`21DHl0000007U<
S`00000307E;T@030000001hFZ<000000080PUjO00D0000008]TX02;I:00RfBP0000000309E_Y003
00000038YKH0b:Ff0080b:Ff00L000000>3Cb`3Pdl/000000<O7f@000000`/KM0080000000@0anW^
000000000000ho?G0P0000030<>oeP<0000000X0c]gT00000039h>T0bN3Y00000035bml000000;g:
i0000000_L?N0P000000102nf>`000000<3<i00000020;[=j@030000002ka>40^lCQ008000000`2i
aN<300000080^<KU00<000000;S0h@0000000P2fa>D00`000000][oQ0;Joh@02000000<0]/3R0`00
00000`2d`><000000;Bmh@02000000040;?0h`000000/kgQ0;>mh@<000000P2c_^801@000000/[cR
0000002b_^<0000000<0/KcR0`0000020;6lhP030000002`_><00000008000000`2`_><300000004
0:nlh`000000[[cT0:jli0@0000000@0[[cT0000002]_>D0[KcU0`0000020:fli@<000000P2]_>D0
0`000000[;gV0:bmiP0300000080[;gV00<000000:^ni`2[_^L00`0000020:^mi`<000000P2[_NL0
0`000000Z[kX0:Znj00300000080ZkkX00<000000:Znj02Z_^P00`0000020:Znj0040000003oool0
oooo00000300oooo000O0?ooo`030000003oool0oooo03`0oooo00<000000:Jnj`2V_^/00P000003
0:Jnj`030000002V_^/00000008000000P2U_n`00`000000Y[o[0:Joj`0300000080YKo/00<00000
0:Nnj`2W_^/00`0000020:Joj`030000002X_^T0Z;kY00<000000P2W_^X00`000000ZKgX0:Vmj003
00000080Z;kY00<000000:ZliP2Z_>H00`0000020:Zli`030000002[^^@0Zk[T00<000000P2[^nD0
0`000000[;SS0:bhh`0300000080[;WS00<000000:^ghP2[]n800`0000020:bgh@030000002Y]^80
ZKKR00<000000P2[]N000`000000YKGT0:Fei00300000080YkCQ00<0000009ffj@2M]^T00`000002
0:6ci@030000002?]o80SkOb00<000000P2E]Nd00`000000K[Ok0000000800000080Pm7o00@00000
0;33j02``nP000000P2j/=02000000<0]Z[=00<000000;NL_@2gW;d00P0000030;fYa@040000002m
X;/0_J2k0;fP^`8000000`2gU;<01@000000]8b/0;B<[02dS:`0000000<0^9:`00<000000;ZC[`2j
Tjl00P0000030;Z?Z@030000002cQjL0/hNW008000000`2ZNj402P000000[82U0:b0Y@000000djZ_
0000003;XZd000000:5]U`00000309aXU@050000002IIYD0VFJE09UVU@0000000P2GIYP00`000000
klf`000000030:aeUP040000002III80VFFB000000<0S5V@00H00000085AS`21DHl0000007U<S`00
000307E;T@030000001hFZ<000000080PUjO00D0000008]TX02;I:00RfBP0000000209E_Y0800000
1038YKH00`000000h=?;000000030<O7f@80000000D0anW^000000000000ho?G000000020<c?g003
00000033_mH000000080cN[Y0P0000020<WPj@<000000P2mb^@300000080_]S/0`0000020;[=j@<0
00000P2gc>X01@000000^LGS0000002fc^`000000080^<KU0`0000020;K4i@@0000000<0]LGV0000
002f`>800P000000102ca>L000000;C0h`2d`><2000000@0/l3S0P0000020;?0i0030000002c_^80
/kkR008000000`2b_^<01@000000/KcR0000002b_^<000000080/KcR1P0000001@2`_><000000000
002`_N<000000080[kcS0`0000020:nlh`030000002^_>@0[[cT00<000000P2^_>@00`000000[KcU
000000020:jli0030000002]_>D0[KcU00<000000P2]_>D00`000000[;gV0:bmiP0300000080[;gV
00<000000:^mi`0000000P2/_NH00`000000ZkgW0:^mi`0300000080ZkgW00<000000:^nj02[_^P0
0`0000020:^ni`030000002Z_^P0Z[kX0080000000<0oooo0000003oool0;`3oool001l0oooo00<0
00000?ooo`3oool0?@3oool200000080Y[k[00<000000:Jnj`2V_^/00P0000030:Fnj`030000002U
_n`00000008000000P2U_n`00`000000YKo/0:Fok00300000080YKo/00<000000:Joj`2V_n/00`00
00020:Fok0030000002W_^X0YkkZ00<000000P2V_n/00`000000Z;kY0:Rnj@0300000080YkkZ00<0
00000:Zli`2Z_>L00`0000020:Vmj0030000002[^nD0Zk_U00<000000P2[^nH00`000000[;WS0:bi
h`0300000080[;WS00<000000:bgh@2/]n400`0000020:fgh@030000002[]N00ZkGP00<000000P2/
]=l00`000000YkCQ0:Ndh@0300000080Z[;O00<000000:6ci@2Q/nD00`0000020:Fah@030000002E
]Nd0000000<000000P2M/^L00`000000OKGg07fem`0;000000030:[1jP000000]Z[=00<0]Z[=0P00
00000`2g^]/000000;fYa@030;fYa@<0000000<0^j?10000002gU;<00P2gU;<00`000000]8b/0;B<
[002000000<0^9:`00<000000;ZC[`0000000P31Vk0010000000^XnY0;Z?Z@2jSjT2000000030:Uj
X0000000ZW^Q0080ZW^Q00<000000:b0Y@0000000P3CZZl01@000000bj:]0000002QKIL0000000<0
W6RE00D0000009UVU@2IIYD0VFJE0000000209MVV0<000000`2/MIH010000000VFFB09UUTP000003
08aIT00600000021DHl0PE6?0000001iC8l000000`1eBi420000000407QJX`000000PUjO000000<0
RfBP00D0000009E_Y0000000^9Bb000000030<RU]P030000003^jLL0000000<0alOI00<000000<>k
dP33^m80100000030<c?g080000000@0cN[Y000000000000]oO_0`0000020;KEl0<000000P2ciOL3
000000030;;Im000000000000080000000@0[m?c0000002gc>X0]lcZ0`0000020;K>k0<000000P2c
b^/300000080//_/00<000000;G5iP2eaNH00P0000030;?4i`<000000P2ba>L00`000000/l3S0;?0
h`02000000<0/l3T0`000000102b`>D000000;:nh`2b_^<300000080/[kS0`0000020;6ni0030000
002a_N<0/KgS00800000102`_N<200000080/;gS00<000000:nlh`2__><00`0000020:nlh`030000
002^_>@0[[cT008000000`2^_>@300000080[[cT00<000000:fli@2]_>D00`0000020:fli@030000
002/_NH0[;gV008000000`2/_NH3000000040:bmiP000000ZkgW0:^mi`@0000000@0ZkgW0000002[
_^L0ZkkW100000001@2[_NL000000?ooo`3oool0000002l0oooo000O0?ooo`030000003oool0oooo
03h0oooo00<000000:Jnj`2V_^/00`0000020:Jnj`030000002U_^/0YKk[008000000`2U_^/00`00
0000YKo/0000000200000080YKo/00<000000:Fok02U_n`00`0000020:Bok0030000002U_n`0YKo/
00<000000P2U_nd00`000000Y[o[0:Joj`0300000080YKo/00<000000:NnjP2W_^X00`0000020:Jo
j`030000002Y_NP0ZKgX00<000000P2X_^T00`000000Zk_V0:^kiP0300000080Z[cW00<000000:bi
h`2/^N<00`0000020:bji0030000002]]n40[KOQ00<000000P2]]n400`000000[;CO0:bdg`030000
0080[KCN00<000000:Zbg`2Z/]l00`0000020:bag0030000002U/N40000000<000000P2Y/=d00`00
0000WK;W09fbi`0300000080XJcO00<0000008R`l028/?001P0000020:[1jP030000002fZ/d0]Z[=
008000000`2g^]/00`000000_JW50;fYa@02000000<0^j?100<000000;ND/`2gU;<00P2gU;<20000
00030;JE]@000000^9:`00<0^9:`00D000000<6K/031Vk00`I^`000000030;Z?Z@050000002YNZ00
ZGZP0:UjX00000000`2ZNj42000000<0djZ_00@000000:5]U`2QKIL000000`2LJ9D020000000VFJE
09UVU@2IIYD0000009MVV0000000klf`0P0000030:aeUP040000002III80VFFB000000<0S5V@00@0
0000085AS`21DHl000000P1iC8l01@000000MD^A07E;T@000000N4nE008000000P22GYl00`000000
RfBP08]TX002000000<0^9Bb00T000000<RU]P000000k^W70000003GbL`000000<O7f@0000000`33
^m83000000050<cfjP000000c<oL0000002im_401@00000209oNo0<0000000<0T^Kk000000000000
0P000000102Lh_d0000000000000000209kHo0030000002_do<0[m?c00<000000P2^e_D300000080
[=3c00<000000;?:j`0000000P2[d?<00`000000//_/0;;;k00300000080/<W/00D000000;?4i`00
0000[lS]000000020;;4i`@000000P2aa>P01@000000/l3T0000002`a>P000000080//3U0`000002
0;71i@030000002b_^<000000080/L7V00<000000;6ni02a_^@00`0000000`2a_^@0000000000002
0;2mh`8000000`2`_N<300000080/;gT00<000000:nlh`2__><00`0000020:nli0050000002^_>@0
00000:nmi00000000P2^_>@4000000040:jli0000000[KcU0:fli@@0000000<0[KcU0000002/_NH0
0P000000102]_>D000000:bmiP2/_NH300000080[;gV00<000000:^mi`2[_NL00`0000020:^miP03
0000002[_NL0ZkgW008000000P3oool00`000000oooo0?ooo`0/0?ooo`007`3oool00`000000oooo
0?ooo`0o0?ooo`8000000P2V_NX00`000000Y[k[0:Jnj`0300000080Y[k[00<000000:Fnj`2U_^/0
0P0000030:Fnj`030000002U_n`00000008000000P2T_n`00`000000Y;o/0:Bok00300000080Y;o]
00<000000:Fok@2U_nd00`0000020:C0k@030000002U_n`0YKo/00<000000P2T`>d00`000000Y[o[
0:Joj`0300000080YL3/00<000000:Rnj@2X_^T00`0000020:Noj`030000002Z_>L0Z[cW00<00000
0P2Y_^P00`000000[;[T0:bji00300000080[;_U00<000000:fgh@2]]n400`0000020:jihP030000
002]]=h0[KCN00<000000P2^]Md00`000000[;7L0000000300000080[[;K00<000000:V`g@2Y/=d0
0`0000020:^]f@030000002Q[=l0XJcO00<000000P2W[M/00`000000U[;Z09JbjP0600000080U<ol
00P000000;Njf`2g^]/000000;fYa@000000^<;Q000000@0^j?100<000000;ND/`2gU;<00P000002
0;JE]@040000002hT[00^9:`0;RB/08000000`31Vk000`000000^XnY0;Z?Z@02000000<0ZGZP00D0
00000:YkX@2ZNj40ZW^Q000000040=>Z[`050000002QKIL0XFfG0:5]U`0000000P2LJ9D020000000
VFJE09UVU@2IIYD0000009MVV0000000klf`0P0000030:aeUP050000002III80VFFB09UUTP000000
0P2<FI0010000000PE6?085AS`00000207U<S`040000001eBi40MD^A00000080N4nE100000000`2;
I:000000000000040;RD/P80000000<0k^W70000003GbL`00P3GbL`010000000`k_B0<>kdP33^m83
000000030<cfjP000000000001<000000P26e_l00`000000W]Sl09kHo00300000080WMcm0`000002
09oEnP030000002/d?<0[=3c008000000P2[d?<4000000040:[?l`000000/<W/0;39k0<000000P2_
b>d300000080[/S]00<000000;74j02aa>P00`0000020;34j0<000000P2`a>T00`000000/L7U0;71
i@02000000<0/L7V0`0000020;31iP030000002a_^@0000000<000000P2`_^@01@000000/;gS0000
002`_^D000000080/;gT10000000102__N@000000:nli02__>@300000080[kgT0`0000020:nmi003
0000002^_>@0[[cT00<000000P2^_>@00`000000[KcU0:fli@02000000<0[KcU0`000000102]_>D0
00000:bmiP2/_NH4000000040:bmiP000000ZkgV0:^miP@0000000D0ZkgV0000003oool0oooo0000
000^0?ooo`007`3oool200000440oooo00<000000:JmjP2V_NX00`0000020:JmjP030000002V_^/0
Y[k[00<000000P2V_NX00`000000YKk[0:Fnj`02000000<0YKk[00<000000:Bok00000000P000002
0:Bnk0030000002T_nd0Y;o]00<000000P2S_nd00`000000Y<3]0:C0k@0300000080Xl3^00<00000
0:C0k@2T`>d00`0000020:?0kP030000002U`>`0YL3/00<000000P2T`Nh00`000000Yko[0:Noj`03
00000080YL3]00<000000:Vnj02Y_^P00`0000020:RojP030000002/^nD0[;_U00<000000P2[_NL0
0`000000[[WR0:jihP0300000080[K[S00<000000:jeg@0000000`0000020:ngg`030000002^/]/0
[[;K00<000000P2_/]X00`000000ZjgI0:^]f@0300000080[ZkH00<000000:N]f`2W[M/00`000002
0:f[e@030000002OZ=`0WjSL00P000000`2h`^4010000000^j?10;^S`@2kXl43000000030;:N``00
0000]YFe0080]YFe00D000000;RB/0000000b[30000000040<6K/080000000<0ZGfS0000002YNZ00
0P2YNZ001@000000ZW^Q0:YkX@2ZNj40000000<0djZ_0P0000030:5]U`040000002LJ9D0W6RE0000
00<0VFJE0P0000001@3_cK0000000<RBW038TY`000000080[7FF00D0000009UUTP2III80VFFB0000
000208aIT00400000021DHl0PE6?00000080NDb?00@0000007E;T@1eBi4000000P1hCiD00`000000
Q5jM08ANW@020000000309agZ0000000^9Bb00<0^9Bb0`0000030=O9c00400000038[Kl000000<>k
dR@0000000<0SMGo0000000000001@000000102OdoX000000000000000020:3Bn@030000002Zco<0
Z/oc00<000000P2YcO8300000080Z<cb00<000000:k8k@2^b>d00`0000020:g7k@<000000P2]and0
0`000000/<CY0;34j@0300000080[l?Y00D000000;71iP000000[/?Y000000020;31iPH000000P2`
_^@300000080/;kU0`0000020:noi@030000002__N@0[kgT00<000000P2__N@00`000000[kgT0000
00020:nmi@030000002__N@0[kgT00<000000P2^_N@00`000000[[cT0:jli00300000080[[cT00D0
00000:fli@000000[[cU000000020:fli@<000000P2]_>D00`000000[;gV0:bmiP0300000080[;gV
00<000000:^miP2[_NH00P0000020?ooo`030000003oool0oooo02/0oooo000N0?ooo`030000003o
ool0oooo0480oooo0P0000020:Nmj@030000002V_NX0Y[gZ00<000000P2W_NT00`000000Y[gZ0:Jm
jP0300000080Y[gZ00<000000:Fnj`2U_^/00P0000030:Fnj`030000002T_^`00000008000000P2T
_^`00`000000Xko]0:>ok@0300000080Xko]00<000000:?0kP2S`>h00`0000020:;0kP030000002S
`>h0Xl3^00<000000P2R`Nl00`000000Y<7^0:C1kP0300000080X/7_00<000000:G0k@2U`>d00`00
00020:?1kP030000002X_nX0Z;oZ00<000000P2V`Nd00`000000ZkgW0:^mi`0300000080ZKoZ00<0
00000:fjh`0000000`0000000`2/_NH000000:ngg`020:ngg`<0000000<0[kWQ0000002_/]X00P2_
/]X3000000030;2cf`000000[ZkH0080[ZkH0`0000000`2b/ML000000:f[e@020:f[e@<0000000<0
[:C@0000002SX]@00P2SX]@400000080^<;Q00<000000;^S`@2kXl400P0000030;:N``040000002f
UKD0]YFe0;JE]@8000000P3:/<0010000000`I^`0<6K/031Vk0200000080ZGfS00D000000:UjX02Y
NZ00ZGZP000000020:YkX@070000003J][@000000=>Z[`000000Z7JK000000030:5]U`040000002L
J9D0W6RE000000<0VFJE0P0000001@3_cK0000000<RBW038TY`000000080[7FF00D0000009UUTP2I
II80VFFB0000000208aIT00400000021DHl0PE6?00000080NDb?00L0000007E;T@1eBi40MD^A0000
001hCiD000000080Q5jM00D0000009agZ02LMjP0W7NX000000030;RD/P060000003Wdl8000000000
003GbL`000000`38[Kl200000004096omP000000Qkoi08NonB0000000P21d?l600000080T]?n1P00
00020:3?n0<000000P2PcoP00`000000Z<cb0:S<lP03000000030:S;lP00000000000080000000@0
Yl[b0000002]and0[LO]10000000102/a^d000000:o3j@2_`nT300000080[/?Y0`0000020:k3j@03
0000002_`NL0[l7W00<000000P2_`NL00`000000/;kU000000020:k1i`030000002__nD0[koU00<0
00000P2__nH00`000000[kgT0:nmi002000000<0[kgU0`000000102^_^D000000:jmi02^_N@40000
00040:jmi@000000[[cT0:jli0<000000P2^_>D300000080[KgU00<000000:fli@2]_>D00`000002
0:fli@030000002/_NH0[;gV00<000000P2/_NH010000000oooo0?ooo`00000/0?ooo`007P3oool0
0`000000oooo0?ooo`130?ooo`030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@03
00000080YkgY00<000000:JmjP2V_NX00`0000020:JmjP030000002U_^/0YKk[00<0000000<0YKg[
000000000000100000020:Bnk0H000000P2S_nd00`000000X/3^0:;0kP0300000080X[o^00<00000
0:;1k`2R`Nl00`0000020:71k`030000002R`Nl0X/7_00<000000P2P`_000`000000Xl7^0:?1kP03
00000080XL;`00<000000:K1k@2V`Nd00`0000020:?3k`030000002Y_nX0ZKoZ00<000000P2V`^d0
20000000[;gV0:bmiP000000[kOO0000002[`>T000000`2_^N401@000000[k;J0000002]^n<00000
00<0/;?K00D000000:j^f0000000/[[O000000030;:ae`050000002]ZmD000000:n/e00000000`2/
Y=001@000000Xj;D0000002e/MD000000080/JgD1@0000000`2S/n<000000;:N``030;:N``040000
002fUKD00000000000@0b[3000D000000<6K/0000000ZXB/000000020:UmX`050000002YNZ00ZGZP
0:UjX00000000P2ZNj401`000000f[Jd0000003CZZl000000:QfV`0000000`2QKIL010000000W6RE
09aXU@00000309UVU@80000000D0klf`00000038TY`0b9:L000000020:aeUP050000002III80VFFB
09UUTP0000000P2<FI0010000000PE6?085AS`00000207U<S`070000001eBi40MD^A07E;T@000000
N4nE0000000208ANW@050000002LMjP0W7NX09agZ00000000P2hU;800`000000im?2000000020>K7
^00300000038[Kl0b:fo0080b:fo1P0000020932n00300000026`o`0Q/?l00H000000P1maoh90000
0080MlKo2P0000000`1lc_l00000000000050000000308_?oP000000000000D0000000<0Ulok0000
000000001@000000102QcOL000000000000000020:7<mP030000002Wb_80Yl[b00<000000P2WbO40
0`000000[<K]0:c6k@0300000080ZlK]0`0000020:_6k@030000002^`nT0[/?Y00@0000000@0[L?Z
0000002_`NL0[l7W0P0000020:k1i`@0000000@0[/7W0000002__nH0[koV100000000`2__nH00000
0:nmi@02000000040:joiP000000[[kU0:jni@<000000P2^_^D00`000000[[gU0:jmi@0300000080
[[gU00D000000:jli@000000[[gU000000020:fmi@@0000000@0[KgU0000002]_>D0[KcU10000000
102]_ND000000:bmiP2/_NH3000000030?ooo`000000000002/0oooo000N0?ooo`030000003oool0
oooo04@0oooo0P0000020:Rmj0030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@03
00000080YkgY00<000000:JmjP2V_NX00`0000020:Jmj@8000000P2W_>T00`000000YKgZ0:FmjP03
00000080Y[gZ00<000000:Bmj`2T_N/01P0000020:>nk@H000000P2Q_nh600000080Wl3`00<00000
0:32l02P`_000`00000209k2l@030000002Q`_00XL;`00<000000P2N`o800`000000Xl?_0:?3k`03
00000080WlCb00<000000:K2k@2V`^d01P0000020:_0j@030000002_^N40[kWQ008000000`2]^n<0
0`000000/;?K0;2cf`02000000<0/[[O00<000000;:ae`2b/ML00P0000030:n/e0030000002/Y=00
0000008000000`2e/MD3000000040;J_dP000000000000000080Xk?S00@000000;:N``2bW/<0/Yk3
0P0000000`3<h>L000000<Z``0030<Z``08000000P2ZQ:`010000000ZGfS0:UmX`0000040:UjX080
00000`3J][@010000000Z7JK0:QfV`0000030:5]U`040000002LJ9D0W6RE000000<0VFJE00@00000
0>o=/03_cK0000000P38TY`010000000[7FF0:aeUP00000309UUTP040000002<FI00S5V@00000080
PE6?00@0000007U<S`1iC8l000000`1eBi4010000000N4nE07Q?U@00000208ANW@060000002LMjP0
W7NX0000002hU;8000000P3Wdl8010000000i/Nh0>K7^00000030<R]_`<000000P2G`?@700000003
0937nP000000000000D000000P2?`OP00`000000Ql?k08O3n`0600000080OlSn00<0000007[9o`1j
bOl01P0000020879o`H000000P27c?h00`000000S/km08k>o@0300000080TLgl00<0000009S>nP2H
c_X00`00000209[=n@030000002Qc?H0XLcf00<000000P2QboH00`000000YlWa0:O9l@0300000080
YlSa0`000000102Wb?4000000:_6k@2[a^d4000000040:[5k@000000[L?Z0:g3jP@0000000@0[L?Z
00000000000000000P2/`nX00`000000[/7W0:k1i`0300000080[/7X00<000000:noiP2__nH00P00
00030:joiP<000000P2^_nH00`000000[[kU0:jni@0300000080[[kU00<000000:jmi@2^_ND00P00
00020:jmi@<000000P2^_ND00`000000[KgU0:fmi@0300000080[KgU00<000000:fmi@2]_ND00`00
00020:fmi@80000000<0oooo0000003oool0:P3oool001h0oooo00<000000?ooo`3oool0A@3oool0
0`000000Z;gX0:Rmj00300000080Z;gX00<000000:Nmj@2W_NT00`0000020:Rmj0030000002W_NT0
YkgY00<000000P2W_>T300000080YkcX00<000000:Nlj@0000000P0000020:Nlj@030000002V_NX0
Y[gZ00<000000P2V_>T00`000000Y;g[0:Bmj`0300000080YKcZ00<000000:>nk02S_^`00`000002
0:>mj`030000002Q_nh0XKo^00H000000P2O`?0600000080WL;b00<0000009k3lP2N`o800`000002
09_3l`030000002Oa?80WlCb00<000000P2KaOD00`000000X/Ga0:;5l@0600000080Y/;]00<00000
0:fkh`2]^n<00`000000102/`n/000000;:jg`2b^]l4000000040:nih@000000[jcD0:n/e0<00000
0P2c^Mh00`000000]K7E0;Fae@02000000<0]ZoB00<000000:fMa`2]WLL00`0000020;:N``<00000
0P3<h>L00`000000b[300<Z``002000000<0ZXB/00D000000:UmX`2YOJ<0ZGfS000000030:UjX080
00000`3J][@01@000000Z7JK0:QfV`2XMY/000000080XFfG00@0000009aXU@2LJ9D000000`2IIYD3
000000<0b9:L00@000000:aeUP2/MIH000000`2III8010000000S5V@08aIT0000002085AS`040000
001iC8l0NDb?000000<0MD^A00@0000007Q?U@1hCiD000000P24GYd010000000W7NX09agZ02LMjP2
000000040>OC`P000000i/Nh0>K7^08000000P38[Kl20000000409bnl0000000000000000080W<Ke
00<0000009O6n02Ga_P00`00000209Znl@030000002E_o@0UKod00L0000000<0S/Kj000000000000
200000000`26a_d00000000000050000000408K8o@000000QL[n08G:oPL0000000<0Rlcm00000000
00001@0000000`2Cc?/00000000000050000000309_<n@000000000000D0000000<0X/[e00000000
00000P000000102RbO@000000:O8l@2Wb?4300000080Y/Oa00<000000:[5k@2ZaNd00`0000001@2Z
aNd000000000002]`nX000000080Z/G]00<000000:c3jP2/`nX00`0000020:c2jP030000002^`NP0
[/7X00<000000P2]`NP01@000000[[oV0000002]`NP000000080[[oV10000000102^_nL000000:jn
i@2^_^D4000000040:jniP000000[[gU00000080[KkV00<000000:jmi@2^_ND00`0000020:fmi@03
0000002]_ND0[KgU00<000000P2]_ND00`000000[KgU0:fmi@0200000080oooo00<000000?ooo`3o
ool0:03oool001h0oooo00<000000?ooo`3oool0AP3oool200000080Z;gX00<000000:Rmj02X_NP0
0`0000020:Rmj0030000002X_NP0Z;gX00<000000P2X_>P300000080Z;cX00<000000:Nlj02W_>P0
0P0000020:Rlj0030000002W_>T0YkcY00<000000P2W_>P00`000000Y[cY0:Jlj@0300000080Y[cY
00<000000:FljP2U_>X00`0000020:Jlj@030000002S_N/0Xkg[00<000000P2T_>X00`000000XKk]
0:6nk@0300000080X[g/00<0000009nok`2O_nl01P00000209c0l@030000002K`o<0Vl?c00<00000
0P2I`o@00`000000VlGe09_5m@0300000080UlCf00<0000009g5m02MaO@01P000000102Ob?@00000
0:c3j`2/`n/300000080Y/G_00@000000:nih@2_^N40[kWQ0P0000000`2Y`^`000000;>igP030;>i
gP80000000<0]/GU0000002f[m800`2f[m801@000000[Ig7000000000000[J3:00<000000P2]X<X5
000000030:VHa@000000ZXB/0080ZXB/00D000000:UmX`2YOJ<0ZGfS000000030:UjX0040000003J
][@0f[Jd0=Zf]08000000`2XMY/010000000XFfG0:5]U`00000309aXU@030000002IIYD000000080
cJ2Y00D000000<RBW038TY`0b9:L000000020:aeUP050000002III80VFFB09UUTP0000000P2<FI00
10000000PE6?085AS`00000207U<S`050000001eBi40MD^A07E;T@0000000P1hCiD010000000Q5jM
08ANW@00000309agZ080000000H0im?20000003VakP0i/Nh0000003Q_kH500000080WlGc00<00000
09c6m@2La_D00`00000209jmkP030000002J__40V[ka00<000000P2Ja?D00`000000U<Gh09C5n003
00000080Ul;e00<0000009;4n02Ba?P01P00000208k5nP0300000029a_`0RLKl00H000000P29b?d6
00000080S<Wl00<0000008k;o02>bo`00`000002097:n`030000002Ec?/0ULck00<000000P2GboX0
0`000000W<_h09c;n00300000080W<[g00<000000:;9m02RbO@00`0000020:;9m0030000002Vao40
Y/Oa00<000000P2Vao000`000000Z/G]0:[5k@0200000080Z/G]10000000102Ya>d000000:c2jP2/
`^X4000000040:c2jP000000[L7X0:g1j0<000000P2]`NP300000080[L7X00<000000:joi`2^_nL0
0`0000020:foi`030000002^_^H0[[kV008000000`2]_^H3000000040:fniP000000[KgU0:fmi@@0
000000@0[KgV0000002]_ND0[KgU100000001@2]_ND000000?ooo`3oool0000002X0oooo000N0?oo
o`040000003oool00000000004H0oooo00<000000:Rmj02X_NP00`0000020:Rmj@H000000P2X_NP3
00000080Z;gX00<000000:Rlj02X_>P00`0000020:Rmj0030000002X_>P00000008000000P2X_>P0
0`000000YkcX0:Nlj00300000080YkcX00<000000:Jlj@2V_>T00`0000020:Nlj0030000002V_>T0
Y[cY00<000000P2V^nP00`000000Y;cZ0:BljP0300000080YK_Y00<000000::mk02R_N`01P000002
09nnkPH000000P2L_o4600000080VL7d00<0000009O4mP2Ga?H00`000000102C`oL0000009G7n02E
aoP600000080VL_i00<000000:K5k`2VaNl01P0000020:W2k0030000002c^Mh0/kWN00<000000P2f
aND00`000000]ZoB0;J_dP03000000030:ZWe0000000[J3:0080[J3:00<000000:fPbP0000000P3:
d=h200000080ZIS500D000000:Z4[02ZQ:`0ZXB/000000030:UmX`030000002YNZ00ZGZP00800000
0P3J][@00`000000]8RV000000030:QfV`040000002QKIL0XFfG000000<0W6RE00<0000009UVU@00
00000P3=X:T01@000000b9:L0<RBW038TY`000000080[7FF00D0000009UUTP2III80VFFB00000002
08aIT00400000021DHl0PE6?00000080NDb?00D0000007E;T@1eBi40MD^A0000000207Q?U@040000
0024GYd0Q5jM000000<0W7NX00<000000;nG[P0000000P3VakP01`000000hKnf0>6o]P000000`^Z;
0000002RaO401P0000020:6lk0030000002N_Nh0W[g^00<000000P2M`o800`000000V/Ce09[4m@03
00000080Vl7c00<0000009O2m@2G`_D00`000000102H`_D0000009?4m`2Ca?L7000000030935n@00
0000000000D000000P2?a_X00`000000SLOk08g7n`060000000308o9n`000000000000D0000000<0
TlWj0000000000001@0000000`2Hb_T000000000000500000080WLWf00<000000:;9m02RbO@00`00
00000`2Rb?<000000000000900000080Y/K`00<000000:W4k@2Ya>d00`0000020:W4k@030000002/
`^X0[<;Z00<000000P2[`^/300000080Zl;[00<000000:g1j02]`NP00`0000020:c1j0030000002]
_nL0[KoW00<0000000<0[KoW0000002]_^H00P000000102]_nL000000:fniP2]_^H300000080[KkV
00<000000:fmiP2]_NH00`0000020:fmiP030000002]_ND0[KgU008000000P3oool00`000000oooo
0?ooo`0W0?ooo`007P3oool2000004T0oooo0P0000020:Rmj@<000000P2X_NT00`000000Z;gY0:Rm
j@0300000080Z;gY00<000000:Rmj02X_NP00`0000020:Rmj@030000002X_NP0Z;gX008000000P2X
_NP00`000000Z;cX0:Rlj00300000080Z;cX00<000000:Nlj02W_>P00`0000020:Rlj0030000002W
_>P0YkcX00<000000P2W^nP00`000000Y[_X0:Jkj00300000080Yk_X00<000000:Fkj@2U^nT01P00
00020:>lj`<000000P2T^^T00`000000X;c]0:2lk@0300000080X[_[00<0000009fnk`2M_^l01P00
00000`2H__8000000000000400000080Tl?g00<000000938n`2@b?/01P00000208_4nP030000002H
a_L0V<Kg00H000000P2UeoT6000000030::eiP000000ZZOD0080ZZOD00<000000:fPbP2]X<X00`00
00020<[@gP<000000P2YV<D01@000000ZXB/0:Z4[02ZQ:`000000080ZGfS00<000000:UjX0000000
0P3Nb/D200000080]8RV00D000000:QfV`2XMY/0Z7JK000000020:5]U`040000002LJ9D0W6RE09aX
U@8000000`3=X:T01@000000b9:L0<RBW038TY`000000080[7FF00D0000009UUTP2III80VFFB0000
000208aIT00400000021DHl0PE6?00000080NDb?00D0000007E;T@1eBi40MD^A0000000207Q?U@04
00000024GYd0Q5jM00000080W7NX00<000000;nG[P2oUjh00P000000103VakP000000>6o]P3Q_kH4
000000040:Fkj@000000Xk_Z0:>kjPL0000000<0XL;`0000000000001@0000000`2O`?0000000000
00050000000409c1lP000000V<;e09S2m@<000000P2I`oD00`000000ULCg09G4m`0300000080Ul?f
00<0000009?5n02CaOP01`0000000`2Aa_T000000000000400000080TLOj00<000000978nP2Ab?X0
0`00000209?8nP030000002EbOX0ULWj00<000000P2Fb?T00`000000VLWh09W9n0070000000409k8
mP000000000000000080W/Se00<000000:?7l`2Sao<010000000102Sao8000000:K6l02Va_030000
0080Y/G`00<000000:W4k@2Ya>d00`0000020:W4k@050000002[`^/000000:W3k@0000000P2[`^/4
000000040:_2j`000000[<7X0:c1j0@0000000@0[<3Y0000002]_nL0[KoW0P0000030:foi`<00000
0P2/_nL00`000000[KkV0:fniP0300000080[KkV00<000000:fmiP2]_NH00`0000020:fmiP040000
003oool0oooo000002P0oooo000M0?ooo`030000003oool0oooo04/0oooo0P0000020:Nmj@030000
002X_NT0Z;gY00<000000P2W_NT00`000000Z;gY0:Rmj@0300000080YkgY00<000000:Rmj@2X_NT0
0`0000020:Rmj@030000002X_NP00000008000000P2X_NT00`000000Z;cX0:Rlj00300000080Z;cX
00<000000:Rlj02X_>P00`0000020:Rlj0030000002W^nP0Yk_X00<000000P2X^nL00`000000Yk_X
0:Nkj00600000080Y[_X0`0000020:Nji`030000002T^^T0Y;[Y00<000000P2V^^P00`000000X[_[
0::kj`03000000040:Bij0000000Wk_/09nkk0<000000P2Q^NX00`000000V[ka09Znl@0600000080
UKgc00<0000008c0n02<`?P01P00000207g:o`H000000P20aoh010000000Sl;h08o2n00000020::e
iP030000002ZYm@0ZZOD00<000000P2eioL3000000030:SGn000000000000080ZIS500D000000:Z4
[02ZQ:`0ZXB/000000020:UmX`8000000`3Nb/D01@000000]8RV0;B8YP2dR:H0000000<0Z7JK00@0
00000:5]U`2QKIL000000`2LJ9D200000080cJ2Y00<000000?cDVP0000000P38TY`01@000000[7FF
0:aeUP2/MIH000000080VFFB00L0000008aIT02<FI00S5V@00000021DHl000000080NDb?00D00000
07E;T@1eBi40MD^A0000000207Q?U@0400000024GYd0Q5jM08ANW@8000000P2oUjh010000000klBU
0>o4Y@0000020>6o]P80000000@0Y[[X0000002U^nT0YK_Y0`0000020:G1k@030000002S`Nl0Xl7_
00<000000P2S_nd00`000000XKo^0:6okP0300000080X[o^00<0000009o0l02O`?001P00000209c2
l`H000000P2J`_<600000080V<Cf00<0000009C5n02DaOP00`00000209K4m`030000002Ca_T0TlKi
00H000000P2CaoT600000080ULOi00<0000009K8n@2Fb?T00`00000209S8n0030000002Jb?L0V/Sg
00<000000P2Kb?L00`000000W/Se09k8m@0300000080WlOd00<000000:?7lP0000000`0000020:?6
lP030000002VaO00Y/G`00<0000000<0Y/G_000000000000100000020:W3k@<000000P2X`nd00`00
0000Zl;[0:_2j`0300000080Z/;[00<000000:c0j@2/`>T00`0000020:c0j@050000002]_nL00000
0:_0j@0000000P2/_nL4000000040:boj0000000[KkV0:fniP@0000000@0[KkW0000002]_NH0[KgV
0`0000000`3oool000000?ooo`0W0?ooo`007@3oool00`000000oooo0?ooo`1<0?ooo`030000002W
_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@2W_NT00`00
00020:Nmj@030000002X_NT0Z;gY008000000P2W_NT00`000000Z;gY0:Rmj@0300000080YkgY00<0
00000:Rlj02X_>P00`0000020:Rmj0030000002X_>P0Z;cX00<000000P2X_>P00`000000Z;_W0:Rk
i`0600000080Yk_W0`0000020:Rki`030000002W^^L0Yk[W00<000000P2X^^H00`000000Y[[X0:Jj
j003000000040:NiiP000000Y;WX0:Bij0<000000P2U^>H00`000000XKWZ0:6ijP0300000080YKWW
00<0000009jjk02N^^`01P00000209Jgk`0300000028_oT0R;oi00<000000P2D`oH?00000080MmSk
1P0000020:SGn0@000000`2ZQ:`010000000ZGfS0000000000030=k:a@8000000`2dR:H01@000000
Z7JK0:QfV`2XMY/000000080XFfG00@0000009aXU@2LJ9D0W6RE0P0000020<fPZ@030000003le9X0
00000080b9:L00D000000:aeUP2/MIH0[7FF0000000209UUTP050000002<FI00S5V@08aIT0000000
0P21DHl00`000000NDb?0000000307E;T@040000001hCiD0N4nE000000<0Q5jM00D000000;nG[P2o
Ujh0_iN^000000020>o4Y@040000003Q_kH0000000000080Y[[X0`0000020:K1k@030000002U`Nd0
YL7]00<000000P2U_^`00`000000Xko]0:>ok@0300000080Y;k/00<000000::okP2R_nh00`000002
0:;1k`030000002O`O40Wl7a00<000000P2P`>l00`000000WL7a09g1l@030000000409k2l@000000
Vl?c09_3l`L0000000<0VL?e0000000000001@000000102Ga?H0000009G5n02EaOP40000000409K5
m`000000ULKh09G6n0L0000000<0U/Oh0000000000001@0000000`2IaoL000000000000500000003
09c7mP000000000000d0000000@0XlKb00000000000000000P2Sa_400`000000Y/G_0:K5k`030000
0080Y/C_00<000000:S3k@2X`nd00`0000020:S3k@030000002Z`^/0Z/;[00<0000000@0Z/;[0000
002/`>T0[<3Y0`0000020:_0j@<000000P2[`>T00`000000[;oX0:boj00300000080[;oX00<00000
0:fni`2]_^L00`0000020:bni`040000003oool0oooo000002L0oooo00060?ooo`<00000103oool2
000000@0oooo0P0000080?ooo`030000003oool0oooo04d0oooo0P0000020:Nmj@030000002W_NT0
YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkkZ00<000000:Nmj@2W_NT00`000002
0:NnjP030000002W_NT00000008000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<00000
0:Rmj02X_NP00`0000020:Nmj@030000002X_>P0Z;cX00H000000P2X_>L300000080Z;cX00<00000
0:Rki`2X^nL00`0000020:Rki`030000002X^^H0Z;[V00<0000000@0Z;[V0000002W^NH0YkWV0`00
00020:Rhi@030000002U^>H0YKSV00<000000P2X^ND00`000000YKWW0:Fii`0300000080Y[?S00<0
000009nciP2O/nH01P0000020:2lk@<0000000<0Xk3Q0000002F[NH00P2F[NH00`000000PJga086]
l@0;00000080T[K_00<0000006ZTlP0000001P0000020:Z4[08000000P3;lN`01@000000g/[50000
003Bbm80000000<0]8RV00D000000:QfV`2XMY/0Z7JK000000030:5]U`040000002LJ9D0W6RE0000
00<0cJ2Y00<000000?cDVP0000000`38TY`010000000[7FF0:aeUP00000209UUTP050000002<FI00
S5V@08aIT00000000P21DHl00`000000NDb?0000000307E;T@050000001hCiD0N4nE07Q?U@000000
0P24GYd020000000_iN^0;nG[P2oUjh000000>o4Y@000000m^J61@0000020:O0k0030000002V`Nd0
Y/7]00<000000P2V_^/00`000000YKk/0:Fnk00300000080YKk[00<000000:Bnk02T_^`00`000000
102T`>h000000:;1k`2R`Nl4000000040::okP000000X<3_0:30k`@0000000@0X<7`0000002N`_40
W/;a0`00000209k1l@030000002L`_<0W<;c00<000000P2L`_800`000000V/?d09[3m00600000080
V<Cf1P00000209S5mP030000002Fa_L0U/Kg00<000000P2Ha_L00`000000V<Og09S7m`0300000080
VLKg00<0000009[7m`2JaoL00`00000209_6mP030000002MaoD0WLOe00<000000P2Ma_@00`000000
X<Kc0:36l`03000000040:76l`000000XlKa0:?6l@@0000000@0XlGa0000002Va>l0Y/C_10000000
102Va>l000000:S3k@2X`nd4000000040:S3k@000000Z/;[0:[2j`<000000P2Z`^/300000080Z/7[
00<000000:_0j@2[`>T00`0000020:_0j@030000002/_nP0[;oX00<0000000@0[;oX0000002/_^L0
[;kW0`0000020?ooo`030000003oool0oooo02@0oooo00070?ooo`030000003oool0oooo0080oooo
00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo
04h0oooo00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NX00`00
0000YkkZ0:NnjP0300000080YkkZ00<000000:NnjP2W_^X00P0000020:NnjP030000002W_NT0YkgY
00<000000P2W_^X00`000000YkgY0:Nmj@0300000080YkkZ00<000000:Nmj@2W_NT00`0000000`2W
_NT00000000000020:Rmj0<000000P2W_NT00`000000Z;cX0:Rlj00300000080Z;cX00<000000:Rk
i`2X^nL00`000000102X_>P000000:RjiP2X^^H300000080Z;[V00<000000:Rhi@2X^>D00`000002
0:VjiP030000002X^ND0Z;WU00<000000P2Y]n<00`000000Y[?S0:Jch`03000000030:Rfh`000000
Y[OU0080Y[OU0`0000000`2[]^4000000:>`h@020:>`h@030000002F[NH0UZgV00<000000P2K[><0
0`000000S[ce08jlm@0300000080ZKgX00<0000009:fk`2B]^l01`0000000`0nS>d0000000000003
00000080bo7/0P0000030=;;dP050000002dR:H0]8RV0;B8YP0000000P2XMY/01@000000XFfG0:5]
U`2QKIL000000080W6RE00@000000<fPZ@3=X:T000000P3le9X01@000000b9:L0<RBW038TY`00000
0080[7FF00@0000009UUTP2III8000000`2<FI0010000000PE6?085AS`00000207U<S`040000001e
Bi40MD^A000000<0N4nE00L0000008ANW@000000XG6K0000002oUjh000000080klBU00@000000?KV
QP00000000000P2W`>/00`000000Yl3/0:O0k00300000080YkkZ00<000000:Jnj`2V_^/00`000000
102V_NX000000:Fnj`2U_^/4000000040:G0k0000000Y<3^0:C0kP<000000P2T_^`00`000000X[o^
0::okP0300000080X/3^00<000000:31l02P`O000`0000020:70k`030000002N`O40W/7a00<00000
0P2O`O400`000000W<;b09c2lP0300000080WL;b00<0000009_3m02K`o@00`000000102K`o<00000
09W4m@2Ia?D70000000309W5mP000000000000D0000000@0VLGf0000002Ia_L0VLKg10000000102J
a_H0000009_6mP2Ka_H40000000309c6m@000000WLKd00D0000000@0W/Kd0000002Qa_<0XLKc0`00
00020:76lP030000002SaO40XlGa00<000000P2TaO400`000000Y/C_0:K4k`0300000080Y/C_00<0
00000:S3k@2X`nd00`0000000`2X`nd0000000000002000000040:S2k@000000Z/7[0:[1j`@00000
00@0Z/7[0000002[`>T0Zl3Y10000000102[`>T000000:boj02/_nP300000080[;oX0P0000000`3o
ool000000?ooo`0U0?ooo`001`3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo0000
0080oooo00@000000?ooo`3oool000001`3oool00`000000oooo0?ooo`1?0?ooo`8000000P2W_NT0
0`000000YkgY0:Nmj@0300000080YkgY00<000000:NmjP2W_NX00`0000020:NmjP030000002W_^X0
YkkZ00<000000P2V_^X00`000000YkkZ0000000200000080Y[kZ00<000000:NnjP2W_^X00`000002
0:JnjP030000002W_^X0YkkZ00<0000000D0Y[kZ00000000000000000:Nmj@0300000080Y[kZ00<0
00000:Nmj@2W_NT00`0000020:JnjP030000002X_>P0Z;cX00<0000000@0YkkZ0000002X_>P0Z;cX
0`0000020:Nlj0030000002X^^H0Z;[V00<000000P2X_>P00`000000ZK[V0:VjiP0300000080ZK_V
00<000000:Vgh`2Y]n<00`0000000`2X]n@000000:Rfh`020:Rfh`050000002V]nD000000:fli@00
00000`2[]^400`000000Xk3Q0:>`h@0300000080XJOK00<0000009^/h`2K[><00`000000102b`>@0
00000:Vmj02Y_NP40000000509NAc0000000PhO?08>7c`0000000P1NQn4300000080LJOc1P000002
0=;;dP050000002dR:H0]8RV0;B8YP0000000P2XMY/02`000000XFfG0:5]U`2QKIL0000009aXU@00
0000]XRU0000003=X:T000000080o=BJ00D000000<RBW038TY`0b9:L000000020:aeUP040000002I
II80VFFB000000<0S5V@00@00000085AS`21DHl000000P1iC8l01@000000MD^A07E;T@1eBi400000
0080N4nE0P0000020:5aV`050000002oUjh000000>o4Y@0000000P3fiXH200000080Yl3[0`000002
0:Nnj@030000002W_^X0YkkZ00<0000000@0YkgY0000002V_NX0Y[gZ0`0000020:Jok0030000002U
`>`0YL3/00<000000P2U_^/00`000000Y;k/0:Bnk00300000080Y;o]00<000000:;0kP2R`>h00`00
00020:?0kP030000002Q`>l0XL3_00<000000P2Q`>l00`000000Wl7a09o1l@030000000409o1l000
0000WL;b09g2lP@0000000@0WL;b0000002K`o<0Vl?c0`00000209c3l`030000002Ja?@0V/Cd00<0
00000P2K`o@00`000000V/Ce09[4m@0600000080V/Gf1P00000209_5m@L0000000<0W<Ke00000000
00001000000209o6l`030000002Qa_80XLKb00<0000000<0XLGb0000000000001@0000000`2Ta?00
000000000005000000040:K4kP000000000000000080Y/?^00<000000:S2k@2X`^d00`0000020:S2
k0030000002Z`N/0Z/7[00<000000P2Y`N/00`000000Zl3Y0:_0j@0300000080Zl3Y0`0000000`2[
`>T0000000000002000002D0oooo00070?ooo`030000003oool0oooo0080oooo00@000000?ooo`3o
ool000000P3oool010000000oooo0?ooo`0000070?ooo`030000003oool0oooo0500oooo00<00000
0:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgZ0:NmjP03
00000080YkgZ00<000000:JnjP2V_^X00P0000020:JnjP030000002V_^X0Y[kZ00<000000P2V_^X0
0`000000Y[kZ0:JnjP03000000050:Jnj`00000000000000002V_^X00`0000020:Jnj`030000002V
_^X0Y[kZ00<000000P2V_^/00`000000Y[kZ0:JnjP03000000040:Jnj`000000YkkZ0:NnjP<00000
0P2V_^/00`000000YkcX0:Nlj00300000080Y[kZ00<000000:Rlj02X_>P00`0000020:RnjP030000
002Y^nH0ZK_V00<0000000<0Y[[W0000002X]n@00P2X]n@00`000000Z;KS0:Rfh`02000000<0[KcU
00<000000:^fh@2[]^400`0000020:F[f`030000002QYm/0XJOK00<0000000@0/L3U0000002b`>@0
//3T0`0000020:JSdP040000002GTL`0Ui7<000000<0PhO?00<0000005j7h@0000001`0000020;R`
dP80000000<0d/_B0000002dR:H00P2dR:H010000000Z7JK0:QfV`0000030:5]U`8000000P2fR:D0
0`000000cJ2Y000000030?cDVP0400000038TY`0b9:L00000080[7FF00@0000009UUTP2III800000
0`2<FI0010000000PE6?085AS`00000207U<S`050000001eBi40MD^A07E;T@0000000P1hCiD03000
0000XG6K0:5aV`2QLI/000000;nG[P000000klBU0000003fiXH000000:S0j`<0000000@0Z;kY0000
002W_^T0YkkY10000000102X_NT000000:Nmj@2W_NT300000080Yko[00<000000:Jok02V_n`00`00
00020:JnjPH000000P2U_n`6000000030:Bok@000000000000D0000000<0Xko^0000000000001@00
00000`2Q`>l000000000000400000080X<7`1P00000209k2l@H000000P2M`_800`000000Vl?d09_3
m00300000080W<?c00<0000009[4m02Ja?@00`000000102Ka?@0000009_5m@2KaOD40000000409_4
m0000000W<Ge09c5m@@0000000@0W<Gd0000002MaO@0WLGd1`000000102OaO<00000000000000002
0:35l`030000002RaO80X/Gb00<000000P2RaO400`000000Y<C`0:C4l00300000080Y<C`00<00000
0:K3kP2V`nh00`0000020:K3kP030000002X`^`0Z<;/00<000000P2X`^`00`000000ZL7[0:W1j`03
000000030:W1j`000000Zl3Y0080000000@0ZL7[0000002[`>T0Zl3Y0P0000020?ooo`030000003o
ool0oooo0280oooo00070?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3o
ool010000000oooo0?ooo`0000060?ooo`<00000DP3oool200000080YkgY00<000000:Nmj@2W_NT0
0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgZ0:NmjP0300000080Y[gZ
00<000000:JnjP0000000P0000020:JmjP030000002V_^X0Y[kZ00<0000000D0Y[k[000000000000
00000:Jnj`0300000080YKk[00<000000:Jnj`2V_^/00`0000020:Fnj`030000002V_^/0Y[k[00<0
00000P2U_^`00`000000Y[k[0000000200000080YKo/00<000000:Jnj`2V_^/00`0000020:Bnk003
0000002V_^X0Y[kZ00<000000P2U`>d00`000000Z;kZ0:RnjP0300000080Y;g[00@000000:Jji`2V
^^L000000P2X]n@300000080Zl7Y00<000000:fli@2]_>D00`000000102W/n4000000:F[f`2UZm/4
000000040:^nj0000000/L3U0;70i@<0000000<0/K[P0000002VXm800`2VXm801@000000Ui7<09NA
c0000000PhO?00<000000P2Z/ml300000080dMWO1`0000030;B8YP050000002XMY/0Z7JK0:QfV`00
00000P2QKIL200000080]XRU00<000000<fPZ@0000000`3le9X00`000000b9:L00000007000000<0
S5V@00@00000085AS`21DHl000000P1iC8l01P000000MD^A07E;T@1eBi40000007Q?U@800000102Q
LI/00`000000klBU0>o4Y@04000000040:Rmj@000000Z;kY0:Rnj@<000000P2X_NP00`000000Z;gY
0:Rmj@0300000080YkoZ00<000000:Noj`2W_n/00`0000020:Nmj@<0000000@0YkkZ0000002V_^/0
Y[k[10000000102V_^/000000:Fok02U_n`300000080YKk[00<000000:Bok02T_n`00`0000020:Bo
k0030000002S`>h0Xl3^00<000000P2S_nd00`000000X/3_0:;0k`03000000040:;0k`000000X<7`
0:31l0@0000000@0X<7`0000002O`_40Wl;a1`0000000`2M`_800000000000050000000409c3l`00
0000VlCd09_4m0<000000P2La?<00`000000VlCd09_4m00300000080W<Cd0P000000102LaO@00000
00000000000209g4m0030000002NaO@0W/Gd00<000000P2NaO<00`000000X<Gc0:35l`0300000080
X<Gb00<000000:;5l@2RaO400`000000102Ra?4000000:C4l02Ta?04000000040:C4k`000000Y/?^
0:K3kP@0000000@0Y/?^0000002X`^`0Z<;/100000000`2X`^`000000000000400000080ZL7[0`00
00001@2Y`N/000000?ooo`3oool0000002@0oooo00060?ooo`800000103oool010000000oooo0?oo
o`0000020?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0D`3oool00`000000
YkgY0:Nmj@0300000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<0
00000P2W_NT00`000000Y[gZ0:JmjP0200000080Y[gZ00<000000:JmjP2V_NX00`0000001@2V_NX0
0000000000000000Y[k[00<000000P2V_NX00`000000YKk[0:Fnj`0300000080YKk[00<000000:Fn
j`2U_^/00`0000020:Fnj`030000002U_^`0YKk/008000000P2T_^`00`000000YKo/0:Fok0030000
0080Xkk/00<000000:Bnk02T_^`00`0000020:?0kP030000002U`>d0YL3]00<000000P2R_nd00`00
0000Y;g[0:Bmj`0600000080Y/;^1P000000102W_>T000000:Nch@2W/n4300000080X[_[00<00000
0:^nj02[_^P00`0000020;;?k`040000002a^^00/K[P00000080YZ?B1P00000209nOe0030000002Z
/ml000000080cO?Z0`0000001P2X/n00000008n0_P2?P;h0000007eU[08000000P2dR:H01@000000
Z7JK0:QfV`2XMY/000000080XFfG00<000000;J8Y@2fR:D00P2fR:D70000000508aHSP000000ReJ<
08]FS00000000P2:EH/30000000508aIT0000000PE6?085AS`0000000P1iC8l010000000MD^A07E;
T@1eBi420000000309=QTP000000XG6K00<0XG6K00H000000>o4Y@00000000000:Vmj00000020:Rm
j@<000000P2X_NP00`000000Z;gX0:Rmj00300000080Z;oZ1P0000000`2W_NT00000000000020000
00040:NnjP000000YkkZ0:NnjP<000000P2W_^X00`000000Y[k[0:Jnj`0300000080Y[k[00<00000
0:Fnj`2U_^/00`0000020:Fok0030000002T_n`0Y;o/00<0000000@0Y;o/0000002S_nd0Xko]1000
0000102S_nd000000:;0k`2R`>l300000080X/3^00<000000:31l02P`O000`0000020:71k`030000
002O`O40Wl7a00<000000P2O`O000`000000W/;b09k2lP0600000080WL?c1P0000000`2M`o<00000
0000000500000080WLCc00<0000009g4m02Ma?@00`000000102Na?<0000009k5l`2NaO<400000004
09o4l`000000X<Gb0:35lP@0000000@0XLCb0000002Ra?40X/Ca0`0000020:?4l@030000002Ta>l0
Y<C_00<000000P2T`nl00`000000Y/?^0:K3kP03000000030:K3kP00000000000080000000@0Y/;^
0000002X`^`0Z<;/10000000102X`^`000000:W1j`2Y`N/200000080oooo00<000000?ooo`3oool0
8@3oool000L0oooo00<000000?ooo`3oool00`3oool2000000@0oooo0P0000070?ooo`030000003o
ool0oooo05@0oooo0P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nm
j@0300000080YkgY00<000000:Nmj@2W_NT00`000000102W_NT000000:JmjP2V_NX3000000050:Nm
j@00000000000000002V_NX00`0000020:JmjP030000002V_NX0Y[gZ00<000000P2V_NX00`000000
YKk[0:Fnj`0300000080YKg[00<000000:Fnj`2U_^/00`000000102T_^/000000:Bnk02T_^`30000
0080Y;k/00<000000:>nk02S_^`00`0000020:>ok@030000002S`>h0Xl3^00<000000P2R_nh00`00
0000X[o]0::ok@0300000080Wkk_00<000000:71k`2Q`Nl00`000000102RaO8000000:C3k`2T`nl6
00000080VkW]00<000000::kj`2R^n/00`0000020:SGn0030000002bcnl0//o_00H0000000D0U9gI
0000002GVM<0UiWC0000000309nOe0<0000000@0cO?Z0000002^k_P000000`2X/n0010000000Sh2n
0000001mIJ`3000000030;B8YP000000Z7JK0080Z7JK00@000000:5]U`0000000000102fR:D20000
00<0SEbB00@0000008aHSP2<F8h000000P2;EX`010000000RUF;08YER`00000208YDR`P0000000@0
MD^A00000000000000000P2CHI800`000000XG6K0:5aV`020:5aV`050000003_a:D000000000002Y
_NP00`0000020:Vmj0030000002X_NP0Z;gX00<000000P2X_nX3000000040:Rmj0000000Z;gX0:Rm
j0<000000P2X_^T00`000000YkkZ0:NnjP0300000080YkkY00<000000:NnjP2W_^X00`0000020:Nn
jP030000002V_^/0Y[k[00<0000000@0Y[k[0000002U_n`0YKo/10000000102U_n/000000:Bok02T
_n`300000080YKo/00<000000:>ok@2S_nd00`0000020:>ok@030000002R`>h0X/3^00<000000P2R
`>h00`000000XL7_0:71k`0300000080XL7_00<0000009o1l02O`O000`000000102P`O00000009k2
l@2N`_440000000409o2l@000000W/?b09k3lP<000000P2N`_800`000000WL?c09g3l`0700000003
09g4l`000000000000@000000P2Na?<600000080WlCb1P0000000`2Qa?4000000000000500000003
0:?4l0000000000000D0000000@0YL?_00000000000000000P2U`nl00`000000Y/;^0:K2kP030000
0080Y/;]00<000000:S2k02X`^`00`0000020:S2k0040000003oool0oooo00000280oooo000L0?oo
o`030000003oool0oooo05D0oooo00<000000:Nmj@2W_NT00`0000020:Rmj@030000002W_NT0YkgY
00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@0000000P0000001@2W
_NT00000000000000000YkgY00<000000P2W_NT00`000000Y[gZ0:JmjP0300000080Y[gY00<00000
0:JmjP2V_NX00`0000020:JmjP030000002U_N/0YKg[00<0000000@0YKgZ0000002T_^/0Y;k[0`00
00020:Bmj`030000002T_^`0Y;k/00<000000P2S_N`00`000000Xko]0:>ok@0300000080Xkk]00<0
00000::okP2R_nh00`0000020:2lk@030000002O_^l0Wkk_00<0000000@0XL;a0000002RaO80X/Gb
0`00000209^ik@040000002I^>h0VKS^00000080VkW]0`00000209c@nPH000000P2I^^l00`000000
UJWT0000000309BMf@060000002GVM<0UiWC0000002OWm@000000P2[lOH600000080Z;?P00L00000
08n0_P2?P;h0000007eU[0000000HEfg008000000`2XMY/2000000030:AjY0000000]XRU00<0]XRU
0P00000308eLTP040000002<F8h0S5R>00000080ReJ<00@0000008YER`2:EH/000000`2:E8/01000
0000RUB;08YDR`00000208]FS08000000P2>FHh010000000Tf6B09=QTP0000040:5aV`D000000P2Y
_NP00`000000ZKgX0:Vmj003000000030:Voj@00000000000080000000@0ZKgX0000002X_NP0Z;gX
0`0000020:Rnj@030000002X_^T0Z;kY00<000000P2X_^T00`000000YkkY0:Nnj@0300000080Z;kY
00<000000:NnjP2W_^X00`000000102W_^X000000:Jnj`2V_^/300000080Y[k[00<000000:Foj`2U
_n/00`0000020:Joj`030000002U_n`0YKo/00<000000P2U_n`00`000000Xko]0:>ok@0300000080
Y;o]00<000000:;0kP2R`>h00`000000102S`>h000000:71k`2Q`Nl4000000040:71k`000000X<7`
0:31l0<000000P2P`O000`000000Wl;a09o2l@0300000080Wl;a00<0000009k2lP2N`_800`000002
09o2l@030000002N`o80W/?b00<0000000@0W/?b0000002N`o80W/?b10000000102O`o80000009o4
lP2Oa?840000000409o3lP000000X<Cb0:34lP<000000P2Pa?400`000000XLCa0:74l@0300000080
X/?a00<000000:?3l02S`o000`0000020:?3l0030000002U`nl0YL?_00<000000P2U`nl00`000000
Y/;]0:K2k@03000000040:K2k@000000Z<;/0:S2k0<0000000<0oooo0000003oool08@3oool001`0
oooo00<000000?ooo`3oool0EP3oool200000080Z;gY00<000000:Rmj@2X_NT00`0000020:Nmj@03
0000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@02000000050:Nmj@00000000000000
002W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000Y[gY0:Jmj@030000
0080Y[cY1P0000020:Jlj@D000000P2U_>X00`000000Y;g[0:Bmj`0300000080Y;cZ00<000000:>m
k02S_N`00`0000020:Bmj`030000002S_^d0Xkk]00<000000P2R^n/00`000000X;c]0:2lk@030000
00040::nk@000000XL;a0:72l@<000000P2P^n`00`000000VkW]09^ik@0600000080V<Cf0`000002
0:C9l`030000002Na_@0W/Kd00L000000P2DWMT00`000000UiWC09NId`07000000040::jj@000000
O93L07b@g0<000000P2?P;h01@000000OFF/000000000000HEfg00D000000P2TNZ@01`000000]XRU
0;J8Y@2fR:D0000008aXY00000000`2=G98010000000S5R>08aHSP00000208]FS0040000002:EH/0
RUF;000000<0RUB;00@0000008YDR`2:E8/000000P2;EX`01@000000SUV>08iISP2>FHh0000000<0
Tf6B00H000000:5aV`2QLI/000000??0V@0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKoY
00000000000000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKkY00<000000:Rnj@2X_^T00`00
00020:Rnj@030000002X_^T0Z;kY00<0000000@0Z;gY0000002X_^T0Z;kY10000000102X_^X00000
0:NnjP2W_^X300000080YkkZ00<000000:Jnj`2V_^/00`0000020:Jnj`030000002V_n/0Y[o[00<0
00000P2V_n/00`000000YKo/0:Fok003000000030:Fok0000000000000D0000000<0Y;o]00000000
0000100000020:?0kPH000000P2R`Nl600000080XL7`00<0000009o2l@2O`_400`000000102P`_00
000009o2l@2O`_440000000409o2l@000000W/?b09k3lP<000000P2O`o800`000000Wl?b09o3lP03
00000080Wl?b00<0000009o3lP2O`o800`0000020:33lP030000002Pa?40X<Ca00<000000P2Q`o40
0`000000X/?a0:;3l@03000000040:;3l0000000Xl?`0:?3l0@0000000@0Xl?`0000002U`nl0YL?_
10000000102U`nh000000:K2k@2V`^d300000080Y/;]00@000000?ooo`3oool000008@3oool001`0
oooo00<000000?ooo`3oool0E`3oool00`000000Z;gY0:Rmj@0300000080Z;gY00<000000:Nmj@2W
_NT00`0000020:Nmj@030000002W_NT0YkgY00<0000000@0YkgY000000000000YkgY0`0000020:Nm
j@H000000P2W_NT600000080YkcY0`0000020:Nlj@030000002W_>T0YkcY00<0000000@0YkcY0000
002V_>T0Y[cY1P0000020:Jlj@H000000P2U_>T600000080Y;[Y00<000000::kj`2R^n/00`000000
102S^nX000000::nk@2R_^d300000080Y;cZ00<000000:2kk02P^n`00`00000209bci`030000002I
^Nh0VKW^00<000000P2Wa_000`000000Y<Wc0:C9l`030000000509NVh0000000RIkR08VNhP000000
0P1lX>T70000000408g[lP000000^MC^000000<0X[[Y00<0000007b@g00000000P1GJ<T00`000000
Sh2n0000000207eU[0030000001QGKL0000000<0SfjY00@000000:AjY02TNZ@000000`2fR:D00`00
0000S6RT0000000308eLTP040000002<F8h0S5R>00000080ReJ<00@0000008YER`2:EH/000000`2:
E8/010000000RUB;08YDR`00000208]FS0050000002>FHh0SUV>08iISP0000000`2CHI801P000000
XG6K0:5aV`000000ll2I00000080ZKgX0`000000102Y_nT000000000000000020:Vlj0030000002Y
_NP0ZKgX00<000000P2Y_^T00`000000ZKkY0:Vnj@0300000080ZKgY00<000000:Rnj@2X_^T00`00
0000102X_NT000000:Rmj@2X_NT300000080Z;kY00<000000:RnjP2X_^X00`0000020:Rnj@030000
002W_^X0YkkZ00<000000P2W_^X00`000000Y[k[0:Jnj`03000000030:Jnj`000000000000D00000
00@0Y[o[00000000000000000P2V_n/00`000000YKo/0:Fok00300000080YKo/00<000000:Bok@2T
_nd00`000000102T_nd000000:?0kP2S`>h4000000040:?0kP000000X/3_0:;0k`L0000000<0XL7_
000000000000100000020:32l0H000000P2O`_460000000309o2l@000000000000D0000000@0Wl?a
0000002P`o80X<?b10000000102P`o4000000:73l@2Q`o44000000040:73l@000000X/?`0:;3l0<0
00000P2R`o000`000000Xl?`0:?3l00300000080Y<?_00<000000:G3kP2U`nh00`0000000`2U`^h0
000000000004000000030?ooo`000000oooo0200oooo000L0?ooo`030000003oool0oooo05P0oooo
0P0000020:Rmj@030000002X_NT0Z;gY00<000000P2W_NT00`000000YkgY0:Nmj@03000000030:Nm
j@000000000000@000000P2W_NT300000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000
002W_NT0YkgY00<000000P2W_NT00`000000YkcY0:Nlj@03000000040:Nmj@000000YkcY0:Nlj@<0
00000P2W_>T00`000000Y[cX0:Jlj00300000080YkcX00<000000:Jlj@2V_>T00`0000020:Nlj003
0000002V^nP0Y[_X00H000000P2T^^P00`000000Xk_Z0000000200000080YkgY00<000000:BljP2T
_>X00`0000020:6bi@030000002L/nL0W;?W00<000000P2V_n/00`000000YlK`0:O6l00300000080
Xk;R00@0000009NVh02GY^0000000P29W^800`000000O:3Y07bPj@030000000409SDo@0000000000
00000080^MC^1`00000205MXb@<000000P1mIJ`00`000000HEfg0000000308m^Z@060000002TNZ@0
Y7ZT0:AjY0000000]XRU0P0000000`2<J:@0000008eLTP0208eLTP040000002<F8h0S5R>00000080
ReJ<00@0000008YER`2:EH/000000`2:E8/010000000RUB;08YDR`00000208]FS0050000002>FHh0
SUV>08iISP0000000`2CHI800`000000XG6K0:5aV`05000000040:Voj@000000000000000080ZKcW
00<000000:Vlj02Y_>P00`0000020:Vnj@030000002Y_^T0ZKkY00<0000000@0ZKgX0000002Y_NT0
ZKgY10000000102Y_NP000000:Rmj@2X_NT300000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rn
j@030000002X_^T0Z;kY00<0000000@0Z;kY0000002W_^X0YkkZ10000000102W_^X0000000000000
00020:NnjP030000002V_^/0Y[k[00<000000P2V_^/00`000000Y[o[0:Joj`03000000040:Jnj`00
0000YKo/0:Fok0@0000000@0YKo/0000002T_nd0Y;o]0`0000020:Bok@030000002S`>h0Xl3^00<0
00000P2S`>d00`000000X/3^0:;0kP03000000040:;0kP000000XL7_0:71k`@0000000@0X/7_0000
00000000XL7`10000000102Q`O0000000:32l@2P`_4300000080X<;`00<000000:32l@2P`_401P00
00020:33l@H000000P2Q`o46000000030:73l@000000000000D0000000<0Xl?`0000000000001@00
0000102T`nl000000000000000020:C2k`030000002U`^h0YL;^0080000000<0oooo0000003oool0
7`3oool001/0oooo0`00001J0?ooo`030000002X_NT0Z;gY00<000000P2W_NT6000000030:Nmj@00
00000000008000000P2W_NT00`000000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`00
00020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<0
00000:Nmj@0000000P0000020:Nmj@030000002W_>T0YkcY00<000000P2W_>T00`000000YkcX0:Nl
j00300000080YkgY00<000000:Nlj02W_>P00`0000020:Jkj0040000002U^^L0YK[W00000080Y;[X
0P0000020:Nmj@H000000P2T]ND00`000000XK;U0:6bi@0300000080YK[X00<000000:Joj`2V_n/0
0`0000020:^miP030000002S/^80Xk;R00T0000000@0U[?[00000000000000000P2og>h300000006
0:>Ue`000000RH;508V2a@000000L6Ri0P0000000`1GJ<T0000003m>^P020000000507eU[0000000
0000065M]`0000000P2?KZT01P000000Y7ZT0:AjY02TNZ@000000;J8Y@80000000<0S6RT0000002=
G9800P2=G98010000000S5R>08aHSP00000208]FS0040000002:EH/0RUF;000000<0RUB;00@00000
08YDR`2:E8/000000P2;EX`01@000000SUV>08iISP2>FHh0000000<0Tf6B00<000000:5aV`2QLI/0
0P000000102Y_nT000000000000000020:Vli`030000002Y_>L0ZKcW00<000000P2Y_^P00`000000
ZKkY0:Vnj@03000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKkY00<000000:Rnj@2X_^T00`0000020:Rmj@030000002X_^T0Z;kY00<0000000<0Z;kY0000
00000000100000020:Rnj@<000000P2X_^T00`000000YkkZ0:NnjP03000000040:NnjP000000Y[k[
0:Jnj`@0000000@0Ykk[0000002V_^/0Y[k[0`0000020:Jnj`030000002U_n`0YKo/00<000000P2U
_n`00`000000Y;o]0:Bok@03000000040:Bok@000000Xl3]0:?0k@@0000000@0Xl3]0000002R`>h0
X/3^0`0000020:?0kP030000002R`Nl0X/7_00<000000P2R`Nl00`000000XL7`0:71l00300000080
XL7`00<000000:32l02P`_000`000000102Q`_0000000:32l@2P`_44000000040:72l0000000X<;a
0:32l@@0000000@0XL;`0000002Q`o40XL?a0`0000020:73l0030000002R`o00X/?`00<000000P2R
`o000`000000Xl?`0:?3l003000000040:?2k`000000Y<;_0:C2k`@0000000<0Y<;_000000000000
0P00000O0?ooo`006`3oool00`000000oooo0?ooo`1K0?ooo`8000000P2W_NT300000080YkgY00<0
00000:Nmj@0000000`0000020:Nmj@030000002W_NT0YkgY008000000P2W_NT00`000000YkgY0:Nm
j@0300000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W
_NT00`000000YkgY0:Nmj@0200000080YkgY00<000000:Nmj@2W_NT00`0000020:Jmj@030000002W
_>T0YkcY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080Y[cY00<000000:Jkj02V^nP01P00
0000102W_NT000000000000000020:Nmj@040000002W^^L0Yk[W00000080Y;GU0`0000020:>fiP03
0000002U^^P0YK[X00<000000P2^a>/00`000000ZkgV0:^miP030000000509^Tg0000000UYkI09JN
f@0000000P2DXMd00`000000U[?[000000020;OFl0<0000000<0^<cY0000002SYML00P2SYML01@00
0000RH;508V2a@000000L6Ri0080000000D0EfS90000000oC[X0000007eU[00200000005065M]`00
0000SfjY08m^Z@0000000`2TNZ@200000004089GU`000000S6RT000000<0SEbB00@0000008aHSP2<
F8h000000P2;EX`010000000RUF;08YER`00000308YDR`040000002:E8/0RUB;00000080ReJ<00D0
000008iISP2>FHh0SUV>0000000309=QTP040000002QLI/000000??0V@8000000P2Y_>L00`000000
ZKcW0:Vli`03000000040:Vnj0000000ZKkX0:Vnj0@0000000@0ZKgX0000002Y_NP0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_^T00`000000ZKkY0:Vnj@03000000040:Rmj0000000
Z;gY0:Rmj@@0000000@0Z;kY00000000000000000P2X_^T00`000000Z;kY0:Rnj@0300000080Z;kY
00<000000:Rnj@2X_^T00`000000102X_^T000000:NnjP2W_^X300000080YkkZ00<000000:Nnj`2W
_^/00`0000020:Nnj`030000002V_^/0Y[k[00<000000P2V_^/00`000000YKo/0:Fok00300000004
0:Fok0000000Y;o]0:Bok@<000000P2T_n`00`000000Xl3]0:?0k@0300000080Y<3]00<000000:?0
kP2S`>h00`0000020:?0kP030000002R`Nl0X/7_00<0000000@0X/7_0000002Q`O00XL7`10000000
102Q`Nl000000:72l02Q`_0300000080XL;`00<000000:72l02Q`_000`0000020:72l0030000002Q
`_00XL;`00<000000P2Q`_000`000000XL?`0:73l003000000040:;2l0000000X/?`0:;3l0@00000
00@0X/;`0000002S`^l0Xl;_0`0000020:?2k`030000002T`^l0Y<;_0080000000<0oooo0000003o
ool07P3oool001/0oooo00<000000?ooo`3oool0G@3oool200000080YkgY00<000000:Nmj@000000
0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0000000200000080YkgY
00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY
0:Nmj@03000000040:NmjP000000YkgY0:Nmj@<000000P2V_NT00`000000Y[gY0:Jmj@0300000080
Y[gZ00<000000:Nmj@2W_NT00`0000020:JmjP030000002V_>T0Y[cY00<0000000@0YKcZ0000002V
_>T0Y[cY0`0000020:Noj`030000002W_NT0YkgY00H000000P2R]^L00`000000XkKV0:>fiP030000
0080ZlK]00<000000:k4j`2^a>/00`0000000`2Q/>80000009^Tg00209^Tg0050000002FW]T0UYkI
0000002DXMd00`0000001@2ge_0000000;_Vm02ki_@000000080^<cY00@000000:>Ue`2SYML00000
0P29P/D010000000L6Ri0000001GE;@20000000703m>^P000000000007eU[0000000HEfg00000002
08m^Z@040000002TNZ@0Y7ZT0:AjY080000000D0PUNG0000002<J:@0S6RT0000000208eLTP040000
002<F8h0S5R>00000080ReJ<00@0000008YER`2:EH/000000`2:E8/010000000RUB;08YDR`000002
08]FS0050000002>FHh0SUV>08iISP0000000`2CHI8010000000XG6K0000003c`9T200000080ZKcW
0`000000102Y_^P000000:Vnj02Y_^P300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj003
0000002Y_NP0ZKgX00<000000P2Y_^P00`000000ZKkY0:Vnj@03000000040:Vmj0000000Z;gX0:Rm
j0<000000P2X_NT300000080Z;gY00<000000:Rnj@2X_^T00`000000102X_^T000000:Rnj@2X_^T4
000000040:Rnj@000000Z;kY0:Rnj@<000000P2X_^T00`000000YkkZ0:NnjP0300000080YkkZ00<0
00000:Nnj`2W_^/00`000000102W_^/000000:Jnj`2V_^/4000000040:Jnj`000000YKo/0:Fok0<0
00000P2U_n`00`000000Y;o/0:Bok00300000080YKo/00<000000:C0k@2T`>d00`000000102T`>d0
00000:?0kP2S`>h4000000030:?0kP000000000000@000000P2R`Nl00`000000XL7_0:71k`030000
0080X/7_00<000000:72l02Q`_000`0000020:71l0030000002Q`_00XL;`00<0000000@0XL;`0000
002Q`_00XL;`10000000102Q`_0000000:;2l02R`_0300000080X/;`00<000000:;2l02R`_000`00
00020:?2k`030000002S`^l0Xl;_00<0000000D0Xl;_0000003oool0oooo0000000N0?ooo`006`3o
ool00`000000oooo0?ooo`1N0?ooo`030000002W_NT0000000<000000P2W_NT00`000000YkgY0:Nm
j@0300000080YkgY00<000000:Nmj@2W_NT00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W
_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@2W_NT00`0000020:JmjP030000002W
_NX00000008000000P2V_NX00`000000Y[gY0:Jmj@0300000080Y[gZ00<000000:JmjP2V_NX00`00
00020:JmjP030000002V_NX0Y[gZ00<0000000@0YKcZ0000002U_>X0YKcZ0`0000020:Jok0030000
002W_n/0Yko[00<000000P2S^^T010000000X[SX0::hj00000020::fi`<000000P2V`nh00`000000
ZlK]0:_6k@03000000030:Jlj@000000XK3R0080XK3R00<0000009^Tg00000001@0000020:S6k`<0
00000P2ki_@:00000080L6Ri00H0000005MD]0000000?djj0000000kAk@4000000<0SfjY00X00000
0:AjY02TNZ@0000007aEV@000000PUNG0000002<J:@000000P2=G98010000000S5R>08aHSP000002
08]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:E8/000000P2;EX`00`000000SUV>
08iISP0208iISP050000002CHI80Tf6B0000002QLI/00P0000001P2Y_>L00000000000000000ZKkX
00000080ZKkX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003
000000040:Vnj0000000ZKkX0:Vnj0@0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0<00000
0P2Y_NP00`000000Z;gY0:Rmj@03000000040:Rmj@000000Z;kY0:Rnj@<000000P2X_^T00`000000
Z;kY0:Rnj@0300000080Z;kY00<000000:Rnj@2X_^T00`000000102X_^T000000:NnjP2W_^X40000
00040:NnjP000000Ykk[0:Nnj`<000000P2W_^X00`000000Y[k[0:Jnj`03000000030:Jnj`000000
000000D0000000<0YKo/0000000000001@0000000`2U_n`000000000000400000080Y;o]0`000000
102T_nd000000:?0kP2S`>h7000000030:?1kP000000000000D0000000<0X/7_0000000000001@00
00000`2R`Nl000000000000400000080X/;`1P0000000`2R`_00000000000005000000030:;2l000
0000000000D0000000<0Xl;_000000000000100000000`3oool000000?ooo`0:0?ooo`800000103o
ool00`000000oooo0?ooo`020?ooo`<00000103oool001/0oooo00<000000?ooo`3oool0G@3oool4
00000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<0000000@0YkgY
0000002W_NT0YkgY0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nm
j@0300000080YkgY00<000000:JmjP2V_NX00P0000020:JmjP030000002V_NX0Y[gZ00<000000P2V
_NX00`000000Y[gZ0:JmjP0300000080Y[gZ00<000000:JmjP2V_NX00`000000102U_>X000000:Fl
jP2U_>X300000080YKk/00<000000:Jok02V_n`00`0000020:Bmj`030000002S^^T0Xk[Y00H00000
0P2R_^d00`000000Y/?^0:K3kP03000000030:S5kP000000000000L000000P2CZ^H00`000000V[CZ
09ZdjP0300000080/>Sh0`0000020:C0k@030000002>WMh000000080NWk<00L0000006a[_`000000
0000071X^@000000EeBd0080000000H0?djj0000000kAk@0000006mEY000000308m^Z@0:0000002T
NZ@0Y7ZT0000001lEIT00000089GU`000000S6RT00000080SEbB00@0000008aHSP2<F8h000000P2;
EX`010000000RUF;08YER`00000308YDR`040000002:E8/0RUB;00000080ReJ<00<0000008iISP2>
FHh00P2>FHh010000000Tf6B09=QTP2CHI84000000040:Vnj0000000ZKkX0:Vnj0<000000P2Y_NP0
0`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_^P000000:Vnj02Y
_^P300000080ZKgX1P0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP00000
0:Rmj@2X_NT300000080Z;gY00<000000:Rnj@2X_^T00`0000020:Rnj@030000002X_^T0Z;kY00<0
000000@0Z;kY0000002X_^T0Z;kY0`0000020:Rnj@030000002W_^X0YkkZ00<000000P2W_^X60000
00040:NnjP000000000000000080YkkZ00<000000:Jnj`2V_^/00`0000020:Jnj`030000002U_n`0
YKo/00<000000P2U_n`00`000000YKo/0:Fok003000000040:Fok0000000Y;o]0:Bok@<000000P2T
_nd00`000000Xl3^0:?0kP0300000080Xl3]00<000000:?0kP2S`>h00`0000020:?0kP030000002R
`Nl0X/7_00<0000000@0X/7_0000002R`Nl0X/7_10000000102R`Nl000000:;2k`2R`^l300000080
X/7_00<000000:;2k`2R`^l00`0000020:;2k`030000002R`^l0X/;_00<0000000@0Xl;_0000002S
`^l0Xl;_1000000:0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool00`3oool0
01/0oooo00<000000?ooo`3oool0FP3oool3000000<0oooo00<000000:Nmj@2W_NT00`0000020:Nm
j@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0000000200000080YkgY00<000000:Nm
j@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@030000
00040:Jmj@000000Y[gZ0:JmjP<000000P2V_NT00`000000Y[gZ0:JmjP0300000080Y[gZ00<00000
0:JmjP2V_NX00`0000020:FljP030000002U_>X00000008000000P2T_N/00`000000YKk/0:Fnk003
00000080YKk[00<000000:Bmj`2T_N/00`0000020:2hj@030000002P^^/0X;[[00H0000000H0YlO`
000000000000000009nei`00000309R]i@040000002CZ>@0TjST00000080Tj[V0`0000020:CHnP<0
00000P2aeo@700000080NWk<00<0000006a[_`0000000P00000205MD]0<0000000<0>dNd00000000
00000P00000208m^Z@030000002TNZ@000000080O5FI00D00000089GU`000000S6RT0000000208eL
TP040000002<F8h0S5R>00000080ReJ<00@0000008YER`2:EH/000000`2:E8/010000000RUB;08YD
R`00000208]FS0030000002>FHh0SUV>0080SUV>00@0000009=QTP2CHI80Tf6B0`0000020:Vnj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP0
00000:Vnj02Y_^P300000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000
002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000Z;gY0:Rmj@03
000000040:Rmj@000000Z;kY0:Rnj@@0000000@0Z;kY0000002X_^T0Z;kY0`0000020:Rnj@030000
002X_^T0Z;kY00<0000000<0Z;kY0000000000000P000000102X_^T000000:NnjP2W_^X300000080
YkkZ00<000000:NnjP2W_^X00`0000020:NnjP030000002V_^/0Y[k[00<0000000@0Y[k[0000002U
_n`0YKo/10000000102V_n`000000:Fok02U_n`300000080YKo/00<000000:Bok@2T_nd00`000002
0:Bok@030000002S`>d0Xl3]00<0000000@0Y<3]0000002S`>h0Xl3^10000000102S`>h000000:;1
k`2R`Nl300000080Xl7^00<000000:;1k`2R`Nl00`0000020:;1k`030000002R`Nl0X/7_00<00000
00@0X/7_0000002R`^l0X/;_10000000102R`^l000000:?2k`2S`^l300000080Xl;_00<000000?oo
o`0000002@3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo00<0oooo000J0?oo
o`030000003oool0oooo05T0oooo0P0000070?ooo`8000000P2X_NT00`000000YkgY0:Nmj@030000
0080YkgY00<000000:Nmj@2W_NT00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`00
0000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002V_NT00000
008000000P2V_NT00`000000Y[gY0:Jmj@0300000080Y[gY00<000000:JmjP2V_NX00`0000020:Jl
j@030000002U_>X0YKcZ008000000P2U_>X00`000000Y;g[0:Bmj`0300000080Y[k[00<000000:Fn
j`2U_^/00`0000020::hj0030000002P^>T0X;SY00<0000000@0Y;o/0000002Va>l0Y/C_0`000002
0:Jlj@040000002O]NL0WkGW00000080V:gU1P00000209[1l`<000000P2dg?@30000000709n[g`00
0000R8kC08R>d`000000L7K90000000207Ync0040000001/Jkl0000006MR^@80000000L0EeBd0000
000bA;H0000003]7]0000000BeBi00L000000P1lEIT01@000000PUNG0000002<J:@000000080SEbB
00@0000008aHSP2<F8h000000P2;EX`010000000RUF;08YER`00000308YDR`040000002:E8/0RUB;
00000080ReJ<00<0000008iISP2>FHh00P2>FHh01P000000Tf6B09=QTP2CHI8000000??0V@<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002X_NT0Z;gY0`0000020:Rmj@030000002X_^T0Z;kY00<000000P2X_^T6000000040:Rn
j@000000000000000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rnj@030000002W_^X0YkkZ00<0
000000@0YkkZ0000002W_^X0YkkZ10000000102W_^X000000:Jnj`2V_^/300000080Y[k[00<00000
0:Jok02V_n`00`0000020:Joj`030000002U_n`0YKo/00<0000000@0YKo/0000002T_nd0Y;o]1000
0000102T_nd000000:C0k@2T`>d300000080Y<3]00<000000:?0kP2S`>h00`0000020:?0kP030000
002S`Nh0Xl7^00<0000000@0Xl7^0000002R`Nl0X/7_10000000102S`Nl000000:;1k`2R`Nl30000
0080Xl7_00<000000:;2k`2R`^l00`0000020:?1k`030000002S`^l0Xl;_0080000000<0oooo0000
003oool01`3oool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo00<0oooo000J0?oo
o`<00000EP3oool3000000X0oooo00<000000:Rmj@2X_NT00`0000020:Rmj@030000002W_NT0YkgY
00<000000P2W_NT00`000000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nm
j@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0200000080YkgY00<000000:Jm
j@2V_NT00`0000020:Jlj@030000002V_NT0Y[gY00<000000P2V_NT00`000000Y[cY0:Jlj@030000
00040:Fkj@000000YKcZ0:FljP<000000P2V_NX00`000000Y[k[0:Jnj`0300000080Y;[X00<00000
0::hj02R^>P00`0000020:>jj@030000002T_n`00000008000000P2Y`N/00`000000Y[cY0:Jlj@06
00000080UJOR00<0000009F_j@2E[nT00`0000020:oCl`<0000000D0/LGY0000002OZml0Wj_O0000
000208R>d`030000001`M/T0L7K900<000000P1/Jkl00`000000If:i00000002000000060394]P00
0000000003]7]0000000BeBi1P00000207aEV@0500000022EiL0000008aXY00000000P2=G9801000
0000S5R>08aHSP00000208]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:E8/00000
0P2;EX`00`000000SUV>08iISP0208iISP090000002CHI80Tf6B09=QTP000000ll2I0000002Y_NP0
00000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002X_NT0Z;gY00<0000000<0Z;gY0000000000000P000000102X
_NT000000:Rnj@2X_^T300000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rnj@030000002X_^T0
Z;kY00<0000000@0Z;kY0000002W_^X0YkkZ0`0000020:NnjP030000002W_^X0YkkZ00<000000P2W
_^X00`000000Y[k[0:Jnj`03000000040:Jnj`000000Y[o[0:Joj`@0000000@0Y[o[0000002U_n`0
YKo/0`0000020:Fok0030000002T_nd0Y;o]00<0000000<0YKo]0000000000001@0000000`2T`>d0
000000000005000000030:?0kP000000000000@0000000<0Xl7^0000000000001@0000000`2S`Nh0
000000000005000000030:?1k`000000000000D0000000@0Xl7_0000000000000000203oool01000
0000oooo0?ooo`0000090?ooo`030000003oool0oooo00<0oooo000J0?ooo`030000003oool0oooo
05<0oooo0`00000>0?ooo`8000000P2X_NT00`000000Z;gY0:Rmj@0300000080YkgY00<000000:Nm
j@2W_NT00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@030000
0080YkgY00<000000:Nmj@2W_NT00`000000102W_NT000000:Nmj@2W_NT300000080YkcY00<00000
0:Jlj@2V_>T00`0000020:Nmj@030000002V_NT0Y[gY00<0000000@0Y[_Y0000002U^nT0YK_Y0`00
00020:Jmj@030000002V_NX0Y[gZ00<000000P2V^nT00`000000Y;[X0:Bjj00300000080XkSX00<0
00000:>jj@2S^^T00P0000020:W2k0030000002Y`N/0ZL7[00<0000000<0WjoS0000002IZN400P2I
ZN400`000000UJOR09FWhP0300000080Y/C^00D000000:oCl`000000]mG_000000020;75j@D00000
0P28S]<00`000000L7K90000000205]Va0<0000000@0If:i0000001YIKX0JFFj1@000000101;E;T0
0000075ca@1aLlD40000000607aEV@000000PUNG0000002<J:@000000P2=G98010000000S5R>08aH
SP00000208]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:E8/000000`2;EX`01@00
0000SUV>08iISP2>FHh0000000<0Tf6B0P0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP00000
0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000@0ZKgX00000000000000000P2Y_NP00`000000Z;gY0:Rmj@0300000080Z;gY00<000000:Rn
j@2X_^T00`000000102X_^T000000:Rnj@2X_^T4000000040:Rnj@000000Z;kY0:Rnj@<000000P2X
_^T00`000000YkkZ0:NnjP03000000040:NnjP000000YkkZ0:NnjP@0000000@0YkkZ0000002V_^/0
Y[k[0`0000020:Jnj`H0000000<0Y[o[0000000000001@000000102U_n`000000000000000020:Fo
k0030000002U_n`0YKo/00<000000P2U_n`00`000000Y<3]0:C0k@03000000040:C0k@000000Y<3]
0:C0k@<000000P2T`>d00`000000Xl3^0:?0kP0300000080Xl3^00<000000:?1kP2S`Nh00`000000
102S`Nh000000:?1kP2S`Nh4000000040:?1kP000000oooo000000L0oooo00@000000?ooo`3oool0
0000203oool2000000D0oooo000J0?ooo`030000003oool0oooo0500oooo0`00000B0?ooo`030000
002X_NT0Z;gY00<000000P2X_NT00`000000YkgY0:Nmj@03000000040:Nmj@000000YkgY0:Nmj@<0
00000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY1P0000000`2W_NT000000000000400000080
YkcY1P0000020:Nmj@H000000P2V_>T00`000000Y[_Y0000000200000080Y[cY00<000000:Jmj@2V
_NT00`0000020:Nmj@030000002V^nT0Y[_Y00<000000P2S^>L00`000000XkSX0:>hj00300000004
0:S0j`000000ZL;/0:W2k0<000000P2U^>H010000000WjoS09n_h`00000209VYh@<000000P2N]NP0
0`000000Y/C^0:K4kP0200000080]mG_0`000000102HY=h0000008J;d026Rm0400000007071fb@00
0000FfK405]Va0000000B5o70000000206MR^@030000001YIKX000000080M7C50`0000001@1;E;T0
0000075ca@000000Xig?0080000000@0O5FI00000022EiL0PUNG0P00000208eLTP040000002<F8h0
S5R>00000080ReJ<00D0000008YER`2:EH/0RUF;0000000208YDR`040000002:E8/0RUB;000000<0
ReJ<00D0000008iISP2>FHh0SUV>0000000309=QTP@0000000@0ZKgX0000002Y_NP0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0H0000000@0ZKgX000000000000
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX00<000000:Rmj@2X_NT00`000000102X_NT0
00000:Rnj@2X_^T300000080Z;kY00<000000:Rnj@2X_^T00`0000020:Rnj@030000002X_^T0Z;kY
00<0000000@0Z;kY0000002W_^X0YkkZ0`0000020:NnjPH0000000<0YkkZ0000000000000P000000
102W_^X000000:Jnj`2V_^/300000080Y[k[00<000000:Joj`2V_n/00`0000020:Joj`030000002U
_n`0YKo/00<0000000@0YKo/0000002U_n`0YKo/10000000102U_n`000000:C0k@2T`>d300000080
Y<3]00<000000:C0k@2T`>d00`000000102T`>d000000:?0kP2S`>h4000000040:C0kP000000Xl7^
0:?1kP<000000P2S`Nh00`000000Xl7^0:?1kP04000000L0oooo0P00000:0?ooo`030000003oool0
oooo00<0oooo000J0?ooo`030000003oool0oooo04d0oooo0`00000F0?ooo`8000000P2X_NT00`00
0000Z;gY0:Rmj@0300000080YkgY1@0000020:Nmj@H000000P2W_NT300000080YkgY00<000000:Nm
j@2W_NT00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@030000
0080YkgY00<000000:Nlj@2W_>T01@0000020:Jlj@H000000P2W_^X600000080Y;WX00<000000:>h
i`2S^>L00`000000102U_N/000000:S0j`2X`>/300000080Z;oZ00<000000:FhiP2U^>H01P000002
09Z]i0030000002N]NP0W[GX00<0000000@0]=Ob00000000000000000P2Y_nX01P000000V:CN09RT
gP000000QX_@00000080MgS610000000101KI/@0000004QOa`18GlL300000080JFFj00<0000007Ad
a@0000000P2<W=d200000080LG?50`000000101lEIT00000089GU`22EiL200000080SEbB00@00000
08aHSP2<F8h000000P2;EX`01@000000RUF;08YER`2:EH/000000080RUB;00@0000008YDR`2:E8/0
00000`2;EX`01@000000SUV>08iISP2>FHh0000000<0Tf6B0`0000020:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj00300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX0000000000000P000000102Y_NP000000:Vm
j02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP400000004
0:Vmj0000000Z;gY0:Rmj@<000000P2X_NT00`000000Z;kY0:Rnj@03000000040:Rnj@000000Z;kY
0:Rnj@@0000000@0Z;kY0000002X_^T0Z;kY0`0000020:Rnj@<0000000@0Z;kY0000002W_^X0YkkZ
0`0000020:NnjP030000002W_^X0YkkZ00<000000P2W_^X00`000000Y[k[0:Jnj`03000000040:Jn
j`000000Y[o[0:Joj`@0000000@0Y[o[0000002U_n`0YKo/0`0000020:Fok0030000002U_n`0YKo/
00<0000000@0YKo/0000002T`>d0Y<3]10000000102T_nd000000:C0k@2T`>d300000080Y<3]00<0
00000:C0kP2T`>h00`0000020:C0k@030000002S`Nh0Xl7^00<0000000@0Y<7^0000003oool00000
6@3oool001X0oooo00<000000?ooo`3oool0BP3oool3000001/0oooo1@0000020:Rmj@<000000P2W
_NT00`000000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W
_NT0YkgY00<0000000@0YkgY0000002W_NT0YkgY0`0000020:Nmj@030000002W_NT0YkgY00<00000
0P2W_NT00`000000YkgY0:Nmj@03000000040:Jlj@000000Y[cY0:Jlj@<000000P2V_NX00`000000
YkgZ0:NmjP0300000080Y[gY00<000000:Fkj02U^nP01P000000102T^nT000000:Fmj`2U_N/30000
0080ZL?/1P00000209f_i0040000002JZn<0VZ_S00000080VZgT0`000000102[c_80000000000000
00020;7Bl@030000002Y_nX0ZKoZ00@000000P26Rm000`000000MgS60000000206e^`P@0000000@0
B5o70000000jJMH000000P1YIKX01@000000M7C507Ada@000000S9cM00L0000000@0O5FI00000022
EiL0PUNG0P00000208eLTP070000002<F8h0S5R>08aHSP000000ReJ<0000000308YER`040000002:
E8/0RUB;00000080RUB;00D0000008]FS02;EX`0ReJ<0000000308iISP050000002CHI80Tf6B0000
003d_Y80100000020:Vmj0H0000000<0ZKgX0000000000000P000000102Y_NP000000:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj000
0000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000000000000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000Z;gY0:Rmj@030000
00040:Rmj@000000Z;kY0:Rnj@<000000P2X_^T6000000030:Rnj@00000000000080000000@0Z;kY
0000002X_^T0Z;kY0`0000020:Rnj@030000002W_^X0YkkZ00<0000000@0YkkZ0000002W_^X0YkkZ
10000000102W_^X000000:Jnj`2V_^/300000080Y[k[00<000000:Joj`2V_n/00`0000020:Joj`03
0000002U_n`0YKo/00<0000000@0YKo/0000002U_n`0YKo/0`0000020:Fok0030000002T_nd0Y;o]
00<000000P2U_nd00`000000Y<3]0:C0k@03000000040:C0k@000000Y<3]0:C0k@@0000000@0Y<3]
0000002T`Nh0Y<7^0`00000I0?ooo`006@3oool00`000000oooo0?ooo`180?ooo`<000007`3oool0
0`000000Z;gY0:Rmj@0300000080Z;gY00<000000:Nmj@2W_NT00P0000020:Nmj@030000002W_NT0
YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@0000000P000002
0:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080Y[cY00<00000
0:Jlj@0000000P0000020:Jlj@030000002V_NX0Y[gZ00<000000P2W_^X00`000000Y[gY0:Jmj@03
00000080Y;WX00<000000:>ij@0000000P2T^nT300000080Z<;]0`0000020:Flj@040000002Q]^L0
XKKW00000080WJoT1P000000102Q`>l000000000000000020;;Gl`H0000000@0T9gL0000001nQm<0
OXOC0`00000207MhaP030000001]K/8000000080Ifk610000000100jJMH0000000000000000207Ad
a@80000000L0cOoB000000000000bng/00000033h>h000000080O5FI00@00000089GU`0000000000
0P2=G9801`000000S5R>08aHSP2<F8h0000008]FS00000000`2:EH/010000000RUB;08YDR`000003
08YDR`040000002;EX`0ReJ<000000<0SUV>00H0000009=QTP2CHI8000000?BnTP0000020:Vmj0<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000000000000020:Vmj0030000002Y
_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002X
_NT0Z;gY0`0000020:Rmj@<0000000@0Z;gY0000002X_^T0Z;kY0`0000020:Rnj@030000002X_^T0
Z;kY00<000000P2X_^T00`000000Z;kY0:Rnj@03000000040:Rnj@000000YkkZ0:NnjP<000000P2W
_^X00`000000YkkZ0:NnjP0300000080YkkZ00<000000:Jnj`2V_^/00`000000102V_^/000000:Jo
j`2V_n/4000000040:Joj`000000YKo/0:Fok0<0000000<0Y[o/0000000000001@0000000`2U_n`0
000000000005000000030:Fok0000000000000@000000P2T`>d6000000040:C0k@00000000000000
01P0oooo000I0?ooo`<00000A@3oool3000002<0oooo0P0000020:Rmj@030000002X_NT0Z;gY00<0
000000@0YkgY0000002W_NT0YkgY0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`00
0000YkgY0:Nmj@0200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY
00<000000P2W_NT00`000000Y[cY0:Jlj@0200000080Y[cY00<000000:Jlj@2V_>T00`0000020:Nn
jP030000002W_^X0YkkZ00<000000P2U^^T00`000000Y;WX0:Bij00500000080Y/3/0`0000020:S0
j`030000002U_>T0YKcY00H0000000L0VJkV0000002K]>T0VkCY0000002Q`>l000000080[M3c00<0
00000;;Gl`0000000P2^an`010000000X[CU0::di@000002092Mg0030000001nQm<000000080KgW=
0`00000206e^`P030000001WK/H000000080J7gD0`00000203NEl@T0000000H0`n3^000000000000
O5FI00000022EiL200000080SEbB00L0000008aHSP2<F8h0S5R>0000002;EX`0000000<0RUF;00@0
000008YDR`2:E8/000000`2:E8/010000000ReJ<08]FS000000308iISP030000002CHI80Tf6B00D0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
00000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000000000000020:Vmj0030000002Y
_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX1P0000020:Vm
j0<0000000@0ZKgX0000002X_NT0Z;gY0`0000020:Rmj@030000002X_^T0Z;kY00<0000000@0Z;kY
0000002X_^T0Z;kY10000000102X_^T000000:Rnj@2X_^T300000080Z;kY00<000000:NnjP2W_^X0
0`000000102W_^X000000:NnjP2W_^X4000000040:NnjP000000Y[k[0:Jnj`<000000P2W_^/60000
00040:Joj`000000000000000080Y[o[00<000000:Jok02V_n`00`0000020:Joj`030000002U_n`0
YKo/00<0000000@0YKo/0000002U_n`0YKo/10000000102U_n`000000:C0k@2T`>d3000000030?oo
o`000000oooo01P0oooo000I0?ooo`030000003oool0oooo0480oooo0`00000W0?ooo`030000002X
_NT0Z;gY00<000000P2X_NT00`000000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`00
00020:Nmj@030000002W_NT0YkgY00<0000000@0YkgY0000002W_NT0YkgY0`0000020:Nmj@030000
002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@03000000040:Jlj@000000Y[cY0:Jlj@<0
00000P2V_NX00`000000YkkZ0:NnjP0300000080Y[cY00<000000:Fjj@2U^^T00`000000102T^^T0
00000:Blj`2T_>/300000080Z<7/00<000000:S0j`2X`>/00`0000000`2O/^D0000009^^i00209^^
i0030000002I[^H0000000D000000P2]d?<300000080[/O/1`00000207j7d`030000001_NLd00000
0080IgC<0`00000206M^aP050000001XOM@0J7gD0000001`Yo<01@0000000`33o]<0000000000002
0<S[k@<0000000@0^]C]000000000000PUNG0P00000208eLTP050000002<F8h0S5R>08aHSP000000
0P2;EX`010000000RUF;08YER`00000208YDR`050000002:E8/0RUB;08YDR`0000000P2;EX`01@00
0000SUV>08iISP2>FHh000000080Tf6B0P000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX
0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX0000000000001@000000102Y_NP00000
0000000000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX
0`0000020:Vmj0030000002X_NT0Z;gY00<0000000@0Z;gY0000002X_^T0Z;kY0`0000020:Rnj@03
0000002X_^T0Z;kY00<000000P2X_^T00`000000Z;kY0:Rnj@03000000040:Rnj@000000YkkZ0:Nn
jP<000000P2W_^X6000000030:NnjP00000000000080000000@0YkkZ0000002W_^/0Ykk[0`000002
0:Nnj`030000002V_n/0Y[o[00<0000000@0Y[o[0000002V_n/0Y[o[10000000102V_n/000000:Fo
k02U_n`300000080YKo/00<000000:Fok02U_n`00`0000050?ooo`030000003oool0oooo01H0oooo
000I0?ooo`030000003oool0oooo0400oooo0P00000[0?ooo`8000000P2X_NT00`000000Z;gY0:Rm
j@0200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<000000P2W
_NT00`000000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W
_NT0YkgY00<0000000@0Y[cY0000002V_>T0Y[cY0`0000020:Jmj@030000002V_NX0Y[gZ00<00000
0P2V_NT00`000000Y[cY0:Jlj@03000000040:Bij0000000Y;[Y0:Bjj@<000000P2W`>/00`000000
Z<7/0:S1k00300000080Y;SW00@0000009nbi@2O/^D000000P2K[^@200000080WkSZ00<000000:G4
k`2Ua>l00`0000020;;@k`<0000000D0WJcQ0000002>UmP0SYOH0000000207n6d0<000000P1_NLd0
0`000000IgC<0000000206Qkd`<000000P1XOM@3000000030;?_mP000000000000@0000000@0b>_]
00000030gNh0`=g^10000002089GU`040000002=G980SEbB000000<0S5R>00@0000008]FS02;EX`0
00000P2:EH/01@000000RUB;08YDR`2:E8/000000080RUB;00@0000008]FS02;EX`000000`2>FHh0
0`000000Tf6B09=QTP02000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`00
00020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<0000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj00300000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX
00<000000:Vmj02Y_NP00`000000102Y_NP000000:Rmj@2X_NT300000080Z;gY00<000000:Rnj@2X
_^T00`000000102X_^T000000:Rnj@2X_^T4000000030:Rnj@000000000000@000000P2X_^T30000
00040:Rnj@000000YkkZ0:NnjP<000000P2W_^X00`000000YkkZ0:NnjP0300000080YkkZ00<00000
0:Nnj`2W_^/00`000000102W_^/000000:Joj`2V_n/300000080Y[o[00<000000:Joj`2V_n/00`00
0000102V_n/000000:Fok02U_n`4000000P0oooo00<000000?ooo`3oool05P3oool001T0oooo00<0
00000?ooo`3oool0?@3oool3000002h0oooo00<000000:Rmj@2X_NT00`0000020:Rmj@030000002W
_NT00000008000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@2W_NT00P00
00020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkcY00<0
00000:Jlj@0000000P0000020:Jlj@030000002V_NT0Y[gY00<000000P2W_NT00`000000Y[gY0:Jm
j@03000000040:Fjj0000000Y;WX0:Bij0<000000P2V_^X00`000000Yl3[0:O0j`0300000080YkgY
00<000000:Bhi`2T^>L01P000000102L/NH0000009nhjP2O^>X300000080/=3`0`0000020:[0j@04
0000002M[>40WJcQ00000080SYOH00<0000007n6d00000000P1cNld300000080IgC<00<0000006Qk
d`0000000P1fU><200000080T/7f1@0000020<cejP<0000000D0`=g^0000002idN`000000;C:j`04
00000080SEbB00D0000008aHSP2<F8h0S5R>0000000208]FS0040000002:EH/0RUF;000000<0RUB;
00@0000008YDR`2:E8/000000P2;EX`020000000SUV>08iISP2>FHh0000009=QTP000000m;jB0P00
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj000
0000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000000000000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`000002
0:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0
ZKgX0`0000020:Vmj0030000002X_NT0Z;gY00<0000000@0Z;gY0000002X_^T0Z;kY0`0000020:Rn
j@<0000000@0Z;kY0000002X_^T0Z;kY10000000102X_^T000000:Rnj@2X_^T300000080Z;kY00<0
00000:NnjP2W_^X00`000000102W_^X000000:NnjP2W_^X4000000040:NnjP000000Ykk[0:Nnj`<0
00000P2W_^/00`000000Y[o[0:Joj`03000000040:Joj`000000Y[o[0:Joj`<00000303oool00`00
0000oooo0?ooo`0F0?ooo`006@3oool00`000000oooo0?ooo`0j0?ooo`<00000<P3oool200000080
Z;gY00<000000:Rmj@2X_NT00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000
YkgY0:Nmj@03000000040:Nmj@000000YkgY0:Nmj@<000000P2W_NT00`000000YkgY0:Nmj@030000
0080YkgY00<000000:Nlj@2W_>T00P0000020:Jlj@030000002V_>T0Y[cY00<000000P2W_NT00`00
0000YkgY0:Nmj@0300000080Y[_X00<000000:Fjj00000000P0000020:Fkj@030000002V_^X0Y[kZ
00<000000P2X`>/00`000000YkgY0:Nmj@030000000509nai@000000W:oT09b_i00000000P2L/NH3
00000080Z/S_0`0000020;7=kP030000002Z`>T0Z/3Y00L0000000D0OhK@0000001cNld0Lg_=0000
000206ajd0<000000P1XNm<00`000000MYCS07JDh`0:00000080a^O^0P0000020;WAk0<000000P2`
a^X20000000308eLTP000000S5R>0080S5R>00@0000008]FS02;EX`000000P2:EH/01@000000RUB;
08YDR`2:E8/000000080RUB;00@0000008]FS02;EX`000000`2>FHh010000000Tf6B0000003d_Y82
00000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX
0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0H0000000<0ZKgX
0000000000000P000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
0000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000
002Y_NP0ZKgX00<0000000<0ZKgX000000000000100000020:Rmj@<0000000@0Z;gY0000002X_^T0
Z;kY0`0000020:Rnj@030000002X_^T0Z;kY00<0000000@0Z;kY0000002X_^T0Z;kY10000000102X
_^T000000:NnjP2W_^X300000080YkkZ00<000000:NnjP2W_^X00`000000102W_^X000000:Nnj`2W
_^/4000000040:Nnj`000000Y[o[0:Joj`<000003`3oool00`000000oooo0?ooo`0F0?ooo`006@3o
ool00`000000oooo0?ooo`0g0?ooo`<00000=P3oool00`000000Z;gY0:Rmj@03000000040:Rmj@00
0000YkgY0:Nmj@<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@000000
0P0000020:Nmj@H000000P2W_NT6000000040:Nlj@000000Y[cY0:Jlj@<000000P2W_NT600000080
Y[cY00<000000:Jkj02V^nP00P0000020:Bjj0030000002U^nT0YK_Y00<000000P2X`>/00`000000
Z<3[0:S0j`03000000040:>fiP000000Wk7U09nai@H000000P2S_N`300000080/=3`00<000000;7=
kP2acNh00`0000001@2HYn40000008ZEf@2:UMT000000080OXOB0`00000207=kc@030000001/N]00
00000080K8KK1P0000000`2emnl0000000000002000000030<ckiP000000b_3/00<0000000@0_]W]
00000000000000000P2cbn/50000000308eLTP000000S5R>0080S5R>00@0000008]FS02;EX`00000
0P2:EH/01@000000RUB;08YDR`2:E8/000000080RUB;00@0000008]FS02;EX`00000102>FHh30000
00060:Vmj000000000000000002Y_NP000000P2Y_NP4000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP6000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP0
00000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX
00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj000
0000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0
000000H0ZKgX00000000000000000:Vmj00000020:Vmj0@0000000@0ZKgX0000002X_NT0Z;gY0`00
00000`2X_NT00000000000020:Rnj@<0000000@0Z;kY0000002X_^T0Z;kY0`0000020:Rnj@030000
002X_^T0Z;kY00<000000P2X_^T00`000000YkkZ0:NnjP03000000040:NnjP000000YkkZ0:NnjP<0
00000P2W_^X600000180oooo00<000000?ooo`3oool05P3oool001P0oooo00<000000?ooo`3oool0
=@3oool3000003X0oooo0P0000020:Rmj@030000002X_NT00000008000000P2W_NT600000080YkgY
1@0000020:Nmj@<000000P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nlj@2W_>T0
1@0000020:Nmj@<000000P2W_NT00`000000YkgY0:Nmj@06000000040:Fjj0000000Y;[X0:Bjj0<0
00000P2W_n/600000080Y[_X00<000000:>fiP0000000P00000209faiP060000002N]NP0W[GX0000
002S_N`000000P2/bo000`000000/=3`0;3@l003000000030:Fjj0000000V:OQ0080V:OQ00<00000
08ZEf@0000000P1nQm800`000000MX7@000000060000000406b6f`000000000000000080YMWj0P00
0000202hoML000000000003<nnH000000<[`k0000000a>;^0`0000020;SAk@<000000P2`aNX30000
0080SEbB00@0000008aHSP2<F8h000000P2;EX`010000000RUF;08YER`00000308YDR`040000002:
E8/0RUB;00000080ReJ<00<0000008iISP2>FHh00P2>FHh4000000040:Vmj0000000ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj00300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000
00@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`0000000`2Y_NP000000000000400000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002X_NT0Z;gY00<0000000@0Z;gY
0000002X_^T0Z;kY0`0000020:Rnj@030000002X_^T0Z;kY00<0000000@0Z;kY0000002X_^T0Z;kY
100000000`2X_^T0000000000004000000030:NnjP000000000000800000603oool00`000000oooo
0?ooo`0F0?ooo`00603oool010000000oooo00000000000a0?ooo`<00000?`3oool400000080Z;gY
0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0000000200000080YkgY
00<000000:Nmj@2W_NT00`0000020:Nmj@030000002W_NT0YkgY00<0000000@0YkcY0000002V_>T0
Y[cY0`0000020:Nmj@030000002W_NT0YkgY00<000000P2V_>T00`000000YK_X0000000500000080
Y[gZ0`0000020:S0j`030000002X_nX0Z;oZ00D000000P2N/ND00`000000WK7V09faiP0600000080
[<_`0`0000000`2^and000000000000900000080OXOB0P00000207F3d`030000001lT]h0O9;N0080
00000P2=/>h;000000070<CRkP000000_MS^0;gHkP000000^=7]000000020;?9j`030000002`aNX0
/<GZ00<000000P2=G98010000000S5R>08aHSP00000208]FS0040000002:EH/0RUF;000000<0RUB;
00@0000008YDR`2:E8/000000P2;EX`00`000000SUV>08iISP0208iISP<000000P2Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0
ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX100000000`2Y_NP000000000000400000080ZKgX0`00
0000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP00000
0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@0000000@0
ZKgX0000002X_NT0Z;gY0`0000020:Rmj@030000002X_^T0Z;kY00<0000000<0Z;kY000000000000
100000020:Rnj@<0000000@0Z;kY0000002X_^T0Z;kY0`00000L0?ooo`030000003oool0oooo01H0
oooo000H0?ooo`800000<03oool3000004<0oooo00<000000:Rmj@0000000P0000020:Rmj@030000
002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0200000080YkgY00<000000:Nmj@2W_NT0
0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_>T00`000000YkcY0000000200000080YkgY
00<000000:Nmj@2W_NT00`0000020:Nlj@030000002V_>T0Y[cY008000000P2U^^T00`000000YK_Y
0:Fkj@0300000080Yko[00<000000:S0j`2X`>/00`0000001@2T^NP000000:6diP2Q]>H000000080
W[7U0`0000020:6ijP030000002V`^h0Y/;^00<000000P2`cNl2000000050::di@000000UJ?N09FS
gP0000000P28TmP00`000000OHWD07f9e00600000080MH?C00T0000007bBgP1lT]h0000008f`kP00
0000Y^Ok0000002fn^X00P0000001@39oN<000000<cfj@000000b>_]00<000000P2mf>h300000080
/lW[0`0000000`2^`^T000000000000208eLTP040000002<F8h0S5R>00000080ReJ<00@0000008YE
R`2:EH/000000`2:E8/010000000RUB;08YDR`00000208]FS0030000002>FHh0SUV>0080SUV>1@00
00020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP4000000060:Vmj000000000000000002Y_NP000000P2Y_NP4000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000Z;gY0:Rmj@@0000000H0Z;kY000000000000
00000:Rnj@0000020:Rnj@@0000000@0Z;kY0000002X_^T0Z;kY0`00000P0?ooo`030000003oool0
oooo01D0oooo000H0?ooo`030000003oool0oooo02`0oooo0`0000170?ooo`040000002X_NT0Z;gY
00000080Z;gY0`0000020:Nmj@030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY00000002
00000080YkgY00<000000:Nmj@2W_NT00`0000020:Nlj@030000002W_>T0YkcY008000000P2W_NT0
0`000000YkgY0:Nmj@0300000080YkgY00<000000:Nlj@2W_>T00`000000102U^^P000000:Fjj@2U
^^T300000080Y[kZ00<000000:Noj`2W_n/00`000000102W_NT000000:Bij02T^NP600000080W[?W
00<000000:6ijP2Q^NX00`0000020:k;k`<0000000D0Zl;[0000002R]>D0X[CU0000000209FSgP06
00000028TmP0R9?H0000001mRM@000000P1gQMD00`000000MhcK07N<f`0@000000040<S[k@000000
`^3^0<;PkP<000000P2gcn`3000000060:o5jP000000[/;Y0000002/`NT000000P2=G98010000000
S5R>08aHSP00000208]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:E8/000000P2;
EX`00`000000SUV>08iISP0208iISP040000003d_Y8000000:Vmj0H000000P2Y_NP3000000040:Vm
j0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP3
000000040:Vmj0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000<0ZKgX000000000000100000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vm
j0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP000000000000400000080ZKgX0`00
0000102Y_NP000000:Rnj@2X_^T300000080Z;kY00<000000:Rnj@2X_^T00`00000S0?ooo`030000
003oool0oooo01D0oooo0000103oool000000000000000030?ooo`<00000103oool2000000P0oooo
00<000000?ooo`3oool0:P3oool2000004/0oooo00<000000:Rmj@0000000P0000020:Rmj@030000
002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@0200000080YkgY00<000000:Nmj@2W_NT0
0`0000020:Nmj@030000002W_>T0YkcY00<0000000@0YkcY0000002W_NT0YkgY0`0000020:Nmj@03
0000002W_NT0YkgY00<0000000@0Y[_X0000002U^^P0YK[X0`0000020:Jlj@030000002V_^X0Y[kZ
00<000000P2X_nX00`000000YkgY0000000200000080XKCV00@0000009jbiP2N/^H000000P2N/nL3
00000080ZLC^0`000000102_b^d000000:_2j`2[`^/:00000080OHWD00@0000007N5e@1gQMD00000
0P1gS=/01`000000OioW07nOi`000000TL7g0000002]j?T00P0000001@34o>D000000<_ij0000000
bo;/00D000000P2keNd3000000040;;9j`000000[lGZ0:o5jP<0000000D0[<7Y0000002=G980SEbB
0000000208aHSP040000002;EX`0ReJ<00000080RUF;00D0000008YDR`2:E8/0RUB;0000000208YD
R`040000002;EX`0ReJ<000000@0SUV>00@000000?BnTP00000000000P2Y_NP00`000000ZKgX0:Vm
j003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vm
j0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000030:Vmj0000000000000@0
00000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0030000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<000000P2Y_NP00`000000ZKgX0:Vmj00300000005
0:Vmj000000000000000002Y_NP00P0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000002
0:Vmj0030000002X_^T0Z;kY00<000009P3oool00`000000oooo0?ooo`0E0?ooo`000P3oool01@00
0000oooo0?ooo`3oool0000000<0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?oo
o`050?ooo`030000003oool0oooo02L0oooo0`00001>0?ooo`040000002X_NT0Z;gY00000080Z;gY
0`0000020:Nmj@030000002W_NT0YkgY00<0000000@0YkgY0000002W_NT0YkgY0`0000020:Nmj@03
0000002W_NT0YkgY00<0000000@0YkcY0000002W_>T0YkcY0`0000020:Nmj@030000002W_NT0YkgY
00<000000P2V_>T00`000000Y[_X0000000200000080YK_Y00<000000:Jlj@2V_>T00`0000020:Ro
jP030000002X_nX0Z;oZ008000000P2S]nL00`000000XKCV0:6diP0600000080Y;c[0`000000102^
bnl000000:o:k@2_b^d30000000509j`i0000000Tj3M09>Pg@0000000P27TmP00`000000Oh_E07n;
e@0F000000090<KXkP000000`=g^0<3MkP000000^mG]0000002fc^`000000080//W[0`0000020:g2
j@<000000P2=G98010000000S5R>08aHSP00000208]FS0040000002:EH/0RUF;000000<0RUB;00@0
000008YDR`2:E8/000000P2;EX`00`000000SUV>08iISP0208iISP80000000@0ZKgX0000002Y_NP0
ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y
_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP0000000000000
00020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000
002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y_NP000000:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000000000000020:Vmj0030000002Y_NP0
ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX000000000000
1@0000001P2Y_NP00000000000000000ZKgX00000080ZKgX10000000102Y_NP000000:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`00000Y0?ooo`030000003oool0oooo01D0oooo00020?oo
o`030000003oool0oooo00D0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`04
0?ooo`030000003oool0oooo02D0oooo0`00001A0?ooo`030000002X_NT0Z;gY00<000000P2X_NT0
0`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@0000000P0000020:Nmj@030000002W_NT0
YkgY00<000000P2W_>T00`000000YkcY0000000200000080YkgY00<000000:Nmj@2W_NT00`000002
0:Nmj@030000002V_>T0Y[cY008000000P2U^nP00`000000YK_Y0:Fkj@0300000080YkkZ00<00000
0:RojP2X_nX00`000000102V^nP000000:>gi`2S]nL300000080Wk?V00<000000:2fj02P]^P00`00
0000102[a^h000000:k;k`2^bnl300000080Z;kY00@0000009j`i02N/>@000000P2CX=d01P000000
Qi?H08NCf0000000Oh_E00000080O8_G00D0000007nCg@1oTmd0Oi?M0000000208VXj@070000002K
b?L000000000002nn>d000000<Oij@0200000080bNo]0`0000020<3MkP8000000P2fc^`300000080
[lGZ0`0000000`2/`>T000000000000208eLTP040000002<F8h0S5R>00000080ReJ<00@0000008YE
R`2:EH/000000`2:E8/010000000RUB;08YDR`00000208]FS0030000002>FHh0SUV>0080SUV>0P00
00001P2Y_NP00000000000000000ZKgX00000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000
0000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX
0:Vmj003000000030:Vmj0000000000000D0000000H0ZKgX00000000000000000:Vmj00000020:Vm
j0@0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX
0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000000000000000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0@00000;03oool00`000000oooo0?ooo`0E0?oo
o`000P3oool00`000000oooo0?ooo`050?ooo`040000003oool0oooo00000080oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`0R0?ooo`<00000E@3oool200000080Z;gY00<000000:Rm
j@2X_NT00`0000020:Nmj@030000002W_NT0YkgY008000000P2W_NT600000080YkgY1@0000020:Nl
j@H000000P2W_NT6000000040:Jkj0000000YK_X0:Fkj0<000000P2V_NT00`000000YkkZ0:NnjP03
000000040:Nnj@000000Y[_X0:Jkj0<000000P2P]>H00`000000Wk?V09nciP0300000080Y[o/00<0
00000:_6kP0000000P0000020:g7k@030000002X_^T0Z;kY00d000000P1lRmL00`000000Oi?M07nC
g@0<000000040<W_k@000000a>C^0<CTkP<0000000@0^]C]00000000000000000P2bb>/300000004
0:g2j@000000[<3Y0:c0j@8000000P2=G98010000000S5R>08aHSP00000208]FS0040000002:EH/0
RUF;000000<0RUB;00@0000008YDR`2:E8/000000P2;EX`00`000000SUV>08iISP0208iISP<00000
00@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0H0000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003
000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj000
0000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000000000000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj0000000ZKgX0:Vmj0<0000000<0
ZKgX0000000000001@000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00<00000
00@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y
_NP0ZKgX0`00000`0?ooo`030000003oool0oooo01D0oooo00020?ooo`040000003oool0oooo0?oo
o`@000000`3oool010000000oooo0?ooo`0000060?ooo`030000003oool0oooo01l0oooo0`00001J
0?ooo`D000000P2X_NT6000000040:Nmj@000000000000000080YkgY00<000000:Nmj@2W_NT00`00
00020:Nlj@030000002W_>T00000008000000P2W_NT00`000000YkgY0:Nmj@0300000080YkcY00<0
00000:Jlj00000001@0000020:Jlj@H000000P2X_nX500000080XkKW00<000000:2diP2P]>H00`00
00020::ij@030000002V_n`0Y[o/008000000P2^b^h60000000509^/h`000000TIoM096Og@000000
0P27U=T010000000PHoH086?f000000207nAf`D0000000/0T;7]0000002Rc_L000000;G[m`000000
`_G_00000038mn`000000<Wck003000000030<CTkP000000_]_^00<000000P2ecN`300000080[lCZ
00<000000:g2j@0000000P0000020:^oj0030000002=G98000000080S5R>00@0000008]FS02;EX`0
00000P2:EH/01@000000RUB;08YDR`2:E8/000000080RUB;00@0000008]FS02;EX`000000`2>FHh0
0`000000mKf@000000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000
ZKgX0:Vmj0<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX
0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000004
0:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP6000000040:Vmj0000000000000000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
0000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP00000
0000000000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX10000000102Y
_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y
_NP3000003<0oooo00<000000?ooo`3oool05@3oool000030?ooo`000000000000<0oooo00<00000
0?ooo`3oool0103oool010000000oooo0?ooo`0000060?ooo`<00000703oool3000005h0oooo00<0
00000:Rmj@2X_NT00`0000020:Rmj@030000002W_NT0YkgY008000000P2W_NT00`000000YkgY0:Nm
j@0300000080YkgY00<000000:Nlj@2W_>T00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W
_NT00`000000YkcY0:Nlj@0200000080Y[_X00<000000:Jkj@2V^nT00`0000020:NnjP030000002X
_nX0Z;oZ00<0000000@0YkgY0000002U^^P0YK[X1P0000020:2ei`030000002R^NT0X[WY00<00000
00@0[<O^00000000000000000P2/`n/010000000YK[X0:Fjj000000209^/h`040000002AWmd0TIoM
00000080QiCI00H00000086?f021SmP0000007nAf`00000208BLhP030000002@/Nd0T;7]00H00000
00@0b?O/00000039ln`000000P37jnh2000000070;kKkP000000^M;]0;WBk@000000]Lg/00000002
0;77jP030000002_a>X0[lCZ008000000P2/`NT01P000000ZkoX0:^oj0000000SEbB00000080S5R>
00@0000008]FS02;EX`000000P2:EH/01@000000RUB;08YDR`2:E8/000000080RUB;00@0000008]F
S02;EX`000000`2>FHh00`000000mKf@0000000200000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX
00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<0
00000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0
0`000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX10000000
102Y_NP000000:Vmj02Y_NP3000003L0oooo00<000000?ooo`3oool0503oool00080oooo00@00000
0?ooo`3oool0oooo1@0000030?ooo`8000001`3oool00`000000oooo0?ooo`0I0?ooo`<00000HP3o
ool200000080Z;gY00<000000:Rmj@2X_NT00`000000102W_NT000000:Nmj@2W_NT300000080YkgY
00<000000:Nmj@2W_NT00`000000102W_NT000000:Nmj@2W_NT300000080YkgY00<000000:Nmj@2W
_NT00`000000102V^nP000000:Jkj02V^nP300000080Y[cY00<000000:NnjP2W_^X00`000000102X
_^X000000:Nmj@2W_NT300000080X[KW00@000000:2diP2P]>H000000P2P]NL3000000040:S2k000
0000000000000080[/S]00<000000:c3j`2/`n/05`0000001@2Ve?P000000;WYm@000000`o?`00L0
000000@0`n;^00000000000000000P2id^d300000080/LOZ0`000000102]`^T000000:c1j@2/`NT4
0000000508eLTP000000S5R>08aHSP0000000P2;EX`010000000RUF;08YER`00000308YDR`040000
002:E8/0RUB;00000080ReJ<00T0000008iISP2>FHh0SUV>0000003e_I0000000:Vmj00000000P2Y
_NP3000000030:Vmj0000000000000@000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP3000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP6000000040:Vm
j0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`0000000`3oool000000?ooo`0g0?ooo`030000003oool0oooo01@0oooo000G0?oo
o`030000003oool0oooo01H0oooo0`00001V0?ooo`030000002X_NT0Z;gY00<000000P2X_NT00`00
0000YkgY0000000200000080YkgY00<000000:Nmj@2W_NT00`0000020:Nlj@030000002W_NT00000
008000000P2W_NT00`000000YkgY0:Nmj@0300000080YkcY00<000000:Jkj00000000P0000020:Jl
j@030000002V_>T0Y[cY00<000000P2X_nX00`000000Z;kZ0000000200000080Y;WW00<000000::f
i`2R]^L01P000000102T_>X000000:S2k00000020:g7k@030000002^b>d0[/S]00<000000P2S]^H0
1P000000VZ[R09ZZhP000000T9kM00000080R9GJ00@0000008>BfP23T]X000000P23U]h010000000
RJ?U08VSi@00000209Jil0@0000000H0`o?`00000037m>d000000<S_kP0000020<KXkP8000000P2m
fNh300000080]<c[0`000000102_a>X000000:g2j@2]`^T300000080ZkoX0P0000001@2=G9800000
08aHSP2<F8h000000080ReJ<00@0000008YER`2:EH/000000`2:E8/010000000RUB;08YDR`000002
08]FS0040000002>FHh0SUV>08iISP8000000P2Y_NP3000000040:Vmj0000000000000000080ZKgX
00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y
_NP000000000000400000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
0000102Y_NP000000:Vmj02Y_NP300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX1P0000050?ooo`030000003oool0
oooo03D0oooo00<000000?ooo`3oool0503oool001H0oooo00<000000?ooo`3oool0503oool30000
06X0oooo0P0000020:Rmj@030000002X_NT0Z;gY008000000P2W_NT00`000000YkgY0:Nmj@030000
0080YkgY00<000000:Nlj@2W_>T00P0000020:Nmj@030000002W_NT0YkgY00<000000P2W_>T00`00
0000YkcY0:Nlj@0200000080Y[_X00<000000:Jlj@2V_>T00`0000020:NnjP030000002X_nX0Z;oZ
008000000P2V^nP00`000000Y;WW0:Bii`0300000080XKGW00<000000::gj02R]nP01@0000020:g7
k@<000000P2Z`>X00`000000XkKV0:>fiP0:00000080Pi;J00<0000008>FgP0000001@0000000`2[
e_H000000;[Ym007000000030<KXkP000000`Mo^00<000000P2hdN`3000000040;77jP000000[lCZ
0:o4jP<000000P2/`>T3000000040:^oj0000000SEbB00000080S5R>00@0000008]FS02;EX`00000
0P2:EH/01@000000RUB;08YDR`2:E8/000000080RUB;00D0000008]FS02;EX`0ReJ<0000000208iI
SP@0000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000
ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y
_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP0000000000004
00000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
0000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP00000
0:Vmj02Y_NP3000000030:Vmj0000000000000800000303oool00`000000oooo0?ooo`0d0?ooo`03
0000003oool0oooo01@0oooo000F0?ooo`030000003oool0oooo0180oooo0P00001^0?ooo`030000
002X_NT0Z;gY00<0000000@0Z;gY0000002W_NT0YkgY0`0000020:Nmj@030000002W_NT0YkgY00<0
000000@0YkgY0000002W_NT0YkgY0`0000020:Nmj@030000002W_>T0YkcY00<0000000@0Y[_X0000
002V^nP0Y[_X0`0000020:Nmj@030000002W_^X0YkkZ00<0000000@0YkgY0000002V^nP0Y[_X0`00
00020::fi`030000002Q]NL0XKGW00<0000000@0Y[k[0000002Y`n`0ZL?/0`0000020:g6k0030000
002Z`>X0Z/3Z00<0000000L0V:SQ0000002?W]d0SikM00000029Um/000000080QYKL1@00000208nY
j0030000002L__00W;k`00@0000000@0`o7`00000037l>h000000P37k>h2000000040<7OkP000000
_=O]0;cGk@<0000000@0]<_[0000002aanX0/LOZ0`0000020:g2j@<0000000L0ZkoX0000002[_nP0
ZkoX0000002=G98000000080S5R>00@0000008]FS02;EX`000000P2:EH/01@000000RUB;08YDR`2:
E8/000000080RUB;00P0000008]FS02;EX`0ReJ<0000002>FHh000000?FmT0@000000P2Y_NP00`00
0000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP6000000040:Vmj0000000000000000080ZKgX
00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000001P2Y
_NP00000000000000000ZKgX00000080ZKgX10000000102Y_NP000000:Vmj02Y_NP3000000040:Vm
j0000000ZKgX0:Vmj0@0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP4
000000030:Vmj0000000000000@0000000@0ZKgX00000000000000004@3oool00`000000oooo0?oo
o`0c0?ooo`030000003oool0oooo01@0oooo000F0?ooo`030000003oool0oooo00l0oooo0`00001a
0?ooo`8000000P2X_NT00`000000Z;gY0000000200000080YkgY1P0000020:Nmj@D000000P2W_NT6
00000080YkcX1@0000020:Jlj@030000002W_NT0YkgY00<0000000<0Z;kZ00000000000010000002
0:Bhi`030000002R]^L0X[KW00<0000000@0XkWY0000002V_^/0Y[k[0`0000020:g7k@H0000000<0
XK?U0000002HZ>400P2HZ>401P000000SikM08nNg@000000RIOK00000080QYKL00@0000008NLh027
W>0000000P2?ZNP3000000030:kHmP000000^nSd00D0000000<0anc^00000034iNh00`000000102l
end000000;O@k00000020;C;j`<000000P2_a>T3000000040:c0j@000000ZkoX0:^oj0@0000000D0
SEbB0000002<F8h0S5R>0000000208]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:
E8/000000`2;EX`01@000000SUV>0000003e_I0000000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y
_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y
_NP000000:Vmj02Y_NP3000000030:Vmj0000000000000D0000000H0ZKgX00000000000000000:Vm
j00000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP30000
00040:Vmj0000000ZKgX0:Vmj0<00000503oool00`000000oooo0?ooo`0c0?ooo`030000003oool0
oooo01@0oooo000F0?ooo`030000003oool0oooo00`0oooo0`00001f0?ooo`@000000P2X_NT30000
0080YkgY00<000000:Nmj@2W_NT00`000000102W_NT000000:Nmj@2W_NT300000080YkgY00<00000
0:Nlj@2W_>T00`000000102V^nP000000:Jlj@2V_>T600000080Z;kZ0P0000020:Nmj@030000002V
^^P0Y[[X00H000000P2R]nL00`000000XkWY0000000200000080Z/C]0`0000020:c4j`050000002X
_NT0Z;gY0000002Q/nD04P0000020:33l@80000000@0^nSd00000033k_0000000P36kNl400000080
_mc^0P0000020;O@k0<000000P2aanX3000000040:g2j@000000[<3Y0:c0j@<000000P2[_nP01000
0000Z[kX00000000000208aHSP040000002;EX`0ReJ<00000080RUF;00D0000008YDR`2:E8/0RUB;
0000000208YDR`090000002;EX`0ReJ<08]FS0000000SUV>0000003e_I0000000080ZKgX0`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP000000000
000400000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0
0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP0
00000:Vmj02Y_NP3000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP000000000000400000080ZKgX
0`000000102Y_NP000000:Vmj02Y_NP3000001P0oooo00<000000?ooo`3oool0<P3oool00`000000
oooo0?ooo`0D0?ooo`005P3oool3000000T0oooo0`00001j0?ooo`030000002X_NT0000000800000
0P2W_NT00`000000YkgY0:Nmj@0300000080YkgY00<000000:Nmj@0000000P0000020:Nmj@030000
002W_NT0YkgY00<0000000@0YkcX0000002V^nP0Y[_X0`0000020:Nmj@030000002W_NT0YkgY00<0
000000@0Z;kY0000002W_NT0YkgY0`0000020:>hi`040000002R]^L0X[KW00000080X[OW0P000002
0:Noj`<000000P2]a^`00`000000[<C[0:c4j`050000000509NWh@000000SikN08nNgP0000000P2:
V]d01@000000R9[N08RJgP28V]h000000080Rj7S00<0000009>_jP2C[nX00`0000000`2`fOD00000
00000003000000030<K]k`00000000000080`^;^0`000000102keNd000000000000000020;?:j`<0
00000P2^a>T00`000000[L;Y0000000200000080ZkoX00<000000:^oj02[_nP01000000208aHSP04
0000002;EX`0ReJ<00000080RUF;00D0000008YDR`2:E8/0RUB;0000000208YDR`080000002;EX`0
ReJ<08]FS0000000SUV>0000003e_I03000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP0000000000004000000040:Vm
j0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000000000000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002Y_NP0ZKgX0`00000L0?ooo`030000003oool0oooo0380oooo00<000000?ooo`3oool0
4`3oool001H0oooo00<000000?ooo`3oool01P3oool3000007h0oooo00@000000:Rmj@2X_NT00000
0P2W_NT300000080YkgY00<000000:Nmj@2W_NT00P0000020:Nmj@030000002W_NT0YkgY00<00000
0P2W_>P00`000000YkcX0000000200000080Y[cY00<000000:Nmj@2W_NT00`0000020:Rnj@030000
002X_^T00000008000000P2U^^P00`000000XkSW0:>hi`06000000040:Bkj@000000000000000080
ZlG/00<000000:g6k02]a^`00`0000001@2V^nP0000009nai@2O/ND000000080UjOQ00@0000008nN
gP2?W]h000000P2:V]d00`000000R9[N08RJgP06000000060:?6lP00000000000000002li_<00000
0P32k?44000000040<;RkP000000_]_^0;kKkP8000000P2fcn`300000080/<KZ00<000000:k4j@2^
a>T00P0000020:c0j@030000002[_nP0ZkoX00<000000P2Z_^P200000080S5R>00@0000008]FS02;
EX`000000`2:EH/010000000RUB;08YDR`00000208YDR`040000002;EX`0ReJ<08]FS080000000@0
mKf@0000002Y_NP000000P2Y_NP300000080ZKgX1P000000102Y_NP000000000000000020:Vmj003
0000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX
00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000H0ZKgX
00000000000000000:Vmj00000020:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vm
j0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vm
j0<000000P2Y_NP6000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP300000200oooo00<000000?ooo`3oool0<@3oool00`000000oooo0?oo
o`0C0?ooo`005P3oool00`000000oooo0?ooo`030?ooo`<00000PP3oool00`000000Z;gY00000002
00000080YkgY00<000000:Nmj@2W_NT00`000000102W_NT000000:Nmj@2W_NT300000080YkcY00<0
00000:Nlj02W_>P00P0000020:Jlj0030000002V_>T0Y[cY00<000000P2W_^T00`000000Z;kY0:Rn
j@0200000080YkcX00<000000:Fjj02U^^P00`0000020::gi`030000002S^>P00000008000000P2X
`N/00`000000ZlG/0:_5k00300000080Zl;[00<000000:Jkj00000003P000000102?Y^D0000009Nd
j`2G]>/300000080/][d1P0000020<CVk`<0000000H0_]_^0000002jdnd000000;K?k00000020;?9
j`030000002`a^X0/<KZ00<0000000<0[L;Y000000000000100000020:^oj0D000000P2<F8h01000
0000ReJ<08]FS000000308YER`040000002:E8/0RUB;00000080RUB;00@0000008]FS02;EX`0ReJ<
0P0000000`3e_I0000000:Vmj00300000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX1P0000001P2Y_NP0000000000000
0000ZKgX00000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vm
j0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP4000000040:Vmj000
0000ZKgX0:Vmj0<000008`3oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo01<0oooo
000E0?ooo`040000003oool0oooo0?ooo`<00000QP3oool010000000YkgY0:Nmj@0000020:Nmj@<0
00000P2W_NT00`000000YkgY0000000200000080YkgY00<000000:Nlj@2W_>T00`000000102W_>P0
00000:Jlj02V_>P300000080YkgY00<000000:Nnj@2W_^T00`000000102W_NT000000:Nlj02W_>P3
00000080XkOW00<000000::gi`2R]nL00P0000020:FmjP030000002X`N/0Z<7[00<000000P2/aN`0
0`000000Zl;[0:_2j`020000000309f_i0000000UZKQ0080UZKQ00@00000092OgP2@Wmh000000P2<
W=h01@000000RikP08^Nh0000000SjKU00<000000P2VbO83000000030;cUl`000000`^Wa00<00000
00@0a>K_00000031gnh0`Mo^0P0000020;[Ck@<000000P2cbN/3000000040:k4j@00000000000000
0080[<3Y00<000000:^oj02[_nP00`0000000`2Z_^P000000:Znj00200000080S5R>00@0000008]F
S02;EX`000000`2:EH/010000000RUB;08YDR`00000208YDR`040000002;EX`0ReJ<08]FS0800000
00<0mKf@0000000000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj0030000
00040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0
ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000<0ZKgX000000000000100000020:Vmj0<0
000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`00000W0?ooo`030000003oool0oooo0300oooo00<000000?ooo`3oool04`3oool0
01D0oooo100000290?ooo`030000002W_NT0YkgY00<000000P2W_NT00`000000YkgY0:Nmj@020000
0080YkgY1P0000020:Nlj0030000002W_>P00000008000000P2W_>T00`000000YkgY0:Nmj@030000
00030:Rnj@000000000000@000000P2U^NP00`000000XkOW0:>gi`03000000040:>ij0000000YKgZ
0:FmjP<000000P2/aN`6000000050:Bii`000000WJoT09f_i00000000P2FY^4;00000080VkS/00<0
00000:K9lP0000000P2df_@2000000040<;Yl@000000a>S_0<CXk`D0000000@0_MW^000000000000
00000P2fc^`3000000040;36jP000000[/CY00000080[L;Y00<000000:c0j@2/`>T00`000000102[
_nP000000:Znj02Z_^P400000080S5R>00@0000008]FS02;EX`000000`2:EH/010000000RUB;08YD
R`00000208YDR`040000002;EX`0ReJ<08]FS080000000<0mKf@0000000000000P000000102Y_NP0
00000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3
00000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP000000000000400000080ZKgX0`000000
102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX
0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000006
0:Vmj000000000000000002Y_NP000000P2Y_NP4000000040:Vmj0000000ZKgX0:Vmj0<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000:`3oool00`000000oooo
0?ooo`0_0?ooo`030000003oool0oooo01<0oooo000E0?ooo`800000S03oool200000080YkgY1P00
0000102W_NT000000000000000020:Nmj@030000002W_>T0YkcY00D000000P2V_>T600000080Z;kY
0P0000020:Nmj@030000002V^nP0Y[_X00H0000000@0XkSX0000002S^NP0XkWX0`0000020:W2k0<0
00000P2/a>/00`000000ZL3Z0000000800000005092Pg`000000SIkO08fNg`0000000P2>X^801000
0000TZ[V09:ZiP00000209^hk0<0000000<0]=[d0000002li?801@0000000`33hnl000000;oMkP03
00000080^M;]0`000000102bbN/000000;36jP2`a^X300000080[L;Y0`000000102[_nP000000:^o
j02[_nP300000080Z[kX0P00000208aHSP040000002;EX`0ReJ<000000<0RUF;00@0000008YDR`2:
E8/000000P2:E8/010000000ReJ<08]FS02;EX`2000000040?FmT0000000ZKgX00000080ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0H00000
00@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vm
j0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX
0000002Y_NP0ZKgX0`0000020:Vmj0H0000000H0ZKgX00000000000000000:Vmj00000020:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj003000002h0oooo00<000000?ooo`3oool0;`3oool00`000000oooo0?ooo`0C0?oo
o`005`3oool00`000000oooo0?ooo`2;0?ooo`8000000P2W_NT00`000000YkgY0:Nmj@0200000080
YkgY00<000000:Nmj@2W_NT00`0000020:Nlj0030000002W_>P00000008000000P2W_NT00`000000
YkgY0:Nmj@03000000040:Rmj@000000YkgY0:Nmj@<000000P2T^NL01@000000XkSW0:>hi`000000
XkSX00<000000P2V_^X300000080[<C/00<000000:c4j`2/a>/00P0000020:>gi`040000002L[^@0
W:kT00000080UZKQ00@00000092Pg`2@X=l000000P2=W]l00`000000SZ;R0000000500000080ZL_b
100000001031io4000000<;Ul032iO02000000070;oMkP000000_=O^0;cGkP000000^M;]00000002
0;G=k0030000002bbN/00000008000000P2^`nT3000000040:c0j@000000ZkoX0:^oj0<000000P2Z
_^P00`000000Z[kX0:Znj00200000080S5R>00@0000008]FS02;EX`000000`2:EH/010000000RUB;
08YDR`00000208YDR`050000002;EX`0ReJ<08]FS00000000P3e_I000`000000ZKgX000000020000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX0`000000
102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vm
j02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00300000003
0:Vmj0000000000000@000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000
002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`00
00020:Vmj0030000002Y_NP0ZKgX00<00000<P3oool00`000000oooo0?ooo`0^0?ooo`030000003o
ool0oooo01<0oooo000H0?ooo`030000003oool0oooo08/0oooo00<000000:Nmj@2W_NT00`000000
102X_NT000000:Nmj@2W_NT300000080YkcX00<000000:Nlj02W_>P00P0000020:Nlj@030000002W
_NT0YkgY00<000000P2X_^T00`000000Z;gY0000000200000080Y[[X00<000000:Bii`2T^NL01@00
00020:Bkj@<000000P2Z`^`00`000000[<C/0:c4k003000000040:Rnj@000000XkOW0:>gi`h00000
0P2E[^P00`000000W[_]09jkk@03000000030;GJl`000000_>;b00<0000000<0`^G`00000031hNl0
0`0000020;cGkP<000000P2ecN`200000080/<KZ0`0000020:g2j@030000002/`>T0000000800000
0P2[_nP6000000050:Znj0000000S5R>08aHSP0000000P2;EX`01@000000RUF;08YER`2:EH/00000
0080RUB;00@0000008YDR`2:E8/000000`2;EX`00`000000mKf@0000000200000080ZKgX00<00000
0:Vmj02Y_NP00`0000000`2Y_NP000000000000400000080ZKgX0`000000102Y_NP000000:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vm
j0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj000000000000000
0080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000
ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP6000003H0oooo00<000000?ooo`3oool0;P3oool00`000000oooo0?ooo`0B0?ooo`006@3o
ool00`000000oooo0?ooo`2;0?ooo`8000000P2X_NT00`000000Z;gY0000000200000080YkgY00<0
00000:Nlj02W_>P00`000000102W_>P000000:Nlj@2W_>T300000080Z;gY00<000000:Rnj@2X_^T0
0P0000020:Nlj0030000002V^^P0Y[[X00<000000P2S^>L00`000000XkWX0000000200000080Yko[
00<000000:[2k02Z`^`00`000000102[`^/000000:Rnj@2X_^T30000000509b]h`000000UZKQ09JV
h@0000000P2AX^0010000000Sj7Q08nQh@000002092Uh`030000002E[^P0UJkX00<000000P2[cO42
000000040;cRlP000000`>C`0<3Tl0@000000P2nfnh300000080^=7]0`000000102bb>/000000000
000000020:k3j@030000002]`^T0[L;Y008000000P2[_nP300000080Z[kX00<000000:Znj0000000
0`00000208aHSP040000002;EX`0ReJ<000000<0RUF;00@0000008YDR`2:E8/000000P2:E8/01000
0000ReJ<08]FS02;EX`3000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000000000000000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000
ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000002
0:Vmj0H0000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj000
0000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0<00000?@3oool00`000000oooo0?ooo`0]0?oo
o`030000003oool0oooo0180oooo000J0?ooo`800000S03oool00`000000Z;gY0:Rmj@0200000080
Z;gY00<000000:Nmj@2W_NT00`0000020:Nlj0030000002W_>P00000008000000P2W_NT00`000000
Z;gY0:Rmj@03000000040:Rmj@000000YkcX0:Nlj0<000000P2T^NL00`000000XkSW0:>hi`020000
0080YKcY00<000000:Noj`2W_n/00`0000020:c4k0030000002[`^/00000008000000P2R]NH01000
0000W:gS09b]h`00000209JVh@030000002AX^00000000P000000P2Q_^h3000000030;GIlP000000
000000<0000000<0`N?_00000030gnl00`0000020;_Ek@<0000000@0]<c/00000000000000000P2`
aNX00`000000[/?Y0:k3j@03000000040:c0j@000000000000000080ZkoX00<000000:Znj02Z_^P0
0P0000020:Znj08000000P2<F8h010000000ReJ<08]FS000000308YER`040000002:E8/0RUB;0000
00<0RUB;00D0000008]FS02;EX`000000?FnTP0500000080ZKgX0P0000020:Vmj0030000002Y_NP0
ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000000`2Y_NP000000000000400000080ZKgX0`000000102Y_NP00000
0:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP30000
00040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000030:Vmj0000000
000000@000000P2Y_NP300000400oooo00<000000?ooo`3oool0;@3oool00`000000oooo0?ooo`0B
0?ooo`00703oool00`000000oooo0?ooo`2:0?ooo`80000000<0Z;gY000000000000100000020:Nl
j0D000000P2W_>T600000080Z;kY1@0000020:Fjj0030000002T^NL0Y;WW00<0000000@0Y;[X0000
002U_>T0YKcY0`0000020:[3j`D000000P2W_>P00`000000X[GV0::eiP0800000003096ThP000000
TjST0080TjST00<0000009Raj@2H/NT00`0000001P2/c_400000000000000000_>3b00000080_n;`
0P0000001030gnl000000;gIkP2mfNh300000080]m3/0P0000020;;8j`030000002`aNX0/<GZ00<0
000000@0[L7Y00000000000000000P2[_nP00`000000ZkoX0:^oj003000000040:Znj0000000Z[kX
0:Znj08000000`2<F8h00`000000ReJ<0000000308YER`040000002:E8/0RUB;000000<0RUB;00D0
000008]FS02;EX`000000?FnTP0200000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000004
0:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP200000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y
_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vm
j0000000ZKgX0:Vmj0<000000P2Y_NP6000000040:Vmj0000000000000000080ZKgX00<000000:Vm
j02Y_NP00`0000140?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool04P3oool001d0
oooo00<000000?ooo`3oool0R`3oool010000000Z;gY0:Rmj@0000020:Nlj0<000000P2W_>P00`00
0000YkcY0000000200000080YkgY00<000000:Rmj@2X_NT00`000000102W_NT000000:Nlj02W_>P6
000000040:Bij0000000Y;[X0:Bjj0<000000P2X`>/3000000040:_3j`000000Z/7Z0:[1jPH00000
0P2K[N<00`000000UZOQ0000000209:Sh@040000002AY>80TJCR00000080TjST0`0000020:?1kP80
00000P2ffO83000000030;oRl0000000`>7_00<0000000T0_MW^0000002je>d0^]C]0000002gd>`0
00000;C;j`0000000P2bb>/3000000040:k3j@000000000000000080[<3Y00<000000:^oj02[_nP0
0`000000102Z_^P000000:Znj02Z_^P300000080Z[kX00H0000008aHSP2<F8h0000008]FS0000003
08YER`040000002:E8/0RUB;000000<0RUB;00<0000008]FS00000000P3e_Y84000000040:Vmj000
0000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000<0ZKgX000000000000100000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y
_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y
_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0:Vmj003000004P0oooo00<000000?ooo`3oool0:`3oool00`000000
oooo0?ooo`0B0?ooo`007P3oool00`000000oooo0?ooo`2:0?ooo`030000002X_NT0Z;gY00<00000
0P2W_>P00`000000YkcX0:Nlj00200000080YkgY00<000000:Nmj@2W_NT00`000000102X_NT00000
0:Nmj@2W_NT300000080YK[X00<000000:Bij02T^NP01@0000020:Jmj@<000000P2[`n/00`000000
Zl?[0000000200000080Y[[X00@000000:6diP2Q]>H000000P2K[N<;00000080VkCZ00@000000:?1
kP000000[/ka0`0000020;cOl@@000000P2ogNl300000080^]C]0P0000020;C;j`<000000P2_aNX2
00000080[L7Y00<000000:c0j@2/`>T00`000000102[_nP000000:Znj02Z_^P300000080Z[kX1000
000208aHSP030000002;EX`0000000<0RUF;00@0000008YDR`2:E8/000000`2:E8/00`000000ReJ<
000000020?FnTP030000002Y_NP000000080ZKgX0`0000020:Vmj0030000002Y_NP0000000800000
0P2Y_NP6000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP0
00000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003
000000040:Vmj0000000ZKgX0:Vmj0<0000000<0ZKgX000000000000100000020:Vmj0<0000000@0
ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000C03oool00`000000oooo
0?ooo`0Z0?ooo`030000003oool0oooo0180oooo000O0?ooo`030000003oool0oooo08X0oooo0P00
00020:Nlj0030000002W_>P0YkcX00<0000000@0YkcY0000002W_NT0YkgY0`0000020:Rmj@030000
002X_NT00000008000000P2V^nP00`000000YK[X0:Fjj003000000040:Bij0000000YK[Y0:Fjj@<0
00000P2Y`N/00`000000Zl?[0:_3j`0200000080ZKoZ00<000000:Jjj02V^^P01P0000001@2FYn80
000009>Uh@2CYN4000000080TZKS00<0000009F[i@2EZnD01@000000102^c_4000000;KHl@2ff?43
000000030;oPl0000000_mk_00<000000P2lf>h3000000040;O?k0000000000000000080/LS[0`00
0000102^`nT000000:g1j@2]`NT3000000040:^oj0000000ZkoX0:^oj0<000000P2Z_^P300000004
0:Znj0000000ZKgX00000080S5R>00<0000008]FS00000000`2:EH/010000000RUB;08YDR`000003
08YDR`050000002;EX`000000?FnTP0000000P2Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P00
00020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<00000
00@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vm
j02Y_NP00`0000000`2Y_NP0000000000004000000040:Vmj0000000000000000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00`00
001?0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool04P3oool00200oooo0P00002;
0?ooo`030000002W_>P0YkcX00<000000P2W_>P00`000000YkcY0000000200000080Z;gY00<00000
0:Rmj@2X_NT00P0000020:Nlj0030000002V^nP0Y[_X00<000000P2T^NP00`000000Y;WX00000002
00000080YkkZ00<000000:W1j`2Y`N/00`000000102[`^/000000:VojP2Y_nX300000080X;?U00<0
000009^/h`0000000`2FYn800`000000TjGQ000000050000000409fgjP000000YL;^0:G2kP<00000
00@0]]Sa0000002kgO40^mga0P000000102og^l000000;kKkP2nfnh3000000040;WCk@0000000000
00000080/l_[0`000000102_aNX000000:k3j@2^`nT300000080[<3Y1@0000020:Znj0<0000000@0
Z[kX0000002Z_^P0Z[kX0`00000208aHSP030000002;EX`0000000<0RUF;00@0000008YDR`2:E8/0
00000`2:E8/010000000ReJ<0000003e_Y8300000080ZKgX1P0000001P2Y_NP00000000000000000
ZKgX00000080ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX
0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX1P000000102Y_NP000000000000000020:Vm
j0030000002Y_NP00000008000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000005<0oooo00<000000?ooo`3oool0:@3oool0
0`000000oooo0?ooo`0B0?ooo`008P3oool00`000000oooo0?ooo`290?ooo`8000000P2W_>P00`00
0000YkcX0:Nlj00200000080YkgY00<000000:Rmj@2X_NT00`0000000`2X_NT00000000000040000
0080YK[X00<000000:Bij02T^NP00P0000020:Fkj@030000002W_^X0YkkZ00<0000000<0Zl;[0000
00000000100000020:Fii`030000002P/nD0X;?U00P000000P2DZ>@01@000000UjkV09N^iP000000
WKOZ00<000000P2_co43000000030;_Ml@000000_]k`00<0000000@0_]_^0000002ke^h0^mK^0P00
00020;K>k0050000002cbn/000000;77j`0000000P2_aNX300000080[L7Y0`000000102[_nP00000
0:^oj02[_nP3000000040:Znj0000000Z[kX0:Znj0<000000P2Z_NP01P000000S5R>08aHSP000000
ReJ<000000<0RUF;00@0000008YDR`2:E8/000000`2:E8/01P000000ReJ<0000003e_Y8000000:Vm
j0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP00000008000000P2Y_NP0
0`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0000
000200000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP0
0P0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj003
0000002Y_NP0ZKgX00<00000E`3oool00`000000oooo0?ooo`0Y0?ooo`030000003oool0oooo0140
oooo000S0?ooo`030000003oool0oooo08X0oooo1@0000000`2W_>T000000000000400000080Z;gY
0P0000020:Nlj0030000002V^nP0Y[_X00H0000000@0YK[X0000002U^nT0YK_Y0`0000020:W1j`80
00000P2Z`NX00`000000Z;kY0:Rnj@060000000509Z/h`000000UjSR09NXhP0000000P2DY^800`00
0000U:ST09BXi00500000080YlC^0`0000020;KGl@@000000P2ngNl3000000040;_FkP000000^=;]
00000080]/k/0`000000102aan/000000000000000020:k3j@<0000000@0[<3Y0000002[_nP0ZkoX
0`0000020:Znj0030000002Z_^P00000008000000P2Z_^P00`000000Z[gX0:Zmj0020000000408aH
SP000000ReJ<000000<0RUF;00@0000008YDR`2:E8/000000`2:E8/200000080mKjB0P000000102Y
_NP000000:Vmj02Y_NP300000080ZKgX00<000000:Vmj02Y_NP00P0000020:Vmj0030000002Y_NP0
ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0D000000P2Y_NP3000000040:Vmj000
0000ZKgX0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0H00000FP3oool00`000000oooo0?ooo`0Y0?oo
o`030000003oool0oooo0140oooo000T0?ooo`030000003oool0oooo08X0oooo00<000000:Nlj02W
_>P00P0000020:Rmj@030000002X_NT0Z;gY00<0000000@0Z;gY0000002W_>P0YkcX0`0000020:Fj
j0030000002U^NP0000000D000000P2X_^X3000000040:_2j`000000Z/7Z0:[1jP<000000P2T^>L0
0`000000Wk;U0000000209Z/h`T0000000@0VK3W0000002O^N/0WkW[0`0000020:o?l0<0000000<0
^mc`0000002mgO000`0000020;gIkP8000000P2hd^d300000080/l[[0P0000020:o5jP<0000000@0
[L7Y0000002/`>T0[<3Y0`0000020:^oj0030000002Z_^P0Z[kX008000000P2Z_^P00`000000Z[kX
0:Znj003000000060:Vmj0000000S5R>0000002;EX`000000`2:EH/010000000RUB;08YDR`000003
08YDR`8000000P3e_Y800`000000ZKgX0:Vmj00300000080ZKgX00<000000:Vmj02Y_NP00`000000
102Y_NP000000:Vmj02Y_NP3000000030:Vmj0000000000000@000000P2Y_NP3000000040:Vmj000
0000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0
000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX0`00001Q
0?ooo`030000003oool0oooo02P0oooo00<000000?ooo`3oool04@3oool002D0oooo0P00002;0?oo
o`80000000@0YkgY0000002X_NT0Z;gY0`0000020:Rmj@030000002X_NT00000008000000P2V^nP0
0`000000YK[X0:Fjj00200000080YK_X00<000000:Jlj@2V_>T00`0000020:[1j`030000002[`^/0
0000008000000P2X_NT00`000000Y;SW0:Bhi`050000000309NYh`000000UJSS0080UJSS00D00000
09J[i02FZn@0000009V`i`0300000080Z<G^0`0000020;KGl@80000000@0_Mg`0000002mfnl0_M__
0`000000102jeNd000000000000000020;G=k0<0000000@0/LOZ00000000000000000P2^`nT00`00
0000[L7Y0000000200000080ZkoX00<000000:^oj02[_nP00`0000000`2Z_^P00000000000040000
00030:Zmj000000000000080000000@0S5R>0000002;EX`000000`2:EH/01@000000RUB;08YDR`2:
E8/000000080RUB;0P0000000`3e_Y8000000000000200000080ZKgX00<000000:Vmj02Y_NP00`00
00000`2Y_NP0000000000004000000040:Vmj0000000000000000080ZKgX00<000000:Vmj02Y_NP0
0`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP00`00
0000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0000000<0ZKgX00000000000010000002
0:Vmj0<00000I@3oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo0140oooo000W0?oo
o`030000003oool0oooo08T0oooo00<000000:Nmj@0000000P0000020:Rmj@030000002X_NT0Z;gY
008000000P2W_>P00`000000Y[_X0:Jkj003000000040:Fjj0000000YK_X0:Fkj0<000000P2X_nX0
0`000000Z/7[0:[1j`0200000080Z/3Z00<000000:Rmj@2X_NT00`0000001@2O/ND0000009Z]h`2J
[N<000000080UjWS00<0000009FXh`2EZ><01@0000020:6kj`<000000P2`co03000000070;[Jl000
000000000000002mfnl000000;cHkP0300000080^=7]0`000000102cbN/000000000000000020:o4
jP030000002^`nT0[/?Y008000000P2/`>T00`000000ZkoX0:^oj003000000040:Znj00000000000
00000080Z[kX00<000000:Znj02Z_^P00P0000020:Vmj080000000D0S5R>0000002;EX`0ReJ<0000
000208YER`050000002:E8/0RUB;08YDR`0000000P2:E8/2000000040?FnTP000000ZKgX0:Vmj0H0
000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj00200000080ZKgX00<000000:Vm
j02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y
_NP00`000000ZKgX0:Vmj003000000030:Vmj0000000000000@0000000@0ZKgX0000000000000000
0P2Y_NP00`000000ZKgX0:Vmj003000006T0oooo00<000000?ooo`3oool09P3oool00`000000oooo
0?ooo`0A0?ooo`00:03oool00`000000oooo0?ooo`290?ooo`030000002X_NT0Z;gY00H0000000<0
YkgY000000000000100000020:Fjj0030000002U^^P00000008000000P2W_NT00`000000Z;oZ0:Ro
jP03000000030:_2j`000000000000@000000P2S]nL00`000000Wk7U000000080000000409R]i@00
0000Vk;X09^bj0<000000P2Ya^h010000000/<o`0000002fe_0300000080_=__0P000000102lf>h0
00000;[Dk@2je>d3000000040;G=k0000000/lW[00000080/LKZ00<000000:o4jP2_a>X00`000000
0`2]`NT0000000000004000000040:^oj0000000000000000080Z[kX00<000000:Znj02Z_^P00`00
0000102Z_NP000000:Vmj02Y_NP400000080ReJ<00@0000008YER`2:EH/000000`2:E8/00`000000
RUB;08YDR`02000000060?FnTP00000000000000002Y_NP000000P2Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<00000
0P2Y_NP00`000000ZKgX0000000200000080ZKgX1P000000102Y_NP000000000000000020:Vmj003
0000002Y_NP00000008000000P2Y_NP00`000000ZKgX0:Vmj003000006`0oooo00<000000?ooo`3o
ool09P3oool00`000000oooo0?ooo`0A0?ooo`00:@3oool00`000000oooo0?ooo`290?ooo`800000
0P2X_NT00`000000Z;gY0:Rmj@0200000080Yk_X00<000000:Jjj02V^^P01@0000020:Jkj@030000
002W_NT0YkgY00<0000000@0Z/7[00000000000000000P2Y_nT00`000000YkcX0:Nlj00500000080
VjgT00@0000009RZh`2HZ^<000000P2GZ^@00`000000V:gU0000000200000080X[c/00<000000:W6
kP2Ya^h00P000000102fe_0000000;[Il02jfO03000000060;cIk`00000000000000002je>d00000
0P2gd>`00`000000]Lg/0000000200000080/LKZ0`000000102^`nT000000000000000020:c0j@03
0000002[_nP0ZkoX008000000P2Z_^P00`000000Z[kX0:Znj003000000040:Znj0000000Z[gX0:Zm
j0<000000P2Y_NP200000080ReJ<00@0000008YER`2:EH/000000`2:E8/00`000000RUB;08YDR`02
000000050?FnTP000000ZKgX0000002Y_NP00`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0
ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX1@0000020:Vmj0<0
000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX008000000P2Y_NP00`00
0000ZKgX0:Vmj00300000700oooo00<000000?ooo`3oool09@3oool00`000000oooo0?ooo`0A0?oo
o`00:P3oool2000008X0oooo00<000000:Rmj@2X_NT00`000000102W_>P000000:Nkj02W^nP30000
0080YK[X00<000000:Fjj00000001@0000020:VojP8000000P2Z`NX00`000000ZKoY0:Voj@030000
00050:>fi`000000W[7U09jai@0000000P2K[N@800000080WKCX00<000000::lk02R_>`00`000000
1P2aco000000000000000000^]W`00000080^m[_0P0000020;_FkP<000000P2gd>`200000080//W[
0`0000020:o4jP8000000P2/`NT00`000000[<3Y0:c0j@03000000040:^oj0000000Z[kX0:Znj0<0
000000@0Z[kX0000002Z_^P0Z[kX0`0000020:Vmj0D000000P2;EX`010000000RUF;08YER`000003
08YDR`040000002:E8/0RUB;00000080mKjB00@000000:Vmj000000000000P2Y_NP00`000000ZKgX
0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0000000<0ZKgX000000000000100000020:Vmj0<0
000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX00<00000
0:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000007@0oooo00<000000?ooo`3oool09@3o
ool00`000000oooo0?ooo`0@0?ooo`00;03oool00`000000oooo0?ooo`280?ooo`8000000P2X_NT0
0`000000YkcX0000000200000080Y[[X00<000000:Fjj02U^^P00P0000020:Jlj@030000002W_NT0
YkgY00<0000000@0Z/7Z0000002Z`NX0Z/7Z0`0000020:Jkj0030000002S]^L0000000D000000P2H
Zn@00`000000V:_T0000000209V^iPH000000P2Za^h200000080]]G`0`0000000`2kf^l000000;_H
kP0300000080^M;]0`000000102dc>`000000000000000020;36jP<0000000@0[L;Y0000002/`NT0
[<7Y0`000000102[_nP000000:^oj02[_nP300000080Z[kX1@0000020:Znj0<0000000<0ZKgX0000
002Y_NP00P00000208]FS0040000002:EH/0RUF;000000<0RUB;00@0000008YDR`2:E8/000000P3e
_Y82000000040:Vmj0000000ZKgX0:Vmj0<0000000<0ZKgX000000000000100000020:Vmj0800000
0P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000002Y
_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00<0000000@0ZKgX0000002Y_NP0ZKgX0`00001h
0?ooo`030000003oool0oooo02@0oooo00<000000?ooo`3oool0403oool002d0oooo00<000000?oo
o`3oool0R03oool00`000000Z;gY0:Rmj@0200000080Y[_X00<000000:Jjj02V^^P00`000000102U
^nP000000:Jlj@2V_>T300000080ZL3Z00<000000:[1jP0000000P0000020:Vnj@030000002V^nP0
Y[_X008000000P2N/ND010000000VjgT09^]i000000209R[i0D000000P2N]^T00`000000Y;k/0:Bn
k003000000040;7?k`000000000000000080^MS_100000020;[EkP<0000000@0]/o/000000000000
00000P2bbN/3000000040:o4jP000000[L;Y0:g2j@<000000P2/`>T00`000000ZkoX000000020000
0080Z[kX0`000000102Z_^P000000:Znj02Z_^P3000000040:Vmj0000000ZKgX0:Vmj0@000000P2;
EX`010000000RUF;08YER`00000308YDR`050000002:E8/0RUB;0000003e_Y800P0000020:Vmj0<0
000000@0ZKgX00000000000000000P2Y_NP00`000000ZKgX0:Vmj003000000040:Vmj0000000ZKgX
0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP00000008000000P2Y
_NP00`000000ZKgX0:Vmj003000000030:Vmj0000000000000@00000N`3oool00`000000oooo0?oo
o`0T0?ooo`030000003oool0oooo0100oooo000^0?ooo`030000003oool0oooo08P0oooo0P000000
0`2W_>P000000000000400000080YK[X00<000000:Fkj00000000P0000020:Rnj@D000000P2Z`NX6
000000040::fiP000000W[7U09jai@H0000000D0VJgU0000002K/>H0Vk3V0000000209jfj@<00000
00@0ZlO^00000000000000000P2fe?03000000060;_Hk`000000^mO^0000002jeNh000000P2hdNd2
00000080]<_[00D000000;;9j`000000/<KZ000000020:o4jP<000000P2/`NT500000080ZkoX0`00
0000102Z_^P000000:Znj02Z_^P300000080Z[kX00<000000:Vmj00000000P0000020:Vmj0800000
0P2;EX`010000000RUF;08YER`00000308YDR`030000002:E8/0RUB;00H000000P2Y_NP200000080
ZKgX00<000000:Vmj02Y_NP00`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX
0:Vmj0<000000P2Y_NP00`000000ZKgX0:Vmj00200000080ZKgX1P000000102Y_NP0000000000000
00220?ooo`030000003oool0oooo02<0oooo00<000000?ooo`3oool0403oool002l0oooo0P00002:
0?ooo`040000002V^nP0Y[_X00000080Y[[X1@0000020:Nlj@<000000P2Y`>X00`000000Z/7Z0000
000200000080Z;kY00<000000:Jjj02V^^P01@00000209^^i0050000002I[>@0VJcT0000002I[ND0
1P0000020:Fok08000000P2acnl300000080^MO_0P0000020;_GkP<0000000@0^=7]0000002fc^`0
00000P2dbn/3000000040;36jP000000000000000080[L;Y0`000000102/`>T000000:^oj02[_nP3
000000040:Znj0000000Z[kX0:Znj0<000000P2Z_^P00`000000Z[kX0:Znj00200000080ZKgX00<0
00000:Vmj02Y_NP00P00000208]FS0040000002:EH/0RUF;000000<0RUB;00H0000008YDR`2:E8/0
00000?;1V`0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y
_NP3000000040:Vmj0000000ZKgX0:Vmj0<000000P2Y_NP6000000060:Vmj000000000000000002Y
_NP000000P2Y_NP3000008H0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0@0?oo
o`00<@3oool00`000000oooo0?ooo`270?ooo`030000002V^nP0Y[_X00<000000P2V^nP00`000000
Y[_X0000000200000080Z;kZ00<000000:W0jP2Y`>X00P0000020:[0jP030000002X_^T0Z;kY00<0
000000D0X[GV0000002N/ND0W[7U0000000209^^i0D000000P2L/^L00`000000X;SY0:2hj@030000
00040:c7kP000000/Lo_00000080]]?_0`000000102jenl000000000000000020;WDk@8000000P2f
c^`300000080//S[0P0000020:k4j@<0000000@0[<7Y0000002/`>T0[<3Y0`0000020:^oj0030000
002Z_^P00000008000000P2Z_^P00`000000Z[kX0:Znj003000000030:Vmj0000000000000@00000
00D0ZKgX0000002;EX`0ReJ<0000000208YER`070000002:E8/0RUB;08YDR`000000RUB;00000002
0?;1V`<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000080ZKgX
1@0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP30000
08T0oooo00<000000?ooo`3oool08P3oool00`000000oooo0?ooo`0@0?ooo`00<P3oool00`000000
oooo0?ooo`270?ooo`8000000P2V^nP00`000000Y[_X0:Jkj00200000080YkgY00<000000:RnjP2X
_^X00`000000102Z`NX000000:[0jP2Z`>X3000000040:Fii`000000X[GV0::eiPH0000000D0VZgT
0000002J[^D0VZkU0000000209bbi`<0000000@0Y/3/0000002/anh0[<O^0`000000102fdnl00000
0;SFk`2he^l200000080^]G^0`000000102gdNd000000000000000020;?;j`<0000000@0/<KZ0000
0000000000000P2]`^T00`000000[<7Y0000000200000080ZkoX00<000000:^oj02[_nP00P000002
0:Znj0H0000000@0Z[kX00000000000000000P2Y_NP00`000000ZKgX0000000300000080ReJ<00@0
000008YER`2:EH/000000`2:E8/00`000000RUB;000000020?;1V`8000000P2Y_NP300000080ZKgX
1@0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y_NP30000
0080ZKgX00<000000:Vmj00000000P00002=0?ooo`030000003oool0oooo0240oooo00<000000?oo
o`3oool0403oool003<0oooo00<000000?ooo`3oool0Q`3oool00`000000Y[_X0:Jkj00300000004
0:Jlj0000000YkgY0:Nmj@<0000000<0ZL3Z000000000000100000020:Rmj@D000000P2N/ND01@00
0000W:kT09b^i0000000VZgT00H000000P2Q^NX00`000000Y/3/0000000200000080/Lk_0`000000
0`2he^l000000;WFkP0300000080^M?]0P0000020;G=k0<0000000@0/LS[00000000000000000P2^
a>T00`000000[L;Y0:g2j@0200000080[<3Y00<000000:^oj02[_nP00`000000102Z_^P000000000
000000020:Znj0030000002Z_^P00000008000000P2Y_NP00`000000ZKgX0:Vmj00200000080ZKgX
00D000000:Vmj0000000ReJ<0000000308YER`070000002:E8/0RUB;0000002:E8/000000?;1V`05
00000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<00000
00@0ZKgX0000002Y_NP0ZKgX0`0000020:Vmj0030000002Y_NP0ZKgX00800000T@3oool00`000000
oooo0?ooo`0Q0?ooo`030000003oool0oooo00l0oooo000d0?ooo`030000003oool0oooo08L0oooo
0P0000020:Jkj0D000000P2X_nX200000080Z/3Z00<000000:Voj@2Y_nT00`0000001@2U^NL00000
0::eiP2R]NH000000080W[7U1@00000209^`iP030000002M/nL0WK?W00D000000P2/b>h300000080
]];_0P000000102ie^h000000;WDkP2ie>h3000000040;O@k@000000000000000080/l[[0P000002
0;35jP030000002^a>T0[/CY00<0000000<0[<7Y00000000000010000000102[_nP0000000000000
00020:Znj0030000002Z_^P0Z[kX008000000P2Z_^P00`000000ZKgX0:Vmj003000000040:Vmj000
0000ZKgX0:Vmj0<0000000<0ReJ<0000002:EH/00P2:EH/01`000000RUB;08YDR`000000RUB;0000
003b`I/00P0000020:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX0`000000102Y_NP000000:Vmj02Y
_NP300000080ZKgX00<000000:Vmj00000000P0000020:Vmj0030000002Y_NP0ZKgX00<00000U03o
ool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo00l0oooo000e0?ooo`800000R@3oool2
000000040:Nlj@000000YkgY0:Nmj@<0000000@0ZL3Z0000002Z`>X0Z/3Z0`0000020:Nlj0030000
002U^NL0000000D000000P2L[nD00`000000VjkU0000000209^`iP<000000P2R^^X00`000000Yl7/
0000000200000080/Lk_0`0000001P2he>l00000000000000000^MC^00000080^=;]0P0000020;G=
k0050000002cb^/000000;77j`0000000P2`aNX3000000040:g2j@000000000000000080[<3Y00<0
00000:^oj02[_nP00P0000020:Znj0030000002Z_^P0Z[kX00<0000000@0Z[kX0000002Z_^P0Z[kX
0`0000000`2Y_NP000000000000400000080ZKgX00<0000008]FS00000000`2:EH/00`000000RUB;
08YDR`0200000080l/6K10000000102Y_NP000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vm
j0<000000P2Y_NP00`000000ZKgX0:Vmj00200000080ZKgX1P00002G0?ooo`030000003oool0oooo
0200oooo00<000000?ooo`3oool03`3oool003L0oooo00<000000?ooo`3oool0QP3oool00`000000
YkcY0:Nlj@0300000080ZKoZ00<000000:W0jP0000000P0000020:Vnj@030000002W_>P0YkcX0080
00000P2Q]>H010000000W[7U09jai@00000209b_i@D000000P2N]>P00`000000X[[Z0::jjP020000
0080[LS^0`000000102ed^l000000000000000020;WDkP<0000000@0^=;]0000002fcn`000000P2e
cN`200000080/LO[0`0000020:k3j@8000000P2/`NT00`000000[<3Y0:c0j@03000000040:^oj000
0000Z[kX0:Znj0<0000000<0Z[kX000000000000100000020:Vmj08000000P2Y_NP00`000000ZKgX
0:Vmj0040000000308]FS0000000RUF;0080RUF;00<0000008YDR`2:E8/00P0000020?;1V`030000
002Y_NP000000080ZKgX0`0000020:Vmj0030000002Y_NP00000008000000P2Y_NP6000000040:Vm
j00000000000000009h0oooo00<000000?ooo`3oool07`3oool00`000000oooo0?ooo`0?0?ooo`00
>03oool00`000000oooo0?ooo`260?ooo`8000000P2X_^T00`000000ZKoZ0:VojP0200000080Z/3Z
1P000000102T^>L000000:6diP2Q]>H60000000409b_i@000000W;7V09baiPH0000000@0Z<7/0000
0000000000000P2ac^h200000080]m?^0`0000020;SCkP8000000P2fcn`3000000040;?:j`000000
000000000080[lGZ0`000000102]`^T000000:c1j@2/`NT3000000040:^oj0000000ZkoX0:^oj0<0
00000P2Z_^P200000080Z[kX00<000000:Znj02Z_^P00`000000102Y_NP000000:Vmj02Y_NP30000
00040:Vmj0000000ZKgX0:Vmj08000000`2:EH/00`000000RUB;08YDR`02000000040?;1V`000000
00000:Vmj0<000000P2Y_NP500000080ZKgX0`000000102Y_NP000000:Vmj02Y_NP300000:80oooo
00<000000?ooo`3oool07P3oool00`000000oooo0?ooo`0?0?ooo`00>@3oool00`000000oooo0?oo
o`270?ooo`D0000000@0ZL3Z00000000000000000P2X_^T00`000000YkcX0:Nlj00500000080W[7U
00<0000009b`i@0000000P2L[nD300000080WkKX00<000000:>kjP0000000P0000020:g8k@<00000
0P2edNh200000080^=?^0`000000102gdNd000000000000000020;C<k08000000P2aan/300000004
0:k3j@000000[L;Y0:g2j@<000000P2/`>T500000080Z[kX0`000000102Z_^P000000:Znj02Z_^P3
000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0ZKgX1@00000308YER`030000
002:E8/0RUB;0080000000@0l/6K00000000000000000P2Y_NP3000000040:Vmj0000000ZKgX0:Vm
j0<0000000@0ZKgX0000002Y_NP0ZKgX0`00002V0?ooo`030000003oool0oooo01d0oooo00<00000
0?ooo`3oool03`3oool003X0oooo0P0000280?ooo`030000002Y_nX0ZKoZ008000000P2Y_nT00`00
0000Z;kY0:Rnj@03000000050:Bhi`000000XKCV0:6diP0000000P2N/ND500000080WK;V00<00000
09nfj02O]^P00P0000020:S2k0030000002]b>d000000080/Lg^00@000000;GAkP000000]m;^0`00
0000102hd^d000000000000000020;K>k0<0000000@0//W[00000000000000000P2_aNX00`000000
[/?Y0000000200000080[<7Y0`000000102[_nP000000:^oj02[_nP3000000040:Znj0000000Z[kX
0:Znj0<0000000@0Z[kX0000002Y_NP0ZKgX0`0000020:Vmj0D000000P2Y_NP3000000<0RUF;00@0
000008YDR`2:E8/000000P3b`I/00`000000ZKgX00000002000000040:Vmj0000000ZKgX0:Vmj0<0
00000P2Y_NP00`000000ZKgX0000000200000:T0oooo00<000000?ooo`3oool07@3oool00`000000
oooo0?ooo`0?0?ooo`00?03oool00`000000oooo0?ooo`260?ooo`80000000@0ZL3Z0000002Y_nT0
ZKoY0`0000020:Jkj0030000002T^>L0000000D0000000@0WK3U0000002L/>D0W;3U1P000000102T
_>X000000:S2k02X`^`300000080/Lg^0P000000102gd^h000000;SBkP2hd^h200000080]m3]0`00
00020;C;k08000000P2aanX00`000000[lGZ0:o5jP0200000080[L;Y0`000000102/`>T000000:^o
j02[_nP3000000040:Znj0000000Z[kX0:Znj0<000000P2Z_^P500000080ZKgX0`000000102Y_NP0
00000:Vmj02Y_NP3000000030:Vmj0000000000000<0RUF;00@0000008YDR`2:E8/000000P3b`I/2
00000080ZKgX00<000000:Vmj00000000P0000020:Vmj0030000002Y_NP0ZKgX00800000[@3oool0
0`000000oooo0?ooo`0M0?ooo`030000003oool0oooo00h0oooo000m0?ooo`030000003oool0oooo
08L0oooo100000020:Rmj@D000000P2Q]>H00`000000Wk;U09nbi@0500000080W[?W00<000000:2g
j02P]nP01@0000020:g8k@<0000000X0]=3^00000000000000000;SBkP000000]m7]0000002gd>d0
00000P2ecN`01@000000]<_/0000002bbN/000000080/LOZ0`000000102^`nT00000000000000002
0:c1j@030000002/`>T00000008000000P2[_nP00`000000Z[kX0000000200000080Z[kX0`000000
102Z_^P000000:Vmj02Y_NP3000000040:Vmj0000000ZKgX0:Vmj0<0000000@0ZKgX0000002Y_NP0
ZKgX0P00000308YER`030000002:E8/0RUB;00<0000000@0ZKgX0000002Y_NP0ZKgX0P0000020:Vm
j0H00000/03oool00`000000oooo0?ooo`0L0?ooo`030000003oool0oooo00h0oooo000n0?ooo`03
0000003oool0oooo08H0oooo00<000000:Voj@2Y_nT00`0000001@2V^nP000000:Bhi`2T^>L00000
0080XKCV0`0000001@2M/ND0000009faiP2M/NH000000080W[?W0`000000102U_NX000000:W2k02Y
`^`3000000040;7=kP000000000000000080]];^0P0000020;OAk@<000000P2ecN`200000080//W[
0`000000102_aNX000000000000000020:g2j@030000002/`NT0[<7Y008000000P2[_nP500000080
Z[kX0`000000102Z_^P000000:Znj02Z_^P300000080ZKgX00<000000:Vmj00000000P0000020:Vm
j0030000002Y_NP000000080000000<0ZKgX0000002:EH/00P2:EH/00`000000RUB;000000020>C:
_PD0000000@0ZKgX0000000000000000]P3oool00`000000oooo0?ooo`0L0?ooo`030000003oool0
oooo00h0oooo000o0?ooo`800000Q`3oool200000080Z;gY00<000000:Jkj00000001@00000209nb
iP030000002M/ND0000000D0000000@0XKSY0000002U_NX0YKgZ0`0000020:k8k@8000000P2dd>h3
000000040;OAk@000000000000000080]/o]0`000000102cbn/000000000000000020;36jP800000
0P2^`nT00`000000[L;Y0:g2j@03000000060:c0j@00000000000000002[_nP000000P2Z_^P30000
0080Z[kX00<000000:Znj00000000P0000020:Vmj0030000002Y_NP0ZKgX008000000P2Y_NP50000
0080ZKgX1000000208YER`030000002:E8/000000080i<Zn00<000000:Vmj02Y_NP00`00002j0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool03P3oool00440oooo00<000000?ooo`3o
ool0Q@3oool00`000000Z;gY0:Rmj@0200000080XkOW00<000000:6diP2Q]>H01@00000209jbiP03
0000002O]>L0WkCW00D000000P2Y`n`3000000040;7<kP000000000000000080]]7^0P0000020;O@
k@<0000000@0]Lg/00000000000000000P2bb>/3000000040:o5jP000000[/?Y0:k3j@<0000000@0
[<7Y00000000000000000P2[_nP00`000000ZkoX0000000200000080Z[kX00<000000:Znj02Z_^P0
0P0000020:Znj0H0000000H0ZKgX00000000000000000:Vmj00000020:Vmj0<0000000H0ZKgX0000
002Y_NP0ZKgX0000002:EH/200000080i<Zn1000002n0?ooo`030000003oool0oooo01X0oooo00<0
00000?ooo`3oool03P3oool00480oooo00<000000?ooo`3oool0Q@3oool2000000040:Jjj0000000
XkOW0:>gi`<000000P2O/^H00`000000W[7V0000000209jbiP<0000000@0X[WY0000002U_N/0YKg[
0`0000020:k8k@8000000P2dcnh3000000040;OAk@000000000000000080]/k/0P0000020;?:j`<0
000000@0/<KZ0000002_aNX0[lGZ0`0000020:g2j@8000000P2/`>T00`000000ZkoX0:^oj0020000
0080Z[kX1P0000001P2Z_^P00000000000000000ZKgX00000080ZKgX0`0000020:Vmj0030000002Y
_NP00000008000000P2Y_NP00`000000ZKgX00000006000000030>C:_P00000000000<80oooo00<0
00000?ooo`3oool06@3oool00`000000oooo0?ooo`0>0?ooo`00@`3oool00`000000oooo0?ooo`26
0?ooo`@000000P2Q]>H00`000000Wk;V09nbiP0500000080X;GW00<000000::ij@0000000P000002
0:[3k0<0000000@0/Lc]00000000000000000P2fd>d200000080]/o]0`000000102dc>`000000000
000000020;78j`030000002`a^X00000008000000P2^`nT3000000040:c1j@000000[<3Y0:c0j@<0
000000@0ZkoX00000000000000000P2Z_^P00`000000Z[kX0000000200000080Z[kX00<000000:Vm
j00000000P0000020:Vmj0030000002Y_NP0ZKgX008000000P2Y_NP00`000000ZKgX0:Vmj0020000
0080ZKgX100000020>C:_P030000003oool0oooo0<40oooo00<000000?ooo`3oool06@3oool00`00
0000oooo0?ooo`0>0?ooo`00A03oool2000008H0oooo00<000000:>gi`2S]nL01P000000102N/^H0
000009jciP2N/nH500000080Y[k[0`000000102^b>d000000;7<k@0000020;C>k@040000002fd>d0
00000;K@k@<000000P2ec^`200000080/l[[00<000000;78j`2ab>/00P0000020:o4jP<0000000<0
[L;Y00000000000010000000102[_nP000000000000000020:Znj0030000002Z_^P0Z[kX00800000
0P2Z_^P00`000000Z[kX0:Znj00200000080ZKgX00<000000:Vmj02Y_NP00`0000000`2Y_NP00000
00000004000000040:Vmj00000000000000000<0oooo00<000000>C:_P000000a@3oool00`000000
oooo0?ooo`0I0?ooo`030000003oool0oooo00d0oooo00160?ooo`030000003oool0oooo08@0oooo
0P0000020:6diP030000002O/nH000000080W[;V0`0000020:6fj0030000002S^^T0000000800000
0P2Z`n`00`000000[/S]0000000200000080]<k]0P0000002@2fd>d000000;K?k@2fcnd000000;G>
k0000000]<c/000000020;?:j`<0000000@0/<KZ00000000000000000P2^`nT200000080[<7Y00<0
00000:c0j02/`>P00P0000020:^oj0030000002Z_^P0Z[kX00<0000000@0Z[kX0000002Z_^P0Z[kX
0`0000000`2Y_NP0000000000004000000040:Vmj0000000000000000080ZKgX00<000000:Vmj000
00000P0000070?ooo`030000003oool0oooo0<D0oooo00<000000?ooo`3oool0603oool00`000000
oooo0?ooo`0=0?ooo`00A`3oool00`000000oooo0?ooo`240?ooo`030000002Q]>H0XKCV00D00000
0P2O]>L00`000000XKKX0:6fj00200000080Ykk[00<000000:[3k02Z`n`00P0000020;7<k@<00000
00@0]Lo]00000000000000000P2fcnd200000080]<c/0`0000020;78j`8000000P2_a>X300000004
0:g2j@000000[<7Y0:c1j@<0000000@0ZkoX0000002[_nP0ZkoX0`0000000`2Z_^P0000000000004
000000040:Znj0000000000000000080ZKgX00<000000:Vmj02Y_NP00P0000020:Vmj0030000002Y
_NP0ZKgX00800000d`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo00d0oooo0018
0?ooo`030000003oool0oooo08@0oooo0P000000102P/nH0000009nciP2O/nH6000000040:Bjj@00
0000Ykk[0:Nnj`<0000000@0[/S]00000000000000000P2cc^d200000080]/o]0`000000102ecN`0
00000000000000020;;9j`<0000000H0/<KZ00000000000000000:k3j@0000020:g2j@<000000P2/
`>P500000080Z[kX0P0000020:Znj0030000002Z_^P0Z[kX008000000P2Y_NP00`000000ZKgX0:Vm
j003000000040:Vmj0000000ZKgX0:Vmj0<00000e@3oool00`000000oooo0?ooo`0G0?ooo`030000
003oool0oooo00d0oooo00190?ooo`030000003oool0oooo08D0oooo100000020:2di`030000002Q
]nP0000000D000000P2[`n`200000080/L_]0`000000102ecnd000000000000000020;G>k0800000
0P2cbn`3000000040;77j`000000000000000080[lCZ00<000000:k3j@0000000P0000020:c1j@<0
000000@0ZkoX0000002[_nP0ZkoX0`000000102Z_^P000000:Znj02Z_^P3000000040:Znj0000000
ZKgX0:Vmj0<0000000<0ZKgX0000000000001000003I0?ooo`030000003oool0oooo01H0oooo00<0
00000?ooo`3oool03@3oool004X0oooo0P0000250?ooo`040000002O/nH0Wk?V00000080X;CW0P00
00020:Bkj@030000002W_n/0Yko[00<0000000@0[/S]00000000000000000P2ccNd200000080]Lk]
0`000000102dc>`000000000000000020;;9j`8000000P2`aNX00`000000[lCZ0:o4jP0200000080
[L;Y0`000000102[`>P000000:^oj02[_nP3000000040:Znj0000000Z[kX0:Znj0<0000000<0Z[kX
00000000000010000000102Y_NP0000000000000003P0?ooo`030000003oool0oooo01D0oooo00<0
00000?ooo`3oool03@3oool004`0oooo00<000000?ooo`3oool0P`3oool5000000040::hj0000000
Y;_Y0:Bkj@<0000000@0ZlC/00000000000000000P2abnd3000000040;C>k@000000000000000080
]Lg/0P0000020;?;j`<0000000@0/LO[0000002`aNX0/<GZ0`000000102^`nT00000000000000002
0:c1j@030000002[`>P00000008000000P2[_nP500000080Z[kX0P0000020:Znj0030000002Y_NP0
ZKgX00800000h`3oool00`000000oooo0?ooo`0E0?ooo`030000003oool0oooo00d0oooo001=0?oo
o`030000003oool0oooo08<0oooo00<000000:2ei`2P]NL01@0000020:Roj`8000000P2^an`30000
0080/lg]0P0000020;G>k@<0000000@0]<c/00000000000000000P2bb>/00`000000/LO[00000002
00000080[/CZ0P0000020:g1j@030000002/`NT0[<7Y008000000P2[_nP3000000040:Znj0000000
Z[kX0:Znj0<0000000@0Z[kX0000002Z_^P0Z[kX0`00003V0?ooo`030000003oool0oooo01D0oooo
00<000000?ooo`3oool0303oool004h0oooo00<000000?ooo`3oool0P`3oool2000000040::hj000
0000YK_Y0:Fkj@<0000000@0ZlC/00000000000000000P2ab^d02`000000/lg]0000002dcNd00000
0;G>k@000000]<g/0000002dc>`000000080/l[[00<000000;;8j`2bb>/00P0000020:o5jP<00000
00<0[L?Y000000000000100000001P2[`>P00000000000000000ZkoX00000080Z[kX0`000000102Z
_^P000000:Znj02Z_^P300000>X0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0<
0?ooo`00C`3oool2000008@0oooo00<000000::hj00000000P0000020:S0j`8000000P2^an`00`00
0000/L[]0;7:k@0200000080]<g]0`000000102dcN`000000000000000020;?:j`<0000000D0/LOZ
00000000000000000:k4j@0300000080[L7Y00<000000:c1j@0000000P0000020:^oj0030000002[
_nP00000008000000P2Z_^P500000>h0oooo00<000000?ooo`3oool04`3oool00`000000oooo0?oo
o`0<0?ooo`00D@3oool00`000000oooo0?ooo`220?ooo`030000002U_>T0YKcY00<0000000@0ZlC/
0000002^an`0[/O/0`000000102cc>d000000000000000020;C=k08000000P2cbn`3000000040;;8
j`000000000000000080[lGZ0P0000020:g2j@030000002]`NT0[L7Y008000000P2[`>P00`000000
ZkoX0:^oj00200000080Z[kX0`00003c0?ooo`030000003oool0oooo01<0oooo00<000000?ooo`3o
ool0303oool00580oooo00<000000?ooo`3oool0PP3oool200000080Z<3[00<000000:_4k0000000
0P0000020;7:k@8000000P2dcNd3000000040;C<k0000000000000000080//W[0P0000020;36jP<0
000000@0[/CY0000002]`^T0[L;Y0`0000000`2/`NT0000000000004000000040:^oj00000000000
00000?L0oooo00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`0<0?ooo`00D`3oool00`00
0000oooo0?ooo`220?ooo`030000002X`>/0Z<3[008000000P2^an`3000000040;;<k@0000000000
00000080]<g/0P0000020;?;k0<0000000@0/LS[00000000000000000P2_aNX00`000000[/CY0000
000200000080[L7Y0P0000020:_0j0030000002[_nP0ZkoX00800000n`3oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo00`0oooo001D0?ooo`800000P`3oool2000000040:c4k0000000
000000000080/LW/0P0000020;?<k0<0000000@0/lc/00000000000000000P2bbN/200000080/<KZ
00<000000:o5jP2_aNX00P0000020:g2j@<0000000@0[<7Y0000002[`>P0Zl3X0`00003n0?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool0303oool005H0oooo00<000000?ooo`3oool0
PP3oool00`000000[/O/0:k7k003000000040;;;k0000000000000000080/lc/0P0000020;?:j`<0
000000@0/LO[0000002`a^X0/<KZ0`0000001P2^`nT00000000000000000[L7Y00000080[<7Y0`00
003o0?ooo`80oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0<0?ooo`00E`3oool0
0`000000oooo0?ooo`220?ooo`8000000P2`bN`200000080/lc/0`0000001P2cbn`0000000000000
0000//W[00000080/LO[0`000000102_aNX000000000000000020:g2j@D00000o`3oool60?ooo`03
0000003oool0oooo0100oooo00<000000?ooo`3oool02`3oool005P0oooo00<000000?ooo`3oool0
P`3oool2000000080;;;k000000000000000002cbn`000000;?;k00000020;;:j`030000002bbN/0
0000008000000P2`a^X200000080[/?Y0`00003o0?ooo``0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0;0?ooo`00F@3oool2000008<0oooo00<000000;;;k00000000P2cbn`00`00
0000/l_/0000000200000080//[[0P0000020;77j`<0000000@0[lCZ0000000000000000o`3oool@
0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool02`3oool005/0oooo00<000000?oo
o`3oool0P@3oool200000080/l_/0P0000020;?;k0<0000000@0//S[00000000000000000P2`a^X2
00000?l0oooo4`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00/0oooo001L0?oo
o`030000003oool0oooo0880oooo0P000000102cbn`000000000000000020;;9j`8000000P2aan/3
00000?l0oooo5P3oool00`000000oooo0?ooo`0=0?ooo`030000003oool0oooo00/0oooo001M0?oo
o`030000003oool0oooo08<0oooo00<000000;?:k02cb^`00`000000102ab>/0000000000000003o
0?oooaX0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0;0?ooo`00GP3oool00`00
0000oooo0?ooo`230?ooo`8000000P2bbN/200000?l0oooo7@3oool00`000000oooo0?ooo`0<0?oo
o`030000003oool0oooo00/0oooo001O0?ooo`800000Q@3oool200000?l0oooo803oool00`000000
oooo0?ooo`0<0?ooo`030000003oool0oooo00X0oooo001Q0?ooo`030000003oool0oooo0880oooo
00<000000?ooo`3oool0o`3ooolP0?ooo`030000003oool0oooo00/0oooo00<000000?ooo`3oool0
2P3oool00680oooo00<000000?ooo`3oool0P@3oool00`000000oooo0?ooo`3o0?ooob40oooo00<0
00000?ooo`3oool02P3oool00`000000oooo0?ooo`0:0?ooo`00H`3oool00`000000oooo0?ooo`20
0?ooo`030000003oool0oooo0?l0oooo8@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0
oooo00X0oooo001T0?ooo`800000P03oool00`000000oooo0?ooo`3o0?ooob80oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0:0?ooo`00IP3oool00`000000oooo0?ooo`1m0?ooo`03
0000003oool0oooo0?l0oooo8`3oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo00X0
oooo001W0?ooo`030000003oool0oooo07`0oooo00<000000?ooo`3oool0o`3ooolT0?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool02P3oool006P0oooo00<000000?ooo`3oool0N`3o
ool00`000000oooo0?ooo`3o0?ooob@0oooo00<000000?ooo`3oool0203oool00`000000oooo0?oo
o`090?ooo`00J@3oool2000007/0oooo00<000000?ooo`3oool0o`3ooolU0?ooo`030000003oool0
oooo00L0oooo00<000000?ooo`3oool02@3oool006/0oooo00<000000?ooo`3oool0N03oool00`00
0000oooo0?ooo`3o0?ooobH0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`090?oo
o`00K03oool00`000000oooo0?ooo`1g0?ooo`030000003oool0oooo0?l0oooo9P3oool00`000000
oooo0?ooo`060?ooo`030000003oool0oooo00T0oooo001]0?ooo`030000003oool0oooo07D0oooo
00<000000?ooo`3oool0o`3ooolX0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0
2@3oool006h0oooo0P00001e0?ooo`030000003oool0oooo0?l0oooo:@3oool00`000000oooo0?oo
o`040?ooo`030000003oool0oooo00T0oooo001`0?ooo`030000003oool0oooo0780oooo00<00000
0?ooo`3oool0o`3ooolZ0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool02@3oool0
0740oooo00<000000?ooo`3oool0L@3oool00`000000oooo0?ooo`3o0?ooobX0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`080?ooo`00LP3oool00`000000oooo0?ooo`1`0?ooo`03
0000003oool0oooo0?l0oooo:`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo00P0
oooo001c0?ooo`030000003oool0oooo06l0oooo00<000000?ooo`3oool0o`3oool/0?ooo`030000
003oool0oooo0080oooo00<000000?ooo`3oool0203oool007@0oooo0P00001_0?ooo`030000003o
ool0oooo0?l0oooo;@3oool01@000000oooo0?ooo`3oool0000000X0oooo001f0?ooo`030000003o
ool0oooo06`0oooo00<000000?ooo`3oool0o`3oool]0?ooo`050000003oool0oooo0?ooo`000000
2P3oool007L0oooo00<000000?ooo`3oool0J`3oool00`000000oooo0?ooo`3o0?ooobh0oooo00@0
00000?ooo`3oool000002P3oool007P0oooo00<000000?ooo`3oool0JP3oool00`000000oooo0?oo
o`3o0?ooobl0oooo00<000000?ooo`0000002P3oool007T0oooo0P00001Z0?ooo`030000003oool0
oooo0?l0oooo;`3oool010000000oooo0?ooo`0000090?ooo`00N`3oool00`000000oooo0?ooo`1W
0?ooo`030000003oool0oooo0?l0oooo<03oool00`000000oooo000000090?ooo`00O03oool00`00
0000oooo0?ooo`1V0?ooo`030000003oool0oooo0?l0oooo<@3oool2000000T0oooo001m0?ooo`03
0000003oool0oooo06D0oooo00<000000?ooo`3oool0o`3oool`0?ooo`<000002@3oool007h0oooo
0P00001U0?ooo`030000003oool0oooo0?l0oooo;03oool4000000`0oooo00200?ooo`030000003o
ool0oooo0680oooo00<000000?ooo`3oool0o`3ooolY0?ooo`<00000403oool00840oooo00<00000
0?ooo`3oool0H@3oool00`000000oooo0?ooo`3o0?ooobD0oooo1000000C0?ooo`00PP3oool00`00
0000oooo0?ooo`1P0?ooo`030000003oool0oooo0?l0oooo8@3oool4000001L0oooo00230?ooo`80
0000H03oool00`000000oooo0?ooo`3o0?oooad0oooo1000000K0?ooo`00Q@3oool00`000000oooo
0?ooo`1M0?ooo`030000003oool0oooo0?l0oooo6@3oool4000001l0oooo00260?ooo`030000003o
ool0oooo05`0oooo00<000000?ooo`3oool0o`3ooolF0?ooo`<000008`3oool008L0oooo00<00000
0?ooo`3oool0F`3oool00`000000oooo0?ooo`3o0?oooa80oooo1000000V0?ooo`00R03oool00`00
0000oooo0?ooo`1J0?ooo`030000003oool0oooo0?l0oooo3P3oool4000002X0oooo00290?ooo`80
0000FP3oool00`000000oooo0?ooo`3o0?ooo`X0oooo1000000^0?ooo`00R`3oool00`000000oooo
0?ooo`1G0?ooo`030000003oool0oooo0?l0oooo1P3oool400000380oooo002<0?ooo`030000003o
ool0oooo05H0oooo00<000000?ooo`3oool0o`3oool30?ooo`<00000=P3oool008d0oooo00<00000
0?ooo`3oool0E@3oool00`000000oooo0?ooo`3n0?ooo`@00000>@3oool008h0oooo0P00001D0?oo
o`030000003oool0oooo0?/0oooo1000000m0?ooo`00T03oool00`000000oooo0?ooo`1A0?ooo`03
0000003oool0oooo0?L0oooo100000110?ooo`00T@3oool00`000000oooo0?ooo`1@0?ooo`030000
003oool0oooo0?<0oooo100000150?ooo`00TP3oool00`000000oooo0?ooo`1?0?ooo`030000003o
ool0oooo0?00oooo0`0000190?ooo`00T`3oool2000004l0oooo00<000000?ooo`3oool0k03oool4
000004`0oooo002E0?ooo`030000003oool0oooo04`0oooo00<000000?ooo`3oool0j03oool40000
0500oooo002F0?ooo`030000003oool0oooo04/0oooo00<000000?ooo`3oool0i03oool4000005@0
oooo002G0?ooo`030000003oool0oooo04X0oooo00<000000?ooo`3oool0h03oool4000005P0oooo
002H0?ooo`800000BP3oool00`000000oooo0?ooo`3M0?ooo`<00000G03oool009X0oooo00<00000
0?ooo`3oool0A`3oool00`000000oooo0?ooo`3I0?ooo`@00000G`3oool009/0oooo00<000000?oo
o`3oool0AP3oool00`000000oooo0?ooo`3E0?ooo`@00000H`3oool009`0oooo00<000000?ooo`3o
ool0A@3oool00`000000oooo0?ooo`3A0?ooo`@00000I`3oool009d0oooo00<000000?ooo`3oool0
A03oool00`000000oooo0?ooo`3=0?ooo`@00000J`3oool009h0oooo0P0000140?ooo`030000003o
ool0oooo0<X0oooo0`00001_0?ooo`00X03oool00`000000oooo0?ooo`110?ooo`030000003oool0
oooo0<H0oooo1000001b0?ooo`00X@3oool00`000000oooo0?ooo`100?ooo`030000003oool0oooo
0<80oooo1000001f0?ooo`00XP3oool00`000000oooo0?ooo`0o0?ooo`030000003oool0oooo0;h0
oooo1000001j0?ooo`00X`3oool2000003l0oooo00<000000?ooo`3oool0^`3oool3000007h0oooo
002U0?ooo`030000003oool0oooo03`0oooo00<000000?ooo`3oool0]`3oool400000840oooo002V
0?ooo`030000003oool0oooo03/0oooo00<000000?ooo`3oool0/`3oool4000008D0oooo002W0?oo
o`030000003oool0oooo03X0oooo00<000000?ooo`3oool0[`3oool4000008T0oooo002X0?ooo`80
0000>P3oool00`000000oooo0?ooo`2[0?ooo`@00000S@3oool00:X0oooo00<000000?ooo`3oool0
=`3oool00`000000oooo0?ooo`2X0?ooo`<00000T@3oool00:/0oooo00<000000?ooo`3oool0=P3o
ool00`000000oooo0?ooo`2T0?ooo`@00000U03oool00:`0oooo00<000000?ooo`3oool0=@3oool0
0`000000oooo0?ooo`2P0?ooo`@00000V03oool00:d0oooo0P00000e0?ooo`030000003oool0oooo
09`0oooo1000002L0?ooo`00[`3oool00`000000oooo0?ooo`0b0?ooo`030000003oool0oooo09P0
oooo1000002P0?ooo`00/03oool00`000000oooo0?ooo`0a0?ooo`030000003oool0oooo09D0oooo
0`00002T0?ooo`00/@3oool00`000000oooo0?ooo`0_0?ooo`030000003oool0oooo0980oooo1000
002W0?ooo`00/P3oool00`000000oooo0?ooo`0^0?ooo`030000003oool0oooo08h0oooo1000002[
0?ooo`00/`3oool2000002h0oooo00<000000?ooo`3oool0RP3oool400000:l0oooo002e0?ooo`03
0000003oool0oooo02/0oooo00<000000?ooo`3oool0QP3oool400000;<0oooo002f0?ooo`030000
003oool0oooo02X0oooo00<000000?ooo`3oool0P`3oool300000;L0oooo002g0?ooo`030000003o
ool0oooo02T0oooo00<000000?ooo`3oool0O`3oool400000;X0oooo002h0?ooo`800000:@3oool0
0`000000oooo0?ooo`1k0?ooo`@00000_P3oool00;X0oooo00<000000?ooo`3oool09P3oool00`00
0000oooo0?ooo`1g0?ooo`@00000`P3oool00;/0oooo00<000000?ooo`3oool09@3oool00`000000
oooo0?ooo`1c0?ooo`@00000aP3oool00;`0oooo00<000000?ooo`3oool0903oool00`000000oooo
0?ooo`1`0?ooo`<00000bP3oool00;d0oooo0P00000T0?ooo`030000003oool0oooo06`0oooo1000
003=0?ooo`00_`3oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo06P0oooo1000003A
0?ooo`00`03oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo06@0oooo1000003E0?oo
o`00`@3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0640oooo0`00003I0?ooo`00
`P3oool2000001l0oooo00<000000?ooo`3oool0G@3oool400000=`0oooo00340?ooo`030000003o
ool0oooo01`0oooo00<000000?ooo`3oool0F@3oool400000>00oooo00350?ooo`030000003oool0
oooo01/0oooo00<000000?ooo`3oool0E@3oool400000>@0oooo00360?ooo`030000003oool0oooo
01X0oooo00<000000?ooo`3oool0D@3oool400000>P0oooo00370?ooo`030000003oool0oooo01T0
oooo00<000000?ooo`3oool0CP3oool300000>`0oooo00380?ooo`8000006@3oool00`000000oooo
0?ooo`1:0?ooo`@00000k`3oool00<X0oooo00<000000?ooo`3oool05P3oool00`000000oooo0?oo
o`160?ooo`@00000l`3oool00</0oooo00<000000?ooo`3oool05@3oool00`000000oooo0?ooo`12
0?ooo`@00000m`3oool00<`0oooo00<000000?ooo`3oool0503oool00`000000oooo0?ooo`0n0?oo
o`@00000n`3oool00<d0oooo0P00000D0?ooo`030000003oool0oooo03/0oooo0`00003o0?ooo`00
c`3oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03L0oooo1000003o0?ooo`<0oooo
003@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0<`3oool400000?l0oooo1`3o
ool00=40oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0_0?ooo`@00000o`3oool;
0?ooo`00dP3oool2000000h0oooo00<000000?ooo`3oool0;03oool400000?l0oooo3`3oool00=@0
oooo00<000000?ooo`3oool02`3oool00`000000oooo0?ooo`0Y0?ooo`<00000o`3ooolC0?ooo`00
e@3oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo02D0oooo1000003o0?oooaH0oooo
003F0?ooo`030000003oool0oooo00T0oooo00<000000?ooo`3oool08@3oool400000?l0oooo6P3o
ool00=L0oooo0P0000090?ooo`030000003oool0oooo01d0oooo1000003o0?oooah0oooo003I0?oo
o`030000003oool0oooo00H0oooo00<000000?ooo`3oool06@3oool400000?l0oooo8P3oool00=X0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`0F0?ooo`<00000o`3ooolV0?ooo`00
f`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo0180oooo1000003o0?ooobT0oooo
003L0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool400000?l0oooo;@3o
ool00=d0oooo0P0000030?ooo`030000003oool0oooo00X0oooo1000003o0?oooc40oooo003O0?oo
o`040000003oool0oooo000000P0oooo1000003o0?ooocD0oooo003P0?ooo`030000003oool00000
00D0oooo0`00003o0?ooocT0oooo003Q0?ooo`80000000<0oooo0000000000000P00003o0?oooc`0
oooo003R0?ooo`800000o`3ooom00?ooo`00o`3ooooo0?ooobD0oooo003o0?ooool0oooo9@3oool0
0?l0ooooo`3ooolU0?ooo`00o`3ooooo0?ooobD0oooo0000\
\>"],
  ImageRangeCache->{{{0, 546}, {442.562, 0}} -> {-0.0395365, 0.0289666, \
0.0018464, 0.0018464}},
  CellTags->"PointSpreadFunction and FindField"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% ContourGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.480769 0.5 9.61538 [
[.01923 -0.0125 -6 -9 ]
[.01923 -0.0125 6 0 ]
[.25962 -0.0125 -12 -9 ]
[.25962 -0.0125 12 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.74038 -0.0125 -9 -9 ]
[.74038 -0.0125 9 0 ]
[.98077 -0.0125 -3 -9 ]
[.98077 -0.0125 3 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .11538 -30 -4.5 ]
[-0.0125 .11538 0 4.5 ]
[-0.0125 .30769 -30 -4.5 ]
[-0.0125 .30769 0 4.5 ]
[-0.0125 .5 -6 -4.5 ]
[-0.0125 .5 0 4.5 ]
[-0.0125 .69231 -24 -4.5 ]
[-0.0125 .69231 0 4.5 ]
[-0.0125 .88462 -24 -4.5 ]
[-0.0125 .88462 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.01923 0 m
.01923 .00625 L
s
[(-1)] .01923 -0.0125 0 1 Mshowa
.25962 0 m
.25962 .00625 L
s
[(-0.5)] .25962 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.74038 0 m
.74038 .00625 L
s
[(0.5)] .74038 -0.0125 0 1 Mshowa
.98077 0 m
.98077 .00625 L
s
[(1)] .98077 -0.0125 0 1 Mshowa
.125 Mabswid
.06731 0 m
.06731 .00375 L
s
.11538 0 m
.11538 .00375 L
s
.16346 0 m
.16346 .00375 L
s
.21154 0 m
.21154 .00375 L
s
.30769 0 m
.30769 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.40385 0 m
.40385 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.59615 0 m
.59615 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.69231 0 m
.69231 .00375 L
s
.78846 0 m
.78846 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.88462 0 m
.88462 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .11538 m
.00625 .11538 L
s
[(-0.04)] -0.0125 .11538 1 0 Mshowa
0 .30769 m
.00625 .30769 L
s
[(-0.02)] -0.0125 .30769 1 0 Mshowa
0 .5 m
.00625 .5 L
s
[(0)] -0.0125 .5 1 0 Mshowa
0 .69231 m
.00625 .69231 L
s
[(0.02)] -0.0125 .69231 1 0 Mshowa
0 .88462 m
.00625 .88462 L
s
[(0.04)] -0.0125 .88462 1 0 Mshowa
.125 Mabswid
0 .16346 m
.00375 .16346 L
s
0 .21154 m
.00375 .21154 L
s
0 .25962 m
.00375 .25962 L
s
0 .35577 m
.00375 .35577 L
s
0 .40385 m
.00375 .40385 L
s
0 .45192 m
.00375 .45192 L
s
0 .54808 m
.00375 .54808 L
s
0 .59615 m
.00375 .59615 L
s
0 .64423 m
.00375 .64423 L
s
0 .74038 m
.00375 .74038 L
s
0 .78846 m
.00375 .78846 L
s
0 .83654 m
.00375 .83654 L
s
0 .06731 m
.00375 .06731 L
s
0 .01923 m
.00375 .01923 L
s
0 .93269 m
.00375 .93269 L
s
0 .98077 m
.00375 .98077 L
s
.25 Mabswid
0 0 m
0 1 L
s
.01923 .99375 m
.01923 1 L
s
.25962 .99375 m
.25962 1 L
s
.5 .99375 m
.5 1 L
s
.74038 .99375 m
.74038 1 L
s
.98077 .99375 m
.98077 1 L
s
.125 Mabswid
.06731 .99625 m
.06731 1 L
s
.11538 .99625 m
.11538 1 L
s
.16346 .99625 m
.16346 1 L
s
.21154 .99625 m
.21154 1 L
s
.30769 .99625 m
.30769 1 L
s
.35577 .99625 m
.35577 1 L
s
.40385 .99625 m
.40385 1 L
s
.45192 .99625 m
.45192 1 L
s
.54808 .99625 m
.54808 1 L
s
.59615 .99625 m
.59615 1 L
s
.64423 .99625 m
.64423 1 L
s
.69231 .99625 m
.69231 1 L
s
.78846 .99625 m
.78846 1 L
s
.83654 .99625 m
.83654 1 L
s
.88462 .99625 m
.88462 1 L
s
.93269 .99625 m
.93269 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .11538 m
1 .11538 L
s
.99375 .30769 m
1 .30769 L
s
.99375 .5 m
1 .5 L
s
.99375 .69231 m
1 .69231 L
s
.99375 .88462 m
1 .88462 L
s
.125 Mabswid
.99625 .16346 m
1 .16346 L
s
.99625 .21154 m
1 .21154 L
s
.99625 .25962 m
1 .25962 L
s
.99625 .35577 m
1 .35577 L
s
.99625 .40385 m
1 .40385 L
s
.99625 .45192 m
1 .45192 L
s
.99625 .54808 m
1 .54808 L
s
.99625 .59615 m
1 .59615 L
s
.99625 .64423 m
1 .64423 L
s
.99625 .74038 m
1 .74038 L
s
.99625 .78846 m
1 .78846 L
s
.99625 .83654 m
1 .83654 L
s
.99625 .06731 m
1 .06731 L
s
.99625 .01923 m
1 .01923 L
s
.99625 .93269 m
1 .93269 L
s
.99625 .98077 m
1 .98077 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
0 .093 .19 r
.01923 .98077 m
.98077 .98077 L
.98077 .01923 L
.01923 .01923 L
F
0 .136 .22 r
.01923 .03198 m
.02769 .03866 L
.02894 .03965 L
.03866 .04733 L
.03997 .04837 L
.04837 .05503 L
.05221 .05808 L
.05808 .06275 L
.06443 .06779 L
.06779 .07047 L
.07667 .07751 L
.07751 .07817 L
.08722 .08584 L
.08897 .08722 L
.09693 .09351 L
.10126 .09693 L
.10664 .10121 L
.11345 .10664 L
.11636 .10897 L
.12559 .11636 L
.12607 .11673 L
.13578 .12444 L
.13785 .12607 L
.14549 .13206 L
.15028 .13578 L
.15521 .13963 L
.16267 .14549 L
.16492 .14729 L
.17463 .1551 L
.17476 .15521 L
.18434 .163 L
.18672 .16492 L
.19406 .17074 L
.19908 .17463 L
.20377 .17821 L
.21195 .18434 L
.21348 .1855 L
.22319 .19298 L
.22456 .19406 L
.23291 .20092 L
.23627 .20377 L
.24262 .20916 L
.24779 .21348 L
.25233 .21709 L
.26059 .22319 L
.26204 .22423 L
.27176 .23097 L
.2746 .23291 L
.28147 .2379 L
.28747 .24262 L
.29118 .24587 L
.29801 .25233 L
.30089 .25505 L
.3087 .26204 L
.31061 .26359 L
.32032 .2703 L
.32289 .27176 L
.33003 .27602 L
.33939 .28147 L
.33974 .2817 L
.34946 .2889 L
.35191 .29118 L
.35917 .30011 L
.35974 .30089 L
.36888 .31023 L
.36942 .31061 L
.37859 .3169 L
.38754 .32032 L
.38831 .32067 L
.39802 .32493 L
.40773 .32967 L
.40833 .33003 L
.41744 .33842 L
.41813 .33974 L
.4212 .34946 L
.42716 .3569 L
.43052 .35917 L
.43687 .36347 L
.44658 .36729 L
.45629 .36872 L
.45951 .36888 L
.46601 .37043 L
.47572 .37221 L
.4851 .37859 L
.48543 .37896 L
.48706 .38831 L
.48543 .39117 L
.48294 .39802 L
.48543 .40372 L
.49284 .40773 L
.49514 .40834 L
.50486 .41024 L
.51457 .4115 L
.52428 .41241 L
.53399 .41551 L
.54371 .41571 L
.55342 .41589 L
.56313 .41615 L
.57284 .41656 L
.58256 .41711 L
.59227 .41744 L
.60198 .41704 L
.61169 .41458 L
.6202 .40773 L
.61737 .39802 L
.6172 .38831 L
.62141 .38472 L
.63112 .37982 L
.6342 .37859 L
.64083 .37638 L
.65054 .37322 L
.66026 .36927 L
.66105 .36888 L
.66997 .36399 L
.67588 .35917 L
.67968 .35254 L
.68084 .34946 L
.68662 .33974 L
.68939 .33703 L
.69911 .33099 L
.701 .33003 L
.70882 .32607 L
.71853 .32069 L
.71913 .32032 L
.72824 .31429 L
.73236 .31061 L
.73796 .30447 L
.74116 .30089 L
.74767 .29401 L
.7507 .29118 L
.75738 .28601 L
.76399 .28147 L
.76709 .27946 L
.77681 .27307 L
.77871 .27176 L
.78652 .26605 L
.79151 .26204 L
.79623 .25792 L
.80252 .25233 L
.80594 .2493 L
.81386 .24262 L
.81566 .2412 L
.82537 .23385 L
.82665 .23291 L
.83508 .2268 L
.84 .22319 L
.84479 .2196 L
.85273 .21348 L
.85451 .21207 L
.86422 .20427 L
.86484 .20377 L
.87393 .19652 L
.87707 .19406 L
.88364 .18902 L
.88983 .18434 L
.89336 .18171 L
.90283 .17463 L
.90307 .17445 L
.91278 .16713 L
.91569 .16492 L
.92249 .15971 L
.92839 .15521 L
.93221 .15229 L
.94117 .14549 L
.94192 .14493 L
.95163 .13767 L
.95417 .13578 L
.96134 .13047 L
.96731 .12607 L
.97106 .12331 L
.98048 .11636 L
.98077 .11614 L
.98077 .98077 L
.01923 .98077 L
F
0 .188 .25 r
.01923 .04991 m
.02894 .05722 L
.03009 .05808 L
.03866 .06455 L
.04295 .06779 L
.04837 .07189 L
.0558 .07751 L
.05808 .07923 L
.06779 .08655 L
.06868 .08722 L
.07751 .09388 L
.08155 .09693 L
.08722 .10124 L
.09432 .10664 L
.09693 .10864 L
.10664 .11608 L
.107 .11636 L
.11636 .12349 L
.11975 .12607 L
.12607 .13084 L
.13265 .13578 L
.13578 .13814 L
.14549 .14546 L
.14554 .14549 L
.15521 .15291 L
.15816 .15521 L
.16492 .16047 L
.17062 .16492 L
.17463 .16801 L
.18337 .17463 L
.18434 .17536 L
.19406 .18251 L
.19658 .18434 L
.20377 .18963 L
.20968 .19406 L
.21348 .197 L
.22199 .20377 L
.22319 .20475 L
.23291 .21263 L
.23397 .21348 L
.24262 .22008 L
.24695 .22319 L
.25233 .22695 L
.26116 .23291 L
.26204 .23351 L
.27176 .24044 L
.27463 .24262 L
.28147 .24833 L
.28595 .25233 L
.29118 .25702 L
.297 .26204 L
.30089 .26508 L
.31061 .27152 L
.31101 .27176 L
.32032 .27731 L
.32756 .28147 L
.33003 .28301 L
.33974 .29003 L
.34108 .29118 L
.34946 .3003 L
.34994 .30089 L
.35917 .31017 L
.3597 .31061 L
.36888 .31695 L
.37692 .32032 L
.37859 .32111 L
.38831 .32546 L
.3979 .33003 L
.39802 .33009 L
.40773 .33742 L
.40945 .33974 L
.41372 .34946 L
.41744 .35499 L
.4225 .35917 L
.42716 .36267 L
.43687 .36712 L
.44658 .36875 L
.44895 .36888 L
.45629 .37088 L
.46601 .37346 L
.47572 .37839 L
.47591 .37859 L
.48055 .38831 L
.47773 .39802 L
.48543 .40748 L
.48599 .40773 L
.49514 .41019 L
.50486 .41187 L
.51457 .41308 L
.52428 .41407 L
.53399 .41672 L
.54371 .41689 L
.55342 .41722 L
.55717 .41744 L
.56313 .41831 L
.57284 .42023 L
.58256 .42328 L
.5888 .42716 L
.58256 .43049 L
.57284 .43484 L
.56788 .43687 L
.56313 .43892 L
.55342 .44365 L
.54897 .44658 L
.54461 .45629 L
.55342 .45874 L
.56313 .45946 L
.57284 .45928 L
.58256 .45837 L
.59227 .45657 L
.5934 .45629 L
.60198 .45265 L
.60771 .44658 L
.60667 .43687 L
.6038 .42716 L
.61169 .42269 L
.62141 .42101 L
.62744 .41744 L
.63112 .41489 L
.6361 .40773 L
.63323 .39802 L
.63491 .38831 L
.64083 .38427 L
.65054 .37981 L
.65362 .37859 L
.66026 .37635 L
.66997 .37282 L
.67826 .36888 L
.67968 .36812 L
.68939 .36214 L
.69173 .35917 L
.6977 .34946 L
.69911 .34742 L
.70574 .33974 L
.70882 .33734 L
.71853 .33153 L
.7214 .33003 L
.72824 .32654 L
.73796 .32105 L
.73911 .32032 L
.74767 .31441 L
.75214 .31061 L
.75738 .30539 L
.7619 .30089 L
.76709 .29609 L
.773 .29118 L
.77681 .28843 L
.78652 .28201 L
.78738 .28147 L
.79623 .27588 L
.80247 .27176 L
.80594 .26934 L
.81566 .26211 L
.81574 .26204 L
.82537 .25426 L
.82777 .25233 L
.83508 .24662 L
.84043 .24262 L
.84479 .23952 L
.8544 .23291 L
.85451 .23284 L
.86422 .22627 L
.86871 .22319 L
.87393 .21955 L
.88247 .21348 L
.88364 .21263 L
.89336 .20559 L
.89588 .20377 L
.90307 .19865 L
.90964 .19406 L
.91278 .19191 L
.92249 .18535 L
.92399 .18434 L
.93221 .17889 L
.93863 .17463 L
.94192 .17245 L
.95163 .16602 L
.95329 .16492 L
.96134 .15961 L
.96808 .15521 L
.97106 .15328 L
.98077 .14709 L
.98077 .98077 L
.01923 .98077 L
F
0 .246 .28 r
.01923 .06674 m
.02072 .06779 L
.02894 .07359 L
.03448 .07751 L
.03866 .08046 L
.04819 .08722 L
.04837 .08735 L
.05808 .09425 L
.06184 .09693 L
.06779 .1012 L
.07536 .10664 L
.07751 .1082 L
.08722 .11525 L
.08875 .11636 L
.09693 .1223 L
.10213 .12607 L
.10664 .12933 L
.11562 .13578 L
.11636 .13631 L
.12607 .1433 L
.1291 .14549 L
.13578 .15037 L
.14234 .15521 L
.14549 .15756 L
.15521 .16481 L
.15535 .16492 L
.16492 .17199 L
.16855 .17463 L
.17463 .179 L
.18219 .18434 L
.18434 .18587 L
.19406 .1928 L
.19579 .19406 L
.20377 .2 L
.20869 .20377 L
.21348 .2075 L
.22115 .21348 L
.22319 .21504 L
.23291 .22215 L
.23439 .22319 L
.24262 .2288 L
.24885 .23291 L
.25233 .23524 L
.26204 .242 L
.26288 .24262 L
.27176 .24967 L
.2749 .25233 L
.28147 .25797 L
.28633 .26204 L
.29118 .26574 L
.30027 .27176 L
.30089 .27215 L
.31061 .27789 L
.31693 .28147 L
.32032 .28352 L
.33003 .29018 L
.33129 .29118 L
.33974 .29947 L
.34105 .30089 L
.34946 .3093 L
.35094 .31061 L
.35917 .31645 L
.3675 .32032 L
.36888 .32099 L
.37859 .32541 L
.38831 .32986 L
.38864 .33003 L
.39802 .33597 L
.40164 .33974 L
.40695 .34946 L
.40773 .35081 L
.41537 .35917 L
.41744 .36092 L
.42716 .36647 L
.43687 .36865 L
.43988 .36888 L
.44658 .37083 L
.45629 .37359 L
.46601 .37737 L
.46789 .37859 L
.47476 .38831 L
.473 .39802 L
.47572 .40471 L
.48008 .40773 L
.48543 .40957 L
.49514 .41179 L
.50486 .41333 L
.51457 .41455 L
.52428 .41562 L
.53399 .4173 L
.54016 .41744 L
.54371 .41789 L
.55342 .4194 L
.56313 .42169 L
.57283 .42716 L
.56313 .43645 L
.56247 .43687 L
.55342 .44151 L
.54592 .44658 L
.54371 .44845 L
.54123 .45629 L
.54371 .45758 L
.55342 .45969 L
.56313 .46024 L
.57284 .46003 L
.58256 .45917 L
.59227 .45754 L
.59733 .45629 L
.60198 .45446 L
.61134 .44658 L
.61169 .44596 L
.61336 .43687 L
.62091 .42716 L
.62141 .42693 L
.63112 .42401 L
.6404 .41744 L
.64083 .41715 L
.64832 .40773 L
.64693 .39802 L
.65054 .38862 L
.65085 .38831 L
.66026 .38139 L
.66997 .37877 L
.67056 .37859 L
.67968 .37539 L
.68939 .37119 L
.69359 .36888 L
.69911 .36607 L
.70627 .35917 L
.70882 .35588 L
.7132 .34946 L
.71853 .34371 L
.72322 .33974 L
.72824 .33646 L
.73796 .33116 L
.74016 .33003 L
.74767 .32621 L
.75738 .32065 L
.7579 .32032 L
.76709 .31386 L
.7711 .31061 L
.77681 .30546 L
.78196 .30089 L
.78652 .29718 L
.79472 .29118 L
.79623 .29018 L
.80594 .28416 L
.81048 .28147 L
.81566 .27841 L
.82537 .27247 L
.82649 .27176 L
.83508 .26602 L
.84076 .26204 L
.84479 .25914 L
.85434 .25233 L
.85451 .25221 L
.86422 .24569 L
.86901 .24262 L
.87393 .23959 L
.88364 .23379 L
.88514 .23291 L
.89336 .22809 L
.9017 .22319 L
.90307 .22239 L
.91278 .21663 L
.9181 .21348 L
.92249 .21092 L
.93221 .20535 L
.93501 .20377 L
.94192 .20005 L
.95163 .19508 L
.95365 .19406 L
.96134 .19045 L
.97106 .1862 L
.97582 .18434 L
.98077 .18241 L
.98077 .98077 L
.01923 .98077 L
F
0 .31 .307 r
.01923 .08377 m
.02465 .08722 L
.02894 .08994 L
.03866 .09619 L
.0398 .09693 L
.04837 .10252 L
.05462 .10664 L
.05808 .10895 L
.06779 .11545 L
.06914 .11636 L
.07751 .12201 L
.08351 .12607 L
.08722 .12858 L
.09693 .13514 L
.09788 .13578 L
.10664 .14171 L
.1122 .14549 L
.11636 .14834 L
.12607 .15509 L
.12624 .15521 L
.13578 .16194 L
.13998 .16492 L
.14549 .16882 L
.15378 .17463 L
.15521 .17562 L
.16492 .18228 L
.16796 .18434 L
.17463 .18888 L
.18218 .19406 L
.18434 .19557 L
.19406 .20254 L
.19573 .20377 L
.20377 .20977 L
.20873 .21348 L
.21348 .21696 L
.22231 .22319 L
.22319 .2238 L
.23291 .23022 L
.23709 .23291 L
.24262 .2365 L
.2517 .24262 L
.25233 .24307 L
.26204 .25043 L
.2644 .25233 L
.27176 .2584 L
.27623 .26204 L
.28147 .26596 L
.29019 .27176 L
.29118 .27237 L
.30089 .27807 L
.307 .28147 L
.31061 .28358 L
.32032 .28985 L
.32214 .29118 L
.33003 .2982 L
.33272 .30089 L
.33974 .30782 L
.34279 .31061 L
.34946 .31551 L
.35884 .32032 L
.35917 .32048 L
.36888 .32501 L
.37859 .32931 L
.38012 .33003 L
.38831 .33456 L
.39442 .33974 L
.39802 .34496 L
.40064 .34946 L
.40773 .35838 L
.40884 .35917 L
.41744 .36523 L
.42716 .36835 L
.43177 .36888 L
.43687 .37045 L
.44658 .37327 L
.45629 .3765 L
.46061 .37859 L
.46601 .38252 L
.46942 .38831 L
.46861 .39802 L
.47487 .40773 L
.47572 .40812 L
.48543 .41126 L
.49514 .41323 L
.50486 .41469 L
.51457 .41593 L
.52428 .4171 L
.52702 .41744 L
.53399 .41784 L
.54371 .41981 L
.55342 .42198 L
.56313 .42638 L
.56385 .42716 L
.56313 .43114 L
.55751 .43687 L
.55342 .43934 L
.54371 .44613 L
.54319 .44658 L
.53804 .45629 L
.54371 .45894 L
.55342 .46052 L
.56313 .46095 L
.57284 .46071 L
.58256 .4599 L
.59227 .45841 L
.60079 .45629 L
.60198 .45585 L
.61169 .45026 L
.61485 .44658 L
.61928 .43687 L
.62141 .43406 L
.63094 .42716 L
.63112 .42713 L
.64083 .42249 L
.65054 .41752 L
.65067 .41744 L
.65865 .40773 L
.65893 .39802 L
.66026 .39412 L
.66518 .38831 L
.66997 .38482 L
.67968 .38079 L
.68588 .37859 L
.68939 .37737 L
.69911 .37356 L
.70793 .36888 L
.70882 .36844 L
.71853 .36093 L
.72021 .35917 L
.7282 .34946 L
.72824 .34941 L
.73796 .34124 L
.74022 .33974 L
.74767 .33553 L
.75738 .33068 L
.7587 .33003 L
.76709 .32587 L
.77681 .32041 L
.77696 .32032 L
.78652 .31382 L
.79078 .31061 L
.79623 .30626 L
.80316 .30089 L
.80594 .29894 L
.81566 .29271 L
.81826 .29118 L
.82537 .28728 L
.83508 .28222 L
.83654 .28147 L
.84479 .27718 L
.85451 .272 L
.85495 .27176 L
.86422 .26654 L
.8721 .26204 L
.87393 .26102 L
.88364 .2557 L
.89016 .25233 L
.89336 .25082 L
.90307 .24651 L
.91278 .24282 L
.91313 .24262 L
.92249 .23976 L
.93221 .23755 L
.94192 .23665 L
.95163 .2384 L
.95699 .24262 L
.96 .25233 L
.95912 .26204 L
.95638 .27176 L
.95292 .28147 L
.95163 .28514 L
.94958 .29118 L
.94661 .30089 L
.94373 .31061 L
.94192 .31622 L
.94056 .32032 L
.93723 .33003 L
.93505 .33974 L
.93712 .34946 L
.94192 .35528 L
.95163 .35781 L
.96134 .35892 L
.96545 .35917 L
.97106 .35938 L
.98077 .35955 L
.98077 .98077 L
.01923 .98077 L
F
0 .34 .292 r
.01923 .10329 m
.02577 .10664 L
.02894 .10821 L
.03866 .11344 L
.04397 .11636 L
.04837 .11888 L
.05808 .12451 L
.06077 .12607 L
.06779 .13023 L
.07705 .13578 L
.07751 .13606 L
.08722 .14194 L
.093 .14549 L
.09693 .14794 L
.10664 .15408 L
.1084 .15521 L
.11636 .16037 L
.1233 .16492 L
.12607 .16675 L
.13578 .17316 L
.13803 .17463 L
.14549 .17948 L
.15304 .18434 L
.15521 .18574 L
.16492 .19199 L
.16809 .19406 L
.17463 .19841 L
.18247 .20377 L
.18434 .20509 L
.19406 .21199 L
.19614 .21348 L
.20377 .21883 L
.21019 .22319 L
.21348 .22536 L
.22319 .23153 L
.2254 .23291 L
.23291 .23761 L
.24066 .24262 L
.24262 .24396 L
.25233 .25098 L
.25409 .25233 L
.26204 .25862 L
.26638 .26204 L
.27176 .266 L
.28043 .27176 L
.28147 .2724 L
.29118 .27804 L
.29744 .28147 L
.30089 .28341 L
.31061 .28931 L
.31334 .29118 L
.32032 .29683 L
.32473 .30089 L
.33003 .306 L
.33502 .31061 L
.33974 .3142 L
.34946 .31978 L
.35067 .32032 L
.35917 .32437 L
.36888 .32859 L
.3721 .33003 L
.37859 .33327 L
.38759 .33974 L
.38831 .34055 L
.39468 .34946 L
.39802 .35404 L
.40271 .35917 L
.40773 .36322 L
.41744 .36768 L
.42433 .36888 L
.42716 .3698 L
.43687 .37272 L
.44658 .37567 L
.45385 .37859 L
.45629 .3799 L
.46444 .38831 L
.46448 .39802 L
.46601 .40377 L
.47005 .40773 L
.47572 .41015 L
.48543 .41276 L
.49514 .41454 L
.50486 .41596 L
.51457 .41724 L
.51617 .41744 L
.52428 .4183 L
.53399 .41858 L
.54371 .4218 L
.55342 .42501 L
.55676 .42716 L
.55349 .43687 L
.55342 .43692 L
.54371 .44381 L
.5405 .44658 L
.5352 .45629 L
.54371 .46003 L
.55342 .46128 L
.56313 .4616 L
.57284 .46135 L
.58256 .46057 L
.59227 .4592 L
.60198 .45694 L
.60406 .45629 L
.61169 .45258 L
.6182 .44658 L
.62141 .44192 L
.6246 .43687 L
.63112 .43162 L
.63938 .42716 L
.64083 .42649 L
.65054 .42216 L
.6597 .41744 L
.66026 .41705 L
.66795 .40773 L
.66982 .39802 L
.66997 .39768 L
.6784 .38831 L
.67968 .38745 L
.68939 .38276 L
.69911 .37908 L
.7004 .37859 L
.70882 .37553 L
.71853 .37095 L
.72202 .36888 L
.72824 .36456 L
.73422 .35917 L
.73796 .35511 L
.7435 .34946 L
.74767 .34613 L
.75738 .34004 L
.75794 .33974 L
.76709 .33526 L
.77681 .33091 L
.77878 .33003 L
.78652 .32651 L
.79623 .32161 L
.79856 .32032 L
.80594 .31586 L
.81406 .31061 L
.81566 .30957 L
.82537 .30343 L
.82969 .30089 L
.83508 .29813 L
.84479 .29374 L
.8513 .29118 L
.85451 .29005 L
.86422 .28689 L
.87393 .28433 L
.88364 .2826 L
.89336 .28222 L
.90307 .28464 L
.90926 .29118 L
.91168 .30089 L
.91075 .31061 L
.90762 .32032 L
.90357 .33003 L
.90307 .331 L
.90031 .33974 L
.89878 .34946 L
.89889 .35917 L
.90071 .36888 L
.90307 .37439 L
.90694 .37859 L
.91278 .38176 L
.92249 .38405 L
.93221 .38504 L
.94192 .38569 L
.95163 .38648 L
.96134 .38787 L
.9635 .38831 L
.97106 .39029 L
.98077 .39607 L
.98077 .98077 L
.01923 .98077 L
F
0 .31 .307 r
.01923 .89671 m
.02577 .89336 L
.02894 .89179 L
.03866 .88656 L
.04397 .88364 L
.04837 .88112 L
.05808 .87549 L
.06077 .87393 L
.06779 .86977 L
.07705 .86422 L
.07751 .86394 L
.08722 .85806 L
.093 .85451 L
.09693 .85206 L
.10664 .84592 L
.1084 .84479 L
.11636 .83963 L
.1233 .83508 L
.12607 .83325 L
.13578 .82684 L
.13803 .82537 L
.14549 .82052 L
.15304 .81566 L
.15521 .81426 L
.16492 .80801 L
.16809 .80594 L
.17463 .80159 L
.18247 .79623 L
.18434 .79491 L
.19406 .78801 L
.19614 .78652 L
.20377 .78117 L
.21019 .77681 L
.21348 .77464 L
.22319 .76847 L
.2254 .76709 L
.23291 .76239 L
.24066 .75738 L
.24262 .75604 L
.25233 .74902 L
.25409 .74767 L
.26204 .74138 L
.26638 .73796 L
.27176 .734 L
.28043 .72824 L
.28147 .7276 L
.29118 .72196 L
.29744 .71853 L
.30089 .71659 L
.31061 .71069 L
.31334 .70882 L
.32032 .70317 L
.32473 .69911 L
.33003 .694 L
.33502 .68939 L
.33974 .6858 L
.34946 .68022 L
.35067 .67968 L
.35917 .67563 L
.36888 .67141 L
.3721 .66997 L
.37859 .66673 L
.38759 .66026 L
.38831 .65945 L
.39468 .65054 L
.39802 .64596 L
.40271 .64083 L
.40773 .63678 L
.41744 .63232 L
.42433 .63112 L
.42716 .6302 L
.43687 .62728 L
.44658 .62433 L
.45385 .62141 L
.45629 .6201 L
.46444 .61169 L
.46448 .60198 L
.46601 .59623 L
.47005 .59227 L
.47572 .58985 L
.48543 .58724 L
.49514 .58546 L
.50486 .58404 L
.51457 .58276 L
.51617 .58256 L
.52428 .5817 L
.53399 .58142 L
.54371 .5782 L
.55342 .57499 L
.55676 .57284 L
.55349 .56313 L
.55342 .56308 L
.54371 .55619 L
.5405 .55342 L
.5352 .54371 L
.54371 .53997 L
.55342 .53872 L
.56313 .5384 L
.57284 .53865 L
.58256 .53943 L
.59227 .5408 L
.60198 .54306 L
.60406 .54371 L
.61169 .54742 L
.6182 .55342 L
.62141 .55808 L
.6246 .56313 L
.63112 .56838 L
.63938 .57284 L
.64083 .57351 L
.65054 .57784 L
.6597 .58256 L
.66026 .58295 L
.66795 .59227 L
.66982 .60198 L
.66997 .60232 L
.6784 .61169 L
.67968 .61255 L
.68939 .61724 L
.69911 .62092 L
.7004 .62141 L
.70882 .62447 L
.71853 .62905 L
.72202 .63112 L
.72824 .63544 L
.73422 .64083 L
.73796 .64489 L
.7435 .65054 L
.74767 .65387 L
.75738 .65996 L
.75794 .66026 L
.76709 .66474 L
.77681 .66909 L
.77878 .66997 L
.78652 .67349 L
.79623 .67839 L
.79856 .67968 L
.80594 .68414 L
.81406 .68939 L
.81566 .69043 L
.82537 .69657 L
.82969 .69911 L
.83508 .70187 L
.84479 .70626 L
.8513 .70882 L
.85451 .70995 L
.86422 .71311 L
.87393 .71567 L
.88364 .7174 L
.89336 .71778 L
.90307 .71536 L
.90926 .70882 L
.91168 .69911 L
.91075 .68939 L
.90762 .67968 L
.90357 .66997 L
.90307 .669 L
.90031 .66026 L
.89878 .65054 L
.89889 .64083 L
.90071 .63112 L
.90307 .62561 L
.90694 .62141 L
.91278 .61824 L
.92249 .61595 L
.93221 .61496 L
.94192 .61431 L
.95163 .61352 L
.96134 .61213 L
.9635 .61169 L
.97106 .60971 L
.98077 .60393 L
.98077 .98077 L
.01923 .98077 L
F
0 .246 .28 r
.01923 .91623 m
.02465 .91278 L
.02894 .91006 L
.03866 .90381 L
.0398 .90307 L
.04837 .89748 L
.05462 .89336 L
.05808 .89105 L
.06779 .88455 L
.06914 .88364 L
.07751 .87799 L
.08351 .87393 L
.08722 .87142 L
.09693 .86486 L
.09788 .86422 L
.10664 .85829 L
.1122 .85451 L
.11636 .85166 L
.12607 .84491 L
.12624 .84479 L
.13578 .83806 L
.13998 .83508 L
.14549 .83118 L
.15378 .82537 L
.15521 .82438 L
.16492 .81772 L
.16796 .81566 L
.17463 .81112 L
.18218 .80594 L
.18434 .80443 L
.19406 .79746 L
.19573 .79623 L
.20377 .79023 L
.20873 .78652 L
.21348 .78304 L
.22231 .77681 L
.22319 .7762 L
.23291 .76978 L
.23709 .76709 L
.24262 .7635 L
.2517 .75738 L
.25233 .75693 L
.26204 .74957 L
.2644 .74767 L
.27176 .7416 L
.27623 .73796 L
.28147 .73404 L
.29019 .72824 L
.29118 .72763 L
.30089 .72193 L
.307 .71853 L
.31061 .71642 L
.32032 .71015 L
.32214 .70882 L
.33003 .7018 L
.33272 .69911 L
.33974 .69218 L
.34279 .68939 L
.34946 .68449 L
.35884 .67968 L
.35917 .67952 L
.36888 .67499 L
.37859 .67069 L
.38012 .66997 L
.38831 .66544 L
.39442 .66026 L
.39802 .65504 L
.40064 .65054 L
.40773 .64162 L
.40884 .64083 L
.41744 .63477 L
.42716 .63165 L
.43177 .63112 L
.43687 .62955 L
.44658 .62673 L
.45629 .6235 L
.46061 .62141 L
.46601 .61748 L
.46942 .61169 L
.46861 .60198 L
.47487 .59227 L
.47572 .59188 L
.48543 .58874 L
.49514 .58677 L
.50486 .58531 L
.51457 .58407 L
.52428 .5829 L
.52702 .58256 L
.53399 .58216 L
.54371 .58019 L
.55342 .57802 L
.56313 .57362 L
.56385 .57284 L
.56313 .56886 L
.55751 .56313 L
.55342 .56066 L
.54371 .55387 L
.54319 .55342 L
.53804 .54371 L
.54371 .54106 L
.55342 .53948 L
.56313 .53905 L
.57284 .53929 L
.58256 .5401 L
.59227 .54159 L
.60079 .54371 L
.60198 .54415 L
.61169 .54974 L
.61485 .55342 L
.61928 .56313 L
.62141 .56594 L
.63094 .57284 L
.63112 .57287 L
.64083 .57751 L
.65054 .58248 L
.65067 .58256 L
.65865 .59227 L
.65893 .60198 L
.66026 .60588 L
.66518 .61169 L
.66997 .61518 L
.67968 .61921 L
.68588 .62141 L
.68939 .62263 L
.69911 .62644 L
.70793 .63112 L
.70882 .63156 L
.71853 .63907 L
.72021 .64083 L
.7282 .65054 L
.72824 .65059 L
.73796 .65876 L
.74022 .66026 L
.74767 .66447 L
.75738 .66932 L
.7587 .66997 L
.76709 .67413 L
.77681 .67959 L
.77696 .67968 L
.78652 .68618 L
.79078 .68939 L
.79623 .69374 L
.80316 .69911 L
.80594 .70106 L
.81566 .70729 L
.81826 .70882 L
.82537 .71272 L
.83508 .71778 L
.83654 .71853 L
.84479 .72282 L
.85451 .728 L
.85495 .72824 L
.86422 .73346 L
.8721 .73796 L
.87393 .73898 L
.88364 .7443 L
.89016 .74767 L
.89336 .74918 L
.90307 .75349 L
.91278 .75718 L
.91313 .75738 L
.92249 .76024 L
.93221 .76245 L
.94192 .76335 L
.95163 .7616 L
.95699 .75738 L
.96 .74767 L
.95912 .73796 L
.95638 .72824 L
.95292 .71853 L
.95163 .71486 L
.94958 .70882 L
.94661 .69911 L
.94373 .68939 L
.94192 .68378 L
.94056 .67968 L
.93723 .66997 L
.93505 .66026 L
.93712 .65054 L
.94192 .64472 L
.95163 .64219 L
.96134 .64108 L
.96545 .64083 L
.97106 .64062 L
.98077 .64045 L
.98077 .98077 L
.01923 .98077 L
F
0 .188 .25 r
.01923 .93326 m
.02072 .93221 L
.02894 .92641 L
.03448 .92249 L
.03866 .91954 L
.04819 .91278 L
.04837 .91265 L
.05808 .90575 L
.06184 .90307 L
.06779 .8988 L
.07536 .89336 L
.07751 .8918 L
.08722 .88475 L
.08875 .88364 L
.09693 .8777 L
.10213 .87393 L
.10664 .87067 L
.11562 .86422 L
.11636 .86369 L
.12607 .8567 L
.1291 .85451 L
.13578 .84963 L
.14234 .84479 L
.14549 .84244 L
.15521 .83519 L
.15535 .83508 L
.16492 .82801 L
.16855 .82537 L
.17463 .821 L
.18219 .81566 L
.18434 .81413 L
.19406 .8072 L
.19579 .80594 L
.20377 .8 L
.20869 .79623 L
.21348 .7925 L
.22115 .78652 L
.22319 .78496 L
.23291 .77785 L
.23439 .77681 L
.24262 .7712 L
.24885 .76709 L
.25233 .76476 L
.26204 .758 L
.26288 .75738 L
.27176 .75033 L
.2749 .74767 L
.28147 .74203 L
.28633 .73796 L
.29118 .73426 L
.30027 .72824 L
.30089 .72785 L
.31061 .72211 L
.31693 .71853 L
.32032 .71648 L
.33003 .70982 L
.33129 .70882 L
.33974 .70053 L
.34105 .69911 L
.34946 .6907 L
.35094 .68939 L
.35917 .68355 L
.3675 .67968 L
.36888 .67901 L
.37859 .67459 L
.38831 .67014 L
.38864 .66997 L
.39802 .66403 L
.40164 .66026 L
.40695 .65054 L
.40773 .64919 L
.41537 .64083 L
.41744 .63908 L
.42716 .63353 L
.43687 .63135 L
.43988 .63112 L
.44658 .62917 L
.45629 .62641 L
.46601 .62263 L
.46789 .62141 L
.47476 .61169 L
.473 .60198 L
.47572 .59529 L
.48008 .59227 L
.48543 .59043 L
.49514 .58821 L
.50486 .58667 L
.51457 .58545 L
.52428 .58438 L
.53399 .5827 L
.54016 .58256 L
.54371 .58211 L
.55342 .5806 L
.56313 .57831 L
.57283 .57284 L
.56313 .56355 L
.56247 .56313 L
.55342 .55849 L
.54592 .55342 L
.54371 .55155 L
.54123 .54371 L
.54371 .54242 L
.55342 .54031 L
.56313 .53976 L
.57284 .53997 L
.58256 .54083 L
.59227 .54246 L
.59733 .54371 L
.60198 .54554 L
.61134 .55342 L
.61169 .55404 L
.61336 .56313 L
.62091 .57284 L
.62141 .57307 L
.63112 .57599 L
.6404 .58256 L
.64083 .58285 L
.64832 .59227 L
.64693 .60198 L
.65054 .61138 L
.65085 .61169 L
.66026 .61861 L
.66997 .62123 L
.67056 .62141 L
.67968 .62461 L
.68939 .62881 L
.69359 .63112 L
.69911 .63393 L
.70627 .64083 L
.70882 .64412 L
.7132 .65054 L
.71853 .65629 L
.72322 .66026 L
.72824 .66354 L
.73796 .66884 L
.74016 .66997 L
.74767 .67379 L
.75738 .67935 L
.7579 .67968 L
.76709 .68614 L
.7711 .68939 L
.77681 .69454 L
.78196 .69911 L
.78652 .70282 L
.79472 .70882 L
.79623 .70982 L
.80594 .71584 L
.81048 .71853 L
.81566 .72159 L
.82537 .72753 L
.82649 .72824 L
.83508 .73398 L
.84076 .73796 L
.84479 .74086 L
.85434 .74767 L
.85451 .74779 L
.86422 .75431 L
.86901 .75738 L
.87393 .76041 L
.88364 .76621 L
.88514 .76709 L
.89336 .77191 L
.9017 .77681 L
.90307 .77761 L
.91278 .78337 L
.9181 .78652 L
.92249 .78908 L
.93221 .79465 L
.93501 .79623 L
.94192 .79995 L
.95163 .80492 L
.95365 .80594 L
.96134 .80955 L
.97106 .8138 L
.97582 .81566 L
.98077 .81759 L
.98077 .98077 L
.01923 .98077 L
F
0 .136 .22 r
.01923 .95009 m
.02894 .94278 L
.03009 .94192 L
.03866 .93545 L
.04295 .93221 L
.04837 .92811 L
.0558 .92249 L
.05808 .92077 L
.06779 .91345 L
.06868 .91278 L
.07751 .90612 L
.08155 .90307 L
.08722 .89876 L
.09432 .89336 L
.09693 .89136 L
.10664 .88392 L
.107 .88364 L
.11636 .87651 L
.11975 .87393 L
.12607 .86916 L
.13265 .86422 L
.13578 .86186 L
.14549 .85454 L
.14554 .85451 L
.15521 .84709 L
.15816 .84479 L
.16492 .83953 L
.17062 .83508 L
.17463 .83199 L
.18337 .82537 L
.18434 .82464 L
.19406 .81749 L
.19658 .81566 L
.20377 .81037 L
.20968 .80594 L
.21348 .803 L
.22199 .79623 L
.22319 .79525 L
.23291 .78737 L
.23397 .78652 L
.24262 .77992 L
.24695 .77681 L
.25233 .77305 L
.26116 .76709 L
.26204 .76649 L
.27176 .75956 L
.27463 .75738 L
.28147 .75167 L
.28595 .74767 L
.29118 .74298 L
.297 .73796 L
.30089 .73492 L
.31061 .72848 L
.31101 .72824 L
.32032 .72269 L
.32756 .71853 L
.33003 .71699 L
.33974 .70997 L
.34108 .70882 L
.34946 .6997 L
.34994 .69911 L
.35917 .68983 L
.3597 .68939 L
.36888 .68305 L
.37692 .67968 L
.37859 .67889 L
.38831 .67454 L
.3979 .66997 L
.39802 .66991 L
.40773 .66258 L
.40945 .66026 L
.41372 .65054 L
.41744 .64501 L
.4225 .64083 L
.42716 .63733 L
.43687 .63288 L
.44658 .63125 L
.44895 .63112 L
.45629 .62912 L
.46601 .62654 L
.47572 .62161 L
.47591 .62141 L
.48055 .61169 L
.47773 .60198 L
.48543 .59252 L
.48599 .59227 L
.49514 .58981 L
.50486 .58813 L
.51457 .58692 L
.52428 .58593 L
.53399 .58328 L
.54371 .58311 L
.55342 .58278 L
.55717 .58256 L
.56313 .58169 L
.57284 .57977 L
.58256 .57672 L
.5888 .57284 L
.58256 .56951 L
.57284 .56516 L
.56788 .56313 L
.56313 .56108 L
.55342 .55635 L
.54897 .55342 L
.54461 .54371 L
.55342 .54126 L
.56313 .54054 L
.57284 .54072 L
.58256 .54163 L
.59227 .54343 L
.5934 .54371 L
.60198 .54735 L
.60771 .55342 L
.60667 .56313 L
.6038 .57284 L
.61169 .57731 L
.62141 .57899 L
.62744 .58256 L
.63112 .58511 L
.6361 .59227 L
.63323 .60198 L
.63491 .61169 L
.64083 .61573 L
.65054 .62019 L
.65362 .62141 L
.66026 .62365 L
.66997 .62718 L
.67826 .63112 L
.67968 .63188 L
.68939 .63786 L
.69173 .64083 L
.6977 .65054 L
.69911 .65258 L
.70574 .66026 L
.70882 .66266 L
.71853 .66847 L
.7214 .66997 L
.72824 .67346 L
.73796 .67895 L
.73911 .67968 L
.74767 .68559 L
.75214 .68939 L
.75738 .69461 L
.7619 .69911 L
.76709 .70391 L
.773 .70882 L
.77681 .71157 L
.78652 .71799 L
.78738 .71853 L
.79623 .72412 L
.80247 .72824 L
.80594 .73066 L
.81566 .73789 L
.81574 .73796 L
.82537 .74574 L
.82777 .74767 L
.83508 .75338 L
.84043 .75738 L
.84479 .76048 L
.8544 .76709 L
.85451 .76716 L
.86422 .77373 L
.86871 .77681 L
.87393 .78045 L
.88247 .78652 L
.88364 .78737 L
.89336 .79441 L
.89588 .79623 L
.90307 .80135 L
.90964 .80594 L
.91278 .80809 L
.92249 .81465 L
.92399 .81566 L
.93221 .82111 L
.93863 .82537 L
.94192 .82755 L
.95163 .83398 L
.95329 .83508 L
.96134 .84039 L
.96808 .84479 L
.97106 .84672 L
.98077 .85291 L
.98077 .98077 L
.01923 .98077 L
F
0 .093 .19 r
.01923 .96802 m
.02769 .96134 L
.02894 .96035 L
.03866 .95267 L
.03997 .95163 L
.04837 .94497 L
.05221 .94192 L
.05808 .93725 L
.06443 .93221 L
.06779 .92953 L
.07667 .92249 L
.07751 .92183 L
.08722 .91416 L
.08897 .91278 L
.09693 .90649 L
.10126 .90307 L
.10664 .89879 L
.11345 .89336 L
.11636 .89103 L
.12559 .88364 L
.12607 .88327 L
.13578 .87556 L
.13785 .87393 L
.14549 .86794 L
.15028 .86422 L
.15521 .86037 L
.16267 .85451 L
.16492 .85271 L
.17463 .8449 L
.17476 .84479 L
.18434 .837 L
.18672 .83508 L
.19406 .82926 L
.19908 .82537 L
.20377 .82179 L
.21195 .81566 L
.21348 .8145 L
.22319 .80702 L
.22456 .80594 L
.23291 .79908 L
.23627 .79623 L
.24262 .79084 L
.24779 .78652 L
.25233 .78291 L
.26059 .77681 L
.26204 .77577 L
.27176 .76903 L
.2746 .76709 L
.28147 .7621 L
.28747 .75738 L
.29118 .75413 L
.29801 .74767 L
.30089 .74495 L
.3087 .73796 L
.31061 .73641 L
.32032 .7297 L
.32289 .72824 L
.33003 .72398 L
.33939 .71853 L
.33974 .7183 L
.34946 .7111 L
.35191 .70882 L
.35917 .69989 L
.35974 .69911 L
.36888 .68977 L
.36942 .68939 L
.37859 .6831 L
.38754 .67968 L
.38831 .67933 L
.39802 .67507 L
.40773 .67033 L
.40833 .66997 L
.41744 .66158 L
.41813 .66026 L
.4212 .65054 L
.42716 .6431 L
.43052 .64083 L
.43687 .63653 L
.44658 .63271 L
.45629 .63128 L
.45951 .63112 L
.46601 .62957 L
.47572 .62779 L
.4851 .62141 L
.48543 .62104 L
.48706 .61169 L
.48543 .60883 L
.48294 .60198 L
.48543 .59628 L
.49284 .59227 L
.49514 .59166 L
.50486 .58976 L
.51457 .5885 L
.52428 .58759 L
.53399 .58449 L
.54371 .58429 L
.55342 .58411 L
.56313 .58385 L
.57284 .58344 L
.58256 .58289 L
.59227 .58256 L
.60198 .58296 L
.61169 .58542 L
.6202 .59227 L
.61737 .60198 L
.6172 .61169 L
.62141 .61528 L
.63112 .62018 L
.6342 .62141 L
.64083 .62362 L
.65054 .62678 L
.66026 .63073 L
.66105 .63112 L
.66997 .63601 L
.67588 .64083 L
.67968 .64746 L
.68084 .65054 L
.68662 .66026 L
.68939 .66297 L
.69911 .66901 L
.701 .66997 L
.70882 .67393 L
.71853 .67931 L
.71913 .67968 L
.72824 .68571 L
.73236 .68939 L
.73796 .69553 L
.74116 .69911 L
.74767 .70599 L
.7507 .70882 L
.75738 .71399 L
.76399 .71853 L
.76709 .72054 L
.77681 .72693 L
.77871 .72824 L
.78652 .73395 L
.79151 .73796 L
.79623 .74208 L
.80252 .74767 L
.80594 .7507 L
.81386 .75738 L
.81566 .7588 L
.82537 .76615 L
.82665 .76709 L
.83508 .7732 L
.84 .77681 L
.84479 .7804 L
.85273 .78652 L
.85451 .78793 L
.86422 .79573 L
.86484 .79623 L
.87393 .80348 L
.87707 .80594 L
.88364 .81098 L
.88983 .81566 L
.89336 .81829 L
.90283 .82537 L
.90307 .82555 L
.91278 .83287 L
.91569 .83508 L
.92249 .84029 L
.92839 .84479 L
.93221 .84771 L
.94117 .85451 L
.94192 .85507 L
.95163 .86233 L
.95417 .86422 L
.96134 .86953 L
.96731 .87393 L
.97106 .87669 L
.98048 .88364 L
.98077 .88386 L
.98077 .98077 L
.01923 .98077 L
F
0 .31 .307 r
.01923 .82804 m
.02171 .82537 L
.02894 .8173 L
.03048 .81566 L
.03866 .80678 L
.03945 .80594 L
.04837 .79637 L
.0485 .79623 L
.05776 .78652 L
.05808 .78618 L
.06738 .77681 L
.06779 .77639 L
.07733 .76709 L
.07751 .76693 L
.08722 .7575 L
.08734 .75738 L
.09693 .74791 L
.09717 .74767 L
.10664 .73834 L
.10704 .73796 L
.11636 .72922 L
.11744 .72824 L
.12607 .72064 L
.12852 .71853 L
.13578 .71224 L
.13965 .70882 L
.14549 .70346 L
.15007 .69911 L
.15521 .69411 L
.16008 .68939 L
.16492 .68491 L
.17093 .67968 L
.17463 .6767 L
.18346 .66997 L
.18434 .66933 L
.19406 .66211 L
.19641 .66026 L
.20377 .65405 L
.20744 .65054 L
.21348 .64435 L
.21683 .64083 L
.22319 .63462 L
.22726 .63112 L
.23291 .62699 L
.24177 .62141 L
.24262 .62097 L
.25233 .61564 L
.25861 .61169 L
.26204 .60984 L
.27053 .60198 L
.27176 .60111 L
.27813 .59227 L
.28147 .58784 L
.28563 .58256 L
.29118 .57807 L
.30077 .57284 L
.30089 .57281 L
.31061 .56999 L
.32032 .56667 L
.32874 .56313 L
.33003 .56243 L
.33974 .55584 L
.34194 .55342 L
.34632 .54371 L
.34471 .53399 L
.33974 .52979 L
.33003 .52863 L
.32032 .52852 L
.31061 .52889 L
.30089 .52977 L
.29118 .53157 L
.28481 .53399 L
.28147 .53618 L
.27614 .54371 L
.27176 .55214 L
.27081 .55342 L
.26204 .56164 L
.25729 .56313 L
.25233 .56471 L
.24262 .5669 L
.23291 .56831 L
.22319 .56916 L
.21348 .56935 L
.20377 .56804 L
.19824 .56313 L
.19632 .55342 L
.20011 .54371 L
.20377 .53763 L
.21246 .53399 L
.21348 .5335 L
.22319 .52985 L
.23291 .52726 L
.24262 .52489 L
.24482 .52428 L
.25233 .52142 L
.25787 .51457 L
.25969 .50486 L
.25969 .49514 L
.25787 .48543 L
.25233 .47858 L
.24482 .47572 L
.24262 .47511 L
.23291 .47274 L
.22319 .47015 L
.21348 .4665 L
.21246 .46601 L
.20377 .46237 L
.20011 .45629 L
.19632 .44658 L
.19824 .43687 L
.20377 .43196 L
.21348 .43065 L
.22319 .43084 L
.23291 .43169 L
.24262 .4331 L
.25233 .43529 L
.25729 .43687 L
.26204 .43836 L
.27081 .44658 L
.27176 .44786 L
.27614 .45629 L
.28147 .46382 L
.28481 .46601 L
.29118 .46843 L
.30089 .47023 L
.31061 .47111 L
.32032 .47148 L
.33003 .47137 L
.33974 .47021 L
.34471 .46601 L
.34632 .45629 L
.34194 .44658 L
.33974 .44416 L
.33003 .43757 L
.32874 .43687 L
.32032 .43333 L
.31061 .43001 L
.30089 .42719 L
.30077 .42716 L
.29118 .42193 L
.28563 .41744 L
.28147 .41216 L
.27813 .40773 L
.27176 .39889 L
.27053 .39802 L
.26204 .39016 L
.25861 .38831 L
.25233 .38436 L
.24262 .37903 L
.24177 .37859 L
.23291 .37301 L
.22726 .36888 L
.22319 .36538 L
.21683 .35917 L
.21348 .35565 L
.20744 .34946 L
.20377 .34595 L
.19641 .33974 L
.19406 .33789 L
.18434 .33067 L
.18346 .33003 L
.17463 .3233 L
.17093 .32032 L
.16492 .31509 L
.16008 .31061 L
.15521 .30589 L
.15007 .30089 L
.14549 .29654 L
.13965 .29118 L
.13578 .28776 L
.12852 .28147 L
.12607 .27936 L
.11744 .27176 L
.11636 .27078 L
.10704 .26204 L
.10664 .26166 L
.09717 .25233 L
.09693 .25209 L
.08734 .24262 L
.08722 .2425 L
.07751 .23307 L
.07733 .23291 L
.06779 .22361 L
.06738 .22319 L
.05808 .21382 L
.05776 .21348 L
.0485 .20377 L
.04837 .20363 L
.03945 .19406 L
.03866 .19322 L
.03048 .18434 L
.02894 .1827 L
.02171 .17463 L
.01923 .17196 L
F
0 .246 .28 r
.01923 .81006 m
.02337 .80594 L
.02894 .80038 L
.03312 .79623 L
.03866 .79075 L
.04296 .78652 L
.04837 .78127 L
.05305 .77681 L
.05808 .77208 L
.06345 .76709 L
.06779 .76308 L
.07395 .75738 L
.07751 .75407 L
.0843 .74767 L
.08722 .7449 L
.09454 .73796 L
.09693 .73573 L
.10514 .72824 L
.10664 .72692 L
.11636 .71857 L
.1164 .71853 L
.12607 .71042 L
.12794 .70882 L
.13578 .70197 L
.1389 .69911 L
.14549 .69291 L
.14918 .68939 L
.15521 .68382 L
.1599 .67968 L
.16492 .6756 L
.17228 .66997 L
.17463 .66835 L
.18434 .66129 L
.18571 .66026 L
.19406 .65381 L
.19761 .65054 L
.20377 .64459 L
.2072 .64083 L
.21348 .63431 L
.21679 .63112 L
.22319 .62607 L
.23022 .62141 L
.23291 .62014 L
.24262 .61492 L
.24829 .61169 L
.25233 .6107 L
.26199 .60198 L
.26204 .60192 L
.26984 .59227 L
.27176 .58839 L
.27457 .58256 L
.27824 .57284 L
.27176 .57076 L
.26204 .57194 L
.25552 .57284 L
.25233 .57304 L
.24262 .5743 L
.23291 .57593 L
.22319 .57796 L
.21348 .5807 L
.20864 .58256 L
.20377 .58486 L
.19406 .59193 L
.1937 .59227 L
.18434 .60042 L
.18149 .60198 L
.17463 .6059 L
.16492 .61009 L
.15521 .61123 L
.1523 .61169 L
.14549 .61245 L
.13634 .61169 L
.13578 .61154 L
.12921 .60198 L
.13447 .59227 L
.13578 .58991 L
.14549 .5834 L
.1468 .58256 L
.15521 .5774 L
.16405 .57284 L
.16492 .57227 L
.17436 .56313 L
.17463 .56272 L
.17929 .55342 L
.18353 .54371 L
.18434 .54213 L
.19065 .53399 L
.19406 .5313 L
.20377 .52658 L
.21145 .52428 L
.21348 .52381 L
.22319 .52164 L
.23291 .51894 L
.24161 .51457 L
.24262 .51381 L
.24882 .50486 L
.24882 .49514 L
.24262 .48619 L
.24161 .48543 L
.23291 .48106 L
.22319 .47836 L
.21348 .47619 L
.21145 .47572 L
.20377 .47342 L
.19406 .4687 L
.19065 .46601 L
.18434 .45787 L
.18353 .45629 L
.17929 .44658 L
.17463 .43728 L
.17436 .43687 L
.16492 .42773 L
.16405 .42716 L
.15521 .4226 L
.1468 .41744 L
.14549 .4166 L
.13578 .41009 L
.13447 .40773 L
.12921 .39802 L
.13578 .38846 L
.13634 .38831 L
.14549 .38755 L
.1523 .38831 L
.15521 .38877 L
.16492 .38991 L
.17463 .3941 L
.18149 .39802 L
.18434 .39958 L
.1937 .40773 L
.19406 .40807 L
.20377 .41514 L
.20864 .41744 L
.21348 .4193 L
.22319 .42204 L
.23291 .42407 L
.24262 .4257 L
.25233 .42696 L
.25552 .42716 L
.26204 .42806 L
.27176 .42924 L
.281 .43687 L
.28147 .43829 L
.28422 .44658 L
.28922 .45629 L
.29118 .45914 L
.30089 .46387 L
.31061 .46593 L
.31125 .46601 L
.32032 .46656 L
.32732 .46601 L
.33003 .46552 L
.33965 .45629 L
.33592 .44658 L
.33003 .44231 L
.32032 .43796 L
.31684 .43687 L
.31061 .43496 L
.30089 .4324 L
.29118 .43178 L
.28147 .43029 L
.27824 .42716 L
.27457 .41744 L
.27176 .41161 L
.26984 .40773 L
.26204 .39808 L
.26199 .39802 L
.25233 .3893 L
.24829 .38831 L
.24262 .38508 L
.23291 .37986 L
.23022 .37859 L
.22319 .37393 L
.21679 .36888 L
.21348 .36569 L
.2072 .35917 L
.20377 .35541 L
.19761 .34946 L
.19406 .34619 L
.18571 .33974 L
.18434 .33871 L
.17463 .33165 L
.17228 .33003 L
.16492 .3244 L
.1599 .32032 L
.15521 .31618 L
.14918 .31061 L
.14549 .30709 L
.1389 .30089 L
.13578 .29803 L
.12794 .29118 L
.12607 .28958 L
.1164 .28147 L
.11636 .28143 L
.10664 .27308 L
.10514 .27176 L
.09693 .26427 L
.09454 .26204 L
.08722 .2551 L
.0843 .25233 L
.07751 .24593 L
.07395 .24262 L
.06779 .23692 L
.06345 .23291 L
.05808 .22792 L
.05305 .22319 L
.04837 .21873 L
.04296 .21348 L
.03866 .20925 L
.03312 .20377 L
.02894 .19962 L
.02337 .19406 L
.01923 .18994 L
F
0 .188 .25 r
.01923 .79357 m
.02664 .78652 L
.02894 .78437 L
.03704 .77681 L
.03866 .77533 L
.0477 .76709 L
.04837 .7665 L
.05808 .75779 L
.05853 .75738 L
.06779 .74902 L
.06926 .74767 L
.07751 .74007 L
.07977 .73796 L
.08722 .73114 L
.09042 .72824 L
.09693 .72261 L
.1017 .71853 L
.10664 .71455 L
.11351 .70882 L
.11636 .70663 L
.12491 .69911 L
.12607 .69821 L
.13534 .68939 L
.13578 .68904 L
.14549 .67974 L
.14555 .67968 L
.15521 .67163 L
.15732 .66997 L
.16492 .66489 L
.17125 .66026 L
.17463 .65911 L
.18413 .65054 L
.18434 .65032 L
.19384 .64083 L
.19406 .6405 L
.20163 .63112 L
.20377 .62758 L
.2096 .62141 L
.21348 .61866 L
.22319 .61537 L
.22948 .61169 L
.23291 .61033 L
.24262 .60588 L
.25043 .60198 L
.25233 .59907 L
.25788 .59227 L
.25233 .58489 L
.24262 .58432 L
.23291 .58616 L
.22319 .5889 L
.21926 .59227 L
.21348 .59734 L
.20916 .60198 L
.20377 .60828 L
.19921 .61169 L
.19406 .61495 L
.18434 .61824 L
.17463 .62133 L
.17436 .62141 L
.16492 .62378 L
.15521 .62696 L
.14549 .6306 L
.14425 .63112 L
.13578 .63486 L
.12607 .64016 L
.12494 .64083 L
.11636 .64583 L
.10745 .65054 L
.10664 .65093 L
.09693 .65537 L
.08722 .65896 L
.08072 .66026 L
.07751 .66106 L
.06779 .66295 L
.05808 .66146 L
.05539 .66026 L
.05516 .65054 L
.05808 .64498 L
.06091 .64083 L
.06779 .6335 L
.07029 .63112 L
.07751 .62434 L
.0816 .62141 L
.08722 .61613 L
.09164 .61169 L
.09693 .60526 L
.09944 .60198 L
.10664 .59238 L
.10674 .59227 L
.11624 .58256 L
.11636 .58246 L
.12607 .57574 L
.1313 .57284 L
.13578 .57066 L
.14549 .56537 L
.14895 .56313 L
.15521 .55937 L
.1594 .55342 L
.16388 .54371 L
.16443 .53399 L
.15521 .52456 L
.15114 .52428 L
.14549 .52329 L
.13578 .52194 L
.12607 .52033 L
.11636 .51749 L
.11108 .51457 L
.10664 .51049 L
.10367 .50486 L
.10367 .49514 L
.10664 .48951 L
.11108 .48543 L
.11636 .48251 L
.12607 .47967 L
.13578 .47806 L
.14549 .47671 L
.15114 .47572 L
.15521 .47544 L
.16443 .46601 L
.16388 .45629 L
.1594 .44658 L
.15521 .44063 L
.14895 .43687 L
.14549 .43463 L
.13578 .42934 L
.1313 .42716 L
.12607 .42426 L
.11636 .41754 L
.11624 .41744 L
.10674 .40773 L
.10664 .40762 L
.09944 .39802 L
.09693 .39474 L
.09164 .38831 L
.08722 .38387 L
.0816 .37859 L
.07751 .37566 L
.07029 .36888 L
.06779 .3665 L
.06091 .35917 L
.05808 .35502 L
.05516 .34946 L
.05539 .33974 L
.05808 .33854 L
.06779 .33705 L
.07751 .33894 L
.08072 .33974 L
.08722 .34104 L
.09693 .34463 L
.10664 .34907 L
.10745 .34946 L
.11636 .35417 L
.12494 .35917 L
.12607 .35984 L
.13578 .36514 L
.14425 .36888 L
.14549 .3694 L
.15521 .37304 L
.16492 .37622 L
.17436 .37859 L
.17463 .37867 L
.18434 .38176 L
.19406 .38505 L
.19921 .38831 L
.20377 .39172 L
.20916 .39802 L
.21348 .40266 L
.21926 .40773 L
.22319 .4111 L
.23291 .41384 L
.24262 .41568 L
.25233 .41511 L
.25788 .40773 L
.25233 .40093 L
.25043 .39802 L
.24262 .39412 L
.23291 .38967 L
.22948 .38831 L
.22319 .38463 L
.21348 .38134 L
.2096 .37859 L
.20377 .37242 L
.20163 .36888 L
.19406 .3595 L
.19384 .35917 L
.18434 .34968 L
.18413 .34946 L
.17463 .34089 L
.17125 .33974 L
.16492 .33511 L
.15732 .33003 L
.15521 .32837 L
.14555 .32032 L
.14549 .32026 L
.13578 .31096 L
.13534 .31061 L
.12607 .30179 L
.12491 .30089 L
.11636 .29337 L
.11351 .29118 L
.10664 .28545 L
.1017 .28147 L
.09693 .27739 L
.09042 .27176 L
.08722 .26886 L
.07977 .26204 L
.07751 .25993 L
.06926 .25233 L
.06779 .25098 L
.05853 .24262 L
.05808 .24221 L
.04837 .2335 L
.0477 .23291 L
.03866 .22467 L
.03704 .22319 L
.02894 .21563 L
.02664 .21348 L
.01923 .20643 L
F
0 .136 .22 r
.01923 .77382 m
.02627 .76709 L
.02894 .76501 L
.03714 .75738 L
.03866 .75635 L
.04782 .74767 L
.04837 .74749 L
.05805 .73796 L
.05808 .73793 L
.06779 .7284 L
.06793 .72824 L
.07751 .71912 L
.07806 .71853 L
.08722 .71098 L
.08918 .70882 L
.09693 .70195 L
.10075 .69911 L
.10664 .6924 L
.10999 .68939 L
.10664 .68029 L
.09693 .68218 L
.08722 .68363 L
.07872 .68939 L
.07751 .68998 L
.06779 .69436 L
.0595 .69911 L
.05808 .69967 L
.04837 .70462 L
.03963 .70882 L
.03866 .70923 L
.02894 .71347 L
.01923 .71759 L
F
.01923 .28241 m
.02894 .28653 L
.03866 .29077 L
.03963 .29118 L
.04837 .29538 L
.05808 .30033 L
.0595 .30089 L
.06779 .30564 L
.07751 .31002 L
.07872 .31061 L
.08722 .31637 L
.09693 .31782 L
.10664 .31971 L
.10999 .31061 L
.10664 .3076 L
.10075 .30089 L
.09693 .29805 L
.08918 .29118 L
.08722 .28902 L
.07806 .28147 L
.07751 .28088 L
.06793 .27176 L
.06779 .2716 L
.05808 .26207 L
.05805 .26204 L
.04837 .25251 L
.04782 .25233 L
.03866 .24365 L
.03714 .24262 L
.02894 .23499 L
.02627 .23291 L
.01923 .22618 L
F
.01923 .43186 m
.02894 .42831 L
.03675 .42716 L
.03866 .42693 L
.04837 .42616 L
.05808 .42592 L
.06779 .42238 L
.0727 .41744 L
.07116 .40773 L
.06779 .40246 L
.06417 .39802 L
.05808 .39083 L
.05302 .38831 L
.04837 .38448 L
.04053 .37859 L
.03866 .37701 L
.02968 .36888 L
.02894 .36815 L
.02044 .35917 L
.01923 .35782 L
F
.01923 .64218 m
.02044 .64083 L
.02894 .63185 L
.02968 .63112 L
.03866 .62299 L
.04053 .62141 L
.04837 .61552 L
.05302 .61169 L
.05808 .60917 L
.06417 .60198 L
.06779 .59754 L
.07116 .59227 L
.0727 .58256 L
.06779 .57762 L
.05808 .57408 L
.04837 .57384 L
.03866 .57307 L
.03675 .57284 L
.02894 .57169 L
.01923 .56814 L
F
.01923 .541 m
.02567 .53399 L
.02894 .5311 L
.03866 .5248 L
.0396 .52428 L
.04837 .5192 L
.0539 .51457 L
.05808 .50936 L
.0601 .50486 L
.0601 .49514 L
.05808 .49064 L
.0539 .48543 L
.04837 .4808 L
.0396 .47572 L
.03866 .4752 L
.02894 .4689 L
.02567 .46601 L
.01923 .459 L
F
0 .37 .27 r
.02894 .14206 m
.03866 .13845 L
.04837 .13993 L
.05808 .14341 L
.06414 .14549 L
.06779 .14735 L
.07751 .15186 L
.08435 .15521 L
.08722 .15676 L
.09693 .16197 L
.10229 .16492 L
.10664 .16741 L
.11636 .17302 L
.11915 .17463 L
.12607 .17866 L
.13578 .18433 L
.13581 .18434 L
.14549 .18999 L
.15234 .19406 L
.15521 .19579 L
.16492 .20181 L
.16799 .20377 L
.17463 .20813 L
.18265 .21348 L
.18434 .21462 L
.19406 .22104 L
.19741 .22319 L
.20377 .22717 L
.21326 .23291 L
.21348 .23303 L
.22319 .23884 L
.22933 .24262 L
.23291 .24492 L
.24262 .25161 L
.24362 .25233 L
.25233 .25891 L
.25646 .26204 L
.26204 .26606 L
.2707 .27176 L
.27176 .2724 L
.28147 .27797 L
.28799 .28147 L
.29118 .2832 L
.30089 .28877 L
.30468 .29118 L
.31061 .29555 L
.3169 .30089 L
.32032 .30407 L
.32744 .31061 L
.33003 .31263 L
.33974 .31882 L
.34278 .32032 L
.34946 .32357 L
.35917 .3278 L
.36437 .33003 L
.36888 .3321 L
.37859 .3378 L
.38101 .33974 L
.38831 .34856 L
.38894 .34946 L
.39687 .35917 L
.39802 .36024 L
.40773 .36646 L
.41735 .36888 L
.41744 .36891 L
.42716 .37201 L
.43687 .37486 L
.44658 .37822 L
.44744 .37859 L
.45629 .38403 L
.4597 .38831 L
.46052 .39802 L
.46557 .40773 L
.46601 .40799 L
.47572 .41184 L
.48543 .41411 L
.49514 .41577 L
.50486 .41717 L
.50686 .41744 L
.51457 .41841 L
.52428 .4194 L
.53399 .41957 L
.54371 .42393 L
.55065 .42716 L
.54969 .43687 L
.54371 .44157 L
.53799 .44658 L
.53399 .4507 L
.53251 .45629 L
.53399 .45773 L
.54371 .46095 L
.55342 .46196 L
.56313 .46221 L
.57284 .46194 L
.58256 .46121 L
.59227 .45992 L
.60198 .45787 L
.6072 .45629 L
.61169 .45429 L
.62141 .44662 L
.62144 .44658 L
.62961 .43687 L
.63112 .43569 L
.64083 .43006 L
.64707 .42716 L
.65054 .42569 L
.66026 .42151 L
.66809 .41744 L
.66997 .41607 L
.67668 .40773 L
.67968 .39901 L
.68011 .39802 L
.68939 .38916 L
.69112 .38831 L
.69911 .38453 L
.70882 .38085 L
.71492 .37859 L
.71853 .37736 L
.72824 .37345 L
.73671 .36888 L
.73796 .36808 L
.74767 .36054 L
.74923 .35917 L
.75738 .35185 L
.76036 .34946 L
.76709 .34524 L
.77681 .34053 L
.77867 .33974 L
.78652 .33665 L
.79623 .33316 L
.80536 .33003 L
.80594 .32984 L
.81566 .32648 L
.82537 .32313 L
.83361 .32032 L
.83508 .31991 L
.84479 .31721 L
.85451 .31594 L
.86422 .31825 L
.867 .32032 L
.8707 .33003 L
.8723 .33974 L
.87328 .34946 L
.87316 .35917 L
.87132 .36888 L
.8678 .37859 L
.86476 .38831 L
.86653 .39802 L
.87393 .4043 L
.88325 .40773 L
.88364 .40783 L
.89336 .40961 L
.90307 .4106 L
.91278 .41142 L
.92249 .41262 L
.93221 .41505 L
.93733 .41744 L
.94192 .42102 L
.94601 .42716 L
.94891 .43687 L
.95015 .44658 L
.95068 .45629 L
.95074 .46601 L
.95037 .47572 L
.94959 .48543 L
.94875 .49514 L
.94875 .50486 L
.94959 .51457 L
.95037 .52428 L
.95074 .53399 L
.95068 .54371 L
.95015 .55342 L
.94891 .56313 L
.94601 .57284 L
.94192 .57898 L
.93733 .58256 L
.93221 .58495 L
.92249 .58738 L
.91278 .58858 L
.90307 .5894 L
.89336 .59039 L
.88364 .59217 L
.88325 .59227 L
.87393 .5957 L
.86653 .60198 L
.86476 .61169 L
.8678 .62141 L
.87132 .63112 L
.87316 .64083 L
.87328 .65054 L
.8723 .66026 L
.8707 .66997 L
.867 .67968 L
.86422 .68175 L
.85451 .68406 L
.84479 .68279 L
.83508 .68009 L
.83361 .67968 L
.82537 .67687 L
.81566 .67352 L
.80594 .67016 L
.80536 .66997 L
.79623 .66684 L
.78652 .66335 L
.77867 .66026 L
.77681 .65947 L
.76709 .65476 L
.76036 .65054 L
.75738 .64815 L
.74923 .64083 L
.74767 .63946 L
.73796 .63192 L
.73671 .63112 L
.72824 .62655 L
.71853 .62264 L
.71492 .62141 L
.70882 .61915 L
.69911 .61547 L
.69112 .61169 L
.68939 .61084 L
.68011 .60198 L
.67968 .60099 L
.67668 .59227 L
.66997 .58393 L
.66809 .58256 L
.66026 .57849 L
.65054 .57431 L
.64707 .57284 L
.64083 .56994 L
.63112 .56431 L
.62961 .56313 L
.62144 .55342 L
.62141 .55338 L
.61169 .54571 L
.6072 .54371 L
.60198 .54213 L
.59227 .54008 L
.58256 .53879 L
.57284 .53806 L
.56313 .53779 L
.55342 .53804 L
.54371 .53905 L
.53399 .54227 L
.53251 .54371 L
.53399 .5493 L
.53799 .55342 L
.54371 .55843 L
.54969 .56313 L
.55065 .57284 L
.54371 .57607 L
.53399 .58043 L
.52428 .5806 L
.51457 .58159 L
.50686 .58256 L
.50486 .58283 L
.49514 .58423 L
.48543 .58589 L
.47572 .58816 L
.46601 .59201 L
.46557 .59227 L
.46052 .60198 L
.4597 .61169 L
.45629 .61597 L
.44744 .62141 L
.44658 .62178 L
.43687 .62514 L
.42716 .62799 L
.41744 .63109 L
.41735 .63112 L
.40773 .63354 L
.39802 .63976 L
.39687 .64083 L
.38894 .65054 L
.38831 .65144 L
.38101 .66026 L
.37859 .6622 L
.36888 .6679 L
.36437 .66997 L
.35917 .6722 L
.34946 .67643 L
.34278 .67968 L
.33974 .68118 L
.33003 .68737 L
.32744 .68939 L
.32032 .69593 L
.3169 .69911 L
.31061 .70445 L
.30468 .70882 L
.30089 .71123 L
.29118 .7168 L
.28799 .71853 L
.28147 .72203 L
.27176 .7276 L
.2707 .72824 L
.26204 .73394 L
.25646 .73796 L
.25233 .74109 L
.24362 .74767 L
.24262 .74839 L
.23291 .75508 L
.22933 .75738 L
.22319 .76116 L
.21348 .76697 L
.21326 .76709 L
.20377 .77283 L
.19741 .77681 L
.19406 .77896 L
.18434 .78538 L
.18265 .78652 L
.17463 .79187 L
.16799 .79623 L
.16492 .79819 L
.15521 .80421 L
.15234 .80594 L
.14549 .81001 L
.13581 .81566 L
.13578 .81567 L
.12607 .82134 L
.11915 .82537 L
.11636 .82698 L
.10664 .83259 L
.10229 .83508 L
.09693 .83803 L
.08722 .84324 L
.08435 .84479 L
.07751 .84814 L
.06779 .85265 L
.06414 .85451 L
.05808 .85659 L
.04837 .86007 L
.03866 .86155 L
.02894 .85794 L
.02811 .85451 L
.02894 .84889 L
.03025 .84479 L
.03532 .83508 L
.03866 .82832 L
.04169 .82537 L
.04837 .81609 L
.04886 .81566 L
.05641 .80594 L
.05808 .80378 L
.06428 .79623 L
.06779 .79196 L
.07261 .78652 L
.07751 .78102 L
.08151 .77681 L
.08722 .77076 L
.09081 .76709 L
.09693 .76068 L
.10011 .75738 L
.10664 .75043 L
.10927 .74767 L
.11636 .74025 L
.11865 .73796 L
.12607 .73071 L
.12874 .72824 L
.13578 .72184 L
.13951 .71853 L
.14549 .71312 L
.15012 .70882 L
.15521 .70387 L
.15996 .69911 L
.16492 .69408 L
.16966 .68939 L
.17463 .68476 L
.18054 .67968 L
.18434 .67662 L
.19305 .66997 L
.19406 .66922 L
.20377 .66165 L
.20542 .66026 L
.21348 .65281 L
.2157 .65054 L
.22319 .64259 L
.22489 .64083 L
.23291 .63345 L
.23586 .63112 L
.24262 .62646 L
.25091 .62141 L
.25233 .62064 L
.26204 .6149 L
.26668 .61169 L
.27176 .60784 L
.27733 .60198 L
.28147 .59677 L
.28481 .59227 L
.29118 .58495 L
.29386 .58256 L
.30089 .57794 L
.31061 .57338 L
.31196 .57284 L
.32032 .57018 L
.33003 .56635 L
.33619 .56313 L
.33974 .5608 L
.34706 .55342 L
.34946 .54874 L
.35129 .54371 L
.35322 .53399 L
.34946 .52769 L
.33974 .52481 L
.33003 .52501 L
.32032 .52502 L
.31061 .52504 L
.30089 .52501 L
.29118 .52474 L
.28534 .52428 L
.28147 .52361 L
.27176 .51655 L
.27089 .51457 L
.26881 .50486 L
.26881 .49514 L
.27089 .48543 L
.27176 .48345 L
.28147 .47639 L
.28534 .47572 L
.29118 .47526 L
.30089 .47499 L
.31061 .47496 L
.32032 .47498 L
.33003 .47499 L
.33974 .47519 L
.34946 .47231 L
.35322 .46601 L
.35129 .45629 L
.34946 .45126 L
.34706 .44658 L
.33974 .4392 L
.33619 .43687 L
.33003 .43365 L
.32032 .42982 L
.31196 .42716 L
.31061 .42662 L
.30089 .42206 L
.29386 .41744 L
.29118 .41505 L
.28481 .40773 L
.28147 .40323 L
.27733 .39802 L
.27176 .39216 L
.26668 .38831 L
.26204 .3851 L
.25233 .37936 L
.25091 .37859 L
.24262 .37354 L
.23586 .36888 L
.23291 .36655 L
.22489 .35917 L
.22319 .35741 L
.2157 .34946 L
.21348 .34719 L
.20542 .33974 L
.20377 .33835 L
.19406 .33078 L
.19305 .33003 L
.18434 .32338 L
.18054 .32032 L
.17463 .31524 L
.16966 .31061 L
.16492 .30592 L
.15996 .30089 L
.15521 .29613 L
.15012 .29118 L
.14549 .28688 L
.13951 .28147 L
.13578 .27816 L
.12874 .27176 L
.12607 .26929 L
.11865 .26204 L
.11636 .25975 L
.10927 .25233 L
.10664 .24957 L
.10011 .24262 L
.09693 .23932 L
.09081 .23291 L
.08722 .22924 L
.08151 .22319 L
.07751 .21898 L
.07261 .21348 L
.06779 .20804 L
.06428 .20377 L
.05808 .19622 L
.05641 .19406 L
.04886 .18434 L
.04837 .18391 L
.04169 .17463 L
.03866 .17168 L
.03532 .16492 L
.03025 .15521 L
.02894 .15111 L
.02811 .14549 L
F
0 .058 .16 r
.98077 .91692 m
.97564 .91278 L
.97106 .90907 L
.96366 .90307 L
.96134 .90118 L
.95176 .89336 L
.95163 .89325 L
.94192 .88532 L
.93987 .88364 L
.93221 .87742 L
.9279 .87393 L
.92249 .86956 L
.91591 .86422 L
.91278 .86167 L
.90405 .85451 L
.90307 .85369 L
.89336 .84559 L
.8924 .84479 L
.88364 .8375 L
.88072 .83508 L
.87393 .82955 L
.86874 .82537 L
.86422 .82175 L
.85659 .81566 L
.85451 .81397 L
.84481 .80594 L
.84479 .80593 L
.83508 .7975 L
.83364 .79623 L
.82537 .78904 L
.82241 .78652 L
.81566 .78102 L
.81024 .77681 L
.80594 .77353 L
.7974 .76709 L
.79623 .76618 L
.78652 .75823 L
.78555 .75738 L
.77681 .74902 L
.77546 .74767 L
.76709 .7396 L
.76531 .73796 L
.75738 .73157 L
.7526 .72824 L
.74767 .72492 L
.73796 .7186 L
.73785 .71853 L
.72824 .71125 L
.72562 .70882 L
.71853 .69994 L
.71793 .69911 L
.7101 .68939 L
.70882 .68809 L
.69911 .68094 L
.69615 .67968 L
.68939 .67608 L
.67968 .67139 L
.67692 .66997 L
.66997 .66723 L
.66414 .66026 L
.66145 .65054 L
.66026 .64531 L
.65764 .64083 L
.65054 .63576 L
.64083 .6312 L
.64062 .63112 L
.63112 .62767 L
.62141 .62476 L
.61169 .6215 L
.61147 .62141 L
.60198 .61617 L
.59821 .61169 L
.59973 .60198 L
.59689 .59227 L
.59227 .59068 L
.58256 .58697 L
.57284 .58671 L
.56313 .58654 L
.55342 .58645 L
.54371 .58645 L
.53399 .58665 L
.52428 .5894 L
.51457 .59027 L
.50486 .59163 L
.50148 .59227 L
.49514 .59445 L
.48882 .60198 L
.49473 .61169 L
.49514 .61249 L
.49627 .62141 L
.49514 .62244 L
.48543 .62731 L
.47572 .63065 L
.47258 .63112 L
.46601 .63152 L
.45629 .6331 L
.44658 .63674 L
.43996 .64083 L
.43687 .64262 L
.42978 .65054 L
.42821 .66026 L
.42716 .66269 L
.42066 .66997 L
.41744 .67205 L
.40773 .67651 L
.40016 .67968 L
.39802 .68015 L
.38831 .68403 L
.3807 .68939 L
.37859 .69053 L
.37101 .69911 L
.36888 .70227 L
.36446 .70882 L
.35917 .71404 L
.35322 .71853 L
.34946 .72083 L
.33974 .72646 L
.33675 .72824 L
.33003 .73206 L
.32217 .73796 L
.32032 .73952 L
.31185 .74767 L
.31061 .74901 L
.30226 .75738 L
.30089 .75859 L
.29118 .76631 L
.29012 .76709 L
.28147 .77309 L
.27626 .77681 L
.27176 .78003 L
.26356 .78652 L
.26204 .78781 L
.25252 .79623 L
.25233 .7964 L
.24262 .80499 L
.24149 .80594 L
.23291 .8129 L
.2294 .81566 L
.22319 .82041 L
.21684 .82537 L
.21348 .82801 L
.20481 .83508 L
.20377 .83595 L
.19406 .84418 L
.19334 .84479 L
.18434 .85238 L
.1818 .85451 L
.17463 .86037 L
.16989 .86422 L
.16492 .86822 L
.15787 .87393 L
.15521 .87611 L
.14606 .88364 L
.14549 .88412 L
.13578 .89222 L
.13443 .89336 L
.12607 .90032 L
.12275 .90307 L
.11636 .90834 L
.11096 .91278 L
.10664 .91633 L
.09916 .92249 L
.09693 .92433 L
.08742 .93221 L
.08722 .93238 L
.07751 .94045 L
.07574 .94192 L
.06779 .94852 L
.06405 .95163 L
.05808 .95657 L
.05232 .96134 L
.04837 .96461 L
.04058 .97106 L
.03866 .97265 L
.02894 .98071 L
.02887 .98077 L
.98077 .98077 L
F
.98077 .08308 m
.97564 .08722 L
.97106 .09093 L
.96366 .09693 L
.96134 .09882 L
.95176 .10664 L
.95163 .10675 L
.94192 .11468 L
.93987 .11636 L
.93221 .12258 L
.9279 .12607 L
.92249 .13044 L
.91591 .13578 L
.91278 .13833 L
.90405 .14549 L
.90307 .14631 L
.89336 .15441 L
.8924 .15521 L
.88364 .1625 L
.88072 .16492 L
.87393 .17045 L
.86874 .17463 L
.86422 .17825 L
.85659 .18434 L
.85451 .18603 L
.84481 .19406 L
.84479 .19407 L
.83508 .2025 L
.83364 .20377 L
.82537 .21096 L
.82241 .21348 L
.81566 .21898 L
.81024 .22319 L
.80594 .22647 L
.7974 .23291 L
.79623 .23382 L
.78652 .24177 L
.78555 .24262 L
.77681 .25098 L
.77546 .25233 L
.76709 .2604 L
.76531 .26204 L
.75738 .26843 L
.7526 .27176 L
.74767 .27508 L
.73796 .2814 L
.73785 .28147 L
.72824 .28875 L
.72562 .29118 L
.71853 .30006 L
.71793 .30089 L
.7101 .31061 L
.70882 .31191 L
.69911 .31906 L
.69615 .32032 L
.68939 .32392 L
.67968 .32861 L
.67692 .33003 L
.66997 .33277 L
.66414 .33974 L
.66145 .34946 L
.66026 .35469 L
.65764 .35917 L
.65054 .36424 L
.64083 .3688 L
.64062 .36888 L
.63112 .37233 L
.62141 .37524 L
.61169 .3785 L
.61147 .37859 L
.60198 .38383 L
.59821 .38831 L
.59973 .39802 L
.59689 .40773 L
.59227 .40932 L
.58256 .41303 L
.57284 .41329 L
.56313 .41346 L
.55342 .41355 L
.54371 .41355 L
.53399 .41335 L
.52428 .4106 L
.51457 .40973 L
.50486 .40837 L
.50148 .40773 L
.49514 .40555 L
.48882 .39802 L
.49473 .38831 L
.49514 .38751 L
.49627 .37859 L
.49514 .37756 L
.48543 .37269 L
.47572 .36935 L
.47258 .36888 L
.46601 .36848 L
.45629 .3669 L
.44658 .36326 L
.43996 .35917 L
.43687 .35738 L
.42978 .34946 L
.42821 .33974 L
.42716 .33731 L
.42066 .33003 L
.41744 .32795 L
.40773 .32349 L
.40016 .32032 L
.39802 .31985 L
.38831 .31597 L
.3807 .31061 L
.37859 .30947 L
.37101 .30089 L
.36888 .29773 L
.36446 .29118 L
.35917 .28596 L
.35322 .28147 L
.34946 .27917 L
.33974 .27354 L
.33675 .27176 L
.33003 .26794 L
.32217 .26204 L
.32032 .26048 L
.31185 .25233 L
.31061 .25099 L
.30226 .24262 L
.30089 .24141 L
.29118 .23369 L
.29012 .23291 L
.28147 .22691 L
.27626 .22319 L
.27176 .21997 L
.26356 .21348 L
.26204 .21219 L
.25252 .20377 L
.25233 .2036 L
.24262 .19501 L
.24149 .19406 L
.23291 .1871 L
.2294 .18434 L
.22319 .17959 L
.21684 .17463 L
.21348 .17199 L
.20481 .16492 L
.20377 .16405 L
.19406 .15582 L
.19334 .15521 L
.18434 .14762 L
.1818 .14549 L
.17463 .13963 L
.16989 .13578 L
.16492 .13178 L
.15787 .12607 L
.15521 .12389 L
.14606 .11636 L
.14549 .11588 L
.13578 .10778 L
.13443 .10664 L
.12607 .09968 L
.12275 .09693 L
.11636 .09166 L
.11096 .08722 L
.10664 .08367 L
.09916 .07751 L
.09693 .07567 L
.08742 .06779 L
.08722 .06762 L
.07751 .05955 L
.07574 .05808 L
.06779 .05148 L
.06405 .04837 L
.05808 .04343 L
.05232 .03866 L
.04837 .03539 L
.04058 .02894 L
.03866 .02735 L
.02894 .01929 L
.02887 .01923 L
.98077 .01923 L
F
0 .03 .13 r
.98077 .9574 m
.97415 .95163 L
.97106 .94893 L
.96303 .94192 L
.96134 .94045 L
.9519 .93221 L
.95163 .93197 L
.94192 .92353 L
.94072 .92249 L
.93221 .91509 L
.92955 .91278 L
.92249 .90661 L
.91847 .90307 L
.91278 .89806 L
.90745 .89336 L
.90307 .8895 L
.89638 .88364 L
.89336 .88101 L
.88516 .87393 L
.88364 .87262 L
.87393 .86423 L
.87391 .86422 L
.86422 .85568 L
.86291 .85451 L
.85451 .84693 L
.85215 .84479 L
.84479 .83822 L
.84124 .83508 L
.83508 .8298 L
.82981 .82537 L
.82537 .82166 L
.81821 .81566 L
.81566 .81344 L
.8073 .80594 L
.80594 .80467 L
.79721 .79623 L
.79623 .7953 L
.78675 .78652 L
.78652 .78632 L
.77681 .77836 L
.77477 .77681 L
.76709 .77095 L
.76209 .76709 L
.75738 .76312 L
.75125 .75738 L
.74767 .75345 L
.74279 .74767 L
.73796 .74237 L
.73353 .73796 L
.72824 .73349 L
.72028 .72824 L
.71853 .72712 L
.70882 .72114 L
.7048 .71853 L
.69911 .71433 L
.69401 .70882 L
.68939 .69966 L
.68913 .69911 L
.68245 .68939 L
.67968 .68631 L
.66997 .68021 L
.66654 .67968 L
.66026 .67692 L
.65054 .673 L
.64454 .66997 L
.64083 .66767 L
.63444 .66026 L
.63708 .65054 L
.63497 .64083 L
.63112 .63818 L
.62141 .63366 L
.61425 .63112 L
.61169 .6303 L
.60198 .62764 L
.59227 .62524 L
.58381 .62141 L
.58256 .62061 L
.57815 .61169 L
.5816 .60198 L
.57284 .59419 L
.56439 .59227 L
.56313 .59202 L
.55342 .59069 L
.54371 .5901 L
.53399 .59008 L
.52428 .59147 L
.51514 .59227 L
.51457 .59235 L
.50486 .5944 L
.49591 .60198 L
.50451 .61169 L
.50486 .61203 L
.51203 .62141 L
.50486 .62663 L
.49514 .62995 L
.49068 .63112 L
.48543 .63144 L
.47572 .63241 L
.46601 .63453 L
.45629 .63842 L
.45202 .64083 L
.44658 .64361 L
.44022 .65054 L
.44082 .66026 L
.43687 .66981 L
.4367 .66997 L
.42716 .67587 L
.41744 .67936 L
.41659 .67968 L
.40773 .6817 L
.39802 .68695 L
.39482 .68939 L
.38831 .69474 L
.38491 .69911 L
.38023 .70882 L
.37859 .71112 L
.37092 .71853 L
.36888 .71991 L
.35917 .72553 L
.35437 .72824 L
.34946 .73054 L
.33974 .73731 L
.33898 .73796 L
.33003 .74653 L
.32903 .74767 L
.3208 .75738 L
.32032 .75788 L
.31061 .7664 L
.30971 .76709 L
.30089 .77327 L
.2959 .77681 L
.29118 .78008 L
.28315 .78652 L
.28147 .78799 L
.27266 .79623 L
.27176 .79713 L
.26255 .80594 L
.26204 .8064 L
.25233 .81467 L
.25112 .81566 L
.24262 .82234 L
.23883 .82537 L
.23291 .83015 L
.22709 .83508 L
.22319 .83851 L
.21618 .84479 L
.21348 .84723 L
.20531 .85451 L
.20377 .85584 L
.19406 .86413 L
.19395 .86422 L
.18434 .87224 L
.18234 .87393 L
.17463 .88048 L
.17096 .88364 L
.16492 .88892 L
.15986 .89336 L
.15521 .89744 L
.14876 .90307 L
.14549 .90589 L
.13749 .91278 L
.13578 .91424 L
.12617 .92249 L
.12607 .92258 L
.11636 .93096 L
.11493 .93221 L
.10664 .93942 L
.10378 .94192 L
.09693 .94788 L
.09263 .95163 L
.08722 .95632 L
.08143 .96134 L
.07751 .96473 L
.07021 .97106 L
.06779 .97316 L
.05903 .98077 L
.98077 .98077 L
F
.98077 .0426 m
.97415 .04837 L
.97106 .05107 L
.96303 .05808 L
.96134 .05955 L
.9519 .06779 L
.95163 .06803 L
.94192 .07647 L
.94072 .07751 L
.93221 .08491 L
.92955 .08722 L
.92249 .09339 L
.91847 .09693 L
.91278 .10194 L
.90745 .10664 L
.90307 .1105 L
.89638 .11636 L
.89336 .11899 L
.88516 .12607 L
.88364 .12738 L
.87393 .13577 L
.87391 .13578 L
.86422 .14432 L
.86291 .14549 L
.85451 .15307 L
.85215 .15521 L
.84479 .16178 L
.84124 .16492 L
.83508 .1702 L
.82981 .17463 L
.82537 .17834 L
.81821 .18434 L
.81566 .18656 L
.8073 .19406 L
.80594 .19533 L
.79721 .20377 L
.79623 .2047 L
.78675 .21348 L
.78652 .21368 L
.77681 .22164 L
.77477 .22319 L
.76709 .22905 L
.76209 .23291 L
.75738 .23688 L
.75125 .24262 L
.74767 .24655 L
.74279 .25233 L
.73796 .25763 L
.73353 .26204 L
.72824 .26651 L
.72028 .27176 L
.71853 .27288 L
.70882 .27886 L
.7048 .28147 L
.69911 .28567 L
.69401 .29118 L
.68939 .30034 L
.68913 .30089 L
.68245 .31061 L
.67968 .31369 L
.66997 .31979 L
.66654 .32032 L
.66026 .32308 L
.65054 .327 L
.64454 .33003 L
.64083 .33233 L
.63444 .33974 L
.63708 .34946 L
.63497 .35917 L
.63112 .36182 L
.62141 .36634 L
.61425 .36888 L
.61169 .3697 L
.60198 .37236 L
.59227 .37476 L
.58381 .37859 L
.58256 .37939 L
.57815 .38831 L
.5816 .39802 L
.57284 .40581 L
.56439 .40773 L
.56313 .40798 L
.55342 .40931 L
.54371 .4099 L
.53399 .40992 L
.52428 .40853 L
.51514 .40773 L
.51457 .40765 L
.50486 .4056 L
.49591 .39802 L
.50451 .38831 L
.50486 .38797 L
.51203 .37859 L
.50486 .37337 L
.49514 .37005 L
.49068 .36888 L
.48543 .36856 L
.47572 .36759 L
.46601 .36547 L
.45629 .36158 L
.45202 .35917 L
.44658 .35639 L
.44022 .34946 L
.44082 .33974 L
.43687 .33019 L
.4367 .33003 L
.42716 .32413 L
.41744 .32064 L
.41659 .32032 L
.40773 .3183 L
.39802 .31305 L
.39482 .31061 L
.38831 .30526 L
.38491 .30089 L
.38023 .29118 L
.37859 .28888 L
.37092 .28147 L
.36888 .28009 L
.35917 .27447 L
.35437 .27176 L
.34946 .26946 L
.33974 .26269 L
.33898 .26204 L
.33003 .25347 L
.32903 .25233 L
.3208 .24262 L
.32032 .24212 L
.31061 .2336 L
.30971 .23291 L
.30089 .22673 L
.2959 .22319 L
.29118 .21992 L
.28315 .21348 L
.28147 .21201 L
.27266 .20377 L
.27176 .20287 L
.26255 .19406 L
.26204 .1936 L
.25233 .18533 L
.25112 .18434 L
.24262 .17766 L
.23883 .17463 L
.23291 .16985 L
.22709 .16492 L
.22319 .16149 L
.21618 .15521 L
.21348 .15277 L
.20531 .14549 L
.20377 .14416 L
.19406 .13587 L
.19395 .13578 L
.18434 .12776 L
.18234 .12607 L
.17463 .11952 L
.17096 .11636 L
.16492 .11108 L
.15986 .10664 L
.15521 .10256 L
.14876 .09693 L
.14549 .09411 L
.13749 .08722 L
.13578 .08576 L
.12617 .07751 L
.12607 .07742 L
.11636 .06904 L
.11493 .06779 L
.10664 .06058 L
.10378 .05808 L
.09693 .05212 L
.09263 .04837 L
.08722 .04368 L
.08143 .03866 L
.07751 .03527 L
.07021 .02894 L
.06779 .02684 L
.05903 .01923 L
.98077 .01923 L
F
0 .4 .24 r
.07751 .18126 m
.08722 .17701 L
.09693 .18003 L
.10664 .18346 L
.10934 .18434 L
.11636 .18726 L
.12607 .19162 L
.13135 .19406 L
.13578 .19626 L
.14549 .20129 L
.15009 .20377 L
.15521 .20668 L
.16492 .2124 L
.16673 .21348 L
.17463 .21827 L
.18285 .22319 L
.18434 .22408 L
.19406 .22966 L
.19985 .23291 L
.20377 .23507 L
.21348 .24052 L
.21712 .24262 L
.22319 .24627 L
.23253 .25233 L
.23291 .2526 L
.24262 .25954 L
.24609 .26204 L
.25233 .2664 L
.26065 .27176 L
.26204 .27259 L
.27176 .27802 L
.27835 .28147 L
.28147 .28309 L
.29118 .28835 L
.29594 .29118 L
.30089 .29451 L
.30904 .30089 L
.31061 .30228 L
.3199 .31061 L
.32032 .31094 L
.33003 .31766 L
.335 .32032 L
.33974 .32268 L
.34946 .32698 L
.35678 .33003 L
.35917 .33106 L
.36888 .33588 L
.37456 .33974 L
.37859 .34368 L
.38334 .34946 L
.38831 .35628 L
.39121 .35917 L
.39802 .36448 L
.40773 .36833 L
.41068 .36888 L
.41744 .37115 L
.42716 .37403 L
.43687 .37699 L
.44127 .37859 L
.44658 .38109 L
.45515 .38831 L
.45629 .39341 L
.45673 .39802 L
.46131 .40773 L
.46601 .41022 L
.47572 .41332 L
.48543 .41535 L
.49514 .41693 L
.49864 .41744 L
.50486 .4183 L
.51457 .41951 L
.52428 .42052 L
.53399 .42104 L
.54371 .42639 L
.5451 .42716 L
.54624 .43687 L
.54371 .43916 L
.53562 .44658 L
.53399 .44813 L
.52991 .45629 L
.53399 .45942 L
.54371 .46177 L
.55342 .4626 L
.56313 .46278 L
.57284 .46251 L
.58256 .4618 L
.59227 .4606 L
.60198 .45872 L
.6102 .45629 L
.61169 .45567 L
.62141 .4497 L
.62464 .44658 L
.63112 .43954 L
.63446 .43687 L
.64083 .4332 L
.65054 .42879 L
.65443 .42716 L
.66026 .42487 L
.66997 .42219 L
.67623 .41744 L
.67968 .41478 L
.6852 .40773 L
.68939 .39929 L
.6902 .39802 L
.69911 .39063 L
.70399 .38831 L
.70882 .38624 L
.71853 .38272 L
.72824 .37941 L
.73058 .37859 L
.73796 .3761 L
.74767 .372 L
.75353 .36888 L
.75738 .36638 L
.76709 .35926 L
.76722 .35917 L
.77681 .35258 L
.78233 .34946 L
.78652 .34762 L
.79623 .34419 L
.80594 .34184 L
.81566 .34045 L
.82537 .34014 L
.83508 .34133 L
.84479 .3469 L
.84639 .34946 L
.84938 .35917 L
.84741 .36888 L
.84479 .37601 L
.84317 .37859 L
.84047 .38831 L
.84144 .39802 L
.84479 .40544 L
.84632 .40773 L
.85451 .41543 L
.85871 .41744 L
.86422 .41964 L
.87393 .42228 L
.88364 .4242 L
.89336 .42609 L
.89799 .42716 L
.90307 .4285 L
.91278 .43242 L
.91875 .43687 L
.92249 .44136 L
.92505 .44658 L
.92636 .45629 L
.92426 .46601 L
.92249 .47068 L
.91903 .47572 L
.91278 .48449 L
.91221 .48543 L
.90758 .49514 L
.90758 .50486 L
.91221 .51457 L
.91278 .51551 L
.91903 .52428 L
.92249 .52932 L
.92426 .53399 L
.92636 .54371 L
.92505 .55342 L
.92249 .55864 L
.91875 .56313 L
.91278 .56758 L
.90307 .5715 L
.89799 .57284 L
.89336 .57391 L
.88364 .5758 L
.87393 .57772 L
.86422 .58036 L
.85871 .58256 L
.85451 .58457 L
.84632 .59227 L
.84479 .59456 L
.84144 .60198 L
.84047 .61169 L
.84317 .62141 L
.84479 .62399 L
.84741 .63112 L
.84938 .64083 L
.84639 .65054 L
.84479 .6531 L
.83508 .65867 L
.82537 .65986 L
.81566 .65955 L
.80594 .65816 L
.79623 .65581 L
.78652 .65238 L
.78233 .65054 L
.77681 .64742 L
.76722 .64083 L
.76709 .64074 L
.75738 .63362 L
.75353 .63112 L
.74767 .628 L
.73796 .6239 L
.73058 .62141 L
.72824 .62059 L
.71853 .61728 L
.70882 .61376 L
.70399 .61169 L
.69911 .60937 L
.6902 .60198 L
.68939 .60071 L
.6852 .59227 L
.67968 .58522 L
.67623 .58256 L
.66997 .57781 L
.66026 .57513 L
.65443 .57284 L
.65054 .57121 L
.64083 .5668 L
.63446 .56313 L
.63112 .56046 L
.62464 .55342 L
.62141 .5503 L
.61169 .54433 L
.6102 .54371 L
.60198 .54128 L
.59227 .5394 L
.58256 .5382 L
.57284 .53749 L
.56313 .53722 L
.55342 .5374 L
.54371 .53823 L
.53399 .54058 L
.52991 .54371 L
.53399 .55187 L
.53562 .55342 L
.54371 .56084 L
.54624 .56313 L
.5451 .57284 L
.54371 .57361 L
.53399 .57896 L
.52428 .57948 L
.51457 .58049 L
.50486 .5817 L
.49864 .58256 L
.49514 .58307 L
.48543 .58465 L
.47572 .58668 L
.46601 .58978 L
.46131 .59227 L
.45673 .60198 L
.45629 .60659 L
.45515 .61169 L
.44658 .61891 L
.44127 .62141 L
.43687 .62301 L
.42716 .62597 L
.41744 .62885 L
.41068 .63112 L
.40773 .63167 L
.39802 .63552 L
.39121 .64083 L
.38831 .64372 L
.38334 .65054 L
.37859 .65632 L
.37456 .66026 L
.36888 .66412 L
.35917 .66894 L
.35678 .66997 L
.34946 .67302 L
.33974 .67732 L
.335 .67968 L
.33003 .68234 L
.32032 .68906 L
.3199 .68939 L
.31061 .69772 L
.30904 .69911 L
.30089 .70549 L
.29594 .70882 L
.29118 .71165 L
.28147 .71691 L
.27835 .71853 L
.27176 .72198 L
.26204 .72741 L
.26065 .72824 L
.25233 .7336 L
.24609 .73796 L
.24262 .74046 L
.23291 .7474 L
.23253 .74767 L
.22319 .75373 L
.21712 .75738 L
.21348 .75948 L
.20377 .76493 L
.19985 .76709 L
.19406 .77034 L
.18434 .77592 L
.18285 .77681 L
.17463 .78173 L
.16673 .78652 L
.16492 .7876 L
.15521 .79332 L
.15009 .79623 L
.14549 .79871 L
.13578 .80374 L
.13135 .80594 L
.12607 .80838 L
.11636 .81274 L
.10934 .81566 L
.10664 .81654 L
.09693 .81997 L
.08722 .82299 L
.07751 .81874 L
.07633 .81566 L
.07751 .80836 L
.07825 .80594 L
.08303 .79623 L
.08722 .78972 L
.08942 .78652 L
.09693 .77683 L
.09698 .77681 L
.10509 .76709 L
.10664 .7652 L
.11326 .75738 L
.11636 .75361 L
.12144 .74767 L
.12607 .7423 L
.13015 .73796 L
.13578 .73209 L
.13982 .72824 L
.14549 .72283 L
.15014 .71853 L
.15521 .71365 L
.16007 .70882 L
.16492 .70373 L
.16924 .69911 L
.17463 .69337 L
.17858 .68939 L
.18434 .68398 L
.18943 .67968 L
.19406 .67596 L
.20183 .66997 L
.20377 .66846 L
.21348 .66032 L
.21355 .66026 L
.2231 .65054 L
.22319 .65044 L
.23211 .64083 L
.23291 .64004 L
.24262 .63174 L
.24348 .63112 L
.25233 .62529 L
.25882 .62141 L
.26204 .61956 L
.27176 .61312 L
.27357 .61169 L
.28147 .60405 L
.28319 .60198 L
.29061 .59227 L
.29118 .59158 L
.30079 .58256 L
.30089 .58249 L
.31061 .57702 L
.32032 .57289 L
.32045 .57284 L
.33003 .56948 L
.33974 .56467 L
.34207 .56313 L
.34946 .55663 L
.35132 .55342 L
.35573 .54371 L
.35917 .53622 L
.35982 .53399 L
.36888 .52528 L
.37146 .52428 L
.37859 .52362 L
.38831 .52252 L
.39802 .52155 L
.40773 .52035 L
.41744 .51838 L
.42623 .51457 L
.42716 .51389 L
.4335 .50486 L
.4335 .49514 L
.42716 .48611 L
.42623 .48543 L
.41744 .48162 L
.40773 .47965 L
.39802 .47845 L
.38831 .47748 L
.37859 .47638 L
.37146 .47572 L
.36888 .47472 L
.35982 .46601 L
.35917 .46378 L
.35573 .45629 L
.35132 .44658 L
.34946 .44337 L
.34207 .43687 L
.33974 .43533 L
.33003 .43052 L
.32045 .42716 L
.32032 .42711 L
.31061 .42298 L
.30089 .41751 L
.30079 .41744 L
.29118 .40842 L
.29061 .40773 L
.28319 .39802 L
.28147 .39595 L
.27357 .38831 L
.27176 .38688 L
.26204 .38044 L
.25882 .37859 L
.25233 .37471 L
.24348 .36888 L
.24262 .36826 L
.23291 .35996 L
.23211 .35917 L
.22319 .34956 L
.2231 .34946 L
.21355 .33974 L
.21348 .33968 L
.20377 .33154 L
.20183 .33003 L
.19406 .32404 L
.18943 .32032 L
.18434 .31602 L
.17858 .31061 L
.17463 .30663 L
.16924 .30089 L
.16492 .29627 L
.16007 .29118 L
.15521 .28635 L
.15014 .28147 L
.14549 .27717 L
.13982 .27176 L
.13578 .26791 L
.13015 .26204 L
.12607 .2577 L
.12144 .25233 L
.11636 .24639 L
.11326 .24262 L
.10664 .2348 L
.10509 .23291 L
.09698 .22319 L
.09693 .22317 L
.08942 .21348 L
.08722 .21028 L
.08303 .20377 L
.07825 .19406 L
.07751 .19164 L
.07633 .18434 L
F
0 .01 .1 r
.93967 .98077 m
.93221 .97381 L
.92926 .97106 L
.92249 .96474 L
.91887 .96134 L
.91278 .95563 L
.90854 .95163 L
.90307 .94647 L
.89824 .94192 L
.89336 .93734 L
.88787 .93221 L
.88364 .92828 L
.87739 .92249 L
.87393 .91928 L
.86695 .91278 L
.86422 .91021 L
.8567 .90307 L
.85451 .90097 L
.84658 .89336 L
.84479 .89166 L
.83624 .88364 L
.83508 .88258 L
.82554 .87393 L
.82537 .87378 L
.81566 .86494 L
.81487 .86422 L
.80594 .85562 L
.80482 .85451 L
.79623 .84583 L
.79521 .84479 L
.78652 .83644 L
.78503 .83508 L
.77681 .82793 L
.77371 .82537 L
.76709 .81981 L
.7623 .81566 L
.75738 .81093 L
.75262 .80594 L
.74767 .8002 L
.74439 .79623 L
.73796 .78944 L
.73481 .78652 L
.72824 .78111 L
.72199 .77681 L
.71853 .77442 L
.70882 .76741 L
.70844 .76709 L
.69948 .75738 L
.69911 .75672 L
.69453 .74767 L
.68939 .74021 L
.6865 .73796 L
.67968 .73229 L
.67041 .72824 L
.66997 .72804 L
.66026 .72381 L
.65147 .71853 L
.65054 .71784 L
.64418 .70882 L
.64615 .69911 L
.64123 .68939 L
.64083 .68914 L
.63112 .68429 L
.62141 .68073 L
.61815 .67968 L
.61169 .67912 L
.60198 .6752 L
.59227 .67247 L
.58472 .66997 L
.58256 .66867 L
.58243 .66026 L
.58256 .66019 L
.59227 .65517 L
.59969 .65054 L
.60141 .64083 L
.59227 .63687 L
.58256 .63412 L
.57284 .63201 L
.56836 .63112 L
.56313 .63041 L
.55342 .62941 L
.54371 .62932 L
.53399 .63027 L
.52758 .63112 L
.52428 .63178 L
.51457 .63169 L
.50486 .63253 L
.49514 .63385 L
.48543 .63586 L
.47572 .63882 L
.47063 .64083 L
.46601 .64235 L
.45629 .64798 L
.45472 .65054 L
.45629 .65612 L
.45971 .66026 L
.46319 .66997 L
.45629 .67459 L
.44658 .67847 L
.44297 .67968 L
.43687 .68003 L
.42716 .6826 L
.41744 .68808 L
.41563 .68939 L
.40773 .6951 L
.40484 .69911 L
.40388 .70882 L
.39868 .71853 L
.39802 .71921 L
.38831 .72505 L
.38152 .72824 L
.37859 .72898 L
.36888 .73389 L
.36379 .73796 L
.35917 .74188 L
.35422 .74767 L
.34946 .75609 L
.34872 .75738 L
.33975 .76709 L
.33974 .7671 L
.33003 .77386 L
.32565 .77681 L
.32032 .78003 L
.31223 .78652 L
.31061 .78789 L
.30251 .79623 L
.30089 .79822 L
.29415 .80594 L
.29118 .80898 L
.2839 .81566 L
.28147 .81762 L
.27177 .82537 L
.27176 .82538 L
.26204 .83339 L
.26017 .83508 L
.25233 .84254 L
.25006 .84479 L
.24262 .85227 L
.24031 .85451 L
.23291 .86139 L
.22976 .86422 L
.22319 .86991 L
.21858 .87393 L
.21348 .8784 L
.20769 .88364 L
.20377 .88728 L
.19732 .89336 L
.19406 .89646 L
.18704 .90307 L
.18434 .90557 L
.17646 .91278 L
.17463 .91443 L
.16571 .92249 L
.16492 .9232 L
.15521 .93207 L
.15506 .93221 L
.14549 .94108 L
.14459 .94192 L
.13578 .95011 L
.13414 .95163 L
.12607 .95907 L
.12359 .96134 L
.11636 .96796 L
.11299 .97106 L
.10664 .9769 L
.10243 .98077 L
F
.93967 .01923 m
.93221 .02619 L
.92926 .02894 L
.92249 .03526 L
.91887 .03866 L
.91278 .04437 L
.90854 .04837 L
.90307 .05353 L
.89824 .05808 L
.89336 .06266 L
.88787 .06779 L
.88364 .07172 L
.87739 .07751 L
.87393 .08072 L
.86695 .08722 L
.86422 .08979 L
.8567 .09693 L
.85451 .09903 L
.84658 .10664 L
.84479 .10834 L
.83624 .11636 L
.83508 .11742 L
.82554 .12607 L
.82537 .12622 L
.81566 .13506 L
.81487 .13578 L
.80594 .14438 L
.80482 .14549 L
.79623 .15417 L
.79521 .15521 L
.78652 .16356 L
.78503 .16492 L
.77681 .17207 L
.77371 .17463 L
.76709 .18019 L
.7623 .18434 L
.75738 .18907 L
.75262 .19406 L
.74767 .1998 L
.74439 .20377 L
.73796 .21056 L
.73481 .21348 L
.72824 .21889 L
.72199 .22319 L
.71853 .22558 L
.70882 .23259 L
.70844 .23291 L
.69948 .24262 L
.69911 .24328 L
.69453 .25233 L
.68939 .25979 L
.6865 .26204 L
.67968 .26771 L
.67041 .27176 L
.66997 .27196 L
.66026 .27619 L
.65147 .28147 L
.65054 .28216 L
.64418 .29118 L
.64615 .30089 L
.64123 .31061 L
.64083 .31086 L
.63112 .31571 L
.62141 .31927 L
.61815 .32032 L
.61169 .32088 L
.60198 .3248 L
.59227 .32753 L
.58472 .33003 L
.58256 .33133 L
.58243 .33974 L
.58256 .33981 L
.59227 .34483 L
.59969 .34946 L
.60141 .35917 L
.59227 .36313 L
.58256 .36588 L
.57284 .36799 L
.56836 .36888 L
.56313 .36959 L
.55342 .37059 L
.54371 .37068 L
.53399 .36973 L
.52758 .36888 L
.52428 .36822 L
.51457 .36831 L
.50486 .36747 L
.49514 .36615 L
.48543 .36414 L
.47572 .36118 L
.47063 .35917 L
.46601 .35765 L
.45629 .35202 L
.45472 .34946 L
.45629 .34388 L
.45971 .33974 L
.46319 .33003 L
.45629 .32541 L
.44658 .32153 L
.44297 .32032 L
.43687 .31997 L
.42716 .3174 L
.41744 .31192 L
.41563 .31061 L
.40773 .3049 L
.40484 .30089 L
.40388 .29118 L
.39868 .28147 L
.39802 .28079 L
.38831 .27495 L
.38152 .27176 L
.37859 .27102 L
.36888 .26611 L
.36379 .26204 L
.35917 .25812 L
.35422 .25233 L
.34946 .24391 L
.34872 .24262 L
.33975 .23291 L
.33974 .2329 L
.33003 .22614 L
.32565 .22319 L
.32032 .21997 L
.31223 .21348 L
.31061 .21211 L
.30251 .20377 L
.30089 .20178 L
.29415 .19406 L
.29118 .19102 L
.2839 .18434 L
.28147 .18238 L
.27177 .17463 L
.27176 .17462 L
.26204 .16661 L
.26017 .16492 L
.25233 .15746 L
.25006 .15521 L
.24262 .14773 L
.24031 .14549 L
.23291 .13861 L
.22976 .13578 L
.22319 .13009 L
.21858 .12607 L
.21348 .1216 L
.20769 .11636 L
.20377 .11272 L
.19732 .10664 L
.19406 .10354 L
.18704 .09693 L
.18434 .09443 L
.17646 .08722 L
.17463 .08557 L
.16571 .07751 L
.16492 .0768 L
.15521 .06793 L
.15506 .06779 L
.14549 .05892 L
.14459 .05808 L
.13578 .04989 L
.13414 .04837 L
.12607 .04093 L
.12359 .03866 L
.11636 .03204 L
.11299 .02894 L
.10664 .0231 L
.10243 .01923 L
F
0 .43 .202 r
.12607 .20915 m
.13578 .21211 L
.13974 .21348 L
.14549 .2155 L
.15521 .21977 L
.16291 .22319 L
.16492 .22431 L
.17463 .22892 L
.18298 .23291 L
.18434 .23358 L
.19406 .23824 L
.20273 .24262 L
.20377 .24316 L
.21348 .24844 L
.22002 .25233 L
.22319 .25437 L
.23291 .26086 L
.23466 .26204 L
.24262 .26732 L
.24981 .27176 L
.25233 .2732 L
.26204 .2784 L
.26816 .28147 L
.27176 .28324 L
.28147 .28819 L
.28686 .29118 L
.29118 .29382 L
.30089 .30082 L
.30098 .30089 L
.31061 .30923 L
.31223 .31061 L
.32032 .31641 L
.32716 .32032 L
.33003 .32179 L
.33974 .32618 L
.34919 .33003 L
.34946 .33014 L
.35917 .33442 L
.36816 .33974 L
.36888 .3403 L
.3778 .34946 L
.37859 .35059 L
.38565 .35917 L
.38831 .36156 L
.39802 .36721 L
.40421 .36888 L
.40773 .37014 L
.41744 .37317 L
.42716 .37597 L
.43525 .37859 L
.43687 .37889 L
.44658 .38437 L
.45072 .38831 L
.45303 .39802 L
.45629 .40681 L
.45723 .40773 L
.46601 .41203 L
.47572 .41467 L
.48543 .41652 L
.4912 .41744 L
.49514 .41804 L
.50486 .41937 L
.51457 .42058 L
.52428 .42172 L
.53399 .42321 L
.53993 .42716 L
.54304 .43687 L
.53399 .44587 L
.53334 .44658 L
.52744 .45629 L
.53399 .46068 L
.54371 .46251 L
.55342 .4632 L
.56313 .46333 L
.57284 .46304 L
.58256 .46237 L
.59227 .46124 L
.60198 .4595 L
.61169 .45681 L
.61312 .45629 L
.62141 .45191 L
.62781 .44658 L
.63112 .44316 L
.63925 .43687 L
.64083 .43599 L
.65054 .43156 L
.66026 .42773 L
.66174 .42716 L
.66997 .42568 L
.67968 .42096 L
.68439 .41744 L
.68939 .41345 L
.69382 .40773 L
.69911 .39982 L
.70056 .39802 L
.70882 .39215 L
.71797 .38831 L
.71853 .3881 L
.72824 .38489 L
.73796 .38208 L
.74767 .37933 L
.75013 .37859 L
.75738 .37656 L
.76709 .37341 L
.77681 .36977 L
.77812 .36888 L
.78652 .36564 L
.79623 .3621 L
.80594 .36059 L
.81566 .36435 L
.81774 .36888 L
.81849 .37859 L
.82058 .38831 L
.82395 .39802 L
.82537 .4019 L
.82788 .40773 L
.83269 .41744 L
.83508 .42102 L
.8417 .42716 L
.84479 .42891 L
.85451 .43233 L
.86422 .43446 L
.87393 .43645 L
.87573 .43687 L
.88364 .43861 L
.89336 .44246 L
.89767 .44658 L
.90224 .45629 L
.89996 .46601 L
.89426 .47572 L
.89336 .47712 L
.88906 .48543 L
.88643 .49514 L
.88643 .50486 L
.88906 .51457 L
.89336 .52288 L
.89426 .52428 L
.89996 .53399 L
.90224 .54371 L
.89767 .55342 L
.89336 .55754 L
.88364 .56139 L
.87573 .56313 L
.87393 .56355 L
.86422 .56554 L
.85451 .56767 L
.84479 .57109 L
.8417 .57284 L
.83508 .57898 L
.83269 .58256 L
.82788 .59227 L
.82537 .5981 L
.82395 .60198 L
.82058 .61169 L
.81849 .62141 L
.81774 .63112 L
.81566 .63565 L
.80594 .63941 L
.79623 .6379 L
.78652 .63436 L
.77812 .63112 L
.77681 .63023 L
.76709 .62659 L
.75738 .62344 L
.75013 .62141 L
.74767 .62067 L
.73796 .61792 L
.72824 .61511 L
.71853 .6119 L
.71797 .61169 L
.70882 .60785 L
.70056 .60198 L
.69911 .60018 L
.69382 .59227 L
.68939 .58655 L
.68439 .58256 L
.67968 .57904 L
.66997 .57432 L
.66174 .57284 L
.66026 .57227 L
.65054 .56844 L
.64083 .56401 L
.63925 .56313 L
.63112 .55684 L
.62781 .55342 L
.62141 .54809 L
.61312 .54371 L
.61169 .54319 L
.60198 .5405 L
.59227 .53876 L
.58256 .53763 L
.57284 .53696 L
.56313 .53667 L
.55342 .5368 L
.54371 .53749 L
.53399 .53932 L
.52744 .54371 L
.53334 .55342 L
.53399 .55413 L
.54304 .56313 L
.53993 .57284 L
.53399 .57679 L
.52428 .57828 L
.51457 .57942 L
.50486 .58063 L
.49514 .58196 L
.4912 .58256 L
.48543 .58348 L
.47572 .58533 L
.46601 .58797 L
.45723 .59227 L
.45629 .59319 L
.45303 .60198 L
.45072 .61169 L
.44658 .61563 L
.43687 .62111 L
.43525 .62141 L
.42716 .62403 L
.41744 .62683 L
.40773 .62986 L
.40421 .63112 L
.39802 .63279 L
.38831 .63844 L
.38565 .64083 L
.37859 .64941 L
.3778 .65054 L
.36888 .6597 L
.36816 .66026 L
.35917 .66558 L
.34946 .66986 L
.34919 .66997 L
.33974 .67382 L
.33003 .67821 L
.32716 .67968 L
.32032 .68359 L
.31223 .68939 L
.31061 .69077 L
.30098 .69911 L
.30089 .69918 L
.29118 .70618 L
.28686 .70882 L
.28147 .71181 L
.27176 .71676 L
.26816 .71853 L
.26204 .7216 L
.25233 .7268 L
.24981 .72824 L
.24262 .73268 L
.23466 .73796 L
.23291 .73914 L
.22319 .74563 L
.22002 .74767 L
.21348 .75156 L
.20377 .75684 L
.20273 .75738 L
.19406 .76176 L
.18434 .76642 L
.18298 .76709 L
.17463 .77108 L
.16492 .77569 L
.16291 .77681 L
.15521 .78023 L
.14549 .7845 L
.13974 .78652 L
.13578 .78789 L
.12607 .79085 L
.11702 .78652 L
.11756 .77681 L
.12252 .76709 L
.12607 .76105 L
.12825 .75738 L
.13473 .74767 L
.13578 .74608 L
.14236 .73796 L
.14549 .73419 L
.15137 .72824 L
.15521 .72425 L
.16099 .71853 L
.16492 .71437 L
.17 .70882 L
.17463 .70341 L
.17833 .69911 L
.18434 .69233 L
.18725 .68939 L
.19406 .68295 L
.19804 .67968 L
.20377 .67503 L
.21021 .66997 L
.21348 .66727 L
.22119 .66026 L
.22319 .65819 L
.23001 .65054 L
.23291 .6472 L
.23882 .64083 L
.24262 .63725 L
.25054 .63112 L
.25233 .62989 L
.26204 .62379 L
.26602 .62141 L
.27176 .61784 L
.27978 .61169 L
.28147 .61012 L
.2885 .60198 L
.29118 .59834 L
.29588 .59227 L
.30089 .58712 L
.30701 .58256 L
.31061 .58044 L
.32032 .57583 L
.32765 .57284 L
.33003 .57201 L
.33974 .56795 L
.34717 .56313 L
.34946 .56157 L
.3552 .55342 L
.35917 .54462 L
.35957 .54371 L
.36553 .53399 L
.36888 .53165 L
.37859 .52638 L
.3874 .52428 L
.38831 .52417 L
.39802 .52306 L
.40773 .52185 L
.41744 .52017 L
.42716 .51662 L
.43 .51457 L
.4357 .50486 L
.4357 .49514 L
.43 .48543 L
.42716 .48338 L
.41744 .47983 L
.40773 .47815 L
.39802 .47694 L
.38831 .47583 L
.3874 .47572 L
.37859 .47362 L
.36888 .46835 L
.36553 .46601 L
.35957 .45629 L
.35917 .45538 L
.3552 .44658 L
.34946 .43843 L
.34717 .43687 L
.33974 .43205 L
.33003 .42799 L
.32765 .42716 L
.32032 .42417 L
.31061 .41956 L
.30701 .41744 L
.30089 .41288 L
.29588 .40773 L
.29118 .40166 L
.2885 .39802 L
.28147 .38988 L
.27978 .38831 L
.27176 .38216 L
.26602 .37859 L
.26204 .37621 L
.25233 .37011 L
.25054 .36888 L
.24262 .36275 L
.23882 .35917 L
.23291 .3528 L
.23001 .34946 L
.22319 .34181 L
.22119 .33974 L
.21348 .33273 L
.21021 .33003 L
.20377 .32497 L
.19804 .32032 L
.19406 .31705 L
.18725 .31061 L
.18434 .30767 L
.17833 .30089 L
.17463 .29659 L
.17 .29118 L
.16492 .28563 L
.16099 .28147 L
.15521 .27575 L
.15137 .27176 L
.14549 .26581 L
.14236 .26204 L
.13578 .25392 L
.13473 .25233 L
.12825 .24262 L
.12607 .23895 L
.12252 .23291 L
.11756 .22319 L
.11702 .21348 L
F
0 .46 .156 r
.15521 .23956 m
.16492 .23857 L
.17463 .24095 L
.17994 .24262 L
.18434 .24387 L
.19406 .24773 L
.20363 .25233 L
.20377 .25241 L
.21348 .25769 L
.22084 .26204 L
.22319 .26354 L
.23291 .26936 L
.23718 .27176 L
.24262 .27464 L
.25233 .27942 L
.25674 .28147 L
.26204 .28388 L
.27176 .28848 L
.27705 .29118 L
.28147 .2936 L
.29118 .29995 L
.29247 .30089 L
.30089 .30786 L
.30422 .31061 L
.31061 .31528 L
.31904 .32032 L
.32032 .32098 L
.33003 .32547 L
.33974 .32937 L
.34143 .33003 L
.34946 .33329 L
.35917 .33815 L
.3617 .33974 L
.36888 .34576 L
.37226 .34946 L
.37859 .35763 L
.38011 .35917 L
.38831 .36537 L
.39783 .36888 L
.39802 .36895 L
.40773 .37225 L
.41744 .37504 L
.42716 .37788 L
.42932 .37859 L
.43687 .38039 L
.44638 .38831 L
.44658 .38862 L
.44941 .39802 L
.45326 .40773 L
.45629 .40978 L
.46601 .4136 L
.47572 .4159 L
.48434 .41744 L
.48543 .41763 L
.49514 .4191 L
.50486 .42039 L
.51457 .42165 L
.52428 .42307 L
.53399 .42633 L
.53503 .42716 L
.53996 .43687 L
.53399 .44341 L
.5311 .44658 L
.52508 .45629 L
.53399 .46171 L
.54371 .46319 L
.55342 .46376 L
.56313 .46384 L
.57284 .46355 L
.58256 .4629 L
.59227 .46184 L
.60198 .46023 L
.61169 .45778 L
.616 .45629 L
.62141 .45366 L
.63096 .44658 L
.63112 .44642 L
.64083 .43877 L
.64404 .43687 L
.65054 .434 L
.66026 .43036 L
.66925 .42716 L
.66997 .42709 L
.67968 .4249 L
.68939 .41998 L
.69291 .41744 L
.69911 .41199 L
.7029 .40773 L
.70882 .40085 L
.71181 .39802 L
.71853 .39401 L
.72824 .39028 L
.73539 .38831 L
.73796 .38767 L
.74767 .38554 L
.75738 .38385 L
.76709 .38263 L
.77681 .38213 L
.78652 .38296 L
.79623 .38637 L
.79936 .38831 L
.80594 .39483 L
.80819 .39802 L
.81289 .40773 L
.81515 .41744 L
.81541 .42716 L
.81566 .43683 L
.81567 .43687 L
.82537 .44618 L
.82657 .44658 L
.83508 .44859 L
.84479 .44994 L
.85451 .45145 L
.86422 .45413 L
.86793 .45629 L
.8733 .46601 L
.87284 .47572 L
.87189 .48543 L
.87142 .49514 L
.87142 .50486 L
.87189 .51457 L
.87284 .52428 L
.8733 .53399 L
.86793 .54371 L
.86422 .54587 L
.85451 .54855 L
.84479 .55006 L
.83508 .55141 L
.82657 .55342 L
.82537 .55382 L
.81567 .56313 L
.81566 .56317 L
.81541 .57284 L
.81515 .58256 L
.81289 .59227 L
.80819 .60198 L
.80594 .60517 L
.79936 .61169 L
.79623 .61363 L
.78652 .61704 L
.77681 .61787 L
.76709 .61737 L
.75738 .61615 L
.74767 .61446 L
.73796 .61233 L
.73539 .61169 L
.72824 .60972 L
.71853 .60599 L
.71181 .60198 L
.70882 .59915 L
.7029 .59227 L
.69911 .58801 L
.69291 .58256 L
.68939 .58002 L
.67968 .5751 L
.66997 .57291 L
.66925 .57284 L
.66026 .56964 L
.65054 .566 L
.64404 .56313 L
.64083 .56123 L
.63112 .55358 L
.63096 .55342 L
.62141 .54634 L
.616 .54371 L
.61169 .54222 L
.60198 .53977 L
.59227 .53816 L
.58256 .5371 L
.57284 .53645 L
.56313 .53616 L
.55342 .53624 L
.54371 .53681 L
.53399 .53829 L
.52508 .54371 L
.5311 .55342 L
.53399 .55659 L
.53996 .56313 L
.53503 .57284 L
.53399 .57367 L
.52428 .57693 L
.51457 .57835 L
.50486 .57961 L
.49514 .5809 L
.48543 .58237 L
.48434 .58256 L
.47572 .5841 L
.46601 .5864 L
.45629 .59022 L
.45326 .59227 L
.44941 .60198 L
.44658 .61138 L
.44638 .61169 L
.43687 .61961 L
.42932 .62141 L
.42716 .62212 L
.41744 .62496 L
.40773 .62775 L
.39802 .63105 L
.39783 .63112 L
.38831 .63463 L
.38011 .64083 L
.37859 .64237 L
.37226 .65054 L
.36888 .65424 L
.3617 .66026 L
.35917 .66185 L
.34946 .66671 L
.34143 .66997 L
.33974 .67063 L
.33003 .67453 L
.32032 .67902 L
.31904 .67968 L
.31061 .68472 L
.30422 .68939 L
.30089 .69214 L
.29247 .69911 L
.29118 .70005 L
.28147 .7064 L
.27705 .70882 L
.27176 .71152 L
.26204 .71612 L
.25674 .71853 L
.25233 .72058 L
.24262 .72536 L
.23718 .72824 L
.23291 .73064 L
.22319 .73646 L
.22084 .73796 L
.21348 .74231 L
.20377 .74759 L
.20363 .74767 L
.19406 .75227 L
.18434 .75613 L
.17994 .75738 L
.17463 .75905 L
.16492 .76143 L
.15521 .76044 L
.15018 .75738 L
.15152 .74767 L
.15521 .74052 L
.15679 .73796 L
.16454 .72824 L
.16492 .72776 L
.17286 .71853 L
.17463 .71629 L
.18041 .70882 L
.18434 .70334 L
.18762 .69911 L
.19406 .69122 L
.19602 .68939 L
.20377 .68193 L
.20668 .67968 L
.21348 .67405 L
.2185 .66997 L
.22319 .66573 L
.22858 .66026 L
.23291 .65518 L
.23662 .65054 L
.24262 .64347 L
.24522 .64083 L
.25233 .63455 L
.25727 .63112 L
.26204 .62799 L
.27176 .62204 L
.27278 .62141 L
.28147 .61532 L
.28552 .61169 L
.29118 .60503 L
.2934 .60198 L
.30075 .59227 L
.30089 .5921 L
.31061 .5838 L
.31272 .58256 L
.32032 .57862 L
.33003 .57448 L
.33402 .57284 L
.33974 .57062 L
.34946 .56505 L
.35169 .56313 L
.35866 .55342 L
.35917 .55236 L
.36319 .54371 L
.36888 .53555 L
.37054 .53399 L
.37859 .52936 L
.38831 .52625 L
.39796 .52428 L
.39802 .52427 L
.40773 .52308 L
.41744 .52161 L
.42716 .51896 L
.43338 .51457 L
.43687 .50908 L
.43773 .50486 L
.43773 .49514 L
.43687 .49092 L
.43338 .48543 L
.42716 .48104 L
.41744 .47839 L
.40773 .47692 L
.39802 .47573 L
.39796 .47572 L
.38831 .47375 L
.37859 .47064 L
.37054 .46601 L
.36888 .46445 L
.36319 .45629 L
.35917 .44764 L
.35866 .44658 L
.35169 .43687 L
.34946 .43495 L
.33974 .42938 L
.33402 .42716 L
.33003 .42552 L
.32032 .42138 L
.31272 .41744 L
.31061 .4162 L
.30089 .4079 L
.30075 .40773 L
.2934 .39802 L
.29118 .39497 L
.28552 .38831 L
.28147 .38468 L
.27278 .37859 L
.27176 .37796 L
.26204 .37201 L
.25727 .36888 L
.25233 .36545 L
.24522 .35917 L
.24262 .35653 L
.23662 .34946 L
.23291 .34482 L
.22858 .33974 L
.22319 .33427 L
.2185 .33003 L
.21348 .32595 L
.20668 .32032 L
.20377 .31807 L
.19602 .31061 L
.19406 .30878 L
.18762 .30089 L
.18434 .29666 L
.18041 .29118 L
.17463 .28371 L
.17286 .28147 L
.16492 .27224 L
.16454 .27176 L
.15679 .26204 L
.15521 .25948 L
.15152 .25233 L
.15018 .24262 L
F
0 .49 .103 r
.18434 .26261 m
.19406 .26239 L
.20377 .26529 L
.21348 .26948 L
.21956 .27176 L
.22319 .27366 L
.23291 .2777 L
.24227 .28147 L
.24262 .28162 L
.25233 .28539 L
.26204 .28951 L
.26572 .29118 L
.27176 .29405 L
.28147 .29982 L
.28306 .30089 L
.29118 .30716 L
.29554 .31061 L
.30089 .31454 L
.31035 .32032 L
.31061 .32046 L
.32032 .32497 L
.33003 .32881 L
.33329 .33003 L
.33974 .33247 L
.34946 .33667 L
.35507 .33974 L
.35917 .34247 L
.36663 .34946 L
.36888 .35226 L
.37453 .35917 L
.37859 .36271 L
.38831 .36795 L
.39144 .36888 L
.39802 .37126 L
.40773 .37416 L
.41744 .37683 L
.42339 .37859 L
.42716 .37947 L
.43687 .38294 L
.44208 .38831 L
.44584 .39802 L
.44658 .40247 L
.44938 .40773 L
.45629 .4119 L
.46601 .41501 L
.47572 .41706 L
.47788 .41744 L
.48543 .41871 L
.49514 .4201 L
.50486 .42138 L
.51457 .42274 L
.52428 .42464 L
.53032 .42716 L
.53399 .42926 L
.53703 .43687 L
.53399 .44078 L
.52894 .44658 L
.52428 .45204 L
.52278 .45629 L
.52428 .45881 L
.53399 .4626 L
.54371 .46382 L
.55342 .46429 L
.56313 .46433 L
.57284 .46404 L
.58256 .46342 L
.59227 .46242 L
.60198 .46091 L
.61169 .45867 L
.61883 .45629 L
.62141 .45512 L
.63112 .44908 L
.63413 .44658 L
.64083 .44148 L
.64894 .43687 L
.65054 .4362 L
.66026 .43266 L
.66997 .4295 L
.67722 .42716 L
.67968 .42684 L
.68939 .42433 L
.69911 .41954 L
.70223 .41744 L
.70882 .41183 L
.71303 .40773 L
.71853 .40275 L
.72541 .39802 L
.72824 .39671 L
.73796 .39341 L
.74767 .39141 L
.75738 .39033 L
.76709 .39017 L
.77681 .39127 L
.78652 .39465 L
.79142 .39802 L
.79623 .40338 L
.7986 .40773 L
.7999 .41744 L
.79715 .42716 L
.79623 .42949 L
.79418 .43687 L
.79623 .44554 L
.79685 .44658 L
.80594 .45417 L
.81009 .45629 L
.81566 .45857 L
.82537 .46153 L
.83508 .46427 L
.83992 .46601 L
.84479 .46832 L
.85318 .47572 L
.85451 .47758 L
.8575 .48543 L
.85904 .49514 L
.85904 .50486 L
.8575 .51457 L
.85451 .52242 L
.85318 .52428 L
.84479 .53168 L
.83992 .53399 L
.83508 .53573 L
.82537 .53847 L
.81566 .54143 L
.81009 .54371 L
.80594 .54583 L
.79685 .55342 L
.79623 .55446 L
.79418 .56313 L
.79623 .57051 L
.79715 .57284 L
.7999 .58256 L
.7986 .59227 L
.79623 .59662 L
.79142 .60198 L
.78652 .60535 L
.77681 .60873 L
.76709 .60983 L
.75738 .60967 L
.74767 .60859 L
.73796 .60659 L
.72824 .60329 L
.72541 .60198 L
.71853 .59725 L
.71303 .59227 L
.70882 .58817 L
.70223 .58256 L
.69911 .58046 L
.68939 .57567 L
.67968 .57316 L
.67722 .57284 L
.66997 .5705 L
.66026 .56734 L
.65054 .5638 L
.64894 .56313 L
.64083 .55852 L
.63413 .55342 L
.63112 .55092 L
.62141 .54488 L
.61883 .54371 L
.61169 .54133 L
.60198 .53909 L
.59227 .53758 L
.58256 .53658 L
.57284 .53596 L
.56313 .53567 L
.55342 .53571 L
.54371 .53618 L
.53399 .5374 L
.52428 .54119 L
.52278 .54371 L
.52428 .54796 L
.52894 .55342 L
.53399 .55922 L
.53703 .56313 L
.53399 .57074 L
.53032 .57284 L
.52428 .57536 L
.51457 .57726 L
.50486 .57862 L
.49514 .5799 L
.48543 .58129 L
.47788 .58256 L
.47572 .58294 L
.46601 .58499 L
.45629 .5881 L
.44938 .59227 L
.44658 .59753 L
.44584 .60198 L
.44208 .61169 L
.43687 .61706 L
.42716 .62053 L
.42339 .62141 L
.41744 .62317 L
.40773 .62584 L
.39802 .62874 L
.39144 .63112 L
.38831 .63205 L
.37859 .63729 L
.37453 .64083 L
.36888 .64774 L
.36663 .65054 L
.35917 .65753 L
.35507 .66026 L
.34946 .66333 L
.33974 .66753 L
.33329 .66997 L
.33003 .67119 L
.32032 .67503 L
.31061 .67954 L
.31035 .67968 L
.30089 .68546 L
.29554 .68939 L
.29118 .69284 L
.28306 .69911 L
.28147 .70018 L
.27176 .70595 L
.26572 .70882 L
.26204 .71049 L
.25233 .71461 L
.24262 .71838 L
.24227 .71853 L
.23291 .7223 L
.22319 .72634 L
.21956 .72824 L
.21348 .73052 L
.20377 .73471 L
.19406 .73761 L
.18434 .73739 L
.18322 .72824 L
.18434 .72569 L
.18748 .71853 L
.1922 .70882 L
.19406 .7041 L
.19762 .69911 L
.20377 .6911 L
.20528 .68939 L
.21348 .68115 L
.21573 .67968 L
.22319 .67324 L
.227 .66997 L
.23291 .66387 L
.23594 .66026 L
.24262 .6512 L
.2431 .65054 L
.2515 .64083 L
.25233 .64 L
.26204 .63222 L
.26387 .63112 L
.27176 .62611 L
.27931 .62141 L
.28147 .61994 L
.29094 .61169 L
.29118 .61142 L
.29804 .60198 L
.30089 .59784 L
.30538 .59227 L
.31061 .58733 L
.31813 .58256 L
.32032 .58139 L
.33003 .57695 L
.33974 .5729 L
.33987 .57284 L
.34946 .56833 L
.35583 .56313 L
.35917 .55866 L
.36193 .55342 L
.36651 .54371 L
.36888 .54006 L
.37519 .53399 L
.37859 .53202 L
.38831 .52822 L
.39802 .52587 L
.40631 .52428 L
.40773 .5241 L
.41744 .52279 L
.42716 .52079 L
.43626 .51457 L
.43687 .5138 L
.43976 .50486 L
.43976 .49514 L
.43687 .4862 L
.43626 .48543 L
.42716 .47921 L
.41744 .47721 L
.40773 .4759 L
.40631 .47572 L
.39802 .47413 L
.38831 .47178 L
.37859 .46798 L
.37519 .46601 L
.36888 .45994 L
.36651 .45629 L
.36193 .44658 L
.35917 .44134 L
.35583 .43687 L
.34946 .43167 L
.33987 .42716 L
.33974 .4271 L
.33003 .42305 L
.32032 .41861 L
.31813 .41744 L
.31061 .41267 L
.30538 .40773 L
.30089 .40216 L
.29804 .39802 L
.29118 .38858 L
.29094 .38831 L
.28147 .38006 L
.27931 .37859 L
.27176 .37389 L
.26387 .36888 L
.26204 .36778 L
.25233 .36 L
.2515 .35917 L
.2431 .34946 L
.24262 .3488 L
.23594 .33974 L
.23291 .33613 L
.227 .33003 L
.22319 .32676 L
.21573 .32032 L
.21348 .31885 L
.20528 .31061 L
.20377 .3089 L
.19762 .30089 L
.19406 .2959 L
.1922 .29118 L
.18748 .28147 L
.18434 .27431 L
.18322 .27176 L
F
0 .188 .25 r
.19406 .4884 m
.20377 .48704 L
.21348 .4876 L
.22319 .48976 L
.23201 .49514 L
.23201 .50486 L
.22319 .51024 L
.21348 .5124 L
.20377 .51296 L
.19406 .5116 L
.1866 .50486 L
.1866 .49514 L
F
0 .52 .042 r
.21348 .28533 m
.22319 .284 L
.23291 .28597 L
.24262 .28866 L
.25069 .29118 L
.25233 .29174 L
.26204 .29556 L
.27176 .30087 L
.27179 .30089 L
.28147 .3076 L
.28556 .31061 L
.29118 .31467 L
.30054 .32032 L
.30089 .3205 L
.31061 .32488 L
.32032 .32858 L
.32443 .33003 L
.33003 .33198 L
.33974 .33571 L
.3481 .33974 L
.34946 .34043 L
.35917 .34776 L
.36083 .34946 L
.3688 .35917 L
.36888 .35925 L
.37859 .36638 L
.38494 .36888 L
.38831 .37019 L
.39802 .37331 L
.40773 .37595 L
.41739 .37859 L
.41744 .37861 L
.42716 .38113 L
.43687 .38712 L
.4378 .38831 L
.4423 .39802 L
.44556 .40773 L
.44658 .40867 L
.45629 .41368 L
.46601 .4163 L
.47172 .41744 L
.47572 .41819 L
.48543 .41972 L
.49514 .42105 L
.50486 .42236 L
.51457 .42388 L
.52428 .42648 L
.52575 .42716 L
.53399 .43383 L
.53422 .43687 L
.53399 .43729 L
.52683 .44658 L
.52428 .44936 L
.52052 .45629 L
.52428 .46071 L
.53399 .4634 L
.54371 .46441 L
.55342 .4648 L
.56313 .46481 L
.57284 .46451 L
.58256 .46391 L
.59227 .46296 L
.60198 .46156 L
.61169 .4595 L
.62141 .45642 L
.62164 .45629 L
.63112 .4513 L
.63734 .44658 L
.64083 .44405 L
.65054 .43845 L
.65402 .43687 L
.66026 .43472 L
.66997 .43178 L
.67968 .42902 L
.68613 .42716 L
.68939 .42668 L
.69911 .42421 L
.70882 .42005 L
.71326 .41744 L
.71853 .41393 L
.72576 .40773 L
.72824 .40607 L
.73796 .401 L
.74767 .39849 L
.75281 .39802 L
.75738 .39784 L
.76163 .39802 L
.76709 .39878 L
.77681 .40238 L
.7828 .40773 L
.7845 .41744 L
.78128 .42716 L
.77982 .43687 L
.78328 .44658 L
.78652 .45085 L
.79231 .45629 L
.79623 .45915 L
.80594 .46396 L
.8119 .46601 L
.81566 .46739 L
.82537 .47106 L
.83468 .47572 L
.83508 .47595 L
.84449 .48543 L
.84479 .48597 L
.84796 .49514 L
.84796 .50486 L
.84479 .51403 L
.84449 .51457 L
.83508 .52405 L
.83468 .52428 L
.82537 .52894 L
.81566 .53261 L
.8119 .53399 L
.80594 .53604 L
.79623 .54085 L
.79231 .54371 L
.78652 .54915 L
.78328 .55342 L
.77982 .56313 L
.78128 .57284 L
.7845 .58256 L
.7828 .59227 L
.77681 .59762 L
.76709 .60122 L
.76163 .60198 L
.75738 .60216 L
.75281 .60198 L
.74767 .60151 L
.73796 .599 L
.72824 .59393 L
.72576 .59227 L
.71853 .58607 L
.71326 .58256 L
.70882 .57995 L
.69911 .57579 L
.68939 .57332 L
.68613 .57284 L
.67968 .57098 L
.66997 .56822 L
.66026 .56528 L
.65402 .56313 L
.65054 .56155 L
.64083 .55595 L
.63734 .55342 L
.63112 .5487 L
.62164 .54371 L
.62141 .54358 L
.61169 .5405 L
.60198 .53844 L
.59227 .53704 L
.58256 .53609 L
.57284 .53549 L
.56313 .53519 L
.55342 .5352 L
.54371 .53559 L
.53399 .5366 L
.52428 .53929 L
.52052 .54371 L
.52428 .55064 L
.52683 .55342 L
.53399 .56271 L
.53422 .56313 L
.53399 .56617 L
.52575 .57284 L
.52428 .57352 L
.51457 .57612 L
.50486 .57764 L
.49514 .57895 L
.48543 .58028 L
.47572 .58181 L
.47172 .58256 L
.46601 .5837 L
.45629 .58632 L
.44658 .59133 L
.44556 .59227 L
.4423 .60198 L
.4378 .61169 L
.43687 .61288 L
.42716 .61887 L
.41744 .62139 L
.41739 .62141 L
.40773 .62405 L
.39802 .62669 L
.38831 .62981 L
.38494 .63112 L
.37859 .63362 L
.36888 .64075 L
.3688 .64083 L
.36083 .65054 L
.35917 .65224 L
.34946 .65957 L
.3481 .66026 L
.33974 .66429 L
.33003 .66802 L
.32443 .66997 L
.32032 .67142 L
.31061 .67512 L
.30089 .6795 L
.30054 .67968 L
.29118 .68533 L
.28556 .68939 L
.28147 .6924 L
.27179 .69911 L
.27176 .69913 L
.26204 .70444 L
.25233 .70826 L
.25069 .70882 L
.24262 .71134 L
.23291 .71403 L
.22319 .716 L
.21348 .71467 L
.20759 .70882 L
.2093 .69911 L
.21348 .69225 L
.2157 .68939 L
.22319 .68205 L
.22578 .67968 L
.23291 .67298 L
.23611 .66997 L
.24262 .66157 L
.24348 .66026 L
.2496 .65054 L
.25233 .64648 L
.25777 .64083 L
.26204 .63682 L
.2705 .63112 L
.27176 .6303 L
.28147 .62421 L
.28574 .62141 L
.29118 .61704 L
.29617 .61169 L
.30089 .60464 L
.30248 .60198 L
.30981 .59227 L
.31061 .59143 L
.32032 .58404 L
.32335 .58256 L
.33003 .57936 L
.33974 .57528 L
.34538 .57284 L
.34946 .57103 L
.35917 .56373 L
.35966 .56313 L
.365 .55342 L
.36888 .54501 L
.36962 .54371 L
.37859 .5345 L
.37951 .53399 L
.38831 .53009 L
.39802 .52739 L
.40773 .52537 L
.41336 .52428 L
.41744 .52375 L
.42716 .52219 L
.43687 .51658 L
.43898 .51457 L
.44164 .50486 L
.44164 .49514 L
.43898 .48543 L
.43687 .48342 L
.42716 .47781 L
.41744 .47625 L
.41336 .47572 L
.40773 .47463 L
.39802 .47261 L
.38831 .46991 L
.37951 .46601 L
.37859 .4655 L
.36962 .45629 L
.36888 .45499 L
.365 .44658 L
.35966 .43687 L
.35917 .43627 L
.34946 .42897 L
.34538 .42716 L
.33974 .42472 L
.33003 .42064 L
.32335 .41744 L
.32032 .41596 L
.31061 .40857 L
.30981 .40773 L
.30248 .39802 L
.30089 .39536 L
.29617 .38831 L
.29118 .38296 L
.28574 .37859 L
.28147 .37579 L
.27176 .3697 L
.2705 .36888 L
.26204 .36318 L
.25777 .35917 L
.25233 .35352 L
.2496 .34946 L
.24348 .33974 L
.24262 .33843 L
.23611 .33003 L
.23291 .32702 L
.22578 .32032 L
.22319 .31795 L
.2157 .31061 L
.21348 .30775 L
.2093 .30089 L
.20759 .29118 L
F
0 .37 .27 r
.22319 .44229 m
.23291 .44117 L
.24262 .44232 L
.25233 .44592 L
.25353 .44658 L
.26054 .45629 L
.25233 .46444 L
.24262 .46462 L
.23291 .4629 L
.22319 .45916 L
.21879 .45629 L
.21582 .44658 L
F
.22319 .54084 m
.23291 .5371 L
.24262 .53538 L
.25233 .53556 L
.26054 .54371 L
.25353 .55342 L
.25233 .55408 L
.24262 .55768 L
.23291 .55883 L
.22319 .55771 L
.21582 .55342 L
.21879 .54371 L
F
.028 .55 0 r
.23291 .29761 m
.24262 .29597 L
.25233 .3 L
.25506 .30089 L
.26204 .30374 L
.27176 .31031 L
.27223 .31061 L
.28147 .3167 L
.28836 .32032 L
.29118 .32172 L
.30089 .32557 L
.31061 .3289 L
.31416 .33003 L
.32032 .33195 L
.33003 .33525 L
.33974 .33934 L
.34056 .33974 L
.34946 .34474 L
.35474 .34946 L
.35917 .35484 L
.36284 .35917 L
.36888 .36426 L
.37817 .36888 L
.37859 .36906 L
.38831 .37249 L
.39802 .37518 L
.40773 .37766 L
.41124 .37859 L
.41744 .38005 L
.42716 .3834 L
.4335 .38831 L
.43687 .39312 L
.43876 .39802 L
.44176 .40773 L
.44658 .41146 L
.45629 .41524 L
.46576 .41744 L
.46601 .4175 L
.47572 .41926 L
.48543 .42068 L
.49514 .42197 L
.50486 .42333 L
.51457 .42511 L
.52126 .42716 L
.52428 .42837 L
.53147 .43687 L
.52477 .44658 L
.52428 .44711 L
.51831 .45629 L
.52428 .46206 L
.53399 .46413 L
.54371 .46496 L
.55342 .46528 L
.56313 .46526 L
.57284 .46496 L
.58256 .46438 L
.59227 .46349 L
.60198 .46218 L
.61169 .46027 L
.62141 .45787 L
.62446 .45629 L
.63112 .45315 L
.64063 .44658 L
.64083 .44645 L
.65054 .4407 L
.65944 .43687 L
.66026 .43661 L
.66997 .43381 L
.67968 .43135 L
.68939 .42901 L
.697 .42716 L
.69911 .42686 L
.70882 .42488 L
.71853 .42194 L
.72824 .41816 L
.72991 .41744 L
.73796 .41362 L
.74767 .41009 L
.75738 .41062 L
.76555 .41744 L
.76522 .42716 L
.76709 .43447 L
.76798 .43687 L
.77327 .44658 L
.77681 .45233 L
.78122 .45629 L
.78652 .46099 L
.79511 .46601 L
.79623 .46658 L
.80594 .47092 L
.81566 .47494 L
.8174 .47572 L
.82537 .47968 L
.83204 .48543 L
.83508 .4895 L
.83746 .49514 L
.83746 .50486 L
.83508 .5105 L
.83204 .51457 L
.82537 .52032 L
.8174 .52428 L
.81566 .52506 L
.80594 .52908 L
.79623 .53342 L
.79511 .53399 L
.78652 .53901 L
.78122 .54371 L
.77681 .54767 L
.77327 .55342 L
.76798 .56313 L
.76709 .56553 L
.76522 .57284 L
.76555 .58256 L
.75738 .58938 L
.74767 .58991 L
.73796 .58638 L
.72991 .58256 L
.72824 .58184 L
.71853 .57806 L
.70882 .57512 L
.69911 .57314 L
.697 .57284 L
.68939 .57099 L
.67968 .56865 L
.66997 .56619 L
.66026 .56339 L
.65944 .56313 L
.65054 .5593 L
.64083 .55355 L
.64063 .55342 L
.63112 .54685 L
.62446 .54371 L
.62141 .54213 L
.61169 .53973 L
.60198 .53782 L
.59227 .53651 L
.58256 .53562 L
.57284 .53504 L
.56313 .53474 L
.55342 .53472 L
.54371 .53504 L
.53399 .53587 L
.52428 .53794 L
.51831 .54371 L
.52428 .55289 L
.52477 .55342 L
.53147 .56313 L
.52428 .57163 L
.52126 .57284 L
.51457 .57489 L
.50486 .57667 L
.49514 .57803 L
.48543 .57932 L
.47572 .58074 L
.46601 .5825 L
.46576 .58256 L
.45629 .58476 L
.44658 .58854 L
.44176 .59227 L
.43876 .60198 L
.43687 .60688 L
.4335 .61169 L
.42716 .6166 L
.41744 .61995 L
.41124 .62141 L
.40773 .62234 L
.39802 .62482 L
.38831 .62751 L
.37859 .63094 L
.37817 .63112 L
.36888 .63574 L
.36284 .64083 L
.35917 .64516 L
.35474 .65054 L
.34946 .65526 L
.34056 .66026 L
.33974 .66066 L
.33003 .66475 L
.32032 .66805 L
.31416 .66997 L
.31061 .6711 L
.30089 .67443 L
.29118 .67828 L
.28836 .67968 L
.28147 .6833 L
.27223 .68939 L
.27176 .68969 L
.26204 .69626 L
.25506 .69911 L
.25233 .7 L
.24262 .70403 L
.23291 .70239 L
.22714 .69911 L
.22916 .68939 L
.23291 .6853 L
.23825 .67968 L
.24262 .67434 L
.24652 .66997 L
.25148 .66026 L
.25233 .65821 L
.25627 .65054 L
.26204 .64305 L
.2642 .64083 L
.27176 .6342 L
.27732 .63112 L
.28147 .62848 L
.29118 .62216 L
.29221 .62141 L
.30089 .61225 L
.30128 .61169 L
.3068 .60198 L
.31061 .59595 L
.31413 .59227 L
.32032 .58688 L
.32846 .58256 L
.33003 .58179 L
.33974 .57756 L
.34946 .5734 L
.35062 .57284 L
.35917 .56773 L
.3633 .56313 L
.36788 .55342 L
.36888 .55102 L
.37262 .54371 L
.37859 .53697 L
.38365 .53399 L
.38831 .53189 L
.39802 .52884 L
.40773 .52666 L
.41744 .52472 L
.41956 .52428 L
.42716 .52325 L
.43687 .51876 L
.44151 .51457 L
.44338 .50486 L
.44338 .49514 L
.44151 .48543 L
.43687 .48124 L
.42716 .47675 L
.41956 .47572 L
.41744 .47528 L
.40773 .47334 L
.39802 .47116 L
.38831 .46811 L
.38365 .46601 L
.37859 .46303 L
.37262 .45629 L
.36888 .44898 L
.36788 .44658 L
.3633 .43687 L
.35917 .43227 L
.35062 .42716 L
.34946 .4266 L
.33974 .42244 L
.33003 .41821 L
.32846 .41744 L
.32032 .41312 L
.31413 .40773 L
.31061 .40405 L
.3068 .39802 L
.30128 .38831 L
.30089 .38775 L
.29221 .37859 L
.29118 .37784 L
.28147 .37152 L
.27732 .36888 L
.27176 .3658 L
.2642 .35917 L
.26204 .35695 L
.25627 .34946 L
.25233 .34179 L
.25148 .33974 L
.24652 .33003 L
.24262 .32566 L
.23825 .32032 L
.23291 .3147 L
.22916 .31061 L
.22714 .30089 L
F
.104 .58 0 r
.26204 .32553 m
.27176 .32377 L
.28147 .32552 L
.29118 .32781 L
.30051 .33003 L
.30089 .33022 L
.31061 .33261 L
.32032 .33542 L
.33003 .33891 L
.33204 .33974 L
.33974 .34288 L
.34816 .34946 L
.34946 .35097 L
.35645 .35917 L
.35917 .36176 L
.36888 .36804 L
.37093 .36888 L
.37859 .37175 L
.38831 .37453 L
.39802 .37692 L
.40481 .37859 L
.40773 .37924 L
.41744 .38174 L
.42716 .38655 L
.42913 .38831 L
.4352 .39802 L
.43687 .40565 L
.43794 .40773 L
.44658 .41363 L
.45629 .41664 L
.4599 .41744 L
.46601 .41869 L
.47572 .42027 L
.48543 .42159 L
.49514 .42287 L
.50486 .42432 L
.51457 .42643 L
.51682 .42716 L
.52428 .43044 L
.52879 .43687 L
.52428 .44449 L
.52274 .44658 L
.51614 .45629 L
.52428 .46316 L
.53399 .46479 L
.54371 .46549 L
.55342 .46574 L
.56313 .4657 L
.57284 .4654 L
.58256 .46484 L
.59227 .46399 L
.60198 .46276 L
.61169 .461 L
.62141 .45917 L
.6273 .45629 L
.63112 .45468 L
.64083 .4486 L
.644 .44658 L
.65054 .44286 L
.66026 .43862 L
.66532 .43687 L
.66997 .43565 L
.67968 .43341 L
.68939 .43144 L
.69911 .42965 L
.70882 .42802 L
.71452 .42716 L
.71853 .42673 L
.72824 .42582 L
.73796 .42586 L
.74552 .42716 L
.74767 .42907 L
.75714 .43687 L
.75738 .43719 L
.76486 .44658 L
.76709 .44972 L
.7726 .45629 L
.77681 .46076 L
.78336 .46601 L
.78652 .46807 L
.79623 .47321 L
.80177 .47572 L
.80594 .47743 L
.81566 .48243 L
.81958 .48543 L
.82537 .49175 L
.82704 .49514 L
.82704 .50486 L
.82537 .50825 L
.81958 .51457 L
.81566 .51757 L
.80594 .52257 L
.80177 .52428 L
.79623 .52679 L
.78652 .53193 L
.78336 .53399 L
.77681 .53924 L
.7726 .54371 L
.76709 .55028 L
.76486 .55342 L
.75738 .56281 L
.75714 .56313 L
.74767 .57093 L
.74552 .57284 L
.73796 .57414 L
.72824 .57418 L
.71853 .57327 L
.71452 .57284 L
.70882 .57198 L
.69911 .57035 L
.68939 .56856 L
.67968 .56659 L
.66997 .56435 L
.66532 .56313 L
.66026 .56138 L
.65054 .55714 L
.644 .55342 L
.64083 .5514 L
.63112 .54532 L
.6273 .54371 L
.62141 .54083 L
.61169 .539 L
.60198 .53724 L
.59227 .53601 L
.58256 .53516 L
.57284 .5346 L
.56313 .5343 L
.55342 .53426 L
.54371 .53451 L
.53399 .53521 L
.52428 .53684 L
.51614 .54371 L
.52274 .55342 L
.52428 .55551 L
.52879 .56313 L
.52428 .56956 L
.51682 .57284 L
.51457 .57357 L
.50486 .57568 L
.49514 .57713 L
.48543 .57841 L
.47572 .57973 L
.46601 .58131 L
.4599 .58256 L
.45629 .58336 L
.44658 .58637 L
.43794 .59227 L
.43687 .59435 L
.4352 .60198 L
.42913 .61169 L
.42716 .61345 L
.41744 .61826 L
.40773 .62076 L
.40481 .62141 L
.39802 .62308 L
.38831 .62547 L
.37859 .62825 L
.37093 .63112 L
.36888 .63196 L
.35917 .63824 L
.35645 .64083 L
.34946 .64903 L
.34816 .65054 L
.33974 .65712 L
.33204 .66026 L
.33003 .66109 L
.32032 .66458 L
.31061 .66739 L
.30089 .66978 L
.30051 .66997 L
.29118 .67219 L
.28147 .67448 L
.27176 .67623 L
.26204 .67447 L
.26061 .66997 L
.26038 .66026 L
.26204 .65363 L
.26335 .65054 L
.27099 .64083 L
.27176 .64 L
.28147 .63226 L
.28455 .63112 L
.29118 .62692 L
.29886 .62141 L
.30089 .61939 L
.30633 .61169 L
.31061 .60288 L
.31103 .60198 L
.31839 .59227 L
.32032 .59038 L
.33003 .58395 L
.33354 .58256 L
.33974 .57981 L
.34946 .57579 L
.3557 .57284 L
.35917 .57094 L
.36675 .56313 L
.36888 .55831 L
.37065 .55342 L
.37549 .54371 L
.37859 .53978 L
.38763 .53399 L
.38831 .53368 L
.39802 .53024 L
.40773 .5279 L
.41744 .52593 L
.42518 .52428 L
.42716 .52404 L
.43687 .52062 L
.44384 .51457 L
.44501 .50486 L
.44501 .49514 L
.44384 .48543 L
.43687 .47938 L
.42716 .47596 L
.42518 .47572 L
.41744 .47407 L
.40773 .4721 L
.39802 .46976 L
.38831 .46632 L
.38763 .46601 L
.37859 .46022 L
.37549 .45629 L
.37065 .44658 L
.36888 .44169 L
.36675 .43687 L
.35917 .42906 L
.3557 .42716 L
.34946 .42421 L
.33974 .42019 L
.33354 .41744 L
.33003 .41605 L
.32032 .40962 L
.31839 .40773 L
.31103 .39802 L
.31061 .39712 L
.30633 .38831 L
.30089 .38061 L
.29886 .37859 L
.29118 .37308 L
.28455 .36888 L
.28147 .36774 L
.27176 .36 L
.27099 .35917 L
.26335 .34946 L
.26204 .34637 L
.26038 .33974 L
.26061 .33003 L
F
.189 .61 0 r
.27176 .33906 m
.28147 .33262 L
.29118 .33314 L
.30089 .3345 L
.31061 .33658 L
.32032 .33939 L
.32139 .33974 L
.33003 .34185 L
.33974 .34853 L
.34076 .34946 L
.34932 .35917 L
.34946 .35932 L
.35917 .36706 L
.36287 .36888 L
.36888 .37124 L
.37859 .37409 L
.38831 .37641 L
.39792 .37859 L
.39802 .37861 L
.40773 .38075 L
.41744 .38385 L
.42466 .38831 L
.42716 .39047 L
.4316 .39802 L
.43409 .40773 L
.43687 .4107 L
.44658 .41546 L
.45407 .41744 L
.45629 .41797 L
.46601 .4198 L
.47572 .42122 L
.48543 .42247 L
.49514 .42376 L
.50486 .42534 L
.51239 .42716 L
.51457 .42783 L
.52428 .43315 L
.52616 .43687 L
.52428 .44128 L
.52074 .44658 L
.51457 .45477 L
.514 .45629 L
.51457 .45936 L
.52428 .4641 L
.53399 .46542 L
.54371 .46599 L
.54407 .46601 L
.55342 .46624 L
.56313 .46614 L
.56773 .46601 L
.57284 .46582 L
.58256 .46528 L
.59227 .46448 L
.60198 .46332 L
.61169 .46169 L
.62141 .46032 L
.63017 .45629 L
.63112 .45594 L
.64083 .45057 L
.64753 .44658 L
.65054 .44495 L
.66026 .44061 L
.66997 .43745 L
.67203 .43687 L
.67968 .43527 L
.68939 .43358 L
.69911 .43221 L
.70882 .43121 L
.71853 .43074 L
.72824 .43116 L
.73796 .4332 L
.74641 .43687 L
.74767 .43776 L
.75733 .44658 L
.75738 .44664 L
.76529 .45629 L
.76709 .45851 L
.77408 .46601 L
.77681 .46835 L
.78652 .47485 L
.7881 .47572 L
.79623 .47951 L
.80594 .485 L
.80655 .48543 L
.81566 .49421 L
.81614 .49514 L
.81614 .50486 L
.81566 .50579 L
.80655 .51457 L
.80594 .515 L
.79623 .52049 L
.7881 .52428 L
.78652 .52515 L
.77681 .53165 L
.77408 .53399 L
.76709 .54149 L
.76529 .54371 L
.75738 .55336 L
.75733 .55342 L
.74767 .56224 L
.74641 .56313 L
.73796 .5668 L
.72824 .56884 L
.71853 .56926 L
.70882 .56879 L
.69911 .56779 L
.68939 .56642 L
.67968 .56473 L
.67203 .56313 L
.66997 .56255 L
.66026 .55939 L
.65054 .55505 L
.64753 .55342 L
.64083 .54943 L
.63112 .54406 L
.63017 .54371 L
.62141 .53968 L
.61169 .53831 L
.60198 .53668 L
.59227 .53552 L
.58256 .53472 L
.57284 .53418 L
.56773 .53399 L
.56313 .53386 L
.55342 .53376 L
.54407 .53399 L
.54371 .53401 L
.53399 .53458 L
.52428 .5359 L
.51457 .54064 L
.514 .54371 L
.51457 .54523 L
.52074 .55342 L
.52428 .55872 L
.52616 .56313 L
.52428 .56685 L
.51457 .57217 L
.51239 .57284 L
.50486 .57466 L
.49514 .57624 L
.48543 .57753 L
.47572 .57878 L
.46601 .5802 L
.45629 .58203 L
.45407 .58256 L
.44658 .58454 L
.43687 .5893 L
.43409 .59227 L
.4316 .60198 L
.42716 .60953 L
.42466 .61169 L
.41744 .61615 L
.40773 .61925 L
.39802 .62139 L
.39792 .62141 L
.38831 .62359 L
.37859 .62591 L
.36888 .62876 L
.36287 .63112 L
.35917 .63294 L
.34946 .64068 L
.34932 .64083 L
.34076 .65054 L
.33974 .65147 L
.33003 .65815 L
.32139 .66026 L
.32032 .66061 L
.31061 .66342 L
.30089 .6655 L
.29118 .66686 L
.28147 .66738 L
.27176 .66094 L
.27137 .66026 L
.27118 .65054 L
.27176 .64931 L
.27839 .64083 L
.28147 .63744 L
.29118 .63201 L
.29261 .63112 L
.30089 .62569 L
.30589 .62141 L
.31061 .61364 L
.31141 .61169 L
.31522 .60198 L
.32032 .59464 L
.32263 .59227 L
.33003 .58633 L
.33867 .58256 L
.33974 .58208 L
.34946 .57806 L
.35917 .57369 L
.36067 .57284 L
.36888 .56527 L
.37006 .56313 L
.37333 .55342 L
.37825 .54371 L
.37859 .54322 L
.38831 .5352 L
.39152 .53399 L
.39802 .53163 L
.40773 .52909 L
.41744 .52709 L
.42716 .52507 L
.43035 .52428 L
.43687 .52227 L
.44601 .51457 L
.44655 .50486 L
.44655 .49514 L
.44601 .48543 L
.43687 .47773 L
.43035 .47572 L
.42716 .47493 L
.41744 .47291 L
.40773 .47091 L
.39802 .46837 L
.39152 .46601 L
.38831 .4648 L
.37859 .45678 L
.37825 .45629 L
.37333 .44658 L
.37006 .43687 L
.36888 .43473 L
.36067 .42716 L
.35917 .42631 L
.34946 .42194 L
.33974 .41792 L
.33867 .41744 L
.33003 .41367 L
.32263 .40773 L
.32032 .40536 L
.31522 .39802 L
.31141 .38831 L
.31061 .38636 L
.30589 .37859 L
.30089 .37431 L
.29261 .36888 L
.29118 .36799 L
.28147 .36256 L
.27839 .35917 L
.27176 .35069 L
.27118 .34946 L
.27137 .33974 L
F
0 .4 .24 r
.29118 .48126 m
.30089 .47933 L
.31061 .47855 L
.32032 .47829 L
.33003 .47837 L
.33974 .47881 L
.34946 .48022 L
.35917 .48442 L
.35992 .48543 L
.36356 .49514 L
.36356 .50486 L
.35992 .51457 L
.35917 .51558 L
.34946 .51978 L
.33974 .52119 L
.33003 .52163 L
.32032 .52171 L
.31061 .52145 L
.30089 .52067 L
.29118 .51874 L
.28321 .51457 L
.28147 .51293 L
.2772 .50486 L
.2772 .49514 L
.28147 .48707 L
.28321 .48543 L
F
.282 .64 0 r
.28147 .34515 m
.29118 .34004 L
.30089 .33989 L
.31061 .34133 L
.32032 .34401 L
.33003 .34794 L
.33183 .34946 L
.33974 .35788 L
.3409 .35917 L
.34946 .36691 L
.35311 .36888 L
.35917 .37128 L
.36888 .37401 L
.37859 .37618 L
.38831 .37818 L
.39031 .37859 L
.39802 .38011 L
.40773 .38248 L
.41744 .38656 L
.42002 .38831 L
.42716 .39619 L
.42792 .39802 L
.43016 .40773 L
.43687 .41362 L
.44658 .41706 L
.44815 .41744 L
.45629 .41926 L
.46601 .42083 L
.47572 .42211 L
.48543 .42332 L
.49514 .42464 L
.50486 .4264 L
.50793 .42716 L
.51457 .42928 L
.52358 .43687 L
.51875 .44658 L
.51457 .45162 L
.51187 .45629 L
.51457 .46199 L
.52428 .46494 L
.53399 .466 L
.53406 .46601 L
.54371 .46661 L
.55342 .46677 L
.56313 .46664 L
.57284 .46627 L
.57791 .46601 L
.58256 .46571 L
.59227 .46495 L
.60198 .46386 L
.61169 .46235 L
.62141 .46135 L
.63112 .45724 L
.63309 .45629 L
.64083 .45238 L
.65054 .44695 L
.65125 .44658 L
.66026 .44255 L
.66997 .43934 L
.67968 .43703 L
.68035 .43687 L
.68939 .43551 L
.69911 .43446 L
.70882 .43392 L
.71853 .43406 L
.72824 .43525 L
.73479 .43687 L
.73796 .4382 L
.74767 .44435 L
.75027 .44658 L
.75738 .45455 L
.75874 .45629 L
.76623 .46601 L
.76709 .467 L
.77633 .47572 L
.77681 .47602 L
.78652 .48178 L
.79242 .48543 L
.79623 .48781 L
.80401 .49514 L
.80401 .50486 L
.79623 .51219 L
.79242 .51457 L
.78652 .51822 L
.77681 .52398 L
.77633 .52428 L
.76709 .533 L
.76623 .53399 L
.75874 .54371 L
.75738 .54545 L
.75027 .55342 L
.74767 .55565 L
.73796 .5618 L
.73479 .56313 L
.72824 .56475 L
.71853 .56594 L
.70882 .56608 L
.69911 .56554 L
.68939 .56449 L
.68035 .56313 L
.67968 .56297 L
.66997 .56066 L
.66026 .55745 L
.65125 .55342 L
.65054 .55305 L
.64083 .54762 L
.63309 .54371 L
.63112 .54276 L
.62141 .53865 L
.61169 .53765 L
.60198 .53614 L
.59227 .53505 L
.58256 .53429 L
.57791 .53399 L
.57284 .53373 L
.56313 .53336 L
.55342 .53323 L
.54371 .53339 L
.53406 .53399 L
.53399 .534 L
.52428 .53506 L
.51457 .53801 L
.51187 .54371 L
.51457 .54838 L
.51875 .55342 L
.52358 .56313 L
.51457 .57072 L
.50793 .57284 L
.50486 .5736 L
.49514 .57536 L
.48543 .57668 L
.47572 .57789 L
.46601 .57917 L
.45629 .58074 L
.44815 .58256 L
.44658 .58294 L
.43687 .58638 L
.43016 .59227 L
.42792 .60198 L
.42716 .60381 L
.42002 .61169 L
.41744 .61344 L
.40773 .61752 L
.39802 .61989 L
.39031 .62141 L
.38831 .62182 L
.37859 .62382 L
.36888 .62599 L
.35917 .62872 L
.35311 .63112 L
.34946 .63309 L
.3409 .64083 L
.33974 .64212 L
.33183 .65054 L
.33003 .65206 L
.32032 .65599 L
.31061 .65867 L
.30089 .66011 L
.29118 .65996 L
.28147 .65485 L
.28051 .65054 L
.28147 .64784 L
.28702 .64083 L
.29118 .63788 L
.30089 .63203 L
.30227 .63112 L
.31061 .62518 L
.3136 .62141 L
.31657 .61169 L
.31943 .60198 L
.32032 .60032 L
.3269 .59227 L
.33003 .58943 L
.33974 .58387 L
.34393 .58256 L
.34946 .5803 L
.35917 .57633 L
.36559 .57284 L
.36888 .57021 L
.37327 .56313 L
.37592 .55342 L
.37859 .5473 L
.38095 .54371 L
.38831 .53682 L
.39534 .53399 L
.39802 .53301 L
.40773 .53026 L
.41744 .5282 L
.42716 .52627 L
.43518 .52428 L
.43687 .52377 L
.44658 .51789 L
.4481 .51457 L
.44809 .50486 L
.44809 .49514 L
.4481 .48543 L
.44658 .48211 L
.43687 .47623 L
.43518 .47572 L
.42716 .47373 L
.41744 .4718 L
.40773 .46974 L
.39802 .46699 L
.39534 .46601 L
.38831 .46318 L
.38095 .45629 L
.37859 .4527 L
.37592 .44658 L
.37327 .43687 L
.36888 .42979 L
.36559 .42716 L
.35917 .42367 L
.34946 .4197 L
.34393 .41744 L
.33974 .41613 L
.33003 .41057 L
.3269 .40773 L
.32032 .39968 L
.31943 .39802 L
.31657 .38831 L
.3136 .37859 L
.31061 .37482 L
.30227 .36888 L
.30089 .36797 L
.29118 .36212 L
.28702 .35917 L
.28147 .35216 L
.28051 .34946 L
F
0 .246 .28 r
.32032 .53344 m
.32732 .53399 L
.33003 .53448 L
.33965 .54371 L
.33592 .55342 L
.33003 .55769 L
.32032 .56204 L
.31684 .56313 L
.31061 .56504 L
.30089 .5676 L
.29118 .56822 L
.28147 .56971 L
.281 .56313 L
.28147 .56171 L
.28422 .55342 L
.28922 .54371 L
.29118 .54086 L
.30089 .53613 L
.31061 .53407 L
.31125 .53399 L
F
0 .43 .202 r
.30089 .48408 m
.31061 .48235 L
.32032 .48176 L
.33003 .48194 L
.33974 .48302 L
.34838 .48543 L
.34946 .48603 L
.35751 .49514 L
.35751 .50486 L
.34946 .51397 L
.34838 .51457 L
.33974 .51698 L
.33003 .51806 L
.32032 .51824 L
.31061 .51765 L
.30089 .51592 L
.29671 .51457 L
.29118 .51167 L
.28547 .50486 L
.28547 .49514 L
.29118 .48833 L
.29671 .48543 L
F
0 .46 .156 r
.30089 .48972 m
.31061 .48671 L
.32032 .48568 L
.33003 .48592 L
.33974 .48769 L
.34946 .4936 L
.35056 .49514 L
.35056 .50486 L
.34946 .5064 L
.33974 .51231 L
.33003 .51408 L
.32032 .51432 L
.31061 .51329 L
.30089 .51028 L
.2942 .50486 L
.2942 .49514 L
F
.382 .67 0 r
.30089 .34704 m
.31061 .34747 L
.31777 .34946 L
.32032 .35073 L
.32879 .35917 L
.33003 .36182 L
.33655 .36888 L
.33974 .37008 L
.34946 .37267 L
.35917 .37466 L
.36888 .37642 L
.37859 .37812 L
.38134 .37859 L
.38831 .37979 L
.39802 .38173 L
.40773 .38457 L
.41516 .38831 L
.41744 .38978 L
.42415 .39802 L
.4261 .40773 L
.42716 .40955 L
.43687 .41589 L
.44206 .41744 L
.44658 .41862 L
.45629 .42044 L
.46601 .42179 L
.47572 .42297 L
.48543 .42415 L
.49514 .42553 L
.50341 .42716 L
.50486 .42751 L
.51457 .43088 L
.52101 .43687 L
.51679 .44658 L
.51457 .44921 L
.50975 .45629 L
.51457 .46357 L
.52428 .46569 L
.52693 .46601 L
.53399 .46676 L
.54371 .46721 L
.55342 .46729 L
.56313 .46711 L
.57284 .46674 L
.58256 .46615 L
.58451 .46601 L
.59227 .4654 L
.60198 .46439 L
.61169 .46298 L
.62141 .46225 L
.63112 .45854 L
.63608 .45629 L
.64083 .45404 L
.65054 .44889 L
.65518 .44658 L
.66026 .44444 L
.66997 .4412 L
.67968 .43891 L
.68939 .43736 L
.69388 .43687 L
.69911 .4365 L
.70882 .43629 L
.71847 .43687 L
.71853 .43688 L
.72824 .43883 L
.73796 .4429 L
.74345 .44658 L
.74767 .45024 L
.7527 .45629 L
.75738 .46293 L
.75926 .46601 L
.76618 .47572 L
.76709 .47658 L
.77681 .48518 L
.77712 .48543 L
.78652 .49244 L
.78907 .49514 L
.78907 .50486 L
.78652 .50756 L
.77712 .51457 L
.77681 .51482 L
.76709 .52342 L
.76618 .52428 L
.75926 .53399 L
.75738 .53707 L
.7527 .54371 L
.74767 .54976 L
.74345 .55342 L
.73796 .5571 L
.72824 .56117 L
.71853 .56312 L
.71847 .56313 L
.70882 .56371 L
.69911 .5635 L
.69388 .56313 L
.68939 .56264 L
.67968 .56109 L
.66997 .5588 L
.66026 .55556 L
.65518 .55342 L
.65054 .55111 L
.64083 .54596 L
.63608 .54371 L
.63112 .54146 L
.62141 .53775 L
.61169 .53702 L
.60198 .53561 L
.59227 .5346 L
.58451 .53399 L
.58256 .53385 L
.57284 .53326 L
.56313 .53289 L
.55342 .53271 L
.54371 .53279 L
.53399 .53324 L
.52693 .53399 L
.52428 .53431 L
.51457 .53643 L
.50975 .54371 L
.51457 .55079 L
.51679 .55342 L
.52101 .56313 L
.51457 .56912 L
.50486 .57249 L
.50341 .57284 L
.49514 .57447 L
.48543 .57585 L
.47572 .57703 L
.46601 .57821 L
.45629 .57956 L
.44658 .58138 L
.44206 .58256 L
.43687 .58411 L
.42716 .59045 L
.4261 .59227 L
.42415 .60198 L
.41744 .61022 L
.41516 .61169 L
.40773 .61543 L
.39802 .61827 L
.38831 .62021 L
.38134 .62141 L
.37859 .62188 L
.36888 .62358 L
.35917 .62534 L
.34946 .62733 L
.33974 .62992 L
.33655 .63112 L
.33003 .63818 L
.32879 .64083 L
.32032 .64927 L
.31777 .65054 L
.31061 .65253 L
.30089 .65296 L
.29485 .65054 L
.29914 .64083 L
.30089 .6399 L
.31061 .63499 L
.3188 .63112 L
.32032 .6298 L
.3226 .62141 L
.32191 .61169 L
.32368 .60198 L
.33003 .59337 L
.33126 .59227 L
.33974 .58597 L
.34945 .58256 L
.34946 .58256 L
.35917 .57878 L
.36888 .57407 L
.37051 .57284 L
.37639 .56313 L
.37843 .55342 L
.37859 .55294 L
.38359 .54371 L
.38831 .53878 L
.39802 .53427 L
.39914 .53399 L
.40773 .53142 L
.41744 .52927 L
.42716 .5274 L
.43687 .5252 L
.43974 .52428 L
.44658 .52087 L
.45011 .51457 L
.44958 .50486 L
.44958 .49514 L
.45011 .48543 L
.44658 .47913 L
.43974 .47572 L
.43687 .4748 L
.42716 .4726 L
.41744 .47073 L
.40773 .46858 L
.39914 .46601 L
.39802 .46573 L
.38831 .46122 L
.38359 .45629 L
.37859 .44706 L
.37843 .44658 L
.37639 .43687 L
.37051 .42716 L
.36888 .42593 L
.35917 .42122 L
.34946 .41744 L
.34945 .41744 L
.33974 .41403 L
.33126 .40773 L
.33003 .40663 L
.32368 .39802 L
.32191 .38831 L
.3226 .37859 L
.32032 .3702 L
.3188 .36888 L
.31061 .36501 L
.30089 .3601 L
.29914 .35917 L
.29485 .34946 L
F
0 .188 .25 r
.31061 .54098 m
.32032 .53996 L
.32918 .54371 L
.32516 .55342 L
.32032 .55586 L
.31061 .55793 L
.30089 .55553 L
.29939 .55342 L
.30089 .54728 L
.30447 .54371 L
F
.30089 .44447 m
.31061 .44207 L
.32032 .44414 L
.32516 .44658 L
.32918 .45629 L
.32032 .46004 L
.31061 .45902 L
.30447 .45629 L
.30089 .45272 L
.29939 .44658 L
F
0 .49 .103 r
.31061 .49202 m
.32032 .49016 L
.33003 .49051 L
.33974 .49375 L
.34181 .49514 L
.34181 .50486 L
.33974 .50625 L
.33003 .50949 L
.32032 .50984 L
.31061 .50798 L
.30427 .50486 L
.30427 .49514 L
F
.49 .7 0 r
.33974 .37735 m
.34946 .37685 L
.35917 .37752 L
.36866 .37859 L
.36888 .37862 L
.37859 .37987 L
.38831 .38143 L
.39802 .3836 L
.40773 .38714 L
.40992 .38831 L
.41744 .39379 L
.42021 .39802 L
.42187 .40773 L
.42716 .41405 L
.43559 .41744 L
.43687 .41785 L
.44658 .42006 L
.45629 .42152 L
.46601 .42269 L
.47572 .42379 L
.48543 .42496 L
.49514 .42644 L
.49879 .42716 L
.50486 .42867 L
.51457 .43273 L
.51847 .43687 L
.51484 .44658 L
.51457 .44691 L
.50764 .45629 L
.51457 .4648 L
.52102 .46601 L
.52428 .46659 L
.53399 .46748 L
.54371 .46778 L
.55342 .46778 L
.56313 .46757 L
.57284 .46719 L
.58256 .46661 L
.59031 .46601 L
.59227 .46584 L
.60198 .46489 L
.61169 .46358 L
.62141 .46303 L
.63112 .45971 L
.63919 .45629 L
.64083 .45556 L
.65054 .45076 L
.65957 .44658 L
.66026 .44631 L
.66997 .44303 L
.67968 .44075 L
.68939 .4393 L
.69911 .43858 L
.70882 .43865 L
.71853 .43974 L
.72824 .44236 L
.73663 .44658 L
.73796 .44734 L
.74699 .45629 L
.74767 .45661 L
.75291 .46601 L
.7573 .47572 L
.75738 .47591 L
.76206 .48543 L
.76709 .49322 L
.76823 .49514 L
.76823 .50486 L
.76709 .50678 L
.76206 .51457 L
.75738 .52409 L
.7573 .52428 L
.75291 .53399 L
.74767 .54339 L
.74699 .54371 L
.73796 .55266 L
.73663 .55342 L
.72824 .55764 L
.71853 .56026 L
.70882 .56135 L
.69911 .56142 L
.68939 .5607 L
.67968 .55925 L
.66997 .55697 L
.66026 .55369 L
.65957 .55342 L
.65054 .54924 L
.64083 .54444 L
.63919 .54371 L
.63112 .54029 L
.62141 .53697 L
.61169 .53642 L
.60198 .53511 L
.59227 .53416 L
.59031 .53399 L
.58256 .53339 L
.57284 .53281 L
.56313 .53243 L
.55342 .53222 L
.54371 .53222 L
.53399 .53252 L
.52428 .53341 L
.52102 .53399 L
.51457 .5352 L
.50764 .54371 L
.51457 .55309 L
.51484 .55342 L
.51847 .56313 L
.51457 .56727 L
.50486 .57133 L
.49879 .57284 L
.49514 .57356 L
.48543 .57504 L
.47572 .57621 L
.46601 .57731 L
.45629 .57848 L
.44658 .57994 L
.43687 .58215 L
.43559 .58256 L
.42716 .58595 L
.42187 .59227 L
.42021 .60198 L
.41744 .60621 L
.40992 .61169 L
.40773 .61286 L
.39802 .6164 L
.38831 .61857 L
.37859 .62013 L
.36888 .62138 L
.36866 .62141 L
.35917 .62248 L
.34946 .62315 L
.33974 .62265 L
.33447 .62141 L
.33003 .61721 L
.32755 .61169 L
.32805 .60198 L
.33003 .59836 L
.33576 .59227 L
.33974 .5889 L
.34946 .58398 L
.35534 .58256 L
.35917 .58115 L
.36888 .57736 L
.37548 .57284 L
.37859 .56657 L
.37944 .56313 L
.3809 .55342 L
.38619 .54371 L
.38831 .54122 L
.39802 .53528 L
.40295 .53399 L
.40773 .53256 L
.41744 .53031 L
.42716 .52848 L
.43687 .52655 L
.44407 .52428 L
.44658 .52313 L
.45202 .51457 L
.451 .50486 L
.451 .49514 L
.45202 .48543 L
.44658 .47687 L
.44407 .47572 L
.43687 .47345 L
.42716 .47152 L
.41744 .46969 L
.40773 .46744 L
.40295 .46601 L
.39802 .46472 L
.38831 .45878 L
.38619 .45629 L
.3809 .44658 L
.37944 .43687 L
.37859 .43343 L
.37548 .42716 L
.36888 .42264 L
.35917 .41885 L
.35534 .41744 L
.34946 .41602 L
.33974 .4111 L
.33576 .40773 L
.33003 .40164 L
.32805 .39802 L
.32755 .38831 L
.33003 .38279 L
.33447 .37859 L
F
.606 .73 0 r
.33974 .3814 m
.34946 .38006 L
.35917 .37996 L
.36888 .38056 L
.37859 .38166 L
.38831 .38329 L
.39802 .38582 L
.40421 .38831 L
.40773 .39005 L
.41607 .39802 L
.41734 .40773 L
.41744 .40817 L
.42716 .41702 L
.42847 .41744 L
.43687 .41976 L
.44658 .42134 L
.45629 .42252 L
.46601 .42354 L
.47572 .42458 L
.48543 .42578 L
.494 .42716 L
.49514 .42739 L
.50486 .42989 L
.51457 .43508 L
.51593 .43687 L
.51457 .44354 L
.51289 .44658 L
.50552 .45629 L
.51457 .46583 L
.51557 .46601 L
.52428 .46757 L
.53399 .46816 L
.54371 .46832 L
.55342 .46825 L
.56313 .46802 L
.57284 .46762 L
.58256 .46706 L
.59227 .46631 L
.5955 .46601 L
.60198 .46538 L
.61169 .46416 L
.62141 .46372 L
.63112 .46078 L
.64083 .45699 L
.64241 .45629 L
.65054 .45254 L
.66026 .4482 L
.66433 .44658 L
.66997 .44485 L
.67968 .44259 L
.68939 .44121 L
.69911 .44066 L
.70882 .44102 L
.71853 .44256 L
.72824 .44594 L
.72953 .44658 L
.73796 .45203 L
.74145 .45629 L
.74699 .46601 L
.74767 .46796 L
.74941 .47572 L
.74937 .48543 L
.74767 .49452 L
.74754 .49514 L
.74754 .50486 L
.74767 .50548 L
.74937 .51457 L
.74941 .52428 L
.74767 .53204 L
.74699 .53399 L
.74145 .54371 L
.73796 .54797 L
.72953 .55342 L
.72824 .55406 L
.71853 .55744 L
.70882 .55898 L
.69911 .55934 L
.68939 .55879 L
.67968 .55741 L
.66997 .55515 L
.66433 .55342 L
.66026 .5518 L
.65054 .54746 L
.64241 .54371 L
.64083 .54301 L
.63112 .53922 L
.62141 .53628 L
.61169 .53584 L
.60198 .53462 L
.5955 .53399 L
.59227 .53369 L
.58256 .53294 L
.57284 .53238 L
.56313 .53198 L
.55342 .53175 L
.54371 .53168 L
.53399 .53184 L
.52428 .53243 L
.51557 .53399 L
.51457 .53417 L
.50552 .54371 L
.51289 .55342 L
.51457 .55646 L
.51593 .56313 L
.51457 .56492 L
.50486 .57011 L
.49514 .57261 L
.494 .57284 L
.48543 .57422 L
.47572 .57542 L
.46601 .57646 L
.45629 .57748 L
.44658 .57866 L
.43687 .58024 L
.42847 .58256 L
.42716 .58298 L
.41744 .59183 L
.41734 .59227 L
.41607 .60198 L
.40773 .60995 L
.40421 .61169 L
.39802 .61418 L
.38831 .61671 L
.37859 .61834 L
.36888 .61944 L
.35917 .62004 L
.34946 .61994 L
.33974 .6186 L
.33366 .61169 L
.33257 .60198 L
.33974 .59287 L
.34051 .59227 L
.34946 .58605 L
.35917 .583 L
.3619 .58256 L
.36888 .58021 L
.37859 .5757 L
.38057 .57284 L
.38245 .56313 L
.38333 .55342 L
.38831 .5442 L
.38874 .54371 L
.39802 .53646 L
.40682 .53399 L
.40773 .53372 L
.41744 .53134 L
.42716 .52951 L
.43687 .52778 L
.44658 .52515 L
.44822 .52428 L
.45385 .51457 L
.45237 .50486 L
.45237 .49514 L
.45385 .48543 L
.44822 .47572 L
.44658 .47485 L
.43687 .47222 L
.42716 .47049 L
.41744 .46866 L
.40773 .46628 L
.40682 .46601 L
.39802 .46354 L
.38874 .45629 L
.38831 .4558 L
.38333 .44658 L
.38245 .43687 L
.38057 .42716 L
.37859 .4243 L
.36888 .41979 L
.3619 .41744 L
.35917 .417 L
.34946 .41395 L
.34051 .40773 L
.33974 .40713 L
.33257 .39802 L
.33366 .38831 L
F
.73 .76 0 r
.34946 .38333 m
.35917 .38241 L
.36888 .38268 L
.37859 .38369 L
.38831 .38548 L
.39753 .38831 L
.39802 .3885 L
.40773 .3936 L
.41164 .39802 L
.41251 .40773 L
.41744 .4163 L
.42017 .41744 L
.42716 .41977 L
.43687 .42139 L
.44658 .4225 L
.45629 .42344 L
.46601 .42435 L
.47572 .42536 L
.48543 .4266 L
.48899 .42716 L
.49514 .42838 L
.50486 .43119 L
.51339 .43687 L
.51094 .44658 L
.50486 .45412 L
.5034 .45629 L
.50486 .46413 L
.51037 .46601 L
.51457 .46662 L
.52428 .46848 L
.53399 .4688 L
.54371 .46884 L
.55342 .46871 L
.56313 .46844 L
.57284 .46804 L
.58256 .4675 L
.59227 .46678 L
.60038 .46601 L
.60198 .46585 L
.61169 .46472 L
.62141 .4643 L
.63112 .46174 L
.64083 .45832 L
.6458 .45629 L
.65054 .45424 L
.66026 .45008 L
.66997 .44668 L
.67022 .44658 L
.67968 .44443 L
.68939 .44313 L
.69911 .44275 L
.70882 .44341 L
.71853 .44547 L
.72178 .44658 L
.72824 .44905 L
.73601 .45629 L
.73796 .45896 L
.74136 .46601 L
.74231 .47572 L
.73946 .48543 L
.73796 .48881 L
.73532 .49514 L
.73532 .50486 L
.73796 .51119 L
.73946 .51457 L
.74231 .52428 L
.74136 .53399 L
.73796 .54104 L
.73601 .54371 L
.72824 .55095 L
.72178 .55342 L
.71853 .55453 L
.70882 .55659 L
.69911 .55725 L
.68939 .55687 L
.67968 .55557 L
.67022 .55342 L
.66997 .55332 L
.66026 .54992 L
.65054 .54576 L
.6458 .54371 L
.64083 .54168 L
.63112 .53826 L
.62141 .5357 L
.61169 .53528 L
.60198 .53415 L
.60038 .53399 L
.59227 .53322 L
.58256 .5325 L
.57284 .53196 L
.56313 .53156 L
.55342 .53129 L
.54371 .53116 L
.53399 .5312 L
.52428 .53152 L
.51457 .53338 L
.51037 .53399 L
.50486 .53587 L
.5034 .54371 L
.50486 .54588 L
.51094 .55342 L
.51339 .56313 L
.50486 .56881 L
.49514 .57162 L
.48899 .57284 L
.48543 .5734 L
.47572 .57464 L
.46601 .57565 L
.45629 .57656 L
.44658 .5775 L
.43687 .57861 L
.42716 .58023 L
.42017 .58256 L
.41744 .5837 L
.41251 .59227 L
.41164 .60198 L
.40773 .6064 L
.39802 .6115 L
.39753 .61169 L
.38831 .61452 L
.37859 .61631 L
.36888 .61732 L
.35917 .61759 L
.34946 .61667 L
.34065 .61169 L
.33974 .61069 L
.33738 .60198 L
.33974 .59766 L
.3456 .59227 L
.34946 .58923 L
.35917 .58449 L
.36888 .58266 L
.36974 .58256 L
.37859 .58043 L
.38585 .57284 L
.38543 .56313 L
.38572 .55342 L
.38831 .5475 L
.39128 .54371 L
.39802 .5379 L
.40773 .53454 L
.41076 .53399 L
.41744 .53236 L
.42716 .5305 L
.43687 .52893 L
.44658 .52708 L
.45222 .52428 L
.4556 .51457 L
.45369 .50486 L
.45369 .49514 L
.4556 .48543 L
.45222 .47572 L
.44658 .47292 L
.43687 .47107 L
.42716 .4695 L
.41744 .46764 L
.41076 .46601 L
.40773 .46546 L
.39802 .4621 L
.39128 .45629 L
.38831 .4525 L
.38572 .44658 L
.38543 .43687 L
.38585 .42716 L
.37859 .41957 L
.36974 .41744 L
.36888 .41734 L
.35917 .41551 L
.34946 .41077 L
.3456 .40773 L
.33974 .40234 L
.33738 .39802 L
.33974 .38931 L
.34065 .38831 L
F
.79 .719 0 r
.35917 .38549 m
.36888 .38522 L
.37859 .38612 L
.38831 .38812 L
.38902 .38831 L
.39802 .39136 L
.40675 .39802 L
.40698 .40773 L
.40773 .41717 L
.40825 .41744 L
.41744 .42115 L
.42716 .42202 L
.43687 .42279 L
.44658 .42354 L
.45629 .4243 L
.46601 .42514 L
.47572 .42613 L
.48366 .42716 L
.48543 .42745 L
.49514 .4294 L
.50486 .43261 L
.51084 .43687 L
.50899 .44658 L
.50486 .45163 L
.50126 .45629 L
.50486 .46589 L
.50528 .46601 L
.51457 .46732 L
.52428 .46933 L
.53399 .4694 L
.54371 .46933 L
.55342 .46914 L
.56313 .46885 L
.57284 .46845 L
.58256 .46792 L
.59227 .46723 L
.60198 .46634 L
.60507 .46601 L
.61169 .46526 L
.62141 .4648 L
.63112 .46261 L
.64083 .45955 L
.64948 .45629 L
.65054 .45587 L
.66026 .45192 L
.66997 .44859 L
.67786 .44658 L
.67968 .4463 L
.68939 .44509 L
.69911 .44489 L
.70882 .4459 L
.71249 .44658 L
.71853 .448 L
.72824 .45363 L
.73052 .45629 L
.73593 .46601 L
.73582 .47572 L
.73159 .48543 L
.72824 .49254 L
.72735 .49514 L
.72735 .50486 L
.72824 .50746 L
.73159 .51457 L
.73582 .52428 L
.73593 .53399 L
.73052 .54371 L
.72824 .54637 L
.71853 .552 L
.71249 .55342 L
.70882 .5541 L
.69911 .55511 L
.68939 .55491 L
.67968 .5537 L
.67786 .55342 L
.66997 .55141 L
.66026 .54808 L
.65054 .54413 L
.64948 .54371 L
.64083 .54045 L
.63112 .53739 L
.62141 .5352 L
.61169 .53474 L
.60507 .53399 L
.60198 .53366 L
.59227 .53277 L
.58256 .53208 L
.57284 .53155 L
.56313 .53115 L
.55342 .53086 L
.54371 .53067 L
.53399 .5306 L
.52428 .53067 L
.51457 .53268 L
.50528 .53399 L
.50486 .53411 L
.50126 .54371 L
.50486 .54837 L
.50899 .55342 L
.51084 .56313 L
.50486 .56739 L
.49514 .5706 L
.48543 .57255 L
.48366 .57284 L
.47572 .57387 L
.46601 .57486 L
.45629 .5757 L
.44658 .57646 L
.43687 .57721 L
.42716 .57798 L
.41744 .57885 L
.40825 .58256 L
.40773 .58283 L
.40698 .59227 L
.40675 .60198 L
.39802 .60864 L
.38902 .61169 L
.38831 .61188 L
.37859 .61388 L
.36888 .61478 L
.35917 .61451 L
.34948 .61169 L
.34946 .61166 L
.34255 .60198 L
.34946 .59352 L
.35126 .59227 L
.35917 .58713 L
.36888 .58388 L
.37859 .58276 L
.38138 .58256 L
.38831 .58017 L
.39141 .57284 L
.38838 .56313 L
.38831 .56275 L
.38807 .55342 L
.38831 .5526 L
.39381 .54371 L
.39802 .5397 L
.40773 .53533 L
.41485 .53399 L
.41744 .53337 L
.42716 .53147 L
.43687 .52999 L
.44658 .5287 L
.45609 .52428 L
.45629 .52409 L
.45731 .51457 L
.45629 .51078 L
.45497 .50486 L
.45497 .49514 L
.45629 .48922 L
.45731 .48543 L
.45629 .47591 L
.45609 .47572 L
.44658 .4713 L
.43687 .47001 L
.42716 .46853 L
.41744 .46663 L
.41485 .46601 L
.40773 .46467 L
.39802 .4603 L
.39381 .45629 L
.38831 .4474 L
.38807 .44658 L
.38831 .43725 L
.38838 .43687 L
.39141 .42716 L
.38831 .41983 L
.38138 .41744 L
.37859 .41724 L
.36888 .41612 L
.35917 .41287 L
.35126 .40773 L
.34946 .40648 L
.34255 .39802 L
.34946 .38834 L
.34948 .38831 L
F
.82 .64 0 r
.35917 .59161 m
.36888 .58655 L
.37859 .58428 L
.38831 .58451 L
.39802 .58958 L
.40038 .59227 L
.4012 .60198 L
.39802 .6048 L
.38831 .60909 L
.37859 .61102 L
.36888 .61161 L
.35917 .61061 L
.34946 .60505 L
.34852 .60198 L
.34946 .59951 L
.3582 .59227 L
F
.34946 .39495 m
.35917 .38939 L
.36888 .38839 L
.37859 .38898 L
.38831 .39091 L
.39802 .3952 L
.4012 .39802 L
.40038 .40773 L
.39802 .41042 L
.38831 .41549 L
.37859 .41572 L
.36888 .41345 L
.35917 .40839 L
.3582 .40773 L
.34946 .40049 L
.34852 .39802 L
F
.85 .553 0 r
.35917 .39426 m
.36888 .3918 L
.37859 .39212 L
.38831 .39453 L
.39482 .39802 L
.39036 .40773 L
.38831 .40957 L
.37859 .41109 L
.36888 .40804 L
.368 .40773 L
.35917 .40334 L
.35547 .39802 L
F
.36888 .59196 m
.37859 .58891 L
.38831 .59043 L
.39036 .59227 L
.39482 .60198 L
.38831 .60547 L
.37859 .60788 L
.36888 .6082 L
.35917 .60574 L
.35547 .60198 L
.35917 .59666 L
.368 .59227 L
F
.88 .458 0 r
.36888 .39743 m
.37859 .39688 L
.38241 .39802 L
.37859 .40368 L
.36888 .40143 L
.36774 .39802 L
F
.36888 .59857 m
.37859 .59632 L
.38241 .60198 L
.37859 .60312 L
.36888 .60257 L
.36774 .60198 L
F
0 .34 .292 r
.37859 .47985 m
.38831 .47981 L
.39802 .48036 L
.40773 .48149 L
.41744 .4838 L
.42172 .48543 L
.42716 .48904 L
.4309 .49514 L
.4309 .50486 L
.42716 .51096 L
.42172 .51457 L
.41744 .5162 L
.40773 .51851 L
.39802 .51964 L
.38831 .52019 L
.37859 .52015 L
.37009 .51457 L
.36926 .50486 L
.36926 .49514 L
.37009 .48543 L
F
0 .31 .307 r
.38831 .48315 m
.39802 .48279 L
.40773 .48375 L
.41477 .48543 L
.41744 .48625 L
.42716 .49367 L
.4278 .49514 L
.4278 .50486 L
.42716 .50633 L
.41744 .51375 L
.41477 .51457 L
.40773 .51625 L
.39802 .51721 L
.38831 .51685 L
.38036 .51457 L
.37859 .51311 L
.37487 .50486 L
.37487 .49514 L
.37859 .48689 L
.38036 .48543 L
F
0 .246 .28 r
.38831 .48738 m
.39802 .48579 L
.40773 .4863 L
.41744 .48889 L
.42535 .49514 L
.42535 .50486 L
.41744 .51111 L
.40773 .5137 L
.39802 .51421 L
.38831 .51262 L
.38061 .50486 L
.38061 .49514 L
F
0 .188 .25 r
.38831 .49359 m
.39802 .48904 L
.40773 .48909 L
.41744 .49259 L
.42068 .49514 L
.42068 .50486 L
.41744 .50741 L
.40773 .51091 L
.39802 .51096 L
.38831 .50641 L
.38721 .50486 L
.38721 .49514 L
F
.82 .64 0 r
.39802 .42654 m
.40773 .42226 L
.41744 .42449 L
.42716 .42377 L
.43687 .424 L
.44658 .42448 L
.45629 .42512 L
.46601 .42589 L
.47572 .4269 L
.47784 .42716 L
.48543 .42835 L
.49514 .43047 L
.50486 .43422 L
.50826 .43687 L
.50703 .44658 L
.50486 .44932 L
.49909 .45629 L
.50016 .46601 L
.50486 .46699 L
.51457 .46799 L
.52428 .4701 L
.53399 .46997 L
.54371 .4698 L
.55342 .46956 L
.56313 .46925 L
.57284 .46885 L
.58256 .46833 L
.59227 .46767 L
.60198 .46683 L
.60967 .46601 L
.61169 .46578 L
.62141 .46522 L
.63112 .46339 L
.64083 .4607 L
.65054 .45737 L
.65338 .45629 L
.66026 .45373 L
.66997 .45051 L
.67968 .44823 L
.68939 .44708 L
.69911 .44706 L
.70882 .44809 L
.71853 .45109 L
.72489 .45629 L
.72824 .46046 L
.7306 .46601 L
.72982 .47572 L
.72824 .47954 L
.72513 .48543 L
.72125 .49514 L
.72125 .50486 L
.72513 .51457 L
.72824 .52046 L
.72982 .52428 L
.7306 .53399 L
.72824 .53954 L
.72489 .54371 L
.71853 .54891 L
.70882 .55191 L
.69911 .55294 L
.68939 .55292 L
.67968 .55177 L
.66997 .54949 L
.66026 .54627 L
.65338 .54371 L
.65054 .54263 L
.64083 .5393 L
.63112 .53661 L
.62141 .53478 L
.61169 .53422 L
.60967 .53399 L
.60198 .53317 L
.59227 .53233 L
.58256 .53167 L
.57284 .53115 L
.56313 .53075 L
.55342 .53044 L
.54371 .5302 L
.53399 .53003 L
.52428 .5299 L
.51457 .53201 L
.50486 .53301 L
.50016 .53399 L
.49909 .54371 L
.50486 .55068 L
.50703 .55342 L
.50826 .56313 L
.50486 .56578 L
.49514 .56953 L
.48543 .57165 L
.47784 .57284 L
.47572 .5731 L
.46601 .57411 L
.45629 .57488 L
.44658 .57552 L
.43687 .576 L
.42716 .57623 L
.41744 .57551 L
.40773 .57774 L
.39802 .57346 L
.39745 .57284 L
.39133 .56313 L
.39042 .55342 L
.39635 .54371 L
.39802 .54194 L
.40773 .53627 L
.41744 .53423 L
.41915 .53399 L
.42716 .53242 L
.43687 .53099 L
.44658 .53006 L
.45629 .52647 L
.45986 .52428 L
.45899 .51457 L
.45629 .50532 L
.4562 .50486 L
.4562 .49514 L
.45629 .49468 L
.45899 .48543 L
.45986 .47572 L
.45629 .47353 L
.44658 .46994 L
.43687 .46901 L
.42716 .46758 L
.41915 .46601 L
.41744 .46577 L
.40773 .46373 L
.39802 .45806 L
.39635 .45629 L
.39042 .44658 L
.39133 .43687 L
.39745 .42716 L
F
.85 .553 0 r
.40773 .42575 m
.41744 .42629 L
.42716 .42512 L
.43687 .42504 L
.44658 .42536 L
.45629 .42589 L
.46601 .42664 L
.47133 .42716 L
.47572 .42728 L
.48543 .42927 L
.49514 .43158 L
.50486 .43616 L
.50565 .43687 L
.50505 .44658 L
.50486 .44685 L
.49688 .45629 L
.49514 .45871 L
.49482 .46601 L
.49514 .46613 L
.50486 .46793 L
.51457 .46861 L
.52428 .47081 L
.53399 .4705 L
.54371 .47024 L
.55342 .46996 L
.56313 .46963 L
.57284 .46923 L
.58256 .46873 L
.59227 .4681 L
.60198 .46731 L
.61169 .46631 L
.61426 .46601 L
.62141 .46558 L
.63112 .46409 L
.64083 .46175 L
.65054 .45879 L
.65788 .45629 L
.66026 .45549 L
.66997 .45244 L
.67968 .45023 L
.68939 .44911 L
.69911 .44916 L
.70882 .45068 L
.71853 .45596 L
.71887 .45629 L
.72531 .46601 L
.72421 .47572 L
.71965 .48543 L
.71853 .48811 L
.71638 .49514 L
.71638 .50486 L
.71853 .51189 L
.71965 .51457 L
.72421 .52428 L
.72531 .53399 L
.71887 .54371 L
.71853 .54404 L
.70882 .54932 L
.69911 .55084 L
.68939 .55089 L
.67968 .54977 L
.66997 .54756 L
.66026 .54451 L
.65788 .54371 L
.65054 .54121 L
.64083 .53825 L
.63112 .53591 L
.62141 .53442 L
.61426 .53399 L
.61169 .53369 L
.60198 .53269 L
.59227 .5319 L
.58256 .53127 L
.57284 .53077 L
.56313 .53037 L
.55342 .53004 L
.54371 .52976 L
.53399 .5295 L
.52428 .52919 L
.51457 .53139 L
.50486 .53207 L
.49514 .53387 L
.49482 .53399 L
.49514 .54129 L
.49688 .54371 L
.50486 .55315 L
.50505 .55342 L
.50565 .56313 L
.50486 .56384 L
.49514 .56842 L
.48543 .57073 L
.47572 .57272 L
.47133 .57284 L
.46601 .57336 L
.45629 .57411 L
.44658 .57464 L
.43687 .57496 L
.42716 .57488 L
.41744 .57371 L
.40773 .57425 L
.40415 .57284 L
.39802 .56736 L
.39429 .56313 L
.39276 .55342 L
.39802 .5445 L
.39889 .54371 L
.40773 .53743 L
.41744 .53485 L
.42376 .53399 L
.42716 .53336 L
.43687 .53194 L
.44658 .53121 L
.45629 .52836 L
.46354 .52428 L
.46061 .51457 L
.45744 .50486 L
.45744 .49514 L
.46061 .48543 L
.46354 .47572 L
.45629 .47164 L
.44658 .46879 L
.43687 .46806 L
.42716 .46664 L
.42376 .46601 L
.41744 .46515 L
.40773 .46257 L
.39889 .45629 L
.39802 .4555 L
.39276 .44658 L
.39429 .43687 L
.39802 .43264 L
.40415 .42716 L
F
.88 .458 0 r
.41744 .42703 m
.42716 .42617 L
.43687 .42597 L
.44658 .42617 L
.45629 .42665 L
.46355 .42716 L
.46601 .42728 L
.47572 .42752 L
.48543 .43021 L
.49514 .43277 L
.503 .43687 L
.50306 .44658 L
.49514 .45573 L
.49463 .45629 L
.48916 .46601 L
.49514 .46787 L
.50486 .46879 L
.51457 .46921 L
.52428 .47146 L
.53399 .47099 L
.54371 .47066 L
.55342 .47035 L
.56313 .47 L
.57284 .4696 L
.58256 .46911 L
.59227 .46851 L
.60198 .46777 L
.61169 .46685 L
.61894 .46601 L
.62141 .46587 L
.63112 .46472 L
.64083 .46273 L
.65054 .46013 L
.66026 .45719 L
.66284 .45629 L
.66997 .45438 L
.67968 .45231 L
.68939 .45131 L
.69911 .45165 L
.70882 .45426 L
.7123 .45629 L
.71853 .46255 L
.71998 .46601 L
.71893 .47572 L
.71853 .47681 L
.71485 .48543 L
.71217 .49514 L
.71217 .50486 L
.71485 .51457 L
.71853 .52319 L
.71893 .52428 L
.71998 .53399 L
.71853 .53745 L
.7123 .54371 L
.70882 .54574 L
.69911 .54835 L
.68939 .54869 L
.67968 .54769 L
.66997 .54562 L
.66284 .54371 L
.66026 .54281 L
.65054 .53987 L
.64083 .53727 L
.63112 .53528 L
.62141 .53413 L
.61894 .53399 L
.61169 .53315 L
.60198 .53223 L
.59227 .53149 L
.58256 .53089 L
.57284 .5304 L
.56313 .53 L
.55342 .52965 L
.54371 .52934 L
.53399 .52901 L
.52428 .52854 L
.51457 .53079 L
.50486 .53121 L
.49514 .53213 L
.48916 .53399 L
.49463 .54371 L
.49514 .54427 L
.50306 .55342 L
.503 .56313 L
.49514 .56723 L
.48543 .56979 L
.47572 .57248 L
.46601 .57272 L
.46355 .57284 L
.45629 .57335 L
.44658 .57383 L
.43687 .57403 L
.42716 .57383 L
.41744 .57297 L
.4121 .57284 L
.40773 .57153 L
.39802 .56426 L
.39728 .56313 L
.39509 .55342 L
.39802 .54724 L
.40145 .54371 L
.40773 .53886 L
.41744 .53557 L
.42716 .53418 L
.42884 .53399 L
.43687 .53285 L
.44658 .53218 L
.45629 .53001 L
.46601 .52701 L
.46714 .52428 L
.46601 .52199 L
.46219 .51457 L
.45865 .50486 L
.45865 .49514 L
.46219 .48543 L
.46601 .47801 L
.46714 .47572 L
.46601 .47299 L
.45629 .46999 L
.44658 .46782 L
.43687 .46715 L
.42884 .46601 L
.42716 .46582 L
.41744 .46443 L
.40773 .46114 L
.40145 .45629 L
.39802 .45276 L
.39509 .44658 L
.39728 .43687 L
.39802 .43574 L
.40773 .42847 L
.4121 .42716 L
F
0 .136 .22 r
.39802 .49403 m
.40773 .49307 L
.41299 .49514 L
.41299 .50486 L
.40773 .50693 L
.39802 .50597 L
.39616 .50486 L
.39616 .49514 L
F
.91 .355 0 r
.42716 .42702 m
.43687 .42681 L
.44658 .42695 L
.45182 .42716 L
.45629 .42733 L
.46601 .42771 L
.47572 .42784 L
.48543 .43119 L
.49514 .43407 L
.50029 .43687 L
.50105 .44658 L
.49514 .45343 L
.49235 .45629 L
.48543 .46324 L
.48284 .46601 L
.48543 .46826 L
.49514 .46923 L
.50486 .46959 L
.51457 .46978 L
.52428 .47204 L
.53399 .47146 L
.54371 .47106 L
.55342 .47071 L
.56313 .47036 L
.57284 .46995 L
.58256 .46948 L
.59227 .46891 L
.60198 .46822 L
.61169 .46736 L
.62141 .4663 L
.62376 .46601 L
.63112 .46529 L
.64083 .46364 L
.65054 .46139 L
.66026 .45883 L
.66997 .45633 L
.67012 .45629 L
.67968 .45448 L
.68939 .45375 L
.69911 .4547 L
.70471 .45629 L
.70882 .45882 L
.71453 .46601 L
.71392 .47572 L
.71058 .48543 L
.70882 .49335 L
.70857 .49514 L
.70857 .50486 L
.70882 .50665 L
.71058 .51457 L
.71392 .52428 L
.71453 .53399 L
.70882 .54118 L
.70471 .54371 L
.69911 .5453 L
.68939 .54625 L
.67968 .54552 L
.67012 .54371 L
.66997 .54367 L
.66026 .54117 L
.65054 .53861 L
.64083 .53636 L
.63112 .53471 L
.62376 .53399 L
.62141 .5337 L
.61169 .53264 L
.60198 .53178 L
.59227 .53109 L
.58256 .53052 L
.57284 .53005 L
.56313 .52964 L
.55342 .52929 L
.54371 .52894 L
.53399 .52854 L
.52428 .52796 L
.51457 .53022 L
.50486 .53041 L
.49514 .53077 L
.48543 .53174 L
.48284 .53399 L
.48543 .53676 L
.49235 .54371 L
.49514 .54657 L
.50105 .55342 L
.50029 .56313 L
.49514 .56593 L
.48543 .56881 L
.47572 .57216 L
.46601 .57229 L
.45629 .57267 L
.45182 .57284 L
.44658 .57305 L
.43687 .57319 L
.42716 .57298 L
.42283 .57284 L
.41744 .57211 L
.40773 .56935 L
.4003 .56313 L
.39802 .55864 L
.39744 .55342 L
.39802 .55141 L
.40406 .54371 L
.40773 .54062 L
.41744 .53642 L
.42716 .53477 L
.43482 .53399 L
.43687 .53374 L
.44658 .53301 L
.45629 .53152 L
.46601 .53047 L
.47069 .52428 L
.46601 .51841 L
.46373 .51457 L
.45982 .50486 L
.45982 .49514 L
.46373 .48543 L
.46601 .48159 L
.47069 .47572 L
.46601 .46953 L
.45629 .46848 L
.44658 .46699 L
.43687 .46626 L
.43482 .46601 L
.42716 .46523 L
.41744 .46358 L
.40773 .45938 L
.40406 .45629 L
.39802 .44859 L
.39744 .44658 L
.39802 .44136 L
.4003 .43687 L
.40773 .43065 L
.41744 .42789 L
.42283 .42716 L
F
.94 .244 0 r
.40773 .43287 m
.41744 .42932 L
.42716 .42803 L
.43687 .42763 L
.44658 .42765 L
.45629 .42789 L
.46601 .42817 L
.47572 .4283 L
.48543 .4322 L
.49514 .43551 L
.49749 .43687 L
.49899 .44658 L
.49514 .45123 L
.48998 .45629 L
.48543 .46021 L
.47572 .46562 L
.47431 .46601 L
.47572 .47441 L
.48543 .47087 L
.49514 .4704 L
.50486 .47033 L
.51457 .47032 L
.52428 .47258 L
.53399 .47189 L
.54371 .47144 L
.55342 .47107 L
.56313 .4707 L
.57284 .4703 L
.58256 .46984 L
.59227 .4693 L
.60198 .46865 L
.61169 .46786 L
.62141 .4669 L
.62889 .46601 L
.63112 .46581 L
.64083 .46449 L
.65054 .4626 L
.66026 .46041 L
.66997 .4583 L
.67968 .45677 L
.68939 .45647 L
.69911 .45829 L
.70879 .46601 L
.70882 .46609 L
.70913 .47572 L
.70882 .47713 L
.70672 .48543 L
.70525 .49514 L
.70525 .50486 L
.70672 .51457 L
.70882 .52287 L
.70913 .52428 L
.70882 .53391 L
.70879 .53399 L
.69911 .54171 L
.68939 .54353 L
.67968 .54323 L
.66997 .5417 L
.66026 .53959 L
.65054 .5374 L
.64083 .53551 L
.63112 .53419 L
.62889 .53399 L
.62141 .5331 L
.61169 .53214 L
.60198 .53135 L
.59227 .5307 L
.58256 .53016 L
.57284 .5297 L
.56313 .5293 L
.55342 .52893 L
.54371 .52856 L
.53399 .52811 L
.52428 .52742 L
.51457 .52968 L
.50486 .52967 L
.49514 .5296 L
.48543 .52913 L
.47572 .52559 L
.47418 .52428 L
.46601 .51581 L
.46523 .51457 L
.46097 .50486 L
.46097 .49514 L
.46523 .48543 L
.46601 .48419 L
.47418 .47572 L
.46601 .46722 L
.45629 .46708 L
.44658 .46625 L
.44182 .46601 L
.43687 .46556 L
.42716 .46458 L
.41744 .46254 L
.40773 .45721 L
.40672 .45629 L
.39979 .44658 L
.40338 .43687 L
F
.44658 .53375 m
.45629 .53292 L
.46601 .53278 L
.47431 .53399 L
.47572 .53438 L
.48543 .53979 L
.48998 .54371 L
.49514 .54877 L
.49899 .55342 L
.49749 .56313 L
.49514 .56449 L
.48543 .5678 L
.47572 .5717 L
.46601 .57183 L
.45629 .57211 L
.44658 .57235 L
.43687 .57237 L
.42716 .57197 L
.41744 .57068 L
.40773 .56713 L
.40338 .56313 L
.39979 .55342 L
.40672 .54371 L
.40773 .54279 L
.41744 .53746 L
.42716 .53542 L
.43687 .53444 L
.44182 .53399 L
F
.97 .126 0 r
.40773 .43565 m
.41744 .43077 L
.42716 .42908 L
.43687 .42846 L
.44658 .42833 L
.45629 .42847 L
.46601 .42871 L
.47572 .42893 L
.48543 .43327 L
.49459 .43687 L
.49514 .43733 L
.49689 .44658 L
.49514 .4489 L
.48752 .45629 L
.48543 .45795 L
.47572 .46337 L
.46601 .46516 L
.45629 .46578 L
.44658 .4655 L
.43687 .46491 L
.42716 .46382 L
.41744 .46127 L
.40944 .45629 L
.40773 .45503 L
.40217 .44658 L
.40656 .43687 L
F
.41744 .53873 m
.42716 .53618 L
.43687 .53509 L
.44658 .5345 L
.45629 .53422 L
.46601 .53484 L
.47572 .53663 L
.48543 .54205 L
.48752 .54371 L
.49514 .5511 L
.49689 .55342 L
.49514 .56267 L
.49459 .56313 L
.48543 .56673 L
.47572 .57107 L
.46601 .57129 L
.45629 .57153 L
.44658 .57167 L
.43687 .57154 L
.42716 .57092 L
.41744 .56923 L
.40773 .56435 L
.40656 .56313 L
.40217 .55342 L
.40773 .54497 L
.40944 .54371 L
F
1 0 0 r
.41744 .43237 m
.42716 .43017 L
.43687 .42931 L
.44658 .42905 L
.45629 .42911 L
.46601 .42935 L
.47572 .42977 L
.48543 .43441 L
.4916 .43687 L
.49475 .44658 L
.48543 .45592 L
.48495 .45629 L
.47572 .4615 L
.46601 .46325 L
.45629 .46471 L
.44658 .46472 L
.43687 .4642 L
.42716 .46293 L
.41744 .45972 L
.41225 .45629 L
.40773 .4526 L
.40459 .44658 L
.40773 .43885 L
.40983 .43687 L
F
.41744 .54028 m
.42716 .53707 L
.43687 .5358 L
.44658 .53528 L
.45629 .53529 L
.46601 .53675 L
.47572 .5385 L
.48495 .54371 L
.48543 .54408 L
.49475 .55342 L
.4916 .56313 L
.48543 .56559 L
.47572 .57023 L
.46601 .57065 L
.45629 .57089 L
.44658 .57095 L
.43687 .57069 L
.42716 .56983 L
.41744 .56763 L
.40983 .56313 L
.40773 .56115 L
.40459 .55342 L
.40773 .5474 L
.41225 .54371 L
F
.97 .126 0 r
.64083 .46528 m
.65054 .46374 L
.66026 .46195 L
.66997 .46027 L
.67968 .45921 L
.68939 .45934 L
.69911 .46279 L
.70265 .46601 L
.70451 .47572 L
.70316 .48543 L
.70226 .49514 L
.70226 .50486 L
.70316 .51457 L
.70451 .52428 L
.70265 .53399 L
.69911 .53721 L
.68939 .54066 L
.67968 .54079 L
.66997 .53973 L
.66026 .53805 L
.65054 .53626 L
.64083 .53472 L
.63443 .53399 L
.63112 .53358 L
.62141 .53252 L
.61169 .53165 L
.60198 .53093 L
.59227 .53032 L
.58256 .52981 L
.57284 .52937 L
.56313 .52897 L
.55342 .5286 L
.54371 .5282 L
.53399 .52771 L
.52428 .52695 L
.51457 .52915 L
.50486 .52897 L
.49514 .52856 L
.48543 .52734 L
.47764 .52428 L
.47572 .52325 L
.4667 .51457 L
.46601 .51353 L
.4621 .50486 L
.4621 .49514 L
.46601 .48647 L
.4667 .48543 L
.47572 .47675 L
.47764 .47572 L
.48543 .47266 L
.49514 .47144 L
.50486 .47103 L
.51457 .47085 L
.52428 .47305 L
.53399 .47229 L
.54371 .4718 L
.55342 .4714 L
.56313 .47103 L
.57284 .47063 L
.58256 .47019 L
.59227 .46968 L
.60198 .46907 L
.61169 .46835 L
.62141 .46748 L
.63112 .46642 L
.63443 .46601 L
F
1 0 0 r
.65054 .46483 m
.66026 .46344 L
.66997 .46223 L
.67968 .46176 L
.68939 .46285 L
.69577 .46601 L
.69911 .47091 L
.70006 .47572 L
.69989 .48543 L
.69955 .49514 L
.69955 .50486 L
.69989 .51457 L
.70006 .52428 L
.69911 .52909 L
.69577 .53399 L
.68939 .53715 L
.67968 .53824 L
.66997 .53777 L
.66026 .53656 L
.65054 .53517 L
.64093 .53399 L
.64083 .53398 L
.63112 .53289 L
.62141 .53197 L
.61169 .53118 L
.60198 .53052 L
.59227 .52996 L
.58256 .52947 L
.57284 .52905 L
.56313 .52866 L
.55342 .52828 L
.54371 .52786 L
.53399 .52734 L
.52428 .52652 L
.51457 .52864 L
.50486 .5283 L
.49514 .52761 L
.48543 .52588 L
.48107 .52428 L
.47572 .52163 L
.46816 .51457 L
.46601 .51138 L
.4632 .50486 L
.4632 .49514 L
.46601 .48862 L
.46816 .48543 L
.47572 .47837 L
.48107 .47572 L
.48543 .47412 L
.49514 .47239 L
.50486 .4717 L
.51457 .47136 L
.52428 .47348 L
.53399 .47266 L
.54371 .47214 L
.55342 .47172 L
.56313 .47134 L
.57284 .47095 L
.58256 .47053 L
.59227 .47004 L
.60198 .46948 L
.61169 .46882 L
.62141 .46803 L
.63112 .46711 L
.64083 .46602 L
.64093 .46601 L
F
0 .01 .1 r
.52428 .38717 m
.53399 .38511 L
.54371 .38525 L
.55291 .38831 L
.55342 .38851 L
.56289 .39802 L
.55342 .40366 L
.54371 .40532 L
.53399 .40584 L
.52428 .40553 L
.51457 .40415 L
.50527 .39802 L
.51457 .3906 L
.51994 .38831 L
F
.51457 .59585 m
.52428 .59447 L
.53399 .59416 L
.54371 .59468 L
.55342 .59634 L
.56289 .60198 L
.55342 .61149 L
.55291 .61169 L
.54371 .61475 L
.53399 .61489 L
.52428 .61283 L
.51994 .61169 L
.51457 .6094 L
.50527 .60198 L
F
0 .093 .19 r
.58256 .43598 m
.59227 .43586 L
.59571 .43687 L
.60198 .44021 L
.60367 .44658 L
.60198 .44969 L
.59227 .45533 L
.58949 .45629 L
.58256 .45749 L
.57284 .45846 L
.56313 .4586 L
.55342 .4576 L
.54838 .45629 L
.55249 .44658 L
.55342 .44597 L
.56313 .44108 L
.57284 .438 L
.57818 .43687 L
F
.55342 .5424 m
.56313 .5414 L
.57284 .54154 L
.58256 .54251 L
.58949 .54371 L
.59227 .54467 L
.60198 .55031 L
.60367 .55342 L
.60198 .55979 L
.59571 .56313 L
.59227 .56414 L
.58256 .56402 L
.57818 .56313 L
.57284 .562 L
.56313 .55892 L
.55342 .55403 L
.55249 .55342 L
.54838 .54371 L
F
0 .058 .16 r
.56313 .44327 m
.57284 .44034 L
.58256 .43905 L
.59227 .43992 L
.59948 .44658 L
.59227 .45366 L
.58377 .45629 L
.58256 .45647 L
.57284 .45754 L
.56313 .4576 L
.55395 .45629 L
.55588 .44658 L
F
.56313 .5424 m
.57284 .54246 L
.58256 .54353 L
.58377 .54371 L
.59227 .54634 L
.59948 .55342 L
.59227 .56008 L
.58256 .56095 L
.57284 .55966 L
.56313 .55673 L
.55588 .55342 L
.55395 .54371 L
F
0 .03 .13 r
.56313 .44572 m
.57284 .44273 L
.58256 .44185 L
.59227 .44445 L
.59392 .44658 L
.59227 .45083 L
.58256 .45508 L
.57506 .45629 L
.57284 .45646 L
.56313 .45639 L
.56217 .45629 L
.56099 .44658 L
F
.56313 .54361 m
.57284 .54354 L
.57506 .54371 L
.58256 .54492 L
.59227 .54917 L
.59392 .55342 L
.59227 .55555 L
.58256 .55815 L
.57284 .55727 L
.56313 .55428 L
.56099 .55342 L
.56217 .54371 L
F
0 .01 .1 r
.57284 .54517 m
.58256 .54706 L
.58592 .55342 L
.58256 .5547 L
.57284 .55449 L
.56864 .55342 L
F
.57284 .44551 m
.58256 .4453 L
.58592 .44658 L
.58256 .45294 L
.57284 .45483 L
.56864 .44658 L
F
0 .31 .307 r
.98077 .4495 m
.98059 .44658 L
.98077 .44204 L
F
.98077 .55796 m
.98059 .55342 L
.98077 .5505 L
F
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{439, 439},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006g0001]b000`400?l00000o`00003oo`3ooonh
0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh
0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh
0?ooo`00o`3ooonh0?ooo`00:`3oool3000005T0oooo0P0000040?ooo`030000003oool0oooo0080
oooo0`00001F0?ooo`800000F@3oool2000000@0oooo00<000000?ooo`3oool00P3oool3000005P0
oooo0`0000080?ooo`00;03oool00`000000oooo0?ooo`1G0?ooo`040000003oool0oooo000000L0
oooo00D000000?ooo`3oool0oooo0000001D0?ooo`040000003oool0oooo000005L0oooo00@00000
0?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000005P0oooo00<000000?ooo`3oool0
1`3oool002@0oooo1@0000030?ooo`030000003oool0oooo0500oooo1@0000020?ooo`040000003o
ool0oooo000000/0oooo00<000000?ooo`3oool0DP3oool010000000oooo0?ooo`00001G0?ooo`04
0000003oool0oooo000000/0oooo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`070?oo
o`00;03oool00`000000oooo0?ooo`1G0?ooo`040000003oool0oooo000000/0oooo00<000000?oo
o`3oool0DP3oool010000000oooo0?ooo`00001G0?ooo`040000003oool0oooo000000/0oooo00<0
00000?ooo`3oool0EP3oool00`000000oooo0?ooo`070?ooo`00;03oool00`000000oooo0?ooo`1G
0?ooo`040000003oool0oooo000000L0oooo1000001E0?ooo`040000003oool0oooo000005L0oooo
00@000000?ooo`3oool000001`3oool4000005T0oooo00<000000?ooo`3oool01`3oool002/0oooo
0P00001I0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0EP3oool010000000
oooo0?ooo`00001G0?ooo`040000003oool0oooo000000L0oooo00<000000?ooo`3oool0F@3oool2
000000T0oooo000/0?ooo`030000003oool0oooo05P0oooo0P0000080?ooo`D00000E@3oool20000
05T0oooo0P0000080?ooo`D00000F03oool00`000000oooo0?ooo`070?ooo`00o`3ooonh0?ooo`00
o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00o`3ooonh0?ooo`00
8`3ooooo000009@000000@3oool002<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0A0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?oo
o`0@0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0103oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo00@0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?ooo`1N0?oo
o`030000003oool0oooo05h0oooo00<000000?ooo`3oool0103oool100000040oooo000S0?ooo`03
0000003oool0oooo0?l0ooooT03oool100000040oooo000S0?ooo`030000003oool0oooo0?l0oooo
T03oool100000040oooo000S0?ooo`030000003oool0oooo0?l0ooooT03oool100000040oooo000S
0?ooo`030000003oool0oooo0?l0ooooT03oool100000040oooo000S0?ooo`800000o`3ooon@0?oo
o`8000000@3oool002<0oooo00<000000?ooo`3oool0103oool6000G<0`000hX4@001b7o00026E40
008I4@001b470?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7000G<0`000hX
4@001b7o00026Dl0008I4P001b470?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
ool8000G<0`000hX4@001b7o00026Dd0008I4`001b470?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool9000G<0`000hX4@001b7o00026D/0008I50001b470?ooo`4000000@3oool0
02<0oooo00<000000?ooo`3oool0103oool;000G<0`000hX40001b7o00026DP0008I5P001b470?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool2000R>0X001L`30003RP@00078Ol0
008IAP000QTG00078@L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0028h
2P005c0;000>:14000LQo`000QU400026AP000LQ1`3oool100000040oooo000S0?ooo`030000003o
ool0oooo00@0oooo10008SP:000G<0/000hX4@001b7o00026D<0008I60001b470?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103oool6000R>0T001L`30003RP@00078Ol0008I@0000QTJ
00078@L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L0028h2@005c0<000>
:14000LQo`000QTm00026A/000LQ1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0
oooo20008SP9000G<0`000hX4@001b7o00026C/0008I6`001b400`003RP0oooo0?ooo`050?ooo`40
00000@3oool002<0oooo00<000000?ooo`3oool0103oool9000R>0T001L`30003RPA00078Ol0008I
>P000QTJ00078@8000hX1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0P00
<3l9000R>0T001L`30003RPA00078Ol0008I=P000QTK00078@<000hX1`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo0`00<3l9000R>0X001L`2`003RPA00078Ol0008I=0000QTJ
00078@D000hX1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1000<3l:000R
>0T001L`2`003RPA00078Ol0008I<@000QTJ00078@L000hX1`3oool100000040oooo000S0?ooo`03
0000003oool0oooo00@0oooo1P00<3l9000R>0T001L`2P003RPA00078Ol0008I<0000QTJ00078@P0
00hX1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1`00<3l9000R>0X001L`
2@003RPB00078Ol0008I;@000QTJ00078@T000hX1`3oool100000040oooo000S0?ooo`030000003o
ool0oooo00@0oooo2000<3l9000R>0X001L`2P003RPA00078Ol0008I:`000QTJ00078@X000hX1`3o
ool100000040oooo000S0?ooo`8000001@3oool:000`?`P0028h2P005c0;000>:10000LQo`000QTY
00026AX000LQ2`003RP60?ooo`8000000@3oool002<0oooo00<000000?ooo`3oool0103oool2000n
A`T0030o2@008SP9000G<0X000hX4@001b7o00026BL0008I6P001b4<000>:0L0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`<003i72@00<3l9000R>0T001L`2`003RP@00078Ol0
008I9P000QTI00078@d000hX1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo
1000?TL:000`?`P0028h2@005c0;000>:10000LQo`000QTS00026AX000LQ3P003RP70?ooo`400000
0@3oool002<0oooo00<000000?ooo`3oool0103oool6000nA`T0030o20008SP9000G<0/000hX4000
1b7o00026B40008I6P001b4?000>:0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`L003i72@00<3l8000R>0T001L`2`003RP@00078Ol0008I7`000QTI00078A4000hX1`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo2000?TL:000`?`P0028h20005c0;000>
:10000LQo`000QTN00026AP000LQ4P003RP70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool:000nA`T0030o20008SP8000G<0/000hX40001b7o00026A/0008I6@001b4C000>:0L0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`8004m>2P00?TL8000`?`P0028h
2@005c0:000>:10000LQo`000QTI00026AT000LQ4`003RP00`005c00oooo0?ooo`050?ooo`400000
0@3oool002<0oooo00<000000?ooo`3oool0103oool4001?CPX003i72000<3l8000R>0P001L`2`00
3RP@00078Ol0008I5P000QTI00078A<000hX0P005c070?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool6001?CPT003i72000<3l8000R>0P001L`2`003RP@00078Ol0008I50000QTI
00078A<000hX0`005c070?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7001?
CPT003i72000<3l8000R>0T001L`2P003RP@00078Ol0008I4P000QTI00078A8000hX1@005c070?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool8001?CPT003i72000<3l8000R>0T0
01L`2P003RP@00078Ol0008I40000QTI00078A8000hX1P005c070?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool;001?CPP003i72000<3l7000R>0T001L`2`003RP?00078Ol0008I
3P000QTH00078A<000hX1`005c070?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
ool<001?CPP003i72000<3l7000R>0X001L`2P003RP?00078Ol0008I30000QTH00078A8000hX2@00
5c070?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool>001?CPP003i72000<3l7
000R>0T001L`2P003RP?00078Ol0008I2P000QTH00078A8000hX2P005c070?ooo`4000000@3oool0
02<0oooo00<000000?ooo`3oool0103oool3001GBP`004m>2000?TL8000`?`L0028h2@005c0:000>
:0l000LQo`000QT800026AP000LQ4P003RP;000G<0L0oooo0@0000010?ooo`00203oool2000000@0
oooo00<000000?ooo`3oool00`3oool2000000@0oooo0`0000060?ooo`030000003oool0oooo00@0
oooo1000EdX<001?CPP003i72000<3l7000R>0P001L`2`003RP?00078Ol0008I1P000QTH00078A40
00hX3@005c070?ooo`4000000@3oool000L0oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0103oool6001G
BP`004m>2000?TL7000`?`P0028h20005c0:000>:0l000LQo`000QT300026AT000LQ4@003RP>000G
<0L0oooo0@0000010?ooo`001@0000020?ooo`040000003oool0oooo000000P0oooo00D000000?oo
o`3oool000000?ooo`05000000H0oooo00<000000?ooo`3oool0103oool8001GBP/004m>2000?TL7
000`?`P0028h20005c0:000>:0l000LQo`000QT100026AT000LQ4@003RP?000G<0L0oooo0@000001
0?ooo`001`3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0P3oool00`000000oooo0?ooo`050?ooo`<00000103oool:001GBPX004m>2000?TL7000`?`P0028h
20005c0:000>:0l000LQoP000QTI00078A4000hX40005c050?ooo`<000000@3oool000L0oooo00@0
00000?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`030000003oool0000000L0
oooo00<000000?ooo`3oool0103oool<001GBPX004m>2000?TL7000`?`P0028h20005c0:000>:0l0
00LQn`000QTH00078A4000hX4@005c000`008SP0oooo0?ooo`050?ooo`4000000@3oool000L0oooo
00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`8000001`3oool00`00
0000oooo0?ooo`040?ooo`h005M:2P00Cdh8000nA`H0030o20008SP8000G<0X000hX3`001b7i0002
6AP000LQ4@003RPA000G<080028h1`3oool100000040oooo00080?ooo`8000002P3oool2000000D0
oooo00<000000?ooo`3oool01@3oool00`000000oooo0?ooo`040?oooa0005M:2@00Cdh8000nA`H0
030o20008SP8000G<0X000hX3`001b7g00026AP000LQ4@003RPA000G<0<0028h1`3oool100000040
oooo000S0?ooo`030000003oool0oooo00@0oooo4@00EdX9001?CPP003i71`00<3l7000R>0P001L`
2P003RP?00078OD0008I60001b4A000>:10001L`1@008SP70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103ooolC001GBPT004m>1`00?TL7000`?`P0028h20005c09000>:0h000LQm000
0QTH00078A4000hX40005c06000R>0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?oooa@005M:2P00Cdh7000nA`H0030o20008SP8000G<0X000hX3@001b7b00026AP000LQ4@003RP@
000G<0L0028h1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo5P00EdX9001?
CPL003i71`00<3l7000R>0P001L`2P003RP>00078Nl0008I60001b4A000>:0l001L`2@008SP70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolH001GBPP004m>1`00?TL7000`?`L0
028h20005c0:000>:0h000LQk@000QTH00078A4000hX3`005c0:000R>0L0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooaX005M:2000Cdh7000nA`H0030o20008SP8000G<0X000hX
3@001b7Z00026AP000LQ4@003RP@000G<0/0028h1`3oool100000040oooo000S0?ooo`030000003o
ool0oooo00@0oooo1P00EdX8001NA@h005M:1`00Cdh7000nA`L0030o1`008SP8000G<0X000hX3@00
1b7X00026AP000LQ4@003RP?000G<0d0028h1`3oool100000040oooo000S0?ooo`030000003oool0
oooo00@0oooo1000EdX<001NA@d005M:2000Cdh6000nA`L0030o1`008SP8000G<0X000hX3@001b7V
00026AP000LQ4@003RP>000G<0l0028h1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo1000EdX>001NA@`005M:2000Cdh7000nA`H0030o1`008SP8000G<0T000hX3P001b7T0002
6AP000LQ4@003RP>000G<100028h1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0
oooo1000EdXB001NA@X005M:1`00Cdh7000nA`L0030o1`008SP7000G<0X000hX3@001b7R00026AP0
00LQ3`003RP@000G<100028h00<0030o0?ooo`3oool01@3oool100000040oooo000S0?ooo`030000
003oool0oooo00@0oooo1000EdXD001NA@X005M:1`00Cdh6000nA`L0030o1`008SP7000G<0X000hX
3@001b7P00026AP000LQ3`003RP?000G<140028h0P00<3l70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool4001GBQH005i52@00EdX7001?CPL003i71P00<3l7000R>0L001L`2P00
3RP=00078Mh0008I60001b4?000>:0l001L`4@008SP3000`?`L0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooo`D005M:5P00GTD9001GBPL004m>1`00?TL6000`?`L0028h1`005c0:
000>:0d000LQg0000QTH00078@l000hX40005c0@000R>0@0030o1`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo1@00EdXI001NA@P005M:1`00Cdh6000nA`L0030o1`008SP8000G
<0P000hX3@001b7J00026AL000LQ4@003RP>000G<100028h1P00<3l70?ooo`4000000@3oool002<0
oooo00<000000?ooo`3oool0103oool6001GBQX005i51`00EdX8001?CPH003i71P00<3l7000R>0P0
01L`20003RP=00078MP0008I5`001b4A000>:0d001L`40008SP8000`?`L0oooo0@0000010?ooo`00
8`3oool2000000D0oooo1P00EdXK001NA@P005M:1`00Cdh7000nA`D0030o1`008SP8000G<0P000hX
3@001b7F00026AL000LQ4@003RP=000G<100028h2@00<3l60?ooo`8000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool7001GBQ/005i52000EdX7001?CPH003i71P00<3l7000R>0L001L`2@00
3RP=00078M@0008I5`001b4@000>:0h001L`40008SP:000`?`L0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooo`L005M:7000GTD:001GBPH004m>1P00?TL6000`?`L0028h1`005c08
000>:0l000LQd0000QTG00078A0000hX30005c0@000R>0d0030o1`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo2000EdXM001NA@T005M:1`00Cdh6000nA`H0030o1P008SP8000G
<0L000hX3`001b7=00026AP000LQ40003RP<000G<100028h3P00<3l70?ooo`4000000@3oool002<0
oooo00<000000?ooo`3oool0103oool00`00Cdh005M:001GBP06001GBQh005i52000EdX7001?CPH0
03i71P00<3l7000R>0L001L`2@003RP=00078L/0008I5`001b4@000>:0d001L`40008SP?000`?`L0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`03001?CP00EdX005M:00H005M:
8@00GTD8001GBPD004m>1`00?TL5000`?`L0028h1`005c08000>:0h000LQb@000QTG00078@l000hX
3@005c0?000R>180030o1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0P00
Cdh8001GBQ4005i50`00ISd=001NA@P005M:1P00Cdh6000nA`H0030o1P008SP7000G<0P000hX3P00
1b7800026AH000LQ40003RP<000G<0l0028h4`00<3l70?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool3001?CPP005M:3P00GTD7001V?@d005i52000EdX5001?CPL003i71@00<3l7
000R>0L001L`20003RP=00078LH0008I5@001b4@000>:0d001L`3P008SPE000`?`L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`@004m>2000EdX<001NA@/006Hm3000GTD7001G
BPD004m>1`00?TL5000`?`L0028h1`005c09000>:0`000LQ``000QTF00078A0000hX3@005c0>000R
>1H0030o1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1@00Cdh7001GBP/0
05i53`00ISd;001NA@H005M:1`00Cdh5000nA`L0030o1@008SP7000G<0P000hX3P001b7000026AH0
00LQ40003RP=000G<0h0028h5000<3l3000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo
0?ooo`040?ooo`H004m>1`00EdX;001NA@l006Hm2`00GTD7001GBPH004m>1P00?TL6000`?`D0028h
20005c08000>:0d000LQ_P000QTF00078@l000hX3P005c0=000R>1@0030o1@00?TL70?ooo`400000
0@3oool002<0oooo00<000000?ooo`3oool0103oool7001?CPL005M:2P00GTDB001V?@T005i52000
EdX6001?CPD003i71P00<3l5000R>0P001L`20003RP=00078K`0008I5P001b4?000>:0d001L`3@00
8SPD000`?`L003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0P00?TL6
001?CPL005M:2@00GTDE001V?@T005i51P00EdX6001?CPD003i71P00<3l5000R>0P001L`20003RP=
00078KX0008I5P001b4?000>:0d001L`3@008SPC000`?`T003i71`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo0P00?TL7001?CPL005M:2000GTDG001V?@P005i51`00EdX5001?
CPH003i71P00<3l5000R>0H001L`2@003RP=00078KP0008I5P001b4?000>:0d001L`30008SPC000`
?`/003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0`00?TL7001?CPH0
05M:2@00GTDH001V?@P005i51P00EdX6001?CPD003i71P00<3l5000R>0L001L`20003RP=00078KL0
008I5@001b4?000>:0`001L`3@008SPB000`?`d003i71`3oool100000040oooo000S0?ooo`030000
003oool0oooo00@0oooo1000?TL7001?CPH005M:2000GTDJ001V?@P005i51P00EdX5001?CPD003i7
1P00<3l5000R>0L001L`20003RP=00078KD0008I5@001b4?000>:0`001L`30008SPB000`?`l003i7
1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1P00?TL6001?CPH005M:2000
GTDK001V?@L005i51P00EdX5001?CPH003i71@00<3l6000R>0H001L`20003RP<00078K<0008I5P00
1b4?000>:0`001L`30008SPA000`?a4003i71`3oool100000040oooo000S0?ooo`030000003oool0
oooo00@0oooo1`00?TL6001?CPH005M:1`00GTDM001V?@L005i51@00EdX6001?CPD003i71000<3l7
000R>0H001L`20003RP<00078K40008I5P001b4>000>:0d001L`30008SP@000`?a<003i71`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo00<0030o000nA`00?TL01@00?TL6001?
CPH005M:1`00GTDN001V?@H005i51P00EdX5001?CPD003i71@00<3l6000R>0H001L`20003RP<0007
8K00008I50001b4?000>:0d001L`30008SP?000`?aD003i71`3oool100000040oooo000S0?ooo`80
00001@3oool2000`?`L003i71P00Cdh6001GBPL005i53P00ISd3001^<`d006Hm1`00GTD6001GBP@0
04m>1P00?TL4000`?`H0028h1P005c08000>:0`000LQ[P000QTD00078@l000hX3@005c0<000R>0h0
030o5`00?TL60?ooo`8000000@3oool002<0oooo00<000000?ooo`3oool0103oool3000`?`L003i7
1P00Cdh6001GBPL005i53000ISd6001^<``006Hm1`00GTD6001GBPD004m>1@00?TL4000`?`H0028h
1P005c08000>:0`000LQ[0000QTD00078@l000hX3@005c0<000R>0d0030o6@00?TL70?ooo`400000
0@3oool002<0oooo00<000000?ooo`3oool0103oool4000`?`L003i71P00Cdh6001GBPH005i52`00
ISd;001^<`/006Hm1@00GTD7001GBPD004m>0`00?TL6000`?`D0028h1`005c08000>:0`000LQZ000
0QTD00078@l000hX3@005c0<000R>0d0030o6`00?TL70?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool5000`?`L003i71P00Cdh6001GBPH005i52P00ISd=001^<`X006Hm1P00GTD6
001GBPD004m>1000?TL5000`?`D0028h1`005c08000>:0`000LQYP000QTD00078@l000hX3@005c0<
000R>0`0030o7@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool6000`
?`L003i71P00Cdh5001GBPL005i52@00ISd?001^<`X006Hm1P00GTD5001GBPD004m>1000?TL5000`
?`H0028h1P005c08000>:0`000LQX`000QTE00078@l000hX3@005c0<000R>0`0030o7P00?TL70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7000`?`L003i71P00Cdh5001GBPL0
05i52000ISdB001^<`P006Hm1P00GTD5001GBPD004m>1000?TL6000`?`H0028h1P005c08000>:0`0
00LQX0000QTE00078@l000hX30005c0<000R>0d0030o7`00?TL70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool8000`?`L003i71P00Cdh6001GBPD005i52000ISdE001^<`P006Hm
1@00GTD5001GBPD004m>1@00?TL4000`?`L0028h1@005c09000>:0/000LQWP000QTE00078@h000hX
30005c0<000R>0d0030o8@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
ool00`008SP0030o000`?`07000`?`H003i71P00Cdh6001GBPD005i52000ISdF001^<`L006Hm1@00
GTD6001GBP@004m>1@00?TL4000`?`L0028h1@005c09000>:0`000LQVP000QTF00078@h000hX3000
5c0;000R>0d0030o8`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool2
000R>0T0030o1P00?TL6001?CPD005M:1P00GTD7001V?AP006hc1P00ISd6001NA@D005M:1000Cdh6
000nA`@0030o1P008SP6000G<0P000hX30001b6H00026AH000LQ3P003RP<000G<0/0028h3000<3lU
000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0028h2@00<3l6000n
A`H004m>1@00EdX6001NA@L006Hm6000KS<7001V?@D005i51@00EdX5001?CPD003i71@00<3l5000R
>0H001L`20003RP<00078IH0008I5P001b4>000>:0`001L`2`008SP<000`?bH003i71`3oool10000
0040oooo000S0?ooo`030000003oool0oooo00@0oooo10008SP9000`?`H003i71P00Cdh5001GBPD0
05i51`00ISdK001^<`H006Hm1P00GTD4001GBPD004m>1000?TL6000`?`D0028h1`005c07000>:0/0
00LQU0000QTF00078@`000hX30005c0<000R>0`0030o:000?TL70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool6000R>0P0030o1P00?TL6001?CPD005M:1@00GTD7001V?A`006hc
1P00ISd5001NA@@005M:1P00Cdh4000nA`D0030o1@008SP7000G<0L000hX2`001b6B00026AH000LQ
30003RP<000G<0`0028h3000<3lG000nA`D004m>3@00?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool7000R>0P0030o1P00?TL6001?CPD005M:1@00GTD6001V?@h006hc1@00
MBL;001^<`H006Hm1@00GTD4001GBPD004m>1000?TL5000`?`D0028h1`005c07000>:0/000LQT000
0QTE00078@d000hX30005c0<000R>0`0030o5000?TL;001?CP/003i71`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo20008SP8000`?`H003i71P00Cdh5001GBPD005i51P00ISd:
001^<`/007DW2@00KS<6001V?@D005i51000EdX5001?CP@003i71@00<3l5000R>0H001L`20003RP;
00078Hh0008I5@001b4=000>:0`001L`2`008SP<000`?a8003i74000Cdh:000nA`L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`T0028h2@00<3l6000nA`D004m>1000EdX6001N
A@D006Hm2@00KS<@001e9`P006hc1@00ISd4001NA@H005M:1000Cdh4000nA`D0030o1@008SP6000G
<0H000hX2`001b6=00026AD000LQ3@003RP<000G<0X0028h3000<3l@000nAa@004m>2P00?TL70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool:000R>0T0030o1@00?TL6001?CP@0
05M:1@00GTD6001V?@P006hc4P00MBL8001^<`D006Hm1000GTD5001GBP@004m>1000?TL5000`?`D0
028h1P005c06000>:0/000LQS0000QTD00078@d000hX30005c0:000R>0/0030o3`00?TLG001?CPX0
03i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo2`008SP9000`?`D003i7
1P00Cdh4001GBPD005i51P00ISd8001^<a<007DW1`00KS<5001V?@D005i51000EdX4001?CP@003i7
1@00<3l5000R>0H001L`1P003RP:00078H/0008I5@001b4<000>:0`001L`2P008SP;000`?`h003i7
6P00Cdh9000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo``0028h2000
<3l6000nA`H004m>1@00EdX4001NA@H006Hm1`00KS<E001e9`H006hc1@00ISd5001NA@@005M:1000
Cdh4000nA`D0030o1@008SP5000G<0L000hX2P001b6:00026A@000LQ30003RP<000G<0X0028h2`00
<3l>000nAa/004m>2@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool=
000R>0T0030o1P00?TL4001?CPD005M:1@00GTD5001V?@L006hc5`00MBL5001^<`H006Hm1@00GTD4
001GBP@004m>1000?TL4000`?`D0028h1P005c06000>:0X000LQR0000QTD00078@d000hX2P005c0;
000R>0X0030o3P00?TLM001?CPT003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo3P008SP9000`?`H003i71000Cdh5001GBPD005i51@00ISd7001^<aP007DW1@00KS<5001V
?@D005i51000EdX4001?CP@003i71000<3l5000R>0H001L`1P003RP:00078HL0008I4`001b4=000>
:0X001L`2P008SP:000`?`h003i77`00Cdh9000nA`L0oooo0@0000010?ooo`008`3oool2000000D0
oooo3`008SP9000`?`H003i71000Cdh5001GBPD005i51@00ISd6001^<aX007DW1@00KS<4001V?@D0
05i51000EdX4001?CP@003i71000<3l5000R>0H001L`1P003RP:00078HD0008I4`001b4=000>:0X0
01L`2P008SP:000`?`d003i78@00Cdh9000nA`H0oooo0P0000010?ooo`008`3oool00`000000oooo
0?ooo`040?oooa00028h2@00<3l6000nA`@004m>1@00EdX5001NA@D006Hm1P00KS<J001e9`D006hc
1@00ISd4001NA@@005M:1000Cdh4000nA`@0030o1@008SP5000G<0L000hX2P001b6300026A<000LQ
3@003RP:000G<0X0028h2P00<3l=000nAb8004m>2@00?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103ooolA000R>0X0030o1@00?TL5001?CP@005M:1@00GTD5001V?@D006hc2`00
MBL7001m6PX007DW1@00KS<5001V?@@005i51000EdX4001?CP@003i71000<3l6000R>0@001L`1`00
3RP:00078Gl0008I4`001b4=000>:0X001L`2P008SP:000`?`d003i79000Cdh9000nA`L0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?oooa80028h2P00<3l5000nA`D004m>1000EdX5
001NA@D006Hm1@00KS<:001e9`X007dJ2000MBL5001^<`H006Hm1000GTD4001GBP<004m>1000?TL5
000`?`D0028h10005c07000>:0/000LQO0000QTC00078@d000hX2P005c0:000R>0T0030o3000?TLW
001?CPT003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo4`008SP9000`
?`H003i71@00Cdh4001GBPD005i51@00ISd5001^<`T007DW3000OAX7001e9`H006hc1@00ISd4001N
A@@005M:0`00Cdh4000nA`H0030o10008SP5000G<0H000hX30001b5h00026A@000LQ3@003RP:000G
<0X0028h2@00<3l<000nAbP004m>2@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103ooolD000R>0T0030o1P00?TL5001?CP@005M:1@00GTD5001V?@D006hc1`00MBL?001m6PL0
07DW1@00KS<5001V?@@005i51000EdX3001?CP@003i71@00<3l5000R>0D001L`1`003RP;00078GH0
008I50001b4=000>:0X001L`2P008SP9000`?``003i7:000Cdh:000nA`L0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooaH0028h2@00<3l6000nA`@004m>1@00EdX4001NA@D006Hm
1@00KS<7001e9a4007dJ1P00MBL6001^<`@006Hm1000GTD4001GBP@004m>1000?TL4000`?`D0028h
1P005c06000>:0`000LQL0000QTD00078@h000hX2P005c0:000R>0T0030o3000?TLZ001?CPX003i7
1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo5`008SP9000`?`H003i71000
Cdh5001GBP@005i51@00ISd5001^<`H007DW4`00OAX6001e9`H006hc1000ISd4001NA@@005M:1000
Cdh4000nA`@0030o1@008SP5000G<0L000hX30001b5[00026AD000LQ3P003RP;000G<0P0028h2P00
<3l<000nAb`004m>2P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolH
000R>0X0030o1@00?TL4001?CPH005M:1000GTD4001V?@D006hc1P00MBLE001m6PD007DW1`00KS<4
001V?@@005i50`00EdX4001?CP@003i71000<3l5000R>0@001L`20003RP<00078FL0008I5@001b4>
000>:0`001L`20008SP9000`?``003i7;@00Cdh;000nA`L0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?oooaT0028h2@00<3l6000nA`D004m>1000EdX5001NA@@006Hm1@00KS<5001e
9aH007dJ2000MBL4001^<`@006Hm1000GTD4001GBP@004m>1000?TL3000`?`@0028h1`005c07000>
:0X000LQIP000QTE00078@d000hX2`005c0:000R>0T0030o2`00?TL^001?CP`003i71`3oool10000
0040oooo000S0?ooo`030000003oool0oooo00@0oooo0P00<3lH000R>0T0030o1P00?TL5001?CP@0
05M:1@00GTD4001V?@@006hc1P00MBLH001m6PL007DW1000KS<4001V?@@005i51000EdX4001?CP<0
03i71000<3l4000R>0H001L`1`003RP:00078FD0008I50001b4=000>:0/001L`2@008SP:000`?`X0
03i74`00Cdh8001GBQD004m>3000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103oool4000`?aL0028h2P00<3l5000nA`D004m>1000EdX5001NA@@006Hm1000KS<5001e9`T007dJ
2`00Q@X7001m6PH007DW1000KS<4001V?@@005i50`00EdX4001?CP<003i71000<3l5000R>0D001L`
1`003RP900078F@0008I50001b4=000>:0X001L`2@008SP:000`?`X003i74@00Cdh?001GBQ8004m>
3000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7000`?aD0028h2P00
<3l5000nA`H004m>1000EdX4001NA@@006Hm1000KS<5001e9`L007dJ4000Q@X5001m6PH007DW1000
KS<4001V?@<005i50`00EdX4001?CP<003i71000<3l5000R>0D001L`1`003RP900078F80008I5000
1b4=000>:0X001L`2@008SP9000`?`X003i73`00CdhD001GBQ4004m>3000?TL70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103oool;000`?a<0028h2@00<3l6000nA`@004m>1@00EdX4
001NA@<006Hm1000KS<5001e9`H007dJ4P00Q@X7001m6PD007DW1000KS<3001V?@@005i50`00EdX3
001?CP<003i71000<3l4000R>0D001L`1`003RP900078F40008I50001b4=000>:0X001L`2@008SP8
000`?`X003i73000CdhI001GBQ0004m>3@00?TL70?ooo`4000000@3oool002<0oooo00<000000?oo
o`3oool0103oool<000`?a<0028h2P00<3l5000nA`@004m>1@00EdX4001NA@<006Hm1000KS<5001e
9`D007dJ5@00Q@X5001m6PH007DW1000KS<2001V?@@005i50`00EdX3001?CP<003i71000<3l4000R
>0D001L`1`003RP800078F40008I50001b4=000>:0X001L`20008SP8000`?`T003i73000CdhK001G
BQ0004m>3@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool>000`?a80
028h2P00<3l5000nA`@004m>1@00EdX4001NA@<006Hm1000KS<4001e9`H007dJ2`00Q@X400N<00P0
08D:1000OAX5001e9`@006hc0`00ISd3001NA@<005M:0`00Cdh3000nA`@0030o10008SP5000G<0H0
00hX2@001b5Q00026A8000LQ3@003RP9000G<0P0028h2@00<3l9000nA`/004m>7P00EdX?001?CPd0
03i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo4000<3lA000R>0X0030o
1@00?TL5001?CP@005M:1000GTD3001V?@@006hc1000MBL5001m6PP008D:2@07S00800252P@007dJ
1000MBL4001^<`<006Hm0`00GTD3001GBP@004m>0P00?TL4000`?`@0028h1@005c06000>:0P000LQ
H@000QTB00078@`000hX2@005c08000R>0T0030o2@00?TL:001?CR0005M:3P00Cdh>000nA`L0oooo
0@0000010?ooo`00203oool2000000@0oooo00<000000?ooo`3oool00`3oool200000080oooo1@00
00060?ooo`030000003oool0oooo00@0oooo4`00<3l>000R>0X0030o1P00?TL5001?CP@005M:0`00
GTD4001V?@@006hc0`00MBL5001m6PL008D:3P07S00600252P@007dJ1000MBL3001^<`<006Hm0`00
GTD3001GBP<004m>0`00?TL4000`?`@0028h10005c06000>:0P000LQH@000QTA00078@`000hX2@00
5c08000R>0P0030o2000?TL;001?CR8005M:3P00Cdh>000nA`L0oooo0@0000010?ooo`001`3oool0
10000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool0
00001P3oool00`000000oooo0?ooo`040?oooa@0030o3P008SP;000`?`D003i71@00Cdh4001GBP<0
05i51000ISd4001^<`<007DW1@00OAX600252Q001h`01@00Q@X4001m6P@007DW0`00KS<3001V?@<0
05i50`00EdX3001?CP<003i71000<3l4000R>0@001L`1P003RP800078F00008I4@001b4<000>:0T0
01L`20008SP7000`?`P003i72P00CdhT001GBPh004m>3P00?TL70?ooo`4000000@3oool000D00000
0P3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo00<000000?oo
o`3oool01P3oool3000000@0oooo5P00<3l=000R>0/0030o1@00?TL5001?CP@005M:0`00GTD4001V
?@@006hc0`00MBL5001m6PH008D:4007S00500252P@007dJ1000MBL3001^<`<006Hm0`00GTD3001G
BP<004m>0`00?TL4000`?`@0028h10005c07000>:0P000LQG@000QTA00078@`000hX2@005c08000R
>0L0030o2000?TL:001?CRD005M:3P00Cdh>000nA`D0oooo0`0000010?ooo`001`3oool010000000
oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool01@3oool0
0`000000oooo0?ooo`040?oooaP0030o3@008SP:000`?`H003i71000Cdh4001GBP<005i51000ISd4
001^<`<007DW1000OAX600252Q401h`01P00Q@X4001m6P<007DW0`00KS<3001V?@<005i50`00EdX4
001?CP8003i71000<3l4000R>0@001L`1`003RP800078E`0008I40001b4<000>:0T001L`20008SP7
000`?`P003i72P00CdhU001GBPh004m>3`00?TL70?ooo`4000000@3oool000L0oooo00@000000?oo
o`3oool00000203oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0
103oool00`000000oooo0?ooo`040?oooaX0030o2`008SP;000`?`H003i71000Cdh4001GBP@005i5
0`00ISd4001^<`<007DW1000OAX500252Q<01h`01@00Q@X4001m6P@007DW0`00KS<3001V?@8005i5
0`00EdX4001?CP<003i71000<3l4000R>0D001L`1@003RP800078ET0008I4@001b4<000>:0T001L`
20008SP7000`?`P003i72000CdhX001GBPh004m>3`00?TL70?ooo`4000000@3oool000L0oooo00@0
00000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo000000<0oooo00<000000?oo
o`3oool0103oool00`000000oooo0?ooo`040?oooa/0030o2P008SP<000`?`H003i71000Cdh4001G
BP@005i50`00ISd4001^<`<007DW1000OAX500252Q<01h`01@00Q@X4001m6P@007DW0`00KS<3001V
?@<005i50P00EdX4001?CP<003i71000<3l4000R>0D001L`1P003RP800078ED0008I4@001b4<000>
:0X001L`20008SP8000`?`L003i72000CdhY001GBPh004m>3`00?TL70?ooo`4000000@3oool000P0
oooo0P00000:0?ooo`8000000`3oool3000000L0oooo00<000000?ooo`3oool0103ooolL000`?`P0
028h3P00<3l6000nA`@004m>1000EdX4001NA@<006Hm1000KS<3001e9`@007dJ1P00Q@XB00N<00H0
08D:1000OAX4001e9`8006hc0`00ISd3001NA@<005M:1000Cdh2000nA`@0030o10008SP6000G<0H0
00hX20001b5A00026A8000LQ30003RP9000G<0P0028h2000<3l7000nA`P004m>4`00EdX5001NAA<0
05M:3@00Cdh@000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooob<0030o
00<0028h000`?`00<3l03@00<3l6000nA`@004m>1000EdX4001NA@<006Hm1000KS<3001e9`@007dJ
1P00Q@XD00N<00D008D:1000OAX3001e9`<006hc0`00ISd2001NA@@005M:1000Cdh3000nA`@0030o
10008SP5000G<0L000hX20001b5<00026A<000LQ30003RP8000G<0P0028h2000<3l8000nA`P004m>
4000EdX;001NAA0005M:3P00Cdh@000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?oo
o`040?ooocD0030o1@00?TL5001?CP@005M:0`00GTD4001V?@@006hc0P00MBL4001m6PD008D:5@07
S00600252P@007dJ1000MBL00`00KS<006Hm001V?@02001V?@@005i50`00EdX3001?CP@003i71000
<3l4000R>0H001L`1P003RP900078D80008I5P001b4<000>:0T001L`20008SP8000`?`L003i72P00
Cdh=001GBPl005i54000EdX=001?CQ4003i71`3oool100000040oooo000S0?ooo`030000003oool0
oooo00@0oooo=P00<3l5000nA`D004m>1000EdX3001NA@@006Hm1000KS<2001e9`@007dJ1@00Q@XG
00N<00D008D:1000OAX3001e9`<006hc0`00ISd4001NA@8005M:1000Cdh4000nA`@0030o10008SP6
000G<0H000hX2P001b4m00026AH000LQ3@003RP8000G<0T0028h2000<3l7000nA`T004m>3000EdXB
001NAA0005M:3@00CdhA000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
ocL0030o1P00?TL4001?CP@005M:1000GTD3001V?@@006hc0P00MBL4001m6PD008D:1`07S00;01ZD
00L01h`01@00Q@X3001m6P<007DW1000KS<2001V?@@005i50`00EdX3001?CP@003i71000<3l4000R
>0H001L`1P003RP;00078CL0008I5`001b4<000>:0T001L`2P008SP8000`?`H003i72@00Cdh<001G
BQD005i53`00EdX=001?CQ4003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0
oooo>000<3l6000nA`@004m>1000EdX4001NA@<006Hm1000KS<3001e9`@007dJ1000Q@X600N<00l0
6Y@01@07S00500252P8007dJ1000MBL4001^<`<006Hm0`00GTD3001GBP<004m>1000?TL4000`?`@0
028h1@005c06000>:0/000LQ<`000QTH00078@`000hX2P005c09000R>0P0030o1P00?TL9001?CP/0
05M:6000GTD>001GBPd004m>4P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103ooolj000`?`D003i71P00Cdh4001GBP8005i51000ISd2001^<`<007DW1000OAX400252PH01h`0
4`0JU00500N<00<008D:1000OAX4001e9`8006hc1000ISd2001NA@@005M:0`00Cdh3000nA`@0030o
10008SP4000G<0H000hX2P001b4a00026AP000LQ30003RP9000G<0X0028h2000<3l6000nA`L004m>
2`00EdXL001NA@d005M:3P00CdhB000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?oo
o`040?oooc/0030o1P00?TL5001?CP@005M:0`00GTD3001V?@8006hc0`00MBL4001m6P@008D:1@07
S00701ZD00P0<9`0200JU00400N<00<008D:0`00OAX4001e9`8006hc1000ISd2001NA@@005M:0P00
Cdh4000nA`<0030o10008SP4000G<0D000hX2P001b4`00026AP000LQ2`003RP:000G<0T0028h2000
<3l6000nA`P004m>2@00EdXO001NA@d005M:3P00CdhB000nA`L0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooocd0030o1@00?TL5001?CP@005M:0`00GTD3001V?@<006hc0P00MBL4
001m6P<008D:1@07S00601ZD00d0<9`01`0JU00300N<00@008D:0P00OAX4001e9`8006hc0`00ISd3
001NA@<005M:0P00Cdh3000nA`@0030o10008SP4000G<0D000hX2@001b4`00026AL000LQ30003RP9
000G<0P0028h2000<3l6000nA`P004m>2@00EdXR001NA@`005M:3P00CdhB000nA`L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?oooa00030o1`00?TLW000`?`D003i71@00Cdh3001G
BP@005i50`00ISd3001^<`<007DW0`00OAX300252P<01h`01P0JU00B032L00@06Y@01007S0040025
2P<007dJ0P00MBL3001^<`8006Hm0`00GTD3001GBP8004m>0`00?TL3000`?`@0028h10005c05000>
:0P000LQ<@000QTF00078@`000hX2@005c08000R>0L0030o1`00?TL7001?CPT005M:9000GTD;001G
BPh004m>4`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool?000`?`l0
03i78P00<3l5000nA`D004m>0`00EdX2001NA@<006Hm0`00KS<3001e9`<007dJ0`00Q@X300N<00D0
6Y@01`0`W00804RS00P0<9`0100JU00300N<00<008D:0P00OAX3001e9`8006hc0P00ISd2001NA@<0
05M:0`00Cdh2000nA`<0030o10008SP4000G<0D000hX20001b4c00026A<000LQ30003RP9000G<0P0
028h1`00<3l7000nA`H004m>1`00EdX?001NA@T006Hm4000GTD;001GBPh004m>4`00?TL70?ooo`40
00000@3oool002<0oooo00<000000?ooo`3oool0103oool?000`?a4003i78@00<3l5000nA`D004m>
0`00EdX2001NA@<006Hm0`00KS<3001e9`<007dJ0P00Q@X400N<00@06Y@01@0`W00>04RS00H0<9`0
100JU00200N<00<008D:0P00OAX3001e9`8006hc0P00ISd2001NA@<005M:0`00Cdh2000nA`<0030o
0`008SP4000G<0D000hX1`001b4f00026A4000LQ30003RP9000G<0L0028h1`00<3l6000nA`L004m>
1`00EdX<001NAA0006Hm3@00GTD;001GBPh004m>4`00?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool?000`?a<003i78000<3l5000nA`@004m>1000EdX2001NA@<006Hm0`00
KS<2001e9`<007dJ0`00Q@X300N<00@06Y@0100`W00C04RS00@0<9`00`0JU00200N<00<008D:0P00
OAX2001e9`<006hc0P00ISd2001NA@<005M:0P00Cdh2000nA`<0030o10008SP4000G<0@000hX1P00
1b4i00026A0000LQ2`003RP8000G<0L0028h1`00<3l6000nA`L004m>1P00EdX:001NAAH006Hm2`00
GTD;001GBPl004m>4P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool?
000`?a@003i78000<3l5000nA`@004m>0`00EdX3001NA@<006Hm0`00KS<2001e9`<007dJ0`00Q@X3
00N<00<06Y@0100`W00704RS00P0HJ/01@18X`04032L00<06Y@00P07S00300252P8007dJ0P00MBL3
001^<`8006Hm0P00GTD3001GBP8004m>0P00?TL3000`?`<0028h10005c04000>:0H000LQ>P000QT?
00078@X000hX2@005c06000R>0L0030o1P00?TL6001?CPL005M:2@00GTDH001V?@/005i52`00EdX?
001?CQ8003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3`00<3lG000n
Aah0030o1P00?TL4001?CP8005M:0`00GTD3001V?@8006hc0`00MBL2001m6P<008D:0`07S00301ZD
00@0<9`01@18X`0;066[00D0B:<00`0`W00301ZD00<01h`00P00Q@X3001m6P8007DW0P00KS<2001V
?@8005i50`00EdX3001?CP8003i70`00<3l3000R>0@001L`0`003RP600078CX0008I3`001b4:000>
:0P001L`1`008SP6000`?`H003i71P00Cdh7001GBPP005i56P00ISd;001NA@/005M:4000CdhA000n
A`L0oooo0@0000010?ooo`008`3oool2000000D0oooo4000<3lG000nAah0030o1P00?TL4001?CP80
05M:0`00GTD3001V?@8006hc0`00MBL2001m6P<008D:0`07S00301ZD00<0<9`01P18X`0;066[00D0
B:<00`0`W00301ZD00<01h`00P00Q@X2001m6P<007DW0P00KS<2001V?@8005i50`00EdX3001?CP80
03i70`00<3l3000R>0@001L`0`003RP700078CP0008I3`001b4:000>:0L001L`20008SP5000`?`L0
03i71@00Cdh6001GBPP005i57@00ISd:001NA@/005M:4@00Cdh@000nA`H0oooo0P0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooa00030o6@00?TLM000`?`D003i71000Cdh3001GBP<005i5
0`00ISd2001^<`<007DW0P00OAX300252P<01h`00`0JU003032L00D0B:<0301QZ`0504RS00<0<9`0
0`0JU00300N<008008D:0P00OAX3001e9`8006hc0P00ISd2001NA@<005M:0`00Cdh2000nA`<0030o
0`008SP4000G<0<000hX20001b4g00026@h000LQ2P003RP7000G<0L0028h1@00<3l7000nA`D004m>
1P00EdX8001NAAh006Hm2P00GTD;001GBQ@004m>3@00?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool00`008SP0030o000`?`0>000`?aX003i77000<3l5000nA`@004m>0`00
EdX3001NA@<006Hm0P00KS<3001e9`8007dJ0`00Q@X300N<00<06Y@00`0`W00504RS00`0HJ/01@18
X`03032L00<06Y@00`07S00200252P8007dJ0`00MBL2001^<`8006Hm0P00GTD3001GBP8004m>0`00
?TL3000`?`<0028h10005c05000>:0L000LQ=@000QT=00078@X000hX1`005c07000R>0H0030o1P00
?TL5001?CPH005M:2000GTDP001V?@T005i52`00EdXH001?CPT003i71`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo0P008SP@000`?a/003i76P00<3l7000nA`<004m>0`00EdX4
001NA@8006Hm0`00KS<3001e9`8007dJ0`00Q@X300N<00806Y@0100`W00604RS00T0HJ/01P18X`04
032L00806Y@00`07S00300252P8007dJ0`00MBL01000KS<006Hm001V?@00ISd3001NA@8005M:0P00
Cdh4000nA`80030o0`008SP4000G<0@000hX20001b4a00026@l000LQ2@003RP7000G<0L0028h1P00
<3l5000nA`H004m>1@00EdX8001NA@h006Hm1000KS<@001V?@T005i52`00EdXQ001?CPL0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0028h4000<3lL000nAaT0030o1`00?TL3
001?CP<005M:1000GTD2001V?@<006hc0`00MBL3001m6P8008D:0`07S00301ZD00@0<9`01P18X`08
066[00H0B:<0100`W00301ZD00801h`00`00Q@X3001m6P8007DW0P00KS<2001V?@<005i50`00EdX2
001?CP<003i70`00<3l2000R>0D001L`1@003RP800078BX0008I4@001b4:000>:0L001L`1P008SP7
000`?`D003i71P00Cdh5001GBPP005i52`00ISd:001^<`h006Hm2@00GTD;001GBR4004m>1`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo10008SP@000`?ad003i76000<3l6000n
A`@004m>0`00EdX4001NA@8006Hm0`00KS<3001e9`<007dJ0P00Q@X300N<00@06Y@0100`W00604RS
00L0HJ/01P18X`04032L00@06Y@00P07S00200252P@007dJ0P00MBL2001^<`<006Hm00<005i5001G
BP00EdX00P00EdX3001?CP03000nA`00<3l0030o0080030o0`008SP4000G<0L000hX20001b4R0002
6A<000LQ2P003RP7000G<0H0028h2000<3l5000nA`D004m>1P00EdX8001NA@T006Hm3@00KS<>001V
?@T005i52`00EdXQ001?CPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`@0
028h4@00<3lN000nAaL0030o1P00?TL4001?CP@005M:0`00GTD2001V?@<006hc0`00MBL3001m6P80
08D:0`07S00301ZD00@0<9`01`18X`07066[00L0B:<0100`W00301ZD00<01h`00`00Q@X2001m6P<0
07DW0P00KS<3001V?@8005i50`00EdX3001?CP8003i71000<3l3000R>0@001L`20003RPB00078A40
008I50001b4:000>:0P001L`1P008SP7000`?`H003i71@00Cdh6001GBPL005i52P00ISd?001^<``0
06Hm2P00GTD;001GBR4004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo
1P008SPA000`?al003i75@00<3l6000nA`D004m>0`00EdX4001NA@<006Hm0P00KS<3001e9`<007dJ
0P00Q@X400N<00806Y@0100`W00604RS00X0HJ/01@18X`04032L00@06Y@00`07S00400252P04001m
6P00MBL007DW001e9`@006hc00@006Hm001NA@00GTD005i51000EdX4001?CP8003i70P00<3l7000R
>0@001L`1`003RP[00078@`000hX20005c07000R>0L0030o1P00?TL6001?CPD005M:1`00GTD9001V
?A8006hc3000ISd:001NA@/005M:8@00Cdh70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool7000R>140030o8@00?TLB000`?`L003i71P00Cdh2001GBP@005i50`00ISd3001^<`80
07DW1000OAX200252P<01h`00`0JU004032L00@0B:<03P1QZ`0404RS00@0<9`0100JU00400N<00<0
08D:00<007dJ001e9`00MBL00P00MBL3001^<`03001V?@00GTD005i5008005i51000EdX2001?CP80
03i70`00<3l7000R>0@001L`1P003RPU00078@`000hX2@005c07000R>0L0030o1`00?TL5001?CPL0
05M:1P00GTD:001V?A<006hc3000ISd:001NA@`005M:8000Cdh70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool8000R>100030o8`00?TLA000`?`P003i71@00Cdh3001GBP@005i5
0P00ISd4001^<`8007DW0`00OAX300252P801h`00`0JU003032L00@0B:<04P1QZ`0404RS00@0<9`0
100JU00400N<000400252P00OAX007dJ001m6P@007DW00@006hc001V?@00ISd006Hm1000GTD2001G
BP8004m>0`00?TL3000`?`D0028h1@005c06000>:20000LQ30003RP:000G<0P0028h1@00<3l7000n
A`D004m>1`00EdX7001NA@T006Hm5P00KS<;001V?@X005i53P00EdXO001?CPL0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`T0028h4000<3lU000nA`l0030o2000?TL5001?CP@0
05M:0`00GTD3001V?@8006hc0`00MBL3001m6P8008D:0`07S00301ZD00<0<9`00`18X`06066[00`0
OK<01P1QZ`0404RS0080<9`0100JU00200N<008008D:0`00OAX2001e9`<006hc0P00ISd3001NA@80
05M:0`00Cdh3000nA`<0030o10008SP4000G<0L000hX7P001b4;000>:0X001L`20008SP6000`?`H0
03i71P00Cdh6001GBPL005i52000ISdI001^<`/006Hm2P00GTD?001GBQh004m>1`3oool100000040
oooo000S0?ooo`030000003oool0oooo00@0oooo2`008SP@000`?bL003i73@00<3l9000nA`@004m>
1000EdX4001NA@8006Hm0P00KS<3001e9`<007dJ0P00Q@X200N<00806Y@00`0`W00304RS00@0HJ/0
1@1m/`0=09^j00@0OK<0101QZ`0404RS00<0<9`000D06Y@000N<0007S0001h`000252P04001m6P04
001e9`00KS<006hc001V?@<005i50P00EdX3001?CP04000nA`00<3l0030o000`?`@0028h10005c07
000>:1`000LQ2`003RP8000G<0P0028h1`00<3l4000nA`L004m>2000EdX4001NA@P006Hm7P00KS<:
001V?@X005i54P00EdXL001?CPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o``0028h4000<3lZ000nA``0030o2000?TL4001?CP@005M:0`00GTD2001V?@<006hc0P00MBL2001m
6P<008D:0P07S00201ZD0080<9`00`18X`03066[00@0OK<01P2K^P090;[200@0VkX0101m/`04066[
00<0B:<00P0`W00201ZD00801h`00P00Q@X2001m6P03001e9`00KS<006hc008006Hm0P00GTD2001G
BP8004m>0P00?TL3000`?`<0028h10005c06000>:1d000LQ2@003RP8000G<0P0028h1P00<3l5000n
A`H004m>1`00EdX5001NA@L006Hm3000KS<;001e9`/006hc2P00ISd:001NAAD005M:6@00Cdh70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool=000R>0l0030o;000?TL<000`?`P0
03i71000Cdh3001GBP<005i50P00ISd3001^<`8007DW0P00OAX300252P0400N<000JU0006Y@001ZD
0080<9`00P18X`03066[00@0OK<00`2K^P040;[200P0b[P01`2j`P000`2K^P00OK<007fc000207fc
00<0HJ/00P18X`02032L00806Y@000H01h`000252P00Q@X008D:001m6P00MBL2001^<`8006Hm0P00
GTD2001GBP8004m>0P00?TL2000`?`@0028h0`005c05000>:0T000LQ20000QT<00078@T000hX2000
5c07000R>0L0030o1@00?TL5001?CPH005M:1P00GTD5001V?@P006hc5@00MBL:001^<`T006Hm2P00
GTDQ001GBPd004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3P008SP?
000`?a@003i71@00CdhC000nA``0030o2000?TL4001?CP<005M:0`00GTD2001V?@<006hc0P00MBL2
001m6P8008D:0P07S00201ZD0080<9`00P18X`02066[00@0OK<00`2K^P030;[200l0b[P0102j`P02
09^j00<0OK<00P1QZ`0204RS0080<9`000<06Y@000N<0007S0000P00Q@X2001m6P03001e9`00KS<0
06hc008006Hm0P00GTD2001GBP8004m>0P00?TL2000`?`<0028h0`005c04000>:0L000LQ30000QT;
00078@T000hX1`005c07000R>0L0030o1@00?TL5001?CPH005M:1@00GTD5001V?@P006hc6@00MBL8
001^<`P006Hm2P00GTDX001GBPL004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo40008SP?000`?a0003i73P00Cdh>000nA`d0030o2000?TL4001?CP8005M:0P00GTD3001V
?@8006hc0P00MBL2001m6P0300252P07S0001h`000806Y@00P0`W00204RS0080HJ/00`1m/`0209^j
00@0^/800`3:^00<0=6S00@0b[P00`2j`P0309^j0080OK<000<0HJ/004RS0018X`000P0`W000100J
U0001h`000N<0007S002001m6P03001e9`00KS<006hc008006Hm0P00GTD2001GBP8004m>0P00?TL2
000`?`<0028h0`005c03000>:0@000LQ4P000QT800078@T000hX1`005c07000R>0L0030o1@00?TL5
001?CPD005M:1000GTD6001V?@D006hc2`00MBL9001m6P/007DW1`00KS<8001V?@X005i5;@00EdX2
001?CPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oooa40028h3`00<3l?000n
Aa0004m>3@00?TL>000`?`L003i71000Cdh2001GBP8005i50`00ISd2001^<`8007DW0P00OAX00`00
Q@X01h`000N<000201ZD0080<9`00P18X`02066[0080OK<00P2K^P040;[200030<Zh003AX`00dJ<0
00<0dJ<02@3IS@040=6S00<0b[P00P2j`P0209^j0080OK<000<0HJ/004RS0018X`000P0`W000100J
U0001h`000N<0000Q@X2001m6P04001e9`00KS<006hc001V?@8005i50P00EdX2001?CP8003i70P00
<3l2000R>0<001L`0`003RP400078A@0008I20001b48000>:0L001L`1`008SP7000`?`D003i71000
Cdh5001GBP@005i51000ISd6001^<`T007DW4000OAX9001e9`L006hc2000ISd:001NABd005M:00<0
04m>0?ooo`3oool01@3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo4P008SP?
000`?`d003i75000Cdh;000nAa00030o1@00?TL4001?CP8005M:0P00GTD3001V?@8006hc0P00MBL0
0`00OAX008D:00252P0200N<00806Y@000<0<9`004RS0018X`000P1QZ`0207fc000309^j002j`P00
^/800080^/8000<0b[P00=6S003AX`000P3AX`0?0=V=0080dJ<00P3:^0020;[20080VkX00P1m/`00
101QZ`00B:<004RS000`W00201ZD000400N<0000Q@X008D:001m6P8007DW00@006hc001V?@00ISd0
05i50P00EdX00`00Cdh003i7000nA`02000`?`<0028h0P005c03000>:0@000LQ5P000QT800078@L0
00hX1`005c07000R>0H0030o1@00?TL4001?CPD005M:1000GTD4001V?@D006hc1`00MBLG001m6PL0
07DW1P00KS<8001V?@X005i5;P00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103ooolC000R>0h0030o3000?TLF001?CP/003i73`00<3l5000nA`@004m>0P00EdX3001NA@8006Hm
0P00KS<2001e9`03001m6P00Q@X008D:00801h`00P0JU002032L000304RS001QZ`00HJ/00080OK<0
00@0VkX00;[2002j`P00^/800P3:^0030=6S00D0fHd01P3QM@050=V=0080dJ<00P3:^0020;[20080
VkX00P1m/`00101QZ`00B:<004RS000`W00201ZD000400N<0000Q@X008D:001m6P8007DW00@006hc
001V?@00ISd005i50P00EdX00`00Cdh003i7000nA`02000`?`80028h0`005c04000>:0@000LQ5000
0QT900078@L000hX1`005c07000R>0D0030o1@00?TL4001?CPD005M:1000GTD4001V?@@006hc1@00
MBL;001m6PL008D:2@00OAX7001e9`H006hc2000ISd;001NABd005M:1`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo50008SP>000`?``003i75`00Cdh:000nA`l0030o1@00?TL4
001?CP8005M:0`00GTD2001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<00806Y@000@0<9`0
04RS0018X`00HJ/00`1m/`00102K^P00^/800;[2002j`P030<Zh0080dJ<0103IS@060>5e00D0fHd0
0P3AX`020<Zh0080^/800P2K^P0207fc0004066[0018X`00B:<0032L00806Y@000@01h`000252P00
Q@X007dJ0P00MBL00`00KS<006Hm001V?@02001NA@03001GBP00Cdh004m>008003i70P00<3l2000R
>0<001L`10003RP400078A80008I2@001b48000>:0L001L`1`008SP5000`?`D003i71000Cdh4001G
BP@005i51000ISd5001^<`@007DW2@00OAX=00252PL007dJ1`00MBL6001^<`P006Hm2`00GTD/001G
BPL0oooo0@0000010?ooo`008`3oool2000000D0oooo50008SP>000`?``003i76000Cdh:000nA`l0
030o1@00?TL4001?CP8005M:0`00GTD2001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<0080
6Y@000<0<9`004RS001QZ`000P1QZ`001@1m/`00VkX009^j002K^P00^/8000@0b[P000<0dJ<00=V=
003IS@001@3IS@020>5e00D0fHd00`3AX`020<Zh00<0^/800P2K^P000`1m/`00HJ/0066[000204RS
0004032L000JU0006Y@000N<008008D:00@007dJ001e9`00MBL006hc0P00ISd00`00GTD005M:001?
CP02001?CP05000nA`00<3l0030o000`?`008SP010005c04000>:0@000LQ40000QT900078@T000hX
20005c07000R>0D0030o1000?TL4001?CP@005M:1000GTD4001V?@@006hc1000MBL7001m6Q8008D:
1P00OAX6001e9`H006hc2000ISd<001NAB/005M:1P3oool200000040oooo000S0?ooo`030000003o
ool0oooo00@0oooo5@008SP>000`?``003i76000Cdh:000nA`l0030o1@00?TL4001?CP8005M:0`00
GTD2001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<00806Y@000<0<9`004RS001QZ`000P1Q
Z`001@1m/`00VkX009^j002K^P00^/8000@0b[P00`3AX`0;0=V=00<0dJ<00P3:^0030;[20080VkX0
00<0OK<0066[001QZ`000P18X`00100`W0006Y@001ZD0007S00200252P8007dJ00@007DW001^<`00
ISd006Hm0P00GTD2001GBP8004m>0P00?TL2000`?`<0028h10005c04000>:0P000LQ0`000QT>0007
8@T000hX2@005c07000R>0D0030o1000?TL4001?CP<005M:1000GTD4001V?@@006hc1000MBL6001m
6QD008D:1P00OAX6001e9`H006hc1`00ISd?001NABP005M:1`3oool100000040oooo000S0?ooo`03
0000003oool0oooo00@0oooo5@008SP?000`?`/003i76P00Cdh8000nA`l0030o1@00?TL4001?CP<0
05M:0P00GTD3001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<000301ZD000`W000<9`00080
B:<000D0HJ/007fc001m/`00OK<009^j00040;[200030<Zh003AX`00dJ<000@0dJ<01`3IS@040=6S
0080b[P00`2j`P0209^j0080OK<00P1QZ`0204RS0005032L000JU0006Y@000N<0000Q@X00`00OAX0
1@00MBL006hc001^<`00KS<006Hm008005i50P00EdX4000nA`<0030o00<0028h000G<0005c000P00
5c07000>:0h000LQ3`003RP:000G<0L0028h1@00<3l4000nA`@004m>0`00EdX4001NA@<006Hm1000
KS<4001e9`D007dJ5`00Q@X6001m6PH007DW1P00KS<9001V?A4005i59000EdX70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103ooolE000R>100030o3000?TLI001?CPP003i73P00<3l6
000nA`@004m>0`00EdX3001NA@8006Hm0P00KS<2001e9`8007dJ00@008D:00N<0007S0006Y@00`0`
W0000`18X`00HJ/007fc000207fc000309^j002j`P00^/800080^/800P3:^0060=6S0080fHd01@3A
X`040<Zh00@0^/800`2K^P001P1m/`00HJ/0066[001QZ`00B:<0032L00806Y@000<01h`000252P00
Q@X00P00OAX2001e9`8006hc0P00ISd2001NA@<005M:1000?TL4000`?`@0028h10005c0J000>:0`0
01L`20008SP5000`?`@003i71000Cdh3001GBP<005i51000ISd3001^<`@007DW1@00OAX900252P@0
1h`02`00Q@X6001m6PH007DW1`00KS<9001V?A<005i58@00EdX70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103ooolF000R>100030o3000?TLI001?CPX003i72P00<3l7000nA`D004m>
0`00EdX3001NA@8006Hm0P00KS<3001e9`05001m6P00Q@X01h`000N<000JU0000`0`W0000`18X`00
HJ/0066[000207fc00<0VkX00`2j`P020<Zh00T0dJ<01`3:^0030;[200@0VkX000D0OK<0066[001Q
Z`00HJ/004RS0003032L00<01h`000D008D:001m6P00OAX007dJ001e9`03001^<`04001V?@00GTD0
05i5001NA@@005M:1000?TL4000`?`P0028h4P003RP?000G<0P0028h1@00<3l4000nA`@004m>0`00
EdX3001NA@@006Hm0`00KS<3001e9`H007dJ2000Q@X900N<00T008D:1P00OAX6001e9`H006hc2P00
ISdN001NAAD005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo5P008SPA
000`?``003i76P00Cdh<000nA`<0030o2`00?TL5001?CP<005M:0`00GTD2001V?@8006hc0`00MBL0
1000OAX008D:00252P00Q@X301ZD0005032L0018X`00B:<004RS001QZ`000`1m/`0409^j00040;[2
003:^000b[P00<Zh00<0dJ<02P3:^0040;[200@0VkX00`1m/`00101QZ`00B:<004RS0018X`03032L
00@01h`01000OAX4001^<`@006Hm1000EdX4001?CP@003i71000<3l4000R>1X001L`2@008SP6000`
?`@003i71000Cdh3001GBP<005i50`00ISd4001^<`<007DW1@00OAX800252P`01h`02000Q@X6001m
6PH007DW1`00KS<:001V?B0005i54P00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103ooolF000R>1<0030o3@00?TLI001?CQP003i71P00Cdh4001GBP<005i50P00ISd3001^<`04
001e9`00OAX007dJ00252P@01h`00P0JU002032L0080B:<00P1QZ`0407fc00<0VkX01@2j`P0:0<Zh
00H0^/800`2K^P0407fc00@0B:<00`0`W0001@0JU0001h`000N<0007S00008D:00@007dJ0`00MBL4
001^<`03001V?@00GTD005i5008005i50`00EdX8001?CP@003i71000<3lJ000R>0D0030o1000?TL3
001?CP@005M:0`00GTD4001V?@<006hc1000MBL4001m6PP008D:3P07S00800252PH007dJ1P00MBL7
001^<`d006Hm7P00GTDA001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
oaD0028h5@00<3l=000nAa/004m>5P00?TL6001?CP@005M:1000GTD2001V?@8006hc0P00MBL01000
OAX008D:00252P00Q@X300N<00806Y@00P0`W00204RS00<0HJ/00`1m/`0309^j00<0^/80303:^007
0;[200@0VkX00`1m/`04066[00@0<9`0100JU00400252P@007dJ1000MBL8001V?@<005i500<005M:
001?CP00Cdh00P00Cdh3000nA`L0030o4`008SP5000`?`<003i71000Cdh4001GBP<005i51000ISd2
001^<`@007DW1000OAX700252Q401h`02000Q@X6001m6PH007DW2000KS<?001V?A`005i54000EdX7
0?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolC000R>1P0030o3P00?TLL001?
CQ<003i72000Cdh4001GBP@005i50P00ISd2001^<`04001e9`00OAX007dJ001m6P<008D:0P07S002
01ZD0080<9`00P18X`04066[0080OK<00P2K^P030;[200H0b[P0103AX`0<0<Zh00<0^/80102K^P04
07fc00@0HJ/0100`W00401ZD00@008D:1000OAX4001^<`<006Hm0P00GTD3001GBP8004m>1000?TL6
000`?`/0028h2P00<3l2000nA`@004m>1000EdX3001NA@@006Hm0P00KS<4001e9`@007dJ1@00Q@XE
00N<00L008D:1`00OAX6001e9`X006hc4@00ISdI001NA@l005M:1`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo4@008SPL000`?`h003i77P00Cdh@000nA`T004m>1000EdX4001N
A@<006Hm0`00MBL4001m6P0500252P07S0001h`000N<000JU0000`0`W0001018X`00HJ/0066[001Q
Z`0207fc0080VkX00P2j`P040<Zh00T0dJ<0303IS@040=6S00@0b[P0102j`P0407fc00@0B:<0100`
W00400N<00<007dJ00@007DW001^<`00KS<006hc0P00ISd2001NA@<005M:0P00Cdh4000nA`L0030o
1`008SP8000`?`<003i71000Cdh4001GBP8005i51@00ISd00`00KS<007DW001e9`02001e9`@007dJ
1000Q@XI00N<00L008D:1P00OAX7001e9`/006hc5000ISdF001NA@h005M:1`3oool100000040oooo
000S0?ooo`030000003oool0oooo00@0oooo1P008SPY000`?`d003i79P00Cdh8000nA`/004m>1000
EdX3001NA@03001V?@00KS<006hc008006hc0P00MBL2001m6P<008D:00<01h`001ZD000JU0000P0`
W0000`18X`00HJ/0066[000207fc0080VkX00P2j`P030<Zh0080dJ<00`3IS@020>5e00L0j5X0303`
?P070>QJ00030>5e003AX`00b[P00080b[P000D0^/8009^j002K^P00VkX007fc0002066[0080B:<0
0P0`W00201ZD008008D:0P00OAX2001^<`8006Hm0P00GTD3001GBP<004m>0`00?TL6000`?`L0028h
1`00<3l3000nA`<004m>0`00EdX4001NA@8006Hm0`00KS<3001e9`@007dJ1000Q@X700N<00l06Y@0
1`07S00600252PL007dJ1`00MBL<001^<aL006Hm4P00GTD>001GBPL0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?ooo`80028h;`00<3l<000nAb/004m>1@00?TL;001?CP@005M:00@0
05i5001V?@00ISd006Hm0`00KS<2001e9`8007dJ0P00Q@X01007S0006Y@001ZD000`W00204RS0080
HJ/000<0OK<009^j002K^P000P2j`P030<Zh00030=6S003IS@00fHd00080hGD000<0j5X00?0n003`
?P000P3`?P0G0?l000030?0n003XFP00hGD00080hGD0103:^00309^j000307fc001QZ`00B:<00080
<9`000L06Y@000N<0000Q@X008D:001m6P00MBL006hc008006Hm0P00GTD3001GBP<004m>0P00?TL6
000`?`P0028h1`00<3l2000nA`<004m>0P00EdX4001NA@8006Hm0P00KS<3001e9`<007dJ1000Q@X4
00N<01P06Y@01P07S00500252PH007dJ2000MBL?001^<aL006Hm3`00GTD>001GBPL0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?oooc<0030o2`00?TL<001?CPl005M:4000Cdh<000n
A`D004m>0`00EdX3001NA@<006Hm0P00KS<2001e9`04001m6P00Q@X008D:00N<00806Y@000@0<9`0
04RS001QZ`00HJ/00P1m/`000`2K^P00^/800;[200020<Zh00050=6S003IS@00fHd00>5e003XFP00
0`3`?P0L0?l00080l3h000D0j5X00>5e003QM@00hGD00=6S00020<Zh00050;[2002K^P00VkX0066[
0018X`000P0`W0001@0JU0001h`000252P00Q@X007dJ008006hc0P00ISd01000GTD005M:001GBP00
EdX2001?CP8003i71000<3l<000R>0D0030o0P00?TL2001?CP<005M:0`00GTD2001V?@8006hc0P00
MBL3001m6P<008D:1007S00401ZD0140<9`0200JU00500N<00D008D:1P00OAX8001e9a<006hc5P00
ISd=001NA@d005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo=@00<3l:
000nA`X004m>5`00EdX:001?CPh003i71@00Cdh3001GBP8005i50P00ISd2001^<`8007DW00@007dJ
00252P00Q@X01h`00P0JU0000`0`W000B:<0066[000207fc000509^j002j`P00b[P00<Zh003AX`00
0P3IS@001@3QM@00j5X00?0n003`?P00n2000200o`0000d0l3h00>QJ003XFP00hGD00=V=003AX`00
b[P00;[2002K^P00OK<0066[0018X`00<9`000806Y@000D01h`000252P00OAX007DW001^<`02001V
?@03001NA@00EdX005M:008004m>0P00?TL2000`?`l0028h1000<3l2000nA`8004m>0`00EdX2001N
A@8006Hm0P00KS<2001e9`8007dJ0`00Q@X300N<000301ZD000`W000<9`000D0<9`04@18X`04032L
00D06Y@01007S00500252PD007dJ2@00MBLG001^<a<006Hm3000GTD=001GBPL0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooocH0030o2@00?TL9001?CQX005M:2000Cdh@000nA`D0
04m>0P00EdX2001NA@8006Hm00@006hc001e9`00MBL007dJ0P00Q@X01P07S0006Y@001ZD000`W000
B:<0066[0080OK<000@0VkX00;[2003:^000dJ<00P3IS@000`3QM@00j5X00?0n00020?PP0240o`00
00d0n2000?0n003XFP00hGD00=V=003AX`00b[P00;[2002K^P00OK<0066[0018X`00<9`000806Y@0
00D01h`000252P00OAX007DW001^<`02001V?@03001NA@00EdX004m>008003i70P00<3l4000R>0/0
01L`0P008SP3000`?`8003i70P00Cdh2001GBP8005i50P00ISd2001^<`05001e9`00OAX007dJ001m
6P00Q@X00`07S000100JU000<9`0032L000`W00404RS0140HJ/01@18X`05032L00<06Y@01007S005
00252PD007dJ2P00MBLJ001^<`l006Hm3000GTD=001GBPL0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooocL0030o2@00?TL8001?CQ`005M:1P00CdhC000nA`<004m>0P00EdX2001N
A@8006Hm00@006hc001e9`00MBL007dJ0P00Q@X01@07S0006Y@0032L0018X`00HJ/00080OK<000@0
VkX00;[2003:^000dJ<00P3IS@00103QM@00j5X00?0n003h800R0?l0000=0?PP003`?P00j5X00>5e
003IS@00dJ<00<Zh002j`P00VkX007fc001QZ`00B:<0032L000201ZD000500N<0000Q@X007dJ001e
9`00KS<00P00GTD00`00EdX004m>000nA`02000`?`<0028h00<001L`000>:0003RP020003RP3000G
<080028h0`00<3l2000nA`8004m>0P00EdX01000GTD006Hm001V?@00KS<2001e9`8007dJ0P00Q@X0
1@07S0006Y@001ZD000JU000<9`000<0B:<0101QZ`0A07fc00<0HJ/01018X`04032L00<06Y@01007
S00400252PD007dJ2`00MBLM001^<``006Hm2`00GTD=001GBPL0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooocP0030o2000?TL8001?CPT005M:2`00GTD9001GBPH004m>2@00?TL5
000`?`H003i70P00Cdh2001GBP8005i50P00ISd01P00KS<007DW001m6P00OAX008D:00N<00806Y@0
00P0<9`004RS001QZ`00OK<009^j002j`P00b[P00=6S0080fHd00P3XFP000`3`?P00n2000?l0000R
0?l0000C0?PP003`?P00hGD00=V=003AX`00b[P00;[2002K^P00OK<0066[0018X`00<9`001ZD0007
S00008D:001m6P00MBL006hc001NA@02001GBP03001?CP00<3l0030o0080028h0P005c02000>:0P0
00LQ0`003RP3000G<005000R>000<3l0030o000`?`00?TL00P00Cdh2001GBP05001NA@00ISd006Hm
001^<`00MBL00P00OAX200252P<06Y@000@0<9`004RS0018X`00B:<00`1QZ`0809^j00D0^/801`2K
^P0407fc0080HJ/01018X`03032L00<06Y@00`07S00500252PD007dJ2`00MBLM001^<`/006Hm2`00
GTD=001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooocT0030o2000?TL7
001?CPP005M:3P00GTD8001GBPD004m>1`00?TL:000`?`@003i70P00Cdh2001GBP8005i50P00ISd0
5000KS<007DW001m6P00OAX008D:00N<000JU000<9`004RS001QZ`00OK<009^j002j`P00b[P00=6S
003IS@00hGD00>QJ003`?P00n200903o00001P3h8000l3h00>5e003IS@00dJ<00<Zh0080VkX000L0
HJ/004RS000`W0006Y@000N<0000Q@X007dJ008006hc00@005i5001GBP00Cdh004m>0P00<3l00`00
8SP001L`000G<002000>:0D000LQ10000QT300078@8000hX0P005c000`008SP0030o000`?`02000n
A`8004m>00<005M:001NA@00ISd00P00KS<01P00MBL007dJ00252P00Q@X01h`001ZD0080<9`00P18
X`03066[00@0VkX00`2j`P090<Zh00@0^/801@2K^P0307fc00<0HJ/00`18X`03032L00<06Y@00`07
S00400252PD007dJ3000MBLM001^<`/006Hm2P00GTD=001GBPL0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooocT0030o2000?TL7001?CPL005M:4000GTD7001GBPD004m>1P00?TL;
000`?`@003i70P00Cdh2001GBP8005i50P00ISd05000KS<007DW001m6P00OAX008D:00N<000JU000
<9`004RS001QZ`00OK<009^j002j`P00b[P00=6S003IS@00hGD00>QJ003`?P00n200903o0000503h
8000l3h00>5e003IS@00dJ<00<Zh002K^P00OK<0066[0018X`006Y@000N<0000Q@X007dJ001^<`00
ISd005i5001GBP00Cdh003i70P00<3l00`008SP001L`000>:002000>:0<000LQ1`000QT300078@80
00hX0P005c001P008SP0030o000nA`00?TL004m>001GBP8005i500H006Hm001^<`00MBL007DW001m
6P00Q@X200N<000501ZD000`W000B:<004RS001QZ`000`1m/`00102K^P00^/800;[2002j`P040<Zh
00T0dJ<01@3:^0040;[20080VkX00P1m/`04066[0080B:<00P0`W00401ZD00801h`01000Q@X7001m
6Ph007DW6@00KS<;001V?@X005i53@00EdX70?ooo`4000000@3oool002<0oooo0P0000050?ooocX0
030o1`00?TL7001?CPP005M:4000GTD6001GBPH004m>1P00?TL:000`?`@003i70`00Cdh2001GBP80
05i500@006Hm001^<`00KS<007DW0P00OAX200N<000:01ZD000`W000B:<0066[001m/`00VkX00;[2
003:^000dJ<00=V=0080j5X000<0l3h00?PP003o00008@3o00005@3h8000l3h00>QJ003QM@00fHd0
0<Zh002j`P00VkX007fc0018X`00<9`001ZD0007S00007dJ001e9`00KS<006Hm001NA@00EdX004m>
000nA`02000`?`03000R>0005c0000hX008000hX10001b4600026@<000LQ00H000hX000G<0008SP0
028h000`?`00?TL2001?CP06001GBP00GTD006Hm001V?@00KS<007DW0P00OAX01000Q@X01h`001ZD
000JU00204RS0080HJ/000<0OK<009^j002j`P000P2j`P030<Zh00d0fHd0103AX`030<Zh00<0^/80
0`2K^P00101m/`00HJ/0066[001QZ`0304RS0080<9`00`0JU00300N<00@008D:1`00OAXD001e9a<0
06hc2P00ISd:001NA@d005M:1P3oool200000040oooo000S0?ooo`030000003oool0oooo00@0oooo
>P00<3l8000nA`L004m>1`00EdX@001NA@L005M:1@00Cdh6000nA`/0030o1000?TL2001?CP8005M:
0P00GTD2001V?@0B001^<`00MBL007dJ001m6P00Q@X01h`001ZD000`W000B:<0066[001m/`00VkX0
0;[2003:^000dJ<00=V=003QM@00j5X00P3`?P000`3h8000o`000?l0000N0?l0000@0?PP003`?P00
j5X00>5e003IS@00dJ<00;[2002K^P00OK<0066[000`W0006Y@000N<0000Q@X007DW001^<`8006Hm
00H005M:001?CP00?TL003i7000`?`008SP2000G<0<000hX10001b4500026@0600078@003RP000hX
000>:0005c00028h0P00<3l01P00?TL004m>001GBP00EdX005i5001V?@8006hc0P00OAX200252P80
6Y@00P18X`02066[0080VkX00P2j`P030<Zh00<0fHd03@3QM@030=V=00@0dJ<00P3:^0020;[20080
VkX00P1m/`03066[00<0B:<00P0`W00301ZD00<01h`01@00Q@X6001m6QL007DW3`00KS<;001V?@X0
05i53000EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolk000`?`L003i7
1`00Cdh8001GBQ0005i51`00EdX5001?CPH003i72P00<3l4000nA`<004m>0P00EdX2001NA@05001V
?@00KS<006hc001e9`00OAX00P00Q@X03P07S0006Y@0032L0018X`00HJ/007fc002K^P00^/800<Zh
003AX`00fHd00>5e003XFP00l3h00P3h800N0?l0000F0?PP003`?P00j5X00>5e003IS@00dJ<00;[2
002K^P00OK<0066[0018X`006Y@000N<0000Q@X007dJ001e9`00KS<006Hm001NA@00EdX004m>000n
A`80030o00<0028h000G<0005c000`003RP700078@@000hX0P005c001P008SP0030o000nA`00?TL0
04m>001GBP8005i500@006Hm001^<`00MBL007dJ0P00Q@X201ZD0004032L0018X`00HJ/0066[0080
VkX00P2j`P020<Zh0080dJ<000@0fHd00>5e003QM@00hGD0303XFP030>5e00<0fHd00`3AX`020<Zh
0080^/800P2K^P0207fc00<0HJ/00P18X`03032L00<06Y@00`07S00500252PL007dJ5`00MBL>001^
<`X006Hm2P00GTD<001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oooc/0
030o2000?TL7001?CPP005M:3`00GTD7001GBPH004m>2000?TL6000`?`D003i70`00Cdh2001GBP80
05i500<006Hm001^<`00KS<00P00MBL01000OAX008D:00N<0007S00201ZD000604RS001QZ`00OK<0
07fc002K^P00b[P00P3AX`00103IS@00hGD00>QJ003XFP020?PP01X0o`000P3h80020>QJ00040>5e
003IS@00dJ<00;[20080VkX000<0OK<004RS000`W0000P0JU0001P07S00007dJ001e9`00MBL006hc
001V?@8005i500<005M:001?CP00?TL00P00?TL3000R>0L001L`10008SP4000nA`<005M:00D005i5
001^<`00KS<006hc001e9`0300252P0601ZD000`W000B:<004RS001QZ`00OK<00P2K^P000`2j`P00
b[P00=6S00020=6S00@0hGD00`3XFP090?0n00D0j5X00`3QM@00103IS@00dJ<00=6S003AX`020<Zh
00<0^/8000@0VkX007fc001m/`00OK<00P1QZ`0204RS00@0<9`00P0JU00400N<00D008D:2000OAXE
001e9`h006hc2P00ISd:001NA@`005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo00<0028h000`?`00<3l0>000<3l8000nA`P004m>2@00EdX<001NA@T005M:1`00Cdh@000n
A`@004m>0P00EdX3001NA@03001V?@00KS<006hc008007DW00<007dJ00252P07S0000P07S0001P0J
U000B:<0066[001QZ`00OK<009^j0080b[P00P3AX`020>5e0080j5X00P3h800F0?l00080n2000`3X
FP020>5e0080dJ<000H0b[P00;[2002K^P00VkX007fc0018X`02032L000301ZD0007S00007dJ0080
07dJ00D007DW001V?@00ISd006Hm001NA@03001GBPX003i71000Cdh4001NA@@007DW1000Q@X301ZD
000504RS001QZ`00OK<007fc002K^P000`3:^0000`3AX`00fHd00>5e00020>5e00@0j5X00`3`?P08
0?PP00@0l3h00P3XFP040>5e00040=V=003AX`00dJ<00=6S0080b[P00P2j`P0209^j00<0OK<00P1Q
Z`0204RS00<0<9`00`0JU00400N<00H008D:2@00OAXC001e9`d006hc2P00ISd:001NA@`005M:1`3o
ool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0P008SPi000`?`T003i72@00Cdh9
001GBPT005i52`00EdX8001?CPd003i71@00Cdh3001GBP8005i50P00ISd2001^<`8007DW00<007dJ
00252P07S0000P07S0000`0JU000B:<004RS0002066[0080VkX000<0^/800<Zh003AX`000P3AX`00
1@3QM@00j5X00>QJ003XFP00n2000140o`000`3h8000103`?P00j5X00>QJ003XFP020>5e00050=V=
003AX`00dJ<00<Zh002j`P000`2K^P001@1m/`00B:<004RS0018X`00<9`000<01h`01000OAX4001^
<`<006Hm0`00GTD4001V?@@006hc1000OAX400N<00@0B:<00`1QZ`000`1m/`00b[P00<Zh00020<Zh
00<0fHd000<0hGD00?0n003`?P000P3`?P040?PP00P0o`001@3h80030?0n0080j5X00`3QM@020=V=
0080dJ<00P3:^0030;[2000409^j001m/`00OK<007fc00<0HJ/00P18X`03032L00@06Y@01007S006
00252P/007dJ3`00MBL=001^<`X006Hm2P00GTD<001GBPL0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooo`<0028h>000<3l:000nA`T004m>7@00EdX:001?CPT003i71@00Cdh4001G
BP8005i50`00ISd2001^<`8007DW00<007dJ00252P00Q@X00P07S000100JU000<9`0032L0018X`02
066[000307fc002K^P00^/800080^/800`3AX`000`3IS@00j5X00>QJ00020>QJ00@0l3h01P3h8007
0?0n00<0j5X00`3QM@000`3IS@00dJ<00=6S00020<Zh0080^/800P2K^P0207fc0003066[0018X`00
B:<00080B:<0100JU00400N<00H008D:1007S00401ZD00@0B:<0101m/`040;[200@0b[P0103QM@04
0?0n01@0o`000`3h80020?0n0080j5X00`3QM@020=V=0080dJ<00P3:^0020;[20080VkX00`1m/`02
066[00<0B:<00`0`W00401ZD00D01h`01`00Q@X;001m6Pd007DW2`00KS<:001V?@/005i53000EdX7
0?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool4000R>3L0030o3000?TL;001?
CQ`005M:5@00Cdh4001GBP@005i50P00ISd3001^<`05001e9`00OAX007dJ001m6P00Q@X00`07S000
100JU000<9`0032L000`W004066[00@0VkX0103:^0040=V=00<0hGD01P3XFP030?0n00@0j5X0103Q
M@030=V=00@0dJ<0103:^00409^j00@0OK<01P1QZ`0407fc00@0VkX0102j`P040=6S00@0fHd0103X
FP040?PP01`0o`000`3h80020?0n0080j5X00`3QM@020=V=0080dJ<00P3:^0020;[200<0VkX00P1m
/`02066[00@0B:<00`0`W00401ZD00H01h`02000Q@X:001m6P/007DW2`00KS<:001V?@/005i53000
EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool6000R>3@0030o3`00?TL;
001?CQd005M:4@00Cdh4001GBPH005i50`00ISd2001^<`<007DW1000OAX400N<00@0<9`0101QZ`04
09^j00@0^/800P3:^000103AX`00fHd00=V=003IS@020>5e0080j5X00P3`?P0C0>QJ00/0dJ<00`3I
S@040>5e00@0j5X0103`?P0]0?l00080n2000P3`?P020>QJ00<0hGD00P3IS@020=6S0080b[P00P2j
`P0309^j00<0OK<00P1QZ`0404RS00@0<9`0100JU00600N<00P008D:2@00OAX:001e9`/006hc2P00
ISd;001NA@`005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1`008SPb
000`?a8003i72`00Cdh^001GBPT005i51000ISd3001^<`@007DW1000OAX400N<00@0<9`01018X`04
07fc0080^/800P3:^0020=6S0080fHd000@0hGD00>QJ003XFP00l3h00P3XFP040?0n00d0o`000`3`
?P040?PP0400o`000P3h80020?0n0080j5X00`3QM@020=V=0080dJ<00P3:^0030;[20080VkX00`1m
/`03066[00@0B:<01@0`W00401ZD00L01h`01`00Q@X8001m6PT007DW2P00KS<:001V?@`005i53000
EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool8000R>300030o5P00?TL=
001?CQD005M:4000GTD2001GBP`005i51P00ISd4001^<`@007DW0`00OAX00`00Q@X01h`000N<0002
00N<00806Y@00P0`W00204RS0003066[001m/`00OK<00080VkX000@0^/800<Zh003:^000dJ<00P3I
S@000`3QM@00j5X00>QJ00030?0n05P0o`0000<0n2000?0n003`?P000P3XFP020>5e0080fHd00`3A
X`020<Zh00<0^/800P2K^P0407fc00<0HJ/01018X`05032L00H06Y@01P07S00700252PL007dJ2000
MBL:001^<`X006Hm2`00GTD=001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`X0028h9`00<3lQ000nA``004m>2`00EdX_001NA@@006Hm1000KS<4001e9`<008D:00H01h`0
01ZD000`W000<9`004RS001m/`0209^j00040;[2003:^000b[P00=6S0080fHd000@0hGD00>QJ003`
?P00n200FP3o00000`3h8000l3h00?0n00020>QJ0080hGD00P3IS@030=6S0080b[P00`2j`P0209^j
00@0OK<0101QZ`0504RS00H0<9`01P0JU00600N<00D008D:1`00OAX7001e9`P006hc2`00ISd<001N
A@d005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo30008SPM000`?b`0
03i72@00Cdh:001GBPP005i55000ISd=001NA@L005M:2000GTD3001V?@04001^<`00MBL007DW001m
6P8008D:00L06Y@0032L000`W000HJ/007fc002K^P00^/800080b[P000@0dJ<00=V=003QM@00j5X0
0P3`?P1K0?l000030?PP003`?P00l3h00080j5X00P3QM@020=V=0080dJ<00`3:^0030;[20080VkX0
1@1m/`04066[00H0B:<01P0`W00601ZD00D01h`01@00Q@X6001m6PL007DW2000KS<:001V?@d005i5
3@00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool=000R>1X0030o<@00
?TL7001?CPP005M:1P00GTD7001V?@`006hc2000ISd8001NAA0005M:0`00GTD2001V?@09001^<`00
MBL007dJ001m6P07S0006Y@0032L0018X`00HJ/00080VkX000D0^/800<Zh003AX`00fHd00>QJ0002
0?0n05`0o`0000<0n2000?0n003`?P000P3XFP020>5e00040=V=003AX`00dJ<00=6S0080b[P00`2j
`P0309^j00D0OK<01@1QZ`0704RS00H0<9`01@0JU00500N<00D008D:1P00OAX6001e9`P006hc2@00
ISd>001NA@d005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3P008SPH
000`?c@003i71P00Cdh6001GBPH005i51@00ISdC001^<`H006Hm1@00GTD5001GBP`004m>0P00EdX2
001NA@8006Hm00h006hc001e9`00OAX008D:00N<000JU000<9`004RS001QZ`00VkX00;[2003AX`00
fHd00>5e0080l3h0G03o00020?PP00030?0n003XFP00j5X00080hGD00P3IS@020=6S00<0b[P00`2j
`P0309^j00H0OK<01@1QZ`0704RS00D0<9`01P0JU00500N<00D008D:1@00OAX6001e9`L006hc2@00
ISd?001NA@d005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3`008SPE
000`?bD003i71@00<3l<000nA`H004m>1P00EdX4001NA@D006Hm1@00KS<<001e9`H006hc1000ISd4
001NA@<005M:1000Cdh;000nA`<004m>0P00EdX04000ISd006hc001^<`00MBL008D:00N<000JU000
<9`004RS001QZ`00VkX00;[2003AX`00fHd00>QJ003h801M0?l00080n20000<0l3h00>QJ003XFP00
0P3QM@00103IS@00dJ<00=6S003AX`020<Zh00<0^/80102K^P0607fc00P0HJ/01@18X`06032L00D0
6Y@01@07S00400252PD007dJ1P00MBL7001^<`T006Hm3`00GTD=001GBPL0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooa00028h4`00<3lT000nA`d0030o1`00?TL5001?CPH005M:
1000GTD4001V?@@006hc4@00MBL4001^<`<006Hm1000GTD3001GBP@004m>0`00?TL7000`?`<003i7
0P00Cdh00`00EdX005i5001V?@02001^<`0;00252P07S0006Y@0032L0018X`00HJ/009^j003:^000
dJ<00=V=003XFP00GP3o00020?PP00030?0n003XFP00j5X00080hGD000@0fHd00=6S003AX`00dJ<0
0P3:^0030;[200@0VkX01`1m/`08066[00D0B:<01P0`W00501ZD00@01h`01000Q@X5001m6PH007DW
1`00KS<9001V?@l005i53@00EdX70?ooo`4000000@3oool001X0oooo0P0000070?ooo`030000003o
ool0oooo00@0oooo40008SPC000`?b<003i73`00<3l7000nA`D004m>1@00EdX3001NA@D006Hm0`00
KS<4001e9`/007dJ1@00MBL3001^<`<006Hm0`00GTD3001GBP<004m>0P00?TL;000`?`8003i70P00
Cdh02`00EdX006Hm001^<`00KS<007DW00252P07S000<9`004RS001QZ`00VkX00080dJ<000<0hGD0
0?0n003o0000G@3o00020?PP00040?0n003XFP00hGD00>5e0080fHd00P3AX`020<Zh00@0^/80102K
^P0807fc00L0HJ/01P18X`06032L00@06Y@01@07S00400252PD007dJ1@00MBL7001^<`P006Hm4000
GTD=001GBPL0oooo0@0000010?ooo`006@3oool010000000oooo0?ooo`0000060?ooo`030000003o
ool0oooo00@0oooo4@008SPA000`?b<003i74@00<3l7000nA`@004m>1000EdX4001NA@@006Hm0`00
KS<4001e9`h007dJ1000MBL3001^<`8006Hm0P00GTD3001GBP<004m>0P00?TL4000`?`H0028h0`00
<3l2000nA`0?001?CP00EdX005i5001V?@00KS<007DW00252P07S000<9`004RS001m/`00^/800=6S
003IS@00j5X005l0o`0000@0n2000?0n003`?P00j5X00P3QM@00103IS@00dJ<00=6S003AX`020<Zh
00<0^/801@2K^P0807fc00P0HJ/01P18X`05032L00D06Y@01007S00400252PD007dJ1@00MBL6001^
<`T006Hm4000GTD=001GBPL0oooo0@0000010?ooo`006@3oool010000000oooo0?ooo`0000060?oo
o`030000003oool0oooo00@0oooo4@008SPA000`?b8003i74P00<3l7000nA`@004m>1000EdX3001N
A@@006Hm0`00KS<4001e9`l007dJ1000MBL3001^<`8006Hm0P00GTD3001GBP8004m>0`00?TL3000`
?`L0028h0`00<3l2000nA`0?001?CP00EdX005i5001V?@00KS<007DW00252P07S000<9`004RS001m
/`00^/800=6S003QM@00l3h005l0o`0000D0n2000?0n003`?P00j5X00>5e00020=V=0080dJ<00`3:
^0030;[200D0VkX0201m/`08066[00H0B:<01@0`W00501ZD00@01h`01000Q@X5001m6PD007DW1P00
KS<8001V?A4005i53@00EdX70?ooo`4000000@3oool001T0oooo00@000000?ooo`3oool000001P3o
ool3000000@0oooo4@008SPA000`?b8003i74P00<3l7000nA`@004m>1000EdX3001NA@@006Hm0`00
KS<4001e9`l007dJ1000MBL3001^<`8006Hm0P00GTD3001GBP8004m>0`00?TL3000`?`L0028h0`00
<3l2000nA`0?001?CP00EdX005i5001V?@00KS<007DW00252P07S000<9`004RS001m/`00^/800=6S
003QM@00l3h005l0o`0000D0n2000?0n003`?P00j5X00>5e00020=V=0080dJ<00`3:^0030;[200D0
VkX0201m/`08066[00H0B:<01@0`W00501ZD00@01h`01000Q@X5001m6PD007DW1P00KS<8001V?A40
05i53@00EdX50?ooo`<000000@3oool001T0oooo00@000000?ooo`3oool000001P3oool00`000000
oooo0?ooo`040?oooa40028h4@00<3lR000nAa80030o1`00?TL4001?CP@005M:0`00GTD4001V?@<0
06hc1000MBL?001m6P@007DW0`00KS<2001V?@8005i50`00EdX2001?CP<003i70`00<3l7000R>0<0
030o0P00?TL03`00Cdh005M:001NA@00ISd006hc001e9`00Q@X01h`0032L0018X`00OK<00;[2003A
X`00hGD00?0n001O0?l000050?PP003`?P00l3h00>QJ003QM@000P3IS@020=6S00<0b[P00`2j`P05
09^j00P0OK<0201QZ`0604RS00D0<9`01@0JU00400N<00@008D:1@00OAX5001e9`H006hc2000ISdA
001NA@d005M:1`3oool100000040oooo000I0?ooo`040000003oool0oooo000000H0oooo00<00000
0?ooo`3oool0103ooolA000R>140030o8`00?TL@000`?`P003i71000Cdh4001GBP<005i51000ISd4
001^<`D007DW3@00OAX4001e9`<006hc0P00ISd2001NA@<005M:0P00Cdh3000nA`@0030o1@008SP4
000`?`8003i700l004m>001GBP00GTD006Hm001^<`00MBL008D:00N<000`W000B:<007fc002j`P00
dJ<00>5e003`?P00G`3o00001@3h8000l3h00?0n003XFP00hGD00080fHd00P3AX`030<Zh00<0^/80
1@2K^P0807fc00P0HJ/01P18X`05032L00D06Y@01007S00400252PD007dJ1@00MBL6001^<`P006Hm
4@00GTD=001GBPL0oooo0@0000010?ooo`006P3oool2000000L0oooo00<000000?ooo`3oool0103o
oolA000R>180030o8`00?TL>000`?`T003i71000Cdh4001GBP@005i51000ISd4001^<`D007DW2@00
OAX5001e9`@006hc0`00ISd2001NA@<005M:0`00Cdh4000nA`/0030o018003i7001?CP00EdX005M:
001NA@00ISd006hc001e9`00Q@X01h`0032L0018X`00OK<00;[2003AX`00fHd00>QJ003h801N0?l0
00040?PP003`?P00l3h00>QJ0080hGD00P3IS@020=6S0080b[P0102j`P0409^j00P0OK<0201QZ`05
04RS00D0<9`01P0JU00400N<00@008D:1@00OAX5001e9`H006hc2@00ISd@001NA@d005M:1`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo40008SPC000`?b@003i73000<3l9000n
A`D004m>1@00EdX3001NA@D006Hm1000KS<@001e9`D006hc1000ISd3001NA@<005M:0`00Cdh5000n
A`H0030o0`00?TL01@00Cdh005M:001GBP00GTD006Hm008006hc00/007DW00252P07S000<9`004RS
001QZ`00VkX00<Zh003AX`00hGD00?0n001N0?l00080n20000@0l3h00>QJ003XFP00hGD00P3IS@02
0=6S0080b[P0102j`P0409^j00P0OK<01P1QZ`0604RS00D0<9`01P0JU00400N<00D008D:1@00OAX5
001e9`L006hc2000ISd@001NA@d005M:1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo3`008SPF000`?bD003i71`00<3l:000nA`D004m>1P00EdX4001NA@H006Hm1@00KS<:001e
9`L006hc1000ISd4001NA@<005M:1000Cdh:000nA`<004m>0P00EdX2001NA@0?001V?@00KS<007DW
00252P07S0006Y@0032L0018X`00HJ/009^j002j`P00dJ<00=V=003XFP00n20005d0o`000P3h8000
0`3`?P00j5X00>QJ00020>5e00040=V=003AX`00dJ<00=6S0080b[P00`2j`P0409^j00L0OK<01P1Q
Z`0604RS00D0<9`01P0JU00500N<00@008D:1@00OAX6001e9`L006hc2@00ISd?001NA@d005M:1`3o
ool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3P008SPH000`?c<003i71`00Cdh6
001GBPL005i51@00ISdA001^<`L006Hm1@00GTD6001GBPX004m>0`00EdX05000GTD006Hm001V?@00
ISd006hc001e9`00OAX008D:00N<000JU000<9`004RS001QZ`00VkX00;[2003AX`00fHd00>QJ003`
?P00n200G03o00020?PP00030?0n003XFP00j5X00080hGD000@0fHd00=6S003AX`00dJ<00P3:^003
0;[200@0VkX01P1m/`05066[00H0B:<01P0`W00601ZD00D01h`01@00Q@X5001m6PH007DW1`00KS<9
001V?@l005i53@00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool=000R
>1X0030o<000?TL9001?CPP005M:1P00GTD7001V?@X006hc2000ISd9001NA@l005M:0`00GTD2001V
?@8006hc00D007DW001m6P00Q@X008D:00N<0002032L000504RS001QZ`00VkX00;[2003AX`000P3I
S@020>QJ00030?PP003o0000o`0005T0o`000P3h80000`3`?P00j5X00>QJ00020>5e0080fHd00`3A
X`020<Zh00<0^/800`2K^P0607fc00D0HJ/01@18X`06032L00H06Y@01@07S00500252PH007dJ1P00
MBL7001^<`X006Hm3P00GTD=001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`/0028h7`00<3lZ000nA`/004m>2P00EdX8001NAA8006Hm3P00GTD6001GBPP005i50`00ISd0
1000KS<007DW001e9`00MBL200252P801h`000@0<9`004RS0018X`00HJ/00P2K^P001@2j`P00b[P0
0=6S003IS@00hGD00080j5X000<0n2000?l0003o0000F@3o00000`3h8000l3h00?0n00020>QJ0080
hGD000@0fHd00=6S003AX`00dJ<00P3:^0030;[200<0VkX01@1m/`05066[00@0B:<01P0`W00601ZD
00H01h`01@00Q@X7001m6PH007DW2000KS<:001V?@d005i53@00EdX70?ooo`4000000@3oool002<0
oooo00<000000?ooo`3oool0103oool9000R>2T0030o7`00?TL<001?CPd005M:;@00GTD4001V?@@0
06hc1000MBL300252P0500N<000JU000<9`0032L0018X`000P1QZ`000`1m/`00VkX00;[200020<Zh
00040=6S003IS@00fHd00>5e0080j5X00P3h801I0?l000030?PP003`?P00l3h00080j5X00P3QM@02
0=V=00<0dJ<00P3:^0030;[20080VkX01@1m/`04066[00<0B:<01P0`W00601ZD00H01h`01P00Q@X7
001m6PL007DW2000KS<;001V?@`005i53@00EdX70?ooo`4000000@3oool002<0oooo00<000000?oo
o`3oool0103oool8000R>300030o5@00?TL>001?CQH005M:7@00GTD5001V?@@006hc1000MBL3001m
6P0300252P07S0001h`000801h`00`0JU000100`W000B:<004RS0018X`0307fc000509^j002j`P00
b[P00<Zh003AX`000`3IS@000`3QM@00j5X00>QJ00030?0n00030?PP003o0000o`0005D0o`0000<0
n2000?0n003`?P000P3XFP020>5e0080fHd00`3AX`020<Zh00<0^/800P2K^P0407fc00<0HJ/01018
X`05032L00D06Y@01`07S00600252PP007dJ2000MBL9001^<`X006Hm3000GTD=001GBPL0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L0028h<P00<3lA000nA`/004m>;`00EdX8
001NA@@006Hm0`00KS<4001e9`@007dJ1007S004032L00@0B:<0101m/`020;[20080b[P00P3AX`02
0=V=00<0hGD01@3XFP00103`?P00n2000?PP003h800;0?l000D0l3h0A03o00000`3h8000l3h00?0n
00020>QJ0080hGD00P3IS@030=6S0080b[P00`2j`P0209^j00@0OK<00`1QZ`0404RS00<0<9`0100J
U00700N<00L008D:2@00OAX9001e9`X006hc2P00ISd;001NA@d005M:1`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo1@008SPe000`?`h003i72`00CdhQ001GBP`004m>1P00EdX5
001NA@<006Hm0P00KS<3001e9`@007dJ1007S004032L00@0HJ/0102K^P040;[20080b[P000@0dJ<0
0=V=003IS@00fHd0103QM@0E0>QJ00T0dJ<01`3IS@040>5e00@0j5X0103h800/0?l00080n2000P3`
?P020>QJ00<0hGD00P3IS@020=6S0080b[P00`2j`P0209^j00<0OK<00`1QZ`0404RS0080<9`0100J
U00600N<00P008D:2P00OAX:001e9`X006hc2P00ISd<001NA@`005M:1`3oool100000040oooo000S
0?ooo`030000003oool0oooo00@0oooo10008SPg000`?`/003i72`00CdhL001GBQH004m>1000EdX3
001NA@<006Hm0P00KS<2001e9`8007dJ00D008D:00N<0007S0001h`001ZD0003032L00@0HJ/0102K
^P040<Zh00@0fHd00`3QM@0>0>QJ00<0hGD00`3IS@040=6S00@0b[P0102K^P0407fc00P0HJ/0101m
/`0409^j00@0^/80103AX`040=V=00@0j5X0103h800L0?l00080n2000P3`?P020>QJ00<0hGD00P3I
S@020=6S0080b[P00P2j`P0309^j00<0OK<00P1QZ`0404RS0080<9`0100JU00500N<00P008D:2P00
OAX<001e9`/006hc2P00ISd;001NA@`005M:1`3oool100000040oooo000S0?ooo`030000003oool0
oooo00@0oooo0`008SPh000`?`X003i72000CdhN001GBPT004m>2P00?TL5001?CP@005M:0P00GTD3
001V?@8006hc0P00MBL01000OAX008D:00N<0007S00201ZD0006032L0018X`00HJ/0066[001m/`00
VkX00`2j`P030=6S00030=V=003QM@00hGD00080hGD0103`?P080?PP00L0l3h00P3XFP020>5e0080
fHd00P3AX`020<Zh00060;[2002K^P00VkX009^j001m/`00HJ/01018X`0401ZD01001h`0100`W004
04RS00@0OK<000@0^/800<Zh003:^000b[P0103AX`040>5e00040?0n003h8000n2000?PP0180o`00
103h8000103`?P00j5X00>QJ003XFP030>5e0080fHd00P3AX`020<Zh0080^/800P2K^P0307fc0080
HJ/00`18X`03032L00<06Y@01@07S00700252P/007dJ3P00MBL;001^<`X006Hm2`00GTD<001GBPL0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`80028h>@00<3l:000nA`L004m>
2@00EdX:001NA@/005M:1`00Cdh>000nA`@004m>1000EdX2001NA@<006Hm00D006hc001e9`00MBL0
07dJ00252P0200N<000301ZD000`W000B:<00080HJ/00P2K^P020;[200<0dJ<000D0hGD00>QJ003X
FP00j5X00?PP000C0?l000<0n20000<0l3h00>QJ003XFP000P3QM@000`3IS@00dJ<00=6S00020<Zh
00<0VkX000@0OK<004RS0018X`00<9`00`07S004001m6P@006hc3000ISd4001^<`@007dJ100JU004
04RS00<0HJ/000<0OK<00<Zh003:^0000P3:^0040>5e00@0l3h0103h80060?l000L0n20000<0l3h0
0>QJ003XFP000P3XFP030>5e0080fHd00P3AX`020<Zh0080^/800P2K^P0307fc0080HJ/00`18X`03
032L00806Y@01007S00600252P/007dJ4@00MBL;001^<`X006Hm2`00GTD<001GBPL0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`03000R>000<3l0030o03P0030o2@00?TL7001?
CPP005M:3@00GTD:001GBPD004m>4@00?TL4001?CP<005M:0P00GTD2001V?@8006hc00/007DW001m
6P00Q@X008D:00N<000JU000<9`004RS001QZ`00OK<009^j00020;[20080dJ<00P3QM@020>QJ0080
n200603o00020?PP0080j5X000H0hGD00=V=003AX`00dJ<00<Zh002j`P0209^j000607fc001QZ`00
<9`001ZD0007S00008D:0P00OAX01@00MBL006Hm001V?@00ISd005i500<005M:3000?TL4001?CP@0
05i51000MBL400N<00<0<9`000D0B:<0066[001m/`00OK<009^j00030<Zh00030=6S003QM@00hGD0
0080hGD0103XFP0:0?PP00<0l3h0103XFP020>5e00<0fHd00P3AX`020<Zh0080^/800P2K^P0307fc
00<0HJ/00P18X`03032L00806Y@01007S00500252PT007dJ5000MBL=001^<`X006Hm2P00GTD<001G
BPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oooc/0030o2000?TL7001?CPP0
05M:3`00GTD8001GBPD004m>1`00?TL8000`?`@003i70`00Cdh2001GBP8005i50P00ISd2001^<`0@
001e9`00OAX008D:00252P07S0006Y@0032L0018X`00HJ/007fc002K^P00^/800<Zh003AX`00fHd0
0>5e0080j5X00P3h800L0?l000070?PP003`?P00j5X00>5e003IS@00dJ<00<Zh000209^j000:07fc
001QZ`00B:<001ZD0007S00008D:001m6P00MBL006hc001V?@8005i500<005M:001?CP00?TL00P00
?TL3000R>0T001L`10008SP4000nA`<005M:00<005i5001e9`00MBL00P00MBL200252P0300N<000J
U000<9`00080B:<000H0HJ/007fc002K^P00VkX00;[2003:^0030=6S00@0hGD00`3XFP070?0n00D0
j5X00`3QM@030=V=00<0dJ<00P3:^0020;[20080VkX00`1m/`02066[0080B:<00`0`W00301ZD00<0
1h`01@00Q@X7001m6QL007DW3@00KS<:001V?@X005i53000EdX70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103ooolk000`?`L003i71`00Cdh8001GBQ0005i51`00EdX5001?CPH003i7
2P00<3l4000nA`<004m>0P00EdX2001NA@05001V?@00KS<006hc001e9`00OAX00P00Q@X03P07S000
6Y@0032L0018X`00HJ/007fc002K^P00^/800<Zh003AX`00fHd00>5e003XFP00l3h00P3h800N0?l0
000D0?PP003`?P00j5X00=V=003AX`00b[P00;[2001m/`00HJ/004RS000`W0001h`000252P00OAX0
07DW001^<`00ISd005i5001GBP00Cdh2000nA`03000`?`008SP001L`008001L`0`003RP800078@@0
00hX0`008SP01@00<3l003i7000nA`00Cdh005M:008005i500@006Hm001^<`00OAX007dJ0P00Q@X2
01ZD0004032L0018X`00HJ/0066[0080VkX00P2j`P020<Zh0080dJ<000@0fHd00>5e003QM@00hGD0
2P3XFP040>5e0080fHd00`3AX`030<Zh0080^/800P2K^P0207fc00<0HJ/00P18X`03032L00<06Y@0
0`07S00400252PL007dJ6000MBL>001^<`X006Hm2P00GTD<001GBPL0oooo0@0000010?ooo`008`3o
ool2000000D0oooo>`00<3l7000nA`L004m>2000EdX@001NA@L005M:1@00Cdh6000nA`X0030o1000
?TL3001?CP8005M:0P00GTD01@00ISd006hc001^<`00MBL007dJ008008D:00l01h`001ZD000`W000
B:<0066[001m/`00VkX00;[2003:^000dJ<00=V=003QM@00j5X00?0n003h8000803o0000503h8000
l3h00>5e003IS@00dJ<00<Zh002K^P00OK<0066[0018X`006Y@000N<0000Q@X007dJ001e9`00KS<0
06Hm001NA@00EdX004m>0P00?TL01000<3l0028h000G<0005c03000>:0@000LQ10000QT300078@80
00hX00<001L`000R>0008SP00P00<3l01P00?TL004m>001GBP00EdX005i5001V?@8006hc0P00OAX2
00252P806Y@00P18X`02066[0080VkX00P2j`P030<Zh00<0fHd02`3QM@030=V=00@0dJ<00P3:^003
0;[200<0VkX00P1m/`03066[0080B:<00`0`W00301ZD00801h`01000Q@X7001m6QH007DW4@00KS<:
001V?@X005i53000EdX60?ooo`8000000@3oool002<0oooo00<000000?ooo`3oool0103ooolj000`
?`P003i71`00Cdh7001GBQ0005i51`00EdX5001?CPH003i72`00<3l4000nA`8004m>0P00EdX2001N
A@8006Hm018006hc001e9`00OAX007dJ00252P07S0006Y@0032L0018X`00HJ/007fc002K^P00^/80
0<Zh003AX`00fHd00>5e003XFP020?0n0280o`0000l0n2000?0n003QM@00fHd00=6S003:^000VkX0
07fc001QZ`00B:<001ZD0007S00008D:001m6P00KS<00P00ISd01P00EdX004m>000nA`00?TL0030o
000R>08001L`0`003RP400078@D0008I0`001b42000>:08001L`00@0028h000`?`00<3l003i70P00
Cdh00`00EdX005i5001V?@02001^<`07001e9`00OAX008D:00252P07S0006Y@0032L000204RS0080
HJ/000<0OK<009^j002j`P000P2j`P030<Zh00/0fHd0103AX`030<Zh00@0^/800P2K^P0307fc00<0
HJ/00P18X`03032L00<06Y@00P07S00400252PL007dJ4`00MBLD001^<`/006Hm2P00GTD<001GBPL0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooocX0030o1`00?TL7001?CPP005M:
4000GTD7001GBPD004m>1P00?TL:000`?`@003i70`00Cdh2001GBP8005i500H006Hm001^<`00KS<0
07DW001m6P00Q@X200N<000:01ZD000`W000B:<0066[001m/`00VkX00;[2003:^000dJ<00=V=0080
j5X000<0l3h00?PP003o00008P3o0000503h8000l3h00>5e003IS@00dJ<00<Zh002K^P00OK<0066[
0018X`006Y@000N<0000Q@X007dJ001^<`00ISd005i5001GBP00Cdh003i70P00<3l00`008SP001L`
000>:002000>:0<000LQ1`000QT300078@8000hX0P005c0010008SP0030o000`?`00?TL2001?CP03
001GBP00GTD006Hm008006hc00H007DW001m6P00Q@X008D:00N<000JU002032L000304RS001QZ`00
HJ/00080OK<00P2K^P030;[200@0b[P01`3AX`050<Zh00@0^/800P2K^P0407fc0080HJ/00`18X`03
032L00<06Y@00`07S00400252PH007dJ3@00MBLK001^<`X006Hm2P00GTD=001GBPL0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooocT0030o2000?TL7001?CPT005M:3000GTD8001G
BPH004m>1`00?TL9000`?`@003i70`00Cdh2001GBP8005i50P00ISd05000KS<007DW001m6P00OAX0
08D:00N<000JU000<9`004RS001QZ`00OK<009^j002j`P00b[P00=6S003IS@00hGD00>QJ003`?P00
n200903o00001P3h8000l3h00>5e003IS@00dJ<00<Zh0080VkX000D0HJ/004RS000`W0006Y@00025
2P02001m6P08001e9`00ISd006Hm001NA@00EdX004m>000nA`00<3l2000R>08001L`0P003RP50007
8@80008I10001b42000>:08001L`00@0028h000`?`00<3l003i70P00Cdh00`00EdX005i5001NA@02
001V?@8006hc00H007DW001m6P00Q@X008D:00N<000JU002032L0080B:<00`1QZ`0409^j00<0^/80
1`3:^0040;[200D0VkX00`1m/`04066[00<0B:<00`0`W00301ZD00<01h`01000Q@X5001m6P`007DW
7@00KS<;001V?@X005i53@00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
oolh000`?`T003i71`00Cdh:001GBPT005i52@00EdX7001?CPX003i70`00<3l6000nA`8004m>0`00
EdX2001NA@8006Hm0P00KS<04P00MBL007dJ001m6P00Q@X01h`001ZD000`W000B:<0066[001m/`00
VkX00;[2003:^000dJ<00=V=003QM@00j5X00?0n0080n2008`3o00001P3h8000l3h00>5e003IS@00
dJ<00<Zh0080VkX000H0HJ/004RS000`W000<9`000N<0000Q@X2001m6P07001^<`00ISd006Hm001N
A@00EdX004m>000nA`02000`?`80028h0P005c02000>:0H000LQ10003RP3000G<003000R>000<3l0
030o008003i70P00Cdh00`00EdX005i5001NA@02001V?@8006hc00<007DW001m6P00OAX00P00Q@X3
01ZD0004032L0018X`00B:<004RS00<0HJ/0202K^P030;[200L0VkX0101m/`04066[0080B:<0100`
W00401ZD00<01h`01000Q@X5001m6P/007DW7@00KS<<001V?@X005i53@00EdX70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103ooolg000`?`T003i72000CdhK001GBPL004m>4P00?TL3
001?CP<005M:0P00GTD2001V?@8006hc00D007DW001m6P00OAX008D:00N<000201ZD0008032L0018
X`00HJ/007fc002K^P00^/800<Zh003AX`020=V=0080j5X000<0l3h00?PP003o00008P3o00004P3h
8000l3h00>5e003IS@00dJ<00<Zh002j`P00VkX007fc001QZ`00B:<0032L000JU0001h`000252P00
OAX007DW001^<`8006Hm00<005i5001GBP00Cdh00P00?TL2000`?`<0028h00<001L`000>:0003RP0
1`003RP3000G<080028h0`00<3l00`00?TL004m>001?CP02001GBP8005i50P00ISd2001^<`8007DW
0P00OAX200252P0500N<000JU0006Y@001ZD000`W0000`18X`04066[00l0OK<0101QZ`0304RS00D0
<9`0100JU00300N<00D008D:1@00OAX:001e9a`006hc3@00ISd;001NA@d005M:1`3oool100000040
oooo000S0?ooo`030000003oool0oooo00@0oooo=P00<3l:000nA`P004m>6@00EdX9001?CQ4003i7
0`00Cdh3001GBP8005i50P00ISd2001^<`8007DW00P007dJ00252P00Q@X01h`001ZD000`W000B:<0
066[0080OK<000@0VkX00;[2003:^000dJ<00P3IS@000`3QM@00j5X00?0n00020?PP0240o`0000d0
n2000?0n003XFP00hGD00=V=003AX`00b[P00;[2002K^P00OK<0066[0018X`00<9`000806Y@000D0
1h`000252P00OAX007DW001^<`02001V?@04001NA@00EdX004m>001?CP8003i70P00<3l4000R>0T0
01L`0`008SP3000`?`8003i70P00Cdh2001GBP8005i50P00ISd2001^<`8007DW0P00OAX200252P<0
1h`000@06Y@0032L000`W000<9`01018X`0?066[00H0B:<01@0`W00401ZD00@01h`01000Q@X5001m
6PX007DW6@00KS<A001V?@/005i53@00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103ooold000`?`/003i72`00CdhE001GBP/004m>3@00?TL5001?CP<005M:0`00GTD01P00ISd0
06hc001^<`00KS<007DW001m6P<008D:00H01h`001ZD000JU000<9`004RS001QZ`0207fc000309^j
002j`P00b[P00080dJ<00`3IS@001@3QM@00l3h00?0n003`?P00n20001h0o`0000D0l3h00>QJ003X
FP00hGD00=V=00020=6S00070<Zh002K^P00VkX007fc001QZ`00B:<0032L000201ZD000500N<0000
Q@X007dJ001e9`00KS<00P00ISd00`00GTD005M:001GBP02001?CP8003i70`00<3l>000R>0<0030o
0`00?TL3001?CP<005M:0P00GTD2001V?@8006hc0P00MBL2001m6P<008D:0`07S0000`0JU000<9`0
032L0005032L00l0B:<0100`W00501ZD00D01h`01@00Q@X5001m6PT007DW5P00KS<C001V?@d005i5
3@00EdX70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolb000`?``003i73@00
Cdh=001GBQ8004m>2P00?TL5001?CP<005M:1000GTD2001V?@8006hc0P00MBL01@00OAX008D:0025
2P00Q@X01h`000806Y@00P0`W0001P18X`00HJ/007fc001m/`00VkX00;[20080b[P00P3AX`030=V=
00030>5e003`?P00l3h00080l3h06P3o00020?0n00040>QJ003QM@00hGD00>5e0080dJ<00P3:^002
09^j0080OK<000<0B:<0032L000JU0000P0JU0001@00Q@X007dJ001m6P00MBL006hc008006Hm00<0
05i5001GBP00EdX00`00Cdh2000nA`@0030o30008SP4000`?`@003i70P00Cdh3001GBP<005i50P00
ISd2001^<`8007DW0`00OAX300252P@01h`0100JU00?032L00P06Y@01P07S00500252PH007dJ2000
MBLB001^<aH006Hm3P00GTD=001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`<0028h;@00<3l=000nAbd004m>0P00?TL;001?CP@005M:0`00GTD2001V?@8006hc0P00MBL2
001m6P8008D:0P07S00201ZD0080<9`000<0B:<0066[001QZ`000P1m/`000`2K^P00^/800;[20002
0<Zh0080dJ<00`3IS@020>5e00030>QJ003`?P00l3h00080l3h05@3o00000`3`?P00j5X00>5e0002
0>5e00<0dJ<000H0b[P009^j002K^P00VkX007fc001QZ`0204RS0005032L000JU0006Y@001ZD0000
Q@X00P00OAX00`00MBL006hc001^<`02001V?@04001NA@00EdX005M:001GBP8004m>0`00?TL5000`
?`X0028h1@00<3l4000nA`<004m>0P00EdX4001NA@8006Hm0P00KS<3001e9`<007dJ1000Q@X400N<
01H06Y@01`07S00500252PH007dJ2000MBL>001^<aL006Hm4@00GTD=001GBPL0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`L0028h9`00<3l>000nAbD004m>2000?TL;001?CP@0
05M:1000GTD2001V?@8006hc0P00MBL3001m6P8008D:0P07S00201ZD0080<9`00P18X`000`1QZ`00
OK<007fc000209^j0080^/800`3:^0020=6S00@0fHd00P3QM@030>QJ00h0l3h01`3XFP000`3QM@00
dJ<00<Zh00020<Zh00050;[2002K^P00VkX009^j001m/`000P1QZ`0204RS0080<9`00P0JU0001007
S00008D:001m6P00OAX2001e9`03001^<`00ISd006Hm008005i50`00EdX3001?CP<003i71`00<3l6
000R>0L0030o1000?TL3001?CP<005M:0`00GTD3001V?@<006hc0`00MBL4001m6P@008D:1007S00A
01ZD00L01h`01P00Q@X7001m6PL007DW3000KS<F001V?A<005i53P00EdX70?ooo`4000000@3oool0
02<0oooo00<000000?ooo`3oool0103ooolB000R>1X0030o3P00?TLN001?CQ4003i72000Cdh4001G
BP@005i50`00ISd2001^<`8007DW0`00OAX01@00Q@X01h`000N<0007S0006Y@000<0<9`000@0B:<0
066[001QZ`00HJ/00`1m/`0209^j0080^/801@3:^0090=6S00X0fHd0103AX`040<Zh00@0^/80101m
/`04066[00@0<9`01007S003001m6P8007DW0P00KS<2001V?@8005i50`00EdX2001?CP@003i71`00
<3l9000R>0P0030o0`00?TL4001?CP@005M:0P00GTD5001V?@03001^<`00MBL007DW008007DW1000
OAX400252QP01h`01P00Q@X7001m6PL007DW2P00KS<D001V?AL005i53P00EdX70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103ooolD000R>1H0030o3P00?TLL001?CQD003i71P00Cdh4
001GBP@005i50P00ISd3001^<`8007DW00@007dJ00252P00Q@X008D:0P07S00201ZD0080<9`00P18
X`04066[0080OK<00`2K^P030;[200L0b[P00P3AX`0<0<Zh00<0^/80102K^P0407fc00@0HJ/0100`
W00401ZD00@008D:1000OAX3001e9`04001^<`00ISd006Hm001V?@8005i50`00EdX2001?CP@003i7
1P00<3l=000R>0X0030o0P00?TL4001?CP@005M:0`00GTD4001V?@8006hc1000MBL4001m6PD008D:
5007S00700252PH007dJ1`00MBL9001^<a4006Hm6P00GTD?001GBPL0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?oooaD0028h5000<3l=000nAa/004m>5`00?TL6001?CP<005M:1000
GTD2001V?@8006hc0`00MBL00`00OAX008D:00252P0300N<00806Y@00P0`W00204RS00<0HJ/00`1m
/`0409^j00<0^/802`3:^0070;[200@0VkX00`1m/`04066[00@0<9`0100JU00400252P@007dJ1000
MBL4001^<`@006Hm0`00GTD00`00EdX004m>001?CP02001?CP<003i71`00<3lD000R>0H0030o0`00
?TL4001?CP@005M:0`00GTD3001V?@<006hc1000MBL4001m6PL008D:4007S00700252PL007dJ1P00
MBL8001^<`h006Hm7@00GTD@001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?oooaH0028h4P00<3l=000nAaT004m>6P00?TL5001?CP<005M:0`00GTD2001V?@<006hc0P00MBL2
001m6P0400252P07S0001h`000N<00806Y@00P0`W00204RS00<0HJ/00`1m/`0309^j00D0^/802P3:
^0060;[200<0VkX0101m/`00101QZ`00B:<004RS0018X`03032L000401ZD0007S0001h`000N<0080
08D:0`00OAX3001e9`@006hc00<006Hm001NA@00GTD00P00GTD3001GBPP004m>1000?TL4000`?a/0
028h1P00<3l4000nA`<004m>1000EdX3001NA@<006Hm1000KS<3001e9`D007dJ1`00Q@X>00N<00P0
08D:1P00OAX6001e9`P006hc2`00ISdO001NAA4005M:1`3oool100000040oooo000S0?ooo`030000
003oool0oooo00@0oooo5P008SPA000`?`/003i76P00Cdh<000nA`D0030o2P00?TL5001?CP<005M:
0P00GTD3001V?@8006hc0P00MBL01@00OAX008D:00252P00Q@X01h`000806Y@000D0<9`004RS0018
X`00B:<0066[000307fc00@0VkX000@0^/800<Zh003:^000b[P01@3AX`090<Zh00@0^/80102K^P02
07fc0004066[0018X`00B:<004RS00<0<9`01007S004001m6P@006hc1000ISd4001GBP@004m>2000
?TL4000R>1`001L`2@008SP4000`?`@003i71000Cdh3001GBP@005i51000ISd3001^<`@007DW1@00
OAX800252P/01h`02000Q@X6001m6PH007DW1`00KS<:001V?Al005i54`00EdX70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103ooolF000R>140030o2P00?TLI001?CPX003i72P00<3l9
000nA`@004m>0`00EdX2001NA@<006Hm0P00KS<2001e9`06001m6P00Q@X008D:00252P07S0006Y@0
0P0`W00204RS0004066[001m/`00OK<007fc0080VkX00`2j`P020<Zh00/0dJ<01P3:^0040;[200<0
VkX000<0OK<0066[001QZ`000P18X`02032L000401ZD0007S0001h`000252P<007dJ00D007DW001^
<`00KS<006hc001V?@03001NA@@005M:1000?TL8000`?`@0028h00<001L`000>:0003RP04@003RP>
000G<0L0028h1@00<3l4000nA`@004m>0`00EdX4001NA@<006Hm1000KS<4001e9`D007dJ2@00Q@X8
00N<00T008D:1P00OAX6001e9`L006hc2000ISdN001NAAH005M:1`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo5P008SP@000`?`X003i76@00Cdh9000nA`d0030o1`00?TL4001?
CP<005M:0P00GTD3001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<00806Y@000@0<9`004RS
0018X`00HJ/00`1m/`00102K^P00^/800;[2002j`P020<Zh00H0dJ<0103IS@050=6S00@0b[P00`2j
`P0309^j000307fc001QZ`00HJ/00080B:<000D0<9`001ZD000JU0001h`000252P03001m6P03001e
9`00KS<006hc008006Hm0P00GTD3001GBP04001?CP00?TL003i7000nA`@0030o10008SP7000G<1T0
00hX2`005c07000R>0D0030o1000?TL4001?CP<005M:1000GTD3001V?@@006hc1000MBL5001m6PX0
08D:1@07S00:00252PH007dJ1P00MBL6001^<`P006Hm5`00GTDN001GBPL0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooaD0028h4000<3l:000nAaT004m>2P00?TL>000`?`H003i7
1000Cdh2001GBP8005i50`00ISd2001^<`8007DW00<007dJ00252P00Q@X00P07S00201ZD0003032L
0018X`00B:<00080HJ/00P1m/`0209^j0080^/800P3:^0050=6S00P0fHd0103AX`020<Zh00@0^/80
0P2K^P000`1m/`00HJ/0066[000204RS0005032L000JU0006Y@000N<0000Q@X00`00OAX01000MBL0
06hc001^<`00ISd2001NA@8005M:0P00Cdh2000nA`<0030o0P008SP4000G<0H000hX40001b4?000>
:0T001L`1`008SP5000`?`@003i71000Cdh3001GBP@005i50`00ISd4001^<`@007DW1@00OAXG0025
2PH007dJ1P00MBL7001^<`L006Hm4@00GTDU001GBPL0oooo0@0000010?ooo`008`3oool2000000D0
oooo5@008SP>000`?``003i75`00Cdh;000nA`l0030o1@00?TL4001?CP8005M:0`00GTD2001V?@80
06hc0P00MBL00`00OAX008D:00252P0200N<00806Y@000@0<9`004RS001QZ`00HJ/00P1m/`0209^j
0080^/800`3:^0030=6S00/0fHd0103AX`020<Zh00<0^/800P2K^P000`1m/`00HJ/0066[000204RS
0004032L000JU0006Y@000N<008008D:0P00OAX01000MBL006hc001V?@00ISd2001NA@05001GBP00
Cdh004m>001?CP00?TL00`00<3l2000R>0@001L`10003RP800078@D0008I3@001b49000>:0T001L`
1`008SP5000`?`@003i71000Cdh3001GBP@005i50`00ISd5001^<`@007DW1`00OAXC00252PL007dJ
1P00MBL6001^<`L006Hm3P00GTDY001GBPH0oooo0P0000010?ooo`008`3oool00`000000oooo0?oo
o`040?oooaD0028h3P00<3l<000nAaH004m>2`00?TL?000`?`H003i70`00Cdh2001GBP@005i500D0
06Hm001^<`00KS<006hc001e9`02001m6P0500252P07S0001h`000N<000JU0000P0`W0000`18X`00
HJ/007fc000207fc000409^j002j`P00^/800;[20080b[P00P3AX`060=V=0080hGD01P3IS@030=6S
0080b[P00`2j`P0209^j000307fc001QZ`00HJ/00080B:<000@0<9`001ZD000JU0001h`00P00Q@X0
1000OAX007DW001e9`00KS<2001V?@8005i51000Cdh4000`?`@001L`0`003RP400078A80008I2000
1b48000>:0T001L`1`008SP5000`?`@003i71000Cdh4001GBP@005i50`00ISd5001^<`@007DW2000
OAX@00252PL007dJ1`00MBL6001^<`L006Hm3000GTD[001GBPL0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?oooa@0028h3P00<3l<000nAaH004m>2`00?TL?000`?`H003i70`00Cdh3
001GBP<005i500D006Hm001^<`00KS<006hc001e9`02001m6P8008D:0P07S00201ZD0003032L0018
X`00HJ/000<0OK<000@0VkX00;[2002j`P00^/800P3:^0030=6S00@0fHd01@3QM@050=V=00<0dJ<0
0P3:^0030;[20080VkX000<0OK<0066[001QZ`000P18X`00100`W0006Y@001ZD0007S00200252P<0
07DW00D006hc001V?@00ISd005i5001GBP03001?CP05000nA`00<3l0030o000`?`008SP00`005c03
000>:0@000LQ50000QT800078@P000hX20005c07000R>0D0030o1000?TL4001?CP@005M:1000GTD4
001V?@@006hc1P00MBL9001m6P/008D:2@00OAX6001e9`H006hc2000ISd;001NAB`005M:1`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo4`008SP?000`?``003i75@00Cdh;000n
Aa00030o1@00?TL3001?CP<005M:0`00GTD2001V?@8006hc0P00MBL00`00OAX008D:00252P0200N<
00806Y@000@0<9`004RS0018X`00HJ/00`1m/`001@2K^P00^/800;[2002j`P00b[P000<0dJ<01@3I
S@060>5e00D0fHd00P3AX`020<Zh0080^/800P2K^P0207fc0004066[0018X`00B:<0032L00806Y@0
00@01h`000252P00Q@X007dJ0P00MBL00`00KS<006Hm001V?@02001NA@04001GBP00Cdh004m>000n
A`<0030o00@0028h000G<0005c0001L`0`003RP400078AH0008I20001b47000>:0L001L`1`008SP5
000`?`D003i71000Cdh5001GBP@005i51000ISd4001^<`H007DW2`00OAX500252P/007dJ1`00MBL6
001^<`L006Hm2`00GTD]001GBPL0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
oa80028h3`00<3l<000nAa@004m>3000?TL?000`?`D003i71000Cdh3001GBP8005i50`00ISd2001^
<`8007DW00<007dJ00252P00Q@X00P07S00201ZD0003032L0018X`00B:<00080HJ/00P1m/`00102K
^P00^/800;[2002j`P020<Zh00@0dJ<03P3IS@030=6S00040<Zh002j`P00^/800;[20080VkX00P1m
/`00101QZ`00B:<004RS000`W00201ZD000400N<0000Q@X008D:001m6P8007DW00@006hc001V?@00
ISd005i50P00EdX00`00Cdh003i7000nA`02000`?`80028h0P005c04000>:0D000LQ50000QT90007
8@L000hX1`005c07000R>0D0030o1P00?TL4001?CPD005M:1000GTD5001V?@D006hc1`00MBLE001m
6PP007DW1P00KS<8001V?@X005i5;@00EdX00`00Cdh0oooo0?ooo`050?ooo`4000000@3oool002<0
oooo00<000000?ooo`3oool0103ooolA000R>0l0030o3P00?TL@001?CPh003i73@00<3l7000nA`@0
04m>0`00EdX3001NA@8006Hm0P00KS<2001e9`8007dJ0P00Q@X200N<00806Y@000<0<9`004RS0018
X`000P1QZ`0207fc0080VkX00`2j`P030<Zh00D0dJ<01`3IS@040=6S00<0b[P00P2j`P0309^j0080
OK<00P1QZ`0204RS0004032L000JU0006Y@000N<008008D:00D007dJ001e9`00MBL006hc001V?@02
001NA@8005M:00<004m>000nA`00?TL00P00<3l3000R>08001L`10003RP500078A80008I2P001b47
000>:0L001L`1`008SP6000`?`D003i71@00Cdh5001GBP@005i51@00ISd6001^<`T007DW3P00OAX:
001e9`L006hc2000ISd:001NAB`005M:0P00Cdh70?ooo`4000000@3oool002<0oooo00<000000?oo
o`3oool0103oool@000R>0l0030o4000?TL=001?CPl003i73000<3l8000nA`@004m>0`00EdX3001N
A@8006Hm0`00KS<01@00MBL007dJ001m6P00OAX008D:00801h`00P0JU002032L0080B:<00P1QZ`02
07fc0080VkX0102j`P040<Zh00X0dJ<01@3:^0020;[200@0VkX00P1m/`02066[0080B:<000<0<9`0
01ZD000JU0000P07S0001000Q@X007dJ001m6P00MBL2001^<`03001V?@00GTD005i5008005M:0P00
Cdh2000nA`80030o0P008SP3000G<0@000hX1@001b4@00026@X000LQ20003RP7000G<0L0028h1`00
<3l5000nA`D004m>1@00EdX4001NA@H006Hm1P00KS<;001e9`L007dJ3@00MBL7001^<`P006Hm2P00
GTD[001GBP<004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3`008SP?
000`?a4003i72000CdhC000nA``0030o2000?TL4001?CP<005M:0`00GTD2001V?@<006hc00@007DW
001m6P00OAX007dJ0P00Q@X200N<00806Y@000<0<9`004RS0018X`000P1QZ`0307fc00<0VkX00`2j
`P0A0<Zh00<0^/800`2K^P0307fc0080HJ/00P18X`02032L000301ZD0007S0001h`0008008D:00@0
07dJ001e9`00KS<006hc0P00ISd2001NA@8005M:0P00Cdh2000nA`80030o0`008SP3000G<0@000hX
1P001b4=00026@/000LQ20003RP7000G<0L0028h1`00<3l5000nA`H004m>1@00EdX5001NA@H006Hm
1`00KS<K001e9`L006hc2000ISd:001NABX005M:1@00Cdh70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool=000R>100030o:`00?TL<000`?`P003i71000Cdh3001GBP8005i50`00
ISd3001^<`8007DW0`00OAX01000Q@X01h`000N<0007S00201ZD0080<9`00P18X`02066[00@0OK<0
102K^P040;[200L0b[P0202j`P0309^j000307fc001QZ`00HJ/00080HJ/000D0B:<0032L000`W000
<9`001ZD000200N<008008D:0`00OAX01000MBL006hc001V?@00ISd2001NA@8005M:0`00Cdh2000n
A`80030o0`008SP3000G<0D000hX2P001b4700026@/000LQ2P003RP8000G<0P0028h1P00<3l5000n
A`H004m>1P00EdX6001NA@D006Hm2000KS<C001e9`/006hc2000ISd:001NAB4005M:3P00Cdh70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool;000R>100030o:P00?TL<000`?`P0
03i71000Cdh4001GBP<005i50`00ISd2001^<`<007DW0`00OAX00`00Q@X01h`000N<000200N<0080
6Y@00P0`W00204RS00<0HJ/0101m/`0409^j00X0^/80202K^P04066[00<0B:<00P0`W00201ZD0080
1h`00P00Q@X4001m6P03001e9`00ISd006Hm008005i50`00EdX3001?CP8003i70`00<3l3000R>0<0
01L`1P003RPL00078@/000hX20005c08000R>0H0030o1@00?TL6001?CPH005M:1P00GTD7001V?@`0
06hc2@00MBL=001^<`T006Hm2P00GTDD001GBQX004m>1`3oool100000040oooo000S0?ooo`030000
003oool0oooo00@0oooo2P008SP@000`?bL003i73@00<3l9000nA`@004m>1000EdX4001NA@8006Hm
0P00KS<4001e9`8007dJ0P00Q@X400N<00806Y@00P0`W00304RS00D0HJ/01@1m/`0;09^j00@0OK<0
101QZ`0404RS00<0<9`000D06Y@000N<0007S0001h`000252P04001m6P<007DW00@006Hm001NA@00
GTD005i50`00EdX2001?CP<003i70`00<3l3000R>0@001L`1`003RPL00078@`000hX20005c08000R
>0L0030o1000?TL7001?CPD005M:1`00GTD8001V?Ad006hc2P00ISd:001NAA4005M:7@00Cdh70?oo
o`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool9000R>100030o9000?TL@000`?`L0
03i71@00Cdh4001GBP<005i50`00ISd3001^<`8007DW1000OAX200252P<01h`00`0JU003032L00<0
B:<01`1QZ`0:07fc00L0HJ/01018X`000`0`W0006Y@001ZD000201ZD00<01h`000@008D:001m6P00
OAX007dJ0`00MBL2001^<`<006Hm0`00GTD01000EdX004m>001?CP00Cdh4000nA`<0030o0`008SP5
000G<0L000hX7`001b4;000>:0X001L`20008SP6000`?`D003i71`00Cdh5001GBPP005i52000ISdH
001^<`/006Hm2@00GTD@001GBQh004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo1`008SPB000`?b4003i74`00<3l6000nA`D004m>0`00EdX4001NA@8006Hm1000KS<2001e
9`@007dJ0P00Q@X300N<00<06Y@0100`W00304RS0140HJ/01018X`04032L00@06Y@01007S0001000
Q@X007dJ001m6P00OAX4001e9`04001^<`00ISd006Hm001V?@@005i50P00EdX2001?CP<003i71000
<3l4000R>0D001L`1`003RPQ00078@`000hX2P005c08000R>0D0030o1`00?TL5001?CPL005M:1`00
GTD8001V?AH006hc2`00ISd:001NA@h005M:7`00Cdh70?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool6000R>140030o8@00?TLD000`?`H003i71@00Cdh3001GBP<005i50`00ISd3
001^<`8007DW1000OAX200252P@01h`00P0JU004032L00D0B:<03@1QZ`0404RS00@0<9`0100JU004
00N<00<008D:00<007dJ001e9`00MBL00P00MBL3001^<`03001V?@00GTD005i5008005i51000EdX2
001?CP8003i71000<3l6000R>0@001L`20003RPU00078@`000hX2@005c07000R>0L0030o1`00?TL4
001?CPP005M:1P00GTD8001V?A@006hc3000ISd9001NA@d005M:8000Cdh70?ooo`4000000@3oool0
02<0oooo00<000000?ooo`3oool0103oool5000R>140030o7`00?TLF000`?`H003i71000Cdh4001G
BP<005i50`00ISd2001^<`<007DW0`00OAX200252P@01h`00P0JU004032L00L0B:<02@1QZ`0504RS
00@0<9`0100JU00300N<00@008D:00@007dJ001e9`00MBL007DW1000KS<01000ISd005i5001NA@00
GTD4001GBP@004m>0P00?TL4000`?`D0028h10005c08000>:2`000LQ30003RP8000G<0L0028h1`00
<3l6000nA`@004m>1`00EdX7001NA@T006Hm4@00KS<<001V?@X005i53000EdXP001?CPL0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`@0028h4@00<3lM000nAaP0030o1P00?TL4
001?CP<005M:1000GTD2001V?@<006hc0`00MBL2001m6P<008D:0`07S00301ZD00@0<9`01P18X`08
066[00H0B:<0100`W00401ZD00801h`00`00Q@X3001m6P8007DW0P00KS<4001V?@04001NA@00EdX0
05M:001GBP@004m>00<003i7000`?`00<3l00P00<3l3000R>0@001L`20003RPC00078A80008I5000
1b4:000>:0P001L`1@008SP8000`?`@003i71`00Cdh5001GBPP005i52P00ISd>001^<``006Hm2P00
GTD;001GBR4004m>1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo10008SP@
000`?a`003i76P00<3l6000nA`<004m>0`00EdX3001NA@<006Hm0`00KS<2001e9`<007dJ0`00Q@X2
00N<00@06Y@0100`W00604RS00P0HJ/01P18X`03032L00@06Y@00P07S00200252P@007dJ0P00MBL2
001^<`<006Hm00<005i5001GBP00EdX00P00EdX3001?CP03000nA`00<3l0030o0080030o0`008SP4
000G<0L000hX20001b4T00026A<000LQ2P003RP7000G<0H0028h1`00<3l5000nA`H004m>1P00EdX8
001NA@T006Hm3@00KS<<001V?@X005i52`00EdXQ001?CPL0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooo`<0028h4000<3lK000nAa/0030o1@00?TL4001?CP<005M:0`00GTD3001V
?@8006hc0`00MBL3001m6P8008D:0`07S00301ZD00@0<9`01P18X`09066[00H0B:<00`0`W00301ZD
00<01h`00P00Q@X3001m6P8007DW0P00KS<2001V?@<005i50`00EdX2001?CP<003i70`00<3l4000R
>0<001L`1@003RP800078B`0008I4@001b49000>:0P001L`1P008SP6000`?`D003i71P00Cdh6001G
BPP005i52`00ISd8001^<`l006Hm2@00GTD;001GBR4004m>1`3oool100000040oooo000S0?ooo`03
0000003oool0oooo00@0oooo0P008SP@000`?aX003i77000<3l5000nA`@004m>0`00EdX3001NA@<0
06Hm0P00KS<3001e9`8007dJ0`00Q@X300N<00<06Y@00`0`W00604RS00X0HJ/01P18X`03032L00<0
6Y@00`07S00200252P8007dJ0`00MBL2001^<`8006Hm0`00GTD2001GBP8004m>1000?TL2000`?`@0
028h0`005c05000>:0L000LQ<`000QT>00078@T000hX20005c06000R>0H0030o1@00?TL6001?CPH0
05M:2000GTD>001V?@8006hc4@00ISd9001NA@/005M:8@00Cdh70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool00`008SP0030o000`?`0>000`?aT003i77@00<3l5000nA`@004m>
0`00EdX3001NA@<006Hm0P00KS<3001e9`8007dJ0`00Q@X300N<00<06Y@00`0`W00504RS00`0HJ/0
1@18X`03032L00<06Y@00`07S00200252P8007dJ0`00MBL2001^<`8006Hm0P00GTD3001GBP8004m>
0`00?TL3000`?`<0028h10005c04000>:0L000LQ=P000QT=00078@X000hX1`005c06000R>0H0030o
1P00?TL6001?CPL005M:1`00GTDP001V?@T005i52`00EdXG001?CPX003i71`3oool100000040oooo
000S0?ooo`8000001@3ooolA000`?aL003i77P00<3l6000nA`@004m>0P00EdX3001NA@<006Hm0P00
KS<3001e9`<007dJ0P00Q@X400N<00<06Y@00`0`W00504RS00`0HJ/01018X`04032L00<06Y@00P07
S00300252P8007dJ0P00MBL3001^<`04001V?@00GTD005i5001NA@8005M:0`00Cdh3000nA`80030o
0`008SP4000G<0<000hX1`001b4h00026@d000LQ2`003RP7000G<0H0028h1P00<3l6000nA`H004m>
1`00EdX7001NAAl006Hm2@00GTD;001GBQ<004m>3P00?TL60?ooo`8000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool@000`?aH003i77`00<3l5000nA`@004m>0`00EdX3001NA@<006Hm0`00
KS<2001e9`<007dJ0`00Q@X300N<00<06Y@00`0`W00504RS00`0HJ/01018X`04032L00<06Y@00P07
S00300252P8007dJ0P00MBL3001^<`8006Hm0P00GTD2001GBP<004m>0`00?TL2000`?`<0028h1000
5c04000>:0D000LQ>P000QT>00078@X000hX1`005c07000R>0H0030o1P00?TL6001?CPL005M:1`00
GTDM001V?@X005i52`00EdXA001?CQ0003i71`3oool100000040oooo000S0?ooo`030000003oool0
oooo00@0oooo4000<3lE000nAal0030o1@00?TL4001?CP<005M:0`00GTD3001V?@<006hc0P00MBL3
001m6P<008D:0`07S00301ZD00<0<9`01P18X`0;066[00@0B:<0100`W00301ZD00801h`00`00Q@X2
001m6P8007DW0`00KS<2001V?@8005i50`00EdX2001?CP<003i70P00<3l3000R>0@001L`10003RP5
00078CX0008I3`001b4:000>:0P001L`1`008SP6000`?`H003i71P00Cdh7001GBPT005i56P00ISd:
001NA@/005M:4000CdhA000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o`l0030o4`00?TLQ000`?`D003i71000Cdh3001GBP<005i50`00ISd3001^<`8007DW0`00OAX30025
2P<01h`00`0JU004032L00P0B:<01P1QZ`0604RS00@0<9`00P0JU00300N<00<008D:0P00OAX2001e
9`<006hc0P00ISd2001NA@<005M:0P00Cdh2000nA`<0030o0`008SP4000G<0@000hX1P001b4i0002
6A0000LQ2P003RP8000G<0L0028h1`00<3l7000nA`D004m>2000EdX8001NAAP006Hm2`00GTD;001G
BPl004m>4P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool?000`?a80
03i78@00<3l4000nA`H004m>0P00EdX4001NA@8006Hm0`00KS<3001e9`<007dJ0`00Q@X200N<00@0
6Y@0100`W00B04RS00@0<9`00`0JU00300N<008008D:0`00OAX3001e9`8006hc0P00ISd3001NA@<0
05M:0P00Cdh2000nA`<0030o0`008SP4000G<0@000hX1P001b4h00026A4000LQ2P003RP9000G<0L0
028h1`00<3l7000nA`D004m>2000EdX:001NAA@006Hm3000GTD;001GBPl004m>4P00?TL70?ooo`40
00000@3oool002<0oooo00<000000?ooo`3oool0103oool?000`?a0003i78P00<3l4000nA`D004m>
0`00EdX4001NA@8006Hm0`00KS<3001e9`<007dJ0`00Q@X300N<00@06Y@01P0`W00<04RS00H0<9`0
100JU00200N<00<008D:0`00OAX2001e9`<006hc0P00ISd3001NA@<005M:0P00Cdh2000nA`<0030o
10008SP4000G<0@000hX1`001b4e00026A<000LQ2`003RP8000G<0P0028h1`00<3l7000nA`H004m>
2000EdX<001NA@h006Hm3P00GTD;001GBPl004m>4P00?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool?000`?`h003i78`00<3l4000nA`D004m>0`00EdX4001NA@8006Hm1000
KS<3001e9`<007dJ0P00Q@X300N<00D06Y@0200`W00604RS00P0<9`0100JU00300N<00<008D:0`00
OAX2001e9`<006hc0P00ISd3001NA@<005M:0P00Cdh3000nA`<0030o0`008SP4000G<0D000hX2000
1b4b00026A@000LQ30003RP9000G<0P0028h1`00<3l7000nA`L004m>1`00EdX?001NA@L006Hm4@00
GTD;001GBPh004m>4`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool@
000`?`H003i79`00<3l5000nA`H004m>0`00EdX3001NA@@006Hm0P00KS<4001e9`<007dJ0`00Q@X3
00N<00L06Y@0400`W00401ZD00@01h`01000Q@X3001m6P<007DW0P00KS<3001V?@<005i50P00EdX3
001?CP<003i70`00<3l4000R>0@001L`1@003RP800078C40008I5P001b4;000>:0X001L`20008SP8
000`?`L003i71`00Cdh9001GBR<005i52`00EdX>001?CQ<003i71`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo?000<3l5000nA`D004m>1000EdX3001NA@@006Hm0P00KS<4001e
9`<007dJ1000Q@X300N<00P06Y@02`0`W00701ZD00<01h`01000Q@X2001m6P@007DW0P00KS<4001V
?@8005i50`00EdX3001?CP@003i70P00<3l4000R>0D001L`1@003RP800078C40008I5`001b4;000>
:0/001L`20008SP8000`?`H003i72000Cdh9001GBR4005i52`00EdX>001?CQ<003i71`3oool10000
0040oooo000S0?ooo`030000003oool0oooo00@0oooo>P00<3l6000nA`D004m>1000EdX3001NA@@0
06Hm0P00KS<4001e9`@007dJ0`00Q@X500N<00P06Y@01P0`W00801ZD00@01h`00`00Q@X3001m6P@0
07DW0P00KS<4001V?@8005i51000EdX2001?CP@003i70`00<3l4000R>0D001L`1P003RP900078C00
008I60001b4;000>:0/001L`2@008SP7000`?`L003i72000Cdh9001GBQl005i53000EdX>001?CQ80
03i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo>@00<3l6000nA`D004m>
1000EdX3001NA@<006Hm1000KS<3001e9`@007dJ1000Q@X500N<01806Y@01@07S00300252P@007dJ
1000MBL2001^<`@006Hm0P00GTD4001GBP<004m>0`00?TL4000`?`@0028h1@005c06000>:0X000LQ
<@000QTH00078@d000hX2@005c09000R>0L0030o2000?TL7001?CP/005M:6`00GTD=001GBPh004m>
4P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolh000`?`D003i71@00
Cdh4001GBP<005i51000ISd4001^<`8007DW1000OAX500252PH01h`03P0JU00500N<00H008D:00<0
07dJ001e9`00MBL00P00MBL4001^<`<006Hm0`00GTD4001GBP8004m>1000?TL4000`?`@0028h1P00
5c05000>:0/000LQ=@000QTH00078@/000hX2`005c09000R>0L0030o1`00?TL9001?CP/005M:5`00
GTD>001GBPd004m>4P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolf
000`?`H003i71@00Cdh4001GBP<005i51000ISd4001^<`8007DW1000OAX500252PL01h`02P0JU007
00N<00D008D:0`00OAX3001e9`@006hc0P00ISd4001NA@<005M:0`00Cdh4000nA`@0030o10008SP6
000G<0H000hX2`001b4i00026AL000LQ30003RP9000G<0X0028h1P00<3l8000nA`T004m>3000EdXD
001NA@h005M:3@00CdhB000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
ocD0030o1P00?TL5001?CP@005M:0`00GTD3001V?@@006hc0`00MBL4001m6PD008D:2`07S00301ZD
00P01h`01@00Q@X4001m6P<007DW0`00KS<3001V?@@005i50P00EdX4001?CP@003i71000<3l4000R
>0H001L`1P003RP:00078Cl0008I5P001b4=000>:0P001L`2@008SP7000`?`P003i72@00Cdh<001G
BQ8005i53`00EdX=001?CQ4003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0
oooo=000<3l6000nA`@004m>1000EdX4001NA@<006Hm1000KS<3001e9`@007dJ1P00Q@XD00N<00D0
08D:1000OAX4001e9`8006hc0`00ISd4001NA@<005M:0`00Cdh4000nA`@0030o10008SP6000G<0H0
00hX2P001b5300026AH000LQ30003RP9000G<0P0028h2000<3l7000nA`T004m>3P00EdX>001NAA00
05M:3@00CdhA000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooob80030o
00<0028h000`?`00<3l03P00<3l6000nA`@004m>1000EdX4001NA@<006Hm1000KS<3001e9`@007dJ
1@00Q@XD00N<00D008D:1000OAX3001e9`<006hc0`00ISd4001NA@8005M:1000Cdh3000nA`@0030o
10008SP5000G<0L000hX20001b5>00026A<000LQ30003RP8000G<0P0028h2000<3l7000nA`T004m>
4000EdX:001NAA0005M:3@00CdhA000nA`L0oooo0@0000010?ooo`00203oool2000000@0oooo00<0
00000?ooo`3oool00`3oool200000080oooo1@0000060?ooo`030000003oool0oooo00@0oooo6`00
<3l9000R>0h0030o1P00?TL4001?CP@005M:1000GTD3001V?@@006hc0`00MBL4001m6PD008D:4P07
S00600252P@007dJ1000MBL2001^<`@006Hm0`00GTD2001GBP@004m>0`00?TL3000`?`@0028h1P00
5c06000>:0P000LQD`000QTB00078@`000hX2@005c08000R>0P0030o1P00?TL9001?CQ<005M:0`00
GTDC001GBPh004m>4000?TL70?ooo`4000000@3oool000L0oooo00@000000?ooo`3oool00000203o
ool010000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3o
ool0103ooolJ000`?`X0028h3@00<3l6000nA`@004m>1000EdX3001NA@@006Hm1000KS<3001e9`@0
07dJ1@00Q@XB00N<00H008D:1000OAX3001e9`<006hc1000ISd2001NA@<005M:1000Cdh3000nA`<0
030o10008SP5000G<0H000hX20001b5G00026A4000LQ30003RP9000G<0P0028h1`00<3l7000nA`X0
04m>:000EdX=001?CQ0003i71`3oool100000040oooo00070?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`060?ooo`030000003oool0oooo
00@0oooo6@00<3l<000R>0/0030o1P00?TL4001?CP@005M:0`00GTD4001V?@@006hc0`00MBL4001m
6PH008D:4@07S00600252P@007dJ0`00MBL3001^<`@006Hm0P00GTD3001GBP@004m>0`00?TL3000`
?`@0028h1@005c06000>:0P000LQFP000QT@00078@`000hX2@005c08000R>0L0030o2000?TL9001?
CRL005M:3P00Cdh?000nA`L0oooo0@0000010?ooo`001`3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000@0oooo00<000000?ooo`3oool01@3oool3000000@0oooo5`00<3l=
000R>0X0030o1P00?TL5001?CP@005M:0`00GTD4001V?@@006hc0`00MBL4001m6PH008D:4007S006
00252P@007dJ1000MBL3001^<`<006Hm0`00GTD3001GBP<004m>0`00?TL4000`?`@0028h10005c06
000>:0P000LQG0000QT@00078@`000hX2P005c08000R>0L0030o2000?TL;001?CR@005M:3P00Cdh?
000nA`D0oooo0`0000010?ooo`001`3oool010000000oooo0?ooo`0000080?ooo`060000003oool0
oooo0000003oool000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo
5@00<3l>000R>0X0030o1P00?TL5001?CP@005M:0`00GTD4001V?@@006hc1000MBL4001m6PH008D:
3`07S00500252PD007dJ0`00MBL4001^<`<006Hm0`00GTD3001GBP<004m>1000?TL4000`?`<0028h
1@005c05000>:0P000LQGP000QT@00078@`000hX2P005c08000R>0L0030o2000?TL;001?CR<005M:
3P00Cdh?000nA`L0oooo0@0000010?ooo`001`3oool010000000oooo0?ooo`0000080?ooo`060000
003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo
00@0oooo4`00<3l@000R>0T0030o1P00?TL5001?CP@005M:1000GTD3001V?@@006hc1000MBL5001m
6PH008D:3P07S00500252PD007dJ0`00MBL4001^<`<006Hm0`00GTD3001GBP@004m>0`00?TL4000`
?`<0028h1@005c05000>:0P000LQG`000QTA00078@`000hX2@005c08000R>0T0030o2000?TL:001?
CR<005M:3P00Cdh>000nA`L0oooo0@0000010?ooo`00203oool2000000X0oooo0P0000030?ooo`<0
00001`3oool00`000000oooo0?ooo`040?oooa80030o40008SP9000`?`H003i71@00Cdh4001GBP@0
05i50`00ISd4001^<`@007DW1@00OAX600252Pd01h`01P00Q@X5001m6P<007DW1000KS<3001V?@<0
05i50`00EdX4001?CP<003i71000<3l3000R>0D001L`1P003RP800078F00008I4@001b4<000>:0T0
01L`20008SP9000`?`P003i72`00CdhQ001GBPh004m>3P00?TL70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool?000`?a80028h2@00<3l6000nA`@004m>1@00EdX4001NA@<006Hm
1000KS<4001e9`D007dJ2@00Q@X700N<00P008D:1000OAX4001e9`@006hc0`00ISd4001NA@<005M:
0`00Cdh3000nA`@0030o10008SP5000G<0H000hX20001b5Q00026A4000LQ30003RP;000G<0P0028h
2000<3l8000nA``004m>7`00EdX>001?CPh003i71`3oool100000040oooo000S0?ooo`030000003o
ool0oooo00@0oooo3@00<3lB000R>0X0030o1P00?TL4001?CPD005M:1000GTD3001V?@@006hc1@00
MBL5001m6P`008D:0P07S00800252P@007dJ1@00MBL4001^<`<006Hm1000GTD3001GBP<004m>1000
?TL4000`?`@0028h10005c07000>:0P000LQH@000QTB00078@`000hX2`005c08000R>0T0030o2000
?TL<001?CQd005M:3P00Cdh>000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`/0030o4`008SP:000`?`H003i71@00Cdh4001GBP@005i51000ISd4001^<`@007DW1P00OAXC
00252PH007dJ1@00MBL4001^<`<006Hm0`00GTD4001GBP<004m>1000?TL4000`?`@0028h1@005c06
000>:0T000LQH@000QTB00078@d000hX2P005c09000R>0T0030o2@00?TL<001?CQ/005M:3`00Cdh=
000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`X0030o4`008SP:000`
?`H003i71@00Cdh4001GBP@005i51000ISd4001^<`D007DW1@00OAXB00252PL007dJ1000MBL4001^
<`@006Hm0`00GTD4001GBP<004m>1000?TL4000`?`@0028h1@005c07000>:0P000LQH@000QTD0007
8@d000hX2P005c09000R>0T0030o2@00?TL=001?CQP005M:4000Cdh=000nA`L0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`L0030o5@008SP9000`?`H003i71@00Cdh4001GBPD0
05i51000ISd4001^<`D007DW2000OAX>00252PD007dJ1P00MBL4001^<`@006Hm1000GTD2001GBP@0
04m>1000?TL3000`?`H0028h1@005c07000>:0T000LQHP000QTD00078@d000hX2`005c08000R>0X0
030o2P00?TL?001?CQ8005M:4@00Cdh=000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo
0?ooo`040?ooo`D0030o5P008SP9000`?`H003i71@00Cdh4001GBPD005i51000ISd5001^<`D007DW
2@00OAX900252PL007dJ1P00MBL4001^<`@006Hm1000GTD3001GBP@004m>1000?TL3000`?`D0028h
1P005c07000>:0X000LQH`000QTD00078@h000hX2P005c09000R>0X0030o2P00?TLA001?CPd005M:
4`00Cdh<000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`80030o6000
8SP9000`?`H003i71@00Cdh5001GBP@005i51000ISd5001^<`D007DW3@00OAX200252PP007dJ1`00
MBL4001^<`@006Hm1000GTD4001GBP@004m>1000?TL3000`?`@0028h1`005c07000>:0X000LQI@00
0QTD00078@h000hX2P005c0:000R>0T0030o2`00?TLC001?CPH005M:5P00Cdh<000nA`L0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?oooaT0028h2P00<3l5000nA`D004m>1@00EdX4
001NA@@006Hm1@00KS<6001e9aD007dJ1`00MBL5001^<`@006Hm1000GTD3001GBP@004m>1000?TL4
000`?`@0028h1`005c07000>:0/000LQI@000QTE00078@h000hX2P005c0:000R>0T0030o2`00?TL^
001?CP`003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo5`008SP:000`
?`D003i71@00Cdh5001GBP@005i51@00ISd5001^<`H007DW5000OAX5001e9`L006hc1000ISd4001N
A@<005M:1000Cdh4000nA`@0030o1@008SP4000G<0P000hX30001b5Y00026AD000LQ3P003RP;000G
<0T0028h2@00<3l<000nAb/004m>3000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103ooolF000R>0T0030o1P00?TL5001?CP@005M:1@00GTD5001V?@D006hc1`00MBLA001m6PH0
07DW1P00KS<4001V?@@005i51000EdX4001?CP@003i71000<3l5000R>0D001L`1`003RP<00078Fd0
008I5@001b4>000>:0X001L`2@008SP:000`?``003i7:P00Cdh;000nA`L0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?oooaD0028h2@00<3l6000nA`D004m>1000EdX5001NA@D006Hm
1@00KS<7001e9a0007dJ1P00MBL6001^<`@006Hm1000GTD4001GBP@004m>1000?TL4000`?`D0028h
1P005c06000>:0`000LQLP000QTD00078@h000hX2@005c0;000R>0T0030o3000?TLY001?CPX003i7
1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo50008SP9000`?`H003i71@00
Cdh4001GBPD005i51@00ISd5001^<`L007DW3P00OAX7001e9`D006hc1@00ISd4001NA@@005M:1000
Cdh4000nA`D0030o1@008SP4000G<0L000hX30001b5g00026A<000LQ3@003RP:000G<0X0028h2P00
<3l<000nAbL004m>2P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolC
000R>0X0030o1@00?TL5001?CP@005M:1@00GTD5001V?@H006hc1`00MBL<001m6PL007DW1P00KS<5
001V?@@005i51000EdX4001?CP@003i71@00<3l4000R>0D001L`1P003RP<00078GX0008I4`001b4=
000>:0X001L`2`008SP9000`?``003i79P00Cdh:000nA`L0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?oooa80028h2@00<3l6000nA`D004m>1000EdX5001NA@D006Hm1P00KS<9001e
9`T007dJ2000MBL5001^<`H006Hm1000GTD4001GBP@004m>1000?TL4000`?`D0028h10005c07000>
:0/000LQOP000QTB00078@h000hX2@005c0;000R>0T0030o3000?TLV001?CPT003i71`3oool10000
0040oooo000S0?ooo`030000003oool0oooo00@0oooo4@008SP9000`?`H003i71@00Cdh4001GBPD0
05i51@00ISd6001^<`X007DW1P00OAX:001e9`D006hc1@00ISd4001NA@@005M:1000Cdh4000nA`@0
030o1P008SP4000G<0L000hX2P001b6100026A<000LQ3@003RP:000G<0X0028h2P00<3l=000nAb<0
04m>2@00?TL70?ooo`4000000@3oool002<0oooo0P0000050?oooa00028h2@00<3l6000nA`D004m>
1000EdX5001NA@D006Hm1P00KS<I001e9`H006hc1000ISd5001NA@@005M:1000Cdh4000nA`@0030o
1@008SP5000G<0L000hX2P001b6300026A<000LQ3@003RP:000G<0X0028h2P00<3l=000nAb8004m>
2@00?TL60?ooo`8000000@3oool002<0oooo00<000000?ooo`3oool0103oool?000R>0P0030o1`00
?TL5001?CP@005M:1@00GTD6001V?@D006hc6@00MBL5001^<`@006Hm1P00GTD4001GBP@004m>1000
?TL4000`?`D0028h1@005c07000>:0X000LQQ0000QTD00078@d000hX2P005c0:000R>0X0030o3P00
?TLP001?CPT003i71`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo3P008SP8
000`?`L003i71@00Cdh5001GBP@005i51P00ISd6001^<aL007DW1@00KS<5001V?@D005i51000EdX4
001?CP@003i71@00<3l5000R>0D001L`1`003RP:00078HH0008I50001b4=000>:0/001L`2@008SP;
000`?`h003i77P00Cdh9000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o`d0028h2000<3l6000nA`H004m>1@00EdX4001NA@H006Hm1P00KS<F001e9`H006hc1@00ISd5001N
A@@005M:1000Cdh4000nA`D0030o1@008SP5000G<0L000hX2P001b6800026A@000LQ3@003RP;000G
<0T0028h3000<3l>000nAa`004m>2@00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool<000R>0P0030o1P00?TL6001?CP@005M:1@00GTD6001V?@L006hc5000MBL7001^<`@0
06Hm1P00GTD4001GBP@004m>1000?TL5000`?`D0028h1@005c07000>:0X000LQR@000QTD00078@d0
00hX2`005c0;000R>0`0030o3@00?TLK001?CPT003i71`3oool100000040oooo000S0?ooo`030000
003oool0oooo00@0oooo2`008SP8000`?`L003i71@00Cdh4001GBPH005i51P00ISd7001^<a8007DW
2000KS<4001V?@D005i51000EdX4001?CP@003i71P00<3l5000R>0D001L`20003RP:00078HX0008I
50001b4>000>:0X001L`2`008SP<000`?`h003i76@00Cdh9000nA`L0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?ooo`X0028h2000<3l7000nA`D004m>1@00EdX5001NA@H006Hm2000
KS<@001e9`P006hc1@00ISd4001NA@D005M:1000Cdh4000nA`D0030o1P008SP5000G<0P000hX2P00
1b6;00026AD000LQ3P003RP;000G<0X0028h3000<3l?000nAaL004m>2@00?TL70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103oool9000R>0P0030o1P00?TL6001?CPD005M:1@00GTD6
001V?@P006hc3`00MBL8001^<`D006Hm1@00GTD5001GBP@004m>1000?TL5000`?`D0028h1P005c08
000>:0/000LQS0000QTE00078@h000hX2`005c0;000R>0`0030o4000?TLC001?CPX003i71`3oool1
00000040oooo000S0?ooo`030000003oool0oooo00@0oooo1`008SP9000`?`H003i71P00Cdh5001G
BPD005i51P00ISd;001^<`T007DW2@00KS<7001V?@@005i51000EdX5001?CP@003i71P00<3l5000R
>0H001L`20003RP;00078Hh0008I5@001b4=000>:0`001L`30008SP<000`?a8003i73`00Cdh:000n
A`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`H0028h2@00<3l6000nA`H0
04m>1P00EdX4001NA@L006Hm3P00KS<3001e9`/006hc1P00ISd5001NA@@005M:1@00Cdh4000nA`D0
030o1P008SP6000G<0P000hX2`001b6@00026AD000LQ3P003RP<000G<0`0028h3000<3lD000nA`X0
04m>2`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool5000R>0T0030o
1P00?TL6001?CPD005M:1@00GTD7001V?A/006hc1P00ISd5001NA@@005M:1P00Cdh4000nA`D0030o
1@008SP7000G<0P000hX2`001b6B00026AD000LQ3P003RP<000G<0`0028h3000<3lG000nA`<004m>
3P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool4000R>0T0030o1P00
?TL6001?CPD005M:1@00GTD8001V?AT006hc1P00ISd6001NA@@005M:1@00Cdh5000nA`D0030o1@00
8SP7000G<0P000hX2`001b6D00026AH000LQ3@003RP<000G<0`0028h3000<3lW000nA`L0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0028h2000<3l7000nA`H004m>1@00EdX6
001NA@L006Hm5`00KS<7001V?@D005i51P00EdX4001?CPD003i71@00<3l6000R>0H001L`20003RP;
00078IP0008I5@001b4>000>:0`001L`30008SP<000`?bD003i71`3oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo0P008SP8000`?`L003i71P00Cdh6001GBPH005i51`00ISdF001^
<`H006Hm1P00GTD5001GBP@004m>1P00?TL5000`?`D0028h1`005c08000>:0/000LQVP000QTE0007
8@h000hX30005c0<000R>0`0030o9000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool00`008SP0030o000`?`06000`?`L003i71P00Cdh5001GBPL005i51`00ISdE001^<`L0
06Hm1@00GTD6001GBP@004m>1@00?TL6000`?`D0028h1`005c08000>:0/000LQW0000QTF00078@d0
00hX30005c0<000R>0d0030o8P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103oool8000`?`L003i71P00Cdh5001GBPL005i52000ISdC001^<`P006Hm1@00GTD5001GBPD004m>
1@00?TL5000`?`H0028h1P005c08000>:0`000LQWP000QTF00078@h000hX30005c0;000R>0h0030o
8000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7000`?`L003i71P00
Cdh5001GBPL005i52000ISdA001^<`P006Hm1`00GTD5001GBPD004m>0`00?TL6000`?`H0028h1P00
5c08000>:0`000LQXP000QTD00078@l000hX3@005c0<000R>0d0030o7P00?TL70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103oool6000`?`L003i71P00Cdh6001GBPL005i52000ISd>
001^<`X006Hm1P00GTD6001GBPD004m>0`00?TL6000`?`D0028h1`005c08000>:0/000LQY@000QTE
00078@h000hX3@005c0<000R>0d0030o7@00?TL70?ooo`4000000@3oool002<0oooo00<000000?oo
o`3oool0103oool5000`?`L003i71P00Cdh6001GBPL005i52@00ISd<001^<`X006Hm1P00GTD6001G
BPH004m>0`00?TL6000`?`D0028h1`005c08000>:0/000LQZ0000QTD00078@l000hX30005c0<000R
>0d0030o7000?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool4000`?`L0
03i71P00Cdh6001GBPL005i52P00ISd:001^<`/006Hm1P00GTD6001GBPD004m>1000?TL6000`?`D0
028h1`005c08000>:0/000LQZP000QTD00078@l000hX30005c0<000R>0h0030o6P00?TL70?ooo`40
00000@3oool002<0oooo0P0000050?ooo`<0030o1`00?TL6001?CPH005M:1`00GTD=001V?@@006hc
3000ISd7001NA@L005M:1000Cdh5000nA`@0030o1`008SP6000G<0T000hX2`001b6/00026AD000LQ
3P003RP<000G<0d0028h3P00<3lH000nA`H0oooo0P0000010?ooo`008`3oool00`000000oooo0?oo
o`040?ooo`80030o1`00?TL6001?CPH005M:1`00GTD?001V?@03001^<`00ISd006Hm00/006Hm1`00
GTD6001GBP@004m>1P00?TL4000`?`L0028h1P005c08000>:0`000LQ[@000QTF00078@h000hX3@00
5c0<000R>0l0030o5P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool0
0`00<3l003i7000nA`05000nA`H004m>1P00EdX8001NAA`006Hm1P00GTD6001GBPD004m>1P00?TL4
000`?`L0028h1P005c08000>:0`000LQ[`000QTF00078@h000hX3@005c0<000R>100030o5000?TL7
0?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool7000nA`H004m>1P00EdX8001N
AA/006Hm1`00GTD6001GBPD004m>1P00?TL4000`?`L0028h1P005c08000>:0`000LQ/@000QTF0007
8@h000hX3@005c0<000R>100030o4`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool6000nA`H004m>1P00EdX8001NAAX006Hm2000GTD5001GBPD004m>1P00?TL6000`?`D0
028h1P005c09000>:0`000LQ]0000QTE00078@l000hX3@005c0<000R>140030o4000?TL70?ooo`40
00000@3oool002<0oooo00<000000?ooo`3oool0103oool5000nA`H004m>1`00EdX8001NAAP006Hm
2000GTD6001GBPD004m>1@00?TL7000`?`D0028h1P005c09000>:0d000LQ]0000QTF00078@l000hX
3@005c0<000R>180030o3P00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
ool4000nA`H004m>1`00EdX8001NAAL006Hm2000GTD6001GBPH004m>1@00?TL7000`?`D0028h1P00
5c09000>:0d000LQ]P000QTF00078@l000hX3@005c0=000R>180030o3000?TL70?ooo`4000000@3o
ool002<0oooo00<000000?ooo`3oool0103oool3000nA`H004m>1`00EdX9001NAAD006Hm2@00GTD6
001GBPH004m>1@00?TL6000`?`H0028h1P005c09000>:0d000LQ^0000QTF00078@l000hX3@005c0=
000R>180030o2`00?TL70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool00`00
?TL004m>001?CP05001?CPL005M:2@00GTDD001V?@T005i51`00EdX5001?CPD003i71`00<3l5000R
>0L001L`20003RP>00078KX0008I5P001b4@000>:0d001L`30008SPD000`?`P003i71`3oool10000
0040oooo000S0?ooo`030000003oool0oooo00@0oooo2000Cdh7001GBPT005i54@00ISd9001NA@P0
05M:1P00Cdh5000nA`L0030o1@008SP7000G<0P000hX3P001b6l00026AH000LQ40003RP=000G<0d0
028h5000<3l6000nA`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L004m>
1`00EdX:001NA@l006Hm2P00GTD7001GBPH004m>1P00?TL6000`?`H0028h1`005c08000>:0h000LQ
_P000QTF00078A0000hX3@005c0>000R>1@0030o1000?TL70?ooo`4000000@3oool002<0oooo00<0
00000?ooo`3oool0103oool6001?CPL005M:2P00GTD?001V?@X005i51`00EdX6001?CPH003i71P00
<3l6000R>0L001L`20003RP>00078L00008I5P001b4@000>:0d001L`3P008SPE000`?`8003i71`3o
ool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1000Cdh8001GBP`005i52P00ISd<
001NA@L005M:1`00Cdh5000nA`D0030o1`008SP7000G<0T000hX3@001b7400026AH000LQ40003RP<
000G<0l0028h5@00<3l70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool4001?
CPP005M:3P00GTD5001V?@d005i52000EdX6001?CPH003i71@00<3l7000R>0L001L`20003RP>0007
8LD0008I5`001b4@000>:0d001L`3P008SPD000`?`L0oooo0@0000010?ooo`008`3oool00`000000
oooo0?ooo`040?ooo`<004m>2000EdXA001NA@03001V?@00GTD005i500`005i51`00EdX6001?CPH0
03i71P00<3l7000R>0L001L`20003RP>00078LL0008I5`001b4?000>:0h001L`3`008SPB000`?`L0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`8004m>2000EdXP001NA@L005M:
1P00Cdh6000nA`H0030o1`008SP7000G<0T000hX3@001b7900026AL000LQ3`003RP>000G<0l0028h
4@00<3l70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool00`00Cdh005M:001G
BP06001GBQd005i52000EdX7001?CPL003i71@00<3l7000R>0P001L`20003RP=00078L`0008I6000
1b4@000>:0d001L`40008SP>000`?`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`P005M:7000GTD9001GBPL004m>1P00?TL6000`?`H0028h20005c09000>:0d000LQc`000QTG
00078A0000hX3@005c0@000R>0d0030o1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo2000EdXK001NA@T005M:1P00Cdh6000nA`H0030o1`008SP7000G<0T000hX3P001b7B0002
6AH000LQ40003RP=000G<100028h3000<3l70?ooo`4000000@3oool002<0oooo0P0000050?ooo`L0
05M:6`00GTD7001GBPP004m>1P00?TL6000`?`L0028h1`005c09000>:0d000LQe0000QTG00078A40
00hX3@005c0@000R>0X0030o1P3oool200000040oooo000S0?ooo`030000003oool0oooo00@0oooo
1`00EdXJ001NA@L005M:2000Cdh6000nA`H0030o1P008SP8000G<0T000hX3P001b7F00026AH000LQ
4@003RP=000G<100028h2@00<3l70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103o
ool6001GBQT005i51`00EdX8001?CPH003i71P00<3l7000R>0P001L`2@003RP>00078MP0008I5`00
1b4@000>:0d001L`40008SP8000`?`L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`04
0?ooo`H005M:5`00GTD8001GBPL004m>1`00?TL6000`?`L0028h20005c09000>:0h000LQfP000QTG
00078A0000hX3`005c0@000R>0D0030o1`3oool100000040oooo000S0?ooo`030000003oool0oooo
00@0oooo1@00EdXE001NA@X005M:1P00Cdh7000nA`L0030o1`008SP7000G<0X000hX3@001b7L0002
6AP000LQ3`003RP?000G<140028h1000<3l70?ooo`4000000@3oool002<0oooo00<000000?ooo`3o
ool0103oool5001GBQ@005i52@00EdX7001?CPL003i71P00<3l8000R>0L001L`2@003RP>00078Ml0
008I5`001b4@000>:0h001L`4P008SP2000`?`L0oooo0@0000010?ooo`008`3oool00`000000oooo
0?ooo`040?ooo`@005M:4`00GTD:001GBPL004m>1`00?TL6000`?`P0028h1`005c09000>:0h000LQ
h@000QTG00078A0000hX3`005c0A000R>003000`?`3oool0oooo00D0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?ooo`@005M:4@00GTD:001GBPP004m>1`00?TL6000`?`P0028h1`00
5c09000>:0h000LQh`000QTG00078A0000hX40005c0@000R>0L0oooo0@0000010?ooo`008`3oool0
0`000000oooo0?ooo`040?ooo`@005M:3@00GTD=001GBPL004m>1`00?TL6000`?`P0028h20005c09
000>:0h000LQi0000QTH00078A4000hX3P005c0@000R>0L0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooo`@005M:2`00GTD>001GBPL004m>1P00?TL7000`?`P0028h20005c09000>
:0h000LQi`000QTH00078A0000hX3`005c0>000R>0L0oooo0@0000010?ooo`008`3oool00`000000
oooo0?ooo`040?ooo`L005M:1P00GTD>001GBPL004m>1`00?TL7000`?`P0028h20005c09000>:0h0
00LQj@000QTH00078A0000hX40005c0<000R>0L0oooo0@0000010?ooo`008`3oool00`000000oooo
0?ooo`040?oooaT005M:2000Cdh7000nA`L0030o1`008SP8000G<0X000hX3P001b7[00026AP000LQ
4@003RP?000G<0/0028h1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo5`00
EdX8001?CPL003i71`00<3l8000R>0P001L`2@003RP?00078N`0008I6@001b4A000>:10001L`2@00
8SP70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103ooolE001GBPT004m>1`00?TL7
000`?`P0028h20005c09000>:0l000LQk`000QTH00078A4000hX40005c08000R>0L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?oooa<005M:2P00Cdh7000nA`L0030o1`008SP8000G
<0X000hX3`001b7a00026AP000LQ4@003RP@000G<0L0028h1`3oool100000040oooo000S0?ooo`03
0000003oool0oooo00@0oooo4P00EdX9001?CPP003i71`00<3l7000R>0P001L`2P003RP?00078O<0
008I60001b4A000>:10001L`1P008SP70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103ooolA001GBPT004m>2000?TL6000`?`P0028h20005c0:000>:0l000LQm@000QTH00078A4000hX
4@005c04000R>0L0oooo0@0000010?ooo`00203oool2000000@0oooo00<000000?ooo`3oool00`3o
ool2000000@0oooo0`0000060?ooo`030000003oool0oooo00@0oooo3`00EdX:001?CPP003i71P00
<3l7000R>0P001L`2`003RP?00078OL0008I60001b4A000>:18001L`0P008SP70?ooo`4000000@3o
ool000L0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000040?ooo`030000
003oool0oooo00D0oooo00<000000?ooo`3oool0103oool=001GBPX004m>2000?TL7000`?`L0028h
20005c0;000>:0h000LQnP000QTH00078A8000hX4@005c000`008SP0oooo0?ooo`050?ooo`400000
0@3oool000L0oooo00@000000?ooo`3oool00000203oool01@000000oooo0?ooo`000000oooo00D0
00001P3oool3000000@0oooo2`00EdX:001?CPP003i72000<3l7000R>0P001L`2P003RP?00078O`0
008I6@001b4A000>:14001L`1@3oool300000040oooo00070?ooo`040000003oool0oooo000000P0
oooo00H000000?ooo`3oool000000?ooo`0000020?ooo`030000003oool0oooo00D0oooo00<00000
0?ooo`3oool0103oool9001GBPX004m>2@00?TL7000`?`L0028h2@005c0:000>:0l000LQo`000QTH
00078A4000hX40005c070?ooo`4000000@3oool000L0oooo00@000000?ooo`3oool00000203oool0
10000000oooo0?ooo`0000020?ooo`030000003oool0000000L0oooo00<000000?ooo`3oool0103o
ool7001GBP/004m>2@00?TL7000`?`L0028h2@005c0:000>:10000LQo`000QT100026AP000LQ4P00
3RP>000G<0L0oooo0@0000010?ooo`001`3oool010000000oooo0?ooo`0000080?ooo`040000003o
ool0oooo000000<0oooo0P0000070?ooo`030000003oool0oooo00@0oooo1@00EdX<001?CPP003i7
2000<3l7000R>0T001L`2P003RP?00078Ol0008I10000QTH00078A8000hX3@005c070?ooo`400000
0@3oool000P0oooo0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`050?ooo`030000003o
ool0oooo00@0oooo1000EdX<001?CPP003i72000<3l7000R>0T001L`2P003RP?00078Ol0008I1P00
0QTH00078A8000hX30005c070?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool2
001GBP`004m>2000?TL8000`?`L0028h2@005c0;000>:0l000LQo`000QT800026AP000LQ4`003RP:
000G<0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`d004m>2000?TL8000`
?`L0028h2@005c0;000>:0l000LQo`000QT:00026AP000LQ4`003RP9000G<0L0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`/004m>2000?TL8000`?`P0028h2@005c0:000>:100
00LQo`000QT<00026AT000LQ4P003RP8000G<0L0oooo0@0000010?ooo`008`3oool00`000000oooo
0?ooo`040?ooo`X004m>2000?TL8000`?`P0028h2@005c0:000>:10000LQo`000QT>00026AT000LQ
4P003RP7000G<0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L004m>2P00
?TL8000`?`P0028h20005c0;000>:10000LQo`000QT@00026AT000LQ4`003RP5000G<0L0oooo0@00
00010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`H004m>2@00?TL8000`?`P0028h2@005c0;
000>:10000LQo`000QTB00026AT000LQ4`003RP4000G<0L0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooo`D004m>2@00?TL8000`?`P0028h2@005c0;000>:10000LQo`000QTD0002
6AT000LQ4`003RP3000G<0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0
04m>2P00?TL8000`?`P0028h2@005c0;000>:10000LQo`000QTF00026AT000LQ4`003RP2000G<0L0
oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`03001?CP00?TL003i700P003i7
2000<3l8000R>0T001L`2`003RP@00078Ol0008I6P000QTH00078A@000hX1`3oool100000040oooo
000S0?ooo`030000003oool0oooo00@0oooo2P00?TL8000`?`P0028h2@005c0;000>:10000LQo`00
0QTL00026AP000LQ4`003RP70?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool9
000nA`P0030o20008SP9000G<0/000hX40001b7o00026Ad0008I6@001b4B000>:0L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L003i72@00<3l8000R>0T001L`2`003RP@0007
8Ol0008I7`000QTI00078A4000hX1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0
oooo1@00?TL9000`?`T0028h2@005c0:000>:14000LQo`000QTR00026AT000LQ3`003RP70?ooo`40
00000@3oool002<0oooo00<000000?ooo`3oool0103oool4000nA`T0030o2@008SP9000G<0X000hX
4@001b7o00026B@0008I6@001b4>000>:0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?oo
o`040?ooo`<003i72@00<3l9000R>0T001L`2P003RPA00078Ol0008I9@000QTJ00078@d000hX1`3o
ool100000040oooo000S0?ooo`8000001@3oool2000nA`T0030o20008SP:000G<0X000hX4@001b7o
00026BL0008I6P001b4<000>:0H0oooo0P0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o`T0030o2@008SP9000G<0/000hX40001b7o00026BX0008I6`001b4:000>:0L0oooo0@0000010?oo
o`008`3oool00`000000oooo0?ooo`040?ooo`P0030o2@008SP9000G<0/000hX40001b7o00026B`0
008I6`001b49000>:0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`L0030o
2@008SP9000G<0/000hX40001b7o00026Bh0008I6`001b48000>:0L0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?ooo`H0030o2@008SP9000G<0/000hX40001b7o00026C00008I6P00
1b48000>:0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`<0030o2P008SP9
000G<0`000hX40001b7o00026C<0008I6P001b46000>:0L0oooo0@0000010?ooo`008`3oool00`00
0000oooo0?ooo`040?ooo`80030o2@008SP:000G<0`000hX40001b7o00026CH0008I6P001b44000>
:0L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`03000`?`008SP0028h00L0
028h2@005c0<000>:14000LQo`000QTh00026AX000LQ0`003RP70?ooo`4000000@3oool002<0oooo
00<000000?ooo`3oool0103oool9000R>0T001L`30003RP@00078Ol0008I>P000QTK00078@8000hX
1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo1`008SP:000G<0`000hX4000
1b7o00026C`0008I6`001b400`003RP0oooo0?ooo`050?ooo`4000000@3oool002<0oooo00<00000
0?ooo`3oool0103oool6000R>0X001L`2`003RPA00078Ol0008I?`000QTJ00078@L0oooo0@000001
0?ooo`008`3oool00`000000oooo0?ooo`040?ooo`D0028h2P005c0;000>:14000LQo`000QU10002
6AT000LQ1`3oool100000040oooo000S0?ooo`030000003oool0oooo00@0oooo0`008SP;000G<0/0
00hX4@001b7o00026D80008I6@001b470?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0
103oool2000R>0/001L`30003RP@00078Ol0008IA0000QTH00078@L0oooo0@0000010?ooo`008`3o
ool00`000000oooo0?ooo`040?ooo`03000R>0005c0001L`00P001L`30003RPA00078Ol0008IA`00
0QTF00078@L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?ooo`X001L`30003RPA
00078Ol0008IB@000QTE00078@L0oooo0@0000010?ooo`008`3oool00`000000oooo0?ooo`040?oo
o`T001L`30003RPA00078Ol0008IB`000QTD00078@L0oooo0@0000010?ooo`008`3oool00`000000
oooo0?ooo`040?ooo`L001L`30003RPB00078Ol0008IC@000QTC00078@L0oooo0@0000010?ooo`00
8`3oool00`000000oooo0?ooo`040?ooo`H001L`30003RPB00078Ol0008IC`000QTB00078@L0oooo
0@0000010?ooo`008`3oool2000000D0oooo1@005c0<000>:18000LQo`000QUA00026A4000LQ1P3o
ool200000040oooo000S0?ooo`030000003oool0oooo0?l0ooooT03oool100000040oooo000S0?oo
o`030000003oool0oooo0?l0ooooT03oool100000040oooo000S0?ooo`030000003oool0oooo0?l0
ooooT03oool100000040oooo000S0?ooo`030000003oool0oooo0?l0ooooT03oool100000040oooo
000S0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?oo
o`1N0?ooo`030000003oool0oooo05h0oooo00<000000?ooo`3oool0GP3oool00`000000oooo0?oo
o`040?ooo`4000000@3oool002<0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@
0?ooo`030000003oool0oooo0140oooo00<000000?ooo`3oool0103oool100000040oooo000S0?oo
o`030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0100oooo00<000000?ooo`3oool04@3oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0@0?oo
o`030000003oool0oooo0140oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo0100oooo00<000000?ooo`3oool0403oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo00@0oooo0@0000010?ooo`008`3ooooo000009@000000@3oool00?l0oooo
^03oool00?l0oooo^03oool00?l0oooo^03oool00?l0oooo^03oool00?l0oooo^03oool00?l0oooo
^03oool00?l0oooo^03oool00?l0oooo^03oool00?l0oooo^03oool00?l0oooo^03oool00001\
\>"],
  ImageRangeCache->{{{0, 438}, {438, 0}} -> {-1.22091, -0.058351, 0.0051634, \
0.00025817}},
  CellTags->"PointSpreadFunction and FindField"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Symbolic Calculations", "Subtitle",
  CellTags->{
  "FindABCDMatrix", "Symbolic Transfer Functions", "Symbolic Optimization", 
    "Finding Geometric Intensity"}],

Cell[CellGroupData[{

Cell["Symbolic ABCD Matrix Calculations", "Section",
  CellTags->"FindABCDMatrix"],

Cell[CellGroupData[{

Cell["\<\
opticalsystemreflected = {
GaussianBeam[20,1/100,SymbolicWaveLength->\[Lambda],NumberOfRays->6, \
IntrinsicMedium->1],
Move[PlanoConvexLens[{f,100},{a,50},{t,10},ComponentMedium->3/2],{d1,50}],
Move[Mirror[{b,20}],175,-45],
Move[Screen[50],{175,50},90]};
AnalyzeSystem[opticalsystemreflected, PlotType->TopView];\
\>", "Input",
  CellTags->"FindABCDMatrix"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .39173 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.0238095 0.00463446 0.150678 0.00463446 [
[.2787 .00933 -3 -4.5 ]
[.2787 .00933 3 4.5 ]
[.78405 .09988 -3 -4.5 ]
[.78405 .09988 3 4.5 ]
[.97619 .3824 -3 -4.5 ]
[.97619 .3824 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .39173 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.28525 .03482 m
.30188 .03482 L
.30188 .07344 L
.26826 .07344 L
.28525 .03482 L
F
.26826 .07344 m
.30188 .07344 L
.30188 .11206 L
.25865 .11206 L
.26826 .07344 L
F
.25865 .11206 m
.30188 .11206 L
.30188 .15068 L
.25553 .15068 L
.25865 .11206 L
F
.25553 .15068 m
.30188 .15068 L
.30188 .1893 L
.25865 .1893 L
.25553 .15068 L
F
.25865 .1893 m
.30188 .1893 L
.30188 .22792 L
.26826 .22792 L
.25865 .1893 L
F
.26826 .22792 m
.30188 .22792 L
.30188 .26654 L
.28525 .26654 L
.26826 .22792 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.28525 .03482 m
.26826 .07344 L
.25865 .11206 L
.25553 .15068 L
.25865 .1893 L
.26826 .22792 L
.28525 .26654 L
.30188 .26654 L
.30188 .22792 L
.30188 .1893 L
.30188 .15068 L
.30188 .11206 L
.30188 .07344 L
.30188 .03482 L
.28525 .03482 L
s
.5 g
.28525 .15068 m
.30188 .15068 L
.30188 .15068 L
.26826 .15068 L
.28525 .15068 L
F
.26826 .15068 m
.30188 .15068 L
.30188 .15068 L
.25865 .15068 L
.26826 .15068 L
F
.25865 .15068 m
.30188 .15068 L
.30188 .15068 L
.25553 .15068 L
.25865 .15068 L
F
.25553 .15068 m
.30188 .15068 L
.30188 .15068 L
.25865 .15068 L
.25553 .15068 L
F
.25865 .15068 m
.30188 .15068 L
.30188 .15068 L
.26826 .15068 L
.25865 .15068 L
F
.26826 .15068 m
.30188 .15068 L
.30188 .15068 L
.28525 .15068 L
.26826 .15068 L
F
0 g
.28525 .15068 m
.26826 .15068 L
.25865 .15068 L
.25553 .15068 L
.25865 .15068 L
.26826 .15068 L
.28525 .15068 L
.30188 .15068 L
.30188 .15068 L
.30188 .15068 L
.30188 .15068 L
.30188 .15068 L
.30188 .15068 L
.30188 .15068 L
.28525 .15068 L
s
.28525 .26654 m
.30188 .26654 L
.30188 .26259 L
.28525 .26259 L
.28525 .26654 L
s
.28525 .26259 m
.30188 .26259 L
.30188 .25102 L
.28525 .25102 L
.28525 .26259 L
s
.28525 .25102 m
.30188 .25102 L
.30188 .2326 L
.28525 .2326 L
.28525 .25102 L
s
.28525 .2326 m
.30188 .2326 L
.30188 .20861 L
.28525 .20861 L
.28525 .2326 L
s
.28525 .20861 m
.30188 .20861 L
.30188 .18066 L
.28525 .18066 L
.28525 .20861 L
s
.28525 .18066 m
.30188 .18066 L
.30188 .15068 L
.28525 .15068 L
.28525 .18066 L
s
.28525 .15068 m
.30188 .15068 L
.30188 .12069 L
.28525 .12069 L
.28525 .15068 L
s
.28525 .12069 m
.30188 .12069 L
.30188 .09275 L
.28525 .09275 L
.28525 .12069 L
s
.28525 .09275 m
.30188 .09275 L
.30188 .06875 L
.28525 .06875 L
.28525 .09275 L
s
.28525 .06875 m
.30188 .06875 L
.30188 .05034 L
.28525 .05034 L
.28525 .06875 L
s
.28525 .05034 m
.30188 .05034 L
.30188 .03876 L
.28525 .03876 L
.28525 .05034 L
s
.28525 .03876 m
.30188 .03876 L
.30188 .03482 L
.28525 .03482 L
.28525 .03876 L
s
.28525 .03482 m
.30188 .03482 L
.30188 .03876 L
.28525 .03876 L
.28525 .03482 L
s
.28525 .03876 m
.30188 .03876 L
.30188 .05034 L
.28525 .05034 L
.28525 .03876 L
s
.28525 .05034 m
.30188 .05034 L
.30188 .06875 L
.28525 .06875 L
.28525 .05034 L
s
.28525 .06875 m
.30188 .06875 L
.30188 .09275 L
.28525 .09275 L
.28525 .06875 L
s
.28525 .09275 m
.30188 .09275 L
.30188 .12069 L
.28525 .12069 L
.28525 .09275 L
s
.28525 .12069 m
.30188 .12069 L
.30188 .15068 L
.28525 .15068 L
.28525 .12069 L
s
.28525 .15068 m
.30188 .15068 L
.30188 .18066 L
.28525 .18066 L
.28525 .15068 L
s
.28525 .18066 m
.30188 .18066 L
.30188 .20861 L
.28525 .20861 L
.28525 .18066 L
s
.28525 .20861 m
.30188 .20861 L
.30188 .2326 L
.28525 .2326 L
.28525 .20861 L
s
.28525 .2326 m
.30188 .2326 L
.30188 .25102 L
.28525 .25102 L
.28525 .2326 L
s
.28525 .25102 m
.30188 .25102 L
.30188 .26259 L
.28525 .26259 L
.28525 .25102 L
s
.28525 .26259 m
.30188 .26259 L
.30188 .26654 L
.28525 .26654 L
.28525 .26259 L
s
.5 g
.80207 .11791 m
.80207 .11791 L
.81299 .12883 L
.81299 .12883 L
.80207 .11791 L
F
.81299 .12883 m
.81299 .12883 L
.82392 .13975 L
.82392 .13975 L
.81299 .12883 L
F
.82392 .13975 m
.82392 .13975 L
.83484 .15068 L
.83484 .15068 L
.82392 .13975 L
F
.83484 .15068 m
.83484 .15068 L
.84576 .1616 L
.84576 .1616 L
.83484 .15068 L
F
.84576 .1616 m
.84576 .1616 L
.85669 .17252 L
.85669 .17252 L
.84576 .1616 L
F
.85669 .17252 m
.85669 .17252 L
.86761 .18345 L
.86761 .18345 L
.85669 .17252 L
F
0 g
.80207 .11791 m
.81299 .12883 L
.82392 .13975 L
.83484 .15068 L
.84576 .1616 L
.85669 .17252 L
.86761 .18345 L
.86761 .18345 L
.85669 .17252 L
.84576 .1616 L
.83484 .15068 L
.82392 .13975 L
.81299 .12883 L
.80207 .11791 L
.80207 .11791 L
s
.5 g
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
0 g
.83484 .15068 m
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
s
.5 g
.83484 .15068 m
.84576 .1616 L
.84539 .16123 L
.83484 .15068 L
.83484 .15068 L
F
.84576 .1616 m
.85669 .17252 L
.85594 .17178 L
.84539 .16123 L
.84576 .1616 L
F
.85669 .17252 m
.86761 .18345 L
.86649 .18233 L
.85594 .17178 L
.85669 .17252 L
F
.83484 .15068 m
.84539 .16123 L
.8443 .16014 L
.83484 .15068 L
.83484 .15068 L
F
.84539 .16123 m
.85594 .17178 L
.85376 .1696 L
.8443 .16014 L
.84539 .16123 L
F
.85594 .17178 m
.86649 .18233 L
.86322 .17906 L
.85376 .1696 L
.85594 .17178 L
F
.83484 .15068 m
.8443 .16014 L
.84256 .1584 L
.83484 .15068 L
.83484 .15068 L
F
.8443 .16014 m
.85376 .1696 L
.85029 .16613 L
.84256 .1584 L
.8443 .16014 L
F
.85376 .1696 m
.86322 .17906 L
.85801 .17385 L
.85029 .16613 L
.85376 .1696 L
F
.83484 .15068 m
.84256 .1584 L
.8403 .15614 L
.83484 .15068 L
.83484 .15068 L
F
.84256 .1584 m
.85029 .16613 L
.84576 .1616 L
.8403 .15614 L
.84256 .1584 L
F
.85029 .16613 m
.85801 .17385 L
.85122 .16706 L
.84576 .1616 L
.85029 .16613 L
F
.83484 .15068 m
.8403 .15614 L
.83767 .15351 L
.83484 .15068 L
.83484 .15068 L
F
.8403 .15614 m
.84576 .1616 L
.84049 .15633 L
.83767 .15351 L
.8403 .15614 L
F
.84576 .1616 m
.85122 .16706 L
.84332 .15916 L
.84049 .15633 L
.84576 .1616 L
F
.83484 .15068 m
.83767 .15351 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83767 .15351 m
.84049 .15633 L
.83484 .15068 L
.83484 .15068 L
.83767 .15351 L
F
.84049 .15633 m
.84332 .15916 L
.83484 .15068 L
.83484 .15068 L
.84049 .15633 L
F
.83484 .15068 m
.83484 .15068 L
.83201 .14785 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.82919 .14502 L
.83201 .14785 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.82636 .1422 L
.82919 .14502 L
.83484 .15068 L
F
.83484 .15068 m
.83201 .14785 L
.82938 .14522 L
.83484 .15068 L
.83484 .15068 L
F
.83201 .14785 m
.82919 .14502 L
.82392 .13975 L
.82938 .14522 L
.83201 .14785 L
F
.82919 .14502 m
.82636 .1422 L
.81845 .13429 L
.82392 .13975 L
.82919 .14502 L
F
.83484 .15068 m
.82938 .14522 L
.82712 .14295 L
.83484 .15068 L
.83484 .15068 L
F
.82938 .14522 m
.82392 .13975 L
.81939 .13523 L
.82712 .14295 L
.82938 .14522 L
F
.82392 .13975 m
.81845 .13429 L
.81167 .12751 L
.81939 .13523 L
.82392 .13975 L
F
.83484 .15068 m
.82712 .14295 L
.82538 .14122 L
.83484 .15068 L
.83484 .15068 L
F
.82712 .14295 m
.81939 .13523 L
.81592 .13176 L
.82538 .14122 L
.82712 .14295 L
F
.81939 .13523 m
.81167 .12751 L
.80646 .1223 L
.81592 .13176 L
.81939 .13523 L
F
.83484 .15068 m
.82538 .14122 L
.82429 .14013 L
.83484 .15068 L
.83484 .15068 L
F
.82538 .14122 m
.81592 .13176 L
.81374 .12958 L
.82429 .14013 L
.82538 .14122 L
F
.81592 .13176 m
.80646 .1223 L
.80319 .11902 L
.81374 .12958 L
.81592 .13176 L
F
.83484 .15068 m
.82429 .14013 L
.82392 .13975 L
.83484 .15068 L
.83484 .15068 L
F
.82429 .14013 m
.81374 .12958 L
.81299 .12883 L
.82392 .13975 L
.82429 .14013 L
F
.81374 .12958 m
.80319 .11902 L
.80207 .11791 L
.81299 .12883 L
.81374 .12958 L
F
.83484 .15068 m
.82392 .13975 L
.82429 .14013 L
.83484 .15068 L
.83484 .15068 L
F
.82392 .13975 m
.81299 .12883 L
.81374 .12958 L
.82429 .14013 L
.82392 .13975 L
F
.81299 .12883 m
.80207 .11791 L
.80319 .11902 L
.81374 .12958 L
.81299 .12883 L
F
.83484 .15068 m
.82429 .14013 L
.82538 .14122 L
.83484 .15068 L
.83484 .15068 L
F
.82429 .14013 m
.81374 .12958 L
.81592 .13176 L
.82538 .14122 L
.82429 .14013 L
F
.81374 .12958 m
.80319 .11902 L
.80646 .1223 L
.81592 .13176 L
.81374 .12958 L
F
.83484 .15068 m
.82538 .14122 L
.82712 .14295 L
.83484 .15068 L
.83484 .15068 L
F
.82538 .14122 m
.81592 .13176 L
.81939 .13523 L
.82712 .14295 L
.82538 .14122 L
F
.81592 .13176 m
.80646 .1223 L
.81167 .12751 L
.81939 .13523 L
.81592 .13176 L
F
.83484 .15068 m
.82712 .14295 L
.82938 .14522 L
.83484 .15068 L
.83484 .15068 L
F
.82712 .14295 m
.81939 .13523 L
.82392 .13975 L
.82938 .14522 L
.82712 .14295 L
F
.81939 .13523 m
.81167 .12751 L
.81845 .13429 L
.82392 .13975 L
.81939 .13523 L
F
.83484 .15068 m
.82938 .14522 L
.83201 .14785 L
.83484 .15068 L
.83484 .15068 L
F
.82938 .14522 m
.82392 .13975 L
.82919 .14502 L
.83201 .14785 L
.82938 .14522 L
F
.82392 .13975 m
.81845 .13429 L
.82636 .1422 L
.82919 .14502 L
.82392 .13975 L
F
.83484 .15068 m
.83201 .14785 L
.83484 .15068 L
.83484 .15068 L
.83484 .15068 L
F
.83201 .14785 m
.82919 .14502 L
.83484 .15068 L
.83484 .15068 L
.83201 .14785 L
F
.82919 .14502 m
.82636 .1422 L
.83484 .15068 L
.83484 .15068 L
.82919 .14502 L
F
.83484 .15068 m
.83484 .15068 L
.83767 .15351 L
.83484 .15068 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.84049 .15633 L
.83767 .15351 L
.83484 .15068 L
F
.83484 .15068 m
.83484 .15068 L
.84332 .15916 L
.84049 .15633 L
.83484 .15068 L
F
.83484 .15068 m
.83767 .15351 L
.8403 .15614 L
.83484 .15068 L
.83484 .15068 L
F
.83767 .15351 m
.84049 .15633 L
.84576 .1616 L
.8403 .15614 L
.83767 .15351 L
F
.84049 .15633 m
.84332 .15916 L
.85122 .16706 L
.84576 .1616 L
.84049 .15633 L
F
.83484 .15068 m
.8403 .15614 L
.84256 .1584 L
.83484 .15068 L
.83484 .15068 L
F
.8403 .15614 m
.84576 .1616 L
.85029 .16613 L
.84256 .1584 L
.8403 .15614 L
F
.84576 .1616 m
.85122 .16706 L
.85801 .17385 L
.85029 .16613 L
.84576 .1616 L
F
.83484 .15068 m
.84256 .1584 L
.8443 .16014 L
.83484 .15068 L
.83484 .15068 L
F
.84256 .1584 m
.85029 .16613 L
.85376 .1696 L
.8443 .16014 L
.84256 .1584 L
F
.85029 .16613 m
.85801 .17385 L
.86322 .17906 L
.85376 .1696 L
.85029 .16613 L
F
.83484 .15068 m
.8443 .16014 L
.84539 .16123 L
.83484 .15068 L
.83484 .15068 L
F
.8443 .16014 m
.85376 .1696 L
.85594 .17178 L
.84539 .16123 L
.8443 .16014 L
F
.85376 .1696 m
.86322 .17906 L
.86649 .18233 L
.85594 .17178 L
.85376 .1696 L
F
.83484 .15068 m
.84539 .16123 L
.84576 .1616 L
.83484 .15068 L
.83484 .15068 L
F
.84539 .16123 m
.85594 .17178 L
.85669 .17252 L
.84576 .1616 L
.84539 .16123 L
F
.85594 .17178 m
.86649 .18233 L
.86761 .18345 L
.85669 .17252 L
.85594 .17178 L
F
0 g
.86761 .18345 m
.86649 .18233 L
.86322 .17906 L
.85801 .17385 L
.85122 .16706 L
.84332 .15916 L
.83484 .15068 L
.82636 .1422 L
.81845 .13429 L
.81167 .12751 L
.80646 .1223 L
.80319 .11902 L
.80207 .11791 L
.80319 .11902 L
.80646 .1223 L
.81167 .12751 L
.81845 .13429 L
.82636 .1422 L
.83484 .15068 L
.84332 .15916 L
.85122 .16706 L
.85801 .17385 L
.86322 .17906 L
.86649 .18233 L
.86761 .18345 L
s
.9507 .3824 m
.91208 .3824 L
.87346 .3824 L
.83484 .3824 L
.79622 .3824 L
.7576 .3824 L
.71898 .3824 L
.71898 .3824 L
.7576 .3824 L
.79622 .3824 L
.83484 .3824 L
.87346 .3824 L
.91208 .3824 L
.9507 .3824 L
.9507 .3824 L
s
.83484 .3824 m
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
.83484 .3824 L
s
.71898 .3824 m
.72293 .3824 L
.7345 .3824 L
.75291 .3824 L
.77691 .3824 L
.80485 .3824 L
.83484 .3824 L
.86483 .3824 L
.89277 .3824 L
.91677 .3824 L
.93518 .3824 L
.94675 .3824 L
.9507 .3824 L
.94675 .3824 L
.93518 .3824 L
.91677 .3824 L
.89277 .3824 L
.86483 .3824 L
.83484 .3824 L
.80485 .3824 L
.77691 .3824 L
.75291 .3824 L
.7345 .3824 L
.72293 .3824 L
.71898 .3824 L
s
.039 .916 .04 r
.02381 .05799 m
.27462 .05673 L
s
% Start of user PostScript
0 -20.0001 54.1182 -20.2707 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.27462 .05673 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .09506 m
.26221 .09435 L
s
% Start of user PostScript
0 -12.0001 51.4419 -12.1544 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.26221 .09435 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .13214 m
.25627 .13191 L
s
% Start of user PostScript
0 -4.00003 50.1581 -4.05019 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.25627 .13191 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .16922 m
.25627 .16945 L
s
% Start of user PostScript
0 4.00003 50.1581 4.05019 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.25627 .16945 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .20629 m
.26221 .20701 L
s
% Start of user PostScript
0 12.0001 51.4419 12.1544 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.26221 .20701 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .24337 m
.27462 .24462 L
s
% Start of user PostScript
0 20.0001 54.1182 20.2707 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.27462 .24462 Mdot
.039 .916 .04 r
.5 Mabswid
.27462 .05673 m
.30188 .06052 L
s
% Start of user PostScript
54.1182 -20.2707 60. -19.4538 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .06052 Mdot
.039 .916 .04 r
.5 Mabswid
.26221 .09435 m
.30188 .09751 L
s
% Start of user PostScript
51.4419 -12.1544 60. -11.4715 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .09751 Mdot
.039 .916 .04 r
.5 Mabswid
.25627 .13191 m
.30188 .1331 L
s
% Start of user PostScript
50.1581 -4.05019 60. -3.7937 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .1331 Mdot
.039 .916 .04 r
.5 Mabswid
.25627 .16945 m
.30188 .16826 L
s
% Start of user PostScript
50.1581 4.05019 60. 3.7937 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .16826 Mdot
.039 .916 .04 r
.5 Mabswid
.26221 .20701 m
.30188 .20384 L
s
% Start of user PostScript
51.4419 12.1544 60. 11.4715 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .20384 Mdot
.039 .916 .04 r
.5 Mabswid
.27462 .24462 m
.30188 .24084 L
s
% Start of user PostScript
54.1182 20.2707 60. 19.4538 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.30188 .24084 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .06052 m
.86507 .18091 L
s
% Start of user PostScript
60. -19.4538 181.524 6.52388 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.86507 .18091 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .09751 m
.84819 .16403 L
s
% Start of user PostScript
60. -11.4715 177.88 2.88028 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.84819 .16403 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .1331 m
.83852 .15436 L
s
% Start of user PostScript
60. -3.7937 175.794 0.793613 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.83852 .15436 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .16826 m
.83144 .14728 L
s
% Start of user PostScript
60. 3.7937 174.267 -0.733129 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.83144 .14728 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .20384 m
.82439 .14023 L
s
% Start of user PostScript
60. 11.4715 172.745 -2.25505 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.82439 .14023 Mdot
.039 .916 .04 r
.5 Mabswid
.30188 .24084 m
.81525 .13109 L
s
% Start of user PostScript
60. 19.4538 170.774 -4.22593 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.81525 .13109 Mdot
.039 .916 .04 r
.5 Mabswid
.86507 .18091 m
.90815 .3824 L
s
% Start of user PostScript
181.524 6.52388 190.818 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.90815 .3824 Mdot
.039 .916 .04 r
.5 Mabswid
.84819 .16403 m
.87477 .3824 L
s
% Start of user PostScript
177.88 2.88028 183.617 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.87477 .3824 Mdot
.039 .916 .04 r
.5 Mabswid
.83852 .15436 m
.84755 .3824 L
s
% Start of user PostScript
175.794 0.793613 177.743 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.84755 .3824 Mdot
.039 .916 .04 r
.5 Mabswid
.83144 .14728 m
.82213 .3824 L
s
% Start of user PostScript
174.267 -0.733129 172.257 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.82213 .3824 Mdot
.039 .916 .04 r
.5 Mabswid
.82439 .14023 m
.7949 .3824 L
s
% Start of user PostScript
172.745 -2.25505 166.383 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.7949 .3824 Mdot
.039 .916 .04 r
.5 Mabswid
.81525 .13109 m
.76153 .3824 L
s
% Start of user PostScript
170.774 -4.22593 159.182 50. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.76153 .3824 Mdot
[(L)] .2787 .00933 0 0 Mshowa
[(M)] .78405 .09988 0 0 Mshowa
[(S)] .97619 .3824 0 0 Mshowa
0 0 m
1 0 L
1 .39173 L
0 .39173 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{541, 211.875},
  ImageMargins->{{0, 0}, {0, 1}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40008M0000db000`400?l00000o`00003oo`3ooooo
0?oooal0oooo003o0?ooool0oooo7`3oool009<0oooo1@00003o0?ooohH0oooo002D0?ooo`040000
003oool0oooo00000?l0ooooQP3oool009@0oooo00<000000?ooo`3oool0o`3ooon70?ooo`00U03o
ool00`000000oooo0?ooo`3o0?ooohL0oooo002D0?ooo`030000003oool0oooo0?l0ooooQ`3oool0
09@0oooo00<000000?ooo`3oool0o`3ooon70?ooo`00T`3oool300000?l0ooooR03oool00?l0oooo
o`3ooolO0?ooo`00o`3ooooo0?oooal0oooo003o0?ooool0oooo7`3oool00?l0ooooo`3ooolO0?oo
o`00o`3ooooo0?oooal0oooo003o0?ooool0oooo7`3oool00?l0ooooo`3ooolO0?ooo`00o`3ooooo
0?oooal0oooo003o0?ooool0oooo7`3oool009X0oooo2P00003o0?ooogX0oooo002J0?ooo`030000
001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3ooomh0?ooo`00V@3oool;00000?l0ooooNP3o
ool009T0oooo0P00000807moO`030000003oool0oooo0?l0ooooN03oool009P0oooo00<0000007mo
O`000000201oOgl00`000000oooo0?ooo`3o0?ooogP0oooo002H0?ooo`030000001oOgl0000000P0
Ogmo00<000000?ooo`3oool0o`3ooomh0?ooo`00V03oool00`000000Ogmo0000000807moO`030000
003oool0oooo0?l0ooooN03oool009L0oooo00@0000007moO`1oOgl00000201oOgl00`000000oooo
0?ooo`3o0?ooogP0oooo002G0?ooo`040000001oOgl0Ogmo000000P0Ogmo00<000000?ooo`3oool0
o`3ooomh0?ooo`00UP3oool010000000Ogmo07moO`1oOgl:00000?l0ooooNP3oool008`0oooo0`09
jPX70?ooo`050000001oOgl0Ogmo07moO`000000201oOgl00`000000oooo0?ooo`3o0?ooogP0oooo
002=0?ooo`H02NX:0P3oool00`000000Ogmo07moO`0207moO`0300000009jPX02NX:00H0Ogmo00<0
00000?ooo`3oool0o`3ooomh0?ooo`00D@3ooom800WZ2P0307moO`000000Ogmo00@02NX:0`1oOgl0
0`000000oooo0?ooo`3o0?ooogP0oooo000=0?oood@02NX:?03oool500WZ2P80oooo0P00000307mo
O`X02NX:00<000000?ooo`3oool0o`3ooomh0?ooo`00S03oool200WZ2PH0oooo00<0000007moO`1o
Ogl00`1oOgl00`000000Ogmo00WZ2P0500WZ2P0400000009jPX02NX:00WZ2_l0ooooN03oool009@0
oooo00<0000007moO`1oOgl00`1oOgl00`0000002NX:00WZ2P0200WZ2P<0Ogmo0P0000020?ooo`D0
2NX:o`3ooomc0?ooo`00T`3oool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo
00<000000?ooo`3oool01@3oool500WZ2_l0ooooKP3oool009<0oooo00<0000007moO`1oOgl0101o
Ogl00`000000Ogmo07moO`0607moO`030000003oool0oooo00X0oooo1009jP[o0?ooofX0oooo002B
0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`0>
0?ooo`D02NX:o`3ooomU0?ooo`00TP3oool00`000000Ogmo07moO`0507moO`X000005@3oool500WZ
2_l0ooooH03oool00980oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0607moO`03
0000003oool0oooo01P0oooo1009jP[o0?oooe`0oooo002A0?ooo`030000001oOgl0Ogmo00H0Ogmo
00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`0L0?ooo`D02NX:o`3ooomG0?ooo`00T@3o
ool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool08@3o
ool500WZ2_l0ooooDP3oool00940oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`06
07moO`030000003oool0oooo02H0oooo1009jP[o0?ooodh0oooo002@0?ooo`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`0Z0?ooo`D02NX:o`3ooom90?oo
o`00T03oool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool0;`3oool500WZ2_l0ooooA03oool00900oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo
07moO`0607moO`030000003oool0oooo03@0oooo1009jP[o0?oood00oooo002@0?ooo`030000001o
Ogl0Ogmo00L0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`0h0?ooo`D02NX:o`3o
oolk0?ooo`00S`3oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<00000
0?ooo`3oool0?@3oool500WZ2_l0oooo=P3oool008l0oooo00<0000007moO`1oOgl0201oOgl00`00
0000Ogmo07moO`0607moO`030000003oool0oooo0480oooo1009jP[o0?oooc80oooo00250?ooo`<0
2NX:1`3oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool0AP3oool500WZ2_l0oooo;@3oool008H0oooo1P09jPX30?ooo`030000001oOgl0Ogmo00P0Ogmo
00<0000000WZ2P09jPX01P1oOgl00`000000oooo0?ooo`1;0?ooo`D02NX:o`3ooolX0?ooo`00C@3o
oom700WZ2PH0Ogmo00<0000000WZ2P09jPX00`09jPX400000580oooo1009jP[o0?ooob@0oooo000=
0?oood002NX:>@3oool500WZ2P80oooo0P00000507moO`l02NX:00<000000?ooo`3oool0E03oool5
00WZ2Z<0oooo0`0000030?ooo`<00000LP3oool008D0oooo0P09jPX70?ooo`030000001oOgl0Ogmo
00T0Ogmo00<0000007moO`09jPX01@09jPX00`0000002NX:00WZ2P0300WZ2UL0oooo1@09jPZO0?oo
o`040000003oool0oooo00000080oooo00<000000?ooo`3oool0L@3oool008h0oooo00<0000007mo
O`1oOgl02@1oOgl00`0000002NX:00WZ2P0200WZ2P<0Ogmo0P0000040?ooo`P02NX:E03oool400WZ
2Y/0oooo00@000000?ooo`3oool000000P3oool00`000000oooo0?ooo`1a0?ooo`00SP3oool00`00
0000Ogmo07moO`0907moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool02P3oool800WZ
2U00oooo1@09jPZF0?ooo`070000003oool000000?ooo`000000oooo0000001c0?ooo`00S@3oool0
0`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool04P3oool9
00WZ2T`0oooo1@09jPZA0?ooo`070000003oool000000?ooo`000000oooo0000001c0?ooo`00S@3o
ool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool06`3o
ool800WZ2TT0oooo1009jPZ=0?ooo`8000000`3oool2000007<0oooo002=0?ooo`030000001oOgl0
Ogmo00X0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`0S0?ooo`P02NX:A@3oool5
00WZ2XL0oooo0`0000030?ooo`<00000LP3oool008d0oooo00<0000007moO`1oOgl02P1oOgl00`00
0000Ogmo07moO`0607moO`030000003oool0oooo02/0oooo2009jPY20?ooo`D02NX:o@3oool008`0
oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo03<0
oooo2009jPXo0?ooo`@02NX:n@3oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo
07moO`0607moO`030000003oool0oooo03/0oooo2009jPXk0?ooo`D02NX:m03oool008`0oooo00<0
000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo04<0oooo2@09
jPXg0?ooo`D02NX:k`3oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`06
07moO`030000003oool0oooo04`0oooo2009jPXd0?ooo`@02NX:j`3oool008`0oooo00<0000007mo
O`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo05@0oooo2009jPX`0?oo
o`D02NX:N@3oool00`000000oooo0?ooo`1Z0?ooo`00S03oool00`000000Ogmo07moO`0;07moO`03
0000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0G03oool800WZ2Rd0oooo1@09jPYe0?ooo`03
0000003oool0oooo06T0oooo002<0?ooo`030000001oOgl0Ogmo00/0Ogmo2P00001V0?ooo`P02NX:
:P3oool400WZ2W80oooo00<000000?ooo`3oool0J03oool008/0oooo00<0000007moO`1oOgl0301o
Ogl00`000000Ogmo07moO`0607moO`030000003oool0oooo06`0oooo2009jPXV0?ooo`D02NX:KP3o
ool00`000000oooo0?ooo`1W0?ooo`00R`3oool00`000000Ogmo07moO`0<07moO`030000001oOgl0
Ogmo00H0Ogmo00<000000?ooo`3oool0M03oool900WZ2R80oooo1009jPY[0?ooo`030000003oool0
oooo06H0oooo002;0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl00`00
0000oooo0?ooo`1m0?ooo`P02NX:7P3oool500WZ2VL0oooo00<000000?ooo`3oool0I@3oool00880
oooo0`09jPX60?ooo`030000001oOgl0Ogmo00`0Ogmo00@0000000WZ2P09jPX02NX:1@1oOgl00`00
0000oooo0?ooo`250?ooo`P02NX:6`3oool500WZ2V<0oooo00<000000?ooo`3oool0I03oool008<0
oooo1P09jPX00`3oool000000000000>07moO`030000001oOgl02NX:00D02NX:00<0Ogmo0000003o
ool0SP3oool800WZ2QP0oooo1009jPYH0?ooo`T02NX:00<000000?ooo`3oool0HP3oool000d0oooo
U@09jPX00`0000002NX:00WZ2P0;00WZ2X/0oooo2009jPXD0?ooo`D02NX:E03oool600WZ2P030?oo
o`09jPX0000006@0oooo00230?ooo`D02NX:0`3oool00`000000Ogmo07moO`0<07moO`030000001o
Ogl02NX:00@02NX:00<0Ogmo000000000000303ooolH00WZ2W/0oooo2009jPXA0?ooo`D02NX:BP3o
ool500WZ2P040?ooo`09jPX02NX:00WZ2P<0oooo00<02NX:0?ooo`000000H`3oool00880oooo0P09
jPX70?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000000WZ2P09jPX01P1oOgl00`000000oooo0?oo
o`0R0?oooaP02NX:J`3oool900WZ2Pd0oooo1009jPY20?ooo`@02NX:1P3oool200WZ2P<0oooo00D0
2NX:0?ooo`3oool0oooo0000001R0?ooo`00R`3oool00`000000Ogmo07moO`0<07moO`030000001o
Ogl0Ogmo00H0Ogmo00<000000?ooo`3oool0>P3ooolH00WZ2U`0oooo2009jPX90?ooo`D02NX:>03o
ool500WZ2PT0oooo00@02NX:0?ooo`3oool0oooo1@09jPX20?ooo`030000003oool0oooo05l0oooo
002;0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?oo
o`1B0?oooaP02NX:C03oool800WZ2PH0oooo1@09jPX^0?ooo`D02NX:4`3oool800WZ2P030000003o
ool0oooo05d0oooo002;0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl0
0`000000oooo0?ooo`1Z0?oooaP02NX:?03oool800WZ2P<0oooo1009jPXV0?ooo`@02NX:4`3oool;
00WZ2P030?ooo`09jPX0000005l0oooo002:0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007mo
O`1oOgl01P1oOgl00`000000oooo0?ooo`220?oooaT02NX::`3oool<00WZ2Q`0oooo1@09jPX>0?oo
o`T02NX:1@3oool600WZ2P040?ooo`09jPX0oooo000005h0oooo002:0?ooo`030000001oOgl0Ogmo
00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`2K0?oooaP02NX:6`3oool900WZ
2Q80oooo1@09jPX;0?ooo`P02NX:3@3oool200WZ2P<0oooo1P09jPX2000005`0oooo002:0?ooo`03
0000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`2c0?oooaP0
2NX:2`3oool900WZ2PH0oooo1009jPX80?ooo`P02NX:503oool<00WZ2P0300000009jPX0oooo05/0
oooo002:0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo
0?ooo`3;0?oooa`02NX:0P3oool800WZ2P80oooo6P09jPX20?ooo`0400WZ2P3oool0oooo0?ooo`D0
2NX:0P3oool00`09jPX000000000001J0?ooo`00RP3ooolJ00000=/0oooo8P09jPXD0?ooo`0300WZ
2P3oool0oooo00802NX:00<0oooo00WZ2P09jPX01009jPX00`3oool000000?ooo`1I0?ooo`00RP3o
ool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0_`3o
oolQ00WZ2PD0oooo1009jPX60?ooo`P02NX:103ooolH00WZ2P80oooo00<02NX:0?ooo`09jPX01@09
jPX2000005P0oooo002:0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl01P1oOgl0
0`000000oooo0?ooo`2U0?oooaX02NX:4@3oool800WZ2Q40oooo1@09jPX90?ooo`P02NX:3`3oool0
0`09jPX0oooo0?ooo`020?ooo`X02NX:00<0000000WZ2P3oool0E`3oool008X0oooo00<0000007mo
O`1oOgl03@1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo08/0oooo6P09jPXR0?oo
o`/02NX:703oool500WZ2P`0oooo2009jPX70?ooo`0300WZ2P3oool0oooo00@0oooo1P09jPX30?oo
o`0300WZ2P000000oooo05H0oooo002:0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1o
Ogl01P1oOgl00`000000oooo0?ooo`1b0?oooaT02NX:=03oool800WZ2P030?ooo`09jPX02NX:00<0
2NX:9P3oool400WZ2Q00oooo2@09jPX50?ooo`0300WZ2P3oool0oooo0080oooo0`09jPX0103oool0
2NX:0?ooo`00001F0?ooo`00RP3oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00H0
Ogmo00<000000?ooo`3oool0F03ooolJ00WZ2TD0oooo2009jPX50?ooo`@02NX:;`3oool500WZ2Q80
oooo00<02NX:0?ooo`09jPX01`09jPX20?ooo`0300WZ2P3oool02NX:00<02NX:00<0oooo0000003o
ool0E03oool008/0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0607moO`030000
003oool0oooo03h0oooo6P09jPYG0?ooo`P02NX:203oool500WZ2SP0oooo1@09jPX<0?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool02P09jPX2000005<0oooo002;0?ooo`030000001o
Ogl0Ogmo00`0Ogmo00@0000000WZ2P09jPX02NX:1@1oOgl00`000000oooo0?ooo`0T0?oooaX02NX:
J03oool900WZ2P/0oooo1@09jPY20?ooo`@02NX:203oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo00<0oooo00<02NX:0?ooo`09jPX01@09jPX00`0000002NX:0000001B0?ooo`00PP3o
ool300WZ2PH0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo00WZ2P0500WZ2P0307moO`00
0000oooo00/0oooo6P09jPYj0?ooo`P02NX:403oool400WZ2T/0oooo1@09jPX30?ooo`0300WZ2P3o
ool0oooo00@0oooo00<02NX:0?ooo`3oool00`3oool500WZ2P@0oooo00<02NX:000000000000D@3o
ool008<0oooo1P09jPX00`3oool000000000000;07moO`/02NX:00<0000000WZ2P09jPX02`09jPZ<
0?ooo`P02NX:4`3oool500WZ2U@0oooo1@09jPX50?ooo`0300WZ2P3oool0oooo00<0oooo00D02NX:
0?ooo`3oool0oooo00WZ2P040?ooo`0400WZ2P3oool0000000000500oooo000=0?ooohX02NX:0`1o
Ogl00`000000Ogmo00WZ2P0400WZ2P0307moO`00000000000900oooo2009jPXF0?ooo`D02NX:G03o
ool00`09jPX0oooo00WZ2P0300WZ2P030?ooo`09jPX0oooo00@0oooo00D02NX:0?ooo`3oool0oooo
00WZ2P040?ooo`0300WZ2P3oool0oooo00800000C`3oool008<0oooo1@09jPX30?ooo`030000001o
Ogl0Ogmo00`0Ogmo00<0000000WZ2P09jPX01P1oOgl00`000000oooo0?ooo`250?ooo`T02NX:6P3o
ool400WZ2V00oooo00<02NX:0?ooo`3oool0103oool500WZ2P80oooo00D02NX:0?ooo`3oool0oooo
00WZ2P040?ooo`0400WZ2P3oool0oooo0?ooo`800000CP3oool00880oooo0P09jPX70?ooo`030000
001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`1m0?ooo`P02NX:
7P3oool500WZ2V@0oooo00<02NX:0?ooo`3oool01@3oool01009jPX0oooo0?ooo`3oool500WZ2P03
0?ooo`09jPX0oooo00@0oooo0`09jPX00`3oool000000?ooo`1=0?ooo`00R`3oool00`000000Ogmo
07moO`0<07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0M@3oool800WZ2R40oooo
1@09jPYY0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00P3oool01009jPX0oooo
0?ooo`3oool400WZ2P<0oooo1@09jPX00`000000oooo0?ooo`1;0?ooo`00R`3oool00`000000Ogmo
07moO`0<07moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0K@3oool800WZ2RD0oooo
1009jPY^0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00P3oool00`09jPX0oooo
0?ooo`020?ooo`0300WZ2P3oool0oooo00T02NX:00<000000?ooo`3oool0BP3oool008/0oooo00<0
000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo06@0oooo2@09
jPXX0?ooo`D02NX:LP3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00<0oooo00<0
2NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`020?ooo`P02NX:B`3oool008/0oooo00<00000
07moO`1oOgl0301oOgl:000005h0oooo2009jPX/0?ooo`D02NX:MP3oool00`09jPX0oooo0?ooo`05
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`02
0?ooo`T02NX:00<000000?ooo`3oool0A`3oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`00
0000Ogmo07moO`0607moO`030000003oool0oooo05@0oooo2009jPX`0?ooo`@02NX:N`3oool00`09
jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool00`3oool00`09
jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:000000000000B03oool008`0
oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo04`0
oooo2009jPXc0?ooo`D02NX:O`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00<0
oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00D0
oooo00<02NX:0?ooo`3oool0B03oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo
07moO`0607moO`030000003oool0oooo04<0oooo2@09jPXf0?ooo`D02NX:Q03oool00`09jPX0oooo
0?ooo`050?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo
0?ooo`020?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0A`3oool008`0oooo00<0
000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo03/0oooo2009
jPXk0?ooo`@02NX:R03oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<0
2NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`020?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool0A`3oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`06
07moO`030000003oool0oooo03<0oooo2009jPXn0?ooo`D02NX:S03oool00`09jPX0oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`03
0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0A`3oool008`0oooo00<0000007mo
O`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo02X0oooo2@09jPY10?oo
o`D02NX:T@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00<0oooo00<02NX:0?oo
o`3oool00`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?oo
o`3oool0A`3oool008`0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0607moO`03
0000003oool0oooo0280oooo2009jPY60?ooo`@02NX:UP3oool00`09jPX0oooo0?ooo`050?ooo`03
00WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`030?ooo`03
00WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0A`3oool008d0oooo00<0000007moO`1oOgl0
2P1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo01X0oooo2009jPY90?ooo`D02NX:
VP3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0
0`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0
AP3oool008d0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0607moO`030000003o
ool0oooo0180oooo2009jPY<0?ooo`D02NX:WP3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3o
ool0oooo00@0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool0AP3oool008d0oooo00<0000007moO`1oOgl02P1oOgl0
0`000000Ogmo07moO`0607moO`030000003oool0oooo00T0oooo2@09jPY@0?ooo`@02NX:X`3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool00`3oool0
0`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0AP3oool0
08d0oooo00<0000007moO`1oOgl02P1oOgl00`0000002NX:00WZ2P0300WZ2P<0Ogmo00@000000?oo
o`3oool0oooo2009jPYD0?ooo`D02NX:Y`3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo00@0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3oool0
oooo00H0oooo00<02NX:0?ooo`3oool0AP3oool008D0oooo0`09jPX60?ooo`030000001oOgl0Ogmo
00T0Ogmo00<0000007moO`09jPX01@09jPX00`0000002NX:00WZ2P0200WZ2UL0oooo1@09jPZ/0?oo
o`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`160?oo
o`00QP3oool600WZ2P80oooo00<0000007moO`1oOgl00P1oOgl?00WZ2P800000EP3oool400WZ2[40
oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00<0
oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo04D0
oooo000=0?ooohH02NX:1`1oOgl00`000000Ogmo00WZ2P0200WZ2P@0Ogmo00<000000?ooo`3oool0
C`3oool500WZ2[@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`060?ooo`0300WZ
2P3oool0oooo04D0oooo00260?ooo`D02NX:0P3oool2000000/0Ogmo00<0000000WZ2P0000001`00
001<0?ooo`D02NX:^@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00@0oooo00<0
2NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool0A@3oool008D0oooo0P09jPX80?ooo`030000001oOgl0Ogmo00P0Ogmo00<00000
07moO`1oOgl01P1oOgl00`000000oooo0?ooo`160?ooo`@02NX:_P3oool00`09jPX0oooo0?ooo`06
0?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`04
0?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool0A@3oool008l0oooo00<0000007mo
O`1oOgl0201oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo0440oooo1@09jP[20?oo
o`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`030?oo
o`0300WZ2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`140?oo
o`00S`3oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3o
ool0?03oool500WZ2/H0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`03
00WZ2P3oool0oooo00<0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`070?ooo`03
00WZ2P3oool0oooo04@0oooo002?0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0
1P1oOgl00`000000oooo0?ooo`0g0?ooo`D02NX:b`3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool00`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0A03oool00900oooo00<0000007moO`1oOgl01`1o
Ogl00`000000Ogmo07moO`0607moO`030000003oool0oooo03<0oooo1009jP[@0?ooo`0300WZ2P3o
ool0oooo00L0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`030?ooo`0300WZ2P3o
ool0oooo00@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`140?ooo`00T03oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0;P3oool5
00WZ2]@0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0
oooo00@0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0
oooo04@0oooo002@0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01P1oOgl00`00
0000oooo0?ooo`0Y0?ooo`D02NX:f@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo
00@0oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo
00L0oooo00<02NX:0?ooo`3oool0@`3oool00900oooo00<0000007moO`1oOgl01`1oOgl00`000000
Ogmo07moO`0607moO`030000003oool0oooo02D0oooo1009jP[M0?ooo`0300WZ2P3oool0oooo00P0
oooo00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00D0
oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`130?ooo`00T@3oool00`000000Ogmo
07moO`0607moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0803oool500WZ2^40oooo
00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00D0oooo
00<02NX:0?ooo`3oool0103oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo04<0oooo
002A0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?oo
o`0K0?ooo`D02NX:iP3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`040?ooo`0300WZ2P3oool0oooo00L0oooo00<0
2NX:0?ooo`3oool0@`3oool00940oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`06
07moO`030000003oool0oooo01L0oooo1009jP[[0?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:
0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00@0oooo00<02NX:
0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`130?ooo`00TP3oool00`000000Ogmo07moO`0507mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool04P3oool500WZ2^l0oooo00<02NX:0?oo
o`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?oo
o`3oool0103oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo0480oooo002B0?ooo`03
0000001oOgl0Ogmo00D0Ogmo2P00000?0?ooo`D02NX:l`3oool00`09jPX0oooo0?ooo`080?ooo`03
00WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`040?ooo`03
00WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0@P3oool009<0oooo00<0000007moO`1oOgl0
101oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo00T0oooo1009jP[h0?ooo`0300WZ
2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ
2P3oool0oooo00@0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`120?ooo`00T`3o
ool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0103o
ool500WZ2_`0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3o
ool0oooo00D0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3o
ool0oooo0480oooo002C0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000000WZ2P09jPX00`09jPX3
07moO`030000003oool02NX:00@02NX:o`3oool20?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:
0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:
0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`120?ooo`00S03oool300WZ2PD0oooo00<0000007mo
O`1oOgl00`1oOgl00`000000Ogmo00WZ2P0500WZ2P0300000009jPX02NX:0?l0oooo1P3oool00`09
jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01@3oool00`09
jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0@@3oool008d0
oooo1P09jPX00`3oool0000007moO`0207moO`X02NX:0P00003o0?ooo`L0oooo00<02NX:0?ooo`3o
ool0203oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo0440oooo000=0?oooh/02NX:
0P1oOgl00`000000Ogmo00WZ2P0200WZ2P@0Ogmo00<000000?ooo`3oool0o`3oool50?ooo`0300WZ
2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ
2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`110?ooo`00S@3o
ool500WZ2P80oooo0P00000407moO`0300000009jPX0Ogmo00H0Ogmo00<000000?ooo`3oool0o`3o
ool50?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`050?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?oo
o`110?ooo`00S03oool200WZ2PP0oooo00D0000007moO`1oOgl0Ogmo0000000807moO`030000003o
ool0oooo0?l0oooo1@3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool0@03oool009H0oooo00D0000007moO`1oOgl0Ogmo0000000807moO`030000003o
ool0oooo0?l0oooo103oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00H0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool0@03oool009H0oooo00@0000007moO`1oOgl0Ogmo2P00003o0?ooo`H0oooo00<0
2NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00D0oooo00<0
2NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo0400oooo002G
0?ooo`040000001oOgl0Ogmo000000P0Ogmo00<000000?ooo`3oool0o`3oool40?ooo`0300WZ2P3o
ool0oooo00T0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3o
ool0oooo00H0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`100?ooo`00U`3oool0
10000000Ogmo07moO`00000807moO`030000003oool0oooo0?l0oooo103oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?oo
o`060?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool0@03oool009P0oooo00<00000
07moO`000000201oOgl00`000000oooo0?ooo`3o0?ooo`<0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00D0oooo00<02NX:0?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo03l0oooo002H0?ooo`030000001oOgl00000
00P0Ogmo00<000000?ooo`3oool0o`3oool30?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool01`3oool00`09jPX0oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`0o0?ooo`00V@3oool2000000P0Ogmo00<000000?ooo`3o
ool0o`3oool30?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0
oooo0?ooo`050?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0
oooo0?ooo`0o0?ooo`00V@3oool;00000?l0oooo1@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0?`3oool009T0oooo0P00000807moO`030000003o
ool0oooo0?l0oooo0`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0oooo00<0
2NX:0?ooo`3oool01@3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00T0oooo00<0
2NX:0?ooo`3oool0?`3oool009X0oooo2P00003o0?ooo`@0oooo00<02NX:0?ooo`3oool02P3oool0
0`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?ooo`3oool01`3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo03h0oooo003o0?ooojP0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`060?ooo`0300WZ2P3oool0oooo00H0oooo00<02NX:0?oo
o`3oool01`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo03h0oooo003o0?ooojP0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo03h0
oooo003o0?ooojP0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo03h0oooo003o0?ooojP0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`070?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?oo
o`0:0?ooo`0300WZ2P3oool0oooo03d0oooo003o0?ooojL0oooo00<02NX:0?ooo`3oool02P3oool0
0`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool0
0`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03d0oooo003o0?ooojL0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?oo
o`3oool01P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03d0oooo003o0?ooojL0
oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03d0
oooo003o0?ooojL0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`070?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ
2P3oool0oooo03d0oooo003o0?ooojH0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`070?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?oo
o`0:0?ooo`0300WZ2P3oool0oooo03`0oooo003o0?ooojH0oooo00<02NX:0?ooo`3oool02P3oool0
0`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool0
0`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03`0oooo003o0?ooojH0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?oo
o`3oool01`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03`0oooo003o0?ooojH0
oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03`0
oooo003o0?ooojH0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ
2P3oool0oooo03`0oooo003o0?ooojD0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo03/0oooo003o0?ooojD0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool01`3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03/0oooo003o0?ooojD0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?oo
o`3oool01`3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03/0oooo003o0?ooojD0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo03/0
oooo003o0?ooojD0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo03X0oooo003o0?oooj@0oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo03X0oooo003o0?oooj@0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0203oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03X0oooo003o0?oooj@0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?oo
o`3oool0203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03X0oooo003o0?oooj@0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00L0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03X0
oooo003o0?oooj<0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo03T0oooo003o0?oooj<0oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00L0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo03T0oooo003o0?oooj<0oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`080?ooo`0300WZ2P3oool0oooo00P0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03T0oooo003o0?oooj<0oooo00<02NX:0?oo
o`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool0203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03T0oooo003o0?oooj<0
oooo00<02NX:0?ooo`3oool02`3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo03T0
oooo003o0?oooj80oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ
2P3oool0oooo03P0oooo003o0?oooj80oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo03P0oooo003o0?oooj80oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo03P0oooo003o0?oooj80oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool0203oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo03P0oooo003o0?oooj80
oooo00<02NX:0?ooo`3oool0303oool00`09jPX0oooo0?ooo`090?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03L0
oooo003o0?oooj40oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`090?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool0203oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo03L0oooo003o0?oooj40oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`090?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`0<0?ooo`0300WZ2P3oool0oooo03L0oooo003o0?oooj40oooo00<02NX:0?ooo`3oool0303oool0
0`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo03L0oooo003o0?oooj40oooo00<02NX:0?oo
o`3oool0303oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`0<0?ooo`0300WZ2P3oool0oooo03L0oooo003o0?oooj00
oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03H0
oooo003o0?oooj00oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo03H0oooo003o0?oooj00oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo03H0oooo003o0?oooj00oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02@3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03H0oooo003o0?oooj00oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool02@3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03H0oooo003o0?oooil0
oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03D0
oooo003o0?oooil0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ
2P3oool0oooo03D0oooo003o0?oooil0oooo00<02NX:0?ooo`3oool03@3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?oo
o`0=0?ooo`0300WZ2P3oool0oooo03D0oooo003o0?oooil0oooo00<02NX:0?ooo`3oool03@3oool0
0`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03D0oooo003o0?oooil0oooo00<02NX:0?oo
o`3oool03@3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03D0oooo003o0?oooih0
oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00T0
oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo03@0
oooo003o0?oooih0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ
2P3oool0oooo03@0oooo003o0?oooih0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?oo
o`0;0?ooo`0300WZ2P3oool0oooo00T0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?oo
o`0>0?ooo`0300WZ2P3oool0oooo03@0oooo003o0?oooih0oooo00<02NX:0?ooo`3oool03P3oool0
0`09jPX0oooo0?ooo`0:0?ooo`0300WZ2P3oool0oooo00X0oooo00<02NX:0?ooo`3oool02`3oool0
0`09jPX0oooo0?ooo`0=0?ooo`0300WZ2P3oool0oooo03@0oooo003o0?oooid0oooo00<02NX:0?oo
o`3oool03P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0oooo00<02NX:0?oo
o`3oool02P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo03<0oooo003o0?oooid0
oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ2P3oool0oooo00/0
oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ2P3oool0oooo03<0
oooo003o0?oooid0oooo00<02NX:0?ooo`3oool03P3oool00`09jPX0oooo0?ooo`0;0?ooo`0300WZ
2P3oool0oooo00/0oooo00<02NX:0?ooo`3oool02P3oool00`09jPX0oooo0?ooo`0>0?ooo`0300WZ
2P3oool0oooo03<0oooo003o0?oooi/0oooo00<02NX:0?ooo`09jPX03P3oool00`09jPX0oooo00WZ
2P0;0?ooo`0300WZ2P3oool02NX:00d0oooo0P09jPX;0?ooo`0300WZ2P3oool02NX:00h0oooo00<0
2NX:0?ooo`09jPX0<`3oool00?l0ooooV`3oool01@09jPX0oooo00WZ2P3oool02NX:00`0oooo00D0
2NX:0?ooo`09jPX0oooo00WZ2P090?ooo`0500WZ2P3oool02NX:0?ooo`09jPX0203oool00`09jPX0
oooo0?ooo`0200WZ2PT0oooo00D02NX:0?ooo`09jPX0oooo00WZ2P0=0?ooo`802NX:00<0oooo00WZ
2P3oool0<P3oool00?l0ooooV`3oool200WZ2P030?ooo`09jPX02NX:00`0oooo1@09jPX90?ooo`D0
2NX:203oool200WZ2P030?ooo`09jPX02NX:00T0oooo1@09jPX=0?ooo`@02NX:<`3oool00?l0oooo
V`3oool400WZ2Pd0oooo1009jPX;0?ooo`@02NX:2@3oool400WZ2PX0oooo1009jPX>0?ooo`<02NX:
<`3oool00?l0ooooV`3oool400WZ2Pd0oooo1009jPX;0?ooo`<02NX:2P3oool400WZ2PX0oooo1009
jPX>0?ooo`<02NX:<`3oool00?l0ooooV`3oool300WZ2Pl0oooo0P09jPX<0?ooo`<02NX:2`3oool2
00WZ2P`0oooo0P09jPX@0?ooo`802NX:<`3oool00?l0ooooV`3oool200WZ2Q00oooo0P09jPX<0?oo
o`<02NX:2`3oool200WZ2P`0oooo0P09jPX@0?ooo`802NX:8@3oool010000000oooo00000000000>
0?ooo`00o`3ooonK0?ooo`802NX:403oool200WZ2Pd0oooo00<02NX:0?ooo`3oool02P3oool200WZ
2P`0oooo0P09jPX@0?ooo`802NX:8@3oool200000080oooo00<000000?ooo`3oool02`3oool00?l0
ooooQ03ooomn000000X0oooo00<000000?ooo`3oool00P00000=0?ooo`00o`3ooonK0?ooo`800000
403oool2000000`0oooo0P00000<0?ooo`8000003@3oool200000100oooo0P00000Q0?ooo`<00000
3P3oool00?l0ooooo`3oool=0?ooo`8000000P3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooooo
0?ooo`d0oooo00<000000?ooo`3oool00P00000=0?ooo`00o`3ooooo0?ooo`h0oooo0P0000000`3o
ool000000?ooo`0<0?ooo`00o`3ooooo0?oooal0oooo0000\
\>"],
  ImageRangeCache->{{{0, 540}, {210.875, 0}} -> {-5.47583, -32.5129, \
0.400836, 0.400836}},
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
FindABCDMatrix[opticalsystemreflected,{f>0}, MatrixForm->True, \
DecomposeABCD->False, NumericalResults->False, \
MakeFloatingPoint->False]\
\>", "Input",
  CellTags->"FindABCDMatrix"],

Cell[BoxData[
    TagBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {\(-\(\(\@\((d1 - f)\)\^2\ \((\(-675\) + 3\ d1 + 3\ f + 
                          t)\)\)\/\(3\ \((d1 - 
                          f)\)\ f\)\)\), \(\(\@\((d1 - f)\)\^2\ \((\(-3\)\ d1\
\^2 - d1\ \((\(-675\) + t)\) + f\ \((\(-675\) + t)\))\)\)\/\(3\ \((d1 - 
                        f)\)\ f\)\)},
            {\(\@\((d1 - f)\)\^2\/\(\((d1 - 
                        f)\)\ f\)\), \(\@\((d1 - f)\)\^2\/f\)}
            }], "\[NoBreak]", ")"}],
      Function[ BoxForm`e$, 
        MatrixForm[ BoxForm`e$]]]], "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
FindABCDMatrix[opticalsystemreflected,{f>0}, MatrixForm->True, \
DecomposeABCD->True, NumericalResults->False, MakeFloatingPoint->False]\
\>", \
"Input",
  CellTags->"FindABCDMatrix"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "0"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "50"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "0"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", \(175 - d1 - t\)},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "0"},
                    {"0", \(3\/2\)}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "t"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {\(\(\(-d1\) + 
                            f\)\/\@\((d1 - f)\)\^2\), \(-\(\(d1\ \((d1 + \
\@\((d1 - f)\)\^2 - f)\)\)\/\@\((d1 - f)\)\^2\)\)},
                    {\(\(2\ \((d1 - 
                                f)\)\)\/\(3\ \@\((d1 - f)\)\^2\ f\)\), \(\(2\ \
\((d1 + \@\((d1 - f)\)\^2)\)\)\/\(3\ f\)\)}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", \(\(d1\ \((\(-d1\) + f)\)\)\/\@\((d1 - f)\)\^2\)},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              Function[ BoxForm`e$, 
                MatrixForm[ BoxForm`e$]]]}
          },
        RowSpacings->3,
        ColumnSpacings->1,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      TableForm[ {
        MatrixForm[ {{1, 0}, {0, 1}}], 
        MatrixForm[ {{1, 50}, {0, 1}}], 
        MatrixForm[ {{1, 0}, {0, 1}}], 
        MatrixForm[ {{1, 
          Plus[ 175, 
            Times[ -1, d1], 
            Times[ -1, t]]}, {0, 1}}], 
        MatrixForm[ {{1, 0}, {0, 
          Rational[ 3, 2]}}], 
        MatrixForm[ {{1, t}, {0, 1}}], 
        MatrixForm[ {{
          Times[ 
            Power[ 
              Power[ 
                Plus[ d1, 
                  Times[ -1, f]], 2], 
              Rational[ -1, 2]], 
            Plus[ 
              Times[ -1, d1], f]], 
          Times[ -1, d1, 
            Power[ 
              Power[ 
                Plus[ d1, 
                  Times[ -1, f]], 2], 
              Rational[ -1, 2]], 
            Plus[ d1, 
              Power[ 
                Power[ 
                  Plus[ d1, 
                    Times[ -1, f]], 2], 
                Rational[ 1, 2]], 
              Times[ -1, f]]]}, {
          Times[ 
            Rational[ 2, 3], 
            Plus[ d1, 
              Times[ -1, f]], 
            Power[ 
              Power[ 
                Plus[ d1, 
                  Times[ -1, f]], 2], 
              Rational[ -1, 2]], 
            Power[ f, -1]], 
          Times[ 
            Rational[ 2, 3], 
            Plus[ d1, 
              Power[ 
                Power[ 
                  Plus[ d1, 
                    Times[ -1, f]], 2], 
                Rational[ 1, 2]]], 
            Power[ f, -1]]}}], 
        MatrixForm[ {{1, 
          Times[ d1, 
            Power[ 
              Power[ 
                Plus[ d1, 
                  Times[ -1, f]], 2], 
              Rational[ -1, 2]], 
            Plus[ 
              Times[ -1, d1], f]]}, {0, 1}}]}, TableDirections -> 
        Row]]], "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
FindABCDMatrix[opticalsystemreflected,MatrixForm->True,\
DecomposeABCD->True,NumericalResults->True]\
\>", "Input",
  CellTags->"FindABCDMatrix"],

Cell[BoxData[
    InterpretationBox[GridBox[{
          {
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"0.9999999999999998`", "0"},
                    {"0", "0.9999999999999999`"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "49.99999999999998`"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {\(-1.0000000000000002`\), \(-230.00000000000006`\)},
                    {"0", \(-1.`\)}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", \(-115.00000000000001`\)},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1.`", "0"},
                    {"0", "1.5194724325673066`"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "9.999999999999995`"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1.`", "0"},
                    {\(-0.006581231607541548`\), "0.6581231607541547`"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)], 
            TagBox[
              RowBox[{"(", "\[NoBreak]", GridBox[{
                    {"1", "50.000000000000014`"},
                    {"0", "1"}
                    }], "\[NoBreak]", ")"}],
              (MatrixForm[ #]&)]}
          },
        RowSpacings->3,
        ColumnSpacings->1,
        RowAlignments->Baseline,
        ColumnAlignments->{Left}],
      TableForm[ {
        MatrixForm[ {{0.99999999999999978, 0}, {0, 0.99999999999999989}}], 
        MatrixForm[ {{1, 49.999999999999979}, {0, 1}}], 
        MatrixForm[ {{-1.0000000000000002, -230.00000000000006}, {0, -1.0}}], 
        
        MatrixForm[ {{1, -115.00000000000001}, {0, 1}}], 
        MatrixForm[ {{1.0, 0}, {0, 1.5194724325673066}}], 
        MatrixForm[ {{1, 9.9999999999999947}, {0, 1}}], 
        MatrixForm[ {{1.0, 0}, {-0.0065812316075415482, 
          0.65812316075415467}}], 
        MatrixForm[ {{1, 50.000000000000014}, {0, 1}}]}, TableDirections -> 
        Row]]], "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Symbolic Transfer Functions", "Section",
  CellTags->"Symbolic Transfer Functions"],

Cell[TextData[{
  StyleBox["Wave Optica",
    FontSlant->"Italic"],
  " can be used to calculate the symbolic solution to optical systems by \
taking a symbolic Taylor's series expansion about the chief ray trajectory \
through space. The next example shows the fifth order symbolic solution to a \
spherical mirror system. In this case, ",
  StyleBox["y", "Input",
    FontFamily->"Courier"],
  "  is the initial ray height from the optical axis, ",
  StyleBox["r", "Input",
    FontFamily->"Courier"],
  " is the radius of curvature for the mirror, and ",
  StyleBox["d", "Input",
    FontFamily->"Courier"],
  " is the longitudinal position of the final optical surface, S."
}], "Text",
  CellTags->"Symbolic Transfer Functions"],

Cell[CellGroupData[{

Cell["\<\
opticalSystem = {
\tMove[LineOfRays[20],{0,{y,0}}],
\tMove[SphericalMirror[{r,-100},50,10],25],
\tMove[Screen[50],{d,-25}]};
AnalyzeSystem[opticalSystem,PlotType->TopView];
SymbolicTrace[opticalSystem, {{y,0,5},{r<0}}]\
\>", "Input",
  CellLabel->"In[66]:=",
  CellTags->"Symbolic Transfer Functions"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .87 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.420635 0.015873 0.45246 0.015873 [
[.89683 .02071 -3 -4.5 ]
[.89683 .02071 3 4.5 ]
[.02381 .02071 -3 -4.5 ]
[.02381 .02071 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .87 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.76706 .05563 m
.97619 .05563 L
.97619 .18791 L
.79526 .18791 L
.76706 .05563 L
F
.79526 .18791 m
.97619 .18791 L
.97619 .32019 L
.81194 .32019 L
.79526 .18791 L
F
.81194 .32019 m
.97619 .32019 L
.97619 .45246 L
.81746 .45246 L
.81194 .32019 L
F
.81746 .45246 m
.97619 .45246 L
.97619 .58474 L
.81194 .58474 L
.81746 .45246 L
F
.81194 .58474 m
.97619 .58474 L
.97619 .71701 L
.79526 .71701 L
.81194 .58474 L
F
.79526 .71701 m
.97619 .71701 L
.97619 .84929 L
.76706 .84929 L
.79526 .71701 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.76706 .05563 m
.79526 .18791 L
.81194 .32019 L
.81746 .45246 L
.81194 .58474 L
.79526 .71701 L
.76706 .84929 L
.97619 .84929 L
.97619 .71701 L
.97619 .58474 L
.97619 .45246 L
.97619 .32019 L
.97619 .18791 L
.97619 .05563 L
.76706 .05563 L
s
.5 g
.76706 .45246 m
.97619 .45246 L
.97619 .45246 L
.79526 .45246 L
.76706 .45246 L
F
.79526 .45246 m
.97619 .45246 L
.97619 .45246 L
.81194 .45246 L
.79526 .45246 L
F
.81194 .45246 m
.97619 .45246 L
.97619 .45246 L
.81746 .45246 L
.81194 .45246 L
F
.81746 .45246 m
.97619 .45246 L
.97619 .45246 L
.81194 .45246 L
.81746 .45246 L
F
.81194 .45246 m
.97619 .45246 L
.97619 .45246 L
.79526 .45246 L
.81194 .45246 L
F
.79526 .45246 m
.97619 .45246 L
.97619 .45246 L
.76706 .45246 L
.79526 .45246 L
F
0 g
.76706 .45246 m
.79526 .45246 L
.81194 .45246 L
.81746 .45246 L
.81194 .45246 L
.79526 .45246 L
.76706 .45246 L
.97619 .45246 L
.97619 .45246 L
.97619 .45246 L
.97619 .45246 L
.97619 .45246 L
.97619 .45246 L
.97619 .45246 L
.76706 .45246 L
s
.5 g
.81746 .45246 m
.81194 .58474 L
.81194 .58023 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .58474 m
.79526 .71701 L
.79526 .708 L
.81194 .58023 L
.81194 .58474 L
F
.79526 .71701 m
.76706 .84929 L
.76706 .83576 L
.79526 .708 L
.79526 .71701 L
F
.81746 .45246 m
.81194 .58023 L
.81194 .56701 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .58023 m
.79526 .708 L
.79526 .68157 L
.81194 .56701 L
.81194 .58023 L
F
.79526 .708 m
.76706 .83576 L
.76706 .79612 L
.79526 .68157 L
.79526 .708 L
F
.81746 .45246 m
.81194 .56701 L
.81194 .54599 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .56701 m
.79526 .68157 L
.79526 .63953 L
.81194 .54599 L
.81194 .56701 L
F
.79526 .68157 m
.76706 .79612 L
.76706 .73306 L
.79526 .63953 L
.79526 .68157 L
F
.81746 .45246 m
.81194 .54599 L
.81194 .5186 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .54599 m
.79526 .63953 L
.79526 .58474 L
.81194 .5186 L
.81194 .54599 L
F
.79526 .63953 m
.76706 .73306 L
.76706 .65087 L
.79526 .58474 L
.79526 .63953 L
F
.81746 .45246 m
.81194 .5186 L
.81194 .4867 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .5186 m
.79526 .58474 L
.79526 .52093 L
.81194 .4867 L
.81194 .5186 L
F
.79526 .58474 m
.76706 .65087 L
.76706 .55517 L
.79526 .52093 L
.79526 .58474 L
F
.81746 .45246 m
.81194 .4867 L
.81194 .45246 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .4867 m
.79526 .52093 L
.79526 .45246 L
.81194 .45246 L
.81194 .4867 L
F
.79526 .52093 m
.76706 .55517 L
.76706 .45246 L
.79526 .45246 L
.79526 .52093 L
F
.81746 .45246 m
.81194 .45246 L
.81194 .41822 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .45246 m
.79526 .45246 L
.79526 .38399 L
.81194 .41822 L
.81194 .45246 L
F
.79526 .45246 m
.76706 .45246 L
.76706 .34975 L
.79526 .38399 L
.79526 .45246 L
F
.81746 .45246 m
.81194 .41822 L
.81194 .38632 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .41822 m
.79526 .38399 L
.79526 .32019 L
.81194 .38632 L
.81194 .41822 L
F
.79526 .38399 m
.76706 .34975 L
.76706 .25405 L
.79526 .32019 L
.79526 .38399 L
F
.81746 .45246 m
.81194 .38632 L
.81194 .35893 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .38632 m
.79526 .32019 L
.79526 .2654 L
.81194 .35893 L
.81194 .38632 L
F
.79526 .32019 m
.76706 .25405 L
.76706 .17186 L
.79526 .2654 L
.79526 .32019 L
F
.81746 .45246 m
.81194 .35893 L
.81194 .33791 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .35893 m
.79526 .2654 L
.79526 .22335 L
.81194 .33791 L
.81194 .35893 L
F
.79526 .2654 m
.76706 .17186 L
.76706 .1088 L
.79526 .22335 L
.79526 .2654 L
F
.81746 .45246 m
.81194 .33791 L
.81194 .32469 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .33791 m
.79526 .22335 L
.79526 .19692 L
.81194 .32469 L
.81194 .33791 L
F
.79526 .22335 m
.76706 .1088 L
.76706 .06916 L
.79526 .19692 L
.79526 .22335 L
F
.81746 .45246 m
.81194 .32469 L
.81194 .32019 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .32469 m
.79526 .19692 L
.79526 .18791 L
.81194 .32019 L
.81194 .32469 L
F
.79526 .19692 m
.76706 .06916 L
.76706 .05563 L
.79526 .18791 L
.79526 .19692 L
F
.81746 .45246 m
.81194 .32019 L
.81194 .32469 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .32019 m
.79526 .18791 L
.79526 .19692 L
.81194 .32469 L
.81194 .32019 L
F
.79526 .18791 m
.76706 .05563 L
.76706 .06916 L
.79526 .19692 L
.79526 .18791 L
F
.81746 .45246 m
.81194 .32469 L
.81194 .33791 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .32469 m
.79526 .19692 L
.79526 .22335 L
.81194 .33791 L
.81194 .32469 L
F
.79526 .19692 m
.76706 .06916 L
.76706 .1088 L
.79526 .22335 L
.79526 .19692 L
F
.81746 .45246 m
.81194 .33791 L
.81194 .35893 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .33791 m
.79526 .22335 L
.79526 .2654 L
.81194 .35893 L
.81194 .33791 L
F
.79526 .22335 m
.76706 .1088 L
.76706 .17186 L
.79526 .2654 L
.79526 .22335 L
F
.81746 .45246 m
.81194 .35893 L
.81194 .38632 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .35893 m
.79526 .2654 L
.79526 .32019 L
.81194 .38632 L
.81194 .35893 L
F
.79526 .2654 m
.76706 .17186 L
.76706 .25405 L
.79526 .32019 L
.79526 .2654 L
F
.81746 .45246 m
.81194 .38632 L
.81194 .41822 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .38632 m
.79526 .32019 L
.79526 .38399 L
.81194 .41822 L
.81194 .38632 L
F
.79526 .32019 m
.76706 .25405 L
.76706 .34975 L
.79526 .38399 L
.79526 .32019 L
F
.81746 .45246 m
.81194 .41822 L
.81194 .45246 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .41822 m
.79526 .38399 L
.79526 .45246 L
.81194 .45246 L
.81194 .41822 L
F
.79526 .38399 m
.76706 .34975 L
.76706 .45246 L
.79526 .45246 L
.79526 .38399 L
F
.81746 .45246 m
.81194 .45246 L
.81194 .4867 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .45246 m
.79526 .45246 L
.79526 .52093 L
.81194 .4867 L
.81194 .45246 L
F
.79526 .45246 m
.76706 .45246 L
.76706 .55517 L
.79526 .52093 L
.79526 .45246 L
F
.81746 .45246 m
.81194 .4867 L
.81194 .5186 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .4867 m
.79526 .52093 L
.79526 .58474 L
.81194 .5186 L
.81194 .4867 L
F
.79526 .52093 m
.76706 .55517 L
.76706 .65087 L
.79526 .58474 L
.79526 .52093 L
F
.81746 .45246 m
.81194 .5186 L
.81194 .54599 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .5186 m
.79526 .58474 L
.79526 .63953 L
.81194 .54599 L
.81194 .5186 L
F
.79526 .58474 m
.76706 .65087 L
.76706 .73306 L
.79526 .63953 L
.79526 .58474 L
F
.81746 .45246 m
.81194 .54599 L
.81194 .56701 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .54599 m
.79526 .63953 L
.79526 .68157 L
.81194 .56701 L
.81194 .54599 L
F
.79526 .63953 m
.76706 .73306 L
.76706 .79612 L
.79526 .68157 L
.79526 .63953 L
F
.81746 .45246 m
.81194 .56701 L
.81194 .58023 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .56701 m
.79526 .68157 L
.79526 .708 L
.81194 .58023 L
.81194 .56701 L
F
.79526 .68157 m
.76706 .79612 L
.76706 .83576 L
.79526 .708 L
.79526 .68157 L
F
.81746 .45246 m
.81194 .58023 L
.81194 .58474 L
.81746 .45246 L
.81746 .45246 L
F
.81194 .58023 m
.79526 .708 L
.79526 .71701 L
.81194 .58474 L
.81194 .58023 L
F
.79526 .708 m
.76706 .83576 L
.76706 .84929 L
.79526 .71701 L
.79526 .708 L
F
0 g
.76706 .84929 m
.76706 .83576 L
.76706 .79612 L
.76706 .73306 L
.76706 .65087 L
.76706 .55517 L
.76706 .45246 L
.76706 .34975 L
.76706 .25405 L
.76706 .17186 L
.76706 .1088 L
.76706 .06916 L
.76706 .05563 L
.76706 .06916 L
.76706 .1088 L
.76706 .17186 L
.76706 .25405 L
.76706 .34975 L
.76706 .45246 L
.76706 .55517 L
.76706 .65087 L
.76706 .73306 L
.76706 .79612 L
.76706 .83576 L
.76706 .84929 L
s
.97619 .84929 m
.97619 .83576 L
.97619 .79612 L
.97619 .73306 L
.97619 .65087 L
.97619 .55517 L
.97619 .45246 L
.97619 .34975 L
.97619 .25405 L
.97619 .17186 L
.97619 .1088 L
.97619 .06916 L
.97619 .05563 L
.97619 .06916 L
.97619 .1088 L
.97619 .17186 L
.97619 .25405 L
.97619 .34975 L
.97619 .45246 L
.97619 .55517 L
.97619 .65087 L
.97619 .73306 L
.97619 .79612 L
.97619 .83576 L
.97619 .84929 L
s
.76706 .84929 m
.97619 .84929 L
.97619 .83576 L
.76706 .83576 L
.76706 .84929 L
s
.76706 .83576 m
.97619 .83576 L
.97619 .79612 L
.76706 .79612 L
.76706 .83576 L
s
.76706 .79612 m
.97619 .79612 L
.97619 .73306 L
.76706 .73306 L
.76706 .79612 L
s
.76706 .73306 m
.97619 .73306 L
.97619 .65087 L
.76706 .65087 L
.76706 .73306 L
s
.76706 .65087 m
.97619 .65087 L
.97619 .55517 L
.76706 .55517 L
.76706 .65087 L
s
.76706 .55517 m
.97619 .55517 L
.97619 .45246 L
.76706 .45246 L
.76706 .55517 L
s
.76706 .45246 m
.97619 .45246 L
.97619 .34975 L
.76706 .34975 L
.76706 .45246 L
s
.76706 .34975 m
.97619 .34975 L
.97619 .25405 L
.76706 .25405 L
.76706 .34975 L
s
.76706 .25405 m
.97619 .25405 L
.97619 .17186 L
.76706 .17186 L
.76706 .25405 L
s
.76706 .17186 m
.97619 .17186 L
.97619 .1088 L
.76706 .1088 L
.76706 .17186 L
s
.76706 .1088 m
.97619 .1088 L
.97619 .06916 L
.76706 .06916 L
.76706 .1088 L
s
.76706 .06916 m
.97619 .06916 L
.97619 .05563 L
.76706 .05563 L
.76706 .06916 L
s
.76706 .05563 m
.97619 .05563 L
.97619 .06916 L
.76706 .06916 L
.76706 .05563 L
s
.76706 .06916 m
.97619 .06916 L
.97619 .1088 L
.76706 .1088 L
.76706 .06916 L
s
.76706 .1088 m
.97619 .1088 L
.97619 .17186 L
.76706 .17186 L
.76706 .1088 L
s
.76706 .17186 m
.97619 .17186 L
.97619 .25405 L
.76706 .25405 L
.76706 .17186 L
s
.76706 .25405 m
.97619 .25405 L
.97619 .34975 L
.76706 .34975 L
.76706 .25405 L
s
.76706 .34975 m
.97619 .34975 L
.97619 .45246 L
.76706 .45246 L
.76706 .34975 L
s
.76706 .45246 m
.97619 .45246 L
.97619 .55517 L
.76706 .55517 L
.76706 .45246 L
s
.76706 .55517 m
.97619 .55517 L
.97619 .65087 L
.76706 .65087 L
.76706 .55517 L
s
.76706 .65087 m
.97619 .65087 L
.97619 .73306 L
.76706 .73306 L
.76706 .65087 L
s
.76706 .73306 m
.97619 .73306 L
.97619 .79612 L
.76706 .79612 L
.76706 .73306 L
s
.76706 .79612 m
.97619 .79612 L
.97619 .83576 L
.76706 .83576 L
.76706 .79612 L
s
.76706 .83576 m
.97619 .83576 L
.97619 .84929 L
.76706 .84929 L
.76706 .83576 L
s
.02381 .05563 m
.02381 .18791 L
.02381 .32019 L
.02381 .45246 L
.02381 .58474 L
.02381 .71701 L
.02381 .84929 L
.02381 .84929 L
.02381 .71701 L
.02381 .58474 L
.02381 .45246 L
.02381 .32019 L
.02381 .18791 L
.02381 .05563 L
.02381 .05563 L
s
.02381 .45246 m
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
.02381 .45246 L
s
.02381 .84929 m
.02381 .83576 L
.02381 .79612 L
.02381 .73306 L
.02381 .65087 L
.02381 .55517 L
.02381 .45246 L
.02381 .34975 L
.02381 .25405 L
.02381 .17186 L
.02381 .1088 L
.02381 .06916 L
.02381 .05563 L
.02381 .06916 L
.02381 .1088 L
.02381 .17186 L
.02381 .25405 L
.02381 .34975 L
.02381 .45246 L
.02381 .55517 L
.02381 .65087 L
.02381 .73306 L
.02381 .79612 L
.02381 .83576 L
.02381 .84929 L
s
.039 .916 .04 r
.42063 .29373 m
.8095 .29373 L
s
% Start of user PostScript
0 -10. 24.4987 -10. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.8095 .29373 Mdot
.039 .916 .04 r
.5 Mabswid
.42063 .45246 m
.81746 .45246 L
s
% Start of user PostScript
0 0 25. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.81746 .45246 Mdot
.039 .916 .04 r
.5 Mabswid
.42063 .61119 m
.8095 .61119 L
s
% Start of user PostScript
0 10. 24.4987 10. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.8095 .61119 Mdot
.039 .916 .04 r
.5 Mabswid
.8095 .29373 m
.02381 .45327 L
s
% Start of user PostScript
24.4987 -10. -25. 0.0511486 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.02381 .45327 Mdot
.039 .916 .04 r
.5 Mabswid
.81746 .45246 m
.02381 .45246 L
s
% Start of user PostScript
25. 0 -25. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.02381 .45246 Mdot
.039 .916 .04 r
.5 Mabswid
.8095 .61119 m
.02381 .45165 L
s
% Start of user PostScript
24.4987 10. -25. -0.0511486 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.02381 .45165 Mdot
[(M)] .89683 .02071 0 0 Mshowa
[(S)] .02381 .02071 0 0 Mshowa
0 0 m
1 0 L
1 .87 L
0 .87 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[66]:=",
  ImageSize->{288, 250.5},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000nR000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`000`3oool010000000oooo00000000003e0?ooo`<0
00000`3oool3000001/0oooo00030?ooo`8000000P3oool00`000000oooo0?ooo`3c0?ooo`040000
003oool0oooo00000080oooo00<000000?ooo`3oool06P3oool000<0oooo00<000000?ooo`3oool0
0P00003e0?ooo`040000003oool0oooo00000080oooo00<000000?ooo`3oool06P3oool000@0oooo
0`00003f0?ooo`070000003oool000000?ooo`000000oooo0000000L0?ooo`000`3oool200000080
oooo00<000000?ooo`3oool0l`3oool01`000000oooo0000003oool000000?ooo`000000703oool0
00<0oooo00<000000?ooo`3oool00P00003e0?ooo`8000000`3oool2000001`0oooo00040?ooo`80
000000<0oooo0000003oool0l`3oool3000000<0oooo0`00000K0?ooo`00o`3ooolQ0?ooo`00o`3o
oolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`001P3o
ool200000=@0oooo?@0000070?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0
Ogmo03T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`00
0000Ogmo07moO`0i07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0
oooo0P00000j07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo
?@0000070?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`800000>P1oOgl00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`800000>P1oOgl00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`800000>P1oOgl00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0000003T0Ogmo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo0000000i07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`000000>@1o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0
000003T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`00
0000Ogmo0000000i07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0
oooo00@0000007moO`1oOgl00000>01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3C0?ooo`040000001oOgl0Ogmo000003P0Ogmo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0d`3ooolm000000L0oooo00060?ooo`030000003oool0oooo0=<0oooo
00@0000007moO`1oOgl00000>01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`3C0?ooo`040000001oOgl0Ogmo000003P0Ogmo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool0d`3oool01@000000Ogmo07moO`1oOgl0000003L0Ogmo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool01@000000Ogmo07moO`1oOgl0000003L0
Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool01@000000Ogmo
07moO`1oOgl0000003L0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
d`3oool01@000000Ogmo07moO`1oOgl0000003L0Ogmo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo03@0Ogmo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07mo
O`0207moO`030000001oOgl0Ogmo03@0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0d`3oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo03@0Ogmo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0207mo
O`030000001oOgl0Ogmo03@0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool0d`3oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo03@0Ogmo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0307moO`030000
001oOgl0Ogmo03<0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3o
ool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo03<0Ogmo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0307moO`030000001oOgl0
Ogmo03<0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`00
0000Ogmo07moO`0307moO`030000001oOgl0Ogmo03<0Ogmo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo03<0
Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo
07moO`0407moO`030000001oOgl0Ogmo0380Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0d`3ooolm000000L0oooo00060?ooo`030000003oool0oooo0=<0oooo00<00000
07moO`1oOgl0101oOgl00`000000Ogmo07moO`0b07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0101oOgl00`000000Ogmo07moO`0b07mo
O`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1o
Ogl0101oOgl00`000000Ogmo07moO`0b07moO`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo0=<0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0a07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01@1o
Ogl00`000000Ogmo07moO`0a07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0=<0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0a07moO`030000003oool0
oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01@1oOgl00`00
0000Ogmo07moO`0a07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0
oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0a07moO`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo
07moO`0a07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0
000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0a07moO`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0`
07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007mo
O`1oOgl01P1oOgl00`000000Ogmo07moO`0`07moO`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo0=<0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0`07moO`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0
1P1oOgl00`000000Ogmo07moO`0`07moO`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0=<0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0`07moO`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01P1oOgl0
0`000000Ogmo07moO`0`07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
0=<0oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0`07moO`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01P1oOgl00`000000
Ogmo07moO`0`07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo
00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0`07moO`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07mo
O`0_07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<00000
07moO`1oOgl01`1oOgl00`000000Ogmo07moO`0_07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0_07mo
O`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1o
Ogl01`1oOgl00`000000Ogmo07moO`0_07moO`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo0=<0oooo?@0000070?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001o
Ogl0Ogmo00L0Ogmo00<0000007moO`1oOgl0;`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0;`1oOgl0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl0;`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0;`1oOgl00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00L0Ogmo
00<0000007moO`1oOgl0;`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`3C0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0;P1oOgl00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00P0Ogmo00<00000
07moO`1oOgl0;P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?oo
o`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0;P1oOgl00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`3C0?ooo`040000001oOgl0Ogmo07moO`<02NX:101oOgl00`00
0000Ogmo07moO`0^07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0
oooo00<0000007moO`1oOgl00P1oOgl600WZ2P030000001oOgl0Ogmo02h0Ogmo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0K`3oooma00WZ2Rl0Ogmo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0207moO`D02NX:00<0
Ogmo000000000000;`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C
0?ooo`H02NX:1@1oOgl00`000000Ogmo07moO`0^07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0<h0oooo1@09jPX00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo
02h0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0b@3oool500WZ2PD0
oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07moO`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo0<@0oooo1@09jPX:0?ooo`030000001oOgl0Ogmo00T0Ogmo
00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`2o0?ooo`D02NX:3`3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0^P3oool500WZ2Q@0oooo00<00000
07moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0;D0oooo1@09jPXI0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007mo
O`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`2`0?ooo`D0
2NX:7P3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<000000?ooo`3o
ool01@3oool000H0oooo00<000000?ooo`3oool0Z`3oool500WZ2R<0oooo00<0000007moO`1oOgl0
2@1oOgl00`000000Ogmo07moO`0]07moO`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0:H0oooo1@09jPXX0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0;@1o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`2R0?ooo`@02NX:;@3oool0
0`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<000000?ooo`3oool01@3oool0
00H0oooo00<000000?ooo`3oool0W@3oool500WZ2S40oooo00<0000007moO`1oOgl02@1oOgl00`00
0000Ogmo07moO`0]07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo09P0
oooo1@09jPXf0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0;@1oOgl00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`2C0?ooo`D02NX:>`3oool00`000000Ogmo
07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0SP3oool500WZ2T00oooo?@0000070?ooo`001P3oool00`000000oooo0?ooo`29
0?ooo`D02NX:A@3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0Q03oool500WZ2TX0oooo00<0000007mo
O`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo07l0oooo1@09jPY?0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1o
Ogl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1j0?ooo`D02NX:
E03oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0M@3oool500WZ2UT0oooo00<0000007moO`1oOgl02P1o
Ogl00`000000Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo0700oooo1@09jPYN0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1/0?ooo`@02NX:H`3oool00`00
0000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0I`3oool500WZ2VL0oooo00<0000007moO`1oOgl02P1oOgl00`000000
Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0680oooo
1@09jPY/0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1M0?ooo`D02NX:L@3oool00`000000Ogmo07mo
O`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0F03oool500WZ2WH0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/
07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo05<0oooo1@09jPYk0?oo
o`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`1>0?ooo`D02NX:P03oool00`000000Ogmo07moO`0:07moO`03
0000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
B@3oool500WZ2XD0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo04@0oooo1@09jPZ:0?ooo`030000001o
Ogl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0o0?ooo`D02NX:S`3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0
Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0>P3oool500WZ
2Y@0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo03D0oooo1@09jPZI0?ooo`030000001oOgl0Ogmo00X0
Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`0a0?ooo`@02NX:WP3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0;03oool500WZ2Z80oooo00<0
000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo02L0oooo1@09jPZW0?ooo`030000001oOgl0Ogmo00/0Ogmo00<00000
07moO`1oOgl0:`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0R0?oo
o`D02NX:[03oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo02/0Ogmo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool07@3oool500WZ2[40oooo00<0000007moO`1o
Ogl02`1oOgl00`000000Ogmo07moO`0[07moO`030000003oool0oooo00D0oooo00060?ooo`030000
003oool0oooo01P0oooo1@09jPZf0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0
:`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0C0?ooo`D02NX:^`3o
ool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo02/0Ogmo00<000000?ooo`3oool01@3o
ool000H0oooo00<000000?ooo`3oool0103oool200WZ2PP0oooo1@09jP[00?ooo`030000001oOgl0
Ogmo00/0Ogmo00<0000007moO`1oOgl0:`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`020?ooo`@02NX:0`3oool500WZ2/D0oooo00<0000007moO`1oOgl02`1oOgl00`00
0000Ogmo07moO`0[07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo00T0
2NX:bP3oool00`000000Ogmo07moO`0307moO`<02NX:1@1oOgl00`000000Ogmo07moO`0[07moO`03
0000003oool0oooo00D0oooo00060?ooo`8000002009jP[<0?ooo`030000001oOgl0Ogmo00@0Ogmo
1P09jPX00`1oOgl000000000000/07moO`030000003oool0oooo00D0oooo00060?ooo`800000h`09
jPX^000000L0oooo00060?ooo`030000003oool02NX:00H02NX:c@3oool00`000000Ogmo07moO`04
07moO`D02NX:0P1oOgl00`000000Ogmo07moO`0[07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0080oooo2@09jP[80?ooo`030000001oOgl0Ogmo00<0Ogmo0P09jPX607mo
O`030000001oOgl0Ogmo02/0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3o
ool01@3oool00`09jPX0oooo0?ooo`030?ooo`D02NX:``3oool00`000000Ogmo07moO`0;07moO`03
0000001oOgl0Ogmo02/0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
403oool500WZ2[h0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0[07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo01D0oooo1@09jPZi0?ooo`030000001o
Ogl0Ogmo00/0Ogmo00<0000007moO`1oOgl0:`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`0J0?ooo`D02NX:]03oool00`000000Ogmo07moO`0;07moO`030000001oOgl0
Ogmo02/0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool07`3oool500WZ
2Zl0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0[07moO`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo02@0oooo1@09jPZZ0?ooo`030000001oOgl0Ogmo00/0
Ogmo00<0000007moO`1oOgl0:`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`0Y0?ooo`D02NX:Y@3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo02/0Ogmo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0;P3oool500WZ2Z00oooo00<0
000007moO`1oOgl0>@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`0c
0?ooo`D02NX:V`3oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<00000
0?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0>03oool500WZ2YH0oooo00<0000007mo
O`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo03d0oooo1@09jPZA0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1o
Ogl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`120?ooo`D02NX:
S03oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0A`3oool500WZ2XL0oooo00<0000007moO`1oOgl02P1o
Ogl00`000000Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0
oooo04`0oooo1@09jPZ20?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1A0?ooo`D02NX:O@3oool00`00
0000Ogmo07moO`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0EP3oool500WZ2WP0oooo00<0000007moO`1oOgl02P1oOgl00`000000
Ogmo07moO`0/07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo05/0oooo
1@09jPYc0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo
0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`1P0?ooo`D02NX:KP3oool00`000000Ogmo07mo
O`0:07moO`030000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0I@3oool500WZ2VT0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/
07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo06X0oooo1@09jPYT0?oo
o`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`1_0?ooo`D02NX:G`3oool00`000000Ogmo07moO`0:07moO`03
0000001oOgl0Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0
M03oool500WZ2UX0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo07T0oooo1@09jPYE0?ooo`030000001o
Ogl0Ogmo00X0Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`1n0?ooo`D02NX:D03oool00`000000Ogmo07moO`0:07moO`030000001oOgl0
Ogmo02`0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0P`3oool500WZ
2T/0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0/07moO`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo08P0oooo1@09jPY60?ooo`030000001oOgl0Ogmo00X0
Ogmo00<0000007moO`1oOgl0;01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`2=0?ooo`D02NX:@@3ooolm000000L0oooo00060?ooo`030000003oool0oooo0980oooo1@09
jPXl0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`2G0?ooo`D02NX:=`3oool00`000000Ogmo07moO`09
07moO`030000001oOgl0Ogmo02d0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0W03oool500WZ2S80oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07mo
O`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0:40oooo1@09jPX]0?ooo`03
0000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`2V0?ooo`D02NX::03oool00`000000Ogmo07moO`0907moO`030000
001oOgl0Ogmo02d0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0Z`3o
ool500WZ2R<0oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07moO`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo0;00oooo1@09jPXN0?ooo`030000001oOgl0
Ogmo00T0Ogmo00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`2e0?ooo`D02NX:6@3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo
02d0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0^P3oool500WZ2Q@0
oooo00<0000007moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07moO`030000003oool0oooo00D0
oooo00060?ooo`030000003oool0oooo0;l0oooo1@09jPX?0?ooo`030000001oOgl0Ogmo00T0Ogmo
00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`340?ooo`D02NX:2P3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo02d0Ogmo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0b@3oool500WZ2PD0oooo00<00000
07moO`1oOgl02@1oOgl00`000000Ogmo07moO`0]07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0<h0oooo1@09jPX00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo
02d0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool700WZ2PD0
Ogmo00<0000007moO`1oOgl0;@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`3C0?ooo`030000001oOgl0Ogmo0080Ogmo1P09jPXa07moO`030000003oool0oooo00D0oooo
00060?ooo`030000003oool0oooo06l0ooooL@09jPX_07moO`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl00P1oOgl500WZ2P0307moO`000000
000002l0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool01000
0000Ogmo07moO`1oOgl200WZ2PD0Ogmo00<0000007moO`1oOgl0;P1oOgl00`000000oooo0?ooo`05
0?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007mo
O`1oOgl0;P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`03
0000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0;P1oOgl00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0
;P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001o
Ogl0Ogmo00P0Ogmo00<0000007moO`1oOgl0;P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool0
0`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0;P1oOgl0
0`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo
03T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000
Ogmo07moO`0707moO`030000001oOgl0Ogmo02l0Ogmo00<000000?ooo`3oool01@3oool000H0oooo
00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo02l0Ogmo
00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07mo
O`0707moO`030000001oOgl0Ogmo02l0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<00000
0?ooo`3oool0d`3ooolm000000L0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007mo
O`1oOgl01`1oOgl00`000000Ogmo07moO`0_07moO`030000003oool0oooo00D0oooo00060?ooo`03
0000003oool0oooo0=<0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0_07moO`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0
1`1oOgl00`000000Ogmo07moO`0_07moO`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0=<0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0_07moO`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl01`1oOgl0
0`000000Ogmo07moO`0_07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
0=<0oooo00<0000007moO`1oOgl0>@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000
oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0<01oOgl00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo
00<0000007moO`1oOgl0<01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?oo
o`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0<01oOgl00`000000oooo0?oo
o`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo00<00000
07moO`1oOgl0<01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?oo
o`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0<01oOgl00`000000oooo0?ooo`050?oo
o`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1o
Ogl0<01oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000
001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0<01oOgl00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0<01o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0
Ogmo03T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`00
0000Ogmo07moO`0507moO`030000001oOgl0Ogmo0340Ogmo00<000000?ooo`3oool01@3oool000H0
oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0340
Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo
07moO`0507moO`030000001oOgl0Ogmo0340Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0d`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0340Ogmo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`05
07moO`030000001oOgl0Ogmo0340Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0d`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo0340Ogmo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0i07moO`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo?@0000070?ooo`001P3o
ool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0<P1o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0
Ogmo00@0Ogmo00<0000007moO`1oOgl0<P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`00
0000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0<P1oOgl00`00
0000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0Ogmo03T0
Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo
07moO`0307moO`030000001oOgl0Ogmo03<0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0d`3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo03<0Ogmo00<0
00000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`03
07moO`030000001oOgl0Ogmo03<0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?oo
o`3oool0d`3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo03<0Ogmo00<000000?oo
o`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`000000Ogmo07moO`0i07moO`03
0000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0
0P1oOgl00`000000Ogmo07moO`0d07moO`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0=<0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0d07moO`030000003o
ool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl00P1oOgl0
0`000000Ogmo07moO`0d07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo
0=<0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0d07moO`030000003oool0oooo
00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0>@1oOgl00`000000
oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`050000001oOgl0Ogmo07moO`00
0000=`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`050000
001oOgl0Ogmo07moO`000000=`1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`3C0?ooo`050000001oOgl0Ogmo07moO`000000=`1oOgl00`000000oooo0?ooo`050?ooo`00
1P3oool00`000000oooo0?ooo`3C0?ooocd000001`3oool000H0oooo00<000000?ooo`3oool0d`3o
ool010000000Ogmo07moO`00000h07moO`030000003oool0oooo00D0oooo00060?ooo`030000003o
ool0oooo0=<0oooo00@0000007moO`1oOgl00000>01oOgl00`000000oooo0?ooo`050?ooo`001P3o
ool00`000000oooo0?ooo`3C0?ooo`040000001oOgl0Ogmo000003P0Ogmo00<000000?ooo`3oool0
1@3oool000H0oooo00<000000?ooo`3oool0d`3oool010000000Ogmo07moO`00000h07moO`030000
003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0oooo00<0000007moO`1oOgl0>@1o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`030000001oOgl0
000003T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<000000?ooo`3oool0d`3oool00`00
0000Ogmo0000000i07moO`030000003oool0oooo00D0oooo00060?ooo`030000003oool0oooo0=<0
oooo00<0000007moO`000000>@1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo
0?ooo`3C0?ooo`030000001oOgl0000003T0Ogmo00<000000?ooo`3oool01@3oool000H0oooo00<0
00000?ooo`3oool0d`3oool00`000000Ogmo07moO`0i07moO`030000003oool0oooo00D0oooo0006
0?ooo`030000003oool0oooo0=<0oooo0P00000j07moO`030000003oool0oooo00D0oooo00060?oo
o`030000003oool0oooo0=<0oooo?@0000070?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`80
0000>P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooo`800000
>P1oOgl00`000000oooo0?ooo`050?ooo`001P3oool200000=@0oooo00<0000007moO`1oOgl0>@1o
Ogl00`000000oooo0?ooo`050?ooo`001P3oool00`000000oooo0?ooo`3C0?ooocd000001`3oool0
0?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool0
0001\
\>"],
  ImageRangeCache->{{{0, 287}, {249.5, 0}} -> {-26.5243, -28.5053, 0.219682, \
0.219682}},
  CellTags->"Symbolic Transfer Functions"],

Cell[BoxData[
    \({SymbolicOpticalLength \[Rule] 
        50 - d + \(50\ y\^2\)\/r\^2 - \(2\ d\ y\^2\)\/r\^2 + 
          y\^2\/r + \(100\ y\^4\)\/r\^4 - \(4\ d\ y\^4\)\/r\^4 + \(5\ \
y\^4\)\/\(4\ r\^3\), 
      SymbolicRayEnd \[Rule] {d, 
          y + \(50\ y\)\/r - \(2\ d\ y\)\/r + \(75\ y\^3\)\/r\^3 - \(3\ d\ \
y\^3\)\/r\^3 + 
            y\^3\/r\^2 + \(575\ y\^5\)\/\(4\ r\^5\) - \(23\ d\ y\^5\)\/\(4\ r\
\^5\) + \(7\ y\^5\)\/\(4\ r\^4\), 0}, 
      SymbolicRayTilt \[Rule] {\(-1\) + \(2\ y\^2\)\/r\^2, \(2\ y\)\/r - 
            y\^3\/r\^3 - y\^5\/\(4\ r\^5\), 0}, 
      SymbolicSurfaceCoordinates \[Rule] {y + \(50\ y\)\/r - \(2\ d\ y\)\/r + \
\(75\ y\^3\)\/r\^3 - \(3\ d\ y\^3\)\/r\^3 + 
            y\^3\/r\^2 + \(575\ y\^5\)\/\(4\ r\^5\) - \(23\ d\ y\^5\)\/\(4\ r\
\^5\) + \(7\ y\^5\)\/\(4\ r\^4\), 0}, 
      SymbolicIntensity \[Rule] 
        100\ \[ExponentialE]\^\(\(-\(y\^2\/625\)\) - \(y\^2\ \((\(-8\)\ \
\((\(-25\) + d)\)\ r\^4 + 4\ r\^5 - 12\ \((\(-25\) + d)\)\ r\^2\ y\^2 + 4\ \
r\^3\ y\^2 - 23\ \((\(-25\) + d)\)\ y\^4 + 7\ r\ y\^4)\)\^2\)\/\(10000\ r\^10\
\)\), SymbolicSurfaceBoundary \[Rule] {50, 50}, 
      SymbolicOffAxis \[Rule] {0, 0}, 
      SymbolicTranslationVector \[Rule] {d, 0, 0}, 
      SymbolicRotationMatrix \[Rule] {{1, 0, 0}, {0, 1, 0}, {0, 0, 1}}, 
      SymbolicWaveLength \[Rule] 0.532`}\)], "Output",
  CellLabel->"Out[68]=",
  CellTags->"Symbolic Transfer Functions"]
}, Open  ]],

Cell["Fifth order solution to indicated optical parameters.", "Commentary",
  CellTags->"Symbolic Transfer Functions"],

Cell["\<\
In the following example, we will determine the third order \
symbolic solution to a spherical lens system.\
\>", "Text",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],

Cell[CellGroupData[{

Cell["\<\
opticalsystem = {
\tMove[LineOfRays[10],{-50,{y,0}}],
\tSphericalLens[{1/c1,35},{1/c2,-55},50,20],
\tMove[Screen[50],50]};

AnalyzeSystem[opticalsystem,PlotType->TopView];\
\>", "Input",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .53 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.00952381 0.279286 0.00952381 [
[.59524 .01262 -3 -4.5 ]
[.59524 .01262 3 4.5 ]
[.97619 .01262 -3 -4.5 ]
[.97619 .01262 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .53 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.60005 .04119 m
.63324 .04119 L
.66585 .12056 L
.54022 .12056 L
.60005 .04119 L
F
.54022 .12056 m
.66585 .12056 L
.68443 .19992 L
.50959 .19992 L
.54022 .12056 L
F
.50959 .19992 m
.68443 .19992 L
.69048 .27929 L
.5 .27929 L
.50959 .19992 L
F
.5 .27929 m
.69048 .27929 L
.68443 .35865 L
.50959 .35865 L
.5 .27929 L
F
.50959 .35865 m
.68443 .35865 L
.66585 .43802 L
.54022 .43802 L
.50959 .35865 L
F
.54022 .43802 m
.66585 .43802 L
.63324 .51738 L
.60005 .51738 L
.54022 .43802 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.60005 .04119 m
.54022 .12056 L
.50959 .19992 L
.5 .27929 L
.50959 .35865 L
.54022 .43802 L
.60005 .51738 L
.63324 .51738 L
.66585 .43802 L
.68443 .35865 L
.69048 .27929 L
.68443 .19992 L
.66585 .12056 L
.63324 .04119 L
.60005 .04119 L
s
.5 g
.60005 .27929 m
.63324 .27929 L
.66585 .27929 L
.54022 .27929 L
.60005 .27929 L
F
.54022 .27929 m
.66585 .27929 L
.68443 .27929 L
.50959 .27929 L
.54022 .27929 L
F
.50959 .27929 m
.68443 .27929 L
.69048 .27929 L
.5 .27929 L
.50959 .27929 L
F
.5 .27929 m
.69048 .27929 L
.68443 .27929 L
.50959 .27929 L
.5 .27929 L
F
.50959 .27929 m
.68443 .27929 L
.66585 .27929 L
.54022 .27929 L
.50959 .27929 L
F
.54022 .27929 m
.66585 .27929 L
.63324 .27929 L
.60005 .27929 L
.54022 .27929 L
F
0 g
.60005 .27929 m
.54022 .27929 L
.50959 .27929 L
.5 .27929 L
.50959 .27929 L
.54022 .27929 L
.60005 .27929 L
.63324 .27929 L
.66585 .27929 L
.68443 .27929 L
.69048 .27929 L
.68443 .27929 L
.66585 .27929 L
.63324 .27929 L
.60005 .27929 L
s
.60005 .51738 m
.63324 .51738 L
.63324 .50927 L
.60005 .50927 L
.60005 .51738 L
s
.60005 .50927 m
.63324 .50927 L
.63324 .48548 L
.60005 .48548 L
.60005 .50927 L
s
.60005 .48548 m
.63324 .48548 L
.63324 .44764 L
.60005 .44764 L
.60005 .48548 L
s
.60005 .44764 m
.63324 .44764 L
.63324 .39833 L
.60005 .39833 L
.60005 .44764 L
s
.60005 .39833 m
.63324 .39833 L
.63324 .34091 L
.60005 .34091 L
.60005 .39833 L
s
.60005 .34091 m
.63324 .34091 L
.63324 .27929 L
.60005 .27929 L
.60005 .34091 L
s
.60005 .27929 m
.63324 .27929 L
.63324 .21766 L
.60005 .21766 L
.60005 .27929 L
s
.60005 .21766 m
.63324 .21766 L
.63324 .16024 L
.60005 .16024 L
.60005 .21766 L
s
.60005 .16024 m
.63324 .16024 L
.63324 .11093 L
.60005 .11093 L
.60005 .16024 L
s
.60005 .11093 m
.63324 .11093 L
.63324 .07309 L
.60005 .07309 L
.60005 .11093 L
s
.60005 .07309 m
.63324 .07309 L
.63324 .0493 L
.60005 .0493 L
.60005 .07309 L
s
.60005 .0493 m
.63324 .0493 L
.63324 .04119 L
.60005 .04119 L
.60005 .0493 L
s
.60005 .04119 m
.63324 .04119 L
.63324 .0493 L
.60005 .0493 L
.60005 .04119 L
s
.60005 .0493 m
.63324 .0493 L
.63324 .07309 L
.60005 .07309 L
.60005 .0493 L
s
.60005 .07309 m
.63324 .07309 L
.63324 .11093 L
.60005 .11093 L
.60005 .07309 L
s
.60005 .11093 m
.63324 .11093 L
.63324 .16024 L
.60005 .16024 L
.60005 .11093 L
s
.60005 .16024 m
.63324 .16024 L
.63324 .21766 L
.60005 .21766 L
.60005 .16024 L
s
.60005 .21766 m
.63324 .21766 L
.63324 .27929 L
.60005 .27929 L
.60005 .21766 L
s
.60005 .27929 m
.63324 .27929 L
.63324 .34091 L
.60005 .34091 L
.60005 .27929 L
s
.60005 .34091 m
.63324 .34091 L
.63324 .39833 L
.60005 .39833 L
.60005 .34091 L
s
.60005 .39833 m
.63324 .39833 L
.63324 .44764 L
.60005 .44764 L
.60005 .39833 L
s
.60005 .44764 m
.63324 .44764 L
.63324 .48548 L
.60005 .48548 L
.60005 .44764 L
s
.60005 .48548 m
.63324 .48548 L
.63324 .50927 L
.60005 .50927 L
.60005 .48548 L
s
.60005 .50927 m
.63324 .50927 L
.63324 .51738 L
.60005 .51738 L
.60005 .50927 L
s
.97619 .04119 m
.97619 .12056 L
.97619 .19992 L
.97619 .27929 L
.97619 .35865 L
.97619 .43802 L
.97619 .51738 L
.97619 .51738 L
.97619 .43802 L
.97619 .35865 L
.97619 .27929 L
.97619 .19992 L
.97619 .12056 L
.97619 .04119 L
.97619 .04119 L
s
.97619 .27929 m
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
s
.97619 .51738 m
.97619 .50927 L
.97619 .48548 L
.97619 .44764 L
.97619 .39833 L
.97619 .34091 L
.97619 .27929 L
.97619 .21766 L
.97619 .16024 L
.97619 .11093 L
.97619 .07309 L
.97619 .0493 L
.97619 .04119 L
.97619 .0493 L
.97619 .07309 L
.97619 .11093 L
.97619 .16024 L
.97619 .21766 L
.97619 .27929 L
.97619 .34091 L
.97619 .39833 L
.97619 .44764 L
.97619 .48548 L
.97619 .50927 L
.97619 .51738 L
s
.039 .916 .04 r
.02381 .23167 m
.50342 .23167 L
s
% Start of user PostScript
-50. -5. 0.358984 -5. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50342 .23167 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .27929 m
.5 .27929 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .3269 m
.50342 .3269 L
s
% Start of user PostScript
-50. 5. 0.358984 5. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50342 .3269 Mdot
.039 .916 .04 r
.5 Mabswid
.50342 .23167 m
.68906 .24081 L
s
% Start of user PostScript
0.358984 -5. 19.8514 -4.04038 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68906 .24081 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .27929 m
.69048 .27929 L
s
% Start of user PostScript
0 0 20. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69048 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.50342 .3269 m
.68906 .31777 L
s
% Start of user PostScript
0.358984 5. 19.8514 4.04038 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68906 .31777 Mdot
.039 .916 .04 r
.5 Mabswid
.68906 .24081 m
.97619 .27355 L
s
% Start of user PostScript
19.8514 -4.04038 50. -0.601857 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27355 Mdot
.039 .916 .04 r
.5 Mabswid
.69048 .27929 m
.97619 .27929 L
s
% Start of user PostScript
20. 0 50. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.68906 .31777 m
.97619 .28502 L
s
% Start of user PostScript
19.8514 4.04038 50. 0.601857 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .28502 Mdot
[(L)] .59524 .01262 0 0 Mshowa
[(S)] .97619 .01262 0 0 Mshowa
0 0 m
1 0 L
1 .53 L
0 .53 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[74]:=",
  ImageSize->{288, 152.625},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000V2000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00Y`3oool5000006L0oooo00@000000?ooo`00000000002@3oool00:P0
oooo00@000000?ooo`3oool00000I`3oool200000080oooo00<000000?ooo`3oool01P3oool00:P0
oooo00<000000?ooo`3oool0J03oool00`000000oooo0?ooo`02000000P0oooo002X0?ooo`030000
003oool0oooo06T0oooo0`0000090?ooo`00Z03oool00`000000oooo0?ooo`1X0?ooo`8000000P3o
ool00`000000oooo0?ooo`060?ooo`00Z03oool00`000000oooo0?ooo`1X0?ooo`030000003oool0
oooo00800000203oool00:L0oooo0`00001Z0?ooo`80000000<0oooo0000003oool01`3oool00?l0
oooo8@3oool00?l0oooo8@3oool00?l0oooo8@3oool00:/0oooo2`00001P0?ooo`800000203oool0
0:/0oooo00<0000007moO`1oOgl01`1oOgl00`000000oooo0?ooo`1N0?ooo`030000003oool0oooo
00L0oooo002Z0?ooo`8000002@1oOgl2000005l0oooo00<000000?ooo`3oool01`3oool00:T0oooo
00<0000007moO`0000002`00001O0?ooo`030000003oool0oooo00L0oooo002X0?ooo`040000001o
Ogl0Ogmo000000T0Ogmo0P00001O0?ooo`030000003oool0oooo00L0oooo002X0?ooo`040000001o
Ogl0Ogmo000000T0Ogmo00<0000007moO`000000GP3oool00`000000oooo0?ooo`070?ooo`00Y`3o
ool01@000000Ogmo07moO`1oOgl0000000T0Ogmo00<0000007moO`000000GP3oool00`000000oooo
0?ooo`070?ooo`00YP3oool00`000000Ogmo07moO`0207moO`030000001oOgl0Ogmo00L0Ogmo00@0
000007moO`1oOgl00000G@3oool00`000000oooo0?ooo`070?ooo`00Y@3oool00`000000Ogmo07mo
O`0307moO`030000001oOgl0Ogmo00L0Ogmo00@0000007moO`1oOgl00000G@3oool00`000000oooo
0?ooo`070?ooo`00Y@3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo00L0Ogmo00@0
000007moO`1oOgl00000G@3oool00`000000oooo0?ooo`070?ooo`00Y03oool00`000000Ogmo07mo
O`0407moO`/000000`1oOgl00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00L0oooo002S
0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl01`1oOgl01@000000Ogmo07moO`1o
Ogl0000005`0oooo00<000000?ooo`3oool01`3oool00:80oooo00<0000007moO`1oOgl01P1oOgl0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo0080Ogmo00<000000?ooo`3oool0F@3oool0
0`000000oooo0?ooo`070?ooo`00XP3oool00`000000Ogmo07moO`0607moO`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl00P1oOgl00`000000oooo0?ooo`1I0?ooo`030000003oool0oooo
00L0oooo002Q0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000
Ogmo07moO`0207moO`030000003oool0oooo05T0oooo00<000000?ooo`3oool01`3oool00:00oooo
00<0000007moO`1oOgl0201oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00<0Ogmo
00<000000?ooo`3oool0F03oool00`000000oooo0?ooo`070?ooo`00X03oool00`000000Ogmo07mo
O`0807moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl00`1oOgl00`000000oooo0?oo
o`1H0?ooo`030000003oool0oooo00L0oooo002O0?ooo`030000001oOgl0Ogmo00T0Ogmo00<00000
07moO`1oOgl01`1oOgl00`000000Ogmo07moO`0307moO`030000003oool0oooo05P0oooo00<00000
0?ooo`3oool01`3oool009h0oooo00<0000007moO`1oOgl02P1oOgl00`000000Ogmo07moO`0707mo
O`030000001oOgl0Ogmo00@0Ogmo00<000000?ooo`3oool0E`3oool00`000000oooo0?ooo`070?oo
o`00W@3oool00`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1o
Ogl0101oOgl00`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00L0oooo002M0?ooo`030000
001oOgl0Ogmo00/0Ogmo2`00000707moO`030000003oool0oooo05H0oooo00<000000?ooo`3oool0
1`3oool009`0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0707moO`030000001o
Ogl0Ogmo00D0Ogmo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`070?ooo`00V`3oool0
0`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01@1oOgl0
0`000000oooo0?ooo`1F0?ooo`030000003oool0oooo00L0oooo002J0?ooo`030000001oOgl0Ogmo
00h0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo
05D0oooo00<000000?ooo`3oool01`3oool009X0oooo00<0000007moO`1oOgl03P1oOgl00`000000
Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0E@3oool00`000000
oooo0?ooo`070?ooo`00V@3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo00L0Ogmo
00<0000007moO`1oOgl01P1oOgl00`000000oooo0?ooo`1E0?ooo`030000003oool0oooo00L0oooo
002I0?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07mo
O`0707moO`030000003oool0oooo05@0oooo00<000000?ooo`3oool01`3oool009T0oooo00<00000
07moO`1oOgl03`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00L0Ogmo00<00000
0?ooo`3oool0E03oool00`000000oooo0?ooo`070?ooo`00V03oool00`000000Ogmo07moO`0@07mo
O`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000oooo0?ooo`1D0?oo
o`030000003oool0oooo00L0oooo002H0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000007moO`1o
Ogl01`1oOgl00`000000Ogmo07moO`0707moO`030000003oool0oooo05@0oooo00<000000?ooo`3o
ool01`3oool009P0oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0707moO`030000
001oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`070?ooo`00U`3o
ool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0201o
Ogl00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00L0oooo002G0?ooo`030000001oOgl0
Ogmo0140Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0807moO`030000003oool0
oooo05<0oooo00<000000?ooo`3oool01`3oool009L0oooo00<0000007moO`1oOgl04@1oOgl00`00
0000Ogmo07moO`0707moO`030000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0D`3oool00`00
0000oooo0?ooo`070?ooo`00UP3oool00`000000Ogmo07moO`0B07moO`/000002P1oOgl00`000000
oooo0?ooo`1C0?ooo`030000003oool0oooo00L0oooo002F0?ooo`030000001oOgl0Ogmo0180Ogmo
00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0907moO`030000003oool0oooo0580oooo
00<000000?ooo`3oool01`3oool009H0oooo00<0000007moO`1oOgl04P1oOgl00`000000Ogmo07mo
O`0707moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3oool0DP3oool00`000000oooo0?oo
o`070?ooo`00U@3oool00`000000Ogmo07moO`0C07moO`030000001oOgl0Ogmo00L0Ogmo00<00000
07moO`1oOgl02@1oOgl00`000000oooo0?ooo`1B0?ooo`030000003oool0oooo00L0oooo002E0?oo
o`030000001oOgl0Ogmo01<0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0907mo
O`030000003oool0oooo0580oooo00<000000?ooo`3oool01`3oool009D0oooo00<0000007moO`1o
Ogl04`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00T0Ogmo00<000000?ooo`3o
ool0DP3oool00`000000oooo0?ooo`070?ooo`00U03oool00`000000Ogmo07moO`0D07moO`030000
001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl02P1oOgl00`000000oooo0?ooo`1A0?ooo`030000
003oool0oooo00L0oooo002D0?ooo`030000001oOgl0Ogmo01@0Ogmo00<0000007moO`1oOgl01`1o
Ogl00`000000Ogmo07moO`0:07moO`030000003oool0oooo0540oooo00<000000?ooo`3oool01`3o
ool009@0oooo00<0000007moO`1oOgl0501oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0
Ogmo00X0Ogmo00<000000?ooo`3oool0D@3oool00`000000oooo0?ooo`070?ooo`00T`3oool00`00
0000Ogmo07moO`0E07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl02P1oOgl00`00
0000oooo0?ooo`1A0?ooo`030000003oool0oooo00L0oooo002C0?ooo`030000001oOgl0Ogmo01D0
Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0:07moO`030000003oool0oooo0540
oooo00<000000?ooo`3oool01`3oool009<0oooo00<0000007moO`1oOgl05@1oOgl00`000000Ogmo
07moO`0707moO`030000001oOgl0Ogmo00/0Ogmo00<000000?ooo`3oool0D03oool00`000000oooo
0?ooo`070?ooo`00TP3oool00`000000Ogmo07moO`0F07moO`030000001oOgl0Ogmo00L0Ogmo00<0
000007moO`1oOgl02`1oOgl00`000000oooo0?ooo`1@0?ooo`030000003oool0oooo00L0oooo002B
0?ooo`030000001oOgl0Ogmo01H0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0;
07moO`030000003oool0oooo0500oooo00<000000?ooo`3oool01`3oool00980oooo00<0000007mo
O`1oOgl05P1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00/0Ogmo00<000000?oo
o`3oool0D03oool00`000000oooo0?ooo`070?ooo`00TP3oool00`000000Ogmo07moO`0F07moO`03
0000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl02`1oOgl00`000000oooo0?ooo`1@0?ooo`03
0000003oool0oooo00L0oooo002B0?ooo`030000001oOgl0Ogmo01H0Ogmo00<0000007moO`1oOgl0
1`1oOgl00`000000Ogmo07moO`0;07moO`030000003oool0oooo0500oooo00<000000?ooo`3oool0
1`3oool00940oooo00<0000007moO`1oOgl05`1oOgl;000000d0Ogmo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`070?ooo`00T@3oool00`000000Ogmo07moO`0G07moO`030000001oOgl0
Ogmo00L0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`1?0?ooo`030000003oool0
oooo00L0oooo00280?ooo`<02NX:1P3oool00`000000Ogmo07moO`0G07moO`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo
00L0oooo00290?ooo`H02NX:0`00000I07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1o
Ogl0301oOgl00`000000oooo0?ooo`1?0?ooo`030000003oool0oooo00L0oooo00080?ooohL02NX:
00<0000000WZ2P09jPX03009jPX=07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0
1@1oOgl300WZ2P@0Ogmo00<000000?ooo`3oool0C`3oool00`000000oooo0?ooo`070?ooo`00R@3o
ool500WZ2P<0oooo00<0000007moO`1oOgl02P1oOglK00WZ2PD0Ogmo1P09jPX00`000000oooo0?oo
o`1?0?ooo`030000003oool0oooo00L0oooo00280?ooo`802NX:1`3oool00`000000Ogmo07moO`0G
07moO`030000001oOgl0Ogmo00L0Ogmo00@0000007moO`1oOgl0Ogmo2`09jPX00`0000002NX:00WZ
2P0300WZ2T`0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1oOgl0601oOgl0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo1@09jPX00`1oOgl0000000000004
0?ooo`P02NX:A03oool00`000000oooo0?ooo`070?ooo`00T03oool00`000000Ogmo07moO`0H07mo
O`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01@1oOgl200WZ2PD0Ogmo00<000000?oo
o`3oool02`3oool800WZ2S`0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1o
Ogl0601oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3o
ool04`3oool800WZ2S@0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1oOgl0
601oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool0
6`3oool800WZ2R`0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1oOgl0601o
Ogl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<000000?ooo`3oool08`3o
ool900WZ2R<0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1oOgl0601oOgl0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00d0Ogmo00<000000?ooo`3oool0:`3oool8
00WZ2Q/0oooo00<000000?ooo`3oool01`3oool00900oooo00<0000007moO`1oOgl0601oOgl00`00
0000Ogmo07moO`0707moO`030000001oOgl0Ogmo00d0Ogmo00<000000?ooo`3oool0<`3oool800WZ
2P`0oooo0P09jPX50?ooo`030000003oool0oooo00L0oooo002?0?ooo`030000001oOgl0Ogmo01T0
Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0=07moO`030000003oool0oooo03/0
oooo2009jPX40?ooo`D02NX:0P3oool00`000000oooo0?ooo`070?ooo`00Q`3oool300WZ2PD0oooo
00<0000007moO`1oOgl06@1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00D0Ogmo
0`09jPX507moO`030000003oool0oooo04<0oooo2`09jPX2000000P0oooo00280?ooo`H02NX:00<0
oooo0000001oOgl06P1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00H0Ogmo1P09
jPX00`1oOgl000000?ooo`180?ooo`L02NX:0P0000080?ooo`00203ooooo00WZ2Pl02NX:0P000008
0?ooo`00R03oool500WZ2P80oooo0P00000J07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007mo
O`1oOgl01P1oOgl500WZ2P80Ogmo0P0000170?ooo`H02NX:0P3oool2000000P0oooo00270?ooo`80
2NX:1P3oool00`000000Ogmo07moO`0I07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1o
Ogl01@1oOgl200WZ2PH0Ogmo00<000000?ooo`3oool0AP3oool800WZ2P800000203oool008l0oooo
00<0000007moO`1oOgl06@1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00d0Ogmo
00<000000?ooo`3oool0@@3oool<00WZ2P030?ooo`000000oooo00P0oooo002?0?ooo`030000001o
Ogl0Ogmo01T0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0=07moO`030000003o
ool0oooo03P0oooo2@09jPX70?ooo`802NX:103oool00`000000oooo0?ooo`070?ooo`00T03oool0
0`000000Ogmo07moO`0H07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl03@1oOgl0
0`000000oooo0?ooo`0_0?ooo`T02NX:3`3oool00`09jPX0oooo0?ooo`040?ooo`030000003oool0
oooo00L0oooo002@0?ooo`030000001oOgl0Ogmo01P0Ogmo00<0000007moO`1oOgl01`1oOgl00`00
0000Ogmo07moO`0=07moO`030000003oool0oooo02H0oooo2@09jPXO0?ooo`030000003oool0oooo
00L0oooo002@0?ooo`030000001oOgl0Ogmo01P0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000
Ogmo07moO`0<07moO`030000003oool0oooo01h0oooo2@09jPXX0?ooo`030000003oool0oooo00L0
oooo002@0?ooo`030000001oOgl0Ogmo01P0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo
07moO`0<07moO`030000003oool0oooo01D0oooo2@09jPXa0?ooo`030000003oool0oooo00L0oooo
002@0?ooo`030000001oOgl0Ogmo01P0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07mo
O`0<07moO`030000003oool0oooo00`0oooo2@09jPXj0?ooo`030000003oool0oooo00L0oooo002@
0?ooo`030000001oOgl0Ogmo01P0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`05
07moO`D02NX:0P1oOgl00`000000oooo0?ooo`030?ooo`T02NX:@`3oool00`000000oooo0?ooo`07
0?ooo`00T03oool00`000000Ogmo07moO`0H07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007mo
O`1oOgl0101oOgl800WZ2P0300000009jPX02NX:00<02NX:C03oool00`000000oooo0?ooo`070?oo
o`00R03oool300WZ2PH0oooo00<0000007moO`1oOgl05P1oOglB00WZ2P<0Ogmo1@09jPX200000500
oooo00<000000?ooo`3oool01`3oool008T0oooo1P09jPX3000000L0Ogmo4@09jPX00`1oOgl00000
07moO`0807moO`030000001oOgl0Ogmo00H0Ogmo0`09jPX307moO`030000003oool0oooo04l0oooo
00<000000?ooo`3oool01`3oool000P0ooooQ`09jPX00`0000002NX:00WZ2P0700WZ2Q80Ogmo00<0
000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0507moO`0300WZ2P1oOgl0Ogmo00@0Ogmo00<0
00000?ooo`3oool0C`3oool00`000000oooo0?ooo`070?ooo`00R@3oool500WZ2P<0oooo00<00000
07moO`1oOgl05`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<00000
0?ooo`3oool0C`3oool00`000000oooo0?ooo`070?ooo`00R03oool200WZ2PL0oooo00<0000007mo
O`1oOgl05`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00`0Ogmo00<000000?oo
o`3oool0C`3oool00`000000oooo0?ooo`070?ooo`00T@3oool00`000000Ogmo07moO`0G07moO`03
0000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0301oOgl00`000000oooo0?ooo`1?0?ooo`03
0000003oool0oooo00L0oooo002A0?ooo`030000001oOgl0Ogmo01L0Ogmo2`00000=07moO`030000
003oool0oooo0500oooo00<000000?ooo`3oool01`3oool00940oooo00<0000007moO`1oOgl05`1o
Ogl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00/0Ogmo00<000000?ooo`3oool0D03o
ool00`000000oooo0?ooo`070?ooo`00TP3oool00`000000Ogmo07moO`0F07moO`030000001oOgl0
Ogmo00L0Ogmo00<0000007moO`1oOgl02`1oOgl00`000000oooo0?ooo`1@0?ooo`030000003oool0
oooo00L0oooo002B0?ooo`030000001oOgl0Ogmo01H0Ogmo00<0000007moO`1oOgl01`1oOgl00`00
0000Ogmo07moO`0;07moO`030000003oool0oooo0500oooo00<000000?ooo`3oool01`3oool00980
oooo00<0000007moO`1oOgl05P1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00/0
Ogmo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`070?ooo`00TP3oool00`000000Ogmo
07moO`0F07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl02`1oOgl00`000000oooo
0?ooo`1@0?ooo`030000003oool0oooo00L0oooo002B0?ooo`030000001oOgl0Ogmo01H0Ogmo00<0
000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0;07moO`030000003oool0oooo0500oooo00<0
00000?ooo`3oool01`3oool009<0oooo00<0000007moO`1oOgl05@1oOgl00`000000Ogmo07moO`07
07moO`030000001oOgl0Ogmo00/0Ogmo00<000000?ooo`3oool0D03oool00`000000oooo0?ooo`07
0?ooo`00T`3oool00`000000Ogmo07moO`0E07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007mo
O`1oOgl02P1oOgl00`000000oooo0?ooo`1A0?ooo`030000003oool0oooo00L0oooo002C0?ooo`03
0000001oOgl0Ogmo01D0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0:07moO`03
0000003oool0oooo0540oooo00<000000?ooo`3oool01`3oool009@0oooo00<0000007moO`1oOgl0
501oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00X0Ogmo00<000000?ooo`3oool0
D@3oool00`000000oooo0?ooo`070?ooo`00U03oool00`000000Ogmo07moO`0D07moO`030000001o
Ogl0Ogmo00L0Ogmo00<0000007moO`1oOgl02P1oOgl00`000000oooo0?ooo`1A0?ooo`030000003o
ool0oooo00L0oooo002D0?ooo`030000001oOgl0Ogmo01@0Ogmo00<0000007moO`1oOgl01`1oOgl0
0`000000Ogmo07moO`0:07moO`030000003oool0oooo0540oooo00<000000?ooo`3oool01`3oool0
09D0oooo00<0000007moO`1oOgl04`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo
00T0Ogmo00<000000?ooo`3oool0DP3oool00`000000oooo0?ooo`070?ooo`00U@3oool00`000000
Ogmo07moO`0C07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl02@1oOgl00`000000
oooo0?ooo`1B0?ooo`030000003oool0oooo00L0oooo002E0?ooo`030000001oOgl0Ogmo01<0Ogmo
00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0907moO`030000003oool0oooo0580oooo
00<000000?ooo`3oool01`3oool009H0oooo00<0000007moO`1oOgl04P1oOgl;000000/0Ogmo00<0
00000?ooo`3oool0DP3oool00`000000oooo0?ooo`070?ooo`00UP3oool00`000000Ogmo07moO`0B
07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0201oOgl00`000000oooo0?ooo`1C
0?ooo`030000003oool0oooo00L0oooo002G0?ooo`030000001oOgl0Ogmo0140Ogmo00<0000007mo
O`1oOgl01`1oOgl00`000000Ogmo07moO`0807moO`030000003oool0oooo05<0oooo00<000000?oo
o`3oool01`3oool009L0oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0707moO`03
0000001oOgl0Ogmo00P0Ogmo00<000000?ooo`3oool0D`3oool00`000000oooo0?ooo`070?ooo`00
U`3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0
201oOgl00`000000oooo0?ooo`1C0?ooo`030000003oool0oooo00L0oooo002H0?ooo`030000001o
Ogl0Ogmo0100Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0707moO`030000003o
ool0oooo05@0oooo00<000000?ooo`3oool01`3oool009P0oooo00<0000007moO`1oOgl0401oOgl0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00L0Ogmo00<000000?ooo`3oool0E03oool0
0`000000oooo0?ooo`070?ooo`00V03oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000oooo0?ooo`1D0?ooo`030000003oool0oooo
00L0oooo002I0?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000
Ogmo07moO`0707moO`030000003oool0oooo05@0oooo00<000000?ooo`3oool01`3oool009T0oooo
00<0000007moO`1oOgl03`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo00L0Ogmo
00<000000?ooo`3oool0E03oool00`000000oooo0?ooo`070?ooo`00V@3oool00`000000Ogmo07mo
O`0?07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl01P1oOgl00`000000oooo0?oo
o`1E0?ooo`030000003oool0oooo00L0oooo002J0?ooo`030000001oOgl0Ogmo00h0Ogmo00<00000
07moO`1oOgl01`1oOgl00`000000Ogmo07moO`0607moO`030000003oool0oooo05D0oooo00<00000
0?ooo`3oool01`3oool009X0oooo00<0000007moO`1oOgl03P1oOgl00`000000Ogmo07moO`0707mo
O`030000001oOgl0Ogmo00H0Ogmo00<000000?ooo`3oool0E@3oool00`000000oooo0?ooo`070?oo
o`00V`3oool00`000000Ogmo07moO`0=07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1o
Ogl01@1oOgl00`000000oooo0?ooo`1F0?ooo`030000003oool0oooo00L0oooo002L0?ooo`030000
001oOgl0Ogmo00`0Ogmo2`00000707moO`030000003oool0oooo05H0oooo00<000000?ooo`3oool0
1`3oool009d0oooo00<0000007moO`1oOgl02`1oOgl00`000000Ogmo07moO`0707moO`030000001o
Ogl0Ogmo00D0Ogmo00<000000?ooo`3oool0EP3oool00`000000oooo0?ooo`070?ooo`00W@3oool0
0`000000Ogmo07moO`0;07moO`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0101oOgl0
0`000000oooo0?ooo`1G0?ooo`030000003oool0oooo00L0oooo002N0?ooo`030000001oOgl0Ogmo
00X0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0407moO`030000003oool0oooo
05L0oooo00<000000?ooo`3oool01`3oool009l0oooo00<0000007moO`1oOgl02@1oOgl00`000000
Ogmo07moO`0707moO`030000001oOgl0Ogmo00<0Ogmo00<000000?ooo`3oool0F03oool00`000000
oooo0?ooo`070?ooo`00X03oool00`000000Ogmo07moO`0807moO`030000001oOgl0Ogmo00L0Ogmo
00<0000007moO`1oOgl00`1oOgl00`000000oooo0?ooo`1H0?ooo`030000003oool0oooo00L0oooo
002P0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07mo
O`0307moO`030000003oool0oooo05P0oooo00<000000?ooo`3oool01`3oool00:40oooo00<00000
07moO`1oOgl01`1oOgl00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo0080Ogmo00<00000
0?ooo`3oool0F@3oool00`000000oooo0?ooo`070?ooo`00XP3oool00`000000Ogmo07moO`0607mo
O`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl00P1oOgl00`000000oooo0?ooo`1I0?oo
o`030000003oool0oooo00L0oooo002S0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1o
Ogl01`1oOgl01@000000Ogmo07moO`1oOgl0000005`0oooo00<000000?ooo`3oool01`3oool00:<0
oooo00<0000007moO`1oOgl01@1oOgl00`000000Ogmo07moO`0707moO`050000001oOgl0Ogmo07mo
O`000000G03oool00`000000oooo0?ooo`070?ooo`00Y03oool00`000000Ogmo07moO`0407moO`/0
00000`1oOgl00`000000oooo0?ooo`1J0?ooo`030000003oool0oooo00L0oooo002U0?ooo`030000
001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl01`1oOgl010000000Ogmo07moO`00001M0?ooo`03
0000003oool0oooo00L0oooo002U0?ooo`030000001oOgl0Ogmo00<0Ogmo00<0000007moO`1oOgl0
1`1oOgl010000000Ogmo07moO`00001M0?ooo`030000003oool0oooo00L0oooo002V0?ooo`030000
001oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl01`1oOgl010000000Ogmo07moO`00001M0?ooo`03
0000003oool0oooo00L0oooo002W0?ooo`050000001oOgl0Ogmo07moO`0000002@1oOgl00`000000
Ogmo0000001N0?ooo`030000003oool0oooo00L0oooo002X0?ooo`040000001oOgl0Ogmo000000T0
Ogmo00<0000007moO`000000GP3oool00`000000oooo0?ooo`070?ooo`00Z03oool010000000Ogmo
07moO`00000907moO`800000G`3oool00`000000oooo0?ooo`070?ooo`00Z@3oool00`000000Ogmo
0000000;000005l0oooo00<000000?ooo`3oool01`3oool00:X0oooo0P00000907moO`800000G`3o
ool00`000000oooo0?ooo`070?ooo`00Z`3oool;00000600oooo0P0000080?ooo`00o`3ooolQ0?oo
o`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00\
\>"],
  ImageRangeCache->{{{0, 287}, {151.625, 0}} -> {-52.9869, -29.6618, \
0.369247, 0.369247}},
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],

Cell[TextData[{
  "Here we use ",
  StyleBox["SymbolicTrace", "Input"],
  " to calculate the third-order transfer function for the system. In this \
case, ",
  StyleBox["y", "Input",
    FontFamily->"Courier"],
  "  is the initial ray height from the optical axis and ",
  StyleBox["Py", "Input",
    FontFamily->"Courier"],
  " is the resulting height on the final optical surface, S."
}], "Text",
  CellTags->{"Symbolic Optimization", "Symbolic Transfer Functions"}],

Cell[CellGroupData[{

Cell["\<\
Py = (SymbolicSurfaceCoordinates/. 
\tSymbolicTrace[opticalsystem,{{y,0,3}, {c1>0,c2<0,y\[Element]Reals}},
\t\tSymbolicRefractiveModels->BK7->3/2])[[1]]\
\>", "Input",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],

Cell[BoxData[
    \(y - \(65\ c1\ y\)\/3 + 15\ c2\ y - 
      100\ c1\ c2\ y + \(c1\^2\ y\^3\)\/6 - \(2045\ c1\^3\ y\^3\)\/216 + 
      1\/12\ c1\ c2\ y\^3 + 595\/72\ c1\^2\ c2\ y\^3 - 
      4375\/54\ c1\^3\ c2\ y\^3 - \(c2\^2\ y\^3\)\/4 - 
      85\/8\ c1\ c2\^2\ y\^3 + 175\ c1\^2\ c2\^2\ y\^3 - 
      16750\/27\ c1\^3\ c2\^2\ y\^3 + \(105\ c2\^3\ y\^3\)\/8 - 
      525\/2\ c1\ c2\^3\ y\^3 + 1750\ c1\^2\ c2\^3\ y\^3 - 
      35000\/9\ c1\^3\ c2\^3\ y\^3\)], "Output",
  CellLabel->"Out[5]=",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],

Cell["Third order symbolic transfer function", "Commentary",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Symbolic Global Optimization", "Section",
  CellTags->"Symbolic Optimization"],

Cell["Next we calculate the merit function for the optical system.", "Text",
  CellTags->"Symbolic Optimization"],

Cell[CellGroupData[{

Cell["meritFunction = Expand[Integrate[Expand[Py^2],{y,-5,5}]]", "Input",
  CellLabel->"In[6]:=",
  CellTags->"Symbolic Optimization"],

Cell[BoxData[
    \(250\/3 - \(32500\ c1\)\/9 + \(1067500\ c1\^2\)\/27 - \(1765625\ c1\^3\)\
\/54 + \(291125000\ c1\^4\)\/567 - \(159765625\ c1\^5\)\/2268 + \
\(326720703125\ c1\^6\)\/163296 + 2500\ c2 - 
      70625\ c1\ c2 + \(6903125\ c1\^2\ c2\)\/18 - \(131828125\ c1\^3\ \
c2\)\/126 + \(30761640625\ c1\^4\ c2\)\/4536 - \(15923828125\ c1\^5\ \
c2\)\/3888 + \(99853515625\ c1\^6\ c2\)\/2916 + 
      18125\ c2\^2 - \(1559375\ c1\ c2\^2\)\/6 + \(1075390625\ c1\^2\ c2\^2\)\
\/504 - \(12154140625\ c1\^3\ c2\^2\)\/756 + \(1104494921875\ c1\^4\ \
c2\^2\)\/18144 - \(738037109375\ c1\^5\ c2\^2\)\/6804 + \(1390478515625\ \
c1\^6\ c2\^2\)\/3402 + \(46875\ c2\^3\)\/2 - \(143140625\ c1\ c2\^3\)\/84 + \
\(3500078125\ c1\^2\ c2\^3\)\/126 - \(39180859375\ c1\^3\ c2\^3\)\/216 + \
\(669505859375\ c1\^4\ c2\^3\)\/1134 - \(396191406250\ c1\^5\ c2\^3\)\/243 + \
\(2833984375000\ c1\^6\ c2\^3\)\/729 + \(27640625\ c2\^4\)\/56 - \(90703125\ \
c1\ c2\^4\)\/7 + \(91178515625\ c1\^2\ c2\^4\)\/672 - \(301349609375\ c1\^3\ \
c2\^4\)\/378 + \(222431640625\ c1\^4\ c2\^4\)\/63 - \(1021484375000\ c1\^5\ \
c2\^4\)\/81 + \(115615234375000\ c1\^6\ c2\^4\)\/5103 - \(1171875\ c2\^5\)\/8 \
- \(52734375\ c1\ c2\^5\)\/16 + \(830078125\ c1\^2\ c2\^5\)\/4 - \
\(28808593750\ c1\^3\ c2\^5\)\/9 + \(68359375000\ c1\^4\ c2\^5\)\/3 - \
\(2128906250000\ c1\^5\ c2\^5\)\/27 + \(26171875000000\ c1\^6\ c2\^5\)\/243 + \
\(123046875\ c2\^6\)\/32 - \(615234375\ c1\ c2\^6\)\/4 + \(5126953125\ c1\^2\ \
c2\^6\)\/2 - \(68359375000\ c1\^3\ c2\^6\)\/3 + \(341796875000\ c1\^4\ \
c2\^6\)\/3 - \(2734375000000\ c1\^5\ c2\^6\)\/9 + \(27343750000000\ c1\^6\ c2\
\^6\)\/81\)], "Output",
  CellLabel->"Out[6]=",
  CellTags->"Symbolic Optimization"]
}, Open  ]],

Cell["Symbolic Merit Function", "Commentary",
  CellTags->"Symbolic Optimization"],

Cell["Here is a plot of the merit function space.", "Text",
  CellTags->"Symbolic Optimization"],

Cell[CellGroupData[{

Cell["Plot3D[meritFunction,{c1,0,.1},{c2,-.1,0}];", "Input",
  CellLabel->"In[77]:=",
  CellTags->"Symbolic Optimization"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .81114 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% SurfaceGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
9.02522e-17 1.04977 -0.0679587 1.04977 [
[.02757 .24618 -6 -8.70276 ]
[.02757 .24618 0 .29724 ]
[.14598 .19958 -23.848 -9 ]
[.14598 .19958 .15205 0 ]
[.27013 .15073 -22.8472 -9 ]
[.27013 .15073 1.15281 0 ]
[.40046 .09948 -21.8464 -9 ]
[.40046 .09948 2.15358 0 ]
[.53743 .04564 -20.8457 -9 ]
[.53743 .04564 3.15434 0 ]
[.68156 -0.01098 -14.8837 -9 ]
[.68156 -0.01098 3.11632 0 ]
[.70096 -0.00478 0 -6.26206 ]
[.70096 -0.00478 24 2.73794 ]
[.76745 .09703 0 -6.16187 ]
[.76745 .09703 30 2.83813 ]
[.82812 .18993 0 -6.07246 ]
[.82812 .18993 30 2.92754 ]
[.88369 .27502 0 -5.99218 ]
[.88369 .27502 30 3.00782 ]
[.93478 .35327 0 -5.9197 ]
[.93478 .35327 30 3.0803 ]
[.98191 .42546 0 -5.85393 ]
[.98191 .42546 6 3.14607 ]
[.02411 .26511 -6 -2.74232 ]
[.02411 .26511 0 6.25768 ]
[.012 .34101 -18 -2.80654 ]
[.012 .34101 0 6.19346 ]
[-0.00072 .42074 -18 -2.87434 ]
[-0.00072 .42074 0 6.12566 ]
[ 0 0 0 0 ]
[ 1 .81114 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(0)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(0.02)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(0.04)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(0.06)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(0.08)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(0.1)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.68874 0 m
.68263 .00239 L
s
[(-0.1)] .70096 -0.00478 -1 .39157 Mshowa
.75514 .10158 m
.74899 .10385 L
s
[(-0.08)] .76745 .09703 -1 .3693 Mshowa
.81573 .19425 m
.80953 .19642 L
s
[(-0.06)] .82812 .18993 -1 .34944 Mshowa
.87123 .27915 m
.865 .28122 L
s
[(-0.04)] .88369 .27502 -1 .3316 Mshowa
.92227 .35722 m
.91601 .35919 L
s
[(-0.02)] .93478 .35327 -1 .31549 Mshowa
.96935 .42924 m
.96306 .43113 L
s
[(0)] .98191 .42546 -1 .30087 Mshowa
.125 Mabswid
.70593 .0263 m
.70226 .02771 L
s
.72272 .05198 m
.71904 .05338 L
s
.73912 .07706 m
.73543 .07845 L
s
.7708 .12553 m
.7671 .12688 L
s
.78611 .14895 m
.78241 .15028 L
s
.80108 .17185 m
.79737 .17317 L
s
.83006 .21617 m
.82633 .21745 L
s
.84407 .23761 m
.84035 .23888 L
s
.8578 .2586 m
.85407 .25986 L
s
.88439 .29928 m
.88065 .3005 L
s
.89727 .31899 m
.89353 .3202 L
s
.9099 .3383 m
.90615 .3395 L
s
.93439 .37576 m
.93063 .37693 L
s
.94627 .39394 m
.94251 .3951 L
s
.95792 .41176 m
.95416 .41291 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
.03634 .26033 m
.04245 .25795 L
s
[(0)] .02411 .26511 1 -0.3906 Mshowa
.02428 .33639 m
.03043 .33408 L
s
[(100)] .012 .34101 1 -0.37633 Mshowa
.01162 .41629 m
.01779 .41406 L
s
[(200)] -0.00072 .42074 1 -0.36126 Mshowa
.125 Mabswid
.03397 .27525 m
.03764 .27383 L
s
.03159 .29031 m
.03526 .2889 L
s
.02918 .30552 m
.03285 .30411 L
s
.02674 .32088 m
.03042 .31948 L
s
.0218 .35205 m
.02549 .35067 L
s
.0193 .36787 m
.02299 .3665 L
s
.01676 .38385 m
.02046 .38249 L
s
.01421 .39998 m
.0179 .39864 L
s
.00901 .43275 m
.01272 .43143 L
s
.00638 .44939 m
.01009 .44807 L
s
.00371 .4662 m
.00743 .46489 L
s
.00102 .48318 m
.00474 .48188 L
s
.25 Mabswid
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
.40529 .59895 m
.03716 .25514 L
s
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.40529 .59895 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.39787 .81114 L
s
.39787 .81114 m
.40529 .59895 L
s
0 0 m
1 0 L
1 .81114 L
0 .81114 L
closepath
clip
newpath
.5 Mabswid
.735 .681 .799 r
.38121 .62931 .40311 .66135 .44089 .63382 .41923 .60382 Metetra
.728 .692 .816 r
.41923 .60382 .44089 .63382 .47879 .60895 .45741 .58078 Metetra
.72 .702 .833 r
.45741 .58078 .47879 .60895 .51691 .58667 .49584 .56016 Metetra
.708 .712 .852 r
.49584 .56016 .51691 .58667 .55534 .56698 .53462 .54196 Metetra
.693 .722 .871 r
.53462 .54196 .55534 .56698 .59418 .54988 .57384 .5262 Metetra
.673 .729 .892 r
.57384 .5262 .59418 .54988 .63353 .53544 .6136 .51294 Metetra
.648 .734 .912 r
.6136 .51294 .63353 .53544 .67351 .52373 .65402 .50227 Metetra
.615 .735 .932 r
.65402 .50227 .67351 .52373 .71424 .51488 .69522 .49434 Metetra
.574 .731 .949 r
.69522 .49434 .71424 .51488 .75587 .50908 .73733 .4893 Metetra
.523 .72 .963 r
.73733 .4893 .75587 .50908 .79855 .50654 .78051 .48738 Metetra
.461 .7 .971 r
.78051 .48738 .79855 .50654 .84246 .50753 .82494 .48886 Metetra
.389 .669 .971 r
.82494 .48886 .84246 .50753 .88781 .5124 .87082 .49406 Metetra
.308 .628 .961 r
.87082 .49406 .88781 .5124 .93485 .52158 .91841 .50339 Metetra
.221 .575 .942 r
.91841 .50339 .93485 .52158 .98388 .53556 .96797 .51734 Metetra
.727 .686 .81 r
.35883 .59793 .38121 .62931 .41923 .60382 .39708 .57436 Metetra
.72 .696 .827 r
.39708 .57436 .41923 .60382 .45741 .58078 .43553 .55306 Metetra
.711 .707 .845 r
.43553 .55306 .45741 .58078 .49584 .56016 .47427 .534 Metetra
.698 .717 .863 r
.47427 .534 .49584 .56016 .53462 .54196 .51339 .51721 Metetra
.682 .725 .883 r
.51339 .51721 .53462 .54196 .57384 .5262 .55299 .5027 Metetra
.661 .732 .902 r
.55299 .5027 .57384 .5262 .6136 .51294 .59316 .49056 Metetra
.634 .736 .922 r
.59316 .49056 .6136 .51294 .65402 .50227 .63401 .48088 Metetra
.6 .736 .94 r
.63401 .48088 .65402 .50227 .69522 .49434 .67567 .47379 Metetra
.558 .731 .956 r
.67567 .47379 .69522 .49434 .73733 .4893 .71827 .46946 Metetra
.506 .718 .967 r
.71827 .46946 .73733 .4893 .78051 .48738 .76195 .46811 Metetra
.445 .697 .973 r
.76195 .46811 .78051 .48738 .82494 .48886 .8069 .47001 Metetra
.375 .666 .972 r
.8069 .47001 .82494 .48886 .87082 .49406 .85332 .47547 Metetra
.297 .625 .961 r
.85332 .47547 .87082 .49406 .91841 .50339 .90145 .48489 Metetra
.215 .575 .941 r
.90145 .48489 .91841 .50339 .96797 .51734 .95156 .49874 Metetra
.72 .691 .822 r
.33593 .56721 .35883 .59793 .39708 .57436 .3744 .54545 Metetra
.712 .701 .839 r
.3744 .54545 .39708 .57436 .43553 .55306 .41311 .52578 Metetra
.701 .711 .857 r
.41311 .52578 .43553 .55306 .47427 .534 .45216 .50821 Metetra
.687 .721 .875 r
.45216 .50821 .47427 .534 .51339 .51721 .49162 .49274 Metetra
.67 .729 .894 r
.49162 .49274 .51339 .51721 .55299 .5027 .53159 .47942 Metetra
.647 .735 .913 r
.53159 .47942 .55299 .5027 .59316 .49056 .57216 .46833 Metetra
.619 .738 .931 r
.57216 .46833 .59316 .49056 .63401 .48088 .61345 .45956 Metetra
.584 .737 .948 r
.61345 .45956 .63401 .48088 .67567 .47379 .65557 .45325 Metetra
.541 .73 .962 r
.65557 .45325 .67567 .47379 .71827 .46946 .69865 .44957 Metetra
.49 .717 .972 r
.69865 .44957 .71827 .46946 .76195 .46811 .74285 .44872 Metetra
.43 .695 .975 r
.74285 .44872 .76195 .46811 .8069 .47001 .78832 .45098 Metetra
.362 .664 .972 r
.78832 .45098 .8069 .47001 .85332 .47547 .83529 .45664 Metetra
.288 .624 .961 r
.83529 .45664 .85332 .47547 .90145 .48489 .88396 .46608 Metetra
.211 .576 .941 r
.88396 .46608 .90145 .48489 .95156 .49874 .93463 .47975 Metetra
.711 .696 .834 r
.31248 .53715 .33593 .56721 .3744 .54545 .35116 .51709 Metetra
.702 .706 .851 r
.35116 .51709 .3744 .54545 .41311 .52578 .39012 .49898 Metetra
.69 .716 .869 r
.39012 .49898 .41311 .52578 .45216 .50821 .42946 .4828 Metetra
.675 .725 .887 r
.42946 .4828 .45216 .50821 .49162 .49274 .46926 .46858 Metetra
.657 .733 .906 r
.46926 .46858 .49162 .49274 .53159 .47942 .5096 .45638 Metetra
.633 .738 .924 r
.5096 .45638 .53159 .47942 .57216 .46833 .55058 .44626 Metetra
.603 .74 .941 r
.55058 .44626 .57216 .46833 .61345 .45956 .5923 .43834 Metetra
.567 .738 .956 r
.5923 .43834 .61345 .45956 .65557 .45325 .63488 .43274 Metetra
.524 .73 .968 r
.63488 .43274 .65557 .45325 .69865 .44957 .67845 .42963 Metetra
.473 .715 .975 r
.67845 .42963 .69865 .44957 .74285 .44872 .72316 .42922 Metetra
.415 .693 .977 r
.72316 .42922 .74285 .44872 .78832 .45098 .76917 .43176 Metetra
.35 .662 .972 r
.76917 .43176 .78832 .45098 .83529 .45664 .81667 .43754 Metetra
.28 .623 .96 r
.81667 .43754 .83529 .45664 .88396 .46608 .86591 .44693 Metetra
.208 .577 .942 r
.86591 .44693 .88396 .46608 .93463 .47975 .91713 .46036 Metetra
.702 .702 .847 r
.28841 .50776 .31248 .53715 .35116 .51709 .32729 .48933 Metetra
.692 .712 .864 r
.32729 .48933 .35116 .51709 .39012 .49898 .36651 .47268 Metetra
.679 .722 .882 r
.36651 .47268 .39012 .49898 .42946 .4828 .40615 .45782 Metetra
.663 .731 .9 r
.40615 .45782 .42946 .4828 .46926 .46858 .44627 .44477 Metetra
.642 .737 .918 r
.44627 .44477 .46926 .46858 .5096 .45638 .48698 .43361 Metetra
.617 .741 .935 r
.48698 .43361 .5096 .45638 .55058 .44626 .52836 .42439 Metetra
.587 .742 .95 r
.52836 .42439 .55058 .44626 .5923 .43834 .57052 .41724 Metetra
.55 .738 .963 r
.57052 .41724 .5923 .43834 .63488 .43274 .61357 .41228 Metetra
.507 .729 .973 r
.61357 .41228 .63488 .43274 .67845 .42963 .65763 .40967 Metetra
.457 .714 .979 r
.65763 .40967 .67845 .42963 .72316 .42922 .70285 .40962 Metetra
.4 .691 .978 r
.70285 .40962 .72316 .42922 .76917 .43176 .7494 .41237 Metetra
.338 .661 .972 r
.7494 .41237 .76917 .43176 .81667 .43754 .79746 .41819 Metetra
.273 .623 .96 r
.79746 .41819 .81667 .43754 .86591 .44693 .84725 .42744 Metetra
.206 .58 .942 r
.84725 .42744 .86591 .44693 .91713 .46036 .89905 .44053 Metetra
.691 .708 .861 r
.26368 .47913 .28841 .50776 .32729 .48933 .30276 .46222 Metetra
.68 .719 .878 r
.30276 .46222 .32729 .48933 .36651 .47268 .34223 .44694 Metetra
.666 .728 .896 r
.34223 .44694 .36651 .47268 .40615 .45782 .38215 .43331 Metetra
.649 .736 .913 r
.38215 .43331 .40615 .45782 .44627 .44477 .42261 .42136 Metetra
.627 .742 .93 r
.42261 .42136 .44627 .44477 .48698 .43361 .46368 .41115 Metetra
.601 .745 .945 r
.46368 .41115 .48698 .43361 .52836 .42439 .50547 .40276 Metetra
.57 .744 .959 r
.50547 .40276 .52836 .42439 .57052 .41724 .54807 .3963 Metetra
.533 .739 .97 r
.54807 .3963 .57052 .41724 .61357 .41228 .59158 .3919 Metetra
.489 .729 .978 r
.59158 .3919 .61357 .41228 .65763 .40967 .63614 .38971 Metetra
.441 .713 .981 r
.63614 .38971 .65763 .40967 .70285 .40962 .68189 .38993 Metetra
.386 .69 .98 r
.68189 .38993 .70285 .40962 .7494 .41237 .72897 .39279 Metetra
.328 .66 .973 r
.72897 .39279 .7494 .41237 .79746 .41819 .7776 .39857 Metetra
.267 .624 .96 r
.7776 .39857 .79746 .41819 .84725 .42744 .82797 .4076 Metetra
.206 .583 .943 r
.82797 .4076 .84725 .42744 .89905 .44053 .88034 .42026 Metetra
.68 .716 .876 r
.23821 .45131 .26368 .47913 .30276 .46222 .27749 .43584 Metetra
.668 .726 .893 r
.27749 .43584 .30276 .46222 .34223 .44694 .3172 .42185 Metetra
.652 .735 .91 r
.3172 .42185 .34223 .44694 .38215 .43331 .35741 .40936 Metetra
.634 .742 .926 r
.35741 .40936 .38215 .43331 .42261 .42136 .3982 .39841 Metetra
.611 .747 .942 r
.3982 .39841 .42261 .42136 .46368 .41115 .43965 .38907 Metetra
.584 .749 .956 r
.43965 .38907 .46368 .41115 .50547 .40276 .48185 .38141 Metetra
.552 .747 .968 r
.48185 .38141 .50547 .40276 .54807 .3963 .52489 .37556 Metetra
.515 .741 .977 r
.52489 .37556 .54807 .3963 .59158 .3919 .56888 .37162 Metetra
.472 .729 .982 r
.56888 .37162 .59158 .3919 .63614 .38971 .61394 .36976 Metetra
.425 .712 .983 r
.61394 .36976 .63614 .38971 .68189 .38993 .66021 .37016 Metetra
.374 .689 .98 r
.66021 .37016 .68189 .38993 .72897 .39279 .70786 .37305 Metetra
.319 .66 .973 r
.70786 .37305 .72897 .39279 .7776 .39857 .75705 .37869 Metetra
.263 .626 .961 r
.75705 .37869 .7776 .39857 .82797 .4076 .808 .38739 Metetra
.207 .588 .945 r
.808 .38739 .82797 .4076 .88034 .42026 .86096 .39952 Metetra
.667 .725 .892 r
.21194 .42445 .23821 .45131 .27749 .43584 .25142 .41031 Metetra
.654 .734 .909 r
.25142 .41031 .27749 .43584 .3172 .42185 .29137 .39749 Metetra
.637 .743 .925 r
.29137 .39749 .3172 .42185 .35741 .40936 .33188 .38604 Metetra
.617 .749 .94 r
.33188 .38604 .35741 .40936 .3982 .39841 .373 .376 Metetra
.593 .753 .954 r
.373 .376 .3982 .39841 .43965 .38907 .41483 .36742 Metetra
.566 .753 .966 r
.41483 .36742 .43965 .38907 .48185 .38141 .45744 .36041 Metetra
.533 .75 .975 r
.45744 .36041 .48185 .38141 .52489 .37556 .50093 .35505 Metetra
.496 .742 .982 r
.50093 .35505 .52489 .37556 .56888 .37162 .5454 .35148 Metetra
.455 .73 .986 r
.5454 .35148 .56888 .37162 .61394 .36976 .59098 .34985 Metetra
.41 .712 .985 r
.59098 .34985 .61394 .36976 .66021 .37016 .63779 .35033 Metetra
.362 .689 .981 r
.63779 .35033 .66021 .37016 .70786 .37305 .686 .35314 Metetra
.312 .662 .973 r
.686 .35314 .70786 .37305 .75705 .37869 .73577 .35853 Metetra
.261 .63 .961 r
.73577 .35853 .75705 .37869 .808 .38739 .78732 .3668 Metetra
.21 .594 .947 r
.78732 .3668 .808 .38739 .86096 .39952 .84088 .37829 Metetra
.653 .735 .91 r
.18477 .39867 .21194 .42445 .25142 .41031 .22445 .38574 Metetra
.638 .744 .925 r
.22445 .38574 .25142 .41031 .29137 .39749 .26466 .374 Metetra
.62 .751 .94 r
.26466 .374 .29137 .39749 .33188 .38604 .30546 .36348 Metetra
.599 .756 .953 r
.30546 .36348 .33188 .38604 .373 .376 .34693 .35422 Metetra
.575 .759 .965 r
.34693 .35422 .373 .376 .41483 .36742 .38914 .34631 Metetra
.546 .758 .975 r
.38914 .34631 .41483 .36742 .45744 .36041 .43217 .33981 Metetra
.514 .753 .982 r
.43217 .33981 .45744 .36041 .50093 .35505 .47612 .33485 Metetra
.478 .744 .987 r
.47612 .33485 .50093 .35505 .5454 .35148 .52109 .33153 Metetra
.439 .731 .988 r
.52109 .33153 .5454 .35148 .59098 .34985 .56719 .33 Metetra
.397 .713 .987 r
.56719 .33 .59098 .34985 .63779 .35033 .61456 .33045 Metetra
.352 .691 .981 r
.61456 .33045 .63779 .35033 .686 .35314 .66334 .33306 Metetra
.307 .664 .973 r
.66334 .33306 .686 .35314 .73577 .35853 .71371 .33809 Metetra
.26 .634 .962 r
.71371 .33809 .73577 .35853 .78732 .3668 .76586 .34581 Metetra
.215 .601 .949 r
.76586 .34581 .78732 .3668 .84088 .37829 .82004 .35655 Metetra
.637 .747 .928 r
.1566 .37418 .18477 .39867 .22445 .38574 .19649 .36233 Metetra
.621 .755 .942 r
.19649 .36233 .22445 .38574 .26466 .374 .23696 .35152 Metetra
.602 .761 .955 r
.23696 .35152 .26466 .374 .30546 .36348 .27807 .34179 Metetra
.58 .765 .966 r
.27807 .34179 .30546 .36348 .34693 .35422 .3199 .3332 Metetra
.555 .765 .976 r
.3199 .3332 .34693 .35422 .38914 .34631 .3625 .32581 Metetra
.527 .763 .983 r
.3625 .32581 .38914 .34631 .43217 .33981 .40598 .31971 Metetra
.495 .757 .988 r
.40598 .31971 .43217 .33981 .47612 .33485 .4504 .315 Metetra
.461 .747 .991 r
.4504 .315 .47612 .33485 .52109 .33153 .49588 .31181 Metetra
.424 .733 .99 r
.49588 .31181 .52109 .33153 .56719 .33 .54252 .31027 Metetra
.385 .715 .987 r
.54252 .31027 .56719 .33 .61456 .33045 .59046 .31054 Metetra
.344 .693 .982 r
.59046 .31054 .61456 .33045 .66334 .33306 .63983 .31284 Metetra
.303 .668 .974 r
.63983 .31284 .66334 .33306 .71371 .33809 .69081 .31737 Metetra
.262 .64 .964 r
.69081 .31737 .71371 .33809 .76586 .34581 .74359 .32441 Metetra
.221 .609 .952 r
.74359 .32441 .76586 .34581 .82004 .35655 .7984 .33426 Metetra
.619 .762 .948 r
.1273 .35122 .1566 .37418 .19649 .36233 .16742 .34028 Metetra
.602 .768 .959 r
.16742 .34028 .19649 .36233 .23696 .35152 .20817 .33025 Metetra
.582 .772 .97 r
.20817 .33025 .23696 .35152 .27807 .34179 .24961 .32115 Metetra
.559 .774 .979 r
.24961 .32115 .27807 .34179 .3199 .3332 .29181 .31306 Metetra
.534 .773 .985 r
.29181 .31306 .3199 .3332 .3625 .32581 .33484 .30605 Metetra
.507 .768 .99 r
.33484 .30605 .3625 .32581 .40598 .31971 .37877 .30019 Metetra
.477 .761 .993 r
.37877 .30019 .40598 .31971 .4504 .315 .42369 .2956 Metetra
.444 .75 .993 r
.42369 .2956 .4504 .315 .49588 .31181 .46969 .29238 Metetra
.41 .736 .992 r
.46969 .29238 .49588 .31181 .54252 .31027 .5169 .29067 Metetra
.375 .718 .988 r
.5169 .29067 .54252 .31027 .59046 .31054 .56542 .29064 Metetra
.338 .697 .982 r
.56542 .29064 .59046 .31054 .63983 .31284 .6154 .29247 Metetra
.302 .674 .975 r
.6154 .29247 .63983 .31284 .69081 .31737 .66701 .29636 Metetra
.265 .647 .966 r
.66701 .29636 .69081 .31737 .74359 .32441 .72044 .30258 Metetra
.23 .619 .955 r
.72044 .30258 .74359 .32441 .7984 .33426 .77591 .31141 Metetra
.598 .778 .967 r
.09671 .33007 .1273 .35122 .16742 .34028 .13709 .31985 Metetra
.58 .783 .976 r
.13709 .31985 .16742 .34028 .20817 .33025 .17815 .31039 Metetra
.56 .785 .983 r
.17815 .31039 .20817 .33025 .24961 .32115 .21995 .30175 Metetra
.537 .784 .989 r
.21995 .30175 .24961 .32115 .29181 .31306 .26256 .29398 Metetra
.513 .781 .993 r
.26256 .29398 .29181 .31306 .33484 .30605 .30603 .28716 Metetra
.487 .775 .995 r
.30603 .28716 .33484 .30605 .37877 .30019 .35044 .28138 Metetra
.459 .766 .996 r
.35044 .28138 .37877 .30019 .42369 .2956 .39588 .27672 Metetra
.429 .754 .995 r
.39588 .27672 .42369 .2956 .46969 .29238 .44244 .27331 Metetra
.399 .74 .992 r
.44244 .27331 .46969 .29238 .5169 .29067 .49023 .27127 Metetra
.367 .723 .988 r
.49023 .27127 .5169 .29067 .56542 .29064 .53936 .27077 Metetra
.335 .703 .983 r
.53936 .27077 .56542 .29064 .6154 .29247 .58998 .27196 Metetra
.303 .681 .976 r
.58998 .27196 .6154 .29247 .66701 .29636 .64225 .27506 Metetra
.272 .657 .968 r
.64225 .27506 .66701 .29636 .72044 .30258 .69635 .2803 Metetra
.241 .63 .959 r
.69635 .2803 .72044 .30258 .77591 .31141 .75249 .28796 Metetra
.574 .797 .984 r
.06465 .3111 .09671 .33007 .13709 .31985 .10534 .30134 Metetra
.556 .799 .989 r
.10534 .30134 .13709 .31985 .17815 .31039 .14675 .29223 Metetra
.536 .798 .994 r
.14675 .29223 .17815 .31039 .21995 .30175 .18896 .28381 Metetra
.514 .795 .996 r
.18896 .28381 .21995 .30175 .26256 .29398 .232 .27615 Metetra
.492 .79 .998 r
.232 .27615 .26256 .29398 .30603 .28716 .27596 .26932 Metetra
.467 .782 .998 r
.27596 .26932 .30603 .28716 .35044 .28138 .32089 .26339 Metetra
.442 .772 .997 r
.32089 .26339 .35044 .28138 .39588 .27672 .36689 .25848 Metetra
.416 .76 .995 r
.36689 .25848 .39588 .27672 .44244 .27331 .41403 .25468 Metetra
.389 .746 .992 r
.41403 .25468 .44244 .27331 .49023 .27127 .46244 .25212 Metetra
.362 .729 .988 r
.46244 .25212 .49023 .27127 .53936 .27077 .51221 .25095 Metetra
.335 .71 .983 r
.51221 .25095 .53936 .27077 .58998 .27196 .5635 .25134 Metetra
.307 .69 .977 r
.5635 .25134 .58998 .27196 .64225 .27506 .61645 .25347 Metetra
.28 .667 .971 r
.61645 .25347 .64225 .27506 .69635 .2803 .67124 .25756 Metetra
.254 .643 .963 r
.67124 .25756 .69635 .2803 .75249 .28796 .72808 .26387 Metetra
.547 .817 .996 r
.03089 .29472 .06465 .3111 .10534 .30134 .07195 .28514 Metetra
.53 .815 .998 r
.07195 .28514 .10534 .30134 .14675 .29223 .11378 .27609 Metetra
.511 .812 .999 r
.11378 .27609 .14675 .29223 .18896 .28381 .15644 .26762 Metetra
.491 .806 1 r
.15644 .26762 .18896 .28381 .232 .27615 .19999 .2598 Metetra
.471 .799 .999 r
.19999 .2598 .232 .27615 .27596 .26932 .24447 .25269 Metetra
.45 .79 .998 r
.24447 .25269 .27596 .26932 .32089 .26339 .28998 .24639 Metetra
.428 .78 .997 r
.28998 .24639 .32089 .26339 .36689 .25848 .33657 .24098 Metetra
.406 .767 .994 r
.33657 .24098 .36689 .25848 .41403 .25468 .38435 .23657 Metetra
.383 .753 .991 r
.38435 .23657 .41403 .25468 .46244 .25212 .43341 .23328 Metetra
.36 .737 .988 r
.43341 .23328 .46244 .25212 .51221 .25095 .48386 .23124 Metetra
.337 .72 .984 r
.48386 .23124 .51221 .25095 .5635 .25134 .53585 .23061 Metetra
.314 .701 .979 r
.53585 .23061 .5635 .25134 .61645 .25347 .58952 .23157 Metetra
.292 .68 .974 r
.58952 .23157 .61645 .25347 .67124 .25756 .64504 .23433 Metetra
.27 .657 .968 r
.64504 .23433 .67124 .25756 .72808 .26387 .70262 .2391 Metetra
0 g
.25 Mabswid
.68874 0 m
.96935 .42924 L
s
.96935 .42924 m
1 .6535 L
s
1 .6535 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.03716 .25514 m
0 .48963 L
s
0 .48963 m
.70298 .24544 L
s
.70298 .24544 m
.68874 0 L
s
.68874 0 m
.03716 .25514 L
s
.03716 .25514 m
.68874 0 L
s
.03716 .25514 m
.04196 .25962 L
s
[(0)] .02757 .24618 1 .93395 Mshowa
.1552 .20892 m
.15981 .21359 L
s
[(0.02)] .14598 .19958 .98733 1 Mshowa
.27893 .16047 m
.28333 .16533 L
s
[(0.04)] .27013 .15073 .90393 1 Mshowa
.40878 .10962 m
.41294 .11469 L
s
[(0.06)] .40046 .09948 .82054 1 Mshowa
.54521 .0562 m
.54911 .06148 L
s
[(0.08)] .53743 .04564 .73714 1 Mshowa
.68874 0 m
.69233 .00549 L
s
[(0.1)] .68156 -0.01098 .65374 1 Mshowa
.125 Mabswid
.06616 .24378 m
.06901 .2465 L
s
.09549 .2323 m
.09832 .23504 L
s
.12517 .22067 m
.12797 .22345 L
s
.18558 .19702 m
.18832 .19985 L
s
.21633 .18498 m
.21903 .18784 L
s
.24744 .1728 m
.25012 .17569 L
s
.3108 .14799 m
.31341 .15094 L
s
.34306 .13535 m
.34564 .13834 L
s
.37572 .12257 m
.37826 .12558 L
s
.44225 .09652 m
.44471 .09959 L
s
.47614 .08324 m
.47856 .08635 L
s
.51046 .06981 m
.51284 .07294 L
s
.58041 .04242 m
.5827 .04562 L
s
.61605 .02846 m
.6183 .03169 L
s
.65216 .01432 m
.65436 .01759 L
s
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  CellLabel->"From In[77]:=",
  ImageSize->{288, 233.562},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40004P0000jB000`400?l00000o`00003oo`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ
0?ooo`00o`3ooolQ0?ooo`00o`3ooolQ0?ooo`00/`3oool2000000@0oooo00<000000?ooo`3oool0
0P3oool3000005l0oooo002b0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0
GP3oool00;80oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`1N0?ooo`00/P3o
ool010000000oooo0?ooo`0000090?ooo`030000003oool0oooo05h0oooo002b0?ooo`040000003o
ool0oooo000000T0oooo00<000000?ooo`3oool0GP3oool00;80oooo00@000000?ooo`3oool00000
203oool2000000d0oooo0P0000040?ooo`030000003oool0oooo0080oooo0`0000150?ooo`00/`3o
ool2000000X0oooo00<000000?ooo`3oool02P3oool010000000oooo0?ooo`0000090?ooo`030000
003oool0oooo04@0oooo00350?ooo`D000000P3oool010000000oooo0?ooo`0000090?ooo`030000
003oool0oooo04@0oooo003<0?ooo`040000003oool0oooo000000T0oooo00<000000?ooo`3oool0
A03oool00<`0oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`140?ooo`00c03o
ool010000000oooo0?ooo`0000080?ooo`800000AP3oool00<00oooo0`00000:0?ooo`8000002P3o
ool00`000000oooo0?ooo`140?ooo`00_P3oool3000000030?ooo`000000000005`0oooo002l0?oo
o`800000103oool2000005`0oooo00280?ooo`800000103oool00`000000oooo0?ooo`030?ooo`80
00000`3oool3000001`0oooo100000060?ooo`030000003oool0000005/0oooo00270?ooo`040000
003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0
oooo01L0oooo100000080?ooo`030000003oool0000005/0oooo00270?ooo`040000003oool0oooo
000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo01D0oooo
0P00000<0?ooo`040000003oool0oooo000005X0oooo00270?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool000000P3oool3000001D0oooo0`00000>0?ooo`050000003oool0oooo
0?ooo`000000F@3oool008L0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`00
0000oooo000000<0oooo00<000000?ooo`3oool0403oool200000140oooo00<000000?ooo`3oool0
0P00001I0?ooo`00Q`3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003o
ool000000`3oool00`000000oooo0?ooo`0=0?ooo`<0000000<0oooo0000003oool0403oool00`00
0000oooo0?ooo`020?ooo`030000003oool0oooo05H0oooo00280?ooo`8000002P3oool2000000<0
oooo0`00000>0?ooo`8000005P3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05D0
oooo002V0?ooo`@00000603oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05D0oooo
002T0?ooo`@000006`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo002R
0?ooo`8000007`3oool00`000000oooo0?ooo`030?ooo`030000003oool0oooo05@0oooo002O0?oo
o`<000008@3oool00`000000oooo0?ooo`030?ooo`800000E@3oool009d0oooo0P00000T0?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0DP3oool009X0oooo0`0000000`3oool00000
0?ooo`0S0?ooo`030000003oool0oooo00D0oooo00<000000?ooo`3oool0DP3oool009P0oooo0P00
000Y0?ooo`030000003oool0oooo00H0oooo00<000000?ooo`3oool0D@3oool006@0oooo0P000004
0?ooo`030000003oool0oooo00<0oooo0P0000030?ooo`<00000703oool4000002/0oooo00<00000
0?ooo`3oool01`3oool00`000000oooo0?ooo`1@0?ooo`00H`3oool010000000oooo0?ooo`000008
0?ooo`060000003oool0oooo0000003oool000000`3oool00`000000oooo0?ooo`0G0?ooo`@00000
;@3oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo0500oooo001S0?ooo`040000003o
ool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo
01D0oooo0P00000a0?ooo`030000003oool0oooo00P0oooo0P00001@0?ooo`00H`3oool010000000
oooo0?ooo`0000080?ooo`050000003oool0oooo0000003oool01000000E0?ooo`<00000<`3oool0
0`000000oooo0?ooo`080?ooo`8000003P3oool2000000@0oooo00<000000?ooo`3oool00`3oool2
000000<0oooo0`00000^0?ooo`00H`3oool010000000oooo0?ooo`0000080?ooo`060000003oool0
oooo0000003oool000005P3oool2000003H0oooo00<000000?ooo`3oool02@3oool00`000000oooo
0?ooo`0;0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`000003
0?ooo`030000003oool0oooo02/0oooo001S0?ooo`040000003oool0oooo000000P0oooo00@00000
0?ooo`3oool000000P3oool00`000000oooo0?ooo`0@0?ooo`<0000000<0oooo0000003oool0=@3o
ool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00<0oooo1@0000020?ooo`040000003o
ool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo
02/0oooo001T0?ooo`8000002P3oool2000000@0oooo0P00000>0?ooo`800000>`3oool00`000000
oooo0?ooo`0;0?ooo`030000003oool0oooo00T0oooo00@000000?ooo`3oool00000203oool01000
0000oooo0?ooo`0000020?ooo`<00000;P3oool008<0oooo0`00000m0?ooo`030000003oool0oooo
00/0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`0000080?ooo`060000003oool0
oooo0000003oool000000`3oool00`000000oooo0?ooo`0[0?ooo`00P03oool4000003l0oooo00<0
00000?ooo`3oool0303oool2000000T0oooo00@000000?ooo`3oool00000203oool01P000000oooo
0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0:`3oool007h0oooo0P0000130?ooo`03
0000003oool0oooo00/0oooo00<000000?ooo`0000002P3oool2000000X0oooo0P0000030?ooo`<0
0000;P3oool007/0oooo0`0000150?ooo`030000003oool0oooo00d0oooo00<000000?ooo`3oool0
BP3oool007T0oooo0P0000180?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0B@3o
ool007H0oooo0`0000020?ooo`030000003oool0oooo04D0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`180?ooo`00@P3oool2000000@0oooo00<000000?ooo`3oool00`3oool20000
00@0oooo0`00000M0?ooo`800000C@3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo
04P0oooo00110?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool0
0`000000oooo0?ooo`0I0?ooo`<00000C`3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0
oooo04L0oooo00110?ooo`040000003oool0oooo000000P0oooo00D000000?ooo`3oool000000?oo
o`05000001L0oooo0`0000000`3oool000000?ooo`1@0?ooo`030000003oool0oooo00l0oooo0P00
00180?ooo`00@@3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool0
00000P3oool00`000000oooo0?ooo`0D0?ooo`800000EP3oool00`000000oooo0?ooo`0@0?ooo`03
0000003oool0oooo04H0oooo00110?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0000000C0?ooo`<00000F03oool00`000000oooo0?ooo`0A0?oo
o`030000003oool0oooo04D0oooo00110?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000`3oool200000140oooo0P0000000`3oool000000?ooo`1H0?ooo`030000003oool0
oooo0140oooo00<000000?ooo`3oool0A@3oool00480oooo0P00000:0?ooo`8000001@3oool00`00
0000oooo0?ooo`0<0?ooo`<00000G@3oool00`000000oooo0?ooo`0B0?ooo`030000003oool0oooo
04@0oooo001Q0?ooo`<00000H03oool00`000000oooo0?ooo`0C0?ooo`030000003oool0oooo04<0
oooo001O0?ooo`@00000H@3oool00`000000oooo0?ooo`0C0?ooo`800000A03oool005d0oooo0P00
001U0?ooo`030000003oool0oooo01@0oooo00<000000?ooo`3oool0@P3oool005X0oooo0`00001W
0?ooo`030000003oool0oooo01D0oooo00<000000?ooo`3oool0@@3oool005L0oooo0`00001Z0?oo
o`030000003oool0oooo01D0oooo00<000000?ooo`3oool0@@3oool00240oooo0P0000040?ooo`03
0000003oool0oooo00<0oooo0P0000020?ooo`D000007`3oool2000000<0oooo00<000000?ooo`3o
ool0I`3oool00`000000oooo0?ooo`0F0?ooo`030000003oool0oooo0400oooo000P0?ooo`040000
003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo0?ooo`00000L
0?ooo`<00000K`3oool00`000000oooo0?ooo`0G0?ooo`030000003oool0oooo03l0oooo000P0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?oo
o`0J0?ooo`<00000L@3oool00`000000oooo0?ooo`0F0?ooo`8000003P3oool2000000@0oooo00<0
00000?ooo`3oool00`3oool2000000<0oooo0`00000O0?ooo`00803oool010000000oooo0?ooo`00
00080?ooo`040000003oool0oooo000000@0oooo00<000000?ooo`3oool05P3oool3000007@0oooo
00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0:0?ooo`040000003oool0oooo000000P0
oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo01`0oooo000P0?oo
o`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000030?ooo`030000
003oool0oooo01<0oooo0P00001g0?ooo`030000003oool0oooo01T0oooo00<000000?ooo`3oool0
0P3oool500000080oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo
000000<0oooo00<000000?ooo`3oool0703oool00200oooo00@000000?ooo`3oool00000203oool0
1P000000oooo0?ooo`000000oooo000000<0oooo00<000000?ooo`3oool0403oool3000007T0oooo
00<000000?ooo`3oool06@3oool00`000000oooo0?ooo`090?ooo`040000003oool0oooo000000P0
oooo00D000000?ooo`3oool000000?ooo`04000001l0oooo000Q0?ooo`8000002P3oool2000000<0
oooo0`00000@0?ooo`<00000O03oool00`000000oooo0?ooo`0J0?ooo`030000003oool0oooo00P0
oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000oooo00000280oooo0013
0?ooo`800000O`3oool00`000000oooo0?ooo`0K0?ooo`030000003oool0oooo00L0oooo00@00000
0?ooo`3oool00000203oool010000000oooo0?ooo`0000020?ooo`030000003oool0oooo01l0oooo
00100?ooo`<00000P@3oool00`000000oooo0?ooo`0J0?ooo`8000002P3oool2000000X0oooo0P00
00040?ooo`8000007`3oool003h0oooo0P0000020?ooo`030000003oool0oooo07l0oooo00<00000
0?ooo`3oool0703oool00`000000oooo0?ooo`0j0?ooo`00>`3oool3000008H0oooo00<000000?oo
o`3oool07@3oool00`000000oooo0?ooo`0i0?ooo`00>@3oool2000008X0oooo00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0i0?ooo`00=P3oool300000080oooo00<000000?ooo`3oool0
Q`3oool00`000000oooo0?ooo`0M0?ooo`030000003oool0oooo03P0oooo000E0?ooo`800000703o
ool3000008l0oooo00<000000?ooo`3oool07@3oool2000003T0oooo000D0?ooo`040000003oool0
oooo000001T0oooo0P00002B0?ooo`030000003oool0oooo01h0oooo00<000000?ooo`3oool0=`3o
ool001@0oooo00@000000?ooo`3oool000005P3oool3000000030?ooo`000000oooo0940oooo00<0
00000?ooo`3oool07`3oool00`000000oooo0?ooo`0f0?ooo`00503oool010000000oooo0?ooo`00
000D0?ooo`800000IP3oool?00000280oooo00<000000?ooo`3oool07`3oool00`000000oooo0?oo
o`0f0?ooo`00503oool010000000oooo0?ooo`00000A0?ooo`<00000CP3ooolJ000000T0E[Sk00<0
0000052cnP1@/oX00`1@/oXH000000X0oooo00<000000?ooo`3oool0803oool00`000000oooo0?oo
o`0e0?ooo`00503oool010000000oooo0?ooo`00000?0?ooo`8000000P3oool00`000000oooo0?oo
o`100?ooo``00000201R`?d00`000000G;cl05blo00:05blo0030000001F^?/0E[Sk00`0E[Sk00<0
0000052cnP1@/oX02@1@/oX00`000000BZki04Z^n@0;04Z^n@0300000015Z?L0AJSg00L000000`3o
ool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo03@0oooo000E0?ooo`8000003@3oool3
000003/0oooo3000000806O4oP030000001R`?d0H/3m00X0H/3m0P00000;05blo08000003@1F^?/0
0`000000D;?j052cnP09052cnP800000301:[_T00`000000AJSg04FXm`0604FXm`D000008@3oool2
000003H0oooo000Q0?ooo`<00000=@3oool9000000P0KLOo00<0000006O4oP1Wa?h02P1Wa?h20000
00`0H/3m0P00000;05blo0800000301F^?/00`000000D;?j052cnP0:052cnP030000001:[_T0BZki
00X0BZki00<0000004FXm`15Z?L01`15Z?L20000000304FXm`000000oooo0240oooo00<000000?oo
o`3oool0<`3oool001l0oooo0P00000b0?ooo`H000001@1cb_l00`000000KLOo06g7o`0:06g7o`80
0000301Wa?h00`000000H/3m06;0o@0;06;0o@030000001L_?`0G;cl00X0G;cl00<0000005Jhn`1F
^?/02P1F^?/00`000000D;?j052cnP0:052cnP030000001:[_T0BZki00X0BZki00<0000004FXm`15
Z?L00`15Z?L30000000504FXm`000000AJSg04FXm`0000008P3oool00`000000oooo0?ooo`0b0?oo
o`00703oool3000002h0oooo1P00000<07?:o`800000301]aol00`000000IlCn06O4oP0:06O4oP03
0000001R`?d0H/3m00D0H/3m=@00000504Z^n@0300000015Z?L00000008000001@15Z?L010000000
AJSg04FXm`00000Q0?ooo`030000003oool0oooo0380oooo000K0?ooo`<00000:P3oool5000000D0
N<co0P00000=07?:o`8000002`1]aol00`000000IlCn06O4oP0406O4oPd00000201S__d00`000000
G;[l05bjo00:05bjo0030000001E]O/0EKGk00X0EKGk00<0000004j`nP1>/?X02P1>/?X00`000000
Aj[h04NZn00304NZn0/000001@15Z?L010000000AJSg04FXm`00000Q0?ooo`030000003oool0oooo
00`0oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P0000040?ooo`<00000403oool001/0
oooo0`00000T0?ooo`H00000301hc?l2000000d0Ll[o00<0000006g7o`1]aol0101]aol;000000P0
J/;n0P00000<06>no@8000002`1L^_`00`000000EKGk05Fen`0:05Fen`030000001>/?X0C[3j00X0
C[3j00<0000004NZn017Z_P00`17Z_P3000000@0Aj[h00<00000046TmP11Y?H01`00000204FXm`03
0000003oool0oooo01h0oooo0P00000<0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool00000103oool00`000000oooo0?ooo`0?0?ooo`00503oool2000000D0oooo00@000000?oo
o`3oool000007P3oool5000000D0OLko0P00000=07S<o`8000001P1cb_l<000000L0LLGo0P00000<
06[2oP800000301S__d00`000000G;[l05bjo00905bjo0030000001E]O/0EKGk00X0EKGk00<00000
04j`nP1>/?X02P1>/?X00`000000Aj[h00000002000000P0Aj[h00<00000046TmP11Y?H01@11Y?H5
00000200oooo00<000000?ooo`3oool00`3oool500000080oooo00@000000?ooo`3oool00000203o
ool01@000000oooo0?ooo`000000oooo00D00000403oool001<0oooo00@000000?ooo`3oool00000
103oool01@000000oooo0?ooo`3oool0000001L0oooo1P00000<07g>o`8000002P1hc?l9000000P0
MlSo0P00000;0775o`800000301Z`_h2000000/0Hkkm00<0000005bjo01L^_`02@1L^_`00`000000
EKGk05Fen`0:05Fen`030000001>/?X0C[3j00T0C[3j0P00000<04NZn00300000011Y?H0@JCf00D0
@JCf00D00000046TmP11Y?H0@JCf0000000P0?ooo`030000003oool0oooo00T0oooo00@000000?oo
o`3oool00000203oool01P000000oooo0?ooo`000000oooo00000080oooo00<000000?ooo`3oool0
3`3oool001<0oooo00@000000?ooo`3oool000000`3oool2000000@0oooo00<000000?ooo`3oool0
3`3oool5000000D0P/oo0P00000=07g>o`8000000`1hc?l5000000D0OL[o00<0000007O8o`1gb?l0
2`1gb?l00`000000LLGo0775o`0:0775o`8000001P1Z`_hf00000080C[3j00<0000004NZn017Z_P0
2P17Z_P00`000000@JCf046TmP05046TmP0500000011Y?H0@JCf046TmP000000803oool00`000000
oooo0?ooo`080?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool0
0`000000oooo0000000A0?ooo`004`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0
oooo00@0oooo00<000000?ooo`3oool0203oool6000000`0P/oo0P00000:07g>o`H000002`1mb_l2
000000`0MlSo0P0000060775o``00000201]`Oh00`000000I[gm06Jmo@0906Jmo@030000001M^O`0
GKWl00T0GKWl00<0000005Fcn`1E/o/02P1E/o/00`000000CJki04f^n@0A000000D0Aj[h00<00000
046TmP11Y?H01011Y?H00`000000@JCf046TmP02046TmP030000003oool0oooo01d0oooo00<00000
0?ooo`3oool0203oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000<0oooo
0P00000A0?ooo`004`3oool010000000oooo0?ooo`0000030?ooo`030000003oool0oooo00D0oooo
00<000000?ooo`3oool00P3oool5000000D0Qm3o0P00000=08;?o`8000000`1mc_l5000000D0Pl_n
00<0000007g:o`1mb_l02`1mb_l2000000T0MlSo2@00000807G4oP030000001]`Oh0KL7n00X0KL7n
0P00000:06Jmo@8000002P1M^O`2000000X0EK?k0`00000;04f^n@0300000015Z?L0AJSg00<0AJSg
2`000002046TmP0300000011Y?H0@JCf0080@JCf00<000000?ooo`3oool0703oool2000000X0oooo
0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`0?0?ooo`004`3oool010000000oooo0?oo
o`0000030?ooo`030000003oool0oooo00D0oooo1@00000<08O@o`8000002P22col6000000/0Pl_n
0P00000=07g:o`040000001gb?l0MlSo07O8o`D000001@1la_h00`000000MLCn07G4oP0:07G4oP80
0000301]`Oh00`000000I[gm06Jmo@0906Jmo@030000001M^O`0GKWl00T0GKWl00<0000005Fcn`1E
/o/0101E/o/3000000<0EK?k00<0000004f^n@1=[_T02@1=[_T00`000000AJSg04FXm`0904FXm`04
0000000mXOD0?J7e03fQm@L0000000<0@JCf0000003oool07P3oool00`000000oooo0?ooo`0/0?oo
o`00503oool2000000@0oooo0P0000030?ooo`<00000102<dOh2000000d0Qm3o0P00000308;?o`D0
00001@29c?h00`000000Pl_n08?;oP0;08?;oP8000002@1mb_l6000000/0O<Kn0P00000<07G4oP03
0000001]`Oh0KL7n00X0KL7n00<0000006Jmo@1V_Od02@1V_Od00`000000GKWl05fio00905fio003
0000001E/o/0EK?k00<000001`1E/o/00`000000CJki04f^n@0904f^n@0300000015Z?L0AJSg00T0
AJSg00<0000003fQm@0mXOD0100mXOD00`000000?J7e03fQm@03000001h0oooo00<000000?ooo`3o
ool0;03oool001X0oooo00<000000?ooo`0000000P00000908cAoP<000002P27d?l5000000/0RLcn
0P00000=08?;oP040000001mb_l0OL[o07g:o`D000001@23aoh00`000000O<Kn07c6oP0;07c6oP03
0000001ea?h0MLCn00X0MLCn00<0000006g1oP1]`Oh0101]`Ohc000000@0CJki00<0000004FXm`15
Z?L02@15Z?L00`000000?J7e03fQm@0303fQm@030000000mXOD0?J7e00<0?J7e00<000000?ooo`3o
ool0703oool00`000000oooo0?ooo`0[0?ooo`006P3oool2000000l0S=7n0P00000308O@o`D00000
102>c?d00`000000RLcn08W<oP0;08W<oP8000002@23boh6000000/0PlOn0P00000<07c6oP030000
001ea?h0MLCn00@0MLCn30000008076ooP030000001X_?d0J;cm00T0J;cm00<0000005ngo01O]o`0
101O]o`2000000<0GkOl00<0000005Jbn`1F/_/02P1F/_/00`000000CJci04f/n@0304f/n@X00000
1`15Z?L00`000000?J7e03fQm@0303fQm@030000000mXOD0?J7e00<0?J7e00<000000?ooo`3oool0
703oool00`000000oooo0?ooo`0Z0?ooo`006@3oool00`000000oooo0?ooo`02000000d0S=7n1@00
000:08k<o@8000003@29c?h010000000Pl_n08?;oP23boh5000000D0RLSm0P00000<08?7oP030000
001la_h0O<Kn00L0O<Kn2@00000807[2oP030000001a_oh0LKon00X0LKon00<0000006Rlo@1X_?d0
2@1X_?d00`000000GkOl05ngo003000000H0GkOl0P00000;05Jbn`030000001=[?T0CJci00P0CJci
00@0000004>Um`13YOL0@jGg1`0000000`15Z?L0000003fQm@0403fQm@030000000mXOD0?J7e00<0
?J7e00<000000?ooo`3oool06`3oool2000002/0oooo000I0?ooo`8000000`3oool2000000L0S=7n
1000000409;<n`030000002>c?d0S/cm00X0S/cm0P00000908W<oPH000003029b?d00`000000PlOn
08?7oP0:08?7oP040000001la_h0O<Kn07c6oPD000001@21a?d00`000000N/;n07[2oP0:07[2oP80
00002`1a_oh00`000000J;cm06Rlo@0806Rlo@<000002`1O]o`00`000000E[;k05Jbn`0905Jbn`03
0000001=[?T0CJci00P0CJci00<0000004>Um`13YOL01`13YOL70000000303fQm@000000?J7e00@0
?J7e00<000000?ooo`3oool06`3oool00`000000oooo0?ooo`0Y0?ooo`006@3oool00`000000oooo
0?ooo`040?ooo`8000000P2<dOh3000000T0T/ck0P00000<08k<o@0400000029c?h0RLcn08W<oPD0
00001@2?b?/00`000000RLSm08W8o@0;08W8o@8000001P23aoh8000000/0PLCm0P00000<07[2oP03
0000001a_oh0LKon00T0LKon00<0000006Rlo@1X_?d0101X_?d300000080J;cm00<0000005ngo01O
]o`02P1O]o`00`000000E[;k05Jbn`0905Jbn`030000001=[?T0CJci00P0CJci00<0000004>Um`13
YOL02P13YOL00`000000>Ykd03ZNm0070000000303fQm@000000oooo01/0oooo00<000000?ooo`3o
ool0:@3oool001T0oooo00<000000?ooo`3oool01P3oool2000000h0T/ck0P00000908k<o@D00000
2`2?b?/2000000/0RLSm2000000708S5o00300000021a?d0PLCm00/0PLCm00<0000007[2oP1j`_h0
2P1j`_h00`000000LKon076ooP04076ooRh000001`1=[?T00`000000@jGg04>Um`0:04>Um`050000
000jW_@0>Ykd03ZNm0000000100jW_@3000001`0oooo00<000000?ooo`3oool0:03oool001T0oooo
00<000000?ooo`3oool0203oool00`000000T/ck09;<n`0=09;<n`040000002>c?d0S/cm08k<o@D0
0000102Db?T00`000000SlSk08o8n`0;08o8n`0300000029b?d0RLSm00@0RLSm1000000408o6nP03
00000028aO`0R<Gl00T0R<Gl0P00000<0874o@030000001j`_h0N/;n00@0N/;n3000000507Joo@<0
00002`1/^od00`000000H[Ol06:go00:06:go0030000001H/O/0F;7k00P0F;7k00<0000004f[n@1=
ZoT01`0000000`1=[?T0000004>Um`0;04>Um`050000000jW_@0>Ykd03ZNm00000001P0jW_@00`00
0000oooo0?ooo`0J0?ooo`030000003oool0oooo02L0oooo000I0?ooo`030000003oool0oooo00T0
oooo0P00000<09;<n`D000002P2Db?T2000000`0SlSk00<0000008W8o@29b?d00`00000908o6nP03
00000028aO`0R<Gl00X0R<Gl00<000000874o@21a?d01`21a?d9000000P0O/7l00<0000007Joo@1f
_od0101f_od2000000<0M[om0P00000:06bko@8000002`1R]o`00`000000F;7k05Ran`0805Ran`03
0000001=ZoT0CJ_i00H0CJ_i2P00000504>Um`050000000jW_@0>Ykd03ZNm00000001P0jW_@00`00
0000oooo0?ooo`0I0?ooo`800000:03oool001T0oooo00<000000?ooo`3oool02`3oool2000000H0
T/ck1000000409W7m`030000002Db?T0U<Si00X0U<Si0P00000908o8n`@000003@2?a_X00`000000
R<Gl08S5o00:08S5o00400000021a?d0PLCm0874o@D000001@26`o/00`000000O/7l07k1o00:07k1
o0030000001f_od0M[om00<000001`1f_od00`000000K;_m06bko@0906bko@030000001R]o`0H[Ol
00T0H[Ol00<0000005Ran`1H/O/0201H/O/00`000000CJ_i04f[n@0904f[n@0300000013XoH0@j?f
00<0@j?f2P00000703ZNm0030000003oool0oooo01T0oooo00<000000?ooo`3oool09P3oool001P0
oooo00<000000?ooo`3oool03P3oool00`000000T/ck09;<n`03000000T0VLOg0P00000<09C8n@04
0000002?b?/0SlSk08o8n`D00000102DaOP00`000000SlKj08o6nP0;08o6nP0300000028aO`0R<Gl
00L0R<Gl1P00000;08K3n`8000002P1n`O`3000000/0M[om00<0000006bko@1/^od02@1/^od00`00
0000H[Ol06:go00906:go0030000001H/O/0F;7k00P0F;7k00<0000004f[n@1=ZoT02@1=ZoT00`00
0000@j?f04>SmP0804>SmP030000000hVo<0>9_c00D00000100jW_@00`000000oooo0?ooo`0I0?oo
o`030000003oool0oooo02D0oooo000H0?ooo`030000003oool0oooo00l0oooo0P00000>09W7m`03
0000002Db?T0U<Si00L0U<Si1P00000:09C5n0800000302?a_X010000000R<Gl08S5o028aO`50000
00D0S/?i00<0000008K3n`26`o/02`26`o/00`000000O/7l07k1o00407k1o0<000000P1n`O`00`00
0000M[om07Joo@0407JooBD00000101H/O/00`000000CJ_i04f[n@0904f[n@0300000013XoH0@j?f
00P0@j?f00D0000003RKl`0hVo<0>9_c0000000203RKl`H000006P3oool00`000000oooo0?ooo`0U
0?ooo`00603oool200000180oooo00<0000009W7m`2IaoL0302IaoL010000000U<Si09C8n@2Db?T5
000000D0V/Ce00<0000009C5n02DaOP02P2DaOP2000000T0SlKj1@00000;08k3n@8000003026`o/0
0`000000O/7l07k1o0030000000307k1o0000000000000T00000201j__`00`000000L;_l072ko009
072ko0030000001U]_`0IKKl00T0IKKl00<0000005Z`n`1J/?/00P1J/?/=000000@0CJ_i00<00000
04>SmP13XoH02013XoH010000000>9_c03RKl`00000703RKl`8000006P3oool00`000000oooo0?oo
o`0T0?ooo`00103oool3000000@0oooo0P0000040?ooo`8000001@3oool00`000000oooo0?ooo`0B
0?ooo`8000002`2IaoL5000000/0V/Ce0P00000<09C5n0040000002?a_X0SlKj08o6nPD00000102D
`oL00`000000S/?i08k3n@0;08k3n@0300000026`o/0Q/?k00L0Q/?k2@00000708?0n`030000001j
__`0N[kl00X0N[kl00<00000072ko01`^o`02@1`^o`00`000000IKKl06Ffo00906Ffo0030000001J
/?/0F[3k00P0F[3k00<0000004jYn@1>ZOT00`1>ZOT9000000L0@j?f00@0000003RKl`0hVo<00000
1`0hVo<00`000000oooo0?ooo`0H0?ooo`8000003P3oool2000000@0oooo00<000000?ooo`3oool0
0`3oool200000080oooo1@0000020?ooo`001@3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0D0?ooo`80
00001P2IaoL3000000@0W/?b00<0000009[4m@2Ja?D02`2Ja?D00`000000U<Gh09C5n00709C5n0H0
00002P2D`oL2000000`0S/?i00@0000008K3n`26`o/0Q/?k1`00000308_2n@0300000023`?/0Pl3k
00T0Pl3k0P00000;07Zno0030000001`^o`0L;_l00T0L;_l00<0000006Ffo01U]_`02@1U]_`00`00
0000F[3k05Z`n`0805Z`n`030000001>ZOT0CZWi00T0CZWi00<0000004:RmP0000001P0000001@13
XoH0000003RKl`0hVo<0000000L0>9_c00<000000?ooo`3oool0603oool00`000000oooo0?ooo`0;
0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool000000P3oool010000000oooo
0?ooo`0000020?ooo`001@3oool00`000000oooo0?ooo`020?ooo`040000003oool0oooo00000080
oooo00@000000?ooo`3oool00000103oool00`000000oooo0?ooo`0F0?ooo`030000002IaoL0VLOg
00<00000202N`o800`000000V/Ce09[4m@0;09[4m@040000002DaOP0U<Gh09C5n0D000001@2J`_@0
0`000000U<?g09C3m`0:09C3m`030000002>`oT0S/?i00L0S/?i1P00000208_2n@<000001P2;`_T0
0`000000Pl3k08?0n`0:08?0n`030000001j__`0N[kl00T0N[kl00<00000072ko01`^o`02@1`^o`0
0`000000IKKl06Ffo00906Ffo0030000001J/?/0F[3k00P0F[3k00<0000004jYn@1>ZOT02@1>ZOT0
0`000000@Z;f04:RmP0504:RmPH000001`0hVo<00`000000oooo0?ooo`0H0?ooo`030000003oool0
oooo00<0oooo1@0000020?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000
0`3oool00`000000oooo0?ooo`020?ooo`001@3oool00`000000oooo0?ooo`020?ooo`040000003o
ool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000001T0oooo0P00000<09k3lP80
00002P2Ja?D5000000/0V/;d0P00000;09C3m`040000002>`oT0S/?i08k3n@D000001@2C`_L30000
00X0Rl;i00<0000008?0n`23`?/02P23`?/00`000000N[kl07Zno00407Zno2@00000101J/?/00`00
0000CZWi04jYn@0904jYn@0300000012X_H0@Z;f00P0@Z;f1P00000403RKl`030000003oool0oooo
01P0oooo00<000000?ooo`3oool02@3oool010000000oooo0?ooo`0000080?ooo`040000003oool0
oooo000000@0oooo00<000000?ooo`3oool00@3oool000D0oooo00<000000?ooo`3oool00P3oool0
10000000oooo0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool0
6P3oool00`000000W/?b09k3lP0;09k3lP030000002Ja?D0V/Ce00@0V/Ce0`00000409k1l@030000
002J`_@0V/;d00/0V/;d00<0000009C3m`2D`oL01`2D`oL5000000L0Tl;g0`0000000`2C`_L00000
0000000;08_2n@0300000023`?/0Pl3k00L0Pl3k2@00000707jmn`030000001d^_`0M;[l00T0M;[l
00<0000006Rfo01X]_`0201X]_`00`000000G;3k05b`n`0305b`n`d00000101>ZOT00`000000@Z;f
04:RmP0804:RmP8000000`0gVO86000001T0oooo00<000000?ooo`3oool02@3oool010000000oooo
0?ooo`0000080?ooo`060000003oool0oooo0000003oool000000`3oool100000040oooo0@3oool0
00@0oooo0P0000040?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3o
ool00`000000oooo0?ooo`0K0?ooo`030000002N`o80W/?b00/0W/?b00<0000009[4m@2Ja?D00`00
000809k1l@030000002J`_@0V/;d00/0V/;d00@0000009C3m`2D`oL0U<?g1@00000409W1l`030000
002C`_L0Tl;g0080Tl;g0`00000609?2m`030000002;`_T0Rl;i00T0Rl;i00@0000008?0n`23`?/0
Pl3k1@00000508Ron@030000001n_O/0O[gk00T0O[gk00<0000007Bjo01d^_`02@1d^_`00`000000
J;Kl06Rfo00806Rfo0030000001L/?/0G;3k00T0G;3k00<0000004nYn@1?ZOT00`1?ZOT9000000L0
@Z;f0P00000703NIlP<000005`3oool2000000X0oooo00@000000?ooo`3oool00000203oool01P00
0000oooo0?ooo`000000oooo000000<0oooo0@0000010?ooo`40oooo00050?ooo`030000003oool0
oooo00<0oooo0P0000040?ooo`800000103oool00`000000oooo0?ooo`0L0?ooo`8000002P2N`o84
000000`0W/7a00<0000009[2m02J`_@02@2J`_@5000000X0VL7c1000000:09?2m`030000002;`_T0
Rl;i00@0Rl;i2000000;08Ron@030000001n_O/0O[gk00T0O[gk00<0000007Bjo01d^_`02@1d^_`0
0`000000J;Kl06Rfo00806Rfo0030000001L/?/0G;3k00T0G;3k00<0000004nYn@1?ZOT0201?ZOT0
0`000000@Z7f04:QmP070000000304:RmP000000000000T0=iWb00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`080?ooo`8000002P3oool2000000<0oooo0`0000030?ooo`005`3oool20000
01l0oooo00<0000009k3lP2N`o80102N`o83000000@0Xko]00<0000009k1l@2N`O402P2N`O400`00
0000V/;d09[2m00409[2m0@000000`2N`?000`000000VL7c09W1l`0709W1l`@000002`2C`_L80000
00L0T<3g00<0000008Ron@28_oT02P28_oT00`000000O[gk07jmn`0907jmn`030000001d^_`0M;[l
00T0M;[l00<0000006Rfo01X]_`0201X]_`00`000000G;3k05b`n`0905b`n`030000001?ZOT0CjWi
00P0CjWi00<0000004:QmP12XOH01P12XOH5000000P0=iWb00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`0O0?ooo`005`3oool00`000000oooo0?ooo`0O0?ooo`030000002N`o80W/?b00<0
0000202S_nd00`000000W/7a09k1l@0:09k1l@030000002J`_@0V/;d00<00000202N`?000`000000
VL7c09W1l`0409W1l`800000102I`O<00`000000Tl;g09?2m`0409?2m`@000000`2G`?@00`000000
T<3g0930m`0:0930m`0300000028_oT0R;oi00X0R;oi00<0000007jmn`1n_O/0101n_O/T000000@0
G;3k00<0000004nYn@1?ZOT0201?ZOT00`000000@Z7f04:QmP0804:QmP030000000eV?80000000@0
0000100gVO800`000000oooo0?ooo`0E0?ooo`030000003oool0oooo01h0oooo000G0?ooo`030000
003oool0oooo0200oooo0P00000<0:>ok@030000002N`O40W/7a00P0W/7a1000000<09k0l0030000
002I`O<0VL7c00<000001`2I`O<00`000000Tl;g09?2m`03000000P0Ul3d00<000000930m`2@`?L0
2P2@`?L00`000000R;oi08Ron@0708Ron@T000001P23_OX00`000000N;[k07Rjn`0907Rjn`030000
001/]_/0K;Kk00T0K;Kk00<0000005n`nP1O/?X00`1O/?X<000000@0CjWi00<0000004:QmP12XOH0
2012XOH00`000000=ISb03FHlP0303FHlPH000005`3oool00`000000oooo0?ooo`0M0?ooo`005P3o
ool00`000000oooo0?ooo`0S0?ooo`030000002S_nd0Xko]00X0Xko]00<0000009k1l@2N`O40102N
`O43000000@0Xkk/00<0000009k0l02N`?002@2N`?03000000P0VL7c1@00000<09O0m0030000002@
`?L0T<3g00X0T<3g00@0000008Ron@28_oT0R;oi1@00000408fom`0300000023_OX0Pkgj00T0Pkgj
00<0000007Rjn`1h^_/02@1h^_/00`000000K;Kk06bfn`0906bfn`030000001O/?X0Gk3j00P0Gk3j
00<00000056Xn@1AZ?T00`1AZ?T9000000H0@Z7f0P00000903FHlP8000005@3oool2000001l0oooo
000F0?ooo`8000009@3oool00`000000Xko]0:>ok@0:0:>ok@030000002N`O40W/7a00<00000202S
_^`00`000000W/3`09k0l00509k0l0<000000P2N`?0010000000VL7c09W1l`2I`O<5000000D0WKo`
00<0000009O0m02G`?@02P2G`?@00`000000T<3g0930m`070930m`H000002P2=_oL00`000000Pkgj
08>mnP0908>mnP030000001h^_/0N;[k00T0N;[k00<0000006bfn`1/]_/02@1/]_/00`000000Gk3j
05n`nP0805n`nP030000001AZ?T0DJSi00P0DJSi00<0000004>PmP13X?H02@00000903FHlP030000
003oool0oooo01D0oooo00<000000?ooo`3oool0703oool001H0oooo00<000000?ooo`3oool09@3o
ool00`000000Xko]0:>ok@080:>ok@@00000302S_^`010000000W/3`09k0l02N`?03000000@0W/3`
1@00000;09fol0030000002G`?@0Ul3d00X0Ul3d00@000000930m`2@`?L0T<3g1@00000509Fom003
0000002=_oL0SKog00T0SKog00<0000008>mnP23_OX02@23_OX00`000000N;[k07Rjn`0907Rjn`03
0000001/]_/0K;Kk00T0K;Kk00<0000005n`nP1O/?X0201O/?X00`000000DJSi056Xn@08056Xn@03
00000013X?H0@j3f00H0@j3f1@00000703FHlP030000003oool0oooo01D0oooo00<000000?ooo`3o
ool06`3oool001H0oooo00<000000?ooo`3oool09P3oool00`000000Xko]0:>ok@040:>ok@<00000
102W_>P00`000000Xkk/0:>nk00:0:>nk0<00000102N`?03000000@0Xkk/00<0000009fol02M_o00
2P2M_o000`000000Ul3d09O0m00709O0m0H000002`2E_o@00`000000SKog08fom`0908fom`030000
0023_OX0Pkgj00T0Pkgj00<0000007Rjn`1h^_/0101h^_/H000000@0Gk3j00<00000056Xn@1AZ?T0
201AZ?T00`000000@j3f04>PmP0704>PmP030000000dU_40=9Ka00<000001@0eV?800`000000oooo
0?ooo`0D0?ooo`030000003oool0oooo01/0oooo000F0?ooo`030000003oool0oooo02L0oooo00<0
00000:>ok@2S_nd00`0000080:Nlj0030000002S_^`0Xkk/00L0Xkk/0P000000102S_^`0000009k0
l02N`?03000000P0Xkk/00<0000009fol02M_o002P2M_o0010000000Ul3d09O0m02G`?@5000000@0
W;oa00<0000009Fom02E_o@02`2E_o@00`000000SKog08fom`0908fom`0300000023_OX0Pkgj00@0
Pkgj2`00000707fjnP030000001`]_/0L;Kk00P0L;Kk00<0000006:`nP1R/?X00`1R/?X<000000@0
DJSi00<0000004>PmP13X?H01P13X?H2000000@0=9Ka1000000203FHlP030000003oool0oooo01<0
oooo0P00000L0?ooo`005P3oool00`000000oooo0?ooo`0X0?ooo`800000302W_>P00`000000Xkk/
0:>nk0030:>nk0<000000P2S_^`4000000`0Xkk/00<0000009fol02M_o00202M_o05000000X0W;oa
00<0000009Fom02E_o@02`2E_o@00`000000SKog08fom`0408fom`/000001P28_OP00`000000OK[j
07fjnP0:07fjnP030000001`]_/0L;Kk00P0L;Kk00<0000006:`nP1R/?X0201R/?X00`000000DjSi
05>Xn@0305>Xn@P000001P13X?H2000000L0=9Ka1000000E0?ooo`030000003oool0oooo01X0oooo
000E0?ooo`800000:`3oool00`000000YkcX0:Nlj00;0:Nlj0030000002S_^`00000008000000P2S
_^`3000000@0Yk_X00<000000:>nk02S_^`02P2S_^`00`000000WKo`09fol00409fol0<00000102R
_Nd00`000000W;oa09bol@0909bol@030000002E_o@0UKod00T0UKod20000006096nm@0300000028
_OP0R;gh00T0R;gh00<0000007fjnP1m^_X02P1m^_X00`000000L;Kk072fn`08072fn`030000001R
/?X0H[3j00P0H[3j00<0000005>Xn@1CZ?T0201CZ?T00`000000A9oe0000000400000080@j3f0P00
000903BFl@8000005@3oool00`000000oooo0?ooo`0I0?ooo`005@3oool00`000000oooo0?ooo`0[
0?ooo`030000002W_>P0YkcX00T0YkcX0`0000020:>nk0<00000202W^nP00`000000Xkk/0:>nk00:
0:>nk0030000002M_o00WKo`00<00000202R_Nd00`000000W;oa09bol@0909bol@030000002E_o@0
UKod00@0UKod1000000309Vnl@030000002A__D0TKke00T0TKke00<0000008Rmn028_OP02@28_OP0
0`000000OK[j07fjnP0:07fjnP030000001`]_/0L;Kk00P0L;Kk00<0000006:`nP1R/?X0201R/?X0
0`000000DjSi05>Xn@0805>Xn@0300000014WoD0A9oe00<0A9oe1@00000:03BFl@030000003oool0
oooo01<0oooo00<000000?ooo`3oool0603oool001D0oooo00<000000?ooo`3oool0;03oool00`00
0000YkcX0:Nlj0050:Nlj0<000000P2W_>P3000000`0Yk_X00<000000:>nk02S_^`0202S_^`40000
00`0X[g]00<0000009bol@2L_o402@2L_o400`000000UKod09Fom003000000P0VKka00<00000096n
m@2A__D02@2A__D00`000000R;gh08Rmn00908Rmn0030000001m^_X0OK[j00@0OK[j6000000406:`
nP030000001CZ?T0DjSi00P0DjSi00<0000004BOm@14WoD01@14WoD5000000P0=9Ka00<000000?oo
o`3oool04P3oool00`000000oooo0?ooo`070?ooo`8000003`3oool001D0oooo0P00000^0?ooo`04
0000002W_>P0YkcX0:Nlj0<000000P2W_>P300000080Z[WT00<000000:Nkj02W^nP02`2W^nP00`00
0000Xkk/0:>nk0040:>nk0<000000`2V_>P00`000000X[g]0::mk@0;0::mk@030000002L_o40W;oa
00L0W;oa1000000<09Vnl@030000002A__D0TKke00T0TKke00<0000008Rmn028_OP01028_OP;0000
00L0PK[i00<0000007BfnP1d]_X0201d]_X00`000000I[3j06J`nP0306J`nP`00000101CZ?T00`00
0000A9oe04BOm@0504BOm@0400000014WoD0000003BEl@D00000100dU_400`000000oooo0?ooo`0A
0?ooo`8000001`3oool010000000oooo0?ooo`00000>0?ooo`001@0000030?ooo`800000103oool2
000000D0oooo00<000000?ooo`3oool0;P3oool3000000<0YkcX0P0000060:Zii0030000002W^nP0
Yk_X00/0Yk_X00<000000:>nk02S_^`00`0000070:Jlj0030000002R_Nd0X[g]00/0X[g]00@00000
09bol@2L_o40W;oa1@0000040:2mkP030000002I__40VKka00X0VKka00<00000096nm@2A__D01`2A
__D8000000L0S;cf00<00000086jn@21^_T02@21^_T00`000000M;Kj07BfnP0807BfnP030000001V
/?X0I[3j00P0I[3j00<0000005JYn01FZOP00`1FZOP8000000D0A9oe00<0000004BOm@0000001@0d
UO46000001@0oooo00<000000?ooo`3oool0103oool010000000oooo0?ooo`00000>0?ooo`0000D0
oooo0000003oool0oooo000000020?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool00000103oool00`000000oooo0?ooo`0/0?ooo`@0000000@0YkcX00000000000000002@2Z^N@0
0`000000Yk_X0:Nkj00:0:Nkj0<000002`2V_>P00`000000X[g]0::mk@090::mk@D000002P2P_Nh0
0`000000VKka09Vnl@0:09Vnl@040000002A__D0TKke096nm@D00000102F_O<00`000000S;cf08bl
mP0908blmP0300000021^_T0PK[i00T0PK[i00<0000007BfnP1d]_X0201d]_X00`000000I[3j06J`
nP0806J`nP030000001FZOP0EZWh00P0EZWh00<0000004FOm@000000100000001014WoD0000004BO
m@00000903BEl@8000004`3oool00`000000oooo0?ooo`040?ooo`040000003oool0oooo000000h0
oooo00020?ooo`030000003oool0oooo0080oooo00@000000?ooo`3oool000000P3oool010000000
oooo0?ooo`0000040?ooo`030000003oool0oooo02T0oooo0`0000040?ooo`030000002Z^N@0Z[WT
00/0Z[WT00<000000:Nkj02W^nP01P2W^nP3000000030:^ii0000000Y[cX00`0Y[cX00<000000::m
k@2R_Nd0102R_Nd4000000<0Y[cY00<000000:2mkP2P_Nh02P2P_Nh00`000000VKka09Vnl@0709Vn
l@H000002P2F_O<00`000000S;cf08blmP0908blmP0300000021^_T0PK[i00T0PK[i00<0000007Bf
nP1d]_X0201d]_X00`000000I[3j06J`nP0806J`nP030000001FZOP0EZWh00P0EZWh00<0000004FO
m@15WoD00`15WoD5000000T0=9Ga00<000000?ooo`3oool04P3oool00`000000oooo0?ooo`030?oo
o`040000003oool0oooo000000h0oooo00030?ooo`050000003oool0oooo0?ooo`0000000P3oool0
10000000oooo0?ooo`0000020?ooo`050000003oool0oooo0?ooo`000000:@3oool3000000P0oooo
00<000000:Zii02Z^N@02`2Z^N@00`000000Yk_X0:Nkj0030:Nkj08000001@2[^N@00`000000Y[cX
0:Jlj00;0:Jlj0030000002R_Nd0X[g]00<00000202V_>T00`000000X;g^0:2mkP0:0:2mkP040000
002I__40VKka09Vnl@D000000`2M_Nl00`000000U[gc09Jml`0;09Jml`030000002<_?H0S;cf00T0
S;cf00<00000086jn@21^_T01021^_TG000000@0I[3j00<0000005JYn01FZOP0201FZOP00`000000
AIoe04FOm@0404FOm@0300000015WoD0000000<000001`0dUO400`000000oooo0?ooo`0@0?ooo`<0
0000103oool010000000oooo0?ooo`00000>0?ooo`0000D000000?ooo`3oool0oooo000000020?oo
o`040000003oool0oooo00000080oooo00@000000?ooo`3oool000000`3oool2000002D0oooo0`00
000<0?ooo`030000002Z^N@0Z[WT00/0Z[WT00<000000:Nkj00000000P0000080:^ii0030000002V
_>P0Y[cX00X0Y[cX0`00000<0:Jlj@030000002P_Nh0X;g^00P0X;g^1@00000909fmk`030000002F
_O<0U[gc00/0U[gc00<0000008blmP2<_?H0102<_?H;000000H0Q[[g00<0000007Vgn@1i]oT0201i
]oT00`000000J[7j06ZanP0306ZanP`00000101FZOP00`000000AIoe04FOm@0404FOm@0500000015
WoD0AIoe0000000dU?401@00000303BEl@030000003oool0oooo00`0oooo0`0000000`3oool00000
000000050?ooo`8000003`3oool000050000003oool0oooo0?ooo`0000000P3oool010000000oooo
0?ooo`0000020?ooo`040000003oool0oooo000000<0oooo00<000000?ooo`3oool08@3oool30000
0100oooo00<000000:Zii02Z^N@02P2Z^N@2000000`0ZkWT00<000000:Jlj02V_>P01P2V_>P30000
0080Z[[U00<000000:Jlj@2V_>T02`2V_>T00`000000X;g^0:2mkP040:2mkP<000000`2T_>/00`00
0000WKg_09fmk`0909fmk`030000002F_O<0U[gc00T0U[gc20000006096lm00300000026^_L0Q[[g
00T0Q[[g00<0000007Vgn@1i]oT0201i]oT00`000000J[7j06ZanP0806ZanP030000001IZOP0FJWh
00<0FJWh2000000304FOm@0500000015WoD0AIoe04FOm@0000001@0dU?45000000X0oooo0`000005
0?ooo`030000003oool0oooo01@0oooo0000103oool000000000000000040?ooo`800000103oool2
000000@0oooo00<000000?ooo`3oool07`3oool2000001@0oooo00<000000:Zii02Z^N@01P2Z^N@3
000000030:jgh0000000ZkWT00`0ZkWT00<000000:Jlj02V_>P00`2V_>P2000000H0Z[[U00<00000
0:Jlj@2V_>T02`2V_>T00`000000X;g^0:2mkP03000000L0Y;c[00<0000009fmk`2M_Nl02@2M_Nl0
0`000000U[gc09Jml`0409Jml`@000000P2J_O000`000000TKcd096lm00:096lm00300000026^_L0
Q[[g00T0Q[[g00<0000007Vgn@1i]oT0201i]oT00`000000J[7j06ZanP0806ZanP030000001IZOP0
FJWh00P0FJWh00<0000004NOm@0000001000000304FOm@030000000dU?40=9Ca00H0=9Ca0P000006
0?ooo`<00000203oool00`000000oooo0?ooo`0D0?ooo`00503oool00`000000oooo0?ooo`0L0?oo
o`<000005`3oool00`000000Z[WT0:Zii0030:Zii08000001@2^]n000`000000ZkWT0:^ii00;0:^i
i0030000002V_>P00000008000002@2Z^^D00`000000Y[cY0:Jlj@090:Jlj@@000002`2T_>/00`00
0000WKg_09fmk`0909fmk`030000002F_O<0U[gc00<000001`2J_O000`000000TKcd096lm00:096l
m00300000026^_L0Q[[g00T0Q[[g00<0000007Vgn@1i]oT0201i]oT00`000000J[7j06ZanP0806Za
nP030000001IZOP0FJWh00P0FJWh00<0000004NOm@17WoD00`17WoD5000000T0=9Ca00<000000?oo
o`0000000`00000;0?ooo`030000003oool0oooo01@0oooo000C0?ooo`8000006`3oool3000001/0
oooo00<000000:Zii00000000P0000080:jgh0030000002[^N@0ZkWT00X0ZkWT0P00000=0:Zji@03
0000002V_>T0Y[cY00@0Y[cY100000030:VkiP030000002T_>/0Y;c[00X0Y;c[00<0000009fmk`2M
_Nl01`2M_Nl4000000/0V[g`00<00000096lm02A_?@02P2A_?@00`000000Q[[g08Jjm`0408JjmaL0
0000101Z/OX00`000000FJWh05VYn00805VYn00300000017WoD0Aioe00<0Aioe00<0000004NOm@17
WoD01000000703BDl@030000003oool0oooo00h0oooo00<000000?ooo`3oool04`3oool001@0oooo
00<000000?ooo`3oool05P3oool3000001l0oooo00<000000:jgh02^]n002P2^]n000`000000ZkWT
0:^ii0060:^ii0<000000P2^^>000`000000Z[[U0:Zji@0;0:Zji@030000002V_>T0Y[cY00<00000
202Y^nH00`000000Y;c[0:Blj`0:0:Blj`040000002M_Nl0WKg_09fmk`D00000102R_>`00`000000
V[g`09Zml00909Zml0030000002A_?@0TKcd00L0TKcd2@00000608ZjmP030000001m]oP0OKOh00P0
OKOh00<0000006jan@1^/OT00`1^/OT<000000@0FJWh00<0000004NOm@17WoD00P17WoD00`000000
Aioe04NOm@0204NOm@030000000eTo40000000@000000`0dU?400`000000oooo0?ooo`0=0?ooo`03
0000003oool0oooo01<0oooo000C0?ooo`030000003oool0oooo01@0oooo0`00000R0?ooo`030000
002^]n00[[OP00/0[[OP00<000000:^ii02[^N@00`2[^N@2000000H0[[SP00<000000:Zji@2Z^^D0
2P2Z^^D3000000`0ZK_V00<000000:Blj`2T_>/0202T_>/5000000X0X[c/00<0000009Zml02J_O00
2@2J_O0010000000TKcd096lm02A_?@5000000<0UKcb00<0000008ZjmP2:^_H02P2:^_H00`000000
OKOh07fgn00807fgn0030000001^/OT0K[7i00P0K[7i00<0000005bYn01LZOP00`1LZOP800000080
Aioe00<0000004NOm@17WoD00P17WoD00`000000=I?a03FCl@0303FCl@D000003P3oool00`000000
oooo0?ooo`0C0?ooo`004`3oool00`000000oooo0?ooo`0A0?ooo`<000009P3oool00`000000[[OP
0:jgh00;0:jgh0030000002[^N@00000008000002@2^^>000`000000Z[[U0:Zji@060:Zji@<00000
00<0[KSQ0000002Y^nH03@2Y^nH00`000000Y;c[0:Blj`040:Blj`<000000P2X^nL00`000000X[c/
0::lk00;0::lk0030000002J_O00V[g`00L0V[g`1@00000909FllP030000002:^_H0R[[f00X0R[[f
00<0000007fgn01m]oP0201m]oP00`000000K[7i06jan@0806jan@030000001LZOP0G:Wh00P0G:Wh
00<0000004VOmP0000001000000304NOm@030000000eTo40=I?a00H0=I?a0P00000=0?ooo`030000
003oool0oooo01<0oooo000C0?ooo`8000003`3oool3000002X0oooo00<000000:jgh02^]n002P2^
]n02000000d0[[SP00<000000:Zji@2Z^^D00`2Z^^D2000000D0[KSQ00<000000:VkiP2Y^nH0302Y
^nH00`000000Y;c[0:Blj`03000000H0Z;_W00<000000::lk02R_>`02`2R_>`010000000V[g`09Zm
l02J_O05000000@0W[c^00<0000009FllP2E_?80202E_?800`000000R[[f08ZjmP0:08ZjmP030000
001m]oP0OKOh00P0OKOh00<0000006jan@1^/OT0201^/OT00`000000G:Wh05bYn00805bYn0030000
0019WoH0BIof0080BIof1P00000803FCl@030000003oool0oooo00/0oooo00<000000?ooo`3oool0
4`3oool001<0oooo00<000000?ooo`3oool0303oool2000002h0oooo00<000000:jgh02^]n001P2^
]n03000000030;2eg0000000[[SP00d0[[SP00<000000:Zji@0000000P0000080:fhh@030000002Y
^nH0ZK_V00/0ZK_V0`00000:0:Rki`030000002R_>`0X[c/00T0X[c/1@00000:09jlkP030000002E
_?80UKcb00P0UKcb00<0000008ZjmP2:^_H01`2:^_HE000000@0K[7i00<0000005bYn01LZOP0201L
ZOP01@000000BIof04VOmP19WoH0000000@0BIof1000000603FCl@030000003oool0oooo00X0oooo
00<000000?ooo`3oool04`3oool001<0oooo00<000000?ooo`3oool02@3oool300000340oooo00<0
00000:jgh02^]n000`2^]n02000000D0/;GL00<000000:jhh02^^>002`2^^>02000000`0[KSQ00<0
00000:VkiP2Y^nH01`2Y^nH3000000030:bih`000000Z;_W00/0Z;_W00<000000::lk02R_>`0102R
_>`400000080YKcY00<0000009jlkP2N_>h02`2N_>h00`000000UKcb09FllP0809FllP040000002:
^_H0R[[f08ZjmPD000000`2>^o@00`000000PKOg086gm`09086gm`030000001a/_T0LK;i00<0LK;i
3000000405bYn00500000019WoH0BIof04VOmP0000001@19WoH00`000000=Y?`00000003000000<0
=I?a00<000000?ooo`3oool02@3oool00`000000oooo0?ooo`0C0?ooo`004`3oool00`000000oooo
0?ooo`060?ooo`<00000=@3oool00`000000[[OP00000002000000P0/;GL00<000000:jhh02^^>00
202^^>02000000030;6fg@000000[KSQ00`0[KSQ00<000000:VkiP2Y^nH00`2Y^nH3000000D0[;WS
00<000000:Rki`2X^nL02P2X^nL00`000000X[c/0::lk003000000L0YKcY00<0000009jlkP2N_>h0
2`2N_>h00`000000UKcb09FllP0309FllPP000002@2>^o@00`000000PKOg086gm`09086gm`030000
001a/_T0LK;i00P0LK;i00<0000005nZn01OZ_P00`1OZ_P:000000D0BIof00<0000003JCl00fTo00
0P0fTo05000000/0oooo00<000000?ooo`3oool04P3oool001<0oooo00<000000?ooo`3oool00`3o
ool3000003T0oooo00<000000;2eg02`]M`02P2`]M`00`000000[[SP0:jhh0050:jhh0800000102a
]]d00`000000[KSQ0:fhh@0;0:fhh@030000002Y^nH00000008000002@2/^N<00`000000Z;_W0:Rk
i`080:Rki`@000002`2U_>T00`000000W[c^09jlkP0909jlkPL000001P2I_?000`000000S[_d08jk
m00908jkm00300000021]oL0PKOg00T0PKOg00<00000076bn@1a/_T0201a/_T00`000000Gj[h05nZ
n00705nZn0040000001<WoH0C9of04bOmPH0000000<0BIof0000000fTo001P0fTo02000000X0oooo
00<000000?ooo`3oool04P3oool00180oooo0P0000020?ooo`<00000?03oool00`000000/;GL0;2e
g00;0;2eg0030000002^^>00[[SP0080[[SP0P0000070;6fg@030000002]^>40[KSQ00X0[KSQ0P00
000=0:bih`030000002X^nL0Z;_W00@0Z;_W0`0000030:^ji0030000002U_>T0YKcY00X0YKcY00<0
000009jlkP2N_>h0102N_>h400000080X[c/00<0000009Vll02I_?002@2I_?000`000000S[_d08jk
m00908jkm00300000021]oL0PKOg00T0PKOg00<00000076bn@1a/_T0201a/_T00`000000Gj[h05nZ
n00705nZn0050000001<WoH0C9of04bOmP000000101<WoH5000000H0=Y?`00<000000?ooo`3oool0
1`3oool00`000000oooo0?ooo`0B0?ooo`004P3oool400000400oooo00<000000;2eg02`]M`02`2`
]M`010000000[[SP00000000000:0;6fg@030000002]^>40[KSQ00H0[KSQ0`0000020;2ggP030000
002/^N<0[;WS00/0[;WS00<000000:Rki`2X^nL00`0000070:^ji0030000002U_>T0YKcY00X0YKcY
00<0000009jlkP2N_>h00`0000070::lk0030000002I_?00VKc`00T0VKc`00<0000008jkm02>^o@0
2@2>^o@00`000000PKOg086gm`04086gma@000001P1OZ_P01@000000C9of04bOmP1<WoH0000000D0
C9of00<0000003NCl00gTo000`00000403JCl0030000003oool0oooo00H0oooo00<000000?ooo`3o
ool04P3oool00180oooo0P0000130?ooo`030000002`]M`0/;GL00X0/;GL0P00000=0;6fg@030000
002]^>40[KSQ00<0[KSQ0P0000060;2ggP030000002/^N<0[;WS00X0[;WS0`00000;0:^ji0030000
002U_>T0YKcY00P0YKcY1000000;0::lk0030000002I_?00VKc`00T0VKc`00<0000008jkm02>^o@0
102>^o@;000000H0QKSf00<0000007Jcn01f/oP0201f/oP00`000000Hj_h06>[n0060000000305nZ
n0000000C9of0080C9of00<0000004bOmP1<WoH00`1<WoH00`000000=i?`03NCl00203NCl0<00000
0P0fTo000`000000oooo0?ooo`050?ooo`030000003oool0oooo0180oooo000D0?ooo`030000003o
ool0oooo0440oooo00<000000;2eg02`]M`01P2`]M`3000000030;>cf0000000/KKM00d0/KKM00<0
00000:fhh@0000000P0000090;2ggP030000002/^N<0[;WS00H0[;WS0`0000000`2_^=l000000:^j
i00<0:^ji0030000002U_>T0YKcY00@0YKcY0`0000020:VkiP030000002R_>`0X[c/00/0X[c/00<0
000009Vll02I_?001`2I_?08000000H0T[_b00<0000008FhmP25^?H02@25^?H00`000000M[?h07Jc
n00807Jcn0030000001SZoP0Hj_h00D0Hj_h1P00000604bOmP030000000gTo00=i?`00@0=i?`1000
00060?ooo`030000003oool0oooo0180oooo000E0?ooo`030000003oool0oooo0440oooo00<00000
0;2eg02`]M`00`2`]M`2000000D0/k?H00<000000;6fg@2a]]d02`2a]]d2000000d0/;ON00<00000
0:bih`2/^N<00`2/^N<2000000D0[kSO00<000000:^ji02[^^@02`2[^^@00`000000YKcY0:Flj@03
000000H0ZK_V00<000000::lk02R_>`02`2R_>`010000000VKc`09Vll02I_?05000000<0WKc^00<0
000009:klP2B^o802@2B^o800`000000QKSf08FhmP0908FhmP030000001f/oP0M[?h00P0M[?h00<0
000006>[n01SZoP0201SZoP00`000000CZ3f000000050000000304bOmP000000=i?`00L0=i?`0P00
00050?ooo`030000003oool0oooo0180oooo000F0?ooo`030000003oool0oooo0440oooo00<00000
0;2eg00000000P0000080;>cf0030000002a]]d0/KKM00P0/KKM0P0000000`2c]=T000000;2ggP0=
0;2ggP030000002/^N<0000000800000202_^=l00`000000Zk[T0:^ji00:0:^ji0<000002P2Y^nH0
0`000000X[c/0::lk0090::lk0D000002@2M_>h00`000000T[_b09:klP0909:klP0300000025^?H0
QKSf00T0QKSf00<0000007Jcn01f/oP0201f/oP00`000000Hj_h06>[n00806>[n0030000001>X?H0
000000@0CZ3f1@00000603NCl0030000003oool0oooo00@0oooo00<000000?ooo`3oool04@3oool0
01L0oooo0P0000120?ooo`030000002c/mP0/k?H00X0/k?H00<000000;6fg@2a]]d01@2a]]d20000
00@0/kCI00<000000;2ggP2`]mh02`2`]mh2000000`0[kSO00<000000:^ji02[^^@01P2[^^@30000
00030:jihP000000ZK_V00/0ZK_V00<000000::lk02R_>`0102R_>`4000000<0YK_Y00<0000009fl
kP2M_>h02@2M_>h00`000000T[_b09:klP0909:klP0300000025^?H0QKSf00@0QKSf5`00000406>[
n0030000001>X?H0000000H0CZ3f00<0000003RCl@0000000P00000403NCl0030000003oool0oooo
00<0oooo00<000000?ooo`3oool04@3oool001T0oooo00<000000?ooo`3oool0?`3oool00`000000
/k?H0;>cf00;0;>cf0030000002a]]d0/KKM0080/KKM0P0000070;>df@030000002`]mh0/;ON00P0
/;ON0P0000000`2c]]/000000:nhg`0<0:nhg`030000002[^^@0Zk[T00<0Zk[T0P0000050:jihP03
0000002Y^nH0ZK_V00X0ZK_V00<000000::lk02R_>`00`0000080:Fkj@030000002M_>h0WKc^00T0
WKc^00<0000009:klP2B^o80102B^o8;000001L0oooo2000000604jPmP040000000hTo40>9?a03RC
l@<000000P0gTo000`000000oooo0?ooo`020?ooo`030000003oool0oooo0140oooo000J0?ooo`03
0000003oool0oooo03l0oooo00<000000;>cf02c/mP02`2c/mP010000000/KKM00000000000:0;>d
f@030000002`]mh0/;ON00D0/;ON0P0000040;>ff`030000002_^=l0[kSO00/0[kSO00<000000:^j
i00000000P0000080:jihP030000002Y^nH0ZK_V00P0ZK_V1000000<0:Fkj@030000002M_>h0WKc^
00L0WKc^2000000Y0?ooo`D000000`1>X?H00`000000>9?a03RCl@0303RCl@@000000`3oool00`00
0000oooo0?ooo`0A0?ooo`006`3oool00`000000oooo0?ooo`0o0?ooo`030000002c/mP0/k?H00X0
/k?H0P00000=0;>df@030000002`]mh0/;ON0080/;ON0P0000070;>ff`030000002_^=l0[kSO00X0
[kSO0P00000<0:jihP030000002Y^nH0ZK_V00@0ZK_V0`0000040:bji0030000002U^nT0YK_Y00X0
YK_Y00@0000009flkP2M_>h0WKc^1@00000b0?ooo`040000003oool0oooo0?ooo`D000001`0hTo42
00000080oooo00<000000?ooo`3oool04@3oool001`0oooo00<000000?ooo`3oool0?`3oool00`00
0000/k?H0;>cf0070;>cf080000000<0][;E0000002c]=T03@2c]=T010000000/;ON00000000000:
0;>ff`030000002_^=l0[kSO00H0[kSO0`0000000`2b]m`000000:jihP0<0:jihP030000002Y^nH0
ZK_V00<00000202/^^@00`000000YK_Y0:Fkj@080:Fkj@D00000>03oool00`000000oooo0?ooo`04
0?ooo`@000001P0hTo400`000000oooo0000000C0?ooo`007@3oool200000400oooo00<000000;>c
f02c/mP0102c/mP2000000@0][;E00<000000;>df@2c]=T02`2c]=T2000000d0/kKK00<000000:nh
g`2_^=l00`2_^=l2000000D0/[OL00<000000:jihP2^^N802P2^^N83000000`0[;[T00<000000:Fk
j@2U^nT0102U^nT3000003d0oooo00<000000?ooo`3oool0203oool4000000<0>9?a0P00000C0?oo
o`007`3oool00`000000oooo0?ooo`0n0?ooo`030000002c/mP0/k?H0080/k?H00<000000;Jbe@2f
/]D01@2f/]D00`000000/kCI0;>df@080;>df@80000000<0][?F0000002c]]/03@2c]]/00`000000
[kSO00000002000000P0/[OL00<000000:jihP2^^N801P2^^N83000000030;6hgP000000[;[T00d0
[;[T00<000000:Fkj@2U^nT00`0000110?ooo`030000003oool0oooo00/0oooo1P00000B0?ooo`00
803oool00`000000oooo0?ooo`0n0?ooo`040000002c/mP00000000000T0][;E00<000000;>df@2c
]=T01@2c]=T2000000@0][?F00<000000;>ff`2c]]/02`2c]]/2000000`0/[OL00<000000:jihP2^
^N800`2^^N82000000D0/KSN00<000000:bji02/^^@02`2/^^@3000004D0oooo00<000000?ooo`3o
ool03P3oool200000180oooo000Q0?ooo`030000003oool0oooo03h0oooo00<000000;Jbe@2f/]D0
2P2f/]D00`000000/kCI0;>df@020;>df@8000001`2f/mH00`000000/kKK0;>ff`080;>ff`800000
00<0][CH0000002b]m`0302b]m`00`000000[[WR00000002000000P0/KSN00<000000:bji02/^^@0
1`2/^^@3000004P0oooo00<000000?ooo`3oool03`3oool00`000000oooo0?ooo`0@0?ooo`008P3o
ool2000003h0oooo00<000000;Jbe@2f/]D02`2f/]D010000000/kCI00000000000:0;JceP030000
002c]]/0/kKK00D0/kKK0P0000040;Jdf0030000002b]m`0/[OL00X0/[OL0P00000<0;6hgP030000
002/^^@0[;[T00<0[;[T0`00001<0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0
403oool002@0oooo00<000000?ooo`3oool0?03oool00`000000][;E0;Jbe@0:0;Jbe@8000003@2f
/mH00`000000/kKK0;>ff`020;>ff`8000001`2f]=P00`000000/[OL0;:gg0070;:gg08000000P2e
]]X00`000000/KSN0;6hgP0:0;6hgP030000002/^^@0000000800000D03oool00`000000oooo0?oo
o`0=0?ooo`030000003oool0oooo0100oooo000U0?ooo`030000003oool0oooo03`0oooo00<00000
0;Jbe@2f/]D01`2f/]D2000000030;R`dP000000][?F00d0][?F00@000000;>ff`00000000002P2f
]=P00`000000/[OL0;:gg0040;:gg08000001@2e]]X00`000000/KSN0;6hgP090;6hgP800000E03o
ool00`000000oooo0?ooo`0<0?ooo`030000003oool0oooo0100oooo000V0?ooo`030000003oool0
oooo03`0oooo00<000000;Jbe@2f/]D0102f/]D2000000@0^;3B00<000000;JceP2f/mH02`2f/mH2
000000`0][CH00<000000;:gg02b]m`00P2b]m`2000000P0]KKJ00<000000;6hgP2a^=h01P2a^=h2
000005H0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0@0?ooo`009`3oool20000
03d0oooo00<000000;Jbe@2f/]D00P2f/]D00`000000^;3B0;R`dP050;R`dP030000002f/mH0][?F
00P0][?F0P0000000`2h/]<000000;Jdf00<0;Jdf0040000002b]m`00000000000/0]KKJ00<00000
0;6hgP2a^=h00P2a^=h3000005T0oooo00<000000?ooo`3oool0303oool00`000000oooo0?ooo`0?
0?ooo`00:@3oool00`000000oooo0?ooo`0k0?ooo`040000002f/]D00000000000T0^;3B00<00000
0;JceP2f/mH01@2f/mH2000000@0^;;C00<000000;Jdf02f]=P02P2f]=P2000000h0]KKJ00@00000
0;6hgP0000000000G@3oool00`000000oooo0?ooo`0;0?ooo`030000003oool0oooo00l0oooo000Z
0?ooo`030000003oool0oooo03/0oooo00<000000;R`dP2h/=802P2h/=800`000000][?F0;JceP02
0;JceP8000001`2h/]<00`000000][CH0;Jdf0070;Jdf08000000P2h/mD00`000000]KKJ0;FffP0;
0;FffP800000H03oool00`000000oooo0?ooo`0:0?ooo`030000003oool0oooo00l0oooo000[0?oo
o`030000003oool0oooo03X0oooo00<000000;R`dP2h/=802`2h/=8010000000][?F00000000000:
0;Rbd`030000002f]=P0][CH00@0][CH0P0000050;Rce@030000002e]]X0]KKJ00P0]KKJ0P00001R
0?ooo`030000003oool0oooo00X0oooo00<000000?ooo`3oool03`3oool002`0oooo00<000000?oo
o`3oool0>P3oool00`000000^;3B0;R`dP0:0;R`dP8000003@2h/]<00`000000][CH0;Jdf0020;Jd
f0030000002h/mD0^;?E00H0^;?E00<000000;FffP2e]]X01@2e]]X2000006D0oooo00<000000?oo
o`3oool02@3oool00`000000oooo0?ooo`0?0?ooo`00;@3oool2000003/0oooo00<000000;R`dP2h
/=801`2h/=82000000030;Z_c`000000^;;C00d0^;;C00@000000;Jdf000000000002P2h/mD00`00
0000]KKJ0;FffP020;FffP800000J03oool00`000000oooo0?ooo`080?ooo`030000003oool0oooo
00l0oooo000_0?ooo`030000003oool0oooo03P0oooo00<000000;R`dP2h/=801P2h/=800`000000
^Zo?0;Z_c`020;Z_c`030000002h/]<0^;;C00/0^;;C0P00000=0;Rce@040000002e]]X000000000
06X0oooo00<000000?ooo`3oool0203oool00`000000oooo0?ooo`0?0?ooo`00<03oool00`000000
oooo0?ooo`0h0?ooo`030000002h/=80^;3B00<0^;3B0P0000060;Z_c`030000002h/]<0^;;C00P0
^;;C0P0000000`2j/M0000000;Rce@0<0;Rce@800000K@3oool00`000000oooo0?ooo`080?ooo`03
0000003oool0oooo00h0oooo000a0?ooo`030000003oool0oooo03L0oooo00@000000;R`dP2h/=80
^;3B0P0000090;Z_c`030000002h/]<0^;;C00H0^;;C00<000000;Zad02j/M000P2j/M000`000000
^;?E0;Rce@080;Rce@800000L03oool00`000000oooo0?ooo`070?ooo`030000003oool0oooo00h0
oooo000b0?ooo`800000>03oool00`000000^;3B0000000;0;Z_c`030000002h/]<0^;;C00@0^;;C
0P0000060;Zad0030000002h/mD0^;?E00H0^;?E00<000000?ooo`3oool0L@3oool00`000000oooo
0?ooo`060?ooo`030000003oool0oooo00h0oooo000d0?ooo`030000003oool0oooo03H0oooo00<0
00000;Z_c`2j[ll02`2j[ll010000000^;;C0;Rbd`2h/]<2000000T0^[7@00<000000;Rce@2h/mD0
0`2h/mD2000007@0oooo00<000000?ooo`3oool01P3oool00`000000oooo0?ooo`0>0?ooo`00=@3o
ool00`000000oooo0?ooo`0e0?ooo`030000002j[ll0^Zo?00`0^Zo?00<000000;Rbd`0000002`2j
/M0010000000^;?E0;Rce@2h/mD2000007L0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0>0?ooo`00=P3oool00`000000oooo0?ooo`0e0?ooo`030000002j[ll0^Zo?00/0^Zo?0P00
000=0;Zad0030000002h/mD0000007X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0>0?ooo`00=`3oool2000003H0oooo00<000000;Z_c`2j[ll0202j[ll2000000030;b^c0000000
^[7@00`0^[7@0P00001l0?ooo`030000003oool0oooo00<0oooo00<000000?ooo`3oool03P3oool0
03T0oooo00<000000?ooo`3oool0=03oool00`000000^Zo?0;Z_c`060;Z_c`030000002l[/`0_:k<
0080_:k<00<000000;Zad02j/M00202j/M02000007h0oooo00<000000?ooo`3oool0103oool00`00
0000oooo0?ooo`0=0?ooo`00>P3oool00`000000oooo0?ooo`0c0?ooo`030000002j[ll0^Zo?00@0
^Zo?0P0000060;b^c0030000002j/M00^[7@00H0^[7@00<000000?ooo`3oool0O`3oool00`000000
oooo0?ooo`030?ooo`030000003oool0oooo00d0oooo000k0?ooo`030000003oool0oooo03<0oooo
00@000000;Z_c`2j[ll0^Zo?0P0000090;b^c0030000002j/M00^[7@00<0^[7@0P0000230?ooo`03
0000003oool0oooo0080oooo00<000000?ooo`3oool03@3oool003`0oooo00<000000?ooo`3oool0
<`3oool00`000000^Zo?0000000;0;b^c0040000002j/M00^[7@0;Zad0800000QP3oool01@000000
oooo0?ooo`3oool0000000l0oooo000m0?ooo`800000=03oool00`000000_:k<0;b^c00;0;b^c003
0000002j/M00000008P0oooo00D000000?ooo`3oool0oooo0000000?0?ooo`00?`3oool00`000000
oooo0?ooo`0a0?ooo`030000002l[/`0_:k<00/0_:k<0P00002:0?ooo`040000003oool0oooo0000
00l0oooo00100?ooo`030000003oool0oooo0340oooo00<000000;b^c02l[/`02@2l[/`00`000000
oooo0?ooo`2;0?ooo`030000003oool0000000l0oooo00110?ooo`030000003oool0oooo0340oooo
00<000000;b^c02l[/`01`2l[/`00`000000oooo0?ooo`2<0?ooo`040000003oool0oooo000000h0
oooo00120?ooo`800000<P3oool00`000000_:k<0;b^c0040;b^c0800000T03oool00`000000oooo
0000000>0?ooo`00A03oool00`000000oooo0?ooo`0_0?ooo`030000002l[/`0_:k<00<0_:k<00<0
00000?ooo`3oool0T@3oool2000000h0oooo00150?ooo`030000003oool0oooo02l0oooo00D00000
0;b^c02l[/`0_:k<0000002C0?ooo`<000003P3oool004H0oooo00<000000?ooo`3oool0;`3oool0
0`000000_:k<0000002@0?ooo`@000004@3oool004L0oooo0P00000_0?ooo`800000SP3oool30000
01D0oooo00190?ooo`030000003oool0oooo02`0oooo00<000000?ooo`3oool0R@3oool4000001P0
oooo001:0?ooo`030000003oool0oooo02/0oooo00<000000?ooo`3oool0Q@3oool4000001`0oooo
001;0?ooo`030000003oool0oooo02X0oooo00<000000?ooo`3oool0P@3oool400000200oooo001<
0?ooo`800000:P3oool00`000000oooo0?ooo`1n0?ooo`<00000903oool004h0oooo00<000000?oo
o`3oool09`3oool00`000000oooo0?ooo`1j0?ooo`@000009`3oool004l0oooo00<000000?ooo`3o
ool09P3oool00`000000oooo0?ooo`1f0?ooo`@00000:`3oool00500oooo00<000000?ooo`3oool0
9@3oool00`000000oooo0?ooo`1b0?ooo`@00000;`3oool00540oooo00<000000?ooo`3oool0903o
ool00`000000oooo0?ooo`1_0?ooo`<00000<`3oool00580oooo0P00000T0?ooo`030000003oool0
oooo06/0oooo1000000f0?ooo`00E03oool00`000000oooo0?ooo`0Q0?ooo`030000003oool0oooo
06L0oooo1000000j0?ooo`00E@3oool00`000000oooo0?ooo`0P0?ooo`030000003oool0oooo06<0
oooo1000000n0?ooo`00EP3oool00`000000oooo0?ooo`0O0?ooo`030000003oool0oooo0600oooo
0`0000120?ooo`00E`3oool2000001l0oooo00<000000?ooo`3oool0G03oool4000004D0oooo001I
0?ooo`030000003oool0oooo01`0oooo00<000000?ooo`3oool0F03oool4000004T0oooo001J0?oo
o`030000003oool0oooo01/0oooo00<000000?ooo`3oool0E03oool4000004d0oooo001K0?ooo`03
0000003oool0oooo01X0oooo00<000000?ooo`3oool0D@3oool300000540oooo001L0?ooo`800000
6P3oool00`000000oooo0?ooo`1=0?ooo`@00000E03oool005h0oooo00<000000?ooo`3oool05`3o
ool00`000000oooo0?ooo`190?ooo`@00000F03oool005l0oooo00<000000?ooo`3oool05P3oool0
0`000000oooo0?ooo`150?ooo`@00000G03oool00600oooo00<000000?ooo`3oool05@3oool00`00
0000oooo0?ooo`110?ooo`@00000H03oool00640oooo00<000000?ooo`3oool0503oool00`000000
oooo0?ooo`0n0?ooo`<00000I03oool00680oooo0P00000D0?ooo`030000003oool0oooo03X0oooo
1000001W0?ooo`00I03oool00`000000oooo0?ooo`0A0?ooo`030000003oool0oooo03H0oooo1000
001[0?ooo`00I@3oool00`000000oooo0?ooo`0@0?ooo`030000003oool0oooo0380oooo1000001_
0?ooo`00IP3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo02l0oooo0`00001c0?oo
o`00I`3oool2000000h0oooo00<000000?ooo`3oool0;03oool4000007H0oooo001Y0?ooo`030000
003oool0oooo00/0oooo00<000000?ooo`3oool0:03oool4000007X0oooo001Z0?ooo`030000003o
ool0oooo00X0oooo00<000000?ooo`3oool0903oool4000007h0oooo001[0?ooo`030000003oool0
oooo00T0oooo00<000000?ooo`3oool08@3oool300000880oooo001/0?ooo`8000002@3oool00`00
0000oooo0?ooo`0M0?ooo`@00000Q@3oool006h0oooo00<000000?ooo`3oool01P3oool00`000000
oooo0?ooo`0I0?ooo`@00000R@3oool006l0oooo00<000000?ooo`3oool01@3oool00`000000oooo
0?ooo`0E0?ooo`@00000S@3oool00700oooo00<000000?ooo`3oool0103oool00`000000oooo0?oo
o`0B0?ooo`<00000T@3oool00740oooo00<000000?ooo`3oool00`3oool00`000000oooo0?ooo`0>
0?ooo`@00000U03oool00780oooo0P0000030?ooo`030000003oool0oooo00X0oooo1000002H0?oo
o`00M03oool010000000oooo0?ooo`0000080?ooo`@00000W03oool007D0oooo00<000000?ooo`00
00001@3oool300000:00oooo001f0?ooo`80000000<0oooo0000000000000P00002S0?ooo`00M`3o
ool200000:L0oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo003o0?ooob40oooo
003o0?ooob40oooo003o0?ooob40oooo0000\
\>"],
  ImageRangeCache->{{{0, 287}, {232.562, 0}} -> {-0.0678067, -0.00450683, \
0.00372869, 0.00372869}},
  CellTags->"Symbolic Optimization"]
}, Open  ]],

Cell["Plot of merit function space.", "Commentary",
  CellTags->"Symbolic Optimization"],

Cell["Next we calculate the minimization roots for the system.", "Text",
  CellTags->"Symbolic Optimization"],

Cell[BoxData[
    \({{c1 \[Rule] \(\(0.16954556575633598`\)\(\[InvisibleSpace]\)\) + 
            0.020590516802129245`\ \[ImaginaryI], 
        c2 \[Rule] \(\(1.251490330271126`\)\(\[InvisibleSpace]\)\) + 
            1.3089704217941889`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.16954556575633598`\)\(\[InvisibleSpace]\)\) - 
            0.020590516802129245`\ \[ImaginaryI], 
        c2 \[Rule] \(\(1.251490330271126`\)\(\[InvisibleSpace]\)\) - 
            1.3089704217941889`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.13061120630016487`\)\(\[InvisibleSpace]\)\) + 
            0.02652648764814379`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.7604688083997153`\) + 
            0.7026158178733534`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.13061120630016487`\)\(\[InvisibleSpace]\)\) - 
            0.02652648764814379`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.7604688083997153`\) - 
            0.7026158178733534`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.17951530378671923`\)\(\[InvisibleSpace]\)\) + 
            0.02365885108760916`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.28329436254319396`\)\(\[InvisibleSpace]\)\) + 
            0.7497350344106906`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.17951530378671923`\)\(\[InvisibleSpace]\)\) - 
            0.02365885108760916`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.28329436254319396`\)\(\[InvisibleSpace]\)\) - 
            0.7497350344106906`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.12467221460986819`\)\(\[InvisibleSpace]\)\) + 
            0.028636337463970193`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.3465776553339355`\) + 
            0.7009605901488529`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.12467221460986819`\)\(\[InvisibleSpace]\)\) - 
            0.028636337463970193`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.3465776553339355`\) - 
            0.7009605901488529`\ \[ImaginaryI]}, {c1 \[Rule] 
          0.19648253627143814`, 
        c2 \[Rule] \(-0.5101097881916873`\)}, {c1 \[Rule] \
\(\(0.11732123708939046`\)\(\[InvisibleSpace]\)\) + 
            0.08081441482592609`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.11990595745108226`\) + 
            0.23928874280832446`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.11732123708939046`\)\(\[InvisibleSpace]\)\) - 
            0.08081441482592609`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.11990595745108226`\) - 
            0.23928874280832446`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.0935926604402102`\)\(\[InvisibleSpace]\)\) + 
            0.05687824361086165`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.028934472310938125`\) + 
            0.2074531735582159`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.0935926604402102`\)\(\[InvisibleSpace]\)\) - 
            0.05687824361086165`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.028934472310938125`\) - 
            0.2074531735582159`\ \[ImaginaryI]}, {c1 \[Rule] 
          0.142196250865305`, 
        c2 \[Rule] \(-0.20758411233435584`\)}, {c1 \[Rule] \
\(\(0.031273756509361074`\)\(\[InvisibleSpace]\)\) + 
            0.3008707886524098`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.09753641098624773`\) + 
            0.0393226032157823`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.031273756509361074`\)\(\[InvisibleSpace]\)\) - 
            0.3008707886524098`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.09753641098624773`\) - 
            0.0393226032157823`\ \[ImaginaryI]}, {c1 \[Rule] \
\(-0.017241847423865968`\) + 0.4112504252124312`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.09940804255060251`\) + 
            0.028095403743764038`\ \[ImaginaryI]}, {c1 \[Rule] \
\(-0.017241847423865968`\) - 0.4112504252124312`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.09940804255060251`\) - 
            0.028095403743764038`\ \[ImaginaryI]}, {c1 \[Rule] \
\(-0.011502932475148697`\) - 0.2900759822545228`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04832168890531101`\)\(\[InvisibleSpace]\)\) + 
            0.013617654644988821`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.06405019024005053`\)\(\[InvisibleSpace]\)\) + 
            0.004093764182108772`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04832168890531101`\)\(\[InvisibleSpace]\)\) + 
            0.013617654644988821`\ \[ImaginaryI]}, {c1 \[Rule] \
\(-0.011502932475148697`\) + 0.2900759822545228`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04832168890531101`\)\(\[InvisibleSpace]\)\) - 
            0.013617654644988821`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.06405019024005053`\)\(\[InvisibleSpace]\)\) - 
            0.004093764182108772`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04832168890531101`\)\(\[InvisibleSpace]\)\) - 
            
            0.013617654644988821`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.013249459402857999`\)\(\[InvisibleSpace]\)\) - 
            0.20046277486358782`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04481003951636746`\)\(\[InvisibleSpace]\)\) + 
            0.019825758140263994`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.06323209481307357`\)\(\[InvisibleSpace]\)\) + 
            0.006110451197357564`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04481003951636746`\)\(\[InvisibleSpace]\)\) + 
            0.019825758140263994`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.013249459402857999`\)\(\[InvisibleSpace]\)\) + 
            0.20046277486358782`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04481003951636746`\)\(\[InvisibleSpace]\)\) - 
            0.019825758140263994`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.06323209481307357`\)\(\[InvisibleSpace]\)\) - 
            0.006110451197357564`\ \[ImaginaryI], 
        c2 \[Rule] \(\(0.04481003951636746`\)\(\[InvisibleSpace]\)\) - 
            0.019825758140263994`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.041678762910495784`\)\(\[InvisibleSpace]\)\) + 
            0.016075518850608386`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.013427375882375905`\) + 
            0.030161925195586477`\ \[ImaginaryI]}, {c1 \[Rule] \
\(\(0.041678762910495784`\)\(\[InvisibleSpace]\)\) - 
            0.016075518850608386`\ \[ImaginaryI], 
        c2 \[Rule] \(-0.013427375882375905`\) - 
            0.030161925195586477`\ \[ImaginaryI]}, {c1 \[Rule] 
          0.04179100636527728`, 
        c2 \[Rule] \(-0.008002448497133902`\)}}\)], "Output",
  CellTags->"Symbolic Optimization"],

Cell["Minimization roots to symbolic merit function.", "Commentary",
  CellTags->"Symbolic Optimization"],

Cell["\<\
Finally, we isolate the global minimum from the polynomial roots.\
\
\>", "Text",
  CellTags->"Symbolic Optimization"],

Cell[BoxData[
    \({{0.0009893066544307406`, {c1 \[Rule] 0.04179100636527728`, 
          c2 \[Rule] \(-0.008002448497133902`\)}}}\)], "Output",
  CellTags->"Symbolic Optimization"],

Cell["Here is a plot of the globally optimized system.", "Text",
  CellTags->"Symbolic Optimization"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .53 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.00952381 0.279286 0.00952381 [
[.59524 .10786 -3 -4.5 ]
[.59524 .10786 3 4.5 ]
[.97619 .01262 -3 -4.5 ]
[.97619 .01262 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .53 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
.5 g
.55033 .13643 m
.68187 .13643 L
.68666 .18405 L
.52085 .18405 L
.55033 .13643 L
F
.52085 .18405 m
.68666 .18405 L
.68952 .23167 L
.50503 .23167 L
.52085 .18405 L
F
.50503 .23167 m
.68952 .23167 L
.69048 .27929 L
.5 .27929 L
.50503 .23167 L
F
.5 .27929 m
.69048 .27929 L
.68952 .3269 L
.50503 .3269 L
.5 .27929 L
F
.50503 .3269 m
.68952 .3269 L
.68666 .37452 L
.52085 .37452 L
.50503 .3269 L
F
.52085 .37452 m
.68666 .37452 L
.68187 .42214 L
.55033 .42214 L
.52085 .37452 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.55033 .13643 m
.52085 .18405 L
.50503 .23167 L
.5 .27929 L
.50503 .3269 L
.52085 .37452 L
.55033 .42214 L
.68187 .42214 L
.68666 .37452 L
.68952 .3269 L
.69048 .27929 L
.68952 .23167 L
.68666 .18405 L
.68187 .13643 L
.55033 .13643 L
s
.5 g
.55033 .27929 m
.68187 .27929 L
.68666 .27929 L
.52085 .27929 L
.55033 .27929 L
F
.52085 .27929 m
.68666 .27929 L
.68952 .27929 L
.50503 .27929 L
.52085 .27929 L
F
.50503 .27929 m
.68952 .27929 L
.69048 .27929 L
.5 .27929 L
.50503 .27929 L
F
.5 .27929 m
.69048 .27929 L
.68952 .27929 L
.50503 .27929 L
.5 .27929 L
F
.50503 .27929 m
.68952 .27929 L
.68666 .27929 L
.52085 .27929 L
.50503 .27929 L
F
.52085 .27929 m
.68666 .27929 L
.68187 .27929 L
.55033 .27929 L
.52085 .27929 L
F
0 g
.55033 .27929 m
.52085 .27929 L
.50503 .27929 L
.5 .27929 L
.50503 .27929 L
.52085 .27929 L
.55033 .27929 L
.68187 .27929 L
.68666 .27929 L
.68952 .27929 L
.69048 .27929 L
.68952 .27929 L
.68666 .27929 L
.68187 .27929 L
.55033 .27929 L
s
.55033 .42214 m
.68187 .42214 L
.68187 .41728 L
.55033 .41728 L
.55033 .42214 L
s
.55033 .41728 m
.68187 .41728 L
.68187 .403 L
.55033 .403 L
.55033 .41728 L
s
.55033 .403 m
.68187 .403 L
.68187 .3803 L
.55033 .3803 L
.55033 .403 L
s
.55033 .3803 m
.68187 .3803 L
.68187 .35071 L
.55033 .35071 L
.55033 .3803 L
s
.55033 .35071 m
.68187 .35071 L
.68187 .31626 L
.55033 .31626 L
.55033 .35071 L
s
.55033 .31626 m
.68187 .31626 L
.68187 .27929 L
.55033 .27929 L
.55033 .31626 L
s
.55033 .27929 m
.68187 .27929 L
.68187 .24231 L
.55033 .24231 L
.55033 .27929 L
s
.55033 .24231 m
.68187 .24231 L
.68187 .20786 L
.55033 .20786 L
.55033 .24231 L
s
.55033 .20786 m
.68187 .20786 L
.68187 .17827 L
.55033 .17827 L
.55033 .20786 L
s
.55033 .17827 m
.68187 .17827 L
.68187 .15557 L
.55033 .15557 L
.55033 .17827 L
s
.55033 .15557 m
.68187 .15557 L
.68187 .1413 L
.55033 .1413 L
.55033 .15557 L
s
.55033 .1413 m
.68187 .1413 L
.68187 .13643 L
.55033 .13643 L
.55033 .1413 L
s
.55033 .13643 m
.68187 .13643 L
.68187 .1413 L
.55033 .1413 L
.55033 .13643 L
s
.55033 .1413 m
.68187 .1413 L
.68187 .15557 L
.55033 .15557 L
.55033 .1413 L
s
.55033 .15557 m
.68187 .15557 L
.68187 .17827 L
.55033 .17827 L
.55033 .15557 L
s
.55033 .17827 m
.68187 .17827 L
.68187 .20786 L
.55033 .20786 L
.55033 .17827 L
s
.55033 .20786 m
.68187 .20786 L
.68187 .24231 L
.55033 .24231 L
.55033 .20786 L
s
.55033 .24231 m
.68187 .24231 L
.68187 .27929 L
.55033 .27929 L
.55033 .24231 L
s
.55033 .27929 m
.68187 .27929 L
.68187 .31626 L
.55033 .31626 L
.55033 .27929 L
s
.55033 .31626 m
.68187 .31626 L
.68187 .35071 L
.55033 .35071 L
.55033 .31626 L
s
.55033 .35071 m
.68187 .35071 L
.68187 .3803 L
.55033 .3803 L
.55033 .35071 L
s
.55033 .3803 m
.68187 .3803 L
.68187 .403 L
.55033 .403 L
.55033 .3803 L
s
.55033 .403 m
.68187 .403 L
.68187 .41728 L
.55033 .41728 L
.55033 .403 L
s
.55033 .41728 m
.68187 .41728 L
.68187 .42214 L
.55033 .42214 L
.55033 .41728 L
s
.97619 .04119 m
.97619 .12056 L
.97619 .19992 L
.97619 .27929 L
.97619 .35865 L
.97619 .43802 L
.97619 .51738 L
.97619 .51738 L
.97619 .43802 L
.97619 .35865 L
.97619 .27929 L
.97619 .19992 L
.97619 .12056 L
.97619 .04119 L
.97619 .04119 L
s
.97619 .27929 m
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
s
.97619 .51738 m
.97619 .50927 L
.97619 .48548 L
.97619 .44764 L
.97619 .39833 L
.97619 .34091 L
.97619 .27929 L
.97619 .21766 L
.97619 .16024 L
.97619 .11093 L
.97619 .07309 L
.97619 .0493 L
.97619 .04119 L
.97619 .0493 L
.97619 .07309 L
.97619 .11093 L
.97619 .16024 L
.97619 .21766 L
.97619 .27929 L
.97619 .34091 L
.97619 .39833 L
.97619 .44764 L
.97619 .48548 L
.97619 .50927 L
.97619 .51738 L
s
.039 .916 .04 r
.02381 .23167 m
.50503 .23167 L
s
0 0 0 r
2 Mabswid
.50503 .23167 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .24119 m
.50321 .24119 L
s
0 0 0 r
2 Mabswid
.50321 .24119 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .25071 m
.5018 .25071 L
s
0 0 0 r
2 Mabswid
.5018 .25071 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .26024 m
.5008 .26024 L
s
0 0 0 r
2 Mabswid
.5008 .26024 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .26976 m
.5002 .26976 L
s
0 0 0 r
2 Mabswid
.5002 .26976 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .27929 m
.5 .27929 L
s
0 0 0 r
2 Mabswid
.5 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .28881 m
.5002 .28881 L
s
0 0 0 r
2 Mabswid
.5002 .28881 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29833 m
.5008 .29833 L
s
0 0 0 r
2 Mabswid
.5008 .29833 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .30786 m
.5018 .30786 L
s
0 0 0 r
2 Mabswid
.5018 .30786 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .31738 m
.50321 .31738 L
s
0 0 0 r
2 Mabswid
.50321 .31738 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .3269 m
.50503 .3269 L
s
0 0 0 r
2 Mabswid
.50503 .3269 Mdot
.039 .916 .04 r
.5 Mabswid
.50503 .23167 m
.68998 .24477 L
s
0 0 0 r
2 Mabswid
.68998 .24477 Mdot
.039 .916 .04 r
.5 Mabswid
.50321 .24119 m
.69016 .25172 L
s
0 0 0 r
2 Mabswid
.69016 .25172 Mdot
.039 .916 .04 r
.5 Mabswid
.5018 .25071 m
.6903 .25864 L
s
0 0 0 r
2 Mabswid
.6903 .25864 Mdot
.039 .916 .04 r
.5 Mabswid
.5008 .26024 m
.6904 .26553 L
s
0 0 0 r
2 Mabswid
.6904 .26553 Mdot
.039 .916 .04 r
.5 Mabswid
.5002 .26976 m
.69046 .27241 L
s
0 0 0 r
2 Mabswid
.69046 .27241 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .27929 m
.69048 .27929 L
s
0 0 0 r
2 Mabswid
.69048 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.5002 .28881 m
.69046 .28616 L
s
0 0 0 r
2 Mabswid
.69046 .28616 Mdot
.039 .916 .04 r
.5 Mabswid
.5008 .29833 m
.6904 .29304 L
s
0 0 0 r
2 Mabswid
.6904 .29304 Mdot
.039 .916 .04 r
.5 Mabswid
.5018 .30786 m
.6903 .29993 L
s
0 0 0 r
2 Mabswid
.6903 .29993 Mdot
.039 .916 .04 r
.5 Mabswid
.50321 .31738 m
.69016 .30685 L
s
0 0 0 r
2 Mabswid
.69016 .30685 Mdot
.039 .916 .04 r
.5 Mabswid
.50503 .3269 m
.68998 .3138 L
s
0 0 0 r
2 Mabswid
.68998 .3138 Mdot
.039 .916 .04 r
.5 Mabswid
.68998 .24477 m
.97619 .27956 L
s
0 0 0 r
2 Mabswid
.97619 .27956 Mdot
.039 .916 .04 r
.5 Mabswid
.69016 .25172 m
.97619 .27931 L
s
0 0 0 r
2 Mabswid
.97619 .27931 Mdot
.039 .916 .04 r
.5 Mabswid
.6903 .25864 m
.97619 .2792 L
s
0 0 0 r
2 Mabswid
.97619 .2792 Mdot
.039 .916 .04 r
.5 Mabswid
.6904 .26553 m
.97619 .27917 L
s
0 0 0 r
2 Mabswid
.97619 .27917 Mdot
.039 .916 .04 r
.5 Mabswid
.69046 .27241 m
.97619 .27922 L
s
0 0 0 r
2 Mabswid
.97619 .27922 Mdot
.039 .916 .04 r
.5 Mabswid
.69048 .27929 m
.97619 .27929 L
s
0 0 0 r
2 Mabswid
.97619 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.69046 .28616 m
.97619 .27936 L
s
0 0 0 r
2 Mabswid
.97619 .27936 Mdot
.039 .916 .04 r
.5 Mabswid
.6904 .29304 m
.97619 .2794 L
s
0 0 0 r
2 Mabswid
.97619 .2794 Mdot
.039 .916 .04 r
.5 Mabswid
.6903 .29993 m
.97619 .27938 L
s
0 0 0 r
2 Mabswid
.97619 .27938 Mdot
.039 .916 .04 r
.5 Mabswid
.69016 .30685 m
.97619 .27926 L
s
0 0 0 r
2 Mabswid
.97619 .27926 Mdot
.039 .916 .04 r
.5 Mabswid
.68998 .3138 m
.97619 .27901 L
s
0 0 0 r
2 Mabswid
.97619 .27901 Mdot
[(L)] .59524 .10786 0 0 Mshowa
[(S)] .97619 .01262 0 0 Mshowa
0 0 m
1 0 L
1 .53 L
0 .53 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{429, 227.312},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006]0000hb000`400?l00000o`00003oo`3ooon^
0?ooo`00o`3ooon^0?ooo`00o`3ooon^0?ooo`00o`3ooonO0?ooo`040000003oool00000000000/0
oooo003o0?oooil0oooo0P0000020?ooo`030000003oool0oooo00P0oooo003o0?oooil0oooo00<0
00000?ooo`3oool00P00000:0?ooo`00o`3ooonP0?ooo`<000002`3oool00?l0ooooW`3oool20000
0080oooo00<000000?ooo`3oool0203oool00?l0ooooW`3oool00`000000oooo0?ooo`02000000X0
oooo003o0?oooj00oooo0P0000000`3oool000000?ooo`090?ooo`00o`3ooon^0?ooo`00o`3ooon^
0?ooo`00o`3ooon^0?ooo`00o`3ooon^0?ooo`00o`3ooon^0?ooo`00o`3ooon^0?ooo`00o`3ooon^
0?ooo`00o`3ooon^0?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo
00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR
0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0
ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo
003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`09
0?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3o
ool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003o
ool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`00
0000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo
00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR
0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0
ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo
003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`09
0?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3o
ool02@3oool00?/0oooo1@00002Q0?ooo`030000003oool0oooo00T0oooo003l0?ooo`040000003o
ool0oooo00000:40oooo00<000000?ooo`3oool02@3oool00?`0oooo00<000000?ooo`3oool0XP3o
ool00`000000oooo0?ooo`090?ooo`00o03oool00`000000oooo0?ooo`2R0?ooo`030000003oool0
oooo00T0oooo003l0?ooo`030000003oool0oooo0:80oooo00<000000?ooo`3oool02@3oool00?`0
oooo00<000000?ooo`3oool0XP3oool00`000000oooo0?ooo`090?ooo`00n`3oool300000:<0oooo
00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR
0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0
ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo
003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`09
0?ooo`00j`3oooli000007d0oooo00<000000?ooo`3oool02@3oool00>/0oooo00<0000007moO`1o
Ogl0=@1oOgl00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo00T0oooo003Z0?ooo`800000
=`1oOgl00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo00T0oooo003Y0?ooo`030000001o
Ogl0000003P00000O@3oool00`000000oooo0?ooo`090?ooo`00j@3oool00`000000Ogmo0000000g
07moO`030000003oool0oooo07/0oooo00<000000?ooo`3oool02@3oool00>P0oooo00@0000007mo
O`1oOgl00000=`1oOgl00`000000oooo0?ooo`1k0?ooo`030000003oool0oooo00T0oooo003X0?oo
o`040000001oOgl0Ogmo000003L0Ogmo0P00001l0?ooo`030000003oool0oooo00T0oooo003W0?oo
o`050000001oOgl0Ogmo07moO`000000=`1oOgl2000007`0oooo00<000000?ooo`3oool02@3oool0
0>H0oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0e07moO`800000O03oool00`00
0000oooo0?ooo`090?ooo`00iP3oool00`000000Ogmo07moO`0207moOcX00000O03oool00`000000
oooo0?ooo`090?ooo`00i@3oool00`000000Ogmo07moO`0307moO`030000001oOgl0Ogmo03D0Ogmo
0P00001l0?ooo`030000003oool0oooo00T0oooo003T0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0
000007moO`1oOgl0=@1oOgl2000007`0oooo00<000000?ooo`3oool02@3oool00>@0oooo00<00000
07moO`1oOgl0101oOgl00`000000Ogmo07moO`0e07moO`800000O03oool00`000000oooo0?ooo`09
0?ooo`00h`3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo03D0Ogmo0P00001l0?oo
o`030000003oool0oooo00T0oooo003S0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1o
Ogl0=@1oOgl2000007`0oooo00<000000?ooo`3oool02@3oool00>80oooo00<0000007moO`1oOgl0
1P1oOgl00`000000Ogmo07moO`0e07moO`800000O03oool00`000000oooo0?ooo`090?ooo`00h@3o
ool00`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo03D0Ogmo0P00001l0?ooo`030000003o
ool0oooo00T0oooo003Q0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007moO`1oOgl0=@1oOgl0
0`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003P0?ooo`030000001oOgl0Ogmo
00P0Ogmo>@0000000`1oOgl000000?ooo`1j0?ooo`030000003oool0oooo00T0oooo003P0?ooo`03
0000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`03
0000003oool0oooo00T0oooo003O0?ooo`030000001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0
=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003N0?ooo`030000001o
Ogl0Ogmo00X0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003o
ool0oooo00T0oooo003N0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0=@1oOgl0
0`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003N0?ooo`030000001oOgl0Ogmo
00X0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo
00T0oooo003M0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000
Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003M0?ooo`030000001oOgl0Ogmo00/0Ogmo
00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo
003M0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000
001k0?ooo`030000003oool0oooo00T0oooo003L0?ooo`030000001oOgl0Ogmo00`0Ogmo00<00000
07moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003L0?oo
o`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?oo
o`030000003oool0oooo00T0oooo003L0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1o
Ogl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003K0?ooo`030000
001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000
003oool0oooo00T0oooo003K0?ooo`030000001oOgl0Ogmo00d0Ogmo>@0000000`1oOgl000000?oo
o`1j0?ooo`030000003oool0oooo00T0oooo003K0?ooo`030000001oOgl0Ogmo00d0Ogmo00<00000
07moO`1oOgl0=@1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0oooo00T0oooo003K
0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0=@1oOgl010000000Ogmo07moO`00
001j0?ooo`030000003oool0oooo00T0oooo003J0?ooo`030000001oOgl0Ogmo00h0Ogmo00<00000
07moO`1oOgl0=@1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0oooo00T0oooo003J
0?ooo`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0=@1oOgl010000000Ogmo07moO`00
001j0?ooo`030000003oool0oooo00T0oooo003J0?ooo`030000001oOgl0Ogmo00h0Ogmo00<00000
07moO`1oOgl0=@1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0oooo00T0oooo003I
0?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0=@1oOgl010000000Ogmo07moO`00
001j0?ooo`030000003oool0oooo00T0oooo003I0?ooo`030000001oOgl0Ogmo00l0Ogmo00<00000
07moO`1oOgl0=@1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0oooo00T0oooo003I
0?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0=@1oOgl010000000Ogmo07moO`00
001j0?ooo`030000003oool0oooo00T0oooo003H0?ooo`030000001oOgl0Ogmo0100Ogmo00<00000
07moO`1oOgl0=@1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0oooo00T0oooo000:
0?ooold02NX:00<0000000WZ2P09jPX01P09jPX;07moO`030000001oOgl0Ogmo03D0Ogmo00@00000
07moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00e`3oool2000000L0Ogmo3@09jPXf
07moO`040000001oOgl0Ogmo000007X0oooo00<000000?ooo`3oool02@3oool00=P0oooo00<00000
07moO`1oOgl0401oOgl00`000000Ogmo00WZ2P0<00WZ2RT0Ogmo00@0000007moO`1oOgl00000NP3o
ool00`000000oooo0?ooo`090?ooo`00f03oool00`000000Ogmo07moO`0@07moO`030000001oOgl0
Ogmo00`0Ogmo3@09jPXL07moO`040000001oOgl0Ogmo000007X0oooo00<000000?ooo`3oool02@3o
ool000X0ooooc009jPX00`0000002NX:00WZ2P0700WZ2P/0Ogmo00<0000007moO`1oOgl06@1oOgl=
00WZ2Pl0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00eP3oool3
000000L0Ogmo4009jPXT000000d02NX:0`00000207moO`800000N@3oool00`000000oooo0?ooo`09
0?ooo`00e`3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo0080Ogmo4009jPXQ07mo
O`D02NX:00<0000000WZ2P09jPX00`09jPYe0?ooo`030000003oool0oooo00T0oooo003G0?ooo`03
0000001oOgl0Ogmo0140Ogmo00<0000007moO`1oOgl04P1oOgl@00WZ2Q<0Ogmo00@0000007moO`1o
Ogl000001@3oool800WZ2Vd0oooo00<000000?ooo`3oool02@3oool000X0ooooe`09jPX:07moO`03
0000001oOgl0Ogmo0280Ogmo4009jPX307moO`030000001oOgl0Ogmo00800000303oool800WZ2VD0
oooo00<000000?ooo`3oool02@3oool00=H0oooo0P00000907moOa@02NX::`1oOgl600WZ2P030000
0009jPX02NX:00D02NX:3P3oool800WZ2Ud0oooo00<000000?ooo`3oool02@3oool00=L0oooo00<0
000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0707moOaD02NX:6@1oOgl010000000Ogmo07mo
O`0000070?ooo`/02NX:2`3oool900WZ2U@0oooo00<000000?ooo`3oool02@3oool00=L0oooo00<0
000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0L07moOa@02NX:1@1oOgl00`000000Ogmo07mo
O`0200000140oooo2`09jPX90?ooo`P02NX:C03oool00`000000oooo0?ooo`090?ooo`002P3oooo;
00WZ2P0300000009jPX02NX:00d02NX:1P1oOgl00`000000Ogmo07moO`0`07moO`P02NX:00<00000
00WZ2P09jPX01`09jPXD0?ooo`/02NX:1P3oool800WZ2T@0oooo00<000000?ooo`3oool02@3oool0
0=D0oooo0`00000=07moOa/02NX:8`1oOgl01@000000Ogmo07moO`1oOgl0000000P0oooo3`09jPX@
0?ooo`/02NX:0`3oool800WZ2S`0oooo00<000000?ooo`3oool02@3oool00=L0oooo00<0000007mo
O`1oOgl04@1oOgl00`000000Ogmo07moO`0B07moOa/02NX:201oOgl00`000000Ogmo07moO`020000
01L0oooo3`09jPX<0?oooa<02NX:=03oool00`000000oooo0?ooo`090?ooo`00e`3oool00`000000
Ogmo07moO`0A07moO`030000001oOgl0Ogmo02d0Ogmo2`09jPX00`0000002NX:00WZ2P0;00WZ2QX0
oooo3`09jPX80?oooa002NX:;03oool00`000000oooo0?ooo`090?ooo`002P3oooo;00WZ2P030000
0009jPX02NX:01<02NX:00<0000007moO`1oOgl0=@1oOgl01@000000Ogmo07moO`1oOgl0000000`0
oooo6@09jPX@0?oooa002NX:0`3oool=00WZ2R@0oooo00<000000?ooo`3oool02@3oool00=D0oooo
0P00000D07moObT02NX:3`1oOgl00`000000Ogmo07moO`02000002D0oooo6009jPX80?oooaT02NX:
6`3oool00`000000oooo0?ooo`090?ooo`00eP3oool00`000000Ogmo07moO`0B07moO`030000001o
Ogl0Ogmo02H0Ogmo4P09jPX00`0000002NX:00WZ2P0N00WZ2Qh0oooo;009jPX@0?ooo`030000003o
ool0oooo00T0oooo003F0?ooo`030000001oOgl0Ogmo0180Ogmo00<0000007moO`1oOgl0=@1oOgl0
1@000000Ogmo07moO`1oOgl0000001l0ooooE@09jPX50?ooo`030000003oool0oooo00T0oooo000:
0?oool/02NX:00<0000000WZ2P09jPX0CP09jPX00`0000002NX:00WZ2P1g00WZ2P8000002`3oool0
0=D0oooo0P00000D07moO`030000001oOgl0Ogmo03D0Ogmo00<0000007moO`1oOgl00P00000l0?oo
ocT02NX:00<0oooo00WZ2P09jPX00P00000;0?ooo`00eP3oool00`000000Ogmo07moO`0B07moO`03
0000001oOgl0Ogmo03D0Ogmo00D0000007moO`1oOgl0Ogmo0000000C0?ooobT02NX:2P3ooolW00WZ
2P`0oooo00<000000?ooo`3oool02@3oool00=H0oooo00<0000007moO`1oOgl04P1oOgl00`000000
Ogmo07moO`0U07moOa<02NX:00<0000000WZ2P09jPX04P09jPXO0?oooa@02NX:103ooolK00WZ2Q@0
oooo00<000000?ooo`3oool02@3oool00=D0oooo0P00000C07moObT02NX:401oOgl00`000000Ogmo
07moO`02000001d0oooo5@09jPX:0?ooo`h02NX:00<0oooo00WZ2P09jPX04009jPXL0?ooo`030000
003oool0oooo00T0oooo000:0?oool/02NX:00<0000000WZ2P09jPX04P09jPX00`1oOgl0000007mo
O`0f07moO`050000001oOgl0Ogmo07moO`0000002@3ooolD00WZ2Q40oooo3P09jPX50?ooo`X02NX:
00<0oooo00WZ2P09jPX01P09jPXU0?ooo`030000003oool0oooo00T0oooo003G0?ooo`030000001o
Ogl0Ogmo0140Ogmo00<0000007moO`1oOgl0;01oOgl<00WZ2P0300000009jPX02NX:00P02NX:603o
ool=00WZ2PT0oooo2P09jPX30?ooo`P02NX:;@3oool00`000000oooo0?ooo`090?ooo`00e`3oool0
0`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo0140Ogmo6`09jPX907moO`030000001oOgl0
Ogmo008000004`3oool>00WZ2P`0oooo2P09jPX50?ooo`P02NX:=@3oool00`000000oooo0?ooo`09
0?ooo`00e@3oool3000000`0Ogmo6`09jPXT07moO`050000001oOgl0Ogmo07moO`0000001P3oool=
00WZ2Q00oooo2P09jPX70?ooo`P02NX:?@3oool00`000000oooo0?ooo`090?ooo`002P3oooo;00WZ
2P0300000009jPX02NX:00`02NX:1`1oOgl00`000000Ogmo07moO`0_07moO`T02NX:00<0000000WZ
2P09jPX01@09jPXB0?ooo`/02NX:2@3oool800WZ2TD0oooo00<000000?ooo`3oool02@3oool00=L0
oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0K07moOa@02NX:1P1oOgl00`000000
Ogmo07moO`02000000h0oooo2P09jPX<0?ooo`P02NX:C@3oool00`000000oooo0?ooo`090?ooo`00
e`3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo00H0Ogmo5@09jPXJ07moO`040000
001oOgl0Ogmo000000D0oooo2P09jPX=0?ooo`T02NX:E@3oool00`000000oooo0?ooo`090?ooo`00
eP3oool2000000P0Ogmo5009jPX[07moO`L02NX:00<0000000WZ2P09jPX00`09jPX?0?ooo`P02NX:
GP3oool00`000000oooo0?ooo`090?ooo`002P3ooooF00WZ2P/0Ogmo00<0000007moO`1oOgl08@1o
Ogl@00WZ2P@0Ogmo00<0000007moO`1oOgl00P00000;0?ooo`P02NX:IP3oool00`000000oooo0?oo
o`090?ooo`00e`3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo0140Ogmo4009jPXD
07moO`040000001oOgl0Ogmo000000@0oooo2009jPY^0?ooo`030000003oool0oooo00T0oooo003G
0?ooo`030000001oOgl0Ogmo0140Ogmo00@0000007moO`1oOgl0Ogmo4009jPXQ07moO`H02NX:00<0
000000WZ2P09jPX00P09jPYf0?ooo`030000003oool0oooo00T0oooo003F0?ooo`8000001`1oOgl@
00WZ2R@000003@09jPX400000080Ogmo0P00001i0?ooo`030000003oool0oooo00T0oooo000:0?oo
ol`02NX:00<0000000WZ2P09jPX01P09jPX<07moO`030000001oOgl0Ogmo01P0Ogmo3@09jPX@07mo
O`040000001oOgl0Ogmo000007X0oooo00<000000?ooo`3oool02@3oool00=P0oooo00<0000007mo
O`1oOgl0401oOgl00`000000Ogmo07moO`0;07moO`d02NX:7@1oOgl010000000Ogmo07moO`00001j
0?ooo`030000003oool0oooo00T0oooo003H0?ooo`030000001oOgl0Ogmo0100Ogmo00<0000000WZ
2P09jPX02`09jPXZ07moO`040000001oOgl0Ogmo000007X0oooo00<000000?ooo`3oool02@3oool0
0=L0oooo0P00000607moO`d02NX:=`1oOgl010000000Ogmo07moO`00001j0?ooo`030000003oool0
oooo00T0oooo000:0?ooold02NX:00<0000000WZ2P09jPX01@09jPX<07moO`030000001oOgl0Ogmo
03D0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00f03oool00`00
0000Ogmo07moO`0@07moO`030000001oOgl0Ogmo03D0Ogmo00@0000007moO`1oOgl00000NP3oool0
0`000000oooo0?ooo`090?ooo`00f03oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo
03D0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00f@3oool00`00
0000Ogmo07moO`0?07moO`030000001oOgl0Ogmo03D0Ogmo00@0000007moO`1oOgl00000NP3oool0
0`000000oooo0?ooo`090?ooo`00f@3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo
03D0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00f@3oool00`00
0000Ogmo07moO`0?07moO`030000001oOgl0Ogmo03D0Ogmo00@0000007moO`1oOgl00000NP3oool0
0`000000oooo0?ooo`090?ooo`00fP3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo
03D0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00fP3oool00`00
0000Ogmo07moO`0>07moO`030000001oOgl0Ogmo03D0Ogmo00@0000007moO`1oOgl00000NP3oool0
0`000000oooo0?ooo`090?ooo`00fP3oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo
03D0Ogmo00@0000007moO`1oOgl00000NP3oool00`000000oooo0?ooo`090?ooo`00f`3oool00`00
0000Ogmo07moO`0=07moO`030000001oOgl0Ogmo03D0Ogmo00@0000007moO`1oOgl00000NP3oool0
0`000000oooo0?ooo`090?ooo`00f`3oool00`000000Ogmo07moO`0=07moOcT000000P1oOgl00`00
0000oooo0?ooo`1h0?ooo`030000003oool0oooo00T0oooo003K0?ooo`030000001oOgl0Ogmo00d0
Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0
oooo003K0?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo
0000001k0?ooo`030000003oool0oooo00T0oooo003L0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0
000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003L
0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k
0?ooo`030000003oool0oooo00T0oooo003L0?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007mo
O`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003M0?ooo`03
0000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`03
0000003oool0oooo00T0oooo003M0?ooo`030000001oOgl0Ogmo00/0Ogmo00<0000007moO`1oOgl0
=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003M0?ooo`030000001o
Ogl0Ogmo00/0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003o
ool0oooo00T0oooo003N0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0=@1oOgl0
0`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003N0?ooo`030000001oOgl0Ogmo
00X0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo
00T0oooo003N0?ooo`030000001oOgl0Ogmo00X0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000
Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003O0?ooo`030000001oOgl0Ogmo00T0Ogmo
00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo
003P0?ooo`030000001oOgl0Ogmo00P0Ogmo>@0000000`1oOgl000000?ooo`1j0?ooo`030000003o
ool0oooo00T0oooo003P0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0=@1oOgl0
0`000000Ogmo0000001k0?ooo`030000003oool0oooo00T0oooo003Q0?ooo`030000001oOgl0Ogmo
00L0Ogmo00<0000007moO`1oOgl0=@1oOgl00`000000Ogmo0000001k0?ooo`030000003oool0oooo
00T0oooo003R0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0000007moO`1oOgl0=@1oOgl2000007`0
oooo00<000000?ooo`3oool02@3oool00>80oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo
07moO`0e07moO`800000O03oool00`000000oooo0?ooo`090?ooo`00h`3oool00`000000Ogmo07mo
O`0507moO`030000001oOgl0Ogmo03D0Ogmo0P00001l0?ooo`030000003oool0oooo00T0oooo003T
0?ooo`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0=@1oOgl2000007`0oooo00<00000
0?ooo`3oool02@3oool00>@0oooo00<0000007moO`1oOgl0101oOgl00`000000Ogmo07moO`0e07mo
O`800000O03oool00`000000oooo0?ooo`090?ooo`00i@3oool00`000000Ogmo07moO`0307moO`03
0000001oOgl0Ogmo03D0Ogmo0P00001l0?ooo`030000003oool0oooo00T0oooo003U0?ooo`030000
001oOgl0Ogmo00<0Ogmo>P00001l0?ooo`030000003oool0oooo00T0oooo003V0?ooo`030000001o
Ogl0Ogmo0080Ogmo00<0000007moO`1oOgl0=@1oOgl2000007`0oooo00<000000?ooo`3oool02@3o
ool00>L0oooo00D0000007moO`1oOgl0Ogmo0000000g07moO`800000O03oool00`000000oooo0?oo
o`090?ooo`00i`3oool01@000000Ogmo07moO`1oOgl0000003L0Ogmo0P00001l0?ooo`030000003o
ool0oooo00T0oooo003X0?ooo`040000001oOgl0Ogmo000003L0Ogmo00<000000?ooo`3oool0N`3o
ool00`000000oooo0?ooo`090?ooo`00j@3oool00`000000Ogmo0000000g07moO`030000003oool0
oooo07/0oooo00<000000?ooo`3oool02@3oool00>T0oooo00<0000007moO`000000>000001m0?oo
o`030000003oool0oooo00T0oooo003Z0?ooo`800000=`1oOgl00`000000oooo0?ooo`1k0?ooo`03
0000003oool0oooo00T0oooo003[0?ooocT00000O@3oool00`000000oooo0?ooo`090?ooo`00o`3o
oonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool0
0?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0
oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?oo
o`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?oo
o`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000
003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool0
0`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80
oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3o
oonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool0
0?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0
oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?oo
o`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?oo
o`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000
003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool0
0`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80
oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3o
oonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool0
0?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0
oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?oo
o`090?ooo`00o`3ooonR0?ooo`030000003oool0oooo00T0oooo003o0?oooj80oooo00<000000?oo
o`3oool02@3oool00?l0ooooXP3oool00`000000oooo0?ooo`090?ooo`00o`3ooonR0?ooo`030000
003oool0oooo00T0oooo003o0?oooj80oooo00<000000?ooo`3oool02@3oool00?l0oooo[P3oool0
0?l0oooo[P3oool00?l0oooo[P3oool00?l0oooo[P3oool00?l0oooo[P3oool00001\
\>"],
  ImageRangeCache->{{{0, 428}, {226.312, 0}} -> {-52.6229, -29.3253, \
0.245901, 0.245901}},
  CellTags->"Symbolic Optimization"],

Cell["Plot of Optimized System", "Commentary",
  CellTags->"Symbolic Optimization"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Ray Caustics Through a Lens Focus", "Section",
  CellTags->"Finding Geometric Intensity"],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: .53 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% Graphics
%%IncludeResource: font Times
%%IncludeFont: Times
/Times findfont 10  scalefont  setfont
% Scaling calculations
0.5 0.00952381 0.279286 0.00952381 [
[.59524 .10786 -3 -4.5 ]
[.59524 .10786 3 4.5 ]
[.97619 .01262 -3 -4.5 ]
[.97619 .01262 3 4.5 ]
[ 0 0 0 0 ]
[ 1 .53 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
% Start of user PostScript
/mathtops {
gsave
MBeginOrig
moveto
MEndOrig
currentpoint
grestore
} bind def
/MAtocoords {
mathtops 4 2 roll mathtops
4 copy pop pop
3 -1 roll sub
/arry exch def
exch sub
/arrx exch def
arrx dup mul
arry dup mul
add sqrt
/arrl exch def
translate
} bind def
/MAarrowhead1 {
gsave
MAtocoords
arrl 0. eq
{ 0 0 Mdot }
{
currentlinewidth 1 Mabswid
currentlinewidth dup scale setlinewidth
[ arrx arrl div
arry arrl div
-1 arry mul arrl div
arrx arrl div
0 0 ]
concat
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto fill
-8. 2. moveto 0 0 lineto
-8. -2. lineto
-6. 0 lineto
-8. 2. lineto stroke
} ifelse
grestore
} def
% End of user PostScript
.5 g
.55026 .13643 m
.68179 .13643 L
.68662 .18405 L
.52083 .18405 L
.55026 .13643 L
F
.52083 .18405 m
.68662 .18405 L
.68951 .23167 L
.50502 .23167 L
.52083 .18405 L
F
.50502 .23167 m
.68951 .23167 L
.69048 .27929 L
.5 .27929 L
.50502 .23167 L
F
.5 .27929 m
.69048 .27929 L
.68951 .3269 L
.50502 .3269 L
.5 .27929 L
F
.50502 .3269 m
.68951 .3269 L
.68662 .37452 L
.52083 .37452 L
.50502 .3269 L
F
.52083 .37452 m
.68662 .37452 L
.68179 .42214 L
.55026 .42214 L
.52083 .37452 L
F
0 g
.5 Mabswid
[ ] 0 setdash
.55026 .13643 m
.52083 .18405 L
.50502 .23167 L
.5 .27929 L
.50502 .3269 L
.52083 .37452 L
.55026 .42214 L
.68179 .42214 L
.68662 .37452 L
.68951 .3269 L
.69048 .27929 L
.68951 .23167 L
.68662 .18405 L
.68179 .13643 L
.55026 .13643 L
s
.5 g
.55026 .27929 m
.68179 .27929 L
.68662 .27929 L
.52083 .27929 L
.55026 .27929 L
F
.52083 .27929 m
.68662 .27929 L
.68951 .27929 L
.50502 .27929 L
.52083 .27929 L
F
.50502 .27929 m
.68951 .27929 L
.69048 .27929 L
.5 .27929 L
.50502 .27929 L
F
.5 .27929 m
.69048 .27929 L
.68951 .27929 L
.50502 .27929 L
.5 .27929 L
F
.50502 .27929 m
.68951 .27929 L
.68662 .27929 L
.52083 .27929 L
.50502 .27929 L
F
.52083 .27929 m
.68662 .27929 L
.68179 .27929 L
.55026 .27929 L
.52083 .27929 L
F
0 g
.55026 .27929 m
.52083 .27929 L
.50502 .27929 L
.5 .27929 L
.50502 .27929 L
.52083 .27929 L
.55026 .27929 L
.68179 .27929 L
.68662 .27929 L
.68951 .27929 L
.69048 .27929 L
.68951 .27929 L
.68662 .27929 L
.68179 .27929 L
.55026 .27929 L
s
.55026 .42214 m
.68179 .42214 L
.68179 .41728 L
.55026 .41728 L
.55026 .42214 L
s
.55026 .41728 m
.68179 .41728 L
.68179 .403 L
.55026 .403 L
.55026 .41728 L
s
.55026 .403 m
.68179 .403 L
.68179 .3803 L
.55026 .3803 L
.55026 .403 L
s
.55026 .3803 m
.68179 .3803 L
.68179 .35071 L
.55026 .35071 L
.55026 .3803 L
s
.55026 .35071 m
.68179 .35071 L
.68179 .31626 L
.55026 .31626 L
.55026 .35071 L
s
.55026 .31626 m
.68179 .31626 L
.68179 .27929 L
.55026 .27929 L
.55026 .31626 L
s
.55026 .27929 m
.68179 .27929 L
.68179 .24231 L
.55026 .24231 L
.55026 .27929 L
s
.55026 .24231 m
.68179 .24231 L
.68179 .20786 L
.55026 .20786 L
.55026 .24231 L
s
.55026 .20786 m
.68179 .20786 L
.68179 .17827 L
.55026 .17827 L
.55026 .20786 L
s
.55026 .17827 m
.68179 .17827 L
.68179 .15557 L
.55026 .15557 L
.55026 .17827 L
s
.55026 .15557 m
.68179 .15557 L
.68179 .1413 L
.55026 .1413 L
.55026 .15557 L
s
.55026 .1413 m
.68179 .1413 L
.68179 .13643 L
.55026 .13643 L
.55026 .1413 L
s
.55026 .13643 m
.68179 .13643 L
.68179 .1413 L
.55026 .1413 L
.55026 .13643 L
s
.55026 .1413 m
.68179 .1413 L
.68179 .15557 L
.55026 .15557 L
.55026 .1413 L
s
.55026 .15557 m
.68179 .15557 L
.68179 .17827 L
.55026 .17827 L
.55026 .15557 L
s
.55026 .17827 m
.68179 .17827 L
.68179 .20786 L
.55026 .20786 L
.55026 .17827 L
s
.55026 .20786 m
.68179 .20786 L
.68179 .24231 L
.55026 .24231 L
.55026 .20786 L
s
.55026 .24231 m
.68179 .24231 L
.68179 .27929 L
.55026 .27929 L
.55026 .24231 L
s
.55026 .27929 m
.68179 .27929 L
.68179 .31626 L
.55026 .31626 L
.55026 .27929 L
s
.55026 .31626 m
.68179 .31626 L
.68179 .35071 L
.55026 .35071 L
.55026 .31626 L
s
.55026 .35071 m
.68179 .35071 L
.68179 .3803 L
.55026 .3803 L
.55026 .35071 L
s
.55026 .3803 m
.68179 .3803 L
.68179 .403 L
.55026 .403 L
.55026 .3803 L
s
.55026 .403 m
.68179 .403 L
.68179 .41728 L
.55026 .41728 L
.55026 .403 L
s
.55026 .41728 m
.68179 .41728 L
.68179 .42214 L
.55026 .42214 L
.55026 .41728 L
s
.97619 .04119 m
.97619 .12056 L
.97619 .19992 L
.97619 .27929 L
.97619 .35865 L
.97619 .43802 L
.97619 .51738 L
.97619 .51738 L
.97619 .43802 L
.97619 .35865 L
.97619 .27929 L
.97619 .19992 L
.97619 .12056 L
.97619 .04119 L
.97619 .04119 L
s
.97619 .27929 m
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
.97619 .27929 L
s
.97619 .51738 m
.97619 .50927 L
.97619 .48548 L
.97619 .44764 L
.97619 .39833 L
.97619 .34091 L
.97619 .27929 L
.97619 .21766 L
.97619 .16024 L
.97619 .11093 L
.97619 .07309 L
.97619 .0493 L
.97619 .04119 L
.97619 .0493 L
.97619 .07309 L
.97619 .11093 L
.97619 .16024 L
.97619 .21766 L
.97619 .27929 L
.97619 .34091 L
.97619 .39833 L
.97619 .44764 L
.97619 .48548 L
.97619 .50927 L
.97619 .51738 L
s
.039 .916 .04 r
.02381 .23167 m
.50502 .23167 L
s
% Start of user PostScript
-50. -5. 0.527584 -5. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50502 .23167 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .23643 m
.50406 .23643 L
s
% Start of user PostScript
-50. -4.5 0.426433 -4.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50406 .23643 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .24119 m
.5032 .24119 L
s
% Start of user PostScript
-50. -4. 0.336296 -4. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5032 .24119 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .24595 m
.50245 .24595 L
s
% Start of user PostScript
-50. -3.5 0.257049 -3.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50245 .24595 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .25071 m
.5018 .25071 L
s
% Start of user PostScript
-50. -3. 0.188581 -3. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5018 .25071 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .25548 m
.50125 .25548 L
s
% Start of user PostScript
-50. -2.5 0.130801 -2.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50125 .25548 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .26024 m
.5008 .26024 L
s
% Start of user PostScript
-50. -2. 0.08363 -2. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5008 .26024 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .265 m
.50045 .265 L
s
% Start of user PostScript
-50. -1.5 0.0470059 -1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50045 .265 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .26976 m
.5002 .26976 L
s
% Start of user PostScript
-50. -1. 0.0208801 -1. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5002 .26976 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .27452 m
.50005 .27452 L
s
% Start of user PostScript
-50. -0.5 0.00521832 -0.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50005 .27452 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .27929 m
.5 .27929 L
s
% Start of user PostScript
-50. 0 0 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .28405 m
.50005 .28405 L
s
% Start of user PostScript
-50. 0.5 0.00521832 0.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50005 .28405 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .28881 m
.5002 .28881 L
s
% Start of user PostScript
-50. 1. 0.0208801 1. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5002 .28881 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29357 m
.50045 .29357 L
s
% Start of user PostScript
-50. 1.5 0.0470059 1.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50045 .29357 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .29833 m
.5008 .29833 L
s
% Start of user PostScript
-50. 2. 0.08363 2. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5008 .29833 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .3031 m
.50125 .3031 L
s
% Start of user PostScript
-50. 2.5 0.130801 2.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50125 .3031 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .30786 m
.5018 .30786 L
s
% Start of user PostScript
-50. 3. 0.188581 3. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5018 .30786 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .31262 m
.50245 .31262 L
s
% Start of user PostScript
-50. 3.5 0.257049 3.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50245 .31262 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .31738 m
.5032 .31738 L
s
% Start of user PostScript
-50. 4. 0.336296 4. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.5032 .31738 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .32214 m
.50406 .32214 L
s
% Start of user PostScript
-50. 4.5 0.426433 4.5 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50406 .32214 Mdot
.039 .916 .04 r
.5 Mabswid
.02381 .3269 m
.50502 .3269 L
s
% Start of user PostScript
-50. 5. 0.527584 5. MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.50502 .3269 Mdot
.039 .916 .04 r
.5 Mabswid
.50502 .23167 m
.68997 .24476 L
s
% Start of user PostScript
0.527584 -5. 19.9469 -3.62549 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68997 .24476 Mdot
.039 .916 .04 r
.5 Mabswid
.50406 .23643 m
.69007 .24824 L
s
% Start of user PostScript
0.426433 -4.5 19.9571 -3.25998 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69007 .24824 Mdot
.039 .916 .04 r
.5 Mabswid
.5032 .24119 m
.69015 .25171 L
s
% Start of user PostScript
0.336296 -4. 19.9661 -2.89543 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69015 .25171 Mdot
.039 .916 .04 r
.5 Mabswid
.50245 .24595 m
.69023 .25517 L
s
% Start of user PostScript
0.257049 -3.5 19.9741 -2.53172 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69023 .25517 Mdot
.039 .916 .04 r
.5 Mabswid
.5018 .25071 m
.6903 .25863 L
s
% Start of user PostScript
0.188581 -3. 19.981 -2.16874 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.6903 .25863 Mdot
.039 .916 .04 r
.5 Mabswid
.50125 .25548 m
.69035 .26208 L
s
% Start of user PostScript
0.130801 -2.5 19.9868 -1.80636 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69035 .26208 Mdot
.039 .916 .04 r
.5 Mabswid
.5008 .26024 m
.6904 .26553 L
s
% Start of user PostScript
0.08363 -2. 19.9916 -1.44449 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.6904 .26553 Mdot
.039 .916 .04 r
.5 Mabswid
.50045 .265 m
.69043 .26897 L
s
% Start of user PostScript
0.0470059 -1.5 19.9953 -1.08302 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69043 .26897 Mdot
.039 .916 .04 r
.5 Mabswid
.5002 .26976 m
.69046 .27241 L
s
% Start of user PostScript
0.0208801 -1. 19.9979 -0.721851 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69046 .27241 Mdot
.039 .916 .04 r
.5 Mabswid
.50005 .27452 m
.69047 .27585 L
s
% Start of user PostScript
0.00521832 -0.5 19.9995 -0.360876 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69047 .27585 Mdot
.039 .916 .04 r
.5 Mabswid
.5 .27929 m
.69048 .27929 L
s
% Start of user PostScript
0 0 20. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69048 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.50005 .28405 m
.69047 .28272 L
s
% Start of user PostScript
0.00521832 0.5 19.9995 0.360876 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69047 .28272 Mdot
.039 .916 .04 r
.5 Mabswid
.5002 .28881 m
.69046 .28616 L
s
% Start of user PostScript
0.0208801 1. 19.9979 0.721851 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69046 .28616 Mdot
.039 .916 .04 r
.5 Mabswid
.50045 .29357 m
.69043 .2896 L
s
% Start of user PostScript
0.0470059 1.5 19.9953 1.08302 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69043 .2896 Mdot
.039 .916 .04 r
.5 Mabswid
.5008 .29833 m
.6904 .29304 L
s
% Start of user PostScript
0.08363 2. 19.9916 1.44449 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.6904 .29304 Mdot
.039 .916 .04 r
.5 Mabswid
.50125 .3031 m
.69035 .29649 L
s
% Start of user PostScript
0.130801 2.5 19.9868 1.80636 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69035 .29649 Mdot
.039 .916 .04 r
.5 Mabswid
.5018 .30786 m
.6903 .29994 L
s
% Start of user PostScript
0.188581 3. 19.981 2.16874 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.6903 .29994 Mdot
.039 .916 .04 r
.5 Mabswid
.50245 .31262 m
.69023 .3034 L
s
% Start of user PostScript
0.257049 3.5 19.9741 2.53172 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69023 .3034 Mdot
.039 .916 .04 r
.5 Mabswid
.5032 .31738 m
.69015 .30686 L
s
% Start of user PostScript
0.336296 4. 19.9661 2.89543 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69015 .30686 Mdot
.039 .916 .04 r
.5 Mabswid
.50406 .32214 m
.69007 .31033 L
s
% Start of user PostScript
0.426433 4.5 19.9571 3.25998 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.69007 .31033 Mdot
.039 .916 .04 r
.5 Mabswid
.50502 .3269 m
.68997 .31381 L
s
% Start of user PostScript
0.527584 5. 19.9469 3.62549 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.68997 .31381 Mdot
.039 .916 .04 r
.5 Mabswid
.68997 .24476 m
.97619 .27955 L
s
% Start of user PostScript
19.9469 -3.62549 50. 0.0274679 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27955 Mdot
.039 .916 .04 r
.5 Mabswid
.69007 .24824 m
.97619 .27941 L
s
% Start of user PostScript
19.9571 -3.25998 50. 0.012736 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27941 Mdot
.039 .916 .04 r
.5 Mabswid
.69015 .25171 m
.97619 .2793 L
s
% Start of user PostScript
19.9661 -2.89543 50. 0.00191172 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .2793 Mdot
.039 .916 .04 r
.5 Mabswid
.69023 .25517 m
.97619 .27923 L
s
% Start of user PostScript
19.9741 -2.53172 50. -0.0055091 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27923 Mdot
.039 .916 .04 r
.5 Mabswid
.6903 .25863 m
.97619 .27919 L
s
% Start of user PostScript
19.981 -2.16874 50. -0.0100045 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27919 Mdot
.039 .916 .04 r
.5 Mabswid
.69035 .26208 m
.97619 .27917 L
s
% Start of user PostScript
19.9868 -1.80636 50. -0.0120305 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27917 Mdot
.039 .916 .04 r
.5 Mabswid
.6904 .26553 m
.97619 .27917 L
s
% Start of user PostScript
19.9916 -1.44449 50. -0.012025 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27917 Mdot
.039 .916 .04 r
.5 Mabswid
.69043 .26897 m
.97619 .27919 L
s
% Start of user PostScript
19.9953 -1.08302 50. -0.0104114 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27919 Mdot
.039 .916 .04 r
.5 Mabswid
.69046 .27241 m
.97619 .27921 L
s
% Start of user PostScript
19.9979 -0.721851 50. -0.00760127 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27921 Mdot
.039 .916 .04 r
.5 Mabswid
.69047 .27585 m
.97619 .27925 L
s
% Start of user PostScript
19.9995 -0.360876 50. -0.0039982 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27925 Mdot
.039 .916 .04 r
.5 Mabswid
.69048 .27929 m
.97619 .27929 L
s
% Start of user PostScript
20. 0 50. 0 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27929 Mdot
.039 .916 .04 r
.5 Mabswid
.69047 .28272 m
.97619 .27932 L
s
% Start of user PostScript
19.9995 0.360876 50. 0.0039982 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27932 Mdot
.039 .916 .04 r
.5 Mabswid
.69046 .28616 m
.97619 .27936 L
s
% Start of user PostScript
19.9979 0.721851 50. 0.00760127 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27936 Mdot
.039 .916 .04 r
.5 Mabswid
.69043 .2896 m
.97619 .27938 L
s
% Start of user PostScript
19.9953 1.08302 50. 0.0104114 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27938 Mdot
.039 .916 .04 r
.5 Mabswid
.6904 .29304 m
.97619 .2794 L
s
% Start of user PostScript
19.9916 1.44449 50. 0.012025 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .2794 Mdot
.039 .916 .04 r
.5 Mabswid
.69035 .29649 m
.97619 .2794 L
s
% Start of user PostScript
19.9868 1.80636 50. 0.0120305 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .2794 Mdot
.039 .916 .04 r
.5 Mabswid
.6903 .29994 m
.97619 .27938 L
s
% Start of user PostScript
19.981 2.16874 50. 0.0100045 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27938 Mdot
.039 .916 .04 r
.5 Mabswid
.69023 .3034 m
.97619 .27934 L
s
% Start of user PostScript
19.9741 2.53172 50. 0.0055091 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27934 Mdot
.039 .916 .04 r
.5 Mabswid
.69015 .30686 m
.97619 .27927 L
s
% Start of user PostScript
19.9661 2.89543 50. -0.00191172 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27927 Mdot
.039 .916 .04 r
.5 Mabswid
.69007 .31033 m
.97619 .27916 L
s
% Start of user PostScript
19.9571 3.25998 50. -0.012736 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27916 Mdot
.039 .916 .04 r
.5 Mabswid
.68997 .31381 m
.97619 .27902 L
s
% Start of user PostScript
19.9469 3.62549 50. -0.0274679 MAarrowhead1
% End of user PostScript
0 0 0 r
2 Mabswid
.97619 .27902 Mdot
[(L)] .59524 .10786 0 0 Mshowa
[(S)] .97619 .01262 0 0 Mshowa
0 0 m
1 0 L
1 .53 L
0 .53 L
closepath
clip
newpath
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  GeneratedCell->False,
  CellAutoOverwrite->False,
  ImageSize->{504, 267.062},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40007h00012b000`400?l00000o`00003oo`3ooooi
0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooX0?ooo`040000003o
ool00000000000d0oooo003o0?ooonP0oooo0P0000020?ooo`030000003oool0oooo00X0oooo003o
0?ooonP0oooo00<000000?ooo`3oool00P00000<0?ooo`00o`3ooooY0?ooo`<000003@3oool00?l0
ooooj03oool200000080oooo00<000000?ooo`3oool02P3oool00?l0ooooj03oool00`000000oooo
0?ooo`02000000`0oooo003o0?ooonT0oooo0P0000000`3oool000000?ooo`0;0?ooo`00o`3ooooi
0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi
0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3oooo[
0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0
ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo
003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;
0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3o
ool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003o
ool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`00
0000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo
00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[
0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0
ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo
003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;
0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3o
ool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003o
ool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`00
0000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo
00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[
0?ooo`030000003oool0oooo00/0oooo003o0?ooobT0oooo1@00002m0?ooo`030000003oool0oooo
00/0oooo003o0?ooobX0oooo00@000000?ooo`3oool00000_@3oool00`000000oooo0?ooo`0;0?oo
o`00o`3ooolZ0?ooo`030000003oool0oooo0;h0oooo00<000000?ooo`3oool02`3oool00?l0oooo
:P3oool00`000000oooo0?ooo`2n0?ooo`030000003oool0oooo00/0oooo003o0?ooobX0oooo00<0
00000?ooo`3oool0_P3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooolZ0?ooo`030000003oool0
oooo0;h0oooo00<000000?ooo`3oool02`3oool00?l0oooo:@3oool300000;l0oooo00<000000?oo
o`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000
003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool0
0`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0
oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3o
ooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool0
0?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooolE0?oood<00000T`3oool00`000000
oooo0?ooo`0;0?ooo`00o`3ooolE0?ooo`030000001oOgl0Ogmo03l0Ogmo00<000000?ooo`3oool0
T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooolD0?oood@00000T`3oool00`000000oooo0?oo
o`0;0?ooo`00o`3ooolC0?ooo`030000001oOgl000000440Ogmo00<000000?ooo`3oool0T@3oool0
0`000000oooo0?ooo`0;0?ooo`00o`3ooolC0?ooo`030000001oOgl000000440Ogmo00<000000?oo
o`3oool0T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooolB0?ooo`040000001oOgl0Ogmo0000
0440Ogmo0P00002B0?ooo`030000003oool0oooo00/0oooo003o0?oooa80oooo00@0000007moO`1o
Ogl00000@@1oOgl200000980oooo00<000000?ooo`3oool02`3oool00?l0oooo4@3oool01@000000
Ogmo07moO`1oOgl000000440Ogmo0P00002B0?ooo`030000003oool0oooo00/0oooo003o0?oooa00
oooo00<0000007moO`1oOgl00P1oOgl00`000000Ogmo07moO`0o07moO`800000TP3oool00`000000
oooo0?ooo`0;0?ooo`00o`3oool@0?ooo`030000001oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl0
?`1oOgl200000980oooo00<000000?ooo`3oool02`3oool00?l0oooo3`3oool00`000000Ogmo07mo
O`0307moOd@00000TP3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool>0?ooo`030000001oOgl0
Ogmo00@0Ogmo00<0000007moO`1oOgl0?`1oOgl200000980oooo00<000000?ooo`3oool02`3oool0
0?l0oooo3P3oool00`000000Ogmo07moO`0407moO`030000001oOgl0Ogmo03l0Ogmo0P00002B0?oo
o`030000003oool0oooo00/0oooo003o0?ooo`d0oooo00<0000007moO`1oOgl01@1oOgl00`000000
Ogmo07moO`0o07moO`030000001oOgl000000940oooo00<000000?ooo`3oool02`3oool00?l0oooo
3@3oool00`000000Ogmo07moO`0507moO`030000001oOgl0Ogmo03l0Ogmo00<0000007moO`000000
T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool<0?ooo`030000001oOgl0Ogmo00H0Ogmo00<0
000007moO`1oOgl0?`1oOgl00`000000Ogmo0000002A0?ooo`030000003oool0oooo00/0oooo003o
0?ooo`/0oooo00<0000007moO`1oOgl01`1oOgl00`000000Ogmo07moO`0o07moO`030000001oOgl0
00000940oooo00<000000?ooo`3oool02`3oool00?l0oooo2`3oool00`000000Ogmo07moO`0707mo
O`030000001oOgl0Ogmo03l0Ogmo00<0000007moO`000000T@3oool00`000000oooo0?ooo`0;0?oo
o`00o`3oool:0?ooo`030000001oOgl0Ogmo00P0Ogmo00<0000007moO`1oOgl0?`1oOgl00`000000
Ogmo0000002A0?ooo`030000003oool0oooo00/0oooo003o0?ooo`T0oooo00<0000007moO`1oOgl0
2@1oOgl00`000000Ogmo07moO`0o07moO`030000001oOgl000000940oooo00<000000?ooo`3oool0
2`3oool00?l0oooo2@3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo03l0Ogmo00<0
000007moO`000000T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool80?ooo`030000001oOgl0
Ogmo00X0Ogmo@`00000207moO`030000003oool0oooo08h0oooo00<000000?ooo`3oool02`3oool0
0?l0oooo203oool00`000000Ogmo07moO`0:07moO`030000001oOgl0Ogmo03l0Ogmo00@0000007mo
O`1oOgl00000T03oool00`000000oooo0?ooo`0;0?ooo`00o`3oool70?ooo`030000001oOgl0Ogmo
00/0Ogmo00<0000007moO`1oOgl0?`1oOgl010000000Ogmo07moO`00002@0?ooo`030000003oool0
oooo00/0oooo003o0?ooo`H0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0o07mo
O`040000001oOgl0Ogmo00000900oooo00<000000?ooo`3oool02`3oool00?l0oooo1P3oool00`00
0000Ogmo07moO`0<07moO`030000001oOgl0Ogmo03l0Ogmo00@0000007moO`1oOgl00000T03oool0
0`000000oooo0?ooo`0;0?ooo`00o`3oool60?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007mo
O`1oOgl0?`1oOgl010000000Ogmo07moO`00002@0?ooo`030000003oool0oooo00/0oooo003o0?oo
o`D0oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo
00000900oooo00<000000?ooo`3oool02`3oool00?l0oooo1@3oool00`000000Ogmo07moO`0=07mo
O`030000001oOgl0Ogmo03l0Ogmo00@0000007moO`1oOgl00000T03oool00`000000oooo0?ooo`0;
0?ooo`00o`3oool50?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007moO`1oOgl0?`1oOgl01000
0000Ogmo07moO`00002@0?ooo`030000003oool0oooo00/0oooo003o0?ooo`@0oooo00<0000007mo
O`1oOgl03P1oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<00000
0?ooo`3oool02`3oool00?l0oooo103oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo
03l0Ogmo00@0000007moO`1oOgl00000T03oool00`000000oooo0?ooo`0;0?ooo`00o`3oool40?oo
o`030000001oOgl0Ogmo00h0Ogmo00<0000007moO`1oOgl0?`1oOgl010000000Ogmo07moO`00002@
0?ooo`030000003oool0oooo00/0oooo003o0?ooo`@0oooo00<0000007moO`1oOgl03P1oOgl00`00
0000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<000000?ooo`3oool02`3oool0
0?l0oooo0`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo03l0Ogmo00@0000007mo
O`1oOgl00000T03oool00`000000oooo0?ooo`0;0?ooo`00o`3oool30?ooo`030000001oOgl0Ogmo
00l0Ogmo00<0000007moO`1oOgl0?`1oOgl010000000Ogmo07moO`00002@0?ooo`030000003oool0
oooo00/0oooo003o0?ooo`<0oooo00<0000007moO`1oOgl03`1oOgm300000080Ogmo00<000000?oo
o`3oool0SP3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool20?ooo`030000001oOgl0Ogmo0100
Ogmo00<0000007moO`1oOgl0?`1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?oo
o`3oool02`3oool00?l0oooo0P3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo03l0
Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo003o0?ooo`80
oooo00<0000007moO`1oOgl0401oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07mo
O`000000S`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool10?ooo`030000001oOgl0Ogmo0140
Ogmo00<0000007moO`1oOgl0?`1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?oo
o`3oool02`3oool00?l0oooo0@3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo03l0
Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo003o0?ooo`40
oooo00<0000007moO`1oOgl04@1oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07mo
O`000000S`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool10?ooo`030000001oOgl0Ogmo0140
Ogmo00<0000007moO`1oOgl0?`1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?oo
o`3oool02`3oool00?l0oooo00<0000007moO`1oOgl04P1oOgl00`000000Ogmo07moO`0o07moO`05
0000001oOgl0Ogmo07moO`000000S`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool00`000000
Ogmo07moO`0B07moO`030000001oOgl0Ogmo03l0Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?oo
o`030000003oool0oooo00/0oooo003f0?ooo`<02NX:1P3oool00`000000Ogmo07moO`0B07moO`03
0000001oOgl0Ogmo03l0Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo
00/0oooo003g0?ooo`H02NX:0P00000E07moO`030000001oOgl0Ogmo03l0Ogmo00D0000007moO`1o
Ogl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo000<0?oooo402NX:00<0000000WZ2P09
jPX01`09jPX=07moO`030000001oOgl0Ogmo03l0Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?oo
o`030000003oool0oooo00/0oooo003f0?ooo`H02NX:0P3oool00`000000Ogmo07moO`0607moO`l0
2NX:@01oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?ooo`3oool02`3oool000`0
oooonP09jPX>07moO`030000001oOgl02NX:00h02NX:<@1oOgl01@000000Ogmo07moO`1oOgl00000
08l0oooo00<000000?ooo`3oool02`3oool00?D0oooo1P09jPX20?ooo`8000001`1oOgl?00WZ2Q00
Ogmo4009jPXQ07moO`050000001oOgl0Ogmo07moO`000000S`3oool00`000000oooo0?ooo`0;0?oo
o`00m@3oool700WZ2P<000005@1oOgl00`0000002NX:00WZ2P0>00WZ2Q00Ogmo3`09jPX>07moO`<0
2NX:00<0Ogmo0000001oOgl00P1oOgl00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo00/0
oooo000<0?oooo002NX:00<0000000WZ2P09jPX02009jPX=07moOa4000003`09jPX@000001D02NX:
00<0Ogmo0000003oool0SP3oool00`000000oooo0?ooo`0;0?ooo`00m@3oool600WZ2P030?ooo`00
0000000000T0Ogmo4`09jPXJ07moOa002NX:3`1oOgl<00WZ2X/0oooo00<000000?ooo`3oool02`3o
ool000`0oooonP09jPX>07moO`030000001oOgl0Ogmo00<0Ogmo4`09jPXG07moOaD02NX:00<0Ogmo
0000000000000`3oool800WZ2X<0oooo00<000000?ooo`3oool02`3oool00?D0oooo1P09jPX20?oo
o`030000001oOgl0Ogmo00H0Ogmo4`09jPXD07moOa802NX:4`1oOgl>00WZ2PL0oooo2009jPYk0?oo
o`030000003oool0oooo00/0oooo000<0?ooonl02NX:00<0000000WZ2P09jPX02`09jPX;07moO`03
0000001oOgl0Ogmo0080Ogmo4`09jPXC07moOa<02NX:00<0Ogmo00WZ2P09jPX01@09jPX2000000@0
oooo2@09jPX60?ooo`P02NX:L`3oool00`000000oooo0?ooo`0;0?ooo`00m03oool600WZ2P040?oo
o`0000000000000000/0Ogmo6009jPX;07moOa<02NX:4`1oOgl>00WZ2PT0oooo2@09jPX50?ooo`P0
2NX:J`3oool00`000000oooo0?ooo`0;0?ooo`00m03oool700WZ2P<000005P1oOgl00`000000Ogmo
07moO`0:07moOaL02NX:1`1oOglK00WZ2P800000103oool:00WZ2PP0oooo2@09jPX40?ooo`P02NX:
H`3oool00`000000oooo0?ooo`0;0?ooo`00303oooo_00WZ2P0300000009jPX02NX:00l02NX:1`1o
Ogl00`000000Ogmo07moO`0Q07moOaP02NX:0P1oOgl?00WZ2PT0oooo2`09jPX60?ooo`T02NX:0`3o
ool800WZ2U/0oooo00<000000?ooo`3oool02`3oool00?@0oooo1P09jPX20?ooo`030000001oOgl0
Ogmo00h0Ogmo8009jPXS07moO`X02NX:00<0000000WZ2P09jPX04009jPX80?ooo`X02NX:1@3oool9
00WZ2P80oooo2009jPYC0?ooo`030000003oool0oooo00/0oooo000<0?ooool02NX:0@09jPX807mo
O`030000001oOgl0Ogmo01H0Ogmo7`09jPX707moO`L02NX:0P0000070?oooaH02NX:1P3oool:00WZ
2P@0oooo2@09jPX00`3oool02NX:00WZ2P0600WZ2T/0oooo00<000000?ooo`3oool02`3oool00?@0
oooo1P09jPX00`3oool000000000000?07moOb002NX:801oOgl>00WZ2P0300000009jPX02NX:00L0
2NX:303ooolE00WZ2P@0oooo2`09jPX20?oooa402NX:@`3oool00`000000oooo0?ooo`0;0?ooo`00
303ooooo00WZ2PT02NX:00<0000007moO`1oOgl05@1oOglP00WZ2PL0Ogmo1`09jPX2000000P0oooo
4009jPX90?oooa@02NX:0`3oool:00WZ2P030?ooo`09jPX02NX:00h02NX:>`3oool00`000000oooo
0?ooo`0;0?ooo`00l`3oool600WZ2P80oooo0P00000G07moOc002NX:201oOgl>00WZ2P0300000009
jPX02NX:00T02NX:3P3oool@00WZ2PH0oooo4`09jPX00`3oool02NX:00WZ2P0G00WZ2S<0oooo00<0
00000?ooo`3oool02`3oool00?<0oooo1`09jPX00`3oool000000000000G07moO`030000001oOgl0
Ogmo02d0Ogmo5P09jPX00`0000002NX:00WZ2P0N00WZ2PT0oooo4009jPX30?ooobP02NX::`3oool0
0`000000oooo0?ooo`0;0?ooo`00303ooooo00WZ2R402NX:9`1oOgl700WZ2P800000303ooolW00WZ
2PD0oooo<`09jPXS0?ooo`030000003oool0oooo00/0oooo003d0?ooo`H02NX:0P3oool00`000000
Ogmo07moO`0E07moO`030000001oOgl0Ogmo01D0Ogmo;P09jPX00`0000002NX:00WZ2P0A00WZ2Q80
ooooC`09jPXK0?ooo`030000003oool0oooo00/0oooo000<0?ooool02NX:8@09jPXX07moO`H02NX:
0P00000B0?ooob@02NX:1P3ooolo00WZ2P/0oooo0P09jPX60?ooo`030000003oool0oooo00/0oooo
003c0?ooo`H02NX:0P3oool2000001L0Ogmo00<0000007moO`1oOgl05@1oOgl^00WZ2P0300000009
jPX02NX:02<02NX:4P3ooom=00WZ2P<0oooo1@09jPX30?ooo`030000003oool0oooo00/0oooo003c
0?ooo`L02NX:00<0oooo0000000000005`1oOgl00`000000Ogmo07moO`0l07moO`L02NX:0P00000T
0?ooofX02NX:0P00000<0?ooo`00303ooooo00WZ2Tl02NX:00<0000000WZ2P09jPX0S@09jPX20000
00`0oooo003d0?ooo`H02NX:00<0oooo0000001oOgl05`1oOgl00`000000Ogmo07moO`0D07moObl0
2NX:00<0000000WZ2P09jPX0S009jPX00`3oool000000?ooo`0<0?ooo`00303ooooo00WZ2R002NX:
:01oOgl700WZ2P8000005`3ooomZ00WZ2PD0oooo1009jPX40?ooo`030000003oool0oooo00/0oooo
003d0?ooo`H02NX:00<0oooo0000000000005`1oOgl00`000000Ogmo07moO`0D07moObl02NX:00<0
000000WZ2P09jPX05P09jPXC0?ooodl02NX:3@3oool00`09jPX0oooo0?ooo`050?ooo`030000003o
ool0oooo00/0oooo000<0?ooool02NX:8009jPXY07moO`H02NX:0P00000=0?oooad02NX:203oooln
00WZ2Qh0oooo00<000000?ooo`3oool02`3oool00?<0oooo1P09jPX20?ooo`8000005`1oOgl00`00
0000Ogmo07moO`0/07moOaL02NX:00<0000000WZ2P09jPX03009jPXA0?ooob002NX:00<0oooo00WZ
2P09jPX09`09jPXV0?ooo`030000003oool0oooo00/0oooo003c0?ooo`L02NX:00<0oooo00000000
00005P1oOgl`00WZ2Q40Ogmo1P09jPX2000000T0oooo8`09jPX50?ooo`h02NX:00<0oooo00WZ2P09
jPX07@09jPX_0?ooo`030000003oool0oooo00/0oooo000<0?ooool02NX:2009jPX00`1oOgl00000
07moO`0]07moOaL02NX:00<0000000WZ2P09jPX06@09jPX90?ooo`h02NX:0`3ooolS00WZ2SL0oooo
00<000000?ooo`3oool02`3oool00?@0oooo1P09jPX20?ooo`030000001oOgl0Ogmo01@0Ogmo<009
jPX<07moO`/02NX:00<0000000WZ2P09jPX01`09jPX<0?ooo`l02NX:1@3ooolC00WZ2P030?ooo`09
jPX02NX:01002NX:@03oool00`000000oooo0?ooo`0;0?ooo`00303ooooo00WZ2PP02NX:00<0Ogmo
0000001oOgl08@1oOglH00WZ2P@0Ogmo1`09jPX2000000H0oooo3P09jPX80?oooa@02NX:0`3oool9
00WZ2P80oooo2009jPY80?ooo`030000003oool0oooo00/0oooo003d0?ooo`D02NX:0P3oool20000
01L0Ogmo00<0000007moO`1oOgl02@1oOglG00WZ2QP0Ogmo2`09jPX00`0000002NX:00WZ2P0500WZ
2PX0oooo5@09jPX40?ooo`X02NX:0P3oool900WZ2U00oooo00<000000?ooo`3oool02`3oool00?<0
oooo2009jPX2000000/0Ogmo6009jPXG07moOaP02NX:101oOgl600WZ2P0307moO`000000000000@0
oooo5P09jPX60?ooo`T02NX:103oool800WZ2UT0oooo00<000000?ooo`3oool02`3oool000`0oooo
k`09jPX00`0000002NX:00WZ2P0:00WZ2P`0Ogmo00<0000007moO`1oOgl02@1oOglG00WZ2QL0Ogmo
7@09jPX70?ooo`X02NX:103oool900WZ2V40oooo00<000000?ooo`3oool02`3oool00?D0oooo1P09
jPX3000000X0Ogmo6009jPXG07moOaL02NX:101oOgl>00WZ2PP0oooo2P09jPX60?ooo`P02NX:JP3o
ool00`000000oooo0?ooo`0;0?ooo`00303oooo_00WZ2P0300000009jPX02NX:00X02NX:301oOgl0
0`000000Ogmo07moO`0807moOaP02NX:301oOglF00WZ2P0307moO`000000000000<0oooo2@09jPX7
0?ooo`T02NX:LP3oool00`000000oooo0?ooo`0;0?ooo`00m@3oool600WZ2P80oooo00<0000007mo
O`1oOgl0201oOglG00WZ2Q@0Ogmo4009jPX?07moO`d02NX:203oool800WZ2W/0oooo00<000000?oo
o`3oool02`3oool000`0ooooo009jPX<07moO`030000001oOgl0Ogmo00d0Ogmo3`09jPX@07moOaH0
2NX:00<0Ogmo0000000000000P3oool900WZ2X<0oooo00<000000?ooo`3oool02`3oool00?D0oooo
1@09jPX20?ooo`8000005P1oOgl@00WZ2Pl0Ogmo4009jPX@07moO`/02NX:S03oool00`000000oooo
0?ooo`0;0?ooo`00m03oool800WZ2P8000001`1oOgl?00WZ2Q0000003`09jPXC000001<02NX:00<0
Ogmo0000003oool0SP3oool00`000000oooo0?ooo`0;0?ooo`00303oooo`00WZ2P0300000009jPX0
2NX:00H02NX:3`1oOgl@00WZ2QD0Ogmo3@09jPX=07moO`<02NX:00D0000007moO`1oOgl0Ogmo0000
002?0?ooo`030000003oool0oooo00/0oooo003f0?ooo`H02NX:00<0oooo0000001oOgl01P1oOgl?
00WZ2P030000001oOgl0Ogmo01D0Ogmo3@09jPXI07moO`0500WZ2P1oOgl0Ogmo07moO`0000000`1o
Ogl00`000000oooo0?ooo`2=0?ooo`030000003oool0oooo00/0oooo000<0?ooooT02NX:3`1oOgl0
0`000000Ogmo07moO`0807moO`d02NX::P1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<0
00000?ooo`3oool02`3oool00?H0oooo1@09jPX20?ooo`8000004`1oOgl=00WZ2SL0Ogmo00D00000
07moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo003e0?ooo`P02NX:0P000006
07moO`d02NX:0P1oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07moO`000000S`3o
ool00`000000oooo0?ooo`0;0?ooo`00303ooooa00WZ2P0300000009jPX02NX:00D02NX:3`1oOgl0
0`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07moO`000000S`3oool00`000000oooo0?oo
o`0;0?ooo`00m`3oool500WZ2P80oooo00<0000007moO`1oOgl04`1oOgl00`000000Ogmo07moO`0o
07moO`050000001oOgl0Ogmo07moO`000000S`3oool00`000000oooo0?ooo`0;0?ooo`00mP3oool2
00WZ2PH0oooo00<0000007moO`1oOgl04`1oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0
Ogmo07moO`000000S`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool00`000000Ogmo07moO`0B
07moO`030000001oOgl0Ogmo03l0Ogmo00D0000007moO`1oOgl0Ogmo0000002?0?ooo`030000003o
ool0oooo00/0oooo003o0?ooo`030000001oOgl0Ogmo0180Ogmo00<0000007moO`1oOgl0?`1oOgl0
1@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?ooo`3oool02`3oool00?l0oooo00<00000
07moO`1oOgl04P1oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07moO`000000S`3o
ool00`000000oooo0?ooo`0;0?ooo`00o`3oool10?ooo`030000001oOgl0Ogmo0140Ogmo00<00000
07moO`1oOgl0?`1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?ooo`3oool02`3o
ool00?l0oooo0@3oool00`000000Ogmo07moO`0A07moO`030000001oOgl0Ogmo03l0Ogmo00D00000
07moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo003o0?ooo`40oooo00<00000
07moO`1oOgl04@1oOgl00`000000Ogmo07moO`0o07moO`050000001oOgl0Ogmo07moO`000000S`3o
ool00`000000oooo0?ooo`0;0?ooo`00o`3oool20?ooo`030000001oOgl0Ogmo0100Ogmo00<00000
07moO`1oOgl0?`1oOgl01@000000Ogmo07moO`1oOgl0000008l0oooo00<000000?ooo`3oool02`3o
ool00?l0oooo0P3oool00`000000Ogmo07moO`0@07moO`030000001oOgl0Ogmo03l0Ogmo00D00000
07moO`1oOgl0Ogmo0000002?0?ooo`030000003oool0oooo00/0oooo003o0?ooo`80oooo00<00000
07moO`1oOgl0401oOgm3000000<0Ogmo00<000000?ooo`3oool0S@3oool00`000000oooo0?ooo`0;
0?ooo`00o`3oool30?ooo`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0?`1oOgl01000
0000Ogmo07moO`00002@0?ooo`030000003oool0oooo00/0oooo003o0?ooo`<0oooo00<0000007mo
O`1oOgl03`1oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<00000
0?ooo`3oool02`3oool00?l0oooo0`3oool00`000000Ogmo07moO`0?07moO`030000001oOgl0Ogmo
03l0Ogmo00@0000007moO`1oOgl00000T03oool00`000000oooo0?ooo`0;0?ooo`00o`3oool30?oo
o`030000001oOgl0Ogmo00l0Ogmo00<0000007moO`1oOgl0?`1oOgl010000000Ogmo07moO`00002@
0?ooo`030000003oool0oooo00/0oooo003o0?ooo`@0oooo00<0000007moO`1oOgl03P1oOgl00`00
0000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<000000?ooo`3oool02`3oool0
0?l0oooo103oool00`000000Ogmo07moO`0>07moO`030000001oOgl0Ogmo03l0Ogmo00@0000007mo
O`1oOgl00000T03oool00`000000oooo0?ooo`0;0?ooo`00o`3oool40?ooo`030000001oOgl0Ogmo
00h0Ogmo00<0000007moO`1oOgl0?`1oOgl010000000Ogmo07moO`00002@0?ooo`030000003oool0
oooo00/0oooo003o0?ooo`D0oooo00<0000007moO`1oOgl03@1oOgl00`000000Ogmo07moO`0o07mo
O`040000001oOgl0Ogmo00000900oooo00<000000?ooo`3oool02`3oool00?l0oooo1@3oool00`00
0000Ogmo07moO`0=07moO`030000001oOgl0Ogmo03l0Ogmo00@0000007moO`1oOgl00000T03oool0
0`000000oooo0?ooo`0;0?ooo`00o`3oool50?ooo`030000001oOgl0Ogmo00d0Ogmo00<0000007mo
O`1oOgl0?`1oOgl010000000Ogmo07moO`00002@0?ooo`030000003oool0oooo00/0oooo003o0?oo
o`H0oooo00<0000007moO`1oOgl0301oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo
00000900oooo00<000000?ooo`3oool02`3oool00?l0oooo1P3oool00`000000Ogmo07moO`0<07mo
O`030000001oOgl0Ogmo03l0Ogmo00@0000007moO`1oOgl00000T03oool00`000000oooo0?ooo`0;
0?ooo`00o`3oool60?ooo`030000001oOgl0Ogmo00`0Ogmo00<0000007moO`1oOgl0?`1oOgl01000
0000Ogmo07moO`00002@0?ooo`030000003oool0oooo00/0oooo003o0?ooo`L0oooo00<0000007mo
O`1oOgl02`1oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<00000
0?ooo`3oool02`3oool00?l0oooo203oool00`000000Ogmo07moO`0:07moOd<000000P1oOgl00`00
0000oooo0?ooo`2>0?ooo`030000003oool0oooo00/0oooo003o0?ooo`P0oooo00<0000007moO`1o
Ogl02P1oOgl00`000000Ogmo07moO`0o07moO`040000001oOgl0Ogmo00000900oooo00<000000?oo
o`3oool02`3oool00?l0oooo2@3oool00`000000Ogmo07moO`0907moO`030000001oOgl0Ogmo03l0
Ogmo00<0000007moO`000000T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool90?ooo`030000
001oOgl0Ogmo00T0Ogmo00<0000007moO`1oOgl0?`1oOgl00`000000Ogmo0000002A0?ooo`030000
003oool0oooo00/0oooo003o0?ooo`X0oooo00<0000007moO`1oOgl0201oOgl00`000000Ogmo07mo
O`0o07moO`030000001oOgl000000940oooo00<000000?ooo`3oool02`3oool00?l0oooo2`3oool0
0`000000Ogmo07moO`0707moO`030000001oOgl0Ogmo03l0Ogmo00<0000007moO`000000T@3oool0
0`000000oooo0?ooo`0;0?ooo`00o`3oool;0?ooo`030000001oOgl0Ogmo00L0Ogmo00<0000007mo
O`1oOgl0?`1oOgl00`000000Ogmo0000002A0?ooo`030000003oool0oooo00/0oooo003o0?ooo``0
oooo00<0000007moO`1oOgl01P1oOgl00`000000Ogmo07moO`0o07moO`030000001oOgl000000940
oooo00<000000?ooo`3oool02`3oool00?l0oooo3@3oool00`000000Ogmo07moO`0507moO`030000
001oOgl0Ogmo03l0Ogmo00<0000007moO`000000T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3o
ool=0?ooo`030000001oOgl0Ogmo00D0Ogmo00<0000007moO`1oOgl0?`1oOgl00`000000Ogmo0000
002A0?ooo`030000003oool0oooo00/0oooo003o0?ooo`h0oooo00<0000007moO`1oOgl0101oOgl0
0`000000Ogmo07moO`0o07moO`800000TP3oool00`000000oooo0?ooo`0;0?ooo`00o`3oool>0?oo
o`030000001oOgl0Ogmo00@0Ogmo00<0000007moO`1oOgl0?`1oOgl200000980oooo00<000000?oo
o`3oool02`3oool00?l0oooo3`3oool00`000000Ogmo07moO`0307moOd@00000TP3oool00`000000
oooo0?ooo`0;0?ooo`00o`3oool@0?ooo`030000001oOgl0Ogmo0080Ogmo00<0000007moO`1oOgl0
?`1oOgl200000980oooo00<000000?ooo`3oool02`3oool00?l0oooo403oool00`000000Ogmo07mo
O`0207moO`030000001oOgl0Ogmo03l0Ogmo0P00002B0?ooo`030000003oool0oooo00/0oooo003o
0?oooa40oooo00D0000007moO`1oOgl0Ogmo0000001107moO`800000TP3oool00`000000oooo0?oo
o`0;0?ooo`00o`3ooolB0?ooo`040000001oOgl0Ogmo00000440Ogmo0P00002B0?ooo`030000003o
ool0oooo00/0oooo003o0?oooa80oooo00@0000007moO`1oOgl00000@@1oOgl200000980oooo00<0
00000?ooo`3oool02`3oool00?l0oooo4`3oool00`000000Ogmo0000001107moO`030000003oool0
oooo0940oooo00<000000?ooo`3oool02`3oool00?l0oooo4`3oool00`000000Ogmo000000120000
09<0oooo00<000000?ooo`3oool02`3oool00?l0oooo503oool200000440Ogmo00<000000?ooo`3o
ool0T@3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooolE0?oood<00000T`3oool00`000000oooo
0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<00000
0?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`03
0000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3o
ool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?oo
on/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00
o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3o
ool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo
00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo
0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<00000
0?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`03
0000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3o
ool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?oo
on/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00
o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3o
ool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo
00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo
0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<00000
0?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`03
0000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3o
ool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?oo
on/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00
o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3o
ool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo
00/0oooo003o0?ooon/0oooo00<000000?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo
0?ooo`0;0?ooo`00o`3oooo[0?ooo`030000003oool0oooo00/0oooo003o0?ooon/0oooo00<00000
0?ooo`3oool02`3oool00?l0ooooj`3oool00`000000oooo0?ooo`0;0?ooo`00o`3ooooi0?ooo`00
o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00o`3ooooi0?ooo`00
\
\>"],
  ImageRangeCache->{{{0, 503}, {266.062, 0}} -> {-52.6046, -29.3253, \
0.209163, 0.209163}},
  CellTags->"Finding Geometric Intensity"],

Cell[GraphicsData["PostScript", "\<\
%!
%%Creator: Mathematica
%%AspectRatio: 1 
MathPictureStart
/Mabs {
Mgmatrix idtransform
Mtmatrix dtransform
} bind def
/Mabsadd { Mabs
3 -1 roll add
3 1 roll add
exch } bind def
%% DensityGraphics
%%IncludeResource: font Courier
%%IncludeFont: Courier
/Courier findfont 10  scalefont  setfont
% Scaling calculations
0.5 9.61538 0.437291 0.83612 [
[.11538 -0.0125 -15 -9 ]
[.11538 -0.0125 15 0 ]
[.30769 -0.0125 -15 -9 ]
[.30769 -0.0125 15 0 ]
[.5 -0.0125 -3 -9 ]
[.5 -0.0125 3 0 ]
[.69231 -0.0125 -12 -9 ]
[.69231 -0.0125 12 0 ]
[.88462 -0.0125 -12 -9 ]
[.88462 -0.0125 12 0 ]
[ 0 0 -0.125 0 ]
[-0.0125 .10284 -24 -4.5 ]
[-0.0125 .10284 0 4.5 ]
[-0.0125 .27007 -24 -4.5 ]
[-0.0125 .27007 0 4.5 ]
[-0.0125 .43729 -6 -4.5 ]
[-0.0125 .43729 0 4.5 ]
[-0.0125 .60452 -18 -4.5 ]
[-0.0125 .60452 0 4.5 ]
[-0.0125 .77174 -18 -4.5 ]
[-0.0125 .77174 0 4.5 ]
[-0.0125 .93896 -18 -4.5 ]
[-0.0125 .93896 0 4.5 ]
[ 0 0 -0.125 0 ]
[ 0 1 .125 0 ]
[ 1 0 .125 0 ]
[ 0 0 0 0 ]
[ 1 1 0 0 ]
] MathScale
% Start of Graphics
1 setlinecap
1 setlinejoin
newpath
0 g
.25 Mabswid
[ ] 0 setdash
.11538 0 m
.11538 .00625 L
s
[(-0.04)] .11538 -0.0125 0 1 Mshowa
.30769 0 m
.30769 .00625 L
s
[(-0.02)] .30769 -0.0125 0 1 Mshowa
.5 0 m
.5 .00625 L
s
[(0)] .5 -0.0125 0 1 Mshowa
.69231 0 m
.69231 .00625 L
s
[(0.02)] .69231 -0.0125 0 1 Mshowa
.88462 0 m
.88462 .00625 L
s
[(0.04)] .88462 -0.0125 0 1 Mshowa
.125 Mabswid
.16346 0 m
.16346 .00375 L
s
.21154 0 m
.21154 .00375 L
s
.25962 0 m
.25962 .00375 L
s
.35577 0 m
.35577 .00375 L
s
.40385 0 m
.40385 .00375 L
s
.45192 0 m
.45192 .00375 L
s
.54808 0 m
.54808 .00375 L
s
.59615 0 m
.59615 .00375 L
s
.64423 0 m
.64423 .00375 L
s
.74038 0 m
.74038 .00375 L
s
.78846 0 m
.78846 .00375 L
s
.83654 0 m
.83654 .00375 L
s
.06731 0 m
.06731 .00375 L
s
.01923 0 m
.01923 .00375 L
s
.93269 0 m
.93269 .00375 L
s
.98077 0 m
.98077 .00375 L
s
.25 Mabswid
0 0 m
1 0 L
s
0 .10284 m
.00625 .10284 L
s
[(-0.4)] -0.0125 .10284 1 0 Mshowa
0 .27007 m
.00625 .27007 L
s
[(-0.2)] -0.0125 .27007 1 0 Mshowa
0 .43729 m
.00625 .43729 L
s
[(0)] -0.0125 .43729 1 0 Mshowa
0 .60452 m
.00625 .60452 L
s
[(0.2)] -0.0125 .60452 1 0 Mshowa
0 .77174 m
.00625 .77174 L
s
[(0.4)] -0.0125 .77174 1 0 Mshowa
0 .93896 m
.00625 .93896 L
s
[(0.6)] -0.0125 .93896 1 0 Mshowa
.125 Mabswid
0 .14465 m
.00375 .14465 L
s
0 .18645 m
.00375 .18645 L
s
0 .22826 m
.00375 .22826 L
s
0 .31187 m
.00375 .31187 L
s
0 .35368 m
.00375 .35368 L
s
0 .39548 m
.00375 .39548 L
s
0 .4791 m
.00375 .4791 L
s
0 .5209 m
.00375 .5209 L
s
0 .56271 m
.00375 .56271 L
s
0 .64632 m
.00375 .64632 L
s
0 .68813 m
.00375 .68813 L
s
0 .72993 m
.00375 .72993 L
s
0 .81355 m
.00375 .81355 L
s
0 .85535 m
.00375 .85535 L
s
0 .89716 m
.00375 .89716 L
s
0 .06104 m
.00375 .06104 L
s
0 .01923 m
.00375 .01923 L
s
0 .98077 m
.00375 .98077 L
s
.25 Mabswid
0 0 m
0 1 L
s
.11538 .99375 m
.11538 1 L
s
.30769 .99375 m
.30769 1 L
s
.5 .99375 m
.5 1 L
s
.69231 .99375 m
.69231 1 L
s
.88462 .99375 m
.88462 1 L
s
.125 Mabswid
.16346 .99625 m
.16346 1 L
s
.21154 .99625 m
.21154 1 L
s
.25962 .99625 m
.25962 1 L
s
.35577 .99625 m
.35577 1 L
s
.40385 .99625 m
.40385 1 L
s
.45192 .99625 m
.45192 1 L
s
.54808 .99625 m
.54808 1 L
s
.59615 .99625 m
.59615 1 L
s
.64423 .99625 m
.64423 1 L
s
.74038 .99625 m
.74038 1 L
s
.78846 .99625 m
.78846 1 L
s
.83654 .99625 m
.83654 1 L
s
.06731 .99625 m
.06731 1 L
s
.01923 .99625 m
.01923 1 L
s
.93269 .99625 m
.93269 1 L
s
.98077 .99625 m
.98077 1 L
s
.25 Mabswid
0 1 m
1 1 L
s
.99375 .10284 m
1 .10284 L
s
.99375 .27007 m
1 .27007 L
s
.99375 .43729 m
1 .43729 L
s
.99375 .60452 m
1 .60452 L
s
.99375 .77174 m
1 .77174 L
s
.99375 .93896 m
1 .93896 L
s
.125 Mabswid
.99625 .14465 m
1 .14465 L
s
.99625 .18645 m
1 .18645 L
s
.99625 .22826 m
1 .22826 L
s
.99625 .31187 m
1 .31187 L
s
.99625 .35368 m
1 .35368 L
s
.99625 .39548 m
1 .39548 L
s
.99625 .4791 m
1 .4791 L
s
.99625 .5209 m
1 .5209 L
s
.99625 .56271 m
1 .56271 L
s
.99625 .64632 m
1 .64632 L
s
.99625 .68813 m
1 .68813 L
s
.99625 .72993 m
1 .72993 L
s
.99625 .81355 m
1 .81355 L
s
.99625 .85535 m
1 .85535 L
s
.99625 .89716 m
1 .89716 L
s
.99625 .06104 m
1 .06104 L
s
.99625 .01923 m
1 .01923 L
s
.99625 .98077 m
1 .98077 L
s
.25 Mabswid
1 0 m
1 1 L
s
0 0 m
1 0 L
1 1 L
0 1 L
closepath
clip
newpath
% Start of colorimage (RGB)
p
.01923 .01923 translate
.96154 .96154 scale
600 string
200 200 8 [200 0 0 200 0 0] {
\tcurrentfile
\t1 index
\treadhexstring
\tpop
}  false 3 Mcolorimage
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FE0600EB5100
DC8300D0A600C6C000A9BE008CB70074B00060AB004FA60041A100359D002A9A00209600
1893001090000A8E00048B0000890100870600850A00830E008112007F1500544C00534C
00534C00524D00514D00514D00504E00504E004F4E004F4E004E4E004E4E004D4E004C4D
004B4D004A4C00494C00484C00484B00474B00464B00464A00454A00454A00444A004349
004349004249004249004249004148004148004048004048004048003F48003F47003F47
003E47003E47003E47003E47003D47003D46003D46003D46003D46003C46003C46003C46
003C46003C46003C46003C46003B46003B46003B46003B46003B45003B45003B45003B45
003B45003B45003B45003B45003B45003B45003B45003B45003B45003B45003B45003B45
003B46003B46003B46003B46003C46003C46003C46003C46003C46003C46003C46003D46
003D46003D46003D47003D47003E47003E47003E47003E47003F47003F47003F48004048
00404800404800414800414800424900424900424900434900434900444A00454A00454A
00464A00464B00474B00484B00484C00494C004A4C004B4D004C4D004D4E004E4E004E4E
004F4E004F4E00504E00504E00514D00514D00524D00534C00534C00544C007F15008112
00830E00850A008706008901048B000A8E001090001893002096002A9A00359D0041A100
4FA60060AB0074B0008CB700A9BE00C6C000D0A600DC8300EB5100FE0600FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FE0600
EB5000DC8300D1A600C7BF00AABE008DB70075B10061AB0050A60042A100359D002A9A00
2196001893001190000A8E00048B0000890000870500850A00830E00811100801500544C
00544C00534C00524D00524D00514D00514D00504E004F4E004F4E004F4E004E4E004D4E
004C4D004B4D004A4D004A4C00494C00484C00474B00474B00464B00464A00454A00444A
00444A004349004349004249004249004249004148004148004048004048004048003F48
003F47003F47003F47003E47003E47003E47003E47003D47003D47003D46003D46003D46
003D46003C46003C46003C46003C46003C46003C46003C46003C46003C46003C46003C46
003C46003B46003B46003B46003B46003B46003B46003C46003C46003C46003C46003C46
003C46003C46003C46003C46003C46003C46003C46003D46003D46003D46003D46003D47
003D47003E47003E47003E47003E47003F47003F47003F47003F48004048004048004048
00414800414800424900424900424900434900434900444A00444A00454A00464A00464B
00474B00474B00484C00494C004A4C004A4D004B4D004C4D004D4E004E4E004F4E004F4E
004F4E00504E00514D00514D00524D00524D00534C00544C00544C00801500811100830E
00850A008705008900048B000A8E001190001893002196002A9A00359D0042A10050A600
61AB0075B1008DB700AABE00C7BF00D1A600DC8300EB5000FE0600FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000
FE0600EB5000DD8200D1A600C7BF00AABE008DB70076B10062AB0051A60042A200369E00
2B9A002197001993001191000B8E00058C0000890000870500850900830D008111008014
00544C00544C00534C00524D00524D00514D00514D00504E00504E004F4E004F4E004E4E
004D4E004C4D004C4D004B4D004A4C00494C00484C00484B00474B00474B00464B00454A
00454A00444A00444A004349004349004249004249004249004148004148004148004048
004048004048003F48003F47003F47003F47003E47003E47003E47003E47003E47003D47
003D47003D46003D46003D46003D46003D46003D46003C46003C46003C46003C46003C46
003C46003C46003C46003C46003C46003C46003C46003C46003C46003C46003C46003C46
003C46003D46003D46003D46003D46003D46003D46003D47003D47003E47003E47003E47
003E47003E47003F47003F47003F47003F48004048004048004048004148004148004148
00424900424900424900434900434900444A00444A00454A00454A00464B00474B00474B
00484B00484C00494C004A4C004B4D004C4D004C4D004D4E004E4E004F4E004F4E00504E
00504E00514D00514D00524D00524D00534C00544C00544C00801400811100830D008509
008705008900058C000B8E001191001993002197002B9A00369E0042A20051A60062AB00
76B1008DB700AABE00C7BF00D1A600DD8200EB5000FE0600FF0000FF0000FF0000FF0000
FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000
FF0000FE0700EB5100DD8200D1A500C7BF00ABBE008EB70076B10062AB0051A60043A200
369E002B9A002297001994001291000B8E00058C0000890000870400850900830D008211
008014007E1700544C00534C00534D00524D00514D00514D00504E00504E004F4E004F4E
004E4E004E4E004D4E004C4D004B4D004A4D004A4C00494C00484C00484B00474B00464B
00464B00454A00454A00444A00444A004349004349004249004249004249004149004148
004148004048004048004048004048003F48003F47003F47003F47003E47003E47003E47
003E47003E47003E47003E47003D47003D47003D47003D46003D46003D46003D46003D46
003D46003D46003D46003D46003D46003D46003D46003D46003D46003D46003D46003D46
003D46003D47003D47003D47003E47003E47003E47003E47003E47003E47003E47003F47
003F47003F47003F48004048004048004048004048004148004148004149004249004249
00424900434900434900444A00444A00454A00454A00464B00464B00474B00484B00484C
00494C004A4C004A4D004B4D004C4D004D4E004E4E004E4E004F4E004F4E00504E00504E
00514D00514D00524D00534D00534C00544C007E1700801400821100830D008509008704
008900058C000B8E001291001994002297002B9A00369E0043A20051A60062AB0076B100
8EB700ABBE00C7BF00D1A500DD8200EB5100FE0700FF0000FF0000FF0000FF0000FF0000
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FE0800EB5100DC8200D1A500C7BF00ABBE008EB70077B10063AB0052A600
43A200379E002C9A002297001A94001291000C8E00068C00008A0000870400850800840C
008210008014007F1700544C00534C00534C00524D00524D00514D00514D00504E00504E
004F4E004F4E004E4E004D4E004C4D004C4D004B4D004A4C00494C00494C00484C00474B
00474B00464B00464B00454A00454A00444A00444A004349004349004349004249004249
004249004148004148004148004048004048004048004048003F48003F47003F47003F47
003F47003E47003E47003E47003E47003E47003E47003E47003E47003E47003E47003D47
003D47003D47003D47003D47003D47003D47003D47003D47003D47003E47003E47003E47
003E47003E47003E47003E47003E47003E47003E47003F47003F47003F47003F47003F48
004048004048004048004048004148004148004148004249004249004249004349004349
00434900444A00444A00454A00454A00464B00464B00474B00474B00484C00494C00494C
004A4C004B4D004C4D004C4D004D4E004E4E004F4E004F4E00504E00504E00514D00514D
00524D00524D00534C00534C00544C007F1700801400821000840C008508008704008A00
068C000C8E001291001A94002297002C9A00379E0043A20052A60063AB0077B1008EB700
ABBE00C7BF00D1A500DC8200EB5100FE0800FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219FF0000FF0000
FF0000FF0000FF0000FD0900EB5200DC8300D1A500C7BF00ACBF008FB70077B10063AC00
52A70044A200379E002C9A002397001A94001391000C8F00068C00018A00008803008608
00840C008210008013007F16007D1900544C00534C00524D00524D00514D00514D00504E
00504E004F4E004F4E004E4E004E4E004D4E004C4D004B4D004B4D004A4C00494C00484C
00484B00474B00474B00464B00464A00454A00454A00444A00444A004349004349004349
004249004249004249004149004148004148004148004048004048004048004048004048
003F48003F47003F47003F47003F47003F47003F47003E47003E47003E47003E47003E47
003E47003E47003E47003E47003E47003E47003E47003E47003E47003E47003E47003E47
003E47003F47003F47003F47003F47003F47003F47003F48004048004048004048004048
00404800414800414800414800414900424900424900424900434900434900434900444A
00444A00454A00454A00464A00464B00474B00474B00484B00484C00494C004A4C004B4D
004B4D004C4D004D4E004E4E004E4E004F4E004F4E00504E00504E00514D00514D00524D
00524D00534C00544C007D19007F1600801300821000840C008608008803018A00068C00
0C8F001391001A94002397002C9A00379E0044A20052A70063AC0077B1008FB700ACBF00
C7BF00D1A500DC8300EB5200FD0900FF0000FF0000FF0000FF0000FF0000000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FD0B00EB5200DC8300D1A500C7BF00ACBF008FB70077B100
63AC0053A70044A200389E002D9B002397001B94001391000C8F00068C00018A00008803
00860700840C00820F008113007F16007D1900544C00534C00534D00524D00514D00514D
00504D00504E004F4E004F4E004F4E004E4E004D4E004D4E004C4D004B4D004A4D004A4C
00494C00484C00484B00474B00474B00464B00464A00454A00454A00444A00444A00444A
004349004349004349004249004249004249004148004148004148004148004048004048
004048004048004048004048003F48003F48003F47003F47003F47003F47003F47003F47
003F47003F47003F47003F47003F47003F47003F47003F47003F47003F47003F47003F47
003F47003F47003F48003F48004048004048004048004048004048004048004148004148
00414800414800424900424900424900434900434900434900444A00444A00444A00454A
00454A00464A00464B00474B00474B00484B00484C00494C004A4C004A4D004B4D004C4D
004D4E004D4E004E4E004F4E004F4E004F4E00504E00504D00514D00514D00524D00534D
00534C00544C007D19007F1600811300820F00840C008607008803018A00068C000C8F00
1391001B94002397002D9B00389E0044A20053A70063AC0077B1008FB700ACBF00C7BF00
D1A500DC8300EB5200FD0B00FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FC0C00EA5300DC8300D1A600C7BF00ACBF008FB700
78B10064AC0053A70045A200389E002D9B002497001B94001491000D8F00078C00018A00
00880300860700840B00820F008112007F16007E1800544C00534C00534C00524D00524D
00514D00514D00504E00504E004F4E004F4E004E4E004E4E004D4E004C4D004B4D004B4D
004A4C00494C00494C00484C00484B00474B00474B00464B00464A00454A00454A00444A
00444A00444A004349004349004349004249004249004249004249004149004148004148
004148004148004048004048004048004048004048004048004048004048004048004048
004048003F48003F48003F48003F48003F48003F48004048004048004048004048004048
004048004048004048004048004048004048004148004148004148004148004149004249
00424900424900424900434900434900434900444A00444A00444A00454A00454A00464A
00464B00474B00474B00484B00484C00494C00494C004A4C004B4D004B4D004C4D004D4E
004E4E004E4E004F4E004F4E00504E00504E00514D00514D00524D00524D00534C00534C
00544C007E18007F1600811200820F00840B008607008803018A00078C000D8F00149100
1B94002497002D9B00389E0045A20053A70064AC0078B1008FB700ACBF00C7BF00D1A600
DC8300EA5300FC0C00FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FC0E00EA5400DC8400D0A600C7BF00ACBF00
8FB80078B10064AC0053A70045A200389E002E9B002498001C94001492000D8F00078D00
028A0000880200860700840B00830F008112007F15007E18007C1B00534C00534C00524D
00524D00514D00514D00504E00504E004F4E004F4E004F4E004E4E004D4E004D4E004C4D
004B4D004B4D004A4C00494C00494C00484C00484B00474B00474B00464B00464B00454A
00454A00454A00444A00444A00444A004349004349004349004249004249004249004249
004249004149004148004148004148004148004148004148004048004048004048004048
004048004048004048004048004048004048004048004048004048004048004048004048
004148004148004148004148004148004148004149004249004249004249004249004249
00434900434900434900444A00444A00444A00454A00454A00454A00464B00464B00474B
00474B00484B00484C00494C00494C004A4C004B4D004B4D004C4D004D4E004D4E004E4E
004F4E004F4E004F4E00504E00504E00514D00514D00524D00524D00534C00534C007C1B
007E18007F1500811200830F00840B008607008802028A00078D000D8F001492001C9400
2498002E9B00389E0045A20053A70064AC0078B1008FB800ACBF00C7BF00D0A600DC8400
EA5400FC0E00FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219FF0000FF0000FF0000FF0000FF0000FB1100EA5600DC8500D0A600C7BF00
ACBF008FB80078B10064AC0054A70045A300399F002E9B002498001C95001492000E8F00
088D00028A0000880200860600850A00830E008112008015007E18007D1A00544C00534C
00524D00524D00514D00514D00504D00504E00504E004F4E004F4E004E4E004E4E004D4E
004C4D004C4D004B4D004A4D004A4C00494C00494C00484C00484B00474B00474B00464B
00464B00454A00454A00454A00444A00444A00444A004449004349004349004349004349
004249004249004249004249004249004249004149004148004148004148004148004148
004148004148004148004148004148004148004148004148004148004148004148004148
004148004149004249004249004249004249004249004249004349004349004349004349
00444900444A00444A00444A00454A00454A00454A00464B00464B00474B00474B00484B
00484C00494C00494C004A4C004A4D004B4D004C4D004C4D004D4E004E4E004E4E004F4E
004F4E00504E00504E00504D00514D00514D00524D00524D00534C00544C007D1A007E18
00801500811200830E00850A008606008802028A00088D000E8F001492001C9500249800
2E9B00399F0045A30054A70064AC0078B1008FB800ACBF00C7BF00D0A600DC8500EA5600
FB1100FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FB1300E95700DC8600D0A700
C7BF00ABBF008FB80078B10064AC0054A70045A300399F002E9B002598001C9500159200
0E8F00088D00038B0000890100870600850A00830E008111008014007E17007D1A007B1D
00534C00534C00524D00524D00514D00514D00504E00504E004F4E004F4E004F4E004E4E
004E4E004D4E004C4D004B4D004B4D004A4D004A4C00494C00494C00484C00484B00474B
00474B00464B00464B00464A00454A00454A00454A00444A00444A00444A00444A004349
004349004349004349004349004249004249004249004249004249004249004249004249
004249004249004249004249004249004249004249004249004249004249004249004249
00424900424900424900424900434900434900434900434900434900444A00444A00444A
00444A00454A00454A00454A00464A00464B00464B00474B00474B00484B00484C00494C
00494C004A4C004A4D004B4D004B4D004C4D004D4E004E4E004E4E004F4E004F4E004F4E
00504E00504E00514D00514D00524D00524D00534C00534C007B1D007D1A007E17008014
00811100830E00850A008706008901038B00088D000E8F001592001C95002598002E9B00
399F0045A30054A70064AC0078B1008FB800ABBF00C7BF00D0A700DB8600E95700FB1300
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219FF0000FF0000FF0000FF0000FF0000FA1600E95900DB8600
D0A700C7BF00ABBE008FB70078B10065AC0054A70046A300399F002F9B002598001D9500
1592000E8F00088D00038B0000890100870600850A00830D008111008014007E17007D1A
007C1C00534C00534C00524D00524D00514D00514D00504D00504E00504E004F4E004F4E
004F4E004E4E004D4E004D4E004C4D004B4D004B4D004A4C004A4C00494C00494C00484C
00484B00474B00474B00474B00464B00464B00464A00454A00454A00454A00444A00444A
00444A00444A00444A004349004349004349004349004349004349004349004349004349
004249004249004249004249004249004249004249004249004349004349004349004349
00434900434900434900434900434900444A00444A00444A00444A00444A00454A00454A
00454A00464A00464B00464B00474B00474B00474B00484B00484C00494C00494C004A4C
004A4C004B4D004B4D004C4D004D4E004D4E004E4E004F4E004F4E004F4E00504E00504E
00504D00514D00514D00524D00524D00534C00534C007C1C007D1A007E17008014008111
00830D00850A008706008901038B00088D000E8F001592001D95002598002F9B00399F00
46A30054A70064AC0078B1008FB700ABBE00C7BF00D0A700DB8600E95900FA1600FF0000
FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FA1900E85A00
DB8800D0A800C6C000ABBE008FB70078B10065AC0054A70046A3003A9F002F9B00259800
1D95001592000F9000098D00038B0000890100870500850900830D008211008014007F17
007D19007C1C00544C00534C00534D00524D00524D00514D00514D00504E00504E004F4E
004F4E004F4E004E4E004E4E004D4E004C4E004C4D004B4D004B4D004A4C004A4C00494C
00494C00484C00484B00474B00474B00474B00464B00464B00464B00464A00454A00454A
00454A00454A00444A00444A00444A00444A00444A00444A00444A004349004349004349
00434900434900434900434900434900434900434900434900434900434900434900444A
00444A00444A00444A00444A00444A00444A00454A00454A00454A00454A00464A00464B
00464B00464B00474B00474B00474B00484B00484C00494C00494C004A4C004A4C004B4D
004B4D004C4D004C4E004D4E004E4E004E4E004F4E004F4E004F4E00504E00504E00514D
00514D00524D00524D00534D00534C00544C007C1C007D19007F1700801400821100830D
008509008705008901038B00098D000F90001592001D95002598002F9B003A9F0046A300
54A70065AC0078B1008FB700ABBE00C6C000D0A800DB8800E85A00FA1900FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000F91C00
E85C00DB8900CFA900C6C000AABE008FB70078B10065AC0054A70046A3003A9F002F9B00
2698001D95001692000F9000098D00048B0000890000870500850900830D008210008013
007F16007D19007C1C007B1E00534C00534C00524D00524D00514D00514D00504D00504E
00504E004F4E004F4E004F4E004E4E004E4E004D4E004C4D004C4D004B4D004B4D004A4D
004A4C00494C00494C00484C00484C00484B00474B00474B00474B00464B00464B00464B
00464A00454A00454A00454A00454A00454A00454A00444A00444A00444A00444A00444A
00444A00444A00444A00444A00444A00444A00444A00444A00444A00444A00444A00444A
00444A00454A00454A00454A00454A00454A00454A00464A00464B00464B00464B00474B
00474B00474B00484B00484C00484C00494C00494C004A4C004A4D004B4D004B4D004C4D
004C4D004D4E004E4E004E4E004F4E004F4E004F4E00504E00504E00504D00514D00514D
00524D00524D00534C00534C007B1E007C1C007D19007F1600801300821000830D008509
008705008900048B00098D000F90001692001D95002698002F9B003A9F0046A30054A700
65AC0078B1008FB700AABE00C6C000CFA900DB8900E85C00F91C00FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000
F81F00E75E00DA8A00CFA900C6C100AABE008EB70078B10065AC0054A70046A3003A9F00
2F9B002698001E95001692000F9000098D00048B0000890000870400850900840C008210
008013007F16007E19007C1B007B1E00534C00534C00524D00524D00514D00514D00514D
00504E00504E004F4E004F4E004F4E004F4E004E4E004E4E004D4E004C4D004C4D004B4D
004B4D004A4D004A4C00494C00494C00494C00484C00484B00484B00474B00474B00474B
00474B00464B00464B00464B00464B00464A00454A00454A00454A00454A00454A00454A
00454A00454A00454A00454A00454A00454A00454A00454A00454A00454A00454A00454A
00454A00454A00464A00464B00464B00464B00464B00474B00474B00474B00474B00484B
00484B00484C00494C00494C00494C004A4C004A4D004B4D004B4D004C4D004C4D004D4E
004E4E004E4E004F4E004F4E004F4E004F4E00504E00504E00514D00514D00514D00524D
00524D00534C00534C007B1E007C1B007E19007F1600801300821000840C008509008704
008900048B00098D000F90001692001E95002698002F9B003A9F0046A30054A70065AC00
78B1008EB700AABE00C6C100CFA900DA8A00E75E00F81F00FF0000FF0000FF0000FF0000
FF0000000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000
FF0000F72300E76000DA8B00CFAA00C6C100A9BE008EB70078B10065AC0054A70046A300
3A9F00309C002698001E95001693001090000A8E00048B0000890000870400860800840C
00820F008113007F16007E18007C1B007B1D007A1F00534C00534D00524D00524D00514D
00514D00504D00504E00504E004F4E004F4E004F4E004E4E004E4E004D4E004D4E004C4D
004C4D004B4D004B4D004A4D004A4C004A4C00494C00494C00494C00484C00484C00484B
00474B00474B00474B00474B00474B00464B00464B00464B00464B00464B00464B00464B
00464A00464A00464A00464A00464A00464A00464A00464A00464B00464B00464B00464B
00464B00464B00464B00474B00474B00474B00474B00474B00484B00484C00484C00494C
00494C00494C004A4C004A4C004A4D004B4D004B4D004C4D004C4D004D4E004D4E004E4E
004E4E004F4E004F4E004F4E00504E00504E00504D00514D00514D00524D00524D00534D
00534C007A1F007B1D007C1B007E18007F1600811300820F00840C008508008704008900
048B000A8E001090001693001E9500269800309C003A9F0046A30054A70065AC0078B100
8EB700A9BE00C6C100CFAA00DA8B00E76000F72300FF0000FF0000FF0000FF0000FF0000
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000F62600E66200D98D00CFAB00C6C200A9BE008EB70077B10064AC0054A700
46A3003A9F00309C002698001E95001793001090000A8E00058C00008900008704008608
00840C00820F008112007F15007E18007D1A007B1D007A1F00534C00534C00524D00524D
00514D00514D00514D00504E00504E00504E004F4E004F4E004F4E004E4E004E4E004D4E
004D4E004C4D004C4D004B4D004B4D004B4D004A4D004A4C00494C00494C00494C00494C
00484C00484C00484B00484B00474B00474B00474B00474B00474B00474B00474B00474B
00474B00464B00464B00464B00464B00464B00464B00474B00474B00474B00474B00474B
00474B00474B00474B00474B00484B00484B00484C00484C00494C00494C00494C004A4C
004A4C004A4D004B4D004B4D004B4D004C4D004C4D004D4E004D4E004E4E004E4E004F4E
004F4E004F4E00504E00504E00504E00514D00514D00514D00524D00524D00534C00534C
007A1F007B1D007D1A007E18007F1500811200820F00840C008608008704008900058C00
0A8E001090001793001E9500269800309C003A9F0046A30054A70064AC0077B1008EB700
A9BE00C6C200CFAB00D98D00E66200F62600FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FF0000F52A00E56500D98E00CEAC00C5C200A8BE008DB70077B10064AC00
54A70046A3003A9F00309C002798001E95001793001090000A8E00058C00008A00008803
00860800840B00820F008112007F15007E18007D1A007C1C007A1F00534C00534C00534D
00524D00524D00514D00514D00514D00504E00504E00504E004F4E004F4E004F4E004E4E
004E4E004D4E004D4E004D4E004C4D004C4D004B4D004B4D004A4D004A4C004A4C004A4C
00494C00494C00494C00494C00484C00484C00484C00484B00484B00484B00484B00474B
00474B00474B00474B00474B00474B00474B00474B00474B00474B00484B00484B00484B
00484B00484C00484C00484C00494C00494C00494C00494C004A4C004A4C004A4C004A4D
004B4D004B4D004C4D004C4D004D4E004D4E004D4E004E4E004E4E004F4E004F4E004F4E
00504E00504E00504E00514D00514D00514D00524D00524D00534D00534C00534C007A1F
007C1C007D1A007E18007F1500811200820F00840B008608008803008A00058C000A8E00
1090001793001E9500279800309C003A9F0046A30054A70064AC0077B1008DB700A8BE00
C5C200CEAC00D98E00E56500F52A00FF0000FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219FF0000FF0000
FF0000FF0000FF0000FF0000F42E00E56700D89000CEAD00C5C300A7BD008DB70077B100
64AC0054A70046A3003B9F00309C002799001F96001793001190000B8E00058C00008A00
00880300860700840B00830E008112008014007E17007D1A007C1C007B1E00792000534C
00534C00524D00524D00514D00514D00514D00504D00504E00504E004F4E004F4E004F4E
004F4E004E4E004E4E004E4E004D4E004D4E004C4D004C4D004B4D004B4D004B4D004B4D
004A4D004A4C004A4C00494C00494C00494C00494C00494C00494C00494C00484C00484C
00484C00484C00484C00484C00484C00484C00484C00484C00484C00484C00494C00494C
00494C00494C00494C00494C00494C004A4C004A4C004A4D004B4D004B4D004B4D004B4D
004C4D004C4D004D4E004D4E004E4E004E4E004E4E004F4E004F4E004F4E004F4E00504E
00504E00504D00514D00514D00514D00524D00524D00534C00534C007920007B1E007C1C
007D1A007E1700801500811200830E00840B008607008803008A00058C000B8E00119000
1793001F9600279900309C003B9F0046A30054A70064AC0077B1008DB700A7BD00C5C300
CEAD00D89000E56700F42E00FF0000FF0000FF0000FF0000FF0000FF0000000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FF0000F33200E46A00D89100CDAE00C5C400A6BD008CB700
76B10064AC0054A70046A3003B9F00309C002799001F96001793001190000B8E00068C00
018A0000880300860700840B00830E008111008014007E17007D19007C1C007B1E007A20
00534C00534C00534D00524D00524D00514D00514D00514D00504E00504E00504E004F4E
004F4E004F4E004F4E004E4E004E4E004E4E004D4E004D4E004D4E004C4D004C4D004B4D
004B4D004B4D004B4D004A4D004A4D004A4C004A4C004A4C004A4C00494C00494C00494C
00494C00494C00494C00494C00494C00494C00494C00494C00494C00494C00494C004A4C
004A4C004A4C004A4C004A4D004A4D004B4D004B4D004B4D004B4D004C4D004C4D004D4E
004D4E004D4E004E4E004E4E004E4E004F4E004F4E004F4E004F4E00504E00504E00504E
00514D00514D00514D00524D00524D00534D00534C00534C007A20007B1E007C1C007D19
007E1700801400811100830E00840B008607008803018A00068C000B8E00119000179300
1F9600279900309C003B9F0046A30054A70064AC0076B1008CB700A6BD00C5C400CDAE00
D89100E46A00F33200FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FF0000F23600E36C00D79300CDAF00C4C400A5BD00
8BB60076B10064AC0054A70046A3003B9F00309C002799001F96001893001191000B8E00
068C00018A0000880200860700850A00830E008111008014007F16007D19007C1B007B1E
007A2000544C00534C00534C00524D00524D00524D00514D00514D00514D00504E00504E
00504E004F4E004F4E004F4E004F4E004F4E004E4E004E4E004E4E004D4E004D4E004D4E
004C4D004C4D004C4D004B4D004B4D004B4D004B4D004B4D004A4D004A4D004A4D004A4C
004A4C004A4C004A4C004A4C004A4C004A4C004A4C004A4C004A4C004A4D004A4D004A4D
004B4D004B4D004B4D004B4D004B4D004C4D004C4D004C4D004D4E004D4E004D4E004E4E
004E4E004E4E004F4E004F4E004F4E004F4E004F4E00504E00504E00504E00514D00514D
00514D00524D00524D00524D00534C00534C00544C007A20007B1E007C1B007D19007F16
00801400811100830E00850A008607008802018A00068C000B8E001191001893001F9600
279900309C003B9F0046A30054A70064AC0076B1008BB600A5BD00C4C400CDAF00D79300
E36C00F23600FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FF0000F13A00E36F00D79500CDB000C3C400
A4BD008BB60075B10063AC0054A70046A3003B9F00309C002799001F9600189300119100
0B8E00068C00018A0000880200860600850A00830D008210008013007F16007E19007C1B
007B1D007A1F00792100534C00534C00534D00524D00524D00514D00514D00514D00504D
00504E00504E00504E004F4E004F4E004F4E004F4E004F4E004E4E004E4E004E4E004E4E
004D4E004D4E004D4E004C4D004C4D004C4D004C4D004C4D004B4D004B4D004B4D004B4D
004B4D004B4D004B4D004B4D004B4D004B4D004B4D004B4D004B4D004B4D004B4D004B4D
004C4D004C4D004C4D004C4D004C4D004D4E004D4E004D4E004E4E004E4E004E4E004E4E
004F4E004F4E004F4E004F4E004F4E00504E00504E00504E00504D00514D00514D00514D
00524D00524D00534D00534C00534C007921007A1F007B1D007C1B007E19007F16008013
00821000830D00850A008606008802018A00068C000B8E001191001893001F9600279900
309C003B9F0046A30054A70063AC0075B1008BB600A4BD00C3C400CDB000D79500E36F00
F13A00FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219FF0000FF0000FF0000FF0000FF0000FF0000F03E00E27200D69600CCB200
C1C400A3BC008AB60075B10063AB0054A70046A3003B9F00309C002799001F9600189300
1291000C8E00068C00028A0000880200870600850A00830D008210008013007F16007E18
007D1B007B1D007A1F00792100544C00534C00534C00524D00524D00524D00514D00514D
00514D00504D00504E00504E00504E00504E004F4E004F4E004F4E004F4E004F4E004E4E
004E4E004E4E004E4E004D4E004D4E004D4E004D4E004D4E004C4D004C4D004C4D004C4D
004C4D004C4D004C4D004C4D004C4D004C4D004C4D004C4D004C4D004C4D004C4D004C4D
004D4E004D4E004D4E004D4E004D4E004E4E004E4E004E4E004E4E004F4E004F4E004F4E
004F4E004F4E00504E00504E00504E00504E00504D00514D00514D00514D00524D00524D
00524D00534C00534C00544C007921007A1F007B1D007D1B007E18007F16008013008210
00830D00850A008706008802028A00068C000C8E001291001893001F9600279900309C00
3B9F0046A30054A70063AB0075B0008AB600A3BC00C1C400CCB200D69600E27200F03E00
FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000EF4200E17400D59800
CCB300C0C300A2BC0089B60074B00063AB0053A70046A3003B9F00309C002799001F9600
1893001291000C8F00078C00028A0000880100870600850900830D008210008113007F15
007E18007D1A007C1C007A1E00792000782200534C00534C00534C00524D00524D00524D
00514D00514D00514D00504D00504E00504E00504E00504E004F4E004F4E004F4E004F4E
004F4E004F4E004E4E004E4E004E4E004E4E004E4E004E4E004D4E004D4E004D4E004D4E
004D4E004D4E004D4E004D4E004D4E004D4E004D4E004D4E004D4E004D4E004D4E004D4E
004E4E004E4E004E4E004E4E004E4E004E4E004F4E004F4E004F4E004F4E004F4E004F4E
00504E00504E00504E00504E00504D00514D00514D00514D00524D00524D00524D00534C
00534C00534C007822007920007A1E007C1C007D1A007E18007F1500811300821000830D
008509008706008801028A00078C000C8F001291001893001F9600279900309C003B9F00
46A30053A70063AB0074B00089B600A2BC00C0C300CCB300D59800E17400EF4200FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000EE4600E07700
D59A00CBB400BEC300A1BC0088B60074B00062AB0053A70046A3003B9F00319C00289900
2096001893001291000C8F00078C00028A0000890100870500850900840C00820F008112
007F15007E18007D1A007C1C007B1E007A2000792200544C00534C00534C00534D00524D
00524D00524D00514D00514D00514D00514D00504E00504E00504E00504E00504E004F4E
004F4E004F4E004F4E004F4E004F4E004F4E004E4E004E4E004E4E004E4E004E4E004E4E
004E4E004E4E004E4E004E4E004E4E004E4E004E4E004E4E004E4E004E4E004E4E004E4E
004E4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E00504E00504E00504E
00504E00504E00514D00514D00514D00514D00524D00524D00524D00534D00534C00534C
00544C007922007A20007B1E007C1C007D1A007E18007F1500811200820F00840C008509
008705008901028A00078C000C8F00129100189300209600289900319C003B9F0046A300
53A70062AB0074B00088B600A1BC00BEC300CBB400D59A00E07700EE4600FF0000FF0000
FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FE0700ED4B00
DF7A00D49C00CBB500BCC3009FBC0087B50073B00062AB0053A70046A3003B9F00319C00
2899002096001993001291000D8F00078D00038B0000890100870500850900840C00820F
008112008015007E17007D19007C1C007B1E007A2000792100544C00534C00534C00534C
00524D00524D00524D00524D00514D00514D00514D00514D00504D00504E00504E00504E
00504E00504E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E
004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E
004F4E004F4E004F4E004F4E004F4E004F4E00504E00504E00504E00504E00504E00504D
00514D00514D00514D00514D00524D00524D00524D00524D00534C00534C00544C00544C
007921007A20007B1E007C1C007D19007E1700801500811200820F00840C008509008705
008901028B00078D000D8F00129100199300209600289900319C003B9F0046A30053A700
62AB0073B00087B5009FBC00BCC300CBB500D49C00DF7A00ED4B00FE0700FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FC0E00
EC4F00DE7D00D39E00CAB700BBC2009EBB0086B50072B00061AB0053A70046A3003A9F00
319C002899002096001993001391000D8F00088D00038B0000890100870500860800840C
00820F008112008014007F17007D19007C1B007B1D007A1F00792100782300544C00534C
00534C00534C00524D00524D00524D00524D00514D00514D00514D00514D00514D00504E
00504E00504E00504E00504E00504E00504E004F4E004F4E004F4E004F4E004F4E004F4E
004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E
004F4E004F4E00504E00504E00504E00504E00504E00504E00504E00514D00514D00514D
00514D00514D00524D00524D00524D00524D00534C00534C00534C00544C007823007921
007A1F007B1D007C1B007D19007F1700801400811200820F00840C008608008705008901
038B00088D000D8F00129100199300209600289900319C003A9F0046A30052A70061AB00
72B00086B5009EBB00BBC200CAB700D39E00DE7D00EC4F00FC0E00FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
FB1400EA5300DD8000D3A000CAB800B9C2009DBB0085B50072B00061AB0052A70045A300
3A9F00319C002899002096001994001391000D8F00088D00038B00008900008704008608
00840B00830E008111008014007F16007E19007C1B007B1D007A1F00792000782200544C
00544C00534C00534C00534C00524D00524D00524D00524D00514D00514D00514D00514D
00514D00514D00504E00504E00504E00504E00504E00504E00504E00504E00504E00504E
004F4E004F4E004F4E004F4E004F4E004F4E004F4E004F4E00504E00504E00504E00504E
00504E00504E00504E00504E00504E00504D00514D00514D00514D00514D00514D00514D
00524D00524D00524D00524D00534C00534C00534C00544C00544C007822007920007A1F
007B1D007C1B007E19007F1600801400811100830E00840B008608008704008900038B00
088D000D8F00139100199400209600289900319C003A9F0045A30052A70061AB0072B000
85B5009DBB00B9C200CAB800D3A000DD8000EA5300FB1400FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000
FF0000F91B00E95800DC8200D2A200C9B900B7C1009BBB0084B50071AF0060AB0052A600
45A3003A9F00319C002899002096001994001391000D8F00088D00038B00008900008704
00860800840B00830E008111008013007F16007E18007D1A007C1C007B1E007A20007922
00782300544C00544C00534C00534C00534C00524D00524D00524D00524D00524D00514D
00514D00514D00514D00514D00514D00504D00504D00504E00504E00504E00504E00504E
00504E00504E00504E00504E00504E00504E00504E00504E00504E00504E00504E00504E
00504E00504D00504D00514D00514D00514D00514D00514D00514D00524D00524D00524D
00524D00524D00534C00534C00534C00544C00544C007823007922007A20007B1E007C1C
007D1A007E18007F1600801300811100830E00840B008608008704008900038B00088D00
0D8F00139100199400209600289900319C003A9F0045A30052A60060AB0071AF0084B500
9BBB00B7C100C9B900D2A200DC8200E95800F91B00FF0000FF0000FF0000FF0000FF0000
FF0000000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000
FF0000FF0000F72100E85C00DC8500D1A400C8BB00B5C1009ABA0083B40070AF0060AB00
51A60045A3003A9F00309C002899002096001994001391000D8F00088D00048B00008900
00880400860700840A00830E008210008013007F16007E18007D1A007C1C007B1E007A20
00792100782300544C00544C00544C00534C00534C00534C00534D00524D00524D00524D
00524D00524D00514D00514D00514D00514D00514D00514D00514D00514D00514D00504D
00504D00504D00504D00504D00504D00504D00504D00504D00504D00514D00514D00514D
00514D00514D00514D00514D00514D00514D00524D00524D00524D00524D00524D00534D
00534C00534C00534C00544C00544C00544C007823007921007A20007B1E007C1C007D1A
007E18007F1600801300821000830E00840A008607008804008900048B00088D000D8F00
139100199400209600289900309C003A9F0045A30051A60060AB0070AF0083B4009ABA00
B5C100C8BB00D1A400DC8500E85C00F72200FF0000FF0000FF0000FF0000FF0000FF0000
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FF0000F62800E76000DB8800D0A600C8BC00B3C00099BA0082B4006FAF00
5FAA0051A60045A2003A9F00309C002899002096001994001391000E8F00098D00048B00
00890000880300860700850A00830D008210008113007F15007E17007D1A007C1C007B1D
007A1F00792100782200544C00544C00544C00544C00534C00534C00534C00534D00524D
00524D00524D00524D00524D00524D00514D00514D00514D00514D00514D00514D00514D
00514D00514D00514D00514D00514D00514D00514D00514D00514D00514D00514D00514D
00514D00514D00514D00524D00524D00524D00524D00524D00524D00534D00534C00534C
00534C00544C00544C00544C00544C007822007921007A1F007B1D007C1C007D1A007E17
007F1500811300821000830D00850A008607008803008900048B00098D000E8F00139100
199400209600289900309C003A9F0045A20051A6005FAA006FAF0082B40099BA00B3C000
C8BC00D0A600DB8800E76000F62800FF0000FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219FF0000FF0000
FF0000FF0000FF0000FF0000F42E00E66400DA8B00D0A800C7BE00B1C00097BA0081B400
6FAF005FAA0051A60045A2003A9F00309C002899002096001A94001491000E8F00098D00
048B00008A0000880300860600850A00830D008210008112008015007E17007D19007C1B
007B1D007A1F00792000792200782300544C00544C00544C00544C00534C00534C00534C
00534C00534D00524D00524D00524D00524D00524D00524D00524D00524D00524D00514D
00514D00514D00514D00514D00514D00514D00514D00514D00514D00524D00524D00524D
00524D00524D00524D00524D00524D00524D00534D00534C00534C00534C00534C00544C
00544C00544C00544C007823007922007920007A1F007B1D007C1B007D19007E17008015
00811200821000830D00850A008606008803008A00048B00098D000E8F001391001A9400
209600289900309C003A9F0045A20051A6005FAA006FAF0081B40097BA00B1C000C7BE00
D0A800DA8B00E66400F42E00FF0000FF0000FF0000FF0000FF0000FF0000000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FF0000F33500E46900D98E00CFAA00C7BF00AFBF0096B900
80B4006EAF005EAA0050A60044A2003A9F00309C002899002196001A94001492000E8F00
098D00058B00008A0000880300860600850900840C00820F008112008014007F17007E19
007D1B007C1C007B1E007A2000792100782300554B00544C00544C00544C00544C00534C
00534C00534C00534C00534C00534D00524D00524D00524D00524D00524D00524D00524D
00524D00524D00524D00524D00524D00524D00524D00524D00524D00524D00524D00524D
00524D00524D00524D00534D00534C00534C00534C00534C00534C00544C00544C00544C
00544C00554B007823007921007A20007B1E007C1C007D1B007E19007F17008014008112
00820F00840C008509008606008803008A00058B00098D000E8F001492001A9400219600
289900309C003A9F0044A20050A6005EAA006EAF0080B40096B900AFBF00C7BF00CFAA00
D98E00E46900F33500FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FF0000F13B00E36D00D89100CEAC00C6C100ADBF00
94B9007FB3006DAE005DAA0050A60044A2003A9F00309C002899002196001A9400149200
0E8F00098D00058C00018A0000880200870600850900840C00820F008111008014007F16
007E18007D1A007C1C007B1E007A1F00792100782200782400554B00554C00544C00544C
00544C00544C00534C00534C00534C00534C00534C00534C00534C00534D00534D00524D
00524D00524D00524D00524D00524D00524D00524D00524D00524D00534D00534D00534C
00534C00534C00534C00534C00534C00534C00544C00544C00544C00544C00554C00554B
007824007822007921007A1F007B1E007C1C007D1A007E18007F1600801400811100820F
00840C008509008706008802018A00058C00098D000E8F001492001A9400219600289900
309C003A9F0044A20050A6005DAA006DAE007FB30094B900ADBF00C6C100CEAC00D89100
E36D00F13B00FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FF0000EF4100E27100D79400CDAE00C5C200
ABBE0093B8007EB3006CAE005DAA004FA60044A200399F00309C002899002196001A9400
1492000F90000A8E00058C00018A0000880200870500850900840C00830E008111008013
007F16007E18007D1A007C1B007B1D007A1F00792000792200782300554B00554B00554B
00544C00544C00544C00544C00544C00544C00534C00534C00534C00534C00534C00534C
00534C00534C00534C00534C00534C00534C00534C00534C00534C00534C00534C00534C
00534C00534C00544C00544C00544C00544C00544C00544C00554B00554B00554B007823
007922007920007A1F007B1D007C1B007D1A007E18007F1600801300811100830E00840C
008509008705008802018A00058C000A8E000F90001492001A9400219600289900309C00
399F0044A2004FA6005DAA006CAE007EB30093B800ABBE00C5C200CDAE00D79400E27100
EF4100FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FF0000FE0600EE4700E17500D69700CDB000
C5C300A9BE0091B8007DB3006BAE005CAA004FA60043A200399F00309C00289900219600
1A94001492000F90000A8E00058C00018A0000890100870500860800840B00830E008210
008013007F15007E17007D19007C1B007B1D007B1E007A2000792100782200554B00554B
00554B00554B00554B00544C00544C00544C00544C00544C00544C00544C00544C00534C
00534C00534C00534C00534C00534C00534C00534C00534C00534C00544C00544C00544C
00544C00544C00544C00544C00544C00554B00554B00554B00554B00554B007822007921
007A20007B1E007B1D007C1B007D19007E17007F1500801300821100830E00840B008608
008705008901018A00058C000A8E000F90001492001A9400219600289900309C00399F00
43A2004FA6005CAA006BAE007DB30091B800A9BE00C5C300CDB000D69700E17500EE4700
FE0600FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219FF0000FF0000FF0000FF0000FF0000FF0000FC0F00EC4D00DF7900D59900
CCB200C3C400A7BD0090B8007BB2006AAE005BA9004EA50043A200399F00309C00289900
2196001A94001492000F90000A8E00068C00028A0000890100870500860800840B00830D
008210008112008015007F17007E19007D1A007C1C007B1E007A1F007921007922007823
00564B00554B00554B00554B00554B00554B00554C00544C00544C00544C00544C00544C
00544C00544C00544C00544C00544C00544C00544C00544C00544C00544C00544C00544C
00544C00554C00554B00554B00554B00554B00554B00564B007823007922007921007A1F
007B1E007C1C007D1A007E19007F1700801500811200821000830D00840B008608008705
008901028A00068C000A8E000F90001492001A9400219600289900309C00399F0043A200
4EA5005BA9006AAE007BB20090B800A7BD00C3C400CCB200D59A00DF7900EC4D00FC0F00
FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FA1800EB5300DE7D00
D49C00CBB400C1C400A5BD008EB7007AB20069AD005BA9004EA50043A200399F00309C00
2899002196001B94001592000F90000B8E00068C00028A0000890100870400860700850A
00830D008210008112008014007F16007E18007D1A007C1C007B1D007A1F007A20007921
00782300564B00564B00564B00554B00554B00554B00554B00554B00554B00554B00554B
00554C00544C00544C00544C00544C00544C00544C00554C00554B00554B00554B00554B
00554B00554B00554B00554B00564B00564B00564B007823007921007A20007A1F007B1D
007C1C007D1A007E18007F1600801400811200821000830D00850A008607008704008901
028A00068C000B8E000F90001592001B9400219600289900309C00399F0043A2004EA500
5BA90069AD007AB2008EB700A5BD00C1C400CBB400D49C00DE7D00EB5300FA1800FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000F82000E95800
DD8100D39F00CAB600BEC300A3BC008CB70079B20069AD005AA9004EA50042A200399F00
309C002899002196001B94001592001090000B8E00068C00028B00008900008804008607
00850A00840D00820F008111008014007F16007E18007D19007C1B007C1D007B1E007A1F
00792100792200782300564B00564B00564B00564B00564B00554B00554B00554B00554B
00554B00554B00554B00554B00554B00554B00554B00554B00554B00554B00554B00554B
00564B00564B00564B00564B00564B007823007922007921007A1F007B1E007B1D007C1B
007D19007E18007F1600801400811100820F00840D00850A008607008804008900028B00
068C000B8E001090001592001B9400219600289900309C00399F0042A2004EA5005AA900
69AD0079B2008CB700A3BC00BEC300CAB600D39F00DD8100E95800F82000FF0000FF0000
FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000F62800
E75E00DC8500D2A200CAB800BBC200A1BC008BB60078B10068AD0059A9004DA50042A200
389F00309C002899002197001B94001592001090000B8E00078C00038B00008900008803
00860600850900840C00830F008111008013007F15007E17007E19007D1A007C1C007B1D
007A1F007A2000792100782200574A00564A00564B00564B00564B00564B00564B00564B
00564B00564B00564B00564B00564B00564B00564B00564B00564B00564B00564B00564B
00564B00564B00564A00574A007822007921007A20007A1F007B1D007C1C007D1A007E19
007E17007F1500801300811100830F00840C008509008606008803008900038B00078C00
0B8E001090001592001B9400219600289900309C00389F0042A2004DA50059A90068AD00
78B1008BB600A1BC00BBC200CAB800D2A200DC8500E75E00F62800FF0000FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
F43000E66300DB8800D1A400C9BA00B9C2009FBB0089B60077B10067AD0059A9004DA500
42A200389E00309C002899002197001B94001592001090000B8E00078D00038B00008900
00880300870600850900840C00830E008210008112008014007F16007E18007D1A007C1B
007B1D007B1E007A1F00792100792200574A00574A00574A00574A00564A00564A00564B
00564B00564B00564B00564B00564B00564B00564B00564B00564B00564A00564A00574A
00574A00574A00574A007922007921007A1F007B1E007B1D007C1B007D1A007E18007F16
00801400811200821000830E00840C008509008706008803008900038B00078D000B8E00
1090001592001B9400219700289900309C00389E0042A2004DA50059A90067AD0077B100
89B6009FBB00B9C200C9BA00D1A400DB8900E66300F43000FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
FF0000F23800E46900D98C00D0A700C8BC00B6C1009DBB0088B60076B10066AC0058A800
4CA50042A100389E00309C002899002197001B94001692001090000C8E00088D00048B00
008A0000880200870500850800840B00830D008210008112008014007F16007E17007D19
007D1B007C1C007B1D007A1F007A2000792100792200574A00574A00574A00574A00574A
00574A00574A00574A00574A00574A00574A00574A00574A00574A00574A00574A00574A
00574A007922007921007A20007A1F007B1D007C1C007D1B007D19007E18007F16008014
00811200821000830D00840B008508008705008802008A00048B00088D000C8E00109000
1692001B9400219700289900309C00389E0042A1004CA50058A80066AC0076B10088B600
9DBB00B6C100C8BC00D0A700D98C00E46900F23800FF0000FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000
FF0000FF0000F03F00E36E00D89000CFAA00C7BE00B4C0009BBA0086B50074B00065AC00
57A8004CA50041A100389E00309C002899002197001B94001692001190000C8F00088D00
048B00008A0000880200870500860800840A00830D00820F008111008013007F15007E17
007E18007D1A007C1B007B1D007B1E007A1F007A2000792100584A00584A00584A00574A
00574A00574A00574A00574A00574A00574A00574A00574A00574A00584A00584A00584A
007921007A20007A1F007B1E007B1D007C1B007D1A007E18007E17007F15008013008111
00820F00830D00840A008608008705008802008A00048B00088D000C8F00119000169200
1B9400219700289900309C00389E0041A1004CA50057A80065AC0074B00086B5009BBA00
B4C000C7BE00CFAA00D89000E36E00F03F00FF0000FF0000FF0000FF0000FF0000FF0000
FF0000000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000
FF0000FF0000FD0900EE4600E17300D79300CEAC00C7BF00B1C00099BA0085B50073B000
64AC0057A8004BA40041A100389E00309C002899002297001C94001692001191000C8F00
088D00048B00018A0000890100870400860700850A00840C00830F008211008113008014
007F16007E18007D19007D1B007C1C007B1D007B1E007A1F007920007921005849005849
005849005849005849005849005849005849005849005849005849005849007921007920
007A1F007B1E007B1D007C1C007D1B007D19007E18007F1600801400811300821100830F
00840C00850A008607008704008901018A00048B00088D000C8F001190001692001C9400
229700289900309C00389E0041A1004BA40057A80064AC0073B00085B50099BA00B1C000
C7BF00CEAC00D79300E17300EE4600FD0900FF0000FF0000FF0000FF0000FF0000FF0000
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FF0000FB1300EC4D00E07700D69700CDAF00C6C100AEBF0097B90083B400
72B00063AC0056A8004BA40041A100389E00309C002899002297001C9500169300119100
0D8F00098D00058C00018A0000890100870400860700850900840C00830E008210008112
008014007F15007E17007E18007D1A007C1B007C1C007B1D007A1F007A1F007920005949
005949005949005949005949005949005949005949005949005949007920007A1F007A1F
007B1D007C1C007C1B007D1A007E18007E17007F1500801400811200821000830E00840C
008509008607008704008901018A00058C00098D000D8F001191001693001C9500229700
289900309C00389E0041A1004BA40056A80063AC0072B00083B40097B900AEBF00C6C100
CDAF00D69700E07700EC4D00FB1300FF0000FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219FF0000FF0000
FF0000FF0000FF0000FF0000F81D00EA5400DF7C00D59A00CCB100C5C300ACBF0095B900
82B40071AF0062AB0056A8004AA40040A100379E00309C002899002297001C9500179300
1291000D8F00098D00058C00028A0000890000880300860600850900840B00830D00820F
008111008013008015007F16007E18007D19007D1A007C1B007B1D007B1E007A1F007A1F
005949005949005949005949005949005949005949005949007A1F007A1F007B1E007B1D
007C1B007D1A007D19007E18007F1600801500801300811100820F00830D00840B008509
008606008803008900028A00058C00098D000D8F001291001793001C9500229700289900
309C00379E0040A1004AA40056A80062AB0071AF0082B40095B900ACBF00C5C300CCB100
D59A00DE7C00EA5400F81D00FF0000FF0000FF0000FF0000FF0000FF0000000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FF0000F62600E85A00DD8100D49D00CBB300C4C400A9BE00
93B80080B40070AF0061AB0055A7004AA40040A100379E00309C002899002297001C9500
1793001291000E8F000A8E00068C00028B0000890000880300870500860800850A00840D
00830F008210008112008014007F15007E17007E18007D19007D1B007C1C007B1D007B1E
007A1E007A1F005A48005A48005A48005A48007A1F007A1E007B1E007B1D007C1C007D1B
007D19007E18007E17007F1500801400811200821000830F00840D00850A008608008705
008803008900028B00068C000A8E000E8F001291001793001C9500229700289900309C00
379E0040A1004AA40055A70061AB0070AF0080B40093B800A9BE00C4C400CBB300D49D00
DD8100E85B00F62600FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FF0000FF0000F42F00E76100DC8500D2A000CAB600C1C400
A7BD0091B8007FB3006FAF0061AB0054A7004AA40040A100379E00309C00299900229700
1C95001793001291000E8F000A8E00068C00038B0000890000880200870500860700850A
00840C00830E008210008111008013008015007F16007E17007E19007D1A007C1B007C1C
007B1D007B1D007B1E005A48005A48007B1E007B1D007B1D007C1C007C1B007D1A007E19
007E17007F1600801500801300811100821000830E00840C00850A008607008705008802
008900038B00068C000A8E000E8F001291001793001C9500229700299900309C00379E00
40A1004AA40054A70061AB006FAF007FB30091B800A7BD00C1C400CAB600D2A000DC8500
E76100F43000FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FF0000FF0000F23800E56700DA8900D1A400CAB800
BDC300A5BD008FB8007DB3006EAE0060AB0054A70049A40040A100379E00309C00299900
2297001D95001893001391000F90000B8E00078C00048B00008A00008901008704008607
00850900840B00830D00820F008211008112008014007F15007F16007E18007E19007D1A
007D1B007C1B007C1C2E9B002E9B00007C1C007C1B007D1B007D1A007E19007E18007F16
007F1500801400811200821100820F00830D00840B008509008607008704008901008A00
048B00078C000B8E000F90001391001893001D9500229700299900309C00379E0040A100
49A40054A70060AB006EAE007DB3008FB800A5BD00BDC300CAB800D1A400DA8900E56700
F23800FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FF0000FF0300F04000E36C00D98D00D0A700
C9BA00BAC200A2BC008EB7007CB2006CAE005FAA0053A70049A4003FA100379E00309C00
2999002397001D95001893001391000F90000B8E00088D00048B00018A00008901008803
00870600860800850A00840C00830E008210008111008113008014007F15007F16007E18
007E19007D19329C00329C00329C00329C00007D19007E19007E18007F16007F15008014
00811300811100821000830E00840C00850A008608008706008803008901018A00048B00
088D000B8E000F90001391001893001D9500239700299900309C00379E003FA10049A400
53A7005FAA006CAE007CB2008EB700A2BC00BAC200C9BA00D0A700D98D00E36C00F04000
FF0300FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219FF0000FF0000FF0000FF0000FF0000FF0000FC0F00ED4800E27200D89100
CFA900C8BC00B7C100A0BC008CB7007AB2006BAE005EAA0053A70048A4003FA100379E00
309C002999002397001D95001893001492001090000C8E00088D00058C00028A00008900
00880300870500860700850900840B00830D00820F008210008112008013008014007F15
007F16379E00369E00369E00369E00369E00379E00007F16007F15008014008013008112
00821000820F00830D00840B008509008607008705008803008900028A00058C00088D00
0C8E001090001492001893001D9500239700299900309C00379E003FA10048A40053A700
5EAA006BAE007AB2008CB700A0BC00B7C100C8BC00CFA900D89100E27200ED4800FC0F00
FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000F91A00EB5000E07700
D69500CEAC00C7BE00B4C1009EBB008AB60079B2006AAE005EAA0052A70048A4003FA100
379E00309C002999002397001E95001993001492001090000C8F00098D00068C00038B00
00890000880200870400860600850800850A00840C00830E00820F0082110081123CA000
3B9F003B9F003B9F003B9F003B9F003B9F003B9F003B9F003CA00000811200821100820F
00830E00840C00850A008508008606008704008802008900038B00068C00098D000C8F00
1090001492001993001E9500239700299900309C00379E003FA10048A40052A7005EAA00
6AAE0079B2008AB6009EBB00B4C100C7BE00CEAC00D69500E07700EB5000F91A00FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000F72400E95700
DE7C00D59900CDAF00C6C000B2C0009BBB0088B60078B10069AD005DAA0052A60048A300
3FA100379E00309C002999002497001E95001994001592001190000D8F00098D00068C00
038B00018A0000890100880300870500860700850900840B00830D00830E41A10041A100
40A10040A1003FA1003FA1003FA1003FA10040A10040A10041A10041A10000830E00830D
00840B008509008607008705008803008901018A00038B00068C00098D000D8F00119000
1592001994001E9500249700299900309C00379E003FA10048A30052A6005DAA0069AD00
78B10088B6009BBB00B2C000C6C000CDAF00D59900DE7C00E95700F72400FF0000FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000F42E00
E75E00DD8100D49C00CCB200C5C200AFBF0099BA0087B50077B10069AD005CAA0051A600
48A3003FA100379E00309C002A9A002497001F96001A94001592001191000E8F000A8E00
078D00048B00018A0000890000880200870400860600850849A40047A30046A30045A300
45A20044A20044A20044A20044A20044A20044A20045A20045A30046A30047A30049A400
008508008606008704008802008900018A00048B00078D000A8E000E8F00119100159200
1A94001F96002497002A9A00309C00379E003FA10048A30051A6005CAA0069AD0077B100
87B50099BA00AFBF00C5C200CCB200D49C00DD8100E75E00F42E00FF0000FF0000FF0000
FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000
F23700E66400DB8600D3A000CBB400C5C400ACBF0097BA0085B50075B10068AD005CA900
51A60047A3003FA100379E00309C002A9A002498001F96001A94001692001291000E8F00
0B8E00088D00058C00028B00008A000089010088034FA6004EA5004CA5004BA4004AA400
4AA40049A40049A40049A40049A40049A40049A4004AA4004AA4004BA4004CA5004EA500
4FA600008803008901008A00028B00058C00088D000B8E000E8F001291001692001A9400
1F96002498002A9A00309C00379E003FA10047A30051A6005CA90068AD0075B10085B500
97B900ACBF00C5C400CBB400D3A000DB8600E66400F23700FF0000FF0000FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
FE0600F04000E46B00DA8A00D1A300CAB700C1C400AABE0095B90084B40074B00067AD00
5BA90051A60047A3003FA100379E00309C002A9A002598002096001B9400179300139100
0F90000C8E00098D00068C00038B00018A0057A80055A70053A70052A60051A60050A600
4FA6004EA5004EA5004EA5004EA5004EA5004EA5004FA60050A60051A60052A60053A700
55A70057A800018A00038B00068C00098D000C8E000F90001391001793001B9400209600
2598002A9A00309C00379E003FA10047A30051A6005BA90067AD0074B00083B40095B900
A9BE00C1C400CAB700D1A300DA8A00E46B00F04000FE0600FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FB1300ED4900E27100D88F00D0A600C9B900BEC300A7BD0093B80082B40073B000
66AC005AA90050A60047A3003FA100379E00319C002B9A002598002096001C9400179300
1491001090000D8F000A8E0061AB005FAA005CAA005AA90059A90057A80056A80055A700
54A70053A70053A70053A70053A70053A70053A70054A70055A70056A80057A80059A900
5AA9005CAA005FAA0061AB000A8E000D8F001090001391001793001C9400209600259800
2B9A00319C00379E003FA10047A30050A6005AA90066AC0073B00082B40093B800A7BD00
BEC300C9B900D0A600D88F00E27100ED4900FB1300FF0000FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000
FF0000FF0000F81E00EB5100E07600D79300CFA900C8BB00BBC200A5BD0091B80081B400
72B00065AC005AA90050A60047A3003FA100389E00319C002B9A002698002196001C9500
1893001492001190006BAE0068AD0065AC0062AB0060AB005FAA005DAA005CA9005AA900
5AA90059A90059A80058A80058A80059A80059A9005AA9005AA9005CA9005DAA005FAA00
60AB0062AB0065AC0068AD006BAE001190001492001893001C95002196002698002B9A00
319C00389E003FA10047A30050A6005AA90065AC0072B00081B40091B800A5BD00BBC200
C8BB00CFA900D79300E07600EB5100F81E00FF0000FF0000FF0000FF0000FF0000FF0000
FF0000000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219FF0000FF0000FF0000FF0000
FF0000FF0000FF0000F62900E95800DF7C00D69700CEAC00C7BD00B8C200A2BC008FB800
7FB30071AF0065AC005AA90050A60047A3003FA100389E00319C002C9A00269800219700
1D950079B20075B10071B0006EAF006BAE0069AD0067AD0065AC0063AB0061AB0060AB00
5FAA005FAA005EAA005EAA005EAA005EAA005FAA005FAA0060AB0061AB0063AB0065AC00
67AD0069AD006BAE006EAF0071B00075B10079B2001D95002197002698002C9A00319C00
389E003FA10047A30050A6005AA90065AC0071AF007FB3008FB800A2BC00B8C200C7BD00
CEAC00D69700DF7C00E95800F62900FF0000FF0000FF0000FF0000FF0000FF0000FF0000
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FF0000FF0000F33300E75F00DD8100D49B00CDAF00C7BF00B5C100A0BC00
8EB7007EB30070AF0064AC0059A90050A60047A3003FA100389E00329C002C9A00279900
86B50081B4007DB30079B20075B10072B0006FAF006DAE006BAE0069AD0068AD0066AC00
65AC0065AC0064AC0064AC0064AC0064AC0065AC0065AC0066AC0068AD0069AD006BAE00
6DAE006FAF0072B00075B10079B2007DB30081B40086B5002799002C9A00329C00389E00
3FA10047A30050A60059A90064AC0070AF007EB3008EB700A0BC00B5C100C7BF00CDAF00
D49B00DD8100E75F00F33300FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FE0400F13C00E56600DB8600D39E00CCB200C6C100B2C000
9EBB008CB7007DB3006FAF0063AC0059A9004FA60047A3003FA100399F00329C0094B900
8EB70089B60084B50080B4007DB30079B20076B10074B00071B00070AF006EAF006DAE00
6CAE006BAE006AAE006AAD006AAD006AAE006BAE006CAE006DAE006EAF0070AF0071B000
74B00076B10079B2007DB30080B40084B50089B6008EB70094B900329C00399F003FA100
47A3004FA60059A90063AC006FAF007DB3008CB7009EBB00B2C000C6C100CCB200D39E00
DB8600E56600F13C00FE0400FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FB1100EE4500E36C00DA8A00D2A200CBB400C5C300
AFBF009CBB008BB6007CB2006FAF0063AB0059A8004FA60047A300ACBF00A4BD009DBB00
97BA0092B8008DB70088B60084B50081B4007EB3007BB20078B10076B10075B00073B000
72B00071B00071AF0070AF0070AF0071AF0071B00072B00073B00075B00076B10078B100
7BB2007EB30081B40084B50088B6008DB70092B80097BA009DBB00A4BD00ACBF0047A300
4FA60059A80063AB006EAF007CB2008BB6009CBB00AFBF00C5C300CBB400D2A200DA8A00
E36C00EE4500FB1100FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219FF0000
FF0000FF0000FF0000FF0000FF0000FF0000F91D00EC4E00E17200D98F00D1A500CAB700
C3C400ADBF009ABA0089B6007BB2006EAF0062AB0058A800C0C400B7C100AFBF00A7BE00
A1BC009BBA0095B90091B8008CB70088B60085B50082B40080B3007DB3007CB2007AB200
79B20078B10077B10077B10077B10077B10078B10079B2007AB2007CB2007DB30080B300
82B40085B50088B6008CB70091B80095B9009BBA00A1BC00A7BE00AFBF00B7C100C0C300
58A80062AB006EAF007BB20089B6009ABA00ADBF00C3C400CAB700D1A500D98F00E17200
EC4E00F91D00FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FF0000FF0000F62800EA5600E07800D79300D0A800
C9B900C0C300AABE0098BA0088B6007AB200CCB200C9B900C6C000C3C400BAC200B2C000
ABBE00A4BD009EBB0099BA0095B90091B8008DB7008AB60087B50085B50083B40081B400
80B3007FB3007EB3007EB3007EB3007EB3007FB30080B30081B40083B40085B50087B500
8AB6008DB70091B80095B90099BA009EBB00A4BD00ABBE00B2C000BAC200C3C400C6C000
C9B900CCB2007AB20088B60098BA00AABE00C0C300C9B900D0A800D79300E07800EA5600
F62800FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F33200E85D00DE7E00D69700
CFAB00C8BB00BDC300A8BE0096B900D3A000CFA900CCB100C9B800C7BE00C5C400BDC300
B5C100AEBF00A8BE00A2BC009EBB0099BA0095B90092B8008FB7008CB7008AB60089B600
87B50086B50085B50085B50085B50085B50086B50087B50089B6008AB6008CB7008FB700
92B80095B90099BA009EBB00A2BC00A8BE00AEBF00B5C100BDC300C5C400C7BE00C9B800
CCB100CFA900D3A00096B900A8BE00BDC300C8BB00CFAB00D69700DE7E00E85D00F33200
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000FE0700F13C00E66400DC8300
D49B00CEAE00C7BD00BAC200DB8800D79500D39F00D0A800CDB000CAB700C8BD00C5C200
C0C400B9C200B2C000ACBF00A7BD00A2BC009EBB009ABA0097BA0094B90092B80090B800
8FB7008EB7008DB7008DB7008DB7008DB7008EB7008FB70090B80092B80094B90097BA00
9ABA009EBB00A2BC00A7BD00ACBF00B2C000B9C200C0C400C5C200C8BD00CAB700CDB000
D0A800D39F00D79500DB8800BAC200C7BD00CEAE00D49B00DC8300E66400F13C00FE0700
FF0000FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000FB1300EE4500E46B00
DB8700D39E00EA5600E46A00DF7A00DB8800D79400D39E00D0A700CDAF00CBB500C8BB00
C6C000C4C400BDC300B6C100B1C000ABBF00A7BD00A3BC00A0BC009DBB009ABA0098BA00
97B90096B90095B90094B90094B90095B90096B90097B90098BA009ABA009DBB00A0BC00
A3BC00A7BD00ABBF00B1C000B6C100BDC300C4C400C6C000C8BB00CBB500CDAF00D0A700
D39E00D79400DB8800DF7A00E46A00EA5600D39E00DB8700E46B00EE4500FB1400FF0000
FF0000FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000F81F00EC4E00
E27100F62500EF4100E95800E46B00DF7B00DB8800D79300D49D00D0A600CEAD00CBB400
C9B900C7BE00C5C200C1C400BBC200B5C100B1C000ACBF00A9BE00A6BD00A3BC00A1BC00
9FBC009EBB009DBB009DBB009DBB009DBB009EBB009FBC00A1BC00A3BC00A6BD00A9BE00
ACBF00B1C000B5C100BBC200C1C400C5C200C7BE00C9B900CBB400CEAD00D0A600D49D00
D79300DB8800DF7B00E46B00E95800EF4100F62500E27100EC4E00F82000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FD0800F62900EF4300E95900E46B00DF7B00DB8800D79300D49C00D1A400CEAC00
CCB200CAB700C8BC00C6C000C5C400C0C300BBC200B6C100B2C000AFBF00ACBF00AABE00
A8BE00A7BD00A6BD00A5BD00A5BD00A6BD00A7BD00A8BE00AABE00ACBF00AFBF00B2C000
B6C100BBC200C0C300C5C400C6C000C8BC00CAB700CCB200CEAC00D1A400D49C00D79300
DB8800DF7B00E46B00E95900EF4300F62900FD0800FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FC0D00F52C00EE4500E95A00E36C00DF7A00DB8700D89200D49B00D2A300
CFAA00CDB000CBB500C9BA00C7BE00C6C100C5C400C0C300BCC200B8C200B5C100B3C000
B1C000B0C000AFBF00AEBF00AEBF00AFBF00B0C000B1C000B3C000B5C100B8C200BCC200
C0C300C5C400C6C100C7BE00C9BA00CBB500CDB000CFAA00D2A300D49B00D89200DB8700
DF7A00E36C00E95A00EE4500F52C00FC0D00FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FB1100F42F00EE4700E85B00E36C00DF7A00DB8600D89000D59900
D2A100D0A800CEAD00CCB200CAB700C8BB00C7BE00C6C100C5C300C2C400BFC300BDC300
BAC200B9C200B8C200B7C100B7C100B8C200B9C200BAC200BDC300BFC300C2C400C5C300
C6C100C7BE00C8BB00CAB700CCB200CEAD00D0A800D2A100D59900D89000DB8600DF7A00
E36C00E85B00EE4700F42F00FB1100FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FA1500F33100ED4800E85B00E46B00DF7900DC8500D98F00
D69700D39F00D1A500CFAB00CDB000CBB400CAB800C8BB00C7BD00C6C000C6C200C5C300
C4C400C3C400C2C400C1C400C1C400C2C400C3C400C4C400C5C300C6C200C6C000C7BD00
C8BB00CAB800CBB400CDB000CFAB00D1A500D39F00D69700D98F00DC8500DF7900E46B00
E85B00ED4800F33100FA1500FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FA1900F33300ED4900E85C00E46B00E07800DC8300
D98D00D69500D49C00D2A300D0A800CEAD00CCB100CBB400CAB700C9BA00C8BC00C7BD00
C7BF00C6C000C6C000C6C100C6C100C6C000C6C000C7BF00C7BD00C8BC00C9BA00CAB700
CBB400CCB100CEAD00D0A800D2A300D49C00D69500D98D00DC8300E07800E46B00E85C00
ED4900F33300FA1900FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219001E35001F35001F36FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000F91C00F33500ED4A00E85B00E46A00E07700
DD8200DA8B00D79300D59A00D3A000D1A500CFA900CEAD00CDB000CBB300CBB500CAB700
C9B900C9BA00C9BA00C8BB00C8BB00C9BA00C9BA00C9B900CAB700CBB500CBB300CDB000
CEAD00CFA900D1A500D3A000D59A00D79300DA8B00DD8200E07700E46A00E85B00ED4A00
F33500F91C00FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000001F36001F35001E35000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219001E35001F35001F36001F36FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0100F81E00F23600ED4A00E85B00E46900
E17500DD8000DB8900D89000D69700D49C00D2A100D1A600CFA900CEAC00CDAF00CCB100
CCB200CBB300CBB400CBB500CBB500CBB400CBB300CCB200CCB100CDAF00CEAC00CFA900
D1A600D2A100D49C00D69700D89000DB8900DD8000E17500E46900E85B00ED4A00F23600
F81E00FF0100FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000001F36001F36001F35001E35000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219001E35001F35001F36001F36002036002036FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FE0400F82000F23700ED4A00E95A00
E56800E17300DE7D00DB8600D98D00D79300D59900D39E00D2A100D1A500D0A700CFAA00
CEAB00CEAD00CEAE00CDAE00CDAE00CEAE00CEAD00CEAB00CFAA00D0A700D1A500D2A100
D39E00D59900D79300D98D00DB8600DE7D00E17300E56800E95A00ED4A00F23700F82000
FE0400FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
002036002036001F36001F36001F35001E35000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
001E35001E35001F35001F36001F36002036002036002137002137FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FE0700F72200F23700ED4A00
E95900E56600E27100DF7B00DC8300DA8A00D89000D69500D59900D49D00D3A000D2A200
D1A400D1A600D0A700D0A700D0A700D0A700D1A600D1A400D2A200D3A000D49D00D59900
D69500D89000DA8A00DC8300DF7B00E27100E56600E95900ED4A00F23700F72200FE0700
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002137
002137002036002036001F36001F36001F35001E35001E35000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219001E35
001E35001F35001F36001F36002036002036002137002137002137FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FD0A00F72300F23700
ED4900E95700E66400E36F00E07800DD7F00DB8600DA8C00D89000D79400D59800D59A00
D49C00D39E00D39F00D3A000D3A000D39F00D39E00D49C00D59A00D59800D79400D89000
DA8C00DB8600DD7F00E07800E36F00E66400E95700ED4900F23700F72300FD0A00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002137
002137002137002036002036001F36001F36001F35001E35001E35000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219001D35001E35001E35
001E35001F35001F36002036002036002037002137002137002237002238FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FD0B00F72300
F23700EE4700EA5500E66100E46B00E17400DF7B00DD8200DB8700DA8B00D88F00D79200
D79400D69600D69700D69800D69800D69700D69600D79400D79200D88F00DA8B00DB8700
DD8200DF7B00E17400E46B00E66100EA5500EE4800F23700F72300FD0B00FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002238002237
002137002137002037002036002036001F36001F35001E35001E35001E35001D35000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219001D34001E35001E35001E35
001F35001F36002036002036002037002137002137002237002238002338002338FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FC0D00
F72300F23600EE4600EB5300E75E00E56800E27000E07700DE7D00DD8200DB8600DA8900
DA8B00D98D00D98E00D88F00D88F00D98E00D98D00DA8B00DA8900DB8600DD8200DE7D00
E07700E27000E56800E75E00EB5300EE4600F23600F72300FC0D00FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002338002338002238
002237002137002137002037002036002036001F36001F35001E35001E35001E35001D34
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219001D34001E35001E35001E35001F35
001F36001F36002036002036002137002137002237002238002338002338002439FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FC0D00F72300F33400EF4300EB5000E85B00E66400E46B00E27200E07700DF7C00DE7F00
DD8200DC8400DC8500DB8600DB8600DC8500DC8400DD8200DE7F00DF7C00E07700E27200
E46B00E66400E85B00EB5000EF4300F33400F72300FC0D00FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002439002338002338
002238002237002137002137002036002036001F36001F36001F35001E35001E35001E35
001D34000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219001D34001D34001E35001E35001E35001F35001F36
001F36002036002036002137002137002237002238002238002338002339002439002539
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FC0D00F72100F33200EF4100EC4C00EA5700E75F00E56600E36C00E27100E17500
E07800DF7A00DF7C00DE7C00DE7C00DF7C00DF7A00E07800E17500E27100E36C00E56600
E75F00EA5700EC4C00EF4100F33200F72100FC0D00FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000002539002439002439002338
002238002238002237002137002137002036002036001F36001F36001F35001E35001E35
001E35001D34001D34000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219001D34001D34001E35001E35001E35001F35001F36001F36
002036002036002137002137002137002238002238002338002338002439002439002539
00263AFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FC0D00F82000F43000F03D00ED4800EB5200E95A00E76000E56600E46A00
E36D00E27000E27100E27200E27200E27100E27000E36D00E46A00E56600E76000E95A00
EB5200ED4800F03D00F43000F82000FC0D00FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF000000263A002539002439002439002338
002338002238002238002137002137002137002036002036001F36001F36001F35001E35
001E35001E35001D34001D34000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219001D34001D34001D34001D35001E35001E35001F35001F36001F36002036
00203600213700213700213700223700223800233800233800243900243900253900263A
00263AFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FD0B00F81D00F52C00F23900EF4300EC4C00EA5300E95900E75E00
E66200E66500E56600E56700E56700E56600E66500E66200E75E00E95900EA5300EC4C00
EF4300F23900F52C00F81D00FD0B00FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF000000263A00263A002539002439002439
002338002338002238002237002137002137002137002036002036001F36001F36001F35
001E35001E35001D35001D34001D34001D34000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219001C34001D34001D34001D35001E35001E35001E35001F35001F36002036002036
00203700213700213700223700223800233800233800243900243900253900253A00263A
00273A00273BFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FD0900F91A00F62800F33400F03E00EE4600EC4C00EB5200
EA5600E95900E85B00E85C00E85C00E85B00E95900EA5600EB5200EC4C00EE4600F03E00
F33400F62800F91A00FD0900FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF000000273B00273A00263A00253A002539002439
002439002338002338002238002237002137002137002037002036002036001F36001F36
001E35001E35001E35001D35001D34001D34001C34000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
001C34001D34001D34001D35001E35001E35001E35001F35001F36002036002036002036
00213700213700223700223800233800233800243900243900253900253A00263A00263A
00273B00283B00283CFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FE0600FA1600F72300F42E00F23700F03E00EF4400
ED4900EC4C00EC4E00EC4F00EC4F00EC4E00EC4C00ED4900EF4400F03E00F23700F42E00
F72300FA1600FE0600FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF000000283C00283B00273B00263A00263A00253A002539
002439002439002338002338002238002237002137002137002037002036002036001F36
001F35001E35001E35001E35001D35001D34001D34001C34000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219001C34001C34
001D34001D34001D34001E35001E35001E35001F35001F36001F36002036002036002137
00213700223700223800233800233800243900243900253900253A00263A00263A00273B
00283B00283B00293CFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0200FB1100F81D00F62700F42F00F23600
F13B00F03E00EF4100EF4200EF4200EF4100F03E00F13B00F23600F42F00F62700F81D00
FB1100FF0200FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF000000293C00283B00283B00273B00263A00263A00253A
002539002439002439002338002338002238002237002137002137002036002036001F36
001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219001C34001C34001D34
001D34001D34001E35001E35001E35001F35001F36001F36002036002036002137002137
00223700223800223800233800233800243900243900253900263A00263A00273B00273B
00283B00293C002A3C002A3DFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FD0B00FA1600F81F00F62600
F52C00F43000F33300F33400F33400F33300F43000F52C00F62600F81F00FA1600FD0B00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000002A3D002A3C00293C00283B00273B00273B00263A00263A
002539002439002439002338002338002238002238002237002137002137002036002036
001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219001C33001C34001C34001D34001D34
001D34001E35001E35001E35001F35001F36001F36002036002036002137002137002137
00223700223800233800233800243900243900253900263A00263A00273A00273B00283B
00293C00293C002A3C002B3D002C3DFF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0300FC0E00FA1600
F91C00F82000F72300F72500F72500F72300F82000F91C00FA1600FC0E00FF0300FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000002C3D002B3D002A3D00293C00293C00283B00273B00273A00263A
00263A002539002439002439002338002338002238002237002137002137002137002036
002036001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34
001C33000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219001C33001C33001C34001D34001D34001D34
001D35001E35001E35001F35001F36001F36002036002036002037002137002137002237
00223800233800233800243900243900253900253A00263A00273A00273B00283B00293C
00293C002A3C002B3D002C3D002C3EFF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0400
FD0B00FC1000FB1300FB1500FB1500FB1300FC1000FD0B00FF0400FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000002C3E002C3D002B3D002A3C00293C00293C00283B00273B00273A
00263A00253A002539002439002439002338002338002238002237002137002137002037
002036002036001F36001F36001F35001E35001E35001D35001D34001D34001D34001C34
001C33001C33000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219001C33001C33001C34001C34001D34001D34001D35
001E35001E35001E35001F35001F36002036002036002037002137002137002237002238
00233800233800243900243900253900253A00263A00263A00273B00283B00283B00293C
002A3C002B3D002B3D002C3E002D3E002E3FFF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0100FF0300FF0300FF0100FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000002E3F002D3E002C3E002B3D002B3D002A3C00293C00283B00283B00273B
00263A00263A00253A002539002439002439002338002338002238002237002137002137
002037002036002036001F36001F35001E35001E35001E35001D35001D34001D34001C34
001C34001C33001C33000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219001B33001C33001C33001C34001C34001D34001D34001D34001E35
001E35001E35001F35001F36002036002036002036002137002137002237002238002338
00233800243900243900253900253A00263A00263A00273B00283B00283B00293C002A3C
002A3D002B3D002C3E002D3E002E3F002F3FFF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000002F3F002E3F002D3E002C3E002B3D002A3D002A3C00293C00283B00283B
00273B00263A00263A00253A002539002439002439002338002338002238002237002137
002137002036002036002036001F36001F35001E35001E35001E35001D34001D34001D34
001C34001C34001C33001C33001B33000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219001B33001B33001C33001C34001C34001D34001D34001D34001E35001E35
001E35001F35001F36001F36002036002036002137002137002237002238002238002338
00233800243900243900253900263A00263A00273B00273B00283B00293C00293C002A3D
002B3D002C3D002D3E002D3E002E3F002F3F003040FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D00293C00293C00283B
00273B00273B00263A00263A002539002439002439002338002338002238002238002237
002137002137002036002036001F36001F36001F35001E35001E35001E35001D34001D34
001D34001C34001C34001C33001B33001B33000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
001B33001B33001B33001C33001C34001C34001D34001D34001D34001E35001E35001E35
001F35001F36001F36002036002036002137002137002137002237002238002338002338
00243900243900253900253A00263A00273A00273B00283B00293C00293C002A3C002B3D
002C3D002C3E002D3E002E3F002F3F003040003140003241FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
003241003140003040002F3F002E3F002D3E002C3E002C3D002B3D002A3C00293C00293C
00283B00273B00273A00263A00253A002539002439002439002338002338002238002237
002137002137002137002036002036001F36001F36001F35001E35001E35001E35001D34
001D34001D34001C34001C34001C33001B33001B33001B33000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219001B33
001B33001B33001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35
001F36001F36002036002036002037002137002137002237002238002338002338002439
00243900253900253A00263A00263A00273B00283B00283B00293C002A3C002B3D002B3D
002C3E002D3E002E3F002F3F003040003140003241003341FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
003341003241003140003040002F3F002E3F002D3E002C3E002B3D002B3D002A3C00293C
00283B00283B00273B00273A00263A00253A002539002439002439002338002338002238
002237002137002137002037002036002036001F36001F36001F35001E35001E35001E35
001D34001D34001D34001C34001C34001C33001B33001B33001B33000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219001B33001B33
001B33001C33001C33001C34001C34001D34001D34001D35001E35001E35001E35001F35
001F36002036002036002037002137002137002237002238002338002338002439002439
00253900253A00263A00263A00273B00283B00283B00293C002A3C002A3D002B3D002C3E
002D3E002E3E002F3F003040003140003241003341003442003542FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003542
003442003341003241003140003040002F3F002E3F002D3E002C3E002B3D002A3D002A3C
00293C00283B00283B00273B00263A00263A00253A002539002439002439002338002338
002238002237002137002137002037002036002036001F36001F35001E35001E35001E35
001D35001D34001D34001D34001C34001C33001C33001B33001B33001B33000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219001A32001B33001B33001B33
001C33001C33001C34001C34001D34001D34001D35001E35001E35001E35001F35001F36
002036002036002036002137002137002237002238002238002338002338002439002539
00253900263A00263A00273B00273B00283B00293C00293C002A3D002B3D002C3D002D3E
002D3E002E3F002F3F003040003140003241003442003542003643FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003643
003542003442003241003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D
00293C00293C00283B00273B00273B00263A00263A002539002539002439002338002338
002238002238002237002137002137002036002036002036001F36001F35001E35001E35
001E35001D35001D34001D34001C34001C34001C33001C33001B33001B33001B33001A32
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219001A32001B33001B33001B33001C33
001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36
002036002036002137002137002137002238002238002338002338002439002439002539
00253A00263A00273A00273B00283B00293C00293C002A3C002B3D002C3D002C3E002D3E
002E3F002F3F003040003140003241003341003442003643003743003844FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003844003743
003643003442003341003241003140003040002F3F002E3F002D3E002C3E002C3D002B3D
002A3C00293C00293C00283B00273B00273A00263A00253A002539002439002439002338
002338002238002238002137002137002137002036002036001F36001F36001F35001E35
001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33
001A32000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219001A32001A32001B33001B33001B33001B33001C33
001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036
00203600213700213700213700223700223800233800233800243900243900253900253A
00263A00273A00273B00283B00283B00293C002A3C002B3D002B3D002C3E002D3E002E3F
002F3F003040003140003241003341003442003543003643003844003945FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003945003844
003743003543003442003341003241003140003040002F3F002E3F002D3E002C3E002B3D
002B3D002A3C00293C00283B00283B00273B00273A00263A00253A002539002439002439
002338002338002238002237002137002137002137002036002036001F36001F36001F35
001E35001E35001E35001D34001D34001D34001C34001C34001C33001B33001B33001B33
001B33001A32001A32000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219001A32001A32001B33001B33001B33001B33001C33001C34
001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036002036
00203700213700213700223700223800233800233800243900243900253900253A00263A
00263A00273B00283B00283B00293C002A3C002A3D002B3D002C3E002D3E002E3E002F3F
002F3F003040003141003341003442003542003643003744003944003A45003C46FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003C46003A45003944
003744003643003542003442003341003141003040002F3F002F3F002E3E002D3E002C3E
002B3D002A3D002A3C00293C00283B00283B00273B00263A00263A00253A002539002439
002439002338002338002238002237002137002137002037002036002036001F36001F36
001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33001B33001B33
001B33001B33001A32001A32000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219001A32001A32001B33001B33001B33001B33001C33001C33001C34
001C34001D34001D34001D35001E35001E35001E35001F35001F36002036002036002036
00213700213700223700223800233800233800233800243900253900253900263A00263A
00273B00273B00283B00293C00293C002A3D002B3D002C3D002D3E002D3E002E3F002F3F
003040003140003241003342003542003643003743003844003A45003B46003D46FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000003D46003B46003A45
003844003743003643003542003342003241003140003040002F3F002E3F002D3E002D3E
002C3D002B3D002A3D00293C00293C00283B00273B00273B00263A00263A002539002539
002439002339002338002338002238002237002137002137002036002036002036001F36
001F35001E35001E35001E35001D35001D34001D34001D34001C34001C33001C33001B33
001B33001B33001B33001A32001A32000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219001A32001A32001A32001B32001B33001B33001B33001C33001C33001C34001C34
001D34001D34001D34001E35001E35001E35001F35001F36001F36002036002036002137
00213700223700223800223800233800233800243900243900253900253A00263A00273A
00273B00283B00293C00293C002A3C002B3D002B3D002C3E002D3E002E3F002F3F003040
003140003241003341003442003543003743003844003945003B45003C46003E47004048
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000004048003E47003C46003B45
003945003844003743003543003442003341003241003140003040002F3F002E3F002D3E
002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273A00263A00253A002539
002439002439002338002338002238002238002237002137002137002036002036001F36
001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33
001B33001B33001B33001B32001A32001A32001A32000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
001A32001A32001A32001A32001B33001B33001B33001C33001C33001C34001C34001D34
001D34001D34001E35001E35001E35001F35001F36001F36002036002036002137002137
00213700223700223800233800233800243900243900253900253A00263A00263A00273B
00283B00283B00293C002A3C002B3D002B3D002C3E002D3E002E3F002F3F003040003140
003241003341003442003542003643003844003944003A45003C46003E47003F48004148
004349FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000004349004148003F48003E47003C46
003A45003944003844003643003542003442003341003241003140003040002F3F002E3F
002D3E002C3E002B3D002B3D002A3C00293C00283B00283B00273B00273A00263A00253A
002539002439002439002338002338002238002237002137002137002137002036002036
001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33
001C33001B33001B33001B33001A32001A32001A32001A32000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219001932001A32
001A32001A32001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34
001D34001E35001E35001E35001F35001F36001F36002036002036002037002137002137
00223700223800233800233800243900243900253900253A00263A00263A00273B00283B
00283B00293C002A3C002A3D002B3D002C3D002D3E002E3E002E3F002F3F003040003140
003241003342003542003643003744003844003A45003B46003D46003F47004148004249
00444AFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF000000454A004249004148003F47003D46
003B46003A45003844003744003643003542003342003241003140003040002F3F002E3F
002E3E002D3E002C3D002B3D002A3D002A3C00293C00283B00283B00273B00263A00263A
00253A002539002439002439002338002338002238002237002137002137002037002036
002036001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34
001C33001B33001B33001B33001B33001A32001A32001A32001A32001932000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219001932001A32001A32
001A32001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34001D34
001D35001E35001E35001E35001F35001F36002036002036002036002137002137002237
00223800233800233800233800243900253900253900263A00263A00273B00273B00283B
00293C00293C002A3C002B3D002C3D002C3E002D3E002E3F002F3F003040003140003241
003341003442003543003743003844003945003B45003C46003E4700404800424900444A
00464B00484CFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF000000484C00464B00444A004249004048003E47
003D46003B45003945003844003743003543003442003341003241003140003040002F3F
002E3F002D3E002C3E002C3D002B3D002A3C00293C00293C00283B00273B00273B00263A
00263A002539002539002439002338002338002338002238002237002137002137002036
002036002036001F36001F35001E35001E35001E35001D35001D34001D34001D34001C34
001C34001C33001B33001B33001B33001B33001A32001A32001A32001A32001932000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219001932001A32001A32001A32
001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34001D34001D35
001E35001E35001E35001F35001F36001F36002036002036002137002137002237002238
00223800233800233800243900243900253900253A00263A00273A00273B00283B00293C
00293C002A3C002B3D002B3D002C3E002D3E002E3F002F3F003040003140003241003341
003442003542003643003844003944003A45003C46003E47003F4800414800434900454A
00474B004A4CFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000004A4C00474B00454A004349004148003F48
003E47003C46003A45003944003844003643003542003442003341003241003140003040
002F3F002E3F002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273A
00263A00253A002539002439002439002338002338002238002238002237002137002137
002036002036001F36001F36001F35001E35001E35001E35001D35001D34001D34001C34
001C34001C33001C33001B33001B33001B33001B33001A32001A32001A32001A32001932
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219001931001932001A32001A32001A32001A32
001A32001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34001E35
001E35001E35001F35001F36001F36002036002036002137002137002137002237002238
00233800233800243900243900253900253A00263A00263A00273B00283B00283B00293C
002A3C002A3D002B3D002C3E002D3E002E3E002E3F002F3F003040003141003241003442
003542003643003744003944003A45003B46003D46003F4700414800424900444A00474B
00494C004B4D004E4EFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000004E4E004B4D00494C00474B00444A004249004148
003F47003D46003B46003A45003944003744003643003542003442003241003141003040
002F3F002E3F002E3E002D3E002C3E002B3D002A3D002A3C00293C00283B00283B00273B
00263A00263A00253A002539002439002439002338002338002238002237002137002137
002137002036002036001F36001F36001F35001E35001E35001E35001D34001D34001D34
001C34001C34001C33001C33001B33001B33001B33001A32001A32001A32001A32001A32
001932001931000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219000219001931001932001932001A32001A32001A32001A32
001B33001B33001B33001B33001C33001C34001C34001D34001D34001D34001E35001E35
001E35001F35001F36001F36002036002036002037002137002137002237002238002338
00233800243900243900253900253A00263A00263A00273B00273B00283B00293C00293C
002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003140003241003341003442
003543003743003844003945003B45003C46003E4700404800424900444A00464B00484C
004A4D004D4E004F4EFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000004F4E004D4E004A4D00484C00464B00444A004249
004048003E47003D46003B45003945003844003743003643003442003341003241003140
003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D00293C00293C00283B00273B
00273B00263A00263A00253A002539002439002439002338002338002238002237002137
002137002037002036002036001F36001F36001F35001E35001E35001E35001D34001D34
001D34001C34001C34001C33001B33001B33001B33001B33001A32001A32001A32001A32
001932001932001931000219000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219000219000219001931001932001932001A32001A32001A32001A32001B33
001B33001B33001B33001C33001C34001C34001D34001D34001D34001D35001E35001E35
001E35001F35001F36002036002036002036002137002137002237002238002338002338
00233800243900243900253900263A00263A00273A00273B00283B00293C00293C002A3C
002B3D002B3D002C3E002D3E002E3F002F3F003040003140003241003341003442003542
003643003844003944003A45003C46003E47003F4800414800434900454A00474B004A4C
004C4D004E4E00504E00514DFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF000000514D00504E004E4E004C4D004A4C00474B00454A004349
004148003F48003E47003C46003A45003944003844003643003542003442003341003241
003140003040002F3F002E3F002D3E002C3E002B3D002B3D002A3C00293C00293C00283B
00273B00273A00263A00263A002539002439002439002338002338002338002238002237
002137002137002036002036002036001F36001F35001F35001E35001E35001D35001D34
001D34001D34001C34001C34001C33001B33001B33001B33001B33001A32001A32001A32
001A32001932001932001931000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219000219001931001931001932001932001A32001A32001A32001A32001B33001B33
001B33001B33001C33001C33001C34001C34001D34001D34001D35001E35001E35001E35
001F35001F36001F36002036002036002137002137002137002238002238002338002338
00243900243900253900253A00263A00273A00273B00283B00283B00293C002A3C002A3D
002B3D002C3E002D3E002E3E002F3F002F3F003040003141003241003442003542003643
003744003944003A45003B46003D46003F4700404800424900444A00464B00494C004B4D
004E4E004F4E00514D00524DFF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF000000524D00514D004F4E004E4E004B4D00494C00464B00444A
004249004048003F47003D46003B46003A45003944003744003643003542003442003241
003141003040002F3F002F3F002E3E002D3E002C3E002B3D002A3D002A3C00293C00283B
00283B00273B00273A00263A00253A002539002439002439002338002338002238002238
002137002137002137002036002036001F36001F36001F35001E35001E35001E35001D35
001D34001D34001C34001C34001C33001C33001B33001B33001B33001B33001A32001A32
001A32001A32001932001932001931001931000219000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219000219
000219001931001931001931001932001A32001A32001A32001A32001B32001B33001B33
001B33001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35
001F36001F36002036002036002137002137002137002237002238002338002338002439
00243900253900253A00263A00263A00273B00283B00283B00293C002A3C002A3D002B3D
002C3D002D3E002D3E002E3F002F3F003040003140003241003341003442003543003743
003844003945003B45003C46003E4700404800424900444A00464A00484B004A4C004D4E
004F4E00504E00514D00534C00544CFF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF000000544C00534C00514D00504E004F4E004D4E004A4D00484B00464A
00444A004249004048003E47003C46003B45003945003844003743003643003442003341
003241003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D002A3C00293C
00283B00283B00273B00263A00263A00253A002539002439002439002338002338002238
002237002137002137002137002036002036001F36001F36001F35001E35001E35001E35
001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33001B32001A32
001A32001A32001A32001932001931001931001931000219000219000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219000219001831
001931001931001931001932001A32001A32001A32001A32001A32001B33001B33001B33
001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36
001F36002036002036002037002137002137002237002238002338002338002439002439
00253900253900263A00263A00273B00273B00283B00293C00293C002A3C002B3D002C3D
002C3E002D3E002E3F002F3F003040003140003241003341003442003542003643003844
003944003A45003C46003D47003F4700414800434900454A00474B00494C004C4D004E4E
00504E00514D00524D00544C00554BFF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF000000554B00544C00524D00514D00504E004E4E004C4D00494C00474B
00454A004349004148003F47003D47003C46003A45003944003844003643003542003442
003341003241003140003040002F3F002E3F002D3E002C3E002C3D002B3D002A3C00293C
00293C00283B00273B00273B00263A00263A002539002539002439002439002338002338
002238002237002137002137002037002036002036001F36001F36001F35001E35001E35
001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33001A32
001A32001A32001A32001A32001932001931001931001931001831000219000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219000219001831001931
001931001931001932001932001A32001A32001A32001A32001B33001B33001B33001B33
001C33001C34001C34001D34001D34001D34001D35001E35001E35001E35001F35001F36
002036002036002036002137002137002237002238002238002338002338002439002439
00253900253A00263A00273A00273B00283B00283C00293C002A3C002B3D002B3D002C3E
002D3E002E3F002F3F002F3F003040003141003241003442003542003643003744003844
003A45003B46003D46003F4700404800424900444A00464B00484C004B4D004D4E004F4E
00504E00524D00534C00554C00564B005849FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF000000584900564B00554C00534C00524D00504E004F4E004D4E004B4D00484C
00464B00444A004249004048003F47003D46003B46003A45003844003744003643003542
003442003241003141003040002F3F002F3F002E3F002D3E002C3E002B3D002B3D002A3C
00293C00283C00283B00273B00273A00263A00253A002539002439002439002338002338
002238002238002237002137002137002036002036002036001F36001F35001E35001E35
001E35001D35001D34001D34001D34001C34001C34001C33001B33001B33001B33001B33
001A32001A32001A32001A32001932001932001931001931001931001831000219000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219000219000219001831001931001931
001931001932001932001A32001A32001A32001A32001B33001B33001B33001B33001C33
001C33001C34001C34001D34001D34001D35001E35001E35001E35001F35001F36001F36
002036002036002137002137002137002237002238002338002338002439002439002539
00253A00263A00263A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002D3E
002D3E002E3F002F3F003040003140003241003341003442003543003743003844003945
003B45003C46003E4700404800414900434900454A00484B004A4C004C4D004F4E00504E
00514D00524D00544C00554B00574A005949FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF000000594900574A00554B00544C00524D00514D00504E004F4E004C4D004A4C
00484B00454A004349004149004048003E47003C46003B45003945003844003743003543
003442003341003241003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D
002A3C00293C00283B00283B00273B00263A00263A00253A002539002439002439002338
002338002238002237002137002137002137002036002036001F36001F36001F35001E35
001E35001E35001D35001D34001D34001D34001C34001C33001C33001B33001B33001B33
001B33001A32001A32001A32001A32001932001932001931001931001931001831000219
000219000219000219000219000219000219000219000219
000219000219000219000219000219000219000219001831001831001831001931001931
001931001932001A32001A32001A32001A32001B33001B33001B33001B33001C33001C33
001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036
00203600213700213700213700223700223800233800233800243900243900253900253A
00263A00263A00273B00273B00283B00293C00293C002A3C002B3D002C3D002C3E002D3E
002E3F002F3F003040003140003241003341003442003542003643003844003944003A45
003C46003D47003F4700414800434900454A00474B00494C004B4D004E4E004F4E00514D
00524D00534C00554B00564A005849005A48FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000FF0000005A4800584900564A00554B00534C00524D00514D004F4E004E4E004B4D
00494C00474B00454A004349004148003F47003D47003C46003A45003944003844003643
003542003442003341003241003140003040002F3F002E3F002D3E002C3E002C3D002B3D
002A3C00293C00293C00283B00273B00273B00263A00263A00253A002539002439002439
002338002338002238002237002137002137002137002036002036001F36001F36001F35
001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33
001B33001B33001A32001A32001A32001A32001932001931001931001931001831001831
001831000219000219000219000219000219000219000219
000219000219000219000219000219000219001831001831001831001931001931001931
001932001A32001A32001A32001A32001A32001B33001B33001B33001C33001C33001C34
001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036002036
00203700213700213700223700223800233800233800233800243900243900253900263A
00263A00273A00273B00283B00283C00293C002A3C002B3D002B3D002C3E002D3E002E3F
002F3F002F3F003040003141003241003342003542003643003743003844003A45003B46
003D46003E4700404800424900444A00464B00484C004A4D004D4E004F4E00504E00514D
00534C00544C00564B00574A005949005B47005D45FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000005D45005B4700594900574A00564B00544C00534C00514D00504E004F4E004D4E
004A4D00484C00464B00444A004249004048003E47003D46003B46003A45003844003743
003643003542003342003241003141003040002F3F002F3F002E3F002D3E002C3E002B3D
002B3D002A3C00293C00283C00283B00273B00273A00263A00263A002539002439002439
002338002338002338002238002237002137002137002037002036002036001F36001F36
001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33
001B33001B33001A32001A32001A32001A32001A32001932001931001931001931001831
001831001831000219000219000219000219000219000219
000219000219000219000219001830001831001831001831001931001931001931001932
001932001A32001A32001A32001A32001B33001B33001B33001B33001C33001C34001C34
001D34001D34001D34001D35001E35001E35001E35001F35001F36002036002036002036
00213700213700223700223800223800233800233800243900243900253900253A00263A
00263A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002D3E002D3E002E3F
002F3F003040003140003241003341003442003543003743003844003945003B45003C46
003E47003F4800414800434900454A00474B00494C004C4D004E4E00504E00514D00524D
00544C00554B00574A005849005A48005C46005F44FF0000FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
FF0000005F44005C46005A4800584900574A00554B00544C00524D00514D00504E004E4E
004C4D00494C00474B00454A004349004148003F48003E47003C46003B45003945003844
003743003543003442003341003241003140003040002F3F002E3F002D3E002D3E002C3D
002B3D002A3D002A3C00293C00283B00283B00273B00263A00263A00253A002539002439
002439002338002338002238002238002237002137002137002036002036002036001F36
001F35001E35001E35001E35001D35001D34001D34001D34001C34001C34001C33001B33
001B33001B33001B33001A32001A32001A32001A32001932001932001931001931001931
001831001831001831001830000219000219000219000219
000219000219000219001830001831001831001831001931001931001931001932001932
001A32001A32001A32001A32001B33001B33001B33001B33001C33001C33001C34001C34
001D34001D34001D35001E35001E35001E35001F35001F36001F36002036002036002137
00213700213700223700223800233800233800243900243900253900253A00263A00263A
00273B00273B00283B00293C00293C002A3C002B3D002C3D002C3E002D3E002E3F002F3F
003040003140003241003341003442003542003643003744003944003A45003C46003D46
003F4700404800424900444A00464B00484C004B4D004D4E004F4E00504E00524D00534C
00544C00564B00584A005948005B47005E45006043006241FF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
006241006043005E45005B4700594800584A00564B00544C00534C00524D00504E004F4E
004D4E004B4D00484C00464B00444A004249004048003F47003D46003C46003A45003944
003744003643003542003442003341003241003140003040002F3F002E3F002D3E002C3E
002C3D002B3D002A3C00293C00293C00283B00273B00273B00263A00263A00253A002539
002439002439002338002338002238002237002137002137002137002036002036001F36
001F36001F35001E35001E35001E35001D35001D34001D34001C34001C34001C33001C33
001B33001B33001B33001B33001A32001A32001A32001A32001932001932001931001931
001931001831001831001831001830000219000219000219
000219000219001830001831001831001831001931001931001931001931001932001A32
001A32001A32001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34
001D34001D34001E35001E35001E35001F35001F36001F36002036002036002037002137
00213700223700223800233800233800233800243900243900253900263A00263A00273A
00273B00283B00293C00293C002A3C002B3D002B3D002C3E002D3E002E3E002F3F002F3F
003040003140003241003342003542003643003743003844003A45003B45003C46003E47
00404800424900434900454A00484B004A4C004C4D004F4E00504E00514D00524D00544C
00554B00574A005949005B48005D46005F4400614200643FFF0000FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000
00643F006142005F44005D46005B4800594900574A00554B00544C00524D00514D00504E
004F4E004C4D004A4C00484B00454A004349004249004048003E47003C46003B45003A45
003844003743003643003542003342003241003140003040002F3F002F3F002E3E002D3E
002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273A00263A00263A002539
002439002439002338002338002338002238002237002137002137002037002036002036
001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33
001C33001B33001B33001B33001B33001A32001A32001A32001A32001932001931001931
001931001931001831001831001831001830000219000219
001730001830001831001831001831001831001931001931001931001932001A32001A32
001A32001A32001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34
001D34001E35001E35001E35001F35001F36001F36002036002036002036002137002137
00223700223800223800233800233800243900243900253900253A00263A00263A00273B
00283B00283B00293C002A3C002A3D002B3D002C3D002D3E002D3E002E3F002F3F003040
003140003241003341003442003543003643003844003944003A45003C46003D47003F47
00414800434900454A00474B00494C004B4D004E4E004F4E00504D00524D00534C00554B
00564B00584A005A48005C47005E4500604300634100653E00683AFF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF000000683A
00653E006341006043005E45005C47005A4800584A00564B00554B00534C00524D00504D
004F4E004E4E004B4D00494C00474B00454A004349004148003F47003D47003C46003A45
003944003844003643003543003442003341003241003140003040002F3F002E3F002D3E
002D3E002C3D002B3D002A3D002A3C00293C00283B00283B00273B00263A00263A00253A
002539002439002439002338002338002238002238002237002137002137002036002036
002036001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34
001C33001B33001B33001B33001B33001A32001A32001A32001A32001A32001932001931
001931001931001831001831001831001831001830001730
001830001831001831001831001831001931001931001931001932001932001A32001A32
001A32001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34001D34
001D35001E35001E35001E35001F35001F36001F36002036002036002137002137002137
00223700223800233800233800243900243900253900253A00263A00263A00273B00273B
00283B00293C00293C002A3C002B3D002C3D002C3E002D3E002E3F002F3F003040003140
003241003341003442003542003643003744003844003A45003B46003D46003E47004048
00424900444A00464B00484C004A4D004D4E004F4E00504E00514D00534D00544C00554B
00574A005949005B47005D46005F4400614200643F00673C006A38FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000006A38
00673C00643F006142005F44005D46005B4700594900574A00554B00544C00534D00514D
00504E004F4E004D4E004A4D00484C00464B00444A004249004048003E47003D46003B46
003A45003944003744003643003542003442003341003241003140003040002F3F002E3F
002D3E002C3E002C3D002B3D002A3C00293C00293C00283B00273B00273B00263A00263A
00253A002539002439002439002338002338002238002237002137002137002137002036
002036001F36001F36001F35001E35001E35001E35001D35001D34001D34001D34001C34
001C34001C33001B33001B33001B33001B33001A32001A32001A32001A32001932001932
001931001931001931001831001831001831001831001830
001830001831001831001831001931001931001931001932001932001A32001A32001A32
001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34
001E35001E35001E35001F35001F36001F36002036002036002037002137002137002237
00223800233800233800243900243900243900253900263A00263A00273A00273B00283B
00283C00293C002A3C002B3D002B3D002C3E002D3E002E3E002E3F002F3F003040003140
003241003342003442003643003743003844003945003B45003C46003E47003F48004148
00434900454A00474B00494C004C4D004E4E004F4E00514D00524D00534C00554B00564A
005849005A48005C47005E4500604300634000653E00683A006C36FF0000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000006C36
00683A00653D006340006043005E45005C47005A4800584900564A00554B00534C00524D
00514D004F4E004E4E004C4D00494C00474B00454A004349004148003F48003E47003C46
003B45003945003844003743003643003442003342003241003140003040002F3F002E3F
002E3E002D3E002C3E002B3D002B3D002A3C00293C00283C00283B00273B00273A00263A
00263A002539002539002439002439002338002338002238002237002137002137002037
002036002036001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34
001C34001C33001C33001B33001B33001B33001B33001A32001A32001A32001A32001932
001932001931001931001931001831001831001831001830
001831001831001831001931001931001931001931001932001A32001A32001A32001A32
001B32001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34001E35
001E35001E35001F35001F36001F36002036002036002036002137002137002237002238
00223800233800233800243900243900253900253A00263A00263A00273B00283B00283B
00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003140003241
003341003442003542003643003744003944003A45003C46003D46003F47004048004249
00444A00464B00484C004B4D004D4E004F4E00504E00514D00534C00544C00564B00574A
005949005B47005D46005F4400614200643F00673C006A38006E3300712EFF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF000000722D006E33
006A3800673C00643F006142005F44005D46005B4700594900574A00564B00544C00534C
00514D00504E004F4E004D4E004B4D00484C00464B00444A004249004048003F47003D46
003C46003A45003944003744003643003542003442003341003241003140003040002F3F
002E3F002D3E002D3E002C3D002B3D002A3D002A3C00293C00283B00283B00273B00263A
00263A00253A002539002439002439002338002338002238002238002237002137002137
002036002036002036001F36001F36001F35001E35001E35001E35001D34001D34001D34
001C34001C34001C33001C33001B33001B33001B33001B32001A32001A32001A32001A32
001932001931001931001931001931001831001831001831
001831001831001831001931001931001931001932001A32001A32001A32001A32001A32
001B33001B33001B33001B33001C33001C34001C34001D34001D34001D34001D35001E35
001E35001E35001F35001F36002036002036002036002137002137002137002237002238
00233800233800243900243900253900253A00263A00263A00273B00273B00283B00293C
00293C002A3C002B3D002B3D002C3E002D3E002E3F002F3F003040003040003141003241
003442003542003643003743003844003A45003B45003C46003E47004048004149004349
00454A00474B004A4C004C4D004E4E00504E00514D00524D00534C00554B00564A005849
005A48005C47005E4500604300634000653D00683A006C36006F3100742AFF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF000000742A006F31
006C3600683A00653D006340006043005E45005C47005A4800584900564A00554B00534C
00524D00514D00504E004E4E004C4D004A4C00474B00454A004349004149004048003E47
003C46003B45003A45003844003743003643003542003442003241003141003040003040
002F3F002E3F002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273B
00263A00263A00253A002539002439002439002338002338002238002237002137002137
002137002036002036002036001F36001F35001E35001E35001E35001D35001D34001D34
001D34001C34001C34001C33001B33001B33001B33001B33001A32001A32001A32001A32
001A32001932001931001931001931001831001831001831
001831001831001931001931001931001932001932001A32001A32001A32001A32001B33
001B33001B33001B33001C33001C33001C34001C34001D34001D34001D35001E35001E35
001E35001F35001F36001F36002036002036002137002137002137002237002238002338
00233800243900243900243900253900263A00263A00273A00273B00283B00283C00293C
002A3C002A3D002B3D002C3E002D3E002E3E002E3F002F3F003040003140003241003341
003442003543003643003844003944003A45003C46003D47003F4700414800424900444A
00464B00494C004B4D004D4E004F4E00504E00514D00534C00544C00564B00574A005949
005B47005D46005F4400614200643F00673C006A38006D3300712E007627007B1EFF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000007B1E00762700712E
006E33006A3800673C00643F006242005F44005D46005B4700594900574A00564B00544C
00534C00514D00504E004F4E004D4E004B4D00494C00464B00444A004249004148003F47
003D47003C46003A45003944003844003643003543003442003341003241003140003040
002F3F002E3F002E3E002D3E002C3E002B3D002A3D002A3C00293C00283C00283B00273B
00273A00263A00263A002539002539002439002439002338002338002238002237002137
002137002137002036002036001F36001F36001F35001E35001E35001E35001D35001D34
001D34001C34001C34001C33001C33001B33001B33001B33001B33001A32001A32001A32
001A32001932001932001931001931001931001831001831
001831001931001931001931001932001932001A32001A32001A32001A32001B33001B33
001B33001B33001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35
001F35001F36001F36002036002036002037002137002137002237002238002238002338
00233800243900243900253900253A00263A00263A00273B00283B00283B00293C002A3C
002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003140003241003341003442
003542003643003744003844003A45003B46003D46003E4700404800424900444A00464A
00484B004A4C004C4D004E4E00504E00514D00524D00544C00554B00574A005849005A48
005C47005E4500604300634000653D00683A006C36006F3100732B007823007D19FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000007D1900782300732B
006F31006C3600683A00653D006340006043005E45005C47005A4800584900574A00554B
00544C00524D00514D00504E004E4E004C4D004A4C00484B00464A00444A004249004048
003E47003D46003B46003A45003944003744003643003542003442003341003241003140
003040002F3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C00283B00283B
00273B00263A00263A00253A002539002439002439002338002338002238002238002237
002137002137002037002036002036001F36001F36001F35001E35001E35001E35001D34
001D34001D34001C34001C34001C33001C33001B33001B33001B33001B33001A32001A32
001A32001A32001932001932001931001931001931001831
001831001931001931001931001932001A32001A32001A32001A32001A32001B33001B33
001B33001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35001E35
001F35001F36002036002036002036002137002137002137002237002238002338002338
00243900243900253900253A00263A00263A00273B00273B00283B00293C00293C002A3C
002B3D002B3D002C3E002D3E002E3F002F3F002F3F003040003140003241003342003442
003643003743003844003945003B45003C46003E47003F4700414800434900454A00474B
00494C004B4D004E4E004F4E00504E00524D00534C00544C00564B00574A005949005B47
005D46005F4400614200643F00673C006A38006D3400712E007527007A1F008014FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000008014007A1F007627
00712E006D34006A3800673C00643F006242005F44005D46005B4700594900574A00564B
00544C00534C00524D00504E004F4E004E4E004B4D00494C00474B00454A004349004148
003F47003E47003C46003B45003945003844003743003643003442003342003241003140
003040002F3F002F3F002E3F002D3E002C3E002B3D002B3D002A3C00293C00293C00283B
00273B00273B00263A00263A00253A002539002439002439002338002338002238002237
002137002137002137002036002036002036001F36001F35001E35001E35001E35001E35
001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33001A32001A32
001A32001A32001A32001932001931001931001931001931
001931001931001931001932001932001A32001A32001A32001A32001B33001B33001B33
001B33001C33001C34001C34001D34001D34001D34001D35001E35001E35001E35001F35
001F36001F36002036002036002137002137002137002237002238002338002338002439
00243900243900253900263A00263A00273A00273B00283B00283B00293C002A3C002A3D
002B3D002C3D002D3E002D3E002E3F002F3F003040003140003241003341003442003542
003643003744003944003A45003B46003D46003F4700404800424900444A00464B00484B
004A4C004C4D004F4E00504E00514D00524D00544C00554B00574A005849005A48005C47
005E4500604300634000653E00683A006C36006F3100732B007823007D1A00830E018A00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000018A0000830E007D1A007823
00732B006F31006C3600683A00653E006340006043005E45005C47005A4800584900574A
00554B00544C00524D00514D00504E004F4E004C4D004A4C00484B00464B00444A004249
004048003F47003D46003B46003A45003944003744003643003542003442003341003241
003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D002A3C00293C00283B
00283B00273B00273A00263A00263A002539002439002439002439002338002338002238
002237002137002137002137002036002036001F36001F36001F35001E35001E35001E35
001D35001D34001D34001D34001C34001C34001C33001B33001B33001B33001B33001A32
001A32001A32001A32001A32001932001931001931001931
001931001931001932001932001A32001A32001A32001A32001B33001B33001B33001B33
001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36
001F36002036002036002037002137002137002237002238002238002338002338002439
00243900253900253A00263A00263A00273B00283B00283B00293C00293C002A3C002B3D
002C3D002C3E002D3E002E3F002F3F003040003140003141003241003442003542003643
003743003844003945003B45003C46003E47003F4800414800434900454A00474B00494C
004B4D004E4E004F4E00504D00524D00534C00544C00564B00574A005949005B47005D46
005F4400614200643F00673C006A38006D3400712E007528007A20007F15008608098D00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000098D00008608007F15007A1F
00752800712E006D34006A3800673C00643F006142005F44005D46005B4700594900574A
00564B00544C00534C00524D00504D004F4E004E4E004B4D00494C00474B00454A004349
004148003F48003E47003C46003B45003945003844003743003643003542003442003241
003141003140003040002F3F002E3F002D3E002C3E002C3D002B3D002A3C00293C00293C
00283B00283B00273B00263A00263A00253A002539002439002439002338002338002238
002238002237002137002137002037002036002036001F36001F36001F35001E35001E35
001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33001B33
001A32001A32001A32001A32001932001932001931001931
001931001932001932001A32001A32001A32001A32001B32001B33001B33001B33001C33
001C33001C34001C34001D34001D34001D34001E35001E35001E35001E35001F35001F36
002036002036002036002137002137002137002237002238002338002338002439002439
00253900253A00263A00263A00273B00273B00283B00293C00293C002A3C002B3D002B3D
002C3E002D3E002E3E002E3F002F3F003040003140003241003341003442003543003643
003844003944003A45003C46003D46003F4700404800424900444A00464B00484C004A4D
004D4E004F4E00504E00514D00524D00544C00554B00574A005849005A48005C47005E45
00604300634000653E00683A006B36006F3200732C007724007C1B008210008901129100
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000129100008901008210007C1B
00772400732C006F31006B3600683A00653E006340006043005E45005C47005A48005849
00574A00554B00544C00524D00514D00504E004F4E004D4E004A4D00484C00464B00444A
004249004048003F47003D47003C46003A45003944003844003643003543003442003341
003241003140003040002F3F002E3F002E3E002D3E002C3E002B3D002B3D002A3C00293C
00293C00283B00273B00273B00263A00263A00253A002539002439002439002338002338
002238002237002137002137002137002036002036002036001F36001F35001E35001E35
001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33001B33
001B32001A32001A32001A32001A32001932001932001931
001931001932001A32001A32001A32001A32001A32001B33001B33001B33001B33001C33
001C34001C34001D34001D34001D34001D35001E35001E35001E35001F35001F36001F36
002036002036002137002137002137002237002238002338002338002338002439002439
00253900253A00263A00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D
002C3E002D3E002E3F002F3F003040003140003241003341003442003542003643003743
003844003A45003B45003C46003E4700404800414800434900454A00474B00494C004C4D
004E4E004F4E00504D00524D00534C00544C00564B00574A005949005B47005D46005F44
00614200643F00673C006A39006D3400712F007529007921007F1700850A068C001C9500
3A9F00FF0000FF0000FF0000FF0000FF0000FF00003B9F001C9500068C0000850A007F17
00792100752900712F006D34006A3900673C00643F006142005F44005D46005B47005949
00574A00564B00544C00534C00524D00504D004F4E004E4E004C4D00494C00474B00454A
004349004148004048003E47003D46003B45003A45003844003744003643003542003442
003341003241003140003040002F3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C
00293C00283B00283B00273B00273A00263A00253A002539002439002439002338002338
002338002238002237002137002137002137002036002036001F36001F36001F35001E35
001E35001E35001D35001D34001D34001D34001C34001C34001C33001B33001B33001B33
001B33001A32001A32001A32001A32001A32001932001931
001932001932001A32001A32001A32001A32001B33001B33001B33001B33001C33001C33
001C34001C34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036
002036002037002137002137002237002238002238002338002338002439002439002539
00253A00263A00263A00273B00273B00283B00293C00293C002A3C002B3D002B3D002C3E
002D3E002E3F002F3F002F3F003040003140003241003342003442003543003743003844
003944003A45003C46003D47003F4700414800424900444A00464B00484C004A4D004D4E
004F4E00504E00514D00524D00544C00554B00574A005849005A48005C47005E45006043
00624100653E00683B006B37006E3200722C007725007B1D0081120088030E8F00279900
4AA400FF0000FF0000FF0000FF0000FF0000FF00004AA4002799000E8F00008803008112
007B1D00772500722C006E32006B3700683B00653E006241006043005E45005C47005A48
00584900574A00554B00544C00524D00514D00504E004F4E004D4E004A4D00484C00464B
00444A004249004148003F47003D47003C46003A45003945003844003743003543003442
003342003241003140003040002F3F002F3F002E3F002D3E002C3E002B3D002B3D002A3C
00293C00293C00283B00273B00273B00263A00263A00253A002539002439002439002338
002338002238002238002237002137002137002037002036002036001F36001F36001F35
001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33001B33
001B33001B33001A32001A32001A32001A32001932001932
001932001A32001A32001A32001A32001B33001B33001B33001B33001C33001C33001C34
001C34001D34001D34001D34001E35001E35001E35001E35001F35001F36002036002036
002036002137002137002137002237002238002338002338002439002439002539002539
00263A00263A00273A00273B00283B00283C00293C002A3C002A3D002B3D002C3D002D3E
002D3E002E3F002F3F003040003140003241003341003442003542003643003744003944
003A45003B46003D46003E4700404800414900434900454A00474B00494C004C4D004E4E
004F4E00504D00524D00534C00544C00564B00574A005949005B47005D46005F44006142
00643F00663C006939006C35007030007429007922007E1800840C028B00179300339D00
5BA900FF0000FF0000FF0000FF0000FF0000FF00005BA900339D00179300028B0000840C
007E18007922007429007030006C3500693900663C00643F006142005F44005D46005B47
00594900574A00564B00544C00534C00524D00504D004F4E004E4E004C4D00494C00474B
00454A004349004149004048003E47003D46003B46003A45003944003744003643003542
003442003341003241003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D
002A3C00293C00283C00283B00273B00273A00263A00263A002539002539002439002439
002338002338002238002237002137002137002137002036002036002036001F36001F35
001E35001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33001B33
001B33001B33001B33001A32001A32001A32001A32001932
001A32001A32001A32001A32001A32001B33001B33001B33001B33001C33001C34001C34
001D34001D34001D34001D35001E35001E35001E35001F35001F36001F36002036002036
00203700213700213700223700223800233800233800233800243900243900253900253A
00263A00263A00273B00283B00283B00293C00293C002A3C002B3D002C3D002C3E002D3E
002E3F002F3F003040003040003141003241003342003442003643003743003844003945
003B45003C46003D47003F4700414800424900444A00464B00484C004B4D004D4E004F4E
00504E00514D00524D00544C00554B00574A005849005A48005C47005E45006043006241
00653E00683B006B37006E3300722D007626007B1E0080140086060A8E0021960040A100
6EAF00B2C000FF0000FF0000FF0000FF0000B2C0006EAF0041A1002196000A8E00008606
008014007B1E00762600722D006E33006B3700683B00653E006241006043005E45005C47
005A4800584900574A00554B00544C00524D00514D00504E004F4E004D4E004B4D00484C
00464B00444A004249004148003F47003D47003C46003B45003945003844003743003643
003442003342003241003141003040003040002F3F002E3F002D3E002C3E002C3D002B3D
002A3D00293C00293C00283B00283B00273B00263A00263A00253A002539002439002439
002338002338002338002238002237002137002137002137002036002036001F36001F36
001F35001E35001E35001E35001D35001D34001D34001D34001C34001C34001C33001B33
001B33001B33001B33001A32001A32001A32001A32001A32
001A32001A32001A32001A32001B33001B33001B33001B33001C33001C33001C34001C34
001D34001D34001D34001E35001E35001E35001F35001F36001F36002036002036002036
00213700213700223700223800223800233800233800243900243900253900253A00263A
00263A00273B00273B00283B00293C00293C002A3C002B3D002B3D002C3E002D3E002E3E
002E3F002F3F003040003140003241003341003442003542003643003744003944003A45
003B46003D46003E4700404800424900434900454A00474B00494C004C4D004E4E004F4E
00504D00524D00534C00544C00564B00574A005949005B47005D46005F44006142006340
00663D006939006C3500703000732B007823007D1A00820F0089001291002C9A004FA600
83B400C8BD00FF0000FF0000FF0000FF0000C8BD0083B4004FA6002C9A00129100008900
00820F007D1A00782300732A007030006C3500693900663D006340006142005F44005D46
005B4700594900574A00564B00544C00534C00524D00504D004F4E004E4E004C4D00494C
00474B00454A004349004249004048003E47003D46003B46003A45003944003744003643
003542003442003341003241003140003040002F3F002E3F002E3E002D3E002C3E002B3D
002B3D002A3C00293C00293C00283B00273B00273B00263A00263A00253A002539002439
002439002338002338002238002238002237002137002137002036002036002036001F36
001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34001C33001C33
001B33001B33001B33001B33001A32001A32001A32001A32
001A32001A32001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34
001D34001D34001E35001E35001E35001E35001F35001F36002036002036002036002137
00213700213700223700223800233800233800243900243900253900253900263A00263A
00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F
002F3F003040003140003241003241003442003542003643003743003844003945003B45
003C46003E47003F4700414800434900444A00464B00484C004B4D004D4E004F4E00504E
00514D00524D00544C00554B00574A005849005A48005C47005E4500604300624100653E
00673B006A38006D3300712E007528007A20007F16008509068C001B9400379E005FAB00
9BBA00D0A800FF0000FF0000FF0000FF0000D0A8009BBA0060AB00379E001B9400068C00
008509007F16007A2000752800712E006D33006A3800673B00653E006241006043005E45
005C47005A4800584900574A00554B00544C00524D00514D00504E004F4E004D4E004B4D
00484C00464B00444A004349004148003F47003E47003C46003B45003945003844003743
003643003542003442003341003241003140003040002F3F002E3F002D3E002C3E002C3D
002B3D002A3D002A3C00293C00283B00283B00273B00273A00263A00263A002539002539
002439002439002338002338002238002237002137002137002137002036002036002036
001F36001F35001E35001E35001E35001E35001D34001D34001D34001C34001C34001C33
001C33001B33001B33001B33001B33001A32001A32001A32
001A32001A32001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34
001D34001D35001E35001E35001E35001F35001F36001F36002036002036002037002137
00213700223700223800223800233800233800243900243900253900253A00263A00263A
00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3E002D3E002E3E002E3F
002F3F003040003140003241003341003442003543003643003844003944003A45003B46
003D46003E4700404800424900434900454A00474B00494C004C4D004E4E004F4E00504D
00524D00534C00544C00564B00574A005949005B48005D46005F4400614200634000663D
00683A006C36006F3100732C007725007C1C0081110087040D8F0024980044A20071B000
B5C100D88F00FF0000FF0000FF0000FF0000D88F00B5C10072B00044A2002498000D8F00
008704008111007C1C00772500732C006F31006C3600683A00663D006340006142005F44
005D46005B4800594900574A00564B00544C00534C00524D00504D004F4E004E4E004C4D
00494C00474B00454A004349004249004048003E47003D46003B46003A45003944003844
003643003543003442003341003241003140003040002F3F002E3F002E3E002D3E002C3E
002B3D002B3D002A3C00293C00293C00283B00283B00273B00263A00263A00253A002539
002439002439002338002338002238002238002237002137002137002037002036002036
001F36001F36001F35001E35001E35001E35001D35001D34001D34001D34001C34001C34
001C33001B33001B33001B33001B33001A32001A32001A32
001A32001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34001D34
001D34001E35001E35001E35001F35001F36001F36002036002036002036002137002137
00213700223700223800233800233800243900243900253900253A00263A00263A00273A
00273B00283B00283C00293C002A3C002A3D002B3D002C3D002D3E002D3E002E3F002F3F
003040003140003241003341003442003542003643003743003844003945003B45003C46
003E47003F4700414800434900444A00464B00484C004B4D004D4E004F4E00504E00514D
00524D00544C00554B00564A005849005A48005C47005D4500604300624100643F00673C
006A38006D3400702F007429007922007E1800830D018A001592002E9B0052A70085B500
C8BD00E27100FF0000FF0000FF0000FF0000E27100C8BD0085B50052A7002E9B00159200
018A0000830D007E1800792200742900702F006D34006A3800673C00643F006241006043
005D45005C47005A4800584900564A00554B00544C00524D00514D00504E004F4E004D4E
004B4D00484C00464B00444A004349004148003F47003E47003C46003B45003945003844
003743003643003542003442003341003241003140003040002F3F002E3F002D3E002D3E
002C3D002B3D002A3D002A3C00293C00283C00283B00273B00273A00263A00263A00253A
002539002439002439002338002338002238002237002137002137002137002036002036
002036001F36001F36001F35001E35001E35001E35001D34001D34001D34001C34001C34
001C33001C33001B33001B33001B33001B33001A32001A32
001A32001B33001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34
001E35001E35001E35001E35001F35001F36001F36002036002036002137002137002137
00223700223800233800233800233800243900243900253900253A00263A00263A00273B
00283B00283B00293C00293C002A3C002B3D002B3D002C3E002D3E002E3F002F3F002F3F
003040003140003241003341003442003543003643003844003944003A45003B46003D46
003E4700404800424900434900454A00474B00494C004C4D004E4E004F4E00504D00524D
00534C00544C00564B00574A005949005A48005C46005E4500604300634000653E00683A
006B37006E3200722D007626007B1E008014008608088D001D9500399F0061AB009BBA00
CFAA00EC4E00FF0000FF0000FF0000FF0000EC4E00CFAA009BBA0061AB00399F001D9500
088D00008608008014007B1E00762600722D006E32006B3700683A00653E006340006043
005E45005C46005B4800594900574A00564B00544C00534C00524D00504D004F4E004E4E
004C4D00494C00474B00454A004349004249004048003E47003D46003C46003A45003944
003844003643003543003442003341003241003140003040002F3F002F3F002E3F002D3E
002C3E002B3D002B3D002A3C00293C00293C00283B00283B00273B00263A00263A00253A
002539002439002439002338002338002338002238002237002137002137002137002036
002036001F36001F36001F35001E35001E35001E35001E35001D34001D34001D34001C34
001C34001C33001C33001B33001B33001B33001B33001A32
001A32001B33001B33001B33001B33001C33001C34001C34001D34001D34001D34001D35
001E35001E35001E35001F35001F36001F36002036002036002037002137002137002237
00223800223800233800233800243900243900253900253A00263A00263A00273B00273B
00283B00293C00293C002A3C002A3D002B3D002C3D002D3E002D3E002E3F002F3F003040
003140003241003341003442003542003643003743003844003A45003B45003C46003E47
003F4700414800434900444A00464B00484C004B4D004D4E004F4E00504E00514D00524D
00534C00554B00564A00584A005A48005B47005D46005F4400614200643F00663C006939
006C3500703000732A007823007C1B0082100088020E8F0026980045A30071B000B2C000
D79500F72400FF0000FF0000FF0000FF0000F72400D79400B3C00071B00045A300269800
0E8F00008802008210007C1B00782300732A007030006C3500693900663C00643F006142
005F44005D46005B47005A4800584A00564A00554B00534C00524D00514D00504E004F4E
004D4E004B4D00484C00464B00444A004349004148003F48003E47003C46003B45003A45
003844003743003643003542003442003341003241003140003040002F3F002E3F002D3E
002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273B00263A00263A
00253A002539002439002439002338002338002238002238002237002137002137002037
002036002036001F36001F36001F35001E35001E35001E35001D35001D34001D34001D34
001C34001C34001C33001B33001B33001B33001B33001A32
001B33001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34001E35
001E35001E35001F35001F36001F36002036002036002036002137002137002137002237
00223800233800233800243900243900253900253900263A00263A00273A00273B00283B
00283B00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003040
003140003241003342003442003543003643003844003944003A45003C46003D46003E47
00404800424900434900454A00474B00494C004C4D004E4E004F4E00504E00524D00534C
00544C00564B00574A005949005A48005C46005E4500604300624100653E00673B006A38
006E3300712E007528007920007E1700840B028B001692002F9B0052A60083B400C6C000
DF7C00FF0000FF0000FF0000FF0000FF0000FF0000DF7C00C6C00083B40052A6002F9B00
169200028B0000840B007E1700792000752800712E006E33006A3800673B00653E006241
006043005E45005C46005A4800594900574A00564B00544C00534C00524D00504E004F4E
004E4E004C4D00494C00474B00454A004349004249004048003E47003D46003C46003A45
003944003844003643003543003442003342003241003140003040003040002F3F002E3F
002D3E002C3E002C3D002B3D002A3D002A3C00293C00283B00283B00273B00273A00263A
00263A002539002539002439002439002338002338002238002237002137002137002137
002036002036002036001F36001F36001F35001E35001E35001E35001D34001D34001D34
001C34001C34001C33001C33001B33001B33001B33001B33
001B33001B33001B33001C33001C33001C34001C34001D34001D34001D34001D35001E35
001E35001E35001F35001F36001F36002036002036002137002137002137002237002238
00233800233800233800243900243900253900253A00263A00263A00273B00273B00283B
00293C00293C002A3C002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040003140
003241003341003442003542003643003743003844003A45003B45003C46003E47003F47
00414800434900444A00464B00484C004A4D004D4E004F4E00504E00514D00524D00534C
00554B00564B00584A005949005B47005D46005F4400614200634000663D00693A006C36
006F3100732C007725007B1D008013008607088D001D9500399F005FAA0096B900CCB100
E75F00FF0000FF0000FF0000FF0000FF0000FF0000E75F00CCB00096B9005FAA00399F00
1D9500088D00008607008013007B1D00772500732C006F31006C3600693A00663D006340
006142005F44005D46005B4700594900584A00564B00554B00534C00524D00514D00504E
004F4E004D4E004A4D00484C00464B00444A004349004148003F48003E47003C46003B45
003A45003844003743003643003542003442003341003241003140003040002F3F002E3F
002E3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00273B00273B00263A
00263A00253A002539002439002439002338002338002338002238002237002137002137
002137002036002036001F36001F36001F35001E35001E35001E35001D35001D34001D34
001D34001C34001C34001C33001C33001B33001B33001B33
001B33001B33001B33001C33001C34001C34001D34001D34001D34001D35001E35001E35
001E35001F35001F36001F36002036002036002036002137002137002237002238002238
00233800233800243900243900253900253900263A00263A00273A00273B00283B00283B
00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003040003141
003241003342003442003543003743003844003944003A45003C46003D46003E47004048
00424900434900454A00474B00494C004B4D004E4E004F4E00504E00514D00534C00544C
00554B00574A005849005A48005C47005E4500604300624100643F00673C006A38006D34
00702F00742A007823007D1A00820F0088020F900025980043A2006DAE00AABE00D39F00
F03F00FF0000FF0000FF0000FF0000FF0000FF0000F03F00D39F00AABE006EAF0044A200
2598000F900000880200820F007D1A00782300742A00702F006D34006A3800673C00643F
006241006043005E45005C47005A4800584900574A00554B00544C00534C00514D00504E
004F4E004E4E004B4D00494C00474B00454A004349004249004048003E47003D46003C46
003A45003944003844003743003543003442003342003241003141003040003040002F3F
002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C00283B00283B00273B00273A
00263A00263A002539002539002439002439002338002338002238002238002237002137
002137002037002036002036001F36001F36001F35001E35001E35001E35001D35001D34
001D34001D34001C34001C34001C33001B33001B33001B33
001B33001B33001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35
001F35001F35001F36002036002036002036002137002137002137002237002238002338
00233800233800243900243900253900253A00263A00263A00273B00283B00283B00293C
00293C002A3C002B3D002B3D002C3E002D3E002E3E002E3F002F3F003040003140003241
003341003442003542003643003744003844003A45003B45003C46003E47003F47004148
00434900444A00464B00484C004A4D004D4E004F4E00504E00514D00524D00534C00554C
00564B00574A005949005B47005D46005F4400614200634000653E00683B006B37006E33
00722D007527007A20007F1700840B028B001592002E9B004FA5007DB300C0C300DA8C00
F91B00FF0000FF0000FF0000FF0000FF0000FF0000F91B00DA8B00C0C3007DB3004FA600
2E9B00159200038B0000840B007F17007A2000752700722D006E33006B3700683B00653E
006340006142005F44005D46005B4700594900574A00564B00554C00534C00524D00514D
00504E004F4E004D4E004A4D00484C00464B00444A004349004148003F47003E47003C46
003B45003A45003844003744003643003542003442003341003241003140003040002F3F
002E3F002E3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00283B00273B
00263A00263A00253A002539002439002439002338002338002338002238002237002137
002137002137002036002036002036001F36001F35001F35001E35001E35001E35001D34
001D34001D34001C34001C34001C33001C33001B33001B33
001B33001C33001C33001C34001C34001D34001D34001D34001D35001E35001E35001E35
001F35001F36001F36002036002036002037002137002137002237002238002238002338
00233800243900243900253900253A00263A00263A00273A00273B00283B00283C00293C
002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F003040003140003141003241
003342003442003543003743003844003944003A45003C46003D46003E47004048004249
00434900454A00474B00494C004B4D004E4E004F4E00504E00514D00534D00544C00554B
00574A005849005A48005B47005D45005F4400614200643F00663D006939006C35006F31
00732B007725007B1D008013008607088D001C9500369E005AA9008DB700C9BA00E07600
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E07600C9BA008DB7005AA900
369E001C9500088D00008607008013007B1D00772500732B006F31006C3500693900663C
00643F006142005F44005D45005B47005A4800584900574A00554B00544C00534D00514D
00504E004F4E004E4E004B4D00494C00474B00454A004349004249004048003E47003D46
003C46003A45003944003844003743003543003442003342003241003141003140003040
002F3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C00283C00283B00273B
00273A00263A00263A00253A002539002439002439002338002338002238002238002237
002137002137002037002036002036001F36001F36001F35001E35001E35001E35001D35
001D34001D34001D34001C34001C34001C33001C33001B33
001B33001C33001C34001C34001C34001D34001D34001D34001E35001E35001E35001F35
001F36001F36002036002036002036002137002137002137002237002238002338002338
00243900243900243900253900253A00263A00273A00273B00283B00283B00293C00293C
002A3C002B3D002B3D002C3E002D3E002E3E002E3F002F3F003040003140003241003341
003442003542003643003744003844003A45003B45003C46003E47003F47004148004249
00444A00464B00484C004A4C004C4D004E4E00504E00514D00524D00534C00544C00564B
00574A005949005A48005C46005E4500604300624100653E00673B006A38006D3400702F
007429007822007D1A00820F0088020D8F0023970040A10066AC009DBB00CEAD00E75F00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E75E00CEAD009DBB0066AD00
40A1002397000E8F0000880200820F007D1A00782200742900702F006D34006A3800673B
00653E006241006043005E45005C46005A4800594900574A00564B00544C00534C00524D
00514D00504E004E4E004C4D004A4C00484C00464B00444A004249004148003F47003E47
003C46003B45003A45003844003744003643003542003442003341003241003140003040
002F3F002E3F002E3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00283B
00273B00273A00263A00253A002539002439002439002439002338002338002238002237
002137002137002137002036002036002036001F36001F36001F35001E35001E35001E35
001D34001D34001D34001C34001C34001C34001C33001B33
001C33001C33001C34001C34001D34001D34001D34001E35001E35001E35001E35001F35
001F36001F36002036002036002137002137002137002237002238002238002338002338
00243900243900253900253A00263A00263A00273B00273B00283B00293C00293C002A3C
002A3D002B3D002C3D002D3E002D3E002E3F002F3F003040003140003141003241003342
003442003543003743003844003944003A45003C46003D46003E47004048004249004349
00454A00474B00494C004B4D004D4E004F4E00504E00514D00524D00544C00554B00564A
00584A005948005B47005D46005F4400614200634000663D00683A006B37006E3200722D
007627007A20007F1700840C018A001391002A9A0049A40073B000AFBF00D39E00EE4500
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000EE4500D39E00AFBF0073B000
49A4002A9A00139100018A0000840B007F17007A2000762700722D006E32006B3700683A
00663D006340006142005F44005D46005B4700594800584A00564A00554B00544C00524D
00514D00504E004F4E004D4E004B4D00494C00474B00454A004349004249004048003E47
003D46003C46003A45003944003844003743003543003442003342003241003141003140
003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D002A3C00293C00293C00283B
00273B00273B00263A00263A00253A002539002439002439002338002338002238002238
002237002137002137002137002036002036001F36001F36001F35001E35001E35001E35
001E35001D34001D34001D34001C34001C34001C33001C33
001C33001C34001C34001D34001D34001D34001D35001E35001E35001E35001F35001F36
001F36002036002036002036002137002137002237002237002238002338002338002439
00243900253900253900263A00263A00273A00273B00283B00283B00293C00293C002A3C
002B3D002B3D002C3E002D3E002E3E002E3F002F3F003040003140003241003341003442
003542003643003744003844003A45003B45003C46003E47003F4700414800424900444A
00464B00484B004A4C004C4D004E4E004F4E00504D00524D00534C00544C00554B00574A
005849005A48005C47005E4500604300624100643F00673C006939006C35006F3100732B
007725007B1D008013008608068C00199400329C0053A70080B400C1C400D88F00F52B00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F52A00D98F00C1C40080B400
53A700329C00199400068C00008608008013007B1D00772500732B006F31006C35006939
00673C00643F006241006043005E45005C47005A4800584900574A00564B00544C00534C
00524D00504D004F4E004E4E004C4D004A4C00484B00464B00444A004249004148003F47
003E47003C46003B45003A45003844003744003643003542003442003341003241003140
003040002F3F002E3F002E3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B
00283B00273B00273A00263A00263A002539002539002439002439002338002338002238
002237002237002137002137002037002036002036001F36001F36001F35001E35001E35
001E35001D35001D34001D34001D34001C34001C34001C33
001C33001C34001C34001D34001D34001D34001E35001E35001E35001F35001F35001F36
002036002036002036002137002137002137002237002238002338002338002338002439
00243900253900253A00263A00263A00273B00273B00283B00293C00293C002A3C002A3D
002B3D002C3D002D3E002D3E002E3F002F3F003040003140003141003241003342003442
003543003743003844003944003A45003B46003D46003E4700404800414900434900454A
00474B00494C004B4D004D4E004F4E00504E00514D00524D00534C00554B00564B00584A
005949005B47005D46005E4400604300634100653E00673B006A38006D3400712F007429
007823007D1A0082100088040B8E001F96003A9F005DAA008DB700C8BC00DE7F00FC0F00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FC0E00DE7E00C8BC008DB700
5DAA003A9F001F96000B8E00008804008210007D1A00782200742900712F006D34006A38
00673B00653E006340006043005E44005D46005B4700594900584A00564B00554B00534C
00524D00514D00504E004F4E004D4E004B4D00494C00474B00454A004349004149004048
003E47003D46003B46003A45003944003844003743003543003442003342003241003141
003140003040002F3F002E3F002D3E002D3E002C3D002B3D002A3D002A3C00293C00293C
00283B00273B00273B00263A00263A00253A002539002439002439002338002338002338
002238002237002137002137002137002036002036002036001F36001F35001F35001E35
001E35001E35001D34001D34001D34001C34001C34001C33
001C34001C34001D34001D34001D34001D35001E35001E35001E35001F35001F36001F36
002036002036002037002137002137002237002238002238002338002338002439002439
00253900253900263A00263A00273A00273B00283B00283B00293C002A3C002A3D002B3D
002B3D002C3E002D3E002E3F002E3F002F3F003040003140003241003341003442003542
003643003743003844003945003B45003C46003D47003F4700414800424900444A00464A
00484B004A4C004C4D004E4E004F4E00504E00514D00534C00544C00554B00574A005849
005A48005B47005D46005F4400614200634000663D00683A006B36006E3200722D007527
007A20007E1700830D00890010900025980041A10067AD009BBA00CCB200E36E00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E36E00CCB2009BBA00
67AD0041A10025980010900000890000830D007E17007A2000752700722D006E32006B36
00683A00663D006340006142005F44005D46005B47005A4800584900574A00554B00544C
00534C00514D00504E004F4E004E4E004C4D004A4C00484B00464A00444A004249004148
003F47003E47003C46003B45003945003844003743003643003542003442003341003241
003140003040002F3F002E3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C
00283B00283B00273B00273A00263A00263A002539002539002439002439002338002338
002238002238002237002137002137002037002036002036001F36001F36001F35001E35
001E35001E35001D35001D34001D34001D34001C34001C34
001C34001D34001D34001D34001D34001E35001E35001E35001F35001F36001F36002036
002036002036002137002137002137002237002238002338002338002338002439002439
00253900253A00263A00263A00273B00273B00283B00293C00293C002A3C002B3D002B3D
002C3D002D3E002D3E002E3F002F3F003040003140003141003241003342003442003543
003643003844003944003A45003B46003D46003E4700404800414800434900454A00474B
00484C004B4D004D4E004F4E00504E00514D00524D00534C00544C00564B00574A005949
005A48005C46005E4500604300624100643F00673C006939006C35006F3100732C007725
007B1E008015008509048B001592002C9A0049A40071AF00A8BE00D0A700E85D00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E85D00D0A700A9BE00
71B00049A4002C9A00159200048B00008509008015007B1E00772500732B006F31006C35
00693900673C00643F006241006043005E45005C46005A4800594900574A00564B00544C
00534C00524D00514D00504E004F4E004D4E004B4D00484C00474B00454A004349004148
004048003E47003D46003B46003A45003944003844003643003543003442003342003241
003141003140003040002F3F002E3F002D3E002D3E002C3D002B3D002B3D002A3C00293C
00293C00283B00273B00273B00263A00263A00253A002539002439002439002338002338
002338002238002237002137002137002137002036002036002036001F36001F36001F35
001E35001E35001E35001D34001D34001D34001D34001C34
001C34001D34001D34001D34001E35001E35001E35001E35001F35001F36001F36002036
002036002037002137002137002237002238002238002338002338002439002439002539
00253A00263A00263A00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D
002C3E002D3E002E3F002E3F002F3F003040003140003241003341003442003542003643
003743003844003945003B45003C46003D47003F4700404800424900444A00454A00474B
00494C004B4D004E4E004F4E00504E00514D00524D00544C00554B00564A00584A005949
005B47005D46005F4400614300634000653E00683B006A38006D3400702F00742A007823
007C1B008112008706088D001A9400329C0051A6007BB200B6C100D49D00EC4C00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000ED4C00D49C00B6C100
7CB20051A600329C001A9400088D00008706008112007C1B00782300742A00702F006D34
006A3800683B00653E006340006142005F44005D46005B4700594900584A00564A00554B
00544C00524D00514D00504E004F4E004E4E004B4D00494C00474B00454A00444A004249
004048003F47003D47003C46003B45003945003844003743003643003542003442003341
003241003140003040002F3F002E3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C
00293C00283B00283B00273B00273A00263A00263A00253A002539002439002439002338
002338002238002238002237002137002137002037002036002036001F36001F36001F35
001E35001E35001E35001E35001D34001D34001D34001C34
001D34001D34001D34001D35001E35001E35001E35001F35001F36001F36002036002036
002036002137002137002137002237002238002338002338002439002439002439002539
00253A00263A00263A00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D
002D3E002D3E002E3F002F3F003040003140003141003241003342003442003543003643
003844003944003A45003B46003D46003E47003F4800414800434900444A00464B00484C
004A4D004C4D004E4E004F4E00514D00524D00534C00544C00554B00574A005849005A48
005C47005D45005F4400614200634000663D00683A006B37006E3200712E007528007921
007D1900820F0088020C8E001F9600389E0059A90086B500C3C400D79200F13B00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F13B00D79200C3C400
86B50059A900389E001F96000C8E0000880200820F007D1900792100752800712E006E32
006B3700683A00663D006340006142005F44005D45005C47005A4800584900574A00554B
00544C00534C00524D00514D004F4E004E4E004C4D004A4D00484C00464B00444A004349
004148004048003E47003D46003B46003A45003944003844003643003543003442003342
003241003141003140003040002F3F002E3F002D3E002D3E002C3D002B3D002B3D002A3C
00293C00293C00283B00283B00273B00263A00263A00253A002539002439002439002439
002338002338002238002237002137002137002137002036002036002036001F36001F36
001F35001E35001E35001E35001D35001D34001D34001D34
001D34001D34001D34001E35001E35001E35001F35001F35001F36001F36002036002036
00213700213700213700223700223800223800233800233800243900243900253900253A
00263A00263A00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002C3E
002D3E002E3F002E3F002F3F003040003140003241003341003442003542003643003743
003844003945003B45003C46003D47003F4700404800424900434900454A00474B00494C
004B4D004D4E004F4E00504E00514D00524D00534C00554B00564B00574A005949005A48
005C46005E4500604300624100643F00673C006939006C35006F3100722C007626007A1F
007F1600840C008A001090002498003FA00061AB008FB800C7BE00DB8800F52C00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F52C00DB8700C7BE00
90B80061AB003FA100249800109000008A0000840C007F16007A1F00762600722C006F31
006C3500693900673C00643F006241006043005E45005C46005A4800594900574A00564B
00554B00534C00524D00514D00504E004F4E004D4E004B4D00494C00474B00454A004349
004249004048003F47003D47003C46003B45003945003844003743003643003542003442
003341003241003140003040002F3F002E3F002E3F002D3E002C3E002C3D002B3D002A3D
002A3C00293C00283B00283B00273B00273A00263A00263A00253A002539002439002439
002338002338002238002238002237002137002137002137002036002036001F36001F36
001F35001F35001E35001E35001E35001D34001D34001D34
001D34001D34001D35001E35001E35001E35001F35001F36001F36002036002036002037
00213700213700213700223700223800233800233800243900243900243900253900253A
00263A00263A00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D002D3E
002D3E002E3F002F3F003040003140003141003241003342003442003543003643003744
003944003A45003B45003C46003E47003F4800414800424900444A00464B00484B004A4C
004C4D004E4E004F4E00504E00514D00534D00544C00554B00564A005849005948005B47
005D46005F4400614200634000653E00673B006A38006D3400703000732B007724007B1D
008014008509038B0014920029990045A20069AD0099BA00CAB700DE7E00F81E00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F81D00DE7E00CAB700
99BA0069AD0045A200299900149200038B00008509008014007B1D00772400732B007030
006D34006A3800673B00653E006340006142005F44005D46005B4700594800584900564A
00554B00544C00534D00514D00504E004F4E004E4E004C4D004A4C00484B00464B00444A
004249004148003F48003E47003C46003B46003A45003944003744003643003543003442
003342003241003141003140003040002F3F002E3F002D3E002D3E002C3D002B3D002B3D
002A3C00293C00293C00283B00283B00273B00263A00263A00253A002539002439002439
002439002338002338002238002237002237002137002137002037002036002036001F36
001F36001F35001E35001E35001E35001D35001D34001D34
001D34001D34001E35001E35001E35001F35001F36001F36002036002036002036002137
00213700213700223700223800233800233800233800243900243900253900253A00263A
00263A00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002C3E002D3E
002E3E002E3F002F3F003040003140003241003341003442003542003643003743003844
003945003A45003C46003D46003E4700404800424900434900454A00474B00494C004B4D
004D4E004F4E00504E00514D00524D00534C00544C00564B00574A005849005A48005C47
005D45005F4400614200634000663D00683A006B37006E3300712E007429007823007C1B
008111008606078C001893002E9B004BA40070AF00A2BC00CCB100E17500FB1100FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FB1100E17400CCB100
A2BC0070AF004BA4002E9B00189300078C00008606008111007C1B00782200742900712E
006E33006B3700683A00663D006340006142005F44005D45005C47005A4800584900574A
00564B00544C00534C00524D00514D00504E004F4E004D4E004B4D00494C00474B00454A
004349004249004048003E47003D46003C46003A45003945003844003743003643003542
003442003341003241003140003040002F3F002E3F002E3F002D3E002C3E002C3D002B3D
002A3D002A3C00293C00283B00283B00273B00273A00263A00263A00253A002539002439
002439002338002338002338002238002237002137002137002137002036002036002036
001F36001F36001F35001E35001E35001E35001D34001D34
001D34001E35001E35001E35001E35001F35001F36001F36002036002036002037002137
00213700223700223800223800233800233800243900243900253900253900253A00263A
00263A00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D002D3E002D3E
002E3F002F3F003040003040003140003241003341003442003543003643003744003844
003A45003B45003C46003E47003F4700414800424900444A00464A00474B00494C004B4D
004E4E004F4E00504E00514D00524D00534C00554B00564B00574A005949005B48005C46
005E4500604300624100643F00663C006939006C36006F3200722D007527007921007E19
00820F0088030A8E001C9500339D0050A60077B100ABBE00CFAB00E36C00FE0700FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FE0600E36C00CFAB00
ABBE0077B10051A600339D001C95000A8E0000880300820F007E1900792100752700722D
006F32006C3600693900663C00643F006241006043005E45005C46005B4800594900574A
00564B00554B00534C00524D00514D00504E004F4E004E4E004C4D00494C00474B00464A
00444A004249004148003F47003E47003C46003B45003A45003844003744003643003543
003442003341003241003141003040003040002F3F002E3F002D3E002D3E002C3D002B3D
002B3D002A3C00293C00293C00283B00283B00273B00263A00263A00253A002539002539
002439002439002338002338002238002238002237002137002137002037002036002036
001F36001F36001F35001E35001E35001E35001E35001D34
001D35001E35001E35001E35001F35001F36001F36002036002036002036002137002137
00213700223700223800233800233800233800243900243900253900253A00263A00263A
00273A00273B00283B00283B00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3E
002E3F002F3F003040003140003241003341003442003542003643003743003844003944
003A45003B46003D46003E4700404800414800434900454A00464B00484C004A4D004C4D
004E4E004F4E00504D00524D00534C00544C00554B00574A005849005948005B47005D46
005F4400604300634100653E00673C006A38006C35006F3100732C007626007A1F007F17
00830D0089000E8F00209600389E0056A8007EB300B3C000D1A500E56500FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E56500D1A500
B3C0007EB30056A800389E002096000E8F0000890000830D007F17007A1F00762600732C
006F31006C35006A3800673C00653E006341006043005F44005D46005B47005948005849
00574A00554B00544C00534C00524D00504D004F4E004E4E004C4D004A4D00484C00464B
00454A004349004148004048003E47003D46003C46003A45003944003844003743003643
003542003442003341003241003140003040002F3F002E3F002E3E002D3E002C3E002C3D
002B3D002A3D002A3C00293C00283B00283B00273B00273A00263A00263A00253A002539
002439002439002338002338002338002238002237002137002137002137002036002036
002036001F36001F36001F35001E35001E35001E35001D35
001E35001E35001E35001E35001F35001F36001F36002036002036002037002137002137
00223700223800223800233800233800243900243900253900253900253A00263A00263A
00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D002D3E002D3E002E3F
002F3F003040003040003140003241003341003442003542003643003744003844003A45
003B45003C46003D47003F4700404800424900444900454A00474B00494C004B4D004D4E
004F4E00504E00514D00524D00534C00544C00564B00574A005849005A48005C47005D45
005F4400614200634000653E00683B006A38006D3400702F00742A007724007B1D008015
00850A018A001190002497003CA0005BA90084B500BAC200D2A000E76000FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E76000D2A000
BAC20084B5005BA9003CA000249800119000018A0000850A008015007B1D00772400742A
00702F006D34006A3700683B00653D006340006142005F44005D45005C47005A48005849
00574A00564B00544C00534C00524D00514D00504E004F4E004D4E004B4D00494C00474B
00454A004449004249004048003F47003D47003C46003B45003A45003844003744003643
003542003442003341003241003140003040003040002F3F002E3F002D3E002D3E002C3D
002B3D002B3D002A3C00293C00293C00283B00283B00273B00263A00263A00253A002539
002539002439002439002338002338002238002238002237002137002137002037002036
002036001F36001F36001F35001E35001E35001E35001E35
001E35001E35001E35001F35001F36001F36002036002036002036002137002137002137
00223700223800233800233800233800243900243900253900253A00263A00263A00273A
00273B00283B00283B00293C002A3C002A3D002B3D002B3D002C3E002D3E002E3E002E3F
002F3F003040003140003241003341003442003442003643003743003844003944003A45
003B46003D46003E47003F4800414800434900444A00464B00484B004A4C004C4D004E4E
004F4E00504E00514D00524D00544C00554B00564B00574A005949005A48005C46005E45
00604300624100643F00663D00683A006B37006E3300712E007429007823007C1B008113
008608048B0014920027990040A10060AB0089B600C0C300D49C00E85C00FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E85C00D49C00
C0C30089B60060AB0040A100289900149200048B00008608008113007C1B007823007429
00712E006E33006B3700683A00663D00643F006241006043005E45005C46005A48005949
00574A00564B00554B00544C00524D00514D00504E004F4E004E4E004C4D004A4C00484B
00464B00444A004349004148003F48003E47003D46003B46003A45003944003844003743
003643003542003442003341003241003140003040002F3F002E3F002E3E002D3E002C3E
002B3D002B3D002A3D002A3C00293C00283B00283B00273B00273A00263A00263A00253A
002539002439002439002338002338002338002238002237002137002137002137002036
002036002036001F36001F36001F35001E35001E35001E35
001E35001E35001E35001F35001F36001F36002036002036002037002137002137002237
00223800223800233800233800243900243900253900253900253A00263A00263A00273B
00283B00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F
003040003040003140003241003341003442003542003643003743003844003945003B45
003C46003D46003F4700404800424900434900454A00474B00484C004A4D004D4E004E4E
004F4E00514D00524D00534C00544C00554B00574A005849005948005B47005D46005E45
00604300624100643F00673C006939006C36006F3200722D007528007921007D1A008211
008706068C001793002B9A0044A20064AC008EB700C5C400D59900E95900FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E95900D59900
C5C4008EB70064AC0044A2002B9A00179300078C00008706008211007D1A007921007528
00722D006F32006C3600693900673C00643F006241006043005E44005D46005B47005948
00584900574A00554B00544C00534C00524D00514D004F4E004E4E004D4E004A4D00494C
00474B00454A004349004249004048003F47003D47003C46003B45003945003844003743
003643003542003442003341003241003140003040003040002F3F002E3F002D3E002D3E
002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00263A00263A00253A
002539002539002439002439002338002338002238002238002237002137002137002037
002036002036001F36001F36001F35001E35001E35001E35
001E35001E35001F35001F36001F36002036002036002036002137002137002137002237
00223800233800233800233800243900243900253900253A00263A00263A00273A00273B
00283B00283B00293C002A3C002A3D002B3D002B3D002C3E002D3E002E3E002E3F002F3F
003040003140003241003241003342003442003543003643003844003944003A45003B45
003C46003E47003F4700414800424900444A00464A00474B00494C004B4D004D4E004F4E
00504E00514D00524D00534C00544C00564B00574A005849005A48005B47005D46005F44
00614200634000653E00673B006A38006C35006F3100732C007626007A20007E1800820F
008804098D001994002E9B0048A30068AD0092B800C6C200D69700E95800FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E95800D69700
C6C10092B80068AD0048A3002E9B00199400098D0000880400820F007E18007A20007626
00732C006F31006C35006A3800673B00653E006340006142005F44005D46005B47005A48
00584900574A00564B00544C00534C00524D00514D00504E004F4E004D4E004B4D00494C
00474B00464A00444A004249004148003F47003E47003C46003B45003A45003944003844
003643003543003442003342003241003241003140003040002F3F002E3F002E3E002D3E
002C3E002B3D002B3D002A3D002A3C00293C00283B00283B00273B00273A00263A00263A
00253A002539002439002439002338002338002338002238002237002137002137002137
002036002036002036001F36001F36001F35001E35001E35
001E35001F35001F35001F36001F36002036002036002137002137002137002237002238
00223800233800233800243900243900253900253900253A00263A00263A00273B00283B
00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F002F3F
003040003140003241003341003442003542003643003743003844003945003A45003C46
003D46003E4700404800414800434900444A00464B00484C004A4C004C4D004E4E004F4E
00504E00514D00524D00544C00554B00564B00574A005949005A48005C47005E45005F44
00614200634000663D00683B006A37006D3400703000732B007725007B1E007F1600830D
0088020B8E001C9500319C004BA4006BAE0096B900C6C000D69600E95900FF0000FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000E95800D69600
C6C00096B9006CAE004BA400319C001C95000B8E0000880200830D007F16007B1E007725
00732B007030006D34006A3700683B00663D006340006142005F44005E45005C47005A48
00594900574A00564B00554B00544C00524D00514D00504E004F4E004E4E004C4D004A4C
00484C00464B00444A004349004148004048003E47003D46003C46003A45003945003844
003743003643003542003442003341003241003140003040002F3F002F3F002E3F002D3E
002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00263A00263A
00253A002539002539002439002439002338002338002238002238002237002137002137
002137002036002036001F36001F36001F35001F35001E35
001E35001F35001F36001F36002036002036002036002137002137002137002237002238
00233800233800233800243900243900253900253A00263A00263A00273A00273B00283B
00283B00293C002A3C002A3C002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040
003140003141003241003342003442003543003643003744003844003A45003B45003C46
003D47003F4700404800424900434900454A00474B00494C004B4D004D4E004F4E00504E
00514D00524D00534C00544C00554B00564A00584A005949005B47005C46005E45006043
00624100643F00663D00683A006B37006E3300712F00742A007724007B1D007F1500840B
0089000D8F001E9500339D004DA5006EAF0098BA00C7BF00D69600E85B00FE0500FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FE0500E85A00D69600
C7BF0098BA006EAF004DA500339D001E95000D8F0000890000840B007F15007B1D007724
00742A00712F006E33006B3700683A00663D00643F006241006043005E45005C46005B47
00594900584A00564A00554B00544C00534C00524D00514D00504E004F4E004D4E004B4D
00494C00474B00454A004349004249004048003F47003D47003C46003B45003A45003844
003744003643003543003442003342003241003141003140003040002F3F002E3F002D3E
002D3E002C3E002B3D002B3D002A3C002A3C00293C00283B00283B00273B00273A00263A
00263A00253A002539002439002439002338002338002338002238002237002137002137
002137002036002036002036001F36001F36001F35001E35
001F35001F35001F36001F36002036002036002137002137002137002237002238002238
00233800233800243900243900253900253900253A00263A00263A00273B00273B00283B
00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002F3F002F3F003040
003140003241003341003442003542003643003743003844003944003A45003B46003D46
003E47003F4800414800424900444A00464A00474B00494C004B4D004D4E004F4E00504E
00514D00524D00534C00544C00564B00574A005849005A48005B47005D46005F44006043
00624100643F00673C006939006C36006E3200712E007529007823007C1C00801300850A
018A000F9000209600359E0050A60070AF009ABA00C7BE00D69700E75E00FC0E00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FC0E00E75E00D69600
C7BE009ABA0070AF0050A600369E002096000F9000018A0000850A008013007C1C007823
00752900712E006E32006C3600693900673C00643F006241006043005F44005D46005B47
005A4800584900574A00564B00544C00534C00524D00514D00504E004F4E004D4E004B4D
00494C00474B00464A00444A004249004148003F48003E47003D46003B46003A45003944
003844003743003643003542003442003341003241003140003040002F3F002F3F002E3F
002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00263A
00263A00253A002539002539002439002439002338002338002238002238002237002137
002137002137002036002036001F36001F36001F35001F35
001F35001F36001F36002036002036002036002137002137002137002237002238002338
00233800233800243900243900253900253A00263A00263A00273A00273B00283B00283B
00293C00293C002A3C002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040003040
003140003241003341003442003542003643003743003844003945003B45003C46003D46
003E4700404800414800434900454A00464B00484C004A4C004C4D004E4E004F4E00504E
00514D00524D00534C00554B00564B00574A005949005A48005C47005D45005F44006142
00634000653E00673B006A39006C35006F3100722D007528007922007D1A008112008608
038B00119000229700379E0051A60072B0009BBA00C7BF00D59800E66300FA1900FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FA1800E66300D59800
C7BE009BBA0072B00051A600379E00229700119000038B00008608008112007D1A007922
00752800722D006F31006C35006A3900673B00653E006340006142005F44005D45005C47
005A4800594900574A00564B00554B00534C00524D00514D00504E004F4E004E4E004C4D
004A4C00484C00464B00454A004349004149004048003E47003D46003C46003B45003945
003844003743003643003542003442003341003241003140003040003040002F3F002E3F
002D3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00283B00273B00273A
00263A00263A00253A002539002439002439002338002338002338002238002237002137
002137002137002036002036002036001F36001F36001F35
001F36001F36002036002036002036002137002137002137002237002238002238002338
00233800243900243900253900253900253A00263A00263A00273B00273B00283B00293C
00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3F002E3F002F3F003040003140
003241003341003342003442003543003643003844003944003A45003B45003C46003E47
003F4700404800424900434900454A00474B00494C004B4D004D4E004F4E004F4E00504D
00524D00534C00544C00554B00564B00584A005949005B48005C46005E45005F44006142
00634000653D00683B006A38006D34006F3100732C007627007921007D19008111008607
048B00129100249700399F0053A70073B0009BBB00C7BF00D49B00E46800F72400FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F72400E46800D49B00
C7BF009BBB0073B00053A700399F00249700129100048B00008607008111007D19007921
00762700732C007030006D34006A3800683B00653D006340006142005F44005E45005C46
005B4800594900584A00564B00554B00544C00534C00524D00514D004F4E004F4E004D4E
004B4D00494C00474B00454A004449004249004048003F47003E47003C46003B45003A45
003944003844003643003543003442003342003341003241003140003040002F3F002E3F
002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00273B00273B
00263A00263A00253A002539002539002439002439002338002338002238002238002237
002137002137002137002036002036002036001F36001F36
001F36001F36002036002036002036002137002137002137002237002238002338002338
00233800243900243900253900253A00263A00263A00273A00273B00283B00283B00293C
00293C002A3C002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040003040003140
003241003341003442003542003643003743003844003944003A45003B46003D46003E47
003F4800414800424900444A00464B00484B00494C004B4D004D4E004F4E00504E00514D
00524D00534C00544C00554B00574A005849005948005B47005C46005E45006043006241
00643F00663D00683A006B37006D3400703000732B007626007A20007E18008210008706
058C001492002598003A9F0054A70073B0009ABA00C6C100D39E00E26F00F43100FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F43100E36F00D39E00
C6C1009ABA0073B00054A7003A9F00259800149200058C00008706008210007E18007A20
00762600732B007030006D34006B3700683A00663D00643F006241006043005E45005C46
005B4700594800584900574A00554B00544C00534C00524D00514D00504E004F4E004D4E
004B4D00494C00484B00464B00444A004249004148003F48003E47003D46003B46003A45
003944003844003743003643003542003442003341003241003140003040003040002F3F
002E3F002D3E002D3E002C3E002B3D002B3D002A3C00293C00293C00283B00283B00273B
00273A00263A00263A00253A002539002439002439002338002338002338002238002237
002137002137002137002036002036002036001F36001F36
001F36002036002036002036002137002137002137002237002238002238002338002338
00243900243900243900253900253A00263A00263A00273B00273B00283B00293C00293C
002A3C002A3D002B3D002C3D002C3E002D3E002E3E002E3F002F3F003040003140003241
003241003342003442003543003643003744003844003945003B45003C46003D47003F47
00404800414900434900454A00464B00484C004A4C004C4D004E4E004F4E00504E00514D
00524D00534C00544C00564B00574A005849005A48005B47005D46005F44006043006241
00643F00663C00693A006B37006E3300712F00742A007725007A1F007E1700830F008704
078C001592002698003B9F0054A70073B00099BA00C5C300D2A200E07600F03E00FF0000
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F03E00E07600D2A200
C5C20099BA0073B00054A7003B9F00269800159200078C0000870400830F007E17007A1F
00772500742A00712F006E33006B3700693A00663C00643F006241006043005F44005D46
005B47005A4800584900574A00564B00544C00534C00524D00514D00504E004F4E004E4E
004C4D004A4C00484C00464B00454A004349004149004048003F47003D47003C46003B45
003A45003844003744003643003543003442003342003241003241003140003040002F3F
002E3F002E3E002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00273B
00273B00263A00263A00253A002539002439002439002439002338002338002238002238
002237002137002137002137002036002036002036001F36
001F36002036002036002036002137002137002137002237002238002338002338002338
00243900243900253900253A00263A00263A00273A00273B00283B00283B00293C00293C
002A3C002B3D002B3D002C3D002C3E002D3E002E3F002F3F002F3F003040003140003241
003341003442003542003643003743003844003944003A45003B46003C46003E47003F47
00404800424900444A00454A00474B00494C004B4D004D4E004E4E004F4E00504D00514D
00534D00544C00554B00564B00574A005949005A48005C47005D45005F44006142006340
00653E00673C006939006C36006E3200712E00742A007724007B1E007F1600830E008804
078D001692002799003B9F0054A70072B00097B900C4C400D0A600DE7E00EC4C00FC0E00
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000FC0E00ED4C00DE7E00D0A600
C4C40097B90072B00054A7003B9F00279900169200088D0000880400830E007F16007B1E
00772400742A00712E006E32006C3600693900673C00653E006340006142005F44005D45
005C47005A4800594900574A00564B00554B00544C00534D00514D00504D004F4E004E4E
004D4E004B4D00494C00474B00454A00444A004249004048003F47003E47003C46003B46
003A45003944003844003743003643003542003442003341003241003140003040002F3F
002F3F002E3F002D3E002C3E002C3D002B3D002B3D002A3C00293C00293C00283B00283B
00273B00273A00263A00263A00253A002539002439002439002338002338002338002238
002237002137002137002137002036002036002036001F36
002036002036002036002137002137002137002237002238002238002338002338002439
00243900243900253900253A00263A00263A00273B00273B00283B00283C00293C002A3C
002A3D002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040003140003140003241
003341003442003542003643003743003844003945003A45003C46003D46003E47004048
00414800424900444A00464B00474B00494C004B4D004D4E004F4E00504E00514D00524D
00534C00544C00554B00564A00584A005949005A48005C46005E45005F44006142006340
00653E00673B006939006C35006F3200712E007429007823007B1D007F1600830D008803
088D001693002799003B9F0053A70071AF0094B900BFC300CFAB00DB8700E95900F72300
FF0000FF0000FF0000FF0000FF0000FF0000FF0000FF0000F72300E95900DB8700CFAB00
BFC30094B90071AF0054A7003B9F00279900169300088D0000880300830D007F16007B1D
00782300742900712E006F32006C3500693900673B00653E006340006142005F44005E45
005C46005A4800594900584A00564A00554B00544C00534C00524D00514D00504E004F4E
004D4E004B4D00494C00474B00464B00444A004249004148004048003E47003D46003C46
003A45003945003844003743003643003542003442003341003241003140003140003040
002F3F002E3F002D3E002D3E002C3E002B3D002B3D002A3D002A3C00293C00283C00283B
00273B00273B00263A00263A00253A002539002439002439002439002338002338002238
002238002237002137002137002137002036002036002036
002036002036002036002137002137002137002237002238002338002338002338002439
00243900253900253A00263A00263A00273A00273B00283B00283B00293C00293C002A3C
002A3D002B3D002C3D002C3E002D3E002E3F002E3F002F3F003040003140003241003341
003342003442003543003643003744003844003A45003B45003C46003D47003F47004048
00414900434900454A00464B00484C004A4C004C4D004E4E004F4E00504E00514D00524D
00534C00544C00554B00574A005849005948005B47005C46005E45006043006142006340
00653D00683B006A38006C35006F3100722D007528007823007C1C007F1500840C008802
098D001793002799003B9F0053A7006FAF0090B800B9C200CDB000D88F00E56700F23800
FE0500FF0000FF0000FF0000FF0000FF0000FF0000FE0500F23800E56700D88F00CDB000
B9C20090B8006FAF0053A7003B9F00279900179300098D0000880200840C008015007C1C
00782300752800722D006F31006C35006A3800683B00653D006340006142006043005E45
005C46005B4700594800584900574A00554B00544C00534C00524D00514D00504E004F4E
004E4E004C4D004A4C00484C00464B00454A004349004149004048003F47003D47003C46
003B45003A45003844003744003643003543003442003342003341003241003140003040
002F3F002E3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C00283B
00283B00273B00273A00263A00263A00253A002539002439002439002338002338002338
002238002237002137002137002137002036002036002036
002036002036002137002137002137002237002238002238002338002338002439002439
00243900253900253A00263A00263A00273B00273B00283B00283B00293C00293C002A3C
002B3D002B3D002C3E002D3E002D3E002E3F002F3F003040003040003140003241003341
003442003542003643003743003844003944003A45003B46003C46003E47003F47004048
00424900434900454A00474B00494C004A4D004C4D004E4E004F4E00504E00514D00524D
00534C00554C00564B00574A005849005A48005B47005D46005E4500604300624100643F
00663D00683B006A38006D34006F3100722D007528007822007C1C00801400840C008802
098D001793002799003A9F0051A6006CAE008CB700B2C000CAB600D59800E17400ED4B00
F82000FF0000FF0000FF0000FF0000FF0000FF0000F81F00ED4B00E17400D59800CAB600
B2C0008CB7006CAE0051A6003A9F00279900179300098D0000880200840C008014007C1C
00782200752800722D006F31006D34006A3800683B00663D00643F006241006043005E45
005D46005B47005A4800584900574A00564B00554C00534C00524D00514D00504E004F4E
004E4E004C4D004A4D00494C00474B00454A004349004249004048003F47003E47003C46
003B46003A45003944003844003743003643003542003442003341003241003140003040
003040002F3F002E3F002D3E002D3E002C3E002B3D002B3D002A3C002A3C00293C00283B
00283B00273B00273B00263A00263A00253A002539002439002439002439002338002338
002238002238002237002137002137002137002036002036
002036002036002137002137002137002237002238002338002338002338002439002439
00253900253900263A00263A00273A00273B00283B00283B00293C00293C002A3C002A3D
002B3D002C3D002C3E002D3E002E3E002E3F002F3F003040003140003141003241003341
003442003542003643003743003844003945003A45003C46003D46003E47004048004148
00424900444A00464A00474B00494C004B4D004D4E004F4E00504E00514D00524D00534D
00544C00554B00564B00574A005949005A48005B47005D46005F4400604300624100643F
00663D00683A006B37006D3400703000722C007527007922007C1B00801400840B008901
098D00179300279800399F004FA60069AD0088B600ABBF00C8BB00D2A000DD8100E85D00
F23800FA1500FF0000FF0000FF0000FF0000FA1500F23800E85D00DD8100D2A000C8BB00
ACBF0088B60069AD004FA600399F00279900179300098D0000890100840B008014007C1B
00792200752700722C007030006D34006B3700683A00663D00643F006241006043005F44
005D46005B47005A4800594900574A00564B00554B00544C00534D00524D00514D00504E
004F4E004D4E004B4D00494C00474B00464A00444A004249004148004048003E47003D46
003C46003A45003945003844003743003643003542003442003341003241003141003140
003040002F3F002E3F002E3E002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C
00283B00283B00273B00273A00263A00263A002539002539002439002439002338002338
002338002238002237002137002137002137002036002036
002036002037002137002137002237002238002238002338002338002439002439002439
00253900253A00263A00263A00273A00273B00283B00283B00293C00293C002A3C002B3D
002B3D002C3D002D3E002D3E002E3F002F3F002F3F003040003140003241003341003442
003442003543003643003744003944003A45003B45003C46003D47003F47004048004149
00434900444A00464B00484B004A4C004C4D004E4E004F4E00504E00514D00524D00534C
00544C00554B00564A00584A005949005A48005C47005D45005F4400614200624100643F
00663C00693A006B37006D3400703000732C007627007921007C1B00801300840B008901
098D00179300269800389E004DA50066AC0083B400A4BD00C6C100CFA900D98D00E36E00
EC4F00F33100F91B00FC0E00FC0E00F91B00F33100EC4F00E36E00D98D00CFA900C6C100
A4BD0083B40066AC004DA500389E00269800179300098D0000890100840B008013007C1B
00792100762700732C007030006D34006B3700693A00663C00643F006241006142005F44
005D45005C47005A4800594900584A00564A00554B00544C00534C00524D00514D00504E
004F4E004E4E004C4D004A4C00484B00464B00444A004349004149004048003F47003D47
003C46003B45003A45003944003744003643003543003442003442003341003241003140
003040002F3F002F3F002E3F002D3E002D3E002C3D002B3D002B3D002A3C00293C00293C
00283B00283B00273B00273A00263A00263A00253A002539002439002439002439002338
002338002238002238002237002137002137002137002036
002036002137002137002137002237002238002238002338002338002439002439002539
00253900253A00263A00263A00273B00273B00283B00293C00293C002A3C002A3D002B3D
002B3D002C3E002D3E002D3E002E3F002F3F003040003040003140003241003341003442
003542003643003743003844003944003A45003B46003C46003E47003F47004048004249
00434900454A00474B00484C004A4C004C4D004E4E004F4E00504E00514D00524D00534C
00544C00554B00574A00584A005949005B48005C46005E45005F4400614200634000653E
00673C006939006B36006E3300702F00732B007626007921007D1A00801300840B008901
098D00169200259800379E004BA40062AB007DB3009DBB00C0C300CCB100D59900DE7E00
E66300ED4B00F23800F42D00F42D00F23800ED4B00E66300DE7E00D59900CCB100C0C300
9DBB007EB30062AB004BA400379E00259800169200098D0000890100840B008013007D1A
00792100762600732B00702F006E33006B3600693900673C00653E006340006142005F44
005E45005C46005B4800594900584A00574A00554B00544C00534C00524D00514D00504E
004F4E004E4E004C4D004A4C00484C00474B00454A004349004249004048003F47003E47
003C46003B46003A45003944003844003743003643003542003442003341003241003140
003040003040002F3F002E3F002D3E002D3E002C3E002B3D002B3D002A3D002A3C00293C
00293C00283B00273B00273B00263A00263A00253A002539002539002439002439002338
002338002338002238002237002137002137002137002036
002037002137002137002237002237002238002338002338002338002439002439002539
00253A00263A00263A00273A00273B00283B00283B00293C00293C002A3C002A3D002B3D
002C3D002C3E002D3E002E3F002E3F002F3F003040003140003241003241003342003442
003542003643003743003844003945003A45003C46003D46003E47003F48004148004249
00444A00454A00474B00494C004B4D004D4E004E4E004F4E00504E00514D00524D00534C
00544C00564B00574A005849005948005B47005C46005E4500604300614200634000653E
00673C006939006B36006E3300702F00732B007626007920007D1A00801300840B008901
098D00159200249700359D0048A3005EAA0078B10095B900B5C100C9B900D1A400D98D00
E07600E66100EB5200ED4900ED4900EB5200E76100E07600D98D00D1A400C9B900B5C100
95B90078B1005EAA0048A300359D00249700159200098D0000890100840B008013007D1A
00792000762600732B00702F006E33006B3600693900673C00653E006340006142006043
005E45005C46005B4700594800584900574A00564B00544C00534C00524D00514D00504E
004F4E004E4E004D4E004B4D00494C00474B00454A00444A004249004148003F48003E47
003D46003C46003A45003945003844003744003643003542003442003342003241003241
003140003040002F3F002E3F002E3F002D3E002C3E002C3D002B3D002A3D002A3C00293C
00293C00283B00283B00273B00273A00263A00263A00253A002539002439002439002338
002338002338002238002237002237002137002137002037
002137002137002137002237002238002238002338002338002439002439002539002539
00253A00263A00263A00273B00273B00283B00283B00293C002A3C002A3C002B3D002B3D
002C3E002D3E002D3E002E3F002F3F002F3F003040003140003241003341003442003442
003543003643003744003944003A45003B45003C46003D47003E47004048004148004349
00444A00464B00484B00494C004B4D004D4E004F4E00504E00514D00514D00534D00544C
00554B00564B00574A005849005A48005B47005D46005E4500604300614200634000653E
00673B006939006C36006E3300712F00732B007626007920007D1A00801300840B008802
088D00149200229700339D0045A3005AA90072B0008DB700ABBE00C6C100CDAE00D59A00
DB8700E17500E46800E66100E66100E46800E17500DB8700D59A00CDAE00C6C100ABBE00
8DB70072B0005AA90045A300339D00229700149200088D0000880100840B008013007D1A
00792000762600732B00712F006E33006C3600693900673B00653E006340006142006043
005E45005D46005B47005A4800584900574A00564B00554B00544C00534D00514D00514D
00504E004F4E004D4E004B4D00494C00484B00464B00444A004349004148004048003E47
003D47003C46003B45003A45003944003744003643003543003442003442003341003241
003140003040002F3F002F3F002E3F002D3E002D3E002C3E002B3D002B3D002A3C002A3C
00293C00283B00283B00273B00273B00263A00263A00253A002539002539002439002439
002338002338002238002238002237002137002137002137
00213700213700213700223700223800233800233800233800243900243900253900253A
00263A00263A00273A00273B00283B00283B00293C00293C002A3C002A3D002B3D002C3D
002C3E002D3E002E3E002E3F002F3F003040003140003140003241003341003442003542
003643003743003844003944003A45003B45003C46003E47003F47004048004249004349
00454A00464B00484C004A4C004C4D004E4E004F4E00504E00514D00524D00534C00544C
00554B00564B00574A005949005A48005B47005D46005E4500604300624100644000653D
00673B006A39006C36006E3200712F00742A007626007A20007D1A00801300840B008802
078D00139100219600309C0042A20056A8006CAE0085B500A0BC00BDC300CAB800D0A700
D69600DB8700DE7D00E07700E07700DE7D00DB8700D69600D0A700CAB800BDC300A0BC00
85B5006CAE0056A80042A200309C00219600139100078D0000880200840B008013007D1A
007A2000762600742A00712F006E32006C36006A3900673B00653D006440006241006043
005E45005D46005B47005A4800594900574A00564B00554B00544C00534C00524D00514D
00504E004F4E004E4E004C4D004A4C00484C00464B00454A004349004249004048003F47
003E47003C46003B46003A45003944003844003743003643003542003442003341003241
003140003140003040002F3F002E3F002E3E002D3E002C3E002C3D002B3D002A3D002A3C
00293C00293C00283B00283B00273B00273A00263A00263A00253A002539002439002439
002338002338002338002238002237002237002137002137
00213700213700223700223800223800233800233800243900243900243900253900253A
00263A00263A00273A00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D
002C3E002D3E002E3F002F3F002F3F003040003140003241003241003342003442003542
003643003743003844003945003A45003B46003D46003E47003F4700414800424900444A
00454A00474B00484C004A4D004C4D004E4E004F4E00504E00514D00524D00534C00544C
00554B00564A00584A005949005A48005C47005D46005F4400604300624100643F00663D
00683B006A38006C35006E3200712E00742A007725007A20007D1A00801300840B008803
078C001291001F96002E9B003EA00051A60066AC007DB30096B900B0C000C6C100CCB200
D1A400D69800D98E00DA8A00DA8A00D98E00D69800D1A400CCB200C6C100B0C00096B900
7DB30066AC0051A6003EA0002E9B001F9600129100078C0000880300840B008013007D1A
007A2000772500742A00712E006E32006C35006A3800683B00663D00643F006241006043
005F44005D46005C47005A4800594900584A00564A00554B00544C00534C00524D00514D
00504E004F4E004E4E004C4D004A4D00484C00474B00454A00444A004249004148003F48
003E47003D46003B46003A45003945003844003743003643003542003442003342003241
003241003140003040002F3F002F3F002E3F002D3E002C3E002C3D002B3D002B3D002A3C
00293C00293C00283B00283B00273B00273B00263A00263A00253A002539002439002439
002439002338002338002238002238002237002137002137
00213700213700223700223800233800233800233800243900243900253900253900263A
00263A00263A00273B00273B00283B00293C00293C002A3C002A3D002B3D002B3D002C3E
002D3E002D3E002E3F002F3F002F3F003040003140003241003341003442003442003543
003643003744003844003A45003B45003C46003D46003E4700404800414800424900444A
00464A00474B00494C004B4D004D4E004E4E004F4E00504E00514D00524D00534C00544C
00554B00574A00584A005949005A48005C47005D45005F4400604300624100643F00663D
00683B006A38006C35006F3200712E00742A007725007A20007D1A00801300840C008803
058C001090001D95002B9A003B9F004CA50060AB0075B0008BB700A3BD00BBC200C8BC00
CDB000D0A600D39E00D59A00D59A00D39E00D0A600CDB000C8BC00BCC200A3BD008BB700
75B00060AB004CA5003B9F002B9A001D9500119000068C0000880300840C008013007D1A
007A2000772500742A00712E006F32006C35006A3800683B00663D00643F006241006043
005F44005D45005C47005A4800594900584A00574A00554B00544C00534C00524D00514D
00504E004F4E004E4E004D4E004B4D00494C00474B00464A00444A004249004148004048
003E47003D46003C46003B45003A45003844003744003643003543003442003442003341
003241003140003040003040002F3F002E3F002D3E002D3E002C3E002B3D002B3D002A3D
002A3C00293C00293C00283B00273B00273B00263A00263A00263A002539002539002439
002439002338002338002338002238002237002137002137
00213700223700223800223800233800233800243900243900243900253900253A00263A
00263A00273A00273B00283B00283B00293C00293C002A3C002A3D002B3D002C3D002C3E
002D3E002E3E002E3F002F3F003040003140003140003241003341003442003542003643
003743003844003944003A45003B45003C46003D47003F4700404800414900434900444A
00464B00484B00494C004B4D004D4E004F4E004F4E00504D00514D00524D00534C00544C
00564B00574A005849005949005B48005C47005D45005F4400614200624100643F00663D
00683B006A38006C35006F3200712E00742A007725007920007D1A00801400840C008704
048B000F90001B9400289900379E0047A30059A9006DAE0081B40097B900ADBF00C2C400
C8BC00CCB300CEAC00CFA900CFA900CEAC00CCB300C8BC00C2C400ADBF0097B90082B400
6DAE0059A90047A300379E002899001B94000F9000048B0000870400840C008014007D1A
007A2000772500742A00712E006F32006C35006A3800683B00663D00643F006241006142
005F44005D45005C47005B4800594900584900574A00564B00544C00534C00524D00514D
00504D004F4E004F4E004D4E004B4D00494C00484B00464B00444A004349004149004048
003F47003D47003C46003B45003A45003944003844003743003643003542003442003341
003241003140003140003040002F3F002E3F002E3E002D3E002C3E002C3D002B3D002A3D
002A3C00293C00293C00283B00283B00273B00273A00263A00263A00253A002539002439
002439002439002338002338002238002238002237002137
00213700223700223800233800233800233800243900243900253900253900253A00263A
00263A00273B00273B00283B00283B00293C00293C002A3C002B3D002B3D002C3D002C3E
002D3E002E3F002F3F002F3F003040003140003241003241003342003442003542003643
003743003844003944003A45003B46003C46003E47003F4700404800424900434900454A
00464B00484C004A4C004C4D004D4E004F4E00504E00514D00524D00534D00544C00554B
00564B00574A005849005948005B47005C46005E45005F4400614200624100643F00663D
00683A006A38006C35006F3200712E00742A007626007920007C1B00801400830D008705
038B000D8F00189300259800339D0042A20053A70065AC0078B1008BB6009FBB00B1C000
C2C400C7BE00C9B900CAB600CAB600C9B900C7BE00C2C400B1C0009FBB008BB60078B100
65AC0053A70042A200339D002598001993000D8F00038B0000870500830D008014007C1B
00792000762500742A00712E006F32006C35006A3800683A00663D00643F006241006142
005F44005E45005C46005B4700594800584900574A00564B00554B00544C00534D00524D
00514D00504E004F4E004D4E004C4D004A4C00484C00464B00454A004349004249004048
003F47003E47003C46003B46003A45003944003844003743003643003542003442003342
003241003241003140003040002F3F002F3F002E3F002D3E002C3E002C3D002B3D002B3D
002A3C00293C00293C00283B00283B00273B00273B00263A00263A00253A002539002539
002439002439002338002338002338002238002237002137
00223700223800223800233800233800233800243900243900253900253A00263A00263A
00273A00273B00283B00283B00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E
002D3E002E3F002F3F003040003040003140003241003341003442003442003543003643
003744003844003945003A45003C46003D46003E47003F4800414800424900444A00454A
00474B00484C004A4C004C4D004E4E004F4E00504E00514D00524D00534C00544C00554B
00564B00574A005849005A48005B47005C46005E45005F4400614200634000643F00663D
00683A006A38006C35006F3200712E00742A007626007921007C1B007F1500830E008606
028A000B8E001692002297002F9B003DA0004DA5005DAA006EAF0080B40091B800A2BC00
B0C000BCC300C5C400C6C200C6C200C5C400BCC300B0C000A2BC0091B80080B4006FAF00
5DAA004DA5003DA0002F9B002297001692000B8E00028A0000860600830E007F15007C1B
00792100762600742A00712E006F32006C35006A3800683A00663D00643F006340006142
005F44005E45005C46005B47005A4800584900574A00564B00554B00544C00534C00524D
00514D00504E004F4E004E4E004C4D004A4C00484C00474B00454A00444A004249004148
003F48003E47003D46003C46003A45003945003844003744003643003543003442003442
003341003241003140003040003040002F3F002E3F002D3E002D3E002C3E002B3D002B3D
002A3D002A3C00293C00293C00283B00283B00273B00273A00263A00263A00253A002539
002439002439002338002338002338002238002238002237
00223700223800223800233800233800243900243900243900253900253A00263A00263A
00273A00273B00283B00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E
002E3E002E3F002F3F003040003140003140003241003341003442003542003643003743
003844003944003A45003B45003C46003D46003E4700404800414800424900444A00454A
00474B00494C004A4D004C4D004E4E004F4E00504E00514D00524D00534C00544C00554B
00564B00574A005949005A48005B47005C46005E45005F4400614200634000643F00663C
00683A006A38006C35006F3200712E00742A007626007921007C1C007F1600820F008607
008A00098D001491001F96002B9A00389F0047A30056A80065AC0075B10085B50093B900
A0BC00ABBE00B2C000B6C100B6C100B2C000ABBE00A0BC0093B90085B50075B10065AC00
56A80047A300399F002B9A001F9600149100098D00008A0000860700820F007F15007C1C
00792100762600742A00712E006F32006C35006A3800683A00663C00643F006340006142
005F44005E45005C46005B47005A4800594900574A00564B00554B00544C00534C00524D
00514D00504E004F4E004E4E004C4D004A4D00494C00474B00454A00444A004249004148
004048003E47003D46003C46003B45003A45003944003844003743003643003542003442
003341003241003140003140003040002F3F002E3F002E3E002D3E002C3E002C3D002B3D
002A3D002A3C00293C00293C00283B00283B00273B00273A00263A00263A00253A002539
002439002439002439002338002338002238002238002237
00223700223800233800233800233800243900243900253900253900263A00263A00263A
00273B00273B00283B00283B00293C002A3C002A3C002B3D002B3D002C3D002D3E002D3E
002E3F002F3F002F3F003040003140003241003241003341003442003542003643003743
003844003944003A45003B45003C46003D47003F4700404800414800434900444A00464B
00474B00494C004B4D004D4E004E4E004F4E00504E00514D00524D00534C00544C00554B
00564B00574A005949005A48005B47005D46005E4500604300614200634000653E00663C
00683A006A38006C35006F3200712E00732A007626007921007C1C007F16008210008509
008901078D001190001C9400279900349D0041A1004FA5005DAA006BAE0079B20086B500
91B8009BBA00A1BC00A4BD00A4BD00A1BC009BBA0091B80086B50079B2006BAE005DAA00
4FA50041A100349D002799001C9500119000078D00008900008508008210007F16007C1C
00792100762600732A00712E006F32006C35006A3800683A00663C00653E006340006142
006043005E45005D46005B47005A4800594900574A00564B00554B00544C00534C00524D
00514D00504E004F4E004E4E004D4E004B4D00494C00474B00464B00444A004349004149
004048003F47003D47003C46003B45003A45003944003844003743003643003542003442
003341003241003241003140003040002F3F002F3F002E3F002D3E002D3E002C3D002B3D
002B3D002A3C002A3C00293C00283B00283B00273B00273B00263A00263A00263A002539
002539002439002439002338002338002338002238002237
00223800223800233800233800243900243900243900253900253A00263A00263A00273A
00273B00283B00283B00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E
002E3F002F3F002F3F003040003140003241003341003342003442003543003643003744
003844003945003A45003B46003D46003E47003F4700404800424900434900454A00464B
00484B00494C004B4D004D4E004F4E004F4E00504E00514D00524D00534C00544C00554B
00564A00584A005949005A48005B47005D46005E4500604300614200634000653E00663C
00683A006A38006C35006F3200712E00732B007626007922007B1D007E1700811100850A
008802058C000E8F001893002397002F9B003B9F0047A30054A70061AB006EAF0079B200
83B4008CB70091B80094B90094B90091B8008CB70083B40079B2006EAF0061AB0054A700
48A3003B9F002F9B002397001893000E8F00058C0000880200850A008211007E17007B1D
00792200762600732B00712E006F32006C35006A3800683A00663C00653E006340006142
006043005E45005D46005B47005A4800594900584A00564A00554B00544C00534C00524D
00514D00504E004F4E004F4E004D4E004B4D00494C00484B00464B00454A004349004249
004048003F47003E47003D46003B46003A45003945003844003744003643003543003442
003342003341003241003140003040002F3F002F3F002E3F002D3E002D3E002C3E002B3D
002B3D002A3D002A3C00293C00293C00283B00283B00273B00273A00263A00263A00253A
002539002439002439002439002338002338002238002238
00223800233800233800233800243900243900253900253900253A00263A00263A00273B
00273B00283B00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3E
002E3F002F3F003040003040003140003241003341003442003542003543003643003744
003844003945003B45003C46003D46003E47003F4800414800424900434900454A00464B
00484C004A4C004C4D004D4E004F4E00504E00504D00514D00524D00534C00544C00554B
00574A00584A005949005A48005B47005D46005E4500604300614200634000653E00663C
00683A006A38006C35006F3200712F00732B007627007822007B1D007E1800811200840B
008704038B000C8E001592001F96002A9A00359D0041A1004CA50058A80063AC006EAE00
76B1007EB30083B40085B50085B50083B4007EB30076B1006EAE0063AC0058A8004CA500
41A100359D002A9A001F96001592000C8E00038B0000870400840B008112007E18007B1D
00782200762700732B00712F006F32006C35006A3800683A00663C00653E006340006142
006043005E45005D46005B47005A4800594900584A00574A00554B00544C00534C00524D
00514D00504D00504E004F4E004D4E004C4D004A4C00484C00464B00454A004349004249
004148003F48003E47003D46003C46003B45003945003844003744003643003543003542
003442003341003241003140003040003040002F3F002E3F002E3E002D3E002C3E002C3D
002B3D002A3D002A3C00293C00293C00283B00283B00273B00273B00263A00263A00253A
002539002539002439002439002338002338002338002238
00223800233800233800233800243900243900253900253A00263A00263A00263A00273B
00273B00283B00283C00293C002A3C002A3C002B3D002B3D002C3D002C3E002D3E002E3F
002E3F002F3F003040003140003141003241003341003442003542003643003743003844
003944003A45003B45003C46003D46003E4700404800414800424900444A00454A00474B
00484C004A4C004C4D004E4E004F4E00504E00514D00524D00524D00534C00544C00564B
00574A00584A005949005A48005C47005D46005E4500604300614200634000653E00663C
00683A006A38006C35006E3200712F00732B007527007823007B1E007D1900801300830D
008706018A00098D001291001B94002598002F9B003A9F0045A2004FA60059A90062AB00
6AAE0071AF0075B10078B10078B10075B10071AF006AAE0063AB0059A9004FA60045A200
3A9F002F9B002598001B9400129100098D00018A0000870600830D008013007D19007B1E
00782300752700732B00712F006E32006C35006A3800683A00663C00653E006340006142
006043005E45005D46005C47005A4800594900584A00574A00564B00554C00534C00524D
00524D00514D00504E004F4E004E4E004C4D004A4C00484C00474B00454A00444A004249
004148004048003E47003D46003C46003B45003A45003944003844003743003643003542
003442003341003241003141003140003040002F3F002E3F002E3F002D3E002C3E002C3D
002B3D002B3D002A3C002A3C00293C00283C00283B00273B00273B00263A00263A00263A
00253A002539002439002439002338002338002338002238
00223800233800233800243900243900243900253900253A00263A00263A00273A00273B
00283B00283B00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E002E3F
002F3F002F3F003040003140003241003241003342003442003542003643003743003844
003944003A45003B45003C46003D47003F4700404800414800434900444A00464A00474B
00494C004A4D004C4D004E4E004F4E00504E00514D00524D00534D00544C00554B00564B
00574A005849005949005A48005C47005D46005E4400604300614200634000653E00663C
00683A006A38006C35006E3200702F00732C007528007824007A1F007D1A00801400830E
008608008900068C000E8F001793002096002A9A00349D003DA00047A30050A60058A800
5FAA0065AC0069AD006BAE006BAE0069AD0065AC005FAA0058A80050A60047A3003DA000
349D002A9A002096001793000F9000068C0000890000860800830E008014007D1A007A1F
00782400752800732C00702F006E32006C35006A3800683A00663C00653E006340006142
006043005E44005D46005C47005A4800594900584900574A00564B00554B00544C00534D
00524D00514D00504E004F4E004E4E004C4D004A4D00494C00474B00464A00444A004349
004148004048003F47003D47003C46003B45003A45003944003844003743003643003542
003442003342003241003241003140003040002F3F002F3F002E3F002D3E002D3E002C3E
002B3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273A00263A00263A
00253A002539002439002439002439002338002338002238
00233800233800233800243900243900253900253900253A00263A00263A00273B00273B
00283B00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002E3E002E3F
002F3F003040003040003140003241003341003442003442003543003643003744003844
003945003A45003B46003C46003E47003F4700404800414900434900444A00464B00474B
00494C004B4D004C4D004E4E004F4E00504E00514D00524D00534C00544C00554B00564B
00574A005849005949005A48005C47005D46005E4400604300614200634000653E00663C
00683A006A38006C35006E3300702F00722C007528007724007A20007C1B007F16008210
008509008803048B000B8E001391001C95002598002E9B00369E003FA10047A3004EA500
55A7005AA9005DAA005FAA005FAA005DAA005AA90055A7004FA50047A3003FA100369E00
2E9B002598001C95001391000B8E00048B00008803008509008210007F16007C1B007A20
00772400752800722C00702F006E33006C35006A3800683A00663C00653E006340006142
006043005E44005D46005C47005A4800594900584900574A00564B00554B00544C00534C
00524D00514D00504E004F4E004E4E004C4D004B4D00494C00474B00464B00444A004349
004149004048003F47003E47003C46003B46003A45003945003844003744003643003543
003442003442003341003241003140003040003040002F3F002E3F002E3E002D3E002C3E
002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273B00263A00263A
00253A002539002539002439002439002338002338002338
00233800233800233800243900243900253900253A00263A00263A00263A00273B00273B
00283B00283C00293C002A3C002A3C002B3D002B3D002C3D002C3E002D3E002E3F002E3F
002F3F003040003140003140003241003341003442003542003643003643003744003844
003945003A45003C46003D46003E47003F4700404800424900434900454A00464B00484B
00494C004B4D004D4E004E4E004F4E00504E00514D00524D00534C00544C00554B00564B
00574A005849005949005B48005C47005D46005E4400604300614200634000653E00663C
00683A006A38006C36006E3300703000722D007429007725007921007C1C007E17008111
00840B008705018A00088D001090001793001F9600289900309C00389E003FA10045A300
4BA40050A60053A70054A70054A70053A70050A6004BA40045A3003FA100389E00309C00
289900209600179300109000088D00018A0000870500840B008111007E17007C1C007921
00772500742900722D007030006E33006C36006A3800683A00663C00653E006340006142
006043005E44005D46005C47005B4800594900584900574A00564B00554B00544C00534C
00524D00514D00504E004F4E004E4E004D4E004B4D00494C00484B00464B00454A004349
004249004048003F47003E47003D46003C46003A45003945003844003744003643003643
003542003442003341003241003140003140003040002F3F002E3F002E3F002D3E002C3E
002C3D002B3D002B3D002A3C002A3C00293C00283C00283B00273B00273B00263A00263A
00263A00253A002539002439002439002339002338002338
00233800233800243900243900243900253900253A00263A00263A00273A00273B00283B
00283B00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E002E3F002F3F
002F3F003040003140003241003241003341003442003542003643003743003844003944
003A45003B45003C46003D46003E47003F4800414800424900434900454A00464B00484B
004A4C004B4D004D4E004F4E004F4E00504E00514D00524D00534C00544C00554B00564B
00574A005849005949005B48005C47005D46005E4400604300614200634000653E00663D
00683B006A38006C36006E3300703000722D00742A007626007922007B1D007E18008013
00830D008607008901058C000C8E001391001B9400229700299900309C00379E003DA000
42A20046A30049A4004AA4004AA40049A40046A30042A2003DA000379E00309C00299900
2297001B94001391000C8E00058C0000890100860700830D008013007E18007B1D007922
00762600742A00722D007030006E33006C36006A3800683B00663D00653E006340006142
006043005F44005D46005C47005B4800594900584900574A00564B00554B00544C00534C
00524D00514D00504E004F4E004F4E004D4E004B4D004A4C00484B00464B00454A004349
004249004148003F48003E47003D46003C46003B45003A45003944003844003743003643
003542003442003341003241003241003140003040002F3F002F3F002E3F002D3E002D3E
002C3E002B3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273A00263A
00263A00253A002539002439002439002439002338002338
00233800233800243900243900253900253900253A00263A00263A00273B00273B00283B
00283B00293C00293C002A3C002A3D002B3D002C3D002C3E002D3E002D3E002E3F002F3F
002F3F003040003140003241003341003342003442003542003643003743003844003944
003A45003B45003C46003D47003E4700404800414800424900444A00454A00474B00484C
004A4C004B4D004D4E004F4E004F4E00504E00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4400604300614200634000643F00663D
00683B006A39006B36006D34006F3100712E00742A007627007823007B1E007D1A008015
00820F00850A008804028A00088D000F90001692001D95002397002A9A00309C00359D00
3A9F003DA00040A10041A10041A10040A1003DA0003A9F00359D00309C002A9A00239700
1D95001692000F9000088D00028A0000880400850A00820F008015007D1A007B1E007823
00762700742A00712E006F31006D34006B36006A3900683B00663D00643F006340006142
006043005F44005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00504E004F4E004F4E004D4E004B4D004A4C00484C00474B00454A00444A
004249004148004048003E47003D47003C46003B45003A45003944003844003743003643
003542003442003342003341003241003140003040003040002F3F002E3F002D3E002D3E
002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273B00263A
00263A00253A002539002539002439002439002338002338
00233800243900243900243900253900253A00263A00263A00263A00273B00273B00283B
00283B00293C00293C002A3C002B3D002B3D002C3D002C3E002D3E002E3E002E3F002F3F
003040003040003140003241003341003442003442003543003643003743003844003944
003A45003B46003C46003D47003F4700404800414800424900444A00454A00474B00484C
004A4C004C4D004D4E004F4E00504E00504D00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4400604300614200634000643F00663D
00683B006939006B36006D34006F3100712E00732B007527007824007A1F007C1B007F16
00811100840C008606008900058C000B8E001191001793001E95002397002999002E9B00
329C00359D00379E00389E00389E00379E00359D00329C002E9B002999002397001E9500
1793001191000B8E00058C0000890000860600840C008111007F16007C1B007A1F007824
00752700732B00712E006F31006D34006B3600693900683B00663D00643F006340006142
006043005E44005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00504D00504E004F4E004D4E004C4D004A4C00484C00474B00454A00444A
004249004148004048003F47003D47003C46003B46003A45003944003844003743003643
003543003442003442003341003241003140003040003040002F3F002E3F002E3E002D3E
002C3E002C3D002B3D002B3D002A3C00293C00293C00283C00283B00273B00273B00263A
00263A00263A00253A002539002439002439002439002338
00233800243900243900243900253900253A00263A00263A00273A00273B00283B00283B
00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E002E3F002E3F002F3F
003040003140003140003241003341003442003542003543003643003744003844003945
003A45003B46003C46003E47003F4700404800414800434900444A00464A00474B00494C
004A4D004C4D004E4E004F4E00504E00504D00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4400604300614200634000643F00663D
00673B006939006B37006D34006F3200712F00732C007528007725007921007C1C007E18
00801300830E008509008803018A00078C000D8F001291001893001D9500229700279800
2A9A002D9B002F9B00309C00309C002F9B002D9B002A9A002798002297001D9500189300
1291000D8F00078C00018A0000880300850900830E008013007E18007C1C007921007725
00752800732C00712F006F32006D34006B3700693900673B00663D00643F006340006142
006043005E44005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00504D00504E004F4E004E4E004C4D004A4D00494C00474B00464A00444A
004349004148004048003F47003E47003C46003B46003A45003945003844003744003643
003543003542003442003341003241003140003140003040002F3F002E3F002E3F002D3E
002D3E002C3E002B3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273A
00263A00263A00253A002539002439002439002439002338
00233800243900243900253900253900253A00263A00263A00273B00273B00283B00283B
00293C00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E002E3F002F3F002F3F
003040003140003241003241003341003442003542003643003743003744003844003945
003B45003C46003D46003E47003F4700404800424900434900444A00464B00474B00494C
004A4D004C4D004E4E004F4E00504E00514D00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4500604300614200634100643F00663D
00673B006939006B37006C35006E3200702F00722C007429007626007922007B1E007D1A
007F1500821000840C008606008901038B00088D000E8F001391001893001C9500209600
2397002698002899002899002899002899002698002397002096001C9500189300139100
0E8F00088D00038B0000890100860600840C008210007F15007D1A007B1E007922007626
00742900722C00702F006E32006D35006B3700693900673B00663D00643F006340006142
006043005E44005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00514D00504E004F4E004E4E004C4D004A4D00494C00474B00464B00444A
004349004249004048003F47003E47003D46003C46003B45003945003844003844003743
003643003542003442003341003241003241003140003040002F3F002F3F002E3F002D3E
002D3E002C3E002C3D002B3D002A3D002A3C00293C00293C00283B00283B00273B00273B
00263A00263A00253A002539002539002439002439002338
00243900243900243900253900253A00263A00263A00263A00273B00273B00283B00283B
00293C00293C002A3C002B3D002B3D002C3D002C3E002D3E002E3E002E3F002F3F003040
003040003140003241003241003342003442003542003643003743003844003944003A45
003B45003C46003D46003E47003F4700404800424900434900444A00464B00474B00494C
004B4D004C4D004E4E004F4E00504E00514D00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4500604300614200624100643F00653D
00673C00693A006A37006C35006E3300703000722D00742A007627007823007A1F007C1B
007E1700811300830E008509008704008900048B00098D000E8F001291001692001A9400
1D95001F96002196002197002197002196001F96001D95001A94001692001291000E8F00
098D00048B0000890000870400850900830E008113007E17007C1B007A1F007823007627
00742A00722D007030006E33006C35006A3700693A00673C00653D00643F006241006142
006043005E45005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00514D00504E004F4E004E4E004C4D004B4D00494C00474B00464B00444A
004349004249004048003F47003E47003D46003C46003B45003A45003944003844003743
003643003542003442003342003241003241003140003040003040002F3F002E3F002E3E
002D3E002C3E002C3D002B3D002B3D002A3C00293C00293C00283B00283B00273B00273B
00263A00263A00263A00253A002539002439002439002439
00243900243900243900253900253A00263A00263A00273A00273B00283B00283B00293C
00293C002A3C002A3C002B3D002B3D002C3D002C3E002D3E002E3E002E3F002F3F003040
003040003140003241003341003342003442003542003643003743003844003944003A45
003B45003C46003D46003E47003F4800414800424900434900454A00464B00484B00494C
004B4D004C4D004E4E004F4E00504E00514D00514D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E4500604300614200624100643F00653E
00673C00683A006A38006C36006E33006F3100712E00732B007528007724007921007B1D
007D19007F1500821100840C008608008803008A00058C00098D000D8F00119000149200
1793001993001A94001B94001B94001A94001993001793001492001190000D8F00098D00
058C00008A0000880300860800840C008211008015007D19007B1D007921007724007528
00732B00712E006F31006E33006C36006A3800683A00673C00653E00643F006241006142
006043005E45005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00514D00514D00504E004F4E004E4E004C4D004B4D00494C00484B00464B00454A
004349004249004148003F48003E47003D46003C46003B45003A45003944003844003743
003643003542003442003342003341003241003140003040003040002F3F002E3F002E3E
002D3E002C3E002C3D002B3D002B3D002A3C002A3C00293C00293C00283B00283B00273B
00273A00263A00263A00253A002539002439002439002439
00243900243900253900253900253A00263A00263A00273A00273B00283B00283B00293C
00293C002A3C002A3D002B3D002B3D002C3E002D3E002D3E002E3F002E3F002F3F003040
003140003140003241003341003442003442003543003643003743003844003944003A45
003B45003C46003D47003E4700404800414800424900434900454A00464B00484B00494C
004B4D004D4E004E4E004F4E00504E00514D00524D00524D00534C00544C00554B00564B
00574A005849005948005B48005C47005D46005E45005F4400614200624100643F00653E
00673C00683A006A38006B36006D34006F3100712F00732C007429007626007822007A1F
007C1B007E1700801300820F00840B008606008802018A00058C00088D000C8E000E8F00
1190001391001492001592001592001492001391001190000E8F000C8E00088D00058C00
018A0000880200860600840B00820F008013007E17007C1B007A1F007822007626007429
00732C00712F006F31006D34006B36006A3800683A00673C00653E00643F006241006142
005F44005E45005D46005C47005B4800594800584900574A00564B00554B00544C00534C
00524D00524D00514D00504E004F4E004E4E004D4E004B4D00494C00484B00464B00454A
004349004249004148004048003E47003D47003C46003B45003A45003944003844003744
003643003543003442003442003341003241003140003140003040002F3F002E3F002E3F
002D3E002D3E002C3E002B3D002B3D002A3D002A3C00293C00293C00283B00283B00273B
00273A00263A00263A00253A002539002539002439002439
pop
P
% End of image
% End of Graphics
MathPictureEnd
\
\>"], "Graphics",
  ImageSize->{396, 396},
  ImageMargins->{{0, 0}, {0, 0}},
  ImageRegion->{{0, 1}, {0, 1}},
  ImageCache->GraphicsData["Bitmap", "\<\
CF5dJ6E]HGAYHf4PAg9QL6QYHg<PAVmbKF5d0`40006<0001S2000`400?l00000o`00003oo`3ooon=
0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=
0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00?`3oool2000000@0oooo00<0
00000?ooo`3oool00`3oool2000000@0oooo0`00000b0?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`8000000P3oool5000003L0oooo0P00000l0?ooo`800000103oool00`000000oooo0?oo
o`030?ooo`8000000P3oool500000340oooo0P0000040?ooo`030000003oool0oooo00<0oooo0P00
00040?ooo`<000008@3oool003h0oooo00@000000?ooo`3oool00000203oool010000000oooo0?oo
o`0000040?ooo`030000003oool0oooo0300oooo00@000000?ooo`3oool00000203oool010000000
oooo0?ooo`0000020?ooo`040000003oool0oooo000003H0oooo00@000000?ooo`3oool00000>P3o
ool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo00000080oooo00@000000?ooo`3o
ool00000<03oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000@0oooo00<0
00000?ooo`3oool0803oool003L0oooo1@0000020?ooo`040000003oool0oooo000000P0oooo00D0
00000?ooo`3oool000000?ooo`05000002X0oooo1@0000020?ooo`040000003oool0oooo000000P0
oooo00@000000?ooo`3oool000000`3oool00`000000oooo0?ooo`0f0?ooo`040000003oool0oooo
000003X0oooo00@000000?ooo`3oool00000203oool010000000oooo0?ooo`0000030?ooo`030000
003oool0oooo0300oooo00@000000?ooo`3oool00000203oool01@000000oooo0?ooo`000000oooo
00D000008@3oool003h0oooo00@000000?ooo`3oool00000203oool01P000000oooo0?ooo`000000
oooo00000080oooo00<000000?ooo`3oool0<03oool010000000oooo0?ooo`0000080?ooo`040000
003oool0oooo000000@0oooo00<000000?ooo`3oool0=@3oool010000000oooo0?ooo`00000j0?oo
o`040000003oool0oooo000000P0oooo00@000000?ooo`3oool00000103oool00`000000oooo0?oo
o`0_0?ooo`040000003oool0oooo000000P0oooo00H000000?ooo`3oool000000?ooo`0000020?oo
o`030000003oool0oooo0200oooo000n0?ooo`040000003oool0oooo000000P0oooo00@000000?oo
o`3oool000000P3oool00`000000oooo0000000b0?ooo`040000003oool0oooo000000P0oooo00H0
00000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo03@0oooo00@000000?ooo`3o
ool00000>P3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0^0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000P3oool00`000000oooo0000000R0?ooo`00?P3oool010000000oooo0?ooo`0000080?oo
o`040000003oool0oooo000000<0oooo0P00000b0?ooo`040000003oool0oooo000000P0oooo00H0
00000?ooo`3oool000000?ooo`0000030?ooo`030000003oool0oooo03@0oooo00@000000?ooo`3o
ool00000>P3oool010000000oooo0?ooo`0000080?ooo`060000003oool0oooo0000003oool00000
0`3oool00`000000oooo0?ooo`0^0?ooo`040000003oool0oooo000000P0oooo00@000000?ooo`3o
ool000000`3oool200000280oooo000o0?ooo`8000002P3oool2000000D0oooo00<000000?ooo`3o
ool0<@3oool2000000X0oooo0P0000030?ooo`<00000>03oool2000003`0oooo0P00000:0?ooo`80
00000`3oool300000380oooo0P00000:0?ooo`8000001@3oool00`000000oooo0?ooo`0P0?ooo`00
o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00o`3ooon=0?ooo`00
o`3ooon=0?ooo`00703ooooo0000070000000@3oool001`0oooo00<000000?ooo`3oool0103oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03`3oool0
0`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3oool03P3oool0
0`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3oool0103oool1
00000040oooo000L0?ooo`030000003oool0oooo02L0oooo00<000000?ooo`3oool0A03oool00`00
0000oooo0?ooo`130?ooo`030000003oool0oooo04@0oooo00<000000?ooo`3oool0@`3oool00`00
0000oooo0?ooo`0W0?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0o`3ooom/0?ooo`40
00000@3oool001`0oooo00<000000?ooo`3oool0o`3ooom/0?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0o`3ooom/0?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0o`3ooom/
0?ooo`4000000@3oool001`0oooo0P00003o0?ooof`0oooo0P0000010?ooo`00703oool00`000000
oooo0?ooo`040?ooo`T0008I2@3o00000`3n1P00je400>]A00020=b30080d:H000<0a/000:Vn002Y
_P000P2<]`0207B`0003062[001?YP00CjH00080@J400P0eW@000`0ZVP0089H0022F000201RC0080
49000P0:SP000`04R`0008T100290@0200271P8008D:00<008<>00214P00PA800P00OaD2001DC0<0
05=<0P00DTd3001AC@@0051>0`00Cdh4001>CP8004e>00<004a=001;C@00Bdd00P00BT`20019C080
04Q<00<004Q;0017B`00Ad/00P00AT/20016BP<004E:0P00A4X30013B@H004990`00@DP50010B080
03m81000?dL7000nA`8003e71`00?DH<000lAPL003]67000>dD7000kAP`003a61P00?DH3000mA`L0
03i71000?dL2000oB0D004180`00@DP60012B@<004=90P00A4X30015BP8004I:0P00AT/20017B`03
0018B`00B4`004Q<008004U<0P00BT`2001;C@03001<C@00CDh004e>00@004i>0`00Cdh4001@CP<0
055=0P00DTd3001CC08005A<0P00OaD200214P0300233P00Q@X008D:008008L60P00R@400`04R`00
2Xh000Z>0002012@008069<00P0PUP000`0ZVP00=Id003FM0002046Q0080CjH000<0H:/007B`001d
/0000P2<]`020:Vn00030<K0003@YP00d:H00080g8<00P3[D@000`3n1P00o`000?l000070?l000T0
008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo2@000QT90?l000030?h6
003[D@00je400080g8<00P3@YP000`36`000ZKh00:Vn000208bg0080M;0000<0H:/004nV001?YP00
0P11X@0203FM000302ZJ000PUP0089H0008069<00P0@T00200Z>000300B;0000R@4008T1008008L6
0P00Q@X00`00P`h0084B00214P02001o5@8005A<0`00Dd`2001BC@<0055=1000D4h3001?CP@004i>
0P00CDh00`00C4d004]=001;C@02001:C08004U<0P00B4`00`00B4/004M;0017B`020016B`8004I:
0`00ADX20014BP<004=91P00@TT30011B0D004180P00?dP4000oA`L003i70P00?DL7000mAP`003a6
1`00>dHL000kA@L003]63000?4H6000mAP<003e71`00?TL4000oA`8003m81@00@4P30011B0H00499
0`00@dT20014BP<004E:0P00ATX20016B`8004M;00<004Q;0018C000B4`00P00BD`2001:C08004]=
00<004a=001=CP00CDh01000CTh3001?CP@0051>0`00DDd2001BC@<005=<0P00E4`2001o5@80084B
00<008<>00252P00Q@X00P00Q`H200290@0300B;000:SP002Xh0008049000P0HT`02022F000302ZJ
000eW@00=Id00080@J400P1?YP000`1PZ`00M;0007B`000208bg0080ZKh000<0a/000=2V003@YP00
0P3LP`020>]A00030?h6003o0000o`0000L0o`002@000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103oool;00026@P0o`000P3n1P020>]@0080g8<000<0dJH00<No0037_`000P2Z
_P0208fg000307Fa001QZ`00HJ/00080D:H00P12X@000`0eW@00:YX002ZJ0002026F008069<00P0A
T0000`0:SP0018/000B;00020029008008L500<008D:00233P00P`h00P00PA4200205@<005A<0P00
Dd`3001BC@@0055=0P00D4h5001?CP8004i>00<004e>001<C@00C4d00P00Bdd2001:C@8004Y<00<0
04U<0018C000B4`01000Ad/00`00AT/004I:0016BP020015BP<004A:1000@dT50012B@@004581@00
@4P2000oB0D003m71`00?TL4000mA`L003e65@00?4H:000kAQD003a61`00?DH4000mA`L003i71@00
?dL2000oB0D004181000@DP50012B@@004=90`00A4X20015BP8004I:00<004I;0017B`00Ad/00P00
Ad/20018C0030019C000BT`004Y<008004Y=0P00Bdd2001<C@03001=CP00CTh004i>00D004m>0P00
D4h4001AC@<0059=0P00Dd`3001DC080080E0P00PA4200233P0300252P00Q`D008L5008008T00P04
R`000`0:SP004I00016@000201RC00808IH00P0ZVP000`0eW@00@Z4004:Q0002052V0080HJ/000<0
MK4008fg002=]`000P2Z_P020<No00030=6V003LP`00g8<00080je000P3n1P080?l000/0008I1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo2`000QT80?l00080oPH00P3[D002
0=b300030=6V0037_`00akl00080Z[h00P2=]`000`1e/@00HJ/0066[0002052V0080@Z4000<0=Id0
02ZJ000ZVP000P0QUP0201RC00804I0000<02Xh000B;0004R`000P00R@0200271@0300252P00P`h0
08<>0080084A0P00P1D3001DC08005=<0`00DTd4001AC@80051>1@00Cdh2001>CP03001=CP00C4d0
04a=008004]=0P00BTd2001:C0030019C000B4`004Q<00@004M;00<004I;0016BP00ATX00P00ADX3
0014BP@004=91@00@TT40011B0D004180P00?dP5000oA`L003i71000?DL7000mAQD003a62P00>dHE
000lAPL003e61000?DL7000nA`D003m70P00?dP50010B0@004581@00@TT40013B@<004A:0P00ADX2
0016BP030016B`00Ad/004M;008004M;0P00B4`00`00BD`004Y<001:C002001:C@8004]=0P00C4d0
0`00CDh004i>001>CP05001?CP80051>1000DDd3001BC@8005=<0`00E4`200205@80084A0P00P`h0
0`00Q@X008L500271@020029008018/000<02Xh0016@000AT0000P0HT`02026F0080:YX000<0=Id0
04:Q0012X@000P1@YP02066[000307Fa002=]`00SKL00080Z[h00P37_`000`3AYP00g8<00=b30002
0>]@0080oPH0203o000;00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oo
o``0008I2@3o00020?h60080je0000<0gH800=6V003AYP000P37_`020:Zn000308fg001f/@00M[40
0080HZ/00P1AYP000`12XP00=Yh003JN000202^J00808IL00P0IT`000`0AT@002hh000^>000200F<
008008T000<008L500252@00Q@T00P00P`d200214@0300205000E4`005A<008005A<0P00Dd`3001B
C@@0055=0`00D4h4001?CP03001>CP00CDh004e>00@004a=0P00Bdd00`00BT`004U<0019C0020018
C08004Q;0`00Ad/20016B`<004E:1000A4X30013B@H004991@00@DP50010B08003m81@00?dL9000n
A`@003e72P00?DHP000lAPX003e61000?DL9000nA`D003m70P00?dP50010B0D004581P00@TT30013
B@@004A:0`00ADX20016B`<004M;0P00B4/20018C08004U<00<004Y<001;C@00Bdd01000C4d2001=
CP03001>CP00Cdh004m>008004m>0`00D4h4001AC@<0059=0P00Dd`4001DC00300205000PA40084A
008008<=0P00Q@T00`00Q`D008T00029000200F<00802hh000<04I4001VC000IT`000P0QU`0202^J
0080=Yh000<0@Z80056V001AYP000P1RZ`0207Ja000308fg002Z_P00Z[h00080akl00P3AYP000`3M
PP00je000>]@00020?h600T0o`0030000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103oool>00026@T0o`000P3n1`000`3[D@00gH800=f200020=6U0080akl000<0Zkh008jg002>
]`000P1f/@0206:[0003056V0013XP00@j800080=Yh00P0[VP0202:G000301VD000BT@004Y400080
2hh00P05S0000`00R@0008L40027100200252@8008<=00<0088A00205000P1@00P00OQL2001DC003
001CC000Ddd005==0080059=0`00DDd4001@CP<004m>1000CTh2001=CP8004a=00<004]=001:C@00
BTd00P00BT`20019C0030018C000B4/004Q;008004M;0`00AT/40015BP<004A:1000@dT50012B@80
04590`00@DP80010B003000oB000?dL003m700@003m73000?TL5000mAb0003e61@00?DL<000nA`H0
03m700<003m80010B000@4P01P00@4P30011B08004591@00@TT40013B@<004A:1000ADX30016B`80
04M;0P00B4/00`00B4`004U<0019C002001:C08004Y=00<004]=001<C@00C4d00P00CDh4001>CP<0
04m>1000D4h3001AC@80059=0P00Ddd00`00Dd`005A<001DC002001n5`80080D00<0088A00233@00
P`d00P00Q@T20027100300290005S0001H`000802hh00P0BT@000`0IU0008YL002:G000202^J0080
=Yh00P13XP000`1AYP00HZ/006:[000207Ja0080S[L000<0Zkh00<No0037_`000P3AY@020=f20003
0>]A003n1`00oPL000T0o`003P000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0
103oool>00026@T0o`000P3n1`000`3[D@00gH800=f200020=6U0080akl000<0Zkh008jg002>]`00
0P1f/@0206:[0003056V0013XP00@j800080=Yh00P0[VP0202:G000301VD000BT@004Y4000802hh0
0P05S0000`00R@0008L40027100200252@8008<=00<0088A00205000P1@00P00OQL2001DC003001C
C000Ddd005==0080059=0`00DDd4001@CP<004m>1000CTh2001=CP8004a=00<004]=001:C@00BTd0
0P00BT`20019C0030018C000B4/004Q;008004M;0`00AT/40015BP<004A:1000@dT50012B@800459
0`00@DP80010B003000oB000?dL003m700@003m73000?TL5000mAb0003e61@00?DL<000nA`H003m7
00<003m80010B000@4P01P00@4P30011B08004591@00@TT40013B@<004A:1000ADX30016B`8004M;
0P00B4/00`00B4`004U<0019C002001:C08004Y=00<004]=001<C@00C4d00P00CDh4001>CP<004m>
1000D4h3001AC@80059=0P00Ddd00`00Dd`005A<001DC002001n5`80080D00<0088A00233@00P`d0
0P00Q@T20027100300290005S0001H`000802hh00P0BT@000`0IU0008YL002:G000202^J0080=Yh0
0P13XP000`1AYP00HZ/006:[000207Ja0080S[L000<0Zkh00<No0037_`000P3AY@020=f200030>]A
003n1`00oPL000T0o`003P000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103o
ool@00026@T0o`0000<0oPP00>]A003[D@000P3LPP020=6U00030<No002[_P00Zkh00080S[L00P1g
/@000`1SZ`00DZH005:V000204>R0080=ih00P0/VP000`0RU`006Y@001ZD000201:A008038h000<0
1X`0002:0000RP000P00Q`@20025200300243000PQ00088@0080080D0P00OaL00`00E4`005=<001C
C002001CC0<0059=1000DDd3001@CP@004m>0P00CTh2001=CP<004a=0P00Bdd2001:C0<004U<0P00
B4`30017B`@004I;0`00ADX40014BPD004=91@00@TT60011B0L004180P00?dP7000oAa4003i74P00
?DLA000nA`L003m70P00?dP70010B0H004581@00@TT50013B@@004A:0`00ADX40016B`<004M;0P00
B4`30019C08004Y<0P00Bdd3001<C@8004e>0P00CTh4001?CP<0051>1000DDd3001BC@@005=<00<0
05A<001o5`00OaL00P00P1@20022400300243000Q@P008D8008008L40P00RP000`06S00038h000b>
000201:A00806Y@000<08YL002bJ000/VP000P0gWP0204>R0080DZH000<0Hj/007Na001g/@000P2>
]`020:^n00030<No003AY@00dJD00080g8800P3[D@000`3n2000o`000?l000070?l00100008I1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo40000QT90?l000030?h8003[D@00
je400080g8800P3AY@000`37_`00Zkh00:^n000208jg0080Mk4000<0Hj/005:V001BYP000P13XP02
03NN0080;9X000<08YL001ZD000JU0000P0BT@0200b>000300J<0000RP0008X0008008L40P00Q@P0
0`00Q0`0088@002240020020508007lG00<005A<001CC000Dd`00P00Dd`3001BC@@0055=0`00D4h4
001?CP8004i>0P00CDh3001<C@8004]=0P00BT`30019C08004Q<0`00Ad/40016B`<004E:1000A4X5
0013B@D004991P00@DP70010B08003m81`00?dLA000nAa8003e74@00?TL7000oA`8003m81`00@4P6
0011B0D004991@00@dT40014BP<004E:1000AT/30017B`8004Q<0`00BD`2001:C08004]=0`00C4d2
001=CP8004i>1000Cdh3001@CP@0055=0`00DTd4001CC003001DC000OaL007lG0080080D0P00PQ00
0`00Q0`008D8002520020027108008X000<01X`000b>000<SP000P0BT@0201ZD000302:G000/VP00
;9X00080=ih00P13XP0205:V000306>[001g/@00Mk400080S[L00P2[_P000`37_`00dJD00=6U0002
0=b20080je4000<0oPP00?l0003o00001`3o000@00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?oooa80008I203o00020?d90080je800P3LP`000`3AY@00akl00<No00020:bo
0080SkL000<0Mk4006>/001S[0000P1BY`0204BR0080=ih000<0;9X002>G000SU`000P0JU00201>A
000300b?0006S0001X`000800HX00P00R0<00`00QPP008@<0024300200224080080C00<007lF001m
6@00OAT00P00E4`2001CC0<0059=1000DDd3001@CP@004m>0`00CTh2001=CP8004a=0`00Bdd2001:
C08004U<0P00B4`00`00B4/004M;0017B`020017B`8004I;00<004I:0015BP00ADX00P00ADX30014
BPH004=91@00@TT20011B@D004582@00@4P2000oB0X003m78000?TL:000oA`8003m82@00@4P50011
B08004591@00@TT60013B@<004A:1000ADX00`00ATX004I;0016B`040017B`030018B`00B4`004Q<
008004U<0P00BT`3001;C@8004a=0P00CDh3001>CP@004m>0`00D4h4001AC@<0059=0P00Dd`2001D
C08007dI00<007lF00204`00P1<00P00PQ020024300300262000R0<008P300800HX00P06S0000`0<
S`004i4001>A000201ZD00808iL000<0;9X003NN000gWP000P14XP0205:W0080Hj`000<0Mk4008ng
002?]`000P2/_`020<No00030=6U003LP`00g8<00080je800P3m2@080?l00180008I1`3oool10000
0040oooo000L0?ooo`030000003oool0oooo00@0oooo4P000QT80?l00080o@T00P3[DP020=b30003
0=6U0037_`00akl00080[;l00P2?]`000`1g/@00Hj`006>/000205:W0080A:800P0gWP000`0/VP00
8iL002>G000201ZD00804i4000<038l000J<0006S0000P01RP0200280`0300262000Q0`008@<0080
088@0P00P1<00`00OaH007dI001m6@02001DC08005=<0`00DTd4001AC@<0051>1000Cdh3001>CP80
04e>0P00C4d3001;C@8004Y<0P00BD`20018C0030018B`00Ad/004M;008004M;0P00AT/00`00ATX0
04E:0015BP020015BP<004A:1P00@dT50012B@8004591@00@DP90010B08003m82P00?dLP000nA`X0
03m70P00?dP90010B0D004580P00@DT50012B@H004=90`00A4X40015BP030016BP00AT/004I;00@0
04M;00<004Q;0018C000B4`00P00BD`2001:C0<004]=0P00C4d2001=CP<004i>1000Cdh3001@CP@0
055=0`00DTd2001CC08005A<0P00OAT00`00OaH0080C00204`020022408008@<00<008H800280`00
R0<00P01RP0200J<000300b?000CT@004i4000806Y@00P0SU`000`0/VP00=ih003NN000204BR0080
DZL00P1S[0000`1g/@00SkL008ng00020:bo0080akl000<0dJD00=b3003LP`000P3[DP020?d900P0
o`004P000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolC00026@T0o`00
0P3m2`020>]B00030=b3003AY@00dJD00080akl00P2/_`000`2?]`00Mk4007Na000206>/0080DjL0
0P14XP000`0hWP00;I/002fK000202>G00806i@000<04i4000b?000<S`000P06S002006:00030028
0`00QPL008H7008008@<0P00PPl00`00PA<007lF001o5P02001m6@8005A<00<005=<001CC@00Ddd0
0P00DTd3001AC@80051=0P00D4h5001?CP8004i>1000CDh00`00C4d004]=001;C@02001:C@8004Y<
00<004U<0018C000B4`00P00B4/30017B`8004I;0P00ATX30015BPH004A:1@00@dT50012B@L00458
2`00@4P3000oB2@003m70`00?dP;0010B0L004581@00@TT50013B@H004A:0`00ADX20016BP8004I;
0`00Ad/20018B`8004Q<00<004U<001:C000BT`00P00BTd2001;C@03001<C@00CDh004e>008004e>
0P00CTh5001?CP80051>0P00D4d3001AC@80059=0P00Ddd00`00Dd`005A<001DC002001m6@8007lF
00<0084C00223`00PPl00P00Q0`200261`0300280`01RP000HX000801X`00P0<S`000`0CT@006i@0
01^D000202>G0080;I/000<0>9h004BR0014XP000P1CY`0206>/0080Mk4000<0SkL00:bo002/_`00
0P37_`020=6U00030=b3003[DP00je800080o@/02@3o000C00026@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?oooaD0008I2@3o00020?`<00030>YC003LP`00g8<00080dJH00P37
_`000`2/_`00SkL008ng000207Ra0080I:`00P1CY`000`15XP00>9h003RN000202fK008099L000<0
6i@001BA000DT@000P0=S`0200N<0003006:0000R0<008P3008008H70P00Q0/00`00PPl0084B0021
4P02001o5P8007hH00<005A<001CC000Dd`00P00Dd`3001BC@@0055=1000D4h3001?CP@004i>00<0
04e>001<C@00C4d01000Bdd00`00BT`004U<0019C0020019C08004Q<00<004Q;0017B`00Ad/00P00
Ad/20016B`030016BP00ADX004E:008004E:1@00A4X60013B@L0049900<004590011B000@DP01@00
@DPD0010B0X003m85000@4P70011B0030011B@00@TT0049900D004991P00@dT50014BP@004E:00<0
04I:0016B`00AT/01000Ad/00`00B4/004Q<0018C0040019C003001:C000Bdd004]=008004]=0P00
C4d00`00CDh004i>001>CP02001>CP<004m>1000D4h4001AC@<0059=1000Dd`00`00E4`007hH001n
6002001o5P80084B00<0088?00242`00Q0/00P00QPL200280`03006:0007S0001h`000803Hl00P0D
T@000`0KU00099L002BG000202fK0080>9h000<0AJ8005>W001CY`000P1T[00207Ra0080SkL000<0
[;l00<No0037_`000P3AYP020=b300030>YC003l3000o0`000T0o`005@000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooolE00026@T0o`000P3l30000`3ZD`00g8<00=b30002
0=6V0080akl000<0[;l008ng002?]`000P1h/@0206B/0080DjL000<0AJ8003RN000hWP000P0]V`02
02BG000301^D000DT@00594000803Hl00P07S0000`01RP0008P300280`0200261`8008@;00<0088?
00214P00PA800P00OaH2001n6003001DC000Dd`005=<008005=<0`00DTd4001AC@@0051>0`00Cdh4
001>CP03001=CP00C4d004a=00@004]=00<004Y<0019C000BD`00P00BD`20018C0030018B`00Ad/0
04M;008004M;0P00AT/00`00ATX004E:0015BP020015BPD004A:1P00@dT70012B@030011B@00@DP0
045800D004585000@4P:000oB1@004181`00@DP00`00@DT004990012B@050012B@H004=91@00A4X4
0015BP030016BP00AT/004I;00@004M;00<004Q;0018C000B4`01000BD`00`00BT`004]=001;C@02
001;C@8004a=00<004e>001>CP00CTh00P00CTh3001?CP@0051>1000DDd3001BC@@005=<00<005A<
001n6000OQP00P00OaH200214P0300223`00Q0/008@;008008H70P00R0<00`01RP001h`000N<0002
00f?0080594000<06i@002BG000TU`000P0]V`0203RN000304FR001CY`00DjL00080I:`00P1h/@02
08ng00030:bo0037_`00akl00080dJH00P3LP`000`3ZD`00o0`00?`<00090?l001D0008I1`3oool1
00000040oooo000L0?ooo`8000001@3ooolG00026@T0o`0000<0o0h00>YD003ZE0000P3LQ0020=2V
00030<No002/_`00[;l00080SkP00P1h/@0206B/000305>W0015XP00AJ800080>9h00P0^V`000`0T
V00079@001bD000201BB00803Hl000<01hd000::0002RP000P00R08200261`0300242`00P`l008<?
0080084B0P00OaD00`00OQP007`K001l6`04001CC0<0059=1000DDd3001@CPH004m>00<004i>001=
CP00CDh00P00CDh2001<C@<004]=0P00BT`30019C08004Q<0P00B4/30017B`@004I;1@00ADX60014
BPD004=92@00@TT00`00@DT004580011B0090011B1`004182`00@DP00`00@DT004990012B@070012
B@D004=91P00A4X50015BP@004I;0`00Ad/20018B`8004Q<0`00BD`2001:C0<004]=0P00C4d4001=
CP03001>CP00Cdh004m>00@004m>0`00D4h4001AC@<0059=1000Dd`2001l6`03001n6000OaD007lE
0080084B0P00P`l00`00Q0/008H700261`0200280P800XX000<01hd000f?000=S`000P0DTP0201bD
000302BH000^V`00;Y/00080>9h00P15XP000`1CY`00I:`006B/000207Ra0080SkP00P2/_`000`37
_`00d:H00=2V00020=b40080jU@000<0o0h00?l0003o00001`3o000G00026@H0oooo0P0000010?oo
o`00703oool00`000000oooo0?ooo`040?oooaL0008I2@3o00000`3l3P00jU@00>YD00020=b40080
d:H000<0akl00:bo002/_`000P2?^00207Ra0080I:`000<0DjL004FR0015XP000P0hWP0202jK0003
02BH000LU00079@0008059800P0=S`000`07S@000XX000::000200280P8008H700<008@;00233`00
P`l00P00PA82001o5@03001n6000O1/007`K00@005=<0`00DTd4001AC@<0051>1P00Cdh00`00CTh0
04e>001=CP02001=CP8004a=0`00Bdd2001:C0<004U<0P00B4`20018B`<004M;1000AT/50015BPH0
04A:1@00@dT90012B@030011B@00@DP0045800T004587000@4P;0011B0030011B@00@TT0049900L0
04991@00@dT60014BPD004E:1000AT/30017B`8004Q;0P00B4`30019C08004Y<0`00Bdd2001<C@@0
04e>00<004i>001?CP00Cdh01000Cdh3001@CP@0055=0`00DTd4001CC08007`K00<007hH001o5@00
OaD00P00PA8200233`0300242`00QPL008H7008008P20P02RP000`07S@003Hl000f?000201BB0080
79@000<099P002jK000^V`000P0hWP0204FR000305>W001T[000I:`00080N;400P2?^0020:bo0003
0<No003@YP00d:H00080g8@00P3ZE0000`3l3P00o`000?l000070?l001L0008I1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0oooo6@000QT80?l00080na400P3ZEP020=b500030=2V
0037_`00akl00080[;l00P2?^00207Ra000306B/001DY`00E:L00080AJ<00P0iW`000`0^V`0099P0
02BH000201bE0080598000<03Xl000R=0008S@000P02RP0200280P0300261P00Q@X008D:008008<>
0P00PA800`00P1D007hH001n6002001m6P8005A<00<005=<001BC@00DTd00P00DTd4001AC@03001@
C@00D4h0051>0080051>0`00Cdh4001>CP8004e>0`00C4d2001;C@8004Y=00<004Y<0019C000BD`0
0P00BD`20018C0030018B`00Ad/004M;008004M;0`00AT/60015BPD004A:0P00A4T70013B@X00499
0P00@DTP0011B08004592P00@TT70013B@8004A91@00A4X60015BP<004I;1000Ad/00`00B4/004Q<
0018C0040019C003001:C000BTd004Y=008004]=0`00C4d2001=CP@004i>0`00Cdh4001@CP03001@
C@00DDd0055=0080055=1000DTd00`00Dd`005A<001DC002001m6P8007hH00<0080E00214P00PA80
0P00P`h200252P0300261P00R08008P200800XX00P08S@000`0>S`00598001BB000201bE008099P0
00<0;Y/003VO000iW`000P15X`0205BW000306B/001h/@00N;400080SkP00P2/_`020<No00030=2V
003LQ@00g8D00080jUH00P3k4@080?l001T0008I1`3oool100000040oooo000L0?ooo`030000003o
ool0oooo00@0oooo6@000QT80?l00080na400P3ZEP020=b500030=2V0037_`00akl00080[;l00P2?
^00207Ra000306B/001DY`00E:L00080AJ<00P0iW`000`0^V`0099P002BH000201bE0080598000<0
3Xl000R=0008S@000P02RP0200280P0300261P00Q@X008D:008008<>0P00PA800`00P1D007hH001n
6002001m6P8005A<00<005=<001BC@00DTd00P00DTd4001AC@03001@C@00D4h0051>0080051>0`00
Cdh4001>CP8004e>0`00C4d2001;C@8004Y=00<004Y<0019C000BD`00P00BD`20018C0030018B`00
Ad/004M;008004M;0`00AT/60015BPD004A:0P00A4T70013B@X004990P00@DTP0011B08004592P00
@TT70013B@8004A91@00A4X60015BP<004I;1000Ad/00`00B4/004Q<0018C0040019C003001:C000
BTd004Y=008004]=0`00C4d2001=CP@004i>0`00Cdh4001@CP03001@C@00DDd0055=0080055=1000
DTd00`00Dd`005A<001DC002001m6P8007hH00<0080E00214P00PA800P00P`h200252P0300261P00
R08008P200800XX00P08S@000`0>S`00598001BB000201bE008099P000<0;Y/003VO000iW`000P15
X`0205BW000306B/001h/@00N;400080SkP00P2/_`020<No00030=2V003LQ@00g8D00080jUH00P3k
4@080?l001T0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo6P000QT9
0?l00080na<00P3YE`000`3LQP00d:L00=2W00020<No0080Zkl00P2?^0000`1h/@00I:`006B/0002
05BW0080AJ<000<0>Il002jK000^V`000P0UV00201bE000301FB000>S`003Xl0008028d00P03R`00
0`00R@4008L600271P0200252P8008<>00<0084A00205000P1@00P00OQL2001m6P03001k7@00Dd`0
05=<008005=<1000DTd3001AC@@0051>1@00Cdh3001>CP8004e>0P00C4d3001;C@8004Y=0P00BT`3
0019C08004Q<0P00B4/30017B`@004I;0P00ATX50015BPL004A:2@00@dTZ0012B@T004=91`00A4X5
0015BP8004I:1000AT/30017B`8004Q;0P00B4`30019C08004Y<0P00BTd3001;C@8004a=0P00CDh3
001>CPD004m>1000D4h3001AC@@0059=1000Dd`00`00Nad007dJ001m6P02001n5`80080D00<0084A
00233P00P`h00P00Q@X200271P0300290@03R`000h/0008028d00P0>S`000`0ETP0079D001bE0002
02FH0080;Y/000<0>Il004FS0015X`000P1DY`0206B/000307Ra002?^000SkP00080Zkl00P37_`02
0=2W00030=^6003YE`00jEL00080na<02@3o000J00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?oooa`0008I2@3o00020?XF00030>UI003KQP00fhH00080d:L00P37_`020:^n
000308ng001h/@00N;400080IJ`00P1DY`000`16X`00>Il003VO000202nK00809IP000<07ID001FB
000ETP000P0>S`0200R=000300>;0000R@4008T1008008L60P00Q@X00`00P`d0084A00214@020020
508007hG00<007dJ001l7000O1`01000Dd`3001BC@@0055=0P00D4d3001@CPD004m>0P00CTh4001=
CP03001<C@00Bdd004]=008004]=0`00BT`40019C08004Q<00<004Q;0017B`00Ad/01000Ad/30016
B`8004I:1@00ADX90014BQ0004=93P00@TT@0013B@T004A:1@00ADX20016BP<004I;1P00Ad/00`00
B4/004Q<0018C0040019C0<004Y<1000Bdd00`00C4d004e>001=CP02001=CP8004i>1@00Cdh3001@
CP80051=1000DDd3001BC@@005=<0P00O1`00`00OAX007hG001n5`0200205080084A00<008<=0025
2P00Q@X00P00Q`H200290@0300>;0008S@0028d000803Xl00P0ETP000`0MU@009IP002FH000202nK
0080>Il000<0AZ<005BW001DY`000P1T[00207Ra000308ng002[_P00Zkh00080akl00P3@Y`020=^6
00030>UI003j5P00nQH000T0o`0070000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103ooolL00026@T0o`000P3j5P000`3YF@00fhH00=^600020=2W0080akl00P2[_P000`2?]`00
N;4007Ra000206F/0080E:L000<0AZ<003VO000iW`000P0_V`0202FH000301fE000ETP005I800080
3Xl00P08S@000`03R`0008T100290@0200271P8008D:00<008<=00214@00PA400P00P1@2001n5`03
001m6P00O1`007`L00@005=<0`00DTd4001AC@80051=0`00D4h5001?CP8004i>1000CDh00`00C4d0
04]=001;C@02001;C@<004Y<1000BD`20018C0030018B`00Ad/004M;00@004M;0`00AT/20016BPD0
04E:2@00A4X@0013B@h004994000@dT90014BPD004E:0P00ATX30016B`H004M;00<004Q;0018C000
B4`01000BD`3001:C0@004]=00<004a=001=CP00CDh00P00CDh2001>CPD004m>0`00D4h2001@C@@0
055=0`00DTd4001CC08007`L00<007dJ001n5`00OQL00P00P1@200214@0300233@00Q@X008D:0080
08L60P00R@400`03R`0028d000R=000200j?00805I8000<07ID002FH000UV0000P0_V`0203VO0003
04JS001DY`00E:L00080I:`00P1h/@000`2?]`00Zkh00:^n00020<No0080d:L00P3KQP000`3YF@00
nQH00?XF00090?l001`0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
7P000QT90?l000030?XI003XFP00j5X00080fhP00P3@Z0020<K000030:^n002?]`00SkL00080N;40
0P1U[0000`1DY`00AZ<004JS000203ZO0080;i/000<09IP001fE000MU@000P0ETP0200n@000300V=
0003R`000h/0008008T10P00Q`D00`00Q@T008<=00233@0200224@80080D00<007lG001m6@00OAT0
0P00O1`2001DC08005=<00<005==001BC@00DTd00P00DTd3001AC@@0051>1@00Cdh4001>CP03001=
CP00C4h004a>008004a=0`00Bdd4001:C0<004U<0P00B4`20018B`D004M;1P00AT/00`00ATX004E:
0015BP050015BPd004A:6000@dT=0014BPL004E:00<004I:0016B`00AT/01000AT/50017B`8004Q;
0P00B4`30019C0@004Y<0`00Bdd2001<C@8004a>00<004e>001>CP00CTh00P00CTh5001?CP@0051>
0`00DDd4001BC@03001CC@00Dd`005=<008005A<0P00O1`2001m6@03001o5`00P1@0080D0080088A
0P00P`d00`00Q@T008L500271@0200290@800h/000<02Hd000n@000?T0000P0ETP0201fE000302FH
000_V`00;i/00080>Yl00P16X`000`1DY`00IJ`006F/000207Ra0080SkL000<0Zkh00<K00036`000
0P3@Z0020=^80080j5X000<0nQT00?l0003o00001`3o000N00026@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?oooah0008I2@3o00000`3j6@00j5X00>QJ00020=^80080d:P00P36
`0000`2[_P00SkL008ng000207Ra0080IJ`000<0E:L004JS0016X`000P0jW`0202nK000302FH000M
U@007ID000805I800P0?T0000`09S@000h/000>;000200290@8008L500<008D900233@00P`d00P00
PQ4200205003001o5`00OAT007dI008007`L0P00E4`2001CC003001CC@00DTd0059=0080059=0`00
DDd4001@CPD004m>1000CTh00`00CDh004a>001<CP02001<C@<004]=1000BT`30019C08004Q<0P00
B4/50017B`H004I;00<004I:0015BP00ADX01@00ADX=0014BQP004=93@00A4X70015BP030016BP00
AT/004I;00@004I;1@00Ad/20018B`8004Q<0`00BD`4001:C0<004]=0P00C4d2001<CP03001=CP00
CTh004i>008004i>1@00Cdh4001@CP<0055=1000DTd00`00Ddd005=<001CC002001DC08007`L0P00
OAT00`00OaL0080D0020500200224@8008<=00<008D900271@00Q`D00P00R@4200>;000300V=000?
T0003i0000805I800P0MU@000`0UV000;i/002nK000203ZO0080AZ<000<0E:L006F/001U[0000P1h
/@0208ng00030:^n0036`000a/000080d:P00P3KR0020>QJ00030?XI003o0000o`0000L0o`007P00
0QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolP00026@P0o`000P3i7002
0>QL0080fhT00P3?Z@000`36`000Z[h00:Zn000208ng0080N;4000<0IJ`005BW001DY`000P16X`02
03ZO000302nK000VV0009YP000807ID00P0FTP000`0?T0002Hd000V=000200B;008008T000<008L5
00252@00Q@T00P00P`d20022400300204`00OaH007lF008007dI0P00O1`2001k7P<005=<1000DTd3
001AC@80051=0`00D4h6001?CP<004i>0P00CDh3001<C@@004]=0P00BTd00`00BT`004U<0019C002
0019C0@004Q<00<004Q;0017B`00Ad/01000Ad/50016B`8004I:2P00ADXP0014BPX004E:0P00ATX5
0016B`H004M;00<004Q;0018C000B4`00P00B4`40019C003001:C000BTd004Y=00@004]=0`00C4d2
001=CP<004i>1P00Cdh3001@CP80051=0`00DDd4001BC@<005=<0P00Nah2001l708007dI0P00OaH0
0`00P1<0088@0022400200233@8008D900<008L500290000R@000P04R`0200V=000300n@000FTP00
5Y8000807ID00P0VV0000`0_V`00>Yl003ZO000204JS0080E:L000<0IJ`007Ra001h/@000P2?]`02
0:Zn00030<K0003?Z@00cjT00080fhT00P3XG0020?TL00P0o`0080000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103ooolP00026@P0o`000P3i70020>QL0080fhT00P3?Z@000`36
`000Z[h00:Zn000208ng0080N;4000<0IJ`005BW001DY`000P16X`0203ZO000302nK000VV0009YP0
00807ID00P0FTP000`0?T0002Hd000V=000200B;008008T000<008L500252@00Q@T00P00P`d20022
400300204`00OaH007lF008007dI0P00O1`2001k7P<005=<1000DTd3001AC@80051=0`00D4h6001?
CP<004i>0P00CDh3001<C@@004]=0P00BTd00`00BT`004U<0019C0020019C0@004Q<00<004Q;0017
B`00Ad/01000Ad/50016B`8004I:2P00ADXP0014BPX004E:0P00ATX50016B`H004M;00<004Q;0018
C000B4`00P00B4`40019C003001:C000BTd004Y=00@004]=0`00C4d2001=CP<004i>1P00Cdh3001@
CP80051=0`00DDd4001BC@<005=<0P00Nah2001l708007dI0P00OaH00`00P1<0088@002240020023
3@8008D900<008L500290000R@000P04R`0200V=000300n@000FTP005Y8000807ID00P0VV0000`0_
V`00>Yl003ZO000204JS0080E:L000<0IJ`007Ra001h/@000P2?]`020:Zn00030<K0003?Z@00cjT0
0080fhT00P3XG0020?TL00P0o`0080000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103ooolQ00026@T0o`000P3h7`020>MN0080fXX000<0cjT00<K10036`@000P2Z_P0208jg0003
07Ra001U[000IJ`00080E:L00P16X`000`0jW`00;i/002nK000202JH00807YD000<05Y8000n@000?
T0000P09S@0200B;000300290000Q`@008L4008008D90P00Q0`00`00PQ00080C00204`02001o5P80
07hI0P00O1/00`00Nah005=<001CC002001CC0<0059=1P00DDd3001@CPL004m>1000CTh00`00CDh0
04a=001<C@02001<C@<004]=0P00BTd2001:C0D004U<0P00B4`40018B`L004M;1`00AT/00`00ATX0
04E:0015BP0R0015BP030016BP00AT/004I;00D004I;1`00Ad/40018B`8004Q<1@00BD`2001:C080
04Y=0`00Bdd4001<C@03001=CP00CTh004i>008004i>1`00Cdh3001@CPH0055=0`00DTd4001CC003
001k7P00O1/007`K008007hI0P00OaH200204`0300224000Q0`008@<008008D90P00Q`@00`00R@00
18/000B;000200V=00803i0000<05Y8001jE000NU@000P0VV00202nK000303ZO0016X`00AZ<00080
E:L00P1U[0000`1h/@00S[L008jg00020:Zn0080a/4000<0cjT00=Z:003JRP000P3WGP020?PO00T0
o`008@000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolS00026@T0o`00
0P3g8`020>MP00030=Z;003?ZP00cjX00080a/400P2Y_P000`2>]`00N;4007Ra000206F/0080E:L0
00<0AZ<003ZO000jW`000P0`W00202JH000301jE000FT`005Y<0008049000P0:SP000`04R`0008T0
002900020027108008H800<008@<00223`00PPl00P00PA<2001o5P8007hH00<007`K001k7@00Nad0
0P00NQl2001CC003001CC@00DTd0059=0080059=0`00DDd2001@C@@0051>1@00Cdh3001>CP@004e>
0`00C4d4001;C@8004Y=0`00BT`60019C0<004Q<0P00B4/90017B``004I;3P00ATX<0016B`T004M;
0P00B4/30018C0H004U<0`00BT`2001:C@@004]=0`00C4d4001=CP<004i>1@00Cdh4001@CP80051=
0`00DDd4001BC@03001CC@00Dd`005=<008007XO0P00Nad00`00O1/007hH001n6002001o5P80084C
0P00PPl00`00Q0`008D8002520020027108008T000<018/000Z>000:SP000P0@T00201JC000301jE
000VV0009YP00080<9`00P0jW`000`16X`00E:L005BW000206F/0080N;4000<0S[L00:Vn002Y_P00
0P36`@020<nZ00030=Z;003WH000if000080mb<02@3o000S00026@L0oooo0@0000010?ooo`00203o
ool2000000@0oooo00<000000?ooo`3oool00`3oool3000000D0oooo00<000000?ooo`3oool0103o
oolS00026@T0o`000P3g8`020>MP00030=Z;003?ZP00cjX00080a/400P2Y_P000`2>]`00N;4007Ra
000206F/0080E:L000<0AZ<003ZO000jW`000P0`W00202JH000301jE000FT`005Y<0008049000P0:
SP000`04R`0008T0002900020027108008H800<008@<00223`00PPl00P00PA<2001o5P8007hH00<0
07`K001k7@00Nad00P00NQl2001CC003001CC@00DTd0059=0080059=0`00DDd2001@C@@0051>1@00
Cdh3001>CP@004e>0`00C4d4001;C@8004Y=0`00BT`60019C0<004Q<0P00B4/90017B``004I;3P00
ATX<0016B`T004M;0P00B4/30018C0H004U<0`00BT`2001:C@@004]=0`00C4d4001=CP<004i>1@00
Cdh4001@CP80051=0`00DDd4001BC@03001CC@00Dd`005=<008007XO0P00Nad00`00O1/007hH001n
6002001o5P80084C0P00PPl00`00Q0`008D8002520020027108008T000<018/000Z>000:SP000P0@
T00201JC000301jE000VV0009YP00080<9`00P0jW`000`16X`00E:L005BW000206F/0080N;4000<0
S[L00:Vn002Y_P000P36`@020<nZ00030=Z;003WH000if000080mb<02@3o000S00026@L0oooo0@00
00010?ooo`001`3oool010000000oooo0?ooo`00000:0?ooo`030000003oool0oooo00@0oooo00<0
00000?ooo`3oool0103ooolU00026@T0o`000P3f9P000`3VHP00fHd00=V=00020<n[0080a/8000<0
ZKh008jg002>]`000P1g/@0206B/000305BW0016X`00AZ<00080>Yl00P0`W0000`0VV0007YD001jE
000201NC0080490000<02Xh000F<0005S0000P00R@020027100300262000Q0`008@<0080088?0P00
PA82001o5@03001n6000OAX007dJ008007/M0P00NQl3001CC0@0059=1@00DDd5001@CPD004m>1000
CTh3001=CP@004a=1@00Bdd2001:C@8004Y<1`00BD`30018C0@004Q;4000Ad/:0016Ba0004M;1000
B4/30018C0D004U<1000BT`2001:C@D004]=1000C4d3001=CP@004i>1@00Cdh5001@CPD0055=1000
DTd3001CC08007XO0P00Nad2001m6P03001n6000OaD007lE0080084B0P00PPl20024300300262000
Q`@008L4008008T00P05S0000`0:SP004900012@000201NC00807YD000<09YP0032L000`W0000P0j
W`0204JS000305BW001T[000I:`00080Mk400P2>]`000`2Y_P00a/800<K200020<n[0080fHd000<0
iV800?HV003f9P002@3o000U00026@L0oooo0@0000010?ooo`001@0000020?ooo`040000003oool0
oooo000000L0oooo1@0000050?ooo`<00000103ooolU00026@T0o`000P3f9P000`3VHP00fHd00=V=
00020<n[0080a/8000<0ZKh008jg002>]`000P1g/@0206B/000305BW0016X`00AZ<00080>Yl00P0`
W0000`0VV0007YD001jE000201NC0080490000<02Xh000F<0005S0000P00R@020027100300262000
Q0`008@<0080088?0P00PA82001o5@03001n6000OAX007dJ008007/M0P00NQl3001CC0@0059=1@00
DDd5001@CPD004m>1000CTh3001=CP@004a=1@00Bdd2001:C@8004Y<1`00BD`30018C0@004Q;4000
Ad/:0016Ba0004M;1000B4/30018C0D004U<1000BT`2001:C@D004]=1000C4d3001=CP@004i>1@00
Cdh5001@CPD0055=1000DTd3001CC08007XO0P00Nad2001m6P03001n6000OaD007lE0080084B0P00
PPl20024300300262000Q`@008L4008008T00P05S0000`0:SP004900012@000201NC00807YD000<0
9YP0032L000`W0000P0jW`0204JS000305BW001T[000I:`00080Mk400P2>]`000`2Y_P00a/800<K2
00020<n[0080fHd000<0iV800?HV003f9P002@3o000U00026@D0oooo0`0000010?ooo`001`3oool0
10000000oooo0?ooo`0000070?ooo`040000003oool0oooo000000H0oooo00<000000?ooo`3oool0
103ooolU00026@/0o`0000<0mBX00>EU003UI@000P3ISP020<j/00030<G2002X_P00Z;h00080SKL0
0P1g/@000`1T[000E:L005BW000204JS0080>Yl000<0<9`002NH000WV0000P0NU@0201NC0003012@
000:SP002Xh000801H`00P00RP000`00R0<008H80026200200242`80088?0P00PA800`00OaD007hH
001n6002001m6P8007`L00<007XO001CC000Dd`00P00Dd`2001CC@<0059=1@00DDd6001@CPD004m>
0`00CTh6001=CP<004a=1000Bdd2001:C@D004Y<1`00BD`50018C0L004Q;4P00Ad/70018B`D004Q<
1`00BD`5001:C08004Y=1000Bdd3001<C@H004e>0`00CTh5001?CPH0051>1@00DDd3001BC@8005==
1000Dd`00`00NQl007`L001l7002001m6P8007hH00<007lE00214P00PA800P00PPl200242`8008H8
00<008P3002:0000RP000P05S00200Z>0003012@000GT`005i<000807YD00P0WV0000`0`W000>Yl0
03ZO000204JS0080E:L000<0I:`007Na001g/@000P2=]`020:Rn00030<G2003>[000cZ`00080fHh0
0P3UI@000`3e:P00o`000?l000090?l002D0008I1`3oool100000040oooo00070?ooo`040000003o
ool0oooo000000P0oooo00<000000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooobD0008I
2`3o00000`3e:P00iFD00>EU00020=V>0080cZ`000<0aL800:Rn002X_P000P2=]`0207Na000306B/
001DY`00E:L00080AZ<00P0jW`000`0`W0009iP002NH000201jE00805i<000<0490000Z>000:SP00
0P05S002002:000300280`00QPP008H8008008@;0P00PPl200214P03001o5@00OQP007hH008007dJ
0P00O1`00`00NQl005=<001CC002001CC08005==0`00DTd5001AC@H0051>1@00Cdh3001>CPH004e>
0`00C4d4001;C@8004Y=1@00BT`70019C0D004Q<1`00B4/B0017B`L004Q;1@00B4`70019C0D004Y<
0P00BTd4001;C@<004a=1P00CDh3001>CPD004m>1P00D4h5001AC@<0059=0P00Ddd4001CC003001j
7`00O1`007`L008007dJ0P00OQP00`00OaD0084B00214P0200223`8008@;0P00QPP00`00R0<008X0
002:000200F<00802Xh000<0490001NC000GT`000P0NU@0202NH0003032L000jW`00>Yl00080AZ<0
0P1DY`000`1T[000Mk4007Na000208fg0080Z;h000<0aL800<j/003>[0000P3ISP020>EU00030?DZ
003o0000o`0000T0o`009@000QT70?ooo`4000000@3oool000L0oooo00@000000?ooo`3oool00000
2@3oool2000000H0oooo00<000000?ooo`3oool0103ooolW00026@X0o`000P3d;P020>EW0080f900
00<0cZd00<G30035``000P2W_@0208fg000307Na001T[000I:`00080E:L00P16X`000`0kW`00<9`0
032L000202NI00807iH000<05i<0016@000AT0000P0;SP0200F<0003002:0000R0<008P3008008H7
0P00Q0/200233P0300214P00P1@0080D008007hG0P00OAX00`00O1`007/N001k7P02001i80<005=<
1000DTd5001AC@80051=0`00D4h7001?CPH004i>0`00CDh4001<C@L004]=0P00BTd3001:C0`004U<
5P00B4`<0019C0<004Y<0P00BTd7001;C@@004a=0`00CDh6001>CPL004m>0`00D4h2001@C@D0055=
1000DTd3001CC08007TP0P00Nah00`00O1`007dJ001m6P02001n5`80080E00<0084B00233P00P`h0
0P00Q0/200261`8008P300<008X000F<0005S0000P0;SP02016@000301NC000OUP007iH000809iT0
0P0`W0000`0kW`00AZ<004JS000205BW0080I:`000<0Mk4008fg002=]`000P2W_@020<G300030<j]
003HT000f9000080iFL00P3d;P0:0?l002L0008I1`3oool100000040oooo00080?ooo`8000002`3o
ool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo:0000QT;0?l00080lc800P3T
JP000`3HT@00cJh00<f^00020<G40080Y[d000<0S;L007Ja001f/@000P1T[00205BW000304JS000k
W`00>il00080<9`00P0WV@000`0OUP005i<001NC0002016@00802hh000<01X`0006:0001RP000P00
R0<200261`8008@;00<008<>00214@00PA400P00P1@2001n5`03001m6@00O1`007`L008007/N0P00
NR03001CC08005==0`00DTd6001AC@D0051>1`00Cdh5001>CPH004e>0`00C4d7001;C@@004Y=1`00
BT`H0019C0L004Y<1000BTd7001;C@<004a=1P00CDh5001>CPL004m>1@00D4h6001AC@<0059=0P00
Ddd3001CC08007XP0P00Nah2001l7003001m6@00OQL007hG0080080D0P00PA400`00P`h008@;0024
2`0200261`8008P30P01RP000`06S0002hh000^>0002016@00805i<000<07iH002NI000WV@000P0`
W00203^O000304JS001DY`00E:L00080I:`00P1f/@000`2<]`00Y[d00:Jm00020<G40080cJh000<0
f9400>AZ003TJP000P3c<P0;0?l002P0008I1`3oool100000040oooo000L0?ooo`030000003oool0
oooo00@0oooo:0000QT;0?l00080lc800P3TJP000`3HT@00cJh00<f^00020<G40080Y[d000<0S;L0
07Ja001f/@000P1T[00205BW000304JS000kW`00>il00080<9`00P0WV@000`0OUP005i<001NC0002
016@00802hh000<01X`0006:0001RP000P00R0<200261`8008@;00<008<>00214@00PA400P00P1@2
001n5`03001m6@00O1`007`L008007/N0P00NR03001CC08005==0`00DTd6001AC@D0051>1`00Cdh5
001>CPH004e>0`00C4d7001;C@@004Y=1`00BT`H0019C0L004Y<1000BTd7001;C@<004a=1P00CDh5
001>CPL004m>1@00D4h6001AC@<0059=0P00Ddd3001CC08007XP0P00Nah2001l7003001m6@00OQL0
07hG0080080D0P00PA400`00P`h008@;00242`0200261`8008P30P01RP000`06S0002hh000^>0002
016@00805i<000<07iH002NI000WV@000P0`W00203^O000304JS001DY`00E:L00080I:`00P1f/@00
0`2<]`00Y[d00:Jm00020<G40080cJh000<0f9400>AZ003TJP000P3c<P0;0?l002P0008I1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0oooo:P000QT;0?l00080lSH000<0hf`00=NC
003GT`000P3=[`020<C400030:Fm002;]P00RkH00080M[400P1T[0000`1DY`00AZ<004JS000203^O
0080<9`000<09iT001nF000OUP000P0HT`02016A000300^>0006S0001X`000800HX00P00R0820026
1`0300252P00P`h008<>0080084A0P00P1@00`00OaH007dI001m6@02001l6`8007/N00<007XP001D
C000E4`01000Dd`5001BC@D0055=1@00D4h9001?CPH004i>1@00CDh5001<C@T004]=1@00BTdB001:
C0D004Y=2@00Bdd5001<C@D004e>1P00CTh9001?CPD0051>1@00DDd5001BC@@005=<0P00E4`00`00
NR0007/N001k7P02001l6`8007dI00<007lF00205000P1@00P00PA4200233P0300252P00QPL008H7
008008P20P01RP0200J<000300^>000AT@004I40008069<00P0OUP000`0WV@00<9`0032L000203^O
0080AZ<000<0E:L006B/001T[0000P1f/@0208^f00030:Fm0034a000a<@00080cJl00P3GT`000`3S
K000lSH00?8f000;0?l002X0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0
oooo:P000QT;0?l00080lSH000<0hf`00=NC003GT`000P3=[`020<C400030:Fm002;]P00RkH00080
M[400P1T[0000`1DY`00AZ<004JS000203^O0080<9`000<09iT001nF000OUP000P0HT`02016A0003
00^>0006S0001X`000800HX00P00R08200261`0300252P00P`h008<>0080084A0P00P1@00`00OaH0
07dI001m6@02001l6`8007/N00<007XP001DC000E4`01000Dd`5001BC@D0055=1@00D4h9001?CPH0
04i>1@00CDh5001<C@T004]=1@00BTdB001:C0D004Y=2@00Bdd5001<C@D004e>1P00CTh9001?CPD0
051>1@00DDd5001BC@@005=<0P00E4`00`00NR0007/N001k7P02001l6`8007dI00<007lF00205000
P1@00P00PA4200233P0300252P00QPL008H7008008P20P01RP0200J<000300^>000AT@004I400080
69<00P0OUP000`0WV@00<9`0032L000203^O0080AZ<000<0E:L006B/001T[0000P1f/@0208^f0003
0:Fm0034a000a<@00080cJl00P3GT`000`3SK000lSH00?8f000;0?l002X0008I1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0oooo;0000QT;0?l000030?4j003SK`00hfl00080eiD0
0P3=/0000`33a000Y;d00:Bm000208^f0080MK4000<0Hj`005BW001DY`000P16X`0203^O0003032L
000WV@009iT000807iH00P0HT`000`0AT@002hh000^>000200J<00800HX00P00R0800`00QPH008D:
00252P0200233@80088@00<0080C001o5P00OaH00P00OQT2001l6`03001k7@00NQl007XO008007TQ
0`00Dd`2001CC@@0059=1@00DDd2001@C@D0051>2@00Cdh7001>CPD004e>2@00C4dL001;C@T004a=
1@00CDh7001>CPT004m>1@00D4h2001@C@D0055=1000DTd2001CC@<005=<0P00NB42001j7`03001k
7@00O1/007`K008007hI0P00OaH00`00P1<0088@0022400200233@8008D:00<008H600280P00R080
0P01RP0200J<00802hh000<04I4001RC000HT`000P0OUP0202NI0003032L000kW`00>il00080AZ<0
0P1DY`000`1S[000MK4007Fa000208^f0080Y;d000<0`l@00<f`003=/0000P3GU@020>=_00030?4j
003o0000o`0000T0o`00;0000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103o
ool/00026@/0o`0000<0lCX00>=_003SK`000P3GU@020<f`00030<?4002T_@00Y;d00080RkH00P1e
/@000`1S[000E:L005BW000204JS0080>il000<0<9`002NI000WV@000P0OUP0201RC0003016A000;
SP002hh000801X`00P01RP0200280P0300261P00Q@X008D:008008<=0P00PQ000`00P1<007lF001o
5P02001n6@8007`K00<007/M001j7`00NQl00P00NB43001CC08005==1000DTd5001AC@80051=1@00
D4h9001?CPL004i>1@00CDh9001<CA`004]=2@00C4d5001=CPL004i>2@00Cdh5001@CP80051=1@00
DDd4001BC@8005==0`00Dd`2001i8@8007XO00<007/M001l6`00O1/00P00OQT2001o5P0300204`00
PQ00088@008008<=0P00Q@X00`00QPH008P200280P02006:00801X`00P0;SP000`0AT@0069<001RC
000201nF00809iT000<0<9`003^O000kW`000P16X`0205BW000306>/001e/@00MK400080RkH00P2T
_@000`33a000cK000<f`00020=NE0080hfl000<0lCX00?l0003o00002@3o000/00026@L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooobh0008I2P3o00020?0n0080hW800P3FUP00
0`3</P00`L@00<7400020:>l0080R[H000<0MK4006>[001SZ`000P1DY`0204JS000303^O000`W000
<9`000809iT00P0OUP000`0HT`004Y4001:A000200b>00801X`00P02RP000`00R08008L600271P02
00252P8008<=00<0088@00204`00P1<00P00OaH2001n6003001m6`00Nad007/M008007XO0P00NB40
0`00E4`005=<001CC002001CC0D0059=1@00DDd2001@C@L0051>2@00Cdh7001>CPT004e>7000C4d9
001=CPL004i>2@00Cdh7001@CP80051=1@00DDd5001BC@@005=<00<005A<001i8@00NB400P00NQl2
001k7@03001m6`00OQP007hH008007lF0P00P1<00`00PQ0008<=00233@0200252P8008L600<008P2
00::0002RP000P06S00200b>00804Y4000<069<001nF000OUP000P0WV@02032L000303^O0016X`00
AZ<00080E:L00P1SZ`000`1e/000R[H008Zf00020:>l0080`L@000<0c;800=JF003FUP000P3RLP02
0?0n00X0o`00;P000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool`0002
6@X0o`000P3_@P020>5d00030=FH003</`00c;<00080`<<00P2R_0000`29]P00M;0007B`000206>[
0080DjL000<0AZ<003^O000kW`000P0`W00202NI000301nF000HT`0069<000804Y400P0<S`0200N<
000300::0000R04008P1008008L60P00Q@T00`00P`d0088@0022400200214`8007lE00<007hH001m
6P00OAX00P00O1`2001j7P03001i8000N28007PR00D005=<1P00DTd5001AC@80051=1`00D4h:001?
CP/004i>7000CDh;001>CPX004m>1`00D4h2001@C@D0055=1P00DTd5001CC08007PR00<007TP001j
7P00NQh00P00O1`2001m6P03001n6000OaD007lE0080084C0P00PQ000`00P`d008D900252@020027
1P8008P100<00XX000N<0007S0000P0<S`0201:A008069<000<07iH002NI000WV@000P0`W00203^O
000304JS001CY`00DjL00080Hj/00P1d/0000`29]P00X[`00::l00020<330080c;<000<0eIP00>5d
003QM0000P3_@P0:0?l00300008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0
oooo<0000QT:0?l00080kd800P3QM0000`3EV000c;<00<bc00020<330080X[`000<0RKH007B`001d
/0000P1SZ`0205>W000304JS000kW`00>il00080<9`00P0WV@000`0OUP0069<001RC000201:A0080
38l00P07S0000`02RP0008P100280@0200271P8008D900<008<=00224000PQ000P00PA<2001o5@03
001n6000OAX007dJ008007`L0P00NQh00`00NB0007PR001h8P05001CC0H0059=1@00DDd2001@C@L0
051>2P00Cdh;001>CQ`004e>2`00CTh:001?CPL0051>0P00D4d5001AC@H0059=1@00Dd`2001h8P03
001i8000NQh007XN008007`L0P00OAX00`00OQP007lE001o5@0200214`80088@00<008<=00252@00
Q@T00P00Q`H200280@0300::0007S0001h`0008038l00P0BT@0201RC000301nF000WV@009iT00080
<9`00P0kW`000`16X`00DjL005>W000206>[0080M;0000<0RKH00::l002R_0000P30``020<bc0003
0=FH003QM000hG@00080kd802P3o000`00026@L0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?oooc40008I2`3o00020>i600030>1g003EVP00eIX00080bk@00P2n``000`2Q_000R;H0
08Rf000207B`0080HZ/000<0DjL004JS0016X`000P0kW`02036L000302RI000PUP0089H0008069<0
0P0BT@0200b?000300N<0002RP000XX0008008T10P00Q`D00`00Q@T008@<0024300200223`80084B
00<007lE001n6000OQP00P00OAX2001l7003001k7P00NR0007XP008007TR0P00E4`3001CC08005==
1@00DTd7001AC@T0051>3000CdhR001>CPh004m>2@00D4h7001AC@D0059=0P00Ddd3001CC08005A<
0P00NB82001j8003001k7P00O1`007`L008007dJ0P00OQP00`00OaD0084B00214P0200223`8008@<
00<008D900271@00Q`D00P00R@4200::000300N<000<S`0038l000804Y400P0HT`02022F000302RI
000aW000<I`00080>il00P16X`000`1CY`00HZ/006:[000207B`0080R;H000<0XK`00;k3002n``00
0P3;]0020=FJ00030>1g003^AP00kTH000/0o`00<@000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103ooola00026@/0o`000P3^AP000`3PM`00eIX00=FJ00020<^d0080_/<000<0
XK`008Rf0028]P000P1d/00206:[000305>W0016X`00AZ<00080>il00P0aW0000`0XV@0089H0022F
000201RC00804Y400P0<S`000`07S0000XX000::000200290@8008L500<008D900243000Q0`00P00
PPl200214P03001o5@00OQP007hH008007dJ0P00O1`00`00Nah007XP001j8002001i8P8005A<0`00
Dd`2001CC@D0059=1`00DDd9001@CP`004m>8P00CTh>001?CPT0051>1`00DDd5001BC@8005==0`00
Dd`2001DC08007TR0P00NR000`00Nah007`L001l7002001m6P8007hH00<007lE00214P00PA800P00
PPl20024300300252@00Q`D008L5008008T10P02RP000`07S00038l000b?000201:A008069<00P0P
UP000`0XV@00<I`0036L000203^O0080AZ<000<0DjL006:[001RZ`000P1d/00208Rf00030:6l002n
``00_/<00080bk@00P3EVP000`3PM`00kTH00>i6000;0?l00340008I1`3oool100000040oooo000L
0?ooo`030000003oool0oooo00@0oooo<`000QT90?l00080oPL000<0kD/00=mj003ONP000P3DW002
0<^e00030;c3002O_000Wk`00080QkD00P1c/0000`1RZ`00DjL005>W000204JS0080>il000<0<I`0
02RI000XV@000P0PUP0201VC00804Y4000<03Hl000N=0007S@000P03R`0200290@0300271@00Q@T0
08D9008008@<0P00PPl00`00PA80080E00205@02001n5`8007dI00<007`L001k7P00Nah00P00NR02
001i8@03001DC000Dd`005=<00@005=<1`00DTd7001AC@80051=2000D4hb001?CPP0051>0P00D4d7
001AC@L0059=1000Dd`3001DC08007TQ0P00NR02001k7P03001l7000OAT007dI008007hG0P00P1D0
0`00PA80088?00223`020024308008D900<008L500290@00R@400P02R`0200N=000300f?000BT@00
4Y4000806I<00P0PUP0202RI0003036L000kW`00>il00080AZ<00P1CY`000`1RZ`00Lk0007>`0002
08Ne0080Wk`000<0_<<00<^e003;]@000P3DW0020=mj00030>e;003n1`00oPL000T0o`00<`000QT7
0?ooo`4000000@3oool001`0oooo0P0000050?oooc<0008I2@3o00020?h700030>e;003ONP00ggX0
0080e9`00P3;]@000`2l``00Wk`009nl000208Ne0080Lk0000<0HZ/005>W001CY`000P16X`0203^O
0003036L000XV@00:9T0008089H00P0IT`0201:A000300f?0007S@001hd000800h/00P00R@400`00
Q`D008D900252@0200243080088?00<0084B00205@00P1D00P00OQL2001m6@03001l7000Nah007/N
008007XP0P00NB400`00E4`005=<001CC004001CC0L0059=1`00DDd2001@C@P0051><P00Cdh8001@
CP80051=1`00DDd7001BC@@005=<0`00E4`2001i8@8007XP0P00Nah00`00O1`007dI001m6@02001n
5`80080E00<0084B00223`00PPl00P00Q0`200252@0300271@00R@4008T100800X/00P07S@000`0=
S`004Y4001:A000201VC008089H00P0XV@000`0aW000>il003^O000204JS0080DjL000<0HZ/007>`
001c/0000P27]@0209nl00030;c3003;]@00bkD00080e9`00P3ONP000`3]B`00oPL00?h700090?l0
03<0008I1P3oool200000040oooo000L0?ooo`030000003oool0oooo00@0oooo=@000QT90?l00003
0?`>003/C`00k4l00080gWd00P3CWP000`3:]`00^l800;_2000209jk0080Q[D000<0L[00066[001Q
Z`000P1CY`0204JS000303ZO000aW000<I`00080:9T00P0PUP0201VC000301>A000=S`003Hl00080
28d00P03R`000`00R@4008L500271@020026208008@<00<0088?00214P00PA800P00P1@2001o5`03
001m6@00O1/007`K008007/M0P00NQl00`00NB4007PS001h8`02001DC0D005=<1`00DTd9001AC@`0
051>9000Cdh<001@CPT0055=1`00DTd5001CC08005A<0P00N2<00`00NB4007XO001j7`02001k7@80
07`K00<007dI001o5`00OaL00P00P1@200214P0300223`00Q0`008@<008008H80P00Q`D00`00R@40
0h/000>;000200R=00803Hl000<04Y4001VC000IT`000P0PUP0202RI0080<I`000<0>Yl004JS0016
X`000P1BY`02066[000307:`0026]@00Q[D00080W[/00P2k`P000`3:]`00dih00=>N00020=im0080
k4l000<0o0h00?l0003o00001`3o000e00026@L0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?ooocD0008I2@3o00000`3l3P00k4l00>a?00020=im0080dih000<0b[L00;_2002k`P00
0P2N^`0208Je000307:`001QZ`00HJ/00080DjL00P16X`000`0jW`00<I`0036L000202RI008089H0
0P0IT`000`0CT@003Hl000f?000200R=00800h/000<008T100271@00Q`D00P00QPP2002430030022
3`00PA80084B0080080D0P00OaL00`00OAT007`K001l6`02001k7@8007XO00<007TQ001h8`00N2<0
0P00E4`5001CC0L0059=2@00DDd<001@CR@004m>3000D4h9001AC@L0059=1@00Dd`2001DC08007PS
00<007TQ001j7`00NQl00P00Nad2001l6`03001m6@00OaL007lG0080080D0P00PA800`00PPl008@<
002430020026208008L500<008T100>;0003R`000P08S@0200f?000301:A000IT`006I<0008089H0
0P0XV@02036L000303ZO0016X`00AZ<00080DZL00P1QZ`000`1b/000Q[D008Je000209jk0080^l80
00<0b[L00=>N003CWP000P3NO@020>a?00030?`>003o0000o`0000L0o`00=@000QT70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103ooole00026@X0o`000P3k50020>YC0080gH0000<0
dj000<Zh003:^0000P2i`P0209fk000308Fe001b/000L[000080HJ/00P1BY`000`15X`00>Yl003ZO
0002036L0080:9T00P0PUP000`0IU0004i4001>A000200f?008028d000<00h/000290000R@000P00
Q`@20026200300242`00P`h008<>0080084A0P00P1@00`00OaH007hI001n6@02001l6`8007/M00<0
07XO001i8000NB000P00N283001DC0H005=<1`00DTd:001ACA80051>3P00Cdh@001@CP80051=2P00
DDd7001BC@H005=<0`00E4`2001h8P8007TP00<007XO001k7@00Nad00P00O1/2001n6@03001o5P00
P1@0080D0080084A0P00P`h00`00Q0/008H8002620020027108008T000<00h/000R=0008S@000P0=
S`0201>A000301VD000PUP0089H00080:9T00P0aW00203ZO000304FS001BY`00DZL00080HJ/00P1b
/0000`25]@00WK/009fk00020;W20080b[P000<0dj000=f0003MP0000P3ZD`020?/D00X0o`00=@00
0QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolg00026@X0o`000P3i6`02
0>UH00030=b2003BXP00dZ800080bKT00P2g`@000`2K^`00Q;D008Be0002076_0080H:/000<0DZH0
04FS0015X`000P0jW`02036L0080:9T000<089H001VD000IU0000P0CT@0200f?000300R=0003R`00
0h/0008008T00P00Q`@00`00QPP008@;00242`0200233P80084A00<0080C001o5P00OaH00P00OQP2
001m6P03001l7000Nah007/N008007XP0P00NB800`00N2<005A<001DC002001DC0D005=<2@00DTd;
001AC@<0051=8000D4h3001@C@/0055=2@00DTd5001CC0@005A<00<007PS001i8P00NB800P00NR02
001k7P03001l7000OAX007dJ008007hH0P00OaH00`00P1<0084A00214@0200233P8008@;00<008H8
00271000Q`@00P00R@0200>;000300R=000=S`003Hl000804i400P0IU0000`0PUP00:9T002RI0002
036L0080>Yl00P15X`000`1BYP00H:/0062[0002076_0080Q;D000<0Vk/00;O1002g`@000P39^@02
0=:R00030=b2003YF000jEP00080nA/02P3o000g00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?ooocL0008I2P3o00020?TK0080jEP000<0g8800=:R003BXP000P39^@020;O1
000309^k0024]@00Q;D00080LJl00P1PZ`000`1BYP00AJ<004FS000203ZO0080<I`00P0XV@000`0P
UP006I@001VD000201>A00803Hl000<028d000>;0003R`000P00R@020027100300262000Q0/008@;
008008<>0P00PA400`00P1<007lF001o5P02001n608007dJ00<007`L001k7P00Nah00P00NR02001i
8P03001h8`00E4`005A<008005A<1@00Dd`9001BC@/0055=0`00D4dP001@CP<0051=2`00DDd9001B
C@D005=<1000E4`00`00N2<007TR001i8P02001j808007/N00<007`L001m6P00OAX00P00OQP2001o
5P0300204`00PA40084A008008<>0P00Q0/00`00QPP008L400271002002900800h/000<028d000f?
000=S`000P0CT@0201VD0003022F000XV@00:9T00080<I`00P0jW`0204FS000305:V001PZ`00H:/0
0080LJl00P24]@000`2K^`00]l400;O100020<Vi0080dZ8000<0g8800>UH003YF0000P3i6`0:0?l0
03L0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo>0000QT;0?l00080
mb4000<0j5`00=b5003LQ@000P3AY0020<Rk00030;G1002J^P00V[X00080Pk@00P1`[`000`1PZ`00
DJH0056V000204FS0080>Yl00P0`W0000`0XV@0089H0022F000201VD00804i4000<03Hl000R=0008
S@000P04R`020029000300281000QPL008H7008008@:0P00P`h00`00PQ00080C00204`02001o5P80
07hH00<007dJ001l7000O1`00P00Nah2001j8003001i8@00N2<007PS00H005A<1@00Dd`2001CC@P0
059=4000DDdB001@CA00055=2000DTd2001CC@D005=<1P00E4`2001h8`03001i8@00NR0007XP0080
07/N0P00O1`00`00OAX007hH001n6002001o5P80080C00<0088@00233P00P`h00P00Q0X200261`03
00281000R@0008T0008018/00P08S@000`0=S`004i4001>A000201VD008089H000<0:9T0032L000`
W0000P0jW`0204FS0080DJH000<0H:/0072_001`[`000P23]00209Zj00030;G10038^`00b;/00080
dJ@00P3LQ@000`3XG000mb800?LR000;0?l003P0008I1`3oool100000040oooo000L0?ooo`030000
003oool0oooo00@0oooo>0000QT;0?l00080mb4000<0j5`00=b5003LQ@000P3AY0020<Rk00030;G1
002J^P00V[X00080Pk@00P1`[`000`1PZ`00DJH0056V000204FS0080>Yl00P0`W0000`0XV@0089H0
022F000201VD00804i4000<03Hl000R=0008S@000P04R`020029000300281000QPL008H7008008@:
0P00P`h00`00PQ00080C00204`02001o5P8007hH00<007dJ001l7000O1`00P00Nah2001j8003001i
8@00N2<007PS00H005A<1@00Dd`2001CC@P0059=4000DDdB001@CA00055=2000DTd2001CC@D005=<
1P00E4`2001h8`03001i8@00NR0007XP008007/N0P00O1`00`00OAX007hH001n6002001o5P80080C
00<0088@00233P00P`h00P00Q0X200261`0300281000R@0008T0008018/00P08S@000`0=S`004i40
01>A000201VD008089H000<0:9T0032L000`W0000P0jW`0204FS0080DJH000<0H:/0072_001`[`00
0P23]00209Zj00030;G10038^`00b;/00080dJ@00P3LQ@000`3XG000mb800?LR000;0?l003P0008I
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo>P000QT;0?l000030?HX003W
H000if000080fhP00P3@YP000`38_000/l000;?0000209Vj0080P[@000<0Kjl005nZ001OZP000P1A
YP0204FR0080>Yl000<0<9`002RI000XV@000P0PUP0201VD000301>A000>S`003Xl000802Hd00P04
R`000`00R@0008P300280`0200261`8008D:00<008<=00224000PQ000P00PA<2001o5@03001n5`00
OAX007dJ008007`L0P00Nad00`00NQl007TQ001i8@02001h8PL005A<1@00Dd`2001CC@/0059=9P00
DDd;001BC@8005==1@00Dd`7001DC08007PR0P00NB400`00NQl007/M001k7@02001l708007dJ00<0
07hG001o5@00OaD00P00PA<20022400300233@00Q@X008D:008008H70P00R0<00`00R@0018/000B;
000200V=00803Xl000<04i4001VD000IU0000P0PUP0202RI0003032L000jW`00>Yl00080AJ800P1A
YP0205nZ000306n_0022]000P[@00080VKX00P2c`0000`38_000d:H00=2V00020=^80080if0000<0
mRP00?l0003o00002@3o000j00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`04
0?ooocX0008I2`3o00000`3f:000if000>MP00020=^80080d:H000<0b;`00;?0002c`0000P2I^P02
08:d000306n_001OZP00GjX00080DJH00P15XP0203ZO0003032L000XV@00:9T0008089H00P0IU000
0`0CT@003Xl000j?000200V=008018/000<008T000280`00R0<00P00QPL200252P0300233@00PQ00
088@0080084C0P00OaD00`00OQL007dJ001m6P02001l708007/M00<007XO001i8@00NB400P00N287
001DC0D005=<0P00Ddd;001BCBH0055=2`00DTd2001CC@D005=<1`00E4`2001h8P8007TQ00<007XO
001k7@00Nad00P00O1`2001m6P03001n5`00OaD007lE0080084C0P00PQ000`00P`d008D:00252P02
00261`8008P300<008T000B;0004R`000P09S@0200j?000301>A000IU0006I@0008089H00P0XV@00
0`0`W000>Yl003ZO000204FR0080DJH00P1OZP000`1_[`00P[@008:d000209Vj0080/l0000<0b;`0
0=2V003@YP000P3KR0020>MP00030?HX003o0000o`0000T0o`00>P000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103oooll00026@X0o`000P3d;P020>IT0080fX/000<0d:P00<Nn
0037_P000P2a`00209Nj0003086d001_[`00Kjl00080GjX00P1AYP0204FR000303ZO000`W000<9`0
0080:9T00P0PUP000`0JU000594001BA000200j?00802Hd000<018/0002:0000RP000P00R0<20026
1P0300252P00P`d008<=0080088@0P00PA800`00P1D007hG001n5`02001m6@8007`K00<007/M001j
7`00NQl00P00NB02001i8P8007PS1`00E4`7001CC003001CC@00DTd0059=00h0059=4P00DDd@001B
C@03001CC@00Dd`005=<00D005=<1`00E4`2001h8`8007TR0P00NB02001j7`03001k7@00O1/007`K
008007dI0P00OQL00`00P1D0084B00214P020022408008<=00<008D:00261P00QPH00P00R0<2002:
000300B;0009S@002Hd000803Xl00P0CT@000`0JU00089H0022F000202RI0080<9`000<0>Yl004FR
0015XP000P1AYP0205nZ0080Kjl000<0PK@009Nj002G^P000P2a`0020<Nn00030=2X003JR`00fX/0
0080iV@00P3d;P0:0?l003`0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0
oooo?P000QT:0?l00080lcD00P3TJ@000`3ISP00cjX00<nZ00020<No0080[kl000<0U[T0082d0020
]0000P1^[`0205jZ0080D:H000<0A:8003ZO000jW`000P0`W00202RI0003026F000JU0006Y@00080
59800P0>S`000`09S@001H/000F;0002002:008008P300<008H600252@00Q@T00P00Q0`200223`03
00214P00P1@0080D008007lG0P00OQT00`00OA/007`L001l7002001k7P8007XP0P00NB400`00N2<0
05E;001EB`07001DC0T005=<0P00DddV001BC@8005==2@00Dd`7001DC08005E;00<007PS001i8@00
NB400P00NR02001k7P8007`L00<007dK001n6@00OQT00P00OaL20020500300214P00PPl0088?0080
08@<0P00Q@T00`00QPH008P300280`02002:00801H/000<02Hd000j?000>S`000P0DTP0201ZD0003
026F000XV@00:9T00080<9`00P0jW`000`14XP00D:H0052V000205jZ0080KZl00P20]0000`2F^@00
[kl00:no00020<No0080cjX000<0fHh00>AY003TJ@000P3c=@0:0?l003h0008I1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0oooo?P000QT:0?l00080lcD00P3TJ@000`3ISP00cjX0
0<nZ00020<No0080[kl000<0U[T0082d0020]0000P1^[`0205jZ0080D:H000<0A:8003ZO000jW`00
0P0`W00202RI0003026F000JU0006Y@0008059800P0>S`000`09S@001H/000F;0002002:008008P3
00<008H600252@00Q@T00P00Q0`200223`0300214P00P1@0080D008007lG0P00OQT00`00OA/007`L
001l7002001k7P8007XP0P00NB400`00N2<005E;001EB`07001DC0T005=<0P00DddV001BC@8005==
2@00Dd`7001DC08005E;00<007PS001i8@00NB400P00NR02001k7P8007`L00<007dK001n6@00OQT0
0P00OaL20020500300214P00PPl0088?008008@<0P00Q@T00`00QPH008P300280`02002:00801H/0
00<02Hd000j?000>S`000P0DTP0201ZD0003026F000XV@00:9T00080<9`00P0jW`000`14XP00D:H0
052V000205jZ0080KZl00P20]0000`2F^@00[kl00:no00020<No0080cjX000<0fHh00>AY003TJ@00
0P3c=@0:0?l003h0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo?`00
0QT;0?l00080lC/000<0hfd00=RA003HT@000P3>[0020<K100030:fo002D^@00U;T00080Ok<00P1]
[P0205fZ0003052V0014XP00A:800080>Yl00P0`W0000`0XV@008IH0026F000201ZD0080598000<0
3Xl000V=0009S@000P05S002006:000300280P00Q`H008L6008008D90P00Q0`00`00PPl0084A0021
4@020020508007lF00<007hH001m6P00OAX00P00O1`2001k7P8007XO00<007TQ001h8P00N2800P00
N2@2001EB`03001EC000E4`005A<00D005A<3@00Dd`3001CCA80059=0`00Ddd=001CC0L005A<00<0
05E<001EB`00ED/00P00N2@2001h8P03001i8@00NQl007XO008007/N0P00O1`2001m6P03001n6000
OaH007lF0080080D0P00PA400`00PPl008@<0024300200252@8008L600<008P2006:0001RP000P05
S00200V=000300j?000DTP00598000806Y@00P0QUP000`0XV@00<9`0032L000203ZO0080A:8000<0
D:H005fZ001MZP000P1][P0207nc0080U;T000<0[Kl00<K10036`@000P3>[0020=RA00030>=]003a
>`00lC/000/0o`00?`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolo
00026@/0o`000P3a>`000`3SK@00f9400=RA00020<j/0080a/4000<0[Kl009Bi002D^@000P1o/`02
06f^0080GJX000<0D:H004BR0014XP000P0jW`02032L000302RI000QUP008IH000806Y@00P0DTP00
0`0>S`002Hd000V=000200F<00800HX000<008P200271P00Q`H00P00Q@T20024300300223`00PA40
084A0080080D0P00OaH00`00OQP007dJ001m6P02001l708007/N0P00NQl00`00NB4007PR001h8P02
001h908005E;00<005E<001DC000E4`01@00E4`=001CC0<005==4P00DTd3001CC@d005=<1`00E4`0
0`00ED`005E;001EB`02001h908007PR00<007TQ001j7`00NQl00P00Nah2001l708007dJ00<007hH
001o5P00OaH00P00P1@200214@0300223`00Q0`008@<008008D90P00Q`H00`00R0800HX0006:0002
00F<00802Hd000<03Xl001BB000DTP000P0JU002026F000302RI000`W000<9`00080>Yl00P14XP00
0`1@YP00GJX005fZ000206f^0080Ok<00P2D^@000`2]_`00a/400<K100020<j/0080f94000<0hfd0
0?4k003a>`002`3o000o00026@L0oooo0@0000010?ooo`00703oool2000000D0oooo@@000QT;0?l0
00030>m1003RL@00hW400080ei@00P3=[P000`35`P00Zkh00:^n000209>h0080O[<00P1/[P000`1M
ZP00CjH004nV000204BR0080>Il000<0<9`002RI000XV@000P0QUP0201ZD000301BB000?T0003i00
00802Xh00P05S0000`01RP0008P200280P0200271@8008D900<008@<00233P00P`h00P00PA420020
4`03001o5P00OQP007hH008007dJ0P00O1/2001k7@03001j7`00NB0007TP008007TR0P00N2<5001E
B`X005A<9000Dd`:001DC0D005E;0P00N2<2001i8P8007TP00<007XO001k7@00Nad00P00O1/2001m
6P8007hH00<007lF00204`00P1<00P00PA4200233P0300243000Q@T008D9008008L50P00R0800`01
RP001H`000F<000200Z>00803i0000<0598001ZD000JU0000P0QUP0202RI0003032L000iW`00>Il0
0080A:800P1?YP000`1MZP00K:h006b^000207jc0080TkP00P2[_P000`35`P00cJh00<f^00020=ND
0080hW4000<0kd400?l0003o00002@3o001100026@H0oooo0P0000010?ooo`00703oool00`000000
oooo0?ooo`040?oood40008I2`3o00000`3_@@00hW400>9a00020=ND0080cJh000<0aL800:^n002[
_P000P2C^00207jc0080K:h000<0GJX004nV001?YP000P14XP0203VO0003032L000XV@00:9T00080
8IH00P0JU0000`0DTP003i0000n@000200Z>00801H`000<00HX000280P00R0800P00Q`D200252@03
00243000P`h008<>0080084A0P00P1<00`00OaH007hH001n6002001m6P8007`K0P00Nad00`00NQl0
07TP001i8002001i8P8007PS1@00ED/:001DC2@005=<2P00E4`5001EB`8007PS0P00NB82001i8003
001j7`00Nad007/M008007`K0P00OAX2001n6003001o5P00P1<0080C0080084A0P00P`h00`00Q0`0
08D900252@0200271@8008P200<00HX000F<0005S0000P0:SP0200n@000301BB000JU0006Y@00080
8IH00P0XV@000`0`W000>Il003VO000204BR0080CjH000<0GJX006b^001/[P000P1n/`0209>h0080
Zkh000<0aL800<f^003=[P000P3GU0020>9a00030>m1003o0000o`0000T0o`00@@000QT70?ooo`40
00000@3oool001`0oooo00<000000?ooo`3oool0103ooom100026@/0o`0000<0oPH00>i7003^A`00
0P3QM@020=JG00030<f`0035``00aL<00080ZKh00P2A^00207fc000306^^001LZP00G:X00080CjH0
0P13XP000`0iW`00<9`0032L000202RI00808IH000<06Y@001BB000DTP000P0?T00200Z>000300F<
0001RP000HX0008008T10P00Q`D00`00QPP008@;00242`0200233P80088@00<0080C001o5@00OaD0
0P00OQL2001m6@8007`K00<007/M001k7P00Nah00P00NR02001i8@03001h8P00ED/005E;00L005E;
3P00E4`B001CC0h005A<2@00ED/00`00N28007TQ001i8@02001j808007/N00<007/M001l6`00O1/0
0P00OAT2001n5`8007lE00<0080C00224@00PQ400P00P`h200242`0300262000Q`D008L5008008T1
0P01RP000`05S0002Xh000Z>000200n@0080598000<06Y@0026F000QUP000P0XV@02032L000303VO
0013XP00@j800080CjH00P1LZP000`1[[P00OK<007fc0002096h0080ZKh00P35``000`3=/000eYL0
0=JG00020>5e0080kTL000<0oPH00?l0003o00002@3o001100026@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?oood<0008I2P3o00020?`?0080k4d00P3ON@000`3EV@00c;800<bb
00020<?40080Ykd00P2@^0000`1k/P00JZh006Z^000205^Y0080CZD000<0@j8003VO000iW`000P0`
W00202RI0003026F000JU0006Y@0008059800P0?T0000`0:SP001X`000J<000200::008008T100<0
08L500262000QPP00P00Q0/200233@0300224000PA80084B0080080E0P00OaL2001n6@03001m6P00
O1`007`L008007/N0P00NQl00`00NB4007TR001i8P02001h8`8005I;2000ED/2001EC20005A<0P00
ED`8001EB`8005I;0P00N2<2001i8P03001i8@00NQl007XO008007/N0P00O1`00`00OAX007hI001n
6@02001o5`80080E0P00PA800`00PQ0008<=00233@0200242`8008H800<008L500290@00R@400P02
RP0200J<000300Z>000?T0003i00008059800P0JU0000`0QUP00:9T002RI0002032L0080>Il000<0
@j8004jU001>Y@000P1KZ@0206Z^000307^b002@^000T;P00080Ykd00P33a0020<bb00030=FJ003O
N@00ggT00080k4d00P3l3`0:0?l004<0008I1`3oool100000040oooo000L0?ooo`030000003oool0
oooo00@0oooo@`000QT:0?l00080o0l00P3/C@020=mi00030=FI003</P00c;800080`l@00P2W_@02
092h000307^b001Z[P00JZh00080FjT00P1>Y@000`13XP00>Il003VO0002032L0080:9T000<08IH0
01ZD000JU0000P0DTP0200n@000300Z>0006S0001X`000800XX00P00R@400`00Q`D008H800262002
00242`8008<=00<0088@00214P00PA800P00P1D2001o5`8007hI00<007dJ001l7000O1`00P00Nah2
001j7`03001i8@00NB8007TR008007PS0P00ET/8001EB`8005E<8000E4`2001EC0P005E;0P00ET/2
001h8`8007TR00<007TQ001j7`00NQl00P00Nah2001l7003001m6P00OQT007hI008007lG0P00P1D2
00214P0300224000P`d008<=008008@;0P00QPP00`00Q`D008T100290@0200::00801X`000<02Xh0
00n@000?T0000P0DTP0201ZD0003026F000XV@00:9T00080<9`00P0iW`000`13XP00CZD004jU0002
05^Y0080JZh000<0Nk80092h002@^0000P2W_@020<?40080c;8000<0eIX00=mi003ON@000P3/C@02
0?`?00X0o`00@`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooom50002
6@X0o`000P3j60020>]C00030=im003DW000e9`00080bk@00P31a0020:Fm000308jg001j/P00N[80
0080JJd00P1KZ@000`1>Y@00@j8004>R000203VO0080<9`000<0:9T0026F000QUP000P0KU00201FB
000300n@000;SP002hh000801X`00P02RP000`00R@4008L40027100200261`8008D:00<008<=0022
4000PQ000P00PA820020508007lF00<007hH001m6P00OAX00P00O1`2001k7@03001j7`00NR0007XP
008007TQ0P00N2<5001FB`h005E;0P00ED`:001DC08005E<3P00ED/5001FB`8007PS0P00NB42001j
8003001j7`00Nad007/M008007`L0P00OAX00`00OQP007lF001o5P0200205080084B0P00PQ000`00
P`d008D:00252P0200261`8008L400<008T100::0002RP000P06S00200^>000300n@000ETP005I80
00806i@00P0QUP000`0XV@00<9`0032L000203VO0080@j8000<0CZD005^Y001KZ@000P1Y[@0207Zb
000308jg002U_@00YKd00080`L@00P3;]0020=BL00030=im003[D`00je<00080nQP02P3o00150002
6@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooodD0008I2P3o00020?XH0080
je<000<0gWd00=BL003DW0000P3;]0020<740080YKd000<0S[L007Zb001j/P000P1Y[@0205^Y0003
04jU0013XP00@j800080>Il00P0`W0000`0XV@008IH0026F000201^D00805I8000<03i0000^>000;
SP000P06S00200::000300290@00Q`@008L4008008H70P00Q@X00`00P`d0088@0022400200214P80
080D0P00OaH00`00OQP007dJ001m6P02001l708007/M00<007XO001j8000NR000P00NB42001h8`D0
05I;3P00ED/2001EC0X005A<0P00ED`>001EB`D005I;0P00N2<2001i8@8007XP00<007XO001k7@00
Nad00P00O1`2001m6P03001n6000OaH007lF0080080D0P00PA820022400300233@00Q@X008D:0080
08H70P00Q`@00`00R@400XX000::000200J<00802hh000<03i0001FB000ETP000P0KU002026F0003
02RI000`W000<9`00080>Il00P13XP000`1>Y@00FjT005^Y000206V]0080N[8000<0S[L00:Fm002U
_@000P31a0020<^d0080e9`000<0gWd00>]C003[D`000P3j600:0?l004D0008I1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0ooooAP000QT;0?l00080n20000<0jEP00=f1003MP@00
0P3CW`020<Zf0080_/<000<0Xk`008bg002<]`000P1i/P0206V]000305ZY001>Y@00CZD00080@Z80
0P0iW`000`0`W000:9T002RI0002026F00806i@000<05I80012@000@T0000P0;SP0200J<000300:;
0000R@0008T0008008P40P00QPL00`00Q@X008@=00243@0200223`80084A0P00P1@00`00OaH007hH
001n6002001m6@8007`K00<007`M001k7P00Nah00P00NQl2001i8@03001i8P00N2<007PS00T005I;
7000ED/9001FB`8007PS00<007TR001i8@00NB400P00NQl2001k7P03001k7@00O1/007`K008007dI
0P00OQP00`00OaH0080D0020500200214@80088?0P00Q0d00`00Q@X008H700261`020028108008T0
00<00X/000J<0006S0000P0;SP02012@000301FB000KU0006i@000808IH00P0XV@000`0`W000>Il0
03VO000204:R0080CZD000<0FZT006V]001Y[@000P1i/P0208bg00030:>l002n``00_/<00080b[H0
0P3CW`020=f100030>UH003h8000n20000/0o`00AP000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103ooom600026@/0o`000P3h80000`3YF000gH400=f100020=>O0080b[H00P2n
``000`2S_000S;L008bg000207Vb0080JJd000<0FZT004jU001>Y@000P12XP0203VO0003032L000X
V@00:9T000808IH00P0KU0000`0ETP004900012@000200^>00801X`000<00X/000290000R@000P00
R0@200261`0300252P00Q0d008@=0080088?0P00PA4200205003001o5P00OQP007hH008007dI0P00
O1/00`00O1d007/N001k7P02001j7`8007TQ00<007TR001h8`00N2<02@00ET/L001EB`T005I;0P00
N2<00`00NB8007TQ001i8@02001j7`8007/N00<007/M001l6`00O1/00P00OAT2001n6003001o5P00
P1@0080D0080084A0P00PPl200243@0300252P00QPL008H7008008P40P00R@000`02R`001X`000J<
000200^>0080490000<05I8001^D000KU0000P0QUP0202RI0003032L000iW`00>Il00080@Z800P1>
Y@000`1JZ@00JJd006V]000207Vb0080S;L000<0Xk`00;k3002n``000P3:]P020=>O0080gH4000<0
jEP00?PP003h80002`3o001600026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`04
0?ooodP0008I2`3o00000`3f:000ieh00>MN00020=b50080dZ800P3:^0000`2k`P00XK`00:6l0002
08^f0080N;4000<0J:d005VY001IZ@000P1=Y@0204:R000303RO000`W000<9`00080:9T00P0QU`00
0`0KU0005I8001FB0002012@00802hh000<01h`000>;0003R`000P00R@0200280`0300261P00Q@T0
08D9008008@<0P00P`l200214@0300204`00OaD007lE008007hG0P00OQT00`00OAX007`L001l7002
001k7@8007XO00<007XP001i8@00NB400P00N282001GBP03001FBP00ET/005I;028005I;00<005I:
001GBP00EdX00P00N282001i8@03001j8000NQl007XO008007/M0P00O1`00`00OAX007hI001n6@02
001n5`8007lE00<0080C00214@00PA400P00P`l20024308008D900<008H600280`00R0<00P00R@02
00>;000300N<000;SP002hh0008049000P0ETP000`0KU0008IH0026F000202RI0080<9`000<0>9l0
04:R0012XP000P1=Y@0205VY000306R]001h/@00N;400080RkH00P2Q_0000`2k`P00b[P00<Zh0002
0=:R0080g8D00P3WGP000`3f:000o`000?l000090?l004P0008I1`3oool100000040oooo000L0?oo
o`030000003oool0oooo00@0ooooBP000QT:0?l00080m3000P3VH`020=^80080dJ@000<0bKX00;W2
002i`P000P2O^`0208Vf000307Na001W[@00Ijd00080FJT00P1=Y@000`12XP00>9h003RN0002032L
0080:9T000<08IL001^D000KU0000P0ETP02012@000300^>0007S@001hd000800h/00P00R@000`00
R0<008L600271P0200252@8008@<0P00P`h00`00PQ00084B00214P020020508007lF00<007hH001m
6P00OAX00P00O1/2001k7@03001k7P00NQl007XO008007TQ0P00NB87001GBP<005I:4P00ET/3001F
BPL005M:0P00NB82001i8@8007XO00<007/N001k7@00Nad00P00O1/2001m6P03001n6000OaH007lF
0080080D0P00PA800`00PQ0008<>00233P020024308008D90P00Q`H00`00R0<008T00029000200>;
00801hd000<02hh0012@000@T0000P0ETP0201^D0003026G000XV@00:9T00080<9`00P0hWP000`12
XP00CJD004fU000205VY0080Ijd000<0Mk4008Vf0029]P000P2O^`020;W200030<Vj003AY000dJ@0
0080fhT00P3VH`020?@`00X0o`00BP000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103ooom:00026@X0o`000P3d<0020>IS0080fhP00P3AY0000`39^P00^L800;W2000209nk0080
RKH000<0Mk4006N]001W[@000P1IZ@0204fU000304:R000hWP00>9h00080<9`00P0XV@000`0QU`00
6i@001^D000201FB0080490000<02hh000N=0007S@000P03R`020029000300280`00Q`H008L60080
08D90P00Q0`200233P0300224000PA80084B0080080D0P00OaH00`00OQP007dJ001m6P02001l6`80
07/M00<007/N001j7`00NQl00P00NB42001i8PL005M:0`00ETXB001FB`<005I:1`00EdX2001i8P80
07TQ0P00NQl00`00Nah007/M001k7@02001l6`8007dJ00<007hH001o5P00OaH00P00P1@200214P03
00224000P`h008<>008008@<0P00Q@T200271P0300280`00R@0008T000800h/00P07S@000`0;SP00
4900012@000201FB00806i@000<08IL002RI000XV@000P0`W00203RN000304:R001=Y@00CJD00080
FJT00P1W[@000`1g/@00RKH008Vf000209nk0080^L8000<0bKX00=6T003AY0000P3KR@020>IS0080
m3002P3o001:00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooodX0008I
303o00020?8h0080i6T00P3IS0000`3@Y`00b;`00<Rl00020;K10080WK/000<0R;H007Ja001f/@00
0P1V[00205RX000304bU0012X@00@Z400080>9h00P0`W0000`0XV@008IL0026G000201^D00805Y80
00<0490000b>000<SP000P08S@0200B;0003002:0000R08008P2008008L50P00Q@P200242`030023
3@00PQ00088@0080084B0P00P1@00`00OaH007hG001n5`02001m6@8007dK00<007`L001k7@00Nad0
0P00NQl2001j8003001i8@00NB8007TR020005M:0P00NB800`00NB4007XP001j8002001j7`8007/M
00<007`L001m6`00OA/00P00OAT2001n6003001o5P00P1@0080D0080084B0P00PQ000`00P`d008@;
00242`020025208008L50P00R0800`00RP0018/000B;000200R=008038h000<0490001JB000FTP00
0P0KU002026G000302RI000`W000<9`00080>9h00P12X@000`1<Y@00F:P005RX000206J/0080M[40
00<0R;H009fk002M^`000P2f`@020<Rl00030=2W003IS000fH`00080i6T00P3b>00<0?l004X0008I
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooBP000QT<0?l00080lSP00P3T
J@020=V<00030=2W0038_000b;`00080]/400P2M^`000`28]P00M[4007Ja000206J/0080F:P000<0
C:D004:Q0012X@000P0hWP02032L000302RI000QU`008IL000806i@00P0FTP000`0@T00038h000b>
000200R=008018/000<008X000280P00R0800P00Q`D20025208008@;00<008<=00224000PQ000P00
PA8200205003001o5P00OQL007hG008007dI0P00OA/00`00O1`007/M001k7@02001j7`8007XP00<0
07TQ001i8P00NB808000EdX2001i8P03001i8@00NR0007XP008007XO0P00Nad00`00O1`007dK001m
6`02001m6@8007hH00<007lF00205000P1@00P00PA820022400300233@00Q0/008@;008008D80P00
Q`D200280P03002:0004R`0018/0008028d00P0<SP000`0@T0005Y8001JB000201^D00808IL000<0
:9T0032L000`W0000P0hWP0204:Q000304bU001HZ000F:P00080IZ`00P1f/@000`28]P00WK/009fk
00020;K10080b;`000<0d:L00=V<003IS0000P3TJ@020?8h00`0o`00BP000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooom<00026@`0o`000P3`?`020>=^00030=R@003?ZP00
cjX00080akh00P2d`0000`2K^P00Q[D008Je000207B`0080IJ`000<0EjP004bU001<Y@000P11X@02
03RN0003032L000XV@00:9T000808IL00P0KU0000`0FTP004I00016@000200b?008028d000<018/0
002:0000RP000P00R08200271@8008H800<008@:00233@00P`d00P00PPl200214@0300204`00OaD0
07lE008007hG0P00OQP00`00OAX007`K001l6`02001k7@8007/N00<007XO001j8000NR000P00NB45
001HBQ8005M:1@00F4X2001i8@8007XP00<007XO001k7P00Nah00P00Nad2001l6`03001m6P00OQP0
07hH008007hG0P00OaD00`00P1<0084A00214@0200223`8008<=00<008@:00262000QPP00P00Q`D2
00280P8008X000<018/000R=0008S@000P0<S`02016@000301JB000KU0006i@000808IL00P0XV@00
0`0`W000>9h003RN0002046Q0080C:D000<0EjP006F/001U[0000P1d/00208Je000309^j002d`000
]<000080akh00P3?ZP000`3HT000hfh00>=^00020?0o00`0o`00C0000QT70?ooo`4000000@3oool0
01`0oooo0P0000050?oood`0008I303o00020?0o0080hfh000<0f9000<nZ003?ZP000P37_P020;C0
000309^j0026]@00Q[D00080M;000P1U[0000`1GZ000C:D004bU0002046Q0080>9h000<0<9`002RI
000XV@000P0QU`0201^D000301JB000AT0004I00008038l00P08S@000`04R`0008X0002:00020028
0P8008L50P00QPP00`00Q0X008<=00233@0200223`80084A00<0080C001o5@00OaD00P00OQL2001n
6003001m6P00O1/007`K008007/M0P00Nah00`00NQl007XP001j8002001i8@D005Q:4P00EdX5001H
BP8007TQ0P00NR000`00NQl007/N001k7P02001k7@8007`K00<007dJ001n6000OQP00P00OQL2001o
5@0300204`00PA40084A0080088?0P00P`d00`00Q0X008H80026200200271@8008P20P00RP000`04
R`0028d000R=000200b?00804I0000<05Y8001^D000KU0000P0QU`0202RI0003032L000hWP00>9h0
0080@J400P1<Y@000`1GZ000IJ`006F/000207B`0080Q[D000<0VkX00;C0002d`0000P37_P020<nZ
00030=R@003SKP00hfh00080l3l0303o001<00026@H0oooo0P0000010?ooo`00703oool00`000000
oooo0?ooo`040?ooodd0008I2`3o00020?d90080kTH000<0hG<00=NC003GT`000P3>[0020<No0003
0;70002I^P00VKX00080QKD00P1c/0000`1T[000EjP005NX000204^T0080@J4000<0>9h0032L000`
W0000P0XV@0202:G000301bD000FTP005Y8000804I400P0<S`000`08S@0018/000B;0002006:0080
08T10P00Q`@00`00QPL008D:00252P020024308008<?00<0088A00214`00PA<00P00P1@2001o5P03
001n6000OAT007dI008007dK0P00O1`00`00Nad007/N001k7P02001j7`8007TP00<007TQ001HB@00
F4T05000F4T00`00NB4007TP001i8002001j7`8007/N00<007/M001l7000O1`00P00OA/2001m6@03
001n6000OaH007lF0080080D0P00PA<00`00PQ4008<?00233`020024308008D:00<008H700271000
Q`@00P00R@42006:008018/000<028d000b?000<S`000P0AT00201JB000301bD000RU`008YL00080
:9T00P0`W0000`0hWP00@J40046Q000204^T0080EjP000<0I:`007>`001c/0000P25]@0209Vj0003
0;700037_`00akl00080cZ`00P3GT`000`3QL`00kTH00>i600020?d900/0o`00C@000QT70?ooo`40
00000@3oool001`0oooo00<000000?ooo`3oool0103ooom?00026@/0o`000P3k4`000`3/C@00h7L0
0>1g00020=JG0080cJl000<0a/400:jo002^_`000P2G^@0208>d000307:`001S[000Hj`00080EZP0
0P1;Y0000`11X@00>9h003RN0002032L0080:9T000<08YL001bE000LU@000P0FT`02016A000300f?
0009S@002Hd000801H`00P01RP0200290@0300271000QPL008H7008008D90P00Q0`00`00P`h0088@
0022400200214P80080D00<007lE001n5`00OQL00P00OQP2001m6P03001l6`00O1`007`L008007/M
0`00NQl2001i818005U90P00NB03001j7`8007/M0P00O1`00`00O1/007dJ001m6P02001n608007hG
00<007lE00205000P1@00P00PA820022400300233P00Q0`008@<008008D90P00QPL00`00Q`@008T1
00290@02006:00801H`00P09S@000`0=S`004I40016A000201JC008079D000<08YL002RI000XV@00
0P0`W00203RN0003046Q001;Y000Bj@00080EZP00P1S[0000`1b/000Pk@008>d000209Ni0080[[l0
00<0a/400<f_003=[`000P3FU`020>1g00030>a=003k4`00na<000/0o`00C`000QT70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103ooom?00026@/0o`000P3k4`000`3/C@00h7L00>1g
00020=JG0080cJl000<0a/400:jo002^_`000P2G^@0208>d000307:`001S[000Hj`00080EZP00P1;
Y0000`11X@00>9h003RN0002032L0080:9T000<08YL001bE000LU@000P0FT`02016A000300f?0009
S@002Hd000801H`00P01RP0200290@0300271000QPL008H7008008D90P00Q0`00`00P`h0088@0022
400200214P80080D00<007lE001n5`00OQL00P00OQP2001m6P03001l6`00O1`007`L008007/M0`00
NQl2001i818005U90P00NB03001j7`8007/M0P00O1`00`00O1/007dJ001m6P02001n608007hG00<0
07lE00205000P1@00P00PA820022400300233P00Q0`008@<008008D90P00QPL00`00Q`@008T10029
0@02006:00801H`00P09S@000`0=S`004I40016A000201JC008079D000<08YL002RI000XV@000P0`
W00203RN0003046Q001;Y000Bj@00080EZP00P1S[0000`1b/000Pk@008>d000209Ni0080[[l000<0
a/400<f_003=[`000P3FU`020>1g00030>a=003k4`00na<000/0o`00C`000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooomA00026@/0o`0000<0n1d00>YD003ZE0000P3OO002
0=FJ00030<ba0035``00aL<00080[;l00P2E^@000`22]000LJl0076_000206:[0080EZP000<0BZ@0
042Q0010X@000P0gWP02032L000302RI000RU`008YL0008079D00P0GT`000`0BT@003Hl000f?0002
00V=00801H`00P02RP000`00R@0008P300280`0200261P8008D900<008@;00233@00P`d00P00PPl2
00214@0300204`00P1D0080E008007lF0P00OQP00`00OAT007dJ001m6P02001l6`8007/M00<007/N
001j7`00NQl00P00NQl>001IB@@007XO00<007/N001k7@00Nad00P00O1/2001m6P03001m6@00OQP0
07hH008007lF0P00P1D00`00P1<0084A00214@0200223`8008<=00<008@;00252@00Q@T00P00QPH2
00280`0300290002RP000XX000801H`00P09S@0200f?000301:A000GT`005i<0008079D00P0RU`00
0`0XV@00<9`0032L000203NN0080@:4000<0BZ@005JX001FZ0000P1RZ`02076_000308:d002E^@00
UKT00080[;l00P35``000`3</@00eIX00=FJ00020=il0080jU@000<0n1d00?l0003o00002@3o001A
00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oooe40008I2`3o00000`3h
7@00jU@00>YD00020=ml0080eIX000<0c;400<G30035``000P2/_`0209Fi000308:d001a[`00LJl0
0080HZ/00P1FZ0000`1:Y000@:40042Q000203NN0080<9`000<0:9T002:G000RU`000P0LU@0201NC
000301:A000=S`003Hl000802Hd00P05S00200::000300290000R0<008P3008008H60P00Q@T00`00
Q0/008<=00233@0200223`80084A00<0080C00205@00P1D00P00OaH2001n6003001m6@00OAX007dJ
008007`K0P00Nad00`00Nah007XO001j7`02001j7`h005U91000NQl00`00Nah007/M001k7@02001l
6`8007dJ00<007dI001n6000OQP00P00OaH200205@0300204`00PA40084A0080088?0P00P`d00`00
Q0/008D900252@0200261P8008P300<008T000::0002RP000P05S00200V=00803Hl000<04Y4001NC
000GT`000P0LU@0202:G000302RI000`W000<9`00080=ih00P10X@000`1:Y000EZP005JX000206:[
0080LJl000<0P[@009Fi002E^@000P2/_`020<G300030<ba003EVP00eIX00080gW`00P3ZE0000`3h
7@00o`000?l000090?l00540008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0
ooooD`000QT:0?l00080mRH00P3XFP020=f100030=BM003;/`00bk<00080a<@00P2Y_P000`2C^000
P;@0082d0002072_0080HJ/000<0EJL004ZT001:Y0000P10X@0203NN0003032L000XV@00:9T00080
8YL00P0LU@000`0GT`004Y4001:A000200j?00802Xh00P06S0000`02R`0008T00029000200280`80
08L500<008H800252P00Q@X00P00Q0d200233`0300224000PA80084B0080080D0P00OaD00`00OQL0
07hH001n6002001m6@8007dK00<007`L001k7@00Nad00P00Nah2001j7P03001j7`00FTP005Y800H0
05Y800<007XO001j7P00NQh00P00Nah2001k7@03001l7000OA/007dK008007dI0P00OQP00`00OQL0
07lE001o5@0200205080084B00<0088@00233`00P`l00P00Q0d200252P0300262000Q`D008L50080
08P30P00R@000`02R`001X`000J<000200Z>00803Xl00P0BT@000`0GT`0079D001bE000202:G0080
:9T000<0<9`003NN000gWP000P10X@0204ZT000305FW001QZ`00HJ/00080L:l00P20]0000`2C^000
ZKh00:Vn00020<C40080bk<000<0e9d00=f1003MP@000P3XF`020?HV00X0o`00D`000QT70?ooo`40
00000@3oool001`0oooo00<000000?ooo`3oool0103ooomC00026@X0o`000P3f9P020>QJ0080gH40
00<0e9d00<^c003;/`000P34a0020:Vn000309>h0020]000P;@00080L:l00P1QZ`000`1EY`00BZ@0
04ZT0002042Q0080=ih000<0<9`002RI000XV@000P0RU`0201bE000301NC000BT@004Y4000803Xl0
0P0:SP0200J<000300:;0000R@0008T0008008P30P00Q`D00`00QPP008D:00252P0200243@8008<?
00<0088@00214P00PA800P00P1@2001o5@03001n5`00OQP007hH008007dI0P00OA/00`00O1`007/M
001k7@02001k7P8007XN00<007XO001JB000FTP01P00FTP00`00NQl007XN001j7P02001k7P8007/M
00<007`L001m6`00OA/00P00OAT2001n6003001n5`00OaD007lE0080080D0P00PA800`00PQ0008<?
00233`0200243@8008D:00<008H800271@00Q`D00P00R0<20029000300:;0006S0001X`000802Xh0
0P0>S`0201:A000301NC000LU@0079D000808YL00P0XV@000`0`W000=ih003NN0002042Q0080BZ@0
00<0EJL0066[001QZ`000P1`[`02082d000309>h002Y_P00ZKh00080a<@00P3;/`000`3DW@00gH40
0=f100020>QK0080mRH02P3o001C00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?oooe<0008I303o00020?@_0080if4000<0g8D00=:P003BX0000P3:]P020<7400030:Nm002A
^000TKP00080Ok<00P1_[`000`1QZ`00E:L005BW000204ZT0080@:4000<0=ih0032L000`W0000P0Y
V@0202:G000301bE000GT`005i<000804Y400P0>S`0200Z>000300J<0003R`000h/0008008T00P00
R0800`00Q`D008H700261`0200252P8008@<00<008<>00224000PQ000P00PA4200204`0300205@00
OaH007lF008007hG0P00OQT00`00OAX007`K001l6`02001l70<007/M0P00Nah4001JB08007/N0`00
Nad2001l708007`K00<007dJ001n6@00OQT00P00OQL2001o5P0300205@00P1<0080C0080084A0P00
PQ000`00P`h008@<0024300200252P8008H700<008L500280P00R0800P00R@0200>;000300J<000:
SP002Xh000803Xl00P0BT@0201NC000301bE000RU`008YL00080:IT00P0`W0000`0gWP00@:40042Q
000204ZT0080E:L000<0HJ/006n_001_[`000P1o/`02096h00030:Nm0031a000`L@00080b[H00P3B
X0000`3LQ@00if400>MQ00020?@`00`0o`00D`000QT70?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103ooomD00026@d0o`000P3b>0000`3UI`00fXT00=Z900020=6T0080b[P000<0_L<0
0:Fm002U_@000P2?^00207fc000306j^001PZ`00H:/00080E:L00P19Y0000`10X@00=ih003NN0002
032L0080:IT000<08YL001fE000MU@000P0HT`0201>A00803i0000<02hh000N<0007S0000P04R`02
002:000300290@00Q`@008L4008008H70P00Q@T00`00Q0/008<=00233@0200223`80088A00<0084B
00205000P1@00P00OaD2001o5P03001n6000OQT007hI008007dJ0P00OA/00`00O1/007`L001l7004
02jK008007`L00<007`K001m6`00OA/00P00OAX2001n6@03001n6000OaH007lF008007lE0P00P1@0
0`00PA80088A00224@0200223`8008<=00<008@;00252@00Q@T00P00QPL20027100300290@00RP00
08X0008018/00P07S0000`0;SP003i0000n@000201>A008069<00P0MU@000`0RU`00:IT002VI0002
032L0080=ih000<0@:4004VT0019Y0000P1DY`02062[000306j^001m/`00OK<00080SkP00P2U_@00
0`2m``00b[P00<Zh00020=6T0080fXT000<0iFL00?8h003b>0003@3o001D00026@L0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`040?oooe@0008I3@3o00020?8h00030>EW003JR@00fXT0
0080dJ@00P3:^0000`2m``00YKd00:Fm000208nh0080OK<000<0KZh0062[001PZ`000P1DY`0204VT
0003042Q000gWP00=ih00080<9`00P0YV@000`0RU`007ID001fE000201RC00804i400P0?T0000`0;
SP001h`000N<000200B;008008X000<008T100271000Q`@00P00QPL200252@0300242`00P`d008<=
0080088?0P00PQ400`00PA80080D00205002001o5@8007lF00<007hH001n6@00OQT00P00OAX2001m
6`03001l6`00O1`007`L00@0;Y/00P00O1`00`00O1/007dK001m6`02001m6P8007hI00<007hH001o
5P00OaH00P00OaD20020500300214P00PQ40088A0080088?0P00P`d00`00Q0/008D900252@020026
1`8008L400<008T1002:0000RP000P04R`0200N<000300^>000?T0003i0000804i400P0HT`0201fE
000302:G000YV@00:IT00080<9`00P0gWP000`10X@00BJ@004VT000205BW0080H:/000<0KZh007fc
001m/`000P2?^0020:Fm00030;g3003:^000b[P00080dJ@00P3JR@000`3UI`00lSP00?8h000=0?l0
05@0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooEP000QT;0?l00080
o`<000<0l4000>=/003SK0000P3IS@020=2W00030<Vj002j`P00^/800080X[`00P2>]`000`1l/P00
K:h006b^000205nZ0080DjL000<0BJ@003nQ000oX@000P0gWP02032L000302VI000SU`008iL00080
7ID00P0HT`0201>A000300n@000;SP002hh0008028d00P04R`000`01RP0008T100290@0200280`80
08L600<008H800252P00Q@X00P00Q0`200233P0300224000PA40084A0080084C0P00P1@00`00OaD0
07lF001o5P02001n608007hI00<007dI03:L000bW0001P0bW0000`00OAT007hI001n6@02001n6080
07lF00<007lE00205000P1@00P00PA<200214@0300224000P`h008<>008008@<0P00Q@X00`00QPP0
08L600271P0200280`8008T100<00HX000B;0004R`000P08S@0200^>000300n@000CT@004i400080
69<00P0MU@0202>G000302VI000`W000<9`00080=ih00P0oX@000`19Y000DjL005>W000205nZ0080
K:h000<0O;8008jg002>]`000P2R_0020;[200030<Vj003@Y`00d:L00080fHd00P3SK0000`3`@000
o`<00?l3000;0?l005H0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
EP000QT;0?l00080o`<000<0l4000>=/003SK0000P3IS@020=2W00030<Vj002j`P00^/800080X[`0
0P2>]`000`1l/P00K:h006b^000205nZ0080DjL000<0BJ@003nQ000oX@000P0gWP02032L000302VI
000SU`008iL000807ID00P0HT`0201>A000300n@000;SP002hh0008028d00P04R`000`01RP0008T1
00290@0200280`8008L600<008H800252P00Q@X00P00Q0`200233P0300224000PA40084A0080084C
0P00P1@00`00OaD007lF001o5P02001n608007hI00<007dI03:L000bW0001P0bW0000`00OAT007hI
001n6@02001n608007lF00<007lE00205000P1@00P00PA<200214@0300224000P`h008<>008008@<
0P00Q@X00`00QPP008L600271P0200280`8008T100<00HX000B;0004R`000P08S@0200^>000300n@
000CT@004i40008069<00P0MU@0202>G000302VI000`W000<9`00080=ih00P0oX@000`19Y000DjL0
05>W000205nZ0080K:h000<0O;8008jg002>]`000P2R_0020;[200030<Vj003@Y`00d:L00080fHd0
0P3SK0000`3`@000o`<00?l3000;0?l005H0008I1`3oool100000040oooo00080?ooo`800000103o
ool010000000oooo0?ooo`3oool5000000D0oooo00<000000?ooo`3oool0103ooomH00026@/0o`00
00<0o0l00>e8003]B0000P3RLP020=RA00030<nY0038_000b;`00080]l400P2P_0000`2<]`00N[80
07Zb000206^^0080GZX000<0DjL004RT0018Y0000P0oX@0203NN0003032L000YV@00:IT000808iL0
0P0MU@0201RC000301BB000@T0004900008038h00P08S@000`05S0000XX000::00020029008008P3
00<008L500261`00QPL00P00Q@T200242`0300233@00PPl0088?0080088@0P00PA800`00P1<0080D
00205002001o5@8007lF00<0=ih003JN000fWP001P0fWP000`0gWP0007lF001o5P02001o5@80080D
00<0080C00214P00PA800P00PQ0200223`0300233@00Q0/008@;008008D90P00QPL00`00Q`D008P3
00280`02002900800XX000<01H`000R=0008S@000P0<SP02012@000301BB000HT`0069<000807ID0
0P0SU`0202VI0003032L000gWP00=ih00080?j400P18Y0000`1CY`00GZX005jZ000206^^0080N[80
00<0S;L00:2l002P_0000P2g`@020<Rl00030<nY003HT@00f9400080hW800P3]B0000`3l3`00o`00
0?l000090?l005P0008I1`3oool100000040oooo00070?ooo`040000003oool0oooo000000P0oooo
00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`040?oooeP0008I2`3o00000`3l3`00
kDP00>e800020>9b0080f94000<0cjT00<Rl0038_0000P2g`@020:2l000308bg001j/P00N[800080
Jjh00P1NZP000`1CY`00B:@004RT000203nQ0080=ih000<0<9`002VI000YV@000P0SU`0201fE0080
69<000<05980012@000@T0000P0<SP0200R=000300F<0002RP000XX0008008T00P00R0<00`00Q`D0
08H700261`0200252@8008@;00<008<=00223`00PPl00P00PQ0200214P0300204`00P1@0080D0080
07lE0P00OaH00`0gWP00=Yh003JN000603JN000303NN0000OaH007lF008007lE0P00P1@00`00P1<0
084B00214P0200224080088?00<008<=00242`00Q0/00P00Q@T200261`0300271@00R0<008P30080
08T00P02RP000`05S00028d000R=000200b>0080490000<0598001RC000HT`000P0MU@0202>G0080
:IT000<0<9`003NN000gWP000P0oX@0204RT000305>W001NZP00GZX00080Jjh00P1j/P000`2<]`00
X;`00:2l00020;O10080b;`000<0cjT00=RA003HT@000P3RLP020>e800030?`?003o0000o`0000T0
o`00F0000QT70?ooo`4000000@3oool000D000000P3oool010000000oooo0?ooo`0000090?ooo`03
0000003oool0oooo00D0oooo00<000000?ooo`3oool0103ooomJ00026@X0o`000P3i6P020>]@0080
h7L000<0eYD00<j/003>[0000P37_P020;C1000309jk002:]P00R[H00080NK800P1Z[P000`1NZP00
DZL005:W000204RT0080?j4000<0=ih0032L000`W0000P0YV@0202>G00807YD000<06I<001BB000D
TP000P0@T00200b?000300V=0006S0001X`000800h/00P00R@000`00R08008L40027100200261P80
08D800<008D:00243000Q0`00P00P`h200223`0300224@00PA80084B0080?:003P0kW`0203bP0080
084B00<0088A00223`00PPl00P00P`h20024300300252P00Q@P008D8008008H60P00Q`@00`00R080
08T00029000200>;00801X`000<02Hd000b?000<S`000P0@T00201BB000301VC000NU@007YD00080
8iL00P0YV@02032L000303NN000oX@00?j400080B:@00P1BY`000`1NZP00JZh006Z^000207Vb0080
R[H000<0W[/00;C1002d`@000P37_P020<j/00030=JE003PM`00h7L00080je000P3i6P0:0?l005X0
008I1`3oool100000040oooo00070?ooo`040000003oool0oooo000000X0oooo00<000000?ooo`3o
ool0103oool3000000@0ooooFP000QT:0?l00080nAX00P3[D0020>1g00030=JE003>[000cZ`00080
akh00P2d`@000`2N^`00R[H008Zf000207Vb0080JZh000<0GZX005:W001BY`000P18Y00203nQ0003
03NN000`W000<9`00080:IT00P0SU`0201jE000301VC000DTP005980008049000P0<S`000`09S@00
1X`000J<000200>;008008T000<008P200271000Q`@00P00QPH20025200300252P00Q0`008@<0080
08<>0P00PPl00`00PQ40084B00214P0203bP00h0>il00P0lX00200214P0300224@00PPl0088?0080
08<>0P00Q0`00`00Q@X008D80025200200261P8008L400<008P200290000R@000P03R`0200J<0003
00V=000<S`0038l0008049000P0DTP000`0IT`007YD001jE000202>G0080:IT00P0`W0000`0gWP00
?j4003nQ000204RT0080DZL000<0GZX006Z^001Z[P000P1i/P0208Zf000309jk002d`@00]<400080
akh00P3>[0000`3FU@00h7L00>1g00020>]@0080nAX02P3o001J00026@D0oooo0`0000010?ooo`00
1`3oool010000000oooo0?ooo`0000070?ooo`050000003oool0oooo0?ooo`0000001@3oool00`00
0000oooo0?ooo`040?oooeX0008I303o00020?LT0080jEL000<0gW`00=FI003EV@000P3=[`020<K0
00030;;0002K^`00Vk/00080R;H00P1h/@000`1Y[@00GJX005fZ000205:V0080B:<000<0?j4003NN
000gWP000P0`W00202VI008099L000<07YD001VD000IU0000P0ETP02016@000300f?0009S@002Hd0
00801X`00P03R`000`01RP0008T100290@0200280`8008L500<008H700252@00Q@T00P00Q0/20023
3@0300233P11X@00@J400080@J400`10X@0803nQ00<0@:401011X@000`00P`h008<=00233@020024
2`8008D900<008H700271@00Q`D00P00R0<200290@03006:0003R`000h/000801X`00P09S@000`0=
S`004I00016@000201FB00806I@000<07YD002BG000TU`000P0YV@02032L0080=ih000<0?j4004RS
0018X`000P1BYP0205fZ000306V]001h/@00N;400080R;H00P2K^`000`2b`000a/000<K000020<f_
0080eIT000<0gW`00>UG003YE`000P3g900<0?l005X0008I1`3oool100000040oooo00070?ooo`04
0000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003oool0
oooo00@0ooooG0000QT<0?l00080m2h000<0ieh00=f1003MP@000P3DW0020<bb00030<G2002__`00
[kl00080VKX00P27]@000`1g/@00JJd006V]000205bZ0080DJH000<0B:<003nQ000oX@000P0gWP02
032L0080:YX000<099L001nF000OUP000P0JU00201FB0003016A000>S`003Xl000802Xh00P07S@00
0`04R`000HX0006:00020029008008P200<008L400261P00QPH00P00Q@P204VT000304NS0016X`00
AZ<00080AJ<00P15XP0:04BR0080AJ800P15X`0204JS000304NS0019Y000BJ@0008008D80P00QPH0
0`00Q`@008P200280P02002900800HX000<018/000N=0007S@000P0:SP0200j?0003016A000ETP00
5I8000806Y@00P0OUP000`0TU`00:YX002ZJ0002032L0080=ih00P0oX@000`18X`00DJH0056V0002
05bZ0080JJd000<0Mk4008Ne0027]@000P2I^P020:no00030<G2003</P00c;800080e9`00P3MP@00
0`3WGP00m2h00?@^000<0?l005`0008I1`3oool100000040oooo00080?ooo`8000002@3oool30000
00H0oooo00<000000?ooo`3oool0103ooomL00026@`0o`000P3d;P000`3WGP00gH400=f100020=BL
0080c;8000<0aL800:no002__`000P2I^P0208Ne000307Na001Y[@00JJd00080G:X00P1AYP000`18
X`00?j4003nQ000203NN0080<9`00P0ZVP000`0TU`007iH001nF000201ZD00805I8000<04I4000j?
000>S`000P0:SP0200N=000300B;0001RP000HX0008008T00P00R0800`00Q`@008H600261P020025
2080BJ@000<0Aj<004JS0016X`000P15X`0204FR00X0A:800P15XP0204FS0080AZ<000<0Aj<004VT
0019Y0000P00Q@P200261P0300271000R08008P2008008T00P01RP000`04R`001hd000N=000200Z>
00803Xl000<04I4001FB000ETP000P0JU00201nF000302BG000ZVP00:YX00080<9`00P0gWP0203nQ
000304RS001AYP00DJH00080G:X00P1Y[@000`1g/@00QkD008Ne000209Vj0080[kl000<0aL800<bb
003</P000P3DW0020=f100030>MN003d;P00m2h000`0o`00G0000QT70?ooo`4000000@3oool001`0
oooo00<000000?ooo`3oool0103ooomM00026@d0o`0000<0lSL00>IT003VI0000P3KQP020=>P0003
0<^d0035a000aL@00080[;l00P2G^P000`25]@00MK4007Fa000206R]0080G:T000<0DJH004NS0017
X`000P0oX@0203NN0080<9`000<0:YX002BH000TV0000P0OUP0201ZD000301JB000BT@004Y400080
3Xl00P0;SP000`08S@001H`000F<000200:;008008X000<008T100280`00R0<00P1?YP0204jU0003
04bU001;Y000Bj@000@0BZ@02P19Y00404ZT0080Bj@000<0C:D004jU001>Y@000P1?YP0200280`03
00290@00RP0008X000800X/00P05S0000`08S@002hh000^>000200j?00804Y4000<05Y8001ZD000J
U0000P0OUP0202BH000302ZJ000`W000<9`00080=ih00P0oX@0204NS0003056V001LZ@00G:T00080
J:d00P1e/@000`25]@00UkT009Ni00020:bo0080aL@000<0bk@00=>P003CX0000P3KQP020>IT0003
0?8g003o0000o`0000/0o`00G@000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0
103ooomM00026@d0o`0000<0lSL00>IT003VI0000P3KQP020=>P00030<^d0035a000aL@00080[;l0
0P2G^P000`25]@00MK4007Fa000206R]0080G:T000<0DJH004NS0017X`000P0oX@0203NN0080<9`0
00<0:YX002BH000TV0000P0OUP0201ZD000301JB000BT@004Y4000803Xl00P0;SP000`08S@001H`0
00F<000200:;008008X000<008T100280`00R0<00P1?YP0204jU000304bU001;Y000Bj@000@0BZ@0
2P19Y00404ZT0080Bj@000<0C:D004jU001>Y@000P1?YP0200280`0300290@00RP0008X000800X/0
0P05S0000`08S@002hh000^>000200j?00804Y4000<05Y8001ZD000JU0000P0OUP0202BH000302ZJ
000`W000<9`00080=ih00P0oX@0204NS0003056V001LZ@00G:T00080J:d00P1e/@000`25]@00UkT0
09Ni00020:bo0080aL@000<0bk@00=>P003CX0000P3KQP020>IT00030?8g003o0000o`0000/0o`00
G@000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooomO00026@/0o`0000<0
oPH00?10003`@0000P3TJ`020=Z:00030=6S003:]`00b[L00080`L@00P2Z_P000`2E^@00Q;@008Bd
000207B`0080Ijd000<0FjT0056V001AYP000P17X`0203nQ0080=ih000<0<9`002ZJ000ZVP000P0U
V002022F000301^D000GT`005i<000804i400P0?T0000`0<SP002Hd000V=000200J<00800h/000<0
0HX005NX001GZ0000P1EY`0205>W000305:V001AYP00DJH00080D:H00P1?YP0:04jU0080CjH00P1@
YP02056V000305:V001CY`00DjL00080EJL00P1GZ0000`01RP000h/000>;000200J<00802Hd000<0
38h000n@000?T0000P0CT@0201NC000301^D000PUP0089H000809IP00P0ZVP000`0`W000=ih003NN
000203nQ0080Aj<00P1AYP000`1KZ@00Ijd006N]000207B`0080Pk@000<0UKT00:Vn002Y_P000P31
a0020<Zg00030=6S003JRP00fXX00080i6/00P3`@0000`3n1P00o`000?l000090?l005l0008I1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooG`000QT;0?l000030?h6003`@000
l4000080i6/00P3JRP000`3AX`00b[L00<Zg00020<740080Z[h000<0UKT008Bd0024]0000P1d/002
06N]000305^Y001AYP00DJH00080Aj<00P0oX@0203NN0003032L000ZVP00:YX000809IP00P0PUP00
0`0KU0005i<001NC000201>A00803i0000<038h000V=0009S@000P06S00200>;0003006:001GZ000
EjP00080EJL00P1CY`000`1BYP00DJH0056V0002052V0080CjH02P1>Y@0204nV0080D:H00P1AYP00
0`1BYP00DjL005>W000205FW0080EjP000<00HX000>;0003R`000P06S00200V=000300b>000?T000
3i0000804i400P0GT`000`0KU00089H0022F000202FH0080:YX000<0<9`003NN000gWP000P0oX@02
04NS0080DJH000<0FjT006N]001W[@000P1d/00208>d000309Fi002Y_P00ZKh00080`L@00P3:]`00
0`3AX`00fXX00=Z:00020>A[0080l40000<0oPH00?l0003o00002@3o001O00026@L0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`040?oooel0008I303o00020?/C0080kDT00P3RL@000`3H
S`00d:H00=2V00020<Vi0080_/<000<0Ykd009>h002C^0000P22]00207>`000306J/001JZ@00FZT0
0080D:H00P17X`0203nQ000303NN000aW000<I`00080:iX00P0UV0000`0PUP0079@001bD000201NC
0080594000<0490000f?000=S`000P0:SP02066[000305nZ001LZP00G:X00080FZT00P1IZ@000`1G
Z000EZP005JX000205FW0080E:L02P1CY`0205BW0080EJL00P1FZ0000`1GZ000FJT005VY000205ZY
0080G:X000<0GjX0066[001QZ`000P0:SP0200f?0003012@000CT@004i4000805i<00P0LU0000`0P
UP009IP002FH000202^J0080<I`000<0=ih003nQ000oX@000P17X`02052V0080FZT000<0IZ`007>`
001c/0000P22]00209>h00030:Nm002n``00_/<00080bKT00P3@YP000`3HS`00hW400>9a00020>e9
0080na<0303o001O00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooof40
008I303o00020?PN0080je4000<0h7H00=NC003GT`000P3?Z@020<Rk00030;_2002U_@00YKd00080
TKP00P21]0000`1b/000IJ`006F/000205ZY0080D:H00P17X`000`0oX@00>9h003RN0002036L0080
:iX000<09YP0026F000QUP000P0LU@0201RC000301BB000AT0004I000080Jjh00P1X[@000`1U[000
HZ/006:[0002062[0080GjX000<0GJX005bY001LZ@00101JZ@000`1IZ@00FJP005VX000405RX0080
FJP000<0FJT005ZY001JZ@000P1JZ@0205bY000305fZ001OZP00GjX00080H:/00P1RZ`000`1U[000
J:d006R]000206^^00804I0000<0598001RC000HT`000P0LU@02026F000302JH000[VP00:iX00080
<I`00P0hWP000`0oX@00Aj<004NS0002052V0080FZT00P1U[0000`1b/000PK@0086d0002096h0080
YKd000<0^l800<Rk0038^`000P3?Z@020=NC00030>1f003[D@00je400080n1h0303o001Q00026@L0
oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooof40008I303o00020?PN0080je40
00<0h7H00=NC003GT`000P3?Z@020<Rk00030;_2002U_@00YKd00080TKP00P21]0000`1b/000IJ`0
06F/000205ZY0080D:H00P17X`000`0oX@00>9h003RN0002036L0080:iX000<09YP0026F000QUP00
0P0LU@0201RC000301BB000AT0004I000080Jjh00P1X[@000`1U[000HZ/006:[0002062[0080GjX0
00<0GJX005bY001LZ@00101JZ@000`1IZ@00FJP005VX000405RX0080FJP000<0FJT005ZY001JZ@00
0P1JZ@0205bY000305fZ001OZP00GjX00080H:/00P1RZ`000`1U[000J:d006R]000206^^00804I00
00<0598001RC000HT`000P0LU@02026F000302JH000[VP00:iX00080<I`00P0hWP000`0oX@00Aj<0
04NS0002052V0080FZT00P1U[0000`1b/000PK@0086d0002096h0080YKd000<0^l800<Rk0038^`00
0P3?Z@020=NC00030>1f003[D@00je400080n1h0303o001Q00026@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?ooof<0008I303o00020?HY00030>UH003OO000gg`00080eYL00P3>
[0000`37_@00^<800;S200020::l0080SkP000<0Ok<0076_001a[`000P1U[00205ZY0080D:H000<0
Aj<003nQ000oX@000P0hWP02036L000302bJ000VV0009YP000808IL00P0MU@000`1i/P00MK4007Fa
0002076`0080KZl000<0Jjh006V]001Y[@000P1W[@0206F/000306>[001QZ`00HJ/00080H:/00`1O
ZP0805jZ00<0GjX00P1PZ`02066[000306>[001U[000IJ`00080Ijd00P1Y[@000`1[[P00KZl006j_
0002076`0080MK4000<0NK8001fE000MU@000P0QU`0202JH000302bJ000aW000<I`00080>9h00P0o
X@000`17X`00D:H0052V000205ZY0080IJ`00P1a[`000`1o/`00SkP008nh00020::l0080^<8000<0
akd00<j/003>[0000P3FU`020=ml00030>UH003f:@00mRT000`0o`00H`000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooomS00026@`0o`000P3f:@000`3YF000gg`00=ml0002
0=JG0080cZ`000<0akd00;S2002h`P000P2R_00208nh000307nc001a[`00LJl00080IJ`00P1JZ@02
052V000304NS000oX@00?j400080>9h00P0aW0000`0/VP009YP002JH0002026G00807ID000<0NK80
07Fa001e/@000P1a/00206j_000306^^001Y[@00JJd00080Ijd00P1U[0000`1SZ`00HJ/0066[0002
062[00<0GjX0201NZP0305nZ0080H:/00P1QZ`000`1SZ`00IJ`006F/000206N]0080JJd000<0Jjh0
06j_001^[`000P1a/00207Fa000307Vb000MU@007ID000808IL00P0VV0000`0/VP00<I`0036L0002
03RN0080?j4000<0Aj<0052V001@YP000P1JZ@0206F/0080LJl000<0Ok<008nh002?^0000P2R_002
0;S200030<Nm003>[000cZ`00080eYL00P3OO0000`3YF000mRT00?HY000<0?l006<0008I1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0ooooI0000QT=0?l000030?<c003WG`00iel0
0080gH400P3DV`000`3=[`00akl00<No00020;G10080X;`000<0S[L007jc001n/`000P1`[`0206B/
0080FJT000<0D:H004NS0017X`000P0oX@0203RN000303:L000/VP00;9X000809iT00P26]@000`21
]000OK<007fc000207Vb0080MK4000<0L[0006n_001_[`000P1][P0206^^000306V]001X[@00J:d0
0080IZ`00`1U[00806B/00<0IJ`00P1V[00206R]000306V]001[[P00Jjh00080KJh00P1_[`000`1b
/000MK4007Fa000207Vb0080OK<000<0PK@008Je0026]@000P0WV@0202bJ000303:L000hWP00>9h0
0080?j400P17X`000`1@YP00FJT005VY000206B/0080L:l00P1n/`000`2>]`00X;`00:2l00020;G1
0080akl000<0cJl00=BK003DV`000P3MP@020>MO00030?<c003o0000o`0000/0o`00I0000QT70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooomT00026@d0o`0000<0lc<00>MO003W
G`000P3MP@020=BK00030<f_0037_`00akl00080]L400P2P_0000`2>]`00O[<007jc0002072_0080
I:`00P1IZ@000`1@YP00Aj<004NS000203nQ0080>9h000<0<Y`002bJ000/VP000P0WV@0208Je0003
086d001m/`00OK<00080NK800P1e/@000`1b/000Kjl006n_000206f^0080Jjh000<0JJd006R]001X
[@000P1V[00306F/00P0I:`00`1U[00206J/0080J:d000<0JJd006^^001[[P000P1][P0206n_0003
07:`001e/@00MK400080NK800P1m/`000`21]000Q[D008Je000202NI0080;9X000<0<Y`003RN000h
WP000P0oX@0204NS0003052V001IZ@00FJT00080I:`00P1`[`0207jc000308jg002P_000X;`00080
]L400P37_`000`3=[`00e9/00=BK00020=f10080iel000<0lc<00?l0003o00002`3o001T00026@L0
oooo0@0000010?ooo`00703oool2000000D0ooooI0000QT=0?l000030?h4003a?000lC`00080iFH0
0P3KQP000`3CWP00c;800<bb00020<K10080//0000<0W[/008bg002<]`000P1m/`0206n_0080Hj`0
00<0FJT004nV001?YP000P17X`0203nQ000303VO000bW000<Y`00080U;T00P2>]`000`29]P00Q;D0
08Be0002082d0080OK<000<0NK8007Ja001f/@000P1d/002076`0003072_001^[`00KZl00080KJh0
0P1/[P000`1[[P00JZh006Z^000406Z]0080JZh000<0Jjh006b^001/[P000P1][P0206j_0003072_
001a/000LK000080M;000P1f/@000`1i/P00OK<007fc0002082d0080Q;D000<0RKH008jg002>]`00
0P2D^@0203:L000303VO000oX@00?j400080Aj<00P1?YP000`1IZ@00Hj`006>/000206n_0080OK<0
0P2<]`000`2N^`00//000;;000020<K10080c;8000<0dih00=^6003KQP000P3UIP020?4l00030?h4
003o0000o`0000/0o`00I0000QT60?ooo`8000000@3oool001`0oooo00<000000?ooo`3oool0103o
oomV00026@`0o`000P3k4@020>i50080hf`000<0fXX00=:R003BXP000P3;]0020<G300030:no002L
^`00W;/00080RkH00P1l/P0206n_000306>[001IZ000FJP00080CjH00P17X`000`2/_`00Y;d00:Bm
000209fk0080UkX000<0T[P008fg002=]`000P28]P0208Be0003086d001n/`00O[<00080Nk800P1h
/@000`1f/@00MK0007F`000207>`0080L[0000<0LK00076_001a[`00101`[`02076_0003076`001b
/000L[000080Lk000P1e/0000`1f/@00N;4007Ra000207^b0080O[<000<0PK@008Be0024]@000P28
]P0208fg000309:h002G^P00UkX00080WK/00P2T_@000`2/_`00Aj<004NS000204nV0080FJP000<0
Hj/006j_001^[`000P1l/P0208^f0080W;/000<0[kl00<G30035``000P3;]0020=:R00030=Z:003S
K000hf`00080kTD00P3k4@0<0?l006H0008I1`3oool100000040oooo000L0?ooo`030000003oool0
oooo00@0ooooIP000QT<0?l00080na400P3^A@020>=/00030=Z:003BXP00dZ800080bk@00P35``00
0`2__`00W;/009bk000208^f0080O;800P1_[`000`1SZ`00FJP005VX000204nV0080Aj<000<0[;l0
0:Bm002T_@000P2M^`0209Nj000309:h002=]`00SKL00080R;H00P24]@000`21]000O[<007jc0002
07^b0080N;4000<0M[4007F`001e/0000P1c/00207:`0003076`001a[`00LJl000@0L:l00P1a[`00
0`1a/000L[0007:`000207>`0080MK0000<0M[4007Ra001h/@000P1k/P0207jc0003086d0024]@00
Q;D00080R;H00P2=]`000`2B^000UkX009Nj000209fk0080Y;d000<0[;l004NS0017X`000P1?YP02
05VX000306>[001^[`00KZl00080O;800P2;]P0209bk00030:no0035``00aL<00080bk@00P3BXP00
0`3JRP00hf`00>=/00020>i50080na40303o001V00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?ooofP0008I303o00020?TM0080k4h000<0hG800=V?003IS`000P3AY@020<Zg
00030<?4002]_`00[Kl00080V[X00P29]P0207^b000306j_001RZ`00HZ/00080F:P00P30a0000`2g
`@00[kl00:no00020:Nn0080XK`000<0VkX009Fi002E^@000P2A^00208bg000308Rf0025]@00QKD0
0080P[@00P20/`000`1m/`00O;8007bb000207Zb0080NK8000<0N;4007Na001g/@001P1g/@000`1h
/@00NK8007Vb000207Zb0080O;8000<0OK<0082c0020/`000P22]00208Fe000308Rf002<]`00S;L0
0080TKP00P2E^@000`2K^P00XK`00:6l00020:Nn0080[kl000<0]l400<330030``000P1HZ00206:[
000306j_001k/P00Nk800080RKH00P2J^P020:fo00030<?4003:]`00b[L00080dJD00P3IS`000`3Q
LP00k4h00>a>00020?TM00`0o`00J0000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103ooomX00026@`0o`000P3i7@020>a>00030>5b003IS`00fHl00080dJD00P3:]`000`33a000
[Kl00:fo000209Zj0080RKH00P1k/P000`1^[`00HZ/006:[000205RX0080`<@000<0]l400:no002_
_`000P2W_P020:6l000309^j002E^@00UKT00080TKP00P2<]`000`28]P00QKD008Fe000208:d0080
P;<000<0OK<007bb001l/P000P1j/P0207Vb000307Ra001g/@00Mk4000H0Mk4000<0N;4007Vb001i
/P000P1j/P0207bb000307fc0020/`00P;<00080P[@00P25]@000`28]P00S;L008bg0002096h0080
UKT000<0VkX00:6l002Q_0000P2W_P020:no00030;O10030``00`<<00080F:P00P1RZ`000`1^[`00
Nk8007^b000208Vf0080V[X00P2]_`000`33a000b[L00<Zg00020=6U0080fHl000<0hG800>a>003/
CP000P3i7@0<0?l006P0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
JP000QT<0?l00080mRP000<0jUH00>1h003PN0000P3GT`020=2X00030<Vi0030``00`<<00080Z[h0
0P2H^P0208Rf000307Zb003</P00c;800080bKT00P36`0000`33a000^/800;[200020;;00080Zkh0
00<0Y;d009jk002N^`000P2I^P0209Fi0003096h002=]`00SKL00080R[H00P27]@000`25]@00Pk@0
08>d0002086d0080P;<000<0Ok<007jc001n/`001P1n/`000`1o/`00P;<0082c0002086d0080Pk@0
00<0QKD008Ne0027]@000P2:]P0208fg0003096h002E^@00UKT00080VKX00P2N^`000`2T_@00Zkh0
0:^n00020;;00080^/8000<0`l@00<K00036`0000P39^@020<bb000307Zb0028]P00R;H00080V;X0
0P2Z_P020<3300030<Vi003@Z000d:P00080ei<00P3PN0000`3ZEP00mRP00?HX000<0?l006X0008I
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooJP000QT<0?l00080mRP000<0
jUH00>1h003PN0000P3GT`020=2X00030<Vi0030``00`<<00080Z[h00P2H^P0208Rf000307Zb003<
/P00c;800080bKT00P36`0000`33a000^/800;[200020;;00080Zkh000<0Y;d009jk002N^`000P2I
^P0209Fi0003096h002=]`00SKL00080R[H00P27]@000`25]@00Pk@008>d0002086d0080P;<000<0
Ok<007jc001n/`001P1n/`000`1o/`00P;<0082c0002086d0080Pk@000<0QKD008Ne0027]@000P2:
]P0208fg0003096h002E^@00UKT00080VKX00P2N^`000`2T_@00Zkh00:^n00020;;00080^/8000<0
`l@00<K00036`0000P39^@020<bb000307Zb0028]P00R;H00080V;X00P2Z_P020<3300030<Vi003@
Z000d:P00080ei<00P3PN0000`3ZEP00mRP00?HX000<0?l006X0008I1`3oool100000040oooo000L
0?ooo`030000003oool0oooo00@0ooooJP000QT>0?l000030?<b003XG@00j5d00080gWh00P3FU`00
0`3?Z`00b;/00<Rk00020;g30080Z;h00P2F^@000`3CX000cjT00<nY00020<ba0080bKP000<0akh0
0<G40035a0000P2m``020;G100030:jo002X_P00Z;h00080X[`00P2N^`000`2I^P00UKT009Fi0002
09:h0080SkL000<0S;L008Zf002:]P000P29]P0208Ne000308Je0025]@00QKD000H0QKD000<0Q[D0
08Ne0027]@000P29]P0208Zf000308bg002?]`00SkL00080T[P00P2E^@000`2I^P00W[/009jk0002
0::l0080Z;h000<0[[l00;G1002e`@000P2m``020<G400030<Nn0039^000bKP00080c;400P3?Z@00
0`3CX000U[T009Ji00020:Rn0080_L<00P38^`000`3?Z`00eYL00=JG00020=in0080j5d000<0lc80
0?l0003o0000303o001Z00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oo
of/0008I3@3o00000`3n1`00lC`00?4l00020>IT0080g8<000<0e9/00<j^003>[P000P37_@020;[2
0080fhP000<0eiD00=>O003CW`000P3@Z0020<f`00030<Zg0038_@00b;d00080aL800P30a0000`2i
`P00//000;;000020:bo0080Ykd000<0X[`009jk002N^`000P2J^P0209Nj000309Bi002B^000T[P0
0080T;P00P2?]`000`2>]`00SKL008fg000608fg000308jg002?]`00SkL00080T;P00P2B^0000`2D
^@00UkX009Nj000209Zj0080W[/000<0X[`00:Nm002W_@000P2/_`020;;000030;W20030a000`<@0
0080aL800P38_@000`3:]`00cK000<f`00020=2X0080dil000<0eiD00=^8003KR0000P2j`P020<Nm
0080cZh000<0e9/00=b3003LP`000P3VI0020?4l00030?h7003o0000o`0000/0o`00J`000QT70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooom[00026@d0o`0000<0oPL00?4l003a
?0000P3VI0020=b300030=BK003>[P00cZh00080akd00P2j`P020=^800030=NE003CW`00dil00080
d:P00P3=/0000`3:]`00b;d00<Rm00020<G20080`<@000<0^L800;;0002b`0000P2/_`020:Nm0003
0::l002N^`00W[/00080V[X00P2G^P000`2D^@00T[P009:h0002092h0080SkL000<0S[L008fg002=
]`001P2=]`000`2>]`00SkL008ng0002092h0080T[P000<0U;T009Nj002G^P000P2J^P0209jk0003
0::l002W_@00Ykd00080[;l00P2b`0000`2i`P00`<@00<3400020<G20080b;d000<0b[L00<f`003=
/0000P3@Z0020=>O00030=NE003KR000fhP00080^/800P37_@020<j^00030=BK003LP`00g8<00080
iV@00P3a?0000`3n1`00o`000?l0000;0?l006/0008I1`3oool100000040oooo000L0?ooo`030000
003oool0oooo00@0ooooK@000QT<0?l00080na<00P3^A@020>A[00030=^7003CWP00dih00080jUH0
0P3TJP020=mj00030=^8003GU000ei@00080dih00P3@Y`000`3=[`00bkD00<^e00020<Rk0080a/00
00<0a<@00;g3002m``000P2f`@020;7000030:^o002W_@00Ykd00080Xk`00P2P_0000`2M^`00V[X0
09Zj000209Rj0080UkT000<0U[T009Fi002E^@00102D^@0209Fi000309Ji002G^@00UkT00080V;X0
0P2J^P000`2M^`00X;`00:2l00020:>l0080Ykd000<0Zkl00;70002a`0000P2f`@020;g300030<C4
0036`000a/000080b;/00P3;]@000`3=[`00d:L00=2W00020=>N0080ei@000<0fhP00=mj003ONP00
0P3TJP020>YF0080dih000<0fhL00>A[003TJ`000P3^A@020?/D00`0o`00K@000QT70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103ooom]00026@`0o`000P3k4`020>i50080i6/000<0
fhL00=>N003CWP000P3ZEP020>AZ0080ggX000<0fhP00=ND003GU0000P3CWP020=2W00030<f_003;
]@00bkD00080b;/00P36`0000`34a000_L<00;g300020;K10080/L0000<0Zkl00:Nm002W_@000P2S
_0020:2l000309fk002J^P00V[X00080V;X00P2G^@000`2F^@00UKT009Fi000409Bi0080UKT000<0
U[T009Ni002G^@000P2H^P0209Zj000309fk002P_000X;`00080Xk`00P2W_@000`2[_`00/L000;70
00020;K10080_L<000<0a<@00<K00036`0000P38^`020<^e00030<f_003@Y`00d:L00080dih00P3G
U0000`3KR000ggX00=mj00020>AZ0080jUH00P3CWP000`3KQ`00i6/00>A[00020>i50080na@0303o
001]00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooofl0008I303o0002
0?PO0080k4h000<0hW400?HU003f9@000P3_@@020>UH0080i6/000<0gg/00=^8003KR0000P3GT`02
0=BM00030=2V003>[@00cZd00080bk@00P39^@000`37_P00aL800<G200020<740080^l8000<0]L40
0;70002a`0000P2/_`020:Vn00030:Jm002S_000Xk`00080XK`00P2O_0000`2N^`00WK/009fk0006
09fk000309jk002O_000Wk`00080XK`00P2S_0000`2V_@00ZKh00:Vn00020:bo0080/L0000<0]L40
0;_2002k`P000P31a0020<G200030<Nn0039^@00bKT00080bk@00P3>[@000`3@YP00e9d00=BM0002
0=NC0080fhP000<0gg/00>A[003TJ`000P3YF0020>m10080mRD000<0hW400>a>003/CP000P3h800<
0?l006l0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooK`000QT<0?l0
0080n1l00P3/CP000`3RL@00mRD00?HU00020>m10080jEP00P3TJ`000`3ON`00fhP00=^800020=NC
0080e9d000<0d:H00<j]003>[@000P3;]0020<Vi00030<Nn0035`P00aL800080`L@00P2k`P000`2e
`@00/L000;7000020:bo0080ZKh000<0Y[d00:>l002S_0000P2Q_00209nl000309jk002M^`00WK/0
00H0WK/000<0W[/009nl002O_0000P2Q_0020:>l00030:Jm002Y_P00ZKh00080[;l00P2a`0000`2e
`@00^l800;_200020<740080aL8000<0akh00<Vi0039^@000P3;]0020<j]00030=2V003DW@00e9d0
0080ei<00P3KR0000`3ON`00i6/00>A[00020>UH0080kd400P3f9@000`3RL@00k4h00>a>00020?PP
00`0o`00K`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooom_00026A40
o`000P3m20020?HY0080kd<00P3YF@000`3TJ`00gg/00=mk00020=^80080ei<000<0e9`00=6T003A
Y0000P3>[0020<bb00030<Zg0038_000b;`00080a/000P35a0000`30``00^l800;_200020;K10080
//0000<0[kl00:bo002/_`000P2Z_P020:Rn00030:Nm002V_@00Y[d000@0YKd00P2V_@000`2W_@00
Z;h00:Rn00020:Zn0080[;l000<0[kl00;;0002b`0000P2f`@020;_200030<330035a000aL@00080
a/000P38_0000`3:]`00c;800<bb00020<j/0080dJ@000<0e9`00=NC003GT`000P3KR0020=mk0003
0>A[003YF@00jET00080kd<00P3f:@020?d80140o`00K`000QT70?ooo`4000000@3oool001`0oooo
0P0000050?ooog40008I4@3o00020?`=0080mB`00P3^A@000`3YFP00hf`00>=/00020=mj0080fhL0
00<0f9800=BK003DV`000P3BX`020<nZ00030<f`003;]@00bkD00080bKX00P37_P000`36`@00aL@0
0<G400020<330080_<8000<0^<800;G1002e`@000P2c`0020;7000030;30002__`00[kl000@0[[l0
0P2__`000`2``000/L000;7000020;?00080]L4000<0^<800;c2002l`P000P30``020<G400030<K1
0037_P00akh00080bKX00P3;]@000`3=/000cjX00<nZ00020=:S0080e9/000<0f9800=^7003KQ`00
0P3ONP020>=/00030>UJ003^A@00kTD00080mB`00P3l3@0A0?l00740008I1P3oool200000040oooo
000L0?ooo`030000003oool0oooo00@0ooooL@000QTA0?l00080o0d00P3e;0020>i500030>UJ003S
K000hf`00080ggX00P3KQ`000`3HTP00e9/00=BK00020=:S0080cjX000<0cK000<^e003;]@000P39
^P020<Nn00030<K10035a000aL@00080`<<00P2l`P000`2h`P00]L400;G100020;?00080/L0000<0
/<000:no002__`00102^_`020:no00030;30002a`000/L000080/l000P2e`@000`2h`P00_<800;c2
00020<330080aL@000<0a/400<Nn0037_P000P39^P020<^e00030<f`003?ZP00cjX00080dZ<00P3D
V`000`3HTP00fhL00=^700020=mj0080hf`000<0jEX00>i5003^A@000P3e;0020?`=0140o`00L@00
0QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooomb00026A80o`000P3k4@02
0?@_00030>i7003XF`00j5/00080hf`00P3ONP000`3KQP00f9000=R@00020=FI0080dZ4000<0d:P0
0<j]003>[@000P3</P020<Zg00030<Rk0037_P00akh00080a/400P35``000`32a000_l<00;o30002
0;g30080^/8000<0^L800;S2002h`P00102g`@020;S200030;W2002j`P00^/800080_L<00P2o``00
0`32a000aL<00<G300020<K10080akh000<0b;/00<Zg003:]`000P3</P020<j]00030=2X003BX@00
dZ400080eIT00P3HT0000`3KQP00ggX00=mj00020>=/0080j5/000<0kTL00?@_003d;`000P3k4@0B
0?l00780008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooLP000QTB0?l0
0080na400P3d;`000`3^A`00j5/00>QK00020>=/0080ggX000<0fhH00=R@003HT0000P3EV@020=:Q
00030=2X003>[@00cZd00080c;800P3:]`000`38^`00akh00<Nn00020<K10080aL<000<0`/@00;o3
002o``000P2m``020;[200030;W2002h`P00^<8000@0]l400P2h`P000`2i`P00^/800;[200020;g3
0080_l<000<0`/@00<G30035``000P36`@020<Nn00030<Rk003:]`00b[L00080c;800P3>[@000`3@
Z000dZ400=:Q00020=FI0080f90000<0fhH00=mj003ONP000P3SK0020>QK00030>i7003d;`00m2l0
0080na404P3o001b00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooog80
008I503o00020?XE00030?<a003]B000kDP00080j5/00P3TJ`000`3ON@00g8D00=b500020=V?0080
eYL000<0dil00=6U003AY@000P3?Z`020<f`00030<^d003:^000b[P00080b;/00P37_@000`36`000
a/800<K200020<G30080a<@000<0`l@00<;40032a0001031a0020<;400030<?40034a000a<@00080
aL<00P36`P000`36`000akd00<Nm00020<Rk0080b[P000<0bk@00<f`003=/0000P3?Z`020=6U0003
0=>O003FU`00eYL00080fHl00P3LQ@000`3ON@00i6/00>A[00020>QK0080kDP000<0lc400?XE003j
5@00503o001b00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooog80008I
503o00020?XE00030?<a003]B000kDP00080j5/00P3TJ`000`3ON@00g8D00=b500020=V?0080eYL0
00<0dil00=6U003AY@000P3?Z`020<f`00030<^d003:^000b[P00080b;/00P37_@000`36`000a/80
0<K200020<G30080a<@000<0`l@00<;40032a0001031a0020<;400030<?40034a000a<@00080aL<0
0P36`P000`36`000akd00<Nm00020<Rk0080b[P000<0bk@00<f`003=/0000P3?Z`020=6U00030=>O
003FU`00eYL00080fHl00P3LQ@000`3ON@00i6/00>A[00020>QK0080kDP000<0lc400?XE003j5@00
503o001b00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooog@0008I503o
00000`3j6@00lc<00?<c00020>e90080j5`000<0i6/00>1h003PN0000P3LP`020=V=00030=JE003D
W000e9`00080dZ<00P3@Z0000`3>[@00c;400<ba00020<^d0080b[L000<0bKX00<Rl0038_0000P37
_@020<No00<0a/001036`@030<K00080akl00P37_@020<Rl00030<Vj003:]`00b[L00080bk@00P3<
/@000`3>[@00d:P00=2X00020=:S0080e9`000<0eYD00=V=003IS@000P3LP`020>1h00030>A[003X
G000j5`00080kDT00P3c<`000`3j6@00o`000?l0000B0?l007@0008I1`3oool100000040oooo000L
0?ooo`030000003oool0oooo00@0ooooL@000QT00`007SD001le000O=@02000O=Q<0o`000P3i7002
0?<e0080kDX000<0j5/00>AZ003TJP000P3PM`020=f200030=Z;003GT`00ei<00080eIX00P3CX000
0`3AY@00cjT00<nY00020<j]0080cK0000<0bk<00<^e003;]@000P3:]`020<Vi00<0bKX01038^`03
0<Vj0080bKT00P3:]`020<^e00030<^c003=/000cK000080cZd00P3?Z@000`3AY@00dj000=>P0002
0=FJ0080ei<000<0fX/00=f2003MPP000P3PM`020>AZ00030>QK003]BP00kDX00080lcD00P3i700C
0?l0008001lf0P007cD00`007SD0008I00026@1_00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?ooog40008I00<001he000O=@007cD00P007cHC0?l00080nA`00P3c=@020>e:
00030>QK003TJP00i6X00080h7L00P3MPP000`3JR`00ei<00=NC00020=FJ0080dj0000<0dJD00<nY
003?Z@000P3>[@020<f`00030<^c003;]@00bkD00080b[L00P39^@030<Vj00@0b;/00`39^P020<Vi
0080b[L00P3;]@000`3;/`00cK000<f`00020<j]0080cjT000<0dJD00=>P003CX0000P3EVP020=NC
00030=Z;003MPP00gH800080h7L00P3TJP000`3XF`00kDX00>e:00020?<e0080nA`04`3o0002000O
=P8001le00<001he00026@000QT0K`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103ooom_00026@8001he00<001le000O=P007cH00P007cHC0?l00080o`400P3h7P020?8f0003
0>e:003XF`00j5/00080i6T00P3QM@000`3MP000fhT00=^900020=R@0080eYL000<0e9`00=:Q003B
X@000P3AYP020<nY00030<j/003=[`00cJl00080c;400P3</P000`3;/`00bk@00<^d00040<^e0080
bk@000<0bk<00<bb003</P000P3</@020<f_00030<j/003?Z@00cjT00080dJH00P3BX@000`3DW000
eYL00=JG00020=R@0080fhT000<0gH000>5e003QM@000P3TJ@020>QK00030>e:003b=P00lSH00080
n1h00P3o0@0C0?l000@001lf00<001le000N=@007SD0K`000QT70?ooo`4000000@3oool001`0oooo
00<000000?ooo`3oool0103ooom_00026@8001he00<001le000O=P007cH00P007cHC0?l00080o`40
0P3h7P020?8f00030>e:003XF`00j5/00080i6T00P3QM@000`3MP000fhT00=^900020=R@0080eYL0
00<0e9`00=:Q003BX@000P3AYP020<nY00030<j/003=[`00cJl00080c;400P3</P000`3;/`00bk@0
0<^d00040<^e0080bk@000<0bk<00<bb003</P000P3</@020<f_00030<j/003?Z@00cjT00080dJH0
0P3BX@000`3DW000eYL00=JG00020=R@0080fhT000<0gH000>5e003QM@000P3TJ@020>QK00030>e:
003b=P00lSH00080n1h00P3o0@0C0?l000@001lf00<001le000N=@007SD0K`000QT70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103ooom]00026@8001he0P007cD3000O=P@0020f4`3o
00020?h40080n20000<0lSL00>e:003]BP000P3YFP020>EX00030>5c003NO@00gWd00080fhH00P3I
S@000`3GT`00eIT00=FI00020=>N0080dZ4000<0dJD00=2W003@Y`000P3?ZP020<j[00030<j]003>
[P00cZh000@0cJh00P3>[P000`3>[@00cZ/00<j[00020<nZ0080d:L000<0dJD00=:Q003BX@000P3C
WP020=FI00030=NC003IS@00fHd00080fhH00P3NO@000`3QL`00iFP00>EX00020>UJ0080kDX000<0
lSL00?PP003h80000P3n100C0?l000@0020f0`007cH2000O=@8001heK@000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooom]00026@8001he0P007cD3000O=P@0020f4`3o0002
0?h40080n20000<0lSL00>e:003]BP000P3YFP020>EX00030>5c003NO@00gWd00080fhH00P3IS@00
0`3GT`00eIT00=FI00020=>N0080dZ4000<0dJD00=2W003@Y`000P3?ZP020<j[00030<j]003>[P00
cZh000@0cJh00P3>[P000`3>[@00cZ/00<j[00020<nZ0080d:L000<0dJD00=:Q003BX@000P3CWP02
0=FI00030=NC003IS@00fHd00080fhH00P3NO@000`3QL`00iFP00>EX00020>UJ0080kDX000<0lSL0
0?PP003h80000P3n100C0?l000@0020f0`007cH2000O=@8001heK@000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103ooomZ00026@<001he0P007cD3000O=P@0020f0`008CLD0?l0
0080oPL000<0mb800?8g003b=`000P3]BP020>UI00030>EV003RL@00hW400080gg/00P3LP`000`3J
RP00f9000=R@00020=JE0080eIT000<0e9d00=>P003CX0000P3BXP020=6T00030=6V003@Y`00d:L0
00H0d:L000<0dJH00=6T003AY0000P3BXP020=>P00030=BM003EV@00eIT00080eYD00P3HT0000`3J
RP00g8<00=b300020=mk0080hW4000<0iFH00>UI003YF@000P3]BP020?8g00030?LR003n1`00oPL0
01@0o`000`008CL4000P=P<001lf0P007cD3000N=FX0008I1`3oool100000040oooo000L0?ooo`03
0000003oool0oooo00@0ooooJP000QT3000N=@8001le0`007cH4000P=P<0024g503o00020?h70003
0?LR003b=`00lSL00080kDX00P3YF@000`3UIP00hW400>9a00020=mk0080g8<000<0fXX00=R@003H
T0000P3FU@020=FI00030=BM003CX000dj000080dZ800P3AY0000`3AYP00d:L00=2W00060=2W0003
0=6V003AY000dJ@00080dZ800P3CX0000`3DW@00eIT00=FI00020=JE0080f90000<0fXX00=b3003L
P`000P3ON`020>9a00030>EV003YF@00jET00080kDX00P3b=`000`3g8P00oPL00?h7000D0?l000<0
024g100083H3000O=P8001le0`007SEZ00026@L0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?ooofP0008I0`007SD2000O=@@001lf0`0083H5000Q=aH0o`0000<0o@X00?LS003g8`00
0P3b=`020>e900030>UG003VI000iV@00080hfl00P3PN0000`3MO`00fhH00=^600020=Z<0080f900
00<0ei@00=FH003EV0000P3EVP020=BL00030=>N003CW`00dil000@0dj000P3CW`000`3CWP00e9`0
0=BL00020=FJ0080eIP000<0ei@00=R@003HT0000P3JS0020=^600030=eo003PN000h7P00080hfl0
0P3VI0000`3YE`00kDT00>e900020?8g0080mb<000<0o@X00?l0003o0000503o0005000Q=`<0020f
10007cH2000O=@<001heJ0000QT70?ooo`4000000@3oool001`0oooo0P0000050?ooof@0008I0P00
7CD5000N=@8001le0P007cH3000P=P80020g10008CL00`008SL0028h000R>00E0?l00080o@/00P3g
8`020?8g00030>i7003ZE@00jUD00080iV400P3TJ`000`3QM000gg/00=mk00020=f20080fhL000<0
fX/00=R?003HS`000P3GTP020=ND00030=JF003FU`00eYL000@0eYP00P3FU`000`3FUP00ei@00=ND
00020=NB0080f8l000<0fX/00=^7003KQ`000P3MPP020=mk00030>5d003TJ`00i6/00080iV400P3Z
E@000`3^B000lSL00?8g00020?LS0080o@/05@3o0002000R>003000R=`008CL0024g0080024g0P00
83L3000P=P8001lf0P007cD5000N=@8001deI0000QT60?ooo`8000000@3oool001`0oooo00<00000
0?ooo`3oool0103ooomT00026@8001de1@007SD2000O=@8001lf0`0083H2000P=`@0024g00<0028g
000R>0008SP05@3o00020?d;0080mb<00P3b=`000`3^A`00jUD00>YE00020>IQ0080i6/000<0hG@0
0=mk003ON`000P3MPP020=^700030=Z;003HS`00f8l00080ei800P3GU0000`3FUP00eYL00=JG0004
0=JH0080eYL000<0eYH00=ND003GU0000P3GTP020=R?00030=Z;003KQ`00fhL00080gH800P3ON`00
0`3QM000i6/00>A[00020>IQ0080jUD000<0kTP00?8g003b=`000P3g8`020?d;01D0o`000P008SP0
0`008SL0024g000Q=`02000Q=`80020g0`0083H2000O=P8001le1@007SD2000M=F@0008I1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0ooooH`000QT00`007C@001he000N=@04000N
=@03000O=@007cH001lf00@0020f00<0020g000Q=`008CL00P008CL2000R=`03000R>0008cP002<h
008002<h5@3o00020?`=0080mb<000<0lSH00>i6003^AP000P3[D`020>MN00030>EX003RL000hW00
0080h7L00P3NO@000`3MPP00fhH00=^600020=Z90080fX/000<0fHd00=V>003ISP00103HS`020=V>
00030=V=003JR`00fX/00080fXT00P3KQP000`3MPP00gWd00=im00020>1g0080hW0000<0iFP00>MN
003WGP000P3[D`020>i600030?8f003g8`00mb<00080o0d05@3o0004000S>003000R>0008SL0028g
00@0024g00<0020g000P=P0083H00P0083H2000O=P03000O=@007SD001he00@001he00<001dd0002
6@000QT0H@000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooomS00026@03
000M=0007SD001he00@001he00<001le000O=P007cH0100083H00`0083L0024g000Q=`02000Q=`80
028g00<0028h000S>0008cP00P008cPE0?l00080o0d00P3g8`000`3b=P00kTH00>i600020>]C0080
ieh000<0iFP00>9`003RL0000P3PM`020=im00030=f2003KQP00fhH00080fXT00P3JR`000`3IS@00
fHh00=V>00040=R?0080fHh000<0fHd00=Z;003JR`000P3JR@020=^600030=f2003NO@00gWd00080
h7L00P3RL0000`3UJ000ieh00>MN00020>]C0080kTH000<0lSH00?LS003g8`000P3l3@0E0?l000@0
02<h00<0028h000R=`008SL010008CL00`0083L0020f000P=P02000P=P8001lf00<001le000N=@00
7SD010007SD00`007C@0008I00026@1Q00026@L0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?ooof40008I0P007C@5000N=@8001le0`007cH4000P=P<0024g0P008SL2000R>0<002<h
0P0093TG0?l00080o0d000<0mb<00?<d003c=0000P3_@`020>]@00030>QK003VI000iV@00080i6/0
0P3RLP000`3PM`00gg`00=ml00020=io0080gH8000<0g8@00=b5003LQ@00103KQP020=b500030=b4
003MPP00gH800080gWl00P3OO0000`3PM`00hW800>9b00020>A[0080iV@000<0j5/00>]@003[D000
0P3_@`020?<d00030?LS003l3@00o0d001L0o`000P0093T3000S>080028h0P008SL3000Q=`@0020f
0`007cH2000O=@D001he0P007CAQ00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?ooof40008I0P007C@5000N=@8001le0`007cH4000P=P<0024g0P008SL2000R>0<002<h0P00
93TG0?l00080o0d000<0mb<00?<d003c=0000P3_@`020>]@00030>QK003VI000iV@00080i6/00P3R
LP000`3PM`00gg`00=ml00020=io0080gH8000<0g8@00=b5003LQ@00103KQP020=b500030=b4003M
PP00gH800080gWl00P3OO0000`3PM`00hW800>9b00020>A[0080iV@000<0j5/00>]@003[D0000P3_
@`020?<d00030?LS003l3@00o0d001L0o`000P0093T3000S>080028h0P008SL3000Q=`@0020f0`00
7cH2000O=@D001he0P007CAQ00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`04
0?oooed0008I10007C@5000N=@8001le0`007cH4000P=P<0024g0P008SL4000R>003000S>0008cT0
02<i008002@i0P009CTG0?l000030?`=003g8@00mb400080lc800P3_@@000`3/C000jUL00>YG0002
0>MO0080iFH000<0hf`00>9a003RL@000P3QM@020>1h00030=mj003OO000gg`000@0gW`00P3OO000
0`3ONP00h7P00>1h00020>5e0080hW4000<0hf`00>EV003UIP000P3WG`020>YG00030>a<003_@@00
kd400080lc800P3g8@000`3l3@00o`000?l0000E0?l0008002Di100093T00`008cP0028h000R>002
000R>080028g0`008CL4000P=P<001lf0P007cD5000N=@@001ddG@000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103ooomL00026@<001dd1@007SD2000O=@@001lf0`0083H5000Q
=`@0028h0`008cP4000T>@8002Di00<002Hj0?l0003o00005@3o00020?`=0080n2000P3d<0000`3`
?@00kDP00>e800020>]B0080jEX000<0if000>EV003UIP000P3TJP020>=]00030>9`003RL@00hW40
00@0hW800P3RL@000`3RL000hfd00>=]00020>AZ0080iFH000<0if000>UJ003YFP000P3[DP020>e8
00030?0m003d<000m3000080n2000P3l3@0G0?l00003000V>P009CT002Di00@002@i0`008cP4000R
>0D0024g0`0083H4000O=P8001le1@007SD3000M=5`0008I1`3oool100000040oooo000L0?ooo`03
0000003oool0oooo00@0ooooG0000QT3000M=0D001he0P007cD4000O=P<0020f1@008CL4000R>0<0
02<h100093T2000U>@03000V>P3o0000o`0001D0o`000P3l3@020?PP0080m30000<0l3d00>e8003]
B0000P3[DP020>UJ00030>MP003UIP00iFH00080i6X00P3SK@000`3RL000hW400>9a00040>9b0080
hW4000<0hW000>=]003SK@000P3TJP020>EV00030>MP003YFP00jEX00080je800P3]B0000`3`?@00
m3000?@`00020?PP0080o0d05`3o00000`009SX002Di000U>@04000T>@<002<h10008SP5000Q=`<0
020f10007cH2000O=@D001he0`007CAL00026@L0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?oooeP0008I1@007C@2000M=@@001he00<001le000O=P007cH00P007cH3000P=PH0024g
00<0028g000R>0008SP010008cP3000T>@8002Di0`009SXI0?l00080o@/00P3h7@000`3e;000lST0
0?8i00020>m30080k4`000<0jU<00>UI003YF@000P3WGP020>IR00030>IU003UIP00iFH000@0iFL0
0P3UIP000`3VI@00iV800>IR00020>MN0080jET000<0jU<00>a<003/C0000P3_@`020?8i00030?D/
003h7@00n1d00080o@/06@3o0003000V>P8002Di0`0093T4000S>080028h00<0028g000Q=`008CL0
10008CL3000P=P@001lf00<001le000N=@007SD00P007SD2000M=@D001ddF0000QT70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103ooomH00026@D001dd0P007CD4000N=@03000O=@00
7cH001lf008001lf0`0083H6000Q=`03000R=`008SP0028h00@002<h0`0093T2000U>@<002Hj6@3o
00020?d;0080n1d000<0mB`00?8i003b>@000P3_@`020>a<00030>YC003YF@00jET00080ieh00P3V
HP000`3VI@00iFH00>EV00040>EW0080iFH000<0iVD00>IR003VHP000P3WGP020>UI00030>YC003/
C000k4`00080kd<00P3b>@000`3e;000n1d00?PM00020?d;01T0o`000`009SX2000U>@<002@i1000
8cP2000R>003000R=`008CL0024g00@0024g0`0083H4000O=P03000O=@007SD001he008001he0P00
7CD5000M=5P0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0ooooEP000QT2
000L=0@001dd00<001de000N=@007SD010007SD00`007cD001lf000O=P04000P=P03000P=`008CL0
024g0080024g0P008SL00`008SP002<h000S>002000S>0<002@i0P009CT2000U>P8002Hj00<002Lj
000W>`009c/06@3o00020?d900030?TJ003f:000mRP00080lc@00P3`?P000`3^AP00k4`00>a<0002
0>]B0080jUH000<0jET00>QK003XF`00103XG0020>QK00030>UI003ZEP00jUH00080je800P3/C000
0`3^AP00l3h00?0n00020?<d0080mRP000<0nAX00?d9003m2@006@3o0002000W>`03000W>P009SX0
02Hj008002Dj0P009CT3000T>@@002<h00<0028h000R=`008SL010008CL00`0083L0020f000P=P02
000P=P<001lf1P007SD00`007CD001dd000M=002000M=08001`dEP000QT70?ooo`4000000@3oool0
01@0oooo0P0000060?ooo`030000003oool0oooo00@0ooooEP000QT2000L=0@001dd00<001de000N
=@007SD010007SD00`007cD001lf000O=P04000P=P03000P=`008CL0024g0080024g0P008SL00`00
8SP002<h000S>002000S>0<002@i0P009CT2000U>P8002Hj00<002Lj000W>`009c/06@3o00020?d9
00030?TJ003f:000mRP00080lc@00P3`?P000`3^AP00k4`00>a<00020>]B0080jUH000<0jET00>QK
003XF`00103XG0020>QK00030>UI003ZEP00jUH00080je800P3/C0000`3^AP00l3h00?0n00020?<d
0080mRP000<0nAX00?d9003m2@006@3o0002000W>`03000W>P009SX002Hj008002Dj0P009CT3000T
>@@002<h00<0028h000R=`008SL010008CL00`0083L0020f000P=P02000P=P<001lf1P007SD00`00
7CD001dd000M=002000M=08001`dEP000QT70?ooo`4000000@3oool001<0oooo00@000000?ooo`3o
ool000001@3oool00`000000oooo0?ooo`040?oooe@0008I0P0073@4000M=08001de1@007SD2000O
=@03000O=P0083H0020f00@0020f0`008CL2000R=`80028h0`008cP4000T>@03000U>@009CX002Dj
00@002Hj00<002Lk000X>`00:3/00P00:3`I0?l000030?h6003j5P00nQH00080mb<00P3d;P000`3b
=`00l3h00?0n00020>m40080kDT000<0k4`00>a>003/CP00103/C`020>a>00030>a<003]B@00kDT0
0080kd@00P3`?P000`3b=`00m2h00?@^00020?LS0080nQH000<0oPH00?l0003o00005`3o0002000X
?08002Pk00<002Lk000V>P009SX00P009SX2000U>P03000U>@0093T002@i008002@i0`008cP2000R
>080028g0`008CL2000P=`@0020f00<001lf000O=@007cD01@007SD2000M=@@001dd0P0073AD0002
6@L0oooo0@0000010?ooo`004`3oool010000000oooo0?ooo`0000050?ooo`030000003oool0oooo
00@0ooooD@000QT3000L=0H001dd1@007SD2000O=@<001lf100083H3000Q=`80028g0P008SP3000S
>0@002@i0P009CT00`009CX002Hj000V>P02000V>P8002Lk0`00:3/2000Y?1X0o`000P3o0P020?/A
0080n1d000<0mRL00?@_003d;`000P3b=P020?4k00030?0n003_@@00kd4000@0kd800P3_@@000`3`
?P00lC/00?4k00020?8f0080m2l000<0mRL00?PM003h7@000P3k4@020?l201X0o`000P00:C`3000X
>`8002Lk10009SX00`009CX002Di000U>@04000T>@<002<h0P008SP2000R=`<0024g100083H3000O
=P8001le1@007SD6000M=0<001`dD@000QT70?ooo`4000000@3oool001<0oooo00@000000?ooo`3o
ool000001@3oool3000000@0ooooD@000QT3000L=0H001dd1@007SD2000O=@<001lf100083H3000Q
=`80028g0P008SP3000S>0@002@i0P009CT00`009CX002Hj000V>P02000V>P8002Lk0`00:3/2000Y
?1X0o`000P3o0P020?/A0080n1d000<0mRL00?@_003d;`000P3b=P020?4k00030?0n003_@@00kd40
00@0kd800P3_@@000`3`?P00lC/00?4k00020?8f0080m2l000<0mRL00?PM003h7@000P3k4@020?l2
01X0o`000P00:C`3000X>`8002Lk10009SX00`009CX002Di000U>@04000T>@<002<h0P008SP2000R
=`<0024g100083H3000O=P8001le1@007SD6000M=0<001`dD@000QT50?ooo`<000000@3oool001<0
oooo00@000000?ooo`3oool000001@3oool00`000000oooo0?ooo`040?ooodl0008I100073@5000M
=0D001he0P007cD4000O=P<0020f10008CL00`008SL0028h000R>002000R>0<002<h100093T2000U
>@<002Hj10009c/00`00:3/002Tl000Y?002000Z?08002Xm703o00020?d;00030?XF003h7`00n1l0
0080mRH00P3e;0000`3d<000lc<00?<c00040?<d0080lc<000<0m3000?D/003e;0000P3f9P020?PO
00030?XF003m2`00o@/001`0o`000P00:Sd2000Z?08002Tl00<002Pk000W>`009c/00P009c/3000V
>P8002Di100093T3000S>0@0028h00<0028g000Q=`008CL00P008CL3000P=P@001lf0P007cD5000N
=@D001dd100073A?00026@L0oooo0@0000010?ooo`004`3oool010000000oooo0?ooo`0000050?oo
o`030000003oool0oooo00@0ooooC`000QT4000L=0D001dd1@007SD2000O=@@001lf0`0083H4000Q
=`03000R=`008SP0028h0080028h0`008cP4000T>@8002Di0`009SX4000W>`03000X>`00:C`002Tl
008002Xl0P00:SdL0?l00080o@/000<0nQH00?PO003h7`000P3f9P020?D/00030?@`003c<`00lc<0
00@0lc@00P3c<`000`3d<000mB`00?D/00020?HV0080n1l000<0nQH00?d;003m2`00703o0002000Z
?@8002Xl0P00:C`00`00:3/002Lk000W>`02000W>`<002Hj0P009CT4000T>@<002<h10008SP00`00
8SL0024g000Q=`02000Q=`<0020f10007cH2000O=@D001he1@007C@4000L=4l0008I1`3oool10000
0040oooo000D0?ooo`8000001P3oool00`000000oooo0?ooo`040?oood`0008I00<001`c000L=000
73@00P0073@5000M=0H001he00<001le000O=P007cH00P007cH3000P=PH0024g00<0028g000R>000
8SP010008cP3000T>@8002Di0`009SX2000W>P8002Lk0P00:3/3000Y?08002Xl0P00:cd2000/?A`0
o`0000<0o`<00?`>003l3P000P3j5P020?TL00030?PP003g8`00mb<000@0mbD00P3g8`000`3h8000
nA`00?TL00020?XF0080o0h000<0o`<00?l0003o00006P3o0002000/?@8002/m0P00:Sd3000Y?080
02Pk0P009c/2000W>P<002Hj0P009CT3000T>@@002<h0P008SP00`008SL0024g000Q=`04000Q=`<0
020f10007cH00`007cD001he000N=@04000N=@D001dd100073@00`0073<0008I00026@1:00026@L0
oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oood`0008I00<001`c000L=00073@0
0P0073@5000M=0H001he00<001le000O=P007cH00P007cH3000P=PH0024g00<0028g000R>0008SP0
10008cP3000T>@8002Di0`009SX2000W>P8002Lk0P00:3/3000Y?08002Xl0P00:cd2000/?A`0o`00
00<0o`<00?`>003l3P000P3j5P020?TL00030?PP003g8`00mb<000@0mbD00P3g8`000`3h8000nA`0
0?TL00020?XF0080o0h000<0o`<00?l0003o00006P3o0002000/?@8002/m0P00:Sd3000Y?08002Pk
0P009c/2000W>P<002Hj0P009CT3000T>@@002<h0P008SP00`008SL0024g000Q=`04000Q=`<0020f
10007cH00`007cD001he000N=@04000N=@D001dd100073@00`0073<0008I00026@1:00026@L0oooo
0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooodX0008I0`0073<2000L=0D001dd0P00
7CD4000N=@8001le0`007cH4000P=P03000P=`008CL0024g0080024g0P008SL00`008SP002<h000S
>002000S>0<002@i0P009CT2000U>P8002Hj00<002Lj000W>`009c/00P00:3/3000Y?08002Xl0P00
:cd2000/?@8002`n7`3o00020?l40080o@/000<0o1000?/C003k4`00103k5@020?/C00030?`@003m
2`00o@/00080o`@07`3o0002000/?P8002`m0P00:cd2000Z?0<002Tl0P00:3/2000W>`03000W>P00
9SX002Hj008002Dj0P009CT3000T>@@002<h00<0028h000R=`008SL010008CL00`0083L0020f000P
=P02000P=P<001lf0P007cD4000N=@8001de1@007C@2000L=0<001`cBP000QT70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooom800026@@001`c0`0073@4000M=003000M=@007SD0
01he00@001he0P007cD00`007cH0020f000P=P02000P=P80020g0`008CL2000R=`80028h0`008cP4
000T>@03000U>@009CX002Dj00@002Hj00<002Lk000X>`00:3/00P00:3/2000Y?003000Z?000:cd0
02/m008002/m0P00;3h2000]?P03000^?`3o0000o`000240o`000P3o0@040?l30080o`408`3o0000
0`00;Sl002dn000]?P02000/?P@002/m00<002Xl000Y?000:C`01000:3/00`009c/002Hj000V>P02
000V>P8002Dj00<002Di000T>@0093T00P0093T3000S>080028h0P008SL3000Q=`80020g100083H0
0`007cH001le000O=@06000N=@03000M=@007C@001dd008001dd0`0073@4000L<dP0008I1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0ooooB0000QT4000L<`<001`d10007C@00`00
7CD001he000N=@04000N=@8001le00<001lf000P=P0083H00P0083H2000P=`<0024g0P008SL2000R
>0<002<h100093T00`009CT002Dj000U>P04000V>P03000W>`00:3/002Pk008002Pk0P00:C`00`00
:S`002/m000[?@02000[?@8002`n0P00;Ch00`00;Sl0o`000?l0000Q0?l00080o`40103o0`020?l1
02<0o`0000<002ho000]?P00;Ch00P00;3h4000[?@03000Z?000:C`002Tl00@002Pk00<002Lk000V
>P009SX00P009SX2000U>P03000U>@0093T002@i008002@i0`008cP2000R>080028g0`008CL2000P
=`@0020f00<001lf000O=@007cD01P007SD00`007CD001dd000M=002000M=0<001`d100073=80002
6@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooodD0008I00<001/c000L<`00
73<00P0073<3000L=0H001dd1@007SD2000O=@8001lf1@0083H3000Q=`80028g0P008SP3000S>0@0
02@i0P009CT00`009CX002Hj000V>P02000V>P8002Lk0`00:3/2000Y?08002Xl00<002Xm000[?@00
:cd00P00;3h2000]?P8002ho00<002lo0?l0003o0000C03o00000`00;cl002ho000^?`02000]?P80
02`n0P00:cd00`00:Sd002Xl000Z?002000Y?0<002Pk0P009c/4000V>P03000U>P009CT002Di00@0
02@i0`008cP2000R>080028g0`008CL5000P=P8001lf0P007cD5000N=@H001dd0`0073@4000L<`03
000K<`000QT0008I04<0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
A@000QT00`006c<001`c000L<`02000L<`<001`d1P007C@5000N=@8001le0P007cH5000P=P<0024g
0P008SL2000R>0<002<h100093T2000U>@03000U>P009SX002Hj008002Hj0P009c/3000X>`8002Tl
0P00:S`00`00:Sd002/m000[?@02000/?P8002dn0P00;Sl00`00;cl0o`000?l0001<0?l00003000_
?`00;Sl002ho008002dn0P00;3h2000[?@03000Z?@00:S`002Xl008002Tl0`00:3/2000W>`@002Hj
00<002Dj000U>@009CT0100093T3000S>080028h0P008SL3000Q=`D0020f0P007cH2000O=@D001he
1P007C@3000L=0@001`c00<001/c00026@000QT0@`000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103ooom300026@<001/c0P0073<4000L=0D001dd1@007SD2000O=@@001lf0`00
83H4000Q=`03000R=`008SP0028h0080028h0`008cP4000T>@8002Di0`009SX4000W>`03000X>`00
:C`002Tl008002Tl0P00:Sd00`00:cd002`m000/?@04000]?P8002ho00<002lo000`@000<400BP3o
0002000`@003000_?`00;Sl002ho00@002dn0P00;3d00`00:cd002Xm000Z?@04000Y?003000X>`00
9c/002Lk008002Lk0`009SX2000U>@@002@i0`008cP4000R>003000R=`008CL0024g0080024g0`00
83H4000O=P8001le1@007SD5000M=0@001`d0P0073<3000K<d<0008I1`3oool100000040oooo000L
0?ooo`030000003oool0oooo00@0oooo@`000QT3000K<`8001`c100073@5000M=0D001he0P007cD4
000O=P<0020f10008CL00`008SL0028h000R>002000R>0<002<h100093T2000U>@<002Hj10009c/0
0`00:3/002Tl000Y?002000Y?08002Xm00<002/m000/?@00;3d01000;Ch2000^?`03000_?`00<400
031004X0o`000P00<4000`00;cl002ho000^?`04000]?P8002`m00<002/m000Z?@00:Sd01000:C`0
0`00:3/002Lk000W>`02000W>`<002Hj0P009CT4000T>@<002<h10008SP00`008SL0024g000Q=`02
000Q=`<0020f10007cH2000O=@D001he1@007C@4000L=08001`c0`006c=300026@L0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`040?ooocl0008I1P006c<00`0073<001`d000L=002000L
=0D001dd1@007SD2000O=@@001lf0`0083H6000Q=`03000R=`008SP0028h00@002<h0`0093T2000U
>@8002Dj00<002Hj000W>P009cX00P009c/2000X>`<002Tl0P00:S`2000[?@03000/?@00;3h002`n
008002dn0P00;Sl2000_?`03000`@000<D00035000800391AP3o0002000b@@80035000<00310000_
?`00;cl00P00;Sl2000]?P8002`n00<002`m000[?@00:cd00P00:S`3000Y?08002Pk0P009c/2000W
>P03000V>P009CX002Dj008002Di0`0093T4000S>080028h00<0028g000Q=`008CL010008CL3000P
=P@001lf0P007cD5000N=@D001dd100073@00`0073<001/c000K<`04000K<cl0008I1`3oool10000
0040oooo000L0?ooo`030000003oool0oooo00@0oooo?P000QT5000K<`8001`c0`0073@5000M=0H0
01he00<001le000O=P007cH00P007cH4000P=P03000P=`008CL0024g0080024g0P008SL00`008SP0
02<h000S>002000S>0<002@i0P009CT2000U>P<002Hj0P009c/4000X>`03000Y?000:S`002Xl00@0
02/m00<002`n000]?P00;Ch00P00;Sl2000_?`80031000<00350000b@@00<T400P00<d560?l00080
03=10P00<T400`00<D000310000`@002000_?`8002ho0P00;Ch00`00;3h002/m000[?@02000[?@80
02Xl00<002Tl000X>`00:3/00P00:3/2000W>`03000W>P009SX002Hj008002Dj0P009CT3000T>@@0
02<h00<0028h000R=`008SL010008CL00`0083L0020f000P=P02000P=P@001lf00<001le000N=@00
7SD010007SD5000M=0<001`d0P0073<5000K<ch0008I1`3oool100000040oooo000L0?ooo`030000
003oool0oooo00@0oooo?P000QT5000K<`8001`c0`0073@5000M=0H001he00<001le000O=P007cH0
0P007cH4000P=P03000P=`008CL0024g0080024g0P008SL00`008SP002<h000S>002000S>0<002@i
0P009CT2000U>P<002Hj0P009c/4000X>`03000Y?000:S`002Xl00@002/m00<002`n000]?P00;Ch0
0P00;Sl2000_?`80031000<00350000b@@00<T400P00<d560?l0008003=10P00<T400`00<D000310
000`@002000_?`8002ho0P00;Ch00`00;3h002/m000[?@02000[?@8002Xl00<002Tl000X>`00:3/0
0P00:3/2000W>`03000W>P009SX002Hj008002Dj0P009CT3000T>@@002<h00<0028h000R=`008SL0
10008CL00`0083L0020f000P=P02000P=P@001lf00<001le000N=@007SD010007SD5000M=0<001`d
0P0073<5000K<ch0008I1`3oool100000040oooo000L0?ooo`8000001@3oooll00026@D001/c1000
73<3000L=0@001dd00<001de000N=@007SD010007SD00`007cD001lf000O=P04000P=P80020g0`00
8CL2000R=`80028h0`008cP4000T>@03000U>@009CX002Dj00@002Hj00<002Lk000X>`00:3/00P00
:3/2000Y?003000Z?000:Sd002Xm008002/m0P00;3h00`00;Ch002hn000^?P02000_?`8003100P00
<D000`00<T4003=1000c@@02000d@P8003E2@P3o0002000e@P8003A20P00<d400`00<T400350000a
@002000`@08002lo0P00;Sl00`00;Ch002`n000/?P02000[?@8002Xm00<002Xl000Y?000:C`01000
:3/00`009c/002Hj000V>P02000V>P8002Dj00<002Di000T>@0093T00P0093T3000S>080028h0P00
8SL3000Q=`80020g100083H2000O=P03000O=@007SD001he00@001he00<001de000M=0007C@01000
7C@00`0073@001`c000L<`02000L<`D001/c?0000QT60?ooo`8000000@3oool001`0oooo00<00000
0?ooo`3oool0103oooll00026@D001/c100073<3000L=0@001dd00<001de000N=@007SD010007SD0
0`007cD001lf000O=P04000P=P80020g0`008CL2000R=`80028h0`008cP4000T>@03000U>@009CX0
02Dj00@002Hj00<002Lk000X>`00:3/00P00:3/2000Y?003000Z?000:Sd002Xm008002/m0P00;3h0
0`00;Ch002hn000^?P02000_?`8003100P00<D000`00<T4003=1000c@@02000d@P8003E2@P3o0002
000e@P8003A20P00<d400`00<T400350000a@002000`@08002lo0P00;Sl00`00;Ch002`n000/?P02
000[?@8002Xm00<002Xl000Y?000:C`01000:3/00`009c/002Hj000V>P02000V>P8002Dj00<002Di
000T>@0093T00P0093T3000S>080028h0P008SL3000Q=`80020g100083H2000O=P03000O=@007SD0
01he00@001he00<001de000M=0007C@010007C@00`0073@001`c000L<`02000L<`D001/c?0000QT7
0?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolh00026@8001Xb1@006c<4000L
<`<001`d10007C@2000M=@D001he0P007cD00`007cH0020f000P=P04000P=P<0024g0P008SL4000R
>0<002<h0P0093T3000U>@@002Hj0`009c/2000X>`@002Tl00<002Xm000[?@00:cd00P00;3d3000]
?P8002ho0P00;cl2000`@080035000<00391000d@P00=4800P00=D82000f@d80o`000P00=T<2000e
@P8003A200<00391000a@000<D000P00<402000_?`8002ho0`00;Ch2000/?@8002/m00<002Xm000Y
?000:C`00P00:C`2000X>`<002Lk10009SX3000U>@8002@i0`008cP4000R>080028g0`008CL6000P
=P03000O=P007cD001le00D001he0P007CD4000M=0<001`d100073<5000K<`8001Xb>0000QT70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolh00026@8001Xb1@006c<4000L<`<0
01`d10007C@2000M=@D001he0P007cD00`007cH0020f000P=P04000P=P<0024g0P008SL4000R>0<0
02<h0P0093T3000U>@@002Hj0`009c/2000X>`@002Tl00<002Xm000[?@00:cd00P00;3d3000]?P80
02ho0P00;cl2000`@080035000<00391000d@P00=4800P00=D82000f@d80o`000P00=T<2000e@P80
03A200<00391000a@000<D000P00<402000_?`8002ho0`00;Ch2000/?@8002/m00<002Xm000Y?000
:C`00P00:C`2000X>`<002Lk10009SX3000U>@8002@i0`008cP4000R>080028g0`008CL6000P=P03
000O=P007cD001le00D001he0P007CD4000M=0<001`d100073<5000K<`8001Xb>0000QT70?ooo`40
00000@3oool001`0oooo00<000000?ooo`3oool0103ooolg00026@03000J<P006c<001/c00@001/c
0`0073<4000L=0D001dd1@007SD2000O=@<001lf100083H5000Q=`@0028h0`008cP4000T>@8002Di
00<002Dj000V>P009SX00P009cX2000W>`03000X>`00:C`002Tl008002Tl0P00:S`00`00:cd002`m
000/?@02000/?P8002dn00<002ho000_?`00;cl00P00<402000a@080039100<003=1000d@P00=480
0P00=T<2000g@`03000hA03o0000o`0003h0o`0000<003Q4000g@`00=d<00P00=T<2000d@P03000c
@@00<T400391008003500P00<402000_?`03000^?`00;Ch002dn008002`n0P00;3d00`00:cd002Xl
000Z?004000Y?003000X>`009c/002Lk008002Lj0P009SX00`009CX002Di000U>@04000T>@<002<h
10008SP5000Q=`@0020f0`007cH2000O=@D001he1@007C@4000L=0<001`c1P006c<00`006S80008I
00026@0e00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oooc<0008I1000
6S87000K<`03000L<`0073@001`d008001`d1@007C@5000N=@8001le10007cH3000P=PH0024g00<0
028g000R>0008SP010008cP3000T>@8002Di0P009CX00`009SX002Lj000W>P02000W>`<002Pk0P00
:C`2000Z?0<002/m0P00;3h2000]?P8002ho00<002lo000`@000<4000P00<D02000b@@8003=100<0
03A2000e@`00=D<00P00=T<2000hA003000iA@3o0000o`0003h0o`0000<003U5000hA000>4@00P00
=d<2000e@`03000d@P00<d4003=1008003910P00<D02000`@003000_?`00;Sl002ho008002dn0P00
;3h3000[?@8002Xl0P00:C`3000X>`8002Lk0P009cX00`009SX002Dj000U>P02000U>@<002@i1000
8cP2000R>003000R=`008CL0024g00@0024g0`0083H4000O=P8001le1@007SD5000M=0@001`d00<0
01`c000K<`006c<01@006c<4000J<S<0008I1`3oool100000040oooo000L0?ooo`030000003oool0
oooo00@0oooo<`000QT4000J<PL001/c00<001`c000L=00073@00P0073@5000M=0D001he0P007cD4
000O=P<0020f1P008CL00`008SL0028h000R>004000S>0<002@i0P009CT2000U>P03000V>P009cX0
02Lj008002Lk0`00:3/2000Y?08002Xl0`00:cd2000/?P8002dn0P00;Sl00`00;cl00310000`@002
000a@08003910P00<d400`00=48003E3000e@`02000f@`8003Q400<003U50?l0003o0000?P3o0000
0`00>DD003Q4000hA002000g@`8003E300<003A2000c@@00<d400P00<T42000a@080031000<002lo
000^?`00;Sl00P00;Ch2000/?P<002/m0P00:S`2000Y?0<002Pk0P009c/2000W>P03000V>P009CX0
02Dj008002Di0`0093T4000S>080028h00<0028g000Q=`008CL010008CL3000P=P@001lf0P007cD5
000N=@D001dd100073@00`0073<001/c000K<`05000K<`@001Xb<`000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103ooola00026@@001Xb1`006c<2000L<`<001`d1@007C@6000N
=@03000O=@007cH001lf008001lf0`0083H2000P=`@0024g0P008SL00`008SP002<h000S>002000S
>0<002@i0P009CT2000U>P<002Hj0P009c/4000X>`03000Y?000:S`002Xl008002Xm0P00:cd00`00
;3h002dn000]?P02000^?P<002lo0P00<402000a@@8003=10P00=4800`00=D8003I3000f@`02000g
A08003U400<003Y5000lAP00?4H0?03o0002000lAP03000jA@00>D@003U4008003M40P00=T<00`00
=D8003A2000d@P02000c@@8003510P00<403000_?`8002hn0P00;Ch00`00;3h002/m000[?@02000Z
?@8002Xl00<002Tl000X>`00:3/00P00:3/2000W>`<002Hj0P009CX2000U>@<002@i10008cP00`00
8SP0028g000R=`04000Q=`80020g0`0083H4000O=P03000O=@007SD001he00@001he1@007C@3000L
=08001`c1`006c<4000J<S40008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0
oooo<@000QT4000J<PL001/c0P0073<3000L=0D001dd1P007SD00`007cD001lf000O=P02000O=P<0
020f0P0083L4000Q=`80028g00<0028h000S>0008cP00P008cP3000T>@8002Di0P009CX3000V>P80
02Lk1000:3/00`00:C`002Xl000Z?002000Z?@8002/m00<002`n000]?P00;Ch00P00;Sh3000_?`80
03100P00<D42000c@@8003A200<003E2000f@`00=T<00P00=d@2000iA003000jA@00?4H003a603`0
o`000P00?4H00`00>TD003U4000iA002000gA08003I300<003E2000d@P00=4800P00<d42000a@@80
03100`00;cl2000^?P8002dn00<002`n000[?@00:cd00P00:Sd2000Z?003000Y?000:3/002Pk0080
02Pk0P009c/3000V>P8002Dj0P009CT3000T>@@002<h00<0028h000R=`008SL010008CL2000P=`<0
020f10007cH00`007cD001he000N=@04000N=@D001dd0`0073@2000L<`L001/c10006S8a00026@L0
oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oooc00008I0`006S87000K<`@001`c
0`0073@4000M=003000M=@007SD001he00@001he00<001le000O=P007cH01@0083H4000Q=`80028g
0P008SP5000S>08002@i0`009CT4000V>P<002Lk0P00:3/3000Y?08002Xm0P00:cd2000/?@<002dn
0P00;Sl2000_?`03000`@000<D000350008003910P00<d82000e@P03000f@`00=d<003M3008003Q4
0P00>TD00`00>dH003e6000mAP0l0?l0008003e600<003]6000jA@00>TD00P00>4@2000g@`03000f
@`00=D8003E2008003=20P00<T42000a@003000`@000;cl002lo008002ho0`00;Ch2000/?@8002/m
0P00:Sd3000Y?08002Pk0`009c/4000V>P<002Di0P0093T2000S>@<002<h0P008SP2000R=`@0024g
1@0083H2000O=P03000O=@007SD001he00@001he00<001de000M=0007C@010007C@00`0073@001`c
000L<`02000L<`L001/c0`006S8`00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?oooc00008I0`006S87000K<`@001`c0`0073@4000M=003000M=@007SD001he00@001he00<0
01le000O=P007cH01@0083H4000Q=`80028g0P008SP5000S>08002@i0`009CT4000V>P<002Lk0P00
:3/3000Y?08002Xm0P00:cd2000/?@<002dn0P00;Sl2000_?`03000`@000<D000350008003910P00
<d82000e@P03000f@`00=d<003M3008003Q40P00>TD00`00>dH003e6000mAP0l0?l0008003e600<0
03]6000jA@00>TD00P00>4@2000g@`03000f@`00=D8003E2008003=20P00<T42000a@003000`@000
;cl002lo008002ho0`00;Ch2000/?@8002/m0P00:Sd3000Y?08002Pk0`009c/4000V>P<002Di0P00
93T2000S>@<002<h0P008SP2000R=`@0024g1@0083H2000O=P03000O=@007SD001he00@001he00<0
01de000M=0007C@010007C@00`0073@001`c000L<`02000L<`L001/c0`006S8`00026@L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooob`0008I1@006S82000K<PD001/c100073<3
000L=0H001dd1@007SD2000O=@<001lf100083H3000Q=`80028g10008SP3000S>0@002@i00<002Di
000U>P009CX00P009SX2000W>P03000W>`00:3/002Pk00@002Tl00<002Xl000[?@00:cd00P00:cd2
000/?P03000]?P00;Sl002ho008002lo0P00<4000`00<D000391000b@@02000c@@8003A20P00=D<0
0`00=d<003Q4000hA002000iA@8003]500<003a6000nA`00?TL00P00@4Ph0?l0008004180P00?TL0
0`00?4H003]5000kA@02000iA@8003Q400<003M3000e@`00=D<00P00=482000c@@80039100<00350
000`@000<4000P00;cl2000^?`03000]?P00;3h002`n00@002/m00<002Xl000Y?000:C`00P00:C`2
000X>`03000W>`009cX002Lj008002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h10008SP2
000R=`<0024g100083H3000O=P8001le1@007SD6000M=0<001`d100073<5000K<`8001/b1@006S8/
00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooob`0008I1@006S82000K
<PD001/c100073<3000L=0H001dd1@007SD2000O=@<001lf100083H3000Q=`80028g10008SP3000S
>0@002@i00<002Di000U>P009CX00P009SX2000W>P03000W>`00:3/002Pk00@002Tl00<002Xl000[
?@00:cd00P00:cd2000/?P03000]?P00;Sl002ho008002lo0P00<4000`00<D000391000b@@02000c
@@8003A20P00=D<00`00=d<003Q4000hA002000iA@8003]500<003a6000nA`00?TL00P00@4Ph0?l0
008004180P00?TL00`00?4H003]5000kA@02000iA@8003Q400<003M3000e@`00=D<00P00=482000c
@@80039100<00350000`@000<4000P00;cl2000^?`03000]?P00;3h002`n00@002/m00<002Xl000Y
?000:C`00P00:C`2000X>`03000W>`009cX002Lj008002Hj0P009CX00`009CT002@i000T>@02000T
>@<002<h10008SP2000R=`<0024g100083H3000O=P8001le1@007SD6000M=0<001`d100073<5000K
<`8001/b1@006S8/00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooobX0
008I1`006S86000K<`<001`c100073@5000M=0D001he0P007cD3000O=P@0020f1@008CL2000R=`80
028h0`008cP4000T>@8002Di00<002Dj000V>P009SX00P009SX2000W>`<002Pk0P00:C`2000Z?0<0
02/m0P00;3h2000]?P03000^?`00;cl002lo008003100P00<D000`00<T4003=1000c@@02000d@P80
03E20P00=T<00`00>4@003U4000iA002000jA@8003a600<003i7000oB000?dP00P00@DP20013BC@0
o`000P00@dT20011B08003m800<003i7000lAP00?4H00P00>TD2000iA003000hA000=T<003I30080
03E20P00=482000c@@03000b@@00<D000350008003100P00;cl00`00;Sl002dn000]?P02000/?P<0
02/m0P00:S`2000Y?0<002Pk0P009c/2000W>P8002Hj00<002Dj000U>@009CT0100093T3000S>080
028h0P008SL5000Q=`@0020f0`007cH2000O=@D001he1@007C@4000L=0<001`c1P006c<7000J<RX0
008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo9`000QT00`006C8001Xb
000J<P06000J<PL001/c00<001`c000L=00073@00P0073@5000M=0D001he0P007cD4000O=P<0020f
0P0083L3000Q=`80028g0P008SP4000S>0<002@i0P009CT2000U>P<002Hj0P009c/3000X>`8002Tl
0P00:S`2000Z?@03000[?@00;3d002`m008002dn0P00;Sh00`00;Sl002lo000_?`02000`@0800350
00<00391000c@P00<d800P00=D82000f@`8003M400<003Q4000jA@00>TD00P00>dH2000mAP03000o
A`00@DP00458008004990P00A4Xd0?l0008004E:0P00@TT20011B003000oA`00?DH003e6008003]6
0P00>TD00`00>4@003M4000gA002000f@`8003E20P00<d800`00<T400350000a@002000`@08002lo
00<002ho000^?P00;Sh00P00;Ch2000/?@03000[?@00:Sd002Xm008002Xl0P00:C`3000X>`8002Lk
0`009SX2000U>P8002Di0`0093T4000S>080028h0P008SL3000Q=`80020g0`0083H4000O=P8001le
1@007SD5000M=0@001`d00<001`c000K<`006c<01@006c<8000J<P03000I<P000QT0008I02D0008I
1`3oool100000040oooo000L0?ooo`8000001@3ooolW00026@03000I<P006S8001Xb00H001Xb1`00
6c<00`0073<001`d000L=002000L=0D001dd1@007SD2000O=@@001lf0`0083H2000P=`<0024g0P00
8SL2000R>0@002<h0`0093T2000U>@8002Dj0`009SX2000W>`<002Pk0P00:C`2000Z?08002Xm00<0
02/m000/?@00;3d00P00;Ch2000^?P03000^?`00;cl002lo008003100P00<D000`00<T4003=2000c
@P02000e@P8003I30P00=d@00`00>4@003Y5000jA@02000kAP8003e600<003m70011B000@DP00P00
@TT20014BS@0o`000P00ADX20012B@80045800<003m7000mAP00?DH00P00>dH2000jA@03000hA000
=d@003M4008003I30P00=D82000c@P03000b@@00<D000350008003100P00;cl00`00;Sl002hn000^
?P02000]?P8002`m00<002/m000Z?@00:Sd00P00:S`2000Y?0<002Pk0P009c/3000V>P8002Dj0P00
9CT3000T>@@002<h0P008SP2000R=`<0024g0P0083L3000P=P@001lf0P007cD5000N=@D001dd1000
73@00`0073<001/c000K<`05000K<`P001Xb00<001Tb00026@000QT09@000QT60?ooo`8000000@3o
ool001`0oooo00<000000?ooo`3oool0103ooolU00026@8001Tb1`006S87000K<`8001`c0`0073@5
000M=08001de1@007SD2000O=@8001lf1@0083H4000Q=`03000R=`008SP0028h00H002<h00<002@i
000U>@009CT00P009CT3000V>P@002Lk0P00:3/3000Y?08002Xl0P00:cd00`00;3d002`n000/?P02
000]?P8002ho00<002lo000`@000<4000P00<D02000b@@03000c@@00=48003A2008003E30P00=d<2
000hA003000iA@00>dD003]5008003a60P00?TL00`00@4P004990012B@020014BP8004I;00<004Q<
0?l0003o0000<03o00000`00B4`004I;0016B`020014BP80049900<00418000nA`00?TL00P00?DH2
000kA@03000iA@00>4@003Q4008003M30P00=D<2000d@P03000c@@00<T400391008003500P00<400
0`00;cl002ho000^?`02000]?P8002`n00<002`m000[?@00:cd00P00:S`3000Y?08002Pk10009c/3
000V>P@002Di00<002@i000S>0008cP010008cP2000R>003000R=`008CL0024g0080024g1@0083H2
000O=P8001le1@007SD2000M=@D001dd0`0073@2000L<`L001/c1`006S82000I<RD0008I1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0oooo9@000QT2000I<PL001Xb1`006c<2000L
<`<001`d1@007C@2000M=@D001he0P007cD2000O=PD0020f10008CL00`008SL0028h000R>006000S
>003000T>@009CT002Di008002Di0`009SX4000W>`8002Pk0`00:C`2000Z?08002/m00<002`m000/
?P00;3h00P00;Ch2000^?`03000_?`00<4000310008003500P00<T400`00<d4003A2000d@P02000e
@`8003M30P00>4@00`00>DD003]5000kA@02000lAP8003i700<004180012B@00@TT00P00A4X20016
B`030018C03o0000o`000300o`0000<004Q<0016B`00AT/00P00A4X20012B@030010B000?TL003i7
008003e60P00>dD00`00>DD003Q4000hA002000g@`8003E30P00=4800`00<d400391000b@@02000a
@080031000<002lo000^?`00;Sl00P00;Ch2000/?P03000/?@00:cd002/m008002Xl0`00:C`2000X
>`@002Lk0`009SX4000U>@03000T>@008cP002<h00@002<h0P008SP00`008SL0024g000Q=`02000Q
=`D0020f0P007cH2000O=@D001he0P007CD5000M=0<001`d0P0073<7000K<`L001Xb0P006C8U0002
6@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooob<0008I0P006C87000J<PL0
01/c100073<3000L=0@001dd00<001de000N=@007SD010007SD00`007cD001lf000O=P02000O=P<0
020f10008CL2000R=`<0028h10008cP3000T>@8002Di0P009CX2000V>P03000W>P009c/002Lk0080
02Pk0`00:C`2000Z?0@002/m00<002`n000]?P00;Ch00P00;Sl2000_?`03000`@000<D0003500080
03910P00<d400`00=48003E2000e@P02000f@`8003Q40P00>D@00`00>TD003a6000lAP02000nA`80
03m800<004580013B@00@dT00P00ADX20017B`03001:C03o0000o`000300o`0000<004Y<0017B`00
Ad/00P00ADX20013B@030011B000?dP003m8008003i70P00?4H00`00>TD003U4000iA002000hA080
03I30P00=D800`00=48003=1000c@@02000b@@80035000<00310000_?`00;cl00P00;Sl2000]?P03
000/?P00:cd002/m008002/m0P00:S`3000Y?08002Pk0P009c/00`009cX002Hj000V>P02000U>P80
02Di0`0093T4000S>0<0028h0P008SL4000Q=`<0020f10007cH00`007cD001he000N=@04000N=@03
000M=@007C@001dd008001dd0`0073@4000L<`L001/c1`006S82000I<R<0008I1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0oooo8`000QT2000I<PL001Xb1`006c<4000L<`<001`d
10007C@00`007CD001he000N=@04000N=@03000O=@007cH001lf008001lf0`0083H4000Q=`80028g
0`008SP4000S>0<002@i0P009CT2000U>P8002Hj00<002Lj000W>`009c/00P00:3/3000Y?08002Xl
1000:cd00`00;3h002dn000]?P02000^?`8002lo00<00310000a@000<D000P00<T42000c@@03000d
@P00=D8003E2008003I30P00>4@2000iA003000jA@00?4H003a6008003i70P00?dP00`00@DP004=9
0013B@020015BP8004M;00<004Y<0?l0003o0000<03o00000`00BT`004M;0017B`020015BP8004=9
00<00458000oB000?dP00P00?TL2000lAP03000jA@00>D@003U4008003Q40P00=T<2000e@P03000d
@P00<d4003=1008003910P00<D000`00<40002lo000_?`02000^?`8002dn00<002`n000[?@00:cd0
0P00:cd2000Z?0<002Tl0P00:3/2000W>`03000W>P009SX002Hj008002Dj0P009CT3000T>@@002<h
0`008SP2000R=`@0024g0`0083H4000O=P03000O=@007SD001he00@001he00<001de000M=0007C@0
0P007C@3000L=0@001`c1`006c<7000J<P8001Tb8`000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103ooolP00026@03000I<@006C8001Tb00T001Xb1@006c<4000L<`<001`d1P00
7C@5000N=@8001le0`007cH4000P=PD0024g0P008SL00`008SP002<h000S>002000S>0@002@i00<0
02Di000U>P009CX010009SX00`009c/002Pk000X>`02000X>`8002Tl00<002Xl000Z?@00:Sd00P00
:cd2000/?P03000]?P00;Sh002hn008002ho0P00;cl00`00<4000351000a@@02000b@@8003A200<0
03E2000f@`00=T<00P00=d@2000iA08003Y500<003]6000mAP00?DH00P00?dL20011B0030012B@00
A4X004A:008004M;0P00BD`00`00Bdd004i>001>CP0^0?l0008004i>00<004]=0019C000BD`00P00
Ad/20014BP030012B@00@DP00458008003m70P00?DH00`00>dH003Y5000jA@02000iA08003M40P00
=T<00`00=D8003A2000d@P02000b@@80035100<00310000_?`00;cl00P00;Sl2000^?P03000]?P00
;3h002`n008002/m0P00:Sd00`00:S`002Tl000Y?004000X>`03000W>`009SX002Hj008002Hj0P00
9CX00`009CT002@i000T>@02000T>@@002<h00<0028h000R=`008SL01@008CL4000P=P<001lf0P00
7cD5000N=@H001dd0`0073@4000L<`D001/c2@006S82000I<P03000I<@000QT0008I01h0008I1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo7P000QT2000I<@<001Tb1`006S87
000K<`8001`c100073@5000M=0D001he0P007cD3000O=P@0020f0P0083L3000Q=`80028g0P008SP3
000S>0@002@i0P009CT00`009CX002Hj000V>P02000V>P<002Lk0P00:3/4000Y?003000Z?@00:cd0
02/m008002`m0P00;3h00`00;Ch002ho000^?`02000_?`80031000<00350000b@@00<T400P00<d42
000d@P03000e@`00=d<003M3008003Q40P00>DD2000kA@03000lAP00?TL003i7008004180P00@TT0
0`00A4X004I;0016B`020018C08004Y=00<004e>001?CP00Cdh0;P3o0002001?CP03001=CP00BTd0
04Y=008004Q<0P00AT/00`00A4X004990012B@020010B08003i700<003e6000kA@00>dD00P00>DD2
000hA08003M300<003I3000d@P00=4800P00<d42000b@@03000a@000<4000310008002lo0P00;Sl3
000]?P8002`m0P00:cd00`00:Sd002Tl000Y?002000Y?08002Pk0`009c/4000V>P03000U>P009CT0
02Di00@002@i0`008cP2000R>080028g0`008CL2000P=`@0020f0`007cH2000O=@D001he1@007C@4
000L=08001`c1`006c<7000J<P<001Tb0P006C4N00026@L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?oooah0008I0P006C43000I<PL001Xb1`006c<2000L<`@001`d1@007C@5000N
=@8001le0`007cH4000P=P80020g0`008CL2000R=`80028h0`008cP4000T>@8002Di00<002Dj000V
>P009SX00P009SX3000W>`8002Pk1000:C`00`00:Sd002/m000[?@02000/?@8002`n00<002dn000^
?`00;Sl00P00;cl2000`@003000a@000<T400391008003=10P00=4800`00=D<003M3000g@`02000h
A08003U50P00>dD00`00?4H003i7000nA`020010B080049900<004A:0016B`00AT/00P00B4`2001:
C@03001=CP00Cdh004m>02h0o`000P00Cdh00`00CDh004Y=001:C@020018C08004I;00<004A:0012
B@00@TT00P00@4P2000nA`03000mAP00>dD003]5008003U50P00>4@2000g@`03000f@`00=48003A2
008003=10P00<T400`00<D000310000`@002000_?`8002ho0`00;Ch2000/?@8002/m00<002Xm000Y
?000:C`00P00:C`2000X>`<002Lk10009SX00`009CX002Di000U>@04000T>@<002<h0P008SP2000R
=`<0024g0P0083L4000P=P<001lf0P007cD5000N=@D001dd100073@2000L<`L001/c1`006S83000I
<P8001Ta7P000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolL00026@80
01Ta0`006C87000J<PP001/c00<001`c000L=00073@00P0073@5000M=08001de1@007SD2000O=@80
01lf1@0083H3000Q=`80028g0P008SP5000S>0@002@i0P009CT3000V>P8002Lj0P009c/00`00:3/0
02Tl000Y?002000Y?08002Xl0`00:cd2000/?P8002dn00<002ho000_?`00;cl00P00<402000a@003
000b@@00<d4003=1008003A20P00=D800`00=T<003Q4000hA002000iA08003Y50P00?4H00`00?TL0
03m8000oB0020011B08004=900<004E:0017B`00Ad/00P00BT`2001<C@03001>CP00D4h0051>0080
055=:P3o0002001AC@80051>00<004i>001<C@00C4d00P00BT`20017B`030015BP00@dT004=90080
04580P00?dP00`00?TL003a6000lAP02000jA@8003U40P00>4@00`00=T<003E2000e@P02000d@P80
03=100<00391000a@000<D000P00<402000_?`03000^?`00;Ch002dn008002`n0`00:cd2000Z?0@0
02Tl00<002Pk000W>`009c/00P009cX3000V>P8002Di100093T5000S>080028h0P008SL3000Q=`D0
020f0P007cH4000O=@<001he0P007CD5000M=0@001`d00<001`c000K<`006c<01P006c<7000J<P<0
01Tb0P006C4L00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oooa`0008I
0P006C43000I<PL001Xb20006c<00`0073<001`d000L=002000L=0D001dd0P007CD5000N=@8001le
0P007cH5000P=P<0024g0P008SL2000R>0D002<h100093T2000U>@<002Hj0P009cX2000W>`03000X
>`00:C`002Tl008002Tl0P00:S`3000[?@8002`n0P00;Ch00`00;Sl002lo000_?`02000`@0800350
00<00391000c@@00<d400P00=482000e@P03000f@`00>4@003Q4008003U40P00>TD2000lAP03000n
A`00?dP003m8008004580P00@dT00`00ADX004M;0017B`02001:C08004a=00<004i>001@CP00D4h0
0P00DDdZ0?l00080055=0P00D4h00`00CTh004a=001<C@02001:C08004M;00<004E:0013B@00@dT0
0P00@DP2000oB003000nA`00?4H003a6008003Y50P00>D@2000hA003000f@`00=D8003E2008003A2
0P00<d400`00<T400350000a@002000`@08002lo00<002ho000]?P00;Ch00P00;3h3000[?@8002Xl
1000:C`00`00:3/002Lk000W>`02000W>P<002Hj0P009CT4000T>@D002<h0P008SP2000R=`<0024g
1@0083H2000O=P@001le0`007SD2000M=@D001dd100073@00`0073<001/c000K<`06000K<`L001Xb
0`006C82000I<A`0008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo6@00
0QT3000I<@@001Tb1`006S87000K<`<001`c100073@3000M=08001de1@007SD2000O=@@001lf0`00
83H5000Q=`@0028h0`008cP4000T>@8002Di0P009CX00`009SX002Lj000W>P02000W>`<002Pk0P00
:C`2000Z?08002Xm00<002/m000/?P00;3h00P00;Ch2000^?P<002lo0P00<402000a@@03000b@@00
=48003A2008003E20P00=T<00`00=d@003U4000iA002000jA@8003]60P00?DH00`00?dL004180010
B0020012B@8004A:00<004I;0019C000BD`00P00Bdd2001>CP03001?CP00DDd0055=0080059=:P3o
0002001BC@80055=00<004m>001>CP00CTh00P00Bdd20019C0030016B`00A4X004A:008004990P00
@4P00`00?dL003e6000mAP02000kAP8003Y50P00>D@00`00=d@003I3000f@`02000e@P8003A200<0
0391000a@@00<D400P00<403000_?`8002hn0P00;Ch2000/?P03000[?@00:Sd002Xm008002Xl0P00
:C`3000X>`8002Lk0P009cX00`009SX002Dj000U>P02000U>@@002@i0`008cP4000R>0D0024g0`00
83H4000O=P8001le1@007SD2000M=@<001dd100073@3000L<`L001/c1`006S84000I<P<001Ta6@00
0QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103ooolI00026@<001Ta10006C87
000J<PL001/c0`0073<4000L=0<001dd0P007CD5000N=@8001le10007cH3000P=PD0024g10008SP3
000S>0@002@i0P009CT2000U>P03000V>P009cX002Lj008002Lk0`00:3/2000Y?08002Xl0P00:Sd0
0`00:cd002`n000/?P02000]?P8002hn0`00;cl2000`@080035100<00391000d@P00=4800P00=D82
000f@`03000gA000>D@003U4008003Y50P00>dH2000mAP03000oA`00@4P00418008004990P00A4X0
0`00AT/004U<0019C002001;C@8004i>00<004m>001AC@00DDd00P00DTdZ0?l00080059=0P00DDd0
0`00Cdh004i>001>CP02001;C@8004U<00<004I;0014BP00A4X00P00@TT20010B003000oA`00?DH0
03e6008003]60P00>TD2000iA003000gA000=T<003I3008003E20P00=4800`00<T400351000a@@02
000`@0<002lo0P00;Sh2000]?P8002`n00<002/m000Z?@00:Sd00P00:S`2000Y?0<002Pk0P009c/2
000W>P03000V>P009CX002Dj008002Di100093T3000S>0@0028h1@008CL3000P=P@001lf0P007cD5
000N=@8001de0`007C@4000L=0<001`c1`006c<7000J<P@001Tb0`006C4I00026@L0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`040?oooaL0008I1@006C42000I<PL001Xb0P006c85000K
<`@001`c0`0073@5000M=0H001he00<001le000O=P007cH00P007cH3000P=PH0024g00<0028g000R
>0008SP010008cP3000T>@8002Di0P009CX3000V>P8002Lk1000:3/00`00:C`002Xl000Z?002000Z
?@8002/m00<002`m000]?P00;Ch00P00;Ch2000^?`03000_?`00<4000310008003500P00<T400`00
<d4003A2000d@P02000e@`8003M300<003Q4000iA@00>DD00P00>dD2000lAP8003i700<004180012
B@00@TT00P00A4X20016BP030018B`00BT`004Y<008004e>0P00Cdh00`00D4h0055=001AC@02001C
C08005A<9P3o0002001DC08005=<0P00DDd00`00D4h004m>001?CP02001=CP8004Y=00<004Q;0016
BP00ATX00P00A4X20012B@030010B000?TL003i7008003a60P00>dD2000iA@03000hA000=d<003M3
008003I30P00=4800`00<d400391000b@@02000a@080031000<002lo000^?`00;Sl01000;Ch00`00
;3d002/m000[?@02000Z?@8002Xl00<002Tl000X>`00:3/00P00:3/2000W>`<002Hj0P009CX2000U
>@<002@i10008cP2000R>003000R=`008CL0024g00@0024g0`0083H4000O=P03000O=@007SD001he
00@001he1@007C@3000L=0@001`c1@006c<2000K<PL001Xb0P006C85000I<AL0008I1`3oool10000
0040oooo000L0?ooo`030000003oool0oooo00@0oooo4`000QT2000H<@D001Ta0P006C89000J<PD0
01/c100073<3000L=0H001dd1@007SD2000O=@<001lf100083H00`0083L0024g000Q=`02000Q=`80
028g00<0028h000S>0008cP00P008cP3000T>@@002Di10009SX3000W>`8002Pk0`00:C`2000Z?080
02/m0P00;3d00`00;3h002dn000]?P02000^?`8002lo00<00310000a@000<D000P00<T42000c@@03
000d@P00=D8003E2008003I30P00>4@00`00>D@003Y5000jA@02000lAP8003e70P00?dL00`00@DP0
04=90013B@020015BP8004M;00<004U<001<C@00C4d00P00CTh2001@CP03001AC@00DTd0059=0080
05A<0P00ED/V0?l0008005E;0P00E4`2001BC@03001AC@00D4h0051>008004i>0P00C4d00`00BD`0
04M;0017B`020015BP8004=900<00458000oA`00?dL00P00?DL2000lAP8003Y500<003U4000hA000
>4@00P00=T<2000e@P03000d@P00<d4003=1008003910P00<D000`00<40002lo000_?`02000^?`80
02dn00<002`n000/?@00;3d00P00:cd2000Z?0<002Tl0P00:3/3000W>`@002Hj10009CT3000T>@@0
02<h00<0028h000R=`008SL010008CL00`0083L0020f000P=P02000P=P<001lf0P007cD5000N=@H0
01dd0`0073@4000L<`D001/c2@006S82000I<PD001Ta0P00634C00026@L0oooo0@0000010?ooo`00
703oool00`000000oooo0?ooo`040?oooa<0008I0P006345000I<@8001Tb2@006S85000K<`@001`c
0`0073@6000M=0D001he0P007cD3000O=P@0020f00<0020g000Q=`008CL00P008CL2000R=`03000R
>0008cP002<h008002<h0`0093T4000U>@@002Hj0`009c/2000X>`<002Tl0P00:S`2000[?@8002`m
00<002`n000]?P00;Ch00P00;Sl2000_?`03000`@000<D000350008003910P00<d400`00=48003E2
000e@P02000f@`8003Q400<003U4000jA@00>TD00P00?4H2000mA`8003m700<004580013B@00@dT0
0P00ADX20017B`030019C000C4d004a=008004i>0P00D4h00`00DDd0059=001BC@02001DC08005E;
9P3o0002001EB`8005A<0P00DTd00`00DDd0051>001@CP02001>CP8004a=00<004U<0017B`00Ad/0
0P00ADX20013B@030011B000?dL003m7008003e70P00?4H2000jA@03000iA000>4@003Q4008003I3
0P00=D800`00=48003=1000c@@02000b@@80035000<00310000_?`00;cl00P00;Sl2000]?P03000/
?P00;3d002`m008002/m0P00:S`3000Y?08002Pk0`009c/4000V>P@002Di0`0093T4000S>003000R
>0008SL0028g00@0024g00<0020g000P=P0083H00P0083H3000O=P8001le1@007SD6000M=0<001`d
100073<5000K<`T001Xb0P006C85000I<@8001Pa4`000QT70?ooo`4000000@3oool001`0oooo00<0
00000?ooo`3oool0103ooolB00026@03000H<@006C4001Ta00@001Ta0`006C87000J<PL001/c0P00
73<4000L=0D001dd0P007CD5000N=@8001le00<001lf000P=P0083H0100083H3000Q=`80028g0`00
8SP4000S>0<002@i0P009CT2000U>P8002Hj0P009cX00`009c/002Pk000X>`02000X?08002Tl00<0
02Xl000[?@00:cd00P00:cd2000/?P03000]?P00;Sl002ho00@002lo00<00310000a@@00<D400P00
<T42000d@P03000e@P00=T<003I3008003M40P00>4@00`00>TD003]6000kAP02000mAP8003m70P00
@4P00`00@TT004A:0014BP020016B`8004Q<00<004]=001=CP00CDh00P00Cdh2001@CP03001BC@00
Dd`005=<008005E<0P00ET/00`00F4T0o`000?l0000R0?l00003001HB@00ET/005I;008005E<0P00
Dd`00`00DTd0051>001@CP02001?CP8004e>00<004]=0018C000B4`00P00AT/20014BP030012B@00
@4P00418008003m70P00?DH2000kAP03000jA@00>4@003Q4008003M40P00=T<00`00=D8003A2000d
@P02000b@@80035100<00310000_?`00;cl00P00;cl2000^?`03000]?P00;3h002`n00@002/m00<0
02Xl000Y?000:C`00P00:3`2000X>`03000W>`009cX002Lj008002Hj0P009CX2000U>@<002@i1000
8cP3000R>080028g0`008CL6000P=P03000O=P007cD001le00D001he0P007CD5000M=0@001`d0P00
73<7000K<`L001Xb0`006C86000I<@03000H<@000QT0008I0100008I1`3oool100000040oooo000L
0?ooo`8000001@3ooolB00026@03000H<@006C4001Ta00@001Ta0`006C87000J<PL001/c0P0073<4
000L=0D001dd0P007CD5000N=@8001le00<001lf000P=P0083H0100083H3000Q=`80028g0`008SP4
000S>0<002@i0P009CT2000U>P8002Hj0P009cX00`009c/002Pk000X>`02000X?08002Tl00<002Xl
000[?@00:cd00P00:cd2000/?P03000]?P00;Sl002ho00@002lo00<00310000a@@00<D400P00<T42
000d@P03000e@P00=T<003I3008003M40P00>4@00`00>TD003]6000kAP02000mAP8003m70P00@4P0
0`00@TT004A:0014BP020016B`8004Q<00<004]=001=CP00CDh00P00Cdh2001@CP03001BC@00Dd`0
05=<008005E<0P00ET/00`00F4T0o`000?l0000R0?l00003001HB@00ET/005I;008005E<0P00Dd`0
0`00DTd0051>001@CP02001?CP8004e>00<004]=0018C000B4`00P00AT/20014BP030012B@00@4P0
0418008003m70P00?DH2000kAP03000jA@00>4@003Q4008003M40P00=T<00`00=D8003A2000d@P02
000b@@80035100<00310000_?`00;cl00P00;cl2000^?`03000]?P00;3h002`n00@002/m00<002Xl
000Y?000:C`00P00:3`2000X>`03000W>`009cX002Lj008002Hj0P009CX2000U>@<002@i10008cP3
000R>080028g0`008CL6000P=P03000O=P007cD001le00D001he0P007CD5000M=0@001`d0P0073<7
000K<`L001Xb0`006C86000I<@03000H<@000QT0008I0100008I1P3oool200000040oooo000L0?oo
o`030000003oool0oooo00@0oooo40000QT2000H<@D001Ta0`006C87000J<PL001/c100073<4000L
=0<001dd0P007CD5000N=@8001le0`007cH4000P=PD0024g0P008SL2000R>0<002<h100093T00`00
9CT002Dj000U>P04000V>P8002Lk0`00:3/2000Y?08002Xl00<002Xm000[?@00:cd00P00;3d3000]
?P8002ho0P00;cl2000`@003000a@000<T400391008003=10P00=4800`00=D<003M3000g@`02000h
A08003U500<003]5000lAP00?4H00P00?TL20010B080045900<004=90015BP00ADX00P00B4/2001:
C003001<C@00Cdh004m>0080051>0P00DDd00`00DTd005A<001DC002001EB`8005M:00<005U90?l0
003o00008P3o00000`00FDT005M:001GBP02001EB`8005A<00<0059=001AC@00DDd00P00D4h2001?
CP03001<C@00BT`004Y<008004Q;0P00ADX00`00@dT004590011B@020010B08003i70P00?4H00`00
>dD003U5000iA@02000hA08003M300<003E3000d@P00=4800P00<d42000b@@03000a@000<4000310
008002lo0P00;Sl3000]?P8002`m0P00:cd00`00:Sd002Xl000Z?002000Y?0<002Pk0P009c/4000V
>P8002Dj00<002Di000T>@0093T00P0093T3000S>080028h0P008SL5000Q=`@0020f0`007cH2000O
=@D001he0P007CD5000M=08001`d100073<7000K<`L001Xb0`006C85000I<@8001Pa40000QT70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool@00026@8001Pa1@006C43000I<PL0
01Xb1`006c<4000L<`@001`d0`007C@2000M=@D001he0P007cD3000O=P@0020f1@008CL2000R=`80
028h0`008cP4000T>@03000U>@009CX002Dj00@002Hj0P009c/3000X>`8002Tl0P00:S`00`00:Sd0
02/m000[?@02000/?@<002dn0P00;Sl2000_?`80031000<00350000b@@00<T400P00<d42000d@P03
000e@`00=d<003M3008003Q40P00>DD00`00>dD003a6000lAP02000nA`8004180P00@DT00`00@dT0
04E:0015BP020018B`8004Y<00<004a=001?CP00Cdh00P00D4h2001AC@03001BC@00E4`005A<0080
05E;0P00EdX00`00FDT0o`000?l0000R0?l00003001IB@00EdX005M:008005E;0P00E4`00`00DTd0
055=001AC@02001@CP8004m>00<004a=001:C000BT`00P00B4/20015BP030013B@00@DT004590080
04180P00?TL2000lAP03000kA@00>DD003U5008003Q40P00=d<00`00=D<003A2000d@P02000c@@80
039100<00350000`@000<4000P00;cl2000^?`<002dn0P00;3d2000[?@03000Z?@00:S`002Xl0080
02Tl0`00:3/2000W>`@002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h0P008SP2000R=`D0
024g100083H3000O=P8001le1@007SD2000M=@D001dd0P0073@4000L<`L001/c1`006S83000I<PD0
01Ta0P00634@00026@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo``0008I
1P006345000I<@8001Tb1`006S87000K<`<001`c100073@5000M=0D001he0P007cD4000O=P<0020f
1@008CL2000R=`80028h0`008cP4000T>@8002Di00<002Dj000V>P009SX00P009SX4000W>`03000X
>`00:C`002Tl008002Tl0P00:S`00`00:cd002`m000/?@02000/?P8002dn00<002ho000_?`00;cl0
0P00<402000a@003000b@@00<d4003=1008003A20P00=D800`00=T<003Q4000hA002000iA08003Y5
00<003a6000mA`00?DL00P00?dL20011B08004=900<004E:0017B`00Ad/00P00BD`2001;C@03001>
CP00Cdh004m>0080055=0P00DTd00`00Dd`005E;001EB`02001FBP8005Q900<005Y80?l0003o0000
8P3o00000`00FTP005Q9001HB@02001FBP8005E;00<005=<001BC@00DTd00P00DDd2001?CP03001>
CP00Bdd004]=008004U<0P00Ad/00`00ADX004=90013B@020011B08003m70P00?DL00`00?4H003Y5
000jA@02000iA08003Q400<003I3000e@P00=D800P00=482000c@@03000b@@00<D00035000800310
0P00;cl00`00;Sl002dn000]?P02000/?P8002`m00<002/m000Z?000:S`01000:C`00`00:3/002Lk
000W>`02000W>`@002Hj00<002Dj000U>@009CT0100093T3000S>080028h0P008SL5000Q=`<0020f
10007cH2000O=@D001he1@007C@4000L=0<001`c1`006c<7000J<P8001Tb1@006C46000H<@`0008I
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo2`000QT5000H<@D001Ta0P00
6C89000J<PD001/c0`0073<4000L=0D001dd1P007SD00`007cD001lf000O=P02000O=P<0020f0P00
83L4000Q=`03000R=`008SP0028h00D002<h100093T2000U>@<002Hj0P009cX2000W>`8002Pk00<0
02Pl000Y?000:C`00P00:S`3000[?@8002`n0P00;Ch2000^?`<002lo0P00<402000a@@03000b@@00
<d8003=2008003E20P00=T<00`00=d<003Q4000hA002000jA@8003]600<003e6000nA`00?TL00P00
@4P20012B@8004A:00<004I;0018C000B4`00P00BTd2001=CP03001?CP00D4h0051>0080055=0P00
Dd`00`00E4`005I;001FB`02001GBP8005U900<005]7001MA@00GDD0803o0002001MA@03001KA`00
FDT005U9008005M:0P00ET/00`00E4`005=<001CC002001AC@80051>00<004m>001=CP00CDh00P00
BTd20018C0030016B`00A4X004A:008004990P00@4P2000nA`03000mAP00>dH003]6008003Y50P00
>4@00`00=d<003I3000f@`02000e@P8003=200<00391000a@@00<D400P00<403000_?`8002ho0P00
;Ch2000/?P<002/m0P00:S`2000Y?003000X?000:3/002Pk008002Lk0P009cX3000V>P8002Di1000
93T5000S>080028h00<0028g000Q=`008CL00P008CL2000P=`<0020f10007cH00`007cD001he000N
=@04000N=@D001dd100073@3000L<`D001/c2@006S82000I<PD001Ta1@00634;00026@L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooo`/0008I1@006345000I<@8001Tb2@006S85
000K<`<001`c100073@5000M=0H001he00<001le000O=P007cH00P007cH3000P=P80020g10008CL0
0`008SL0028h000R>005000S>0@002@i0P009CT3000V>P8002Lj0P009c/2000X>`03000X?000:C`0
02Tl008002Xl0`00:cd2000/?P8002dn0P00;Sl3000_?`8003100P00<D400`00<T4003=2000c@P02
000e@P8003I300<003M3000hA000>4@00P00>TD2000kAP03000mAP00?TL003i7008004180P00@TT2
0014BP030016B`00B4`004Q<008004Y=0P00CDh00`00Cdh0051>001@CP02001AC@8005=<00<005A<
001FB`00ET/00P00EdX2001IB@03001KA`00GDD005e50200o`000P00GDD00`00FdL005U9001IB@02
001GBP8005I;00<005A<001CC000Dd`00P00DDd2001@CP03001?CP00CDh004e>008004Y=0P00B4`0
0`00AT/004A:0014BP020012B@8004180P00?TL00`00?DH003]6000kAP02000jA@8003Q400<003M3
000f@`00=T<00P00=D82000c@P03000b@@00<D400351008003100`00;cl2000^?`8002dn0P00;3h3
000[?@8002Xl0P00:C`00`00:3`002Pk000X>`02000W>`8002Lj0`009SX2000U>@@002@i1@008cP2
000R>003000R=`008CL0024g0080024g0P0083L3000P=P@001lf00<001le000N=@007SD010007SD5
000M=0@001`d0`0073<5000K<`T001Xb0P006C85000I<@D001Pa2`000QT70?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103oool700026@8001P`1@006345000I<@@001Tb1`006S87000K
<`8001`c0`0073@6000M=003000M=@007SD001he00@001he00<001le000O=P007cH01@0083H4000Q
=`80028g0`008SP4000S>0<002@i0P009CT2000U>P<002Hj0P009c/4000X>`03000Y?000:S`002Xl
008002Xm0P00:cd00`00;3d002dn000]?P02000]?P8002ho00<002lo000`@000<4000P00<D02000b
@@03000c@@00=48003A2008003E30P00=d<00`00>4@003U5000iA@02000kA@8003a600<003i7000o
B000?dP00P00@DP20013B@8004E:00<004M;0019C000BD`00P00C4d2001>CP03001@CP00DDd0055=
0080059=0P00E4`00`00ED/005M:001GBP02001HB@8005Y800<005a6001OA000Gd@0803o0002001O
A003001LAP00FTP005Y8008005Q90P00EdX00`00ED/005A<001DC002001BC@80055=00<0051>001>
CP00CTh00P00C4d20019C0030017B`00ADX004E:008004=90P00@DP2000oB003000nA`00?4H003a6
008003]50P00>DD00`00>4@003M3000g@`02000e@`8003A200<003=1000b@@00<T400P00<D02000`
@003000_?`00;Sl002ho00@002dn00<002`m000[?@00:cd00P00:Sd2000Z?003000Y?000:3/002Pk
008002Pk0P009c/3000V>P8002Dj0P009CT3000T>@@002<h0`008SP2000R=`@0024g1@0083H2000O
=P03000O=@007SD001he00@001he00<001de000M=0007C@010007C@3000L=08001`c1`006c<7000J
<P@001Tb1@006C45000H<@8001P`1`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103oool700026@8001P`1@006345000I<@@001Tb1`006S87000K<`8001`c0`0073@6000M=003
000M=@007SD001he00@001he00<001le000O=P007cH01@0083H4000Q=`80028g0`008SP4000S>0<0
02@i0P009CT2000U>P<002Hj0P009c/4000X>`03000Y?000:S`002Xl008002Xm0P00:cd00`00;3d0
02dn000]?P02000]?P8002ho00<002lo000`@000<4000P00<D02000b@@03000c@@00=48003A20080
03E30P00=d<00`00>4@003U5000iA@02000kA@8003a600<003i7000oB000?dP00P00@DP20013B@80
04E:00<004M;0019C000BD`00P00C4d2001>CP03001@CP00DDd0055=0080059=0P00E4`00`00ED/0
05M:001GBP02001HB@8005Y800<005a6001OA000Gd@0803o0002001OA003001LAP00FTP005Y80080
05Q90P00EdX00`00ED/005A<001DC002001BC@80055=00<0051>001>CP00CTh00P00C4d20019C003
0017B`00ADX004E:008004=90P00@DP2000oB003000nA`00?4H003a6008003]50P00>DD00`00>4@0
03M3000g@`02000e@`8003A200<003=1000b@@00<T400P00<D02000`@003000_?`00;Sl002ho00@0
02dn00<002`m000[?@00:cd00P00:Sd2000Z?003000Y?000:3/002Pk008002Pk0P009c/3000V>P80
02Dj0P009CT3000T>@@002<h0`008SP2000R=`@0024g1@0083H2000O=P03000O=@007SD001he00@0
01he00<001de000M=0007C@010007C@3000L=08001`c1`006c<7000J<P@001Tb1@006C45000H<@80
01P`1`000QT70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool500026@8001P`
1@006346000I<@<001Tb1`006S87000K<`@001`c0`0073@4000M=08001de1@007SD2000O=@<001lf
100083H5000Q=`80028g00<0028h000S>0008cP00P008cP3000T>@8002Di0P009CX3000V>P@002Lk
0P00:3/3000Y?08002Xl0P00:cd2000/?@03000/?P00;Ch002dn008002ho0P00;cl00`00<4000350
000a@002000b@@8003=100<003A2000e@P00=D800P00=T<2000gA003000iA000>TD003Y5008003a6
0P00?DH00`00?dL004180010B0020012B@8004A:0P00AT/00`00B4`004]=001;C@02001=CP8004m>
00<0051>001BC@00DTd00P00Dd`2001DC003001FB`00F4X005Q:008005U80P00FdL00`00GTD00613
001P@`02001R@A`0o`000P00HT42001P@`03001NA@00FdL005]7008005U80P00F4X00`00ET/005A<
001DC002001CC080059=00<0051>001?CP00Cdh00P00CDh2001;C@030018C000AT/004I;008004A:
0P00@TT20010B003000oA`00?DH003e6008003a60P00>TD00`00>D@003M4000gA002000f@`8003E2
00<003A2000c@@00<d400P00<T42000a@003000`@000;cl002lo008002ho0P00;Ch00`00;3h002`m
000/?@02000[?@8002Xl0`00:C`2000X>`@002Lk0`009SX2000U>P8002Di0`0093T4000S>003000R
>0008SL0028g00D0024g100083H3000O=P8001le1@007SD2000M=@@001dd0`0073@4000L<`L001/c
1`006S83000I<PH001Ta1@006342000H<0D0008I1`3oool100000040oooo000L0?ooo`030000003o
ool0oooo00@0oooo1@000QT2000H<0D001Pa1P006C43000I<PL001Xb1`006c<4000L<`<001`d1000
7C@2000M=@D001he0P007cD3000O=P@0020f1@008CL2000R=`03000R>0008cP002<h008002<h0`00
93T2000U>@8002Dj0`009SX4000W>`8002Pk0`00:C`2000Z?08002/m0P00;3d00`00;3h002dn000]
?P02000^?`8002lo00<00310000a@000<D000P00<T42000c@@03000d@P00=D8003E2008003I30P00
=d@00`00>D@003Y5000jA@02000lAP8003e600<003m70010B000@4P00P00@TT20014BP8004I;00<0
04Q<001;C@00Bdd00P00CDh2001?CP03001@CP00DTd0059=008005=<0P00E4`00`00ET/005Q:001H
BP02001IB08005]700<005i5001P@`00H4<00P00HT4L0?l0008006910P00H4<00`00GTD005]7001K
A`02001IB08005Q:00<005I;001DC000E4`00P00Dd`2001BC@03001@CP00Cdh004m>008004e>0P00
Bdd00`00B4`004I;0016B`020014BP8004990P00@4P00`00?dL003e6000mAP02000lAP8003Y500<0
03U4000gA000=d@00P00=T<2000e@P03000d@P00<d4003=1008003910P00<D000`00<40002lo000_
?`02000^?`8002dn00<002`n000/?@00;3d00P00:cd2000Z?0<002Tl0P00:3/4000W>`<002Hj0P00
9CX2000U>@<002@i10008cP00`008SP0028g000R=`05000Q=`@0020f0`007cH2000O=@D001he0P00
7CD4000M=0<001`d100073<7000K<`L001Xb0`006C86000I<@D001Pa0P00630500026@L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooo`@0008I00<001P`000H<@00634010006347
000I<@03000I<P006S8001Xb00D001Xb1`006c<4000L<`<001`d1P007C@5000N=@8001le0`007cH4
000P=P80020g0`008CL2000R=`80028h1@008cP3000T>@8002Di10009SX00`009cX002Lk000W>`02
000X>`@002Tl00<002Xl000[?@00:cd00P00:cd2000/?P03000]?P00;Sh002hn00@002lo00<00310
000a@000<D000P00<T42000c@P03000e@P00=T<003I3008003M30P00>4@00`00>TD003]5000kA@02
000lAP8003i700<004180012B@00@TT00P00@dT20015BP8004Q;00<004Y<001<C@00C4d00P00Cdh2
001@CP03001AC@00DTd0059=008005A<0P00ED/00`00EdX005U9001IB@02001KB08005e600<005m4
001Q@P00HD800P00I3lL0?l0008006@o0P00HD800`00Gd@005e6001MAP02001KB08005U900<005M:
001EB`00ED/00P00E4`2001BC@03001AC@00D4h0051>008004m>0P00C4d00`00BT`004Q;0018B`02
0015BP8004=90P00@TT00`00@4P003i7000nA`02000lAP8003]500<003Y5000hA000>4@00P00=d<2
000f@`03000e@P00<d8003=2008003910P00<D000`00<40002lo000_?`02000_?`8002hn00<002dn
000/?P00;3h01000:cd00`00:S`002Tl000Y?002000Y?08002Pk0P009c/00`009cX002Hj000V>P02
000V>P8002Di0`0093T5000S>080028h0P008SL3000Q=`80020g100083H3000O=P8001le1@007SD6
000M=0<001`d100073<7000K<`L001Xb00<001Tb000I<@006C401@006C46000H<@03000H<0000QT0
008I0080008I1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo0P005c02000H
<0L001Pa1@006C42000I<PP001Xb1`006c<2000L<`@001`d1@007C@5000N=@8001le10007cH5000P
=P<0024g0P008SL4000R>0<002<h100093T00`009CT002Dj000U>P04000V>P03000W>`00:3/002Pk
008002Pk0P00:C`2000Z?003000Z?@00:cd002/m008002`m0`00;Ch2000^?`8002lo0P00<4000`00
<D000391000b@@02000c@@8003A200<003E3000f@`00=T<00P00>4@2000iA003000jA@00?4H003a6
008003e70P00?dL00`00@DP004=90013B@020015BP8004M;0P00BD`00`00Bdd004i>001>CP02001?
CP80051=00<0059=001CC000Dd`00P00ED/2001FB`03001HBP00FTP005Y8008005a70P00GTD00`00
H4<006=1001S@@02001U?P8006Pj603o0002001X>P8006Dn0P00Hd400`00H4<005i5001NA@02001L
A`8005Y800<005Q:001FB`00ET/00P00ED/2001CC003001BC@00D4d0051=008004m>0P00CTh00`00
Bdd004U<0019C0020017B`8004E:0P00@dT00`00@DP003m7000oA`02000mA`8003a600<003Y5000i
A000>D@00P00>4@2000f@`03000e@`00=48003A2008003=10P00<T400`00<D000310000`@002000_
?`8002ho0`00;Ch2000/?@8002/m00<002Xm000Z?000:S`00P00:C`4000X>`03000W>`009SX002Hj
008002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h10008SP2000R=`<0024g1@0083H4000O
=P8001le1@007SD5000M=0@001`d0P0073<7000K<`P001Xb0P006C85000I<@L001Pa0P006302000G
<0L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001L`0P006307000H<@D0
01Ta0P006C88000J<PL001/c0P0073<4000L=0D001dd1@007SD2000O=@@001lf1@0083H3000Q=`80
028g10008SP3000S>0@002@i00<002Di000U>P009CX010009SX00`009c/002Pk000X>`02000X>`80
02Tl0P00:S`00`00:Sd002/m000[?@02000/?@<002dn0P00;Sl2000_?`80031000<00350000b@@00
<T400P00<d42000d@P03000e@`00=T<003I3008003Q40P00>D@00`00>TD003a6000lAP02000mA`80
03m700<004580013B@00@dT00P00ADX20017B`8004U<00<004]=001>CP00CTh00P00Cdh2001@C@03
001BC@00Dd`005=<008005E;0P00ET/00`00F4X005Y8001JB002001LA`8005i500<00613001S@@00
Hd400P00ICh2001X>QP0o`000P00J3X2001U?P8006=100<00613001NA@00GTD00P00G4L2001JB003
001HBP00ET/005I;008005E;0P00Dd`00`00DTd0051=001@C@02001?CP8004i>00<004]=0019C000
BD`00P00Ad/20015BP8004=900<00458000oA`00?dL00P00?DL2000lAP03000jA@00>D@003U40080
03Q40P00=T<00`00=D<003A2000d@P02000c@@80039100<00350000`@000<4000P00;cl2000^?`<0
02dn0P00;3d2000[?@03000Z?@00:S`002Xl008002Tl1000:3/00`009c/002Hj000V>P02000V>P80
02Dj00<002Di000T>@0093T00P0093T3000S>0@0028h0P008SL3000Q=`D0020f10007cH2000O=@D0
01he1@007C@4000L=08001`c1`006c<8000J<P8001Tb1@006C47000H<@8001P`0P005c070?ooo`40
00000@3oool000P0oooo0P0000040?ooo`040000003oool0oooo0?ooo`D000001@3oool00`000000
oooo0?ooo`040?ooo`8001P`1`006345000I<@@001Tb1`006S87000K<`03000L<`0073@001`d0080
01`d1@007C@2000M=@D001he0P007cD4000O=P<0020f1@008CL2000R=`80028h0`008cP4000T>@80
02Di00<002Dj000V>P009SX00P009SX3000W>`8002Pk1000:C`2000Z?003000[?@00;3d002`m0080
02`n0P00;Ch00`00;Sl002lo000_?`02000`@080035000<00391000c@@00<d400P00=482000e@P03
000f@`00=d@003M4008003Q40P00>TD00`00>dH003e6000mAP02000nA`80041800<004990014BP00
A4X00P00AT/20018C08004Y=00<004e>001?CP00Cdh00P00D4h2001AC@03001CC@00E4`005A<0080
05E;0P00EdX00`00FDT005]7001KA`02001MAP8005m400<00652001T?`00I3l00P00Ic`2001Z>1P0
o`000P00JSP2001W?08006@o00<00652001OA000Gd@00P00GDH2001KA`03001IB@00EdX005M:0080
05E;0P00E4`00`00Ddd0055=001AC@02001@CP8004m>00<004e>001:C@00BTd00P00B4`20016B`80
04A:00<004990010B000@4P00P00?TL2000mAP03000kAP00>TD003Y5008003U40P00=d@00`00=T<0
03E2000e@P02000d@P8003=100<00391000a@000<D000P00<402000_?`03000^?`00;Ch002dn0080
02`n0P00;3d00`00:cd002Xl000Z?004000Y?08002Pk0`009c/4000V>P03000U>P009CT002Di00@0
02@i0`008cP2000R>080028g1@008CL3000P=P@001lf0P007cD5000N=@8001de1@007C@4000L=003
000L<`006c<001/c00D001/c1`006S84000I<PD001Ta1`006342000H<0L0oooo0@0000010?ooo`00
1`3oool010000000oooo0?ooo`0000080?ooo`040000003oool0oooo000000D0oooo00<000000?oo
o`3oool0103oool2000H<0L001Pa1@006C44000I<PL001Xb1`006c<00`0073<001`d000L=002000L
=0D001dd0P007CD5000N=@8001le10007cH3000P=PD0024g0P008SL2000R>0<002<h100093T2000U
>@03000U>P009SX002Hj008002Hj0`009c/2000X>`@002Tl0P00:S`00`00:cd002`m000/?@02000/
?P8002dn00<002ho000_?`00;cl00P00<402000a@003000b@@00<d4003=1008003A20P00=D800`00
=T<003M4000gA002000hA08003Y500<003]6000mAP00?DH00P00?TL20010B0030012B@00A4X004A:
008004I;0P00B4`2001:C@03001=CP00Cdh004m>0080051>0P00DDd00`00Ddd005A<001DC002001E
B`8005M:00<005U9001KA`00FdL00P00GDH2001OA003001Q@P00I3l006@o008006Ll0P00JSPH0?l0
008006Xh0P00Ic`2001T?`03001Q@P00Gd@005m4008005e60P00FdL00`00FDT005M:001GBP02001E
B`8005A<00<005==001AC@00DDd00P00D4h2001?CP03001=CP00BTd004Y=008004Q<0P00AT/20014
BP030012B@00@4P00418008003i70P00?DH00`00>dH003Y5000jA@02000iA08003M400<003I3000e
@P00=D800P00=482000c@@03000b@@00<D000350008003100P00;cl00`00;Sl002dn000]?P02000/
?P8002`m00<002/m000Z?000:S`01000:C`2000X>`<002Lk10009SX00`009CX002Di000U>@04000T
>@<002<h0P008SP2000R=`D0024g0`0083H4000O=P8001le1@007SD2000M=@D001dd100073@00`00
73<001/c000K<`05000K<`L001Xb10006C85000I<@L001Pa0P0063070?ooo`4000000@3oool000L0
oooo00@000000?ooo`3oool000002@3oool00`000000oooo0?ooo`050?ooo`<00000103oool2000H
<0D001Pa1@006C44000I<PL001Xb1`006c<3000L<`@001`d1@007C@6000N=@03000O=@007cH001lf
008001lf0`0083H2000P=`@0024g00<0028g000R>0008SP010008cP5000T>@8002Di0`009SX2000W
>P8002Lk00<002Pk000X?000:3`00P00:C`2000Z?0<002/m0P00;3h2000]?P8002hn00<002ho000_
?`00;cl00P00<402000a@003000b@@00<d8003=2008003A20P00=T<00`00=d<003Q4000hA002000i
A@8003]500<003a6000nA`00?TL00P00?dP20011B0030013B@00ADX004E:008004M;0P00BD`2001<
C@03001>CP00Cdh004m>0080055=0P00DTd00`00Dd`005E;001EB`02001FBP8005Q900<005Y8001L
A`00G4L00P00GTD2001P@`03001S@000ICh006Dn008006Pj0P00K3HH0?l0008006`f0P00J3X2001U
?@03001S@000H4<00613008005i50P00G4L00`00FTP005Q9001HB@02001FBP8005E;00<005=<001B
C@00DTd00P00DDd2001?CP03001>CP00C4d004a=008004U<0P00Ad/20015BP030013B@00@DP00458
008003m80P00?TL00`00?4H003]5000kA@02000iA@8003Q400<003M3000f@`00=T<00P00=482000c
@P03000b@@00<D000350008003100P00;cl00`00;Sl002hn000^?P02000]?P8002`n0`00:cd2000Z
?08002Tl0P00:3`00`00:3/002Lk000W>`02000W>P<002Hj10009CT3000T>@@002<h0P008SP00`00
8SL0024g000Q=`02000Q=`80020g0`0083H4000O=P03000O=@007SD001he00@001he1@007C@4000L
=0<001`c1`006c<7000J<P@001Tb1@006C45000H<@8001P`1@3oool300000040oooo00070?ooo`04
0000003oool0oooo000000X0oooo00<000000?ooo`3oool0103oool00`000000oooo0?ooo`040?oo
o`8001P`1@006345000I<@@001Tb1`006S87000K<`<001`c100073@5000M=0H001he00<001le000O
=P007cH00P007cH3000P=P80020g10008CL00`008SL0028h000R>004000S>0D002@i0P009CT3000V
>P8002Lj0P009c/00`00:3/002Pl000X?002000Y?08002Xl0`00:cd2000/?P8002dn0P00;Sh00`00
;Sl002lo000_?`02000`@080035000<00391000c@P00<d800P00=482000f@`03000g@`00>4@003Q4
008003U50P00>dD00`00?4H003i7000nA`02000oB080045800<004=90015BP00ADX00P00Ad/20019
C08004a=00<004i>001?CP00Cdh00P00DDd2001BC@03001CC000ED/005E;008005I:0P00F4T00`00
FTP005a7001LA`02001NA@80061300<006=0001U?P00ICh00P00J3X2001/=QP0o`000P00K3H2001X
>P8006Dm00<006=0001P@`00H4<00P00GTD2001LA`03001JB000F4T005Q9008005I:0P00ED/00`00
Dd`0059=001BC@02001AC@8004m>00<004i>001<C@00C4d00P00BD`20017B`8004E:00<004=90011
B000@DP00P00?dP2000nA`03000lAP00>dD003]5008003U50P00>4@00`00=d<003I3000f@`02000d
@P8003=200<00391000a@000<D000P00<402000_?`03000^?`00;Sh002hn008002dn0P00;3h3000[
?@8002Xl0P00:C`2000X?003000X>`009c/002Lk008002Lj0`009SX4000U>@<002@i10008cP2000R
>003000R=`008CL0024g0080024g0P0083L3000P=P@001lf00<001le000N=@007SD010007SD5000M
=0@001`d0`0073<7000K<`L001Xb10006C85000I<@D001Pa0P0063070?ooo`4000000@3oool000L0
oooo00@000000?ooo`3oool000001`3oool01@000000oooo0?ooo`3oool0000000D0oooo00<00000
0?ooo`3oool0103oool5000H<@L001Ta0P006C87000J<P8001/b1@006c<4000L<`<001`d1@007C@6
000N=@8001le0`007cH5000P=P@0024g0P008SL3000R>0@002<h0`0093T2000U>@8002Dj0`009SX2
000W>`<002Pk0P00:C`2000Z?08002Xm0P00:cd00`00;3d002`n000/?P02000]?P8002ho00<002lo
000`@000<4000P00<D02000b@@03000c@@00=48003A2008003E20P00=T<00`00=d@003U4000iA002
000jA@8003a600<003e6000oA`00?dL00P00@4P20012B@030014BP00AT/004I;008004Q<0P00Bdd2
001=CP03001?CP00D4h0051>0080055=0P00Dd`00`00E4`005I;001FB`02001GBP8005U900<005]7
001MAP00GDH00P00Gd@2001Q@P03001T?`00Ic`006Ll008006Xh0P00KS<00`00LBh0o`000?l0000D
0?l00003001b;@00KS<006hc008006Xh0P00Ic`00`00I3l00652001Q@P02001OA08005e600<005]7
001IB@00FDT00P00EdX2001FB`03001DC000Dd`005=<0080055=0P00D4h00`00Cdh004e>001=CP02
001;C@8004Q<0P00AT/00`00A4X004990012B@020010B08003m700<003e6000lAP00?4H00P00>TD2
000iA003000gA000=T<003I3008003E20P00=4800`00<d400391000b@@02000a@080031000<002lo
000^?`00;Sl01000;Ch00`00;3d002/m000[?@02000Z?@8002Xl0P00:C`3000X>`8002Lk0`009SX2
000U>P8002Di0`0093T4000S>0<0028h0P008SL4000Q=`D0020f0`007cH2000O=@H001he1@007C@3
000L=0@001`c1@006c<2000K<PL001Xb0P006C87000I<@D001Pa1`3oool100000040oooo00070?oo
o`040000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo000000050?ooo`030000003o
ool0oooo00@0oooo1@006346000I<@03000I<P006S8001Xb00L001Xb1`006c<2000L<`<001`d1P00
7C@00`007CD001he000N=@04000N=@8001le00<001lf000P=P0083H0100083H5000Q=`80028g00<0
028h000S>0008cP00P008cP3000T>@8002Di0P009CX3000V>P@002Lk0P00:3/3000Y?08002Xl1000
:cd00`00;3h002dn000]?P02000^?`8002lo0`00<402000a@@80039100<003A2000e@P00=D800P00
=T<2000g@`03000hA000>TD003Y5008003]50P00?4H00`00?TL004180010B0020011B@8004=900<0
04E:0017B`00Ad/00P00BT`2001<C@8004i>00<0051>001AC@00DDd00P00DTd2001CC003001EB`00
ETX005I:008005Q90P00FTP00`00G4L005i5001NA@02001P@`8006=000<006Dm001X>P00J3X00P00
K3H2001_<@03001d:P3o0000o`0001@0o`0000<007@Z001_<@00Kc400P00K3H2001X>P03001U?@00
Hd0006=0008006130P00GTD00`00G4L005Y8001JB002001HB@8005I:00<005E;001CC000Dd`00P00
DTd2001AC@03001@CP00CTh004i>008004a=0P00BT`20017B`030015BP00@dT004=9008004590P00
@4P00`00?TL003a6000lAP02000kA@8003Y500<003Q4000g@`00=d<00P00=T<2000e@P03000d@P00
<T400391008003510`00<402000_?`8002ho0P00;Ch00`00;3h002/m000[?@02000[?@8002Xl0`00
:C`2000X>`@002Lk0`009SX2000U>P8002Di0`0093T4000S>003000R>0008SL0028g00D0024g1P00
83H00`007cH001le000O=@06000N=@03000M=@007C@001dd00@001dd0`0073@2000L<`L001/c2@00
6S800`006C8001Ta000I<@04000I<@D001Pa1`3oool100000040oooo00080?ooo`8000002@3oool3
000000H0oooo00<000000?ooo`3oool0103oool5000H<@H001Ta00<001Tb000J<P006S801`006S87
000K<`8001`c0`0073@6000M=003000M=@007SD001he00@001he0P007cD00`007cH0020f000P=P04
000P=PD0024g0P008SL00`008SP002<h000S>002000S>0<002@i0P009CT2000U>P<002Hj10009c/2
000X>`<002Tl0P00:S`4000[?@03000/?P00;Ch002dn008002ho0P00;cl3000`@08003510P00<T40
0`00=48003E2000e@P02000f@`8003M300<003Q4000jA@00>TD00P00>dD2000lAP03000nA`00@4P0
0418008004590P00@dT00`00ADX004M;0017B`02001:C08004a=0P00CTh00`00D4h0055=001AC@02
001BC@8005=<00<005E;001FBP00ETX00P00F4T2001JB003001LA`00GTD005i5008006130P00Hd00
0`00ICd006Pj001X>P02001/=P8006la00<007@Z0?l0003o0000503o00000`00M2X006la001_<@02
001/=P8006Pj00<006Dm001S@000Hd000P00H4<2001NA@03001LA`00FTP005Y8008005Q90P00ETX0
0`00ED/005=<001CC002001BC@80055=00<0051>001>CP00CTh00P00C4d2001:C08004M;00<004E:
0013B@00@dT00P00@DT20010B003000nA`00?4H003a6008003]50P00>TD00`00>4@003M3000g@`02
000f@`8003E200<003A2000b@@00<T400P00<D43000`@08002lo0P00;Sl2000]?P03000/?P00:cd0
02/m008002/m0P00:S`3000Y?08002Pk10009c/3000V>P8002Dj0P009CT3000T>@@002<h00<0028h
000R=`008SL01@008CL6000P=P03000O=P007cD001le00H001he00<001de000M=0007C@010007C@3
000L=08001`c1`006c<9000J<P03000I<P006C4001Ta00@001Ta1@0063470?ooo`4000000@3oool0
01`0oooo00<000000?ooo`3oool0103oool4000H<@D001Ta0`006C87000J<PL001/c100073<3000L
=0@001dd0P007CD5000N=@8001le0`007cH4000P=PD0024g0P008SL2000R>0<002<h1@0093T2000U
>@@002Hj00<002Lj000W>`009c/00P00:3/2000X?003000Y?000:S`002Xl008002Xm0P00:cd2000/
?P03000]?P00;Sh002hn008002ho0P00;cl00`00<4000350000a@002000b@@8003=100<003A2000e
@`00=D<00P00=T<2000hA003000iA000>TD003Y5008003a60P00?DL00`00?dL004580011B0020012
B@8004A:00<004I;0019C000BD`00P00Bdd2001=CP8004m>00<0051>001AC@00DDd00P00Dd`2001D
C003001FB`00EdX005M:008005U90P00FdL00`00GDH005m4001OA002001Q@P8006@o00<006Ll001Z
>000JSP00P00KC<2001a;P03001f9`00Nah007/N0180o`000P00Nah00`00MRL0074^001a;P02001^
<`8006Xh00<006Ll001T?`00I3l00P00HT82001OA003001MAP00FdL005]7008005U90P00EdX00`00
ET/005A<001DC002001CC080055=00<0051>001?CP00Cdh00P00CDh2001;C@8004U<00<004I;0014
BP00A4X00P00@TT20011B003000oA`00?DL003e7008003a60P00>TD00`00>D@003Q4000hA002000f
@`8003E300<003A2000c@@00<d400P00<T42000a@003000`@000;cl002lo008002ho0P00;Sh00`00
;Ch002`n000/?P02000[?@8002Xm0P00:S`00`00:C`002Pl000X?002000X>`8002Lk00<002Lj000V
>P009SX00P009SX3000U>@@002@i0`008cP2000R>080028g1@008CL4000P=P<001lf0P007cD5000N
=@8001de10007C@3000L=0@001`c1`006c<7000J<P<001Tb1@006C44000H<@L0oooo0@0000010?oo
o`00703oool00`000000oooo0?ooo`040?ooo`@001Pa1@006C43000I<PL001Xb1`006c<4000L<`<0
01`d10007C@2000M=@D001he0P007cD3000O=P@0020f1@008CL2000R=`80028h0`008cP5000T>@80
02Di10009SX00`009cX002Lk000W>`02000X>`8002Pl00<002Tl000Z?000:S`00P00:Sd2000[?@80
02`n00<002dn000^?P00;Sh00P00;Sl2000_?`03000`@000<D000350008003910P00<d400`00=480
03E3000e@`02000f@`8003Q400<003U4000jA@00>TD00P00?4H2000mA`03000oA`00@DP004580080
04990P00A4X00`00AT/004U<0019C002001;C@8004e>0P00Cdh00`00D4h0055=001AC@02001CC080
05A<00<005I;001GBP00EdX00P00FDT2001KA`03001MAP00Gd@005m4008006520P00I3l00`00Ic`0
06Xh001Z>002001]<`80074^00<007HW001k7P00Nah04P3o0002001k7P03001f9`00LBh0074^0080
06hc0P00JSP00`00Ic`006@o001T?`02001R@P8005m400<005e6001KA`00FdL00P00FDT2001GBP03
001FB`00E4`005A<008005=<0P00DDd00`00D4h004m>001?CP02001=CP8004]=0P00BD`00`00AT/0
04A:0014BP020012B@80045800<003m7000mA`00?DL00P00?4H2000jA@03000iA000>4@003Q40080
03I30P00=D<00`00=48003=1000c@@02000b@@80035000<00310000_?`00;cl00P00;Sl2000^?P03
000]?P00;3h002`n008002/m0P00:Sd2000Z?003000Y?000:3`002Pl008002Pk0P009c/00`009cX0
02Hj000V>P02000V>P<002Di100093T3000S>080028h0P008SL5000Q=`@0020f0`007cH2000O=@D0
01he0P007CD4000M=0<001`d100073<7000K<`L001Xb0`006C85000I<@@001Pa1`3oool100000040
oooo000L0?ooo`030000003oool0oooo00@0oooo0P006345000I<@@001Tb1`006S87000K<`<001`c
100073@5000M=0D001he0P007cD4000O=P<0020f0P0083L3000Q=`80028g10008SP3000S>0@002@i
00<002Di000U>P009CX010009SX00`009c/002Pk000X>`02000X>`8002Tl00<002Xl000Z?@00:Sd0
0P00:cd2000/?@8002`n00<002dn000^?`00;Sl00P00;cl2000`@003000a@000<T400391008003=1
0P00=4800`00=D8003I3000f@`02000gA08003Q400<003Y5000kAP00>dH00P00?DH2000nA`030010
B000@TT00499008004A:0P00ATX00`00B4/004Y<001:C002001<C@8004i>0P00D4h00`00DDd0059=
001BC@02001DC08005E;00<005M:001HB@00F4T00P00FTP2001LA`03001NA@00H4<00613008006=0
0P00ICd00`00J3X006`f001/=P02001_<@8007<[00<007PS001m6@00OAT04P3o0002001m6@03001h
8`00Lb/007<[008006la0P00K3H00`00J3X006Dm001U?@02001S@080061300<005i5001LA`00G4L0
0P00FTP2001HB@03001GBP00ED/005E;008005A<0P00DTd00`00DDd0051>001@CP02001>CP8004a=
0P00BT`00`00B4/004I:0016BP020014BP80049900<00418000nA`00?TL00P00?DH2000kAP03000j
A@00>D@003U4008003M40P00=T<00`00=D8003A2000d@P02000c@@80039100<00350000`@000<400
0P00;cl2000^?`03000]?P00;3h002`n008002`m0P00:cd2000Z?@03000Z?000:C`002Tl00@002Pk
00<002Lk000V>P009SX00P009SX2000U>P03000U>@0093T002@i008002@i0`008cP4000R>080028g
0`008CL2000P=`<0020f10007cH2000O=@D001he1@007C@4000L=0<001`c1`006c<7000J<P@001Tb
1@006C42000H<@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001Pa1@00
6C44000I<PL001Xb1`006c<3000L<`@001`d1@007C@5000N=@8001le10007cH3000P=P80020g0`00
8CL2000R=`@0028h0`008cP4000T>@03000U>@009CX002Dj00@002Hj00<002Lk000X>`00:3/00P00
:3/2000Y?003000Z?000:Sd002Xm008002/m0P00;3d2000/?P03000]?P00;Sl002ho008002lo0P00
<4000`00<D000391000b@@02000c@@8003A200<003E2000f@`00=T<00P00=d@2000hA003000jA@00
>dH003]6008003e60P00?TL00`00@4P004990012B@020014BP8004I:00<004Q;001:C000BT`00P00
C4d2001>CP80051>00<0055=001BC@00DTd00P00E4`2001EB`03001GBP00F4T005Q9008005Y80P00
G4L00`00GTD00613001P@`02001S@08006Dm00<006Pj001/=P00K3H00P00Kc42001c:`03001h8`00
OAT007dI0180o`000P00OAT00`00N2<007<[001c:`02001_<@8006`f00<006Pj001U?@00ICd00P00
Hd02001P@`03001NA@00G4L005a7008005Y80P00F4T00`00EdX005E;001EB`02001DC080059=00<0
055=001@CP00D4h00P00CTh2001<C@8004Y<00<004Q;0016BP00ATX00P00A4X20012B@030010B000
?TL003i7008003e60P00>dH00`00>TD003U4000iA002000gA08003I300<003E2000d@P00=4800P00
<d42000b@@03000a@000<4000310008002lo0P00;Sl00`00;Ch002`n000/?P02000/?@8002/m0P00
:Sd00`00:S`002Tl000Y?004000X>`03000W>`009SX002Hj008002Hj0P009CX00`009CT002@i000T
>@02000T>@<002<h10008SP2000R=`<0024g0P0083L3000P=P@001lf0P007cD5000N=@D001dd1000
73@3000L<`L001/c1`006S84000I<PD001Ta0P0063470?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103oool2000H<@D001Ta0P006C89000J<PD001/c0`0073<4000L=0D001dd1`007SD2
000O=@8001lf1@0083H5000Q=`80028g0P008SP3000S>0@002@i0P009CT00`009CX002Hj000V>P02
000V>P<002Lk0P00:3/4000Y?003000Z?000:cd002/m008002/m0P00;3h2000]?P03000^?`00;cl0
02lo008002lo0P00<4000`00<D000391000b@@02000c@P8003A200<003I3000g@`00=d<00P00>4@2
000iA@03000kA@00?4H003a6008003i70P00?dL00`00@DP004=90013B@020015BP8004M;00<004U<
001;C@00Bdd00P00CTh2001?CP80051>00<0059=001CC000Dd`00P00E4`2001FB`03001GBP00FDT0
05U9008005]70P00GDH00`00Gd@00652001Q@P02001T?`8006Ll00<006Xh001]=000KC@00P00LBh2
001e9`03001j7`00P1@0080D0180o`000P00P1@00`00NQl007HW001f9`02001a;P8006dd00<006Xh
001W?000Ic`00P00I3l2001R@P03001OA000GDH005e6008005]70P00FDT00`00EdX005I;001FB`02
001DC08005=<00<0059=001@CP00D4h00P00Cdh2001>CP8004]=00<004U<0017B`00Ad/00P00ADX2
0013B@030011B000?dL003m7008003i70P00?4H00`00>dD003U5000iA@02000hA08003M300<003I3
000d@P00=4800P00<d82000b@@03000a@000<400031000@002lo00<002ho000]?P00;Ch00P00;3h4
000[?@03000Z?000:C`002Tl008002Tl0P00:3/3000W>`@002Hj00<002Dj000U>@009CT0100093T3
000S>080028h0P008SL5000Q=`D0020f0P007cH2000O=@L001he1@007C@4000L=0<001`c1@006c<9
000J<P8001Tb1`006C470?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000H
<@D001Ta0P006C89000J<PD001/c0`0073<4000L=0D001dd1`007SD2000O=@8001lf1@0083H5000Q
=`80028g0P008SP3000S>0@002@i0P009CT00`009CX002Hj000V>P02000V>P<002Lk0P00:3/4000Y
?003000Z?000:cd002/m008002/m0P00;3h2000]?P03000^?`00;cl002lo008002lo0P00<4000`00
<D000391000b@@02000c@P8003A200<003I3000g@`00=d<00P00>4@2000iA@03000kA@00?4H003a6
008003i70P00?dL00`00@DP004=90013B@020015BP8004M;00<004U<001;C@00Bdd00P00CTh2001?
CP80051>00<0059=001CC000Dd`00P00E4`2001FB`03001GBP00FDT005U9008005]70P00GDH00`00
Gd@00652001Q@P02001T?`8006Ll00<006Xh001]=000KC@00P00LBh2001e9`03001j7`00P1@0080D
0180o`000P00P1@00`00NQl007HW001f9`02001a;P8006dd00<006Xh001W?000Ic`00P00I3l2001R
@P03001OA000GDH005e6008005]70P00FDT00`00EdX005I;001FB`02001DC08005=<00<0059=001@
CP00D4h00P00Cdh2001>CP8004]=00<004U<0017B`00Ad/00P00ADX20013B@030011B000?dL003m7
008003i70P00?4H00`00>dD003U5000iA@02000hA08003M300<003I3000d@P00=4800P00<d82000b
@@03000a@000<400031000@002lo00<002ho000]?P00;Ch00P00;3h4000[?@03000Z?000:C`002Tl
008002Tl0P00:3/3000W>`@002Hj00<002Dj000U>@009CT0100093T3000S>080028h0P008SL5000Q
=`D0020f0P007cH2000O=@L001he1@007C@4000L=0<001`c1@006c<9000J<P8001Tb1`006C470?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool5000I<@@001Tb1`006S87000K<`80
01`c0`0073@5000M=08001de1@007SD2000O=@@001lf0`0083H6000Q=`03000R=`008SP0028h00@0
02<h1@0093T2000U>@<002Hj0P009cX2000W>`<002Pk0P00:C`2000Z?003000Z?@00:cd002/m0080
02`m1000;Ch00`00;Sl002lo000_?`02000`@080035000<00391000c@@00<d400P00=482000e@P03
000f@`00=d@003M4008003U40P00>TD00`00>dH003e6000mAP02000oA`80041800<004990014BP00
A4X00P00AT/20018B`03001:C000C4d004a=008004m>0P00D4h2001AC@03001BC@00E4`005A<0080
05E;0P00EdX00`00F4T005Y8001JB002001LA`8005i500<00613001S@000Hd000P00ICh2001X>P03
001/=P00Kc4006la008007<[0P00N2<00`00OAX008<>00233P02006:00h0o`000P01RP0200233P03
001m6P00N2<007PS008007<[0P00Kc400`00K3H006Pj001X>P02001U?P8006=000<00613001NA@00
GTD00P00G4L2001JB003001HB@00EdX005M:008005E;0P00E4`00`00DTd0055=001AC@02001@CP80
04m>0P00C4d00`00BT`004Q;0018B`020016B`8004A:00<004990010B000@4P00P00?dL2000mAP03
000kAP00>TD003Y5008003U40P00=d@00`00=T<003E2000e@P02000d@P8003=100<00391000a@000
<D000P00<402000_?`03000^?`00;Ch002dn008002dn0P00;3d2000[?@03000Z?@00:S`002Xl0080
02Tl0`00:3/2000W>`8002Lj0`009SX2000U>@D002@i10008cP2000R>003000R=`008CL0024g00@0
024g0`0083H4000O=P8001le1@007SD2000M=@D001dd0`0073@2000L<`L001/c2@006S82000I<PD0
01Ta1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo10006C43000I<PL001Xb
1`006c<4000L<`<001`d1@007C@6000N=@03000O=@007cH001lf008001lf100083H00`0083L0024g
000Q=`02000Q=`80028g0`008SP4000S>0<002@i0P009CT2000U>P<002Hj0P009c/3000X>`@002Tl
0P00:S`00`00:cd002`m000/?@02000/?P8002dn0P00;Sl00`00;cl00310000`@002000a@0800351
00<00391000d@P00=4800P00=D82000f@`03000g@`00>4@003Q4008003U50P00>dD00`00?4H003i7
000nA`02000oB080045800<004=90015BP00ADX00P00Ad/20019C003001;C@00CTh004i>008004m>
0P00D4d2001BC@03001CC000E4`005A<008005I;0P00EdX00`00FDT005]7001KA`02001MAP8005m4
00<00652001T?`00I3l00P00Ic`2001Z>003001]=000LBh0074^008007DX0P00NR000`00OaD008H8
0026200200V=00h0o`000P09S@0200262003001o5@00NQl007XO008007DX0P00LBh00`00KC@006Xh
001Z>002001W?08006@o00<00652001OA000Gd@00P00GDH2001KA`03001IB@00EdX005M:008005I;
0P00E4`00`00Dd`0059=001BC@02001@C@8004m>0P00CTh00`00Bdd004U<0019C0020017B`8004E:
00<004=90011B000@DP00P00?dP2000nA`03000lAP00>dD003]5008003U50P00>4@00`00=d<003I3
000f@`02000e@P8003A200<00391000a@@00<D400P00<D02000`@003000_?`00;Sl002ho008002dn
0P00;3h2000/?@03000[?@00:S`002Xl00@002Tl0`00:3/2000W>`<002Hj0P009CX2000U>@<002@i
10008cP3000R>080028g10008CL00`0083L0020f000P=P02000P=P@001lf00<001le000N=@007SD0
10007SD5000M=0<001`d100073<7000K<`L001Xb0`006C84000I<@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?ooo`@001Ta0`006C87000J<PL001/c100073<3000L=0D001dd1P00
7SD00`007cD001lf000O=P02000O=P@0020f00<0020g000Q=`008CL00P008CL2000R=`<0028h1000
8cP3000T>@8002Di0P009CX3000V>P8002Lk0`00:3/4000Y?08002Xl00<002/m000/?@00;3d00P00
;3h2000]?P8002ho00<002lo000`@000<4000P00<D02000a@@03000b@@00=48003A2008003E20P00
=T<00`00=d<003Q4000hA002000iA@8003]500<003a6000nA`00?TL00P00?dP20011B0030013B@00
ADX004E:008004M;0P00BD`00`00Bdd004i>001>CP02001?CP80051=0P00DTd00`00Dd`005A<001D
C002001FB`8005M:00<005U9001KA`00FdL00P00GDH2001OA003001Q@P00I3l006@o008006Ll0P00
JSP00`00KC@0074^001a;P02001e:08007XP00<007lE00262000QPP00P09S@0>0?l000802Hd00P00
QPP00`00OaD007XO001j7`02001e:080074^00<006dd001Z>000JSP00P00Ic`2001T?`03001Q@P00
Gd@005m4008005e60P00FdL00`00FDT005M:001GBP02001FB`8005A<00<005=<001BC@00DTd00P00
D4d2001?CP8004i>00<004]=0019C000BD`00P00Ad/20015BP030013B@00@DP00458008003m80P00
?TL00`00?4H003]5000kA@02000iA@8003Q400<003M3000f@`00=T<00P00=D82000d@P03000b@@00
<D400351008003500P00<4000`00;cl002ho000^?`02000]?P8002`n0P00;3d00`00:cd002Xl000Z
?004000Y?0<002Pk0P009c/3000V>P8002Dj0P009CT3000T>@@002<h0`008SP2000R=`@0024g00<0
020g000P=P0083H00P0083H4000O=P03000O=@007SD001he00@001he1@007C@3000L=0@001`c1`00
6c<7000J<P<001Tb10006C470?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2
000I<@<001Tb1`006S82000K<PD001/c100073<3000L=0H001dd1`007SD00`007cD001lf000O=P06
000P=PD0024g0P008SL00`008SP002<h000S>002000S>0<002@i0P009CT2000U>P<002Hj10009c/2
000X>`<002Tl0P00:S`3000[?@8002`n0P00;Ch2000^?P8002ho00<002lo000`@000<4000P00<D02
000b@@03000c@@00=48003A2008003E30P00=T<00`00>4@003U4000iA002000jA@8003a600<003e6
000oA`00?dL00P00@4P20012B@030014BP00AT/004I;008004Q<0P00BTd00`00CDh004m>001?CP02
001@CP80055=0P00DTd00`00E4`005E;001EB`02001GBP8005Q900<005Y8001LA`00G4L00P00GTD2
001P@`03001S@000ICh006Dn008006Pj0P00JcH00`00Kc8007</001c;002001g908007`K00<0088@
00290@00R@400P0BT@0>0?l000804Y400P00R@400`00PQ0007`K001l6`02001g908007</00<006la
001[=P00JcH00P00J3X2001U?P03001S@000H4<00613008005i50P00G4L00`00FTP005Q9001HB@02
001GBP8005E;00<005A<001BC@00DTd00P00DDd2001@CP8004m>00<004e>001:C@00BTd00P00B4`2
0016B`030014BP00@TT00499008004180P00?dL00`00?DL003a6000lAP02000jA@8003U400<003Q4
000f@`00=T<00P00=D<2000d@P03000c@@00<T400391008003500P00<4000`00;cl002ho000^?`02
000^?P8002dn0P00;3h3000[?@8002Xl0`00:C`2000X>`@002Lk0`009SX2000U>P8002Di0`0093T4
000S>003000R>0008SL0028g00D0024g1P0083H2000O=P03000O=@007SD001he00D001he1P007C@3
000L=0@001`c1@006c<2000K<PL001Xb0`006C82000I<@L0oooo0@0000010?ooo`00703oool20000
00D0oooo0P006C43000I<PL001Xb0P006c85000K<`@001`c0`0073@6000M=0L001he00<001le000O
=P007cH01P0083H5000Q=`80028g00<0028h000S>0008cP00P008cP3000T>@8002Di0P009CX3000V
>P@002Lk0P00:3/3000Y?08002Xl0`00:cd2000/?P8002dn0P00;Sh2000^?`03000_?`00<4000310
008003500P00<T400`00<d4003A2000d@P02000e@`8003I300<003Q4000iA000>D@00P00>TD2000l
AP03000mAP00?dL003m7008004180P00@TT00`00A4X004I;0016B`020018C08004Y=00<004e>001?
CP00Cdh00P00D4h2001AC@80059=00<005A<001EB`00ED/00P00EdX2001HB@03001JB000G4L005a7
008005i50P00H4<00`00Hd0006Dn001U?P02001X>P8006/f00<006lb001c;000Lb`00P00Mb@2001l
6`0300224000R@4008T100804Y403P3o000201:A008008T100<0088@001l6`00O1/00P00Mb@2001c
;003001_<@00JcH006/f008006Pj0P00ICh00`00Hd000613001P@`02001NA@8005a700<005Y8001H
B@00F4T00P00EdX2001EB`03001DC000DTd0059=0080055=0P00D4h2001?CP03001=CP00BTd004Y=
008004Q<0P00AT/00`00A4X004990012B@020010B08003m700<003e7000lAP00?4H00P00>TD2000i
A003000hA000=T<003I3008003E30P00=4800`00<d400391000b@@02000a@080031000<002lo000^
?`00;Sl00P00;Sh2000]?P8002`n0`00:cd2000Z?0<002Tl0P00:3/4000W>`<002Hj0P009CX2000U
>@<002@i10008cP00`008SP0028g000R=`05000Q=`H0020f0P007cH00`007cD001he000N=@05000N
=@H001dd0`0073@4000L<`D001/c0P006c87000J<P<001Tb0P006C460?ooo`8000000@3oool001`0
oooo00<000000?ooo`3oool0103oool2000I<@8001Tb20006S87000K<`8001`c100073@5000M=080
01de1@007SD2000O=@<001lf100083H5000Q=`80028g0P008SP5000S>0<002@i0P009CT2000U>P80
02Hj00<002Lj000W>`009c/01000:3/00`00:C`002Xl000Z?002000Z?@8002/m00<002`m000/?P00
;3h00P00;Ch2000^?`8002lo00<00310000a@000<D000P00<T42000c@@03000d@P00=D8003E20080
03I30P00=d<00`00>4@003Y5000jA@02000kA@8003a600<003i70010B000@4P00P00@DP20013B@03
0015BP00Ad/004M;008004U<0P00C4d00`00CTh004m>001?CP02001@C@80059=0P00Dd`00`00E4`0
05I;001FB`02001GBP8005U900<005]7001MAP00GDH00P00Gd@2001Q@P03001T?`00Ic`006Ll0080
06Xi0P00KC@00`00LBl007DY001e:@02001i8@8007lG00<008D:00J<0006S0000P0LU@0203ZO00X0
o`000P0kW`0201bE00801X`000<008D:001o5`00OaL00P00NB42001e:@03001a;`00KC@006dd0080
06Xi0P00Ic`00`00I3l00652001Q@P02001OA08005e600<005]7001IB@00FDT00P00EdX2001FB`03
001DC000Dd`005=<0080059=0P00D4d2001?CP03001>CP00C4d004a=008004U<0P00Ad/00`00ADX0
04=90013B@020011B080041800<003i7000mAP00?DH00P00>dD2000jA@03000hA000=d@003M40080
03I30P00=D800`00=48003=1000c@@02000b@@80035000<00310000_?`00;cl00P00;Sl2000]?P80
02`n00<002`m000[?@00:cd00P00:Sd2000Z?003000Y?000:3/002Pk008002Pk0P009c/00`009cX0
02Hj000V>P02000U>P8002Di0`0093T5000S>080028h0P008SL5000Q=`@0020f0`007cH2000O=@D0
01he0P007CD5000M=0@001`d0P0073<7000K<`P001Xb0P006C82000I<@L0oooo0@0000010?ooo`00
703oool00`000000oooo0?ooo`040?ooo`8001Ta0P006C88000J<PL001/c0P0073<4000L=0D001dd
0P007CD5000N=@8001le0`007cH4000P=PD0024g0P008SL2000R>0D002<h0`0093T2000U>@8002Dj
0P009SX00`009cX002Lk000W>`04000X>`03000Y?000:S`002Xl008002Xm0P00:cd00`00;3d002`n
000/?P02000]?P8002ho0P00;cl00`00<4000350000a@002000b@@8003=100<003A2000e@P00=D80
0P00=T<2000g@`03000hA000>TD003Y5008003]50P00?4H00`00?TL004180010B0020011B08004=9
00<004E:0017B`00Ad/00P00BD`2001<C@03001>CP00Cdh004m>0080051=0P00DTd2001CC003001D
C000ET/005I;008005M:0P00FDT00`00FdL005e6001MAP02001OA080065200<006@o001W?000Ic`0
0P00JST2001]=003001a;`00MBT007DY008007TQ0P00OaL00`00Q@X01X`000J<000201bE0080>Yl0
2P3o000203^O008079D00P06S0000`00Q@X007lG001o5`02001i8@8007DY00<0074_001]=000KC@0
0P00JST2001W?003001T?`00HD800652008005m40P00GDH00`00FdL005U9001IB@02001GBP8005I;
00<005A<001CC000Dd`00P00DTd2001@C@8004m>00<004i>001<C@00C4d00P00BD`20017B`030015
BP00@dT004=9008004580P00@4P00`00?TL003e6000mAP02000kA@8003Y500<003Q4000gA000=d@0
0P00=T<2000e@P03000d@P00<d4003=1008003910P00<D000`00<40002lo000_?`02000^?`8002dn
0P00;3h00`00;3d002/m000[?@02000Z?@8002Xl00<002Tl000X>`00:3/00P00:3/2000W>`03000W
>P009SX002Hj008002Dj0P009CT3000T>@D002<h0P008SP2000R=`D0024g100083H3000O=P8001le
1@007SD2000M=@D001dd100073@2000L<`L001/c20006S82000I<P8001Ta1`3oool100000040oooo
000L0?ooo`030000003oool0oooo00@0oooo10006C87000J<PL001/c0`0073<4000L=0D001dd1@00
7SD2000O=@<001lf100083H2000P=`<0024g0P008SL4000R>0<002<h100093T00`009CT002Dj000U
>P04000V>P<002Lk0P00:3/3000Y?08002Xl1000:cd00`00;3h002dn000]?P02000^?`@002lo00<0
0310000a@000<D000P00<T42000c@P03000d@P00=D<003E3008003M30P00>4@00`00>D@003Y5000j
A@02000lAP8003e700<003m70011B000@DP00P00@TT20014BP030016B`00B4`004Q<008004Y=0P00
CDh00`00Cdh0051>001@CP02001AC@80059=0P00E4`00`00ED/005M:001GBP02001HB@8005Y800<0
05a7001NA@00GTD00P00H4<2001R@@03001U?P00J3/006Pk008006/g0P00KS800`00LR`007LU001g
9@02001k7@80084B00<008P300j?000>S`000P0WV@0204ZT00X0o`000P1:Y00202NI00803Xl000<0
08P300214P00PA800P00Nad2001g9@03001b;000KS8006hb008006/g0P00J3/00`00ICh00691001R
@@02001P@`8005i500<005a7001JB000FTP00P00F4T2001GBP03001EB`00E4`005A<0080059=0P00
DDd2001@CP03001?CP00CDh004e>008004Y=0P00B4`00`00AT/004A:0014BP020012B@80045800<0
03m7000mA`00?DL00P00?4H2000jA@03000iA@00>4@003Q4008003M30P00=D<00`00=48003=2000c
@P02000b@@80035000<00310000_?`00;cl00P00;cl2000^?`8002dn00<002`n000[?@00:cd00P00
:cd2000Z?0<002Tl0P00:3/3000W>`@002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h1000
8SP2000R=`<0024g0P0083L4000P=P<001lf0P007cD5000N=@D001dd100073@3000L<`L001/c1`00
6S84000I<PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001Tb1`006S87
000K<`<001`c100073@5000M=0L001he0P007cD2000O=PD0020f1@008CL2000R=`80028h0`008cP4
000T>@<002Di10009SX2000W>P03000W>`00:3/002Pk008002Pl0P00:C`00`00:S`002Xm000Z?@02
000[?@8002`m0`00;Ch2000^?`8002lo0P00<4000`00<D000391000b@@02000c@@8003A200<003E2
000f@`00=T<00P00=d@2000iA003000jA@00>dH003]6008003e60P00?TL00`00@4P004590011B@02
0013B@8004E:00<004M;0019C000BD`00P00C4d2001>CP03001?CP00D4d0051=0080059=0P00Dd`2
001DC003001FB`00EdX005M:008005U90P00FdL00`00GDH005m4001OA002001Q@P8006@o00<006Hl
001Y>@00JCT00P00K3D2001`<003001d:@00NB8007TR008007hH0P00Q0`00`02R`005i<001NC0002
03>M0080FjT02P3o000205^Y0080<id00P0GT`000`02R`0008@<00243002001n608007TR00<007@Y
001`<000L3000P00K3D2001Y>@03001V?000I3l006@o008006520P00Gd@00`00GDH005]7001KA`02
001IB@8005M:00<005I;001DC000E4`00P00Dd`2001BC@80051=00<004m>001>CP00CTh00P00C4d2
0019C0030017B`00ADX004E:008004=90P00@DT00`00@4P003i7000nA`02000mAP8003]600<003Y5
000iA000>D@00P00=d@2000f@`03000e@P00=48003A2008003=10P00<T400`00<D000310000`@002
000_?`8002ho0`00;Ch2000/?@8002/m0P00:Sd00`00:S`002Tl000Y?002000X?08002Pk00<002Lk
000W>P009cX010009SX3000U>@@002@i0`008cP2000R>080028g1@008CL5000P=P8001lf0P007cD7
000N=@D001dd100073@3000L<`L001/c1`006S82000I<PL0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?ooo`8001Tb1`006S87000K<`<001`c100073@5000M=0L001he0P007cD2000O
=PD0020f1@008CL2000R=`80028h0`008cP4000T>@<002Di10009SX2000W>P03000W>`00:3/002Pk
008002Pl0P00:C`00`00:S`002Xm000Z?@02000[?@8002`m0`00;Ch2000^?`8002lo0P00<4000`00
<D000391000b@@02000c@@8003A200<003E2000f@`00=T<00P00=d@2000iA003000jA@00>dH003]6
008003e60P00?TL00`00@4P004590011B@020013B@8004E:00<004M;0019C000BD`00P00C4d2001>
CP03001?CP00D4d0051=0080059=0P00Dd`2001DC003001FB`00EdX005M:008005U90P00FdL00`00
GDH005m4001OA002001Q@P8006@o00<006Hl001Y>@00JCT00P00K3D2001`<003001d:@00NB8007TR
008007hH0P00Q0`00`02R`005i<001NC000203>M0080FjT02P3o000205^Y0080<id00P0GT`000`02
R`0008@<00243002001n608007TR00<007@Y001`<000L3000P00K3D2001Y>@03001V?000I3l006@o
008006520P00Gd@00`00GDH005]7001KA`02001IB@8005M:00<005I;001DC000E4`00P00Dd`2001B
C@80051=00<004m>001>CP00CTh00P00C4d20019C0030017B`00ADX004E:008004=90P00@DT00`00
@4P003i7000nA`02000mAP8003]600<003Y5000iA000>D@00P00=d@2000f@`03000e@P00=48003A2
008003=10P00<T400`00<D000310000`@002000_?`8002ho0`00;Ch2000/?@8002/m0P00:Sd00`00
:S`002Tl000Y?002000X?08002Pk00<002Lk000W>P009cX010009SX3000U>@@002@i0`008cP2000R
>080028g1@008CL5000P=P8001lf0P007cD7000N=@D001dd100073@3000L<`L001/c1`006S82000I
<PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`T001Xb1`006c<2000L<`<0
01`d1@007C@2000M=@D001he0P007cD4000O=P<0020f0P0083L4000Q=`03000R=`008SP0028h00D0
02<h100093T2000U>@03000U>P009SX002Hj008002Hj0P009c/3000X>`@002Tl00<002Xl000[?@00
:cd00P00;3d2000/?P03000]?P00;Sl002ho008002lo1000<4000`00<D400391000b@@02000c@P80
03A200<003I3000g@`00=d<00P00>4@2000iA@03000kA@00?4H003a6008003e70P00?dL00`00@DP0
04990012B@020014BP8004I;00<004Q<001;C@00Bdd00P00CDh2001?CP03001@CP00DDd0055=0080
059=0P00E4`2001EB`03001GBP00F4T005Q9008005Y80P00G4L00`00GTD00613001P@`02001R@@80
06Dn00<006Pk001[=`00JcL00P00KS<2001b;@03001f9P00Nah007/N0080080D0P00QPH00`0:SP00
8IH0026F0002042Q0080KZl000<0//000?l0003o00001P3o00000`2b`000KZl006j_0002046Q0080
8IH000<02Xh000261P00QPH00P00P1@2001k7P03001f9P00LRd0078]008006hc0P00JcL00`00J3/0
06Dn001U?P02001R@@80061300<005i5001LA`00G4L00P00FTP2001HB@03001GBP00ED/005E;0080
05A<0P00DTd2001AC@03001@CP00Cdh004m>008004e>0P00Bdd00`00B4`004I;0016B`020014BP80
049900<00458000oA`00?dL00P00?DL2000lAP03000kA@00>DD003U5008003Q40P00=d<00`00=T<0
03A2000d@P02000c@P80039100<00351000`@000<4000P00<402000_?`8002ho00<002dn000/?P00
;3h00P00;3d2000[?@03000Z?@00:C`002Tl008002Tl0`00:3/2000W>`@002Hj00<002Dj000U>@00
9CT0100093T5000S>080028h00<0028g000Q=`008CL010008CL3000P=P@001lf0P007cD5000N=@80
01de1@007C@3000L=08001`c1`006c<9000J<PL0oooo0@0000010?ooo`00703oool00`000000oooo
0?ooo`040?ooo`T001Xb1`006c<2000L<`<001`d1@007C@2000M=@D001he0P007cD4000O=P<0020f
0P0083L4000Q=`03000R=`008SP0028h00D002<h100093T2000U>@03000U>P009SX002Hj008002Hj
0P009c/3000X>`@002Tl00<002Xl000[?@00:cd00P00;3d2000/?P03000]?P00;Sl002ho008002lo
1000<4000`00<D400391000b@@02000c@P8003A200<003I3000g@`00=d<00P00>4@2000iA@03000k
A@00?4H003a6008003e70P00?dL00`00@DP004990012B@020014BP8004I;00<004Q<001;C@00Bdd0
0P00CDh2001?CP03001@CP00DDd0055=0080059=0P00E4`2001EB`03001GBP00F4T005Q9008005Y8
0P00G4L00`00GTD00613001P@`02001R@@8006Dn00<006Pk001[=`00JcL00P00KS<2001b;@03001f
9P00Nah007/N0080080D0P00QPH00`0:SP008IH0026F0002042Q0080KZl000<0//000?l0003o0000
1P3o00000`2b`000KZl006j_0002046Q00808IH000<02Xh000261P00QPH00P00P1@2001k7P03001f
9P00LRd0078]008006hc0P00JcL00`00J3/006Dn001U?P02001R@@80061300<005i5001LA`00G4L0
0P00FTP2001HB@03001GBP00ED/005E;008005A<0P00DTd2001AC@03001@CP00Cdh004m>008004e>
0P00Bdd00`00B4`004I;0016B`020014BP80049900<00458000oA`00?dL00P00?DL2000lAP03000k
A@00>DD003U5008003Q40P00=d<00`00=T<003A2000d@P02000c@P80039100<00351000`@000<400
0P00<402000_?`8002ho00<002dn000/?P00;3h00P00;3d2000[?@03000Z?@00:C`002Tl008002Tl
0`00:3/2000W>`@002Hj00<002Dj000U>@009CT0100093T5000S>080028h00<0028g000Q=`008CL0
10008CL3000P=P@001lf0P007cD5000N=@8001de1@007C@3000L=08001`c1`006c<9000J<PL0oooo
0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`L001Xb1`006c<4000L<`<001`d1@00
7C@6000N=@03000O=@007cH001lf008001lf1@0083H4000Q=`80028g0`008SP4000S>0<002@i0P00
9CT2000U>P<002Hj10009c/00`00:3/002Tl000Y?002000Y?08002Xl0`00:cd2000/?P8002dn00<0
02hn000^?`00;Sl00P00;cl2000`@080035000<00391000c@@00<d400P00=482000e@P03000f@`00
=d@003M4008003U40P00>TD00`00>dH003e6000mAP02000nA`80041800<004990013B@00@dT00P00
ADX20017B`030019C000C4d004a=008004i>0P00Cdh00`00D4d0059=001BC@02001CC08005A<0P00
ET/00`00EdX005U9001IB@02001KA`8005e600<005m4001Q@P00HD800P00Hd02001V?@03001Y>@00
K3D006`e0080070`0P00Lb/00`00N2<007dJ001m6P0200223`8008T000<04Y4002bJ000/VP000P1?
YP0208>d00030<Rm003o0000o`0000H0o`0000<0b;d008>d0023]0000P1?YP0202bJ000301:A0000
R@0008T00080088?0P00OAX00`00N2<007<Z001c:P02001`<08006`e00<006Ti001V?@00ISd00P00
Hd02001Q@P03001OA000GDH005e6008005]70P00FDT00`00EdX005I;001FB`02001DC08005=<0P00
DTd00`00D4d004m>001?CP02001>CP8004a=00<004U<0017B`00Ad/00P00ADX20013B@030012B@00
@4P00418008003i70P00?DH00`00>dH003Y5000jA@02000iA08003M400<003I3000e@P00=D800P00
=482000c@@03000b@@00<D000350008003100P00;cl2000^?`03000^?P00;Ch002dn008002`n0`00
:cd2000Z?0@002Tl00<002Pk000W>`009c/00P009c/3000V>P8002Dj0P009CT3000T>@@002<h0`00
8SP2000R=`@0024g1@0083H4000O=P03000O=@007SD001he00@001he1@007C@3000L=0@001`c1`00
6c<7000J<PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`L001Xb1`006c<4
000L<`<001`d1@007C@6000N=@03000O=@007cH001lf008001lf1@0083H4000Q=`80028g0`008SP4
000S>0<002@i0P009CT2000U>P<002Hj10009c/00`00:3/002Tl000Y?002000Y?08002Xl0`00:cd2
000/?P8002dn00<002hn000^?`00;Sl00P00;cl2000`@080035000<00391000c@@00<d400P00=482
000e@P03000f@`00=d@003M4008003U40P00>TD00`00>dH003e6000mAP02000nA`80041800<00499
0013B@00@dT00P00ADX20017B`030019C000C4d004a=008004i>0P00Cdh00`00D4d0059=001BC@02
001CC08005A<0P00ET/00`00EdX005U9001IB@02001KA`8005e600<005m4001Q@P00HD800P00Hd02
001V?@03001Y>@00K3D006`e0080070`0P00Lb/00`00N2<007dJ001m6P0200223`8008T000<04Y40
02bJ000/VP000P1?YP0208>d00030<Rm003o0000o`0000H0o`0000<0b;d008>d0023]0000P1?YP02
02bJ000301:A0000R@0008T00080088?0P00OAX00`00N2<007<Z001c:P02001`<08006`e00<006Ti
001V?@00ISd00P00Hd02001Q@P03001OA000GDH005e6008005]70P00FDT00`00EdX005I;001FB`02
001DC08005=<0P00DTd00`00D4d004m>001?CP02001>CP8004a=00<004U<0017B`00Ad/00P00ADX2
0013B@030012B@00@4P00418008003i70P00?DH00`00>dH003Y5000jA@02000iA08003M400<003I3
000e@P00=D800P00=482000c@@03000b@@00<D000350008003100P00;cl2000^?`03000^?P00;Ch0
02dn008002`n0`00:cd2000Z?0@002Tl00<002Pk000W>`009c/00P009c/3000V>P8002Dj0P009CT3
000T>@@002<h0`008SP2000R=`@0024g1@0083H4000O=P03000O=@007SD001he00@001he1@007C@3
000L=0@001`c1`006c<7000J<PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oo
o`D001Xb1`006c<4000L<`<001`d1P007C@7000N=@03000O=@007cH001lf00D0020f1P008CL2000R
=`03000R>0008cP002<h008002<h0`0093T4000U>@<002Hj0P009cX2000W>`<002Pk0P00:C`2000Z
?08002Xm00<002/m000/?@00;3d00P00;3h2000]?P03000^?`00;cl002lo008003100P00<D03000b
@@8003A20P00=D82000f@`03000g@`00>4@003Q4008003U50P00>dD00`00?4H003i7000nA`02000o
A`80045800<004=90014BP00A4X00P00AT/20018C003001;C@00CDh004e>008004m>0P00D4h00`00
DDd0059=001BC@02001DC08005E;0P00EdX00`00F4T005Y8001JB002001LA`8005i500<00613001R
@@00HT400P00ICh2001W>`03001Z>000KC<006dc0080074^0P00MBP00`00NR0007lF001o5P020025
2@801X`000<06i@003NN000gWP000P1OZ`0209^j00030=2X003o0000o`0000H0o`0000<0d:P009^j
002K^P000P1PZ`0203NN000301^D0006S0001X`0008008D90P00OaH00`00NR0007DX001e:002001a
;P8006dc00<006Xh001W>`00Ic/00P00ICh2001R@@03001P@`00GTD005i5008005a70P00FTP00`00
F4T005M:001GBP02001EB`8005A<0P00DTd00`00DDd0051>001@CP02001?CP8004e>00<004]=0018
C000B4`00P00AT/20014BP030013B@00@DP00458008003m70P00?TL00`00?4H003]5000kA@02000i
A@8003Q400<003M3000f@`00=T<00P00=D82000d@P03000c@@00<T400391008003500P00<402000_
?`03000^?`00;Ch002dn008002`n0P00;3d00`00:cd002Xm000Z?@02000Z?08002Tl0`00:3/2000W
>`8002Lj0`009SX4000U>@<002@i10008cP00`008SP0028g000R=`06000Q=`D0020f0P007cH00`00
7cD001he000N=@05000N=@H001dd0`0073@4000L<`L001/c1@006S870?ooo`4000000@3oool001`0
oooo00<000000?ooo`3oool0103oool5000J<PL001/c0P0073<4000L=0D001dd0P007CD5000N=@80
01le0`007cH4000P=P03000P=`008CL0024g0080024g0P008SL3000R>0@002<h0`0093T2000U>@80
02Dj0`009SX2000W>`@002Pk0`00:C`2000Z?0<002/m0P00;3h2000]?P8002hn00<002ho000_?`00
;cl00P00<402000a@080039100<003=1000d@P00=4800P00=D<2000f@`03000hA000>D@003U40080
03Y50P00>dH00`00?DH003i7000nA`020010B080049900<004=90015BP00ADX00P00Ad/20019C003
001<C@00CTh004i>008004m>0P00D4d00`00DTd005=<001CC002001DC08005I;0P00EdX00`00FDT0
05]8001KB002001MAP8005m400<00652001S@000Hd000P00ISd2001X>P03001/=P00Kc4006la0080
07</0P00MbD00`00O1`0084A00214@02002710803Hl000<099P004BR0014XP000P1a/0020;G10003
0=R?003o0000o`0000H0o`0000<0f8l00;G1002e`@000P1b/00204BR000302BH000=S`003Hl00080
08L40P00PA400`00O1`007LU001g9@02001c;08006la00<006`f001X>P00J3X00P00ISd2001S@003
001Q@P00Gd@005m4008005e60P00FdP00`00FDT005M:001GBP02001FB`8005A<0P00Dd`00`00DTd0
051=001@C@02001?CP8004i>00<004a=0019C000BD`00P00Ad/20015BP030013B@00@TT004990080
04180P00?TL00`00?DH003]6000kAP02000jA@8003U400<003Q4000f@`00=T<00P00=D<2000d@P03
000c@@00<T400391008003500P00<402000_?`03000^?`00;Sh002hn008002dn0P00;3h3000[?@80
02Xl0`00:C`4000X>`8002Lk0`009SX2000U>P8002Di0`0093T4000S>0<0028h0P008SL4000Q=`03
000P=`0083H0020f0080020f0`007cH2000O=@D001he0P007CD5000M=0@001`d0P0073<7000K<`D0
01Xb1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@006S87000K<`8001`c
100073@5000M=08001de1@007SD2000O=@<001lf100083H00`0083L0024g000Q=`02000Q=`80028g
0`008SP4000S>0<002@i0P009CT2000U>P<002Hj0P009c/4000X>`<002Tl0P00:S`3000[?@8002`n
0P00;Ch2000^?P03000^?`00;cl002lo008003100P00<D02000b@@03000c@@00=48003A2008003E3
0P00=T<00`00>4@003U4000iA002000jA@8003]600<003e6000nA`00?TL00P00@4P20012B@030013
B@00ADX004E:008004M;0P00BD`00`00C4d004i>001>CP02001?CP80051=00<0059=001CC000Dd`0
0P00E4`2001FB`8005M:00<005U9001KB000FdP00P00GDH2001OA003001Q@P00Hd0006=0008006Hm
0P00J3X00`00K3H006la001_<@02001c;08007LU00<007`L00214@00PA400P00Q`@200f?000302BH
0014XP00A:800080LK000P2e`@000`3HS`00o`000?l000060?l000030=R?002e`@00]L400080L[00
0P14XP000`0TV0003Hl000f?000200271080084A00<007`L001g9@00MbD00P00Lb`2001_<@03001/
=P00J3X006Pj008006Hm0P00Hd000`00HD8005m4001OA002001MAP8005]800<005U9001GBP00EdX0
0P00ET/2001DC08005=<00<0059=001@C@00D4d00P00Cdh2001>CP03001<C@00BD`004U<008004M;
0P00ADX00`00@dT004990012B@020010B08003i700<003e6000kAP00>dH00P00>TD2000iA003000h
A000=T<003I3008003E30P00=4800`00<d400391000b@@02000a@08003100P00;cl00`00;Sl002hn
000^?P02000]?P8002`n0`00:cd2000Z?0<002Tl1000:3/2000W>`<002Hj0P009CX2000U>@<002@i
10008cP3000R>080028g10008CL00`0083L0020f000P=P02000P=P<001lf0P007cD5000N=@8001de
1@007C@4000L=08001`c1`006c<5000J<PL0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?ooo`@001Xb1`006c<3000L<`@001`d1@007C@5000N=@8001le0`007cH6000P=PD0024g0P00
8SL2000R>0<002<h100093T00`009CT002Dj000U>P04000V>P03000W>P009c/002Lk008002Pk0P00
:3`00`00:C`002Xl000Z?002000Z?@8002/m00<002`m000]?P00;Ch00P00;Ch2000^?`03000_?`00
<4000310008003500P00<T42000c@@03000d@P00=D8003E2008003I30P00=d<00`00>4@003U5000i
A@02000kA@8003a600<003i7000oA`00?dL00P00@DP20013B@030014BP00AT/004I;008004Q<0P00
Bdd00`00CDh004m>001?CP02001@CP80055=00<0059=001DC000E4`00P00ED/2001FBP8005Q900<0
05Y8001LA`00G4L00P00GDD2001P@`03001R@@00I3l006@o008006Ll0P00JSP00`00KC@0070_001`
;`02001d:@8007TR00<007hH00233@00P`d00P01RP0201FB000302jK001BY`00DZL00080QKD00P38
_@000`3RL@00o`000?l000060?l000030>9a0038_@00b;d00080QKD00P1BY`000`0^V`005I8001FB
0002006:008008<=00<007hH001i8P00NB800P00M2T2001`;`03001]=000JSP006Xh008006Ll0P00
I3l00`00HT400613001P@`02001MA@8005a700<005Y8001HB@00F4T00P00ETX2001EB`8005A<00<0
059=001AC@00DDd00P00D4h2001?CP03001=CP00Bdd004]=008004Q<0P00AT/00`00A4X004=90013
B@020011B08003m700<003i7000lAP00?4H00P00>dD2000iA@03000hA000=d<003M3008003I30P00
=D800`00=48003=1000c@@02000b@@8003500P00<4000`00;cl002ho000^?`04000]?P03000/?@00
:cd002/m008002Xm0P00:S`00`00:C`002Pl000X?002000X>`8002Lk00<002Lj000V>P009SX00P00
9SX2000U>P03000U>@0093T002@i008002@i0`008cP2000R>080028g1@008CL6000P=P<001lf0P00
7cD5000N=@D001dd100073@3000L<`L001/c10006S870?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103oool4000J<PL001/c0`0073<4000L=0D001dd1@007SD2000O=@<001lf1P0083H5
000Q=`80028g0P008SP3000S>0@002@i00<002Di000U>P009CX010009SX00`009cX002Lk000W>`02
000X>`8002Pl00<002Tl000Z?000:S`00P00:Sd2000[?@03000/?@00;Ch002dn008002dn0P00;Sl0
0`00;cl00310000`@002000a@08003910P00<d400`00=48003E2000e@P02000f@`8003M300<003Q4
000iA@00>DD00P00>dD2000lAP03000nA`00?dL003m7008004580P00@dT00`00A4X004I;0016B`02
0018C08004]=00<004e>001?CP00Cdh00P00D4h2001AC@03001BC@00E4`005A<008005E;0P00ETX2
001HB@03001JB000G4L005a7008005e50P00H4<00`00HT4006@o001T?`02001W?08006Xh00<006dd
001`;`00L2l00P00M2T2001i8P03001n6000P`d008<=00800HX00P0ETP000`0^V`00DZL005:W0002
08Fe0080b;d000<0hW400?l0003o00001P3o00000`3RL@00b;d00<Rm000208Fe0080DZL000<0;Y/0
01FB000ETP000P01RP0200233@03001n6000NB8007TR008007@Y0P00L2l00`00KC@006Xh001Z>002
001W?08006@o00<00691001P@`00H4<00P00GDD2001LA`03001JB000F4T005Q9008005I:0P00ED/2
001DC003001BC@00DDd0055=0080051>0P00Cdh00`00CDh004]=001;C@020018C08004I;00<004A:
0013B@00@dT00P00@DP2000oA`03000nA`00?4H003a6008003]50P00>DD00`00>4@003M3000g@`02
000f@`8003E200<003A2000c@@00<d400P00<T42000a@080031000<002lo000^?`00;Sl01000;Ch0
0`00;3d002/m000[?@02000Z?@8002Xl00<002Tl000X?000:3`00P00:3/2000W>`03000W>P009SX0
02Hj008002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h0P008SP2000R=`D0024g1P0083H3
000O=P8001le1@007SD5000M=0@001`d0`0073<7000K<`@001Xb1`3oool100000040oooo000L0?oo
o`030000003oool0oooo00@0oooo0P006S87000K<`<001`c100073@5000M=0L001he0P007cD3000O
=P@0020f1@008CL2000R=`80028h1@008cP4000T>@03000U>@009CX002Dj00@002Hj00<002Lk000X
>`00:3/00P00:3/3000Y?08002Xl1000:cd00`00;3h002dn000]?P02000^?`<002lo0P00<402000a
@08003910P00<d400`00=48003E3000e@`02000f@`8003Q400<003U4000jA@00>TD00P00>dH2000m
AP03000nA`00@4P00418008004990P00@dT00`00ADX004M;0017B`020019C08004a=00<004i>001?
CP00Cdh00P00D4d2001BC@03001CC000E4`005A<008005I;0P00EdX2001IB@03001JB000G4H005a6
008005i50P00H4<00`00Hd0006Dn001U?P02001X>P8006/g00<006hb001b;@00LRd00P00MRH2001k
7P0300205000QPP008H8008028d00P0MU@000`0iW`00HJ/0066[000209^j0080cjX000<0k4h00?l0
003o00001P3o00000`3/CP00cjX00<nZ000209^j0080HJ/000<0>Il001fE000MU@000P08S@020026
200300205000Nah007/N008007HV0P00LRd00`00KS8006/g001[=`02001X>P8006Dn00<006=0001P
@`00H4<00P00GTD2001LAP03001KB000FDT005U9008005M:0P00ET/2001DC003001CC000DTd0059=
0080051=0P00Cdh00`00CTh004a=001<C@020019C08004M;00<004E:0013B@00@dT00P00@TT20010
B003000nA`00?DH003e6008003a60P00>TD00`00>D@003Q4000hA002000f@`8003E300<003A2000c
@@00<d400P00<T42000a@08003100`00;cl2000^?`8002dn00<002`n000[?@00:cd00P00:cd2000Z
?0<002Tl1000:3/00`009c/002Hj000V>P02000V>P8002Dj00<002Di000T>@0093T00P0093T5000S
>080028h0P008SL5000Q=`@0020f0`007cH2000O=@L001he1@007C@4000L=0<001`c1`006c<2000J
<PL0oooo0@0000010?ooo`00703oool2000000D0oooo0P006S87000K<`<001`c100073@5000M=0L0
01he0P007cD3000O=P@0020f1@008CL2000R=`80028h1@008cP4000T>@03000U>@009CX002Dj00@0
02Hj00<002Lk000X>`00:3/00P00:3/3000Y?08002Xl1000:cd00`00;3h002dn000]?P02000^?`<0
02lo0P00<402000a@08003910P00<d400`00=48003E3000e@`02000f@`8003Q400<003U4000jA@00
>TD00P00>dH2000mAP03000nA`00@4P00418008004990P00@dT00`00ADX004M;0017B`020019C080
04a=00<004i>001?CP00Cdh00P00D4d2001BC@03001CC000E4`005A<008005I;0P00EdX2001IB@03
001JB000G4H005a6008005i50P00H4<00`00Hd0006Dn001U?P02001X>P8006/g00<006hb001b;@00
LRd00P00MRH2001k7P0300205000QPP008H8008028d00P0MU@000`0iW`00HJ/0066[000209^j0080
cjX000<0k4h00?l0003o00001P3o00000`3/CP00cjX00<nZ000209^j0080HJ/000<0>Il001fE000M
U@000P08S@020026200300205000Nah007/N008007HV0P00LRd00`00KS8006/g001[=`02001X>P80
06Dn00<006=0001P@`00H4<00P00GTD2001LAP03001KB000FDT005U9008005M:0P00ET/2001DC003
001CC000DTd0059=0080051=0P00Cdh00`00CTh004a=001<C@020019C08004M;00<004E:0013B@00
@dT00P00@TT20010B003000nA`00?DH003e6008003a60P00>TD00`00>D@003Q4000hA002000f@`80
03E300<003A2000c@@00<d400P00<T42000a@08003100`00;cl2000^?`8002dn00<002`n000[?@00
:cd00P00:cd2000Z?0<002Tl1000:3/00`009c/002Hj000V>P02000V>P8002Dj00<002Di000T>@00
93T00P0093T5000S>080028h0P008SL5000Q=`@0020f0`007cH2000O=@L001he1@007C@4000L=0<0
01`c1`006c<2000J<PH0oooo0P0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001Xb
1`006c<2000L<`<001`d1@007C@2000M=@D001he0P007cD4000O=P<0020f0P0083L3000Q=`80028g
10008SP3000S>0@002@i0P009CT00`009CX002Hj000V>P02000V>P<002Lk0P00:3/4000Y?003000Z
?000:Sd002Xm008002/m0P00;3d3000]?P8002ho0P00;cl00`00<4000350000a@002000b@@8003=1
0P00=4800`00=D8003I3000f@`02000g@`8003Q400<003Y5000kA@00>dD00P00?4H2000nA`03000o
A`00@DP00458008004=90P00A4X00`00AT/004Q<0018C002001;C@8004e>00<004m>001@CP00D4h0
0P00DDd2001BC@03001CC000ED/005E;008005I:0P00F4X2001JB003001KA`00GDH005e6008005m4
0P00HD800`00I3l006Hl001V?002001Y>@8006`e00<0070`001c:P00LbX00P00N2<2001l6`030022
4000R08008P200803Xl00P0VV0000`15X`00LK00076`00020;;00080eiD000<0mb@00?l0003o0000
1P3o00000`3g9000ei@00=ND00020;?00080LK0000<0AJ<002JH000VV0000P0>S`0200280P030022
4000O1/007`K008007PS0P00LbX00`00L30006`e001/=@02001Y>@8006Hl00<006@o001Q@P00HD80
0P00Gd@2001MAP03001KA`00FTP005Y8008005Q:0P00ETX2001EB`03001CC000DTd0059=0080055=
0P00D4h00`00Cdh004e>001=CP02001;C@8004Q<00<004I;0014BP00A4X00P00@dT20011B003000o
B000?TL003i7008003a60P00>dD00`00>TD003Q4000hA002000g@`8003I300<003E2000d@P00=480
0P00<d42000b@@80035000<00310000_?`00;cl00P00;Sl3000]?P8002`n1000:cd00`00:S`002Tl
000Y?002000Y?08002Pk0`009c/4000V>P03000U>P009CT002Di00@002@i0`008cP4000R>080028g
0`008CL2000P=`<0020f10007cH2000O=@D001he0P007CD5000M=0<001`d0P0073<7000K<`8001Xb
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1`006c<4000L<`<001`d1@00
7C@6000N=@03000O=@007cH001lf008001lf1@0083H5000Q=`80028g0P008SP4000S>0<002@i1000
9CT3000V>P8002Lj0P009c/3000X>`8002Tl0P00:S`00`00:Sd002/m000[?@02000/?@8002`n00<0
02dn000^?`00;Sl00P00;cl3000`@08003500P00<T42000c@P8003A200<003E3000f@`00=T<00P00
>4@2000iA003000jA@00?4H003a6008003e60P00?TL00`00@4P004990012B@020013B@8004E:00<0
04M;0019C000BD`00P00C4d2001>CP03001?CP00D4h0051>0080059=0P00Dd`00`00E4`005I;001F
B`02001GBP8005U90P00FTP00`00G4H005i5001NA@02001P@`80069100<006Dn001W>`00Ic/00P00
JSP2001^<`03001a;P00MBP007DX008007TP0P00OQL00`00Q0/00X/000:;000201JB0080;i/000<0
DZH008>d0023]0000P36`0020=ml00X0o`000P3OO0020<K00080Pk@000<0DZH002nK000_V`000P0F
TP0200:;000300242`00OQL007hG008007TP0P00MBP00`00LBh006hc001^<`02001Z>08006Lk00<0
06Dn001R@@00HT400P00H4<2001NA@03001LAP00FTP005Y8008005U90P00EdX2001FB`03001DC000
Dd`005=<0080059=0P00D4h00`00Cdh004i>001>CP02001<C@8004U<00<004M;0015BP00ADX00P00
@dT20012B@030010B000?TL003i7008003e60P00?4H00`00>TD003U4000iA002000hA08003I300<0
03E3000d@P00=4800P00<d82000b@@8003500`00<402000_?`8002ho00<002dn000/?P00;3h00P00
;3d2000[?@03000Z?@00:S`002Xl008002Tl0`00:3/2000W>`8002Lj0`009SX4000U>@<002@i1000
8cP2000R>080028g1@008CL5000P=P@001lf00<001le000N=@007SD010007SD5000M=0<001`d1000
73<7000K<`L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`L001/c100073<3
000L=0D001dd1P007SD00`007cD001lf000O=P02000O=PD0020f1@008CL2000R=`80028h10008cP3
000T>@@002Di0`009SX2000W>P8002Lk0`00:3/2000Y?08002Xl00<002Xm000[?@00:cd00P00;3d2
000/?P03000]?P00;Sl002ho008002lo0`00<402000a@08003910P00<d82000d@P03000e@`00=T<0
03I3008003Q40P00>D@00`00>TD003a6000lAP02000mAP8003i700<004180012B@00@TT00P00@dT2
0015BP030017B`00BD`004U<008004a=0P00CTh00`00Cdh0051>001@CP02001BC@8005=<00<005A<
001FB`00ET/00P00EdX2001IB@8005Y800<005a6001NA@00GTD00P00H4<2001R@@03001U?P00Ic/0
06Lk008006Xh0P00KS<00`00LBh007DX001e:002001i808007hG00<008@;00:;0002R`000P0FTP02
02nK000305:V0023]000Pk@00080a/000P3OO00:0?l00080gg`00P36`00208>d000305:V000_V`00
;i/000805Y800P02R`000`00Q0/007hG001n5`02001i808007DX00<0074^001^<`00KS<00P00JSP2
001W>`03001U?P00HT400691008006130P00GTD00`00G4H005Y8001JB002001IB@8005M:0P00ET/0
0`00E4`005=<001CC002001BC@80051>00<004m>001>CP00CTh00P00C4d20019C0030017B`00ADX0
04E:008004=90P00@TT00`00@4P003i7000nA`02000mAP8003a600<003Y5000iA000>D@00P00>4@2
000f@`03000e@`00=48003A2008003=20P00<T42000a@0<003100P00;cl2000^?`03000]?P00;3h0
02`n008002`m0P00:cd00`00:Sd002Xl000Z?002000Y?0<002Pk0P009c/2000W>P<002Hj10009CT3
000T>@@002<h0P008SP2000R=`D0024g1@0083H4000O=P03000O=@007SD001he00@001he1@007C@3
000L=0@001`c1`006c<70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool5000K
<`@001`c0`0073@6000M=003000M=@007SD001he00@001he00<001le000O=P007cH00P007cH3000P
=PH0024g00<0028g000R>0008SP01P008cP3000T>@8002Di0P009CX3000V>P@002Lk00<002Pk000Y
?000:C`00P00:C`2000Z?0<002/m0P00;3h3000]?P8002ho0P00;cl2000`@003000a@000<T400391
008003=10P00=482000e@P03000f@`00=d<003M3008003Q40P00>TD00`00>dD003a6000lAP02000n
A`8003m700<004580013B@00@dT00P00A4X20016B`030018C000BTd004Y=008004e>0P00Cdh00`00
D4h0055=001AC@02001BC@8005=<00<005E;001FB`00ET/00P00F4X2001IB@8005]700<005e6001O
A000Gd@00P00HD82001S@003001V?@00JCX006Tj008006`f0P00Kc400`00Lb`007LU001g9@02001k
7@80080C00<008H700R=0008S@000P0MU@0203VO000305nZ002F^@00U[T00080c;400P3WG`0:0?l0
0080iel00P3</00209Ji000305nZ000iW`00>Il000807ID00P08S@000`00QPL0080C00204`02001k
7@8007LU00<007</001_<@00Kc400P00K3H2001Y>P03001V?@00Hd0006=0008006520P00Gd@00`00
GDH005]7001KA`02001IB@8005Q:0P00ET/00`00ED/005=<001CC002001BC@80055=00<0051>001?
CP00Cdh00P00CDh2001:C@030018C000AT/004I;008004A:0P00@dT00`00@DP003m8000oB002000n
A`8003a600<003]5000jA@00>TD00P00>4@2000g@`03000f@`00=D8003E2008003A20P00<d42000b
@@03000a@000<4000310008002lo0P00;Sl00`00;Sh002dn000]?P02000/?P<002/m0P00:S`4000Y
?003000X>`009c/002Lk008002Lk0`009SX2000U>P8002Di0`0093T6000S>080028h00<0028g000Q
=`008CL010008CL3000P=P@001lf00<001le000N=@007SD010007SD00`007CD001dd000M=004000M
=0<001`d100073<5000K<`L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D0
01/c100073<3000L=0H001dd00<001de000N=@007SD010007SD00`007cD001lf000O=P02000O=P<0
020f1P008CL00`008SL0028h000R>006000S>0<002@i0P009CT2000U>P<002Hj10009c/00`00:3/0
02Tl000Y?002000Y?08002Xl0`00:cd2000/?P<002dn0P00;Sl2000_?`80031000<00350000b@@00
<T400P00<d42000d@P8003E200<003I3000g@`00=d<00P00>4@2000jA@03000kA@00?4H003a60080
03i70P00?dL00`00@DP004=90013B@020014BP8004I;00<004Q<001:C@00BTd00P00CDh2001?CP03
001@CP00DDd0055=0080059=0P00Dd`00`00ED/005I;001FB`02001HBP8005U90P00FdL00`00GDH0
05m4001OA002001Q@P8006=000<006Hm001Y>P00JCX00P00K3H2001_<@03001c;000MbD007LU0080
07/M0P00P1<00`00QPL028d000R=000201fE0080>Il000<0GjX009Ji002F^@000P3</@020>MO00X0
o`000P3WG`020<b`0080U[T000<0GjX003VO000iW`000P0MU@0200R=000300261`00P1<0080C0080
07/M0P00MbD00`00Lb`006la001_<@02001/=P8006Tj00<006Hm001S@000Hd000P00HD82001OA003
001MAP00FdL005]7008005U90P00F4X2001FB`03001EB`00Dd`005=<0080059=0P00DDd00`00D4h0
04m>001?CP02001=CP8004Y=00<004Q<0016B`00AT/00P00A4X20013B@030011B000?dP003m80080
03i70P00?4H00`00>dD003Y5000jA@02000hA08003M300<003I3000e@P00=D800P00=482000c@@80
039100<00350000`@000<4000P00;cl2000^?`03000^?P00;Ch002dn008002`n0`00:cd2000Z?0@0
02Tl00<002Pk000W>`009c/00P009c/3000V>P8002Dj0P009CT3000T>@H002<h0P008SP00`008SL0
024g000Q=`04000Q=`<0020f10007cH00`007cD001he000N=@04000N=@03000M=@007C@001dd00@0
01dd0`0073@4000L<`D001/c1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
1@006c<2000L<`@001`d1@007C@2000M=@D001he0P007cD3000O=PD0020f10008CL2000R=`<0028h
10008cP3000T>@@002Di0`009SX2000W>P8002Lk0`00:3/2000Y?08002Xl0P00:Sd00`00:cd002`m
000/?@02000/?P8002dn00<002ho000_?`00;cl01000<4000`00<D400391000b@@02000c@P8003A2
0P00=D<00`00=d<003Q4000hA002000iA08003Y500<003a6000mAP00?DH00P00?TL20010B0030012
B@00@dT004=9008004E:0P00Ad/00`00BD`004]=001;C@02001>CP8004m>00<0051>001AC@00DDd0
0P00Dd`2001DC003001EB`00EdX005M:008005Q90P00FTP2001LA`03001NA@00H4<0061300800691
0P00I3l00`00Ic`006Xh001Z>002001]=080070_00<007@Z001h8`00N2<00P00OAX200223`030028
0P0?T0003i0000809IP00P13XP000`1][P00Z[h00:Zn00020=>O0080l3l02P3o00020?0o0080dil0
0P2Z_P000`1^[`00A:8004BR000202FH00803i0000<008P200223`00PPl00P00OAX2001h8`03001d
:P00L2l0070_008006dd0P00JSP00`00Ic`006@o001T?`02001R@@80061300<005i5001LA`00G4L0
0P00FTP2001HB@8005M:00<005E;001DC000E4`00P00Dd`2001AC@03001@CP00Cdh004m>008004i>
0P00Bdd00`00BD`004M;0017B`020015BP8004=900<004990010B000@4P00P00?TL2000mAP03000l
AP00>TD003Y5008003U40P00>4@00`00=d<003E3000e@`02000d@P8003=20P00<T400`00<D400310
000`@002000`@08002lo00<002ho000]?P00;Ch00P00;3h2000/?@03000[?@00:Sd002Xm008002Xl
0P00:C`3000X>`8002Lk0P009cX3000V>P@002Di0`0093T4000S>0<0028h0P008SL4000Q=`03000P
=`0083H0020f0080020f0`007cH2000O=@D001he0P007CD5000M=0@001`d0P0073<5000K<`L0oooo
0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D001/c0P0073<4000L=0D001dd0P00
7CD5000N=@8001le0`007cH5000P=P@0024g0P008SL3000R>0@002<h0`0093T4000U>@<002Hj0P00
9cX2000W>`<002Pk0P00:C`2000Z?08002Xm00<002/m000/?@00;3d00P00;3h2000]?P03000^?`00
;cl002lo00@0031000<00351000b@@00<T400P00<d82000d@P8003E300<003M3000hA000>4@00P00
>D@2000jA@03000lAP00?DH003e6008003i70P00@4P00`00@TT004=90013B@020015BP8004M;00<0
04U<001;C@00Bdd00P00CTh2001?CP03001@CP00DDd0055=008005=<0P00E4`00`00ED/005M:001G
BP02001HB@8005Y80P00G4L00`00GTD00613001P@`02001R@@8006@o00<006Ll001Z>000JSP00P00
KC@2001`;`03001d:P00N2<007PS008007dJ0P00PPl00`00R0803i0000n@000202FH0080@j8000<0
KJh00:Zn002Z_P000P3CW`020?0o00X0o`000P3`?`020=>O0080Z[h000<0KZl004BR0014XP000P0U
V00200n@000300280P00PPl0088?008007dJ0P00N2<00`00M2X0070_001`;`02001]=08006Xh00<0
06Ll001T?`00I3l00P00HT42001P@`03001NA@00G4L005a7008005Y80P00F4T2001GBP03001EB`00
E4`005A<008005=<0P00DDd00`00D4h004m>001?CP02001>CP8004]=00<004U<0017B`00Ad/00P00
ADX20013B@030012B@00@4P00418008003i70P00?DH00`00?4H003Y5000jA@02000iA08003Q400<0
03M3000e@`00=D<00P00=482000c@P80039100<00351000`@000<4000P00<402000_?`03000^?`00
;Ch002dn008002`n0P00;3d00`00:cd002Xm000Z?@02000Z?08002Tl0`00:3/2000W>`8002Lj0`00
9SX4000U>@<002@i10008cP3000R>080028g10008CL00`0083L0020f000P=P02000P=P<001lf0P00
7cD5000N=@8001de1@007C@4000L=08001`c1@006c<70?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103oool4000K<`<001`c100073@5000M=0D001he10007cD00`007cH0020f000P=P04
000P=PD0024g0P008SL00`008SP002<h000S>004000S>0<002@i0P009CT2000U>P<002Hj0P009c/4
000X>`<002Tl0P00:S`3000[?@8002`n0P00;Ch2000^?P03000^?`00;cl002lo008003100P00<D00
0`00<T4003=1000c@@02000d@P8003E20P00=T<00`00=d@003Q4000hA002000jA@8003]500<003a6
000nA`00?TL00P00?dL20011B0030013B@00A4X004A:008004I;0P00B4`00`00BTd004e>001=CP02
001?CP80051>00<0055=001BC@00DTd00P00Dd`2001EC003001FB`00EdX005M:008005U90P00FdL2
001MAP03001OA000HD800652008006=00P00ICh00`00J3/006/g001[=`02001^<`80078]00<007DW
001j8000NR000P00OaL200242`0300:;000ETP005I800080;Y/00P1?Y@000`1m/`00`<<00<330002
0=Z<0080nA/02P3o00020?TK0080fX/00P30``000`1m/`00CjH004nV000202jK00805I8000<00h/0
00242`00Q0/00P00OaL2001j8003001e9`00LRd0078]008006hc0P00JcL00`00J3/006Dn001U?P02
001S@080065200<005m4001MAP00GDH00P00FdL2001IB@8005M:00<005I;001EC000ED`00P00Dd`2
001BC@03001AC@00D4h0051>008004m>0P00CDh00`00BTd004Q<0018C0020016B`8004A:00<004=9
0011B000@DP00P00?dL2000nA`03000lAP00>dD003]5008003Y50P00>4@00`00=d@003I3000f@`02
000e@P8003A20P00<d400`00<T400350000a@002000`@08002lo00<002ho000^?P00;Sh00P00;Ch2
000/?P<002/m0P00:S`3000Y?0@002Pk0P009c/3000V>P8002Dj0P009CT3000T>@H002<h00<0028h
000R=`008SL01@008CL6000P=P03000O=P007cD001le008001le1@007SD5000M=0@001`d0`0073<4
000K<`L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001/c0`0073<4000L
=0D001dd0P007CD5000N=@8001le0`007cH4000P=P80020g0`008CL2000R=`<0028h10008cP4000T
>@03000U>@009CX002Dj00@002Hj00<002Lj000W>`009c/00P00:3/2000X?003000Y?000:S`002Xl
008002Xm0P00:cd00`00;3d002`n000/?P02000]?P8002ho00<002lo000`@000<4000P00<D02000a
@@03000b@@00<d8003=2008003A20P00=D<2000g@`03000hA000>D@003U4008003Y50P00?4H00`00
?DH003i7000nA`020010B080049900<004=90015BP00ADX00P00Ad/20019C003001;C@00CTh004i>
008004m>0P00D4h00`00DDd005==001CC@02001DC08005E;00<005M:001HB@00F4T00P00FTP2001K
A`8005e500<005m4001Q@P00HD800P00I3l2001V?@03001Y>@00K3D006`e008006la0P00Lb/00`00
MbD007/M001k7@0200204`8008H700<028d001bE000LU@000P0fWP0205ZY000308fg0039^P00bKX0
0080h7H03P3o00020>1f0080bKX000<0SKL005ZY001JZ@000P0fWP0201bE000300R=0000QPL008H7
0080080C0P00Nad00`00MbD007<[001c:`02001_<@8006`e00<006Ti001V?000IS`00P00I3l2001Q
@P03001OA000GDD005e5008005]70P00FTP2001HB@03001GBP00ED/005E;008005A<0P00Ddd00`00
DDd0051>001@CP02001?CP8004i>00<004]=0019C000BD`00P00Ad/20015BP030013B@00@TT00499
008004180P00?TL00`00?DH003a6000lAP02000jA@8003U400<003Q4000g@`00=d<00P00=D<2000d
@P8003=200<00391000a@@00<D400P00<D02000`@003000_?`00;Sl002ho008002dn0P00;3h00`00
;3d002/m000[?@02000Z?@8002Xl00<002Tl000X?000:3`00P00:3/2000W>`03000W>P009SX002Hj
008002Hj0P009CX00`009CT002@i000T>@02000T>@@002<h0`008SP2000R=`<0024g0P0083L4000P
=P<001lf0P007cD5000N=@8001de1@007C@4000L=0<001`c0P006c<70?ooo`4000000@3oool001`0
oooo00<000000?ooo`3oool0103oool2000K<`<001`c100073@5000M=08001de1@007SD2000O=@<0
01lf100083H2000P=`<0024g0P008SL3000R>0@002<h100093T00`009CT002Dj000U>P04000V>P03
000W>P009c/002Lk008002Pk0P00:3`00`00:C`002Xl000Z?002000Z?@8002/m00<002`m000/?P00
;3h00P00;Ch2000^?`03000_?`00<4000310008003500P00<D400`00<T4003=2000c@P02000d@P80
03E30P00=d<00`00>4@003U4000iA002000jA@8003a600<003e6000nA`00?TL00P00@4P20012B@03
0013B@00ADX004E:008004M;0P00BD`00`00Bdd004i>001>CP02001?CP80051>00<0055=001CC@00
Ddd00P00E4`2001EB`03001GBP00F4T005Q9008005Y80P00FdL2001MA@03001OA000HD8006520080
06@o0P00ISd00`00JCT006`e001/=@02001_<@8007<[00<007LU001k7@00Nad00P00P1<200261`03
00R=000LU@0079D00080=Yh00P1JZ@000`2=]`00bKX00<Vj00020>1f00h0o`000P3PMP020<Vj0003
08fg001JZ@00FZT00080=Yh00P0LU@000`08S@0008H700261`0200204`8007/M00<007LU001c:`00
Lb/00P00Kc42001/=@03001Y>@00IS`006Hl008006@o0P00HD800`00Gd@005e5001MA@02001KA`80
05Y80P00F4T00`00EdX005E;001EB`02001DC08005==00<0055=001@CP00D4h00P00Cdh2001>CP03
001;C@00BD`004U<008004M;0P00ADX00`00@dT004990012B@020010B08003i700<003e6000lAP00
?4H00P00>TD2000iA003000hA000=d<003M3008003E30P00=482000c@P03000b@@00<D4003510080
03500P00<4000`00;cl002ho000^?`02000]?P8002`n00<002`m000[?@00:cd00P00:Sd2000Z?003
000Y?000:3`002Pl008002Pk0P009c/00`009cX002Hj000V>P02000V>P8002Dj00<002Di000T>@00
93T00P0093T4000S>0<0028h0P008SL3000Q=`80020g100083H3000O=P8001le1@007SD2000M=@D0
01dd100073@3000L<`8001/c1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo
0P006c<2000L<`D001`d1@007C@5000N=@8001le10007cH5000P=PD0024g0P008SL2000R>0<002<h
1P0093T00`009CT002Dj000U>P02000V>P8002Lj00<002Lk000X>`00:3/00P00:3/3000Y?08002Xl
1000:cd00`00;3h002dn000]?P02000^?P8002ho00<002lo000`@000<4000P00<D02000b@@03000c
@@00=48003A2008003E20P00=T<2000gA003000hA000>TD003Y5008003]50P00?4H00`00?TL003m7
000oA`020011B080049900<004A:0016B`00AT/00P00B4`2001:C003001<C@00CTh004i>0080051>
0P00DDd00`00DTd005=<001CC002001DC08005I;00<005M:001IB@00FDT00P00FTP2001LAP8005i5
00<00613001R@@00HT400P00ICh2001W>`03001Z>000KC@006dd0080070_0P00M2T00`00N28007dJ
001m6P0200223`8008P200<03Hl002>G000SU`000P10X@0206J/000309fk003>[@00cZd00080iel0
3P3o00020>MN0080cZd000<0WK/006J]001V[@000P10X@0202>G000300j?0000R08008P20080088?
0P00OAX00`00N28007@Y001d:@02001`;`8006dd00<006Xh001W>`00Ic/00P00ICh2001R@@03001P
@`00GTD005i5008005a60P00FTP2001IB@03001GBP00ET/005I;008005A<0P00Dd`00`00DTd0055=
001AC@02001@CP8004i>00<004a=001:C000BT`00P00B4`20016B`030014BP00@TT0049900800458
0P00?dL00`00?TL003a6000lAP02000kA@8003Y500<003Q4000gA000=d@00P00=T<2000e@P8003A2
00<003=1000b@@00<T400P00<D02000`@003000_?`00;Sl002ho008002hn0P00;Ch00`00;3h002/m
000[?@02000[?@8002Xl0`00:C`4000X>`03000W>`009cX002Lj008002Hj0P009CX00`009CT002@i
000T>@04000T>@<002<h0P008SP2000R=`D0024g1@0083H4000O=P8001le1@007SD5000M=0D001`d
0P0073<2000K<`L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`8001/c0P00
73<5000L=0D001dd1@007SD2000O=@@001lf1@0083H5000Q=`80028g0P008SP3000S>0H002@i00<0
02Di000U>P009CX00P009SX2000W>P03000W>`00:3/002Pk008002Pk0`00:C`2000Z?0@002/m00<0
02`n000]?P00;Ch00P00;Sh2000^?`03000_?`00<4000310008003500P00<T400`00<d4003A2000d
@P02000e@P8003I30P00=d@00`00>4@003Y5000jA@02000kA@8003a600<003i7000oA`00?dL00P00
@DP20012B@030014BP00AT/004I;008004Q<0P00BT`00`00C4d004i>001>CP02001@CP80055=00<0
059=001CC000Dd`00P00E4`2001FB`03001GBP00FDT005U9008005Y80P00G4H2001NA@03001P@`00
HT400691008006Dn0P00Ic/00`00JSP006dd001]=002001`;`8007@Y00<007PR001m6P00OAX00P00
PPl200280P0300f?000SU`008iL00080@:400P1V[0000`2M^`00cZd00<j]00020>MO00h0o`000P3W
GP020<j]000309fk001V[@00IZd00080@:400P0SU`000`0>S`0008P200280P0200223`8007dJ00<0
07PR001d:@00M2T00P00L2l2001]=003001Z>000Ic/006Lk008006Dn0P00HT400`00H4<005i5001N
A@02001LAP8005Y80P00FDT00`00EdX005I;001FB`02001DC08005=<00<0059=001AC@00DDd00P00
D4h2001>CP03001<C@00BT`004Y<008004Q<0P00AT/00`00A4X004990012B@020011B08003m700<0
03i7000lAP00?4H00P00>dD2000jA@03000hA000=d@003M4008003I30P00=D82000d@P03000c@@00
<T400391008003500P00<4000`00;cl002ho000^?`02000^?P8002dn00<002`n000[?@00:cd00P00
:cd2000Z?0<002Tl1000:3/00`009c/002Lj000W>P02000V>P8002Dj00<002Di000T>@0093T01000
93T3000S>080028h0P008SL5000Q=`D0020f10007cH2000O=@D001he1@007C@5000L=08001`c0P00
6c<70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool4000L<`<001`d1@007C@7
000N=@8001le10007cH3000P=PD0024g0P008SL4000R>0<002<h100093T2000U>@03000U>P009SX0
02Hj008002Hj0`009c/2000X>`@002Tl00<002Xl000Z?@00:Sd00P00:cd2000/?@<002dn0P00;Sl2
000_?`03000`@000<D000350008003510P00<T400`00<d8003A2000d@P02000e@`8003M30P00>4@0
0`00>D@003Y5000jA@02000lAP8003e600<003i70010B000@4P00P00@TT20013B@030015BP00Ad/0
04M;008004U<0P00Bdd00`00CDh004m>001?CP02001@CP80055=00<0059=001DC000E4`00P00ED/2
001FBP03001HBP00FDP005U8008005]70P00GDH2001OA003001Q@P00Hd0006=0008006Hm0P00J3X0
0`00JcL006hb001^<P02001b;@8007HW00<007XP001o5`00OaL00P00Q0`2006:000301>A000ZVP00
:YX00080BJ@00P1c/0000`2__`00dih00=>N00020>i500h0o`000P3^A@020=>N00030:no001c/000
Lk000080BJ@00P0ZVP000`0CT@000HX0006:000200242`8007lG00<007XP001f9`00MRL00P00LRd2
001^<P03001[=`00J3X006Pj008006Hm0P00Hd000`00HD8005m4001OA002001MAP8005]70P00FDP0
0`00F4X005I:001FBP02001EB`8005A<00<0059=001AC@00DDd00P00D4h2001?CP03001=CP00Bdd0
04]=008004U<0P00Ad/00`00ADX004=90013B@020012B@80041800<003i7000mAP00?DH00P00?4H2
000jA@03000iA000>4@003Q4008003M30P00=D<2000d@P03000c@P00<T400391008003510P00<D00
0`00<40002lo000_?`02000^?`<002dn0P00;3d2000[?@8002Xm00<002Xl000Y?000:C`00P00:C`2
000X>`<002Lk10009SX00`009CX002Di000U>@04000T>@<002<h10008SP2000R=`D0024g0`0083H4
000O=P8001le1`007SD5000M=0<001`d100073<70?ooo`4000000@3oool001`0oooo00<000000?oo
o`3oool0103oool4000L<`<001`d1@007C@7000N=@8001le10007cH3000P=PD0024g0P008SL4000R
>0<002<h100093T2000U>@03000U>P009SX002Hj008002Hj0`009c/2000X>`@002Tl00<002Xl000Z
?@00:Sd00P00:cd2000/?@<002dn0P00;Sl2000_?`03000`@000<D000350008003510P00<T400`00
<d8003A2000d@P02000e@`8003M30P00>4@00`00>D@003Y5000jA@02000lAP8003e600<003i70010
B000@4P00P00@TT20013B@030015BP00Ad/004M;008004U<0P00Bdd00`00CDh004m>001?CP02001@
CP80055=00<0059=001DC000E4`00P00ED/2001FBP03001HBP00FDP005U8008005]70P00GDH2001O
A003001Q@P00Hd0006=0008006Hm0P00J3X00`00JcL006hb001^<P02001b;@8007HW00<007XP001o
5`00OaL00P00Q0`2006:000301>A000ZVP00:YX00080BJ@00P1c/0000`2__`00dih00=>N00020>i5
00h0o`000P3^A@020=>N00030:no001c/000Lk000080BJ@00P0ZVP000`0CT@000HX0006:00020024
2`8007lG00<007XP001f9`00MRL00P00LRd2001^<P03001[=`00J3X006Pj008006Hm0P00Hd000`00
HD8005m4001OA002001MAP8005]70P00FDP00`00F4X005I:001FBP02001EB`8005A<00<0059=001A
C@00DDd00P00D4h2001?CP03001=CP00Bdd004]=008004U<0P00Ad/00`00ADX004=90013B@020012
B@80041800<003i7000mAP00?DH00P00?4H2000jA@03000iA000>4@003Q4008003M30P00=D<2000d
@P03000c@P00<T400391008003510P00<D000`00<40002lo000_?`02000^?`<002dn0P00;3d2000[
?@8002Xm00<002Xl000Y?000:C`00P00:C`2000X>`<002Lk10009SX00`009CX002Di000U>@04000T
>@<002<h10008SP2000R=`D0024g0`0083H4000O=P8001le1`007SD5000M=0<001`d100073<70?oo
o`4000000@3oool001`0oooo0P0000050?ooo`8001`c0`0073@6000M=003000M=@007SD001he00@0
01he00<001le000O=P007cH00P007cH5000P=P@0024g0`008SL2000R>0<002<h100093T4000U>@<0
02Hj0P009cX2000W>`<002Pk1000:C`00`00:S`002/m000[?@02000[?@8002`n00<002dn000^?P00
;Sh00P00;Sl2000_?`03000`@000<D000350008003910P00<d400`00=48003E2000e@P02000f@`80
03M40P00>4@00`00>TD003]5000kA@02000lAP8003i700<003m70011B000@DP00P00@TT20014BP03
0016B`00B4/004Q;008004Y<0P00C4d00`00CTh004m>001?CP02001@C@80059=00<005=<001DC000
E4`00P00ED/2001GBP03001HB@00FTP005Y8008005a70P00GTD2001P@`03001R@@00I3l006@o0080
06Ll0P00JCT00`00K3D006la001_<@02001c:`8007LU00<007/M00204`00P1<00P00QPP200J<0003
01VD000bW000<Y`00080DjL00P20]0000`31a000f8l00=R?00020?D[00h0o`000P3e:P020=V?0003
0<740020]000P;@00080DjL00P0bW0000`0IU0001X`000J<000200262080080C00<007/M001g9@00
MbD00P00Lb/2001_<@03001/=@00JCT006Ti008006Ll0P00I3l00`00HT400613001P@`02001NA@80
05a70P00FTP00`00F4T005M:001GBP02001FB`8005A<00<005=<001BC@00DTd00P00D4d2001?CP03
001>CP00C4d004a=008004Y<0P00B4/00`00AT/004A:0014BP020012B@80045800<003m7000nA`00
?TL00P00?4H2000kA@03000jA@00>4@003Q4008003M40P00=T<2000e@P03000d@P00<d4003=10080
03910P00<D000`00<40002lo000_?`02000^?`8002hn00<002dn000/?P00;3h01000:cd00`00:S`0
02Tl000Y?002000Y?0<002Pk0P009c/2000W>P<002Hj10009CT4000T>@<002<h0P008SP3000R=`@0
024g0P0083L3000P=P@001lf00<001le000N=@007SD010007SD00`007CD001dd000M=004000M=0<0
01`d0P0073<60?ooo`8000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000L<`<001`d
1P007C@5000N=@<001le0P007cH5000P=PH0024g00<0028g000R>0008SP01@008cP4000T>@8002Di
0P009CX3000V>P@002Lk00<002Pk000Y?000:C`00P00:C`2000Z?003000Z?@00:cd002/m008002`m
0`00;Ch2000^?`8002lo0P00<4000`00<D000351000a@@02000b@@8003=200<003A2000e@`00=D<0
0P00=d<2000hA08003U400<003Y5000kAP00>dH00P00?DH2000nA`030010B000@DT00459008004=9
0P00ADX00`00Ad/004U<0019C002001;C@8004e>00<004m>001@CP00D4h00P00DDd2001BC@03001C
C000ED/005E;008005I;0P00F4X00`00FDT005]7001KA`02001MAP8005i40P00H4<00`00Hd4006Dn
001U?P02001W>`8006Xh00<006dd001a;`00LBl00P00M2T2001h8`03001m6P00PQ00088@008008P4
0P0;SP000`0OUP00>Yl003ZO000205fZ0080SKL000<0b;`00=io003NO`000P3l3`0>0?l00080o0h0
0P3NOP000`38_000SKL008fg000205fZ0080>Yl000<07iH000^>000;SP000P00R0@200224003001m
6P00N28007PR008007@Y0P00LBl00`00KC@006Xh001Z>002001W>`8006Dn00<006=0001P@`00H4<0
0P00GT@2001MAP8005]700<005U9001HBP00F4X00P00ET/2001EB`03001CC000DTd0059=0080055=
0P00D4h00`00Cdh004e>001=CP02001;C@8004U<00<004M;0015BP00ADX00P00@dT20011B@030010
B000?TL003i7008003e60P00>dH00`00>TD003U4000iA002000hA08003M30P00=D<00`00=48003=2
000c@P02000b@@80035100<00350000`@000<4000P00;cl2000^?`<002dn0P00;3d2000[?@03000Z
?@00:S`002Xl00@002Tl00<002Pk000W>`009c/00P009c/3000V>P8002Dj0P009CT4000T>@D002<h
0P008SP00`008SL0024g000Q=`04000Q=`D0020f0P007cH3000O=@D001he1P007C@3000L=08001`c
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo0P0073<3000L=0H001dd1@00
7SD3000O=@8001lf1@0083H6000Q=`03000R=`008SP0028h00D002<h100093T2000U>@8002Dj0`00
9SX4000W>`03000X>`00:C`002Tl008002Tl0P00:S`00`00:Sd002/m000[?@02000/?@<002dn0P00
;Sl2000_?`80031000<00350000a@@00<D400P00<T42000c@P03000d@P00=D<003E3008003M30P00
>4@2000iA003000jA@00>dH003]6008003e60P00?TL00`00@4P004590011B@020013B@8004E:00<0
04M;0019C000BD`00P00Bdd2001=CP03001?CP00D4h0051>0080055=0P00DTd00`00Dd`005E;001E
B`02001FB`8005Q:00<005U9001KA`00FdL00P00GDH2001NA080061300<006=1001U?P00ICh00P00
Ic/2001Z>003001]=000LBl0074_008007@Y0P00N2<00`00OAX0088@00224002002810802hh000<0
7iH003ZO000jW`000P1MZP0208fg00030<Rl003NO`00gWl00080o0l03P3o00020?`>0080gWh000<0
b;`008fg002=]`000P1MZP0203ZO000301nF000;SP002hh0008008P40P00PQ000`00OAX007PR001h
8P02001d:@80074_00<006dd001Z>000JSP00P00Ic/2001U?P03001S@000H4<00613008005i40P00
GDH2001KA`03001IB@00F4X005Q:008005I;0P00ED/00`00Dd`0059=001BC@02001AC@80051>00<0
04m>001=CP00CDh00P00Bdd20019C0030017B`00ADX004E:008004=90P00@DT00`00@4P003i7000n
A`02000mAP8003]600<003Y5000iA000>D@00P00>4@2000g@`8003E300<003A2000c@P00<d800P00
<T42000a@@03000a@000<4000310008002lo0P00;Sl3000]?P8002`m0P00:cd00`00:Sd002Xl000Z
?004000Y?003000X>`009c/002Lk008002Lk0`009SX2000U>P8002Di100093T5000S>080028h00<0
028g000Q=`008CL010008CL5000P=P8001lf0`007cD5000N=@H001dd0`0073@2000L<`L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooo`@001`d1@007C@2000M=@D001he0P007cD3
000O=P@0020f00<0020g000Q=`008CL00P008CL2000R=`<0028h10008cP3000T>@@002Di0`009SX2
000W>P8002Lk0`00:3/2000Y?08002Xl0P00:Sd3000[?@8002`n0P00;Ch3000^?`8002lo0P00<400
0`00<D000391000b@@02000c@@8003A200<003E2000f@`00=T<00P00=d<2000hA08003U500<003]5
000lAP00?4H00P00?DL2000oA`030011B000@TT00499008004A:0P00ATX00`00B4/004Y<001:C002
001<C@8004i>00<004m>001@CP00D4h00P00DDd2001CC003001DC000ED/005E;008005M:0P00F4T0
0`00FTP005]7001KA`02001MAP8005m40P00HD800`00Hd0006Hm001V?@02001X>P8006/f00<006hb
001b;@00LRd00P00MBL2001j8003001n5`00P`d008<=008008T00P0@T0000`0UV000@J40046Q0002
06N]0080VkX000<0c;800>=^003SKP004P3o00020>=^00030<bb002K^P00VkX00080Ijd00P11X@00
0`0UV0004900012@00020029008008<=00<007hG001j8000NR000P00MBL2001b;@03001^<P00JcH0
06/f008006Pj0P00ISd00`00Hd000652001Q@P02001OA08005e60P00FdL00`00FTP005Q9001HB@02
001GBP8005E;00<005A<001CC000Dd`00P00DDd2001@CP03001?CP00CTh004i>008004a=0P00BT`0
0`00B4/004I:0016BP020014BP80049900<00458000oA`00?dL00P00?TL2000lAP03000kA@00>DD0
03U5008003Q40P00=d<2000f@`03000e@P00=48003A2008003=10P00<T400`00<D000310000`@002
000_?`<002ho0P00;Ch2000/?P8002`m00<002/m000Z?@00:Sd00P00:S`2000Y?0<002Pk0P009c/2
000W>P<002Hj10009CT3000T>@@002<h0`008SP2000R=`@0024g00<0020g000P=P0083H00P0083H3
000O=P8001le1@007SD2000M=@D001dd100073@70?ooo`4000000@3oool001`0oooo00<000000?oo
o`3oool0103oool4000L=0D001dd0P007CD5000N=@8001le0`007cH4000P=P03000P=`008CL0024g
0080024g0P008SL3000R>0@002<h0`0093T4000U>@<002Hj0P009cX2000W>`<002Pk0P00:C`2000Z
?08002Xm0`00:cd2000/?P8002dn0`00;Sl2000_?`80031000<00350000b@@00<T400P00<d42000d
@P03000e@P00=T<003I3008003M30P00>4@2000iA@03000kA@00?4H003a6008003e70P00?dL00`00
@DP004990012B@020014BP8004I:00<004Q;001:C000BT`00P00C4d2001>CP03001?CP00D4h0051>
0080055=0P00Dd`00`00E4`005E;001EB`02001GBP8005Q900<005Y8001KA`00FdL00P00GDH2001O
A080065200<006=0001V?@00ISd00P00J3X2001[=P03001^<P00LRd0078]008007DW0P00NR000`00
OQL008<=00233@0200290080490000<09IP0046Q0011X@000P1W[@0209^j00030<bb003SKP00hfh0
0180o`000P3SKP000`3</P00VkX009^j000206N]0080@J4000<09IP0012@000@T0000P00R@020023
3@03001n5`00NR0007XP008007DW0P00LRd00`00KS8006/f001[=P02001X>P8006Hm00<006=0001Q
@P00HD800P00Gd@2001MAP8005]700<005Y8001HB@00F4T00P00EdX2001EB`03001DC000Dd`005=<
0080055=0P00D4h00`00Cdh004i>001>CP02001<C@8004Y<00<004Q;0016BP00ATX00P00A4X20012
B@030011B000?dL003m7008003i70P00?4H00`00>dD003U5000iA@02000hA08003M30P00=T<00`00
=D8003A2000d@P02000c@@80039100<00350000`@000<4000P00;cl3000^?`8002dn0P00;3h2000/
?@03000[?@00:Sd002Xm008002Xl0P00:C`3000X>`8002Lk0P009cX3000V>P@002Di0`0093T4000S
>0<0028h0P008SL4000Q=`03000P=`0083H0020f0080020f0`007cH2000O=@D001he0P007CD5000M
=0@001`d1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo0P0073@7000M=0D0
01he0P007cD3000O=PH0020f1@008CL2000R=`03000R>0008cP002<h00@002<h0`0093T2000U>@80
02Dj0`009SX4000W>`8002Pk0`00:C`2000Z?0<002/m0P00;3d4000]?P03000^?`00;cl002lo0080
03100P00<D000`00<D400391000b@@02000c@P8003A200<003E3000f@`00=T<00P00>4@2000iA080
03Y500<003]6000mAP00?DH00P00?TL20010B0030011B000@dT004=9008004E:0P00Ad/00`00B4`0
04]=001;C@02001=CP8004m>00<0051>001AC@00DDd00P00DTd2001CC003001DC000ET/005I;0080
05M:0P00FDT00`00FTP005a6001LAP02001NA@8006130P00HT400`00I3l006Ll001W?002001Y>@80
06`e00<006la001c;000Lb`00P00MbD2001k7P0300205@00Q@T008D9008018/00P0ETP000`0/VP00
BJ@004VT0002076_0080Z;h000<0d:L00>QM003XG@004P3o00020>QM00030=2W002Y_P00ZKh00080
LK000P19Y0000`0/VP005I8001FB000200B;008008D900<0080E001k7P00Nah00P00MbD2001c:`03
001_<@00K3D006`e008006Ti0P00Ic`00`00I3l00691001R@@02001P@`8005i50P00G4H00`00FTP0
05U9001IB@02001GBP8005I;00<005A<001CC000Dd`00P00DTd2001AC@03001@CP00Cdh004m>0080
04e>0P00Bdd00`00B4`004M;0017B`020015BP8004=900<004580010B000@4P00P00?TL2000mAP03
000kAP00>TD003Y5008003U40P00>4@2000f@`03000e@`00=48003A2008003=20P00<T400`00<D40
0350000a@002000`@08002lo00<002ho000]?P00;Ch00P00;Ch2000/?@<002/m0P00:S`3000Y?080
02Pk10009c/3000V>P8002Dj0P009CT3000T>@H002<h00<0028h000R=`008SL01@008CL6000P=P<0
01lf0P007cD5000N=@L001dd0P0073@70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0
103oool2000L=0L001dd1@007SD2000O=@<001lf1P0083H5000Q=`80028g00<0028h000S>0008cP0
10008cP3000T>@8002Di0P009CX3000V>P@002Lk0P00:3/3000Y?08002Xl0`00:cd2000/?@@002dn
00<002ho000_?`00;cl00P00<402000a@003000a@@00<T400391008003=20P00=4800`00=D<003I3
000f@`02000hA08003U40P00>TD00`00>dH003e6000mAP02000nA`80041800<004580013B@00@dT0
0P00ADX20017B`030018C000Bdd004]=008004e>0P00Cdh00`00D4h0055=001AC@02001BC@8005=<
00<005A<001FB`00ET/00P00EdX2001IB@03001JB000G4H005a6008005i50P00H4<2001R@@03001T
?`00Ic`006Ll008006Ti0P00K3D00`00Kc4007</001c;002001g9@8007/N00<0080E00252@00Q@T0
0P04R`0201FB000302bJ0019Y000BJ@00080LJl00P2X_P000`3@Y`00j5d00>QM000B0?l00080j5d0
00<0d:L00:Vn002Y_P000P1a/00204VT000302bJ000ETP005I80008018/00P00Q@T00`00P1D007/N
001k7P02001g9@8007<[00<006la001/=@00K3D00P00JCT2001W?003001T?`00HT40069100800613
0P00GTD2001LAP03001JB000FDT005U9008005M:0P00ET/00`00E4`005=<001CC002001BC@80055=
00<0051>001?CP00Cdh00P00CDh2001;C@030018C000Ad/004M;008004E:0P00@dT00`00@DP00418
0010B002000nA`8003e600<003]6000jA@00>TD00P00>D@2000hA08003I300<003E3000d@P00=480
0P00<d82000b@@03000a@@00<D000350008003100P00;cl00`00;Sl002dn000]?P02000]?P8002`m
0`00:cd2000Z?0<002Tl0P00:3/4000W>`<002Hj0P009CX2000U>@<002@i1P008cP00`008SP0028g
000R=`05000Q=`H0020f0`007cH2000O=@D001he1`007C@2000L=0L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?ooo`8001`d1@007C@7000N=@8001le0`007cH4000P=P80020g0`00
8CL2000R=`<0028h10008cP3000T>@8002Di0P009CX4000V>P03000W>P009c/002Lk00@002Pk00<0
02Tl000Z?000:S`00P00:Sd2000[?@03000/?@00;3h002`n008002dn0`00;Sl2000_?`8003100P00
<D000`00<T4003=1000c@@02000d@P8003E200<003I3000g@`00=d<00P00>4@2000iA@8003]500<0
03a6000mA`00?DL00P00?dL20010B0030012B@00A4X004A:008004E:0P00Ad/00`00BD`004]=001;
C@02001>CP8004m>00<0051>001AC@00DDd00P00DTd2001DC003001EB`00ETX005I:008005Q:0P00
FDT00`00FdL005e6001MAP02001OA08006530P00Hd000`00ICh006Pk001X>`02001Z>08006dd00<0
070_001d:P00M2X00P00N2<2001l6`0300214P00Q`H008L6008028d00P0JU0000`0bW000DJH0056V
000207^b0080]/4000<0e9d00>a<003/C0004P3o00020>e<00030=BL002f`@00]/400080O;800P1A
YP000`0bW0006Y@001ZD000200R=008008L600<0084B001l6`00O1/00P00N2<2001d:P03001`;`00
KC@006dd008006Xh0P00J3/00`00ICh006=0001S@002001Q@P8005m40P00GDH00`00FdL005U9001I
B@02001HBP8005I:00<005E;001DC000E4`00P00DTd2001AC@03001@CP00Cdh004m>008004i>0P00
Bdd00`00BD`004M;0017B`020015BP8004A:00<004990010B000@4P00P00?dL2000mA`03000lAP00
>dD003]5008003U50P00>4@2000g@`03000f@`00=D8003E2008003A20P00<d400`00<T400350000a
@002000`@08002lo0`00;Sl2000]?P8002`n00<002`m000[?@00:cd00P00:Sd2000Z?003000Y?000
:3/002Pk008002Pk0P009c/00`009cX002Hj000V>P02000V>P8002Dj0P009CT3000T>@@002<h0`00
8SP2000R=`<0024g0P0083L4000P=P<001lf0P007cD7000N=@D001dd0P0073@70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103oool2000L=0D001dd1`007SD2000O=@<001lf100083H2
000P=`<0024g0P008SL3000R>0@002<h0`0093T2000U>@8002Dj10009SX00`009cX002Lk000W>`04
000X>`03000Y?000:S`002Xl008002Xm0P00:cd00`00;3d002`n000/?P02000]?P<002ho0P00;cl2
000`@080035000<00391000c@@00<d400P00=482000e@P03000f@`00=d<003M3008003Q40P00>DD2
000kA@03000lAP00?DL003e7008003m70P00@4P00`00@TT004A:0014BP020015BP8004M;00<004U<
001;C@00Bdd00P00CTh2001?CP03001@CP00DDd0055=0080059=0P00E4`00`00ED/005I:001FBP02
001HBP8005U900<005]7001MAP00GDH00P00Gd@2001Q@`8006=000<006Dn001X>`00J3/00P00JSP2
001]=003001`;`00M2X007@Z008007PS0P00O1/00`00PA8008L600271P0200R=00806Y@000<0<Y`0
056V001AYP000P1k/P020;K100030=BM003/C000k4`00180o`000P3]C0000`3DW000]/400;K10002
07bb0080DJH000<0<Y`001ZD000JU0000P08S@0200271P0300214P00O1/007`K008007PS0P00M2X0
0`00L2l006dd001]=002001Z>08006Pk00<006Dn001S@000Hd000P00HD82001OA08005e600<005]7
001IB@00FDT00P00F4X2001FBP03001EB`00E4`005A<0080059=0P00DDd00`00D4h004m>001?CP02
001>CP8004]=00<004U<0017B`00Ad/00P00ADX20014BP030012B@00@4P00418008003m70P00?DL0
0`00?4H003]5000kA@02000iA@8003Q40P00=d<00`00=T<003E2000e@P02000d@P8003=100<00391
000a@000<D000P00<402000_?`<002ho0P00;Ch2000/?P03000/?@00:cd002/m008002Xm0P00:S`0
0`00:C`002Pk000X>`02000X>`8002Lk00<002Lj000V>P009SX00P009SX2000U>P8002Di0`0093T4
000S>0<0028h0P008SL3000Q=`80020g100083H3000O=P8001le1`007SD5000M=08001`d1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@007C@2000M=@D001he0P007cD4000O
=PD0020f1@008CL2000R=`80028h0`008cP5000T>@8002Di0P009CX4000V>P03000W>`00:3/002Pk
008002Pk0`00:C`2000Z?0@002/m00<002`m000]?P00;Ch00P00;Ch2000^?`03000_?`00<4000310
008003500P00<D400`00<T4003=2000c@P02000d@P8003E300<003I3000hA000>4@00P00>D@2000j
A@8003]600<003e6000nA`00?TL00P00?dP20011B0030013B@00A4X004A:008004I;0P00B4`00`00
BTd004a=001<C@02001>CP8004m>00<0055=001BC@00DTd00P00Dd`2001DC003001EB`00EdX005M:
008005Q90P00FTP00`00G4L005e5001MA@02001OA08006520P00Hd000`00ISd006Pj001X>P02001[
=`8006hb00<0074^001e:000MBP00P00NB42001m6@0300223`00R08008P2008038h00P0OUP000`0h
WP00FJT005VY000208Je0080`l@000<0ei800?4k003a>`004P3o00020?4k00030=NB0033a000`l@0
0080Q[D00P1IZ@000`0hWP007iH001nF000200b>008008P200<0088?001m6@00OAT00P00NB42001e
:003001a;P00KS8006hb008006/g0P00J3X00`00ISd006=0001S@002001Q@P8005m40P00GDD00`00
G4L005Y8001JB002001HB@8005M:00<005E;001DC000E4`00P00Dd`2001BC@03001AC@00Cdh004m>
008004i>0P00C4d00`00BTd004Q<0018C0020016B`8004A:00<004=90011B000@DP00P00@4P2000n
A`03000mAP00>dH003]6008003Y50P00>D@2000hA003000f@`00=D<003E3008003A20P00<d800`00
<T400351000a@@02000a@080031000<002lo000^?`00;Sl01000;Ch00`00;3d002/m000[?@02000[
?@8002Xl0`00:C`4000X>`03000W>`009SX002Hj008002Hj0P009CX2000U>@D002@i0`008cP2000R
>080028g1@008CL5000P=P@001lf0P007cD5000N=@8001de1@007C@70?ooo`4000000@3oool001`0
oooo00<000000?ooo`3oool0103oool5000M=0H001he0`007cD4000O=P<0020f1@008CL2000R=`@0
028h0`008cP4000T>@03000U>@009CX002Dj00@002Hj0P009cX00`009c/002Pk000X>`02000X>`80
02Tl00<002Xl000Z?@00:Sd00P00:cd2000/?@03000/?P00;Ch002dn00@002ho00<002lo000`@000
<4000P00<D02000b@@03000c@@00=48003A2008003E20P00=T<00`00=d<003Q4000hA002000iA@80
03]50P00?4H00`00?DL003m7000oA`020010B080049900<004=90015BP00ADX00P00Ad/20019C003
001;C@00CDh004e>008004m>0P00D4h00`00DDd0059=001BC@02001CC08005E;00<005I;001GBP00
EdX00P00FDT2001JB003001LAP00GTD005i5008006130P00HT42001T?`03001W?000JCT006Ti0080
06`e0P00Kc400`00LR`007HV001f9P02001j7`8007lF00<008@<002:0000RP000P0@T00202BH0003
03nP001QZ`00HJ/00080SkP00P37_P000`3KR000mB`00?D/000B0?l00080mB`000<0fhL00<Nn0037
_P000P2@^002066[000303nQ000TV00099P0008049000P00RP000`00Q0`007lF001o5P02001j7`80
07HV00<0078/001_<@00Kc400P00K3D2001Y>@03001W?000I3l006@o008006910P00H4<2001NA@03
001LAP00FTP005Y8008005U90P00EdX00`00ET/005E;001EB`02001CC080059=00<0055=001@CP00
D4h00P00Cdh2001=CP03001;C@00BD`004U<008004M;0P00ADX00`00@dT004990012B@020010B080
03m700<003e7000lAP00?4H00P00>dD2000iA@8003Q400<003M3000f@`00=T<00P00=D82000d@P03
000c@@00<T400391008003500P00<4000`00;cl002ho000^?`02000^?`8002dn00<002`n000/?@00
;3d00P00:cd2000Z?@03000Z?000:C`002Tl00@002Pk00<002Lk000W>P009cX010009SX2000U>P03
000U>@0093T002@i008002@i0`008cP4000R>080028g1@008CL3000P=P@001lf0`007cD6000N=@D0
01dd1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@007C@6000N=@<001le
10007cH3000P=PD0024g0P008SL4000R>0<002<h100093T00`009CT002Dj000U>P04000V>P8002Lj
00<002Lk000X>`00:3/00P00:3/2000Y?003000Z?000:Sd002Xm008002/m0P00;3d00`00;3h002dn
000]?P04000^?`03000_?`00<4000310008003500P00<T400`00<d4003A2000d@P02000e@P8003I3
00<003M3000hA000>4@00P00>DD2000kA@8003a600<003e7000oA`00?dL00P00@4P20012B@030013
B@00ADX004E:008004M;0P00BD`00`00Bdd004e>001=CP02001?CP80051>00<0055=001BC@00DTd0
0P00Dd`2001EB`03001FB`00EdX005M:008005U90P00FTP00`00G4H005i5001NA@02001P@`800691
0P00I3l00`00Ic`006Ti001Y>@02001/=@8006la00<0078/001f9P00MRH00P00NQl2001o5P030024
3000RP0008X0008049000P0TV0000`0oX000HJ/0066[000208nh0080akh000<0fhP00?D/003e;000
4P3o00020?D/00030=^70037_P00akh00080T;P00P1QZ`000`0oX@0099P002BH0002012@008008X0
00<008@<001o5P00OaH00P00NQl2001f9P03001b;000Kc4006la008006`e0P00JCT00`00Ic`006@o
001T?`02001R@@8006130P00GTD00`00G4H005Y8001JB002001IB@8005M:00<005I;001EB`00ED/0
0P00Dd`2001BC@03001AC@00D4h0051>008004m>0P00CDh00`00Bdd004U<0019C0020017B`8004E:
00<004=90012B@00@TT00P00@4P2000oA`03000mA`00?4H003a6008003]50P00>DD2000hA003000g
@`00=T<003I3008003E20P00=4800`00<d400391000b@@02000a@080031000<002lo000^?`00;Sl0
0P00;Sl2000]?P03000/?P00;3d002`m008002/m0P00:Sd00`00:S`002Tl000Y?004000X>`03000W
>`009cX002Lj00@002Hj0P009CX00`009CT002@i000T>@02000T>@<002<h10008SP2000R=`D0024g
0`0083H4000O=P<001le1P007SD5000M=0L0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?ooo`@001dd00<001de000N=@007SD010007SD00`007cD001lf000O=P02000O=P<0020f0P00
83L5000Q=`80028g0P008SP3000S>0H002@i00<002Di000U>P009CX010009SX2000W>`<002Pk1000
:C`00`00:S`002/m000[?@02000[?@8002`m0`00;Ch2000^?`8002lo00<00310000a@000<D000P00
<D42000b@@03000c@P00=48003A2008003E30P00=T<00`00=d@003U4000iA002000jA@8003]50P00
?4H00`00?TL003m8000oB0020011B080049900<004A:0016B`00AT/00P00B4/2001:C003001<C@00
CTh004i>008004m>0P00D4h00`00DDd005==001CC@02001DC08005E;00<005I:001HB@00F4T00P00
FDP2001KA`03001MAP00Gd@005m4008006520P00Hd02001U?P03001W>`00JSP006Xh008006dd0P00
L3000`00Lb/007LT001g9002001k7@80080D00<008D900>;0003R`000P0DTP0202VI000304FR001Y
[@00JJd00080VKX00P3:]`000`3NOP00n1h00?PN000B0?l00080n1d000<0gWh00<Zg003:]`000P2I
^P0206V]000304FR000YV@00:IT0008059800P03R`000`00Q@T0080D00205002001k7@8007LT00<0
07<[001`<000L3000P00KC@2001Z>003001W>`00ICh006Dn008006=00P00HD82001OA003001MAP00
FdL005]7008005U80P00F4T00`00ETX005E;001EB`02001DC08005==00<0055=001@CP00D4h00P00
Cdh2001>CP03001<C@00BT`004Y<008004Q;0P00AT/00`00A4X004990012B@020011B08003m800<0
03i7000lAP00?4H00P00>dH2000jA@8003U400<003M4000f@`00=T<00P00=D<2000d@P03000c@P00
<T400391008003510P00<D000`00<40002lo000_?`02000^?`<002dn0P00;3d4000[?@03000Z?000
:C`002Tl008002Tl0`00:3/2000W>`@002Hj0P009CX00`009CT002@i000T>@04000T>@<002<h0P00
8SP3000R=`@0024g0P0083L3000P=P@001lf00<001le000N=@007SD010007SD00`007CD001dd000M
=002000M=0L0oooo0@0000010?ooo`00203oool2000000@0oooo00<000000?ooo`3oool00`3oool3
000000D0oooo00<000000?ooo`3oool0103oool4000M=003000M=@007SD001he00@001he00<001le
000O=P007cH00P007cH3000P=P80020g1@008CL2000R=`80028h0`008cP6000T>@03000U>@009CX0
02Dj00@002Hj0P009c/3000X>`@002Tl00<002Xl000[?@00:cd00P00:cd2000/?@<002dn0P00;Sl2
000_?`03000`@000<D000350008003510P00<T400`00<d8003A2000d@P02000e@`8003I300<003M4
000iA000>D@00P00>TD2000kA@8003a600<003i7000oB000?dP00P00@DP20012B@030014BP00AT/0
04I;008004Q;0P00BT`00`00C4d004i>001>CP02001?CP80051>00<0055=001CC@00Ddd00P00E4`2
001EB`03001FBP00F4T005Q9008005U80P00FdL00`00GDH005m4001OA002001Q@P8006=00P00ICh0
0`00Ic/006Xh001Z>002001]=080070`00<007<[001g9000Mb@00P00Nad20020500300252@03R`00
0h/0008059800P0YV@000`15XP00JJd006V]000209Vj0080b[L000<0gWh00?PN003h7P004P3o0002
0?PM00030=in003:]`00b[L00080VKX00P1Y[@000`15XP00:IT002VI000201BB00800h/000<008D9
00205000P1@00P00Nad2001g9003001c:`00L300070`008006dd0P00JSP00`00Ic/006Dn001U?P02
001S@08006520P00Gd@00`00GDH005]7001KA`02001IB08005Q900<005I:001EB`00ED/00P00E4`2
001CC@03001AC@00D4h0051>008004m>0P00CTh00`00C4d004Y<001:C0020018B`8004I;00<004A:
0012B@00@TT00P00@DP2000oB003000nA`00?4H003a6008003]60P00>TD2000iA003000gA000=T<0
03I3008003E30P00=4800`00<d800391000b@@02000a@@80035000<00310000_?`00;cl00P00;Sl3
000]?P8002`m1000:cd00`00:S`002Tl000Y?002000Y?0<002Pk0P009c/4000V>P8002Dj00<002Di
000T>@0093T0100093T3000S>080028h0`008SL4000Q=`80020g0`0083H4000O=P03000O=@007SD0
01he00@001he00<001de000M=0007C@00P007C@70?ooo`4000000@3oool000L0oooo00@000000?oo
o`3oool000002P3oool00`000000oooo0?ooo`040?ooo`030000003oool0oooo00@0oooo10007C@5
000N=@8001le0`007cH5000P=PH0024g00<0028g000R>0008SP01@008cP4000T>@8002Di00<002Dj
000V>P009SX00P009SX2000W>P8002Lk0`00:3/2000Y?08002Xl00<002Xm000[?@00:cd00P00;3d2
000/?P03000]?P00;Sh002hn008002ho0P00;cl00`00<4000350000a@002000b@@8003=100<003A2
000e@P00=D800P00=T<2000g@`03000hA000>DD003U5008003Y50P00?4H2000mAP03000nA`00@4P0
0418008004990P00@dT00`00ADX004M;0017B`020019C08004]=00<004e>001?CP00Cdh00P00D4h2
001AC@03001BC@00Dd`005=<008005A<0P00ET/00`00EdX005Q9001HB@02001JB08005a700<005e5
001OA000Gd@00P00HD82001S@08006Hm00<006Pj001[=`00JcL00P00KS<2001a;P03001d:@00N2<0
07PS008007`K0P00PA400`00QPH01h`000N<000201RC0080;Y/000<0Bj@0072_001`[`000P2R_002
0<ba00030>5e003k4@00na400180o`000P3k4@000`3QM000c;400<ba00020::l0080L:l000<0Bj@0
02jK000^V`000P0HT`0200N<000300261P00PA40084A008007`K0P00N2800`00M2T0074^001a;P02
001^<`8006/g00<006Pj001V?@00ISd00P00Hd02001Q@P8005m400<005e5001LA`00G4L00P00FTP2
001HB@03001GBP00ET/005I;008005A<0P00Dd`00`00DTd0055=001AC@02001@CP8004m>00<004e>
001;C@00Bdd00P00BD`20017B`030015BP00@dT004=9008004990P00@4P00`00?TL003e6000mAP02
000lAP8003Y50P00>DD00`00>4@003M3000g@`02000f@`8003E200<003A2000c@@00<d400P00<T42
000a@003000`@000;cl002lo00@002ho00<002dn000/?P00;3h00P00;3d2000[?@03000Z?@00:S`0
02Xl008002Tl0`00:3/2000W>`8002Lj10009SX00`009CX002Di000U>@04000T>@D002<h0P008SP0
0`008SL0024g000Q=`04000Q=`D0020f0`007cH2000O=@D001he10007C@70?ooo`4000000@3oool0
00L0oooo00@000000?ooo`3oool000001`3oool5000000D0oooo0`0000040?ooo`@001dd1@007SD2
000O=@<001lf1@0083H6000Q=`03000R=`008SP0028h00D002<h100093T2000U>@03000U>P009SX0
02Hj008002Hj0P009cX2000W>`<002Pk0P00:C`2000Z?003000Z?@00:cd002/m008002`m0P00;3h0
0`00;Ch002hn000^?P02000^?`8002lo00<00310000a@000<D000P00<T42000c@@03000d@P00=D80
03E2008003I30P00=d<00`00>4@003U5000iA@02000jA@8003a60P00?DH00`00?TL004180010B002
0012B@8004=900<004E:0017B`00Ad/00P00BD`2001;C@03001=CP00Cdh004m>0080051>0P00DDd0
0`00DTd005=<001CC002001DC08005I;00<005M:001HB@00F4T00P00FTP2001LA`03001MA@00Gd@0
05m4008006520P00Hd02001V?@03001X>P00JcL006/g008006hc0P00LBh00`00M2T007PS001h8`02
001l6`80084A00<008H600N<0007S0000P0HT`0202jK000304^T001`[`00L:l00080X[`00P3</@00
0`3QM@00na400?/A000B0?l00080na4000<0hG@00<ba003</@000P2R_002072_000304^T000^V`00
;Y/0008069<00P07S0000`00QPH0084A00214@02001l6`8007PR00<007@Y001a;P00LBh00P00KS<2
001[=`03001X>P00ISd006Hm008006=00P00HD82001OA003001MA@00G4L005a7008005Y80P00F4T0
0`00EdX005I;001FB`02001DC08005=<00<0059=001AC@00DDd00P00D4h2001?CP03001=CP00Bdd0
04]=008004U<0P00Ad/00`00ADX004=90013B@020012B@80041800<003i7000mAP00?DH00P00?4H2
000jA@8003U500<003Q4000g@`00=d<00P00=T<2000e@P03000d@P00<d4003=1008003910P00<D00
0`00<40002lo000_?`04000^?`03000]?P00;3h002`n008002`m0P00:cd00`00:Sd002Xl000Z?002
000Y?0<002Pk0P009c/2000W>P@002Hj00<002Dj000U>@009CT0100093T5000S>080028h00<0028g
000Q=`008CL010008CL5000P=P<001lf0P007cD5000N=@@001dd1@3oool300000040oooo00070?oo
o`040000003oool0oooo000000L0oooo00@000000?ooo`3oool000001P3oool00`000000oooo0?oo
o`040?ooo`8001dd1`007SD2000O=@<001lf100083H00`0083L0024g000Q=`02000Q=`80028g0`00
8SP4000S>0<002@i10009CT00`009CX002Hj000V>P02000V>P8002Lk0`00:3/4000Y?08002Xl0`00
:cd2000/?@<002dn0P00;Sl2000_?`<003100P00<D02000b@@8003=100<003A2000e@`00=D<00P00
=T<2000gA003000hA000>TD003Y5008003]50P00?4H2000nA`03000oA`00@DP00458008004990P00
A4X00`00ATX004M;0017B`020019C08004]=00<004i>001?CP00Cdh00P00D4h2001AC@03001BC@00
Dd`005=<008005E;0P00ET/00`00EdX005U9001IB@02001KB08005a600<005i5001P@`00H4<00P00
HT42001T?`8006Hl00<006Ti001/=P00K3H00P00Kc82001b;@03001e9`00NB4007TQ008007hI0P00
PPl00`00R0<02Xh000Z>000201bE0080<id000<0D:H007Na001g/@000P2[_P020<n[00030>=/003n
1`00oPL00180o`000P3n1P000`3SK000cj/00<n[00020:^n0080Mk4000<0DJH003>M000cW@000P0L
U@0200Z>000300280`00PPl0088?008007hI0P00NB400`00MBL0078]001b;@02001_<P8006`f00<0
06Ti001V?000IS`00P00I3l2001R@@80061300<005i5001LAP00G4H00P00FdP2001IB@03001GBP00
ET/005I;008005E;0P00Dd`00`00DTd0055=001AC@02001@CP8004m>00<004i>001<C@00C4d00P00
BD`20017B`030016BP00A4X004A:008004990P00@DP00`00?dL003i7000nA`02000lAP8003]50P00
>TD00`00>4@003M4000gA002000f@`8003E300<003A2000c@@00<d400P00<T42000a@@<003100P00
;cl2000^?`<002dn0P00;3d3000[?@8002Xl1000:C`3000X>`8002Lk10009SX00`009CX002Di000U
>@02000U>@<002@i10008cP3000R>080028g10008CL00`0083L0020f000P=P02000P=P<001lf0P00
7cD7000N=@8001dd1`3oool100000040oooo00070?ooo`040000003oool0oooo000000P0oooo00<0
00000?ooo`0000001P3oool00`000000oooo0?ooo`040?ooo`8001de1@007SD2000O=@<001lf1P00
83H5000Q=`80028g00<0028h000S>0008cP010008cP3000T>@8002Di0P009CX3000V>P8002Lj0P00
9c/3000X>`8002Tl0P00:S`2000Z?@03000[?@00;3d002`m008002`n0P00;Ch00`00;Sh002ho000^
?`02000_?`80031000<00350000b@@00<T400P00<d42000d@P03000e@P00=T<003I3008003M30P00
>4@00`00>D@003Y5000jA@02000kAP8003e60P00?TL00`00@4P004580011B0020013B@8004E:00<0
04I;0018C000B4`00P00BTd2001<C@03001>CP00Cdh004m>0080051=0P00DTd00`00Dd`005A<001D
C002001EB`8005M:00<005Q9001IB000FDP00P00FdL2001MAP03001OA000H4<00613008006=10P00
ICh2001W?003001Z>000K3D006`e008006la0P00Lb`00`00MRH007XO001j7`02001o5`8008<=00<0
08T000j?000>S`000P0PUP0203RN000305JX001n/`00O[<00080/l000P3AY@000`3UI@00o`000?l0
000D0?l000030>EU003AY@00dJD00080/l000P1n/`000`1FZ000>9h003RN0002022F00803Xl000<0
08T000233@00P`d00P00OaL2001j7`03001f9P00Lb`007</008006la0P00K3D00`00JSP006Ll001W
?002001U?P8006=10P00H4<00`00Gd@005e6001MAP02001KA`8005U800<005Q9001GBP00EdX00P00
ED/2001DC003001CC000DTd0059=0080051=0P00Cdh00`00CTh004a=001<C@02001:C@8004Q<00<0
04I;0015BP00ADX00P00@dT20011B0030010B000?TL003i7008003e60P00?4H2000jA@03000iA000
>4@003Q4008003M30P00=T<00`00=D8003A2000d@P02000c@@80039100<00350000`@000<4000P00
;cl2000^?`03000^?P00;Ch002dn008002`n0P00;3d00`00:cd002Xm000Z?@02000Z?08002Tl0`00
:3/2000W>`8002Lj0`009SX2000U>P8002Di0`0093T6000S>003000R>0008SL0028g00D0024g1P00
83H3000O=P8001le1@007SD2000M=@L0oooo0@0000010?ooo`001`3oool010000000oooo0?ooo`00
00090?ooo`8000001P3oool00`000000oooo0?ooo`040?ooo`8001de1@007SD2000O=@<001lf1P00
83H5000Q=`80028g00<0028h000S>0008cP010008cP3000T>@8002Di0P009CX3000V>P8002Lj0P00
9c/3000X>`8002Tl0P00:S`2000Z?@03000[?@00;3d002`m008002`n0P00;Ch00`00;Sh002ho000^
?`02000_?`80031000<00350000b@@00<T400P00<d42000d@P03000e@P00=T<003I3008003M30P00
>4@00`00>D@003Y5000jA@02000kAP8003e60P00?TL00`00@4P004580011B0020013B@8004E:00<0
04I;0018C000B4`00P00BTd2001<C@03001>CP00Cdh004m>0080051=0P00DTd00`00Dd`005A<001D
C002001EB`8005M:00<005Q9001IB000FDP00P00FdL2001MAP03001OA000H4<00613008006=10P00
ICh2001W?003001Z>000K3D006`e008006la0P00Lb`00`00MRH007XO001j7`02001o5`8008<=00<0
08T000j?000>S`000P0PUP0203RN000305JX001n/`00O[<00080/l000P3AY@000`3UI@00o`000?l0
000D0?l000030>EU003AY@00dJD00080/l000P1n/`000`1FZ000>9h003RN0002022F00803Xl000<0
08T000233@00P`d00P00OaL2001j7`03001f9P00Lb`007</008006la0P00K3D00`00JSP006Ll001W
?002001U?P8006=10P00H4<00`00Gd@005e6001MAP02001KA`8005U800<005Q9001GBP00EdX00P00
ED/2001DC003001CC000DTd0059=0080051=0P00Cdh00`00CTh004a=001<C@02001:C@8004Q<00<0
04I;0015BP00ADX00P00@dT20011B0030010B000?TL003i7008003e60P00?4H2000jA@03000iA000
>4@003Q4008003M30P00=T<00`00=D8003A2000d@P02000c@@80039100<00350000`@000<4000P00
;cl2000^?`03000^?P00;Ch002dn008002`n0P00;3d00`00:cd002Xm000Z?@02000Z?08002Tl0`00
:3/2000W>`8002Lj0`009SX2000U>P8002Di0`0093T6000S>003000R>0008SL0028g00D0024g1P00
83H3000O=P8001le1@007SD2000M=@L0oooo0@0000010?ooo`00203oool2000000/0oooo00<00000
0?ooo`3oool0103oool00`000000oooo0?ooo`040?ooo`L001he0P007cD3000O=P@0020f0P0083L3
000Q=`80028g0`008SP4000S>0<002@i10009CT2000U>P<002Hj0P009c/4000X>`<002Tl0P00:S`3
000[?@8002`m1000;Ch00`00;Sl002lo000_?`04000`@003000a@000<T400391008003=10P00=480
0`00=D8003I3000f@`02000gA08003Q400<003Y5000kA@00>dD00P00?4H2000mA`8003m700<00418
0012B@00@TT00P00A4T20015BP030017B`00BD`004U<008004]=0P00CDh00`00Cdh0051>001@CP02
001AC@80059=00<005=<001DC000E4`00P00ET/2001GBP03001HB@00FTP005Y8008005a70P00GDD0
0`00Gd@00652001Q@P02001S@08006Dn0P00J3/00`00JSP006dd001]=002001`;`8007@Z00<007LT
001k7@00Nad00P00P1D200252P03006:000AT0004I00008099L00P0lX0000`1KZ@00Q;D008Be0002
0;[20080dZ0000<0if000?l0003o0000503o00000`3WH000dZ000=:P00020;[20080Q;D000<0FjT0
03bP000lX0000P0TV002016@0003006:0000Q@X008D:0080080E0P00Nad00`00Mb@007@Z001d:P02
001`;`8006dd00<006Xg001X>`00J3/00P00ICd2001S@080065200<005m4001MA@00GDD00P00G4L2
001JB003001HB@00EdX005M:008005I;0P00E4`00`00Dd`0059=001BC@02001AC@80051>00<004m>
001=CP00CDh00P00Bdd20019C0030017B`00ADX004E:008004A90P00@TT00`00@4P003m7000oA`02
000mA`8003a60P00>dD00`00>TD003Q4000hA002000gA08003I300<003E2000d@P00=4800P00<d42
000b@@03000a@000<4000310008003100P00;cl00`00;Sl002dn000]?P02000]?P8002`m0`00:cd2
000Z?0<002Tl1000:3/2000W>`<002Hj0P009CX4000U>@<002@i10008cP3000R>080028g0`008CL2
000P=`@0020f0`007cH2000O=@L001he1`3oool100000040oooo000L0?ooo`030000003oool0oooo
00@0oooo1`007SD2000O=@<001lf100083H2000P=`<0024g0P008SL3000R>0@002<h0`0093T4000U
>@8002Dj0`009SX2000W>`@002Pk0`00:C`2000Z?0<002/m0P00;3d4000]?P03000^?`00;cl002lo
00@0031000<00350000b@@00<T400P00<d42000d@P03000e@P00=T<003I3008003M40P00>4@00`00
>TD003]5000kA@02000lAP8003e70P00?dL00`00@4P004990012B@020014B@8004E:00<004M;0019
C000BD`00P00Bdd2001=CP03001?CP00D4h0051>0080055=0P00DTd00`00Dd`005A<001DC002001F
B`8005M:00<005Q9001JB000FTP00P00G4L2001MA@03001OA000HD800652008006=00P00ICh2001X
>`03001Z>000KC@006dd0080070_0P00M2X00`00Mb@007/M001k7@0200205@8008D:00<00HX0016@
000AT0000P0TU`0203bP000305^Y0024]@00Q;D00080^/800P3BX0000`3WH000o`000?l0000D0?l0
00030>MP003BX000dZ000080^/800P24]@000`1KZ@00?:0003bP000202BH00804I0000<00HX00025
2P00Q@X00P00P1D2001k7@03001g9000M2X007@Z0080070_0P00KC@00`00JSL006Pk001X>`02001U
?@8006=00P00HD800`00Gd@005e5001MA@02001LA`8005Y800<005Q9001GBP00EdX00P00ET/2001D
C003001CC000DTd0059=0080055=0P00D4h00`00Cdh004e>001=CP02001;C@8004U<00<004M;0015
BP00ADX00P00A4T20012B@030010B000?dL003m7008003e70P00?4H2000kA@03000jA@00>4@003Q4
008003M40P00=T<00`00=D8003A2000d@P02000c@@80039100<00350000`@000<4000P00<402000_
?`03000^?`00;Ch002dn008002dn0P00;3d3000[?@8002Xl0`00:C`4000X>`8002Lk0`009SX2000U
>P@002Di0`0093T4000S>0<0028h0P008SL3000Q=`80020g100083H3000O=P8001le1`007SD70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool5000N=@8001le10007cH5000P=PD0
024g0P008SL2000R>0D002<h0`0093T2000U>@8002Dj0`009SX2000W>P8002Lk1000:3/00`00:C`0
02Xl000Z?002000Z?@<002/m0P00;3h2000]?P8002hn00<002ho000_?`00;cl00P00<402000a@003
000b@@00<d4003=100@003A200<003I3000g@`00=d<00P00>4@2000iA003000jA@00>dH003]60080
03e60P00?TL2000oB0030011B000@dT004=9008004A:0P00AT/00`00B4/004Y<001:C002001<C@80
04i>00<004m>001@CP00D4h00P00DDd2001BC@03001DC000ED/005E;008005I;0P00EdX00`00FDT0
05Y8001JB002001LAP8005i500<00613001R@@00HT400P00I3l2001V?@8006Pj00<006/g001^<`00
KS<00P00LBh2001d:@03001h8`00O1/007`K0080084C0P00QPP00`04R`00598001BB000202NI0080
@:4000<0H:/008Vf0029]P000P30``020=BL00030>QL003o0000o`0001@0o`0000<0j5`00=BL003D
W0000P30``0208Vf0003062[0010X@00@:400080:9T00P0DTP000`04R`0008H80026200200214`80
07`K00<007PS001d:@00M2T00P00LBh2001^<`03001[=`00J3X006Pj008006Hm0P00I3l2001R@@03
001P@`00GTD005i5008005a60P00FTP00`00FDT005M:001GBP02001FB`8005E;00<005A<001BC@00
DTd00P00DDd2001@CP03001?CP00CTh004i>008004a=0P00BT`00`00B4/004I;0016B`020014BP80
04=900<00458000oB000?dP00P00?TL2000mAP8003]600<003Y5000iA000>D@00P00>4@2000g@`03
000f@`00=D8003E2008003A20P00<d400`00<T400350000a@002000`@08002lo00<002ho000^?P00
;Sh00P00;Ch2000/?P<002/m0P00:Sd2000Z?003000Y?000:3/002Pk008002Pk0P009c/2000W>P<0
02Hj0P009CX2000U>@<002@i1@008cP2000R>080028g1@008CL5000P=P@001lf0P007cD5000N=@L0
oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D001he0P007cD4000O=PD0020f
1@008CL2000R=`80028h1@008cP3000T>@8002Di0P009CX3000V>P8002Lj0P009c/4000X>`03000Y
?000:S`002Xl008002Xm0`00:cd2000/?P8002dn0P00;Sh00`00;Sl002lo000_?`02000`@0800350
00<00391000c@@00<d401000=4800`00=T<003M3000g@`02000hA08003U400<003Y5000kAP00>dH0
0P00?DH2000nA`8003m800<004580013B@00@dT00P00A4X20016B`030018B`00BT`004Y<008004a=
0P00CTh00`00Cdh0051>001@CP02001AC@80059=00<005A<001EB`00ED/00P00ET/2001GBP03001I
B@00FTP005Y8008005a60P00GTD00`00H4<00691001R@@02001T?`8006Hm0P00J3X00`00JcL006hc
001^<`02001a;P8007@Y00<007PS001l6`00O1/00P00PA<20026200300B;000DTP00598000809iT0
0P10X@000`1PZ`00RKH008Vf00020<330080e9`000<0j5`00?l0003o0000503o00000`3XG000e9`0
0=BL00020<330080RKH000<0H:/0042Q0010X@000P0XV@0201BB000300B;0000QPP008H80080084C
0P00O1/00`00N2<007@Y001d:@02001a;P8006hc00<006/g001X>P00J3X00P00ISd2001T?`800691
00<00613001NA@00GTD00P00G4H2001JB003001IB@00EdX005M:008005I;0P00ED/00`00E4`0059=
001BC@02001AC@80051>00<004m>001>CP00CTh00P00C4d2001:C0030018B`00AT/004I;008004A:
0P00@dT00`00@DP003m8000oB002000nA`8003e60P00>dH00`00>TD003U4000iA002000hA08003M3
00<003I3000e@P00=D800P00=482000c@@03000b@@00<D000350008003100P00;cl00`00;Sl002hn
000^?P02000]?P8002`n0`00:cd2000Z?@8002Xl00<002Tl000X>`00:3/00P00:3/2000W>`8002Lj
0`009SX2000U>P8002Di0`0093T5000S>080028h0P008SL5000Q=`D0020f10007cH2000O=@D001he
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@007SD2000O=@@001lf0`00
83H2000P=`<0024g0P008SL4000R>0<002<h100093T3000U>@8002Dj0`009SX2000W>`@002Pk0`00
:C`2000Z?08002Xm0P00:cd00`00;3d002`n000/?P02000]?P8002ho00<002lo000`@000<4000P00
<402000a@003000b@@00<d4003=1008003A20P00=D800`00=T<003M3000g@`02000hA08003U500<0
03]5000lAP00?4H00P00?DH2000oA`80041800<004990013B@00@dT00P00ADX20017B`030018C000
BTd004Y=008004e>0P00CTh00`00Cdh0055=001AC@02001BC@8005=<00<005A<001EB`00ED/00P00
EdX2001HB@03001IB000FdL005]7008005e60P00GTD00`00H4<00691001R@@02001T?`8006Ll0P00
JCT00`00K3H006lb001_<P02001b;@8007DX00<007TQ001m6P00OAX00P00PQ4200271P0300J<000G
T`005i<00080:iX00P14XP000`1T[000S[L008jg00020<G40080eIT000<0jET00?l0003o0000503o
00000`3YF@00eIT00=FI00020<G40080S[L000<0I:`004BR0014XP000P0[VP0201NC000300N<0000
Q`H008L60080088A0P00OAX00`00NB4007DX001e:002001b;@8006lb00<006`f001Y>@00JCT00P00
Ic`2001T?`80069100<00613001NA000GT@00P00GDH2001KA`03001IB000F4T005Q9008005M:0P00
ED/00`00E4`005=<001CC002001BC@80055=00<004m>001>CP00CTh00P00CDh2001:C@030019C000
Ad/004M;008004E:0P00@dT00`00@TT004180010B002000oA`8003e70P00?4H00`00>dD003U5000i
A@02000hA08003M300<003I3000e@P00=D800P00=482000c@@03000b@@00<D00035000@0031000<0
02lo000^?`00;Sl01000;Ch00`00;3d002/m000[?@02000Z?@8002Xl0`00:C`4000X>`8002Lk0`00
9SX2000U>P<002Di100093T3000S>0@0028h0P008SL3000Q=`80020g0`0083H4000O=P8001le1@00
7SD70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool4000N=@03000O=@007cH0
01lf008001lf1@0083H5000Q=`80028g0P008SP5000S>0@002@i00<002Di000U>P009CX010009SX0
0`009cX002Lk000W>`04000X>`8002Tl00<002Xl000Z?@00:Sd01000:cd00`00;3h002dn000]?P02
000^?P8002ho00<002lo000`@000<4000P00<D03000b@@8003=20P00=482000e@`03000f@`00>4@0
03Q4008003U40P00>TD00`00>dD003a6000lAP02000nA`8003m70P00@DP00`00@TT004A:0014BP02
0016BP8004M;00<004U<001;C@00Bdd00P00CDh2001?CP03001@CP00DDd0055=0080059=0P00Dd`0
0`00E4`005I;001FB`02001GBP8005Q900<005Y8001KA`00FdL00P00GDH2001OA003001Q@P00Hd00
06=0008006Dn0P00Ic/2001Z>003001/=@00Kc4006la008007</0P00MRH00`00NR0007hH001n6002
00223`8008P400<02Hd001VD000IU0000P0^V`0204RS000306R]002B^000T[P00080a/800P3FU`00
0`3YF000o`000?l0000D0?l000030>UH003FU`00eYL00080a/400P2B^0000`1X[@00B:<004RS0002
02jK00806I@000<02Hd000281000R0@00P00PPl2001n6003001j8000MRH007HV008007</0P00Kc40
0`00K3D006Xh001Z>002001W>`8006Dn0P00Hd000`00HD8005m4001OA002001MAP8005]700<005Y8
001HB@00F4T00P00EdX2001FB`03001DC000Dd`005=<0080059=0P00DDd00`00D4h004m>001?CP02
001=CP8004]=00<004U<0017B`00Ad/00P00ATX20014BP030012B@00@DP00458008003m70P00?TL2
000lAP03000kA@00>TD003Y5008003U40P00>4@00`00=T<003E3000e@`02000d@P8003=20`00<T42
000a@080031000<002lo000^?`00;Sl00P00;Sh2000]?P03000/?P00:cd002/m008002/m0P00:Sd0
0`00:S`002Tl000Y?004000X>`8002Lk00<002Lj000V>P009SX00P009SX2000U>P03000U>@0093T0
02@i008002@i1@008cP2000R>080028g1@008CL5000P=P@001lf00<001le000N=@007SD00P007SD7
0?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool4000N=@03000O=@007cH001lf
008001lf1@0083H5000Q=`80028g0P008SP5000S>0@002@i00<002Di000U>P009CX010009SX00`00
9cX002Lk000W>`04000X>`8002Tl00<002Xl000Z?@00:Sd01000:cd00`00;3h002dn000]?P02000^
?P8002ho00<002lo000`@000<4000P00<D03000b@@8003=20P00=482000e@`03000f@`00>4@003Q4
008003U40P00>TD00`00>dD003a6000lAP02000nA`8003m70P00@DP00`00@TT004A:0014BP020016
BP8004M;00<004U<001;C@00Bdd00P00CDh2001?CP03001@CP00DDd0055=0080059=0P00Dd`00`00
E4`005I;001FB`02001GBP8005Q900<005Y8001KA`00FdL00P00GDH2001OA003001Q@P00Hd0006=0
008006Dn0P00Ic/2001Z>003001/=@00Kc4006la008007</0P00MRH00`00NR0007hH001n60020022
3`8008P400<02Hd001VD000IU0000P0^V`0204RS000306R]002B^000T[P00080a/800P3FU`000`3Y
F000o`000?l0000D0?l000030>UH003FU`00eYL00080a/400P2B^0000`1X[@00B:<004RS000202jK
00806I@000<02Hd000281000R0@00P00PPl2001n6003001j8000MRH007HV008007</0P00Kc400`00
K3D006Xh001Z>002001W>`8006Dn0P00Hd000`00HD8005m4001OA002001MAP8005]700<005Y8001H
B@00F4T00P00EdX2001FB`03001DC000Dd`005=<0080059=0P00DDd00`00D4h004m>001?CP02001=
CP8004]=00<004U<0017B`00Ad/00P00ATX20014BP030012B@00@DP00458008003m70P00?TL2000l
AP03000kA@00>TD003Y5008003U40P00>4@00`00=T<003E3000e@`02000d@P8003=20`00<T42000a
@080031000<002lo000^?`00;Sl00P00;Sh2000]?P03000/?P00:cd002/m008002/m0P00:Sd00`00
:S`002Tl000Y?004000X>`8002Lk00<002Lj000V>P009SX00P009SX2000U>P03000U>@0093T002@i
008002@i1@008cP2000R>080028g1@008CL5000P=P@001lf00<001le000N=@007SD00P007SD70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000N=@<001le10007cH3000P=PH0
024g00<0028g000R>0008SP00P008SP3000S>0@002@i0`009CT2000U>P@002Hj00<002Lk000X>`00
:3/00P00:3/4000Y?003000Z?000:Sd002Xm008002/m0P00;3d00`00;3h002dn000]?P02000^?`<0
02lo0P00<402000a@080039100<003=1000d@P00=4800P00=D82000f@`03000g@`00>4@003Q40080
03U50P00>TD00`00?4H003e6000mAP02000nA`8004180P00@DP00`00@dT004A:0014BP020016B`80
04Q<00<004Y<001<C@00C4d00P00CTh2001?CP03001@CP00DDd0055=0080059=0P00E4`00`00ED/0
05I;001FB`02001GBP8005U900<005Y8001LA`00G4L00P00GTD2001OA003001Q@P00Hd0006=00080
06Hm0P00J3/2001Z=`03001]=000L300070`008007<[0P00MbD00`00Nah007lF001o5P0200233@80
08P200<02hh001bE000LU@000P0aW00204^T000306^^002F^@00U[T00080a/000P3FUP000`3YF@00
o`000?l0000D0?l000030>UH003FUP00eYH00080a/000P2F^@000`1/[P00Bj@004^T0002036L0080
79D000<02hh000280P00R0800P00P`d2001o5P03001k7P00MbD007LU008007<[0P00L3000`00KC@0
06Xg001Z=`02001X>`8006Hm0P00Hd000`00HD8005m4001OA002001NA@8005a700<005Y8001IB@00
FDT00P00EdX2001FB`03001EB`00E4`005A<0080059=0P00DDd00`00D4h004m>001?CP02001>CP80
04a=00<004Y<0018C000B4`00P00AT/20014BP030013B@00@DP00458008004180P00?TL2000mAP03
000lAP00>TD003Y5008003U50P00>4@00`00=d<003I3000f@`02000e@P8003A200<003=1000b@@00
<T400P00<D02000`@0<002lo0P00;Sl2000]?P03000/?P00;3d002`m008002/m0P00:Sd00`00:S`0
02Tl000Y?002000Y?0@002Pk00<002Lk000V>P009SX00P009SX2000U>P<002Di100093T3000S>0@0
028h00<0028g000Q=`008CL010008CL3000P=P@001lf0`007cD2000N=@L0oooo0@0000010?ooo`00
703oool00`000000oooo0?ooo`040?ooo`8001he0`007cD4000O=P<0020f1P008CL00`008SL0028h
000R>002000R>0<002<h100093T3000U>@8002Dj10009SX00`009c/002Pk000X>`02000X>`@002Tl
00<002Xl000Z?@00:Sd00P00:cd2000/?@03000/?P00;Ch002dn008002ho0`00;cl2000`@0800350
0P00<T400`00<d4003A2000d@P02000e@P8003I300<003M3000hA000>4@00P00>DD2000jA@03000l
AP00?DH003e6008003i70P00@4P20011B0030013B@00A4X004A:008004I;0P00B4`00`00BT`004a=
001<C@02001>CP8004m>00<0051>001AC@00DDd00P00DTd2001DC003001EB`00ET/005I;008005M:
0P00FDT00`00FTP005a7001LA`02001NA@8005m400<00652001S@000Hd000P00ISd2001X>`8006Xg
00<006dd001`<000L3000P00Lb/2001g9@03001k7P00OaH007lF008008<=0P00R0800`0;SP0079D0
01bE0002036L0080Bj@000<0Jjh009Ji002F^@000P36`0020=JF00030>UI003o0000o`0001@0o`00
00<0jEP00=JF003FUP000P36`00209Ji000306b^001;Y000Bj@00080<I`00P0LU@000`0;SP0008P2
00280P0200233@8007lF00<007/N001g9@00MbD00P00Lb/2001`<003001]=000JSL006Xg008006Pk
0P00ISd2001S@003001Q@P00Gd@005m4008005i50P00G4L00`00FTP005U9001IB@02001GBP8005I;
00<005E;001DC000E4`00P00DTd2001AC@03001@CP00Cdh004m>008004i>0P00C4d00`00BT`004Q<
0018C0020016B`8004A:00<004=90011B000@DP00P00@4P2000nA`8003e600<003a6000jA@00>TD0
0P00>DD2000hA003000g@`00=T<003I3008003E20P00=4800`00<d400391000b@@02000a@0800310
0`00;cl2000^?`8002dn00<002`n000/?@00;3d00P00:cd2000Z?@03000Z?000:C`002Tl008002Tl
1000:3/00`009c/002Hj000V>P02000V>P8002Dj0`009CT4000T>@<002<h10008SP00`008SL0024g
000Q=`04000Q=`<0020f10007cH3000O=@8001he1`3oool100000040oooo000L0?ooo`030000003o
ool0oooo00@0oooo0P007SD2000O=@<001lf1@0083H6000Q=`03000R=`008SP0028h00D002<h1000
93T2000U>@03000U>P009SX002Hj008002Hj0P009cX00`009c/002Pk000X>`02000X>`8002Tl0`00
:S`4000[?@8002`n0`00;Ch2000^?`8002lo00<00310000a@000<D000P00<D42000b@@03000c@P00
=48003A2008003E30P00=T<00`00=d@003Q4000hA002000jA@8003]500<003a6000mA`00?DL00P00
?dL20010B080049900<004=90015BP00ADX00P00Ad/20019C003001;C@00CDh004e>008004m>0P00
D4h00`00DDd0059=001BC@02001CC08005A<00<005E;001FBP00ETX00P00F4X2001IB@03001KA`00
G4H005a6008005i50P00H4<00`00HT4006@o001T?`02001V?@8006Pj0P00JcL00`00KS<0074_001a
;`02001d:P8007LT00<007/M001o5@00OaD00P00Q0/20029000300f?000NU@007YD00080<id00P1=
Y@000`1^[`00V;X009Rj00020<No0080eYH000<0j5/00?h5003n1@004P3o00020?h500030>QJ003F
UP00eYH00080akl00P2H^P000`1^[`00CJD004fU000203>M00807YD000<03Hl000290000R@000P00
Q0/2001o5@03001k7@00Mb@007LT008007@Z0P00LBl00`00KS<006/g001[=`02001X>P8006Hm0P00
I3l00`00HT400613001P@`02001NA@8005a600<005]7001IB@00FDT00P00F4X2001FBP03001EB`00
E4`005A<008005=<0P00DTd00`00DDd0051>001@CP02001?CP8004e>00<004]=0019C000BD`00P00
Ad/20015BP030013B@00@TT00499008004180P00?dL2000mA`03000lAP00>dD003]5008003Y50P00
>4@00`00=d@003I3000f@`02000e@`8003A200<003=2000b@@00<T400P00<D42000a@003000`@000
;cl002lo008002ho0`00;Ch2000/?P@002/m0`00:S`2000Y?0@002Pk00<002Lk000W>P009cX01000
9SX00`009CX002Di000U>@04000T>@D002<h0P008SP00`008SL0024g000Q=`04000Q=`D0020f0`00
7cH2000O=@8001he1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo0P007SD2
000O=@<001lf1@0083H6000Q=`03000R=`008SP0028h00D002<h100093T2000U>@03000U>P009SX0
02Hj008002Hj0P009cX00`009c/002Pk000X>`02000X>`8002Tl0`00:S`4000[?@8002`n0`00;Ch2
000^?`8002lo00<00310000a@000<D000P00<D42000b@@03000c@P00=48003A2008003E30P00=T<0
0`00=d@003Q4000hA002000jA@8003]500<003a6000mA`00?DL00P00?dL20010B080049900<004=9
0015BP00ADX00P00Ad/20019C003001;C@00CDh004e>008004m>0P00D4h00`00DDd0059=001BC@02
001CC08005A<00<005E;001FBP00ETX00P00F4X2001IB@03001KA`00G4H005a6008005i50P00H4<0
0`00HT4006@o001T?`02001V?@8006Pj0P00JcL00`00KS<0074_001a;`02001d:P8007LT00<007/M
001o5@00OaD00P00Q0/20029000300f?000NU@007YD00080<id00P1=Y@000`1^[`00V;X009Rj0002
0<No0080eYH000<0j5/00?h5003n1@004P3o00020?h500030>QJ003FUP00eYH00080akl00P2H^P00
0`1^[`00CJD004fU000203>M00807YD000<03Hl000290000R@000P00Q0/2001o5@03001k7@00Mb@0
07LT008007@Z0P00LBl00`00KS<006/g001[=`02001X>P8006Hm0P00I3l00`00HT400613001P@`02
001NA@8005a600<005]7001IB@00FDT00P00F4X2001FBP03001EB`00E4`005A<008005=<0P00DTd0
0`00DDd0051>001@CP02001?CP8004e>00<004]=0019C000BD`00P00Ad/20015BP030013B@00@TT0
0499008004180P00?dL2000mA`03000lAP00>dD003]5008003Y50P00>4@00`00=d@003I3000f@`02
000e@`8003A200<003=2000b@@00<T400P00<D42000a@003000`@000;cl002lo008002ho0`00;Ch2
000/?P@002/m0`00:S`2000Y?0@002Pk00<002Lk000W>P009cX010009SX00`009CX002Di000U>@04
000T>@D002<h0P008SP00`008SL0024g000Q=`04000Q=`D0020f0`007cH2000O=@8001he1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0oooo10007cD3000O=P@0020f1@008CL2000R
=`<0028h10008cP3000T>@@002Di00<002Dj000V>P009SX00P009SX3000W>`8002Pk1000:C`2000Z
?003000Z?@00:cd002/m008002`m0P00;3h00`00;Ch002ho000^?`04000_?`03000`@000<D000350
008003910P00<d400`00=48003E2000e@P02000f@`8003M300<003Q4000iA000>D@00P00>TD2000k
AP03000mAP00?TL003i7008003m80P00@DP20012B@030014BP00ATX004I:008004M;0P00BD`00`00
Bdd004e>001=CP02001?CP80051>00<0055=001BC@00DTd00P00Dd`2001DC003001FB`00EdX005M:
008005Q90P00FTP00`00FdL005e6001MAP02001OA080061300<00691001T?`00I3l00P00Ic`2001Y
>@8006`f00<006hb001a;P00LBh00P00MBT2001h8`03001l7000P1<0080C008008D:0P01RP000`0?
T00089H0022F000203FN0080D:H000<0L:l009Zj002J^P000P37_P020=JG00030>MN003l3P00o0h0
0180o`000P3l3P000`3WGP00eYH00=JF00020<Nn0080V[X000<0L:l0052V001@YP000P0fWP02022F
000300n@0001RP000HX0008008D:0P00P1<00`00O1`007PS001h8`02001e:@80074^00<006hb001/
=P00K3H00P00JCT2001W?08006@o00<00691001P@`00H4<00P00Gd@2001MAP03001KA`00FTP005Y8
008005Q90P00EdX00`00ET/005A<001DC002001CC080059=00<0055=001@CP00D4h00P00Cdh2001=
CP03001;C@00BD`004U<008004M;0P00ATX00`00A4X004990012B@020011B08003m80P00?TL00`00
?DH003]6000kAP02000jA@8003U400<003Q4000g@`00=d<00P00=T<2000e@P03000d@P00<d4003=1
008003910P00<D000`00<40002lo000_?`02000_?`8002ho00<002dn000/?P00;3h00P00;3d2000[
?@03000Z?@00:S`002Xl00@002Tl0`00:3/2000W>`@002Hj00<002Dj000U>@009CT00P009CT3000T
>@@002<h0`008SP2000R=`D0024g100083H3000O=P@001le1`3oool100000040oooo000L0?ooo`80
00001@3oool2000O=@<001lf1P0083H5000Q=`80028g00<0028h000S>0008cP010008cP3000T>@80
02Di0P009CX3000V>P8002Lj0P009c/3000X>`@002Tl0P00:S`3000[?@8002`n0`00;Ch2000^?`80
02lo0`00<402000a@08003910P00<d400`00=48003E2000e@P02000f@`8003M300<003Q4000iA@00
>DD00P00>dD2000lAP03000mAP00?TL003i7008004180P00@DP20013B@030015BP00AT/004I;0080
04Q<0P00BT`00`00C4d004i>001>CP02001?CP80051>00<0055=001BC@00DTd00P00Dd`2001EB`03
001FB`00EdX005M:008005U90P00FTP00`00G4L005e5001MA@02001OA080065200<006=0001U?P00
ICh00P00Ic/2001Z>@8006`e00<006la001b;@00LRd00P00MBP2001i8P03001m6P00PA80084B0080
08H80P03R`000`0AT0008YL002:G000203NN0080DJH000<0L[0009^j002K^P000P37_`020=FH0003
0>IS003j6@00nQT00180o`000P3j60000`3VH`00eIP00=FH00020<Nn0080VkX000<0L[00056V001A
YP000P0gWP0202:G0003016@0003R`000h/0008008H80P00PA800`00OAX007TR001i8P02001e:080
078]00<006la001/=@00K3D00P00JST2001W>`8006Dn00<006=0001Q@P00HD800P00Gd@2001MA@03
001LA`00FTP005Y8008005U90P00EdX00`00ET/005E;001EB`02001CC080059=00<0055=001@CP00
D4h00P00Cdh2001>CP03001<C@00BT`004Y<008004Q<0P00AT/00`00ADX004=90013B@020011B@80
04180P00?TL00`00?DH003a6000lAP02000kA@8003U500<003Q4000g@`00=d<00P00=T<2000e@P03
000d@P00<d4003=1008003910P00<D03000`@08002lo0P00;Sl3000]?P8002`n0`00:cd2000Z?0@0
02Tl0`00:3/2000W>`8002Lj0`009SX2000U>P8002Di0`0093T6000S>003000R>0008SL0028g00D0
024g1P0083H3000O=P8001le1P3oool200000040oooo000L0?ooo`030000003oool0oooo00@0oooo
0P007cD3000O=PH0020f1@008CL2000R=`03000R>0008cP002<h00@002<h0`0093T2000U>@8002Dj
0`009SX2000W>P8002Lk0`00:3/4000Y?08002Xl0`00:cd2000/?P<002dn0P00;Sl2000_?`<00310
0P00<D02000b@@8003=100<003A2000e@P00=D800P00=T<2000g@`03000hA000>DD003U5008003]5
0P00?4H00`00?DH003i7000nA`020010B08004580P00@dT00`00ADX004I;0016B`020018C08004Y<
00<004a=001>CP00CTh00P00Cdh2001@CP03001AC@00DTd0059=008005=<0P00ED/00`00ET/005M:
001GBP02001IB@8005Y800<005a7001MA@00GDD00P00Gd@2001Q@P03001S@000ICh006Dn008006Lk
0P00JST2001/=@03001_<@00LRd0078]008007DX0P00NB800`00OAX0084B00214P02002620800h/0
00<04I0002:G000RU`000P0gWP02056V000307:`002K^P00VkX00080akl00P3EV0000`3VH`00nQT0
0?XI000B0?l00080nQP000<0iV<00=FH003EV0000P37_P0209^j000307:`001AYP00DJH00080=ih0
0P0RU`000`0AT0000h/000>;000200262080084B00<007dJ001i8P00NB800P00MBP2001b;@03001_
<@00K3D006`e008006Xi0P00Ic/2001U?P03001S@000HD800652008005m40P00GDD00`00G4L005Y8
001JB002001IB@8005M:00<005I;001EB`00ED/00P00Dd`2001BC@03001AC@00D4h0051>008004m>
0P00CTh00`00C4d004Y<001:C0020018C08004I;00<004E:0013B@00@dT00P00@DT20010B08003i7
00<003e6000lAP00?4H00P00>dD2000iA@03000hA000=d<003M3008003I30P00=D800`00=48003=1
000c@@02000b@@8003500`00<402000_?`8002ho0`00;Ch2000/?P<002/m0P00:S`4000Y?0<002Pk
0P009c/2000W>P<002Hj0P009CX2000U>@<002@i1P008cP00`008SP0028g000R=`05000Q=`H0020f
0`007cH2000O=@L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`@001lf1@00
83H5000Q=`80028g0`008SP4000S>0<002@i10009CT2000U>P<002Hj10009c/00`00:3/002Tl000Y
?002000Y?08002Xl0P00:Sd00`00:cd002`m000/?@02000/?P8002dn0`00;Sl2000_?`80031000<0
0350000b@@00<T400P00<d42000c@P03000d@P00=D<003E3008003I30P00>4@00`00>D@003Y5000j
A@02000kA@8003a600<003i7000oA`00?dL00P00@4P20012B@8004=900<004E:0017B`00Ad/00P00
BD`2001;C@03001=CP00Cdh004m>008004m>0P00D4d00`00DTd005=<001CC002001DC08005E;00<0
05I;001HBP00F4X00P00FDT2001KB003001LAP00GTD005i5008005m40P00HD800`00Hd0006Dm001U
?@02001X>`8006Xh0P00KC@00`00Kc4007</001c;002001f9`8007TQ00<007dI00214@00PA400P00
QPL200B;000301:A000TU`0099L00080>Il00P1CY`000`1c/000Vk/009^k00020<No0080e9/000<0
i6P00?LT003g90004P3o00020?LT00030>AX003DV`00e9/00080akl00P2K^`000`1c/000DjL005>W
000203VO008099L000<04Y4000B;0004R`000P00QPL200214@03001m6@00NB4007TQ008007HW0P00
Lb`00`00L30006dd001]=002001Z>08006Pk0P00ICd00`00Hd000652001Q@P02001OA08005i500<0
05a6001KB000FdP00P00FDT2001HBP03001FB`00ED/005E;008005A<0P00Dd`00`00DTd0055=001A
C@04001?CP03001=CP00Bdd004]=008004U<0P00Ad/00`00ADX004A90014B@020012B@8004180P00
?dL00`00?TL003a6000lAP02000kA@8003Y500<003U4000hA000>4@00P00=T<2000e@`03000d@P00
<d8003=2008003=10P00<T400`00<D000310000`@002000_?`<002ho0P00;Ch2000/?P8002`m00<0
02/m000Z?@00:Sd00P00:S`4000Y?003000X>`009c/002Lk008002Lk0`009SX2000U>P@002Di0`00
93T4000S>0<0028h0P008SL5000Q=`D0020f10007cH70?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103oool4000O=PD0020f1@008CL2000R=`<0028h10008cP3000T>@@002Di0P009CX3
000V>P@002Lk00<002Pk000Y?000:C`00P00:C`2000Z?08002Xm00<002/m000/?@00;3d00P00;3h2
000]?P<002ho0P00;cl2000`@003000a@000<T400391008003=10P00<d800`00=48003E3000e@`02
000f@`8003Q400<003U4000jA@00>TD00P00>dD2000lAP03000nA`00?dL003m7008004180P00@TT2
0013B@030015BP00Ad/004M;008004U<0P00Bdd00`00CDh004m>001?CP02001?CP80051=00<0059=
001CC000Dd`00P00E4`2001EB`03001FB`00F4X005Q:008005U90P00FdP00`00G4H005i5001NA@02
001OA080065200<006=0001U?@00ICd00P00J3/2001Z>08006dd00<006la001c;000Lb`00P00MRL2
001i8@03001m6@00PA40084A008008H70P04R`000`0BT@0099L002BG000203VO0080DjL000<0Lk00
09^k002K^`000P37_`020=BK00030>AX003g9000mb@00180o`000P3g90000`3TJ000e9/00=BK0002
0<No0080Vk/000<0Lk0005>W001CY`000P0iW`0202BG000301:A0004R`0018/0008008H70P00PA40
0`00OAT007TQ001i8@02001f9`8007</00<0070`001]=000KC@00P00JSP2001X>`8006Dm00<006=0
001Q@P00HD800P00Gd@2001NA@03001LAP00FdP005]8008005U90P00F4X00`00ET/005E;001EB`02
001DC08005=<00<0059=001AC@00DDd01000Cdh00`00CDh004]=001;C@020019C08004M;00<004E:
0014B@00A4T00P00@TT20010B08003m700<003i7000lAP00?4H00P00>dD2000jA@03000iA000>4@0
03Q4008003I30P00=D<00`00=48003=2000c@P02000c@@80039100<00350000`@000<4000P00;cl3
000^?`8002dn0P00;3h2000/?@03000[?@00:Sd002Xm008002Xl1000:C`00`00:3/002Lk000W>`02
000W>`<002Hj0P009CX4000U>@<002@i10008cP3000R>080028g1@008CL5000P=P@001lf1`3oool1
00000040oooo000L0?ooo`030000003oool0oooo00@0oooo10007cH5000P=PD0024g0P008SL2000R
>0D002<h0`0093T2000U>@8002Dj0`009SX2000W>P8002Lk0`00:3/4000Y?08002Xl0`00:cd2000/
?P@002dn00<002ho000_?`00;cl01000<4000`00<D000391000b@@02000c@@8003A200<003E2000f
@`00=T<00P00=d<2000hA003000iA000>TD003Y5008003]60P00?DH00`00?TL003m8000oB0020011
B08004990P00A4X00`00AT/004Q;0018B`020019C08004]=00<004e>001?CP00Cdh00P00D4h2001A
C@03001BC@00Dd`005=<008005A<0P00ED/00`00EdX005Q9001HB@02001IB08005]700<005a6001N
A@00GTD00P00H4<2001R@@03001T?`00ISd006Hm008006Pj0P00JcL2001]=003001`<000Lb/007<[
008007HV0P00NR000`00OQP0088@0022400200271P801H`000<0598002FH000UV0000P0jW`0205BW
000307>`002J^P00V[X00080a/400P3CWP000`3RK`00m3400?@a000B0?l00080m34000<0hfl00=>N
003CWP000P36`@0209Zj000307>`001DY`00E:L00080>Yl00P0UV0000`0DTP001H`000F<00020027
1P80088@00<007hH001j8000NR000P00MRH2001c:`03001`<000KC@006dd008006/g0P00J3X2001V
?@03001T?`00HT400691008006130P00GTD00`00G4H005]7001KA`02001IB08005Q900<005M:001E
B`00ED/00P00E4`2001CC003001BC@00DDd0055=0080051>0P00Cdh00`00CDh004]=001;C@020019
C08004Q;00<004I;0014BP00A4X00P00@TT20011B08003m800<003i7000mAP00?DH00P00>dH2000j
A@03000iA000>4@003Q4008003M30P00=T<00`00=D8003A2000d@P02000c@@80039100<00350000`
@000<4000P00<402000_?`03000^?`00;Ch002dn008002dn0P00;3h3000[?@8002Xl1000:C`3000X
>`8002Lk0P009cX3000V>P8002Dj0P009CT3000T>@D002<h0P008SP2000R=`D0024g1@0083H4000O
=PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`@001lf1@0083H5000Q=`80
028g0P008SP5000S>0<002@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`2000Z?0<0
02/m0P00;3h4000]?P03000^?`00;cl002lo00@0031000<00350000b@@00<T400P00<d42000d@P03
000e@P00=T<003I3008003M30P00>4@00`00>D@003Y5000jA@02000kAP8003e600<003i7000oB000
?dP00P00@DP20012B@8004A:00<004I;0018B`00B4/00P00BD`2001;C@03001=CP00Cdh004m>0080
051>0P00DDd00`00DTd005=<001CC002001DC08005E;00<005M:001HB@00F4T00P00FDP2001KA`03
001LAP00GTD005i5008006130P00HT400`00I3l006Hm001V?@02001X>P8006/g0P00KC@00`00L300
07<[001c:`02001f9P8007XP00<007hH00224000PQ000P00Q`H200F<000301BB000UV0009IP00080
>Yl00P1DY`000`1c/000V[X009Zj00020<K10080dih000<0hVl00?@a003d<@004P3o00020?@a0003
0>=_003CWP00dih00080a/400P2J^P000`1c/000E:L005BW000203ZO00809IP000<0598000F<0005
S0000P00Q`H200224003001n6000NR0007XP008007HV0P00Lb/00`00L30006dd001]=002001[=`80
06Pj0P00ISd00`00I3l00691001R@@02001P@`8005i500<005a6001KA`00FdL00P00FDP2001HB@03
001GBP00ED/005E;008005A<0P00Dd`00`00DTd0055=001AC@02001@CP8004m>00<004e>001;C@00
Bdd00P00BD`20018B`030016B`00A4X004A:008004990P00@DP2000oB003000nA`00?DH003e60080
03]60P00>TD00`00>D@003Q4000hA002000g@`8003I300<003E2000d@P00=4800P00<d42000b@@03
000a@000<4000310008003100P00;cl00`00;Sl002dn000]?P02000]?P8002`n0`00:cd2000Z?0@0
02Tl0`00:3/2000W>`8002Lj0`009SX2000U>P8002Di0`0093T5000S>080028h0P008SL5000Q=`D0
020f10007cH70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000O=PD0020f
1@008CL2000R=`@0028h0`008cP5000T>@8002Di0P009CX3000V>P@002Lk0P00:3/3000Y?08002Xl
0P00:Sd2000[?@03000/?@00;3h002`n008002dn0P00;Sh00`00;Sl002lo000_?`02000`@0800350
0`00<T42000c@P8003A200<003E3000f@`00=T<00P00=d@2000hA003000iA@00>dD003]5008003a6
0P00?DL00`00?dL004180010B0020011B@8004=90P00ADX00`00AT/004Q<0018C002001:C08004a=
00<004i>001?CP00Cdh00P00D4h2001AC@03001BC@00Dd`005=<008005A<0P00ET/00`00EdX005Q9
001HB@02001JB08005]700<005e6001OA000Gd@00P00H4<2001R@@03001T?`00IS`006Hl008006Tj
0P00JcL2001^<`03001a;`00M2X007@Z008007LU0P00NQl00`00OQL008<?00233`02002710801h`0
00<05I8002JH000VV0000P0kW`0205BW000307>`002I^P00VKX00080aL<00P3BXP000`3PMP00l3h0
0?0n000B0?l00080l3h000<0h7H00=:R003BXP000P35`P0209Vj000307>`001DY`00E:L00080>il0
0P0VV0000`0ETP001h`000N<00020027108008<?00<007hG001j7`00NQl00P00MbD2001d:P03001a
;`00KS<006hc008006/g0P00JCX2001V?003001T?`00HT400691008006130P00Gd@00`00GDH005]7
001KA`02001JB08005Q900<005M:001FB`00ET/00P00E4`2001CC003001BC@00DDd0055=0080051>
0P00Cdh00`00CTh004a=001<C@02001:C08004Q<00<004I;0015BP00ADX00P00@dT20011B@800418
00<003m7000mA`00?DL00P00?4H2000kA@03000jA@00>4@003Q4008003M40P00=T<00`00=D<003A2
000d@P02000c@P<003910P00<D02000`@08002lo00<002ho000^?P00;Sh00P00;Ch2000/?P03000/
?@00:cd002/m008002Xm0P00:S`3000Y?08002Pk10009c/3000V>P8002Dj0P009CT5000T>@<002<h
10008SP2000R=`D0024g1@0083H2000O=PL0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`040?ooo`8001lf1@0083H5000Q=`80028g0P008SP5000S>0@002@i00<002Di000U>P009CX01000
9SX00`009cX002Lk000W>`04000X>`<002Tl0P00:S`4000[?@03000/?@00;3h002`n008002dn0P00
;Sl3000_?`8003100P00<D000`00<T4003=1000c@@02000d@P8003E200<003I3000g@`00=d<00P00
>4@2000iA003000jA@00>dH003]6008003a60P00?TL00`00?dL004180010B0020012B@8004A:0P00
ADX00`00Ad/004U<0019C002001;C@8004e>00<004i>001?CP00Cdh00P00D4d2001AC@03001CC@00
E4`005A<008005E;0P00ET/00`00EdX005U9001IB@02001JB08005a700<005e5001OA000Gd@00P00
HD82001S@003001U?P00Ic`006Ll008006Ti0P00K3H2001^<P03001a;P00M2X007@Z008007LT0P00
Nah00`00OaH008<>00233P02002810801hd000<05Y8002NI000WV@000P0kW`0205BW000307:`002G
^@00UkT00080a<@00P3@YP000`3NOP00k4`00>a<00020?`>00h0o`000P3l3P020>e<00030=in003@
YP00d:H00080a<@00P2G^@000`1b/000E:L005BW000203^O00809iT000<05Y8000R=0008S@000P00
R0@200233P03001o5P00Nah007/N008007LT0P00M2X00`00LBh006hb001^<P02001/=P8006Ti0P00
Ic`00`00ICh006=0001S@002001Q@P8005m400<005e5001LA`00G4L00P00FTP2001IB@03001GBP00
ET/005I;008005E;0P00E4`00`00Ddd0055=001AC@02001@C@8004m>00<004i>001=CP00CDh00P00
Bdd20019C0030017B`00ADX004E:008004A:0P00@TT20010B003000oA`00?TL003i7008003a60P00
>dH00`00>TD003U4000iA002000hA08003M300<003I3000e@P00=D800P00=482000c@@03000b@@00
<D000350008003100`00;cl2000^?`8002dn0P00;3h00`00;3d002/m000[?@02000[?@8002Xl0`00
:C`4000X>`8002Lk00<002Lj000V>P009SX00P009SX2000U>P03000U>@0093T002@i008002@i1@00
8cP2000R>080028g1@008CL5000P=P8001lf1`3oool100000040oooo000L0?ooo`030000003oool0
oooo00@0oooo0P007cH5000P=PD0024g0P008SL2000R>0D002<h100093T00`009CT002Dj000U>P04
000V>P03000W>P009c/002Lk00@002Pk0`00:C`2000Z?0@002/m00<002`m000/?P00;3h00P00;Ch2
000^?`<002lo0P00<402000a@003000b@@00<d4003=1008003A20P00=D800`00=T<003M3000g@`02
000hA08003U400<003Y5000kAP00>dH00P00?4H2000nA`03000oA`00@4P00418008004990P00A4X2
0015BP030017B`00BD`004U<008004]=0P00CDh00`00CTh004m>001?CP02001@C@80055=00<005==
001DC000E4`00P00ED/2001FB`03001GBP00FDT005U9008005Y80P00G4L00`00GDD005m4001OA002
001Q@P8006=000<006Dn001W?000Ic`00P00JCT2001/=P8006hb00<0074^001d:P00M2X00P00Mb@2
001k7P03001o5P00P`h008<>008008P40P07S@000`0FTP009iT002NI000203^O0080E:L000<0L[00
09Ni002G^@000P34a0020=2V00030=in003/C000k4`00080o0h03P3o00020?`>0080kD`000<0gWh0
0=2V003@YP000P34a00209Ni000307:`001DY`00E:L00080>il00P0WV@000`0FTP0028d000R=0002
0028108008<>00<007lF001k7P00Nah00P00Mb@2001d:P03001a;P00KS8006hb008006`f0P00JCT2
001W?003001U?P00Hd0006=0008006520P00Gd@00`00GDD005a7001LA`02001JB08005U900<005M:
001FB`00ET/00P00ED/2001DC003001CC@00DDd0055=0080051=0P00Cdh00`00CTh004e>001=CP02
001;C@8004U<00<004M;0015BP00ADX00P00A4X20012B@80041800<003m7000nA`00?TL00P00?4H2
000kAP03000jA@00>D@003U4008003Q40P00=d<00`00=T<003E2000e@P02000d@P8003=100<00391
000a@000<D000P00<403000_?`8002ho0P00;Ch2000/?P03000/?@00:cd002/m008002/m0P00:S`3
000Y?0@002Pk0P009c/00`009cX002Hj000V>P02000V>P8002Dj00<002Di000T>@0093T00P0093T5
000S>080028h0P008SL5000Q=`D0020f0P007cH70?ooo`4000000@3oool001`0oooo00<000000?oo
o`3oool0103oool5000P=PH0024g00<0028g000R>0008SP00P008SP3000S>0H002@i00<002Di000U
>P009CX010009SX3000W>`8002Pk0P00:3`00`00:C`002Xl000Z?002000Z?@@002/m00<002`n000]
?P00;Ch00P00;Ch2000^?`03000_?`00<400031000@0035000<00391000c@@00<d400P00=482000e
@P03000f@`00=d<003M3008003Q40P00>DD00`00>TD003a6000lAP02000mAP8003i700<004180011
B000@DP00P00@TT20014BP8004I;00<004M;0019C000BD`00P00Bdd2001=CP03001?CP00D4h0051>
0080055=0P00DTd00`00Dd`005A<001DC002001EB`8005I:00<005Q:001IB@00FDT00P00FTP2001L
AP03001NA@00Gd@005m4008006520P00Hd000`00ICh006Lk001W>`02001Y>@8006`e0P00Kc800`00
LBh007@Y001d:@02001h8`8007/M00<007lF00233@00P`d00P00R0<200R=000301JC000WV@009iT0
0080>il00P1CY`000`1a[`00U;T009Bi00020;o30080cj/000<0fhL00>UI003YF@000P3g8`0>0?l0
0080mb<00P3YF@000`3KQ`00cj/00<n[00020;o30080U;T000<0LJl005BW001DY`000P0kW`0202NI
000301JC0008S@0028d0008008P30P00P`d00`00OaH007/M001k7@02001h8`8007@Y00<0074^001_
<P00Kc800P00K3D2001Y>@8006Lk00<006Dn001S@000Hd000P00HD82001OA003001NA@00G4H005a6
008005Y80P00FDT00`00F4X005I:001FBP02001EB`8005A<00<005=<001BC@00DTd00P00DDd2001@
CP03001?CP00CDh004e>008004]=0P00BD`00`00Ad/004I;0016B`020014BP8004990P00@DP00`00
@4P003i7000nA`02000mAP8003a600<003Y5000iA@00>DD00P00>4@2000g@`03000f@`00=D8003E2
008003A20P00<d400`00<T400350000a@002000a@080031000<002lo000^?`00;Sl01000;Ch00`00
;3h002/m000[?@02000[?@8002Xm0P00:S`00`00:C`002Pl000X?002000X>`<002Lk10009SX2000U
>P03000U>@0093T002@i00@002@i0`008cP4000R>003000R=`008CL0024g00@0024g1@0083H70?oo
o`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool5000P=PH0024g00<0028g000R>000
8SP00P008SP3000S>0H002@i00<002Di000U>P009CX010009SX3000W>`8002Pk0P00:3`00`00:C`0
02Xl000Z?002000Z?@@002/m00<002`n000]?P00;Ch00P00;Ch2000^?`03000_?`00<400031000@0
035000<00391000c@@00<d400P00=482000e@P03000f@`00=d<003M3008003Q40P00>DD00`00>TD0
03a6000lAP02000mAP8003i700<004180011B000@DP00P00@TT20014BP8004I;00<004M;0019C000
BD`00P00Bdd2001=CP03001?CP00D4h0051>0080055=0P00DTd00`00Dd`005A<001DC002001EB`80
05I:00<005Q:001IB@00FDT00P00FTP2001LAP03001NA@00Gd@005m4008006520P00Hd000`00ICh0
06Lk001W>`02001Y>@8006`e0P00Kc800`00LBh007@Y001d:@02001h8`8007/M00<007lF00233@00
P`d00P00R0<200R=000301JC000WV@009iT00080>il00P1CY`000`1a[`00U;T009Bi00020;o30080
cj/000<0fhL00>UI003YF@000P3g8`0>0?l00080mb<00P3YF@000`3KQ`00cj/00<n[00020;o30080
U;T000<0LJl005BW001DY`000P0kW`0202NI000301JC0008S@0028d0008008P30P00P`d00`00OaH0
07/M001k7@02001h8`8007@Y00<0074^001_<P00Kc800P00K3D2001Y>@8006Lk00<006Dn001S@000
Hd000P00HD82001OA003001NA@00G4H005a6008005Y80P00FDT00`00F4X005I:001FBP02001EB`80
05A<00<005=<001BC@00DTd00P00DDd2001@CP03001?CP00CDh004e>008004]=0P00BD`00`00Ad/0
04I;0016B`020014BP8004990P00@DP00`00@4P003i7000nA`02000mAP8003a600<003Y5000iA@00
>DD00P00>4@2000g@`03000f@`00=D8003E2008003A20P00<d400`00<T400350000a@002000a@080
031000<002lo000^?`00;Sl01000;Ch00`00;3h002/m000[?@02000[?@8002Xm0P00:S`00`00:C`0
02Pl000X?002000X>`<002Lk10009SX2000U>P03000U>@0093T002@i00@002@i0`008cP4000R>003
000R=`008CL0024g00@0024g1@0083H70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0
103oool5000P=PH0024g00<0028g000R>0008SP01@008cP4000T>@8002Di00<002Dj000V>P009SX0
0P009SX2000W>P03000W>`00:3/002Pk008002Pk0`00:C`2000Z?08002Xm0P00:cd2000/?@03000/
?P00;Ch002dn00@002ho00<002lo000`@000<4000P00<D02000b@@03000c@@00<d8003=2008003A2
0P00=D<00`00=T<003M4000gA002000hA08003Y500<003]5000lAP00?4H00P00?DL2000oA`030010
B000@DT00459008004=90P00ADX20016B`030018C000BT`004Y<008004a=0P00CTh00`00Cdh0051>
001@CP02001AC@80059=00<005=<001DC000E4`00P00ED/2001GBP03001HB@00FDP005U8008005]7
0P00G4H00`00GTD00613001P@`02001Q@P8006=000<006Dm001X>`00J3/00P00JSP2001/=@8006la
00<0078]001e:000MBP00P00N2<2001l7003001o5@00Q0`008@<008008P20P09S@000`0GT`009iT0
02NI000203^O0080DjL000<0Kjl0092h002@^0000P2i`P020<f`00030=R?003UI`00iFL00080lSP0
0P3n1@0:0?l00080oPD00P3b>0020>EW00030=R?003=/000cK000080^L800P2@^0000`1_[`00DjL0
05>W000203^O00809iT000<05i<000V=0009S@000P00R0820024300300205@00O1`007`L008007PS
0P00MBP00`00LRd006la001_<@02001/=@8006Xh0P00J3/00`00ICd006=0001S@002001Q@P800613
00<005i5001LAP00G4H00P00FdL2001IB003001HB@00EdX005M:008005E;0P00E4`00`00Dd`0059=
001BC@02001AC@80051>00<004m>001>CP00CTh00P00C4d2001:C0030018C000AT/004I;008004E:
0P00@dT20011B@030010B000?dL003m7008003e70P00?4H00`00>dD003Y5000jA@02000hA08003M4
00<003I3000e@`00=D<00P00=482000c@P03000c@@00<T400391008003500P00<4000`00;cl002ho
000^?`02000^?`8002dn00<002`n000/?@00;3d00P00:cd2000Z?@8002Xl0`00:C`4000X>`03000W
>`009cX002Lj00@002Hj00<002Dj000U>@009CT0100093T5000S>080028h00<0028g000Q=`008CL0
10008CL5000P=PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D0020f1P00
8CL00`008SL0028h000R>005000S>0@002@i0P009CT00`009CX002Hj000V>P02000V>P8002Lj00<0
02Lk000X>`00:3/00P00:3/3000Y?08002Xl0P00:Sd2000[?@8002`m00<002`n000]?P00;Ch01000
;Sl00`00;cl00310000`@002000a@080039100<003=1000c@P00<d800P00=482000e@`03000f@`00
=d@003M4008003Q40P00>TD00`00>dD003a6000lAP02000mA`8003m700<004180011B@00@DT00P00
@dT20015BP8004I;00<004Q<001:C000BT`00P00C4d2001>CP03001?CP00D4h0051>0080055=0P00
DTd00`00Dd`005A<001DC002001EB`8005M:00<005Q9001IB000FDP00P00FdL2001LAP03001NA@00
H4<00613008006520P00Hd000`00ICd006Pk001X>`02001Z>08006`e0P00Kc400`00LRd007DX001e
:002001h8`8007`L00<007lE00243000Q0`00P00R08200V=000301NC000WV@009iT00080>il00P1C
Y`000`1_[`00T;P0092h00020;W20080cK0000<0f8l00>EW003UI`000P3b>0020?h500X0o`000P3n
1@020?8h0080iFL000<0f8l00<f`003=/0000P2i`P02092h000306n_001CY`00DjL00080>il00P0W
V@000`0GT`002Hd000V=000200280P8008@<00<0080E001l7000O1`00P00N2<2001e:003001b;@00
Kc4006la008006`e0P00JSP2001X>`03001U?@00Hd0006=0008006520P00H4<00`00GTD005a6001L
AP02001KA`8005U800<005Q9001GBP00EdX00P00ED/2001DC003001CC000DTd0059=0080055=0P00
D4h00`00Cdh004i>001>CP02001<C@8004Y<00<004Q<0016B`00AT/00P00ADX20013B@80045900<0
0418000oA`00?dL00P00?DL2000lAP03000kA@00>TD003Y5008003Q40P00=d@00`00=T<003E3000e
@`02000d@P8003=200<003=1000b@@00<T400P00<D02000`@003000_?`00;Sl002ho008002ho0P00
;Ch00`00;3h002`m000/?@02000[?@8002Xm0P00:S`3000Y?0@002Pk00<002Lk000W>P009cX01000
9SX00`009CX002Di000U>@04000T>@D002<h0P008SP00`008SL0024g000Q=`04000Q=`D0020f1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo100083H5000Q=`80028g0`008SP4
000S>0D002@i0P009CT00`009CX002Hj000V>P02000V>P<002Lk1000:3/3000Y?08002Xl1000:cd2
000/?P<002dn0P00;Sl2000_?`<003100P00<D02000b@@03000c@@00=48003A2008003E20P00=T<0
0`00=d<003Q4000hA002000iA08003Y500<003]6000lAP00?4H00P00?TL2000oA`030010B000@TT0
0499008004=90P00ADX20017B`030019C000BTd004Y=008004a=0P00CTh00`00Cdh0051>001@CP02
001AC@80059=00<005=<001EC000ED`00P00ET/2001GBP03001HB@00FTP005Y8008005]70P00GDH0
0`00GTD00613001P@`02001R@@8006@o00<006Hm001X>`00J3/00P00JSP2001]=08006la00<0078]
001e:000MBP00P00N282001l700300205000Q0`008@<008008P20P09S@000`0GT`009iT002NI0002
03ZO0080DJH000<0K:h008bg002<]`000P2b`0020<Zf00030=FH003QM000hG@00080kD/00P3h800:
0?l00080n1l00P3]B`020>5d00030=FH003:]P00b[H00080//000P2<]`000`1/[P00DJH0056V0002
03ZO00809iT000<05i<000V=0009S@000P00R0820024300300205000O1`007`L008007PR0P00MBP0
0`00LRd006la001_<@02001]=08006Xh0P00J3/00`00ISd006@o001T?`02001R@@80061300<005i5
001MAP00GDH00P00FdL2001JB003001HB@00EdX005M:008005I;0P00ED`00`00Dd`0059=001BC@02
001AC@80051>00<004m>001>CP00CTh00P00C4d2001:C@030019C000Ad/004M;008004E:0P00@dT2
0012B@030010B000?dL003m7008003i70P00?4H00`00>dH003Y5000jA@02000iA08003Q400<003M3
000f@`00=T<00P00=D82000d@P03000c@@00<T400391008003500`00<402000_?`8002ho0`00;Ch2
000/?P@002/m0`00:S`2000Y?0@002Pk0`009c/4000V>P03000U>P009CT002Di00D002@i10008cP3
000R>080028g1@008CL4000P=PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oo
o`@0020f1@008CL2000R=`03000R>0008cP002<h00@002<h0`0093T4000U>@<002Hj0P009cX2000W
>`<002Pk1000:C`00`00:S`002Xm000Z?@02000[?@8002`m0P00;3h00`00;Ch002hn000^?P02000^
?`8002lo00<00310000a@000<D000P00<D42000b@@03000c@@00=48003A2008003E20P00=T<00`00
=d<003Q4000hA002000iA@8003Y500<003a6000mAP00?DH00P00?TL20010B0030011B000@TT00499
008004A:0P00ATX20017B`030019C000Bdd004]=008004e>0P00Cdh00`00D4h0055=001AC@02001B
C@8005==00<005A<001EB`00ED/00P00ET/2001GBP03001IB@00FTP005Y8008005]70P00GDH00`00
Gd@00613001P@`02001R@@8006@o00<006Hm001X>P00J3X00P00JcL2001]=080070`00<0078/001e
9`00MBL00P00NB82001l6`0300205000Q0/008@;008008T10P09S@000`0GT`009iP002NH000203VO
0080CjH000<0JJd008Rf0028]P000P2[_`020<Rk00030=:P003MP@00gH400080j5d00P3b>0000`3j
5@00o`000?l000060?l000030?XE003b>000lSP00080j5d00P3MP@000`3BX000b;/00<Rk00020:bo
0080R;H000<0JJd004nV001?YP000P0iW`0202NI000301NC0009S@002Hd0008008T10P00Q0/00`00
P1@007`K001l6`02001i8P8007DW00<0078/001`<000L3000P00KC@2001[=`8006Pj00<006Hm001T
?`00I3l00P00HT42001P@`03001OA000GDH005e6008005]70P00FTP00`00FDT005M:001GBP02001F
B`8005E;00<005A<001CC@00Ddd00P00DTd2001AC@03001@CP00Cdh004m>008004e>0P00Bdd00`00
BD`004M;0017B`020016BP8004A:0P00@TT00`00@DP004180010B002000nA`8003e600<003a6000j
A@00>TD00P00>DD2000hA003000g@`00=T<003I3008003E20P00=4800`00<d400391000b@@02000a
@@80035000<00310000_?`00;cl00P00;Sl2000^?P03000]?P00;3h002`n008002`m0P00:cd2000Z
?@03000Z?000:C`002Tl008002Tl0`00:3/2000W>`8002Lj0`009SX4000U>@<002@i1P008cP00`00
8SP0028g000R=`05000Q=`@0020f1`3oool100000040oooo000L0?ooo`8000001@3oool4000P=PD0
024g0P008SL00`008SP002<h000S>004000S>0<002@i10009CT3000V>P8002Lj0P009c/3000X>`@0
02Tl00<002Xl000Z?@00:Sd00P00:cd2000/?@8002`n00<002dn000^?P00;Sh00P00;Sl2000_?`03
000`@000<D000350008003510P00<T400`00<d4003A2000d@P02000e@P8003I300<003M3000hA000
>4@00P00>DD2000jA@03000lAP00?DH003e6008003i70P00@4P00`00@DP004990012B@020014BP80
04I:0P00Ad/00`00BD`004]=001;C@02001=CP8004m>00<0051>001AC@00DDd00P00DTd2001CC@03
001DC000ED/005E;008005I;0P00EdX00`00FDT005Y8001JB002001KA`8005e600<005m4001P@`00
H4<00P00HT42001T?`03001V?@00J3X006Pj008006/g0P00KC@2001`<003001b;000MBL007DW0080
07TR0P00O1/00`00P1@008@;00242`0200290@802Hd000<05i<002NH000WV0000P0iW`0204nV0003
06V]0028]P00R;H00080Zkl00P38^`000`3BX000gH400=f100020>QM0080lSP000<0nQD00?l0003o
00001P3o00000`3j5@00lSP00?8h00020>QM0080gH4000<0dZ000<Rk0038^`000P2/_`0208Rf0003
06V]001?YP00CjH00080>Il00P0WV@000`0GT`002Hd000V=000200290@8008@;00<0080D001l6`00
O1/00P00NB82001e9`03001b;000L300070`008006dd0P00JcL2001X>P03001V?@00I3l006@o0080
06910P00H4<00`00Gd@005e6001MAP02001KA`8005Y800<005U9001GBP00EdX00P00ET/2001EB`03
001DC000Ddd005==0080059=0P00DDd00`00D4h004m>001?CP02001=CP8004]=00<004U<0017B`00
Ad/00P00ATX20014BP80049900<004580010B000@4P00P00?TL2000mAP03000lAP00>TD003Y50080
03U50P00>4@00`00=d<003I3000f@`02000e@P8003A200<003=1000b@@00<T400P00<D42000a@003
000`@000;cl002lo008002ho0P00;Sh00`00;Ch002`n000/?P02000/?@8002/m0P00:Sd00`00:S`0
02Tl000Y?002000Y?0<002Pk0P009c/2000W>P<002Hj10009CT3000T>@H002<h00<0028h000R=`00
8SL01@008CL4000P=PH0oooo0P0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`80020f
0P0083L3000Q=`80028g0`008SP4000S>0D002@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk
1000:C`00`00:S`002/m000[?@02000[?@8002`m0`00;Ch2000^?`@002lo00<00310000a@000<D00
0P00<T42000c@@<003A20P00=D<2000f@`03000gA000>D@003U4008003Y50P00>dD00`00?4H003e7
000mA`02000oA`80041800<004590013B@00@dT00P00A4X20016B`8004Q;00<004Y<001<C@00C4d0
0P00CTh2001?CP03001@CP00DDd0055=0080059=0P00Dd`00`00E4`005E;001EB`02001FBP8005Q:
00<005U9001JB000FTP00P00G4L2001MA@03001OA000HD800652008006910P00I3l00`00IS`006Tj
001Y>P02001[=`8006dd0P00L3000`00Lb`007HW001f9`02001i8@8007`K00<0080C00242`00Q0/0
0P00R@4200V=000301NC000VV0009YP00080>9h00P1=Y@000`1V[000Pk@008>d00020:Bm0080a/40
00<0cjT00=V=003IS@000P3SKP020>a?00030?<a003i6`00nA/000@0o0h00P3i6`000`3c<@00k4l0
0>a?00020>=^0080fHd000<0cjT00<K10036`@000P2T_@0208>d000306J/001=Y@00CJD00080>9h0
0P0VV0000`0GT`002Hd000V=000200290@8008@;00<0080C001l6`00O1/00P00NB42001f9`03001c
;000L300070`008006dd0P00JcL2001Y>P03001V?000I3l006@o008006910P00HD800`00Gd@005e5
001MA@02001LA`8005Y800<005U9001HBP00F4X00P00ETX2001EB`03001DC000Dd`005=<0080059=
0P00DDd00`00D4h004m>001?CP02001>CP8004a=00<004Y<0018B`00B4/00P00AT/20014BP8004=9
00<004590010B000@4P00P00?dL2000mA`03000lAP00>dD003]5008003Y50P00>D@00`00=d@003I3
000f@`02000e@`<003A20P00<d42000b@@80035000<00310000_?`00;cl00P00;cl2000^?`<002dn
0P00;3d4000[?@03000Z?000:C`002Tl008002Tl0`00:3/2000W>`8002Lj0`009SX2000U>P8002Di
1@0093T4000S>0<0028h0P008SL5000Q=`80020f1`3oool100000040oooo000L0?ooo`030000003o
ool0oooo00@0oooo0P0083H2000P=`<0024g0P008SL3000R>0@002<h1@0093T2000U>@8002Dj0`00
9SX2000W>P8002Lk0`00:3/4000Y?003000Z?000:cd002/m008002/m0P00;3d3000]?P8002ho1000
;cl00`00<4000350000a@002000b@@8003=10`00=482000e@`8003I300<003M4000iA000>D@00P00
>TD2000kA@03000lAP00?DL003e7008003m70P00@4P00`00@DT004=90013B@020014BP8004I;0P00
B4/00`00BT`004a=001<C@02001>CP8004m>00<0051>001AC@00DDd00P00DTd2001CC003001DC000
ED/005E;008005I:0P00F4X00`00FDT005Y8001JB002001LA`8005e500<005m4001Q@P00HD800P00
HT42001T?`03001V?000JCX006Tj008006/g0P00KC@2001`<003001c;000MRL007HW008007TQ0P00
O1/00`00P1<008@;00242`0200290@802Hd000<05i<002JH000VV0000P0hWP0204fU000306J/0023
]000Pk@00080Y;d00P36`@000`3?Z@00fHd00=V=00020>=^0080k4l000<0lc400?TK003i6`00103l
3P020?TK00030?<a003/C`00k4l00080hfh00P3IS@000`3?Z@00a/400<K100020:Bm0080Pk@000<0
IZ`004fU001=Y@000P0hWP0202JH000301NC0009S@002Hd0008008T10P00Q0/00`00P1<007`K001l
6`02001i8@8007HW00<007</001`<000L3000P00KC@2001[=`8006Tj00<006Hl001T?`00I3l00P00
HT42001Q@P03001OA000GDD005e5008005a70P00FTP00`00FDT005Q:001HBP02001FBP8005E;00<0
05A<001CC000Dd`00P00DTd2001AC@03001@CP00Cdh004m>008004i>0P00C4d00`00BT`004Q;0018
B`020016B`8004A:0P00@dT00`00@DT004180010B002000oA`8003e700<003a6000kA@00>dD00P00
>TD2000iA003000gA000=T<003I3008003E30`00=482000c@@8003910P00<D000`00<40002lo000_
?`02000_?`8002ho0`00;Ch2000/?@@002/m00<002Xl000Y?000:C`00P00:C`3000X>`8002Lk0P00
9cX3000V>P8002Dj0P009CT5000T>@@002<h0`008SP2000R=`D0024g0P0083H70?ooo`4000000@3o
ool001`0oooo00<000000?ooo`3oool0103oool2000P=PD0024g0P008SL3000R>0@002<h0`0093T4
000U>@8002Dj0`009SX4000W>`03000X>`00:C`002Tl008002Tl0P00:S`00`00:Sd002/m000[?@02
000[?@8002`n0`00;Ch2000^?`8002lo0`00<402000a@08003910P00<d400`00=48003E2000e@P02
000f@`8003M300<003Q4000iA000>D@00P00>TD2000kAP03000lAP00?TL003i7008003m70P00@4P0
0`00@TT004=90013B@020015BP8004M;0P00B4`00`00BT`004a=001<C@02001>CP8004m>00<0051>
001AC@00DDd00P00DTd2001CC003001DC000ED/005E;008005M:0P00F4X00`00FDT005]8001KB002
001LAP8005i500<005m4001Q@P00HD800P00Hd02001U?P03001W?000JCT006Ti008006/f0P00KS<2
001`;`03001c:`00MRH007HV008007TQ0P00OAX00`00P1<008@;00242`0200290@802Hd000<05Y80
02FH000UV0000P0gWP0204^T000306:[001m/`00OK<00080WK/00P30``000`3</@00eIT00=FI0002
0=in0080iV<000<0kD/00?8h003b>000103d;@020?8h00030>e;003VH`00iV<00080gWh00P3EV@00
0`3</@00`<<00<33000209fk0080O[<000<0HZ/004^T001;Y0000P0gWP0202FH000301JB0009S@00
2Hd0008008T10P00Q0/00`00P1<007dJ001m6P02001i8@8007HV00<007<[001`;`00L2l00P00KS<2
001[=P8006Ti00<006Ll001U?P00ICh00P00Hd02001Q@P03001OA000GTD005i5008005a60P00FdP0
0`00FDT005Q:001HBP02001GBP8005E;00<005A<001CC000Dd`00P00DTd2001AC@03001@CP00Cdh0
04m>008004i>0P00C4d00`00BT`004Q<0018C0020017B`8004E:0P00@dT00`00@TT004180010B002
000oA`8003i700<003a6000kAP00>dH00P00>TD2000iA003000hA000=d<003M3008003I30P00=D80
0`00=48003=1000c@@02000b@@8003500`00<402000_?`8002ho0`00;Ch2000/?P@002/m00<002Xm
000Z?000:S`01000:C`00`00:3/002Lk000W>`02000W>`<002Hj0P009CX4000U>@<002@i1@008cP2
000R>080028g1@008CL2000P=PL0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?oo
o`80020f1@008CL2000R=`<0028h10008cP3000T>@@002Di0P009CX3000V>P@002Lk00<002Pk000Y
?000:C`00P00:C`2000Z?003000Z?@00:cd002/m008002/m0P00;3h3000]?P8002ho0P00;cl3000`
@08003500P00<T42000c@@03000d@P00=D8003E2008003I30P00=d<00`00>4@003U4000iA002000j
A@8003]600<003a6000nA`00?TL00P00?dL20010B0030012B@00@dT004=9008004E:0P00Ad/20018
C003001:C000C4d004a=008004i>0P00Cdh00`00D4h0055=001AC@02001BC@8005=<00<005A<001E
B`00ED/00P00EdX2001HBP03001IB@00FdP005]8008005a60P00GTD00`00Gd@00652001Q@P02001S
@08006Dn00<006Ll001Y>@00JCT00P00JcH2001^<`80070_00<007<[001f9P00MRH00P00NB42001m
6P0300204`00Q0/008@;008008T10P09S@000`0FTP009IP002FH000203NN0080Bj@000<0HZ/007fc
001m/`000P2M^`020<3300030<ba003EV@00eIT00080gWh00P3VH`000`3]B`00lSP00?8h00040?@]
0080lSP000<0kD/00>IS003VH`000P3NOP020=FI00030<ba0030``00`<<00080WK/00P1n/`000`1R
Z`00Bj@004^T000203NN00809IP000<05Y8000V=0009S@000P00R@4200242`0300204`00OAX007dJ
008007TQ0P00MRH00`00Lb/0070_001`;`02001^<`8006/f0P00JCT00`00Ic`006Dn001U?P02001S
@080065200<005m4001NA@00GTD00P00G4H2001KB003001IB@00F4X005Q:008005M:0P00ED/00`00
E4`005=<001CC002001BC@80055=00<0051>001?CP00Cdh00P00CTh2001<C@03001:C000B4`004Q<
008004M;0P00ADX20013B@030012B@00@4P00418008003m70P00?TL00`00?4H003]6000kAP02000j
A@8003U400<003Q4000g@`00=d<00P00=T<2000e@P03000d@P00<d4003=1008003910P00<D03000`
@08002lo0P00;Sl3000]?P8002`n1000:cd00`00:Sd002Xl000Z?004000Y?003000X>`009c/002Lk
008002Lk0`009SX2000U>P@002Di0`0093T5000S>080028h0P008SL5000Q=`80020f1`3oool10000
0040oooo000L0?ooo`030000003oool0oooo00@0oooo0P0083L3000Q=`@0028g0P008SP5000S>0<0
02@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`2000Z?003000Z?@00:cd002/m0080
02`m0P00;3h2000]?P<002ho0P00;cl2000`@003000a@000<T400391008003910P00<d800`00=480
03E2000e@P02000f@`8003M300<003Q4000iA@00>DD00P00>TD2000lAP03000mAP00?TL003i70080
03m80P00@DP00`00@TT004A:0014BP020015BP8004M;0P00BD`00`00Bdd004e>001=CP02001>CP80
04m>00<0051>001AC@00DDd00P00DTd2001CC003001DC000ET/005I;008005M:0P00F4T00`00FDP0
05]7001KA`02001LAP8005i500<00613001Q@P00HD800P00Hd02001U?P03001W?000JCT006Ti0080
06/f0P00KS<2001`;`03001c:`00MRH007HV008007TP0P00OAX00`00P1<008@;00242`0200290@80
2Hd000<05I8002BG000TU`000P0eW@0204RS000305jZ001h/@00N;400080UKT00P2e`@000`39^@00
dJ@00=6T00020=V=0080h7H000<0iV400>]B003[DP00103]B@020>]B00030>MQ003PMP00h7H00080
fHd00P3AY0000`39^@00]L400;G1000209Fi0080N;4000<0GZX004RS0018X`000P0eW@0202BG0003
01FB0009S@002Hd0008008T10P00Q0/00`00P1<007dJ001m6P02001i808007HV00<007<[001`;`00
L2l00P00KS<2001[=P8006Ti00<006Ll001U?P00ICh00P00Hd02001Q@P03001P@`00GTD005i50080
05a60P00FdL00`00FDP005Q9001HB@02001GBP8005I;00<005A<001CC000Dd`00P00DTd2001AC@03
001@CP00Cdh004m>008004i>0P00CDh00`00Bdd004U<0019C0020017B`8004E:0P00A4X00`00@TT0
04580011B002000oB08003i700<003e6000lAP00?4H00P00>TD2000iA@03000hA000=d@003M40080
03I30P00=D800`00=48003=2000c@P04000b@@03000a@000<4000310008002lo0`00;Sl2000]?P80
02`n0P00;3d2000[?@03000Z?@00:S`002Xl00@002Tl0`00:3/2000W>`8002Lj0`009SX2000U>P80
02Di0`0093T5000S>080028h10008SL3000Q=`80020g1`3oool100000040oooo000L0?ooo`030000
003oool0oooo00@0oooo0P0083L3000Q=`@0028g0P008SP5000S>0<002@i0P009CT2000U>P<002Hj
0P009cX2000W>`<002Pk1000:C`2000Z?003000Z?@00:cd002/m008002`m0P00;3h2000]?P<002ho
0P00;cl2000`@003000a@000<T400391008003910P00<d800`00=48003E2000e@P02000f@`8003M3
00<003Q4000iA@00>DD00P00>TD2000lAP03000mAP00?TL003i7008003m80P00@DP00`00@TT004A:
0014BP020015BP8004M;0P00BD`00`00Bdd004e>001=CP02001>CP8004m>00<0051>001AC@00DDd0
0P00DTd2001CC003001DC000ET/005I;008005M:0P00F4T00`00FDP005]7001KA`02001LAP8005i5
00<00613001Q@P00HD800P00Hd02001U?P03001W?000JCT006Ti008006/f0P00KS<2001`;`03001c
:`00MRH007HV008007TP0P00OAX00`00P1<008@;00242`0200290@802Hd000<05I8002BG000TU`00
0P0eW@0204RS000305jZ001h/@00N;400080UKT00P2e`@000`39^@00dJ@00=6T00020=V=0080h7H0
00<0iV400>]B003[DP00103]B@020>]B00030>MQ003PMP00h7H00080fHd00P3AY0000`39^@00]L40
0;G1000209Fi0080N;4000<0GZX004RS0018X`000P0eW@0202BG000301FB0009S@002Hd0008008T1
0P00Q0/00`00P1<007dJ001m6P02001i808007HV00<007<[001`;`00L2l00P00KS<2001[=P8006Ti
00<006Ll001U?P00ICh00P00Hd02001Q@P03001P@`00GTD005i5008005a60P00FdL00`00FDP005Q9
001HB@02001GBP8005I;00<005A<001CC000Dd`00P00DTd2001AC@03001@CP00Cdh004m>008004i>
0P00CDh00`00Bdd004U<0019C0020017B`8004E:0P00A4X00`00@TT004580011B002000oB08003i7
00<003e6000lAP00?4H00P00>TD2000iA@03000hA000=d@003M4008003I30P00=D800`00=48003=2
000c@P04000b@@03000a@000<4000310008002lo0`00;Sl2000]?P8002`n0P00;3d2000[?@03000Z
?@00:S`002Xl00@002Tl0`00:3/2000W>`8002Lj0`009SX2000U>P8002Di0`0093T5000S>080028h
10008SL3000Q=`80020g1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@00
8CL2000R=`@0028h0`008cP4000T>@<002Di0P009CX3000V>P@002Lk0`00:3/2000Y?0@002Xl0`00
:cd2000/?P@002dn00<002ho000_?`00;cl00P00;cl2000`@003000a@000<T400391008003=10`00
=482000e@`8003I30P00=d@00`00>D@003Y5000jA@02000kA@8003a600<003e7000nA`00?TL00P00
@4P20011B0030013B@00A4X004A:008004I;0P00B4/20019C003001;C@00CDh004e>008004m>0P00
D4h3001AC@8005==0P00E4`00`00ED/005I;001FB`02001GBP8005Q900<005Y8001KA`00FdL00P00
GDH2001NA@03001P@`00HD800652008006=00P00ICh00`00Ic/006Ti001Y>@02001/=P8006hc0P00
LBl00`00Lb/007HV001f9P02001i808007dJ00<0080C00242`00Q0/00P00R08200R=000301BB000R
U`008YL00080<id00P15X`000`1JZ@00L[0007:`000208fg0080Zkh000<0a/400<f^003=[P000P3E
VP020=^700030>5e003TJ000i6P000@0iV400P3TJ0000`3QM@00fhL00=^700020=FJ0080cJh000<0
a/400:^n002[_P000P2=]`0207:`000305ZY0015X`00AJ<00080<id00P0RU`000`0DTP0028d000R=
000200280@8008@;00<0080C001m6P00OAX00P00NB02001f9P03001c:`00LBl0074_008006hc0P00
K3H2001Y>@03001W>`00ICh006Dn008006=00P00HD800`00H4<005i5001NA@02001MAP8005]700<0
05Y8001HB@00F4T00P00EdX2001FB`03001EB`00E4`005A<008005==0`00DDd2001@CP8004m>0P00
CDh00`00Bdd004U<0019C0020018B`8004I;0P00A4X00`00@dT004580011B0020010B08003i700<0
03e7000lAP00?4H00P00>dD2000jA@03000iA000=d@003M4008003I30P00=D<3000d@P8003=10P00
<T400`00<D000310000`@004000_?`03000^?`00;Ch002dn008002dn0P00;3h3000[?@@002Xl0P00
:C`3000X>`@002Lk0`009SX2000U>P<002Di100093T3000S>0@0028h0P008SL5000Q=`L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D0024g0P008SL2000R>0D002<h100093T0
0`009CT002Dj000U>P04000V>P03000W>P009c/002Lk00@002Pk0`00:C`2000Z?08002Xm00<002/m
000/?@00;3d00P00;3h2000]?P8002hn00<002ho000_?`00;cl00P00<403000a@08003910P00<d42
000d@P03000e@P00=T<003I3008003M30P00>4@00`00>D@003Y5000jA@02000kA@8003a600<003i7
000oA`00?dL00P00@4P20012B@030013B@00ADX004E:008004I;0P00B4`2001:C003001<C@00CTh0
04i>008004m>0P00D4h00`00DDd0059=001BC@02001CC08005A<00<005E;001FB`00ET/00P00EdX2
001IB@03001JB000FdL005]7008005e60P00GTD00`00H4<00691001R@@02001T@08006Dm00<006Lk
001Z>@00JST00P00K3H2001^<P80074_00<007@Z001f9P00MRH00P00NR02001m6P0300204`00Q0/0
08@;008008P20P07S@000`0CT@008IH0026F0002032L0080@Z8000<0EZP006b^001/[P000P25]@02
0:2l00030;g3003:^000b[P00080d:L00P3FUP000`3KQ`00gWd00=im00040>1g0080gWd000<0fhL0
0=JF003FUP000P3@Y`020<Zh00030;g3002P_000X;`00080QKD00P1/[P000`1FZ000@Z8004:R0002
032L00808IH000<04i4000N=0007S@000P00R08200242`0300204`00OAX007dJ008007XP0P00MRH0
0`00M2X0074_001a;`02001^<P8006`f0P00JST00`00Ic/006Dm001U?@02001T@080069100<00613
001NA@00GTD00P00GDH2001KA`03001JB000FDT005U9008005M:0P00ET/00`00ED/005A<001DC002
001CC080059=00<0055=001@CP00D4h00P00Cdh2001>CP03001<C@00BT`004Y<008004Q<0P00AT/2
0015BP030013B@00@TT00499008004180P00?dL00`00?TL003a6000lAP02000kAP8003Y500<003U4
000hA000>4@00P00=d<2000f@`03000e@P00=48003A2008003=10P00<T43000a@08003100P00;cl0
0`00;Sl002hn000^?P02000]?P8002`n0P00;3d00`00:cd002Xm000Z?@02000Z?0<002Tl1000:3/2
000W>`03000W>P009SX002Hj008002Hj0P009CX00`009CT002@i000T>@02000T>@D002<h0P008SP3
000R=`@0024g1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo1@008CL2000R
=`80028h1@008cP4000T>@03000U>@009CX002Dj00@002Hj00<002Lj000W>`009c/01000:3/3000Y
?08002Xl0P00:Sd00`00:cd002`m000/?@02000/?P8002dn0P00;Sh00`00;Sl002lo000_?`02000`
@0<003500P00<T42000c@@8003A200<003E2000f@`00=T<00P00=d<2000hA003000iA000>TD003Y5
008003]50P00?4H00`00?TL003m7000oA`020010B080049900<004=90015BP00ADX00P00AT/20018
C08004Y<00<004a=001>CP00CTh00P00Cdh2001@CP03001AC@00DTd0059=008005=<0P00E4`00`00
ED/005I;001FB`02001GBP8005U900<005Y8001KA`00FdL00P00GDH2001NA@03001P@`00HT400691
008006A00P00ICd00`00Ic/006Xi001Z>@02001/=P8006hb0P00LBl00`00M2X007HV001f9P02001j
808007dJ00<0080C00242`00Q0/00P00R08200N=000301>A000QUP008IH00080<9`00P12XP000`1F
Z000K:h006b^000208Fe0080X;`000<0_L<00<Zh003:^0000P3@Y`020=JF00030=^7003NO@00gWd0
00@0h7L00P3NO@000`3KQ`00eYH00=JF00020=2W0080b[P000<0_L<00:2l002P_0000P25]@0206b^
000305JX0012XP00@Z800080<9`00P0QUP000`0CT@001hd000N=000200280P8008@;00<0080C001m
6P00OAX00P00NR02001f9P03001d:P00LBl0074_008006hb0P00K3H2001Z>@03001W>`00ICd006Dm
008006A00P00HT400`00H4<005i5001NA@02001MAP8005]700<005Y8001IB@00FDT00P00EdX2001F
B`03001EB`00E4`005A<008005=<0P00DTd00`00DDd0051>001@CP02001?CP8004i>00<004a=001:
C000BT`00P00B4`20016B`8004E:00<004=90012B@00@TT00P00@4P2000oA`03000nA`00?4H003a6
008003]60P00>TD00`00>D@003Q4000hA002000g@`8003I300<003E2000d@P00=4800P00<d42000b
@@<003500P00<402000_?`03000^?`00;Sh002hn008002dn0P00;3h2000/?@03000[?@00:Sd002Xm
008002Xl0`00:C`4000X>`8002Lk00<002Lj000V>P009SX00P009SX2000U>P03000U>@0093T002@i
008002@i1@008cP2000R>0<0028g10008CL70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103oool4000Q=`03000R=`008SP0028h0080028h0`008cP6000T>@03000U>@009CX002Dj00@0
02Hj00<002Lj000W>`009c/01000:3/3000Y?08002Xl0`00:cd2000/?@8002`n0P00;Ch2000^?`<0
02lo0P00<402000a@0<003910P00<d82000d@P03000e@P00=T<003I3008003M30P00>4@00`00>DD0
03Y5000jA@02000kAP8003e600<003i7000oA`00?dL00P00@DP20012B@030014BP00ADX004E:0080
04M;0P00B4`2001:C@03001<C@00CTh004i>008004m>0P00D4h00`00DDd0059=001BC@02001CC080
05A<00<005E;001FBP00ETX00P00F4X2001IB@03001JB000G4L005a7008005e60P00Gd@00`00H4<0
0691001R@@02001T?`8006Hm00<006Pk001Z>000JSP00P00K3D2001^<P80074^00<007@Z001g9@00
MbD00P00NR02001m6P0300204`00Q0/008@;008008P30P07S0000`0BT@007iH001nF000202jK0080
?Z0000<0DJH006J/001V[0000P1m/`0209Ji00030;300036`@00a/400080c;800P3AY0000`3FV000
fHh00=V>00040=Z:0080fHh000<0eYP00=6T003AY0000P3</P020<K100030;30002F^@00U[T00080
OK<00P1V[0000`1AYP00?Z0003jP000202jK00807iH000<04Y4000N<0007S0000P00R0<200242`03
00204`00OAX007dJ008007XP0P00MbD00`00M2X0074^001a;P02001^<P8006`e0P00JSP00`00J3/0
06Hm001V?@02001T?`80069100<00613001OA000Gd@00P00GDH2001LA`03001JB000FDT005U90080
05Q:0P00ETX00`00ED/005A<001DC002001CC080059=00<0055=001@CP00D4h00P00Cdh2001>CP03
001<C@00BTd004Y=008004Q<0P00Ad/20015BP030014BP00@TT00499008004580P00?dP00`00?TL0
03e6000mAP02000kAP8003Y500<003U5000hA000>4@00P00=d<2000f@`03000e@P00=48003A20080
03=20`00<T42000a@08003100`00;cl2000^?`8002dn0P00;3h2000/?@<002/m0P00:S`3000Y?0@0
02Pk0`009c/4000V>P8002Dj00<002Di000T>@0093T0100093T3000S>0@0028h00<0028g000Q=`00
8CL00P008CL70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool4000Q=`03000R
=`008SP0028h0080028h0`008cP6000T>@03000U>@009CX002Dj00@002Hj00<002Lj000W>`009c/0
1000:3/3000Y?08002Xl0`00:cd2000/?@8002`n0P00;Ch2000^?`<002lo0P00<402000a@0<00391
0P00<d82000d@P03000e@P00=T<003I3008003M30P00>4@00`00>DD003Y5000jA@02000kAP8003e6
00<003i7000oA`00?dL00P00@DP20012B@030014BP00ADX004E:008004M;0P00B4`2001:C@03001<
C@00CTh004i>008004m>0P00D4h00`00DDd0059=001BC@02001CC08005A<00<005E;001FBP00ETX0
0P00F4X2001IB@03001JB000G4L005a7008005e60P00Gd@00`00H4<00691001R@@02001T?`8006Hm
00<006Pk001Z>000JSP00P00K3D2001^<P80074^00<007@Z001g9@00MbD00P00NR02001m6P030020
4`00Q0/008@;008008P30P07S0000`0BT@007iH001nF000202jK0080?Z0000<0DJH006J/001V[000
0P1m/`0209Ji00030;300036`@00a/400080c;800P3AY0000`3FV000fHh00=V>00040=Z:0080fHh0
00<0eYP00=6T003AY0000P3</P020<K100030;30002F^@00U[T00080OK<00P1V[0000`1AYP00?Z00
03jP000202jK00807iH000<04Y4000N<0007S0000P00R0<200242`0300204`00OAX007dJ008007XP
0P00MbD00`00M2X0074^001a;P02001^<P8006`e0P00JSP00`00J3/006Hm001V?@02001T?`800691
00<00613001OA000Gd@00P00GDH2001LA`03001JB000FDT005U9008005Q:0P00ETX00`00ED/005A<
001DC002001CC080059=00<0055=001@CP00D4h00P00Cdh2001>CP03001<C@00BTd004Y=008004Q<
0P00Ad/20015BP030014BP00@TT00499008004580P00?dP00`00?TL003e6000mAP02000kAP8003Y5
00<003U5000hA000>4@00P00=d<2000f@`03000e@P00=48003A2008003=20`00<T42000a@0800310
0`00;cl2000^?`8002dn0P00;3h2000/?@<002/m0P00:S`3000Y?0@002Pk0`009c/4000V>P8002Dj
00<002Di000T>@0093T0100093T3000S>0@0028h00<0028g000Q=`008CL00P008CL70?ooo`400000
0@3oool001`0oooo00<000000?ooo`3oool0103oool4000Q=`03000R=`008SP0028h00D002<h1000
93T3000U>@H002Hj0`009c/2000X>`<002Tl0P00:S`2000Z?@<002/m0P00;3h4000]?P8002ho0`00
;cl2000`@080035000<00391000c@@00<d401000=4800`00=D<003I3000f@`02000gA08003Q400<0
03Y5000kA@00>dD00P00?4H2000mAP03000nA`00@4P00418008004580P00@TT00`00A4X004I:0016
BP020017B`8004U<0P00Bdd00`00CDh004i>001>CP02001?CP80051>00<0055=001BC@00DTd00P00
Dd`2001DC003001EB`00EdX005M:008005Q:0P00FDT00`00FTP005a7001LA`02001MA@8005m400<0
0613001R@@00HT400P00I3l2001V?@03001X>`00JSP006Xh008006`e0P00Kc82001a;P03001d:P00
MbD007LU008007XP0P00OAX00`00P1<008@<0024300200280`801H`000<0490001fE000MU@000P0[
VP0203^O000304bU001PZ`00H:/00080MK000P2;]`000`2S_@00^l800;_200020<Rl0080cK0000<0
d:H00=>N003CWP00103EVP020=>N00030=2V003=/000cK000080b;`00P2l`P000`2S_@00RkL008^g
000207F`0080H:/000<0C:D003^O000kW`000P0[VP0201fE0003016@0006S0001X`0008008P30P00
Q0`00`00P1<007dJ001m6P02001j808007LU00<007@Z001a;P00LBh00P00Kc82001/=@8006Xh00<0
06Pk001V?@00ISd00P00I3l2001R@@03001P@`00Gd@005m4008005e50P00G4L00`00FTP005U9001I
B@02001HBP8005M:00<005E;001DC000E4`00P00Dd`2001BC@03001AC@00D4h0051>008004m>0P00
CTh00`00CDh004]=001;C@020019C08004M;0P00ATX00`00A4X004990012B@020011B080041800<0
03i7000mAP00?DH00P00?4H2000kA@03000jA@00>4@003Q4008003M40P00=T<00`00=D<003A2000d
@P02000d@P8003=100<00391000a@000<D001000<4000`00;cl002ho000^?`04000]?P8002`n0`00
:cd2000Z?@8002Xl0`00:C`2000X>`<002Lk1P009SX3000U>@@002@i1@008cP2000R>003000R=`00
8CL0024g0080024g1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo10008CL0
0`008SL0028h000R>005000S>0@002@i0`009CT6000V>P<002Lk0P00:3/3000Y?08002Xl0P00:Sd3
000[?@8002`n1000;Ch2000^?`<002lo0P00<402000a@003000b@@00<d4003=100@003A200<003E3
000f@`00=T<00P00=d@2000hA003000jA@00>dD003]5008003a60P00?DH00`00?TL004180010B002
0011B080049900<004A:0016BP00ATX00P00Ad/20019C08004]=00<004e>001>CP00CTh00P00Cdh2
001@CP03001AC@00DTd0059=008005=<0P00E4`00`00ED/005M:001GBP02001HBP8005U900<005Y8
001LA`00G4L00P00GDD2001OA003001P@`00HT400691008006@o0P00ISd00`00J3/006Xh001Z>002
001/=@8006lb0P00LBh00`00M2X007LU001g9@02001j808007dJ00<0080C00243000Q0`00P00R0<2
00F<0003012@000MU@007ID00080:iX00P0kW`000`1<Y@00H:/0062[000207F`0080RkL000<0Xkd0
0;_2002k`P000P38_0020<f`00030=2V003CWP00dih000@0eIX00P3CWP000`3@YP00cK000<f`0002
0<Rl0080_<8000<0Xkd008^g002;]`000P1e/002062[000304bU000kW`00>il00080:iX00P0MU@00
0`0AT0001X`000J<000200280`8008@<00<0080C001m6P00OAX00P00NR02001g9@03001d:P00LBh0
074^008006lb0P00K3D2001Z>003001X>`00ISd006Hm008006@o0P00HT400`00H4<005m4001OA002
001MA@8005a700<005Y8001IB@00FDT00P00F4X2001GBP03001EB`00E4`005A<008005=<0P00DTd0
0`00DDd0051>001@CP02001?CP8004i>00<004e>001;C@00Bdd00P00BD`20017B`8004I:00<004A:
0012B@00@TT00P00@DP20010B003000nA`00?DH003e6008003a60P00>dD00`00>TD003Q4000hA002
000gA08003I300<003E3000d@P00=4800P00=482000c@@03000b@@00<D00035000@0031000<002lo
000^?`00;Sl01000;Ch2000/?P<002/m0P00:Sd2000Z?0<002Tl0P00:3/3000W>`H002Hj0`009CT4
000T>@D002<h0P008SP00`008SL0024g000Q=`02000Q=`L0oooo0@0000010?ooo`00703oool00`00
0000oooo0?ooo`040?ooo`80024g0P008SL3000R>0@002<h1@0093T2000U>@03000U>P009SX002Hj
008002Hj0P009cX00`009c/002Pk000X>`02000X>`<002Tl0P00:S`2000Z?@8002/m00<002`m000/
?P00;3h00P00;Ch2000^?P8002ho00<002lo000`@000<4001000<D000`00<T4003=1000c@@02000d
@P8003E200<003I3000g@`00=d<00P00>4@2000iA003000jA@00>dD003]5008003a60P00?DL00`00
?dL004180010B0020011B@8004=900<004A:0016B`00AT/00P00B4/20019C08004]=00<004e>001?
CP00Cdh00P00Cdh2001@C@03001AC@00DTd0059=008005=<0P00E4`00`00ET/005M:001GBP02001H
B@8005U900<005]8001LA`00G4L00P00GDD2001OA003001Q@P00HT400691008006@o0P00ISd00`00
J3/006Xh001Z>002001/=@8006lb0P00LBh00`00M2X007LU001g9@02001i808007dJ00<0080D0024
3000Q0`00P00Q`@200B;000300n@000KU0006i@00080:9T00P0gWP000`17X`00FJT005VY000206f^
0080PK@000<0UkT00:fo002]_`000P32a0020<Rl00030<bc003>[000cZ`000@0cjT00P3>[0000`3<
/`00b;`00<Rl00020<;40080[Kl000<0UkT008:d0022]0000P1][P0205VY000304NS000gWP00=ih0
0080:9T00P0KU0000`0?T00018/000B;00020027108008@<00<0080D001m6P00OAX00P00NR02001g
9@03001d:P00LBh0074^008006lb0P00K3D2001Z>003001X>`00ISd006Hm008006@o0P00HT400`00
HD8005m4001OA002001MA@8005a700<005]8001IB@00FDT00P00F4T2001GBP03001FB`00E4`005A<
008005=<0P00DTd00`00DDd0051=001@C@04001?CP03001=CP00Bdd004]=008004U<0P00B4/20016
B`030014BP00@dT004=9008004590P00@4P00`00?dL003e7000mA`02000lAP8003]500<003Y5000i
A000>D@00P00>4@2000g@`03000f@`00=D8003E2008003A20P00<d400`00<T400350000a@002000a
@080031000<002lo000^?`00;Sl00P00;Sh2000]?P8002`n00<002`m000[?@00:cd00P00:Sd2000Z
?0<002Tl1000:3/00`009c/002Lj000W>P04000V>P03000U>P009CT002Di00D002@i10008cP3000R
>080028g0P008CL70?ooo`4000000@3oool001`0oooo0P0000050?ooo`80024g0P008SL00`008SP0
02<h000S>004000S>0<002@i10009CT00`009CX002Hj000V>P02000V>P<002Lk1000:3/3000Y?080
02Xl1000:cd00`00;3d002`n000/?P02000]?P8002ho0`00;cl2000`@08003500`00<T42000c@P80
03A20P00=D800`00=T<003M3000g@`02000hA08003U400<003Y5000kAP00>dH00P00?4H2000nA`03
000oA`00@4P00418008004990P00@dT00`00ADX004I;0016B`020018C08004Y<0P00C4d00`00CDh0
04m>001?CP02001@CP80055=00<0059=001CC@00Ddd00P00E4`2001EB`03001FB`00EdX005M:0080
05Q90P00FDP00`00FdL005a6001LAP02001NA@8005m400<00652001R@@00HT400P00I3l2001V?@03
001X>P00JSP006Xh008006`e0P00Kc82001a;P03001d:P00MRH007HV008007TP0P00O1/00`00P1@0
08<=00233@0200271@800h/000<03Hl001RC000HT`000P0UV00203>M000304:R001CY`00DjL00080
IJ`00P1h/@000`2;]P00Wk/009nk00020;700080`/@000<0akh00<Vi0039^@00103:]P020<Vi0003
0<Nn0032a000`/@00080/L000P2O^`000`2;]P00N;4007Ra000206F/0080DjL000<0@Z8003>M000c
W@000P0UV00201VC000300f?0003R`000h/0008008L50P00P`d00`00P1@007`K001l6`02001i8080
07HU00<007@Z001a;P00LBh00P00Kc82001/=@8006Xh00<006Pj001V?@00ISd00P00I3l2001R@@03
001Q@P00Gd@005m4008005i50P00G4H00`00FdL005U8001IB002001HB@8005M:00<005I;001EB`00
ED/00P00E4`2001CC@03001BC@00DDd0055=0080051>0P00Cdh00`00CDh004a=001<C@02001:C080
04Q<0P00AT/00`00ADX004=90013B@020012B@80041800<003m7000nA`00?TL00P00?4H2000kAP03
000jA@00>D@003U4008003Q40P00=d<00`00=T<003E2000e@P02000d@P8003=20`00<T42000a@080
03100`00;cl2000^?`8002dn0P00;3h00`00;3d002/m000[?@02000[?@8002Xl0`00:C`4000X>`<0
02Lk10009SX00`009CX002Di000U>@02000U>@<002@i1P008cP00`008SP0028g000R=`02000Q=`H0
oooo0P0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`80024g0P008SL00`008SP002<h
000S>004000S>0<002@i10009CT00`009CX002Hj000V>P02000V>P<002Lk1000:3/3000Y?08002Xl
1000:cd00`00;3d002`n000/?P02000]?P8002ho0`00;cl2000`@08003500`00<T42000c@P8003A2
0P00=D800`00=T<003M3000g@`02000hA08003U400<003Y5000kAP00>dH00P00?4H2000nA`03000o
A`00@4P00418008004990P00@dT00`00ADX004I;0016B`020018C08004Y<0P00C4d00`00CDh004m>
001?CP02001@CP80055=00<0059=001CC@00Ddd00P00E4`2001EB`03001FB`00EdX005M:008005Q9
0P00FDP00`00FdL005a6001LAP02001NA@8005m400<00652001R@@00HT400P00I3l2001V?@03001X
>P00JSP006Xh008006`e0P00Kc82001a;P03001d:P00MRH007HV008007TP0P00O1/00`00P1@008<=
00233@0200271@800h/000<03Hl001RC000HT`000P0UV00203>M000304:R001CY`00DjL00080IJ`0
0P1h/@000`2;]P00Wk/009nk00020;700080`/@000<0akh00<Vi0039^@00103:]P020<Vi00030<Nn
0032a000`/@00080/L000P2O^`000`2;]P00N;4007Ra000206F/0080DjL000<0@Z8003>M000cW@00
0P0UV00201VC000300f?0003R`000h/0008008L50P00P`d00`00P1@007`K001l6`02001i808007HU
00<007@Z001a;P00LBh00P00Kc82001/=@8006Xh00<006Pj001V?@00ISd00P00I3l2001R@@03001Q
@P00Gd@005m4008005i50P00G4H00`00FdL005U8001IB002001HB@8005M:00<005I;001EB`00ED/0
0P00E4`2001CC@03001BC@00DDd0055=0080051>0P00Cdh00`00CDh004a=001<C@02001:C08004Q<
0P00AT/00`00ADX004=90013B@020012B@80041800<003m7000nA`00?TL00P00?4H2000kAP03000j
A@00>D@003U4008003Q40P00=d<00`00=T<003E2000e@P02000d@P8003=20`00<T42000a@0800310
0`00;cl2000^?`8002dn0P00;3h00`00;3d002/m000[?@02000[?@8002Xl0`00:C`4000X>`<002Lk
10009SX00`009CX002Di000U>@02000U>@<002@i1P008cP00`008SP0028g000R=`02000Q=`L0oooo
0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`80028g0`008SP6000S>0<002@i0P00
9CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`00`00:S`002Xm000Z?@04000[?@03000/?P00
;Ch002dn008002dn0P00;Sl2000_?`<003100P00<D02000b@@03000c@@00=48003A2008003A20P00
=D<00`00=T<003M4000gA002000hA08003U500<003Y5000lAP00?4H00P00?DH2000nA`03000oB000
@DP00458008004990P00A4X00`00ADX004M;0017B`020018C08004Y<0P00C4d00`00CTh004m>001?
CP02001@CP80055=00<0059=001CC000Dd`00P00E4`2001EB`03001FB`00EdX005M:008005Q90P00
FTP00`00FdL005a6001LAP02001NA@8005m400<00652001S@000Hd000P00I3l2001V?@03001X>P00
JSP006Xh008006`e0P00Kc82001a;P03001d:P00MRH007HV008007TQ0P00O1/00`00OaD008<>0023
3P0200261P800XX000<02hh001JB000FTP000P0RU`0202nK000303fP001=Y@00CJD00080GJX00P1^
[`000`20]000TKP0096h00020::l0080/<0000<0_<<00<G40035a0001036`P020<G400030;c3002`
`000/<000080X[`00P2A^0000`20]000Kjl006n_000205fZ0080CJD000<0?J0002nK000_V`000P0R
U`0201JB000300^>0002RP000XX0008008H60P00P`h00`00OaD007`K001l6`02001i8@8007HV00<0
07@Z001a;P00LBh00P00Kc82001/=@8006Xh00<006Pj001V?@00ISd00P00I3l2001S@003001Q@P00
Gd@005m4008005i50P00G4H00`00FdL005Y8001JB002001HB@8005M:00<005I;001EB`00ED/00P00
E4`2001CC003001BC@00DDd0055=0080051>0P00Cdh00`00CTh004a=001<C@02001:C08004Q<0P00
Ad/00`00ADX004A:0014BP020012B@80045800<003m8000nA`00?TL00P00?DH2000lAP03000jA@00
>DD003U5008003Q40P00=d@00`00=T<003E3000e@`04000d@P03000c@@00<T400391008003500`00
<402000_?`8002ho1000;Ch00`00;3h002/m000[?@02000[?@8002Xm00<002Xl000Y?000:C`00P00
:C`3000X>`8002Lk0P009cX3000V>P8002Dj0P009CT3000T>@H002<h0`008SP2000R=`L0oooo0@00
00010?ooo`00703oool00`000000oooo0?ooo`040?ooo`80028g0`008SP6000S>0<002@i0P009CT2
000U>P<002Hj0P009cX2000W>`<002Pk1000:C`00`00:S`002Xm000Z?@04000[?@03000/?P00;Ch0
02dn008002dn0P00;Sl2000_?`<003100P00<D02000b@@03000c@@00=48003A2008003A20P00=D<0
0`00=T<003M4000gA002000hA08003U500<003Y5000lAP00?4H00P00?DH2000nA`03000oB000@DP0
0458008004990P00A4X00`00ADX004M;0017B`020018C08004Y<0P00C4d00`00CTh004m>001?CP02
001@CP80055=00<0059=001CC000Dd`00P00E4`2001EB`03001FB`00EdX005M:008005Q90P00FTP0
0`00FdL005a6001LAP02001NA@8005m400<00652001S@000Hd000P00I3l2001V?@03001X>P00JSP0
06Xh008006`e0P00Kc82001a;P03001d:P00MRH007HV008007TQ0P00O1/00`00OaD008<>00233P02
00261P800XX000<02hh001JB000FTP000P0RU`0202nK000303fP001=Y@00CJD00080GJX00P1^[`00
0`20]000TKP0096h00020::l0080/<0000<0_<<00<G40035a0001036`P020<G400030;c3002``000
/<000080X[`00P2A^0000`20]000Kjl006n_000205fZ0080CJD000<0?J0002nK000_V`000P0RU`02
01JB000300^>0002RP000XX0008008H60P00P`h00`00OaD007`K001l6`02001i8@8007HV00<007@Z
001a;P00LBh00P00Kc82001/=@8006Xh00<006Pj001V?@00ISd00P00I3l2001S@003001Q@P00Gd@0
05m4008005i50P00G4H00`00FdL005Y8001JB002001HB@8005M:00<005I;001EB`00ED/00P00E4`2
001CC003001BC@00DDd0055=0080051>0P00Cdh00`00CTh004a=001<C@02001:C08004Q<0P00Ad/0
0`00ADX004A:0014BP020012B@80045800<003m8000nA`00?TL00P00?DH2000lAP03000jA@00>DD0
03U5008003Q40P00=d@00`00=T<003E3000e@`04000d@P03000c@@00<T400391008003500`00<402
000_?`8002ho1000;Ch00`00;3h002/m000[?@02000[?@8002Xm00<002Xl000Y?000:C`00P00:C`3
000X>`8002Lk0P009cX3000V>P8002Dj0P009CT3000T>@H002<h0`008SP2000R=`L0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`040?ooo`80028g0`008SP4000S>0D002@i0P009CT2000U
>P<002Hj0P009cX2000W>`<002Pk1000:C`00`00:S`002Xm000Z?@02000[?@8002`m00<002`n000]
?P00;Ch00P00;Sh2000^?`8002lo00<00310000a@000<D000P00<D02000b@@03000c@@00=48003A2
008003E20P00=T<00`00=d<003Q4000hA002000iA08003Y500<003]5000lAP00?4H00P00?DH2000n
A`030010B000@DP00458008004990P00A4X00`00ADX004M;0017B`020019C08004Y=0P00C4d00`00
CTh004m>001?CP02001@CP80055=00<0059=001CC000Dd`00P00E4`2001EB`03001FB`00EdX005M:
008005U90P00FTP00`00FdL005a6001LAP02001NA@8005m400<00652001S@000Hd000P00I3l2001V
?003001X>P00JSP006Xh008006`e0P00Kc82001a;P03001d:P00MRH007HV008007TQ0P00O1`00`00
OaH0088?00223`0200261`8008X000<02Hd001BA000DT@000P0OUP0202^J000303RO0017X`00Aj<0
0080EZP00P1U[0000`1e/@00QKD008Fe000209>i0080X;`000<0Zkh00;;0002b`000102f`@020;;0
00030:^n002P_000X;`00080TkT00P25]@000`1e/@00IJ`006F/000205JX0080Aj<000<0>Il002^J
000[VP000P0OUP0201BA000300V=0000RP0008X0008008H70P00PPl00`00OaD007`L001l7002001i
8@8007HV00<007@Z001a;P00LBh00P00Kc82001/=@8006Xh00<006Pj001V?000IS`00P00I3l2001S
@003001Q@P00Gd@005m4008005i50P00G4H00`00FdL005Y8001JB002001IB@8005M:00<005I;001E
B`00ED/00P00E4`2001CC003001BC@00DDd0055=0080051>0P00Cdh00`00CTh004a=001<C@02001:
C@8004U<0P00Ad/00`00ADX004A:0014BP020012B@80045800<00418000nA`00?TL00P00?DH2000l
AP03000kA@00>TD003Y5008003U40P00>4@00`00=d<003I3000f@`02000e@P8003A200<003=1000b
@@00<T401000<D000`00<40002lo000_?`02000^?`8002hn0P00;Ch00`00;3h002`m000/?@02000[
?@8002Xm00<002Xl000Y?000:C`00P00:C`3000X>`8002Lk0P009cX3000V>P8002Dj0P009CT5000T
>@@002<h0`008SP2000R=`L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`80
028g0`008SP4000S>0D002@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`00`00:S`0
02Xm000Z?@02000[?@8002`m00<002`n000]?P00;Ch00P00;Sh2000^?`8002lo00<00310000a@000
<D000P00<D02000b@@03000c@@00=48003A2008003E20P00=T<00`00=d<003Q4000hA002000iA080
03Y500<003]5000lAP00?4H00P00?DH2000nA`030010B000@DP00458008004990P00A4X00`00ADX0
04M;0017B`020019C08004Y=0P00C4d00`00CTh004m>001?CP02001@CP80055=00<0059=001CC000
Dd`00P00E4`2001EB`03001FB`00EdX005M:008005U90P00FTP00`00FdL005a6001LAP02001NA@80
05m400<00652001S@000Hd000P00I3l2001V?003001X>P00JSP006Xh008006`e0P00Kc82001a;P03
001d:P00MRH007HV008007TQ0P00O1`00`00OaH0088?00223`0200261`8008X000<02Hd001BA000D
T@000P0OUP0202^J000303RO0017X`00Aj<00080EZP00P1U[0000`1e/@00QKD008Fe000209>i0080
X;`000<0Zkh00;;0002b`000102f`@020;;000030:^n002P_000X;`00080TkT00P25]@000`1e/@00
IJ`006F/000205JX0080Aj<000<0>Il002^J000[VP000P0OUP0201BA000300V=0000RP0008X00080
08H70P00PPl00`00OaD007`L001l7002001i8@8007HV00<007@Z001a;P00LBh00P00Kc82001/=@80
06Xh00<006Pj001V?000IS`00P00I3l2001S@003001Q@P00Gd@005m4008005i50P00G4H00`00FdL0
05Y8001JB002001IB@8005M:00<005I;001EB`00ED/00P00E4`2001CC003001BC@00DDd0055=0080
051>0P00Cdh00`00CTh004a=001<C@02001:C@8004U<0P00Ad/00`00ADX004A:0014BP020012B@80
045800<00418000nA`00?TL00P00?DH2000lAP03000kA@00>TD003Y5008003U40P00>4@00`00=d<0
03I3000f@`02000e@P8003A200<003=1000b@@00<T401000<D000`00<40002lo000_?`02000^?`80
02hn0P00;Ch00`00;3h002`m000/?@02000[?@8002Xm00<002Xl000Y?000:C`00P00:C`3000X>`80
02Lk0P009cX3000V>P8002Dj0P009CT5000T>@@002<h0`008SP2000R=`L0oooo0@0000010?ooo`00
703oool00`000000oooo0?ooo`040?ooo`80028g0P008SP5000S>0<002@i10009CT5000V>P@002Lk
0`00:3/2000Y?0<002Xl1000:cd2000/?@<002dn0P00;Sl4000_?`03000`@000<D00035000@00391
00<003=1000d@P00=4800P00=D82000f@`03000g@`00>4@003Q4008003U40P00>TD00`00>dD003a6
000lAP02000mA`8003m700<004180011B000@DP00P00@dT20014BP030016B`00Ad/004M;008004U<
0P00Bdd2001=CP03001>CP00Cdh004m>0080051>0P00DDd00`00DTd005=<001CC002001DC08005E;
00<005I;001GBP00EdX00P00FDT2001JB003001KA`00GDH005e6008005i50P00H4<00`00HD8006=0
001S@002001U?P8006Hl00<006Pj001Z>000JSP00P00K3D2001_<P80074^00<007<Z001f9P00MRH0
0P00NB42001l7003001o5P00PQ00088@008008D90P00R@400`07S@004I00016@000201bD00809iT0
00<0=9d0046Q0011X@000P1?Y@0205fZ000306^^001i/P00NK800080Q[D00P2A^0000`2K^P00XK`0
0:6l00040:Bm0080XK`000<0VkX0096h002A^0000P26]@0207Vb000306^^001MZP00GJX00080CjD0
0P11X@000`0dW@009iT002NI000201bE00804I0000<01hd000290000R@000P00Q@P200224003001o
5P00O1`007`L008007TQ0P00MRH00`00LbX0074^001a;P02001_<P8006`e0P00JSP00`00J3X006Hl
001V?002001U?P8006=000<00652001P@`00H4<00P00GTD2001MAP03001KA`00FTP005Y8008005U9
0P00EdX00`00ET/005E;001EB`02001DC08005=<00<0059=001AC@00DDd00P00D4h2001?CP03001>
CP00CDh004e>008004]=0P00BD`20017B`030016B`00A4X004A:008004=90P00@DT00`00@4P003m7
000oA`02000mA`8003a600<003]5000jA@00>TD00P00>D@2000hA003000g@`00=T<003I3008003E2
0P00=4800`00<d400391000b@@02000b@@80035000<00310000_?`00;cl00P00;cl2000^?`<002dn
0P00;3d4000[?@<002Xl0P00:C`3000X>`@002Lk1@009SX4000U>@<002@i1@008cP2000R>080028g
1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo10008SP3000S>0D002@i0P00
9CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`2000Z?003000Z?@00:cd002/m008002/m0P00
;3h3000]?P8002ho1000;cl00`00<4000350000a@002000b@@8003=100<003=2000d@P00=4800P00
=D<2000f@`03000gA000>4@003Q4008003U50P00>TD00`00>dH003e6000mAP02000nA`8003m700<0
04180012B@00@TT00P00@dT20015BP030016B`00B4/004Q;008004U<0P00Bdd2001=CP<004m>0P00
D4h2001AC@03001BC@00Dd`005=<008005A<0P00ED/00`00ETX005Q:001HBP02001IB@8005Y800<0
05]7001MAP00GDH00P00GTD2001P@`03001Q@P00Hd0006=0008006Dn0P00IS`00`00J3X006Xh001Z
>002001/=@8006lb0P00LBh00`00Lb/007HV001f9P02001i8P8007/M00<007hG00214@00PA400P00
Q@X200280P0300F<000>S`003Xl0008069<00P0SU`000`0_V`00>il003^O000204NS0080E:L000<0
HJ/006j_001^[`000P1i/P0208>d000308bg002A^000TKP000@0U;T00P2A^0000`2<]`00Pk@008>d
000207Vb0080KZl000<0HJ/005BW001DY`000P18X`0203^O000302nK000SU`008iL0008069<00P0>
S`000`05S00008P200280P0200252P80088A00<007hG001k7@00Nad00P00NB82001f9P03001c:`00
LBh0074^008006lb0P00K3D2001Z>003001X>P00IS`006Hl008006Dn0P00Hd000`00HD800613001P
@`02001NA@8005e600<005]7001JB000FTP00P00FDT2001HBP03001FBP00ED/005E;008005A<0P00
Dd`00`00DTd0055=001AC@02001@CP<004m>0P00CDh2001;C@8004U<0P00B4/00`00AT/004E:0015
BP020013B@80049900<00418000oA`00?dL00P00?TL2000mAP03000kAP00>TD003Y5008003U50P00
>4@00`00=d@003I3000f@`02000e@`8003A200<003=2000c@@00<d400P00<T42000a@003000`@000
;cl002lo008002lo0P00;Sl3000]?P8002`n1000:cd00`00:Sd002Xl000Z?004000Y?0<002Pk0P00
9c/2000W>P<002Hj0P009CX2000U>@D002@i0`008cP4000R>0L0oooo0@0000010?ooo`00703oool0
0`000000oooo0?ooo`040?ooo`@0028h0`008cP5000T>@8002Di0P009CX3000V>P8002Lj0P009c/3
000X>`@002Tl0P00:S`00`00:Sd002/m000[?@02000[?@8002`n0`00;Ch2000^?`@002lo00<00310
000a@000<D000P00<T42000c@@03000c@P00=48003A2008003E30P00=T<00`00=d@003Q4000hA002
000iA@8003Y500<003]6000mAP00?DH00P00?TL2000oA`030010B000@TT00499008004=90P00ADX0
0`00AT/004Q;0018B`020019C08004]=0P00CDh3001?CP80051>0P00DDd00`00DTd005=<001CC002
001DC08005E;00<005I:001HBP00F4X00P00FDT2001JB003001KA`00GDH005e6008005i50P00H4<0
0`00HD8006=0001S@002001U?P8006Hl00<006Pj001Z>000JSP00P00K3D2001_<P80074^00<007<[
001f9P00MRH00P00NB82001k7@03001n5`00PA40084A008008D:0P00R0800`05S0003Xl000j?0002
01RC00808iL000<0;i/003^O000kW`000P17X`0205BW0003066[001^[`00KZl00080NK800P23]000
0`2<]`00TKP0096h000409Bi0080TKP000<0S;L008>d0023]0000P1i/P0206j_0003066[001DY`00
E:L00080B:<00P0kW`000`0_V`008iL002>G000201RC00803Xl000<01H`000280P00R0800P00Q@X2
00224@03001n5`00Nad007/M008007TR0P00MRH00`00Lb/0074^001a;P02001_<P8006`e0P00JSP0
0`00J3X006Hl001V?002001U?P8006=000<00652001P@`00H4<00P00GTD2001MAP03001KA`00FTP0
05Y8008005U90P00F4X00`00ETX005E;001EB`02001DC08005=<00<0059=001AC@00DDd00P00D4h3
001?CP8004e>0P00Bdd20019C08004Q;00<004I;0015BP00ADX00P00@dT20012B@030010B000?dL0
03m7008003i70P00?DH00`00>dH003Y5000jA@02000iA@8003Q400<003M4000f@`00=T<00P00=D<2
000d@P03000c@P00<d4003=1008003910P00<D000`00<40002lo000_?`02000_?`8002ho0`00;Ch2
000/?P@002/m00<002Xm000Z?000:S`01000:C`3000X>`8002Lk0P009cX3000V>P8002Dj0P009CT5
000T>@<002<h10008SP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000R
>0D002<h100093T3000U>@8002Dj0`009SX4000W>`<002Pk1000:C`2000Z?003000Z?@00:cd002/m
008002`m0P00;3h00`00;Ch002hn000^?P02000^?`8002lo0`00<402000a@08003910P00<d400`00
=48003E2000e@P02000e@`8003I300<003M4000hA000>4@00P00>DD2000kA@03000lAP00?DH003e6
008003i70P00?dP00`00@DP004990012B@020013B@8004E:00<004I;0018C000B4`00P00BT`2001<
C@8004e>00<004m>001@CP00D4h00P00D4d2001AC@03001BC@00Dd`005=<008005A<0P00ED/00`00
EdX005Q:001HBP02001IB@8005Y800<005]7001MAP00GDH00P00GTD2001P@`03001Q@P00Hd0006=0
008006Dn0P00IS`00`00J3X006Xh001Z>002001/=@8006lb0P00LBl00`00Lb/007HW001f9`02001h
8P8007/M00<007hH00214P00PA800P00Q0/20027100300>;000<SP0038h000805I800P0OUP000`0Z
VP00=Id003FM0002046Q0080C:D000<0F:P006>/001S[0000P1^[P0207Ja000307jc0023]000Pk@0
00@0QKD00P23]0000`1n/`00M[4007Ja000206j^0080Hj`000<0F:P004bU001<Y@000P11X@0203FM
000302ZJ000OUP007iH000805I800P0<SP000`03R`0008L40027100200242`80084B00<007hH001k
7@00Nad00P00N282001f9`03001c:`00LBl0074_008006lb0P00K3D2001Z>003001X>P00IS`006Hl
008006Dn0P00Hd000`00HD800613001P@`02001NA@8005e600<005]7001JB000FTP00P00FDT2001H
BP03001GBP00ED/005E;008005A<0P00Dd`00`00DTd0055=001AC@02001@C@80051>00<004m>001=
CP00CDh00P00C4d2001:C08004Q<00<004I;0015BP00ADX00P00@dT20012B@030011B000?dP003m8
008003i70P00?DH00`00?4H003]5000kA@02000iA@8003Q400<003M4000f@`00=T<00P00=D<2000e
@P03000d@P00<d4003=1008003910P00<D03000`@08002lo0P00;Sl2000^?P03000]?P00;3h002`n
008002`m0P00:cd00`00:Sd002Xl000Z?004000Y?0<002Pk10009c/3000V>P8002Dj0`009CT4000T
>@D002<h0P008SP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000R>0D0
02<h100093T3000U>@8002Dj0`009SX4000W>`<002Pk1000:C`2000Z?003000Z?@00:cd002/m0080
02`m0P00;3h00`00;Ch002hn000^?P02000^?`8002lo0`00<402000a@08003910P00<d400`00=480
03E2000e@P02000e@`8003I300<003M4000hA000>4@00P00>DD2000kA@03000lAP00?DH003e60080
03i70P00?dP00`00@DP004990012B@020013B@8004E:00<004I;0018C000B4`00P00BT`2001<C@80
04e>00<004m>001@CP00D4h00P00D4d2001AC@03001BC@00Dd`005=<008005A<0P00ED/00`00EdX0
05Q:001HBP02001IB@8005Y800<005]7001MAP00GDH00P00GTD2001P@`03001Q@P00Hd0006=00080
06Dn0P00IS`00`00J3X006Xh001Z>002001/=@8006lb0P00LBl00`00Lb/007HW001f9`02001h8P80
07/M00<007hH00214P00PA800P00Q0/20027100300>;000<SP0038h000805I800P0OUP000`0ZVP00
=Id003FM0002046Q0080C:D000<0F:P006>/001S[0000P1^[P0207Ja000307jc0023]000Pk@000@0
QKD00P23]0000`1n/`00M[4007Ja000206j^0080Hj`000<0F:P004bU001<Y@000P11X@0203FM0003
02ZJ000OUP007iH000805I800P0<SP000`03R`0008L40027100200242`80084B00<007hH001k7@00
Nad00P00N282001f9`03001c:`00LBl0074_008006lb0P00K3D2001Z>003001X>P00IS`006Hl0080
06Dn0P00Hd000`00HD800613001P@`02001NA@8005e600<005]7001JB000FTP00P00FDT2001HBP03
001GBP00ED/005E;008005A<0P00Dd`00`00DTd0055=001AC@02001@C@80051>00<004m>001=CP00
CDh00P00C4d2001:C08004Q<00<004I;0015BP00ADX00P00@dT20012B@030011B000?dP003m80080
03i70P00?DH00`00?4H003]5000kA@02000iA@8003Q400<003M4000f@`00=T<00P00=D<2000e@P03
000d@P00<d4003=1008003910P00<D03000`@08002lo0P00;Sl2000^?P03000]?P00;3h002`n0080
02`m0P00:cd00`00:Sd002Xl000Z?004000Y?0<002Pk10009c/3000V>P8002Dj0`009CT4000T>@D0
02<h0P008SP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000R>0D002<h
100093T00`009CT002Dj000U>P05000V>P@002Lk0P00:3/00`00:3`002Tl000Y?004000Z?0<002/m
0P00;3d2000/?P03000]?P00;Sl002ho008002ho0P00;cl2000`@003000a@000<D40035100800391
0P00<d400`00=48003E2000e@P02000f@`8003M300<003Q4000iA000>D@00P00>TD2000kA@03000l
AP00?DH003e6008003i70P00@4P00`00@DP004990012B@020014BP8004E:00<004M;0018C000B4`0
0P00BT`2001<C@8004i>00<004m>001@CP00D4h00P00DDd3001BC@8005=<0P00E4`2001FB`03001G
BP00F4X005Q:008005U90P00FTP00`00G4L005e6001MAP02001NA@80061300<00652001S@000Hd00
0P00ICh2001V?003001X>P00JSP006Xh008006`e0P00KS82001a;`03001c:`00MBL007DW008007PS
0P00Nah00`00OAT0080C00204`0200233@8008L600<00HX000V=0009S@000P0BT@0201^D000302FH
000_V`00;i/00080>Yl00P15XP000`1?YP00FJT005VY000206:[0080JZh000<0LJl007Fa001e/@00
101h/@0207Fa0003076_001Z[P00JZh00080Hj/00P1IZ@000`1?YP00AJ8004FR000203ZO0080;i/0
00<09IP001^D000KU0000P0BT@0200V=0003006:0000Q`H008L6008008<=0P00P1<00`00OAT007/N
001k7P02001h8`8007DW00<007<[001a;`00LBl00P00KS82001/=@8006Xh00<006Pj001V?000IS`0
0P00ICh2001S@003001Q@P00H4<00613008005i50P00GDH00`00G4L005Y8001JB002001IB@8005Q:
00<005M:001FB`00ET/00P00ED`2001CC0<0059=0P00DDd2001@CP03001?CP00CTh004i>008004a=
0P00BT`20018C0030017B`00ADX004E:008004A:0P00@TT00`00@DP004180010B002000nA`8003e6
00<003a6000kA@00>dD00P00>TD2000iA003000hA000=d<003M3008003I30P00=D800`00=48003=1
000c@@02000b@@80035100<00350000`@000<4000P00;cl4000^?`03000]?P00;3h002`n008002`m
0`00:cd4000Z?08002Tl00<002Pl000X>`00:3/010009c/5000V>P8002Dj00<002Di000T>@0093T0
0P0093T5000S>080028h1`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo0P00
8SP5000S>0@002@i00<002Di000U>P009CX01@009SX4000W>`8002Pk00<002Pl000Y?000:C`01000
:S`3000[?@8002`m0P00;3h00`00;Ch002ho000^?`02000^?`8002lo0P00<4000`00<D000351000a
@@02000b@@8003=100<003A2000e@P00=D800P00=T<2000g@`03000hA000>D@003U4008003Y50P00
>dD00`00?4H003e6000mAP02000nA`80041800<004580012B@00@TT00P00A4X20015BP030017B`00
B4`004Q<008004Y<0P00C4d2001>CP03001?CP00D4h0051>0080055=0`00DTd2001CC08005A<0P00
ET/00`00EdX005Q:001HBP02001IB@8005Y800<005a7001MAP00GDH00P00GTD2001P@`03001Q@P00
Hd0006=0008006Dn0P00IS`00`00J3X006Xh001Z>002001/=@8006hb0P00LBl00`00Lb/007DW001e
9`02001h8`8007/N00<007dI00204`00P1<00P00P`d200271P03006:0009S@002Hd000804Y400P0K
U0000`0UV000;i/002nK000203ZO0080AJ8000<0CjH005VY001IZ@000P1RZ`0206Z^0003076_001e
/@00MK4000@0N;400P1e/@000`1a[`00JZh006Z^000206>[0080FJT000<0CjH004FR0015XP000P0j
W`0202nK000302FH000KU0006i@000804Y400P09S@000`01RP0008L600271P0200233@80080C00<0
07dI001k7P00Nah00P00N2<2001e9`03001c:`00LBl0074_008006hb0P00K3D2001Z>003001X>P00
IS`006Hl008006Dn0P00Hd000`00HD800613001P@`02001NA@8005e600<005a7001JB000FTP00P00
FDT2001HBP03001GBP00ET/005I;008005E<0P00Dd`3001BC@80055=0P00D4h00`00Cdh004i>001>
CP02001<C@8004Y<0P00B4`00`00Ad/004E:0015BP020014BP80049900<004580010B000@4P00P00
?TL2000mAP03000lAP00>dD003]5008003Y50P00>D@00`00>4@003M3000g@`02000f@`8003E200<0
03A2000c@@00<d400P00<T42000a@@03000a@000<4000310008002lo1000;Sl00`00;Ch002`n000/
?P02000/?@<002/m1000:S`2000Y?003000X?000:3/002Pk00@002Lk1@009SX2000U>P03000U>@00
93T002@i008002@i1@008cP2000R>0L0oooo0@0000010?ooo`00203oool2000000@0oooo00<00000
0?ooo`3oool00P3oool3000000H0oooo00<000000?ooo`3oool0103oool2000R>0<002<h1P0093T0
0`009CT002Dj000U>P04000V>P03000W>P009c/002Lk00@002Pk0`00:C`2000Z?08002Xm0`00:cd2
000/?P<002dn0P00;Sl4000_?`80031000<00350000b@@00<T400P00<T42000c@P03000d@P00=D80
03E2008003I30P00=d<00`00>4@003U4000iA002000jA@8003]500<003a6000mA`00?DL00P00?dL2
0010B0030011B000@dT004=9008004A:0P00ATX00`00Ad/004U<0019C002001:C@8004a=0P00CTh0
0`00Cdh0051>001@CP02001AC@80059=00<005==001DC000E4`00P00ED/2001FB`03001GBP00F4T0
05Q9008005U90P00FTP00`00G4L005e6001MAP02001NA080061300<00652001S@000Hd000P00ICh2
001V?003001X>P00JSP006Xh008006`e0P00KS82001`;`03001c;000MBP007DX008007PT0P00NQl0
0`00OAX0080D0020500200233P8008H800<008T000J<0006S0000P0>S`0201NC0003022F000ZVP00
:YX00080=9d00P0mX0000`17X`00D:H0052V000205RX0080GjX000<0IJ`006V]001Y[@00101[[P02
06V]000306F/001OZP00GjX00080F:P00P1@YP000`17X`00?J0003fP000203BM0080:YX000<089H0
01NC000GT`000P0?T00200J<000300290000QPP008H8008008<>0P00P1@00`00OAX007XO001j7`02
001h908007DX00<007</001`;`00L2l00P00KS82001/=@8006Xh00<006Pj001V?000IS`00P00ICh2
001S@003001Q@P00H4<00613008005i40P00GDH00`00G4L005Y8001JB002001IB@8005Q900<005M:
001FB`00ET/00P00ED/2001DC003001CC@00DTd0059=0080055=0P00D4h00`00Cdh004i>001>CP02
001<C@8004Y=0P00BD`00`00Ad/004I:0016BP020014BP8004=900<004580010B000@4P00P00?dL2
000mA`03000lAP00>dD003]5008003Y50P00>D@00`00>4@003M3000g@`02000f@`8003E200<003A2
000c@P00<d801000<T400`00<D000310000`@004000_?`8002ho0`00;Ch2000/?P<002/m0P00:Sd2
000Z?0<002Tl1000:3/2000W>`03000W>P009SX002Hj008002Hj0P009CX00`009CT002@i000T>@04
000T>@<002<h0P008SP70?ooo`4000000@3oool000L0oooo00@000000?ooo`3oool000001`3oool0
1@000000oooo0?ooo`3oool0000000D0oooo00<000000?ooo`3oool0103oool5000S>0@002@i0`00
9CT2000U>P@002Hj0`009c/4000X>`<002Tl0P00:S`2000Z?@03000[?@00;3d002`m008002`n0P00
;Ch00`00;Sh002ho000^?`02000_?`@0031000<00350000b@@00<T400P00<d43000d@P8003E30P00
=T<2000gA003000hA000>DD003U5008003Y50P00>dH00`00?4H003i7000nA`02000oA`80041800<0
04590013B@00@dT00P00A4X20016B`030017B`00BD`004U<008004]=0P00C4d2001>CP03001?CP00
D4h0051>0080055=0P00DTd00`00Dd`005A<001DC002001EB`8005I;00<005M:001HB@00F4T00P00
FDT2001JB003001LA`00GDH005e6008005i40P00H4<00`00HD8006=0001S@002001U?P8006Hl00<0
06Pj001Z>000JSP00P00K3D2001^<`80070_00<0078/001e:000MBP00P00Mb@2001j8003001l6`00
OaH007lF0080088@0P00Q@T00`00R0<018/000B;000200^>00804i4000<079D002FH000UV0000P0^
V`0203JN000303nQ0017X`00Aj<00080CZD00P1EY`000`1JZ@00GJX005fZ000405nZ0080GJX000<0
FZT005FW001EY`000P1?Y@0204NS000303nQ000fWP00=Yh00080;Y/00P0UV0000`0LU@004i4001>A
000200^>008018/000<008P300252@00Q@T00P00PQ02001o5P03001l6`00NR0007XP008007LT0P00
MBP00`00LR`0070_001`;`02001^<`8006`e0P00JSP00`00J3X006Hl001V?002001U?P8006=000<0
0652001P@`00H4<00P00GT@2001MAP03001LA`00FTP005Y8008005U90P00F4T00`00EdX005I;001F
B`02001EB`8005A<00<005=<001BC@00DTd00P00DDd2001@CP03001?CP00CTh004i>008004a=0P00
Bdd20019C0030017B`00AT/004I;008004A:0P00@dT00`00@DT004180010B002000oA`8003i700<0
03a6000kAP00>dH00P00>TD2000iA@03000hA000=d@003M4008003I30P00=D<3000d@P8003=10P00
<T400`00<D000310000`@002000`@08002lo0P00;Sl00`00;Sh002dn000]?P02000/?P8002`m00<0
02/m000Z?@00:Sd00P00:S`3000Y?0@002Pk0`009c/4000V>P8002Dj0`009CT4000T>@D002<h1`3o
ool100000040oooo00070?ooo`040000003oool0oooo000000L0oooo00D000000?ooo`3oool0oooo
000000050?ooo`030000003oool0oooo00@0oooo1@008cP4000T>@<002Di0P009CX4000V>P<002Lk
1000:3/3000Y?08002Xl0P00:Sd00`00:cd002`m000/?@02000/?P8002dn00<002hn000^?`00;Sl0
0P00;cl4000`@003000a@000<T400391008003=10`00=482000e@`8003I30P00=d@00`00>4@003U5
000iA@02000jA@8003]600<003a6000nA`00?TL00P00?dL20010B0030011B@00@dT004=9008004A:
0P00AT/00`00Ad/004U<0019C002001;C@8004a=0P00CTh00`00Cdh0051>001@CP02001AC@80059=
00<005=<001DC000E4`00P00ED/2001FB`03001GBP00F4T005Q9008005U90P00FTP00`00G4L005e6
001MAP02001NA080061300<00652001S@000Hd000P00ICh2001V?003001X>P00JSP006Xh008006`e
0P00KS<2001`;`03001b;000MBP007DX008007LT0P00NR000`00O1/007lF001o5P020022408008D9
00<008P300B;0004R`000P0;SP0201>A000301bE000UV0009IP00080;Y/00P0fWP000`0oX@00Aj<0
04NS000204jU0080EJL000<0FZT005fZ001MZP00101OZP0205fZ000305ZY001EY`00EJL00080CjD0
0P17X`000`0oX@00=Yh003JN000202jK00809IP000<079D001>A000CT@000P0;SP0200B;00030028
0`00Q@T008D90080088@0P00OaH00`00O1/007XP001j8002001g908007DX00<0078/001`;`00L2l0
0P00KS<2001/=@8006Xh00<006Pj001V?000IS`00P00ICh2001S@003001Q@P00H4<00613008005i4
0P00GDH00`00G4L005Y8001JB002001IB@8005Q900<005M:001FB`00ET/00P00ED/2001DC003001C
C000DTd0059=0080055=0P00D4h00`00Cdh004i>001>CP02001<C@8004]=0P00BD`00`00Ad/004I;
0016B`020014BP8004=900<004590010B000@4P00P00?dL2000nA`03000lAP00>dH003]6008003Y5
0P00>DD00`00>4@003M4000gA002000f@`8003E30`00=482000c@@80039100<00350000`@000<400
0P00<402000_?`8002ho00<002hn000]?P00;Ch00P00;3h2000/?@03000[?@00:Sd002Xm008002Xl
0`00:C`4000X>`<002Lk10009SX2000U>P<002Di100093T5000S>0L0oooo0@0000010?ooo`001`3o
ool010000000oooo0?ooo`0000070?ooo`@000001P3oool3000000@0oooo1@008cP4000T>@8002Di
00<002Dj000V>P009SX010009SX3000W>`8002Pk0P00:3`00`00:C`002Xl000Z?002000Z?0<002/m
0P00;3d2000/?P8002dn0`00;Sl2000_?`8003100`00<D02000b@@8003=10P00=4800`00=D8003I3
000f@`02000f@`8003M400<003Q4000iA@00>DD00P00>TD2000lAP03000mAP00?TL003i7008003m7
0P00@4P00`00@TT004=90013B@020015BP8004I;00<004Q;0019C000BD`00P00Bdd2001=CP8004i>
00<004m>001@CP00D4h00P00DDd2001BC@03001CC000E4`005A<008005E;0P00ET/00`00EdX005Q9
001HB@02001IB@8005]800<005a7001MAP00GDH00P00GT@2001P@`03001Q@P00Hd0006=0008006Dn
0P00IS`00`00J3X006Xh001Z>002001/=P8006hc0P00L3000`00LRd007@Y001d:@02001g9@8007TQ
00<007`L001n5`00OQL00P00PA4200242`0300271@01RP000HX0008028d00P0@T0000`0GT`007iH0
01nF000202RI0080<9`000<0>9h003nQ000oX@000P15X`0204^T0003052V001CY`00DjL000@0E:L0
0P1CY`000`1@YP00Bj@004^T000204FS0080?j4000<0>9h0032L000`W0000P0XV@02022F000301NC
000@T0004900008028d00P01RP000`00Q`D008@;00242`0200214@8007hG00<007`L001i8@00NB40
0P00MbD2001d:@03001b;@00L300070`008006hc0P00K3H2001Z>003001X>P00IS`006Hl008006Dn
0P00Hd000`00HD800613001P@`02001NA08005e600<005a7001KB000FdP00P00FDT2001HB@03001G
BP00ET/005I;008005E;0P00E4`00`00Dd`0059=001BC@02001AC@80051>00<004m>001>CP00CTh0
0P00CDh2001;C@8004U<00<004Q;0016B`00AT/00P00ADX20013B@030012B@00@4P00418008003m7
0P00?TL00`00?DH003a6000lAP02000jA@8003U500<003Q4000gA000=d@01000=T<00`00=D8003A2
000d@P02000c@@8003910`00<D02000`@08002lo0`00;Sl2000]?P8002`n0P00;3d3000[?@@002Xl
00<002Tl000X?000:3`00P00:3/3000W>`H002Hj00<002Dj000U>@009CT0100093T00`008cT002<h
000S>002000S>0D0oooo0`0000010?ooo`001`3oool010000000oooo0?ooo`0000070?ooo`030000
003oool0oooo00L0oooo00<000000?ooo`3oool0103oool5000S>0@002@i0P009CT00`009CX002Hj
000V>P04000V>P<002Lk0P00:3/2000X?003000Y?000:S`002Xl008002Xl0`00:cd2000/?@8002`n
0P00;Ch3000^?`8002lo0P00<403000a@08003910P00<d42000d@P03000e@P00=T<003I3008003I3
0P00=d@00`00>4@003U5000iA@02000jA@8003a600<003e6000nA`00?TL00P00?dL20010B0030012
B@00@dT004=9008004E:0P00AT/00`00B4/004U<0019C002001;C@8004e>0P00CTh00`00Cdh0051>
001@CP02001AC@80059=00<005=<001DC000E4`00P00ED/2001FB`03001GBP00F4T005Q9008005U9
0P00FdP00`00G4L005e6001MAP02001NA080061300<00652001S@000Hd000P00ICh2001V?003001X
>P00JSP006Xh008006`f0P00KS<2001`<003001b;@00M2T007@Y008007LU0P00NB400`00O1`007hG
001n5`0200214@8008@;00<008L5006:0001RP000P08S@02012@000301NC000OUP007iH00080:9T0
0P0`W0000`0hWP00?j4003nQ000204FS0080Bj@000<0D:H005>W001CY`00101DY`0205>W0003052V
001;Y000Bj@00080AJ<00P0oX@000`0hWP00<9`0032L000202RI008089H000<05i<0012@000@T000
0P08S@02006:000300271@00Q0/008@;0080084A0P00OQL00`00O1`007TQ001i8@02001g9@8007@Y
00<0078]001`<000L3000P00KS<2001/=P8006Xh00<006Pj001V?000IS`00P00ICh2001S@003001Q
@P00H4<00613008005i40P00GDH00`00G4L005]8001KB002001IB@8005Q900<005M:001FB`00ET/0
0P00ED/2001DC003001CC000DTd0059=0080055=0P00D4h00`00Cdh004i>001>CP02001=CP8004]=
0P00BD`00`00B4/004I;0016B`020015BP8004=900<004990010B000@4P00P00?dL2000nA`03000m
AP00?4H003a6008003Y50P00>DD00`00>4@003M4000gA004000f@`03000e@P00=48003A2008003=1
0P00<T43000a@08003100P00;cl3000^?`8002dn0P00;3h2000/?@<002/m1000:S`00`00:C`002Pl
000X?002000X>`<002Lk1P009SX00`009CX002Di000U>@04000T>@03000S>@008cP002<h008002<h
1`3oool100000040oooo00070?ooo`040000003oool0oooo000000P0oooo00<000000?ooo`3oool0
1P3oool00`000000oooo0?ooo`040?ooo`@002<h1@0093T2000U>@03000U>P009SX002Hj008002Hj
0P009cX00`009c/002Pk000X>`02000X>`<002Tl0P00:S`2000Z?@<002/m0P00;3h4000]?P03000^
?`00;cl002lo008002lo0P00<402000a@0<003910P00<d42000d@P03000e@P00=T<003I3008003M3
0P00>4@00`00>D@003Y5000jA@02000kA@8003a600<003e6000nA`00?TL00P00?dP20011B0030012
B@00@dT004=9008004E:0P00AT/00`00B4/004Y<001:C002001;C@8004e>0`00Cdh2001@CP80055=
0P00DTd00`00Dd`005A<001DC002001EB`8005I;00<005M:001HB@00F4T00P00FDT2001KB003001L
A`00GDH005e6008005i40P00H4<00`00HD8006=0001S@002001U?P8006Hm00<006Pk001Z>000JSP0
0P00K3H2001^<`80070`00<0078]001d:P00M2X00P00MRH2001i8P03001k7@00OQP007hH0080080C
0P00P`d00`00QPL008T100290@0200F<008038h000<04i4001^D000KU0000P0RU`0202VI0003032L
000gWP00=ih00080?J000P12XP000`16X`00BJ@004VT000404ZT0080BJ@000<0AZ<004:R0012XP00
0P0mX00203NN0003032L000YV@00:IT000808YL00P0KU0000`0CT@0038h000b>000200F<008008T1
00<008H700233@00P`d00P00P1<2001n6003001k7@00NB8007TR008007HV0P00M2X00`00LRd0070`
001`<002001^<`8006`f0P00JSP00`00J3/006Hm001V?@02001U?P8006=000<00652001P@`00H4<0
0P00Gd@2001MAP03001LA`00FdP005]8008005U90P00F4T00`00EdX005I;001FB`02001EB`8005A<
00<005=<001BC@00DTd00P00DDd2001@CP<004m>0P00CDh2001;C@8004Y<00<004Q;0016B`00AT/0
0P00ADX20013B@030012B@00@DP00458008003m80P00?TL00`00?DH003a6000lAP02000kA@8003Y5
00<003U4000hA000>4@00P00=d<2000f@`03000e@P00=48003A2008003=10`00<T42000a@0800310
1000;cl00`00;Sl002dn000]?P02000]?P8002`n0`00:cd2000Z?@8002Xl0`00:C`4000X>`03000W
>`009cX002Lj00@002Hj00<002Dj000U>@009CT01@0093T4000S>0L0oooo0@0000010?ooo`00203o
ool2000000X0oooo0P0000060?ooo`030000003oool0oooo00@0oooo10008cP5000T>@8002Di00<0
02Dj000V>P009SX00P009SX2000W>P03000W>`00:3/002Pk008002Pk0`00:C`2000Z?08002Xm0`00
:cd2000/?P@002dn00<002ho000_?`00;cl00P00;cl2000`@08003500`00<T42000c@@8003A200<0
03E2000f@`00=T<00P00=d<2000hA003000iA000>TD003Y5008003]50P00?4H00`00?DH003i7000n
A`02000oB080045800<004990013B@00@dT00P00ADX20016B`030018B`00BT`004Y<008004]=0P00
CDh3001?CP80051>0P00DDd2001BC@03001CC000E4`005A<008005E;0P00ET/00`00EdX005Q9001H
B@02001IB@8005]800<005a7001MAP00GDH00P00GT@2001P@`03001Q@P00Hd0006=0008006Dn0P00
ISd00`00J3/006Xh001Z>002001/=P8006hc0P00L3000`00LRd007@Z001d:P02001f9P8007TR00<0
07/M001n6000OQP00P00P1<200233@0300261`00R@4008T100801H`00P0<SP000`0CT@006i@001^D
000202:G0080:IT000<0<9`003NN000gWP000P0mX00204:R000304JS0019Y000BJ@000@0BZ@00P19
Y0000`16X`00@Z8004:R000203fP0080=ih000<0<9`002VI000YV@000P0RU`0201^D000301>A000<
SP0038h000801H`00P00R@400`00QPL008<=00233@0200204`8007hH00<007/M001i8P00NB800P00
MRH2001d:P03001b;@00L300070`008006hc0P00K3H2001Z>003001X>`00ISd006Hm008006Dn0P00
Hd000`00HD800613001P@`02001OA08005e600<005a7001KB000FdP00P00FDT2001HB@03001GBP00
ET/005I;008005E;0P00E4`00`00Dd`0059=001BC@02001AC@80051>0`00Cdh2001=CP8004]=0P00
BT`00`00B4/004I;0016B`020015BP8004=900<004990011B000@DP00P00?dP2000nA`03000mAP00
?4H003a6008003]50P00>TD00`00>D@003Q4000hA002000g@`8003I300<003E2000d@P00=4800P00
<d43000b@@8003500P00<404000_?`03000^?`00;Ch002dn008002dn0P00;3h3000[?@8002Xm0P00
:S`3000Y?0@002Pk00<002Lk000W>P009cX010009SX00`009CX002Di000U>@05000T>@@002<h1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo10008cP3000T>@@002Di00<002Dj
000V>P009SX00P009SX3000W>`@002Pk0`00:C`2000Z?08002Xm0P00:cd00`00;3d002`n000/?P04
000]?P03000^?`00;cl002lo008002lo0P00<402000a@003000b@@00<d4003=1008003=20P00=480
0`00=D8003I3000f@`02000g@`8003Q400<003U4000jA@00>TD00P00>dD2000lAP03000mA`00?TL0
03i7008004180P00@DP00`00@TT004A:0014BP020015BP8004M;00<004Q<001:C000BT`00P00Bdd2
001=CP<004m>0P00D4h2001AC@80059=00<005=<001DC000E4`00P00ED/2001FB`03001GBP00F4T0
05Q9008005U80P00FdP00`00G4L005e6001MAP02001NA080061300<00652001S@000Hd000P00I3l2
001V?@03001X>`00JST006Xi008006/f0P00KC@2001_<@03001a;P00M2X007@Z008007HW0P00N2<0
0`00Nah007dJ001m6P0200205@80088?00<008D:00281000R0@00P02RP0200R=000300n@000FTP00
5Y8000807ID00P0SU`000`0ZVP00<9`0032L000203FM0080>Yl000<0?J00042Q0010X@001011X@02
042Q000303fP000jW`00>Yl00080=Id00P0`W0000`0ZVP008iL002>G000201fE00805Y8000<03i00
00R=0008S@000P02RP020028100300252P00PPl0088?0080080E0P00OAX00`00Nah007PS001h8`02
001f9`8007@Z00<0074^001_<@00Kc400P00KC@2001[=P8006Xi00<006Pk001V?@00ISd00P00I3l2
001S@003001Q@P00H4<00613008005m40P00GDH00`00G4L005]8001KB002001IB08005Q900<005M:
001FB`00ET/00P00ED/2001DC003001CC000DTd0059=0080055=0P00D4h3001?CP8004e>0P00Bdd2
001:C0030018C000Ad/004M;008004E:0P00A4X00`00@TT004580011B0020010B08003i700<003e7
000lAP00?4H00P00>dD2000jA@03000iA000>4@003Q4008003M30P00=T<00`00=D8003A2000d@P02
000c@P8003=100<00391000a@000<D001000<402000_?`03000^?`00;Ch002dn008002dn0P00;3h0
0`00;3d002/m000[?@02000Z?@8002Xl0`00:C`4000X>`<002Lk10009SX00`009CX002Di000U>@02
000U>@<002@i10008cP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000S
>0D002@i0P009CT2000U>PD002Hj0`009c/4000X>`<002Tl0P00:S`4000[?@03000/?@00;3h002`n
008002dn0P00;Sh00`00;Sl002lo000_?`04000`@080035000<00391000c@@00<d401000=4800`00
=D<003I3000f@`02000g@`8003Q400<003U4000jA@00>TD00P00>dH2000lAP03000mA`00?dL003m7
008004180P00@DP00`00@TT004A:0014BP020015BP8004M;00<004Q<001:C000BT`00P00C4d2001=
CP8004m>00<0051>001@C@00D4d00P00DDd2001BC@03001CC000E4`005A<008005E;0P00ET/00`00
EdX005Q9001HB@02001IB08005]800<005a7001MAP00GDH00P00GT@2001P@`03001Q@P00Hd0006=0
008006@o0P00ISd00`00J3/006Ti001Y>@02001[=P8006dd0P00Kc400`00LBh007<[001c:`02001e
9`8007PT00<007XO001l6`00O1/00P00OaH200214@0300243000QPH008H6008008T00P05S0000`0;
SP004I40016A000201NC00807YD000<08iL002VI000YV@000P0^V`0203:L000303FM000gWP00=ih0
00@0>9h00P0gWP000`0eW@00<Y`003:L000202jK0080:IT000<08iL001jE000NU@000P0GT`02016A
000300^>0005S0001H`0008008T00P00QPH00`00Q0`0084A00214@02001o5P8007`K00<007XO001h
9000N2@00P00MBL2001c:`03001a;P00Kc4006la008006dd0P00JcH2001Y>@03001X>`00ISd006Hm
008006@o0P00Hd000`00HD800613001P@`02001NA08005e600<005a7001KB000FdP00P00FDP2001H
B@03001GBP00ET/005I;008005E;0P00E4`00`00Dd`0059=001BC@02001AC@80051=00<0051>001?
CP00Cdh00P00CDh2001<C@8004Y<00<004Q<0017B`00Ad/00P00ADX20014BP030012B@00@DP00458
008004180P00?dL00`00?DL003a6000lAP02000kAP8003Y500<003U4000hA000>4@00P00=d<2000f
@`03000e@`00=48003A2008003A20P00<d400`00<T400350000a@004000`@08002lo00<002ho000^
?P00;Sh00P00;Ch2000/?P03000/?@00:cd002/m008002/m0P00:S`3000Y?08002Pl0P00:3/3000W
>`D002Hj0P009CX2000U>@D002@i0P008cP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3o
ool0103oool2000S>0D002@i0P009CT2000U>PD002Hj0`009c/4000X>`<002Tl0P00:S`4000[?@03
000/?@00;3h002`n008002dn0P00;Sh00`00;Sl002lo000_?`04000`@080035000<00391000c@@00
<d401000=4800`00=D<003I3000f@`02000g@`8003Q400<003U4000jA@00>TD00P00>dH2000lAP03
000mA`00?dL003m7008004180P00@DP00`00@TT004A:0014BP020015BP8004M;00<004Q<001:C000
BT`00P00C4d2001=CP8004m>00<0051>001@C@00D4d00P00DDd2001BC@03001CC000E4`005A<0080
05E;0P00ET/00`00EdX005Q9001HB@02001IB08005]800<005a7001MAP00GDH00P00GT@2001P@`03
001Q@P00Hd0006=0008006@o0P00ISd00`00J3/006Ti001Y>@02001[=P8006dd0P00Kc400`00LBh0
07<[001c:`02001e9`8007PT00<007XO001l6`00O1/00P00OaH200214@0300243000QPH008H60080
08T00P05S0000`0;SP004I40016A000201NC00807YD000<08iL002VI000YV@000P0^V`0203:L0003
03FM000gWP00=ih000@0>9h00P0gWP000`0eW@00<Y`003:L000202jK0080:IT000<08iL001jE000N
U@000P0GT`02016A000300^>0005S0001H`0008008T00P00QPH00`00Q0`0084A00214@02001o5P80
07`K00<007XO001h9000N2@00P00MBL2001c:`03001a;P00Kc4006la008006dd0P00JcH2001Y>@03
001X>`00ISd006Hm008006@o0P00Hd000`00HD800613001P@`02001NA08005e600<005a7001KB000
FdP00P00FDP2001HB@03001GBP00ET/005I;008005E;0P00E4`00`00Dd`0059=001BC@02001AC@80
051=00<0051>001?CP00Cdh00P00CDh2001<C@8004Y<00<004Q<0017B`00Ad/00P00ADX20014BP03
0012B@00@DP00458008004180P00?dL00`00?DL003a6000lAP02000kAP8003Y500<003U4000hA000
>4@00P00=d<2000f@`03000e@`00=48003A2008003A20P00<d400`00<T400350000a@004000`@080
02lo00<002ho000^?P00;Sh00P00;Ch2000/?P03000/?@00:cd002/m008002/m0P00:S`3000Y?080
02Pl0P00:3/3000W>`D002Hj0P009CX2000U>@D002@i0P008cP70?ooo`4000000@3oool001`0oooo
00<000000?ooo`3oool0103oool2000S>0D002@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk
1000:C`00`00:S`002Xm000Z?@04000[?@03000/?P00;Ch002dn008002dn0`00;Sl2000_?`800310
1000<D000`00<T4003=1000c@@02000d@P8003E200<003E3000f@`00=T<00P00=d@2000hA003000i
A@00>TD003Y5008003]60P00?4H00`00?TL003m7000oA`020010B080045800<004=90014BP00A4X0
0P00ATX20017B`030019C000BTd004Y=008004a=0P00CTh2001?CP03001@CP00D4d0051=0080055=
0P00DTd00`00Dd`005A<001DC002001EB`8005I;00<005M:001HB@00F4T00P00FDP2001KB003001L
A`00GDH005e6008005i40P00H4<00`00HD8006=0001S@002001T?`8006Hm00<006Lk001Y>@00JCT0
0P00JcL2001]=08006lb00<0074_001c;000Lb`00P00MBP2001g9@03001i8@00O1`007`L008007hH
0P00P1<00`00P`h008D900252@0200280`800HX000<01h`000f?000=S`000P0BT@0201RC000301fE
000RU`008YL000809iP00P0ZVP000`0]V`00;i/002nK0004032L0080;i/000<0;I/002ZJ000ZVP00
0P0WV00202:G000301fE000HT`0069<000804Y400P0=S`000`07S0000HX0006:000200280`8008D9
00<008<>00204`00P1<00P00OQP2001l7003001i8@00MbD007LU008007DX0P00Lb`00`00LBl006lb
001_<P02001]=08006/g0P00JCT00`00Ic/006Hm001V?@02001T?`8006=000<00652001P@`00H4<0
0P00GT@2001MAP03001LA`00FdP005]8008005U80P00F4T00`00EdX005I;001FB`02001EB`8005A<
00<005=<001BC@00DTd00P00DDd2001@C@03001@CP00Cdh004m>008004i>0P00C4d2001:C@030019
C000Ad/004M;008004I:0P00A4X00`00@dT004580011B0020010B08003m700<003i7000lAP00?4H0
0P00>dH2000jA@03000iA@00>4@003Q4008003M40P00=T<00`00=D<003E2000e@P02000d@P8003=1
00<00391000a@000<D000P00<D02000`@08002lo0`00;Sl4000]?P03000/?P00:cd002/m008002/m
0P00:Sd00`00:S`002Tl000Y?002000Y?0<002Pk0P009c/2000W>P<002Hj0P009CX2000U>@D002@i
0P008cP70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0103oool2000S>0D002@i0P00
9CT2000U>P<002Hj0P009cX2000W>`<002Pk1000:C`00`00:S`002Xm000Z?@04000[?@03000/?P00
;Ch002dn008002dn0`00;Sl2000_?`8003101000<D000`00<T4003=1000c@@02000d@P8003E200<0
03E3000f@`00=T<00P00=d@2000hA003000iA@00>TD003Y5008003]60P00?4H00`00?TL003m7000o
A`020010B080045800<004=90014BP00A4X00P00ATX20017B`030019C000BTd004Y=008004a=0P00
CTh2001?CP03001@CP00D4d0051=0080055=0P00DTd00`00Dd`005A<001DC002001EB`8005I;00<0
05M:001HB@00F4T00P00FDP2001KB003001LA`00GDH005e6008005i40P00H4<00`00HD8006=0001S
@002001T?`8006Hm00<006Lk001Y>@00JCT00P00JcL2001]=08006lb00<0074_001c;000Lb`00P00
MBP2001g9@03001i8@00O1`007`L008007hH0P00P1<00`00P`h008D900252@0200280`800HX000<0
1h`000f?000=S`000P0BT@0201RC000301fE000RU`008YL000809iP00P0ZVP000`0]V`00;i/002nK
0004032L0080;i/000<0;I/002ZJ000ZVP000P0WV00202:G000301fE000HT`0069<000804Y400P0=
S`000`07S0000HX0006:000200280`8008D900<008<>00204`00P1<00P00OQP2001l7003001i8@00
MbD007LU008007DX0P00Lb`00`00LBl006lb001_<P02001]=08006/g0P00JCT00`00Ic/006Hm001V
?@02001T?`8006=000<00652001P@`00H4<00P00GT@2001MAP03001LA`00FdP005]8008005U80P00
F4T00`00EdX005I;001FB`02001EB`8005A<00<005=<001BC@00DTd00P00DDd2001@C@03001@CP00
Cdh004m>008004i>0P00C4d2001:C@030019C000Ad/004M;008004I:0P00A4X00`00@dT004580011
B0020010B08003m700<003i7000lAP00?4H00P00>dH2000jA@03000iA@00>4@003Q4008003M40P00
=T<00`00=D<003E2000e@P02000d@P8003=100<00391000a@000<D000P00<D02000`@08002lo0`00
;Sl4000]?P03000/?P00:cd002/m008002/m0P00:Sd00`00:S`002Tl000Y?002000Y?0<002Pk0P00
9c/2000W>P<002Hj0P009CX2000U>@D002@i0P008cP70?ooo`4000000@3oool001`0oooo00<00000
0?ooo`3oool0103oool2000S>0<002@i10009CT2000U>P<002Hj10009c/3000X>`@002Tl00<002Xl
000Z?@00:Sd01000:cd00`00;3h002dn000]?P02000]?P8002ho0`00;cl2000`@08003500`00<T42
000c@@8003A20P00=D800`00=T<003M3000g@`02000gA08003Q400<003U5000kA@00>dD00P00?4H2
000mAP03000nA`00?dL003m7008004180P00@TT00`00@dT004A:0014BP020016B`8004M;00<004U<
001:C@00BTd00P00C4d2001>CP8004m>00<0051>001AC@00DDd00P00DDd2001BC@03001CC000E4`0
05A<008005E;0P00ET/00`00EdX005Q9001HB@02001IB08005]800<005a7001MAP00GDH00P00GTD2
001P@`03001Q@P00Hd4006=1008006@o0P00ISd00`00Ic/006Ti001Y>@02001[=`8006`e0P00KS80
0`00L2l0078/001b;002001d:@8007HV00<007TR001k7P00Nah00P00OAX2001o5@0300224000Q0`0
08@<008008H60P00R@400`03R`0028d000R=000200j?00804i4000<069<001bE000LU@000P0PUP02
02>G000302JH000XV@00:9T000H0:9T000<09YP002>G000SU`000P0PUP0201bE000301RC000CT@00
4i4000803Xl00P08S@000`03R`0008T100290@0200261P8008@<00<0088@001o5@00OaD00P00OAX2
001k7P03001i8P00MRH007HV008007@Y0P00LR`00`00L2l006hb001^<P02001]=@8006/g0P00JCT0
0`00Ic/006Hm001V?@02001T?`8006=000<00652001P@`00H4<00P00GT@2001MAP03001LA`00FdP0
05]8008005U80P00F4T00`00EdX005I;001FB`02001EB`8005A<00<005=<001BC@00DTd01000DDd0
0`00D4h004m>001?CP02001>CP8004a=0P00BTd00`00BD`004M;0017B`020016B`8004A:00<004=9
0012B@00@TT00P00@4P2000oA`03000nA`00?DH003e6008003a60P00>dD00`00>DD003Q4000hA002
000hA08003M300<003I3000e@P00=D800P00=482000c@@<003910P00<D02000`@0<002lo0P00;Sl4
000]?P03000/?P00;3d002`m008002/m0P00:Sd00`00:S`002Tl000Y?002000Y?0<002Pk10009c/3
000V>P8002Dj10009CT3000T>@8002<h1`3oool100000040oooo000L0?ooo`030000003oool0oooo
00@0oooo0P008cP3000T>@@002Di0P009CX3000V>P@002Lk0`00:3/4000Y?003000Z?000:Sd002Xm
00@002/m00<002`n000]?P00;Ch00P00;Ch2000^?`<002lo0P00<402000a@0<003910P00<d42000d
@P8003E200<003I3000g@`00=d<00P00=d@2000hA003000iA@00>dD003]5008003a60P00?DH00`00
?TL003m7000oA`020010B080049900<004=90014BP00A4X00P00AT/20017B`030019C000BTd004Y=
008004a=0P00CTh2001?CP03001@CP00DDd0055=0080055=0P00DTd00`00Dd`005A<001DC002001E
B`8005I;00<005M:001HB@00F4T00P00FDP2001KB003001LA`00GDH005e6008005i50P00H4<00`00
HD8006=1001S@@02001T?`8006Hm00<006Lk001Y>@00JCT00P00JcL2001/=@8006hb00<0070_001b
;000LR`00P00M2T2001f9P03001i8P00Nah007/N008007dJ0P00OaD00`00PQ0008@<002430020026
1P8008T100<00h/000R=0008S@000P0>S`0201>A000301RC000LU@0079D0008089H00P0SU`000`0V
V000:9T002RI000602RI000302JH000SU`008iL0008089H00P0LU@000`0HT`004i4001>A000200j?
008028d000<00h/000290@00R@400P00QPH20024300300224000OaD007lE008007dJ0P00Nah00`00
NB8007HV001f9P02001d:@80078/00<0070_001^<P00KS800P00KCD2001[=`8006Ti00<006Lk001V
?@00ISd00P00I3l2001S@003001Q@P00H4<00613008005i40P00GDH00`00G4L005]8001KB002001I
B08005Q900<005M:001FB`00ET/00P00ED/2001DC003001CC000DTd0059=00@0055=00<0051>001?
CP00Cdh00P00CTh2001<C@8004Y=00<004U<0017B`00Ad/00P00AT/20014BP030013B@00@TT00499
008004180P00?dL00`00?TL003e6000mAP02000lAP8003]500<003U5000hA000>4@00P00>4@2000g
@`03000f@`00=D8003E2008003A20P00<d43000b@@8003500P00<403000_?`8002ho1000;Ch00`00
;3h002`m000/?@02000[?@8002Xm00<002Xl000Y?000:C`00P00:C`3000X>`@002Lk0`009SX2000U
>P@002Di0`0093T2000S>0L0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`040?ooo`D0
02@i0P009CT2000U>PD002Hj10009c/3000X>`@002Tl00<002Xl000[?@00:cd00P00:cd2000/?@03
000/?P00;Ch002dn008002hn0P00;Sl00`00;cl00310000`@002000`@08003500`00<T42000c@P80
03A20P00=D800`00=T<003M3000g@`02000hA08003U400<003Y5000kA@00>dD00P00?4H2000mAP03
000nA`00?dL003m7008004180P00@TT00`00@dT004A:0014BP020016B`8004M;00<004U<001;C@00
Bdd00P00C4d2001>CP8004m>00<0051>001AC@00DDd00P00DDd2001BC@03001CC000E4`005A<0080
05E;0P00ET/00`00EdX005Q9001HB@02001IB08005]800<005a7001MAP00GDH00P00GTD2001P@`03
001Q@P00HT400691008006@o0P00ICd00`00Ic`006Tj001Y>P02001Z=`8006`e0P00KS<00`00L300
078]001b;@02001d:P8007HW00<007PS001j7`00NQl00P00O1/2001n5`0300214`00P`h008<>0080
08D90P00Q`@00`00R@0018/000B;000200V=00803Xl000<04Y4001JB000FTP000P0JU00201fE0003
01nF000QUP008IH000@08IL00P0QUP000`0OUP007ID001fE000201ZD00805Y8000<04Y4000j?000>
S`000P09S@0200B;000300290000Q`@008L4008008D90P00P`h00`00PA<007hG001n5`02001l6`80
07XO00<007PS001f9`00MRL00P00M2X2001b;@03001`<000KS<006hc008006`e0P00JSL2001Y>P03
001W?000ICd006Dm008006@o0P00HT400`00HD800613001P@`02001NA@8005e600<005a7001KB000
FdP00P00FDP2001HB@03001GBP00ET/005I;008005E;0P00E4`00`00Dd`0059=001BC@04001AC@03
001@CP00Cdh004m>008004i>0P00C4d2001;C@030019C000Ad/004M;008004I;0P00A4X00`00@dT0
04990012B@020010B08003m700<003i7000mAP00?DH00P00?4H2000kA@03000jA@00>D@003U40080
03Q40P00=d<00`00=T<003E2000e@P02000d@P8003=20`00<T42000a@0@0031000<002lo000^?`00
;Sl00P00;Sh2000]?P03000/?P00;3d002`m00@002/m00<002Xl000Y?000:C`00P00:C`3000X>`@0
02Lk1@009SX2000U>P8002Di1@0093T70?ooo`4000000@3oool001`0oooo00<000000?ooo`3oool0
103oool5000T>@8002Di0P009CX3000V>P8002Lj0P009c/3000X>`@002Tl0`00:S`4000[?@8002`m
00<002`n000]?P00;Ch00P00;Sh2000^?`03000_?`00<4000310008003100P00<D02000b@@03000c
@@00<d8003=2008003A20P00=D800`00=T<003M3000g@`02000hA08003U400<003Y5000kA@00>dD0
0P00?4H2000mAP03000nA`00?dP003m8008004580P00@TT00`00@dT004E:0015BP020016B`8004Q;
00<004U<001;C@00Bdd00P00C4d2001>CP8004m>00<0051>001AC@00DDd00P00DDd2001BC@03001C
C000E4`005A<008005E;0P00ET/00`00EdX005Q9001HB@02001IB08005]800<005a7001MAP00GDH0
0P00GTD2001P@`03001Q@P00HT400691008006@o0P00ICh00`00Ic`006Pj001X>P02001Z>08006`f
0P00KS<00`00Kc40074^001a;P02001c:`8007DX00<007LT001i8@00NB400P00Nad2001m6@03001o
5@00PQ40088A008008@<0P00QPP00`00R0<008X0002:000200F<00802Hd000<03Hl0016@000AT000
0P0DTP0201NC000301VC000JU0006Y@000@06i@00P0JU0000`0IT`005i<001NC000201BB00804I00
00<03Hl000V=0009S@000P05S002002:000300280`00QPP008H8008008@<0P00PQ400`00P1D007dI
001m6@02001k7@8007TQ00<007LT001e:000MBP00P00Lb/2001a;P03001_<@00KS<006hc008006`f
0P00JSP2001X>P03001W?000ICh006Dn008006@o0P00HT400`00HD800613001P@`02001NA@8005e6
00<005a7001KB000FdP00P00FDP2001HB@03001GBP00ET/005I;008005E;0P00E4`00`00Dd`0059=
001BC@04001AC@03001@CP00Cdh004m>008004i>0P00C4d2001;C@030019C000B4/004Q;008004I;
0P00ADX00`00@dT004990012B@020011B08003m800<003i7000mAP00?DH00P00?4H2000kA@03000j
A@00>D@003U4008003Q40P00=d<00`00=T<003E2000e@P02000d@P8003=200<003=1000b@@00<T40
0P00<D04000`@003000_?`00;Sl002ho008002hn0P00;Ch00`00;3h002`m000/?@04000[?@<002Xl
1000:C`3000X>`8002Lk0P009cX3000V>P8002Dj0P009CT5000T>@L0oooo0@0000010?ooo`00703o
ool00`000000oooo0?ooo`040?ooo`D002@i0P009CT2000U>P<002Hj0P009cX2000W>`<002Pk1000
:C`3000Z?0@002/m0P00;3d00`00;3h002dn000]?P02000^?P8002ho00<002lo000`@000<4000P00
<402000a@080039100<003=1000c@P00<d800P00=482000e@P03000f@`00=d<003M3008003Q40P00
>D@00`00>TD003]5000kA@02000lAP8003e600<003i7000oB000?dP00P00@DP20012B@030013B@00
ADX004E:008004I;0P00B4/00`00BD`004]=001;C@02001<C@8004i>0P00Cdh00`00D4h0055=001A
C@02001AC@80059=00<005=<001DC000E4`00P00ED/2001FB`03001GBP00F4T005Q9008005U80P00
FdP00`00G4L005e6001MAP02001NA@80061300<00652001R@@00HT400P00I3l2001U?P03001W?000
J3X006Pj008006Xh0P00K3H2001^<`03001_<@00LBh0074^008007<[0P00MBP00`00Mb@007TQ001i
8@02001k7@8007dI00<007lE00224@00PQ400P00Q0`20026200300280`00RP0008X000801H`00P09
S@000`0=S`004I00016@000201BB00805i<000<06I<001ZD000JU000100KU00201ZD000301VC000G
T`005i<0008059800P0AT0000`0=S`002Hd000V=000200F<008008X000<008P300262000QPP00P00
Q0`200224@0300205@00OAT007dI008007/M0P00NB400`00Mb@007DX001e:002001c:`80074^00<0
06la001^<`00KS<00P00K3H2001Z>08006Pj00<006Ll001U?P00ICh00P00I3l2001R@@03001Q@P00
H4<00613008005i50P00GDH00`00G4L005]8001KB002001IB08005Q900<005M:001FB`00ET/00P00
ED/2001DC003001CC000DTd0059=00@0055=00<0051>001?CP00Cdh00P00CTh2001<C@8004]=00<0
04U<0018B`00B4/00P00AT/20015BP030013B@00@TT00499008004580P00?dP00`00?TL003e6000m
AP02000lAP8003]500<003Y5000iA000>D@00P00>4@2000g@`03000f@`00=D8003E2008003A20P00
<d800`00<d400391000b@@02000a@0@0031000<002lo000^?`00;Sl00P00;Sh2000]?P03000/?P00
;3d002`m00@002/m0`00:S`4000Y?0<002Pk0P009c/2000W>P<002Hj0P009CX2000U>@D002@i1`3o
ool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo100093T3000U>@8002Dj0`009SX2
000W>P8002Lk0`00:3/4000Y?08002Xl00<002Xm000[?@00:cd00P00:cd2000/?P<002dn1000;Sl0
0`00;cl00310000`@004000a@080039100<003=1000d@P00=4800P00=482000e@`03000f@`00=d<0
03M3008003Q40P00>D@00`00>TD003]5000kA@02000lAP8003e700<003i70010B000@4P00P00@DP2
0012B@030013B@00ADX004E:008004I;0P00B4/00`00BD`004]=001;C@02001=CP8004i>0P00Cdh0
0`00D4h0055=001AC@04001BC@03001CC000E4`005A<008005E;0P00ET/00`00EdX005Q9001HB@02
001IB08005]800<005a7001MAP00GDH00P00GTD2001OA003001Q@P00HT400691008006@o0P00ICh0
0`00Ic`006Pj001X>P02001Z>08006/f0P00KC@00`00Kc40074_001a;`02001c;08007@Y00<007HV
001h8P00N2800P00NQl2001l6`03001n5`00P1<0080C0080088?0P00Q0/00`00QPH008P200280P02
006:00801H`000<028d000b>000<SP000P0>S`02016@000301>A000DTP00598000@05I800P0DTP00
0`0CT@004I00016@000200j?008038h000<028d000F<0005S0000P01RP0200280P0300261P00Q0/0
08@;0080088?0P00P1<00`00OQL007`K001l6`02001j7`8007PR00<007HV001d:@00M2T00P00Lb`2
001a;`03001_<@00KC@006dd008006/f0P00JSP2001X>P03001W?000ICh006Dn008006@o0P00HT40
0`00HD8005m4001OA002001NA@8005e600<005a7001KB000FdP00P00FDP2001HB@03001GBP00ET/0
05I;008005E;0P00E4`00`00Dd`0059=001BC@02001BC@80055=00<0051>001?CP00Cdh00P00CTh2
001=CP8004]=00<004U<0018B`00B4/00P00AT/20015BP030013B@00@TT00499008004580P00@4P0
0`00?TL003e7000mA`02000lAP8003]500<003Y5000iA000>D@00P00>4@2000gA003000f@`00=D<0
03E300@003A200<003=1000b@@00<T401000<D02000`@003000_?`00;Sl002ho008002ho0`00;Ch2
000/?P@002/m00<002Xm000Z?000:S`01000:C`3000X>`8002Lk0P009cX3000V>P8002Dj0`009CT4
000T>@L0oooo0@0000010?ooo`00703oool2000000D0oooo100093T3000U>@8002Dj0`009SX2000W
>P8002Lk0`00:3/4000Y?08002Xl00<002Xm000[?@00:cd00P00:cd2000/?P<002dn1000;Sl00`00
;cl00310000`@004000a@080039100<003=1000d@P00=4800P00=482000e@`03000f@`00=d<003M3
008003Q40P00>D@00`00>TD003]5000kA@02000lAP8003e700<003i70010B000@4P00P00@DP20012
B@030013B@00ADX004E:008004I;0P00B4/00`00BD`004]=001;C@02001=CP8004i>0P00Cdh00`00
D4h0055=001AC@04001BC@03001CC000E4`005A<008005E;0P00ET/00`00EdX005Q9001HB@02001I
B08005]800<005a7001MAP00GDH00P00GTD2001OA003001Q@P00HT400691008006@o0P00ICh00`00
Ic`006Pj001X>P02001Z>08006/f0P00KC@00`00Kc40074_001a;`02001c;08007@Y00<007HV001h
8P00N2800P00NQl2001l6`03001n5`00P1<0080C0080088?0P00Q0/00`00QPH008P200280P02006:
00801H`000<028d000b>000<SP000P0>S`02016@000301>A000DTP00598000@05I800P0DTP000`0C
T@004I00016@000200j?008038h000<028d000F<0005S0000P01RP0200280P0300261P00Q0/008@;
0080088?0P00P1<00`00OQL007`K001l6`02001j7`8007PR00<007HV001d:@00M2T00P00Lb`2001a
;`03001_<@00KC@006dd008006/f0P00JSP2001X>P03001W?000ICh006Dn008006@o0P00HT400`00
HD8005m4001OA002001NA@8005e600<005a7001KB000FdP00P00FDP2001HB@03001GBP00ET/005I;
008005E;0P00E4`00`00Dd`0059=001BC@02001BC@80055=00<0051>001?CP00Cdh00P00CTh2001=
CP8004]=00<004U<0018B`00B4/00P00AT/20015BP030013B@00@TT00499008004580P00@4P00`00
?TL003e7000mA`02000lAP8003]500<003Y5000iA000>D@00P00>4@2000gA003000f@`00=D<003E3
00@003A200<003=1000b@@00<T401000<D02000`@003000_?`00;Sl002ho008002ho0`00;Ch2000/
?P@002/m00<002Xm000Z?000:S`01000:C`3000X>`8002Lk0P009cX3000V>P8002Dj0`009CT4000T
>@H0oooo0P0000010?ooo`00703oool00`000000oooo0?ooo`3o0?ooof`0oooo0@0000010?ooo`00
703oool00`000000oooo0?ooo`3o0?ooof`0oooo0@0000010?ooo`00703oool00`000000oooo0?oo
o`3o0?ooof`0oooo0@0000010?ooo`00703oool00`000000oooo0?ooo`3o0?ooof`0oooo0@000001
0?ooo`00703oool00`000000oooo0?ooo`0W0?ooo`030000003oool0oooo04@0oooo00<000000?oo
o`3oool0@`3oool00`000000oooo0?ooo`140?ooo`030000003oool0oooo04<0oooo00<000000?oo
o`3oool09`3oool100000040oooo000L0?ooo`030000003oool0oooo00@0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00l0oooo00<000000?ooo`3o
ool03P3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0?0?ooo`030000003oool0oooo00h0oooo00<000000?ooo`3o
ool03`3oool00`000000oooo0?ooo`0>0?ooo`030000003oool0oooo00@0oooo0@0000010?ooo`00
703ooooo0000070000000@3oool00?l0ooooS@3oool00?l0ooooS@3oool00?l0ooooS@3oool00?l0
ooooS@3oool00?l0ooooS@3oool00?l0ooooS@3oool00?l0ooooS@3oool00001\
\>"],
  ImageRangeCache->{{{0, 395}, {395, 0}} -> {-0.0601148, -0.592035, \
0.000283926, 0.00326515}},
  CellTags->"Finding Geometric Intensity"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Macintosh",
ScreenRectangle->{{0, 1920}, {0, 1174}},
ScreenStyleEnvironment->"Brackets",
WindowSize->{1451, 1146},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
CellLabelAutoDelete->False,
StyleDefinitions -> "HelpBrowser.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{
  "FindLensParameters"->{
    Cell[1776, 53, 177, 3, 65, "Subtitle",
      CellTags->{
      "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
        "ModulationTransferFunction", "Seidel aberrations"}],
    Cell[1978, 60, 71, 1, 52, "Section",
      CellTags->"FindLensParameters"],
    Cell[2074, 65, 368, 12, 181, "Input",
      CellTags->"FindLensParameters"],
    Cell[2445, 79, 52316, 1808, 186, 20747, 1413, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"FindLensParameters"],
    Cell[54764, 1889, 3185, 59, 137, "Output",
      CellTags->"FindLensParameters"]},
  "PupilFunction"->{
    Cell[1776, 53, 177, 3, 65, "Subtitle",
      CellTags->{
      "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
        "ModulationTransferFunction", "Seidel aberrations"}],
    Cell[57998, 1954, 62, 1, 52, "Section",
      CellTags->"PupilFunction"],
    Cell[58085, 1959, 415, 12, 147, "Input",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
        "Seidel aberrations"}],
    Cell[58503, 1973, 85159, 2698, 204, 30836, 2022, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
        "ModulationTransferFunction"}],
    Cell[143699, 4676, 90, 1, 28, "Input",
      CellTags->"PupilFunction"]},
  "PointSpreadFunction"->{
    Cell[1776, 53, 177, 3, 65, "Subtitle",
      CellTags->{
      "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
        "ModulationTransferFunction", "Seidel aberrations"}],
    Cell[58085, 1959, 415, 12, 147, "Input",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
        "Seidel aberrations"}],
    Cell[58503, 1973, 85159, 2698, 204, 30836, 2022, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
        "ModulationTransferFunction"}],
    Cell[324736, 8243, 75, 1, 52, "Section",
      CellTags->"PointSpreadFunction"],
    Cell[324836, 8248, 84, 1, 28, "Input",
      CellTags->"PointSpreadFunction"],
    Cell[324923, 8251, 52875, 1313, 341, 12407, 808, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"PointSpreadFunction"]},
  "ModulationTransferFunction"->{
    Cell[1776, 53, 177, 3, 65, "Subtitle",
      CellTags->{
      "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
        "ModulationTransferFunction", "Seidel aberrations"}],
    Cell[58085, 1959, 415, 12, 147, "Input",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
        "Seidel aberrations"}],
    Cell[58503, 1973, 85159, 2698, 204, 30836, 2022, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
        "ModulationTransferFunction"}],
    Cell[377847, 9570, 89, 1, 52, "Section",
      CellTags->"ModulationTransferFunction"],
    Cell[377961, 9575, 164, 4, 28, "Input",
      CellTags->"ModulationTransferFunction"],
    Cell[378150, 9583, 28370, 701, 184, 6168, 422, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"ModulationTransferFunction"],
    Cell[406523, 10286, 52438, 1864, 184, 23168, 1498, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"ModulationTransferFunction"],
    Cell[458964, 12152, 46984, 1730, 184, 20502, 1398, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"ModulationTransferFunction"]},
  "Seidel aberrations"->{
    Cell[1776, 53, 177, 3, 65, "Subtitle",
      CellTags->{
      "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
        "ModulationTransferFunction", "Seidel aberrations"}],
    Cell[58085, 1959, 415, 12, 147, "Input",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
        "Seidel aberrations"}],
    Cell[58503, 1973, 85159, 2698, 204, 30836, 2022, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{
      "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
        "ModulationTransferFunction"}],
    Cell[506009, 13889, 71, 1, 52, "Section",
      CellTags->"Seidel aberrations"],
    Cell[506083, 13892, 214, 5, 24, "Text",
      CellTags->"Seidel aberrations"],
    Cell[506322, 13901, 71, 1, 28, "Input",
      CellTags->"Seidel aberrations"],
    Cell[506396, 13904, 27187, 604, 184, 4709, 321, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Seidel aberrations"],
    Cell[533586, 14510, 6683, 121, 367, "Output",
      CellTags->"Seidel aberrations"]},
  "WUG0."->{
    Cell[143792, 4679, 180895, 3558, 240, 78840, 2292, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG0.", "WUG5.", "WUG5.3"}],
    Cell[597837, 17102, 468481, 6384, 446, 105436, 1896, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}],
    Cell[1698517, 36295, 572446, 7562, 555, 103986, 1773, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]},
  "WUG5."->{
    Cell[143792, 4679, 180895, 3558, 240, 78840, 2292, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG0.", "WUG5.", "WUG5.3"}]},
  "WUG5.3"->{
    Cell[143792, 4679, 180895, 3558, 240, 78840, 2292, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG0.", "WUG5.", "WUG5.3"}]},
  "Optical Flat"->{
    Cell[540330, 14638, 190, 3, 65, "Subtitle",
      CellTags->{
      "Optical Flat", "Fabry Perot Interferometer", 
        "Michelson Interferometer", "More Elaborate Interference Example", 
        "FindGratingFunction"}],
    Cell[540545, 14645, 59, 1, 52, "Section",
      CellTags->"Optical Flat"],
    Cell[540629, 14650, 57205, 2450, 279, 32553, 2140, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Optical Flat"]},
  "Fabry Perot Interferometer"->{
    Cell[540330, 14638, 190, 3, 65, "Subtitle",
      CellTags->{
      "Optical Flat", "Fabry Perot Interferometer", 
        "Michelson Interferometer", "More Elaborate Interference Example", 
        "FindGratingFunction"}],
    Cell[1066367, 23492, 87, 1, 52, "Section",
      CellTags->"Fabry Perot Interferometer"],
    Cell[1066479, 23497, 401, 10, 130, "Input",
      CellTags->"Fabry Perot Interferometer"],
    Cell[1066883, 23509, 39435, 1900, 175, 21134, 1669, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Fabry Perot Interferometer"],
    Cell[1106355, 25414, 484, 13, 164, "Input",
      CellTags->"Fabry Perot Interferometer"],
    Cell[1106842, 25429, 463046, 6412, 495, 106431, 2004, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Fabry Perot Interferometer"]},
  "Michelson Interferometer"->{
    Cell[540330, 14638, 190, 3, 65, "Subtitle",
      CellTags->{
      "Optical Flat", "Fabry Perot Interferometer", 
        "Michelson Interferometer", "More Elaborate Interference Example", 
        "FindGratingFunction"}],
    Cell[1569937, 31847, 83, 1, 52, "Section",
      CellTags->"Michelson Interferometer"],
    Cell[1570045, 31852, 519, 15, 215, "Input",
      CellTags->"Michelson Interferometer"],
    Cell[1570567, 31869, 127804, 4415, 313, 65670, 3643, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Michelson Interferometer"],
    Cell[1698408, 36289, 106, 4, 45, "Input",
      CellTags->"Michelson Interferometer"],
    Cell[2271000, 43862, 208, 5, 28, "Input",
      CellTags->"Michelson Interferometer"],
    Cell[2271211, 43869, 900239, 21559, 240, 775409, 20013, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Michelson Interferometer"]},
  "More Elaborate Interference Example"->{
    Cell[540330, 14638, 190, 3, 65, "Subtitle",
      CellTags->{
      "Optical Flat", "Fabry Perot Interferometer", 
        "Michelson Interferometer", "More Elaborate Interference Example", 
        "FindGratingFunction"}],
    Cell[3171499, 65434, 105, 1, 52, "Section",
      CellTags->"More Elaborate Interference Example"],
    Cell[3171629, 65439, 272277, 17250, 240, 229517, 16717, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"More Elaborate Interference Example"],
    Cell[3443909, 82691, 275024, 7767, 365, 82833, 5389, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"More Elaborate Interference Example"],
    Cell[3718936, 90460, 125500, 2581, 184, 17966, 1249, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"More Elaborate Interference Example"]},
  "FindGratingFunction"->{
    Cell[540330, 14638, 190, 3, 65, "Subtitle",
      CellTags->{
      "Optical Flat", "Fabry Perot Interferometer", 
        "Michelson Interferometer", "More Elaborate Interference Example", 
        "FindGratingFunction"}]},
  "WUG6."->{
    Cell[597837, 17102, 468481, 6384, 446, 105436, 1896, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}],
    Cell[1698517, 36295, 572446, 7562, 555, 103986, 1773, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]},
  "WUG6.3"->{
    Cell[597837, 17102, 468481, 6384, 446, 105436, 1896, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}],
    Cell[1698517, 36295, 572446, 7562, 555, 103986, 1773, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]},
  "WUG6.3.2"->{
    Cell[597837, 17102, 468481, 6384, 446, 105436, 1896, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}]},
  "WUG6.3.3"->{
    Cell[1698517, 36295, 572446, 7562, 555, 103986, 1773, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]},
  "GaussianPlot"->{
    Cell[3844538, 93050, 134, 3, 65, "Subtitle",
      CellTags->{
      "GaussianPlot", "Three Wavelets with Lens", 
        "PointSpreadFunction and FindField"}],
    Cell[3844697, 93057, 72, 1, 52, "Section",
      CellTags->"GaussianPlot"],
    Cell[3844794, 93062, 341, 8, 113, "Input",
      CellTags->"GaussianPlot"],
    Cell[3845138, 93072, 185691, 11805, 388, 129972, 11112, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"],
    Cell[4030866, 104882, 127, 4, 28, "Input",
      CellTags->"GaussianPlot"],
    Cell[4030996, 104888, 108066, 5050, 227, 68685, 4559, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"],
    Cell[4139099, 109943, 294, 8, 113, "Input",
      CellTags->"GaussianPlot"],
    Cell[4139396, 109953, 167384, 4540, 272, 45751, 3033, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"],
    Cell[4306817, 114498, 82, 1, 28, "Input",
      CellTags->"GaussianPlot"],
    Cell[4306902, 114501, 40152, 879, 184, 8534, 483, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"],
    Cell[4347091, 115385, 127, 4, 28, "Input",
      CellTags->"GaussianPlot"],
    Cell[4347221, 115391, 39181, 865, 184, 8820, 485, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"],
    Cell[4386417, 116259, 170, 4, 24, "Text",
      CellTags->"GaussianPlot"],
    Cell[4386590, 116265, 275655, 14340, 455, 202292, 13429, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"GaussianPlot"]},
  "Three Wavelets with Lens"->{
    Cell[3844538, 93050, 134, 3, 65, "Subtitle",
      CellTags->{
      "GaussianPlot", "Three Wavelets with Lens", 
        "PointSpreadFunction and FindField"}],
    Cell[4662282, 130610, 85, 1, 52, "Section",
      CellTags->"Three Wavelets with Lens"],
    Cell[4662392, 130615, 97295, 5022, 184, 72275, 4708, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Three Wavelets with Lens"],
    Cell[4759690, 135639, 92741, 1900, 298, 13928, 922, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Three Wavelets with Lens"],
    Cell[4852434, 137541, 1209033, 25107, 482, 782915, 19841, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Three Wavelets with Lens"]},
  "PointSpreadFunction and FindField"->{
    Cell[3844538, 93050, 134, 3, 65, "Subtitle",
      CellTags->{
      "GaussianPlot", "Three Wavelets with Lens", 
        "PointSpreadFunction and FindField"}],
    Cell[6061516, 162654, 96, 1, 52, "Section",
      CellTags->"PointSpreadFunction and FindField"],
    Cell[6061637, 162659, 108097, 2838, 237, 27984, 1844, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"PointSpreadFunction and FindField"],
    Cell[6169737, 165499, 36472, 741, 247, 5012, 348, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"PointSpreadFunction and FindField"],
    Cell[6206212, 166242, 1151329, 24493, 450, 787865, 20001, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"PointSpreadFunction and FindField"],
    Cell[7357544, 190737, 275301, 11179, 445, 150039, 9628, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"PointSpreadFunction and FindField"]},
  "FindABCDMatrix"->{
    Cell[7632906, 201923, 168, 3, 65, "Subtitle",
      CellTags->{
      "FindABCDMatrix", "Symbolic Transfer Functions", 
        "Symbolic Optimization", "Finding Geometric Intensity"}],
    Cell[7633099, 201930, 82, 1, 52, "Section",
      CellTags->"FindABCDMatrix"],
    Cell[7633206, 201935, 367, 9, 113, "Input",
      CellTags->"FindABCDMatrix"],
    Cell[7633576, 201946, 53218, 1674, 219, 18071, 1235, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"FindABCDMatrix"],
    Cell[7686831, 203625, 194, 5, 28, "Input",
      CellTags->"FindABCDMatrix"],
    Cell[7687028, 203632, 625, 13, 75, "Output",
      CellTags->"FindABCDMatrix"],
    Cell[7687690, 203650, 193, 5, 28, "Input",
      CellTags->"FindABCDMatrix"],
    Cell[7687886, 203657, 4429, 130, 101, "Output",
      CellTags->"FindABCDMatrix"],
    Cell[7692352, 203792, 155, 4, 28, "Input",
      CellTags->"FindABCDMatrix"],
    Cell[7692510, 203798, 2758, 68, 39, "Output",
      CellTags->"FindABCDMatrix"]},
  "Symbolic Transfer Functions"->{
    Cell[7632906, 201923, 168, 3, 65, "Subtitle",
      CellTags->{
      "FindABCDMatrix", "Symbolic Transfer Functions", 
        "Symbolic Optimization", "Finding Geometric Intensity"}],
    Cell[7695317, 203872, 89, 1, 52, "Section",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7695409, 203875, 732, 17, 42, "Text",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7696166, 203896, 311, 9, 113, "Input",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7696480, 203907, 40618, 1293, 257, 13495, 952, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7737101, 205202, 1417, 26, 132, "Output",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7738533, 205231, 118, 1, 32, "Commentary",
      CellTags->"Symbolic Transfer Functions"],
    Cell[7738654, 205234, 201, 4, 24, "Text",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7738880, 205242, 266, 8, 113, "Input",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7739149, 205252, 27093, 748, 159, 7359, 499, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7766257, 206003, 468, 12, 25, "Text",
      CellTags->{"Symbolic Optimization", "Symbolic Transfer Functions"}],
    Cell[7766750, 206019, 247, 5, 62, "Input",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7767000, 206026, 567, 10, 80, "Output",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7767582, 206039, 130, 1, 32, "Commentary",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]},
  "Symbolic Optimization"->{
    Cell[7632906, 201923, 168, 3, 65, "Subtitle",
      CellTags->{
      "FindABCDMatrix", "Symbolic Transfer Functions", 
        "Symbolic Optimization", "Finding Geometric Intensity"}],
    Cell[7738654, 205234, 201, 4, 24, "Text",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7738880, 205242, 266, 8, 113, "Input",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7739149, 205252, 27093, 748, 159, 7359, 499, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7766257, 206003, 468, 12, 25, "Text",
      CellTags->{"Symbolic Optimization", "Symbolic Transfer Functions"}],
    Cell[7766750, 206019, 247, 5, 62, "Input",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7767000, 206026, 567, 10, 80, "Output",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7767582, 206039, 130, 1, 32, "Commentary",
      CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
    Cell[7767749, 206045, 84, 1, 52, "Section",
      CellTags->"Symbolic Optimization"],
    Cell[7767836, 206048, 113, 1, 24, "Text",
      CellTags->"Symbolic Optimization"],
    Cell[7767974, 206053, 134, 2, 28, "Input",
      CellTags->"Symbolic Optimization"],
    Cell[7768111, 206057, 1706, 25, 191, "Output",
      CellTags->"Symbolic Optimization"],
    Cell[7769832, 206085, 82, 1, 32, "Commentary",
      CellTags->"Symbolic Optimization"],
    Cell[7769917, 206088, 96, 1, 24, "Text",
      CellTags->"Symbolic Optimization"],
    Cell[7770038, 206093, 122, 2, 28, "Input",
      CellTags->"Symbolic Optimization"],
    Cell[7770163, 206097, 73556, 1459, 240, 21446, 810, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Symbolic Optimization"],
    Cell[7843734, 207559, 88, 1, 32, "Commentary",
      CellTags->"Symbolic Optimization"],
    Cell[7843825, 207562, 109, 1, 24, "Text",
      CellTags->"Symbolic Optimization"],
    Cell[7843937, 207565, 6097, 108, 169, "Output",
      CellTags->"Symbolic Optimization"],
    Cell[7850037, 207675, 105, 1, 32, "Commentary",
      CellTags->"Symbolic Optimization"],
    Cell[7850145, 207678, 128, 4, 24, "Text",
      CellTags->"Symbolic Optimization"],
    Cell[7850276, 207684, 182, 3, 25, "Output",
      CellTags->"Symbolic Optimization"],
    Cell[7850461, 207689, 101, 1, 24, "Text",
      CellTags->"Symbolic Optimization"],
    Cell[7850565, 207692, 27406, 859, 234, 8189, 617, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Symbolic Optimization"],
    Cell[7877974, 208553, 83, 1, 32, "Commentary",
      CellTags->"Symbolic Optimization"]},
  "Finding Geometric Intensity"->{
    Cell[7632906, 201923, 168, 3, 65, "Subtitle",
      CellTags->{
      "FindABCDMatrix", "Symbolic Transfer Functions", 
        "Symbolic Optimization", "Finding Geometric Intensity"}],
    Cell[7878094, 208559, 95, 1, 52, "Section",
      CellTags->"Finding Geometric Intensity"],
    Cell[7878214, 208564, 41313, 1393, 274, 17570, 1093, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Finding Geometric Intensity"],
    Cell[7919530, 209959, 610990, 8267, 402, 247926, 3780, "GraphicsData", 
    "PostScript", "Graphics",
      CellTags->"Finding Geometric Intensity"]}
  }
*)

(*CellTagsIndex
CellTagsIndex->{
  {"FindLensParameters", 8531259, 218249},
  {"PupilFunction", 8531856, 218263},
  {"PointSpreadFunction", 8532630, 218281},
  {"ModulationTransferFunction", 8533564, 218302},
  {"Seidel aberrations", 8534808, 218329},
  {"WUG0.", 8535891, 218354},
  {"WUG5.", 8536381, 218364},
  {"WUG5.3", 8536545, 218368},
  {"Optical Flat", 8536715, 218372},
  {"Fabry Perot Interferometer", 8537192, 218383},
  {"Michelson Interferometer", 8538039, 218401},
  {"More Elaborate Interference Example", 8538979, 218421},
  {"FindGratingFunction", 8539822, 218438},
  {"WUG6.", 8540064, 218444},
  {"WUG6.3", 8540406, 218451},
  {"WUG6.3.2", 8540750, 218458},
  {"WUG6.3.3", 8540930, 218462},
  {"GaussianPlot", 8541115, 218466},
  {"Three Wavelets with Lens", 8542697, 218503},
  {"PointSpreadFunction and FindField", 8543448, 218519},
  {"FindABCDMatrix", 8544376, 218538},
  {"Symbolic Transfer Functions", 8545409, 218562},
  {"Symbolic Optimization", 8547181, 218595},
  {"Finding Geometric Intensity", 8549967, 218651}
  }
*)

(*NotebookFileOutline
Notebook[{

Cell[CellGroupData[{
Cell[1776, 53, 177, 3, 65, "Subtitle",
  CellTags->{
  "FindLensParameters", "PupilFunction", "PointSpreadFunction", 
    "ModulationTransferFunction", "Seidel aberrations"}],

Cell[CellGroupData[{
Cell[1978, 60, 71, 1, 52, "Section",
  CellTags->"FindLensParameters"],

Cell[CellGroupData[{
Cell[2074, 65, 368, 12, 181, "Input",
  CellTags->"FindLensParameters"],
Cell[2445, 79, 52316, 1808, 186, 20747, 1413, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"FindLensParameters"],
Cell[54764, 1889, 3185, 59, 137, "Output",
  CellTags->"FindLensParameters"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[57998, 1954, 62, 1, 52, "Section",
  CellTags->"PupilFunction"],

Cell[CellGroupData[{
Cell[58085, 1959, 415, 12, 147, "Input",
  CellTags->{
  "PupilFunction", "PointSpreadFunction", "ModulationTransferFunction", 
    "Seidel aberrations"}],
Cell[58503, 1973, 85159, 2698, 204, 30836, 2022, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->{
  "PupilFunction", "PointSpreadFunction", "Seidel aberrations", 
    "ModulationTransferFunction"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[143699, 4676, 90, 1, 28, "Input",
  CellTags->"PupilFunction"],
Cell[143792, 4679, 180895, 3558, 240, 78840, 2292, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->{"WUG0.", "WUG5.", "WUG5.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[324736, 8243, 75, 1, 52, "Section",
  CellTags->"PointSpreadFunction"],

Cell[CellGroupData[{
Cell[324836, 8248, 84, 1, 28, "Input",
  CellTags->"PointSpreadFunction"],
Cell[324923, 8251, 52875, 1313, 341, 12407, 808, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"PointSpreadFunction"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[377847, 9570, 89, 1, 52, "Section",
  CellTags->"ModulationTransferFunction"],

Cell[CellGroupData[{
Cell[377961, 9575, 164, 4, 28, "Input",
  CellTags->"ModulationTransferFunction"],

Cell[CellGroupData[{
Cell[378150, 9583, 28370, 701, 184, 6168, 422, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"ModulationTransferFunction"],
Cell[406523, 10286, 52438, 1864, 184, 23168, 1498, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"ModulationTransferFunction"],
Cell[458964, 12152, 46984, 1730, 184, 20502, 1398, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"ModulationTransferFunction"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[506009, 13889, 71, 1, 52, "Section",
  CellTags->"Seidel aberrations"],
Cell[506083, 13892, 214, 5, 24, "Text",
  CellTags->"Seidel aberrations"],

Cell[CellGroupData[{
Cell[506322, 13901, 71, 1, 28, "Input",
  CellTags->"Seidel aberrations"],
Cell[506396, 13904, 27187, 604, 184, 4709, 321, "GraphicsData", "PostScript", \
"Graphics",
  CellTags->"Seidel aberrations"],
Cell[533586, 14510, 6683, 121, 367, "Output",
  CellTags->"Seidel aberrations"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[540330, 14638, 190, 3, 65, "Subtitle",
  CellTags->{
  "Optical Flat", "Fabry Perot Interferometer", "Michelson Interferometer", 
    "More Elaborate Interference Example", "FindGratingFunction"}],

Cell[CellGroupData[{
Cell[540545, 14645, 59, 1, 52, "Section",
  CellTags->"Optical Flat"],

Cell[CellGroupData[{
Cell[540629, 14650, 57205, 2450, 279, 32553, 2140, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Optical Flat"],
Cell[597837, 17102, 468481, 6384, 446, 105436, 1896, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.2"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[1066367, 23492, 87, 1, 52, "Section",
  CellTags->"Fabry Perot Interferometer"],

Cell[CellGroupData[{
Cell[1066479, 23497, 401, 10, 130, "Input",
  CellTags->"Fabry Perot Interferometer"],
Cell[1066883, 23509, 39435, 1900, 175, 21134, 1669, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Fabry Perot Interferometer"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1106355, 25414, 484, 13, 164, "Input",
  CellTags->"Fabry Perot Interferometer"],
Cell[1106842, 25429, 463046, 6412, 495, 106431, 2004, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Fabry Perot Interferometer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[1569937, 31847, 83, 1, 52, "Section",
  CellTags->"Michelson Interferometer"],

Cell[CellGroupData[{
Cell[1570045, 31852, 519, 15, 215, "Input",
  CellTags->"Michelson Interferometer"],
Cell[1570567, 31869, 127804, 4415, 313, 65670, 3643, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Michelson Interferometer"]
}, Open  ]],

Cell[CellGroupData[{
Cell[1698408, 36289, 106, 4, 45, "Input",
  CellTags->"Michelson Interferometer"],
Cell[1698517, 36295, 572446, 7562, 555, 103986, 1773, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->{"WUG6.", "WUG6.3", "WUG0.", "WUG6.3.3"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[2271000, 43862, 208, 5, 28, "Input",
  CellTags->"Michelson Interferometer"],
Cell[2271211, 43869, 900239, 21559, 240, 775409, 20013, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Michelson Interferometer"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[3171499, 65434, 105, 1, 52, "Section",
  CellTags->"More Elaborate Interference Example"],

Cell[CellGroupData[{
Cell[3171629, 65439, 272277, 17250, 240, 229517, 16717, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"More Elaborate Interference Example"],
Cell[3443909, 82691, 275024, 7767, 365, 82833, 5389, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"More Elaborate Interference Example"],
Cell[3718936, 90460, 125500, 2581, 184, 17966, 1249, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"More Elaborate Interference Example"]
}, Open  ]]
}, Open  ]],
Cell[3844463, 93045, 38, 0, 52, "Section"]
}, Open  ]],

Cell[CellGroupData[{
Cell[3844538, 93050, 134, 3, 65, "Subtitle",
  CellTags->{
  "GaussianPlot", "Three Wavelets with Lens", 
    "PointSpreadFunction and FindField"}],

Cell[CellGroupData[{
Cell[3844697, 93057, 72, 1, 52, "Section",
  CellTags->"GaussianPlot"],

Cell[CellGroupData[{
Cell[3844794, 93062, 341, 8, 113, "Input",
  CellTags->"GaussianPlot"],
Cell[3845138, 93072, 185691, 11805, 388, 129972, 11112, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4030866, 104882, 127, 4, 28, "Input",
  CellTags->"GaussianPlot"],
Cell[4030996, 104888, 108066, 5050, 227, 68685, 4559, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4139099, 109943, 294, 8, 113, "Input",
  CellTags->"GaussianPlot"],
Cell[4139396, 109953, 167384, 4540, 272, 45751, 3033, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4306817, 114498, 82, 1, 28, "Input",
  CellTags->"GaussianPlot"],
Cell[4306902, 114501, 40152, 879, 184, 8534, 483, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4347091, 115385, 127, 4, 28, "Input",
  CellTags->"GaussianPlot"],
Cell[4347221, 115391, 39181, 865, 184, 8820, 485, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],
Cell[4386417, 116259, 170, 4, 24, "Text",
  CellTags->"GaussianPlot"],
Cell[4386590, 116265, 275655, 14340, 455, 202292, 13429, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"GaussianPlot"]
}, Open  ]],

Cell[CellGroupData[{
Cell[4662282, 130610, 85, 1, 52, "Section",
  CellTags->"Three Wavelets with Lens"],

Cell[CellGroupData[{
Cell[4662392, 130615, 97295, 5022, 184, 72275, 4708, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Three Wavelets with Lens"],
Cell[4759690, 135639, 92741, 1900, 298, 13928, 922, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Three Wavelets with Lens"],
Cell[4852434, 137541, 1209033, 25107, 482, 782915, 19841, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Three Wavelets with Lens"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[6061516, 162654, 96, 1, 52, "Section",
  CellTags->"PointSpreadFunction and FindField"],

Cell[CellGroupData[{
Cell[6061637, 162659, 108097, 2838, 237, 27984, 1844, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"PointSpreadFunction and FindField"],
Cell[6169737, 165499, 36472, 741, 247, 5012, 348, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"PointSpreadFunction and FindField"],
Cell[6206212, 166242, 1151329, 24493, 450, 787865, 20001, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"PointSpreadFunction and FindField"],
Cell[7357544, 190737, 275301, 11179, 445, 150039, 9628, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"PointSpreadFunction and FindField"]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7632906, 201923, 168, 3, 65, "Subtitle",
  CellTags->{
  "FindABCDMatrix", "Symbolic Transfer Functions", "Symbolic Optimization", 
    "Finding Geometric Intensity"}],

Cell[CellGroupData[{
Cell[7633099, 201930, 82, 1, 52, "Section",
  CellTags->"FindABCDMatrix"],

Cell[CellGroupData[{
Cell[7633206, 201935, 367, 9, 113, "Input",
  CellTags->"FindABCDMatrix"],
Cell[7633576, 201946, 53218, 1674, 219, 18071, 1235, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7686831, 203625, 194, 5, 28, "Input",
  CellTags->"FindABCDMatrix"],
Cell[7687028, 203632, 625, 13, 75, "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7687690, 203650, 193, 5, 28, "Input",
  CellTags->"FindABCDMatrix"],
Cell[7687886, 203657, 4429, 130, 101, "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7692352, 203792, 155, 4, 28, "Input",
  CellTags->"FindABCDMatrix"],
Cell[7692510, 203798, 2758, 68, 39, "Output",
  CellTags->"FindABCDMatrix"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[7695317, 203872, 89, 1, 52, "Section",
  CellTags->"Symbolic Transfer Functions"],
Cell[7695409, 203875, 732, 17, 42, "Text",
  CellTags->"Symbolic Transfer Functions"],

Cell[CellGroupData[{
Cell[7696166, 203896, 311, 9, 113, "Input",
  CellTags->"Symbolic Transfer Functions"],
Cell[7696480, 203907, 40618, 1293, 257, 13495, 952, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Symbolic Transfer Functions"],
Cell[7737101, 205202, 1417, 26, 132, "Output",
  CellTags->"Symbolic Transfer Functions"]
}, Open  ]],
Cell[7738533, 205231, 118, 1, 32, "Commentary",
  CellTags->"Symbolic Transfer Functions"],
Cell[7738654, 205234, 201, 4, 24, "Text",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],

Cell[CellGroupData[{
Cell[7738880, 205242, 266, 8, 113, "Input",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
Cell[7739149, 205252, 27093, 748, 159, 7359, 499, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],
Cell[7766257, 206003, 468, 12, 25, "Text",
  CellTags->{"Symbolic Optimization", "Symbolic Transfer Functions"}],

Cell[CellGroupData[{
Cell[7766750, 206019, 247, 5, 62, "Input",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}],
Cell[7767000, 206026, 567, 10, 80, "Output",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],
Cell[7767582, 206039, 130, 1, 32, "Commentary",
  CellTags->{"Symbolic Transfer Functions", "Symbolic Optimization"}]
}, Open  ]],

Cell[CellGroupData[{
Cell[7767749, 206045, 84, 1, 52, "Section",
  CellTags->"Symbolic Optimization"],
Cell[7767836, 206048, 113, 1, 24, "Text",
  CellTags->"Symbolic Optimization"],

Cell[CellGroupData[{
Cell[7767974, 206053, 134, 2, 28, "Input",
  CellTags->"Symbolic Optimization"],
Cell[7768111, 206057, 1706, 25, 191, "Output",
  CellTags->"Symbolic Optimization"]
}, Open  ]],
Cell[7769832, 206085, 82, 1, 32, "Commentary",
  CellTags->"Symbolic Optimization"],
Cell[7769917, 206088, 96, 1, 24, "Text",
  CellTags->"Symbolic Optimization"],

Cell[CellGroupData[{
Cell[7770038, 206093, 122, 2, 28, "Input",
  CellTags->"Symbolic Optimization"],
Cell[7770163, 206097, 73556, 1459, 240, 21446, 810, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Symbolic Optimization"]
}, Open  ]],
Cell[7843734, 207559, 88, 1, 32, "Commentary",
  CellTags->"Symbolic Optimization"],
Cell[7843825, 207562, 109, 1, 24, "Text",
  CellTags->"Symbolic Optimization"],
Cell[7843937, 207565, 6097, 108, 169, "Output",
  CellTags->"Symbolic Optimization"],
Cell[7850037, 207675, 105, 1, 32, "Commentary",
  CellTags->"Symbolic Optimization"],
Cell[7850145, 207678, 128, 4, 24, "Text",
  CellTags->"Symbolic Optimization"],
Cell[7850276, 207684, 182, 3, 25, "Output",
  CellTags->"Symbolic Optimization"],
Cell[7850461, 207689, 101, 1, 24, "Text",
  CellTags->"Symbolic Optimization"],
Cell[7850565, 207692, 27406, 859, 234, 8189, 617, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Symbolic Optimization"],
Cell[7877974, 208553, 83, 1, 32, "Commentary",
  CellTags->"Symbolic Optimization"]
}, Open  ]],

Cell[CellGroupData[{
Cell[7878094, 208559, 95, 1, 52, "Section",
  CellTags->"Finding Geometric Intensity"],

Cell[CellGroupData[{
Cell[7878214, 208564, 41313, 1393, 274, 17570, 1093, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Finding Geometric Intensity"],
Cell[7919530, 209959, 610990, 8267, 402, 247926, 3780, "GraphicsData", \
"PostScript", "Graphics",
  CellTags->"Finding Geometric Intensity"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

