(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    904892,      43889]
NotebookOptionsPosition[    625326,      36819]
NotebookOutlinePosition[    866132,      42808]
CellTagsIndexPosition[    863751,      42737]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[TextData[{
 "1. Introduction to ",
 StyleBox["Optica",
  FontSlant->"Italic"]
}], "Subtitle",
 CellTags->{
  "chapter 1 topics", "Overview", "Getting Started", 
   "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
   "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
   "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],

Cell[TextData[ButtonBox["1.1 Overview",
 BaseStyle->"Hyperlink",
 ButtonData:>"1.1"]], "Outline2",
 CellMargins->{{Inherited, Inherited}, {2, Inherited}}],

Cell[TextData[ButtonBox["1.2 Getting Started",
 BaseStyle->"Hyperlink",
 ButtonData:>"1.2"]], "Outline2",
 CellMargins->{{Inherited, Inherited}, {2, 2}}],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3 General Architecture of Optica",
 BaseStyle->"Hyperlink",
 ButtonData:>"1.3"]], "Outline2",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->"General Architecture of Rayica"],

Cell[TextData[ButtonBox["1.3.1 A Simple System",
 BaseStyle->"Hyperlink",
 ButtonData:>"A Simple System"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->"General Architecture of Rayica"],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3.2 Calling Conventions",
 BaseStyle->"Hyperlink",
 ButtonData:>"Calling Conventions"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],

Cell[TextData[{
 ButtonBox["Options",
  BaseStyle->"Hyperlink",
  ButtonData:>"Options"],
 "\n",
 ButtonBox["Required Parameters",
  BaseStyle->"Hyperlink",
  ButtonData:>"Required Parameters"],
 "\n",
 ButtonBox["The Subtle Semicolon",
  BaseStyle->"Hyperlink",
  ButtonData:>"The Subtle Semicolon"]
}], "Outline4",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3.3 Components",
 BaseStyle->"Hyperlink",
 ButtonData:>"Components"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],

Cell[TextData[{
 ButtonBox["Components in a System",
  BaseStyle->"Hyperlink",
  ButtonData:>"Components in a System"],
 "\n",
 ButtonBox["Complex Components",
  BaseStyle->"Hyperlink",
  ButtonData:>"Complex Components"]
}], "Outline4",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3.4 Light Sources",
 BaseStyle->"Hyperlink",
 ButtonData:>"Light Sources"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],

Cell[TextData[{
 ButtonBox["Basic Light Sources",
  BaseStyle->"Hyperlink",
  ButtonData:>"Basic Light Sources"],
 "\n",
 ButtonBox["Two-dimensional Sources",
  BaseStyle->"Hyperlink",
  ButtonData:>"Two-dimensional Sources"],
 "\n",
 ButtonBox["Gaussian Sources",
  BaseStyle->"Hyperlink",
  ButtonData:>"Gaussian Sources"],
 "\n",
 ButtonBox["Coincident Light Sources",
  BaseStyle->"Hyperlink",
  ButtonData:>"Coincident Light Sources"],
 "\n",
 ButtonBox["Random Light Sources\n",
  BaseStyle->"Hyperlink",
  ButtonData:>"Random Light Sources"],
 ButtonBox["Nested Light Sources",
  BaseStyle->"Hyperlink",
  ButtonData:>"Nested Light Sources"],
 "\n",
 ButtonBox["Aperture Stops",
  BaseStyle->"Hyperlink",
  ButtonData:>"Aperture Stops"],
 "\n",
 ButtonBox["Connections Between Sources and Rays",
  BaseStyle->"Hyperlink",
  ButtonData:>"Connections Between Sources and Rays"]
}], "Outline4",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3.5 Rays",
 BaseStyle->"Hyperlink",
 ButtonData:>"Rays"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],

Cell[TextData[{
 ButtonBox["Ray Properties and Queries",
  BaseStyle->"Hyperlink",
  ButtonData:>"Ray Properties and Queries"],
 "\n",
 ButtonBox["Using Rays to Understand Your System",
  BaseStyle->"Hyperlink",
  ButtonData:>"Using Rays to Understand Your System"],
 "\n",
 ButtonBox["Finding the Focus",
  BaseStyle->"Hyperlink",
  ButtonData:>"Finding the Focus"],
 " "
}], "Outline4",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["1.3.6 The Ray Tracing Process",
 BaseStyle->"Hyperlink",
 ButtonData:>"The Ray Tracing Process"]], "Outline3",
 CellMargins->{{Inherited, Inherited}, {2, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],

Cell[TextData[{
 ButtonBox["AnalyzeSystem Function",
  BaseStyle->"Hyperlink",
  ButtonData:>"AnalyzeSystem Function"],
 "\n",
 ButtonBox["Sequential and Nonsequential Ray Tracing",
  BaseStyle->"Hyperlink",
  ButtonData:>"Sequential and Nonsequential Ray Tracing"]
}], "Outline4",
 CellMargins->{{Inherited, Inherited}, {Inherited, 2}},
 CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.1 Overview", "Section",
 CellTags->{"1.1", "Overview"}],

Cell[TextData[{
 StyleBox["Optica",
  FontSlant->"Italic"],
 " is a new generation of optical design software.  It offers unprecedented  \
flexibility and builds upon the enormous repertoire of symbolic, numeric, and \
 graphic capabilities of ",
 StyleBox["Mathematica.",
  FontSlant->"Italic"],
 StyleBox["  With its searchable component database of more than 6800  \
commercial optical parts, you can design optical systems faster than ever  \
before.  Yet ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 "does not limit you to predefined components, nor constrain you by limited  \
script languages.  Whatever you can conceive doing, you can do with ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ".\n",
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[" ",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["has a modular building-block architecture that makes addition of  \
custom components a snap.  Aspheric lenses, custom surfaces, resonating  \
cavities, and optical fibers represent just a few of the possibilities, from  \
mundane to exotic.  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[" is limited only by your imagination and the unbounded  \
possibilites of ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica",
  FontSlant->"Italic"],
 " is like a well-stocked workshop, ready for any project.  If a component  \
or analysis function doesn't exist in ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ", you have the tools to build it yourself.\n",
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[" is an open-source package; unlike other optical software  \
packages, ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[" conceals nothing about its internal operations.  The simple  \
building-block architecture of ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica",
  FontSlant->"Italic"],
 " also makes it easy to learn.\nThe power of ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " lies not only in the components of optical systems, but also in the rays  \
themselves.  These are full-fledged system objects in their own right.  You  \
can tag specific rays with descriptive labels and follow them through a  \
complex system.  Optical ray-tracing can be sequential or nonsequential.  The \
 ray-tracing engine can even perform traces with arbitrary precision, beyond  \
standard machine precision.\n",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " introduces tremendous performance gains over the first release.   Speed \
improvements of two orders of magnitude have been observed.  These  \
improvements address a critical concern of system designers who must iterate  \
designs several times to obtain optimal systems.  ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " presents several new user options for speed performance.\nIn ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " Version 4 or later, you can now rotate optical system graphics  \
interactively with your mouse."
}], "Text",
 CellTags->"Overview"],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.2 Getting Started", "Section",
 CellTags->{"1.2", "Getting Started"}],

Cell[TextData[{
 "First read about the general architecture of ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 StyleBox[",",
  FontVariations->{"CompatibilityType"->0}],
 " then exercise the simple examples.  This activity should take between two  \
and four hours.\nOnce you have mastered the basic aspects of ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ", you can explore the more advanced aspects of the system.  In many cases,  \
you can begin designing your own systems by modifying or combining examples  \
from the manual.\nYou can learn a great deal from the Help Browser, and ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " has its own section in the Help Browser.  Once you have installed ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ", be sure to rebuild your help index so that this section becomes  \
available to you.\nInformation about any ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " object or function may also be obtained by the built-in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " ",
 StyleBox["?", "MB"],
 " or ",
 StyleBox["Information", "MB"],
 " command.  "
}], "Text",
 CellTags->"Getting Started"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "Mirror"}]], "Input",
 CellTags->"Getting Started",
 CellLabel->"In[2]:="],

Cell[BoxData[
 StyleBox["\<\"Mirror[aperture, label, options] and Mirror[aperture, \
thickness, label, options] denote a planar mirror.\\n\\nThe thickness refers \
to the refractive substrate of the mirror. If no thickness value is given, \
the component is a single-sided mirror. Mirror is created with its first \
surface centered about the origin and its second surface positioned down the \
positive x axis. The aperture parameter may indicate a circle, rectangle, or \
polygon depending on the number and type of elements listed by it. The \
user-named label parameter is optional and can be omitted. When it is \
present, its text content is used to identify the object in both the rendered \
graphics and the output cell expression. When it is omitted, Optica uses the \
default setting of the Labels option with the rendered graphics.\"\>", 
  "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.614752941236805*^9},
 CellTags->{"Getting Started", "Info3614734941-2758343"}]
}, Open  ]],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text"]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "1.3 General Architecture of ",
 StyleBox["Optica",
  FontSlant->"Italic"]
}], "Section",
 CellTags->{"1.3", "General Architecture of Rayica", "PR1.3"}],

Cell[TextData[{
 StyleBox["Optica",
  FontSlant->"Italic"],
 " presents a high-level interface that allows you to manipulate virtual  \
optical systems instead of ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " data constructs.  You will seldom, if ever, need to deal with ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 "'s internal data structures.  However, an understanding of the design  \
architecture is still important for proper usage.",
 StyleBox["\n",
  FontSlant->"Italic"],
 StyleBox["Optica",
  FontSlant->"Italic"],
 " builds upon simple foundational concepts.  These concepts are ",
 StyleBox["systems", "IT"],
 ", ",
 StyleBox["components", "IT"],
 ", ",
 StyleBox["sources", "IT"],
 StyleBox[",",
  FontVariations->{"CompatibilityType"->0}],
 " and ",
 StyleBox["rays", "IT"],
 ".  A ",
 StyleBox["system", "IT"],
 " comprises a set of optical ",
 StyleBox["components", "IT"],
 StyleBox[" and ", "IT",
  FontSlant->"Plain",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["sources", "IT",
  FontVariations->{"CompatibilityType"->0}],
 ".  The ",
 StyleBox["components", "IT"],
 " are lenses, mirrors, prisms, and other optical objects that interact with  \
",
 StyleBox["rays", "IT"],
 ".  A ",
 StyleBox["source", "IT"],
 " is a light which emits ",
 StyleBox["rays", "IT"],
 ".  Finally, a ",
 StyleBox["ray", "IT"],
 " encodes information about surface intersections, optical path lengths,  \
physical path lengths, and light intensity."
}], "Text",
 CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],

Cell[CellGroupData[{

Cell["1.3.1 A Simple System", "Subsection",
 CellTags->{
  "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
   "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "To make this discussion concrete, load ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " and define a simple system."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[CellGroupData[{

Cell["Needs[\"Optica`Optica`\"]", "Input",
 AspectRatioFixed->True,
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"},
 CellLabel->"In[2]:="],

Cell[BoxData["\<\"Optica 4.01 (May 23, 2014 build) was loaded in 12 s and \
needs 30182 kilobytes of memory on top of 26237 kilobytes already used\"\>"], \
"Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.566127845760139*^9, 3.601286485871056*^9, 
  3.614708214246714*^9, 3.614726956226364*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"},
 CellLabel->"During evaluation of In[2]:="],

Cell["\<\
+++++++++++++++++++++++++++++++++\
\>", "Print",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 CellChangeTimes->{3.566127845760139*^9, 3.601286485871056*^9, 
  3.614708214246714*^9, 3.614726943812935*^9, 3.614727002919714*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"},
 CellLabel->"During evaluation of In[2]:="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"myComponent", "=", 
   RowBox[{"PlanoConvexLens", "[", 
    RowBox[{"50", ",", "25", ",", "5"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"mySource", "=", 
   RowBox[{"Move", "[", 
    RowBox[{
     RowBox[{"ConeOfRays", "[", 
      RowBox[{"20", ",", 
       RowBox[{"NumberOfRays", "\[Rule]", "40"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "31.33"}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{
  RowBox[{"mySystem", "=", 
   RowBox[{"{", 
    RowBox[{"mySource", ",", "myComponent"}], "}"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{"mySystem", ",", 
    RowBox[{"PlotType", "\[Rule]", "SideView"}]}], "]"}], ";"}]}], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"},
 CellLabel->"In[3]:="],

Cell[BoxData[
 GraphicsBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{3.210987290477796, 0.}, {5., 3.061616997868383*^-15}, {5., 
      2.551347498223653*^-15}, {1.3752244171423946`, 0.}, {3.210987290477796, 
      0.}}], PolygonBox[{{1.3752244171423946`, 0.}, {5., 
      2.551347498223653*^-15}, {5., 2.0410779985789223`*^-15}, {
      0.33687899794603027`, 0.}, {1.3752244171423946`, 0.}}], 
     PolygonBox[{{0.33687899794603027`, 0.}, {5., 2.0410779985789223`*^-15}, {
      5., 1.530808498934192*^-15}, {0., 0.}, {0.33687899794603027`, 0.}}], 
     PolygonBox[{{0., 0.}, {5., 1.5308084989341915`*^-15}, {5., 
      1.0205389992894611`*^-15}, {0.33687899794603027`, 0.}, {0., 0.}}], 
     PolygonBox[{{0.33687899794603027`, 0.}, {5., 1.0205389992894611`*^-15}, {
      5., 5.102694996447307*^-16}, {1.3752244171423946`, 0.}, {
      0.33687899794603027`, 0.}}], 
     PolygonBox[{{1.3752244171423946`, 0.}, {5., 5.102694996447308*^-16}, {5.,
       2.5493082627129206`*^-31}, {3.210987290477796, 0.}, {
      1.3752244171423946`, 0.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{3.210987290477796, 0.}, {1.3752244171423946`, 0.}, {
       0.33687899794603027`, 0.}, {0., 0.}, {0.33687899794603027`, 0.}, {
       1.375224417142391, 0.}, {3.210987290477796, 0.}, {5., 0.}, {5., 0.}, {
       5., 0.}, {5., 0.}, {5., 0.}, {5., 0.}, {5., 0.}, {3.210987290477796, 
       0.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{3.210987290477796, -12.5}, {5., -12.5}, {
        5., -8.333333333333336}, {1.3752244171423946`, -8.333333333333334}, {
        3.210987290477796, -12.5}}], 
       PolygonBox[{{1.3752244171423946`, -8.333333333333334}, {
        5., -8.333333333333336}, {5., -4.166666666666668}, {
        0.33687899794603027`, -4.166666666666668}, {
        1.3752244171423946`, -8.333333333333334}}], 
       PolygonBox[{{0.33687899794603027`, -4.166666666666668}, {
        5., -4.166666666666668}, {5., -3.552713678800501*^-15}, {0., 0.}, {
        0.33687899794603027`, -4.166666666666668}}], 
       PolygonBox[{{0., 0.}, {5., 0.}, {5., 4.166666666666666}, {
        0.33687899794603027`, 4.166666666666664}, {0., 0.}}], 
       PolygonBox[{{0.33687899794603027`, 4.166666666666664}, {5., 
        4.166666666666666}, {5., 8.333333333333332}, {1.3752244171423946`, 
        8.333333333333332}, {0.33687899794603027`, 4.166666666666664}}], 
       PolygonBox[{{1.3752244171423946`, 8.333333333333332}, {5., 
        8.333333333333332}, {5., 12.499999999999998`}, {3.210987290477796, 
        12.499999999999996`}, {1.3752244171423946`, 8.333333333333332}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{3.210987290477796, -12.5}, {
         1.3752244171423946`, -8.333333333333334}, {
         0.33687899794603027`, -4.166666666666668}, {
         0., -1.7763568394002505`*^-15}, {0.33687899794603027`, 
         4.166666666666664}, {1.375224417142391, 8.333333333333329}, {
         3.210987290477796, 12.499999999999996`}, {5., 12.5}, {5., 
         8.333333333333334}, {5., 4.166666666666668}, {5., 
         1.7763568394002505`*^-15}, {5., -4.166666666666664}, {
         5., -8.333333333333329}, {5., -12.499999999999996`}, {
         3.210987290477796, -12.5}}]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{3.210987290477796, 0.}, {5., 0.}, {5., 3.2352380637815092`}, {
       3.210987290477796, 3.2352380637815092`}, {3.210987290477796, 0.}}], 
      LineBox[{{3.210987290477796, 3.2352380637815092`}, {5., 
       3.2352380637815092`}, {5., 6.249999999999999}, {3.210987290477796, 
       6.249999999999999}, {3.210987290477796, 3.2352380637815092`}}], 
      LineBox[{{3.210987290477796, 6.249999999999999}, {5., 
       6.249999999999999}, {5., 8.838834764831843}, {3.210987290477796, 
       8.838834764831843}, {3.210987290477796, 6.249999999999999}}], 
      LineBox[{{3.210987290477796, 8.838834764831843}, {5., 
       8.838834764831843}, {5., 10.825317547305483`}, {3.210987290477796, 
       10.825317547305483`}, {3.210987290477796, 8.838834764831843}}], 
      LineBox[{{3.210987290477796, 10.825317547305483`}, {5., 
       10.825317547305483`}, {5., 12.074072828613353`}, {3.210987290477796, 
       12.074072828613353`}, {3.210987290477796, 10.825317547305483`}}], 
      LineBox[{{3.210987290477796, 12.074072828613353`}, {5., 
       12.074072828613353`}, {5., 12.5}, {3.210987290477796, 12.5}, {
       3.210987290477796, 12.074072828613353`}}], 
      LineBox[{{3.210987290477796, 12.5}, {5., 12.5}, {5., 
       12.074072828613353`}, {3.210987290477796, 12.074072828613353`}, {
       3.210987290477796, 12.5}}], 
      LineBox[{{3.210987290477796, 12.074072828613353`}, {5., 
       12.074072828613353`}, {5., 10.825317547305485`}, {3.210987290477796, 
       10.825317547305485`}, {3.210987290477796, 12.074072828613353`}}], 
      LineBox[{{3.210987290477796, 10.825317547305485`}, {5., 
       10.825317547305485`}, {5., 8.838834764831844}, {3.210987290477796, 
       8.838834764831844}, {3.210987290477796, 10.825317547305485`}}], 
      LineBox[{{3.210987290477796, 8.838834764831844}, {5., 
       8.838834764831844}, {5., 6.249999999999999}, {3.210987290477796, 
       6.249999999999999}, {3.210987290477796, 8.838834764831844}}], 
      LineBox[{{3.2109872904777994`, 6.250000000000004}, {5., 
       6.250000000000004}, {5., 3.235238063781513}, {3.210987290477796, 
       3.235238063781513}, {3.2109872904777994`, 6.250000000000004}}], 
      LineBox[{{3.210987290477796, 3.235238063781513}, {5., 
       3.235238063781513}, {5., 1.5308084989341915`*^-15}, {3.210987290477796,
        1.5308084989341915`*^-15}, {3.210987290477796, 3.235238063781513}}], 
      LineBox[{{3.210987290477796, 1.5308084989341915`*^-15}, {5., 
       1.5308084989341915`*^-15}, {5., -3.23523806378151}, {
       3.210987290477796, -3.23523806378151}, {3.210987290477796, 
       1.5308084989341915`*^-15}}], 
      LineBox[{{3.210987290477796, -3.2352380637815044`}, {
       5., -3.2352380637815044`}, {5., -6.2499999999999964`}, {
       3.210987290477796, -6.2499999999999964`}, {
       3.210987290477796, -3.2352380637815044`}}], 
      LineBox[{{3.210987290477796, -6.2499999999999964`}, {
       5., -6.2499999999999964`}, {5., -8.838834764831843}, {
       3.210987290477796, -8.838834764831843}, {
       3.210987290477796, -6.2499999999999964`}}], 
      LineBox[{{3.210987290477796, -8.838834764831839}, {
       5., -8.838834764831839}, {5., -10.82531754730548}, {
       3.210987290477796, -10.82531754730548}, {
       3.210987290477796, -8.838834764831839}}], 
      LineBox[{{3.210987290477796, -10.82531754730548}, {
       5., -10.82531754730548}, {5., -12.074072828613351`}, {
       3.210987290477796, -12.074072828613351`}, {
       3.210987290477796, -10.82531754730548}}], 
      LineBox[{{3.210987290477796, -12.074072828613351`}, {
       5., -12.074072828613351`}, {5., -12.5}, {3.210987290477796, -12.5}, {
       3.210987290477796, -12.074072828613351`}}], 
      LineBox[{{3.210987290477796, -12.5}, {5., -12.5}, {
       5., -12.074072828613355`}, {3.210987290477796, -12.074072828613355`}, {
       3.210987290477796, -12.5}}], 
      LineBox[{{3.210987290477796, -12.074072828613355`}, {
       5., -12.074072828613355`}, {5., -10.825317547305488`}, {
       3.210987290477796, -10.825317547305488`}, {
       3.210987290477796, -12.074072828613355`}}], 
      LineBox[{{3.210987290477796, -10.825317547305488`}, {
       5., -10.825317547305488`}, {5., -8.838834764831855}, {
       3.2109872904777994`, -8.838834764831855}, {
       3.210987290477796, -10.825317547305488`}}], 
      LineBox[{{3.210987290477796, -8.838834764831846}, {
       5., -8.838834764831846}, {5., -6.250000000000005}, {
       3.210987290477796, -6.250000000000005}, {
       3.210987290477796, -8.838834764831846}}], 
      LineBox[{{3.210987290477796, -6.250000000000005}, {
       5., -6.250000000000005}, {5., -3.2352380637815195`}, {
       3.210987290477796, -3.2352380637815195`}, {
       3.210987290477796, -6.250000000000005}}], 
      LineBox[{{3.210987290477796, -3.2352380637815195`}, {
       5., -3.2352380637815195`}, {5., -1.4163847244119949`*^-14}, {
       3.210987290477796, -1.4163847244119949`*^-14}, {
       3.210987290477796, -3.2352380637815195`}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Arrowheads[Small], 
     ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 0.}}], 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -0.8682066977339077}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -1.7168759610806708`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -2.5265675814416473`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -3.278107209432767}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -3.952885401409507}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -4.533321074223527}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807688, -5.00348673978133}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -5.3498489341336475`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -5.562034888066651}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -5.633508274454681}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -5.562034888066651}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -5.349848934133648}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807688, -5.003486739781331}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -4.533321074223527}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -3.9528854014095076`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -3.278107209432768}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -2.5265675814416477`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -1.7168759610806714`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, -0.8682066977339082}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 0.8682066977339069}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 1.71687596108067}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 2.526567581441647}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 3.2781072094327666`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 3.952885401409507}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 4.533321074223526}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807688, 5.00348673978133}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 5.3498489341336475`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 5.56203488806665}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 5.633508274454681}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 5.562034888066651}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 5.349848934133648}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807688, 5.003486739781331}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 4.533321074223527}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 3.9528854014095085`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 3.2781072094327683`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 2.5265675814416486`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 1.716875961080672}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{-31.33, 0.}, {0.6192130575807724, 0.868206697733909}}]}, 
     {Arrowheads[Small], ArrowBox[{{0.6192130575807724, 0.}, {5., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -0.8682066977339077}, {
       5., -0.8926615269488352}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -1.7168759610806708`}, {
       5., -1.765235307444882}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -2.5265675814416473`}, {
       5., -2.5977335593883697`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -3.278107209432767}, {
       5., -3.3704418483662604`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -3.952885401409507}, {
       5., -4.064226557438318}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -4.533321074223527}, {
       5., -4.661011396051181}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807688, -5.00348673978133}, {
       5., -5.1444202456156845`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -5.3498489341336475`}, {
       5., -5.5005384443060255`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -5.562034888066651}, {
       5., -5.718701052506707}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -5.633508274454681}, {
       5., -5.792187633980762}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -5.562034888066651}, {
       5., -5.718701052506707}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -5.349848934133648}, {
       5., -5.500538444306026}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807688, -5.003486739781331}, {
       5., -5.1444202456156845`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -4.533321074223527}, {
       5., -4.661011396051181}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -3.9528854014095076`}, {
       5., -4.064226557438318}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -3.278107209432768}, {
       5., -3.3704418483662613`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -2.5265675814416477`}, {
       5., -2.59773355938837}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -1.7168759610806714`}, {
       5., -1.765235307444883}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, -0.8682066977339082}, {
       5., -0.8926615269488357}}]}, 
     {Arrowheads[Small], ArrowBox[{{0.6192130575807724, 0.}, {5., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 0.8682066977339069}, {5., 
       0.8926615269488344}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 1.71687596108067}, {5., 
       1.7652353074448814`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 2.526567581441647}, {5., 
       2.5977335593883693`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 3.2781072094327666`}, {5., 
       3.37044184836626}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 3.952885401409507}, {5., 
       4.064226557438318}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 4.533321074223526}, {5., 
       4.6610113960511805`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807688, 5.00348673978133}, {5., 
       5.1444202456156845`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 5.3498489341336475`}, {5., 
       5.5005384443060255`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 5.56203488806665}, {5., 
       5.718701052506706}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 5.633508274454681}, {5., 
       5.792187633980762}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 5.562034888066651}, {5., 
       5.718701052506707}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 5.349848934133648}, {5., 
       5.500538444306026}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807688, 5.003486739781331}, {5., 
       5.1444202456156845`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 4.533321074223527}, {5., 
       4.661011396051181}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 3.9528854014095085`}, {5., 
       4.064226557438319}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 3.2781072094327683`}, {5., 
       3.3704418483662617`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 2.5265675814416486`}, {5., 
       2.597733559388371}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 1.716875961080672}, {5., 
       1.7652353074448837`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0.6192130575807724, 0.868206697733909}, {5., 
       0.8926615269488365}}]}}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], PointBox[CompressedData["
1:eJx1kE8ow2EYx38xyVLW+pmUhCK1iyjStL1ol/kz7SYphFkUN847rLWlFoVI
KzlJFFEOsgMlORgOLmJjo7bfwVZSHND7vo98a2/9+vXp6Xme7/OpHpl2jeUp
itL38/3+WXkmuXz1ZFPEk/yirXv6z1MnkndVr+aa+ySOuicNnmZdRHLP4IU9
1KonLqoMD3vDJcQFlplUZY0xUiV4wlVbuJCvUv1tMXBpHS8l7ry9N/psJmKt
YmP00G/KWc+IfjnfA/Plfsl6yOeE/Ndw3x7cnwY/6O+R122St3k/8RWfzyR3
8/0M/BHreH4G/hj4I+7gfhj4Y+CPgT8G/hj4Iy6GfH2Q/xbuO4D7s8IPt6Yy
5d9TWSSkvu6E0ieSrb79Ibf1i3h5wOGvP9dFJHdPWVu23vXEUa137bTdQBx3
xMyPm0biu8ZwMr6oEgeOR+rmFRNxYrbBnH3445uPhrYmc1nOehD6cT7ux3y9
kH8F7uuA+8/AD/o74nXya+H9xEt8PpPcxfcTi3zEMZ6fWNxHLPwRP3M/xMIf
cQLqQejH+XHYfw35nJB/Fe6zw/2Xws83MNTi2g==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  GridLines:>None,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366039032963*^9, 3.5660864252115707`*^9, 
  3.566127671979817*^9, 3.566127849766183*^9, 3.566161128838592*^9, 
  3.601212962412072*^9, 3.6012131759435673`*^9, 3.601286441106015*^9, 
  3.601286488354693*^9, 3.614708217563078*^9, 3.614726958748657*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"},
 CellLabel->"During evaluation of In[3]:="]
}, Open  ]],

Cell[TextData[{
 "Load Optica",
 StyleBox[" and define a simple system. Later you will learn about a  method \
to expedite the loading of ",
  FontSlant->"Italic"],
 "Optica",
 StyleBox[".",
  FontSlant->"Italic"]
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "The system has one lens and one light source.  The whole system is stored  \
in a single ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " variable, ",
 StyleBox["mySystem", "MB"],
 ".  This variable holds a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " list, indicated by the curly braces { }and elements being separated by  \
commas.  The two elements of ",
 StyleBox["mySystem", "MB"],
 " are ",
 StyleBox["mySource", "MB"],
 " and ",
 StyleBox["myComponent", "MB"],
 ".  ",
 "Optica",
 " systems can contain arbitrary numbers of components and sources."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "There are several points to note about this example.  In the absence of  \
other infomation, Optica always selects built-in defaults.  In this instance, \
",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " assumes that ",
 StyleBox["myComponent", "MB"],
 " is made of the default material for a ",
 StyleBox["PlanoConvexLens", "MB"],
 ", namely BK7 glass.  That assumption is how ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " determines the refraction through ",
 StyleBox["myComponent", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "Not all parameters can assume default values",
 StyleBox[".  Co",
  FontVariations->{"CompatibilityType"->0}],
 "mponents usually require certain explicit parameters related to their  \
type.  A ",
 StyleBox["PlanoConvexLens", "MB"],
 " requires specifications for focal length, aperture diameter, and lens  \
thickness, in that order.  Every component has its own explicit parameter  \
requirements.  Use the Help Browser to find out what parameters you need for  \
any given component."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "You are free to employ any system of units.  The parameters of ",
 StyleBox["myComponent", "MB"],
 " could be millimeters, centimeters, inches, or any other unit of length.   \
The best strategy is to adopt a convention for units in your ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " work and stay with it.  For example, you might assume that all dimensions  \
are millimeters.  Realize, however, that ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " does use specific units in certain situations.  The ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " catalog database contains thousands of predefined commercial optical  \
components with inherent units.  If the units of a catalog component do not  \
match your working units, then you will have to convert them as appropriate.  \
 Built-in units, where used, are usually microns for wavelengths, millimeters \
 for physical length, and degrees for angles."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 StyleBox["Optica",
  FontSlant->"Italic"],
 " has functions for positioning components and light sources in all six  \
degrees of freedom.  The light source in this example is a ",
 StyleBox["ConeOfRays", "MB"],
 " that has been positioned by the ",
 StyleBox["Move", "MB"],
 " command.  ",
 StyleBox["Move", "MB"],
 " is a translational positioning command.  ",
 StyleBox["ConeOfRays", "MB"],
 " is one of several different light sources available in ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ".  Each offers a unique geometric distribution of rays.  The  \
cross-sectional cone angle here is 30 degrees, and the cone origin is  \
positioned 31.33 units to the left along the optic axis.  ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " uses the x-axis as the optic axis by default, but you are free to  \
coordinate your system in any way you see fit."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 StyleBox["AnalyzeSystem", "MB"],
 " performs the ray-trace and produces a graphic of the system.  The rays in  \
this example terminate at the back surface of the lens simply because we did  \
not specify any other boundary for the system.  ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " cannot determine where else the rays should go, so they stop.  In most  \
cases you will employ the ",
 StyleBox["Boundary", "MB"],
 " component to provide ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " with an enclosing termination surface for the system.  The rays appear  \
green to match their default wavelength specification of 0.532 microns, which \
 is green light."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "Finally, we used ",
 StyleBox["options",
  FontSlant->"Italic"],
 "; an option is seen with its name preceding the arrow symbol  \
(\[RightArrow]), and its setting following.  We used one option, ",
 StyleBox["NumberOfRays", "MB"],
 ", to cause the light source to produce exactly 40 rays."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[{
 "Another option called ",
 StyleBox["PlotType", "MB"],
 ", with a setting of ",
 StyleBox["SideView", "MB"],
 ", determined the output graphics format.  The resulting graphic is not  \
photo-realistic.  ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " renders approximate images of optical components using polygons.   \
Ray-tracing analysis still follows the true shape of the component.  Usually  \
this shape is smooth and continuous."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3.2 Calling Conventions", "Subsection",
 CellTags->{
  "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
   "PR1.3.2.1", "PR1.3.2", "PR1.3"}],

Cell[CellGroupData[{

Cell["Options", "Subsubsection",
 CellTags->{
  "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
   "PR1.3.2", "PR1.3"}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " options are the standard mechanism for default parameters.  A large  \
majority of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " functions have options, and ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " is no exception.  Options allow you to change only those parameters that  \
are necessary.  Options greatly simplify ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " input by providing descriptive names and by minimizing the quantity of  \
function parameters.\nHere is a display of options associated with ",
 StyleBox["PlanoConvexLens", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ColumnForm", "[", 
  RowBox[{"Options", "[", "PlanoConvexLens", "]"}], "]"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"In[7]:="],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{"Labels", "\[Rule]", "\<\"L\"\>"}]},
    {
     RowBox[{"LabelPositions", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"ComponentDescription", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]},
    {
     RowBox[{"Temperature", "\[Rule]", "Temperature"}]},
    {
     RowBox[{"Tension", "\[Rule]", "Tension"}]},
    {
     RowBox[{"Transmittance", "\[Rule]", "Transmittance"}]},
    {
     RowBox[{"Reflectance", "\[Rule]", "Reflectance"}]},
    {
     RowBox[{"GraphicDesign", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"CurvatureDirection", "\[Rule]", "Front"}]},
    {
     RowBox[{"DesignWaveLength", "\[Rule]", "0.5461`"}]},
    {
     RowBox[{"OffAxis", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]},
    {
     RowBox[{"SwitchDirectionOnReflection", "\[Rule]", "False"}]},
    {
     RowBox[{"Resonate", "\[Rule]", "True"}]},
    {
     RowBox[{"Automatic", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Empty"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Sketch", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Trace"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Empty"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Wire", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Solid", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Fill"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", "Empty"}]}], "}"}]}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  ColumnForm[{
   Optica`Optica`Labels -> "L", Optica`Optica`LabelPositions -> Automatic, 
    Optica`Optica`ComponentDescription -> Automatic, 
    Optica`Optica`ComponentMedium -> Optica`Optica`BK7, 
    Optica`Optica`Temperature -> Optica`Optica`Temperature, 
    Optica`Optica`Tension -> Optica`Optica`Tension, 
    Optica`Optica`Transmittance -> Optica`Optica`Transmittance, 
    Optica`Optica`Reflectance -> Optica`Optica`Reflectance, 
    Optica`Optica`GraphicDesign -> Automatic, 
    Optica`Optica`CurvatureDirection -> Front, Optica`Optica`DesignWaveLength -> 
    0.5461, Optica`Optica`OffAxis -> {0, 0}, 
    Optica`Optica`SwitchDirectionOnReflection -> False, 
    Optica`Optica`Resonate -> True, 
    Automatic -> {
     Optica`Optica`SurfaceRendering -> Empty, Optica`Optica`EdgeRendering -> 
      Mesh, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Sketch -> {
     Optica`Optica`SurfaceRendering -> Trace, Optica`Optica`EdgeRendering -> 
      Empty, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Wire -> {
     Optica`Optica`SurfaceRendering -> Mesh, Optica`Optica`EdgeRendering -> 
      Mesh, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Solid -> {
     Optica`Optica`SurfaceRendering -> {{Optica`Optica`Fill, Trace}}, 
      Optica`Optica`EdgeRendering -> Optica`Optica`Fill, 
      Optica`Optica`CrossRendering -> Empty}}],
  Editable->False]], "Output",
 CellChangeTimes->{3.563366039179652*^9, 3.566086425307671*^9, 
  3.566127672160256*^9, 3.566127849984275*^9, 3.566161129042735*^9, 
  3.601212962633192*^9, 3.601286441297491*^9, 3.601286488451127*^9, 
  3.614708217694354*^9, 3.6147269588187037`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"Out[7]="]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 StyleBox[
  InterpretationBox[GridBox[{
     {
      RowBox[{"Labels", "\[Rule]", "\"\<L\>\""}]},
     {
      RowBox[{"LabelPositions", "\[Rule]", "Automatic"}]},
     {
      RowBox[{"ComponentDescription", "\[Rule]", "Automatic"}]},
     {
      RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]},
     {
      RowBox[{"Temperature", "\[Rule]", "Temperature"}]},
     {
      RowBox[{"Tension", "\[Rule]", "Tension"}]},
     {
      RowBox[{"Transmittance", "\[Rule]", "Transmittance"}]},
     {
      RowBox[{"GraphicDesign", "\[Rule]", "Automatic"}]},
     {
      RowBox[{"CurvatureDirection", "\[Rule]", "Front"}]},
     {
      RowBox[{"DesignWaveLength", "\[Rule]", "0.5461`"}]},
     {
      RowBox[{"OffAxis", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0"}], "}"}]}]},
     {
      RowBox[{"SwitchDirectionOnReflection", "\[Rule]", "True"}]},
     {
      RowBox[{"Automatic", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"SurfaceRendering", "\[Rule]", "Empty"}], ",", 
         RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
         RowBox[{"CrossRendering", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
     {
      RowBox[{"Sketch", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"SurfaceRendering", "\[Rule]", "Trace"}], ",", 
         RowBox[{"EdgeRendering", "\[Rule]", "Empty"}], ",", 
         RowBox[{"CrossRendering", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
     {
      RowBox[{"Wire", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"SurfaceRendering", "\[Rule]", "Mesh"}], ",", 
         RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
         RowBox[{"CrossRendering", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
     {
      RowBox[{"Solid", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"SurfaceRendering", "\[Rule]", 
          RowBox[{"{", 
           RowBox[{"{", 
            RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}], ",", 
         RowBox[{"EdgeRendering", "\[Rule]", "Fill"}], ",", 
         RowBox[{"CrossRendering", "\[Rule]", "Empty"}]}], "}"}]}]}
    },
    BaselinePosition->{Baseline, {1, 1}},
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}}],
   ColumnForm[{
    Labels -> "L", LabelPositions -> Automatic, ComponentDescription -> 
     Automatic, ComponentMedium -> BK7, Temperature -> Temperature, Tension -> 
     Tension, Transmittance -> Transmittance, GraphicDesign -> Automatic, 
     CurvatureDirection -> Front, DesignWaveLength -> 0.5461, 
     OffAxis -> {0, 0}, SwitchDirectionOnReflection -> True, 
     Automatic -> {
      SurfaceRendering -> Empty, EdgeRendering -> Mesh, 
       CrossRendering -> {{Fill, Trace}}}, 
     Sketch -> {
      SurfaceRendering -> Trace, EdgeRendering -> Empty, 
       CrossRendering -> {{Fill, Trace}}}, 
     Wire -> {SurfaceRendering -> Mesh, EdgeRendering -> Mesh, 
       CrossRendering -> {{Fill, Trace}}}, 
     Solid -> {
      SurfaceRendering -> {{Fill, Trace}}, EdgeRendering -> Fill, 
       CrossRendering -> Empty}}],
   Editable->False],
  FontWeight->"Plain",
  FontSlant->"Plain",
  FontTracking->"Plain",
  FontVariations->{"CompatibilityType"->0,
  "Masked"->False,
  "Outline"->False,
  "RotationAngle"->0,
  "Shadow"->False,
  "StrikeThrough"->False,
  "Underline"->False}]], "Input",
 FontSize->9,
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"In[8]:="],

Cell[BoxData[
 InterpretationBox[GridBox[{
    {
     RowBox[{"Labels", "\[Rule]", "\<\"L\"\>"}]},
    {
     RowBox[{"LabelPositions", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"ComponentDescription", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"ComponentMedium", "\[Rule]", "BK7"}]},
    {
     RowBox[{"Temperature", "\[Rule]", "Temperature"}]},
    {
     RowBox[{"Tension", "\[Rule]", "Tension"}]},
    {
     RowBox[{"Transmittance", "\[Rule]", "Transmittance"}]},
    {
     RowBox[{"GraphicDesign", "\[Rule]", "Automatic"}]},
    {
     RowBox[{"CurvatureDirection", "\[Rule]", "Front"}]},
    {
     RowBox[{"DesignWaveLength", "\[Rule]", "0.5461`"}]},
    {
     RowBox[{"OffAxis", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0"}], "}"}]}]},
    {
     RowBox[{"SwitchDirectionOnReflection", "\[Rule]", "True"}]},
    {
     RowBox[{"Automatic", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Empty"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Sketch", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Trace"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Empty"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Wire", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Mesh"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}]}], "}"}]}]},
    {
     RowBox[{"Solid", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"SurfaceRendering", "\[Rule]", 
         RowBox[{"{", 
          RowBox[{"{", 
           RowBox[{"Fill", ",", "Trace"}], "}"}], "}"}]}], ",", 
        RowBox[{"EdgeRendering", "\[Rule]", "Fill"}], ",", 
        RowBox[{"CrossRendering", "\[Rule]", "Empty"}]}], "}"}]}]}
   },
   BaselinePosition->{Baseline, {1, 1}},
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}}],
  ColumnForm[{
   Optica`Optica`Labels -> "L", Optica`Optica`LabelPositions -> Automatic, 
    Optica`Optica`ComponentDescription -> Automatic, 
    Optica`Optica`ComponentMedium -> Optica`Optica`BK7, 
    Optica`Optica`Temperature -> Optica`Optica`Temperature, 
    Optica`Optica`Tension -> Optica`Optica`Tension, 
    Optica`Optica`Transmittance -> Optica`Optica`Transmittance, 
    Optica`Optica`GraphicDesign -> Automatic, 
    Optica`Optica`CurvatureDirection -> Front, Optica`Optica`DesignWaveLength -> 
    0.5461, Optica`Optica`OffAxis -> {0, 0}, 
    Optica`Optica`SwitchDirectionOnReflection -> True, 
    Automatic -> {
     Optica`Optica`SurfaceRendering -> Empty, Optica`Optica`EdgeRendering -> 
      Mesh, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Sketch -> {
     Optica`Optica`SurfaceRendering -> Trace, Optica`Optica`EdgeRendering -> 
      Empty, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Wire -> {
     Optica`Optica`SurfaceRendering -> Mesh, Optica`Optica`EdgeRendering -> 
      Mesh, Optica`Optica`CrossRendering -> {{Optica`Optica`Fill, Trace}}}, 
    Optica`Optica`Solid -> {
     Optica`Optica`SurfaceRendering -> {{Optica`Optica`Fill, Trace}}, 
      Optica`Optica`EdgeRendering -> Optica`Optica`Fill, 
      Optica`Optica`CrossRendering -> Empty}}],
  Editable->False]], "Output",
 CellChangeTimes->{3.563366039271319*^9, 3.566086425338387*^9, 
  3.5661276722262383`*^9, 3.566127850036174*^9, 3.5661611290939083`*^9, 
  3.601212962681593*^9, 3.601286441342977*^9, 3.6012864884850597`*^9, 
  3.614708217738701*^9, 3.614726958849132*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"Out[8]="]
}, Open  ]],

Cell[TextData[{
 "Available options for ",
 StyleBox["PlanoConvexLens", "MB"],
 "."
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[{
 "Use the ",
 StyleBox["Options", "MB"],
 " command any time you are curious about the default options for a  \
particular function, whether in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " or ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[{
 "Options may be input in any order.  They are case-sensitive.  You set  \
options with an arrow, entered as a hyphen followed by a greater-than sign.   \
",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " may coalesce these two characters into one arrow symbol \[RightArrow] for  \
you.  The default value of an option never changes.  Each time you call a  \
function having options, but cannot accept a particular default, you must  \
override the default."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[{
 "There are methods for expediting option entry.  As with any other ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " input, if you don't remember the exact name or spelling of an option,  \
type a few initial letters, then press the command-completion hotkey ( \
\[ControlKey]-K for Windows and \[CloverLeaf]-K for Macintosh).  ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " then presents you with a list of candidate inputs, all of which start  \
with those letters.  Selecting one element from the pop-up menu completes the \
 typing for you."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " also allows you to create variables that contain your custom option  \
settings.  "
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"myOpts", " ", "=", " ", 
   RowBox[{"Sequence", "[", 
    RowBox[{
     RowBox[{"PlotType", " ", "\[Rule]", " ", "Full3D"}], ",", " ", 
     RowBox[{"WorkingPrecision", "\[Rule]", "16"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{"mySystem", ",", " ", "myOpts"}], "]"}], ";"}]}], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"In[9]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     Polygon3DBox[{{3.210987290477796, -12.5, 0.}, {5., -12.5, 
      3.061616997868383*^-15}, {5., -8.333333333333336, 
      2.551347498223653*^-15}, {1.3752244171423946`, -8.333333333333334, 
      0.}, {3.210987290477796, -12.5, 0.}}], 
     Polygon3DBox[{{1.3752244171423946`, -8.333333333333334, 0.}, {
      5., -8.333333333333336, 2.551347498223653*^-15}, {
      5., -4.166666666666668, 2.0410779985789223`*^-15}, {
      0.33687899794603027`, -4.166666666666668, 0.}, {
      1.3752244171423946`, -8.333333333333334, 0.}}], 
     Polygon3DBox[{{0.33687899794603027`, -4.166666666666668, 0.}, {
      5., -4.166666666666668, 2.0410779985789223`*^-15}, {
      5., -3.552713678800501*^-15, 1.530808498934192*^-15}, {0., 0., 0.}, {
      0.33687899794603027`, -4.166666666666668, 0.}}], 
     Polygon3DBox[{{0., 0., 0.}, {5., 0., 1.5308084989341915`*^-15}, {5., 
      4.166666666666666, 1.0205389992894611`*^-15}, {0.33687899794603027`, 
      4.166666666666664, 0.}, {0., 0., 0.}}], 
     Polygon3DBox[{{0.33687899794603027`, 4.166666666666664, 0.}, {5., 
      4.166666666666666, 1.0205389992894611`*^-15}, {5., 8.333333333333332, 
      5.102694996447307*^-16}, {1.3752244171423946`, 8.333333333333332, 0.}, {
      0.33687899794603027`, 4.166666666666664, 0.}}], 
     Polygon3DBox[{{1.3752244171423946`, 8.333333333333332, 0.}, {5., 
      8.333333333333332, 5.102694996447308*^-16}, {5., 12.499999999999998`, 
      2.5493082627129206`*^-31}, {3.210987290477796, 12.499999999999996`, 
      0.}, {1.3752244171423946`, 8.333333333333332, 0.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGDgB2JmIA44dVhKagOnAwMYaB5ggIIJM1oCXzN8s1+9CgQU
4OIMZ3a8zem/ar8GLC6AEEcBD/agq18BUe8AE26Amg8RV4CLw9zz7z8IaDgw
oAARmDsxxFejmQMTX4NmL6o5D2zQxVdg9RdMXAFDHOpOuDiu8AQAH5dVJQ==

       "]], 
      {GrayLevel[0.5], EdgeForm[None], 
       Polygon3DBox[{{3.210987290477796, 0., -12.5}, {5., 
        1.5308084989341915`*^-15, -12.5}, {5., 
        1.2756737491118264`*^-15, -8.333333333333336}, {1.3752244171423946`, 
        2.5513474982236524`*^-16, -8.333333333333334}, {3.210987290477796, 
        0., -12.5}}], 
       Polygon3DBox[{{1.3752244171423946`, 
        2.5513474982236524`*^-16, -8.333333333333334}, {5., 
        1.2756737491118264`*^-15, -8.333333333333336}, {5., 
        1.0205389992894611`*^-15, -4.166666666666668}, {0.33687899794603027`, 
        5.102694996447305*^-16, -4.166666666666668}, {1.3752244171423946`, 
        2.5513474982236524`*^-16, -8.333333333333334}}], 
       Polygon3DBox[{{0.33687899794603027`, 
        5.102694996447305*^-16, -4.166666666666668}, {5., 
        1.0205389992894611`*^-15, -4.166666666666668}, {5., 
        7.65404249467096*^-16, -3.552713678800501*^-15}, {0., 
        7.654042494670958*^-16, 0.}, {0.33687899794603027`, 
        5.102694996447305*^-16, -4.166666666666668}}], 
       Polygon3DBox[{{0., 7.654042494670958*^-16, 0.}, {5., 
        7.654042494670958*^-16, 0.}, {5., 5.102694996447306*^-16, 
        4.166666666666666}, {0.33687899794603027`, 1.020538999289461*^-15, 
        4.166666666666664}, {0., 7.654042494670958*^-16, 0.}}], 
       Polygon3DBox[{{0.33687899794603027`, 1.020538999289461*^-15, 
        4.166666666666664}, {5., 5.102694996447306*^-16, 4.166666666666666}, {
        5., 2.5513474982236534`*^-16, 8.333333333333332}, {
        1.3752244171423946`, 1.2756737491118262`*^-15, 8.333333333333332}, {
        0.33687899794603027`, 1.020538999289461*^-15, 4.166666666666664}}], 
       Polygon3DBox[{{1.3752244171423946`, 1.2756737491118262`*^-15, 
        8.333333333333332}, {5., 2.551347498223654*^-16, 8.333333333333332}, {
        5., 1.2746541313564603`*^-31, 12.499999999999998`}, {
        3.210987290477796, 1.5308084989341913`*^-15, 12.499999999999996`}, {
        1.3752244171423946`, 1.2756737491118262`*^-15, 8.333333333333332}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGDgB2JmIA44dVhKagOnAwMK0DwwYUZL4GuGb/YwkdWrQEDh
AMOZHW9z+q/CxdeAxQUOMGAFD/agq18BUe/QgGY+RFzBAd09//6DgAaUL4Lu
TgxxqDsxxKHuxGHOAxt08RUo/kIXV8AQh7rzAK7wBABo4VUl
         "]]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{3.210987290477796, 12.5, 0.}, {5., 12.5, 0.}, {5., 
       12.074072828613353`, 3.2352380637815092`}, {3.210987290477796, 
       12.074072828613353`, 3.2352380637815092`}, {3.210987290477796, 12.5, 
       0.}}], Line3DBox[{{3.210987290477796, 12.074072828613353`, 
       3.2352380637815092`}, {5., 12.074072828613353`, 3.2352380637815092`}, {
       5., 10.825317547305485`, 6.249999999999999}, {3.210987290477796, 
       10.825317547305485`, 6.249999999999999}, {3.210987290477796, 
       12.074072828613353`, 3.2352380637815092`}}], 
      Line3DBox[{{3.210987290477796, 10.825317547305485`, 
       6.249999999999999}, {5., 10.825317547305485`, 6.249999999999999}, {5., 
       8.838834764831844, 8.838834764831843}, {3.210987290477796, 
       8.838834764831844, 8.838834764831843}, {3.210987290477796, 
       10.825317547305485`, 6.249999999999999}}], 
      Line3DBox[{{3.210987290477796, 8.838834764831844, 8.838834764831843}, {
       5., 8.838834764831844, 8.838834764831843}, {5., 6.250000000000002, 
       10.825317547305483`}, {3.210987290477796, 6.250000000000002, 
       10.825317547305483`}, {3.210987290477796, 8.838834764831844, 
       8.838834764831843}}], 
      Line3DBox[{{3.210987290477796, 6.250000000000002, 
       10.825317547305483`}, {5., 6.250000000000002, 10.825317547305483`}, {
       5., 3.235238063781512, 12.074072828613353`}, {3.210987290477796, 
       3.235238063781512, 12.074072828613353`}, {3.210987290477796, 
       6.250000000000002, 10.825317547305483`}}], 
      Line3DBox[{{3.210987290477796, 3.235238063781512, 
       12.074072828613353`}, {5., 3.235238063781512, 12.074072828613353`}, {
       5., 3.5409618110299872`*^-15, 12.5}, {3.210987290477796, 
       3.5409618110299872`*^-15, 12.5}, {3.210987290477796, 3.235238063781512,
        12.074072828613353`}}], 
      Line3DBox[{{3.210987290477796, 7.654042494670958*^-16, 12.5}, {5., 
       7.654042494670958*^-16, 12.5}, {5., -3.235238063781508, 
       12.074072828613353`}, {3.210987290477796, -3.235238063781508, 
       12.074072828613353`}, {3.210987290477796, 7.654042494670958*^-16, 
       12.5}}], 
      Line3DBox[{{3.210987290477796, -3.235238063781508, 
       12.074072828613353`}, {5., -3.235238063781508, 12.074072828613353`}, {
       5., -6.249999999999997, 10.825317547305485`}, {
       3.210987290477796, -6.249999999999997, 10.825317547305485`}, {
       3.210987290477796, -3.235238063781508, 12.074072828613353`}}], 
      Line3DBox[{{3.210987290477796, -6.249999999999997, 
       10.825317547305485`}, {5., -6.249999999999997, 10.825317547305485`}, {
       5., -8.838834764831843, 8.838834764831844}, {
       3.210987290477796, -8.838834764831843, 8.838834764831844}, {
       3.210987290477796, -6.249999999999997, 10.825317547305485`}}], 
      Line3DBox[{{3.210987290477796, -8.838834764831843, 8.838834764831844}, {
       5., -8.838834764831843, 8.838834764831844}, {5., -10.825317547305485`, 
       6.249999999999999}, {3.210987290477796, -10.825317547305485`, 
       6.249999999999999}, {3.210987290477796, -8.838834764831843, 
       8.838834764831844}}], 
      Line3DBox[{{3.2109872904777994`, -10.825317547305481`, 
       6.250000000000004}, {5., -10.825317547305481`, 6.250000000000004}, {
       5., -12.074072828613353`, 3.235238063781513}, {
       3.210987290477796, -12.074072828613353`, 3.235238063781513}, {
       3.2109872904777994`, -10.825317547305481`, 6.250000000000004}}], 
      Line3DBox[{{3.210987290477796, -12.074072828613353`, 
       3.235238063781513}, {5., -12.074072828613353`, 3.235238063781513}, {
       5., -12.5, 1.5308084989341915`*^-15}, {3.210987290477796, -12.5, 
       1.5308084989341915`*^-15}, {3.210987290477796, -12.074072828613353`, 
       3.235238063781513}}], 
      Line3DBox[{{3.210987290477796, -12.5, 1.5308084989341915`*^-15}, {
       5., -12.5, 1.5308084989341915`*^-15}, {
       5., -12.074072828613353`, -3.23523806378151}, {
       3.210987290477796, -12.074072828613353`, -3.23523806378151}, {
       3.210987290477796, -12.5, 1.5308084989341915`*^-15}}], 
      Line3DBox[{{
       3.210987290477796, -12.074072828613355`, -3.2352380637815044`}, {
       5., -12.074072828613355`, -3.2352380637815044`}, {
       5., -10.825317547305485`, -6.2499999999999964`}, {
       3.210987290477796, -10.825317547305485`, -6.2499999999999964`}, {
       3.210987290477796, -12.074072828613355`, -3.2352380637815044`}}], 
      Line3DBox[{{
       3.210987290477796, -10.825317547305485`, -6.2499999999999964`}, {
       5., -10.825317547305485`, -6.2499999999999964`}, {
       5., -8.838834764831846, -8.838834764831843}, {
       3.210987290477796, -8.838834764831846, -8.838834764831843}, {
       3.210987290477796, -10.825317547305485`, -6.2499999999999964`}}], 
      Line3DBox[{{
       3.210987290477796, -8.838834764831848, -8.838834764831839}, {
       5., -8.838834764831848, -8.838834764831839}, {
       5., -6.250000000000005, -10.82531754730548}, {
       3.210987290477796, -6.250000000000005, -10.82531754730548}, {
       3.210987290477796, -8.838834764831848, -8.838834764831839}}], 
      Line3DBox[{{
       3.210987290477796, -6.250000000000005, -10.82531754730548}, {
       5., -6.250000000000005, -10.82531754730548}, {
       5., -3.235238063781519, -12.074072828613351`}, {
       3.210987290477796, -3.235238063781519, -12.074072828613351`}, {
       3.210987290477796, -6.250000000000005, -10.82531754730548}}], 
      Line3DBox[{{
       3.210987290477796, -3.235238063781519, -12.074072828613351`}, {
       5., -3.235238063781519, -12.074072828613351`}, {
       5., -1.3398442994652853`*^-14, -12.5}, {
       3.210987290477796, -1.3398442994652853`*^-14, -12.5}, {
       3.210987290477796, -3.235238063781519, -12.074072828613351`}}], 
      Line3DBox[{{3.210987290477796, -2.296212748401287*^-15, -12.5}, {
       5., -2.296212748401287*^-15, -12.5}, {5., 
       3.2352380637815035`, -12.074072828613355`}, {3.210987290477796, 
       3.2352380637815035`, -12.074072828613355`}, {
       3.210987290477796, -2.296212748401287*^-15, -12.5}}], 
      Line3DBox[{{3.210987290477796, 
       3.2352380637815035`, -12.074072828613355`}, {5., 
       3.2352380637815035`, -12.074072828613355`}, {5., 
       6.249999999999992, -10.825317547305488`}, {3.210987290477796, 
       6.249999999999992, -10.825317547305488`}, {3.210987290477796, 
       3.2352380637815035`, -12.074072828613355`}}], 
      Line3DBox[{{3.210987290477796, 
       6.249999999999992, -10.825317547305488`}, {5., 
       6.249999999999992, -10.825317547305488`}, {5., 
       8.838834764831835, -8.838834764831855}, {3.2109872904777994`, 
       8.838834764831835, -8.838834764831855}, {3.210987290477796, 
       6.249999999999992, -10.825317547305488`}}], 
      Line3DBox[{{3.210987290477796, 8.838834764831843, -8.838834764831846}, {
       5., 8.838834764831843, -8.838834764831846}, {5., 
       10.82531754730548, -6.250000000000005}, {3.210987290477796, 
       10.82531754730548, -6.250000000000005}, {3.210987290477796, 
       8.838834764831843, -8.838834764831846}}], 
      Line3DBox[{{3.210987290477796, 10.82531754730548, -6.250000000000005}, {
       5., 10.82531754730548, -6.250000000000005}, {5., 
       12.074072828613351`, -3.2352380637815195`}, {3.210987290477796, 
       12.074072828613351`, -3.2352380637815195`}, {3.210987290477796, 
       10.82531754730548, -6.250000000000005}}], 
      Line3DBox[{{3.210987290477796, 
       12.074072828613351`, -3.2352380637815195`}, {5., 
       12.074072828613351`, -3.2352380637815195`}, {5., 
       12.5, -1.4163847244119949`*^-14}, {3.210987290477796, 
       12.5, -1.4163847244119949`*^-14}, {3.210987290477796, 
       12.074072828613351`, -3.2352380637815195`}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyNlW1Ik1EUx2dOwim6xuMiKsmyMgUTFUW0PTdfkKapWAgRQY5sjUIlLMve
SEjMCiQhoxcH0qcoBcPAD7EbZCxfwDeooBc1NUP3IQWRXJlx77mxAw/3GQz2
PPtxOJzz/59/jKOqtCLYYDCUrH3XrX3//VY68ifqDqvUgD5k08JM69A31bel
/cTLRqv4X8bvLcvY2p9jpd99j11HvHMeGb+D/mg9cD6Kdir1vtILK1Le3Guf
DYpV6LDztNmVZqQy3tHV5rt8yEIPHuvLa84wSfmozKr25AgzDY12l9e7I6X8
ak1ubc1rEw3JrJ6L3m7R5Ldx/grpLO/pNtJTpTvX3w1WpPWXnXv6+vf5PT9b
mgZsJ6Ok/Kgz3+N3z3tyxj5bGlSrlIdn2LOMH2T1Vb31l1j/6oKkf5jPJTYf
4tI5nz9s/kQ2f7RfYtK533KmH1KsUz+RTJ9kRKc+uf5Jl079JzJ/kXmd/uJ7
JfBep3/JOKuvyvhY3v8z1r+U5/4lQ2w+RKd/SSGbv5S38v1y/0r5oHNMP0am
H00e9HmV65P7V1p/heuf+1fKf+T+ymb+kvLwDHuW8W8D74OUX+T3Z0HSP8yn
jt83l875+APvp5RX+H0O17lf7l9aolM/3L90TKc+Ib+6deqf+5cucn9p5Sz7
KGR0OSkrJWEjxXVwzgJPfqWulk1ZKW1WZjua5z1aOQt8GJluC9tgpbaGF8ed
Nr8H+VTkLPBJ05ufZ3UrtPWovTHOa6RaOSvqxw7sbn9voYVnbOlPl0wU3WGR
s8C/u20rWb5upsO+oodv9psFj3MW+PFH+XZHfRidtE8kjD+xUK2cBT6tNH4i
oiCEfkh2z0y2KKI+zlng+27mxleH/vY0vXLsumOwCh7nLPDXKmPiKip9nuna
pITFr/952F/gnhUC72HPWjkL/EVWX8X1cc4C72X9q7d4/1o5C3wqmw/B88E5
C/wXNn8C89fKWbRfgveLcxZ4E9MPKUL6wTkLfCLTJ7mP9IlzFumfZCP945wF
XmX+Ir3IXzhnkX/Fe62cRf4lPay+uA84Z4EP5/1nsv5V5F+Rs8i/5B6bD9HK
WeRfUsDmL3ics8IvgfsVPM5Z4Ce5fiaYfohWzgKfHqhPUR/nLPCDXP/cv4LH
OQv8De6vKeYvouFfwSP/Ch7nLPBnA++D4HHOAt/L7w/3r5gPzlngUwLvm6iP
cxb4T4H3U/A4Z4H38vs8gvaLcxb5lxYj/eCcRf6lD5A+cc4i/9I8pH+cs8i/
dID76y/G8Epz
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJx1k3tIU3EUx2dOwim6xnURlWRZmYKJiiLa7skH0jSVBUJEkCNbo1AJy96R
kJgWSEJGDwfSX1EJioF/xH5BxpoKvqCCHmpqhu6PFERyZcLv3BP3gBfuPx8O
h+/j/OKc1Y7KDQaDoWztD137YcvCTNvQdzWwrePkq0arMOCn8f3lWdv786zi
R+CJ+6hvzqvxXeJn26ELMaJTqQ84Lq4QN/fZZ0PiFTHsOmN2ZxiFxp1d7YGr
Ryzi8HF/QUuWiXhMdnVHapRZhMd6Kuo90cRXa/Prat+YRFh2zVzsTovYgfwa
dFb09hjFacfujfdCFZpfdu3z9x8Ien+1Ng3YTsUQH3UVeoOeeW/e2BdLg2ol
rvnUfGt8UM6rfH5J7lcXcL+m54rUA26m56/UD5p+5hdMzG+FzAdKWT7RMk8Y
YXli/tDF8k+WfcE86wt9wjr9wricVzUej/ufy/0q6xeGpB5g/UKx1E/cin6x
X+Ih52U+RpkPaHlexzyxX5pfwfyxX+KfsK9c2Res0y/xd/p7IL6I94P9kp7L
eG9upieov0/iCt5zJPOL/Yoylg/2K8ZYntr76mH5Y79iEfuSLhUYXU7JSUva
TO9X4/A7fbV8yipEizL7smXeq/EImG6P2GQVtobuEy5bkHjK9NYXOT2KaDtm
b0zwGQXNxw/s7fhgEcVnbZnPlkzE39+xlS3fNIvhQMmjtwfNxMcfF9qd9RFi
0j6RNP7UQjzDkTgRVRQmPqZ6ZiZbFeL+2/mJNeF/vE2vnXvuGqzEb1TFJVRW
BbzTdSlJi9/+c82h3rcCl+S8yud9cr/azPanSz3A9XyV+oHrR7/A/ZpkPlDC
8kmWecIDnqfMH3JZ/qrsC/pYX+iTfLN+oVfO0z1E4v5suZ849gv3pR5g/UKR
1E/cr/dLfBLzmZD5EM/U50l8EPPHfonfwr6mZF/EWb/Ez+nvgXgf3k8z25+m
vzfin/X3SdyH9zzC/GK/opTlg/2KhzxPfF8FLH/sVwxgX/8A9aHsxQ==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.5633660415211153`*^9, 3.566086426107091*^9, 
  3.566127673192129*^9, 3.566127850996436*^9, 3.566161129970016*^9, 
  3.6012129652644253`*^9, 3.601286441894703*^9, 3.601286488992038*^9, 
  3.614708219277008*^9, 3.61472695940392*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"},
 CellLabel->"During evaluation of In[9]:="]
}, Open  ]],

Cell[TextData[{
 "The variable ",
 StyleBox["myOpts", "MB"],
 " can now be used in subsequent calls to ",
 StyleBox["AnalyzeSystem", "MB"],
 ".  It holds settings for two options called ",
 StyleBox["PlotType", "MB"],
 " and ",
 StyleBox["WorkingPrecision", "MB"],
 ".  The ",
 StyleBox["Sequence", "MB"],
 " wrapper is necessary here because ",
 StyleBox["myOpts", "MB"],
 " is inserted in sequence with other input parameters whenever it is used."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["Optica",
  FontSlant->"Italic"],
 " uses options to maintain information about various objects.  Sometimes we  \
refer to the \"properties\" or \"attributes\" of an ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " object.  These terms may usually be viewed as synonyms for the more  \
technical ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " term \"options.\"  Thus the statement that object ",
 StyleBox["Thing", "MB"],
 " has property ",
 StyleBox["Prop", "MB"],
 " set to 10, and attribute ",
 StyleBox["Att", "MB"],
 " set to 20, just means ",
 StyleBox["Thing[Prop \[Rule] 10, Att \[Rule] 20]", "MB"],
 " in the ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " sense."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Required Parameters", "Subsubsection",
 CellTags->{
  "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
   "PR1.3.2", "PR1.3.2.2", "PR1.3"}],

Cell[TextData[StyleBox["Most functions have one or more required parameters.  \
 These are always given in a particular order and appear ahead of all option  \
settings.  ",
 FontVariations->{"CompatibilityType"->0}]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"mySource", " ", "=", " ", 
    RowBox[{"ConeOfRays", "[", 
     RowBox[{"20", ",", 
      RowBox[{"NumberOfRays", "\[Rule]", "40"}]}], "]"}]}], ";"}], " ", 
  RowBox[{"(*", " ", "GOOD", " ", "*)"}]}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"},
 CellLabel->"In[11]:="],

Cell[TextData[{
 StyleBox["The input calls ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["ConeOfRays", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" with one required parameter set to 20 and one option set to 40.   \
In ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[", options must always follow the required parameters.  Try  \
defining ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["mySource", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" as above, but with the option first, followed by the required  \
parameter.",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"mySource", " ", "=", " ", 
    RowBox[{"ConeOfRays", "[", 
     RowBox[{
      RowBox[{"NumberOfRays", "\[Rule]", "40"}], ",", " ", "20"}], "]"}]}], 
   ";"}], " ", 
  RowBox[{"(*", " ", "BAD", " ", "*)"}]}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"},
 CellLabel->"In[12]:="],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"ParameterValue", "::", "ListOptionQ"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"\[NoBreak]\\!\\(\\\"The parameter number 2, which is 20, \
is an unknown pattern of ConeOfRays at level 1. The parameter  can be \\\"\\)\
\[NoBreak]a list or sequence of options (can be empty).\[NoBreak]\\!\\(\\\"\\\
\"\\)\[NoBreak]\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.601212965784658*^9, 3.601286442112527*^9, 
  3.6012864892800093`*^9, 3.614708219598322*^9, 3.6147269596287413`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"},
 CellLabel->"During evaluation of In[12]:="],

Cell[BoxData["$Aborted"], "Output",
 CellChangeTimes->{3.563366041939641*^9, 3.566086426450733*^9, 
  3.566127673380651*^9, 3.566127851190825*^9, 3.5661611301486797`*^9, 
  3.601212965792409*^9, 3.601286442117217*^9, 3.601286489282669*^9, 
  3.614708219604465*^9, 3.614726959631115*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"},
 CellLabel->"Out[12]="]
}, Open  ]],

Cell[TextData[StyleBox["This input produces an error.",
 FontVariations->{"CompatibilityType"->0}]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["The most important fact about required function parameters is  \
that functions may allow them in different combinations.  These are different \
 ways of calling the same function effectively.  An example is ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Grating", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".  From the online Help Browser, ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Grating", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" offers three distinct input formats.",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[TextData[{
 "\[FilledSmallCircle] ",
 StyleBox["Grating[", "MR"],
 StyleBox["gratingfunction", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["aperture", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["options", "TI"],
 StyleBox["]", "MR"],
 ", ",
 StyleBox["Grating[", "MR"],
 StyleBox["gratingfunction", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["aperture", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["thickness", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["options", "TI"],
 StyleBox["]", "MR"],
 ", and ",
 StyleBox["Grating[", "MR"],
 StyleBox["surfacefunction", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["gratingfunction", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["aperture", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["thickness", "TI"],
 StyleBox[", ", "MR"],
 StyleBox["options", "TI"],
 StyleBox["]", "MR"],
 " denotes a diffractive component that splits incoming rays into multiple  \
diffracted orders according to the ",
 StyleBox["gratingfunction", "TI"],
 " parameter and the ",
 StyleBox["DiffractedOrders", "MR"],
 " option."
}], "FunctionDescription",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[TextData[{
 "You are free to use any one of the alternative input formats.  You must  \
supply each of the required parameters for whichever format you choose.  In  \
all cases, the ",
 StyleBox["options",
  FontSlant->"Italic"],
 " come last, after the required parameters for your chosen input format."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell["\<\
Some functions have no required parameters.  In these cases you just enter \
the options by themselves, if any are needed.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["The Subtle Semicolon", "Subsubsection",
 CellTags->{
  "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
   "PR1.3.2", "PR1.3.2.3", "PR1.3"}],

Cell[TextData[{
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " interprets command lines ending with a semicolon in a special way.  Most  \
command lines result in some sort of output.  The semicolon supresses such  \
output.  "
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", " ", "=", " ", "5"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"In[13]:="],

Cell[BoxData["5"], "Output",
 CellChangeTimes->{3.5633660419999*^9, 3.566086426475752*^9, 
  3.566127673444989*^9, 3.566127851269929*^9, 3.5661611302012*^9, 
  3.601212965825437*^9, 3.601286442160233*^9, 3.6012864893244762`*^9, 
  3.614708219619502*^9, 3.614726959655456*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"Out[13]="]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"y", " ", "=", " ", "10"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"In[14]:="],

Cell["\<\
These two assignments are not fundamentally different, but the second \
assignment uses a semicolon to supress the output.  Arithmetic operations \
work similarly.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"x", "+", "y"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"In[15]:="],

Cell[BoxData["15"], "Output",
 CellChangeTimes->{3.5633660421052647`*^9, 3.566086426562189*^9, 
  3.566127673548356*^9, 3.566127851354357*^9, 3.566161130279405*^9, 
  3.601212965885003*^9, 3.601286442391444*^9, 3.60128648938879*^9, 
  3.614708219647069*^9, 3.614726959715864*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"Out[15]="]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"z", " ", "=", " ", 
   RowBox[{"x", "+", "y"}]}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"In[16]:="],

Cell[TextData[{
 "The computation of ",
 StyleBox["x+y", "MB"],
 " was performed in both cases.  Only one of them wrote output to the  \
screen.  At this point the variable ",
 StyleBox["z",
  FontSlant->"Italic"],
 " is defined and set equal to 15.  To find out the value of ",
 StyleBox["z", "MB",
  FontWeight->"Plain",
  FontSlant->"Italic"],
 ", just enter it."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData["z"], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"In[17]:="],

Cell[BoxData["15"], "Output",
 CellChangeTimes->{3.5633660422198143`*^9, 3.5660864266606092`*^9, 
  3.566127673615415*^9, 3.566127851456703*^9, 3.566161130362782*^9, 
  3.601212965951335*^9, 3.601286442475135*^9, 3.601286489454711*^9, 
  3.6147082196730022`*^9, 3.6147269597868347`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"},
 CellLabel->"Out[17]="]
}, Open  ]],

Cell["\<\
Use semicolons to prevent your screen from becoming cluttered with \
unnecessary output data.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3.3 Components", "Subsection",
 CellTags->{
  "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3", 
   "PR1.3.3.1", "PR1.3"}],

Cell[TextData[{
 "Components are the fundamental building blocks of ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 ".  ",
 StyleBox["Define optical systems as three-dimensional arrangements of  \
components and sources.  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Optica ",
  FontSlant->"Italic"],
 "represents optical components as ",
 StyleBox["Component", "MB"],
 " objects.  This category includes standard optical components, like lenses  \
and mirrors, but also certain non-standard objects.  Not all ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " components represent physical optical components; an understanding of  \
this fact is important.  For example, a ",
 StyleBox["Boundary", "MB"],
 " or ",
 StyleBox["Screen", "MB"],
 " object need not correspond to any physical device.  Such components,  \
nonetheless, perform essential functions in ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[{
 "The purpose of components is to hold information about ordered surfaces.   \
This information is used for ray tracing.  Differentiation among components  \
is achieved by various ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " functions that add, delete, or change the settings of a ",
 StyleBox["Component", "MB"],
 ".  Sometimes these funtions are described as genetic because they modify  \
traits of an object, just as biological genes modify physical traits.  In  \
most cases you will not need to worry about how ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " accomplishes this action."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[{
 "All ",
 StyleBox["Optica",
  FontSlant->"Italic"],
 " components are ",
 StyleBox["Component", "MB"],
 " objects.  When you input ",
 StyleBox["PlanoConvexLens", "MB"],
 ", you effectively create a ",
 StyleBox["Component", "MB"],
 " with special attributes related to the shape and behavior of a  \
plano-convex lens.   offers dozens of predefined component types such as \
this.  You will  almost never deal with a ",
 StyleBox["Component", "MB"],
 " directly.  Instead, you will use stock components in the  library such as ",
 StyleBox["PlanoConvexLens", "MB"],
 ".  Peruse the Help Browser to acquaint yourself with the built-in  \
component types (Add-Ons ",
 StyleBox["\[CapitalARing]",
  FontFamily->"Math4"],
 "  ",
 StyleBox["\[CapitalARing]",
  FontFamily->"Math4"],
 " Optics)."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],

Cell[CellGroupData[{

Cell["Components in a System", "Subsubsection",
 CellTags->{
  "Components in a System", "General Architecture of Rayica", "1.3.3", "1.3", 
   "PR1.3.3", "PR1.3.3.1", "PR1.3"}],

Cell[TextData[{
 "Here is a system incorporating multiple components of different kinds.   \
The system is expressed as a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " list and is bracketed by curly braces.  The system list is the first  \
argument to the function ",
 StyleBox["AnalyzeSystem", "MB"],
 ".  The second argument is an  option called ",
 StyleBox["PlotType,", "MB"],
 " which is set to ",
 StyleBox["TopView", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"{", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"WedgeOfRays", "[", "20", "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"PlanoConvexLens", "[", 
         RowBox[{"100", ",", "50", ",", "10", ",", 
          RowBox[{"CurvatureDirection", "\[Rule]", "False"}]}], "]"}], ",", 
        "100"}], "]"}], ",", 
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"WedgePrism", "[", 
         RowBox[{
          RowBox[{"-", "30"}], ",", 
          RowBox[{"{", 
           RowBox[{"50", ",", "50"}], "}"}], ",", "40"}], "]"}], ",", "150"}],
        "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"MoveDirected", "[", 
       RowBox[{
        RowBox[{"Screen", "[", "50", "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"235", ",", "22"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"175", ",", "0"}], "}"}]}], "]"}], ",", 
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"CylindricalMirror", "[", 
         RowBox[{
          RowBox[{"-", "100"}], ",", 
          RowBox[{"{", 
           RowBox[{"60", ",", "60"}], "}"}], ",", "5"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"300", ",", "50", ",", "0"}], "}"}]}], "]"}], ",", 
      RowBox[{"Move", "[", 
       RowBox[{
        RowBox[{"BeamSplitter", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"50", ",", "50"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"60", ",", "60"}], "}"}], ",", "10"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"208", ",", "92", ",", "0"}], "}"}]}], "]"}], ",", 
      RowBox[{"MoveDirected", "[", 
       RowBox[{
        RowBox[{"BiConvexLens", "[", 
         RowBox[{"75", ",", "100", ",", "45"}], "]"}], ",", 
        RowBox[{"{", 
         RowBox[{"150", ",", "120"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"300", ",", "50"}], "}"}]}], "]"}], ",", 
      RowBox[{"ClearBoundary", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"80", ",", 
          RowBox[{"-", "50"}], ",", 
          RowBox[{"-", "100"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"310", ",", "200", ",", "100"}], "}"}]}], "]"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"Boundary", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"-", "60"}], ",", 
          RowBox[{"-", "70"}], ",", 
          RowBox[{"-", "100"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"350", ",", "250", ",", "100"}], "}"}]}], "]"}]}], 
     "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{"PlotType", "\[Rule]", "TopView"}]}], "\[IndentingNewLine]", 
   "]"}], ";"}]], "Input",
 PageBreakWithin->False,
 PageBreakBelow->Automatic,
 GroupPageBreakWithin->False,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"},
 CellLabel->"In[18]:="],

Cell[BoxData[
 GraphicsBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{100., -25.}, {103.57802541904441`, -25.}, {
      107.24955116571522`, -16.66666666666667}, {
      100., -16.666666666666668`}, {100., -25.}}], 
     PolygonBox[{{100., -16.666666666666668`}, {
      107.24955116571522`, -16.66666666666667}, {
      109.32624200410794`, -8.333333333333336}, {100., -8.333333333333336}, {
      100., -16.666666666666668`}}], 
     PolygonBox[{{100., -8.333333333333336}, {
      109.32624200410794`, -8.333333333333336}, {
      110., -7.105427357601002*^-15}, {100., 0.}, {
      100., -8.333333333333336}}], 
     PolygonBox[{{100., 0.}, {110., 0.}, {109.32624200410794`, 
      8.333333333333332}, {100., 8.333333333333329}, {100., 0.}}], 
     PolygonBox[{{100., 8.333333333333329}, {109.32624200410794`, 
      8.333333333333332}, {107.24955116571522`, 16.666666666666664`}, {100., 
      16.666666666666664`}, {100., 8.333333333333329}}], 
     PolygonBox[{{100., 16.666666666666664`}, {107.24955116571522`, 
      16.666666666666664`}, {103.57802541904441`, 24.999999999999996`}, {100.,
       24.999999999999993`}, {100., 16.666666666666664`}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., -25.}, {100., -16.666666666666668`}, {
       100., -8.333333333333336}, {100., -3.552713678800501*^-15}, {100., 
       8.333333333333329}, {100., 16.666666666666657`}, {100., 
       24.999999999999993`}, {103.57802541904441`, 25.}, {107.24955116571522`,
        16.666666666666668`}, {109.32624200410794`, 8.333333333333336}, {110.,
        3.552713678800501*^-15}, {109.32624200410794`, -8.333333333333329}, {
       107.24955116571522`, -16.666666666666657`}, {
       103.57802541904441`, -24.999999999999993`}, {100., -25.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{100., 0.}, {103.57802541904441`, 
        3.061616997868383*^-15}, {107.24955116571522`, 
        2.551347498223653*^-15}, {100., 5.102694996447305*^-16}, {100., 0.}}],
        PolygonBox[{{100., 5.102694996447305*^-16}, {107.24955116571522`, 
        2.551347498223653*^-15}, {109.32624200410794`, 
        2.0410779985789223`*^-15}, {100., 1.020538999289461*^-15}, {100., 
        5.102694996447305*^-16}}], 
       PolygonBox[{{100., 1.020538999289461*^-15}, {109.32624200410794`, 
        2.0410779985789223`*^-15}, {110., 1.530808498934192*^-15}, {100., 
        1.5308084989341915`*^-15}, {100., 1.020538999289461*^-15}}], 
       PolygonBox[{{100., 1.5308084989341915`*^-15}, {110., 
        1.5308084989341915`*^-15}, {109.32624200410794`, 
        1.0205389992894611`*^-15}, {100., 2.041077998578922*^-15}, {100., 
        1.5308084989341915`*^-15}}], 
       PolygonBox[{{100., 2.041077998578922*^-15}, {109.32624200410794`, 
        1.0205389992894611`*^-15}, {107.24955116571522`, 
        5.102694996447307*^-16}, {100., 2.5513474982236525`*^-15}, {100., 
        2.041077998578922*^-15}}], 
       PolygonBox[{{100., 2.5513474982236525`*^-15}, {107.24955116571522`, 
        5.102694996447308*^-16}, {103.57802541904441`, 
        2.5493082627129206`*^-31}, {100., 3.0616169978683826`*^-15}, {100., 
        2.5513474982236525`*^-15}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{100., 0.}, {100., 0.}, {100., 0.}, {100., 0.}, {100., 0.}, {
         100., 0.}, {100., 0.}, {103.57802541904441`, 0.}, {
         107.24955116571522`, 0.}, {109.32624200410794`, 0.}, {110., 0.}, {
         109.32624200410794`, 0.}, {107.24955116571522`, 0.}, {
         103.57802541904441`, 0.}, {100., 0.}}]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., 25.}, {103.57802541904441`, 25.}, {103.57802541904441`, 
       24.148145657226706`}, {100., 24.148145657226706`}, {100., 25.}}], 
      LineBox[{{100., 24.148145657226706`}, {103.57802541904441`, 
       24.148145657226706`}, {103.57802541904441`, 21.65063509461097}, {100., 
       21.65063509461097}, {100., 24.148145657226706`}}], 
      LineBox[{{100., 21.65063509461097}, {103.57802541904441`, 
       21.65063509461097}, {103.57802541904441`, 17.67766952966369}, {100., 
       17.67766952966369}, {100., 21.65063509461097}}], 
      LineBox[{{100., 17.67766952966369}, {103.57802541904441`, 
       17.67766952966369}, {103.57802541904441`, 12.500000000000004`}, {100., 
       12.500000000000004`}, {100., 17.67766952966369}}], 
      LineBox[{{100., 12.500000000000004`}, {103.57802541904441`, 
       12.500000000000004`}, {103.57802541904441`, 6.470476127563024}, {100., 
       6.470476127563024}, {100., 12.500000000000004`}}], 
      LineBox[{{100., 6.470476127563024}, {103.57802541904441`, 
       6.470476127563024}, {103.57802541904441`, 7.0819236220599744`*^-15}, {
       100., 7.0819236220599744`*^-15}, {100., 6.470476127563024}}], 
      LineBox[{{100., 1.5308084989341915`*^-15}, {103.57802541904441`, 
       1.5308084989341915`*^-15}, {103.57802541904441`, -6.470476127563016}, {
       100., -6.470476127563016}, {100., 1.5308084989341915`*^-15}}], 
      LineBox[{{100., -6.470476127563016}, {
       103.57802541904441`, -6.470476127563016}, {
       103.57802541904441`, -12.499999999999995`}, {
       100., -12.499999999999995`}, {100., -6.470476127563016}}], 
      LineBox[{{100., -12.499999999999995`}, {
       103.57802541904441`, -12.499999999999995`}, {
       103.57802541904441`, -17.677669529663685`}, {
       100., -17.677669529663685`}, {100., -12.499999999999995`}}], 
      LineBox[{{100., -17.677669529663685`}, {
       103.57802541904441`, -17.677669529663685`}, {
       103.57802541904441`, -21.65063509461097}, {100., -21.65063509461097}, {
       100., -17.677669529663685`}}], 
      LineBox[{{100., -21.650635094610962`}, {
       103.5780254190444, -21.650635094610962`}, {
       103.57802541904441`, -24.148145657226706`}, {
       100., -24.148145657226706`}, {100., -21.650635094610962`}}], 
      LineBox[{{100., -24.148145657226706`}, {
       103.57802541904441`, -24.148145657226706`}, {
       103.57802541904441`, -25.}, {100., -25.}, {
       100., -24.148145657226706`}}], 
      LineBox[{{100., -25.}, {103.57802541904441`, -25.}, {
       103.57802541904441`, -24.148145657226706`}, {
       100., -24.148145657226706`}, {100., -25.}}], 
      LineBox[{{100., -24.14814565722671}, {
       103.57802541904441`, -24.14814565722671}, {
       103.57802541904441`, -21.65063509461097}, {100., -21.65063509461097}, {
       100., -24.14814565722671}}], 
      LineBox[{{100., -21.65063509461097}, {
       103.57802541904441`, -21.65063509461097}, {
       103.57802541904441`, -17.677669529663692`}, {
       100., -17.677669529663692`}, {100., -21.65063509461097}}], 
      LineBox[{{100., -17.677669529663696`}, {
       103.57802541904441`, -17.677669529663696`}, {
       103.57802541904441`, -12.50000000000001}, {100., -12.50000000000001}, {
       100., -17.677669529663696`}}], 
      LineBox[{{100., -12.50000000000001}, {
       103.57802541904441`, -12.50000000000001}, {
       103.57802541904441`, -6.470476127563038}, {100., -6.470476127563038}, {
       100., -12.50000000000001}}], 
      LineBox[{{100., -6.470476127563038}, {
       103.57802541904441`, -6.470476127563038}, {
       103.57802541904441`, -2.6796885989305705`*^-14}, {
       100., -2.6796885989305705`*^-14}, {100., -6.470476127563038}}], 
      LineBox[{{100., -4.592425496802574*^-15}, {
       103.57802541904441`, -4.592425496802574*^-15}, {103.57802541904441`, 
       6.470476127563007}, {100., 6.470476127563007}, {
       100., -4.592425496802574*^-15}}], 
      LineBox[{{100., 6.470476127563007}, {103.57802541904441`, 
       6.470476127563007}, {103.57802541904441`, 12.499999999999984`}, {100., 
       12.499999999999984`}, {100., 6.470476127563007}}], 
      LineBox[{{100., 12.499999999999984`}, {103.57802541904441`, 
       12.499999999999984`}, {103.5780254190444, 17.67766952966367}, {100., 
       17.67766952966367}, {100., 12.499999999999984`}}], 
      LineBox[{{100., 17.677669529663685`}, {103.57802541904441`, 
       17.677669529663685`}, {103.57802541904441`, 21.65063509461096}, {100., 
       21.65063509461096}, {100., 17.677669529663685`}}], 
      LineBox[{{100., 21.65063509461096}, {103.57802541904441`, 
       21.65063509461096}, {103.57802541904441`, 24.148145657226703`}, {100., 
       24.148145657226703`}, {100., 21.65063509461096}}], 
      LineBox[{{100., 24.148145657226703`}, {103.57802541904441`, 
       24.148145657226703`}, {103.57802541904441`, 25.}, {100., 25.}, {100., 
       24.148145657226703`}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{150., -25.}, {161.1324865405187, -25.}, {
      165.94373878376558`, -16.66666666666667}, {
      150., -16.666666666666668`}, {150., -25.}}], 
     PolygonBox[{{150., -16.666666666666668`}, {
      165.94373878376558`, -16.66666666666667}, {
      170.75499102701247`, -8.33333333333334}, {150., -8.333333333333336}, {
      150., -16.666666666666668`}}], 
     PolygonBox[{{150., -8.333333333333336}, {
      170.75499102701247`, -8.33333333333334}, {
      175.56624327025935`, -6.153480596427404*^-15}, {150., 0.}, {
      150., -8.333333333333336}}], 
     PolygonBox[{{150., 0.}, {175.56624327025935`, 0.}, {180.37749551350623`, 
      8.33333333333333}, {150., 8.333333333333329}, {150., 0.}}], 
     PolygonBox[{{150., 8.333333333333329}, {180.37749551350623`, 
      8.33333333333333}, {185.18874775675312`, 16.666666666666664`}, {150., 
      16.666666666666664`}, {150., 8.333333333333329}}], 
     PolygonBox[{{150., 16.666666666666664`}, {185.18874775675312`, 
      16.666666666666664`}, {190., 24.999999999999996`}, {150., 
      24.999999999999993`}, {150., 16.666666666666664`}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{150., -25.}, {150., -16.666666666666668`}, {
       150., -8.333333333333336}, {150., -3.552713678800501*^-15}, {150., 
       8.333333333333329}, {150., 16.666666666666657`}, {150., 
       24.999999999999993`}, {190., 25.}, {185.18874775675312`, 
       16.666666666666668`}, {180.37749551350623`, 8.333333333333334}, {
       175.56624327025935`, 0.}, {170.75499102701247`, -8.333333333333334}, {
       165.94373878376558`, -16.66666666666667}, {161.1324865405187, -25.}, {
       150., -25.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{150., 0.}, {175.56624327025935`, 
        2.651438096812267*^-15}, {175.56624327025935`, 
        2.209531747343556*^-15}, {150., 5.102694996447305*^-16}, {150., 0.}}],
        PolygonBox[{{150., 5.102694996447305*^-16}, {175.56624327025935`, 
        2.209531747343556*^-15}, {175.56624327025935`, 
        1.767625397874845*^-15}, {150., 1.020538999289461*^-15}, {150., 
        5.102694996447305*^-16}}], 
       PolygonBox[{{150., 1.020538999289461*^-15}, {175.56624327025935`, 
        1.767625397874845*^-15}, {175.56624327025935`, 
        1.325719048406134*^-15}, {150., 1.5308084989341915`*^-15}, {150., 
        1.020538999289461*^-15}}], 
       PolygonBox[{{150., 1.5308084989341915`*^-15}, {175.56624327025935`, 
        1.3257190484061335`*^-15}, {175.56624327025935`, 
        8.838126989374225*^-16}, {150., 2.041077998578922*^-15}, {150., 
        1.5308084989341915`*^-15}}], 
       PolygonBox[{{150., 2.041077998578922*^-15}, {175.56624327025935`, 
        8.838126989374225*^-16}, {175.56624327025935`, 
        4.4190634946871133`*^-16}, {150., 2.5513474982236525`*^-15}, {150., 
        2.041077998578922*^-15}}], 
       PolygonBox[{{150., 2.5513474982236525`*^-15}, {175.56624327025935`, 
        4.4190634946871143`*^-16}, {175.56624327025935`, 
        2.207765717586963*^-31}, {150., 3.0616169978683826`*^-15}, {150., 
        2.5513474982236525`*^-15}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{150., 0.}, {150., 0.}, {150., 0.}, {150., 0.}, {150., 0.}, {
         150., 0.}, {150., 0.}, {175.56624327025935`, 0.}, {
         175.56624327025935`, 0.}, {175.56624327025935`, 0.}, {
         175.56624327025935`, 0.}, {175.56624327025935`, 0.}, {
         175.56624327025935`, 0.}, {175.56624327025935`, 0.}, {150., 
         0.}}]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       165.94373878376558`, -16.66666666666667}, {
       150., -16.666666666666668`}, {150., -25.}}], 
      LineBox[{{150., -16.666666666666668`}, {
       165.94373878376558`, -16.66666666666667}, {
       170.75499102701247`, -8.333333333333337}, {150., -8.333333333333336}, {
       150., -16.666666666666668`}}], 
      LineBox[{{150., -8.333333333333334}, {
       170.75499102701247`, -8.333333333333336}, {
       175.56624327025935`, -1.3877787807814457`*^-15}, {
       150., -1.3877787807814457`*^-15}, {150., -8.333333333333334}}], 
      LineBox[{{150., 0.}, {175.56624327025935`, 0.}, {180.37749551350623`, 
       8.333333333333332}, {150., 8.333333333333332}, {150., 0.}}], 
      LineBox[{{150., 8.333333333333332}, {180.37749551350623`, 
       8.333333333333332}, {185.18874775675312`, 16.666666666666664`}, {150., 
       16.666666666666664`}, {150., 8.333333333333332}}], 
      LineBox[{{150., 16.666666666666664`}, {185.18874775675312`, 
       16.666666666666664`}, {190., 24.999999999999996`}, {150., 
       24.999999999999993`}, {150., 16.666666666666664`}}], 
      LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {150., 
       25.}}], LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {
       150., 25.}}], 
      LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {150., 
       25.}}], LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {
       150., 25.}}], 
      LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {150., 
       25.}}], LineBox[{{150., 25.}, {190., 25.}, {190., 25.}, {150., 25.}, {
       150., 25.}}], 
      LineBox[{{150., 25.}, {190., 25.}, {185.18874775675312`, 
       16.66666666666667}, {150., 16.666666666666668`}, {150., 25.}}], 
      LineBox[{{150., 16.666666666666668`}, {185.18874775675312`, 
       16.66666666666667}, {180.37749551350623`, 8.333333333333337}, {150., 
       8.333333333333336}, {150., 16.666666666666668`}}], 
      LineBox[{{150., 8.333333333333334}, {180.37749551350623`, 
       8.333333333333336}, {175.56624327025935`, 1.3877787807814457`*^-15}, {
       150., 1.3877787807814457`*^-15}, {150., 8.333333333333334}}], 
      LineBox[{{150., 0.}, {175.56624327025935`, 0.}, {
       170.75499102701247`, -8.333333333333332}, {150., -8.333333333333332}, {
       150., 0.}}], 
      LineBox[{{150., -8.333333333333332}, {
       170.75499102701247`, -8.333333333333332}, {
       165.94373878376558`, -16.666666666666664`}, {
       150., -16.666666666666664`}, {150., -8.333333333333332}}], 
      LineBox[{{150., -16.666666666666664`}, {
       165.94373878376558`, -16.666666666666664`}, {
       161.1324865405187, -24.999999999999996`}, {
       150., -24.999999999999993`}, {150., -16.666666666666664`}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}], 
      LineBox[{{150., -25.}, {161.1324865405187, -25.}, {
       161.1324865405187, -25.}, {150., -25.}, {150., -25.}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{243.60636622896058`, -1.4719078971652166`}, {
       240.73757748597373`, 6.352061401889854}, {237.86878874298685`, 
       14.176030700944924`}, {235., 21.999999999999996`}, {
       232.13121125701315`, 29.82396929905507}, {229.2624225140263, 
       37.64793859811014}, {226.39363377103942`, 45.47190789716521}, {
       226.39363377103942`, 45.47190789716522}, {229.26242251402627`, 
       37.647938598110144`}, {232.13121125701315`, 29.823969299055076`}, {
       235., 22.000000000000004`}, {237.86878874298685`, 
       14.176030700944931`}, {240.7375774859737, 6.3520614018898645`}, {
       243.60636622896058`, -1.4719078971652095`}, {
       243.60636622896058`, -1.4719078971652166`}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{235., 22.}, {235., 22.}, {235., 22.}, {235., 22.}, {235., 
       22.}, {235., 22.}, {235., 22.}, {235., 22.}, {235., 22.}, {235., 
       22.}, {235., 22.}, {235., 22.}, {235., 22.}, {235., 22.}, {235., 
       22.}}]}}, 
    {GrayLevel[0], AbsoluteThickness[0.5], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQBGIQ/XTZzaUzfHIcbNtiqtL3uDkUGxz/+ys0x8HL1FaC
I8zN4bhtqF9dYY5D0SW39481XR3ySplmOc3NcZjYFemY7+PsUHT5TZDPtRwH
eWe9vcb3HBxYdh9J3iGR61AcenytobCNAwMIJORCaAYzhz8u1nPcl+c6yIUW
LplzU9+hV0d47eaXuQ6dn924DdtVHCZ1/U3dq5TnULHa+GvrHFEHy0OrNjb6
5Tk82Kgq3nT4l33veQsm1qw8h4YgX362pqf7pSPVotKL8xwWHJ/g/b7n+36Y
/AKoPEz/Aah+mPkFUPP7oPY3QO2HuU8I6j6Y+/+DgakDK9R/eVD/FUP9LwP1
P3r4wMKvABp+6OGLHv4A+D+rqQ==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 30.}, {
      302.0204102886729, 30.}, {304.6060798583054, 20.}}], 
     PolygonBox[{{302.0204102886729, 30.}, {305., 30.}, {305., 
      39.99999999999999}, {300.501256289338, 40.}, {302.0204102886729, 30.}}],
      PolygonBox[{{300.501256289338, 40.}, {305., 39.99999999999999}, {305., 
      49.99999999999999}, {300., 50.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300., 50.}, {305., 50.}, {305., 60.}, {300.501256289338, 
      60.}, {300., 50.}}], 
     PolygonBox[{{300.501256289338, 60.}, {305., 60.}, {305., 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}}], 
     PolygonBox[{{302.0204102886729, 70.}, {305., 70.}, {305., 80.}, {
      304.6060798583054, 80.}, {302.0204102886729, 70.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{304.6060798583054, 20.}, {302.0204102886729, 30.}, {
       300.501256289338, 40.}, {300., 50.}, {300.501256289338, 60.}, {
       302.0204102886729, 70.}, {304.6060798583054, 80.}, {305., 80.}, {305., 
       70.}, {305., 60.}, {305., 50.}, {305., 40.}, {305., 30.}, {305., 
       20.}, {304.6060798583054, 20.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{300., 50.}, {305., 50.00000000000001}, {305., 50.}, {300.,
         50.}, {300., 50.}}], 
       PolygonBox[{{300., 50.}, {305., 50.}, {305., 50.}, {300., 50.}, {300., 
        50.}}], PolygonBox[{{300., 50.}, {305., 50.}, {305., 50.}, {300., 
        50.}, {300., 50.}}], 
       PolygonBox[{{300., 50.}, {305., 50.}, {305., 50.}, {300., 50.}, {300., 
        50.}}], PolygonBox[{{300., 50.}, {305., 50.}, {305., 50.}, {300., 
        50.}, {300., 50.}}], 
       PolygonBox[{{300., 50.}, {305., 50.}, {305., 50.}, {300., 
        50.00000000000001}, {300., 50.}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{300., 50.}, {300., 50.}, {300., 50.}, {300., 50.}, {300., 
         50.}, {300., 50.}, {300., 50.}, {305., 50.}, {305., 50.}, {305., 
         50.}, {305., 50.}, {305., 50.}, {305., 50.}, {305., 50.}, {300., 
         50.}}]}}}}, 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 30.}, {
      302.0204102886729, 30.}, {304.6060798583054, 20.}, {304.6060798583054, 
      20.}}], PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 
      30.}, {302.0204102886729, 30.}, {304.6060798583054, 20.}, {
      304.6060798583054, 20.}}], 
     PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 30.}, {
      302.0204102886729, 30.}, {304.6060798583054, 20.}, {304.6060798583054, 
      20.}}], PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 
      30.}, {302.0204102886729, 30.}, {304.6060798583054, 20.}, {
      304.6060798583054, 20.}}], 
     PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 30.}, {
      302.0204102886729, 30.}, {304.6060798583054, 20.}, {304.6060798583054, 
      20.}}], PolygonBox[{{304.6060798583054, 20.}, {302.0204102886729, 
      30.}, {302.0204102886729, 30.}, {304.6060798583054, 20.}, {
      304.6060798583054, 20.}}], 
     PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{302.0204102886729, 30.}, {300.501256289338, 40.}, {
      300.501256289338, 40.}, {302.0204102886729, 30.}, {302.0204102886729, 
      30.}}], PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300.501256289338, 40.}, {300., 50.}, {300., 50.}, {
      300.501256289338, 40.}, {300.501256289338, 40.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300., 50.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}, {300., 50.}, {300., 50.}}], 
     PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{300.501256289338, 60.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}, {300.501256289338, 60.}, {300.501256289338, 
      60.}}], PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 
      80.}, {304.6060798583054, 80.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}}], 
     PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 80.}, {
      304.6060798583054, 80.}, {302.0204102886729, 70.}, {302.0204102886729, 
      70.}}], PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 
      80.}, {304.6060798583054, 80.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}}], 
     PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 80.}, {
      304.6060798583054, 80.}, {302.0204102886729, 70.}, {302.0204102886729, 
      70.}}], PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 
      80.}, {304.6060798583054, 80.}, {302.0204102886729, 70.}, {
      302.0204102886729, 70.}}], 
     PolygonBox[{{302.0204102886729, 70.}, {304.6060798583054, 80.}, {
      304.6060798583054, 80.}, {302.0204102886729, 70.}, {302.0204102886729, 
      70.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], LineBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQ/UvpdMMmzmIHBjAwcVikundm8IMiKN/O4cPMAFXW
EzC+C4Q+AON7osn7oepvCHRANT9kwPno7kN3P37/uWCED3r40ZsPABiPd0A=

       "]]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{305., 20.}, {305., 80.}, {305., 80.}, {305., 20.}, {305., 
       20.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 
       29.999999999999996`}, {302.0204102886729, 29.999999999999996`}, {
       304.6060798583054, 20.}}], 
      LineBox[{{302.0204102886729, 29.999999999999996`}, {305., 
       29.999999999999996`}, {305., 40.}, {300.501256289338, 40.}, {
       302.0204102886729, 29.999999999999996`}}], 
      LineBox[{{300.501256289338, 40.}, {305., 40.}, {305., 50.}, {300., 
       50.}, {300.501256289338, 40.}}], 
      LineBox[{{300., 50.}, {305., 50.}, {305., 60.}, {300.501256289338, 
       60.}, {300., 50.}}], 
      LineBox[{{300.501256289338, 60.}, {305., 60.}, {305., 70.}, {
       302.0204102886729, 70.}, {300.501256289338, 60.}}], 
      LineBox[{{302.0204102886729, 70.}, {305., 70.}, {305., 80.}, {
       304.6060798583054, 80.}, {302.0204102886729, 70.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 80.}, {
       304.6060798583054, 80.}, {304.6060798583054, 80.}}], 
      LineBox[{{304.6060798583054, 80.}, {305., 80.}, {305., 70.}, {
       302.0204102886729, 70.}, {304.6060798583054, 80.}}], 
      LineBox[{{302.0204102886729, 70.}, {305., 70.}, {305., 60.}, {
       300.501256289338, 60.}, {302.0204102886729, 70.}}], 
      LineBox[{{300.501256289338, 60.}, {305., 60.}, {305., 50.}, {300., 
       50.}, {300.501256289338, 60.}}], 
      LineBox[{{300., 50.}, {305., 50.}, {305., 40.}, {300.501256289338, 
       40.}, {300., 50.}}], 
      LineBox[{{300.501256289338, 40.}, {305., 40.}, {305., 
       30.000000000000004`}, {302.0204102886729, 30.000000000000004`}, {
       300.501256289338, 40.}}], 
      LineBox[{{302.0204102886729, 30.000000000000004`}, {305., 
       30.000000000000004`}, {305., 20.000000000000007`}, {304.6060798583054, 
       20.000000000000007`}, {302.0204102886729, 30.000000000000004`}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}], 
      LineBox[{{304.6060798583054, 20.}, {305., 20.}, {305., 20.}, {
       304.6060798583054, 20.}, {304.6060798583054, 20.}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{208., 62.}, {218., 62.}, {218., 72.}, {208., 72.}, {208., 
      62.}}], PolygonBox[{{208., 72.}, {218., 72.}, {218., 82.}, {208., 
      82.}, {208., 72.}}], 
     PolygonBox[{{208., 82.}, {218., 82.}, {218., 92.}, {208., 92.}, {208., 
      82.}}], PolygonBox[{{208., 92.}, {218., 92.}, {218., 102.}, {208., 
      102.}, {208., 92.}}], 
     PolygonBox[{{208., 102.}, {218., 102.}, {218., 112.}, {208., 112.}, {
      208., 102.}}], 
     PolygonBox[{{208., 112.}, {218., 112.}, {218., 122.}, {208., 122.}, {
      208., 112.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{208., 62.}, {208., 72.}, {208., 82.}, {208., 92.}, {208., 
       102.}, {208., 112.}, {208., 122.}, {218., 122.}, {218., 112.}, {218., 
       102.}, {218., 92.}, {218., 82.}, {218., 72.}, {218., 62.}, {208., 
       62.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 92.}, {208., 
        92.}}], PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 
        92.}, {208., 92.}}], 
       PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 92.}, {208., 
        92.}}], PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 
        92.}, {208., 92.}}], 
       PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 92.}, {208., 
        92.}}], PolygonBox[{{208., 92.}, {218., 92.}, {218., 92.}, {208., 
        92.}, {208., 92.}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{208., 92.}, {208., 92.}, {208., 92.}, {208., 92.}, {208., 
         92.}, {208., 92.}, {208., 92.}, {218., 92.}, {218., 92.}, {218., 
         92.}, {218., 92.}, {218., 92.}, {218., 92.}, {218., 92.}, {208., 
         92.}}]}}}}, 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{208., 62.}, {208., 122.}, {208., 122.}, {208., 62.}, {208., 
      62.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{208., 62.}, {208., 122.}, {208., 122.}, {208., 62.}, {208., 
       62.}}], {}}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{208., 62.}, {218., 62.}, {218., 72.}, {208., 72.}, {208., 
       62.}}], LineBox[{{208., 72.}, {218., 72.}, {218., 82.}, {208., 82.}, {
       208., 72.}}], 
      LineBox[{{208., 82.}, {218., 82.}, {218., 92.}, {208., 92.}, {208., 
       82.}}], LineBox[{{208., 92.}, {218., 92.}, {218., 102.}, {208., 
       102.}, {208., 92.}}], 
      LineBox[{{208., 102.}, {218., 102.}, {218., 112.}, {208., 112.}, {208., 
       102.}}], 
      LineBox[{{208., 112.}, {218., 112.}, {218., 122.}, {208., 122.}, {208., 
       112.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 122.}, {208., 122.}, {208., 
       122.}}], 
      LineBox[{{208., 122.}, {218., 122.}, {218., 112.}, {208., 112.}, {208., 
       122.}}], 
      LineBox[{{208., 112.}, {218., 112.}, {218., 102.}, {208., 102.}, {208., 
       112.}}], 
      LineBox[{{208., 102.}, {218., 102.}, {218., 92.}, {208., 92.}, {208., 
       102.}}], 
      LineBox[{{208., 92.}, {218., 92.}, {218., 82.}, {208., 82.}, {208., 
       92.}}], LineBox[{{208., 82.}, {218., 82.}, {218., 72.}, {208., 72.}, {
       208., 82.}}], 
      LineBox[{{208., 72.}, {218., 72.}, {218., 62.00000000000001}, {208., 
       62.00000000000001}, {208., 72.}}], 
      LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {208., 
       62.}}], LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {
       208., 62.}}], 
      LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {208., 
       62.}}], LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {
       208., 62.}}], 
      LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {208., 
       62.}}], LineBox[{{208., 62.}, {218., 62.}, {218., 62.}, {208., 62.}, {
       208., 62.}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{151.77277886469847`, 174.34918772063023`}, {
      149.737526368627, 175.29897221879693`}, {131.0772790458048, 
      165.61492612806188`}, {156.3368440098165, 153.82712914485643`}, {
      151.77277886469847`, 174.34918772063023`}}], 
     PolygonBox[{{156.3368440098165, 153.82712914485643`}, {131.0772790458048,
       165.61492612806188`}, {118.11681841993408`, 153.2709795787495}, {
      155.2011224579831, 135.96497102765994`}, {156.3368440098165, 
      153.82712914485643`}}], 
     PolygonBox[{{155.2011224579831, 135.96497102765994`}, {
      118.11681841993408`, 153.2709795787495}, {109.22175870021306`, 
      139.0298459399006}, {150., 120.00000000000001`}, {155.2011224579831, 
      135.96497102765994`}}], 
     PolygonBox[{{150., 120.00000000000001`}, {109.22175870021306`, 
      139.02984593990058`}, {104.02063624222993`, 123.06487491224065`}, {
      141.104940280279, 105.75886636115109`}, {150., 120.00000000000001`}}], 
     PolygonBox[{{141.104940280279, 105.75886636115109`}, {
      104.02063624222993`, 123.06487491224065`}, {102.88491469039654`, 
      105.2027167950442}, {128.14447965440826`, 93.41491981183871}, {
      141.104940280279, 105.75886636115109`}}], 
     PolygonBox[{{128.14447965440826`, 93.41491981183871}, {
      102.88491469039654`, 105.2027167950442}, {107.44897983551459`, 
      84.68065821927038}, {109.4842323315861, 83.73087372110369}, {
      128.14447965440826`, 93.41491981183871}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{151.77277886469847`, 174.34918772063023`}, {156.3368440098165,
        153.82712914485643`}, {155.2011224579831, 135.96497102765994`}, {150.,
        120.00000000000001`}, {141.104940280279, 105.75886636115109`}, {
       128.14447965440826`, 93.41491981183873}, {109.4842323315861, 
       83.73087372110369}, {107.44897983551462`, 84.68065821927036}, {
       102.88491469039654`, 105.20271679504418`}, {104.02063624222995`, 
       123.06487491224064`}, {109.22175870021306`, 139.02984593990058`}, {
       118.11681841993405`, 153.2709795787495}, {131.0772790458048, 
       165.61492612806188`}, {149.73752636862696`, 175.2989722187969}, {
       151.77277886469847`, 174.34918772063023`}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{130.62850559814225`, 129.04003072086695`}, {
        128.5932531020708, 129.98981521903363`}, {116.98109686810068`, 
        135.40882146155303`}, {142.24066183211238`, 123.62102447834756`}, {
        130.62850559814225`, 129.04003072086695`}}], 
       PolygonBox[{{142.24066183211238`, 123.62102447834756`}, {
        116.98109686810068`, 135.40882146155303`}, {111.06872733108202`, 
        138.16792724549506`}, {148.15303136913104`, 120.86191869440553`}, {
        142.24066183211238`, 123.62102447834756`}}], 
       PolygonBox[{{148.15303136913104`, 120.86191869440553`}, {
        111.06872733108202`, 138.16792724549506`}, {109.22175870021306`, 
        139.02984593990058`}, {150., 120.00000000000001`}, {
        148.15303136913104`, 120.86191869440553`}}], 
       PolygonBox[{{150., 120.00000000000001`}, {109.22175870021306`, 
        139.02984593990058`}, {111.06872733108199`, 138.16792724549506`}, {
        148.15303136913107`, 120.86191869440552`}, {150., 
        120.00000000000001`}}], 
       PolygonBox[{{148.15303136913107`, 120.86191869440552`}, {
        111.06872733108199`, 138.16792724549506`}, {116.98109686810066`, 
        135.40882146155303`}, {142.24066183211238`, 123.62102447834756`}, {
        148.15303136913107`, 120.86191869440552`}}], 
       PolygonBox[{{142.24066183211238`, 123.62102447834756`}, {
        116.98109686810066`, 135.40882146155303`}, {128.59325310207078`, 
        129.98981521903363`}, {130.62850559814228`, 129.04003072086695`}, {
        142.24066183211238`, 123.62102447834756`}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{130.62850559814225`, 129.04003072086695`}, {
         142.24066183211238`, 123.62102447834756`}, {148.15303136913104`, 
         120.86191869440553`}, {150., 120.00000000000001`}, {
         148.15303136913107`, 120.86191869440552`}, {142.24066183211238`, 
         123.62102447834756`}, {130.62850559814228`, 129.04003072086695`}, {
         128.5932531020708, 129.98981521903363`}, {116.98109686810066`, 
         135.40882146155303`}, {111.06872733108202`, 138.16792724549506`}, {
         109.22175870021306`, 139.02984593990058`}, {111.06872733108199`, 
         138.16792724549506`}, {116.98109686810066`, 135.40882146155303`}, {
         128.59325310207078`, 129.98981521903363`}, {130.62850559814225`, 
         129.04003072086695`}}]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{109.48423233158607`, 83.73087372110368}, {107.44897983551462`,
        84.68065821927036}, {108.16945347579063`, 86.2245303055762}, {
       110.20470597186213`, 85.27474580740949}, {109.48423233158607`, 
       83.73087372110368}}], 
      LineBox[{{110.20470597186213`, 85.27474580740949}, {108.16945347579063`,
        86.2245303055762}, {110.28177530867296`, 90.75093423318111}, {
       112.31702780474441`, 89.80114973501443}, {110.20470597186213`, 
       85.27474580740949}}], 
      LineBox[{{112.31702780474441`, 89.80114973501443}, {110.28177530867296`,
        90.75093423318111}, {113.64199409202747`, 97.95140305465512}, {
       115.67724658809895`, 97.00161855648841}, {112.31702780474441`, 
       89.80114973501443}}], 
      LineBox[{{115.67724658809895`, 97.00161855648841}, {113.64199409202747`,
        97.95140305465512}, {118.02111646879271`, 107.335236719152}, {
       120.05636896486416`, 106.38545222098531`}, {115.67724658809895`, 
       97.00161855648841}}], 
      LineBox[{{120.05636896486416`, 106.38545222098531`}, {
       118.02111646879271`, 107.335236719152}, {123.12071248583396`, 
       118.26294246995471`}, {125.15596498190541`, 117.31315797178803`}, {
       120.05636896486416`, 106.38545222098531`}}], 
      LineBox[{{125.15596498190541`, 117.31315797178803`}, {
       123.12071248583396`, 118.26294246995471`}, {128.5932531020708, 
       129.98981521903363`}, {130.62850559814225`, 129.04003072086695`}, {
       125.15596498190541`, 117.31315797178803`}}], 
      LineBox[{{130.62850559814225`, 129.04003072086695`}, {128.5932531020708,
        129.98981521903363`}, {134.06579371830765`, 141.71668796811255`}, {
       136.1010462143791, 140.76690346994587`}, {130.62850559814225`, 
       129.04003072086695`}}], 
      LineBox[{{136.1010462143791, 140.76690346994587`}, {134.06579371830765`,
        141.71668796811255`}, {139.16538973534887`, 152.64439371891527`}, {
       141.20064223142037`, 151.6946092207486}, {136.1010462143791, 
       140.76690346994587`}}], 
      LineBox[{{141.20064223142037`, 151.6946092207486}, {139.16538973534887`,
        152.64439371891527`}, {143.5445121121141, 162.02822738341217`}, {
       145.5797646081856, 161.0784428852455}, {141.20064223142037`, 
       151.6946092207486}}], 
      LineBox[{{145.5797646081856, 161.0784428852455}, {143.5445121121141, 
       162.02822738341217`}, {146.90473089546865`, 169.22869620488618`}, {
       148.9399833915401, 168.27891170671947`}, {145.5797646081856, 
       161.0784428852455}}], 
      LineBox[{{148.9399833915401, 168.27891170671947`}, {146.90473089546865`,
        169.22869620488615`}, {149.01705272835096`, 173.7551001324911}, {
       151.0523052244224, 172.80531563432442`}, {148.9399833915401, 
       168.27891170671947`}}], 
      LineBox[{{151.0523052244224, 172.80531563432442`}, {149.01705272835096`,
        173.7551001324911}, {149.737526368627, 175.29897221879693`}, {
       151.77277886469847`, 174.34918772063023`}, {151.0523052244224, 
       172.80531563432442`}}], 
      LineBox[{{151.77277886469847`, 174.34918772063023`}, {149.737526368627, 
       175.29897221879693`}, {149.01705272835096`, 173.7551001324911}, {
       151.0523052244224, 172.80531563432442`}, {151.77277886469847`, 
       174.34918772063023`}}], 
      LineBox[{{151.0523052244224, 172.80531563432442`}, {149.01705272835096`,
        173.7551001324911}, {146.90473089546865`, 169.22869620488618`}, {
       148.9399833915401, 168.27891170671947`}, {151.0523052244224, 
       172.80531563432442`}}], 
      LineBox[{{148.9399833915401, 168.27891170671947`}, {146.90473089546865`,
        169.22869620488618`}, {143.54451211211412`, 162.0282273834122}, {
       145.57976460818557`, 161.0784428852455}, {148.9399833915401, 
       168.27891170671947`}}], 
      LineBox[{{145.5797646081856, 161.0784428852455}, {143.5445121121141, 
       162.0282273834122}, {139.16538973534887`, 152.6443937189153}, {
       141.20064223142037`, 151.69460922074862`}, {145.5797646081856, 
       161.0784428852455}}], 
      LineBox[{{141.20064223142037`, 151.69460922074862`}, {
       139.16538973534887`, 152.6443937189153}, {134.06579371830765`, 
       141.7166879681126}, {136.1010462143791, 140.7669034699459}, {
       141.20064223142037`, 151.69460922074862`}}], 
      LineBox[{{136.1010462143791, 140.7669034699459}, {134.06579371830765`, 
       141.7166879681126}, {128.59325310207083`, 129.9898152190337}, {
       130.62850559814228`, 129.040030720867}, {136.1010462143791, 
       140.7669034699459}}], 
      LineBox[{{130.62850559814225`, 129.04003072086695`}, {128.5932531020708,
        129.98981521903366`}, {123.12071248583399`, 118.26294246995474`}, {
       125.15596498190544`, 117.31315797178806`}, {130.62850559814225`, 
       129.04003072086695`}}], 
      LineBox[{{125.15596498190544`, 117.31315797178806`}, {
       123.12071248583399`, 118.26294246995474`}, {118.02111646879271`, 
       107.33523671915202`}, {120.05636896486419`, 106.38545222098534`}, {
       125.15596498190544`, 117.31315797178806`}}], 
      LineBox[{{120.05636896486419`, 106.38545222098534`}, {
       118.02111646879271`, 107.33523671915202`}, {113.64199409202749`, 
       97.95140305465515}, {115.67724658809897`, 97.00161855648844}, {
       120.05636896486419`, 106.38545222098534`}}], 
      LineBox[{{115.67724658809894`, 97.00161855648844}, {113.64199409202749`,
        97.95140305465512}, {110.28177530867295`, 90.75093423318114}, {
       112.31702780474444`, 89.80114973501446}, {115.67724658809894`, 
       97.00161855648844}}], 
      LineBox[{{112.31702780474444`, 89.80114973501446}, {110.28177530867295`,
        90.75093423318114}, {108.16945347579068`, 86.2245303055762}, {
       110.20470597186213`, 85.27474580740949}, {112.31702780474444`, 
       89.80114973501446}}], 
      LineBox[{{110.20470597186213`, 85.27474580740949}, {108.16945347579068`,
        86.2245303055762}, {107.44897983551462`, 84.68065821927036}, {
       109.48423233158607`, 83.73087372110368}, {110.20470597186213`, 
       85.27474580740949}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{310., 200.}, {310., -50.}, {310., -50.}, {310., 200.}, {310., 
       200.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{310., -50.}, {80., -50.}, {80., -50.}, {310., -50.}, {
       310., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{80., -50.}, {80., 200.}, {80., 200.}, {80., -50.}, {
       80., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{80., 200.}, {310., 200.}, {310., 200.}, {80., 200.}, {80., 
       200.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{310., -50.}, {310., 200.}, {80., 200.}, {80., -50.}, {
       310., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{310., 200.}, {310., -50.}, {80., -50.}, {80., 200.}, {310., 
       200.}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{350., 250.}, {350., -70.}, {350., -70.}, {350., 250.}, {350., 
       250.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{350., -70.}, {-60., -70.}, {-60., -70.}, {350., -70.}, {
       350., -70.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{-60., -70.}, {-60., 250.}, {-60., 
       250.}, {-60., -70.}, {-60., -70.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{-60., 250.}, {350., 250.}, {350., 250.}, {-60., 250.}, {-60., 
       250.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{350., -70.}, {350., 250.}, {-60., 250.}, {-60., -70.}, {
       350., -70.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{350., 250.}, {350., -70.}, {-60., -70.}, {-60., 250.}, {350., 
       250.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Arrowheads[Small], 
     ArrowBox[{{0., 0.}, {100.00000000000001`, 17.632698070846498`}}], 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 0.}, {100.00000000000001`, -17.632698070846498`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{100.00000000000001`, 17.632698070846498`}, {
       106.62864472203034`, 18.39543610507857}}]}, 
     {Arrowheads[Small], ArrowBox[{{100., 0.}, {110., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{100.00000000000001`, -17.632698070846498`}, {
       106.62864472203034`, -18.39543610507857}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{106.62864472203034`, 18.39543610507857}, {150., 
       17.548726316565652`}}]}, 
     {Arrowheads[Small], ArrowBox[{{110., 0.}, {150., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{106.62864472203034`, -18.39543610507857}, {
       150., -17.548726316565652`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{150., 17.548726316565652`}, {185.43511030672664`, 
       17.093379120303023`}}]}, 
     {Arrowheads[Small], ArrowBox[{{150., 0.}, {175.56624327025935`, 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{150., -17.548726316565652`}, {
       165.54984648337637`, -17.348908143650984`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{185.43511030672664`, 17.093379120303023`}, {231.34555897871, 
       31.966657330790973`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{175.56624327025935`, 0.}, {235.33876163018493`, 
       21.07610464495016}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{165.54984648337637`, -17.348908143650984`}, {
       239.11203464464302`, 10.785360060064464`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{231.34555897871, 31.966657330790973`}, {300.08981129603154`, 
       54.23723885772455}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{235.33876163018493`, 21.07610464495016}, {
       300.18373922531885`, 43.940785120096066`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{239.11203464464302`, 10.785360060064464`}, {
       301.2034488727786, 34.532566943208394`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{300.08981129603154`, 54.23723885772455}, {218., 
       88.75704113880482}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{300.18373922531885`, 43.940785120096066`}, {218., 
       62.12333584827448}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{301.2034488727786, 34.532566943208394`}, {80., 
       46.6434494092436}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{218., 88.75704113880482}, {208., 91.39621192862381}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{218., 62.12333584827448}, {208., 63.55999017514427}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{80., 46.6434494092436}, {-60.00000000000003, 
       54.3084453841485}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{208., 91.39621192862381}, {148.25496364652665`, 
       116.51975417627855`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{208., 91.39621192862381}, {218., 94.0353827184428}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{208., 63.55999017514427}, {112.26921265305084`, 
       84.73972613741498}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{208., 63.55999017514427}, {218., 64.99664450201406}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{148.25496364652665`, 116.51975417627855`}, {
       107.57434112595269`, 135.20289971716778`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{218., 94.0353827184428}, {310., 132.7225444955209}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{112.26921265305084`, 84.73972613741498}, {105.8162830880786, 
       89.36220375070043}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{218., 64.99664450201406}, {310., 85.35097107270221}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{107.57434112595269`, 135.20289971716778`}, {80., 
       148.81973734734143`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{310., 132.7225444955209}, {350., 149.54304961598964`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{105.8162830880786, 89.36220375070043}, {134.48312494682594`, 
       167.9520802180985}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{310., 85.35097107270221}, {350., 94.20067827734923}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{80., 148.81973734734143`}, {-60., 217.9549257283275}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{134.48312494682594`, 167.9520802180985}, {
       154.32736320322672`, 166.40251938976593`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{154.32736320322672`, 166.40251938976593`}, {310., 
       124.71219905046655`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{310., 124.71219905046655`}, {350., 113.9998937418014}}]}}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], PointBox[CompressedData["
1:eJxTTMoPSmViYGDQAGIQzcgAApEO2u1GDT8WGjowQPkMUIAmf0CiWmi79Yoo
h/Afn3ysU40g6hqi4erR5A+ABQ8kOSyU+hBc2QM1H8hnQAYI+QMphsU5b3TT
HVZfWb3xubihA9Nrk1Vyn1Lh6pv+LgufsTHF4b+nF3dQpOGBgzxbLvK9znGY
pn/tVtl3ewexyIVK17NyHcqVBGdUC5s6RNxYe3Lq41yHSvnd26QmqTq4mvy4
m3+wyMFi0fHrsXLeDqd2d834cKjIQWnD1KXZP1wdHryfFex4ucghgTFIXdvF
EWKvQ7aDjuXamGKDMDh/S6JoxUl+f6i7QhwqVt3piQlyh/KzHGLeuXVG3wyD
83dqChxae9zfgQXM9zvQdyhLuVrd24G9oHWlRkeSwy0X1uXOirFw83sWP9jq
3BTuUKq49biVYIxDGo/PmnD9ULj8/QpWtpP2AQ57dD0YDz2JcvAz7lGve5YA
kU8odoh0XSQqPz3B4eqT7N+2JVEOZ98vjtALD4PLux2L9y8LC4W7v9Xloqf1
LGi8PCh1+Dtj2sqEjUkOP88XHSo9n+Bw68+7gvJ/KXD5R32bX17vCYfq9ztw
aUXagT67bIedFamHKr2SHeY9DC94eCYFbt+B+uDVU3Tj4fqPKQQ5/auPcQAA
l6vaXA==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    InsetBox["\<\"BS\"\>", {213., 49.07299276333188}, {0., 0.}], 
    InsetBox["\<\"L2\"\>", {156.22179608727993`, 186.53831597817899`}, \
{0., 0.}], InsetBox["\<\"L1\"\>", {105., -37.92700723666812}, {0., 0.}], 
    InsetBox["\<\"Wedge\"\>", {162.78312163512967`, -37.92700723666812}, \
{0., 0.}], 
    InsetBox["\<\"S\"\>", {248.05654856988815`, -13.608768826967717`}, \
{0., 0.}], InsetBox["\<\"M\"\>", {302.5, 7.072992763331879}, {0., 0.}]}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  GridLines:>None,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366043666066*^9, 3.566086430423699*^9, 
  3.5661276763247223`*^9, 3.5661278541071253`*^9, 3.5661611328693447`*^9, 
  3.6012129681725273`*^9, 3.6012864443536253`*^9, 3.601286490916913*^9, 
  3.614708221469906*^9, 3.614726961259671*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"},
 CellLabel->"During evaluation of In[18]:="]
}, Open  ]],

Cell["A typical  system. ", "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[{
 "This system has one source and eight components.  This system was entered  \
without the use of intermediate variables such as ",
 StyleBox["mySource", "MB"],
 ".  Note that the light source is at the origin of the system coordinates.   \
Components are moved relative to this point.  An outer ",
 StyleBox["Boundary", "MB"],
 " defines the termination boundary for the rays; this is one component of  \
the system.  An inner ",
 StyleBox["ClearBoundary", "MB"],
 " serves as a fiducial marker; this is a second component.  There is also a  \
",
 StyleBox["Screen", "MB"],
 " (S), a third component.  This screen does not affect the rays passing  \
through it.  The remaining five components are standard optical elements.   \
has assigned them default labels that you did not have to enter.  In  \
addition to the eight components of this system, there is one light source, a \
 ",
 StyleBox["WedgeOfRays", "MB"],
 ".  All told this system has nine  objects."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[{
 "The ordering of components within a system is important.  Generally  \
speaking, the system list must follow the anticipated light path for your  \
system.  In the system above the order is ",
 StyleBox["PlanoConvexLens", "MB"],
 ", ",
 StyleBox["WedgePrism", "MB"],
 ", ",
 StyleBox["Screen", "MB"],
 ", ",
 StyleBox["CylindricalMirror", "MB"],
 ", ",
 StyleBox["BeamSplitter", "MB"],
 ", ",
 StyleBox["BiConvexLens", "MB"],
 ", ",
 StyleBox["ClearBoundary", "MB"],
 ", ",
 StyleBox["Boundary", "MB"],
 ".  In subsequent chapters you will learn more about how  orders tracing \
through systems."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["PlotType", "MB"],
 " is an option for  graphics output.   graphics are ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " graphics, and, therefore, incorporate all the options of ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " graphics.  Options like ",
 StyleBox["Frame", "MB"],
 " and ",
 StyleBox["FrameTicks", "MB"],
 " are standard ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " options for two-dimensional graphics."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Complex Components", "Subsubsection",
 CellTags->{
  "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
   "PR1.3.3", "PR1.3.3.2", "PR1.3"}],

Cell[TextData[{
 "Components can be complex.  This is an example of a ",
 StyleBox["CompoundLens", "MB"],
 " object.  It too is a ",
 StyleBox["Component", "MB"],
 ", but a complicated one.  Look in the Help Browser for information about  \
how to define a ",
 StyleBox["CompoundLens", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: .5 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

-1.04083e-17 0.01 0.25 0.01 [

[ 0 0 0 0 ]

[ 1 .5 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 0 m

1 0 L

1 .5 L

0 .5 L

closepath

clip

newpath

.5 g

.16551 -0.00059 m

.17543 -0.00059 L

.16742 .04117 L

.14452 .04117 L

.16551 -0.00059 L

F

.14452 .04117 m

.16742 .04117 L

.16091 .08294 L

.12802 .08294 L

.14452 .04117 L

F

.12802 .08294 m

.16091 .08294 L

.15587 .1247 L

.11557 .1247 L

.12802 .08294 L

F

.11557 .1247 m

.15587 .1247 L

.15228 .16647 L

.10686 .16647 L

.11557 .1247 L

F

.10686 .16647 m

.15228 .16647 L

.15013 .20823 L

.10171 .20823 L

.10686 .16647 L

F

.10171 .20823 m

.15013 .20823 L

.14942 .25 L

.1 .25 L

.10171 .20823 L

F

.1 .25 m

.14942 .25 L

.15013 .29177 L

.10171 .29177 L

.1 .25 L

F

.10171 .29177 m

.15013 .29177 L

.15228 .33353 L

.10686 .33353 L

.10171 .29177 L

F

.10686 .33353 m

.15228 .33353 L

.15587 .3753 L

.11557 .3753 L

.10686 .33353 L

F

.11557 .3753 m

.15587 .3753 L

.16091 .41706 L

.12802 .41706 L

.11557 .3753 L

F

.12802 .41706 m

.16091 .41706 L

.16742 .45883 L

.14452 .45883 L

.12802 .41706 L

F

.14452 .45883 m

.16742 .45883 L

.17543 .50059 L

.16551 .50059 L

.14452 .45883 L

F

0 g

.5 Mabswid

[ ] 0 setdash

.16522 0 m

.14452 .04117 L

.12802 .08294 L

.11557 .1247 L

.10686 .16647 L

.10171 .20823 L

.1 .25 L

.10171 .29177 L

.10686 .33353 L

.11557 .3753 L

.12802 .41706 L

.14452 .45883 L

s

.14452 .45883 m

.16522 .5 L

s

.17532 .5 m

.16742 .45883 L

.16091 .41706 L

.15587 .3753 L

.15228 .33353 L

.15013 .29177 L

.14942 .25 L

.15013 .20823 L

.15228 .16647 L

.15587 .1247 L

.16091 .08294 L

.16742 .04117 L

s

.16742 .04117 m

.17532 0 L

s

.5 g

.16551 .25 m

.17543 .25 L

.16742 .25 L

.14452 .25 L

.16551 .25 L

F

.14452 .25 m

.16742 .25 L

.16091 .25 L

.12802 .25 L

.14452 .25 L

F

.12802 .25 m

.16091 .25 L

.15587 .25 L

.11557 .25 L

.12802 .25 L

F

.11557 .25 m

.15587 .25 L

.15228 .25 L

.10686 .25 L

.11557 .25 L

F

.10686 .25 m

.15228 .25 L

.15013 .25 L

.10171 .25 L

.10686 .25 L

F

.10171 .25 m

.15013 .25 L

.14942 .25 L

.1 .25 L

.10171 .25 L

F

.1 .25 m

.14942 .25 L

.15013 .25 L

.10171 .25 L

.1 .25 L

F

.10171 .25 m

.15013 .25 L

.15228 .25 L

.10686 .25 L

.10171 .25 L

F

.10686 .25 m

.15228 .25 L

.15587 .25 L

.11557 .25 L

.10686 .25 L

F

.11557 .25 m

.15587 .25 L

.16091 .25 L

.12802 .25 L

.11557 .25 L

F

.12802 .25 m

.16091 .25 L

.16742 .25 L

.14452 .25 L

.12802 .25 L

F

.14452 .25 m

.16742 .25 L

.17543 .25 L

.16551 .25 L

.14452 .25 L

F

0 g

.16551 .25 m

.14452 .25 L

.12802 .25 L

.11557 .25 L

.10686 .25 L

.10171 .25 L

.1 .25 L

.10171 .25 L

.10686 .25 L

.11557 .25 L

.12802 .25 L

.14452 .25 L

.16551 .25 L

.17543 .25 L

.16742 .25 L

.16091 .25 L

.15587 .25 L

.15228 .25 L

.15013 .25 L

.14942 .25 L

.15013 .25 L

.15228 .25 L

.15587 .25 L

.16091 .25 L

.16742 .25 L

.17543 .25 L

.16551 .25 L

s

.5 g

.25874 .04833 m

.34527 .12007 L

.32321 .14172 L

.21993 .08194 L

.25874 .04833 L

F

.21993 .08194 m

.32321 .14172 L

.30765 .16338 L

.19354 .11555 L

.21993 .08194 L

F

.19354 .11555 m

.30765 .16338 L

.29664 .18503 L

.17515 .14917 L

.19354 .11555 L

F

.17515 .14917 m

.29664 .18503 L

.28923 .20669 L

.16289 .18278 L

.17515 .14917 L

F

.16289 .18278 m

.28923 .20669 L

.28494 .22834 L

.15583 .21639 L

.16289 .18278 L

F

.15583 .21639 m

.28494 .22834 L

.28353 .25 L

.15353 .25 L

.15583 .21639 L

F

.15353 .25 m

.28353 .25 L

.28494 .27166 L

.15583 .28361 L

.15353 .25 L

F

.15583 .28361 m

.28494 .27166 L

.28923 .29331 L

.16289 .31722 L

.15583 .28361 L

F

.16289 .31722 m

.28923 .29331 L

.29664 .31497 L

.17515 .35084 L

.16289 .31722 L

F

.17515 .35084 m

.29664 .31497 L

.30765 .33662 L

.19354 .38445 L

.17515 .35084 L

F

.19354 .38445 m

.30765 .33662 L

.32321 .35828 L

.21993 .41806 L

.19354 .38445 L

F

.21993 .41806 m

.32321 .35828 L

.34527 .37993 L

.25874 .45167 L

.21993 .41806 L

F

0 g

.25874 .04833 m

.21993 .08194 L

.19354 .11555 L

.17515 .14917 L

.16289 .18278 L

.15583 .21639 L

.15353 .25 L

.15583 .28361 L

.16289 .31722 L

.17515 .35083 L

.19354 .38445 L

.21993 .41806 L

.25874 .45167 L

.34527 .37993 L

.32321 .35828 L

.30765 .33662 L

.29664 .31497 L

.28923 .29331 L

.28494 .27166 L

.28353 .25 L

.28494 .22834 L

.28923 .20669 L

.29664 .18503 L

.30765 .16338 L

.32321 .14172 L

.34527 .12007 L

.25874 .04833 L

s

.5 g

.25874 .25 m

.34527 .25 L

.32321 .25 L

.21993 .25 L

.25874 .25 L

F

.21993 .25 m

.32321 .25 L

.30765 .25 L

.19354 .25 L

.21993 .25 L

F

.19354 .25 m

.30765 .25 L

.29664 .25 L

.17515 .25 L

.19354 .25 L

F

.17515 .25 m

.29664 .25 L

.28923 .25 L

.16289 .25 L

.17515 .25 L

F

.16289 .25 m

.28923 .25 L

.28494 .25 L

.15583 .25 L

.16289 .25 L

F

.15583 .25 m

.28494 .25 L

.28353 .25 L

.15353 .25 L

.15583 .25 L

F

.15353 .25 m

.28353 .25 L

.28494 .25 L

.15583 .25 L

.15353 .25 L

F

.15583 .25 m

.28494 .25 L

.28923 .25 L

.16289 .25 L

.15583 .25 L

F

.16289 .25 m

.28923 .25 L

.29664 .25 L

.17515 .25 L

.16289 .25 L

F

.17515 .25 m

.29664 .25 L

.30765 .25 L

.19354 .25 L

.17515 .25 L

F

.19354 .25 m

.30765 .25 L

.32321 .25 L

.21993 .25 L

.19354 .25 L

F

.21993 .25 m

.32321 .25 L

.34527 .25 L

.25874 .25 L

.21993 .25 L

F

0 g

.25874 .25 m

.21993 .25 L

.19354 .25 L

.17515 .25 L

.16289 .25 L

.15583 .25 L

.15353 .25 L

.15583 .25 L

.16289 .25 L

.17515 .25 L

.19354 .25 L

.21993 .25 L

.25874 .25 L

.34527 .25 L

.32321 .25 L

.30765 .25 L

.29664 .25 L

.28923 .25 L

.28494 .25 L

.28353 .25 L

.28494 .25 L

.28923 .25 L

.29664 .25 L

.30765 .25 L

.32321 .25 L

.34527 .25 L

.25874 .25 L

s

.5 g

.34528 .12007 m

.415 .14258 L

.39762 .16048 L

.34528 .14172 L

.34528 .12007 L

F

.34528 .14172 m

.39762 .16048 L

.38522 .17838 L

.34528 .16338 L

.34528 .14172 L

F

.34528 .16338 m

.38522 .17838 L

.37638 .19629 L

.34528 .18503 L

.34528 .16338 L

F

.34528 .18503 m

.37638 .19629 L

.37042 .21419 L

.34528 .20669 L

.34528 .18503 L

F

.34528 .20669 m

.37042 .21419 L

.36696 .2321 L

.34528 .22834 L

.34528 .20669 L

F

.34528 .22834 m

.36696 .2321 L

.36583 .25 L

.34528 .25 L

.34528 .22834 L

F

.34528 .25 m

.36583 .25 L

.36696 .2679 L

.34528 .27166 L

.34528 .25 L

F

.34528 .27166 m

.36696 .2679 L

.37042 .28581 L

.34528 .29331 L

.34528 .27166 L

F

.34528 .29331 m

.37042 .28581 L

.37638 .30371 L

.34528 .31497 L

.34528 .29331 L

F

.34528 .31497 m

.37638 .30371 L

.38522 .32162 L

.34528 .33662 L

.34528 .31497 L

F

.34528 .33662 m

.38522 .32162 L

.39762 .33952 L

.34528 .35828 L

.34528 .33662 L

F

.34528 .35828 m

.39762 .33952 L

.415 .35742 L

.34528 .37993 L

.34528 .35828 L

F

0 g

.34528 .12007 m

.34528 .14172 L

.34528 .16338 L

.34528 .18503 L

.34528 .20669 L

.34528 .22834 L

.34528 .25 L

.34528 .27166 L

.34528 .29331 L

.34528 .31497 L

.34528 .33662 L

.34528 .35828 L

.34528 .37993 L

.415 .35742 L

.39762 .33952 L

.38522 .32162 L

.37638 .30371 L

.37042 .28581 L

.36696 .2679 L

.36583 .25 L

.36696 .2321 L

.37042 .21419 L

.37638 .19629 L

.38522 .17838 L

.39762 .16048 L

.415 .14258 L

.34528 .12007 L

s

.5 g

.34528 .25 m

.415 .25 L

.39762 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.39762 .25 L

.38522 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.38522 .25 L

.37638 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.37638 .25 L

.37042 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.37042 .25 L


.36696 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.36696 .25 L

.36583 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.36583 .25 L

.36696 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.36696 .25 L

.37042 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.37042 .25 L

.37638 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.37638 .25 L

.38522 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.38522 .25 L

.39762 .25 L

.34528 .25 L

.34528 .25 L

F

.34528 .25 m

.39762 .25 L

.415 .25 L

.34528 .25 L

.34528 .25 L

F

0 g

.34528 .25 m

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.34528 .25 L

.415 .25 L

.39762 .25 L

.38522 .25 L

.37638 .25 L

.37042 .25 L

.36696 .25 L

.36583 .25 L

.36696 .25 L

.37042 .25 L

.37638 .25 L

.38522 .25 L

.39762 .25 L

.415 .25 L

.34528 .25 L

s

.5 g

.415 .14258 m

.41935 .14258 L

.41935 .16048 L

.39762 .16048 L

.415 .14258 L

F

.39762 .16048 m

.41935 .16048 L

.41935 .17838 L

.38522 .17838 L

.39762 .16048 L

F

.38522 .17838 m

.41935 .17838 L

.41935 .19629 L

.37638 .19629 L

.38522 .17838 L

F

.37638 .19629 m

.41935 .19629 L

.41935 .21419 L

.37042 .21419 L

.37638 .19629 L

F

.37042 .21419 m

.41935 .21419 L

.41935 .2321 L

.36696 .2321 L

.37042 .21419 L

F

.36696 .2321 m

.41935 .2321 L

.41935 .25 L

.36583 .25 L

.36696 .2321 L

F

.36583 .25 m

.41935 .25 L

.41935 .2679 L

.36696 .2679 L

.36583 .25 L

F

.36696 .2679 m

.41935 .2679 L

.41935 .28581 L

.37042 .28581 L

.36696 .2679 L

F

.37042 .28581 m

.41935 .28581 L

.41935 .30371 L

.37638 .30371 L

.37042 .28581 L

F

.37638 .30371 m

.41935 .30371 L

.41935 .32162 L

.38522 .32162 L

.37638 .30371 L

F

.38522 .32162 m

.41935 .32162 L

.41935 .33952 L

.39762 .33952 L

.38522 .32162 L

F

.39762 .33952 m

.41935 .33952 L

.41935 .35742 L

.415 .35742 L

.39762 .33952 L

F

0 g

.415 .14258 m

.39762 .16048 L

.38522 .17838 L

.37638 .19629 L

.37042 .21419 L

.36696 .2321 L

.36583 .25 L

.36696 .2679 L

.37042 .28581 L

.37638 .30371 L

.38522 .32162 L

.39762 .33952 L

.415 .35742 L

.41935 .35742 L

.41935 .33952 L

.41935 .32162 L

.41935 .30371 L

.41935 .28581 L

.41935 .2679 L

.41935 .25 L

.41935 .2321 L

.41935 .21419 L

.41935 .19629 L

.41935 .17838 L

.41935 .16048 L

.41935 .14258 L

.415 .14258 L

s

.5 g

.415 .25 m

.41935 .25 L

.41935 .25 L

.39762 .25 L

.415 .25 L

F

.39762 .25 m

.41935 .25 L

.41935 .25 L

.38522 .25 L

.39762 .25 L

F

.38522 .25 m

.41935 .25 L

.41935 .25 L

.37638 .25 L

.38522 .25 L

F

.37638 .25 m

.41935 .25 L

.41935 .25 L

.37042 .25 L

.37638 .25 L

F

.37042 .25 m

.41935 .25 L

.41935 .25 L

.36696 .25 L

.37042 .25 L

F

.36696 .25 m

.41935 .25 L

.41935 .25 L

.36583 .25 L

.36696 .25 L

F

.36583 .25 m

.41935 .25 L

.41935 .25 L

.36696 .25 L

.36583 .25 L

F

.36696 .25 m

.41935 .25 L

.41935 .25 L

.37042 .25 L

.36696 .25 L

F

.37042 .25 m

.41935 .25 L

.41935 .25 L

.37638 .25 L

.37042 .25 L

F

.37638 .25 m

.41935 .25 L

.41935 .25 L

.38522 .25 L

.37638 .25 L

F

.38522 .25 m

.41935 .25 L

.41935 .25 L

.39762 .25 L

.38522 .25 L

F

.39762 .25 m

.41935 .25 L

.41935 .25 L

.415 .25 L

.39762 .25 L

F

0 g

.415 .25 m

.39762 .25 L

.38522 .25 L

.37638 .25 L

.37042 .25 L

.36696 .25 L

.36583 .25 L

.36696 .25 L

.37042 .25 L

.37638 .25 L

.38522 .25 L

.39762 .25 L

.415 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.41935 .25 L

.415 .25 L

s

.5 g

.47288 .13974 m

.49573 .13974 L

.50418 .15812 L

.47288 .15812 L

.47288 .13974 L

F

.47288 .15812 m

.50418 .15812 L

.51087 .17649 L

.47288 .17649 L

.47288 .15812 L

F

.47288 .17649 m

.51087 .17649 L

.51594 .19487 L

.47288 .19487 L

.47288 .17649 L

F

.47288 .19487 m

.51594 .19487 L

.51949 .21325 L

.47288 .21325 L

.47288 .19487 L

F

.47288 .21325 m

.51949 .21325 L

.5216 .23162 L

.47288 .23162 L

.47288 .21325 L

F

.47288 .23162 m

.5216 .23162 L

.5223 .25 L

.47288 .25 L

.47288 .23162 L

F

.47288 .25 m

.5223 .25 L

.5216 .26838 L

.47288 .26838 L

.47288 .25 L

F

.47288 .26838 m

.5216 .26838 L

.51949 .28675 L

.47288 .28675 L

.47288 .26838 L

F

.47288 .28675 m

.51949 .28675 L

.51594 .30513 L

.47288 .30513 L

.47288 .28675 L

F

.47288 .30513 m

.51594 .30513 L

.51087 .32351 L

.47288 .32351 L

.47288 .30513 L

F

.47288 .32351 m

.51087 .32351 L

.50418 .34188 L

.47288 .34188 L

.47288 .32351 L

F

.47288 .34188 m

.50418 .34188 L

.49573 .36026 L

.47288 .36026 L

.47288 .34188 L

F

0 g

.47288 .13974 m

.47288 .15812 L

.47288 .17649 L

.47288 .19487 L

.47288 .21325 L

.47288 .23162 L

.47288 .25 L

.47288 .26838 L

.47288 .28675 L

.47288 .30513 L

.47288 .32351 L

.47288 .34188 L

.47288 .36026 L

.49573 .36026 L

.50418 .34188 L

.51087 .32351 L

.51594 .30513 L

.51949 .28675 L

.5216 .26838 L

.5223 .25 L

.5216 .23162 L

.51949 .21325 L

.51594 .19487 L

.51087 .17649 L

.50418 .15812 L

.49573 .13974 L

.47288 .13974 L

s

.5 g

.47288 .25 m

.49573 .25 L

.50418 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.50418 .25 L

.51087 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51087 .25 L

.51594 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51594 .25 L

.51949 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51949 .25 L

.5216 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.5216 .25 L

.5223 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.5223 .25 L

.5216 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.5216 .25 L

.51949 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51949 .25 L

.51594 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51594 .25 L

.51087 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.51087 .25 L

.50418 .25 L

.47288 .25 L

.47288 .25 L

F

.47288 .25 m

.50418 .25 L

.49573 .25 L

.47288 .25 L

.47288 .25 L

F

0 g

.47288 .25 m

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.47288 .25 L

.49573 .25 L

.50418 .25 L

.51087 .25 L

.51594 .25 L

.51949 .25 L

.5216 .25 L

.5223 .25 L

.5216 .25 L

.51949 .25 L

.51594 .25 L

.51087 .25 L

.50418 .25 L

.49573 .25 L

.47288 .25 L

s

.5 g

.49573 .13974 m

.54696 .11969 L

.54696 .14141 L

.50418 .15812 L

.49573 .13974 L

F

.50418 .15812 m

.54696 .14141 L

.54696 .16313 L

.51087 .17649 L

.50418 .15812 L

F

.51087 .17649 m

.54696 .16313 L

.54696 .18485 L

.51594 .19487 L

.51087 .17649 L

F

.51594 .19487 m

.54696 .18485 L

.54696 .20656 L

.51949 .21325 L

.51594 .19487 L

F

.51949 .21325 m

.54696 .20656 L

.54696 .22828 L

.5216 .23162 L

.51949 .21325 L

F

.5216 .23162 m

.54696 .22828 L

.54696 .25 L

.5223 .25 L

.5216 .23162 L

F

.5223 .25 m

.54696 .25 L

.54696 .27172 L

.5216 .26838 L

.5223 .25 L

F

.5216 .26838 m

.54696 .27172 L

.54696 .29344 L

.51949 .28675 L

.5216 .26838 L

F

.51949 .28675 m

.54696 .29344 L

.54696 .31515 L

.51594 .30513 L

.51949 .28675 L

F

.51594 .30513 m

.54696 .31515 L

.54696 .33687 L

.51087 .32351 L

.51594 .30513 L

F

.51087 .32351 m

.54696 .33687 L

.54696 .35859 L

.50418 .34188 L

.51087 .32351 L

F

.50418 .34188 m

.54696 .35859 L

.54696 .38031 L

.49573 .36026 L

.50418 .34188 L

F

0 g

.49573 .13974 m

.50418 .15812 L

.51087 .17649 L

.51594 .19487 L

.51949 .21325 L

.5216 .23162 L

.5223 .25 L

.5216 .26838 L

.51949 .28675 L

.51594 .30513 L

.51087 .32351 L

.50418 .34188 L

.49573 .36026 L

.54696 .38031 L

.54696 .35859 L

.54696 .33687 L

.54696 .31515 L

.54696 .29344 L

.54696 .27172 L

.54696 .25 L

.54696 .22828 L

.54696 .20656 L

.54696 .18485 L

.54696 .16313 L

.54696 .14141 L

.54696 .11969 L

.49573 .13974 L

s

.5 g

.49573 .25 m

.54696 .25 L

.54696 .25 L

.50418 .25 L

.49573 .25 L

F

.50418 .25 m

.54696 .25 L

.54696 .25 L

.51087 .25 L

.50418 .25 L

F

.51087 .25 m

.54696 .25 L

.54696 .25 L

.51594 .25 L

.51087 .25 L

F

.51594 .25 m

.54696 .25 L

.54696 .25 L

.51949 .25 L

.51594 .25 L

F

.51949 .25 m

.54696 .25 L

.54696 .25 L

.5216 .25 L

.51949 .25 L

F

.5216 .25 m

.54696 .25 L

.54696 .25 L

.5223 .25 L

.5216 .25 L

F

.5223 .25 m

.54696 .25 L

.54696 .25 L

.5216 .25 L

.5223 .25 L

F

.5216 .25 m

.54696 .25 L

.54696 .25 L

.51949 .25 L

.5216 .25 L

F

.51949 .25 m

.54696 .25 L

.54696 .25 L

.51594 .25 L

.51949 .25 L

F

.51594 .25 m

.54696 .25 L

.54696 .25 L

.51087 .25 L

.51594 .25 L

F

.51087 .25 m

.54696 .25 L

.54696 .25 L

.50418 .25 L

.51087 .25 L

F

.50418 .25 m

.54696 .25 L

.54696 .25 L

.49573 .25 L

.50418 .25 L

F

0 g

.49573 .25 m

.50418 .25 L

.51087 .25 L

.51594 .25 L

.51949 .25 L

.5216 .25 L

.5223 .25 L

.5216 .25 L

.51949 .25 L

.51594 .25 L

.51087 .25 L

.50418 .25 L

.49573 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.54696 .25 L

.49573 .25 L

s

.5 g

.55512 .11468 m

.6078 .06957 L

.64048 .09965 L

.57512 .13723 L

.55512 .11468 L

F

.57512 .13723 m

.64048 .09965 L

.66311 .12972 L

.58969 .15979 L

.57512 .13723 L

F

.58969 .15979 m

.66311 .12972 L

.67901 .15979 L

.60018 .18234 L

.58969 .15979 L

F

.60018 .18234 m

.67901 .15979 L

.68966 .18986 L

.60731 .20489 L

.60018 .18234 L

F

.60731 .20489 m

.68966 .18986 L

.6958 .21993 L

.61145 .22745 L

.60731 .20489 L

F

.61145 .22745 m

.6958 .21993 L

.69781 .25 L

.61281 .25 L

.61145 .22745 L

F

.61281 .25 m

.69781 .25 L

.6958 .28007 L

.61145 .27255 L

.61281 .25 L

F

.61145 .27255 m

.6958 .28007 L

.68966 .31014 L

.60731 .29511 L

.61145 .27255 L

F

.60731 .29511 m

.68966 .31014 L

.67901 .34021 L

.60018 .31766 L

.60731 .29511 L

F

.60018 .31766 m

.67901 .34021 L

.66311 .37028 L

.58969 .34021 L

.60018 .31766 L

F

.58969 .34021 m

.66311 .37028 L

.64048 .40035 L

.57512 .36277 L

.58969 .34021 L

F

.57512 .36277 m

.64048 .40036 L

.6078 .43043 L

.55512 .38532 L

.57512 .36277 L

F

0 g

.55512 .11468 m

.57512 .13723 L

.58969 .15979 L

.60018 .18234 L

.60731 .20489 L

.61145 .22745 L

.61281 .25 L

.61145 .27255 L

.60731 .29511 L

.60018 .31766 L

.58969 .34021 L

.57512 .36277 L

.55512 .38532 L

.6078 .43043 L

.64048 .40036 L

.66311 .37028 L

.67901 .34021 L

.68966 .31014 L

.6958 .28007 L

.69781 .25 L

.6958 .21993 L

.68966 .18986 L

.67901 .15979 L

.66311 .12972 L

.64048 .09965 L

.6078 .06957 L

.55512 .11468 L

s

.5 g

.55512 .25 m

.6078 .25 L

.64048 .25 L

.57512 .25 L

.55512 .25 L

F

.57512 .25 m

.64048 .25 L

.66311 .25 L

.58969 .25 L

.57512 .25 L

F

.58969 .25 m

.66311 .25 L

.67901 .25 L

.60018 .25 L

.58969 .25 L

F

.60018 .25 m

.67901 .25 L

.68966 .25 L

.60731 .25 L

.60018 .25 L

F

.60731 .25 m

.68966 .25 L

.6958 .25 L

.61145 .25 L

.60731 .25 L

F

.61145 .25 m

.6958 .25 L

.69781 .25 L

.61281 .25 L

.61145 .25 L

F

.61281 .25 m

.69781 .25 L

.6958 .25 L

.61145 .25 L

.61281 .25 L

F

.61145 .25 m

.6958 .25 L

.68966 .25 L

.60731 .25 L

.61145 .25 L

F

.60731 .25 m

.68966 .25 L

.67901 .25 L

.60018 .25 L

.60731 .25 L

F

.60018 .25 m

.67901 .25 L

.66311 .25 L

.58969 .25 L

.60018 .25 L

F

.58969 .25 m

.66311 .25 L

.64048 .25 L

.57512 .25 L

.58969 .25 L

F

.57512 .25 m

.64048 .25 L

.6078 .25 L

.55512 .25 L

.57512 .25 L

F

0 g

.55512 .25 m

.57512 .25 L

.58969 .25 L

.60018 .25 L

.60731 .25 L

.61145 .25 L

.61281 .25 L

.61145 .25 L

.60731 .25 L

.60018 .25 L

.58969 .25 L

.57512 .25 L

.55512 .25 L

.6078 .25 L

.64048 .25 L

.66311 .25 L

.67901 .25 L

.68966 .25 L

.6958 .25 L

.69781 .25 L

.6958 .25 L

.68966 .25 L

.67901 .25 L

.66311 .25 L

.64048 .25 L

.6078 .25 L

.55512 .25 L

s

.5 g

.70513 .01946 m

.71857 .01946 L

.73342 .05788 L

.70731 .05788 L

.70513 .01946 L

F

.70731 .05788 m

.73342 .05788 L

.74528 .0963 L

.70908 .0963 L

.70731 .05788 L

F

.70908 .0963 m

.74528 .0963 L

.75433 .13473 L

.71047 .13473 L

.70908 .0963 L

F

.71047 .13473 m

.75433 .13473 L

.76072 .17315 L

.71146 .17315 L

.71047 .13473 L

F

.71146 .17315 m

.76072 .17315 L

.76451 .21158 L

.71205 .21158 L

.71146 .17315 L

F

.71205 .21158 m

.76451 .21158 L

.76577 .25 L

.71225 .25 L

.71205 .21158 L

F

.71225 .25 m

.76577 .25 L

.76451 .28842 L

.71205 .28842 L

.71225 .25 L

F

.71205 .28842 m

.76451 .28842 L

.76072 .32685 L

.71146 .32685 L

.71205 .28842 L

F

.71146 .32685 m

.76072 .32685 L

.75433 .36527 L

.71047 .36527 L

.71146 .32685 L

F

.71047 .36527 m

.75433 .36527 L

.74528 .4037 L

.70908 .4037 L

.71047 .36527 L

F

.70908 .4037 m

.74528 .4037 L

.73342 .44212 L

.70731 .44212 L

.70908 .4037 L

F

.70731 .44212 m

.73342 .44212 L

.71857 .48054 L

.70513 .48054 L

.70731 .44212 L

F

0 g

.70513 .01946 m

.70731 .05788 L

.70908 .0963 L

.71047 .13473 L

.71146 .17315 L

.71205 .21158 L

.71225 .25 L

.71205 .28842 L

.71146 .32685 L

.71047 .36527 L

.70908 .4037 L

.70731 .44212 L

.70513 .48054 L

.71857 .48054 L

.73342 .44212 L

.74528 .4037 L

.75433 .36527 L

.76072 .32685 L

.76451 .28842 L

.76577 .25 L

.76451 .21158 L

.76072 .17315 L

.75433 .13473 L

.74528 .0963 L

.73342 .05788 L

.71857 .01946 L

.70513 .01946 L

s

.5 g

.70513 .25 m

.71857 .25 L

.73342 .25 L

.70731 .25 L

.70513 .25 L

F

.70731 .25 m

.73342 .25 L

.74528 .25 L

.70908 .25 L

.70731 .25 L

F

.70908 .25 m

.74528 .25 L

.75433 .25 L

.71047 .25 L

.70908 .25 L

F

.71047 .25 m

.75433 .25 L

.76072 .25 L

.71146 .25 L

.71047 .25 L

F

.71146 .25 m

.76072 .25 L

.76451 .25 L

.71205 .25 L

.71146 .25 L

F

.71205 .25 m

.76451 .25 L

.76577 .25 L

.71225 .25 L

.71205 .25 L

F

.71225 .25 m

.76577 .25 L

.76451 .25 L

.71205 .25 L

.71225 .25 L

F

.71205 .25 m

.76451 .25 L

.76072 .25 L

.71146 .25 L

.71205 .25 L

F

.71146 .25 m

.76072 .25 L

.75433 .25 L

.71047 .25 L

.71146 .25 L

F

.71047 .25 m

.75433 .25 L

.74528 .25 L

.70908 .25 L

.71047 .25 L

F

.70908 .25 m

.74528 .25 L

.73342 .25 L

.70731 .25 L

.70908 .25 L

F

.70731 .25 m

.73342 .25 L

.71857 .25 L

.70513 .25 L

.70731 .25 L

F

0 g

.70513 .25 m

.70731 .25 L

.70908 .25 L

.71047 .25 L

.71146 .25 L

.71205 .25 L

.71225 .25 L

.71205 .25 L

.71146 .25 L

.71047 .25 L

.70908 .25 L

.70731 .25 L

.70513 .25 L

.71857 .25 L

.73342 .25 L

.74528 .25 L

.75433 .25 L

.76072 .25 L

.76451 .25 L

.76577 .25 L

.76451 .25 L

.76072 .25 L

.75433 .25 L

.74528 .25 L

.73342 .25 L

.71857 .25 L

.70513 .25 L

s

.5 g

.44612 .34305 m

.44612 .34693 L

.44612 .3461 L

.44612 .34225 L

.44612 .34305 L

F

.44612 .34225 m

.44612 .3461 L

.44612 .34362 L

.44612 .33988 L

.44612 .34225 L

F

.44612 .33988 m

.44612 .34362 L

.44612 .33955 L

.44612 .33597 L

.44612 .33988 L

F

.44612 .33597 m

.44612 .33955 L

.44612 .33394 L

.44612 .33058 L

.44612 .33597 L

F

.44612 .33058 m

.44612 .33394 L

.44612 .3269 L

.44612 .32382 L

.44612 .33058 L

F

.44612 .32382 m

.44612 .3269 L

.44612 .31854 L

.44612 .3158 L

.44612 .32382 L

F

.44612 .3158 m

.44612 .31854 L

.44612 .309 L

.44612 .30664 L

.44612 .3158 L

F

.44612 .30664 m

.44612 .309 L

.44612 .29846 L

.44612 .29652 L

.44612 .30664 L

F

.44612 .29652 m

.44612 .29846 L

.44612 .28709 L

.44612 .28561 L

.44612 .29652 L

F

.44612 .28561 m

.44612 .28709 L

.44612 .27509 L

.44612 .27408 L

.44612 .28561 L

F

.44612 .27408 m

.44612 .27509 L

.44612 .26265 L

.44612 .26215 L

.44612 .27408 L

F

.44612 .26215 m

.44612 .26265 L

.44612 .25 L

.44612 .25 L

.44612 .26215 L

F

.44612 .25 m

.44612 .25 L

.44612 .23735 L

.44612 .23785 L

.44612 .25 L

F

.44612 .23785 m

.44612 .23735 L

.44612 .22491 L

.44612 .22592 L

.44612 .23785 L

F

.44612 .22592 m

.44612 .22491 L

.44612 .21291 L

.44612 .21439 L

.44612 .22592 L

F

.44612 .21439 m

.44612 .21291 L

.44612 .20154 L

.44612 .20348 L

.44612 .21439 L

F

.44612 .20348 m

.44612 .20154 L

.44612 .191 L

.44612 .19336 L

.44612 .20348 L

F

.44612 .19336 m

.44612 .191 L

.44612 .18146 L

.44612 .1842 L

.44612 .19336 L

F

.44612 .1842 m

.44612 .18146 L

.44612 .1731 L

.44612 .17618 L

.44612 .1842 L

F

.44612 .17618 m

.44612 .1731 L

.44612 .16606 L

.44612 .16942 L

.44612 .17618 L

F

.44612 .16942 m

.44612 .16606 L

.44612 .16045 L

.44612 .16403 L

.44612 .16942 L

F

.44612 .16403 m

.44612 .16045 L

.44612 .15638 L

.44612 .16012 L

.44612 .16403 L

F

.44612 .16012 m

.44612 .15638 L

.44612 .1539 L

.44612 .15775 L

.44612 .16012 L

F

.44612 .15775 m

.44612 .1539 L

.44612 .15307 L

.44612 .15695 L

.44612 .15775 L

F

.44612 .15695 m

.44612 .15307 L

.44612 .1539 L

.44612 .15775 L

.44612 .15695 L

F

.44612 .15775 m

.44612 .1539 L

.44612 .15638 L

.44612 .16012 L

.44612 .15775 L

F

.44612 .16012 m

.44612 .15638 L

.44612 .16045 L

.44612 .16403 L

.44612 .16012 L

F

.44612 .16403 m

.44612 .16045 L

.44612 .16606 L

.44612 .16942 L

.44612 .16403 L

F

.44612 .16942 m

.44612 .16606 L

.44612 .1731 L

.44612 .17618 L

.44612 .16942 L

F

.44612 .17618 m

.44612 .1731 L

.44612 .18146 L

.44612 .1842 L

.44612 .17618 L

F

.44612 .1842 m

.44612 .18146 L

.44612 .191 L

.44612 .19336 L

.44612 .1842 L

F

.44612 .19336 m

.44612 .191 L

.44612 .20154 L

.44612 .20348 L

.44612 .19336 L

F

.44612 .20348 m

.44612 .20154 L

.44612 .21291 L

.44612 .21439 L

.44612 .20348 L

F

.44612 .21439 m

.44612 .21291 L

.44612 .22491 L

.44612 .22592 L

.44612 .21439 L

F

.44612 .22592 m

.44612 .22491 L

.44612 .23735 L

.44612 .23785 L

.44612 .22592 L

F

.44612 .23785 m

.44612 .23735 L

.44612 .25 L

.44612 .25 L

.44612 .23785 L

F

.44612 .25 m

.44612 .25 L

.44612 .26265 L

.44612 .26215 L

.44612 .25 L

F

.44612 .26215 m

.44612 .26265 L

.44612 .27509 L

.44612 .27408 L

.44612 .26215 L

F

.44612 .27408 m

.44612 .27509 L

.44612 .28709 L

.44612 .28561 L

.44612 .27408 L

F

.44612 .28561 m

.44612 .28709 L

.44612 .29846 L

.44612 .29652 L

.44612 .28561 L

F

.44612 .29652 m

.44612 .29846 L

.44612 .309 L

.44612 .30664 L

.44612 .29652 L

F

.44612 .30664 m

.44612 .309 L

.44612 .31854 L

.44612 .3158 L

.44612 .30664 L

F

.44612 .3158 m

.44612 .31854 L

.44612 .3269 L

.44612 .32382 L

.44612 .3158 L

F

.44612 .32382 m

.44612 .3269 L

.44612 .33394 L

.44612 .33058 L

.44612 .32382 L

F

.44612 .33058 m

.44612 .33394 L

.44612 .33955 L

.44612 .33597 L

.44612 .33058 L

F

.44612 .33597 m

.44612 .33955 L

.44612 .34362 L

.44612 .33988 L

.44612 .33597 L

F

.44612 .33988 m

.44612 .34362 L

.44612 .3461 L

.44612 .34225 L

.44612 .33988 L

F

.44612 .34225 m

.44612 .3461 L

.44612 .34693 L

.44612 .34305 L

.44612 .34225 L

F

.44612 .34693 m

.44612 .3508 L

.44612 .34994 L

.44612 .3461 L

.44612 .34693 L

F

.44612 .3461 m

.44612 .34994 L

.44612 .34737 L

.44612 .34362 L

.44612 .3461 L

F

.44612 .34362 m

.44612 .34737 L

.44612 .34313 L

.44612 .33955 L

.44612 .34362 L

F

.44612 .33955 m

.44612 .34313 L

.44612 .3373 L

.44612 .33394 L

.44612 .33955 L

F

.44612 .33394 m

.44612 .3373 L

.44612 .32997 L

.44612 .3269 L

.44612 .33394 L

F

.44612 .3269 m

.44612 .32997 L

.44612 .32128 L

.44612 .31854 L

.44612 .3269 L

F

.44612 .31854 m

.44612 .32128 L

.44612 .31136 L

.44612 .309 L

.44612 .31854 L

F

.44612 .309 m

.44612 .31136 L

.44612 .3004 L

.44612 .29846 L

.44612 .309 L

F

.44612 .29846 m

.44612 .3004 L

.44612 .28858 L

.44612 .28709 L

.44612 .29846 L

F

.44612 .28709 m

.44612 .28858 L

.44612 .27609 L

.44612 .27509 L

.44612 .28709 L

F

.44612 .27509 m

.44612 .27609 L

.44612 .26316 L

.44612 .26265 L

.44612 .27509 L

F

.44612 .26265 m

.44612 .26316 L

.44612 .25 L

.44612 .25 L

.44612 .26265 L

F

.44612 .25 m

.44612 .25 L

.44612 .23684 L

.44612 .23735 L

.44612 .25 L

F

.44612 .23735 m

.44612 .23684 L

.44612 .22391 L

.44612 .22491 L

.44612 .23735 L

F

.44612 .22491 m

.44612 .22391 L

.44612 .21142 L

.44612 .21291 L

.44612 .22491 L

F

.44612 .21291 m

.44612 .21142 L

.44612 .1996 L

.44612 .20154 L

.44612 .21291 L

F

.44612 .20154 m

.44612 .1996 L

.44612 .18864 L

.44612 .191 L

.44612 .20154 L

F

.44612 .191 m

.44612 .18864 L

.44612 .17872 L

.44612 .18146 L

.44612 .191 L

F

.44612 .18146 m

.44612 .17872 L

.44612 .17003 L

.44612 .1731 L

.44612 .18146 L

F

.44612 .1731 m

.44612 .17003 L

.44612 .1627 L

.44612 .16606 L

.44612 .1731 L

F

.44612 .16606 m

.44612 .1627 L

.44612 .15687 L

.44612 .16045 L

.44612 .16606 L

F

.44612 .16045 m

.44612 .15687 L

.44612 .15263 L

.44612 .15638 L

.44612 .16045 L

F

.44612 .15638 m

.44612 .15263 L

.44612 .15006 L

.44612 .1539 L

.44612 .15638 L

F

.44612 .1539 m

.44612 .15006 L

.44612 .1492 L

.44612 .15307 L

.44612 .1539 L

F

.44612 .15307 m

.44612 .1492 L

.44612 .15006 L

.44612 .1539 L

.44612 .15307 L

F

.44612 .1539 m

.44612 .15006 L

.44612 .15263 L

.44612 .15638 L

.44612 .1539 L

F

.44612 .15638 m

.44612 .15263 L

.44612 .15687 L

.44612 .16045 L

.44612 .15638 L

F

.44612 .16045 m

.44612 .15687 L

.44612 .1627 L

.44612 .16606 L

.44612 .16045 L

F

.44612 .16606 m

.44612 .1627 L

.44612 .17003 L

.44612 .1731 L

.44612 .16606 L

F

.44612 .1731 m

.44612 .17003 L

.44612 .17872 L

.44612 .18146 L

.44612 .1731 L

F

.44612 .18146 m

.44612 .17872 L

.44612 .18864 L

.44612 .191 L

.44612 .18146 L

F

.44612 .191 m

.44612 .18864 L

.44612 .1996 L

.44612 .20154 L

.44612 .191 L

F

.44612 .20154 m

.44612 .1996 L

.44612 .21142 L

.44612 .21291 L

.44612 .20154 L

F

.44612 .21291 m

.44612 .21142 L

.44612 .22391 L

.44612 .22491 L

.44612 .21291 L

F

.44612 .22491 m

.44612 .22391 L

.44612 .23684 L

.44612 .23735 L

.44612 .22491 L

F

.44612 .23735 m

.44612 .23684 L

.44612 .25 L

.44612 .25 L

.44612 .23735 L

F

.44612 .25 m

.44612 .25 L

.44612 .26316 L

.44612 .26265 L

.44612 .25 L

F

.44612 .26265 m

.44612 .26316 L

.44612 .27609 L

.44612 .27509 L

.44612 .26265 L

F

.44612 .27509 m

.44612 .27609 L

.44612 .28858 L

.44612 .28709 L

.44612 .27509 L

F

.44612 .28709 m

.44612 .28858 L

.44612 .3004 L

.44612 .29846 L

.44612 .28709 L

F

.44612 .29846 m

.44612 .3004 L

.44612 .31136 L

.44612 .309 L

.44612 .29846 L

F

.44612 .309 m

.44612 .31136 L

.44612 .32128 L

.44612 .31854 L

.44612 .309 L

F

.44612 .31854 m

.44612 .32128 L

.44612 .32997 L

.44612 .3269 L

.44612 .31854 L

F

.44612 .3269 m

.44612 .32997 L

.44612 .3373 L

.44612 .33394 L

.44612 .3269 L

F

.44612 .33394 m

.44612 .3373 L

.44612 .34313 L

.44612 .33955 L

.44612 .33394 L

F

.44612 .33955 m

.44612 .34313 L

.44612 .34737 L

.44612 .34362 L

.44612 .33955 L

F

.44612 .34362 m

.44612 .34737 L

.44612 .34994 L

.44612 .3461 L

.44612 .34362 L

F

.44612 .3461 m

.44612 .34994 L

.44612 .3508 L

.44612 .34693 L

.44612 .3461 L

F

.44612 .3508 m

.44612 .35468 L

.44612 .35378 L

.44612 .34994 L

.44612 .3508 L

F

.44612 .34994 m

.44612 .35378 L

.44612 .35111 L

.44612 .34737 L

.44612 .34994 L

F

.44612 .34737 m

.44612 .35111 L

.44612 .34671 L

.44612 .34313 L

.44612 .34737 L

F

.44612 .34313 m

.44612 .34671 L

.44612 .34066 L

.44612 .3373 L

.44612 .34313 L

F

.44612 .3373 m

.44612 .34066 L

.44612 .33305 L

.44612 .32997 L

.44612 .3373 L

F

.44612 .32997 m

.44612 .33305 L

.44612 .32402 L

.44612 .32128 L

.44612 .32997 L

F

.44612 .32128 m

.44612 .32402 L

.44612 .31372 L

.44612 .31136 L

.44612 .32128 L

F

.44612 .31136 m

.44612 .31372 L

.44612 .30234 L

.44612 .3004 L

.44612 .31136 L

F

.44612 .3004 m

.44612 .30234 L

.44612 .29006 L

.44612 .28858 L

.44612 .3004 L

F

.44612 .28858 m

.44612 .29006 L

.44612 .27709 L

.44612 .27609 L

.44612 .28858 L

F

.44612 .27609 m

.44612 .27709 L

.44612 .26366 L

.44612 .26316 L

.44612 .27609 L

F

.44612 .26316 m

.44612 .26366 L

.44612 .25 L

.44612 .25 L

.44612 .26316 L

F

.44612 .25 m

.44612 .25 L

.44612 .23634 L

.44612 .23684 L

.44612 .25 L

F

.44612 .23684 m

.44612 .23634 L

.44612 .22291 L

.44612 .22391 L

.44612 .23684 L

F

.44612 .22391 m

.44612 .22291 L

.44612 .20994 L

.44612 .21142 L

.44612 .22391 L

F

.44612 .21142 m

.44612 .20994 L

.44612 .19766 L

.44612 .1996 L

.44612 .21142 L

F

.44612 .1996 m

.44612 .19766 L

.44612 .18628 L

.44612 .18864 L

.44612 .1996 L

F

.44612 .18864 m

.44612 .18628 L

.44612 .17598 L

.44612 .17872 L

.44612 .18864 L

F

.44612 .17872 m

.44612 .17598 L

.44612 .16695 L

.44612 .17003 L

.44612 .17872 L

F

.44612 .17003 m

.44612 .16695 L

.44612 .15934 L

.44612 .1627 L

.44612 .17003 L

F

.44612 .1627 m

.44612 .15934 L

.44612 .15329 L

.44612 .15687 L

.44612 .1627 L

F

.44612 .15687 m

.44612 .15329 L

.44612 .14889 L

.44612 .15263 L

.44612 .15687 L

F

.44612 .15263 m

.44612 .14889 L

.44612 .14622 L

.44612 .15006 L

.44612 .15263 L

F

.44612 .15006 m

.44612 .14622 L

.44612 .14532 L

.44612 .1492 L


.44612 .15006 L

F

.44612 .1492 m

.44612 .14532 L

.44612 .14622 L

.44612 .15006 L

.44612 .1492 L

F

.44612 .15006 m

.44612 .14622 L

.44612 .14889 L

.44612 .15263 L

.44612 .15006 L

F

.44612 .15263 m

.44612 .14889 L

.44612 .15329 L

.44612 .15687 L

.44612 .15263 L

F

.44612 .15687 m

.44612 .15329 L

.44612 .15934 L

.44612 .1627 L

.44612 .15687 L

F

.44612 .1627 m

.44612 .15934 L

.44612 .16695 L

.44612 .17003 L

.44612 .1627 L

F

.44612 .17003 m

.44612 .16695 L

.44612 .17598 L

.44612 .17872 L

.44612 .17003 L

F

.44612 .17872 m

.44612 .17598 L

.44612 .18628 L

.44612 .18864 L

.44612 .17872 L

F

.44612 .18864 m

.44612 .18628 L

.44612 .19766 L

.44612 .1996 L

.44612 .18864 L

F

.44612 .1996 m

.44612 .19766 L

.44612 .20994 L

.44612 .21142 L

.44612 .1996 L

F

.44612 .21142 m

.44612 .20994 L

.44612 .22291 L

.44612 .22391 L

.44612 .21142 L

F

.44612 .22391 m

.44612 .22291 L

.44612 .23634 L

.44612 .23684 L

.44612 .22391 L

F

.44612 .23684 m

.44612 .23634 L

.44612 .25 L

.44612 .25 L

.44612 .23684 L

F

.44612 .25 m

.44612 .25 L

.44612 .26366 L

.44612 .26316 L

.44612 .25 L

F

.44612 .26316 m

.44612 .26366 L

.44612 .27709 L

.44612 .27609 L

.44612 .26316 L

F

.44612 .27609 m

.44612 .27709 L

.44612 .29006 L

.44612 .28858 L

.44612 .27609 L

F

.44612 .28858 m

.44612 .29006 L

.44612 .30234 L

.44612 .3004 L

.44612 .28858 L

F

.44612 .3004 m

.44612 .30234 L

.44612 .31372 L

.44612 .31136 L

.44612 .3004 L

F

.44612 .31136 m

.44612 .31372 L

.44612 .32402 L

.44612 .32128 L

.44612 .31136 L

F

.44612 .32128 m

.44612 .32402 L

.44612 .33305 L

.44612 .32997 L

.44612 .32128 L

F

.44612 .32997 m

.44612 .33305 L

.44612 .34066 L

.44612 .3373 L

.44612 .32997 L

F

.44612 .3373 m

.44612 .34066 L

.44612 .34671 L

.44612 .34313 L

.44612 .3373 L

F

.44612 .34313 m

.44612 .34671 L

.44612 .35111 L

.44612 .34737 L

.44612 .34313 L

F

.44612 .34737 m

.44612 .35111 L

.44612 .35378 L

.44612 .34994 L

.44612 .34737 L

F

.44612 .34994 m

.44612 .35378 L

.44612 .35468 L

.44612 .3508 L

.44612 .34994 L

F

.44612 .35468 m

.44612 .35856 L

.44612 .35763 L

.44612 .35378 L

.44612 .35468 L

F

.44612 .35378 m

.44612 .35763 L

.44612 .35486 L

.44612 .35111 L

.44612 .35378 L

F

.44612 .35111 m

.44612 .35486 L

.44612 .35029 L

.44612 .34671 L

.44612 .35111 L

F

.44612 .34671 m

.44612 .35029 L

.44612 .34401 L

.44612 .34066 L

.44612 .34671 L

F

.44612 .34066 m

.44612 .34401 L

.44612 .33612 L

.44612 .33305 L

.44612 .34066 L

F

.44612 .33305 m

.44612 .33612 L

.44612 .32676 L

.44612 .32402 L

.44612 .33305 L

F

.44612 .32402 m

.44612 .32676 L

.44612 .31609 L

.44612 .31372 L

.44612 .32402 L

F

.44612 .31372 m

.44612 .31609 L

.44612 .30428 L

.44612 .30234 L

.44612 .31372 L

F

.44612 .30234 m

.44612 .30428 L

.44612 .29154 L

.44612 .29006 L

.44612 .30234 L

F

.44612 .29006 m

.44612 .29154 L

.44612 .2781 L

.44612 .27709 L

.44612 .29006 L

F

.44612 .27709 m

.44612 .2781 L

.44612 .26417 L

.44612 .26366 L

.44612 .27709 L

F

.44612 .26366 m

.44612 .26417 L

.44612 .25 L

.44612 .25 L

.44612 .26366 L

F

.44612 .25 m

.44612 .25 L

.44612 .23583 L

.44612 .23634 L

.44612 .25 L

F

.44612 .23634 m

.44612 .23583 L

.44612 .2219 L

.44612 .22291 L

.44612 .23634 L

F

.44612 .22291 m

.44612 .2219 L

.44612 .20846 L

.44612 .20994 L

.44612 .22291 L

F

.44612 .20994 m

.44612 .20846 L

.44612 .19572 L

.44612 .19766 L

.44612 .20994 L

F

.44612 .19766 m

.44612 .19572 L

.44612 .18391 L

.44612 .18628 L

.44612 .19766 L

F

.44612 .18628 m


.44612 .18391 L

.44612 .17324 L

.44612 .17598 L

.44612 .18628 L

F

.44612 .17598 m

.44612 .17324 L

.44612 .16388 L

.44612 .16695 L

.44612 .17598 L

F

.44612 .16695 m

.44612 .16388 L

.44612 .15599 L

.44612 .15934 L

.44612 .16695 L

F

.44612 .15934 m

.44612 .15599 L

.44612 .14971 L

.44612 .15329 L

.44612 .15934 L

F

.44612 .15329 m

.44612 .14971 L

.44612 .14514 L

.44612 .14889 L

.44612 .15329 L

F

.44612 .14889 m

.44612 .14514 L

.44612 .14237 L

.44612 .14622 L

.44612 .14889 L

F

.44612 .14622 m

.44612 .14237 L

.44612 .14144 L

.44612 .14532 L

.44612 .14622 L

F

.44612 .14532 m

.44612 .14144 L

.44612 .14237 L

.44612 .14622 L

.44612 .14532 L

F

.44612 .14622 m

.44612 .14237 L

.44612 .14514 L

.44612 .14889 L

.44612 .14622 L

F

.44612 .14889 m

.44612 .14514 L

.44612 .14971 L

.44612 .15329 L

.44612 .14889 L

F

.44612 .15329 m

.44612 .14971 L

.44612 .15599 L

.44612 .15934 L

.44612 .15329 L

F

.44612 .15934 m

.44612 .15599 L

.44612 .16388 L

.44612 .16695 L

.44612 .15934 L

F

.44612 .16695 m

.44612 .16388 L

.44612 .17324 L

.44612 .17598 L

.44612 .16695 L

F

.44612 .17598 m

.44612 .17324 L

.44612 .18391 L

.44612 .18628 L

.44612 .17598 L

F

.44612 .18628 m

.44612 .18391 L

.44612 .19572 L

.44612 .19766 L

.44612 .18628 L

F

.44612 .19766 m

.44612 .19572 L

.44612 .20846 L

.44612 .20994 L

.44612 .19766 L

F

.44612 .20994 m

.44612 .20846 L

.44612 .2219 L

.44612 .22291 L

.44612 .20994 L

F

.44612 .22291 m

.44612 .2219 L

.44612 .23583 L

.44612 .23634 L

.44612 .22291 L

F

.44612 .23634 m

.44612 .23583 L

.44612 .25 L

.44612 .25 L

.44612 .23634 L

F

.44612 .25 m

.44612 .25 L

.44612 .26417 L

.44612 .26366 L

.44612 .25 L

F

.44612 .26366 m

.44612 .26417 L

.44612 .2781 L

.44612 .27709 L

.44612 .26366 L

F

.44612 .27709 m

.44612 .2781 L

.44612 .29154 L

.44612 .29006 L

.44612 .27709 L

F

.44612 .29006 m

.44612 .29154 L

.44612 .30428 L

.44612 .30234 L

.44612 .29006 L

F

.44612 .30234 m

.44612 .30428 L

.44612 .31609 L

.44612 .31372 L

.44612 .30234 L

F

.44612 .31372 m

.44612 .31609 L

.44612 .32676 L

.44612 .32402 L

.44612 .31372 L

F

.44612 .32402 m

.44612 .32676 L

.44612 .33612 L

.44612 .33305 L

.44612 .32402 L

F

.44612 .33305 m

.44612 .33612 L

.44612 .34401 L

.44612 .34066 L

.44612 .33305 L

F

.44612 .34066 m

.44612 .34401 L

.44612 .35029 L

.44612 .34671 L

.44612 .34066 L

F

.44612 .34671 m

.44612 .35029 L

.44612 .35486 L

.44612 .35111 L

.44612 .34671 L

F

.44612 .35111 m

.44612 .35486 L

.44612 .35763 L

.44612 .35378 L

.44612 .35111 L

F

.44612 .35378 m

.44612 .35763 L

.44612 .35856 L

.44612 .35468 L

.44612 .35378 L

F

.44612 .35856 m

.44612 .36243 L

.44612 .36147 L

.44612 .35763 L

.44612 .35856 L

F

.44612 .35763 m

.44612 .36147 L

.44612 .3586 L

.44612 .35486 L

.44612 .35763 L

F

.44612 .35486 m

.44612 .3586 L

.44612 .35388 L

.44612 .35029 L

.44612 .35486 L

F

.44612 .35029 m

.44612 .35388 L

.44612 .34737 L

.44612 .34401 L

.44612 .35029 L

F

.44612 .34401 m

.44612 .34737 L

.44612 .3392 L

.44612 .33612 L

.44612 .34401 L

F

.44612 .33612 m

.44612 .3392 L

.44612 .3295 L

.44612 .32676 L

.44612 .33612 L

F

.44612 .32676 m

.44612 .3295 L

.44612 .31845 L

.44612 .31609 L

.44612 .32676 L

F

.44612 .31609 m

.44612 .31845 L

.44612 .30622 L

.44612 .30428 L

.44612 .31609 L

F

.44612 .30428 m

.44612 .30622 L

.44612 .29303 L

.44612 .29154 L

.44612 .30428 L

F

.44612 .29154 m

.44612 .29303 L

.44612 .2791 L

.44612 .2781 L

.44612 .29154 L

F

.44612 .2781 m

.44612 .2791 L

.44612 .26468 L

.44612 .26417 L

.44612 .2781 L

F

.44612 .26417 m

.44612 .26468 L

.44612 .25 L

.44612 .25 L

.44612 .26417 L

F

.44612 .25 m

.44612 .25 L

.44612 .23532 L

.44612 .23583 L

.44612 .25 L

F

.44612 .23583 m

.44612 .23532 L

.44612 .2209 L

.44612 .2219 L

.44612 .23583 L

F

.44612 .2219 m

.44612 .2209 L

.44612 .20697 L

.44612 .20846 L

.44612 .2219 L

F

.44612 .20846 m

.44612 .20697 L

.44612 .19378 L

.44612 .19572 L

.44612 .20846 L

F

.44612 .19572 m

.44612 .19378 L

.44612 .18155 L

.44612 .18391 L

.44612 .19572 L

F

.44612 .18391 m

.44612 .18155 L

.44612 .1705 L

.44612 .17324 L

.44612 .18391 L

F

.44612 .17324 m

.44612 .1705 L

.44612 .1608 L

.44612 .16388 L

.44612 .17324 L

F

.44612 .16388 m

.44612 .1608 L

.44612 .15263 L

.44612 .15599 L

.44612 .16388 L

F

.44612 .15599 m

.44612 .15263 L

.44612 .14612 L

.44612 .14971 L

.44612 .15599 L

F

.44612 .14971 m

.44612 .14612 L

.44612 .1414 L

.44612 .14514 L

.44612 .14971 L

F

.44612 .14514 m

.44612 .1414 L

.44612 .13853 L

.44612 .14237 L

.44612 .14514 L

F

.44612 .14237 m

.44612 .13853 L

.44612 .13757 L

.44612 .14144 L

.44612 .14237 L

F

.44612 .14144 m

.44612 .13757 L

.44612 .13853 L

.44612 .14237 L

.44612 .14144 L

F

.44612 .14237 m

.44612 .13853 L

.44612 .1414 L

.44612 .14514 L

.44612 .14237 L

F

.44612 .14514 m

.44612 .1414 L

.44612 .14612 L

.44612 .14971 L

.44612 .14514 L

F

.44612 .14971 m

.44612 .14612 L

.44612 .15263 L

.44612 .15599 L

.44612 .14971 L

F

.44612 .15599 m

.44612 .15263 L

.44612 .1608 L

.44612 .16388 L

.44612 .15599 L

F

.44612 .16388 m

.44612 .1608 L

.44612 .1705 L

.44612 .17324 L

.44612 .16388 L

F

.44612 .17324 m

.44612 .1705 L

.44612 .18155 L

.44612 .18391 L

.44612 .17324 L

F

.44612 .18391 m

.44612 .18155 L

.44612 .19378 L

.44612 .19572 L

.44612 .18391 L

F

.44612 .19572 m

.44612 .19378 L

.44612 .20697 L

.44612 .20846 L

.44612 .19572 L

F

.44612 .20846 m

.44612 .20697 L

.44612 .2209 L

.44612 .2219 L

.44612 .20846 L

F

.44612 .2219 m

.44612 .2209 L

.44612 .23532 L

.44612 .23583 L

.44612 .2219 L

F

.44612 .23583 m

.44612 .23532 L

.44612 .25 L

.44612 .25 L

.44612 .23583 L

F

.44612 .25 m

.44612 .25 L

.44612 .26468 L

.44612 .26417 L

.44612 .25 L

F

.44612 .26417 m

.44612 .26468 L

.44612 .2791 L

.44612 .2781 L

.44612 .26417 L

F

.44612 .2781 m

.44612 .2791 L

.44612 .29303 L

.44612 .29154 L

.44612 .2781 L

F

.44612 .29154 m

.44612 .29303 L

.44612 .30622 L

.44612 .30428 L

.44612 .29154 L

F

.44612 .30428 m

.44612 .30622 L

.44612 .31845 L

.44612 .31609 L

.44612 .30428 L

F

.44612 .31609 m

.44612 .31845 L

.44612 .3295 L

.44612 .32676 L

.44612 .31609 L

F

.44612 .32676 m

.44612 .3295 L

.44612 .3392 L

.44612 .33612 L

.44612 .32676 L

F

.44612 .33612 m

.44612 .3392 L

.44612 .34737 L

.44612 .34401 L

.44612 .33612 L

F

.44612 .34401 m

.44612 .34737 L

.44612 .35388 L

.44612 .35029 L

.44612 .34401 L

F

.44612 .35029 m

.44612 .35388 L

.44612 .3586 L

.44612 .35486 L

.44612 .35029 L

F

.44612 .35486 m

.44612 .3586 L

.44612 .36147 L

.44612 .35763 L

.44612 .35486 L

F

.44612 .35763 m

.44612 .36147 L

.44612 .36243 L

.44612 .35856 L

.44612 .35763 L

F

.44612 .36243 m

.44612 .36631 L

.44612 .36532 L

.44612 .36147 L

.44612 .36243 L

F

.44612 .36147 m

.44612 .36532 L

.44612 .36235 L

.44612 .3586 L

.44612 .36147 L

F

.44612 .3586 m

.44612 .36235 L

.44612 .35746 L

.44612 .35388 L

.44612 .3586 L

F

.44612 .35388 m

.44612 .35746 L

.44612 .35073 L

.44612 .34737 L

.44612 .35388 L

F

.44612 .34737 m

.44612 .35073 L

.44612 .34228 L

.44612 .3392 L

.44612 .34737 L

F

.44612 .3392 m

.44612 .34228 L

.44612 .33224 L

.44612 .3295 L

.44612 .3392 L

F

.44612 .3295 m

.44612 .33224 L

.44612 .32081 L

.44612 .31845 L

.44612 .3295 L

F

.44612 .31845 m

.44612 .32081 L

.44612 .30816 L

.44612 .30622 L

.44612 .31845 L

F

.44612 .30622 m

.44612 .30816 L

.44612 .29451 L

.44612 .29303 L

.44612 .30622 L

F

.44612 .29303 m

.44612 .29451 L

.44612 .2801 L

.44612 .2791 L

.44612 .29303 L

F

.44612 .2791 m

.44612 .2801 L

.44612 .26518 L

.44612 .26468 L

.44612 .2791 L

F

.44612 .26468 m

.44612 .26518 L

.44612 .25 L

.44612 .25 L

.44612 .26468 L

F

.44612 .25 m

.44612 .25 L

.44612 .23482 L

.44612 .23532 L

.44612 .25 L

F

.44612 .23532 m

.44612 .23482 L

.44612 .2199 L

.44612 .2209 L

.44612 .23532 L

F

.44612 .2209 m

.44612 .2199 L

.44612 .20549 L

.44612 .20697 L

.44612 .2209 L

F

.44612 .20697 m

.44612 .20549 L

.44612 .19184 L

.44612 .19378 L

.44612 .20697 L

F

.44612 .19378 m

.44612 .19184 L

.44612 .17919 L

.44612 .18155 L

.44612 .19378 L

F

.44612 .18155 m

.44612 .17919 L

.44612 .16776 L

.44612 .1705 L

.44612 .18155 L

F

.44612 .1705 m

.44612 .16776 L

.44612 .15772 L

.44612 .1608 L

.44612 .1705 L

F

.44612 .1608 m

.44612 .15772 L

.44612 .14927 L

.44612 .15263 L

.44612 .1608 L

F

.44612 .15263 m

.44612 .14927 L

.44612 .14254 L

.44612 .14612 L

.44612 .15263 L

F

.44612 .14612 m

.44612 .14254 L

.44612 .13765 L

.44612 .1414 L

.44612 .14612 L

F

.44612 .1414 m

.44612 .13765 L

.44612 .13468 L

.44612 .13853 L

.44612 .1414 L

F

.44612 .13853 m

.44612 .13468 L

.44612 .13369 L

.44612 .13757 L

.44612 .13853 L

F

.44612 .13757 m

.44612 .13369 L

.44612 .13468 L

.44612 .13853 L

.44612 .13757 L

F

.44612 .13853 m

.44612 .13468 L

.44612 .13765 L

.44612 .1414 L

.44612 .13853 L

F

.44612 .1414 m

.44612 .13765 L

.44612 .14254 L

.44612 .14612 L

.44612 .1414 L

F

.44612 .14612 m

.44612 .14254 L

.44612 .14927 L

.44612 .15263 L

.44612 .14612 L

F

.44612 .15263 m

.44612 .14927 L

.44612 .15772 L

.44612 .1608 L

.44612 .15263 L

F

.44612 .1608 m

.44612 .15772 L

.44612 .16776 L

.44612 .1705 L

.44612 .1608 L

F

.44612 .1705 m

.44612 .16776 L

.44612 .17919 L

.44612 .18155 L

.44612 .1705 L

F

.44612 .18155 m

.44612 .17919 L

.44612 .19184 L

.44612 .19378 L

.44612 .18155 L

F

.44612 .19378 m

.44612 .19184 L

.44612 .20549 L

.44612 .20697 L

.44612 .19378 L

F

.44612 .20697 m

.44612 .20549 L

.44612 .2199 L

.44612 .2209 L

.44612 .20697 L

F

.44612 .2209 m

.44612 .2199 L

.44612 .23482 L

.44612 .23532 L

.44612 .2209 L

F

.44612 .23532 m

.44612 .23482 L

.44612 .25 L

.44612 .25 L

.44612 .23532 L

F

.44612 .25 m

.44612 .25 L

.44612 .26518 L

.44612 .26468 L

.44612 .25 L

F

.44612 .26468 m

.44612 .26518 L

.44612 .2801 L

.44612 .2791 L

.44612 .26468 L

F

.44612 .2791 m

.44612 .2801 L

.44612 .29451 L

.44612 .29303 L

.44612 .2791 L

F

.44612 .29303 m

.44612 .29451 L

.44612 .30816 L

.44612 .30622 L

.44612 .29303 L

F

.44612 .30622 m

.44612 .30816 L

.44612 .32081 L

.44612 .31845 L

.44612 .30622 L

F

.44612 .31845 m

.44612 .32081 L

.44612 .33224 L

.44612 .3295 L

.44612 .31845 L

F

.44612 .3295 m

.44612 .33224 L

.44612 .34228 L

.44612 .3392 L

.44612 .3295 L

F

.44612 .3392 m

.44612 .34228 L

.44612 .35073 L

.44612 .34737 L

.44612 .3392 L

F

.44612 .34737 m

.44612 .35073 L

.44612 .35746 L

.44612 .35388 L

.44612 .34737 L

F

.44612 .35388 m

.44612 .35746 L

.44612 .36235 L

.44612 .3586 L

.44612 .35388 L

F

.44612 .3586 m

.44612 .36235 L

.44612 .36532 L

.44612 .36147 L

.44612 .3586 L

F

.44612 .36147 m

.44612 .36532 L

.44612 .36631 L

.44612 .36243 L

.44612 .36147 L

F

0 g

.44612 .34305 m

.44612 .34225 L

.44612 .33988 L

.44612 .33597 L

.44612 .33058 L

.44612 .32382 L

.44612 .3158 L

.44612 .30664 L

.44612 .29652 L

.44612 .28561 L

.44612 .27408 L

.44612 .26215 L

.44612 .25 L

.44612 .23785 L

.44612 .22592 L

.44612 .21439 L

.44612 .20348 L

.44612 .19336 L

.44612 .1842 L

.44612 .17618 L

.44612 .16942 L

.44612 .16403 L

.44612 .16012 L

.44612 .15775 L

.44612 .15695 L

.44612 .15775 L

.44612 .16012 L

.44612 .16403 L

.44612 .16942 L

.44612 .17618 L

.44612 .1842 L

.44612 .19336 L

.44612 .20348 L

.44612 .21439 L

.44612 .22592 L

.44612 .23785 L

.44612 .25 L

.44612 .26215 L

.44612 .27408 L

.44612 .28561 L

.44612 .29652 L

.44612 .30664 L

.44612 .3158 L

.44612 .32382 L

.44612 .33058 L

.44612 .33597 L

.44612 .33988 L

.44612 .34225 L

.44612 .34305 L

s

.44612 .36631 m

.44612 .36532 L

.44612 .36235 L

.44612 .35746 L

.44612 .35073 L

.44612 .34228 L

.44612 .33224 L

.44612 .32081 L

.44612 .30816 L

.44612 .29451 L

.44612 .2801 L

.44612 .26518 L

.44612 .25 L

.44612 .23482 L

.44612 .2199 L

.44612 .20549 L

.44612 .19184 L

.44612 .17919 L

.44612 .16776 L

.44612 .15772 L

.44612 .14927 L

.44612 .14254 L

.44612 .13765 L

.44612 .13468 L

.44612 .13369 L

.44612 .13468 L

.44612 .13765 L

.44612 .14254 L

.44612 .14927 L

.44612 .15772 L

.44612 .16776 L

.44612 .17919 L

.44612 .19184 L

.44612 .20549 L

.44612 .2199 L

.44612 .23482 L

.44612 .25 L

.44612 .26518 L

.44612 .2801 L

.44612 .29451 L

.44612 .30816 L

.44612 .32081 L

.44612 .33224 L

.44612 .34228 L

.44612 .35073 L

.44612 .35746 L

.44612 .36235 L

.44612 .36532 L

.44612 .36631 L

s

0 0 0 r

0 .15 m

.11061 .14631 L

s

2 Mabswid

.11061 .14631 Mdot

.5 Mabswid

0 .18333 m

.10467 .18101 L

s

2 Mabswid

.10467 .18101 Mdot

.5 Mabswid

0 .21667 m

.10116 .21554 L

s

2 Mabswid

.10116 .21554 Mdot

.5 Mabswid

0 .25 m

.1 .25 L

s

2 Mabswid

.1 .25 Mdot

.5 Mabswid

0 .28333 m

.10116 .28446 L

s

2 Mabswid

.10116 .28446 Mdot

.5 Mabswid

0 .31667 m

.10467 .31899 L

s

2 Mabswid

.10467 .31899 Mdot

.5 Mabswid

0 .35 m

.11061 .35369 L

s

2 Mabswid

.11061 .35369 Mdot

.5 Mabswid

.11061 .14631 m

.15362 .14881 L

s

2 Mabswid

.15362 .14881 Mdot

.5 Mabswid

.10467 .18101 m

.15127 .18278 L

s

2 Mabswid

.15127 .18278 Mdot

.5 Mabswid

.10116 .21554 m

.14988 .21646 L

s

2 Mabswid

.14988 .21646 Mdot

.5 Mabswid

.1 .25 m

.14942 .25 L

s

2 Mabswid

.14942 .25 Mdot

.5 Mabswid

.10116 .28446 m

.14988 .28354 L

s

2 Mabswid

.14988 .28354 Mdot

.5 Mabswid

.10467 .31899 m

.15127 .31722 L

s

2 Mabswid

.15127 .31722 Mdot

.5 Mabswid

.11061 .35369 m

.15362 .35119 L

s

2 Mabswid

.15362 .35119 Mdot

.5 Mabswid

.15362 .14881 m

.17491 .14972 L

s

2 Mabswid

.17491 .14972 Mdot

.5 Mabswid

.15127 .18278 m

.1628 .1831 L

s

2 Mabswid

.1628 .1831 Mdot

.5 Mabswid

.14988 .21646 m

.15581 .21654 L

s

2 Mabswid

.15581 .21654 Mdot

.5 Mabswid

.14942 .25 m

.15353 .25 L

s

2 Mabswid

.15353 .25 Mdot

.5 Mabswid

.14988 .28354 m

.15581 .28346 L

s

2 Mabswid

.15581 .28346 Mdot

.5 Mabswid

.15127 .31722 m

.1628 .3169 L

s

2 Mabswid

.1628 .3169 Mdot

.5 Mabswid

.15362 .35119 m

.17491 .35028 L

s

2 Mabswid

.17491 .35028 Mdot

.5 Mabswid

.17491 .14972 m

.30264 .17229 L

s

2 Mabswid

.30264 .17229 Mdot

.5 Mabswid

.1628 .1831 m

.29188 .19777 L

s

2 Mabswid

.29188 .19777 Mdot


.5 Mabswid

.15581 .21654 m

.2856 .22377 L

s

2 Mabswid

.2856 .22377 Mdot

.5 Mabswid

.15353 .25 m

.28353 .25 L

s

2 Mabswid

.28353 .25 Mdot

.5 Mabswid

.15581 .28346 m

.2856 .27623 L

s

2 Mabswid

.2856 .27623 Mdot

.5 Mabswid

.1628 .3169 m

.29188 .30223 L

s

2 Mabswid

.29188 .30223 Mdot

.5 Mabswid

.17491 .35028 m

.30264 .32771 L

s

2 Mabswid

.30264 .32771 Mdot

.5 Mabswid

.30264 .17229 m

.34528 .1725 L

s

2 Mabswid

.34528 .1725 Mdot

.5 Mabswid

.29188 .19777 m

.34528 .19802 L

s

2 Mabswid

.34528 .19802 Mdot

.5 Mabswid

.2856 .22377 m

.34528 .22392 L

s

2 Mabswid

.34528 .22392 Mdot

.5 Mabswid

.28353 .25 m

.34528 .25 L

s

2 Mabswid

.34528 .25 Mdot

.5 Mabswid

.2856 .27623 m

.34528 .27608 L

s

2 Mabswid

.34528 .27608 Mdot

.5 Mabswid

.29188 .30223 m

.34528 .30198 L

s

2 Mabswid

.34528 .30198 Mdot

.5 Mabswid

.30264 .32771 m

.34528 .3275 L

s

2 Mabswid

.34528 .3275 Mdot

.5 Mabswid

.34528 .1725 m

.38876 .17264 L

s

2 Mabswid

.38876 .17264 Mdot

.5 Mabswid

.34528 .19802 m

.37565 .19811 L

s

2 Mabswid

.37565 .19811 Mdot

.5 Mabswid

.34528 .22392 m

.36824 .22396 L

s

2 Mabswid

.36824 .22396 Mdot

.5 Mabswid

.34528 .25 m

.36583 .25 L

s

2 Mabswid

.36583 .25 Mdot

.5 Mabswid

.34528 .27608 m

.36824 .27604 L

s

2 Mabswid

.36824 .27604 Mdot

.5 Mabswid

.34528 .30198 m

.37565 .30189 L

s

2 Mabswid

.37565 .30189 Mdot

.5 Mabswid

.34528 .3275 m

.38876 .32736 L

s

2 Mabswid

.38876 .32736 Mdot

.5 Mabswid

.38876 .17264 m

.41935 .17292 L

s

2 Mabswid

.41935 .17292 Mdot

.5 Mabswid

.37565 .19811 m

.41935 .19839 L

s

2 Mabswid

.41935 .19839 Mdot

.5 Mabswid

.36824 .22396 m

.41935 .22414 L

s

2 Mabswid

.41935 .22414 Mdot

.5 Mabswid

.36583 .25 m

.41935 .25 L

s

2 Mabswid

.41935 .25 Mdot

.5 Mabswid

.36824 .27604 m

.41935 .27586 L

s

2 Mabswid

.41935 .27586 Mdot

.5 Mabswid

.37565 .30189 m

.41935 .30161 L

s

2 Mabswid

.41935 .30161 Mdot

.5 Mabswid

.38876 .32736 m

.41935 .32708 L

s

2 Mabswid

.41935 .32708 Mdot

.5 Mabswid

.41935 .17292 m

.44612 .17332 L

s

2 Mabswid

.44612 .17332 Mdot

.5 Mabswid

.41935 .19839 m

.44612 .19868 L

s

2 Mabswid

.44612 .19868 Mdot

.5 Mabswid

.41935 .22414 m

.44612 .22428 L

s

2 Mabswid

.44612 .22428 Mdot

.5 Mabswid

.41935 .25 m

.44612 .25 L

s

2 Mabswid

.44612 .25 Mdot

.5 Mabswid

.41935 .27586 m

.44612 .27572 L

s

2 Mabswid

.44612 .27572 Mdot

.5 Mabswid

.41935 .30161 m

.44612 .30132 L

s

2 Mabswid

.44612 .30132 Mdot

.5 Mabswid

.41935 .32708 m

.44612 .32668 L

s

2 Mabswid

.44612 .32668 Mdot

.5 Mabswid

.44612 .17332 m

.47288 .17373 L

s

2 Mabswid

.47288 .17373 Mdot

.5 Mabswid

.44612 .19868 m

.47288 .19896 L

s

2 Mabswid

.47288 .19896 Mdot

.5 Mabswid

.44612 .22428 m

.47288 .22443 L

s

2 Mabswid

.47288 .22443 Mdot

.5 Mabswid

.44612 .25 m

.47288 .25 L

s

2 Mabswid

.47288 .25 Mdot

.5 Mabswid

.44612 .27572 m

.47288 .27557 L

s

2 Mabswid

.47288 .27557 Mdot

.5 Mabswid

.44612 .30132 m

.47288 .30104 L

s

2 Mabswid

.47288 .30104 Mdot

.5 Mabswid

.44612 .32668 m

.47288 .32627 L

s

2 Mabswid

.47288 .32627 Mdot

.5 Mabswid

.47288 .17373 m

.51008 .17407 L

s

2 Mabswid

.51008 .17407 Mdot

.5 Mabswid

.47288 .19896 m

.51692 .19926 L

s

2 Mabswid

.51692 .19926 Mdot

.5 Mabswid

.47288 .22443 m

.52096 .22459 L

s

2 Mabswid

.52096 .22459 Mdot

.5 Mabswid

.47288 .25 m

.5223 .25 L

s

2 Mabswid

.5223 .25 Mdot

.5 Mabswid

.47288 .27557 m

.52096 .27541 L

s

2 Mabswid

.52096 .27541 Mdot

.5 Mabswid

.47288 .30104 m

.51692 .30074 L

s

2 Mabswid

.51692 .30074 Mdot

.5 Mabswid

.47288 .32627 m

.51008 .32593 L

s

2 Mabswid

.51008 .32593 Mdot

.5 Mabswid

.51008 .17407 m

.54696 .17453 L

s

2 Mabswid

.54696 .17453 Mdot

.5 Mabswid

.51692 .19926 m

.54696 .19952 L

s

2 Mabswid

.54696 .19952 Mdot

.5 Mabswid

.52096 .22459 m

.54696 .22471 L

s

2 Mabswid

.54696 .22471 Mdot

.5 Mabswid

.5223 .25 m

.54696 .25 L

s

2 Mabswid

.54696 .25 Mdot

.5 Mabswid

.52096 .27541 m

.54696 .27529 L

s

2 Mabswid

.54696 .27529 Mdot

.5 Mabswid

.51692 .30074 m

.54696 .30048 L

s

2 Mabswid

.54696 .30048 Mdot

.5 Mabswid

.51008 .32593 m

.54696 .32547 L

s

2 Mabswid

.54696 .32547 Mdot

.5 Mabswid

.54696 .17453 m

.5974 .17555 L

s

2 Mabswid

.5974 .17555 Mdot

.5 Mabswid

.54696 .19952 m

.60612 .20035 L

s

2 Mabswid

.60612 .20035 Mdot

.5 Mabswid

.54696 .22471 m

.61116 .22517 L

s

2 Mabswid

.61116 .22517 Mdot

.5 Mabswid

.54696 .25 m

.61281 .25 L

s

2 Mabswid

.61281 .25 Mdot

.5 Mabswid

.54696 .27529 m

.61116 .27483 L

s

2 Mabswid

.61116 .27483 Mdot

.5 Mabswid

.54696 .30048 m

.60612 .29965 L

s

2 Mabswid

.60612 .29965 Mdot

.5 Mabswid

.54696 .32547 m

.5974 .32445 L

s

2 Mabswid

.5974 .32445 Mdot

.5 Mabswid

.5974 .17555 m

.68101 .16452 L

s

2 Mabswid

.68101 .16452 Mdot

.5 Mabswid

.60612 .20035 m

.69057 .19326 L

s

2 Mabswid

.69057 .19326 Mdot

.5 Mabswid

.61116 .22517 m

.69603 .2217 L

s

2 Mabswid

.69603 .2217 Mdot

.5 Mabswid

.61281 .25 m

.69781 .25 L

s

2 Mabswid

.69781 .25 Mdot

.5 Mabswid

.61116 .27483 m

.69603 .2783 L

s

2 Mabswid

.69603 .2783 Mdot

.5 Mabswid

.60612 .29965 m

.69057 .30674 L

s

2 Mabswid

.69057 .30674 Mdot

.5 Mabswid

.5974 .32445 m

.68101 .33548 L

s

2 Mabswid

.68101 .33548 Mdot

.5 Mabswid

.68101 .16452 m

.71127 .16476 L

s

2 Mabswid

.71127 .16476 Mdot

.5 Mabswid

.69057 .19326 m

.71182 .19339 L

s

2 Mabswid

.71182 .19339 Mdot

.5 Mabswid

.69603 .2217 m

.71214 .22175 L

s

2 Mabswid

.71214 .22175 Mdot

.5 Mabswid

.69781 .25 m

.71225 .25 L

s

2 Mabswid

.71225 .25 Mdot

.5 Mabswid

.69603 .2783 m

.71214 .27825 L

s

2 Mabswid

.71214 .27825 Mdot

.5 Mabswid

.69057 .30674 m

.71182 .30661 L

s

2 Mabswid

.71182 .30661 Mdot

.5 Mabswid

.68101 .33548 m

.71127 .33524 L

s

2 Mabswid

.71127 .33524 Mdot

.5 Mabswid

.71127 .16476 m

.75952 .16459 L

s

2 Mabswid

.75952 .16459 Mdot

.5 Mabswid

.71182 .19339 m

.76302 .1933 L

s

2 Mabswid

.76302 .1933 Mdot

.5 Mabswid

.71214 .22175 m

.76509 .22171 L

s

2 Mabswid

.76509 .22171 Mdot

.5 Mabswid

.71225 .25 m

.76577 .25 L

s

2 Mabswid

.76577 .25 Mdot

.5 Mabswid

.71214 .27825 m

.76509 .27829 L

s

2 Mabswid

.76509 .27829 Mdot

.5 Mabswid

.71182 .30661 m

.76302 .3067 L

s

2 Mabswid

.76302 .3067 Mdot

.5 Mabswid

.71127 .33524 m

.75952 .33541 L

s

2 Mabswid

.75952 .33541 Mdot

.5 Mabswid

.75952 .16459 m

0 0 rlineto s

.75952 .16459 m

1 .185 L

s

.76302 .1933 m

0 0 rlineto s

.76302 .1933 m

1 .2067 L

s

.76509 .22171 m

0 0 rlineto s

.76509 .22171 m

1 .22835 L

s

.76577 .25 m

0 0 rlineto s

.76577 .25 m

1 .25 L

s

.76509 .27829 m

0 0 rlineto s

.76509 .27829 m

1 .27165 L

s

.76302 .3067 m

0 0 rlineto s

.76302 .3067 m

1 .2933 L

s

.75952 .33541 m

0 0 rlineto s

.75952 .33541 m

1 .315 L

s

[(L)] .44612 .08827 0 0 Mshowa

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 ImageSize->{256, 128},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztnG1vE0cQxy9+iO04IQ825SEJcYJ5VBEIqFoKtJTSlqriRb9A1QhVArUV
iPKevmj5gO0Hcr1zd7tn+3fn2fjOZ9JYxdnujndnZmf/Ozv78Ozw7Ytffj98
+/L5Ye+7N4evX7x8/kfv21dvhlnVpSAY/hcEf/YCkx6YdPh1PRgMBkEtkP8Z
psy/4eefMJEsfffunfxzpdfkT32kNKLwILmaQfLvdJL3pkyKnobEV+RPdYS4
It/VESn/yqi07Kqm030TVntZSf73QlR7CcirQP5eWe2TQqvtA3kNyDvmW7Je
F9PAVoZ5vVLK/nV6k0S+paT7za/5i0qJN4GuDnS/FtP8uvmumJyWKZVUQU2d
Aro20D2zRnZWWfPjkJEDpSrXgG4N6H7IMMYzs7NG5MTaOtD17FSgNfNuMQyv
At1mGsOTky/ZDnVZR0n3VVjxvpKcuN+y46CXKI1/QQw3lKiSA8NtoDsNdLvA
OnVpawZEiljvAfkykK8A3Rmg2wHWST0EHRtKXh75sd4CunNAtw2sUxsENuvF
sN4Eum1r4ect1FJ9BDwE4hls7imHC7G5C3T3gG6jGDa12twDuk/TcEUB96Se
L0M2LyjJG0C3D3SfAF1XCZM5sLkMdBeB7g7QfaQExyLZlKxbplQGU0WJzcRm
E+i+CNncVZLXU7XpZt2oTIiu27Ef+QsxkVYOAvQc5Kgp5IhkqVlh+lYYclK0
EhHOFyTRgXzXR+jiHmpYsZIwNgJtFUs3VlpVDmkSlZyBh36iUvMHyh5pWrHb
IHbb9jCxSSomsQnAM8TeUZKT2AS4RNe2YjdBbBGsYXJW5yy2mNiKsu+oj0nY
U1bYepqwY79IrmXiPOKK4I9UQXNjhipktO1KSdUOUPOhiYr4X0tAV5znIX4N
xCd2aZLq5CF+EKAzJYPVTXsCZD1lt6wmsC/OiyegeeiFzILoPIGhmQHpwq4M
Y1o3kJLaICAF2Ko5K4wMZBZDehDqYDuVnBXWtgqjaAL11goISIEQrcLqUB9N
eYStpDCthR1RYbK8WDYpQkfqrUVSmHTyBZPz2TTxJ7zAc9ZUiPtpdkrjw1fy
ZaiPnLNUp0u4r1hIFVNx86/LWzWpj701JMDcD9uIa67bVMO24VK0RqlYTrXz
L5m3hGjWTM6etxz7lr+W5b6V0FCckn67YVIEHlpOd63GO/FkOPzTNRk121TC
KzA1kNNHvZ60DrIiXwvU1uf0Rusfqpk0c81qphFrJgjCKIHrCSmnGA6tG8vS
B/FC4K3VjERUBIWX9NYdfQS9mml9Q5xqcUertSbUR5HfvLUWTXnn9UggLmTL
pCgMTOhVlq6Il84oUlWsHJJ66K2N09ZyqqMIPoaLDisd+hMaziKbtHHV5Nzx
lkPQ4ieTohmG1pNE17QwvTeNA/dD86H1C4U+ta50qilNdEacWsuEZ1p4kwJ2
rALaC6qAI/pjxAvhjlZRErtdMTlLJ4rKUtT9UHIxT/Ejzyob1UZv5qGAboRj
Sbq4Qym4ZoUOkr5NMlw3TG2aFHkWtLVTljaIF7fN7dYEqzZv6ow8Oh5kCXZ3
tDK3dHHe8thpk/sm5QnSewCWrgE3i7oZTrR5y5Z6WIAAqaxKI3w4pxgvlklF
J1SgA8mhmYdBdI42PFJVEh2hOF6KoJ37z08U8QEoQhvtomD31gyKcFhYteKP
wZdz2h0AjznoCkTt2rxgdKdiAtWlaBqi/S8760QRi6oILY6dKGKOgH7MvR5S
iYQ+N0yO55LR328VV/q2Sa1kMEmumaxWxG/d9GNSjtI9MCkXmMqedaT0uknd
DGs5FYozSC6XOuFvdD3ywS2SBHK2TYY2LHAMVsV5R0pOVDLx2+MSPBJgaJuc
RY2yFRyPlT2gbmg9XgqQePjPJqU9h5W6998NFTql+YmIvAwF2VlIzlWDUnYW
RLbLJueutxwyDbXCLtC1pj3N8AHsF42bTRCdNZB+pYPUi77XSAe4aHcoY69x
fdSSpWXZsb5Qkj7K2rGWsSSnOpZizQz/bFml0CkHAuZF2tXP55SDXMUWmwhP
LBVxUkUw/KZJ0UkVLafCmOxTdL05lXVJ3/bxEc8GifvWsFKO8ac9cbNuNb7v
LcdZywHFR6YdgI7zyjoFtmK5D9xljNBUBhPrsLpV041pamIndsO2RsvuRTox
R/0mi7Idk3PvaOKLJuWQDt3JWvSjkiWcLXWjm04vU+N5n14uWWHiLVCAwB2D
D0aD7kJGpwHLPhCvPd/teSBeoFuCIC5SQpdCSPwSr0jkdRUgcVmGh1AfKki9
LlKbl/g53BDRXpFKvTUUhRZTQFeyWmmqkBUMzWEF3Qaa5T7YxQzraFlRV0FU
yZMs7e3CHO6AzXLjr58Y0Akxl62U6yDlupWSloHUDDn3BUlJSh4f0uZTtSJe
sbBAjsIsN1ILEueS+RbzlAsGtZD1SToKGBR0cZZGcd9ixu1IlDEro6NpnleV
Z7kZTpPeXWsL9OCF533wWZgjh4TeKqB5oaBHAAiB94COXn4g992TzT0g1778
sGNN8SGU0rMUnu89EHPaVdL5VAsCh0OEmOPjKTRGHwFdyW+80Gh9rERkekUn
BzYJyWjieKI0HXqnKIPNWd4pcpupT5W1FPnqkzBCQbfvoRbtg1oZzGkf1KID
LHk8TpYDa/REUeoDbgk68ynoKTdiya3Jf0yUxr/wfLhN+7jdhrUpGmX0ol4O
jZb8dGEnwwQLeqxxfNCZDz1F6dkUSZdsKs7LQSpqajEeAS2o2hLebRWC6Cee
1Rb0eG2Oz+t6vRCsfnF42WbHJJES/R9AHq8oQRIs/QdCA14m\
\>"],ImageRangeCache->{{{0, 255}, {127, 0}} -> {-0.197352, -25.0002, \
0.393705, 0.393705}}],

Cell[TextData[{
 "A single ",
 StyleBox["Component", "MB"],
 " with multiple internal surfaces."
}], "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],

Cell[TextData[{
 "Both ",
 StyleBox["PlanoConvexLens", "MB"],
 " and ",
 StyleBox["CompoundLens", "MB"],
 " create a ",
 StyleBox["Component", "MB"],
 " object.  Ultimately the ",
 StyleBox["Component", "MB"],
 " object is the one actually used for ray tracing.  In principle, you could  \
enter the equivalent ",
 StyleBox["Component", "MB"],
 " objects directly by yourself.  ",
 StyleBox["However, ",
  FontVariations->{"CompatibilityType"->0}],
 " gives you ready-made interfaces like ",
 StyleBox["PlanoConvexLens", "MB"],
 " and ",
 StyleBox["CompoundLens", "MB"],
 " to do the job for you.  This way you can concentrate on your system  \
instead of programming.  Two other  functions that build complex components \
are ",
 StyleBox["LensDoublet", "MB"],
 " and ",
 StyleBox["LensTriplet", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["CompoundLens", "MB"],
 " creates a single ",
 StyleBox["Component", "MB"],
 " object.  This component does not exist until you call ",
 StyleBox["CompoundLens", "MB"],
 ".  Sometimes you need to meld pre-existing components into a single,  \
aggregate component.  The  functions ",
 StyleBox["BuildComponent", "MB"],
 " and ",
 StyleBox["Resonate", "MB"],
 " accomplish such aggregation.  You will learn more about these functions  \
later."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3.4 Light Sources", "Subsection",
 CellTags->{
  "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
   "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
   "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 StyleBox[" represents light sources as ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Source", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects.  Just as all components are ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Component", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects, all light sources are ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Source", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects.  Light sources, in turn, generate the ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Ray", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects that propagate through your system.  You will almost  \
never need to create ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Ray", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" or ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Source", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects yourself because  presents a full suite of candidate \
sources.",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],

Cell[TextData[{
 "To obtain meaningful results, you must position your light sources  \
properly.  Light sources usually propagate light in one direction.  The  \
default direction is along the optic axis (the x-axis in ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 ").  ",
 StyleBox["The same positioning commands that work with components also work  \
with light sources.",
  FontVariations->{"CompatibilityType"->0}],
 "  Sources may be moved and rotated in arbitrary fashion.  By default,  \
however, light sources emerge from the origin toward the positive optic  axis."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],

Cell[CellGroupData[{

Cell["Basic Light Sources", "Subsubsection",
 CellTags->{
  "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.1", "PR1.3.4", "PR1.3"}],

Cell[TextData[StyleBox[" light sources typically distribute outgoing rays \
uniformly  across some geometric surface or path.  Optional settings exist \
for  nonuniform or random distribution along the same geometry.  ",
 FontVariations->{"CompatibilityType"->0}]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"ConeOfRays", "[", 
       RowBox[{"45", ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "30"}]}], "]"}], ",", 
      " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[19]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmVmYGCQA2ImIAax8YNIhwezfBneb3U5QFApVD3zliOGE4NcDqzg
cPTzfStPQF+kw5S7S2cGqjsfmP+R58TaZn2C6q+sFq7TMnI8UBjz4voZUXOC
6jdFivt9f2Fz4LTBovtvVtoSVH9Qw6yw5bPpAdWoA52GExxxqv8PBhEOs0x0
0qRrtA/Ifcm+sbDTmaD5D9o0J+TuEjpgfrRH/stkQuEa6fAUot6BkHqYe2ZA
3OMgT6R79kL866BGwL8w9dDwdCA2PKHx5VBEZHxNhqQHh0VEpgdoenNYRmR6
g6ZnB/zqEOHJADV/A8R8Avrg6dkBmp4Jqr8KDZ8CSPgQVI8W/gTVH4XGLzQ9
41QP8+9caPqBpmeC5t+Gpk8LSPokqP4ENP0TUg9zz1Ro/pIn0j1o+Zeg+rXQ
8uEskeEJK3+KiYyvqdDybS6B9ICW3g7sh6Y3ACtlEdo=
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxTTMoPSmViYGCQA2JmBhiIdHgwy5fh/VaXAwwoINKBecsRw4lBLgdWcDj6
+b6VPwATn3J36cxAdecD8z/ynFjbrA8Xv7JauE7LyPFAYcyL62dEzeHimyLF
/b6/sDlw2mDR/TcrbeHiBzXMCls+mx5QjTrQaTjB8cB/MIhwmGWikyZdo31A
7kv2jYWdznD1D9o0J+TuEjpgfrRH/stkF7j4U4i4A0wcZs4MiDkO8mjm7IXY
66AGtRfNnQ7o7oT6y6EIzV+TIeHgsAgtHKDh5rAMLdyg4ewAC2GYOxmg6jdA
1DughbMDNJzh4leh7imAuAcujuZ+uPhRqH+h4ewAs3cuNHyg4QxXfxsanhaQ
8ISLn4CGP0wcZs5UaHzJo5mDFr9w8bXQ9HAWzZ2w9FOM5q+p0PQ2FxoOaOF2
YD803ABd4xHX
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366044237317*^9, 3.566086433267619*^9, 
  3.566127677024955*^9, 3.566127854742235*^9, 3.5661611335033693`*^9, 
  3.601212968681419*^9, 3.601286444796983*^9, 3.6012864913489027`*^9, 
  3.6147082221680307`*^9, 3.614726961659501*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[19]:="],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: 1.0855 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics3D

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

-0.0567234 1.16608 0 1.16608 [

[.09072 .22988 -5.91576 -9 ]

[.09072 .22988 .08424 0 ]

[.21906 .17566 -11.3073 -9 ]

[.21906 .17566 .69269 0 ]

[.3545 .11847 -10.7831 -9 ]

[.3545 .11847 1.21689 0 ]

[.49765 .05807 -10.2589 -9 ]

[.49765 .05807 1.7411 0 ]

[.64919 -0.00583 -14.602 -9 ]

[.64919 -0.00583 3.39797 0 ]

[.00955 .82643 -10.3909 0 ]

[.00955 .82643 7.60914 9 ]

[.12079 .90442 -10.0666 0 ]

[.12079 .90442 7.93341 9 ]

[.22056 .97437 -3.26269 0 ]

[.22056 .97437 2.73731 9 ]

[.31055 1.03745 -6.36418 0 ]

[.31055 1.03745 5.63582 9 ]

[.39213 1.09464 -6.2229 0 ]

[.39213 1.09464 5.7771 9 ]

[.07325 .26228 -18 -2.6177 ]

[.07325 .26228 0 6.3823 ]

[.05474 .37813 -18 -2.72059 ]

[.05474 .37813 0 6.27941 ]

[.03462 .5041 -6 -2.83339 ]

[.03462 .5041 0 6.16661 ]

[.01266 .64157 -12 -2.95759 ]

[.01266 .64157 0 6.04241 ]

[-0.01139 .79218 -12 -3.09501 ]

[-0.01139 .79218 0 5.90499 ]

[ 0 0 0 0 ]

[ 1 1.0855 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 g

.25 Mabswid

[ ] 0 setdash

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s

.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s

.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

.25 Mabswid

.08846 .24555 m

0 .80374 L

s

.0867 .25665 m

.09342 .25384 L

s

[(-50)] .07325 .26228 1 -0.41829 Mshowa

.0683 .37277 m

.07507 .37009 L

s

[(-25)] .05474 .37813 1 -0.39542 Mshowa

.04829 .49904 m

.05512 .49651 L

s

[(0)] .03462 .5041 1 -0.37036 Mshowa

.02645 .63684 m

.03334 .63448 L

s

[(25)] .01266 .64157 1 -0.34276 Mshowa

.00252 .78784 m

.00948 .78567 L

s

[(50)] -0.01139 .79218 1 -0.31222 Mshowa

.125 Mabswid

.08314 .27912 m

.08718 .27745 L

s

.07952 .30196 m

.08356 .30031 L

s

.07584 .32518 m

.07989 .32354 L

s

.0721 .34878 m

.07616 .34715 L

s

.06443 .39717 m

.0685 .39558 L

s

.0605 .42199 m

.06458 .42042 L

s

.0565 .44723 m

.06058 .44568 L

s

.05243 .47291 m

.05652 .47137 L

s

.04407 .52563 m

.04818 .52413 L

s

.03978 .55269 m

.0439 .55121 L

s

.03542 .58024 m

.03954 .57878 L

s

.03097 .60828 m

.0351 .60685 L

s

.02184 .66593 m

.02598 .66453 L

s

.01714 .69556 m

.0213 .69418 L

s

.01236 .72574 m

.01652 .72439 L

s

.00749 .7565 m

.01165 .75517 L

s

0 0 m

1 0 L

1 1.0855 L

0 1.0855 L

closepath

clip

newpath

.5 Mabswid

.42216 .58164 m

.10855 .26104 L

s

.91022 .42206 m

.42216 .58164 L

s

.40598 1.06315 m

.42216 .58164 L

s

.66497 .02988 m

.91022 .42206 L

s

.91022 .42206 m

.97657 .93008 L

s

.40598 1.06315 m

.97657 .93008 L

s

.02877 .79167 m

.40598 1.06315 L

s

.039 .916 .04 r

.25961 .66843 m

.91485 .58325 L

s

.25961 .66843 m

.90399 .5343 L

s

.25961 .66843 m

.89009 .4841 L

s

.25961 .66843 m

.87363 .43418 L

s

.25961 .66843 m

.85508 .38609 L

s

.25961 .66843 m

.83499 .34133 L

s

.25961 .66843 m

.81398 .30146 L

s

.25961 .66843 m

.7927 .26801 L

s

.25961 .66843 m

.77192 .24252 L

s

.25961 .66843 m

.75245 .22645 L

s

.25961 .66843 m

.73518 .2211 L

s

.25961 .66843 m

.72105 .22749 L

s

.25961 .66843 m

.71095 .24617 L

s

.25961 .66843 m

.70568 .27707 L

s

.25961 .66843 m

.70584 .31932 L

s

.25961 .66843 m

.71172 .37119 L

s

.25961 .66843 m

.72324 .43007 L

s

.25961 .66843 m

.73986 .49266 L

s

.25961 .66843 m

.76067 .55523 L

s

.25961 .66843 m

.78439 .61404 L

s

.25961 .66843 m

.80957 .66568 L

s

.25961 .66843 m

.83473 .70745 L

s

.25961 .66843 m

.85847 .7375 L

s

.25961 .66843 m

.87965 .75493 L

s

.25961 .66843 m

.89738 .75967 L

s

.25961 .66843 m

.91106 .75237 L

s

.25961 .66843 m

.9204 .73416 L

s

.25961 .66843 m

.9253 .70649 L

s

.25961 .66843 m

.92584 .671 L

s

.25961 .66843 m

.92225 .62936 L

s

0 0 0 r

2 Mabswid

.89009 .4841 Mdot

.89009 .4841 Mdot

.87363 .43418 Mdot

.87363 .43418 Mdot

.90399 .5343 Mdot

.90399 .5343 Mdot

.85508 .38609 Mdot

.85508 .38609 Mdot

.91485 .58325 Mdot

.91485 .58325 Mdot

0 g

.5 Mabswid

.10855 .26104 m

.66497 .02988 L

s

.02877 .79167 m

.10855 .26104 L

s

0 0 0 r

2 Mabswid

.83499 .34133 Mdot

.83499 .34133 Mdot

.92225 .62936 Mdot

.92225 .62936 Mdot

.81398 .30146 Mdot

.81398 .30146 Mdot

.92584 .671 Mdot

.92584 .671 Mdot

.7927 .26801 Mdot

.7927 .26801 Mdot

.9253 .70649 Mdot

.9253 .70649 Mdot

.77192 .24252 Mdot

.77192 .24252 Mdot

.9204 .73416 Mdot

.9204 .73416 Mdot

.75245 .22645 Mdot

.75245 .22645 Mdot

0 g

.5 Mabswid

.97657 .93008 m

.6952 .58531 L

s

0 0 0 r

2 Mabswid

.91106 .75237 Mdot

.91106 .75237 Mdot

.73518 .2211 Mdot

.73518 .2211 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.66497 .02988 L

s

0 0 0 r

2 Mabswid

.89738 .75967 Mdot

.89738 .75967 Mdot

.72105 .22749 Mdot

.72105 .22749 Mdot

.87965 .75493 Mdot

.87965 .75493 Mdot

.71095 .24617 Mdot

.71095 .24617 Mdot

.85847 .7375 Mdot

.85847 .7375 Mdot

.70568 .27707 Mdot

.70568 .27707 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.02877 .79167 L

s

0 0 0 r

2 Mabswid

.83473 .70745 Mdot

.83473 .70745 Mdot

.70584 .31932 Mdot

.70584 .31932 Mdot

.80957 .66568 Mdot

.80957 .66568 Mdot

.71172 .37119 Mdot

.71172 .37119 Mdot

.78439 .61404 Mdot

.78439 .61404 Mdot

.72324 .43007 Mdot

.72324 .43007 Mdot

.76067 .55523 Mdot

.76067 .55523 Mdot

.73986 .49266 Mdot

.73986 .49266 Mdot

0 g

.25 Mabswid

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s

.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s

.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 ImageSize->{185.312, 200.438},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"From In[70]:=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ImageRangeCache->{{{0, 184.312}, {199.438, 0}} -> {-0.0380103, \
-0.0518177, 0.00520148, 0.00520148}}]
}, Open  ]],

Cell[TextData[{
 "A simple geometric light source called ",
 StyleBox["ConeOfRays", "MB"],
 "."
}], "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "Often you will want the light source to emit rays from a single point, as  \
with ",
 StyleBox["ConeOfRays", "MB"],
 ", but according to some other distribution.  The most general  source that \
performs this function is ",
 StyleBox["PointOfRays", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointOfRays", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"40", ",", "20"}], "}"}], ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "5"}]}], "]"}], ",", " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[20]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmVmYGCQBGImIAaxcYH/YBDhYLhycV9YkZNDi/bTrfsmGjjg0QIE
kQ63Iu71tj41dHD6VLEpJdYQp3pGqHoYX7vdqOHHQtzq0cw/QMh8NPcfINb9
M1wtUzudnBwy2tO43QsVCKpfMCno0MZNhg55P6/9jrVWJKgexhJ/LZWZXU9Y
PdT8A8SaD3X/AWLdb9r1ZOVFIycC6hDxRVw8IcwnTh2G+QeINR/qfqLVo8Uv
AX0Y8UtQPYwFjV9izT9ArPlo8YtTPY78S9B8tPyLUz2O/Eus+QcImY8j/x4A
AIR3wV4=
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxTTMoPSmViYGCQBGJmIP4PBhEOhisX94UVOTm0aD/dum+igQMDGEQ63Iq4
19v61NDB6VPFppRYQwdGqDgDFGi3GzX8WGiIrv4ATD2a+QfQzZ/hapna6eTk
kNGexu1eqAAXXzAp6NDGTYYOeT+v/Y61VoSLw+wVfy2VmV2viK7+ALp6qPkH
0M037Xqy8qKRE9w8mL9Q/QMDkWh8DPUH0NVDzccQR/PvARz+hYuj+Rdd/QF0
9Wj+PYAjfuHq0eL3AI74RVcPi19082HxewAA6GvBWw==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366044802435*^9, 3.566086434020859*^9, 
  3.566127677684017*^9, 3.566127855253366*^9, 3.566161134015194*^9, 
  3.601212969074915*^9, 3.6012864451805153`*^9, 3.601286491636846*^9, 
  3.61470822278548*^9, 3.6147269619620247`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[20]:="]
}, Open  ]],

Cell[TextData[{
 "A ",
 StyleBox["PointOfRays", "MB"],
 " light source.  The rays form a grid pattern, but emanate from a common  \
point."
}], "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["PointOfRays", "MB"],
 " may be called in a number of different ways.  We have called it with a  \
list of two numbers ",
 StyleBox["{40, 20}", "MB"],
 " that defines a rectangular distribution of rays.  This rectangle  \
subdivides into grid positions on each side according to the ",
 StyleBox["NumberOfRays", "MB"],
 " option (five in this case)."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "In optics and physics, you often deal with so-called point sources.  These  \
are conceived as isotropic sources that emanate equally in all directions.   ",
 StyleBox["PointOfRays", "MB"],
 " is the mechanism you would use to generate such a source.  There is a  \
detailed example of this particular case in the Help Browser.  However you  \
should realize that most optical design work does not demand true point  \
source testing."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "If you want parallel (collimated) rays, use ",
 StyleBox["GridOfRays", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GridOfRays", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"40", ",", "20"}], "}"}], ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "5"}]}], "]"}], ",", " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[21]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyF08EJwzAMhWHTrpBLj4WM4AE8Q2+9FnruihktKYkF+VTTB0bRn8dDSvD9
9Xm8r6WU23Yu2/k+n1WXvc5HfbbfvGuGd79c6ZdHT17kw7vqwC8P/9FP+uHO
p1+u9Msjvw3y4V0V7r7JT+++yu/lvv/kvimf9+6rKtx9k3/Z69Tww2OegV+u
9Msjvw3y4V0Vnv6v/uWcl+6v8wz8cqVfbp/yqV0Vnu5vWwHkEEP8
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxTTMoPSmViYGCQBGJmBhiIdIDQJgcgtMoBVHEVHOIwgKHeAbu4CS5xKF8E
h73o4jCAod4Bu7gJLvEDqOah24sujg7Q7UUXN8ElDjVfxAG7vejiMICh3gG7
uAku8QOo+jDiF4e9GOodsIvD49cBALX3Klk=
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366045371809*^9, 3.56608643472233*^9, 
  3.566127679023615*^9, 3.566127855884742*^9, 3.566161134613597*^9, 
  3.6012129694623327`*^9, 3.601286445545257*^9, 3.601286491918435*^9, 
  3.614708223439095*^9, 3.614726962257717*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[21]:="]
}, Open  ]],

Cell[TextData[{
 "A ",
 StyleBox["GridOfRays", "MB"],
 " light source.  The parallel rays form a grid pattern."
}], "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Two-dimensional Sources", "Subsubsection",
 PageBreakAbove->Automatic,
 CellTags->{
  "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", "1.3",
    "PR1.3.4.2", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 "All  sources emit into three-dimensional space, but some of them constrain  \
their emission to a plane.  ",
 StyleBox["WedgeOfRays", "MB"],
 " is one such source."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"WedgeOfRays", "[", 
       RowBox[{"30", ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "10"}]}], "]"}], ",", 
      " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[22]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImIAax8YNIh6sKNy7Xn7ZyIKSSEareWPBUz8+lJgTV
w8yvfs0suclbl2j14q+lMrPrFYlW/0pbx03InZ1o9Xcg6g+Q6B6i1VdC/EtQ
PSw8DSHhSbT5VyDxBVcPAFjKKgs=
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], 
     Point3DBox[{{100., 26.794919243112265`, 0.}, {100.00000000000001`, 
      20.648339080174264`, 0.}, {100., 14.647843152740952`, 0.}, {100., 
      8.7488663525924, 0.}, {100., 2.9097028238515934`, 0.}, {
      100., -2.909702823851587, 0.}, {100., -8.7488663525924, 0.}, {
      100., -14.647843152740949`, 0.}, {
      100.00000000000001`, -20.648339080174257`, 0.}, {
      100., -26.79491924311226, 0.}}]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366045668111*^9, 3.5660864352080927`*^9, 
  3.5661276797422132`*^9, 3.566127856323451*^9, 3.566161135036834*^9, 
  3.601212969857143*^9, 3.601286445945571*^9, 3.6012864921470747`*^9, 
  3.614708223748084*^9, 3.614726962493889*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[22]:="]
}, Open  ]],

Cell[TextData[{
 "A ",
 StyleBox["WedgeOfRays", "MB"],
 " light source.  The emission is contained within a plane."
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "Another source in this category is ",
 StyleBox["LineOfRays", "MB"],
 ".  Planar sources can be moved and rotated like any other source.  These  \
operations will alter the orientation of the plane."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gaussian Sources", "Subsubsection",
 PageBreakAbove->Automatic,
 CellTags->{
  "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 "One of the most important of all sources is ",
 StyleBox["GaussianBeam", "Input"],
 "."
}], "Text",
 CellTags->{
  "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 StyleBox["GaussianBeam[", "Input"],
 StyleBox["beamspotsize",
  FontSlant->"Italic"],
 ", ",
 StyleBox["fulldivergence",
  FontSlant->"Italic"],
 ", ",
 StyleBox["options",
  FontSlant->"Italic"],
 StyleBox["]", "Input"],
 " and ",
 StyleBox["GaussianBeam[", "Input"],
 StyleBox["complexbeamparameter",
  FontSlant->"Italic"],
 ", ",
 StyleBox["options",
  FontSlant->"Italic"],
 StyleBox["]", "Input"],
 " takes either the output beam spotsize radius (specified at 1/e of the \
axial value of the electric field amplitude peak in the starting plane) and \
far-field beam ",
 StyleBox["fulldivergence",
  FontSlant->"Italic"],
 " (specified as the full angle in radians) or the complex beam parameter as \
input. Unlike most other types of sources can either be constrained to a \
plane or emit on all three-dimensions according to the ",
 StyleBox["FullForm", "Input"],
 " option."
}], "Text",
 CellTags->{
  "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GaussianBeam", "[", 
       RowBox[{"10.", ",", ".5", ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "10"}], ",", " ", 
        RowBox[{"FullForm", " ", "\[Rule]", " ", "False"}]}], "]"}], ",", 
      RowBox[{"Move", "[", " ", 
       RowBox[{
        RowBox[{"Boundary", "[", "100", "]"}], ",", 
        RowBox[{"-", "5"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[23]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., 50., -50.}, {95., -50., -50.}, {95., -50., 50.}, {95., 
       50., 50.}, {95., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., -50., -50.}, {-5., -50., -50.}, {-5., -50., 50.}, {
       95., -50., 50.}, {95., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{-5., -50., -50.}, {-5., 50., -50.}, {-5., 50., 
       50.}, {-5., -50., 50.}, {-5., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{-5., 50., -50.}, {95., 50., -50.}, {95., 50., 50.}, {-5., 
       50., 50.}, {-5., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., -50., -50.}, {95., 50., -50.}, {-5., 
       50., -50.}, {-5., -50., -50.}, {95., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., 50., 50.}, {95., -50., 50.}, {-5., -50., 50.}, {-5., 
       50., 50.}, {95., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmVmYGDgAmImIAaxv16+53dL+vP+C6/6dBXTlQ8wIIMD4Q7r+Lr/
/7/vABd/MO3QY5eO5/t3nrqYz9olh6H+qpjX///2VnDxC6833fkddmO/pt+h
N2eYxDDU+wvU/f+/3wgu/n3HXqPu9Qf3v5kq9FF0MheG+knCKf//16vBxXdP
qovSn9a/f4Oak1n00Y/7YeL/QWB/uIOolAGQwYtLvT0O9Q7o7nkHcQ9cHM09
cHGYf7Uh/sVQHwDxL1wcFp67IOGJof4aJDzh4mjxhaEeGl9wcQA5+58r
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], 
     Point3DBox[{{95., -33.74999994554433, 0.}, {95., -26.24999995764559, 
      0.}, {95., -18.74999996974685, 0.}, {95., -11.24999998184811, 0.}, {
      94.99999999999999, -3.7499999939493684`, 0.}, {94.99999999999999, 
      3.7499999939493684`, 0.}, {95., 11.24999998184811, 0.}, {95., 
      18.749999969746852`, 0.}, {95., 26.249999957645592`, 0.}, {95., 
      33.74999994554433, 0.}}]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366046056283*^9, 3.566086435557947*^9, 
  3.5661276804486*^9, 3.56612785689324*^9, 3.566161135615192*^9, 
  3.6012129701783857`*^9, 3.6012864462280188`*^9, 3.6012864925150347`*^9, 
  3.614708224170822*^9, 3.614726962796583*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[23]:="]
}, Open  ]],

Cell[TextData[{
 "A ",
 StyleBox["GaussianBeam", "Input",
  FontSlant->"Plain"],
 " light source with its emission constrained to a plane with ",
 StyleBox["FullForm \[Rule] False", "Input",
  FontSlant->"Plain"],
 ". "
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"GaussianBeam", "[", 
       RowBox[{"10.", ",", ".5", ",", " ", 
        RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "10"}], ",", " ", 
        RowBox[{"FullForm", " ", "\[Rule]", " ", "True"}]}], "]"}], ",", 
      RowBox[{"Move", "[", " ", 
       RowBox[{
        RowBox[{"Boundary", "[", "100", "]"}], ",", 
        RowBox[{"-", "5"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[24]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., 50., -50.}, {95., -50., -50.}, {95., -50., 50.}, {95., 
       50., 50.}, {95., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., -50., -50.}, {-5., -50., -50.}, {-5., -50., 50.}, {
       95., -50., 50.}, {95., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{-5., -50., -50.}, {-5., 50., -50.}, {-5., 50., 
       50.}, {-5., -50., 50.}, {-5., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{-5., 50., -50.}, {95., 50., -50.}, {95., 50., 50.}, {-5., 
       50., 50.}, {-5., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., -50., -50.}, {95., 50., -50.}, {-5., 
       50., -50.}, {-5., -50., -50.}, {95., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{95., 50., 50.}, {95., -50., 50.}, {-5., -50., 50.}, {-5., 
       50., 50.}, {95., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxlmG9olVUcx6+NMG42sfL2h1ja9EYv19zK6+A5EobSH/+z1DCpSWjQXkyc
ZMKazcqaeKtttTkdNJmghYO5LVqcY0pmEYGQ2R1s+abQTWXbXVM0zXWez3Ph
2+By9uLLc7+/7+ec3/M7d/arlSs25sVisYrbnztufyb/f/3+9XX2zjz35cJ/
inaXFkZrbPLPlZvxNxKjL5YtdKzBrtK982bcsi+X1AduQYFrnNc9WF+Z0/c8
1Bk0/ZJyf4f6nVuP7Bk/fM0+uO27sxtOz3Rvn9me/aIlp9+5rqRlb7I40p/L
a1tbfXPcfnAs//TQ83GXvOuns0e/zun3p6ou3Xc9GenLX3uyYfXsrL3U2dGW
bByxcw71bRn6odDdmvyz5SZz9XL64fZ8lxX9gNcHqrdeb7Lip877Meqn2fsx
Wm/C12u03hpfb6QnzzU+T6N5dvk8Iz28jnhORnmFvo3y4rlwQ89z4Xaxe9bw
8t8m7Kdv9o181lTgWNH3hjrW4uLNN/uDUftj4njtiWkJ1zXcsezwQIGbEurf
DfmiP1mfKksNDtuhg/GSZw7EXfr4+W8Lpz/6P774Ce5Z+vGmKRds1coXvvro
5xEbWzG1qPvxnB6+qq/w+kD1LuTbI37+8n6M+oFvj9R7ytdrtN53Qr69kmfa
52g0T/iiLwx5NXheZr3wGgv5ome/sc84Z8qXc4Z/fMMN/zwXbjvCPBcf+uP3
KybhWDkvtaGO9YGBps4rT5y3VRsaV8cH4y5+vWPf+xWJyE9ryBf9ug/LNk68
krGPNJ9qrb46Yltq5tc1bM3p+0O+qp/m9YHqOb/qp9L7MeoHvrVS7yJfp9F6
Ob+1kudRn6fRPOFLnvB6y/MyyovzCy/6D32Hvqh8OTfsZ/Yx50z7M3ryIRe4
oadOuLVMHMt0vXTG9t0oSqXjdztW5cs62Pz9e+ntJ23ps0/nn5g5apdsWtXQ
Piunh6/qk14fqB6+6qfX+zDqB76tUu9UX6/ReuHbKnnW+zyN5glf8vwm5DXX
8zK7Q17sB/ii533Ee4j3GPuN9xB9jv5GX4v6ovBFz3nhnHDOlC8cyJ/c4aZ8
0T/1yb5f761us89lu//cP2c0WrU/Z0S/wOsC1dOfM+Jnkfdj1A98+6Xez329
RuuFb7/keWP5f3kazRO++IHXY56XUV70Z9XDl7lD+bKvlW/0HhO+5KR86YvK
l+crX86Z8kWvfOGmfJ3o0akenRM/8FU/8LVSL3y1XvhqnvDVPOGLH+WrvODL
87U/Mydqf6YO7c/MHcoXvfZn3mPKF732Z/qi8kWv/RkO2p9VDyfVk4v6wYf6
Qaf10p+1XvhqnvRnzRO+6LU/7wp5aX9Gr/MVc73yxZfOV8yJOl8xJ+p8xdyh
8xXP1/mKnJQvep2vODfKV/WcK9XDV/3ASf2QY43US51aLzrNk/lK84Qveep8
pbzgy/P1fsQ9TPnyPXo/Yq6PCV/0ej+iDr0fodf7Efua5zM3oNf7EX1O+7Pq
6YOqpw+qH86V+oGv1gsnrRdOmic5ap7oWPV+tFZ40Z/R6+8b3JvRc09mX/B8
7l18j/Lle/T3DfYdeuZ4nk//YS6kD5EPfNHr7xu8l/T3jTHR895SPed3TPzQ
B9UPfLNSL+dK6+VcaZ5w0jzhhJ818vuG8kLH+i+w5oSm
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxllj1KA0EUgEftbQRBO5tcQGyC4HgBC5sUdqKVhYUXSDY5gFaCEisvIAhJ
l7mBvTmDFm4UwcIf9n0W3wbCMh9v33vfvslsto7PD0+XU0onv9+VFJ/Sy+9n
628Hu/uFK3yy8bB3/dQtH+LDo53by852i991L17Wvjr//PvvM+vl58/Xq837
1bIQnzU8L5TnpsmTnb/f1G3xx6bPFo+82V7E4QefxprrUvBR+E4Vj6/z4Gte
wtcc34nqDsLXdfE1r8PXHF/mRn7i8GMuVay5kmccvubz8DVnvub4VqrLfCv1
ie9IeZjvUBxf5uP9bE69sThrc3zN8TXH1xxfc3zpk+eAL5znxu+HfWdfc3zn
4vRhzv3Ow342x9d58DXHlzx4sZ/N8eV527eI4+t4fM2p5zyszfF1HnzN8SWP
fR3PfqaOfc3xNcfXnHmY04c5a3N8zfGFez87Hl/y+bziXPR5Rbx9zfE1x9ec
/vqqy9p94jtQHnydH1/uS/KF+33keM4Fc/azOfvPHF/XxcfxrM3Zz+a8j3ke
9q3FOd+Jpx984f6/UYsz31p58HU/zMkcH/fJmusPbD/BCA==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366047391664*^9, 3.5660864364568357`*^9, 
  3.5661276824213533`*^9, 3.5661278581301813`*^9, 3.566161136852642*^9, 
  3.6012129709786587`*^9, 3.601286446930562*^9, 3.601286493179991*^9, 
  3.6147082251409388`*^9, 3.6147269635015097`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[24]:="]
}, Open  ]],

Cell[TextData[{
 "A unconstrained ",
 StyleBox["GaussianBeam", "Input",
  FontSlant->"Plain"],
 " light source with ",
 StyleBox["FullForm \[Rule] True", "Input",
  FontSlant->"Plain"],
 ". Note the square shape of the beam. This is simplifies wavefront \
calculations."
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Coincident Light Sources", "Subsubsection",
 CellTags->{
  "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
   "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],

Cell[TextData[StyleBox["Light sources can be coincident.  Here is an example  \
in which coincident light sources create concentric cones of rays.",
 FontVariations->{"CompatibilityType"->0}]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"concentricSources", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"ConeOfRays", "[", 
      RowBox[{"angle", ",", " ", 
       RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "30"}]}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"angle", ",", "15", ",", "45", ",", "15"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"concentricSources", ",", " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]}], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[25]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyNlFlI1FEUh6dE6kFcMyHJyXTMjVxyGU3zmPYkClpUI/lSOA9Gi0U9VG6o
hSCiqaWGltuk2ZhrgqHeKHPMBU1NKSQDC1MzJCmIxKx7/ooTzrkDf5iH7x7O
/Z3vHvvTF2LijWQyWezqt3X1+/vf8E8FLbOvS+8dc2UkivxVZZZNxwsX1lMX
MzndZkycU4FDxGJ09k5nFmChiLYMtyb56mprszNxClZRUW+b3GNH8qnLnWlt
zfZMMdl0fj7JgeSHEqx22KTuYnPxhxMWmBPJN9SeCFWrzVl6cGeG2tiF5Mt+
9RTofH503W6vUZh4ULmqoIrzIaJ8Pe8HMgX76eP3hQXB+2KeIJpnFZ8XVAnO
ay/3AYIEfUDf4JWgb+gzGOb+r9/P6xPn1nwG9JnkNZhPOc+H5PXyJ/kxnO8s
ny/JN6I/6DPJF230k+TTNvpP8lp8X5mC/ei9X5JPwv3gLJgn+syqBefliPtN
KeiDtD/fCvo2tmdiJKUvkBnmZLItyD/td39wPCSQpZaZKCJy6PdlZhGXeK1U
yca/ZCtl7gqS7+3W2A4u+LKh6EizXt1+kh/5HJlz8Ig3czh668rd4gMkX1ny
rPVOshtrlJvOTa/4kfyjDs2h39b2rHH3x87M+ACSH57R5ck9t7Ha68upIZVU
rioY5zyI8jW8H2gW7KeM3xdE74t5gmieOj4vGBaclyn3Ad4RPuj5BimCvqHP
YJhbr9+K9TN5feLcms+APpM8+gyDPB+Sf4P5O/L8Sf4hzvcJny/JP0Z/0OdN
eSmfAfRTy/0k+Vb0n+KlfjT4vpqJfiRe7/2S/QzjftgnmCf6zEYF52W+cb+R
/aBvLFfQt6mSSNm31nBmmFvnjVpeeuXFhLOa7aFRkV/lxDkVFExWF0fvC2P3
F0102nQPkh+ts0p29Q5liadmxvut/Um+SWUT9XMmiPV5VnyYrw0m+efOfokZ
332ZIpZleeWGbsqv/PudhBIfd7XtDTdmt3R2ojwrjKw/ddMl91y7JfPvzpYv
5VO5quAT54HipX6KeD8gF+yng98XnIj7SjzmCaJ54rzgkuC88rkPUCHoA/oG
GkHf0GcwzK3nKcP6Dbw+cW7NZ0CfSX4M87nI8yF5vfxJvhvniz5vykv3LUV/
0Gey/nv0U8n9JHkd+k/xUj+F+L7kgv3ovV+S1+J+GBDMU9o/lwXnVYj7rZTw
Qc831oW+/QHiy+WI
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJx1kllIVWEQx0+J1IO4ZkKSN9NrbuSSy9Usx7QnUdCiUvKl0AejxaIeKjfU
QhDR1FJDy+2m2TW1TDDUL8q85oKmphSSgYWpGZIURGLRN2fiDnTgvPwY5vvP
b8b5xNn45I2KoiT++c0U9UuAxwuvqm4f9hSKyZcAl3T5Dt3PPUR/c/zMXKe5
ULlL9EpcwVZ3EWKjjbONsife0GBvdTJJK2prWxwz+p2IZ631ZHc+chbamfYz
S+kuxEdT7bY4ZG0Ti8kHUpeFG/HWpqMRKSnWImdfT26KuQfx6p/9pcaA7703
uhq1Fj6exOslD+e8RfaBPNZnUL4Ly+xdzAk8Z72cC+rZXDulBwhjHtAbvGTe
0DP8xzMMyXpgngE9E9djnhqZhzjLT3wS512Q8xJvQz/omXi5qU/i2ab+iRtw
X3msD9sv8XS8B3eWEz2LBjaXK96bjnlQ7/MN8za5Y3o8czBUqIY3IH8y5H33
SHioyKq20EYX/tuXlU1S2uUqnZj6XKBTvLXEB/r0jiPLgWI0LsZqwLib+Pin
mMK9B/2Fy6HrF29V7CFeV/m042aGl2jTWC7OrQcRv9+t3//L3lm0bf/Qk5cc
Qnxs3lis8d0kmq6sZYXXhRKfkhw4b5R94BHrUy3fBf4u5gSe0yjngjE2l6X0
AG/RA/MGmcwbegbuuQPr82Q97QU9A3omjp5hROYh/hrzu8r8xO/hvA/lvMQf
oB/0DGqeYfRpkD6Jd6B/lat99Lgv9Eyc7Zf6jOE97GI50bOYYHNZm94bMG+i
iHmbrYxRvnZECcXkSwCzxy/8iuOjROPmiNiYLxraS+lMQ0XcrkhxZ8XCaMjx
IT7RbJfh6R8h0o7PTw3ZBxNvT3CI/TEfJgZ9a98vNe0j/sw9KC33W6DQJop8
v6IIsf73OwaVAd4pjle9hNPqqema/Eiqn73mUXS6y1YE9xVoVkuiiH+UHFSu
9imXfUDD+nTLd8EN32U5gefEueA8m6tEeoBa5gG9gZ55Q8+gGlZzKljfKutp
L+gZ0DPxScxzTuYhzvIT78N50TOo71ahH/RM9e/Qp076/Hdv6F/lap8y3JeG
9WH7JW7AexhmOdX7ucDmKsN7q0IPzJvoRW+/AYog5YU=
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366048328145*^9, 3.566086437207576*^9, 
  3.5661276836908007`*^9, 3.5661278592693777`*^9, 3.566161138005175*^9, 
  3.601212971861204*^9, 3.601286447634265*^9, 3.6012864938573637`*^9, 
  3.614708225933807*^9, 3.614726964142119*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[25]:="],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: 1.0855 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics3D

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

-0.0567234 1.16608 0 1.16608 [

[.09072 .22988 -5.91576 -9 ]

[.09072 .22988 .08424 0 ]

[.21906 .17566 -11.3073 -9 ]

[.21906 .17566 .69269 0 ]

[.3545 .11847 -10.7831 -9 ]

[.3545 .11847 1.21689 0 ]

[.49765 .05807 -10.2589 -9 ]

[.49765 .05807 1.7411 0 ]

[.64919 -0.00583 -14.602 -9 ]

[.64919 -0.00583 3.39797 0 ]

[.00955 .82643 -10.3909 0 ]

[.00955 .82643 7.60914 9 ]

[.12079 .90442 -10.0666 0 ]

[.12079 .90442 7.93341 9 ]

[.22056 .97437 -3.26269 0 ]

[.22056 .97437 2.73731 9 ]

[.31055 1.03745 -6.36418 0 ]

[.31055 1.03745 5.63582 9 ]

[.39213 1.09464 -6.2229 0 ]

[.39213 1.09464 5.7771 9 ]

[.07325 .26228 -18 -2.6177 ]

[.07325 .26228 0 6.3823 ]

[.05474 .37813 -18 -2.72059 ]

[.05474 .37813 0 6.27941 ]

[.03462 .5041 -6 -2.83339 ]

[.03462 .5041 0 6.16661 ]

[.01266 .64157 -12 -2.95759 ]

[.01266 .64157 0 6.04241 ]

[-0.01139 .79218 -12 -3.09501 ]

[-0.01139 .79218 0 5.90499 ]

[ 0 0 0 0 ]

[ 1 1.0855 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 g

.25 Mabswid

[ ] 0 setdash

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s

.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s

.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

.25 Mabswid

.08846 .24555 m

0 .80374 L

s

.0867 .25665 m

.09342 .25384 L

s

[(-50)] .07325 .26228 1 -0.41829 Mshowa

.0683 .37277 m

.07507 .37009 L

s

[(-25)] .05474 .37813 1 -0.39542 Mshowa

.04829 .49904 m

.05512 .49651 L

s

[(0)] .03462 .5041 1 -0.37036 Mshowa

.02645 .63684 m

.03334 .63448 L

s

[(25)] .01266 .64157 1 -0.34276 Mshowa

.00252 .78784 m

.00948 .78567 L

s

[(50)] -0.01139 .79218 1 -0.31222 Mshowa

.125 Mabswid

.08314 .27912 m

.08718 .27745 L

s

.07952 .30196 m

.08356 .30031 L

s

.07584 .32518 m

.07989 .32354 L

s

.0721 .34878 m

.07616 .34715 L

s

.06443 .39717 m

.0685 .39558 L

s

.0605 .42199 m

.06458 .42042 L

s

.0565 .44723 m

.06058 .44568 L

s

.05243 .47291 m

.05652 .47137 L

s

.04407 .52563 m

.04818 .52413 L

s

.03978 .55269 m

.0439 .55121 L

s

.03542 .58024 m

.03954 .57878 L

s

.03097 .60828 m

.0351 .60685 L

s

.02184 .66593 m

.02598 .66453 L

s

.01714 .69556 m

.0213 .69418 L

s

.01236 .72574 m

.01652 .72439 L

s

.00749 .7565 m

.01165 .75517 L

s

0 0 m

1 0 L

1 1.0855 L

0 1.0855 L

closepath

clip

newpath

.5 Mabswid

.42216 .58164 m

.10855 .26104 L

s

.91022 .42206 m

.42216 .58164 L

s

.40598 1.06315 m

.42216 .58164 L

s

.66497 .02988 m

.91022 .42206 L

s

.91022 .42206 m

.97657 .93008 L

s

.40598 1.06315 m

.97657 .93008 L

s

.02877 .79167 m

.40598 1.06315 L

s

.039 .916 .04 r

.25961 .66843 m

.91485 .58325 L

s

.25961 .66843 m

.90399 .5343 L

s

.25961 .66843 m

.89009 .4841 L

s

.25961 .66843 m

.87363 .43418 L

s

.25961 .66843 m

.85508 .38609 L

s

.25961 .66843 m

.83499 .34133 L

s

.25961 .66843 m

.81398 .30146 L

s

.25961 .66843 m

.7927 .26801 L

s

.25961 .66843 m

.77192 .24252 L

s

.25961 .66843 m

.75245 .22645 L

s

.25961 .66843 m

.73518 .2211 L

s

.25961 .66843 m

.72105 .22749 L

s

.25961 .66843 m

.71095 .24617 L

s

.25961 .66843 m

.70568 .27707 L

s

.25961 .66843 m

.70584 .31932 L

s

.25961 .66843 m

.71172 .37119 L

s

.25961 .66843 m

.72324 .43007 L

s

.25961 .66843 m

.73986 .49266 L

s

.25961 .66843 m

.76067 .55523 L

s

.25961 .66843 m

.78439 .61404 L

s

.25961 .66843 m

.80957 .66568 L

s

.25961 .66843 m

.83473 .70745 L

s

.25961 .66843 m

.85847 .7375 L

s

.25961 .66843 m

.87965 .75493 L

s

.25961 .66843 m

.89738 .75967 L

s

.25961 .66843 m

.91106 .75237 L

s

.25961 .66843 m

.9204 .73416 L

s

.25961 .66843 m

.9253 .70649 L

s

.25961 .66843 m

.92584 .671 L

s

.25961 .66843 m

.92225 .62936 L

s

.25961 .66843 m

.88456 .55164 L

s

.25961 .66843 m

.87745 .519 L

s

.25961 .66843 m

.86819 .48535 L

s

.25961 .66843 m

.85713 .45186 L

s

.25961 .66843 m

.84465 .41971 L

s

.25961 .66843 m

.83118 .39005 L

s

.25961 .66843 m

.81717 .36399 L

s

.25961 .66843 m

.80315 .3426 L

s

.25961 .66843 m

.78965 .32686 L

s

.25961 .66843 m

.77723 .31762 L

s

.25961 .66843 m

.76646 .31557 L

s

.25961 .66843 m

.75789 .32113 L

s

.25961 .66843 m

.75203 .33439 L

s

.25961 .66843 m

.74927 .35506 L

s

.25961 .66843 m

.74988 .38241 L

s

.25961 .66843 m

.75394 .41527 L

s

.25961 .66843 m

.76134 .45204 L

s

.25961 .66843 m

.77174 .49084 L

s

.25961 .66843 m

.7846 .52959 L

s

.25961 .66843 m

.79923 .56619 L

s

.25961 .66843 m

.81482 .59873 L

s

.25961 .66843 m

.83054 .6256 L

s

.25961 .66843 m

.8456 .6456 L

s

.25961 .66843 m

.85927 .65798 L

s

.25961 .66843 m

.87096 .66248 L

s

.25961 .66843 m

.88023 .65924 L

s

.25961 .66843 m

.88679 .64874 L

s

.25961 .66843 m

.89048 .63173 L

s

.25961 .66843 m

.89128 .60916 L

s

.25961 .66843 m

.88925 .58208 L

s

.25961 .66843 m

.85447 .52022 L

s

.25961 .66843 m

.85093 .50371 L

s

.25961 .66843 m

.84625 .4866 L

s

.25961 .66843 m

.84062 .46956 L

s

.25961 .66843 m

.83425 .45325 L

s

.25961 .66843 m

.82739 .43834 L

s

.25961 .66843 m

.82031 .42542 L

s

.25961 .66843 m

.8133 .41505 L

s

.25961 .66843 m

.80664 .40768 L

s

.25961 .66843 m

.80062 .4037 L

s

.25961 .66843 m

.79552 .40335 L

s

.25961 .66843 m

.79157 .40672 L

s

.25961 .66843 m

.78898 .41374 L

s

.25961 .66843 m

.7879 .42417 L

s

.25961 .66843 m

.7884 .4376 L

s

.25961 .66843 m

.7905 .45343 L

s

.25961 .66843 m

.7941 .47094 L

s

.25961 .66843 m

.79906 .48929 L

s

.25961 .66843 m

.80512 .50759 L

s

.25961 .66843 m

.81201 .52496 L

s

.25961 .66843 m

.81938 .54057 L

s

.25961 .66843 m

.82687 .55369 L

s

.25961 .66843 m

.83413 .56373 L

s

.25961 .66843 m

.84083 .57029 L

s

.25961 .66843 m

.84667 .57312 L

s

.25961 .66843 m

.85142 .5722 L

s

.25961 .66843 m

.85488 .56764 L

s

.25961 .66843 m

.85695 .55971 L

s

.25961 .66843 m

.85756 .54882 L

s

.25961 .66843 m

.85671 .53547 L

s

0 0 0 r

2 Mabswid

.89009 .4841 Mdot

.89009 .4841 Mdot

.87363 .43418 Mdot

.87363 .43418 Mdot

.90399 .5343 Mdot

.90399 .5343 Mdot

.85508 .38609 Mdot

.85508 .38609 Mdot

.91485 .58325 Mdot

.91485 .58325 Mdot

0 g

.5 Mabswid

.10855 .26104 m

.66497 .02988 L

s

.02877 .79167 m

.10855 .26104 L

s

0 0 0 r

2 Mabswid

.83499 .34133 Mdot

.83499 .34133 Mdot

.92225 .62936 Mdot

.92225 .62936 Mdot

.81398 .30146 Mdot

.81398 .30146 Mdot

.86819 .48535 Mdot

.86819 .48535 Mdot

.85713 .45186 Mdot

.85713 .45186 Mdot

.87745 .519 Mdot

.87745 .519 Mdot

.92584 .671 Mdot

.92584 .671 Mdot

.84465 .41971 Mdot

.84465 .41971 Mdot

.88456 .55164 Mdot

.88456 .55164 Mdot

.7927 .26801 Mdot

.7927 .26801 Mdot

.83118 .39005 Mdot

.83118 .39005 Mdot

.88925 .58208 Mdot

.88925 .58208 Mdot

.81717 .36399 Mdot

.81717 .36399 Mdot

.9253 .70649 Mdot

.9253 .70649 Mdot

.89128 .60916 Mdot

.89128 .60916 Mdot

.77192 .24252 Mdot

.77192 .24252 Mdot

.80315 .3426 Mdot

.80315 .3426 Mdot

.84625 .4866 Mdot

.84625 .4866 Mdot

.84062 .46956 Mdot

.84062 .46956 Mdot

.85093 .50371 Mdot

.85093 .50371 Mdot

.83425 .45325 Mdot

.83425 .45325 Mdot

.89048 .63173 Mdot

.89048 .63173 Mdot

.85447 .52022 Mdot

.85447 .52022 Mdot

.82739 .43834 Mdot

.82739 .43834 Mdot

.9204 .73416 Mdot

.9204 .73416 Mdot

.85671 .53547 Mdot

.85671 .53547 Mdot

.78965 .32686 Mdot

.78965 .32686 Mdot

.82031 .42542 Mdot

.82031 .42542 Mdot

.85756 .54882 Mdot

.85756 .54882 Mdot

.8133 .41505 Mdot

.8133 .41505 Mdot

.75245 .22645 Mdot

.75245 .22645 Mdot

.88679 .64874 Mdot

.88679 .64874 Mdot

0 g

.5 Mabswid

.97657 .93008 m

.6952 .58531 L

s

0 0 0 r

2 Mabswid

.85695 .55971 Mdot

.85695 .55971 Mdot

.80664 .40768 Mdot

.80664 .40768 Mdot

.77723 .31762 Mdot

.77723 .31762 Mdot

.85488 .56764 Mdot

.85488 .56764 Mdot

.80062 .4037 Mdot

.80062 .4037 Mdot

.91106 .75237 Mdot

.91106 .75237 Mdot

.88023 .65924 Mdot

.88023 .65924 Mdot

.85142 .5722 Mdot

.85142 .5722 Mdot

.79552 .40335 Mdot

.79552 .40335 Mdot

.76646 .31557 Mdot

.76646 .31557 Mdot

.73518 .2211 Mdot

.73518 .2211 Mdot

.84667 .57312 Mdot

.84667 .57312 Mdot

.79157 .40672 Mdot

.79157 .40672 Mdot

.87096 .66248 Mdot

.87096 .66248 Mdot

.84083 .57029 Mdot

.84083 .57029 Mdot

.78898 .41374 Mdot

.78898 .41374 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.66497 .02988 L

s

0 0 0 r

2 Mabswid

.75789 .32113 Mdot

.75789 .32113 Mdot

.89738 .75967 Mdot

.89738 .75967 Mdot

.83413 .56373 Mdot

.83413 .56373 Mdot

.7879 .42417 Mdot

.7879 .42417 Mdot

.82687 .55369 Mdot

.82687 .55369 Mdot

.85927 .65798 Mdot

.85927 .65798 Mdot

.7884 .4376 Mdot

.7884 .4376 Mdot

.72105 .22749 Mdot

.72105 .22749 Mdot

.81938 .54057 Mdot

.81938 .54057 Mdot

.7905 .45343 Mdot

.7905 .45343 Mdot

.75203 .33439 Mdot

.75203 .33439 Mdot

.81201 .52496 Mdot

.81201 .52496 Mdot

.7941 .47094 Mdot

.7941 .47094 Mdot

.80512 .50759 Mdot

.80512 .50759 Mdot

.79906 .48929 Mdot

.79906 .48929 Mdot

.8456 .6456 Mdot

.8456 .6456 Mdot

.87965 .75493 Mdot

.87965 .75493 Mdot

.74927 .35506 Mdot

.74927 .35506 Mdot

.71095 .24617 Mdot

.71095 .24617 Mdot

.83054 .6256 Mdot

.83054 .6256 Mdot

.74988 .38241 Mdot

.74988 .38241 Mdot

.81482 .59873 Mdot

.81482 .59873 Mdot

.85847 .7375 Mdot

.85847 .7375 Mdot

.75394 .41527 Mdot

.75394 .41527 Mdot

.79923 .56619 Mdot

.79923 .56619 Mdot

.70568 .27707 Mdot

.70568 .27707 Mdot

.76134 .45204 Mdot

.76134 .45204 Mdot

.7846 .52959 Mdot

.7846 .52959 Mdot

.77174 .49084 Mdot

.77174 .49084 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.02877 .79167 L

s

0 0 0 r

2 Mabswid

.83473 .70745 Mdot

.83473 .70745 Mdot

.70584 .31932 Mdot

.70584 .31932 Mdot

.80957 .66568 Mdot

.80957 .66568 Mdot

.71172 .37119 Mdot

.71172 .37119 Mdot

.78439 .61404 Mdot

.78439 .61404 Mdot

.72324 .43007 Mdot

.72324 .43007 Mdot

.76067 .55523 Mdot

.76067 .55523 Mdot

.73986 .49266 Mdot

.73986 .49266 Mdot

0 g

.25 Mabswid

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s


.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s

.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 ImageSize->{329.312, 356.938},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"From In[65]:=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ImageRangeCache->{{{0, 328.312}, {355.938, 0}} -> {-0.0026406, \
-0.0301383, 0.00279266, 0.00279266}}]
}, Open  ]],

Cell["\<\
Light sources may be coincident.  Here all sources emerge from the origin.\
\>", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "The ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " command ",
 StyleBox["Table", "MB"],
 " generated a list of ",
 StyleBox["ConeOfRays", "MB"],
 " functions.  The parameter to ",
 StyleBox["ConeOfRays", "MB"],
 " was the iteration parameter of ",
 StyleBox["Table", "MB"],
 ".  The same method works with non-angular sources like ",
 StyleBox["CircleOfRays", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"concentricSources", " ", "=", " ", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"CircleOfRays", "[", 
      RowBox[{"diameter", ",", " ", 
       RowBox[{"NumberOfRays", " ", "\[Rule]", " ", "30"}]}], "]"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"diameter", ",", "20", ",", "60", ",", "20"}], "}"}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"concentricSources", ",", " ", 
      RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
    RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}], ";"}]}], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[27]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxtl2+IlFUUxp/KpbWEtRQdrKVZZ0Eb2m2cWSpLtwslQYsU+6kW7B9UfrNQ
0yAi/JJULLn0xayELaSI2v1Q6dSqt8Si/xZrJIQVS5G7CoJZCxvVOPecc5nD
c2GGfX88zNz33Of9sdP10KbBhy8BMNR4Xdx4Xfi7dXWH1ut7A+fA3eGFvZ0v
lsLubW9d3j6KoHnOgYNj968fWrc8fHLs9ffmbl9oec6BU7P9H5d7i+Gv8ZGj
MzuWWp5z4Jvhlyd+O7IsPP5uGPm63ml5zoGLmu+Lw/T1N363YLDL8pwDb0zN
zXv7QHu45v3LvtrYVrI858A7H7Q9+FT97K0/hasOnpvKec6BVxM/7POcA6Pp
e2PR7Ydz4N//LqxFccbdL+fAF2lucaubJ+fAH+lc4t/uvDgHJtK5x6OuD5wD
d6VexVHXN851dcf5m08cHuv4YY3mlcMt6W18KX1O1DznwCHZ56G0T8tzDkzL
HP5Mc7A858AxmfNjac6W5xxoa74vjqfSOVqec2Cf9ER6a3nOgU9be2h5zoHh
1p5bnnNgrzxHRbcfzoHZ1Ntwxt0v58Dn4oEn3Dw5tz6HWXdenAMfice+dH3g
3Poc9rm+ca6rL7Rea5891z7XxMP5+eJc/VwVDxctz7n6uSIeXmF5ztXPZfFw
j+U5Vz93i4dXWZ5z9XNBPFyzPOfqZ4TUw5znXP2M6POcq58L4uGc51z9XBIP
5/vlXP1cFg/neXKufa6Ih/N5ca5+roqHcx841z7XxMO5b5zr6hM//+783Bfh
lvRWPJyfL87Vz1XxcNHynKufK+LhFZbnXP1cFg/3WJ5z9XO3eHiV5TlXPxfE
wzXLc65+th5annP1s/Xc8pyrnwvi4ZznXP1cEg/n++Vc/VwWD+d5cm59Fg/n
8+Jc/VwVD+c+cG59Fg/nvnGuqz+0XmufPQe2PzC46bp71oZHak9fseBcIWie
c+CVZzu2XLrxllCqnx9+8tGVluccuG/rya6w7qZwYF7vZGU0+4RzYNnM5vWn
r+wLx3eM9wwN3GB5ztPvB6A3/PzZ96sXza22POeN+U9P3PbMc8vDWMfCaufO
NZbnvPHbZGTnrpuXzA93/vrmnjPH11qec+D0riaPAy7POVBP3xvH3X44B/5p
9rYn/uLul3OgkOYWf3Tz5BzYkM4l1t15cQ7sSeceV7o+cA5sS72KW1zfONfV
H+9YMvXtkefPOj/3R7glvY0b0udEzXMOvCb77Ez7tDzn1ue4P83B8pwDV8uc
J9OcLc850N58740n0zlanvPG/0vSE+mt5TkHrk29jdJby3MOTKbehgGX5xzY
L8/RuNsP58D51Nsw5e6Xc2CpeOCEmyfn1ufwoTsvzoHd4rGK6wPn1uew3fXN
8/8BO3A5UA==
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJx1kl1Ik2EUgL/UkZWgZeSwRtMJmjSbTior7UB5k0ixqxzYH1TeWeRfEBHe
JBEjpRuzElaMIspdVLp0863QMCssFArCihHkphCYJSz62zmelx3yg/HBwzjf
eZ/3yTlS7zqaZBiG++8v2Vh4agDfeWAkPDWwDy52Wy7ZoLP59opUrwELPNhz
sNpdmQtPxm7cj+3OYD41X/G4sMgK3/0dQ9HWLOavPFcGPj/NhpP3oONlwMJ8
Sfy9GiKbtrxOc+UwvxmOpdzpS4X1D5a/qDPZmN99aDp8JvB153tYG5wNa34N
+aDkXpyjrGLOr9//nkwVFd99jnuqRrHnFzyX+iHONYAe1JDwsBe9Ka/wRp7V
Ip7VZfy/WuAhmh/C+cwjtM833If5GO1/AvdnbkLPagrPy9xHfsgz8+FEn8w9
if6Zd9N9WcWcefQMM+K7I9RDk9iTPMO8OFc/9TYqPJBn8Alv+C6F/3t2Us/6
vrDnEurZyhx7dlDP+cyx50Lq2c4ce86jnouZY89m6tnJHHs2AH1qjj0bSnLs
2Uw9a44926hn/V3suZB61nuiZwf1rM+FPZdQz9oDenZSz9obeVaLeKae9X2F
aD72bGUeoX2w53zmY7Q/9mxnjj3nUc/FzH3khzwzH070ydyT6J95N92XVczB
nm3Us/7uCPXQJPYkz9SzPlc/9TYqPJBn6ll7w3cFSM8th1z1G/eXwzHn2ZVp
s2a+l6vn0xuW1m0HW2DOc/p4AfMDjZM5ULkV+lKKxh1e3Ul29FT19KpSmGj1
291Vm5knxd9F8OHZm7LMWBnz/sjArnMXcqEnPaPE0raDeXJHW/u2Nctgz6db
XTMT5cyn2+NcVQkewDnKL+b8jHu2q4/iu2bcU70Ve9biuVRAnKsLPagC4aEZ
vakG4Y08q0U8q1r8P9/LdZpvwfnMybPqxX2Yr6P9x3F/5qnoWU3ieZkHyQ95
Zr4BPSvyzHwcPUOV4L10X34xZw49Q1h8N4t6eCf2JM/wSJyrk3pzCA/kGVrI
2x893LJY
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.5633660497056637`*^9, 3.566086437948801*^9, 
  3.566127684821525*^9, 3.566127860395123*^9, 3.5661611392367153`*^9, 
  3.6012129736221046`*^9, 3.6012864483002377`*^9, 3.601286494420868*^9, 
  3.614708227039975*^9, 3.6147269647252693`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[27]:="],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: 1.0855 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics3D

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

-0.0567234 1.16608 0 1.16608 [

[.09072 .22988 -5.91576 -9 ]

[.09072 .22988 .08424 0 ]

[.21906 .17566 -11.3073 -9 ]

[.21906 .17566 .69269 0 ]

[.3545 .11847 -10.7831 -9 ]

[.3545 .11847 1.21689 0 ]

[.49765 .05807 -10.2589 -9 ]

[.49765 .05807 1.7411 0 ]

[.64919 -0.00583 -14.602 -9 ]

[.64919 -0.00583 3.39797 0 ]

[.00955 .82643 -10.3909 0 ]

[.00955 .82643 7.60914 9 ]

[.12079 .90442 -10.0666 0 ]

[.12079 .90442 7.93341 9 ]

[.22056 .97437 -3.26269 0 ]

[.22056 .97437 2.73731 9 ]

[.31055 1.03745 -6.36418 0 ]

[.31055 1.03745 5.63582 9 ]

[.39213 1.09464 -6.2229 0 ]

[.39213 1.09464 5.7771 9 ]

[.07325 .26228 -18 -2.6177 ]

[.07325 .26228 0 6.3823 ]

[.05474 .37813 -18 -2.72059 ]

[.05474 .37813 0 6.27941 ]

[.03462 .5041 -6 -2.83339 ]

[.03462 .5041 0 6.16661 ]

[.01266 .64157 -12 -2.95759 ]

[.01266 .64157 0 6.04241 ]

[-0.01139 .79218 -12 -3.09501 ]

[-0.01139 .79218 0 5.90499 ]

[ 0 0 0 0 ]

[ 1 1.0855 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 g

.25 Mabswid

[ ] 0 setdash

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s

.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s


.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

.25 Mabswid

.08846 .24555 m

0 .80374 L

s

.0867 .25665 m

.09342 .25384 L

s

[(-50)] .07325 .26228 1 -0.41829 Mshowa

.0683 .37277 m

.07507 .37009 L

s

[(-25)] .05474 .37813 1 -0.39542 Mshowa

.04829 .49904 m

.05512 .49651 L

s

[(0)] .03462 .5041 1 -0.37036 Mshowa

.02645 .63684 m

.03334 .63448 L

s

[(25)] .01266 .64157 1 -0.34276 Mshowa

.00252 .78784 m

.00948 .78567 L

s

[(50)] -0.01139 .79218 1 -0.31222 Mshowa

.125 Mabswid

.08314 .27912 m

.08718 .27745 L

s

.07952 .30196 m

.08356 .30031 L

s

.07584 .32518 m

.07989 .32354 L

s

.0721 .34878 m

.07616 .34715 L

s

.06443 .39717 m

.0685 .39558 L

s

.0605 .42199 m

.06458 .42042 L

s

.0565 .44723 m

.06058 .44568 L

s

.05243 .47291 m

.05652 .47137 L

s

.04407 .52563 m

.04818 .52413 L

s

.03978 .55269 m

.0439 .55121 L

s

.03542 .58024 m

.03954 .57878 L

s

.03097 .60828 m

.0351 .60685 L

s

.02184 .66593 m

.02598 .66453 L

s

.01714 .69556 m

.0213 .69418 L

s

.01236 .72574 m

.01652 .72439 L

s

.00749 .7565 m

.01165 .75517 L

s

0 0 m

1 0 L

1 1.0855 L

0 1.0855 L

closepath

clip

newpath

.5 Mabswid

.42216 .58164 m

.10855 .26104 L

s

.91022 .42206 m

.42216 .58164 L

s

.40598 1.06315 m

.42216 .58164 L

s

.039 .916 .04 r

.34325 .65346 m

.87313 .48506 L

s

.33185 .61992 m

.86085 .44788 L

s

.35125 .68768 m

.88343 .52245 L

s

0 g

.66497 .02988 m

.91022 .42206 L

s

.91022 .42206 m

.97657 .93008 L

s

.039 .916 .04 r

.31745 .58822 m

.847 .41214 L

s

.35557 .72137 m

.89137 .55874 L

s

.30053 .55951 m

.83203 .37911 L

s

.35597 .75333 m

.89665 .59268 L

s

.28165 .53487 m

.81646 .35 L

s

.31668 .65822 m

.85745 .48596 L

s

.30889 .63534 m

.84904 .46053 L

s

.32209 .68155 m

.86446 .51151 L

s

.29902 .61378 m

.83955 .43615 L

s

.35235 .78235 m

.89899 .62296 L

s

.32492 .70446 m

.8698 .53622 L

s

.28744 .59436 m

.82932 .41376 L

s

.26145 .51533 m

.80082 .32598 L

s

.32502 .72606 m

.87325 .55916 L

s

.27455 .57787 m

.81872 .39422 L

s

.34473 .80722 m

.89821 .64833 L

s

.32235 .7455 m

.87466 .57942 L

s

.24067 .50182 m

.78572 .30817 L

s

.26085 .565 m

.80816 .37835 L

s

.28883 .6632 m

.84093 .4869 L

s

.28484 .65149 m

.83661 .47385 L

s

.29158 .67514 m

.84451 .5 L

s

.27976 .64048 m

.83173 .46137 L

s

.29296 .68683 m

.8472 .51263 L

s

.31696 .76194 m

.8739 .59612 L

s

.27381 .63064 m

.82648 .44998 L

s

.29293 .69778 m

.84889 .52426 L

s

.24687 .55635 m

.79806 .36688 L

s

.33324 .82681 m

.89421 .6676 L

s

.26721 .62236 m

.82107 .44015 L

s

0 g

.40598 1.06315 m

.97657 .93008 L

s

.02877 .79167 m

.40598 1.06315 L

s

.039 .916 .04 r

.29145 .70754 m

.84951 .53442 L

s

.26024 .61601 m

.81572 .4323 L

s

.22013 .49511 m

.77177 .29754 L

s

.30899 .77465 m

.87096 .60849 L

s

.28859 .71569 m

.84901 .54265 L

s

.25319 .61188 m

.81066 .42677 L

s

.23318 .5524 m

.78885 .3604 L

s

.28445 .72185 m

.84739 .5486 L

s

.24634 .61017 m

.8061 .42385 L

s

.3182 .84008 m

.887 .67967 L

s

.29871 .78297 m

.86588 .61588 L

s

.27918 .72575 m

.84471 .55195 L

s

.24001 .61099 m

.80225 .4237 L

s

.22037 .55345 m

.78096 .35936 L

s

.20069 .4958 m

.75961 .2949 L

s

.273 .72717 m

.84108 .55254 L

s

.23447 .61435 m

.7993 .42637 L

s

.28649 .78641 m

.85881 .61779 L

s

.26616 .72602 m

.83662 .55027 L

s

.22999 .62012 m

.79738 .43179 L

s

.20903 .55961 m

.77476 .364 L

s

.3001 .84616 m

.87672 .68367 L

s

.25897 .7223 m

.83154 .54521 L

s

.22678 .6281 m

.79661 .43976 L

s

0 g

.10855 .26104 m

.66497 .02988 L

s

.02877 .79167 m

.10855 .26104 L

s

.039 .916 .04 r

.25174 .71615 m

.82604 .53755 L

s

.18327 .50419 m

.74988 .30077 L

s

.27283 .78468 m

.85001 .61395 L

s

.22501 .63794 m

.79702 .44995 L

s

.24481 .70782 m

.82039 .52761 L

s

.19971 .57075 m

.77061 .37429 L

s

.22478 .6492 m

.79863 .46192 L

s

.23851 .69769 m

.81485 .51581 L

s

.2261 .66139 m

.80136 .47512 L

s

.23312 .68621 m

.80967 .50272 L

s

.22892 .67392 m

.8051 .48894 L

s

.2583 .77769 m

.83982 .60434 L

s

.27962 .84445 m

.86368 .67897 L

s

0 0 0 r

2 Mabswid

.87313 .48506 Mdot

.87313 .48506 Mdot

.86085 .44788 Mdot

.86085 .44788 Mdot

.039 .916 .04 r

.5 Mabswid

.19293 .58651 m

.76876 .38993 L

s

0 0 0 r

2 Mabswid

.88343 .52245 Mdot

.88343 .52245 Mdot

.039 .916 .04 r

.5 Mabswid

.16875 .52026 m

.74316 .31534 L

s

0 0 0 r

2 Mabswid

.847 .41214 Mdot

.847 .41214 Mdot

.039 .916 .04 r

.5 Mabswid

.24358 .76562 m

.82869 .58925 L

s

0 0 0 r

2 Mabswid

.89137 .55874 Mdot

.89137 .55874 Mdot

.039 .916 .04 r

.5 Mabswid

.18905 .60625 m

.76937 .41034 L

s

0 0 0 r

2 Mabswid

.83203 .37911 Mdot

.83203 .37911 Mdot

.039 .916 .04 r

.5 Mabswid

.25762 .83466 m

.84837 .66537 L

s

.22937 .74894 m

.81713 .56925 L

s

.18835 .62911 m

.77249 .43463 L

s

.15798 .54359 m

.73991 .33832 L

s

0 0 0 r

2 Mabswid

.89665 .59268 Mdot

.89665 .59268 Mdot

.039 .916 .04 r

.5 Mabswid

.21638 .72838 m

.80572 .54526 L

s

.19091 .65399 m

.77799 .46164 L

s

.20528 .70491 m

.79503 .5184 L

s

.19664 .67969 m

.78563 .49005 L

s

0 0 0 r

2 Mabswid

.81646 .35 Mdot

.81646 .35 Mdot

.039 .916 .04 r

.5 Mabswid

.23511 .81694 m

.83144 .64311 L

s

0 0 0 r

2 Mabswid

.85745 .48596 Mdot

.85745 .48596 Mdot

.84904 .46053 Mdot

.84904 .46053 Mdot

.86446 .51151 Mdot

.86446 .51151 Mdot

.83955 .43615 Mdot

.83955 .43615 Mdot

.039 .916 .04 r

.5 Mabswid

.15165 .57329 m

.74048 .36894 L

s

0 0 0 r

2 Mabswid

.89899 .62296 Mdot

.89899 .62296 Mdot

.8698 .53622 Mdot

.8698 .53622 Mdot

.82932 .41376 Mdot

.82932 .41376 Mdot

.80082 .32598 Mdot

.80082 .32598 Mdot

.039 .916 .04 r

.5 Mabswid

.21323 .79188 m

.8137 .61299 L

s

0 0 0 r

2 Mabswid

.87325 .55916 Mdot

.87325 .55916 Mdot

.039 .916 .04 r

.5 Mabswid

.15022 .60807 m

.74497 .4059 L

s

0 0 0 r

2 Mabswid

.81872 .39422 Mdot

.81872 .39422 Mdot

.039 .916 .04 r

.5 Mabswid

.19315 .76059 m

.79608 .57634 L

s

0 0 0 r

2 Mabswid

.89821 .64833 Mdot

.89821 .64833 Mdot

.039 .916 .04 r

.5 Mabswid

.15393 .64623 m

.75327 .44739 L

s

0 0 0 r

2 Mabswid

.87466 .57942 Mdot

.87466 .57942 Mdot

.039 .916 .04 r

.5 Mabswid

.17597 .72459 m

.77953 .53502 L

s

.16265 .68577 m

.76499 .49123 L

s

0 0 0 r

2 Mabswid

.78572 .30817 Mdot

.78572 .30817 Mdot

.80816 .37835 Mdot

.80816 .37835 Mdot

.84093 .4869 Mdot

.84093 .4869 Mdot

.83661 .47385 Mdot

.83661 .47385 Mdot

.84451 .5 Mdot

.84451 .5 Mdot

.83173 .46137 Mdot

.83173 .46137 Mdot

.8472 .51263 Mdot

.8472 .51263 Mdot

.8739 .59612 Mdot

.8739 .59612 Mdot

.82648 .44998 Mdot

.82648 .44998 Mdot

.84889 .52426 Mdot

.84889 .52426 Mdot

.79806 .36688 Mdot

.79806 .36688 Mdot

.89421 .6676 Mdot

.89421 .6676 Mdot

.82107 .44015 Mdot

.82107 .44015 Mdot

0 g

.5 Mabswid

.97657 .93008 m

.6952 .58531 L

s

0 0 0 r

2 Mabswid

.84951 .53442 Mdot

.84951 .53442 Mdot

.81572 .4323 Mdot

.81572 .4323 Mdot

.77177 .29754 Mdot

.77177 .29754 Mdot

.87096 .60849 Mdot

.87096 .60849 Mdot

.84901 .54265 Mdot

.84901 .54265 Mdot

.81066 .42677 Mdot

.81066 .42677 Mdot

.78885 .3604 Mdot

.78885 .3604 Mdot

.84739 .5486 Mdot

.84739 .5486 Mdot

.8061 .42385 Mdot

.8061 .42385 Mdot

.887 .67967 Mdot

.887 .67967 Mdot

.86588 .61588 Mdot

.86588 .61588 Mdot

.84471 .55195 Mdot

.84471 .55195 Mdot

.80225 .4237 Mdot

.80225 .4237 Mdot

.78096 .35936 Mdot

.78096 .35936 Mdot

.75961 .2949 Mdot

.75961 .2949 Mdot

.84108 .55254 Mdot

.84108 .55254 Mdot

.7993 .42637 Mdot

.7993 .42637 Mdot

.85881 .61779 Mdot

.85881 .61779 Mdot

.83662 .55027 Mdot

.83662 .55027 Mdot

.79738 .43179 Mdot

.79738 .43179 Mdot

.77476 .364 Mdot

.77476 .364 Mdot

.87672 .68367 Mdot

.87672 .68367 Mdot

.83154 .54521 Mdot

.83154 .54521 Mdot

.79661 .43976 Mdot

.79661 .43976 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.66497 .02988 L

s

0 0 0 r

2 Mabswid

.82604 .53755 Mdot

.82604 .53755 Mdot

.74988 .30077 Mdot

.74988 .30077 Mdot

.85001 .61395 Mdot

.85001 .61395 Mdot

.79702 .44995 Mdot

.79702 .44995 Mdot

.82039 .52761 Mdot

.82039 .52761 Mdot

.77061 .37429 Mdot

.77061 .37429 Mdot

.79863 .46192 Mdot

.79863 .46192 Mdot

.81485 .51581 Mdot

.81485 .51581 Mdot

.80136 .47512 Mdot

.80136 .47512 Mdot

.80967 .50272 Mdot

.80967 .50272 Mdot

.8051 .48894 Mdot

.8051 .48894 Mdot

.83982 .60434 Mdot

.83982 .60434 Mdot

.86368 .67897 Mdot

.86368 .67897 Mdot

.76876 .38993 Mdot

.76876 .38993 Mdot

.74316 .31534 Mdot

.74316 .31534 Mdot

.82869 .58925 Mdot

.82869 .58925 Mdot

.76937 .41034 Mdot

.76937 .41034 Mdot

.84837 .66537 Mdot

.84837 .66537 Mdot

.81713 .56925 Mdot

.81713 .56925 Mdot

.77249 .43463 Mdot

.77249 .43463 Mdot

.73991 .33832 Mdot

.73991 .33832 Mdot

.80572 .54526 Mdot

.80572 .54526 Mdot

.77799 .46164 Mdot

.77799 .46164 Mdot

.79503 .5184 Mdot

.79503 .5184 Mdot

.78563 .49005 Mdot

.78563 .49005 Mdot

.83144 .64311 Mdot

.83144 .64311 Mdot

.74048 .36894 Mdot

.74048 .36894 Mdot

.8137 .61299 Mdot

.8137 .61299 Mdot

.74497 .4059 Mdot

.74497 .4059 Mdot

.79608 .57634 Mdot

.79608 .57634 Mdot

0 g

.5 Mabswid

.6952 .58531 m

.02877 .79167 L

s

0 0 0 r

2 Mabswid

.75327 .44739 Mdot

.75327 .44739 Mdot

.77953 .53502 Mdot

.77953 .53502 Mdot

.76499 .49123 Mdot

.76499 .49123 Mdot

0 g

.25 Mabswid

.08846 .24555 m

.67245 0 L

s

.10087 .24033 m

.10595 .24556 L

s

[(0)] .09072 .22988 .97192 1 Mshowa

.22871 .18658 m

.23354 .19204 L

s

[(25)] .21906 .17566 .88455 1 Mshowa

.36358 .12987 m

.36813 .13557 L

s

[(50)] .3545 .11847 .79718 1 Mshowa

.50609 .06995 m

.51031 .07589 L

s

[(75)] .49765 .05807 .70982 1 Mshowa

.65689 .00654 m

.66074 .01273 L

s

[(100)] .64919 -0.00583 .62245 1 Mshowa

.125 Mabswid

.12591 .22981 m

.12892 .23297 L

s

.1512 .21917 m

.15419 .22236 L

s

.17676 .20842 m

.17972 .21164 L

s

.2026 .19756 m

.20553 .20081 L

s

.25511 .17548 m

.25797 .17879 L

s

.28179 .16426 m

.28462 .1676 L

s

.30875 .15292 m

.31155 .15628 L

s

.33602 .14146 m

.33878 .14485 L

s

.39145 .11815 m

.39414 .1216 L

s

.41963 .1063 m

.42229 .10978 L

s

.44813 .09432 m

.45074 .09783 L

s

.47695 .0822 m

.47952 .08574 L

s

.53556 .05756 m

.53805 .06115 L

s

.56537 .04502 m

.56782 .04865 L

s

.59553 .03235 m

.59793 .036 L

s

.62603 .01952 m

.62839 .0232 L

s

.25 Mabswid

0 .80374 m

.40037 1.0855 L

s

.01178 .81203 m

.01289 .80482 L

s

[(-50)] .00955 .82643 .15454 -1 Mshowa

.1225 .88995 m

.12336 .88271 L

s

[(-25)] .12079 .90442 .11851 -1 Mshowa

.22183 .95985 m

.22246 .95259 L

s

[(0)] .22056 .97437 .08756 -1 Mshowa

.31143 1.0229 m

.31187 1.01563 L

s

[(25)] .31055 1.03745 .0607 -1 Mshowa

.39267 1.08007 m

.39294 1.07279 L

s

[(50)] .39213 1.09464 .03715 -1 Mshowa

.125 Mabswid

.03493 .82832 m

.03556 .82399 L

s

.05756 .84424 m

.05816 .83991 L

s

.07969 .85982 m

.08026 .85548 L

s

.10133 .87505 m

.10187 .87071 L

s

.14322 .90453 m

.14371 .90018 L

s

.1635 .9188 m

.16396 .91445 L

s

.18335 .93277 m

.18378 .92842 L

s

.20279 .94645 m

.2032 .9421 L

s

.24048 .97297 m

.24084 .96861 L

s

.25875 .98583 m

.25909 .98147 L

s

.27666 .99844 m

.27697 .99407 L

s

.29422 1.01079 m

.29451 1.00643 L

s

.32831 1.03478 m

.32855 1.03041 L

s

.34486 1.04643 m

.34508 1.04206 L

s

.3611 1.05786 m

.3613 1.05349 L

s

.37703 1.06907 m

.37721 1.0647 L

s

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 ImageSize->{381.312, 413.25},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"From In[67]:=",ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"],ImageRangeCache->{{{0, 380.312}, {412.25, 0}} -> {0.00299465, \
-0.0265483, 0.00239377, 0.00239377}}]
}, Open  ]],

Cell["These light sources are also coincident at the origin.", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Random Light Sources", "Subsubsection",
 CellTags->{
  "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.5", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 "Sometimes you want a light source with a random character.  The ",
 StyleBox["MonteCarlo", "MB"],
 " option fills this requirement."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"randomParallelLight", " ", "=", " ", 
   RowBox[{"AnalyzeSystem", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"GridOfRays", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"75", ",", "75"}], "}"}], ",", 
         RowBox[{"NumberOfRays", "\[Rule]", "20"}], ",", 
         RowBox[{"MonteCarlo", "\[Rule]", "True"}]}], "]"}], ",", 
       RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", 
     RowBox[{"PlotType", "\[Rule]", "Full3D"}], ",", 
     RowBox[{"RayLimit", "\[Rule]", "150"}], ",", " ", 
     RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}]}], ";"}]], "Input",\

 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[29]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxt23lUTl3UAPBdkoqSChFRGjRoHp7m04MkIYQQJYUGpIEQZUqJylCSKQmZ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      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxNWXk81F8XHpItW0j2fd8ZxhjbnUmSXSmSIkvZKllKUUYhUpayJQqpFEpC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      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.56336605250101*^9, 3.566086441222507*^9, 
  3.566127690523531*^9, 3.5661278659564753`*^9, 3.5661611457107143`*^9, 
  3.60121297694538*^9, 3.601286451507455*^9, 3.601286497132291*^9, 
  3.6147082301047297`*^9, 3.614726967257843*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[29]:="]
}, Open  ]],

Cell["A random-pattern parallel source.", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],

Cell["Here is a random point source.", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"randomPointSource", " ", "=", " ", 
   RowBox[{"AnalyzeSystem", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointOfRays", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"75", ",", "75"}], "}"}], ",", 
         RowBox[{"NumberOfRays", "\[Rule]", "20"}], ",", 
         RowBox[{"MonteCarlo", "\[Rule]", "Stratified"}]}], "]"}], ",", 
       RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", 
     RowBox[{"PlotType", "\[Rule]", "Full3D"}], ",", 
     RowBox[{"RayLimit", "\[Rule]", "150"}], ",", " ", 
     RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}]}], ";"}]], "Input",\

 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[30]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyFnHc8ltH7x42koexZhGyyt3DweBDZs0QUSiRFZjSslpSRkaJUViIUIreS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      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJxFmnc8F973x42kQfYeIZvsvd737T2QvVUiCiWSIjMaVkvKyEhRKisRCpGr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      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366056158811*^9, 3.5660864477182827`*^9, 
  3.5661276965039167`*^9, 3.566127871984991*^9, 3.56616115137761*^9, 
  3.6012129802383966`*^9, 3.601286454401101*^9, 3.60128650055079*^9, 
  3.614708233268358*^9, 3.6147269698674793`*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[30]:="]
}, Open  ]],

Cell["A random-pattern point source.", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Nested Light Sources", "Subsubsection",
 CellTags->{
  "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.6", "PR1.3.4", "PR1.3"}],

Cell["\<\
You can also embed light source functions within each other to build \
customized light sources.  You can build up complex sources very quickly this \
way.  Here is an example with three embedded sources.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"nested2DLight", "=", 
   RowBox[{"AnalyzeSystem", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"LineOfRays", "[", 
        RowBox[{
         RowBox[{"WedgeOfRays", "[", 
          RowBox[{
           RowBox[{"WedgeOfRays", "[", "3", "]"}], ",", "30"}], "]"}], ",", 
         "30"}], "]"}], ",", 
       RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", 
     RowBox[{"PlotType", "\[Rule]", "TopView"}]}], "]"}]}], ";"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[31]:="],

Cell[BoxData[
 GraphicsBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., 50.}, {100., -50.}, {100., -50.}, {100., 50.}, {100., 
       50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., -50.}, {0., -50.}, {0., -50.}, {100., -50.}, {
       100., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{0, -50}, {0, 50}, {0, 50}, {0, -50}, {0, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{0., 50.}, {100., 50.}, {100., 50.}, {0., 50.}, {0., 50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., -50.}, {100., 50.}, {0., 50.}, {0., -50.}, {
       100., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{100., 50.}, {100., -50.}, {0., -50.}, {0., 50.}, {100., 
       50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Arrowheads[Small], 
     ArrowBox[{{0., -15.}, {99.99999999999999, 14.621349496208019`}}], 
     {Arrowheads[Small], ArrowBox[{{0., -15.}, {100., 11.794919243112265`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., -15.}, {100., 9.007875908011599}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., -15.}, {100., -12.381407843081307`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., -15.}, {100., -15.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., -15.}, {100., -17.618592156918695`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., -15.}, {100., -39.0078759080116}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., -15.}, {100., -41.79491924311226}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., -15.}, {99.99999999999999, -44.62134949620802}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 0.}, {99.99999999999999, 29.62134949620802}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., 26.794919243112265`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., 24.0078759080116}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., 2.6185921569186927`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., 0.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 0.}, {100., -2.6185921569186927`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 0.}, {100., -24.0078759080116}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 0.}, {100., -26.794919243112265`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 0.}, {99.99999999999999, -29.62134949620802}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 15.}, {99.99999999999999, 44.62134949620802}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 15.}, {100., 41.79491924311226}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 15.}, {100., 39.0078759080116}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 15.}, {100., 17.618592156918695`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 15.}, {100., 15.}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 15.}, {100., 12.381407843081307`}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 15.}, {100., -9.007875908011599}}]}, 
     {Arrowheads[Small], ArrowBox[{{0., 15.}, {100., -11.794919243112265`}}]}, 
     {Arrowheads[Small], 
      ArrowBox[{{0., 15.}, {99.99999999999999, -14.621349496208019`}}]}}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], PointBox[CompressedData["
1:eJxTTMoPSmViYGCQBmIQ/R8MIhy+GGW3KtrpOjCAQaTDKscNy/9PU4fzJdbM
8+dgUYLzd37seOx+WOMAjA+h9eB8lXZrvph5hnA+2+rnwkyNznB+lsCbl/uf
uhyA2b/3TFRih78bnF81c+shgfm2cPuuKty4XH/aCs7nCTuvzsJkAefLWN4p
fPCJBc5nQAFw+QNo+uF8qPno9qO7D24+1P1wPtR/cD7U/2ju0UMPP/TwhbsH
Gv4H0OLnAABdK45K
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  GridLines:>None,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366057238038*^9, 3.566086452431336*^9, 
  3.5661276973151073`*^9, 3.5661278728380823`*^9, 3.566161152147646*^9, 
  3.601212980991465*^9, 3.6012864616995153`*^9, 3.601286501038013*^9, 
  3.614708233797852*^9, 3.614726970261344*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[31]:="]
}, Open  ]],

Cell["A two-dimensional nested light.", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],

Cell["Here is a three-dimensional nested source.", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"nested3DLight", " ", "=", " ", 
   RowBox[{"AnalyzeSystem", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"PointOfRays", "[", 
        RowBox[{
         RowBox[{"ConeOfRays", "[", 
          RowBox[{"15", ",", 
           RowBox[{"NumberOfRays", "\[Rule]", "15"}]}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"75", ",", "75"}], "}"}]}], "]"}], ",", 
       RowBox[{"Boundary", "[", "100", "]"}]}], "}"}], ",", " ", 
     RowBox[{"Axes", " ", "\[Rule]", " ", "True"}]}], "]"}]}], ";"}]], "Input",\

 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[32]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyN2AlQE2cUB/BIJyByKoiAQMqRlqgIWkeTyPGBkECCCgHKAErLOZWCeIFi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      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJx1lgtQVGUUx1eaBREEFERAYBPYYlUEzYHdlccBYRcWVJ4xgFI8J0nEFyoG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      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  Axes:>True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366058481254*^9, 3.566086457892872*^9, 
  3.566127698971867*^9, 3.5661278743165627`*^9, 3.5661611538904467`*^9, 
  3.60121298202556*^9, 3.6012864625937433`*^9, 3.601286502027192*^9, 
  3.614708234724942*^9, 3.61472697106671*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[32]:="]
}, Open  ]],

Cell["A three-dimensional nested light source.", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Aperture Stops", "Subsubsection",
 CellTags->{
  "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.7", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 "You can further customize or shape light sources by means of an aperture.   \
Use 's ",
 StyleBox["ApertureStop", "MB"],
 " function to create such an aperture."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[{
 "Here is a stop with four separate apertures.  One way to construct such a  \
stop is by positioning four separate ",
 StyleBox["ApertureStop", "MB"],
 " objects."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"circleAperture", "=", 
   RowBox[{"ApertureStop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"50", ",", "50"}], "}"}], ",", "25", ",", 
     RowBox[{"InterceptHole", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"slitAperture", "=", 
   RowBox[{"ApertureStop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"50", ",", "50"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"5", ",", "30"}], "}"}], ",", 
     RowBox[{"InterceptHole", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ellipseAperture", "=", 
   RowBox[{"ApertureStop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"50", ",", "50"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "30"}], ",", 
       RowBox[{"-", "10"}]}], "}"}], ",", 
     RowBox[{"InterceptHole", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"squareAperture", "=", 
   RowBox[{"ApertureStop", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"50", ",", "50"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"25", ",", "25"}], "}"}], ",", 
     RowBox[{"InterceptHole", "\[Rule]", "True"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"GridOfRays", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"100", ",", "100"}], "}"}], ",", 
       RowBox[{"NumberOfRays", "\[Rule]", "32"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Translate", "[", 
      RowBox[{"circleAperture", ",", 
       RowBox[{"{", 
        RowBox[{"25", ",", 
         RowBox[{"-", "25"}], ",", "25"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Translate", "[", 
      RowBox[{"slitAperture", ",", 
       RowBox[{"{", 
        RowBox[{"25", ",", "25", ",", "25"}], "}"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Translate", "[", 
      RowBox[{"squareAperture", ",", 
       RowBox[{"{", 
        RowBox[{"25", ",", "25", ",", 
         RowBox[{"-", "25"}]}], "}"}]}], "]"}], ",", "\[IndentingNewLine]", 
     RowBox[{"Translate", "[", 
      RowBox[{"ellipseAperture", ",", 
       RowBox[{"{", 
        RowBox[{"25", ",", 
         RowBox[{"-", "25"}], ",", 
         RowBox[{"-", "25"}]}], "}"}]}], "]"}], ",", "  ", 
     RowBox[{"Move", "[", 
      RowBox[{
       RowBox[{"Screen", "[", 
        RowBox[{"{", 
         RowBox[{"100", ",", "100"}], "}"}], "]"}], ",", " ", "100"}], "]"}], 
     ",", " ", 
     RowBox[{"Boundary", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", "50"}], ",", 
         RowBox[{"-", "50"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"100", ",", "50", ",", "50"}], "}"}]}], "]"}]}], "}"}], "]"}],
   ";"}]}], "Input",
 CellChangeTimes->{{3.5660864680085983`*^9, 3.566086566397069*^9}, {
   3.566128051538348*^9, 3.566128056608234*^9}, {3.566128105371584*^9, 
   3.566128124546504*^9}, {3.566128362707571*^9, 3.566128379064571*^9}, {
   3.566128427595896*^9, 3.566128471731091*^9}, 3.566128529894363*^9, {
   3.566128586743862*^9, 3.5661286013664503`*^9}, {3.5661287212514668`*^9, 
   3.5661287457778807`*^9}, {3.566128806709201*^9, 3.56612881154742*^9}, {
   3.566160999859693*^9, 3.5661610094590483`*^9}, {3.5661610567964697`*^9, 
   3.566161064891308*^9}},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"In[33]:="],

Cell[BoxData[
 Graphics3DBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, 
    {GrayLevel[0.5], EdgeForm[None], 
     Polygon3DBox[{{25., -16.161165235168156`, 16.161165235168156`}, {
      25., -14.174682452694517`, 18.75}, {25., -7.645310957157264, 
      7.6453109571572675`}, {25., -16.161165235168156`, 
      16.161165235168156`}}], 
     Polygon3DBox[{{25., -6.256643141991855, 15.132072462731923`}, {
      25., -7.645310957157264, 7.6453109571572675`}, {
      25., -14.174682452694517`, 18.75}, {25., -6.256643141991855, 
      15.132072462731923`}}], 
     Polygon3DBox[{{25., -14.174682452694517`, 18.75}, {
      25., -12.925927171386647`, 21.76476193621849}, {25., -6.256643141991855,
       15.132072462731923`}, {25., -14.174682452694517`, 18.75}}], 
     Polygon3DBox[{{25., -6.250000812873967, 21.387460447597352`}, {
      25., -6.256643141991855, 15.132072462731923`}, {
      25., -12.925927171386647`, 21.76476193621849}, {25., -6.250000812873967,
       21.387460447597352`}}], 
     Polygon3DBox[{{25., -12.925927171386647`, 21.76476193621849}, {
      25., -12.5, 25.}, {25., -6.250000812873967, 21.387460447597352`}, {
      25., -12.925927171386647`, 21.76476193621849}}], 
     Polygon3DBox[{{25., -6.25, 25.}, {25., -6.250000812873967, 
      21.387460447597352`}, {25., -12.5, 25.}, {25., -6.25, 25.}}], 
     Polygon3DBox[{{25., -12.5, 25.}, {25., -12.925927171386647`, 
      28.23523806378151}, {25., -6.25, 25.}, {25., -12.5, 25.}}], 
     Polygon3DBox[{{25., -6.250000812873967, 28.612539552402648`}, {
      25., -6.25, 25.}, {25., -12.925927171386647`, 28.23523806378151}, {
      25., -6.250000812873967, 28.612539552402648`}}], 
     Polygon3DBox[{{25., -12.925927171386647`, 28.23523806378151}, {
      25., -14.174682452694515`, 31.25}, {25., -6.250000812873967, 
      28.612539552402648`}, {25., -12.925927171386647`, 28.23523806378151}}], 
     Polygon3DBox[{{25., -6.256643141991855, 34.86792753726807}, {
      25., -6.250000812873967, 28.612539552402648`}, {
      25., -14.174682452694515`, 31.25}, {25., -6.256643141991855, 
      34.86792753726807}}], 
     Polygon3DBox[{{25., -14.174682452694515`, 31.25}, {
      25., -16.161165235168156`, 33.838834764831844`}, {
      25., -6.256643141991855, 34.86792753726807}, {25., -14.174682452694515`,
       31.25}}], 
     Polygon3DBox[{{25., -7.6453109571572675`, 42.354689042842736`}, {
      25., -6.256643141991855, 34.86792753726807}, {25., -16.161165235168156`,
       33.838834764831844`}, {25., -7.6453109571572675`, 
      42.354689042842736`}}], 
     Polygon3DBox[{{25., -16.161165235168156`, 33.838834764831844`}, {
      25., -18.75, 35.82531754730548}, {25., -7.6453109571572675`, 
      42.354689042842736`}, {25., -16.161165235168156`, 
      33.838834764831844`}}], 
     Polygon3DBox[{{25., -15.132072462731923`, 43.74335685800814}, {
      25., -7.6453109571572675`, 42.354689042842736`}, {25., -18.75, 
      35.82531754730548}, {25., -15.132072462731923`, 43.74335685800814}}], 
     Polygon3DBox[{{25., -18.75, 35.82531754730548}, {
      25., -21.764761936218488`, 37.07407282861335}, {
      25., -15.132072462731923`, 43.74335685800814}, {25., -18.75, 
      35.82531754730548}}], 
     Polygon3DBox[{{25., -21.387460447597405`, 43.749999187126036`}, {
      25., -15.132072462731923`, 43.74335685800814}, {
      25., -21.764761936218488`, 37.07407282861335}, {
      25., -21.387460447597405`, 43.749999187126036`}}], 
     Polygon3DBox[{{25., -21.764761936218488`, 37.07407282861335}, {25., -25.,
       37.5}, {25., -21.387460447597405`, 43.749999187126036`}, {
      25., -21.764761936218488`, 37.07407282861335}}], 
     Polygon3DBox[{{25., -24.99547740483624, 43.75}, {
      25., -21.387460447597405`, 43.749999187126036`}, {25., -25., 37.5}, {
      25., -24.99547740483624, 43.75}}], 
     Polygon3DBox[{{25., -25., 37.5}, {25., -28.235238063781505`, 
      37.07407282861335}, {25., -24.99547740483624, 43.75}, {25., -25., 
      37.5}}], Polygon3DBox[{{25., -28.612539552402435`, 
      43.749999187126036`}, {25., -24.99547740483624, 43.75}, {
      25., -28.235238063781505`, 37.07407282861335}, {
      25., -28.612539552402435`, 43.749999187126036`}}], 
     Polygon3DBox[{{25., -28.235238063781505`, 37.07407282861335}, {
      25., -31.249999999999996`, 35.82531754730549}, {
      25., -28.612539552402435`, 43.749999187126036`}, {
      25., -28.235238063781505`, 37.07407282861335}}], 
     Polygon3DBox[{{25., -34.86792753726807, 43.74335685800814}, {
      25., -28.612539552402435`, 43.749999187126036`}, {
      25., -31.249999999999996`, 35.82531754730549}, {25., -34.86792753726807,
       43.74335685800814}}], 
     Polygon3DBox[{{25., -31.249999999999996`, 35.82531754730549}, {
      25., -33.838834764831844`, 33.838834764831844`}, {
      25., -34.86792753726807, 43.74335685800814}, {25., -31.249999999999996`,
       35.82531754730549}}], 
     Polygon3DBox[{{25., -42.354689042842736`, 42.354689042842736`}, {
      25., -34.86792753726807, 43.74335685800814}, {25., -33.838834764831844`,
       33.838834764831844`}, {25., -42.354689042842736`, 
      42.354689042842736`}}], 
     Polygon3DBox[{{25., -33.838834764831844`, 33.838834764831844`}, {
      25., -35.82531754730548, 31.250000000000004`}, {
      25., -42.354689042842736`, 42.354689042842736`}, {
      25., -33.838834764831844`, 33.838834764831844`}}], 
     Polygon3DBox[{{25., -43.74335685800814, 34.86792753726809}, {
      25., -42.354689042842736`, 42.354689042842736`}, {
      25., -35.82531754730548, 31.250000000000004`}, {25., -43.74335685800814,
       34.86792753726809}}], 
     Polygon3DBox[{{25., -35.82531754730548, 31.250000000000004`}, {
      25., -37.07407282861335, 28.235238063781512`}, {25., -43.74335685800814,
       34.86792753726809}, {25., -35.82531754730548, 31.250000000000004`}}], 
     Polygon3DBox[{{25., -43.749999187126036`, 28.612539552402673`}, {
      25., -43.74335685800814, 34.86792753726809}, {25., -37.07407282861335, 
      28.235238063781512`}, {25., -43.749999187126036`, 
      28.612539552402673`}}], 
     Polygon3DBox[{{25., -37.07407282861335, 28.235238063781512`}, {
      25., -37.5, 25.000000000000007`}, {25., -43.749999187126036`, 
      28.612539552402673`}, {25., -37.07407282861335, 28.235238063781512`}}], 
     Polygon3DBox[{{25., -43.75, 25.00527905984266}, {
      25., -43.749999187126036`, 28.612539552402673`}, {25., -37.5, 
      25.000000000000007`}, {25., -43.75, 25.00527905984266}}], 
     Polygon3DBox[{{25., -37.5, 25.000000000000007`}, {
      25., -37.07407282861335, 21.764761936218495`}, {25., -43.75, 
      25.00527905984266}, {25., -37.5, 25.000000000000007`}}], 
     Polygon3DBox[{{25., -43.749999187126036`, 21.387460447597643`}, {
      25., -43.75, 25.00527905984266}, {25., -37.07407282861335, 
      21.764761936218495`}, {25., -43.749999187126036`, 
      21.387460447597643`}}], 
     Polygon3DBox[{{25., -37.07407282861335, 21.764761936218495`}, {
      25., -35.82531754730549, 18.750000000000007`}, {
      25., -43.749999187126036`, 21.387460447597643`}, {
      25., -37.07407282861335, 21.764761936218495`}}], 
     Polygon3DBox[{{25., -43.74335685800814, 15.132072462731939`}, {
      25., -43.749999187126036`, 21.387460447597643`}, {
      25., -35.82531754730549, 18.750000000000007`}, {25., -43.74335685800814,
       15.132072462731939`}}], 
     Polygon3DBox[{{25., -35.82531754730549, 18.750000000000007`}, {
      25., -33.838834764831844`, 16.161165235168156`}, {
      25., -43.74335685800814, 15.132072462731939`}, {25., -35.82531754730549,
       18.750000000000007`}}], 
     Polygon3DBox[{{25., -42.354689042842736`, 7.6453109571572675`}, {
      25., -43.74335685800814, 15.132072462731939`}, {
      25., -33.838834764831844`, 16.161165235168156`}, {
      25., -42.354689042842736`, 7.6453109571572675`}}], 
     Polygon3DBox[{{25., -33.838834764831844`, 16.161165235168156`}, {
      25., -31.250000000000007`, 14.17468245269452}, {
      25., -42.354689042842736`, 7.6453109571572675`}, {
      25., -33.838834764831844`, 16.161165235168156`}}], 
     Polygon3DBox[{{25., -34.86792753726807, 6.256643141991855}, {
      25., -42.354689042842736`, 7.6453109571572675`}, {
      25., -31.250000000000007`, 14.17468245269452}, {25., -34.86792753726807,
       6.256643141991855}}], 
     Polygon3DBox[{{25., -31.250000000000007`, 14.17468245269452}, {
      25., -28.23523806378152, 12.925927171386649`}, {25., -34.86792753726807,
       6.256643141991855}, {25., -31.250000000000007`, 14.17468245269452}}], 
     Polygon3DBox[{{25., -28.61253955240275, 6.250000812873967}, {
      25., -34.86792753726807, 6.256643141991855}, {25., -28.23523806378152, 
      12.925927171386649`}, {25., -28.61253955240275, 6.250000812873967}}], 
     Polygon3DBox[{{25., -28.23523806378152, 12.925927171386649`}, {
      25., -24.999999999999996`, 12.5}, {25., -28.61253955240275, 
      6.250000812873967}, {25., -28.23523806378152, 12.925927171386649`}}], 
     Polygon3DBox[{{25., -24.994221064383872`, 6.25}, {
      25., -28.61253955240275, 6.250000812873967}, {25., -24.999999999999996`,
       12.5}, {25., -24.994221064383872`, 6.25}}], 
     Polygon3DBox[{{25., -24.999999999999996`, 12.5}, {25., -21.7647619362185,
       12.925927171386645`}, {25., -24.994221064383872`, 6.25}, {
      25., -24.999999999999996`, 12.5}}], 
     Polygon3DBox[{{25., -21.38746044759772, 6.250000812873967}, {
      25., -24.994221064383872`, 6.25}, {25., -21.7647619362185, 
      12.925927171386645`}, {25., -21.38746044759772, 6.250000812873967}}], 
     Polygon3DBox[{{25., -21.7647619362185, 12.925927171386645`}, {
      25., -18.750000000000007`, 14.174682452694512`}, {
      25., -21.38746044759772, 6.250000812873967}, {25., -21.7647619362185, 
      12.925927171386645`}}], 
     Polygon3DBox[{{25., -15.13207246273194, 6.256643141991855}, {
      25., -21.38746044759772, 6.250000812873967}, {25., -18.750000000000007`,
       14.174682452694512`}, {25., -15.13207246273194, 6.256643141991855}}], 
     Polygon3DBox[{{25., -18.750000000000007`, 14.174682452694512`}, {
      25., -16.161165235168156`, 16.161165235168156`}, {
      25., -15.13207246273194, 6.256643141991855}, {25., -18.750000000000007`,
       14.174682452694512`}}], 
     Polygon3DBox[{{25., -7.6453109571572675`, 7.645310957157264}, {
      25., -15.13207246273194, 6.256643141991855}, {25., -16.161165235168156`,
       16.161165235168156`}, {25., -7.6453109571572675`, 7.645310957157264}}],
      Polygon3DBox[{{25., -16.161165235168156`, 16.161165235168156`}, {
      25., -16.161165235168156`, 16.161165235168156`}, {
      25., -7.6453109571572675`, 7.645310957157264}, {
      25., -16.161165235168156`, 16.161165235168156`}}], 
     Polygon3DBox[{{25., -7.645310957157264, 7.6453109571572675`}, {
      25., -7.6453109571572675`, 7.645310957157264}, {
      25., -16.161165235168156`, 16.161165235168156`}, {
      25., -7.645310957157264, 7.6453109571572675`}}], 
     Polygon3DBox[{{25., -7.645310957157264, 7.6453109571572675`}, {
      25., -6.256643141991855, 15.132072462731923`}, {25., 0., 0.}, {
      25., -7.645310957157264, 7.6453109571572675`}}], 
     Polygon3DBox[{{25., 0., 7.116860867531617}, {25., 0., 0.}, {
      25., -6.256643141991855, 15.132072462731923`}, {25., 0., 
      7.116860867531617}}], 
     Polygon3DBox[{{25., -6.256643141991855, 15.132072462731923`}, {
      25., -6.250000812873967, 21.387460447597352`}, {25., 0., 
      7.116860867531617}, {25., -6.256643141991855, 15.132072462731923`}}], 
     Polygon3DBox[{{25., 0., 14.704549734913002`}, {25., 0., 
      7.116860867531617}, {25., -6.250000812873967, 21.387460447597352`}, {
      25., 0., 14.704549734913002`}}], 
     Polygon3DBox[{{25., -6.250000812873967, 21.387460447597352`}, {
      25., -6.25, 25.}, {25., 0., 14.704549734913002`}, {
      25., -6.250000812873967, 21.387460447597352`}}], 
     Polygon3DBox[{{25., 0., 25.}, {25., 0., 14.704549734913002`}, {
      25., -6.25, 25.}, {25., 0., 25.}}], 
     Polygon3DBox[{{25., -6.25, 25.}, {25., -6.250000812873967, 
      28.612539552402648`}, {25., 0., 25.}, {25., -6.25, 25.}}], 
     Polygon3DBox[{{25., 0., 35.295450265087}, {25., 0., 25.}, {
      25., -6.250000812873967, 28.612539552402648`}, {25., 0., 
      35.295450265087}}], 
     Polygon3DBox[{{25., -6.250000812873967, 28.612539552402648`}, {
      25., -6.256643141991855, 34.86792753726807}, {25., 0., 
      35.295450265087}, {25., -6.250000812873967, 28.612539552402648`}}], 
     Polygon3DBox[{{25., 0., 42.88313913246838}, {25., 0., 35.295450265087}, {
      25., -6.256643141991855, 34.86792753726807}, {25., 0., 
      42.88313913246838}}], 
     Polygon3DBox[{{25., -6.256643141991855, 34.86792753726807}, {
      25., -7.6453109571572675`, 42.354689042842736`}, {25., 0., 
      42.88313913246838}, {25., -6.256643141991855, 34.86792753726807}}], 
     Polygon3DBox[{{25., -0.42767175194070006`, 49.5723282480593}, {25., 0., 
      42.88313913246838}, {25., -7.6453109571572675`, 42.354689042842736`}, {
      25., -0.42767175194070006`, 49.5723282480593}}], 
     Polygon3DBox[{{25., -7.6453109571572675`, 42.354689042842736`}, {
      25., -15.132072462731923`, 43.74335685800814}, {
      25., -0.42767175194070006`, 49.5723282480593}, {
      25., -7.6453109571572675`, 42.354689042842736`}}], 
     Polygon3DBox[{{25., -7.116860867531596, 50.}, {
      25., -0.42767175194070006`, 49.5723282480593}, {
      25., -15.132072462731923`, 43.74335685800814}, {25., -7.116860867531596,
       50.}}], Polygon3DBox[{{25., -15.132072462731923`, 43.74335685800814}, {
      25., -21.387460447597405`, 43.749999187126036`}, {
      25., -7.116860867531596, 50.}, {25., -15.132072462731923`, 
      43.74335685800814}}], 
     Polygon3DBox[{{25., -14.704549731337208`, 50.}, {25., -7.116860867531596,
       50.}, {25., -21.387460447597405`, 43.749999187126036`}, {
      25., -14.704549731337208`, 50.}}], 
     Polygon3DBox[{{25., -21.387460447597405`, 43.749999187126036`}, {
      25., -24.99547740483624, 43.75}, {25., -14.704549731337208`, 50.}, {
      25., -21.387460447597405`, 43.749999187126036`}}], 
     Polygon3DBox[{{25., -21.1029020986555, 50.}, {25., -14.704549731337208`, 
      50.}, {25., -24.99547740483624, 43.75}, {25., -21.1029020986555, 50.}}],
      Polygon3DBox[{{25., -24.99547740483624, 43.75}, {
      25., -28.612539552402435`, 43.749999187126036`}, {
      25., -21.1029020986555, 50.}, {25., -24.99547740483624, 43.75}}], 
     Polygon3DBox[{{25., -35.295450265222286`, 50.}, {25., -21.1029020986555, 
      50.}, {25., -28.612539552402435`, 43.749999187126036`}, {
      25., -35.295450265222286`, 50.}}], 
     Polygon3DBox[{{25., -28.612539552402435`, 43.749999187126036`}, {
      25., -34.86792753726807, 43.74335685800814}, {25., -35.295450265222286`,
       50.}, {25., -28.612539552402435`, 43.749999187126036`}}], 
     Polygon3DBox[{{25., -42.883139132468315`, 50.}, {
      25., -35.295450265222286`, 50.}, {25., -34.86792753726807, 
      43.74335685800814}, {25., -42.883139132468315`, 50.}}], 
     Polygon3DBox[{{25., -34.86792753726807, 43.74335685800814}, {
      25., -42.354689042842736`, 42.354689042842736`}, {
      25., -42.883139132468315`, 50.}, {25., -34.86792753726807, 
      43.74335685800814}}], 
     Polygon3DBox[{{25., 0., 50.}, {25., -42.883139132468315`, 50.}, {
      25., -42.354689042842736`, 42.354689042842736`}, {25., 0., 50.}}], 
     Polygon3DBox[{{25., -42.354689042842736`, 42.354689042842736`}, {
      25., -43.74335685800814, 34.86792753726809}, {25., 0., 50.}, {
      25., -42.354689042842736`, 42.354689042842736`}}], 
     Polygon3DBox[{{25., -50., 42.88313913246845}, {25., 0., 50.}, {
      25., -43.74335685800814, 34.86792753726809}, {25., -50., 
      42.88313913246845}}], 
     Polygon3DBox[{{25., -43.74335685800814, 34.86792753726809}, {
      25., -43.749999187126036`, 28.612539552402673`}, {25., -50., 
      42.88313913246845}, {25., -43.74335685800814, 34.86792753726809}}], 
     Polygon3DBox[{{25., -50., 35.29545026414495}, {25., -50., 
      42.88313913246845}, {25., -43.749999187126036`, 28.612539552402673`}, {
      25., -50., 35.29545026414495}}], 
     Polygon3DBox[{{25., -43.749999187126036`, 28.612539552402673`}, {
      25., -43.75, 25.00527905984266}, {25., -50., 35.29545026414495}, {
      25., -43.749999187126036`, 28.612539552402673`}}], 
     Polygon3DBox[{{25., -50., 29.03393333793501}, {25., -50., 
      35.29545026414495}, {25., -43.75, 25.00527905984266}, {25., -50., 
      29.03393333793501}}], 
     Polygon3DBox[{{25., -43.75, 25.00527905984266}, {
      25., -43.749999187126036`, 21.387460447597643`}, {25., -50., 
      29.03393333793501}, {25., -43.75, 25.00527905984266}}], 
     Polygon3DBox[{{25., -50., 14.704549742736074`}, {25., -50., 
      29.03393333793501}, {25., -43.749999187126036`, 21.387460447597643`}, {
      25., -50., 14.704549742736074`}}], 
     Polygon3DBox[{{25., -43.749999187126036`, 21.387460447597643`}, {
      25., -43.74335685800814, 15.132072462731939`}, {25., -50., 
      14.704549742736074`}, {25., -43.749999187126036`, 
      21.387460447597643`}}], 
     Polygon3DBox[{{25., -50., 7.116860867531731}, {25., -50., 
      14.704549742736074`}, {25., -43.74335685800814, 15.132072462731939`}, {
      25., -50., 7.116860867531731}}], 
     Polygon3DBox[{{25., -43.74335685800814, 15.132072462731939`}, {
      25., -42.354689042842736`, 7.6453109571572675`}, {25., -50., 
      7.116860867531731}, {25., -43.74335685800814, 15.132072462731939`}}], 
     Polygon3DBox[{{25., -50., 50.}, {25., -50., 7.116860867531731}, {
      25., -42.354689042842736`, 7.6453109571572675`}, {25., -50., 50.}}], 
     Polygon3DBox[{{25., -42.354689042842736`, 7.6453109571572675`}, {
      25., -34.86792753726807, 6.256643141991855}, {25., -50., 50.}, {
      25., -42.354689042842736`, 7.6453109571572675`}}], 
     Polygon3DBox[{{25., -50., 0.}, {25., -50., 50.}, {
      25., -34.86792753726807, 6.256643141991855}, {25., -50., 0.}}], 
     Polygon3DBox[{{25., -34.86792753726807, 6.256643141991855}, {
      25., -28.61253955240275, 6.250000812873967}, {25., -50., 0.}, {
      25., -34.86792753726807, 6.256643141991855}}], 
     Polygon3DBox[{{25., -35.295450278341406`, 0.}, {25., -50., 0.}, {
      25., -28.61253955240275, 6.250000812873967}, {25., -35.295450278341406`,
       0.}}], Polygon3DBox[{{25., -28.61253955240275, 6.250000812873967}, {
      25., -24.994221064383872`, 6.25}, {25., -35.295450278341406`, 0.}, {
      25., -28.61253955240275, 6.250000812873967}}], 
     Polygon3DBox[{{25., -20.88380647994692, 0.}, {25., -35.295450278341406`, 
      0.}, {25., -24.994221064383872`, 6.25}, {25., -20.88380647994692, 0.}}],
      Polygon3DBox[{{25., -24.994221064383872`, 6.25}, {
      25., -21.38746044759772, 6.250000812873967}, {25., -20.88380647994692, 
      0.}, {25., -24.994221064383872`, 6.25}}], 
     Polygon3DBox[{{25., -14.70454973198013, 0.}, {25., -20.88380647994692, 
      0.}, {25., -21.38746044759772, 6.250000812873967}, {
      25., -14.70454973198013, 0.}}], 
     Polygon3DBox[{{25., -21.38746044759772, 6.250000812873967}, {
      25., -15.13207246273194, 6.256643141991855}, {25., -14.70454973198013, 
      0.}, {25., -21.38746044759772, 6.250000812873967}}], 
     Polygon3DBox[{{25., -7.116860867531447, 0.}, {25., -14.70454973198013, 
      0.}, {25., -15.13207246273194, 6.256643141991855}, {
      25., -7.116860867531447, 0.}}], 
     Polygon3DBox[{{25., -15.13207246273194, 6.256643141991855}, {
      25., -7.6453109571572675`, 7.645310957157264}, {25., -7.116860867531447,
       0.}, {25., -15.13207246273194, 6.256643141991855}}], 
     Polygon3DBox[{{25., 0., 0.}, {25., -7.116860867531447, 0.}, {
      25., -7.6453109571572675`, 7.645310957157264}, {25., 0., 0.}}], 
     Polygon3DBox[{{25., -7.6453109571572675`, 7.645310957157264}, {
      25., -7.645310957157264, 7.6453109571572675`}, {25., 0., 0.}, {
      25., -7.6453109571572675`, 7.645310957157264}}], 
     Polygon3DBox[{{25., 0., 0.}, {25., 0., 0.}, {25., -7.645310957157264, 
      7.6453109571572675`}, {25., 0., 0.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGCQBGJmBhiwdIDQmgdQ+ZYOO7T8FYRvaR7w2H6u38LGBi4u
xVL9Kz9SB6LewR4uvsTnm7yTpsGBdTdZPsS9dnBAMe+A0YGfdomMS146wsW3
exgWHD9seiDI9I15dacTqnoGS4j5BxDiUHdgqP8PAvb2B36hmQ91B4Z7oO44
wIjmfqi5BzzR/At1B0b4wNTvhPgDLv4L2fwDRhjuWQYJJ7g4E8QdB2Qh4QoX
94b6dyckHuDijMjhw4AQ3wUNz+1o6pmg4S+BZj4svpaguQfqjgP/QOG6H+F+
qDsObEXzL9QdB8Dx8N/CAQC8F6FM
       "]], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGCQAWJmBhiwdGBAAZ4OMPE1q0BA4QC6+GqwuAGGOJTGod4B
QzwsFAiuuuAwx5Nk8VCIeRjiqyD24zDHEod6AwzxFZDwwGEODOAWD0XxL0J8
FUr4oJtjiUO9AYb4CpT4QjcHHRAWX4PVvwwMq7GGD4a70dSjhz8DQxjW+IIB
TwcAanZlKw==
       "]]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, 
    {GrayLevel[0.5], EdgeForm[None], 
     Polygon3DBox[{{25., 0., 50.}, {25., 50., 50.}, {25., 50., 40.}, {25., 0.,
       40.}, {25., 0., 50.}}], 
     Polygon3DBox[{{25., 27.5, 40.}, {25., 50., 40.}, {25., 50., 10.}, {25., 
      27.5, 10.}, {25., 27.5, 40.}}], 
     Polygon3DBox[{{25., 0., 0.}, {25., 50., 0.}, {25., 50., 10.}, {25., 0., 
      10.}, {25., 0., 0.}}], 
     Polygon3DBox[{{25., 22.5, 40.}, {25., 0., 40.}, {25., 0., 10.}, {25., 
      22.5, 10.}, {25., 22.5, 40.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{25., 0., 0.}, {25., 50., 0.}, {25., 50., 50.}, {25., 0., 
       50.}, {25., 0., 0.}}], 
      Line3DBox[{{25., 22.5, 10.}, {25., 27.5, 10.}, {25., 27.5, 40.}, {25., 
       22.5, 40.}, {25., 22.5, 10.}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, 
    {GrayLevel[0.5], EdgeForm[None], 
     Polygon3DBox[{{25., 0., 0.}, {25., 50., 0.}, {25., 50., -12.5}, {25., 
      0., -12.5}, {25., 0., 0.}}], 
     Polygon3DBox[{{25., 37.5, -12.5}, {25., 50., -12.5}, {25., 50., -37.5}, {
      25., 37.5, -37.5}, {25., 37.5, -12.5}}], 
     Polygon3DBox[{{25., 0., -50.}, {25., 50., -50.}, {25., 50., -37.5}, {25.,
       0., -37.5}, {25., 0., -50.}}], 
     Polygon3DBox[{{25., 12.5, -12.5}, {25., 0., -12.5}, {25., 0., -37.5}, {
      25., 12.5, -37.5}, {25., 12.5, -12.5}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{25., 0., -50.}, {25., 50., -50.}, {25., 50., 0.}, {25., 0., 
       0.}, {25., 0., -50.}}], 
      Line3DBox[{{25., 12.5, -37.5}, {25., 37.5, -37.5}, {25., 37.5, -12.5}, {
       25., 12.5, -12.5}, {25., 12.5, -37.5}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, 
    {GrayLevel[0.5], EdgeForm[None], 
     Polygon3DBox[{{25., -14.393398282201787`, -28.535533905932738`}, {
      25., -12.009618943233422`, -27.5}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -14.393398282201787`, -28.535533905932738`}}], 
     Polygon3DBox[{{25., -5.007086018124646, -32.89434202981446}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -12.009618943233422`, -27.5}, {
      25., -5.007086018124646, -32.89434202981446}}], 
     Polygon3DBox[{{25., -12.009618943233422`, -27.5}, {
      25., -10.511112605663975`, -26.294095225512603`}, {
      25., -5.007086018124646, -32.89434202981446}, {
      25., -12.009618943233422`, -27.5}}], 
     Polygon3DBox[{{25., -5.0000008670655625`, -27.89003164192212}, {
      25., -5.007086018124646, -32.89434202981446}, {
      25., -10.511112605663975`, -26.294095225512603`}, {
      25., -5.0000008670655625`, -27.89003164192212}}], 
     Polygon3DBox[{{25., -10.511112605663975`, -26.294095225512603`}, {
      25., -10., -25.}, {25., -5.0000008670655625`, -27.89003164192212}, {
      25., -10.511112605663975`, -26.294095225512603`}}], 
     Polygon3DBox[{{25., -5., -25.}, {
      25., -5.0000008670655625`, -27.89003164192212}, {25., -10., -25.}, {
      25., -5., -25.}}], 
     Polygon3DBox[{{25., -10., -25.}, {
      25., -10.511112605663975`, -23.705904774487397`}, {25., -5., -25.}, {
      25., -10., -25.}}], 
     Polygon3DBox[{{25., -5.0000008670655625`, -22.109968358077882`}, {
      25., -5., -25.}, {25., -10.511112605663975`, -23.705904774487397`}, {
      25., -5.0000008670655625`, -22.109968358077882`}}], 
     Polygon3DBox[{{25., -10.511112605663975`, -23.705904774487397`}, {
      25., -12.00961894323342, -22.5}, {
      25., -5.0000008670655625`, -22.109968358077882`}, {
      25., -10.511112605663975`, -23.705904774487397`}}], 
     Polygon3DBox[{{25., -5.007086018124646, -17.105657970185543`}, {
      25., -5.0000008670655625`, -22.109968358077882`}, {
      25., -12.00961894323342, -22.5}, {
      25., -5.007086018124646, -17.105657970185543`}}], 
     Polygon3DBox[{{25., -12.00961894323342, -22.5}, {
      25., -14.393398282201787`, -21.464466094067262`}, {
      25., -5.007086018124646, -17.105657970185543`}, {
      25., -12.00961894323342, -22.5}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -11.116248765725812`}, {
      25., -5.007086018124646, -17.105657970185543`}, {
      25., -14.393398282201787`, -21.464466094067262`}, {
      25., -6.4883316876344175`, -11.116248765725812`}}], 
     Polygon3DBox[{{25., -14.393398282201787`, -21.464466094067262`}, {
      25., -17.5, -20.66987298107781}, {
      25., -6.4883316876344175`, -11.116248765725812`}, {
      25., -14.393398282201787`, -21.464466094067262`}}], 
     Polygon3DBox[{{25., -14.47421062691405, -10.005314513593483`}, {
      25., -6.4883316876344175`, -11.116248765725812`}, {
      25., -17.5, -20.66987298107781}, {
      25., -14.47421062691405, -10.005314513593483`}}], 
     Polygon3DBox[{{25., -17.5, -20.66987298107781}, {
      25., -21.117714323462184`, -20.17037086855466}, {
      25., -14.47421062691405, -10.005314513593483`}, {
      25., -17.5, -20.66987298107781}}], 
     Polygon3DBox[{{25., -21.146624477437232`, -10.000000650299173`}, {
      25., -14.47421062691405, -10.005314513593483`}, {
      25., -21.117714323462184`, -20.17037086855466}, {
      25., -21.146624477437232`, -10.000000650299173`}}], 
     Polygon3DBox[{{25., -21.117714323462184`, -20.17037086855466}, {
      25., -25., -20.}, {25., -21.146624477437232`, -10.000000650299173`}, {
      25., -21.117714323462184`, -20.17037086855466}}], 
     Polygon3DBox[{{25., -24.99517589849199, -10.}, {
      25., -21.146624477437232`, -10.000000650299173`}, {25., -25., -20.}, {
      25., -24.99517589849199, -10.}}], 
     Polygon3DBox[{{25., -25., -20.}, {
      25., -28.882285676537805`, -20.170370868554656`}, {
      25., -24.99517589849199, -10.}, {25., -25., -20.}}], 
     Polygon3DBox[{{25., -28.853375522562597`, -10.000000650299173`}, {
      25., -24.99517589849199, -10.}, {
      25., -28.882285676537805`, -20.170370868554656`}, {
      25., -28.853375522562597`, -10.000000650299173`}}], 
     Polygon3DBox[{{25., -28.882285676537805`, -20.170370868554656`}, {
      25., -32.5, -20.669872981077805`}, {
      25., -28.853375522562597`, -10.000000650299173`}, {
      25., -28.882285676537805`, -20.170370868554656`}}], 
     Polygon3DBox[{{25., -35.52578937308594, -10.005314513593483`}, {
      25., -28.853375522562597`, -10.000000650299173`}, {
      25., -32.5, -20.669872981077805`}, {
      25., -35.52578937308594, -10.005314513593483`}}], 
     Polygon3DBox[{{25., -32.5, -20.669872981077805`}, {
      25., -35.60660171779821, -21.464466094067262`}, {
      25., -35.52578937308594, -10.005314513593483`}, {
      25., -32.5, -20.669872981077805`}}], 
     Polygon3DBox[{{25., -43.511668312365586`, -11.116248765725812`}, {
      25., -35.52578937308594, -10.005314513593483`}, {
      25., -35.60660171779821, -21.464466094067262`}, {
      25., -43.511668312365586`, -11.116248765725812`}}], 
     Polygon3DBox[{{25., -35.60660171779821, -21.464466094067262`}, {
      25., -37.99038105676658, -22.5}, {
      25., -43.511668312365586`, -11.116248765725812`}, {
      25., -35.60660171779821, -21.464466094067262`}}], 
     Polygon3DBox[{{25., -44.992913981875354`, -17.10565797018553}, {
      25., -43.511668312365586`, -11.116248765725812`}, {
      25., -37.99038105676658, -22.5}, {
      25., -44.992913981875354`, -17.10565797018553}}], 
     Polygon3DBox[{{25., -37.99038105676658, -22.5}, {
      25., -39.488887394336025`, -23.705904774487394`}, {
      25., -44.992913981875354`, -17.10565797018553}, {
      25., -37.99038105676658, -22.5}}], 
     Polygon3DBox[{{25., -44.999999132934434`, -22.10996835807786}, {
      25., -44.992913981875354`, -17.10565797018553}, {
      25., -39.488887394336025`, -23.705904774487394`}, {
      25., -44.999999132934434`, -22.10996835807786}}], 
     Polygon3DBox[{{25., -39.488887394336025`, -23.705904774487394`}, {
      25., -40., -24.999999999999996`}, {
      25., -44.999999132934434`, -22.10996835807786}, {
      25., -39.488887394336025`, -23.705904774487394`}}], 
     Polygon3DBox[{{25., -45., -24.995776752125874`}, {
      25., -44.999999132934434`, -22.10996835807786}, {
      25., -40., -24.999999999999996`}, {25., -45., -24.995776752125874`}}], 
     Polygon3DBox[{{25., -40., -24.999999999999996`}, {
      25., -39.488887394336025`, -26.294095225512603`}, {
      25., -45., -24.995776752125874`}, {25., -40., -24.999999999999996`}}], 
     Polygon3DBox[{{25., -44.999999132934434`, -27.890031641921887`}, {
      25., -45., -24.995776752125874`}, {
      25., -39.488887394336025`, -26.294095225512603`}, {
      25., -44.999999132934434`, -27.890031641921887`}}], 
     Polygon3DBox[{{25., -39.488887394336025`, -26.294095225512603`}, {
      25., -37.99038105676659, -27.499999999999996`}, {
      25., -44.999999132934434`, -27.890031641921887`}, {
      25., -39.488887394336025`, -26.294095225512603`}}], 
     Polygon3DBox[{{25., -44.992913981875354`, -32.894342029814446`}, {
      25., -44.999999132934434`, -27.890031641921887`}, {
      25., -37.99038105676659, -27.499999999999996`}, {
      25., -44.992913981875354`, -32.894342029814446`}}], 
     Polygon3DBox[{{25., -37.99038105676659, -27.499999999999996`}, {
      25., -35.60660171779821, -28.535533905932738`}, {
      25., -44.992913981875354`, -32.894342029814446`}, {
      25., -37.99038105676659, -27.499999999999996`}}], 
     Polygon3DBox[{{25., -43.511668312365586`, -38.883751234274186`}, {
      25., -44.992913981875354`, -32.894342029814446`}, {
      25., -35.60660171779821, -28.535533905932738`}, {
      25., -43.511668312365586`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., -35.60660171779821, -28.535533905932738`}, {
      25., -32.50000000000001, -29.33012701892219}, {
      25., -43.511668312365586`, -38.883751234274186`}, {
      25., -35.60660171779821, -28.535533905932738`}}], 
     Polygon3DBox[{{25., -35.52578937308594, -39.99468548640652}, {
      25., -43.511668312365586`, -38.883751234274186`}, {
      25., -32.50000000000001, -29.33012701892219}, {
      25., -35.52578937308594, -39.99468548640652}}], 
     Polygon3DBox[{{25., -32.50000000000001, -29.33012701892219}, {
      25., -28.882285676537823`, -29.82962913144534}, {
      25., -35.52578937308594, -39.99468548640652}, {
      25., -32.50000000000001, -29.33012701892219}}], 
     Polygon3DBox[{{25., -28.853375522562935`, -39.99999934970083}, {
      25., -35.52578937308594, -39.99468548640652}, {
      25., -28.882285676537823`, -29.82962913144534}, {
      25., -28.853375522562935`, -39.99999934970083}}], 
     Polygon3DBox[{{25., -28.882285676537823`, -29.82962913144534}, {
      25., -24.999999999999996`, -30.}, {
      25., -28.853375522562935`, -39.99999934970083}, {
      25., -28.882285676537823`, -29.82962913144534}}], 
     Polygon3DBox[{{25., -24.993835802009464`, -40.}, {
      25., -28.853375522562935`, -39.99999934970083}, {
      25., -24.999999999999996`, -30.}, {25., -24.993835802009464`, -40.}}], 
     Polygon3DBox[{{25., -24.999999999999996`, -30.}, {
      25., -21.117714323462195`, -29.829629131445344`}, {
      25., -24.993835802009464`, -40.}, {25., -24.999999999999996`, -30.}}], 
     Polygon3DBox[{{25., -21.14662447743757, -39.99999934970083}, {
      25., -24.993835802009464`, -40.}, {
      25., -21.117714323462195`, -29.829629131445344`}, {
      25., -21.14662447743757, -39.99999934970083}}], 
     Polygon3DBox[{{25., -21.117714323462195`, -29.829629131445344`}, {
      25., -17.50000000000001, -29.330127018922195`}, {
      25., -21.14662447743757, -39.99999934970083}, {
      25., -21.117714323462195`, -29.829629131445344`}}], 
     Polygon3DBox[{{25., -14.47421062691407, -39.99468548640652}, {
      25., -21.14662447743757, -39.99999934970083}, {
      25., -17.50000000000001, -29.330127018922195`}, {
      25., -14.47421062691407, -39.99468548640652}}], 
     Polygon3DBox[{{25., -17.50000000000001, -29.330127018922195`}, {
      25., -14.39339828220179, -28.535533905932738`}, {
      25., -14.47421062691407, -39.99468548640652}, {
      25., -17.50000000000001, -29.330127018922195`}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -14.47421062691407, -39.99468548640652}, {
      25., -14.39339828220179, -28.535533905932738`}, {
      25., -6.4883316876344175`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., -14.39339828220179, -28.535533905932738`}, {
      25., -14.393398282201787`, -28.535533905932738`}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -14.39339828220179, -28.535533905932738`}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -14.393398282201787`, -28.535533905932738`}, {
      25., -6.4883316876344175`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -5.007086018124646, -32.89434202981446}, {25., 0., -50.}, {
      25., -6.4883316876344175`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., 0., -42.883139132468386`}, {25., 0., -50.}, {
      25., -5.007086018124646, -32.89434202981446}, {25., 
      0., -42.883139132468386`}}], 
     Polygon3DBox[{{25., -5.007086018124646, -32.89434202981446}, {
      25., -5.0000008670655625`, -27.89003164192212}, {25., 
      0., -42.883139132468386`}, {
      25., -5.007086018124646, -32.89434202981446}}], 
     Polygon3DBox[{{25., 0., -35.295450265087}, {25., 
      0., -42.883139132468386`}, {
      25., -5.0000008670655625`, -27.89003164192212}, {25., 
      0., -35.295450265087}}], 
     Polygon3DBox[{{25., -5.0000008670655625`, -27.89003164192212}, {
      25., -5., -25.}, {25., 0., -35.295450265087}, {
      25., -5.0000008670655625`, -27.89003164192212}}], 
     Polygon3DBox[{{25., 0., -25.}, {25., 0., -35.295450265087}, {
      25., -5., -25.}, {25., 0., -25.}}], 
     Polygon3DBox[{{25., -5., -25.}, {
      25., -5.0000008670655625`, -22.109968358077882`}, {25., 0., -25.}, {
      25., -5., -25.}}], 
     Polygon3DBox[{{25., 0., -14.704549734913003`}, {25., 0., -25.}, {
      25., -5.0000008670655625`, -22.109968358077882`}, {25., 
      0., -14.704549734913003`}}], 
     Polygon3DBox[{{25., -5.0000008670655625`, -22.109968358077882`}, {
      25., -5.007086018124646, -17.105657970185543`}, {25., 
      0., -14.704549734913003`}, {
      25., -5.0000008670655625`, -22.109968358077882`}}], 
     Polygon3DBox[{{25., 0., -7.116860867531621}, {25., 
      0., -14.704549734913003`}, {
      25., -5.007086018124646, -17.105657970185543`}, {25., 
      0., -7.116860867531621}}], 
     Polygon3DBox[{{25., -5.007086018124646, -17.105657970185543`}, {
      25., -6.4883316876344175`, -11.116248765725812`}, {25., 
      0., -7.116860867531621}, {
      25., -5.007086018124646, -17.105657970185543`}}], 
     Polygon3DBox[{{25., -0.42767175194070006`, -0.42767175194070006`}, {25., 
      0., -7.116860867531621}, {
      25., -6.4883316876344175`, -11.116248765725812`}, {
      25., -0.42767175194070006`, -0.42767175194070006`}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -11.116248765725812`}, {
      25., -14.47421062691405, -10.005314513593483`}, {
      25., -0.42767175194070006`, -0.42767175194070006`}, {
      25., -6.4883316876344175`, -11.116248765725812`}}], 
     Polygon3DBox[{{25., -7.116860867531596, 0.}, {
      25., -0.42767175194070006`, -0.42767175194070006`}, {
      25., -14.47421062691405, -10.005314513593483`}, {
      25., -7.116860867531596, 0.}}], 
     Polygon3DBox[{{25., -14.47421062691405, -10.005314513593483`}, {
      25., -21.146624477437232`, -10.000000650299173`}, {
      25., -7.116860867531596, 0.}, {
      25., -14.47421062691405, -10.005314513593483`}}], 
     Polygon3DBox[{{25., -14.704549731337208`, 0.}, {25., -7.116860867531596, 
      0.}, {25., -21.146624477437232`, -10.000000650299173`}, {
      25., -14.704549731337208`, 0.}}], 
     Polygon3DBox[{{25., -21.146624477437232`, -10.000000650299173`}, {
      25., -24.99517589849199, -10.}, {25., -14.704549731337208`, 0.}, {
      25., -21.146624477437232`, -10.000000650299173`}}], 
     Polygon3DBox[{{25., -21.1029020986555, 0.}, {25., -14.704549731337208`, 
      0.}, {25., -24.99517589849199, -10.}, {25., -21.1029020986555, 0.}}], 
     Polygon3DBox[{{25., -24.99517589849199, -10.}, {
      25., -28.853375522562597`, -10.000000650299173`}, {
      25., -21.1029020986555, 0.}, {25., -24.99517589849199, -10.}}], 
     Polygon3DBox[{{25., -35.295450265222286`, 0.}, {25., -21.1029020986555, 
      0.}, {25., -28.853375522562597`, -10.000000650299173`}, {
      25., -35.295450265222286`, 0.}}], 
     Polygon3DBox[{{25., -28.853375522562597`, -10.000000650299173`}, {
      25., -35.52578937308594, -10.005314513593483`}, {
      25., -35.295450265222286`, 0.}, {
      25., -28.853375522562597`, -10.000000650299173`}}], 
     Polygon3DBox[{{25., -42.883139132468315`, 0.}, {
      25., -35.295450265222286`, 0.}, {
      25., -35.52578937308594, -10.005314513593483`}, {
      25., -42.883139132468315`, 0.}}], 
     Polygon3DBox[{{25., -35.52578937308594, -10.005314513593483`}, {
      25., -43.511668312365586`, -11.116248765725812`}, {
      25., -42.883139132468315`, 0.}, {
      25., -35.52578937308594, -10.005314513593483`}}], 
     Polygon3DBox[{{25., 0., 0.}, {25., -42.883139132468315`, 0.}, {
      25., -43.511668312365586`, -11.116248765725812`}, {25., 0., 0.}}], 
     Polygon3DBox[{{25., -43.511668312365586`, -11.116248765725812`}, {
      25., -44.992913981875354`, -17.10565797018553}, {25., 0., 0.}, {
      25., -43.511668312365586`, -11.116248765725812`}}], 
     Polygon3DBox[{{25., -50., -7.11686086753155}, {25., 0., 0.}, {
      25., -44.992913981875354`, -17.10565797018553}, {
      25., -50., -7.11686086753155}}], 
     Polygon3DBox[{{25., -44.992913981875354`, -17.10565797018553}, {
      25., -44.999999132934434`, -22.10996835807786}, {
      25., -50., -7.11686086753155}, {
      25., -44.992913981875354`, -17.10565797018553}}], 
     Polygon3DBox[{{25., -50., -14.704549735855052`}, {
      25., -50., -7.11686086753155}, {
      25., -44.999999132934434`, -22.10996835807786}, {
      25., -50., -14.704549735855052`}}], 
     Polygon3DBox[{{25., -44.999999132934434`, -22.10996835807786}, {
      25., -45., -24.995776752125874`}, {25., -50., -14.704549735855052`}, {
      25., -44.999999132934434`, -22.10996835807786}}], 
     Polygon3DBox[{{25., -50., -20.96606666206499}, {
      25., -50., -14.704549735855052`}, {25., -45., -24.995776752125874`}, {
      25., -50., -20.96606666206499}}], 
     Polygon3DBox[{{25., -45., -24.995776752125874`}, {
      25., -44.999999132934434`, -27.890031641921887`}, {
      25., -50., -20.96606666206499}, {25., -45., -24.995776752125874`}}], 
     Polygon3DBox[{{25., -50., -35.29545025726392}, {
      25., -50., -20.96606666206499}, {
      25., -44.999999132934434`, -27.890031641921887`}, {
      25., -50., -35.29545025726392}}], 
     Polygon3DBox[{{25., -44.999999132934434`, -27.890031641921887`}, {
      25., -44.992913981875354`, -32.894342029814446`}, {
      25., -50., -35.29545025726392}, {
      25., -44.999999132934434`, -27.890031641921887`}}], 
     Polygon3DBox[{{25., -50., -42.88313913246827}, {
      25., -50., -35.29545025726392}, {
      25., -44.992913981875354`, -32.894342029814446`}, {
      25., -50., -42.88313913246827}}], 
     Polygon3DBox[{{25., -44.992913981875354`, -32.894342029814446`}, {
      25., -43.511668312365586`, -38.883751234274186`}, {
      25., -50., -42.88313913246827}, {
      25., -44.992913981875354`, -32.894342029814446`}}], 
     Polygon3DBox[{{25., -50., 0.}, {25., -50., -42.88313913246827}, {
      25., -43.511668312365586`, -38.883751234274186`}, {25., -50., 0.}}], 
     Polygon3DBox[{{25., -43.511668312365586`, -38.883751234274186`}, {
      25., -35.52578937308594, -39.99468548640652}, {25., -50., 0.}, {
      25., -43.511668312365586`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., -50., -50.}, {25., -50., 0.}, {
      25., -35.52578937308594, -39.99468548640652}, {25., -50., -50.}}], 
     Polygon3DBox[{{25., -35.52578937308594, -39.99468548640652}, {
      25., -28.853375522562935`, -39.99999934970083}, {25., -50., -50.}, {
      25., -35.52578937308594, -39.99468548640652}}], 
     Polygon3DBox[{{25., -35.295450278341406`, -50.}, {25., -50., -50.}, {
      25., -28.853375522562935`, -39.99999934970083}, {
      25., -35.295450278341406`, -50.}}], 
     Polygon3DBox[{{25., -28.853375522562935`, -39.99999934970083}, {
      25., -24.993835802009464`, -40.}, {25., -35.295450278341406`, -50.}, {
      25., -28.853375522562935`, -39.99999934970083}}], 
     Polygon3DBox[{{25., -20.88380647994692, -50.}, {
      25., -35.295450278341406`, -50.}, {25., -24.993835802009464`, -40.}, {
      25., -20.88380647994692, -50.}}], 
     Polygon3DBox[{{25., -24.993835802009464`, -40.}, {
      25., -21.14662447743757, -39.99999934970083}, {
      25., -20.88380647994692, -50.}, {25., -24.993835802009464`, -40.}}], 
     Polygon3DBox[{{25., -14.70454973198013, -50.}, {
      25., -20.88380647994692, -50.}, {
      25., -21.14662447743757, -39.99999934970083}, {
      25., -14.70454973198013, -50.}}], 
     Polygon3DBox[{{25., -21.14662447743757, -39.99999934970083}, {
      25., -14.47421062691407, -39.99468548640652}, {
      25., -14.70454973198013, -50.}, {
      25., -21.14662447743757, -39.99999934970083}}], 
     Polygon3DBox[{{25., -7.116860867531447, -50.}, {
      25., -14.70454973198013, -50.}, {
      25., -14.47421062691407, -39.99468548640652}, {
      25., -7.116860867531447, -50.}}], 
     Polygon3DBox[{{25., -14.47421062691407, -39.99468548640652}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -7.116860867531447, -50.}, {
      25., -14.47421062691407, -39.99468548640652}}], 
     Polygon3DBox[{{25., 0., -50.}, {25., -7.116860867531447, -50.}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {25., 0., -50.}}], 
     Polygon3DBox[{{25., -6.4883316876344175`, -38.883751234274186`}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {25., 0., -50.}, {
      25., -6.4883316876344175`, -38.883751234274186`}}], 
     Polygon3DBox[{{25., 0., -50.}, {25., 0., -50.}, {
      25., -6.4883316876344175`, -38.883751234274186`}, {25., 0., -50.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGCQBGJmBhiwdIDQKgegfBjtcOeMdu8GVtUDtc0PdLZtMYeL
K1joHnvDogHhN5jBxT9sf1GffVLnwAq5P/bPy0zh4hB1hgfYTDadrlltAhcv
7VrYpiRnekB10Z2cudomqOrh7kCId5bGVd59aINdvYPDAVY081kusSosPeuI
4Z4fG0vOHfnnhOH+kzxb70ze53ygBs2/ENoFI3xg6ptr5C97elvhMN8aLs4K
dU/4Q+YDEp02cHFGqPt/nfY1aQ6xhYv3Qv17O1Z5ctIVW1T1cHfYwcUroOF5
B009MzT8f6OZ/wkaXxFo7lGCxi8jmvvvQdNDC5p/ITQi/QAA0w2mBA==
       "]], 
      Line3DBox[CompressedData["
1:eJxTTMoPSmViYGCQAWJmBhiwdGDACiwd1qwCAYUD6OKrweIGGOJQGod6Bwzx
sFAguOqCwxxPksVR3YsQR3UvujmWONQ7YIijuhfdHE+C4qEo+hHiq1DsQzfH
Eod6AwzxFSj+RzcHBogXD8XqXwaGVVjDBwbQwxOmHj38GRhWYI0vBAAAerJu
qw==
       "]]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {
     {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGDgB2JmBhiIdIDQngcYUECkw+pVIOCAIb4GLG6AIQ5l7EUX
XwFR74Bd3AFD/N9/EPDAEIe6E0N8NQ5z1uCwF8qwxeHOAzjciSEOdSeGONSd
cHEAUKpBag==
       "]]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJxTTMoPSmViYGDgB2JmBhiIdGBAAZ4H0MVXrwIBBwzxNWBxAwxxKNiLLr4C
ot4Bu7gDhvi//yDggSEOdSeG+Goc5qzBYS8U2OJwJ4a/VuAIB6g7McSh7jwA
AJrkQWo=
       "]]}}, 
    {GrayLevel[0], AbsoluteThickness[0.5], 
     Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {
      100., -50., 50.}, {100., -50., -50.}}]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., -50.}, {100., -50., -50.}, {100., -50., 50.}, {
       100., 50., 50.}, {100., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {0., -50., -50.}, {0., -50., 50.}, {
       100., -50., 50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0, -50, -50}, {0, 50, -50}, {0, 50, 50}, {0, -50, 50}, {
       0, -50, -50}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{0., 50., -50.}, {100., 50., -50.}, {100., 50., 50.}, {0., 
       50., 50.}, {0., 50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., -50., -50.}, {100., 50., -50.}, {0., 50., -50.}, {
       0., -50., -50.}, {100., -50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      Line3DBox[{{100., 50., 50.}, {100., -50., 50.}, {0., -50., 50.}, {0., 
       50., 50.}, {100., 50., 50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], Line3DBox[CompressedData["
1:eJyVnT/sbes2QHeIRCnRKL1EBAlBFETCjRDZSpWtEiKRkCiUWqXyFQolOqXO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      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], Point3DBox[CompressedData["
1:eJzt3LHLJlcZhvFFEVIKNpYJiKigGLEwCLoERcYylWMlCYIQwcLS1jJlCgtL
Y2dp5+pUlpaWYmendtHObGav5+xc99x/gPDaDPOL7jfnvJebfTMnz2tv/+yt
H3/iyZMnX/nUkyeffMJ/3nh6Xrfjen3j6Tvvvf7nz77zvfCP8KO/8t3wL33w
/lvf/+J3wj/+Zd57M/zfzz782y/+9TT8t89/mQ++Ff7T3/3+rz9895vhX/v4
gb4R/p+PfvVnH349/I/Pf+yz18Nfee2Xn37zlS+H/+r547z/+fDPPf+vv/Zq
+I/eff6gnwn/+xv/+PXP//LfP9mP079t/8H56zy1v3r+3PD3z+cMf7Gu8D+c
+xD+Yt/Cv3ruc/hPzs8l/Dfn5xj+z/NzD3/RSfgXzq7CX3QY/vbZbfiL++bH
tffVv53+7fRvp387/dvp307/dvq307+d/u30b6d/O/3b6d9O/3b6t9O/nf7t
9F/WFU7/Zd/C6d9O/3b6t9N/6SSc/kuH4fRvP69b8+P6+/rq3869nf7t9G+n
fzv92+nfTv92+rfTv53+7fRvp387/dvp307/dvq307+d/su6wum/7Fs4/dvp
307/dvovnYTTf+kwnP7t53Vrflz//LL6t/O/t3Nvp387/dvp307/dvq307+d
/u30b6d/O/3b6d9O/3b6t9O/nf7t9F/WFU7/Zd/C6d9O/3b6t9N/6SSc/kuH
4fRvP69b8+P65/TVv53+7fy6du7t9G+nfzv92+nfTv92+rfTv53+7fRvp387
/dvp307/dvq3039ZVzj9l30Lp387/dvp307/pZNw+i8dhtO//bxuzY/r99HV
v53+7fRv5+fZubfTv53+7fRvp387/dvp307/dvq307+d/u30b6d/O/3b6b+s
K5z+y76F07+d/u30b6f/0kk4/ZcOw+nffl635sf1n7us/u30b6d/O/3beQ47
93b6t9O/nf7t9G+nfzv92+nfTv92+rfTv53+7fRvp/+yrnD6L/sWTv92+rfT
v53+Syfh9F86DKd/+3ndmh/Xf764+rfTv53+7fRvp387z2fn3k7/dvq307+d
/u30b6d/O/3b6d9O/3b6t9O/nf7LusLpv+xbOP3b6d9O/3b6L52E03/pMJz+
7ed1a35c/zn66t9O/3b6t9O/nf7t9G/nue3c2+nfTv92+rfTv53+7fRvp387
/dvp307/dvov6wqn/7Jv4fRvp387/dvpv3QSTv+lw3D6t5/XrflxfV+0+rfT
v53+7fRvp387/dvp38567Nzb6d9O/3b6t9O/nf7t9G+nfzv92+nfTv9lXeH0
X/YtnP7t9G+nfzv9l07C6b90GE7/9vO6NT+u70VX/3b6t9O/nf7t9G+nfzv9
2+nfzjrt3Nvp307/dvq307+d/u30b6d/O/3b6b+sK5z+y76F07+d/u30b6f/
0kk4/ZcOw+nffl635sf1/f/q307/dvq307+d/u30b6d/O/3b6d/O+u3c2+nf
Tv92+rfTv53+7fRvp387/Zd1hdN/2bdw+rfTv53+7fRfOgmn/9JhOP3bz+vW
/Liec1n92+nfTv92+rfTv53+7fRvp387/dvp386+2Lm307+d/u30b6d/O/3b
6d9O/2Vd4fRf9i2c/u30b6d/O/2XTsLpv3QYTv/287o1P67nuVb/dvq307+d
/u30b6d/O/3b6d9O/3b6t9O/nf2yc2+nfzv92+nfTv92+rfTf1lXOP2XfQun
fzv92+nfTv+lk3D6Lx2G07/9vG7Nj+u5xdW/nf7t9G+nfzv92+nfTv92+rfT
v53+7fRvp387+2jn3k7/dvq307+d/u30X9YVTv9l38Lp307/dvq303/pJJz+
S4fh9G8/r1vz43o+d/Vvp387/dvp307/dvq307+d/u30b6d/O/3b6d9O/3b2
1869nf7t9G+nfzv9l3WF03/Zt3D6t9O/nf7t9F86Caf/0mE4/dvP69b8uJ5D
X/3b6d9O/3b6t9O/nf7t9G+nfzv92+nfTv92+rfTv53+7ey7nXs7/dvp307/
ZV3h9F/2LZz+7fRvp387/ZdOwum/dBhO//bzujU/rv++xerfTv92+rfTv53+
7fRvp387/dvp307/dvq307+d/u30b6d/O5+HnXs7/dvpv6wrnP7LvoXTv53+
7fRvp//SSTj9lw7D6d9+Xrfmx/XfK1r92+nfTv92+rfTv53+7fRvp387/dvp
307/dvq307+d/u30b6d/O5+TnXs7/Zd1hdN/2bdw+rfTv53+7fRfOgmn/9Jh
OP3bz+vW/GD/cPq307+d/u30b6d/O/3b6d9O/3b6t9O/nf7t9G+nfzv92+nf
Tv92+rfz+dm5L+sKp/+yb+H0b6d/O/3b6b90Ek7/pcNw+ref160572vG9f7L
Pzdc77+8rnC9/xrX+69xvf8a1/svf47hev/lTsL1/mtc77/G9f5rXO+/xvX+
a1zvv8b1/mtc77+8rnC9//K+hev917jef43r/de43n+5k3C9/xrX+69xvf8a
P69b8+P670Ov/u30b6d/O/3b6d9O/3b6t9O/nf7t9G+nfzv92+nfTv92+rfT
v53+7fRvp/+yrnDuy76F07+d/u30b6f/0kk4/ZcOw+nffl635pzXGtf5N//c
cJ1/87rCdf5tXOffxnX+bVzn3/w5huv8mzsJ1/m3cZ1/G9f5t3GdfxvX+bdx
nX8b1/m3cZ1/87rCdf7N+xau82/jOv82rvNv4zr/5k7Cdf5tXOffxnX+bfy8
bs2P63yL1b+d/u30b6d/O/3b6d9O/3b6t9O/nf7t9G+nfzv92+nfTv92+rfT
v53+7fRf1hVO/2Xfwrm307+d/u30XzoJp//SYTj928/r1vy4znFZ/dvp307/
dvq307+d/u30b6d/O/3b6d9O/3b6t9O/nf7t9G+nfzv92+nfTv9lXeH0X/Yt
nG7s3Nvp307/pZNw+i8dhtO//bxuzY/rvKLVv53+7fRvp387/dvp307/dvq3
07+d/u30b6d/O/3b6d9O/3b6t9O/nf7t9F/WFU7/Zd/C6d9OT3bu7fRfOgmn
/9JhOP3bz+vW/LjO5Vr92+nfTv92+rfTv53+7fRvp387/dvp307/dvq307+d
/u30b6d/O/3b6d9O/2Vd4fRf9i2c/u30b6czO/elk3D6Lx2G07/9vG7Nmdcx
Tv92+rdr/onXFa75J+OafzKu+Sfjmn/izzFc80/GNf9kXPNPxjX/ZFzzT8Y1
/2Rc80/GNf9kXPNPxum/rCtc80+8b+GafzKu+Sfjmn8yrvkn49zbNf9knP7t
mn8yfl635sd1zuLq307/dvq307+d/u30b6d/O/3b6d9O/3b6t9O/nf7t9G+n
fzv92+nfTv92+i/rCqf/sm/h9G+nfzv92+m/dBLOfekwnP7t53Vrzry+cfq3
079d8w+9rnDNPxzX/MNxzT8c1/xDf47hmn/oTsI1/3Bc8w/HNf9wXPMPxzX/
cFzzD8c1/3Cc/su6wjX/0PsWrvmH45p/OK75h+Oaf+hOwjX/cJx7u+Yfjp/X
rflxnZu7+rfTv53+7fRvp387/dvp307/dvq307+d/u30b6d/O/3b6d9O/3b6
t9O/nf7LusLpv+xbOP3b6d9O/3b6L52E03/pMJx7+3ndmh/8dZz+7fRv1/xz
rytc88/HNf98XPPPxzX/fFzzz8c1/3xc88/HNf98XPPPxzX/fFzzz8c1/3xc
88/HNf98/HquJdYVrvnn45p/Pq755+Oafz6u+efjmn8+fv1z+XLNPx+//j6+
XPPPx6/3XPcyH3Iv8yH3Mh9yL/Mh9zIfci/zIfcyH3Iv8yHX81///7Se334/
3289v/1+vt96fvv9fL/1/Pb7+Wzr+e3389nW89vv57Ot57ffz2dbz19c8772
Mt9sL/PN9jLfbC/zzWYfwu/nm80+N39qv58Ptvbffj8fbO2//X4+2Np/O/tf
XPOm1v7b7+drrf2338/XWvtvv5+vtfbffj9fa30u9vu5Vetzsd/PrVqfi/1+
btX6XOx8Lm2fr38f3n2OJfbZfj/Hafc5ltg3+/28o7Vv9vt5R2vf7Pfzjta+
2dm39vzXP6es57ffz6tZz2+/n1eznt9+P69mPb/9ft7Ien77/byR9fz2+3kj
6/nt9/NG1vO3n3v989T6ufb787p7Oa+7l/O6q3P7/bnT2Ifx+3OVezlXuZdz
lXs5V7me035/rnI9v/3+3OBezsXF7yfx/Pb7c3Hx+0k8v/3+XFz8/hDrsvP3
qeufo/dyDmov56D2cg5qL+eg1nrt9+eg1nrt9+d/1nrtrPf6/WAv5172cu5l
L+de9nLuZa3Xfn/uZa3Xfn/eY623rev6vWcv5xn2cp5hL+cZ1rrs9+cZ1rrs
9+/x9/Iefy/vo/fyPnov76PX89vv30fv5X3rXt637uX94F7eD8b3tfj17Y/v
idfnf3xPfHxPfHn/H98TH98TX/5cHt8TH98TX37+x/fEx/fEl///+Pie+Pie
+PJ6H98TH98TX37+/7fvif8D/2x1fg==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  AutomaticImageSize->True,
  Boxed:>False,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  ImageSize->{360., 389.78852968179217`},
  PlotRange:>All,
  ViewPoint->{1.3, -2.4, 2.},
  ViewVertical->{0.01459656696637616, 0.007792390499085093, 
   0.9998631000707576}]], "Print",
 CellChangeTimes->{{3.566086553498949*^9, 3.566086583155908*^9}, 
   3.566127733400943*^9, 3.566127907376453*^9, 3.5661280920883417`*^9, 
   3.566128191288265*^9, 3.566128414096677*^9, 3.566128519715089*^9, 
   3.566128579798215*^9, 3.566128637891547*^9, 3.566128781196189*^9, 
   3.5661610461443768`*^9, 3.56616110558331*^9, 3.566161191617848*^9, 
   3.601213000647476*^9, 3.60128651759164*^9, 3.614708257876204*^9, 
   3.614726986234222*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"},
 CellLabel->"During evaluation of In[33]:="]
}, Open  ]],

Cell[TextData[{
 "'s ",
 StyleBox["ApertureStop", "MB"],
 " creates apertures with user-defined shapes.  Here a ",
 StyleBox["GridOfRays", "MB"],
 " impinges on four ",
 StyleBox["ApertureStop", "MB"],
 " objects."
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],

Cell["\<\
Optical designs often exploit aperture stops to moderate the total amount of \
light entering a system.  Even in the absence of an aperture, every simple \
lens has an equivalent aperture defined by its circumference.  This \
equivalent aperture is the lens aperture.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Connections Between Sources and Rays", "Subsubsection",
 CellTags->{
  "Connections Between Sources and Rays", "General Architecture of Rayica", 
   "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],

Cell[TextData[{
 "Light sources have an attribute called ",
 StyleBox["SourceID", "MB"],
 ".  This attribute uniquely identifies a light source.  It distinguishes  \
among multiple sources in the same system, and ties ",
 StyleBox["Ray", "MB"],
 " objects to their originating ",
 StyleBox["Source", "MB"],
 ".  Each ",
 StyleBox["Ray", "MB"],
 " remembers the originating ",
 StyleBox["SourceID", "MB"],
 " number.  Note also that any valid option for ",
 StyleBox["Ray", "MB"],
 " is a valid option for ",
 StyleBox["Source", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3.5 Rays", "Subsection",
 CellTags->{
  "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
   "PR1.3.5.1", "PR1.3"}],

Cell[TextData[{
 StyleBox["Ray", "MB"],
 " objects record information about the trace of an optical system.  They  \
contain information about their source of origin, surface intersections,  \
light intensity, wavelength, and optical path lengths.  You never create ",
 StyleBox["Ray", "MB"],
 " objects directly.  If you ever need a single ray, use the ",
 StyleBox["SingleRay", "MB"],
 " light source to get it.  You need to know about ",
 StyleBox["Ray", "MB"],
 " objects only because they are fundamental to the ray tracing procedures  \
in .  In general, you will not manipulate them directly."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 " creates rays during a trace.  Until you call an  function that performs \
ray tracing, such as ",
 StyleBox["AnalyzeSystem", "MB"],
 ", there are no rays in your system.  During the trace, each ",
 StyleBox["Source", "MB"],
 " and each fresh ",
 StyleBox["Component", "MB"],
 " interaction creates new ",
 StyleBox["Ray", "MB"],
 " objects.   stores all the ",
 StyleBox["Ray", "MB"],
 " objects that are so generated except certain speed and memory  \
optimizations, detailed later.  Any given ",
 StyleBox["Ray", "MB"],
 " intersects only one surface.  Light propagation beyond that surface is  \
handled by other ",
 StyleBox["Ray", "MB"],
 " objects farther down the light path.  Fresh ",
 StyleBox["Ray", "Input"],
 "s are created as required.  Later you will learn more about how rays  \
interact with systems."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell["Ray Properties and Queries", "Subsubsection",
 CellTags->{
  "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
   "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],

Cell[TextData[{
 "The one action you might perform frequently with ",
 StyleBox["Ray", "MB"],
 " objects is to query them for information.  The  function ",
 StyleBox["ReadRays", "MB"],
 " performs such queries.  You don't need to isolate rays out of your  \
system.  ",
 StyleBox["ReadRays", "MB"],
 " automatically finds them in your system according to given criteria.  Any  \
of the following ray parameters can be obtained with this function."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[BoxData[
 TagBox[GridBox[{
    {"BeamGeometry", "BirthPoint"},
    {"ComponentIncrement", "ComponentNumber"},
    {"ConfinedNumber", "ConfinedPosition"},
    {"DiffractionMismatch", "DiffractionOrderNumber"},
    {"GenerationNumber", "Intensity"},
    {"InternalDirectionChange", "IntersectionNumber"},
    {"IntrinsicMedium", "NewAuthorizedOptions"},
    {"OffAxis", "OpticalLength"},
    {"OpticalMedium", "Polarization"},
    {"RayEnd", "RayLabelPositions"},
    {"RayLabels", "RayLength"},
    {"RayLineRGB", "RayLineStyle"},
    {"RayLineThickness", "RayPointRGB"},
    {"RayPointSize", "RayPointStyle"},
    {"RaySourceNumber", "RayStart"},
    {"RayTilt", "RefractiveIndex"},
    {"RotationMatrix", "SourceID"},
    {"SourceTransformation", "SurfaceBoundary"},
    {"SurfaceCoordinates", "SurfaceID"},
    {"SurfaceIncrement", "SurfaceNormalMatrix"},
    {"SurfaceNumber", "Temperature"},
    {"Tension", "UnconfinedIncrement"},
    {"UnconfinedPath", "UnconfinedPosition"},
    {"WaveFrontID", "WaveLength"}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  TableForm[#]& ]], "Output",
 GeneratedCell->False,
 CellAutoOverwrite->False,
 FontSize->10,
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "Information you can obtain from ",
 StyleBox["ReadRays", "MB"],
 "."
}], "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "The most important ray attributes are ",
 StyleBox["WaveLength", "MB"],
 ", ",
 StyleBox["Intensity", "MB"],
 ", ",
 StyleBox["Polarization", "MB"],
 ", ",
 StyleBox["OpticalLength", "MB"],
 ", ",
 StyleBox["RayStart", "MB"],
 ", ",
 StyleBox["RayEnd", "MB"],
 ", ",
 StyleBox["SurfaceCoordinates", "MB"],
 ", ",
 StyleBox["ComponentNumber", "MB"],
 ", and ",
 StyleBox["SurfaceNumber", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["Each ray is a vector.  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["RayStart", "MB"],
 " and ",
 StyleBox["RayEnd", "MB"],
 " define the two ends of the ray.  ",
 StyleBox["RayEnd", "MB"],
 " ",
 StyleBox["is an intersection point in global coordinates.  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["ComponentNumber",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" identifies the component involved in the intersection.  There  \
are two ways to express this intersection point.  One way is in global system \
 coordinates; that is ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["RayEnd",
  FontWeight->"Bold",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".  Another way is in parametric form, along the surface of  \
intersection; ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["SurfaceCoordinates", "MB"],
 " gives this form.  The type of parameters depends on the particular  \
component because different surfaces parametrize differently.  ",
 StyleBox["SurfaceCoordinates", "MB"],
 " and ",
 StyleBox["RayEnd", "MB"],
 ", then, represent the same point in ",
 StyleBox["space; ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["SurfaceCoordinates", "MB"],
 " does so locally and ",
 StyleBox["RayEnd", "MB"],
 " globally."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "The attribute ",
 StyleBox["SurfaceNumber", "MB"],
 " identifies the particular surface within the component where the  \
intersection occurs.  Components typically have two surfaces, but more are  \
possible."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["OpticalLength", "MB"],
 " and ",
 StyleBox["Intensity", "MB"],
 " give information about how your system affects light.  ",
 StyleBox["Intensity", "MB"],
 " is a normalized value, which by default varies from zero to one hundred.   \
A ",
 StyleBox["Ray", "MB"],
 " essentially disappears when its ",
 StyleBox["Intensity", "MB"],
 " drops below a threshold value.  When this happens, the ray no longer  \
propagates.  This mechanism is exactly how ",
 StyleBox["Boundary", "MB"],
 " and ",
 StyleBox["ApertureStop", "MB"],
 " work;  they set the ",
 StyleBox["Intensity", "MB"],
 " of a ray to zero.  's ray-tracing engine then discontinues propagation of \
the ray."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "Other components modify intensity in other ways.   incorporates standard \
mathematical models for  energy loss through  various components.  Beam \
splitters, diffraction gratings, and polarizers all  modify ",
 StyleBox["Intensity", "MB"],
 ".  Standard lenses also modify ",
 StyleBox["Intensity", "MB"],
 StyleBox[", pro",
  FontVariations->{"CompatibilityType"->0}],
 "vided that their ",
 StyleBox["FresnelReflections", "MB"],
 " attribute is set to ",
 StyleBox["True", "MB"],
 ".  For instance, typical refractive elements suffer energy loss from  \
first-surface reflections.  Anti-reflective (AR) coatings are used to  \
mitigate such losses."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "In the same way,  keeps track of ",
 StyleBox["Polarization", "MB"],
 " changes to the ray as it propagates.  The ",
 StyleBox["Polarization", "MB"],
 " data includes the horizontal and vertical polarization values together  \
with the phase angle difference (given in degrees).  Elliptical polarization  \
is the most general kind, encompassing both linear and circular  polarization."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[{
 "The ",
 StyleBox["WaveLength", "MB"],
 " property stipulates the wave length of the light in microns.   has a \
built-in default wavelength, but in most cases you will want to  override \
this default.  Usually you will apply ",
 StyleBox["WaveLength", "MB"],
 " as an option to your light sources.   can propagate multiple wavelengths \
through the same optical system.  Such  capability could be used in chromatic \
studies."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Using Rays to Understand Your System", "Subsubsection",
 CellTags->{
  "Using Rays to Understand Your System", "General Architecture of Rayica", 
   "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],

Cell[TextData[{
 "Often you will want to distinguish between sets of rays.  You will use one  \
set of rays to track one aspect of your system, and another set of rays to  \
track something else.  Both sets will propagate through the same system, but  \
with different purposes in mind.  Typically in these cases you will emit the  \
rays from separate ",
 StyleBox["Source", "MB"],
 " objects."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[TextData[{
 "The ",
 StyleBox["SourceID", "MB"],
 " and ",
 StyleBox["RayLineRGB", "MB"],
 " properties are useful in this regard.  ",
 StyleBox["After the rays have propagated, these properties can discriminate  \
among them.  ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["SourceID", "MB"],
 " provides an identification number of the ray's originating ",
 StyleBox["Source", "MB"],
 ".  Meanwhile, ",
 StyleBox["RayLineRGB", "MB"],
 " determines the rendering color for the ray.  ",
 StyleBox["RayLineRGB", "MB"],
 " can be used as an option to any standard light source, as can any other  \
",
 StyleBox["Ray", "MB"],
 " option.  's graphics utilize ",
 StyleBox["RayLineRGB", "MB"],
 " to determine the rendering colors for the rays in your system.  This  \
color may or may not correlate with the actual ",
 StyleBox["WaveLength", "MB"],
 " of the rays."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[TextData[{
 "You can, for example, distinguish between principal rays and all other  \
rays in your  system.  One source emits the principal rays, while a \
coincident source  emits the rest.  The following example shows two sources \
impinging on two  screens through a lens pair.  We assign a handful of \
principal rays a  different color than the rest.  One of the sources is \
on-axis, the other is  off-axis.  Technically there are six  ",
 StyleBox["Source", "MB"],
 " objects, but they are arranged in coincident triplets, so we can speak of  \
two sources.  Each triplet source emits both principal and ordinary rays."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: .5446 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics3D

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

-0.0372395 1.03724 -0.229948 1.03724 [

[ 0 0 0 0 ]

[ 1 .5446 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 0 m

1 0 L

1 .5446 L

0 .5446 L

closepath

clip

newpath

0 0 0 r

2 Mabswid

.09919 .43449 Mdot

.039 .916 .04 r

.5 Mabswid

[ ] 0 setdash

.09919 .43449 m

.09919 .43449 L

s

0 0 0 r

2 Mabswid

.09919 .43449 Mdot

.09919 .43449 Mdot

.09919 .43449 Mdot

.07966 .41728 Mdot

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.07966 .41728 L


s

0 0 0 r

2 Mabswid

.07966 .41728 Mdot

.07966 .41728 Mdot

.07966 .41728 Mdot

.42036 .29972 m .44199 .31729 L .42711 .32202 L .619 .52 .719 r

F

.42036 .29972 m .43523 .29494 L .44199 .31729 L F

.41146 .27864 m .43523 .29494 L .42036 .29972 L .636 .578 .773 r

F

.40977 .30589 m .42036 .29972 L .42711 .32202 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.4198 .31522 L

s

.09919 .43449 m

.41987 .31529 L

s

.40377 .29174 m .42036 .29972 L .40977 .30589 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.40939 .305 L

s

.07966 .41728 m

.40934 .30488 L

s

.40377 .29174 m .41146 .27864 L .42036 .29972 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.40412 .29116 L

s

.07966 .41728 m

.40456 .29041 L

s

.42711 .32202 m .44618 .33944 L .43127 .34414 L .599 .457 .66 r

F

.42711 .32202 m .44199 .31729 L .44618 .33944 L F

.4143 .32088 m .42711 .32202 L .43127 .34414 L .961 .688 .473 r

F

.40977 .30589 m .42711 .32202 L .4143 .32088 L F

.039 .916 .04 r

.07966 .41728 m

.41403 .32001 L

s

0 g

.42036 .29972 m

.42711 .32202 L

s

.41146 .27864 m .42632 .27382 L .43523 .29494 L .636 .578 .773 r

F

.40095 .26014 m .42632 .27382 L .41146 .27864 L .649 .638 .826 r

F

.39671 .27935 m .41146 .27864 L .40377 .29174 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.39676 .27945 L

s

.39671 .27935 m .40095 .26014 L .41146 .27864 L .961 .688 .473 r

F

0 g

.41146 .27864 m

.42036 .29972 L

s

.43409 .29809 m .43523 .29494 L .44199 .31729 L .813 .499 0 r

F

.4281 .28389 m .43523 .29494 L .43409 .29809 L .806 .448 0 r

F

.4281 .28389 m .42632 .27382 L .43523 .29494 L F

.43127 .34414 m .44752 .35999 L .43256 .36467 L .57 .381 .586 r

F

.43127 .34414 m .44618 .33944 L .44752 .35999 L F

.41707 .33574 m .43127 .34414 L .43256 .36467 L .961 .688 .473 r

F

.4143 .32088 m .43127 .34414 L .41707 .33574 L F

.039 .916 .04 r

.07966 .41728 m

.41648 .33255 L

s

.09919 .43449 m

.41653 .33284 L

s

0 g

.42711 .32202 m

.43127 .34414 L

s

.43864 .31312 m .44199 .31729 L .44618 .33944 L .851 .58 .042 r

F

.43409 .29809 m .44199 .31729 L .43864 .31312 L .813 .499 0 r

F

0 g

.43523 .29494 m

.44199 .31729 L

s

.40095 .26014 m .41584 .25527 L .42632 .27382 L .649 .638 .826 r

F

.42106 .27144 m .42632 .27382 L .4281 .28389 L .826 .428 0 r

F

.42106 .27144 m .41584 .25527 L .42632 .27382 L F

0 g

.42632 .27382 m

.43523 .29494 L

s

.44145 .32802 m .44618 .33944 L .44752 .35999 L .909 .674 .171 r

F

.43864 .31312 m .44618 .33944 L .44145 .32802 L .851 .58 .042 r

F

0 g

.44199 .31729 m

.44618 .33944 L

s

.039 .916 .04 r

.42445 .33055 m

.44107 .32601 L

s

.42427 .33036 m

.44089 .32506 L

s

.4426 .32451 m

.44328 .3243 L

s

.44292 .32551 m

.44356 .32533 L

s

.3895 .24543 m .41584 .25527 L .40095 .26014 L .658 .707 .883 r

F

.38902 .26955 m .40095 .26014 L .39671 .27935 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.39655 .27915 L

s

.38902 .26955 m .3895 .24543 L .40095 .26014 L .961 .688 .473 r

F

0 g

.40095 .26014 m

.41146 .27864 L

s

.039 .916 .04 r

.43471 .29637 m

.43523 .29619 L

s

.41454 .30311 m

.43353 .29676 L

s

.43428 .29527 m

.43474 .29509 L

s

.43418 .29531 m

.43428 .29527 L

s

.41437 .30293 m

.43309 .29572 L

s

.42239 .26856 m

.42301 .26831 L

s

.42177 .26761 m

.4224 .26733 L

s

.41707 .33574 m .43256 .36467 L .4179 .34949 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.41787 .34893 L

s

.07966 .41728 m

.41786 .34874 L

s

.43256 .36467 m .4459 .3776 L .43086 .38226 L .524 .275 .479 r

F

.43256 .36467 m .44752 .35999 L .4459 .3776 L F

.4179 .34949 m .43256 .36467 L .43086 .38226 L .961 .688 .473 r

F

0 g

.43127 .34414 m

.43256 .36467 L

s

0 0 1 r

.07966 .41728 m

.4207 .35656 L

s

.09919 .43449 m

.4207 .35656 L

s

.3895 .24543 m .40443 .24051 L .41584 .25527 L .658 .707 .883 r

F

.41342 .26158 m .41584 .25527 L .42106 .27144 L .859 .435 0 r

F

.039 .916 .04 r

.40445 .27545 m

.41904 .26884 L

s

.40462 .27563 m

.41966 .26964 L

s

.41342 .26158 m .40443 .24051 L .41584 .25527 L .859 .435 0 r

F

0 g

.41584 .25527 m

.42632 .27382 L

s

.44145 .32802 m .44752 .35999 L .44234 .34179 L .909 .674 .171 r

F

.039 .916 .04 r

.44436 .34151 m

.4451 .3413 L

s

.44234 .34179 m .44752 .35999 L .4459 .3776 L .963 .758 .314 r

F

0 g

.44618 .33944 m

.44752 .35999 L

s

.039 .916 .04 r

.44466 .34257 m

.44541 .34239 L

s

.42424 .34745 m

.44247 .34309 L

s

.42407 .34727 m

.44237 .34207 L

s

.43873 .3126 m

.43899 .31252 L

s

.39899 .31217 m .40977 .30589 L .4143 .32088 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.41301 .32015 L

s

.39597 .30505 m .40977 .30589 L .39899 .31217 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.39859 .31121 L

s

.07966 .41728 m

.39852 .31106 L

s

.39597 .30505 m .40377 .29174 L .40977 .30589 L .961 .688 .473 r

F

.039 .916 .04 r

.43823 .31133 m

.43842 .31126 L

s

.40128 .31973 m .4143 .32088 L .41707 .33574 L .961 .688 .473 r

F

.39899 .31217 m .4143 .32088 L .40128 .31973 L F

.039 .916 .04 r

.07966 .41728 m

.40314 .29283 L

s

.09919 .43449 m

.40327 .2926 L

s

.37784 .2355 m .40443 .24051 L .3895 .24543 L .656 .791 .946 r

F

.38122 .26299 m .3895 .24543 L .38902 .26955 L .961 .688 .473 r

F

0 0 1 r

.07966 .41728 m

.3815 .26323 L

s

.039 .916 .04 r

.07966 .41728 m

.38737 .26816 L

s

0 0 1 r

.09919 .43449 m

.3818 .26348 L

s

.039 .916 .04 r

.09919 .43449 m

.38761 .26837 L

s

.38122 .26299 m .37784 .2355 L .3895 .24543 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.38034 .25584 L

s

.07966 .41728 m

.38033 .25579 L

s

0 g

.3895 .24543 m

.40095 .26014 L

s

.039 .916 .04 r

.42829 .28365 m

.42855 .28356 L

s

.40435 .29236 m

.42802 .28375 L

s

.42766 .28239 m

.42778 .28234 L

s

.4276 .28241 m

.42766 .28239 L

s

.39241 .29882 m .40377 .29174 L .39597 .30505 L .961 .688 .473 r

F

.39241 .29882 m .39671 .27935 L .40377 .29174 L F

0 0 1 r

.44505 .3513 m

.44559 .35118 L

s

.039 .916 .04 r

.44543 .34238 m

.44557 .34234 L

s

.44541 .34239 m

.44543 .34238 L

s

0 0 0 r

2 Mabswid

.44541 .34239 Mdot

0 0 1 r

.5 Mabswid

.44474 .35024 m

.44528 .35009 L

s

.039 .916 .04 r

.41362 .25648 m

.41432 .25618 L

s

.40267 .32721 m .41707 .33574 L .4179 .34949 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.40995 .33785 L

s

.09919 .43449 m

.40998 .33789 L

s

.40128 .31973 m .41707 .33574 L .40267 .32721 L .961 .688 .473 r

F

.039 .916 .04 r

.41413 .31974 m

.43811 .31137 L

s

.4143 .31993 m

.4385 .31266 L

s

0 0 0 r

2 Mabswid

.4451 .3413 Mdot

.49666 .27521 m .51866 .2929 L .50349 .29772 L .619 .52 .719 r

F

.49666 .27521 m .51181 .27034 L .51866 .2929 L F

.48777 .25389 m .51181 .27034 L .49666 .27521 L .636 .578 .773 r

F

.47709 .28429 m .49666 .27521 L .50349 .29772 L .877 .659 .605 r

F

.47111 .27 m .49666 .27521 L .47709 .28429 L .886 .686 .627 r

F

.039 .916 .04 r

.5 Mabswid

.43523 .29619 m

.4765 .28288 L

s

.43474 .29509 m

.4749 .27905 L

s

.47111 .27 m .48777 .25389 L .49666 .27521 L .886 .686 .627 r

F

.50349 .29772 m .52304 .31523 L .50783 .32002 L .599 .457 .66 r

F

.50349 .29772 m .51866 .2929 L .52304 .31523 L F

.48167 .29941 m .50349 .29772 L .50783 .32002 L .872 .634 .576 r

F

.039 .916 .04 r

.44356 .32533 m

.49442 .30945 L

s

.47709 .28429 m .50349 .29772 L .48167 .29941 L .877 .659 .605 r

F

0 g

.49666 .27521 m

.50349 .29772 L

s

.43086 .38226 m .44137 .39107 L .42626 .39573 L .436 .101 .298 r

F

.43086 .38226 m .4459 .3776 L .44137 .39107 L F

.41673 .36122 m .43086 .38226 L .42626 .39573 L .961 .688 .473 r

F

.4179 .34949 m .43086 .38226 L .41673 .36122 L F

.039 .916 .04 r

.07966 .41728 m

.41788 .36542 L

s

.09919 .43449 m

.41793 .36558 L

s

.07966 .41728 m

.4224 .38177 L

s

.09919 .43449 m

.42237 .38165 L

s

0 g

.43086 .38226 m

.43256 .36467 L

s

0 0 1 r

.42396 .35576 m

.44322 .35064 L

s

.42414 .35595 m

.44332 .35168 L

s

.37784 .2355 m .39283 .23053 L .40443 .24051 L .656 .791 .946 r

F

.40568 .25498 m .40443 .24051 L .41342 .26158 L .886 .457 .09 r

F

.039 .916 .04 r

.3942 .26457 m

.40867 .25753 L

s

.41282 .25551 m

.4135 .25518 L

s

.39438 .26476 m

.40951 .25825 L

s

.40568 .25498 m .39283 .23053 L .40443 .24051 L .886 .457 .09 r

F

0 g

.40443 .24051 m

.41584 .25527 L

s

.38854 .29392 m .39671 .27935 L .39241 .29882 L .961 .688 .473 r

F

.38854 .29392 m .38902 .26955 L .39671 .27935 L F

.039 .916 .04 r

.09919 .43449 m

.38873 .28401 L

s

.07966 .41728 m

.38874 .28382 L

s

0 0 1 r

.44559 .35118 m

.44668 .35085 L

s

0 0 0 r

4 Mabswid

.44559 .35118 Mdot

.42893 .30258 m .43409 .29809 L .43864 .31312 L .961 .645 .241 r

F

.039 .916 .04 r

.5 Mabswid

.43842 .31126 m

.43849 .31124 L

s

.4259 .29542 m .43409 .29809 L .42893 .30258 L .953 .616 .219 r

F

.4259 .29542 m .4281 .28389 L .43409 .29809 L F

.039 .916 .04 r

.40417 .29218 m

.42733 .28253 L

s

.48777 .25389 m .50293 .24897 L .51181 .27034 L .636 .578 .773 r

F

.47738 .23514 m .50293 .24897 L .48777 .25389 L .649 .638 .826 r

F

.46411 .25746 m .48777 .25389 L .47111 .27 L .899 .715 .643 r

F

.039 .916 .04 r

.42855 .28356 m

.47091 .26965 L

s

.46411 .25746 m .47738 .23514 L .48777 .25389 L .899 .715 .643 r

F

0 g

.48777 .25389 m

.49666 .27521 L

s

.039 .916 .04 r

.42301 .26831 m

.4662 .25394 L

s

.43122 .31016 m .43864 .31312 L .44145 .32802 L .972 .68 .284 r

F

.039 .916 .04 r

.43849 .31124 m

.43859 .3112 L

s

.43899 .31252 m

.43926 .31243 L

s

.42893 .30258 m .43864 .31312 L .43122 .31016 L .961 .645 .241 r

F

.039 .916 .04 r

.41432 .25618 m

.41435 .25617 L

s

0 0 0 r

2 Mabswid

.41432 .25618 Mdot

0 0 1 r

.5 Mabswid

.44528 .35009 m

.44631 .3497 L

s

0 0 0 r

4 Mabswid

.44528 .35009 Mdot

0 0 1 r

.5 Mabswid

.40872 .25058 m

.40923 .25035 L

s

.38922 .25929 m

.40438 .25252 L

s

.4079 .24959 m

.40831 .24938 L

s

.40777 .24966 m

.4079 .24959 L

s

.38905 .2591 m

.4039 .25161 L

s

.50183 .27635 m .51181 .27034 L .51866 .2929 L .966 .687 .452 r

F

.49586 .262 m .51181 .27034 L .50183 .27635 L F

.49586 .262 m .50293 .24897 L .51181 .27034 L F

.40267 .32721 m .4179 .34949 L .40307 .33412 L .961 .688 .473 r

F

.40307 .33412 m .4179 .34949 L .41673 .36122 L F

0 0 0 r

2 Mabswid

.4135 .25518 Mdot

.50783 .32002 m .52466 .3359 L .50939 .34066 L .57 .381 .586 r

F

.50783 .32002 m .52304 .31523 L .52466 .3359 L F

.48456 .31436 m .50783 .32002 L .50939 .34066 L .871 .609 .541 r

F

.48167 .29941 m .50783 .32002 L .48456 .31436 L .872 .634 .576 r

F

.039 .916 .04 r

.5 Mabswid

.44328 .3243 m

.48346 .30868 L

s

0 g

.50349 .29772 m

.50783 .32002 L

s

.50643 .29151 m .51866 .2929 L .52304 .31523 L .966 .687 .452 r

F

.50183 .27635 m .51866 .2929 L .50643 .29151 L F

0 g

.51181 .27034 m

.51866 .2929 L

s

.44123 .35354 m .4459 .3776 L .44137 .39107 L .994 .813 .444 r

F

.44234 .34179 m .4459 .3776 L .44123 .35354 L .963 .758 .314 r

F

0 g

.4459 .3776 m

.44752 .35999 L

s

.039 .916 .04 r

.44452 .36027 m

.44527 .36012 L

s

.42404 .36447 m

.44126 .36094 L

s

.44422 .35924 m

.44495 .35906 L

s

.44495 .35906 m

.44496 .35905 L

s

.42386 .36429 m

.44126 .35997 L

s

.42236 .28916 m .4281 .28389 L .4259 .29542 L .948 .595 .22 r

F

.42236 .28916 m .42106 .27144 L .4281 .28389 L F

.039 .916 .04 r

.42778 .28234 m

.42792 .28228 L

s

.43178 .3001 m

.43225 .29994 L

s

.40407 .30921 m

.42836 .30122 L

s

.43096 .29873 m

.43137 .29857 L

s

.43088 .29876 m

.43096 .29873 L

s

.40389 .30903 m

.42781 .29993 L

s

.43264 .31767 m .44145 .32802 L .44234 .34179 L .984 .716 .341 r

F

.039 .916 .04 r

.43982 .32857 m

.4402 .32845 L

s

.41388 .33668 m

.43733 .32934 L

s

.4405 .32984 m

.44081 .32976 L

s

.41406 .33686 m

.43782 .33056 L

s

.43122 .31016 m .44145 .32802 L .43264 .31767 L .972 .68 .284 r

F

.039 .916 .04 r

.43926 .31243 m

.48156 .29905 L

s

.48835 .27907 m

.5013 .27507 L

s

.44529 .36011 m

.44543 .36007 L

s

.44527 .36012 m

.44529 .36011 L

s

0 0 0 r

2 Mabswid

.44527 .36012 Mdot

.47738 .23514 m .49257 .23017 L .50293 .24897 L .649 .638 .826 r

F

.48889 .24941 m .50293 .24897 L .49586 .262 L .966 .687 .452 r

F

.48889 .24941 m .49257 .23017 L .50293 .24897 L F

0 g

.5 Mabswid

.50293 .24897 m

.51181 .27034 L

s

.039 .916 .04 r

.44496 .35905 m

.44512 .35899 L

s

0 0 0 r

2 Mabswid

.44496 .35905 Mdot

4 Mabswid

.40923 .25035 Mdot

.039 .916 .04 r

.5 Mabswid

.47982 .24945 m

.48935 .247 L

s

.40295 .24503 m

.40364 .24471 L

s

.38405 .25379 m

.40094 .24596 L

s

.38462 .29068 m .38902 .26955 L .38854 .29392 L .961 .688 .473 r

F

.38462 .29068 m .38122 .26299 L .38902 .26955 L F

.039 .916 .04 r

.07966 .41728 m

.38224 .27129 L

s

.09919 .43449 m

.38222 .27115 L

s

.50936 .30651 m .52304 .31523 L .52466 .3359 L .966 .687 .452 r

F

.50643 .29151 m .52304 .31523 L .50936 .30651 L F

0 g

.51866 .2929 m

.52304 .31523 L

s

.039 .916 .04 r

.50064 .30748 m

.50896 .30447 L

s

.4948 .30426 m

.50789 .29896 L

s

.48339 .27569 m

.49924 .27012 L

s

.36674 .2311 m .39283 .23053 L .37784 .2355 L .606 .884 .991 r

F

.37382 .26017 m .37784 .2355 L .38122 .26299 L .961 .688 .473 r

F

.37382 .26017 m .36674 .2311 L .37784 .2355 L F

0 g

.37784 .2355 m

.3895 .24543 L

s

.039 .916 .04 r

.07966 .41728 m

.37009 .24483 L

s

.09919 .43449 m

.3701 .24488 L

s

0 0 0 r

4 Mabswid

.40831 .24938 Mdot

.41851 .28423 m .42106 .27144 L .42236 .28916 L .946 .584 .242 r

F

.41851 .28423 m .41342 .26158 L .42106 .27144 L F

.039 .916 .04 r

.5 Mabswid

.39407 .28152 m

.41596 .27287 L

s

.41946 .27149 m

.41976 .27137 L

s

.39389 .28134 m

.41566 .27153 L

s

.41842 .27029 m

.41873 .27014 L

s

.46615 .22017 m .49257 .23017 L .47738 .23514 L .658 .707 .883 r

F

.45656 .2475 m .47738 .23514 L .46411 .25746 L .917 .744 .652 r

F

.039 .916 .04 r

.4224 .26733 m

.45992 .25194 L

s

.45656 .2475 m .46615 .22017 L .47738 .23514 L .917 .744 .652 r

F

.039 .916 .04 r

.41435 .25617 m

.45879 .24113 L

s

0 g

.47738 .23514 m

.48777 .25389 L

s

.039 .916 .04 r

.44081 .32976 m

.44103 .32969 L

s

.44248 .37843 m

.44314 .37832 L

s

.44217 .37751 m

.44285 .37736 L

s

.4402 .32845 m

.44064 .32828 L

s

.41673 .36122 m .42626 .39573 L .41359 .37015 L .961 .688 .473 r

F

.40245 .33999 m .41673 .36122 L .41359 .37015 L F

.039 .916 .04 r

.09919 .43449 m

.40806 .35517 L

s

.07966 .41728 m

.40801 .35503 L

s

.40307 .33412 m .41673 .36122 L .40245 .33999 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.40254 .32654 L

s

.09919 .43449 m

.40252 .32639 L

s

.43264 .31767 m .44234 .34179 L .43307 .32459 L .984 .716 .341 r

F

.43307 .32459 m .44234 .34179 L .44123 .35354 L .993 .746 .404 r

F

.039 .916 .04 r

.44103 .32969 m

.44104 .32969 L

s

0 0 0 r

2 Mabswid

.51684 .30163 Mdot

.48456 .31436 m .50939 .34066 L .48555 .32818 L .871 .609 .541 r

F

.039 .916 .04 r

.5 Mabswid

.44557 .34234 m

.48786 .32939 L

s

.4451 .3413 m

.48539 .32591 L

s

.50939 .34066 m .52338 .35356 L .50805 .35832 L .524 .275 .479 r

F

.50939 .34066 m .52466 .3359 L .52338 .35356 L F

.48555 .32818 m .50939 .34066 L .50805 .35832 L .873 .586 .497 r

F

0 g

.50783 .32002 m

.50939 .34066 L

s

0 0 1 r

.44631 .3497 m

.48943 .33338 L

s

.44668 .35085 m

.49218 .33706 L

s

.039 .916 .04 r

.44543 .36007 m

.49765 .34439 L

s

.41976 .27137 m

.41998 .2713 L

s

0 0 0 r

2 Mabswid

.41976 .27137 Mdot

.42626 .39573 m .43419 .39944 L .419 .40411 L .226 0 0 r

F

.42626 .39573 m .44137 .39107 L .43419 .39944 L F

.41359 .37015 m .42626 .39573 L .419 .40411 L .961 .688 .473 r

F

0 g

.5 Mabswid

.42626 .39573 m

.43086 .38226 L

s

.039 .916 .04 r

.09919 .43449 m

.41824 .39929 L

s

.07966 .41728 m

.41822 .39918 L

s

.42383 .38162 m

.44132 .37863 L

s

.42365 .38144 m

.44132 .37769 L

s

.48449 .29812 m

.50622 .29081 L

s

0 0 0 r

2 Mabswid

.50675 .27339 Mdot

.039 .916 .04 r

.5 Mabswid

.40364 .24471 m

.4038 .24465 L

s

0 0 0 r

2 Mabswid

.40364 .24471 Mdot

.36674 .2311 m .3818 .22609 L .39283 .23053 L .606 .884 .991 r

F

.39836 .25211 m .39283 .23053 L .40568 .25498 L .898 .485 .196 r

F

.039 .916 .04 r

.5 Mabswid

.38387 .2536 m

.39698 .24675 L

s

.40256 .24384 m

.40266 .24379 L

s

.40201 .24413 m

.40256 .24384 L

s

.39836 .25211 m .3818 .22609 L .39283 .23053 L .898 .485 .196 r

F

0 g

.39283 .23053 m

.40443 .24051 L

s

.039 .916 .04 r

.43374 .3174 m

.43404 .31731 L

s

.43292 .31594 m

.43311 .31587 L

s

.40361 .326 m

.43235 .31613 L

s

.46615 .22017 m .48138 .21515 L .49257 .23017 L .658 .707 .883 r

F

.48138 .2394 m .49257 .23017 L .48889 .24941 L .966 .687 .452 r

F

.039 .916 .04 r

.47519 .24574 m

.48414 .24308 L

s

.48138 .2394 m .48138 .21515 L .49257 .23017 L .966 .687 .452 r

F

0 g

.49257 .23017 m

.50293 .24897 L

s

.38805 .31855 m .39899 .31217 L .40128 .31973 L .961 .688 .473 r

F

.38805 .31855 m .39597 .30505 L .39899 .31217 L F

.38805 .31855 m .40128 .31973 L .40267 .32721 L F

.039 .916 .04 r

.09919 .43449 m

.39237 .29878 L

s

.07966 .41728 m

.39245 .2989 L

s

.41873 .27014 m

.41895 .27006 L

s

0 0 0 r

2 Mabswid

.41873 .27014 Mdot

.039 .916 .04 r

.5 Mabswid

.40266 .24379 m

.40297 .24366 L

s

0 0 0 r

2 Mabswid

.40266 .24379 Mdot

.039 .916 .04 r

.5 Mabswid

.44314 .37832 m

.44346 .37822 L

s

0 0 0 r

2 Mabswid

.44314 .37832 Mdot

.4966 .24513 Mdot

.38805 .31855 m .39241 .29882 L .39597 .30505 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.42309 .28786 m

.42338 .28776 L

s

.39375 .29841 m

.42172 .28835 L

s

.46128 .29221 m .47709 .28429 L .48167 .29941 L .913 .675 .564 r

F

.039 .916 .04 r

.43859 .3112 m

.47479 .29698 L

s

.45826 .28502 m .47709 .28429 L .46128 .29221 L .92 .693 .579 r

F

.039 .916 .04 r

.43225 .29994 m

.46068 .29079 L

s

.43137 .29857 m

.45928 .28746 L

s

.45826 .28502 m .47111 .27 L .47709 .28429 L .92 .693 .579 r

F

.039 .916 .04 r

.42201 .28646 m

.42222 .28638 L

s

.422 .28647 m

.42201 .28646 L

s

.46358 .29982 m .48167 .29941 L .48456 .31436 L .91 .657 .544 r

F

.46128 .29221 m .48167 .29941 L .46358 .29982 L .913 .675 .564 r

F

.38805 .31855 m .40267 .32721 L .40307 .33412 L .961 .688 .473 r

F

.039 .916 .04 r

.44285 .37736 m

.44317 .37724 L

s

0 0 0 r

2 Mabswid

.44285 .37736 Mdot

.41464 .28096 m .41342 .26158 L .41851 .28423 L .942 .581 .279 r

F

.41464 .28096 m .40568 .25498 L .41342 .26158 L F

.039 .916 .04 r

.5 Mabswid

.4135 .25518 m

.41531 .25443 L

s

0 0 0 r

2 Mabswid

.51259 .29705 Mdot

.50936 .30651 m .52466 .3359 L .51041 .32035 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.49325 .32288 m

.51005 .31558 L

s

.51041 .32035 m .52466 .3359 L .52338 .35356 L .966 .687 .452 r

F

0 g

.52304 .31523 m

.52466 .3359 L

s

.039 .916 .04 r

.49904 .32592 m

.5108 .32134 L

s

.40864 .25991 m

.40893 .25979 L

s

.38092 .28932 m .38122 .26299 L .38462 .29068 L .961 .688 .473 r

F

.039 .916 .04 r

.38369 .27059 m

.40754 .26038 L

s

.38092 .28932 m .37382 .26017 L .38122 .26299 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.38075 .28861 L

s

.09919 .43449 m

.38074 .28857 L

s

.38805 .31855 m .38854 .29392 L .39241 .29882 L .961 .688 .473 r

F

.45472 .27872 m .47111 .27 L .45826 .28502 L .929 .712 .589 r

F

.45472 .27872 m .46411 .25746 L .47111 .27 L F

.039 .916 .04 r

.42792 .28228 m

.45865 .26983 L

s

0 0 0 r

2 Mabswid

.50262 .26893 Mdot

.43819 .36247 m .44137 .39107 L .43419 .39944 L .999 .832 .542 r

F

.44123 .35354 m .44137 .39107 L .43819 .36247 L .994 .813 .444 r

F

0 g

.5 Mabswid

.44137 .39107 m

.4459 .3776 L

s

.039 .916 .04 r

.41382 .35392 m

.43966 .34796 L

s

.46756 .23824 m

.48138 .23498 L

s

.38805 .31855 m .40307 .33412 L .40245 .33999 L .961 .688 .473 r

F

.4325 .33047 m .44123 .35354 L .43819 .36247 L .996 .766 .463 r

F

.039 .916 .04 r

.41364 .35374 m

.43556 .34768 L

s

.43307 .32459 m .44123 .35354 L .4325 .33047 L .993 .746 .404 r

F

.039 .916 .04 r

.44035 .3478 m

.44053 .34776 L

s

.44053 .34776 m

.44066 .34773 L

s

.43967 .34655 m

.43981 .34651 L

s

.43981 .34651 m

.44005 .34645 L

s

.40379 .32619 m

.43264 .31772 L

s

.44066 .34773 m

.44088 .34767 L

s

0 0 0 r

2 Mabswid

.44066 .34773 Mdot

.039 .916 .04 r

.5 Mabswid

.39047 .23433 m

.39106 .23403 L

s

.37362 .24273 m

.38787 .23563 L

s

.46502 .30735 m .48456 .31436 L .48555 .32818 L .909 .64 .518 r

F

.039 .916 .04 r

.44104 .32969 m

.47628 .31878 L

s

.44064 .32828 m

.47326 .31571 L

s

.46358 .29982 m .48456 .31436 L .46502 .30735 L .91 .657 .544 r

F

.039 .916 .04 r

.38949 .23356 m

.39002 .23326 L

s

0 0 0 r

2 Mabswid

.49242 .24062 Mdot

.45479 .21 m .48138 .21515 L .46615 .22017 L .656 .791 .946 r

F

.44893 .24081 m .46615 .22017 L .45656 .2475 L .938 .774 .652 r

F

.039 .916 .04 r

.5 Mabswid

.41531 .25443 m

.4494 .24025 L

s

.44893 .24081 m .45479 .21 L .46615 .22017 L .938 .774 .652 r

F

0 0 1 r

.40923 .25035 m

.44975 .23653 L

s

.40831 .24938 m

.45068 .23164 L

s

.039 .916 .04 r

.4038 .24465 m

.45131 .22833 L

s

0 g

.46615 .22017 m

.47738 .23514 L

s

.039 .916 .04 r

.44005 .34645 m

.44019 .34639 L

s

0 0 0 r

2 Mabswid

.44005 .34645 Mdot

.41359 .37015 m .419 .40411 L .4087 .37564 L .961 .688 .473 r

F

.40086 .34442 m .41359 .37015 L .4087 .37564 L F

.039 .916 .04 r

.5 Mabswid

.09919 .43449 m

.4078 .37206 L

s

.07966 .41728 m

.40776 .37191 L

s

.40245 .33999 m .41359 .37015 L .40086 .34442 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.40107 .34384 L

s

.09919 .43449 m

.40109 .34377 L

s

0 0 0 r

2 Mabswid

.517 .31892 Mdot

.039 .916 .04 r

.5 Mabswid

.43833 .36626 m

.4385 .36623 L

s

.43824 .36628 m

.43833 .36626 L

s

.41357 .37111 m

.43776 .36637 L

s

.38805 .31855 m .38462 .29068 L .38854 .29392 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.3879 .3174 L

s

.07966 .41728 m

.38788 .31722 L

s

.43404 .31731 m

.43408 .31729 L

s

0 0 0 r

2 Mabswid

.43404 .31731 Mdot

.50689 .29059 Mdot

.38805 .31855 m .40245 .33999 L .40086 .34442 L .961 .688 .473 r

F

.45092 .27375 m .46411 .25746 L .45472 .27872 L .941 .731 .591 r

F

.45092 .27375 m .45656 .2475 L .46411 .25746 L F

.039 .916 .04 r

.5 Mabswid

.41895 .27006 m

.45489 .25526 L

s

.41998 .2713 m

.45388 .25997 L

s

.43311 .31587 m

.43319 .31584 L

s

0 0 0 r

2 Mabswid

.43311 .31587 Mdot

.49169 .28246 m .50183 .27635 L .50643 .29151 L .966 .687 .452 r

F

.48867 .27523 m .50183 .27635 L .49169 .28246 L F

.48867 .27523 m .49586 .262 L .50183 .27635 L F

.039 .916 .04 r

.5 Mabswid

.47391 .26868 m

.4956 .26247 L

s

.47025 .28771 m

.49115 .28116 L

s

.42342 .28774 m

.45396 .27772 L

s

.42338 .28776 m

.42342 .28774 L

s

0 0 0 r

2 Mabswid

.42338 .28776 Mdot

.41998 .30833 m .42893 .30258 L .43122 .31016 L .974 .685 .411 r

F

.41998 .30833 m .4259 .29542 L .42893 .30258 L .971 .676 .405 r

F

.039 .916 .04 r

.5 Mabswid

.39357 .29822 m

.42068 .28701 L

s

.49401 .2901 m .50643 .29151 L .50936 .30651 L .966 .687 .452 r

F

.49169 .28246 m .50643 .29151 L .49401 .2901 L F

.039 .916 .04 r

.47967 .29507 m

.49388 .28967 L

s

.50805 .35832 m .51925 .36703 L .50384 .37179 L .436 .101 .298 r

F

.50805 .35832 m .52338 .35356 L .51925 .36703 L F

.48457 .33996 m .50805 .35832 L .50384 .37179 L .88 .562 .443 r

F

.039 .916 .04 r

.44346 .37822 m

.49799 .36211 L

s

.44512 .35899 m

.48665 .34339 L

s

.48555 .32818 m .50805 .35832 L .48457 .33996 L .873 .586 .497 r

F

0 g

.50805 .35832 m

.50939 .34066 L

s

0 0 1 r

.49867 .33505 m

.51377 .32895 L

s

.41998 .30833 m .43122 .31016 L .43264 .31767 L .976 .694 .422 r

F

.35695 .23261 m .3818 .22609 L .36674 .2311 L .35 .826 .811 r

F

.36733 .2613 m .36674 .2311 L .37382 .26017 L .961 .688 .473 r

F

.039 .916 .04 r

.37344 .24254 m

.38732 .23477 L

s

.36733 .2613 m .35695 .23261 L .36674 .2311 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.37128 .26061 L

s

.09919 .43449 m

.37104 .26065 L

s

0 g

.36674 .2311 m

.37784 .2355 L

s

.039 .916 .04 r

.09919 .43449 m

.35791 .23524 L

s

.07966 .41728 m

.35783 .23503 L

s

.39106 .23403 m

.39138 .23392 L

s

0 0 0 r

2 Mabswid

.39106 .23403 Mdot

.49669 .26216 Mdot

.039 .916 .04 r

.5 Mabswid

.40893 .25979 m

.40915 .25971 L

s

0 0 0 r

2 Mabswid

.40893 .25979 Mdot

.46502 .30735 m .48555 .32818 L .4655 .31429 L .909 .64 .518 r

F

.039 .916 .04 r

.5 Mabswid

.43408 .31729 m

.46504 .30755 L

s

.4655 .31429 m .48555 .32818 L .48457 .33996 L .912 .625 .488 r

F

.039 .916 .04 r

.44088 .34767 m

.48122 .33545 L

s

.45479 .21 m .47008 .20494 L .48138 .21515 L .656 .791 .946 r

F

.47382 .23266 m .48138 .21515 L .48138 .2394 L .966 .687 .452 r

F

.47382 .23266 m .47008 .20494 L .48138 .21515 L F

.039 .916 .04 r

.46363 .23441 m

.47369 .23166 L

s

0 0 1 r

.46183 .23247 m

.47344 .22985 L

s

0 g

.48138 .21515 m

.49257 .23017 L

s

.41998 .30833 m .42236 .28916 L .4259 .29542 L .968 .669 .403 r

F

.039 .916 .04 r

.42346 .30388 m

.42346 .30388 L

s

.42343 .30389 m

.42346 .30388 L

s

.42346 .30388 m

.42387 .30373 L

s

.42472 .3053 m

.42511 .30518 L

s

.42466 .30532 m

.42472 .3053 L

s

0 0 0 r

2 Mabswid

.42222 .28638 Mdot

.039 .916 .04 r

.5 Mabswid

.39002 .23326 m

.39048 .23307 L

s

0 0 0 r

2 Mabswid

.39002 .23326 Mdot

.41099 .27957 m .40568 .25498 L .41464 .28096 L .937 .584 .324 r

F

.41099 .27957 m .39836 .25211 L .40568 .25498 L F

.039 .916 .04 r

.5 Mabswid

.40749 .25876 m

.40755 .25873 L

s

.40755 .25873 m

.40772 .25865 L

s

.38351 .2704 m

.40252 .26117 L

s

0 0 0 r

4 Mabswid

.51707 .32762 Mdot

2 Mabswid

.51282 .31438 Mdot

.41998 .30833 m .43264 .31767 L .43307 .32459 L .977 .702 .436 r

F

.48516 .26891 m .49586 .262 L .48867 .27523 L .966 .687 .452 r

F

.48516 .26891 m .48889 .24941 L .49586 .262 L F

.039 .916 .04 r

.5 Mabswid

.46968 .26537 m

.48692 .25972 L

s

0 0 0 r

2 Mabswid

.40772 .25865 Mdot

.38805 .31855 m .38092 .28932 L .38462 .29068 L .961 .688 .473 r

F

0 0 0 r

.48648 .23377 Mdot

.039 .916 .04 r

.5 Mabswid

.41225 .27618 m

.41244 .27611 L

s

.41216 .27622 m

.41225 .27618 L

s

.38334 .28751 m

.40986 .27712 L

s

.46647 .28461 m

.4892 .27651 L

s

0 0 0 r

2 Mabswid

.50289 .28624 Mdot

.49548 .29766 m .50936 .30651 L .51041 .32035 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.48262 .31681 m

.50317 .30934 L

s

.49401 .2901 m .50936 .30651 L .49548 .29766 L .966 .687 .452 r

F

.41998 .30833 m .41851 .28423 L .42236 .28916 L .965 .663 .406 r

F

.039 .916 .04 r

.42222 .28638 m

.42248 .28627 L

s

.40086 .34442 m .4087 .37564 L .39838 .34712 L .961 .688 .473 r

F

.38805 .31855 m .40086 .34442 L .39838 .34712 L F

.3777 .28995 m .37382 .26017 L .38092 .28932 L F

.3777 .28995 m .36733 .2613 L .37382 .26017 L F

.039 .916 .04 r

.4385 .36623 m

.43962 .3659 L

s

0 0 0 r

2 Mabswid

.4385 .36623 Mdot

0 0 1 r

.5 Mabswid

.45849 .22847 m

.47275 .22474 L

s

.43819 .36247 m .43419 .39944 L .43338 .36794 L .999 .832 .542 r

F

.43096 .3349 m .43819 .36247 L .43338 .36794 L .991 .774 .513 r

F

.039 .916 .04 r

.43774 .36509 m

.43793 .36505 L

s

.41339 .37093 m

.43325 .36617 L

s

.4325 .33047 m .43819 .36247 L .43096 .3349 L .996 .766 .463 r

F

.039 .916 .04 r

.43366 .33551 m

.43385 .33546 L

s

.43356 .33554 m

.43366 .33551 L

s

.40351 .34328 m

.43105 .33618 L

s

.40333 .3431 m

.43106 .33461 L

s

.43274 .3341 m

.43292 .33404 L

s

.41998 .30833 m .43307 .32459 L .4325 .33047 L .977 .709 .451 r

F

.50951 .33214 m .52338 .35356 L .51925 .36703 L .966 .687 .452 r

F

.039 .916 .04 r

.49911 .34388 m

.51136 .33875 L

s

.51041 .32035 m .52338 .35356 L .50951 .33214 L .966 .687 .452 r

F

0 g

.52338 .35356 m

.52466 .3359 L

s

0 0 1 r

.4929 .33203 m

.51011 .32431 L

s

0 0 0 r

2 Mabswid

.49271 .25782 Mdot

.35695 .23261 m .37209 .22757 L .3818 .22609 L .35 .826 .811 r

F

.39195 .25321 m .3818 .22609 L .39836 .25211 L .896 .512 .295 r

F

.039 .916 .04 r

.5 Mabswid

.39454 .24815 m

.39475 .24804 L

s

.39475 .24804 m

.39487 .24798 L

s

.39593 .24906 m

.39601 .24902 L

s

.39601 .24902 m

.39617 .24895 L

s

.39195 .25321 m .37209 .22757 L .3818 .22609 L .896 .512 .295 r

F

.039 .916 .04 r

.37323 .25956 m

.39064 .25151 L

s

.37305 .25937 m

.3899 .25057 L

s

0 g

.3818 .22609 m

.39283 .23053 L

s

.4087 .37564 m .419 .40411 L .40954 .40675 L .961 .688 .473 r

F

.419 .40411 m .42481 .40205 L .40954 .40675 L .23 .74 .701 r

F

.039 .916 .04 r

.09919 .43449 m

.40906 .38884 L

s

.07966 .41728 m

.40905 .38879 L

s

0 g

.41933 .40373 m

.42626 .39573 L

s

.039 .916 .04 r

.41275 .40586 m

.41308 .40585 L

s

.41271 .40586 m

.41275 .40586 L

s

.419 .40411 m .43419 .39944 L .42481 .40205 L .23 .74 .701 r

F

.039 .916 .04 r

.4381 .36498 m

.43894 .36467 L

s

.438 .36502 m

.4381 .36498 L

s

.43793 .36505 m

.438 .36502 L

s

0 0 0 r

2 Mabswid

.43793 .36505 Mdot

4 Mabswid

.5129 .32306 Mdot

2 Mabswid

.51714 .33634 Mdot

.44708 .27045 m .45656 .2475 L .45092 .27375 L .954 .748 .587 r

F

.44708 .27045 m .44893 .24081 L .45656 .2475 L F

.039 .916 .04 r

.5 Mabswid

.40297 .24366 m

.45119 .22334 L

s

.45695 .22649 m

.47254 .22314 L

s

.48138 .2639 m .48889 .24941 L .48516 .26891 L .966 .687 .452 r

F

.48138 .2639 m .48138 .2394 L .48889 .24941 L F

.039 .916 .04 r

.46131 .2575 m

.48138 .25218 L

s

.4087 .37564 m .40954 .40675 L .40235 .37727 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.40935 .406 L

s

.07966 .41728 m

.40935 .40598 L

s

.07966 .41728 m

.40251 .3779 L

s

.09919 .43449 m

.40246 .37772 L

s

.39838 .34712 m .4087 .37564 L .40235 .37727 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.40021 .36103 L

s

.09919 .43449 m

.40021 .36101 L

s

0 0 0 r

2 Mabswid

.48236 .22928 Mdot

.38805 .31855 m .3777 .28995 L .38092 .28932 L .961 .688 .473 r

F

.41998 .30833 m .41464 .28096 L .41851 .28423 L .961 .659 .413 r

F

.039 .916 .04 r

.5 Mabswid

.39343 .31542 m

.4197 .30692 L

s

.39325 .31523 m

.41941 .3054 L

s

.43385 .33546 m

.4339 .33545 L

s

0 0 0 r

2 Mabswid

.43385 .33546 Mdot

.507 .30795 Mdot

4 Mabswid

.48138 .22807 Mdot

.41998 .30833 m .4325 .33047 L .43096 .3349 L .976 .714 .467 r

F

.039 .916 .04 r

.5 Mabswid

.46814 .30657 m

.49541 .2973 L

s

.39838 .34712 m .40235 .37727 L .39519 .34787 L .961 .688 .473 r

F

.38805 .31855 m .39838 .34712 L .39519 .34787 L F

.039 .916 .04 r

.07966 .41728 m

.39156 .33297 L

s

.09919 .43449 m

.39153 .33285 L

s

.48457 .33996 m .50384 .37179 L .48167 .34888 L .88 .562 .443 r

F

.039 .916 .04 r

.4933 .34085 m

.50981 .3332 L

s

.44317 .37724 m

.49171 .35925 L

s

.46498 .32018 m .48457 .33996 L .48167 .34888 L .917 .611 .451 r

F

.4655 .31429 m .48457 .33996 L .46498 .32018 L .912 .625 .488 r

F

.039 .916 .04 r

.44019 .34639 m

.47301 .33398 L

s

.46745 .32513 m

.46779 .32503 L

s

.4339 .33545 m

.46745 .32513 L

s

.49548 .29766 m .51041 .32035 L .49599 .30461 L .966 .687 .452 r

F

.49599 .30461 m .51041 .32035 L .50951 .33214 L F

.039 .916 .04 r

.47826 .31377 m

.49678 .30622 L

s

.43292 .33404 m

.43326 .33391 L

s

0 0 0 r

2 Mabswid

.43292 .33404 Mdot

.44406 .2054 m .47008 .20494 L .45479 .21 L .606 .884 .991 r

F

.44175 .23787 m .45479 .21 L .44893 .24081 L .962 .803 .638 r

F

.44175 .23787 m .44406 .2054 L .45479 .21 L F

.039 .916 .04 r

.5 Mabswid

.39138 .23392 m

.44331 .21589 L

s

0 g

.45479 .21 m

.46615 .22017 L

s

0 0 0 r

2 Mabswid

.49677 .2794 Mdot

.43338 .36794 m .43419 .39944 L .42481 .40205 L .984 .825 .604 r

F

.039 .916 .04 r

.5 Mabswid

.43328 .38415 m

.43338 .38413 L

s

.41315 .38823 m

.42909 .385 L

s

.43338 .38413 m

.43385 .38403 L

s

.41332 .38842 m

.42886 .38592 L

s

.43382 .38512 m

.43436 .38503 L

s

0 g

.43419 .39944 m

.44137 .39107 L

s

0 0 0 r

2 Mabswid

.42511 .30518 Mdot

.44894 .29906 m .46128 .29221 L .46358 .29982 L .949 .686 .503 r

F

.44894 .29906 m .45826 .28502 L .46128 .29221 L .952 .693 .508 r

F

.44894 .29906 m .46358 .29982 L .46502 .30735 L .948 .679 .494 r

F

.039 .916 .04 r

.5 Mabswid

.43319 .31584 m

.46067 .30511 L

s

.38805 .31855 m .37516 .29253 L .3777 .28995 L .961 .688 .473 r

F

.38805 .31855 m .3735 .29691 L .37516 .29253 L F

.039 .916 .04 r

.09919 .43449 m

.37952 .30586 L

s

.07966 .41728 m

.3795 .30584 L

s

.38805 .31855 m .37283 .30279 L .3735 .29691 L .961 .688 .473 r

F

.38805 .31855 m .37321 .30977 L .37283 .30279 L F

.38805 .31855 m .3746 .31736 L .37321 .30977 L F

.38805 .31855 m .37692 .32504 L .3746 .31736 L F

1 0 0 r

.09919 .43449 m

.37631 .32301 L

s

.07966 .41728 m

.37611 .32237 L

s

.039 .916 .04 r

.07966 .41728 m

.3765 .32365 L

s

.09919 .43449 m

.37657 .32387 L

s

.38805 .31855 m .38 .33227 L .37692 .32504 L .961 .688 .473 r

F

.38805 .31855 m .38363 .33855 L .38 .33227 L F

.38805 .31855 m .38755 .34345 L .38363 .33855 L F

.38805 .31855 m .3915 .34662 L .38755 .34345 L F

.38805 .31855 m .39519 .34787 L .3915 .34662 L F

0 0 0 r

2 Mabswid

.51294 .33175 Mdot

.44894 .29906 m .45472 .27872 L .45826 .28502 L .955 .7 .511 r

F

.039 .916 .04 r

.5 Mabswid

.42248 .28627 m

.4515 .27452 L

s

0 0 0 r

2 Mabswid

.41244 .27611 Mdot

.42387 .30373 Mdot

.40782 .28018 m .39836 .25211 L .41099 .27957 L .93 .59 .37 r

F

.039 .916 .04 r

.5 Mabswid

.40772 .25865 m

.40826 .25842 L

s

.40966 .25954 m

.44859 .2463 L

s

.40915 .25971 m

.40966 .25954 L

s

.38316 .28732 m

.40667 .27679 L

s

.41074 .27497 m

.41094 .27488 L

s

.41095 .27487 m

.41106 .27482 L

s

.41094 .27488 m

.41095 .27487 L

s

.40782 .28018 m .39195 .25321 L .39836 .25211 L .93 .59 .37 r

F

0 0 0 r

2 Mabswid

.48651 .25082 Mdot

.39617 .24895 Mdot

.41998 .30833 m .41099 .27957 L .41464 .28096 L .957 .657 .423 r

F

.44894 .29906 m .46502 .30735 L .4655 .31429 L .947 .672 .484 r

F

0 0 0 r

.50306 .30365 Mdot

.43436 .38503 Mdot

4 Mabswid

.47726 .22355 Mdot

.37516 .29253 m .36733 .2613 L .3777 .28995 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.37133 .27724 L

s

.09919 .43449 m

.3713 .27711 L

s

0 0 0 r

2 Mabswid

.39487 .24798 Mdot

.41106 .27482 Mdot

.43096 .3349 m .43338 .36794 L .42853 .33759 L .991 .774 .513 r

F

.41998 .30833 m .43096 .3349 L .42853 .33759 L .974 .716 .482 r

F

.039 .916 .04 r

.5 Mabswid

.43385 .38403 m

.43534 .38349 L

s

0 0 0 r

2 Mabswid

.43385 .38403 Mdot

.47626 .22235 Mdot

.44894 .29906 m .45092 .27375 L .45472 .27872 L .959 .706 .511 r

F

0 0 0 r

.49291 .27518 Mdot

.47759 .26057 m .48138 .2394 L .48138 .2639 L .966 .687 .452 r

F

.47759 .26057 m .47382 .23266 L .48138 .2394 L F

.039 .916 .04 r

.5 Mabswid

.45791 .25405 m

.47597 .24855 L

s

.45051 .24567 m

.47478 .23975 L

s

.39519 .34787 m .39497 .37488 L .3915 .34662 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.39191 .34999 L

s

.09919 .43449 m

.39189 .34982 L

s

.39519 .34787 m .40235 .37727 L .39497 .37488 L .961 .688 .473 r

F

.50384 .37179 m .5125 .37533 L .497 .3801 L .226 0 0 r

F

.50384 .37179 m .51925 .36703 L .5125 .37533 L F

.48167 .34888 m .50384 .37179 L .497 .3801 L .888 .538 .376 r

F

0 g

.50384 .37179 m

.50805 .35832 L

s

.039 .916 .04 r

.50086 .36118 m

.51575 .35449 L

s

.43962 .3659 m

.48362 .35283 L

s

.36221 .26637 m .35695 .23261 L .36733 .2613 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.35969 .25022 L

s

.07966 .41728 m

.35969 .25021 L

s

.37516 .29253 m .36221 .26637 L .36733 .2613 L .961 .688 .473 r

F

.44406 .2054 m .45942 .20029 L .47008 .20494 L .606 .884 .991 r

F

.46672 .22967 m .47008 .20494 L .47382 .23266 L .966 .687 .452 r

F

.46672 .22967 m .45942 .20029 L .47008 .20494 L F

.039 .916 .04 r

.45359 .22242 m

.46426 .21976 L

s

0 g

.47008 .20494 m

.48138 .21515 L

s

.43338 .36794 m .42481 .40205 L .42712 .36954 L .984 .825 .604 r

F

.42853 .33759 m .43338 .36794 L .42712 .36954 L .981 .772 .55 r

F

.039 .916 .04 r

.4312 .3543 m

.43168 .35419 L

s

.40322 .3605 m

.42776 .35506 L

s

.43029 .35301 m

.43037 .35299 L

s

.40304 .36032 m

.42782 .35367 L

s

.43037 .35299 m

.43079 .35287 L

s

.44894 .29906 m .4655 .31429 L .46498 .32018 L .948 .666 .471 r

F

0 0 0 r

2 Mabswid

.41308 .40585 Mdot

.44348 .26903 m .44893 .24081 L .44708 .27045 L .969 .763 .572 r

F

.44348 .26903 m .44175 .23787 L .44893 .24081 L F

.039 .916 .04 r

.5 Mabswid

.41244 .27611 m

.4433 .26579 L

s

.40826 .25842 m

.44211 .24428 L

s

.41106 .27482 m

.44307 .26165 L

s

0 0 0 r

2 Mabswid

.51724 .35382 Mdot

.48258 .24653 Mdot

.36221 .26637 m .34918 .24005 L .35695 .23261 L .961 .688 .473 r

F

.34918 .24005 m .37209 .22757 L .35695 .23261 L .134 0 0 r

F

0 g

.5 Mabswid

.36518 .23134 m

.36674 .2311 L

s

0 0 0 r

2 Mabswid

.43168 .35419 Mdot

.50951 .33214 m .51925 .36703 L .5067 .34106 L .966 .687 .452 r

F

.49551 .31051 m .50951 .33214 L .5067 .34106 L F

.039 .916 .04 r

.5 Mabswid

.48262 .335 m

.50175 .32753 L

s

.49599 .30461 m .50951 .33214 L .49551 .31051 L .966 .687 .452 r

F

.41998 .30833 m .40782 .28018 L .41099 .27957 L .954 .657 .436 r

F

.039 .916 .04 r

.42727 .37332 m

.42753 .37328 L

s

0 0 0 r

2 Mabswid

.50709 .32544 Mdot

.44894 .29906 m .44708 .27045 L .45092 .27375 L .964 .712 .507 r

F

.039 .916 .04 r

.5 Mabswid

.42511 .30518 m

.44885 .29756 L

s

.42387 .30373 m

.44861 .2939 L

s

.40235 .37727 m .39847 .40334 L .39497 .37488 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.39754 .39578 L

s

.07966 .41728 m

.39753 .39567 L

s

.40235 .37727 m .40954 .40675 L .39847 .40334 L .961 .688 .473 r

F

.039 .916 .04 r

.40294 .37785 m

.42684 .3734 L

s

.3735 .29691 m .36221 .26637 L .37516 .29253 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.3723 .29365 L

s

0 0 0 r

2 Mabswid

.43079 .35287 Mdot

.47212 .21779 Mdot

.039 .916 .04 r

.5 Mabswid

.46779 .32503 m

.4678 .32503 L

s

.48167 .34888 m .497 .3801 L .47702 .35432 L .888 .538 .376 r

F

.46349 .32462 m .48167 .34888 L .47702 .35432 L .923 .599 .41 r

F

.039 .916 .04 r

.43894 .36467 m

.47554 .35106 L

s

.46498 .32018 m .48167 .34888 L .46349 .32462 L .917 .611 .451 r

F

.039 .916 .04 r

.47825 .33198 m

.49992 .32253 L

s

.4481 .21432 m

.46223 .2116 L

s

.42853 .33759 m .42712 .36954 L .4254 .33832 L .981 .772 .55 r

F

.41998 .30833 m .42853 .33759 L .4254 .33832 L .97 .717 .495 r

F

.039 .916 .04 r

.4248 .32347 m

.42489 .32344 L

s

.42462 .32352 m

.4248 .32347 L

s

.4245 .32355 m

.42462 .32352 L

s

.39293 .33236 m

.42252 .32238 L

s

.39311 .33255 m

.42282 .32403 L

s

.42444 .32357 m

.4245 .32355 L

s

.44894 .29906 m .46498 .32018 L .46349 .32462 L .95 .662 .457 r

F

.039 .916 .04 r

.43326 .33391 m

.46242 .32275 L

s

0 0 0 r

2 Mabswid

.49684 .29681 Mdot

.5067 .34106 m .51925 .36703 L .5125 .37533 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.49495 .35797 m

.50843 .35131 L

s

0 g

.51925 .36703 m

.52338 .35356 L

s

.3915 .34662 m .38705 .3686 L .38755 .34345 L .961 .688 .473 r

F

.3915 .34662 m .39497 .37488 L .38705 .3686 L F

.039 .916 .04 r

.42489 .32344 m

.42501 .3234 L

s

0 0 0 r

2 Mabswid

.42489 .32344 Mdot

.48138 .28867 m .49169 .28246 L .49401 .2901 L .966 .687 .452 r

F

.48138 .28867 m .48867 .27523 L .49169 .28246 L F

.039 .916 .04 r

.5 Mabswid

.45736 .27662 m

.48491 .26857 L

s

0 0 0 r

2 Mabswid

.51294 .34908 Mdot

.48138 .28867 m .49401 .2901 L .49548 .29766 L .966 .687 .452 r

F

0 0 0 r

.48654 .26809 Mdot

.41998 .30833 m .40534 .28276 L .40782 .28018 L .95 .659 .449 r

F

.41998 .30833 m .40373 .28713 L .40534 .28276 L .948 .662 .463 r

F

.039 .916 .04 r

.5 Mabswid

.38298 .30455 m

.40979 .29504 L

s

.41998 .30833 m .4031 .29302 L .40373 .28713 L .946 .667 .477 r

F

.039 .916 .04 r

.41235 .29227 m

.41262 .29215 L

s

.41232 .29228 m

.41235 .29227 L

s

.4122 .29233 m

.41223 .29231 L

s

.3828 .30436 m

.4054 .29511 L

s

.41223 .29231 m

.41224 .29231 L

s

.41224 .29231 m

.41232 .29228 L

s

.41998 .30833 m .40351 .30001 L .4031 .29302 L .945 .672 .489 r

F

.039 .916 .04 r

.41365 .29368 m

.41371 .29365 L

s

.41371 .29365 m

.41383 .29361 L

s

.414 .29355 m

.41409 .29352 L

s

.41383 .29361 m

.414 .29355 L

s

.41998 .30833 m .40493 .30763 L .40351 .30001 L .946 .679 .499 r

F

1 0 0 r

.41856 .30692 m

.4186 .3069 L

s

.41849 .30694 m

.41852 .30693 L

s

.41846 .30695 m

.41847 .30695 L

s

.41847 .30695 m

.41849 .30694 L

s

.41852 .30693 m

.41856 .30692 L

s

.4186 .3069 m

.4186 .3069 L

s

.41998 .30833 m .40726 .31534 L .40493 .30763 L .947 .686 .508 r

F

1 0 0 r

.38787 .31837 m

.40612 .31156 L

s

.38805 .31855 m

.40645 .31266 L

s

.039 .916 .04 r

.38244 .32153 m

.40645 .31264 L

s

.38262 .32172 m

.40687 .31403 L

s

.41998 .30833 m .41034 .3226 L .40726 .31534 L .949 .693 .513 r

F

.41998 .30833 m .41395 .32892 L .41034 .3226 L .953 .7 .516 r

F

.039 .916 .04 r

.41193 .31061 m

.41196 .3106 L

s

.41205 .31056 m

.41235 .31045 L

s

.41196 .3106 m

.41205 .31056 L

s

.41345 .31194 m

.41383 .31182 L

s

.41338 .31196 m

.41345 .31194 L

s

.41998 .30833 m .41785 .33384 L .41395 .32892 L .957 .706 .516 r

F

.41998 .30833 m .42175 .33705 L .41785 .33384 L .961 .711 .512 r

F

.41998 .30833 m .4254 .33832 L .42175 .33705 L .966 .715 .505 r

F

0 0 0 r

4 Mabswid

.41998 .30833 Mdot

.039 .916 .04 r

.5 Mabswid

.42324 .32214 m

.42332 .32211 L

s

.42323 .32214 m

.42324 .32214 L

s

.42321 .32215 m

.42323 .32214 L

s

.42332 .32211 m

.42345 .32207 L

s

.42345 .32207 m

.42362 .32201 L

s

.42362 .32201 m

.42365 .322 L

s

.34918 .24005 m .36439 .235 L .37209 .22757 L .134 0 0 r

F

.039 .916 .04 r

.35101 .23766 m

.35185 .23701 L

s

.35176 .23739 m

.35203 .23721 L

s

.38692 .25826 m .37209 .22757 L .39195 .25321 L .888 .538 .377 r

F

.039 .916 .04 r

.36268 .24843 m

.37838 .2406 L

s

.39231 .23229 m

.4437 .21043 L

s

.39048 .23307 m

.39231 .23229 L

s

.38692 .25826 m .36439 .235 L .37209 .22757 L .888 .538 .377 r

F

.039 .916 .04 r

.38113 .23924 m

.38161 .239 L

s

.37995 .23847 m

.38034 .23824 L

s

0 g

.37209 .22757 m

.3818 .22609 L

s

.039 .916 .04 r

.36249 .24824 m

.37204 .24289 L

s

.37986 .23852 m

.37995 .23847 L

s

.48138 .28867 m .48516 .26891 L .48867 .27523 L .966 .687 .452 r

F

.40954 .40675 m .41381 .39861 L .39847 .40334 L .566 .889 .988 r

F

.40954 .40675 m .42481 .40205 L .41381 .39861 L F

0 g

.40954 .40675 m

.419 .40411 L

s

0 0 0 r

2 Mabswid

.42365 .322 Mdot

.50314 .32113 Mdot

.41409 .29352 Mdot

.48138 .28867 m .49548 .29766 L .49599 .30461 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.4642 .30372 m

.48712 .29493 L

s

0 0 0 r

2 Mabswid

.38161 .239 Mdot

.44894 .29906 m .44348 .26903 L .44708 .27045 L .968 .715 .499 r

F

.40534 .28276 m .39195 .25321 L .40782 .28018 L .922 .6 .415 r

F

.039 .916 .04 r

.5 Mabswid

.37284 .27651 m

.39771 .26593 L

s

.40534 .28276 m .38692 .25826 L .39195 .25321 L .922 .6 .415 r

F

.039 .916 .04 r

.39909 .26534 m

.39954 .26515 L

s

.39767 .26422 m

.39805 .26404 L

s

.37265 .27632 m

.39307 .26644 L

s

.3976 .26425 m

.39767 .26422 L

s

0 0 0 r

4 Mabswid

.4186 .3069 Mdot

2 Mabswid

.39954 .26515 Mdot

.37283 .30279 m .35882 .27506 L .3735 .29691 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.09919 .43449 m

.36895 .29511 L

s

.3735 .29691 m .35882 .27506 L .36221 .26637 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.36174 .26543 L

s

.07966 .41728 m

.36184 .26563 L

s

0 0 0 r

2 Mabswid

.38034 .23824 Mdot

.47623 .2394 Mdot

.41262 .29215 Mdot

.49303 .29266 Mdot

.47404 .25913 m .47382 .23266 L .47759 .26057 L .966 .687 .452 r

F

.47404 .25913 m .46672 .22967 L .47382 .23266 L F

.039 .916 .04 r

.5 Mabswid

.44644 .26476 m

.47361 .2574 L

s

.44753 .24204 m

.46834 .23619 L

s

0 0 0 r

2 Mabswid

.39805 .26404 Mdot

.48138 .28867 m .48138 .2639 L .48516 .26891 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.45413 .27347 m

.48138 .26438 L

s

.46349 .32462 m .47702 .35432 L .46112 .32729 L .923 .599 .41 r

F

.039 .916 .04 r

.43168 .35419 m

.46955 .3428 L

s

.46955 .3428 m

.46967 .34277 L

s

.44894 .29906 m .46349 .32462 L .46112 .32729 L .952 .658 .443 r

F

.38755 .34345 m .37915 .35882 L .38363 .33855 L .961 .688 .473 r


F

.38755 .34345 m .38705 .3686 L .37915 .35882 L F

.039 .916 .04 r

.09919 .43449 m

.38678 .36827 L

s

.07966 .41728 m

.38666 .36812 L

s

.4254 .33832 m .41982 .36712 L .42175 .33705 L .967 .762 .575 r

F

.4254 .33832 m .42712 .36954 L .41982 .36712 L F

.039 .916 .04 r

.39279 .3498 m

.42139 .34266 L

s

.42241 .34241 m

.4227 .34233 L

s

.38457 .25513 m

.38481 .25502 L

s

.48138 .28867 m .49599 .30461 L .49551 .31051 L .966 .687 .452 r

F

0 0 0 r

2 Mabswid

.46596 .21089 Mdot

.35882 .27506 m .34918 .24005 L .36221 .26637 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.35176 .23739 L

s

.09919 .43449 m

.35101 .23766 L

s

.42753 .37328 m

.42776 .37321 L

s

0 0 0 r

2 Mabswid

.42753 .37328 Mdot

.48273 .26393 Mdot

.43468 .20676 m .45942 .20029 L .44406 .2054 L .35 .826 .811 r

F

.039 .916 .04 r

.5 Mabswid

.44521 .20986 m

.46092 .20634 L

s

.4355 .23891 m .44406 .2054 L .44175 .23787 L .985 .825 .603 r

F

.039 .916 .04 r

.39617 .24895 m

.43648 .23505 L

s

.4355 .23891 m .43468 .20676 L .44406 .2054 L .985 .825 .603 r

F

.039 .916 .04 r

.39487 .24798 m

.43529 .23089 L

s

0 g

.44406 .2054 m

.45479 .21 L

s

.44037 .26962 m .44175 .23787 L .44348 .26903 L .982 .773 .547 r

F

.44037 .26962 m .4355 .23891 L .44175 .23787 L F

.42712 .36954 m .41381 .39861 L .41982 .36712 L .962 .803 .638 r

F

.039 .916 .04 r

.40276 .37766 m

.4185 .37403 L

s

.42712 .36954 m .42481 .40205 L .41381 .39861 L .962 .803 .638 r

F

.039 .916 .04 r

.42663 .37216 m

.42675 .37213 L

s

.42656 .37217 m

.42663 .37216 L

s

0 g

.42481 .40205 m

.43419 .39944 L

s

0 0 0 r

2 Mabswid

.35203 .23721 Mdot

.039 .916 .04 r

.5 Mabswid

.42082 .39259 m

.42145 .3925 L

s

.40265 .39532 m

.41479 .3935 L

s

.42675 .37213 m

.42689 .37208 L

s

0 0 0 r

2 Mabswid

.42675 .37213 Mdot

.5067 .34106 m .5125 .37533 L .50214 .34649 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.48452 .35253 m

.5039 .3444 L

s

.49408 .31494 m .5067 .34106 L .50214 .34649 L .966 .687 .452 r

F

.49551 .31051 m .5067 .34106 L .49408 .31494 L F

.039 .916 .04 r

.46808 .32492 m

.49418 .31536 L

s

.47965 .34952 m

.50044 .33985 L

s

.42018 .39172 m

.42082 .3916 L

s

.40247 .39514 m

.41493 .39273 L

s

0 0 0 r

2 Mabswid

.35185 .23701 Mdot

.37283 .30279 m .35743 .28683 L .35882 .27506 L .961 .688 .473 r

F

.37321 .30977 m .35743 .28683 L .37283 .30279 L F

0 0 0 r

.50717 .34302 Mdot

.47228 .23508 Mdot

.44894 .29906 m .44037 .26962 L .44348 .26903 L .972 .717 .489 r

F

.48138 .28867 m .47759 .26057 L .48138 .2639 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.45545 .29545 m

.48119 .28726 L

s

.40373 .28713 m .38692 .25826 L .40534 .28276 L .915 .612 .455 r

F

.039 .916 .04 r

.39954 .26515 m

.39965 .26512 L

s

.39805 .26404 m

.39808 .26402 L

s

.38363 .33855 m .37183 .3462 L .38 .33227 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.37494 .3409 L

s

.09919 .43449 m

.37469 .34132 L

s

.38363 .33855 m .37915 .35882 L .37183 .3462 L .961 .688 .473 r

F

.39497 .37488 m .38655 .39403 L .38705 .3686 L F

.39497 .37488 m .39847 .40334 L .38655 .39403 L F

.039 .916 .04 r

.09919 .43449 m

.38672 .38541 L

s

.07966 .41728 m

.38672 .38526 L

s

0 0 0 r

2 Mabswid

.4969 .31437 Mdot

.48138 .28867 m .49551 .31051 L .49408 .31494 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.46414 .32209 m

.492 .31064 L

s

.47702 .35432 m .48795 .38261 L .47092 .35588 L .896 .512 .293 r

F

.039 .916 .04 r

.43436 .38503 m

.48082 .37143 L

s

.47702 .35432 m .497 .3801 L .48795 .38261 L .896 .512 .293 r

F

.039 .916 .04 r

.43534 .38349 m

.47842 .36765 L

s

.46112 .32729 m .47702 .35432 L .47092 .35588 L .93 .589 .364 r

F

.039 .916 .04 r

.4227 .34233 m

.42303 .34223 L

s

0 0 0 r

2 Mabswid

.4227 .34233 Mdot

.46112 .32729 m .47092 .35588 L .45804 .328 L .93 .589 .364 r

F

.039 .916 .04 r

.5 Mabswid

.43079 .35287 m

.4638 .34047 L

s

.44894 .29906 m .46112 .32729 L .45804 .328 L .955 .656 .429 r

F

.039 .916 .04 r

.42501 .3234 m

.45377 .3144 L

s

.42175 .33705 m .41196 .36079 L .41785 .33384 L .953 .747 .589 r

F

.039 .916 .04 r

.39261 .34962 m

.41592 .34265 L

s

.42175 .33705 m .41982 .36712 L .41196 .36079 L .953 .747 .589 r

F

.039 .916 .04 r

.4213 .34104 m

.42132 .34104 L

s

.42132 .34104 m

.42153 .34098 L

s

.39246 .36719 m

.41417 .36257 L

s

0 0 0 r

2 Mabswid

.46171 .20616 Mdot

.37321 .30977 m .35814 .30085 L .35743 .28683 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.3577 .28449 L

s

.09919 .43449 m

.35769 .28462 L

s

.3746 .31736 m .35814 .30085 L .37321 .30977 L .961 .688 .473 r

F

.43468 .20676 m .45012 .20162 L .45942 .20029 L .35 .826 .811 r

F

.46056 .23068 m .45942 .20029 L .46672 .22967 L .966 .687 .452 r

F

.46056 .23068 m .45012 .20162 L .45942 .20029 L F

.039 .916 .04 r

.44165 .2333 m

.46003 .22922 L

s

0 g

.45942 .20029 m

.47008 .20494 L

s

.38 .33227 m .3656 .33163 L .37692 .32504 L .961 .688 .473 r

F

.38 .33227 m .37183 .3462 L .3656 .33163 L F

.039 .916 .04 r

.07966 .41728 m

.36911 .31186 L

s

.09919 .43449 m

.36911 .31185 L

s

.497 .3801 m .50353 .37781 L .48795 .38261 L .23 .74 .701 r

F

0 g

.49731 .37972 m

.50384 .37179 L

s

.497 .3801 m .5125 .37533 L .50353 .37781 L .23 .74 .701 r

F

.039 .916 .04 r

.43954 .22919 m

.45829 .22438 L

s

.44894 .29906 m .43795 .27219 L .44037 .26962 L .975 .717 .475 r

F

.44894 .29906 m .43639 .27656 L .43795 .27219 L .978 .714 .46 r

F

.44894 .29906 m .43582 .28246 L .43639 .27656 L .979 .708 .444 r

F

.039 .916 .04 r

.41409 .29352 m

.4383 .2856 L

s

.44894 .29906 m .43627 .28947 L .43582 .28246 L .979 .701 .428 r

F

.039 .916 .04 r

.41262 .29215 m

.43584 .28277 L

s

.44894 .29906 m .43771 .29711 L .43627 .28947 L .977 .693 .413 r

F

.44894 .29906 m .44006 .30485 L .43771 .29711 L .975 .684 .403 r

F

1 0 0 r

.4186 .3069 m

.43831 .29909 L

s

.41998 .30833 m

.43924 .30216 L

s

.44894 .29906 m .44313 .31215 L .44006 .30485 L .972 .675 .396 r

F

.44894 .29906 m .44673 .3185 L .44313 .31215 L .969 .668 .394 r

F

.039 .916 .04 r

.42365 .322 m

.44419 .31401 L

s

.44894 .29906 m .45059 .32347 L .44673 .3185 L .966 .662 .398 r

F

.44894 .29906 m .45445 .3267 L .45059 .32347 L .962 .658 .405 r

F

.44894 .29906 m .45804 .328 L .45445 .3267 L .959 .656 .416 r

F

0 0 0 r

2 Mabswid

.48656 .28555 Mdot

.039 .916 .04 r

.5 Mabswid

.42153 .34098 m

.42179 .34088 L

s

0 0 0 r

2 Mabswid

.42153 .34098 Mdot

.50313 .3386 Mdot

.3746 .31736 m .36093 .31615 L .35814 .30085 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.09919 .43449 m

.35819 .30111 L

s

.07966 .41728 m

.35819 .30109 L

s

.37692 .32504 m .36093 .31615 L .3746 .31736 L .961 .688 .473 r

F

.37692 .32504 m .3656 .33163 L .36093 .31615 L F

.039 .916 .04 r

.07966 .41728 m

.36514 .3301 L

s

.09919 .43449 m

.36522 .33037 L

s

.41395 .31178 m

.43967 .30357 L

s

.41383 .31182 m

.41395 .31178 L

s

0 0 0 r

2 Mabswid

.41383 .31182 Mdot

.48138 .28867 m .47404 .25913 L .47759 .26057 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.45237 .29242 m

.47985 .28251 L

s

.35882 .27506 m .344 .25301 L .34918 .24005 L .961 .688 .473 r

F

.344 .25301 m .36439 .235 L .34918 .24005 L .399 .047 .248 r

F

0 g

.34918 .24005 m

.35695 .23261 L

s

.039 .916 .04 r

.07966 .41728 m

.34675 .25711 L

s

.09919 .43449 m

.34686 .25726 L

s

0 0 0 r

2 Mabswid

.4762 .25669 Mdot

.4031 .29302 m .38361 .26696 L .40373 .28713 L .91 .625 .491 r

F

.039 .916 .04 r

.5 Mabswid

.37244 .29359 m

.39654 .28425 L

s

.40373 .28713 m .38361 .26696 L .38692 .25826 L .915 .612 .455 r

F

.039 .916 .04 r

.39916 .28144 m

.39922 .28141 L

s

.39922 .28141 m

.3995 .28129 L

s

.40081 .28259 m

.4009 .28256 L

s

.4009 .28256 m

.40109 .28248 L

s

.37226 .2934 m

.39562 .28301 L

s

.36224 .26542 m

.3841 .25535 L

s

0 0 0 r

2 Mabswid

.49308 .3102 Mdot

.42145 .3925 Mdot

.43795 .27219 m .4355 .23891 L .44037 .26962 L .992 .775 .508 r

F

.039 .916 .04 r

.5 Mabswid

.39965 .26512 m

.4365 .25259 L

s

.38481 .25502 m

.38503 .25494 L

s

0 0 0 r

2 Mabswid

.38481 .25502 Mdot

.039 .916 .04 r

.5 Mabswid

.40109 .28248 m

.40113 .28247 L

s

0 0 0 r

2 Mabswid

.40109 .28248 Mdot

.38361 .26696 m .36439 .235 L .38692 .25826 L .88 .562 .444 r

F

.039 .916 .04 r

.5 Mabswid

.36206 .26523 m

.37768 .25709 L

s

.38309 .25427 m

.38334 .25413 L

s

.38308 .25427 m

.38309 .25427 L

s

.38034 .23824 m

.38126 .23785 L

s

.38161 .239 m

.38271 .23861 L

s

.41242 .31043 m

.43861 .30006 L

s

.41235 .31045 m

.41242 .31043 L

s

0 0 0 r

2 Mabswid

.41235 .31045 Mdot

.49408 .31494 m .50214 .34649 L .49177 .3176 L .966 .687 .452 r

F

.48138 .28867 m .49408 .31494 L .49177 .3176 L F

.47098 .2597 m .46672 .22967 L .47404 .25913 L F

.47098 .2597 m .46056 .23068 L .46672 .22967 L F

.039 .916 .04 r

.5 Mabswid

.44384 .26137 m

.46879 .25362 L

s

.41785 .33384 m .40411 .35095 L .41395 .32892 L .939 .73 .594 r

F

.41785 .33384 m .41196 .36079 L .40411 .35095 L F

.039 .916 .04 r

.41719 .36052 m

.41752 .36044 L

s

0 0 0 r

2 Mabswid

.42082 .3916 Mdot

.38334 .25413 Mdot

.3995 .28129 Mdot

.46586 .22792 Mdot

.45804 .328 m .46376 .35338 L .45445 .3267 L .937 .582 .316 r

F

.45804 .328 m .47092 .35588 L .46376 .35338 L F

0 0 0 r

.4828 .28145 Mdot

.35743 .28683 m .344 .25301 L .35882 .27506 L .961 .688 .473 r

F

.50214 .34649 m .5125 .37533 L .50353 .37781 L .966 .687 .452 r

F

0 g

.5 Mabswid

.5125 .37533 m

.51925 .36703 L

s

.039 .916 .04 r

.48848 .36911 m

.50286 .36262 L

s

0 0 0 r

2 Mabswid

.50723 .36065 Mdot

.41982 .36712 m .40195 .38925 L .41196 .36079 L .938 .774 .652 r

F

.039 .916 .04 r

.5 Mabswid

.41826 .3617 m

.41856 .36163 L

s

.39228 .367 m

.41154 .36199 L

s

.41982 .36712 m .41381 .39861 L .40195 .38925 L .938 .774 .652 r

F

.4031 .29302 m .38229 .27873 L .38361 .26696 L .91 .625 .491 r

F

.039 .916 .04 r

.38449 .27133 m

.38467 .27124 L

s

.38597 .27233 m

.38625 .27221 L

s

.40351 .30001 m .38229 .27873 L .4031 .29302 L .908 .64 .521 r

F

.039 .916 .04 r

.40113 .28247 m

.40143 .28237 L

s

.3995 .28129 m

.39971 .2812 L

s

0 0 0 r

2 Mabswid

.47238 .25251 Mdot

.43062 .24393 m .43468 .20676 L .4355 .23891 L .999 .832 .54 r

F

.43795 .27219 m .43062 .24393 L .4355 .23891 L .992 .775 .508 r

F

.039 .916 .04 r

.5 Mabswid

.39808 .26402 m

.43214 .2498 L

s

.39847 .40334 m .40195 .38925 L .38655 .39403 L .644 .803 .96 r

F

.39847 .40334 m .41381 .39861 L .40195 .38925 L F

0 g

.39847 .40334 m

.40954 .40675 L

s

.41381 .39861 m

.42481 .40205 L

s

.50214 .34649 m .50353 .37781 L .49612 .34801 L .966 .687 .452 r

F

.039 .916 .04 r

.48343 .36573 m

.49865 .35817 L

s

.49177 .3176 m .50214 .34649 L .49612 .34801 L .966 .687 .452 r

F

.039 .916 .04 r

.47012 .34259 m

.494 .33318 L

s

.344 .25301 m .35929 .24795 L .36439 .235 L .399 .047 .248 r

F

.38361 .26696 m .35929 .24795 L .36439 .235 L .88 .562 .444 r

F

0 g

.36439 .235 m

.37209 .22757 L

s

.039 .916 .04 r

.35155 .25423 m

.36119 .24943 L


s

.35137 .25403 m

.36052 .24891 L

s

.38271 .23861 m

.43311 .22107 L

s

.36663 .24549 m

.36714 .24521 L

s

.36784 .24612 m

.36842 .24584 L

s

.48138 .28867 m .47098 .2597 L .47404 .25913 L .966 .687 .452 r

F

.38705 .3686 m .37461 .37937 L .37915 .35882 L .961 .688 .473 r

F

.38705 .3686 m .38655 .39403 L .37461 .37937 L F

.039 .916 .04 r

.07966 .41728 m

.3782 .35717 L

s

.09919 .43449 m

.37822 .35721 L

s

0 0 1 r

.07966 .41728 m

.37572 .38072 L

s

.09919 .43449 m

.3761 .3812 L

s

.039 .916 .04 r

.4118 .38123 m

.41252 .38111 L

s

.39213 .3847 m

.40431 .38255 L

s

.41856 .36163 m

.41879 .36156 L

s

0 0 0 r

2 Mabswid

.41856 .36163 Mdot

.41395 .32892 m .39681 .33828 L .41034 .3226 L .927 .711 .59 r

F

.039 .916 .04 r

.5 Mabswid

.38226 .33901 m

.4006 .33389 L

s

.41395 .32892 m .40411 .35095 L .39681 .33828 L .927 .711 .59 r

F

.039 .916 .04 r

.41144 .33086 m

.41163 .33081 L

s

.41134 .33089 m

.41144 .33086 L

s

.38207 .33882 m

.40204 .33222 L

s

.39195 .38451 m

.4046 .38171 L

s

0 0 0 r

2 Mabswid

.49695 .33202 Mdot

.43639 .27656 m .43062 .24393 L .43795 .27219 L .996 .765 .457 r

F

0 0 0 r

.46182 .22347 Mdot

.039 .916 .04 r

.5 Mabswid

.41752 .36044 m

.4176 .36041 L

s

0 0 0 r

2 Mabswid

.41752 .36044 Mdot

.49177 .3176 m .49612 .34801 L .48874 .3183 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.46629 .3395 m

.49129 .32854 L

s

.48138 .28867 m .49177 .3176 L .48874 .3183 L .966 .687 .452 r

F

.039 .916 .04 r

.45534 .31389 m

.4851 .30366 L

s

.4074 .35027 m

.40752 .35024 L

s

.40723 .35032 m

.4074 .35027 L

s

.40351 .30001 m .38307 .29278 L .38229 .27873 L .908 .64 .521 r

F

.039 .916 .04 r

.3618 .28253 m

.38286 .27364 L

s

.40493 .30763 m .38307 .29278 L .40351 .30001 L .908 .657 .546 r

F

.039 .916 .04 r

.40612 .34914 m

.40628 .34909 L

s

.40605 .34916 m

.40612 .34914 L

s

.45445 .3267 m .45602 .34697 L .45059 .32347 L .942 .578 .27 r

F

.039 .916 .04 r

.42303 .34223 m

.45282 .33312 L

s

.42179 .34088 m

.45196 .32937 L

s

.45445 .3267 m .46376 .35338 L .45602 .34697 L .942 .578 .27 r

F

0 0 0 r

2 Mabswid

.48658 .30315 Mdot

.47092 .35588 m .47726 .37902 L .46376 .35338 L .897 .484 .194 r

F

.039 .916 .04 r

.5 Mabswid

.42776 .37321 m

.46794 .36133 L

s

.42689 .37208 m

.46598 .3576 L

s

.47092 .35588 m .48795 .38261 L .47726 .37902 L .897 .484 .194 r

F

.039 .916 .04 r

.47377 .35957 m

.49659 .3499 L

s

.41034 .3226 m .3906 .32365 L .40726 .31534 L .918 .693 .581 r

F

.41034 .3226 m .39681 .33828 L .3906 .32365 L F

.039 .916 .04 r

.40991 .32961 m

.41011 .32955 L

s

.41013 .32954 m

.41024 .32951 L

s

.41011 .32955 m

.41013 .32954 L

s

0 0 0 r

2 Mabswid

.50302 .356 Mdot

.48138 .28867 m .46861 .26225 L .47098 .2597 L .966 .687 .452 r

F

.48138 .28867 m .46711 .26663 L .46861 .26225 L F

.039 .916 .04 r

.5 Mabswid

.44444 .2836 m

.47267 .27522 L

s

.48138 .28867 m .46658 .27253 L .46711 .26663 L .966 .687 .452 r

F

.48138 .28867 m .46707 .27955 L .46658 .27253 L F

.039 .916 .04 r

.44181 .28039 m

.46663 .27201 L

s

.48138 .28867 m .46854 .28722 L .46707 .27955 L .966 .687 .452 r

F

.48138 .28867 m .4709 .29499 L .46854 .28722 L F

1 0 0 r

.44643 .29588 m

.46872 .2878 L

s

.44894 .29906 m

.47008 .29229 L

s

.48138 .28867 m .47397 .30232 L .4709 .29499 L .966 .687 .452 r

F

.48138 .28867 m .47755 .30871 L .47397 .30232 L F

.039 .916 .04 r

.45226 .31087 m

.47404 .30244 L

s

.48138 .28867 m .48138 .31371 L .47755 .30871 L .966 .687 .452 r

F

.48138 .28867 m .4852 .31698 L .48138 .31371 L F

.48138 .28867 m .48874 .3183 L .4852 .31698 L F

0 0 0 r

4 Mabswid

.48138 .28867 Mdot

.039 .916 .04 r

.5 Mabswid

.41163 .33081 m

.41207 .33067 L

s

0 0 0 r

2 Mabswid

.41163 .33081 Mdot

.40493 .30763 m .3859 .30812 L .38307 .29278 L .908 .657 .546 r

F

.039 .916 .04 r

.5 Mabswid

.37204 .31079 m

.38553 .30608 L

s

.40049 .30085 m

.40077 .30076 L

s

.37185 .3106 m

.38535 .30514 L

s

.39884 .29968 m

.3989 .29965 L

s

.3989 .29965 m

.39918 .29954 L

s

.40726 .31534 m .3859 .30812 L .40493 .30763 L .912 .674 .566 r

F

.40726 .31534 m .3906 .32365 L .3859 .30812 L F

.039 .916 .04 r

.37163 .32812 m

.3902 .32235 L

s

.39812 .3199 m

.39858 .31976 L

s

.39669 .31873 m

.39707 .3186 L

s

.39662 .31876 m

.39669 .31873 L

s

.37145 .32793 m

.38986 .32122 L

s

.44429 .30209 m

.47049 .29365 L

s

.43062 .24393 m .42732 .21411 L .43468 .20676 L .999 .832 .54 r

F

.42732 .21411 m .45012 .20162 L .43468 .20676 L .134 0 0 r

F

0 g

.44293 .20556 m

.44406 .2054 L

s

.039 .916 .04 r

.38126 .23785 m

.42776 .21805 L

s

0 0 0 r

2 Mabswid

.47618 .27418 Mdot

.41024 .32951 Mdot

.49304 .32777 Mdot

.36842 .24584 Mdot

.35743 .28683 m .34182 .27066 L .344 .25301 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.09919 .43449 m

.34562 .2746 L

s

.07966 .41728 m

.34544 .2744 L

s

.35814 .30085 m .34182 .27066 L .35743 .28683 L .961 .688 .473 r

F

0 0 1 r

.07966 .41728 m

.34772 .28157 L

s

.09919 .43449 m

.34773 .28159 L

s

.38229 .27873 m .35929 .24795 L .38361 .26696 L .873 .586 .498 r

F

.039 .916 .04 r

.38334 .25413 m

.38435 .25371 L

s

.36162 .28234 m

.37881 .27406 L

s

.46861 .26225 m .46056 .23068 L .47098 .2597 L .966 .687 .452 r

F

.039 .916 .04 r

.43761 .25225 m

.46436 .24558 L

s

.40077 .30076 m

.40111 .30065 L

s

0 0 0 r

2 Mabswid

.40077 .30076 Mdot

.039 .916 .04 r

.5 Mabswid

.38559 .29049 m

.38587 .29038 L

s

.43582 .28246 m .42746 .25262 L .43639 .27656 L .993 .745 .396 r

F

.43639 .27656 m .42746 .25262 L .43062 .24393 L .996 .765 .457 r

F

.039 .916 .04 r

.40143 .28237 m

.43286 .2719 L

s

0 0 0 r

2 Mabswid

.36714 .24521 Mdot

.039 .916 .04 r

.5 Mabswid

.38412 .28947 m

.3843 .28939 L

s

0 0 0 r

2 Mabswid

.38625 .27221 Mdot

.46578 .24522 Mdot

.48281 .29904 Mdot

.039 .916 .04 r

.5 Mabswid

.39918 .29954 m

.39939 .29946 L

s

0 0 0 r

2 Mabswid

.39918 .29954 Mdot

.38467 .27124 Mdot

.45059 .32347 m .44826 .33703 L .44673 .3185 L .944 .581 .232 r

F

.45059 .32347 m .45602 .34697 L .44826 .33703 L F

.039 .916 .04 r

.5 Mabswid

.4176 .36041 m

.45543 .34621 L

s

.48874 .3183 m .48904 .34548 L .4852 .31698 L .966 .687 .452 r

F

.039 .916 .04 r

.45708 .3318 m

.48577 .32117 L

s

.48874 .3183 m .49612 .34801 L .48904 .34548 L .966 .687 .452 r

F

.45577 .23568 m .45012 .20162 L .46056 .23068 L F

.039 .916 .04 r

.43503 .22048 m

.45267 .21698 L

s

.46861 .26225 m .45577 .23568 L .46056 .23068 L .966 .687 .452 r

F

.039 .916 .04 r

.43536 .24852 m

.45874 .24183 L

s

.44165 .29887 m

.46905 .2889 L

s

.37915 .35882 m .36353 .36036 L .37183 .3462 L .961 .688 .473 r

F

.37915 .35882 m .37461 .37937 L .36353 .36036 L F

.039 .916 .04 r

.07966 .41728 m

.37225 .37531 L

s

.09919 .43449 m

.37247 .3757 L

s

.07966 .41728 m

.36572 .36411 L

s

.09919 .43449 m

.3658 .36425 L

s

0 0 0 r

4 Mabswid

.47762 .28457 Mdot

.039 .916 .04 r

.5 Mabswid

.41252 .38111 m

.41408 .38065 L

s

0 0 0 r

2 Mabswid

.41252 .38111 Mdot

.41196 .36079 m .39006 .37454 L .40411 .35095 L .917 .744 .653 r

F

.039 .916 .04 r

.5 Mabswid

.38171 .35624 m

.4035 .3499 L

s

.38189 .35643 m

.40403 .35109 L

s

.41196 .36079 m .40195 .38925 L .39006 .37454 L .917 .744 .653 r

F

0 0 1 r

.40592 .37461 m

.40634 .37451 L

s

.40578 .37465 m

.40592 .37461 L

s

.38666 .37916 m

.39266 .37775 L

s

.38684 .37935 m

.39301 .37818 L

s

.40676 .37557 m

.40728 .37547 L

s

.039 .916 .04 r

.41097 .3803 m

.41167 .38015 L

s

0 0 0 r

2 Mabswid

.45544 .21643 Mdot

.4724 .27006 Mdot

.039 .916 .04 r

.5 Mabswid

.41167 .38015 m

.41168 .38014 L

s

0 0 0 r

2 Mabswid

.41167 .38015 Mdot

.42732 .21411 m .44285 .20895 L .45012 .20162 L .134 0 0 r

F

.45577 .23568 m .44285 .20895 L .45012 .20162 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.43319 .21584 m

.44488 .21316 L

s

0 g

.45012 .20162 m

.45942 .20029 L

s

.48795 .38261 m .49292 .37418 L .47726 .37902 L .566 .889 .988 r

F

.48795 .38261 m .50353 .37781 L .49292 .37418 L F

0 g

.48795 .38261 m

.497 .3801 L

s

.34182 .27066 m .35929 .24795 L .344 .25301 L .506 .248 .458 r

F

0 g

.344 .25301 m

.34918 .24005 L

s

.43582 .28246 m .42628 .26441 L .42746 .25262 L .993 .745 .396 r

F

.039 .916 .04 r

.39971 .2812 m

.42883 .26924 L

s

.38435 .25371 m

.42685 .23578 L

s

.43627 .28947 m .42628 .26441 L .43582 .28246 L .983 .713 .331 r

F

.42746 .25262 m .42732 .21411 L .43062 .24393 L .994 .812 .442 r

F

.039 .916 .04 r

.38503 .25494 m

.42742 .24036 L

s

.42685 .23578 m

.4274 .23555 L

s

0 0 0 r

2 Mabswid

.49698 .34974 Mdot

.46187 .24094 Mdot

.49612 .34801 m .49292 .37418 L .48904 .34548 L .966 .687 .452 r

F

.49612 .34801 m .50353 .37781 L .49292 .37418 L F

0 g

.5 Mabswid

.50353 .37781 m

.5125 .37533 L

s

.46711 .26663 m .45577 .23568 L .46861 .26225 L .966 .687 .452 r

F

.44673 .3185 m .44101 .32426 L .44313 .31215 L .946 .591 .209 r

F

.44673 .3185 m .44826 .33703 L .44101 .32426 L F

.35814 .30085 m .34285 .29179 L .34182 .27066 L .961 .688 .473 r

F

.36093 .31615 m .34285 .29179 L .35814 .30085 L F

.039 .916 .04 r

.07966 .41728 m

.34314 .29219 L

s

.09919 .43449 m

.34339 .29253 L

s

.38152 .37398 m

.39162 .37192 L

s

.40752 .35024 m

.40826 .35002 L

s

0 0 0 r

2 Mabswid

.40752 .35024 Mdot

.4866 .32087 Mdot

.4852 .31698 m .48138 .33901 L .48138 .31371 L .966 .687 .452 r

F

.4852 .31698 m .48904 .34548 L .48138 .33901 L F

.039 .916 .04 r

.5 Mabswid

.4538 .32866 m

.48138 .31724 L

s

.37183 .3462 m .3541 .33834 L .3656 .33163 L .961 .688 .473 r

F

.37183 .3462 m .36353 .36036 L .3541 .33834 L F

.039 .916 .04 r

.07966 .41728 m

.35853 .3487 L

s

.09919 .43449 m

.35883 .34939 L

s

.43627 .28947 m .42716 .27851 L .42628 .26441 L .983 .713 .331 r

F

.039 .916 .04 r

.38625 .27221 m

.42688 .25847 L

s

.43771 .29711 m .42716 .27851 L .43627 .28947 L .97 .677 .273 r

F

0 0 0 r

2 Mabswid

.4512 .21171 Mdot

.46376 .35338 m .46566 .36947 L .45602 .34697 L .885 .456 .086 r

F

.039 .916 .04 r

.5 Mabswid

.41879 .36156 m

.45732 .35 L

s

.46376 .35338 m .47726 .37902 L .46566 .36947 L .885 .456 .086 r

F

.039 .916 .04 r

.46945 .3563 m

.48925 .34702 L

s

.42082 .3916 m

.47039 .37336 L

s

.42145 .3925 m

.47469 .3769 L

s

.40684 .34888 m

.44642 .33379 L

s

.40628 .34909 m

.40684 .34888 L

s

0 0 0 r

2 Mabswid

.40628 .34909 Mdot

.44313 .31215 m .4348 .30954 L .44006 .30485 L .95 .611 .208 r

F

.44313 .31215 m .44101 .32426 L .4348 .30954 L F

.039 .916 .04 r

.5 Mabswid

.41024 .32951 m

.43858 .31851 L

s

.41207 .33067 m

.44003 .32195 L

s

.38655 .39403 m .39006 .37454 L .37461 .37937 L .652 .714 .894 r

F

.38655 .39403 m .40195 .38925 L .39006 .37454 L F

0 g

.38655 .39403 m

.39847 .40334 L

s

.40195 .38925 m

.41381 .39861 L

s

.38229 .27873 m .35718 .26561 L .35929 .24795 L .873 .586 .498 r

F

.039 .916 .04 r

.35089 .27118 m

.35939 .26676 L

s

.35107 .27137 m

.3602 .26719 L

s

.36773 .26243 m

.36834 .26212 L

s

.36907 .26313 m

.36973 .26282 L

s

.38307 .29278 m .35718 .26561 L .38229 .27873 L .87 .609 .542 r

F

0 0 1 r

.35083 .27999 m

.36498 .27379 L

s

.35065 .2798 m

.36424 .27302 L

s

.039 .916 .04 r

.36118 .29958 m

.38116 .29077 L

s

.36136 .29977 m

.38215 .29181 L

s

0 0 1 r

.40728 .37547 m

.40886 .375 L

s

0 0 0 r

4 Mabswid

.40728 .37547 Mdot

.039 .916 .04 r

.5 Mabswid

.46091 .3489 m

.48277 .34018 L

s

0 0 0 r

2 Mabswid

.47616 .29182 Mdot

.039 .916 .04 r

.5 Mabswid

.47978 .37532 m

.4923 .3696 L

s

.43771 .29711 m .43007 .29391 L .42716 .27851 L .97 .677 .273 r

F

.039 .916 .04 r

.40111 .30065 m

.42959 .29137 L

s

.39939 .29946 m

.42888 .28759 L

s

.44006 .30485 m .43007 .29391 L .43771 .29711 L .958 .641 .23 r

F

.34182 .27066 m .35718 .26561 L .35929 .24795 L .506 .248 .458 r

F

0 g

.35929 .24795 m

.36439 .235 L

s

.36093 .31615 m .34704 .31491 L .34285 .29179 L .961 .688 .473 r

F

.039 .916 .04 r

.09919 .43449 m

.34578 .30798 L

s

.07966 .41728 m

.34575 .30784 L

s

.3656 .33163 m .34704 .31491 L .36093 .31615 L .961 .688 .473 r

F

.039 .916 .04 r

.07966 .41728 m

.35274 .32005 L

s

.09919 .43449 m

.3531 .32037 L

s

.44006 .30485 m .4348 .30954 L .43007 .29391 L .958 .641 .23 r

F

0 0 0 r

2 Mabswid

.49292 .3453 Mdot

.039 .916 .04 r

.5 Mabswid

.39869 .31972 m

.43443 .30834 L

s

.39858 .31976 m

.39869 .31972 L

s

0 0 0 r

2 Mabswid

.39858 .31976 Mdot

0 0 1 r

.5 Mabswid

.40634 .37451 m

.4078 .37397 L

s

0 0 0 r

4 Mabswid

.40634 .37451 Mdot

.3656 .33163 m .3541 .33834 L .34704 .31491 L .961 .688 .473 r

F

.039 .916 .04 r

.5 Mabswid

.07966 .41728 m

.35359 .33665 L

s

.09919 .43449 m

.35369 .33696 L

s

0 0 0 r

2 Mabswid

.36973 .26282 Mdot

.40411 .35095 m .379 .35547 L .39681 .33828 L .899 .714 .644 r

F

.40411 .35095 m .39006 .37454 L .379 .35547 L F

.039 .916 .04 r

.5 Mabswid

.38134 .37379 m

.38857 .37197 L

s

.40043 .36899 m

.40053 .36897 L

s

.39987 .36913 m

.40043 .36899 L

s

.40083 .37005 m

.40154 .3699 L

s

.46658 .27253 m .4527 .24436 L .46711 .26663 L .966 .687 .452 r

F

.039 .916 .04 r

.43523 .27112 m

.46222 .26368 L

s

.46711 .26663 m .4527 .24436 L .45577 .23568 L .966 .687 .452 r

F

.039 .916 .04 r

.43322 .26749 m

.45997 .2591 L

s

.43049 .23934 m

.45486 .2338 L

s

.3971 .31858 m

.43322 .30433 L

s

.39707 .3186 m

.3971 .31858 L

s

0 0 0 r

2 Mabswid

.39707 .3186 Mdot

.38587 .29038 Mdot

.46571 .26272 Mdot

.36834 .26212 Mdot

.48275 .31667 Mdot

.3843 .28939 Mdot

.48138 .31371 m .47366 .32902 L .47755 .30871 L .966 .687 .452 r

F

.48138 .31371 m .48138 .33901 L .47366 .32902 L F

.039 .916 .04 r

.5 Mabswid

.45745 .34544 m

.47898 .3359 L

s

0 0 0 r

2 Mabswid

.4553 .2337 Mdot

.4527 .24436 m .44285 .20895 L .45577 .23568 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.42898 .23497 m

.44867 .22986 L

s

0 0 0 r

2 Mabswid

.47237 .28769 Mdot

.38307 .29278 m .35827 .28677 L .35718 .26561 L .87 .609 .542 r

F

.039 .916 .04 r

.5 Mabswid

.3504 .28845 m

.35816 .28474 L

s

.36729 .28038 m

.3679 .28009 L

s

.35059 .28865 m

.3582 .28546 L

s

.36864 .2811 m

.3693 .28082 L

s

0 0 1 r

.36788 .2712 m

.36832 .27098 L

s

.36925 .27192 m

.36973 .27171 L

s

.3859 .30812 m .35827 .28677 L .38307 .29278 L .871 .634 .577 r

F

.039 .916 .04 r

.3843 .28939 m

.38465 .28924 L

s

.38587 .29038 m

.3864 .29021 L

s

.40154 .3699 m

.40156 .3699 L

s

0 0 0 r

2 Mabswid

.40154 .3699 Mdot

.497 .36745 Mdot

.42628 .26441 m .42254 .22705 L .42746 .25262 L .962 .757 .311 r

F

.039 .916 .04 r

.5 Mabswid

.38467 .27124 m

.42527 .25437 L

s

.42746 .25262 m .42254 .22705 L .42732 .21411 L .994 .812 .442 r

F

.039 .916 .04 r

.36842 .24584 m

.42255 .22711 L

s

.46658 .27253 m .45159 .25617 L .4527 .24436 L .966 .687 .452 r

F

.46707 .27955 m .45159 .25617 L .46658 .27253 L F

0 0 0 r

2 Mabswid

.46185 .25851 Mdot

.42254 .22705 m .44285 .20895 L .42732 .21411 L .399 .047 .248 r

F

0 g

.5 Mabswid

.42732 .21411 m

.43468 .20676 L

s

.039 .916 .04 r

.40053 .36897 m

.40238 .36827 L

s

0 0 0 r

2 Mabswid

.40053 .36897 Mdot

4 Mabswid

.36973 .27171 Mdot

.39681 .33828 m .36958 .3334 L .3906 .32365 L .886 .686 .627 r

F

.39681 .33828 m .379 .35547 L .36958 .3334 L F

.039 .916 .04 r

.5 Mabswid

.39306 .33826 m

.39318 .33822 L

s

.37104 .34539 m

.37425 .34435 L

s

.39285 .33833 m

.39306 .33826 L

s

.39426 .33932 m

.39435 .3393 L

s

.37123 .34558 m

.37441 .34471 L

s

.39435 .3393 m

.39451 .33925 L

s

.47755 .30871 m .46644 .31619 L .47397 .30232 L .966 .687 .452 r

F

.47755 .30871 m .47366 .32902 L .46644 .31619 L F

.039 .916 .04 r

.44602 .32006 m

.46861 .3122 L

s

.48904 .34548 m .48138 .36459 L .48138 .33901 L .966 .687 .452 r

F

.48904 .34548 m .49292 .37418 L .48138 .36459 L F

.039 .916 .04 r

.47502 .37158 m

.48424 .36696 L

s

0 0 0 r

4 Mabswid

.36832 .27098 Mdot

.34285 .29179 m .35718 .26561 L .34182 .27066 L .56 .367 .576 r

F

0 g

.5 Mabswid

.34182 .27066 m

.344 .25301 L

s

0 0 0 r

2 Mabswid

.48661 .33865 Mdot

.4512 .2292 Mdot

.45602 .34697 m .45396 .35455 L .44826 .33703 L .857 .433 0 r

F

.039 .916 .04 r

.5 Mabswid

.40826 .35002 m

.44848 .33772 L

s

.45602 .34697 m .46566 .36947 L .45396 .35455 L .857 .433 0 r

F

0 0 1 r

.4078 .37397 m

.45527 .35622 L

s

.40886 .375 m

.4584 .36021 L

s

.039 .916 .04 r

.41408 .38065 m

.46304 .36613 L

s

.41168 .38014 m

.45997 .36221 L

s

.46707 .27955 m .45254 .27029 L .45159 .25617 L .966 .687 .452 r

F

.039 .916 .04 r

.42819 .25805 m

.45198 .25201 L

s

.46854 .28722 m .45254 .27029 L .46707 .27955 L .966 .687 .452 r

F

.3859 .30812 m .3625 .30993 L .35827 .28677 L .871 .634 .577 r

F

.3906 .32365 m .3625 .30993 L .3859 .30812 L .876 .659 .605 r

F

.039 .916 .04 r

.38344 .3094 m

.38352 .30937 L

s

.36092 .31713 m

.37051 .31384 L

s

.38352 .30937 m

.38368 .30932 L

s

.38193 .30847 m

.38194 .30847 L

s

.36073 .31694 m

.3696 .3134 L

s

.38194 .30847 m

.3822 .30837 L

s

.39451 .33925 m

.39474 .33918 L

s

0 0 0 r

2 Mabswid

.39451 .33925 Mdot

.3906 .32365 m .36958 .3334 L .3625 .30993 L .876 .659 .605 r

F

.47397 .30232 m .46024 .30141 L .4709 .29499 L .966 .687 .452 r

F

.47397 .30232 m .46644 .31619 L .46024 .30141 L F

.039 .916 .04 r

.5 Mabswid

.44339 .31664 m

.46336 .30885 L

s

0 0 0 r

2 Mabswid

.47614 .30958 Mdot

.39318 .33822 Mdot

.46854 .28722 m .45549 .28574 L .45254 .27029 L .966 .687 .452 r

F

.039 .916 .04 r

.5 Mabswid

.43505 .2896 m

.45508 .28357 L

s

.43302 .28595 m

.45416 .27876 L

s

.4709 .29499 m .45549 .28574 L .46854 .28722 L .966 .687 .452 r

F

0 0 0 r

2 Mabswid

.49271 .36272 Mdot

.039 .916 .04 r

.5 Mabswid

.37918 .32895 m

.37967 .3288 L

s

.36047 .33463 m

.36915 .33199 L

s

.4709 .29499 m .46024 .30141 L .45549 .28574 L .966 .687 .452 r

F

.039 .916 .04 r

.37798 .3281 m

.37838 .32796 L

s

.37789 .32813 m

.37798 .3281 L

s

.36028 .33444 m

.36895 .33133 L

s

.37461 .37937 m .379 .35547 L .36353 .36036 L .644 .641 .832 r

F

.37461 .37937 m .39006 .37454 L .379 .35547 L F

0 g

.37461 .37937 m

.38655 .39403 L

s

.039 .916 .04 r

.387 .35834 m

.38755 .35818 L

s

.38801 .35916 m

.38861 .35902 L

s

0 g

.39006 .37454 m

.40195 .38925 L

s

0 0 0 r

2 Mabswid

.38368 .30932 Mdot

.47726 .37902 m .48138 .36459 L .46566 .36947 L .644 .803 .96 r

F

.47726 .37902 m .49292 .37418 L .48138 .36459 L F

0 g

.5 Mabswid

.47726 .37902 m

.48795 .38261 L

s

.49292 .37418 m

.50353 .37781 L

s

.039 .916 .04 r

.3693 .28082 m

.36946 .28077 L

s

0 0 0 r

2 Mabswid

.3693 .28082 Mdot

.42254 .22705 m .43815 .22189 L .44285 .20895 L .399 .047 .248 r

F

.4527 .24436 m .43815 .22189 L .44285 .20895 L .966 .687 .452 r

F

0 g

.5 Mabswid

.44285 .20895 m

.45012 .20162 L

s

.039 .916 .04 r

.42603 .22599 m

.43909 .22334 L

s

0 0 0 r

2 Mabswid

.46565 .28039 Mdot

.039 .916 .04 r

.5 Mabswid

.46719 .36481 m

.48138 .35871 L

s

.3822 .30837 m

.38322 .30796 L

s

0 0 0 r

2 Mabswid

.3822 .30837 Mdot

.48261 .3343 Mdot

.039 .916 .04 r

.5 Mabswid

.3679 .28009 m

.36806 .28002 L

s

0 0 0 r

2 Mabswid

.3679 .28009 Mdot

.039 .916 .04 r

.5 Mabswid

.36653 .29984 m

.3671 .29962 L

s

.3653 .29914 m

.36581 .29892 L

s

.34285 .29179 m .35827 .28677 L .35718 .26561 L .56 .367 .576 r

F

0 g

.35718 .26561 m

.35929 .24795 L

s

0 0 0 r

2 Mabswid

.45518 .2512 Mdot

.039 .916 .04 r

.5 Mabswid

.43709 .30749 m

.45983 .30006 L

s

0 0 0 r

2 Mabswid

.47227 .30537 Mdot

.42628 .26441 m .42073 .24475 L .42254 .22705 L .962 .757 .311 r

F

.42716 .27851 m .42073 .24475 L .42628 .26441 L .907 .672 .167 r

F

.039 .916 .04 r

.5 Mabswid

.36973 .26282 m

.42085 .24538 L

s

.3864 .29021 m

.42684 .27681 L

s

.45159 .25617 m .43815 .22189 L .4527 .24436 L .966 .687 .452 r

F

.039 .916 .04 r

.42652 .25389 m

.44825 .24763 L

s

0 0 0 r

2 Mabswid

.44479 .22219 Mdot

.46178 .27617 Mdot

.44826 .33703 m .443 .33526 L .44101 .32426 L .824 .425 0 r

F

.44826 .33703 m .45396 .35455 L .443 .33526 L F

.039 .916 .04 r

.5 Mabswid

.40156 .3699 m

.45375 .35418 L

s

.40238 .36827 m

.45129 .34985 L

s

.38878 .35897 m

.44642 .34128 L

s

.38861 .35902 m

.38878 .35897 L

s

0 0 0 r

2 Mabswid

.38861 .35902 Mdot

.34704 .31491 m .35827 .28677 L .34285 .29179 L .592 .449 .656 r

F

0 g

.5 Mabswid

.34182 .27066 m

.34285 .29179 L

s

.039 .916 .04 r

.3508 .30547 m

.36088 .30107 L

s

.35066 .30584 m

.36103 .30192 L

s

.48138 .33901 m .46973 .34962 L .47366 .32902 L .966 .687 .452 r

F

.039 .916 .04 r

.4499 .33727 m

.47335 .32846 L

s

.44686 .33362 m

.47065 .32366 L

s

.48138 .33901 m .48138 .36459 L .46973 .34962 L .966 .687 .452 r

F

.039 .916 .04 r

.46314 .36097 m

.47441 .35563 L

s

.43481 .30371 m

.45832 .29509 L

s

0 0 0 r

2 Mabswid

.48662 .35646 Mdot

.039 .916 .04 r

.5 Mabswid

.38762 .35816 m

.44071 .33785 L

s

.38755 .35818 m

.38762 .35816 L

s

0 0 0 r

2 Mabswid

.38755 .35818 Mdot

0 0 1 r

.5 Mabswid

.4613 .35928 m

.47334 .35425 L

s

0 0 0 r

2 Mabswid

.45115 .24679 Mdot

.36353 .36036 m .36958 .3334 L .3541 .33834 L .631 .578 .776 r

F

.039 .916 .04 r

.5 Mabswid

.35907 .3523 m

.35983 .35206 L

s

.09919 .43449 m

.35907 .3523 L

s

.35974 .35232 m

.36002 .35225 L

s

.07966 .41728 m

.35974 .35232 L

s

.36353 .36036 m .379 .35547 L .36958 .3334 L .631 .578 .776 r

F

0 g

.36353 .36036 m

.37461 .37937 L

s

.379 .35547 m

.39006 .37454 L

s

0 0 0 r

2 Mabswid

.47613 .32742 Mdot

.37967 .3288 Mdot

.42716 .27851 m .42205 .26601 L .42073 .24475 L .907 .672 .167 r

F

.039 .916 .04 r

.5 Mabswid

.38465 .28924 m

.42484 .27283 L

s

.36946 .28077 m

.42187 .2632 L

s

0 0 1 r

.36832 .27098 m

.421 .24909 L

s

.36973 .27171 m

.42132 .25426 L

s

.43007 .29391 m .42205 .26601 L .42716 .27851 L .849 .577 .038 r

F

0 0 0 r

2 Mabswid

.36002 .35225 Mdot

.039 .916 .04 r

.5 Mabswid

.37838 .32796 m

.37931 .32759 L

s

0 0 0 r

2 Mabswid

.37838 .32796 Mdot

.35983 .35206 Mdot

.039 .916 .04 r

.5 Mabswid

.3671 .29962 m

.36743 .29952 L

s

0 0 0 r

2 Mabswid

.3671 .29962 Mdot

.36581 .29892 Mdot

.44101 .32426 m .4336 .31298 L .4348 .30954 L .803 .445 0 r

F

.44101 .32426 m .443 .33526 L .4336 .31298 L F

.039 .916 .04 r

.5 Mabswid

.39318 .33822 m

.43707 .32121 L

s

.39474 .33918 m

.43885 .32543 L

s

.42073 .24475 m .43815 .22189 L .42254 .22705 L .506 .248 .458 r

F

.039 .916 .04 r

.36834 .26212 m

.42122 .23997 L

s

0 g

.42254 .22705 m

.42732 .21411 L

s

0 0 0 r

2 Mabswid

.4656 .29818 Mdot

.34704 .31491 m .3625 .30993 L .35827 .28677 L .592 .449 .656 r

F

0 g

.5 Mabswid

.35718 .26561 m

.35827 .28677 L

s

.3541 .33834 m .3625 .30993 L .34704 .31491 L .614 .516 .72 r

F

0 g

.34285 .29179 m

.34704 .31491 L

s

.039 .916 .04 r

.34934 .32367 m

.34961 .32358 L

s

.07966 .41728 m

.34934 .32367 L

s

.34858 .32376 m

.34942 .32339 L

s

.09919 .43449 m

.34858 .32376 L

s

0 0 0 r

2 Mabswid

.34961 .32358 Mdot

.48239 .35185 Mdot

.34942 .32339 Mdot

.45159 .25617 m .43641 .2396 L .43815 .22189 L .966 .687 .452 r

F

.45254 .27029 m .43641 .2396 L .45159 .25617 L F

.039 .916 .04 r

.5 Mabswid

.42383 .24444 m

.43732 .24134 L

s

.42798 .27645 m

.45222 .26968 L

s

.3541 .33834 m .36958 .3334 L .3625 .30993 L .614 .516 .72 r

F

0 g

.35827 .28677 m

.3625 .30993 L

s

.3541 .33834 m

.36353 .36036 L

s

.34704 .31491 m

.3541 .33834 L

s

0 0 0 r

4 Mabswid

.48138 .35089 Mdot

2 Mabswid

.45508 .26888 Mdot

.43007 .29391 m .42644 .28932 L .42205 .26601 L .849 .577 .038 r

F

.039 .916 .04 r

.5 Mabswid

.4263 .27227 m

.4497 .26489 L

s

.36743 .29952 m

.42473 .28069 L

s

.4348 .30954 m .42644 .28932 L .43007 .29391 L .81 .497 0 r

F

0 g

.36958 .3334 m

.379 .35547 L

s

.4348 .30954 m .4336 .31298 L .42644 .28932 L .81 .497 0 r

F

.039 .916 .04 r

.38368 .30932 m

.42813 .29491 L

s

.42914 .30797 m

.43165 .30698 L

s

.37931 .32759 m

.42914 .30797 L

s

.38322 .30796 m

.42679 .2905 L

s

.37967 .3288 m

.43324 .31179 L

s

0 0 0 r

2 Mabswid

.47211 .32305 Mdot

.47366 .32902 m .4588 .33028 L .46644 .31619 L .966 .687 .452 r

F

.47366 .32902 m .46973 .34962 L .4588 .33028 L F

0 0 0 r

.44462 .23966 Mdot

.46566 .36947 m .46973 .34962 L .45396 .35455 L .652 .714 .894 r

F

.46566 .36947 m .48138 .36459 L .46973 .34962 L F

0 g

.5 Mabswid

.46566 .36947 m

.47726 .37902 L

s

.039 .916 .04 r

.45627 .35334 m

.46893 .34821 L

s

0 g

.48138 .36459 m

.49292 .37418 L

s

0 0 0 r

2 Mabswid

.46164 .29388 Mdot

.42073 .24475 m .43641 .2396 L .43815 .22189 L .506 .248 .458 r

F

0 g

.5 Mabswid

.43815 .22189 m

.44285 .20895 L

s

.3625 .30993 m

.36958 .3334 L

s

0 0 0 r

2 Mabswid

.45103 .26447 Mdot

4 Mabswid

.47715 .3463 Mdot

.039 .916 .04 r

.5 Mabswid

.45282 .34924 m

.46614 .34327 L

s

.45254 .27029 m .43779 .26089 L .43641 .2396 L .966 .687 .452 r

F

0 0 1 r

.42324 .25366 m

.4371 .25029 L

s

.45549 .28574 m .43779 .26089 L .45254 .27029 L .966 .687 .452 r

F

0 0 0 r

2 Mabswid

.47612 .34529 Mdot

.46644 .31619 m .4494 .30794 L .46024 .30141 L .966 .687 .452 r

F

.46644 .31619 m .4588 .33028 L .4494 .30794 L F

.039 .916 .04 r

.5 Mabswid

.44086 .32479 m

.45446 .31998 L

s

.43871 .32057 m

.45243 .31516 L

s

.42361 .26268 m

.43767 .25908 L

s

0 0 0 r

2 Mabswid

.44028 .2349 Mdot

4 Mabswid

.44454 .24848 Mdot

2 Mabswid

.46556 .31606 Mdot

.45549 .28574 m .44222 .28423 L .43779 .26089 L .966 .687 .452 r

F

.46024 .30141 m .44222 .28423 L .45549 .28574 L F

.039 .916 .04 r

.5 Mabswid

.42988 .29435 m

.44727 .28905 L

s

.46024 .30141 m .4494 .30794 L .44222 .28423 L .966 .687 .452 r

F

.039 .916 .04 r

.42836 .2899 m

.44247 .28508 L

s

0 0 0 r

2 Mabswid

.455 .28669 Mdot

.47187 .3407 Mdot

.42205 .26601 m .43641 .2396 L .42073 .24475 L .56 .367 .576 r

F

0 0 1 r

.5 Mabswid

.43309 .2457 m

.43674 .2447 L

s

0 g

.42073 .24475 m

.42254 .22705 L

s

.039 .916 .04 r

.36806 .28002 m

.42128 .25808 L

s

.42128 .25808 m

.42155 .25797 L

s

0 0 0 r

4 Mabswid

.44021 .24374 Mdot

2 Mabswid

.44448 .25733 Mdot

.46144 .31161 Mdot

.45396 .35455 m .4588 .33028 L .443 .33526 L .644 .641 .832 r

F

.039 .916 .04 r

.5 Mabswid

.44071 .33785 m

.4438 .33667 L

s

.45396 .35455 m .46973 .34962 L .4588 .33028 L .644 .641 .832 r

F

0 g

.45396 .35455 m

.46566 .36947 L

s

.46973 .34962 m

.48138 .36459 L

s

0 0 0 r

2 Mabswid

.45085 .28221 Mdot

.039 .916 .04 r

.5 Mabswid

.43411 .3115 m

.44898 .30657 L

s

.42205 .26601 m .43779 .26089 L .43641 .2396 L .56 .367 .576 r

F

0 g

.43641 .2396 m

.43815 .22189 L

s

0 0 0 r

2 Mabswid

.44012 .2526 Mdot

.039 .916 .04 r

.5 Mabswid

.42473 .28069 m

.42481 .28067 L

s

0 0 0 r

2 Mabswid

.42473 .28069 Mdot

.46554 .33398 Mdot

.039 .916 .04 r

.5 Mabswid

.43224 .30677 m

.44735 .30119 L

s

.43165 .30698 m

.43177 .30694 L

s

0 0 0 r

2 Mabswid

.43165 .30698 Mdot

.45494 .3046 Mdot

.42644 .28932 m .43779 .26089 L .42205 .26601 L .592 .449 .656 r

F

.039 .916 .04 r

.5 Mabswid

.43053 .27905 m

.44069 .27619 L

s

0 g

.42073 .24475 m

.42205 .26601 L

s

0 0 0 r

2 Mabswid

.44437 .27515 Mdot

.443 .33526 m .4494 .30794 L .4336 .31298 L .631 .578 .776 r

F

.443 .33526 m .4588 .33028 L .4494 .30794 L F

0 g

.5 Mabswid

.443 .33526 m

.45396 .35455 L

s

.4588 .33028 m

.46973 .34962 L

s

0 0 0 r

2 Mabswid

.46118 .32932 Mdot

.45062 .29998 Mdot

.42644 .28932 m .44222 .28423 L .43779 .26089 L .592 .449 .656 r

F

0 g

.5 Mabswid

.43641 .2396 m

.43779 .26089 L

s

.4336 .31298 m .44222 .28423 L .42644 .28932 L .614 .516 .72 r

F

0 g

.42205 .26601 m

.42644 .28932 L

s

.4336 .31298 m .4494 .30794 L .44222 .28423 L .614 .516 .72 r

F

0 g

.43779 .26089 m

.44222 .28423 L

s

.4336 .31298 m

.443 .33526 L

s

.42644 .28932 m

.4336 .31298 L

s

.4494 .30794 m

.4588 .33028 L

s

.44222 .28423 m

.4494 .30794 L

s

.81739 .0953 m .8719 .17034 L .87555 .21289 L .976 .67 .338 r

F

.89028 .0712 m .94322 .14756 L .94758 .19027 L .973 .663 .31 r

F

.81739 .0953 m .87555 .21289 L .82062 .13836 L .976 .67 .338 r

F

0 g

.82062 .13836 m

.87555 .21289 L

s

.039 .916 .04 r

.51684 .30163 m

.84683 .17393 L

s

.50675 .27339 m

.84502 .17147 L

s

.4966 .24513 m

.84324 .16906 L

s

.51259 .29705 m

.82979 .15081 L

s

.50262 .26893 m

.8282 .14865 L

s

.49242 .24062 m

.82684 .1468 L

s

.517 .31892 m

.84805 .17558 L

s

.49669 .26216 m

.84376 .16975 L

s

.51282 .31438 m

.83097 .1524 L

s

.48648 .23377 m

.84198 .16734 L

s

.50289 .28624 m

.82934 .15019 L

s

.50689 .29059 m

.84628 .17317 L

s

0 0 1 r

.51707 .32762 m

.84859 .17632 L

s

.039 .916 .04 r

.49271 .25782 m

.82716 .14724 L

s

0 0 1 r

.5129 .32306 m

.83149 .15311 L

s

.039 .916 .04 r

.48236 .22928 m

.82596 .14561 L

s

0 0 1 r

.48138 .22807 m

.84144 .16661 L

s

.039 .916 .04 r

.49677 .2794 m

.84508 .17155 L

s

.51294 .33175 m

.83191 .15368 L

s

.48651 .25082 m

.84232 .16781 L

s

.50306 .30365 m

.83075 .1521 L

s

0 0 1 r

.47726 .22355 m

.82566 .14519 L

s

.039 .916 .04 r

.47626 .22235 m

.84103 .16605 L

s

.49291 .27518 m

.8283 .14878 L

s

.48258 .24653 m

.82604 .14572 L

s

.51714 .33634 m

.84903 .17691 L

s

.507 .30795 m

.84779 .17522 L

s

.50709 .32544 m

.84916 .17709 L

s

.47212 .21779 m

.8255 .14498 L

s

.49684 .29681 m

.84677 .17384 L

s

.51724 .35382 m

.84941 .17742 L

s

.51294 .34908 m

.83226 .15416 L

s

.48654 .26809 m

.84359 .16953 L

s

.47623 .2394 m

.84105 .16608 L

s

.48273 .26393 m

.82706 .1471 L

s

.50314 .32113 m

.83204 .15385 L

s

.50717 .34302 m

.85003 .17827 L

s

.4969 .31437 m

.84842 .17608 L

s

.46171 .20616 m

.82582 .14542 L

s

.46596 .21089 m

.84075 .16567 L

s

.48656 .28555 m

.84533 .17189 L

s

.50313 .3386 m

.83285 .15495 L

s

.4762 .25669 m

.84213 .16755 L

s

.49308 .3102 m

.83134 .15291 L

s

.49303 .29266 m

.82983 .15085 L

s

.47228 .23508 m

.8252 .14457 L

s

.46586 .22792 m

.84029 .16505 L

s

.4828 .28145 m

.82858 .14916 L

s

.50723 .36065 m

.85005 .17829 L

s

.47238 .25251 m

.82597 .14561 L

s

.49695 .33202 m

.84967 .17777 L

s

.46182 .22347 m

.82498 .14427 L

s

1 0 0 r

.48138 .28867 m

.84549 .1721 L

s

.039 .916 .04 r

.48658 .30315 m

.84714 .17435 L

s

.47618 .27418 m

.8438 .16981 L

s

.48281 .29904 m

.8302 .15136 L

s

.49304 .32777 m

.83249 .15447 L

s

1 0 0 r

.47762 .28457 m

.82876 .14941 L

s

.039 .916 .04 r

.4724 .27006 m

.82735 .1475 L

s

.49698 .34974 m

.85015 .17843 L

s

.50302 .356 m

.83283 .15493 L

s

.4866 .32087 m

.84864 .17638 L

s

.47616 .29182 m

.84564 .17231 L

s

.49292 .3453 m

.83292 .15504 L

s

.46187 .24094 m

.82535 .14478 L

s

.48275 .31667 m

.83156 .1532 L

s

.4553 .2337 m

.84063 .16551 L

s

.45544 .21643 m

.84039 .16518 L

s

.47237 .28769 m

.82895 .14967 L

s

.497 .36745 m

.84953 .17759 L

s

.46578 .24522 m

.84103 .16606 L

s

.48661 .33865 m

.84948 .17751 L

s

.46185 .25851 m

.82647 .1463 L

s

.46571 .26272 m

.84249 .16803 L

s

.47614 .30958 m

.84727 .17452 L

s

.49271 .36272 m

.83228 .15418 L

s

.4512 .21171 m

.82574 .1453 L

s

.46565 .28039 m

.84423 .17039 L

s

.48261 .3343 m

.83231 .15421 L

s

.45518 .2512 m

.84172 .16699 L

s

.47227 .30537 m

.8304 .15163 L

s

.46178 .27617 m

.82793 .14827 L

s

.48662 .35646 m

.84931 .17728 L

s

.47613 .32742 m

.84834 .17597 L

s

.4656 .29818 m

.84587 .17262 L

s

.48239 .35185 m

.8321 .15393 L

s

.44479 .22219 m

.84128 .16639 L

s

.4512 .2292 m

.82556 .14506 L

s

.47211 .32305 m

.83134 .1529 L

s

0 0 1 r

.48138 .35089 m

.84895 .17681 L

s

.039 .916 .04 r

.46164 .29388 m

.82934 .15019 L

s

0 0 1 r

.47715 .3463 m

.8318 .15353 L

s

.039 .916 .04 r

.44462 .23966 m

.84185 .16717 L

s

.45115 .24679 m

.82627 .14603 L

s

.47612 .34529 m

.84849 .17618 L

s

.44028 .2349 m

.8271 .14715 L

s

0 0 1 r

.44454 .24848 m

.84237 .16787 L

s

.039 .916 .04 r

.46556 .31606 m

.84704 .17421 L

s

.45508 .26888 m

.84323 .16904 L

s

.45103 .26447 m

.82744 .14762 L

s

.455 .28669 m

.84475 .17109 L

s

.47187 .3407 m

.83143 .15302 L

s

0 0 1 r

.44021 .24374 m

.82742 .14758 L

s

.039 .916 .04 r

.44448 .25733 m

.84297 .16869 L

s

.46144 .31161 m

.83034 .15155 L

s

.45085 .28221 m

.82868 .1493 L

s

.44012 .2526 m

.82783 .14815 L

s

.46554 .33398 m

.84741 .17471 L

s

.45494 .3046 m

.8459 .17266 L

s

.44437 .27515 m

.84423 .17039 L

s

.46118 .32932 m

.8306 .1519 L

s

.45062 .29998 m

.82963 .15059 L

s

0 g

.8719 .17034 m

.87555 .21289 L

s

.81739 .0953 m

.8719 .17034 L

s

0 0 0 r

2 Mabswid

.85876 .16885 Mdot

.85778 .16602 Mdot

.85819 .1675 Mdot

.85816 .16752 Mdot

.85916 .17079 Mdot

.85694 .1644 Mdot

.85899 .17084 Mdot

.85852 .1694 Mdot

.85733 .16597 Mdot

.85852 .16972 Mdot


4 Mabswid

.85909 .17153 Mdot

2 Mabswid

.8568 .16457 Mdot

.85715 .16579 Mdot

.85932 .17268 Mdot

.85909 .17208 Mdot

4 Mabswid

.85648 .16404 Mdot

2 Mabswid

.85598 .16308 Mdot

.85618 .16371 Mdot

.85871 .17204 Mdot

.85739 .16808 Mdot

.85878 .17245 Mdot

.85918 .17387 Mdot

.85597 .16418 Mdot

.85578 .16385 Mdot

.85523 .16254 Mdot

.85871 .17382 Mdot

.85867 .1737 Mdot

.8576 .17061 Mdot

4 Mabswid

.85685 .16846 Mdot

2 Mabswid

.8561 .16632 Mdot

.85503 .16323 Mdot

.85498 .16311 Mdot

.85847 .17439 Mdot

.85792 .17308 Mdot

.85773 .17275 Mdot

.85452 .16305 Mdot

.85492 .16447 Mdot

.85631 .16885 Mdot

.85499 .16489 Mdot

.85752 .17323 Mdot

.85772 .17385 Mdot

4 Mabswid

.85721 .17289 Mdot

2 Mabswid

.8546 .16484 Mdot

.85437 .16424 Mdot

.85655 .17115 Mdot

.85689 .17237 Mdot

4 Mabswid

.8546 .16539 Mdot

2 Mabswid

.85518 .16721 Mdot

.85637 .17097 Mdot

.85517 .16752 Mdot

.8547 .16608 Mdot

.85676 .17254 Mdot

.85453 .16613 Mdot

.85553 .16941 Mdot

.8555 .16944 Mdot

.85592 .17091 Mdot

.85493 .16807 Mdot

.89028 .0712 m .94758 .19027 L .89425 .11441 L .973 .663 .31 r

F

0 g

.5 Mabswid

.89425 .11441 m

.94758 .19027 L

s

.039 .916 .04 r

.85493 .16807 m

.91868 .14916 L

s

.85592 .17091 m

.9178 .1479 L

s

.8555 .16944 m

.91835 .14869 L

s

.85553 .16941 m

.91808 .14831 L

s

.85453 .16613 m

.91896 .14956 L

s

.85676 .17254 m

.91769 .14775 L

s

.8547 .16608 m

.92031 .15148 L

s

.85517 .16752 m

.9197 .15061 L

s

.85637 .17097 m

.91641 .14593 L

s

.85518 .16721 m

.91845 .14883 L

s

0 0 1 r

.8546 .16539 m

.92068 .15201 L

s

.039 .916 .04 r

.85689 .17237 m

.9161 .14548 L

s

.85655 .17115 m

.91833 .14866 L

s

.85437 .16424 m

.91933 .15008 L

s

.8546 .16484 m

.92117 .15269 L

s

0 0 1 r

.85721 .17289 m

.91584 .14513 L

s

.039 .916 .04 r

.85772 .17385 m

.91741 .14735 L

s

.85752 .17323 m

.91547 .1446 L

s

.85499 .16489 m

.91851 .14892 L

s

.85631 .16885 m

.91841 .14877 L

s

.85492 .16447 m

.92274 .15493 L

s

.85452 .16305 m

.92026 .15141 L

s

.85773 .17275 m

.91828 .14859 L

s

.85792 .17308 m

.91419 .14277 L

s

.85847 .17439 m

.9166 .1462 L

s

.85498 .16311 m

.919 .14961 L

s

.85503 .16323 m

.92228 .15428 L

s

.8561 .16632 m

.91832 .14865 L

s

1 0 0 r

.85685 .16846 m

.9184 .14876 L

s

.039 .916 .04 r

.8576 .17061 m

.91847 .14886 L

s

.85867 .1737 m

.9149 .14379 L

s

.85871 .17382 m

.91784 .14796 L

s

.85523 .16254 m

.92039 .1516 L

s

.85578 .16385 m

.92328 .15571 L

s

.85597 .16418 m

.91853 .14894 L

s

.85918 .17387 m

.91664 .14626 L

s

.85878 .17245 m

.91432 .14296 L

s

.85739 .16808 m

.91839 .14875 L

s

.85871 .17204 m

.91829 .1486 L

s

.85618 .16371 m

.92179 .15358 L

s

.85598 .16308 m

.9195 .15032 L

s

0 0 1 r

.85648 .16404 m

.92136 .15297 L

s

.039 .916 .04 r

.85909 .17208 m

.91568 .1449 L

s

.85932 .17268 m

.91748 .14746 L

s

.85715 .16579 m

.91847 .14886 L

s

.8568 .16457 m

.92107 .15256 L

s

0 0 1 r

.85909 .17153 m

.91611 .1455 L

s

.039 .916 .04 r

.85852 .16972 m

.91835 .14869 L

s

.85733 .16597 m

.92072 .15206 L

s

.85852 .1694 m

.917 .14677 L

s

.85899 .17084 m

.91644 .14597 L

s

.85694 .1644 m

.91918 .14987 L

s

.85916 .17079 m

.91783 .14795 L

s

.85816 .16752 m

.91875 .14926 L

s

.85819 .1675 m

.91845 .14884 L

s

.85778 .16602 m

.91906 .14971 L

s

.85876 .16885 m

.91809 .14833 L

s

0 g

.94322 .14756 m

.94758 .19027 L

s

.89028 .0712 m

.94322 .14756 L

s

0 0 0 r

2 Mabswid

.93224 .14733 Mdot

.92982 .14033 Mdot

.93078 .14402 Mdot

.93201 .14888 Mdot

4 Mabswid

.93205 .1497 Mdot

2 Mabswid

.92884 .1397 Mdot

.93219 .15068 Mdot

.039 .916 .04 r

.5 Mabswid

.84138 .14517 m

.899 .12116 L

s

0 0 0 r

2 Mabswid

.84138 .14517 Mdot

4 Mabswid

.92841 .13918 Mdot

.039 .916 .04 r

.5 Mabswid

.84056 .14281 m

.90033 .12305 L

s

0 0 0 r

2 Mabswid

.84056 .14281 Mdot

.9304 .14569 Mdot

.039 .916 .04 r

.5 Mabswid

.8409 .14404 m

.89954 .12194 L

s

0 0 0 r

2 Mabswid

.8409 .14404 Mdot

.93285 .15351 Mdot

.92965 .1435 Mdot

.039 .916 .04 r

.5 Mabswid

.84083 .14399 m

.89974 .12222 L

s

0 0 0 r

2 Mabswid

.84083 .14399 Mdot

.039 .916 .04 r

.5 Mabswid

.84175 .14701 m

.89866 .12068 L

s

0 0 0 r

2 Mabswid

.84175 .14701 Mdot

.92795 .13843 Mdot

.039 .916 .04 r

.5 Mabswid

.83993 .14164 m

.90083 .12376 L

s

0 0 0 r

2 Mabswid

.83993 .14164 Mdot

.039 .916 .04 r

.5 Mabswid

.8411 .14559 m

.8978 .11945 L

s

0 0 0 r

2 Mabswid

.8411 .14559 Mdot

.039 .916 .04 r

.5 Mabswid

.84155 .14701 m

.89724 .11866 L

s

0 0 0 r

2 Mabswid

.84155 .14701 Mdot

.039 .916 .04 r

.5 Mabswid

.84118 .14607 m

.89931 .1216 L

s

0 0 0 r

2 Mabswid

.84118 .14607 Mdot

.039 .916 .04 r

.5 Mabswid

.8402 .14305 m

.90217 .12567 L

s

0 0 0 r

2 Mabswid

.8402 .14305 Mdot

.039 .916 .04 r

.5 Mabswid

.83992 .14221 m

.903 .12685 L

s

0 0 0 r

2 Mabswid

.83992 .14221 Mdot

0 0 1 r

.5 Mabswid

.84165 .14769 m

.89692 .11821 L

s

0 0 0 r

4 Mabswid

.84165 .14769 Mdot

.039 .916 .04 r

.5 Mabswid

.84005 .1427 m

.89987 .1224 L

s

0 0 0 r

2 Mabswid

.84005 .1427 Mdot

0 0 1 r

.5 Mabswid

.83975 .14202 m

.90357 .12766 L

s

0 0 0 r

4 Mabswid

.83975 .14202 Mdot

2 Mabswid

.93023 .14666 Mdot

.92679 .13599 Mdot

.039 .916 .04 r

.5 Mabswid

.84189 .14884 m

.89829 .12015 L

s

0 0 0 r

2 Mabswid

.84189 .14884 Mdot

.039 .916 .04 r

.5 Mabswid

.84165 .14824 m

.89651 .11762 L

s

0 0 0 r

2 Mabswid

.84165 .14824 Mdot

.92902 .14314 Mdot

.039 .916 .04 r

.5 Mabswid

.83929 .14095 m

.90167 .12496 L

s

0 0 0 r

2 Mabswid

.83929 .14095 Mdot

.039 .916 .04 r

.5 Mabswid

.83963 .14207 m

.90432 .12874 L

s

0 0 0 r

2 Mabswid

.83963 .14207 Mdot

.93033 .14769 Mdot

.92947 .14501 Mdot

.039 .916 .04 r

.5 Mabswid

.84022 .14471 m

.89959 .122 L

s

0 0 0 r

2 Mabswid

.84022 .14471 Mdot

.039 .916 .04 r

.5 Mabswid

.84135 .14826 m

.89915 .12138 L

s

0 0 0 r

2 Mabswid

.84135 .14826 Mdot

.92851 .14242 Mdot

.039 .916 .04 r

.5 Mabswid

.83969 .1431 m

.90658 .13194 L

s

0 0 0 r

2 Mabswid

.83969 .1431 Mdot

.93079 .14955 Mdot

.039 .916 .04 r

.5 Mabswid

.83918 .14162 m

.90038 .12312 L

s

0 0 0 r

2 Mabswid

.83918 .14162 Mdot

.039 .916 .04 r

.5 Mabswid

.83899 .14121 m

.90324 .1272 L

s

0 0 0 r

2 Mabswid

.83899 .14121 Mdot

.039 .916 .04 r

.5 Mabswid

.84134 .14862 m

.89519 .11575 L

s

0 0 0 r

2 Mabswid

.84134 .14862 Mdot

.039 .916 .04 r

.5 Mabswid

.84176 .14999 m

.89746 .11897 L

s

0 0 0 r

2 Mabswid

.84176 .14999 Mdot

.92938 .14565 Mdot

.92907 .14475 Mdot

.92775 .14078 Mdot

.93167 .15303 Mdot

.039 .916 .04 r

.5 Mabswid

.83936 .14289 m

.90597 .13108 L

s

0 0 0 r

2 Mabswid

.83936 .14289 Mdot

.92943 .14618 Mdot

.92881 .14438 Mdot

.92907 .14532 Mdot

.92971 .14735 Mdot

.9291 .14559 Mdot

4 Mabswid

.92902 .14536 Mdot

2 Mabswid

.92894 .14512 Mdot

.039 .916 .04 r

.5 Mabswid

.83862 .14127 m

.90145 .12465 L

s

0 0 0 r

2 Mabswid

.83862 .14127 Mdot

.039 .916 .04 r

.5 Mabswid

.84137 .14993 m

.89866 .12068 L

s

0 0 0 r

2 Mabswid

.84137 .14993 Mdot

.92833 .14337 Mdot

.039 .916 .04 r

.5 Mabswid

.84041 .14702 m

.89952 .1219 L

s

0 0 0 r

2 Mabswid

.84041 .14702 Mdot

.039 .916 .04 r

.5 Mabswid

.84129 .14977 m

.89576 .11656 L

s

0 0 0 r

2 Mabswid

.84129 .14977 Mdot

.92896 .1454 Mdot

.039 .916 .04 r

.5 Mabswid

.83923 .14339 m

.8999 .12244 L

s

0 0 0 r

2 Mabswid

.83923 .14339 Mdot

1 0 0 r

.5 Mabswid

.8398 .14516 m

.89967 .12211 L

s

0 0 0 r

4 Mabswid

.8398 .14516 Mdot

2 Mabswid

.92922 .14633 Mdot

.9286 .14454 Mdot

.039 .916 .04 r

.5 Mabswid

.83873 .1421 m

.90349 .12755 L

s

0 0 0 r

2 Mabswid

.83873 .1421 Mdot

.039 .916 .04 r

.5 Mabswid

.83942 .14435 m

.90486 .1295 L

s

0 0 0 r

2 Mabswid

.83942 .14435 Mdot

.92636 .13769 Mdot

.93028 .14994 Mdot

.92897 .14596 Mdot

.92866 .14507 Mdot

0 0 1 r

.5 Mabswid

.83939 .14461 m

.90417 .12852 L

s

0 0 0 r

4 Mabswid

.83939 .14461 Mdot

.039 .916 .04 r

.5 Mabswid

.83947 .14501 m

.90362 .12773 L

s

0 0 0 r

2 Mabswid

.83947 .14501 Mdot

.039 .916 .04 r

.5 Mabswid

.84117 .15043 m

.89744 .11894 L

s

0 0 0 r

2 Mabswid

.84117 .15043 Mdot

.039 .916 .04 r

.5 Mabswid

.84068 .14903 m

.8951 .11561 L

s

0 0 0 r

2 Mabswid

.84068 .14903 Mdot

.92725 .14116 Mdot

.92953 .1483 Mdot

.039 .916 .04 r

.5 Mabswid

.83854 .14259 m

.90063 .12348 L

s

0 0 0 r

2 Mabswid

.83854 .14259 Mdot

.039 .916 .04 r

.5 Mabswid

.84055 .14899 m

.89923 .12149 L

s

0 0 0 r

2 Mabswid

.84055 .14899 Mdot

.039 .916 .04 r

.5 Mabswid

.84003 .14738 m

.89789 .11959 L

s

0 0 0 r

2 Mabswid

.84003 .14738 Mdot

.039 .916 .04 r

.5 Mabswid

.83849 .14275 m

.90215 .12565 L

s

0 0 0 r

2 Mabswid

.83849 .14275 Mdot

.039 .916 .04 r

.5 Mabswid

.83941 .14562 m

.89977 .12226 L

s

0 0 0 r

2 Mabswid

.83941 .14562 Mdot

.92856 .14571 Mdot

.9277 .14303 Mdot

.039 .916 .04 r

.5 Mabswid

.83965 .14663 m

.90014 .12279 L

s

0 0 0 r

2 Mabswid

.83965 .14663 Mdot

.039 .916 .04 r

.5 Mabswid

.84047 .14919 m

.89644 .11752 L

s

0 0 0 r

2 Mabswid

.84047 .14919 Mdot

.92902 .14758 Mdot

0 0 1 r

.5 Mabswid

.84029 .14891 m

.89689 .11815 L

s

0 0 0 r

4 Mabswid

.84029 .14891 Mdot

.039 .916 .04 r

.5 Mabswid

.84013 .14848 m

.89725 .11867 L

s

0 0 0 r

2 Mabswid

.84013 .14848 Mdot

.039 .916 .04 r

.5 Mabswid

.84059 .14995 m

.89833 .12021 L

s

0 0 0 r

2 Mabswid

.84059 .14995 Mdot

.93125 .15475 Mdot

.9278 .14406 Mdot

.039 .916 .04 r

.5 Mabswid

.8386 .14415 m

.90145 .12464 L

s

0 0 0 r

2 Mabswid

.8386 .14415 Mdot

.039 .916 .04 r

.5 Mabswid

.8387 .14451 m

.90029 .123 L

s

0 0 0 r

2 Mabswid

.8387 .14451 Mdot

.039 .916 .04 r

.5 Mabswid

.83965 .14766 m

.89955 .12195 L

s

0 0 0 r

2 Mabswid

.83965 .14766 Mdot

.039 .916 .04 r

.5 Mabswid

.83901 .14567 m

.90092 .12389 L

s

0 0 0 r

2 Mabswid

.83901 .14567 Mdot

.039 .916 .04 r

.5 Mabswid

.83992 .14884 m

.89884 .12093 L

s

0 0 0 r

2 Mabswid

.83992 .14884 Mdot

.039 .916 .04 r

.5 Mabswid

.83949 .14758 m

.89932 .12162 L

s

0 0 0 r

2 Mabswid

.83949 .14758 Mdot

.039 .916 .04 r

.5 Mabswid

.83903 .1464 m

.89999 .12257 L

s

0 0 0 r

2 Mabswid

.83903 .1464 Mdot

.93008 .1523 Mdot

.92839 .14722 Mdot

.92517 .13719 Mdot

.92763 .14503 Mdot

4 Mabswid

.92963 .15156 Mdot

2 Mabswid

.92583 .14002 Mdot

.9292 .15104 Mdot

4 Mabswid

.92598 .141 Mdot

2 Mabswid

.92601 .14182 Mdot

.92725 .1467 Mdot

.92821 .15041 Mdot

.92578 .14338 Mdot

0 g

.5 Mabswid

.81739 .0953 m

.82062 .13836 L

s

0 0 0 r

2 Mabswid

.91175 .11293 Mdot

.91325 .11762 Mdot

.91527 .12459 Mdot

4 Mabswid

.91533 .12575 Mdot

2 Mabswid

.91551 .12709 Mdot

.91281 .11971 Mdot

.91026 .11188 Mdot

.91144 .11636 Mdot

4 Mabswid

.90963 .11123 Mdot

2 Mabswid

.91262 .12117 Mdot

.90902 .1104 Mdot

.91278 .12279 Mdot

.91119 .1182 Mdot

.9103 .1155 Mdot

.91334 .12533 Mdot

.90763 .10791 Mdot

.9144 .12958 Mdot

.91108 .11923 Mdot

.90945 .11449 Mdot

.91028 .11734 Mdot

.91118 .12023 Mdot

.91156 .12197 Mdot

.91025 .1182 Mdot

.90848 .11276 Mdot

.90967 .1166 Mdot

.91032 .11885 Mdot

.91229 .12522 Mdot

4 Mabswid

.91001 .11813 Mdot

2 Mabswid

.90976 .11754 Mdot

.91053 .12005 Mdot

.90898 .11542 Mdot

.90981 .11808 Mdot

.907 .10971 Mdot

.90922 .1167 Mdot

.90989 .119 Mdot

.91098 .12257 Mdot

.90929 .11739 Mdot

.91346 .13079 Mdot

.90781 .1132 Mdot

.90925 .11828 Mdot

.90823 .1151 Mdot

.91007 .12105 Mdot

.90834 .11621 Mdot

.91172 .12721 Mdot

.90573 .10931 Mdot

.90918 .12012 Mdot

4 Mabswid

.91104 .12599 Mdot

2 Mabswid

.9082 .11732 Mdot

.90636 .11212 Mdot

.91041 .12504 Mdot

4 Mabswid

.9065 .1131 Mdot

2 Mabswid

.90653 .11392 Mdot

.9079 .11921 Mdot

.90914 .12372 Mdot

.90632 .11553 Mdot

0 g

.5 Mabswid

.89028 .0712 m

.89425 .11441 L

s

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 ImageSize->{378.938, 165.875},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{-0.161719, 1.11949}, {-0.155013, 1.24263}},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJy1nXusZ1V1xw/n9fv97mOed+7AvBgBQaiPlEcgKqKxkVarViullkKgWGAK
dAoz0AYVq4Np1BqIg6AoUgFlUJRSFFraalNbkiY1aYr/tDZoRRsd+xCwDCOW
27PW2uux91n7/H4zTW845/7mPPZe+7PX+q699zn3xxsv2n3Zb1550e4dF1+0
/eyrL/qdy3ZcvGv763Ze3R2qjiiKI64riuIz2wv4vNJ9DLuV7r+Vd8IOjsz4
+Tz8XBVUAh4qth7q+RLObsvcdfDeN+PvXKne+V93zm/pna/lfLhm8+Fc0kSX
cG2bBqyBrcR9zGWjueeVWW5xOZVTzvL/Vzmmn+K7a+fuDRkrDn7+V0x/xeU0
TjlLvXJqKSeU5RXlmXSYRWFfYdsDJi6zX14TlcdN3eL4UrfVTpHrB6jBVuI+
btZRjs0j+EffvsMrrHUMXTel7MopeyM50WT/HJaFsLxAWGPKPnPGstHdaim7
Ptyya6dsbOsIyi6lbC9gVh9G2WjPRMpucmWvmlJ245SN98xD2abz4CdLZ1ot
rVPLPOwXQy0hmWgtXlsWD6OWCewXsJYGa4FPvFHAdz+egCxMqW3k1NbCfs60
iWtqHZojp9L5KZWOnUpLcQWv0joncp4yTWvzxFSfNs3WjAE1l8sXnoBNazjG
AB7CzlzrS2NWGiazFI9ExlD8sihOeWjFVoScbW2ksGZ6YWNT2Bmwa0mWukOV
lFixI4UcIeI/ijXMi5+RqeAUuQcuJwVEXSemDcVHkpDWOaLjtcRW9FLYjaWi
SWI/FUEh2PPsRQ3eOHSqWWo+UazFmheliWWIvl596LGrnPrKWZAeJ8GP9a2j
GMiIxPoQJ7aWGerYJkSwjqVgK14Q3HkuOLQtotvW5cTA0z5b5ZECBatc7pXT
i9BS/BaTyMKMlbam0rWaHLBWK9t4YIOrd7ncSTTgGko0ZNjanDQOGDYvnYdm
bPRNbCTkK3E4T6HXH4YFWPYap7CyF2QoUeHsonPHqjgkPCXfmBNx38Ln4ddG
MWSzU+JaqdR0S9jADNJdd44zfS4UzHgWfh0lZrzQMWM+bjulLHuFN8o9RDOe
hF/LTuWVmHZcjlBPIzmxJFVheGZmkyGj/FCSSeITlXNstZh2rPTIkY5Bnl4f
5WRlNeN7OTNq55gXLfUgtU2w98ZHw1Z9S6wqTdCqYEIVsWlHC5ej5bYZRqIZ
M4LU/lNsRitmqNZsl3q9QB07EOdzAjqbxZsSbzfm/qMMH9RcLHZJzD3GMbJx
ji37Ro4cIz2fGzDy72PTmliZPX1Uzj2hDncYvVrwDZ9zDPcCF5eESmPuo7G5
7aC5HBFRzIQGbHWktK8ufOeKiF9cAzZv0WmMN43eYq7jYw0166+cZmGLvUpV
fbbIp7VOI+Re0x8YsKtnNPg4Mu4Rh/Q4zmFqyLoZDVnlO8Z6xzQvyQTTHpQQ
a2Jumtc2OQZhv7/Et2DZ5opkbH881XoH1cX6iLW2cQ/OSdirRLKj2b5cIg3r
zp7smxMpopoSLPmUwXXg/l241bDXscpI+gzNWZRPKpohxzHbDcSTuzVht+Ty
7PabfUtfSJZ+UiK5AfvYJcBg/qnFvlrs03yjQ0k0TROMly3n5SxWtHXQtI+b
s8eEDRWHOZbwaV5gbhZzlsUcHitYF8+OHNCwpdjE7YnjG/s+ZjyS7btk4axC
TFMjRwlWuHEsMZLYYkUuDPkpMpZ7Mm9vK3NNOFa6OBh+K90nhoPRbDhYCKWx
pZWxnI+X5BXw0V9O6ZH1xm7qOGjqi3L+m9y7Km7c8Y54H0vNvMWc4iaWuI8D
s5K+wk+bKfQj/6YU2l+Eg3+z4dbFlmMj30QG3Uwdwe0ctqoMtlE1hXLDE0sS
jmpk5RBcEB178UAk2DvWiOlY8i+R6R+BX9WMptfi8nh8MQbqefYa58Sw1Xjb
ulhs3kL332Srmm4rGsceoDKsyz5rRE08//4ZIZxY88tkzYdjnQ+TA2sW/Pu9
Z10jvRyHWBqA0ke69pVYNBZ7PXXxpGMu14ZzqA3XS2LVrBXmiXE0FGQYtCbG
jMlFM9sqMdEb+r/MMccT7XPJuneHOA/5ofjenjd0/Lp9t3vXyVWQsZ7+DByD
H2gDtaSNWsL9UPirInECNS6+KE0+xfFpr6jVgsGz9+1k6e/hr5HoH0Pg3098
4MLOJoYRVC6ryCqY0HDqRq8zNbbSY9ZNdemyznX1SQ4LXU1ZM0jgPEsgTsPc
+graj81HwKMpDVTD+7lNdVYz0BbHqtZp0Wrn2LxAnLXHz6f2XkNSjK07pgjr
ydjPsGGLw8xMeyma1tgMFFEIhXZtTxqbmOlJyJLTxG1RSLGqE+BEOy6gi3aH
DmI1sa3kEcq/3nhVdz+11XZQSAvo5d/ZvbG/ilw77fa0yipuFMKJe3srGcsO
mrAWtaKC0VPr5Jgu/GdwXUi4dqXdyaM5ynS18AobOgdz2vOGivSxgzVy0FQB
0I3n7y3MT5gycWaq6BMPtUuZZFWSRJPGbRrEsUFCoPab/hvU9KuHByTadPEi
rBXb3zW9hqYX2HanP61/QPPrUAi7cXcpzpXMBMNOmCZCwhsbeknZc6XFaSTe
QSSusk7A2YsY9EmgYd0/aiFRoBfErhcgQNNhK3FP1rE3cFq1QaKPTdA/5pyG
bnSA1IJr5JzVHLAqBlJKuy+hZu+0LmFBVAEEq0qIhpAMmQaGhOaehAE6QnhC
pGej/rMjdtaSox0GHpfNUq+3YNYETgU9RWHgCYbL6NxvC4bSTKA5PLqtNJr3
rVvegzhaAsLy0MuH1MhC3nRYMbZ0J5hNWI3iCcoMDffWoLab5lKfrRw2GWzO
Djp3hWQBu+4NVNJUAFhgGyEczUeQddgMiJo4PcSPhBhM/3CpMw/RDFl7aaKr
2ZcWnLafLj6TRlCPRyWKjJ8up3OXywFv5FeHveXRbegpzOA/b72g+K+PvhU3
ZgCSapqQDabQUiucMpDU/GKk1bqQzcMyzDDcNh42myvp3I5UVeEThdPwGJJR
VbAvFRYNWf7947+FWwcuLHIDujS/RDk9hqZDFfIkjrdSsI0dRC8IEIrCX3Zl
RK3tsd6wTSHtpJOXymywSQZuAw4UprZYHopOx4OrZH+SmGpmAAFb66yWhOdQ
vEboDVgRyVG+3HhD8GZGPlfRyUtEcNrBgXcIBQNJe7eEf9acr8D/wH+Mr/DY
4Zs7C2l+ExDdevU9gkkXOWg2HmmMVIdXsdrYq2Z5kBNs8panvaU8+0SNx+k6
2Veau4jmO2JvqxyanoaX4nQV6Rf1F1BkQ6rgL0/efHZE5bErA5iOZo0w/TU6
I3e9dTvx9lIWF0sTLNyNWx1mcwkfiYqEzzV09mLhowuDGaHiUdzjn/ig4YOf
GtKf/Z/cTflogkFpqQClpz56JjpcINQlyj4ddThdZFswRvU8q/DGhAknb4K1
zhf2WlBgEdfSuYs8YSczvNFBPBGohBpsFbWN/ImDlmh46RG4VUiOfcOjlkyt
eFDgBaxdaxoK0yxMTxfHcvHSTFhp+aW40HG+ynD0xJs5BueD8n0hDLKLiQIz
JwBteuGaQ9oIUjOuqFOklX1QY32R21K4c3Wd8XoJJkkTCbvr6OQF6pJGS+l3
JWm5ztKsI5rYRSJ3qRN0cY0gyTmdFZRwDCjChrJnJ3upoNvRWRkz7j366hP1
xrXqgVYApaemY30XnTzfwyqdnRu50MjUc9Juz+8dw4EIRFV8/453V0J3nCMZ
XH0SRm2mXrvyZDvF88j6UPhhYM1Pp3Y9nTxPqOnMshogqQXM4JuMMLhH988G
wKFbJjl55CBsBnIwXO2t4MXO3RfSlaL/kFOIe3i9VauJgB4b0TTV6FREef0+
Af+1AbjJC0r50fAoxSw+RIkCwX//rvfXgNvNv7Xk9XCXn5wSWlHkh1E4/5gn
JRnJLQcZ27XEKWQriWT89D4i+6uxK+uayJAoRFMgC7pyRGEM+wrAlgCWh+I/
3rez266IdBLIsi+3wZstWiXZW1qFBBg9LNrPDwkjhti0+dClSdPw36OYpb5l
lTBEP91DDM915GA2hvWhMETnZHwgBk/vu1rxlcUz+3aA+9x7qfVrloPbb/hT
I6E8GW7MY31iUiQMgamSW5hGLhmJW3809yjLVpzu/XTTOZ6g+hVWMcuqSKec
hegrz/Eev3MvbGMdmkqJ7IMdY4x/G7EAmvyVfBZId5ztXFUzGJBWRRB3TZ9W
+6j5Le549DSbwGYn3umizkAv/AHd+DZHFbwx3QxyQSNWaw4rbklLoqqgoXdA
iu/cW5FsKGHoGOPtmBKfuvfa7ix0D8O0D7CgJ2Brkj6Jx7uJ5BZF9EyOD2dX
ffREINKH+gG64a2xazcx3iGKON+0LYvGSwm9FvfO+KtGhJTdnvrcdQivQ9fO
SKw2wwYV4klvUGATMB/zJlHeiyKzUtahglL+EN3wFjuHkwWTFfkjUHHnmPKK
rPJq5XxuVvIN+S25574PNZTznrwPBhMAnMuTwUEn1Uxz5BCv4llC68D2HiHY
h2cc8vq6yjDED9Ndbx501Ywea5pMKo8NKnrDVGBHglDosPfOvS1ADK9dUrtA
f22tBz5/afH07WcMAFRikUB4i1L2qV6MsucpbUJYFp1mIHwj3fWm6W7qBUhW
3u3Ml3001VZijHrCeMm159BJLVkgHbIcUn72C5cKZJ7gYQ/0VmT0xbbeZNgs
vPfmYm6OWDE5rXKA4qeb6MZfFJfV2UMdO6+IF/cYI0tyaK1SnAcKZwHqmIIe
XZXu6D7GAkkaMELB5R+AyhcJ2VrA1vKGiakuN21rg+nwk3hq5MEGrn3sMwT3
I3Tj64WITiASZQhBajtQhCfzhkYl1RjOdGVfXEcirl1NgNi6K/y7Lp76wnvC
cqMWGWe0WuQhcG9CaouEwHm2lmprNEk7HMQj4Xgz3fgLOf+1z2llScJWlqEb
vS1gvTibuoyrGUdElUC06mWWfU58zQirv6KQc2WPb/t/40uvOBdnxy5c5vjG
b4msaBRnCE9mJFyS/3573229HPOD+27qBgj3v68S6mVx8P4diQfzzOLTex8V
zpWTxyoDl6/TRUd3XcPrA593+i5B2Dzu9Op/8boc92qYOyl0nrv3Vq+OWJIO
KZNZMPTCGPZjgM+TzK4Lep5tNVi1BPog+8qrTvKqXC5Mh2ja2DgdqQp4hG+j
+3/OEWez4hh3ZDSR8GZzM0w++xNDZk0eSoyYM28UysxcvifggSuKZ7/480FF
gKuzdKkDw1qf91SWufnjFDvOj5jhp08Qjdc6GtCbG8zCbLHHgknBT2t0kTmM
YF+R3xX8gl9bPPvw9cVPvryr+MmDO3EDMENMknFB8vzGmyt4o1ZtuI5fNfvf
Tte+ZtDBzDuY8R9/eMP/yLEzE0JP9HyArpi1xVMP7CmefvCG4sdfuqE48PB7
i4MP/S6gtc4KUGFrHLwjg7IoIrPSqPCPeU8VPbx3EN5XH6Iv2hchWYPXODwl
N0bTeaaI8hfmKz984OYSqJWIrRJwUsoM1OqBkZRHqgxum1xfkIIeKspPE6RX
xSh1dBqgRlO0BJe8DuVGbQP78DCswwUz+uBlsJWIrBJohwIumTp5w3+dD7Ux
Ba/HdXn6LoJyZm68o1D8PNo/kVk5WZegq1Px1zccxkivLv7joVuFXseOxxWg
gM89fC57gq9+k5BZ+95WxdkiyRHjGN5IXAgv/gzRekVMyxuCqGdl0CUvBKz4
L3mvCaKVjG4Kjdh+EoWfYNx37v+jUXBFS4EbDvnk4MPvjI71XbE3IdI1J29q
dIDfWNY/HAiilMC8h8693Ey7WaqSZySjQZLZ5Ti8N/1T9zTs4iwSe2WHL3hl
96lFkC16pe0KiOpnHtrDY/Iuj9TF81+5tOeiVZCtZJrTyoOWZBFKO2Sld+yA
eVt8HAf0PqJ6hhCsYpYDg7W8pybZRb/0wcspoyxdOtaxxG0M+wqocrMALTeV
E0CnlhU6KZCFzXNUnPGUxd13f8N4ayipdbOLGSJCo/zVQGqw/7408/4cwTl9
uhfXeqdoNUtAI2qq3/qx1eFYJhM84DghjlhNRzB8+tEjH+tK7RwTEcLG0c5T
GQuEYbbAsBJHtazZb6tDwua/54Ao7iNypzmeaoY2Tep8WV6efi4lDEnPNGGw
L7a41wkxaaYiBZpV8fRXb5H0zXH0/N9cm4SLuhr4IxL1JyyToRHOirzenohr
NMfOwv0iYTsVf+ly0ArPxSezjR/tYR1XHGPaySE4RNW2oEmBMnL7rg8gg60J
ewtPtdA8nbPOyGwrC8reGYH6Y2rjyTkvHJZArgGxHJ9TpgTLiBLLvz10d21h
wM0MJLDu8kiZxaI+BT/6RlQSh9bZSOF7Wca+K8Fc/oRa/LMzOVAlSIzPTKI8
/CIHjuczDalZBCcg/p9H9yQBV2XhxCsv3NrAaSVe/zKc6hiHGcOEDQ9/idr4
MiezKkBdaPBWpwr/b869x8rjGcnhKKUBciaVwg//KcjX9nI0WIbBnM4r41jT
nxV2LlafTEawd3HY8LGAD9v8ZcL3kkHh5/dY05GvpFm84DiH18KMvEoa1REv
ViEbRRCWkbSXxXN/+4ddWeCIKT4vTlPth58qdkJdA/SGKN6k+GGi9+Kc8xl6
/qqoTeB87hRphx3zMymcRnScgip1IoXeRDiUHXhV62CoYF8Wn33ou708yERW
5LjKlRnKWVlPHA096s+IyUk5JmayOjuT0xImaW7rgITI6hylEirddYCFocgs
sOchwKNxqNRycfSnJpP9c5ZFQNcd/XNq/IlO48uk8dPXbT1ROm1KQEEEwaYz
eExu3cf9X7kHoyhs6Do1QApXdR5jF8+BBWxt2Cfdz7Ggf6hVe14Bpj9CTE4Y
ZJKMb7xxvgaT9xaFNw6qAh7oYQMnjKnxU0elNAOgyJMxyzW2x9iRAMkocZfJ
/vDgTAeT6mpWVTiDhUA5Pj8TzMDRb5x6ZdJomnSp0EXeUFGUgB/oAEcsxHjh
0ANRBQXhfGOFzHOP6evdqaymxxhKcJbjBp1FX//GT69ydK5xKNQCwA4oIvnp
1KKK22vXJ6bFRHCP5H1Nv4XHupPUfjM9EdAxzUvljrUOBM8VKvF7hvCjRz8b
Q0BHUIcHZxBH8CY7KIkdkS63fP2/p/gCbKM8lRdMD4YZqLx2Roew0sgGMpgS
uDAGSCWQSASD9Qq2QXuvpxTAJesu4zyO7Tkn6dEp+FuG065ZOUvMahwstVmo
YSzdViKT/roE+ApDeebrd4kkRVCe/4er4rzWe3EEeBAT9RhWhYmDI6TVbekk
kGuJfCP7rArPnipmeCuUcw6i1HPoCkwcBf+NF0WRmZOWgEcm9N/4YBxhQCh2
nlGOTplzkb8gJvR9g424iEFSDDMZOSROd65bNYUJeApsJcUOMymDs4CbpKA7
HuQm4l82diyDGvZVcdMTPw0lHwh/P/BVav5mTzCmt/1tTpt6Q2MAQ9my24f/
LwXdBm167rHbcKtMcyJ3i55H2DZ12xhahF3719QO+trc1u1GbsjbQ9nJ8gc3
wqZi7hP10/CcqrO8BLPRal2vix/CFwq8+/jyv3xQnO5rVPmRGtAaiMGcVzi4
8S9cJ+QVuXTaRIbDRvrReVEY+LPtSTrJvlkyJ+35OzKbvi68jiAb97GBsCDU
X01FFf2vyqPI7ENvwGZjbn9JkeK/+/TPZBj+X2+8L8xRM85wzupsIow2Cvvl
Vv4gDacBXWDWYiRMkh67rYfTak0wcynOImrIa8SQ9OUBEsdCvmEsSQSRhWHO
orLBP/y3lRhn1q5vkl3rcnahL7bSd95bpXiDvhUy7xhXwb42SRws5C3YGaZA
HFm+nWtydnrfSIbLKWM4NCedq4nKe9l48I9MOk/VXMtDvpKcFLF3ppeO6f9C
pq+Oe27Y9GMIRmG/IdCL0gWRSf1e5WnDBOBNTtvta6PAbPTjZPBizuATxaT1
8mmdyN9yLhGhDfxHyLH+dz/fpkoXSHH6lZ4gRLTSbVLVeqfNOJhuRYefoArm
chUcLUKxSSo4QaBOBHR4ZTkj79+lWiY5VdwUfMoe42A6UmKNv4+l54dtbIt8
jWLxA6oXX/vyvs1li7Rpg9yNX1L6JN2IBXvfFr1NbjwJPk0kxH9KN2JJ/a8o
tEXoVzCvlQ7TNxP0Oxix2PDyAJZtvYgL00cV3rdjHilV8f/hoTdea+Kq1puq
POPH4thed26Q+rbJdVr2NiOuGwWR17kTuedEuof/Ty7sG/Bbv/Rsu1x+qhGX
tbEH4/mz6Pwq8RZd/sHzrzexnrRNR/yr5PJzTJR62baVKy804ZasE3C2xesu
N9ehjuLR8FVC+PlQ/0+c4XNxxP8CY/+N4A==\
\>"],ImageRangeCache->{{{-61.25, 423.188}, {190.562, -40.1875}} -> {0.106172, \
0.130246, 0.00227542, 0.00227542}}],

Cell["\<\
A system demonstrating spot diagrams and principal rays (for source code see \
Appendix 1).  This system includes four components and six light sources.  \
The two lenses are optically active while the two screens are optically inert.\
\>", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[TextData[{
 "The two ",
 StyleBox["Screen", "MB"],
 " components in this system generate spot diagrams (below) without  \
disturbing the system optics.  One of the screens is closer to system focus  \
than the other.  This fact is evident from the tighter distribution of ray  \
intercepts.  Furthermore, observe that the off-axis source, imaged on the  \
left of each screen, breaks the symmetry of the principal ray pattern.  This  \
pattern is a simple cruciform.  The pattern is unbroken by the on-axis source \
 (right)."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: .38889 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

0.416667 0.0555556 0.194444 0.0555556 [

[.13889 -0.0125 -6 -9 ]

[.13889 -0.0125 6 0 ]

[.27778 -0.0125 -12 -9 ]

[.27778 -0.0125 12 0 ]

[.41667 -0.0125 -3 -9 ]

[.41667 -0.0125 3 0 ]

[.55556 -0.0125 -9 -9 ]

[.55556 -0.0125 9 0 ]

[.69444 -0.0125 -3 -9 ]

[.69444 -0.0125 3 0 ]

[.83333 -0.0125 -9 -9 ]

[.83333 -0.0125 9 0 ]

[.97222 -0.0125 -6 -9 ]

[.97222 -0.0125 6 0 ]

[ 0 0 -0.125 0 ]

[-0.0125 .02778 -12 -4.5 ]

[-0.0125 .02778 0 4.5 ]

[-0.0125 .08333 -12 -4.5 ]

[-0.0125 .08333 0 4.5 ]

[-0.0125 .13889 -12 -4.5 ]

[-0.0125 .13889 0 4.5 ]

[-0.0125 .19444 -6 -4.5 ]

[-0.0125 .19444 0 4.5 ]

[-0.0125 .25 -6 -4.5 ]

[-0.0125 .25 0 4.5 ]

[-0.0125 .30556 -6 -4.5 ]

[-0.0125 .30556 0 4.5 ]

[-0.0125 .36111 -6 -4.5 ]

[-0.0125 .36111 0 4.5 ]

[ 0 0 -0.125 0 ]

[ 0 .38889 .125 0 ]

[ 1 0 .125 0 ]

[ 0 0 0 0 ]

[ 1 .38889 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 g

.25 Mabswid

[ ] 0 setdash

.13889 0 m

.13889 .00625 L

s

[(-5)] .13889 -0.0125 0 1 Mshowa

.27778 0 m

.27778 .00625 L

s

[(-2.5)] .27778 -0.0125 0 1 Mshowa

.41667 0 m

.41667 .00625 L

s

[(0)] .41667 -0.0125 0 1 Mshowa

.55556 0 m

.55556 .00625 L

s

[(2.5)] .55556 -0.0125 0 1 Mshowa

.69444 0 m

.69444 .00625 L

s

[(5)] .69444 -0.0125 0 1 Mshowa

.83333 0 m

.83333 .00625 L

s

[(7.5)] .83333 -0.0125 0 1 Mshowa

.97222 0 m

.97222 .00625 L

s

[(10)] .97222 -0.0125 0 1 Mshowa

.125 Mabswid

.02778 0 m

.02778 .00375 L

s

.05556 0 m

.05556 .00375 L

s

.08333 0 m

.08333 .00375 L

s

.11111 0 m

.11111 .00375 L

s

.16667 0 m

.16667 .00375 L

s

.19444 0 m

.19444 .00375 L

s

.22222 0 m

.22222 .00375 L

s

.25 0 m

.25 .00375 L

s

.30556 0 m

.30556 .00375 L

s

.33333 0 m

.33333 .00375 L

s

.36111 0 m

.36111 .00375 L

s

.38889 0 m

.38889 .00375 L

s

.44444 0 m

.44444 .00375 L

s

.47222 0 m

.47222 .00375 L

s

.5 0 m

.5 .00375 L

s

.52778 0 m

.52778 .00375 L

s

.58333 0 m

.58333 .00375 L

s

.61111 0 m

.61111 .00375 L

s

.63889 0 m

.63889 .00375 L

s

.66667 0 m

.66667 .00375 L

s

.72222 0 m

.72222 .00375 L

s

.75 0 m

.75 .00375 L

s

.77778 0 m

.77778 .00375 L

s

.80556 0 m

.80556 .00375 L

s

.86111 0 m

.86111 .00375 L

s

.88889 0 m

.88889 .00375 L

s

.91667 0 m

.91667 .00375 L

s

.94444 0 m

.94444 .00375 L

s

.25 Mabswid

0 0 m

1 0 L

s

0 .02778 m

.00625 .02778 L

s

[(-3)] -0.0125 .02778 1 0 Mshowa

0 .08333 m

.00625 .08333 L

s

[(-2)] -0.0125 .08333 1 0 Mshowa

0 .13889 m

.00625 .13889 L

s

[(-1)] -0.0125 .13889 1 0 Mshowa

0 .19444 m

.00625 .19444 L

s

[(0)] -0.0125 .19444 1 0 Mshowa

0 .25 m

.00625 .25 L

s

[(1)] -0.0125 .25 1 0 Mshowa

0 .30556 m

.00625 .30556 L

s

[(2)] -0.0125 .30556 1 0 Mshowa

0 .36111 m

.00625 .36111 L

s

[(3)] -0.0125 .36111 1 0 Mshowa

.125 Mabswid

0 .03889 m

.00375 .03889 L

s

0 .05 m

.00375 .05 L

s

0 .06111 m

.00375 .06111 L

s

0 .07222 m

.00375 .07222 L

s

0 .09444 m

.00375 .09444 L

s

0 .10556 m

.00375 .10556 L

s

0 .11667 m

.00375 .11667 L

s

0 .12778 m

.00375 .12778 L

s

0 .15 m

.00375 .15 L

s

0 .16111 m

.00375 .16111 L

s

0 .17222 m

.00375 .17222 L

s

0 .18333 m

.00375 .18333 L

s

0 .20556 m

.00375 .20556 L

s

0 .21667 m

.00375 .21667 L

s

0 .22778 m

.00375 .22778 L

s

0 .23889 m

.00375 .23889 L

s

0 .26111 m

.00375 .26111 L

s

0 .27222 m

.00375 .27222 L

s

0 .28333 m

.00375 .28333 L

s

0 .29444 m

.00375 .29444 L

s

0 .31667 m

.00375 .31667 L

s

0 .32778 m

.00375 .32778 L

s

0 .33889 m

.00375 .33889 L

s

0 .35 m

.00375 .35 L

s

0 .01667 m

.00375 .01667 L

s

0 .00556 m

.00375 .00556 L

s

0 .37222 m

.00375 .37222 L

s

0 .38333 m

.00375 .38333 L

s

.25 Mabswid

0 0 m

0 .38889 L

s

0 .38264 m

0 .38889 L

s

.13889 .38264 m

.13889 .38889 L

s

.27778 .38264 m

.27778 .38889 L

s

.41667 .38264 m

.41667 .38889 L

s

.55556 .38264 m

.55556 .38889 L

s

.69444 .38264 m

.69444 .38889 L

s

.83333 .38264 m

.83333 .38889 L

s

.97222 .38264 m

.97222 .38889 L

s

.125 Mabswid

.02778 .38514 m

.02778 .38889 L

s

.05556 .38514 m

.05556 .38889 L

s

.08333 .38514 m

.08333 .38889 L

s

.11111 .38514 m

.11111 .38889 L

s

.16667 .38514 m

.16667 .38889 L

s

.19444 .38514 m

.19444 .38889 L

s

.22222 .38514 m

.22222 .38889 L

s

.25 .38514 m

.25 .38889 L

s

.30556 .38514 m

.30556 .38889 L

s

.33333 .38514 m

.33333 .38889 L

s

.36111 .38514 m

.36111 .38889 L

s

.38889 .38514 m

.38889 .38889 L

s

.44444 .38514 m

.44444 .38889 L

s

.47222 .38514 m

.47222 .38889 L

s

.5 .38514 m

.5 .38889 L

s

.52778 .38514 m

.52778 .38889 L

s

.58333 .38514 m

.58333 .38889 L

s

.61111 .38514 m

.61111 .38889 L

s

.63889 .38514 m

.63889 .38889 L

s

.66667 .38514 m

.66667 .38889 L

s

.72222 .38514 m

.72222 .38889 L

s

.75 .38514 m

.75 .38889 L

s

.77778 .38514 m

.77778 .38889 L

s

.80556 .38514 m

.80556 .38889 L

s

.86111 .38514 m

.86111 .38889 L

s

.88889 .38514 m

.88889 .38889 L

s

.91667 .38514 m

.91667 .38889 L

s

.94444 .38514 m

.94444 .38889 L

s

.25 Mabswid

0 .38889 m

1 .38889 L

s

.99375 .02778 m

1 .02778 L

s

.99375 .08333 m

1 .08333 L

s

.99375 .13889 m

1 .13889 L

s

.99375 .19444 m

1 .19444 L

s

.99375 .25 m

1 .25 L

s

.99375 .30556 m

1 .30556 L

s

.99375 .36111 m

1 .36111 L

s

.125 Mabswid

.99625 .03889 m

1 .03889 L

s

.99625 .05 m

1 .05 L

s

.99625 .06111 m

1 .06111 L

s

.99625 .07222 m

1 .07222 L

s

.99625 .09444 m

1 .09444 L

s

.99625 .10556 m

1 .10556 L

s

.99625 .11667 m

1 .11667 L

s

.99625 .12778 m

1 .12778 L

s

.99625 .15 m

1 .15 L

s

.99625 .16111 m

1 .16111 L

s

.99625 .17222 m

1 .17222 L

s

.99625 .18333 m

1 .18333 L

s

.99625 .20556 m

1 .20556 L

s

.99625 .21667 m

1 .21667 L

s

.99625 .22778 m

1 .22778 L

s

.99625 .23889 m

1 .23889 L

s

.99625 .26111 m

1 .26111 L

s

.99625 .27222 m

1 .27222 L

s

.99625 .28333 m

1 .28333 L

s

.99625 .29444 m

1 .29444 L

s

.99625 .31667 m

1 .31667 L

s

.99625 .32778 m

1 .32778 L

s

.99625 .33889 m

1 .33889 L

s

.99625 .35 m

1 .35 L

s

.99625 .01667 m

1 .01667 L

s

.99625 .00556 m

1 .00556 L

s

.99625 .37222 m

1 .37222 L

s

.99625 .38333 m

1 .38333 L

s

.25 Mabswid

1 0 m

1 .38889 L

s

0 0 m

1 0 L

1 .38889 L

0 .38889 L

closepath

clip

newpath

1 0 0 r

4 Mabswid

.17073 .19444 Mdot

0 0 1 r

.23618 .19444 Mdot

.17866 .25699 Mdot

.15649 .19444 Mdot

.17866 .1319 Mdot

.039 .916 .04 r

2 Mabswid

.17284 .15566 Mdot

.17366 .13627 Mdot

.18466 .13108 Mdot

.19348 .14024 Mdot

.16047 .16047 Mdot

.15104 .13666 Mdot

.16391 .12289 Mdot

.18705 .11906 Mdot

.20835 .12529 Mdot

.21515 .14192 Mdot

.13791 .16209 Mdot

.1365 .14792 Mdot

.15728 .13968 Mdot

.18839 .13733 Mdot

.21789 .14094 Mdot

.23328 .15072 Mdot

.22105 .167 Mdot

.15841 .18842 Mdot

.12666 .18168 Mdot

.12923 .17698 Mdot

.15393 .17424 Mdot

.189 .17344 Mdot

.22256 .17462 Mdot

.2422 .17785 Mdot

.2345 .18323 Mdot

.15841 .20047 Mdot

.12666 .2072 Mdot

.12923 .21191 Mdot

.15393 .21465 Mdot

.189 .21545 Mdot

.22256 .21427 Mdot

.2422 .21104 Mdot

.2345 .20566 Mdot

.13791 .2268 Mdot

.1365 .24097 Mdot

.15728 .2492 Mdot

.18839 .25156 Mdot

.21789 .24795 Mdot

.23328 .23817 Mdot

.22105 .22189 Mdot

.16047 .22842 Mdot

.15104 .25223 Mdot

.16391 .266 Mdot

.18705 .26983 Mdot

.20835 .2636 Mdot

.21515 .24697 Mdot

.17284 .23323 Mdot

.17366 .25262 Mdot

.18466 .25781 Mdot

.19348 .24865 Mdot

1 0 0 r

4 Mabswid

.77778 .19444 Mdot

0 0 1 r

.85836 .19444 Mdot

.77778 .27502 Mdot

.6972 .19444 Mdot

.77778 .11386 Mdot

.039 .916 .04 r

2 Mabswid

.75002 .12968 Mdot

.76652 .11562 Mdot

.78904 .11562 Mdot

.80554 .12968 Mdot

.72147 .13814 Mdot

.73204 .11821 Mdot

.76056 .10833 Mdot

.795 .10833 Mdot

.82352 .11821 Mdot

.83408 .13814 Mdot

.71301 .16669 Mdot

.70155 .14871 Mdot

.72021 .13688 Mdot

.75663 .13101 Mdot

.79892 .13101 Mdot

.83534 .13688 Mdot

.85401 .14871 Mdot

.84255 .16669 Mdot

.69895 .18318 Mdot

.69166 .17722 Mdot

.71435 .1733 Mdot

.75469 .17135 Mdot

.80087 .17135 Mdot

.84121 .1733 Mdot

.86389 .17722 Mdot

.85661 .18318 Mdot

.69895 .20571 Mdot

.69166 .21167 Mdot

.71435 .21559 Mdot

.75469 .21753 Mdot

.80087 .21753 Mdot

.84121 .21559 Mdot

.86389 .21167 Mdot

.85661 .20571 Mdot

.71301 .2222 Mdot

.70155 .24018 Mdot

.72021 .25201 Mdot

.75663 .25788 Mdot

.79892 .25788 Mdot

.83534 .25201 Mdot

.85401 .24018 Mdot

.84255 .2222 Mdot

.72147 .25075 Mdot

.73204 .27067 Mdot

.76056 .28056 Mdot

.795 .28056 Mdot

.82352 .27067 Mdot

.83408 .25075 Mdot

.75002 .25921 Mdot

.76652 .27327 Mdot

.78904 .27327 Mdot

.80554 .25921 Mdot

0 0 0 r

.0002 w

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 CellMargins->{{15, Inherited}, {Inherited, Inherited}},
 ImageSize->{385.938, 179.5},
 ImageMargins->{{0, 0}, {0, 1}},
 ImageRegion->{{0.00452981, 0.977713}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztG8tu00DQiZ2kSWlTVQi19BLEo22Spm0ojdQCReVRHkLiF6KAlB4QqPQH
4EdQxePIAa4c4AbiT/iJkB3Hs7Eza+/aG8dBlhpnPDvvnZldb9yn7dPui5ft
0+NOu3J00n7dPe68qTx4ddJHmRnDyLw1DONbxWBwrw8OLr3+X+8duzBMcuG7
7CvLTK4xyGJQFoZMw3YEqA0gqaoQ15G4TpII2NYZaKJkwC3Yth7Cl+Xicawa
RVs0ek2HEAF1jXBKIGGdRlNhmbMHDzAwJkF0FUcHw87gDEF8Td78AoGj6KoE
Lk/gVpX9vh9Bm8BRKiEp9ngdPcQpbIgKxvRJnQ1fppqkcEFmB5lNBk5QTW5S
gTe+9Rg8S6oGZLmTI0zlIT8tjCVw5BDHpdSJ0SoBWW5ej96eu/VFafGL7As8
6bLLzBBWothlcVQNRJGX4tI464mVnepZnvtp4JOMS+NM42A1MXkWkx2cWtw3
I+CiyAuqSM8QXJ+PgQcqH9AdmRAGySyiTMrBIG5b8cgeg0r6IFE8IagHAgtH
4b7NLtaQ69HcmBVpnFw4PA5pnvVpztjU9snYDqxW2HweS6cw3IcDBRygm0SJ
kJkLYUDaLpKWtnM2Y/FvaRahhyFs43Jyjik9K5LEBeTGZLU/IHuAY6Ps81gm
NHdQ4k/CawktJSS+KRPgA0JfGaMzj7jbatFpISPcU8ceUtzzbjkrMiG8heYX
kfsHQosI8TMsn/jsO0Q2z292azGIJ5NnAu4F1LEp6gIeVX9QAVd1JJYt2/6a
KCyPUNZW6tx+R2gVoT2xZt6xqZM3PtrE2PGiG+z8+lABcV8J9S2b11Du9jtE
FeVRKdAsRQ/qI3eaLgekgHAru4FyfiF0A6HrIQwFVQ0UcQmhT4SCbZmKeOb2
lSLxKe09N/eaGvfuUMoqyYEwbBKpD6RVGb8bbp4dNcufIPcXhPhst6IL402i
TOCCFEB8qFopEarOEao4blcmmFUkL/gq/UxMWY3AbakFkKvnLeY9QvvRxV5B
yLM6nLmnBKCmzOTUCNkfCWFb3vD7dxxe/HBP/TCjvp/ltcEdHxRsn+eCY1Dv
A0IrOHoRcT5hUbAFmqZl8I2Ss30Cbedx9AyhZRvqjy4hbjucLcCgx4KGAznz
qjofEFNzQrMgn2a60lVD5cRY4nH3p3i6btyriv51cZyruOKGQsMWJvT2Sesm
TnEDGW0H6//IpX+/HfrBYMIPNJN7QtP/QOq/hMTzmK313GBMZxuhj1mEcjxN
6bKaHF1nUfyMkafxOM/Q4Kr1KDCe08sw56r/6dlzYn7+KAqH1OT4N3q4H/kF
Jfm/fGie9WnO2NT2ydiemFcqdFWrx6G0PyQjT6fp7aj0fcUpwaVxjvC+Yhr4
5OPSOId74xwW4OF/uQCSBP3vn5H5BzUTTmk=\
\>"],ImageRangeCache->{{{1.6875, 376.312}, {178.5, 0}} -> {-8.41325, \
-4.82589, 0.0502763, 0.0502763}}],

Cell[GraphicsData["PostScript", "\<\

%!

%%Creator: Mathematica

%%AspectRatio: .38889 

MathPictureStart

/Mabs {

Mgmatrix idtransform

Mtmatrix dtransform

} bind def

/Mabsadd { Mabs

3 -1 roll add

3 1 roll add

exch } bind def

%% Graphics

%%IncludeResource: font Times

%%IncludeFont: Times

/Times findfont 10  scalefont  setfont

% Scaling calculations

0.5 0.0555556 0.194444 0.0555556 [

[.08333 -0.0125 -12 -9 ]

[.08333 -0.0125 12 0 ]

[.22222 -0.0125 -6 -9 ]

[.22222 -0.0125 6 0 ]

[.36111 -0.0125 -12 -9 ]

[.36111 -0.0125 12 0 ]

[.5 -0.0125 -3 -9 ]

[.5 -0.0125 3 0 ]

[.63889 -0.0125 -9 -9 ]

[.63889 -0.0125 9 0 ]

[.77778 -0.0125 -3 -9 ]

[.77778 -0.0125 3 0 ]

[.91667 -0.0125 -9 -9 ]

[.91667 -0.0125 9 0 ]

[ 0 0 -0.125 0 ]

[-0.0125 .02778 -12 -4.5 ]

[-0.0125 .02778 0 4.5 ]

[-0.0125 .08333 -12 -4.5 ]

[-0.0125 .08333 0 4.5 ]

[-0.0125 .13889 -12 -4.5 ]

[-0.0125 .13889 0 4.5 ]

[-0.0125 .19444 -6 -4.5 ]

[-0.0125 .19444 0 4.5 ]

[-0.0125 .25 -6 -4.5 ]

[-0.0125 .25 0 4.5 ]

[-0.0125 .30556 -6 -4.5 ]

[-0.0125 .30556 0 4.5 ]

[-0.0125 .36111 -6 -4.5 ]

[-0.0125 .36111 0 4.5 ]

[ 0 0 -0.125 0 ]

[ 0 .38889 .125 0 ]

[ 1 0 .125 0 ]

[ 0 0 0 0 ]

[ 1 .38889 0 0 ]

] MathScale

% Start of Graphics

1 setlinecap

1 setlinejoin

newpath

0 g

.25 Mabswid

[ ] 0 setdash

.08333 0 m

.08333 .00625 L

s

[(-7.5)] .08333 -0.0125 0 1 Mshowa

.22222 0 m

.22222 .00625 L

s

[(-5)] .22222 -0.0125 0 1 Mshowa

.36111 0 m

.36111 .00625 L

s

[(-2.5)] .36111 -0.0125 0 1 Mshowa

.5 0 m

.5 .00625 L

s

[(0)] .5 -0.0125 0 1 Mshowa

.63889 0 m

.63889 .00625 L

s

[(2.5)] .63889 -0.0125 0 1 Mshowa

.77778 0 m

.77778 .00625 L

s

[(5)] .77778 -0.0125 0 1 Mshowa

.91667 0 m

.91667 .00625 L

s

[(7.5)] .91667 -0.0125 0 1 Mshowa

.125 Mabswid

.11111 0 m

.11111 .00375 L

s

.13889 0 m

.13889 .00375 L

s

.16667 0 m

.16667 .00375 L

s

.19444 0 m

.19444 .00375 L

s

.25 0 m

.25 .00375 L

s

.27778 0 m

.27778 .00375 L

s

.30556 0 m

.30556 .00375 L

s

.33333 0 m

.33333 .00375 L

s

.38889 0 m

.38889 .00375 L

s

.41667 0 m

.41667 .00375 L

s

.44444 0 m

.44444 .00375 L

s

.47222 0 m

.47222 .00375 L

s

.52778 0 m

.52778 .00375 L

s

.55556 0 m

.55556 .00375 L

s

.58333 0 m

.58333 .00375 L

s

.61111 0 m

.61111 .00375 L

s

.66667 0 m

.66667 .00375 L

s

.69444 0 m

.69444 .00375 L

s

.72222 0 m

.72222 .00375 L

s

.75 0 m

.75 .00375 L

s

.80556 0 m

.80556 .00375 L

s

.83333 0 m

.83333 .00375 L

s

.86111 0 m

.86111 .00375 L

s

.88889 0 m

.88889 .00375 L

s

.05556 0 m

.05556 .00375 L

s

.02778 0 m

.02778 .00375 L

s

.94444 0 m

.94444 .00375 L

s

.97222 0 m

.97222 .00375 L

s

.25 Mabswid

0 0 m

1 0 L

s

0 .02778 m

.00625 .02778 L

s

[(-3)] -0.0125 .02778 1 0 Mshowa

0 .08333 m

.00625 .08333 L

s

[(-2)] -0.0125 .08333 1 0 Mshowa

0 .13889 m

.00625 .13889 L

s

[(-1)] -0.0125 .13889 1 0 Mshowa

0 .19444 m

.00625 .19444 L

s

[(0)] -0.0125 .19444 1 0 Mshowa

0 .25 m

.00625 .25 L

s

[(1)] -0.0125 .25 1 0 Mshowa

0 .30556 m

.00625 .30556 L

s

[(2)] -0.0125 .30556 1 0 Mshowa

0 .36111 m

.00625 .36111 L

s

[(3)] -0.0125 .36111 1 0 Mshowa

.125 Mabswid

0 .03889 m

.00375 .03889 L

s

0 .05 m

.00375 .05 L

s

0 .06111 m

.00375 .06111 L

s

0 .07222 m

.00375 .07222 L

s

0 .09444 m

.00375 .09444 L

s

0 .10556 m

.00375 .10556 L

s

0 .11667 m

.00375 .11667 L

s

0 .12778 m

.00375 .12778 L

s

0 .15 m

.00375 .15 L

s

0 .16111 m

.00375 .16111 L

s

0 .17222 m

.00375 .17222 L

s

0 .18333 m

.00375 .18333 L

s

0 .20556 m

.00375 .20556 L

s

0 .21667 m


.00375 .21667 L

s

0 .22778 m

.00375 .22778 L

s

0 .23889 m

.00375 .23889 L

s

0 .26111 m

.00375 .26111 L

s

0 .27222 m

.00375 .27222 L

s

0 .28333 m

.00375 .28333 L

s

0 .29444 m

.00375 .29444 L

s

0 .31667 m

.00375 .31667 L

s

0 .32778 m

.00375 .32778 L

s

0 .33889 m

.00375 .33889 L

s

0 .35 m

.00375 .35 L

s

0 .01667 m

.00375 .01667 L

s

0 .00556 m

.00375 .00556 L

s

0 .37222 m

.00375 .37222 L

s

0 .38333 m

.00375 .38333 L

s

.25 Mabswid

0 0 m

0 .38889 L

s

.08333 .38264 m

.08333 .38889 L

s

.22222 .38264 m

.22222 .38889 L

s

.36111 .38264 m

.36111 .38889 L

s

.5 .38264 m

.5 .38889 L

s

.63889 .38264 m

.63889 .38889 L

s

.77778 .38264 m

.77778 .38889 L

s

.91667 .38264 m

.91667 .38889 L

s

.125 Mabswid

.11111 .38514 m

.11111 .38889 L

s

.13889 .38514 m

.13889 .38889 L

s

.16667 .38514 m

.16667 .38889 L

s

.19444 .38514 m

.19444 .38889 L

s

.25 .38514 m

.25 .38889 L

s

.27778 .38514 m

.27778 .38889 L

s

.30556 .38514 m

.30556 .38889 L

s

.33333 .38514 m

.33333 .38889 L

s

.38889 .38514 m

.38889 .38889 L

s

.41667 .38514 m

.41667 .38889 L

s

.44444 .38514 m

.44444 .38889 L

s

.47222 .38514 m

.47222 .38889 L

s

.52778 .38514 m

.52778 .38889 L

s

.55556 .38514 m

.55556 .38889 L

s

.58333 .38514 m

.58333 .38889 L

s

.61111 .38514 m

.61111 .38889 L

s

.66667 .38514 m

.66667 .38889 L

s

.69444 .38514 m

.69444 .38889 L

s

.72222 .38514 m

.72222 .38889 L

s

.75 .38514 m

.75 .38889 L

s

.80556 .38514 m

.80556 .38889 L

s

.83333 .38514 m

.83333 .38889 L

s

.86111 .38514 m

.86111 .38889 L

s

.88889 .38514 m

.88889 .38889 L

s

.05556 .38514 m

.05556 .38889 L

s

.02778 .38514 m

.02778 .38889 L

s

.94444 .38514 m

.94444 .38889 L

s

.97222 .38514 m

.97222 .38889 L

s

.25 Mabswid

0 .38889 m

1 .38889 L

s

.99375 .02778 m

1 .02778 L

s

.99375 .08333 m

1 .08333 L

s

.99375 .13889 m

1 .13889 L

s

.99375 .19444 m

1 .19444 L

s

.99375 .25 m

1 .25 L

s

.99375 .30556 m

1 .30556 L

s

.99375 .36111 m

1 .36111 L

s

.125 Mabswid

.99625 .03889 m

1 .03889 L

s

.99625 .05 m

1 .05 L

s

.99625 .06111 m

1 .06111 L

s

.99625 .07222 m

1 .07222 L

s

.99625 .09444 m

1 .09444 L

s

.99625 .10556 m

1 .10556 L

s

.99625 .11667 m

1 .11667 L

s

.99625 .12778 m

1 .12778 L

s

.99625 .15 m

1 .15 L

s

.99625 .16111 m

1 .16111 L

s

.99625 .17222 m

1 .17222 L

s

.99625 .18333 m

1 .18333 L

s

.99625 .20556 m

1 .20556 L

s

.99625 .21667 m

1 .21667 L

s

.99625 .22778 m

1 .22778 L

s

.99625 .23889 m

1 .23889 L

s

.99625 .26111 m

1 .26111 L

s

.99625 .27222 m

1 .27222 L

s

.99625 .28333 m

1 .28333 L

s

.99625 .29444 m

1 .29444 L

s

.99625 .31667 m

1 .31667 L

s

.99625 .32778 m

1 .32778 L

s

.99625 .33889 m

1 .33889 L

s

.99625 .35 m

1 .35 L

s

.99625 .01667 m

1 .01667 L

s

.99625 .00556 m

1 .00556 L

s

.99625 .37222 m

1 .37222 L

s

.99625 .38333 m

1 .38333 L

s

.25 Mabswid

1 0 m

1 .38889 L

s

0 0 m

1 0 L

1 .38889 L

0 .38889 L

closepath

clip

newpath

1 0 0 r

4 Mabswid

.16515 .19444 Mdot

0 0 1 r

.03809 .19444 Mdot

.17689 .0611 Mdot

.35845 .19444 Mdot

.17689 .32779 Mdot

.039 .916 .04 r

2 Mabswid

.2593 .35591 Mdot

.20065 .33301 Mdot

.15445 .32674 Mdot

.10625 .33721 Mdot

.30372 .30258 Mdot

.23251 .27453 Mdot

.188 .2583 Mdot

.15601 .25372 Mdot

.12236 .26091 Mdot

.07231 .28018 Mdot

.2764 .24528 Mdot

.21465 .22859 Mdot

.17944 .2189 Mdot

.15679 .21611 Mdot

.1327 .22029 Mdot

.09261 .23165 Mdot

.02097 .25052 Mdot

.36076 .21701 Mdot

.26279 .20907 Mdot

.20573 .20353 Mdot

.17513 .2003 Mdot

.15711 .19936 Mdot

.13775 .20074 Mdot

.10261 .20449 Mdot

.0362 .21074 Mdot

.36076 .17188 Mdot

.26279 .17982 Mdot

.20573 .18536 Mdot

.17513 .18858 Mdot

.15711 .18952 Mdot

.13775 .18815 Mdot

.10261 .1844 Mdot

.0362 .17815 Mdot

.2764 .14361 Mdot

.21465 .1603 Mdot

.17944 .16999 Mdot

.15679 .17278 Mdot

.1327 .1686 Mdot

.09261 .15724 Mdot

.02097 .13837 Mdot

.30372 .08631 Mdot

.23251 .11436 Mdot

.188 .13059 Mdot

.15601 .13517 Mdot

.12236 .12798 Mdot

.07231 .10871 Mdot

.2593 .03298 Mdot

.20065 .05588 Mdot

.15445 .06215 Mdot

.10625 .05168 Mdot

1 0 0 r

4 Mabswid

.86111 .19444 Mdot

0 0 1 r

.74877 .19444 Mdot

.86111 .0821 Mdot

.97345 .19444 Mdot

.86111 .30679 Mdot

.039 .916 .04 r

2 Mabswid

.91718 .32526 Mdot

.87745 .30883 Mdot

.84477 .30883 Mdot

.80505 .32526 Mdot

.94282 .27615 Mdot

.89615 .25285 Mdot

.87048 .24128 Mdot

.85174 .24128 Mdot

.82607 .25285 Mdot

.7794 .27615 Mdot

.99193 .25051 Mdot

.91951 .22949 Mdot

.88231 .21564 Mdot

.86589 .20877 Mdot

.85634 .20877 Mdot

.83992 .21564 Mdot

.80271 .22949 Mdot

.73029 .25051 Mdot

.9755 .21079 Mdot

.90795 .20381 Mdot

.87543 .19922 Mdot

.86361 .19694 Mdot

.85862 .19694 Mdot

.84679 .19922 Mdot

.81428 .20381 Mdot

.74672 .21079 Mdot

.9755 .1781 Mdot

.90795 .18508 Mdot

.87543 .18967 Mdot

.86361 .19195 Mdot

.85862 .19195 Mdot

.84679 .18967 Mdot

.81428 .18508 Mdot

.74672 .1781 Mdot

.99193 .13838 Mdot

.91951 .1594 Mdot

.88231 .17325 Mdot

.86589 .18012 Mdot

.85634 .18012 Mdot

.83992 .17325 Mdot

.80271 .1594 Mdot

.73029 .13838 Mdot

.94282 .11274 Mdot

.89615 .13604 Mdot

.87048 .14761 Mdot

.85174 .14761 Mdot

.82607 .13604 Mdot

.7794 .11274 Mdot

.91718 .06362 Mdot

.87745 .08005 Mdot

.84477 .08005 Mdot

.80505 .06362 Mdot

0 0 0 r

.0002 w

% End of Graphics

MathPictureEnd


\
\>"], "Graphics",
 CellMargins->{{14, Inherited}, {Inherited, Inherited}},
 ImageSize->{389.938, 181.438},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0.00452981, 0.977713}, {0, 1}},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"},ImageCache->GraphicsData["CompressedBitmap", "\<\
eJztWs1rE0EU33Y3adJWBKkW/ChJ29R+14oKfkEVUUGUehUEQym2oii1/4IF
8U8Rj/4Hgl48efOmBw+e9ODVNTvZ/F5m82Z3ZneSbltLmX15M+975u3Mm71b
395Yf1bf3lyrV25t1V9sbK69rNx8vtVAuX2O0/fKcZz3FSeA/QYYNn7j398J
mgCTX3hePFynqbTocfpZnBMOFtBcAHkBpBw8ZzJ4AYONFJpQG+GFbTuu8Tdr
hFYwmbHBZC4OrWXLeBOYDh6uyr1FBlcDhRvbG3a3OkvM4NP6VgwwOC5ys5pW
VJrCFjSHcyrpilJYyWnPkVuwclG1LFy4W0Dx4xQzlHMhEc1rMg8Xo2Jee5oh
MSBPs5aTA2OgQLvFHgZ5UMJDbES2Ksi9kZRakCkiXIhzuOptvQCOBA9h4dOg
KbVhNdbvfxyfFvOk30HD6caj2DbVxQo8yQxa0sSdyUDL4Y4HrUDFrEjRbiSY
1isa4UKBfhzVvYx+Lg5J3JtMOhIy97JMYlWAZtzGh0vxSRwjprlwwnrQeG1O
GNKU+KDJsfxzUPwetuIYfabZYpU0E/bGLJ6UvXVNx4oJ0FRk6qqZlldaWvgD
mfhcbs2/5u8ZHbvPQyI2I/434KYAndBxyDkML8Kk7wyzU3mKPD9rSy1vpEo6
pvlrCa7x4DgPOG7P3JHdIgc35UomUS4C7uqIGmS6SPwTsPgItgvwoWE+JGaf
4I5le97Wz+0HMhXq634McRK/V800Iuq/gC4CGjFjtgrCDymYCbvvy9aM5Cl6
M7JuV3XsmQXNUZl6MmpZGQhuzazI1FNq2coUEcHRS+cXoFFANbUAyjdc3YsT
RVmUEt9nQFVGPOHUtbWEZEhCaWY/BNTueV2PPZJjwIVJK4Pp89HVTLTLYFsA
xFWO+FxzlqGmCpTl1Tcme+B2WmpaXV8ATQPizpUdxt+JZdG14+C87IFLaakP
A6IM8UPH7gsYXmRYvAV0SPZKki8oq/xhWKiLryyzMgjpzfIOEG1l+wHVAHHV
iF0SJfw9juF0yvkKiM4uYzpepvQ4BGgYUDlWQEWtbXzaWgSLAgP9lt1B+SPz
dnGwpZVPL+Bwo+2L7OU4NzDkDSByuIiZJ0evinHldEoKgnKTc6M3rBg3+q8D
9xpQDRpMAkd155KxS0gupSql8GqsIyoYFzONU0WLAkCzJBI3UmMlNoLh2cgP
D1h2Irgra8p+LtgnSdLqe6Sbb7hs716r2wD946SFXY6tXZfVraDhgTrbJtdw
gx1/oLN/CLDAsUsHp16f/2yddOP3QxaO5IYlAgtFiZwWsbJVjrrJzLC8Juwe
lWnu6Xiga5HIQfm0Z3V8w5q1cuMoUFrVdKMKTeqyv27NPiLF8B6jeyX8nJbj
bV2V2b/EM7xFjHTZustMfbea+jZ3P2fB+N3ELn9+oMwwLpzQ8WVFtns6o5zW
m89U9kbW0p+7e+7Dqjx9zpYn3P9PHfOFS/Opo8hK7d/6iiE7+YSdvn9ZwQJ3
\
\>"],ImageRangeCache->{{{1.75, 380.188}, {180.438, 0}} -> {-9.90919, \
-4.82503, 0.0497531, 0.0497531}}]
}, Open  ]],

Cell["\<\
Spot diagrams from the two screens.  The top screen is closer to the focal \
plane of the system because the overall distribution of ray intercepts is \
tighter.  The off-axis position of the source imaged at left skews its \
cruciform principal ray pattern.\
\>", "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["Visual feedback is well worthwhile, but sometimes you need exact  \
numerical information.  That is the purpose of ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["ReadRays", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".  For the system above, we can extract the intercepts of the  \
four outer principal rays associated with one source.",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ReadRays", "[", 
  RowBox[{"twopointsystem", ",", "SurfaceCoordinates", ",", 
   RowBox[{"ComponentNumber", "\[Rule]", "4"}], ",", 
   RowBox[{"SourceID", "\[Rule]", "5"}]}], "]"}]], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"},
 CellLabel->"In[38]:="],

Cell[BoxData[
 RowBox[{"{", "}"}]], "Output",
 CellChangeTimes->{3.563366072945505*^9, 3.566086470619199*^9, 
  3.566127736272842*^9, 3.5661279078650293`*^9, 3.566161192044961*^9, 
  3.601213001078961*^9, 3.6012865178259983`*^9, 3.6147082582557096`*^9, 
  3.614726986486567*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"},
 CellLabel->"Out[38]="]
}, Open  ]],

Cell[TextData[{
 "The return value from this query to ",
 StyleBox["ReadRays", "MB"],
 " is a list of two-dimensional coordinates.  (Each of these coordinate  \
pairs is also a ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " list;  lists can be nested.  This return value includes only rays that  \
match the given query criteria.  The query specifies ",
 StyleBox["ComponentNumber", "MB"],
 " to identify the ",
 StyleBox["Screen", "MB"],
 " component that you want, and ",
 StyleBox["SourceID", "MB"],
 " to further isolate the rays of interest on that screen.  Only rays  \
emanating from ",
 StyleBox["SourceID", "MB"],
 " 5 that intercepted ",
 StyleBox["ComponentNumber", "MB"],
 " 4 were returned.  This example demonstrates how to confine your query  \
using ray properties.  You may employ any property of ",
 StyleBox["Ray", "MB"],
 " as a query criterion for ",
 StyleBox["ReadRays", "MB"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Finding the Focus", "Subsubsection",
 CellTags->{
  "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
   "PR1.3.5", "PR1.3.5.3", "PR1.3"}],

Cell[TextData[{
 "Often you need to find the focal plane of a system.   features two \
functions for this purpose, ",
 StyleBox["FindFocus", "MB"],
 " and ",
 StyleBox["FindFocusFast", "MB"],
 ".  These functions work with ray-intercept data to estimate the focus  \
automatically.  The faster version uses the same internal algorithm but omits \
 the plotting of the focal plane spot diagram.  The rough idea is to find the \
 plane of intersection exhibiting the smallest spot diagram in a geometric  \
sense, although different measures for spot size can be specified."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["FindFocus[", "Input"],
 StyleBox["objectset",
  FontSlant->"Italic"],
 ", ",
 StyleBox["options",
  FontSlant->"Italic"],
 StyleBox["]", "Input"],
 " and ",
 StyleBox["FindFocusFast[", "Input"],
 StyleBox["objectset",
  FontSlant->"Italic"],
 ", ",
 StyleBox["options",
  FontSlant->"Italic"],
 StyleBox["]", "Input"],
 "  determines the minimum spot size for a locus of rays at the last reported \
surface in the system. The focus search is started at the last reported \
surface."
}], "Text",
 PageWidth->WindowWidth,
 CellFrame->True,
 CellMargins->{{20, 20}, {Inherited, Inherited}},
 Evaluatable->False,
 PageBreakWithin->False,
 CellFrameMargins->15,
 AspectRatioFixed->True,
 CellTags->{
  "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],

Cell["Here we use FindFocus for a simple lens system.", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell["\<\
simpleLensSystem = 
\t{LineOfRays[30, NumberOfRays -> 8],
\tMove[PlanoConvexLens[100,50,10],50],
\tMove[Screen[50],100]};\
\>", "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"In[39]:="],

Cell[CellGroupData[{

Cell["FindFocus[simpleLensSystem]", "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"In[40]:="],

Cell[BoxData[
 GraphicsBox[
  {RGBColor[0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`],
    AbsolutePointSize[2.5], PointBox[{0.09238480490053291, 0.}], 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{-0.06930644307460909, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{-0.09284079331624762, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{-0.039223770161952665`, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{0.039223770161952665`, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{0.09284079331624628, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{0.06930644307460909, 0.}]}, 
   {RGBColor[
    0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
    PointBox[{-0.09238480490053291, 0.}]}, 
   {RGBColor[0, 0, 0], Thickness[0.0002], 
    LineBox[{{0.13926118997437043`, 0.}, {0.12722142752698942`, 
     0.056642628920916704`}, {0.09318392448980663, 0.10349123271927775`}, {
     0.043034074358958514`, 0.1324452621921423}, {-0.014556758180845689`, 
     0.13849830260455206`}, {-0.06963059498718521, 
     0.12060372827905556`}, {-0.11266466934614372`, 
     0.08185567368363535}, {-0.13621799884876515`, 
     0.02895402947286455}, {-0.13621799884876515`, -0.02895402947286455}, \
{-0.11266466934614372`, -0.08185567368363535}, {-0.06963059498718521, \
-0.12060372827905556`}, {-0.014556758180845689`, -0.13849830260455206`}, {
     0.043034074358958514`, -0.1324452621921423}, {
     0.09318392448980663, -0.10349123271927775`}, {
     0.12722142752698942`, -0.056642628920916704`}, {0.13926118997437043`, 
     0.}}], 
    {GrayLevel[0.5], CircleBox[{0, 0}, 0.03832121823925828]}}},
  AspectRatio->Automatic,
  Frame->True,
  PlotRange->All]], "Print",
 CellChangeTimes->{3.563366073240382*^9, 3.566086470927643*^9, 
  3.5661277381738663`*^9, 3.566127908951483*^9, 3.5661611926162863`*^9, 
  3.601213001558248*^9, 3.6012865181457653`*^9, 3.614708259262269*^9, 
  3.614726986790077*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"During evaluation of In[40]:="],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Screen", "\[Rule]", 
    TagBox[
     StyleBox[
      TagBox[
       RowBox[{"Move", "[", 
        RowBox[{
         RowBox[{"Screen", "[", "0.27852237994874085`", "]"}], ",", 
         "151.47403235064408`"}], "]"}],
       HoldForm],
      FontColor->RGBColor[0., 0.392193, 0.]],
     DisplayForm]}], ",", 
   RowBox[{"TurboSystem", "\[Rule]", "\<\"-traced system-\"\>"}], ",", 
   RowBox[{"FocalPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"151.47403235064408`", ",", "0.`", ",", "0.`"}], "}"}]}], ",", 
   RowBox[{"FocusType", "\[Rule]", "RMSFocus"}], ",", 
   RowBox[{"WeightedSpotSize", "\[Rule]", "0.0766424364785629`"}], ",", 
   RowBox[{"SpotSize", "\[Rule]", "0.07664243647851655`"}], ",", 
   RowBox[{"BackFocalLength", "\[Rule]", "91.47403235064408`"}], ",", 
   RowBox[{"FocalPlaneTilt", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.9999999999999999`", ",", "0", ",", "0"}], "}"}]}], ",", 
   RowBox[{
   "TurboRays", "\[Rule]", "\<\"-ray intercepts of 1 surfaces-\"\>"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.563366073249814*^9, 3.56608647096165*^9, 
  3.566127738185543*^9, 3.5661279089678783`*^9, 3.566161192627194*^9, 
  3.601213001569462*^9, 3.6012865181571217`*^9, 3.614708259268044*^9, 
  3.61472698679956*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"Out[40]="]
}, Open  ]],

Cell[TextData[{
 "In fact, there can be several different measures for the spot size of a \
lens focus. The type of measure is dictated by the ",
 StyleBox["FocusType", "Input"],
 " option."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["FocusType", "Input"],
 " is an option of  ",
 StyleBox["FindFocus", "Input"],
 " and ",
 StyleBox["FindFocusFast", "Input"],
 " that specifies what is considered to be the focus."
}], "Text",
 PageWidth->WindowWidth,
 CellFrame->True,
 CellMargins->{{20, 20}, {Inherited, Inherited}},
 Evaluatable->False,
 PageBreakWithin->False,
 CellFrameMargins->15,
 AspectRatioFixed->True,
 CellTags->{
  "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],

Cell[TextData[{
 "The default ",
 StyleBox["FocusType", "Input"],
 " setting for ",
 StyleBox["FindFocus", "Input"],
 " is ",
 StyleBox["FocusType -> FocusDiameter", "Input"],
 ". Here is a list of the different settings for ",
 StyleBox["FocusType", "Input"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["FocusDiameter", "Input"],
 " is a setting of ",
 StyleBox["FocusType", "Input"],
 " that specifies that the focus diameter is to be minimized. It is slower \
and more accurate than ",
 StyleBox["FocusRadius", "Input"],
 ".\n",
 StyleBox["FocusRadius", "Input"],
 " is setting of ",
 StyleBox["FocusType", "Input"],
 " that specifies that the focus radius is to be minimized. It is faster and \
less accurate than ",
 StyleBox["FocusDiameter", "Input"],
 ".\n",
 StyleBox["RMSFocus", "Input"],
 " is a setting of ",
 StyleBox["FocusType", "Input"],
 " that specifies that the second momentum is to be minimized."
}], "Text",
 PageWidth->WindowWidth,
 CellFrame->True,
 CellMargins->{{20, 20}, {Inherited, Inherited}},
 Evaluatable->False,
 PageBreakWithin->False,
 CellFrameMargins->15,
 AspectRatioFixed->True,
 CellTags->{
  "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],

Cell[TextData[{
 "The default ",
 StyleBox["FocusType", "Input"],
 " setting for ",
 StyleBox["FindFocusFast", "Input"],
 " is ",
 StyleBox["RMSFocus", "Input"],
 ". Here is the same optical system measured with ",
 StyleBox["FindFocusFast", "Input"],
 "."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell["FindFocusFast[simpleLensSystem]", "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"In[41]:="],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"FocalPoint", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"151.47403235064408`", ",", "0.`", ",", "0.`"}], "}"}]}], ",", 
   RowBox[{"FocusType", "\[Rule]", "RMSFocus"}], ",", 
   RowBox[{"WeightedSpotSize", "\[Rule]", "0.0766424364785629`"}], ",", 
   RowBox[{"SpotSize", "\[Rule]", "0.07664243647851655`"}], ",", 
   RowBox[{"BackFocalLength", "\[Rule]", "91.47403235064408`"}], ",", 
   RowBox[{"FocalPlaneTilt", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0.9999999999999999`", ",", "0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"TurboRays", "\[Rule]", "TurboRays"}]}], "}"}]], "Output",
 CellChangeTimes->{3.563366073378249*^9, 3.566086471091282*^9, 
  3.5661277419828453`*^9, 3.56612790936561*^9, 3.566161192846189*^9, 
  3.601213001756773*^9, 3.601286518306287*^9, 3.6147082602350616`*^9, 
  3.614726986943095*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"},
 CellLabel->"Out[41]="]
}, Open  ]],

Cell[TextData[{
 "Note that in this case, the calculated ",
 StyleBox["FocalPoint", "Input"],
 " and ",
 StyleBox["SpotSize", "Input"],
 " parameters are slightly different from ",
 StyleBox["FindFocus", "Input"],
 ". This was because of the ",
 StyleBox["FocusType -> RMSFocus", "Input"],
 " setting. If you use ",
 StyleBox["FocusType -> RMSFocus", "Input"],
 " instead then you will get the same result with both functions."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["1.3.6 The Ray Tracing Process", "Subsection",
 CellTags->{
  "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", "1.3",
    "PR1.3.6", "PR1.3.6.1", "PR1.3"}],

Cell[TextData[{
 StyleBox["Ray tracing proceeds through three steps.  First,  generates ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Ray", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects from the ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Source", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects in your system.  Next,  propagates them through the ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Component", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" objects.  Finally,  generates the graphical output.  Once the \
system is traced, you  can perform further operations to investigate the \
results.  This is the basic  outline of ray tracing in .",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],

Cell[CellGroupData[{

Cell["AnalyzeSystem Function", "Subsubsection",
 CellTags->{
  "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", "1.3", 
   "PR1.3.6", "PR1.3.6.1", "PR1.3"}],

Cell[TextData[{
 StyleBox["Ray tracing takes the form of a ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" function call.  You commence the tracing of your system by  \
calling ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["AnalyzeSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".  This function invokes the ray tracing engine and yields  \
graphical output.  Once your system is traced, you can obtain detailed  \
numerical information via ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["ReadRays", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[".",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],

Cell[TextData[{
 StyleBox["Like any other ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" function call, ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["AnalyzeSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" returns a value.  This return value is an ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["OpticalSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" object.  The ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["OpticalSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" object contains all information about your ray trace.  It  \
represents 's internal format for the system, including the rays.  The ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["OpticalSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" is not shown on the screen.  Instead, ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["AnalyzeSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" produces graphics and echoes your system input to the screen.   \
This information is more intelligible than a view of the raw ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["OpticalSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" object.  However, you should always assign the ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["OpticalSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" to a ",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox["Mathematica",
  FontSlant->"Italic",
  FontVariations->{"CompatibilityType"->0}],
 StyleBox[" variable.  Then you can investigate the results of the trace by  \
means of further  function calls taking the system variable as an input  \
parameter.",
  FontVariations->{"CompatibilityType"->0}]
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"myComponent", " ", "=", " ", 
   RowBox[{"PlanoConvexLens", "[", 
    RowBox[{"50", ",", "25", ",", "5"}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"mySource", " ", "=", " ", 
   RowBox[{"Move", "[", 
    RowBox[{
     RowBox[{"ConeOfRays", "[", 
      RowBox[{"20", ",", 
       RowBox[{"NumberOfRays", "\[Rule]", "40"}]}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "31.33"}], ",", "0", ",", "0"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"myWall", " ", "=", " ", 
   RowBox[{"Boundary", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "50"}], ",", 
       RowBox[{"-", "50"}], ",", 
       RowBox[{"-", "50"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"50", ",", "50", ",", "50"}], "}"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"mySystemList", " ", "=", " ", 
   RowBox[{"{", 
    RowBox[{"mySource", ",", "myComponent", ",", "myWall"}], "}"}]}], 
  ";"}], "\n", 
 RowBox[{"myOpticalSystem", " ", "=", " ", 
  RowBox[{"AnalyzeSystem", "[", 
   RowBox[{"mySystemList", ",", " ", 
    RowBox[{"PlotType", " ", "\[Rule]", " ", "SideView"}]}], 
   "]"}]}]}], "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"},
 CellLabel->"In[42]:="],

Cell[BoxData[
 GraphicsBox[{
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], 
    {GrayLevel[0.5], EdgeForm[None], 
     PolygonBox[{{3.210987290477796, 0.}, {5., 3.061616997868383*^-15}, {5., 
      2.551347498223653*^-15}, {1.3752244171423946`, 0.}, {3.210987290477796, 
      0.}}], PolygonBox[{{1.3752244171423946`, 0.}, {5., 
      2.551347498223653*^-15}, {5., 2.0410779985789223`*^-15}, {
      0.33687899794603027`, 0.}, {1.3752244171423946`, 0.}}], 
     PolygonBox[{{0.33687899794603027`, 0.}, {5., 2.0410779985789223`*^-15}, {
      5., 1.530808498934192*^-15}, {0., 0.}, {0.33687899794603027`, 0.}}], 
     PolygonBox[{{0., 0.}, {5., 1.5308084989341915`*^-15}, {5., 
      1.0205389992894611`*^-15}, {0.33687899794603027`, 0.}, {0., 0.}}], 
     PolygonBox[{{0.33687899794603027`, 0.}, {5., 1.0205389992894611`*^-15}, {
      5., 5.102694996447307*^-16}, {1.3752244171423946`, 0.}, {
      0.33687899794603027`, 0.}}], 
     PolygonBox[{{1.3752244171423946`, 0.}, {5., 5.102694996447308*^-16}, {5.,
       2.5493082627129206`*^-31}, {3.210987290477796, 0.}, {
      1.3752244171423946`, 0.}}], 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{3.210987290477796, 0.}, {1.3752244171423946`, 0.}, {
       0.33687899794603027`, 0.}, {0., 0.}, {0.33687899794603027`, 0.}, {
       1.375224417142391, 0.}, {3.210987290477796, 0.}, {5., 0.}, {5., 0.}, {
       5., 0.}, {5., 0.}, {5., 0.}, {5., 0.}, {5., 0.}, {3.210987290477796, 
       0.}}], 
      {GrayLevel[0.5], EdgeForm[None], 
       PolygonBox[{{3.210987290477796, -12.5}, {5., -12.5}, {
        5., -8.333333333333336}, {1.3752244171423946`, -8.333333333333334}, {
        3.210987290477796, -12.5}}], 
       PolygonBox[{{1.3752244171423946`, -8.333333333333334}, {
        5., -8.333333333333336}, {5., -4.166666666666668}, {
        0.33687899794603027`, -4.166666666666668}, {
        1.3752244171423946`, -8.333333333333334}}], 
       PolygonBox[{{0.33687899794603027`, -4.166666666666668}, {
        5., -4.166666666666668}, {5., -3.552713678800501*^-15}, {0., 0.}, {
        0.33687899794603027`, -4.166666666666668}}], 
       PolygonBox[{{0., 0.}, {5., 0.}, {5., 4.166666666666666}, {
        0.33687899794603027`, 4.166666666666664}, {0., 0.}}], 
       PolygonBox[{{0.33687899794603027`, 4.166666666666664}, {5., 
        4.166666666666666}, {5., 8.333333333333332}, {1.3752244171423946`, 
        8.333333333333332}, {0.33687899794603027`, 4.166666666666664}}], 
       PolygonBox[{{1.3752244171423946`, 8.333333333333332}, {5., 
        8.333333333333332}, {5., 12.499999999999998`}, {3.210987290477796, 
        12.499999999999996`}, {1.3752244171423946`, 8.333333333333332}}], 
       {GrayLevel[0], AbsoluteThickness[0.5], 
        LineBox[{{3.210987290477796, -12.5}, {
         1.3752244171423946`, -8.333333333333334}, {
         0.33687899794603027`, -4.166666666666668}, {
         0., -1.7763568394002505`*^-15}, {0.33687899794603027`, 
         4.166666666666664}, {1.375224417142391, 8.333333333333329}, {
         3.210987290477796, 12.499999999999996`}, {5., 12.5}, {5., 
         8.333333333333334}, {5., 4.166666666666668}, {5., 
         1.7763568394002505`*^-15}, {5., -4.166666666666664}, {
         5., -8.333333333333329}, {5., -12.499999999999996`}, {
         3.210987290477796, -12.5}}]}}}}, {{}, {}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{3.210987290477796, 0.}, {5., 0.}, {5., 3.2352380637815092`}, {
       3.210987290477796, 3.2352380637815092`}, {3.210987290477796, 0.}}], 
      LineBox[{{3.210987290477796, 3.2352380637815092`}, {5., 
       3.2352380637815092`}, {5., 6.249999999999999}, {3.210987290477796, 
       6.249999999999999}, {3.210987290477796, 3.2352380637815092`}}], 
      LineBox[{{3.210987290477796, 6.249999999999999}, {5., 
       6.249999999999999}, {5., 8.838834764831843}, {3.210987290477796, 
       8.838834764831843}, {3.210987290477796, 6.249999999999999}}], 
      LineBox[{{3.210987290477796, 8.838834764831843}, {5., 
       8.838834764831843}, {5., 10.825317547305483`}, {3.210987290477796, 
       10.825317547305483`}, {3.210987290477796, 8.838834764831843}}], 
      LineBox[{{3.210987290477796, 10.825317547305483`}, {5., 
       10.825317547305483`}, {5., 12.074072828613353`}, {3.210987290477796, 
       12.074072828613353`}, {3.210987290477796, 10.825317547305483`}}], 
      LineBox[{{3.210987290477796, 12.074072828613353`}, {5., 
       12.074072828613353`}, {5., 12.5}, {3.210987290477796, 12.5}, {
       3.210987290477796, 12.074072828613353`}}], 
      LineBox[{{3.210987290477796, 12.5}, {5., 12.5}, {5., 
       12.074072828613353`}, {3.210987290477796, 12.074072828613353`}, {
       3.210987290477796, 12.5}}], 
      LineBox[{{3.210987290477796, 12.074072828613353`}, {5., 
       12.074072828613353`}, {5., 10.825317547305485`}, {3.210987290477796, 
       10.825317547305485`}, {3.210987290477796, 12.074072828613353`}}], 
      LineBox[{{3.210987290477796, 10.825317547305485`}, {5., 
       10.825317547305485`}, {5., 8.838834764831844}, {3.210987290477796, 
       8.838834764831844}, {3.210987290477796, 10.825317547305485`}}], 
      LineBox[{{3.210987290477796, 8.838834764831844}, {5., 
       8.838834764831844}, {5., 6.249999999999999}, {3.210987290477796, 
       6.249999999999999}, {3.210987290477796, 8.838834764831844}}], 
      LineBox[{{3.2109872904777994`, 6.250000000000004}, {5., 
       6.250000000000004}, {5., 3.235238063781513}, {3.210987290477796, 
       3.235238063781513}, {3.2109872904777994`, 6.250000000000004}}], 
      LineBox[{{3.210987290477796, 3.235238063781513}, {5., 
       3.235238063781513}, {5., 1.5308084989341915`*^-15}, {3.210987290477796,
        1.5308084989341915`*^-15}, {3.210987290477796, 3.235238063781513}}], 
      LineBox[{{3.210987290477796, 1.5308084989341915`*^-15}, {5., 
       1.5308084989341915`*^-15}, {5., -3.23523806378151}, {
       3.210987290477796, -3.23523806378151}, {3.210987290477796, 
       1.5308084989341915`*^-15}}], 
      LineBox[{{3.210987290477796, -3.2352380637815044`}, {
       5., -3.2352380637815044`}, {5., -6.2499999999999964`}, {
       3.210987290477796, -6.2499999999999964`}, {
       3.210987290477796, -3.2352380637815044`}}], 
      LineBox[{{3.210987290477796, -6.2499999999999964`}, {
       5., -6.2499999999999964`}, {5., -8.838834764831843}, {
       3.210987290477796, -8.838834764831843}, {
       3.210987290477796, -6.2499999999999964`}}], 
      LineBox[{{3.210987290477796, -8.838834764831839}, {
       5., -8.838834764831839}, {5., -10.82531754730548}, {
       3.210987290477796, -10.82531754730548}, {
       3.210987290477796, -8.838834764831839}}], 
      LineBox[{{3.210987290477796, -10.82531754730548}, {
       5., -10.82531754730548}, {5., -12.074072828613351`}, {
       3.210987290477796, -12.074072828613351`}, {
       3.210987290477796, -10.82531754730548}}], 
      LineBox[{{3.210987290477796, -12.074072828613351`}, {
       5., -12.074072828613351`}, {5., -12.5}, {3.210987290477796, -12.5}, {
       3.210987290477796, -12.074072828613351`}}], 
      LineBox[{{3.210987290477796, -12.5}, {5., -12.5}, {
       5., -12.074072828613355`}, {3.210987290477796, -12.074072828613355`}, {
       3.210987290477796, -12.5}}], 
      LineBox[{{3.210987290477796, -12.074072828613355`}, {
       5., -12.074072828613355`}, {5., -10.825317547305488`}, {
       3.210987290477796, -10.825317547305488`}, {
       3.210987290477796, -12.074072828613355`}}], 
      LineBox[{{3.210987290477796, -10.825317547305488`}, {
       5., -10.825317547305488`}, {5., -8.838834764831855}, {
       3.2109872904777994`, -8.838834764831855}, {
       3.210987290477796, -10.825317547305488`}}], 
      LineBox[{{3.210987290477796, -8.838834764831846}, {
       5., -8.838834764831846}, {5., -6.250000000000005}, {
       3.210987290477796, -6.250000000000005}, {
       3.210987290477796, -8.838834764831846}}], 
      LineBox[{{3.210987290477796, -6.250000000000005}, {
       5., -6.250000000000005}, {5., -3.2352380637815195`}, {
       3.210987290477796, -3.2352380637815195`}, {
       3.210987290477796, -6.250000000000005}}], 
      LineBox[{{3.210987290477796, -3.2352380637815195`}, {
       5., -3.2352380637815195`}, {5., -1.4163847244119949`*^-14}, {
       3.210987290477796, -1.4163847244119949`*^-14}, {
       3.210987290477796, -3.2352380637815195`}}]}}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None], {}, {
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{50., -50.}, {50., -50.}, {50., 50.}, {50., 50.}, {
       50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{50., -50.}, {-50., -50.}, {-50., 50.}, {50., 50.}, {
       50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{-50., -50.}, {-50., -50.}, {-50., 50.}, {-50., 
       50.}, {-50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{-50., -50.}, {50., -50.}, {50., 50.}, {-50., 
       50.}, {-50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{50., -50.}, {50., -50.}, {-50., -50.}, {-50., -50.}, {
       50., -50.}}]}, 
     {GrayLevel[0], AbsoluteThickness[0.5], 
      LineBox[{{50., 50.}, {50., 50.}, {-50., 50.}, {-50., 50.}, {50., 
       50.}}]}}, 
    {RGBColor[
     0.038747429704798886`, 0.9161617552424038, 0.039847212269181365`], 
     AbsoluteThickness[0.5], LineBox[CompressedData["
1:eJyNlE1IVFEcxacci0zxo0mxD7PIKGYjBUZpMy9Fwo8cERdFCSl+ZBa1CJLc
yCAmSiAJKUYJ0SrEwjKxCB+hIuFCzaBNpKYW6CwaI6VaFNx7rniGy/XBLB6/
+fO/95zzzv6y60UVYQ6Ho/b/b7P8uXrOzNwu9toO+ViJwYX28a9evOv4t8DD
6vOji4M6/szlDxTV/tHyiaqamOo0p63jZ0veZ7eeiNDybUldpf6uaC0PT7+x
mHQgLoQnS365KGXrvTCXdv5HW/OYp3KnlmdNfY5r9MZreWDP4/JXTXpumg9q
9uP81Ybz6+4PHmHQz2fQf9LgX6/B/yVDfvCu49Ni3qvj3WK/lo+L81s6ni/u
r+Uyf1ruFPqHcMqfdl7mT8szRX60XOZPy7MM80HNfsqfdj5cc3/wSIN+hQb9
pwz+9Rn8X5b54byJx2Xx/9F34Har63tP69Ig9x24p/HFpSrPX8XRd+DtF3Kb
Do86be478PyrnuNPf0XYlDfFJwIFD4ZOx9j8vYPP5s64p5/E2dx34J+Odi3M
trlsypvizW/LDt11xNuUF8Xnb6W6l7+scfQd+IfV1Ixj7oQNzwdpf4vcz32n
O7/u/tx3Ov18pH8B6T9J/nWQf73kfyb5v0T5Gab8mPKHvgMfEPMqv+g78HSx
X3H0Hfh9cX6L+w48T9zfovwpLvVTHH0HPiP0t7jvyD+L8qe4zJ/i6DvwOZEf
i/KnuMyfRflTfJ7mg7Rf5s+i/GnPH073l/lTPJL0myT9Ckl/H+k/Rf51kn99
5H82+b9M+RmT+eG8iSeH3tf6DvxN9MmR5+U/Q/puk+T+Puf25SOhfYd5f8Zc
bEl3lOLoO8znbrmWuOrdoTi+V8wPnYutu5iWoDi+d/CVlZSXgUe7FEdfgP+O
yXK/Lt2rOPoO/OCpm53VV/Ypjr4Cr+z6GNVbnKw4+g68vq5/d01z8obnWwz7
Tec33Z/1e0f6FZD+eaR/B/nXQP5lkv8N5P8w5cem/DjWPaH5G1iX1xyrX8yH
9B3214v9Fjj6DvMyf4qj7zCfI+6vOPoO8zJ/iqPvSH/F0Rfg0j/F0Xfg0n/F
0XfgFSI/iqPvwGX+FJ+n+UqabzHsN51/1nD/SdJvhPTzkf75pH8n+ddE/mWT
/3fI/zHKz5DMzz9ubO7P
      "]]}, 
    {RGBColor[0., 0., 0.], AbsolutePointSize[2.], PointBox[CompressedData["
1:eJx1kV9Ik2EUxr9qFa3Eub4m9sdWaBS7kQKjtH1vihebS2N0kZSQorNlURdB
gjcyxMYkGAkZRg2iq5AKy6Qi9hFLJLxQM+gm0qUW6HeRi5TqIuM97wkf2GCM
H4fznuf5bU/j5WDzWk3T2la+/35FweJc79gXQ6OP4q/W3XDdyHxS8WM9YgXb
fjOPt7Q6wqU2U/GJ+ndV8SN25k2FiYZIIpd5fdmV+cK9TtNNfD5YvPHmOp3n
33tio97QNubKyU/OLsPFbO283/Q86so6X6R99X4Y3lf3FdshXy3kn4B+A9B/
Afygvyk5NxT3y33mMfm+UByQ9wX4Y7bJ/AL8CfDHXCH9CPAnwJ8AfwL8CfDH
vAXynYT8k9BvEPpnyI+0pgtt1UcXZlz/9ii+kFTs7Xp6rsX7h7n3jD+6f8Rm
Kg5c9B5++NPOPG7V3EkddzCn/dOeqQdO5o8HE3PpHp059rpx3w3NxTx7rcST
+fyf3y+XlB/y5Gedd8M+vo/3MV8N5L8N/Sqg/1vwg/5eyDn7LZP7zLfk+0Jx
tbzPTPmYp2V+ZurHTP6YZ6QfZvLHPAvzbtjH99NwfwLy1UL+PuhXBf1HV/nx
gT+feJV7dPhJ04/kGuLIoG1z5oD6P1a4fCavvj/HVHP/hksFy8ZWnqdO57Wf
Lc1nXloqfmbd2878y1Hpedmwi7no2NW+8IXdzKHEh5yBU27mjvahHa0xd9Y5
7uP7eP8N5VP5qyF/J/TrhP4m+cnmb0jODbXfIfcF+BNq7pP3eU7+mCk/M/Vj
pv7MzdIPM/ljDsEc9/F9vD9M+VT+AOSPQr/r0D9Ffv4Ctxx5SQ==
      "]]}}, 
   {AbsolutePointSize[1], AbsoluteThickness[1], EdgeForm[None]}},
  AspectRatio:>Automatic,
  DisplayFunction->Identity,
  FormatType:>TraditionalForm,
  GridLines:>None,
  PlotRange:>All]], "Print",
 CellChangeTimes->{3.563366074247177*^9, 3.5660864719320517`*^9, 
  3.566127744110003*^9, 3.566127911102103*^9, 3.566161194395132*^9, 
  3.601213002969453*^9, 3.601286519188747*^9, 3.614708262189858*^9, 
  3.614726987833968*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"},
 CellLabel->"During evaluation of In[42]:="],

Cell[BoxData[
 TagBox[
  StyleBox[
   TagBox[
    RowBox[{"AnalyzeSystem", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Move", "[", 
         RowBox[{
          RowBox[{"ConeOfRays", "[", 
           RowBox[{"20", ",", 
            RowBox[{"NumberOfRays", "\[Rule]", "40"}]}], "]"}], ",", 
          RowBox[{"-", "31.33`"}]}], "]"}], ",", 
        RowBox[{"PlanoConvexLens", "[", 
         RowBox[{"50", ",", "25", ",", "5"}], "]"}], ",", 
        RowBox[{"Boundary", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "50"}], ",", 
            RowBox[{"-", "50"}], ",", 
            RowBox[{"-", "50"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"50", ",", "50", ",", "50"}], "}"}]}], "]"}]}], "}"}], ",", 
      RowBox[{"PlotType", "\[Rule]", "SideView"}], ",", 
      RowBox[{"UpdateNumericParameters", "\[Rule]", "False"}]}], "]"}],
    HoldForm],
   FontColor->RGBColor[0., 0.392193, 0.]],
  DisplayForm]], "Print",
 CellChangeTimes->{3.563366074247177*^9, 3.5660864719320517`*^9, 
  3.566127744110003*^9, 3.566127911102103*^9, 3.566161194395132*^9, 
  3.601213002969453*^9, 3.601286519188747*^9, 3.614708262189858*^9, 
  3.614726987887388*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"},
 CellLabel->"During evaluation of In[42]:="],

Cell[BoxData["\<\"-120 ray/surface intersections-\"\>"], "Output",
 CellChangeTimes->{3.56336607430793*^9, 3.566086471984136*^9, 
  3.566127744116061*^9, 3.566127911191812*^9, 3.5661611944814167`*^9, 
  3.601213003045895*^9, 3.601286519242791*^9, 3.614708262199188*^9, 
  3.614726987889831*^9},
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"},
 CellLabel->"Out[46]="]
}, Open  ]],

Cell[TextData[{
 "If you want to see graphics but not the textual output from ",
 StyleBox["AnalyzeSystem", "MB",
  FontVariations->{"CompatibilityType"->0}],
 " use a semicolon to terminate its invocation.  The assignment to ",
 StyleBox["myOpticalSystem", "MB"],
 " will still work."
}], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sequential and Nonsequential Ray Tracing", "Subsubsection",
 CellTags->{
  "Sequential and Nonsequential Ray Tracing", 
   "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
   "PR1.3"}],

Cell["\<\
 handles both sequential and nonsequential ray tracing.  Roughly speaking,  \
nonsequential ray traces involve rays that hit the same surface multiple  \
times, or rays that could hit multiple surfaces from a given point of  \
departure.  The nature and geometric arrangement of the components in your  \
system will dictate the nature of the trace.  Later you will learn about  \
functions that invoke nonsequential ray tracing whenever they appear in an  \
system.\
\>", "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
   "PR1.3"}],

Cell[TextData[ButtonBox["Go to list of topics",
 BaseStyle->"Hyperlink",
 ButtonData:>"chapter 1 topics"]], "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
ScreenStyleEnvironment->"Brackets",
PrintingStyleEnvironment->"EnhancedPrintout",
WindowToolbars->"RulerBar",
WindowSize->{1133, 739},
WindowMargins->{{77, Automatic}, {Automatic, 19}},
PrintingCopies->1,
PrintingStartingPageNumber->9,
PrintingPageRange->{1, Automatic},
PageHeaders->{{
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"], Inherited, 
   Cell[
    TextData[{"Introduction to Optica II"}], "Header"]}, {
   Cell[
    TextData[{"Chapter 1"}], "Header"], Inherited, 
   Cell[
    TextData[{
      CounterBox["Page"]}], "PageNumber"]}},
PrintingOptions->{"FacingPages"->True,
"FirstPageHeader"->True},
ShowSelection->True,
DelimiterFlashTime->1,
AutoItalicWords->{
 "Mathematica", "MathLink", "MathSource", "MathReader", "MathScript", 
  "Optica", "Optica2"},
Magnification->1,
FrontEndVersion->"9.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (January 25, \
2013)",
StyleDefinitions->"HelpBrowser.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "chapter 1 topics"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}]},
 "Overview"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[5811, 197, 63, 1, 60, "Section",
   CellTags->{"1.1", "Overview"}],
  Cell[5877, 200, 3407, 84, 203, "Text",
   CellTags->"Overview"]},
 "Getting Started"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[9439, 293, 77, 1, 60, "Section",
   CellTags->{"1.2", "Getting Started"}],
  Cell[9519, 296, 1147, 31, 109, "Text",
   CellTags->"Getting Started"],
  Cell[10691, 331, 102, 3, 24, "Input",
   CellTags->"Getting Started"],
  Cell[10796, 336, 983, 14, 129, "Print",
   CellTags->{"Getting Started", "Info3614734941-2758343"}]},
 "General Architecture of Rayica"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[1285, 45, 213, 4, 20, "Outline2",
   CellTags->"General Architecture of Rayica"],
  Cell[1501, 51, 212, 4, 16, "Outline3",
   CellTags->"General Architecture of Rayica"],
  Cell[1738, 59, 242, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[1983, 65, 431, 14, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[2451, 84, 224, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[2678, 90, 352, 10, 27, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[3067, 105, 230, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[3300, 111, 1013, 33, 99, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[4350, 149, 212, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[4565, 155, 503, 15, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[5105, 175, 250, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[5358, 181, 404, 10, 29, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[11946, 360, 169, 5, 60, "Section",
   CellTags->{"1.3", "General Architecture of Rayica", "PR1.3"}],
  Cell[12118, 367, 1543, 49, 80, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13664, 418, 178, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}],
  Cell[14022, 430, 233, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14280, 441, 176, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14459, 447, 455, 9, 20, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14917, 458, 371, 9, 19, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[15325, 472, 858, 26, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[16186, 500, 18636, 359, 258, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[34837, 862, 317, 10, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35157, 874, 687, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35847, 898, 618, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[36468, 918, 604, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[37075, 933, 1031, 21, 60, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[38109, 956, 977, 24, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39089, 982, 783, 18, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39875, 1002, 406, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40284, 1014, 554, 14, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40841, 1030, 187, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}],
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[74373, 1806, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80650, 1994, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84709, 2129, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[87819, 2223, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146751, 3317, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[210441, 11808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444149, 20787, 637, 19, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444789, 20808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[592886, 36026, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603622, 36340, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[604973, 36377, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[624020, 36781, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}],
  Cell[625073, 36809, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]},
 "1.3.2"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[1738, 59, 242, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[1983, 65, 431, 14, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[74373, 1806, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80650, 1994, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84709, 2129, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]},
 "1.3.3"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[2451, 84, 224, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[2678, 90, 352, 10, 27, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[87819, 2223, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146751, 3317, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[210441, 11808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]},
 "1.3.4"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[3067, 105, 230, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[3300, 111, 1013, 33, 99, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444149, 20787, 637, 19, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444789, 20808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}]},
 "1.3.5"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[4350, 149, 212, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[4565, 155, 503, 15, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[592886, 36026, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603622, 36340, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]},
 "1.3.6"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[5105, 175, 250, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[5358, 181, 404, 10, 29, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[604973, 36377, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[624020, 36781, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}],
  Cell[625073, 36809, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]},
 "1.3.1"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}],
  Cell[14022, 430, 233, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14280, 441, 176, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14459, 447, 455, 9, 20, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14917, 458, 371, 9, 19, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[15325, 472, 858, 26, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[16186, 500, 18636, 359, 258, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[34837, 862, 317, 10, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35157, 874, 687, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35847, 898, 618, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[36468, 918, 604, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[37075, 933, 1031, 21, 60, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[38109, 956, 977, 24, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39089, 982, 783, 18, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39875, 1002, 406, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40284, 1014, 554, 14, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40841, 1030, 187, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}]},
 "1.1"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[5811, 197, 63, 1, 60, "Section",
   CellTags->{"1.1", "Overview"}]},
 "1.2"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[9439, 293, 77, 1, 60, "Section",
   CellTags->{"1.2", "Getting Started"}]},
 "1.3"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[11946, 360, 169, 5, 60, "Section",
   CellTags->{"1.3", "General Architecture of Rayica", "PR1.3"}],
  Cell[12118, 367, 1543, 49, 80, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13664, 418, 178, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}],
  Cell[14022, 430, 233, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14280, 441, 176, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14459, 447, 455, 9, 20, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14917, 458, 371, 9, 19, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[15325, 472, 858, 26, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[16186, 500, 18636, 359, 258, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[34837, 862, 317, 10, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35157, 874, 687, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35847, 898, 618, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[36468, 918, 604, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[37075, 933, 1031, 21, 60, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[38109, 956, 977, 24, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39089, 982, 783, 18, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39875, 1002, 406, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40284, 1014, 554, 14, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40841, 1030, 187, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}],
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[74373, 1806, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80650, 1994, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84709, 2129, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[87819, 2223, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146751, 3317, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[210441, 11808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444149, 20787, 637, 19, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444789, 20808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[592886, 36026, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603622, 36340, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[604973, 36377, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[624020, 36781, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}],
  Cell[625073, 36809, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]},
 "PR1.3.5"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[4350, 149, 212, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[4565, 155, 503, 15, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[592886, 36026, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603622, 36340, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]},
 "PR1.3.4"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[3067, 105, 230, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[3300, 111, 1013, 33, 99, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444149, 20787, 637, 19, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444789, 20808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}]},
 "PR1.3.3"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[2451, 84, 224, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[2678, 90, 352, 10, 27, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[87819, 2223, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146751, 3317, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[210441, 11808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]},
 "PR1.3.2"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[1738, 59, 242, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[1983, 65, 431, 14, 39, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[74373, 1806, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80650, 1994, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84709, 2129, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]},
 "PR1.3.1"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}],
  Cell[14022, 430, 233, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14280, 441, 176, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14459, 447, 455, 9, 20, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14917, 458, 371, 9, 19, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[15325, 472, 858, 26, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[16186, 500, 18636, 359, 258, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[34837, 862, 317, 10, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35157, 874, 687, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35847, 898, 618, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[36468, 918, 604, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[37075, 933, 1031, 21, 60, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[38109, 956, 977, 24, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39089, 982, 783, 18, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39875, 1002, 406, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40284, 1014, 554, 14, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}]},
 "PR1.3"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
  Cell[11946, 360, 169, 5, 60, "Section",
   CellTags->{"1.3", "General Architecture of Rayica", "PR1.3"}],
  Cell[12118, 367, 1543, 49, 80, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13664, 418, 178, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}],
  Cell[14022, 430, 233, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14280, 441, 176, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14459, 447, 455, 9, 20, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[14917, 458, 371, 9, 19, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[15325, 472, 858, 26, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[16186, 500, 18636, 359, 258, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[34837, 862, 317, 10, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35157, 874, 687, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[35847, 898, 618, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[36468, 918, 604, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[37075, 933, 1031, 21, 60, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[38109, 956, 977, 24, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39089, 982, 783, 18, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[39875, 1002, 406, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40284, 1014, 554, 14, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
  Cell[40841, 1030, 187, 3, 20, "Text",
   CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}],
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[74373, 1806, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80650, 1994, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84709, 2129, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}],
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[87819, 2223, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146751, 3317, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[210441, 11808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444149, 20787, 637, 19, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[444789, 20808, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[592886, 36026, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603622, 36340, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}],
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[604973, 36377, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[624020, 36781, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}],
  Cell[625073, 36809, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]},
 "PR1.2"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}]},
 "PR1.1"->{
  Cell[579, 22, 368, 9, 60, "Subtitle",
   CellTags->{
    "chapter 1 topics", "Overview", "Getting Started", 
     "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
     "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
     "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}]},
 "PR1.3.6"->{
  Cell[5105, 175, 250, 4, 16, "Outline3",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[5358, 181, 404, 10, 29, "Outline4",
   CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[604973, 36377, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[624020, 36781, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}],
  Cell[625073, 36809, 201, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]},
 "Info3614734941-2758343"->{
  Cell[10796, 336, 983, 14, 129, "Print",
   CellTags->{"Getting Started", "Info3614734941-2758343"}]},
 "A Simple System"->{
  Cell[13867, 425, 152, 3, 35, "Subsection",
   CellTags->{
    "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
     "PR1.3", "PR1.3.1"}]},
 "Calling Conventions"->{
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}]},
 "PR1.3.2.1"->{
  Cell[41065, 1038, 173, 3, 35, "Subsection",
   CellTags->{
    "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
     "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}],
  Cell[41412, 1050, 755, 21, 54, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42192, 1075, 237, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[42432, 1083, 4460, 111, 295, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[46929, 1199, 3808, 106, 203, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[50740, 1307, 4248, 105, 264, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55003, 1415, 204, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55210, 1424, 384, 14, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[55597, 1440, 594, 13, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56194, 1455, 690, 15, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[56887, 1472, 266, 8, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57178, 1484, 507, 14, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[57688, 1500, 15270, 256, 342, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[72973, 1759, 564, 17, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}],
  Cell[73540, 1778, 830, 26, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
     "PR1.3"}]},
 "Options"->{
  Cell[41263, 1045, 146, 3, 31, "Subsubsection",
   CellTags->{
    "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
     "PR1.3.2", "PR1.3"}]},
 "Required Parameters"->{
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}]},
 "PR1.3.2.2"->{
  Cell[74611, 1815, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
  Cell[74784, 1820, 329, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75116, 1828, 384, 11, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[75503, 1841, 841, 22, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76369, 1867, 392, 12, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[76764, 1881, 679, 14, 19, "Message",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77446, 1897, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[77874, 1908, 211, 4, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78088, 1914, 728, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[79971, 1974, 424, 10, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}],
  Cell[80398, 1986, 249, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
     "PR1.3"}]},
 "The Subtle Semicolon"->{
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}]},
 "PR1.3.2.3"->{
  Cell[80888, 2003, 172, 3, 31, "Subsubsection",
   CellTags->{
    "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
     "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
  Cell[81063, 2008, 347, 9, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81435, 2021, 186, 5, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[81624, 2028, 402, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82041, 2039, 205, 6, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82249, 2047, 290, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82564, 2058, 176, 5, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[82743, 2065, 406, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83164, 2076, 228, 7, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83395, 2085, 481, 15, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[83901, 2104, 154, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84058, 2110, 413, 8, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}],
  Cell[84486, 2121, 220, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
     "PR1.3"}]},
 "Components"->{
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}]},
 "PR1.3.3.1"->{
  Cell[84959, 2139, 155, 3, 35, "Subsection",
   CellTags->{
    "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3",
      "PR1.3.3.1", "PR1.3"}],
  Cell[85117, 2144, 1040, 29, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86160, 2175, 730, 17, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[86893, 2194, 923, 27, 51, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
  Cell[88224, 2236, 559, 16, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[88808, 2256, 2983, 82, 185, "Input",
   PageBreakWithin->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[91794, 2340, 52329, 895, 290, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144138, 3238, 196, 5, 26, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[144337, 3245, 1093, 23, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[145433, 3270, 729, 24, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}],
  Cell[146165, 3296, 583, 19, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
     "PR1.3"}]},
 "Components in a System"->{
  Cell[88045, 2231, 176, 3, 31, "Subsubsection",
   CellTags->{
    "Components in a System", "General Architecture of Rayica", "1.3.3", 
     "1.3", "PR1.3.3", "PR1.3.3.1", "PR1.3"}]},
 "Complex Components"->{
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}]},
 "PR1.3.3.2"->{
  Cell[146989, 3326, 168, 3, 31, "Subsubsection",
   CellTags->{
    "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
     "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
  Cell[147160, 3331, 412, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208657, 11748, 269, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[208929, 11759, 923, 29, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}],
  Cell[209855, 11790, 583, 16, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
     "PR1.3"}]},
 "Light Sources"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}]},
 "PR1.3.4.1"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
  Cell[213576, 11892, 376, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[213977, 11902, 523, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[214503, 11919, 2853, 57, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232291, 13353, 268, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232562, 13364, 393, 11, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[232980, 13379, 576, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[233559, 13397, 2541, 52, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236115, 13452, 312, 10, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236430, 13464, 491, 12, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[236924, 13478, 568, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237495, 13491, 215, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[237735, 13502, 575, 16, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[238313, 13520, 2331, 48, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240659, 13571, 284, 9, 27, "Commentary",
   PageBreakAbove->False,
   PageBreakBelow->Automatic,
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}],
  Cell[240946, 13582, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.2"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
  Cell[241410, 13598, 297, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[241732, 13610, 524, 15, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[242259, 13627, 2466, 50, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244740, 13680, 236, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[244979, 13689, 332, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}],
  Cell[245314, 13699, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.3"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[247078, 13760, 690, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[247771, 13780, 2607, 51, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250393, 13834, 340, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[250758, 13849, 689, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[251450, 13869, 4250, 79, 395, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[255715, 13951, 391, 12, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}],
  Cell[256109, 13965, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.4"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
  Cell[256547, 13980, 304, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[256876, 13989, 774, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[257653, 14012, 4321, 81, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287204, 16165, 207, 5, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287414, 16172, 512, 18, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[287951, 16194, 782, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[288736, 16217, 4407, 83, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320539, 18505, 179, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}],
  Cell[320721, 18510, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.5"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
  Cell[321151, 18525, 265, 7, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[321441, 18536, 783, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[322227, 18559, 21338, 360, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343580, 18922, 158, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343741, 18927, 149, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[343915, 18934, 788, 21, 41, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[344706, 18957, 20620, 348, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365341, 19308, 155, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}],
  Cell[365499, 19313, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.6"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
  Cell[365929, 19328, 331, 7, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366285, 19339, 618, 18, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[366906, 19359, 4186, 81, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371107, 19443, 156, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371266, 19448, 161, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[371452, 19455, 693, 20, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[372148, 19477, 6462, 116, 407, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378625, 19596, 165, 3, 26, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}],
  Cell[378793, 19601, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
     "PR1.3"}]},
 "PR1.3.4.7"->{
  Cell[210691, 11818, 243, 4, 35, "Subsection",
   CellTags->{
    "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
     "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
     "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[210937, 11824, 1356, 33, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[212296, 11859, 779, 16, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[213078, 11877, 300, 6, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", 
     "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
  Cell[379211, 19616, 294, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379508, 19626, 295, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[379828, 19638, 3530, 99, 153, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[383361, 19739, 59589, 1007, 396, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[442965, 20749, 335, 11, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443303, 20762, 394, 8, 33, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}],
  Cell[443700, 20772, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
     "PR1.3"}]},
 "Basic Light Sources"->{
  Cell[213403, 11887, 170, 3, 31, "Subsubsection",
   CellTags->{
    "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.1", "PR1.3.4", "PR1.3"}]},
 "Two-dimensional Sources"->{
  Cell[241201, 13592, 206, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.2", "PR1.3.4", "PR1.3"}]},
 "Gaussian Sources"->{
  Cell[245569, 13709, 192, 4, 31, "Subsubsection",
   PageBreakAbove->Automatic,
   CellTags->{
    "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.3", "PR1.3.4", "PR1.3"}]},
 "Info3246016647-1148295"->{
  Cell[245764, 13715, 246, 7, 21, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
  Cell[246013, 13724, 1040, 32, 51, "Text",
   CellTags->{
    "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.3", "PR1.3.4", "PR1.3"}]},
 "Coincident Light Sources"->{
  Cell[256364, 13975, 180, 3, 31, "Subsubsection",
   CellTags->{
    "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
     "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}]},
 "Random Light Sources"->{
  Cell[320976, 18520, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.5", "PR1.3.4", "PR1.3"}]},
 "Nested Light Sources"->{
  Cell[365754, 19323, 172, 3, 31, "Subsubsection",
   CellTags->{
    "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.6", "PR1.3.4", "PR1.3"}]},
 "Aperture Stops"->{
  Cell[379048, 19611, 160, 3, 31, "Subsubsection",
   CellTags->{
    "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
     "PR1.3.4.7", "PR1.3.4", "PR1.3"}]},
 "Connections Between Sources and Rays"->{
  Cell[443955, 20782, 191, 3, 31, "Subsubsection",
   CellTags->{
    "Connections Between Sources and Rays", "General Architecture of Rayica", 
     "1.3.4", "1.3", "PR1.3.4", "PR1.3"}]},
 "Rays"->{
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}]},
 "PR1.3.5.1"->{
  Cell[445039, 20818, 143, 3, 35, "Subsection",
   CellTags->{
    "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
     "PR1.3.5.1", "PR1.3"}],
  Cell[445185, 20823, 715, 15, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[445903, 20840, 951, 25, 52, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[446857, 20867, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
  Cell[447287, 20881, 563, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[447853, 20896, 1627, 43, 321, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449483, 20941, 207, 7, 27, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[449693, 20950, 531, 23, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[450227, 20975, 1470, 40, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[451700, 21017, 343, 9, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452046, 21028, 810, 23, 48, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[452859, 21053, 786, 19, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[453648, 21074, 519, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454170, 21087, 560, 13, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}],
  Cell[454733, 21102, 218, 5, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
     "PR1.3"}]},
 "Ray Properties and Queries"->{
  Cell[447100, 20876, 184, 3, 31, "Subsubsection",
   CellTags->{
    "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
     "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}]},
 "Using Rays to Understand Your System"->{
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}]},
 "PR1.3.5.2"->{
  Cell[454988, 21112, 204, 3, 31, "Subsubsection",
   CellTags->{
    "Using Rays to Understand Your System", "General Architecture of Rayica", 
     "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
  Cell[455195, 21117, 510, 11, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[455708, 21130, 992, 28, 49, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[456703, 21160, 747, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567202, 33246, 367, 7, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[567572, 33255, 646, 13, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", 
  "PostScript", "Graphics",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590118, 35948, 391, 8, 41, "Commentary",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[590512, 35958, 553, 12, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591090, 35974, 342, 8, 25, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591435, 35984, 405, 9, 23, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}],
  Cell[591855, 35996, 1028, 28, 63, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
     "PR1.3"}]},
 "Finding the Focus"->{
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}]},
 "PR1.3.5.3"->{
  Cell[593124, 36035, 166, 3, 31, "Subsubsection",
   CellTags->{
    "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
     "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
  Cell[593293, 36040, 687, 14, 47, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[594810, 36087, 166, 3, 20, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[594979, 36092, 273, 9, 73, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595277, 36105, 171, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[595451, 36111, 2430, 50, 353, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[597884, 36163, 1423, 35, 56, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599322, 36201, 305, 8, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600154, 36230, 380, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[601493, 36276, 371, 13, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[601889, 36293, 175, 4, 24, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[602067, 36299, 995, 21, 40, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}],
  Cell[603077, 36323, 542, 15, 38, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
     "PR1.3"}]},
 "FindFocus"->{
  Cell[593983, 36056, 824, 29, 64, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}],
  Cell[600537, 36245, 953, 29, 100, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}]},
 "FocusType"->{
  Cell[599630, 36211, 521, 17, 51, "Text",
   Evaluatable->False,
   PageBreakWithin->False,
   CellTags->{
    "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
     "PR1.3.5.3", "PR1.3"}]},
 "The Ray Tracing Process"->{
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}]},
 "PR1.3.6.1"->{
  Cell[603872, 36350, 181, 3, 35, "Subsection",
   CellTags->{
    "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[604056, 36355, 914, 20, 34, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
  Cell[605378, 36390, 875, 22, 35, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[606256, 36414, 2046, 48, 62, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[608327, 36466, 1325, 40, 89, "Input",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[609655, 36508, 12137, 209, 365, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[621795, 36719, 1383, 37, 36, "Print",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623181, 36758, 421, 8, 24, "Output",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}],
  Cell[623617, 36769, 400, 10, 21, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
     "PR1.3"}]},
 "AnalyzeSystem Function"->{
  Cell[605199, 36385, 176, 3, 31, "Subsubsection",
   CellTags->{
    "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", 
     "1.3", "PR1.3.6", "PR1.3.6.1", "PR1.3"}]},
 "Sequential and Nonsequential Ray Tracing"->{
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}]},
 "PR1.3.6.2"->{
  Cell[624258, 36790, 216, 4, 31, "Subsubsection",
   CellTags->{
    "Sequential and Nonsequential Ray Tracing", 
     "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2",
      "PR1.3"}],
  Cell[624477, 36796, 593, 11, 46, "Text",
   CellTags->{
    "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
     "PR1.3"}]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"chapter 1 topics", 626374, 36855},
 {"Overview", 626711, 36862},
 {"Getting Started", 627197, 36873},
 {"General Architecture of Rayica", 627888, 36888},
 {"1.3.2", 665995, 37831},
 {"1.3.3", 673289, 38015},
 {"1.3.4", 677300, 38114},
 {"1.3.5", 691383, 38462},
 {"1.3.6", 699756, 38672},
 {"1.3.1", 702685, 38741},
 {"1.1", 705272, 38799},
 {"1.2", 705679, 38808},
 {"1.3", 706093, 38817},
 {"PR1.3.5", 742902, 39736},
 {"PR1.3.4", 751277, 39946},
 {"PR1.3.3", 765362, 40294},
 {"PR1.3.2", 769375, 40393},
 {"PR1.3.1", 776671, 40577},
 {"PR1.3", 779145, 40633},
 {"PR1.2", 815952, 41552},
 {"PR1.1", 816286, 41559},
 {"PR1.3.6", 816622, 41566},
 {"Info3614734941-2758343", 819247, 41629},
 {"A Simple System", 819373, 41632},
 {"Calling Conventions", 819561, 41637},
 {"PR1.3.2.1", 819757, 41642},
 {"Options", 822259, 41707},
 {"Required Parameters", 822456, 41712},
 {"PR1.3.2.2", 822655, 41717},
 {"The Subtle Semicolon", 824545, 41766},
 {"PR1.3.2.3", 824745, 41771},
 {"Components", 826758, 41824},
 {"PR1.3.3.1", 826945, 41829},
 {"Components in a System", 828972, 41882},
 {"Complex Components", 829183, 41887},
 {"PR1.3.3.2", 829382, 41892},
 {"Light Sources", 830464, 41920},
 {"PR1.3.4.1", 830740, 41926},
 {"PR1.3.4.2", 834606, 42022},
 {"PR1.3.4.3", 836735, 42072},
 {"PR1.3.4.4", 839381, 42134},
 {"PR1.3.4.5", 842366, 42205},
 {"PR1.3.4.6", 844934, 42266},
 {"PR1.3.4.7", 847499, 42327},
 {"Basic Light Sources", 849757, 42380},
 {"Two-dimensional Sources", 849972, 42385},
 {"Gaussian Sources", 850214, 42391},
 {"Info3246016647-1148295", 850455, 42397},
 {"Coincident Light Sources", 850845, 42406},
 {"Random Light Sources", 851062, 42411},
 {"Nested Light Sources", 851275, 42416},
 {"Aperture Stops", 851482, 42421},
 {"Connections Between Sources and Rays", 851705, 42426},
 {"Rays", 851905, 42431},
 {"PR1.3.5.1", 852088, 42436},
 {"Ray Properties and Queries", 854628, 42501},
 {"Using Rays to Understand Your System", 854863, 42506},
 {"PR1.3.5.2", 855081, 42511},
 {"Finding the Focus", 857475, 42571},
 {"PR1.3.5.3", 857674, 42576},
 {"FindFocus", 860364, 42647},
 {"FocusType", 860814, 42660},
 {"The Ray Tracing Process", 861061, 42667},
 {"PR1.3.6.1", 861263, 42672},
 {"AnalyzeSystem Function", 862900, 42713},
 {"Sequential and Nonsequential Ray Tracing", 863135, 42718},
 {"PR1.3.6.2", 863363, 42724}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 368, 9, 60, "Subtitle",
 CellTags->{
  "chapter 1 topics", "Overview", "Getting Started", 
   "General Architecture of Rayica", "1.3.2", "1.3.3", "1.3.4", "1.3.5", 
   "1.3.6", "1.3.1", "1.1", "1.2", "1.3", "PR1.3.5", "PR1.3.4", "PR1.3.3", 
   "PR1.3.2", "PR1.3.1", "PR1.3", "PR1.2", "PR1.1"}],
Cell[950, 33, 154, 3, 24, "Outline2"],
Cell[1107, 38, 153, 3, 20, "Outline2"],
Cell[CellGroupData[{
Cell[1285, 45, 213, 4, 20, "Outline2",
 CellTags->"General Architecture of Rayica"],
Cell[1501, 51, 212, 4, 16, "Outline3",
 CellTags->"General Architecture of Rayica"],
Cell[CellGroupData[{
Cell[1738, 59, 242, 4, 16, "Outline3",
 CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}],
Cell[1983, 65, 431, 14, 39, "Outline4",
 CellTags->{"General Architecture of Rayica", "1.3.2", "PR1.3.2"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[2451, 84, 224, 4, 16, "Outline3",
 CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}],
Cell[2678, 90, 352, 10, 27, "Outline4",
 CellTags->{"General Architecture of Rayica", "1.3.3", "PR1.3.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[3067, 105, 230, 4, 16, "Outline3",
 CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}],
Cell[3300, 111, 1013, 33, 99, "Outline4",
 CellTags->{"General Architecture of Rayica", "1.3.4", "PR1.3.4"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[4350, 149, 212, 4, 16, "Outline3",
 CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}],
Cell[4565, 155, 503, 15, 39, "Outline4",
 CellTags->{"General Architecture of Rayica", "1.3.5", "PR1.3.5"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[5105, 175, 250, 4, 16, "Outline3",
 CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}],
Cell[5358, 181, 404, 10, 29, "Outline4",
 CellTags->{"General Architecture of Rayica", "1.3.6", "PR1.3.6"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[5811, 197, 63, 1, 60, "Section",
 CellTags->{"1.1", "Overview"}],
Cell[5877, 200, 3407, 84, 203, "Text",
 CellTags->"Overview"],
Cell[9287, 286, 115, 2, 20, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9439, 293, 77, 1, 60, "Section",
 CellTags->{"1.2", "Getting Started"}],
Cell[9519, 296, 1147, 31, 109, "Text",
 CellTags->"Getting Started"],
Cell[CellGroupData[{
Cell[10691, 331, 102, 3, 24, "Input",
 CellTags->"Getting Started"],
Cell[10796, 336, 983, 14, 129, "Print",
 CellTags->{"Getting Started", "Info3614734941-2758343"}]
}, Open  ]],
Cell[11794, 353, 115, 2, 20, "Text"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11946, 360, 169, 5, 60, "Section",
 CellTags->{"1.3", "General Architecture of Rayica", "PR1.3"}],
Cell[12118, 367, 1543, 49, 80, "Text",
 CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
Cell[13664, 418, 178, 3, 20, "Text",
 CellTags->{"General Architecture of Rayica", "1.3", "PR1.3"}],
Cell[CellGroupData[{
Cell[13867, 425, 152, 3, 35, "Subsection",
 CellTags->{
  "1.3.1", "A Simple System", "General Architecture of Rayica", "1.3", 
   "PR1.3", "PR1.3.1"}],
Cell[14022, 430, 233, 7, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[CellGroupData[{
Cell[14280, 441, 176, 4, 24, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[14459, 447, 455, 9, 20, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[14917, 458, 371, 9, 19, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[15325, 472, 858, 26, 73, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[16186, 500, 18636, 359, 258, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}]
}, Open  ]],
Cell[34837, 862, 317, 10, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[35157, 874, 687, 22, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[35847, 898, 618, 18, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[36468, 918, 604, 13, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[37075, 933, 1031, 21, 60, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[38109, 956, 977, 24, 48, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[39089, 982, 783, 18, 48, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[39875, 1002, 406, 10, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[40284, 1014, 554, 14, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.1", "1.3", "PR1.3", "PR1.3.1"}],
Cell[40841, 1030, 187, 3, 20, "Text",
 CellTags->{"General Architecture of Rayica", "1.3.1", "1.3", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[41065, 1038, 173, 3, 35, "Subsection",
 CellTags->{
  "1.3.2", "Calling Conventions", "General Architecture of Rayica", "1.3", 
   "PR1.3.2.1", "PR1.3.2", "PR1.3"}],
Cell[CellGroupData[{
Cell[41263, 1045, 146, 3, 31, "Subsubsection",
 CellTags->{
  "Options", "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", 
   "PR1.3.2", "PR1.3"}],
Cell[41412, 1050, 755, 21, 54, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[42192, 1075, 237, 6, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[42432, 1083, 4460, 111, 295, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[46929, 1199, 3808, 106, 203, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[50740, 1307, 4248, 105, 264, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}]
}, Open  ]],
Cell[55003, 1415, 204, 7, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[55210, 1424, 384, 14, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[55597, 1440, 594, 13, 33, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[56194, 1455, 690, 15, 46, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[56887, 1472, 266, 8, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[57178, 1484, 507, 14, 41, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[57688, 1500, 15270, 256, 342, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}]
}, Open  ]],
Cell[72973, 1759, 564, 17, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[73540, 1778, 830, 26, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2.1", "PR1.3.2", 
   "PR1.3"}],
Cell[74373, 1806, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[74611, 1815, 170, 3, 31, "Subsubsection",
 CellTags->{
  "Required Parameters", "General Architecture of Rayica", "1.3.2", "1.3", 
   "PR1.3.2", "PR1.3.2.2", "PR1.3"}],
Cell[74784, 1820, 329, 6, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[75116, 1828, 384, 11, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[75503, 1841, 841, 22, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[76369, 1867, 392, 12, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[76764, 1881, 679, 14, 19, "Message",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[77446, 1897, 413, 8, 23, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}]
}, Open  ]],
Cell[77874, 1908, 211, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[78088, 1914, 728, 16, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[78819, 1932, 1149, 40, 33, "FunctionDescription",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[79971, 1974, 424, 10, 33, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[80398, 1986, 249, 6, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.2", 
   "PR1.3"}],
Cell[80650, 1994, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[80888, 2003, 172, 3, 31, "Subsubsection",
 CellTags->{
  "The Subtle Semicolon", "General Architecture of Rayica", "1.3.2", "1.3", 
   "PR1.3.2", "PR1.3.2.3", "PR1.3"}],
Cell[81063, 2008, 347, 9, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[81435, 2021, 186, 5, 24, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[81624, 2028, 402, 8, 23, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}]
}, Open  ]],
Cell[82041, 2039, 205, 6, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[82249, 2047, 290, 7, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[82564, 2058, 176, 5, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[82743, 2065, 406, 8, 23, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}]
}, Open  ]],
Cell[83164, 2076, 228, 7, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[83395, 2085, 481, 15, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[83901, 2104, 154, 4, 24, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[84058, 2110, 413, 8, 23, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}]
}, Open  ]],
Cell[84486, 2121, 220, 6, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3.2.3", 
   "PR1.3"}],
Cell[84709, 2129, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.2", "1.3", "PR1.3.2", "PR1.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[84959, 2139, 155, 3, 35, "Subsection",
 CellTags->{
  "1.3.3", "Components", "General Architecture of Rayica", "1.3", "PR1.3.3", 
   "PR1.3.3.1", "PR1.3"}],
Cell[85117, 2144, 1040, 29, 48, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[86160, 2175, 730, 17, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[86893, 2194, 923, 27, 51, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[87819, 2223, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}],
Cell[CellGroupData[{
Cell[88045, 2231, 176, 3, 31, "Subsubsection",
 CellTags->{
  "Components in a System", "General Architecture of Rayica", "1.3.3", "1.3", 
   "PR1.3.3", "PR1.3.3.1", "PR1.3"}],
Cell[88224, 2236, 559, 16, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[88808, 2256, 2983, 82, 185, "Input",
 PageBreakWithin->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[91794, 2340, 52329, 895, 290, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}]
}, Open  ]],
Cell[144138, 3238, 196, 5, 26, "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[144337, 3245, 1093, 23, 63, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[145433, 3270, 729, 24, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[146165, 3296, 583, 19, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.1", 
   "PR1.3"}],
Cell[146751, 3317, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[146989, 3326, 168, 3, 31, "Subsubsection",
 CellTags->{
  "Complex Components", "General Architecture of Rayica", "1.3.3", "1.3", 
   "PR1.3.3", "PR1.3.3.2", "PR1.3"}],
Cell[147160, 3331, 412, 12, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],
Cell[147575, 3345, 61079, 8401, 134, 57889, 8346, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],
Cell[208657, 11748, 269, 9, 27, "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],
Cell[208929, 11759, 923, 29, 49, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],
Cell[209855, 11790, 583, 16, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3.3.2", 
   "PR1.3"}],
Cell[210441, 11808, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.3", "1.3", "PR1.3.3", "PR1.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[210691, 11818, 243, 4, 35, "Subsection",
 CellTags->{
  "1.3.4", "Light Sources", "General Architecture of Rayica", "1.3", 
   "PR1.3.4.1", "PR1.3.4.2", "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", 
   "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
Cell[210937, 11824, 1356, 33, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],
Cell[212296, 11859, 779, 16, 46, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],
Cell[213078, 11877, 300, 6, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4.2", 
   "PR1.3.4.3", "PR1.3.4.4", "PR1.3.4.5", "PR1.3.4.6", "PR1.3.4.7", "PR1.3.4",
    "PR1.3"}],
Cell[CellGroupData[{
Cell[213403, 11887, 170, 3, 31, "Subsubsection",
 CellTags->{
  "Basic Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.1", "PR1.3.4", "PR1.3"}],
Cell[213576, 11892, 376, 6, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[213977, 11902, 523, 15, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[214503, 11919, 2853, 57, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[217359, 11978, 14917, 1372, 207, 9579, 1280, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[232291, 13353, 268, 9, 27, "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[232562, 13364, 393, 11, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[232980, 13379, 576, 16, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[233559, 13397, 2541, 52, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[236115, 13452, 312, 10, 27, "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[236430, 13464, 491, 12, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[236924, 13478, 568, 11, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[237495, 13491, 215, 7, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[237735, 13502, 575, 16, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[238313, 13520, 2331, 48, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[240659, 13571, 284, 9, 27, "Commentary",
 PageBreakAbove->False,
 PageBreakBelow->Automatic,
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}],
Cell[240946, 13582, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.1", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[241201, 13592, 206, 4, 31, "Subsubsection",
 PageBreakAbove->Automatic,
 CellTags->{
  "Two-dimensional Sources", "General Architecture of Rayica", "1.3.4", "1.3",
    "PR1.3.4.2", "PR1.3.4", "PR1.3"}],
Cell[241410, 13598, 297, 8, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[241732, 13610, 524, 15, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],
Cell[242259, 13627, 2466, 50, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[244740, 13680, 236, 7, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],
Cell[244979, 13689, 332, 8, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}],
Cell[245314, 13699, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.2", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[245569, 13709, 192, 4, 31, "Subsubsection",
 PageBreakAbove->Automatic,
 CellTags->{
  "Gaussian Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
Cell[245764, 13715, 246, 7, 21, "Text",
 CellTags->{
  "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
Cell[246013, 13724, 1040, 32, 51, "Text",
 CellTags->{
  "Info3246016647-1148295", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.3", "PR1.3.4", "PR1.3"}],
Cell[CellGroupData[{
Cell[247078, 13760, 690, 18, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],
Cell[247771, 13780, 2607, 51, 395, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[250393, 13834, 340, 11, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[250758, 13849, 689, 18, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],
Cell[251450, 13869, 4250, 79, 395, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[255715, 13951, 391, 12, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}],
Cell[256109, 13965, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.3", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[256364, 13975, 180, 3, 31, "Subsubsection",
 CellTags->{
  "Coincident Light Sources", "General Architecture of Rayica", "1.3.4", 
   "1.3", "PR1.3.4.4", "PR1.3.4", "PR1.3"}],
Cell[256547, 13980, 304, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[256876, 13989, 774, 21, 41, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[257653, 14012, 4321, 81, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[261977, 14095, 25212, 2067, 363, 14152, 1881, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[287204, 16165, 207, 5, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[287414, 16172, 512, 18, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[287951, 16194, 782, 21, 41, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[288736, 16217, 4407, 83, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[293146, 16302, 27378, 2200, 420, 14791, 1989, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[320539, 18505, 179, 3, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}],
Cell[320721, 18510, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.4", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[320976, 18520, 172, 3, 31, "Subsubsection",
 CellTags->{
  "Random Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.5", "PR1.3.4", "PR1.3"}],
Cell[321151, 18525, 265, 7, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[321441, 18536, 783, 21, 41, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[322227, 18559, 21338, 360, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[343580, 18922, 158, 3, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[343741, 18927, 149, 3, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[343915, 18934, 788, 21, 41, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[344706, 18957, 20620, 348, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[365341, 19308, 155, 3, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}],
Cell[365499, 19313, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.5", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[365754, 19323, 172, 3, 31, "Subsubsection",
 CellTags->{
  "Nested Light Sources", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.6", "PR1.3.4", "PR1.3"}],
Cell[365929, 19328, 331, 7, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[366285, 19339, 618, 18, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[366906, 19359, 4186, 81, 365, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[371107, 19443, 156, 3, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[371266, 19448, 161, 3, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[371452, 19455, 693, 20, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[372148, 19477, 6462, 116, 407, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[378625, 19596, 165, 3, 26, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}],
Cell[378793, 19601, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.6", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[379048, 19611, 160, 3, 31, "Subsubsection",
 CellTags->{
  "Aperture Stops", "General Architecture of Rayica", "1.3.4", "1.3", 
   "PR1.3.4.7", "PR1.3.4", "PR1.3"}],
Cell[379211, 19616, 294, 8, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],
Cell[379508, 19626, 295, 8, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[379828, 19638, 3530, 99, 153, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],
Cell[383361, 19739, 59589, 1007, 396, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[442965, 20749, 335, 11, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],
Cell[443303, 20762, 394, 8, 33, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}],
Cell[443700, 20772, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4.7", "PR1.3.4", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[443955, 20782, 191, 3, 31, "Subsubsection",
 CellTags->{
  "Connections Between Sources and Rays", "General Architecture of Rayica", 
   "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
Cell[444149, 20787, 637, 19, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}],
Cell[444789, 20808, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.4", "1.3", "PR1.3.4", "PR1.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[445039, 20818, 143, 3, 35, "Subsection",
 CellTags->{
  "1.3.5", "Rays", "General Architecture of Rayica", "1.3", "PR1.3.5", 
   "PR1.3.5.1", "PR1.3"}],
Cell[445185, 20823, 715, 15, 48, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[445903, 20840, 951, 25, 52, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[446857, 20867, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[447100, 20876, 184, 3, 31, "Subsubsection",
 CellTags->{
  "Ray Properties and Queries", "General Architecture of Rayica", "1.3.5", 
   "1.3", "PR1.3.5", "PR1.3.5.1", "PR1.3"}],
Cell[447287, 20881, 563, 13, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[447853, 20896, 1627, 43, 321, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[449483, 20941, 207, 7, 27, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[449693, 20950, 531, 23, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[450227, 20975, 1470, 40, 63, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[451700, 21017, 343, 9, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[452046, 21028, 810, 23, 48, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[452859, 21053, 786, 19, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[453648, 21074, 519, 11, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[454170, 21087, 560, 13, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}],
Cell[454733, 21102, 218, 5, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.1", 
   "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[454988, 21112, 204, 3, 31, "Subsubsection",
 CellTags->{
  "Using Rays to Understand Your System", "General Architecture of Rayica", 
   "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", "PR1.3"}],
Cell[455195, 21117, 510, 11, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[455708, 21130, 992, 28, 49, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[456703, 21160, 747, 13, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[457453, 21175, 109746, 12069, 172, 100897, 11922, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[567202, 33246, 367, 7, 41, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[567572, 33255, 646, 13, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[568243, 33272, 10904, 1337, 187, 9038, 1304, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[579150, 34611, 10953, 1334, 188, 8999, 1299, "GraphicsData", \
"PostScript", "Graphics",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}]
}, Open  ]],
Cell[590118, 35948, 391, 8, 41, "Commentary",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[590512, 35958, 553, 12, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[591090, 35974, 342, 8, 25, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[591435, 35984, 405, 9, 23, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}]
}, Open  ]],
Cell[591855, 35996, 1028, 28, 63, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.2", 
   "PR1.3"}],
Cell[592886, 36026, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[593124, 36035, 166, 3, 31, "Subsubsection",
 CellTags->{
  "Finding the Focus", "General Architecture of Rayica", "1.3.5", "1.3", 
   "PR1.3.5", "PR1.3.5.3", "PR1.3"}],
Cell[593293, 36040, 687, 14, 47, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[593983, 36056, 824, 29, 64, "Text",
 Evaluatable->False,
 PageBreakWithin->False,
 CellTags->{
  "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],
Cell[594810, 36087, 166, 3, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[594979, 36092, 273, 9, 73, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[595277, 36105, 171, 4, 24, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[595451, 36111, 2430, 50, 353, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[597884, 36163, 1423, 35, 56, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}]
}, Open  ]],
Cell[599322, 36201, 305, 8, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[599630, 36211, 521, 17, 51, "Text",
 Evaluatable->False,
 PageBreakWithin->False,
 CellTags->{
  "FocusType", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],
Cell[600154, 36230, 380, 13, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[600537, 36245, 953, 29, 100, "Text",
 Evaluatable->False,
 PageBreakWithin->False,
 CellTags->{
  "FindFocus", "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", 
   "PR1.3.5.3", "PR1.3"}],
Cell[601493, 36276, 371, 13, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[601889, 36293, 175, 4, 24, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[602067, 36299, 995, 21, 40, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}]
}, Open  ]],
Cell[603077, 36323, 542, 15, 38, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3.5.3", 
   "PR1.3"}],
Cell[603622, 36340, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.5", "1.3", "PR1.3.5", "PR1.3"}]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[603872, 36350, 181, 3, 35, "Subsection",
 CellTags->{
  "1.3.6", "The Ray Tracing Process", "General Architecture of Rayica", "1.3",
    "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
Cell[604056, 36355, 914, 20, 34, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[604973, 36377, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}],
Cell[CellGroupData[{
Cell[605199, 36385, 176, 3, 31, "Subsubsection",
 CellTags->{
  "AnalyzeSystem Function", "General Architecture of Rayica", "1.3.6", "1.3", 
   "PR1.3.6", "PR1.3.6.1", "PR1.3"}],
Cell[605378, 36390, 875, 22, 35, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[606256, 36414, 2046, 48, 62, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[CellGroupData[{
Cell[608327, 36466, 1325, 40, 89, "Input",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[609655, 36508, 12137, 209, 365, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[621795, 36719, 1383, 37, 36, "Print",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[623181, 36758, 421, 8, 24, "Output",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}]
}, Open  ]],
Cell[623617, 36769, 400, 10, 21, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.1", 
   "PR1.3"}],
Cell[624020, 36781, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]
}, Open  ]],
Cell[CellGroupData[{
Cell[624258, 36790, 216, 4, 31, "Subsubsection",
 CellTags->{
  "Sequential and Nonsequential Ray Tracing", 
   "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
   "PR1.3"}],
Cell[624477, 36796, 593, 11, 46, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3.6.2", 
   "PR1.3"}],
Cell[625073, 36809, 201, 4, 20, "Text",
 CellTags->{
  "General Architecture of Rayica", "1.3.6", "1.3", "PR1.3.6", "PR1.3"}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
